// Note: Some Emscripten settings will significantly limit the speed of the generated code.
// Note: Some Emscripten settings may limit the speed of the generated code.
// TODO: " u s e   s t r i c t ";

try {
  this['Module'] = Module;
} catch(e) {
  this['Module'] = Module = {};
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  Module['print'] = function(x) {
    process['stdout'].write(x + '\n');
  };
  Module['printErr'] = function(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function(filename) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename).toString();
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename).toString();
    }
    return ret;
  };

  Module['load'] = function(f) {
    globalEval(read(f));
  };

  if (!Module['arguments']) {
    Module['arguments'] = process['argv'].slice(2);
  }
} else if (ENVIRONMENT_IS_SHELL) {
  Module['print'] = print;
  Module['printErr'] = printErr;

  // Polyfill over SpiderMonkey/V8 differences
  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function(f) { snarf(f) };
  }

  if (!Module['arguments']) {
    if (typeof scriptArgs != 'undefined') {
      Module['arguments'] = scriptArgs;
    } else if (typeof arguments != 'undefined') {
      Module['arguments'] = arguments;
    }
  }
} else if (ENVIRONMENT_IS_WEB) {
  if (!Module['print']) {
    Module['print'] = function(x) {
      console.log(x);
    };
  }

  if (!Module['printErr']) {
    Module['printErr'] = function(x) {
      console.log(x);
    };
  }

  Module['read'] = function(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (!Module['arguments']) {
    if (typeof arguments != 'undefined') {
      Module['arguments'] = arguments;
    }
  }
} else if (ENVIRONMENT_IS_WORKER) {
  // We can do very little here...

  Module['load'] = importScripts;

} else {
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['printErr']) {
  Module['printErr'] = function(){};
}
if (!Module['print']) {
  Module['print'] = Module['printErr'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

  
// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      var logg = log2(quantum);
      return '((((' +target + ')+' + (quantum-1) + ')>>' + logg + ')<<' + logg + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (/^\[\d+\ x\ (.*)\]/.test(type)) return true; // [15 x ?] blocks. Like structs
  if (/<?{ ?[^}]* ?}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  bitshift64: function (low, high, op, bits) {
    var ander = Math.pow(2, bits)-1;
    if (bits < 32) {
      switch (op) {
        case 'shl':
          return [low << bits, (high << bits) | ((low&(ander << (32 - bits))) >>> (32 - bits))];
        case 'ashr':
          return [(((low >>> bits ) | ((high&ander) << (32 - bits))) >> 0) >>> 0, (high >> bits) >>> 0];
        case 'lshr':
          return [((low >>> bits) | ((high&ander) << (32 - bits))) >>> 0, high >>> bits];
      }
    } else if (bits == 32) {
      switch (op) {
        case 'shl':
          return [0, low];
        case 'ashr':
          return [high, (high|0) < 0 ? ander : 0];
        case 'lshr':
          return [high, 0];
      }
    } else { // bits > 32
      switch (op) {
        case 'shl':
          return [0, low << (bits - 32)];
        case 'ashr':
          return [(high >> (bits - 32)) >>> 0, (high|0) < 0 ? ander : 0];
        case 'lshr':
          return [high >>>  (bits - 32) , 0];
      }
    }
    abort('unknown bitshift64 op: ' + [value, op, bits]);
  },
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type, quantumSize) {
    if (Runtime.QUANTUM_SIZE == 1) return 1;
    var size = {
      '%i1': 1,
      '%i8': 1,
      '%i16': 2,
      '%i32': 4,
      '%i64': 8,
      "%float": 4,
      "%double": 8
    }['%'+type]; // add '%' since float and double confuse Closure compiler as keys, and also spidermonkey as a compiler will remove 's from '_i8' etc
    if (!size) {
      if (type[type.length-1] == '*') {
        size = Runtime.QUANTUM_SIZE; // A pointer
      } else if (type[0] == 'i') {
        var bits = parseInt(type.substr(1));
        assert(bits % 8 == 0);
        size = bits/8;
      }
    }
    return size;
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    type.flatIndexes = type.fields.map(function(field) {
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = size;
      } else if (Runtime.isStructType(field)) {
        size = Types.types[field].flatSize;
        alignSize = Types.types[field].alignSize;
      } else {
        throw 'Unclear type in struct: ' + field + ', in ' + type.name_ + ' :: ' + dump(Types.types[type.name_]);
      }
      alignSize = type.packed ? 1 : Math.min(alignSize, Runtime.QUANTUM_SIZE);
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      assert(type.fields.length === struct.length, 'Number of named fields must match the type for ' + typeName);
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  addFunction: function (func) {
    var ret = FUNCTION_TABLE.length;
    FUNCTION_TABLE.push(func);
    FUNCTION_TABLE.push(0);
    return ret;
  },
  stackAlloc: function stackAlloc(size) { var ret = STACKTOP;STACKTOP += size;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"); return ret; },
  staticAlloc: function staticAlloc(size) { var ret = STATICTOP;STATICTOP += size;STATICTOP = ((((STATICTOP)+3)>>2)<<2); if (STATICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function alignMemory(size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 4))*(quantum ? quantum : 4); return ret; },
  makeBigInt: function makeBigInt(low,high,unsigned) { var ret = (unsigned ? (((low)>>>0)+(((high)>>>0)*4294967296)) : (((low)>>>0)+(((high)|0)*4294967296))); return ret; },
  QUANTUM_SIZE: 4,
  __dummy__: 0
}



var CorrectionsMonitor = {
  MAX_ALLOWED: 0, // XXX
  corrections: 0,
  sigs: {},

  note: function(type, succeed, sig) {
    if (!succeed) {
      this.corrections++;
      if (this.corrections >= this.MAX_ALLOWED) abort('\n\nToo many corrections!');
    }
  },

  print: function() {
  }
};





//========================================
// Runtime essentials
//========================================

var __THREW__ = false; // Used in checking for thrown exceptions.

var ABORT = false;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD;
var tempI64, tempI64b;

function abort(text) {
  Module.print(text + ':\n' + (new Error).stack);
  ABORT = true;
  throw "Assertion: " + text;
}

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Adding
//
//         __attribute__((used))
//
//       to the function definition will prevent that.
//
// Note: Closure optimizations will minify function names, making
//       functions no longer callable. If you run closure (on by default
//       in -O2 and above), you should export the functions you will call
//       by calling emcc with something like
//
//         -s EXPORTED_FUNCTIONS='["_func1","_func2"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length+1);
      writeStringToMemory(value, ret);
      return ret;
    } else if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  try {
    var func = eval('_' + ident);
  } catch(e) {
    try {
      func = globalScope['Module']['_' + ident]; // closure exported function
    } catch(e) {}
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}
Module["ccall"] = ccall;

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  // TODO: optimize this, eval the whole function once instead of going through ccall each time
  return function() {
    return ccall(ident, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type[type.length-1] === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': HEAP32[((ptr)>>2)]=value; break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': (tempDoubleF64[0]=value,HEAP32[((ptr)>>2)]=tempDoubleI32[0],HEAP32[((ptr+4)>>2)]=tempDoubleI32[1]); break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type[type.length-1] === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return (tempDoubleI32[0]=HEAP32[((ptr)>>2)],tempDoubleI32[1]=HEAP32[((ptr+4)>>2)],tempDoubleF64[0]);
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

// Allocates memory for some data and initializes it properly.

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;

function allocate(slab, types, allocator) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));

  if (zeroinit) {
      _memset(ret, 0, size);
      return ret;
  }
  
  var i = 0, type;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }
    assert(type, 'Must know what type to store in allocate!');

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);
    i += Runtime.getNativeTypeSize(type);
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  var nullTerminated = typeof(length) == "undefined";
  var ret = "";
  var i = 0;
  var t;
  var nullByte = String.fromCharCode(0);
  while (1) {
    t = String.fromCharCode(HEAPU8[(ptr+i)]);
    if (nullTerminated && t == nullByte) { break; } else {}
    ret += t;
    i += 1;
    if (!nullTerminated && i == length) { break; }
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

function Array_stringify(array) {
  var ret = "";
  for (var i = 0; i < array.length; i++) {
    ret += String.fromCharCode(array[i]);
  }
  return ret;
}
Module['Array_stringify'] = Array_stringify;

// Memory management

var FUNCTION_TABLE; // XXX: In theory the indexes here can be equal to pointers to stacked or malloced memory. Such comparisons should
                    //      be false, but can turn out true. We should probably set the top bit to prevent such issues.

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return ((x+4095)>>12)<<12;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STACK_ROOT, STACKTOP, STACK_MAX;
var STATICTOP;
function enlargeMemory() {
  // TOTAL_MEMORY is the current size of the actual array, and STATICTOP is the new top.
  Module.printErr('Warning: Enlarging memory arrays, this is not fast! ' + [STATICTOP, TOTAL_MEMORY]);
  assert(STATICTOP >= TOTAL_MEMORY);
  assert(TOTAL_MEMORY > 4); // So the loop below will not be infinite
  while (TOTAL_MEMORY <= STATICTOP) { // Simple heuristic. Override enlargeMemory() if your program has something more optimal for it
    TOTAL_MEMORY = alignMemoryPage(2*TOTAL_MEMORY);
  }
  var oldHEAP8 = HEAP8;
  var buffer = new ArrayBuffer(TOTAL_MEMORY);
  HEAP8 = new Int8Array(buffer);
  HEAP16 = new Int16Array(buffer);
  HEAP32 = new Int32Array(buffer);
  HEAPU8 = new Uint8Array(buffer);
  HEAPU16 = new Uint16Array(buffer);
  HEAPU32 = new Uint32Array(buffer);
  HEAPF32 = new Float32Array(buffer);
  HEAPF64 = new Float64Array(buffer);
  HEAP8.set(oldHEAP8);
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 10485760;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
  assert(!!Int32Array && !!Float64Array && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
         'Cannot fallback to non-typed array case: Code is too specialized');

  var buffer = new ArrayBuffer(TOTAL_MEMORY);
  HEAP8 = new Int8Array(buffer);
  HEAP16 = new Int16Array(buffer);
  HEAP32 = new Int32Array(buffer);
  HEAPU8 = new Uint8Array(buffer);
  HEAPU16 = new Uint16Array(buffer);
  HEAPU32 = new Uint32Array(buffer);
  HEAPF32 = new Float32Array(buffer);
  HEAPF64 = new Float64Array(buffer);

  // Endianness check (note: assumes compiler arch was little-endian)
  HEAP32[0] = 255;
  assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

var base = intArrayFromString('(null)'); // So printing %s of NULL gives '(null)'
                                         // Also this ensures we leave 0 as an invalid address, 'NULL'
STATICTOP = base.length;
for (var i = 0; i < base.length; i++) {
  HEAP8[(i)]=base[i]
}

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

STACK_ROOT = STACKTOP = Runtime.alignMemory(STATICTOP);
STACK_MAX = STACK_ROOT + TOTAL_STACK;

var tempDoublePtr = Runtime.alignMemory(STACK_MAX, 8);
var tempDoubleI8  = HEAP8.subarray(tempDoublePtr);
var tempDoubleI32 = HEAP32.subarray(tempDoublePtr >> 2);
var tempDoubleF32 = HEAPF32.subarray(tempDoublePtr >> 2);
var tempDoubleF64 = HEAPF64.subarray(tempDoublePtr >> 3);
function copyTempFloat(ptr) { // functions, because inlining this code is increases code size too much
  tempDoubleI8[0] = HEAP8[ptr];
  tempDoubleI8[1] = HEAP8[ptr+1];
  tempDoubleI8[2] = HEAP8[ptr+2];
  tempDoubleI8[3] = HEAP8[ptr+3];
}
function copyTempDouble(ptr) {
  tempDoubleI8[0] = HEAP8[ptr];
  tempDoubleI8[1] = HEAP8[ptr+1];
  tempDoubleI8[2] = HEAP8[ptr+2];
  tempDoubleI8[3] = HEAP8[ptr+3];
  tempDoubleI8[4] = HEAP8[ptr+4];
  tempDoubleI8[5] = HEAP8[ptr+5];
  tempDoubleI8[6] = HEAP8[ptr+6];
  tempDoubleI8[7] = HEAP8[ptr+7];
}
STACK_MAX = tempDoublePtr + 8;

STATICTOP = alignMemoryPage(STACK_MAX);

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    var func = callback.func;
    if (typeof func === 'number') {
      func = FUNCTION_TABLE[func];
    }
    func(callback.arg === undefined ? null : callback.arg);
  }
}

var __ATINIT__ = []; // functions called during startup
var __ATMAIN__ = []; // functions called when main() is to be run
var __ATEXIT__ = []; // functions called during shutdown

function initRuntime() {
  callRuntimeCallbacks(__ATINIT__);
}
function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}
function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);

  // Print summary of correction activity
  CorrectionsMonitor.print();
}


// Copies a list of num items on the HEAP into a
// a normal JavaScript array of numbers
function Array_copy(ptr, num) {
  return Array.prototype.slice.call(HEAP8.subarray(ptr, ptr+num)); // Make a normal array out of the typed 'view'
                                                                   // Consider making a typed array here, for speed?
  return HEAP.slice(ptr, ptr+num);
}
Module['Array_copy'] = Array_copy;

// Copies a list of num items on the HEAP into a
// JavaScript typed array.
function TypedArray_copy(ptr, num, offset /*optional*/) {
  // TODO: optimize this!
  if (offset === undefined) {
    offset = 0;
  }
  var arr = new Uint8Array(num - offset);
  for (var i = offset; i < num; ++i) {
    arr[i - offset] = HEAP8[(ptr+i)];
  }
  return arr.buffer;
}
Module['TypedArray_copy'] = TypedArray_copy;

function String_len(ptr) {
  var i = 0;
  while (HEAP8[(ptr+i)]) i++; // Note: should be |!= 0|, technically. But this helps catch bugs with undefineds
  return i;
}
Module['String_len'] = String_len;

// Copies a C-style string, terminated by a zero, from the HEAP into
// a normal JavaScript array of numbers
function String_copy(ptr, addZero) {
  var len = String_len(ptr);
  if (addZero) len++;
  var ret = Array_copy(ptr, len);
  if (addZero) ret[len-1] = 0;
  return ret;
}
Module['String_copy'] = String_copy;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = [];
  var t;
  var i = 0;
  if (length === undefined) {
    length = stringy.length;
  }
  while (i < length) {
    var chr = stringy.charCodeAt(i);
    if (chr > 0xFF) {
        assert(false, 'Character code ' + chr + ' (' + stringy[i] + ')  at offset ' + i + ' not in 0x00-0xFF.');
      chr &= 0xFF;
    }
    ret.push(chr);
    i = i + 1;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
        assert(false, 'Character code ' + chr + ' (' + String.fromCharCode(chr) + ')  at offset ' + i + ' not in 0x00-0xFF.');
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var i = 0;
  while (i < string.length) {
    var chr = string.charCodeAt(i);
    if (chr > 0xFF) {
        assert(false, 'Character code ' + chr + ' (' + string[i] + ')  at offset ' + i + ' not in 0x00-0xFF.');
      chr &= 0xFF;
    }
    HEAP8[(buffer+i)]=chr
    i = i + 1;
  }
  if (!dontAddNull) {
    HEAP8[(buffer+i)]=0
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(buffer+i)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

var STRING_TABLE = [];

function unSign(value, bits, ignore, sig) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
  // TODO: clean up previous line
}
function reSign(value, bits, ignore, sig) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in Module.preRun
// or PRE_RUN_ADDITIONS (used by emcc to add file preloading).
var runDependencies = 0;
function addRunDependency() {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
function removeRunDependency() {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) run();
}

// === Body ===




function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js2gc8FreeSpan9checkSpanEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 353 "./jsgc.h"
}


function __ZNK8JSObject10fixedSlotsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1607 "./jsobj.h"
  var $4=(($3+40)|0); //@line 1607 "./jsobj.h"
  var $5=$4; //@line 1607 "./jsobj.h"
  ;
  return $5; //@line 1607 "./jsobj.h"
}


function __ZN2js14BreakpointSite9recompileEP9JSContextb($this, $cx, $forTrap) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  var $4=(($forTrap)&1);
  $3=$4;
  var $5=$1;
  ;
  return 1; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN8JSObject6asCallEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.h"
  ;
  return $3; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.h"
}


function __ZNK2js8Bindings16countArgsAndVarsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 200 "./jsscript.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 200 "./jsscript.h"
  var $5=(($4)&65535); //@line 200 "./jsscript.h"
  var $6=(($2+6)|0); //@line 200 "./jsscript.h"
  var $7=HEAPU16[(($6)>>1)]; //@line 200 "./jsscript.h"
  var $8=(($7)&65535); //@line 200 "./jsscript.h"
  var $9=(($5+$8)|0); //@line 200 "./jsscript.h"
  ;
  return $9; //@line 200 "./jsscript.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext20typeInferenceEnabledEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+232)|0); //@line 1203 "./jscntxt.h"
  var $4=HEAP8[($3)]; //@line 1203 "./jscntxt.h"
  var $5=(($4) & 1); //@line 1203 "./jscntxt.h"
  ;
  return $5; //@line 1203 "./jscntxt.h"
}


function __ZN8JSObject10makeVarObjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 636 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 636 "./jsobj.h"
  var $5=$4 | 4096; //@line 636 "./jsobj.h"
  HEAP32[(($3)>>2)]=$5; //@line 636 "./jsobj.h"
  ;
  return; //@line 636 "./jsobj.h"
}


function _BUILD_JSVAL($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZNK2js8Bindings9lastShapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 100 "./jsscriptinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 100 "./jsscriptinlines.h"
  ;
  return $4; //@line 100 "./jsscriptinlines.h"
}


function __ZNK2js8Bindings17extensibleParentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+10)|0); //@line 342 "./jsscript.h"
  var $4=HEAP8[($3)]; //@line 342 "./jsscript.h"
  var $5=(($4) & 1); //@line 342 "./jsscript.h"
  ;
  return $5; //@line 342 "./jsscript.h"
}


function __ZN8JSObject11setOwnShapeEj($this, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$s;
  var $3=$1;
  var $4=(($3+8)|0); //@line 1016 "./jsobjinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1016 "./jsobjinlines.h"
  var $6=$5 | 128; //@line 1016 "./jsobjinlines.h"
  HEAP32[(($4)>>2)]=$6; //@line 1016 "./jsobjinlines.h"
  var $7=$2; //@line 1017 "./jsobjinlines.h"
  var $8=(($3+12)|0); //@line 1017 "./jsobjinlines.h"
  HEAP32[(($8)>>2)]=$7; //@line 1017 "./jsobjinlines.h"
  ;
  return; //@line 1018 "./jsobjinlines.h"
}


function __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($this, $newType) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newType;
  var $3=$1;
  var $4=$2; //@line 845 "./jsobjinlines.h"
  var $5=(($3+36)|0); //@line 845 "./jsobjinlines.h"
  HEAP32[(($5)>>2)]=$4; //@line 845 "./jsobjinlines.h"
  ;
  return; //@line 846 "./jsobjinlines.h"
}


function __ZN8JSObject11setDelegateEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 577 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsobj.h"
  var $5=$4 | 1; //@line 577 "./jsobj.h"
  HEAP32[(($3)>>2)]=$5; //@line 577 "./jsobj.h"
  ;
  return; //@line 577 "./jsobj.h"
}


function _MAGIC_TO_JSVAL_IMPL($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 496 "./jsgc.h"
  var $3=((__ZN2js2gc5Arena10ThingSizesE+($2<<2))|0); //@line 496 "./jsgc.h"
  var $4=((((HEAPU8[($3)])|(HEAPU8[($3+1)]<<8)|(HEAPU8[($3+2)]<<16)|(HEAPU8[($3+3)]<<24))|0)); //@line 496 "./jsgc.h"
  ;
  return $4; //@line 496 "./jsgc.h"
}


function __ZN8JSObject9earlyInitEj($this, $capacity) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$capacity;
  var $3=$1;
  var $4=$2; //@line 1316 "./jsobj.h"
  var $5=(($3+28)|0); //@line 1316 "./jsobj.h"
  HEAP32[(($5)>>2)]=$4; //@line 1316 "./jsobj.h"
  var $6=(($3)|0); //@line 1319 "./jsobj.h"
  HEAP32[(($6)>>2)]=0; //@line 1319 "./jsobj.h"
  ;
  return; //@line 1320 "./jsobj.h"
}


function __ZN2js10CallObject6createEP9JSContextP8JSScriptR8JSObjectPS5_($cx, $script, $scopeChain, $callee) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $bindings;
      var $argsVars;
      var $slots;
      var $kind;
      var $obj;
      var $callobj;
      $2=$cx;
      $3=$script;
      $4=$scopeChain;
      $5=$callee;
      var $6=$3; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $7=(($6+64)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      $bindings=$7; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $8=$bindings; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $9=__ZNK2js8Bindings16countArgsAndVarsEv($8); //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      $argsVars=$9; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $10=$argsVars; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $11=(($10+2)|0); //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      $slots=$11; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $12=$slots; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $13=__ZN2js2gcL15GetGCObjectKindEjb($12, 0); //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      $kind=$13; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $14=$2; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $15=__ZN9JSContext20typeInferenceEnabledEv($14); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    case 2: 
      var $17=$kind; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $18=__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE($17); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $19=$slots; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    case 3: 
      var $22=__ZN2js2gcL15GetGCObjectKindEjb(2, 0); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      $kind=$22; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      __label__ = 4; break; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    case 4: 
      var $24=$2; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $25=$kind; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $26=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($24, $25); //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      $obj=$26; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $27=$obj; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $28=(($27)|0)!=0; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    case 5: 
      $1=0; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      __label__ = 9; break; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    case 6: 
      var $31=$obj; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $32=$2; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $33=$bindings; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $34=$4; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      __ZN8JSObject8initCallEP9JSContextRKN2js8BindingsEPS_($31, $32, $33, $34); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $35=$obj; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      __ZN8JSObject10makeVarObjEv($35); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $36=$obj; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $37=$2; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $38=$argsVars; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $39=__ZN8JSObject27ensureInstanceReservedSlotsEP9JSContextj($36, $37, $38); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    case 7: 
      $1=0; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      __label__ = 9; break; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    case 8: 
      var $42=$obj; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $43=__ZN8JSObject6asCallEv($42); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      $callobj=$43; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $44=$callobj; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $45=$5; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      __ZN2js10CallObject9setCalleeEP8JSObject($44, $45); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      var $46=$callobj; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      $1=$46; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      __label__ = 9; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    case 9: 
      var $48=$1; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
      ;
      return $48; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10CallObject6createEP9JSContextP8JSScriptR8JSObjectPS5_["X"]=1;

function __Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($cx, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $obj;
      $1=$cx;
      $2=$kind;
      var $3=$1; //@line 362 "./jsgcinlines.h"
      var $4=$2; //@line 362 "./jsgcinlines.h"
      var $5=$2; //@line 362 "./jsgcinlines.h"
      var $6=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($5); //@line 362 "./jsgcinlines.h"
      var $7=__Z10NewGCThingI8JSObjectEPT_P9JSContextN2js2gc9AllocKindEj($3, $4, $6); //@line 362 "./jsgcinlines.h"
      $obj=$7; //@line 362 "./jsgcinlines.h"
      var $8=$obj; //@line 363 "./jsgcinlines.h"
      var $9=(($8)|0)!=0; //@line 363 "./jsgcinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 363 "./jsgcinlines.h"
    case 2: 
      var $11=$obj; //@line 364 "./jsgcinlines.h"
      var $12=$2; //@line 364 "./jsgcinlines.h"
      var $13=__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE($12); //@line 364 "./jsgcinlines.h"
      __ZN8JSObject9earlyInitEj($11, $13); //@line 364 "./jsgcinlines.h"
      __label__ = 3; break; //@line 364 "./jsgcinlines.h"
    case 3: 
      var $15=$obj; //@line 365 "./jsgcinlines.h"
      ;
      return $15; //@line 365 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject8initCallEP9JSContextRKN2js8BindingsEPS_($this, $cx, $bindings, $parent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$bindings;
      $4=$parent;
      var $5=$1;
      var $6=$2; //@line 212 "./jsobjinlines.h"
      var $7=$4; //@line 212 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($5, $6, __ZN2js9CallClassE, __ZN2js5types15emptyTypeObjectE, $7, 0, 0); //@line 212 "./jsobjinlines.h"
      var $8=$3; //@line 213 "./jsobjinlines.h"
      var $9=__ZNK2js8Bindings9lastShapeEv($8); //@line 213 "./jsobjinlines.h"
      var $10=(($5)|0); //@line 213 "./jsobjinlines.h"
      HEAP32[(($10)>>2)]=$9; //@line 213 "./jsobjinlines.h"
      var $11=$3; //@line 219 "./jsobjinlines.h"
      var $12=__ZNK2js8Bindings17extensibleParentsEv($11); //@line 219 "./jsobjinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 219 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 220 "./jsobjinlines.h"
      var $15=__Z16js_GenerateShapeP9JSContext($14); //@line 220 "./jsobjinlines.h"
      __ZN8JSObject11setOwnShapeEj($5, $15); //@line 220 "./jsobjinlines.h"
      __label__ = 4; break; //@line 220 "./jsobjinlines.h"
    case 3: 
      var $17=(($5)|0); //@line 222 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 222 "./jsobjinlines.h"
      var $19=(($18)|0); //@line 222 "./jsobjinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 222 "./jsobjinlines.h"
      var $21=(($5+12)|0); //@line 222 "./jsobjinlines.h"
      HEAP32[(($21)>>2)]=$20; //@line 222 "./jsobjinlines.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 223 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10CallObject9setCalleeEP8JSObject($this, $callee) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$callee;
  var $4=$1;
  var $5=$4; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject-inl.h"
  var $6=$2; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject-inl.h"
  __ZN2JSL17ObjectOrNullValueEP8JSObject($3, $6); //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject-inl.h"
  __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($5, 0, $3); //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject-inl.h"
  STACKTOP = __stackBase__;
  return; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/CallObject-inl.h"
}


function __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($this, $slot, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$slot;
  $3=$value;
  var $4=$1;
  var $5=$2; //@line 905 "./jsobj.h"
  var $6=__ZNK8JSObject10fixedSlotsEv($4); //@line 905 "./jsobj.h"
  var $7=(($6+($5<<3))|0); //@line 905 "./jsobj.h"
  var $8=$3; //@line 905 "./jsobj.h"
  var $9=$7; //@line 905 "./jsobj.h"
  var $10=$8; //@line 905 "./jsobj.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 905 "./jsobj.h"
  ;
  return; //@line 906 "./jsobj.h"
}


function __ZN2JSL17ObjectOrNullValueEP8JSObject($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 758 "./jsapi.h"
  __ZN2JS5Value15setObjectOrNullEP8JSObject($agg_result, $2); //@line 758 "./jsapi.h"
  ;
  return; //@line 759 "./jsapi.h"
}


function __ZN2JS5Value15setObjectOrNullEP8JSObject($this, $arg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$arg;
      var $3=$1;
      var $4=$2; //@line 343 "./jsapi.h"
      var $5=(($4)|0)!=0; //@line 343 "./jsapi.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 343 "./jsapi.h"
    case 2: 
      var $7=$2; //@line 344 "./jsapi.h"
      __ZN2JS5Value9setObjectER8JSObject($3, $7); //@line 344 "./jsapi.h"
      __label__ = 4; break; //@line 344 "./jsapi.h"
    case 3: 
      __ZN2JS5Value7setNullEv($3); //@line 346 "./jsapi.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 347 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS5Value9setObjectER8JSObject($this, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$obj;
  var $4=$1;
  var $5=(($4)|0); //@line 290 "./jsapi.h"
  var $6=$2; //@line 290 "./jsapi.h"
  _OBJECT_TO_JSVAL_IMPL($3, $6); //@line 290 "./jsapi.h"
  var $7=$5; //@line 290 "./jsapi.h"
  var $8=$3; //@line 290 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 290 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 291 "./jsapi.h"
}


function __ZN2JS5Value7setNullEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  _BUILD_JSVAL($2, -122, 0); //@line 248 "./jsapi.h"
  var $4=$2; //@line 248 "./jsapi.h"
  var $st$6$0=(($4)|0);
  var $5$0=HEAP32[(($st$6$0)>>2)];
  var $st$6$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$6$1)>>2)];
  var $6=(($3)|0); //@line 248 "./jsapi.h"
  var $7=$6; //@line 248 "./jsapi.h"
  var $st$12$0=(($7)|0);
  HEAP32[(($st$12$0)>>2)]=$5$0;
  var $st$12$1=(($7+4)|0);
  HEAP32[(($st$12$1)>>2)]=$5$1;
  STACKTOP = __stackBase__;
  return; //@line 249 "./jsapi.h"
}


function __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($this, $cx, $aclasp, $type, $parent, $priv, $denseArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      $1=$this;
      $2=$cx;
      $3=$aclasp;
      $4=$type;
      $5=$parent;
      $6=$priv;
      var $8=(($denseArray)&1);
      $7=$8;
      var $9=$1;
      var $10=$3; //@line 852 "./jsobjinlines.h"
      var $11=(($9+4)|0); //@line 852 "./jsobjinlines.h"
      HEAP32[(($11)>>2)]=$10; //@line 852 "./jsobjinlines.h"
      var $12=(($9+28)|0); //@line 853 "./jsobjinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 853 "./jsobjinlines.h"
      var $14=$13 << 27; //@line 853 "./jsobjinlines.h"
      var $15=(($9+8)|0); //@line 853 "./jsobjinlines.h"
      HEAP32[(($15)>>2)]=$14; //@line 853 "./jsobjinlines.h"
      var $16=$6; //@line 866 "./jsobjinlines.h"
      var $17=(($9+24)|0); //@line 866 "./jsobjinlines.h"
      HEAP32[(($17)>>2)]=$16; //@line 866 "./jsobjinlines.h"
      var $18=(($9+32)|0); //@line 874 "./jsobjinlines.h"
      HEAP32[(($18)>>2)]=0; //@line 874 "./jsobjinlines.h"
      var $19=$7; //@line 875 "./jsobjinlines.h"
      var $20=(($19) & 1); //@line 875 "./jsobjinlines.h"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 875 "./jsobjinlines.h"
    case 2: 
      var $22=__ZNK8JSObject10fixedSlotsEv($9); //@line 876 "./jsobjinlines.h"
      var $23=(($9+32)|0); //@line 876 "./jsobjinlines.h"
      HEAP32[(($23)>>2)]=$22; //@line 876 "./jsobjinlines.h"
      var $24=(($9+8)|0); //@line 877 "./jsobjinlines.h"
      var $25=HEAP32[(($24)>>2)]; //@line 877 "./jsobjinlines.h"
      var $26=$25 | 16384; //@line 877 "./jsobjinlines.h"
      HEAP32[(($24)>>2)]=$26; //@line 877 "./jsobjinlines.h"
      __label__ = 4; break; //@line 878 "./jsobjinlines.h"
    case 3: 
      var $28=__ZNK8JSObject10fixedSlotsEv($9); //@line 879 "./jsobjinlines.h"
      var $29=(($9+28)|0); //@line 879 "./jsobjinlines.h"
      var $30=HEAP32[(($29)>>2)]; //@line 879 "./jsobjinlines.h"
      var $31=$7; //@line 879 "./jsobjinlines.h"
      var $32=(($31) & 1); //@line 879 "./jsobjinlines.h"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb($28, $30, $32); //@line 879 "./jsobjinlines.h"
      __label__ = 4; break;
    case 4: 
      var $34=(($9+16)|0); //@line 882 "./jsobjinlines.h"
      var $35=$34; //@line 882 "./jsobjinlines.h"
      HEAP32[(($35)>>2)]=0; //@line 882 "./jsobjinlines.h"
      var $36=$4; //@line 885 "./jsobjinlines.h"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($9, $36); //@line 885 "./jsobjinlines.h"
      var $37=$5; //@line 886 "./jsobjinlines.h"
      __ZN8JSObject9setParentEPS_($9, $37); //@line 886 "./jsobjinlines.h"
      ;
      return; //@line 887 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb["X"]=1;

function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject9setParentEPS_($this, $newParent) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newParent;
  var $3=$1;
  var $4=$2; //@line 985 "./jsobj.h"
  __ZN8JSObject19setDelegateNullSafeEPS_($4); //@line 985 "./jsobj.h"
  var $5=$2; //@line 986 "./jsobj.h"
  var $6=(($3+20)|0); //@line 986 "./jsobj.h"
  HEAP32[(($6)>>2)]=$5; //@line 986 "./jsobj.h"
  ;
  return; //@line 987 "./jsobj.h"
}


function __ZN8JSObject19setDelegateNullSafeEPS_($obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$obj;
      var $2=$1; //@line 583 "./jsobj.h"
      var $3=(($2)|0)!=0; //@line 583 "./jsobj.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jsobj.h"
    case 2: 
      var $5=$1; //@line 584 "./jsobj.h"
      __ZN8JSObject11setDelegateEv($5); //@line 584 "./jsobj.h"
      __label__ = 3; break; //@line 584 "./jsobj.h"
    case 3: 
      ;
      return; //@line 585 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS5Value8setMagicE10JSWhyMagic($this, $why) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$why;
  var $4=$1;
  var $5=(($4)|0); //@line 305 "./jsapi.h"
  var $6=$2; //@line 305 "./jsapi.h"
  _MAGIC_TO_JSVAL_IMPL($3, $6); //@line 305 "./jsapi.h"
  var $7=$5; //@line 305 "./jsapi.h"
  var $8=$3; //@line 305 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 305 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 306 "./jsapi.h"
}


function __ZN2JS5Value12setUndefinedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  _BUILD_JSVAL($2, -126, 0); //@line 253 "./jsapi.h"
  var $4=$2; //@line 253 "./jsapi.h"
  var $st$6$0=(($4)|0);
  var $5$0=HEAP32[(($st$6$0)>>2)];
  var $st$6$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$6$1)>>2)];
  var $6=(($3)|0); //@line 253 "./jsapi.h"
  var $7=$6; //@line 253 "./jsapi.h"
  var $st$12$0=(($7)|0);
  HEAP32[(($st$12$0)>>2)]=$5$0;
  var $st$12$1=(($7+4)|0);
  HEAP32[(($st$12$1)>>2)]=$5$1;
  STACKTOP = __stackBase__;
  return; //@line 254 "./jsapi.h"
}


function __Z10NewGCThingI8JSObjectEPT_P9JSContextN2js2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($this, $thingKind, $thingSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$thingKind;
  $3=$thingSize;
  var $4=$1;
  var $5=$2; //@line 1076 "./jsgc.h"
  var $6=(($4)|0); //@line 1076 "./jsgc.h"
  var $7=(($6+($5<<3))|0); //@line 1076 "./jsgc.h"
  var $8=$3; //@line 1076 "./jsgc.h"
  var $9=__ZN2js2gc8FreeSpan8allocateEj($7, $8); //@line 1076 "./jsgc.h"
  ;
  return $9; //@line 1076 "./jsgc.h"
}


function __ZN2js2gc8FreeSpan8allocateEj($this, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $thing;
      $2=$this;
      $3=$thingSize;
      var $4=$2;
      __ZNK2js2gc8FreeSpan9checkSpanEv($4); //@line 244 "./jsgc.h"
      var $5=(($4)|0); //@line 245 "./jsgc.h"
      var $6=HEAP32[(($5)>>2)]; //@line 245 "./jsgc.h"
      $thing=$6; //@line 245 "./jsgc.h"
      var $7=$thing; //@line 246 "./jsgc.h"
      var $8=(($4+4)|0); //@line 246 "./jsgc.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 246 "./jsgc.h"
      var $10=(($7)>>>0) < (($9)>>>0); //@line 246 "./jsgc.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 246 "./jsgc.h"
    case 2: 
      var $12=$thing; //@line 248 "./jsgc.h"
      var $13=$3; //@line 248 "./jsgc.h"
      var $14=(($12+$13)|0); //@line 248 "./jsgc.h"
      var $15=(($4)|0); //@line 248 "./jsgc.h"
      HEAP32[(($15)>>2)]=$14; //@line 248 "./jsgc.h"
      __label__ = 7; break; //@line 249 "./jsgc.h"
    case 3: 
      var $17=$thing; //@line 249 "./jsgc.h"
      var $18=(($4+4)|0); //@line 249 "./jsgc.h"
      var $19=HEAP32[(($18)>>2)]; //@line 249 "./jsgc.h"
      var $20=(($17)|0)==(($19)|0); //@line 249 "./jsgc.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 249 "./jsgc.h"
    case 4: 
      var $22=$thing; //@line 254 "./jsgc.h"
      var $23=$22; //@line 254 "./jsgc.h"
      var $24=$4; //@line 254 "./jsgc.h"
      var $25=$23; //@line 254 "./jsgc.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 254 "./jsgc.h"
      __label__ = 6; break; //@line 255 "./jsgc.h"
    case 5: 
      $1=0; //@line 256 "./jsgc.h"
      __label__ = 8; break; //@line 256 "./jsgc.h"
    case 6: 
      __label__ = 7; break;
    case 7: 
      __ZNK2js2gc8FreeSpan9checkSpanEv($4); //@line 258 "./jsgc.h"
      var $29=$thing; //@line 259 "./jsgc.h"
      var $30=$29; //@line 259 "./jsgc.h"
      $1=$30; //@line 259 "./jsgc.h"
      __label__ = 8; break; //@line 259 "./jsgc.h"
    case 8: 
      var $32=$1; //@line 260 "./jsgc.h"
      ;
      return $32; //@line 260 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20ReportMoreArgsNeededP9JSContextPKcj($cx, $name, $required) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $s=__stackBase__;
  $1=$cx;
  $2=$name;
  $3=$required;
  var $4=$3; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=(($4-1)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=(($5+48)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=(($6) & 255); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $8=(($s)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  HEAP8[($8)]=$7; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $9=(($s+1)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  HEAP8[($9)]=0; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $10=$1; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $11=$2; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $12=(($s)|0); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $13=$3; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $14=(($13)|0)==1; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $15=$14 ? (((__str)|0)) : (((STRING_TABLE.__str1)|0)); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  _JS_ReportErrorNumber($10, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$11,HEAP32[((tempInt+4)>>2)]=$12,HEAP32[((tempInt+8)>>2)]=$15,tempInt)); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __Z20ReportObjectRequiredP9JSContext($cx) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  _JS_ReportErrorNumber($2, 2, 0, 231, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js14BreakpointSiteC2EP8JSScriptPh($this, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$script;
      $3=$pc;
      var $4=$1;
      var $5=(($4)|0); //@line 128 "./vm/Debugger.h"
      var $6=$2; //@line 128 "./vm/Debugger.h"
      HEAP32[(($5)>>2)]=$6; //@line 128 "./vm/Debugger.h"
      var $7=(($4+4)|0); //@line 128 "./vm/Debugger.h"
      var $8=$3; //@line 128 "./vm/Debugger.h"
      HEAP32[(($7)>>2)]=$8; //@line 128 "./vm/Debugger.h"
      var $9=(($4+8)|0); //@line 128 "./vm/Debugger.h"
      var $10=$3; //@line 128 "./vm/Debugger.h"
      var $11=HEAPU8[($10)]; //@line 128 "./vm/Debugger.h"
      var $12=(($11)&255); //@line 128 "./vm/Debugger.h"
      HEAP32[(($9)>>2)]=$12; //@line 128 "./vm/Debugger.h"
      var $13=(($4+12)|0); //@line 128 "./vm/Debugger.h"
      HEAP32[(($13)>>2)]=0; //@line 128 "./vm/Debugger.h"
      var $14=(($4+16)|0); //@line 128 "./vm/Debugger.h"
      var $15=(($4+24)|0); //@line 128 "./vm/Debugger.h"
      HEAP32[(($15)>>2)]=0; //@line 128 "./vm/Debugger.h"
      var $16=(($4+28)|0); //@line 128 "./vm/Debugger.h"
      HEAP32[(($16)>>2)]=0; //@line 128 "./vm/Debugger.h"
      var $17=(($4+32)|0); //@line 128 "./vm/Debugger.h"
      __ZN2JSL14UndefinedValueEv($17); //@line 127 "./vm/Debugger.h"
      __label__ = 2; break; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $19=(($4+16)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($4+16)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($4+16)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($4+16)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23+4)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($24)>>2)]=$22; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      ;
      return; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($cx, $t1) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$t1;
  ;
  return; //@line 238 "./jscntxtinlines.h"
}


function __ZN2js10Breakpoint13fromSiteLinksEP10JSCListStr($links) {
  ;
  var __label__;

  var $1;
  $1=$links;
  var $2=$1; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $3=$2; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $4=(($3-20)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$4; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $5; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js10BreakpointC2EPNS_8DebuggerEPNS_14BreakpointSiteEP8JSObject($this, $debugger, $site, $handler) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$debugger;
      $3=$site;
      $4=$handler;
      var $5=$1;
      var $6=(($5)|0); //@line 267 "./vm/Debugger.h"
      var $7=$2; //@line 267 "./vm/Debugger.h"
      HEAP32[(($6)>>2)]=$7; //@line 267 "./vm/Debugger.h"
      var $8=(($5+4)|0); //@line 267 "./vm/Debugger.h"
      var $9=$3; //@line 267 "./vm/Debugger.h"
      HEAP32[(($8)>>2)]=$9; //@line 267 "./vm/Debugger.h"
      var $10=(($5+8)|0); //@line 267 "./vm/Debugger.h"
      var $11=$4; //@line 267 "./vm/Debugger.h"
      HEAP32[(($10)>>2)]=$11; //@line 267 "./vm/Debugger.h"
      var $12=(($5+12)|0); //@line 267 "./vm/Debugger.h"
      var $13=(($5+20)|0); //@line 267 "./vm/Debugger.h"
      __label__ = 2; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $15=$2; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15+44)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($5+12)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($18)>>2)]=$16; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$2; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19+44)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20+4)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($5+12)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23+4)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($24)>>2)]=$22; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($5+12)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$2; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26+44)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27+4)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($30)>>2)]=$25; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($5+12)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$2; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32+44)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($33+4)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($34)>>2)]=$31; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      __label__ = 4; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $37=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($37+16)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($5+20)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($39)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($40)>>2)]=$38; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41+16)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42+4)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($5+20)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45+4)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($46)>>2)]=$44; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=(($5+20)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=(($48+16)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49+4)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($51)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($52)>>2)]=$47; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=(($5+20)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=(($54+16)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($55+4)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($56)>>2)]=$53; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      ;
      return; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10BreakpointC2EPNS_8DebuggerEPNS_14BreakpointSiteEP8JSObject["X"]=1;

function __ZN2js10Breakpoint17fromDebuggerLinksEP10JSCListStr($links) {
  ;
  var __label__;

  var $1;
  $1=$links;
  var $2=$1; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $3=$2; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $4=(($3-12)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$4; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $5; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js14BreakpointSite3incEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=(($4+24)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)|0)==0; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $9=(($4+28)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=(($4+4)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP8[($14)]=83; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$3; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZN2js14BreakpointSite9recompileEP9JSContextb($4, $15, 0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $18=(($4+8)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19) & 255); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($4+4)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP8[($22)]=$20; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $25=(($4+24)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26+1)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($25)>>2)]=$27; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $29=$1; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $29; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14BreakpointSite3decEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+24)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5-1)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($4)>>2)]=$6; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($3+24)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8)|0)==0; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $11=(($3+28)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12)|0)!=0; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $15=(($3+8)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16) & 255); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($3+4)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP8[($19)]=$17; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$2; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZN2js14BreakpointSite9recompileEP9JSContextb($3, $20, 0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      ;
      return; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14BreakpointSite7setTrapEP9JSContextPF12JSTrapStatusS2_P8JSScriptPhPN2JS5ValueES8_ERKS8_($this, $cx, $handler, $closure) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$this;
      $3=$cx;
      $4=$handler;
      $5=$closure;
      var $6=$2;
      var $7=(($6+24)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8)|0)==0; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $11=(($6+4)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP8[($12)]=83; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$3; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js14BreakpointSite9recompileEP9JSContextb($6, $13, 1); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $16=(($6+8)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17) & 255); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($6+4)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP8[($20)]=$18; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $23=$4; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($6+28)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($6+32)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$5; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$25; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$26; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $30=$1; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $30; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14BreakpointSite9clearTrapEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumEPPF12JSTrapStatusS2_P8JSScriptS6_PN2JS5ValueESM_ESN_($this, $cx, $e, $handlerp, $closurep) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $1=$this;
      $2=$cx;
      $3=$e;
      $4=$handlerp;
      $5=$closurep;
      var $6=$1;
      var $7=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7)|0)!=0; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $10=(($6+28)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$4; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$5; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($14)|0)!=0; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $17=$5; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($6+32)|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$17; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$18; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $22=(($6+28)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($22)>>2)]=0; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($6+32)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($23); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($6+24)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($25)|0)==0; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $28=(($6+8)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29) & 255); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($6+4)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP8[($32)]=$30; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$2; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($33+52)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($35+144090)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=HEAP8[($36)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($37) & 1); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $40=$2; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZN2js14BreakpointSite9recompileEP9JSContextb($6, $40, 1); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $43=$2; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($43+52)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$3; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14BreakpointSite14destroyIfEmptyEP9JSRuntimePNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumE($6, $45, $46); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      ;
      return; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14BreakpointSite9clearTrapEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumEPPF12JSTrapStatusS2_P8JSScriptS6_PN2JS5ValueESM_ESN_["X"]=1;

function __ZN2js14BreakpointSite14destroyIfEmptyEP9JSRuntimePNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumE($this, $rt, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$rt;
      $3=$e;
      var $4=$1;
      var $5=(($4+16)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($4+16)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($7)|0)==(($8)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $11=(($4+28)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12)|0)!=0; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 7; break; } else { __label__ = 3; break; } //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $15=$3; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15)|0)!=0; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $18=$3; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4Enum11removeFrontEv($18); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $20=(($4)|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$21; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZNK2js2gc4Cell11compartmentEv($22); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23+1956)|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($4+4)|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6removeERKS1_($24, $25); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break;
    case 6: 
      var $27=$2; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSRuntime7delete_IN2js14BreakpointSiteEEEvPT_($27, $4); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      ;
      return; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6removeERNS0_14HashTableEntryIS6_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZNK2js2gc4Cell11compartmentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc4Cell11arenaHeaderEv($2); //@line 809 "./jsgc.h"
  var $4=(($3)|0); //@line 809 "./jsgc.h"
  var $5=HEAP32[(($4)>>2)]; //@line 809 "./jsgc.h"
  ;
  return $5; //@line 809 "./jsgc.h"
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6removeERKS1_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+12;
      $1=$this;
      $2=$l;
      var $5=$1;
      var $6=$2; //@line 1166 "./jshashtable.h"
      __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6lookupERKS1_($p, $5, $6); //@line 1166 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrcvMSE_FvvEEv($3, $p); //@line 1166 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1166 "./jshashtable.h"
      var $8=$7.f0; //@line 1166 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1166 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1166 "./jshashtable.h"
    case 2: 
      var $11=$4; //@line 1167 "./jshashtable.h"
      var $12=$p; //@line 1167 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 1167 "./jshashtable.h"
      __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S3_EENS7_13MapHashPolicyES6_E3PtrE($5, $4); //@line 1167 "./jshashtable.h"
      __label__ = 3; break; //@line 1167 "./jshashtable.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1168 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime7delete_IN2js14BreakpointSiteEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 762 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 762 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 762 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 762 "./jscntxt.h"
      var $8=$2; //@line 762 "./jscntxt.h"
      var $9=$8; //@line 762 "./jscntxt.h"
      __ZN9JSRuntime5free_EPv($3, $9); //@line 762 "./jscntxt.h"
      __label__ = 3; break; //@line 762 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 762 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js14BreakpointSite15firstBreakpointEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+16)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=(($4)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($3+16)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($6)|0)==(($7)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $11=(($3+16)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js10Breakpoint13fromSiteLinksEP10JSCListStr($13); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$14; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $16=$1; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $16; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14BreakpointSite13hasBreakpointEPNS_10BreakpointE($this, $bp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $2=$this;
      $3=$bp;
      var $4=$2;
      var $5=__ZNK2js14BreakpointSite15firstBreakpointEv($4); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$5; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $7=$p; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7)|0)!=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $10=$p; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$3; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($10)|0)==(($11)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=1; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $16=$p; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js10Breakpoint10nextInSiteEv($16); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$17; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $20=$1; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $20; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Breakpoint10nextInSiteEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $link;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=(($3)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $link=$5; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$link; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($2+4)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8+16)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($6)|0)==(($9)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16 = 0;__label__ = 4; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$link; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js10Breakpoint13fromSiteLinksEP10JSCListStr($13); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16 = $14;__label__ = 4; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $16; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $16; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Breakpoint7destroyEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_E4EnumE($this, $cx, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rt;
      $1=$this;
      $2=$cx;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6+40)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=HEAP8[($7)]; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8) & 1); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $11=(($4+4)|0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$2; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14BreakpointSite3decEP9JSContext($12, $13); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      __label__ = 4; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $16=(($4+12)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($4+12)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19+4)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($22)>>2)]=$18; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($4+12)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23+4)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($4+12)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28+4)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($29)>>2)]=$25; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $32=(($4+20)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($4+20)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($35+4)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($37)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($38)>>2)]=$34; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($4+20)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($39+4)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($4+20)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($44+4)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($45)>>2)]=$41; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $47=$2; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=(($47+52)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $rt=$49; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($4+4)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$rt; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$3; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14BreakpointSite14destroyIfEmptyEP9JSRuntimePNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumE($51, $52, $53); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$rt; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSRuntime7delete_IN2js10BreakpointEEEvPT_($54, $4); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10Breakpoint7destroyEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_E4EnumE["X"]=1;

function __ZN9JSRuntime7delete_IN2js10BreakpointEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 762 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 762 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 762 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 762 "./jscntxt.h"
      var $8=$2; //@line 762 "./jscntxt.h"
      var $9=$8; //@line 762 "./jscntxt.h"
      __ZN9JSRuntime5free_EPv($3, $9); //@line 762 "./jscntxt.h"
      __label__ = 3; break; //@line 762 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 762 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Breakpoint14nextInDebuggerEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $link;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=(($3)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $link=$5; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$link; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($2)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8+44)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($6)|0)==(($9)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16 = 0;__label__ = 4; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$link; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js10Breakpoint17fromDebuggerLinksEP10JSCListStr($13); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16 = $14;__label__ = 4; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $16; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $16; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8DebuggerC2EP9JSContextP8JSObject($this, $cx, $dbg) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+4;
      var $6=__stackBase__+8;
      var $rt;
      var $lock=__stackBase__+12;
      $1=$this;
      $2=$cx;
      $3=$dbg;
      var $7=$1;
      var $8=(($7)|0); //@line 316 "./vm/Debugger.h"
      var $9=(($7+8)|0); //@line 316 "./vm/Debugger.h"
      var $10=$3; //@line 316 "./vm/Debugger.h"
      HEAP32[(($9)>>2)]=$10; //@line 316 "./vm/Debugger.h"
      var $11=(($7+12)|0); //@line 316 "./vm/Debugger.h"
      __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_($11, $4); //@line 316 "./vm/Debugger.h"
      var $12=(($7+36)|0); //@line 316 "./vm/Debugger.h"
      HEAP32[(($12)>>2)]=0; //@line 316 "./vm/Debugger.h"
      var $13=(($7+40)|0); //@line 316 "./vm/Debugger.h"
      HEAP8[($13)]=1; //@line 316 "./vm/Debugger.h"
      var $14=(($7+44)|0); //@line 316 "./vm/Debugger.h"
      var $15=(($7+52)|0); //@line 316 "./vm/Debugger.h"
      var $16=$2; //@line 316 "./vm/Debugger.h"
      __ZN2js18RuntimeAllocPolicyC1EP9JSContext($5, $16); //@line 316 "./vm/Debugger.h"
      __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC1ES7_($15, $5); //@line 316 "./vm/Debugger.h"
      var $17=(($7+80)|0); //@line 316 "./vm/Debugger.h"
      var $18=$2; //@line 316 "./vm/Debugger.h"
      __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEC1EP9JSContext($17, $18); //@line 316 "./vm/Debugger.h"
      var $19=(($7+116)|0); //@line 316 "./vm/Debugger.h"
      var $20=$2; //@line 316 "./vm/Debugger.h"
      __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEC1EP9JSContext($19, $20); //@line 316 "./vm/Debugger.h"
      var $21=(($7+152)|0); //@line 316 "./vm/Debugger.h"
      var $22=$2; //@line 316 "./vm/Debugger.h"
      __ZN2js18RuntimeAllocPolicyC1EP9JSContext($6, $22); //@line 316 "./vm/Debugger.h"
      __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC1ES7_($21, $6); //@line 316 "./vm/Debugger.h"
      var $23=$2; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$3; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($23, $24); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$2; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($25+52)|0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $rt=$27; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$rt; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $28); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $30=$rt; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($30+144228)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($7)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($33)>>2)]=$31; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$rt; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34+144228)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($35+4)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($7)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($38+4)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($39)>>2)]=$37; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($7)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$rt; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41+144228)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42+4)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($44)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($45)>>2)]=$40; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($7)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$rt; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=(($47+144228)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=(($48+4)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($49)>>2)]=$46; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      __label__ = 4; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $53=(($7+44)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=(($7+44)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=(($54)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($55)>>2)]=$53; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($7+44)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=(($7+44)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=(($57+4)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __ZN2js10AutoLockGCD1Ev($lock); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8DebuggerC2EP9JSContextP8JSObject["X"]=1;

function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC1ES7_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js18RuntimeAllocPolicyC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2544 "./jscntxt.h"
  __ZN2js18RuntimeAllocPolicyC2EP9JSContext($3, $4); //@line 2544 "./jscntxt.h"
  ;
  return; //@line 2544 "./jscntxt.h"
}


function __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 197 "./jsweakmap.h"
  __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEC2EP9JSContext($3, $4); //@line 197 "./jsweakmap.h"
  ;
  return; //@line 197 "./jsweakmap.h"
}


function __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC1ES7_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js10AutoLockGCC1EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=$2; //@line 1779 "./jscntxt.h"
  __ZN2js10AutoLockGCC2EP9JSRuntime($3, $4); //@line 1779 "./jscntxt.h"
  ;
  return; //@line 1779 "./jscntxt.h"
}


function __ZN2js10AutoLockGCD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js10AutoLockGCD2Ev($2); //@line 1792 "./jscntxt.h"
  ;
  return; //@line 1795 "./jscntxt.h"
}


function __ZN2js8DebuggerD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $4=(($2)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=(($4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($2)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7+4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($10)>>2)]=$6; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($2)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11+4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($2)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($14)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16+4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($17)>>2)]=$13; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      __label__ = 4; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=(($2+152)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED1Ev($20); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($2+116)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEED1Ev($21); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($2+80)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEED1Ev($22); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($2+52)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED1Ev($23); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($2+12)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($24); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEED2Ev($2); //@line 189 "./jsweakmap.h"
  ;
  return; //@line 189 "./jsweakmap.h"
}


function __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN8JSObject10setPrivateEPv($this, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$data;
  var $3=$1;
  var $4=$2; //@line 1004 "./jsobj.h"
  var $5=(($3+24)|0); //@line 1004 "./jsobj.h"
  HEAP32[(($5)>>2)]=$4; //@line 1004 "./jsobj.h"
  ;
  return; //@line 1005 "./jsobj.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js14BreakpointSite15getScriptObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 433 "./vm/Debugger.h"
  var $4=HEAP32[(($3)>>2)]; //@line 433 "./vm/Debugger.h"
  ;
  return $4; //@line 433 "./vm/Debugger.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+4)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js8Debugger10toJSObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 502 "./vm/Debugger.h"
  var $4=HEAP32[(($3)>>2)]; //@line 502 "./vm/Debugger.h"
  ;
  return $4; //@line 502 "./vm/Debugger.h"
}


function __ZN2js8Debugger4initEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ok;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+52)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($4, 0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($5) { __label__ = 2; break; } else { var $25 = 0;__label__ = 6; break; } //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $7=(($3+80)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$7; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8+8)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$9; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($10, 0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { var $25 = 0;__label__ = 6; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=(($3+12)|0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj($13, 0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 4; break; } else { var $25 = 0;__label__ = 6; break; } //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $16=(($3+116)|0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$16; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17+8)|0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$18; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($19, 0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 5; break; } else { var $25 = 0;__label__ = 6; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $22=(($3+152)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($22, 0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25 = $23;__label__ = 6; break;
    case 6: 
      var $25;
      var $26=(($25)&1);
      $ok=$26;
      var $27=$ok; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27) & 1); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $30=$2; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($30); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $32=$ok; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32) & 1); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $33; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js8Debugger17fromChildJSObjectEP8JSObject($obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $dbgobj;
  var $2=__stackBase__;
  $1=$obj;
  var $3=$1; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  __ZNK8JSObject15getReservedSlotEj($2, $3, 0); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $4=__ZNK2JS5Value8toObjectEv($2); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  $dbgobj=$4; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$dbgobj; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=__ZN2js8Debugger12fromJSObjectEP8JSObject($5); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  STACKTOP = __stackBase__;
  return $6; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZNK8JSObject15getReservedSlotEj($agg_result, $this, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$index;
      var $3=$1;
      var $4=$2; //@line 380 "./jsobjinlines.h"
      var $5=__ZNK8JSObject8numSlotsEv($3); //@line 380 "./jsobjinlines.h"
      var $6=(($4)>>>0) < (($5)>>>0); //@line 380 "./jsobjinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 380 "./jsobjinlines.h"
    case 2: 
      var $8=$2; //@line 380 "./jsobjinlines.h"
      var $9=__ZNK8JSObject7getSlotEj($3, $8); //@line 380 "./jsobjinlines.h"
      var $10=$agg_result; //@line 380 "./jsobjinlines.h"
      var $11=$9; //@line 380 "./jsobjinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 380 "./jsobjinlines.h"
      __label__ = 4; break; //@line 380 "./jsobjinlines.h"
    case 3: 
      __ZN2JSL14UndefinedValueEv($agg_result); //@line 380 "./jsobjinlines.h"
      __label__ = 4; break; //@line 380 "./jsobjinlines.h"
    case 4: 
      ;
      return; //@line 380 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value8toObjectEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 524 "./jsapi.h"
  var $5=$2; //@line 524 "./jsapi.h"
  var $6=$4; //@line 524 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 524 "./jsapi.h"
  var $7=_JSVAL_TO_OBJECT_IMPL($2); //@line 524 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 524 "./jsapi.h"
}


function __ZN2js8Debugger12fromJSObjectEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 509 "./vm/Debugger.h"
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 509 "./vm/Debugger.h"
  var $4=$3; //@line 509 "./vm/Debugger.h"
  ;
  return $4; //@line 509 "./vm/Debugger.h"
}


function __ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE($this, $cx, $fp, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $p=__stackBase__+4;
      var $6=__stackBase__+12;
      var $proto;
      var $7=__stackBase__+20;
      var $frameobj=__stackBase__+28;
      var $8=__stackBase__+32;
      $2=$this;
      $3=$cx;
      HEAP32[(($4)>>2)]=$fp;
      $5=$vp;
      var $9=$2;
      var $10=(($9+52)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($p, $10, $4); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$p; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($6, $11); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12={ f0: HEAP32[(($6)>>2)], f1: HEAP32[(($6+4)>>2)] }; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$12.f0; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)|0)!=0; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16=(($9+8)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($7, $17, 0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK2JS5Value8toObjectEv($7); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $proto=$18; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$3; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$proto; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($19, _DebuggerFrame_class, $20, 0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($frameobj)>>2)]=$21; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=HEAP32[(($frameobj)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($22)|0)!=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $25=HEAP32[(($frameobj)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$3; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($25, $26); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $30=HEAP32[(($frameobj)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=HEAP32[(($4)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$31; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject10setPrivateEPv($30, $32); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=HEAP32[(($frameobj)>>2)]; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($9+8)|0); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($8, $35); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($33, 0, $8); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($9+52)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($36, $p, $4, $frameobj); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $39=$3; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($39); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __label__ = 8; break; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $42=$5; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$p; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($43); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($44+4)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($42, $46); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $48=$1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE["X"]=1;

function __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 4, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb1($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZN8JSObject24ensureClassReservedSlotsEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSObject11nativeEmptyEv($3); //@line 374 "./jsobjinlines.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 1;__label__ = 3; break; } //@line 374 "./jsobjinlines.h"
    case 2: 
      var $6=$2; //@line 374 "./jsobjinlines.h"
      var $7=__ZN8JSObject38ensureClassReservedSlotsForEmptyObjectEP9JSContext($3, $6); //@line 374 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break; //@line 374 "./jsobjinlines.h"
    case 3: 
      var $9;
      ;
      return $9; //@line 374 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($this, $index, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$index;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 387 "./jsobjinlines.h"
  var $6=$3; //@line 387 "./jsobjinlines.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($4, $5, $6); //@line 387 "./jsobjinlines.h"
  ;
  return; //@line 388 "./jsobjinlines.h"
}


function __ZN2JSL11ObjectValueER8JSObject($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js8Debugger7getHookENS0_4HookE($this, $hook) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $3=__stackBase__;
      $1=$this;
      $2=$hook;
      var $4=$1;
      var $5=(($4+8)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7+3)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($3, $6, $8); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $v=$3; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$v; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZNK2JS5Value11isUndefinedEv($9); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16 = 0;__label__ = 4; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$v; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK2JS5Value8toObjectEv($13); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16 = $14;__label__ = 4; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $16; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value11isUndefinedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 368 "./jsapi.h"
  var $5=$2; //@line 368 "./jsapi.h"
  var $6=$4; //@line 368 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 368 "./jsapi.h"
  var $7=_JSVAL_IS_UNDEFINED_IMPL($2); //@line 368 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 368 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 368 "./jsapi.h"
}


function __ZNK2js8Debugger15hasAnyLiveHooksEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bp;
      var $holder;
      var $r=__stackBase__;
      var $4=__stackBase__+8;
      $2=$this;
      $3=$cx;
      var $5=$2;
      var $6=(($5+40)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=HEAP8[($6)]; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7) & 1); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 22; break; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $11=__ZNK2js8Debugger7getHookENS0_4HookE($5, 0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)|0)!=0; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $14=__ZNK2js8Debugger7getHookENS0_4HookE($5, 1); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($14)|0)!=0; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $17=__ZNK2js8Debugger7getHookENS0_4HookE($5, 2); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17)|0)!=0; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $20=__ZNK2js8Debugger7getHookENS0_4HookE($5, 3); //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20)|0)!=0; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=1; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 22; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $24=__ZNK2js8Debugger15firstBreakpointEv($5); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$24; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $26=$bp; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26)|0)!=0; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $29=$bp; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29+4)|0); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=__ZNK2js14BreakpointSite15getScriptObjectEv($31); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $holder=$32; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$holder; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($33)|0)!=0; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($34) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $36=$3; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$holder; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$37; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__Z20IsAboutToBeFinalizedP9JSContextPKv($36, $38); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      $1=1; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 22; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      __label__ = 14; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $43=$bp; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=__ZN2js10Breakpoint14nextInDebuggerEv($43); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$44; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $46=(($5+52)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($r, $46); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $48=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($r); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=$48 ^ 1; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($49) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $51=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($r); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($51+4)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($4, $53, 2); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=__ZNK2JS5Value11isUndefinedEv($4); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($54) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      $1=1; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 22; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      __label__ = 20; break; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($r); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      $1=0; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 22; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $60=$1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $60; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js8Debugger15hasAnyLiveHooksEP9JSContext["X"]=1;

function __ZNK2js8Debugger15firstBreakpointEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+44)|0); //@line 493 "./vm/Debugger.h"
      var $5=(($4)|0); //@line 493 "./vm/Debugger.h"
      var $6=HEAP32[(($5)>>2)]; //@line 493 "./vm/Debugger.h"
      var $7=(($3+44)|0); //@line 493 "./vm/Debugger.h"
      var $8=(($6)|0)==(($7)|0); //@line 493 "./vm/Debugger.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 493 "./vm/Debugger.h"
    case 2: 
      $1=0; //@line 494 "./vm/Debugger.h"
      __label__ = 4; break; //@line 494 "./vm/Debugger.h"
    case 3: 
      var $11=(($3+44)|0); //@line 495 "./vm/Debugger.h"
      var $12=(($11)|0); //@line 495 "./vm/Debugger.h"
      var $13=HEAP32[(($12)>>2)]; //@line 495 "./vm/Debugger.h"
      var $14=__ZN2js10Breakpoint17fromDebuggerLinksEP10JSCListStr($13); //@line 495 "./vm/Debugger.h"
      $1=$14; //@line 495 "./vm/Debugger.h"
      __label__ = 4; break; //@line 495 "./vm/Debugger.h"
    case 4: 
      var $16=$1; //@line 496 "./vm/Debugger.h"
      ;
      return $16; //@line 496 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+12)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15AutoValueVectorC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2455 "./jscntxt.h"
  __ZN2js15AutoValueVectorC2EP9JSContext($3, $4); //@line 2455 "./jscntxt.h"
  ;
  return; //@line 2455 "./jscntxt.h"
}


function __ZNK9JSContext2fpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 986 "./jscntxt.h"
  var $4=__ZNK2js12ContextStack2fpEv($3); //@line 986 "./jscntxt.h"
  ;
  return $4; //@line 986 "./jscntxt.h"
}


function __ZNK2js10StackFrame10scopeChainEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 841 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 841 "./vm/Stack.h"
      var $5=$4 & 524288; //@line 841 "./vm/Stack.h"
      var $6=(($5)|0)!=0; //@line 841 "./vm/Stack.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 841 "./vm/Stack.h"
    case 2: 
      var $8=__ZNK2js10StackFrame6calleeEv($2); //@line 842 "./vm/Stack.h"
      var $9=__ZNK8JSObject9getParentEv($8); //@line 842 "./vm/Stack.h"
      var $10=(($2+12)|0); //@line 842 "./vm/Stack.h"
      HEAP32[(($10)>>2)]=$9; //@line 842 "./vm/Stack.h"
      var $11=(($2)|0); //@line 843 "./vm/Stack.h"
      var $12=HEAP32[(($11)>>2)]; //@line 843 "./vm/Stack.h"
      var $13=$12 | 524288; //@line 843 "./vm/Stack.h"
      HEAP32[(($11)>>2)]=$13; //@line 843 "./vm/Stack.h"
      __label__ = 3; break; //@line 844 "./vm/Stack.h"
    case 3: 
      var $15=(($2+12)|0); //@line 845 "./vm/Stack.h"
      var $16=HEAP32[(($15)>>2)]; //@line 845 "./vm/Stack.h"
      ;
      return $16; //@line 845 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js8Debugger18observesEnterFrameEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+40)|0); //@line 515 "./vm/Debugger.h"
      var $4=HEAP8[($3)]; //@line 515 "./vm/Debugger.h"
      var $5=(($4) & 1); //@line 515 "./vm/Debugger.h"
      if ($5) { __label__ = 2; break; } else { var $10 = 0;__label__ = 3; break; } //@line 515 "./vm/Debugger.h"
    case 2: 
      var $7=__ZNK2js8Debugger7getHookENS0_4HookE($2, 3); //@line 515 "./vm/Debugger.h"
      var $8=(($7)|0)!=0; //@line 515 "./vm/Debugger.h"
      var $10 = $8;__label__ = 3; break;
    case 3: 
      var $10;
      ;
      return $10; //@line 516 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($this, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$v;
  var $4=$1;
  var $5=(($4+12)|0); //@line 2394 "./jscntxt.h"
  var $6=$2; //@line 2394 "./jscntxt.h"
  var $7=$3; //@line 2394 "./jscntxt.h"
  var $8=$6; //@line 2394 "./jscntxt.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 2394 "./jscntxt.h"
  var $9=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6appendIS2_EEbT_($5, $3); //@line 2394 "./jscntxt.h"
  STACKTOP = __stackBase__;
  return $9; //@line 2394 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2432 "./jscntxt.h"
  var $4=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 2432 "./jscntxt.h"
  ;
  return $4; //@line 2432 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2435 "./jscntxt.h"
  var $4=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv($3); //@line 2435 "./jscntxt.h"
  ;
  return $4; //@line 2435 "./jscntxt.h"
}


function __ZN2js8Debugger20slowPathOnEnterFrameEP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $triggered=__stackBase__;
      var $global=__stackBase__+92;
      var $debuggers;
      var $p;
      var $dbg;
      var $2=__stackBase__+96;
      var $3;
      var $p1;
      var $dbg2;
      $1=$cx;
      var $4=$1; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($triggered, $4); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=$1; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=__ZNK9JSContext2fpEv($5); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=__ZNK2js10StackFrame10scopeChainEv($6); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZNK8JSObject9getGlobalEv($7); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($global)>>2)]=$8; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($global)>>2)]; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZN2js12GlobalObject12getDebuggersEv($9); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggers=$10; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$debuggers; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)|0)!=0; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 10; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $14=$debuggers; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($14); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$15; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $17=$p; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$debuggers; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($18); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($17)|0)!=(($19)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $22=$p; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$23; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$dbg; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK2js8Debugger18observesEnterFrameEv($24); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $27=$triggered; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$dbg; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2js8Debugger10toJSObjectEv($28); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($2, $29); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($27, $2); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $3=1;
      __label__ = 18; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __label__ = 8; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $34=$p; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34+4)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$35; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      __label__ = 10; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $38=$triggered; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($38); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p1=$39; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $41=$p1; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$triggered; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv($42); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($41)|0)!=(($43)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 17; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $46=$p1; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=__ZNK2JS5Value8toObjectEv($46); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=__ZN2js8Debugger12fromJSObjectEP8JSObject($47); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg2=$48; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=$dbg2; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49+12)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3hasERKS2_($50, $global); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($51) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $53=$dbg2; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=__ZNK2js8Debugger18observesEnterFrameEv($53); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($54) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $56=$dbg2; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=$1; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger14fireEnterFrameEP9JSContext($56, $57); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      __label__ = 16; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $60=$p1; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=(($60+8)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p1=$61; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      $3=0; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 18; break; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      __ZN2js15AutoValueVectorD1Ev($triggered); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$3;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 19; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 19: 
      STACKTOP = __stackBase__;
      return; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger20slowPathOnEnterFrameEP9JSContext["X"]=1;

function __ZNK2js10StackFrame13isScriptFrameEv($this) {
  ;
  var __label__;

  var $1;
  var $retval;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 458 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 458 "./vm/Stack.h"
  var $5=$4 & 3; //@line 458 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 458 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 458 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 458 "./vm/Stack.h"
  var $9=(($8)&1); //@line 458 "./vm/Stack.h"
  $retval=$9; //@line 458 "./vm/Stack.h"
  var $10=$retval; //@line 460 "./vm/Stack.h"
  var $11=(($10) & 1); //@line 460 "./vm/Stack.h"
  ;
  return $11; //@line 460 "./vm/Stack.h"
}


function __ZNK2js10StackFrame11isEvalFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 477 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 477 "./vm/Stack.h"
  var $5=$4 & 8; //@line 477 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 477 "./vm/Stack.h"
  ;
  return $6; //@line 477 "./vm/Stack.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK8JSObject8getClassEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 557 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 557 "./jsobj.h"
  ;
  return $4; //@line 557 "./jsobj.h"
}


function __ZNK8JSObject10getPrivateEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 999 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 999 "./jsobj.h"
  ;
  return $4; //@line 999 "./jsobj.h"
}


function __ZN9JSContext18isExceptionPendingEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 1306 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1306 "./jscntxt.h"
  var $5=(($4)|0)!=0; //@line 1306 "./jscntxt.h"
  ;
  return $5; //@line 1306 "./jscntxt.h"
}


function __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3hasERKS2_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$l;
  var $5=$1;
  var $6=(($5)|0); //@line 1337 "./jshashtable.h"
  var $7=$2; //@line 1337 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_($3, $6, $7); //@line 1337 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($4, $3); //@line 1337 "./jshashtable.h"
  var $8={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 1337 "./jshashtable.h"
  var $9=$8.f0; //@line 1337 "./jshashtable.h"
  var $10=(($9)|0)!=0; //@line 1337 "./jshashtable.h"
  var $11=(($9)|0)!=0; //@line 1337 "./jshashtable.h"
  var $12=$8.f1; //@line 1337 "./jshashtable.h"
  var $13=(($12)|0)!=0; //@line 1337 "./jshashtable.h"
  var $14=$11 & $13; //@line 1337 "./jshashtable.h"
  var $15=$10 | $14; //@line 1337 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $15; //@line 1337 "./jshashtable.h"
}


function __ZN2js15AutoValueVectorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15AutoValueVectorD2Ev($2); //@line 2447 "./jscntxt.h"
  ;
  return; //@line 2447 "./jscntxt.h"
}


function __ZN2js8Debugger20slowPathOnLeaveFrameEP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $fp=__stackBase__;
      var $global;
      var $debuggers;
      var $p;
      var $dbg;
      var $p1=__stackBase__+4;
      var $2=__stackBase__+8;
      var $frame;
      var $frameobj;
      var $3=__stackBase__+16;
      var $4=__stackBase__+24;
      var $script;
      $1=$cx;
      var $5=$1; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=__ZNK9JSContext2fpEv($5); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($fp)>>2)]=$6; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=HEAP32[(($fp)>>2)]; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZNK8JSObject9getGlobalEv($8); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $global=$9; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$global; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZN2js12GlobalObject12getDebuggersEv($10); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggers=$11; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$debuggers; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12)|0)!=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 12; break; } //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $15=$debuggers; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($15); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$16; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $18=$p; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$debuggers; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($19); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($18)|0)!=(($20)|0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $23=$p; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$24; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$dbg; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($25+52)|0); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($p1, $26, $fp); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($2, $p1); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27={ f0: HEAP32[(($2)>>2)], f1: HEAP32[(($2+4)>>2)] }; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$27.f0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28)|0)!=0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $31=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($p1); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31)|0); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $frame=$33; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($p1); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34+4)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $frameobj=$36; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$frameobj; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject10setPrivateEPv($37, 0); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$frameobj; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($3, $38, 2); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2JS5Value11isUndefinedEv($3); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $41=$frame; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZNK2js10StackFrame13isScriptFrameEv($41); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $44=$frame; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=__ZNK2js10StackFrame6scriptEv($44); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$1; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=__ZN8JSScript19changeStepModeCountEP9JSContexti($45, $46, -1); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $49=$dbg; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49+52)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$4; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$p1; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE($50, $4); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      __label__ = 10; break; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $55=$p; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($55+4)|0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$56; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      __label__ = 12; break; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $59=HEAP32[(($fp)>>2)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=__ZNK2js10StackFrame11isEvalFrameEv($59); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $62=HEAP32[(($fp)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=__ZNK2js10StackFrame6scriptEv($62); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$63; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=$script; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=$64; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=__ZNK2js2gc4Cell11compartmentEv($65); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=$1; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=$script; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN13JSCompartment18clearBreakpointsInEP9JSContextPN2js8DebuggerEP8JSScriptP8JSObject($66, $67, 0, $68, 0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      STACKTOP = __stackBase__;
      return; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger20slowPathOnLeaveFrameEP9JSContext["X"]=1;

function __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js10StackFrame6scriptEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame15isFunctionFrameEv($2); //@line 594 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 594 "./vm/Stack.h"
    case 2: 
      var $5=__ZNK2js10StackFrame11isEvalFrameEv($2); //@line 595 "./vm/Stack.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 595 "./vm/Stack.h"
    case 3: 
      var $7=(($2+8)|0); //@line 595 "./vm/Stack.h"
      var $8=$7; //@line 595 "./vm/Stack.h"
      var $9=HEAP32[(($8)>>2)]; //@line 595 "./vm/Stack.h"
      var $14 = $9;__label__ = 5; break; //@line 595 "./vm/Stack.h"
    case 4: 
      var $11=__ZNK2js10StackFrame3funEv($2); //@line 595 "./vm/Stack.h"
      var $12=__ZNK10JSFunction6scriptEv($11); //@line 595 "./vm/Stack.h"
      var $14 = $12;__label__ = 5; break; //@line 595 "./vm/Stack.h"
    case 5: 
      var $14; //@line 595 "./vm/Stack.h"
      var $20 = $14;__label__ = 7; break; //@line 595 "./vm/Stack.h"
    case 6: 
      var $16=(($2+4)|0); //@line 595 "./vm/Stack.h"
      var $17=$16; //@line 595 "./vm/Stack.h"
      var $18=HEAP32[(($17)>>2)]; //@line 595 "./vm/Stack.h"
      var $20 = $18;__label__ = 7; break; //@line 595 "./vm/Stack.h"
    case 7: 
      var $20; //@line 595 "./vm/Stack.h"
      ;
      return $20; //@line 595 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($this, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $p=__stackBase__+4;
      var $5=__stackBase__+12;
      var $proto;
      var $6=__stackBase__+20;
      var $dobj=__stackBase__+28;
      var $7=__stackBase__+32;
      $2=$this;
      $3=$cx;
      $4=$vp;
      var $8=$2;
      var $9=$3; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($8+8)|0); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($9, $11); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$4; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK2JS5Value8isObjectEv($12); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $15=$4; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2JS5Value8toObjectEv($15); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($obj)>>2)]=$16; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($8+80)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$17; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18+8)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$19; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($p, $20, $obj); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$p; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($5, $21); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$22.f0; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23)|0)!=0; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $26=$4; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$p; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($27); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28+4)|0); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($26, $30); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $32=(($8+8)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($6, $33, 1); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZNK2JS5Value8toObjectEv($6); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $proto=$34; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$3; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$proto; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($35, _DebuggerObject_class, $36, 0); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($dobj)>>2)]=$37; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=HEAP32[(($dobj)>>2)]; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($38)|0)!=0; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $41=HEAP32[(($dobj)>>2)]; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$3; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($41, $42); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($43) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $46=HEAP32[(($dobj)>>2)]; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=HEAP32[(($obj)>>2)]; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$47; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject10setPrivateEPv($46, $48); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=HEAP32[(($dobj)>>2)]; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($8+8)|0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($7, $51); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($49, 0, $7); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($8+80)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$52; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=(($53+8)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=$54; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_SG_($55, $p, $obj, $dobj); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($56) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $58=$3; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($58); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $60=$4; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=HEAP32[(($dobj)>>2)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($60, $61); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 14; break; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $64=$3; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=(($64+56)|0); //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=$3; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=$4; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($66, $67, $68); //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($69) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $71=$4; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($71); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      $1=1; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $75=$1; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $75; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE["X"]=1;

function __ZNK2JS5Value8isObjectEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 408 "./jsapi.h"
  var $5=$2; //@line 408 "./jsapi.h"
  var $6=$4; //@line 408 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 408 "./jsapi.h"
  var $7=_JSVAL_IS_OBJECT_IMPL($2); //@line 408 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 408 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 408 "./jsapi.h"
}


function __ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 6, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_SG_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$p;
  $3=$k;
  $4=$v;
  var $6=$1;
  var $7=(($6)|0); //@line 1075 "./jshashtable.h"
  var $8=$2; //@line 1075 "./jshashtable.h"
  var $9=$3; //@line 1075 "./jshashtable.h"
  var $10=$3; //@line 1075 "./jshashtable.h"
  var $11=$4; //@line 1075 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectS2_EC1ERKS2_S5_($5, $10, $11); //@line 1075 "./jshashtable.h"
  var $12=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E13relookupOrAddERNSC_6AddPtrERKS4_RKS5_($7, $8, $9, $5); //@line 1075 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $12; //@line 1075 "./jshashtable.h"
}


function __ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($this, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $dobj;
      var $owner=__stackBase__+8;
      $2=$this;
      $3=$cx;
      $4=$vp;
      var $6=$2;
      var $7=$3; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($6+8)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$4; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$5; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$10; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueEEEvP9JSContextT_T0_($7, $9, $5); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$4; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK2JS5Value8isObjectEv($13); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16=$4; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK2JS5Value8toObjectEv($16); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dobj=$17; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$dobj; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK8JSObject8getClassEv($18); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0)!=((_DebuggerObject_class)|0); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $22=$3; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$dobj; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK8JSObject8getClassEv($23); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($22, 2, 0, 255, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str2)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str3)|0),HEAP32[((tempInt+8)>>2)]=$26,tempInt)); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $28=$dobj; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($owner, $28, 0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2JS5Value14toObjectOrNullEv($owner); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($6+8)|0); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($29)|0)!=(($31)|0); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $34=$3; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZNK2JS5Value6isNullEv($owner); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$35 ? 279 : 278; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($34, 2, 0, $36, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $38=$4; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$dobj; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZNK8JSObject10getPrivateEv($39); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$40; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($38, $41); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=1; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $44=$1; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE["X"]=1;

function __ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueEEEvP9JSContextT_T0_($cx, $t1, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $t2=__stackBase__;
  $2=$cx;
  $3=$t1;
  var $4=$t2;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  STACKTOP = __stackBase__;
  return; //@line 248 "./jscntxtinlines.h"
}


function __ZNK2JS5Value14toObjectOrNullEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 530 "./jsapi.h"
  var $5=$2; //@line 530 "./jsapi.h"
  var $6=$4; //@line 530 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 530 "./jsapi.h"
  var $7=_JSVAL_TO_OBJECT_IMPL($2); //@line 530 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 530 "./jsapi.h"
}


function __ZNK2JS5Value6isNullEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 373 "./jsapi.h"
  var $5=$2; //@line 373 "./jsapi.h"
  var $6=$4; //@line 373 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 373 "./jsapi.h"
  var $7=_JSVAL_IS_NULL_IMPL($2); //@line 373 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 373 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 373 "./jsapi.h"
}


function __ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($this, $ac, $vp, $callHook) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $cx;
      var $fval=__stackBase__;
      var $exc=__stackBase__+8;
      var $rv=__stackBase__+16;
      var $6=__stackBase__+24;
      $2=$this;
      $3=$ac;
      $4=$vp;
      var $7=(($callHook)&1);
      $5=$7;
      var $8=$2;
      var $9=$3; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $cx=$11; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$cx; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZN9JSContext18isExceptionPendingEv($12); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $15=$5; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15) & 1); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $18=(($8+36)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0)!=0; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $22=(($8+36)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($fval, $23); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$cx; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext19getPendingExceptionEv($exc, $24); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$cx; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext21clearPendingExceptionEv($25); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$cx; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($8+8)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($6, $28); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($26, $6, $fval, 1, $exc, $rv); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $31=$4; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31)|0)!=0; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $34=$3; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$4; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZN2js8Debugger20parseResumptionValueERNS_15AutoCompartmentEbRKN2JS5ValueEPS4_b($8, $34, 1, $rv, $35, 0); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39 = $36;__label__ = 8; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $39 = 1;__label__ = 8; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $39; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$39; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      __label__ = 10; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $42=$cx; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZN9JSContext18isExceptionPendingEv($42); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $45=$cx; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=_JS_ReportPendingException($45); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$cx; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext21clearPendingExceptionEv($47); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      __label__ = 13; break; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $50=$3; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoCompartment5leaveEv($50); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $52=$1; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $52; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb["X"]=1;

function __ZN9JSContext19getPendingExceptionEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 1311 "./jscntxt.h"
  var $4=$agg_result; //@line 1311 "./jscntxt.h"
  var $5=$3; //@line 1311 "./jscntxt.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 1311 "./jscntxt.h"
  ;
  return; //@line 1311 "./jscntxt.h"
}


function __ZN9JSContext21clearPendingExceptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 1317 "./jscntxt.h"
  HEAP32[(($3)>>2)]=0; //@line 1317 "./jscntxt.h"
  var $4=(($2+24)|0); //@line 1318 "./jscntxt.h"
  __ZN2JS5Value12setUndefinedEv($4); //@line 1318 "./jscntxt.h"
  ;
  return; //@line 1319 "./jscntxt.h"
}


function __ZN2js8Debugger14fireEnterFrameEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $hook;
      var $fp;
      var $ac=__stackBase__;
      var $3;
      var $argv=__stackBase__+52;
      var $rv=__stackBase__+60;
      var $4=__stackBase__+68;
      var $5=__stackBase__+76;
      $1=$this;
      $2=$cx;
      var $6=$1;
      var $7=__ZNK2js8Debugger7getHookENS0_4HookE($6, 3); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $hook=$7; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZNK9JSContext2fpEv($8); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$9; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$2; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($6+8)|0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $10, $12); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZN2js15AutoCompartment5enterEv($ac); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $3=1;
      __label__ = 8; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $16=$2; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$fp; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($argv)|0); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE($6, $16, $17, $18); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($6, $ac, 0, 0); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $3=1;
      __label__ = 8; break; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $23=$2; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($6+8)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($4, $25); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$hook; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($5, $26); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($argv)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($23, $4, $5, 1, $27, $rv); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $30=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($6, $ac, 0, 1); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $3=0; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$3;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 9; break;
      }
      else {
      __label__ = 10; break;
      }
      
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger14fireEnterFrameEP9JSContext["X"]=1;

function __ZNK8JSObject8isObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1545 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1545 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js11ObjectClassE)|0); //@line 1545 "./jsobj.h"
  ;
  return $5; //@line 1545 "./jsobj.h"
}


function __ZNK8JSObject12lastPropertyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1050 "./jsobjinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1050 "./jsobjinlines.h"
  ;
  return $4; //@line 1050 "./jsobjinlines.h"
}


function __ZNK2js5Shape8previousEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 463 "./jsscope.h"
  var $4=HEAP32[(($3)>>2)]; //@line 463 "./jsscope.h"
  ;
  return $4; //@line 463 "./jsscope.h"
}


function __ZNK2js5Shape16isDataDescriptorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 599 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 599 "./jsscope.h"
  var $5=(($4)&255); //@line 599 "./jsscope.h"
  var $6=$5 & 48; //@line 599 "./jsscope.h"
  var $7=(($6)|0)==0; //@line 599 "./jsscope.h"
  ;
  return $7; //@line 599 "./jsscope.h"
}


function __ZN2js8Debugger20parseResumptionValueERNS_15AutoCompartmentEbRKN2JS5ValueEPS4_b($this, $ac, $ok, $rv, $vp, $callHook) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $cx;
      var $obj;
      var $shape;
      var $returnId;
      var $throwId;
      var $okResumption;
      $2=$this;
      $3=$ac;
      var $8=(($ok)&1);
      $4=$8;
      $5=$rv;
      $6=$vp;
      var $9=(($callHook)&1);
      $7=$9;
      var $10=$2;
      var $11=$6; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($11); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$4; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12) & 1); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $15=$3; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$6; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$7; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17) & 1); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($10, $15, $16, $18); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$19; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $21=$5; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2JS5Value11isUndefinedEv($21); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $24=$3; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoCompartment5leaveEv($24); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $26=$5; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK2JS5Value6isNullEv($26); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $29=$3; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoCompartment5leaveEv($29); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $31=$3; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $cx=$33; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$cx; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34+52)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36+209948)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($37+540)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$39; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom($40); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $returnId=$41; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$cx; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42+52)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($44+209948)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45+544)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$47; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=__ZL12ATOM_TO_JSIDP6JSAtom($48); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $throwId=$49; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=$5; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=__ZNK2JS5Value8isObjectEv($50); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($51)&1); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $okResumption=$52; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$okResumption; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=(($53) & 1); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($54) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $56=$5; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=__ZNK2JS5Value8toObjectEv($56); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$57; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$obj; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=__ZNK8JSObject8isObjectEv($58); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=(($59)&1); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $okResumption=$60; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $62=$okResumption; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=(($62) & 1); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($63) { __label__ = 10; break; } else { __label__ = 16; break; } //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $65=$obj; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=__ZNK8JSObject12lastPropertyEv($65); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $shape=$66; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=$shape; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=__ZNK2js5Shape8previousEv($67); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=(($68)|0)!=0; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($69) { __label__ = 11; break; } else { var $91 = 0;__label__ = 15; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $71=$shape; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=__ZNK2js5Shape8previousEv($71); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=__ZNK2js5Shape8previousEv($72); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=(($73)|0)!=0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($74) { var $91 = 0;__label__ = 15; break; } else { __label__ = 12; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $76=$shape; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=(($76+12)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=$returnId; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=(($78)|0)==(($79)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($80) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $82=$shape; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=(($82+12)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=$throwId; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=(($84)|0)==(($85)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($86) { __label__ = 14; break; } else { var $91 = 0;__label__ = 15; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $88=$shape; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=__ZNK2js5Shape16isDataDescriptorEv($88); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91 = $89;__label__ = 15; break;
    case 15: 
      var $91;
      var $92=(($91)&1);
      $okResumption=$92;
      __label__ = 16; break; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $94=$okResumption; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=(($94) & 1); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($95) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $97=$cx; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($97, 2, 0, 275, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=$3; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=$6; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=$7; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=(($100) & 1); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $102=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($10, $98, $99, $101); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$102; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $104=$cx; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $105=$obj; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $106=$obj; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $107=$shape; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $108=$6; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $109=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($104, $105, $106, $107, 0, $108); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $110=(($109)|0)!=0; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($110) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $112=$cx; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $113=$6; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $114=__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($10, $112, $113); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($114) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $116=$3; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $117=$6; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $118=$7; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $119=(($118) & 1); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $120=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($10, $116, $117, $119); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$120; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $122=$3; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoCompartment5leaveEv($122); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $123=$cx; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $124=(($123+56)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $126=$cx; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $127=$6; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $128=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($125, $126, $127); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($128) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $130=$6; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($130); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $132=$shape; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $133=(($132+12)|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $135=$returnId; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $136=(($134)|0)==(($135)|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $137=$136 ? 2 : 3; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$137; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $139=$1; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $139; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger20parseResumptionValueERNS_15AutoCompartmentEbRKN2JS5ValueEPS4_b["X"]=1;

function __ZN2js8Debugger18newCompletionValueERNS_15AutoCompartmentEbN2JS5ValueEPS4_($this, $ac, $ok, $0, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $val=__stackBase__;
      var $6;
      var $cx;
      var $key;
      var $7=__stackBase__+8;
      var $obj;
      $3=$this;
      $4=$ac;
      var $8=(($ok)&1);
      $5=$8;
      var $9=$val;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $6=$vp;
      var $11=$3;
      var $12=$4; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $cx=$14; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$5; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15) & 1); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $18=$4; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoCompartment5leaveEv($18); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$cx; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19+52)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21+209948)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($22+540)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$24; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZL12ATOM_TO_JSIDP6JSAtom($25); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $key=$26; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $28=$cx; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN9JSContext18isExceptionPendingEv($28); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $31=$cx; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31+52)|0); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($33+209948)|0); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34+544)|0); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$36; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=__ZL12ATOM_TO_JSIDP6JSAtom($37); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $key=$38; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$cx; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext19getPendingExceptionEv($7, $39); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$val; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$7; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$cx; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext21clearPendingExceptionEv($42); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$4; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoCompartment5leaveEv($43); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $45=$4; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoCompartment5leaveEv($45); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$6; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value7setNullEv($46); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $2=1; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      var $49=$cx; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE($49, __ZN2js11ObjectClassE); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$50; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$obj; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($51)|0)!=0; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($52) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $54=$cx; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($11, $54, $val); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($55) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $57=$cx; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$obj; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=$key; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($57, $58, $59, $val, 8, 10, 1, 0, 0, 0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=(($60)|0)!=0; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($61) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $2=0; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $64=$6; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=$obj; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($64, $65); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $2=1; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $67=$2; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $67; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger18newCompletionValueERNS_15AutoCompartmentEbN2JS5ValueEPS4_["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb1($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __Z19CallMethodIfPresentP9JSContextP8JSObjectPKciPN2JS5ValueES7_($cx, $obj, $name, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $atom;
      var $fval=__stackBase__;
      var $7=__stackBase__+8;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$argc;
      $5=$argv;
      $6=$rval;
      var $8=$6; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($8); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$1; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$3; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$3; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=_strlen($11); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($9, $10, $12, 0, 0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $atom=$13; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$atom; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($14)|0)!=0; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 2; break; } else { var $35 = 0;__label__ = 6; break; } //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $17=$1; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$2; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$atom; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZL12ATOM_TO_JSIDP6JSAtom($19); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($17, $18, $20, 2, $fval); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21)|0)!=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 3; break; } else { var $35 = 0;__label__ = 6; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $24=__ZL13js_IsCallableRKN2JS5ValueE($fval); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($24) { __label__ = 4; break; } else { var $33 = 1;__label__ = 5; break; } //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $26=$1; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$2; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($7, $27); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$4; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$5; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$6; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($26, $7, $fval, $28, $29, $30); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33 = $31;__label__ = 5; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $33;
      var $35 = $33;__label__ = 6; break;
    case 6: 
      var $35;
      STACKTOP = __stackBase__;
      return $35; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13js_IsCallableRKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger21fireDebuggerStatementEP9JSContextPN2JS5ValueE($this, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $hook;
      var $fp;
      var $ac=__stackBase__;
      var $5;
      var $argv=__stackBase__+52;
      var $rv=__stackBase__+60;
      var $ok;
      var $6=__stackBase__+68;
      var $7=__stackBase__+76;
      $2=$this;
      $3=$cx;
      $4=$vp;
      var $8=$2;
      var $9=__ZNK2js8Debugger7getHookENS0_4HookE($8, 0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $hook=$9; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$3; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZNK9JSContext2fpEv($10); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$11; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$3; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($8+8)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $12, $14); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZN2js15AutoCompartment5enterEv($ac); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 6; break; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $18=$3; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$fp; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($argv)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE($8, $18, $19, $20); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $23=$4; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($8, $ac, $23, 0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$24; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 6; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $26=$3; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($8+8)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($6, $28); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$hook; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($7, $29); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($argv)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($26, $6, $7, 1, $30, $rv); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31)&1); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$32; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$ok; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($33) & 1); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$4; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZN2js8Debugger20parseResumptionValueERNS_15AutoCompartmentEbRKN2JS5ValueEPS4_b($8, $ac, $34, $rv, $35, 1); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$36; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 6; break; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$1; //@line 688 "./vm/Debugger.h"
      STACKTOP = __stackBase__;
      return $38; //@line 688 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger21fireDebuggerStatementEP9JSContextPN2JS5ValueE["X"]=1;

function __ZN2js8Debugger19fireExceptionUnwindEP9JSContextPN2JS5ValueE($this, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $hook;
      var $fp;
      var $exc=__stackBase__;
      var $ac=__stackBase__+8;
      var $5;
      var $argv=__stackBase__+60;
      var $rv=__stackBase__+76;
      var $ok;
      var $6=__stackBase__+84;
      var $7=__stackBase__+92;
      var $st;
      var $8=__stackBase__+100;
      $2=$this;
      $3=$cx;
      $4=$vp;
      var $9=$2;
      var $10=__ZNK2js8Debugger7getHookENS0_4HookE($9, 1); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $hook=$10; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$3; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZNK9JSContext2fpEv($11); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$12; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$3; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext19getPendingExceptionEv($exc, $13); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$3; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext21clearPendingExceptionEv($14); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$3; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($9+8)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $15, $17); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZN2js15AutoCompartment5enterEv($ac); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 9; break; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $21=(($argv+8)|0); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$21; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$exc; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$3; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$fp; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($argv)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE($9, $24, $25, $26); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $29=$3; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($argv+8)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($9, $29, $30); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $33=$4; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($9, $ac, $33, 0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$34; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 9; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $36=$3; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($9+8)|0); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($6, $38); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$hook; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($7, $39); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($argv)|0); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($36, $6, $7, 2, $40, $rv); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41)&1); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$42; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$ok; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($43) & 1); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$4; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=__ZN2js8Debugger20parseResumptionValueERNS_15AutoCompartmentEbRKN2JS5ValueEPS4_b($9, $ac, $44, $rv, $45, 1); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $st=$46; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$st; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=(($47)|0)==1; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($48) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $50=$3; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$8; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$exc; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($50, $8); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $54=$st; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$54; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 9; break; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=$1; //@line 716 "./vm/Debugger.h"
      STACKTOP = __stackBase__;
      return $56; //@line 716 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger19fireExceptionUnwindEP9JSContextPN2JS5ValueE["X"]=1;

function __ZN9JSContext19setPendingExceptionEN2JS5ValueE($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  $2=$this;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2;
  var $7=(($6+20)|0); //@line 427 "./jscntxtinlines.h"
  HEAP32[(($7)>>2)]=1; //@line 427 "./jscntxtinlines.h"
  var $8=(($6+24)|0); //@line 428 "./jscntxtinlines.h"
  var $9=$8; //@line 428 "./jscntxtinlines.h"
  var $10=$v; //@line 428 "./jscntxtinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 428 "./jscntxtinlines.h"
  var $11=$3; //@line 429 "./jscntxtinlines.h"
  var $12=$v; //@line 429 "./jscntxtinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 429 "./jscntxtinlines.h"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6, $3); //@line 429 "./jscntxtinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 430 "./jscntxtinlines.h"
}


function __ZN2js8Debugger14wrapHeldScriptEP9JSContextP8JSScriptP8JSObject($this, $cx, $script, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $p=__stackBase__+4;
      var $6=__stackBase__+12;
      var $scriptobj=__stackBase__+20;
      $2=$this;
      $3=$cx;
      $4=$script;
      HEAP32[(($5)>>2)]=$obj;
      var $7=$2;
      var $8=$3; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($7+8)|0); //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($8, $10); //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($7+116)|0); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$11; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12+8)|0); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$13; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($p, $14, $5); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$p; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($6, $15); //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16={ f0: HEAP32[(($6)>>2)], f1: HEAP32[(($6+4)>>2)] }; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$16.f0; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17)|0)!=0; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $20=$3; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$4; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=HEAP32[(($5)>>2)]; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZN2js8Debugger17newDebuggerScriptEP9JSContextP8JSScriptP8JSObject($7, $20, $21, $22); //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($scriptobj)>>2)]=$23; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=HEAP32[(($scriptobj)>>2)]; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24)|0)!=0; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $27=(($7+116)|0); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$27; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28+8)|0); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$29; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_SG_($30, $p, $5, $scriptobj); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $35=$p; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($35); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36+4)|0); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$38; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $40=$1; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger14wrapHeldScriptEP9JSContextP8JSScriptP8JSObject["X"]=1;

function __ZN2js8Debugger17wrapNonHeldScriptEP9JSContextP8JSScript($this, $cx, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $p=__stackBase__+4;
      var $5=__stackBase__+12;
      var $scriptobj=__stackBase__+20;
      $2=$this;
      $3=$cx;
      HEAP32[(($4)>>2)]=$script;
      var $6=$2;
      var $7=$3; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($6+8)|0); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($7, $9); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($6+152)|0); //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($p, $10, $4); //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$p; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $11); //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$12.f0; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)|0)!=0; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16=$3; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP32[(($4)>>2)]; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZN2js8Debugger17newDebuggerScriptEP9JSContextP8JSScriptP8JSObject($6, $16, $17, 0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($scriptobj)>>2)]=$18; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($scriptobj)>>2)]; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0)!=0; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $22=(($6+152)|0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($22, $p, $4, $scriptobj); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $27=$p; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($27); //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28+4)|0); //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$30; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $32=$1; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger13fireNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE($this, $cx, $script, $obj, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $hook;
      var $ac=__stackBase__;
      var $6;
      var $dsobj;
      var $argv=__stackBase__+52;
      var $rv=__stackBase__+60;
      var $7=__stackBase__+68;
      var $8=__stackBase__+76;
      $1=$this;
      $2=$cx;
      $3=$script;
      $4=$obj;
      $5=$kind;
      var $9=$1;
      var $10=__ZNK2js8Debugger7getHookENS0_4HookE($9, 2); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $hook=$10; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$2; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($9+8)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $11, $13); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js15AutoCompartment5enterEv($ac); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $6=1;
      __label__ = 11; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $17=$5; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17)|0)==1; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=$2; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$3; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$4; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZN2js8Debugger14wrapHeldScriptEP9JSContextP8JSScriptP8JSObject($9, $20, $21, $22); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29 = $23;__label__ = 6; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $25=$2; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$3; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZN2js8Debugger17wrapNonHeldScriptEP9JSContextP8JSScript($9, $25, $26); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29 = $27;__label__ = 6; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $29; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dsobj=$29; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$dsobj; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($30)|0)!=0; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $33=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($9, $ac, 0, 0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 11; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $35=(($argv)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$dsobj; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($35, $36); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$2; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($9+8)|0); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($7, $39); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$hook; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($8, $40); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($argv)|0); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($37, $7, $8, 1, $41, $rv); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $44=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($9, $ac, 0, 1); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $6=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 12; break;
      }
      else {
      __label__ = 13; break;
      }
      
    case 12: 
      STACKTOP = __stackBase__;
      return; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger13fireNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE["X"]=1;

function __ZN13JSCompartment12getDebuggeesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+1932)|0); //@line 609 "./jscompartment.h"
  ;
  return $3; //@line 609 "./jscompartment.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN2js8Debugger12dispatchHookEP9JSContextPN2JS5ValueENS0_4HookE($cx, $vp, $which) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $triggered=__stackBase__;
      var $global=__stackBase__+92;
      var $debuggers;
      var $p;
      var $dbg;
      var $5=__stackBase__+96;
      var $6;
      var $p1;
      var $dbg2;
      var $st;
      $2=$cx;
      $3=$vp;
      $4=$which;
      var $7=$2; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($triggered, $7); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZNK9JSContext2fpEv($8); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZNK2js10StackFrame10scopeChainEv($9); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZNK8JSObject9getGlobalEv($10); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($global)>>2)]=$11; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=HEAP32[(($global)>>2)]; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZN2js12GlobalObject12getDebuggersEv($12); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggers=$13; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$debuggers; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($14)|0)!=0; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 12; break; } //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $17=$debuggers; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($17); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$18; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $20=$p; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$debuggers; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($21); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($20)|0)!=(($22)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $25=$p; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$26; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$dbg; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27+40)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=HEAP8[($28)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29) & 1); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $32=$dbg; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$4; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZNK2js8Debugger7getHookENS0_4HookE($32, $33); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)|0)!=0; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $37=$triggered; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$dbg; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2js8Debugger10toJSObjectEv($38); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($5, $39); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($37, $5); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 26; break; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      __label__ = 9; break; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      __label__ = 10; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $45=$p; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45+4)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$46; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      __label__ = 12; break; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $49=$triggered; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($49); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p1=$50; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $52=$p1; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$triggered; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=__ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv($53); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=(($52)|0)!=(($54)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($55) { __label__ = 14; break; } else { __label__ = 25; break; } //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $57=$p1; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=__ZNK2JS5Value8toObjectEv($57); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=__ZN2js8Debugger12fromJSObjectEP8JSObject($58); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg2=$59; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$dbg2; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=(($60+12)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3hasERKS2_($61, $global); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($62) { __label__ = 15; break; } else { __label__ = 23; break; } //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $64=$dbg2; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=(($64+40)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=HEAP8[($65)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=(($66) & 1); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 23; break; } //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $69=$dbg2; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=$4; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=__ZNK2js8Debugger7getHookENS0_4HookE($69, $70); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=(($71)|0)!=0; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($72) { __label__ = 17; break; } else { __label__ = 23; break; } //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $74=$4; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=(($74)|0)==0; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($75) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $77=$dbg2; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=$2; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=$3; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=__ZN2js8Debugger21fireDebuggerStatementEP9JSContextPN2JS5ValueE($77, $78, $79); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87 = $80;__label__ = 20; break; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $82=$dbg2; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=$2; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=$3; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=__ZN2js8Debugger19fireExceptionUnwindEP9JSContextPN2JS5ValueE($82, $83, $84); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87 = $85;__label__ = 20; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $87; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $st=$87; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=$st; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=(($88)|0)!=1; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($89) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $91=$st; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$91; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 26; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      __label__ = 23; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      __label__ = 24; break; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $95=$p1; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=(($95+8)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p1=$96; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      $1=1; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 26; break; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      __ZN2js15AutoValueVectorD1Ev($triggered); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=$1; //@line 805 "./vm/Debugger.h"
      STACKTOP = __stackBase__;
      return $99; //@line 805 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger12dispatchHookEP9JSContextPN2JS5ValueENS0_4HookE["X"]=1;

function __ZL22AddNewScriptRecipientsPN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEPNS_15AutoValueVectorE($src, $dest) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $wasEmpty;
      var $p;
      var $dbg;
      var $v=__stackBase__;
      $2=$src;
      $3=$dest;
      var $4=$3; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=$4; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($5); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)|0)==0; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7)&1); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $wasEmpty=$8; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($9); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$10; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $12=$p; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($13); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($12)|0)!=(($14)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $17=$p; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$18; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$dbg; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZNK2js8Debugger10toJSObjectEv($19); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($v, $20); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$dbg; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2js8Debugger17observesNewScriptEv($21); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $24=$wasEmpty; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24) & 1); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $27=$3; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$27; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($28); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$3; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$30; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=__ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv($31); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZN2jsL4FindIN2JS5ValueEEEPT_S4_S4_RKS3_($29, $32, $v); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$3; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$34; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv($35); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($33)|0)==(($36)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $39=$3; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$39; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($40, $v); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      __label__ = 9; break; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $45=$p; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45+4)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$46; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=1; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $49=$1; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22AddNewScriptRecipientsPN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEPNS_15AutoValueVectorE["X"]=1;

function __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1291 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv($agg_result, $3); //@line 1291 "./jshashtable.h"
  ;
  return; //@line 1291 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+8)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger6onTrapEP9JSContextPN2JS5ValueE($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 120; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fp;
      var $scriptGlobal=__stackBase__;
      var $pc;
      var $site;
      var $op;
      var $triggered=__stackBase__+4;
      var $4=__stackBase__+28;
      var $bp;
      var $5;
      var $p;
      var $bp1;
      var $dbg;
      var $6=__stackBase__+32;
      var $7=__stackBase__+36;
      var $ac=__stackBase__+44;
      var $argv=__stackBase__+96;
      var $rv=__stackBase__+104;
      var $ok;
      var $st;
      var $st2;
      var $8=__stackBase__+112;
      $2=$cx;
      $3=$vp;
      var $9=$2; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZNK9JSContext2fpEv($9); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$10; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$fp; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZNK2js10StackFrame10scopeChainEv($11); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK8JSObject9getGlobalEv($12); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($scriptGlobal)>>2)]=$13; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$2; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK9JSContext4regsEv($14); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15+4)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$17; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$2; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18+56)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$pc; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZN13JSCompartment17getBreakpointSiteEPh($20, $21); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $site=$22; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$site; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23+8)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $op=$25; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$2; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $26); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEC1ES3_($triggered, $4); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$site; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZNK2js14BreakpointSite15firstBreakpointEv($27); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$28; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $30=$bp; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($30)|0)!=0; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($31) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $33=$bp; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($triggered, $33); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $38=$bp; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZN2js10Breakpoint10nextInSiteEv($38); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$39; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $41=__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE5beginEv($triggered); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$41; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $43=$p; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE3endEv($triggered); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($43)|0)!=(($44)|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 25; break; } //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $47=$p; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp1=$48; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=$site; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49)|0)!=0; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $52=$site; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$bp1; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=__ZN2js14BreakpointSite13hasBreakpointEPNS_10BreakpointE($52, $53); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      __label__ = 24; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $57=$bp1; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=(($57)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$59; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$dbg; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=(($60+40)|0); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=HEAP8[($61)]; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=(($62) & 1); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 23; break; } //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $65=$dbg; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=(($65+12)|0); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_($6, $66, $scriptGlobal); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($7, $6); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67={ f0: HEAP32[(($7)>>2)], f1: HEAP32[(($7+4)>>2)] }; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=$67.f0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=(($68)|0)!=0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($69) { __label__ = 14; break; } else { __label__ = 23; break; } //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $71=$2; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=$dbg; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=(($72+8)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $71, $74); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=__ZN2js15AutoCompartment5enterEv($ac); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($75) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      $1=0; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 21; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $78=$dbg; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=$2; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=$fp; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=(($argv)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=__ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE($78, $79, $80, $81); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $84=$dbg; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=$3; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb($84, $ac, $85, 0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$86; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 21; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $88=$2; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=$bp1; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=(($89+8)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $92=(($argv)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=__Z19CallMethodIfPresentP9JSContextP8JSObjectPKciPN2JS5ValueES7_($88, $91, ((STRING_TABLE.__str4)|0), 1, $92, $rv); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=(($93)&1); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$94; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=$dbg; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=$ok; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=(($96) & 1); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=$3; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=__ZN2js8Debugger20parseResumptionValueERNS_15AutoCompartmentEbRKN2JS5ValueEPS4_b($95, $ac, $97, $rv, $98, 1); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $st=$99; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=$st; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=(($100)|0)!=1; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($101) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $103=$st; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$103; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 21; break; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $105=$2; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $106=(($105+56)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $108=$pc; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $109=__ZN13JSCompartment17getBreakpointSiteEPh($107, $108); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $site=$109; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=0; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 21; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 22; break;
      }
      else {
      __label__ = 31; break;
      }
      
    case 22: 
      __label__ = 23; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      __label__ = 24; break; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $114=$p; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=(($114+4)|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$115; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $117=$site; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $118=(($117)|0)!=0; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($118) { __label__ = 26; break; } else { __label__ = 30; break; } //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      var $120=$site; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $121=(($120+28)|0); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $123=(($122)|0)!=0; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($123) { __label__ = 27; break; } else { __label__ = 30; break; } //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      var $125=$site; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $126=(($125+28)|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $128=$2; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $129=$fp; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $130=__ZNK2js10StackFrame6scriptEv($129); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $131=$pc; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $132=$3; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $133=$site; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $134=(($133+32)|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $135=$8; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $136=$134; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($135)>>2)]=HEAP32[(($136)>>2)];HEAP32[(($135+4)>>2)]=HEAP32[(($136+4)>>2)]; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $137=FUNCTION_TABLE[$127]($128, $130, $131, $132, $8); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $st2=$137; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $138=$st2; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $139=(($138)|0)!=1; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($139) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      var $141=$st2; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$141; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      __label__ = 30; break; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      var $144=$3; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $145=$op; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value8setInt32Ei($144, $145); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEED1Ev($triggered); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $147=$1; //@line 913 "./vm/Debugger.h"
      STACKTOP = __stackBase__;
      return $147; //@line 913 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger6onTrapEP9JSContextPN2JS5ValueE["X"]=1;

function __ZNK9JSContext4regsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 988 "./jscntxt.h"
  var $4=__ZNK2js12ContextStack4regsEv($3); //@line 988 "./jscntxt.h"
  ;
  return $4; //@line 988 "./jscntxt.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js15TempAllocPolicyC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 93 "./jsalloc.h"
  __ZN2js15TempAllocPolicyC2EP9JSContext($3, $4); //@line 93 "./jsalloc.h"
  ;
  return; //@line 93 "./jsalloc.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1228 "./jshashtable.h"
  var $5=$2; //@line 1228 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_($agg_result, $4, $5); //@line 1228 "./jshashtable.h"
  ;
  return; //@line 1228 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 12, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS5Value8setInt32Ei($this, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$i;
  var $4=$1;
  var $5=(($4)|0); //@line 258 "./jsapi.h"
  var $6=$2; //@line 258 "./jsapi.h"
  _INT32_TO_JSVAL_IMPL($3, $6); //@line 258 "./jsapi.h"
  var $7=$5; //@line 258 "./jsapi.h"
  var $8=$3; //@line 258 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 258 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 259 "./jsapi.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js8Debugger19slowPathOnNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE($cx, $script, $obj, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $triggered=__stackBase__;
      var $global=__stackBase__+92;
      var $debuggers;
      var $5;
      var $debuggees;
      var $r=__stackBase__+96;
      var $p;
      var $dbg;
      $1=$cx;
      $2=$script;
      $3=$obj;
      $4=$kind;
      var $6=$1; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($triggered, $6); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$7; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8+36)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=HEAPU8[($9)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)&255) >>> 4; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$11 & 1; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12) & 1); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $15=$3; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK8JSObject9getGlobalEv($15); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($global)>>2)]=$16; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP32[(($global)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZN2js12GlobalObject12getDebuggersEv($17); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggers=$18; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$debuggers; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0)!=0; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $22=$debuggers; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZL22AddNewScriptRecipientsPN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEPNS_15AutoValueVectorE($22, $triggered); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $5=1;
      __label__ = 24; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 14; break; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      HEAP32[(($global)>>2)]=0; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$2; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$28; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZNK2js2gc4Cell11compartmentEv($29); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZN13JSCompartment12getDebuggeesEv($30); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggees=$31; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$debuggees; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3allEv($r, $32); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $34=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$34 ^ 1; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $37=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZN2js12GlobalObject12getDebuggersEv($38); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZL22AddNewScriptRecipientsPN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEPNS_15AutoValueVectorE($39, $triggered); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $5=1;
      __label__ = 24; break; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      __label__ = 12; break; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $46=$triggered; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($46); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$47; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $49=$p; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=$triggered; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=__ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv($50); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($49)|0)!=(($51)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 23; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $54=$p; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZNK2JS5Value8toObjectEv($54); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=__ZN2js8Debugger12fromJSObjectEP8JSObject($55); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$56; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=HEAP32[(($global)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=(($57)|0)!=0; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($58) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $60=$dbg; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=(($60+12)|0); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3hasERKS2_($61, $global); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $64=$dbg; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=(($64+40)|0); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=HEAP8[($65)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=(($66) & 1); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($67) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $69=$dbg; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=__ZNK2js8Debugger7getHookENS0_4HookE($69, 2); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=(($70)|0)!=0; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($71) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $73=$dbg; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=$1; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=$2; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=$3; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=$4; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger13fireNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE($73, $74, $75, $76, $77); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 21; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      __label__ = 22; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $80=$p; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=(($80+8)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$81; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      $5=0; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      __ZN2js15AutoValueVectorD1Ev($triggered); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 25; break;
      }
      else {
      __label__ = 26; break;
      }
      
    case 25: 
      STACKTOP = __stackBase__;
      return; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger19slowPathOnNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZN2js8Debugger9fromLinksEP10JSCListStr($links) {
  ;
  var __label__;

  var $1;
  var $p;
  $1=$links;
  var $2=$1; //@line 486 "./vm/Debugger.h"
  var $3=$2; //@line 486 "./vm/Debugger.h"
  $p=$3; //@line 486 "./vm/Debugger.h"
  var $4=$p; //@line 487 "./vm/Debugger.h"
  var $5=(($4)|0); //@line 487 "./vm/Debugger.h"
  var $6=$5; //@line 487 "./vm/Debugger.h"
  ;
  return $6; //@line 487 "./vm/Debugger.h"
}


function __ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+4)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 357 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 357 "./jsvector.h"
  var $5=(($2+4)|0); //@line 357 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 357 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 357 "./jsvector.h"
  ;
  return $7; //@line 357 "./jsvector.h"
}


function __ZNK2js10Breakpoint10getHandlerEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 480 "./vm/Debugger.h"
  var $4=HEAP32[(($3)>>2)]; //@line 480 "./vm/Debugger.h"
  ;
  return $4; //@line 480 "./vm/Debugger.h"
}


function __ZN2js8Debugger12onSingleStepEP9JSContextPN2JS5ValueE($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 188; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fp=__stackBase__;
      var $exception=__stackBase__+4;
      var $exceptionPending;
      var $4=__stackBase__+12;
      var $frames=__stackBase__+20;
      var $global;
      var $debuggers;
      var $d;
      var $dbg;
      var $p=__stackBase__+80;
      var $5=__stackBase__+84;
      var $frame=__stackBase__+92;
      var $6=__stackBase__+96;
      var $7;
      var $p1;
      var $frame2;
      var $dbg3;
      var $ac=__stackBase__+104;
      var $handler;
      var $8=__stackBase__+156;
      var $rval=__stackBase__+164;
      var $ok;
      var $9=__stackBase__+172;
      var $st;
      var $10=__stackBase__+180;
      $2=$cx;
      $3=$vp;
      var $11=$2; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZNK9JSContext2fpEv($11); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($fp)>>2)]=$12; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL14UndefinedValueEv($exception); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$2; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN9JSContext18isExceptionPendingEv($13); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($14)&1); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $exceptionPending=$15; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$exceptionPending; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16) & 1); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $19=$2; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext19getPendingExceptionEv($4, $19); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$exception; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$4; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$2; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext21clearPendingExceptionEv($22); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $24=$2; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js16AutoObjectVectorC1EP9JSContext($frames, $24); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=HEAP32[(($fp)>>2)]; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2js10StackFrame10scopeChainEv($25); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK8JSObject9getGlobalEv($26); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $global=$27; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$global; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN2js12GlobalObject12getDebuggersEv($28); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggers=$29; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$debuggers; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($30)|0)!=0; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($31) { __label__ = 4; break; } else { __label__ = 14; break; } //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $33=$debuggers; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($33); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $d=$34; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $36=$d; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$debuggers; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($37); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($36)|0)!=(($38)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 13; break; } //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $41=$d; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$42; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$dbg; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($43+52)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($p, $44, $fp); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $p); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$45.f0; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=(($46)|0)!=0; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($47) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $49=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($p); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49+4)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($frame)>>2)]=$51; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=HEAP32[(($frame)>>2)]; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($6, $52, 2); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=__ZNK2JS5Value11isUndefinedEv($6); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $55=$frames; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=__ZN2js16AutoVectorRooterIP8JSObjectE6appendERKS2_($55, $frame); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($56) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      $1=0; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 27; break; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      __label__ = 11; break; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      __label__ = 12; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $61=$d; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=(($61+4)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $d=$62; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      __label__ = 14; break; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $65=$frames; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=__ZN2js16AutoVectorRooterIP8JSObjectE5beginEv($65); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p1=$66; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $68=$p1; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=$frames; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=__ZN2js16AutoVectorRooterIP8JSObjectE3endEv($69); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=(($68)|0)!=(($70)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($71) { __label__ = 16; break; } else { __label__ = 24; break; } //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $73=$p1; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $frame2=$74; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=$frame2; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($75); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg3=$76; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=$2; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=$dbg3; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=(($78+8)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $77, $80); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=__ZN2js15AutoCompartment5enterEv($ac); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($81) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      $1=0; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 21; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $84=$frame2; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($8, $84, 2); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $handler=$8; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=$2; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=$frame2; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($9, $86); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=$handler; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($85, $9, $87, 0, 0, $rval); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=(($88)&1); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$89; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=$dbg3; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=$ok; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $92=(($91) & 1); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=$3; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=__ZN2js8Debugger20parseResumptionValueERNS_15AutoCompartmentEbRKN2JS5ValueEPS4_b($90, $ac, $92, $rval, $93, 1); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $st=$94; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=$st; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=(($95)|0)!=1; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($96) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $98=$st; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$98; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 21; break; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      $7=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 21; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 22; break;
      }
      else {
      __label__ = 27; break;
      }
      
    case 22: 
      __label__ = 23; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $103=$p1; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $104=(($103+4)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p1=$104; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $106=$3; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($106); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $107=$exceptionPending; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $108=(($107) & 1); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($108) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $110=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=$10; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $112=$exception; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($111)>>2)]=HEAP32[(($112)>>2)];HEAP32[(($111+4)>>2)]=HEAP32[(($112+4)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($110, $10); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      $1=1; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 27; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      __ZN2js16AutoObjectVectorD1Ev($frames); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=$1; //@line 1008 "./vm/Debugger.h"
      STACKTOP = __stackBase__;
      return $115; //@line 1008 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger12onSingleStepEP9JSContextPN2JS5ValueE["X"]=1;

function __ZN2js16AutoObjectVectorC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2474 "./jscntxt.h"
  __ZN2js16AutoObjectVectorC2EP9JSContext($3, $4); //@line 2474 "./jscntxt.h"
  ;
  return; //@line 2474 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIP8JSObjectE6appendERKS2_($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2394 "./jscntxt.h"
  var $5=$2; //@line 2394 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 2394 "./jscntxt.h"
  var $7=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE6appendIS2_EEbT_($4, $6); //@line 2394 "./jscntxt.h"
  ;
  return $7; //@line 2394 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIP8JSObjectE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2432 "./jscntxt.h"
  var $4=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 2432 "./jscntxt.h"
  ;
  return $4; //@line 2432 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIP8JSObjectE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2435 "./jscntxt.h"
  var $4=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE3endEv($3); //@line 2435 "./jscntxt.h"
  ;
  return $4; //@line 2435 "./jscntxt.h"
}


function __ZN2js16AutoObjectVectorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js16AutoObjectVectorD2Ev($2); //@line 2466 "./jscntxt.h"
  ;
  return; //@line 2466 "./jscntxt.h"
}


function __ZN2js8Debugger21markKeysInCompartmentEP8JSTracerRKNS_7WeakMapIP8JSObjectS5_NS_13DefaultHasherIS5_EENS_17DefaultMarkPolicyIS5_S5_EEEE($tracer, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $comp;
      var $storage;
      var $r=__stackBase__;
      var $key;
      $1=$tracer;
      $2=$map;
      var $3=$1; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=(($3)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5+52)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7+144080)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $comp=$9; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$2; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$10; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11+8)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$12; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $storage=$13; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$storage; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($r, $14); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($r); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$16 ^ 1; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $19=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($r); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $key=$21; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$key; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$22; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK2js2gc4Cell11compartmentEv($23); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$comp; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($24)|0)==(($25)|0); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $28=$1; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28)|0); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$key; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$31; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__Z20IsAboutToBeFinalizedP9JSContextPKv($30, $32); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $35=$1; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$key; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($35, $36, ((STRING_TABLE.__str5)|0)); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($r); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      STACKTOP = __stackBase__;
      return; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger21markKeysInCompartmentEP8JSTracerRKNS_7WeakMapIP8JSObjectS5_NS_13DefaultHasherIS5_EENS_17DefaultMarkPolicyIS5_S5_EEEE["X"]=1;

function __ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+12)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger43markCrossCompartmentDebuggerObjectReferentsEP8JSTracer($tracer) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $comp;
      var $p;
      var $dbg;
      $1=$tracer;
      var $2=$1; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $3=(($2)|0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=(($4+52)|0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $rt=$6; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$rt; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7+144080)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $comp=$9; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$rt; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10+144228)|0); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$11; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $13=$p; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)|0); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$15; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$rt; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16+144228)|0); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($15)|0)!=(($17)|0); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $20=$p; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZN2js8Debugger9fromLinksEP10JSCListStr($20); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$21; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$dbg; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($22+8)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$24; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2js2gc4Cell11compartmentEv($25); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$comp; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($26)|0)!=(($27)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $30=$1; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$dbg; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31+80)|0); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger21markKeysInCompartmentEP8JSTracerRKNS_7WeakMapIP8JSObjectS5_NS_13DefaultHasherIS5_EENS_17DefaultMarkPolicyIS5_S5_EEEE($30, $32); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$dbg; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34+116)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger21markKeysInCompartmentEP8JSTracerRKNS_7WeakMapIP8JSObjectS5_NS_13DefaultHasherIS5_EENS_17DefaultMarkPolicyIS5_S5_EEEE($33, $35); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 2; break; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      ;
      return; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger43markCrossCompartmentDebuggerObjectReferentsEP8JSTracer["X"]=1;

function __ZN2js8Debugger18markAllIterativelyEPNS_8GCMarkerE($trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $markedAny;
      var $cx;
      var $rt;
      var $comp;
      var $c;
      var $dc;
      var $debuggees;
      var $r=__stackBase__;
      var $global;
      var $debuggers;
      var $p;
      var $dbg;
      var $dbgobj;
      var $dbgMarked;
      var $bp;
      var $scriptObject;
      var $handler;
      $1=$trc;
      $markedAny=0; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $2=$1; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $3=$2; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=(($3)|0); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $cx=$5; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$cx; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6+52)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $rt=$8; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$rt; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9+144080)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $comp=$11; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$rt; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12+4)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($13); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $c=$14; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16=$c; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$rt; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17+4)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($18); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($16)|0)!=(($19)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 36; break; } //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $22=$c; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dc=$23; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$comp; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24)|0)!=0; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $27=$dc; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$comp; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($27)|0)==(($28)|0); //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $31=$markedAny; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31) & 1); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32)&1); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$dc; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$1; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$35; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=__ZN13JSCompartment27markTrapClosuresIterativelyEP8JSTracer($34, $36); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($37)&1); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$33 | $38; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($39)|0)!=0; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($40)&1); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $markedAny=$41; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $43=$comp; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($43)|0)!=0; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $46=$dc; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$comp; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=(($46)|0)==(($47)|0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      __label__ = 35; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $51=$dc; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=__ZN13JSCompartment12getDebuggeesEv($51); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggees=$52; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$debuggees; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3allEv($r, $53); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $55=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=$55 ^ 1; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 34; break; } //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $58=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $global=$59; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$global; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=__ZN2js12GlobalObject12getDebuggersEv($60); //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggers=$61; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=$debuggers; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($62); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$63; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $65=$p; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=$debuggers; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($66); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=(($65)|0)!=(($67)|0); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($68) { __label__ = 13; break; } else { __label__ = 32; break; } //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $70=$p; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$71; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=$dbg; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=__ZNK2js8Debugger10toJSObjectEv($72); //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbgobj=$73; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=$comp; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=(($74)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $77=$comp; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=$dbgobj; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=$78; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=__ZNK2js2gc4Cell11compartmentEv($79); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=(($77)|0)!=(($80)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($81) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      __label__ = 31; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $84=$cx; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=$dbgobj; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=$85; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=__Z20IsAboutToBeFinalizedP9JSContextPKv($84, $86); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=$87 ^ 1; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=(($88)&1); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbgMarked=$89; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=$dbgMarked; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=(($90) & 1); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($91) { __label__ = 19; break; } else { __label__ = 17; break; } //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $93=$dbg; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=$cx; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=__ZNK2js8Debugger15hasAnyLiveHooksEP9JSContext($93, $94); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($95) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $97=$1; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=$97; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=$dbgobj; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($98, $99, ((STRING_TABLE.__str6)|0)); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $markedAny=1; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbgMarked=1; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $101=$dbgMarked; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $102=(($101) & 1); //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($102) { __label__ = 20; break; } else { __label__ = 30; break; } //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $104=$dbg; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $105=__ZNK2js8Debugger15firstBreakpointEv($104); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$105; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 21; break; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $107=$bp; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $108=(($107)|0)!=0; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($108) { __label__ = 22; break; } else { __label__ = 29; break; } //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $110=$bp; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=(($110+4)|0); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $113=__ZNK2js14BreakpointSite15getScriptObjectEv($112); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scriptObject=$113; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $114=$scriptObject; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=(($114)|0)!=0; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($115) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $117=$cx; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $118=$scriptObject; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $119=$118; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $120=__Z20IsAboutToBeFinalizedP9JSContextPKv($117, $119); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($120) { __label__ = 27; break; } else { __label__ = 24; break; } //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $122=$bp; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $123=__ZNK2js10Breakpoint10getHandlerEv($122); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $handler=$123; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $124=$cx; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $125=$handler; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $126=$125; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $127=__Z20IsAboutToBeFinalizedP9JSContextPKv($124, $126); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($127) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $129=$1; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $130=$129; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $131=$bp; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $132=__ZNK2js10Breakpoint10getHandlerEv($131); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($130, $132, ((STRING_TABLE.__str7)|0)); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $markedAny=1; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      __label__ = 27; break; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      __label__ = 28; break; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      var $136=$bp; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $137=__ZN2js10Breakpoint14nextInDebuggerEv($136); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$137; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 21; break; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      __label__ = 30; break; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      __label__ = 31; break; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      var $141=$p; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $142=(($141+4)|0); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$142; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 32: 
      __label__ = 33; break; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 33: 
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 34: 
      __label__ = 35; break; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 35: 
      var $147=$c; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $148=(($147+4)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $c=$148; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 36: 
      var $150=$markedAny; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $151=(($150) & 1); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $151; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger18markAllIterativelyEPNS_8GCMarkerE["X"]=1;

function __ZN2js8Debugger11traceObjectEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $dbg;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=__ZN2js8Debugger12fromJSObjectEP8JSObject($3); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$4; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=$dbg; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5)|0)!=0; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $8=$dbg; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$1; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger5traceEP8JSTracer($8, $9); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      ;
      return; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger5traceEP8JSTracer($this, $trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $r=__stackBase__;
      var $frameobj;
      var $r1=__stackBase__+8;
      var $scriptobj;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=(($3+36)|0); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5)|0)!=0; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $8=$2; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($3+36)|0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $10, ((STRING_TABLE.__str8)|0)); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $12=(($3+52)|0); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($r, $12); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($r); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14 ^ 1; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $17=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($r); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17+4)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $frameobj=$19; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$2; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$frameobj; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($20, $21, ((STRING_TABLE.__str9)|0)); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($r); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $24=(($3+80)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$24; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$2; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11WeakMapBase5traceEP8JSTracer($25, $26); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($3+116)|0); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$27; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$2; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11WeakMapBase5traceEP8JSTracer($28, $29); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($3+152)|0); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($r1, $30); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $32=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($r1); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$32 ^ 1; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $35=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($r1); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($35+4)|0); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scriptobj=$37; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$2; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$scriptobj; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($38, $39, ((STRING_TABLE.__str10)|0)); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($r1); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger5traceEP8JSTracer["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function __ZNK2js12CallReceiver5thisvEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 199 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 199 "./vm/Stack.h"
  var $5=(($4-8)|0); //@line 199 "./vm/Stack.h"
  ;
  return $5; //@line 199 "./vm/Stack.h"
}


function __ZNK2js8CallArgsixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 241 "./vm/Stack.h"
  var $5=$3; //@line 241 "./vm/Stack.h"
  var $6=(($5)|0); //@line 241 "./vm/Stack.h"
  var $7=HEAP32[(($6)>>2)]; //@line 241 "./vm/Stack.h"
  var $8=(($7+($4<<3))|0); //@line 241 "./vm/Stack.h"
  ;
  return $8; //@line 241 "./vm/Stack.h"
}


function __ZN2js11WeakMapBase5traceEP8JSTracer($this, $tracer) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$this;
      $2=$tracer;
      var $3=$1;
      var $4=$2; //@line 142 "./jsweakmap.h"
      var $5=(($4+4)|0); //@line 142 "./jsweakmap.h"
      var $6=HEAP32[(($5)>>2)]; //@line 142 "./jsweakmap.h"
      var $7=(($6)|0)==0; //@line 142 "./jsweakmap.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 142 "./jsweakmap.h"
    case 2: 
      var $9=$2; //@line 148 "./jsweakmap.h"
      var $10=(($9)|0); //@line 148 "./jsweakmap.h"
      var $11=HEAP32[(($10)>>2)]; //@line 148 "./jsweakmap.h"
      var $12=(($11+52)|0); //@line 148 "./jsweakmap.h"
      var $13=HEAP32[(($12)>>2)]; //@line 148 "./jsweakmap.h"
      $rt=$13; //@line 148 "./jsweakmap.h"
      var $14=$rt; //@line 149 "./jsweakmap.h"
      var $15=(($14+200)|0); //@line 149 "./jsweakmap.h"
      var $16=HEAP32[(($15)>>2)]; //@line 149 "./jsweakmap.h"
      var $17=(($3+4)|0); //@line 149 "./jsweakmap.h"
      HEAP32[(($17)>>2)]=$16; //@line 149 "./jsweakmap.h"
      var $18=$rt; //@line 150 "./jsweakmap.h"
      var $19=(($18+200)|0); //@line 150 "./jsweakmap.h"
      HEAP32[(($19)>>2)]=$3; //@line 150 "./jsweakmap.h"
      __label__ = 6; break; //@line 151 "./jsweakmap.h"
    case 3: 
      var $21=$2; //@line 156 "./jsweakmap.h"
      var $22=(($21+20)|0); //@line 156 "./jsweakmap.h"
      var $23=HEAP32[(($22)>>2)]; //@line 156 "./jsweakmap.h"
      var $24=(($23)|0)!=0; //@line 156 "./jsweakmap.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 156 "./jsweakmap.h"
    case 4: 
      var $26=$3; //@line 157 "./jsweakmap.h"
      var $27=HEAP32[(($26)>>2)]; //@line 157 "./jsweakmap.h"
      var $28=(($27)|0); //@line 157 "./jsweakmap.h"
      var $29=HEAP32[(($28)>>2)]; //@line 157 "./jsweakmap.h"
      var $30=$2; //@line 157 "./jsweakmap.h"
      FUNCTION_TABLE[$29]($3, $30); //@line 157 "./jsweakmap.h"
      __label__ = 5; break; //@line 157 "./jsweakmap.h"
    case 5: 
      __label__ = 6; break;
    case 6: 
      ;
      return; //@line 159 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+12)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger8sweepAllEP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $p;
      var $dbg;
      var $e=__stackBase__;
      var $2;
      var $c;
      var $debuggees;
      var $e1=__stackBase__+16;
      var $global;
      $1=$cx;
      var $3=$1; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=(($3+52)|0); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $rt=$5; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$rt; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6+144228)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$7; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $9=$p; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$11; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$rt; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12+144228)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($11)|0)!=(($13)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $16=$p; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger9fromLinksEP10JSCListStr($16); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$1; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$dbg; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19+8)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$21; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__Z20IsAboutToBeFinalizedP9JSContextPKv($18, $22); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $25=$dbg; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($25+12)|0); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_($e, $26); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $28=$e; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($28); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$29 ^ 1; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $2=4;
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev($e); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break;
    case 7: 
      var $33=$dbg; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$1; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$e; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($35); //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger20removeDebuggeeGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumESG_($33, $34, $37, 0, $e); //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $39=$e; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($39); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      __label__ = 10; break; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      __label__ = 2; break; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $43=$rt; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($43+4)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($44); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $c=$45; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $47=$c; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$rt; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=(($48+4)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($49); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=(($47)|0)!=(($50)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($51) { __label__ = 13; break; } else { __label__ = 22; break; } //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $53=$c; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZN13JSCompartment12getDebuggeesEv($54); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggees=$55; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=$debuggees; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_($e1, $56); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $58=$e1; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($58); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$59 ^ 1; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($60) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      $2=10;
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev($e1); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break;
    case 16: 
      var $63=$e1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($63); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $global=$65; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=$1; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=$global; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=$67; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=__Z20IsAboutToBeFinalizedP9JSContextPKv($66, $68); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($69) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $71=$1; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=$global; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger28detachAllDebuggersFromGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumE($71, $72, $e1); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 18; break; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      __label__ = 19; break; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $75=$e1; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($75); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      __label__ = 21; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $78=$c; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=(($78+4)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $c=$79; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      STACKTOP = __stackBase__;
      return; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger8sweepAllEP9JSContext["X"]=1;

function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC2IS9_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js8Debugger20removeDebuggeeGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumESG_($this, $cx, $global, $compartmentEnum, $debugEnum) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $e=__stackBase__+4;
      var $6;
      var $fp;
      var $v;
      var $p;
      $1=$this;
      $2=$cx;
      HEAP32[(($3)>>2)]=$global;
      $4=$compartmentEnum;
      $5=$debugEnum;
      var $7=$1;
      var $8=(($7+52)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC1ISC_EERT_($e, $8); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $10=$e; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($10); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$11 ^ 1; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      $6=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD1Ev($e); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break;
    case 4: 
      var $15=$e; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($15); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$18; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$fp; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZNK2js10StackFrame10scopeChainEv($19); //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZNK8JSObject9getGlobalEv($20); //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=HEAP32[(($3)>>2)]; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $25=$e; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($25); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26+4)|0); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject10setPrivateEPv($28, 0); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4Enum11removeFrontEv($e); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $31=$e; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($31); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $33=HEAP32[(($3)>>2)]; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZN2js12GlobalObject12getDebuggersEv($33); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $v=$34; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$v; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($35); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$36; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $38=$p; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$v; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($39); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($38)|0)!=(($40)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $43=$p; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($44)|0)==(($7)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      __label__ = 14; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      __label__ = 13; break; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $49=$p; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49+4)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$50; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $52=$v; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$p; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5eraseEPS2_($52, $53); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$v; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5emptyEv($54); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $57=HEAP32[(($3)>>2)]; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$57; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=__ZNK2js2gc4Cell11compartmentEv($58); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$2; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=HEAP32[(($3)>>2)]; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=$4; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN13JSCompartment14removeDebuggeeEP9JSContextPN2js12GlobalObjectEPNS2_6detail9HashTableIKS4_NS2_7HashSetIS4_NS2_13DefaultHasherIS4_EENS2_17SystemAllocPolicyEE6SetOpsESB_E4EnumE($59, $60, $61, $62); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $64=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=(($64)|0)!=0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $67=$5; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4Enum11removeFrontEv($67); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $69=(($7+12)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeERKS2_($69, $3); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break;
    case 19: 
      STACKTOP = __stackBase__;
      return; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger20removeDebuggeeGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumESG_["X"]=1;

function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN2js8Debugger28detachAllDebuggersFromGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumE($cx, $global, $compartmentEnum) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $debuggers;
      $1=$cx;
      $2=$global;
      $3=$compartmentEnum;
      var $4=$2; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=__ZN2js12GlobalObject12getDebuggersEv($4); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggers=$5; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $7=$debuggers; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5emptyEv($7); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$8 ^ 1; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $11=$debuggers; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE4backEv($11); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$1; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$2; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$3; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger20removeDebuggeeGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumESG_($13, $14, $15, $16, 0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      ;
      return; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($2); //@line 377 "./jsvector.h"
  var $4=(($3-4)|0); //@line 377 "./jsvector.h"
  ;
  return $4; //@line 377 "./jsvector.h"
}


function __ZN2js8Debugger8finalizeEP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $dbg;
      var $e=__stackBase__;
      var $3;
      $1=$cx;
      $2=$obj;
      var $4=$2; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=__ZN2js8Debugger12fromJSObjectEP8JSObject($4); //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$5; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$dbg; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)|0)!=0; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      __label__ = 11; break; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $10=$dbg; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10+12)|0); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($11); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 10; break; } else { __label__ = 4; break; } //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $14=$dbg; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($14+12)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_($e, $15); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $17=$e; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($17); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$18 ^ 1; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $3=2;
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev($e); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break;
    case 7: 
      var $22=$dbg; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$1; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$e; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($24); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger20removeDebuggeeGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumESG_($22, $23, $26, 0, $e); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $28=$e; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($28); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      __label__ = 10; break; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $31=$1; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$dbg; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext7delete_IN2js8DebuggerEEEvPT_($31, $32); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1323 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5emptyEv($3); //@line 1323 "./jshashtable.h"
  ;
  return $4; //@line 1323 "./jshashtable.h"
}


function __ZN9JSContext7delete_IN2js8DebuggerEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      FUNCTION_TABLE[__ZN2js8DebuggerD1Ev]($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($cx, $args, $fnname) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisobj;
      var $dbg;
      $2=$cx;
      $3=$args;
      $4=$fnname;
      var $5=$3; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$5; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=__ZNK2js12CallReceiver5thisvEv($6); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $10=$2; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__Z20ReportObjectRequiredP9JSContext($10); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$3; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$13; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK2js12CallReceiver5thisvEv($14); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2JS5Value8toObjectEv($15); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$16; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$thisobj; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK8JSObject8getClassEv($17); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=((__ZN2js8Debugger7jsclassE)|0); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$2; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$4; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$thisobj; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK8JSObject8getClassEv($23); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24)|0); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($21, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str2)|0),HEAP32[((tempInt+4)>>2)]=$22,HEAP32[((tempInt+8)>>2)]=$26,tempInt)); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $28=$thisobj; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN2js8Debugger12fromJSObjectEP8JSObject($28); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$29; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$dbg; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($30)|0)!=0; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $33=$2; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$4; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($33, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str2)|0),HEAP32[((tempInt+4)>>2)]=$34,HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str11)|0),tempInt)); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $36=$dbg; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$36; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $38=$1; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $38; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc["X"]=1;

function __ZN2js8Debugger10getEnabledEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($7, $args, ((STRING_TABLE.__str12)|0)); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$8; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$dbg; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$args; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK2js12CallReceiver4rvalEv($13); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$dbg; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15+40)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP8[($16)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17) & 1); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value10setBooleanEb($14, $18); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=$1; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $20; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14CallArgsFromVpEjPN2JS5ValueE($agg_result, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$argc;
  $2=$vp;
  var $3=$1; //@line 260 "./vm/Stack.h"
  var $4=$2; //@line 260 "./vm/Stack.h"
  var $5=(($4+16)|0); //@line 260 "./vm/Stack.h"
  __ZN2js16CallArgsFromArgvEjPN2JS5ValueE($agg_result, $3, $5); //@line 260 "./vm/Stack.h"
  ;
  return; //@line 260 "./vm/Stack.h"
}


function __ZNK2js12CallReceiver4rvalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZNK2js12CallReceiver11setUsedRvalEv($2); //@line 202 "./vm/Stack.h"
  var $3=(($2)|0); //@line 203 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 203 "./vm/Stack.h"
  var $5=(($4-16)|0); //@line 203 "./vm/Stack.h"
  ;
  return $5; //@line 203 "./vm/Stack.h"
}


function __ZN2JS5Value10setBooleanEb($this, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  var $4=(($b)&1);
  $2=$4;
  var $5=$1;
  var $6=(($5)|0); //@line 300 "./jsapi.h"
  var $7=$2; //@line 300 "./jsapi.h"
  var $8=(($7) & 1); //@line 300 "./jsapi.h"
  var $9=(($8)&1); //@line 300 "./jsapi.h"
  _BOOLEAN_TO_JSVAL_IMPL($3, $9); //@line 300 "./jsapi.h"
  var $10=$6; //@line 300 "./jsapi.h"
  var $11=$3; //@line 300 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 300 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 301 "./jsapi.h"
}


function __ZN2js8Debugger10setEnabledEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      var $enabled;
      var $bp;
      var $bp2;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $6=$3; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)>>>0) < 1; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $9=$2; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__Z20ReportMoreArgsNeededP9JSContextPKcj($9, ((STRING_TABLE.__str13)|0), 1); //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)&1); //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$11; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $14=$3; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $14, $15); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$2; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($16, $args, ((STRING_TABLE.__str14)|0)); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$dbg; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $22=__ZNK2js8CallArgsixEj($args, 0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__Z17js_ValueToBooleanRKN2JS5ValueE($22); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23)|0)!=0; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24)&1); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $enabled=$25; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$enabled; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26) & 1); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27)&1); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$dbg; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29+40)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=HEAP8[($30)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31) & 1); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32)&1); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($28)|0)!=(($33)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 22; break; } //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $36=$dbg; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=__ZNK2js8Debugger15firstBreakpointEv($36); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$37; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $39=$bp; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($39)|0)!=0; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 21; break; } //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $42=$enabled; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42) & 1); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $45=$bp; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45+4)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=__ZN2js14BreakpointSite3incEP9JSContext($47, $48); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($49) { __label__ = 17; break; } else { __label__ = 12; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $51=$dbg; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=__ZNK2js8Debugger15firstBreakpointEv($51); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp2=$52; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $54=$bp2; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=$bp; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($54)|0)!=(($55)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $58=$bp; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=(($58+4)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=$2; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14BreakpointSite3decEP9JSContext($60, $61); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $63=$bp2; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=__ZN2js10Breakpoint14nextInDebuggerEv($63); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp2=$64; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      $1=0; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      __label__ = 19; break; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $68=$bp; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=(($68+4)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14BreakpointSite3decEP9JSContext($70, $71); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $74=$bp; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=__ZN2js10Breakpoint14nextInDebuggerEv($74); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$75; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      __label__ = 22; break; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $78=$enabled; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=(($78) & 1); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=$dbg; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=(($80+40)|0); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=(($79)&1); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP8[($81)]=$82; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=$args; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=__ZNK2js12CallReceiver4rvalEv($83); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($84); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $86=$1; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $86; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger10setEnabledEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js8Debugger11getHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($cx, $argc, $vp, $which) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $args=__stackBase__;
      var $dbg;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$which;
      var $7=$3; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$4; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $7, $8); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$2; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($9, $args, ((STRING_TABLE.__str15)|0)); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$10; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$dbg; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)|0)!=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $15=$args; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2js12CallReceiver4rvalEv($15); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$dbg; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17+8)|0); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$5; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20+3)|0); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($6, $19, $21); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$16; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$6; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $25=$1; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger11setHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($cx, $argc, $vp, $which) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $args=__stackBase__;
      var $dbg;
      var $v;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$which;
      __label__ = 2; break; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $7=$3; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7)>>>0) < 1; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $10=$2; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__Z20ReportMoreArgsNeededP9JSContextPKcj($10, ((STRING_TABLE.__str16)|0), 1); //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)&1); //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$12; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $15=$3; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$4; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $15, $16); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$2; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($17, $args, ((STRING_TABLE.__str17)|0)); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$18; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$dbg; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0)!=0; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $23=__ZNK2js8CallArgsixEj($args, 0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $v=$23; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$v; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK2JS5Value8isObjectEv($24); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $27=$v; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZNK2JS5Value8toObjectEv($27); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN8JSObject10isCallableEv($28); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $31=$2; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$4; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($31, $32, 65536); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      __label__ = 14; break; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $35=$v; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZNK2JS5Value11isUndefinedEv($35); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($36) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $38=$2; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($38, 2, 0, 230, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $41=$dbg; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41+8)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$5; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($44+3)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$v; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($43, $45, $46); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$args; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=__ZNK2js12CallReceiver4rvalEv($47); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($48); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $50=$1; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger11setHookImplEP9JSContextjPN2JS5ValueENS0_4HookE["X"]=1;

function __ZN8JSObject10isCallableEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject10isFunctionEv($2); //@line 931 "./jsobjinlines.h"
      if ($3) { var $10 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 931 "./jsobjinlines.h"
    case 2: 
      var $5=__ZNK8JSObject8getClassEv($2); //@line 931 "./jsobjinlines.h"
      var $6=(($5+48)|0); //@line 931 "./jsobjinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 931 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 931 "./jsobjinlines.h"
      var $10 = $8;__label__ = 3; break; //@line 931 "./jsobjinlines.h"
    case 3: 
      var $10;
      ;
      return $10; //@line 931 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger22getOnDebuggerStatementEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZN2js8Debugger11getHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($4, $5, $6, 0); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger22setOnDebuggerStatementEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZN2js8Debugger11setHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($4, $5, $6, 0); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger20getOnExceptionUnwindEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZN2js8Debugger11getHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($4, $5, $6, 1); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger20setOnExceptionUnwindEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZN2js8Debugger11setHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($4, $5, $6, 1); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger14getOnNewScriptEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZN2js8Debugger11getHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($4, $5, $6, 2); //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger14setOnNewScriptEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZN2js8Debugger11setHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($4, $5, $6, 2); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger15getOnEnterFrameEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZN2js8Debugger11getHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($4, $5, $6, 3); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger15setOnEnterFrameEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZN2js8Debugger11setHookImplEP9JSContextjPN2JS5ValueENS0_4HookE($4, $5, $6, 3); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger24getUncaughtExceptionHookEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($7, $args, ((STRING_TABLE.__str18)|0)); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$8; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$dbg; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$args; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK2js12CallReceiver4rvalEv($13); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$dbg; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15+36)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value15setObjectOrNullEP8JSObject($14, $17); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $19=$1; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger24setUncaughtExceptionHookEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $6=$3; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)>>>0) < 1; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $9=$2; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__Z20ReportMoreArgsNeededP9JSContextPKcj($9, ((STRING_TABLE.__str19)|0), 1); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)&1); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$11; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $14=$3; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $14, $15); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$2; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($16, $args, ((STRING_TABLE.__str20)|0)); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$dbg; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=0; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $22=__ZNK2js8CallArgsixEj($args, 0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZNK2JS5Value6isNullEv($22); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 11; break; } else { __label__ = 8; break; } //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $25=__ZNK2js8CallArgsixEj($args, 0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2JS5Value8isObjectEv($25); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $28=__ZNK2js8CallArgsixEj($args, 0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2JS5Value8toObjectEv($28); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZN8JSObject10isCallableEv($29); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $32=$2; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($32, 2, 0, 276, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str21)|0),tempInt)); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $34=__ZNK2js8CallArgsixEj($args, 0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZNK2JS5Value14toObjectOrNullEv($34); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$dbg; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36+36)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($37)>>2)]=$35; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$args; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2js12CallReceiver4rvalEv($38); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($39); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $41=$1; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger24setUncaughtExceptionHookEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js8Debugger22unwrapDebuggeeArgumentEP9JSContextRKN2JS5ValueE($this, $cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $rv=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$v;
      var $5=$2;
      var $6=$3; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE($6, $7); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$8; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$obj; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $12=$obj; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK8JSObject8getClassEv($12); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)|0)==((_DebuggerObject_class)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $16=$4; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$rv; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$16; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$3; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($5, $19, $rv); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $23=__ZNK2JS5Value8toObjectEv($rv); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$23; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $25=$obj; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK8JSObject25isCrossCompartmentWrapperEv($25); //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $28=$obj; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK8JSObject15getProxyPrivateEv($28); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZNK2JS5Value8toObjectEv($29); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$30; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      __label__ = 9; break; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $33=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$33; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $35=$1; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject15getProxyPrivateEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 1); //@line 158 "./jsproxy.h"
  ;
  return $3; //@line 158 "./jsproxy.h"
}


function __ZN2js8Debugger11addDebuggeeEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      var $referent;
      var $global;
      var $v=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $6=$3; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)>>>0) < 1; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $9=$2; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__Z20ReportMoreArgsNeededP9JSContextPKcj($9, ((STRING_TABLE.__str22)|0), 1); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)&1); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$11; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $14=$3; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $14, $15); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$2; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($16, $args, ((STRING_TABLE.__str23)|0)); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$dbg; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=0; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $22=$dbg; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$2; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK2js8CallArgsixEj($args, 0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZN2js8Debugger22unwrapDebuggeeArgumentEP9JSContextRKN2JS5ValueE($22, $23, $24); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $referent=$25; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$referent; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26)|0)!=0; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $30=$referent; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZNK8JSObject9getGlobalEv($30); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $global=$31; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$dbg; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$2; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$global; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZN2js8Debugger17addDebuggeeGlobalEP9JSContextPNS_12GlobalObjectE($32, $33, $34); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $38=$referent; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($v, $38); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$dbg; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$2; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($39, $40, $v); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($41) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      $1=0; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $44=$args; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=__ZNK2js12CallReceiver4rvalEv($44); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$45; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$v; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $49=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger11addDebuggeeEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js8Debugger17addDebuggeeGlobalEP9JSContextPNS_12GlobalObjectE($this, $cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $debuggeeCompartment;
      var $visited=__stackBase__+4;
      var $5=__stackBase__+28;
      var $6;
      var $i;
      var $c;
      var $r=__stackBase__+32;
      var $v;
      var $p;
      var $next=__stackBase__+40;
      var $ac=__stackBase__+44;
      var $v1;
      $2=$this;
      $3=$cx;
      HEAP32[(($4)>>2)]=$global;
      var $7=$2;
      var $8=(($7+12)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3hasERKS2_($8, $4); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 41; break; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $12=HEAP32[(($4)>>2)]; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$12; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK2js2gc4Cell11compartmentEv($13); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggeeCompartment=$14; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$3; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($5, $15); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEC1ES3_($visited, $5); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($7+8)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$17; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js2gc4Cell11compartmentEv($18); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($visited, $19); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 40; break; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      $i=0; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $24=$i; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE6lengthEv($visited); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($24)>>>0) < (($25)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 22; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $28=$i; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEixEj($visited, $28); //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $c=$30; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$c; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$debuggeeCompartment; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($31)|0)==(($32)|0); //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $35=$3; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($35, 2, 0, 280, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 40; break; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $37=$c; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=__ZN13JSCompartment12getDebuggeesEv($37); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3allEv($r, $38); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $40=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$40 ^ 1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 20; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $43=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=__ZN2js12GlobalObject12getDebuggersEv($44); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $v=$45; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$v; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($46); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$47; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $49=$p; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=$v; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($50); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($49)|0)!=(($51)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $54=$p; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($55+8)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$57; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=__ZNK2js2gc4Cell11compartmentEv($58); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($next)>>2)]=$59; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=__ZN2jsL4FindINS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEEPNT_11ElementTypeERS6_RKS7_($visited, $next); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE3endEv($visited); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=(($60)|0)==(($61)|0); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($62) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $64=HEAP32[(($next)>>2)]; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($visited, $64); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      $1=0; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 40; break; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      __label__ = 17; break; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $69=$p; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=(($69+4)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$70; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      __label__ = 19; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      __label__ = 21; break; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $75=$i; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=(($75+1)|0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$76; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $78=$debuggeeCompartment; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=__ZNK13JSCompartment9debugModeEv($78); //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($79) { __label__ = 25; break; } else { __label__ = 23; break; } //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $81=$debuggeeCompartment; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=$3; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=__ZN13JSCompartment17hasScriptsOnStackEP9JSContext($81, $82); //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($83) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $85=$3; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($85, 2, 0, 281, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 40; break; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $87=$3; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=HEAP32[(($4)>>2)]; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=$88; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $87, $89); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=__ZN2js15AutoCompartment5enterEv($ac); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($90) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      $1=0; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 39; break; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      var $93=HEAP32[(($4)>>2)]; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=__ZN2js12GlobalObject20getOrCreateDebuggersEP9JSContext($93, $94); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $v1=$95; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=$v1; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=(($96)|0)!=0; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($97) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      var $99=$v1; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($99, $7); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($100) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      var $102=$3; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($102); //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 38; break; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      var $104=(($7+12)|0); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $105=__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3putERKS2_($104, $4); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $106=(($105)|0)!=0; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($106) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      var $108=$3; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($108); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 37; break; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 32: 
      var $110=HEAP32[(($4)>>2)]; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=__ZN2js12GlobalObject12getDebuggersEv($110); //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $112=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE6lengthEv($111); //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $113=(($112)>>>0) > 1; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($113) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 33: 
      $1=1; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 39; break; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 34: 
      var $116=$debuggeeCompartment; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $117=$3; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $118=HEAP32[(($4)>>2)]; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $119=__ZN13JSCompartment11addDebuggeeEP9JSContextPN2js12GlobalObjectE($116, $117, $118); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($119) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 35: 
      $1=1; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 39; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 36: 
      var $122=(($7+12)|0); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeERKS2_($122, $4); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 37; break;
    case 37: 
      var $124=$v1; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE7popBackEv($124); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 38; break;
    case 38: 
      $1=0; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 39; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 39: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 40; break;
    case 40: 
      __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEED1Ev($visited); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 41; break;
    case 41: 
      var $129=$1; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $129; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger17addDebuggeeGlobalEP9JSContextPNS_12GlobalObjectE["X"]=1;

function __ZN2js8Debugger14removeDebuggeeEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      var $referent;
      var $global=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $6=$3; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)>>>0) < 1; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $9=$2; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__Z20ReportMoreArgsNeededP9JSContextPKcj($9, ((STRING_TABLE.__str24)|0), 1); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)&1); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$11; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $14=$3; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $14, $15); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$2; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($16, $args, ((STRING_TABLE.__str25)|0)); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$dbg; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=0; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $22=$dbg; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$2; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK2js8CallArgsixEj($args, 0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZN2js8Debugger22unwrapDebuggeeArgumentEP9JSContextRKN2JS5ValueE($22, $23, $24); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $referent=$25; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$referent; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26)|0)!=0; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $30=$referent; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZNK8JSObject9getGlobalEv($30); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($global)>>2)]=$31; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$dbg; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32+12)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3hasERKS2_($33, $global); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $36=$dbg; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$2; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=HEAP32[(($global)>>2)]; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger20removeDebuggeeGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumESG_($36, $37, $38, 0, 0); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $40=$args; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZNK2js12CallReceiver4rvalEv($40); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($41); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $43=$1; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger14removeDebuggeeEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZNK2js13AllFramesIter4doneEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1898 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1898 "./vm/Stack.h"
  var $5=(($4)|0)==0; //@line 1898 "./vm/Stack.h"
  ;
  return $5; //@line 1898 "./vm/Stack.h"
}


function __ZNK2js13AllFramesIter2fpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1901 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1901 "./vm/Stack.h"
  ;
  return $4; //@line 1901 "./vm/Stack.h"
}


function __ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK13JSCompartment9debugModeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+804)|0); //@line 595 "./jscompartment.h"
  var $4=HEAP32[(($3)>>2)]; //@line 595 "./jscompartment.h"
  var $5=(($4)|0)!=0; //@line 595 "./jscompartment.h"
  var $6=$5 ^ 1; //@line 595 "./jscompartment.h"
  var $7=$6 ^ 1; //@line 595 "./jscompartment.h"
  ;
  return $7; //@line 595 "./jscompartment.h"
}


function __ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN2js8Debugger11hasDebuggeeEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      var $referent;
      var $5=__stackBase__+8;
      var $6=__stackBase__+12;
      var $7=__stackBase__+16;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $9=$3; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)>>>0) < 1; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $12=$2; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__Z20ReportMoreArgsNeededP9JSContextPKcj($12, ((STRING_TABLE.__str26)|0), 1); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)&1); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$14; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $17=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$4; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $17, $18); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$2; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($19, $args, ((STRING_TABLE.__str27)|0)); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$20; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$dbg; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21)|0)!=0; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $25=$dbg; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$2; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK2js8CallArgsixEj($args, 0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZN2js8Debugger22unwrapDebuggeeArgumentEP9JSContextRKN2JS5ValueE($25, $26, $27); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $referent=$28; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$referent; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0)!=0; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $33=$args; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZNK2js12CallReceiver4rvalEv($33); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$dbg; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($35+12)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$referent; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=__ZNK8JSObject9getGlobalEv($37); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($5)>>2)]=$38; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_($6, $36, $5); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($7, $6); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39={ f0: HEAP32[(($7)>>2)], f1: HEAP32[(($7+4)>>2)] }; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$39.f0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($40)|0)!=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$41 ^ 1; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$42 ^ 1; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value10setBooleanEb($34, $43); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $45=$1; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger11hasDebuggeeEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1292 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5countEv($3); //@line 1292 "./jshashtable.h"
  ;
  return $4; //@line 1292 "./jshashtable.h"
}


function __ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj($this, $cx, $index, $extra) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$index;
      $4=$extra;
      var $5=$1;
      var $6=(($5+16)|0); //@line 71 "./jsarrayinlines.h"
      var $7=$6; //@line 71 "./jsarrayinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 71 "./jsarrayinlines.h"
      var $9=$3; //@line 71 "./jsarrayinlines.h"
      var $10=(($8)>>>0) < (($9)>>>0); //@line 71 "./jsarrayinlines.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsarrayinlines.h"
    case 2: 
      var $12=$2; //@line 72 "./jsarrayinlines.h"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($5, $12); //@line 72 "./jsarrayinlines.h"
      var $13=(($5+32)|0); //@line 73 "./jsarrayinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 73 "./jsarrayinlines.h"
      var $15=(($5+16)|0); //@line 73 "./jsarrayinlines.h"
      var $16=$15; //@line 73 "./jsarrayinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 73 "./jsarrayinlines.h"
      var $18=(($14+($17<<3))|0); //@line 73 "./jsarrayinlines.h"
      var $19=$3; //@line 73 "./jsarrayinlines.h"
      var $20=(($5+16)|0); //@line 73 "./jsarrayinlines.h"
      var $21=$20; //@line 73 "./jsarrayinlines.h"
      var $22=HEAP32[(($21)>>2)]; //@line 73 "./jsarrayinlines.h"
      var $23=(($19-$22)|0); //@line 73 "./jsarrayinlines.h"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2($18, $23, 1); //@line 73 "./jsarrayinlines.h"
      __label__ = 3; break; //@line 74 "./jsarrayinlines.h"
    case 3: 
      var $25=(($5+16)|0); //@line 75 "./jsarrayinlines.h"
      var $26=$25; //@line 75 "./jsarrayinlines.h"
      var $27=HEAPU32[(($26)>>2)]; //@line 75 "./jsarrayinlines.h"
      var $28=$3; //@line 75 "./jsarrayinlines.h"
      var $29=$4; //@line 75 "./jsarrayinlines.h"
      var $30=(($28+$29)|0); //@line 75 "./jsarrayinlines.h"
      var $31=(($27)>>>0) < (($30)>>>0); //@line 75 "./jsarrayinlines.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 75 "./jsarrayinlines.h"
    case 4: 
      var $33=$3; //@line 76 "./jsarrayinlines.h"
      var $34=$4; //@line 76 "./jsarrayinlines.h"
      var $35=(($33+$34)|0); //@line 76 "./jsarrayinlines.h"
      var $36=(($5+16)|0); //@line 76 "./jsarrayinlines.h"
      var $37=$36; //@line 76 "./jsarrayinlines.h"
      HEAP32[(($37)>>2)]=$35; //@line 76 "./jsarrayinlines.h"
      __label__ = 5; break; //@line 76 "./jsarrayinlines.h"
    case 5: 
      ;
      return; //@line 77 "./jsarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($this, $idx, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$idx;
  $3=$val;
  var $4=$1;
  var $5=$2; //@line 514 "./jsobjinlines.h"
  var $6=(($4+32)|0); //@line 514 "./jsobjinlines.h"
  var $7=HEAP32[(($6)>>2)]; //@line 514 "./jsobjinlines.h"
  var $8=(($7+($5<<3))|0); //@line 514 "./jsobjinlines.h"
  var $9=$3; //@line 514 "./jsobjinlines.h"
  var $10=$8; //@line 514 "./jsobjinlines.h"
  var $11=$9; //@line 514 "./jsobjinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 514 "./jsobjinlines.h"
  ;
  return; //@line 515 "./jsobjinlines.h"
}


function __ZN2js8Debugger14getNewestFrameEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      var $i=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($7, $args, ((STRING_TABLE.__str29)|0)); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$8; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$dbg; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$2; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13+60)|0); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK2js12ContextStack5spaceEv($14); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js13AllFramesIterC1ERNS_10StackSpaceE]($i, $15); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $17=__ZNK2js13AllFramesIter4doneEv($i); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$17 ^ 1; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $20=$dbg; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZNK2js13AllFramesIter2fpEv($i); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2js8Debugger13observesFrameEPNS_10StackFrameE($20, $21); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $24=$dbg; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$2; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2js13AllFramesIter2fpEv($i); //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$4; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE($24, $25, $26, $27); //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28)&1); //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$29; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __label__ = 8; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $32=__ZN2js13AllFramesIterppEv($i); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $34=$args; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZNK2js12CallReceiver4rvalEv($34); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value7setNullEv($35); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $37=$1; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger14getNewestFrameEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZNK2js12ContextStack5spaceEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZNK2js12ContextStack17assertSpaceInSyncEv($2); //@line 1647 "./vm/Stack.h"
  var $3=(($2+4)|0); //@line 1647 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1647 "./vm/Stack.h"
  ;
  return $4; //@line 1647 "./vm/Stack.h"
}


function __ZNK2js8Debugger13observesFrameEPNS_10StackFrameE($this, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$fp;
  var $3=$1;
  var $4=$2; //@line 533 "./vm/Debugger.h"
  var $5=__ZNK2js10StackFrame10scopeChainEv($4); //@line 533 "./vm/Debugger.h"
  var $6=__ZNK2js8Debugger13observesScopeEP8JSObject($3, $5); //@line 533 "./vm/Debugger.h"
  ;
  return $6; //@line 533 "./vm/Debugger.h"
}


function __ZN2js8Debugger19clearAllBreakpointsEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      var $r=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($7, $args, ((STRING_TABLE.__str30)|0)); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$8; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$dbg; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$dbg; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13+12)|0); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3allEv($r, $14); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $16=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$16 ^ 1; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $19=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$20; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2js2gc4Cell11compartmentEv($21); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$2; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$dbg; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN13JSCompartment18clearBreakpointsInEP9JSContextPN2js8DebuggerEP8JSScriptP8JSObject($22, $23, $24, 0, 0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $28=$1; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger9constructEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $i;
      var $arg;
      var $argobj;
      var $v=__stackBase__+8;
      var $proto;
      var $obj;
      var $slot;
      var $5=__stackBase__+16;
      var $dbg;
      var $i1;
      var $debuggee;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=0; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $9=$i; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$3; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$i; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK2js8CallArgsixEj($args, $13); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $arg=$14; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$arg; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2JS5Value8isObjectEv($15); //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $18=$2; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__Z20ReportObjectRequiredP9JSContext($18); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)&1); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$20; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $22=$arg; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZNK2JS5Value8toObjectEv($22); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $argobj=$23; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$argobj; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK8JSObject25isCrossCompartmentWrapperEv($24); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $27=$2; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($27, 2, 0, 274, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str2)|0),tempInt)); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __label__ = 8; break; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $30=$i; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($30+1)|0); //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$31; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $33=$args; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZNK2js12CallReceiver6calleeEv($33); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$2; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$2; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36+52)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($38+209948)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($39+252)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($34, $35, $41, $v); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42)|0)!=0; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $46=__ZNK2JS5Value8toObjectEv($v); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $proto=$46; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$2; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$proto; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($47, __ZN2js8Debugger7jsclassE, $48, 0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$49; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=$obj; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=(($50)|0)!=0; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $53=$obj; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$2; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($53, $54); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($55) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      $1=0; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      $slot=0; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $59=$slot; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=(($59)>>>0) < 3; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($60) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $62=$obj; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=$slot; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=$proto; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=$slot; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($5, $64, $65); //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($62, $63, $5); //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $67=$slot; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=(($67+1)|0); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $slot=$68; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 15; break; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $70=$2; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=$2; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=$obj; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=__ZN9JSContext4new_IN2js8DebuggerEPS_P8JSObjectEEPT_T0_T1_($70, $71, $72); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$73; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=$dbg; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=(($74)|0)!=0; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($75) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      $1=0; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $78=$obj; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=$dbg; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=$79; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject10setPrivateEPv($78, $80); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=$dbg; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=$2; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=__ZN2js8Debugger4initEP9JSContext($81, $82); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($83) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $85=$2; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=$dbg; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN9JSContext7delete_IN2js8DebuggerEEEvPT_($85, $86); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      $i1=0; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $89=$i1; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=$3; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=(($89)>>>0) < (($90)>>>0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($91) { __label__ = 24; break; } else { __label__ = 28; break; } //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $93=$i1; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=__ZNK2js8CallArgsixEj($args, $93); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=__ZNK2JS5Value8toObjectEv($94); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=__ZNK8JSObject15getProxyPrivateEv($95); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=__ZNK2JS5Value8toObjectEv($96); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=__ZNK8JSObject9getGlobalEv($97); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggee=$98; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=$dbg; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=$2; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=$debuggee; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $102=__ZN2js8Debugger17addDebuggeeGlobalEP9JSContextPNS_12GlobalObjectE($99, $100, $101); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($102) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      $1=0; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      __label__ = 27; break; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      var $106=$i1; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $107=(($106+1)|0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i1=$107; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      var $109=$args; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $110=__ZNK2js12CallReceiver4rvalEv($109); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=$obj; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($110, $111); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      var $113=$1; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $113; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger9constructEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZNK2js12CallReceiver6calleeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 197 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 197 "./vm/Stack.h"
  var $5=(($4-16)|0); //@line 197 "./vm/Stack.h"
  var $6=__ZNK2JS5Value8toObjectEv($5); //@line 197 "./vm/Stack.h"
  ;
  return $6; //@line 197 "./vm/Stack.h"
}


function __ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($this, $cx, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$name;
  $4=$vp;
  var $5=$1;
  var $6=$2; //@line 166 "./jsobjinlines.h"
  var $7=$3; //@line 166 "./jsobjinlines.h"
  var $8=$7; //@line 166 "./jsobjinlines.h"
  var $9=__ZL12ATOM_TO_JSIDP6JSAtom($8); //@line 166 "./jsobjinlines.h"
  var $10=$4; //@line 166 "./jsobjinlines.h"
  var $11=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($5, $6, $9, $10); //@line 166 "./jsobjinlines.h"
  ;
  return $11; //@line 166 "./jsobjinlines.h"
}


function __ZN9JSContext4new_IN2js8DebuggerEPS_P8JSObjectEEPT_T0_T1_($this, $p1, $p2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $memory;
      $1=$this;
      $2=$p1;
      $3=$p2;
      var $4=$1;
      var $5=__ZN9JSContext7malloc_Ej($4, 180); //@line 1291 "./jscntxt.h"
      $memory=$5; //@line 1291 "./jscntxt.h"
      var $6=$memory; //@line 1291 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 1291 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 1291 "./jscntxt.h"
      if ($10) { var $16 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 1291 "./jscntxt.h"
      var $13=$2; //@line 1291 "./jscntxt.h"
      var $14=$3; //@line 1291 "./jscntxt.h"
      FUNCTION_TABLE[__ZN2js8DebuggerC1EP9JSContextP8JSObject]($12, $13, $14); //@line 1291 "./jscntxt.h"
      var $16 = $12;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $16; //@line 1291 "./jscntxt.h"
      var $19 = $16;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $19 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $19; //@line 1291 "./jscntxt.h"
      ;
      return $19; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2jsL4FindINS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEEPNT_11ElementTypeERS6_RKS7_($c, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$c;
  $2=$v;
  var $3=$1; //@line 294 "./jstl.h"
  var $4=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 294 "./jstl.h"
  var $5=$1; //@line 294 "./jstl.h"
  var $6=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE3endEv($5); //@line 294 "./jstl.h"
  var $7=$2; //@line 294 "./jstl.h"
  var $8=__ZN2jsL4FindIP13JSCompartmentEEPT_S4_S4_RKS3_($4, $6, $7); //@line 294 "./jstl.h"
  ;
  return $8; //@line 294 "./jstl.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+4)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+8)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3putERKS2_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+8;
      $1=$this;
      $2=$t;
      var $4=$1;
      var $5=$2; //@line 1342 "./jshashtable.h"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_($p, $4, $5); //@line 1342 "./jshashtable.h"
      var $6=$p; //@line 1343 "./jshashtable.h"
      __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($3, $6); //@line 1343 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1343 "./jshashtable.h"
      var $8=$7.f0; //@line 1343 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1343 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1343 "./jshashtable.h"
    case 2: 
      var $11=$p; //@line 1343 "./jshashtable.h"
      var $12=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrdeEv($11); //@line 1343 "./jshashtable.h"
      var $23 = $12;__label__ = 7; break; //@line 1343 "./jshashtable.h"
    case 3: 
      var $14=$2; //@line 1343 "./jshashtable.h"
      var $15=__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_($4, $p, $14); //@line 1343 "./jshashtable.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1343 "./jshashtable.h"
    case 4: 
      var $17=$p; //@line 1343 "./jshashtable.h"
      var $18=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrdeEv($17); //@line 1343 "./jshashtable.h"
      var $21 = $18;__label__ = 6; break; //@line 1343 "./jshashtable.h"
    case 5: 
      var $21 = 0;__label__ = 6; break; //@line 1343 "./jshashtable.h"
    case 6: 
      var $21; //@line 1343 "./jshashtable.h"
      var $23 = $21;__label__ = 7; break; //@line 1343 "./jshashtable.h"
    case 7: 
      var $23; //@line 1343 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $23; //@line 1343 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger12getDebuggeesEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $dbg;
      var $arrobj;
      var $i;
      var $e=__stackBase__+8;
      var $5;
      var $v=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc($8, $args, ((STRING_TABLE.__str28)|0)); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$9; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$dbg; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$2; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$dbg; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15+12)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5countEv($16); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZN2js22NewDenseAllocatedArrayEP9JSContextjP8JSObject($14, $17, 0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $arrobj=$18; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$arrobj; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0)!=0; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $23=$arrobj; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$dbg; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($25+12)|0); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5countEv($26); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj($23, $24, 0, $27); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=0; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$dbg; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28+12)|0); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_($e, $29); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $31=$e; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($31); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$32 ^ 1; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $5=2;
      __label__ = 12; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $36=$e; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($36); //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$38; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($v, $39); //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$dbg; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$2; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($40, $41, $v); //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      $1=0; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 12; break; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $45=$arrobj; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$i; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=(($46+1)|0); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$47; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($45, $46, $v); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $49=$e; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($49); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev($e); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 2) {
        __label__ = 13; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 14; break;
      }
      else {
      __label__ = 15; break;
      }
      
    case 13: 
      var $52=$args; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=__ZNK2js12CallReceiver4rvalEv($52); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$arrobj; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($53, $54); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $56=$1; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger12getDebuggeesEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZNK10JSFunction6scriptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 200 "./jsfun.h"
  var $4=$3; //@line 200 "./jsfun.h"
  var $5=(($4)|0); //@line 200 "./jsfun.h"
  var $6=HEAP32[(($5)>>2)]; //@line 200 "./jsfun.h"
  ;
  return $6; //@line 200 "./jsfun.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeERKS2_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+12;
      $1=$this;
      $2=$l;
      var $5=$1;
      var $6=$2; //@line 1354 "./jshashtable.h"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_($p, $5, $6); //@line 1354 "./jshashtable.h"
      __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($3, $p); //@line 1354 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1354 "./jshashtable.h"
      var $8=$7.f0; //@line 1354 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1354 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1354 "./jshashtable.h"
    case 2: 
      var $11=$4; //@line 1355 "./jshashtable.h"
      var $12=$p; //@line 1355 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 1355 "./jshashtable.h"
      __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE($5, $4); //@line 1355 "./jshashtable.h"
      __label__ = 3; break; //@line 1355 "./jshashtable.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1356 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+4)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC1ISC_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC2ISC_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5eraseEPS2_($this, $it) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$it;
      var $3=$1;
      __label__ = 2; break; //@line 832 "./jsvector.h"
    case 2: 
      var $5=$2; //@line 832 "./jsvector.h"
      var $6=(($5+4)|0); //@line 832 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($3); //@line 832 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 832 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 832 "./jsvector.h"
    case 3: 
      var $10=$2; //@line 833 "./jsvector.h"
      var $11=(($10+4)|0); //@line 833 "./jsvector.h"
      var $12=HEAP32[(($11)>>2)]; //@line 833 "./jsvector.h"
      var $13=$2; //@line 833 "./jsvector.h"
      HEAP32[(($13)>>2)]=$12; //@line 833 "./jsvector.h"
      var $14=$2; //@line 834 "./jsvector.h"
      var $15=(($14+4)|0); //@line 834 "./jsvector.h"
      $2=$15; //@line 834 "./jsvector.h"
      __label__ = 2; break; //@line 835 "./jsvector.h"
    case 4: 
      __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE7popBackEv($3); //@line 836 "./jsvector.h"
      ;
      return; //@line 837 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZL20DebuggerScript_traceP8JSTracerP8JSObject($trc, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v=__stackBase__;
      var $obj1;
      $1=$trc;
      $2=$obj;
      var $3=$1; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=(($3)|0); //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5+52)|0); //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7+144080)|0); //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $12=$2; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($v, $12, 1); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK2JS5Value11isUndefinedEv($v); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $15=__ZNK2JS5Value9toPrivateEv($v); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$15; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj1=$16; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$obj1; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17)|0)!=0; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=$1; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$obj1; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($20, $21, ((STRING_TABLE.__str121)|0)); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger17newDebuggerScriptEP9JSContextP8JSScriptP8JSObject($this, $cx, $script, $holder) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $proto;
      var $6=__stackBase__;
      var $scriptobj;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      $2=$this;
      $3=$cx;
      $4=$script;
      $5=$holder;
      var $9=$2;
      var $10=$3; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($9+8)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($10, $12); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($9+8)|0); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($6, $14, 2); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK2JS5Value8toObjectEv($6); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $proto=$15; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$3; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$proto; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($16, _DebuggerScript_class, $17, 0); //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scriptobj=$18; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$scriptobj; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0)!=0; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $22=$scriptobj; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$3; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($22, $23); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      $1=0; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $27=$scriptobj; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$4; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$28; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject10setPrivateEPv($27, $29); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$scriptobj; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($9+8)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($7, $32); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($30, 0, $7); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$scriptobj; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$5; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$34; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL12PrivateValueEPv($8, $35); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($33, 1, $8); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$scriptobj; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$36; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $38=$1; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Debugger17newDebuggerScriptEP9JSContextP8JSScriptP8JSObject["X"]=1;

function __ZN2JSL12PrivateValueEPv($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$1; //@line 766 "./jsapi.h"
  __ZN2JS5Value10setPrivateEPv($agg_result, $2); //@line 766 "./jsapi.h"
  ;
  return; //@line 767 "./jsapi.h"
}


function __ZN2js8Debugger18wrapFunctionScriptEP9JSContextP10JSFunction($this, $cx, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$fun;
  var $4=$1;
  var $5=$2; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZNK10JSFunction6scriptEv($6); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $8=$3; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $9=$8; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $10=__ZN2js8Debugger14wrapHeldScriptEP9JSContextP8JSScriptP8JSObject($4, $5, $7, $9); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $10; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js8Debugger15wrapJSAPIScriptEP9JSContextP8JSObject($this, $cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$obj;
  var $4=$1;
  var $5=$2; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZNK8JSObject9getScriptEv($6); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $8=$3; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $9=__ZN2js8Debugger14wrapHeldScriptEP9JSContextP8JSScriptP8JSObject($4, $5, $7, $8); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $9; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZNK8JSObject9getScriptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 975 "./jsscript.h"
  var $4=$3; //@line 975 "./jsscript.h"
  ;
  return $4; //@line 975 "./jsscript.h"
}


function __ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 14, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$p;
  $3=$k;
  $4=$v;
  var $6=$1;
  var $7=(($6)|0); //@line 1075 "./jshashtable.h"
  var $8=$2; //@line 1075 "./jshashtable.h"
  var $9=$3; //@line 1075 "./jshashtable.h"
  var $10=$3; //@line 1075 "./jshashtable.h"
  var $11=$4; //@line 1075 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC1ERKS2_RKS4_($5, $10, $11); //@line 1075 "./jshashtable.h"
  var $12=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13relookupOrAddERNSE_6AddPtrERKS4_RKS7_($7, $8, $9, $5); //@line 1075 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $12; //@line 1075 "./jshashtable.h"
}


function __ZN2js8Debugger23slowPathOnDestroyScriptEP8JSScript($script) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $debuggees;
      var $r=__stackBase__;
      var $debuggers;
      var $p;
      $1=$script;
      var $2=$1; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $3=$2; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=__ZNK2js2gc4Cell11compartmentEv($3); //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=__ZN13JSCompartment12getDebuggeesEv($4); //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggees=$5; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$debuggees; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3allEv($r, $6); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $8=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$8 ^ 1; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $11=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZN2js12GlobalObject12getDebuggersEv($12); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debuggers=$13; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$debuggers; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv($14); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$15; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $17=$p; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$debuggers; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv($18); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($17)|0)!=(($19)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $22=$p; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$1; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js8Debugger20destroyNonHeldScriptEP8JSScript($23, $24); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $26=$p; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26+4)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $p=$27; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __label__ = 8; break; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger20destroyNonHeldScriptEP8JSScript($this, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $p=__stackBase__+4;
      var $3=__stackBase__+8;
      var $4=__stackBase__+16;
      $1=$this;
      HEAP32[(($2)>>2)]=$script;
      var $5=$1;
      var $6=(($5+152)|0); //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($p, $6, $2); //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($3, $p); //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$7.f0; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8)|0)!=0; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $11=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($p); //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11+4)|0); //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZL19ClearScriptReferentP8JSObject($13); //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($5+152)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$p; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)]; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE($14, $4); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZL19ClearScriptReferentP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  __ZN8JSObject10setPrivateEPv($2, 0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZL21DebuggerScript_getUrlP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str120)|0), 1); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$8; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$obj; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$obj; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZL17GetScriptReferentP8JSObject($13); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$14; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$2; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$script; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16+52)|0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__Z17js_NewStringCopyZP9JSContextPKc($15, $18); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$19; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $str=$20; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$str; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21)|0)!=0; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $25=$args; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2js12CallReceiver4rvalEv($25); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$str; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setStringEP8JSString($26, $27); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $29=$1; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL27DebuggerScript_getStartLineP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str119)|0), 1); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$8; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$obj; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$obj; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZL17GetScriptReferentP8JSObject($13); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$14; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$args; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2js12CallReceiver4rvalEv($15); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$script; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17+28)|0); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZN2JS5Value9setNumberEj($16, $19); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $22=$1; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL27DebuggerScript_getLineCountP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $maxLine;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str118)|0), 1); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$8; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$obj; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$obj; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZL17GetScriptReferentP8JSObject($13); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$14; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$script; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__Z22js_GetScriptLineExtentP8JSScript($15); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $maxLine=$16; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$args; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK2js12CallReceiver4rvalEv($17); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$maxLine; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)>>>0); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZN2JS5Value9setNumberEd($18, $20); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $23=$1; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL22DebuggerScript_getLiveP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str107)|0), 0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$8; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$obj; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$obj; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZL17GetScriptReferentP8JSObject($13); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$14; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$args; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2js12CallReceiver4rvalEv($15); //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$script; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17)|0)!=0; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$18 ^ 1; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$19 ^ 1; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value10setBooleanEb($16, $20); //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $22=$1; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL30DebuggerScript_getChildScriptsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $dbg;
      var $result;
      var $objects;
      var $i;
      var $obj1;
      var $s;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($8, $args, ((STRING_TABLE.__str107)|0), 1); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$9; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$obj; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$obj; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZL17GetScriptReferentP8JSObject($14); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$15; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$obj; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($16); //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$2; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($18, 0); //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $result=$19; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$result; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20)|0)!=0; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $24=$script; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24+16)|0); //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP8[($25)]; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZN8JSScript13isValidOffsetEh($26); //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 16; break; } //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $29=$script; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZN8JSScript7objectsEv($29); //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $objects=$30; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$script; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$31; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32+36)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=HEAPU8[($33)]; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)&255) >>> 1; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$35 & 1; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36) & 1); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$37 ? 1 : 0; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$38; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $40=$i; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$objects; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41+4)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=HEAPU32[(($42)>>2)]; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($40)>>>0) < (($43)>>>0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($44) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $46=$i; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$objects; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=(($47)|0); //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49+($46<<2))|0); //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj1=$51; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$obj1; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=__ZNK8JSObject10isFunctionEv($52); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($53) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $55=$dbg; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=$2; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=$obj1; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$57; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=__ZN2js8Debugger18wrapFunctionScriptEP9JSContextP10JSFunction($55, $56, $58); //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $s=$59; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$s; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=(($60)|0)!=0; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($61) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $63=$2; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=$result; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=$s; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($5, $65); //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=__Z19js_NewbornArrayPushP9JSContextP8JSObjectRKN2JS5ValueE($63, $64, $5); //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=(($66)|0)!=0; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      $1=0; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      __label__ = 13; break; //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      __label__ = 14; break; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $72=$i; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=(($72+1)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$73; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      __label__ = 16; break; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $76=$args; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=__ZNK2js12CallReceiver4rvalEv($76); //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=$result; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($77, $78); //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $80=$1; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL30DebuggerScript_getChildScriptsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL28DebuggerScript_getAllOffsetsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $flowData=__stackBase__+8;
      var $5;
      var $result;
      var $r=__stackBase__+32;
      var $offset;
      var $lineno;
      var $offsets;
      var $offsetsv=__stackBase__+60;
      var $id=__stackBase__+68;
      var $6=__stackBase__+72;
      var $7=__stackBase__+80;
      var $8=__stackBase__+88;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$3; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$4; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $9, $10); //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$2; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($11, $args, ((STRING_TABLE.__str42)|0), 1); //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$12; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$obj; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)|0)!=0; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 27; break; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $17=$obj; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZL17GetScriptReferentP8JSObject($17); //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$18; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$2; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN16FlowGraphSummaryC1EP9JSContext($flowData, $19); //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$2; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$script; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZN16FlowGraphSummary8populateEP9JSContextP8JSScript($flowData, $20, $21); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $25=$2; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($25, 0); //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $result=$26; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$result; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27)|0)!=0; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $31=$2; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$script; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN28BytecodeRangeWithLineNumbersC1EP9JSContextP8JSScript($r, $31, $32); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $34=$r; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZNK2js13BytecodeRange5emptyEv($34); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$35 ^ 1; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 25; break; } //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $38=$r; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2js13BytecodeRange11frontOffsetEv($38); //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $offset=$39; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZNK28BytecodeRangeWithLineNumbers15frontLineNumberEv($r); //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $lineno=$40; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$flowData; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$offset; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($41, $42); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($44)|0)!=-1; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 23; break; } //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $47=$flowData; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$offset; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($47, $48); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$lineno; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($50)|0)!=(($51)|0); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 23; break; } //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $54=$result; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=$2; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=$lineno; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=__ZN8JSObject22arrayGetOwnDataElementEP9JSContextjPN2JS5ValueE($54, $55, $56, $offsetsv); //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      $1=0; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $60=__ZNK2JS5Value8isObjectEv($offsetsv); //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $62=__ZNK2JS5Value8toObjectEv($offsetsv); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $offsets=$62; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $64=$2; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($64, 0); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $offsets=$65; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=$offsets; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=(($66)|0)!=0; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $69=$2; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=$lineno; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=(($70)>>>0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11NumberValueEd($6, $71); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($69, $6, $id); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($72) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $74=$result; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=$2; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=HEAP32[(($id)>>2)]; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=$offsets; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($7, $77); //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($74, $75, $76, $7, 8, 10, 1); //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=(($78)|0)!=0; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($79) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      $1=0; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $83=$2; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=$offsets; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=$offset; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=(($85)>>>0); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11NumberValueEd($8, $86); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=__Z19js_NewbornArrayPushP9JSContextP8JSObjectRKN2JS5ValueE($83, $84, $8); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=(($87)|0)!=0; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($88) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      $1=0; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      __label__ = 23; break; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      __label__ = 24; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      __ZN28BytecodeRangeWithLineNumbers8popFrontEv($r); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $94=$args; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=__ZNK2js12CallReceiver4rvalEv($94); //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=$result; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($95, $96); //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      __ZN16FlowGraphSummaryD1Ev($flowData); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 27; break;
    case 27: 
      var $99=$1; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $99; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL28DebuggerScript_getAllOffsetsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL29DebuggerScript_getLineOffsetsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $lineno;
      var $ok;
      var $d;
      var $flowData=__stackBase__+8;
      var $5;
      var $result;
      var $r=__stackBase__+32;
      var $offset;
      var $6=__stackBase__+60;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$3; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$4; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $7, $8); //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$2; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($9, $args, ((STRING_TABLE.__str42)|0), 1); //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$10; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$obj; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)|0)!=0; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 27; break; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $15=$obj; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZL17GetScriptReferentP8JSObject($15); //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$16; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $18=$3; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)>>>0) < 1; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $21=$2; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__Z20ReportMoreArgsNeededP9JSContextPKcj($21, ((STRING_TABLE.__str117)|0), 1); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($22)&1); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$23; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 27; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $ok=0; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2js8CallArgsixEj($args, 0); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK2JS5Value8isNumberEv($26); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $29=__ZNK2js8CallArgsixEj($args, 0); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZNK2JS5Value8toNumberEv($29); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $d=$30; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$d; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=($31 >= 0 ? Math.floor($31) : Math.ceil($31)); //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $lineno=$32; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$lineno; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($33)>>>0); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$d; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$34 == $35; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36)&1); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$37; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $39=$ok; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($39) & 1); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $42=$2; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($42, 2, 0, 283, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 27; break; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $44=$2; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN16FlowGraphSummaryC1EP9JSContext($flowData, $44); //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$2; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$script; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=__ZN16FlowGraphSummary8populateEP9JSContextP8JSScript($flowData, $45, $46); //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      $1=0; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $50=$2; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($50, 0); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $result=$51; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$result; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=(($52)|0)!=0; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($53) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      $1=0; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $56=$2; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=$script; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN28BytecodeRangeWithLineNumbersC1EP9JSContextP8JSScript($r, $56, $57); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $59=$r; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=__ZNK2js13BytecodeRange5emptyEv($59); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=$60 ^ 1; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($61) { __label__ = 17; break; } else { __label__ = 25; break; } //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $63=$r; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=__ZNK2js13BytecodeRange11frontOffsetEv($63); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $offset=$64; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=__ZNK28BytecodeRangeWithLineNumbers15frontLineNumberEv($r); //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=$lineno; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=(($65)|0)==(($66)|0); //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($67) { __label__ = 18; break; } else { __label__ = 23; break; } //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $69=$flowData; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=$offset; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($69, $70); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=(($72)|0)!=-1; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $75=$flowData; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=$offset; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($75, $76); //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=$lineno; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=(($78)|0)!=(($79)|0); //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($80) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $82=$2; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=$result; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=$offset; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=(($84)>>>0); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11NumberValueEd($6, $85); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=__Z19js_NewbornArrayPushP9JSContextP8JSObjectRKN2JS5ValueE($82, $83, $6); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=(($86)|0)!=0; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      $1=0; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      __label__ = 23; break; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      __label__ = 24; break; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      __ZN28BytecodeRangeWithLineNumbers8popFrontEv($r); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $93=$args; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=__ZNK2js12CallReceiver4rvalEv($93); //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=$result; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($94, $95); //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 26; break; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      __ZN16FlowGraphSummaryD1Ev($flowData); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 27; break;
    case 27: 
      var $98=$1; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $98; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29DebuggerScript_getLineOffsetsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL28DebuggerScript_getOffsetLineP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $offset=__stackBase__+8;
      var $lineno;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $6=$3; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)>>>0) < 1; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $9=$2; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__Z20ReportMoreArgsNeededP9JSContextPKcj($9, ((STRING_TABLE.__str116)|0), 1); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)&1); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$11; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $14=$3; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $14, $15); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$2; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($16, $args, ((STRING_TABLE.__str44)|0), 1); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$17; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$obj; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=0; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $22=$obj; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZL17GetScriptReferentP8JSObject($22); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$23; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$2; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$script; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2js8CallArgsixEj($args, 0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZL12ScriptOffsetP9JSContextP8JSScriptRKN2JS5ValueEPj($24, $25, $26, $offset); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $30=$2; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$script; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$script; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32)|0); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=HEAP32[(($offset)>>2)]; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($34+$35)|0); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=_JS_PCToLineNumber($30, $31, $36); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $lineno=$37; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$args; //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2js12CallReceiver4rvalEv($38); //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$lineno; //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZN2JS5Value9setNumberEj($39, $40); //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $43=$1; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL28DebuggerScript_getOffsetLineP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL28DebuggerScript_setBreakpointP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $dbg;
      var $holder;
      var $offset=__stackBase__+8;
      var $handler;
      var $comp;
      var $pc;
      var $site;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $6=$3; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)>>>0) < 2; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $9=$2; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__Z20ReportMoreArgsNeededP9JSContextPKcj($9, ((STRING_TABLE.__str115)|0), 2); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)&1); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$11; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $14=$3; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $14, $15); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$2; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($16, $args, ((STRING_TABLE.__str45)|0), 1); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$17; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$obj; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=0; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $22=$obj; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZL17GetScriptReferentP8JSObject($22); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$23; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$obj; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($24); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$25; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$obj; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZL15GetScriptHolderP8JSObject($26); //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $holder=$27; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$dbg; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$2; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$script; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$holder; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=__ZL11ScriptScopeP9JSContextP8JSScriptP8JSObject($29, $30, $31); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZNK2js8Debugger13observesScopeEP8JSObject($28, $32); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $35=$2; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($35, 2, 0, 284, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $37=$2; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$script; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2js8CallArgsixEj($args, 0); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZL12ScriptOffsetP9JSContextP8JSScriptRKN2JS5ValueEPj($37, $38, $39, $offset); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $43=$2; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=__ZNK2js8CallArgsixEj($args, 1); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=__ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE($43, $44); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $handler=$45; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$handler; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=(($46)|0)!=0; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      $1=0; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $50=$script; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$50; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=__ZNK2js2gc4Cell11compartmentEv($51); //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $comp=$52; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$script; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=(($53)|0); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=HEAP32[(($offset)>>2)]; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=(($55+$56)|0); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$57; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$comp; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=$2; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$script; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=$pc; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=$holder; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=__ZN13JSCompartment25getOrCreateBreakpointSiteEP9JSContextP8JSScriptPhP8JSObject($58, $59, $60, $61, $62); //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $site=$63; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=$site; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=(($64)|0)!=0; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      $1=0; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $68=$site; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=$2; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=__ZN2js14BreakpointSite3incEP9JSContext($68, $69); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($70) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $72=$2; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=(($72+52)|0); //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=$dbg; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=$site; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=$handler; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=__ZN9JSRuntime4new_IN2js10BreakpointEPNS1_8DebuggerEPNS1_14BreakpointSiteEP8JSObjectEEPT_T0_T1_T2_($74, $75, $76, $77); //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=(($78)|0)!=0; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($79) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $81=$args; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=__ZNK2js12CallReceiver4rvalEv($81); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($82); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $84=$site; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=$2; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14BreakpointSite3decEP9JSContext($84, $85); //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break; //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $87=$site; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=$2; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=(($88+52)|0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14BreakpointSite14destroyIfEmptyEP9JSRuntimePNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumE($87, $90, 0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $92=$1; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $92; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL28DebuggerScript_setBreakpointP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL29DebuggerScript_getBreakpointsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $dbg;
      var $pc;
      var $offset=__stackBase__+8;
      var $arr;
      var $comp;
      var $r=__stackBase__+12;
      var $site;
      var $bp;
      var $5=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($8, $args, ((STRING_TABLE.__str46)|0), 1); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$9; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$obj; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$obj; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZL17GetScriptReferentP8JSObject($14); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$15; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$obj; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($16); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$3; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)>>>0) > 0; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$2; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$script; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZNK2js8CallArgsixEj($args, 0); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZL12ScriptOffsetP9JSContextP8JSScriptRKN2JS5ValueEPj($21, $22, $23, $offset); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      $1=0; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $27=$script; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27)|0); //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=HEAP32[(($offset)>>2)]; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($29+$30)|0); //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$31; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $pc=0; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break;
    case 8: 
      var $34=$2; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($34, 0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $arr=$35; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$arr; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36)|0)!=0; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      $1=0; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $40=$script; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$40; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZNK2js2gc4Cell11compartmentEv($41); //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $comp=$42; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$comp; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($43+1956)|0); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3allEv($r, $44); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $46=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($r); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$46 ^ 1; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 25; break; } //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $49=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($r); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49+4)|0); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $site=$51; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$site; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=(($52)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=$script; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($54)|0)==(($55)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($56) { __label__ = 13; break; } else { __label__ = 23; break; } //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $58=$pc; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=(($58)|0)!=0; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $61=$site; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=(($61+4)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=$pc; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=(($63)|0)==(($64)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 23; break; } //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $67=$site; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=__ZNK2js14BreakpointSite15firstBreakpointEv($67); //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$68; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $70=$bp; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=(($70)|0)!=0; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($71) { __label__ = 17; break; } else { __label__ = 22; break; } //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $73=$bp; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=(($73)|0); //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=$dbg; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=(($75)|0)==(($76)|0); //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($77) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $79=$2; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=$arr; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=$bp; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=__ZNK2js10Breakpoint10getHandlerEv($81); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($5, $82); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=__Z19js_NewbornArrayPushP9JSContextP8JSObjectRKN2JS5ValueE($79, $80, $5); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=(($83)|0)!=0; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      $1=0; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      __label__ = 21; break; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $88=$bp; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=__ZN2js10Breakpoint10nextInSiteEv($88); //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bp=$89; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      __label__ = 23; break; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      __label__ = 24; break; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($r); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $94=$args; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=__ZNK2js12CallReceiver4rvalEv($94); //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=$arr; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($95, $96); //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      var $98=$1; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $98; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29DebuggerScript_getBreakpointsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL30DebuggerScript_clearBreakpointP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $dbg;
      var $handler;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $6=$3; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)>>>0) < 1; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $9=$2; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__Z20ReportMoreArgsNeededP9JSContextPKcj($9, ((STRING_TABLE.__str114)|0), 1); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)&1); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$11; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $14=$3; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $14, $15); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$2; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($16, $args, ((STRING_TABLE.__str47)|0), 1); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$17; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$obj; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=0; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $22=$obj; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZL17GetScriptReferentP8JSObject($22); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$23; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$obj; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($24); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$25; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$2; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK2js8CallArgsixEj($args, 0); //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE($26, $27); //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $handler=$28; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$handler; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0)!=0; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $33=$script; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$33; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZNK2js2gc4Cell11compartmentEv($34); //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$2; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$dbg; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$script; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$handler; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN13JSCompartment18clearBreakpointsInEP9JSContextPN2js8DebuggerEP8JSScriptP8JSObject($35, $36, $37, $38, $39); //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$args; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZNK2js12CallReceiver4rvalEv($40); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($41); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $43=$1; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL30DebuggerScript_clearBreakpointP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js21assertSameCompartmentIP8JSObjectPNS_10StackFrameEEEvP9JSContextT_T0_($cx, $t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$t1;
  $3=$t2;
  ;
  return; //@line 248 "./jscntxtinlines.h"
}


function __ZL34DebuggerScript_clearAllBreakpointsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $script;
      var $dbg;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str47)|0), 1); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$8; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$obj; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$obj; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZL17GetScriptReferentP8JSObject($13); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$14; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$obj; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($15); //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$16; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$script; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$17; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js2gc4Cell11compartmentEv($18); //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$2; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$dbg; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$script; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN13JSCompartment18clearBreakpointsInEP9JSContextPN2js8DebuggerEP8JSScriptP8JSObject($19, $20, $21, $22, 0); //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$args; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK2js12CallReceiver4rvalEv($23); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $26=$1; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15EvaluateInScopeEP9JSContextP8JSObjectPNS_10StackFrameEPKtjPKcjPN2JS5ValueE($cx, $scobj, $fp, $chars, $length, $filename, $lineno, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $script;
      $2=$cx;
      $3=$scobj;
      $4=$fp;
      $5=$chars;
      $6=$length;
      $7=$filename;
      $8=$lineno;
      $9=$rval;
      var $10=$2; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$3; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$4; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectPNS_10StackFrameEEEvP9JSContextT_T0_($10, $11, $12); //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$2; //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$4; //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZN2js11ComputeThisEP9JSContextPNS_10StackFrameE($13, $14); //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $18=$2; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$3; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$4; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$4; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2js10StackFrame10scopeChainEv($21); //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$2; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZN8JSObject10principalsEP9JSContext($22, $23); //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$5; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$6; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$7; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$8; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$2; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZNK9JSContext11findVersionEv($29); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZN2js8Compiler13compileScriptEP9JSContextP8JSObjectPNS_10StackFrameEP12JSPrincipalsjPKtjPKcj9JSVersionP8JSStringj($18, $19, $20, $24, 1073750016, $25, $26, $27, $28, $30, 0, 16); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$31; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$script; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32)|0)!=0; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $36=$2; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$script; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$3; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$4; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZNK2js10StackFrame9thisValueEv($39); //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$4; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$9; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZN2js13ExecuteKernelEP9JSContextP8JSScriptR8JSObjectRKN2JS5ValueENS_11ExecuteTypeEPNS_10StackFrameEPS7_($36, $37, $38, $40, 24, $41, $42); //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($43)&1); //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$44; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $46=$1; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $46; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js15EvaluateInScopeEP9JSContextP8JSObjectPNS_10StackFrameEPKtjPKcjPN2JS5ValueE["X"]=1;

function __ZN2js11ComputeThisEP9JSContextPNS_10StackFrameE($cx, $fp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $thisv;
      var $4=__stackBase__;
      $2=$cx;
      $3=$fp;
      var $5=$3; //@line 178 "./jsinterpinlines.h"
      var $6=__ZNK2js10StackFrame9thisValueEv($5); //@line 178 "./jsinterpinlines.h"
      $thisv=$6; //@line 178 "./jsinterpinlines.h"
      var $7=$thisv; //@line 179 "./jsinterpinlines.h"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 179 "./jsinterpinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 179 "./jsinterpinlines.h"
    case 2: 
      $1=1; //@line 180 "./jsinterpinlines.h"
      __label__ = 8; break; //@line 180 "./jsinterpinlines.h"
    case 3: 
      var $11=$3; //@line 181 "./jsinterpinlines.h"
      var $12=__ZNK2js10StackFrame15isFunctionFrameEv($11); //@line 181 "./jsinterpinlines.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 181 "./jsinterpinlines.h"
    case 4: 
      var $14=$3; //@line 182 "./jsinterpinlines.h"
      var $15=__ZNK2js10StackFrame3funEv($14); //@line 182 "./jsinterpinlines.h"
      var $16=__ZNK10JSFunction12inStrictModeEv($15); //@line 182 "./jsinterpinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 182 "./jsinterpinlines.h"
    case 5: 
      $1=1; //@line 183 "./jsinterpinlines.h"
      __label__ = 8; break; //@line 183 "./jsinterpinlines.h"
    case 6: 
      __label__ = 7; break; //@line 192 "./jsinterpinlines.h"
    case 7: 
      var $20=$2; //@line 193 "./jsinterpinlines.h"
      var $21=$3; //@line 193 "./jsinterpinlines.h"
      __ZNK2js10StackFrame12callReceiverEv($4, $21); //@line 193 "./jsinterpinlines.h"
      var $22=__ZN2js16BoxNonStrictThisEP9JSContextRKNS_12CallReceiverE($20, $4); //@line 193 "./jsinterpinlines.h"
      $1=$22; //@line 193 "./jsinterpinlines.h"
      __label__ = 8; break; //@line 193 "./jsinterpinlines.h"
    case 8: 
      var $24=$1; //@line 194 "./jsinterpinlines.h"
      STACKTOP = __stackBase__;
      return $24; //@line 194 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject10principalsEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cb;
      var $finder;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 937 "./jsobjinlines.h"
      var $6=_JS_GetSecurityCallbacks($5); //@line 937 "./jsobjinlines.h"
      $cb=$6; //@line 937 "./jsobjinlines.h"
      var $7=$cb; //@line 938 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 938 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "./jsobjinlines.h"
    case 2: 
      var $10=$cb; //@line 938 "./jsobjinlines.h"
      var $11=(($10+8)|0); //@line 938 "./jsobjinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 938 "./jsobjinlines.h"
    case 3: 
      var $15 = 0;__label__ = 4; break; //@line 938 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 938 "./jsobjinlines.h"
      $finder=$15; //@line 938 "./jsobjinlines.h"
      var $16=$finder; //@line 938 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 938 "./jsobjinlines.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 938 "./jsobjinlines.h"
    case 5: 
      var $19=$finder; //@line 939 "./jsobjinlines.h"
      var $20=$3; //@line 939 "./jsobjinlines.h"
      var $21=FUNCTION_TABLE[$19]($20, $4); //@line 939 "./jsobjinlines.h"
      $1=$21; //@line 939 "./jsobjinlines.h"
      __label__ = 10; break; //@line 939 "./jsobjinlines.h"
    case 6: 
      var $23=$3; //@line 940 "./jsobjinlines.h"
      var $24=(($23+56)|0); //@line 940 "./jsobjinlines.h"
      var $25=HEAP32[(($24)>>2)]; //@line 940 "./jsobjinlines.h"
      var $26=(($25)|0)!=0; //@line 940 "./jsobjinlines.h"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 940 "./jsobjinlines.h"
    case 7: 
      var $28=$3; //@line 940 "./jsobjinlines.h"
      var $29=(($28+56)|0); //@line 940 "./jsobjinlines.h"
      var $30=HEAP32[(($29)>>2)]; //@line 940 "./jsobjinlines.h"
      var $31=(($30+4)|0); //@line 940 "./jsobjinlines.h"
      var $32=HEAP32[(($31)>>2)]; //@line 940 "./jsobjinlines.h"
      var $35 = $32;__label__ = 9; break; //@line 940 "./jsobjinlines.h"
    case 8: 
      var $35 = 0;__label__ = 9; break; //@line 940 "./jsobjinlines.h"
    case 9: 
      var $35; //@line 940 "./jsobjinlines.h"
      $1=$35; //@line 940 "./jsobjinlines.h"
      __label__ = 10; break; //@line 940 "./jsobjinlines.h"
    case 10: 
      var $37=$1; //@line 941 "./jsobjinlines.h"
      ;
      return $37; //@line 941 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK9JSContext11findVersionEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $f;
      $2=$this;
      var $3=$2;
      var $4=(($3+16)|0); //@line 1104 "./jscntxt.h"
      var $5=HEAP8[($4)]; //@line 1104 "./jscntxt.h"
      var $6=(($5) & 1); //@line 1104 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1104 "./jscntxt.h"
    case 2: 
      var $8=(($3+12)|0); //@line 1105 "./jscntxt.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1105 "./jscntxt.h"
      $1=$9; //@line 1105 "./jscntxt.h"
      __label__ = 13; break; //@line 1105 "./jscntxt.h"
    case 3: 
      var $11=(($3+60)|0); //@line 1107 "./jscntxt.h"
      var $12=__ZNK2js12ContextStack5hasfpEv($11); //@line 1107 "./jscntxt.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1107 "./jscntxt.h"
    case 4: 
      var $14=__ZNK9JSContext2fpEv($3); //@line 1109 "./jscntxt.h"
      $f=$14; //@line 1109 "./jscntxt.h"
      __label__ = 5; break; //@line 1110 "./jscntxt.h"
    case 5: 
      var $16=$f; //@line 1110 "./jscntxt.h"
      var $17=(($16)|0)!=0; //@line 1110 "./jscntxt.h"
      if ($17) { __label__ = 6; break; } else { var $23 = 0;__label__ = 7; break; } //@line 1110 "./jscntxt.h"
    case 6: 
      var $19=$f; //@line 1110 "./jscntxt.h"
      var $20=__ZNK2js10StackFrame13isScriptFrameEv($19); //@line 1110 "./jscntxt.h"
      var $21=$20 ^ 1; //@line 1110 "./jscntxt.h"
      var $23 = $21;__label__ = 7; break;
    case 7: 
      var $23;
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; }
    case 8: 
      var $25=$f; //@line 1111 "./jscntxt.h"
      var $26=__ZNK2js10StackFrame4prevEv($25); //@line 1111 "./jscntxt.h"
      $f=$26; //@line 1111 "./jscntxt.h"
      __label__ = 5; break; //@line 1111 "./jscntxt.h"
    case 9: 
      var $28=$f; //@line 1112 "./jscntxt.h"
      var $29=(($28)|0)!=0; //@line 1112 "./jscntxt.h"
      if ($29) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1112 "./jscntxt.h"
    case 10: 
      var $31=$f; //@line 1113 "./jscntxt.h"
      var $32=__ZNK2js10StackFrame6scriptEv($31); //@line 1113 "./jscntxt.h"
      var $33=__ZNK8JSScript10getVersionEv($32); //@line 1113 "./jscntxt.h"
      $1=$33; //@line 1113 "./jscntxt.h"
      __label__ = 13; break; //@line 1113 "./jscntxt.h"
    case 11: 
      __label__ = 12; break; //@line 1114 "./jscntxt.h"
    case 12: 
      var $36=(($3+8)|0); //@line 1116 "./jscntxt.h"
      var $37=HEAP32[(($36)>>2)]; //@line 1116 "./jscntxt.h"
      $1=$37; //@line 1116 "./jscntxt.h"
      __label__ = 13; break; //@line 1116 "./jscntxt.h"
    case 13: 
      var $39=$1; //@line 1117 "./jscntxt.h"
      ;
      return $39; //@line 1117 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame9thisValueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3)|0); //@line 748 "./vm/Stack.h"
      var $5=HEAP32[(($4)>>2)]; //@line 748 "./vm/Stack.h"
      var $6=$5 & 9; //@line 748 "./vm/Stack.h"
      var $7=(($6)|0)!=0; //@line 748 "./vm/Stack.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 748 "./vm/Stack.h"
    case 2: 
      var $9=$3; //@line 749 "./vm/Stack.h"
      var $10=(($9-8)|0); //@line 749 "./vm/Stack.h"
      $1=$10; //@line 749 "./vm/Stack.h"
      __label__ = 4; break; //@line 749 "./vm/Stack.h"
    case 3: 
      var $12=__ZNK2js10StackFrame10formalArgsEv($3); //@line 750 "./vm/Stack.h"
      var $13=(($12-8)|0); //@line 750 "./vm/Stack.h"
      $1=$13; //@line 750 "./vm/Stack.h"
      __label__ = 4; break; //@line 750 "./vm/Stack.h"
    case 4: 
      var $15=$1; //@line 751 "./vm/Stack.h"
      ;
      return $15; //@line 751 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26DebuggerFrame_getArgumentsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      var $argumentsv=__stackBase__+8;
      var $argsobj;
      var $global;
      var $proto=__stackBase__+16;
      var $5=__stackBase__+20;
      var $fargc;
      var $6=__stackBase__+28;
      var $i;
      var $getobj;
      var $7=__stackBase__+36;
      var $8=__stackBase__+44;
      var $9=__stackBase__+52;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $10=$3; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$4; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $10, $11); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$2; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($12, $args, ((STRING_TABLE.__str111)|0), 1); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$13; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$thisobj; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($14)|0)!=0; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $18=$thisobj; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK8JSObject10getPrivateEv($18); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$19; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$20; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$thisobj; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($argumentsv, $21, 1); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2JS5Value11isUndefinedEv($argumentsv); //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $24=$args; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK2js12CallReceiver4rvalEv($24); //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$25; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$argumentsv; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $29=$fp; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZNK2js10StackFrame7hasArgsEv($29); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 22; break; } //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $32=$args; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZNK2js12CallReceiver6calleeEv($32); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZNK8JSObject9getGlobalEv($33); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $global=$34; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$2; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$global; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$36; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($35, $37, 3, $proto, 0); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($38)|0)!=0; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $42=$2; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=HEAP32[(($proto)>>2)]; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$global; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$44; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($42, _DebuggerArguments_class, $43, $45); //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $argsobj=$46; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$argsobj; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=(($47)|0)!=0; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $50=$2; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$argsobj; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$thisobj; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($5, $52); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($50, $51, 0, $5); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $56=$fp; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=__ZNK2js10StackFrame13numActualArgsEv($56); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fargc=$57; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$2; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=$argsobj; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$2; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=(($60+52)|0); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=(($62+209948)|0); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=(($63+308)|0); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=$65; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=__ZL12ATOM_TO_JSIDP6JSAtom($66); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=$fargc; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL10Int32ValueEi($6, $68); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($58, $59, $67, $6, 0, 0, 6, 0, 0, 0); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=(($69)|0)!=0; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($70) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      $1=0; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      $i=0; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $74=$i; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=$fargc; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=(($74)|0) < (($75)|0); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 21; break; } //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $78=$2; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=$global; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=$79; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($78, 0, 16, 0, 0, $80, 0); //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=$81; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $getobj=$82; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=$getobj; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=(($83)|0)!=0; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($84) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $86=$2; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=$getobj; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=$i; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL10Int32ValueEi($7, $88); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($86, $87, 0, $7); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($89) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $91=$2; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $92=$argsobj; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=$i; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=_INT_TO_JSID($93); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL14UndefinedValueEv($8); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=$getobj; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=$95; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=$96; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($91, $92, $94, $8, $97, 0, 81, 0, 0, 0); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=(($98)|0)!=0; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($99) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      $1=0; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      __label__ = 20; break; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $103=$i; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $104=(($103+1)|0); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$104; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      __label__ = 23; break; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      $argsobj=0; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break;
    case 23: 
      var $108=$args; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $109=__ZNK2js12CallReceiver4rvalEv($108); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $110=$argsobj; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject5($9, $110); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=$109; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $112=$9; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($111)>>2)]=HEAP32[(($112)>>2)];HEAP32[(($111+4)>>2)]=HEAP32[(($112+4)>>2)]; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $113=$thisobj; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $114=$args; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=__ZNK2js12CallReceiver4rvalEv($114); //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($113, 1, $115); //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $117=$1; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $117; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL26DebuggerFrame_getArgumentsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL23DebuggerFrame_getCalleeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      var $calleev=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str110)|0), 1); //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$8; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$thisobj; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$thisobj; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$15; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$fp; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK2js10StackFrame15isFunctionFrameEv($16); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $19=$fp; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZNK2js10StackFrame11isEvalFrameEv($19); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $22=$fp; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZNK2js10StackFrame7calleevEv($22); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$calleev; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$23; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __ZN2JSL9NullValueEv($calleev); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $28=$thisobj; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($28); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$2; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($29, $30, $calleev); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $34=$args; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZNK2js12CallReceiver4rvalEv($34); //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$35; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$calleev; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $39=$1; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL23DebuggerFrame_getCalleeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL29DebuggerFrame_getConstructingP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str109)|0), 1); //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$8; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$thisobj; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$thisobj; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$15; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$args; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK2js12CallReceiver4rvalEv($16); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$fp; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js10StackFrame15isFunctionFrameEv($18); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 4; break; } else { var $24 = 0;__label__ = 5; break; } //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$fp; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2js10StackFrame14isConstructingEv($21); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24 = $22;__label__ = 5; break;
    case 5: 
      var $24;
      __ZN2JS5Value10setBooleanEb($17, $24);
      $1=1; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $26=$1; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26DebuggerFrame_getGeneratorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str108)|0), 1); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$8; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$thisobj; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$thisobj; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$15; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$args; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK2js12CallReceiver4rvalEv($16); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$fp; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js10StackFrame16isGeneratorFrameEv($18); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value10setBooleanEb($17, $19); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$1; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21DebuggerFrame_getLiveP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str107)|0), 0); //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$8; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$thisobj; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$thisobj; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$15; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$args; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK2js12CallReceiver4rvalEv($16); //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$fp; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=0; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$19 ^ 1; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$20 ^ 1; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value10setBooleanEb($17, $21); //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $23=$1; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23DebuggerFrame_getOffsetP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      var $script;
      var $pc;
      var $5=__stackBase__+8;
      var $offset;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($8, $args, ((STRING_TABLE.__str106)|0), 1); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$9; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$thisobj; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$thisobj; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK8JSObject10getPrivateEv($14); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$15; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$16; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$fp; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK2js10StackFrame13isScriptFrameEv($17); //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=$fp; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZNK2js10StackFrame6scriptEv($20); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$21; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$fp; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$2; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js12ContextStackC1EP9JSContext]($5, $23); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($22, $5, 0, 0); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js12ContextStackD1Ev]($5); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$24; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$pc; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$script; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26)|0); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$25; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$28; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=(($29-$30)|0); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $offset=$31; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$args; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZNK2js12CallReceiver4rvalEv($32); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$offset; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)>>>0); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZN2JS5Value9setNumberEd($33, $35); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $38=$args; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2js12CallReceiver4rvalEv($38); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($39); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break;
    case 6: 
      $1=1; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 7; break; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $42=$1; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $42; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL23DebuggerFrame_getOffsetP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL22DebuggerFrame_getOlderP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $thisfp;
      var $dbg;
      var $fp;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str105)|0), 1); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$8; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$thisobj; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$thisobj; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisfp=$15; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$thisobj; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($16); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$thisfp; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js10StackFrame4prevEv($18); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$19; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$fp; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21)|0)!=0; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $24=$fp; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK2js10StackFrame12isDummyFrameEv($24); //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $27=$dbg; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$fp; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2js8Debugger13observesFrameEPNS_10StackFrameE($27, $28); //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $31=$dbg; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$2; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$fp; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$4; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE($31, $32, $33, $34); //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($35)&1); //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$36; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      __label__ = 9; break; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $39=$fp; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZNK2js10StackFrame4prevEv($39); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$40; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $42=$args; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZNK2js12CallReceiver4rvalEv($42); //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value7setNullEv($43); //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $45=$1; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22DebuggerFrame_getOlderP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL23DebuggerFrame_getScriptP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      var $debug;
      var $scriptObject;
      var $callee;
      var $script;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str89)|0), 1); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$8; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$thisobj; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$thisobj; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$15; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$thisobj; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($16); //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debug=$17; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scriptObject=0; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$fp; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js10StackFrame15isFunctionFrameEv($18); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$fp; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2js10StackFrame11isEvalFrameEv($21); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 10; break; } else { __label__ = 5; break; } //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $24=$fp; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK2js10StackFrame6calleeEv($24); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK8JSObject18getFunctionPrivateEv($25); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $callee=$26; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$callee; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZNK10JSFunction13isInterpretedEv($27); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $30=$debug; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$2; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$callee; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZN2js8Debugger18wrapFunctionScriptEP9JSContextP10JSFunction($30, $31, $32); //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scriptObject=$33; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$scriptObject; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)|0)!=0; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      __label__ = 9; break; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      __label__ = 18; break; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $40=$fp; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZNK2js10StackFrame13isScriptFrameEv($40); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $43=$fp; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=__ZNK2js10StackFrame6scriptEv($43); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $script=$44; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$script; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45+84)|0); //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$46; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=(($48)|0)!=0; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $51=$debug; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$2; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$script; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=(($53+84)|0); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=$54; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=__ZN2js8Debugger15wrapJSAPIScriptEP9JSContextP8JSObject($51, $52, $56); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64 = $57;__label__ = 14; break; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $59=$debug; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$2; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=$script; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=__ZN2js8Debugger17wrapNonHeldScriptEP9JSContextP8JSScript($59, $60, $61); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64 = $62;__label__ = 14; break; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $64; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scriptObject=$64; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=$scriptObject; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=(($65)|0)!=0; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($66) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      $1=0; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      __label__ = 17; break; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $71=$args; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=__ZNK2js12CallReceiver4rvalEv($71); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=$scriptObject; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value15setObjectOrNullEP8JSObject($72, $73); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $75=$1; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $75; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL23DebuggerFrame_getScriptP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL21DebuggerFrame_getTypeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str104)|0), 1); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$8; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$thisobj; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$thisobj; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$15; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$args; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK2js12CallReceiver4rvalEv($16); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$fp; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js10StackFrame11isEvalFrameEv($18); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$2; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21+52)|0); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23+209948)|0); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24+264)|0); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47 = $26;__label__ = 9; break; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $28=$fp; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2js10StackFrame13isGlobalFrameEv($28); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $31=$2; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31+52)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($33+209948)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34+276)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45 = $36;__label__ = 8; break; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $38=$2; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($38+52)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($40+209948)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41+240)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45 = $43;__label__ = 8; break; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $45; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47 = $45;__label__ = 9; break; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $47; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$47; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setStringEP8JSString($17, $48); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $50=$1; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21DebuggerFrame_getTypeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL23DebuggerFrame_getOnStepP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      var $handler=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($7, $args, ((STRING_TABLE.__str103)|0), 1); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$8; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$thisobj; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$thisobj; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$15; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$thisobj; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($handler, $16, 2); //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$args; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK2js12CallReceiver4rvalEv($17); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$18; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$handler; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $22=$1; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18DebuggerFrame_evalP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL17DebuggerFrameEvalP9JSContextjPN2JS5ValueE16EvalBindingsMode($4, $5, $6, 0); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL30DebuggerFrame_evalWithBindingsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL17DebuggerFrameEvalP9JSContextjPN2JS5ValueE16EvalBindingsMode($4, $5, $6, 1); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL20DebuggerObject_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $referent;
      $1=$trc;
      $2=$obj;
      var $3=$1; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=(($3)|0); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5+52)|0); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7+144080)|0); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $12=$2; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK8JSObject10getPrivateEv($12); //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$13; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $referent=$14; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$referent; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15)|0)!=0; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $18=$1; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$referent; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($18, $19, ((STRING_TABLE.__str95)|0)); //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      ;
      return; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23DebuggerObject_getProtoP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $refobj;
      var $dbg;
      var $protov=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($7, $args, ((STRING_TABLE.__str94)|0)); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $refobj=$8; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$refobj; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$refobj; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($13); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$14; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$refobj; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK8JSObject10getPrivateEv($15); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$16; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $refobj=$17; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$refobj; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK8JSObject8getProtoEv($18); //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject5($protov, $19); //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$dbg; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$2; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($20, $21, $protov); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $25=$args; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZNK2js12CallReceiver4rvalEv($25); //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$26; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$protov; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $30=$1; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23DebuggerObject_getClassP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $refobj;
      var $s;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($7, $args, ((STRING_TABLE.__str93)|0)); //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $refobj=$8; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$refobj; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$refobj; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $refobj=$15; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$refobj; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK8JSObject8getClassEv($16); //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17)|0); //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $s=$19; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$2; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$s; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$s; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=_strlen($22); //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($20, $21, $23, 0, 0); //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $str=$24; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$str; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($25)|0)!=0; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $29=$args; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZNK2js12CallReceiver4rvalEv($29); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$str; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$31; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setStringEP8JSString($30, $32); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $34=$1; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL23DebuggerObject_getClassP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL26DebuggerObject_getCallableP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $refobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($7, $args, ((STRING_TABLE.__str92)|0)); //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $refobj=$8; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$refobj; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$refobj; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $refobj=$15; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$args; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK2js12CallReceiver4rvalEv($16); //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$refobj; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZN8JSObject10isCallableEv($18); //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value10setBooleanEb($17, $19); //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$1; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL22DebuggerObject_getNameP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $name;
      var $namev=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($7, $args, ((STRING_TABLE.__str91)|0)); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$8; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$obj; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$obj; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($13); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$14; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$obj; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK8JSObject10getPrivateEv($15); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$16; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$17; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$obj; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK8JSObject10isFunctionEv($18); //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$args; //@line 3123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZNK2js12CallReceiver4rvalEv($21); //@line 3123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($22); //@line 3123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $24=$obj; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK8JSObject18getFunctionPrivateEv($24); //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($25+72)|0); //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$27; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $name=$28; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$name; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0)!=0; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $32=$args; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZNK2js12CallReceiver4rvalEv($32); //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($33); //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $35=$name; //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11StringValueEP8JSString($namev, $35); //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$dbg; //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$2; //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($36, $37, $namev); //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $41=$args; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZNK2js12CallReceiver4rvalEv($41); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$42; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$namev; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $46=$1; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22DebuggerObject_getNameP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL21DebuggerFrame_getThisP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      var $thisv=__stackBase__+8;
      var $ac=__stackBase__+16;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($8, $args, ((STRING_TABLE.__str105)|0), 1); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$9; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$thisobj; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$thisobj; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK8JSObject10getPrivateEv($14); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$15; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$16; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$2; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$fp; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js10StackFrame10scopeChainEv($18); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $17, $19); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZN2js15AutoCompartment5enterEv($ac); //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 8; break; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $23=$2; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$fp; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZN2js11ComputeThisEP9JSContextPNS_10StackFrameE($23, $24); //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 8; break; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $28=$fp; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2js10StackFrame9thisValueEv($28); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$thisv; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$29; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=0; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 9; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 12; break;
      }
      else {
      __label__ = 13; break;
      }
      
    case 9: 
      var $34=$thisobj; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($34); //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$2; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($35, $36, $thisv); //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $40=$args; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZNK2js12CallReceiver4rvalEv($40); //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$41; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$thisv; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $45=$1; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21DebuggerFrame_getThisP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL23DebuggerFrame_setOnStepP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      var $prior=__stackBase__+8;
      var $delta;
      var $ac=__stackBase__+16;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $7=$3; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7)>>>0) < 1; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $10=$2; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__Z20ReportMoreArgsNeededP9JSContextPKcj($10, ((STRING_TABLE.__str101)|0), 1); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)&1); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$12; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      __label__ = 5; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $15=$3; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$4; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $15, $16); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$2; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($17, $args, ((STRING_TABLE.__str102)|0), 1); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$18; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$thisobj; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)|0)!=0; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $23=$thisobj; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK8JSObject10getPrivateEv($23); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$24; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$25; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$fp; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK2js10StackFrame13isScriptFrameEv($26); //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $29=$2; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 286, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $31=__ZNK2js8CallArgsixEj($args, 0); //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=__ZL11IsValidHookRKN2JS5ValueE($31); //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($32) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $34=$2; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($34, 2, 0, 230, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $36=$thisobj; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($prior, $36, 2); //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=__ZNK2js8CallArgsixEj($args, 0); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=__ZNK2JS5Value11isUndefinedEv($37); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$38 ^ 1; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=(($39)&1); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZNK2JS5Value11isUndefinedEv($prior); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$41 ^ 1; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42)&1); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=(($40-$43)|0); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $delta=$44; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$delta; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45)|0)!=0; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 19; break; } //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $48=$2; //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=$fp; //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=__ZNK2js10StackFrame10scopeChainEv($49); //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $48, $50); //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=__ZN2js15AutoCompartment5enterEv($ac); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      $1=0; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 17; break; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $54=$fp; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZNK2js10StackFrame6scriptEv($54); //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=$2; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=$delta; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=__ZN8JSScript19changeStepModeCountEP9JSContexti($55, $56, $57); //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($58) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      $1=0; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 17; break; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      $5=0; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 18; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 20; break;
      }
      else {
      __label__ = 21; break;
      }
      
    case 18: 
      __label__ = 19; break; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $64=$thisobj; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=__ZNK2js8CallArgsixEj($args, 0); //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($64, 2, $65); //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=$args; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=__ZNK2js12CallReceiver4rvalEv($66); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($67); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $69=$1; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $69; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL23DebuggerFrame_setOnStepP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL24DebuggerObject_getScriptP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $fun;
      var $scriptObject;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$4; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $5, $6); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$2; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($7, $args, ((STRING_TABLE.__str89)|0)); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$8; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$obj; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$obj; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($13); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$14; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$obj; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK8JSObject10getPrivateEv($15); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$16; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$17; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$args; //@line 3182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2js12CallReceiver4rvalEv($18); //@line 3182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($19); //@line 3182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$obj; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZNK8JSObject10isFunctionEv($20); //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=1; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $24=$obj; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK8JSObject18getFunctionPrivateEv($24); //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fun=$25; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$fun; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK10JSFunction13isInterpretedEv($26); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=1; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $30=$dbg; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$2; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$fun; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZN2js8Debugger18wrapFunctionScriptEP9JSContextP10JSFunction($30, $31, $32); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scriptObject=$33; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$scriptObject; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)|0)!=0; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $38=$args; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2js12CallReceiver4rvalEv($38); //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$scriptObject; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($39, $40); //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $42=$1; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $42; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL24DebuggerObject_getScriptP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL39DebuggerObject_getOwnPropertyDescriptorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 144; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $id=__stackBase__+8;
      var $5=__stackBase__+12;
      var $desc=__stackBase__+20;
      var $ac=__stackBase__+68;
      var $6;
      var $ec=__stackBase__+120;
      var $get=__stackBase__+128;
      var $set=__stackBase__+136;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$3; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$4; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $7, $8); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$2; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($9, $args, ((STRING_TABLE.__str68)|0)); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$10; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$obj; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)|0)!=0; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 36; break; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $15=$obj; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($15); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$16; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$obj; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK8JSObject10getPrivateEv($17); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$18; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$19; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$2; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$3; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21)>>>0) >= 1; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $24=__ZNK2js8CallArgsixEj($args, 0); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$5; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$24; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __ZN2JSL14UndefinedValueEv($5); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $29=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($20, $5, $id); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 36; break; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $32=$2; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $32); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$2; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$obj; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $33, $34); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZN2js15AutoCompartment5enterEv($ac); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $37=$2; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($37+56)|0); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$2; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZN13JSCompartment6wrapIdEP9JSContextPi($39, $40, $id); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 18; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $44=$dbg; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=__ZNK2js8Debugger10toJSObjectEv($44); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject($ec, $ac, $45); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$2; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$obj; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=HEAP32[(($id)>>2)]; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=(($desc)|0)==0; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $51=$desc; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($51+16)|0); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$52; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56 = $53;__label__ = 14; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $56 = 0;__label__ = 14; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $56; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=__ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiP20JSPropertyDescriptor($46, $47, $48, $56); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($57) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      $1=0; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 17; break; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      $6=0; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      FUNCTION_TABLE[__ZN2js11ErrorCopierD1Ev]($ec); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 18; break;
    case 18: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 19; break;
      }
      else {
      __label__ = 35; break;
      }
      
    case 19: 
      var $63=$desc; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=(($63+16)|0); //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=$64; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=(($65)|0); //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=(($67)|0)!=0; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($68) { __label__ = 20; break; } else { __label__ = 31; break; } //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $70=$dbg; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=$2; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=$desc; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=(($72+16)|0); //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=$73; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=(($74+16)|0); //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($70, $71, $75); //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($76) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      $1=0; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 35; break; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $79=$desc; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=(($79+16)|0); //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=$80; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=(($81+4)|0); //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=$83 & 16; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=(($84)|0)!=0; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $87=$desc; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=(($87+16)|0); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=$88; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=(($89+8)|0); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $92=__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($91); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject5($get, $92); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=$dbg; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=$2; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($93, $94, $get); //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($95) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      $1=0; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 35; break; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $98=__ZNK2JS5Value14toObjectOrNullEv($get); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=__ZN2jsL16CastAsPropertyOpEP8JSObject($98); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=$desc; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=(($100+16)|0); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $102=$101; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $103=(($102+8)|0); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($103)>>2)]=$99; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      var $105=$desc; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $106=(($105+16)|0); //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $107=$106; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $108=(($107+4)|0); //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $110=$109 & 32; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=(($110)|0)!=0; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($111) { __label__ = 27; break; } else { __label__ = 30; break; } //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      var $113=$desc; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $114=(($113+16)|0); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=$114; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $116=(($115+12)|0); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $118=__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE($117); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject5($set, $118); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $119=$dbg; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $120=$2; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $121=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($119, $120, $set); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($121) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      $1=0; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 35; break; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      var $124=__ZNK2JS5Value14toObjectOrNullEv($set); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $125=__ZN2jsL22CastAsStrictPropertyOpEP8JSObject($124); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $126=$desc; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $127=(($126+16)|0); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $128=$127; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $129=(($128+12)|0); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($129)>>2)]=$125; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 30; break; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      __label__ = 31; break; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      var $132=$2; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $133=(($desc)|0)==0; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($133) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 32: 
      var $135=$desc; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $136=(($135+16)|0); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $137=$136; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $140 = $137;__label__ = 34; break; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 33: 
      var $140 = 0;__label__ = 34; break; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 34: 
      var $140; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $141=$args; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $142=__ZNK2js12CallReceiver4rvalEv($141); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $143=__ZN2js27NewPropertyDescriptorObjectEP9JSContextPK20JSPropertyDescriptorPN2JS5ValueE($132, $140, $142); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $144=(($143)&1); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$144; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 35; break; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 35: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 36; break;
    case 36: 
      var $147=$1; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $147; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL39DebuggerObject_getOwnPropertyDescriptorP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL34DebuggerObject_getOwnPropertyNamesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 228; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $keys=__stackBase__+8;
      var $ac=__stackBase__+68;
      var $5;
      var $ec=__stackBase__+120;
      var $vals=__stackBase__+128;
      var $i;
      var $len;
      var $id;
      var $str;
      var $6=__stackBase__+220;
      var $aobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$3; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$4; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $7, $8); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$2; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($9, $args, ((STRING_TABLE.__str69)|0)); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$10; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$obj; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($11)|0)!=0; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 33; break; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $15=$obj; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($15); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$16; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$obj; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK8JSObject10getPrivateEv($17); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$18; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$19; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$2; //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($keys, $20); //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$2; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$obj; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $21, $22); //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZN2js15AutoCompartment5enterEv($ac); //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 9; break; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $26=$dbg; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK2js8Debugger10toJSObjectEv($26); //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject($ec, $ac, $27); //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$2; //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$obj; //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($28, $29, 24, $keys); //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 8; break; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $5=0; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js11ErrorCopierD1Ev]($ec); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 9; break;
    case 9: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 10; break;
      }
      else {
      __label__ = 32; break;
      }
      
    case 10: 
      var $36=$2; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($vals, $36); //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$vals; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$keys; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZNK2js16AutoVectorRooterIiE6lengthEv($38); //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZN2js16AutoVectorRooterIN2JS5ValueEE6resizeEj($37, $39); //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      $1=0; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      $i=0; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=$keys; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=__ZNK2js16AutoVectorRooterIiE6lengthEv($43); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $len=$44; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $46=$i; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$len; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($48) { __label__ = 14; break; } else { __label__ = 28; break; } //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $50=$keys; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$i; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=__ZN2js16AutoVectorRooterIiEixEj($50, $51); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $id=$53; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$id; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=_JSID_IS_INT($54); //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($55)|0)!=0; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $58=$2; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=$id; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=_JSID_TO_INT($59); //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL10Int32ValueEi($6, $60); //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($58, $6); //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $str=$61; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=$str; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=(($62)|0)!=0; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      $1=0; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $66=$vals; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=$i; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($66, $67); //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=$str; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setStringEP8JSString($68, $69); //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $71=$id; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=__ZL12JSID_IS_ATOMi($71); //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=(($72)|0)!=0; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $75=$vals; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=$i; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($75, $76); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=$id; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=_JSID_TO_STRING($78); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setStringEP8JSString($77, $79); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=$2; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=(($80+56)|0); //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=$2; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=$vals; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=$i; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($84, $85); //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($82, $83, $86); //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($87) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      $1=0; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      __label__ = 25; break; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $91=$vals; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $92=$i; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($91, $92); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=$id; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=_JSID_TO_OBJECT($94); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($93, $95); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=$dbg; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=$2; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=$vals; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=$i; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($98, $99); //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($96, $97, $100); //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($101) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      $1=0; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      var $107=$i; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $108=(($107+1)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$108; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      var $110=$2; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=$vals; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $112=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($111); //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $113=$vals; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $114=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($113); //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($110, $112, $114, 0); //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $aobj=$115; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $116=$aobj; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $117=(($116)|0)!=0; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($117) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      $1=0; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      var $120=$args; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $121=__ZNK2js12CallReceiver4rvalEv($120); //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $122=$aobj; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($121, $122); //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 31; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      __ZN2js15AutoValueVectorD1Ev($vals); //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 32; break;
    case 32: 
      __ZN2js12AutoIdVectorD1Ev($keys); //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 33; break;
    case 33: 
      var $126=$1; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $126; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL34DebuggerObject_getOwnPropertyNamesP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL32DebuggerObject_getParameterNamesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $fun;
      var $result;
      var $names=__stackBase__+8;
      var $5=__stackBase__+32;
      var $6;
      var $i;
      var $name;
      var $7=__stackBase__+36;
      var $i1;
      var $8=__stackBase__+44;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$3; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$4; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $9, $10); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$2; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($11, $args, ((STRING_TABLE.__str90)|0)); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$12; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$obj; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)|0)!=0; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 28; break; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $17=$obj; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK8JSObject10getPrivateEv($17); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$18; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$19; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$obj; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZNK8JSObject10isFunctionEv($20); //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $23=$args; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK2js12CallReceiver4rvalEv($23); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 28; break; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $26=$obj; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK8JSObject18getFunctionPrivateEv($26); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fun=$27; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$2; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$fun; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29+56)|0); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=HEAPU16[(($30)>>1)]; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31)&65535); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZN2js22NewDenseAllocatedArrayEP9JSContextjP8JSObject($28, $32, 0); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $result=$33; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$result; //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)|0)!=0; //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 28; break; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $38=$result; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$2; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$fun; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($40+56)|0); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=HEAPU16[(($41)>>1)]; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42)&65535); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj($38, $39, 0, $43); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$fun; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=__ZNK10JSFunction13isInterpretedEv($44); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 22; break; } //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $47=$fun; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=(($47+56)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=HEAPU16[(($48)>>1)]; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49)&65535); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=(($50)|0) > 0; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 21; break; } //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $53=$2; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($5, $53); //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC1ES3_($names, $5); //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$fun; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZNK10JSFunction6scriptEv($54); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($55+64)|0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=$2; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE($56, $57, $names); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($58) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 19; break; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      $i=0; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $62=$i; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=$fun; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=(($63+56)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=HEAPU16[(($64)>>1)]; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=(($65)&65535); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=(($62)>>>0) < (($66)>>>0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $69=$i; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj($names, $69); //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $name=$71; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=$result; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=$i; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=$name; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=(($74)|0)!=0; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $77=$name; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=$77; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11StringValueEP8JSString($7, $78); //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      __ZN2JSL14UndefinedValueEv($7); //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 16; break; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($72, $73, $7); //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $82=$i; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=(($82+1)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$83; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      $6=0; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 19; break; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED1Ev($names); //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 20; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 28; break;
      }
      else {
      __label__ = 29; break;
      }
      
    case 20: 
      __label__ = 21; break; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      __label__ = 27; break; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      $i1=0; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $90=$i1; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=$fun; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $92=(($91+56)|0); //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=HEAPU16[(($92)>>1)]; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=(($93)&65535); //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=(($90)>>>0) < (($94)>>>0); //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($95) { __label__ = 24; break; } else { __label__ = 26; break; } //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $97=$result; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=$i1; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL14UndefinedValueEv($8); //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($97, $98, $8); //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 25; break; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $100=$i1; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=(($100+1)|0); //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i1=$101; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 23; break; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      var $104=$args; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $105=__ZNK2js12CallReceiver4rvalEv($104); //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $106=$result; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 28; break; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      var $108=$1; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL32DebuggerObject_getParameterNamesP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js15ReentrancyGuardD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 210 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+12)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL29DebuggerObject_definePropertyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 144; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $id=__stackBase__+8;
      var $descval;
      var $descs=__stackBase__+12;
      var $desc;
      var $5;
      var $ac=__stackBase__+80;
      var $ec=__stackBase__+132;
      var $dummy=__stackBase__+140;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($8, $args, ((STRING_TABLE.__str70)|0)); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$9; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$obj; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$obj; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($14); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$15; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$obj; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK8JSObject10getPrivateEv($16); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$17; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$18; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=$3; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20)>>>0) < 2; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $23=$2; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__Z20ReportMoreArgsNeededP9JSContextPKcj($23, ((STRING_TABLE.__str88)|0), 2); //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24)&1); //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$25; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $28=$2; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2js8CallArgsixEj($args, 0); //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($28, $29, $id); //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $33=__ZNK2js8CallArgsixEj($args, 1); //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $descval=$33; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$2; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js23AutoPropDescArrayRooterC1EP9JSContext($descs, $34); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=__ZN2js23AutoPropDescArrayRooter6appendEv($descs); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $desc=$35; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$desc; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36)|0)!=0; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $39=$desc; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$2; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$descval; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZN2js8PropDesc10initializeEP9JSContextRKN2JS5ValueEb($39, $40, $41, 0); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      $1=0; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 23; break; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $45=$desc; //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45)|0); //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($46); //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$2; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$dbg; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=$obj; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=$desc; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=__ZL14UnwrapPropDescP9JSContextPN2js8DebuggerEP8JSObjectPNS1_8PropDescE($47, $48, $49, $50); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      $1=0; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 23; break; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $54=$2; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=$obj; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $54, $55); //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=__ZN2js15AutoCompartment5enterEv($ac); //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $58=$2; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=$obj; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=$desc; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=__ZL17WrapIdAndPropDescP9JSContextP8JSObjectPiPN2js8PropDescE($58, $59, $id, $60); //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($61) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      $1=0; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 21; break; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $64=$dbg; //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=__ZNK2js8Debugger10toJSObjectEv($64); //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject($ec, $ac, $65); //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=$2; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=$obj; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=$desc; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=__ZN2js14DefinePropertyEP9JSContextP8JSObjectRKiRKNS_8PropDescEbPb($66, $67, $id, $68, 1, $dummy); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($69) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      $1=0; //@line 3360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 20; break; //@line 3360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      $5=0; //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      FUNCTION_TABLE[__ZN2js11ErrorCopierD1Ev]($ec); //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 21; break;
    case 21: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 22; break;
      }
      else {
      __label__ = 23; break;
      }
      
    case 22: 
      var $75=$args; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=__ZNK2js12CallReceiver4rvalEv($75); //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($76); //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 23; break; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      __ZN2js23AutoPropDescArrayRooterD1Ev($descs); //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break;
    case 24: 
      var $79=$1; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29DebuggerObject_definePropertyP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL31DebuggerObject_definePropertiesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 200; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $props;
      var $ids=__stackBase__+8;
      var $descs=__stackBase__+68;
      var $5;
      var $n;
      var $i;
      var $ac=__stackBase__+136;
      var $i1;
      var $ec=__stackBase__+188;
      var $i2;
      var $dummy=__stackBase__+196;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($8, $args, ((STRING_TABLE.__str71)|0)); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$9; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$obj; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 36; break; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$obj; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($14); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$15; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$obj; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK8JSObject10getPrivateEv($16); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$17; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$18; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=$3; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20)>>>0) < 1; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $23=$2; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__Z20ReportMoreArgsNeededP9JSContextPKcj($23, ((STRING_TABLE.__str84)|0), 1); //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24)&1); //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$25; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 36; break; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $28=$2; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK2js8CallArgsixEj($args, 0); //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($28, $29); //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $props=$30; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $31=$props; //@line 3373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31)|0)!=0; //@line 3373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      $1=0; //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 36; break; //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $35=$2; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($ids, $35); //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$2; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js23AutoPropDescArrayRooterC1EP9JSContext($descs, $36); //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$2; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$props; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZN2js23ReadPropertyDescriptorsEP9JSContextP8JSObjectbPNS_12AutoIdVectorEPNS_23AutoPropDescArrayRooterE($37, $38, 0, $ids, $descs); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 35; break; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $42=$ids; //@line 3380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZNK2js16AutoVectorRooterIiE6lengthEv($42); //@line 3380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $n=$43; //@line 3380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=0; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $45=$i; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=$n; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=(($45)>>>0) < (($46)>>>0); //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $49=$2; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=$dbg; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$obj; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$i; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=__ZN2js23AutoPropDescArrayRooterixEj($descs, $52); //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=__ZL14UnwrapPropDescP9JSContextPN2js8DebuggerEP8JSObjectPNS1_8PropDescE($49, $50, $51, $53); //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($54) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      $1=0; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 35; break; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      __label__ = 16; break; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $58=$i; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=(($58+1)|0); //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$59; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $61=$2; //@line 3388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=$obj; //@line 3388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $61, $62); //@line 3388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=__ZN2js15AutoCompartment5enterEv($ac); //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($63) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      $1=0; //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 33; break; //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      $i1=0; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $67=$i1; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=$n; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=(($67)>>>0) < (($68)>>>0); //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($69) { __label__ = 21; break; } else { __label__ = 25; break; } //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $71=$2; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=$obj; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=$ids; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=$i1; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=__ZN2js16AutoVectorRooterIiEixEj($73, $74); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=$i1; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=__ZN2js23AutoPropDescArrayRooterixEj($descs, $76); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=__ZL17WrapIdAndPropDescP9JSContextP8JSObjectPiPN2js8PropDescE($71, $72, $75, $77); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($78) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      $1=0; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 33; break; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      __label__ = 24; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $82=$i1; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=(($82+1)|0); //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i1=$83; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 20; break; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $85=$dbg; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=__ZNK2js8Debugger10toJSObjectEv($85); //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject($ec, $ac, $86); //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i2=0; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      var $88=$i2; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=$n; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=(($88)>>>0) < (($89)>>>0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($90) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      var $92=$2; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=$obj; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=$ids; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=$i2; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=__ZN2js16AutoVectorRooterIiEixEj($94, $95); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=$i2; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=__ZN2js23AutoPropDescArrayRooterixEj($descs, $97); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=__ZN2js14DefinePropertyEP9JSContextP8JSObjectRKiRKNS_8PropDescEbPb($92, $93, $96, $98, 1, $dummy); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($99) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      $1=0; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 32; break; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      __label__ = 30; break; //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      var $103=$i2; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $104=(($103+1)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i2=$104; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 26; break; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      $5=0; //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 32; break; //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 32: 
      FUNCTION_TABLE[__ZN2js11ErrorCopierD1Ev]($ec); //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 33; break;
    case 33: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 34; break;
      }
      else {
      __label__ = 35; break;
      }
      
    case 34: 
      var $109=$args; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $110=__ZNK2js12CallReceiver4rvalEv($109); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($110); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 35; break; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 35: 
      __ZN2js23AutoPropDescArrayRooterD1Ev($descs); //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js12AutoIdVectorD1Ev($ids); //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 36; break;
    case 36: 
      var $113=$1; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $113; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL31DebuggerObject_definePropertiesP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL29DebuggerObject_deletePropertyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $arg=__stackBase__+8;
      var $id=__stackBase__+16;
      var $ac=__stackBase__+20;
      var $5;
      var $ec=__stackBase__+72;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$2; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($8, $args, ((STRING_TABLE.__str72)|0)); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$9; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$obj; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10)|0)!=0; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $14=$obj; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($14); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$15; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$obj; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZNK8JSObject10getPrivateEv($16); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$17; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$18; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$3; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=(($19)>>>0) > 0; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $22=__ZNK2js8CallArgsixEj($args, 0); //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$arg; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$22; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __ZN2JSL14UndefinedValueEv($arg); //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $27=$2; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($27, $arg, $id); //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $31=$2; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$obj; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $31, $32); //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZN2js15AutoCompartment5enterEv($ac); //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $35=$2; //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=(($35+56)|0); //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$2; //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=__ZN13JSCompartment6wrapIdEP9JSContextPi($37, $38, $id); //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      $1=0; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      __label__ = 12; break; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $42=$dbg; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZNK2js8Debugger10toJSObjectEv($42); //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject($ec, $ac, $43); //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$obj; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$2; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=HEAP32[(($id)>>2)]; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$args; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=__ZNK2js12CallReceiver4rvalEv($47); //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($44, $45, $46, $48, 0); //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$49; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $5=1;
      FUNCTION_TABLE[__ZN2js11ErrorCopierD1Ev]($ec); //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break;
    case 12: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break;
    case 13: 
      var $52=$1; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $52; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29DebuggerObject_deletePropertyP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL19DebuggerObject_sealP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL25DebuggerObject_sealHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc($4, $5, $6, 0, ((STRING_TABLE.__str73)|0)); //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL21DebuggerObject_freezeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 3470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 3470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL25DebuggerObject_sealHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc($4, $5, $6, 1, ((STRING_TABLE.__str74)|0)); //@line 3470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 3470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL32DebuggerObject_preventExtensionsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL25DebuggerObject_sealHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc($4, $5, $6, 2, ((STRING_TABLE.__str75)|0)); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL23DebuggerObject_isSealedP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL29DebuggerObject_isSealedHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc($4, $5, $6, 0, ((STRING_TABLE.__str76)|0)); //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL23DebuggerObject_isFrozenP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL29DebuggerObject_isSealedHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc($4, $5, $6, 1, ((STRING_TABLE.__str77)|0)); //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL27DebuggerObject_isExtensibleP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL29DebuggerObject_isSealedHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc($4, $5, $6, 2, ((STRING_TABLE.__str78)|0)); //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL20DebuggerObject_applyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL11ApplyOrCallP9JSContextjPN2JS5ValueE15ApplyOrCallMode($4, $5, $6, 0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL19DebuggerObject_callP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $5=$2; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=__ZL11ApplyOrCallP9JSContextjPN2JS5ValueE15ApplyOrCallMode($4, $5, $6, 1); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $7; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function _JS_DefineDebuggerObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $objProto=__stackBase__;
      var $debugCtor=__stackBase__+4;
      var $debugProto;
      var $frameProto;
      var $scriptProto;
      var $objectProto;
      var $4=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      $2=$cx;
      $3=$obj;
      var $7=$2; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$3; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($7, $8, 1, $objProto, 0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)!=0; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$2; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$3; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=HEAP32[(($objProto)>>2)]; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__Z12js_InitClassP9JSContextP8JSObjectS2_PN2js5ClassEPFiS0_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSC_SE_PS2_($13, $14, $15, __ZN2js8Debugger7jsclassE, 18, 1, ((__ZN2js8Debugger10propertiesE)|0), ((__ZN2js8Debugger7methodsE)|0), 0, 0, $debugCtor); //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $debugProto=$16; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$debugProto; //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17)|0)!=0; //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=$debugProto; //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$2; //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($20, $21); //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      $1=0; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $25=$2; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($debugCtor)>>2)]; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=HEAP32[(($objProto)>>2)]; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__Z12js_InitClassP9JSContextP8JSObjectS2_PN2js5ClassEPFiS0_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSC_SE_PS2_($25, $26, $27, _DebuggerFrame_class, 20, 0, ((__ZL24DebuggerFrame_properties)|0), ((__ZL21DebuggerFrame_methods)|0), 0, 0, 0); //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $frameProto=$28; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$frameProto; //@line 3655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0)!=0; //@line 3655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $33=$2; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=HEAP32[(($debugCtor)>>2)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=HEAP32[(($objProto)>>2)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__Z12js_InitClassP9JSContextP8JSObjectS2_PN2js5ClassEPFiS0_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSC_SE_PS2_($33, $34, $35, _DebuggerScript_class, 22, 0, ((__ZL25DebuggerScript_properties)|0), ((__ZL22DebuggerScript_methods)|0), 0, 0, 0); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scriptProto=$36; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$scriptProto; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($37)|0)!=0; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      $1=0; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $41=$2; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=HEAP32[(($debugCtor)>>2)]; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=HEAP32[(($objProto)>>2)]; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=__Z12js_InitClassP9JSContextP8JSObjectS2_PN2js5ClassEPFiS0_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSC_SE_PS2_($41, $42, $43, _DebuggerObject_class, 24, 0, ((__ZL25DebuggerObject_properties)|0), ((__ZL22DebuggerObject_methods)|0), 0, 0, 0); //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $objectProto=$44; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$objectProto; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45)|0)!=0; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      $1=0; //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $49=$debugProto; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=$frameProto; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($4, $50); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($49, 0, $4); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=$debugProto; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$objectProto; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($5, $52); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($51, 1, $5); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$debugProto; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$scriptProto; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($6, $54); //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($53, 2, $6); //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $56=$1; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DefineDebuggerObject["X"]=1;

function __ZL23DebuggerFrame_constructP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  _JS_ReportErrorNumber($4, 2, 0, 9, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str83)|0),tempInt)); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL24DebuggerScript_constructP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  _JS_ReportErrorNumber($4, 2, 0, 9, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str82)|0),tempInt)); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL24DebuggerObject_constructP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  _JS_ReportErrorNumber($4, 2, 0, 9, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str3)|0),tempInt)); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+20)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+12)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardD2Ev($2); //@line 206 "./jstl.h"
  ;
  return; //@line 210 "./jstl.h"
}


function __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 2548 "./jscntxt.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEC2ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIP8JSScriptEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIP8JSObjectEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefIP8JSScriptEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEaSERKS5_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=$2; //@line 907 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 907 "./jshashtable.h"
  var $10=HEAP32[(($9)>>2)]; //@line 907 "./jshashtable.h"
  var $11=(($3+4)|0); //@line 907 "./jshashtable.h"
  HEAP32[(($11)>>2)]=$10; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEENS_7MoveRefIT_EERSB_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEaSENS_7MoveRefIS8_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js18RuntimeAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEaSENS_7MoveRefIS8_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP8JSScriptP8JSObjectEEEENS_7MoveRefIT_EERS8_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEaSENS_7MoveRefIS5_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEENS_7MoveRefIT_EERSB_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEC1ERS9_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js18RuntimeAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18RuntimeAllocPolicy5free_EPv($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=(($3)|0); //@line 2547 "./jscntxt.h"
  var $5=HEAP32[(($4)>>2)]; //@line 2547 "./jscntxt.h"
  var $6=$2; //@line 2547 "./jscntxt.h"
  __ZN9JSRuntime5free_EPv($5, $6); //@line 2547 "./jscntxt.h"
  ;
  return; //@line 2547 "./jscntxt.h"
}


function __ZN9JSRuntime5free_EPv($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 758 "./jscntxt.h"
  __ZN2js10Foreground5free_EPv($4); //@line 758 "./jscntxt.h"
  ;
  return; //@line 759 "./jscntxt.h"
}


function __ZN2js10Foreground5free_EPv($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 532 "./jsutil.h"
  _js_free($2); //@line 532 "./jsutil.h"
  ;
  return; //@line 533 "./jsutil.h"
}


function _js_free($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEC1ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEC2ERS9_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP8JSScriptEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP8JSScriptEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERS4_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP8JSScriptP8JSObjectEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIP8JSScriptEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefIP8JSScriptEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIP8JSObjectEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIP8JSObjectEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIP8JSObjectEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefIP8JSScriptEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIP8JSScriptEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js18RuntimeAllocPolicy7malloc_Ej($this, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bytes;
  var $3=$1;
  var $4=(($3)|0); //@line 2545 "./jscntxt.h"
  var $5=HEAP32[(($4)>>2)]; //@line 2545 "./jscntxt.h"
  var $6=$2; //@line 2545 "./jscntxt.h"
  var $7=__ZN9JSRuntime7malloc_EjP9JSContext($5, $6, 0); //@line 2545 "./jscntxt.h"
  ;
  return $7; //@line 2545 "./jscntxt.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN9JSRuntime7malloc_EjP9JSContext($this, $bytes, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$this;
      $2=$bytes;
      $3=$cx;
      var $4=$1;
      var $5=$2; //@line 723 "./jscntxt.h"
      __ZN9JSRuntime19updateMallocCounterEj($4, $5); //@line 723 "./jscntxt.h"
      var $6=$2; //@line 724 "./jscntxt.h"
      var $7=_js_malloc($6); //@line 724 "./jscntxt.h"
      $p=$7; //@line 724 "./jscntxt.h"
      var $8=$p; //@line 725 "./jscntxt.h"
      var $9=(($8)|0)!=0; //@line 725 "./jscntxt.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 725 "./jscntxt.h"
    case 2: 
      var $11=$p; //@line 725 "./jscntxt.h"
      var $17 = $11;__label__ = 4; break; //@line 725 "./jscntxt.h"
    case 3: 
      var $13=$2; //@line 725 "./jscntxt.h"
      var $14=$3; //@line 725 "./jscntxt.h"
      var $15=__ZN9JSRuntime13onOutOfMemoryEPvjP9JSContext($4, 0, $13, $14); //@line 725 "./jscntxt.h"
      var $17 = $15;__label__ = 4; break; //@line 725 "./jscntxt.h"
    case 4: 
      var $17; //@line 725 "./jscntxt.h"
      ;
      return $17; //@line 725 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime19updateMallocCounterEj($this, $nbytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCount;
      $1=$this;
      $2=$nbytes;
      var $3=$1;
      var $4=(($3+144096)|0); //@line 787 "./jscntxt.h"
      var $5=HEAP32[(($4)>>2)]; //@line 787 "./jscntxt.h"
      var $6=$2; //@line 787 "./jscntxt.h"
      var $7=(($5-$6)|0); //@line 787 "./jscntxt.h"
      $newCount=$7; //@line 787 "./jscntxt.h"
      var $8=$newCount; //@line 788 "./jscntxt.h"
      var $9=(($3+144096)|0); //@line 788 "./jscntxt.h"
      HEAP32[(($9)>>2)]=$8; //@line 788 "./jscntxt.h"
      var $10=$newCount; //@line 789 "./jscntxt.h"
      var $11=(($10)|0) <= 0; //@line 789 "./jscntxt.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 789 "./jscntxt.h"
    case 2: 
      __ZN9JSRuntime15onTooMuchMallocEv($3); //@line 790 "./jscntxt.h"
      __label__ = 3; break; //@line 790 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 791 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEaSERKS5_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEaSERKS5_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP8JSScriptLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js13PointerHasherIP8JSScriptLj2EE5matchERKS2_S5_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIP8JSScriptLj2EE4hashERKS2_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 2; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC2ERKS2_RKS4_($this, $k, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=(($4)|0); //@line 912 "./jshashtable.h"
  var $6=$2; //@line 912 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 912 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 912 "./jshashtable.h"
  var $8=(($4+4)|0); //@line 912 "./jshashtable.h"
  var $9=$3; //@line 912 "./jshashtable.h"
  var $10=HEAP32[(($9)>>2)]; //@line 912 "./jshashtable.h"
  HEAP32[(($8)>>2)]=$10; //@line 912 "./jshashtable.h"
  ;
  return; //@line 912 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10setRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($3)>>2)]=1; //@line 90 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 90 "./jshashtable.h"
  ;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE7setFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 88 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  ;
  return; //@line 88 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEaSERKS5_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=$2; //@line 907 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 907 "./jshashtable.h"
  var $10=HEAP32[(($9)>>2)]; //@line 907 "./jshashtable.h"
  var $11=(($3+4)|0); //@line 907 "./jshashtable.h"
  HEAP32[(($11)>>2)]=$10; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+12)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP8JSScriptLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13relookupOrAddERNSE_6AddPtrERKS4_RKS7_($this, $p, $l, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $g=__stackBase__;
      $1=$this;
      $2=$p;
      $3=$l;
      $4=$t;
      var $5=$1;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $5); //@line 752 "./jshashtable.h"
      var $6=$3; //@line 753 "./jshashtable.h"
      var $7=$2; //@line 753 "./jshashtable.h"
      var $8=(($7+4)|0); //@line 753 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 753 "./jshashtable.h"
      var $10=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($5, $6, $9, 1); //@line 753 "./jshashtable.h"
      var $11=$2; //@line 753 "./jshashtable.h"
      var $12=$11; //@line 753 "./jshashtable.h"
      var $13=(($12)|0); //@line 753 "./jshashtable.h"
      HEAP32[(($13)>>2)]=$10; //@line 753 "./jshashtable.h"
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 754 "./jshashtable.h"
      var $14=$2; //@line 755 "./jshashtable.h"
      var $15=$14; //@line 755 "./jshashtable.h"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($15); //@line 755 "./jshashtable.h"
      if ($16) { var $22 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 755 "./jshashtable.h"
    case 2: 
      var $18=$2; //@line 755 "./jshashtable.h"
      var $19=$4; //@line 755 "./jshashtable.h"
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrERKS7_($5, $18, $19); //@line 755 "./jshashtable.h"
      var $22 = $20;__label__ = 3; break; //@line 755 "./jshashtable.h"
    case 3: 
      var $22;
      STACKTOP = __stackBase__;
      return $22; //@line 755 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC1ERKS2_RKS4_($this, $k, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 912 "./jshashtable.h"
  var $6=$3; //@line 912 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC2ERKS2_RKS4_($4, $5, $6); //@line 912 "./jshashtable.h"
  ;
  return; //@line 912 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrERKS7_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 742 "./jshashtable.h"
      var $11=$10; //@line 742 "./jshashtable.h"
      var $12=(($11)|0); //@line 742 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 742 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 742 "./jshashtable.h"
      var $15=$4; //@line 742 "./jshashtable.h"
      __ZN2js12HashMapEntryIP8JSScriptP8JSObjectEaSERKS5_($14, $15); //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 744 "./jshashtable.h"
      ;
      return $17; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+20)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+12)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEaSERKS5_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEaSERKS5_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEENS_7MoveRefIT_EERSB_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEaSENS_7MoveRefIS8_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 70 "./jsalloc.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEC2ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIPNS_10StackFrameEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_10StackFrameEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+4)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js18RuntimeAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEaSENS_7MoveRefIS8_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEENS_7MoveRefIT_EERS8_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEaSENS_7MoveRefIS5_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEENS_7MoveRefIT_EERSB_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEC1ERS9_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js18RuntimeAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEC1ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEC2ERS9_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIPNS_10StackFrameEEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIPNS_10StackFrameEEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERS4_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIPNS_10StackFrameEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefIPNS_10StackFrameEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_10StackFrameEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPNS_10StackFrameEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC2ISC_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1231 "./jshashtable.h"
  var $5=$2; //@line 1231 "./jshashtable.h"
  var $6=$p; //@line 1231 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1231 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE($4, $2); //@line 1231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEENS_7MoveRefIT_EERS8_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEaSENS_7MoveRefIS5_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveIPNS_12GlobalObjectEEENS_7MoveRefIT_EERS4_($2, $9); //@line 83 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefIPNS_12GlobalObjectEEcvRS2_Ev($2); //@line 83 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 83 "./jshashtable.h"
  var $12=(($3+4)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$11; //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPNS_12GlobalObjectELj2EE5matchERKS2_S5_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPNS_12GlobalObjectELj2EE4hashERKS2_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 2; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIPNS_12GlobalObjectEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_12GlobalObjectEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17SystemAllocPolicy5free_EPv($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 69 "./jsalloc.h"
  _js_free($4); //@line 69 "./jsalloc.h"
  ;
  return; //@line 69 "./jsalloc.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIPNS_12GlobalObjectEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIPNS_12GlobalObjectEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_12GlobalObjectEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPNS_12GlobalObjectEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js17SystemAllocPolicy7malloc_Ej($this, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bytes;
  var $3=$1;
  var $4=$2; //@line 67 "./jsalloc.h"
  var $5=_js_malloc($4); //@line 67 "./jsalloc.h"
  ;
  return $5; //@line 67 "./jsalloc.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_($this, $p, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$t;
  var $4=$1;
  var $5=(($4)|0); //@line 1273 "./jshashtable.h"
  var $6=$2; //@line 1273 "./jshashtable.h"
  var $7=$3; //@line 1273 "./jshashtable.h"
  var $8=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_($5, $6, $7); //@line 1273 "./jshashtable.h"
  ;
  return $8; //@line 1273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$4; //@line 742 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 742 "./jshashtable.h"
      var $12=$3; //@line 742 "./jshashtable.h"
      var $13=$12; //@line 742 "./jshashtable.h"
      var $14=(($13)|0); //@line 742 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 742 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 742 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$11; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $18=$1; //@line 744 "./jshashtable.h"
      ;
      return $18; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIPNS_12GlobalObjectELj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIPNS_12GlobalObjectELj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+4)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+12)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+4)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js17SystemAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+8)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK7mozilla14AlignedStorageILj1EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZN2jsL4FindIP13JSCompartmentEEPT_S4_S4_RKS3_($beg, $end, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p;
      $2=$beg;
      $3=$end;
      $4=$v;
      var $5=$2; //@line 283 "./jstl.h"
      $p=$5; //@line 283 "./jstl.h"
      __label__ = 2; break; //@line 283 "./jstl.h"
    case 2: 
      var $7=$p; //@line 283 "./jstl.h"
      var $8=$3; //@line 283 "./jstl.h"
      var $9=(($7)|0)!=(($8)|0); //@line 283 "./jstl.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 283 "./jstl.h"
    case 3: 
      var $11=$p; //@line 284 "./jstl.h"
      var $12=HEAP32[(($11)>>2)]; //@line 284 "./jstl.h"
      var $13=$4; //@line 284 "./jstl.h"
      var $14=HEAP32[(($13)>>2)]; //@line 284 "./jstl.h"
      var $15=(($12)|0)==(($14)|0); //@line 284 "./jstl.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 284 "./jstl.h"
    case 4: 
      var $17=$p; //@line 285 "./jstl.h"
      $1=$17; //@line 285 "./jstl.h"
      __label__ = 8; break; //@line 285 "./jstl.h"
    case 5: 
      __label__ = 6; break; //@line 286 "./jstl.h"
    case 6: 
      var $20=$p; //@line 283 "./jstl.h"
      var $21=(($20+4)|0); //@line 283 "./jstl.h"
      $p=$21; //@line 283 "./jstl.h"
      __label__ = 2; break; //@line 283 "./jstl.h"
    case 7: 
      var $23=$3; //@line 287 "./jstl.h"
      $1=$23; //@line 287 "./jstl.h"
      __label__ = 8; break; //@line 287 "./jstl.h"
    case 8: 
      var $25=$1; //@line 288 "./jstl.h"
      ;
      return $25; //@line 288 "./jstl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla14AlignedStorageILj1EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 646 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 646 "./jshashtable.h"
  ;
  return $4; //@line 646 "./jshashtable.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+8)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js17SystemAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+8)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17SystemAllocPolicy8realloc_EPvjj($this, $p, $oldBytes, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$oldBytes;
  $4=$bytes;
  var $5=$1;
  var $6=$2; //@line 68 "./jsalloc.h"
  var $7=$4; //@line 68 "./jsalloc.h"
  var $8=_js_realloc($6, $7); //@line 68 "./jsalloc.h"
  ;
  return $8; //@line 68 "./jsalloc.h"
}


function _js_realloc($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11RoundUpPow2Ej($x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $log2;
      var $result;
      $1=$x;
      var $2=$1; //@line 221 "./jstl.h"
      var $3=(($2)>>>0) <= 1; //@line 221 "./jstl.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 221 "./jstl.h"
    case 2: 
      var $12 = 0;__label__ = 4; break; //@line 221 "./jstl.h"
    case 3: 
      var $6=$1; //@line 221 "./jstl.h"
      var $7=(($6-1)|0); //@line 221 "./jstl.h"
      var $8=_llvm_ctlz_i32($7); //@line 221 "./jstl.h"
      var $9=((31-$8)|0); //@line 221 "./jstl.h"
      var $10=(($9+1)|0); //@line 221 "./jstl.h"
      var $12 = $10;__label__ = 4; break; //@line 221 "./jstl.h"
    case 4: 
      var $12; //@line 221 "./jstl.h"
      $log2=$12; //@line 221 "./jstl.h"
      var $13=$log2; //@line 223 "./jstl.h"
      var $14=1 << $13; //@line 223 "./jstl.h"
      $result=$14; //@line 223 "./jstl.h"
      var $15=$result; //@line 224 "./jstl.h"
      ;
      return $15; //@line 224 "./jstl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15TempAllocPolicy8realloc_EPvjj($this, $p, $oldBytes, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p2;
      $1=$this;
      $2=$p;
      $3=$oldBytes;
      $4=$bytes;
      var $5=$1;
      var $6=$2; //@line 107 "./jsalloc.h"
      var $7=$4; //@line 107 "./jsalloc.h"
      var $8=_js_realloc($6, $7); //@line 107 "./jsalloc.h"
      $p2=$8; //@line 107 "./jsalloc.h"
      var $9=$p2; //@line 108 "./jsalloc.h"
      var $10=(($9)|0)!=0; //@line 108 "./jsalloc.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 108 "./jsalloc.h"
    case 2: 
      var $12=$p2; //@line 109 "./jsalloc.h"
      var $13=$4; //@line 109 "./jsalloc.h"
      var $14=__ZN2js15TempAllocPolicy13onOutOfMemoryEPvj($5, $12, $13); //@line 109 "./jsalloc.h"
      $p2=$14; //@line 109 "./jsalloc.h"
      __label__ = 3; break; //@line 109 "./jsalloc.h"
    case 3: 
      var $16=$p2; //@line 110 "./jsalloc.h"
      ;
      return $16; //@line 110 "./jsalloc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15TempAllocPolicy7malloc_Ej($this, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$this;
      $2=$bytes;
      var $3=$1;
      var $4=$2; //@line 100 "./jsalloc.h"
      var $5=_js_malloc($4); //@line 100 "./jsalloc.h"
      $p=$5; //@line 100 "./jsalloc.h"
      var $6=$p; //@line 101 "./jsalloc.h"
      var $7=(($6)|0)!=0; //@line 101 "./jsalloc.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 101 "./jsalloc.h"
    case 2: 
      var $9=$2; //@line 102 "./jsalloc.h"
      var $10=__ZN2js15TempAllocPolicy13onOutOfMemoryEPvj($3, 0, $9); //@line 102 "./jsalloc.h"
      $p=$10; //@line 102 "./jsalloc.h"
      __label__ = 3; break; //@line 102 "./jsalloc.h"
    case 3: 
      var $12=$p; //@line 103 "./jsalloc.h"
      ;
      return $12; //@line 103 "./jsalloc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15TempAllocPolicy5free_EPv($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 114 "./jsalloc.h"
  _js_free($4); //@line 114 "./jsalloc.h"
  ;
  return; //@line 115 "./jsalloc.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN9JSContext7malloc_Ej($this, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bytes;
  var $3=$1;
  var $4=(($3+52)|0); //@line 1260 "./jscntxt.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1260 "./jscntxt.h"
  var $6=$2; //@line 1260 "./jscntxt.h"
  var $7=__ZN9JSRuntime7malloc_EjP9JSContext($5, $6, $3); //@line 1260 "./jscntxt.h"
  ;
  return $7; //@line 1260 "./jscntxt.h"
}


function __ZN9JSContext5free_EPv($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=(($3+52)|0); //@line 1288 "./jscntxt.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1288 "./jscntxt.h"
  var $6=$2; //@line 1288 "./jscntxt.h"
  __ZN9JSRuntime5free_EPv($5, $6); //@line 1288 "./jscntxt.h"
  ;
  return; //@line 1289 "./jscntxt.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC2IS9_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+8)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*12)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+12)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK7mozilla14AlignedStorageILj32EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+8)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*12)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+12)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj32EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj8ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj8ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSObjectS2_EC2ERKS2_S5_($this, $k, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=(($4)|0); //@line 912 "./jshashtable.h"
  var $6=$2; //@line 912 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 912 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 912 "./jshashtable.h"
  var $8=(($4+4)|0); //@line 912 "./jshashtable.h"
  var $9=$3; //@line 912 "./jshashtable.h"
  var $10=HEAP32[(($9)>>2)]; //@line 912 "./jshashtable.h"
  HEAP32[(($8)>>2)]=$10; //@line 912 "./jshashtable.h"
  ;
  return; //@line 912 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSObjectS2_EaSERKS3_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=$2; //@line 907 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 907 "./jshashtable.h"
  var $10=HEAP32[(($9)>>2)]; //@line 907 "./jshashtable.h"
  var $11=(($3+4)|0); //@line 907 "./jshashtable.h"
  HEAP32[(($11)>>2)]=$10; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+($8<<3))|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS4_EESF_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS4_EESF_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS4_EESF_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS4_EESF_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+8)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E13relookupOrAddERNSC_6AddPtrERKS4_RKS5_($this, $p, $l, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $g=__stackBase__;
      $1=$this;
      $2=$p;
      $3=$l;
      $4=$t;
      var $5=$1;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 752 "./jshashtable.h"
      var $6=$3; //@line 753 "./jshashtable.h"
      var $7=$2; //@line 753 "./jshashtable.h"
      var $8=(($7+4)|0); //@line 753 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 753 "./jshashtable.h"
      var $10=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($5, $6, $9, 1); //@line 753 "./jshashtable.h"
      var $11=$2; //@line 753 "./jshashtable.h"
      var $12=$11; //@line 753 "./jshashtable.h"
      var $13=(($12)|0); //@line 753 "./jshashtable.h"
      HEAP32[(($13)>>2)]=$10; //@line 753 "./jshashtable.h"
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 754 "./jshashtable.h"
      var $14=$2; //@line 755 "./jshashtable.h"
      var $15=$14; //@line 755 "./jshashtable.h"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($15); //@line 755 "./jshashtable.h"
      if ($16) { var $22 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 755 "./jshashtable.h"
    case 2: 
      var $18=$2; //@line 755 "./jshashtable.h"
      var $19=$4; //@line 755 "./jshashtable.h"
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrERKS5_($5, $18, $19); //@line 755 "./jshashtable.h"
      var $22 = $20;__label__ = 3; break; //@line 755 "./jshashtable.h"
    case 3: 
      var $22;
      STACKTOP = __stackBase__;
      return $22; //@line 755 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12HashMapEntryIP8JSObjectS2_EC1ERKS2_S5_($this, $k, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 912 "./jshashtable.h"
  var $6=$3; //@line 912 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectS2_EC2ERKS2_S5_($4, $5, $6); //@line 912 "./jshashtable.h"
  ;
  return; //@line 912 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrERKS5_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 742 "./jshashtable.h"
      var $11=$10; //@line 742 "./jshashtable.h"
      var $12=(($11)|0); //@line 742 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 742 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 742 "./jshashtable.h"
      var $15=$4; //@line 742 "./jshashtable.h"
      __ZN2js12HashMapEntryIP8JSObjectS2_EaSERKS3_($14, $15); //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 744 "./jshashtable.h"
      ;
      return $17; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js18RuntimeAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP8JSObjectS3_EEEENS_7MoveRefIT_EERS6_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectS2_EaSENS_7MoveRefIS3_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js13PointerHasherIP8JSObjectLj2EE5matchERKS2_S5_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIP8JSObjectLj2EE4hashERKS2_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 2; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPNS_10StackFrameELj2EE5matchERKS2_S5_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPNS_10StackFrameELj2EE4hashERKS2_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 2; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEC2ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP8JSObjectS2_EC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S2_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js18RuntimeAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP8JSObjectS2_EaSENS_7MoveRefIS3_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERS4_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP8JSObjectS3_EEEENS_7MoveRefIT_EERS6_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEC1ERS4_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEC1ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEC2ERS4_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefIP8JSObjectEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectS2_EC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSObjectS2_EC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP8JSObjectS2_EC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S2_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP8JSObjectLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP8JSObjectLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIPNS_10StackFrameELj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIPNS_10StackFrameELj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $t=__stackBase__;
      var $g=__stackBase__+8;
      var $4;
      var $5=__stackBase__+12;
      $3=$this;
      var $6=$t;
      var $7=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
      var $8=$3;
      __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($g, $8); //@line 757 "./jsvector.h"
      var $9=(($8+8)|0); //@line 758 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 758 "./jsvector.h"
      var $11=(($8+12)|0); //@line 758 "./jsvector.h"
      var $12=HEAP32[(($11)>>2)]; //@line 758 "./jsvector.h"
      var $13=(($10)|0)==(($12)|0); //@line 758 "./jsvector.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $15=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE13growStorageByEj($8, 1); //@line 758 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $2=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $18=$5; //@line 765 "./jsvector.h"
      var $19=$t; //@line 765 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 765 "./jsvector.h"
      __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($8, $5); //@line 765 "./jsvector.h"
      $2=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $21=$2; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $21; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $t=__stackBase__;
      $2=$this;
      var $3=$t;
      var $4=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
      var $5=$2;
      var $6=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 776 "./jsvector.h"
      var $7=$6; //@line 776 "./jsvector.h"
      var $8=(($7)|0)==0; //@line 776 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $10=$7; //@line 776 "./jsvector.h"
      var $11=$10; //@line 776 "./jsvector.h"
      HEAP32[(($11)>>2)]=0; HEAP32[(($11+4)>>2)]=0; //@line 776 "./jsvector.h"
      var $12=$10; //@line 776 "./jsvector.h"
      var $13=$t; //@line 776 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 776 "./jsvector.h"
      var $15 = $10;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $15; //@line 776 "./jsvector.h"
      var $16=(($5+8)|0); //@line 777 "./jsvector.h"
      var $17=HEAP32[(($16)>>2)]; //@line 777 "./jsvector.h"
      var $18=(($17+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($16)>>2)]=$18; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj64EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+8)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefIN2JS5ValueEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK7mozilla14AlignedStorageILj64EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb1($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject9getParentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 973 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 973 "./jsobj.h"
  ;
  return $4; //@line 973 "./jsobj.h"
}


function __ZNK2js5Class8isNativeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 356 "./jsclass.h"
  var $4=HEAP32[(($3)>>2)]; //@line 356 "./jsclass.h"
  var $5=$4 & 524288; //@line 356 "./jsclass.h"
  var $6=(($5)|0)!=0; //@line 356 "./jsclass.h"
  var $7=$6 ^ 1; //@line 356 "./jsclass.h"
  ;
  return $7; //@line 356 "./jsclass.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<3))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj8ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -268435456; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -268435456; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj8ES3_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=((($7<<3))|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $35 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$28; //@line 118 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; HEAP32[(($29+4)>>2)]=0; //@line 118 "./jsvector.h"
      var $30=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERS4_($4, $30); //@line 118 "./jsvector.h"
      var $31=__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($4); //@line 118 "./jsvector.h"
      var $32=$28; //@line 118 "./jsvector.h"
      var $33=$31; //@line 118 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 118 "./jsvector.h"
      var $35 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $35; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $37=$dst; //@line 117 "./jsvector.h"
      var $38=(($37+8)|0); //@line 117 "./jsvector.h"
      $dst=$38; //@line 117 "./jsvector.h"
      var $39=$src; //@line 117 "./jsvector.h"
      var $40=(($39+8)|0); //@line 117 "./jsvector.h"
      $src=$40; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $42=$2; //@line 119 "./jsvector.h"
      var $43=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($42); //@line 119 "./jsvector.h"
      var $44=$2; //@line 119 "./jsvector.h"
      var $45=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($44); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($43, $45); //@line 119 "./jsvector.h"
      var $46=$2; //@line 120 "./jsvector.h"
      var $47=$46; //@line 120 "./jsvector.h"
      var $48=$2; //@line 120 "./jsvector.h"
      var $49=(($48+4)|0); //@line 120 "./jsvector.h"
      var $50=HEAP32[(($49)>>2)]; //@line 120 "./jsvector.h"
      var $51=$50; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($47, $51); //@line 120 "./jsvector.h"
      var $52=$newbuf; //@line 121 "./jsvector.h"
      var $53=$2; //@line 121 "./jsvector.h"
      var $54=(($53+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($54)>>2)]=$52; //@line 121 "./jsvector.h"
      var $55=$3; //@line 123 "./jsvector.h"
      var $56=$2; //@line 123 "./jsvector.h"
      var $57=(($56+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($57)>>2)]=$55; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $59=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $59; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj8ES3_EEj["X"]=1;

function __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIN2JS5ValueEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIN2JS5ValueEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIN2JS5ValueEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $22 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$15; //@line 93 "./jsvector.h"
      HEAP32[(($16)>>2)]=0; HEAP32[(($16+4)>>2)]=0; //@line 93 "./jsvector.h"
      var $17=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERKS4_($4, $17); //@line 93 "./jsvector.h"
      var $18=__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($4); //@line 93 "./jsvector.h"
      var $19=$15; //@line 93 "./jsvector.h"
      var $20=$18; //@line 93 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 93 "./jsvector.h"
      var $22 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $22; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $24=$p; //@line 92 "./jsvector.h"
      var $25=(($24+8)|0); //@line 92 "./jsvector.h"
      $p=$25; //@line 92 "./jsvector.h"
      var $26=$1; //@line 92 "./jsvector.h"
      var $27=(($26+8)|0); //@line 92 "./jsvector.h"
      $1=$27; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefIN2JS5ValueEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+8)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*12)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+12)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE["X"]=1;

function __ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$6; //@line 1443 "./jsobjinlines.h"
      var $21=$3; //@line 1443 "./jsobjinlines.h"
      var $22=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE($20, $21); //@line 1443 "./jsobjinlines.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1443 "./jsobjinlines.h"
    case 7: 
      var $24=$6; //@line 1444 "./jsobjinlines.h"
      var $25=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE($24); //@line 1444 "./jsobjinlines.h"
      $6=$25; //@line 1444 "./jsobjinlines.h"
      __label__ = 8; break; //@line 1444 "./jsobjinlines.h"
    case 8: 
      var $27=$2; //@line 1446 "./jsobjinlines.h"
      var $28=$6; //@line 1446 "./jsobjinlines.h"
      var $29=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($27, $28); //@line 1446 "./jsobjinlines.h"
      $obj=$29; //@line 1446 "./jsobjinlines.h"
      var $30=$obj; //@line 1447 "./jsobjinlines.h"
      var $31=(($30)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1447 "./jsobjinlines.h"
    case 9: 
      __label__ = 20; break; //@line 1448 "./jsobjinlines.h"
    case 10: 
      var $34=$obj; //@line 1457 "./jsobjinlines.h"
      var $35=$2; //@line 1457 "./jsobjinlines.h"
      var $36=$3; //@line 1457 "./jsobjinlines.h"
      var $37=$type; //@line 1457 "./jsobjinlines.h"
      var $38=$5; //@line 1457 "./jsobjinlines.h"
      var $39=(($38)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($39) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 11: 
      var $41=$4; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 12: 
      var $44=$4; //@line 1458 "./jsobjinlines.h"
      var $45=__ZNK8JSObject9getParentEv($44); //@line 1458 "./jsobjinlines.h"
      var $49 = $45;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 13: 
      var $47=$5; //@line 1458 "./jsobjinlines.h"
      var $49 = $47;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 14: 
      var $49; //@line 1458 "./jsobjinlines.h"
      var $50=$3; //@line 1458 "./jsobjinlines.h"
      var $51=(($50)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($34, $35, $36, $37, $49, 0, $51); //@line 1458 "./jsobjinlines.h"
      var $52=$3; //@line 1461 "./jsobjinlines.h"
      var $53=__ZNK2js5Class8isNativeEv($52); //@line 1461 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1461 "./jsobjinlines.h"
    case 15: 
      var $55=$2; //@line 1462 "./jsobjinlines.h"
      var $56=$obj; //@line 1462 "./jsobjinlines.h"
      var $57=$3; //@line 1462 "./jsobjinlines.h"
      var $58=$type; //@line 1462 "./jsobjinlines.h"
      var $59=$6; //@line 1462 "./jsobjinlines.h"
      var $60=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE($55, $56, $57, $58, $59); //@line 1462 "./jsobjinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1462 "./jsobjinlines.h"
    case 16: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 20; break; //@line 1464 "./jsobjinlines.h"
    case 17: 
      __label__ = 19; break; //@line 1466 "./jsobjinlines.h"
    case 18: 
      var $64=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($64); //@line 1467 "./jsobjinlines.h"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $67=$2; //@line 1471 "./jsobjinlines.h"
      var $68=$obj; //@line 1471 "./jsobjinlines.h"
      var $69=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($67, $68); //@line 1471 "./jsobjinlines.h"
      var $70=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$70; //@line 1472 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1472 "./jsobjinlines.h"
    case 21: 
      var $72=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $72; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE["X"]=1;

function __ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($this, $cx, $fun, $markUnknown) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$this;
      $3=$cx;
      $4=$fun;
      var $6=(($markUnknown)&1);
      $5=$6;
      var $7=$2;
      var $8=__ZNK8JSObject12isDenseArrayEv($7); //@line 804 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 804 "./jsobjinlines.h"
    case 2: 
      var $10=$3; //@line 804 "./jsobjinlines.h"
      var $11=__ZN8JSObject18makeDenseArraySlowEP9JSContext($7, $10); //@line 804 "./jsobjinlines.h"
      var $12=(($11)|0)!=0; //@line 804 "./jsobjinlines.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 804 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 805 "./jsobjinlines.h"
      __label__ = 15; break; //@line 805 "./jsobjinlines.h"
    case 4: 
      var $15=(($7+16)|0); //@line 806 "./jsobjinlines.h"
      var $16=$15; //@line 806 "./jsobjinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 806 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 806 "./jsobjinlines.h"
      if ($18) { __label__ = 5; break; } else { __label__ = 13; break; } //@line 806 "./jsobjinlines.h"
    case 5: 
      var $20=(($7+16)|0); //@line 818 "./jsobjinlines.h"
      var $21=$20; //@line 818 "./jsobjinlines.h"
      var $22=HEAP32[(($21)>>2)]; //@line 818 "./jsobjinlines.h"
      var $23=(($22+16)|0); //@line 818 "./jsobjinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 818 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 818 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 818 "./jsobjinlines.h"
    case 6: 
      var $27=(($7+16)|0); //@line 818 "./jsobjinlines.h"
      var $28=$27; //@line 818 "./jsobjinlines.h"
      var $29=HEAP32[(($28)>>2)]; //@line 818 "./jsobjinlines.h"
      var $30=(($29+16)|0); //@line 818 "./jsobjinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 818 "./jsobjinlines.h"
      var $32=(($31)|0); //@line 818 "./jsobjinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 818 "./jsobjinlines.h"
      var $34=$4; //@line 818 "./jsobjinlines.h"
      var $35=(($33)|0)!=(($34)|0); //@line 818 "./jsobjinlines.h"
      if ($35) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 818 "./jsobjinlines.h"
    case 7: 
      var $37=(($7+16)|0); //@line 819 "./jsobjinlines.h"
      var $38=$37; //@line 819 "./jsobjinlines.h"
      var $39=HEAP32[(($38)>>2)]; //@line 819 "./jsobjinlines.h"
      var $40=$3; //@line 819 "./jsobjinlines.h"
      __ZN2js5types10TypeObject14clearNewScriptEP9JSContext($39, $40); //@line 819 "./jsobjinlines.h"
      __label__ = 8; break; //@line 819 "./jsobjinlines.h"
    case 8: 
      var $42=$5; //@line 820 "./jsobjinlines.h"
      var $43=(($42) & 1); //@line 820 "./jsobjinlines.h"
      if ($43) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 820 "./jsobjinlines.h"
    case 9: 
      var $45=$3; //@line 820 "./jsobjinlines.h"
      var $46=__ZN9JSContext20typeInferenceEnabledEv($45); //@line 820 "./jsobjinlines.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 820 "./jsobjinlines.h"
    case 10: 
      var $48=(($7+16)|0); //@line 820 "./jsobjinlines.h"
      var $49=$48; //@line 820 "./jsobjinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 820 "./jsobjinlines.h"
      var $51=__ZN2js5types10TypeObject17unknownPropertiesEv($50); //@line 820 "./jsobjinlines.h"
      if ($51) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 820 "./jsobjinlines.h"
    case 11: 
      var $53=(($7+16)|0); //@line 821 "./jsobjinlines.h"
      var $54=$53; //@line 821 "./jsobjinlines.h"
      var $55=HEAP32[(($54)>>2)]; //@line 821 "./jsobjinlines.h"
      var $56=$3; //@line 821 "./jsobjinlines.h"
      __ZN2js5types10TypeObject11markUnknownEP9JSContext($55, $56); //@line 821 "./jsobjinlines.h"
      __label__ = 12; break; //@line 821 "./jsobjinlines.h"
    case 12: 
      __label__ = 14; break; //@line 822 "./jsobjinlines.h"
    case 13: 
      var $59=$3; //@line 823 "./jsobjinlines.h"
      var $60=$4; //@line 823 "./jsobjinlines.h"
      var $61=$5; //@line 823 "./jsobjinlines.h"
      var $62=(($61) & 1); //@line 823 "./jsobjinlines.h"
      __ZN8JSObject11makeNewTypeEP9JSContextP10JSFunctionb($7, $59, $60, $62); //@line 823 "./jsobjinlines.h"
      __label__ = 14; break;
    case 14: 
      var $64=(($7+16)|0); //@line 825 "./jsobjinlines.h"
      var $65=$64; //@line 825 "./jsobjinlines.h"
      var $66=HEAP32[(($65)>>2)]; //@line 825 "./jsobjinlines.h"
      $1=$66; //@line 825 "./jsobjinlines.h"
      __label__ = 15; break; //@line 825 "./jsobjinlines.h"
    case 15: 
      var $68=$1; //@line 826 "./jsobjinlines.h"
      ;
      return $68; //@line 826 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb["X"]=1;

function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE4($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js6Probes12createObjectEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $ok;
  $1=$cx;
  $2=$obj;
  $ok=1; //@line 372 "./jsprobes.h"
  var $3=$ok; //@line 383 "./jsprobes.h"
  var $4=(($3) & 1); //@line 383 "./jsprobes.h"
  ;
  return $4; //@line 383 "./jsprobes.h"
}


function __ZN8JSObject6setMapEPN2js5ShapeE($this, $amap) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$amap;
  var $3=$1;
  var $4=$2; //@line 959 "./jsobjinlines.h"
  var $5=(($3)|0); //@line 959 "./jsobjinlines.h"
  HEAP32[(($5)>>2)]=$4; //@line 959 "./jsobjinlines.h"
  var $6=(($3)|0); //@line 960 "./jsobjinlines.h"
  var $7=HEAP32[(($6)>>2)]; //@line 960 "./jsobjinlines.h"
  var $8=(($7)|0); //@line 960 "./jsobjinlines.h"
  var $9=HEAP32[(($8)>>2)]; //@line 960 "./jsobjinlines.h"
  var $10=(($3+12)|0); //@line 960 "./jsobjinlines.h"
  HEAP32[(($10)>>2)]=$9; //@line 960 "./jsobjinlines.h"
  ;
  return; //@line 961 "./jsobjinlines.h"
}


function __ZNK8JSObject8numSlotsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 751 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 751 "./jsobj.h"
  ;
  return $4; //@line 751 "./jsobj.h"
}


function __ZN2js11KidsPointer7setNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 70 "./jspropertytree.h"
  HEAP32[(($3)>>2)]=0; //@line 70 "./jspropertytree.h"
  ;
  return; //@line 70 "./jspropertytree.h"
}


function __ZNK2js10EmptyShape8getClassEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 641 "./jsscope.h"
  var $4=(($3+16)|0); //@line 641 "./jsscope.h"
  var $5=$4; //@line 641 "./jsscope.h"
  var $6=HEAP32[(($5)>>2)]; //@line 641 "./jsscope.h"
  ;
  return $6; //@line 641 "./jsscope.h"
}


function _MAGIC_TO_JSVAL_IMPL3($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZNK8JSObject12isDenseArrayEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1537 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1537 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js10ArrayClassE)|0); //@line 1537 "./jsobj.h"
  ;
  return $5; //@line 1537 "./jsobj.h"
}


function __ZN2js5types10TypeObject17unknownPropertiesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 811 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 811 "./jsinfer.h"
  var $5=$4 & 16777216; //@line 811 "./jsinfer.h"
  var $6=(($5)|0)!=0; //@line 811 "./jsinfer.h"
  var $7=$6 ^ 1; //@line 811 "./jsinfer.h"
  var $8=$7 ^ 1; //@line 811 "./jsinfer.h"
  ;
  return $8; //@line 811 "./jsinfer.h"
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE["X"]=1;

function __ZN8JSObject21setSharedNonNativeMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN8JSObject6setMapEPN2js5ShapeE($2, __ZN2js5Shape15sharedNonNativeE); //@line 1103 "./jsobjinlines.h"
  ;
  return; //@line 1104 "./jsobjinlines.h"
}


function __ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($this, $aclasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$aclasp;
      var $3=$1;
      var $4=(($3)|0); //@line 117 "./jsscopeinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 117 "./jsscopeinlines.h"
      var $6=(($5)|0)!=0; //@line 117 "./jsscopeinlines.h"
      if ($6) { __label__ = 2; break; } else { var $26 = 0;__label__ = 6; break; } //@line 117 "./jsscopeinlines.h"
    case 2: 
      var $8=(($3+4)|0); //@line 117 "./jsscopeinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 117 "./jsscopeinlines.h"
      var $10=(($9)|0)!=0; //@line 117 "./jsscopeinlines.h"
      if ($10) { var $26 = 0;__label__ = 6; break; } else { __label__ = 3; break; } //@line 117 "./jsscopeinlines.h"
    case 3: 
      var $12=(($3+8)|0); //@line 117 "./jsscopeinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 117 "./jsscopeinlines.h"
      var $14=(($13)|0)!=0; //@line 117 "./jsscopeinlines.h"
      if ($14) { __label__ = 4; break; } else { var $24 = 1;__label__ = 5; break; } //@line 117 "./jsscopeinlines.h"
    case 4: 
      var $16=(($3+8)|0); //@line 117 "./jsscopeinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 117 "./jsscopeinlines.h"
      var $18=(($17)|0); //@line 117 "./jsscopeinlines.h"
      var $19=HEAP32[(($18)>>2)]; //@line 117 "./jsscopeinlines.h"
      var $20=__ZNK2js10EmptyShape8getClassEv($19); //@line 117 "./jsscopeinlines.h"
      var $21=$2; //@line 117 "./jsscopeinlines.h"
      var $22=(($20)|0)==(($21)|0); //@line 117 "./jsscopeinlines.h"
      var $24 = $22;__label__ = 5; break; //@line 117 "./jsscopeinlines.h"
    case 5: 
      var $24;
      var $26 = $24;__label__ = 6; break;
    case 6: 
      var $26;
      ;
      return $26; //@line 118 "./jsinfer.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($this, $cx, $aclasp, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      $2=$this;
      $3=$cx;
      $4=$aclasp;
      $5=$kind;
      var $6=$2;
      var $7=$5; //@line 83 "./jsscopeinlines.h"
      var $8=(($7)|0); //@line 83 "./jsscopeinlines.h"
      $i=$8; //@line 83 "./jsscopeinlines.h"
      var $9=(($6+8)|0); //@line 85 "./jsscopeinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 85 "./jsscopeinlines.h"
      var $11=(($10)|0)!=0; //@line 85 "./jsscopeinlines.h"
      if ($11) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 85 "./jsscopeinlines.h"
    case 2: 
      var $13=$3; //@line 87 "./jsscopeinlines.h"
      var $14=__ZN9JSContext7calloc_Ej($13, 48); //@line 87 "./jsscopeinlines.h"
      var $15=$14; //@line 87 "./jsscopeinlines.h"
      var $16=(($6+8)|0); //@line 87 "./jsscopeinlines.h"
      HEAP32[(($16)>>2)]=$15; //@line 87 "./jsscopeinlines.h"
      var $17=(($6+8)|0); //@line 88 "./jsscopeinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 88 "./jsscopeinlines.h"
      var $19=(($18)|0)!=0; //@line 88 "./jsscopeinlines.h"
      if ($19) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 88 "./jsscopeinlines.h"
    case 3: 
      $1=0; //@line 89 "./jsscopeinlines.h"
      __label__ = 12; break; //@line 89 "./jsscopeinlines.h"
    case 4: 
      var $22=$3; //@line 95 "./jsscopeinlines.h"
      var $23=$4; //@line 95 "./jsscopeinlines.h"
      var $24=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($22, $23); //@line 95 "./jsscopeinlines.h"
      var $25=(($6+8)|0); //@line 95 "./jsscopeinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 95 "./jsscopeinlines.h"
      var $27=(($26)|0); //@line 95 "./jsscopeinlines.h"
      HEAP32[(($27)>>2)]=$24; //@line 95 "./jsscopeinlines.h"
      var $28=(($6+8)|0); //@line 96 "./jsscopeinlines.h"
      var $29=HEAP32[(($28)>>2)]; //@line 96 "./jsscopeinlines.h"
      var $30=(($29)|0); //@line 96 "./jsscopeinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 96 "./jsscopeinlines.h"
      var $32=(($31)|0)!=0; //@line 96 "./jsscopeinlines.h"
      if ($32) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 96 "./jsscopeinlines.h"
    case 5: 
      var $34=$3; //@line 97 "./jsscopeinlines.h"
      var $35=(($6+8)|0); //@line 97 "./jsscopeinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 97 "./jsscopeinlines.h"
      var $37=$36; //@line 97 "./jsscopeinlines.h"
      __ZN9JSContext5free_EPv($34, $37); //@line 97 "./jsscopeinlines.h"
      var $38=(($6+8)|0); //@line 98 "./jsscopeinlines.h"
      HEAP32[(($38)>>2)]=0; //@line 98 "./jsscopeinlines.h"
      $1=0; //@line 99 "./jsscopeinlines.h"
      __label__ = 12; break; //@line 99 "./jsscopeinlines.h"
    case 6: 
      __label__ = 7; break; //@line 101 "./jsscopeinlines.h"
    case 7: 
      var $41=$i; //@line 105 "./jsscopeinlines.h"
      var $42=(($6+8)|0); //@line 105 "./jsscopeinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 105 "./jsscopeinlines.h"
      var $44=(($43+($41<<2))|0); //@line 105 "./jsscopeinlines.h"
      var $45=HEAP32[(($44)>>2)]; //@line 105 "./jsscopeinlines.h"
      var $46=(($45)|0)!=0; //@line 105 "./jsscopeinlines.h"
      if ($46) { __label__ = 11; break; } else { __label__ = 8; break; } //@line 105 "./jsscopeinlines.h"
    case 8: 
      var $48=$3; //@line 106 "./jsscopeinlines.h"
      var $49=$4; //@line 106 "./jsscopeinlines.h"
      var $50=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($48, $49); //@line 106 "./jsscopeinlines.h"
      var $51=$i; //@line 106 "./jsscopeinlines.h"
      var $52=(($6+8)|0); //@line 106 "./jsscopeinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 106 "./jsscopeinlines.h"
      var $54=(($53+($51<<2))|0); //@line 106 "./jsscopeinlines.h"
      HEAP32[(($54)>>2)]=$50; //@line 106 "./jsscopeinlines.h"
      var $55=$i; //@line 107 "./jsscopeinlines.h"
      var $56=(($6+8)|0); //@line 107 "./jsscopeinlines.h"
      var $57=HEAP32[(($56)>>2)]; //@line 107 "./jsscopeinlines.h"
      var $58=(($57+($55<<2))|0); //@line 107 "./jsscopeinlines.h"
      var $59=HEAP32[(($58)>>2)]; //@line 107 "./jsscopeinlines.h"
      var $60=(($59)|0)!=0; //@line 107 "./jsscopeinlines.h"
      if ($60) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 107 "./jsscopeinlines.h"
    case 9: 
      $1=0; //@line 108 "./jsscopeinlines.h"
      __label__ = 12; break; //@line 108 "./jsscopeinlines.h"
    case 10: 
      __label__ = 11; break; //@line 109 "./jsscopeinlines.h"
    case 11: 
      var $64=$i; //@line 111 "./jsscopeinlines.h"
      var $65=(($6+8)|0); //@line 111 "./jsscopeinlines.h"
      var $66=HEAP32[(($65)>>2)]; //@line 111 "./jsscopeinlines.h"
      var $67=(($66+($64<<2))|0); //@line 111 "./jsscopeinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 111 "./jsscopeinlines.h"
      $1=$68; //@line 111 "./jsscopeinlines.h"
      __label__ = 12; break; //@line 111 "./jsscopeinlines.h"
    case 12: 
      var $70=$1; //@line 112 "./jsscopeinlines.h"
      ;
      return $70; //@line 112 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE["X"]=1;

function __ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($cx, $clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $eprop;
      $2=$cx;
      $3=$clasp;
      var $4=$2; //@line 644 "./jsscope.h"
      var $5=(($4+56)|0); //@line 644 "./jsscope.h"
      var $6=HEAP32[(($5)>>2)]; //@line 644 "./jsscope.h"
      var $7=(($6+744)|0); //@line 644 "./jsscope.h"
      var $8=$2; //@line 644 "./jsscope.h"
      var $9=__ZN2js12PropertyTree8newShapeEP9JSContext($7, $8); //@line 644 "./jsscope.h"
      $eprop=$9; //@line 644 "./jsscope.h"
      var $10=$eprop; //@line 645 "./jsscope.h"
      var $11=(($10)|0)!=0; //@line 645 "./jsscope.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 645 "./jsscope.h"
    case 2: 
      $1=0; //@line 646 "./jsscope.h"
      __label__ = 6; break; //@line 646 "./jsscope.h"
    case 3: 
      var $14=$eprop; //@line 647 "./jsscope.h"
      var $15=$14; //@line 647 "./jsscope.h"
      var $16=(($15)|0)==0; //@line 647 "./jsscope.h"
      if ($16) { var $24 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 647 "./jsscope.h"
    case 4: 
      var $18=$15; //@line 647 "./jsscope.h"
      var $19=$2; //@line 647 "./jsscope.h"
      var $20=(($19+56)|0); //@line 647 "./jsscope.h"
      var $21=HEAP32[(($20)>>2)]; //@line 647 "./jsscope.h"
      var $22=$3; //@line 647 "./jsscope.h"
      __ZN2js10EmptyShapeC1EP13JSCompartmentPNS_5ClassE($18, $21, $22); //@line 647 "./jsscope.h"
      var $24 = $18;__label__ = 5; break; //@line 647 "./jsscope.h"
    case 5: 
      var $24; //@line 647 "./jsscope.h"
      $1=$24; //@line 647 "./jsscope.h"
      __label__ = 6; break; //@line 647 "./jsscope.h"
    case 6: 
      var $26=$1; //@line 648 "./jsscope.h"
      ;
      return $26; //@line 648 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10EmptyShapeC1EP13JSCompartmentPNS_5ClassE($this, $comp, $aclasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$comp;
  $3=$aclasp;
  var $4=$1;
  var $5=$2; //@line 362 "./jsscope.h"
  var $6=$3; //@line 362 "./jsscope.h"
  __ZN2js10EmptyShapeC2EP13JSCompartmentPNS_5ClassE($4, $5, $6); //@line 362 "./jsscope.h"
  ;
  return; //@line 362 "./jsscope.h"
}


function __ZN2js10EmptyShapeC2EP13JSCompartmentPNS_5ClassE($this, $comp, $aclasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$comp;
  $3=$aclasp;
  var $4=$1;
  var $5=$4; //@line 362 "./jsscope.h"
  var $6=$2; //@line 362 "./jsscope.h"
  var $7=$3; //@line 362 "./jsscope.h"
  __ZN2js5ShapeC2EP13JSCompartmentPNS_5ClassE($5, $6, $7); //@line 362 "./jsscope.h"
  ;
  return; //@line 362 "./jsscopeinlines.h"
}


function __ZN2js5ShapeC2EP13JSCompartmentPNS_5ClassE($this, $comp, $aclasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$comp;
  $3=$aclasp;
  var $4=$1;
  var $5=$4; //@line 207 "./jsscope.h"
  var $6=(($4)|0); //@line 207 "./jsscope.h"
  var $7=$2; //@line 196 "./jsscope.h"
  var $8=(($7)|0); //@line 196 "./jsscope.h"
  var $9=HEAP32[(($8)>>2)]; //@line 196 "./jsscope.h"
  var $10=__Z16js_GenerateShapeP9JSRuntime($9); //@line 196 "./jsscope.h"
  HEAP32[(($6)>>2)]=$10; //@line 196 "./jsscope.h"
  var $11=(($4+4)|0); //@line 196 "./jsscope.h"
  var $12=$3; //@line 196 "./jsscope.h"
  var $13=(($12+4)|0); //@line 196 "./jsscope.h"
  var $14=HEAPU32[(($13)>>2)]; //@line 196 "./jsscope.h"
  var $15=$14 >>> 8; //@line 196 "./jsscope.h"
  var $16=$15 & 255; //@line 196 "./jsscope.h"
  HEAP32[(($11)>>2)]=$16; //@line 196 "./jsscope.h"
  var $17=(($4+8)|0); //@line 196 "./jsscope.h"
  var $18=$17; //@line 196 "./jsscope.h"
  HEAP32[(($18)>>2)]=0; //@line 196 "./jsscope.h"
  var $19=(($4+12)|0); //@line 196 "./jsscope.h"
  HEAP32[(($19)>>2)]=4; //@line 196 "./jsscope.h"
  var $20=(($4+16)|0); //@line 196 "./jsscope.h"
  var $21=$20; //@line 196 "./jsscope.h"
  var $22=$3; //@line 196 "./jsscope.h"
  HEAP32[(($21)>>2)]=$22; //@line 196 "./jsscope.h"
  var $23=(($4+20)|0); //@line 196 "./jsscope.h"
  var $24=$23; //@line 196 "./jsscope.h"
  HEAP32[(($24)>>2)]=0; //@line 196 "./jsscope.h"
  var $25=(($4+24)|0); //@line 196 "./jsscope.h"
  HEAP32[(($25)>>2)]=-1; //@line 196 "./jsscope.h"
  var $26=(($4+28)|0); //@line 196 "./jsscope.h"
  HEAP8[($26)]=0; //@line 196 "./jsscope.h"
  var $27=(($4+29)|0); //@line 196 "./jsscope.h"
  HEAP8[($27)]=1; //@line 196 "./jsscope.h"
  var $28=(($4+30)|0); //@line 196 "./jsscope.h"
  HEAP16[(($28)>>1)]=0; //@line 196 "./jsscope.h"
  var $29=(($4+32)|0); //@line 196 "./jsscope.h"
  HEAP32[(($29)>>2)]=0; //@line 196 "./jsscope.h"
  var $30=(($4+36)|0); //@line 208 "./jsscopeinlines.h"
  var $31=$30; //@line 208 "./jsscopeinlines.h"
  __ZN2js11KidsPointer7setNullEv($31); //@line 208 "./jsscopeinlines.h"
  ;
  return; //@line 209 "./jsscopeinlines.h"
}


function __ZN9JSContext7calloc_Ej($this, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bytes;
  var $3=$1;
  var $4=(($3+52)|0); //@line 1270 "./jscntxt.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1270 "./jscntxt.h"
  var $6=$2; //@line 1270 "./jscntxt.h"
  var $7=__ZN9JSRuntime7calloc_EjP9JSContext($5, $6, $3); //@line 1270 "./jscntxt.h"
  ;
  return $7; //@line 1270 "./jscntxt.h"
}


function __ZN9JSRuntime7calloc_EjP9JSContext($this, $bytes, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$this;
      $2=$bytes;
      $3=$cx;
      var $4=$1;
      var $5=$2; //@line 733 "./jscntxt.h"
      __ZN9JSRuntime19updateMallocCounterEj($4, $5); //@line 733 "./jscntxt.h"
      var $6=$2; //@line 734 "./jscntxt.h"
      var $7=_js_calloc($6); //@line 734 "./jscntxt.h"
      $p=$7; //@line 734 "./jscntxt.h"
      var $8=$p; //@line 735 "./jscntxt.h"
      var $9=(($8)|0)!=0; //@line 735 "./jscntxt.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 735 "./jscntxt.h"
    case 2: 
      var $11=$p; //@line 735 "./jscntxt.h"
      var $17 = $11;__label__ = 4; break; //@line 735 "./jscntxt.h"
    case 3: 
      var $13=$2; //@line 735 "./jscntxt.h"
      var $14=$3; //@line 735 "./jscntxt.h"
      var $15=__ZN9JSRuntime13onOutOfMemoryEPvjP9JSContext($4, 1, $13, $14); //@line 735 "./jscntxt.h"
      var $17 = $15;__label__ = 4; break; //@line 735 "./jscntxt.h"
    case 4: 
      var $17; //@line 735 "./jscntxt.h"
      ;
      return $17; //@line 735 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_calloc($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js11WeakMapBaseC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 139 "./jsweakmap.h"
  HEAP32[(($3)>>2)]=((__ZTVN2js11WeakMapBaseE+8)|0); //@line 139 "./jsweakmap.h"
  var $4=(($2+4)|0); //@line 139 "./jsweakmap.h"
  HEAP32[(($4)>>2)]=0; //@line 139 "./jsweakmap.h"
  ;
  return; //@line 139 "./jsweakmap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+12)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectS2_EC2EP8JSTracer($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 297 "./jsweakmap.h"
  var $5=$2; //@line 297 "./jsweakmap.h"
  HEAP32[(($4)>>2)]=$5; //@line 297 "./jsweakmap.h"
  ;
  return; //@line 297 "./jsweakmap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+12)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4initEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj["X"]=1;

function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  var $5=$2; //@line 985 "./jshashtable.h"
  var $6=$a; //@line 985 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=$4; //@line 197 "./jsweakmap.h"
  var $6=(($5+8)|0); //@line 197 "./jsweakmap.h"
  var $7=$6; //@line 197 "./jsweakmap.h"
  var $8=$2; //@line 197 "./jsweakmap.h"
  __ZN2js18RuntimeAllocPolicyC1EP9JSContext($3, $8); //@line 197 "./jsweakmap.h"
  __ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES5_($7, $3); //@line 197 "./jsweakmap.h"
  var $9=$4; //@line 197 "./jsweakmap.h"
  __ZN2js11WeakMapBaseC2Ev($9); //@line 197 "./jsweakmap.h"
  var $10=$4; //@line 197 "./jsweakmap.h"
  HEAP32[(($10)>>2)]=((__ZTVN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEE+8)|0); //@line 197 "./jsweakmap.h"
  STACKTOP = __stackBase__;
  return; //@line 197 "./jsweakmap.h"
}


function __ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  var $5=$2; //@line 985 "./jshashtable.h"
  var $6=$a; //@line 985 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_EC1ES9_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE15nonMarkingTraceEP8JSTracer($this, $tracer) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $t=__stackBase__;
      var $r=__stackBase__+4;
      $1=$this;
      $2=$tracer;
      var $3=$1;
      var $4=$2; //@line 201 "./jsweakmap.h"
      __ZN2js17DefaultMarkPolicyIP8JSObjectS2_EC1EP8JSTracer($t, $4); //@line 201 "./jsweakmap.h"
      var $5=$3; //@line 202 "./jsweakmap.h"
      var $6=(($5+8)|0); //@line 202 "./jsweakmap.h"
      var $7=$6; //@line 202 "./jsweakmap.h"
      __ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($r, $7); //@line 202 "./jsweakmap.h"
      __label__ = 2; break; //@line 202 "./jsweakmap.h"
    case 2: 
      var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($r); //@line 202 "./jsweakmap.h"
      var $10=$9 ^ 1; //@line 202 "./jsweakmap.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 202 "./jsweakmap.h"
    case 3: 
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($r); //@line 203 "./jsweakmap.h"
      var $13=(($12+4)|0); //@line 203 "./jsweakmap.h"
      var $14=HEAP32[(($13)>>2)]; //@line 203 "./jsweakmap.h"
      __ZN2js17DefaultMarkPolicyIP8JSObjectS2_E9markEntryES2_($t, $14); //@line 203 "./jsweakmap.h"
      __label__ = 4; break; //@line 203 "./jsweakmap.h"
    case 4: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($r); //@line 202 "./jsweakmap.h"
      __label__ = 2; break; //@line 202 "./jsweakmap.h"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 204 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE15markIterativelyEP8JSTracer($this, $tracer) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $t=__stackBase__;
      var $markedAny;
      var $r=__stackBase__+4;
      $1=$this;
      $2=$tracer;
      var $3=$1;
      var $4=$2; //@line 207 "./jsweakmap.h"
      __ZN2js17DefaultMarkPolicyIP8JSObjectS2_EC1EP8JSTracer($t, $4); //@line 207 "./jsweakmap.h"
      $markedAny=0; //@line 208 "./jsweakmap.h"
      var $5=$3; //@line 209 "./jsweakmap.h"
      var $6=(($5+8)|0); //@line 209 "./jsweakmap.h"
      var $7=$6; //@line 209 "./jsweakmap.h"
      __ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($r, $7); //@line 209 "./jsweakmap.h"
      __label__ = 2; break; //@line 209 "./jsweakmap.h"
    case 2: 
      var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($r); //@line 209 "./jsweakmap.h"
      var $10=$9 ^ 1; //@line 209 "./jsweakmap.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 209 "./jsweakmap.h"
    case 3: 
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($r); //@line 211 "./jsweakmap.h"
      var $13=(($12)|0); //@line 211 "./jsweakmap.h"
      var $14=HEAP32[(($13)>>2)]; //@line 211 "./jsweakmap.h"
      var $15=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($r); //@line 211 "./jsweakmap.h"
      var $16=(($15+4)|0); //@line 211 "./jsweakmap.h"
      var $17=HEAP32[(($16)>>2)]; //@line 211 "./jsweakmap.h"
      var $18=__ZN2js17DefaultMarkPolicyIP8JSObjectS2_E15markEntryIfLiveES2_S2_($t, $14, $17); //@line 211 "./jsweakmap.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 211 "./jsweakmap.h"
    case 4: 
      $markedAny=1; //@line 213 "./jsweakmap.h"
      __label__ = 5; break; //@line 214 "./jsweakmap.h"
    case 5: 
      __label__ = 6; break; //@line 216 "./jsweakmap.h"
    case 6: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($r); //@line 209 "./jsweakmap.h"
      __label__ = 2; break; //@line 209 "./jsweakmap.h"
    case 7: 
      var $23=$markedAny; //@line 217 "./jsweakmap.h"
      var $24=(($23) & 1); //@line 217 "./jsweakmap.h"
      STACKTOP = __stackBase__;
      return $24; //@line 217 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE5sweepEP8JSTracer($this, $tracer) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $t=__stackBase__;
      var $e=__stackBase__+4;
      var $3;
      $1=$this;
      $2=$tracer;
      var $4=$1;
      var $5=$2; //@line 221 "./jsweakmap.h"
      __ZN2js17DefaultMarkPolicyIP8JSObjectS2_EC1EP8JSTracer($t, $5); //@line 221 "./jsweakmap.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumC1INS_7WeakMapIS4_S4_S8_NS_17DefaultMarkPolicyIS4_S4_EEEEEERT_($e, $4); //@line 224 "./jsweakmap.h"
      __label__ = 2; break; //@line 224 "./jsweakmap.h"
    case 2: 
      var $7=$e; //@line 224 "./jsweakmap.h"
      var $8=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($7); //@line 224 "./jsweakmap.h"
      var $9=$8 ^ 1; //@line 224 "./jsweakmap.h"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 224 "./jsweakmap.h"
    case 3: 
      $3=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($e); //@line 224 "./jsweakmap.h"
      __label__ = 8; break;
    case 4: 
      var $12=$e; //@line 225 "./jsweakmap.h"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($12); //@line 225 "./jsweakmap.h"
      var $14=(($13)|0); //@line 225 "./jsweakmap.h"
      var $15=HEAP32[(($14)>>2)]; //@line 225 "./jsweakmap.h"
      var $16=__ZN2js17DefaultMarkPolicyIP8JSObjectS2_E9keyMarkedES2_($t, $15); //@line 225 "./jsweakmap.h"
      if ($16) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 225 "./jsweakmap.h"
    case 5: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($e); //@line 226 "./jsweakmap.h"
      __label__ = 6; break; //@line 226 "./jsweakmap.h"
    case 6: 
      __label__ = 7; break; //@line 227 "./jsweakmap.h"
    case 7: 
      var $20=$e; //@line 224 "./jsweakmap.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($20); //@line 224 "./jsweakmap.h"
      __label__ = 2; break; //@line 224 "./jsweakmap.h"
    case 8: 
      STACKTOP = __stackBase__;
      return; //@line 239 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectS2_EC1EP8JSTracer($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 297 "./jsweakmap.h"
  __ZN2js17DefaultMarkPolicyIP8JSObjectS2_EC2EP8JSTracer($3, $4); //@line 297 "./jsweakmap.h"
  ;
  return; //@line 297 "./jsweakmap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumC1INS_7WeakMapIS4_S4_S8_NS_17DefaultMarkPolicyIS4_S4_EEEEEERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumC2INS_7WeakMapIS4_S4_S8_NS_17DefaultMarkPolicyIS4_S4_EEEEEERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectS2_E9keyMarkedES2_($this, $k) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$k;
  var $3=$1;
  var $4=(($3)|0); //@line 298 "./jsweakmap.h"
  var $5=HEAP32[(($4)>>2)]; //@line 298 "./jsweakmap.h"
  var $6=(($5)|0); //@line 298 "./jsweakmap.h"
  var $7=HEAP32[(($6)>>2)]; //@line 298 "./jsweakmap.h"
  var $8=$2; //@line 298 "./jsweakmap.h"
  var $9=$8; //@line 298 "./jsweakmap.h"
  var $10=__Z20IsAboutToBeFinalizedP9JSContextPKv($7, $9); //@line 298 "./jsweakmap.h"
  var $11=$10 ^ 1; //@line 298 "./jsweakmap.h"
  ;
  return $11; //@line 298 "./jsweakmap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+20)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+12)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectS2_EC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectS2_EaSERKS3_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectS2_EC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectS2_EaSERKS3_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumC2INS_7WeakMapIS4_S4_S8_NS_17DefaultMarkPolicyIS4_S4_EEEEEERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  var $7=$6; //@line 231 "./jshashtable.h"
  var $8=(($7+8)|0); //@line 231 "./jshashtable.h"
  var $9=$8; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($3, $9); //@line 231 "./jshashtable.h"
  var $10=$5; //@line 231 "./jshashtable.h"
  var $11=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 231 "./jshashtable.h"
  var $12=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $13=$2; //@line 231 "./jshashtable.h"
  var $14=$13; //@line 231 "./jshashtable.h"
  var $15=(($14+8)|0); //@line 231 "./jshashtable.h"
  var $16=$15; //@line 231 "./jshashtable.h"
  var $17=(($16)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$17; //@line 231 "./jshashtable.h"
  var $18=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($18)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectS2_E15markEntryIfLiveES2_S2_($this, $k, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$k;
      $4=$v;
      var $5=$2;
      var $6=$3; //@line 301 "./jsweakmap.h"
      var $7=__ZN2js17DefaultMarkPolicyIP8JSObjectS2_E9keyMarkedES2_($5, $6); //@line 301 "./jsweakmap.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 301 "./jsweakmap.h"
    case 2: 
      var $9=$4; //@line 301 "./jsweakmap.h"
      var $10=__ZN2js17DefaultMarkPolicyIP8JSObjectS2_E11valueMarkedES2_($5, $9); //@line 301 "./jsweakmap.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 301 "./jsweakmap.h"
    case 3: 
      var $12=(($5)|0); //@line 302 "./jsweakmap.h"
      var $13=HEAP32[(($12)>>2)]; //@line 302 "./jsweakmap.h"
      var $14=$4; //@line 302 "./jsweakmap.h"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($13, $14, ((STRING_TABLE.__str81)|0)); //@line 302 "./jsweakmap.h"
      $1=1; //@line 303 "./jsweakmap.h"
      __label__ = 5; break; //@line 303 "./jsweakmap.h"
    case 4: 
      $1=0; //@line 305 "./jsweakmap.h"
      __label__ = 5; break; //@line 305 "./jsweakmap.h"
    case 5: 
      var $17=$1; //@line 306 "./jsweakmap.h"
      ;
      return $17; //@line 306 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectS2_E11valueMarkedES2_($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=(($3)|0); //@line 299 "./jsweakmap.h"
  var $5=HEAP32[(($4)>>2)]; //@line 299 "./jsweakmap.h"
  var $6=(($5)|0); //@line 299 "./jsweakmap.h"
  var $7=HEAP32[(($6)>>2)]; //@line 299 "./jsweakmap.h"
  var $8=$2; //@line 299 "./jsweakmap.h"
  var $9=$8; //@line 299 "./jsweakmap.h"
  var $10=__Z20IsAboutToBeFinalizedP9JSContextPKv($7, $9); //@line 299 "./jsweakmap.h"
  var $11=$10 ^ 1; //@line 299 "./jsweakmap.h"
  ;
  return $11; //@line 299 "./jsweakmap.h"
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectS2_E9markEntryES2_($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=(($3)|0); //@line 308 "./jsweakmap.h"
  var $5=HEAP32[(($4)>>2)]; //@line 308 "./jsweakmap.h"
  var $6=$2; //@line 308 "./jsweakmap.h"
  __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($5, $6, ((STRING_TABLE.__str81)|0)); //@line 308 "./jsweakmap.h"
  ;
  return; //@line 309 "./jsweakmap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_EC1ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_EC2ES9_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_EC2ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  var $5=$2; //@line 985 "./jshashtable.h"
  var $6=$a; //@line 985 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6lookupERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6lookupERKS3_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrcvMSE_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 26, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S3_EENS7_13MapHashPolicyES6_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6removeENSD_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6removeENSD_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6removeERNS0_14HashTableEntryIS6_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6removeERNS0_14HashTableEntryIS6_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+20)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+12)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEC2ERS8_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC2ERS5_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIPhEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZNK2js7MoveRefIPNS_14BreakpointSiteEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_14BreakpointSiteEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefIPhEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEaSERKS4_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=$2; //@line 907 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 907 "./jshashtable.h"
  var $10=HEAP32[(($9)>>2)]; //@line 907 "./jshashtable.h"
  var $11=(($3+4)|0); //@line 907 "./jshashtable.h"
  HEAP32[(($11)>>2)]=$10; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11createTableERSA_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEENS_7MoveRefIT_EERSA_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEaSENS_7MoveRefIS7_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E12destroyTableERSA_PNS0_14HashTableEntryIS6_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11createTableERSA_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js18RuntimeAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEaSENS_7MoveRefIS7_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEENS_7MoveRefIT_EERS7_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEaSENS_7MoveRefIS4_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEENS_7MoveRefIT_EERSA_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEC1ERS8_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E12destroyTableERSA_PNS0_14HashTableEntryIS6_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js18RuntimeAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEC1ERS8_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEC2ERS8_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEaSENS_7MoveRefIS4_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIPhEENS_7MoveRefIT_EERKS3_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIPhEcvRS1_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIPNS_14BreakpointSiteEEENS_7MoveRefIT_EERS4_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIPNS_14BreakpointSiteEEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEENS_7MoveRefIT_EERS7_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC1ERS5_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC1ERS5_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC2ERS5_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIPhEENS_7MoveRefIT_EERKS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefIPhEC1ERS1_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js4MoveIPNS_14BreakpointSiteEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIPNS_14BreakpointSiteEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_14BreakpointSiteEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPNS_14BreakpointSiteEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefIPhEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPhEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEaSERKS4_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEaSERKS4_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6lookupERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11prepareHashERKS3_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6lookupERKS3_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrC1ERNS0_14HashTableEntryIS6_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11prepareHashERKS3_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIPhLj2EE4hashERKS1_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrC1ERNS0_14HashTableEntryIS6_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrC2ERNS0_14HashTableEntryIS6_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js13PointerHasherIPhLj2EE5matchERKS1_S4_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPhLj2EE4hashERKS1_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 2; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S3_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrC2ERNS0_14HashTableEntryIS6_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 642 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 642 "./jshashtable.h"
  var $5=(($4)|0)!=0; //@line 642 "./jshashtable.h"
  var $6=$5 ^ 1; //@line 642 "./jshashtable.h"
  ;
  return $6; //@line 642 "./jshashtable.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js8CallArgs4argvEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 242 "./vm/Stack.h"
  var $4=(($3)|0); //@line 242 "./vm/Stack.h"
  var $5=HEAP32[(($4)>>2)]; //@line 242 "./vm/Stack.h"
  ;
  return $5; //@line 242 "./vm/Stack.h"
}


function __ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6lookupERKS3_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5matchERNS0_14HashTableEntryIS6_EERKS3_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5matchERNS0_14HashTableEntryIS6_EERKS3_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6lookupERKS3_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5matchERNS0_14HashTableEntryIS6_EERKS3_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S3_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIPhLj2EE5matchERKS1_S4_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZL11ApplyOrCallP9JSContextjPN2JS5ValueE15ApplyOrCallMode($cx, $argc, $vp, $mode) {
  var __stackBase__  = STACKTOP; STACKTOP += 188; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $calleev=__stackBase__+8;
      var $thisv=__stackBase__+16;
      var $callArgc=__stackBase__+24;
      var $callArgv;
      var $argv=__stackBase__+28;
      var $6;
      var $argsobj;
      var $i;
      var $ac=__stackBase__+120;
      var $i1;
      var $rval=__stackBase__+172;
      var $ok;
      var $7=__stackBase__+180;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$mode;
      var $8=$3; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$4; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $8, $9); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$2; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($10, $args, ((STRING_TABLE.__str79)|0)); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$11; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$obj; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12)|0)!=0; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 51; break; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $16=$obj; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($16); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$17; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$obj; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK8JSObject10getPrivateEv($18); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$19; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$20; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$obj; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JSL11ObjectValueER8JSObject($calleev, $21); //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$obj; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZN8JSObject10isCallableEv($22); //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $25=$2; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$obj; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK8JSObject8getClassEv($26); //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27)|0); //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str3)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str79)|0),HEAP32[((tempInt+8)>>2)]=$29,tempInt)); //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 51; break; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $31=$3; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31)>>>0) > 0; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $34=__ZNK2js8CallArgsixEj($args, 0); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$thisv; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$34; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __ZN2JSL14UndefinedValueEv($thisv); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $39=$dbg; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$2; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($39, $40, $thisv); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      $1=0; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 51; break; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      HEAP32[(($callArgc)>>2)]=0; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $callArgv=0; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$2; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($argv, $44); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$5; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45)|0)==0; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 25; break; } //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $48=$3; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=(($48)>>>0) >= 2; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 24; break; } //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $51=__ZNK2js8CallArgsixEj($args, 1); //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=__ZNK2JS5Value17isNullOrUndefinedEv($51); //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($52) { __label__ = 24; break; } else { __label__ = 13; break; } //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $54=__ZNK2js8CallArgsixEj($args, 1); //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZNK2JS5Value8isObjectEv($54); //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $57=$2; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($57, 2, 0, 154, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_apply_str)|0),tempInt)); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 50; break; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $59=__ZNK2js8CallArgsixEj($args, 1); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=__ZNK2JS5Value8toObjectEv($59); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $argsobj=$60; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=$2; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=$argsobj; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($61, $62, $callArgc); //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=(($63)|0)!=0; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($64) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      $1=0; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 50; break; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $67=HEAPU32[(($callArgc)>>2)]; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=(($67)>>>0) < 491520; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($68) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $70=HEAP32[(($callArgc)>>2)]; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73 = $70;__label__ = 20; break; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $73 = 491520;__label__ = 20; break; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $73; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($callArgc)>>2)]=$73; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=$argv; //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=HEAP32[(($callArgc)>>2)]; //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=__ZN2js16AutoVectorRooterIN2JS5ValueEE6growByEj($74, $75); //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($76) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $78=$2; //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=$argsobj; //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=HEAP32[(($callArgc)>>2)]; //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=$argv; //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($81); //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=__ZN2js11GetElementsEP9JSContextP8JSObjectjPN2JS5ValueE($78, $79, $80, $82); //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($83) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      $1=0; //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 50; break; //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $86=$argv; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($86); //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $callArgv=$87; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      __label__ = 32; break; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $90=$3; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=(($90)>>>0) > 0; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($91) { __label__ = 26; break; } else { __label__ = 30; break; } //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      var $93=$3; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=(($93-1)|0); //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=(($94)>>>0) < 491520; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($95) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      var $97=$3; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=(($97-1)|0); //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101 = $98;__label__ = 29; break; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      var $101 = 491520;__label__ = 29; break; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      var $101; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $104 = $101;__label__ = 31; break; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      var $104 = 0;__label__ = 31; break; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      var $104; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($callArgc)>>2)]=$104; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $105=__ZNK2js8CallArgs4argvEv($args); //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $106=(($105+8)|0); //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $callArgv=$106; //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 32; break;
    case 32: 
      $i=0; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 33; break; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 33: 
      var $109=$i; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $110=HEAPU32[(($callArgc)>>2)]; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=(($109)>>>0) < (($110)>>>0); //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($111) { __label__ = 34; break; } else { __label__ = 38; break; } //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 34: 
      var $113=$dbg; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $114=$2; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=$i; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $116=$callArgv; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $117=(($116+($115<<3))|0); //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $118=__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($113, $114, $117); //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($118) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 35: 
      $1=0; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 50; break; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 36: 
      __label__ = 37; break; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 37: 
      var $122=$i; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $123=(($122+1)|0); //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$123; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 33; break; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 38: 
      var $125=$2; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $126=$obj; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $125, $126); //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $127=__ZN2js15AutoCompartment5enterEv($ac); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($127) { __label__ = 39; break; } else { __label__ = 41; break; } //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 39: 
      var $129=$2; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $130=(($129+56)|0); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $132=$2; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $133=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($131, $132, $calleev); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($133) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 40: 
      var $135=$2; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $136=(($135+56)|0); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $138=$2; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $139=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($137, $138, $thisv); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($139) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 41: 
      $1=0; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 49; break; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 42: 
      $i1=0; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 43; break; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 43: 
      var $143=$i1; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $144=HEAPU32[(($callArgc)>>2)]; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $145=(($143)>>>0) < (($144)>>>0); //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($145) { __label__ = 44; break; } else { __label__ = 48; break; } //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 44: 
      var $147=$2; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $148=(($147+56)|0); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $150=$2; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $151=$i1; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $152=$callArgv; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $153=(($152+($151<<3))|0); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $154=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($149, $150, $153); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($154) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 45: 
      $1=0; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 49; break; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 46: 
      __label__ = 47; break; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 47: 
      var $158=$i1; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $159=(($158+1)|0); //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i1=$159; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 43; break; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 48: 
      var $161=$2; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $162=HEAP32[(($callArgc)>>2)]; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $163=$callArgv; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $164=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($161, $thisv, $calleev, $162, $163, $rval); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $165=(($164)&1); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$165; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $166=$dbg; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $167=$ok; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $168=(($167) & 1); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $169=$7; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $170=$rval; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($169)>>2)]=HEAP32[(($170)>>2)];HEAP32[(($169+4)>>2)]=HEAP32[(($170+4)>>2)]; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $171=$args; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $172=__ZNK2js12CallReceiver4rvalEv($171); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $173=__ZN2js8Debugger18newCompletionValueERNS_15AutoCompartmentEbN2JS5ValueEPS4_($166, $ac, $168, $7, $172); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $174=(($173)&1); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$174; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 49; break; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 49: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 50; break;
    case 50: 
      __ZN2js15AutoValueVectorD1Ev($argv); //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 51; break;
    case 51: 
      var $178=$1; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $178; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11ApplyOrCallP9JSContextjPN2JS5ValueE15ApplyOrCallMode["X"]=1;

function __ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($cx, $args, $fnname) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisobj;
      $2=$cx;
      $3=$args;
      $4=$fnname;
      var $5=$3; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$5; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=__ZNK2js12CallReceiver5thisvEv($6); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $10=$2; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__Z20ReportObjectRequiredP9JSContext($10); //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $13=$3; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$13; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK2js12CallReceiver5thisvEv($14); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2JS5Value8toObjectEv($15); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$16; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$thisobj; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK8JSObject8getClassEv($17); //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=((_DebuggerObject_class)|0); //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$2; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$4; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$thisobj; //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZNK8JSObject8getClassEv($23); //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=(($24)|0); //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($21, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str3)|0),HEAP32[((tempInt+4)>>2)]=$22,HEAP32[((tempInt+8)>>2)]=$26,tempInt)); //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $28=$thisobj; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZNK8JSObject10getPrivateEv($28); //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0)!=0; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $32=$2; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$4; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($32, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str3)|0),HEAP32[((tempInt+4)>>2)]=$33,HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str11)|0),tempInt)); //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $35=$thisobj; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$35; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $37=$1; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $37; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value17isNullOrUndefinedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2JS5Value6isNullEv($2); //@line 378 "./jsapi.h"
      if ($3) { var $7 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 378 "./jsapi.h"
    case 2: 
      var $5=__ZNK2JS5Value11isUndefinedEv($2); //@line 378 "./jsapi.h"
      var $7 = $5;__label__ = 3; break; //@line 378 "./jsapi.h"
    case 3: 
      var $7;
      ;
      return $7; //@line 378 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE6growByEj($this, $inc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldLength;
      $2=$this;
      $3=$inc;
      var $4=$2;
      var $5=(($4+12)|0); //@line 2403 "./jscntxt.h"
      var $6=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6lengthEv($5); //@line 2403 "./jscntxt.h"
      $oldLength=$6; //@line 2403 "./jscntxt.h"
      var $7=(($4+12)|0); //@line 2404 "./jscntxt.h"
      var $8=$3; //@line 2404 "./jscntxt.h"
      var $9=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE19growByUninitializedEj($7, $8); //@line 2404 "./jscntxt.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2404 "./jscntxt.h"
    case 2: 
      $1=0; //@line 2405 "./jscntxt.h"
      __label__ = 4; break; //@line 2405 "./jscntxt.h"
    case 3: 
      var $12=(($4+12)|0); //@line 2406 "./jscntxt.h"
      var $13=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5beginEv($12); //@line 2406 "./jscntxt.h"
      var $14=$oldLength; //@line 2406 "./jscntxt.h"
      var $15=(($13+($14<<3))|0); //@line 2406 "./jscntxt.h"
      var $16=(($4+12)|0); //@line 2406 "./jscntxt.h"
      var $17=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv($16); //@line 2406 "./jscntxt.h"
      __ZN2jsL15MakeRangeGCSafeEPN2JS5ValueES2_($15, $17); //@line 2406 "./jscntxt.h"
      $1=1; //@line 2407 "./jscntxt.h"
      __label__ = 4; break; //@line 2407 "./jscntxt.h"
    case 4: 
      var $19=$1; //@line 2408 "./jscntxt.h"
      ;
      return $19; //@line 2408 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE19growByUninitializedEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 700 "./jsvector.h"
  var $5=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($3, $4); //@line 700 "./jsvector.h"
  ;
  return $5; //@line 700 "./jsvector.h"
}


function __ZN2jsL15MakeRangeGCSafeEPN2JS5ValueES2_($beg, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$beg;
  $2=$end;
  var $3=$1; //@line 372 "./jsinterp.h"
  var $4=$2; //@line 372 "./jsinterp.h"
  var $5=$1; //@line 372 "./jsinterp.h"
  var $6=$4; //@line 372 "./jsinterp.h"
  var $7=$5; //@line 372 "./jsinterp.h"
  var $8=(($6-$7)|0); //@line 372 "./jsinterp.h"
  var $9=(((($8)|0)/8)&-1); //@line 372 "./jsinterp.h"
  __ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j($3, $9); //@line 372 "./jsinterp.h"
  ;
  return; //@line 373 "./jsinterp.h"
}


function __ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<3))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<3))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=$3; //@line 681 "./jsvector.h"
      var $22=(($5+8)|0); //@line 681 "./jsvector.h"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "./jsvector.h"
      var $24=(($23+$21)|0); //@line 681 "./jsvector.h"
      HEAP32[(($22)>>2)]=$24; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $26=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $26; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE7destroyEPiS3_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js5Shape8isNativeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0)!=((__ZN2js5Shape15sharedNonNativeE)|0); //@line 460 "./jsscope.h"
  ;
  return $3; //@line 460 "./jsscope.h"
}


function __ZNK8JSObject12isExtensibleEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1028 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1028 "./jsobj.h"
  var $5=$4 & 4; //@line 1028 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 1028 "./jsobj.h"
  var $7=$6 ^ 1; //@line 1028 "./jsobj.h"
  ;
  return $7; //@line 1028 "./jsobj.h"
}


function __ZN2js11ErrorCopierC2ERNS_15AutoCompartmentEP8JSObject($this, $ac, $scope) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ac;
  $3=$scope;
  var $4=$1;
  var $5=(($4)|0); //@line 209 "./jswrapper.h"
  var $6=$2; //@line 209 "./jswrapper.h"
  HEAP32[(($5)>>2)]=$6; //@line 209 "./jswrapper.h"
  var $7=(($4+4)|0); //@line 209 "./jswrapper.h"
  var $8=$3; //@line 209 "./jswrapper.h"
  HEAP32[(($7)>>2)]=$8; //@line 209 "./jswrapper.h"
  ;
  return; //@line 211 "./jswrapper.h"
}


function __ZN2js12AutoGCRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1450 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1450 "./jscntxt.h"
  var $5=(($2+8)|0); //@line 1450 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1450 "./jscntxt.h"
  var $7=(($6+196)|0); //@line 1450 "./jscntxt.h"
  HEAP32[(($7)>>2)]=$4; //@line 1450 "./jscntxt.h"
  ;
  return; //@line 1451 "./jscntxt.h"
}


function __ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js12AutoGCRooterC2EP9JSContexti($this, $cx, $tag) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$tag;
  var $4=$1;
  var $5=(($4)|0); //@line 1441 "./jscntxt.h"
  var $6=$2; //@line 1441 "./jscntxt.h"
  var $7=(($6+196)|0); //@line 1441 "./jscntxt.h"
  var $8=HEAP32[(($7)>>2)]; //@line 1441 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$8; //@line 1441 "./jscntxt.h"
  var $9=(($4+4)|0); //@line 1441 "./jscntxt.h"
  var $10=$3; //@line 1441 "./jscntxt.h"
  HEAP32[(($9)>>2)]=$10; //@line 1441 "./jscntxt.h"
  var $11=(($4+8)|0); //@line 1441 "./jscntxt.h"
  var $12=$2; //@line 1441 "./jscntxt.h"
  HEAP32[(($11)>>2)]=$12; //@line 1441 "./jscntxt.h"
  var $13=$2; //@line 1444 "./jscntxt.h"
  var $14=(($13+196)|0); //@line 1444 "./jscntxt.h"
  HEAP32[(($14)>>2)]=$4; //@line 1444 "./jscntxt.h"
  ;
  return; //@line 1445 "./jscntxt.h"
}


function __ZN7mozilla14AlignedStorageILj32EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function __ZL29DebuggerObject_isSealedHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc($cx, $argc, $vp, $op, $name) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $ac=__stackBase__+8;
      var $7;
      var $ec=__stackBase__+60;
      var $r=__stackBase__+68;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$op;
      $6=$name;
      var $8=$3; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$4; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $8, $9); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$2; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$6; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($10, $args, $11); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$12; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$obj; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)|0)!=0; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 18; break; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $17=$obj; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($17); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$18; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$obj; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZNK8JSObject10getPrivateEv($19); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$20; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$21; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$2; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$obj; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $22, $23); //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZN2js15AutoCompartment5enterEv($ac); //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 17; break; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $27=$dbg; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZNK2js8Debugger10toJSObjectEv($27); //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject($ec, $ac, $28); //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$5; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0)==0; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $32=$obj; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$2; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZN8JSObject8isSealedEP9JSContextPb($32, $33, $r); //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      $1=0; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 16; break; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      __label__ = 15; break; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $38=$5; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($38)|0)==1; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $41=$obj; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$2; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZN8JSObject8isFrozenEP9JSContextPb($41, $42, $r); //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      $1=0; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 16; break; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      __label__ = 14; break; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $47=$obj; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=__ZNK8JSObject12isExtensibleEv($47); //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=(($48)&1); //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP8[($r)]=$49; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $52=$args; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=__ZNK2js12CallReceiver4rvalEv($52); //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=HEAP8[($r)]; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=(($54) & 1); //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value10setBooleanEb($53, $55); //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 16; break; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      FUNCTION_TABLE[__ZN2js11ErrorCopierD1Ev]($ec); //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break;
    case 17: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 18; break;
    case 18: 
      var $59=$1; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29DebuggerObject_isSealedHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc["X"]=1;

function __ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject($this, $ac, $scope) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ac;
  $3=$scope;
  var $4=$1;
  var $5=$3; //@line 211 "./jswrapper.h"
  var $6=$2; //@line 211 "./jswrapper.h"
  __ZN2js11ErrorCopierC2ERNS_15AutoCompartmentEP8JSObject($4, $6, $5); //@line 211 "./jswrapper.h"
  ;
  return; //@line 211 "./jswrapper.h"
}


function __ZN8JSObject8isSealedEP9JSContextPb($this, $cx, $resultp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$resultp;
  var $4=$1;
  var $5=$2; //@line 1036 "./jsobj.h"
  var $6=$3; //@line 1036 "./jsobj.h"
  var $7=__ZN8JSObject16isSealedOrFrozenEP9JSContextNS_16ImmutabilityTypeEPb($4, $5, 0, $6); //@line 1036 "./jsobj.h"
  ;
  return $7; //@line 1036 "./jsobj.h"
}


function __ZN8JSObject8isFrozenEP9JSContextPb($this, $cx, $resultp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$resultp;
  var $4=$1;
  var $5=$2; //@line 1037 "./jsobj.h"
  var $6=$3; //@line 1037 "./jsobj.h"
  var $7=__ZN8JSObject16isSealedOrFrozenEP9JSContextNS_16ImmutabilityTypeEPb($4, $5, 1, $6); //@line 1037 "./jsobj.h"
  ;
  return $7; //@line 1037 "./jsobj.h"
}


function __ZL25DebuggerObject_sealHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc($cx, $argc, $vp, $op, $name) {
  var __stackBase__  = STACKTOP; STACKTOP += 128; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $args=__stackBase__;
      var $obj;
      var $dbg;
      var $ac=__stackBase__+8;
      var $7;
      var $ec=__stackBase__+60;
      var $ok;
      var $props=__stackBase__+68;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$op;
      $6=$name;
      var $8=$3; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$4; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $8, $9); //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$2; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=$6; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc($10, $args, $11); //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$12; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$obj; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($13)|0)!=0; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 18; break; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $17=$obj; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($17); //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$18; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$obj; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZNK8JSObject10getPrivateEv($19); //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$20; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $obj=$21; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$2; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$obj; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $22, $23); //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=__ZN2js15AutoCompartment5enterEv($ac); //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=0; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 17; break; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $27=$dbg; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZNK2js8Debugger10toJSObjectEv($27); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject($ec, $ac, $28); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$5; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0)==0; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $32=$obj; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$2; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=__ZN8JSObject4sealEP9JSContext($32, $33); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)&1); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$35; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $37=$5; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=(($37)|0)==1; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $40=$obj; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$2; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZN8JSObject6freezeEP9JSContext($40, $41); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=(($42)&1); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$43; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $45=$obj; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=__ZNK8JSObject12isExtensibleEv($45); //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $48=$args; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=__ZNK2js12CallReceiver4rvalEv($48); //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($49); //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 16; break; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $51=$2; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($props, $51); //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=$obj; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$2; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=__ZN8JSObject17preventExtensionsEP9JSContextPN2js12AutoIdVectorE($52, $53, $props); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=(($54)&1); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$55; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js12AutoIdVectorD1Ev($props); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 13; break;
    case 13: 
      var $58=$ok; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=(($58) & 1); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      $1=0; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 16; break; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $62=$args; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=__ZNK2js12CallReceiver4rvalEv($62); //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS5Value12setUndefinedEv($63); //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $7=1;
      __label__ = 16; break; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      FUNCTION_TABLE[__ZN2js11ErrorCopierD1Ev]($ec); //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 17; break;
    case 17: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 18; break;
    case 18: 
      var $67=$1; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $67; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25DebuggerObject_sealHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc["X"]=1;

function __ZN8JSObject4sealEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1032 "./jsobj.h"
  var $5=__ZN8JSObject12sealOrFreezeEP9JSContextNS_16ImmutabilityTypeE($3, $4, 0); //@line 1032 "./jsobj.h"
  ;
  return $5; //@line 1032 "./jsobj.h"
}


function __ZN8JSObject6freezeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1034 "./jsobj.h"
  var $5=__ZN8JSObject12sealOrFreezeEP9JSContextNS_16ImmutabilityTypeE($3, $4, 1); //@line 1034 "./jsobj.h"
  ;
  return $5; //@line 1034 "./jsobj.h"
}


function __ZN2js12AutoIdVectorC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2487 "./jscntxt.h"
  __ZN2js12AutoIdVectorC2EP9JSContext($3, $4); //@line 2487 "./jscntxt.h"
  ;
  return; //@line 2487 "./jscntxt.h"
}


function __ZN8JSObject17preventExtensionsEP9JSContextPN2js12AutoIdVectorE($this, $cx, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fix;
      var $success=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$props;
      var $5=$2;
      var $6=__ZNK8JSObject6getOpsEv($5); //@line 81 "./jsobjinlines.h"
      var $7=(($6+120)|0); //@line 81 "./jsobjinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 81 "./jsobjinlines.h"
      $fix=$8; //@line 81 "./jsobjinlines.h"
      var $9=$fix; //@line 81 "./jsobjinlines.h"
      var $10=(($9)|0)!=0; //@line 81 "./jsobjinlines.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 81 "./jsobjinlines.h"
    case 2: 
      var $12=$fix; //@line 83 "./jsobjinlines.h"
      var $13=$3; //@line 83 "./jsobjinlines.h"
      var $14=$4; //@line 83 "./jsobjinlines.h"
      var $15=FUNCTION_TABLE[$12]($13, $5, $success, $14); //@line 83 "./jsobjinlines.h"
      var $16=(($15)|0)!=0; //@line 83 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 83 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 84 "./jsobjinlines.h"
      __label__ = 13; break; //@line 84 "./jsobjinlines.h"
    case 4: 
      var $19=HEAP8[($success)]; //@line 85 "./jsobjinlines.h"
      var $20=(($19) & 1); //@line 85 "./jsobjinlines.h"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 85 "./jsobjinlines.h"
    case 5: 
      var $22=$3; //@line 86 "./jsobjinlines.h"
      _JS_ReportErrorNumber($22, 2, 0, 259, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 86 "./jsobjinlines.h"
      $1=0; //@line 87 "./jsobjinlines.h"
      __label__ = 13; break; //@line 87 "./jsobjinlines.h"
    case 6: 
      __label__ = 10; break; //@line 89 "./jsobjinlines.h"
    case 7: 
      var $25=$3; //@line 90 "./jsobjinlines.h"
      var $26=$4; //@line 90 "./jsobjinlines.h"
      var $27=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($25, $5, 24, $26); //@line 90 "./jsobjinlines.h"
      if ($27) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 90 "./jsobjinlines.h"
    case 8: 
      $1=0; //@line 91 "./jsobjinlines.h"
      __label__ = 13; break; //@line 91 "./jsobjinlines.h"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $31=__ZNK8JSObject8isNativeEv($5); //@line 94 "./jsobjinlines.h"
      if ($31) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 94 "./jsobjinlines.h"
    case 11: 
      var $33=$3; //@line 95 "./jsobjinlines.h"
      __ZN8JSObject21extensibleShapeChangeEP9JSContext($5, $33); //@line 95 "./jsobjinlines.h"
      __label__ = 12; break; //@line 95 "./jsobjinlines.h"
    case 12: 
      var $35=(($5+8)|0); //@line 97 "./jsobjinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 97 "./jsobjinlines.h"
      var $37=$36 | 4; //@line 97 "./jsobjinlines.h"
      HEAP32[(($35)>>2)]=$37; //@line 97 "./jsobjinlines.h"
      $1=1; //@line 98 "./jsobjinlines.h"
      __label__ = 13; break; //@line 98 "./jsobjinlines.h"
    case 13: 
      var $39=$1; //@line 99 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $39; //@line 99 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject17preventExtensionsEP9JSContextPN2js12AutoIdVectorE["X"]=1;

function __ZN2js12AutoIdVectorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12AutoIdVectorD2Ev($2); //@line 2479 "./jscntxt.h"
  ;
  return; //@line 2479 "./jscntxt.h"
}


function __ZN2js12AutoIdVectorD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 2479 "./jscntxt.h"
  __ZN2js16AutoVectorRooterIiED2Ev($3); //@line 2479 "./jscntxt.h"
  ;
  return; //@line 2479 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIiED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2382 "./jscntxt.h"
  __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEED1Ev($3); //@line 2382 "./jscntxt.h"
  var $4=$2; //@line 2382 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($4); //@line 2382 "./jscntxt.h"
  ;
  return; //@line 2382 "./jscntxt.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE7destroyEPiS3_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj32EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZNK8JSObject6getOpsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject8getClassEv($2); //@line 565 "./jsobj.h"
  var $4=(($3+92)|0); //@line 565 "./jsobj.h"
  ;
  return $4; //@line 565 "./jsobj.h"
}


function __ZNK8JSObject8isNativeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 997 "./jsobjinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 997 "./jsobjinlines.h"
  var $5=__ZNK2js5Shape8isNativeEv($4); //@line 997 "./jsobjinlines.h"
  ;
  return $5; //@line 997 "./jsobjinlines.h"
}


function __ZN8JSObject21extensibleShapeChangeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 666 "./jsobj.h"
  __ZN8JSObject16generateOwnShapeEP9JSContext($3, $4); //@line 666 "./jsobj.h"
  ;
  return; //@line 667 "./jsobj.h"
}


function __ZN2js12AutoIdVectorC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$3; //@line 2485 "./jscntxt.h"
      var $5=$2; //@line 2485 "./jscntxt.h"
      __ZN2js16AutoVectorRooterIiEC2EP9JSContexti($4, $5, -15); //@line 2485 "./jscntxt.h"
      __label__ = 2; break; //@line 2486 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2486 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 2487 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoVectorRooterIiEC2EP9JSContexti($this, $cx, $tag) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$tag;
      var $5=$1;
      var $6=$5; //@line 2388 "./jscntxt.h"
      var $7=$2; //@line 2388 "./jscntxt.h"
      var $8=$3; //@line 2388 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($6, $7, $8); //@line 2388 "./jscntxt.h"
      var $9=(($5+12)|0); //@line 2388 "./jscntxt.h"
      var $10=$2; //@line 2388 "./jscntxt.h"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $10); //@line 2388 "./jscntxt.h"
      __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEC1ES1_($9, $4); //@line 2388 "./jscntxt.h"
      __label__ = 2; break; //@line 2389 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2389 "./jscntxt.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 2390 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEC1ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEC2ES1_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEC2ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj32EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=8; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($this, $cx, $id, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$id;
      $4=$rval;
      $5=$strict;
      var $7=$1;
      var $8=$2; //@line 172 "./jsobjinlines.h"
      var $9=$3; //@line 172 "./jsobjinlines.h"
      __ZN2js5types4Type13UndefinedTypeEv($6); //@line 173 "./jsobjinlines.h"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiNS0_4TypeE($8, $7, $9, $6); //@line 173 "./jsobjinlines.h"
      var $10=$2; //@line 174 "./jsobjinlines.h"
      var $11=$3; //@line 174 "./jsobjinlines.h"
      __ZN2js5types26MarkTypePropertyConfiguredEP9JSContextP8JSObjecti($10, $7, $11); //@line 174 "./jsobjinlines.h"
      var $12=__ZNK8JSObject6getOpsEv($7); //@line 175 "./jsobjinlines.h"
      var $13=(($12+100)|0); //@line 175 "./jsobjinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 175 "./jsobjinlines.h"
      $op=$14; //@line 175 "./jsobjinlines.h"
      var $15=$op; //@line 176 "./jsobjinlines.h"
      var $16=(($15)|0)!=0; //@line 176 "./jsobjinlines.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 176 "./jsobjinlines.h"
    case 2: 
      var $18=$op; //@line 176 "./jsobjinlines.h"
      var $21 = $18;__label__ = 4; break; //@line 176 "./jsobjinlines.h"
    case 3: 
      var $21 = 28;__label__ = 4; break; //@line 176 "./jsobjinlines.h"
    case 4: 
      var $21; //@line 176 "./jsobjinlines.h"
      var $22=$2; //@line 176 "./jsobjinlines.h"
      var $23=$3; //@line 176 "./jsobjinlines.h"
      var $24=$4; //@line 176 "./jsobjinlines.h"
      var $25=$5; //@line 176 "./jsobjinlines.h"
      var $26=FUNCTION_TABLE[$21]($22, $7, $23, $24, $25); //@line 176 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $26; //@line 176 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiNS0_4TypeE($cx, $obj, $id, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$id;
      var $5=$1; //@line 351 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 351 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 351 "./jsinferinlines.h"
    case 2: 
      var $8=$1; //@line 352 "./jsinferinlines.h"
      var $9=$3; //@line 352 "./jsinferinlines.h"
      var $10=__ZN2js5types10MakeTypeIdEP9JSContexti($8, $9); //@line 352 "./jsinferinlines.h"
      $3=$10; //@line 352 "./jsinferinlines.h"
      __label__ = 3; break; //@line 352 "./jsinferinlines.h"
    case 3: 
      var $12=$1; //@line 353 "./jsinferinlines.h"
      var $13=$2; //@line 353 "./jsinferinlines.h"
      var $14=$3; //@line 353 "./jsinferinlines.h"
      var $15=__ZN2js5types18TrackPropertyTypesEP9JSContextP8JSObjecti($12, $13, $14); //@line 353 "./jsinferinlines.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 353 "./jsinferinlines.h"
    case 4: 
      var $17=$2; //@line 354 "./jsinferinlines.h"
      var $18=__ZNK8JSObject4typeEv($17); //@line 354 "./jsinferinlines.h"
      var $19=$1; //@line 354 "./jsinferinlines.h"
      var $20=$3; //@line 354 "./jsinferinlines.h"
      var $21=$4; //@line 354 "./jsinferinlines.h"
      var $22=$type; //@line 354 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)]; //@line 354 "./jsinferinlines.h"
      __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiNS0_4TypeE($18, $19, $20, $4); //@line 354 "./jsinferinlines.h"
      __label__ = 5; break; //@line 354 "./jsinferinlines.h"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 355 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types4Type13UndefinedTypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 2); //@line 148 "./jsinfer.h"
  ;
  return; //@line 148 "./jsinfer.h"
}


function __ZN2js5types26MarkTypePropertyConfiguredEP9JSContextP8JSObjecti($cx, $obj, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$obj;
      $3=$id;
      var $4=$1; //@line 413 "./jsinferinlines.h"
      var $5=__ZN9JSContext20typeInferenceEnabledEv($4); //@line 413 "./jsinferinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 413 "./jsinferinlines.h"
    case 2: 
      var $7=$1; //@line 414 "./jsinferinlines.h"
      var $8=$3; //@line 414 "./jsinferinlines.h"
      var $9=__ZN2js5types10MakeTypeIdEP9JSContexti($7, $8); //@line 414 "./jsinferinlines.h"
      $3=$9; //@line 414 "./jsinferinlines.h"
      __label__ = 3; break; //@line 414 "./jsinferinlines.h"
    case 3: 
      var $11=$1; //@line 415 "./jsinferinlines.h"
      var $12=$2; //@line 415 "./jsinferinlines.h"
      var $13=$3; //@line 415 "./jsinferinlines.h"
      var $14=__ZN2js5types18TrackPropertyTypesEP9JSContextP8JSObjecti($11, $12, $13); //@line 415 "./jsinferinlines.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 415 "./jsinferinlines.h"
    case 4: 
      var $16=$2; //@line 416 "./jsinferinlines.h"
      var $17=__ZNK8JSObject4typeEv($16); //@line 416 "./jsinferinlines.h"
      var $18=$1; //@line 416 "./jsinferinlines.h"
      var $19=$3; //@line 416 "./jsinferinlines.h"
      __ZN2js5types10TypeObject22markPropertyConfiguredEP9JSContexti($17, $18, $19); //@line 416 "./jsinferinlines.h"
      __label__ = 5; break; //@line 416 "./jsinferinlines.h"
    case 5: 
      ;
      return; //@line 417 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types8Property7keyBitsEi($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 644 "./jsinfer.h"
  ;
  return $2; //@line 644 "./jsinfer.h"
}


function _JSID_IS_INT($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function __ZN8JSString6asFlatEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 350 "./vm/String.h"
  ;
  return $3; //@line 350 "./vm/String.h"
}


function __ZN8JSString11asDependentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 339 "./vm/String.h"
  ;
  return $3; //@line 339 "./vm/String.h"
}


function __ZN8JSString6asRopeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 315 "./vm/String.h"
  ;
  return $3; //@line 315 "./vm/String.h"
}


function __ZNK8JSObject4typeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+36)|0); //@line 940 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 940 "./jsobj.h"
  ;
  return $4; //@line 940 "./jsobj.h"
}


function __ZNK8JSObject11hasLazyTypeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 925 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 925 "./jsobj.h"
  var $5=$4 & 131072; //@line 925 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 925 "./jsobj.h"
  ;
  return $6; //@line 925 "./jsobj.h"
}


function __ZNK8JSObject16hasSingletonTypeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 919 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 919 "./jsobj.h"
  var $5=$4 & 65536; //@line 919 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 919 "./jsobj.h"
  ;
  return $6; //@line 919 "./jsobj.h"
}


function __ZNK2js5types10TypeObject17basePropertyCountEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1124 "./jsinferinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1124 "./jsinferinlines.h"
  var $5=$4 & 65520; //@line 1124 "./jsinferinlines.h"
  var $6=$5 >>> 4; //@line 1124 "./jsinferinlines.h"
  ;
  return $6; //@line 1124 "./jsinferinlines.h"
}


function __ZN2js5types8Property6getKeyEPS1_($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 645 "./jsinfer.h"
  var $3=(($2)|0); //@line 645 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 645 "./jsinfer.h"
  ;
  return $4; //@line 645 "./jsinfer.h"
}


function __ZNK14JSLinearString5charsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 449 "./vm/String.h"
  var $4=(($3)|0); //@line 449 "./vm/String.h"
  var $5=(($4+4)|0); //@line 449 "./vm/String.h"
  var $6=$5; //@line 449 "./vm/String.h"
  var $7=HEAP32[(($6)>>2)]; //@line 449 "./vm/String.h"
  ;
  return $7; //@line 449 "./vm/String.h"
}


function __ZNK8JSString6isFlatEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 344 "./vm/String.h"
  var $4=(($3)|0); //@line 344 "./vm/String.h"
  var $5=HEAP32[(($4)>>2)]; //@line 344 "./vm/String.h"
  var $6=$5 & 3; //@line 344 "./vm/String.h"
  var $7=(($6)|0)==0; //@line 344 "./vm/String.h"
  ;
  return $7; //@line 344 "./vm/String.h"
}


function __ZNK8JSString11isDependentEv($this) {
  ;
  var __label__;

  var $1;
  var $dependent;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 331 "./vm/String.h"
  var $4=(($3)|0); //@line 331 "./vm/String.h"
  var $5=HEAP32[(($4)>>2)]; //@line 331 "./vm/String.h"
  var $6=$5 & 2; //@line 331 "./vm/String.h"
  var $7=(($6)|0)!=0; //@line 331 "./vm/String.h"
  var $8=(($7)&1); //@line 331 "./vm/String.h"
  $dependent=$8; //@line 331 "./vm/String.h"
  var $9=$dependent; //@line 333 "./vm/String.h"
  var $10=(($9) & 1); //@line 333 "./vm/String.h"
  ;
  return $10; //@line 333 "./vm/String.h"
}


function __ZN2js5types4TypeC2Ej($this, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$data;
  var $3=$1;
  var $4=(($3)|0); //@line 83 "./jsinfer.h"
  var $5=$2; //@line 83 "./jsinfer.h"
  HEAP32[(($4)>>2)]=$5; //@line 83 "./jsinfer.h"
  ;
  return; //@line 83 "./jsinfer.h"
}


function __ZN2js5types10MakeTypeIdEP9JSContexti($cx, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $str;
      var $cp;
      $2=$cx;
      $3=$id;
      var $4=$3; //@line 157 "./jsinferinlines.h"
      var $5=_JSID_IS_INT($4); //@line 157 "./jsinferinlines.h"
      var $6=(($5)|0)!=0; //@line 157 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 157 "./jsinferinlines.h"
    case 2: 
      $1=2; //@line 158 "./jsinferinlines.h"
      __label__ = 14; break; //@line 158 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 164 "./jsinferinlines.h"
      var $10=_JSID_IS_STRING($9); //@line 164 "./jsinferinlines.h"
      var $11=(($10)|0)!=0; //@line 164 "./jsinferinlines.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 164 "./jsinferinlines.h"
    case 4: 
      var $13=$3; //@line 165 "./jsinferinlines.h"
      var $14=_JSID_TO_FLAT_STRING($13); //@line 165 "./jsinferinlines.h"
      $str=$14; //@line 165 "./jsinferinlines.h"
      var $15=$str; //@line 166 "./jsinferinlines.h"
      var $16=$15; //@line 166 "./jsinferinlines.h"
      var $17=$2; //@line 166 "./jsinferinlines.h"
      var $18=__ZN8JSString9getCharsZEP9JSContext($16, $17); //@line 166 "./jsinferinlines.h"
      $cp=$18; //@line 166 "./jsinferinlines.h"
      var $19=$cp; //@line 167 "./jsinferinlines.h"
      var $20=HEAPU16[(($19)>>1)]; //@line 167 "./jsinferinlines.h"
      var $21=(($20)&65535); //@line 167 "./jsinferinlines.h"
      var $22=(($21-48)|0); //@line 167 "./jsinferinlines.h"
      var $23=(($22)>>>0) <= 9; //@line 167 "./jsinferinlines.h"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 167 "./jsinferinlines.h"
    case 5: 
      var $25=$cp; //@line 167 "./jsinferinlines.h"
      var $26=HEAPU16[(($25)>>1)]; //@line 167 "./jsinferinlines.h"
      var $27=(($26)&65535); //@line 167 "./jsinferinlines.h"
      var $28=(($27)|0)==45; //@line 167 "./jsinferinlines.h"
      if ($28) { __label__ = 6; break; } else { __label__ = 12; break; } //@line 167 "./jsinferinlines.h"
    case 6: 
      var $30=$cp; //@line 168 "./jsinferinlines.h"
      var $31=(($30+2)|0); //@line 168 "./jsinferinlines.h"
      $cp=$31; //@line 168 "./jsinferinlines.h"
      __label__ = 7; break; //@line 169 "./jsinferinlines.h"
    case 7: 
      var $33=$cp; //@line 169 "./jsinferinlines.h"
      var $34=HEAPU16[(($33)>>1)]; //@line 169 "./jsinferinlines.h"
      var $35=(($34)&65535); //@line 169 "./jsinferinlines.h"
      var $36=(($35-48)|0); //@line 169 "./jsinferinlines.h"
      var $37=(($36)>>>0) <= 9; //@line 169 "./jsinferinlines.h"
      if ($37) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 169 "./jsinferinlines.h"
    case 8: 
      var $39=$cp; //@line 170 "./jsinferinlines.h"
      var $40=(($39+2)|0); //@line 170 "./jsinferinlines.h"
      $cp=$40; //@line 170 "./jsinferinlines.h"
      __label__ = 7; break; //@line 170 "./jsinferinlines.h"
    case 9: 
      var $42=$cp; //@line 171 "./jsinferinlines.h"
      var $43=HEAPU16[(($42)>>1)]; //@line 171 "./jsinferinlines.h"
      var $44=(($43)&65535); //@line 171 "./jsinferinlines.h"
      var $45=(($44)|0)==0; //@line 171 "./jsinferinlines.h"
      if ($45) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 171 "./jsinferinlines.h"
    case 10: 
      $1=2; //@line 172 "./jsinferinlines.h"
      __label__ = 14; break; //@line 172 "./jsinferinlines.h"
    case 11: 
      __label__ = 12; break; //@line 173 "./jsinferinlines.h"
    case 12: 
      var $49=$3; //@line 174 "./jsinferinlines.h"
      $1=$49; //@line 174 "./jsinferinlines.h"
      __label__ = 14; break; //@line 174 "./jsinferinlines.h"
    case 13: 
      $1=2; //@line 177 "./jsinferinlines.h"
      __label__ = 14; break; //@line 177 "./jsinferinlines.h"
    case 14: 
      var $52=$1; //@line 178 "./jsinferinlines.h"
      ;
      return $52; //@line 178 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10MakeTypeIdEP9JSContexti["X"]=1;

function __ZN2js5types18TrackPropertyTypesEP9JSContextP8JSObjecti($cx, $obj, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$obj;
      $4=$id;
      var $5=$2; //@line 338 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 338 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 338 "./jsinferinlines.h"
    case 2: 
      var $8=$3; //@line 338 "./jsinferinlines.h"
      var $9=__ZNK8JSObject11hasLazyTypeEv($8); //@line 338 "./jsinferinlines.h"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 338 "./jsinferinlines.h"
    case 3: 
      var $11=$3; //@line 338 "./jsinferinlines.h"
      var $12=__ZNK8JSObject4typeEv($11); //@line 338 "./jsinferinlines.h"
      var $13=__ZN2js5types10TypeObject17unknownPropertiesEv($12); //@line 338 "./jsinferinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 338 "./jsinferinlines.h"
    case 4: 
      $1=0; //@line 339 "./jsinferinlines.h"
      __label__ = 9; break; //@line 339 "./jsinferinlines.h"
    case 5: 
      var $16=$3; //@line 341 "./jsinferinlines.h"
      var $17=__ZNK8JSObject16hasSingletonTypeEv($16); //@line 341 "./jsinferinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 341 "./jsinferinlines.h"
    case 6: 
      var $19=$3; //@line 341 "./jsinferinlines.h"
      var $20=__ZNK8JSObject4typeEv($19); //@line 341 "./jsinferinlines.h"
      var $21=$2; //@line 341 "./jsinferinlines.h"
      var $22=$4; //@line 341 "./jsinferinlines.h"
      var $23=__ZN2js5types10TypeObject16maybeGetPropertyEP9JSContexti($20, $21, $22); //@line 341 "./jsinferinlines.h"
      var $24=(($23)|0)!=0; //@line 341 "./jsinferinlines.h"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 341 "./jsinferinlines.h"
    case 7: 
      $1=0; //@line 342 "./jsinferinlines.h"
      __label__ = 9; break; //@line 342 "./jsinferinlines.h"
    case 8: 
      $1=1; //@line 344 "./jsinferinlines.h"
      __label__ = 9; break; //@line 344 "./jsinferinlines.h"
    case 9: 
      var $28=$1; //@line 345 "./jsinferinlines.h"
      ;
      return $28; //@line 345 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject16maybeGetPropertyEP9JSContexti($this, $cx, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $prop;
      $1=$this;
      $2=$cx;
      $3=$id;
      var $4=$1;
      var $5=(($4+24)|0); //@line 1178 "./jsinferinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1178 "./jsinferinlines.h"
      var $7=__ZNK2js5types10TypeObject17basePropertyCountEv($4); //@line 1179 "./jsinferinlines.h"
      var $8=$3; //@line 1179 "./jsinferinlines.h"
      var $9=__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_($6, $7, $8); //@line 1179 "./jsinferinlines.h"
      $prop=$9; //@line 1179 "./jsinferinlines.h"
      var $10=$prop; //@line 1181 "./jsinferinlines.h"
      var $11=(($10)|0)!=0; //@line 1181 "./jsinferinlines.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1181 "./jsinferinlines.h"
    case 2: 
      var $13=$prop; //@line 1181 "./jsinferinlines.h"
      var $14=(($13+4)|0); //@line 1181 "./jsinferinlines.h"
      var $17 = $14;__label__ = 4; break; //@line 1181 "./jsinferinlines.h"
    case 3: 
      var $17 = 0;__label__ = 4; break; //@line 1181 "./jsinferinlines.h"
    case 4: 
      var $17; //@line 1181 "./jsinferinlines.h"
      ;
      return $17; //@line 1181 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN8JSString9getCharsZEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $str;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 767 "./vm/String.h"
      var $6=__ZN8JSString10ensureFlatEP9JSContext($4, $5); //@line 767 "./vm/String.h"
      $str=$6; //@line 767 "./vm/String.h"
      var $7=$str; //@line 767 "./vm/String.h"
      var $8=(($7)|0)!=0; //@line 767 "./vm/String.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 767 "./vm/String.h"
    case 2: 
      var $10=$str; //@line 768 "./vm/String.h"
      var $11=$10; //@line 768 "./vm/String.h"
      var $12=__ZNK14JSLinearString5charsEv($11); //@line 768 "./vm/String.h"
      $1=$12; //@line 768 "./vm/String.h"
      __label__ = 4; break; //@line 768 "./vm/String.h"
    case 3: 
      $1=0; //@line 769 "./vm/String.h"
      __label__ = 4; break; //@line 769 "./vm/String.h"
    case 4: 
      var $15=$1; //@line 770 "./vm/String.h"
      ;
      return $15; //@line 770 "./vm/String.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSString10ensureFlatEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSString6isFlatEv($3); //@line 783 "./vm/String.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 783 "./vm/String.h"
    case 2: 
      var $6=__ZN8JSString6asFlatEv($3); //@line 784 "./vm/String.h"
      var $21 = $6;__label__ = 7; break; //@line 784 "./vm/String.h"
    case 3: 
      var $8=__ZNK8JSString11isDependentEv($3); //@line 785 "./vm/String.h"
      if ($8) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 785 "./vm/String.h"
    case 4: 
      var $10=__ZN8JSString11asDependentEv($3); //@line 786 "./vm/String.h"
      var $11=$2; //@line 786 "./vm/String.h"
      var $12=__ZN17JSDependentString8undependEP9JSContext($10, $11); //@line 786 "./vm/String.h"
      var $13=$12; //@line 786 "./vm/String.h"
      var $19 = $13;__label__ = 6; break; //@line 786 "./vm/String.h"
    case 5: 
      var $15=__ZN8JSString6asRopeEv($3); //@line 787 "./vm/String.h"
      var $16=$2; //@line 787 "./vm/String.h"
      var $17=__ZN6JSRope7flattenEP9JSContext($15, $16); //@line 787 "./vm/String.h"
      var $19 = $17;__label__ = 6; break; //@line 787 "./vm/String.h"
    case 6: 
      var $19; //@line 787 "./vm/String.h"
      var $21 = $19;__label__ = 7; break; //@line 787 "./vm/String.h"
    case 7: 
      var $21; //@line 787 "./vm/String.h"
      ;
      return $21; //@line 787 "./vm/String.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types4TypeC1Ej($this, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$data;
  var $3=$1;
  var $4=$2; //@line 83 "./jsinfer.h"
  __ZN2js5types4TypeC2Ej($3, $4); //@line 83 "./jsinfer.h"
  ;
  return; //@line 83 "./jsinfer.h"
}


function __ZN2js8ToObjectEP9JSContextPN2JS5ValueE($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$vp;
      var $4=$3; //@line 2127 "./jsobj.h"
      var $5=__ZNK2JS5Value8isObjectEv($4); //@line 2127 "./jsobj.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2127 "./jsobj.h"
    case 2: 
      var $7=$3; //@line 2128 "./jsobj.h"
      var $8=__ZNK2JS5Value8toObjectEv($7); //@line 2128 "./jsobj.h"
      $1=$8; //@line 2128 "./jsobj.h"
      __label__ = 4; break; //@line 2128 "./jsobj.h"
    case 3: 
      var $10=$2; //@line 2129 "./jsobj.h"
      var $11=$3; //@line 2129 "./jsobj.h"
      var $12=__ZN2js12ToObjectSlowEP9JSContextPN2JS5ValueE($10, $11); //@line 2129 "./jsobj.h"
      $1=$12; //@line 2129 "./jsobj.h"
      __label__ = 4; break; //@line 2129 "./jsobj.h"
    case 4: 
      var $14=$1; //@line 2130 "./jsobj.h"
      ;
      return $14; //@line 2130 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js23AutoPropDescArrayRooterC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1166 "./jsobjinlines.h"
  __ZN2js23AutoPropDescArrayRooterC2EP9JSContext($3, $4); //@line 1166 "./jsobjinlines.h"
  ;
  return; //@line 1166 "./jsobjinlines.h"
}


function __ZNK2js16AutoVectorRooterIiE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2392 "./jscntxt.h"
  var $4=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE6lengthEv($3); //@line 2392 "./jscntxt.h"
  ;
  return $4; //@line 2392 "./jscntxt.h"
}


function __ZL14UnwrapPropDescP9JSContextPN2js8DebuggerEP8JSObjectPNS1_8PropDescE($cx, $dbg, $obj, $desc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$cx;
      $2=$dbg;
      $3=$obj;
      $4=$desc;
      var $5=$4; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$5; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6+33)|0); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=HEAPU8[($7)]; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8)&255) >>> 2; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$9 & 1; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10) & 1); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $13=$2; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$1; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15+8)|0); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($13, $14, $16); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($17) { __label__ = 3; break; } else { var $76 = 0;__label__ = 14; break; } //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $19=$1; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$3; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$4; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21+8)|0); //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZL19CheckArgCompartmentP9JSContextP8JSObjectRKN2JS5ValueEPKcS8_($19, $20, $22, ((STRING_TABLE.__str70)|0), ((STRING_TABLE.__str85)|0)); //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 4; break; } else { var $76 = 0;__label__ = 14; break; } //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $25=$4; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$25; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26+33)|0); //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=HEAP8[($27)]; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$28 & 1; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29) & 1); //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $32=$2; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$1; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$4; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34+16)|0); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($32, $33, $35); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($36) { __label__ = 6; break; } else { var $76 = 0;__label__ = 14; break; } //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $38=$1; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$3; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=$4; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($40+16)|0); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=__ZL19CheckArgCompartmentP9JSContextP8JSObjectRKN2JS5ValueEPKcS8_($38, $39, $41, ((STRING_TABLE.__str70)|0), ((STRING_TABLE.__str86)|0)); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($42) { __label__ = 7; break; } else { var $76 = 0;__label__ = 14; break; } //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $44=$4; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$1; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=__ZN2js8PropDesc11checkGetterEP9JSContext($44, $45); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($46) { __label__ = 8; break; } else { var $76 = 0;__label__ = 14; break; } //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $48=$4; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=$48; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=(($49+33)|0); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=HEAPU8[($50)]; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=(($51)&255) >>> 1; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=$52 & 1; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=(($53) & 1); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($54) { __label__ = 9; break; } else { var $74 = 1;__label__ = 13; break; } //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $56=$2; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=$1; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$4; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=(($58+24)|0); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($56, $57, $59); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($60) { __label__ = 10; break; } else { var $72 = 0;__label__ = 12; break; } //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $62=$1; //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=$3; //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=$4; //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=(($64+24)|0); //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=__ZL19CheckArgCompartmentP9JSContextP8JSObjectRKN2JS5ValueEPKcS8_($62, $63, $65, ((STRING_TABLE.__str70)|0), ((STRING_TABLE.__str87)|0)); //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($66) { __label__ = 11; break; } else { var $72 = 0;__label__ = 12; break; } //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $68=$4; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=$1; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=__ZN2js8PropDesc11checkSetterEP9JSContext($68, $69); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72 = $70;__label__ = 12; break;
    case 12: 
      var $72;
      var $74 = $72;__label__ = 13; break;
    case 13: 
      var $74;
      var $76 = $74;__label__ = 14; break;
    case 14: 
      var $76;
      ;
      return $76; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14UnwrapPropDescP9JSContextPN2js8DebuggerEP8JSObjectPNS1_8PropDescE["X"]=1;

function __ZN2js23AutoPropDescArrayRooterixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=(($3+12)|0); //@line 1176 "./jsobjinlines.h"
  var $5=$2; //@line 1176 "./jsobjinlines.h"
  var $6=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEixEj($4, $5); //@line 1176 "./jsobjinlines.h"
  ;
  return $6; //@line 1176 "./jsobjinlines.h"
}


function __ZL17WrapIdAndPropDescP9JSContextP8JSObjectPiPN2js8PropDescE($cx, $obj, $idp, $desc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $comp;
      $1=$cx;
      $2=$obj;
      $3=$idp;
      $4=$desc;
      var $5=$1; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5+56)|0); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $comp=$7; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$comp; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$1; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=$3; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZN13JSCompartment6wrapIdEP9JSContextPi($8, $9, $10); //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 2; break; } else { var $40 = 0;__label__ = 8; break; } //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $13=$comp; //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$1; //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$4; //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=(($15+8)|0); //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($13, $14, $16); //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($17) { __label__ = 3; break; } else { var $40 = 0;__label__ = 8; break; } //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $19=$comp; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$1; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$4; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21+16)|0); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($19, $20, $22); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 4; break; } else { var $40 = 0;__label__ = 8; break; } //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $25=$comp; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$1; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$4; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27+24)|0); //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($25, $26, $28); //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($29) { __label__ = 5; break; } else { var $40 = 0;__label__ = 8; break; } //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $31=$2; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=__ZNK8JSObject7isProxyEv($31); //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($32) { __label__ = 6; break; } else { var $38 = 1;__label__ = 7; break; } //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $34=$4; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$1; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZN2js8PropDesc10makeObjectEP9JSContext($34, $35); //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38 = $36;__label__ = 7; break; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $38;
      var $40 = $38;__label__ = 8; break;
    case 8: 
      var $40;
      ;
      return $40; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoVectorRooterIiEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2428 "./jscntxt.h"
  var $5=$2; //@line 2428 "./jscntxt.h"
  var $6=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEixEj($4, $5); //@line 2428 "./jscntxt.h"
  ;
  return $6; //@line 2428 "./jscntxt.h"
}


function __ZN2js23AutoPropDescArrayRooterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js23AutoPropDescArrayRooterD2Ev($2); //@line 1161 "./jsobjinlines.h"
  ;
  return; //@line 1161 "./jsobjinlines.h"
}


function __ZN2js23AutoPropDescArrayRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1161 "./jsobjinlines.h"
  __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEED1Ev($3); //@line 1161 "./jsobjinlines.h"
  var $4=$2; //@line 1161 "./jsobjinlines.h"
  __ZN2js12AutoGCRooterD2Ev($4); //@line 1161 "./jsobjinlines.h"
  ;
  return; //@line 1161 "./jsobjinlines.h"
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function _JSID_TO_INT($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_TO_STRING($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+40)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+$6*40)|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK7mozilla14AlignedStorageILj40EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK8JSObject13isObjectProxyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 1571 "./jsobj.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1571 "./jsobj.h"
      var $5=(($4)|0)==((__ZN2js16ObjectProxyClassE)|0); //@line 1571 "./jsobj.h"
      if ($5) { var $11 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1571 "./jsobj.h"
    case 2: 
      var $7=(($2+4)|0); //@line 1571 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1571 "./jsobj.h"
      var $9=(($8)|0)==((__ZN2js21OuterWindowProxyClassE)|0); //@line 1571 "./jsobj.h"
      var $11 = $9;__label__ = 3; break; //@line 1571 "./jsobj.h"
    case 3: 
      var $11;
      ;
      return $11; //@line 1571 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject15isFunctionProxyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1561 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1561 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js18FunctionProxyClassE)|0); //@line 1561 "./jsobj.h"
  ;
  return $5; //@line 1561 "./jsobj.h"
}


function __ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN7mozilla14AlignedStorageILj40EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+$6*40)|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js7MoveRefINS_8PropDescEEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_8PropDescEEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj40EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZNK8JSObject7isProxyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject13isObjectProxyEv($2); //@line 1562 "./jsobj.h"
      if ($3) { var $7 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1562 "./jsobj.h"
    case 2: 
      var $5=__ZNK8JSObject15isFunctionProxyEv($2); //@line 1562 "./jsobj.h"
      var $7 = $5;__label__ = 3; break; //@line 1562 "./jsobj.h"
    case 3: 
      var $7;
      ;
      return $7; //@line 1562 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+$4*40)|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZL19CheckArgCompartmentP9JSContextP8JSObjectRKN2JS5ValueEPKcS8_($cx, $obj, $v, $methodname, $propname) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$v;
      $5=$methodname;
      $6=$propname;
      var $7=$4; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $10=$4; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZNK2JS5Value8toObjectEv($10); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$11; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK2js2gc4Cell11compartmentEv($12); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$3; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$14; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2js2gc4Cell11compartmentEv($15); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($13)|0)!=(($16)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $19=$2; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$5; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=$6; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($19, 2, 0, 285, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,HEAP32[((tempInt+4)>>2)]=$21,tempInt)); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      $1=1; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $24=$1; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $24; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8PropDesc11checkGetterEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$4; //@line 1668 "./jsobjinlines.h"
      var $6=(($5+33)|0); //@line 1668 "./jsobjinlines.h"
      var $7=HEAP8[($6)]; //@line 1668 "./jsobjinlines.h"
      var $8=$7 & 1; //@line 1668 "./jsobjinlines.h"
      var $9=(($8) & 1); //@line 1668 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1668 "./jsobjinlines.h"
    case 2: 
      var $11=(($4+16)|0); //@line 1668 "./jsobjinlines.h"
      var $12=__ZL13js_IsCallableRKN2JS5ValueE($11); //@line 1668 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 1668 "./jsobjinlines.h"
    case 3: 
      var $14=(($4+16)|0); //@line 1668 "./jsobjinlines.h"
      var $15=__ZNK2JS5Value11isUndefinedEv($14); //@line 1668 "./jsobjinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1668 "./jsobjinlines.h"
    case 4: 
      var $17=$3; //@line 1669 "./jsobjinlines.h"
      _JS_ReportErrorNumber($17, 2, 0, 248, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_getter_str)|0),tempInt)); //@line 1669 "./jsobjinlines.h"
      $1=0; //@line 1671 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1671 "./jsobjinlines.h"
    case 5: 
      $1=1; //@line 1673 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1673 "./jsobjinlines.h"
    case 6: 
      var $20=$1; //@line 1674 "./jsobjinlines.h"
      ;
      return $20; //@line 1674 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8PropDesc11checkSetterEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$4; //@line 1679 "./jsobjinlines.h"
      var $6=(($5+33)|0); //@line 1679 "./jsobjinlines.h"
      var $7=HEAPU8[($6)]; //@line 1679 "./jsobjinlines.h"
      var $8=(($7)&255) >>> 1; //@line 1679 "./jsobjinlines.h"
      var $9=$8 & 1; //@line 1679 "./jsobjinlines.h"
      var $10=(($9) & 1); //@line 1679 "./jsobjinlines.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1679 "./jsobjinlines.h"
    case 2: 
      var $12=(($4+24)|0); //@line 1679 "./jsobjinlines.h"
      var $13=__ZL13js_IsCallableRKN2JS5ValueE($12); //@line 1679 "./jsobjinlines.h"
      if ($13) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 1679 "./jsobjinlines.h"
    case 3: 
      var $15=(($4+24)|0); //@line 1679 "./jsobjinlines.h"
      var $16=__ZNK2JS5Value11isUndefinedEv($15); //@line 1679 "./jsobjinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1679 "./jsobjinlines.h"
    case 4: 
      var $18=$3; //@line 1680 "./jsobjinlines.h"
      _JS_ReportErrorNumber($18, 2, 0, 248, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_setter_str)|0),tempInt)); //@line 1680 "./jsobjinlines.h"
      $1=0; //@line 1682 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1682 "./jsobjinlines.h"
    case 5: 
      $1=1; //@line 1684 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1684 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1685 "./jsobjinlines.h"
      ;
      return $21; //@line 1685 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js23AutoPropDescArrayRooterC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=$4; //@line 1166 "./jsobjinlines.h"
  var $6=$2; //@line 1166 "./jsobjinlines.h"
  __ZN2js12AutoGCRooterC2EP9JSContexti($5, $6, -7); //@line 1166 "./jsobjinlines.h"
  var $7=(($4+12)|0); //@line 1166 "./jsobjinlines.h"
  var $8=$2; //@line 1166 "./jsobjinlines.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $8); //@line 1166 "./jsobjinlines.h"
  __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEC1ES2_($7, $3); //@line 1166 "./jsobjinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 1166 "./jsobjinlines.h"
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEC1ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEC2ES2_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEC2ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj40EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=1; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js23AutoPropDescArrayRooter6appendEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $2=$this;
      var $4=$2;
      var $5=(($4+12)|0); //@line 1169 "./jsobjinlines.h"
      FUNCTION_TABLE[__ZN2js8PropDescC1Ev]($3); //@line 1169 "./jsobjinlines.h"
      var $6=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE6appendIS1_EEbT_($5, $3); //@line 1169 "./jsobjinlines.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1169 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1170 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1170 "./jsobjinlines.h"
    case 3: 
      var $9=(($4+12)|0); //@line 1171 "./jsobjinlines.h"
      var $10=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE4backEv($9); //@line 1171 "./jsobjinlines.h"
      $1=$10; //@line 1171 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1171 "./jsobjinlines.h"
    case 4: 
      var $12=$1; //@line 1172 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $12; //@line 1172 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE6appendIS1_EEbT_($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 40;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");for (var $$src = tempParam>>2, $$dest = $0>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
  HEAP32[$$dest] = HEAP32[$$src]
};
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $t=__stackBase__;
      var $g=__stackBase__+40;
      var $4;
      var $5=__stackBase__+44;
      $3=$this;
      var $6=$t;
      var $7=$0;
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $7>>2, $$dest = $6>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      };
      var $8=$3;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEEEERT_($g, $8); //@line 757 "./jsvector.h"
      var $9=(($8+8)|0); //@line 758 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 758 "./jsvector.h"
      var $11=(($8+12)|0); //@line 758 "./jsvector.h"
      var $12=HEAP32[(($11)>>2)]; //@line 758 "./jsvector.h"
      var $13=(($10)|0)==(($12)|0); //@line 758 "./jsvector.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $15=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE13growStorageByEj($8, 1); //@line 758 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $2=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $18=$5; //@line 765 "./jsvector.h"
      var $19=$t; //@line 765 "./jsvector.h"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $19>>2, $$dest = $18>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      }; //@line 765 "./jsvector.h"
      __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE14internalAppendIS1_EEvT_($8, $5); //@line 765 "./jsvector.h"
      $2=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $21=$2; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $21; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-40)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE14internalAppendIS1_EEvT_($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 40;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");for (var $$src = tempParam>>2, $$dest = $0>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
  HEAP32[$$dest] = HEAP32[$$src]
};
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $t=__stackBase__;
      $2=$this;
      var $3=$t;
      var $4=$0;
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $4>>2, $$dest = $3>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      };
      var $5=$2;
      var $6=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 776 "./jsvector.h"
      var $7=$6; //@line 776 "./jsvector.h"
      var $8=(($7)|0)==0; //@line 776 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $10=$7; //@line 776 "./jsvector.h"
      var $11=$10; //@line 776 "./jsvector.h"
      var $12=$t; //@line 776 "./jsvector.h"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $12>>2, $$dest = $11>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      }; //@line 776 "./jsvector.h"
      var $14 = $10;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $14; //@line 776 "./jsvector.h"
      var $15=(($5+8)|0); //@line 777 "./jsvector.h"
      var $16=HEAP32[(($15)>>2)]; //@line 777 "./jsvector.h"
      var $17=(($16+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($15)>>2)]=$17; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=(($12*40)|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj1ES2_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -33554432; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -33554432; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj1ES2_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=(($7*40)|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $34 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveINS_8PropDescEEENS_7MoveRefIT_EERS3_($4, $29); //@line 118 "./jsvector.h"
      var $30=__ZNK2js7MoveRefINS_8PropDescEEcvRS1_Ev($4); //@line 118 "./jsvector.h"
      var $31=$28; //@line 118 "./jsvector.h"
      var $32=$30; //@line 118 "./jsvector.h"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $32>>2, $$dest = $31>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      }; //@line 118 "./jsvector.h"
      var $34 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $34; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $36=$dst; //@line 117 "./jsvector.h"
      var $37=(($36+40)|0); //@line 117 "./jsvector.h"
      $dst=$37; //@line 117 "./jsvector.h"
      var $38=$src; //@line 117 "./jsvector.h"
      var $39=(($38+40)|0); //@line 117 "./jsvector.h"
      $src=$39; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $41=$2; //@line 119 "./jsvector.h"
      var $42=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE12beginNoCheckEv($41); //@line 119 "./jsvector.h"
      var $43=$2; //@line 119 "./jsvector.h"
      var $44=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE10endNoCheckEv($43); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($42, $44); //@line 119 "./jsvector.h"
      var $45=$2; //@line 120 "./jsvector.h"
      var $46=$45; //@line 120 "./jsvector.h"
      var $47=$2; //@line 120 "./jsvector.h"
      var $48=(($47+4)|0); //@line 120 "./jsvector.h"
      var $49=HEAP32[(($48)>>2)]; //@line 120 "./jsvector.h"
      var $50=$49; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($46, $50); //@line 120 "./jsvector.h"
      var $51=$newbuf; //@line 121 "./jsvector.h"
      var $52=$2; //@line 121 "./jsvector.h"
      var $53=(($52+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($53)>>2)]=$51; //@line 121 "./jsvector.h"
      var $54=$3; //@line 123 "./jsvector.h"
      var $55=$2; //@line 123 "./jsvector.h"
      var $56=(($55+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($56)>>2)]=$54; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $58=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $58; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj1ES2_EEj["X"]=1;

function __ZN2js4MoveINS_8PropDescEEENS_7MoveRefIT_EERS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_8PropDescEEC1ERS1_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_8PropDescEEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_8PropDescEEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $21 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveINS_8PropDescEEENS_7MoveRefIT_EERKS3_($4, $16); //@line 93 "./jsvector.h"
      var $17=__ZNK2js7MoveRefINS_8PropDescEEcvRS1_Ev($4); //@line 93 "./jsvector.h"
      var $18=$15; //@line 93 "./jsvector.h"
      var $19=$17; //@line 93 "./jsvector.h"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $19>>2, $$dest = $18>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      }; //@line 93 "./jsvector.h"
      var $21 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $21; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $23=$p; //@line 92 "./jsvector.h"
      var $24=(($23+40)|0); //@line 92 "./jsvector.h"
      $p=$24; //@line 92 "./jsvector.h"
      var $25=$1; //@line 92 "./jsvector.h"
      var $26=(($25+40)|0); //@line 92 "./jsvector.h"
      $1=$26; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_8PropDescEEENS_7MoveRefIT_EERKS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_8PropDescEEC1ERS1_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE6resizeEj($this, $newLength) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldLength;
      $2=$this;
      $3=$newLength;
      var $4=$2;
      var $5=(($4+12)|0); //@line 2411 "./jscntxt.h"
      var $6=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6lengthEv($5); //@line 2411 "./jscntxt.h"
      $oldLength=$6; //@line 2411 "./jscntxt.h"
      var $7=$3; //@line 2412 "./jscntxt.h"
      var $8=$oldLength; //@line 2412 "./jscntxt.h"
      var $9=(($7)>>>0) <= (($8)>>>0); //@line 2412 "./jscntxt.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2412 "./jscntxt.h"
    case 2: 
      var $11=(($4+12)|0); //@line 2413 "./jscntxt.h"
      var $12=$oldLength; //@line 2413 "./jscntxt.h"
      var $13=$3; //@line 2413 "./jscntxt.h"
      var $14=(($12-$13)|0); //@line 2413 "./jscntxt.h"
      __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE8shrinkByEj($11, $14); //@line 2413 "./jscntxt.h"
      $1=1; //@line 2414 "./jscntxt.h"
      __label__ = 6; break; //@line 2414 "./jscntxt.h"
    case 3: 
      var $16=(($4+12)|0); //@line 2416 "./jscntxt.h"
      var $17=$3; //@line 2416 "./jscntxt.h"
      var $18=$oldLength; //@line 2416 "./jscntxt.h"
      var $19=(($17-$18)|0); //@line 2416 "./jscntxt.h"
      var $20=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE19growByUninitializedEj($16, $19); //@line 2416 "./jscntxt.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2416 "./jscntxt.h"
    case 4: 
      $1=0; //@line 2417 "./jscntxt.h"
      __label__ = 6; break; //@line 2417 "./jscntxt.h"
    case 5: 
      var $23=(($4+12)|0); //@line 2418 "./jscntxt.h"
      var $24=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5beginEv($23); //@line 2418 "./jscntxt.h"
      var $25=$oldLength; //@line 2418 "./jscntxt.h"
      var $26=(($24+($25<<3))|0); //@line 2418 "./jscntxt.h"
      var $27=(($4+12)|0); //@line 2418 "./jscntxt.h"
      var $28=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv($27); //@line 2418 "./jscntxt.h"
      __ZN2jsL15MakeRangeGCSafeEPN2JS5ValueES2_($26, $28); //@line 2418 "./jscntxt.h"
      $1=1; //@line 2419 "./jscntxt.h"
      __label__ = 6; break; //@line 2419 "./jscntxt.h"
    case 6: 
      var $30=$1; //@line 2420 "./jscntxt.h"
      ;
      return $30; //@line 2420 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL10Int32ValueEi($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2428 "./jscntxt.h"
  var $5=$2; //@line 2428 "./jscntxt.h"
  var $6=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEixEj($4, $5); //@line 2428 "./jscntxt.h"
  ;
  return $6; //@line 2428 "./jscntxt.h"
}


function __ZN2JS5Value9setStringEP8JSString($this, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$str;
  var $4=$1;
  var $5=(($4)|0); //@line 280 "./jsapi.h"
  var $6=$2; //@line 280 "./jsapi.h"
  _STRING_TO_JSVAL_IMPL($3, $6); //@line 280 "./jsapi.h"
  var $7=$5; //@line 280 "./jsapi.h"
  var $8=$3; //@line 280 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 280 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 281 "./jsapi.h"
}


function __ZL12JSID_IS_ATOMi($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function _JSID_TO_OBJECT($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function __ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($op) {
  ;
  var __label__;

  var $1;
  $1=$op;
  var $2=$1; //@line 104 "./jsobj.h"
  var $3=$2; //@line 104 "./jsobj.h"
  var $4=$3; //@line 104 "./jsobj.h"
  ;
  return $4; //@line 104 "./jsobj.h"
}


function __ZN2jsL16CastAsPropertyOpEP8JSObject($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 80 "./jsobj.h"
  var $3=$2; //@line 80 "./jsobj.h"
  var $4=$3; //@line 80 "./jsobj.h"
  ;
  return $4; //@line 80 "./jsobj.h"
}


function __ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE($op) {
  ;
  var __label__;

  var $1;
  $1=$op;
  var $2=$1; //@line 110 "./jsobj.h"
  var $3=$2; //@line 110 "./jsobj.h"
  var $4=$3; //@line 110 "./jsobj.h"
  ;
  return $4; //@line 110 "./jsobj.h"
}


function __ZN2jsL22CastAsStrictPropertyOpEP8JSObject($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 86 "./jsobj.h"
  var $3=$2; //@line 86 "./jsobj.h"
  var $4=$3; //@line 86 "./jsobj.h"
  ;
  return $4; //@line 86 "./jsobj.h"
}


function _STRING_TO_JSVAL_IMPL($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZNK8JSObject10isFunctionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1544 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1544 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js13FunctionClassE)|0); //@line 1544 "./jsobj.h"
  ;
  return $5; //@line 1544 "./jsobj.h"
}


function __ZNK10JSFunction4kindEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+58)|0); //@line 139 "./jsfun.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 139 "./jsfun.h"
  var $5=(($4)&65535); //@line 139 "./jsfun.h"
  var $6=$5 & 49152; //@line 139 "./jsfun.h"
  var $7=(($6) & 65535); //@line 139 "./jsfun.h"
  ;
  return $7; //@line 139 "./jsfun.h"
}


function __ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK8JSObject8getProtoEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+36)|0); //@line 969 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 969 "./jsobj.h"
  var $5=(($4)|0); //@line 969 "./jsobj.h"
  var $6=HEAP32[(($5)>>2)]; //@line 969 "./jsobj.h"
  ;
  return $6; //@line 969 "./jsobj.h"
}


function __ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2392 "./jscntxt.h"
  var $4=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6lengthEv($3); //@line 2392 "./jscntxt.h"
  ;
  return $4; //@line 2392 "./jscntxt.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<3))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE8shrinkByEj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  $1=$this;
  $2=$incr;
  var $3=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($g, $3); //@line 662 "./jsvector.h"
  var $4=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  var $5=$2; //@line 664 "./jsvector.h"
  var $6=(((-$5))|0); //@line 664 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 664 "./jsvector.h"
  var $8=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($7, $8); //@line 664 "./jsvector.h"
  var $9=$2; //@line 665 "./jsvector.h"
  var $10=(($3+8)|0); //@line 665 "./jsvector.h"
  var $11=HEAP32[(($10)>>2)]; //@line 665 "./jsvector.h"
  var $12=(($11-$9)|0); //@line 665 "./jsvector.h"
  HEAP32[(($10)>>2)]=$12; //@line 665 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 666 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 666 "./jsvector.h"
}


function __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1194 "./jsobjinlines.h"
  __ZN2js28AutoPropertyDescriptorRooterC2EP9JSContext($3, $4); //@line 1194 "./jsobjinlines.h"
  ;
  return; //@line 1194 "./jsobjinlines.h"
}


function __ZN2JSL17ObjectOrNullValueEP8JSObject5($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 758 "./jsapi.h"
  __ZN2JS5Value15setObjectOrNullEP8JSObject($agg_result, $2); //@line 758 "./jsapi.h"
  ;
  return; //@line 759 "./jsapi.h"
}


function __ZN2js28AutoPropertyDescriptorRooterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js28AutoPropertyDescriptorRooterD2Ev($2); //@line 1185 "./jsobjinlines.h"
  ;
  return; //@line 1185 "./jsobjinlines.h"
}


function __ZN2js28AutoPropertyDescriptorRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1185 "./jsobjinlines.h"
  __ZN2js12AutoGCRooterD2Ev($3); //@line 1185 "./jsobjinlines.h"
  ;
  return; //@line 1185 "./jsobjinlines.h"
}


function __ZN2js28AutoPropertyDescriptorRooterC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$3; //@line 1188 "./jsobjinlines.h"
  var $5=$2; //@line 1188 "./jsobjinlines.h"
  __ZN2js12AutoGCRooterC2EP9JSContexti($4, $5, -13); //@line 1188 "./jsobjinlines.h"
  var $6=$3; //@line 1188 "./jsobjinlines.h"
  var $7=(($6+16)|0); //@line 1188 "./jsobjinlines.h"
  var $8=$7; //@line 1188 "./jsobjinlines.h"
  var $9=$3; //@line 1189 "./jsobjinlines.h"
  var $10=(($9+16)|0); //@line 1189 "./jsobjinlines.h"
  var $11=$10; //@line 1189 "./jsobjinlines.h"
  var $12=(($11)|0); //@line 1189 "./jsobjinlines.h"
  HEAP32[(($12)>>2)]=0; //@line 1189 "./jsobjinlines.h"
  var $13=$3; //@line 1190 "./jsobjinlines.h"
  var $14=(($13+16)|0); //@line 1190 "./jsobjinlines.h"
  var $15=$14; //@line 1190 "./jsobjinlines.h"
  var $16=(($15+4)|0); //@line 1190 "./jsobjinlines.h"
  HEAP32[(($16)>>2)]=0; //@line 1190 "./jsobjinlines.h"
  var $17=$3; //@line 1191 "./jsobjinlines.h"
  var $18=(($17+16)|0); //@line 1191 "./jsobjinlines.h"
  var $19=$18; //@line 1191 "./jsobjinlines.h"
  var $20=(($19+8)|0); //@line 1191 "./jsobjinlines.h"
  HEAP32[(($20)>>2)]=0; //@line 1191 "./jsobjinlines.h"
  var $21=$3; //@line 1192 "./jsobjinlines.h"
  var $22=(($21+16)|0); //@line 1192 "./jsobjinlines.h"
  var $23=$22; //@line 1192 "./jsobjinlines.h"
  var $24=(($23+12)|0); //@line 1192 "./jsobjinlines.h"
  HEAP32[(($24)>>2)]=0; //@line 1192 "./jsobjinlines.h"
  var $25=$3; //@line 1193 "./jsobjinlines.h"
  var $26=(($25+16)|0); //@line 1193 "./jsobjinlines.h"
  var $27=$26; //@line 1193 "./jsobjinlines.h"
  var $28=(($27+16)|0); //@line 1193 "./jsobjinlines.h"
  __ZN2JS5Value12setUndefinedEv($28); //@line 1193 "./jsobjinlines.h"
  ;
  return; //@line 1194 "./jsobjinlines.h"
}


function __ZNK8JSObject18getFunctionPrivateEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 262 "./jsfun.h"
  var $4=$3; //@line 262 "./jsfun.h"
  ;
  return $4; //@line 262 "./jsfun.h"
}


function __ZNK10JSFunction13isInterpretedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK10JSFunction4kindEv($2); //@line 130 "./jsfun.h"
  var $4=(($3)&65535); //@line 130 "./jsfun.h"
  var $5=(($4)|0) >= 16384; //@line 130 "./jsfun.h"
  ;
  return $5; //@line 130 "./jsfun.h"
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2JSL11StringValueEP8JSString($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZL17DebuggerFrameEvalP9JSContextjPN2JS5ValueE16EvalBindingsMode($cx, $argc, $vp, $mode) {
  var __stackBase__  = STACKTOP; STACKTOP += 232; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $args=__stackBase__;
      var $thisobj;
      var $fp;
      var $dbg;
      var $linearStr;
      var $keys=__stackBase__+8;
      var $values=__stackBase__+68;
      var $bindingsobj;
      var $6;
      var $i;
      var $valp;
      var $ac=__stackBase__+160;
      var $scobj;
      var $i1;
      var $rval=__stackBase__+212;
      var $anchor=__stackBase__+220;
      var $ok;
      var $7=__stackBase__+224;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$mode;
      var $8=$5; //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=(($8)|0)==1; //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      __label__ = 3; break; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $12=$3; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=(($12)>>>0) < 2; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $15=$2; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__Z20ReportMoreArgsNeededP9JSContextPKcj($15, ((STRING_TABLE.__str96)|0), 2); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16)&1); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$17; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 53; break; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 12; break; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      __label__ = 8; break; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $22=$3; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($22)>>>0) < 1; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $25=$2; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__Z20ReportMoreArgsNeededP9JSContextPKcj($25, ((STRING_TABLE.__str97)|0), 1); //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=(($26)&1); //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$27; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 53; break; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      __label__ = 11; break; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $31=$3; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=$4; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $31, $32); //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$2; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$5; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)|0)==1; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$35 ? (((STRING_TABLE.__str61)|0)) : (((STRING_TABLE.__str60)|0)); //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($33, $args, $36, 1); //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$37; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$thisobj; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($38)|0)!=0; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      $1=0; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 53; break; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $42=$thisobj; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZNK8JSObject10getPrivateEv($42); //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$43; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$44; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$thisobj; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($45); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $dbg=$46; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=__ZNK2js8CallArgsixEj($args, 0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=__ZNK2JS5Value8isStringEv($47); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($48) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $50=$2; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=__ZNK2js8CallArgsixEj($args, 0); //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=__ZN2js21InformalValueTypeNameERKN2JS5ValueE($51); //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($50, 2, 0, 255, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str97)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str98)|0),HEAP32[((tempInt+8)>>2)]=$52,tempInt)); //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 53; break; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $54=__ZNK2js8CallArgsixEj($args, 0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZNK2JS5Value8toStringEv($54); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=$2; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=__ZN8JSString12ensureLinearEP9JSContext($55, $56); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $linearStr=$57; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=$linearStr; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=(($58)|0)!=0; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($59) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      $1=0; //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 53; break; //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $62=$2; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($keys, $62); //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=$2; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($values, $63); //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=$5; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=(($64)|0)==1; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($65) { __label__ = 19; break; } else { __label__ = 31; break; } //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $67=$2; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=__ZNK2js8CallArgsixEj($args, 1); //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=__ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE($67, $68); //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $bindingsobj=$69; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=$bindingsobj; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=(($70)|0)!=0; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($71) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $73=$2; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=$bindingsobj; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($73, $74, 8, $keys); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($75) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $77=$values; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=$keys; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=__ZNK2js16AutoVectorRooterIiE6lengthEv($78); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=__ZN2js16AutoVectorRooterIN2JS5ValueEE6growByEj($77, $79); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($80) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      $1=0; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 52; break; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      $i=0; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $84=$i; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=$keys; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=__ZNK2js16AutoVectorRooterIiE6lengthEv($85); //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=(($84)>>>0) < (($86)>>>0); //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($87) { __label__ = 25; break; } else { __label__ = 30; break; } //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $89=$values; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=$i; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($89, $90); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $valp=$91; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $92=$bindingsobj; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=$2; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=$bindingsobj; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=$keys; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=$i; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=__ZN2js16AutoVectorRooterIiEixEj($95, $96); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=$valp; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=__ZN8JSObject10getGenericEP9JSContextPS_iPN2JS5ValueE($92, $93, $94, $98, $99); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=(($100)|0)!=0; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($101) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      var $103=$dbg; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $104=$2; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $105=$valp; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $106=__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE($103, $104, $105); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($106) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      $1=0; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 52; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      __label__ = 29; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 29: 
      var $110=$i; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $111=(($110+1)|0); //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$111; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 24; break; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      __label__ = 31; break; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      var $114=$2; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=$fp; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $116=__ZNK2js10StackFrame10scopeChainEv($115); //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $114, $116); //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $117=__ZN2js15AutoCompartment5enterEv($ac); //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($117) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 32: 
      $1=0; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 51; break; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 33: 
      var $120=$fp; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $121=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($120); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($121) { __label__ = 34; break; } else { __label__ = 37; break; } //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 34: 
      var $123=$fp; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $124=__ZNK2js10StackFrame10hasCallObjEv($123); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($124) { __label__ = 37; break; } else { __label__ = 35; break; } //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 35: 
      var $126=$2; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $127=$fp; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $128=__ZN2js19CreateFunCallObjectEP9JSContextPNS_10StackFrameE($126, $127); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $129=(($128)|0)!=0; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($129) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 36: 
      $1=0; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 51; break; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 37: 
      var $132=$2; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $133=$fp; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $134=__ZN2js13GetScopeChainEP9JSContextPNS_10StackFrameE($132, $133); //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scobj=$134; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $135=$scobj; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $136=(($135)|0)!=0; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($136) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 38: 
      $1=0; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 51; break; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 39: 
      var $139=$5; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $140=(($139)|0)==1; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($140) { __label__ = 40; break; } else { __label__ = 50; break; } //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 40: 
      var $142=$2; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $143=$scobj; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $144=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($142, __ZN2js11ObjectClassE, 0, $143); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $scobj=$144; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $145=$scobj; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $146=(($145)|0)!=0; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($146) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 41: 
      $1=0; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 51; break; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 42: 
      $i1=0; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 43; break; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 43: 
      var $150=$i1; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $151=$keys; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $152=__ZNK2js16AutoVectorRooterIiE6lengthEv($151); //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $153=(($150)>>>0) < (($152)>>>0); //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($153) { __label__ = 44; break; } else { __label__ = 49; break; } //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 44: 
      var $155=$2; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $156=(($155+56)|0); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $157=HEAP32[(($156)>>2)]; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $158=$2; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $159=$values; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $160=$i1; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $161=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($159, $160); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $162=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($157, $158, $161); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($162) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 45: 
      var $164=$2; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $165=$scobj; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $166=$keys; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $167=$i1; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $168=__ZN2js16AutoVectorRooterIiEixEj($166, $167); //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $170=$values; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $171=$i1; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $172=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($170, $171); //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $173=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($164, $165, $169, $172, 0, 0, 0, 0, 0, 0); //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $174=(($173)|0)!=0; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($174) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 46: 
      $1=0; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __label__ = 51; break; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 47: 
      __label__ = 48; break; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 48: 
      var $178=$i1; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $179=(($178+1)|0); //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i1=$179; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 43; break; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 49: 
      __label__ = 50; break; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 50: 
      var $182=$linearStr; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $183=$182; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $183); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $184=$2; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $185=$scobj; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $186=$fp; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $187=$linearStr; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $188=__ZNK14JSLinearString5charsEv($187); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $189=$linearStr; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $190=$189; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $191=__ZNK8JSString6lengthEv($190); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $192=__ZN2js15EvaluateInScopeEP9JSContextP8JSObjectPNS_10StackFrameEPKtjPKcjPN2JS5ValueE($184, $185, $186, $188, $191, ((STRING_TABLE.__str99)|0), 1, $rval); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $193=(($192)|0)!=0; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $194=(($193)&1); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$194; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $195=$dbg; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $196=$ok; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $197=(($196) & 1); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $198=$7; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $199=$rval; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($198)>>2)]=HEAP32[(($199)>>2)];HEAP32[(($198+4)>>2)]=HEAP32[(($199+4)>>2)]; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $200=$4; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $201=__ZN2js8Debugger18newCompletionValueERNS_15AutoCompartmentEbN2JS5ValueEPS4_($195, $ac, $197, $7, $200); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $202=(($201)&1); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$202; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $6=1;
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 51; break;
    case 51: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 52; break;
    case 52: 
      __ZN2js15AutoValueVectorD1Ev($values); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js12AutoIdVectorD1Ev($keys); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 53; break;
    case 53: 
      var $206=$1; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $206; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17DebuggerFrameEvalP9JSContextjPN2JS5ValueE16EvalBindingsMode["X"]=1;

function __ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($cx, $args, $fnname, $checkLive) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thisobj;
      var $6=__stackBase__;
      $2=$cx;
      $3=$args;
      $4=$fnname;
      var $7=(($checkLive)&1);
      $5=$7;
      var $8=$3; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$8; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZNK2js12CallReceiver5thisvEv($9); //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZNK2JS5Value8isObjectEv($10); //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $13=$2; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__Z20ReportObjectRequiredP9JSContext($13); //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $16=$3; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$16; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK2js12CallReceiver5thisvEv($17); //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=__ZNK2JS5Value8toObjectEv($18); //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$19; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$thisobj; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZNK8JSObject8getClassEv($20); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21)|0)!=((_DebuggerFrame_class)|0); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $24=$2; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$4; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$thisobj; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=__ZNK8JSObject8getClassEv($26); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27)|0); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($24, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str83)|0),HEAP32[((tempInt+4)>>2)]=$25,HEAP32[((tempInt+8)>>2)]=$29,tempInt)); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $31=$thisobj; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=__ZNK8JSObject10getPrivateEv($31); //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=(($32)|0)!=0; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 6; break; } //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $35=$thisobj; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($6, $35, 0); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=__ZNK2JS5Value11isUndefinedEv($6); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $38=$2; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$4; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($38, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str83)|0),HEAP32[((tempInt+4)>>2)]=$39,HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str11)|0),tempInt)); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $41=$5; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41) & 1); //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $44=$2; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$4; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($44, 2, 0, 277, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str83)|0),HEAP32[((tempInt+4)>>2)]=$45,HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str100)|0),tempInt)); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      __label__ = 11; break; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $48=$thisobj; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$48; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $50=$1; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb["X"]=1;

function __ZNK2JS5Value8isStringEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 403 "./jsapi.h"
  var $5=$2; //@line 403 "./jsapi.h"
  var $6=$4; //@line 403 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 403 "./jsapi.h"
  var $7=_JSVAL_IS_STRING_IMPL($2); //@line 403 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 403 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 403 "./jsapi.h"
}


function __ZNK2JS5Value8toStringEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 518 "./jsapi.h"
  var $5=$2; //@line 518 "./jsapi.h"
  var $6=$4; //@line 518 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 518 "./jsapi.h"
  var $7=_JSVAL_TO_STRING_IMPL($2); //@line 518 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 518 "./jsapi.h"
}


function __ZN8JSString12ensureLinearEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSString8isLinearEv($3); //@line 775 "./vm/String.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 775 "./vm/String.h"
    case 2: 
      var $6=__ZN8JSString8asLinearEv($3); //@line 776 "./vm/String.h"
      var $13 = $6;__label__ = 4; break; //@line 776 "./vm/String.h"
    case 3: 
      var $8=__ZN8JSString6asRopeEv($3); //@line 777 "./vm/String.h"
      var $9=$2; //@line 777 "./vm/String.h"
      var $10=__ZN6JSRope7flattenEP9JSContext($8, $9); //@line 777 "./vm/String.h"
      var $11=$10; //@line 777 "./vm/String.h"
      var $13 = $11;__label__ = 4; break; //@line 777 "./vm/String.h"
    case 4: 
      var $13; //@line 777 "./vm/String.h"
      ;
      return $13; //@line 777 "./vm/String.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS6AnchorIP8JSStringED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 168 "./jsapi.h"
}


function __ZNK2js12CallReceiver13clearUsedRvalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 190 "./vm/Stack.h"
}


function _INT_TO_JSID($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZN8JSString8asLinearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 326 "./vm/String.h"
  ;
  return $3; //@line 326 "./vm/String.h"
}


function _DOUBLE_TO_JSVAL_IMPL($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZNK2js10StackFrame22isNonEvalFunctionFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 485 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 485 "./vm/Stack.h"
  var $5=$4 & 10; //@line 485 "./vm/Stack.h"
  var $6=(($5)|0)==2; //@line 485 "./vm/Stack.h"
  ;
  return $6; //@line 485 "./vm/Stack.h"
}


function __ZNK2js10StackFrame10hasCallObjEv($this) {
  ;
  var __label__;

  var $1;
  var $ret;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 849 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 849 "./vm/Stack.h"
  var $5=$4 & 16384; //@line 849 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 849 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 849 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 849 "./vm/Stack.h"
  var $9=(($8)&1); //@line 849 "./vm/Stack.h"
  $ret=$9; //@line 849 "./vm/Stack.h"
  var $10=$ret; //@line 851 "./vm/Stack.h"
  var $11=(($10) & 1); //@line 851 "./vm/Stack.h"
  ;
  return $11; //@line 851 "./vm/Stack.h"
}


function __ZNK8JSString6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 281 "./vm/String.h"
  var $4=(($3)|0); //@line 281 "./vm/String.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 281 "./vm/String.h"
  var $6=$5 >>> 4; //@line 281 "./vm/String.h"
  ;
  return $6; //@line 281 "./vm/String.h"
}


function __ZN2JS6AnchorIP8JSStringEC2ES2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$3; //@line 139 "./jsapi.h"
  var $5=$2; //@line 139 "./jsapi.h"
  var $6=(($3)|0); //@line 139 "./jsapi.h"
  HEAP32[(($6)>>2)]=$5; //@line 139 "./jsapi.h"
  ;
  return; //@line 139 "./jsapi.h"
}


function __ZNK8JSString8isLinearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 320 "./vm/String.h"
  var $4=(($3)|0); //@line 320 "./vm/String.h"
  var $5=HEAP32[(($4)>>2)]; //@line 320 "./vm/String.h"
  var $6=$5 & 1; //@line 320 "./vm/String.h"
  var $7=(($6)|0)==0; //@line 320 "./vm/String.h"
  ;
  return $7; //@line 320 "./vm/String.h"
}


function _JSVAL_TO_STRING_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function __ZNK2js10StackFrame13isGlobalFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 450 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 450 "./vm/Stack.h"
  var $5=$4 & 1; //@line 450 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 450 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 450 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 450 "./vm/Stack.h"
  ;
  return $8; //@line 450 "./vm/Stack.h"
}


function __ZNK2js10StackFrame15isFunctionFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 446 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 446 "./vm/Stack.h"
  var $5=$4 & 2; //@line 446 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 446 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 446 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 446 "./vm/Stack.h"
  ;
  return $8; //@line 446 "./vm/Stack.h"
}


function __ZNK2js10StackFrame3funEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 634 "./vm/Stack.h"
  var $4=$3; //@line 634 "./vm/Stack.h"
  var $5=HEAP32[(($4)>>2)]; //@line 634 "./vm/Stack.h"
  ;
  return $5; //@line 634 "./vm/Stack.h"
}


function __ZNK2js10StackFrame4prevEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 510 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 510 "./vm/Stack.h"
  ;
  return $4; //@line 510 "./vm/Stack.h"
}


function __ZNK2js10StackFrame12isDummyFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 454 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 454 "./vm/Stack.h"
  var $5=$4 & 4; //@line 454 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 454 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 454 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 454 "./vm/Stack.h"
  ;
  return $8; //@line 454 "./vm/Stack.h"
}


function _JSDOUBLE_IS_NEGZERO($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame16isGeneratorFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1042 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1042 "./vm/Stack.h"
  var $5=$4 & 32; //@line 1042 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1042 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1042 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1042 "./vm/Stack.h"
  ;
  return $8; //@line 1042 "./vm/Stack.h"
}


function __ZNK2js10StackFrame14isConstructingEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1088 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1088 "./vm/Stack.h"
  var $5=$4 & 128; //@line 1088 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1088 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1088 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1088 "./vm/Stack.h"
  ;
  return $8; //@line 1088 "./vm/Stack.h"
}


function __ZNK2js10StackFrame10hasArgsObjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 701 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 701 "./vm/Stack.h"
  var $5=$4 & 32768; //@line 701 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 701 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 701 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 701 "./vm/Stack.h"
  ;
  return $8; //@line 701 "./vm/Stack.h"
}


function __ZNK2js10StackFrame7argsObjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 707 "./vm/Stack.h"
  var $4=$3; //@line 707 "./vm/Stack.h"
  var $5=HEAP32[(($4)>>2)]; //@line 707 "./vm/Stack.h"
  ;
  return $5; //@line 707 "./vm/Stack.h"
}


function __ZNK8JSObject13numFixedSlotsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1613 "./jsobj.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 1613 "./jsobj.h"
  var $5=$4 >>> 27; //@line 1613 "./jsobj.h"
  ;
  return $5; //@line 1613 "./jsobj.h"
}


function _JSVAL_TO_INT32_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function __ZNK8JSScript10getVersionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 751 "./jsscript.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 751 "./jsscript.h"
  var $5=(($4)&65535); //@line 751 "./jsscript.h"
  ;
  return $5; //@line 751 "./jsscript.h"
}


function __ZNK2js12StackSegment9maybeRegsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1370 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1370 "./vm/Stack.h"
  ;
  return $4; //@line 1370 "./vm/Stack.h"
}


function __ZN8JSObject10getGenericEP9JSContextPS_iPN2JS5ValueE($this, $cx, $receiver, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $op;
      $2=$this;
      $3=$cx;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$2;
      var $8=__ZNK8JSObject6getOpsEv($7); //@line 140 "./jsobjinlines.h"
      var $9=(($8+32)|0); //@line 140 "./jsobjinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 140 "./jsobjinlines.h"
      $op=$10; //@line 140 "./jsobjinlines.h"
      var $11=$op; //@line 141 "./jsobjinlines.h"
      var $12=(($11)|0)!=0; //@line 141 "./jsobjinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 141 "./jsobjinlines.h"
    case 2: 
      var $14=$op; //@line 142 "./jsobjinlines.h"
      var $15=$3; //@line 142 "./jsobjinlines.h"
      var $16=$4; //@line 142 "./jsobjinlines.h"
      var $17=$5; //@line 142 "./jsobjinlines.h"
      var $18=$6; //@line 142 "./jsobjinlines.h"
      var $19=FUNCTION_TABLE[$14]($15, $7, $16, $17, $18); //@line 142 "./jsobjinlines.h"
      var $20=(($19)|0)!=0; //@line 142 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 142 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 143 "./jsobjinlines.h"
      __label__ = 9; break; //@line 143 "./jsobjinlines.h"
    case 4: 
      __label__ = 8; break; //@line 144 "./jsobjinlines.h"
    case 5: 
      var $24=$3; //@line 145 "./jsobjinlines.h"
      var $25=$4; //@line 145 "./jsobjinlines.h"
      var $26=$5; //@line 145 "./jsobjinlines.h"
      var $27=$6; //@line 145 "./jsobjinlines.h"
      var $28=__Z14js_GetPropertyP9JSContextP8JSObjectS2_iPN2JS5ValueE($24, $7, $25, $26, $27); //@line 145 "./jsobjinlines.h"
      var $29=(($28)|0)!=0; //@line 145 "./jsobjinlines.h"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 145 "./jsobjinlines.h"
    case 6: 
      $1=0; //@line 146 "./jsobjinlines.h"
      __label__ = 9; break; //@line 146 "./jsobjinlines.h"
    case 7: 
      __label__ = 8; break;
    case 8: 
      $1=1; //@line 148 "./jsobjinlines.h"
      __label__ = 9; break; //@line 148 "./jsobjinlines.h"
    case 9: 
      var $34=$1; //@line 149 "./jsobjinlines.h"
      ;
      return $34; //@line 149 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS6AnchorIP8JSStringEC1ES2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 139 "./jsapi.h"
  __ZN2JS6AnchorIP8JSStringEC2ES2_($3, $4); //@line 139 "./jsapi.h"
  ;
  return; //@line 139 "./jsapi.h"
}


function __ZN2JS6AnchorIP8JSStringED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2JS6AnchorIP8JSStringED2Ev($2); //@line 155 "./jsapi.h"
  ;
  return; //@line 168 "./jsapi.h"
}


function __ZL11IsValidHookRKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $3=__ZNK2JS5Value11isUndefinedEv($2); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($3) { var $14 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $5=$1; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=__ZNK2JS5Value8isObjectEv($5); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($6) { __label__ = 3; break; } else { var $12 = 0;__label__ = 4; break; } //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $8=$1; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=__ZNK2JS5Value8toObjectEv($8); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZN8JSObject10isCallableEv($9); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12 = $10;__label__ = 4; break;
    case 4: 
      var $12;
      var $14 = $12;__label__ = 5; break;
    case 5: 
      var $14;
      ;
      return $14; //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame6calleeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame7calleevEv($2); //@line 764 "./vm/Stack.h"
  var $4=__ZNK2JS5Value8toObjectEv($3); //@line 764 "./vm/Stack.h"
  ;
  return $4; //@line 764 "./vm/Stack.h"
}


function __ZNK2js10StackFrame7calleevEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame14mutableCalleevEv($2); //@line 769 "./vm/Stack.h"
  ;
  return $3; //@line 769 "./vm/Stack.h"
}


function __ZNK2js10StackFrame14mutableCalleevEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js10StackFrame11isEvalFrameEv($3); //@line 793 "./vm/Stack.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 793 "./vm/Stack.h"
    case 2: 
      var $6=$3; //@line 794 "./vm/Stack.h"
      var $7=(($6-16)|0); //@line 794 "./vm/Stack.h"
      $1=$7; //@line 794 "./vm/Stack.h"
      __label__ = 4; break; //@line 794 "./vm/Stack.h"
    case 3: 
      var $9=__ZNK2js10StackFrame10formalArgsEv($3); //@line 795 "./vm/Stack.h"
      var $10=(($9-16)|0); //@line 795 "./vm/Stack.h"
      $1=$10; //@line 795 "./vm/Stack.h"
      __label__ = 4; break; //@line 795 "./vm/Stack.h"
    case 4: 
      var $12=$1; //@line 796 "./vm/Stack.h"
      ;
      return $12; //@line 796 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame10formalArgsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 677 "./vm/Stack.h"
  var $4=__ZNK2js10StackFrame13numFormalArgsEv($2); //@line 677 "./vm/Stack.h"
  var $5=(((-$4))|0); //@line 677 "./vm/Stack.h"
  var $6=(($3+($5<<3))|0); //@line 677 "./vm/Stack.h"
  ;
  return $6; //@line 677 "./vm/Stack.h"
}


function __ZNK2js10StackFrame13numFormalArgsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame3funEv($2); //@line 667 "./vm/Stack.h"
  var $4=(($3+56)|0); //@line 667 "./vm/Stack.h"
  var $5=HEAPU16[(($4)>>1)]; //@line 667 "./vm/Stack.h"
  var $6=(($5)&65535); //@line 667 "./vm/Stack.h"
  ;
  return $6; //@line 667 "./vm/Stack.h"
}


function __ZN2JS5Value9setNumberEd($this, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i=__stackBase__;
      $2=$this;
      $3=$d;
      var $4=$2;
      var $5=$3; //@line 332 "./jsapi.h"
      var $6=_JSDOUBLE_IS_INT32($5, $i); //@line 332 "./jsapi.h"
      var $7=(($6)|0)!=0; //@line 332 "./jsapi.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 332 "./jsapi.h"
    case 2: 
      var $9=HEAP32[(($i)>>2)]; //@line 333 "./jsapi.h"
      __ZN2JS5Value8setInt32Ei($4, $9); //@line 333 "./jsapi.h"
      $1=1; //@line 334 "./jsapi.h"
      __label__ = 4; break; //@line 334 "./jsapi.h"
    case 3: 
      var $11=$3; //@line 336 "./jsapi.h"
      __ZN2JS5Value9setDoubleEd($4, $11); //@line 336 "./jsapi.h"
      $1=0; //@line 337 "./jsapi.h"
      __label__ = 4; break; //@line 337 "./jsapi.h"
    case 4: 
      var $13=$1; //@line 339 "./jsapi.h"
      STACKTOP = __stackBase__;
      return $13; //@line 339 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSDOUBLE_IS_INT32($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS5Value9setDoubleEd($this, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$d;
  var $4=$1;
  var $5=(($4)|0); //@line 269 "./jsapi.h"
  var $6=$2; //@line 269 "./jsapi.h"
  _DOUBLE_TO_JSVAL_IMPL($3, $6); //@line 269 "./jsapi.h"
  var $7=$5; //@line 269 "./jsapi.h"
  var $8=$3; //@line 269 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 269 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 270 "./jsapi.h"
}


function __ZN2JSL9NullValueEv($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZNK2js10StackFrame7hasArgsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($2); //@line 662 "./vm/Stack.h"
  ;
  return $3; //@line 662 "./vm/Stack.h"
}


function __ZNK2js10StackFrame13numActualArgsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3)|0); //@line 288 "./vm/Stack-inl.h"
      var $5=HEAP32[(($4)>>2)]; //@line 288 "./vm/Stack-inl.h"
      var $6=$5 & 6144; //@line 288 "./vm/Stack-inl.h"
      var $7=(($6)|0)!=0; //@line 288 "./vm/Stack-inl.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 288 "./vm/Stack-inl.h"
    case 2: 
      var $9=__ZNK2js10StackFrame10hasArgsObjEv($3); //@line 289 "./vm/Stack-inl.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 289 "./vm/Stack-inl.h"
    case 3: 
      var $11=__ZNK2js10StackFrame7argsObjEv($3); //@line 289 "./vm/Stack-inl.h"
      var $12=__ZNK2js15ArgumentsObject13initialLengthEv($11); //@line 289 "./vm/Stack-inl.h"
      var $18 = $12;__label__ = 5; break; //@line 289 "./vm/Stack-inl.h"
    case 4: 
      var $14=(($3+8)|0); //@line 289 "./vm/Stack-inl.h"
      var $15=$14; //@line 289 "./vm/Stack-inl.h"
      var $16=HEAP32[(($15)>>2)]; //@line 289 "./vm/Stack-inl.h"
      var $18 = $16;__label__ = 5; break; //@line 289 "./vm/Stack-inl.h"
    case 5: 
      var $18; //@line 289 "./vm/Stack-inl.h"
      $1=$18; //@line 289 "./vm/Stack-inl.h"
      __label__ = 7; break; //@line 289 "./vm/Stack-inl.h"
    case 6: 
      var $20=__ZNK2js10StackFrame13numFormalArgsEv($3); //@line 290 "./vm/Stack-inl.h"
      $1=$20; //@line 290 "./vm/Stack-inl.h"
      __label__ = 7; break; //@line 290 "./vm/Stack-inl.h"
    case 7: 
      var $22=$1; //@line 291 "./vm/Stack-inl.h"
      ;
      return $22; //@line 291 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL24DebuggerArguments_getArgP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $i;
      var $5=__stackBase__+8;
      var $argsobj;
      var $6=__stackBase__+16;
      var $ca2=__stackBase__+24;
      var $thisobj;
      var $fp;
      var $arg=__stackBase__+32;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$3; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=$4; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $7, $8); //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$args; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZNK2js12CallReceiver6calleeEv($9); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($5, $10, 0); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=__ZNK2JS5Value7toInt32Ev($5); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$11; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$args; //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK2js12CallReceiver5thisvEv($12); //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZNK2JS5Value8isObjectEv($13); //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $16=$2; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=__Z20ReportObjectRequiredP9JSContext($16); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $19=$args; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZNK2js12CallReceiver5thisvEv($19); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZNK2JS5Value8toObjectEv($20); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $argsobj=$21; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$argsobj; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=__ZNK8JSObject8getClassEv($22); //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($23)|0)!=((_DebuggerArguments_class)|0); //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $26=$2; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$argsobj; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZNK8JSObject8getClassEv($27); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($26, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str49)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str112)|0),HEAP32[((tempInt+8)>>2)]=$30,tempInt)); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $32=$args; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=__ZNK2js12CallReceiver5thisvEv($32); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$argsobj; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($6, $34, 0); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$33; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$6; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=$3; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=$4; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($ca2, $37, $38); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$2; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb($39, $ca2, ((STRING_TABLE.__str113)|0), 1); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$40; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=$thisobj; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41)|0)!=0; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      $1=0; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $45=$thisobj; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=__ZNK8JSObject10getPrivateEv($45); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=$46; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $fp=$47; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$i; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=$fp; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=__ZNK2js10StackFrame13numActualArgsEv($49); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=(($48)>>>0) < (($50)>>>0); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($51) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $53=$fp; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=$i; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=__ZNK2js10StackFrame18canonicalActualArgEj($53, $54); //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=$arg; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=$55; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($56)>>2)]=HEAP32[(($57)>>2)];HEAP32[(($56+4)>>2)]=HEAP32[(($57+4)>>2)]; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      __ZN2JS5Value12setUndefinedEv($arg); //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 10; break;
    case 10: 
      var $60=$thisobj; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=__ZN2js8Debugger17fromChildJSObjectEP8JSObject($60); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=$2; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE($61, $62, $arg); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      $1=0; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $66=$args; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=__ZNK2js12CallReceiver4rvalEv($66); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=$67; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=$arg; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($68)>>2)]=HEAP32[(($69)>>2)];HEAP32[(($68+4)>>2)]=HEAP32[(($69+4)>>2)]; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $71=$1; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $71; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL24DebuggerArguments_getArgP9JSContextjPN2JS5ValueE["X"]=1;

function __ZNK2JS5Value7toInt32Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 500 "./jsapi.h"
  var $5=$2; //@line 500 "./jsapi.h"
  var $6=$4; //@line 500 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 500 "./jsapi.h"
  var $7=_JSVAL_TO_INT32_IMPL($2); //@line 500 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 500 "./jsapi.h"
}


function __ZNK2js10StackFrame18canonicalActualArgEj($this, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$i;
      var $4=$2;
      var $5=$3; //@line 209 "./vm/Stack-inl.h"
      var $6=__ZNK2js10StackFrame13numFormalArgsEv($4); //@line 209 "./vm/Stack-inl.h"
      var $7=(($5)>>>0) < (($6)>>>0); //@line 209 "./vm/Stack-inl.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 209 "./vm/Stack-inl.h"
    case 2: 
      var $9=$3; //@line 210 "./vm/Stack-inl.h"
      var $10=__ZNK2js10StackFrame9formalArgEj($4, $9); //@line 210 "./vm/Stack-inl.h"
      $1=$10; //@line 210 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 210 "./vm/Stack-inl.h"
    case 3: 
      var $12=$3; //@line 212 "./vm/Stack-inl.h"
      var $13=__ZNK2js10StackFrame10actualArgsEv($4); //@line 212 "./vm/Stack-inl.h"
      var $14=(($13+($12<<3))|0); //@line 212 "./vm/Stack-inl.h"
      $1=$14; //@line 212 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 212 "./vm/Stack-inl.h"
    case 4: 
      var $16=$1; //@line 213 "./vm/Stack-inl.h"
      ;
      return $16; //@line 213 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame9formalArgEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 672 "./vm/Stack.h"
  var $5=__ZNK2js10StackFrame10formalArgsEv($3); //@line 672 "./vm/Stack.h"
  var $6=(($5+($4<<3))|0); //@line 672 "./vm/Stack.h"
  ;
  return $6; //@line 672 "./vm/Stack.h"
}


function __ZNK2js10StackFrame10actualArgsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $argv;
      var $nactual;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js10StackFrame10formalArgsEv($3); //@line 297 "./vm/Stack-inl.h"
      $argv=$4; //@line 297 "./vm/Stack-inl.h"
      var $5=(($3)|0); //@line 298 "./vm/Stack-inl.h"
      var $6=HEAP32[(($5)>>2)]; //@line 298 "./vm/Stack-inl.h"
      var $7=$6 & 2048; //@line 298 "./vm/Stack-inl.h"
      var $8=(($7)|0)!=0; //@line 298 "./vm/Stack-inl.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 298 "./vm/Stack-inl.h"
    case 2: 
      var $10=__ZNK2js10StackFrame10hasArgsObjEv($3); //@line 299 "./vm/Stack-inl.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 299 "./vm/Stack-inl.h"
    case 3: 
      var $12=__ZNK2js10StackFrame7argsObjEv($3); //@line 299 "./vm/Stack-inl.h"
      var $13=__ZNK2js15ArgumentsObject13initialLengthEv($12); //@line 299 "./vm/Stack-inl.h"
      var $19 = $13;__label__ = 5; break; //@line 299 "./vm/Stack-inl.h"
    case 4: 
      var $15=(($3+8)|0); //@line 299 "./vm/Stack-inl.h"
      var $16=$15; //@line 299 "./vm/Stack-inl.h"
      var $17=HEAP32[(($16)>>2)]; //@line 299 "./vm/Stack-inl.h"
      var $19 = $17;__label__ = 5; break; //@line 299 "./vm/Stack-inl.h"
    case 5: 
      var $19; //@line 299 "./vm/Stack-inl.h"
      $nactual=$19; //@line 299 "./vm/Stack-inl.h"
      var $20=$argv; //@line 300 "./vm/Stack-inl.h"
      var $21=$nactual; //@line 300 "./vm/Stack-inl.h"
      var $22=(($21+2)|0); //@line 300 "./vm/Stack-inl.h"
      var $23=(((-$22))|0); //@line 300 "./vm/Stack-inl.h"
      var $24=(($20+($23<<3))|0); //@line 300 "./vm/Stack-inl.h"
      $1=$24; //@line 300 "./vm/Stack-inl.h"
      __label__ = 7; break; //@line 300 "./vm/Stack-inl.h"
    case 6: 
      var $26=$argv; //@line 302 "./vm/Stack-inl.h"
      $1=$26; //@line 302 "./vm/Stack-inl.h"
      __label__ = 7; break; //@line 302 "./vm/Stack-inl.h"
    case 7: 
      var $28=$1; //@line 303 "./vm/Stack-inl.h"
      ;
      return $28; //@line 303 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js15ArgumentsObject13initialLengthEv($this) {
  ;
  var __label__;

  var $1;
  var $argc;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 0); //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  var $5=__ZNK2JS5Value7toInt32Ev($4); //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  var $6=$5 >>> 1; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  $argc=$6; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  var $7=$argc; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  ;
  return $7; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
}


function __ZNK8JSObject7getSlotEj($this, $slot) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fixed;
      $2=$this;
      $3=$slot;
      var $4=$2;
      var $5=__ZNK8JSObject13numFixedSlotsEv($4); //@line 870 "./jsobj.h"
      $fixed=$5; //@line 870 "./jsobj.h"
      var $6=$3; //@line 871 "./jsobj.h"
      var $7=$fixed; //@line 871 "./jsobj.h"
      var $8=(($6)>>>0) < (($7)>>>0); //@line 871 "./jsobj.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 871 "./jsobj.h"
    case 2: 
      var $10=$3; //@line 872 "./jsobj.h"
      var $11=__ZNK8JSObject10fixedSlotsEv($4); //@line 872 "./jsobj.h"
      var $12=(($11+($10<<3))|0); //@line 872 "./jsobj.h"
      $1=$12; //@line 872 "./jsobj.h"
      __label__ = 4; break; //@line 872 "./jsobj.h"
    case 3: 
      var $14=$3; //@line 873 "./jsobj.h"
      var $15=$fixed; //@line 873 "./jsobj.h"
      var $16=(($14-$15)|0); //@line 873 "./jsobj.h"
      var $17=(($4+32)|0); //@line 873 "./jsobj.h"
      var $18=HEAP32[(($17)>>2)]; //@line 873 "./jsobj.h"
      var $19=(($18+($16<<3))|0); //@line 873 "./jsobj.h"
      $1=$19; //@line 873 "./jsobj.h"
      __label__ = 4; break; //@line 873 "./jsobj.h"
    case 4: 
      var $21=$1; //@line 874 "./jsobj.h"
      ;
      return $21; //@line 874 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12ContextStack5hasfpEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1633 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1633 "./vm/Stack.h"
      var $5=(($4)|0)!=0; //@line 1633 "./vm/Stack.h"
      if ($5) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 1633 "./vm/Stack.h"
    case 2: 
      var $7=(($2)|0); //@line 1633 "./vm/Stack.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1633 "./vm/Stack.h"
      var $9=__ZNK2js12StackSegment9maybeRegsEv($8); //@line 1633 "./vm/Stack.h"
      var $10=(($9)|0)!=0; //@line 1633 "./vm/Stack.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      ;
      return $12; //@line 1633 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK10JSFunction12inStrictModeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK10JSFunction6scriptEv($2); //@line 49 "./jsfuninlines.h"
  var $4=$3; //@line 49 "./jsfuninlines.h"
  var $5=(($4+36)|0); //@line 49 "./jsfuninlines.h"
  var $6=HEAPU8[($5)]; //@line 49 "./jsfuninlines.h"
  var $7=(($6)&255) >>> 3; //@line 49 "./jsfuninlines.h"
  var $8=$7 & 1; //@line 49 "./jsfuninlines.h"
  var $9=(($8) & 1); //@line 49 "./jsfuninlines.h"
  ;
  return $9; //@line 49 "./jsfuninlines.h"
}


function __ZNK2js10StackFrame12callReceiverEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame10formalArgsEv($2); //@line 806 "./vm/Stack.h"
  __ZN2js20CallReceiverFromArgvEPN2JS5ValueE($agg_result, $3); //@line 806 "./vm/Stack.h"
  ;
  return; //@line 806 "./vm/Stack.h"
}


function __ZN2js20CallReceiverFromArgvEPN2JS5ValueE($agg_result, $argv) {
  ;
  var __label__;

  var $1;
  $1=$argv;
  __ZNK2js12CallReceiver13clearUsedRvalEv($agg_result); //@line 220 "./vm/Stack.h"
  var $2=$1; //@line 221 "./vm/Stack.h"
  var $3=(($agg_result)|0); //@line 221 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$2; //@line 221 "./vm/Stack.h"
  ;
  return; //@line 222 "./vm/Stack.h"
}


function __ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb($cx, $args, $fnname, $checkLive) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$args;
  $3=$fnname;
  var $5=(($checkLive)&1);
  $4=$5;
  var $6=$1; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $7=$2; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $8=$7; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $9=__ZNK2js12CallReceiver5thisvEv($8); //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $10=$3; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $11=$4; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $12=(($11) & 1); //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $13=__ZL20DebuggerScript_checkP9JSContextRKN2JS5ValueEPKcS6_b($6, $9, ((STRING_TABLE.__str82)|0), $10, $12); //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $13; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2JS5Value8toDoubleEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 506 "./jsapi.h"
  var $4=$3; //@line 506 "./jsapi.h"
  var $5=(tempDoubleI32[0]=HEAP32[(($4)>>2)],tempDoubleI32[1]=HEAP32[(($4+4)>>2)],tempDoubleF64[0]); //@line 506 "./jsapi.h"
  ;
  return $5; //@line 506 "./jsapi.h"
}


function _JSVAL_IS_DOUBLE_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function __ZL17GetScriptReferentP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $4=$3; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $4; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZL20DebuggerScript_checkP9JSContextRKN2JS5ValueEPKcS6_b($cx, $v, $clsname, $fnname, $checkLive) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $thisobj;
      var $7=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$clsname;
      $5=$fnname;
      var $8=(($checkLive)&1);
      $6=$8;
      var $9=$3; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZNK2JS5Value8isObjectEv($9); //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $12=$2; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__Z20ReportObjectRequiredP9JSContext($12); //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $15=$3; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZNK2JS5Value8toObjectEv($15); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $thisobj=$16; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=$thisobj; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=__ZNK8JSObject8getClassEv($17); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18)|0)!=((_DebuggerScript_class)|0); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $21=$2; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$4; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$5; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$thisobj; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=__ZNK8JSObject8getClassEv($24); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=(($25)|0); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($21, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$22,HEAP32[((tempInt+4)>>2)]=$23,HEAP32[((tempInt+8)>>2)]=$27,tempInt)); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $29=$thisobj; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZNK8JSObject15getReservedSlotEj($7, $29, 1); //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=__ZNK2JS5Value11isUndefinedEv($7); //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $32=$2; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$4; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$5; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($32, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$33,HEAP32[((tempInt+4)>>2)]=$34,HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str11)|0),tempInt)); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $36=$6; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=(($36) & 1); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $39=$thisobj; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=__ZL17GetScriptReferentP8JSObject($39); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($40)|0)!=0; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $43=$2; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$4; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=$5; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 277, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$44,HEAP32[((tempInt+4)>>2)]=$45,HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str56)|0),tempInt)); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $47=$thisobj; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$47; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $49=$1; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20DebuggerScript_checkP9JSContextRKN2JS5ValueEPKcS6_b["X"]=1;

function __ZL12ScriptOffsetP9JSContextP8JSScriptRKN2JS5ValueEPj($cx, $script, $v, $offsetp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $d;
      var $off;
      var $ok;
      $2=$cx;
      $3=$script;
      $4=$v;
      $5=$offsetp;
      var $6=$4; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=__ZNK2JS5Value8isNumberEv($6); //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7)&1); //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ok=$8; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$ok; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9) & 1); //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $12=$4; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK2JS5Value8toNumberEv($12); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $d=$13; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$d; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=($14 >= 0 ? Math.floor($14) : Math.ceil($14)); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $off=$15; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $17=$ok; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=(($17) & 1); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $20=$off; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20)>>>0); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$d; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$21 != $22; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $25=$2; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=$3; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$off; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=__ZN2js21IsValidBytecodeOffsetEP9JSContextP8JSScriptj($25, $26, $27); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $30=$2; //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      _JS_ReportErrorNumber($30, 2, 0, 282, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=0; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $32=$off; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$5; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=1; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $35=$1; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return $35; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12ScriptOffsetP9JSContextP8JSScriptRKN2JS5ValueEPj["X"]=1;

function __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+12)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+8)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*12)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5RangeC1EPNS0_14HashTableEntryIS6_EESH_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5RangeC1EPNS0_14HashTableEntryIS6_EESH_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5RangeC2EPNS0_14HashTableEntryIS6_EESH_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5RangeC2EPNS0_14HashTableEntryIS6_EESH_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+12)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value8isNumberEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 398 "./jsapi.h"
  var $5=$2; //@line 398 "./jsapi.h"
  var $6=$4; //@line 398 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 398 "./jsapi.h"
  var $7=_JSVAL_IS_NUMBER_IMPL($2); //@line 398 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 398 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 398 "./jsapi.h"
}


function __ZNK2JS5Value8toNumberEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2JS5Value8isDoubleEv($2); //@line 512 "./jsapi.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 512 "./jsapi.h"
    case 2: 
      var $5=__ZNK2JS5Value8toDoubleEv($2); //@line 512 "./jsapi.h"
      var $10 = $5;__label__ = 4; break; //@line 512 "./jsapi.h"
    case 3: 
      var $7=__ZNK2JS5Value7toInt32Ev($2); //@line 512 "./jsapi.h"
      var $8=(($7)|0); //@line 512 "./jsapi.h"
      var $10 = $8;__label__ = 4; break; //@line 512 "./jsapi.h"
    case 4: 
      var $10; //@line 512 "./jsapi.h"
      ;
      return $10; //@line 512 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value8isDoubleEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 393 "./jsapi.h"
  var $5=$2; //@line 393 "./jsapi.h"
  var $6=$4; //@line 393 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 393 "./jsapi.h"
  var $7=_JSVAL_IS_DOUBLE_IMPL($2); //@line 393 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 393 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 393 "./jsapi.h"
}


function __ZL15GetScriptHolderP8JSObject($obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $v=__stackBase__;
  $1=$obj;
  var $2=$1; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  __ZNK8JSObject15getReservedSlotEj($v, $2, 1); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $3=__ZNK2JS5Value9toPrivateEv($v); //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $4=$3; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  STACKTOP = __stackBase__;
  return $4; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZNK2js8Debugger13observesScopeEP8JSObject($this, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$obj;
  var $4=$1;
  var $5=(($4+12)|0); //@line 527 "./vm/Debugger.h"
  var $6=$2; //@line 527 "./vm/Debugger.h"
  var $7=__ZNK8JSObject9getGlobalEv($6); //@line 527 "./vm/Debugger.h"
  HEAP32[(($3)>>2)]=$7; //@line 527 "./vm/Debugger.h"
  var $8=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3hasERKS2_($5, $3); //@line 527 "./vm/Debugger.h"
  STACKTOP = __stackBase__;
  return $8; //@line 527 "./vm/Debugger.h"
}


function __ZL11ScriptScopeP9JSContextP8JSScriptP8JSObject($cx, $script, $holder) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i=__stackBase__;
      $2=$cx;
      $3=$script;
      $4=$holder;
      var $5=$4; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=(($5)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $8=$4; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$8; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $10=$2; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=(($10+60)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=__ZNK2js12ContextStack5spaceEv($11); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      FUNCTION_TABLE[__ZN2js13AllFramesIterC1ERNS_10StackSpaceE]($i, $12); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $14=__ZNK2js13AllFramesIter2fpEv($i); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZNK2js10StackFrame11maybeScriptEv($14); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$3; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($15)|0)==(($16)|0); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $19=__ZNK2js13AllFramesIter2fpEv($i); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=__ZNK2js10StackFrame10scopeChainEv($19); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $1=$20; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __label__ = 7; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $23=__ZN2js13AllFramesIterppEv($i); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $25=$1; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime4new_IN2js10BreakpointEPNS1_8DebuggerEPNS1_14BreakpointSiteEP8JSObjectEEPT_T0_T1_T2_($this, $p1, $p2, $p3) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $memory;
      $1=$this;
      $2=$p1;
      $3=$p2;
      $4=$p3;
      var $5=$1;
      var $6=__ZN9JSRuntime7malloc_EjP9JSContext($5, 28, 0); //@line 761 "./jscntxt.h"
      $memory=$6; //@line 761 "./jscntxt.h"
      var $7=$memory; //@line 761 "./jscntxt.h"
      var $8=(($7)|0)!=0; //@line 761 "./jscntxt.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 761 "./jscntxt.h"
    case 2: 
      var $10=$memory; //@line 761 "./jscntxt.h"
      var $11=(($10)|0)==0; //@line 761 "./jscntxt.h"
      if ($11) { var $18 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 761 "./jscntxt.h"
    case 3: 
      var $13=$10; //@line 761 "./jscntxt.h"
      var $14=$2; //@line 761 "./jscntxt.h"
      var $15=$3; //@line 761 "./jscntxt.h"
      var $16=$4; //@line 761 "./jscntxt.h"
      FUNCTION_TABLE[__ZN2js10BreakpointC1EPNS_8DebuggerEPNS_14BreakpointSiteEP8JSObject]($13, $14, $15, $16); //@line 761 "./jscntxt.h"
      var $18 = $13;__label__ = 4; break; //@line 761 "./jscntxt.h"
    case 4: 
      var $18; //@line 761 "./jscntxt.h"
      var $21 = $18;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 5: 
      var $21 = 0;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 6: 
      var $21; //@line 761 "./jscntxt.h"
      ;
      return $21; //@line 761 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame11maybeScriptEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame13isScriptFrameEv($2); //@line 610 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 610 "./vm/Stack.h"
    case 2: 
      var $5=__ZNK2js10StackFrame6scriptEv($2); //@line 610 "./vm/Stack.h"
      var $8 = $5;__label__ = 4; break; //@line 610 "./vm/Stack.h"
    case 3: 
      var $8 = 0;__label__ = 4; break; //@line 610 "./vm/Stack.h"
    case 4: 
      var $8; //@line 610 "./vm/Stack.h"
      ;
      return $8; //@line 610 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value9toPrivateEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 621 "./jsapi.h"
  var $5=$2; //@line 621 "./jsapi.h"
  var $6=$4; //@line 621 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 621 "./jsapi.h"
  var $7=_JSVAL_TO_PRIVATE_PTR_IMPL($2); //@line 621 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 621 "./jsapi.h"
}


function __ZN2JS5Value9setNumberEj($this, $ui) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$ui;
      var $4=$2;
      var $5=$3; //@line 320 "./jsapi.h"
      var $6=(($5)>>>0) > 2147483647; //@line 320 "./jsapi.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 320 "./jsapi.h"
    case 2: 
      var $8=$3; //@line 321 "./jsapi.h"
      var $9=(($8)>>>0); //@line 321 "./jsapi.h"
      __ZN2JS5Value9setDoubleEd($4, $9); //@line 321 "./jsapi.h"
      $1=0; //@line 322 "./jsapi.h"
      __label__ = 4; break; //@line 322 "./jsapi.h"
    case 3: 
      var $11=$3; //@line 324 "./jsapi.h"
      __ZN2JS5Value8setInt32Ei($4, $11); //@line 324 "./jsapi.h"
      $1=1; //@line 325 "./jsapi.h"
      __label__ = 4; break; //@line 325 "./jsapi.h"
    case 4: 
      var $13=$1; //@line 327 "./jsapi.h"
      ;
      return $13; //@line 327 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16FlowGraphSummaryC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  __ZN16FlowGraphSummaryC2EP9JSContext($3, $4); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE7destroyEPjS3_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js13BytecodeRange5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 47 "./jsopcodeinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 47 "./jsopcodeinlines.h"
  var $5=(($2+12)|0); //@line 47 "./jsopcodeinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 47 "./jsopcodeinlines.h"
  var $7=(($4)|0)==(($6)|0); //@line 47 "./jsopcodeinlines.h"
  ;
  return $7; //@line 47 "./jsopcodeinlines.h"
}


function __ZNK2js13BytecodeRange11frontOffsetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 50 "./jsopcodeinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 50 "./jsopcodeinlines.h"
  var $5=(($2+4)|0); //@line 50 "./jsopcodeinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 50 "./jsopcodeinlines.h"
  var $7=(($6)|0); //@line 50 "./jsopcodeinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 50 "./jsopcodeinlines.h"
  var $9=$4; //@line 50 "./jsopcodeinlines.h"
  var $10=$8; //@line 50 "./jsopcodeinlines.h"
  var $11=(($9-$10)|0); //@line 50 "./jsopcodeinlines.h"
  ;
  return $11; //@line 50 "./jsopcodeinlines.h"
}


function __ZNK28BytecodeRangeWithLineNumbers15frontLineNumberEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return $4; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js13BytecodeRange7frontPCEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 48 "./jsopcodeinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 48 "./jsopcodeinlines.h"
  ;
  return $4; //@line 48 "./jsopcodeinlines.h"
}


function __ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js13BytecodeRangeC2EP9JSContextP8JSScript($this, $cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$script;
  var $4=$1;
  var $5=(($4)|0); //@line 46 "./jsopcodeinlines.h"
  var $6=$2; //@line 46 "./jsopcodeinlines.h"
  HEAP32[(($5)>>2)]=$6; //@line 46 "./jsopcodeinlines.h"
  var $7=(($4+4)|0); //@line 46 "./jsopcodeinlines.h"
  var $8=$3; //@line 46 "./jsopcodeinlines.h"
  HEAP32[(($7)>>2)]=$8; //@line 46 "./jsopcodeinlines.h"
  var $9=(($4+8)|0); //@line 46 "./jsopcodeinlines.h"
  var $10=$3; //@line 46 "./jsopcodeinlines.h"
  var $11=(($10)|0); //@line 46 "./jsopcodeinlines.h"
  var $12=HEAP32[(($11)>>2)]; //@line 46 "./jsopcodeinlines.h"
  HEAP32[(($9)>>2)]=$12; //@line 46 "./jsopcodeinlines.h"
  var $13=(($4+12)|0); //@line 46 "./jsopcodeinlines.h"
  var $14=(($4+8)|0); //@line 46 "./jsopcodeinlines.h"
  var $15=HEAP32[(($14)>>2)]; //@line 46 "./jsopcodeinlines.h"
  var $16=$3; //@line 46 "./jsopcodeinlines.h"
  var $17=(($16+8)|0); //@line 46 "./jsopcodeinlines.h"
  var $18=HEAP32[(($17)>>2)]; //@line 46 "./jsopcodeinlines.h"
  var $19=(($15+$18)|0); //@line 46 "./jsopcodeinlines.h"
  HEAP32[(($13)>>2)]=$19; //@line 46 "./jsopcodeinlines.h"
  ;
  return; //@line 46 "./jsopcodeinlines.h"
}


function __ZN8JSScript5notesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 704 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 704 "./jsscript.h"
  var $5=(($2+8)|0); //@line 704 "./jsscript.h"
  var $6=HEAP32[(($5)>>2)]; //@line 704 "./jsscript.h"
  var $7=(($4+$6)|0); //@line 704 "./jsscript.h"
  ;
  return $7; //@line 704 "./jsscript.h"
}


function __ZN16FlowGraphSummary8populateEP9JSContextP8JSScript($this, $cx, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $self;
      var $i;
      var $prevLine;
      var $prevOp;
      var $r=__stackBase__;
      var $lineno;
      var $op;
      var $table;
      var $big;
      var $pc;
      var $offset;
      var $step;
      var $defaultOffset;
      var $ncases;
      var $low;
      var $i1;
      var $target;
      $2=$this;
      $3=$cx;
      $4=$script;
      var $5=$2;
      var $6=$5; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$4; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7+8)|0); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE6growByEj($6, $9); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      $1=0; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 44; break; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      $self=$5; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$self; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$13; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($14, 0); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($15)>>2)]=-2; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=1; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $17=$i; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=$4; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($18+8)|0); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=HEAPU32[(($19)>>2)]; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($17)>>>0) < (($20)>>>0); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $23=$self; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=$23; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $25=$i; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($24, $25); //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($26)>>2)]=-1; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $28=$i; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28+1)|0); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i=$29; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 4; break; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $31=$4; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32=(($31+28)|0); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $prevLine=$33; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $prevOp=0; //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=$3; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=$4; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN28BytecodeRangeWithLineNumbersC1EP9JSContextP8JSScript($r, $34, $35); //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $37=$r; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=__ZNK2js13BytecodeRange5emptyEv($37); //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=$38 ^ 1; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($39) { __label__ = 9; break; } else { __label__ = 43; break; } //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $41=__ZNK28BytecodeRangeWithLineNumbers15frontLineNumberEv($r); //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $lineno=$41; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$r; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $43=__ZNK2js13BytecodeRange11frontOpcodeEv($42); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $op=$43; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44=$prevOp; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=__ZN2js13FlowsIntoNextE4JSOp($44); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $47=$prevLine; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $48=$r; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $49=__ZNK2js13BytecodeRange11frontOffsetEv($48); //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN16FlowGraphSummary7addEdgeEjj($5, $47, $49); //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 11; break; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $51=$op; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=((_js_CodeSpec+($51<<3))|0); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=__ZNK10JSCodeSpec4typeEv($52); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=(($53)|0)==1; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      var $56=$lineno; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $57=$r; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $58=__ZNK2js13BytecodeRange11frontOffsetEv($57); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $59=$r; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=__ZNK2js13BytecodeRange7frontPCEv($59); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=(($60+1)|0); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=HEAPU8[($61)]; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=(($62)&255); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $64=$63 << 8; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65=$r; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=__ZNK2js13BytecodeRange7frontPCEv($65); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=(($66+2)|0); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=HEAPU8[($67)]; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=(($68)&255); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=$64 | $69; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $71=(($70) & 65535); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $72=(($71 << 16) >> 16); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $73=(($58+$72)|0); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN16FlowGraphSummary7addEdgeEjj($5, $56, $73); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 41; break; //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 13: 
      var $75=$op; //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $76=((_js_CodeSpec+($75<<3))|0); //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77=__ZNK10JSCodeSpec4typeEv($76); //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=(($77)|0)==9; //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($78) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $80=$lineno; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=$r; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=__ZNK2js13BytecodeRange11frontOffsetEv($81); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=$r; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=__ZNK2js13BytecodeRange7frontPCEv($83); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=(($84+1)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $86=HEAPU8[($85)]; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $87=(($86)&255); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=$87 << 24; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=$r; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=__ZNK2js13BytecodeRange7frontPCEv($89); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=(($90+2)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $92=HEAPU8[($91)]; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $93=(($92)&255); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=$93 << 16; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=$88 | $94; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=$r; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=__ZNK2js13BytecodeRange7frontPCEv($96); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $98=(($97+3)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99=HEAPU8[($98)]; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=(($99)&255); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=$100 << 8; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $102=$95 | $101; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $103=$r; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $104=__ZNK2js13BytecodeRange7frontPCEv($103); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $105=(($104+4)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $106=HEAPU8[($105)]; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $107=(($106)&255); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $108=$102 | $107; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $109=(($82+$108)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN16FlowGraphSummary7addEdgeEjj($5, $80, $109); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 40; break; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $111=$op; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $112=(($111)|0)==70; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($112) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $114=$op; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $115=(($114)|0)==149; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($115) { __label__ = 19; break; } else { __label__ = 17; break; } //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $117=$op; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $118=(($117)|0)==71; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($118) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $120=$op; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $121=(($120)|0)==150; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($121) { __label__ = 19; break; } else { __label__ = 39; break; } //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $123=$op; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $124=(($123)|0)==70; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($124) { var $129 = 1;__label__ = 21; break; } else { __label__ = 20; break; } //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $126=$op; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $127=(($126)|0)==149; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $129 = $127;__label__ = 21; break; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $129;
      var $130=(($129)&1); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $table=$130; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $131=$op; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $132=(($131)|0)==149; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($132) { var $137 = 1;__label__ = 23; break; } else { __label__ = 22; break; } //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $134=$op; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $135=(($134)|0)==150; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $137 = $135;__label__ = 23; break; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      var $137;
      var $138=(($137)&1); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $big=$138; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $139=$r; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $140=__ZNK2js13BytecodeRange7frontPCEv($139); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$140; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $141=$r; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $142=__ZNK2js13BytecodeRange11frontOffsetEv($141); //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $offset=$142; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $143=$big; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $144=(($143) & 1); //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $145=$144 ? 4 : 2; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $step=$145; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $146=$offset; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $147=$big; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $148=(($147) & 1); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($148) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 24: 
      var $150=$pc; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $151=(($150+1)|0); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $152=HEAPU8[($151)]; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $153=(($152)&255); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $154=$153 << 24; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $155=$pc; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $156=(($155+2)|0); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $157=HEAPU8[($156)]; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $158=(($157)&255); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $159=$158 << 16; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $160=$154 | $159; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $161=$pc; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $162=(($161+3)|0); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $163=HEAPU8[($162)]; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $164=(($163)&255); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $165=$164 << 8; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $166=$160 | $165; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $167=$pc; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $168=(($167+4)|0); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $169=HEAPU8[($168)]; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $170=(($169)&255); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $171=$166 | $170; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $186 = $171;__label__ = 26; break; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 25: 
      var $173=$pc; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $174=(($173+1)|0); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $175=HEAPU8[($174)]; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $176=(($175)&255); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $177=$176 << 8; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $178=$pc; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $179=(($178+2)|0); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $180=HEAPU8[($179)]; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $181=(($180)&255); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $182=$177 | $181; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $183=(($182) & 65535); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $184=(($183 << 16) >> 16); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $186 = $184;__label__ = 26; break; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 26: 
      var $186; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $187=(($146+$186)|0); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $defaultOffset=$187; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $188=$step; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $189=$pc; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $190=(($189+$188)|0); //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$190; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $191=$lineno; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $192=$defaultOffset; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN16FlowGraphSummary7addEdgeEjj($5, $191, $192); //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $193=$table; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $194=(($193) & 1); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($194) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 27: 
      var $196=$pc; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $197=(($196+1)|0); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $198=HEAPU8[($197)]; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $199=(($198)&255); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $200=$199 << 8; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $201=$pc; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $202=(($201+2)|0); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $203=HEAPU8[($202)]; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $204=(($203)&255); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $205=$200 | $204; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $206=(($205) & 65535); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $207=(($206 << 16) >> 16); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $low=$207; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $208=$pc; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $209=(($208+2)|0); //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$209; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $210=$pc; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $211=(($210+1)|0); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $212=HEAPU8[($211)]; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $213=(($212)&255); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $214=$213 << 8; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $215=$pc; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $216=(($215+2)|0); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $217=HEAPU8[($216)]; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $218=(($217)&255); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $219=$214 | $218; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $220=(($219) & 65535); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $221=(($220 << 16) >> 16); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $222=$low; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $223=(($221-$222)|0); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $224=(($223+1)|0); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ncases=$224; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $225=$pc; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $226=(($225+2)|0); //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$226; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 28: 
      var $228=$pc; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $229=(($228+1)|0); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $230=HEAPU8[($229)]; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $231=(($230)&255); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $232=$231 << 8; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $233=$pc; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $234=(($233+2)|0); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $235=HEAPU8[($234)]; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $236=(($235)&255); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $237=$232 | $236; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $ncases=$237; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $238=$pc; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $239=(($238+2)|0); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$239; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 29; break;
    case 29: 
      $i1=0; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 30; break; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 30: 
      var $242=$i1; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $243=$ncases; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $244=(($242)|0) < (($243)|0); //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($244) { __label__ = 31; break; } else { __label__ = 38; break; } //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 31: 
      var $246=$table; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $247=(($246) & 1); //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($247) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 32: 
      var $249=$pc; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $250=(($249+2)|0); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$250; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 33; break; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 33: 
      var $252=$offset; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $253=$big; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $254=(($253) & 1); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($254) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 34: 
      var $256=$pc; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $257=(($256+1)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $258=HEAPU8[($257)]; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $259=(($258)&255); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $260=$259 << 24; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $261=$pc; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $262=(($261+2)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $263=HEAPU8[($262)]; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $264=(($263)&255); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $265=$264 << 16; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $266=$260 | $265; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $267=$pc; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $268=(($267+3)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $269=HEAPU8[($268)]; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $270=(($269)&255); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $271=$270 << 8; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $272=$266 | $271; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $273=$pc; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $274=(($273+4)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $275=HEAPU8[($274)]; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $276=(($275)&255); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $277=$272 | $276; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $292 = $277;__label__ = 36; break; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 35: 
      var $279=$pc; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $280=(($279+1)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $281=HEAPU8[($280)]; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $282=(($281)&255); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $283=$282 << 8; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $284=$pc; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $285=(($284+2)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $286=HEAPU8[($285)]; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $287=(($286)&255); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $288=$283 | $287; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $289=(($288) & 65535); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $290=(($289 << 16) >> 16); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $292 = $290;__label__ = 36; break; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 36: 
      var $292; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $293=(($252+$292)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $target=$293; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $294=$lineno; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $295=$target; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN16FlowGraphSummary7addEdgeEjj($5, $294, $295); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $296=$step; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $297=$pc; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $298=(($297+$296)|0); //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $pc=$298; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 37; break; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 37: 
      var $300=$i1; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $301=(($300+1)|0); //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $i1=$301; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 30; break; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 38: 
      __label__ = 39; break; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 39: 
      __label__ = 40; break;
    case 40: 
      __label__ = 41; break;
    case 41: 
      var $306=$op; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $prevOp=$306; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $307=$lineno; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $prevLine=$307; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 42; break; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 42: 
      __ZN28BytecodeRangeWithLineNumbers8popFrontEv($r); //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 8; break; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 43: 
      $1=1; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 44; break; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 44: 
      var $311=$1; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      STACKTOP = __stackBase__;
      return $311; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN16FlowGraphSummary8populateEP9JSContextP8JSScript["X"]=1;

function __ZN28BytecodeRangeWithLineNumbersC1EP9JSContextP8JSScript($this, $cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$script;
  var $4=$1;
  var $5=$2; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$3; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  __ZN28BytecodeRangeWithLineNumbersC2EP9JSContextP8JSScript($4, $5, $6); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2JSL11NumberValueEd($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function __ZN28BytecodeRangeWithLineNumbers8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js13BytecodeRange8popFrontEv($3); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $4=$2; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=__ZNK2js13BytecodeRange5emptyEv($4); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      __ZN28BytecodeRangeWithLineNumbers10updateLineEv($2); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 3; break; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      ;
      return; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16FlowGraphSummaryD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN16FlowGraphSummaryD2Ev($2); //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN16FlowGraphSummaryD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEED2Ev($3); //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  ;
  return; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE7destroyEPjS3_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js13BytecodeRange8popFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 51 "./jsopcodeinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 51 "./jsopcodeinlines.h"
  var $5=(($2+4)|0); //@line 51 "./jsopcodeinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 51 "./jsopcodeinlines.h"
  var $7=(($2+8)|0); //@line 51 "./jsopcodeinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 51 "./jsopcodeinlines.h"
  var $9=__ZN2js17GetBytecodeLengthEP9JSContextP8JSScriptPh($4, $6, $8); //@line 51 "./jsopcodeinlines.h"
  var $10=(($2+8)|0); //@line 51 "./jsopcodeinlines.h"
  var $11=HEAP32[(($10)>>2)]; //@line 51 "./jsopcodeinlines.h"
  var $12=(($11+$9)|0); //@line 51 "./jsopcodeinlines.h"
  HEAP32[(($10)>>2)]=$12; //@line 51 "./jsopcodeinlines.h"
  ;
  return; //@line 51 "./jsopcodeinlines.h"
}


function __ZN28BytecodeRangeWithLineNumbers10updateLineEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $type;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $4=(($2+20)|0); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=HEAPU8[($5)]; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=(($6)&255); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($7)|0)==0; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($8) { var $16 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $10=(($2+24)|0); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=$2; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=__ZNK2js13BytecodeRange7frontPCEv($12); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=(($11)>>>0) <= (($13)>>>0); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 23; break; }
    case 5: 
      var $18=(($2+20)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=HEAPU8[($19)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=(($20)&255); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=$21 >> 3; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($22)|0) >= 24; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      var $32 = 24;__label__ = 8; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 7: 
      var $26=(($2+20)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=HEAPU8[($27)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=(($28)&255); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=$29 >> 3; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $32 = $30;__label__ = 8; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 8: 
      var $32; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      $type=$32; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=$type; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=(($33)|0)==23; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 9: 
      var $36=(($2+20)|0); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $38=_js_GetSrcNoteOffset($37, 0); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=(($2+16)|0); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($39)>>2)]=$38; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 13; break; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 10: 
      var $41=$type; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=(($41)|0)==22; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 11: 
      var $44=(($2+16)|0); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=(($45+1)|0); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($44)>>2)]=$46; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 12; break; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      var $49=(($2+20)|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $51=(($2+20)|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $53=HEAPU8[($52)]; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $54=(($53)&255); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $55=$54 >> 3; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $56=(($55)|0) >= 24; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 14: 
      var $65 = 24;__label__ = 16; break; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 15: 
      var $59=(($2+20)|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $61=HEAPU8[($60)]; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $62=(($61)&255); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $63=$62 >> 3; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $65 = $63;__label__ = 16; break; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 16: 
      var $65; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $66=((_js_SrcNoteSpec+($65<<3))|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $67=(($66+4)|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $68=HEAP8[($67)]; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $69=(($68 << 24) >> 24); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $70=(($69)|0)==0; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($70) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 17: 
      var $77 = 1;__label__ = 19; break; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 18: 
      var $73=(($2+20)|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $75=_js_SrcNoteLength($74); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $77 = $75;__label__ = 19; break; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 19: 
      var $77; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $78=(($50+$77)|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $79=(($2+20)|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($79)>>2)]=$78; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $80=(($2+20)|0); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $82=HEAPU8[($81)]; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $83=(($82)&255); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $84=$83 >> 3; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $85=(($84)|0) >= 24; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($85) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 20: 
      var $87=(($2+20)|0); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $89=HEAPU8[($88)]; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $90=(($89)&255); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $91=$90 & 63; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99 = $91;__label__ = 22; break; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 21: 
      var $93=(($2+20)|0); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $95=HEAPU8[($94)]; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $96=(($95)&255); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $97=$96 & 7; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $99 = $97;__label__ = 22; break; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 22: 
      var $99; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $100=(($2+24)|0); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $102=(($101+$99)|0); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($100)>>2)]=$102; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 2; break; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 23: 
      ;
      return; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN28BytecodeRangeWithLineNumbers10updateLineEv["X"]=1;

function __ZN28BytecodeRangeWithLineNumbersC2EP9JSContextP8JSScript($this, $cx, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$script;
      var $4=$1;
      var $5=$4; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$2; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$3; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __ZN2js13BytecodeRangeC2EP9JSContextP8JSScript($5, $6, $7); //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=(($4+16)|0); //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=$3; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9+28)|0); //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($8)>>2)]=$11; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $12=(($4+20)|0); //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$3; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=__ZN8JSScript5notesEv($13); //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($12)>>2)]=$14; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=(($4+24)|0); //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=$3; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $17=(($16)|0); //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($15)>>2)]=$18; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=(($4+20)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=HEAPU8[($20)]; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=(($21)&255); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=(($22)|0)==0; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $25=(($4+20)|0); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=HEAPU8[($26)]; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=(($27)&255); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=$28 >> 3; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $30=(($29)|0) >= 24; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($30) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $32=(($4+20)|0); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $34=HEAPU8[($33)]; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $35=(($34)&255); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $36=$35 & 63; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44 = $36;__label__ = 5; break; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $38=(($4+20)|0); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $40=HEAPU8[($39)]; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $41=(($40)&255); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $42=$41 & 7; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $44 = $42;__label__ = 5; break; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      var $44; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $45=(($4+24)|0); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $47=(($46+$44)|0); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($45)>>2)]=$47; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 6: 
      __ZN28BytecodeRangeWithLineNumbers10updateLineEv($4); //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      ;
      return; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN28BytecodeRangeWithLineNumbersC2EP9JSContextP8JSScript["X"]=1;

function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE6growByEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 693 "./jsvector.h"
  var $5=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10growByImplILb1EEEbj($3, $4); //@line 693 "./jsvector.h"
  ;
  return $5; //@line 693 "./jsvector.h"
}


function __ZNK2js12ContextStack17assertSpaceInSyncEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 1590 "./vm/Stack.h"
}


function __ZNK2js12CallReceiver11setUsedRvalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 189 "./vm/Stack.h"
}


function __ZN2js13FlowsIntoNextE4JSOp($op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$op;
      var $2=$1; //@line 563 "./jsopcode.h"
      var $3=(($2)|0)!=197; //@line 563 "./jsopcode.h"
      if ($3) { __label__ = 2; break; } else { var $23 = 0;__label__ = 8; break; } //@line 563 "./jsopcode.h"
    case 2: 
      var $5=$1; //@line 563 "./jsopcode.h"
      var $6=(($5)|0)!=5; //@line 563 "./jsopcode.h"
      if ($6) { __label__ = 3; break; } else { var $23 = 0;__label__ = 8; break; } //@line 563 "./jsopcode.h"
    case 3: 
      var $8=$1; //@line 563 "./jsopcode.h"
      var $9=(($8)|0)!=155; //@line 563 "./jsopcode.h"
      if ($9) { __label__ = 4; break; } else { var $23 = 0;__label__ = 8; break; } //@line 563 "./jsopcode.h"
    case 4: 
      var $11=$1; //@line 563 "./jsopcode.h"
      var $12=(($11)|0)!=112; //@line 563 "./jsopcode.h"
      if ($12) { __label__ = 5; break; } else { var $23 = 0;__label__ = 8; break; } //@line 563 "./jsopcode.h"
    case 5: 
      var $14=$1; //@line 563 "./jsopcode.h"
      var $15=(($14)|0)!=6; //@line 563 "./jsopcode.h"
      if ($15) { __label__ = 6; break; } else { var $23 = 0;__label__ = 8; break; } //@line 563 "./jsopcode.h"
    case 6: 
      var $17=$1; //@line 563 "./jsopcode.h"
      var $18=(($17)|0)!=141; //@line 563 "./jsopcode.h"
      if ($18) { __label__ = 7; break; } else { var $23 = 0;__label__ = 8; break; } //@line 563 "./jsopcode.h"
    case 7: 
      var $20=$1; //@line 563 "./jsopcode.h"
      var $21=(($20)|0)!=117; //@line 563 "./jsopcode.h"
      var $23 = $21;__label__ = 8; break;
    case 8: 
      var $23;
      ;
      return $23; //@line 565 "./jsopcode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript13isValidOffsetEh($offset) {
  ;
  var __label__;

  var $1;
  $1=$offset;
  var $2=$1; //@line 707 "./jsscript.h"
  var $3=(($2)&255); //@line 707 "./jsscript.h"
  var $4=(($3)|0)!=255; //@line 707 "./jsscript.h"
  ;
  return $4; //@line 707 "./jsscript.h"
}


function __ZNK10JSCodeSpec4typeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 277 "./jsopcode.h"
  var $4=HEAP32[(($3)>>2)]; //@line 277 "./jsopcode.h"
  var $5=$4 & 31; //@line 277 "./jsopcode.h"
  ;
  return $5; //@line 277 "./jsopcode.h"
}


function __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE10initializeEPjS3_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 147 "./jsvector.h"
      $p=$3; //@line 147 "./jsvector.h"
      __label__ = 2; break; //@line 147 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 147 "./jsvector.h"
      var $6=$2; //@line 147 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 147 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 147 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 148 "./jsvector.h"
      var $10=$9; //@line 148 "./jsvector.h"
      var $11=(($10)|0)==0; //@line 148 "./jsvector.h"
      if ($11) { var $15 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 148 "./jsvector.h"
    case 4: 
      var $13=$10; //@line 148 "./jsvector.h"
      HEAP32[(($13)>>2)]=0; //@line 148 "./jsvector.h"
      var $15 = $13;__label__ = 5; break; //@line 148 "./jsvector.h"
    case 5: 
      var $15; //@line 148 "./jsvector.h"
      __label__ = 6; break; //@line 148 "./jsvector.h"
    case 6: 
      var $17=$p; //@line 147 "./jsvector.h"
      var $18=(($17+4)|0); //@line 147 "./jsvector.h"
      $p=$18; //@line 147 "./jsvector.h"
      __label__ = 2; break; //@line 147 "./jsvector.h"
    case 7: 
      ;
      return; //@line 149 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE13copyConstructIjEEvPjPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript7objectsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 711 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 711 "./jsscript.h"
  var $5=(($2+16)|0); //@line 711 "./jsscript.h"
  var $6=HEAPU8[($5)]; //@line 711 "./jsscript.h"
  var $7=(($6)&255); //@line 711 "./jsscript.h"
  var $8=(($4+$7)|0); //@line 711 "./jsscript.h"
  var $9=$8; //@line 711 "./jsscript.h"
  ;
  return $9; //@line 711 "./jsscript.h"
}


function _PRIVATE_PTR_TO_JSVAL_IMPL($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$agg_result; //@line 568 "./jsval.h"
  var $3=(($2+4)|0); //@line 568 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 568 "./jsval.h"
  var $4=$1; //@line 569 "./jsval.h"
  var $5=$agg_result; //@line 569 "./jsval.h"
  var $6=(($5)|0); //@line 569 "./jsval.h"
  var $7=$6; //@line 569 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 569 "./jsval.h"
  ;
  return; //@line 571 "./jsval.h"
}


function __ZN2js5types10TypeObject11hasAllFlagsEj($this, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$flags;
  var $3=$1;
  var $4=(($3+12)|0); //@line 805 "./jsinfer.h"
  var $5=HEAP32[(($4)>>2)]; //@line 805 "./jsinfer.h"
  var $6=$2; //@line 805 "./jsinfer.h"
  var $7=$5 & $6; //@line 805 "./jsinfer.h"
  var $8=$2; //@line 805 "./jsinfer.h"
  var $9=(($7)|0)==(($8)|0); //@line 805 "./jsinfer.h"
  ;
  return $9; //@line 805 "./jsinfer.h"
}


function _BOOLEAN_TO_JSVAL_IMPL($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZN2js15TempAllocPolicyC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 93 "./jsalloc.h"
  var $5=$2; //@line 93 "./jsalloc.h"
  HEAP32[(($4)>>2)]=$5; //@line 93 "./jsalloc.h"
  ;
  return; //@line 93 "./jsalloc.h"
}


function __ZNK2js13BytecodeRange11frontOpcodeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 49 "./jsopcodeinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 49 "./jsopcodeinlines.h"
  var $5=(($2+4)|0); //@line 49 "./jsopcodeinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 49 "./jsopcodeinlines.h"
  var $7=(($2+8)|0); //@line 49 "./jsopcodeinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 49 "./jsopcodeinlines.h"
  var $9=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh($4, $6, $8); //@line 49 "./jsopcodeinlines.h"
  ;
  return $9; //@line 49 "./jsopcodeinlines.h"
}


function __ZN16FlowGraphSummary7addEdgeEjj($this, $sourceLine, $targetOffset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $self;
      $1=$this;
      $2=$sourceLine;
      $3=$targetOffset;
      var $4=$1;
      $self=$4; //@line 2198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $5=$self; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $6=$5; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $7=$3; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $8=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($6, $7); //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $10=(($9)|0)==-1; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 2: 
      var $12=$2; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $13=$self; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $14=$13; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $15=$3; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $16=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($14, $15); //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($16)>>2)]=$12; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 6; break; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 3: 
      var $18=$self; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $19=$18; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $20=$3; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $21=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($19, $20); //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $23=$2; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $24=(($22)|0)!=(($23)|0); //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 4: 
      var $26=$self; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $27=$26; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $28=$3; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      var $29=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($27, $28); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      HEAP32[(($29)>>2)]=-2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
      __label__ = 5; break; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      ;
      return; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12js_GetOpcodeP9JSContextP8JSScriptPh($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 954 "./jsscript.h"
      var $5=HEAPU8[($4)]; //@line 954 "./jsscript.h"
      var $6=(($5)&255); //@line 954 "./jsscript.h"
      $op=$6; //@line 954 "./jsscript.h"
      var $7=$op; //@line 955 "./jsscript.h"
      var $8=(($7)|0)==83; //@line 955 "./jsscript.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 955 "./jsscript.h"
    case 2: 
      var $10=$1; //@line 956 "./jsscript.h"
      var $11=$2; //@line 956 "./jsscript.h"
      var $12=$3; //@line 956 "./jsscript.h"
      var $13=_JS_GetTrapOpcode($10, $11, $12); //@line 956 "./jsscript.h"
      $op=$13; //@line 956 "./jsscript.h"
      __label__ = 3; break; //@line 956 "./jsscript.h"
    case 3: 
      var $15=$op; //@line 957 "./jsscript.h"
      ;
      return $15; //@line 957 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10growByImplILb1EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<2))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 680 "./jsvector.h"
      var $22=$newend; //@line 680 "./jsvector.h"
      __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE10initializeEPjS3_($21, $22); //@line 680 "./jsvector.h"
      var $23=$3; //@line 681 "./jsvector.h"
      var $24=(($5+8)|0); //@line 681 "./jsvector.h"
      var $25=HEAP32[(($24)>>2)]; //@line 681 "./jsvector.h"
      var $26=(($25+$23)|0); //@line 681 "./jsvector.h"
      HEAP32[(($24)>>2)]=$26; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $28=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $28; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE13moveConstructIjEEvPjPKT_S7_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE7destroyEPjS3_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIjLj0ES1_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIjLj0ES1_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE13moveConstructIjEEvPjPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE13copyConstructIjEEvPjPKT_S7_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN16FlowGraphSummaryC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=$4; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  var $6=$2; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEC2ES1_($5, $3); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Debugger.cpp"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEC2ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($this, $cx, $id, $value, $getter, $setter, $attrs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$id;
      $4=$value;
      $5=$getter;
      $6=$setter;
      $7=$attrs;
      var $8=$1;
      var $9=__ZNK8JSObject6getOpsEv($8); //@line 1434 "./jsobj.h"
      var $10=(($9+20)|0); //@line 1434 "./jsobj.h"
      var $11=HEAP32[(($10)>>2)]; //@line 1434 "./jsobj.h"
      $op=$11; //@line 1434 "./jsobj.h"
      var $12=$op; //@line 1435 "./jsobj.h"
      var $13=(($12)|0)!=0; //@line 1435 "./jsobj.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1435 "./jsobj.h"
    case 2: 
      var $15=$op; //@line 1435 "./jsobj.h"
      var $18 = $15;__label__ = 4; break; //@line 1435 "./jsobj.h"
    case 3: 
      var $18 = 30;__label__ = 4; break; //@line 1435 "./jsobj.h"
    case 4: 
      var $18; //@line 1435 "./jsobj.h"
      var $19=$2; //@line 1435 "./jsobj.h"
      var $20=$3; //@line 1435 "./jsobj.h"
      var $21=$4; //@line 1435 "./jsobj.h"
      var $22=$5; //@line 1435 "./jsobj.h"
      var $23=$6; //@line 1435 "./jsobj.h"
      var $24=$7; //@line 1435 "./jsobj.h"
      var $25=FUNCTION_TABLE[$18]($19, $8, $20, $21, $22, $23, $24); //@line 1435 "./jsobj.h"
      ;
      return $25; //@line 1435 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS5Value10setPrivateEPv($this, $ptr) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$ptr;
  var $4=$1;
  var $5=(($4)|0); //@line 615 "./jsapi.h"
  var $6=$2; //@line 615 "./jsapi.h"
  _PRIVATE_PTR_TO_JSVAL_IMPL($3, $6); //@line 615 "./jsapi.h"
  var $7=$5; //@line 615 "./jsapi.h"
  var $8=$3; //@line 615 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 615 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 616 "./jsapi.h"
}


function __ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($this, $cx, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$id;
  $4=$vp;
  var $5=$1;
  var $6=$2; //@line 160 "./jsobjinlines.h"
  var $7=$3; //@line 160 "./jsobjinlines.h"
  var $8=$4; //@line 160 "./jsobjinlines.h"
  var $9=__ZN8JSObject10getGenericEP9JSContextPS_iPN2JS5ValueE($5, $6, $5, $7, $8); //@line 160 "./jsobjinlines.h"
  ;
  return $9; //@line 160 "./jsobjinlines.h"
}


function __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+8)|0); //@line 49 "./jsarrayinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 49 "./jsarrayinlines.h"
      var $6=$5 & 16384; //@line 49 "./jsarrayinlines.h"
      var $7=(($6)|0)!=0; //@line 49 "./jsarrayinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 49 "./jsarrayinlines.h"
    case 2: 
      var $9=(($3+8)|0); //@line 50 "./jsarrayinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 50 "./jsarrayinlines.h"
      var $11=$10 ^ 16384; //@line 50 "./jsarrayinlines.h"
      HEAP32[(($9)>>2)]=$11; //@line 50 "./jsarrayinlines.h"
      var $12=$2; //@line 51 "./jsarrayinlines.h"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($12, $3, 131072); //@line 51 "./jsarrayinlines.h"
      __label__ = 3; break; //@line 52 "./jsarrayinlines.h"
    case 3: 
      ;
      return; //@line 53 "./jsarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($cx, $obj, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$obj;
      $3=$flags;
      var $4=$1; //@line 384 "./jsinferinlines.h"
      var $5=__ZN9JSContext20typeInferenceEnabledEv($4); //@line 384 "./jsinferinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 384 "./jsinferinlines.h"
    case 2: 
      var $7=$2; //@line 384 "./jsinferinlines.h"
      var $8=__ZNK8JSObject11hasLazyTypeEv($7); //@line 384 "./jsinferinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 384 "./jsinferinlines.h"
    case 3: 
      var $10=$2; //@line 384 "./jsinferinlines.h"
      var $11=__ZNK8JSObject4typeEv($10); //@line 384 "./jsinferinlines.h"
      var $12=$3; //@line 384 "./jsinferinlines.h"
      var $13=__ZN2js5types10TypeObject11hasAllFlagsEj($11, $12); //@line 384 "./jsinferinlines.h"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 384 "./jsinferinlines.h"
    case 4: 
      var $15=$2; //@line 385 "./jsinferinlines.h"
      var $16=__ZNK8JSObject4typeEv($15); //@line 385 "./jsinferinlines.h"
      var $17=$1; //@line 385 "./jsinferinlines.h"
      var $18=$3; //@line 385 "./jsinferinlines.h"
      __ZN2js5types10TypeObject8setFlagsEP9JSContextj($16, $17, $18); //@line 385 "./jsinferinlines.h"
      __label__ = 5; break; //@line 385 "./jsinferinlines.h"
    case 5: 
      ;
      return; //@line 386 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16CallArgsFromArgvEjPN2JS5ValueE($agg_result, $argc, $argv) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$argc;
  $2=$argv;
  var $3=$agg_result; //@line 251 "./vm/Stack.h"
  __ZNK2js12CallReceiver13clearUsedRvalEv($3); //@line 251 "./vm/Stack.h"
  var $4=$2; //@line 252 "./vm/Stack.h"
  var $5=$agg_result; //@line 252 "./vm/Stack.h"
  var $6=(($5)|0); //@line 252 "./vm/Stack.h"
  HEAP32[(($6)>>2)]=$4; //@line 252 "./vm/Stack.h"
  var $7=$1; //@line 253 "./vm/Stack.h"
  var $8=(($agg_result+4)|0); //@line 253 "./vm/Stack.h"
  HEAP32[(($8)>>2)]=$7; //@line 253 "./vm/Stack.h"
  ;
  return; //@line 254 "./vm/Stack.h"
}


function __ZN2js16AutoObjectVectorD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 2466 "./jscntxt.h"
  __ZN2js16AutoVectorRooterIP8JSObjectED2Ev($3); //@line 2466 "./jscntxt.h"
  ;
  return; //@line 2466 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIP8JSObjectED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2382 "./jscntxt.h"
  __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEED1Ev($3); //@line 2382 "./jscntxt.h"
  var $4=$2; //@line 2382 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($4); //@line 2382 "./jscntxt.h"
  ;
  return; //@line 2382 "./jscntxt.h"
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoObjectVectorC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$3; //@line 2472 "./jscntxt.h"
      var $5=$2; //@line 2472 "./jscntxt.h"
      __ZN2js16AutoVectorRooterIP8JSObjectEC2EP9JSContexti($4, $5, -16); //@line 2472 "./jscntxt.h"
      __label__ = 2; break; //@line 2473 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2473 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 2474 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoVectorRooterIP8JSObjectEC2EP9JSContexti($this, $cx, $tag) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$tag;
      var $5=$1;
      var $6=$5; //@line 2388 "./jscntxt.h"
      var $7=$2; //@line 2388 "./jscntxt.h"
      var $8=$3; //@line 2388 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($6, $7, $8); //@line 2388 "./jscntxt.h"
      var $9=(($5+12)|0); //@line 2388 "./jscntxt.h"
      var $10=$2; //@line 2388 "./jscntxt.h"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $10); //@line 2388 "./jscntxt.h"
      __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEC1ES3_($9, $4); //@line 2388 "./jscntxt.h"
      __label__ = 2; break; //@line 2389 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2389 "./jscntxt.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 2390 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj32EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=8; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZNK2js12ContextStack4regsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1643 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1643 "./vm/Stack.h"
  var $5=__ZNK2js12StackSegment4regsEv($4); //@line 1643 "./vm/Stack.h"
  ;
  return $5; //@line 1643 "./vm/Stack.h"
}


function __ZL14JSID_FROM_BITSj($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZNK2js2gc4Cell7addressEv($this) {
  ;
  var __label__;

  var $1;
  var $addr;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 668 "./jsgc.h"
  $addr=$3; //@line 668 "./jsgc.h"
  var $4=$addr; //@line 671 "./jsgc.h"
  ;
  return $4; //@line 671 "./jsgc.h"
}


function __ZN8JSObject8asGlobalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return $3; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZNK2js12StackSegment4regsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1366 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1366 "./vm/Stack.h"
  ;
  return $4; //@line 1366 "./vm/Stack.h"
}


function __ZNK2JS5ValueeqERKS0_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=(($3)|0); //@line 485 "./jsapi.h"
  var $5=$4; //@line 485 "./jsapi.h"
  var $st$7$0=(($5)|0);
  var $6$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($5+4)|0);
  var $6$1=HEAP32[(($st$7$1)>>2)];
  var $7=$2; //@line 485 "./jsapi.h"
  var $8=(($7)|0); //@line 485 "./jsapi.h"
  var $9=$8; //@line 485 "./jsapi.h"
  var $st$14$0=(($9)|0);
  var $10$0=HEAP32[(($st$14$0)>>2)];
  var $st$14$1=(($9+4)|0);
  var $10$1=HEAP32[(($st$14$1)>>2)];
  var $11=$6$0 == $10$0 && $6$1 == $10$1; //@line 485 "./jsapi.h"
  ;
  return $11; //@line 485 "./jsapi.h"
}


function _BUILD_JSVAL6($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZNK2js9FrameRegs2fpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1257 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1257 "./vm/Stack.h"
  ;
  return $4; //@line 1257 "./vm/Stack.h"
}


function __ZN7mozilla14AlignedStorageILj64EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function _JSVAL_IS_UNDEFINED_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL7($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZNK2js5Shape12isEmptyShapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 527 "./jsscope.h"
  var $4=HEAP32[(($3)>>2)]; //@line 527 "./jsscope.h"
  var $5=(($4)|0)!=0; //@line 527 "./jsscope.h"
  var $6=$5 ^ 1; //@line 527 "./jsscope.h"
  ;
  return $6; //@line 527 "./jsscope.h"
}


function __ZN2js10AutoLockGCD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1793 "./jscntxt.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1793 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1793 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1793 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1794 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1795 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10AutoLockGCC2EP9JSRuntime($this, $rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$rt;
      var $3=$1;
      var $4=(($3)|0); //@line 1775 "./jscntxt.h"
      var $5=$2; //@line 1775 "./jscntxt.h"
      HEAP32[(($4)>>2)]=$5; //@line 1775 "./jscntxt.h"
      __label__ = 2; break; //@line 1776 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1776 "./jscntxt.h"
    case 3: 
      var $8=$2; //@line 1777 "./jscntxt.h"
      var $9=(($8)|0)!=0; //@line 1777 "./jscntxt.h"
      if ($9) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1777 "./jscntxt.h"
    case 4: 
      __label__ = 5; break; //@line 1778 "./jscntxt.h"
    case 5: 
      ;
      return; //@line 1779 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18RuntimeAllocPolicyC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 2544 "./jscntxt.h"
  var $5=$2; //@line 2544 "./jscntxt.h"
  var $6=(($5+52)|0); //@line 2544 "./jscntxt.h"
  var $7=HEAP32[(($6)>>2)]; //@line 2544 "./jscntxt.h"
  HEAP32[(($4)>>2)]=$7; //@line 2544 "./jscntxt.h"
  ;
  return; //@line 2544 "./jscntxt.h"
}


function __ZNK2js8Debugger17observesNewScriptEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+40)|0); //@line 521 "./vm/Debugger.h"
      var $4=HEAP8[($3)]; //@line 521 "./vm/Debugger.h"
      var $5=(($4) & 1); //@line 521 "./vm/Debugger.h"
      if ($5) { __label__ = 2; break; } else { var $10 = 0;__label__ = 3; break; } //@line 521 "./vm/Debugger.h"
    case 2: 
      var $7=__ZNK2js8Debugger7getHookENS0_4HookE($2, 2); //@line 521 "./vm/Debugger.h"
      var $8=(($7)|0)!=0; //@line 521 "./vm/Debugger.h"
      var $10 = $8;__label__ = 3; break;
    case 3: 
      var $10;
      ;
      return $10; //@line 522 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL4FindIN2JS5ValueEEEPT_S4_S4_RKS3_($beg, $end, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p;
      $2=$beg;
      $3=$end;
      $4=$v;
      var $5=$2; //@line 283 "./jstl.h"
      $p=$5; //@line 283 "./jstl.h"
      __label__ = 2; break; //@line 283 "./jstl.h"
    case 2: 
      var $7=$p; //@line 283 "./jstl.h"
      var $8=$3; //@line 283 "./jstl.h"
      var $9=(($7)|0)!=(($8)|0); //@line 283 "./jstl.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 283 "./jstl.h"
    case 3: 
      var $11=$p; //@line 284 "./jstl.h"
      var $12=$4; //@line 284 "./jstl.h"
      var $13=__ZNK2JS5ValueeqERKS0_($11, $12); //@line 284 "./jstl.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 284 "./jstl.h"
    case 4: 
      var $15=$p; //@line 285 "./jstl.h"
      $1=$15; //@line 285 "./jstl.h"
      __label__ = 8; break; //@line 285 "./jstl.h"
    case 5: 
      __label__ = 6; break; //@line 286 "./jstl.h"
    case 6: 
      var $18=$p; //@line 283 "./jstl.h"
      var $19=(($18+8)|0); //@line 283 "./jstl.h"
      $p=$19; //@line 283 "./jstl.h"
      __label__ = 2; break; //@line 283 "./jstl.h"
    case 7: 
      var $21=$3; //@line 287 "./jstl.h"
      $1=$21; //@line 287 "./jstl.h"
      __label__ = 8; break; //@line 287 "./jstl.h"
    case 8: 
      var $23=$1; //@line 288 "./jstl.h"
      ;
      return $23; //@line 288 "./jstl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $t1=__stackBase__;
  $2=$cx;
  var $3=$t1;
  var $4=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
  STACKTOP = __stackBase__;
  return; //@line 238 "./jscntxtinlines.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE["X"]=1;

function __ZNK9JSContext5hasfpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 985 "./jscntxt.h"
  var $4=__ZNK2js12ContextStack5hasfpEv($3); //@line 985 "./jscntxt.h"
  ;
  return $4; //@line 985 "./jscntxt.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE["X"]=1;

function __ZN2js15AutoValueVectorD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 2447 "./jscntxt.h"
  __ZN2js16AutoVectorRooterIN2JS5ValueEED2Ev($3); //@line 2447 "./jscntxt.h"
  ;
  return; //@line 2447 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2382 "./jscntxt.h"
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEED1Ev($3); //@line 2382 "./jscntxt.h"
  var $4=$2; //@line 2382 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($4); //@line 2382 "./jscntxt.h"
  ;
  return; //@line 2382 "./jscntxt.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12ContextStack2fpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1644 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1644 "./vm/Stack.h"
  var $5=__ZNK2js12StackSegment2fpEv($4); //@line 1644 "./vm/Stack.h"
  ;
  return $5; //@line 1644 "./vm/Stack.h"
}


function __ZNK2js12StackSegment2fpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1374 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1374 "./vm/Stack.h"
  var $5=__ZNK2js9FrameRegs2fpEv($4); //@line 1374 "./vm/Stack.h"
  ;
  return $5; //@line 1374 "./vm/Stack.h"
}


function __ZN2js15AutoValueVectorC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$3; //@line 2453 "./jscntxt.h"
      var $5=$2; //@line 2453 "./jscntxt.h"
      __ZN2js16AutoVectorRooterIN2JS5ValueEEC2EP9JSContexti($4, $5, -12); //@line 2453 "./jscntxt.h"
      __label__ = 2; break; //@line 2454 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2454 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 2455 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEEC2EP9JSContexti($this, $cx, $tag) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$tag;
      var $5=$1;
      var $6=$5; //@line 2388 "./jscntxt.h"
      var $7=$2; //@line 2388 "./jscntxt.h"
      var $8=$3; //@line 2388 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($6, $7, $8); //@line 2388 "./jscntxt.h"
      var $9=(($5+12)|0); //@line 2388 "./jscntxt.h"
      var $10=$2; //@line 2388 "./jscntxt.h"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $10); //@line 2388 "./jscntxt.h"
      __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEC1ES3_($9, $4); //@line 2388 "./jscntxt.h"
      __label__ = 2; break; //@line 2389 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2389 "./jscntxt.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 2390 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj64EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=8; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN8JSObject7setSlotEjRKN2JS5ValueE($this, $slot, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$slot;
  $3=$value;
  var $4=$1;
  var $5=$2; //@line 880 "./jsobj.h"
  var $6=__ZN8JSObject10getSlotRefEj($4, $5); //@line 880 "./jsobj.h"
  var $7=$3; //@line 880 "./jsobj.h"
  var $8=$6; //@line 880 "./jsobj.h"
  var $9=$7; //@line 880 "./jsobj.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 880 "./jsobj.h"
  ;
  return; //@line 881 "./jsobj.h"
}


function __ZN8JSObject10getSlotRefEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 863 "./jsobj.h"
  var $5=__ZN8JSObject14getSlotAddressEj($3, $4); //@line 863 "./jsobj.h"
  ;
  return $5; //@line 863 "./jsobj.h"
}


function __ZN8JSObject14getSlotAddressEj($this, $slot) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fixed;
      $2=$this;
      $3=$slot;
      var $4=$2;
      var $5=__ZNK8JSObject13numFixedSlotsEv($4); //@line 855 "./jsobj.h"
      $fixed=$5; //@line 855 "./jsobj.h"
      var $6=$3; //@line 856 "./jsobj.h"
      var $7=$fixed; //@line 856 "./jsobj.h"
      var $8=(($6)>>>0) < (($7)>>>0); //@line 856 "./jsobj.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 856 "./jsobj.h"
    case 2: 
      var $10=__ZNK8JSObject10fixedSlotsEv($4); //@line 857 "./jsobj.h"
      var $11=$3; //@line 857 "./jsobj.h"
      var $12=(($10+($11<<3))|0); //@line 857 "./jsobj.h"
      $1=$12; //@line 857 "./jsobj.h"
      __label__ = 4; break; //@line 857 "./jsobj.h"
    case 3: 
      var $14=(($4+32)|0); //@line 858 "./jsobj.h"
      var $15=HEAP32[(($14)>>2)]; //@line 858 "./jsobj.h"
      var $16=$3; //@line 858 "./jsobj.h"
      var $17=$fixed; //@line 858 "./jsobj.h"
      var $18=(($16-$17)|0); //@line 858 "./jsobj.h"
      var $19=(($15+($18<<3))|0); //@line 858 "./jsobj.h"
      $1=$19; //@line 858 "./jsobj.h"
      __label__ = 4; break; //@line 858 "./jsobj.h"
    case 4: 
      var $21=$1; //@line 859 "./jsobj.h"
      ;
      return $21; //@line 859 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject11nativeEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject12lastPropertyEv($2); //@line 1056 "./jsobjinlines.h"
  var $4=__ZNK2js5Shape12isEmptyShapeEv($3); //@line 1056 "./jsobjinlines.h"
  ;
  return $4; //@line 1056 "./jsobjinlines.h"
}


function __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 189 "./jsweakmap.h"
  var $4=(($3+8)|0); //@line 189 "./jsweakmap.h"
  var $5=$4; //@line 189 "./jsweakmap.h"
  __ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev($5); //@line 189 "./jsweakmap.h"
  ;
  return; //@line 189 "./jsweakmap.h"
}


function __ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js2gc4Cell11arenaHeaderEv($this) {
  ;
  var __label__;

  var $1;
  var $addr;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc4Cell7addressEv($2); //@line 677 "./jsgc.h"
  $addr=$3; //@line 677 "./jsgc.h"
  var $4=$addr; //@line 678 "./jsgc.h"
  var $5=$4 & -4096; //@line 678 "./jsgc.h"
  $addr=$5; //@line 678 "./jsgc.h"
  var $6=$addr; //@line 679 "./jsgc.h"
  var $7=$6; //@line 679 "./jsgc.h"
  ;
  return $7; //@line 679 "./jsgc.h"
}


function __Z18js_InitObjectClassP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $global=$5; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $6=$global; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=__ZNK2js12GlobalObject32functionObjectClassesInitializedEv($6); //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($7) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $9=$global; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $10=$2; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $11=__ZN2js12GlobalObject28initFunctionAndObjectClassesEP9JSContext($9, $10); //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=(($11)|0)!=0; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      $1=0; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 6; break; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      __label__ = 5; break; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      var $16=$global; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=__ZNK2js12GlobalObject18getObjectPrototypeEv($16); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$17; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 6; break; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      var $19=$1; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      ;
      return $19; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12GlobalObject32functionObjectClassesInitializedEv($this) {
  ;
  var __label__;

  var $1;
  var $inited;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 2); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $5=__ZNK2JS5Value11isUndefinedEv($4); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $6=$5 ^ 1; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $7=(($6)&1); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  $inited=$7; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $8=$inited; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $9=(($8) & 1); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return $9; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZN10JSFunction19setConstructorClassEPN2js5ClassE($this, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$clasp;
  var $3=$1;
  var $4=$2; //@line 233 "./jsfun.h"
  var $5=(($3+60)|0); //@line 233 "./jsfun.h"
  var $6=$5; //@line 233 "./jsfun.h"
  var $7=(($6+4)|0); //@line 233 "./jsfun.h"
  HEAP32[(($7)>>2)]=$4; //@line 233 "./jsfun.h"
  ;
  return; //@line 234 "./jsfun.h"
}


function __ZN2js12GlobalObject28initFunctionAndObjectClassesEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $objectProto;
      var $objectType;
      var $functionProto;
      var $proto;
      var $functionType;
      var $script;
      var $objectId;
      var $objectCtor;
      var $ctor;
      var $functionId;
      var $functionCtor;
      var $ctor1;
      var $id;
      var $evalobj;
      var $throwTypeError;
      var $ids=__stackBase__;
      var $4;
      $2=$this;
      $3=$cx;
      var $5=$2;
      var $6=$3; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=(($6+132)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=(($8)|0)!=0; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $11=$3; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=$5; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      _JS_SetGlobalObject($11, $12); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 3; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $14=$3; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $15=$5; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $16=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_123($14, __ZN2js11ObjectClassE, 0, $15); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $objectProto=$16; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=$objectProto; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $18=(($17)|0)!=0; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $20=$objectProto; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $21=$3; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $22=__ZN8JSObject16setSingletonTypeEP9JSContext($20, $21); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      $1=0; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      var $25=$objectProto; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $26=$3; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $27=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($25, $26, 0, 1); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $objectType=$27; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $28=$objectType; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $29=(($28)|0)!=0; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 7: 
      var $31=$objectType; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $32=$3; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $33=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($31, $32, __ZN2js11ObjectClassE, 0); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $34=(($33)|0)!=0; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 8: 
      $1=0; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 9: 
      var $37=$3; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $38=$objectProto; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $39=$5; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $40=__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($37, __ZN2js13FunctionClassE, $38, $39); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $proto=$40; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $41=$proto; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $42=(($41)|0)!=0; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 10: 
      var $44=$proto; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $45=$3; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $46=__ZN8JSObject16setSingletonTypeEP9JSContext($44, $45); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 11: 
      $1=0; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 12: 
      var $49=$proto; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $50=$3; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $51=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($49, $50, 0, 1); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $functionType=$51; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $52=$functionType; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $53=(($52)|0)!=0; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($53) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 13: 
      var $55=$functionType; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $56=$3; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $57=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($55, $56, __ZN2js13FunctionClassE, 0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $58=(($57)|0)!=0; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 14: 
      $1=0; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 15: 
      var $61=$3; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $62=$proto; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $63=$5; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $64=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($61, $62, 0, 0, 16384, $63, 0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $functionProto=$64; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $65=$functionProto; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $66=(($65)|0)!=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($66) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 16: 
      $1=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 17: 
      var $69=$functionProto; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $70=(($69+58)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $71=HEAPU16[(($70)>>1)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $72=(($71)&65535); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $73=$72 | 2048; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $74=(($73) & 65535); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      HEAP16[(($70)>>1)]=$74; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $75=$3; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $76=__ZN8JSScript9NewScriptEP9JSContextjjjjjjjjjttj9JSVersion($75, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $script=$76; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $77=$script; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $78=(($77)|0)!=0; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 18: 
      $1=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 19: 
      var $81=$script; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $82=$81; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $83=(($82+36)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $84=HEAP8[($83)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $85=$84 & -2; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $86=$85 | 1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      HEAP8[($83)]=$86; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $87=$script; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $88=(($87)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $90=(($89)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      HEAP8[($90)]=-59; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $91=$script; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $92=(($91)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $94=(($93+1)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      HEAP8[($94)]=0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $95=$script; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $96=$functionProto; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $97=(($96+60)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $98=$97; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $99=(($98)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      HEAP32[(($99)>>2)]=$95; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $100=$functionProto; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $101=$functionProto; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $102=$101; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $103=$3; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $104=__ZN8JSObject7getTypeEP9JSContext($102, $103); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $105=(($104+28)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      HEAP32[(($105)>>2)]=$100; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $106=$script; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $107=$106; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $108=(($107+37)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $109=HEAP8[($108)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $110=$109 & -5; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $111=$110 | 4; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      HEAP8[($108)]=$111; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $112=$script; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $113=$functionProto; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $114=$113; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSScript14setOwnerObjectEP8JSObject($112, $114); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $115=$3; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $116=(($115+52)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $118=(($117+209948)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $119=(($118+72)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $120=(($119+4)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $122=$121; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $123=__ZL12ATOM_TO_JSIDP6JSAtom124($122); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $objectId=$123; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $124=$3; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $125=$functionProto; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $126=$125; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $127=$5; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $128=__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($124, __ZN2js13FunctionClassE, $126, $127); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $ctor=$128; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $129=$ctor; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $130=(($129)|0)!=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($130) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 20: 
      $1=0; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 21: 
      var $133=$3; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $134=$ctor; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $135=$5; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $136=$objectId; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $137=__ZL12JSID_TO_ATOMi($136); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $138=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($133, $134, 32, 1, 512, $135, $137); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $objectCtor=$138; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $139=$objectCtor; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $140=(($139)|0)!=0; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($140) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 22: 
      $1=0; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 23: 
      var $143=$objectCtor; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN10JSFunction19setConstructorClassEPN2js5ClassE($143, __ZN2js11ObjectClassE); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $144=$objectCtor; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $145=$objectProto; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2js12GlobalObject21setObjectClassDetailsEP10JSFunctionP8JSObject($5, $144, $145); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $146=$3; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $147=(($146+52)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $149=(($148+209948)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $150=(($149+72)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $151=(($150+8)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $153=$152; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $154=__ZL12ATOM_TO_JSIDP6JSAtom124($153); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $functionId=$154; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $155=$3; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $156=$functionProto; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $157=$156; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $158=$5; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $159=__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($155, __ZN2js13FunctionClassE, $157, $158); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $ctor1=$159; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $160=$ctor1; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $161=(($160)|0)!=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($161) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 24: 
      $1=0; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 25: 
      var $164=$3; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $165=$ctor1; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $166=$5; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $167=$functionId; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $168=__ZL12JSID_TO_ATOMi($167); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $169=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($164, $165, 34, 1, 512, $166, $168); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $functionCtor=$169; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $170=$functionCtor; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $171=(($170)|0)!=0; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($171) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 26: 
      $1=0; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 27: 
      var $174=$functionCtor; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN10JSFunction19setConstructorClassEPN2js5ClassE($174, __ZN2js13FunctionClassE); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $175=$functionCtor; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $176=$functionProto; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $177=$176; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2js12GlobalObject23setFunctionClassDetailsEP10JSFunctionP8JSObject($5, $175, $177); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $178=$3; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $179=$objectCtor; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $180=$179; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $181=$objectProto; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $182=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($178, $180, $181); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($182) { __label__ = 28; break; } else { __label__ = 33; break; } //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 28: 
      var $184=$3; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $185=$objectProto; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $186=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($184, $185, ((_object_props)|0), ((_object_methods)|0)); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($186) { __label__ = 29; break; } else { __label__ = 33; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 29: 
      var $188=$3; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $189=$objectCtor; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $190=$189; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $191=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($188, $190, 0, ((_object_static_methods)|0)); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($191) { __label__ = 30; break; } else { __label__ = 33; break; } //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 30: 
      var $193=$3; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $194=$functionCtor; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $195=$194; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $196=$functionProto; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $197=$196; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $198=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($193, $195, $197); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($198) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 31: 
      var $200=$3; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $201=$functionProto; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $202=$201; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $203=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($200, $202, 0, ((__ZN2js16function_methodsE)|0)); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($203) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 32: 
      var $205=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $206=$functionCtor; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $207=$206; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $208=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($205, $207, 0, 0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($208) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 33: 
      $1=0; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 34: 
      var $211=$5; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $212=$3; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $213=$objectId; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $214=__ZN8JSObject15addDataPropertyEP9JSContextijj($211, $212, $213, 75, 0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $215=(($214)|0)!=0; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($215) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 35: 
      $1=0; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 36: 
      var $218=$5; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $219=$3; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $220=$functionId; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $221=__ZN8JSObject15addDataPropertyEP9JSContextijj($218, $219, $220, 76, 0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $222=(($221)|0)!=0; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($222) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 37: 
      $1=0; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 38: 
      var $225=$3; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $226=(($225+52)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $228=(($227+209948)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $229=(($228+264)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $230=HEAP32[(($229)>>2)]; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $231=$230; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $232=__ZL12ATOM_TO_JSIDP6JSAtom124($231); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $id=$232; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $233=$3; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $234=$5; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $235=$id; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $236=__Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj($233, $234, $235, 36, 1, 4096); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $237=$236; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $evalobj=$237; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $238=$evalobj; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $239=(($238)|0)!=0; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($239) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 39: 
      $1=0; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 40: 
      var $242=$evalobj; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2js12GlobalObject15setOriginalEvalEP8JSObject($5, $242); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $243=$3; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $244=$5; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $245=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($243, 0, 38, 0, 0, $244, 0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $throwTypeError=$245; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $246=$throwTypeError; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $247=(($246)|0)!=0; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($247) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 41: 
      $1=0; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 42: 
      var $250=$3; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($ids, $250); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $251=$throwTypeError; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $252=$251; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $253=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $254=__ZN8JSObject17preventExtensionsEP9JSContextPN2js12AutoIdVectorE($252, $253, $ids); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($254) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 43: 
      $1=0; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $4=1;
      __label__ = 48; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 44: 
      var $257=$throwTypeError; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2js12GlobalObject17setThrowTypeErrorEP10JSFunction($5, $257); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $258=$5; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $259=$3; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $260=__ZN8JSObject21shouldSplicePrototypeEP9JSContext($258, $259); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($260) { __label__ = 45; break; } else { __label__ = 47; break; } //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 45: 
      var $262=$5; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $263=$3; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $264=$objectProto; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $265=__ZN8JSObject15splicePrototypeEP9JSContextPS_($262, $263, $264); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($265) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 46: 
      $1=0; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $4=1;
      __label__ = 48; break; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 47: 
      var $268=$3; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $269=$functionProto; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $270=__ZNK10JSFunction6scriptEv($269); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $271=$functionProto; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __Z20js_CallNewScriptHookP9JSContextP8JSScriptP10JSFunction($268, $270, $271); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $272=$functionProto; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $273=$272; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$273; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $4=1;
      __label__ = 48; break; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 48: 
      __ZN2js12AutoIdVectorD1Ev($ids); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 49; break;
    case 49: 
      var $276=$1; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      STACKTOP = __stackBase__;
      return $276; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12GlobalObject28initFunctionAndObjectClassesEP9JSContext["X"]=1;

function __ZNK2js12GlobalObject18getObjectPrototypeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 38); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $5=__ZNK2JS5Value8toObjectEv($4); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return $5; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __Z20js_InitFunctionClassP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $global;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $4=__ZN8JSObject8asGlobalEv($3); //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $global=$4; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $5=$global; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $6=__ZNK2js12GlobalObject32functionObjectClassesInitializedEv($5); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $8=$global; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=__ZNK2js12GlobalObject20getFunctionPrototypeEv($8); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $15 = $9;__label__ = 4; break; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $11=$global; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=$1; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=__ZN2js12GlobalObject28initFunctionAndObjectClassesEP9JSContext($11, $12); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $15 = $13;__label__ = 4; break; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $15; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      ;
      return $15; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12GlobalObject20getFunctionPrototypeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 39); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $5=__ZNK2JS5Value8toObjectEv($4); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return $5; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_123($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb135($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE136($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZN8JSObject16setSingletonTypeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 781 "./jsobjinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 781 "./jsobjinlines.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 781 "./jsobjinlines.h"
    case 2: 
      $1=1; //@line 782 "./jsobjinlines.h"
      __label__ = 4; break; //@line 782 "./jsobjinlines.h"
    case 3: 
      var $9=(($4+8)|0); //@line 788 "./jsobjinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 788 "./jsobjinlines.h"
      var $11=$10 | 196608; //@line 788 "./jsobjinlines.h"
      HEAP32[(($9)>>2)]=$11; //@line 788 "./jsobjinlines.h"
      $1=1; //@line 790 "./jsobjinlines.h"
      __label__ = 4; break; //@line 790 "./jsobjinlines.h"
    case 4: 
      var $13=$1; //@line 791 "./jsobjinlines.h"
      ;
      return $13; //@line 791 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1523 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1523 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1523 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1523 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1523 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb135($9, 0); //@line 1523 "./jsobjinlines.h"
  $kind=$10; //@line 1523 "./jsobjinlines.h"
  var $11=$1; //@line 1524 "./jsobjinlines.h"
  var $12=$2; //@line 1524 "./jsobjinlines.h"
  var $13=$3; //@line 1524 "./jsobjinlines.h"
  var $14=$4; //@line 1524 "./jsobjinlines.h"
  var $15=$kind; //@line 1524 "./jsobjinlines.h"
  var $16=__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE($11, $12, $13, $14, $15); //@line 1524 "./jsobjinlines.h"
  ;
  return $16; //@line 1524 "./jsobjinlines.h"
}


function __ZN8JSObject7getTypeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSObject11hasLazyTypeEv($3); //@line 796 "./jsobjinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 796 "./jsobjinlines.h"
    case 2: 
      var $6=$2; //@line 797 "./jsobjinlines.h"
      __ZN8JSObject12makeLazyTypeEP9JSContext($3, $6); //@line 797 "./jsobjinlines.h"
      __label__ = 3; break; //@line 797 "./jsobjinlines.h"
    case 3: 
      var $8=(($3+36)|0); //@line 798 "./jsobjinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 798 "./jsobjinlines.h"
      ;
      return $9; //@line 798 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12ATOM_TO_JSIDP6JSAtom124($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj151($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZL12JSID_TO_ATOMi($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING150($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZN2js12GlobalObject21setObjectClassDetailsEP10JSFunctionP8JSObject($this, $ctor, $proto) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ctor;
  $3=$proto;
  var $4=$1;
  var $5=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $6=$5; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $7=$3; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  __ZN2js12GlobalObject16setDetailsForKeyE10JSProtoKeyP8JSObjectS3_($4, 1, $6, $7); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZN2js12GlobalObject23setFunctionClassDetailsEP10JSFunctionP8JSObject($this, $ctor, $proto) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ctor;
  $3=$proto;
  var $4=$1;
  var $5=$2; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $6=$5; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $7=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  __ZN2js12GlobalObject16setDetailsForKeyE10JSProtoKeyP8JSObjectS3_($4, 2, $6, $7); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($cx, $ctor, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $1=$cx;
      $2=$ctor;
      $3=$proto;
      var $6=$2; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=$1; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=$1; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=(($8+52)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $11=(($10+209948)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=(($11+252)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $14=$13; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $15=__ZL12ATOM_TO_JSIDP6JSAtom124($14); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $16=$3; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL11ObjectValueER8JSObject125($4, $16); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($6, $7, $15, $4, 8, 10, 6); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $18=(($17)|0)!=0; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($18) { __label__ = 2; break; } else { var $34 = 0;__label__ = 3; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $20=$3; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $21=$1; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $22=$1; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $23=(($22+52)|0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $25=(($24+209948)|0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $26=(($25+256)|0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $28=$27; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $29=__ZL12ATOM_TO_JSIDP6JSAtom124($28); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $30=$2; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL11ObjectValueER8JSObject125($5, $30); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $31=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($20, $21, $29, $5, 8, 10, 0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $32=(($31)|0)!=0; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $34 = $32;__label__ = 3; break;
    case 3: 
      var $34;
      STACKTOP = __stackBase__;
      return $34; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($cx, $obj, $ps, $fs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$ps;
      $5=$fs;
      var $6=$4; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=(($6)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $9=$2; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $10=$3; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $11=$4; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=_JS_DefineProperties($9, $10, $11); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=(($12)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $15=$5; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $16=(($15)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $18=$2; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $19=$3; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $20=$5; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $21=_JS_DefineFunctions($18, $19, $20); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $22=(($21)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      $1=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 9; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      var $25=$2; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $26=__ZN9JSContext20typeInferenceEnabledEv($25); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 7: 
      var $28=$3; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $29=$2; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $30=__ZN8JSObject5brandEP9JSContext($28, $29); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 8; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 8: 
      $1=1; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 9; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 9: 
      var $33=$1; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      ;
      return $33; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject15addDataPropertyEP9JSContextijj($this, $cx, $id, $slot, $attrs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$cx;
  $3=$id;
  $4=$slot;
  $5=$attrs;
  var $6=$1;
  var $7=$2; //@line 1404 "./jsobj.h"
  var $8=$3; //@line 1404 "./jsobj.h"
  var $9=$4; //@line 1404 "./jsobj.h"
  var $10=$5; //@line 1404 "./jsobj.h"
  var $11=__ZN8JSObject11addPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($6, $7, $8, 0, 0, $9, $10, 0, 0); //@line 1404 "./jsobj.h"
  ;
  return $11; //@line 1404 "./jsobj.h"
}


function __ZN2js12GlobalObject15setOriginalEvalEP8JSObject($this, $evalobj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $v;
  $1=$this;
  $2=$evalobj;
  var $3=$1;
  var $4=$3; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $5=__ZN8JSObject10getSlotRefEj($4, 116); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  $v=$5; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $6=$v; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $7=$2; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  __ZN2JS5Value9setObjectER8JSObject($6, $7); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZL14ThrowTypeErrorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  var $5=_JS_ReportErrorFlagsAndNumber($4, 0, 2, 0, 252, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
}


function __ZN2js12GlobalObject17setThrowTypeErrorEP10JSFunction($this, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  var $v;
  $1=$this;
  $2=$fun;
  var $3=$1;
  var $4=$3; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $5=__ZN8JSObject10getSlotRefEj($4, 111); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  $v=$5; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $6=$v; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $7=$2; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $8=$7; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  __ZN2JS5Value9setObjectER8JSObject($6, $8); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZN2js12GlobalObject6createEP9JSContextPNS_5ClassE($cx, $clasp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $globalObj;
      var $res;
      var $4=__stackBase__;
      $2=$cx;
      $3=$clasp;
      var $5=$2; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $6=$3; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_123($5, $6, 0, 0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $obj=$7; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=$obj; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=(($8)|0)!=0; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $11=$obj; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=$2; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=__ZN8JSObject16setSingletonTypeEP9JSContext($11, $12); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      $1=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 7; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $16=$obj; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=__ZN8JSObject8asGlobalEv($16); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $globalObj=$17; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $18=$globalObj; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $19=$18; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject10makeVarObjEv($19); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $20=$globalObj; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $21=$20; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($21); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $22=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $23=$globalObj; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $24=__ZN2jsL24regexp_statics_constructEP9JSContextPNS_12GlobalObjectE($22, $23); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $res=$24; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $25=$res; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $26=(($25)|0)!=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      $1=0; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 7; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      var $29=$globalObj; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $30=$29; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $31=$res; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL11ObjectValueER8JSObject125($4, $31); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($30, 113, $4); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $32=$globalObj; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2js12GlobalObject8setFlagsEi($32, 0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $33=$globalObj; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$33; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 7; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 7: 
      var $35=$1; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12GlobalObject6createEP9JSContextPNS_5ClassE["X"]=1;

function __ZN8JSObject19syncSpecialEqualityEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject8getClassEv($2); //@line 182 "./jsobjinlines.h"
      var $4=(($3+68)|0); //@line 182 "./jsobjinlines.h"
      var $5=(($4)|0); //@line 182 "./jsobjinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 182 "./jsobjinlines.h"
      var $7=(($6)|0)!=0; //@line 182 "./jsobjinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 182 "./jsobjinlines.h"
    case 2: 
      var $9=(($2+8)|0); //@line 183 "./jsobjinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 183 "./jsobjinlines.h"
      var $11=$10 | 2048; //@line 183 "./jsobjinlines.h"
      HEAP32[(($9)>>2)]=$11; //@line 183 "./jsobjinlines.h"
      __label__ = 3; break; //@line 185 "./jsobjinlines.h"
    case 3: 
      ;
      return; //@line 186 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21assertSameCompartmentIPNS_12GlobalObjectEEEvP9JSContextT_($cx, $t1) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$t1;
  ;
  return; //@line 238 "./jscntxtinlines.h"
}


function __ZN2jsL24regexp_statics_constructEP9JSContextPNS_12GlobalObjectE($cx, $parent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $res;
      $2=$cx;
      $3=$parent;
      var $4=$2; //@line 73 "./jsregexpinlines.h"
      var $5=$3; //@line 73 "./jsregexpinlines.h"
      var $6=$5; //@line 73 "./jsregexpinlines.h"
      var $7=__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($4, __ZN2js20regexp_statics_classE, 0, $6); //@line 73 "./jsregexpinlines.h"
      $obj=$7; //@line 73 "./jsregexpinlines.h"
      var $8=$obj; //@line 74 "./jsregexpinlines.h"
      var $9=(($8)|0)!=0; //@line 74 "./jsregexpinlines.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 74 "./jsregexpinlines.h"
    case 2: 
      $1=0; //@line 75 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 75 "./jsregexpinlines.h"
    case 3: 
      var $12=$2; //@line 76 "./jsregexpinlines.h"
      var $13=__ZN9JSContext4new_IN2js13RegExpStaticsEEEPT_v($12); //@line 76 "./jsregexpinlines.h"
      $res=$13; //@line 76 "./jsregexpinlines.h"
      var $14=$res; //@line 77 "./jsregexpinlines.h"
      var $15=(($14)|0)!=0; //@line 77 "./jsregexpinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 77 "./jsregexpinlines.h"
    case 4: 
      $1=0; //@line 78 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 78 "./jsregexpinlines.h"
    case 5: 
      var $18=$obj; //@line 79 "./jsregexpinlines.h"
      var $19=$res; //@line 79 "./jsregexpinlines.h"
      var $20=$19; //@line 79 "./jsregexpinlines.h"
      __ZN8JSObject10setPrivateEPv($18, $20); //@line 79 "./jsregexpinlines.h"
      var $21=$obj; //@line 80 "./jsregexpinlines.h"
      $1=$21; //@line 80 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 80 "./jsregexpinlines.h"
    case 6: 
      var $23=$1; //@line 81 "./jsregexpinlines.h"
      ;
      return $23; //@line 81 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11ObjectValueER8JSObject125($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2js12GlobalObject8setFlagsEi($this, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$flags;
  var $4=$1;
  var $5=$4; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $6=$2; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  __ZN2JSL10Int32ValueEi127($3, $6); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 117, $3); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  STACKTOP = __stackBase__;
  return; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZN2js12GlobalObject19initStandardClassesEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $state;
      var $4=__stackBase__;
      $2=$this;
      $3=$cx;
      var $5=$2;
      var $6=$3; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=(($6+52)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=(($8+209948)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $state=$9; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $10=$5; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $11=$3; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=$state; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=(($12+36)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $14=(($13)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $16=$15; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=__ZL12ATOM_TO_JSIDP6JSAtom124($16); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL14UndefinedValueEv126($4); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $18=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($10, $11, $17, $4, 8, 10, 6); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $19=(($18)|0)!=0; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      $1=0; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 19; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $22=$3; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $23=__ZN2js12GlobalObject28initFunctionAndObjectClassesEP9JSContext($5, $22); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $24=(($23)|0)!=0; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      $1=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 19; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      var $27=$3; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $28=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $29=__Z17js_InitArrayClassP9JSContextP8JSObject($27, $28); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $30=(($29)|0)!=0; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($30) { __label__ = 6; break; } else { var $92 = 0;__label__ = 18; break; } //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      var $32=$3; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $33=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $34=__Z19js_InitBooleanClassP9JSContextP8JSObject($32, $33); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $35=(($34)|0)!=0; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($35) { __label__ = 7; break; } else { var $92 = 0;__label__ = 18; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 7: 
      var $37=$3; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $38=$5; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $39=__Z23js_InitExceptionClassesP9JSContextP8JSObject($37, $38); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $40=(($39)|0)!=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($40) { __label__ = 8; break; } else { var $92 = 0;__label__ = 18; break; } //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 8: 
      var $42=$3; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $43=$5; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $44=__Z16js_InitMathClassP9JSContextP8JSObject($42, $43); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $45=(($44)|0)!=0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($45) { __label__ = 9; break; } else { var $92 = 0;__label__ = 18; break; } //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 9: 
      var $47=$3; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $48=$5; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $49=__Z18js_InitNumberClassP9JSContextP8JSObject($47, $48); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $50=(($49)|0)!=0; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($50) { __label__ = 10; break; } else { var $92 = 0;__label__ = 18; break; } //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 10: 
      var $52=$3; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $53=$5; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $54=__Z16js_InitJSONClassP9JSContextP8JSObject($52, $53); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $55=(($54)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($55) { __label__ = 11; break; } else { var $92 = 0;__label__ = 18; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 11: 
      var $57=$3; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $58=$5; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $59=__Z18js_InitRegExpClassP9JSContextP8JSObject($57, $58); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $60=(($59)|0)!=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($60) { __label__ = 12; break; } else { var $92 = 0;__label__ = 18; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 12: 
      var $62=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $63=$5; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $64=__Z18js_InitStringClassP9JSContextP8JSObject($62, $63); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $65=(($64)|0)!=0; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($65) { __label__ = 13; break; } else { var $92 = 0;__label__ = 18; break; } //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 13: 
      var $67=$3; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $68=$5; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $69=__Z24js_InitTypedArrayClassesP9JSContextP8JSObject($67, $68); //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $70=(($69)|0)!=0; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($70) { __label__ = 14; break; } else { var $92 = 0;__label__ = 18; break; } //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 14: 
      var $72=$3; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $73=$5; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $74=__Z17js_InitXMLClassesP9JSContextP8JSObject($72, $73); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $75=(($74)|0)!=0; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($75) { __label__ = 15; break; } else { var $92 = 0;__label__ = 18; break; } //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 15: 
      var $77=$3; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $78=$5; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $79=__Z22js_InitIteratorClassesP9JSContextP8JSObject($77, $78); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $80=(($79)|0)!=0; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($80) { __label__ = 16; break; } else { var $92 = 0;__label__ = 18; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 16: 
      var $82=$3; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $83=$5; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $84=__Z16js_InitDateClassP9JSContextP8JSObject($82, $83); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $85=(($84)|0)!=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($85) { __label__ = 17; break; } else { var $92 = 0;__label__ = 18; break; } //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 17: 
      var $87=$3; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $88=$5; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $89=_js_InitProxyClass($87, $88); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $90=(($89)|0)!=0; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $92 = $90;__label__ = 18; break;
    case 18: 
      var $92;
      $1=$92;
      __label__ = 19; break;
    case 19: 
      var $94=$1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      STACKTOP = __stackBase__;
      return $94; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12GlobalObject19initStandardClassesEP9JSContext["X"]=1;

function __ZN2JSL14UndefinedValueEv126($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js12GlobalObject5clearEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      var $3=__stackBase__;
      var $4=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $flags;
      var $7=__stackBase__+32;
      $1=$this;
      $2=$cx;
      var $8=$1;
      var $9=$8; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $10=$2; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $11=__ZN8JSObject7unbrandEP9JSContext($9, $10); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $key=0; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 2; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $13=$key; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $14=(($13)|0) < 111; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $16=$8; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=$key; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL14UndefinedValueEv126($3); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($16, $17, $3); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 4; break; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $19=$key; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $20=(($19+1)|0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $key=$20; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 2; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      var $22=__ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE($8); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2js13RegExpStatics5clearEv($22); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $23=$8; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL14UndefinedValueEv126($4); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($23, 115, $4); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $24=$8; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL14UndefinedValueEv126($5); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($24, 116, $5); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $25=$8; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL14UndefinedValueEv126($6); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($25, 111, $6); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $26=$8; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $27=__ZNK8JSObject7getSlotEj($26, 117); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $28=__ZNK2JS5Value7toInt32Ev($27); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $flags=$28; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $29=$flags; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $30=$29 | 1; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $flags=$30; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $31=$8; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $32=$flags; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL10Int32ValueEi127($7, $32); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($31, 117, $7); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      STACKTOP = __stackBase__;
      return; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12GlobalObject5clearEP9JSContext["X"]=1;

function __ZN8JSObject7unbrandEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=__ZN8JSObject7brandedEv($4); //@line 119 "./jsobjinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 119 "./jsobjinlines.h"
    case 2: 
      var $7=$3; //@line 120 "./jsobjinlines.h"
      __ZN8JSObject16generateOwnShapeEP9JSContext($4, $7); //@line 120 "./jsobjinlines.h"
      var $8=$3; //@line 121 "./jsobjinlines.h"
      var $9=__ZL26js_IsPropertyCacheDisabledP9JSContext($8); //@line 121 "./jsobjinlines.h"
      var $10=(($9)|0)!=0; //@line 121 "./jsobjinlines.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 121 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 122 "./jsobjinlines.h"
      __label__ = 6; break; //@line 122 "./jsobjinlines.h"
    case 4: 
      var $13=(($4+8)|0); //@line 123 "./jsobjinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 123 "./jsobjinlines.h"
      var $15=$14 & -9; //@line 123 "./jsobjinlines.h"
      HEAP32[(($13)>>2)]=$15; //@line 123 "./jsobjinlines.h"
      __label__ = 5; break; //@line 124 "./jsobjinlines.h"
    case 5: 
      __ZN8JSObject10setGenericEv($4); //@line 125 "./jsobjinlines.h"
      $1=1; //@line 126 "./jsobjinlines.h"
      __label__ = 6; break; //@line 126 "./jsobjinlines.h"
    case 6: 
      var $18=$1; //@line 127 "./jsobjinlines.h"
      ;
      return $18; //@line 127 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE($globalObj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $resVal=__stackBase__;
  var $res;
  $1=$globalObj;
  var $2=$1; //@line 622 "./jsregexpinlines.h"
  __ZNK2js12GlobalObject16getRegExpStaticsEv($resVal, $2); //@line 622 "./jsregexpinlines.h"
  var $3=__ZNK2JS5Value8toObjectEv($resVal); //@line 623 "./jsregexpinlines.h"
  var $4=__ZNK8JSObject10getPrivateEv($3); //@line 623 "./jsregexpinlines.h"
  var $5=$4; //@line 623 "./jsregexpinlines.h"
  $res=$5; //@line 623 "./jsregexpinlines.h"
  var $6=$res; //@line 624 "./jsregexpinlines.h"
  STACKTOP = __stackBase__;
  return $6; //@line 624 "./jsregexpinlines.h"
}


function __ZN2js13RegExpStatics5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13RegExpStatics12aboutToWriteEv($2); //@line 197 "./jsregexp.h"
  var $3=(($2+100)|0); //@line 198 "./jsregexp.h"
  HEAP32[(($3)>>2)]=0; //@line 198 "./jsregexp.h"
  var $4=(($2+96)|0); //@line 199 "./jsregexp.h"
  HEAP32[(($4)>>2)]=0; //@line 199 "./jsregexp.h"
  var $5=(($2+92)|0); //@line 200 "./jsregexp.h"
  HEAP32[(($5)>>2)]=0; //@line 200 "./jsregexp.h"
  var $6=(($2)|0); //@line 201 "./jsregexp.h"
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE5clearEv($6); //@line 201 "./jsregexp.h"
  ;
  return; //@line 202 "./jsregexp.h"
}


function __ZN2JSL10Int32ValueEi127($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2js12GlobalObject23isRuntimeCodeGenEnabledEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $callbacks;
      var $3=__stackBase__;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=$4; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $6=__ZN8JSObject10getSlotRefEj($5, 115); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $v=$6; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=$v; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=__ZNK2JS5Value11isUndefinedEv($7); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $10=$2; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $11=_JS_GetSecurityCallbacks($10); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $callbacks=$11; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=$v; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=$callbacks; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $14=(($13)|0)!=0; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($14) { __label__ = 3; break; } else { var $28 = 1;__label__ = 5; break; } //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $16=$callbacks; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=(($16+12)|0); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $19=(($18)|0)!=0; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($19) { __label__ = 4; break; } else { var $28 = 1;__label__ = 5; break; } //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $21=$callbacks; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $22=(($21+12)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $24=$2; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $25=FUNCTION_TABLE[$23]($24); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $26=(($25)|0)!=0; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $28 = $26;__label__ = 5; break; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      var $28;
      __ZN2JSL12BooleanValueEb($3, $28); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $29=$12; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $30=$3; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 6; break; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      var $32=$v; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $33=__ZNK2JS5Value7isFalseEv($32); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $34=$33 ^ 1; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL12BooleanValueEb($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZNK2JS5Value7isFalseEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 438 "./jsapi.h"
  var $5=$2; //@line 438 "./jsapi.h"
  var $6=$4; //@line 438 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 438 "./jsapi.h"
  var $7=_JSVAL_IS_SPECIFIC_BOOLEAN($2, 0); //@line 438 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 438 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 438 "./jsapi.h"
}


function __ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($this, $cx, $ctor, $clasp, $name, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $fun;
      $2=$this;
      $3=$cx;
      $4=$ctor;
      $5=$clasp;
      $6=$name;
      $7=$length;
      var $8=$2;
      var $9=$3; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $10=$4; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $11=$7; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=$8; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=$6; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $14=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($9, 0, $10, $11, 512, $12, $13); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $fun=$14; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $15=$fun; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $16=(($15)|0)!=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      $1=0; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 4; break; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $19=$fun; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $20=$5; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN10JSFunction19setConstructorClassEPN2js5ClassE($19, $20); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $21=$fun; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$21; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 4; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $23=$1; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      ;
      return $23; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($this, $cx, $clasp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $objectProto=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$clasp;
      var $5=$2;
      var $6=$3; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=$5; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($6, $7, 1, $objectProto, 0); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=(($8)|0)!=0; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      $1=0; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 4; break; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $12=$3; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=$4; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $14=HEAP32[(($objectProto)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $15=__ZN2jsL16CreateBlankProtoEP9JSContextPNS_5ClassER8JSObjectRNS_12GlobalObjectE($12, $13, $14, $5); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$15; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 4; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $17=$1; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16CreateBlankProtoEP9JSContextPNS_5ClassER8JSObjectRNS_12GlobalObjectE($cx, $clasp, $proto, $global) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $blankProto;
      var $type;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$global;
      var $6=$2; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=$3; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=$4; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=$5; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $10=$9; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $11=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_123($6, $7, $8, $10); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $blankProto=$11; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $12=$blankProto; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=(($12)|0)!=0; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $15=$blankProto; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $16=$2; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=__ZN8JSObject16setSingletonTypeEP9JSContext($15, $16); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      $1=0; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 8; break; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $20=$blankProto; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $21=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $type=$22; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $23=$type; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $24=(($23)|0)!=0; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      var $26=$type; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $27=$2; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $28=$3; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $29=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($26, $27, $28, 0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $30=(($29)|0)!=0; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      $1=0; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 8; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 7: 
      var $33=$blankProto; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$33; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 8; break; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 8: 
      var $35=$1; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      ;
      return $35; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12GlobalObject30createBlankPrototypeInheritingEP9JSContextPNS_5ClassER8JSObject($this, $cx, $clasp, $proto) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$clasp;
  $4=$proto;
  var $5=$1;
  var $6=$2; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  var $7=$3; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  var $8=$4; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  var $9=__ZN2jsL16CreateBlankProtoEP9JSContextPNS_5ClassER8JSObjectRNS_12GlobalObjectE($6, $7, $8, $5); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  ;
  return $9; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
}


function __ZN8JSObject5brandEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 108 "./jsobjinlines.h"
      __ZN8JSObject16generateOwnShapeEP9JSContext($4, $5); //@line 108 "./jsobjinlines.h"
      var $6=$3; //@line 109 "./jsobjinlines.h"
      var $7=__ZL26js_IsPropertyCacheDisabledP9JSContext($6); //@line 109 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 109 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 109 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 110 "./jsobjinlines.h"
      __label__ = 4; break; //@line 110 "./jsobjinlines.h"
    case 3: 
      var $11=(($4+8)|0); //@line 111 "./jsobjinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 111 "./jsobjinlines.h"
      var $13=$12 | 8; //@line 111 "./jsobjinlines.h"
      HEAP32[(($11)>>2)]=$13; //@line 111 "./jsobjinlines.h"
      $1=1; //@line 112 "./jsobjinlines.h"
      __label__ = 4; break; //@line 112 "./jsobjinlines.h"
    case 4: 
      var $15=$1; //@line 113 "./jsobjinlines.h"
      ;
      return $15; //@line 113 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js24GlobalDebuggees_finalizeEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$1; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  var $4=$2; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  var $5=__ZNK8JSObject10getPrivateEv($4); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  var $6=$5; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  __ZN9JSContext7delete_IN2js6VectorIPNS1_8DebuggerELj0ENS1_17SystemAllocPolicyEEEEEvPT_($3, $6); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
  ;
  return; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
}


function __ZN9JSContext7delete_IN2js6VectorIPNS1_8DebuggerELj0ENS1_17SystemAllocPolicyEEEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEED1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12GlobalObject12getDebuggersEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $debuggers=__stackBase__;
      $2=$this;
      var $3=$2;
      var $4=$3; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZNK8JSObject15getReservedSlotEj($debuggers, $4, 118); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $5=__ZNK2JS5Value11isUndefinedEv($debuggers); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      $1=0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 4; break; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $8=__ZNK2JS5Value8toObjectEv($debuggers); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=__ZNK8JSObject10getPrivateEv($8); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $10=$9; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$10; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 4; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $12=$1; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      STACKTOP = __stackBase__;
      return $12; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12GlobalObject20getOrCreateDebuggersEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $debuggers;
      var $obj;
      var $4=__stackBase__;
      $2=$this;
      $3=$cx;
      var $5=$2;
      var $6=$3; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2js21assertSameCompartmentIPNS_12GlobalObjectEEEvP9JSContextT_($6, $5); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=__ZN2js12GlobalObject12getDebuggersEv($5); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $debuggers=$7; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=$debuggers; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=(($8)|0)!=0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      var $11=$debuggers; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$11; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 8; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $13=$3; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $14=$5; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $15=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_123($13, __ZN2jsL21GlobalDebuggees_classE, 0, $14); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $obj=$15; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $16=$obj; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=(($16)|0)!=0; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      $1=0; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 8; break; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      var $20=$3; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $21=__ZN9JSContext4new_IN2js6VectorIPNS1_8DebuggerELj0ENS1_17SystemAllocPolicyEEEEEPT_v($20); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $debuggers=$21; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $22=$debuggers; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $23=(($22)|0)!=0; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      $1=0; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 8; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 7: 
      var $26=$obj; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $27=$debuggers; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $28=$27; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject10setPrivateEPv($26, $28); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $29=$5; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $30=$obj; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN2JSL11ObjectValueER8JSObject125($4, $30); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($29, 118, $4); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $31=$debuggers; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=$31; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 8; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 8: 
      var $33=$1; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_IN2js6VectorIPNS1_8DebuggerELj0ENS1_17SystemAllocPolicyEEEEEPT_v($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 20); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $13 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEC1ES3_($11, $2); //@line 1291 "./jscntxt.h"
      var $13 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $13; //@line 1291 "./jscntxt.h"
      var $16 = $13;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $16 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $16; //@line 1291 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return $16; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12GlobalObject11addDebuggerEP9JSContextPNS_8DebuggerE($this, $cx, $dbg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $debuggers;
      $2=$this;
      $3=$cx;
      $4=$dbg;
      var $5=$2;
      var $6=$3; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $7=__ZN2js12GlobalObject20getOrCreateDebuggersEP9JSContext($5, $6); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $debuggers=$7; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $8=$debuggers; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $9=(($8)|0)!=0; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 2: 
      $1=0; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 9; break; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 3: 
      var $12=$debuggers; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $13=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5emptyEv($12); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 4: 
      var $15=$5; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $16=__ZNK2js2gc4Cell11compartmentEv($15); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $17=$3; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $18=__ZN13JSCompartment11addDebuggeeEP9JSContextPN2js12GlobalObjectE($16, $17, $5); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 5: 
      $1=0; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 9; break; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 6: 
      var $21=$debuggers; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $22=$4; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $23=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($21, $22); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 7: 
      var $25=$5; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $26=__ZNK2js2gc4Cell11compartmentEv($25); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      var $27=$3; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __ZN13JSCompartment14removeDebuggeeEP9JSContextPN2js12GlobalObjectEPNS2_6detail9HashTableIKS4_NS2_7HashSetIS4_NS2_13DefaultHasherIS4_EENS2_17SystemAllocPolicyEE6SetOpsESB_E4EnumE($26, $27, $5, 0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      $1=0; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 9; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 8: 
      $1=1; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      __label__ = 9; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    case 9: 
      var $30=$1; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
      ;
      return $30; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc132($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc133($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=(($2)|0); //@line 493 "./jsvector.h"
  var $5=(($2+12)|0); //@line 488 "./jsvector.h"
  var $6=__ZN7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 488 "./jsvector.h"
  var $7=$6; //@line 488 "./jsvector.h"
  HEAP32[(($4)>>2)]=$7; //@line 488 "./jsvector.h"
  var $8=(($2+4)|0); //@line 488 "./jsvector.h"
  HEAP32[(($8)>>2)]=0; //@line 488 "./jsvector.h"
  var $9=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($9)>>2)]=0; //@line 488 "./jsvector.h"
  var $10=(($2+12)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function _js_free134($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE137($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE143($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE7destroyEPiS3_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE138($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb135($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL141($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL142($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL144($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZL26js_IsPropertyCacheDisabledP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 2359 "./jscntxt.h"
  var $3=(($2+52)|0); //@line 2359 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2359 "./jscntxt.h"
  var $5=(($4+209944)|0); //@line 2359 "./jscntxt.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 2359 "./jscntxt.h"
  var $7=(($6)>>>0) >= 16777216; //@line 2359 "./jscntxt.h"
  var $8=(($7)&1); //@line 2359 "./jscntxt.h"
  ;
  return $8; //@line 2359 "./jscntxt.h"
}


function _JSVAL_IS_SPECIFIC_BOOLEAN($l, $b) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$b;
      var $2=$l; //@line 614 "./jsval.h"
      var $3=(($2+4)|0); //@line 614 "./jsval.h"
      var $4=HEAP32[(($3)>>2)]; //@line 614 "./jsval.h"
      var $5=(($4)|0)==-125; //@line 614 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 614 "./jsval.h"
    case 2: 
      var $7=$l; //@line 614 "./jsval.h"
      var $8=(($7)|0); //@line 614 "./jsval.h"
      var $9=$8; //@line 614 "./jsval.h"
      var $10=HEAP32[(($9)>>2)]; //@line 614 "./jsval.h"
      var $11=$1; //@line 614 "./jsval.h"
      var $12=(($10)|0)==(($11)|0); //@line 614 "./jsval.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      STACKTOP = __stackBase__;
      return $15; //@line 615 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BOOLEAN_TO_JSVAL_IMPL145($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL146($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL147($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL148($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function __ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+4)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE136($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$6; //@line 1443 "./jsobjinlines.h"
      var $21=$3; //@line 1443 "./jsobjinlines.h"
      var $22=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE137($20, $21); //@line 1443 "./jsobjinlines.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1443 "./jsobjinlines.h"
    case 7: 
      var $24=$6; //@line 1444 "./jsobjinlines.h"
      var $25=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE138($24); //@line 1444 "./jsobjinlines.h"
      $6=$25; //@line 1444 "./jsobjinlines.h"
      __label__ = 8; break; //@line 1444 "./jsobjinlines.h"
    case 8: 
      var $27=$2; //@line 1446 "./jsobjinlines.h"
      var $28=$6; //@line 1446 "./jsobjinlines.h"
      var $29=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($27, $28); //@line 1446 "./jsobjinlines.h"
      $obj=$29; //@line 1446 "./jsobjinlines.h"
      var $30=$obj; //@line 1447 "./jsobjinlines.h"
      var $31=(($30)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1447 "./jsobjinlines.h"
    case 9: 
      __label__ = 20; break; //@line 1448 "./jsobjinlines.h"
    case 10: 
      var $34=$obj; //@line 1457 "./jsobjinlines.h"
      var $35=$2; //@line 1457 "./jsobjinlines.h"
      var $36=$3; //@line 1457 "./jsobjinlines.h"
      var $37=$type; //@line 1457 "./jsobjinlines.h"
      var $38=$5; //@line 1457 "./jsobjinlines.h"
      var $39=(($38)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($39) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 11: 
      var $41=$4; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 12: 
      var $44=$4; //@line 1458 "./jsobjinlines.h"
      var $45=__ZNK8JSObject9getParentEv($44); //@line 1458 "./jsobjinlines.h"
      var $49 = $45;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 13: 
      var $47=$5; //@line 1458 "./jsobjinlines.h"
      var $49 = $47;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 14: 
      var $49; //@line 1458 "./jsobjinlines.h"
      var $50=$3; //@line 1458 "./jsobjinlines.h"
      var $51=(($50)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($34, $35, $36, $37, $49, 0, $51); //@line 1458 "./jsobjinlines.h"
      var $52=$3; //@line 1461 "./jsobjinlines.h"
      var $53=__ZNK2js5Class8isNativeEv($52); //@line 1461 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1461 "./jsobjinlines.h"
    case 15: 
      var $55=$2; //@line 1462 "./jsobjinlines.h"
      var $56=$obj; //@line 1462 "./jsobjinlines.h"
      var $57=$3; //@line 1462 "./jsobjinlines.h"
      var $58=$type; //@line 1462 "./jsobjinlines.h"
      var $59=$6; //@line 1462 "./jsobjinlines.h"
      var $60=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE139($55, $56, $57, $58, $59); //@line 1462 "./jsobjinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1462 "./jsobjinlines.h"
    case 16: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 20; break; //@line 1464 "./jsobjinlines.h"
    case 17: 
      __label__ = 19; break; //@line 1466 "./jsobjinlines.h"
    case 18: 
      var $64=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($64); //@line 1467 "./jsobjinlines.h"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $67=$2; //@line 1471 "./jsobjinlines.h"
      var $68=$obj; //@line 1471 "./jsobjinlines.h"
      var $69=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($67, $68); //@line 1471 "./jsobjinlines.h"
      var $70=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$70; //@line 1472 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1472 "./jsobjinlines.h"
    case 21: 
      var $72=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $72; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE136["X"]=1;

function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE139($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE139["X"]=1;

function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb140($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$3; //@line 1514 "./jsobjinlines.h"
      var $8=(($7)|0)==((__ZN2js13FunctionClassE)|0); //@line 1514 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1514 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1515 "./jsobjinlines.h"
      var $11=$3; //@line 1515 "./jsobjinlines.h"
      var $12=$4; //@line 1515 "./jsobjinlines.h"
      var $13=$5; //@line 1515 "./jsobjinlines.h"
      var $14=$6; //@line 1515 "./jsobjinlines.h"
      var $15=__ZN2js6detailL9NewObjectILb1ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($10, $11, $12, $13, $14); //@line 1515 "./jsobjinlines.h"
      $1=$15; //@line 1515 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1515 "./jsobjinlines.h"
    case 3: 
      var $17=$2; //@line 1516 "./jsobjinlines.h"
      var $18=$3; //@line 1516 "./jsobjinlines.h"
      var $19=$4; //@line 1516 "./jsobjinlines.h"
      var $20=$5; //@line 1516 "./jsobjinlines.h"
      var $21=$6; //@line 1516 "./jsobjinlines.h"
      var $22=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE136($17, $18, $19, $20, $21); //@line 1516 "./jsobjinlines.h"
      $1=$22; //@line 1516 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1516 "./jsobjinlines.h"
    case 4: 
      var $24=$1; //@line 1517 "./jsobjinlines.h"
      ;
      return $24; //@line 1517 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb1ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 19; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$2; //@line 1446 "./jsobjinlines.h"
      var $21=__Z16js_NewGCFunctionP9JSContext($20); //@line 1446 "./jsobjinlines.h"
      var $22=$21; //@line 1446 "./jsobjinlines.h"
      $obj=$22; //@line 1446 "./jsobjinlines.h"
      var $23=$obj; //@line 1447 "./jsobjinlines.h"
      var $24=(($23)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1447 "./jsobjinlines.h"
    case 7: 
      __label__ = 18; break; //@line 1448 "./jsobjinlines.h"
    case 8: 
      var $27=$obj; //@line 1457 "./jsobjinlines.h"
      var $28=$2; //@line 1457 "./jsobjinlines.h"
      var $29=$3; //@line 1457 "./jsobjinlines.h"
      var $30=$type; //@line 1457 "./jsobjinlines.h"
      var $31=$5; //@line 1457 "./jsobjinlines.h"
      var $32=(($31)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 9; break; } //@line 1457 "./jsobjinlines.h"
    case 9: 
      var $34=$4; //@line 1457 "./jsobjinlines.h"
      var $35=(($34)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($35) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 10: 
      var $37=$4; //@line 1458 "./jsobjinlines.h"
      var $38=__ZNK8JSObject9getParentEv($37); //@line 1458 "./jsobjinlines.h"
      var $42 = $38;__label__ = 12; break; //@line 1458 "./jsobjinlines.h"
    case 11: 
      var $40=$5; //@line 1458 "./jsobjinlines.h"
      var $42 = $40;__label__ = 12; break; //@line 1458 "./jsobjinlines.h"
    case 12: 
      var $42; //@line 1458 "./jsobjinlines.h"
      var $43=$3; //@line 1458 "./jsobjinlines.h"
      var $44=(($43)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($27, $28, $29, $30, $42, 0, $44); //@line 1458 "./jsobjinlines.h"
      var $45=$3; //@line 1461 "./jsobjinlines.h"
      var $46=__ZNK2js5Class8isNativeEv($45); //@line 1461 "./jsobjinlines.h"
      if ($46) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 1461 "./jsobjinlines.h"
    case 13: 
      var $48=$2; //@line 1462 "./jsobjinlines.h"
      var $49=$obj; //@line 1462 "./jsobjinlines.h"
      var $50=$3; //@line 1462 "./jsobjinlines.h"
      var $51=$type; //@line 1462 "./jsobjinlines.h"
      var $52=$6; //@line 1462 "./jsobjinlines.h"
      var $53=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE139($48, $49, $50, $51, $52); //@line 1462 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1462 "./jsobjinlines.h"
    case 14: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 18; break; //@line 1464 "./jsobjinlines.h"
    case 15: 
      __label__ = 17; break; //@line 1466 "./jsobjinlines.h"
    case 16: 
      var $57=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($57); //@line 1467 "./jsobjinlines.h"
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $60=$2; //@line 1471 "./jsobjinlines.h"
      var $61=$obj; //@line 1471 "./jsobjinlines.h"
      var $62=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($60, $61); //@line 1471 "./jsobjinlines.h"
      var $63=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$63; //@line 1472 "./jsobjinlines.h"
      __label__ = 19; break; //@line 1472 "./jsobjinlines.h"
    case 19: 
      var $65=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $65; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE["X"]=1;

function __Z16js_NewGCFunctionP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $fun;
      $1=$cx;
      var $2=$1; //@line 390 "./jsgcinlines.h"
      var $3=__Z10NewGCThingI10JSFunctionEPT_P9JSContextN2js2gc9AllocKindEj($2, 12, 80); //@line 390 "./jsgcinlines.h"
      $fun=$3; //@line 390 "./jsgcinlines.h"
      var $4=$fun; //@line 391 "./jsgcinlines.h"
      var $5=(($4)|0)!=0; //@line 391 "./jsgcinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 391 "./jsgcinlines.h"
    case 2: 
      var $7=$fun; //@line 392 "./jsgcinlines.h"
      var $8=$7; //@line 392 "./jsgcinlines.h"
      var $9=(($8+28)|0); //@line 392 "./jsgcinlines.h"
      HEAP32[(($9)>>2)]=2; //@line 392 "./jsgcinlines.h"
      var $10=$fun; //@line 393 "./jsgcinlines.h"
      var $11=$10; //@line 393 "./jsgcinlines.h"
      var $12=(($11)|0); //@line 393 "./jsgcinlines.h"
      HEAP32[(($12)>>2)]=0; //@line 393 "./jsgcinlines.h"
      __label__ = 3; break; //@line 394 "./jsgcinlines.h"
    case 3: 
      var $14=$fun; //@line 395 "./jsgcinlines.h"
      ;
      return $14; //@line 395 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z10NewGCThingI10JSFunctionEPT_P9JSContextN2js2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13RegExpStatics12aboutToWriteEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+104)|0); //@line 81 "./jsregexp.h"
      var $4=HEAP32[(($3)>>2)]; //@line 81 "./jsregexp.h"
      var $5=(($4)|0)!=0; //@line 81 "./jsregexp.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 81 "./jsregexp.h"
    case 2: 
      var $7=(($2+104)|0); //@line 81 "./jsregexp.h"
      var $8=HEAP32[(($7)>>2)]; //@line 81 "./jsregexp.h"
      var $9=(($8+108)|0); //@line 81 "./jsregexp.h"
      var $10=HEAP8[($9)]; //@line 81 "./jsregexp.h"
      var $11=(($10) & 1); //@line 81 "./jsregexp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 81 "./jsregexp.h"
    case 3: 
      var $13=(($2+104)|0); //@line 82 "./jsregexp.h"
      var $14=HEAP32[(($13)>>2)]; //@line 82 "./jsregexp.h"
      __ZN2js13RegExpStatics6copyToERS0_($2, $14); //@line 82 "./jsregexp.h"
      var $15=(($2+104)|0); //@line 83 "./jsregexp.h"
      var $16=HEAP32[(($15)>>2)]; //@line 83 "./jsregexp.h"
      var $17=(($16+108)|0); //@line 83 "./jsregexp.h"
      HEAP8[($17)]=1; //@line 83 "./jsregexp.h"
      __label__ = 4; break; //@line 84 "./jsregexp.h"
    case 4: 
      ;
      return; //@line 85 "./jsregexp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 730 "./jsvector.h"
  var $3=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 731 "./jsvector.h"
  var $4=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 731 "./jsvector.h"
  __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE7destroyEPiS3_($3, $4); //@line 731 "./jsvector.h"
  var $5=(($2+4)|0); //@line 732 "./jsvector.h"
  HEAP32[(($5)>>2)]=0; //@line 732 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 733 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 733 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js13RegExpStatics6copyToERS0_($this, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$dst;
  var $3=$1;
  var $4=$2; //@line 72 "./jsregexp.h"
  var $5=(($4)|0); //@line 72 "./jsregexp.h"
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE5clearEv($5); //@line 72 "./jsregexp.h"
  var $6=$2; //@line 74 "./jsregexp.h"
  var $7=(($6)|0); //@line 74 "./jsregexp.h"
  var $8=(($3)|0); //@line 74 "./jsregexp.h"
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE16infallibleAppendIiLj20ES1_EEvRKNS0_IT_XT0_ET1_EE($7, $8); //@line 74 "./jsregexp.h"
  var $9=(($3+92)|0); //@line 75 "./jsregexp.h"
  var $10=HEAP32[(($9)>>2)]; //@line 75 "./jsregexp.h"
  var $11=$2; //@line 75 "./jsregexp.h"
  var $12=(($11+92)|0); //@line 75 "./jsregexp.h"
  HEAP32[(($12)>>2)]=$10; //@line 75 "./jsregexp.h"
  var $13=(($3+96)|0); //@line 76 "./jsregexp.h"
  var $14=HEAP32[(($13)>>2)]; //@line 76 "./jsregexp.h"
  var $15=$2; //@line 76 "./jsregexp.h"
  var $16=(($15+96)|0); //@line 76 "./jsregexp.h"
  HEAP32[(($16)>>2)]=$14; //@line 76 "./jsregexp.h"
  var $17=(($3+100)|0); //@line 77 "./jsregexp.h"
  var $18=HEAP32[(($17)>>2)]; //@line 77 "./jsregexp.h"
  var $19=$2; //@line 77 "./jsregexp.h"
  var $20=(($19+100)|0); //@line 77 "./jsregexp.h"
  HEAP32[(($20)>>2)]=$18; //@line 77 "./jsregexp.h"
  ;
  return; //@line 78 "./jsregexp.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE16infallibleAppendIiLj20ES1_EEvRKNS0_IT_XT0_ET1_EE($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 438 "./jsvector.h"
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE14internalAppendIiLj20ES1_EEvRKNS0_IT_XT0_ET1_EE($3, $4); //@line 438 "./jsvector.h"
  ;
  return; //@line 439 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE14internalAppendIiLj20ES1_EEvRKNS0_IT_XT0_ET1_EE($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 881 "./jsvector.h"
  var $5=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE5beginEv($4); //@line 881 "./jsvector.h"
  var $6=$2; //@line 881 "./jsvector.h"
  var $7=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE6lengthEv($6); //@line 881 "./jsvector.h"
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE14internalAppendIiEEvPKT_j($3, $5, $7); //@line 881 "./jsvector.h"
  ;
  return; //@line 882 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE14internalAppendIiEEvPKT_j($this, $insBegin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$insBegin;
  $3=$length;
  var $4=$1;
  var $5=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 864 "./jsvector.h"
  var $6=$2; //@line 864 "./jsvector.h"
  var $7=$2; //@line 864 "./jsvector.h"
  var $8=$3; //@line 864 "./jsvector.h"
  var $9=(($7+($8<<2))|0); //@line 864 "./jsvector.h"
  __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE13copyConstructIiEEvPiPKT_S7_($5, $6, $9); //@line 864 "./jsvector.h"
  var $10=$3; //@line 865 "./jsvector.h"
  var $11=(($4+4)|0); //@line 865 "./jsvector.h"
  var $12=HEAP32[(($11)>>2)]; //@line 865 "./jsvector.h"
  var $13=(($12+$10)|0); //@line 865 "./jsvector.h"
  HEAP32[(($11)>>2)]=$13; //@line 865 "./jsvector.h"
  ;
  return; //@line 866 "./jsvector.h"
}


function __ZL14JSID_FROM_BITSj151($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2js12ParseMapPool15checkInvariantsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
}


function _JSID_TO_STRING150($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZN2js12ParseMapPool9asAtomMapEPv($ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$1; //@line 93 "./frontend/ParseMaps.h"
  var $3=$2; //@line 93 "./frontend/ParseMaps.h"
  ;
  return $3; //@line 93 "./frontend/ParseMaps.h"
}


function __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE13copyConstructIiEEvPiPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject7brandedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 595 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 595 "./jsobj.h"
  var $5=$4 & 8; //@line 595 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 595 "./jsobj.h"
  var $7=$6 ^ 1; //@line 595 "./jsobj.h"
  var $8=$7 ^ 1; //@line 595 "./jsobj.h"
  ;
  return $8; //@line 595 "./jsobj.h"
}


function __ZN8JSObject10setGenericEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 606 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 606 "./jsobj.h"
  var $5=$4 | 16; //@line 606 "./jsobj.h"
  HEAP32[(($3)>>2)]=$5; //@line 606 "./jsobj.h"
  ;
  return; //@line 606 "./jsobj.h"
}


function _OBJECT_TO_JSVAL_IMPL149($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN7mozilla14AlignedStorageILj80EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function __ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+4)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js12GlobalObject16getRegExpStaticsEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 113); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $5=$agg_result; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $6=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  ;
  return; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function __ZN9JSContext4new_IN2js13RegExpStaticsEEEPT_v($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      $1=$this;
      var $2=$1;
      var $3=__ZN9JSContext7malloc_Ej($2, 112); //@line 1291 "./jscntxt.h"
      $memory=$3; //@line 1291 "./jscntxt.h"
      var $4=$memory; //@line 1291 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $7=$memory; //@line 1291 "./jscntxt.h"
      var $8=(($7)|0)==0; //@line 1291 "./jscntxt.h"
      if ($8) { var $12 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $10=$7; //@line 1291 "./jscntxt.h"
      __ZN2js13RegExpStaticsC1Ev($10); //@line 1291 "./jscntxt.h"
      var $12 = $10;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $12; //@line 1291 "./jscntxt.h"
      var $15 = $12;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $15 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $15; //@line 1291 "./jscntxt.h"
      ;
      return $15; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13RegExpStaticsC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13RegExpStaticsC2Ev($2); //@line 166 "./jsregexp.h"
  ;
  return; //@line 166 "./jsregexp.h"
}


function __ZN2js13RegExpStaticsC2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 166 "./jsregexp.h"
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEC1ES1_($4, $2); //@line 166 "./jsregexp.h"
  var $5=(($3+104)|0); //@line 166 "./jsregexp.h"
  HEAP32[(($5)>>2)]=0; //@line 166 "./jsregexp.h"
  var $6=(($3+108)|0); //@line 166 "./jsregexp.h"
  HEAP8[($6)]=0; //@line 166 "./jsregexp.h"
  __ZN2js13RegExpStatics5clearEv($3); //@line 166 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 166 "./jsregexp.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEC1ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEC2ES1_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEC2ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=(($2)|0); //@line 493 "./jsvector.h"
  var $5=(($2+12)|0); //@line 488 "./jsvector.h"
  var $6=__ZN7mozilla14AlignedStorageILj80EE4addrEv($5); //@line 488 "./jsvector.h"
  var $7=$6; //@line 488 "./jsvector.h"
  HEAP32[(($4)>>2)]=$7; //@line 488 "./jsvector.h"
  var $8=(($2+4)|0); //@line 488 "./jsvector.h"
  HEAP32[(($8)>>2)]=0; //@line 488 "./jsvector.h"
  var $9=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($9)>>2)]=20; //@line 488 "./jsvector.h"
  var $10=(($2+12)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js12GlobalObject16setDetailsForKeyE10JSProtoKeyP8JSObjectS3_($this, $key, $ctor, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $ctorVal;
  var $protoVal;
  var $visibleVal;
  var $5=__stackBase__;
  var $6=__stackBase__+8;
  $1=$this;
  $2=$key;
  $3=$ctor;
  $4=$proto;
  var $7=$1;
  var $8=$7; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $9=$2; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $10=__ZN8JSObject10getSlotRefEj($8, $9); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  $ctorVal=$10; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $11=$7; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $12=$2; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $13=(($12+37)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $14=__ZN8JSObject10getSlotRefEj($11, $13); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  $protoVal=$14; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $15=$7; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $16=$2; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $17=(($16+74)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $18=__ZN8JSObject10getSlotRefEj($15, $17); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  $visibleVal=$18; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $19=$ctorVal; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $20=$3; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  __ZN2JSL11ObjectValueER8JSObject125($5, $20); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $21=$19; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $22=$5; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $23=$protoVal; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $24=$4; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  __ZN2JSL11ObjectValueER8JSObject125($6, $24); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $25=$23; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $26=$6; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $27=$visibleVal; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $28=$ctorVal; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $29=$27; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  var $30=$28; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
  STACKTOP = __stackBase__;
  return; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/GlobalObject.h"
}


function _js_calloc152($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ParseMapPool8purgeAllEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $it;
      var $end;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $4=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5beginEv($3); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $it=$4; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $5=(($2)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $6=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE3endEv($5); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $end=$6; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 2; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 2: 
      var $8=$it; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $9=$end; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $10=(($8)|0)!=(($9)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 3: 
      var $12=(($2+280)|0); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $14=$it; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $16=__ZN2js12ParseMapPool9asAtomMapEPv($15); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN9JSContext7delete_IN2js9InlineMapIP6JSAtomjLj24EEEEEvPT_($13, $16); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 4; break; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 4: 
      var $18=$it; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $19=(($18+4)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $it=$19; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 2; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 5: 
      var $21=(($2)|0); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12clearAndFreeEv($21); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $22=(($2+140)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12clearAndFreeEv($22); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      ;
      return; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext7delete_IN2js9InlineMapIP6JSAtomjLj24EEEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EED1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12clearAndFreeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5clearEv($2); //@line 739 "./jsvector.h"
      var $3=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 741 "./jsvector.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 741 "./jsvector.h"
    case 2: 
      __label__ = 4; break; //@line 742 "./jsvector.h"
    case 3: 
      var $6=$2; //@line 744 "./jsvector.h"
      var $7=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 744 "./jsvector.h"
      var $8=$7; //@line 744 "./jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($6, $8); //@line 744 "./jsvector.h"
      var $9=(($2+12)|0); //@line 745 "./jsvector.h"
      var $10=__ZN7mozilla14AlignedStorageILj128EE4addrEv($9); //@line 745 "./jsvector.h"
      var $11=$10; //@line 745 "./jsvector.h"
      var $12=(($2)|0); //@line 745 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 745 "./jsvector.h"
      var $13=(($2+8)|0); //@line 746 "./jsvector.h"
      HEAP32[(($13)>>2)]=32; //@line 746 "./jsvector.h"
      __label__ = 4; break; //@line 750 "./jsvector.h"
    case 4: 
      ;
      return; //@line 750 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ParseMapPool13allocateFreshEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newAllLength;
      var $map;
      var $3=__stackBase__;
      $2=$this;
      var $4=$2;
      var $5=(($4)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $6=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE6lengthEv($5); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $7=(($6+1)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $newAllLength=$7; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $8=(($4)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $9=$newAllLength; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $10=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7reserveEj($8, $9); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 2: 
      var $12=(($4+140)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $13=$newAllLength; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $14=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7reserveEj($12, $13); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 3: 
      $1=0; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 7; break; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 4: 
      var $17=(($4+280)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $19=(($4+280)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $21=__ZN9JSContext4new_IN2js9InlineMapIP6JSAtomjLj24EEEPS_EEPT_T0_($18, $20); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $map=$21; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $22=$map; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $23=(($22)|0)!=0; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 5: 
      $1=0; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 7; break; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 6: 
      var $26=(($4)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $27=$map; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $28=$27; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      HEAP32[(($3)>>2)]=$28; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE16infallibleAppendERKS1_($26, $3); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $29=$map; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $30=$29; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=$30; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 7; break; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 7: 
      var $32=$1; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7reserveEj($this, $request) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$request;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 645 "./jsvector.h"
      var $6=$3; //@line 646 "./jsvector.h"
      var $7=(($5+8)|0); //@line 646 "./jsvector.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 646 "./jsvector.h"
      var $9=(($6)>>>0) > (($8)>>>0); //@line 646 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 646 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 646 "./jsvector.h"
      var $12=(($5+4)|0); //@line 646 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 646 "./jsvector.h"
      var $14=(($11-$13)|0); //@line 646 "./jsvector.h"
      var $15=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE13growStorageByEj($5, $14); //@line 646 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 646 "./jsvector.h"
    case 3: 
      $1=0; //@line 647 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 647 "./jsvector.h"
    case 4: 
      $1=1; //@line 655 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 655 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 656 "./jsvector.h"
      var $19=$1; //@line 656 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $19; //@line 656 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_IN2js9InlineMapIP6JSAtomjLj24EEEPS_EEPT_T0_($this, $p1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      $1=$this;
      $2=$p1;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 228); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $14 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      var $12=$2; //@line 1291 "./jscntxt.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EEC1EP9JSContext($11, $12); //@line 1291 "./jscntxt.h"
      var $14 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $14; //@line 1291 "./jscntxt.h"
      var $17 = $14;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $17 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $17; //@line 1291 "./jscntxt.h"
      ;
      return $17; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE16infallibleAppendERKS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 426 "./jsvector.h"
  var $5=HEAP32[(($4)>>2)]; //@line 426 "./jsvector.h"
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE14internalAppendIS1_EEvT_($3, $5); //@line 426 "./jsvector.h"
  ;
  return; //@line 427 "./jsvector.h"
}


function __ZN2js9AtomDecls9allocNodeEP12JSDefinition($this, $defn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $_a;
      var $_nb;
      var $_p;
      $2=$this;
      $3=$defn;
      var $4=$2;
      __label__ = 2; break; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 2: 
      var $6=(($4)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $8=(($7+72)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $9=(($8+16)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $_a=$10; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $11=(($4)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $13=(($12+72)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $14=(($13+24)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $16=(($15+8)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $17=(($4)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $19=(($18+72)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $20=(($19+24)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $22=$21 ^ -1; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $23=$16 & $22; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $_nb=$23; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $24=$_a; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $25=(($24+12)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $_p=$26; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $27=$_p; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $28=$_a; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $29=(($28+8)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $31=$_nb; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $32=(($30-$31)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($33) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 3: 
      var $35=(($4)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $37=(($36+72)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $38=$_nb; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $39=_JS_ArenaAllocate($37, $38); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $40=$39; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $_p=$40; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 5; break; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 4: 
      var $42=$_p; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $43=$_nb; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $44=(($42+$43)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $45=$_a; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $46=(($45+12)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      HEAP32[(($46)>>2)]=$44; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 5; break;
    case 5: 
      var $48=$_p; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $49=$48; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $p=$49; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 6; break; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 6: 
      __label__ = 7; break; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 7: 
      __label__ = 8; break; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 8: 
      var $53=$p; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $54=(($53)|0)!=0; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 9: 
      var $56=(($4)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($57); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 13; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 10: 
      var $59=$p; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $60=$59; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $61=(($60)|0)==0; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($61) { var $66 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 11: 
      var $63=$60; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $64=$3; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js12AtomDeclNodeC1EP12JSDefinition($63, $64); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $66 = $63;__label__ = 12; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 12: 
      var $66; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=$66; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 13; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 13: 
      var $68=$1; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      ;
      return $68; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9AtomDecls9allocNodeEP12JSDefinition["X"]=1;

function __ZN2js12AtomDeclNodeC1EP12JSDefinition($this, $defn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$defn;
  var $3=$1;
  var $4=$2; //@line 193 "./frontend/ParseMaps.h"
  __ZN2js12AtomDeclNodeC2EP12JSDefinition($3, $4); //@line 193 "./frontend/ParseMaps.h"
  ;
  return; //@line 193 "./frontend/ParseMaps.h"
}


function __ZN2js9AtomDecls9addShadowEP6JSAtomP12JSDefinition($this, $atom, $defn) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $node;
      var $p=__stackBase__+4;
      var $5=__stackBase__+20;
      var $toShadow;
      var $6=__stackBase__+24;
      $2=$this;
      HEAP32[(($3)>>2)]=$atom;
      $4=$defn;
      var $7=$2;
      var $8=$4; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $9=__ZN2js9AtomDecls9allocNodeEP12JSDefinition($7, $8); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $node=$9; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $10=$node; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $11=(($10)|0)!=0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 2: 
      $1=0; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 11; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 3: 
      var $14=(($7+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12lookupForAddERKS2_($p, $15, $3); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $16=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrcvPPPPPPPS5_Ev($p); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $17=(($16)|0)!=0; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 4: 
      var $19=(($7+4)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $21=$node; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js12DefnOrHeaderC1EPNS_12AtomDeclNodeE($5, $21); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $22=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3addERNS4_6AddPtrERKS2_RKS3_($20, $p, $3, $5); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=$22; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 11; break; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 5: 
      var $24=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5valueEv($p); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $25=__ZNK2js12DefnOrHeader8isHeaderEv($24); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 6: 
      var $27=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5valueEv($p); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $28=__ZNK2js12DefnOrHeader6headerEv($27); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $toShadow=$28; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 10; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 7: 
      var $30=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5valueEv($p); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $31=__ZNK2js12DefnOrHeader4defnEv($30); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $32=__ZN2js9AtomDecls9allocNodeEP12JSDefinition($7, $31); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $toShadow=$32; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $33=$toShadow; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $34=(($33)|0)!=0; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 8: 
      $1=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 11; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $38=$toShadow; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $39=$node; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $40=(($39+4)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      HEAP32[(($40)>>2)]=$38; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $41=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5valueEv($p); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $42=$node; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js12DefnOrHeaderC1EPNS_12AtomDeclNodeE($6, $42); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $43=$41; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $44=$6; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=1; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 11; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 11: 
      var $46=$1; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9AtomDecls9addShadowEP6JSAtomP12JSDefinition["X"]=1;

function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12lookupForAddERKS2_($agg_result, $this, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $it;
      var $end;
      $1=$this;
      $2=$key;
      var $4=$1;
      var $5=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE8usingMapEv($4); //@line 264 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 264 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($4+200)|0); //@line 265 "./mfbt/InlineMap.h"
      var $8=$2; //@line 265 "./mfbt/InlineMap.h"
      __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($3, $7, $8); //@line 265 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E6AddPtrE($agg_result, $3); //@line 265 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 265 "./mfbt/InlineMap.h"
    case 3: 
      var $10=(($4+8)|0); //@line 267 "./mfbt/InlineMap.h"
      var $11=(($10)|0); //@line 267 "./mfbt/InlineMap.h"
      $it=$11; //@line 267 "./mfbt/InlineMap.h"
      var $12=(($4+8)|0); //@line 267 "./mfbt/InlineMap.h"
      var $13=(($12)|0); //@line 267 "./mfbt/InlineMap.h"
      var $14=(($4)|0); //@line 267 "./mfbt/InlineMap.h"
      var $15=HEAP32[(($14)>>2)]; //@line 267 "./mfbt/InlineMap.h"
      var $16=(($13+($15<<3))|0); //@line 267 "./mfbt/InlineMap.h"
      $end=$16; //@line 267 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 267 "./mfbt/InlineMap.h"
    case 4: 
      var $18=$it; //@line 267 "./mfbt/InlineMap.h"
      var $19=$end; //@line 267 "./mfbt/InlineMap.h"
      var $20=(($18)|0)!=(($19)|0); //@line 267 "./mfbt/InlineMap.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 267 "./mfbt/InlineMap.h"
    case 5: 
      var $22=$it; //@line 268 "./mfbt/InlineMap.h"
      var $23=(($22)|0); //@line 268 "./mfbt/InlineMap.h"
      var $24=HEAP32[(($23)>>2)]; //@line 268 "./mfbt/InlineMap.h"
      var $25=$2; //@line 268 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 268 "./mfbt/InlineMap.h"
      var $27=(($24)|0)==(($26)|0); //@line 268 "./mfbt/InlineMap.h"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 268 "./mfbt/InlineMap.h"
    case 6: 
      var $29=$it; //@line 269 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC1EPNS4_10InlineElemEb($agg_result, $29, 1); //@line 269 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 269 "./mfbt/InlineMap.h"
    case 7: 
      __label__ = 8; break; //@line 270 "./mfbt/InlineMap.h"
    case 8: 
      var $32=$it; //@line 267 "./mfbt/InlineMap.h"
      var $33=(($32+8)|0); //@line 267 "./mfbt/InlineMap.h"
      $it=$33; //@line 267 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 267 "./mfbt/InlineMap.h"
    case 9: 
      var $35=(($4+8)|0); //@line 277 "./mfbt/InlineMap.h"
      var $36=(($35)|0); //@line 277 "./mfbt/InlineMap.h"
      var $37=(($4)|0); //@line 277 "./mfbt/InlineMap.h"
      var $38=HEAP32[(($37)>>2)]; //@line 277 "./mfbt/InlineMap.h"
      var $39=(($36+($38<<3))|0); //@line 277 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC1EPNS4_10InlineElemEb($agg_result, $39, 0); //@line 277 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 277 "./mfbt/InlineMap.h"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 278 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12lookupForAddERKS2_["X"]=1;

function __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrcvPPPPPPPS5_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5foundEv($2); //@line 206 "./mfbt/InlineMap.h"
  var $4=$3 ? 1 : 0; //@line 206 "./mfbt/InlineMap.h"
  ;
  return $4; //@line 206 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3addERNS4_6AddPtrERKS2_RKS3_($this, $p, $key, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $addPtr;
      $2=$this;
      $3=$p;
      $4=$key;
      $5=$value;
      var $6=$2;
      var $7=$3; //@line 284 "./mfbt/InlineMap.h"
      var $8=(($7+12)|0); //@line 284 "./mfbt/InlineMap.h"
      var $9=HEAP8[($8)]; //@line 284 "./mfbt/InlineMap.h"
      var $10=(($9) & 1); //@line 284 "./mfbt/InlineMap.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 284 "./mfbt/InlineMap.h"
    case 2: 
      var $12=$3; //@line 285 "./mfbt/InlineMap.h"
      var $13=(($12+8)|0); //@line 285 "./mfbt/InlineMap.h"
      var $14=HEAP32[(($13)>>2)]; //@line 285 "./mfbt/InlineMap.h"
      $addPtr=$14; //@line 285 "./mfbt/InlineMap.h"
      var $15=$addPtr; //@line 289 "./mfbt/InlineMap.h"
      var $16=(($6+8)|0); //@line 289 "./mfbt/InlineMap.h"
      var $17=(($16)|0); //@line 289 "./mfbt/InlineMap.h"
      var $18=(($17+192)|0); //@line 289 "./mfbt/InlineMap.h"
      var $19=(($15)|0)==(($18)|0); //@line 289 "./mfbt/InlineMap.h"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 289 "./mfbt/InlineMap.h"
    case 3: 
      var $21=$4; //@line 290 "./mfbt/InlineMap.h"
      var $22=$5; //@line 290 "./mfbt/InlineMap.h"
      var $23=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12switchAndAddERKS2_RKS3_($6, $21, $22); //@line 290 "./mfbt/InlineMap.h"
      $1=$23; //@line 290 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 290 "./mfbt/InlineMap.h"
    case 4: 
      var $25=$4; //@line 294 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 294 "./mfbt/InlineMap.h"
      var $27=$3; //@line 294 "./mfbt/InlineMap.h"
      var $28=(($27+8)|0); //@line 294 "./mfbt/InlineMap.h"
      var $29=HEAP32[(($28)>>2)]; //@line 294 "./mfbt/InlineMap.h"
      var $30=(($29)|0); //@line 294 "./mfbt/InlineMap.h"
      HEAP32[(($30)>>2)]=$26; //@line 294 "./mfbt/InlineMap.h"
      var $31=$3; //@line 295 "./mfbt/InlineMap.h"
      var $32=(($31+8)|0); //@line 295 "./mfbt/InlineMap.h"
      var $33=HEAP32[(($32)>>2)]; //@line 295 "./mfbt/InlineMap.h"
      var $34=(($33+4)|0); //@line 295 "./mfbt/InlineMap.h"
      var $35=$5; //@line 295 "./mfbt/InlineMap.h"
      var $36=$34; //@line 295 "./mfbt/InlineMap.h"
      var $37=$35; //@line 295 "./mfbt/InlineMap.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)]; //@line 295 "./mfbt/InlineMap.h"
      var $38=(($6+4)|0); //@line 296 "./mfbt/InlineMap.h"
      var $39=HEAP32[(($38)>>2)]; //@line 296 "./mfbt/InlineMap.h"
      var $40=(($39+1)|0); //@line 296 "./mfbt/InlineMap.h"
      HEAP32[(($38)>>2)]=$40; //@line 296 "./mfbt/InlineMap.h"
      var $41=(($6)|0); //@line 297 "./mfbt/InlineMap.h"
      var $42=HEAP32[(($41)>>2)]; //@line 297 "./mfbt/InlineMap.h"
      var $43=(($42+1)|0); //@line 297 "./mfbt/InlineMap.h"
      HEAP32[(($41)>>2)]=$43; //@line 297 "./mfbt/InlineMap.h"
      $1=1; //@line 298 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 298 "./mfbt/InlineMap.h"
    case 5: 
      var $45=(($6+200)|0); //@line 301 "./mfbt/InlineMap.h"
      var $46=$3; //@line 301 "./mfbt/InlineMap.h"
      var $47=(($46)|0); //@line 301 "./mfbt/InlineMap.h"
      var $48=$4; //@line 301 "./mfbt/InlineMap.h"
      var $49=$5; //@line 301 "./mfbt/InlineMap.h"
      var $50=__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E6AddPtrERKS2_RKS3_($45, $47, $48, $49); //@line 301 "./mfbt/InlineMap.h"
      $1=$50; //@line 301 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 301 "./mfbt/InlineMap.h"
    case 6: 
      var $52=$1; //@line 302 "./mfbt/InlineMap.h"
      ;
      return $52; //@line 302 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3addERNS4_6AddPtrERKS2_RKS3_["X"]=1;

function __ZN2js12DefnOrHeaderC1EPNS_12AtomDeclNodeE($this, $node) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$node;
  var $3=$1;
  var $4=$2; //@line 222 "./frontend/ParseMaps.h"
  __ZN2js12DefnOrHeaderC2EPNS_12AtomDeclNodeE($3, $4); //@line 222 "./frontend/ParseMaps.h"
  ;
  return; //@line 222 "./frontend/ParseMaps.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE21checkStaticInvariantsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 79 "./mfbt/InlineMap.h"
}


function __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE7destroyEPS1_S4_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js12DefnOrHeader8isHeaderEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 225 "./frontend/ParseMaps.h"
  var $4=$3; //@line 225 "./frontend/ParseMaps.h"
  var $5=HEAP32[(($4)>>2)]; //@line 225 "./frontend/ParseMaps.h"
  var $6=$5 & 1; //@line 225 "./frontend/ParseMaps.h"
  var $7=(($6)|0)!=0; //@line 225 "./frontend/ParseMaps.h"
  ;
  return $7; //@line 225 "./frontend/ParseMaps.h"
}


function __ZNK2js12DefnOrHeader6headerEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 235 "./frontend/ParseMaps.h"
  var $4=$3; //@line 235 "./frontend/ParseMaps.h"
  var $5=HEAP32[(($4)>>2)]; //@line 235 "./frontend/ParseMaps.h"
  var $6=$5 & -2; //@line 235 "./frontend/ParseMaps.h"
  var $7=$6; //@line 235 "./frontend/ParseMaps.h"
  ;
  return $7; //@line 235 "./frontend/ParseMaps.h"
}


function __ZNK2js12DefnOrHeader4defnEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 230 "./frontend/ParseMaps.h"
  var $4=$3; //@line 230 "./frontend/ParseMaps.h"
  var $5=HEAP32[(($4)>>2)]; //@line 230 "./frontend/ParseMaps.h"
  ;
  return $5; //@line 230 "./frontend/ParseMaps.h"
}


function __ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+4)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE13copyConstructIS1_EEvPS1_PKT_S8_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK7mozilla14AlignedStorageILj128EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla14AlignedStorageILj128EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5valueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+12)|0); //@line 211 "./mfbt/InlineMap.h"
      var $5=HEAP8[($4)]; //@line 211 "./mfbt/InlineMap.h"
      var $6=(($5) & 1); //@line 211 "./mfbt/InlineMap.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 211 "./mfbt/InlineMap.h"
    case 2: 
      var $8=(($3+8)|0); //@line 212 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 212 "./mfbt/InlineMap.h"
      var $10=(($9+4)|0); //@line 212 "./mfbt/InlineMap.h"
      $1=$10; //@line 212 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 212 "./mfbt/InlineMap.h"
    case 3: 
      var $12=(($3)|0); //@line 213 "./mfbt/InlineMap.h"
      var $13=$12; //@line 213 "./mfbt/InlineMap.h"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrptEv($13); //@line 213 "./mfbt/InlineMap.h"
      var $15=(($14+4)|0); //@line 213 "./mfbt/InlineMap.h"
      $1=$15; //@line 213 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 213 "./mfbt/InlineMap.h"
    case 4: 
      var $17=$1; //@line 214 "./mfbt/InlineMap.h"
      ;
      return $17; //@line 214 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9AtomDecls10lastAsNodeEPNS_12DefnOrHeaderE($this, $doh) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $last;
      var $node;
      var $4=__stackBase__;
      $2=$this;
      $3=$doh;
      var $5=$2;
      var $6=$3; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $7=__ZNK2js12DefnOrHeader8isHeaderEv($6); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 2: 
      var $9=$3; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $10=__ZNK2js12DefnOrHeader6headerEv($9); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $last=$10; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 3; break; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 3: 
      var $12=$last; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $13=(($12+4)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $15=(($14)|0)!=0; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 4: 
      var $17=$last; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $18=(($17+4)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $last=$19; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 3; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 5: 
      var $21=$last; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=$21; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 9; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 6: 
      var $23=$3; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $24=__ZNK2js12DefnOrHeader4defnEv($23); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $25=__ZN2js9AtomDecls9allocNodeEP12JSDefinition($5, $24); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $node=$25; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $26=$node; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $27=(($26)|0)!=0; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 7: 
      $1=0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 9; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 8: 
      var $30=$3; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $31=$node; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js12DefnOrHeaderC1EPNS_12AtomDeclNodeE($4, $31); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $32=$30; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $33=$4; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $34=$node; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=$34; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 9; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 9: 
      var $36=$1; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9AtomDecls8addHoistEP6JSAtomP12JSDefinition($this, $atom, $defn) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $node;
      var $p=__stackBase__+4;
      var $last;
      var $5=__stackBase__+20;
      $2=$this;
      HEAP32[(($3)>>2)]=$atom;
      $4=$defn;
      var $6=$2;
      var $7=$4; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $8=__ZN2js9AtomDecls9allocNodeEP12JSDefinition($6, $7); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $node=$8; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $9=$node; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $10=(($9)|0)!=0; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 2: 
      $1=0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 8; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 3: 
      var $13=(($6+4)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12lookupForAddERKS2_($p, $14, $3); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $15=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrcvPPPPPPPS5_Ev($p); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $16=(($15)|0)!=0; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 4: 
      var $18=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5valueEv($p); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $19=__ZN2js9AtomDecls10lastAsNodeEPNS_12DefnOrHeaderE($6, $18); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $last=$19; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $20=$last; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $21=(($20)|0)!=0; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 5: 
      $1=0; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 8; break; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 6: 
      var $24=$node; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $25=$last; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $26=(($25+4)|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      HEAP32[(($26)>>2)]=$24; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=1; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 8; break; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 7: 
      var $28=(($6+4)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $30=$node; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __ZN2js12DefnOrHeaderC1EPNS_12AtomDeclNodeE($5, $30); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      var $31=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3addERNS4_6AddPtrERKS2_RKS3_($29, $p, $3, $5); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      $1=$31; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      __label__ = 8; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    case 8: 
      var $33=$1; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/frontend/ParseMaps.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomjLj24EEC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 119 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomjLj24EEC2EP9JSContext($3, $4); //@line 119 "./jsprvtd.h"
  ;
  return; //@line 119 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EEC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=(($4)|0); //@line 117 "./jsprvtd.h"
  HEAP32[(($5)>>2)]=0; //@line 117 "./jsprvtd.h"
  var $6=(($4+4)|0); //@line 117 "./jsprvtd.h"
  HEAP32[(($6)>>2)]=0; //@line 117 "./jsprvtd.h"
  var $7=(($4+8)|0); //@line 117 "./jsprvtd.h"
  var $8=(($4+200)|0); //@line 117 "./jsprvtd.h"
  var $9=$2; //@line 117 "./jsprvtd.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $9); //@line 117 "./jsprvtd.h"
  __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_($8, $3); //@line 117 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomjLj24EE21checkStaticInvariantsEv($4); //@line 118 "./mfbt/InlineMap.h"
  STACKTOP = __stackBase__;
  return; //@line 119 "./mfbt/InlineMap.h"
}


function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  var $5=$2; //@line 985 "./jshashtable.h"
  var $6=$a; //@line 985 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function _js_malloc153($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+12)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj128EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+4)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js17SystemAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE13moveConstructIS1_EEvPS1_PKT_S8_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE7destroyEPS1_S4_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+8)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS1_Lj32ES2_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS1_Lj32ES2_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+8)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js17SystemAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+8)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc154($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE13moveConstructIS1_EEvPS1_PKT_S8_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE13copyConstructIS1_EEvPS1_PKT_S8_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 730 "./jsvector.h"
  var $3=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 731 "./jsvector.h"
  var $4=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 731 "./jsvector.h"
  __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE7destroyEPS1_S4_($3, $4); //@line 731 "./jsvector.h"
  var $5=(($2+4)|0); //@line 732 "./jsvector.h"
  HEAP32[(($5)>>2)]=0; //@line 732 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 733 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 733 "./jsvector.h"
}


function _js_free155($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9InlineMapIP6JSAtomjLj24EED2Ev($2); //@line 184 "./jsprvtd.h"
  ;
  return; //@line 184 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+200)|0); //@line 184 "./jsprvtd.h"
  __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($3); //@line 184 "./jsprvtd.h"
  ;
  return; //@line 184 "./jsprvtd.h"
}


function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12switchAndAddERKS2_RKS3_($this, $key, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$key;
      $4=$value;
      var $5=$2;
      var $6=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE11switchToMapEv($5); //@line 109 "./mfbt/InlineMap.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 109 "./mfbt/InlineMap.h"
    case 2: 
      $1=0; //@line 110 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 110 "./mfbt/InlineMap.h"
    case 3: 
      var $9=(($5+200)|0); //@line 112 "./mfbt/InlineMap.h"
      var $10=$3; //@line 112 "./mfbt/InlineMap.h"
      var $11=$4; //@line 112 "./mfbt/InlineMap.h"
      var $12=__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKS3_($9, $10, $11); //@line 112 "./mfbt/InlineMap.h"
      $1=$12; //@line 112 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 112 "./mfbt/InlineMap.h"
    case 4: 
      var $14=$1; //@line 113 "./mfbt/InlineMap.h"
      ;
      return $14; //@line 113 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E6AddPtrERKS2_RKS3_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrEPPS6_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $17=(($16+4)|0); //@line 1053 "./jshashtable.h"
      var $18=$5; //@line 1053 "./jshashtable.h"
      var $19=$17; //@line 1053 "./jshashtable.h"
      var $20=$18; //@line 1053 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)]; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $22=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $22; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrEPPS6_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEC2ERS8_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC2ERS5_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIP6JSAtomEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12DefnOrHeaderEEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12DefnOrHeaderEEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefIP6JSAtomEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12DefnOrHeaderC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 209 "./frontend/ParseMaps.h"
  var $4=(($2)|0); //@line 210 "./frontend/ParseMaps.h"
  var $5=$4; //@line 210 "./frontend/ParseMaps.h"
  HEAP32[(($5)>>2)]=0; //@line 210 "./frontend/ParseMaps.h"
  ;
  return; //@line 211 "./frontend/ParseMaps.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11createTableERSA_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEENS_7MoveRefIT_EERSA_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEaSENS_7MoveRefIS7_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E12destroyTableERSA_PNS0_14HashTableEntryIS6_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11createTableERSA_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEaSENS_7MoveRefIS7_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEENS_7MoveRefIT_EERS7_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEaSENS_7MoveRefIS4_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEENS_7MoveRefIT_EERSA_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEC1ERS8_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E12destroyTableERSA_PNS0_14HashTableEntryIS6_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEC1ERS8_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEC2ERS8_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEaSENS_7MoveRefIS4_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP6JSAtomEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP6JSAtomEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=(($4+4)|0); //@line 917 "./jshashtable.h"
  var $11=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $12=(($11+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveINS_12DefnOrHeaderEEENS_7MoveRefIT_EERS3_($3, $12); //@line 917 "./jshashtable.h"
  var $13=__ZNK2js7MoveRefINS_12DefnOrHeaderEEcvRS1_Ev($3); //@line 917 "./jshashtable.h"
  var $14=$10; //@line 917 "./jshashtable.h"
  var $15=$13; //@line 917 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)]; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEENS_7MoveRefIT_EERS7_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC1ERS5_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC1ERS5_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC2ERS5_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIP6JSAtomEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefIP6JSAtomEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js4MoveINS_12DefnOrHeaderEEENS_7MoveRefIT_EERS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12DefnOrHeaderEEC1ERS1_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12DefnOrHeaderEEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12DefnOrHeaderEEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefIP6JSAtomEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIP6JSAtomEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  __ZN2js12DefnOrHeaderC1Ev($4); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12DefnOrHeaderC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12DefnOrHeaderC2Ev($2); //@line 211 "./frontend/ParseMaps.h"
  ;
  return; //@line 211 "./frontend/ParseMaps.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE11switchToMapEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $it;
      var $end;
      $2=$this;
      var $3=$2;
      var $4=(($3+200)|0); //@line 88 "./mfbt/InlineMap.h"
      var $5=__ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv($4); //@line 88 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 88 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($3+200)|0); //@line 89 "./mfbt/InlineMap.h"
      __ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv($7); //@line 89 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 90 "./mfbt/InlineMap.h"
    case 3: 
      var $9=(($3+200)|0); //@line 91 "./mfbt/InlineMap.h"
      var $10=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5countEv($3); //@line 91 "./mfbt/InlineMap.h"
      var $11=__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($9, $10); //@line 91 "./mfbt/InlineMap.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 91 "./mfbt/InlineMap.h"
    case 4: 
      $1=0; //@line 92 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 92 "./mfbt/InlineMap.h"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $15=(($3+8)|0); //@line 96 "./mfbt/InlineMap.h"
      var $16=(($15)|0); //@line 96 "./mfbt/InlineMap.h"
      $it=$16; //@line 96 "./mfbt/InlineMap.h"
      var $17=(($3+8)|0); //@line 96 "./mfbt/InlineMap.h"
      var $18=(($17)|0); //@line 96 "./mfbt/InlineMap.h"
      var $19=(($3)|0); //@line 96 "./mfbt/InlineMap.h"
      var $20=HEAP32[(($19)>>2)]; //@line 96 "./mfbt/InlineMap.h"
      var $21=(($18+($20<<3))|0); //@line 96 "./mfbt/InlineMap.h"
      $end=$21; //@line 96 "./mfbt/InlineMap.h"
      __label__ = 7; break; //@line 96 "./mfbt/InlineMap.h"
    case 7: 
      var $23=$it; //@line 96 "./mfbt/InlineMap.h"
      var $24=$end; //@line 96 "./mfbt/InlineMap.h"
      var $25=(($23)|0)!=(($24)|0); //@line 96 "./mfbt/InlineMap.h"
      if ($25) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 96 "./mfbt/InlineMap.h"
    case 8: 
      var $27=$it; //@line 97 "./mfbt/InlineMap.h"
      var $28=(($27)|0); //@line 97 "./mfbt/InlineMap.h"
      var $29=HEAP32[(($28)>>2)]; //@line 97 "./mfbt/InlineMap.h"
      var $30=(($29)|0)!=0; //@line 97 "./mfbt/InlineMap.h"
      if ($30) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 97 "./mfbt/InlineMap.h"
    case 9: 
      var $32=(($3+200)|0); //@line 97 "./mfbt/InlineMap.h"
      var $33=$it; //@line 97 "./mfbt/InlineMap.h"
      var $34=(($33)|0); //@line 97 "./mfbt/InlineMap.h"
      var $35=$it; //@line 97 "./mfbt/InlineMap.h"
      var $36=(($35+4)|0); //@line 97 "./mfbt/InlineMap.h"
      var $37=__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKS3_($32, $34, $36); //@line 97 "./mfbt/InlineMap.h"
      if ($37) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 97 "./mfbt/InlineMap.h"
    case 10: 
      $1=0; //@line 98 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 98 "./mfbt/InlineMap.h"
    case 11: 
      __label__ = 12; break; //@line 99 "./mfbt/InlineMap.h"
    case 12: 
      var $41=$it; //@line 96 "./mfbt/InlineMap.h"
      var $42=(($41+8)|0); //@line 96 "./mfbt/InlineMap.h"
      $it=$42; //@line 96 "./mfbt/InlineMap.h"
      __label__ = 7; break; //@line 96 "./mfbt/InlineMap.h"
    case 13: 
      var $44=(($3)|0); //@line 101 "./mfbt/InlineMap.h"
      HEAP32[(($44)>>2)]=25; //@line 101 "./mfbt/InlineMap.h"
      $1=1; //@line 104 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 104 "./mfbt/InlineMap.h"
    case 14: 
      var $46=$1; //@line 105 "./mfbt/InlineMap.h"
      ;
      return $46; //@line 105 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE11switchToMapEv["X"]=1;

function __ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKS3_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $p=__stackBase__;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 1150 "./jshashtable.h"
  __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($p, $4, $5); //@line 1150 "./jshashtable.h"
  var $6=$2; //@line 1152 "./jshashtable.h"
  var $7=$3; //@line 1152 "./jshashtable.h"
  var $8=__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E6AddPtrERKS2_RKS3_($4, $p, $6, $7); //@line 1152 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1152 "./jshashtable.h"
}


function __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 144 "./jshashtable.h"
}


function __ZN2js13PointerHasherIP6JSAtomLj2EE5matchERKS2_S5_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIP6JSAtomLj2EE4hashERKS2_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 2; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC2ERNS0_14HashTableEntryIS6_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S3_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE8usingMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 82 "./mfbt/InlineMap.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 82 "./mfbt/InlineMap.h"
  var $5=(($4)>>>0) > 24; //@line 82 "./mfbt/InlineMap.h"
  ;
  return $5; //@line 82 "./mfbt/InlineMap.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 646 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 646 "./jshashtable.h"
  ;
  return $4; //@line 646 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 407 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 407 "./jshashtable.h"
  var $5=(($4)|0)!=0; //@line 407 "./jshashtable.h"
  var $6=$5 ^ 1; //@line 407 "./jshashtable.h"
  var $7=$6 ^ 1; //@line 407 "./jshashtable.h"
  ;
  return $7; //@line 407 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZN2js12DefnOrHeaderC2EPNS_12AtomDeclNodeE($this, $node) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$node;
  var $3=$1;
  var $4=(($3)|0); //@line 218 "./frontend/ParseMaps.h"
  var $5=$2; //@line 219 "./frontend/ParseMaps.h"
  var $6=(($3)|0); //@line 219 "./frontend/ParseMaps.h"
  var $7=$6; //@line 219 "./frontend/ParseMaps.h"
  HEAP32[(($7)>>2)]=$5; //@line 219 "./frontend/ParseMaps.h"
  var $8=(($3)|0); //@line 220 "./frontend/ParseMaps.h"
  var $9=$8; //@line 220 "./frontend/ParseMaps.h"
  var $10=HEAP32[(($9)>>2)]; //@line 220 "./frontend/ParseMaps.h"
  var $11=$10 | 1; //@line 220 "./frontend/ParseMaps.h"
  HEAP32[(($9)>>2)]=$11; //@line 220 "./frontend/ParseMaps.h"
  ;
  return; //@line 222 "./frontend/ParseMaps.h"
}


function __ZN2js12AtomDeclNodeC2EP12JSDefinition($this, $defn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$defn;
  var $3=$1;
  var $4=(($3)|0); //@line 193 "./frontend/ParseMaps.h"
  var $5=$2; //@line 193 "./frontend/ParseMaps.h"
  HEAP32[(($4)>>2)]=$5; //@line 193 "./frontend/ParseMaps.h"
  var $6=(($3+4)|0); //@line 193 "./frontend/ParseMaps.h"
  HEAP32[(($6)>>2)]=0; //@line 193 "./frontend/ParseMaps.h"
  ;
  return; //@line 193 "./frontend/ParseMaps.h"
}


function __ZNK2js9FrameRegs7inlinedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1258 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1258 "./vm/Stack.h"
  ;
  return $4; //@line 1258 "./vm/Stack.h"
}


function __ZNK2js10StackFrame10annotationEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 949 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 949 "./vm/Stack.h"
      var $5=$4 & 131072; //@line 949 "./vm/Stack.h"
      var $6=(($5)|0)!=0; //@line 949 "./vm/Stack.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 949 "./vm/Stack.h"
    case 2: 
      var $8=(($2+48)|0); //@line 949 "./vm/Stack.h"
      var $9=HEAP32[(($8)>>2)]; //@line 949 "./vm/Stack.h"
      var $12 = $9;__label__ = 4; break; //@line 949 "./vm/Stack.h"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 949 "./vm/Stack.h"
    case 4: 
      var $12; //@line 949 "./vm/Stack.h"
      ;
      return $12; //@line 949 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame13setAnnotationEPv($this, $annot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$annot;
  var $3=$1;
  var $4=(($3)|0); //@line 953 "./vm/Stack.h"
  var $5=HEAP32[(($4)>>2)]; //@line 953 "./vm/Stack.h"
  var $6=$5 | 131072; //@line 953 "./vm/Stack.h"
  HEAP32[(($4)>>2)]=$6; //@line 953 "./vm/Stack.h"
  var $7=$2; //@line 954 "./vm/Stack.h"
  var $8=(($3+48)|0); //@line 954 "./vm/Stack.h"
  HEAP32[(($8)>>2)]=$7; //@line 954 "./vm/Stack.h"
  ;
  return; //@line 955 "./vm/Stack.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP6JSAtomLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5matchERNS0_14HashTableEntryIS6_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5matchERNS0_14HashTableEntryIS6_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC2ERNS0_14HashTableEntryIS6_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5matchERNS0_14HashTableEntryIS6_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S3_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP6JSAtomLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 987 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11initializedEv($3); //@line 987 "./jshashtable.h"
  ;
  return $4; //@line 987 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1112 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5clearEv($3); //@line 1112 "./jshashtable.h"
  ;
  return; //@line 1112 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5countEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE8usingMapEv($2); //@line 218 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 218 "./mfbt/InlineMap.h"
    case 2: 
      var $5=(($2+200)|0); //@line 218 "./mfbt/InlineMap.h"
      var $6=__ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($5); //@line 218 "./mfbt/InlineMap.h"
      var $11 = $6;__label__ = 4; break; //@line 218 "./mfbt/InlineMap.h"
    case 3: 
      var $8=(($2+4)|0); //@line 218 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 218 "./mfbt/InlineMap.h"
      var $11 = $9;__label__ = 4; break; //@line 218 "./mfbt/InlineMap.h"
    case 4: 
      var $11; //@line 218 "./mfbt/InlineMap.h"
      ;
      return $11; //@line 218 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1090 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5countEv($3); //@line 1090 "./jshashtable.h"
  ;
  return $4; //@line 1090 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11createTableERSA_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E4initEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 608 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 608 "./jshashtable.h"
  var $5=$4; //@line 608 "./jshashtable.h"
  var $6=(($2+8)|0); //@line 608 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 608 "./jshashtable.h"
  var $8=(($7*12)|0); //@line 608 "./jshashtable.h"
  _memset($5, 0, $8, 1); //@line 608 "./jshashtable.h"
  var $9=(($2+20)|0); //@line 613 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 613 "./jshashtable.h"
  var $10=(($2+12)|0); //@line 614 "./jshashtable.h"
  HEAP32[(($10)>>2)]=0; //@line 614 "./jshashtable.h"
  ;
  return; //@line 618 "./jshashtable.h"
}


function __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5foundEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 202 "./mfbt/InlineMap.h"
      var $4=HEAP8[($3)]; //@line 202 "./mfbt/InlineMap.h"
      var $5=(($4) & 1); //@line 202 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 202 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($2+13)|0); //@line 202 "./mfbt/InlineMap.h"
      var $8=HEAP8[($7)]; //@line 202 "./mfbt/InlineMap.h"
      var $9=(($8) & 1); //@line 202 "./mfbt/InlineMap.h"
      var $15 = $9;__label__ = 4; break; //@line 202 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 202 "./mfbt/InlineMap.h"
      var $12=$11; //@line 202 "./mfbt/InlineMap.h"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3Ptr5foundEv($12); //@line 202 "./mfbt/InlineMap.h"
      var $15 = $13;__label__ = 4; break; //@line 202 "./mfbt/InlineMap.h"
    case 4: 
      var $15; //@line 202 "./mfbt/InlineMap.h"
      ;
      return $15; //@line 202 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E6AddPtrE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 192 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E6AddPtrE($3, $4); //@line 192 "./jsprvtd.h"
  ;
  return; //@line 192 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC1EPNS4_10InlineElemEb($this, $ptr, $found) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ptr;
  var $4=(($found)&1);
  $3=$4;
  var $5=$1;
  var $6=$2; //@line 190 "./jsprvtd.h"
  var $7=$3; //@line 190 "./jsprvtd.h"
  var $8=(($7) & 1); //@line 190 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC2EPNS4_10InlineElemEb($5, $6, $8); //@line 190 "./jsprvtd.h"
  ;
  return; //@line 190 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC2EPNS4_10InlineElemEb($this, $ptr, $found) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ptr;
  var $4=(($found)&1);
  $3=$4;
  var $5=$1;
  var $6=(($5)|0); //@line 190 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1Ev($6); //@line 190 "./jsprvtd.h"
  var $7=(($5+8)|0); //@line 190 "./jsprvtd.h"
  var $8=$2; //@line 190 "./jsprvtd.h"
  HEAP32[(($7)>>2)]=$8; //@line 190 "./jsprvtd.h"
  var $9=(($5+12)|0); //@line 190 "./jsprvtd.h"
  HEAP8[($9)]=1; //@line 190 "./jsprvtd.h"
  var $10=(($5+13)|0); //@line 190 "./jsprvtd.h"
  var $11=$3; //@line 190 "./jsprvtd.h"
  var $12=(($11) & 1); //@line 190 "./jsprvtd.h"
  var $13=(($12)&1); //@line 190 "./jsprvtd.h"
  HEAP8[($10)]=$13; //@line 190 "./jsprvtd.h"
  ;
  return; //@line 190 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2Ev($2); //@line 170 "./jshashtable.h"
  ;
  return; //@line 170 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 170 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC2Ev($3); //@line 170 "./jshashtable.h"
  ;
  return; //@line 170 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E6AddPtrE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=(($3)|0); //@line 192 "./jsprvtd.h"
  var $5=$2; //@line 192 "./jsprvtd.h"
  var $6=$4; //@line 192 "./jsprvtd.h"
  var $7=$5; //@line 192 "./jsprvtd.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 192 "./jsprvtd.h"
  var $8=(($3+12)|0); //@line 192 "./jsprvtd.h"
  HEAP8[($8)]=0; //@line 192 "./jsprvtd.h"
  ;
  return; //@line 192 "./mfbt/InlineMap.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE14internalAppendIS1_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+4)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame16initExecuteFrameEP8JSScriptPS0_PNS_9FrameRegsERKN2JS5ValueER8JSObjectNS_11ExecuteTypeE($this, $script, $prev, $regs, $thisv, $scopeChain, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $dstvp;
      var $8=__stackBase__;
      $1=$this;
      $2=$script;
      $3=$prev;
      $4=$regs;
      $5=$thisv;
      $6=$scopeChain;
      $7=$type;
      var $9=$1;
      var $10=$7; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=$10 | 524288; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$11 | 1048576; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=(($9)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=(($9)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=$15 & 1; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=(($16)|0)!=0; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $19=$3; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=(($19)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=$21 & 3; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=(($9)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=$24 | $22; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($23)>>2)]=$25; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $27=$9; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=(($27-16)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $dstvp=$28; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=$dstvp; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=(($29+8)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=$5; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $32=$30; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=$31; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=__ZNK2js10StackFrame15isFunctionFrameEv($9); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($34) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $36=$dstvp; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=(($36)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38=$3; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=__ZNK2js10StackFrame7calleevEv($38); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=$37; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41=$39; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $42=(($9+4)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $43=$3; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $44=(($43+4)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $45=$42; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $46=$44; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)]; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $47=$2; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $48=(($9+8)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $49=$48; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($49)>>2)]=$47; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 6; break; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $51=$dstvp; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $52=(($51)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2JSL9NullValueEv158($8); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $53=$52; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $54=$8; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $55=$2; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $56=(($9+4)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $57=$56; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($57)>>2)]=$55; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 6; break;
    case 6: 
      var $59=$6; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $60=(($9+12)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($60)>>2)]=$59; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $61=$3; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $62=(($9+16)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($62)>>2)]=$61; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $63=$4; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $64=(($63)|0)!=0; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($64) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $66=$4; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $67=(($66+4)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $71 = $68;__label__ = 9; break; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $71 = 2989;__label__ = 9; break; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 9: 
      var $71; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $72=(($9+32)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($72)>>2)]=$71; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $73=$4; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $74=(($73)|0)!=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($74) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 10: 
      var $76=$4; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $77=__ZNK2js9FrameRegs7inlinedEv($76); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $80 = $77;__label__ = 12; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 11: 
      var $80 = 0;__label__ = 12; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 12: 
      var $80; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $81=(($9+36)|0); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($81)>>2)]=$80; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $82=$3; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $83=(($82)|0)!=0; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($83) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 13: 
      var $85=$3; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $86=__ZNK2js10StackFrame10annotationEv($85); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $87=(($86)|0)!=0; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($87) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 14: 
      var $89=$3; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $90=__ZNK2js10StackFrame10annotationEv($89); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10StackFrame13setAnnotationEPv($9, $90); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 15: 
      STACKTOP = __stackBase__;
      return; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10StackFrame16initExecuteFrameEP8JSScriptPS0_PNS_9FrameRegsERKN2JS5ValueER8JSObjectNS_11ExecuteTypeE["X"]=1;

function __ZN2JSL9NullValueEv158($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZN2jsL33Debug_SetValueRangeToCrashOnTouchEPN2JS5ValueES2_($beg, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$beg;
  $2=$end;
  ;
  return; //@line 439 "./jsinterp.h"
}


function __ZN2js10StackFrame10prevpcSlowEPPNS_13JSInlinedSiteE($this, $pinlined) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pinlined;
  var $3=$1;
  ;
  return 0; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZNK2js10StackSpace16assertInvariantsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 1458 "./vm/Stack.h"
}


function __ZN2jsL3MaxIPN2JS5ValueEEET_S4_S4_($t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t1;
  $2=$t2;
  var $3=$1; //@line 316 "./jstl.h"
  var $4=$2; //@line 316 "./jstl.h"
  var $5=(($3)>>>0) > (($4)>>>0); //@line 316 "./jstl.h"
  var $6=$1; //@line 316 "./jstl.h"
  var $7=$2; //@line 316 "./jstl.h"
  var $8=$5 ? $6 : $7; //@line 316 "./jstl.h"
  ;
  return $8; //@line 316 "./jstl.h"
}


function __ZN2js10StackFrame22setScopeChainNoCallObjER8JSObject($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=$2; //@line 340 "./vm/Stack-inl.h"
  var $5=(($3+12)|0); //@line 340 "./vm/Stack-inl.h"
  HEAP32[(($5)>>2)]=$4; //@line 340 "./vm/Stack-inl.h"
  var $6=(($3)|0); //@line 341 "./vm/Stack-inl.h"
  var $7=HEAP32[(($6)>>2)]; //@line 341 "./vm/Stack-inl.h"
  var $8=$7 | 524288; //@line 341 "./vm/Stack-inl.h"
  HEAP32[(($6)>>2)]=$8; //@line 341 "./vm/Stack-inl.h"
  ;
  return; //@line 342 "./vm/Stack-inl.h"
}


function __ZNK2js10StackFrame15hasOverflowArgsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1110 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1110 "./vm/Stack.h"
  var $5=$4 & 2048; //@line 1110 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1110 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1110 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1110 "./vm/Stack.h"
  ;
  return $8; //@line 1110 "./vm/Stack.h"
}


function __Z16js_IsNamedLambdaP10JSFunction($fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$fun;
      var $2=$1; //@line 572 "./jsfun.h"
      var $3=(($2+58)|0); //@line 572 "./jsfun.h"
      var $4=HEAPU16[(($3)>>1)]; //@line 572 "./jsfun.h"
      var $5=(($4)&65535); //@line 572 "./jsfun.h"
      var $6=$5 & 8; //@line 572 "./jsfun.h"
      var $7=(($6)|0)!=0; //@line 572 "./jsfun.h"
      if ($7) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 572 "./jsfun.h"
    case 2: 
      var $9=$1; //@line 572 "./jsfun.h"
      var $10=(($9+72)|0); //@line 572 "./jsfun.h"
      var $11=HEAP32[(($10)>>2)]; //@line 572 "./jsfun.h"
      var $12=(($11)|0)!=0; //@line 572 "./jsfun.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      ;
      return $14; //@line 572 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject17isNormalArgumentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1534 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1534 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js26NormalArgumentsObjectClassE)|0); //@line 1534 "./jsobj.h"
  ;
  return $5; //@line 1534 "./jsobj.h"
}


function __ZNK2js12StackSegment10slotsBeginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1359 "./vm/Stack.h"
  var $4=$3; //@line 1359 "./vm/Stack.h"
  ;
  return $4; //@line 1359 "./vm/Stack.h"
}


function __ZNK2js8CallArgs3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 244 "./vm/Stack.h"
  var $4=(($3)|0); //@line 244 "./vm/Stack.h"
  var $5=HEAP32[(($4)>>2)]; //@line 244 "./vm/Stack.h"
  var $6=(($2+4)|0); //@line 244 "./vm/Stack.h"
  var $7=HEAP32[(($6)>>2)]; //@line 244 "./vm/Stack.h"
  var $8=(($5+($7<<3))|0); //@line 244 "./vm/Stack.h"
  ;
  return $8; //@line 244 "./vm/Stack.h"
}


function __ZN2js12StackSegment8pushRegsERNS_9FrameRegsE($this, $regs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $prev;
  $1=$this;
  $2=$regs;
  var $3=$1;
  var $4=(($3+8)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  $prev=$5; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $6=$2; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $7=(($3+8)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($7)>>2)]=$6; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $8=$prev; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return $8; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2js12StackSegment7popRegsEPNS_9FrameRegsE($this, $regs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$regs;
  var $3=$1;
  var $4=$2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=(($3+8)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($5)>>2)]=$4; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2js12StackSegment8pushCallERNS_12CallArgsListE($this, $callList) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$callList;
  var $3=$1;
  var $4=(($3+12)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $6=$2; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $7=(($6+8)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($7)>>2)]=$5; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $8=$2; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $9=(($3+12)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($9)>>2)]=$8; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2js12StackSegment11pointAtCallERNS_12CallArgsListE($this, $callList) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$callList;
  var $3=$1;
  var $4=$2; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=(($3+12)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($5)>>2)]=$4; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2js12StackSegment7popCallEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=(($4+8)|0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $7=(($2+12)|0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($7)>>2)]=$6; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZNK2js12StackSegment12prevInMemoryEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1403 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1403 "./vm/Stack.h"
  ;
  return $4; //@line 1403 "./vm/Stack.h"
}


function __ZN2js10StackFrame14initDummyFrameEP9JSContextR8JSObject($this, $cx, $chain) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$chain;
  var $4=$1;
  __ZN2jsL7PodZeroINS_10StackFrameEEEvPT_($4); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=(($4)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($5)>>2)]=1572868; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $6=$2; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  __ZN2js10StackFrame8initPrevEP9JSContext($4, $6); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $7=$3; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  __ZN2js10StackFrame22setScopeChainNoCallObjER8JSObject($4, $7); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2jsL7PodZeroINS_10StackFrameEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 56, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js10StackFrame8initPrevEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $regs;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$2; //@line 61 "./vm/Stack-inl.h"
      var $5=__ZNK9JSContext9maybeRegsEv($4); //@line 61 "./vm/Stack-inl.h"
      $regs=$5; //@line 61 "./vm/Stack-inl.h"
      var $6=$regs; //@line 61 "./vm/Stack-inl.h"
      var $7=(($6)|0)!=0; //@line 61 "./vm/Stack-inl.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 61 "./vm/Stack-inl.h"
    case 2: 
      var $9=$regs; //@line 62 "./vm/Stack-inl.h"
      var $10=__ZNK2js9FrameRegs2fpEv($9); //@line 62 "./vm/Stack-inl.h"
      var $11=(($3+16)|0); //@line 62 "./vm/Stack-inl.h"
      HEAP32[(($11)>>2)]=$10; //@line 62 "./vm/Stack-inl.h"
      var $12=$regs; //@line 63 "./vm/Stack-inl.h"
      var $13=(($12+4)|0); //@line 63 "./vm/Stack-inl.h"
      var $14=HEAP32[(($13)>>2)]; //@line 63 "./vm/Stack-inl.h"
      var $15=(($3+32)|0); //@line 63 "./vm/Stack-inl.h"
      HEAP32[(($15)>>2)]=$14; //@line 63 "./vm/Stack-inl.h"
      var $16=$regs; //@line 64 "./vm/Stack-inl.h"
      var $17=__ZNK2js9FrameRegs7inlinedEv($16); //@line 64 "./vm/Stack-inl.h"
      var $18=(($3+36)|0); //@line 64 "./vm/Stack-inl.h"
      HEAP32[(($18)>>2)]=$17; //@line 64 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 67 "./vm/Stack-inl.h"
    case 3: 
      var $20=(($3+16)|0); //@line 68 "./vm/Stack-inl.h"
      HEAP32[(($20)>>2)]=0; //@line 68 "./vm/Stack-inl.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 74 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame18stealFrameAndSlotsEPN2JS5ValueEPS0_S3_S3_($this, $vp, $otherfp, $othervp, $othersp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $env;
      var $argsobj;
      $1=$this;
      $2=$vp;
      $3=$otherfp;
      $4=$othervp;
      $5=$othersp;
      var $6=$1;
      var $7=$2; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=$4; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=$5; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=$4; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=$9; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$10; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=(($11-$12)|0); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=(((($13)|0)/8)&-1); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j($7, $8, $14); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=$3; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=__ZNK2js10StackFrame15hasOverflowArgsEv($15); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $18=$4; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=$4; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=(($19+16)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=$3; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=__ZNK2js10StackFrame13numFormalArgsEv($21); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=(($20+($22<<3))|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2jsL33Debug_SetValueRangeToCrashOnTouchEPN2JS5ValueES2_($18, $23); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $25=__ZNK2js10StackFrame10hasCallObjEv($6); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $27=__ZNK2js10StackFrame7callObjEv($6); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=$27; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $obj=$28; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=$obj; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=$6; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN8JSObject10setPrivateEPv($29, $30); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=$3; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $32=(($31)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=$33 & -16385; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($32)>>2)]=$34; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=__ZNK2js10StackFrame3funEv($6); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $36=__Z16js_IsNamedLambdaP10JSFunction($35); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $38=$obj; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=__ZNK8JSObject9getParentEv($38); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $env=$39; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=$env; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41=$6; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN8JSObject10setPrivateEPv($40, $41); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 6; break; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      __label__ = 7; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $44=__ZNK2js10StackFrame10hasArgsObjEv($6); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($44) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $46=__ZNK2js10StackFrame7argsObjEv($6); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $argsobj=$46; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $47=$argsobj; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $48=$47; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $49=__ZNK8JSObject17isNormalArgumentsEv($48); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 9: 
      var $51=$argsobj; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js15ArgumentsObject13setStackFrameEPNS_10StackFrameE($51, $6); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 11; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $54=$3; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $55=(($54)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $57=$56 & -32769; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($55)>>2)]=$57; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 12; break; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 12: 
      ;
      return; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10StackFrame18stealFrameAndSlotsEPN2JS5ValueEPS0_S3_S3_["X"]=1;

function __ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j($dst, $src, $nelem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $srcend;
      $1=$dst;
      $2=$src;
      $3=$nelem;
      var $4=$3; //@line 695 "./jsutil.h"
      var $5=(($4)>>>0) < 128; //@line 695 "./jsutil.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 695 "./jsutil.h"
    case 2: 
      var $7=$2; //@line 696 "./jsutil.h"
      var $8=$3; //@line 696 "./jsutil.h"
      var $9=(($7+($8<<3))|0); //@line 696 "./jsutil.h"
      $srcend=$9; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 3: 
      var $11=$2; //@line 696 "./jsutil.h"
      var $12=$srcend; //@line 696 "./jsutil.h"
      var $13=(($11)|0)!=(($12)|0); //@line 696 "./jsutil.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 696 "./jsutil.h"
    case 4: 
      var $15=$1; //@line 697 "./jsutil.h"
      var $16=$2; //@line 697 "./jsutil.h"
      var $17=$15; //@line 697 "./jsutil.h"
      var $18=$16; //@line 697 "./jsutil.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 697 "./jsutil.h"
      __label__ = 5; break; //@line 697 "./jsutil.h"
    case 5: 
      var $20=$2; //@line 696 "./jsutil.h"
      var $21=(($20+8)|0); //@line 696 "./jsutil.h"
      $2=$21; //@line 696 "./jsutil.h"
      var $22=$1; //@line 696 "./jsutil.h"
      var $23=(($22+8)|0); //@line 696 "./jsutil.h"
      $1=$23; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 6: 
      __label__ = 8; break; //@line 698 "./jsutil.h"
    case 7: 
      var $26=$1; //@line 699 "./jsutil.h"
      var $27=$26; //@line 699 "./jsutil.h"
      var $28=$2; //@line 699 "./jsutil.h"
      var $29=$28; //@line 699 "./jsutil.h"
      var $30=$3; //@line 699 "./jsutil.h"
      var $31=((($30<<3))|0); //@line 699 "./jsutil.h"
      assert($31 % 1 === 0, 'memcpy given ' + $31 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($27, $29, $31, 1); //@line 699 "./jsutil.h"
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 701 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame7callObjEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pobj;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame10scopeChainEv($2); //@line 358 "./vm/Stack-inl.h"
      $pobj=$3; //@line 358 "./vm/Stack-inl.h"
      __label__ = 2; break; //@line 359 "./vm/Stack-inl.h"
    case 2: 
      var $5=$pobj; //@line 359 "./vm/Stack-inl.h"
      var $6=__ZNK8JSObject6isCallEv($5); //@line 359 "./vm/Stack-inl.h"
      var $7=$6 ^ 1; //@line 359 "./vm/Stack-inl.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 359 "./vm/Stack-inl.h"
    case 3: 
      var $9=$pobj; //@line 361 "./vm/Stack-inl.h"
      var $10=__ZNK8JSObject9getParentEv($9); //@line 361 "./vm/Stack-inl.h"
      $pobj=$10; //@line 361 "./vm/Stack-inl.h"
      __label__ = 2; break; //@line 362 "./vm/Stack-inl.h"
    case 4: 
      var $12=$pobj; //@line 363 "./vm/Stack-inl.h"
      var $13=__ZN8JSObject6asCallEv($12); //@line 363 "./vm/Stack-inl.h"
      ;
      return $13; //@line 363 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ArgumentsObject13setStackFrameEPNS_10StackFrameE($this, $frame) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$frame;
  var $3=$1;
  var $4=$3; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  var $5=$2; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  var $6=$5; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  __ZN8JSObject10setPrivateEPv($4, $6); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/ArgumentsObject-inl.h"
}


function __ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($this, $stack, $next, $pinlined) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $seg;
      var $regs;
      $2=$this;
      $3=$stack;
      $4=$next;
      $5=$pinlined;
      var $6=$2;
      var $7=$3; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=__ZNK2js12ContextStack5spaceEv($7); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=__ZNK2js10StackSpace17containingSegmentEPKNS_10StackFrameE($8, $6); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $seg=$9; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=$seg; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=__ZNK2js12StackSegment4regsEv($10); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $regs=$11; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$regs; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=__ZNK2js9FrameRegs2fpEv($12); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=(($13)|0)==(($6)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $16=$5; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=(($16)|0)!=0; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $19=$regs; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=__ZNK2js9FrameRegs7inlinedEv($19); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=$5; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($21)>>2)]=$20; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $23=$regs; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=(($23+4)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=$25; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 8; break; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $27=$4; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=(($27)|0)!=0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $30=$seg; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=__ZNK2js12StackSegment16computeNextFrameEPKNS_10StackFrameE($30, $6); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $4=$31; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 7; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $33=$4; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=$5; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=__ZN2js10StackFrame6prevpcEPPNS_13JSInlinedSiteE($33, $34); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=$35; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 8; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $37=$1; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $37; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE["X"]=1;

function __ZNK2js10StackSpace17containingSegmentEPKNS_10StackFrameE($this, $target) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $s;
      $2=$this;
      $3=$target;
      var $4=$2;
      var $5=(($4)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $s=$6; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $8=$s; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=(($8)|0)!=0; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $11=$s; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$3; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=__ZNK2js12StackSegment8containsEPKNS_10StackFrameE($11, $12); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $15=$s; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=$15; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 8; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      __label__ = 6; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $18=$s; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=__ZNK2js12StackSegment12prevInMemoryEv($18); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $s=$19; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      $1=0; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 8; break; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $22=$1; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $22; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12StackSegment16computeNextFrameEPKNS_10StackFrameE($this, $f) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $next;
      var $prev;
      $1=$this;
      $2=$f;
      var $3=$1;
      var $4=__ZNK2js12StackSegment2fpEv($3); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $next=$4; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $6=$next; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=__ZNK2js10StackFrame4prevEv($6); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $prev=$7; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=(($7)|0)!=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $11=$prev; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $next=$11; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $13=$next; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $13; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame6prevpcEPPNS_13JSInlinedSiteE($this, $pinlined) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$pinlined;
      var $4=$2;
      var $5=(($4)|0); //@line 579 "./vm/Stack.h"
      var $6=HEAP32[(($5)>>2)]; //@line 579 "./vm/Stack.h"
      var $7=$6 & 1048576; //@line 579 "./vm/Stack.h"
      var $8=(($7)|0)!=0; //@line 579 "./vm/Stack.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 579 "./vm/Stack.h"
    case 2: 
      var $10=$3; //@line 580 "./vm/Stack.h"
      var $11=(($10)|0)!=0; //@line 580 "./vm/Stack.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 580 "./vm/Stack.h"
    case 3: 
      var $13=(($4+36)|0); //@line 581 "./vm/Stack.h"
      var $14=HEAP32[(($13)>>2)]; //@line 581 "./vm/Stack.h"
      var $15=$3; //@line 581 "./vm/Stack.h"
      HEAP32[(($15)>>2)]=$14; //@line 581 "./vm/Stack.h"
      __label__ = 4; break; //@line 581 "./vm/Stack.h"
    case 4: 
      var $17=(($4+32)|0); //@line 582 "./vm/Stack.h"
      var $18=HEAP32[(($17)>>2)]; //@line 582 "./vm/Stack.h"
      $1=$18; //@line 582 "./vm/Stack.h"
      __label__ = 6; break; //@line 582 "./vm/Stack.h"
    case 5: 
      var $20=$3; //@line 584 "./vm/Stack.h"
      var $21=__ZN2js10StackFrame10prevpcSlowEPPNS_13JSInlinedSiteE($4, $20); //@line 584 "./vm/Stack.h"
      $1=$21; //@line 584 "./vm/Stack.h"
      __label__ = 6; break; //@line 584 "./vm/Stack.h"
    case 6: 
      var $23=$1; //@line 585 "./vm/Stack.h"
      ;
      return $23; //@line 585 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12StackSegment8containsEPKNS_10StackFrameE($this, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$fp;
      var $3=$1;
      var $4=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=$4; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=__ZNK2js12StackSegment10slotsBeginEv($3); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=(($5)>>>0) >= (($6)>>>0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($7) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $9=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=$9; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=__ZNK2js12StackSegment7maybefpEv($3); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$11; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=(($10)>>>0) <= (($12)>>>0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 221 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12StackSegment7maybefpEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 1378 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1378 "./vm/Stack.h"
      var $5=(($4)|0)!=0; //@line 1378 "./vm/Stack.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1378 "./vm/Stack.h"
    case 2: 
      var $7=(($2+8)|0); //@line 1378 "./vm/Stack.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1378 "./vm/Stack.h"
      var $9=__ZNK2js9FrameRegs2fpEv($8); //@line 1378 "./vm/Stack.h"
      var $12 = $9;__label__ = 4; break; //@line 1378 "./vm/Stack.h"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 1378 "./vm/Stack.h"
    case 4: 
      var $12; //@line 1378 "./vm/Stack.h"
      ;
      return $12; //@line 1378 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12StackSegment8containsEPKNS_9FrameRegsE($this, $regs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$regs;
      var $3=$1;
      var $4=$2; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=(($4)|0)!=0; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($5) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $7=$2; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=__ZNK2js9FrameRegs2fpEv($7); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=__ZNK2js12StackSegment8containsEPKNS_10StackFrameE($3, $8); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 227 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12StackSegment8containsEPKNS_12CallArgsListE($this, $call) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $vp;
      var $ret;
      $2=$this;
      $3=$call;
      var $4=$2;
      var $5=$3; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=(($5)|0)!=0; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $8=(($4+12)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($9)|0)!=0; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      $1=0; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 7; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $13=$3; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=$13; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=__ZNK2js8CallArgs4argvEv($14); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $vp=$15; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=$vp; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=__ZNK2js12StackSegment10slotsBeginEv($4); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=(($16)>>>0) > (($17)>>>0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($18) { __label__ = 5; break; } else { var $27 = 0;__label__ = 6; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $20=$vp; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=(($4+12)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=$22; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=__ZNK2js8CallArgs4argvEv($23); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=(($20)>>>0) <= (($24)>>>0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27 = $25;__label__ = 6; break;
    case 6: 
      var $27;
      var $28=(($27)&1);
      $ret=$28;
      var $29=$ret; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=(($29) & 1); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=$30; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 7; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $32=$1; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $32; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12StackSegment3endEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $p;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=(($4)|0)!=0; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $7=(($2+8)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=(($8)|0)!=0; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $11=(($2+8)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=(($12)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=(($2+12)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=$16; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=__ZNK2js8CallArgs3endEv($17); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=__ZN2jsL3MaxIPN2JS5ValueEEET_S4_S4_($14, $18); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26 = $19;__label__ = 5; break; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $21=(($2+12)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=$22; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=__ZNK2js8CallArgs3endEv($23); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26 = $24;__label__ = 5; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $26; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41 = $26;__label__ = 10; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $28=(($2+8)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=(($29)|0)!=0; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $32=(($2+8)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=(($33)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39 = $35;__label__ = 9; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $37=__ZNK2js12StackSegment10slotsBeginEv($2); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39 = $37;__label__ = 9; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 9: 
      var $39; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41 = $39;__label__ = 10; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 10: 
      var $41; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $p=$41; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $42=$p; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $42; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackSpaceC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 333 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=0; //@line 333 "./vm/Stack.h"
  var $4=(($2+4)|0); //@line 333 "./vm/Stack.h"
  HEAP32[(($4)>>2)]=0; //@line 333 "./vm/Stack.h"
  var $5=(($2+8)|0); //@line 333 "./vm/Stack.h"
  HEAP32[(($5)>>2)]=0; //@line 333 "./vm/Stack.h"
  var $6=(($2+12)|0); //@line 333 "./vm/Stack.h"
  HEAP32[(($6)>>2)]=0; //@line 333 "./vm/Stack.h"
  var $7=(($2+16)|0); //@line 333 "./vm/Stack.h"
  HEAP32[(($7)>>2)]=0; //@line 333 "./vm/Stack.h"
  __ZNK2js10StackSpace16assertInvariantsEv($2); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2js10StackSpace4initEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $2=$this;
      var $3=$2;
      var $4=_mmap(0, 4194304, 3, 4098, -1, 0); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $p=$4; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=$p; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=(($5)|0)==-1; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      $1=0; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $9=$p; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=$9; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=(($3+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=(($3+4)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=(($13+4194304)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=(($3+16)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=(($3+16)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=(($17-131072)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=(($3+12)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=(($3+8)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($20)>>2)]=$18; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZNK2js10StackSpace16assertInvariantsEv($3); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=1; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $22=$1; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $22; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackSpaceD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __ZNK2js10StackSpace16assertInvariantsEv($2); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $3=(($2+4)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=(($4)|0)!=0; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      __label__ = 4; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $8=(($2+4)|0); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=$9; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=_munmap($10, 4194304); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      ;
      return; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStackD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2jsL12ToFrameFlagsENS_17InitialFrameFlagsE($initial) {
  ;
  var __label__;

  var $1;
  $1=$initial;
  var $2=$1; //@line 1222 "./vm/Stack.h"
  ;
  return $2; //@line 1222 "./vm/Stack.h"
}


function __ZN2js12ImplicitCastINS_8CallArgsENS_15InvokeArgsGuardEEERT_RT0_($u) {
  ;
  var __label__;

  var $1;
  var $t;
  $1=$u;
  var $2=$1; //@line 331 "./jstl.h"
  var $3=$2; //@line 331 "./jstl.h"
  $t=$3; //@line 331 "./jstl.h"
  var $4=$t; //@line 332 "./jstl.h"
  ;
  return $4; //@line 332 "./jstl.h"
}


function __ZNK2js10StackFrame5slotsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+56)|0); //@line 527 "./vm/Stack.h"
  var $4=$3; //@line 527 "./vm/Stack.h"
  ;
  return $4; //@line 527 "./vm/Stack.h"
}


function __ZNK9JSRuntime17trustedPrincipalsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+209940)|0); //@line 639 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 639 "./jscntxt.h"
  ;
  return $4; //@line 639 "./jscntxt.h"
}


function __ZN2js10StackSpace13committedSizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=(($2+4)|0); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $7=$4; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $8=$6; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $9=(($7-$8)|0); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $10=(((($9)|0)/8)&-1); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $11=((($10<<3))|0); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return $11; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2js12ContextStack11threadResetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=(($4+52)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $7=(($6+144280)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $8=(($7+4)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $9=(($2+4)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($9)>>2)]=$8; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZNK2js12StackSegment13prevInContextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1399 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1399 "./vm/Stack.h"
  ;
  return $4; //@line 1399 "./vm/Stack.h"
}


function __ZNK2js12StackSegment10maybeCallsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1387 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1387 "./vm/Stack.h"
  ;
  return $4; //@line 1387 "./vm/Stack.h"
}


function __ZN2js15InvokeArgsGuard9setPushedERNS_12ContextStackE($this, $stack) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$stack;
  var $3=$1;
  var $4=$2; //@line 1754 "./vm/Stack.h"
  var $5=(($3+16)|0); //@line 1754 "./vm/Stack.h"
  HEAP32[(($5)>>2)]=$4; //@line 1754 "./vm/Stack.h"
  ;
  return; //@line 1754 "./vm/Stack.h"
}


function __ZN2js10StackSpace4markEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $nextSegEnd;
      var $seg;
      var $slotsEnd;
      var $fp;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=__ZNK2js10StackSpace11firstUnusedEv($3); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $nextSegEnd=$4; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=(($3)|0); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $seg=$6; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $8=$seg; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=(($8)|0)!=0; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $11=$nextSegEnd; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $slotsEnd=$11; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$seg; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=__ZNK2js12StackSegment7maybefpEv($12); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $fp=$13; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $15=$fp; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=$15; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=$seg; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=$17; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $21=$2; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=$fp; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=__ZNK2js10StackFrame5slotsEv($22); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=$slotsEnd; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js28MarkStackRangeConservativelyEP8JSTracerPN2JS5ValueES4_($21, $23, $24); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=$2; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26=$fp; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __Z18js_TraceStackFrameP8JSTracerPN2js10StackFrameE($25, $26); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=$fp; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=$27; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $slotsEnd=$28; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 6; break; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $30=$fp; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=__ZNK2js10StackFrame4prevEv($30); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $fp=$31; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $33=$2; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=$seg; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=__ZNK2js12StackSegment10slotsBeginEv($34); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $36=$slotsEnd; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js28MarkStackRangeConservativelyEP8JSTracerPN2JS5ValueES4_($33, $35, $36); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=$seg; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38=$37; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $nextSegEnd=$38; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 8; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $40=$seg; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41=__ZNK2js12StackSegment12prevInMemoryEv($40); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $seg=$41; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 9: 
      ;
      return; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10StackSpace4markEP8JSTracer["X"]=1;

function __ZNK2js10StackSpace11firstUnusedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1518 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1518 "./vm/Stack.h"
      var $5=(($4)|0)!=0; //@line 1518 "./vm/Stack.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1518 "./vm/Stack.h"
    case 2: 
      var $7=(($2)|0); //@line 1518 "./vm/Stack.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1518 "./vm/Stack.h"
      var $9=__ZNK2js12StackSegment3endEv($8); //@line 1518 "./vm/Stack.h"
      var $14 = $9;__label__ = 4; break; //@line 1518 "./vm/Stack.h"
    case 3: 
      var $11=(($2+4)|0); //@line 1518 "./vm/Stack.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1518 "./vm/Stack.h"
      var $14 = $12;__label__ = 4; break; //@line 1518 "./vm/Stack.h"
    case 4: 
      var $14; //@line 1518 "./vm/Stack.h"
      ;
      return $14; //@line 1518 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackSpace15ensureSpaceSlowEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($this, $cx, $report, $from, $nvals, $dest) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $trusted;
      var $end;
      $2=$this;
      $3=$cx;
      $4=$report;
      $5=$from;
      $6=$nvals;
      $7=$dest;
      var $8=$2;
      __ZNK2js10StackSpace16assertInvariantsEv($8); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=$7; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($9)|0)==12; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $12=$3; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=(($12+56)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $7=$14; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $16=$7; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=(($16)|0)!=0; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($17) { __label__ = 4; break; } else { var $28 = 1;__label__ = 5; break; } //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $19=$7; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=(($19+4)|0); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=$3; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=(($22+52)|0); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=__ZNK9JSRuntime17trustedPrincipalsEv($24); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26=(($21)|0)==(($25)|0); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28 = $26;__label__ = 5; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $28;
      var $29=(($28)&1); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $trusted=$29; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=$trusted; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=(($30) & 1); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $33=(($8+16)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39 = $34;__label__ = 8; break; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $36=(($8+12)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39 = $37;__label__ = 8; break; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $39; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $end=$39; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=$end; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41=$5; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $42=$40; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $43=$41; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $44=(($42-$43)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $45=(((($44)|0)/8)&-1); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $46=$6; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $47=(($45)|0) < (($46)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 9: 
      var $49=$4; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $50=(($49)|0)!=0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 10: 
      var $52=$3; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __Z21js_ReportOverRecursedP9JSContext($52); //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 11; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 11: 
      $1=0; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 13; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 12: 
      $1=1; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 13; break; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 13: 
      var $56=$1; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $56; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js10StackSpace15ensureSpaceSlowEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment["X"]=1;

function __ZN2js10StackSpace12tryBumpLimitEP9JSContextPN2JS5ValueEjPS5_($this, $cx, $from, $nvals, $limit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$this;
      $3=$cx;
      $4=$from;
      $5=$nvals;
      $6=$limit;
      var $7=$2;
      var $8=$3; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=$4; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=$5; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=__ZNK2js10StackSpace11ensureSpaceEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($7, $8, 1, $9, $10, 12); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      $1=0; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $14=(($7+8)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=$6; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=1; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $18=$1; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $18; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackSpace11ensureSpaceEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($this, $cx, $report, $from, $nvals, $dest) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$report;
      $5=$from;
      $6=$nvals;
      $7=$dest;
      var $8=$2;
      __ZNK2js10StackSpace16assertInvariantsEv($8); //@line 465 "./vm/Stack-inl.h"
      var $9=(($8+8)|0); //@line 470 "./vm/Stack-inl.h"
      var $10=HEAP32[(($9)>>2)]; //@line 470 "./vm/Stack-inl.h"
      var $11=$5; //@line 470 "./vm/Stack-inl.h"
      var $12=$10; //@line 470 "./vm/Stack-inl.h"
      var $13=$11; //@line 470 "./vm/Stack-inl.h"
      var $14=(($12-$13)|0); //@line 470 "./vm/Stack-inl.h"
      var $15=(((($14)|0)/8)&-1); //@line 470 "./vm/Stack-inl.h"
      var $16=$6; //@line 470 "./vm/Stack-inl.h"
      var $17=(($15)|0) < (($16)|0); //@line 470 "./vm/Stack-inl.h"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 470 "./vm/Stack-inl.h"
    case 2: 
      var $19=$3; //@line 471 "./vm/Stack-inl.h"
      var $20=$4; //@line 471 "./vm/Stack-inl.h"
      var $21=$5; //@line 471 "./vm/Stack-inl.h"
      var $22=$6; //@line 471 "./vm/Stack-inl.h"
      var $23=$7; //@line 471 "./vm/Stack-inl.h"
      var $24=__ZNK2js10StackSpace15ensureSpaceSlowEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($8, $19, $20, $21, $22, $23); //@line 471 "./vm/Stack-inl.h"
      $1=$24; //@line 471 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 471 "./vm/Stack-inl.h"
    case 3: 
      $1=1; //@line 472 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 472 "./vm/Stack-inl.h"
    case 4: 
      var $27=$1; //@line 473 "./vm/Stack-inl.h"
      ;
      return $27; //@line 473 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStackC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 516 "./vm/Stack.h"
  HEAP32[(($4)>>2)]=0; //@line 516 "./vm/Stack.h"
  var $5=(($3+4)|0); //@line 516 "./vm/Stack.h"
  var $6=$2; //@line 516 "./vm/Stack.h"
  var $7=(($6+52)|0); //@line 516 "./vm/Stack.h"
  var $8=HEAP32[(($7)>>2)]; //@line 516 "./vm/Stack.h"
  var $9=(($8+144280)|0); //@line 516 "./vm/Stack.h"
  var $10=(($9+4)|0); //@line 516 "./vm/Stack.h"
  HEAP32[(($5)>>2)]=$10; //@line 516 "./vm/Stack.h"
  var $11=(($3+8)|0); //@line 516 "./vm/Stack.h"
  var $12=$2; //@line 516 "./vm/Stack.h"
  HEAP32[(($11)>>2)]=$12; //@line 516 "./vm/Stack.h"
  __ZN2js12ContextStack11threadResetEv($3); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZNK2js12ContextStack5onTopEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=(($4)|0)!=0; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $7=(($2)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=__ZNK2js12ContextStack5spaceEv($2); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($9)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=(($8)|0)==(($11)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      ;
      return $14; //@line 551 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12ContextStack12containsSlowEPKNS_10StackFrameE($this, $target) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $s;
      $2=$this;
      $3=$target;
      var $4=$2;
      var $5=(($4)|0); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $s=$6; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $8=$s; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=(($8)|0)!=0; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $11=$s; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$3; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=__ZNK2js12StackSegment8containsEPKNS_10StackFrameE($11, $12); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      $1=1; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 8; break; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      __label__ = 6; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $17=$s; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=__ZNK2js12StackSegment13prevInContextEv($17); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $s=$18; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      $1=0; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 8; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $21=$1; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $21; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStack11ensureOnTopEP9JSContextNS_16MaybeReportErrorEjNS0_11MaybeExtendEPbP13JSCompartment($this, $cx, $report, $nvars, $extend, $pushedSeg, $dest) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $firstUnused;
      var $regs;
      var $calls;
      $2=$this;
      $3=$cx;
      $4=$report;
      $5=$nvars;
      $6=$extend;
      $7=$pushedSeg;
      $8=$dest;
      var $9=$2;
      var $10=__ZNK2js12ContextStack5spaceEv($9); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=__ZNK2js10StackSpace11firstUnusedEv($10); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $firstUnused=$11; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=__ZNK2js12ContextStack5onTopEv($9); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $14=$6; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=(($14)|0)!=0; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $17=__ZNK2js12ContextStack5spaceEv($9); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=$3; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=$4; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=$firstUnused; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=$5; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=$8; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=__ZNK2js10StackSpace11ensureSpaceEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($17, $18, $19, $20, $21, $22); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      $1=0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $26=$firstUnused; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=$26; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $28=__ZNK2js12ContextStack5spaceEv($9); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=$3; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=$4; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=$firstUnused; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $32=$5; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=(($32+2)|0); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=$8; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=__ZNK2js10StackSpace11ensureSpaceEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($28, $29, $30, $31, $33, $34); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      $1=0; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $38=(($9)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=(($39)|0)!=0; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 9: 
      var $42=$6; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $43=(($42)|0)!=0; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 10: 
      var $45=(($9)|0); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $47=__ZNK2js12StackSegment9maybeRegsEv($46); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $regs=$47; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $48=(($9)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $50=__ZNK2js12StackSegment10maybeCallsEv($49); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $calls=$50; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 12; break; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 11: 
      $regs=0; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $calls=0; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 12; break;
    case 12: 
      var $53=$firstUnused; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $54=$53; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $55=(($54)|0)==0; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($55) { var $66 = 0;__label__ = 14; break; } else { __label__ = 13; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 13: 
      var $57=$54; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $58=(($9)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $60=__ZNK2js12ContextStack5spaceEv($9); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $61=(($60)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $63=$regs; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $64=$calls; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js12StackSegmentC1EPS0_S1_PNS_9FrameRegsEPNS_12CallArgsListE($57, $59, $62, $63, $64); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $66 = $57;__label__ = 14; break; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 14: 
      var $66; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $67=(($9)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($67)>>2)]=$66; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $68=(($9)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $70=__ZNK2js12ContextStack5spaceEv($9); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $71=(($70)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($71)>>2)]=$69; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $72=$7; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP8[($72)]=1; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $73=(($9)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $75=__ZNK2js12StackSegment10slotsBeginEv($74); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=$75; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 15: 
      var $77=$1; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $77; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12ContextStack11ensureOnTopEP9JSContextNS_16MaybeReportErrorEjNS0_11MaybeExtendEPbP13JSCompartment["X"]=1;

function __ZN2js12StackSegmentC1EPS0_S1_PNS_9FrameRegsEPNS_12CallArgsListE($this, $prevInContext, $prevInMemory, $regs, $calls) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$prevInContext;
  $3=$prevInMemory;
  $4=$regs;
  $5=$calls;
  var $6=$1;
  var $7=$2; //@line 1354 "./vm/Stack.h"
  var $8=$3; //@line 1354 "./vm/Stack.h"
  var $9=$4; //@line 1354 "./vm/Stack.h"
  var $10=$5; //@line 1354 "./vm/Stack.h"
  __ZN2js12StackSegmentC2EPS0_S1_PNS_9FrameRegsEPNS_12CallArgsListE($6, $7, $8, $9, $10); //@line 1354 "./vm/Stack.h"
  ;
  return; //@line 1354 "./vm/Stack.h"
}


function __ZN2js12ContextStack10popSegmentEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=__ZNK2js12StackSegment12prevInMemoryEv($4); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=__ZNK2js12ContextStack5spaceEv($2); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=(($6)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($7)>>2)]=$5; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=(($2)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=__ZNK2js12StackSegment13prevInContextEv($9); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=(($2)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=(($2)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=(($13)|0)!=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $16=(($2+8)|0); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN9JSContext27maybeMigrateVersionOverrideEv($17); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      ;
      return; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext27maybeMigrateVersionOverrideEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK9JSContext19isVersionOverriddenEv($2); //@line 1089 "./jscntxt.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1089 "./jscntxt.h"
    case 2: 
      var $5=(($2+12)|0); //@line 1090 "./jscntxt.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1090 "./jscntxt.h"
      var $7=(($2+8)|0); //@line 1090 "./jscntxt.h"
      HEAP32[(($7)>>2)]=$6; //@line 1090 "./jscntxt.h"
      __ZN9JSContext20clearVersionOverrideEv($2); //@line 1091 "./jscntxt.h"
      __label__ = 3; break; //@line 1092 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1093 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($this, $cx, $argc, $iag) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $nvars;
      var $firstUnused;
      var $6=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$argc;
      $5=$iag;
      var $7=$2;
      var $8=$3; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10LeaveTraceEP9JSContext($8); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=$4; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($9+2)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $nvars=$10; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=$3; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$nvars; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=$5; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=(($13+20)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=__ZN2js12ContextStack11ensureOnTopEP9JSContextNS_16MaybeReportErrorEjNS0_11MaybeExtendEPbP13JSCompartment($7, $11, 1, $12, 1, $14, 12); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $firstUnused=$15; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=$firstUnused; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=(($16)|0)!=0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      $1=0; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $20=$5; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=__ZN2js12ImplicitCastINS_8CallArgsENS_15InvokeArgsGuardEEERT_RT0_($20); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=$4; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=$firstUnused; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($6, $22, $23); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=$21; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=$6; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26=(($7)|0); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=$5; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=$28; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js12StackSegment8pushCallERNS_12CallArgsListE($27, $29); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=$5; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js15InvokeArgsGuard9setPushedERNS_12ContextStackE($30, $7); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=1; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $32=$1; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStack13popInvokeArgsERKNS_15InvokeArgsGuardE($this, $iag) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$iag;
      var $3=$1;
      var $4=(($3)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js12StackSegment7popCallEv($5); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=$2; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=(($6+20)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=HEAP8[($7)]; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=(($8) & 1); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      __ZN2js12ContextStack10popSegmentEv($3); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      ;
      return; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStack15pushInvokeFrameEP9JSContextRKNS_8CallArgsENS_17InitialFrameFlagsEPNS_16InvokeFrameGuardE($this, $cx, $args, $initial, $ifg) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $callee;
      var $fun;
      var $script;
      var $flags=__stackBase__;
      var $fp;
      $2=$this;
      $3=$cx;
      $4=$args;
      $5=$initial;
      $6=$ifg;
      var $7=$2;
      var $8=$4; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=$8; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=__ZNK2js12CallReceiver6calleeEv($9); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $callee=$10; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=$callee; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=__ZNK8JSObject18getFunctionPrivateEv($11); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $fun=$12; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=$fun; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=__ZNK10JSFunction6scriptEv($13); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $script=$14; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=$5; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=__ZN2jsL12ToFrameFlagsENS_17InitialFrameFlagsE($15); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($flags)>>2)]=$16; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=$3; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=$4; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=$fun; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=$script; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=__ZNK2js12ContextStack12getCallFrameEP9JSContextNS_16MaybeReportErrorERKNS_8CallArgsEP10JSFunctionP8JSScriptPNS_10StackFrame5FlagsE($7, $17, 1, $18, $19, $20, $flags); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $fp=$21; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=$fp; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=(($22)|0)!=0; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      $1=0; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $26=$fp; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=$3; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=$callee; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=$fun; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=$script; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=$4; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $32=__ZNK2js8CallArgs4argcEv($31); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=HEAP32[(($flags)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10StackFrame13initCallFrameEP9JSContextR8JSObjectP10JSFunctionP8JSScriptjNS0_5FlagsE($26, $27, $28, $29, $30, $32, $33); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=$6; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=$34; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $36=(($35+8)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=$fp; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38=$script; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9FrameRegs12prepareToRunERNS_10StackFrameEP8JSScript($36, $37, $38); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=(($7)|0); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41=$6; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $42=$41; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $43=(($42+8)|0); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $44=__ZN2js12StackSegment8pushRegsERNS_9FrameRegsE($40, $43); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $45=$6; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $46=$45; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $47=(($46+24)|0); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($47)>>2)]=$44; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $48=$6; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $49=$48; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10FrameGuard9setPushedERNS_12ContextStackE($49, $7); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=1; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $51=$1; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12ContextStack15pushInvokeFrameEP9JSContextRKNS_8CallArgsENS_17InitialFrameFlagsEPNS_16InvokeFrameGuardE["X"]=1;

function __ZNK2js8CallArgs4argcEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 243 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./vm/Stack.h"
  ;
  return $4; //@line 243 "./vm/Stack.h"
}


function __ZN2js10FrameGuard9setPushedERNS_12ContextStackE($this, $stack) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$stack;
  var $3=$1;
  var $4=$2; //@line 1770 "./vm/Stack.h"
  var $5=(($3)|0); //@line 1770 "./vm/Stack.h"
  HEAP32[(($5)>>2)]=$4; //@line 1770 "./vm/Stack.h"
  ;
  return; //@line 1770 "./vm/Stack.h"
}


function __ZNK2js9StackIter8isScriptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1853 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1853 "./vm/Stack.h"
  var $5=(($4)|0)==1; //@line 1853 "./vm/Stack.h"
  ;
  return $5; //@line 1853 "./vm/Stack.h"
}


function __ZNK2js9StackIter2fpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1854 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1854 "./vm/Stack.h"
  ;
  return $4; //@line 1854 "./vm/Stack.h"
}


function __ZN9JSContext14setCompartmentEP13JSCompartment($this, $compartment) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$compartment;
      var $3=$1;
      var $4=$2; //@line 710 "./jscompartment.h"
      var $5=(($3+56)|0); //@line 710 "./jscompartment.h"
      HEAP32[(($5)>>2)]=$4; //@line 710 "./jscompartment.h"
      var $6=$2; //@line 711 "./jscompartment.h"
      var $7=(($6)|0)!=0; //@line 711 "./jscompartment.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 711 "./jscompartment.h"
    case 2: 
      var $9=$2; //@line 711 "./jscompartment.h"
      var $10=(($9+376)|0); //@line 711 "./jscompartment.h"
      var $11=(($10)|0); //@line 711 "./jscompartment.h"
      var $12=HEAP8[($11)]; //@line 711 "./jscompartment.h"
      var $13=(($12) & 1); //@line 711 "./jscompartment.h"
      var $16 = $13;__label__ = 4; break; //@line 711 "./jscompartment.h"
    case 3: 
      var $16 = 0;__label__ = 4; break; //@line 711 "./jscompartment.h"
    case 4: 
      var $16; //@line 711 "./jscompartment.h"
      var $17=(($3+232)|0); //@line 711 "./jscompartment.h"
      var $18=(($16)&1); //@line 711 "./jscompartment.h"
      HEAP8[($17)]=$18; //@line 711 "./jscompartment.h"
      ;
      return; //@line 712 "./jscompartment.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSGenerator13floatingFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 193 "./jsiter.h"
  var $4=HEAP32[(($3)>>2)]; //@line 193 "./jsiter.h"
  ;
  return $4; //@line 193 "./jsiter.h"
}


function __ZN2js10StackFrame22unsetFloatingGeneratorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1056 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1056 "./vm/Stack.h"
  var $5=$4 & -65; //@line 1056 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 1056 "./vm/Stack.h"
  ;
  return; //@line 1057 "./vm/Stack.h"
}


function __ZNK2js12ContextStack12getCallFrameEP9JSContextNS_16MaybeReportErrorERKNS_8CallArgsEP10JSFunctionP8JSScriptPNS_10StackFrame5FlagsE($this, $cx, $report, $args, $fun, $script, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $nformal;
      var $firstUnused;
      var $nvals;
      var $nmissing;
      var $ncopy;
      var $dst;
      var $src;
      $2=$this;
      $3=$cx;
      $4=$report;
      $5=$args;
      $6=$fun;
      $7=$script;
      $8=$flags;
      var $9=$2;
      var $10=$6; //@line 492 "./vm/Stack-inl.h"
      var $11=(($10+56)|0); //@line 492 "./vm/Stack-inl.h"
      var $12=HEAPU16[(($11)>>1)]; //@line 492 "./vm/Stack-inl.h"
      var $13=(($12)&65535); //@line 492 "./vm/Stack-inl.h"
      $nformal=$13; //@line 492 "./vm/Stack-inl.h"
      var $14=$5; //@line 494 "./vm/Stack-inl.h"
      var $15=__ZNK2js8CallArgs3endEv($14); //@line 494 "./vm/Stack-inl.h"
      $firstUnused=$15; //@line 494 "./vm/Stack-inl.h"
      var $16=$7; //@line 498 "./vm/Stack-inl.h"
      var $17=(($16+44)|0); //@line 498 "./vm/Stack-inl.h"
      var $18=HEAPU16[(($17)>>1)]; //@line 498 "./vm/Stack-inl.h"
      var $19=(($18)&65535); //@line 498 "./vm/Stack-inl.h"
      var $20=(($19+7)|0); //@line 498 "./vm/Stack-inl.h"
      var $21=(($20+250)|0); //@line 498 "./vm/Stack-inl.h"
      $nvals=$21; //@line 498 "./vm/Stack-inl.h"
      var $22=$5; //@line 502 "./vm/Stack-inl.h"
      var $23=__ZNK2js8CallArgs4argcEv($22); //@line 502 "./vm/Stack-inl.h"
      var $24=$nformal; //@line 502 "./vm/Stack-inl.h"
      var $25=(($23)|0)==(($24)|0); //@line 502 "./vm/Stack-inl.h"
      if ($25) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 502 "./vm/Stack-inl.h"
    case 2: 
      var $27=__ZNK2js12ContextStack5spaceEv($9); //@line 503 "./vm/Stack-inl.h"
      var $28=$3; //@line 503 "./vm/Stack-inl.h"
      var $29=$4; //@line 503 "./vm/Stack-inl.h"
      var $30=$firstUnused; //@line 503 "./vm/Stack-inl.h"
      var $31=$nvals; //@line 503 "./vm/Stack-inl.h"
      var $32=__ZNK2js10StackSpace11ensureSpaceEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($27, $28, $29, $30, $31, 12); //@line 503 "./vm/Stack-inl.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 503 "./vm/Stack-inl.h"
    case 3: 
      $1=0; //@line 504 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 504 "./vm/Stack-inl.h"
    case 4: 
      var $35=$firstUnused; //@line 505 "./vm/Stack-inl.h"
      var $36=$35; //@line 505 "./vm/Stack-inl.h"
      $1=$36; //@line 505 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 505 "./vm/Stack-inl.h"
    case 5: 
      var $38=$5; //@line 508 "./vm/Stack-inl.h"
      var $39=__ZNK2js8CallArgs4argcEv($38); //@line 508 "./vm/Stack-inl.h"
      var $40=$nformal; //@line 508 "./vm/Stack-inl.h"
      var $41=(($39)>>>0) < (($40)>>>0); //@line 508 "./vm/Stack-inl.h"
      if ($41) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 508 "./vm/Stack-inl.h"
    case 6: 
      var $43=$8; //@line 509 "./vm/Stack-inl.h"
      var $44=HEAP32[(($43)>>2)]; //@line 509 "./vm/Stack-inl.h"
      var $45=$44 | 4096; //@line 509 "./vm/Stack-inl.h"
      var $46=$8; //@line 509 "./vm/Stack-inl.h"
      HEAP32[(($46)>>2)]=$45; //@line 509 "./vm/Stack-inl.h"
      var $47=$nformal; //@line 510 "./vm/Stack-inl.h"
      var $48=$5; //@line 510 "./vm/Stack-inl.h"
      var $49=__ZNK2js8CallArgs4argcEv($48); //@line 510 "./vm/Stack-inl.h"
      var $50=(($47-$49)|0); //@line 510 "./vm/Stack-inl.h"
      $nmissing=$50; //@line 510 "./vm/Stack-inl.h"
      var $51=__ZNK2js12ContextStack5spaceEv($9); //@line 511 "./vm/Stack-inl.h"
      var $52=$3; //@line 511 "./vm/Stack-inl.h"
      var $53=$4; //@line 511 "./vm/Stack-inl.h"
      var $54=$firstUnused; //@line 511 "./vm/Stack-inl.h"
      var $55=$nmissing; //@line 511 "./vm/Stack-inl.h"
      var $56=$nvals; //@line 511 "./vm/Stack-inl.h"
      var $57=(($55+$56)|0); //@line 511 "./vm/Stack-inl.h"
      var $58=__ZNK2js10StackSpace11ensureSpaceEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($51, $52, $53, $54, $57, 12); //@line 511 "./vm/Stack-inl.h"
      if ($58) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 511 "./vm/Stack-inl.h"
    case 7: 
      $1=0; //@line 512 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 512 "./vm/Stack-inl.h"
    case 8: 
      var $61=$firstUnused; //@line 513 "./vm/Stack-inl.h"
      var $62=$nmissing; //@line 513 "./vm/Stack-inl.h"
      __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj($61, $62); //@line 513 "./vm/Stack-inl.h"
      var $63=$firstUnused; //@line 514 "./vm/Stack-inl.h"
      var $64=$nmissing; //@line 514 "./vm/Stack-inl.h"
      var $65=(($63+($64<<3))|0); //@line 514 "./vm/Stack-inl.h"
      var $66=$65; //@line 514 "./vm/Stack-inl.h"
      $1=$66; //@line 514 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 514 "./vm/Stack-inl.h"
    case 9: 
      var $68=$8; //@line 517 "./vm/Stack-inl.h"
      var $69=HEAP32[(($68)>>2)]; //@line 517 "./vm/Stack-inl.h"
      var $70=$69 | 2048; //@line 517 "./vm/Stack-inl.h"
      var $71=$8; //@line 517 "./vm/Stack-inl.h"
      HEAP32[(($71)>>2)]=$70; //@line 517 "./vm/Stack-inl.h"
      var $72=$nformal; //@line 518 "./vm/Stack-inl.h"
      var $73=(($72+2)|0); //@line 518 "./vm/Stack-inl.h"
      $ncopy=$73; //@line 518 "./vm/Stack-inl.h"
      var $74=__ZNK2js12ContextStack5spaceEv($9); //@line 519 "./vm/Stack-inl.h"
      var $75=$3; //@line 519 "./vm/Stack-inl.h"
      var $76=$4; //@line 519 "./vm/Stack-inl.h"
      var $77=$firstUnused; //@line 519 "./vm/Stack-inl.h"
      var $78=$ncopy; //@line 519 "./vm/Stack-inl.h"
      var $79=$nvals; //@line 519 "./vm/Stack-inl.h"
      var $80=(($78+$79)|0); //@line 519 "./vm/Stack-inl.h"
      var $81=__ZNK2js10StackSpace11ensureSpaceEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment($74, $75, $76, $77, $80, 12); //@line 519 "./vm/Stack-inl.h"
      if ($81) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 519 "./vm/Stack-inl.h"
    case 10: 
      $1=0; //@line 520 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 520 "./vm/Stack-inl.h"
    case 11: 
      var $84=$firstUnused; //@line 521 "./vm/Stack-inl.h"
      $dst=$84; //@line 521 "./vm/Stack-inl.h"
      var $85=$5; //@line 522 "./vm/Stack-inl.h"
      var $86=$85; //@line 522 "./vm/Stack-inl.h"
      var $87=__ZNK2js12CallReceiver4baseEv($86); //@line 522 "./vm/Stack-inl.h"
      $src=$87; //@line 522 "./vm/Stack-inl.h"
      var $88=$dst; //@line 523 "./vm/Stack-inl.h"
      var $89=$src; //@line 523 "./vm/Stack-inl.h"
      var $90=$ncopy; //@line 523 "./vm/Stack-inl.h"
      __ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j($88, $89, $90); //@line 523 "./vm/Stack-inl.h"
      var $91=$firstUnused; //@line 524 "./vm/Stack-inl.h"
      var $92=$ncopy; //@line 524 "./vm/Stack-inl.h"
      var $93=(($91+($92<<3))|0); //@line 524 "./vm/Stack-inl.h"
      var $94=$93; //@line 524 "./vm/Stack-inl.h"
      $1=$94; //@line 524 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 524 "./vm/Stack-inl.h"
    case 12: 
      var $96=$1; //@line 525 "./vm/Stack-inl.h"
      ;
      return $96; //@line 525 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js12ContextStack12getCallFrameEP9JSContextNS_16MaybeReportErrorERKNS_8CallArgsEP10JSFunctionP8JSScriptPNS_10StackFrame5FlagsE["X"]=1;

function __ZN2js10StackFrame13initCallFrameEP9JSContextR8JSObjectP10JSFunctionP8JSScriptjNS0_5FlagsE($this, $cx, $callee, $fun, $script, $nactual, $flagsArg) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  $1=$this;
  $2=$cx;
  $3=$callee;
  $4=$fun;
  $5=$script;
  $6=$nactual;
  $7=$flagsArg;
  var $8=$1;
  var $9=$7; //@line 117 "./vm/Stack-inl.h"
  var $10=1572866 | $9; //@line 117 "./vm/Stack-inl.h"
  var $11=(($8)|0); //@line 117 "./vm/Stack-inl.h"
  HEAP32[(($11)>>2)]=$10; //@line 117 "./vm/Stack-inl.h"
  var $12=$4; //@line 118 "./vm/Stack-inl.h"
  var $13=(($8+4)|0); //@line 118 "./vm/Stack-inl.h"
  var $14=$13; //@line 118 "./vm/Stack-inl.h"
  HEAP32[(($14)>>2)]=$12; //@line 118 "./vm/Stack-inl.h"
  var $15=$6; //@line 119 "./vm/Stack-inl.h"
  var $16=(($8+8)|0); //@line 119 "./vm/Stack-inl.h"
  var $17=$16; //@line 119 "./vm/Stack-inl.h"
  HEAP32[(($17)>>2)]=$15; //@line 119 "./vm/Stack-inl.h"
  var $18=$3; //@line 120 "./vm/Stack-inl.h"
  var $19=__ZNK8JSObject9getParentEv($18); //@line 120 "./vm/Stack-inl.h"
  var $20=(($8+12)|0); //@line 120 "./vm/Stack-inl.h"
  HEAP32[(($20)>>2)]=$19; //@line 120 "./vm/Stack-inl.h"
  var $21=(($8+20)|0); //@line 121 "./vm/Stack-inl.h"
  HEAP32[(($21)>>2)]=0; //@line 121 "./vm/Stack-inl.h"
  var $22=$2; //@line 122 "./vm/Stack-inl.h"
  __ZN2js10StackFrame8initPrevEP9JSContext($8, $22); //@line 122 "./vm/Stack-inl.h"
  var $23=__ZNK2js10StackFrame5slotsEv($8); //@line 128 "./vm/Stack-inl.h"
  var $24=$5; //@line 128 "./vm/Stack-inl.h"
  var $25=(($24+14)|0); //@line 128 "./vm/Stack-inl.h"
  var $26=HEAPU16[(($25)>>1)]; //@line 128 "./vm/Stack-inl.h"
  var $27=(($26)&65535); //@line 128 "./vm/Stack-inl.h"
  __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj($23, $27); //@line 128 "./vm/Stack-inl.h"
  ;
  return; //@line 129 "./vm/Stack-inl.h"
}


function __ZN2js9FrameRegs12prepareToRunERNS_10StackFrameEP8JSScript($this, $fp, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$fp;
  $3=$script;
  var $4=$1;
  var $5=$3; //@line 1300 "./vm/Stack.h"
  var $6=(($5)|0); //@line 1300 "./vm/Stack.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1300 "./vm/Stack.h"
  var $8=(($4+4)|0); //@line 1300 "./vm/Stack.h"
  HEAP32[(($8)>>2)]=$7; //@line 1300 "./vm/Stack.h"
  var $9=$2; //@line 1301 "./vm/Stack.h"
  var $10=__ZNK2js10StackFrame5slotsEv($9); //@line 1301 "./vm/Stack.h"
  var $11=$3; //@line 1301 "./vm/Stack.h"
  var $12=(($11+14)|0); //@line 1301 "./vm/Stack.h"
  var $13=HEAPU16[(($12)>>1)]; //@line 1301 "./vm/Stack.h"
  var $14=(($13)&65535); //@line 1301 "./vm/Stack.h"
  var $15=(($10+($14<<3))|0); //@line 1301 "./vm/Stack.h"
  var $16=(($4)|0); //@line 1301 "./vm/Stack.h"
  HEAP32[(($16)>>2)]=$15; //@line 1301 "./vm/Stack.h"
  var $17=$2; //@line 1302 "./vm/Stack.h"
  var $18=(($4+12)|0); //@line 1302 "./vm/Stack.h"
  HEAP32[(($18)>>2)]=$17; //@line 1302 "./vm/Stack.h"
  var $19=(($4+8)|0); //@line 1303 "./vm/Stack.h"
  HEAP32[(($19)>>2)]=0; //@line 1303 "./vm/Stack.h"
  ;
  return; //@line 1304 "./vm/Stack.h"
}


function __ZN2js12ContextStack16pushExecuteFrameEP9JSContextP8JSScriptRKN2JS5ValueER8JSObjectNS_11ExecuteTypeEPNS_10StackFrameEPNS_17ExecuteFrameGuardE($this, $cx, $script, $thisv, $scopeChain, $type, $evalInFrame, $efg) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $evalInFrameCalls;
      var $prev;
      var $extend;
      var $iter=__stackBase__;
      var $nvars;
      var $firstUnused;
      var $fp;
      $2=$this;
      $3=$cx;
      $4=$script;
      $5=$thisv;
      $6=$scopeChain;
      $7=$type;
      $8=$evalInFrame;
      $9=$efg;
      var $10=$2;
      $evalInFrameCalls=0; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=$8; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=(($11)|0)!=0; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $14=$3; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      FUNCTION_TABLE[__ZN2js9StackIterC1EP9JSContextNS0_11SavedOptionE]($iter, $14, 1); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $16=__ZNK2js9StackIter8isScriptEv($iter); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($16) { __label__ = 4; break; } else { var $22 = 1;__label__ = 5; break; } //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $18=__ZNK2js9StackIter2fpEv($iter); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=$8; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=(($18)|0)!=(($19)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22 = $20;__label__ = 5; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $22;
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $24=__ZN2js9StackIterppEv($iter); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $26=(($iter+16)|0); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $evalInFrameCalls=$27; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=$8; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $prev=$28; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $extend=0; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 9; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $30=__ZNK2js12ContextStack7maybefpEv($10); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $prev=$30; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $extend=1; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 9; break;
    case 9: 
      var $32=$4; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=(($32+44)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=HEAPU16[(($33)>>1)]; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=(($34)&65535); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $36=(($35+9)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $nvars=$36; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=$3; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38=$nvars; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=$extend; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=$9; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41=$40; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $42=(($41+4)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $43=__ZN2js12ContextStack11ensureOnTopEP9JSContextNS_16MaybeReportErrorEjNS0_11MaybeExtendEPbP13JSCompartment($10, $37, 1, $38, $39, $42, 12); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $firstUnused=$43; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $44=$firstUnused; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $45=(($44)|0)!=0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 10: 
      $1=0; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 11: 
      var $48=$firstUnused; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $49=(($48+16)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $50=$49; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $fp=$50; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $51=$fp; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $52=$4; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $53=$prev; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $54=(($10)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $56=__ZNK2js12StackSegment9maybeRegsEv($55); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $57=$5; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $58=$6; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $59=$7; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10StackFrame16initExecuteFrameEP8JSScriptPS0_PNS_9FrameRegsERKN2JS5ValueER8JSObjectNS_11ExecuteTypeE($51, $52, $53, $56, $57, $58, $59); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $60=$fp; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $61=__ZNK2js10StackFrame5slotsEv($60); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $62=$4; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $63=(($62+14)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $64=HEAPU16[(($63)>>1)]; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $65=(($64)&65535); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj($61, $65); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $66=$9; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $67=$66; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $68=(($67+8)|0); //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $69=$fp; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $70=$4; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9FrameRegs12prepareToRunERNS_10StackFrameEP8JSScript($68, $69, $70); //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $71=$8; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $72=(($71)|0)!=0; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($72) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 12: 
      var $74=$evalInFrameCalls; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $75=(($74)|0)!=0; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($75) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 13: 
      var $77=(($10)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $79=$evalInFrameCalls; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js12StackSegment11pointAtCallERNS_12CallArgsListE($78, $79); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 14; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 14: 
      var $81=(($10)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $83=$9; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $84=$83; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $85=(($84+8)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $86=__ZN2js12StackSegment8pushRegsERNS_9FrameRegsE($82, $85); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $87=$9; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $88=$87; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $89=(($88+24)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($89)>>2)]=$86; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $90=$9; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $91=$90; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10FrameGuard9setPushedERNS_12ContextStackE($91, $10); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=1; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 15: 
      var $93=$1; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      STACKTOP = __stackBase__;
      return $93; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12ContextStack16pushExecuteFrameEP9JSContextP8JSScriptRKN2JS5ValueER8JSObjectNS_11ExecuteTypeEPNS_10StackFrameEPNS_17ExecuteFrameGuardE["X"]=1;

function __ZN2js9StackIterppEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ((($4)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 2) {
        __label__ = 4; break;
      }
      else if ((($4)|0) == 3) {
        __label__ = 5; break;
      }
      else {
      __label__ = 6; break;
      }
      
    case 2: 
      __label__ = 3; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      __ZN2js9StackIter8popFrameEv($2); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9StackIter16settleOnNewStateEv($2); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 6; break; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      __ZN2js9StackIter7popCallEv($2); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9StackIter16settleOnNewStateEv($2); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 6; break; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $9=(($2+8)|0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($9)>>2)]=1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 6; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      ;
      return $2; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12ContextStack7maybefpEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1640 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1640 "./vm/Stack.h"
      var $5=(($4)|0)!=0; //@line 1640 "./vm/Stack.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1640 "./vm/Stack.h"
    case 2: 
      var $7=(($2)|0); //@line 1640 "./vm/Stack.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1640 "./vm/Stack.h"
      var $9=__ZNK2js12StackSegment7maybefpEv($8); //@line 1640 "./vm/Stack.h"
      var $12 = $9;__label__ = 4; break; //@line 1640 "./vm/Stack.h"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 1640 "./vm/Stack.h"
    case 4: 
      var $12; //@line 1640 "./vm/Stack.h"
      ;
      return $12; //@line 1640 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj($vec, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$vec;
  $2=$len;
  var $3=$1; //@line 410 "./jsinterp.h"
  var $4=$1; //@line 410 "./jsinterp.h"
  var $5=$2; //@line 410 "./jsinterp.h"
  var $6=(($4+($5<<3))|0); //@line 410 "./jsinterp.h"
  __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_($3, $6); //@line 410 "./jsinterp.h"
  ;
  return; //@line 411 "./jsinterp.h"
}


function __ZN2js12ContextStack14pushDummyFrameEP9JSContextP13JSCompartmentR8JSObjectPNS_15DummyFrameGuardE($this, $cx, $dest, $scopeChain, $dfg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $nvars;
      var $firstUnused;
      var $fp;
      $2=$this;
      $3=$cx;
      $4=$dest;
      $5=$scopeChain;
      $6=$dfg;
      var $7=$2;
      $nvars=7; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=$3; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=$nvars; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=$6; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=$10; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=(($11+4)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=$4; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=__ZN2js12ContextStack11ensureOnTopEP9JSContextNS_16MaybeReportErrorEjNS0_11MaybeExtendEPbP13JSCompartment($7, $8, 1, $9, 1, $12, $13); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $firstUnused=$14; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=$firstUnused; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=(($15)|0)!=0; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      $1=0; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $19=$firstUnused; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=$19; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $fp=$20; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=$fp; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=$3; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=$5; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10StackFrame14initDummyFrameEP9JSContextR8JSObject($21, $22, $23); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=$6; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=$24; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26=(($25+8)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=$fp; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9FrameRegs14initDummyFrameERNS_10StackFrameE($26, $27); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=$3; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=$4; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN9JSContext14setCompartmentEP13JSCompartment($28, $29); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=(($7)|0); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $32=$6; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=$32; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=(($33+8)|0); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=__ZN2js12StackSegment8pushRegsERNS_9FrameRegsE($31, $34); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $36=$6; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=$36; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38=(($37+24)|0); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($38)>>2)]=$35; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=$6; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=$39; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10FrameGuard9setPushedERNS_12ContextStackE($40, $7); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=1; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $42=$1; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $42; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12ContextStack14pushDummyFrameEP9JSContextP13JSCompartmentR8JSObjectPNS_15DummyFrameGuardE["X"]=1;

function __ZN2js9FrameRegs14initDummyFrameERNS_10StackFrameE($this, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$fp;
  var $3=$1;
  var $4=(($3+4)|0); //@line 1308 "./vm/Stack.h"
  HEAP32[(($4)>>2)]=0; //@line 1308 "./vm/Stack.h"
  var $5=$2; //@line 1309 "./vm/Stack.h"
  var $6=__ZNK2js10StackFrame5slotsEv($5); //@line 1309 "./vm/Stack.h"
  var $7=(($3)|0); //@line 1309 "./vm/Stack.h"
  HEAP32[(($7)>>2)]=$6; //@line 1309 "./vm/Stack.h"
  var $8=$2; //@line 1310 "./vm/Stack.h"
  var $9=(($3+12)|0); //@line 1310 "./vm/Stack.h"
  HEAP32[(($9)>>2)]=$8; //@line 1310 "./vm/Stack.h"
  var $10=(($3+8)|0); //@line 1311 "./vm/Stack.h"
  HEAP32[(($10)>>2)]=0; //@line 1311 "./vm/Stack.h"
  ;
  return; //@line 1312 "./vm/Stack.h"
}


function __ZN2js12ContextStack8popFrameERKNS_10FrameGuardE($this, $fg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$fg;
      var $3=$1;
      var $4=$2; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=(($4+8)|0); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=__ZNK2js9FrameRegs2fpEv($5); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($6); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $9=$2; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($9+8)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=__ZNK2js9FrameRegs2fpEv($10); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10StackFrame16functionEpilogueEv($11); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $13=(($3)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=$2; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=(($15+24)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js12StackSegment7popRegsEPNS_9FrameRegsE($14, $17); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=$2; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=(($18+4)|0); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=HEAP8[($19)]; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=(($20) & 1); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      __ZN2js12ContextStack10popSegmentEv($3); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 5; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $24=__ZNK2js12ContextStack5hasfpEv($3); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $26=(($3+8)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN9JSContext16resetCompartmentEv($27); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 7; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      ;
      return; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame16functionEpilogueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 404 "./vm/Stack-inl.h"
      var $4=HEAP32[(($3)>>2)]; //@line 404 "./vm/Stack-inl.h"
      var $5=$4 & 49152; //@line 404 "./vm/Stack-inl.h"
      var $6=(($5)|0)!=0; //@line 404 "./vm/Stack-inl.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 404 "./vm/Stack-inl.h"
    case 2: 
      var $8=__ZNK2js10StackFrame10hasCallObjEv($2); //@line 406 "./vm/Stack-inl.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 406 "./vm/Stack-inl.h"
    case 3: 
      __Z16js_PutCallObjectPN2js10StackFrameE($2); //@line 407 "./vm/Stack-inl.h"
      __label__ = 7; break; //@line 407 "./vm/Stack-inl.h"
    case 4: 
      var $11=__ZNK2js10StackFrame10hasArgsObjEv($2); //@line 408 "./vm/Stack-inl.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 408 "./vm/Stack-inl.h"
    case 5: 
      __Z16js_PutArgsObjectPN2js10StackFrameE($2); //@line 409 "./vm/Stack-inl.h"
      __label__ = 6; break; //@line 409 "./vm/Stack-inl.h"
    case 6: 
      __label__ = 7; break;
    case 7: 
      __label__ = 8; break; //@line 410 "./vm/Stack-inl.h"
    case 8: 
      var $16=__ZNK2js10StackFrame20maintainNestingStateEv($2); //@line 412 "./vm/Stack-inl.h"
      if ($16) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 412 "./vm/Stack-inl.h"
    case 9: 
      __ZN2js5types15NestingEpilogueEPNS_10StackFrameE($2); //@line 413 "./vm/Stack-inl.h"
      __label__ = 10; break; //@line 413 "./vm/Stack-inl.h"
    case 10: 
      ;
      return; //@line 414 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStack18pushGeneratorFrameEP9JSContextP11JSGeneratorPNS_19GeneratorFrameGuardE($this, $cx, $gen, $gfg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $genfp;
      var $genvp;
      var $vplen;
      var $nvars;
      var $firstUnused;
      var $stackfp;
      var $stackvp;
      $2=$this;
      $3=$cx;
      $4=$gen;
      $5=$gfg;
      var $6=$2;
      var $7=$4; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=__ZN11JSGenerator13floatingFrameEv($7); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $genfp=$8; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=$4; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($9+32)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=(($10)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $genvp=$11; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=$genfp; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=$12; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=$genvp; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=$13; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=$14; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=(($15-$16)|0); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=(((($17)|0)/8)&-1); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $vplen=$18; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=$vplen; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=(($19+7)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=$genfp; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=__ZNK2js10StackFrame8numSlotsEv($21); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=(($20+$22)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $nvars=$23; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=$3; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=$nvars; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26=$5; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=$26; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=(($27+4)|0); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=__ZN2js12ContextStack11ensureOnTopEP9JSContextNS_16MaybeReportErrorEjNS0_11MaybeExtendEPbP13JSCompartment($6, $24, 1, $25, 1, $28, 12); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $firstUnused=$29; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=$firstUnused; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=(($30)|0)!=0; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($31) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      $1=0; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $34=$firstUnused; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=$vplen; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $36=(($34+($35<<3))|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=$36; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $stackfp=$37; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38=$stackfp; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=$38; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=$vplen; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41=(((-$40))|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $42=(($39+($41<<3))|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $stackvp=$42; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $43=$4; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $44=$5; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $45=(($44+28)|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $46=$stackvp; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $47=$5; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $48=(($47+32)|0); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $49=$stackfp; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $50=$stackvp; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $51=$genfp; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $52=$genvp; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $53=$4; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $54=(($53+8)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $55=(($54)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10StackFrame18stealFrameAndSlotsEPN2JS5ValueEPS0_S3_S3_($49, $50, $51, $52, $56); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $57=$stackfp; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $58=$3; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10StackFrame18resetGeneratorPrevEP9JSContext($57, $58); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $59=$stackfp; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10StackFrame22unsetFloatingGeneratorEv($59); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $60=$5; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $61=$60; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $62=(($61+8)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $63=$4; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $64=(($63+8)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $65=$stackfp; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9FrameRegs12rebaseFromToERKS0_RNS_10StackFrameE($62, $64, $65); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $66=(($6)|0); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $68=$5; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $69=$68; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $70=(($69+8)|0); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $71=__ZN2js12StackSegment8pushRegsERNS_9FrameRegsE($67, $70); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $72=$5; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $73=$72; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $74=(($73+24)|0); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($74)>>2)]=$71; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $75=$5; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $76=$75; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10FrameGuard9setPushedERNS_12ContextStackE($76, $6); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=1; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $78=$1; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $78; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12ContextStack18pushGeneratorFrameEP9JSContextP11JSGeneratorPNS_19GeneratorFrameGuardE["X"]=1;

function __ZNK2js10StackFrame8numSlotsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame6scriptEv($2); //@line 618 "./vm/Stack.h"
  var $4=(($3+44)|0); //@line 618 "./vm/Stack.h"
  var $5=HEAPU16[(($4)>>1)]; //@line 618 "./vm/Stack.h"
  var $6=(($5)&65535); //@line 618 "./vm/Stack.h"
  ;
  return $6; //@line 618 "./vm/Stack.h"
}


function __ZN2js10StackFrame18resetGeneratorPrevEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 79 "./vm/Stack-inl.h"
  var $5=HEAP32[(($4)>>2)]; //@line 79 "./vm/Stack-inl.h"
  var $6=$5 | 1048576; //@line 79 "./vm/Stack-inl.h"
  HEAP32[(($4)>>2)]=$6; //@line 79 "./vm/Stack-inl.h"
  var $7=$2; //@line 80 "./vm/Stack-inl.h"
  __ZN2js10StackFrame8initPrevEP9JSContext($3, $7); //@line 80 "./vm/Stack-inl.h"
  ;
  return; //@line 81 "./vm/Stack-inl.h"
}


function __ZN2js9FrameRegs12rebaseFromToERKS0_RNS_10StackFrameE($this, $from, $to) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$from;
  $3=$to;
  var $4=$1;
  var $5=$3; //@line 1271 "./vm/Stack.h"
  var $6=(($4+12)|0); //@line 1271 "./vm/Stack.h"
  HEAP32[(($6)>>2)]=$5; //@line 1271 "./vm/Stack.h"
  var $7=$3; //@line 1272 "./vm/Stack.h"
  var $8=__ZNK2js10StackFrame5slotsEv($7); //@line 1272 "./vm/Stack.h"
  var $9=$2; //@line 1272 "./vm/Stack.h"
  var $10=(($9)|0); //@line 1272 "./vm/Stack.h"
  var $11=HEAP32[(($10)>>2)]; //@line 1272 "./vm/Stack.h"
  var $12=$2; //@line 1272 "./vm/Stack.h"
  var $13=(($12+12)|0); //@line 1272 "./vm/Stack.h"
  var $14=HEAP32[(($13)>>2)]; //@line 1272 "./vm/Stack.h"
  var $15=__ZNK2js10StackFrame5slotsEv($14); //@line 1272 "./vm/Stack.h"
  var $16=$11; //@line 1272 "./vm/Stack.h"
  var $17=$15; //@line 1272 "./vm/Stack.h"
  var $18=(($16-$17)|0); //@line 1272 "./vm/Stack.h"
  var $19=(((($18)|0)/8)&-1); //@line 1272 "./vm/Stack.h"
  var $20=(($8+($19<<3))|0); //@line 1272 "./vm/Stack.h"
  var $21=(($4)|0); //@line 1272 "./vm/Stack.h"
  HEAP32[(($21)>>2)]=$20; //@line 1272 "./vm/Stack.h"
  var $22=$2; //@line 1273 "./vm/Stack.h"
  var $23=(($22+4)|0); //@line 1273 "./vm/Stack.h"
  var $24=HEAP32[(($23)>>2)]; //@line 1273 "./vm/Stack.h"
  var $25=(($4+4)|0); //@line 1273 "./vm/Stack.h"
  HEAP32[(($25)>>2)]=$24; //@line 1273 "./vm/Stack.h"
  var $26=$2; //@line 1274 "./vm/Stack.h"
  var $27=(($26+8)|0); //@line 1274 "./vm/Stack.h"
  var $28=HEAP32[(($27)>>2)]; //@line 1274 "./vm/Stack.h"
  var $29=(($4+8)|0); //@line 1274 "./vm/Stack.h"
  HEAP32[(($29)>>2)]=$28; //@line 1274 "./vm/Stack.h"
  ;
  return; //@line 1276 "./vm/Stack.h"
}


function __ZN2js10StackFrame20setFloatingGeneratorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1060 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1060 "./vm/Stack.h"
  var $5=$4 | 64; //@line 1060 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 1060 "./vm/Stack.h"
  ;
  return; //@line 1061 "./vm/Stack.h"
}


function __ZN2js9StackIter10poisonRegsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($3)>>2)]=2989; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $4=(($2+28)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($4)>>2)]=2989; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZNK2js10StackFrame22isFramePushedByExecuteEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1071 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1071 "./vm/Stack.h"
  var $5=$4 & 9; //@line 1071 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1071 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1071 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1071 "./vm/Stack.h"
  ;
  return $8; //@line 1071 "./vm/Stack.h"
}


function __ZNK2js12CallArgsList4prevEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 286 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./vm/Stack.h"
  ;
  return $4; //@line 286 "./vm/Stack.h"
}


function __ZNK2js12CallReceiver4baseEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 196 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 196 "./vm/Stack.h"
  var $5=(($4-16)|0); //@line 196 "./vm/Stack.h"
  ;
  return $5; //@line 196 "./vm/Stack.h"
}


function __ZNK2js12CallArgsList6activeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 287 "./vm/Stack.h"
  var $4=HEAP8[($3)]; //@line 287 "./vm/Stack.h"
  var $5=(($4) & 1); //@line 287 "./vm/Stack.h"
  ;
  return $5; //@line 287 "./vm/Stack.h"
}


function __ZNK2js12CallReceiver7calleevEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 198 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 198 "./vm/Stack.h"
  var $5=(($4-16)|0); //@line 198 "./vm/Stack.h"
  ;
  return $5; //@line 198 "./vm/Stack.h"
}


function __ZN2js12ContextStack17popGeneratorFrameERKNS_19GeneratorFrameGuardE($this, $gfg) {
  ;
  var __label__;

  var $1;
  var $2;
  var $gen;
  var $genfp;
  var $genvp;
  var $stackRegs;
  var $stackfp;
  var $stackvp;
  $1=$this;
  $2=$gfg;
  var $3=$1;
  var $4=$2; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=(($4+28)|0); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  $gen=$6; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $7=$gen; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $8=__ZN11JSGenerator13floatingFrameEv($7); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  $genfp=$8; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $9=$gen; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $10=(($9+32)|0); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $11=(($10)|0); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  $genvp=$11; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $12=$2; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $13=$12; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $14=(($13+8)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  $stackRegs=$14; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $15=$stackRegs; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $16=__ZNK2js9FrameRegs2fpEv($15); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  $stackfp=$16; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $17=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $18=(($17+32)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $19=HEAP32[(($18)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  $stackvp=$19; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $20=$gen; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $21=(($20+8)|0); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $22=$stackRegs; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $23=$genfp; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  __ZN2js9FrameRegs12rebaseFromToERKS0_RNS_10StackFrameE($21, $22, $23); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $24=$genfp; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $25=$genvp; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $26=$stackfp; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $27=$stackvp; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $28=$stackRegs; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $29=(($28)|0); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $30=HEAP32[(($29)>>2)]; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  __ZN2js10StackFrame18stealFrameAndSlotsEPN2JS5ValueEPS0_S3_S3_($24, $25, $26, $27, $30); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $31=$genfp; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  __ZN2js10StackFrame20setFloatingGeneratorEv($31); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2js12ContextStack14saveFrameChainEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $dest;
      var $pushedSeg=__stackBase__;
      $2=$this;
      var $3=$2;
      $dest=0; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=(($3+8)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=$dest; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=__ZN2js12ContextStack11ensureOnTopEP9JSContextNS_16MaybeReportErrorEjNS0_11MaybeExtendEPbP13JSCompartment($3, $5, 1, 0, 0, $pushedSeg, $6); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=(($7)|0)!=0; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      $1=0; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $11=(($3+8)|0); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN9JSContext16resetCompartmentEv($12); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $1=1; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $14=$1; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      STACKTOP = __stackBase__;
      return $14; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStack17restoreFrameChainEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12ContextStack10popSegmentEv($2); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $3=(($2+8)|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  __ZN9JSContext16resetCompartmentEv($4); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZN2js9StackIter8popFrameEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $oldfp;
      var $inline_=__stackBase__;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $oldfp=$4; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=(($2+12)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=__ZNK2js10StackFrame4prevEv($6); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=(($2+12)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($8)>>2)]=$7; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=(($2+20)|0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=(($2+12)|0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=__ZNK2js12StackSegment8containsEPKNS_10StackFrameE($10, $12); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 12; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $15=$oldfp; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=__ZN2js10StackFrame6prevpcEPPNS_13JSInlinedSiteE($15, $inline_); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=(($2+28)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=$oldfp; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=__ZNK2js10StackFrame16isGeneratorFrameEv($18); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $21=$oldfp; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=__ZNK2js10StackFrame10actualArgsEv($21); //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=(($22-16)|0); //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=(($2+24)|0); //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 11; break; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $26=$oldfp; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($26); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $29=$oldfp; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $30=__ZNK2js10StackFrame13actualArgsEndEv($29); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=(($2+24)|0); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($31)>>2)]=$30; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 10; break; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $33=$oldfp; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=__ZNK2js10StackFrame22isFramePushedByExecuteEv($33); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $36=$oldfp; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=$36; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38=(($37-16)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=(($2+24)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($39)>>2)]=$38; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 9; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $41=$oldfp; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $42=$41; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $43=(($2+24)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($43)>>2)]=$42; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      __label__ = 13; break; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 12: 
      __ZN2js9StackIter10poisonRegsEv($2); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 13; break;
    case 13: 
      STACKTOP = __stackBase__;
      return; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9StackIter8popFrameEv["X"]=1;

function __ZNK2js10StackFrame13actualArgsEndEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3)|0); //@line 309 "./vm/Stack-inl.h"
      var $5=HEAP32[(($4)>>2)]; //@line 309 "./vm/Stack-inl.h"
      var $6=$5 & 2048; //@line 309 "./vm/Stack-inl.h"
      var $7=(($6)|0)!=0; //@line 309 "./vm/Stack-inl.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 309 "./vm/Stack-inl.h"
    case 2: 
      var $9=__ZNK2js10StackFrame10formalArgsEv($3); //@line 310 "./vm/Stack-inl.h"
      var $10=(($9-16)|0); //@line 310 "./vm/Stack-inl.h"
      $1=$10; //@line 310 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 310 "./vm/Stack-inl.h"
    case 3: 
      var $12=__ZNK2js10StackFrame10formalArgsEv($3); //@line 311 "./vm/Stack-inl.h"
      var $13=__ZNK2js10StackFrame13numActualArgsEv($3); //@line 311 "./vm/Stack-inl.h"
      var $14=(($12+($13<<3))|0); //@line 311 "./vm/Stack-inl.h"
      $1=$14; //@line 311 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 311 "./vm/Stack-inl.h"
    case 4: 
      var $16=$1; //@line 312 "./vm/Stack-inl.h"
      ;
      return $16; //@line 312 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9StackIter7popCallEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $oldCall;
      $1=$this;
      var $2=$1;
      var $3=(($2+16)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $oldCall=$4; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=(($2+16)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=__ZNK2js12CallArgsList4prevEv($6); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=(($2+16)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($8)>>2)]=$7; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=(($2+20)|0); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=(($2+12)|0); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=__ZNK2js12StackSegment8containsEPKNS_10StackFrameE($10, $12); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $15=$oldCall; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=$15; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=__ZNK2js12CallReceiver4baseEv($16); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=(($2+24)|0); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      __ZN2js9StackIter10poisonRegsEv($2); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9StackIter18settleOnNewSegmentEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $regs;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=__ZNK2js12StackSegment9maybeRegsEv($4); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $regs=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=$regs; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=(($6)|0)!=0; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $9=$regs; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($9)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=(($2+24)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=$regs; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=(($13+4)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=(($2+28)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      __ZN2js9StackIter10poisonRegsEv($2); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9StackIter14startOnSegmentEPNS_12StackSegmentE($this, $seg) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$seg;
  var $3=$1;
  var $4=$2; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $5=(($3+20)|0); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($5)>>2)]=$4; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $6=(($3+20)|0); //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $8=__ZNK2js12StackSegment7maybefpEv($7); //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $9=(($3+12)|0); //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($9)>>2)]=$8; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $10=(($3+20)|0); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $12=__ZNK2js12StackSegment10maybeCallsEv($11); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  var $13=(($3+16)|0); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  HEAP32[(($13)>>2)]=$12; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  __ZN2js9StackIter18settleOnNewSegmentEv($3); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
  ;
  return; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
}


function __ZL12js_GetOpcodeP9JSContextP8JSScriptPh161($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 954 "./jsscript.h"
      var $5=HEAPU8[($4)]; //@line 954 "./jsscript.h"
      var $6=(($5)&255); //@line 954 "./jsscript.h"
      $op=$6; //@line 954 "./jsscript.h"
      var $7=$op; //@line 955 "./jsscript.h"
      var $8=(($7)|0)==83; //@line 955 "./jsscript.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 955 "./jsscript.h"
    case 2: 
      var $10=$1; //@line 956 "./jsscript.h"
      var $11=$2; //@line 956 "./jsscript.h"
      var $12=$3; //@line 956 "./jsscript.h"
      var $13=_JS_GetTrapOpcode($10, $11, $12); //@line 956 "./jsscript.h"
      $op=$13; //@line 956 "./jsscript.h"
      __label__ = 3; break; //@line 956 "./jsscript.h"
    case 3: 
      var $15=$op; //@line 957 "./jsscript.h"
      ;
      return $15; //@line 957 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9DebugOnlyIjEC1ERKj($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 182 "./dist/include/mozilla/Util.h"
  __ZN7mozilla9DebugOnlyIjEC2ERKj($4, $5); //@line 182 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZNK2js10StackFrame4baseEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame5slotsEv($2); //@line 531 "./vm/Stack.h"
  var $4=__ZNK2js10StackFrame6scriptEv($2); //@line 531 "./vm/Stack.h"
  var $5=(($4+14)|0); //@line 531 "./vm/Stack.h"
  var $6=HEAPU16[(($5)>>1)]; //@line 531 "./vm/Stack.h"
  var $7=(($6)&65535); //@line 531 "./vm/Stack.h"
  var $8=(($3+($7<<3))|0); //@line 531 "./vm/Stack.h"
  ;
  return $8; //@line 531 "./vm/Stack.h"
}


function __ZL18CrashIfInvalidSlotPN2js10StackFrameEPN2JS5ValueE($fp, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$fp;
      $2=$vp;
      var $3=$2; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $4=$1; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=__ZNK2js10StackFrame5slotsEv($4); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=(($3)>>>0) < (($5)>>>0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $8=$2; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=$1; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=__ZNK2js10StackFrame5slotsEv($9); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=$1; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=__ZNK2js10StackFrame6scriptEv($11); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=(($12+44)|0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=HEAPU16[(($13)>>1)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=(($14)&65535); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=(($10+($15<<3))|0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=(($8)>>>0) >= (($16)>>>0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      HEAP32[((2989)>>2)]=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      _JS_Assert(((STRING_TABLE.__str156)|0), ((STRING_TABLE.__str1157)|0), 967); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      ;
      return; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsNativeFunctionERKN2JS5ValueE($v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $fun=__stackBase__;
      $1=$v;
      var $2=$1; //@line 299 "./jsfun.h"
      var $3=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction($2, $fun); //@line 299 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { var $8 = 0;__label__ = 3; break; } //@line 299 "./jsfun.h"
    case 2: 
      var $5=HEAP32[(($fun)>>2)]; //@line 299 "./jsfun.h"
      var $6=__ZNK10JSFunction8isNativeEv($5); //@line 299 "./jsfun.h"
      var $8 = $6;__label__ = 3; break;
    case 3: 
      var $8;
      STACKTOP = __stackBase__;
      return $8; //@line 300 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9DebugOnlyIjED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIjED2Ev($2); //@line 193 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIP8JSScriptEC1ERKS2_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 182 "./dist/include/mozilla/Util.h"
  __ZN7mozilla9DebugOnlyIP8JSScriptEC2ERKS2_($4, $5); //@line 182 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIP8JSScriptED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIP8JSScriptED2Ev($2); //@line 193 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN2js9StackIterC2EP9JSContextNS0_11SavedOptionE($this, $cx, $savedOption) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $seg;
      $1=$this;
      $2=$cx;
      $3=$savedOption;
      var $4=$1;
      var $5=(($4)|0); //@line 1112 "./vm/Stack.h"
      var $6=$2; //@line 1112 "./vm/Stack.h"
      HEAP32[(($5)>>2)]=$6; //@line 1112 "./vm/Stack.h"
      var $7=(($4+4)|0); //@line 1112 "./vm/Stack.h"
      var $8=$3; //@line 1112 "./vm/Stack.h"
      HEAP32[(($7)>>2)]=$8; //@line 1112 "./vm/Stack.h"
      var $9=(($4+32)|0); //@line 1112 "./vm/Stack.h"
      var $10=$2; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js10LeaveTraceEP9JSContext($10); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=$2; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=(($11+60)|0); //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $13=(($12)|0); //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $seg=$14; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=$seg; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=(($15)|0)!=0; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $18=$seg; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9StackIter14startOnSegmentEPNS_12StackSegmentE($4, $18); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9StackIter16settleOnNewStateEv($4); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $20=(($4+8)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($20)>>2)]=0; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9StackIter16settleOnNewStateEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $containsFrame;
      var $containsCall;
      var $tmp=__stackBase__;
      var $op;
      var $argc;
      var $spoff=__stackBase__+40;
      var $2=__stackBase__+44;
      var $vp;
      var $3=__stackBase__+48;
      var $4;
      var $argc1;
      var $spoff2;
      var $sp;
      var $vp3;
      var $5=__stackBase__+56;
      var $script=__stackBase__+64;
      var $6=__stackBase__+68;
      $1=$this;
      var $7=$1;
      __label__ = 2; break; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $9=(($7+12)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=(($10)|0)!=0; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($11) { __label__ = 8; break; } else { __label__ = 3; break; } //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $13=(($7+16)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=(($14)|0)!=0; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($15) { __label__ = 8; break; } else { __label__ = 4; break; } //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $17=(($7+4)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=(($18)|0)==1; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $21=(($7+20)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $23=__ZNK2js12StackSegment13prevInContextEv($22); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=(($23)|0)!=0; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $26=(($7+20)|0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=__ZNK2js12StackSegment13prevInContextEv($27); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9StackIter14startOnSegmentEPNS_12StackSegmentE($7, $28); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      var $30=(($7+8)|0); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($30)>>2)]=0; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 45; break; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      var $32=(($7+20)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=(($7+12)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $36=__ZNK2js12StackSegment8containsEPKNS_10StackFrameE($33, $35); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $37=(($36)&1); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $containsFrame=$37; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38=(($7+20)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $40=(($7+16)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $42=__ZNK2js12StackSegment8containsEPKNS_12CallArgsListE($39, $41); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $43=(($42)&1); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $containsCall=$43; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 9; break; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 9: 
      var $45=$containsFrame; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $46=(($45) & 1); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($46) { var $52 = 0;__label__ = 11; break; } else { __label__ = 10; break; } //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 10: 
      var $48=$containsCall; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $49=(($48) & 1); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $50=$49 ^ 1; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $52 = $50;__label__ = 11; break;
    case 11: 
      var $52;
      if ($52) { __label__ = 12; break; } else { __label__ = 21; break; }
    case 12: 
      var $54=(($7+20)|0); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $56=__ZNK2js12StackSegment13prevInContextEv($55); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $57=(($7+20)|0); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($57)>>2)]=$56; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $58=(($7+20)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $60=(($7+12)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $62=__ZNK2js12StackSegment8containsEPKNS_10StackFrameE($59, $61); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $63=(($62)&1); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $containsFrame=$63; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $64=(($7+20)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $66=(($7+16)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $68=__ZNK2js12StackSegment8containsEPKNS_12CallArgsListE($65, $67); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $69=(($68)&1); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $containsCall=$69; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $70=$containsFrame; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $71=(($70) & 1); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 20; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 13: 
      var $73=(($7+20)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $75=__ZNK2js12StackSegment2fpEv($74); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $76=(($7+12)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $78=(($75)|0)!=(($77)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($78) { __label__ = 14; break; } else { __label__ = 20; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 14: 
      var $80=$tmp; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $81=$7; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $81>>2, $$dest = $80>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      }; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $82=(($7+20)|0); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js9StackIter14startOnSegmentEPNS_12StackSegmentE($tmp, $83); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 15: 
      var $85=__ZNK2js9StackIter8isScriptEv($tmp); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($85) { __label__ = 16; break; } else { var $92 = 1;__label__ = 17; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 16: 
      var $87=__ZNK2js9StackIter2fpEv($tmp); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $88=(($7+12)|0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $90=(($87)|0)!=(($89)|0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $92 = $90;__label__ = 17; break; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 17: 
      var $92;
      if ($92) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 18: 
      var $94=__ZN2js9StackIterppEv($tmp); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 15; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 19: 
      var $96=$7; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $97=$tmp; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $97>>2, $$dest = $96>>2, $$stop = $$src + 10; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      }; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 45; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 20: 
      __ZN2js9StackIter18settleOnNewSegmentEv($7); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 9; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 21: 
      var $100=$containsFrame; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $101=(($100) & 1); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($101) { __label__ = 22; break; } else { __label__ = 41; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 22: 
      var $103=$containsCall; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $104=(($103) & 1); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($104) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 23: 
      var $106=(($7+12)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $108=$107; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $109=(($7+16)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $111=$110; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $112=__ZNK2js8CallArgs4argvEv($111); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $113=(($108)>>>0) >= (($112)>>>0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($113) { __label__ = 24; break; } else { __label__ = 41; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 24: 
      var $115=(($7+12)|0); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $117=__ZNK2js10StackFrame12isDummyFrameEv($116); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($117) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 25: 
      __ZN2js9StackIter8popFrameEv($7); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 26: 
      var $120=(($7)|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $122=(($7+12)|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $124=__ZNK2js10StackFrame6scriptEv($123); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $125=(($7+28)|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $127=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh161($121, $124, $126); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $op=$127; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $128=$op; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $129=(($128)|0)==58; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($129) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 27: 
      var $131=$op; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $132=(($131)|0)==108; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($132) { __label__ = 28; break; } else { __label__ = 33; break; } //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 28: 
      var $134=(($7+28)|0); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $136=(($135+1)|0); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $137=HEAPU8[($136)]; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $138=(($137)&255); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $139=$138 << 8; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $140=(($7+28)|0); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $142=(($141+2)|0); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $143=HEAPU8[($142)]; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $144=(($143)&255); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $145=$139 | $144; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $argc=$145; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $146=(($7+24)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $148=(($7+12)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $150=__ZNK2js10StackFrame4baseEv($149); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $151=$147; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $152=$150; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $153=(($151-$152)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $154=(((($153)|0)/8)&-1); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($2)>>2)]=$154; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($spoff, $2); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $155=(($7+24)|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $157=$argc; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $158=(($157+2)|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $159=(((-$158))|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $160=(($156+($159<<3))|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $vp=$160; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $161=(($7+12)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $163=$vp; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZL18CrashIfInvalidSlotPN2js10StackFrameEPN2JS5ValueE($162, $163); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $164=$vp; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $165=__ZN2jsL16IsNativeFunctionERKN2JS5ValueE($164); //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($165) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 29: 
      var $167=(($7+8)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($167)>>2)]=3; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $168=(($7+32)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $169=$argc; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $170=$vp; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($3, $169, $170); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $171=$168; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $172=$3; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($171)>>2)]=HEAP32[(($172)>>2)];HEAP32[(($171+4)>>2)]=HEAP32[(($172+4)>>2)]; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $4=1;
      __label__ = 31; break; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 30: 
      $4=0; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 31; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 31: 
      __ZN7mozilla9DebugOnlyIjED1Ev($spoff); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 32; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 45; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 32: 
      __label__ = 40; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 33: 
      var $177=$op; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $178=(($177)|0)==79; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($178) { __label__ = 34; break; } else { __label__ = 39; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 34: 
      var $180=(($7+28)|0); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $182=(($181+1)|0); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $183=HEAPU8[($182)]; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $184=(($183)&255); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $185=$184 << 8; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $186=(($7+28)|0); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $187=HEAP32[(($186)>>2)]; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $188=(($187+2)|0); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $189=HEAPU8[($188)]; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $190=(($189)&255); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $191=$185 | $190; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $argc1=$191; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $192=(($7)|0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $193=HEAP32[(($192)>>2)]; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $194=(($7+12)|0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $196=__ZNK2js10StackFrame6scriptEv($195); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $197=(($7+28)|0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $199=_js_ReconstructStackDepth($193, $196, $198); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $spoff2=$199; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $200=(($7+12)|0); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $202=__ZNK2js10StackFrame4baseEv($201); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $203=$spoff2; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $204=(($202+($203<<3))|0); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $sp=$204; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $205=$sp; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $206=$argc1; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $207=(($206+2)|0); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $208=(((-$207))|0); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $209=(($205+($208<<3))|0); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $vp3=$209; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $210=(($7+12)|0); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $211=HEAP32[(($210)>>2)]; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $212=$vp3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZL18CrashIfInvalidSlotPN2js10StackFrameEPN2JS5ValueE($211, $212); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $213=$vp3; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $214=__ZN2jsL16IsNativeFunctionERKN2JS5ValueE($213); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($214) { __label__ = 35; break; } else { __label__ = 38; break; } //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 35: 
      var $216=(($7+24)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $218=$sp; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $219=(($217)|0)!=(($218)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($219) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 36: 
      var $221=(($7+24)|0); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $223=$vp3; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $224=(($223+16)|0); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $225=$222; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $226=$224; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $227=(($225-$226)|0); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $228=(((($227)|0)/8)&-1); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $argc1=$228; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 37; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 37: 
      var $230=(($7+8)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($230)>>2)]=3; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $231=(($7+32)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $232=$argc1; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $233=$vp3; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($5, $232, $233); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $234=$231; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $235=$5; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($234)>>2)]=HEAP32[(($235)>>2)];HEAP32[(($234+4)>>2)]=HEAP32[(($235+4)>>2)]; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 45; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 38: 
      __label__ = 39; break; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 39: 
      __label__ = 40; break;
    case 40: 
      var $239=(($7+8)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($239)>>2)]=1; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $240=(($7+12)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $242=__ZNK2js10StackFrame6scriptEv($241); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($6)>>2)]=$242; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZN7mozilla9DebugOnlyIP8JSScriptEC1ERKS2_($script, $6); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      $4=1;
      __ZN7mozilla9DebugOnlyIP8JSScriptED1Ev($script); //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 45; break;
    case 41: 
      var $244=(($7+16)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $245=HEAP32[(($244)>>2)]; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $246=__ZNK2js12CallArgsList6activeEv($245); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($246) { __label__ = 42; break; } else { __label__ = 44; break; } //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 42: 
      var $248=(($7+16)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $249=HEAP32[(($248)>>2)]; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $250=$249; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $251=__ZNK2js12CallReceiver7calleevEv($250); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $252=__ZN2jsL16IsNativeFunctionERKN2JS5ValueE($251); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($252) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 43: 
      var $254=(($7+8)|0); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($254)>>2)]=2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $255=(($7+32)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $256=(($7+16)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $257=HEAP32[(($256)>>2)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $258=$257; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $259=$255; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $260=$258; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($259)>>2)]=HEAP32[(($260)>>2)];HEAP32[(($259+4)>>2)]=HEAP32[(($260+4)>>2)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 45; break; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 44: 
      __ZN2js9StackIter7popCallEv($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 2; break; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 45: 
      STACKTOP = __stackBase__;
      return; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 46: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9StackIter16settleOnNewStateEv["X"]=1;

function __ZN7mozilla9DebugOnlyIP8JSScriptED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIP8JSScriptEC2ERKS2_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIjED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIjEC2ERKj($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZNK8JSString12asExtensibleEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 361 "./vm/String.h"
  ;
  return $3; //@line 361 "./vm/String.h"
}


function __ZN8JSString7asFixedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 372 "./vm/String.h"
  ;
  return $3; //@line 372 "./vm/String.h"
}


function __ZNK2js9StackIter4doneEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1847 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1847 "./vm/Stack.h"
  var $5=(($4)|0)==0; //@line 1847 "./vm/Stack.h"
  ;
  return $5; //@line 1847 "./vm/Stack.h"
}


function _JSVAL_TO_OBJECT_IMPL164($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL165($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL166($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function __ZNK8JSScript7nestingEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+100)|0); //@line 211 "./jsscriptinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 211 "./jsscriptinlines.h"
  var $5=(($4+12)|0); //@line 211 "./jsscriptinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 211 "./jsscriptinlines.h"
  ;
  return $6; //@line 211 "./jsscriptinlines.h"
}


function _BUILD_JSVAL167($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZNK9JSContext19isVersionOverriddenEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1063 "./jscntxt.h"
  var $4=HEAP8[($3)]; //@line 1063 "./jscntxt.h"
  var $5=(($4) & 1); //@line 1063 "./jscntxt.h"
  ;
  return $5; //@line 1063 "./jscntxt.h"
}


function __ZN9JSContext20clearVersionOverrideEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1061 "./jscntxt.h"
  HEAP8[($3)]=0; //@line 1061 "./jscntxt.h"
  ;
  return; //@line 1061 "./jscntxt.h"
}


function __ZN2js12StackSegmentC2EPS0_S1_PNS_9FrameRegsEPNS_12CallArgsListE($this, $prevInContext, $prevInMemory, $regs, $calls) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$prevInContext;
  $3=$prevInMemory;
  $4=$regs;
  $5=$calls;
  var $6=$1;
  var $7=(($6)|0); //@line 1354 "./vm/Stack.h"
  var $8=$2; //@line 1354 "./vm/Stack.h"
  HEAP32[(($7)>>2)]=$8; //@line 1354 "./vm/Stack.h"
  var $9=(($6+4)|0); //@line 1354 "./vm/Stack.h"
  var $10=$3; //@line 1354 "./vm/Stack.h"
  HEAP32[(($9)>>2)]=$10; //@line 1354 "./vm/Stack.h"
  var $11=(($6+8)|0); //@line 1354 "./vm/Stack.h"
  var $12=$4; //@line 1354 "./vm/Stack.h"
  HEAP32[(($11)>>2)]=$12; //@line 1354 "./vm/Stack.h"
  var $13=(($6+12)|0); //@line 1354 "./vm/Stack.h"
  var $14=$5; //@line 1354 "./vm/Stack.h"
  HEAP32[(($13)>>2)]=$14; //@line 1354 "./vm/Stack.h"
  ;
  return; //@line 1354 "./vm/Stack.h"
}


function __ZNK8JSObject6isCallEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1550 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1550 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js9CallClassE)|0); //@line 1550 "./jsobj.h"
  ;
  return $5; //@line 1550 "./jsobj.h"
}


function __ZNK8JSString12isExtensibleEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 355 "./vm/String.h"
  var $4=(($3)|0); //@line 355 "./vm/String.h"
  var $5=HEAP32[(($4)>>2)]; //@line 355 "./vm/String.h"
  var $6=$5 & 15; //@line 355 "./vm/String.h"
  var $7=(($6)|0)==12; //@line 355 "./vm/String.h"
  ;
  return $7; //@line 355 "./vm/String.h"
}


function __ZNK17JSDependentString4baseEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 468 "./vm/String.h"
  var $4=(($3)|0); //@line 468 "./vm/String.h"
  var $5=(($4+8)|0); //@line 468 "./vm/String.h"
  var $6=$5; //@line 468 "./vm/String.h"
  var $7=(($6)|0); //@line 468 "./vm/String.h"
  var $8=$7; //@line 468 "./vm/String.h"
  var $9=HEAP32[(($8)>>2)]; //@line 468 "./vm/String.h"
  ;
  return $9; //@line 468 "./vm/String.h"
}


function __ZNK8JSString6isRopeEv($this) {
  ;
  var __label__;

  var $1;
  var $rope;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 307 "./vm/String.h"
  var $4=(($3)|0); //@line 307 "./vm/String.h"
  var $5=HEAP32[(($4)>>2)]; //@line 307 "./vm/String.h"
  var $6=$5 & 1; //@line 307 "./vm/String.h"
  var $7=(($6)|0)!=0; //@line 307 "./vm/String.h"
  var $8=(($7)&1); //@line 307 "./vm/String.h"
  $rope=$8; //@line 307 "./vm/String.h"
  var $9=$rope; //@line 309 "./vm/String.h"
  var $10=(($9) & 1); //@line 309 "./vm/String.h"
  ;
  return $10; //@line 309 "./vm/String.h"
}


function __ZNK18JSExtensibleString8capacityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 517 "./vm/String.h"
  var $4=(($3)|0); //@line 517 "./vm/String.h"
  var $5=(($4+8)|0); //@line 517 "./vm/String.h"
  var $6=$5; //@line 517 "./vm/String.h"
  var $7=(($6)|0); //@line 517 "./vm/String.h"
  var $8=$7; //@line 517 "./vm/String.h"
  var $9=HEAP32[(($8)>>2)]; //@line 517 "./vm/String.h"
  ;
  return $9; //@line 517 "./vm/String.h"
}


function __ZNK2js9StackItereqERKS0_($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+8;
      $1=$this;
      $2=$rhs;
      var $5=$1;
      var $6=__ZNK2js9StackIter4doneEv($5); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=(($6)&1); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=$2; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=__ZNK2js9StackIter4doneEv($8); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($9)&1); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=(($7)|0)==(($10)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($11) { __label__ = 2; break; } else { var $46 = 0;__label__ = 12; break; } //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $13=__ZNK2js9StackIter4doneEv($5); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($13) { var $44 = 1;__label__ = 11; break; } else { __label__ = 3; break; } //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $15=__ZNK2js9StackIter8isScriptEv($5); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=(($15)&1); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=$2; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $18=__ZNK2js9StackIter8isScriptEv($17); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $19=(($18)&1); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=(($16)|0)==(($19)|0); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($20) { __label__ = 4; break; } else { var $42 = 0;__label__ = 10; break; } //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $22=__ZNK2js9StackIter8isScriptEv($5); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      var $24=__ZNK2js9StackIter2fpEv($5); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=$2; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26=__ZNK2js9StackIter2fpEv($25); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=(($24)|0)==(($26)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($27) { var $40 = 1;__label__ = 9; break; } else { __label__ = 6; break; } //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $29=__ZNK2js9StackIter8isScriptEv($5); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($29) { var $38 = 0;__label__ = 8; break; } else { __label__ = 7; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      __ZNK2js9StackIter10nativeArgsEv($3, $5); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $31=$3; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $32=__ZNK2js12CallReceiver4baseEv($31); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __ZNK2js9StackIter10nativeArgsEv($4, $33); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=__ZNK2js12CallReceiver4baseEv($34); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $36=(($32)|0)==(($35)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $38 = $36;__label__ = 8; break;
    case 8: 
      var $38;
      var $40 = $38;__label__ = 9; break;
    case 9: 
      var $40;
      var $42 = $40;__label__ = 10; break;
    case 10: 
      var $42;
      var $44 = $42;__label__ = 11; break;
    case 11: 
      var $44;
      var $46 = $44;__label__ = 12; break;
    case 12: 
      var $46;
      STACKTOP = __stackBase__;
      return $46; //@line 1157 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js9StackItereqERKS0_["X"]=1;

function __ZNK2js9StackIter10nativeArgsEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 1859 "./vm/Stack.h"
  var $4=$agg_result; //@line 1859 "./vm/Stack.h"
  var $5=$3; //@line 1859 "./vm/Stack.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 1859 "./vm/Stack.h"
  ;
  return; //@line 1859 "./vm/Stack.h"
}


function __ZN2js13AllFramesIterC2ERNS_10StackSpaceE($this, $space) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$space;
      var $3=$1;
      var $4=(($3)|0); //@line 1164 "./vm/Stack.h"
      var $5=$2; //@line 1164 "./vm/Stack.h"
      var $6=(($5)|0); //@line 1164 "./vm/Stack.h"
      var $7=HEAP32[(($6)>>2)]; //@line 1164 "./vm/Stack.h"
      HEAP32[(($4)>>2)]=$7; //@line 1164 "./vm/Stack.h"
      var $8=(($3+4)|0); //@line 1164 "./vm/Stack.h"
      var $9=(($3)|0); //@line 1164 "./vm/Stack.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1164 "./vm/Stack.h"
      var $11=(($10)|0)!=0; //@line 1164 "./vm/Stack.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1164 "./vm/Stack.h"
    case 2: 
      var $13=(($3)|0); //@line 1163 "./vm/Stack.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1163 "./vm/Stack.h"
      var $15=__ZNK2js12StackSegment7maybefpEv($14); //@line 1163 "./vm/Stack.h"
      var $18 = $15;__label__ = 4; break; //@line 1163 "./vm/Stack.h"
    case 3: 
      var $18 = 0;__label__ = 4; break; //@line 1163 "./vm/Stack.h"
    case 4: 
      var $18; //@line 1163 "./vm/Stack.h"
      HEAP32[(($8)>>2)]=$18; //@line 1163 "./vm/Stack.h"
      ;
      return; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13AllFramesIterppEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+4)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $6=__ZNK2js10StackFrame4prevEv($5); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $7=(($3+4)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($7)>>2)]=$6; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $8=(($3)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $10=(($3+4)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $12=__ZNK2js12StackSegment8containsEPKNS_10StackFrameE($9, $11); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($12) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 2: 
      var $14=(($3)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $16=__ZNK2js12StackSegment12prevInMemoryEv($15); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $17=(($3)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 3: 
      var $19=(($3)|0); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $21=(($20)|0)!=0; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 4: 
      var $23=(($3)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $25=__ZNK2js12StackSegment7maybefpEv($24); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $26=(($3+4)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($26)>>2)]=$25; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $27=(($3+4)|0); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $29=(($28)|0)!=0; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 5: 
      $1=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 9; break; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 6: 
      var $32=(($3)|0); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $34=__ZNK2js12StackSegment12prevInMemoryEv($33); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      var $35=(($3)|0); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      HEAP32[(($35)>>2)]=$34; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 3; break; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 7: 
      __label__ = 8; break; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 8: 
      $1=$3; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      __label__ = 9; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    case 9: 
      var $39=$1; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
      ;
      return $39; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/Stack.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction($v, $fun) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $funobj=__stackBase__;
  $1=$v;
  $2=$fun;
  var $3=$1; //@line 292 "./jsfun.h"
  var $4=$2; //@line 292 "./jsfun.h"
  var $5=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction($3, $funobj, $4); //@line 292 "./jsfun.h"
  STACKTOP = __stackBase__;
  return $5; //@line 292 "./jsfun.h"
}


function __ZNK10JSFunction8isNativeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK10JSFunction13isInterpretedEv($2); //@line 131 "./jsfun.h"
  var $4=$3 ^ 1; //@line 131 "./jsfun.h"
  ;
  return $4; //@line 131 "./jsfun.h"
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction($v, $funobj, $fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $b;
      $1=$v;
      $2=$funobj;
      $3=$fun;
      var $4=$1; //@line 282 "./jsfun.h"
      var $5=$2; //@line 282 "./jsfun.h"
      var $6=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject($4, $5); //@line 282 "./jsfun.h"
      var $7=(($6)&1); //@line 282 "./jsfun.h"
      $b=$7; //@line 282 "./jsfun.h"
      var $8=$b; //@line 283 "./jsfun.h"
      var $9=(($8) & 1); //@line 283 "./jsfun.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 283 "./jsfun.h"
    case 2: 
      var $11=$2; //@line 284 "./jsfun.h"
      var $12=HEAP32[(($11)>>2)]; //@line 284 "./jsfun.h"
      var $13=__ZNK8JSObject18getFunctionPrivateEv($12); //@line 284 "./jsfun.h"
      var $14=$3; //@line 284 "./jsfun.h"
      HEAP32[(($14)>>2)]=$13; //@line 284 "./jsfun.h"
      __label__ = 3; break; //@line 284 "./jsfun.h"
    case 3: 
      var $16=$b; //@line 285 "./jsfun.h"
      var $17=(($16) & 1); //@line 285 "./jsfun.h"
      ;
      return $17; //@line 285 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject($v, $funobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$v;
      $2=$funobj;
      var $3=$1; //@line 276 "./jsfun.h"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 276 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 276 "./jsfun.h"
    case 2: 
      var $6=$1; //@line 276 "./jsfun.h"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 276 "./jsfun.h"
      var $8=$2; //@line 276 "./jsfun.h"
      HEAP32[(($8)>>2)]=$7; //@line 276 "./jsfun.h"
      var $9=__ZNK8JSObject10isFunctionEv($7); //@line 276 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 277 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame20maintainNestingStateEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($2); //@line 373 "./vm/Stack-inl.h"
      if ($3) { __label__ = 2; break; } else { var $11 = 0;__label__ = 4; break; } //@line 373 "./vm/Stack-inl.h"
    case 2: 
      var $5=__ZNK2js10StackFrame16isGeneratorFrameEv($2); //@line 373 "./vm/Stack-inl.h"
      if ($5) { var $11 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 373 "./vm/Stack-inl.h"
    case 3: 
      var $7=__ZNK2js10StackFrame6scriptEv($2); //@line 373 "./vm/Stack-inl.h"
      var $8=__ZNK8JSScript7nestingEv($7); //@line 373 "./vm/Stack-inl.h"
      var $9=(($8)|0)!=0; //@line 373 "./vm/Stack-inl.h"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      ;
      return $11; //@line 374 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_($beg, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      $1=$beg;
      $2=$end;
      var $3=$1; //@line 403 "./jsinterp.h"
      $v=$3; //@line 403 "./jsinterp.h"
      __label__ = 2; break; //@line 403 "./jsinterp.h"
    case 2: 
      var $5=$v; //@line 403 "./jsinterp.h"
      var $6=$2; //@line 403 "./jsinterp.h"
      var $7=(($5)|0)!=(($6)|0); //@line 403 "./jsinterp.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 403 "./jsinterp.h"
    case 3: 
      var $9=$v; //@line 404 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($9); //@line 404 "./jsinterp.h"
      __label__ = 4; break; //@line 404 "./jsinterp.h"
    case 4: 
      var $11=$v; //@line 403 "./jsinterp.h"
      var $12=(($11+8)|0); //@line 403 "./jsinterp.h"
      $v=$12; //@line 403 "./jsinterp.h"
      __label__ = 2; break; //@line 403 "./jsinterp.h"
    case 5: 
      ;
      return; //@line 405 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK9JSContext9maybeRegsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 989 "./jscntxt.h"
  var $4=__ZNK2js12ContextStack9maybeRegsEv($3); //@line 989 "./jscntxt.h"
  ;
  return $4; //@line 989 "./jscntxt.h"
}


function __ZNK2js12ContextStack9maybeRegsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1639 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1639 "./vm/Stack.h"
      var $5=(($4)|0)!=0; //@line 1639 "./vm/Stack.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1639 "./vm/Stack.h"
    case 2: 
      var $7=(($2)|0); //@line 1639 "./vm/Stack.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1639 "./vm/Stack.h"
      var $9=__ZNK2js12StackSegment9maybeRegsEv($8); //@line 1639 "./vm/Stack.h"
      var $12 = $9;__label__ = 4; break; //@line 1639 "./vm/Stack.h"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 1639 "./vm/Stack.h"
    case 4: 
      var $12; //@line 1639 "./vm/Stack.h"
      ;
      return $12; //@line 1639 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSString7isShortEv($this) {
  ;
  var __label__;

  var $1;
  var $is_short;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $4=__ZNK2js2gc4Cell12getAllocKindEv($3); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $5=(($4)|0)==17; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $6=(($5)&1); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  $is_short=$6; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $7=$is_short; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $8=(($7) & 1); //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  ;
  return $8; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
}


function __ZNK2js2gc4Cell12getAllocKindEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc4Cell11arenaHeaderEv($2); //@line 694 "./jsgc.h"
  var $4=__ZNK2js2gc11ArenaHeader12getAllocKindEv($3); //@line 694 "./jsgc.h"
  ;
  return $4; //@line 694 "./jsgc.h"
}


function __ZNK8JSString7isFixedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSString6isFlatEv($2); //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($3) { __label__ = 2; break; } else { var $8 = 0;__label__ = 3; break; } //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      var $5=__ZNK8JSString12isExtensibleEv($2); //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $6=$5 ^ 1; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8 = $6;__label__ = 3; break;
    case 3: 
      var $8;
      ;
      return $8; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSString8isInlineEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSString7isFixedEv($2); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($3) { __label__ = 2; break; } else { var $19 = 0;__label__ = 5; break; } //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      var $5=(($2)|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $6=(($5+4)|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $7=$6; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $9=(($2)|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $10=(($9+8)|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $11=$10; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $12=(($11)|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $13=(($8)|0)==(($12)|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($13) { var $17 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $15=__ZNK8JSString7isShortEv($2); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $17 = $15;__label__ = 4; break; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      var $17;
      var $19 = $17;__label__ = 5; break;
    case 5: 
      var $19;
      ;
      return $19; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSString10isExternalEv($this) {
  ;
  var __label__;

  var $1;
  var $is_external;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $4=__ZNK2js2gc4Cell12getAllocKindEv($3); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $5=(($4)|0)==19; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $6=(($5)&1); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  $is_external=$6; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $7=$is_external; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  var $8=(($7) & 1); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
  ;
  return $8; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
}


function __ZN14JSLinearString4markEP8JSTracer($this, $0) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $str;
      $2=$this;
      $3=$0;
      var $4=$2;
      $str=$4; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 2; break; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      var $6=$str; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $7=$6; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=__ZNK2js2gc4Cell14markIfUnmarkedEj($7, 0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($8) { __label__ = 3; break; } else { var $14 = 0;__label__ = 4; break; } //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $10=$str; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $11=$10; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $12=__ZNK8JSString11isDependentEv($11); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $14 = $12;__label__ = 4; break;
    case 4: 
      var $14;
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $16=$str; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $17=$16; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $18=__ZN8JSString11asDependentEv($17); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $19=__ZNK17JSDependentString4baseEv($18); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $str=$19; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 2; break; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 6: 
      ;
      return; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js2gc4Cell14markIfUnmarkedEj($this, $color) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$color;
  var $3=$1;
  var $4=$3; //@line 794 "./jsgc.h"
  var $5=$2; //@line 794 "./jsgc.h"
  __ZN2js2gcL16AssertValidColorEPKvj($4, $5); //@line 794 "./jsgc.h"
  var $6=__ZNK2js2gc4Cell5chunkEv($3); //@line 795 "./jsgc.h"
  var $7=(($6+1032192)|0); //@line 795 "./jsgc.h"
  var $8=$2; //@line 795 "./jsgc.h"
  var $9=__ZN2js2gc11ChunkBitmap14markIfUnmarkedEPKNS0_4CellEj($7, $3, $8); //@line 795 "./jsgc.h"
  ;
  return $9; //@line 795 "./jsgc.h"
}


function __ZN8JSString13charsHeapSizeEPFjPvE($this, $usf) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $extensible;
      var $usable;
      var $fixed;
      var $usable1;
      $2=$this;
      $3=$usf;
      var $4=$2;
      var $5=__ZNK8JSString6isRopeEv($4); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      $1=0; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 18; break; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $8=__ZNK8JSString11isDependentEv($4); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($8) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      $1=0; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 18; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 5: 
      var $11=__ZNK8JSString12isExtensibleEv($4); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($11) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 6: 
      var $13=__ZNK8JSString12asExtensibleEv($4); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $extensible=$13; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $14=$3; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $15=$extensible; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $16=$15; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $17=__ZNK14JSLinearString5charsEv($16); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $18=$17; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $19=FUNCTION_TABLE[$14]($18); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $usable=$19; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $20=$usable; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $21=(($20)|0)!=0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 7: 
      var $23=$usable; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29 = $23;__label__ = 9; break; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 8: 
      var $25=__ZNK8JSString12asExtensibleEv($4); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $26=__ZNK18JSExtensibleString8capacityEv($25); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $27=((($26<<1))|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29 = $27;__label__ = 9; break; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 9: 
      var $29; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$29; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 18; break; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 10: 
      var $31=__ZNK8JSString10isExternalEv($4); //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($31) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 11: 
      $1=0; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 18; break; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 12: 
      var $34=__ZNK8JSString8isInlineEv($4); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($34) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 13: 
      $1=0; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 18; break; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 14: 
      var $37=__ZN8JSString7asFixedEv($4); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $fixed=$37; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $38=$3; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $39=$fixed; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $40=$39; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $41=__ZNK14JSLinearString5charsEv($40); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $42=$41; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $43=FUNCTION_TABLE[$38]($42); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $usable1=$43; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $44=$usable1; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $45=(($44)|0)!=0; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($45) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 15: 
      var $47=$usable1; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $52 = $47;__label__ = 17; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 16: 
      var $49=__ZNK8JSString6lengthEv($4); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $50=((($49<<1))|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $52 = $50;__label__ = 17; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 17: 
      var $52; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$52; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 18; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 18: 
      var $54=$1; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      ;
      return $54; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSString13charsHeapSizeEPFjPvE["X"]=1;

function __ZL11JS_ON_TRACEPK9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN8JSString19buildLengthAndFlagsEjj($this, $length, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$length;
  $3=$flags;
  var $4=$1;
  var $5=$2; //@line 261 "./vm/String.h"
  var $6=$5 << 4; //@line 261 "./vm/String.h"
  var $7=$3; //@line 261 "./vm/String.h"
  var $8=$6 | $7; //@line 261 "./vm/String.h"
  ;
  return $8; //@line 261 "./vm/String.h"
}


function __ZN13JSShortString10lengthFitsEj($length) {
  ;
  var __label__;

  var $1;
  $1=$length;
  var $2=$1; //@line 587 "./vm/String.h"
  var $3=(($2)>>>0) <= 11; //@line 587 "./vm/String.h"
  ;
  return $3; //@line 587 "./vm/String.h"
}


function __ZNK6JSRope9leftChildEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 428 "./vm/String.h"
  var $4=(($3)|0); //@line 428 "./vm/String.h"
  var $5=(($4+4)|0); //@line 428 "./vm/String.h"
  var $6=$5; //@line 428 "./vm/String.h"
  var $7=HEAP32[(($6)>>2)]; //@line 428 "./vm/String.h"
  ;
  return $7; //@line 428 "./vm/String.h"
}


function __ZN6JSRope7flattenEP9JSContext($this, $maybecx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $wholeLength;
      var $wholeCapacity=__stackBase__;
      var $wholeChars=__stackBase__+4;
      var $str;
      var $pos;
      var $left;
      var $capacity;
      var $bits;
      var $left1;
      var $len;
      var $right;
      var $len2;
      var $progress;
      $2=$this;
      $3=$maybecx;
      var $4=$2;
      var $5=$4; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $6=__ZNK8JSString6lengthEv($5); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $wholeLength=$6; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $7=$4; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $str=$7; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=__ZNK6JSRope9leftChildEv($4); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $9=__ZNK8JSString12isExtensibleEv($8); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      var $11=__ZNK6JSRope9leftChildEv($4); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $12=__ZNK8JSString12asExtensibleEv($11); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $left=$12; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $13=$left; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $14=__ZNK18JSExtensibleString8capacityEv($13); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $capacity=$14; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $15=$capacity; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $16=$wholeLength; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $17=(($15)>>>0) >= (($16)>>>0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $19=$capacity; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($wholeCapacity)>>2)]=$19; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $20=$left; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $21=$20; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $22=__ZNK14JSLinearString5charsEv($21); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($wholeChars)>>2)]=$22; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $23=$left; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $24=$23; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $25=(($24)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $26=(($25)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $bits=$27; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $28=HEAP32[(($wholeChars)>>2)]; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29=$bits; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $30=$29 >>> 4; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $31=(($28+($30<<1))|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $pos=$31; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $32=$bits; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $33=$32 ^ 14; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $34=$left; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $35=$34; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $36=(($35)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $37=(($36)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($37)>>2)]=$33; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $38=$4; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $39=$left; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $40=$39; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $41=(($40)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $42=(($41+8)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $43=$42; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $44=(($43)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $45=$44; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($45)>>2)]=$38; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 11; break; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      __label__ = 5; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 5: 
      var $48=$3; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $49=$wholeLength; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $50=__ZL10AllocCharsP9JSContextjPPtPj($48, $49, $wholeChars, $wholeCapacity); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($50) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 6: 
      $1=0; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 19; break; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 7: 
      var $53=HEAP32[(($wholeChars)>>2)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $pos=$53; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 8; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 8: 
      var $55=$str; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $56=(($55)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $57=(($56+4)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $58=$57; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $left1=$59; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $60=$pos; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $61=$str; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $62=(($61)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $63=(($62+4)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $64=$63; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($64)>>2)]=$60; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $65=$left1; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $66=__ZNK8JSString6isRopeEv($65); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($66) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 9: 
      var $68=$str; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $69=$left1; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $70=(($69)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $71=(($70+8)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $72=$71; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $73=(($72+4)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $74=$73; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($74)>>2)]=$68; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $75=$left1; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $76=(($75)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $77=(($76)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($77)>>2)]=512; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $78=$left1; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $str=$78; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 8; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 10: 
      var $80=$left1; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $81=__ZNK8JSString6lengthEv($80); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $len=$81; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $82=$pos; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $83=$left1; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $84=(($83)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $85=(($84+4)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $86=$85; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $88=$len; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2jsL7PodCopyItEEvPT_PKS1_j($82, $87, $88); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $89=$len; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $90=$pos; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $91=(($90+($89<<1))|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $pos=$91; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 11; break; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 11: 
      var $93=$str; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $94=(($93)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $95=(($94+8)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $96=$95; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $97=(($96)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $98=$97; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $right=$99; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $100=$right; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $101=__ZNK8JSString6isRopeEv($100); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($101) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 12: 
      var $103=$str; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $104=$right; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $105=(($104)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $106=(($105+8)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $107=$106; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $108=(($107+4)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $109=$108; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($109)>>2)]=$103; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $110=$right; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $111=(($110)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $112=(($111)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($112)>>2)]=768; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $113=$right; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $str=$113; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 8; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 13: 
      var $115=$right; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $116=__ZNK8JSString6lengthEv($115); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $len2=$116; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $117=$pos; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $118=$right; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $119=(($118)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $120=(($119+4)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $121=$120; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $123=$len2; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2jsL7PodCopyItEEvPT_PKS1_j($117, $122, $123); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $124=$len2; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $125=$pos; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $126=(($125+($124<<1))|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $pos=$126; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 14; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 14: 
      var $128=$str; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $129=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $130=(($128)|0)==(($129)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($130) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 15: 
      var $132=$pos; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($132)>>1)]=0; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $133=$4; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $134=$wholeLength; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $135=__ZN8JSString19buildLengthAndFlagsEjj($133, $134, 12); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $136=$str; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $137=(($136)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $138=(($137)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($138)>>2)]=$135; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $139=HEAP32[(($wholeChars)>>2)]; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $140=$str; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $141=(($140)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $142=(($141+4)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $143=$142; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($143)>>2)]=$139; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $144=HEAP32[(($wholeCapacity)>>2)]; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $145=$str; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $146=(($145)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $147=(($146+8)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $148=$147; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $149=(($148)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $150=$149; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($150)>>2)]=$144; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $151=$4; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $152=__ZN8JSString6asFlatEv($151); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$152; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 19; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 16: 
      var $154=$str; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $155=(($154)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $156=(($155)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $157=HEAP32[(($156)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $progress=$157; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $158=$4; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $159=$pos; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $160=$str; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $161=(($160)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $162=(($161+4)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $163=$162; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $165=$159; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $166=$164; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $167=(($165-$166)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $168=(((($167)|0)/2)&-1); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $169=__ZN8JSString19buildLengthAndFlagsEjj($158, $168, 2); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $170=$str; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $171=(($170)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $172=(($171)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($172)>>2)]=$169; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $173=$4; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $174=$str; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $175=(($174)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $176=(($175+8)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $177=$176; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $178=(($177)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $179=$178; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($179)>>2)]=$173; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $180=$str; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $181=(($180)|0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $182=(($181+8)|0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $183=$182; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $184=(($183+4)|0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $185=$184; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $str=$186; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $187=$progress; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $188=(($187)|0)==512; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($188) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 17: 
      __label__ = 11; break; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 18: 
      __label__ = 14; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 19: 
      var $192=$1; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      STACKTOP = __stackBase__;
      return $192; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN6JSRope7flattenEP9JSContext["X"]=1;

function __ZL10AllocCharsP9JSContextjPPtPj($maybecx, $length, $chars, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $numChars;
      var $bytes;
      $1=$maybecx;
      $2=$length;
      $3=$chars;
      $4=$capacity;
      var $5=$2; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $6=(($5+1)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $numChars=$6; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $7=$numChars; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=(($7)>>>0) > 1048576; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      var $10=$numChars; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $11=$numChars; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $12=Math.floor((($11)>>>0)/8); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $13=(($10+$12)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $18 = $13;__label__ = 4; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $15=$numChars; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $16=__ZN2js11RoundUpPow2Ej($15); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $18 = $16;__label__ = 4; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      var $18; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $numChars=$18; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $19=$numChars; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $20=(($19-1)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $21=$4; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($21)>>2)]=$20; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $22=$numChars; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $23=((($22<<1))|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $bytes=$23; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $24=$1; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $25=(($24)|0)!=0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 5: 
      var $27=$1; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $28=$bytes; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29=__ZN9JSContext7malloc_Ej($27, $28); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $34 = $29;__label__ = 7; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 6: 
      var $31=$bytes; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $32=__ZN2js11OffTheBooks7malloc_Ej($31); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $34 = $32;__label__ = 7; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 7: 
      var $34; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $35=$34; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $36=$3; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $37=$3; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $39=(($38)|0)!=0; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      ;
      return $39; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10AllocCharsP9JSContextjPPtPj["X"]=1;

function __ZN2jsL7PodCopyItEEvPT_PKS1_j($dst, $src, $nelem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $srcend;
      $1=$dst;
      $2=$src;
      $3=$nelem;
      var $4=$3; //@line 695 "./jsutil.h"
      var $5=(($4)>>>0) < 128; //@line 695 "./jsutil.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 695 "./jsutil.h"
    case 2: 
      var $7=$2; //@line 696 "./jsutil.h"
      var $8=$3; //@line 696 "./jsutil.h"
      var $9=(($7+($8<<1))|0); //@line 696 "./jsutil.h"
      $srcend=$9; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 3: 
      var $11=$2; //@line 696 "./jsutil.h"
      var $12=$srcend; //@line 696 "./jsutil.h"
      var $13=(($11)|0)!=(($12)|0); //@line 696 "./jsutil.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 696 "./jsutil.h"
    case 4: 
      var $15=$2; //@line 697 "./jsutil.h"
      var $16=HEAP16[(($15)>>1)]; //@line 697 "./jsutil.h"
      var $17=$1; //@line 697 "./jsutil.h"
      HEAP16[(($17)>>1)]=$16; //@line 697 "./jsutil.h"
      __label__ = 5; break; //@line 697 "./jsutil.h"
    case 5: 
      var $19=$2; //@line 696 "./jsutil.h"
      var $20=(($19+2)|0); //@line 696 "./jsutil.h"
      $2=$20; //@line 696 "./jsutil.h"
      var $21=$1; //@line 696 "./jsutil.h"
      var $22=(($21+2)|0); //@line 696 "./jsutil.h"
      $1=$22; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 6: 
      __label__ = 8; break; //@line 698 "./jsutil.h"
    case 7: 
      var $25=$1; //@line 699 "./jsutil.h"
      var $26=$25; //@line 699 "./jsutil.h"
      var $27=$2; //@line 699 "./jsutil.h"
      var $28=$27; //@line 699 "./jsutil.h"
      var $29=$3; //@line 699 "./jsutil.h"
      var $30=((($29<<1))|0); //@line 699 "./jsutil.h"
      assert($30 % 1 === 0, 'memcpy given ' + $30 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($26, $28, $30, 1); //@line 699 "./jsutil.h"
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 701 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_ConcatStringsP9JSContextP8JSStringS2_($cx, $left, $right) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $leftLen;
      var $rightLen;
      var $wholeLength;
      var $str;
      var $leftChars;
      var $rightChars;
      var $buf;
      $2=$cx;
      $3=$left;
      $4=$right;
      var $5=$3; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $6=__ZNK8JSString6lengthEv($5); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $leftLen=$6; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $7=$leftLen; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=(($7)|0)==0; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      var $10=$4; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$10; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $12=$4; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $13=__ZNK8JSString6lengthEv($12); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $rightLen=$13; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $14=$rightLen; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $15=(($14)|0)==0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      var $17=$3; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$17; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 5: 
      var $19=$leftLen; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $20=$rightLen; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $21=(($19+$20)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $wholeLength=$21; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $22=$wholeLength; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $23=__ZN13JSShortString10lengthFitsEj($22); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 13; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 6: 
      var $25=$2; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $26=__Z19js_NewGCShortStringP9JSContext($25); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $str=$26; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $27=$str; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $28=(($27)|0)!=0; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 7: 
      $1=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 8: 
      var $31=$3; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $32=$2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $33=__ZN8JSString8getCharsEP9JSContext($31, $32); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $leftChars=$33; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $34=$leftChars; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $35=(($34)|0)!=0; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 9: 
      $1=0; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 10: 
      var $38=$4; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $39=$2; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $40=__ZN8JSString8getCharsEP9JSContext($38, $39); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $rightChars=$40; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $41=$rightChars; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $42=(($41)|0)!=0; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 11: 
      $1=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 12: 
      var $45=$str; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $46=$45; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $47=$wholeLength; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $48=__ZN14JSInlineString4initEj($46, $47); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $buf=$48; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $49=$buf; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $50=$leftChars; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $51=$leftLen; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2jsL7PodCopyItEEvPT_PKS1_j($49, $50, $51); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $52=$buf; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $53=$leftLen; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $54=(($52+($53<<1))|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $55=$rightChars; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $56=$rightLen; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2jsL7PodCopyItEEvPT_PKS1_j($54, $55, $56); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $57=$wholeLength; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $58=$buf; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $59=(($58+($57<<1))|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($59)>>1)]=0; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $60=$str; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $61=$60; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$61; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 13: 
      var $63=$wholeLength; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $64=(($63)>>>0) > 268435455; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($64) { __label__ = 14; break; } else { __label__ = 19; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 14: 
      var $66=$2; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $67=__ZL11JS_ON_TRACEPK9JSContext($66); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 15: 
      var $69=$2; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $70=__ZN2js13CanLeaveTraceEP9JSContext($69); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($70) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 16: 
      $1=0; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 17: 
      var $73=$2; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2js10LeaveTraceEP9JSContext($73); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 18; break; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 18: 
      var $75=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($75); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 19: 
      var $77=$2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $78=$3; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $79=$4; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $80=$wholeLength; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $81=__ZN6JSRope4new_EP9JSContextP8JSStringS3_j($77, $78, $79, $80); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $82=$81; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$82; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 20: 
      var $84=$1; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      ;
      return $84; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_ConcatStringsP9JSContextP8JSStringS2_["X"]=1;

function __Z19js_NewGCShortStringP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 377 "./jsgcinlines.h"
  var $3=__Z10NewGCThingI13JSShortStringEPT_P9JSContextN2js2gc9AllocKindEj($2, 17, 32); //@line 377 "./jsgcinlines.h"
  ;
  return $3; //@line 377 "./jsgcinlines.h"
}


function __ZN8JSString8getCharsEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $str;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 759 "./vm/String.h"
      var $6=__ZN8JSString12ensureLinearEP9JSContext($4, $5); //@line 759 "./vm/String.h"
      $str=$6; //@line 759 "./vm/String.h"
      var $7=$str; //@line 759 "./vm/String.h"
      var $8=(($7)|0)!=0; //@line 759 "./vm/String.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 759 "./vm/String.h"
    case 2: 
      var $10=$str; //@line 760 "./vm/String.h"
      var $11=__ZNK14JSLinearString5charsEv($10); //@line 760 "./vm/String.h"
      $1=$11; //@line 760 "./vm/String.h"
      __label__ = 4; break; //@line 760 "./vm/String.h"
    case 3: 
      $1=0; //@line 761 "./vm/String.h"
      __label__ = 4; break; //@line 761 "./vm/String.h"
    case 4: 
      var $14=$1; //@line 762 "./vm/String.h"
      ;
      return $14; //@line 762 "./vm/String.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN14JSInlineString4initEj($this, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$length;
  var $3=$1;
  var $4=$3; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $5=$2; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $6=__ZN8JSString19buildLengthAndFlagsEjj($4, $5, 4); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $7=$3; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $8=(($7)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $9=(($8)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  HEAP32[(($9)>>2)]=$6; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $10=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $11=(($10)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $12=(($11+8)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $13=$12; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $14=(($13)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $15=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $16=(($15)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $17=(($16+4)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $18=$17; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  HEAP32[(($18)>>2)]=$14; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $19=$3; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $20=(($19)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $21=(($20+8)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $22=$21; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $23=(($22)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  ;
  return $23; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
}


function __ZN6JSRope4new_EP9JSContextP8JSStringS3_j($cx, $left, $right, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $str;
      $2=$cx;
      $3=$left;
      $4=$right;
      $5=$length;
      var $6=$2; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $7=__Z14js_NewGCStringP9JSContext($6); //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $8=$7; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      $str=$8; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $9=$str; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $10=(($9)|0)!=0; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
    case 2: 
      $1=0; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      __label__ = 4; break; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
    case 3: 
      var $13=$str; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $14=$3; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $15=$4; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $16=$5; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      __ZN6JSRope4initEP8JSStringS1_j($13, $14, $15, $16); //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $17=$str; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      $1=$17; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      __label__ = 4; break; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
    case 4: 
      var $19=$1; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      ;
      return $19; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN17JSDependentString8undependEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      var $size;
      var $s;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$4; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $6=__ZNK8JSString6lengthEv($5); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $n=$6; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $7=$n; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=(($7+1)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $9=((($8<<1))|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $size=$9; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $10=$3; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $11=$size; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $12=__ZN9JSContext7malloc_Ej($10, $11); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $13=$12; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $s=$13; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $14=$s; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $15=(($14)|0)!=0; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      $1=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 4; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $18=$s; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $19=$4; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $20=__ZNK14JSLinearString5charsEv($19); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $21=$n; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2jsL7PodCopyItEEvPT_PKS1_j($18, $20, $21); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $22=$n; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $23=$s; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $24=(($23+($22<<1))|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($24)>>1)]=0; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $25=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $26=$n; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $27=__ZN8JSString19buildLengthAndFlagsEjj($25, $26, 4); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $28=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29=(($28)|0); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $30=(($29)|0); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($30)>>2)]=$27; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $31=$s; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $32=$4; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $33=(($32)|0); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $34=(($33+4)|0); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $35=$34; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($35)>>2)]=$31; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $36=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $37=__ZN8JSString7asFixedEv($36); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$37; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 4; break; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      var $39=$1; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      ;
      return $39; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN17JSDependentString8undependEP9JSContext["X"]=1;

function __ZNK12JSFlatString7isIndexEPj($this, $indexp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $s;
      var $ch;
      var $n;
      var $cp=__stackBase__;
      var $end=__stackBase__+4;
      var $index;
      var $4=__stackBase__+8;
      var $oldIndex;
      var $c;
      var $5=__stackBase__+12;
      $2=$this;
      $3=$indexp;
      var $6=$2;
      var $7=__ZNK12JSFlatString6charsZEv($6); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $s=$7; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=$s; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $9=HEAP16[(($8)>>1)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $ch=$9; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $10=$ch; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $11=(($10)&65535); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $12=(($11-48)|0); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $13=(($12)>>>0) <= 9; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      $1=0; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 17; break; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $16=$6; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $17=__ZNK8JSString6lengthEv($16); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $n=$17; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $18=$n; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $19=(($18)>>>0) > 10; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      $1=0; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 17; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 5: 
      var $22=$s; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $23=$n; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $24=(($23+1)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN7mozilla9RangedPtrIKtEC1EPS1_j($cp, $22, $24); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $25=$s; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $26=$n; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $27=(($25+($26<<1))|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $28=$s; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29=$n; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $30=(($29+1)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN7mozilla9RangedPtrIKtEC1EPS1_S3_j($end, $27, $28, $30); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $cp, 0); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $31=__ZNK7mozilla9RangedPtrIKtEdeEv($4); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $32=HEAPU16[(($31)>>1)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $33=(($32)&65535); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $34=(($33-48)|0); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $index=$34; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $oldIndex=0; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $c=0; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $35=$index; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $36=(($35)|0)!=0; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 6: 
      __label__ = 7; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 7: 
      var $39=__ZNK7mozilla9RangedPtrIKtEdeEv($cp); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $40=HEAPU16[(($39)>>1)]; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $41=(($40)&65535); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $42=(($41-48)|0); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $43=(($42)>>>0) <= 9; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 8: 
      var $45=$index; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $oldIndex=$45; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $46=__ZNK7mozilla9RangedPtrIKtEdeEv($cp); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $47=HEAPU16[(($46)>>1)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $48=(($47)&65535); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $49=(($48-48)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $c=$49; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $50=$index; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $51=(($50*10)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $52=$c; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $53=(($51+$52)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $index=$53; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($5, $cp, 0); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 7; break; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 9: 
      __label__ = 10; break; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 10: 
      var $56=__ZNK7mozilla9RangedPtrIKtEneIS1_EEbRKNS0_IT_EE($cp, $end); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 11: 
      $1=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 17; break; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 12: 
      var $59=$oldIndex; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $60=(($59)>>>0) < 429496729; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($60) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 13: 
      var $62=$oldIndex; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $63=(($62)|0)==429496729; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($63) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 14: 
      var $65=$c; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $66=(($65)>>>0) <= 5; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($66) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 15: 
      var $68=$index; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $69=$3; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($69)>>2)]=$68; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=1; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 17; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 16: 
      $1=0; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 17; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 17: 
      var $72=$1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      STACKTOP = __stackBase__;
      return $72; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK12JSFlatString7isIndexEPj["X"]=1;

function __ZNK12JSFlatString6charsZEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 486 "./vm/String.h"
  var $4=__ZNK14JSLinearString5charsEv($3); //@line 486 "./vm/String.h"
  ;
  return $4; //@line 486 "./vm/String.h"
}


function __ZN7mozilla9RangedPtrIKtEC1EPS1_j($this, $p, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$length;
  var $4=$1;
  var $5=$2; //@line 124 "./dist/include/mozilla/RangedPtr.h"
  var $6=$3; //@line 124 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIKtEC2EPS1_j($4, $5, $6); //@line 124 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 124 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIKtE11checkSanityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 82 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK8JSString6asAtomEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 393 "./vm/String.h"
  ;
  return $3; //@line 393 "./vm/String.h"
}


function __ZNK7mozilla9RangedPtrIKtEdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 226 "./dist/include/mozilla/RangedPtr.h"
  var $4=HEAP32[(($3)>>2)]; //@line 226 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $4; //@line 226 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2js13StaticStrings15fitsInSmallCharEt($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $3=(($2)&65535); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $4=(($3)>>>0) < 128; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      if ($4) { __label__ = 2; break; } else { var $13 = 0;__label__ = 3; break; } //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
    case 2: 
      var $6=$1; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $7=(($6)&65535); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $8=(((STRING_TABLE.__ZN2js13StaticStrings11toSmallCharE)+$7)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $9=HEAPU8[($8)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $10=(($9)&255); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $11=(($10)|0)!=255; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
      var $13 = $11;__label__ = 3; break;
    case 3: 
      var $13;
      ;
      return $13; //@line 200 "./vm/String.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=(($3)|0); //@line 231 "./dist/include/mozilla/RangedPtr.h"
  var $5=HEAP32[(($4)>>2)]; //@line 231 "./dist/include/mozilla/RangedPtr.h"
  var $6=$2; //@line 231 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($6)|0); //@line 231 "./dist/include/mozilla/RangedPtr.h"
  var $8=HEAP32[(($7)>>2)]; //@line 231 "./dist/include/mozilla/RangedPtr.h"
  var $9=(($5)|0)==(($8)|0); //@line 231 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $9; //@line 231 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2js19PreserveCompartmentD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 736 "./jscompartment.h"
  var $4=HEAP32[(($3)>>2)]; //@line 736 "./jscompartment.h"
  var $5=(($2)|0); //@line 736 "./jscompartment.h"
  var $6=HEAP32[(($5)>>2)]; //@line 736 "./jscompartment.h"
  var $7=(($6+56)|0); //@line 736 "./jscompartment.h"
  HEAP32[(($7)>>2)]=$4; //@line 736 "./jscompartment.h"
  var $8=(($2+8)|0); //@line 737 "./jscompartment.h"
  var $9=HEAP8[($8)]; //@line 737 "./jscompartment.h"
  var $10=(($9) & 1); //@line 737 "./jscompartment.h"
  var $11=(($2)|0); //@line 737 "./jscompartment.h"
  var $12=HEAP32[(($11)>>2)]; //@line 737 "./jscompartment.h"
  var $13=(($12+232)|0); //@line 737 "./jscompartment.h"
  var $14=(($10)&1); //@line 737 "./jscompartment.h"
  HEAP8[($13)]=$14; //@line 737 "./jscompartment.h"
  ;
  return; //@line 738 "./jscompartment.h"
}


function __ZN7mozilla9RangedPtrIKtEC1EPS1_S3_j($this, $p, $start, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$start;
  $4=$length;
  var $5=$1;
  var $6=$2; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  var $7=$3; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  var $8=$4; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIKtEC2EPS1_S3_j($5, $6, $7, $8); //@line 112 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 112 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIKtEppEi($agg_result, $this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$agg_result; //@line 195 "./dist/include/mozilla/RangedPtr.h"
  var $6=$4; //@line 195 "./dist/include/mozilla/RangedPtr.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 195 "./dist/include/mozilla/RangedPtr.h"
  var $7=__ZN7mozilla9RangedPtrIKtEppEv($4); //@line 196 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 197 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK7mozilla9RangedPtrIKtEneIS1_EEbRKNS0_IT_EE($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 235 "./dist/include/mozilla/RangedPtr.h"
  var $5=__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($3, $4); //@line 235 "./dist/include/mozilla/RangedPtr.h"
  var $6=$5 ^ 1; //@line 235 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $6; //@line 235 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2js13StaticStrings4initEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $sc=__stackBase__;
      var $i;
      var $buffer=__stackBase__+12;
      var $s;
      var $4;
      var $i1;
      var $buffer2=__stackBase__+16;
      var $s3;
      var $i4;
      var $index;
      var $buffer5=__stackBase__+24;
      var $s6;
      $2=$this;
      $3=$cx;
      var $5=$2;
      var $6=$3; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $7=$3; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=(($7+52)|0); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $10=(($9)|0); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2js19SwitchToCompartmentC1EP9JSContextP13JSCompartment($sc, $6, $11); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $i=0; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 2; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      var $13=$i; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $14=(($13)>>>0) < 256; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $16=(($buffer)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $17=$i; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $18=(($17) & 65535); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($16)>>1)]=$18; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $19=(($16+2)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($19)>>1)]=0; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $20=$3; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $21=(($buffer)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $22=__Z17js_NewStringCopyNP9JSContextPKtj($20, $21, 1); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $s=$22; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $23=$s; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $24=(($23)|0)!=0; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      $1=0; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $4=1;
      __label__ = 56; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 5: 
      var $27=$s; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $28=__ZN13JSFixedString27morphAtomizedStringIntoAtomEv($27); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29=$i; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $30=(($5+17412)|0); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $31=(($30+($29<<2))|0); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($31)>>2)]=$28; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 6; break; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 6: 
      var $33=$i; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $34=(($33+1)|0); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $i=$34; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 2; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 7: 
      $i1=0; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 8; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 8: 
      var $37=$i1; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $38=(($37)>>>0) < 4096; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 19; break; } //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 9: 
      var $40=(($buffer2)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $41=$i1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $42=$41 >>> 6; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $43=$i1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $44=$43 >>> 6; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $45=(($44)>>>0) < 10; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 10: 
      var $53 = 48;__label__ = 12; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 11: 
      var $48=$i1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $49=$48 >>> 6; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $50=(($49)>>>0) < 36; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $51=$50 ? 87 : 29; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $53 = $51;__label__ = 12; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 12: 
      var $53; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $54=(($42+$53)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $55=(($54) & 65535); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($40)>>1)]=$55; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $56=(($40+2)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $57=$i1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $58=$57 & 63; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $59=$i1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $60=$59 & 63; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $61=(($60)>>>0) < 10; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 13: 
      var $69 = 48;__label__ = 15; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 14: 
      var $64=$i1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $65=$64 & 63; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $66=(($65)>>>0) < 36; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $67=$66 ? 87 : 29; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $69 = $67;__label__ = 15; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 15: 
      var $69; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $70=(($58+$69)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $71=(($70) & 65535); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($56)>>1)]=$71; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $72=(($56+2)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($72)>>1)]=0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $73=$3; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $74=(($buffer2)|0); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $75=__Z17js_NewStringCopyNP9JSContextPKtj($73, $74, 2); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $s3=$75; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $76=$s3; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $77=(($76)|0)!=0; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 16: 
      $1=0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $4=1;
      __label__ = 56; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 17: 
      var $80=$s3; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $81=__ZN13JSFixedString27morphAtomizedStringIntoAtomEv($80); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $82=$i1; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $83=(($5+4)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $84=(($83+($82<<2))|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($84)>>2)]=$81; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 18; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 18: 
      var $86=$i1; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $87=(($86+1)|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $i1=$87; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 8; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 19: 
      $i4=0; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 20: 
      var $90=$i4; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $91=(($90)>>>0) < 256; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($91) { __label__ = 21; break; } else { __label__ = 55; break; } //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 21: 
      var $93=$i4; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $94=(($93)>>>0) < 10; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($94) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 22: 
      var $96=$i4; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $97=(($96+48)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $98=(($5+17412)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $99=(($98+($97<<2))|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $101=$i4; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $102=(($5+16388)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $103=(($102+($101<<2))|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($103)>>2)]=$100; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 53; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 23: 
      var $105=$i4; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $106=(($105)>>>0) < 100; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($106) { __label__ = 24; break; } else { __label__ = 49; break; } //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 24: 
      var $108=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $109=Math.floor((($108)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $110=(($109+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $111=(($110)>>>0) >= 48; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($111) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 25: 
      var $113=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $114=Math.floor((($113)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $115=(($114+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $116=(($115)>>>0) <= 57; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($116) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 26: 
      var $118=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $119=Math.floor((($118)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $120=(($119+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $121=(($120-48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $160 = $121;__label__ = 36; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 27: 
      var $123=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $124=Math.floor((($123)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $125=(($124+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $126=(($125)>>>0) >= 97; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($126) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 28: 
      var $128=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $129=Math.floor((($128)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $130=(($129+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $131=(($130)>>>0) <= 122; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($131) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 29: 
      var $133=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $134=Math.floor((($133)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $135=(($134+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $136=(($135-97)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $137=(($136+10)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $158 = $137;__label__ = 35; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 30: 
      var $139=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $140=Math.floor((($139)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $141=(($140+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $142=(($141)>>>0) >= 65; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($142) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 31: 
      var $144=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $145=Math.floor((($144)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $146=(($145+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $147=(($146)>>>0) <= 90; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($147) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 32: 
      var $149=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $150=Math.floor((($149)>>>0)/10); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $151=(($150+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $152=(($151-65)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $153=(($152+36)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $156 = $153;__label__ = 34; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 33: 
      var $156 = 255;__label__ = 34; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 34: 
      var $156; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $158 = $156;__label__ = 35; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 35: 
      var $158; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $160 = $158;__label__ = 36; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 36: 
      var $160; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $161=$160 << 6; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $162=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $163=(($162)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $164=(($163+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $165=(($164)>>>0) >= 48; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($165) { __label__ = 37; break; } else { __label__ = 39; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 37: 
      var $167=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $168=(($167)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $169=(($168+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $170=(($169)>>>0) <= 57; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($170) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 38: 
      var $172=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $173=(($172)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $174=(($173+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $175=(($174-48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $214 = $175;__label__ = 48; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 39: 
      var $177=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $178=(($177)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $179=(($178+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $180=(($179)>>>0) >= 97; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($180) { __label__ = 40; break; } else { __label__ = 42; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 40: 
      var $182=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $183=(($182)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $184=(($183+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $185=(($184)>>>0) <= 122; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($185) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 41: 
      var $187=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $188=(($187)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $189=(($188+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $190=(($189-97)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $191=(($190+10)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $212 = $191;__label__ = 47; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 42: 
      var $193=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $194=(($193)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $195=(($194+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $196=(($195)>>>0) >= 65; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($196) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 43: 
      var $198=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $199=(($198)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $200=(($199+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $201=(($200)>>>0) <= 90; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($201) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 44: 
      var $203=$i4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $204=(($203)>>>0)%10; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $205=(($204+48)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $206=(($205-65)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $207=(($206+36)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $210 = $207;__label__ = 46; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 45: 
      var $210 = 255;__label__ = 46; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 46: 
      var $210; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $212 = $210;__label__ = 47; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 47: 
      var $212; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $214 = $212;__label__ = 48; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 48: 
      var $214; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $215=(($161+$214)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $index=$215; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $216=$index; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $217=(($5+4)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $218=(($217+($216<<2))|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $219=HEAP32[(($218)>>2)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $220=$i4; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $221=(($5+16388)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $222=(($221+($220<<2))|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($222)>>2)]=$219; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 52; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 49: 
      var $224=(($buffer5)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $225=$i4; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $226=Math.floor((($225)>>>0)/100); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $227=(($226+48)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $228=(($227) & 65535); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($224)>>1)]=$228; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $229=(($224+2)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $230=$i4; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $231=Math.floor((($230)>>>0)/10); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $232=(($231)>>>0)%10; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $233=(($232+48)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $234=(($233) & 65535); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($229)>>1)]=$234; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $235=(($229+2)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $236=$i4; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $237=(($236)>>>0)%10; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $238=(($237+48)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $239=(($238) & 65535); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($235)>>1)]=$239; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $240=(($235+2)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP16[(($240)>>1)]=0; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $241=$3; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $242=(($buffer5)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $243=__Z17js_NewStringCopyNP9JSContextPKtj($241, $242, 3); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $s6=$243; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $244=$s6; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $245=(($244)|0)!=0; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($245) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 50: 
      $1=0; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $4=1;
      __label__ = 56; break; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 51: 
      var $248=$s6; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $249=__ZN13JSFixedString27morphAtomizedStringIntoAtomEv($248); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $250=$i4; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $251=(($5+16388)|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $252=(($251+($250<<2))|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP32[(($252)>>2)]=$249; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 52; break;
    case 52: 
      __label__ = 53; break;
    case 53: 
      __label__ = 54; break; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 54: 
      var $256=$i4; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $257=(($256+1)|0); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $i4=$257; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 20; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 55: 
      var $259=(($5)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      HEAP8[($259)]=1; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=1; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $4=1;
      __label__ = 56; break; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 56: 
      __ZN2js19SwitchToCompartmentD1Ev($sc); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $261=$1; //@line 449 "./vm/String.h"
      STACKTOP = __stackBase__;
      return $261; //@line 449 "./vm/String.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13StaticStrings4initEP9JSContext["X"]=1;

function __ZN2js19SwitchToCompartmentC1EP9JSContextP13JSCompartment($this, $cx, $newCompartment) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$newCompartment;
  var $4=$1;
  var $5=$2; //@line 749 "./jscompartment.h"
  var $6=$3; //@line 749 "./jscompartment.h"
  __ZN2js19SwitchToCompartmentC2EP9JSContextP13JSCompartment($4, $5, $6); //@line 749 "./jscompartment.h"
  ;
  return; //@line 749 "./jscompartment.h"
}


function __ZN13JSFixedString27morphAtomizedStringIntoAtomEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $4=(($3)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $5=(($4)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $6=HEAP32[(($5)>>2)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $7=$6 ^ 12; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  HEAP32[(($5)>>2)]=$7; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $8=$2; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $9=__ZNK8JSString6asAtomEv($8); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  ;
  return $9; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
}


function __ZN2js19SwitchToCompartmentD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js19SwitchToCompartmentD2Ev($2); //@line 741 "./jscompartment.h"
  ;
  return; //@line 741 "./jscompartment.h"
}


function __ZN2js13StaticStrings5traceEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $i1;
      var $i2;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=(($3)|0); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $5=HEAP8[($4)]; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $6=(($5) & 1); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 2: 
      __label__ = 15; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      $i=0; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 4; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      var $10=$i; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $11=(($10)>>>0) < 256; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 5: 
      var $13=$2; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $14=$i; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $15=(($3+17412)|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $16=(($15+($14<<2))|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $18=$17; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($13, $18, ((STRING_TABLE.__str174)|0)); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 6; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 6: 
      var $20=$i; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $21=(($20+1)|0); //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $i=$21; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 4; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 7: 
      $i1=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 8; break; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 8: 
      var $24=$i1; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $25=(($24)>>>0) < 4096; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($25) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 9: 
      var $27=$2; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $28=$i1; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29=(($3+4)|0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $30=(($29+($28<<2))|0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $32=$31; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($27, $32, ((STRING_TABLE.__str1175)|0)); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 10; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 10: 
      var $34=$i1; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $35=(($34+1)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $i1=$35; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 8; break; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 11: 
      $i2=0; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 12; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 12: 
      var $38=$i2; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $39=(($38)>>>0) < 256; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 13: 
      var $41=$2; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $42=$i2; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $43=(($3+16388)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $44=(($43+($42<<2))|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $46=$45; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($41, $46, ((STRING_TABLE.__str2176)|0)); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 14; break; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 14: 
      var $48=$i2; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $49=(($48+1)|0); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $i2=$49; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 12; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 15: 
      ;
      return; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13StaticStrings5traceEP8JSTracer["X"]=1;

function __ZN2js13StaticStrings8isStaticEP6JSAtom($atom) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $chars;
      var $i;
      $2=$atom;
      var $3=$2; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $4=$3; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $5=__ZNK14JSLinearString5charsEv($4); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $chars=$5; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $6=$2; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $7=$6; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $8=__ZNK8JSString6lengthEv($7); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 3; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 6; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 2: 
      var $10=$chars; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $11=(($10)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $12=HEAPU16[(($11)>>1)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $13=(($12)&65535); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $14=(($13)>>>0) < 256; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$14; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 15; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 3: 
      var $16=$chars; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $17=(($16)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $18=HEAP16[(($17)>>1)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $19=__ZN2js13StaticStrings15fitsInSmallCharEt($18); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($19) { __label__ = 4; break; } else { var $26 = 0;__label__ = 5; break; } //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 4: 
      var $21=$chars; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $22=(($21+2)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $23=HEAP16[(($22)>>1)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $24=__ZN2js13StaticStrings15fitsInSmallCharEt($23); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $26 = $24;__label__ = 5; break;
    case 5: 
      var $26;
      $1=$26;
      __label__ = 15; break;
    case 6: 
      var $28=$chars; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $29=(($28)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $30=HEAPU16[(($29)>>1)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $31=(($30)&65535); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $32=49 <= (($31)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 13; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 7: 
      var $34=$chars; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $35=(($34)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $36=HEAPU16[(($35)>>1)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $37=(($36)&65535); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $38=(($37)|0) <= 57; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 8: 
      var $40=$chars; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $41=(($40+2)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $42=HEAPU16[(($41)>>1)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $43=(($42)&65535); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $44=48 <= (($43)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 9: 
      var $46=$chars; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $47=(($46+2)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $48=HEAPU16[(($47)>>1)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $49=(($48)&65535); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $50=(($49)|0) <= 57; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 10: 
      var $52=$chars; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $53=(($52+4)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $54=HEAPU16[(($53)>>1)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $55=(($54)&65535); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $56=48 <= (($55)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 11: 
      var $58=$chars; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $59=(($58+4)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $60=HEAPU16[(($59)>>1)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $61=(($60)&65535); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $62=(($61)|0) <= 57; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 12: 
      var $64=$chars; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $65=(($64)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $66=HEAPU16[(($65)>>1)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $67=(($66)&65535); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $68=(($67-48)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $69=(($68*100)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $70=$chars; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $71=(($70+2)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $72=HEAPU16[(($71)>>1)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $73=(($72)&65535); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $74=(($73-48)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $75=(($74*10)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $76=(($69+$75)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $77=$chars; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $78=(($77+4)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $79=HEAPU16[(($78)>>1)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $80=(($79)&65535); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $81=(($80-48)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $82=(($76+$81)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $i=$82; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $83=$i; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      var $84=(($83)>>>0) < 256; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      $1=$84; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 15; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 13: 
      $1=0; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 15; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 14: 
      $1=0; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      __label__ = 15; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    case 15: 
      var $88=$1; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
      ;
      return $88; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13StaticStrings8isStaticEP6JSAtom["X"]=1;

function __ZN7mozilla9RangedPtrIKtEppEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN7mozilla9RangedPtrIKtEpLEj($2, 1); //@line 191 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $3; //@line 191 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIKtEpLEj($this, $inc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$inc;
  var $4=$1;
  var $5=$2; //@line 211 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIKtEplEj($3, $4, $5); //@line 211 "./dist/include/mozilla/RangedPtr.h"
  var $6=__ZN7mozilla9RangedPtrIKtEaSIS1_EERS2_RKNS0_IT_EE($4, $3); //@line 211 "./dist/include/mozilla/RangedPtr.h"
  STACKTOP = __stackBase__;
  return $4; //@line 212 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIKtEaSIS1_EERS2_RKNS0_IT_EE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $5=(($4)|0); //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $6=HEAP32[(($5)>>2)]; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($3)|0); //@line 185 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($7)>>2)]=$6; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIKtE11checkSanityEv($3); //@line 186 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $3; //@line 187 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIKtEplEj($agg_result, $this, $inc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$inc;
  var $3=$1;
  var $4=(($3)|0); //@line 162 "./dist/include/mozilla/RangedPtr.h"
  var $5=HEAP32[(($4)>>2)]; //@line 162 "./dist/include/mozilla/RangedPtr.h"
  var $6=$2; //@line 162 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($5+($6<<1))|0); //@line 162 "./dist/include/mozilla/RangedPtr.h"
  __ZNK7mozilla9RangedPtrIKtE6createEPS1_($agg_result, $3, $7); //@line 162 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 162 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK7mozilla9RangedPtrIKtE6createEPS1_($agg_result, $this, $ptr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ptr;
  var $3=$1;
  var $4=$2; //@line 89 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIKtEC1EPS1_S3_j($agg_result, $4, 0, 0); //@line 89 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 89 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIKtEC2EPS1_S3_j($this, $p, $start, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$start;
  $4=$length;
  var $5=$1;
  var $6=(($5)|0); //@line 108 "./dist/include/mozilla/RangedPtr.h"
  var $7=$2; //@line 108 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($6)>>2)]=$7; //@line 108 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIKtE11checkSanityEv($5); //@line 111 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 112 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIKtEC2EPS1_j($this, $p, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$length;
  var $4=$1;
  var $5=(($4)|0); //@line 120 "./dist/include/mozilla/RangedPtr.h"
  var $6=$2; //@line 120 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($5)>>2)]=$6; //@line 120 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIKtE11checkSanityEv($4); //@line 123 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 124 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2js19SwitchToCompartmentD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 741 "./jscompartment.h"
  __ZN2js19PreserveCompartmentD2Ev($3); //@line 741 "./jscompartment.h"
  ;
  return; //@line 741 "./jscompartment.h"
}


function __ZN2js19SwitchToCompartmentC2EP9JSContextP13JSCompartment($this, $cx, $newCompartment) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$newCompartment;
      var $4=$1;
      var $5=$4; //@line 746 "./jscompartment.h"
      var $6=$2; //@line 746 "./jscompartment.h"
      __ZN2js19PreserveCompartmentC2EP9JSContext($5, $6); //@line 746 "./jscompartment.h"
      __label__ = 2; break; //@line 747 "./jscompartment.h"
    case 2: 
      __label__ = 3; break; //@line 747 "./jscompartment.h"
    case 3: 
      var $9=$2; //@line 748 "./jscompartment.h"
      var $10=$3; //@line 748 "./jscompartment.h"
      __ZN9JSContext14setCompartmentEP13JSCompartment($9, $10); //@line 748 "./jscompartment.h"
      ;
      return; //@line 749 "./jscompartment.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL16AssertValidColorEPKvj($thing, $color) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$thing;
  $2=$color;
  ;
  return; //@line 782 "./jsgc.h"
}


function __ZNK2js2gc4Cell5chunkEv($this) {
  ;
  var __label__;

  var $1;
  var $addr;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 685 "./jsgc.h"
  $addr=$3; //@line 685 "./jsgc.h"
  var $4=$addr; //@line 687 "./jsgc.h"
  var $5=$4 & -1048576; //@line 687 "./jsgc.h"
  $addr=$5; //@line 687 "./jsgc.h"
  var $6=$addr; //@line 688 "./jsgc.h"
  var $7=$6; //@line 688 "./jsgc.h"
  ;
  return $7; //@line 688 "./jsgc.h"
}


function __ZN2js19PreserveCompartmentC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 728 "./jscompartment.h"
      var $5=$2; //@line 728 "./jscompartment.h"
      HEAP32[(($4)>>2)]=$5; //@line 728 "./jscompartment.h"
      __label__ = 2; break; //@line 729 "./jscompartment.h"
    case 2: 
      __label__ = 3; break; //@line 729 "./jscompartment.h"
    case 3: 
      var $8=$2; //@line 730 "./jscompartment.h"
      var $9=(($8+56)|0); //@line 730 "./jscompartment.h"
      var $10=HEAP32[(($9)>>2)]; //@line 730 "./jscompartment.h"
      var $11=(($3+4)|0); //@line 730 "./jscompartment.h"
      HEAP32[(($11)>>2)]=$10; //@line 730 "./jscompartment.h"
      var $12=$2; //@line 731 "./jscompartment.h"
      var $13=(($12+232)|0); //@line 731 "./jscompartment.h"
      var $14=HEAP8[($13)]; //@line 731 "./jscompartment.h"
      var $15=(($14) & 1); //@line 731 "./jscompartment.h"
      var $16=(($3+8)|0); //@line 731 "./jscompartment.h"
      var $17=(($15)&1); //@line 731 "./jscompartment.h"
      HEAP8[($16)]=$17; //@line 731 "./jscompartment.h"
      ;
      return; //@line 732 "./jscompartment.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js2gc11ArenaHeader12getAllocKindEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 435 "./jsgc.h"
  var $4=(($3+12)|0); //@line 435 "./jsgc.h"
  var $5=$4; //@line 435 "./jsgc.h"
  var $6=HEAP32[(($5)>>2)]; //@line 435 "./jsgc.h"
  var $7=$6 & 255; //@line 435 "./jsgc.h"
  ;
  return $7; //@line 435 "./jsgc.h"
}


function __ZN2v88internal6VectorIcEC2EPci($this, $data, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$data;
  $3=$length;
  var $4=$1;
  var $5=(($4)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $6=$2; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  HEAP32[(($5)>>2)]=$6; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $7=(($4+4)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $8=$3; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  HEAP32[(($7)>>2)]=$8; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return; //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZNK2v88internal13StringBuilder12is_finalizedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $4=HEAP32[(($3)>>2)]; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $5=(($4)|0) < 0; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return $5; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZNK2v88internal6VectorIcEixEi($this, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$index;
  var $3=$1;
  var $4=$2; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $5=(($3)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $6=HEAP32[(($5)>>2)]; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $7=(($6+$4)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return $7; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZN2v88internal5DiyFp8MultiplyERKS1_($this, $other) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $kM32=__stackBase__;
  var $a=__stackBase__+8;
  var $b=__stackBase__+16;
  var $c=__stackBase__+24;
  var $d=__stackBase__+32;
  var $ac=__stackBase__+40;
  var $bc=__stackBase__+48;
  var $ad=__stackBase__+56;
  var $bd=__stackBase__+64;
  var $tmp=__stackBase__+72;
  var $result_f=__stackBase__+80;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $$emscripten$temp$0$0=-1;
  var $$emscripten$temp$0$1=0;
  var $st$18$0=(($kM32)|0);
  HEAP32[(($st$18$0)>>2)]=$$emscripten$temp$0$0;
  var $st$18$1=(($kM32+4)|0);
  HEAP32[(($st$18$1)>>2)]=$$emscripten$temp$0$1;
  var $4=(($3)|0); //@line 41 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$23$0=(($4)|0);
  var $5$0=HEAP32[(($st$23$0)>>2)];
  var $st$23$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$23$1)>>2)];
  var $6$0=$5$1;
  var $6$1=0;
  var $st$29$0=(($a)|0);
  HEAP32[(($st$29$0)>>2)]=$6$0;
  var $st$29$1=(($a+4)|0);
  HEAP32[(($st$29$1)>>2)]=$6$1;
  var $7=(($3)|0); //@line 42 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$34$0=(($7)|0);
  var $8$0=HEAP32[(($st$34$0)>>2)];
  var $st$34$1=(($7+4)|0);
  var $8$1=HEAP32[(($st$34$1)>>2)];
  var $$emscripten$temp$1$0=-1;
  var $$emscripten$temp$1$1=0;
  var $9$0=$8$0 & $$emscripten$temp$1$0;
  var $9$1=$8$1 & $$emscripten$temp$1$1;
  var $st$42$0=(($b)|0);
  HEAP32[(($st$42$0)>>2)]=$9$0;
  var $st$42$1=(($b+4)|0);
  HEAP32[(($st$42$1)>>2)]=$9$1;
  var $10=$2; //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $11=(($10)|0); //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$48$0=(($11)|0);
  var $12$0=HEAP32[(($st$48$0)>>2)];
  var $st$48$1=(($11+4)|0);
  var $12$1=HEAP32[(($st$48$1)>>2)];
  var $13$0=$12$1;
  var $13$1=0;
  var $st$54$0=(($c)|0);
  HEAP32[(($st$54$0)>>2)]=$13$0;
  var $st$54$1=(($c+4)|0);
  HEAP32[(($st$54$1)>>2)]=$13$1;
  var $14=$2; //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $15=(($14)|0); //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$60$0=(($15)|0);
  var $16$0=HEAP32[(($st$60$0)>>2)];
  var $st$60$1=(($15+4)|0);
  var $16$1=HEAP32[(($st$60$1)>>2)];
  var $$emscripten$temp$2$0=-1;
  var $$emscripten$temp$2$1=0;
  var $17$0=$16$0 & $$emscripten$temp$2$0;
  var $17$1=$16$1 & $$emscripten$temp$2$1;
  var $st$68$0=(($d)|0);
  HEAP32[(($st$68$0)>>2)]=$17$0;
  var $st$68$1=(($d+4)|0);
  HEAP32[(($st$68$1)>>2)]=$17$1;
  var $st$72$0=(($a)|0);
  var $18$0=HEAP32[(($st$72$0)>>2)];
  var $st$72$1=(($a+4)|0);
  var $18$1=HEAP32[(($st$72$1)>>2)];
  var $st$76$0=(($c)|0);
  var $19$0=HEAP32[(($st$76$0)>>2)];
  var $st$76$1=(($c+4)|0);
  var $19$1=HEAP32[(($st$76$1)>>2)];
  var $20$0 = (i64Math.multiply($18$0,$18$1,$19$0,$19$1),i64Math.result[0]); var $20$1 = i64Math.result[1]; //@line 45 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$81$0=(($ac)|0);
  HEAP32[(($st$81$0)>>2)]=$20$0;
  var $st$81$1=(($ac+4)|0);
  HEAP32[(($st$81$1)>>2)]=$20$1;
  var $st$85$0=(($b)|0);
  var $21$0=HEAP32[(($st$85$0)>>2)];
  var $st$85$1=(($b+4)|0);
  var $21$1=HEAP32[(($st$85$1)>>2)];
  var $st$89$0=(($c)|0);
  var $22$0=HEAP32[(($st$89$0)>>2)];
  var $st$89$1=(($c+4)|0);
  var $22$1=HEAP32[(($st$89$1)>>2)];
  var $23$0 = (i64Math.multiply($21$0,$21$1,$22$0,$22$1),i64Math.result[0]); var $23$1 = i64Math.result[1]; //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$94$0=(($bc)|0);
  HEAP32[(($st$94$0)>>2)]=$23$0;
  var $st$94$1=(($bc+4)|0);
  HEAP32[(($st$94$1)>>2)]=$23$1;
  var $st$98$0=(($a)|0);
  var $24$0=HEAP32[(($st$98$0)>>2)];
  var $st$98$1=(($a+4)|0);
  var $24$1=HEAP32[(($st$98$1)>>2)];
  var $st$102$0=(($d)|0);
  var $25$0=HEAP32[(($st$102$0)>>2)];
  var $st$102$1=(($d+4)|0);
  var $25$1=HEAP32[(($st$102$1)>>2)];
  var $26$0 = (i64Math.multiply($24$0,$24$1,$25$0,$25$1),i64Math.result[0]); var $26$1 = i64Math.result[1]; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$107$0=(($ad)|0);
  HEAP32[(($st$107$0)>>2)]=$26$0;
  var $st$107$1=(($ad+4)|0);
  HEAP32[(($st$107$1)>>2)]=$26$1;
  var $st$111$0=(($b)|0);
  var $27$0=HEAP32[(($st$111$0)>>2)];
  var $st$111$1=(($b+4)|0);
  var $27$1=HEAP32[(($st$111$1)>>2)];
  var $st$115$0=(($d)|0);
  var $28$0=HEAP32[(($st$115$0)>>2)];
  var $st$115$1=(($d+4)|0);
  var $28$1=HEAP32[(($st$115$1)>>2)];
  var $29$0 = (i64Math.multiply($27$0,$27$1,$28$0,$28$1),i64Math.result[0]); var $29$1 = i64Math.result[1]; //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$120$0=(($bd)|0);
  HEAP32[(($st$120$0)>>2)]=$29$0;
  var $st$120$1=(($bd+4)|0);
  HEAP32[(($st$120$1)>>2)]=$29$1;
  var $st$124$0=(($bd)|0);
  var $30$0=HEAP32[(($st$124$0)>>2)];
  var $st$124$1=(($bd+4)|0);
  var $30$1=HEAP32[(($st$124$1)>>2)];
  var $31$0=$30$1;
  var $31$1=0;
  var $st$130$0=(($ad)|0);
  var $32$0=HEAP32[(($st$130$0)>>2)];
  var $st$130$1=(($ad+4)|0);
  var $32$1=HEAP32[(($st$130$1)>>2)];
  var $$emscripten$temp$3$0=-1;
  var $$emscripten$temp$3$1=0;
  var $33$0=$32$0 & $$emscripten$temp$3$0;
  var $33$1=$32$1 & $$emscripten$temp$3$1;
  var $34$0 = (i64Math.add($31$0,$31$1,$33$0,$33$1),i64Math.result[0]); var $34$1 = i64Math.result[1]; //@line 49 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$139$0=(($bc)|0);
  var $35$0=HEAP32[(($st$139$0)>>2)];
  var $st$139$1=(($bc+4)|0);
  var $35$1=HEAP32[(($st$139$1)>>2)];
  var $$emscripten$temp$4$0=-1;
  var $$emscripten$temp$4$1=0;
  var $36$0=$35$0 & $$emscripten$temp$4$0;
  var $36$1=$35$1 & $$emscripten$temp$4$1;
  var $37$0 = (i64Math.add($34$0,$34$1,$36$0,$36$1),i64Math.result[0]); var $37$1 = i64Math.result[1]; //@line 49 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$148$0=(($tmp)|0);
  HEAP32[(($st$148$0)>>2)]=$37$0;
  var $st$148$1=(($tmp+4)|0);
  HEAP32[(($st$148$1)>>2)]=$37$1;
  var $st$152$0=(($tmp)|0);
  var $38$0=HEAP32[(($st$152$0)>>2)];
  var $st$152$1=(($tmp+4)|0);
  var $38$1=HEAP32[(($st$152$1)>>2)];
  var $$emscripten$temp$5$0=-2147483648;
  var $$emscripten$temp$5$1=0;
  var $39$0 = (i64Math.add($38$0,$38$1,$$emscripten$temp$5$0,$$emscripten$temp$5$1),i64Math.result[0]); var $39$1 = i64Math.result[1]; //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$159$0=(($tmp)|0);
  HEAP32[(($st$159$0)>>2)]=$39$0;
  var $st$159$1=(($tmp+4)|0);
  HEAP32[(($st$159$1)>>2)]=$39$1;
  var $st$163$0=(($ac)|0);
  var $40$0=HEAP32[(($st$163$0)>>2)];
  var $st$163$1=(($ac+4)|0);
  var $40$1=HEAP32[(($st$163$1)>>2)];
  var $st$167$0=(($ad)|0);
  var $41$0=HEAP32[(($st$167$0)>>2)];
  var $st$167$1=(($ad+4)|0);
  var $41$1=HEAP32[(($st$167$1)>>2)];
  var $42$0=$41$1;
  var $42$1=0;
  var $43$0 = (i64Math.add($40$0,$40$1,$42$0,$42$1),i64Math.result[0]); var $43$1 = i64Math.result[1]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$174$0=(($bc)|0);
  var $44$0=HEAP32[(($st$174$0)>>2)];
  var $st$174$1=(($bc+4)|0);
  var $44$1=HEAP32[(($st$174$1)>>2)];
  var $45$0=$44$1;
  var $45$1=0;
  var $46$0 = (i64Math.add($43$0,$43$1,$45$0,$45$1),i64Math.result[0]); var $46$1 = i64Math.result[1]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$181$0=(($tmp)|0);
  var $47$0=HEAP32[(($st$181$0)>>2)];
  var $st$181$1=(($tmp+4)|0);
  var $47$1=HEAP32[(($st$181$1)>>2)];
  var $48$0=$47$1;
  var $48$1=0;
  var $49$0 = (i64Math.add($46$0,$46$1,$48$0,$48$1),i64Math.result[0]); var $49$1 = i64Math.result[1]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$188$0=(($result_f)|0);
  HEAP32[(($st$188$0)>>2)]=$49$0;
  var $st$188$1=(($result_f+4)|0);
  HEAP32[(($st$188$1)>>2)]=$49$1;
  var $50=$2; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $51=(($50+8)|0); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $52=HEAP32[(($51)>>2)]; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $53=(($52+64)|0); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $54=(($3+8)|0); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $55=HEAP32[(($54)>>2)]; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $56=(($55+$53)|0); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  HEAP32[(($54)>>2)]=$56; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$200$0=(($result_f)|0);
  var $57$0=HEAP32[(($st$200$0)>>2)];
  var $st$200$1=(($result_f+4)|0);
  var $57$1=HEAP32[(($st$200$1)>>2)];
  var $58=(($3)|0); //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
  var $st$205$0=(($58)|0);
  HEAP32[(($st$205$0)>>2)]=$57$0;
  var $st$205$1=(($58+4)|0);
  HEAP32[(($st$205$1)>>2)]=$57$1;
  STACKTOP = __stackBase__;
  return; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.cc"
}
__ZN2v88internal5DiyFp8MultiplyERKS1_["X"]=1;

function _js_malloc181($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z14js_NewGCStringP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 371 "./jsgcinlines.h"
  var $3=__Z10NewGCThingI8JSStringEPT_P9JSContextN2js2gc9AllocKindEj($2, 18, 16); //@line 371 "./jsgcinlines.h"
  ;
  return $3; //@line 371 "./jsgcinlines.h"
}


function __ZN6JSRope4initEP8JSStringS1_j($this, $left, $right, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$left;
  $3=$right;
  $4=$length;
  var $5=$1;
  var $6=$5; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $7=$4; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $8=__ZN8JSString19buildLengthAndFlagsEjj($6, $7, 1); //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $9=$5; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $10=(($9)|0); //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $11=(($10)|0); //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  HEAP32[(($11)>>2)]=$8; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $12=$2; //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $13=$5; //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $14=(($13)|0); //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $15=(($14+4)|0); //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $16=$15; //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  HEAP32[(($16)>>2)]=$12; //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $17=$3; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $18=$5; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $19=(($18)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $20=(($19+8)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $21=$20; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $22=(($21)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  var $23=$22; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  HEAP32[(($23)>>2)]=$17; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
  ;
  return; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/vm/String-inl.h"
}


function __Z10NewGCThingI8JSStringEPT_P9JSContextN2js2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z10NewGCThingI13JSShortStringEPT_P9JSContextN2js2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks7malloc_Ej($bytes) {
  ;
  var __label__;

  var $1;
  $1=$bytes;
  var $2=$1; //@line 512 "./jsutil.h"
  var $3=_js_malloc181($2); //@line 512 "./jsutil.h"
  ;
  return $3; //@line 512 "./jsutil.h"
}


function __ZN2js2gc11ChunkBitmap14markIfUnmarkedEPKNS0_4CellEj($this, $cell, $color) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $word=__stackBase__;
      var $mask=__stackBase__+4;
      $2=$this;
      $3=$cell;
      $4=$color;
      var $5=$2;
      var $6=$3; //@line 565 "./jsgc.h"
      __ZN2js2gc11ChunkBitmap18getMarkWordAndMaskEPKNS0_4CellEjPPjS5_($5, $6, 0, $word, $mask); //@line 565 "./jsgc.h"
      var $7=HEAP32[(($word)>>2)]; //@line 566 "./jsgc.h"
      var $8=HEAP32[(($7)>>2)]; //@line 566 "./jsgc.h"
      var $9=HEAP32[(($mask)>>2)]; //@line 566 "./jsgc.h"
      var $10=$8 & $9; //@line 566 "./jsgc.h"
      var $11=(($10)|0)!=0; //@line 566 "./jsgc.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 566 "./jsgc.h"
    case 2: 
      $1=0; //@line 567 "./jsgc.h"
      __label__ = 8; break; //@line 567 "./jsgc.h"
    case 3: 
      var $14=HEAP32[(($mask)>>2)]; //@line 568 "./jsgc.h"
      var $15=HEAP32[(($word)>>2)]; //@line 568 "./jsgc.h"
      var $16=HEAP32[(($15)>>2)]; //@line 568 "./jsgc.h"
      var $17=$16 | $14; //@line 568 "./jsgc.h"
      HEAP32[(($15)>>2)]=$17; //@line 568 "./jsgc.h"
      var $18=$4; //@line 569 "./jsgc.h"
      var $19=(($18)|0)!=0; //@line 569 "./jsgc.h"
      if ($19) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 569 "./jsgc.h"
    case 4: 
      var $21=$3; //@line 574 "./jsgc.h"
      var $22=$4; //@line 574 "./jsgc.h"
      __ZN2js2gc11ChunkBitmap18getMarkWordAndMaskEPKNS0_4CellEjPPjS5_($5, $21, $22, $word, $mask); //@line 574 "./jsgc.h"
      var $23=HEAP32[(($word)>>2)]; //@line 575 "./jsgc.h"
      var $24=HEAP32[(($23)>>2)]; //@line 575 "./jsgc.h"
      var $25=HEAP32[(($mask)>>2)]; //@line 575 "./jsgc.h"
      var $26=$24 & $25; //@line 575 "./jsgc.h"
      var $27=(($26)|0)!=0; //@line 575 "./jsgc.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 575 "./jsgc.h"
    case 5: 
      $1=0; //@line 576 "./jsgc.h"
      __label__ = 8; break; //@line 576 "./jsgc.h"
    case 6: 
      var $30=HEAP32[(($mask)>>2)]; //@line 577 "./jsgc.h"
      var $31=HEAP32[(($word)>>2)]; //@line 577 "./jsgc.h"
      var $32=HEAP32[(($31)>>2)]; //@line 577 "./jsgc.h"
      var $33=$32 | $30; //@line 577 "./jsgc.h"
      HEAP32[(($31)>>2)]=$33; //@line 577 "./jsgc.h"
      __label__ = 7; break; //@line 578 "./jsgc.h"
    case 7: 
      $1=1; //@line 579 "./jsgc.h"
      __label__ = 8; break; //@line 579 "./jsgc.h"
    case 8: 
      var $36=$1; //@line 580 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $36; //@line 580 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11ChunkBitmap18getMarkWordAndMaskEPKNS0_4CellEjPPjS5_($this, $cell, $color, $wordp, $maskp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $bit;
  $1=$this;
  $2=$cell;
  $3=$color;
  $4=$wordp;
  $5=$maskp;
  var $6=$1;
  var $7=$2; //@line 769 "./jsgc.h"
  var $8=__ZNK2js2gc4Cell7addressEv($7); //@line 769 "./jsgc.h"
  var $9=$8 & 1048575; //@line 769 "./jsgc.h"
  var $10=Math.floor((($9)>>>0)/8); //@line 769 "./jsgc.h"
  var $11=$3; //@line 769 "./jsgc.h"
  var $12=(($10+$11)|0); //@line 769 "./jsgc.h"
  $bit=$12; //@line 769 "./jsgc.h"
  var $13=$bit; //@line 771 "./jsgc.h"
  var $14=(($13)>>>0)%32; //@line 771 "./jsgc.h"
  var $15=1 << $14; //@line 771 "./jsgc.h"
  var $16=$5; //@line 771 "./jsgc.h"
  HEAP32[(($16)>>2)]=$15; //@line 771 "./jsgc.h"
  var $17=$bit; //@line 772 "./jsgc.h"
  var $18=Math.floor((($17)>>>0)/32); //@line 772 "./jsgc.h"
  var $19=(($6)|0); //@line 772 "./jsgc.h"
  var $20=(($19+($18<<2))|0); //@line 772 "./jsgc.h"
  var $21=$4; //@line 772 "./jsgc.h"
  HEAP32[(($21)>>2)]=$20; //@line 772 "./jsgc.h"
  ;
  return; //@line 773 "./jsgc.h"
}


function _V8_Fatal($file, $line, $format) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $arguments=__stackBase__;
      $1=$file;
      $2=$line;
      $3=$format;
      var $4=HEAP32[((_stdout)>>2)]; //@line 37 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $5=_fflush($4); //@line 37 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $6=HEAP32[((_stderr)>>2)]; //@line 38 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $7=_fflush($6); //@line 38 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $8=HEAP32[((__ZL33fatal_error_handler_nesting_depth)>>2)]; //@line 39 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $9=(($8+1)|0); //@line 39 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      HEAP32[((__ZL33fatal_error_handler_nesting_depth)>>2)]=$9; //@line 39 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $10=HEAP32[((__ZL33fatal_error_handler_nesting_depth)>>2)]; //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $11=(($10)|0) < 2; //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
    case 2: 
      var $13=HEAP32[((_stderr)>>2)]; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $14=$1; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $15=$2; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $16=_fprintf($13, ((STRING_TABLE.__str182)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$14,HEAP32[((tempInt+4)>>2)]=$15,tempInt)); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $17=$arguments; //@line 49 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      HEAP32[(($17)>>2)]=arguments[_V8_Fatal.length]; //@line 49 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $18=HEAP32[((_stderr)>>2)]; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $19=$3; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $20=HEAP32[(($arguments)>>2)]; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $21=_vfprintf($18, $19, $20); //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $22=$arguments; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      ; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $23=HEAP32[((_stderr)>>2)]; //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      var $24=_fprintf($23, ((STRING_TABLE.__str1183)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      __label__ = 3; break; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
    case 3: 
      __ZN2v88internal2OS5AbortEv(); //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
      STACKTOP = __stackBase__;
      return; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/checks.cc"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2v88internal15DoubleToCStringEdPci($v, $buffer, $buflen) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $builder=__stackBase__;
      var $decimal_point=__stackBase__+12;
      var $sign=__stackBase__+16;
      var $decimal_rep;
      var $kV8DtoaBufferCapacity;
      var $v8_dtoa_buffer=__stackBase__+20;
      var $length=__stackBase__+40;
      var $5=__stackBase__+44;
      var $6;
      var $exponent;
      $2=$v;
      $3=$buffer;
      $4=$buflen;
      var $7=$3; //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $8=$4; //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilderC1EPci($builder, $7, $8); //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $9=$2; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $10=___fpclassifyd($9); //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ((($10)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($10)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($10)|0) == 2) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      __ZN2v88internal13StringBuilder9AddStringEPKc($builder, ((STRING_TABLE.__str184)|0)); //@line 52 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 30; break; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 3: 
      var $13=$2; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $14=$13 < 0; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 4: 
      __ZN2v88internal13StringBuilder9AddStringEPKc($builder, ((STRING_TABLE.__str1185)|0)); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 6; break; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 5: 
      __ZN2v88internal13StringBuilder9AddStringEPKc($builder, ((STRING_TABLE.__str2186)|0)); //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 6; break;
    case 6: 
      __label__ = 30; break; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 7: 
      __ZN2v88internal13StringBuilder12AddCharacterEc($builder, 48); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 30; break; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 8: 
      $kV8DtoaBufferCapacity=18; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $20=$2; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $21=(($v8_dtoa_buffer)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal6VectorIcEC1EPci($5, $21, 18); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $22=__ZN2v88internal13DoubleToAsciiEdNS0_8DtoaModeEiNS0_6VectorIcEEPiS4_S4_($20, 0, 0, $5, $sign, $length, $decimal_point); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($22) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 9: 
      var $24=(($v8_dtoa_buffer)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      $decimal_rep=$24; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 11; break; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 10: 
      $1=0; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      $6=1;
      __label__ = 31; break; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 11: 
      var $27=HEAP32[(($sign)>>2)]; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $28=(($27)|0)!=0; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($28) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 12: 
      __ZN2v88internal13StringBuilder12AddCharacterEc($builder, 45); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 13; break; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 13: 
      var $31=HEAP32[(($length)>>2)]; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $32=HEAP32[(($decimal_point)>>2)]; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $33=(($31)|0) <= (($32)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($33) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 14: 
      var $35=HEAP32[(($decimal_point)>>2)]; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $36=(($35)|0) <= 21; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($36) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 15: 
      var $38=$decimal_rep; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder9AddStringEPKc($builder, $38); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $39=HEAP32[(($decimal_point)>>2)]; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $40=HEAP32[(($length)>>2)]; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $41=(($39-$40)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder10AddPaddingEci($builder, 48, $41); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 29; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 16: 
      var $43=HEAP32[(($decimal_point)>>2)]; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $44=0 < (($43)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($44) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 17: 
      var $46=HEAP32[(($decimal_point)>>2)]; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $47=(($46)|0) <= 21; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($47) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 18: 
      var $49=$decimal_rep; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $50=HEAP32[(($decimal_point)>>2)]; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder12AddSubstringEPKci($builder, $49, $50); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder12AddCharacterEc($builder, 46); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $51=$decimal_rep; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $52=HEAP32[(($decimal_point)>>2)]; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $53=(($51+$52)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder9AddStringEPKc($builder, $53); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 28; break; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 19: 
      var $55=HEAP32[(($decimal_point)>>2)]; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $56=(($55)|0) <= 0; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($56) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 20: 
      var $58=HEAP32[(($decimal_point)>>2)]; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $59=(($58)|0) > -6; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($59) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 21: 
      __ZN2v88internal13StringBuilder9AddStringEPKc($builder, ((STRING_TABLE.__str3187)|0)); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $61=HEAP32[(($decimal_point)>>2)]; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $62=(((-$61))|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder10AddPaddingEci($builder, 48, $62); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $63=$decimal_rep; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder9AddStringEPKc($builder, $63); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 27; break; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 22: 
      var $65=$decimal_rep; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $66=(($65)|0); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $67=HEAP8[($66)]; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder12AddCharacterEc($builder, $67); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $68=HEAP32[(($length)>>2)]; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $69=(($68)|0)!=1; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($69) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 23: 
      __ZN2v88internal13StringBuilder12AddCharacterEc($builder, 46); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $71=$decimal_rep; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $72=(($71+1)|0); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder9AddStringEPKc($builder, $72); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 24; break; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 24: 
      __ZN2v88internal13StringBuilder12AddCharacterEc($builder, 101); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $74=HEAP32[(($decimal_point)>>2)]; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $75=(($74)|0) >= 0; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $76=$75 ? 43 : 45; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder12AddCharacterEc($builder, $76); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $77=HEAP32[(($decimal_point)>>2)]; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $78=(($77-1)|0); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      $exponent=$78; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $79=$exponent; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $80=(($79)|0) < 0; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      if ($80) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 25: 
      var $82=$exponent; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $83=(((-$82))|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      $exponent=$83; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 26; break; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 26: 
      var $85=$exponent; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __ZN2v88internal13StringBuilder10AddIntegerEi($builder, $85); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break;
    case 28: 
      __label__ = 29; break;
    case 29: 
      __label__ = 30; break; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 30: 
      var $90=__ZN2v88internal13StringBuilder8FinalizeEv($builder); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      $1=$90; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      $6=1;
      __label__ = 31; break; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    case 31: 
      __ZN2v88internal13StringBuilderD1Ev($builder); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      var $92=$1; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
      STACKTOP = __stackBase__;
      return $92; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/conversions.cc"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2v88internal15DoubleToCStringEdPci["X"]=1;

function __ZN2v88internal13StringBuilderC1EPci($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=$2; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $6=$3; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  __ZN2v88internal13StringBuilderC2EPci($4, $5, $6); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZN2v88internal13StringBuilder12AddCharacterEc($this, $c) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$c;
  var $3=$1;
  var $4=$2; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $5=(($3)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $6=(($3+8)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $7=HEAP32[(($6)>>2)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $8=(($7+1)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  HEAP32[(($6)>>2)]=$8; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $9=__ZNK2v88internal6VectorIcEixEi($5, $7); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  HEAP8[($9)]=$4; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZN2v88internal6VectorIcEC1EPci($this, $data, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$data;
  $3=$length;
  var $4=$1;
  var $5=$2; //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $6=$3; //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  __ZN2v88internal6VectorIcEC2EPci($4, $5, $6); //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return; //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZN2v88internal13StringBuilderD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2v88internal13StringBuilderD2Ev($2); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZN2v88internal13StringBuilderD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2v88internal13StringBuilder12is_finalizedEv($2); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
      if ($3) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
    case 2: 
      var $5=__ZN2v88internal13StringBuilder8FinalizeEv($2); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
      __label__ = 3; break; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
    case 3: 
      ;
      return; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2v88internal13StringBuilderC2EPci($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=(($4)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $6=$2; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $7=$3; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  __ZN2v88internal6VectorIcEC1EPci($5, $6, $7); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $8=(($4+8)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  HEAP32[(($8)>>2)]=0; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZN2v88internal9RoundWeedENS0_6VectorIcEEiyyyyy($buffer, $length, $distance_too_high_w$0, $distance_too_high_w$1, $unsafe_interval$0, $unsafe_interval$1, $rest$0, $rest$1, $ten_kappa$0, $ten_kappa$1, $unit$0, $unit$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $buffer; $buffer = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($buffer)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($buffer+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $7=__stackBase__+32;
      var $small_distance=__stackBase__+40;
      var $big_distance=__stackBase__+48;
      $2=$length;
      var $st$10$0=(($3)|0);
      HEAP32[(($st$10$0)>>2)]=$distance_too_high_w$0;
      var $st$10$1=(($3+4)|0);
      HEAP32[(($st$10$1)>>2)]=$distance_too_high_w$1;
      var $st$14$0=(($4)|0);
      HEAP32[(($st$14$0)>>2)]=$unsafe_interval$0;
      var $st$14$1=(($4+4)|0);
      HEAP32[(($st$14$1)>>2)]=$unsafe_interval$1;
      var $st$18$0=(($5)|0);
      HEAP32[(($st$18$0)>>2)]=$rest$0;
      var $st$18$1=(($5+4)|0);
      HEAP32[(($st$18$1)>>2)]=$rest$1;
      var $st$22$0=(($6)|0);
      HEAP32[(($st$22$0)>>2)]=$ten_kappa$0;
      var $st$22$1=(($6+4)|0);
      HEAP32[(($st$22$1)>>2)]=$ten_kappa$1;
      var $st$26$0=(($7)|0);
      HEAP32[(($st$26$0)>>2)]=$unit$0;
      var $st$26$1=(($7+4)|0);
      HEAP32[(($st$26$1)>>2)]=$unit$1;
      var $st$30$0=(($3)|0);
      var $8$0=HEAP32[(($st$30$0)>>2)];
      var $st$30$1=(($3+4)|0);
      var $8$1=HEAP32[(($st$30$1)>>2)];
      var $st$34$0=(($7)|0);
      var $9$0=HEAP32[(($st$34$0)>>2)];
      var $st$34$1=(($7+4)|0);
      var $9$1=HEAP32[(($st$34$1)>>2)];
      var $10$0 = (i64Math.subtract($8$0,$8$1,$9$0,$9$1),i64Math.result[0]); var $10$1 = i64Math.result[1]; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$39$0=(($small_distance)|0);
      HEAP32[(($st$39$0)>>2)]=$10$0;
      var $st$39$1=(($small_distance+4)|0);
      HEAP32[(($st$39$1)>>2)]=$10$1;
      var $st$43$0=(($3)|0);
      var $11$0=HEAP32[(($st$43$0)>>2)];
      var $st$43$1=(($3+4)|0);
      var $11$1=HEAP32[(($st$43$1)>>2)];
      var $st$47$0=(($7)|0);
      var $12$0=HEAP32[(($st$47$0)>>2)];
      var $st$47$1=(($7+4)|0);
      var $12$1=HEAP32[(($st$47$1)>>2)];
      var $13$0 = (i64Math.add($11$0,$11$1,$12$0,$12$1),i64Math.result[0]); var $13$1 = i64Math.result[1]; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$52$0=(($big_distance)|0);
      HEAP32[(($st$52$0)>>2)]=$13$0;
      var $st$52$1=(($big_distance+4)|0);
      HEAP32[(($st$52$1)>>2)]=$13$1;
      __label__ = 2; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 2: 
      var $st$0$0=(($5)|0);
      var $15$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($5+4)|0);
      var $15$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($small_distance)|0);
      var $16$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($small_distance+4)|0);
      var $16$1=HEAP32[(($st$4$1)>>2)];
      var $17=($15$1>>>0) < ($16$1>>>0) || (($15$1>>>0) == ($16$1>>>0) && ($15$0>>>0) <  ($16$0>>>0)); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($17) { __label__ = 3; break; } else { var $43 = 0;__label__ = 7; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 3: 
      var $st$0$0=(($4)|0);
      var $19$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($4+4)|0);
      var $19$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($5)|0);
      var $20$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($5+4)|0);
      var $20$1=HEAP32[(($st$4$1)>>2)];
      var $21$0 = (i64Math.subtract($19$0,$19$1,$20$0,$20$1),i64Math.result[0]); var $21$1 = i64Math.result[1]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$9$0=(($6)|0);
      var $22$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($6+4)|0);
      var $22$1=HEAP32[(($st$9$1)>>2)];
      var $23=($21$1>>>0) >= ($22$1>>>0) && (($21$1>>>0) >  ($22$1>>>0) || ($21$0>>>0) >= ($22$0>>>0)); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($23) { __label__ = 4; break; } else { var $43 = 0;__label__ = 7; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 4: 
      var $st$0$0=(($5)|0);
      var $25$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($5+4)|0);
      var $25$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($6)|0);
      var $26$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($6+4)|0);
      var $26$1=HEAP32[(($st$4$1)>>2)];
      var $27$0 = (i64Math.add($25$0,$25$1,$26$0,$26$1),i64Math.result[0]); var $27$1 = i64Math.result[1]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$9$0=(($small_distance)|0);
      var $28$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($small_distance+4)|0);
      var $28$1=HEAP32[(($st$9$1)>>2)];
      var $29=($27$1>>>0) < ($28$1>>>0) || (($27$1>>>0) == ($28$1>>>0) && ($27$0>>>0) <  ($28$0>>>0)); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($29) { var $41 = 1;__label__ = 6; break; } else { __label__ = 5; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 5: 
      var $st$0$0=(($small_distance)|0);
      var $31$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($small_distance+4)|0);
      var $31$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($5)|0);
      var $32$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($5+4)|0);
      var $32$1=HEAP32[(($st$4$1)>>2)];
      var $33$0 = (i64Math.subtract($31$0,$31$1,$32$0,$32$1),i64Math.result[0]); var $33$1 = i64Math.result[1]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$9$0=(($5)|0);
      var $34$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($5+4)|0);
      var $34$1=HEAP32[(($st$9$1)>>2)];
      var $st$13$0=(($6)|0);
      var $35$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($6+4)|0);
      var $35$1=HEAP32[(($st$13$1)>>2)];
      var $36$0 = (i64Math.add($34$0,$34$1,$35$0,$35$1),i64Math.result[0]); var $36$1 = i64Math.result[1]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$18$0=(($small_distance)|0);
      var $37$0=HEAP32[(($st$18$0)>>2)];
      var $st$18$1=(($small_distance+4)|0);
      var $37$1=HEAP32[(($st$18$1)>>2)];
      var $38$0 = (i64Math.subtract($36$0,$36$1,$37$0,$37$1),i64Math.result[0]); var $38$1 = i64Math.result[1]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $39=($33$1>>>0) >= ($38$1>>>0) && (($33$1>>>0) >  ($38$1>>>0) || ($33$0>>>0) >= ($38$0>>>0)); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $41 = $39;__label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 6: 
      var $41;
      var $43 = $41;__label__ = 7; break;
    case 7: 
      var $43;
      if ($43) { __label__ = 8; break; } else { __label__ = 9; break; }
    case 8: 
      var $45=$2; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $46=(($45-1)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $47=__ZNK2v88internal6VectorIcEixEi($buffer, $46); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $48=HEAP8[($47)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $49=(($48-1)&255); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP8[($47)]=$49; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$6$0=(($6)|0);
      var $50$0=HEAP32[(($st$6$0)>>2)];
      var $st$6$1=(($6+4)|0);
      var $50$1=HEAP32[(($st$6$1)>>2)];
      var $st$10$0=(($5)|0);
      var $51$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($5+4)|0);
      var $51$1=HEAP32[(($st$10$1)>>2)];
      var $52$0 = (i64Math.add($51$0,$51$1,$50$0,$50$1),i64Math.result[0]); var $52$1 = i64Math.result[1]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$15$0=(($5)|0);
      HEAP32[(($st$15$0)>>2)]=$52$0;
      var $st$15$1=(($5+4)|0);
      HEAP32[(($st$15$1)>>2)]=$52$1;
      __label__ = 2; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 9: 
      var $st$0$0=(($5)|0);
      var $54$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($5+4)|0);
      var $54$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($big_distance)|0);
      var $55$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($big_distance+4)|0);
      var $55$1=HEAP32[(($st$4$1)>>2)];
      var $56=($54$1>>>0) < ($55$1>>>0) || (($54$1>>>0) == ($55$1>>>0) && ($54$0>>>0) <  ($55$0>>>0)); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($56) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 10: 
      var $st$0$0=(($4)|0);
      var $58$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($4+4)|0);
      var $58$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($5)|0);
      var $59$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($5+4)|0);
      var $59$1=HEAP32[(($st$4$1)>>2)];
      var $60$0 = (i64Math.subtract($58$0,$58$1,$59$0,$59$1),i64Math.result[0]); var $60$1 = i64Math.result[1]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$9$0=(($6)|0);
      var $61$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($6+4)|0);
      var $61$1=HEAP32[(($st$9$1)>>2)];
      var $62=($60$1>>>0) >= ($61$1>>>0) && (($60$1>>>0) >  ($61$1>>>0) || ($60$0>>>0) >= ($61$0>>>0)); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($62) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 11: 
      var $st$0$0=(($5)|0);
      var $64$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($5+4)|0);
      var $64$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($6)|0);
      var $65$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($6+4)|0);
      var $65$1=HEAP32[(($st$4$1)>>2)];
      var $66$0 = (i64Math.add($64$0,$64$1,$65$0,$65$1),i64Math.result[0]); var $66$1 = i64Math.result[1]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$9$0=(($big_distance)|0);
      var $67$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($big_distance+4)|0);
      var $67$1=HEAP32[(($st$9$1)>>2)];
      var $68=($66$1>>>0) < ($67$1>>>0) || (($66$1>>>0) == ($67$1>>>0) && ($66$0>>>0) <  ($67$0>>>0)); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($68) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 12: 
      var $st$0$0=(($big_distance)|0);
      var $70$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($big_distance+4)|0);
      var $70$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($5)|0);
      var $71$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($5+4)|0);
      var $71$1=HEAP32[(($st$4$1)>>2)];
      var $72$0 = (i64Math.subtract($70$0,$70$1,$71$0,$71$1),i64Math.result[0]); var $72$1 = i64Math.result[1]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$9$0=(($5)|0);
      var $73$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($5+4)|0);
      var $73$1=HEAP32[(($st$9$1)>>2)];
      var $st$13$0=(($6)|0);
      var $74$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($6+4)|0);
      var $74$1=HEAP32[(($st$13$1)>>2)];
      var $75$0 = (i64Math.add($73$0,$73$1,$74$0,$74$1),i64Math.result[0]); var $75$1 = i64Math.result[1]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$18$0=(($big_distance)|0);
      var $76$0=HEAP32[(($st$18$0)>>2)];
      var $st$18$1=(($big_distance+4)|0);
      var $76$1=HEAP32[(($st$18$1)>>2)];
      var $77$0 = (i64Math.subtract($75$0,$75$1,$76$0,$76$1),i64Math.result[0]); var $77$1 = i64Math.result[1]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $78=($72$1>>>0) > ($77$1>>>0) || (($72$1>>>0) == ($77$1>>>0) && ($72$0>>>0) >  ($77$0>>>0)); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($78) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 13: 
      $1=0; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 17; break; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 14: 
      var $st$0$0=(($7)|0);
      var $81$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($7+4)|0);
      var $81$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$0$0=2;
      var $$emscripten$temp$0$1=0;
      var $82$0 = (i64Math.multiply($$emscripten$temp$0$0,$$emscripten$temp$0$1,$81$0,$81$1),i64Math.result[0]); var $82$1 = i64Math.result[1]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$7$0=(($5)|0);
      var $83$0=HEAP32[(($st$7$0)>>2)];
      var $st$7$1=(($5+4)|0);
      var $83$1=HEAP32[(($st$7$1)>>2)];
      var $84=($82$1>>>0) <= ($83$1>>>0) && (($82$1>>>0) <  ($83$1>>>0) || ($82$0>>>0) <= ($83$0>>>0)); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($84) { __label__ = 15; break; } else { var $93 = 0;__label__ = 16; break; } //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 15: 
      var $st$0$0=(($5)|0);
      var $86$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($5+4)|0);
      var $86$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($4)|0);
      var $87$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($4+4)|0);
      var $87$1=HEAP32[(($st$4$1)>>2)];
      var $st$8$0=(($7)|0);
      var $88$0=HEAP32[(($st$8$0)>>2)];
      var $st$8$1=(($7+4)|0);
      var $88$1=HEAP32[(($st$8$1)>>2)];
      var $$emscripten$temp$1$0=4;
      var $$emscripten$temp$1$1=0;
      var $89$0 = (i64Math.multiply($$emscripten$temp$1$0,$$emscripten$temp$1$1,$88$0,$88$1),i64Math.result[0]); var $89$1 = i64Math.result[1]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $90$0 = (i64Math.subtract($87$0,$87$1,$89$0,$89$1),i64Math.result[0]); var $90$1 = i64Math.result[1]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $91=($86$1>>>0) <= ($90$1>>>0) && (($86$1>>>0) <  ($90$1>>>0) || ($86$0>>>0) <= ($90$0>>>0)); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $93 = $91;__label__ = 16; break;
    case 16: 
      var $93;
      $1=$93;
      __label__ = 17; break;
    case 17: 
      var $95=$1; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      STACKTOP = __stackBase__;
      return $95; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2v88internal9RoundWeedENS0_6VectorIcEEiyyyyy["X"]=1;

function __ZN2v88internalL15BiggestPowerTenEjiPjPi($number, $number_bits, $power, $exponent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$number;
      $2=$number_bits;
      $3=$power;
      $4=$exponent;
      var $5=$2; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ((($5)|0) == 32 || (($5)|0) == 31 || (($5)|0) == 30) {
        __label__ = 2; break;
      }
      else if ((($5)|0) == 29 || (($5)|0) == 28 || (($5)|0) == 27) {
        __label__ = 5; break;
      }
      else if ((($5)|0) == 26 || (($5)|0) == 25 || (($5)|0) == 24) {
        __label__ = 8; break;
      }
      else if ((($5)|0) == 23 || (($5)|0) == 22 || (($5)|0) == 21 || (($5)|0) == 20) {
        __label__ = 11; break;
      }
      else if ((($5)|0) == 19 || (($5)|0) == 18 || (($5)|0) == 17) {
        __label__ = 14; break;
      }
      else if ((($5)|0) == 16 || (($5)|0) == 15 || (($5)|0) == 14) {
        __label__ = 17; break;
      }
      else if ((($5)|0) == 13 || (($5)|0) == 12 || (($5)|0) == 11 || (($5)|0) == 10) {
        __label__ = 20; break;
      }
      else if ((($5)|0) == 9 || (($5)|0) == 8 || (($5)|0) == 7) {
        __label__ = 23; break;
      }
      else if ((($5)|0) == 6 || (($5)|0) == 5 || (($5)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($5)|0) == 3 || (($5)|0) == 2 || (($5)|0) == 1) {
        __label__ = 29; break;
      }
      else if ((($5)|0) == 0) {
        __label__ = 32; break;
      }
      else {
      __label__ = 33; break;
      }
      
    case 2: 
      var $7=$1; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $8=1000000000 <= (($7)>>>0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 3: 
      var $10=$3; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($10)>>2)]=1000000000; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $11=$4; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($11)>>2)]=9; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 4: 
      __label__ = 5; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 5: 
      var $14=$1; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $15=100000000 <= (($14)>>>0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($15) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 6: 
      var $17=$3; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($17)>>2)]=100000000; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $18=$4; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($18)>>2)]=8; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 7: 
      __label__ = 8; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 8: 
      var $21=$1; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $22=10000000 <= (($21)>>>0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($22) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 9: 
      var $24=$3; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($24)>>2)]=10000000; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $25=$4; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($25)>>2)]=7; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 10: 
      __label__ = 11; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 11: 
      var $28=$1; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $29=1000000 <= (($28)>>>0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($29) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 12: 
      var $31=$3; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($31)>>2)]=1000000; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $32=$4; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($32)>>2)]=6; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 13: 
      __label__ = 14; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 14: 
      var $35=$1; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $36=100000 <= (($35)>>>0); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($36) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 15: 
      var $38=$3; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($38)>>2)]=100000; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $39=$4; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($39)>>2)]=5; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 16: 
      __label__ = 17; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 17: 
      var $42=$1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $43=10000 <= (($42)>>>0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($43) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 18: 
      var $45=$3; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($45)>>2)]=10000; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $46=$4; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($46)>>2)]=4; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 19: 
      __label__ = 20; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 20: 
      var $49=$1; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $50=1000 <= (($49)>>>0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($50) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 21: 
      var $52=$3; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($52)>>2)]=1000; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $53=$4; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($53)>>2)]=3; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 22: 
      __label__ = 23; break; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 23: 
      var $56=$1; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $57=100 <= (($56)>>>0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($57) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 24: 
      var $59=$3; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($59)>>2)]=100; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $60=$4; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($60)>>2)]=2; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 25: 
      __label__ = 26; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 26: 
      var $63=$1; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $64=10 <= (($63)>>>0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($64) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 27: 
      var $66=$3; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($66)>>2)]=10; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $67=$4; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($67)>>2)]=1; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 28: 
      __label__ = 29; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 29: 
      var $70=$1; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $71=1 <= (($70)>>>0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($71) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 30: 
      var $73=$3; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($73)>>2)]=1; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $74=$4; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($74)>>2)]=0; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 31: 
      __label__ = 32; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 32: 
      var $77=$3; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($77)>>2)]=0; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $78=$4; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($78)>>2)]=-1; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 33: 
      var $80=$3; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($80)>>2)]=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $81=$4; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($81)>>2)]=0; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 34; break; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 34: 
      ;
      return; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2v88internalL15BiggestPowerTenEjiPjPi["X"]=1;

function __ZNK2v88internal5DiyFp1fEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $st$4$0=(($3)|0);
  var $4$0=HEAP32[(($st$4$0)>>2)];
  var $st$4$1=(($3+4)|0);
  var $4$1=HEAP32[(($st$4$1)>>2)];
  ;
  return [$4$0,$4$1]; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZNK2v88internal5DiyFp1eEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $4=HEAP32[(($3)>>2)]; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  ;
  return $4; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN2v88internal5DiyFp5set_fEy($this, $new_value$0, $new_value$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$new_value$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$new_value$1;
  var $3=$1;
  var $st$8$0=(($2)|0);
  var $4$0=HEAP32[(($st$8$0)>>2)];
  var $st$8$1=(($2+4)|0);
  var $4$1=HEAP32[(($st$8$1)>>2)];
  var $5=(($3)|0); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $st$13$0=(($5)|0);
  HEAP32[(($st$13$0)>>2)]=$4$0;
  var $st$13$1=(($5+4)|0);
  HEAP32[(($st$13$1)>>2)]=$4$1;
  STACKTOP = __stackBase__;
  return; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN2v88internal5DiyFp5set_eEi($this, $new_value) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$new_value;
  var $3=$1;
  var $4=$2; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $5=(($3+8)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  HEAP32[(($5)>>2)]=$4; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  ;
  return; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN2v88internal8DigitGenENS0_5DiyFpES1_S1_NS0_6VectorIcEEPiS4_($low, $w, $high, $buffer, $length, $kappa) {
  var __stackBase__  = STACKTOP; STACKTOP += 120; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $low; $low = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($low)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($low+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($low+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var tempParam = $w; $w = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($w)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($w+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($w+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var tempParam = $high; $high = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($high)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($high+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($high+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var tempParam = $buffer; $buffer = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($buffer)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($buffer+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $unit=__stackBase__;
      var $too_low=__stackBase__+8;
      var $too_high=__stackBase__+20;
      var $unsafe_interval=__stackBase__+32;
      var $one=__stackBase__+44;
      var $integrals;
      var $fractionals=__stackBase__+56;
      var $divider=__stackBase__+64;
      var $divider_exponent=__stackBase__+68;
      var $digit;
      var $rest=__stackBase__+72;
      var $4=__stackBase__+80;
      var $5=__stackBase__+88;
      var $digit1;
      var $6=__stackBase__+100;
      var $7=__stackBase__+108;
      $2=$length;
      $3=$kappa;
      var $$emscripten$temp$0$0=1;
      var $$emscripten$temp$0$1=0;
      var $st$23$0=(($unit)|0);
      HEAP32[(($st$23$0)>>2)]=$$emscripten$temp$0$0;
      var $st$23$1=(($unit+4)|0);
      HEAP32[(($st$23$1)>>2)]=$$emscripten$temp$0$1;
      var $8=__ZNK2v88internal5DiyFp1fEv($low);
      var $8$0=$8[0];
      var $8$1=$8[1];
      var $st$30$0=(($unit)|0);
      var $9$0=HEAP32[(($st$30$0)>>2)];
      var $st$30$1=(($unit+4)|0);
      var $9$1=HEAP32[(($st$30$1)>>2)];
      var $10$0 = (i64Math.subtract($8$0,$8$1,$9$0,$9$1),i64Math.result[0]); var $10$1 = i64Math.result[1]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $11=__ZNK2v88internal5DiyFp1eEv($low); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internal5DiyFpC1Eyi($too_low, $10$0, $10$1, $11);
      var $12=__ZNK2v88internal5DiyFp1fEv($high);
      var $12$0=$12[0];
      var $12$1=$12[1];
      var $st$40$0=(($unit)|0);
      var $13$0=HEAP32[(($st$40$0)>>2)];
      var $st$40$1=(($unit+4)|0);
      var $13$1=HEAP32[(($st$40$1)>>2)];
      var $14$0 = (i64Math.add($12$0,$12$1,$13$0,$13$1),i64Math.result[0]); var $14$1 = i64Math.result[1]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $15=__ZNK2v88internal5DiyFp1eEv($high); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internal5DiyFpC1Eyi($too_high, $14$0, $14$1, $15);
      __ZN2v88internal5DiyFp5MinusERKS1_S3_($unsafe_interval, $too_high, $too_low); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $16=__ZNK2v88internal5DiyFp1eEv($w); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $17=(((-$16))|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $18$0=$17;
      var $18$1=0;
      var $$emscripten$temp$1$0=1;
      var $$emscripten$temp$1$1=0;
      var $19=Runtime.bitshift64($$emscripten$temp$1$0, $$emscripten$temp$1$1,"shl",$18$0);var $19$0 = $19[0], $19$1 = $19[1]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $20=__ZNK2v88internal5DiyFp1eEv($w); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internal5DiyFpC1Eyi($one, $19$0, $19$1, $20);
      var $21=__ZNK2v88internal5DiyFp1fEv($too_high);
      var $21$0=$21[0];
      var $21$1=$21[1];
      var $22=__ZNK2v88internal5DiyFp1eEv($one); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $23=(((-$22))|0); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $24$0=$23;
      var $24$1=0;
      var $25=Runtime.bitshift64($21$0, $21$1,"lshr",$24$0);var $25$0 = $25[0], $25$1 = $25[1]; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $26$0=$25$0;
      var $26=$26$0;
      $integrals=$26; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $27=__ZNK2v88internal5DiyFp1fEv($too_high);
      var $27$0=$27[0];
      var $27$1=$27[1];
      var $28=__ZNK2v88internal5DiyFp1fEv($one);
      var $28$0=$28[0];
      var $28$1=$28[1];
      var $$emscripten$temp$2$0=1;
      var $$emscripten$temp$2$1=0;
      var $29$0 = (i64Math.subtract($28$0,$28$1,$$emscripten$temp$2$0,$$emscripten$temp$2$1),i64Math.result[0]); var $29$1 = i64Math.result[1]; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $30$0=$27$0 & $29$0;
      var $30$1=$27$1 & $29$1;
      var $st$79$0=(($fractionals)|0);
      HEAP32[(($st$79$0)>>2)]=$30$0;
      var $st$79$1=(($fractionals+4)|0);
      HEAP32[(($st$79$1)>>2)]=$30$1;
      var $31=$integrals; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $32=__ZNK2v88internal5DiyFp1eEv($one); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $33=(((-$32))|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $34=((64-$33)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internalL15BiggestPowerTenEjiPjPi($31, $34, $divider, $divider_exponent); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $35=HEAP32[(($divider_exponent)>>2)]; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $36=(($35+1)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $37=$3; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($37)>>2)]=$36; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $38=$2; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($38)>>2)]=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 2; break; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 2: 
      var $40=$3; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $41=HEAP32[(($40)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $42=(($41)|0) > 0; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($42) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 3: 
      var $44=$integrals; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $45=HEAPU32[(($divider)>>2)]; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $46=Math.floor((($44)>>>0)/(($45)>>>0)); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      $digit=$46; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $47=$digit; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $48=(($47+48)|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $49=(($48) & 255); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $50=$2; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $51=HEAP32[(($50)>>2)]; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $52=__ZNK2v88internal6VectorIcEixEi($buffer, $51); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP8[($52)]=$49; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $53=$2; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $54=HEAP32[(($53)>>2)]; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $55=(($54+1)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($53)>>2)]=$55; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $56=HEAPU32[(($divider)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $57=$integrals; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $58=(($57)>>>0)%(($56)>>>0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      $integrals=$58; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $59=$3; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $60=HEAP32[(($59)>>2)]; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $61=(($60-1)|0); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($59)>>2)]=$61; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $62=$integrals; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $63$0=$62;
      var $63$1=0;
      var $64=__ZNK2v88internal5DiyFp1eEv($one); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $65=(((-$64))|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $66$0=$65;
      var $66$1=0;
      var $67=Runtime.bitshift64($63$0, $63$1,"shl",$66$0);var $67$0 = $67[0], $67$1 = $67[1]; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$31$0=(($fractionals)|0);
      var $68$0=HEAP32[(($st$31$0)>>2)];
      var $st$31$1=(($fractionals+4)|0);
      var $68$1=HEAP32[(($st$31$1)>>2)];
      var $69$0 = (i64Math.add($67$0,$67$1,$68$0,$68$1),i64Math.result[0]); var $69$1 = i64Math.result[1]; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$36$0=(($rest)|0);
      HEAP32[(($st$36$0)>>2)]=$69$0;
      var $st$36$1=(($rest+4)|0);
      HEAP32[(($st$36$1)>>2)]=$69$1;
      var $st$40$0=(($rest)|0);
      var $70$0=HEAP32[(($st$40$0)>>2)];
      var $st$40$1=(($rest+4)|0);
      var $70$1=HEAP32[(($st$40$1)>>2)];
      var $71=__ZNK2v88internal5DiyFp1fEv($unsafe_interval);
      var $71$0=$71[0];
      var $71$1=$71[1];
      var $72=($70$1>>>0) < ($71$1>>>0) || (($70$1>>>0) == ($71$1>>>0) && ($70$0>>>0) <  ($71$0>>>0)); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($72) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 4: 
      var $74=$4; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $75=$buffer; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($74)>>2)]=HEAP32[(($75)>>2)];HEAP32[(($74+4)>>2)]=HEAP32[(($75+4)>>2)]; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $76=$2; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $77=HEAP32[(($76)>>2)]; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internal5DiyFp5MinusERKS1_S3_($5, $too_high, $w); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $78=__ZNK2v88internal5DiyFp1fEv($5);
      var $78$0=$78[0];
      var $78$1=$78[1];
      var $79=__ZNK2v88internal5DiyFp1fEv($unsafe_interval);
      var $79$0=$79[0];
      var $79$1=$79[1];
      var $st$12$0=(($rest)|0);
      var $80$0=HEAP32[(($st$12$0)>>2)];
      var $st$12$1=(($rest+4)|0);
      var $80$1=HEAP32[(($st$12$1)>>2)];
      var $81=HEAP32[(($divider)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $82$0=$81;
      var $82$1=0;
      var $83=__ZNK2v88internal5DiyFp1eEv($one); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $84=(((-$83))|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $85$0=$84;
      var $85$1=0;
      var $86=Runtime.bitshift64($82$0, $82$1,"shl",$85$0);var $86$0 = $86[0], $86$1 = $86[1]; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$24$0=(($unit)|0);
      var $87$0=HEAP32[(($st$24$0)>>2)];
      var $st$24$1=(($unit+4)|0);
      var $87$1=HEAP32[(($st$24$1)>>2)];
      var $88=__ZN2v88internal9RoundWeedENS0_6VectorIcEEiyyyyy($4, $77, $78$0, $78$1, $79$0, $79$1, $80$0, $80$1, $86$0, $86$1, $87$0, $87$1);
      var $88$0=$88[0];
      $1=$88; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 10; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 5: 
      var $90=HEAPU32[(($divider)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $91=Math.floor((($90)>>>0)/10); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($divider)>>2)]=$91; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 2; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 6: 
      __label__ = 7; break; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 7: 
      var $st$0$0=(($fractionals)|0);
      var $94$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($fractionals+4)|0);
      var $94$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$3$0=5;
      var $$emscripten$temp$3$1=0;
      var $95$0 = (i64Math.multiply($94$0,$94$1,$$emscripten$temp$3$0,$$emscripten$temp$3$1),i64Math.result[0]); var $95$1 = i64Math.result[1]; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$7$0=(($fractionals)|0);
      HEAP32[(($st$7$0)>>2)]=$95$0;
      var $st$7$1=(($fractionals+4)|0);
      HEAP32[(($st$7$1)>>2)]=$95$1;
      var $st$11$0=(($unit)|0);
      var $96$0=HEAP32[(($st$11$0)>>2)];
      var $st$11$1=(($unit+4)|0);
      var $96$1=HEAP32[(($st$11$1)>>2)];
      var $$emscripten$temp$4$0=5;
      var $$emscripten$temp$4$1=0;
      var $97$0 = (i64Math.multiply($96$0,$96$1,$$emscripten$temp$4$0,$$emscripten$temp$4$1),i64Math.result[0]); var $97$1 = i64Math.result[1]; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$18$0=(($unit)|0);
      HEAP32[(($st$18$0)>>2)]=$97$0;
      var $st$18$1=(($unit+4)|0);
      HEAP32[(($st$18$1)>>2)]=$97$1;
      var $98=__ZNK2v88internal5DiyFp1fEv($unsafe_interval);
      var $98$0=$98[0];
      var $98$1=$98[1];
      var $$emscripten$temp$5$0=5;
      var $$emscripten$temp$5$1=0;
      var $99$0 = (i64Math.multiply($98$0,$98$1,$$emscripten$temp$5$0,$$emscripten$temp$5$1),i64Math.result[0]); var $99$1 = i64Math.result[1]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internal5DiyFp5set_fEy($unsafe_interval, $99$0, $99$1);
      var $100=__ZNK2v88internal5DiyFp1eEv($unsafe_interval); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $101=(($100+1)|0); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internal5DiyFp5set_eEi($unsafe_interval, $101); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $102=__ZNK2v88internal5DiyFp1fEv($one);
      var $102$0=$102[0];
      var $102$1=$102[1];
      var $103$0=($102$0 >>> 1) | ($102$1 << 31);
      var $103$1=($102$1 >>> 1) | (0 << 31);
      __ZN2v88internal5DiyFp5set_fEy($one, $103$0, $103$1);
      var $104=__ZNK2v88internal5DiyFp1eEv($one); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $105=(($104+1)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internal5DiyFp5set_eEi($one, $105); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$41$0=(($fractionals)|0);
      var $106$0=HEAP32[(($st$41$0)>>2)];
      var $st$41$1=(($fractionals+4)|0);
      var $106$1=HEAP32[(($st$41$1)>>2)];
      var $107=__ZNK2v88internal5DiyFp1eEv($one); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $108=(((-$107))|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $109$0=$108;
      var $109$1=0;
      var $110=Runtime.bitshift64($106$0, $106$1,"lshr",$109$0);var $110$0 = $110[0], $110$1 = $110[1]; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $111$0=$110$0;
      var $111=$111$0;
      $digit1=$111; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $112=$digit1; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $113=(($112+48)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $114=(($113) & 255); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $115=$2; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $116=HEAP32[(($115)>>2)]; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $117=__ZNK2v88internal6VectorIcEixEi($buffer, $116); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP8[($117)]=$114; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $118=$2; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $119=HEAP32[(($118)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $120=(($119+1)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($118)>>2)]=$120; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $121=__ZNK2v88internal5DiyFp1fEv($one);
      var $121$0=$121[0];
      var $121$1=$121[1];
      var $$emscripten$temp$6$0=1;
      var $$emscripten$temp$6$1=0;
      var $122$0 = (i64Math.subtract($121$0,$121$1,$$emscripten$temp$6$0,$$emscripten$temp$6$1),i64Math.result[0]); var $122$1 = i64Math.result[1]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$70$0=(($fractionals)|0);
      var $123$0=HEAP32[(($st$70$0)>>2)];
      var $st$70$1=(($fractionals+4)|0);
      var $123$1=HEAP32[(($st$70$1)>>2)];
      var $124$0=$123$0 & $122$0;
      var $124$1=$123$1 & $122$1;
      var $st$76$0=(($fractionals)|0);
      HEAP32[(($st$76$0)>>2)]=$124$0;
      var $st$76$1=(($fractionals+4)|0);
      HEAP32[(($st$76$1)>>2)]=$124$1;
      var $125=$3; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $126=HEAP32[(($125)>>2)]; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $127=(($126-1)|0); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      HEAP32[(($125)>>2)]=$127; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $st$84$0=(($fractionals)|0);
      var $128$0=HEAP32[(($st$84$0)>>2)];
      var $st$84$1=(($fractionals+4)|0);
      var $128$1=HEAP32[(($st$84$1)>>2)];
      var $129=__ZNK2v88internal5DiyFp1fEv($unsafe_interval);
      var $129$0=$129[0];
      var $129$1=$129[1];
      var $130=($128$1>>>0) < ($129$1>>>0) || (($128$1>>>0) == ($129$1>>>0) && ($128$0>>>0) <  ($129$0>>>0)); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      if ($130) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 8: 
      var $132=$6; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $133=$buffer; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($132)>>2)]=HEAP32[(($133)>>2)];HEAP32[(($132+4)>>2)]=HEAP32[(($133+4)>>2)]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $134=$2; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $135=HEAP32[(($134)>>2)]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __ZN2v88internal5DiyFp5MinusERKS1_S3_($7, $too_high, $w); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $136=__ZNK2v88internal5DiyFp1fEv($7);
      var $136$0=$136[0];
      var $136$1=$136[1];
      var $st$9$0=(($unit)|0);
      var $137$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($unit+4)|0);
      var $137$1=HEAP32[(($st$9$1)>>2)];
      var $138$0 = (i64Math.multiply($136$0,$136$1,$137$0,$137$1),i64Math.result[0]); var $138$1 = i64Math.result[1]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      var $139=__ZNK2v88internal5DiyFp1fEv($unsafe_interval);
      var $139$0=$139[0];
      var $139$1=$139[1];
      var $st$17$0=(($fractionals)|0);
      var $140$0=HEAP32[(($st$17$0)>>2)];
      var $st$17$1=(($fractionals+4)|0);
      var $140$1=HEAP32[(($st$17$1)>>2)];
      var $141=__ZNK2v88internal5DiyFp1fEv($one);
      var $141$0=$141[0];
      var $141$1=$141[1];
      var $st$24$0=(($unit)|0);
      var $142$0=HEAP32[(($st$24$0)>>2)];
      var $st$24$1=(($unit+4)|0);
      var $142$1=HEAP32[(($st$24$1)>>2)];
      var $143=__ZN2v88internal9RoundWeedENS0_6VectorIcEEiyyyyy($6, $135, $138$0, $138$1, $139$0, $139$1, $140$0, $140$1, $141$0, $141$1, $142$0, $142$1);
      var $143$0=$143[0];
      $1=$143; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      __label__ = 10; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 9: 
      __label__ = 7; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    case 10: 
      var $146=$1; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
      STACKTOP = __stackBase__;
      return $146; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2v88internal8DigitGenENS0_5DiyFpES1_S1_NS0_6VectorIcEEPiS4_["X"]=1;

function __ZN2v88internal5DiyFpC1Eyi($this, $f$0, $f$1, $e) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3;
  $1=$this;
  var $st$4$0=(($2)|0);
  HEAP32[(($st$4$0)>>2)]=$f$0;
  var $st$4$1=(($2+4)|0);
  HEAP32[(($st$4$1)>>2)]=$f$1;
  $3=$e;
  var $4=$1;
  var $st$10$0=(($2)|0);
  var $5$0=HEAP32[(($st$10$0)>>2)];
  var $st$10$1=(($2+4)|0);
  var $5$1=HEAP32[(($st$10$1)>>2)];
  var $6=$3; //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  __ZN2v88internal5DiyFpC2Eyi($4, $5$0, $5$1, $6);
  STACKTOP = __stackBase__;
  return; //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN2v88internal5DiyFp5MinusERKS1_S3_($agg_result, $a, $b) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$a;
  $2=$b;
  var $3=$1; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $4=$agg_result; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $5=$3; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];HEAP32[(($4+8)>>2)]=HEAP32[(($5+8)>>2)]; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $6=$2; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  __ZN2v88internal5DiyFp8SubtractERKS1_($agg_result, $6); //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  ;
  return; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN2v88internal6grisu3EdNS0_6VectorIcEEPiS3_($v, $buffer, $length, $decimal_exponent) {
  var __stackBase__  = STACKTOP; STACKTOP += 152; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $buffer; $buffer = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($buffer)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($buffer+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $w=__stackBase__;
  var $4=__stackBase__+12;
  var $boundary_minus=__stackBase__+20;
  var $boundary_plus=__stackBase__+32;
  var $5=__stackBase__+44;
  var $ten_mk=__stackBase__+52;
  var $mk=__stackBase__+64;
  var $scaled_w=__stackBase__+68;
  var $scaled_boundary_minus=__stackBase__+80;
  var $scaled_boundary_plus=__stackBase__+92;
  var $kappa=__stackBase__+104;
  var $result;
  var $6=__stackBase__+108;
  var $7=__stackBase__+120;
  var $8=__stackBase__+132;
  var $9=__stackBase__+144;
  $1=$v;
  $2=$length;
  $3=$decimal_exponent;
  var $10=$1; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internal6DoubleC1Ed($4, $10); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZNK2v88internal6Double17AsNormalizedDiyFpEv($w, $4); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internal5DiyFpC1Ev($boundary_minus); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internal5DiyFpC1Ev($boundary_plus); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $11=$1; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internal6DoubleC1Ed($5, $11); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZNK2v88internal6Double20NormalizedBoundariesEPNS0_5DiyFpES3_($5, $boundary_minus, $boundary_plus); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internal5DiyFpC1Ev($ten_mk); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $12=__ZNK2v88internal5DiyFp1eEv($w); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $13=(($12+64)|0); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internalL14GetCachedPowerEiiiPiPNS0_5DiyFpE($13, -60, -32, $mk, $ten_mk); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internal5DiyFp5TimesERKS1_S3_($scaled_w, $w, $ten_mk); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internal5DiyFp5TimesERKS1_S3_($scaled_boundary_minus, $boundary_minus, $ten_mk); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  __ZN2v88internal5DiyFp5TimesERKS1_S3_($scaled_boundary_plus, $boundary_plus, $ten_mk); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $14=$6; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $15=$scaled_boundary_minus; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];HEAP32[(($14+8)>>2)]=HEAP32[(($15+8)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $16=$7; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $17=$scaled_w; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];HEAP32[(($16+8)>>2)]=HEAP32[(($17+8)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $18=$8; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $19=$scaled_boundary_plus; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];HEAP32[(($18+8)>>2)]=HEAP32[(($19+8)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $20=$9; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $21=$buffer; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $22=$2; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $23=__ZN2v88internal8DigitGenENS0_5DiyFpES1_S1_NS0_6VectorIcEEPiS4_($6, $7, $8, $9, $22, $kappa); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $24=(($23)&1); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  $result=$24; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $25=HEAP32[(($mk)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $26=(((-$25))|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $27=HEAP32[(($kappa)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $28=(($26+$27)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $29=$3; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  HEAP32[(($29)>>2)]=$28; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $30=$result; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $31=(($30) & 1); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  STACKTOP = __stackBase__;
  return $31; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
}
__ZN2v88internal6grisu3EdNS0_6VectorIcEEPiS3_["X"]=1;

function __ZN2v88internal6DoubleC1Ed($this, $d) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$d;
  var $3=$1;
  var $4=$2; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  __ZN2v88internal6DoubleC2Ed($3, $4); //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  ;
  return; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
}


function __ZNK2v88internal6Double17AsNormalizedDiyFpEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $f=__stackBase__;
      var $e;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2v88internal6Double11SignificandEv($2);
      var $3$0=$3[0];
      var $3$1=$3[1];
      var $st$8$0=(($f)|0);
      HEAP32[(($st$8$0)>>2)]=$3$0;
      var $st$8$1=(($f+4)|0);
      HEAP32[(($st$8$1)>>2)]=$3$1;
      var $4=__ZNK2v88internal6Double8ExponentEv($2); //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      $e=$4; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __label__ = 2; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 2: 
      var $st$0$0=(($f)|0);
      var $6$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($f+4)|0);
      var $6$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=1048576;
      var $7$0=$6$0 & $$emscripten$temp$0$0;
      var $7$1=$6$1 & $$emscripten$temp$0$1;
      var $$emscripten$temp$1$0=0;
      var $$emscripten$temp$1$1=0;
      var $8=$7$0 == $$emscripten$temp$1$0 && $7$1 == $$emscripten$temp$1$1; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 3: 
      var $st$0$0=(($f)|0);
      var $10$0=HEAPU32[(($st$0$0)>>2)];
      var $st$0$1=(($f+4)|0);
      var $10$1=HEAPU32[(($st$0$1)>>2)];
      var $11$0=($10$0 << 1) | (0 >>> 31);
      var $11$1=($10$1 << 1) | ($10$0 >>> 31);
      var $st$6$0=(($f)|0);
      HEAP32[(($st$6$0)>>2)]=$11$0;
      var $st$6$1=(($f+4)|0);
      HEAP32[(($st$6$1)>>2)]=$11$1;
      var $12=$e; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $13=(($12-1)|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      $e=$13; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __label__ = 2; break; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 4: 
      var $st$0$0=(($f)|0);
      var $15$0=HEAPU32[(($st$0$0)>>2)];
      var $st$0$1=(($f+4)|0);
      var $15$1=HEAPU32[(($st$0$1)>>2)];
      var $16$0=($15$0 << 11) | (0 >>> 21);
      var $16$1=($15$1 << 11) | ($15$0 >>> 21);
      var $st$6$0=(($f)|0);
      HEAP32[(($st$6$0)>>2)]=$16$0;
      var $st$6$1=(($f+4)|0);
      HEAP32[(($st$6$1)>>2)]=$16$1;
      var $17=$e; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $18=(($17-11)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      $e=$18; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $st$13$0=(($f)|0);
      var $19$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($f+4)|0);
      var $19$1=HEAP32[(($st$13$1)>>2)];
      var $20=$e; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __ZN2v88internal5DiyFpC1Eyi($agg_result, $19$0, $19$1, $20);
      STACKTOP = __stackBase__;
      return; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2v88internal6Double17AsNormalizedDiyFpEv["X"]=1;

function __ZN2v88internal5DiyFpC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2v88internal5DiyFpC2Ev($2); //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  ;
  return; //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZNK2v88internal6Double20NormalizedBoundariesEPNS0_5DiyFpES3_($this, $out_m_minus, $out_m_plus) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v=__stackBase__;
      var $significand_is_zero;
      var $m_plus=__stackBase__+12;
      var $4=__stackBase__+24;
      var $m_minus=__stackBase__+36;
      var $5=__stackBase__+48;
      var $6=__stackBase__+60;
      $1=$this;
      $2=$out_m_minus;
      $3=$out_m_plus;
      var $7=$1;
      __ZNK2v88internal6Double7AsDiyFpEv($v, $7); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $8=__ZNK2v88internal5DiyFp1fEv($v);
      var $8$0=$8[0];
      var $8$1=$8[1];
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=1048576;
      var $9=$8$0 == $$emscripten$temp$0$0 && $8$1 == $$emscripten$temp$0$1; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $10=(($9)&1); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      $significand_is_zero=$10; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $11=__ZNK2v88internal5DiyFp1fEv($v);
      var $11$0=$11[0];
      var $11$1=$11[1];
      var $12$0=($11$0 << 1) | (0 >>> 31);
      var $12$1=($11$1 << 1) | ($11$0 >>> 31);
      var $$emscripten$temp$1$0=1;
      var $$emscripten$temp$1$1=0;
      var $13$0 = (i64Math.add($12$0,$12$1,$$emscripten$temp$1$0,$$emscripten$temp$1$1),i64Math.result[0]); var $13$1 = i64Math.result[1]; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $14=__ZNK2v88internal5DiyFp1eEv($v); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $15=(($14-1)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __ZN2v88internal5DiyFpC1Eyi($4, $13$0, $13$1, $15);
      __ZN2v88internal5DiyFp9NormalizeERKS1_($m_plus, $4); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __ZN2v88internal5DiyFpC1Ev($m_minus); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $16=$significand_is_zero; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $17=(($16) & 1); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      if ($17) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 2: 
      var $19=__ZNK2v88internal5DiyFp1eEv($v); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $20=(($19)|0)!=-1074; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      if ($20) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 3: 
      var $22=__ZNK2v88internal5DiyFp1fEv($v);
      var $22$0=$22[0];
      var $22$1=$22[1];
      var $23$0=($22$0 << 2) | (0 >>> 30);
      var $23$1=($22$1 << 2) | ($22$0 >>> 30);
      var $$emscripten$temp$2$0=1;
      var $$emscripten$temp$2$1=0;
      var $24$0 = (i64Math.subtract($23$0,$23$1,$$emscripten$temp$2$0,$$emscripten$temp$2$1),i64Math.result[0]); var $24$1 = i64Math.result[1]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $25=__ZNK2v88internal5DiyFp1eEv($v); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $26=(($25-2)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __ZN2v88internal5DiyFpC1Eyi($5, $24$0, $24$1, $26);
      var $27=$m_minus; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $28=$5; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)];HEAP32[(($27+8)>>2)]=HEAP32[(($28+8)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __label__ = 5; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 4: 
      var $30=__ZNK2v88internal5DiyFp1fEv($v);
      var $30$0=$30[0];
      var $30$1=$30[1];
      var $31$0=($30$0 << 1) | (0 >>> 31);
      var $31$1=($30$1 << 1) | ($30$0 >>> 31);
      var $$emscripten$temp$3$0=1;
      var $$emscripten$temp$3$1=0;
      var $32$0 = (i64Math.subtract($31$0,$31$1,$$emscripten$temp$3$0,$$emscripten$temp$3$1),i64Math.result[0]); var $32$1 = i64Math.result[1]; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $33=__ZNK2v88internal5DiyFp1eEv($v); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $34=(($33-1)|0); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __ZN2v88internal5DiyFpC1Eyi($6, $32$0, $32$1, $34);
      var $35=$m_minus; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $36=$6; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)];HEAP32[(($35+8)>>2)]=HEAP32[(($36+8)>>2)]; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __label__ = 5; break;
    case 5: 
      var $38=__ZNK2v88internal5DiyFp1fEv($m_minus);
      var $38$0=$38[0];
      var $38$1=$38[1];
      var $39=__ZNK2v88internal5DiyFp1eEv($m_minus); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $40=__ZNK2v88internal5DiyFp1eEv($m_plus); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $41=(($39-$40)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $42$0=$41;
      var $42$1=0;
      var $43=Runtime.bitshift64($38$0, $38$1,"shl",$42$0);var $43$0 = $43[0], $43$1 = $43[1]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __ZN2v88internal5DiyFp5set_fEy($m_minus, $43$0, $43$1);
      var $44=__ZNK2v88internal5DiyFp1eEv($m_plus); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __ZN2v88internal5DiyFp5set_eEi($m_minus, $44); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $45=$3; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $46=$45; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $47=$m_plus; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)];HEAP32[(($46+8)>>2)]=HEAP32[(($47+8)>>2)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $48=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $49=$48; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $50=$m_minus; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)];HEAP32[(($49+8)>>2)]=HEAP32[(($50+8)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      STACKTOP = __stackBase__;
      return; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2v88internal6Double20NormalizedBoundariesEPNS0_5DiyFpES3_["X"]=1;

function __ZN2v88internalL14GetCachedPowerEiiiPiPNS0_5DiyFpE($e, $alpha, $gamma, $mk, $c_mk) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $found;
      var $cached_power=__stackBase__;
      var $kQ;
      var $k;
      var $index;
      var $kQ1;
      var $k2;
      var $index3;
      var $kQ4;
      var $k5;
      var $index6;
      var $kQ7;
      var $k8;
      var $index9;
      var $kQ10;
      var $k11;
      var $index12;
      var $kQ13;
      var $k14;
      var $index15;
      var $kQ16;
      var $k17;
      var $index18;
      var $kQ19;
      var $k20;
      var $index21;
      var $kQ22;
      var $k23;
      var $index24;
      var $kQ25;
      var $k26;
      var $index27;
      var $kQ28;
      var $k29;
      var $index30;
      var $kQ31;
      var $k32;
      var $index33;
      var $kQ34;
      var $k35;
      var $index36;
      var $kQ37;
      var $k38;
      var $index39;
      var $kQ40;
      var $k41;
      var $index42;
      var $kQ43;
      var $k44;
      var $index45;
      var $kQ46;
      var $k47;
      var $index48;
      var $kQ49;
      var $k50;
      var $index51;
      var $kQ52;
      var $k53;
      var $index54;
      var $kQ55;
      var $k56;
      var $index57;
      var $6=__stackBase__+12;
      $1=$e;
      $2=$alpha;
      $3=$gamma;
      $4=$mk;
      $5=$c_mk;
      $found=0; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $7=$found; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $8=(($7) & 1); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($8) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 2: 
      var $10=$3; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $11=$2; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $12=(($10-$11)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $13=(($12+1)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $14=(($13)|0) >= 67; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 3: 
      $kQ=64; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $16=$2; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $17=$1; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $18=(($16-$17)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $19=$kQ; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $20=(($18+$19)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $21=(($20-1)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $22=(($21)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $23=$22*0.30102999566398114; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $24=__ZN2v88internal7ceilingEd($23); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k=$24; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $25=$k; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $26=(($25)&-1); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $27=(($26+308)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $28=(($27-1)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $29=(((($28)|0)/20)&-1); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $30=(($29+1)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index=$30; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $31=$index; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $32=((__ZN2v88internalL15kCachedPowers20E+$31*12)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $33=$cached_power; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $34=$32; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)];HEAP32[(($33+8)>>2)]=HEAP32[(($34+8)>>2)]; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 4; break; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 4: 
      var $36=$found; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $37=(($36) & 1); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($37) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 5: 
      var $39=$3; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $40=$2; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $41=(($39-$40)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $42=(($41+1)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $43=(($42)|0) >= 64; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($43) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 6: 
      $kQ1=64; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $45=$2; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $46=$1; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $47=(($45-$46)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $48=$kQ1; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $49=(($47+$48)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $50=(($49-1)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $51=(($50)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $52=$51*0.30102999566398114; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $53=__ZN2v88internal7ceilingEd($52); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k2=$53; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $54=$k2; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $55=(($54)&-1); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $56=(($55+308)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $57=(($56-1)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $58=(((($57)|0)/19)&-1); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $59=(($58+1)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index3=$59; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $60=$index3; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $61=((__ZN2v88internalL15kCachedPowers19E+$60*12)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $62=$cached_power; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $63=$61; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)];HEAP32[(($62+8)>>2)]=HEAP32[(($63+8)>>2)]; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 7; break; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 7: 
      var $65=$found; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $66=(($65) & 1); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($66) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 8: 
      var $68=$3; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $69=$2; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $70=(($68-$69)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $71=(($70+1)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $72=(($71)|0) >= 60; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($72) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 9: 
      $kQ4=64; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $74=$2; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $75=$1; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $76=(($74-$75)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $77=$kQ4; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $78=(($76+$77)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $79=(($78-1)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $80=(($79)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $81=$80*0.30102999566398114; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $82=__ZN2v88internal7ceilingEd($81); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k5=$82; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $83=$k5; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $84=(($83)&-1); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $85=(($84+308)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $86=(($85-1)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $87=(((($86)|0)/18)&-1); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $88=(($87+1)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index6=$88; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $89=$index6; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $90=((__ZN2v88internalL15kCachedPowers18E+$89*12)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $91=$cached_power; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $92=$90; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($91)>>2)]=HEAP32[(($92)>>2)];HEAP32[(($91+4)>>2)]=HEAP32[(($92+4)>>2)];HEAP32[(($91+8)>>2)]=HEAP32[(($92+8)>>2)]; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 10; break; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 10: 
      var $94=$found; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $95=(($94) & 1); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($95) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 11: 
      var $97=$3; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $98=$2; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $99=(($97-$98)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $100=(($99+1)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $101=(($100)|0) >= 57; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($101) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 12: 
      $kQ7=64; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $103=$2; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $104=$1; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $105=(($103-$104)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $106=$kQ7; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $107=(($105+$106)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $108=(($107-1)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $109=(($108)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $110=$109*0.30102999566398114; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $111=__ZN2v88internal7ceilingEd($110); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k8=$111; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $112=$k8; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $113=(($112)&-1); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $114=(($113+308)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $115=(($114-1)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $116=(((($115)|0)/17)&-1); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $117=(($116+1)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index9=$117; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $118=$index9; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $119=((__ZN2v88internalL15kCachedPowers17E+$118*12)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $120=$cached_power; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $121=$119; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($120)>>2)]=HEAP32[(($121)>>2)];HEAP32[(($120+4)>>2)]=HEAP32[(($121+4)>>2)];HEAP32[(($120+8)>>2)]=HEAP32[(($121+8)>>2)]; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 13; break; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 13: 
      var $123=$found; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $124=(($123) & 1); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($124) { __label__ = 16; break; } else { __label__ = 14; break; } //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 14: 
      var $126=$3; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $127=$2; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $128=(($126-$127)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $129=(($128+1)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $130=(($129)|0) >= 54; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($130) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 15: 
      $kQ10=64; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $132=$2; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $133=$1; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $134=(($132-$133)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $135=$kQ10; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $136=(($134+$135)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $137=(($136-1)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $138=(($137)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $139=$138*0.30102999566398114; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $140=__ZN2v88internal7ceilingEd($139); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k11=$140; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $141=$k11; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $142=(($141)&-1); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $143=(($142+308)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $144=(($143-1)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $145=(((($144)|0)/16)&-1); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $146=(($145+1)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index12=$146; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $147=$index12; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $148=((__ZN2v88internalL15kCachedPowers16E+$147*12)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $149=$cached_power; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $150=$148; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($149)>>2)]=HEAP32[(($150)>>2)];HEAP32[(($149+4)>>2)]=HEAP32[(($150+4)>>2)];HEAP32[(($149+8)>>2)]=HEAP32[(($150+8)>>2)]; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 16; break; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 16: 
      var $152=$found; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $153=(($152) & 1); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($153) { __label__ = 19; break; } else { __label__ = 17; break; } //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 17: 
      var $155=$3; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $156=$2; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $157=(($155-$156)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $158=(($157+1)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $159=(($158)|0) >= 50; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($159) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 18: 
      $kQ13=64; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $161=$2; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $162=$1; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $163=(($161-$162)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $164=$kQ13; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $165=(($163+$164)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $166=(($165-1)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $167=(($166)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $168=$167*0.30102999566398114; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $169=__ZN2v88internal7ceilingEd($168); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k14=$169; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $170=$k14; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $171=(($170)&-1); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $172=(($171+308)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $173=(($172-1)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $174=(((($173)|0)/15)&-1); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $175=(($174+1)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index15=$175; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $176=$index15; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $177=((__ZN2v88internalL15kCachedPowers15E+$176*12)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $178=$cached_power; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $179=$177; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($178)>>2)]=HEAP32[(($179)>>2)];HEAP32[(($178+4)>>2)]=HEAP32[(($179+4)>>2)];HEAP32[(($178+8)>>2)]=HEAP32[(($179+8)>>2)]; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 19; break; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 19: 
      var $181=$found; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $182=(($181) & 1); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($182) { __label__ = 22; break; } else { __label__ = 20; break; } //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 20: 
      var $184=$3; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $185=$2; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $186=(($184-$185)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $187=(($186+1)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $188=(($187)|0) >= 47; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($188) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 21: 
      $kQ16=64; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $190=$2; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $191=$1; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $192=(($190-$191)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $193=$kQ16; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $194=(($192+$193)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $195=(($194-1)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $196=(($195)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $197=$196*0.30102999566398114; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $198=__ZN2v88internal7ceilingEd($197); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k17=$198; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $199=$k17; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $200=(($199)&-1); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $201=(($200+308)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $202=(($201-1)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $203=(((($202)|0)/14)&-1); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $204=(($203+1)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index18=$204; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $205=$index18; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $206=((__ZN2v88internalL15kCachedPowers14E+$205*12)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $207=$cached_power; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $208=$206; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($207)>>2)]=HEAP32[(($208)>>2)];HEAP32[(($207+4)>>2)]=HEAP32[(($208+4)>>2)];HEAP32[(($207+8)>>2)]=HEAP32[(($208+8)>>2)]; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 22; break; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 22: 
      var $210=$found; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $211=(($210) & 1); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($211) { __label__ = 25; break; } else { __label__ = 23; break; } //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 23: 
      var $213=$3; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $214=$2; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $215=(($213-$214)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $216=(($215+1)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $217=(($216)|0) >= 44; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($217) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 24: 
      $kQ19=64; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $219=$2; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $220=$1; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $221=(($219-$220)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $222=$kQ19; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $223=(($221+$222)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $224=(($223-1)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $225=(($224)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $226=$225*0.30102999566398114; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $227=__ZN2v88internal7ceilingEd($226); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k20=$227; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $228=$k20; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $229=(($228)&-1); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $230=(($229+308)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $231=(($230-1)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $232=(((($231)|0)/13)&-1); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $233=(($232+1)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index21=$233; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $234=$index21; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $235=((__ZN2v88internalL15kCachedPowers13E+$234*12)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $236=$cached_power; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $237=$235; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($236)>>2)]=HEAP32[(($237)>>2)];HEAP32[(($236+4)>>2)]=HEAP32[(($237+4)>>2)];HEAP32[(($236+8)>>2)]=HEAP32[(($237+8)>>2)]; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 25; break; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 25: 
      var $239=$found; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $240=(($239) & 1); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($240) { __label__ = 28; break; } else { __label__ = 26; break; } //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 26: 
      var $242=$3; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $243=$2; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $244=(($242-$243)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $245=(($244+1)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $246=(($245)|0) >= 40; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($246) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 27: 
      $kQ22=64; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $248=$2; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $249=$1; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $250=(($248-$249)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $251=$kQ22; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $252=(($250+$251)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $253=(($252-1)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $254=(($253)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $255=$254*0.30102999566398114; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $256=__ZN2v88internal7ceilingEd($255); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k23=$256; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $257=$k23; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $258=(($257)&-1); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $259=(($258+308)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $260=(($259-1)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $261=(((($260)|0)/12)&-1); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $262=(($261+1)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index24=$262; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $263=$index24; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $264=((__ZN2v88internalL15kCachedPowers12E+$263*12)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $265=$cached_power; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $266=$264; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($265)>>2)]=HEAP32[(($266)>>2)];HEAP32[(($265+4)>>2)]=HEAP32[(($266+4)>>2)];HEAP32[(($265+8)>>2)]=HEAP32[(($266+8)>>2)]; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 28; break; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 28: 
      var $268=$found; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $269=(($268) & 1); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($269) { __label__ = 31; break; } else { __label__ = 29; break; } //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 29: 
      var $271=$3; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $272=$2; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $273=(($271-$272)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $274=(($273+1)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $275=(($274)|0) >= 37; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($275) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 30: 
      $kQ25=64; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $277=$2; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $278=$1; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $279=(($277-$278)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $280=$kQ25; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $281=(($279+$280)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $282=(($281-1)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $283=(($282)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $284=$283*0.30102999566398114; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $285=__ZN2v88internal7ceilingEd($284); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k26=$285; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $286=$k26; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $287=(($286)&-1); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $288=(($287+308)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $289=(($288-1)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $290=(((($289)|0)/11)&-1); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $291=(($290+1)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index27=$291; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $292=$index27; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $293=((__ZN2v88internalL15kCachedPowers11E+$292*12)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $294=$cached_power; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $295=$293; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($294)>>2)]=HEAP32[(($295)>>2)];HEAP32[(($294+4)>>2)]=HEAP32[(($295+4)>>2)];HEAP32[(($294+8)>>2)]=HEAP32[(($295+8)>>2)]; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 31; break; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 31: 
      var $297=$found; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $298=(($297) & 1); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($298) { __label__ = 34; break; } else { __label__ = 32; break; } //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 32: 
      var $300=$3; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $301=$2; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $302=(($300-$301)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $303=(($302+1)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $304=(($303)|0) >= 34; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($304) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 33: 
      $kQ28=64; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $306=$2; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $307=$1; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $308=(($306-$307)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $309=$kQ28; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $310=(($308+$309)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $311=(($310-1)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $312=(($311)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $313=$312*0.30102999566398114; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $314=__ZN2v88internal7ceilingEd($313); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k29=$314; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $315=$k29; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $316=(($315)&-1); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $317=(($316+308)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $318=(($317-1)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $319=(((($318)|0)/10)&-1); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $320=(($319+1)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index30=$320; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $321=$index30; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $322=((__ZN2v88internalL15kCachedPowers10E+$321*12)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $323=$cached_power; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $324=$322; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($323)>>2)]=HEAP32[(($324)>>2)];HEAP32[(($323+4)>>2)]=HEAP32[(($324+4)>>2)];HEAP32[(($323+8)>>2)]=HEAP32[(($324+8)>>2)]; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 34; break; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 34: 
      var $326=$found; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $327=(($326) & 1); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($327) { __label__ = 37; break; } else { __label__ = 35; break; } //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 35: 
      var $329=$3; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $330=$2; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $331=(($329-$330)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $332=(($331+1)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $333=(($332)|0) >= 30; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($333) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 36: 
      $kQ31=64; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $335=$2; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $336=$1; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $337=(($335-$336)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $338=$kQ31; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $339=(($337+$338)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $340=(($339-1)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $341=(($340)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $342=$341*0.30102999566398114; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $343=__ZN2v88internal7ceilingEd($342); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k32=$343; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $344=$k32; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $345=(($344)&-1); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $346=(($345+308)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $347=(($346-1)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $348=(((($347)|0)/9)&-1); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $349=(($348+1)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index33=$349; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $350=$index33; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $351=((__ZN2v88internalL14kCachedPowers9E+$350*12)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $352=$cached_power; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $353=$351; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($352)>>2)]=HEAP32[(($353)>>2)];HEAP32[(($352+4)>>2)]=HEAP32[(($353+4)>>2)];HEAP32[(($352+8)>>2)]=HEAP32[(($353+8)>>2)]; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 37; break; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 37: 
      var $355=$found; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $356=(($355) & 1); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($356) { __label__ = 40; break; } else { __label__ = 38; break; } //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 38: 
      var $358=$3; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $359=$2; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $360=(($358-$359)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $361=(($360+1)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $362=(($361)|0) >= 27; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($362) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 39: 
      $kQ34=64; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $364=$2; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $365=$1; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $366=(($364-$365)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $367=$kQ34; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $368=(($366+$367)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $369=(($368-1)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $370=(($369)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $371=$370*0.30102999566398114; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $372=__ZN2v88internal7ceilingEd($371); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k35=$372; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $373=$k35; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $374=(($373)&-1); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $375=(($374+308)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $376=(($375-1)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $377=(((($376)|0)/8)&-1); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $378=(($377+1)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index36=$378; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $379=$index36; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $380=((__ZN2v88internalL14kCachedPowers8E+$379*12)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $381=$cached_power; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $382=$380; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($381)>>2)]=HEAP32[(($382)>>2)];HEAP32[(($381+4)>>2)]=HEAP32[(($382+4)>>2)];HEAP32[(($381+8)>>2)]=HEAP32[(($382+8)>>2)]; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 40; break; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 40: 
      var $384=$found; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $385=(($384) & 1); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($385) { __label__ = 43; break; } else { __label__ = 41; break; } //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 41: 
      var $387=$3; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $388=$2; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $389=(($387-$388)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $390=(($389+1)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $391=(($390)|0) >= 24; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($391) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 42: 
      $kQ37=64; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $393=$2; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $394=$1; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $395=(($393-$394)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $396=$kQ37; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $397=(($395+$396)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $398=(($397-1)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $399=(($398)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $400=$399*0.30102999566398114; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $401=__ZN2v88internal7ceilingEd($400); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k38=$401; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $402=$k38; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $403=(($402)&-1); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $404=(($403+308)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $405=(($404-1)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $406=(((($405)|0)/7)&-1); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $407=(($406+1)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index39=$407; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $408=$index39; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $409=((__ZN2v88internalL14kCachedPowers7E+$408*12)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $410=$cached_power; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $411=$409; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($410)>>2)]=HEAP32[(($411)>>2)];HEAP32[(($410+4)>>2)]=HEAP32[(($411+4)>>2)];HEAP32[(($410+8)>>2)]=HEAP32[(($411+8)>>2)]; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 43; break; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 43: 
      var $413=$found; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $414=(($413) & 1); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($414) { __label__ = 46; break; } else { __label__ = 44; break; } //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 44: 
      var $416=$3; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $417=$2; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $418=(($416-$417)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $419=(($418+1)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $420=(($419)|0) >= 20; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($420) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 45: 
      $kQ40=64; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $422=$2; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $423=$1; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $424=(($422-$423)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $425=$kQ40; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $426=(($424+$425)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $427=(($426-1)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $428=(($427)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $429=$428*0.30102999566398114; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $430=__ZN2v88internal7ceilingEd($429); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k41=$430; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $431=$k41; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $432=(($431)&-1); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $433=(($432+308)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $434=(($433-1)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $435=(((($434)|0)/6)&-1); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $436=(($435+1)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index42=$436; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $437=$index42; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $438=((__ZN2v88internalL14kCachedPowers6E+$437*12)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $439=$cached_power; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $440=$438; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($439)>>2)]=HEAP32[(($440)>>2)];HEAP32[(($439+4)>>2)]=HEAP32[(($440+4)>>2)];HEAP32[(($439+8)>>2)]=HEAP32[(($440+8)>>2)]; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 46; break; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 46: 
      var $442=$found; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $443=(($442) & 1); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($443) { __label__ = 49; break; } else { __label__ = 47; break; } //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 47: 
      var $445=$3; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $446=$2; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $447=(($445-$446)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $448=(($447+1)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $449=(($448)|0) >= 17; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($449) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 48: 
      $kQ43=64; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $451=$2; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $452=$1; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $453=(($451-$452)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $454=$kQ43; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $455=(($453+$454)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $456=(($455-1)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $457=(($456)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $458=$457*0.30102999566398114; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $459=__ZN2v88internal7ceilingEd($458); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k44=$459; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $460=$k44; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $461=(($460)&-1); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $462=(($461+308)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $463=(($462-1)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $464=(((($463)|0)/5)&-1); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $465=(($464+1)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index45=$465; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $466=$index45; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $467=((__ZN2v88internalL14kCachedPowers5E+$466*12)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $468=$cached_power; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $469=$467; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($468)>>2)]=HEAP32[(($469)>>2)];HEAP32[(($468+4)>>2)]=HEAP32[(($469+4)>>2)];HEAP32[(($468+8)>>2)]=HEAP32[(($469+8)>>2)]; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 49; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 49: 
      var $471=$found; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $472=(($471) & 1); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($472) { __label__ = 52; break; } else { __label__ = 50; break; } //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 50: 
      var $474=$3; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $475=$2; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $476=(($474-$475)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $477=(($476+1)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $478=(($477)|0) >= 14; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($478) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 51: 
      $kQ46=64; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $480=$2; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $481=$1; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $482=(($480-$481)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $483=$kQ46; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $484=(($482+$483)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $485=(($484-1)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $486=(($485)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $487=$486*0.30102999566398114; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $488=__ZN2v88internal7ceilingEd($487); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k47=$488; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $489=$k47; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $490=(($489)&-1); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $491=(($490+308)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $492=(($491-1)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $493=(((($492)|0)/4)&-1); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $494=(($493+1)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index48=$494; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $495=$index48; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $496=((__ZN2v88internalL14kCachedPowers4E+$495*12)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $497=$cached_power; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $498=$496; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($497)>>2)]=HEAP32[(($498)>>2)];HEAP32[(($497+4)>>2)]=HEAP32[(($498+4)>>2)];HEAP32[(($497+8)>>2)]=HEAP32[(($498+8)>>2)]; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 52; break; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 52: 
      var $500=$found; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $501=(($500) & 1); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($501) { __label__ = 55; break; } else { __label__ = 53; break; } //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 53: 
      var $503=$3; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $504=$2; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $505=(($503-$504)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $506=(($505+1)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $507=(($506)|0) >= 10; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($507) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 54: 
      $kQ49=64; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $509=$2; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $510=$1; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $511=(($509-$510)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $512=$kQ49; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $513=(($511+$512)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $514=(($513-1)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $515=(($514)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $516=$515*0.30102999566398114; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $517=__ZN2v88internal7ceilingEd($516); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k50=$517; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $518=$k50; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $519=(($518)&-1); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $520=(($519+308)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $521=(($520-1)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $522=(((($521)|0)/3)&-1); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $523=(($522+1)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index51=$523; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $524=$index51; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $525=((__ZN2v88internalL14kCachedPowers3E+$524*12)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $526=$cached_power; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $527=$525; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($526)>>2)]=HEAP32[(($527)>>2)];HEAP32[(($526+4)>>2)]=HEAP32[(($527+4)>>2)];HEAP32[(($526+8)>>2)]=HEAP32[(($527+8)>>2)]; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 55; break; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 55: 
      var $529=$found; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $530=(($529) & 1); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($530) { __label__ = 58; break; } else { __label__ = 56; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 56: 
      var $532=$3; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $533=$2; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $534=(($532-$533)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $535=(($534+1)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $536=(($535)|0) >= 7; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($536) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 57: 
      $kQ52=64; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $538=$2; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $539=$1; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $540=(($538-$539)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $541=$kQ52; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $542=(($540+$541)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $543=(($542-1)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $544=(($543)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $545=$544*0.30102999566398114; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $546=__ZN2v88internal7ceilingEd($545); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k53=$546; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $547=$k53; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $548=(($547)&-1); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $549=(($548+308)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $550=(($549-1)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $551=(((($550)|0)/2)&-1); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $552=(($551+1)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index54=$552; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $553=$index54; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $554=((__ZN2v88internalL14kCachedPowers2E+$553*12)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $555=$cached_power; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $556=$554; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($555)>>2)]=HEAP32[(($556)>>2)];HEAP32[(($555+4)>>2)]=HEAP32[(($556+4)>>2)];HEAP32[(($555+8)>>2)]=HEAP32[(($556+8)>>2)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 58; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 58: 
      var $558=$found; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $559=(($558) & 1); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($559) { __label__ = 61; break; } else { __label__ = 59; break; } //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 59: 
      var $561=$3; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $562=$2; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $563=(($561-$562)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $564=(($563+1)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $565=(($564)|0) >= 4; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($565) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 60: 
      $kQ55=64; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $567=$2; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $568=$1; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $569=(($567-$568)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $570=$kQ55; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $571=(($569+$570)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $572=(($571-1)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $573=(($572)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $574=$573*0.30102999566398114; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $575=__ZN2v88internal7ceilingEd($574); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $k56=$575; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $576=$k56; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $577=(($576)&-1); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $578=(($577+308)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $579=(($578-1)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $580=(((($579)|0))&-1); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $581=(($580+1)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $index57=$581; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $582=$index57; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $583=((__ZN2v88internalL14kCachedPowers1E+$582*12)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $584=$cached_power; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $585=$583; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($584)>>2)]=HEAP32[(($585)>>2)];HEAP32[(($584+4)>>2)]=HEAP32[(($585+4)>>2)];HEAP32[(($584+8)>>2)]=HEAP32[(($585+8)>>2)]; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      $found=1; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 61; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 61: 
      var $587=$found; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $588=(($587) & 1); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      if ($588) { __label__ = 63; break; } else { __label__ = 62; break; } //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 62: 
      _V8_Fatal(((__str188)|0), 0, ((STRING_TABLE.__str1189)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $590=(($cached_power)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$4$0=(($590)|0);
      HEAP32[(($st$4$0)>>2)]=$$emscripten$temp$0$0;
      var $st$4$1=(($590+4)|0);
      HEAP32[(($st$4$1)>>2)]=$$emscripten$temp$0$1;
      var $591=(($cached_power+8)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      HEAP16[(($591)>>1)]=0; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $592=(($cached_power+10)|0); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      HEAP16[(($592)>>1)]=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __label__ = 63; break; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    case 63: 
      var $594=$5; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $595=(($cached_power)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $st$2$0=(($595)|0);
      var $596$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($595+4)|0);
      var $596$1=HEAP32[(($st$2$1)>>2)];
      var $597=(($cached_power+8)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $598=HEAP16[(($597)>>1)]; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $599=(($598 << 16) >> 16); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      __ZN2v88internal5DiyFpC1Eyi($6, $596$0, $596$1, $599);
      var $600=$594; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $601=$6; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($600)>>2)]=HEAP32[(($601)>>2)];HEAP32[(($600+4)>>2)]=HEAP32[(($601+4)>>2)];HEAP32[(($600+8)>>2)]=HEAP32[(($601+8)>>2)]; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $602=(($cached_power+10)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $603=HEAP16[(($602)>>1)]; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $604=(($603 << 16) >> 16); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      var $605=$4; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      HEAP32[(($605)>>2)]=$604; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
      STACKTOP = __stackBase__;
      return; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/cached-powers.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2v88internalL14GetCachedPowerEiiiPiPNS0_5DiyFpE["X"]=1;

function __ZN2v88internal5DiyFp5TimesERKS1_S3_($agg_result, $a, $b) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$a;
  $2=$b;
  var $3=$1; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $4=$agg_result; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $5=$3; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];HEAP32[(($4+8)>>2)]=HEAP32[(($5+8)>>2)]; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $6=$2; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  __ZN2v88internal5DiyFp8MultiplyERKS1_($agg_result, $6); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  ;
  return; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN2js7analyzeL7ArgSlotEj($arg) {
  ;
  var __label__;

  var $1;
  $1=$arg;
  var $2=$1; //@line 422 "./jsanalyze.h"
  var $3=(($2+2)|0); //@line 422 "./jsanalyze.h"
  ;
  return $3; //@line 422 "./jsanalyze.h"
}


function __ZN2v88internal5DiyFp9NormalizeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $f=__stackBase__;
      var $e;
      var $k10MSBits=__stackBase__+8;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      var $st$7$0=(($3)|0);
      var $4$0=HEAP32[(($st$7$0)>>2)];
      var $st$7$1=(($3+4)|0);
      var $4$1=HEAP32[(($st$7$1)>>2)];
      var $st$11$0=(($f)|0);
      HEAP32[(($st$11$0)>>2)]=$4$0;
      var $st$11$1=(($f+4)|0);
      HEAP32[(($st$11$1)>>2)]=$4$1;
      var $5=(($2+8)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      var $6=HEAP32[(($5)>>2)]; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      $e=$6; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=-4194304;
      var $st$20$0=(($k10MSBits)|0);
      HEAP32[(($st$20$0)>>2)]=$$emscripten$temp$0$0;
      var $st$20$1=(($k10MSBits+4)|0);
      HEAP32[(($st$20$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 2; break; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
    case 2: 
      var $st$0$0=(($f)|0);
      var $8$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($f+4)|0);
      var $8$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$1$0=0;
      var $$emscripten$temp$1$1=-4194304;
      var $9$0=$8$0 & $$emscripten$temp$1$0;
      var $9$1=$8$1 & $$emscripten$temp$1$1;
      var $$emscripten$temp$2$0=0;
      var $$emscripten$temp$2$1=0;
      var $10=$9$0 == $$emscripten$temp$2$0 && $9$1 == $$emscripten$temp$2$1; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
    case 3: 
      var $st$0$0=(($f)|0);
      var $12$0=HEAPU32[(($st$0$0)>>2)];
      var $st$0$1=(($f+4)|0);
      var $12$1=HEAPU32[(($st$0$1)>>2)];
      var $13$0=($12$0 << 10) | (0 >>> 22);
      var $13$1=($12$1 << 10) | ($12$0 >>> 22);
      var $st$6$0=(($f)|0);
      HEAP32[(($st$6$0)>>2)]=$13$0;
      var $st$6$1=(($f+4)|0);
      HEAP32[(($st$6$1)>>2)]=$13$1;
      var $14=$e; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      var $15=(($14-10)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      $e=$15; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      __label__ = 2; break; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
    case 4: 
      __label__ = 5; break; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
    case 5: 
      var $st$0$0=(($f)|0);
      var $18$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($f+4)|0);
      var $18$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$3$0=0;
      var $$emscripten$temp$3$1=-2147483648;
      var $19$0=$18$0 & $$emscripten$temp$3$0;
      var $19$1=$18$1 & $$emscripten$temp$3$1;
      var $$emscripten$temp$4$0=0;
      var $$emscripten$temp$4$1=0;
      var $20=$19$0 == $$emscripten$temp$4$0 && $19$1 == $$emscripten$temp$4$1; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
    case 6: 
      var $st$0$0=(($f)|0);
      var $22$0=HEAPU32[(($st$0$0)>>2)];
      var $st$0$1=(($f+4)|0);
      var $22$1=HEAPU32[(($st$0$1)>>2)];
      var $23$0=($22$0 << 1) | (0 >>> 31);
      var $23$1=($22$1 << 1) | ($22$0 >>> 31);
      var $st$6$0=(($f)|0);
      HEAP32[(($st$6$0)>>2)]=$23$0;
      var $st$6$1=(($f+4)|0);
      HEAP32[(($st$6$1)>>2)]=$23$1;
      var $24=$e; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      var $25=(($24-1)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      $e=$25; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      __label__ = 5; break; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
    case 7: 
      var $st$0$0=(($f)|0);
      var $27$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($f+4)|0);
      var $27$1=HEAP32[(($st$0$1)>>2)];
      var $28=(($2)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      var $st$5$0=(($28)|0);
      HEAP32[(($st$5$0)>>2)]=$27$0;
      var $st$5$1=(($28+4)|0);
      HEAP32[(($st$5$1)>>2)]=$27$1;
      var $29=$e; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      var $30=(($2+8)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      HEAP32[(($30)>>2)]=$29; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
      STACKTOP = __stackBase__;
      return; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2v88internal5DiyFp9NormalizeEv["X"]=1;

function __ZNK2v88internal6Double8AsUint64Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  var $st$4$0=(($3)|0);
  var $4$0=HEAP32[(($st$4$0)>>2)];
  var $st$4$1=(($3+4)|0);
  var $4$1=HEAP32[(($st$4$1)>>2)];
  ;
  return [$4$0,$4$1]; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
}


function __ZN2v88internal5DiyFpC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=0;
  var $st$6$0=(($3)|0);
  HEAP32[(($st$6$0)>>2)]=$$emscripten$temp$0$0;
  var $st$6$1=(($3+4)|0);
  HEAP32[(($st$6$1)>>2)]=$$emscripten$temp$0$1;
  var $4=(($2+8)|0); //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  HEAP32[(($4)>>2)]=0; //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  ;
  return; //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN2v88internal5DiyFp8SubtractERKS1_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $5=(($4)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $st$7$0=(($5)|0);
  var $6$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($5+4)|0);
  var $6$1=HEAP32[(($st$7$1)>>2)];
  var $7=(($3)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $st$12$0=(($7)|0);
  var $8$0=HEAP32[(($st$12$0)>>2)];
  var $st$12$1=(($7+4)|0);
  var $8$1=HEAP32[(($st$12$1)>>2)];
  var $9$0 = (i64Math.subtract($8$0,$8$1,$6$0,$6$1),i64Math.result[0]); var $9$1 = i64Math.result[1]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $st$17$0=(($7)|0);
  HEAP32[(($st$17$0)>>2)]=$9$0;
  var $st$17$1=(($7+4)|0);
  HEAP32[(($st$17$1)>>2)]=$9$1;
  ;
  return; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN2v88internal5DiyFpC2Eyi($this, $f$0, $f$1, $e) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3;
  $1=$this;
  var $st$4$0=(($2)|0);
  HEAP32[(($st$4$0)>>2)]=$f$0;
  var $st$4$1=(($2+4)|0);
  HEAP32[(($st$4$1)>>2)]=$f$1;
  $3=$e;
  var $4=$1;
  var $5=(($4)|0); //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $st$11$0=(($2)|0);
  var $6$0=HEAP32[(($st$11$0)>>2)];
  var $st$11$1=(($2+4)|0);
  var $6$1=HEAP32[(($st$11$1)>>2)];
  var $st$15$0=(($5)|0);
  HEAP32[(($st$15$0)>>2)]=$6$0;
  var $st$15$1=(($5+4)|0);
  HEAP32[(($st$15$1)>>2)]=$6$1;
  var $7=(($4+8)|0); //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $8=$3; //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  HEAP32[(($7)>>2)]=$8; //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  STACKTOP = __stackBase__;
  return; //@line 44 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZN8JSScript7getAtomEj($this, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$index;
  var $3=$1;
  var $4=$2; //@line 741 "./jsscript.h"
  var $5=(($3+56)|0); //@line 741 "./jsscript.h"
  var $6=HEAP32[(($5)>>2)]; //@line 741 "./jsscript.h"
  var $7=(($6+($4<<2))|0); //@line 741 "./jsscript.h"
  var $8=HEAP32[(($7)>>2)]; //@line 741 "./jsscript.h"
  ;
  return $8; //@line 741 "./jsscript.h"
}


function __ZN2v88internal8FastDtoaEdNS0_6VectorIcEEPiS3_($v, $buffer, $length, $point) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $buffer; $buffer = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($buffer)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($buffer+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $decimal_exponent=__stackBase__;
  var $result;
  var $4=__stackBase__+4;
  $1=$v;
  $2=$length;
  $3=$point;
  var $5=$1; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $6=$4; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $7=$buffer; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $8=$2; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $9=__ZN2v88internal6grisu3EdNS0_6VectorIcEEPiS3_($5, $4, $8, $decimal_exponent); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $10=(($9)&1); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  $result=$10; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $11=$2; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $12=HEAP32[(($11)>>2)]; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $13=HEAP32[(($decimal_exponent)>>2)]; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $14=(($12+$13)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $15=$3; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  HEAP32[(($15)>>2)]=$14; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $16=$2; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $17=HEAP32[(($16)>>2)]; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $18=__ZNK2v88internal6VectorIcEixEi($buffer, $17); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  HEAP8[($18)]=0; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $19=$result; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  var $20=(($19) & 1); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
  STACKTOP = __stackBase__;
  return $20; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/fast-dtoa.cc"
}


function __ZNK2v88internal6Double7AsDiyFpEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2v88internal6Double11SignificandEv($2);
  var $3$0=$3[0];
  var $3$1=$3[1];
  var $4=__ZNK2v88internal6Double8ExponentEv($2); //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  __ZN2v88internal5DiyFpC1Eyi($agg_result, $3$0, $3$1, $4);
  ;
  return; //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
}


function __ZN2v88internal5DiyFp9NormalizeERKS1_($agg_result, $a) {
  ;
  var __label__;

  var $1;
  $1=$a;
  var $2=$1; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $3=$agg_result; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  var $4=$2; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];HEAP32[(($3+8)>>2)]=HEAP32[(($4+8)>>2)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  __ZN2v88internal5DiyFp9NormalizeEv($agg_result); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
  ;
  return; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/diy-fp.h"
}


function __ZNK2v88internal6Double11SignificandEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      var $d64=__stackBase__+8;
      var $significand=__stackBase__+16;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2v88internal6Double8AsUint64Ev($3);
      var $4$0=$4[0];
      var $4$1=$4[1];
      var $st$9$0=(($d64)|0);
      HEAP32[(($st$9$0)>>2)]=$4$0;
      var $st$9$1=(($d64+4)|0);
      HEAP32[(($st$9$1)>>2)]=$4$1;
      var $st$13$0=(($d64)|0);
      var $5$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($d64+4)|0);
      var $5$1=HEAP32[(($st$13$1)>>2)];
      var $$emscripten$temp$0$0=-1;
      var $$emscripten$temp$0$1=1048575;
      var $6$0=$5$0 & $$emscripten$temp$0$0;
      var $6$1=$5$1 & $$emscripten$temp$0$1;
      var $st$21$0=(($significand)|0);
      HEAP32[(($st$21$0)>>2)]=$6$0;
      var $st$21$1=(($significand+4)|0);
      HEAP32[(($st$21$1)>>2)]=$6$1;
      var $7=__ZNK2v88internal6Double10IsDenormalEv($3); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 2: 
      var $st$0$0=(($significand)|0);
      var $9$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($significand+4)|0);
      var $9$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$1$0=0;
      var $$emscripten$temp$1$1=1048576;
      var $10$0 = (i64Math.add($9$0,$9$1,$$emscripten$temp$1$0,$$emscripten$temp$1$1),i64Math.result[0]); var $10$1 = i64Math.result[1]; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $st$7$0=(($1)|0);
      HEAP32[(($st$7$0)>>2)]=$10$0;
      var $st$7$1=(($1+4)|0);
      HEAP32[(($st$7$1)>>2)]=$10$1;
      __label__ = 4; break; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 3: 
      var $st$0$0=(($significand)|0);
      var $12$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($significand+4)|0);
      var $12$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($1)|0);
      HEAP32[(($st$4$0)>>2)]=$12$0;
      var $st$4$1=(($1+4)|0);
      HEAP32[(($st$4$1)>>2)]=$12$1;
      __label__ = 4; break; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 4: 
      var $st$0$0=(($1)|0);
      var $14$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($1+4)|0);
      var $14$1=HEAP32[(($st$0$1)>>2)];
      STACKTOP = __stackBase__;
      return [$14$0,$14$1]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2v88internal6Double11SignificandEv["X"]=1;

function __ZNK2v88internal6Double8ExponentEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $d64=__stackBase__;
      var $biased_e;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2v88internal6Double10IsDenormalEv($3); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 2: 
      $1=-1074; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __label__ = 4; break; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 3: 
      var $7=__ZNK2v88internal6Double8AsUint64Ev($3);
      var $7$0=$7[0];
      var $7$1=$7[1];
      var $st$3$0=(($d64)|0);
      HEAP32[(($st$3$0)>>2)]=$7$0;
      var $st$3$1=(($d64+4)|0);
      HEAP32[(($st$3$1)>>2)]=$7$1;
      var $st$7$0=(($d64)|0);
      var $8$0=HEAP32[(($st$7$0)>>2)];
      var $st$7$1=(($d64+4)|0);
      var $8$1=HEAP32[(($st$7$1)>>2)];
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=2146435072;
      var $9$0=$8$0 & $$emscripten$temp$0$0;
      var $9$1=$8$1 & $$emscripten$temp$0$1;
      var $10$0=($9$1 >>> 20) | (0 << 12);
      var $10$1=(0 >>> 20) | (0 << 12);
      var $11$0=$10$0;
      var $11=$11$0;
      $biased_e=$11; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $12=$biased_e; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      var $13=(($12-1075)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      $1=$13; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      __label__ = 4; break; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    case 4: 
      var $15=$1; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
      STACKTOP = __stackBase__;
      return $15; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2v88internal6Double10IsDenormalEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $d64=__stackBase__;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2v88internal6Double8AsUint64Ev($2);
  var $3$0=$3[0];
  var $3$1=$3[1];
  var $st$7$0=(($d64)|0);
  HEAP32[(($st$7$0)>>2)]=$3$0;
  var $st$7$1=(($d64+4)|0);
  HEAP32[(($st$7$1)>>2)]=$3$1;
  var $st$11$0=(($d64)|0);
  var $4$0=HEAP32[(($st$11$0)>>2)];
  var $st$11$1=(($d64+4)|0);
  var $4$1=HEAP32[(($st$11$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $5$0=$4$0 & $$emscripten$temp$0$0;
  var $5$1=$4$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=0;
  var $6=$5$0 == $$emscripten$temp$1$0 && $5$1 == $$emscripten$temp$1$1; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  STACKTOP = __stackBase__;
  return $6; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
}


function __ZN2v88internal6DoubleC2Ed($this, $d) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$d;
  var $3=$1;
  var $4=(($3)|0); //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  var $5=$2; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  var $6=__ZN2v88internalL16double_to_uint64Ed($5);
  var $6$0=$6[0];
  var $6$1=$6[1];
  var $st$10$0=(($4)|0);
  HEAP32[(($st$10$0)>>2)]=$6$0;
  var $st$10$1=(($4+4)|0);
  HEAP32[(($st$10$1)>>2)]=$6$1;
  ;
  return; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
}


function __ZN2v88internalL16double_to_uint64Ed($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  (tempDoubleF64[0]=$d,HEAP32[(($1)>>2)]=tempDoubleI32[0],HEAP32[(($1+4)>>2)]=tempDoubleI32[1]);
  var $2=__ZN2v88internal7BitCastIydEET_RKT0_($1);
  var $2$0=$2[0];
  var $2$1=$2[1];
  STACKTOP = __stackBase__;
  return [$2$0,$2$1]; //@line 37 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
}


function __ZN2v88internal7BitCastIydEET_RKT0_($source) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $dest=__stackBase__;
  $1=$source;
  var $2=$dest; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $3=$1; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $4=$3; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP8[($2)]=HEAP8[($4)];HEAP8[($2+1)]=HEAP8[($4+1)];HEAP8[($2+2)]=HEAP8[($4+2)];HEAP8[($2+3)]=HEAP8[($4+3)];HEAP8[($2+4)]=HEAP8[($4+4)];HEAP8[($2+5)]=HEAP8[($4+5)];HEAP8[($2+6)]=HEAP8[($4+6)];HEAP8[($2+7)]=HEAP8[($4+7)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $st$7$0=(($dest)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($dest+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  STACKTOP = __stackBase__;
  return [$5$0,$5$1]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZN2js15TempAllocPolicy13onOutOfMemoryEPvj($this, $p, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$nbytes;
  var $4=$1;
  var $5=(($4)|0); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $7=(($6+52)|0); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $9=$2; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $10=$3; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $11=(($4)|0); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $13=__ZN9JSRuntime13onOutOfMemoryEPvjP9JSContext($8, $9, $10, $12); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  ;
  return $13; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
}


function __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  __Z27js_ReportAllocationOverflowP9JSContext($4); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
  ;
  return; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsalloc.cpp"
}


function __ZN2js7analyze8Bytecode12mergeDefinesEP9JSContextPNS0_14ScriptAnalysisEbjPjj($this, $cx, $script, $initial, $newDepth, $newArray, $newCount) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $owned;
      var $i;
      var $found;
      var $j;
      var $reallocArray;
      $2=$this;
      $3=$cx;
      $4=$script;
      var $9=(($initial)&1);
      $5=$9;
      $6=$newDepth;
      $7=$newArray;
      $8=$newCount;
      var $10=$2;
      var $11=$5; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=(($11) & 1); //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $14=$6; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=(($10+4)|0); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=$7; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($10+12)|0); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=$8; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=(($10+8)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $1=1; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 23; break; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $21=$10; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=HEAPU8[($21)]; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=(($22)&255) >>> 6; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=$23 & 1; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24) & 1); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      __label__ = 22; break; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      $owned=0; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=0; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 6; break; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $29=$i; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=(($10+8)|0); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=HEAPU32[(($30)>>2)]; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=(($29)>>>0) < (($31)>>>0); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 21; break; } //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      $found=0; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $j=0; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 8; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $35=$j; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=$8; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $39=$j; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $40=$7; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=(($40+($39<<2))|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=$i; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $44=(($10+12)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $46=(($45+($43<<2))|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=(($42)|0)==(($47)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      $found=1; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 11; break; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      __label__ = 12; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      var $52=$j; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=(($52+1)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $j=$53; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 8; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $55=$found; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $56=(($55) & 1); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($56) { __label__ = 19; break; } else { __label__ = 14; break; } //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $58=$owned; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $59=(($58) & 1); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($59) { __label__ = 18; break; } else { __label__ = 15; break; } //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      var $61=$3; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=(($61+56)|0); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $64=(($63+344)|0); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=(($10+8)|0); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $67=__ZN2js10ArenaArrayIjEEPT_R11JSArenaPoolj($64, $66); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $reallocArray=$67; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=$reallocArray; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $69=(($68)|0)!=0; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($69) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 16: 
      var $71=$4; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=$3; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($71, $72); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $1=0; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 23; break; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 17: 
      var $74=$reallocArray; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=$74; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $76=(($10+12)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $78=$77; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=(($10+8)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=((($80<<2))|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert($81 % 1 === 0, 'memcpy given ' + $81 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($75, $78, $81, 1); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $82=$reallocArray; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $83=(($10+12)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($83)>>2)]=$82; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $owned=1; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 18; break; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 18: 
      var $85=(($10+8)|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=(($86-1)|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($85)>>2)]=$87; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $88=(($10+12)|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=(($89+($87<<2))|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $92=$i; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $93=(($92-1)|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$93; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $94=(($10+12)|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $96=(($95+($92<<2))|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($96)>>2)]=$91; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 19; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 19: 
      __label__ = 20; break; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 20: 
      var $99=$i; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $100=(($99+1)|0); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$100; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 6; break; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      $1=1; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 23; break; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 23: 
      var $104=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      ;
      return $104; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze8Bytecode12mergeDefinesEP9JSContextPNS0_14ScriptAnalysisEbjPjj["X"]=1;

function __ZN2js10ArenaArrayIjEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=((($7<<2))|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayIjEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+12)|0); //@line 1211 "./jsanalyze.h"
      var $5=HEAP8[($4)]; //@line 1211 "./jsanalyze.h"
      var $6=(($5) & 1); //@line 1211 "./jsanalyze.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1211 "./jsanalyze.h"
    case 2: 
      var $8=$2; //@line 1212 "./jsanalyze.h"
      __Z20js_ReportOutOfMemoryP9JSContext($8); //@line 1212 "./jsanalyze.h"
      __label__ = 3; break; //@line 1212 "./jsanalyze.h"
    case 3: 
      var $10=(($3+12)|0); //@line 1213 "./jsanalyze.h"
      HEAP8[($10)]=1; //@line 1213 "./jsanalyze.h"
      var $11=(($3+13)|0); //@line 1214 "./jsanalyze.h"
      HEAP8[($11)]=1; //@line 1214 "./jsanalyze.h"
      ;
      return; //@line 1215 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis16checkAliasedNameEP9JSContextPh($this, $cx, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $atom;
      var $fun;
      var $index=__stackBase__;
      var $kind;
      $1=$this;
      $2=$cx;
      $3=$pc;
      var $4=$1;
      var $5=$3; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $6=HEAPU8[($5)]; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $7=(($6)&255); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=(($7)|0)==127; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $10=(($4)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=$2; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=(($4)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$3; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=_js_GetIndexFromBytecode($12, $14, $15, 0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=__ZN8JSScript11getFunctionEj($11, $16); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $fun=$17; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=$fun; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=(($18+72)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $atom=$20; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 4; break; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $22=(($4)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=$2; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($4)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=$3; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=_js_GetIndexFromBytecode($24, $26, $27, 0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=__ZN8JSScript7getAtomEj($23, $28); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $atom=$29; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 4; break;
    case 4: 
      var $31=(($4)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=(($32+64)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=$2; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=$atom; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj($33, $34, $35, $index); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $kind=$36; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=$kind; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=(($37)|0)==1; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($38) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $40=HEAP32[(($index)>>2)]; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=__ZN2js7analyzeL7ArgSlotEj($40); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=(($4+16)|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $44=(($43+$41)|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($44)]=1; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 9; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $46=$kind; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=(($46)|0)==2; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($47) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $49=(($4)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=HEAP32[(($index)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $52=__ZN2js7analyzeL9LocalSlotEP8JSScriptj($50, $51); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=(($4+16)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=(($54+$52)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($55)]=1; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 8; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis16checkAliasedNameEP9JSContextPh["X"]=1;

function __ZN8JSScript11getFunctionEj($this, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  var $funobj;
  var $fun;
  $1=$this;
  $2=$index;
  var $3=$1;
  var $4=$2; //@line 135 "./jsscriptinlines.h"
  var $5=__ZN8JSScript9getObjectEj($3, $4); //@line 135 "./jsscriptinlines.h"
  $funobj=$5; //@line 135 "./jsscriptinlines.h"
  var $6=$funobj; //@line 138 "./jsscriptinlines.h"
  var $7=$6; //@line 138 "./jsscriptinlines.h"
  $fun=$7; //@line 138 "./jsscriptinlines.h"
  var $8=$fun; //@line 140 "./jsscriptinlines.h"
  ;
  return $8; //@line 140 "./jsscriptinlines.h"
}


function __ZN2js7analyzeL9LocalSlotEP8JSScriptj($script, $local) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$script;
      $2=$local;
      var $3=$1; //@line 425 "./jsanalyze.h"
      var $4=$3; //@line 425 "./jsanalyze.h"
      var $5=(($4+37)|0); //@line 425 "./jsanalyze.h"
      var $6=HEAPU8[($5)]; //@line 425 "./jsanalyze.h"
      var $7=(($6)&255) >>> 2; //@line 425 "./jsanalyze.h"
      var $8=$7 & 1; //@line 425 "./jsanalyze.h"
      var $9=(($8) & 1); //@line 425 "./jsanalyze.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 425 "./jsanalyze.h"
    case 2: 
      var $11=$1; //@line 425 "./jsanalyze.h"
      var $12=__ZNK8JSScript8functionEv($11); //@line 425 "./jsanalyze.h"
      var $13=(($12+56)|0); //@line 425 "./jsanalyze.h"
      var $14=HEAPU16[(($13)>>1)]; //@line 425 "./jsanalyze.h"
      var $15=(($14)&65535); //@line 425 "./jsanalyze.h"
      var $18 = $15;__label__ = 4; break; //@line 425 "./jsanalyze.h"
    case 3: 
      var $18 = 0;__label__ = 4; break; //@line 425 "./jsanalyze.h"
    case 4: 
      var $18; //@line 425 "./jsanalyze.h"
      var $19=(($18+2)|0); //@line 425 "./jsanalyze.h"
      var $20=$2; //@line 425 "./jsanalyze.h"
      var $21=(($19+$20)|0); //@line 425 "./jsanalyze.h"
      ;
      return $21; //@line 425 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis15analyzeBytecodeEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pool;
      var $length;
      var $nargs;
      var $i;
      var $i1;
      var $i2;
      var $arg;
      var $i3;
      var $i4;
      var $local;
      var $i5;
      var $forwardJump=__stackBase__;
      var $forwardCatch;
      var $startcode;
      var $nTypeSets;
      var $typeArray;
      var $offset;
      var $nextOffset=__stackBase__+4;
      var $code;
      var $pc;
      var $untrap=__stackBase__+8;
      var $op;
      var $successorOffset;
      var $3;
      var $stackDepth;
      var $defineArray;
      var $defineCount;
      var $i6;
      var $local7;
      var $nuses;
      var $ndefs;
      var $pc2;
      var $jmplen;
      var $defaultOffset;
      var $low;
      var $high;
      var $i8;
      var $targetOffset;
      var $pc29;
      var $jmplen10;
      var $defaultOffset11;
      var $npairs;
      var $targetOffset12;
      var $tn;
      var $tnlimit;
      var $startOffset;
      var $catchOffset;
      var $next;
      var $local13;
      var $local14;
      var $local15;
      var $newArray;
      var $type;
      var $newStackDepth;
      var $targetOffset16;
      var $nextcode;
      var $initial;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=$2; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $6=(($5+56)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=(($7+344)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pool=$8; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=(($4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=(($10+8)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $length=$12; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=(($4)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$14; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=(($15+37)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=HEAPU8[($16)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=(($17)&255) >>> 2; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=$18 & 1; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=(($19) & 1); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $22=(($4)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=__ZNK8JSScript8functionEv($23); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+56)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=HEAPU16[(($25)>>1)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=(($26)&65535); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30 = $27;__label__ = 4; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $30 = 0;__label__ = 4; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $30; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $nargs=$30; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=(($4)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=__ZN2js7analyzeL10TotalSlotsEP8JSScript($32); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=(($4+8)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($34)>>2)]=$33; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=$pool; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=$length; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=__ZN2js10ArenaArrayIPNS_7analyze8BytecodeEEEPT_R11JSArenaPoolj($35, $36); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=(($4+4)|0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $39=$pool; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $40=(($4)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=(($41+14)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=HEAPU16[(($42)>>1)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $44=(($43)&65535); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $45=__ZN2js10ArenaArrayIjEEPT_R11JSArenaPoolj($39, $44); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $46=(($4+32)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($46)>>2)]=$45; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=$pool; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=(($4+8)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=__ZN2js10ArenaArrayIhEEPT_R11JSArenaPoolj($47, $49); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=(($4+16)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($51)>>2)]=$50; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $52=(($4+4)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=(($53)|0)!=0; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($54) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $56=(($4+32)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $58=(($57)|0)!=0; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($58) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $60=(($4+16)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=(($61)|0)!=0; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($62) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $64=$2; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($4, $64); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 188; break; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $66=(($4+4)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=$length; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2jsL7PodZeroIPNS_7analyze8BytecodeEEEvPT_j($67, $68); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 9; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $70=$i; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=(($4)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=(($72+14)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=HEAPU16[(($73)>>1)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=(($74)&65535); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $76=(($70)>>>0) < (($75)>>>0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($76) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      var $78=$i; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=(($4+32)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=(($80+($78<<2))|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($81)>>2)]=-2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 11; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      var $83=$i; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $84=(($83+1)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$84; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 9; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      var $86=(($4+16)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $88=(($4+8)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2jsL7PodZeroIhEEvPT_j($87, $89); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=(($4)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $92=$91; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $93=(($92+36)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $94=HEAPU8[($93)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $95=(($94)&255) >>> 5; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $96=$95 & 1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $97=(($96) & 1); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($97) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $99=(($4)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $101=$100; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $102=(($101+36)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $103=HEAPU8[($102)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $104=(($103)&255) >>> 6; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $105=$104 & 1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $106=(($105) & 1); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($106) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $108=(($4)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $110=$109; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $111=__ZNK2js2gc4Cell11compartmentEv($110); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $112=__ZNK13JSCompartment9debugModeEv($111); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($112) { __label__ = 15; break; } else { __label__ = 20; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      $i1=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 16; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 16: 
      var $115=$i1; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $116=$nargs; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $117=(($115)>>>0) < (($116)>>>0); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($117) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 17: 
      var $119=$i1; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $120=__ZN2js7analyzeL7ArgSlotEj($119); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $121=(($4+16)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $123=(($122+$120)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($123)]=1; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 18; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 18: 
      var $125=$i1; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $126=(($125+1)|0); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i1=$126; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 16; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 19: 
      __label__ = 25; break; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 20: 
      $i2=0; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 21; break; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 21: 
      var $130=$i2; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $131=(($4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $133=(($132+48)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $134=HEAPU16[(($133)>>1)]; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $135=(($134)&65535); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $136=(($130)>>>0) < (($135)>>>0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($136) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 22: 
      var $138=(($4)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $140=$i2; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $141=__ZN8JSScript12getClosedArgEj($139, $140); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $arg=$141; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $142=$arg; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $143=__ZN2js7analyzeL7ArgSlotEj($142); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $144=(($4+16)|0); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $146=(($145+$143)|0); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($146)]=1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 23; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 23: 
      var $148=$i2; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $149=(($148+1)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i2=$149; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 21; break; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      var $152=(($4)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $154=$153; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $155=(($154+36)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $156=HEAPU8[($155)]; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $157=(($156)&255) >>> 5; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $158=$157 & 1; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $159=(($158) & 1); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($159) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 26: 
      var $161=(($4)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $163=$162; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $164=__ZNK2js2gc4Cell11compartmentEv($163); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $165=__ZNK13JSCompartment9debugModeEv($164); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($165) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 27: 
      $i3=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 28; break; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 28: 
      var $168=$i3; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $169=(($4)|0); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $171=(($170+14)|0); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $172=HEAPU16[(($171)>>1)]; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $173=(($172)&65535); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $174=(($168)>>>0) < (($173)>>>0); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($174) { __label__ = 29; break; } else { __label__ = 31; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 29: 
      var $176=(($4)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $178=$i3; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $179=__ZN2js7analyzeL9LocalSlotEP8JSScriptj($177, $178); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $180=(($4+16)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $182=(($181+$179)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($182)]=1; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $183=$i3; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis8setLocalEjj($4, $183, -1); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 30; break; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 30: 
      var $185=$i3; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $186=(($185+1)|0); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i3=$186; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 28; break; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 31: 
      __label__ = 37; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 32: 
      $i4=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 33; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 33: 
      var $190=$i4; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $191=(($4)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $192=HEAP32[(($191)>>2)]; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $193=(($192+50)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $194=HEAPU16[(($193)>>1)]; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $195=(($194)&65535); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $196=(($190)>>>0) < (($195)>>>0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($196) { __label__ = 34; break; } else { __label__ = 36; break; } //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 34: 
      var $198=(($4)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $199=HEAP32[(($198)>>2)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $200=$i4; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $201=__ZN8JSScript12getClosedVarEj($199, $200); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $local=$201; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $202=(($4)|0); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $204=$local; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $205=__ZN2js7analyzeL9LocalSlotEP8JSScriptj($203, $204); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $206=(($4+16)|0); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $208=(($207+$205)|0); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($208)]=1; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $209=$local; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis8setLocalEjj($4, $209, -1); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 35; break; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 35: 
      var $211=$i4; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $212=(($211+1)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i4=$212; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 33; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 36: 
      __label__ = 37; break;
    case 37: 
      $i5=50; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 38; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 38: 
      var $216=$i5; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $217=(($4)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $218=HEAP32[(($217)>>2)]; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $219=(($218+14)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $220=HEAPU16[(($219)>>1)]; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $221=(($220)&65535); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $222=(($216)>>>0) < (($221)>>>0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($222) { __label__ = 39; break; } else { __label__ = 41; break; } //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 39: 
      var $224=$i5; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis8setLocalEjj($4, $224, -1); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 40; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 40: 
      var $226=$i5; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $227=(($226+1)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i5=$227; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 38; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 41: 
      var $229=$2; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $230=(($229+56)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $231=HEAP32[(($230)>>2)]; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $232=__ZNK13JSCompartment9debugModeEv($231); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($232) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 42: 
      var $234=$4; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $235=(($234+24)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $236=HEAP8[($235)]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $237=$236 & -2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $238=$237 | 1; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($235)]=$238; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 43; break; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 43: 
      var $240=$4; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $241=(($240+25)|0); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $242=HEAP8[($241)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $243=$242 & -2; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $244=$243 | 1; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($241)]=$244; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $245=(($4)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $246=HEAP32[(($245)>>2)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $247=(($246+48)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $248=HEAP16[(($247)>>1)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $249=(($248 << 16) >> 16)!=0; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($249) { __label__ = 51; break; } else { __label__ = 44; break; } //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 44: 
      var $251=(($4)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $252=HEAP32[(($251)>>2)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $253=(($252+50)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $254=HEAP16[(($253)>>1)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $255=(($254 << 16) >> 16)!=0; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($255) { __label__ = 51; break; } else { __label__ = 45; break; } //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 45: 
      var $257=(($4)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $259=(($258+14)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $260=HEAPU16[(($259)>>1)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $261=(($260)&65535); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $262=(($261)>>>0) >= 50; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($262) { __label__ = 51; break; } else { __label__ = 46; break; } //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 46: 
      var $264=(($4)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $265=HEAP32[(($264)>>2)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $266=$265; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $267=(($266+37)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $268=HEAPU8[($267)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $269=(($268)&255) >>> 2; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $270=$269 & 1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $271=(($270) & 1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($271) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 47: 
      var $273=(($4)|0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $275=__ZNK8JSScript8functionEv($274); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $276=__ZNK10JSFunction13isHeavyweightEv($275); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($276) { __label__ = 51; break; } else { __label__ = 48; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 48: 
      var $278=(($4)|0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $279=HEAP32[(($278)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $280=$279; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $281=(($280+36)|0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $282=HEAPU8[($281)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $283=(($282)&255) >>> 5; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $284=$283 & 1; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $285=(($284) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($285) { __label__ = 51; break; } else { __label__ = 49; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 49: 
      var $287=(($4)|0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $288=HEAP32[(($287)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $289=$288; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $290=(($289+36)|0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $291=HEAPU8[($290)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $292=(($291)&255) >>> 6; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $293=$292 & 1; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $294=(($293) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($294) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 50: 
      var $296=$2; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $297=(($296+56)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $298=HEAP32[(($297)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $299=__ZNK13JSCompartment9debugModeEv($298); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($299) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 51: 
      var $301=$4; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $302=(($301+25)|0); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $303=HEAP8[($302)]; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $304=$303 & -2; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($302)]=$304; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 52; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 52: 
      var $306=$4; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $307=(($306+24)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $308=HEAP8[($307)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $309=$308 & -17; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($307)]=$309; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $310=(($4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $311=HEAP32[(($310)>>2)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $312=(($311+48)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $313=HEAP16[(($312)>>1)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $314=(($313 << 16) >> 16)!=0; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($314) { __label__ = 55; break; } else { __label__ = 53; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 53: 
      var $316=(($4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $317=HEAP32[(($316)>>2)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $318=$317; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $319=(($318+37)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $320=HEAPU8[($319)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $321=(($320)&255) >>> 2; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $322=$321 & 1; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $323=(($322) & 1); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($323) { __label__ = 54; break; } else { __label__ = 56; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 54: 
      var $325=(($4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $326=HEAP32[(($325)>>2)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $327=__ZNK8JSScript8functionEv($326); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $328=__ZNK10JSFunction13isHeavyweightEv($327); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($328) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 55: 
      var $330=$4; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $331=(($330+24)|0); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $332=HEAP8[($331)]; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $333=$332 & -17; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $334=$333 | 16; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($331)]=$334; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 56; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 56: 
      var $336=$4; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $337=(($336+25)|0); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $338=HEAP8[($337)]; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $339=$338 & -3; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $340=$339 | 2; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($337)]=$340; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($forwardJump)>>2)]=0; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $forwardCatch=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $341=$pool; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $342=__ZN2js8ArenaNewINS_7analyze8BytecodeEEEPT_R11JSArenaPool($341); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $startcode=$342; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $343=$startcode; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $344=(($343)|0)!=0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($344) { __label__ = 58; break; } else { __label__ = 57; break; } //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 57: 
      var $346=$2; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($4, $346); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 188; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 58: 
      var $348=$startcode; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $349=(($348+4)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($349)>>2)]=0; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $350=$startcode; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $351=(($4+4)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $352=HEAP32[(($351)>>2)]; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $353=(($352)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($353)>>2)]=$350; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $nTypeSets=0; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $354=(($4)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $355=HEAP32[(($354)>>2)]; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $356=(($355+100)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $357=HEAP32[(($356)>>2)]; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $358=__ZN2js5types10TypeScript9typeArrayEv($357); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $typeArray=$358; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($nextOffset)>>2)]=0; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 59; break; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 59: 
      var $360=HEAPU32[(($nextOffset)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $361=$length; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $362=(($360)>>>0) < (($361)>>>0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($362) { __label__ = 60; break; } else { __label__ = 187; break; } //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 60: 
      var $364=HEAP32[(($nextOffset)>>2)]; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $offset=$364; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $365=HEAP32[(($forwardJump)>>2)]; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $366=(($365)|0)!=0; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($366) { __label__ = 61; break; } else { __label__ = 63; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 61: 
      var $368=HEAP32[(($forwardJump)>>2)]; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $369=$offset; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $370=(($368)|0)==(($369)|0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($370) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 62: 
      HEAP32[(($forwardJump)>>2)]=0; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 63; break; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 63: 
      var $373=$forwardCatch; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $374=(($373)|0)!=0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($374) { __label__ = 64; break; } else { __label__ = 66; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 64: 
      var $376=$forwardCatch; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $377=$offset; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $378=(($376)|0)==(($377)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($378) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 65: 
      $forwardCatch=0; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 66; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 66: 
      var $381=$offset; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $382=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($4, $381); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $code=$382; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $383=(($4)|0); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $384=HEAP32[(($383)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $385=(($384)|0); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $386=HEAP32[(($385)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $387=$offset; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $388=(($386+$387)|0); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc=$388; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $389=$2; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $390=(($4)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $391=HEAP32[(($390)>>2)]; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $392=$pc; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $389, $391, $392); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $393=$pc; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $394=HEAPU8[($393)]; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $395=(($394)&255); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $op=$395; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $396=$offset; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $397=$pc; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $398=__ZN2js7analyzeL17GetBytecodeLengthEPh($397); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $399=(($396+$398)|0); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $successorOffset=$399; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $400=$successorOffset; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($nextOffset)>>2)]=$400; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $401=$code; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $402=(($401)|0)!=0; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($402) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 67: 
      $3=20;
      __label__ = 185; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 68: 
      var $405=$code; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $406=$405; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $407=HEAPU8[($406)]; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $408=(($407)&255) >>> 6; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $409=$408 & 1; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $410=(($409) & 1); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($410) { __label__ = 69; break; } else { __label__ = 70; break; } //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 69: 
      $3=20;
      __label__ = 185; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 70: 
      var $413=$code; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $414=$413; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $415=HEAP8[($414)]; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $416=$415 & -65; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $417=$416 | 64; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($414)]=$417; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $418=$forwardCatch; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $419=(($418)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($419) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 71: 
      var $421=$code; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $422=$421; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $423=(($422+1)|0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $424=HEAP8[($423)]; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $425=$424 & -2; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $426=$425 | 1; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($423)]=$426; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 72; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 72: 
      var $428=(($untrap+4)|0); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $429=HEAP8[($428)]; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $430=(($429) & 1); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($430) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 73: 
      var $432=$code; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $433=$432; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $434=(($433+1)|0); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $435=HEAP8[($434)]; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $436=$435 & -3; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $437=$436 | 2; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($434)]=$437; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $438=$4; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $439=(($438+25)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $440=HEAP8[($439)]; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $441=$440 & -3; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($439)]=$441; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $442=$4; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $443=(($442+25)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $444=HEAP8[($443)]; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $445=$444 & -2; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($443)]=$445; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 74; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 74: 
      var $447=$code; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $448=(($447+4)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $449=HEAP32[(($448)>>2)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stackDepth=$449; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $450=$code; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $451=(($450+12)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $452=HEAP32[(($451)>>2)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defineArray=$452; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $453=$code; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $454=(($453+8)|0); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $455=HEAP32[(($454)>>2)]; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defineCount=$455; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $456=HEAP32[(($forwardJump)>>2)]; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $457=(($456)|0)!=0; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($457) { __label__ = 82; break; } else { __label__ = 75; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 75: 
      var $459=$code; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $460=$459; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $461=HEAP8[($460)]; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $462=$461 & -33; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $463=$462 | 32; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($460)]=$463; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i6=0; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 76; break; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 76: 
      var $465=$i6; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $466=$defineCount; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $467=(($465)>>>0) < (($466)>>>0); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($467) { __label__ = 77; break; } else { __label__ = 81; break; } //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 77: 
      var $469=$i6; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $470=$defineArray; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $471=(($470+($469<<2))|0); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $472=HEAP32[(($471)>>2)]; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $local7=$472; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $473=$local7; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $474=(($4+32)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $475=HEAP32[(($474)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $476=(($475+($473<<2))|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $477=HEAP32[(($476)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $478=(($477)|0)==-2; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($478) { __label__ = 78; break; } else { __label__ = 79; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 78: 
      var $480=$local7; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $481=$offset; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis8setLocalEjj($4, $480, $481); //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 79; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 79: 
      __label__ = 80; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 80: 
      var $484=$i6; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $485=(($484+1)|0); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i6=$485; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 76; break; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 81: 
      var $487=$code; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $488=(($487+12)|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($488)>>2)]=0; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defineArray=0; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $489=$code; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $490=(($489+8)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($490)>>2)]=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defineCount=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 82; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 82: 
      var $492=$op; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $493=((_js_CodeSpec+($492<<3))|0); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $494=(($493+4)|0); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $495=HEAP32[(($494)>>2)]; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $496=$495 & 134217728; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $497=(($496)|0)!=0; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($497) { __label__ = 84; break; } else { __label__ = 83; break; } //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 83: 
      var $499=(($4)|0); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $500=HEAP32[(($499)>>2)]; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $501=$offset; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $502=__ZN2js7analyzeL11GetUseCountEP8JSScriptj($500, $501); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $nuses=$502; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $503=(($4)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $504=HEAP32[(($503)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $505=$offset; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $506=__ZN2js7analyzeL11GetDefCountEP8JSScriptj($504, $505); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $ndefs=$506; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $507=$nuses; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $508=$stackDepth; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $509=(($508-$507)|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stackDepth=$509; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $510=$ndefs; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $511=$stackDepth; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $512=(($511+$510)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stackDepth=$512; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 84; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 84: 
      var $514=$op; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $515=((_js_CodeSpec+($514<<3))|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $516=(($515+4)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $517=HEAP32[(($516)>>2)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $518=$517 & 67108864; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $519=(($518)|0)!=0; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($519) { __label__ = 85; break; } else { __label__ = 90; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 85: 
      var $521=$2; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $522=__ZN9JSContext20typeInferenceEnabledEv($521); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($522) { __label__ = 86; break; } else { __label__ = 90; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 86: 
      var $524=$nTypeSets; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $525=(($4)|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $526=HEAP32[(($525)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $527=(($526+22)|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $528=HEAPU16[(($527)>>1)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $529=(($528)&65535); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $530=(($524)>>>0) < (($529)>>>0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($530) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 87: 
      var $532=$nTypeSets; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $533=(($532+1)|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $nTypeSets=$533; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $534=$typeArray; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $535=(($534+$532*12)|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $536=$code; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $537=(($536+16)|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $538=$537; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($538)>>2)]=$535; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 89; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 88: 
      var $540=$nTypeSets; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $541=(($540-1)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $542=$typeArray; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $543=(($542+$541*12)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $544=$code; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $545=(($544+16)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $546=$545; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($546)>>2)]=$543; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 89; break;
    case 89: 
      __label__ = 90; break; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 90: 
      var $549=$op; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ((($549)|0) == 5 || (($549)|0) == 197) {
        __label__ = 91; break;
      }
      else if ((($549)|0) == 154 || (($549)|0) == 2) {
        __label__ = 92; break;
      }
      else if ((($549)|0) == 59 || (($549)|0) == 57 || (($549)|0) == 110 || (($549)|0) == 111 || (($549)|0) == 36 || (($549)|0) == 165 || (($549)|0) == 166) {
        __label__ = 93; break;
      }
      else if ((($549)|0) == 127 || (($549)|0) == 129 || (($549)|0) == 128 || (($549)|0) == 14) {
        __label__ = 94; break;
      }
      else if ((($549)|0) == 123) {
        __label__ = 95; break;
      }
      else if ((($549)|0) == 3) {
        __label__ = 96; break;
      }
      else if ((($549)|0) == 201 || (($549)|0) == 202) {
        __label__ = 97; break;
      }
      else if ((($549)|0) == 65) {
        __label__ = 98; break;
      }
      else if ((($549)|0) == 58 || (($549)|0) == 82) {
        __label__ = 99; break;
      }
      else if ((($549)|0) == 70 || (($549)|0) == 149) {
        __label__ = 100; break;
      }
      else if ((($549)|0) == 71 || (($549)|0) == 150) {
        __label__ = 111; break;
      }
      else if ((($549)|0) == 134) {
        __label__ = 119; break;
      }
      else if ((($549)|0) == 86) {
        __label__ = 132; break;
      }
      else if ((($549)|0) == 215 || (($549)|0) == 101 || (($549)|0) == 102 || (($549)|0) == 103 || (($549)|0) == 104) {
        __label__ = 140; break;
      }
      else if ((($549)|0) == 87) {
        __label__ = 145; break;
      }
      else if ((($549)|0) == 85 || (($549)|0) == 97 || (($549)|0) == 98 || (($549)|0) == 99 || (($549)|0) == 100) {
        __label__ = 157; break;
      }
      else if ((($549)|0) == 9 || (($549)|0) == 112 || (($549)|0) == 118 || (($549)|0) == 140 || (($549)|0) == 223 || (($549)|0) == 130 || (($549)|0) == 224 || (($549)|0) == 136 || (($549)|0) == 137 || (($549)|0) == 138 || (($549)|0) == 139 || (($549)|0) == 115 || (($549)|0) == 108 || (($549)|0) == 79) {
        __label__ = 158; break;
      }
      else {
      __label__ = 159; break;
      }
      
    case 91: 
      var $551=(($4+28)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $552=HEAP32[(($551)>>2)]; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $553=(($552+1)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($551)>>2)]=$553; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 92: 
      var $555=$4; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $556=(($555+24)|0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $557=HEAP8[($556)]; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $558=$557 & -2; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $559=$558 | 1; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($556)]=$559; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $560=$4; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $561=(($560+25)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $562=HEAP8[($561)]; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $563=$562 & -2; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($561)]=$563; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 93: 
      var $565=$2; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $566=$pc; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis16checkAliasedNameEP9JSContextPh($4, $565, $566); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $567=$4; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $568=(($567+24)|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $569=HEAP8[($568)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $570=$569 & -3; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $571=$570 | 2; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($568)]=$571; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $572=$4; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $573=(($572+25)|0); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $574=HEAP8[($573)]; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $575=$574 & -2; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($573)]=$575; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 94: 
      var $577=$2; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $578=$pc; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis16checkAliasedNameEP9JSContextPh($4, $577, $578); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $579=$4; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $580=(($579+24)|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $581=HEAP8[($580)]; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $582=$581 & -33; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $583=$582 | 32; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($580)]=$583; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $584=$4; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $585=(($584+25)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $586=HEAP8[($585)]; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $587=$586 & -3; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($585)]=$587; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $588=$4; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $589=(($588+25)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $590=HEAP8[($589)]; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $591=$590 & -2; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($589)]=$591; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 95: 
      var $593=$4; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $594=(($593+24)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $595=HEAP8[($594)]; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $596=$595 & -33; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $597=$596 | 32; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($594)]=$597; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $598=$4; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $599=(($598+25)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $600=HEAP8[($599)]; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $601=$600 & -3; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($599)]=$601; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $602=$4; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $603=(($602+25)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $604=HEAP8[($603)]; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $605=$604 & -2; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($603)]=$605; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 96: 
      var $607=$4; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $608=(($607+24)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $609=HEAP8[($608)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $610=$609 & -65; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $611=$610 | 64; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($608)]=$611; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $612=$4; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $613=(($612+25)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $614=HEAP8[($613)]; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $615=$614 & -3; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($613)]=$615; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $616=$4; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $617=(($616+25)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $618=HEAP8[($617)]; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $619=$618 & -2; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($617)]=$619; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 97: 
      var $621=$4; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $622=(($621+24)|0); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $623=HEAP8[($622)]; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $624=$623 & -65; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $625=$624 | 64; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($622)]=$625; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $626=$4; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $627=(($626+25)|0); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $628=HEAP8[($627)]; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $629=$628 & -2; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($627)]=$629; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 98: 
      var $631=$4; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $632=(($631+24)|0); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $633=HEAP8[($632)]; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $634=$633 & -5; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $635=$634 | 4; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($632)]=$635; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 99: 
      var $637=$4; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $638=(($637+24)|0); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $639=HEAP8[($638)]; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $640=$639 & -9; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $641=$640 | 8; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($638)]=$641; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 100: 
      var $643=$4; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $644=(($643+25)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $645=HEAP8[($644)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $646=$645 & -3; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($644)]=$646; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $647=$4; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $648=(($647+25)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $649=HEAP8[($648)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $650=$649 & -2; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($648)]=$650; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $651=$pc; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$651; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $652=$op; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $653=(($652)|0)==70; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $654=$653 ? 2 : 4; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $jmplen=$654; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $655=$offset; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $656=$pc; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $657=$pc2; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $658=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($656, $657); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $659=(($655+$658)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defaultOffset=$659; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $660=$jmplen; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $661=$pc2; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $662=(($661+$660)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$662; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $663=$pc2; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $664=(($663+1)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $665=HEAPU8[($664)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $666=(($665)&255); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $667=$666 << 8; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $668=$pc2; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $669=(($668+2)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $670=HEAPU8[($669)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $671=(($670)&255); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $672=$667 | $671; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $673=(($672) & 65535); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $674=(($673 << 16) >> 16); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $low=$674; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $675=$pc2; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $676=(($675+2)|0); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$676; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $677=$pc2; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $678=(($677+1)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $679=HEAPU8[($678)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $680=(($679)&255); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $681=$680 << 8; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $682=$pc2; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $683=(($682+2)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $684=HEAPU8[($683)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $685=(($684)&255); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $686=$681 | $685; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $687=(($686) & 65535); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $688=(($687 << 16) >> 16); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $high=$688; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $689=$pc2; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $690=(($689+2)|0); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$690; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $691=$2; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $692=$defaultOffset; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $693=$stackDepth; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $694=$defineArray; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $695=$defineCount; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $696=__ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j($4, $691, $692, $nextOffset, $forwardJump, $693, $694, $695); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($696) { __label__ = 102; break; } else { __label__ = 101; break; } //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 101: 
      $3=1;
      __label__ = 185; break; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 102: 
      var $699=$defaultOffset; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $700=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $699); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $701=$700; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $702=HEAP8[($701)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $703=$702 & -17; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $704=$703 | 16; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($701)]=$704; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $705=$defaultOffset; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $706=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $705); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $707=$706; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $708=(($707+1)|0); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $709=HEAP8[($708)]; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $710=$709 & -3; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $711=$710 | 2; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($708)]=$711; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $712=$low; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i8=$712; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 103; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 103: 
      var $714=$i8; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $715=$high; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $716=(($714)|0) <= (($715)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($716) { __label__ = 104; break; } else { __label__ = 110; break; } //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 104: 
      var $718=$offset; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $719=$pc; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $720=$pc2; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $721=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($719, $720); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $722=(($718+$721)|0); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $targetOffset=$722; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $723=$targetOffset; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $724=$offset; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $725=(($723)|0)!=(($724)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($725) { __label__ = 105; break; } else { __label__ = 108; break; } //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 105: 
      var $727=$2; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $728=$targetOffset; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $729=$stackDepth; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $730=$defineArray; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $731=$defineCount; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $732=__ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j($4, $727, $728, $nextOffset, $forwardJump, $729, $730, $731); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($732) { __label__ = 107; break; } else { __label__ = 106; break; } //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 106: 
      $3=1;
      __label__ = 185; break; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 107: 
      __label__ = 108; break; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 108: 
      var $736=$targetOffset; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $737=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $736); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $738=$737; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $739=HEAP8[($738)]; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $740=$739 & -17; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $741=$740 | 16; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($738)]=$741; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $742=$targetOffset; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $743=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $742); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $744=$743; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $745=(($744+1)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $746=HEAP8[($745)]; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $747=$746 & -3; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $748=$747 | 2; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($745)]=$748; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $749=$jmplen; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $750=$pc2; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $751=(($750+$749)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$751; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 109; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 109: 
      var $753=$i8; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $754=(($753+1)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i8=$754; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 103; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 110: 
      __label__ = 160; break; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 111: 
      var $757=$4; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $758=(($757+25)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $759=HEAP8[($758)]; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $760=$759 & -3; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($758)]=$760; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $761=$4; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $762=(($761+25)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $763=HEAP8[($762)]; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $764=$763 & -2; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($762)]=$764; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $765=$pc; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc29=$765; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $766=$op; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $767=(($766)|0)==71; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $768=$767 ? 2 : 4; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $jmplen10=$768; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $769=$offset; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $770=$pc; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $771=$pc29; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $772=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($770, $771); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $773=(($769+$772)|0); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defaultOffset11=$773; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $774=$jmplen10; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $775=$pc29; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $776=(($775+$774)|0); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc29=$776; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $777=$pc29; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $778=(($777+1)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $779=HEAPU8[($778)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $780=(($779)&255); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $781=$780 << 8; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $782=$pc29; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $783=(($782+2)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $784=HEAPU8[($783)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $785=(($784)&255); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $786=$781 | $785; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $npairs=$786; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $787=$pc29; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $788=(($787+2)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc29=$788; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $789=$2; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $790=$defaultOffset11; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $791=$stackDepth; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $792=$defineArray; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $793=$defineCount; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $794=__ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j($4, $789, $790, $nextOffset, $forwardJump, $791, $792, $793); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($794) { __label__ = 113; break; } else { __label__ = 112; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 112: 
      $3=1;
      __label__ = 185; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 113: 
      var $797=$defaultOffset11; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $798=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $797); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $799=$798; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $800=HEAP8[($799)]; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $801=$800 & -17; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $802=$801 | 16; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($799)]=$802; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $803=$defaultOffset11; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $804=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $803); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $805=$804; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $806=(($805+1)|0); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $807=HEAP8[($806)]; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $808=$807 & -3; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $809=$808 | 2; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($806)]=$809; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 114; break; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 114: 
      var $811=$npairs; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $812=(($811)|0)!=0; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($812) { __label__ = 115; break; } else { __label__ = 118; break; } //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 115: 
      var $814=$pc29; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $815=(($814+2)|0); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc29=$815; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $816=$offset; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $817=$pc; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $818=$pc29; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $819=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($817, $818); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $820=(($816+$819)|0); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $targetOffset12=$820; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $821=$2; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $822=$targetOffset12; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $823=$stackDepth; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $824=$defineArray; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $825=$defineCount; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $826=__ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j($4, $821, $822, $nextOffset, $forwardJump, $823, $824, $825); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($826) { __label__ = 117; break; } else { __label__ = 116; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 116: 
      $3=1;
      __label__ = 185; break; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 117: 
      var $829=$targetOffset12; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $830=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $829); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $831=$830; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $832=HEAP8[($831)]; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $833=$832 & -17; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $834=$833 | 16; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($831)]=$834; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $835=$targetOffset12; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $836=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $835); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $837=$836; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $838=(($837+1)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $839=HEAP8[($838)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $840=$839 & -3; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $841=$840 | 2; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($838)]=$841; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $842=$jmplen10; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $843=$pc29; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $844=(($843+$842)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc29=$844; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $845=$npairs; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $846=(($845-1)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $npairs=$846; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 114; break; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 118: 
      __label__ = 160; break; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 119: 
      var $849=$4; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $850=(($849+25)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $851=HEAP8[($850)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $852=$851 & -3; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($850)]=$852; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $853=$4; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $854=(($853+25)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $855=HEAP8[($854)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $856=$855 & -2; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($854)]=$856; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $857=(($4)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $858=HEAP32[(($857)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $859=__ZN8JSScript8trynotesEv($858); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $860=(($859)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $861=HEAP32[(($860)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tn=$861; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $862=$tn; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $863=(($4)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $864=HEAP32[(($863)>>2)]; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $865=__ZN8JSScript8trynotesEv($864); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $866=(($865+4)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $867=HEAP32[(($866)>>2)]; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $868=(($862+$867*12)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tnlimit=$868; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 120; break; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 120: 
      var $870=$tn; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $871=$tnlimit; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $872=(($870)>>>0) < (($871)>>>0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($872) { __label__ = 121; break; } else { __label__ = 131; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 121: 
      var $874=(($4)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $875=HEAP32[(($874)>>2)]; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $876=(($875+32)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $877=HEAP32[(($876)>>2)]; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $878=$tn; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $879=(($878+4)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $880=HEAP32[(($879)>>2)]; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $881=(($877+$880)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $startOffset=$881; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $882=$startOffset; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $883=$offset; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $884=(($883+1)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $885=(($882)|0)==(($884)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($885) { __label__ = 122; break; } else { __label__ = 129; break; } //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 122: 
      var $887=$startOffset; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $888=$tn; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $889=(($888+8)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $890=HEAP32[(($889)>>2)]; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $891=(($887+$890)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $catchOffset=$891; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $892=$catchOffset; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $893=$forwardCatch; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $894=(($892)>>>0) > (($893)>>>0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($894) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 123: 
      var $896=$catchOffset; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $forwardCatch=$896; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 124; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 124: 
      var $898=$tn; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $899=(($898)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $900=HEAPU8[($899)]; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $901=(($900)&255); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $902=(($901)|0)!=2; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($902) { __label__ = 125; break; } else { __label__ = 128; break; } //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 125: 
      var $904=$2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $905=$catchOffset; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $906=$stackDepth; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $907=$defineArray; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $908=$defineCount; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $909=__ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j($4, $904, $905, $nextOffset, $forwardJump, $906, $907, $908); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($909) { __label__ = 127; break; } else { __label__ = 126; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 126: 
      $3=1;
      __label__ = 185; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 127: 
      var $912=$catchOffset; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $913=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $912); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $914=$913; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $915=HEAP8[($914)]; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $916=$915 & 127; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $917=$916 | -128; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($914)]=$917; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $918=$catchOffset; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $919=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $918); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $920=$919; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $921=(($920+1)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $922=HEAP8[($921)]; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $923=$922 & -3; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $924=$923 | 2; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($921)]=$924; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 128; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 128: 
      __label__ = 129; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 129: 
      __label__ = 130; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 130: 
      var $928=$tn; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $929=(($928+12)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tn=$929; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 120; break; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 131: 
      __label__ = 160; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 132: 
      var $932=$pc; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $933=(($932+3)|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $next=$933; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $934=$next; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $935=HEAPU8[($934)]; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $936=(($935)&255); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $937=(($936)|0)!=81; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($937) { __label__ = 134; break; } else { __label__ = 133; break; } //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 133: 
      var $939=$next; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $940=__ZN2js7analyze14ScriptAnalysis10jumpTargetEPKh($4, $939); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($940) { __label__ = 134; break; } else { __label__ = 139; break; } //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 134: 
      var $942=$pc; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $943=(($942+1)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $944=HEAPU8[($943)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $945=(($944)&255); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $946=$945 << 8; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $947=$pc; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $948=(($947+2)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $949=HEAPU8[($948)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $950=(($949)&255); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $951=$946 | $950; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $local13=$951; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $952=$local13; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $953=(($4)|0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $954=HEAP32[(($953)>>2)]; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $955=(($954+14)|0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $956=HEAPU16[(($955)>>1)]; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $957=(($956)&65535); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $958=(($952)>>>0) >= (($957)>>>0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($958) { __label__ = 135; break; } else { __label__ = 136; break; } //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 135: 
      var $960=$4; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $961=(($960+24)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $962=HEAP8[($961)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $963=$962 & 127; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $964=$963 | -128; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($961)]=$964; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 136: 
      var $966=$local13; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $967=$offset; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $968=__ZN2js7analyze14ScriptAnalysis12localDefinedEjj($4, $966, $967); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($968) { __label__ = 138; break; } else { __label__ = 137; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 137: 
      var $970=$local13; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis8setLocalEjj($4, $970, -1); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $971=$4; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $972=(($971+25)|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $973=HEAP8[($972)]; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $974=$973 & -2; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($972)]=$974; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 138; break; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 138: 
      __label__ = 139; break; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 139: 
      __label__ = 160; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 140: 
      var $978=$pc; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $979=(($978+1)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $980=HEAPU8[($979)]; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $981=(($980)&255); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $982=$981 << 8; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $983=$pc; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $984=(($983+2)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $985=HEAPU8[($984)]; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $986=(($985)&255); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $987=$982 | $986; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $local14=$987; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $988=$local14; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $989=(($4)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $990=HEAP32[(($989)>>2)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $991=(($990+14)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $992=HEAPU16[(($991)>>1)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $993=(($992)&65535); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $994=(($988)>>>0) >= (($993)>>>0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($994) { __label__ = 141; break; } else { __label__ = 142; break; } //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 141: 
      var $996=$4; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $997=(($996+24)|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $998=HEAP8[($997)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $999=$998 & 127; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1000=$999 | -128; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($997)]=$1000; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 142: 
      var $1002=$local14; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1003=$offset; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1004=__ZN2js7analyze14ScriptAnalysis12localDefinedEjj($4, $1002, $1003); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1004) { __label__ = 144; break; } else { __label__ = 143; break; } //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 143: 
      var $1006=$local14; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis8setLocalEjj($4, $1006, -1); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1007=$4; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1008=(($1007+25)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1009=HEAP8[($1008)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1010=$1009 & -2; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1008)]=$1010; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 144; break; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 144: 
      __label__ = 160; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 145: 
      var $1013=$pc; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1014=(($1013+1)|0); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1015=HEAPU8[($1014)]; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1016=(($1015)&255); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1017=$1016 << 8; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1018=$pc; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1019=(($1018+2)|0); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1020=HEAPU8[($1019)]; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1021=(($1020)&255); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1022=$1017 | $1021; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $local15=$1022; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1023=$local15; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1024=(($4)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1025=HEAP32[(($1024)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1026=(($1025+14)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1027=HEAPU16[(($1026)>>1)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1028=(($1027)&65535); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1029=(($1023)>>>0) >= (($1028)>>>0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1029) { __label__ = 146; break; } else { __label__ = 147; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 146: 
      var $1031=$4; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1032=(($1031+24)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1033=HEAP8[($1032)]; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1034=$1033 & 127; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1035=$1034 | -128; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1032)]=$1035; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 147: 
      var $1037=$local15; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1038=(($4+32)|0); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1039=HEAP32[(($1038)>>2)]; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1040=(($1039+($1037<<2))|0); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1041=HEAP32[(($1040)>>2)]; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1042=(($1041)|0)==-2; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1042) { __label__ = 148; break; } else { __label__ = 156; break; } //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 148: 
      var $1044=HEAP32[(($forwardJump)>>2)]; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1045=(($1044)|0)!=0; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1045) { __label__ = 149; break; } else { __label__ = 154; break; } //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 149: 
      var $1047=$pool; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1048=$defineCount; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1049=(($1048+1)|0); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1050=__ZN2js10ArenaArrayIjEEPT_R11JSArenaPoolj($1047, $1049); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $newArray=$1050; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1051=$newArray; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1052=(($1051)|0)!=0; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1052) { __label__ = 151; break; } else { __label__ = 150; break; } //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 150: 
      var $1054=$2; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($4, $1054); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $3=1;
      __label__ = 185; break; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 151: 
      var $1056=$defineCount; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1057=(($1056)|0)!=0; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1057) { __label__ = 152; break; } else { __label__ = 153; break; } //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 152: 
      var $1059=$newArray; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1060=$1059; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1061=$defineArray; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1062=$1061; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1063=$defineCount; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1064=((($1063<<2))|0); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert($1064 % 1 === 0, 'memcpy given ' + $1064 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($1060, $1062, $1064, 1); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 153; break; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 153: 
      var $1066=$newArray; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defineArray=$1066; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1067=$local15; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1068=$defineCount; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1069=(($1068+1)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defineCount=$1069; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1070=$defineArray; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1071=(($1070+($1068<<2))|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($1071)>>2)]=$1067; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 155; break; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 154: 
      var $1073=$local15; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1074=$offset; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis8setLocalEjj($4, $1073, $1074); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 155; break;
    case 155: 
      __label__ = 156; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 156: 
      __label__ = 160; break; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 157: 
      var $1078=$4; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1079=(($1078+24)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1080=HEAP8[($1079)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1081=$1080 & -17; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1082=$1081 | 16; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1079)]=$1082; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1083=$4; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1084=(($1083+25)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1085=HEAP8[($1084)]; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1086=$1085 & -2; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1084)]=$1086; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 158: 
      var $1088=$4; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1089=(($1088+25)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1090=HEAP8[($1089)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1091=$1090 & -2; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1089)]=$1091; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 160; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 159: 
      __label__ = 160; break; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 160: 
      var $1094=$op; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1095=((_js_CodeSpec+($1094<<3))|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1096=(($1095+4)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1097=HEAP32[(($1096)>>2)]; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1098=$1097 & 31; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $type=$1098; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1099=$type; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1100=(($1099)|0)==1; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1100) { __label__ = 162; break; } else { __label__ = 161; break; } //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 161: 
      var $1102=$type; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1103=(($1102)|0)==9; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1103) { __label__ = 162; break; } else { __label__ = 169; break; } //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 162: 
      var $1105=$stackDepth; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $newStackDepth=$1105; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1106=$op; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ((($1106)|0) == 68 || (($1106)|0) == 69 || (($1106)|0) == 144 || (($1106)|0) == 145) {
        __label__ = 163; break;
      }
      else if ((($1106)|0) == 121 || (($1106)|0) == 147) {
        __label__ = 164; break;
      }
      else {
      __label__ = 165; break;
      }
      
    case 163: 
      var $1108=$stackDepth; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1109=(($1108-1)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stackDepth=$1109; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 166; break; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 164: 
      var $1111=$newStackDepth; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1112=(($1111-1)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $newStackDepth=$1112; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 166; break; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 165: 
      __label__ = 166; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 166: 
      var $1115=$offset; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1116=$pc; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1117=$pc; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1118=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($1116, $1117); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1119=(($1115+$1118)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $targetOffset16=$1119; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1120=$2; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1121=$targetOffset16; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1122=$newStackDepth; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1123=$defineArray; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1124=$defineCount; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1125=__ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j($4, $1120, $1121, $nextOffset, $forwardJump, $1122, $1123, $1124); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1125) { __label__ = 168; break; } else { __label__ = 167; break; } //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 167: 
      $3=1;
      __label__ = 185; break; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 168: 
      __label__ = 169; break; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 169: 
      var $1129=$op; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1130=__ZN2js7analyzeL21BytecodeNoFallThroughE4JSOp($1129); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1130) { __label__ = 184; break; } else { __label__ = 170; break; } //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 170: 
      var $1132=$successorOffset; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1133=(($4+4)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1134=HEAP32[(($1133)>>2)]; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1135=(($1134+($1132<<2))|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $nextcode=$1135; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1136=$nextcode; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1137=HEAP32[(($1136)>>2)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1138=(($1137)|0)==0; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1139=(($1138)&1); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $initial=$1139; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1140=$initial; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1141=(($1140) & 1); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1141) { __label__ = 171; break; } else { __label__ = 174; break; } //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 171: 
      var $1143=$pool; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1144=__ZN2js8ArenaNewINS_7analyze8BytecodeEEEPT_R11JSArenaPool($1143); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1145=$nextcode; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($1145)>>2)]=$1144; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1146=$nextcode; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1147=HEAP32[(($1146)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1148=(($1147)|0)!=0; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1148) { __label__ = 173; break; } else { __label__ = 172; break; } //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 172: 
      var $1150=$2; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($4, $1150); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $3=1;
      __label__ = 185; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 173: 
      __label__ = 174; break; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 174: 
      var $1153=$type; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1154=(($1153)|0)==1; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1154) { __label__ = 176; break; } else { __label__ = 175; break; } //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 175: 
      var $1156=$type; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1157=(($1156)|0)==9; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1157) { __label__ = 176; break; } else { __label__ = 177; break; } //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 176: 
      var $1159=$nextcode; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1160=HEAP32[(($1159)>>2)]; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1161=$1160; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1162=HEAP8[($1161)]; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1163=$1162 & -9; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1164=$1163 | 8; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1161)]=$1164; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 177; break; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 177: 
      var $1166=$nextcode; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1167=HEAP32[(($1166)>>2)]; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1168=$2; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1169=$initial; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1170=(($1169) & 1); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1171=$stackDepth; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1172=$defineArray; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1173=$defineCount; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1174=__ZN2js7analyze8Bytecode12mergeDefinesEP9JSContextPNS0_14ScriptAnalysisEbjPjj($1167, $1168, $4, $1170, $1171, $1172, $1173); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1174) { __label__ = 179; break; } else { __label__ = 178; break; } //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 178: 
      $3=1;
      __label__ = 185; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 179: 
      var $1177=$type; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1178=(($1177)|0)==1; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1178) { __label__ = 181; break; } else { __label__ = 180; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 180: 
      var $1180=$type; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1181=(($1180)|0)==9; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1181) { __label__ = 181; break; } else { __label__ = 182; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 181: 
      var $1183=$nextcode; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1184=HEAP32[(($1183)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1185=$1184; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1186=HEAP8[($1185)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1187=$1186 & -2; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1188=$1187 | 1; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1185)]=$1188; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 183; break; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 182: 
      var $1190=$nextcode; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1191=HEAP32[(($1190)>>2)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1192=$1191; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1193=HEAP8[($1192)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1194=$1193 & -5; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1195=$1194 | 4; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1192)]=$1195; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 183; break;
    case 183: 
      __label__ = 184; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 184: 
      $3=0; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 185; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 185: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $cleanup_dest=$3;
      if ((($cleanup_dest)|0) == 20) {
        __label__ = 59; break;
      }
      else if ((($cleanup_dest)|0) == 0) {
        __label__ = 186; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 188; break;
      }
      else {
      __label__ = 189; break;
      }
      
    case 186: 
      __label__ = 59; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 187: 
      var $1201=(($4+20)|0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1201)]=1; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 188; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 188: 
      STACKTOP = __stackBase__;
      return; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 189: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis15analyzeBytecodeEP9JSContext["X"]=1;

function __ZN2js5types10TypeScript9typeArrayEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1044 "./jsinfer.h"
  var $4=(($3+20)|0); //@line 1044 "./jsinfer.h"
  var $5=$4; //@line 1044 "./jsinfer.h"
  ;
  return $5; //@line 1044 "./jsinfer.h"
}


function __ZNK8JSScript8functionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+100)|0); //@line 204 "./jsscriptinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 204 "./jsscriptinlines.h"
  var $5=(($4+4)|0); //@line 204 "./jsscriptinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 204 "./jsscriptinlines.h"
  ;
  return $6; //@line 204 "./jsscriptinlines.h"
}


function __ZN8JSScript12getClosedArgEj($this, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$index;
  var $3=$1;
  var $4=$2; //@line 774 "./jsscript.h"
  var $5=(($3+88)|0); //@line 774 "./jsscript.h"
  var $6=HEAP32[(($5)>>2)]; //@line 774 "./jsscript.h"
  var $7=(($6+($4<<2))|0); //@line 774 "./jsscript.h"
  var $8=HEAP32[(($7)>>2)]; //@line 774 "./jsscript.h"
  ;
  return $8; //@line 774 "./jsscript.h"
}


function __ZN2js7analyze14ScriptAnalysis8setLocalEjj($this, $local, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$local;
  $3=$offset;
  var $4=$1;
  var $5=$3; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  var $6=$2; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  var $7=(($4+32)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  var $9=(($8+($6<<2))|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  HEAP32[(($9)>>2)]=$5; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  ;
  return; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
}


function __ZN8JSScript12getClosedVarEj($this, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$index;
  var $3=$1;
  var $4=(($3+48)|0); //@line 779 "./jsscript.h"
  var $5=HEAPU16[(($4)>>1)]; //@line 779 "./jsscript.h"
  var $6=(($5)&65535); //@line 779 "./jsscript.h"
  var $7=$2; //@line 779 "./jsscript.h"
  var $8=(($6+$7)|0); //@line 779 "./jsscript.h"
  var $9=(($3+88)|0); //@line 779 "./jsscript.h"
  var $10=HEAP32[(($9)>>2)]; //@line 779 "./jsscript.h"
  var $11=(($10+($8<<2))|0); //@line 779 "./jsscript.h"
  var $12=HEAP32[(($11)>>2)]; //@line 779 "./jsscript.h"
  ;
  return $12; //@line 779 "./jsscript.h"
}


function __ZNK10JSFunction13isHeavyweightEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+58)|0); //@line 133 "./jsfun.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 133 "./jsfun.h"
  var $5=(($4)&65535); //@line 133 "./jsfun.h"
  var $6=$5 & 128; //@line 133 "./jsfun.h"
  var $7=(($6)|0)!=0; //@line 133 "./jsfun.h"
  ;
  return $7; //@line 133 "./jsfun.h"
}


function __ZN2js7analyze14ScriptAnalysis9maybeCodeEj($this, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$offset;
  var $3=$1;
  var $4=$2; //@line 983 "./jsanalyze.h"
  var $5=(($3+4)|0); //@line 983 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 983 "./jsanalyze.h"
  var $7=(($6+($4<<2))|0); //@line 983 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 983 "./jsanalyze.h"
  ;
  return $8; //@line 983 "./jsanalyze.h"
}


function __ZN2js7analyzeL13GetJumpOffsetEPhS1_($pc, $pc2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $type;
      $2=$pc;
      $3=$pc2;
      var $4=$2; //@line 343 "./jsanalyze.h"
      var $5=HEAPU8[($4)]; //@line 343 "./jsanalyze.h"
      var $6=(($5)&255); //@line 343 "./jsanalyze.h"
      var $7=((_js_CodeSpec+($6<<3))|0); //@line 343 "./jsanalyze.h"
      var $8=(($7+4)|0); //@line 343 "./jsanalyze.h"
      var $9=HEAP32[(($8)>>2)]; //@line 343 "./jsanalyze.h"
      var $10=$9 & 31; //@line 343 "./jsanalyze.h"
      $type=$10; //@line 343 "./jsanalyze.h"
      var $11=$type; //@line 344 "./jsanalyze.h"
      var $12=(($11-9)|0); //@line 344 "./jsanalyze.h"
      var $13=(($12)>>>0) <= 2; //@line 344 "./jsanalyze.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 344 "./jsanalyze.h"
    case 2: 
      var $15=$3; //@line 345 "./jsanalyze.h"
      var $16=(($15+1)|0); //@line 345 "./jsanalyze.h"
      var $17=HEAPU8[($16)]; //@line 345 "./jsanalyze.h"
      var $18=(($17)&255); //@line 345 "./jsanalyze.h"
      var $19=$18 << 24; //@line 345 "./jsanalyze.h"
      var $20=$3; //@line 345 "./jsanalyze.h"
      var $21=(($20+2)|0); //@line 345 "./jsanalyze.h"
      var $22=HEAPU8[($21)]; //@line 345 "./jsanalyze.h"
      var $23=(($22)&255); //@line 345 "./jsanalyze.h"
      var $24=$23 << 16; //@line 345 "./jsanalyze.h"
      var $25=$19 | $24; //@line 345 "./jsanalyze.h"
      var $26=$3; //@line 345 "./jsanalyze.h"
      var $27=(($26+3)|0); //@line 345 "./jsanalyze.h"
      var $28=HEAPU8[($27)]; //@line 345 "./jsanalyze.h"
      var $29=(($28)&255); //@line 345 "./jsanalyze.h"
      var $30=$29 << 8; //@line 345 "./jsanalyze.h"
      var $31=$25 | $30; //@line 345 "./jsanalyze.h"
      var $32=$3; //@line 345 "./jsanalyze.h"
      var $33=(($32+4)|0); //@line 345 "./jsanalyze.h"
      var $34=HEAPU8[($33)]; //@line 345 "./jsanalyze.h"
      var $35=(($34)&255); //@line 345 "./jsanalyze.h"
      var $36=$31 | $35; //@line 345 "./jsanalyze.h"
      $1=$36; //@line 345 "./jsanalyze.h"
      __label__ = 4; break; //@line 345 "./jsanalyze.h"
    case 3: 
      var $38=$3; //@line 346 "./jsanalyze.h"
      var $39=(($38+1)|0); //@line 346 "./jsanalyze.h"
      var $40=HEAPU8[($39)]; //@line 346 "./jsanalyze.h"
      var $41=(($40)&255); //@line 346 "./jsanalyze.h"
      var $42=$41 << 8; //@line 346 "./jsanalyze.h"
      var $43=$3; //@line 346 "./jsanalyze.h"
      var $44=(($43+2)|0); //@line 346 "./jsanalyze.h"
      var $45=HEAPU8[($44)]; //@line 346 "./jsanalyze.h"
      var $46=(($45)&255); //@line 346 "./jsanalyze.h"
      var $47=$42 | $46; //@line 346 "./jsanalyze.h"
      var $48=(($47) & 65535); //@line 346 "./jsanalyze.h"
      var $49=(($48 << 16) >> 16); //@line 346 "./jsanalyze.h"
      $1=$49; //@line 346 "./jsanalyze.h"
      __label__ = 4; break; //@line 346 "./jsanalyze.h"
    case 4: 
      var $51=$1; //@line 347 "./jsanalyze.h"
      ;
      return $51; //@line 347 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyzeL13GetJumpOffsetEPhS1_["X"]=1;

function __ZN2js7analyze14ScriptAnalysis7getCodeEj($this, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$offset;
  var $3=$1;
  var $4=$2; //@line 977 "./jsanalyze.h"
  var $5=(($3+4)|0); //@line 977 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 977 "./jsanalyze.h"
  var $7=(($6+($4<<2))|0); //@line 977 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 977 "./jsanalyze.h"
  ;
  return $8; //@line 977 "./jsanalyze.h"
}


function __ZN8JSScript8trynotesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 726 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 726 "./jsscript.h"
  var $5=(($2+19)|0); //@line 726 "./jsscript.h"
  var $6=HEAPU8[($5)]; //@line 726 "./jsscript.h"
  var $7=(($6)&255); //@line 726 "./jsscript.h"
  var $8=(($4+$7)|0); //@line 726 "./jsscript.h"
  var $9=$8; //@line 726 "./jsscript.h"
  ;
  return $9; //@line 726 "./jsscript.h"
}


function __ZN2js7analyzeL10TotalSlotsEP8JSScript($script) {
  ;
  var __label__;

  var $1;
  $1=$script;
  var $2=$1; //@line 428 "./jsanalyze.h"
  var $3=__ZN2js7analyzeL9LocalSlotEP8JSScriptj($2, 0); //@line 428 "./jsanalyze.h"
  var $4=$1; //@line 428 "./jsanalyze.h"
  var $5=(($4+14)|0); //@line 428 "./jsanalyze.h"
  var $6=HEAPU16[(($5)>>1)]; //@line 428 "./jsanalyze.h"
  var $7=(($6)&65535); //@line 428 "./jsanalyze.h"
  var $8=(($3+$7)|0); //@line 428 "./jsanalyze.h"
  ;
  return $8; //@line 428 "./jsanalyze.h"
}


function __ZN2js10ArenaArrayIPNS_7analyze8BytecodeEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=((($7<<2))|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayIPNS_7analyze8BytecodeEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2js10ArenaArrayIhEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=(($7)|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      ;
      return $51; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayIhEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2jsL7PodZeroIPNS_7analyze8BytecodeEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2jsL7PodZeroIhEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$2; //@line 667 "./jsutil.h"
  var $5=(($4)|0); //@line 667 "./jsutil.h"
  _memset($3, 0, $5, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js8ArenaNewINS_7analyze8BytecodeEEEPT_R11JSArenaPool($pool) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      __label__ = 2; break; //@line 244 "./jsarena.h"
    case 2: 
      var $3=$1; //@line 244 "./jsarena.h"
      var $4=(($3+16)|0); //@line 244 "./jsarena.h"
      var $5=HEAP32[(($4)>>2)]; //@line 244 "./jsarena.h"
      $_a=$5; //@line 244 "./jsarena.h"
      var $6=$1; //@line 244 "./jsarena.h"
      var $7=(($6+24)|0); //@line 244 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 244 "./jsarena.h"
      var $9=(($8+44)|0); //@line 244 "./jsarena.h"
      var $10=$1; //@line 244 "./jsarena.h"
      var $11=(($10+24)|0); //@line 244 "./jsarena.h"
      var $12=HEAP32[(($11)>>2)]; //@line 244 "./jsarena.h"
      var $13=$12 ^ -1; //@line 244 "./jsarena.h"
      var $14=$9 & $13; //@line 244 "./jsarena.h"
      $_nb=$14; //@line 244 "./jsarena.h"
      var $15=$_a; //@line 244 "./jsarena.h"
      var $16=(($15+12)|0); //@line 244 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 244 "./jsarena.h"
      $_p=$17; //@line 244 "./jsarena.h"
      var $18=$_nb; //@line 244 "./jsarena.h"
      var $19=$_a; //@line 244 "./jsarena.h"
      var $20=(($19+8)|0); //@line 244 "./jsarena.h"
      var $21=HEAPU32[(($20)>>2)]; //@line 244 "./jsarena.h"
      var $22=(($18)>>>0) > (($21)>>>0); //@line 244 "./jsarena.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 244 "./jsarena.h"
    case 3: 
      var $24=$_p; //@line 244 "./jsarena.h"
      var $25=$_a; //@line 244 "./jsarena.h"
      var $26=(($25+8)|0); //@line 244 "./jsarena.h"
      var $27=HEAP32[(($26)>>2)]; //@line 244 "./jsarena.h"
      var $28=$_nb; //@line 244 "./jsarena.h"
      var $29=(($27-$28)|0); //@line 244 "./jsarena.h"
      var $30=(($24)>>>0) > (($29)>>>0); //@line 244 "./jsarena.h"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 244 "./jsarena.h"
    case 4: 
      var $32=$1; //@line 244 "./jsarena.h"
      var $33=$_nb; //@line 244 "./jsarena.h"
      var $34=_JS_ArenaAllocate($32, $33); //@line 244 "./jsarena.h"
      var $35=$34; //@line 244 "./jsarena.h"
      $_p=$35; //@line 244 "./jsarena.h"
      __label__ = 6; break; //@line 244 "./jsarena.h"
    case 5: 
      var $37=$_p; //@line 244 "./jsarena.h"
      var $38=$_nb; //@line 244 "./jsarena.h"
      var $39=(($37+$38)|0); //@line 244 "./jsarena.h"
      var $40=$_a; //@line 244 "./jsarena.h"
      var $41=(($40+12)|0); //@line 244 "./jsarena.h"
      HEAP32[(($41)>>2)]=$39; //@line 244 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $43=$_p; //@line 244 "./jsarena.h"
      var $44=$43; //@line 244 "./jsarena.h"
      $v=$44; //@line 244 "./jsarena.h"
      __label__ = 7; break; //@line 244 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 244 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 244 "./jsarena.h"
    case 9: 
      var $48=$v; //@line 245 "./jsarena.h"
      var $49=(($48)|0)!=0; //@line 245 "./jsarena.h"
      if ($49) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 245 "./jsarena.h"
    case 10: 
      var $51=$v; //@line 245 "./jsarena.h"
      var $52=(($51)|0)==0; //@line 245 "./jsarena.h"
      if ($52) { var $56 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 245 "./jsarena.h"
    case 11: 
      var $54=$51; //@line 245 "./jsarena.h"
      __ZN2js7analyze8BytecodeC1Ev($54); //@line 245 "./jsarena.h"
      var $56 = $54;__label__ = 12; break; //@line 245 "./jsarena.h"
    case 12: 
      var $56; //@line 245 "./jsarena.h"
      var $59 = $56;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 13: 
      var $59 = 0;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 14: 
      var $59; //@line 245 "./jsarena.h"
      ;
      return $59; //@line 245 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_7analyze8BytecodeEEEPT_R11JSArenaPool["X"]=1;

function __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($this, $cx, $script, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$script;
  $4=$pc;
  var $5=$1;
  var $6=$2; //@line 378 "./jsanalyze.h"
  var $7=$3; //@line 378 "./jsanalyze.h"
  var $8=$4; //@line 378 "./jsanalyze.h"
  __ZN2js7analyze12UntrapOpcodeC2EP9JSContextP8JSScriptPh($5, $6, $7, $8); //@line 378 "./jsanalyze.h"
  ;
  return; //@line 378 "./jsanalyze.h"
}


function __ZN2js7analyzeL17GetBytecodeLengthEPh($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $op;
      $2=$pc;
      var $3=$2; //@line 231 "./jsanalyze.h"
      var $4=HEAPU8[($3)]; //@line 231 "./jsanalyze.h"
      var $5=(($4)&255); //@line 231 "./jsanalyze.h"
      $op=$5; //@line 231 "./jsanalyze.h"
      var $6=$op; //@line 235 "./jsanalyze.h"
      var $7=((_js_CodeSpec+($6<<3))|0); //@line 235 "./jsanalyze.h"
      var $8=(($7)|0); //@line 235 "./jsanalyze.h"
      var $9=HEAP8[($8)]; //@line 235 "./jsanalyze.h"
      var $10=(($9 << 24) >> 24); //@line 235 "./jsanalyze.h"
      var $11=(($10)|0)!=-1; //@line 235 "./jsanalyze.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 235 "./jsanalyze.h"
    case 2: 
      var $13=$op; //@line 236 "./jsanalyze.h"
      var $14=((_js_CodeSpec+($13<<3))|0); //@line 236 "./jsanalyze.h"
      var $15=(($14)|0); //@line 236 "./jsanalyze.h"
      var $16=HEAP8[($15)]; //@line 236 "./jsanalyze.h"
      var $17=(($16 << 24) >> 24); //@line 236 "./jsanalyze.h"
      $1=$17; //@line 236 "./jsanalyze.h"
      __label__ = 4; break; //@line 236 "./jsanalyze.h"
    case 3: 
      var $19=$2; //@line 237 "./jsanalyze.h"
      var $20=__Z28js_GetVariableBytecodeLengthPh($19); //@line 237 "./jsanalyze.h"
      $1=$20; //@line 237 "./jsanalyze.h"
      __label__ = 4; break; //@line 237 "./jsanalyze.h"
    case 4: 
      var $22=$1; //@line 238 "./jsanalyze.h"
      ;
      return $22; //@line 238 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyzeL11GetUseCountEP8JSScriptj($script, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pc;
      $2=$script;
      $3=$offset;
      var $4=$2; //@line 279 "./jsanalyze.h"
      var $5=(($4)|0); //@line 279 "./jsanalyze.h"
      var $6=HEAP32[(($5)>>2)]; //@line 279 "./jsanalyze.h"
      var $7=$3; //@line 279 "./jsanalyze.h"
      var $8=(($6+$7)|0); //@line 279 "./jsanalyze.h"
      $pc=$8; //@line 279 "./jsanalyze.h"
      var $9=$pc; //@line 282 "./jsanalyze.h"
      var $10=HEAPU8[($9)]; //@line 282 "./jsanalyze.h"
      var $11=(($10)&255); //@line 282 "./jsanalyze.h"
      var $12=(($11)|0)==133; //@line 282 "./jsanalyze.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 282 "./jsanalyze.h"
    case 2: 
      var $14=$pc; //@line 283 "./jsanalyze.h"
      var $15=(($14+1)|0); //@line 283 "./jsanalyze.h"
      var $16=HEAPU8[($15)]; //@line 283 "./jsanalyze.h"
      var $17=(($16)&255); //@line 283 "./jsanalyze.h"
      var $18=(($17+1)|0); //@line 283 "./jsanalyze.h"
      $1=$18; //@line 283 "./jsanalyze.h"
      __label__ = 6; break; //@line 283 "./jsanalyze.h"
    case 3: 
      var $20=$pc; //@line 284 "./jsanalyze.h"
      var $21=HEAPU8[($20)]; //@line 284 "./jsanalyze.h"
      var $22=(($21)&255); //@line 284 "./jsanalyze.h"
      var $23=((_js_CodeSpec+($22<<3))|0); //@line 284 "./jsanalyze.h"
      var $24=(($23+1)|0); //@line 284 "./jsanalyze.h"
      var $25=HEAP8[($24)]; //@line 284 "./jsanalyze.h"
      var $26=(($25 << 24) >> 24); //@line 284 "./jsanalyze.h"
      var $27=(($26)|0)==-1; //@line 284 "./jsanalyze.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 284 "./jsanalyze.h"
    case 4: 
      var $29=$pc; //@line 285 "./jsanalyze.h"
      var $30=HEAPU8[($29)]; //@line 285 "./jsanalyze.h"
      var $31=(($30)&255); //@line 285 "./jsanalyze.h"
      var $32=$pc; //@line 285 "./jsanalyze.h"
      var $33=_js_GetVariableStackUses($31, $32); //@line 285 "./jsanalyze.h"
      $1=$33; //@line 285 "./jsanalyze.h"
      __label__ = 6; break; //@line 285 "./jsanalyze.h"
    case 5: 
      var $35=$pc; //@line 286 "./jsanalyze.h"
      var $36=HEAPU8[($35)]; //@line 286 "./jsanalyze.h"
      var $37=(($36)&255); //@line 286 "./jsanalyze.h"
      var $38=((_js_CodeSpec+($37<<3))|0); //@line 286 "./jsanalyze.h"
      var $39=(($38+1)|0); //@line 286 "./jsanalyze.h"
      var $40=HEAP8[($39)]; //@line 286 "./jsanalyze.h"
      var $41=(($40 << 24) >> 24); //@line 286 "./jsanalyze.h"
      $1=$41; //@line 286 "./jsanalyze.h"
      __label__ = 6; break; //@line 286 "./jsanalyze.h"
    case 6: 
      var $43=$1; //@line 287 "./jsanalyze.h"
      ;
      return $43; //@line 287 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyzeL11GetUseCountEP8JSScriptj["X"]=1;

function __ZN2js7analyzeL11GetDefCountEP8JSScriptj($script, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pc;
      $2=$script;
      $3=$offset;
      var $4=$2; //@line 244 "./jsanalyze.h"
      var $5=(($4)|0); //@line 244 "./jsanalyze.h"
      var $6=HEAP32[(($5)>>2)]; //@line 244 "./jsanalyze.h"
      var $7=$3; //@line 244 "./jsanalyze.h"
      var $8=(($6+$7)|0); //@line 244 "./jsanalyze.h"
      $pc=$8; //@line 244 "./jsanalyze.h"
      var $9=$pc; //@line 247 "./jsanalyze.h"
      var $10=HEAPU8[($9)]; //@line 247 "./jsanalyze.h"
      var $11=(($10)&255); //@line 247 "./jsanalyze.h"
      var $12=((_js_CodeSpec+($11<<3))|0); //@line 247 "./jsanalyze.h"
      var $13=(($12+2)|0); //@line 247 "./jsanalyze.h"
      var $14=HEAP8[($13)]; //@line 247 "./jsanalyze.h"
      var $15=(($14 << 24) >> 24); //@line 247 "./jsanalyze.h"
      var $16=(($15)|0)==-1; //@line 247 "./jsanalyze.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 247 "./jsanalyze.h"
    case 2: 
      var $18=$2; //@line 248 "./jsanalyze.h"
      var $19=$pc; //@line 248 "./jsanalyze.h"
      var $20=_js_GetEnterBlockStackDefs(0, $18, $19); //@line 248 "./jsanalyze.h"
      $1=$20; //@line 248 "./jsanalyze.h"
      __label__ = 8; break; //@line 248 "./jsanalyze.h"
    case 3: 
      var $22=$pc; //@line 254 "./jsanalyze.h"
      var $23=HEAPU8[($22)]; //@line 254 "./jsanalyze.h"
      var $24=(($23)&255); //@line 254 "./jsanalyze.h"
      if ((($24)|0) == 68 || (($24)|0) == 144 || (($24)|0) == 69 || (($24)|0) == 145) {
        __label__ = 4; break;
      }
      else if ((($24)|0) == 176) {
        __label__ = 5; break;
      }
      else if ((($24)|0) == 133) {
        __label__ = 6; break;
      }
      else {
      __label__ = 7; break;
      }
      
    case 4: 
      $1=1; //@line 259 "./jsanalyze.h"
      __label__ = 8; break; //@line 259 "./jsanalyze.h"
    case 5: 
      $1=2; //@line 261 "./jsanalyze.h"
      __label__ = 8; break; //@line 261 "./jsanalyze.h"
    case 6: 
      var $28=$pc; //@line 269 "./jsanalyze.h"
      var $29=(($28+1)|0); //@line 269 "./jsanalyze.h"
      var $30=HEAPU8[($29)]; //@line 269 "./jsanalyze.h"
      var $31=(($30)&255); //@line 269 "./jsanalyze.h"
      var $32=(($31+1)|0); //@line 269 "./jsanalyze.h"
      $1=$32; //@line 269 "./jsanalyze.h"
      __label__ = 8; break; //@line 269 "./jsanalyze.h"
    case 7: 
      var $34=$pc; //@line 271 "./jsanalyze.h"
      var $35=HEAPU8[($34)]; //@line 271 "./jsanalyze.h"
      var $36=(($35)&255); //@line 271 "./jsanalyze.h"
      var $37=((_js_CodeSpec+($36<<3))|0); //@line 271 "./jsanalyze.h"
      var $38=(($37+2)|0); //@line 271 "./jsanalyze.h"
      var $39=HEAP8[($38)]; //@line 271 "./jsanalyze.h"
      var $40=(($39 << 24) >> 24); //@line 271 "./jsanalyze.h"
      $1=$40; //@line 271 "./jsanalyze.h"
      __label__ = 8; break; //@line 271 "./jsanalyze.h"
    case 8: 
      var $42=$1; //@line 273 "./jsanalyze.h"
      ;
      return $42; //@line 273 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyzeL11GetDefCountEP8JSScriptj["X"]=1;

function __ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j($this, $cx, $offset, $currentOffset, $forwardJump, $stackDepth, $defineArray, $defineCount) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $code;
      var $initial;
      var $pc;
      var $untrap=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$offset;
      $5=$currentOffset;
      $6=$forwardJump;
      $7=$stackDepth;
      $8=$defineArray;
      $9=$defineCount;
      var $10=$2;
      var $11=$4; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=(($10+4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=(($13+($11<<2))|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $code=$14; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$code; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($16)|0)==0; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=(($17)&1); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $initial=$18; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=$initial; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=(($19) & 1); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $22=$3; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=(($22+56)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+344)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=__ZN2js8ArenaNewINS_7analyze8BytecodeEEEPT_R11JSArenaPool($25); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=$code; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=$code; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=(($29)|0)!=0; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $32=$3; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($10, $32); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $1=0; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 20; break; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      __label__ = 5; break; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $35=$code; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=$3; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=$initial; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $39=(($38) & 1); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $40=$7; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=$8; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=$9; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=__ZN2js7analyze8Bytecode12mergeDefinesEP9JSContextPNS0_14ScriptAnalysisEbjPjj($36, $37, $10, $39, $40, $41, $42); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($43) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      $1=0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 20; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $46=$code; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=$47; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=HEAP8[($48)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=$49 & -2; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=$50 | 1; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($48)]=$51; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $52=$4; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=$5; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=HEAPU32[(($53)>>2)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=(($52)>>>0) < (($54)>>>0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($55) { __label__ = 8; break; } else { __label__ = 16; break; } //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $57=(($10)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $59=(($58)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=$4; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=(($60+$61)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc=$62; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $63=$3; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $64=(($10)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $66=$pc; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $63, $65, $66); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $67=$pc; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=HEAPU8[($67)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $69=(($68)&255); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=(($69)|0)==109; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($70) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $72=$pc; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=HEAPU8[($72)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=(($73)&255); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=(($74)|0)==182; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($75) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      var $77=$code; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=$78; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $80=HEAP8[($79)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=$80 & -3; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $82=$81 | 2; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($79)]=$82; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 11; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      var $84=$10; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $85=(($84+25)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $86=HEAP8[($85)]; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=$86 & -2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($85)]=$87; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $88=$code; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=$89; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=HEAPU8[($90)]; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $92=(($91)&255) >>> 6; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $93=$92 & 1; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $94=(($93) & 1); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($94) { __label__ = 15; break; } else { __label__ = 12; break; } //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      var $96=$6; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $98=(($97)|0)==0; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($98) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $100=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $102=$6; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($102)>>2)]=$101; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 14; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $104=$4; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $105=$5; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($105)>>2)]=$104; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 15; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 19; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 16: 
      var $108=$4; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $109=$6; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $110=HEAPU32[(($109)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $111=(($108)>>>0) > (($110)>>>0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($111) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 17: 
      var $113=$4; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $114=$6; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($114)>>2)]=$113; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 18; break; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      $1=1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 20; break; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 20: 
      var $118=$1; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      STACKTOP = __stackBase__;
      return $118; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j["X"]=1;

function __ZN2js7analyze14ScriptAnalysis10jumpTargetEPKh($this, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pc;
  var $3=$1;
  var $4=$2; //@line 991 "./jsanalyze.h"
  var $5=(($3)|0); //@line 991 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 991 "./jsanalyze.h"
  var $7=(($6)|0); //@line 991 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 991 "./jsanalyze.h"
  var $9=$4; //@line 991 "./jsanalyze.h"
  var $10=$8; //@line 991 "./jsanalyze.h"
  var $11=(($9-$10)|0); //@line 991 "./jsanalyze.h"
  var $12=__ZN2js7analyze14ScriptAnalysis10jumpTargetEj($3, $11); //@line 991 "./jsanalyze.h"
  ;
  return $12; //@line 991 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis12localDefinedEjj($this, $local, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$local;
      $3=$offset;
      var $4=$1;
      var $5=$2; //@line 1154 "./jsanalyze.h"
      var $6=__ZN2js7analyze14ScriptAnalysis20localHasUseBeforeDefEj($4, $5); //@line 1154 "./jsanalyze.h"
      if ($6) { var $21 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 1154 "./jsanalyze.h"
    case 2: 
      var $8=$2; //@line 1154 "./jsanalyze.h"
      var $9=(($4+32)|0); //@line 1154 "./jsanalyze.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1154 "./jsanalyze.h"
      var $11=(($10+($8<<2))|0); //@line 1154 "./jsanalyze.h"
      var $12=HEAPU32[(($11)>>2)]; //@line 1154 "./jsanalyze.h"
      var $13=$3; //@line 1154 "./jsanalyze.h"
      var $14=(($12)>>>0) <= (($13)>>>0); //@line 1154 "./jsanalyze.h"
      if ($14) { var $21 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1154 "./jsanalyze.h"
    case 3: 
      var $16=$3; //@line 1155 "./jsanalyze.h"
      var $17=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $16); //@line 1155 "./jsanalyze.h"
      var $18=$2; //@line 1155 "./jsanalyze.h"
      var $19=__ZN2js7analyze8Bytecode9isDefinedEj($17, $18); //@line 1155 "./jsanalyze.h"
      var $21 = $19;__label__ = 4; break; //@line 1155 "./jsanalyze.h"
    case 4: 
      var $21;
      ;
      return $21; //@line 1155 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyzeL21BytecodeNoFallThroughE4JSOp($op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$op;
      var $3=$2; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ((($3)|0) == 6 || (($3)|0) == 141 || (($3)|0) == 122 || (($3)|0) == 148 || (($3)|0) == 5 || (($3)|0) == 197 || (($3)|0) == 155 || (($3)|0) == 112 || (($3)|0) == 70 || (($3)|0) == 149 || (($3)|0) == 71 || (($3)|0) == 150 || (($3)|0) == 176) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 116 || (($3)|0) == 146) {
        __label__ = 3; break;
      }
      else {
      __label__ = 4; break;
      }
      
    case 2: 
      $1=1; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 5; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      $1=0; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 5; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      $1=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 5; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $8=$1; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      ;
      return $8; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze12UntrapOpcodeD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7analyze12UntrapOpcodeD2Ev($2); //@line 389 "./jsanalyze.h"
  ;
  return; //@line 391 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis16analyzeLifetimesEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pool;
      var $saved=__stackBase__;
      var $savedCount=__stackBase__+4;
      var $loop;
      var $offset=__stackBase__+8;
      var $code;
      var $pc;
      var $untrap=__stackBase__+12;
      var $op;
      var $backedge;
      var $i;
      var $found=__stackBase__+20;
      var $3=__stackBase__+24;
      var $tn;
      var $tnlimit;
      var $startOffset;
      var $i1;
      var $4=__stackBase__+28;
      var $slot;
      var $slot2;
      var $slot3;
      var $i4;
      var $var;
      var $5=__stackBase__+32;
      var $6;
      var $i5;
      var $var6;
      var $type;
      var $targetOffset;
      var $nloop;
      var $entry;
      var $entrypc;
      var $untrap7=__stackBase__+36;
      var $i8;
      var $var9;
      var $7=__stackBase__+44;
      $1=$this;
      $2=$cx;
      var $8=$1;
      var $9=__ZN2js7analyze14ScriptAnalysis11ranBytecodeEv($8); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($9) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $11=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis15analyzeBytecodeEP9JSContext($8, $11); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=__ZN2js7analyze14ScriptAnalysis6failedEv($8); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      __label__ = 118; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      __label__ = 5; break; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $16=$2; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($16+56)|0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=(($18+344)|0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pool=$19; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=$pool; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=(($8+8)|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=__ZN2js10ArenaArrayINS_7analyze16LifetimeVariableEEEPT_R11JSArenaPoolj($20, $22); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=(($8+36)|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($8+36)|0); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=(($26)|0)!=0; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $29=$2; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($8, $29); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 118; break; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $31=(($8+36)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=(($8+8)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2jsL7PodZeroINS_7analyze16LifetimeVariableEEEvPT_j($32, $34); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=$2; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=(($8+8)|0); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=((($37<<2))|0); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $39=__ZN9JSContext7calloc_Ej($35, $38); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $40=$39; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($saved)>>2)]=$40; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=HEAP32[(($saved)>>2)]; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=(($41)|0)!=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $44=$2; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($8, $44); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 118; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      HEAP32[(($savedCount)>>2)]=0; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $loop=0; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $46=(($8)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=(($47+8)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=(($49-1)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($offset)>>2)]=$50; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 10; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      var $52=HEAPU32[(($offset)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=(($8)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=(($54+8)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $56=HEAPU32[(($55)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $57=(($52)>>>0) < (($56)>>>0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 117; break; } //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      var $59=HEAP32[(($offset)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $60=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($8, $59); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $code=$60; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=$code; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=(($61)|0)!=0; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($62) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      var $64=HEAP32[(($offset)>>2)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=(($64-1)|0); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($offset)>>2)]=$65; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 10; break; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $67=$loop; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=(($67)|0)!=0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($68) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $70=$code; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=$70; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=(($71+1)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=HEAPU8[($72)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=(($73)&255) >>> 1; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=$74 & 1; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $76=(($75) & 1); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      var $78=$loop; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=(($78+20)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($79)]=1; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 16; break; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 16: 
      var $81=(($8)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $83=(($82)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $85=HEAP32[(($offset)>>2)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $86=(($84+$85)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc=$86; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=$2; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $88=(($8)|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=$pc; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $87, $89, $90); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=$pc; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $92=HEAPU8[($91)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $93=(($92)&255); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $op=$93; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $94=$op; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $95=(($94)|0)==109; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($95) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 17: 
      var $97=$op; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $98=(($97)|0)==182; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($98) { __label__ = 18; break; } else { __label__ = 26; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 18: 
      var $100=$code; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $101=(($100+16)|0); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $102=$101; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $104=(($103)|0)!=0; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($104) { __label__ = 19; break; } else { __label__ = 26; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 19: 
      var $106=$code; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $107=(($106+16)|0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $108=$107; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $110=(($109+8)|0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $backedge=$111; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 20; break; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 20: 
      var $113=$i; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $114=(($8+8)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $115=HEAPU32[(($114)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $116=(($113)>>>0) < (($115)>>>0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($116) { __label__ = 21; break; } else { __label__ = 25; break; } //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 21: 
      var $118=$i; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $119=(($8+36)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $121=(($120+$118*12)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $122=(($121)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $124=(($123)|0)!=0; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($124) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 22: 
      var $126=$2; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $127=$i; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $128=(($8+36)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $130=(($129+$127*12)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $131=HEAP32[(($offset)>>2)]; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $132=$backedge; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis14extendVariableEP9JSContextRNS0_16LifetimeVariableEjj($8, $126, $130, $131, $132); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 23; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 23: 
      __label__ = 24; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 24: 
      var $135=$i; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $136=(($135+1)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$136; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 20; break; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 25: 
      var $138=$loop; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $139=(($138)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $loop=$140; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 26; break; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 26: 
      var $142=$loop; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $143=(($142)|0)!=0; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($143) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 27: 
      var $145=$code; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $146=$145; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $147=HEAP8[($146)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $148=$147 & 1; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $149=(($148) & 1); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($149) { __label__ = 28; break; } else { __label__ = 31; break; } //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 28: 
      var $151=HEAP32[(($offset)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $152=$loop; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $153=(($152+12)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $155=(($151)|0)!=(($154)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($155) { __label__ = 29; break; } else { __label__ = 31; break; } //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 29: 
      var $157=HEAPU32[(($offset)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $158=$loop; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $159=(($158+16)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $160=HEAPU32[(($159)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $161=(($157)>>>0) > (($160)>>>0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($161) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 30: 
      var $163=HEAP32[(($offset)>>2)]; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $164=$loop; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $165=(($164+16)|0); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($165)>>2)]=$163; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 31; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 31: 
      var $167=$code; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $168=$167; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $169=HEAPU8[($168)]; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $170=(($169)&255) >>> 7; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $171=$170 & 1; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $172=(($171) & 1); //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($172) { __label__ = 32; break; } else { __label__ = 45; break; } //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 32: 
      HEAP8[($3)]=0; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN7mozilla9DebugOnlyIbEC1ERKb($found, $3); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $174=(($8)|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $176=__ZN8JSScript8trynotesEv($175); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $177=(($176)|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $178=HEAP32[(($177)>>2)]; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tn=$178; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $179=$tn; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $180=(($8)|0); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $182=__ZN8JSScript8trynotesEv($181); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $183=(($182+4)|0); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $184=HEAP32[(($183)>>2)]; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $185=(($179+$184*12)|0); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tnlimit=$185; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 33; break; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 33: 
      var $187=$tn; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $188=$tnlimit; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $189=(($187)>>>0) < (($188)>>>0); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($189) { __label__ = 34; break; } else { __label__ = 44; break; } //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 34: 
      var $191=(($8)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $192=HEAP32[(($191)>>2)]; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $193=(($192+32)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $195=$tn; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $196=(($195+4)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $198=(($194+$197)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $startOffset=$198; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $199=$startOffset; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $200=$tn; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $201=(($200+8)|0); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $202=HEAP32[(($201)>>2)]; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $203=(($199+$202)|0); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $204=HEAP32[(($offset)>>2)]; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $205=(($203)|0)==(($204)|0); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($205) { __label__ = 35; break; } else { __label__ = 42; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 35: 
      $i1=0; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 36; break; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 36: 
      var $208=$i1; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $209=(($8+8)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $210=HEAPU32[(($209)>>2)]; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $211=(($208)>>>0) < (($210)>>>0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($211) { __label__ = 37; break; } else { __label__ = 41; break; } //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 37: 
      var $213=$i1; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $214=(($8+36)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $216=(($215+$213*12)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $217=(($216)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $218=HEAP32[(($217)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $219=(($218)|0)!=0; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($219) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 38: 
      var $221=$i1; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $222=(($8+36)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $223=HEAP32[(($222)>>2)]; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $224=(($223+$221*12)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $225=$startOffset; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $226=(($225-1)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis14ensureVariableERNS0_16LifetimeVariableEj($8, $224, $226); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 39; break; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 39: 
      __label__ = 40; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 40: 
      var $229=$i1; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $230=(($229+1)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i1=$230; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 36; break; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 41: 
      HEAP8[($4)]=1; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $232=__ZN7mozilla9DebugOnlyIbEaSERKb($found, $4); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 44; break; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 42: 
      __label__ = 43; break; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 43: 
      var $235=$tn; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $236=(($235+12)|0); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tn=$236; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 33; break; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 44: 
      __ZN7mozilla9DebugOnlyIbED1Ev($found); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 45; break; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 45: 
      var $239=$op; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ((($239)|0) == 84 || (($239)|0) == 216 || (($239)|0) == 86 || (($239)|0) == 215 || (($239)|0) == 65) {
        __label__ = 46; break;
      }
      else if ((($239)|0) == 85 || (($239)|0) == 87 || (($239)|0) == 132 || (($239)|0) == 140 || (($239)|0) == 223) {
        __label__ = 49; break;
      }
      else if ((($239)|0) == 97 || (($239)|0) == 98 || (($239)|0) == 99 || (($239)|0) == 100 || (($239)|0) == 101 || (($239)|0) == 102 || (($239)|0) == 103 || (($239)|0) == 104) {
        __label__ = 52; break;
      }
      else if ((($239)|0) == 71 || (($239)|0) == 150 || (($239)|0) == 70 || (($239)|0) == 149) {
        __label__ = 55; break;
      }
      else if ((($239)|0) == 134) {
        __label__ = 62; break;
      }
      else if ((($239)|0) == 82 || (($239)|0) == 58 || (($239)|0) == 123 || (($239)|0) == 79 || (($239)|0) == 108) {
        __label__ = 71; break;
      }
      else {
      __label__ = 74; break;
      }
      
    case 46: 
      var $241=(($8)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $242=HEAP32[(($241)>>2)]; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $243=$pc; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $244=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh($242, $243); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot=$244; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $245=$slot; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $246=__ZN2js7analyze14ScriptAnalysis11slotEscapesEj($8, $245); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($246) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 47: 
      var $248=$2; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $249=$slot; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $250=(($8+36)|0); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $251=HEAP32[(($250)>>2)]; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $252=(($251+$249*12)|0); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $253=HEAP32[(($offset)>>2)]; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis11addVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj($8, $248, $252, $253, $saved, $savedCount); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 48; break; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 48: 
      __label__ = 75; break; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 49: 
      var $256=(($8)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $257=HEAP32[(($256)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $258=$pc; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $259=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh($257, $258); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot2=$259; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $260=$slot2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $261=__ZN2js7analyze14ScriptAnalysis11slotEscapesEj($8, $260); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($261) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 50: 
      var $263=$2; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $264=$slot2; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $265=(($8+36)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $266=HEAP32[(($265)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $267=(($266+$264*12)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $268=HEAP32[(($offset)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis12killVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj($8, $263, $267, $268, $saved, $savedCount); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 51; break; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 51: 
      __label__ = 75; break; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 52: 
      var $271=(($8)|0); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $272=HEAP32[(($271)>>2)]; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $273=$pc; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $274=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh($272, $273); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot3=$274; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $275=$slot3; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $276=__ZN2js7analyze14ScriptAnalysis11slotEscapesEj($8, $275); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($276) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 53: 
      var $278=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $279=$slot3; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $280=(($8+36)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $281=HEAP32[(($280)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $282=(($281+$279*12)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $283=HEAP32[(($offset)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis12killVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj($8, $278, $282, $283, $saved, $savedCount); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $284=$2; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $285=$slot3; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $286=(($8+36)|0); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $287=HEAP32[(($286)>>2)]; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $288=(($287+$285*12)|0); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $289=HEAP32[(($offset)>>2)]; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis11addVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj($8, $284, $288, $289, $saved, $savedCount); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 54; break; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 54: 
      __label__ = 75; break; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 55: 
      $i4=0; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 56; break; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 56: 
      var $293=$i4; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $294=HEAPU32[(($savedCount)>>2)]; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $295=(($293)>>>0) < (($294)>>>0); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($295) { __label__ = 57; break; } else { __label__ = 61; break; } //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 57: 
      var $297=$i4; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $298=HEAP32[(($saved)>>2)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $299=(($298+($297<<2))|0); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $300=HEAP32[(($299)>>2)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $var=$300; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $301=$pool; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $302=$var; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $303=$302; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $304=(($303+8)|0); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $305=$304; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $306=HEAP32[(($305)>>2)]; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $307=$306 & 2147483647; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($5)>>2)]=$307; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $308=$var; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $309=(($308+4)|0); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $310=__ZN2js8ArenaNewINS_7analyze8LifetimeEjjPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($301, $offset, $5, $309); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $311=$var; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $312=(($311)|0); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($312)>>2)]=$310; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $313=$var; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $314=(($313)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $315=HEAP32[(($314)>>2)]; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $316=(($315)|0)!=0; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($316) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 58: 
      var $318=$2; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $319=HEAP32[(($saved)>>2)]; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $320=$319; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN9JSContext5free_EPv($318, $320); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $321=$2; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($8, $321); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $6=1;
      __label__ = 115; break; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 59: 
      var $323=$var; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $324=(($323+4)|0); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($324)>>2)]=0; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $325=HEAP32[(($savedCount)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $326=(($325-1)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($savedCount)>>2)]=$326; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $327=HEAP32[(($saved)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $328=(($327+($326<<2))|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $329=HEAP32[(($328)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $330=$i4; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $331=(($330-1)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i4=$331; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $332=HEAP32[(($saved)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $333=(($332+($330<<2))|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($333)>>2)]=$329; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 60; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 60: 
      var $335=$i4; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $336=(($335+1)|0); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i4=$336; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 56; break; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 61: 
      HEAP32[(($savedCount)>>2)]=0; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 75; break; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 62: 
      $i5=0; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 63; break; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 63: 
      var $340=$i5; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $341=(($8+8)|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $342=HEAPU32[(($341)>>2)]; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $343=(($340)>>>0) < (($342)>>>0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($343) { __label__ = 64; break; } else { __label__ = 70; break; } //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 64: 
      var $345=$i5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $346=(($8+36)|0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $347=HEAP32[(($346)>>2)]; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $348=(($347+$345*12)|0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $var6=$348; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $349=$var6; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $350=$349; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $351=(($350+11)|0); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $352=HEAPU8[($351)]; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $353=(($352)&255) >>> 7; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $354=$353 & 1; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $355=(($354) & 1); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($355) { __label__ = 65; break; } else { __label__ = 68; break; } //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 65: 
      var $357=$var6; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $358=(($357)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $359=HEAP32[(($358)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $360=(($359)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $361=HEAP32[(($360)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $362=HEAP32[(($offset)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $363=(($361)|0)==(($362)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($363) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 66: 
      var $365=$var6; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $366=$365; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $367=(($366+11)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $368=HEAP8[($367)]; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $369=$368 & 127; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($367)]=$369; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 67; break; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 67: 
      __label__ = 68; break; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 68: 
      __label__ = 69; break; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 69: 
      var $373=$i5; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $374=(($373+1)|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i5=$374; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 63; break; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 70: 
      __label__ = 75; break; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 71: 
      var $377=$loop; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $378=(($377)|0)!=0; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($378) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 72: 
      var $380=$loop; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $381=(($380+21)|0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($381)]=1; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 73; break; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 73: 
      __label__ = 75; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 74: 
      __label__ = 75; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 75: 
      var $385=$op; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $386=((_js_CodeSpec+($385<<3))|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $387=(($386+4)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $388=HEAP32[(($387)>>2)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $389=$388 & 31; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $type=$389; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $390=$type; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $391=(($390)|0)==1; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($391) { __label__ = 77; break; } else { __label__ = 76; break; } //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 76: 
      var $393=$type; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $394=(($393)|0)==9; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($394) { __label__ = 77; break; } else { __label__ = 114; break; } //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 77: 
      var $396=$2; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $397=(($8)|0); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $398=HEAP32[(($397)>>2)]; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $399=HEAP32[(($offset)>>2)]; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $400=__ZN2js7analyzeL12FollowBranchEP9JSContextP8JSScriptj($396, $398, $399); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $targetOffset=$400; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $401=$loop; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $402=(($401)|0)!=0; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($402) { __label__ = 78; break; } else { __label__ = 81; break; } //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 78: 
      var $404=$loop; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $405=(($404+12)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $406=HEAP32[(($405)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $407=$targetOffset; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $408=(($406)|0)==(($407)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($408) { __label__ = 79; break; } else { __label__ = 81; break; } //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 79: 
      var $410=$loop; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $411=(($410+12)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $412=HEAPU32[(($411)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $413=$loop; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $414=(($413+16)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $415=HEAPU32[(($414)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $416=(($412)>>>0) > (($415)>>>0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($416) { __label__ = 80; break; } else { __label__ = 81; break; } //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 80: 
      var $418=$loop; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $419=(($418+12)|0); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $420=HEAP32[(($419)>>2)]; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $421=$loop; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $422=(($421+16)|0); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($422)>>2)]=$420; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 81; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 81: 
      var $424=$targetOffset; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $425=HEAPU32[(($offset)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $426=(($424)>>>0) < (($425)>>>0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($426) { __label__ = 82; break; } else { __label__ = 100; break; } //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 82: 
      var $428=$loop; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $429=(($428)|0)!=0; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($429) { __label__ = 83; break; } else { __label__ = 85; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 83: 
      var $431=$loop; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $432=(($431+12)|0); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $433=HEAPU32[(($432)>>2)]; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $434=$loop; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $435=(($434+16)|0); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $436=HEAPU32[(($435)>>2)]; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $437=(($433)>>>0) > (($436)>>>0); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($437) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 84: 
      var $439=$loop; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $440=(($439+12)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $441=HEAP32[(($440)>>2)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $442=$loop; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $443=(($442+16)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($443)>>2)]=$441; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 85; break; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 85: 
      var $445=$pool; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $446=__ZN2js8ArenaNewINS_7analyze12LoopAnalysisEEEPT_R11JSArenaPool($445); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $nloop=$446; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $447=$nloop; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $448=(($447)|0)!=0; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($448) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 86: 
      var $450=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $451=HEAP32[(($saved)>>2)]; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $452=$451; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN9JSContext5free_EPv($450, $452); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $453=$2; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($8, $453); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $6=1;
      __label__ = 115; break; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 87: 
      var $455=$nloop; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2jsL7PodZeroINS_7analyze12LoopAnalysisEEEvPT_($455); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $456=$loop; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $457=(($456)|0)!=0; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($457) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 88: 
      var $459=$loop; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $460=(($459+21)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($460)]=1; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 89; break; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 89: 
      var $462=$loop; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $463=$nloop; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $464=(($463)|0); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($464)>>2)]=$462; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $465=$nloop; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $loop=$465; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $466=$loop; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $467=$targetOffset; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $468=__ZN2js7analyze14ScriptAnalysis7getCodeEj($8, $467); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $469=(($468+16)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $470=$469; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($470)>>2)]=$466; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $471=$targetOffset; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $472=$loop; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $473=(($472+4)|0); //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($473)>>2)]=$471; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $474=HEAP32[(($offset)>>2)]; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $475=$loop; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $476=(($475+8)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($476)>>2)]=$474; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $477=$loop; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $478=(($477+4)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $479=HEAP32[(($478)>>2)]; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $480=$loop; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $481=(($480+16)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($481)>>2)]=$479; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $482=$targetOffset; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $entry=$482; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $483=$entry; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $484=(($483)|0)!=0; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($484) { __label__ = 90; break; } else { __label__ = 98; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 90: 
      __label__ = 91; break; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 91: 
      var $487=$entry; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $488=(($487-1)|0); //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $entry=$488; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 92; break; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 92: 
      var $490=$entry; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $491=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($8, $490); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $492=(($491)|0)!=0; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $493=$492 ^ 1; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($493) { __label__ = 91; break; } else { __label__ = 93; break; } //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 93: 
      var $495=(($8)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $496=HEAP32[(($495)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $497=(($496)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $498=HEAP32[(($497)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $499=$entry; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $500=(($498+$499)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $entrypc=$500; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $501=$2; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $502=(($8)|0); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $503=HEAP32[(($502)>>2)]; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $504=$entrypc; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap7, $501, $503, $504); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $505=$entrypc; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $506=HEAPU8[($505)]; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $507=(($506)&255); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $508=(($507)|0)==6; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($508) { __label__ = 95; break; } else { __label__ = 94; break; } //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 94: 
      var $510=$entrypc; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $511=HEAPU8[($510)]; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $512=(($511)&255); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $513=(($512)|0)==141; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($513) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 95: 
      var $515=$entry; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $516=$entrypc; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $517=$entrypc; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $518=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($516, $517); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $519=(($515+$518)|0); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $520=$loop; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $521=(($520+12)|0); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($521)>>2)]=$519; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 97; break; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 96: 
      var $523=$targetOffset; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $524=$loop; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $525=(($524+12)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($525)>>2)]=$523; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 97; break;
    case 97: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap7); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 99; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 98: 
      var $528=$targetOffset; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $529=$loop; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $530=(($529+12)|0); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($530)>>2)]=$528; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 99; break;
    case 99: 
      __label__ = 113; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 100: 
      $i8=0; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 101; break; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 101: 
      var $534=$i8; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $535=HEAPU32[(($savedCount)>>2)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $536=(($534)>>>0) < (($535)>>>0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($536) { __label__ = 102; break; } else { __label__ = 112; break; } //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 102: 
      var $538=$i8; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $539=HEAP32[(($saved)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $540=(($539+($538<<2))|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $541=HEAP32[(($540)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $var9=$541; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $542=$var9; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $543=$targetOffset; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $544=__ZNK2js7analyze16LifetimeVariable4liveEj($542, $543); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $545=(($544)|0)!=0; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($545) { __label__ = 103; break; } else { __label__ = 106; break; } //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 103: 
      var $547=$pool; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $548=$var9; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $549=$548; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $550=(($549+8)|0); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $551=$550; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $552=HEAP32[(($551)>>2)]; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $553=$552 & 2147483647; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($7)>>2)]=$553; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $554=$var9; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $555=(($554+4)|0); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $556=__ZN2js8ArenaNewINS_7analyze8LifetimeEjjPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($547, $offset, $7, $555); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $557=$var9; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $558=(($557)|0); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($558)>>2)]=$556; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $559=$var9; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $560=(($559)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $561=HEAP32[(($560)>>2)]; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $562=(($561)|0)!=0; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($562) { __label__ = 105; break; } else { __label__ = 104; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 104: 
      var $564=$2; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $565=HEAP32[(($saved)>>2)]; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $566=$565; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN9JSContext5free_EPv($564, $566); //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $567=$2; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($8, $567); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $6=1;
      __label__ = 115; break; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 105: 
      var $569=$var9; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $570=(($569+4)|0); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($570)>>2)]=0; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $571=HEAP32[(($savedCount)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $572=(($571-1)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($savedCount)>>2)]=$572; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $573=HEAP32[(($saved)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $574=(($573+($572<<2))|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $575=HEAP32[(($574)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $576=$i8; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $577=(($576-1)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i8=$577; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $578=HEAP32[(($saved)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $579=(($578+($576<<2))|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($579)>>2)]=$575; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 110; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 106: 
      var $581=$loop; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $582=(($581)|0)!=0; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($582) { __label__ = 107; break; } else { __label__ = 109; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 107: 
      var $584=$var9; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $585=$584; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $586=(($585+8)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $587=$586; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $588=HEAP32[(($587)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $589=$588 & 2147483647; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $590=(($589)|0)!=0; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($590) { __label__ = 109; break; } else { __label__ = 108; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 108: 
      var $592=HEAP32[(($offset)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $593=$var9; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $594=$592 & 2147483647; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $595=$593; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $596=(($595+8)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $597=$596; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $598=$594 & 2147483647; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $599=HEAP32[(($597)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $600=$599 & -2147483648; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $601=$600 | $598; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($597)>>2)]=$601; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 109; break; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 109: 
      __label__ = 110; break;
    case 110: 
      __label__ = 111; break; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 111: 
      var $605=$i8; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $606=(($605+1)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i8=$606; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 101; break; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 112: 
      __label__ = 113; break;
    case 113: 
      __label__ = 114; break; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 114: 
      var $610=HEAP32[(($offset)>>2)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $611=(($610-1)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($offset)>>2)]=$611; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $6=0; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 115; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 115: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 116; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 118; break;
      }
      else {
      __label__ = 119; break;
      }
      
    case 116: 
      __label__ = 10; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 117: 
      var $615=$2; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $616=HEAP32[(($saved)>>2)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $617=$616; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN9JSContext5free_EPv($615, $617); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $618=(($8+22)|0); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($618)]=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 118; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 118: 
      STACKTOP = __stackBase__;
      return; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 119: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis16analyzeLifetimesEP9JSContext["X"]=1;

function __ZN7mozilla9DebugOnlyIbEaSERKb($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return $4; //@line 183 "./dist/include/mozilla/Util.h"
}


function __ZN2js7analyze14ScriptAnalysis11ranBytecodeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 924 "./jsanalyze.h"
  var $4=HEAP8[($3)]; //@line 924 "./jsanalyze.h"
  var $5=(($4) & 1); //@line 924 "./jsanalyze.h"
  ;
  return $5; //@line 924 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis6failedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+13)|0); //@line 938 "./jsanalyze.h"
  var $4=HEAP8[($3)]; //@line 938 "./jsanalyze.h"
  var $5=(($4) & 1); //@line 938 "./jsanalyze.h"
  ;
  return $5; //@line 938 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis14ensureVariableERNS0_16LifetimeVariableEj($this, $var, $until) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$var;
      $3=$until;
      var $4=$1;
      var $5=$2; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $6=$5; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $7=(($6+11)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=HEAPU8[($7)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=(($8)&255) >>> 7; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=$9 & 1; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=(($10) & 1); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      __label__ = 4; break; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $14=$3; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$2; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=(($15)|0); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=(($17)|0); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($18)>>2)]=$14; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=$2; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=$19; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=(($20+11)|0); //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=HEAP8[($21)]; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=$22 & 127; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=$23 | -128; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($21)]=$24; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 4; break; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      ;
      return; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis11slotEscapesEj($this, $slot) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$slot;
      var $4=$2;
      var $5=$3; //@line 1170 "./jsanalyze.h"
      var $6=(($4+8)|0); //@line 1170 "./jsanalyze.h"
      var $7=HEAPU32[(($6)>>2)]; //@line 1170 "./jsanalyze.h"
      var $8=(($5)>>>0) >= (($7)>>>0); //@line 1170 "./jsanalyze.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1170 "./jsanalyze.h"
    case 2: 
      $1=1; //@line 1171 "./jsanalyze.h"
      __label__ = 4; break; //@line 1171 "./jsanalyze.h"
    case 3: 
      var $11=$3; //@line 1172 "./jsanalyze.h"
      var $12=(($4+16)|0); //@line 1172 "./jsanalyze.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1172 "./jsanalyze.h"
      var $14=(($13+$11)|0); //@line 1172 "./jsanalyze.h"
      var $15=HEAP8[($14)]; //@line 1172 "./jsanalyze.h"
      var $16=(($15 << 24) >> 24)!=0; //@line 1172 "./jsanalyze.h"
      $1=$16; //@line 1172 "./jsanalyze.h"
      __label__ = 4; break; //@line 1172 "./jsanalyze.h"
    case 4: 
      var $18=$1; //@line 1173 "./jsanalyze.h"
      ;
      return $18; //@line 1173 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10ArenaArrayINS_7analyze16LifetimeVariableEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=(($7*12)|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayINS_7analyze16LifetimeVariableEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2jsL7PodZeroINS_7analyze16LifetimeVariableEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=(($5*12)|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js7analyze14ScriptAnalysis14extendVariableEP9JSContextRNS0_16LifetimeVariableEjj($this, $cx, $var, $start, $end) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $segment;
      var $savedEnd=__stackBase__;
      var $tail;
      var $6=__stackBase__+4;
      $1=$this;
      $2=$cx;
      $3=$var;
      $4=$start;
      $5=$end;
      var $7=$1;
      var $8=$3; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=$8; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=(($9+11)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=HEAPU8[($10)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=(($11)&255) >>> 7; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=$12 & 1; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=(($13) & 1); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      __label__ = 20; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $17=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=$3; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=(($18)|0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=(($20)|0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($21)>>2)]=$17; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=$3; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=(($22)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $segment=$24; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 4; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $26=$segment; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=(($26)|0)!=0; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($27) { __label__ = 5; break; } else { var $35 = 0;__label__ = 6; break; } //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $29=$segment; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=(($29)|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=HEAPU32[(($30)>>2)]; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=$5; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=(($31)>>>0) < (($32)>>>0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35 = $33;__label__ = 6; break;
    case 6: 
      var $35;
      if ($35) { __label__ = 7; break; } else { __label__ = 20; break; }
    case 7: 
      var $37=$segment; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=(($37+8)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($savedEnd)>>2)]=$39; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $40=$segment; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=(($40+16)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=(($42)|0)!=0; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $45=$segment; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $46=(($45+16)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=(($47)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=HEAPU32[(($48)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=$5; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=(($49)>>>0) >= (($50)>>>0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $53=$segment; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=(($53+4)|0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=HEAPU32[(($54)>>2)]; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $56=$5; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $57=(($55)>>>0) >= (($56)>>>0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      __label__ = 20; break; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      var $60=$5; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($savedEnd)>>2)]=$60; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 12; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      var $62=HEAPU32[(($savedEnd)>>2)]; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $63=$segment; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $64=(($63+4)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=HEAPU32[(($64)>>2)]; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $66=(($62)>>>0) > (($65)>>>0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $68=$2; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $69=(($68+56)|0); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=(($70+344)|0); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($6)>>2)]=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=$segment; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=(($72+16)|0); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=__ZN2js8ArenaNewINS_7analyze8LifetimeEjiPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($71, $savedEnd, $6, $73); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tail=$74; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=$tail; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $76=(($75)|0)!=0; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $78=$2; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($7, $78); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 20; break; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      var $80=$segment; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=(($80+4)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $83=$tail; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $84=(($83)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($84)>>2)]=$82; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $85=$tail; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $86=(($85+12)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($86)]=1; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=$segment; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $88=(($87+8)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=HEAPU32[(($88)>>2)]; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=$5; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=(($89)>>>0) > (($90)>>>0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($91) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 16: 
      var $93=$segment; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $94=(($93+8)|0); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $96=$tail; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $97=(($96+8)|0); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($97)>>2)]=$95; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 17; break; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 17: 
      var $99=$segment; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $100=(($99+8)|0); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($100)>>2)]=0; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $101=$tail; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $102=$segment; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $103=(($102+16)|0); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($103)>>2)]=$101; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $104=$tail; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $105=(($104+16)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $segment=$106; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 19; break; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 18: 
      var $108=$segment; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $109=(($108+16)|0); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $segment=$110; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 19; break;
    case 19: 
      __label__ = 4; break; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 20: 
      STACKTOP = __stackBase__;
      return; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis14extendVariableEP9JSContextRNS0_16LifetimeVariableEjj["X"]=1;

function __ZN7mozilla9DebugOnlyIbEC1ERKb($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 182 "./dist/include/mozilla/Util.h"
  __ZN7mozilla9DebugOnlyIbEC2ERKb($4, $5); //@line 182 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIbED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIbED2Ev($2); //@line 193 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh($script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 437 "./jsanalyze.h"
      var $5=HEAPU8[($4)]; //@line 437 "./jsanalyze.h"
      var $6=(($5)&255); //@line 437 "./jsanalyze.h"
      if ((($6)|0) == 84 || (($6)|0) == 216 || (($6)|0) == 85 || (($6)|0) == 97 || (($6)|0) == 98 || (($6)|0) == 99 || (($6)|0) == 100) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 86 || (($6)|0) == 215 || (($6)|0) == 87 || (($6)|0) == 132 || (($6)|0) == 140 || (($6)|0) == 223 || (($6)|0) == 101 || (($6)|0) == 102 || (($6)|0) == 103 || (($6)|0) == 104) {
        __label__ = 3; break;
      }
      else if ((($6)|0) == 65) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 2: 
      var $8=$3; //@line 446 "./jsanalyze.h"
      var $9=(($8+1)|0); //@line 446 "./jsanalyze.h"
      var $10=HEAPU8[($9)]; //@line 446 "./jsanalyze.h"
      var $11=(($10)&255); //@line 446 "./jsanalyze.h"
      var $12=$11 << 8; //@line 446 "./jsanalyze.h"
      var $13=$3; //@line 446 "./jsanalyze.h"
      var $14=(($13+2)|0); //@line 446 "./jsanalyze.h"
      var $15=HEAPU8[($14)]; //@line 446 "./jsanalyze.h"
      var $16=(($15)&255); //@line 446 "./jsanalyze.h"
      var $17=$12 | $16; //@line 446 "./jsanalyze.h"
      var $18=__ZN2js7analyzeL7ArgSlotEj($17); //@line 446 "./jsanalyze.h"
      $1=$18; //@line 446 "./jsanalyze.h"
      __label__ = 6; break; //@line 446 "./jsanalyze.h"
    case 3: 
      var $20=$2; //@line 458 "./jsanalyze.h"
      var $21=$3; //@line 458 "./jsanalyze.h"
      var $22=(($21+1)|0); //@line 458 "./jsanalyze.h"
      var $23=HEAPU8[($22)]; //@line 458 "./jsanalyze.h"
      var $24=(($23)&255); //@line 458 "./jsanalyze.h"
      var $25=$24 << 8; //@line 458 "./jsanalyze.h"
      var $26=$3; //@line 458 "./jsanalyze.h"
      var $27=(($26+2)|0); //@line 458 "./jsanalyze.h"
      var $28=HEAPU8[($27)]; //@line 458 "./jsanalyze.h"
      var $29=(($28)&255); //@line 458 "./jsanalyze.h"
      var $30=$25 | $29; //@line 458 "./jsanalyze.h"
      var $31=__ZN2js7analyzeL9LocalSlotEP8JSScriptj($20, $30); //@line 458 "./jsanalyze.h"
      $1=$31; //@line 458 "./jsanalyze.h"
      __label__ = 6; break; //@line 458 "./jsanalyze.h"
    case 4: 
      var $33=__ZN2js7analyzeL8ThisSlotEv(); //@line 461 "./jsanalyze.h"
      $1=$33; //@line 461 "./jsanalyze.h"
      __label__ = 6; break; //@line 461 "./jsanalyze.h"
    case 5: 
      $1=0; //@line 465 "./jsanalyze.h"
      __label__ = 6; break; //@line 465 "./jsanalyze.h"
    case 6: 
      var $36=$1; //@line 467 "./jsanalyze.h"
      ;
      return $36; //@line 467 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis11addVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj($this, $cx, $var, $offset, $saved, $savedCount) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $i;
      var $7=__stackBase__+4;
      $1=$this;
      $2=$cx;
      $3=$var;
      HEAP32[(($4)>>2)]=$offset;
      $5=$saved;
      $6=$savedCount;
      var $8=$1;
      var $9=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=(($9)|0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=(($11)|0)!=0; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $14=$3; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$14; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=(($15+11)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=HEAPU8[($16)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=(($17)&255) >>> 7; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=$18 & 1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=(($19) & 1); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      __label__ = 16; break; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $23=HEAP32[(($4)>>2)]; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=$3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=(($26)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($27)>>2)]=$23; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 16; break; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $29=$3; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=(($29+4)|0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=(($31)|0)!=0; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 13; break; } //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      $i=0; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 7; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $35=$i; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=$6; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=HEAPU32[(($36)>>2)]; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=(($35)>>>0) < (($37)>>>0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $40=$i; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=$5; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=(($42+($40<<2))|0); //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $45=$3; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $46=(($44)|0)==(($45)|0); //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $48=$6; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=(($49-1)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=$5; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=(($52+($50<<2))|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=$i; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $56=(($55-1)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$56; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $57=$5; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $59=(($58+($55<<2))|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($59)>>2)]=$54; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 12; break; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      __label__ = 11; break; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      var $62=$i; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $63=(($62+1)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$63; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 7; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      __label__ = 13; break; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $66=$2; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $67=(($66+56)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $69=(($68+344)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=$3; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=$70; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=(($71+8)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=$72; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=$74 & 2147483647; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($7)>>2)]=$75; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $76=$3; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $77=(($76+4)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $78=__ZN2js8ArenaNewINS_7analyze8LifetimeEjjPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($69, $4, $7, $77); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=$3; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $80=(($79)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($80)>>2)]=$78; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=$3; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $82=(($81)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $84=(($83)|0)!=0; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($84) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $86=$2; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($8, $86); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 16; break; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      var $88=$3; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=(($88+4)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($89)>>2)]=0; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 16; break;
    case 16: 
      STACKTOP = __stackBase__;
      return; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis11addVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj["X"]=1;

function __ZN2js7analyze14ScriptAnalysis12killVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj($this, $cx, $var, $offset, $saved, $savedCount) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $7=__stackBase__+4;
      $1=$this;
      $2=$cx;
      $3=$var;
      HEAP32[(($4)>>2)]=$offset;
      $5=$saved;
      $6=$savedCount;
      var $8=$1;
      var $9=$3; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=(($9)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=(($11)|0)!=0; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($12) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $14=$3; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=(($14+4)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($16)|0)!=0; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $19=$3; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=$6; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=(($21+1)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($20)>>2)]=$22; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=$5; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+($21<<2))|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($25)>>2)]=$19; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 4; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $27=$2; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=(($27+56)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=(($29+344)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=$3; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=$31; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=(($32+8)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=$33; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=$35 & 2147483647; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($7)>>2)]=$36; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=$3; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=(($37+4)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $39=__ZN2js8ArenaNewINS_7analyze8LifetimeEjjPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($30, $4, $7, $38); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $40=$3; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=(($40+4)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=$3; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=(($42+4)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $45=(($44)|0)!=0; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($45) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $47=$2; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($8, $47); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 10; break; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $49=$3; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=(($49+4)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $52=(($51+13)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($52)]=1; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=$3; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=$53; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=(($54+8)|0); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $56=$55; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $58=$57 & -2147483648; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($56)>>2)]=$58; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 10; break; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $60=$3; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=$60; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=(($61+11)|0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $63=HEAPU8[($62)]; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $64=(($63)&255) >>> 7; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=$64 & 1; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $66=(($65) & 1); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($66) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      __label__ = 10; break; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $69=HEAP32[(($4)>>2)]; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=$3; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=(($70)|0); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=(($72)|0); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($73)>>2)]=$69; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=$3; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=(($74)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $77=(($76+13)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($77)]=1; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $78=$3; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=(($78)|0); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=$3; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $82=(($81+4)|0); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($82)>>2)]=$80; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $83=$3; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $84=$83; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $85=(($84+8)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $86=$85; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $88=$87 & -2147483648; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($86)>>2)]=$88; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=$3; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=(($89)|0); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($90)>>2)]=0; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=$3; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $92=$6; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $94=(($93+1)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($92)>>2)]=$94; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $95=$5; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $97=(($96+($93<<2))|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($97)>>2)]=$91; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 10; break; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis12killVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj["X"]=1;

function __ZN2js8ArenaNewINS_7analyze8LifetimeEjjPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($pool, $a, $b, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      __label__ = 2; break; //@line 271 "./jsarena.h"
    case 2: 
      var $6=$1; //@line 271 "./jsarena.h"
      var $7=(($6+16)|0); //@line 271 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 271 "./jsarena.h"
      $_a=$8; //@line 271 "./jsarena.h"
      var $9=$1; //@line 271 "./jsarena.h"
      var $10=(($9+24)|0); //@line 271 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 271 "./jsarena.h"
      var $12=(($11+20)|0); //@line 271 "./jsarena.h"
      var $13=$1; //@line 271 "./jsarena.h"
      var $14=(($13+24)|0); //@line 271 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 271 "./jsarena.h"
      var $16=$15 ^ -1; //@line 271 "./jsarena.h"
      var $17=$12 & $16; //@line 271 "./jsarena.h"
      $_nb=$17; //@line 271 "./jsarena.h"
      var $18=$_a; //@line 271 "./jsarena.h"
      var $19=(($18+12)|0); //@line 271 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 271 "./jsarena.h"
      $_p=$20; //@line 271 "./jsarena.h"
      var $21=$_nb; //@line 271 "./jsarena.h"
      var $22=$_a; //@line 271 "./jsarena.h"
      var $23=(($22+8)|0); //@line 271 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 271 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 271 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 271 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 271 "./jsarena.h"
      var $28=$_a; //@line 271 "./jsarena.h"
      var $29=(($28+8)|0); //@line 271 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 271 "./jsarena.h"
      var $31=$_nb; //@line 271 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 271 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 271 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 271 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 271 "./jsarena.h"
      var $36=$_nb; //@line 271 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 271 "./jsarena.h"
      var $38=$37; //@line 271 "./jsarena.h"
      $_p=$38; //@line 271 "./jsarena.h"
      __label__ = 6; break; //@line 271 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 271 "./jsarena.h"
      var $41=$_nb; //@line 271 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 271 "./jsarena.h"
      var $43=$_a; //@line 271 "./jsarena.h"
      var $44=(($43+12)|0); //@line 271 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 271 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 271 "./jsarena.h"
      var $47=$46; //@line 271 "./jsarena.h"
      $v=$47; //@line 271 "./jsarena.h"
      __label__ = 7; break; //@line 271 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 271 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 271 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 272 "./jsarena.h"
      var $52=(($51)|0)!=0; //@line 272 "./jsarena.h"
      if ($52) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 272 "./jsarena.h"
    case 10: 
      var $54=$v; //@line 272 "./jsarena.h"
      var $55=(($54)|0)==0; //@line 272 "./jsarena.h"
      if ($55) { var $65 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 272 "./jsarena.h"
    case 11: 
      var $57=$54; //@line 272 "./jsarena.h"
      var $58=$2; //@line 272 "./jsarena.h"
      var $59=HEAP32[(($58)>>2)]; //@line 272 "./jsarena.h"
      var $60=$3; //@line 272 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 272 "./jsarena.h"
      var $62=$4; //@line 272 "./jsarena.h"
      var $63=HEAP32[(($62)>>2)]; //@line 272 "./jsarena.h"
      __ZN2js7analyze8LifetimeC1EjjPS1_($57, $59, $61, $63); //@line 272 "./jsarena.h"
      var $65 = $57;__label__ = 12; break; //@line 272 "./jsarena.h"
    case 12: 
      var $65; //@line 272 "./jsarena.h"
      var $68 = $65;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 13: 
      var $68 = 0;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 14: 
      var $68; //@line 272 "./jsarena.h"
      ;
      return $68; //@line 272 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_7analyze8LifetimeEjjPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_["X"]=1;

function __ZN2js7analyzeL12FollowBranchEP9JSContextP8JSScriptj($cx, $script, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $pc;
      var $targetOffset;
      var $target;
      var $untrap=__stackBase__;
      var $nop;
      var $5;
      $2=$cx;
      $3=$script;
      $4=$offset;
      var $6=$3; //@line 402 "./jsanalyze.h"
      var $7=(($6)|0); //@line 402 "./jsanalyze.h"
      var $8=HEAP32[(($7)>>2)]; //@line 402 "./jsanalyze.h"
      var $9=$4; //@line 402 "./jsanalyze.h"
      var $10=(($8+$9)|0); //@line 402 "./jsanalyze.h"
      $pc=$10; //@line 402 "./jsanalyze.h"
      var $11=$4; //@line 403 "./jsanalyze.h"
      var $12=$pc; //@line 403 "./jsanalyze.h"
      var $13=$pc; //@line 403 "./jsanalyze.h"
      var $14=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($12, $13); //@line 403 "./jsanalyze.h"
      var $15=(($11+$14)|0); //@line 403 "./jsanalyze.h"
      $targetOffset=$15; //@line 403 "./jsanalyze.h"
      var $16=$targetOffset; //@line 404 "./jsanalyze.h"
      var $17=$4; //@line 404 "./jsanalyze.h"
      var $18=(($16)>>>0) < (($17)>>>0); //@line 404 "./jsanalyze.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 404 "./jsanalyze.h"
    case 2: 
      var $20=$3; //@line 405 "./jsanalyze.h"
      var $21=(($20)|0); //@line 405 "./jsanalyze.h"
      var $22=HEAP32[(($21)>>2)]; //@line 405 "./jsanalyze.h"
      var $23=$targetOffset; //@line 405 "./jsanalyze.h"
      var $24=(($22+$23)|0); //@line 405 "./jsanalyze.h"
      $target=$24; //@line 405 "./jsanalyze.h"
      var $25=$2; //@line 406 "./jsanalyze.h"
      var $26=$3; //@line 406 "./jsanalyze.h"
      var $27=$target; //@line 406 "./jsanalyze.h"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $25, $26, $27); //@line 406 "./jsanalyze.h"
      var $28=$target; //@line 407 "./jsanalyze.h"
      var $29=HEAPU8[($28)]; //@line 407 "./jsanalyze.h"
      var $30=(($29)&255); //@line 407 "./jsanalyze.h"
      $nop=$30; //@line 407 "./jsanalyze.h"
      var $31=$nop; //@line 408 "./jsanalyze.h"
      var $32=(($31)|0)==6; //@line 408 "./jsanalyze.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 408 "./jsanalyze.h"
    case 3: 
      var $34=$nop; //@line 408 "./jsanalyze.h"
      var $35=(($34)|0)==141; //@line 408 "./jsanalyze.h"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 408 "./jsanalyze.h"
    case 4: 
      var $37=$targetOffset; //@line 409 "./jsanalyze.h"
      var $38=$target; //@line 409 "./jsanalyze.h"
      var $39=$target; //@line 409 "./jsanalyze.h"
      var $40=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($38, $39); //@line 409 "./jsanalyze.h"
      var $41=(($37+$40)|0); //@line 409 "./jsanalyze.h"
      $1=$41; //@line 409 "./jsanalyze.h"
      $5=1;
      __label__ = 6; break; //@line 409 "./jsanalyze.h"
    case 5: 
      $5=0; //@line 410 "./jsanalyze.h"
      __label__ = 6; break; //@line 410 "./jsanalyze.h"
    case 6: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 410 "./jsanalyze.h"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 7; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 9; break;
      }
      else {
      __label__ = 10; break;
      }
      
    case 7: 
      __label__ = 8; break; //@line 410 "./jsanalyze.h"
    case 8: 
      var $46=$targetOffset; //@line 411 "./jsanalyze.h"
      $1=$46; //@line 411 "./jsanalyze.h"
      __label__ = 9; break; //@line 411 "./jsanalyze.h"
    case 9: 
      var $48=$1; //@line 412 "./jsanalyze.h"
      STACKTOP = __stackBase__;
      return $48; //@line 412 "./jsanalyze.h"
    case 10: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyzeL12FollowBranchEP9JSContextP8JSScriptj["X"]=1;

function __ZNK2js7analyze16LifetimeVariable4liveEj($this, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $segment;
      $2=$this;
      $3=$offset;
      var $4=$2;
      var $5=(($4)|0); //@line 582 "./jsanalyze.h"
      var $6=HEAP32[(($5)>>2)]; //@line 582 "./jsanalyze.h"
      var $7=(($6)|0)!=0; //@line 582 "./jsanalyze.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 582 "./jsanalyze.h"
    case 2: 
      var $9=(($4)|0); //@line 582 "./jsanalyze.h"
      var $10=HEAP32[(($9)>>2)]; //@line 582 "./jsanalyze.h"
      var $11=(($10+4)|0); //@line 582 "./jsanalyze.h"
      var $12=HEAPU32[(($11)>>2)]; //@line 582 "./jsanalyze.h"
      var $13=$3; //@line 582 "./jsanalyze.h"
      var $14=(($12)>>>0) >= (($13)>>>0); //@line 582 "./jsanalyze.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 582 "./jsanalyze.h"
    case 3: 
      var $16=(($4)|0); //@line 583 "./jsanalyze.h"
      var $17=HEAP32[(($16)>>2)]; //@line 583 "./jsanalyze.h"
      $1=$17; //@line 583 "./jsanalyze.h"
      __label__ = 15; break; //@line 583 "./jsanalyze.h"
    case 4: 
      var $19=(($4)|0); //@line 584 "./jsanalyze.h"
      var $20=HEAP32[(($19)>>2)]; //@line 584 "./jsanalyze.h"
      var $21=(($20)|0)!=0; //@line 584 "./jsanalyze.h"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 584 "./jsanalyze.h"
    case 5: 
      var $23=(($4)|0); //@line 584 "./jsanalyze.h"
      var $24=HEAP32[(($23)>>2)]; //@line 584 "./jsanalyze.h"
      var $29 = $24;__label__ = 7; break; //@line 584 "./jsanalyze.h"
    case 6: 
      var $26=(($4+4)|0); //@line 584 "./jsanalyze.h"
      var $27=HEAP32[(($26)>>2)]; //@line 584 "./jsanalyze.h"
      var $29 = $27;__label__ = 7; break; //@line 584 "./jsanalyze.h"
    case 7: 
      var $29; //@line 584 "./jsanalyze.h"
      $segment=$29; //@line 584 "./jsanalyze.h"
      __label__ = 8; break; //@line 585 "./jsanalyze.h"
    case 8: 
      var $31=$segment; //@line 585 "./jsanalyze.h"
      var $32=(($31)|0)!=0; //@line 585 "./jsanalyze.h"
      if ($32) { __label__ = 9; break; } else { var $40 = 0;__label__ = 10; break; } //@line 585 "./jsanalyze.h"
    case 9: 
      var $34=$segment; //@line 585 "./jsanalyze.h"
      var $35=(($34)|0); //@line 585 "./jsanalyze.h"
      var $36=HEAPU32[(($35)>>2)]; //@line 585 "./jsanalyze.h"
      var $37=$3; //@line 585 "./jsanalyze.h"
      var $38=(($36)>>>0) <= (($37)>>>0); //@line 585 "./jsanalyze.h"
      var $40 = $38;__label__ = 10; break;
    case 10: 
      var $40;
      if ($40) { __label__ = 11; break; } else { __label__ = 14; break; }
    case 11: 
      var $42=$segment; //@line 586 "./jsanalyze.h"
      var $43=(($42+4)|0); //@line 586 "./jsanalyze.h"
      var $44=HEAPU32[(($43)>>2)]; //@line 586 "./jsanalyze.h"
      var $45=$3; //@line 586 "./jsanalyze.h"
      var $46=(($44)>>>0) >= (($45)>>>0); //@line 586 "./jsanalyze.h"
      if ($46) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 586 "./jsanalyze.h"
    case 12: 
      var $48=$segment; //@line 587 "./jsanalyze.h"
      $1=$48; //@line 587 "./jsanalyze.h"
      __label__ = 15; break; //@line 587 "./jsanalyze.h"
    case 13: 
      var $50=$segment; //@line 588 "./jsanalyze.h"
      var $51=(($50+16)|0); //@line 588 "./jsanalyze.h"
      var $52=HEAP32[(($51)>>2)]; //@line 588 "./jsanalyze.h"
      $segment=$52; //@line 588 "./jsanalyze.h"
      __label__ = 8; break; //@line 589 "./jsanalyze.h"
    case 14: 
      $1=0; //@line 590 "./jsanalyze.h"
      __label__ = 15; break; //@line 590 "./jsanalyze.h"
    case 15: 
      var $55=$1; //@line 591 "./jsanalyze.h"
      ;
      return $55; //@line 591 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js7analyze16LifetimeVariable4liveEj["X"]=1;

function __ZN2js8ArenaNewINS_7analyze12LoopAnalysisEEEPT_R11JSArenaPool($pool) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      __label__ = 2; break; //@line 244 "./jsarena.h"
    case 2: 
      var $3=$1; //@line 244 "./jsarena.h"
      var $4=(($3+16)|0); //@line 244 "./jsarena.h"
      var $5=HEAP32[(($4)>>2)]; //@line 244 "./jsarena.h"
      $_a=$5; //@line 244 "./jsarena.h"
      var $6=$1; //@line 244 "./jsarena.h"
      var $7=(($6+24)|0); //@line 244 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 244 "./jsarena.h"
      var $9=(($8+24)|0); //@line 244 "./jsarena.h"
      var $10=$1; //@line 244 "./jsarena.h"
      var $11=(($10+24)|0); //@line 244 "./jsarena.h"
      var $12=HEAP32[(($11)>>2)]; //@line 244 "./jsarena.h"
      var $13=$12 ^ -1; //@line 244 "./jsarena.h"
      var $14=$9 & $13; //@line 244 "./jsarena.h"
      $_nb=$14; //@line 244 "./jsarena.h"
      var $15=$_a; //@line 244 "./jsarena.h"
      var $16=(($15+12)|0); //@line 244 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 244 "./jsarena.h"
      $_p=$17; //@line 244 "./jsarena.h"
      var $18=$_nb; //@line 244 "./jsarena.h"
      var $19=$_a; //@line 244 "./jsarena.h"
      var $20=(($19+8)|0); //@line 244 "./jsarena.h"
      var $21=HEAPU32[(($20)>>2)]; //@line 244 "./jsarena.h"
      var $22=(($18)>>>0) > (($21)>>>0); //@line 244 "./jsarena.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 244 "./jsarena.h"
    case 3: 
      var $24=$_p; //@line 244 "./jsarena.h"
      var $25=$_a; //@line 244 "./jsarena.h"
      var $26=(($25+8)|0); //@line 244 "./jsarena.h"
      var $27=HEAP32[(($26)>>2)]; //@line 244 "./jsarena.h"
      var $28=$_nb; //@line 244 "./jsarena.h"
      var $29=(($27-$28)|0); //@line 244 "./jsarena.h"
      var $30=(($24)>>>0) > (($29)>>>0); //@line 244 "./jsarena.h"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 244 "./jsarena.h"
    case 4: 
      var $32=$1; //@line 244 "./jsarena.h"
      var $33=$_nb; //@line 244 "./jsarena.h"
      var $34=_JS_ArenaAllocate($32, $33); //@line 244 "./jsarena.h"
      var $35=$34; //@line 244 "./jsarena.h"
      $_p=$35; //@line 244 "./jsarena.h"
      __label__ = 6; break; //@line 244 "./jsarena.h"
    case 5: 
      var $37=$_p; //@line 244 "./jsarena.h"
      var $38=$_nb; //@line 244 "./jsarena.h"
      var $39=(($37+$38)|0); //@line 244 "./jsarena.h"
      var $40=$_a; //@line 244 "./jsarena.h"
      var $41=(($40+12)|0); //@line 244 "./jsarena.h"
      HEAP32[(($41)>>2)]=$39; //@line 244 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $43=$_p; //@line 244 "./jsarena.h"
      var $44=$43; //@line 244 "./jsarena.h"
      $v=$44; //@line 244 "./jsarena.h"
      __label__ = 7; break; //@line 244 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 244 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 244 "./jsarena.h"
    case 9: 
      var $48=$v; //@line 245 "./jsarena.h"
      var $49=(($48)|0)!=0; //@line 245 "./jsarena.h"
      if ($49) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 245 "./jsarena.h"
    case 10: 
      var $51=$v; //@line 245 "./jsarena.h"
      var $52=(($51)|0)==0; //@line 245 "./jsarena.h"
      if ($52) { var $57 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 245 "./jsarena.h"
    case 11: 
      var $54=$51; //@line 245 "./jsarena.h"
      var $55=$54; //@line 245 "./jsarena.h"
      HEAP32[(($55)>>2)]=0; HEAP32[(($55+4)>>2)]=0; HEAP32[(($55+8)>>2)]=0; HEAP32[(($55+12)>>2)]=0; HEAP32[(($55+16)>>2)]=0; HEAP32[(($55+20)>>2)]=0; //@line 245 "./jsarena.h"
      var $57 = $54;__label__ = 12; break; //@line 245 "./jsarena.h"
    case 12: 
      var $57; //@line 245 "./jsarena.h"
      var $60 = $57;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 13: 
      var $60 = 0;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 14: 
      var $60; //@line 245 "./jsarena.h"
      ;
      return $60; //@line 245 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_7analyze12LoopAnalysisEEEPT_R11JSArenaPool["X"]=1;

function __ZN2jsL7PodZeroINS_7analyze12LoopAnalysisEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 24, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js7analyze14ScriptAnalysis16clearAllocationsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i;
      var $code;
      $1=$this;
      var $2=$1;
      $i=0; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 2; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $4=$i; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $5=(($2)|0); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $7=(($6+8)|0); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=HEAPU32[(($7)>>2)]; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=(($4)>>>0) < (($8)>>>0); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $11=$i; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($2, $11); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $code=$12; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=$code; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=(($13)|0)!=0; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $16=$code; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($16+20)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($17)>>2)]=0; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 5; break; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      __label__ = 6; break; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $20=$i; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=(($20+1)|0); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$21; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 2; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      ;
      return; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pool;
      var $maxDepth;
      var $values;
      var $free=__stackBase__;
      var $stack;
      var $stackDepth;
      var $slot;
      var $branchTargets=__stackBase__+8;
      var $3=__stackBase__+32;
      var $offset;
      var $pc;
      var $untrap=__stackBase__+36;
      var $op;
      var $successorOffset;
      var $code;
      var $4;
      var $pending;
      var $i;
      var $v;
      var $ov=__stackBase__+44;
      var $slot1;
      var $ov2=__stackBase__+52;
      var $5=__stackBase__+60;
      var $pending3;
      var $i4;
      var $v5;
      var $nuses;
      var $ndefs;
      var $xuses;
      var $i6;
      var $v7;
      var $slot8;
      var $useChains;
      var $i9;
      var $v10;
      var $uses;
      var $i11;
      var $xdefs;
      var $slot12;
      var $slot13;
      var $slot14;
      var $pickedDepth;
      var $i15;
      var $pc2;
      var $jmplen;
      var $defaultOffset;
      var $low;
      var $high;
      var $i16;
      var $targetOffset;
      var $pc217;
      var $jmplen18;
      var $defaultOffset19;
      var $npairs;
      var $targetOffset20;
      var $tn;
      var $tnlimit;
      var $startOffset;
      var $catchOffset;
      var $type;
      var $targetOffset21;
      $1=$this;
      $2=$cx;
      var $6=$1;
      var $7=__ZN2js7analyze14ScriptAnalysis12ranLifetimesEv($6); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($7) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $9=$2; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis16analyzeLifetimesEP9JSContext($6, $9); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=__ZN2js7analyze14ScriptAnalysis6failedEv($6); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      __label__ = 165; break; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      __label__ = 5; break; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $14=$2; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=(($14+56)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($16+344)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pool=$17; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=(($6)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=(($19+44)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=HEAPU16[(($20)>>1)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=(($21)&65535); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=(($6)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+14)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=HEAPU16[(($25)>>1)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=(($26)&65535); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=(($22-$27)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $maxDepth=$28; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=$2; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=(($6+8)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=$maxDepth; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=(($31+$32)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=((($33<<3))|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=__ZN9JSContext7calloc_Ej($29, $34); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=$35; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $values=$36; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=$values; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=(($37)|0)!=0; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $40=$2; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($6, $40); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 165; break; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $42=$2; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=$values; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      FUNCTION_TABLE[__ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesC1ES3_PNS0_8SSAValueE]($free, $42, $43); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $44=$values; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $45=(($6+8)|0); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=(($44+($46<<3))|0); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stack=$47; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stackDepth=0; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=__ZN2js7analyzeL7ArgSlotEj(0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot=$48; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 8; break; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $50=$slot; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=(($6+8)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $52=HEAPU32[(($51)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=(($50)>>>0) < (($52)>>>0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($53) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $55=$slot; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $56=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($6, $55); //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($56) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      var $58=$slot; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $59=$values; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $60=(($59+($58<<3))|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=$slot; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze8SSAValue11initInitialEj($60, $61); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 11; break; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      __label__ = 12; break; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      var $64=$slot; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=(($64+1)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot=$65; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 8; break; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $67=$2; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($3, $67); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEC1ES1_($branchTargets, $3); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $offset=0; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 14; break; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $69=$offset; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=(($6)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=(($71+8)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=HEAPU32[(($72)>>2)]; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=(($69)>>>0) < (($73)>>>0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($74) { __label__ = 15; break; } else { __label__ = 163; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      var $76=(($6)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $78=(($77)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $80=$offset; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=(($79+$80)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc=$81; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $82=$2; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $83=(($6)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $85=$pc; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $82, $84, $85); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $86=$pc; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=HEAPU8[($86)]; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $88=(($87)&255); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $op=$88; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=$offset; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=$pc; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=__ZN2js7analyzeL17GetBytecodeLengthEPh($90); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $92=(($89+$91)|0); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $successorOffset=$92; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $93=$pc; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $94=__ZN2js7analyze14ScriptAnalysis9maybeCodeEPKh($6, $93); //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $code=$94; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $95=$code; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $96=(($95)|0)!=0; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($96) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 16: 
      var $98=$successorOffset; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $offset=$98; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=5;
      __label__ = 161; break; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 17: 
      var $100=$code; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $101=(($100+4)|0); //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $102=HEAPU32[(($101)>>2)]; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $103=$stackDepth; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $104=(($102)>>>0) > (($103)>>>0); //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($104) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 18: 
      var $106=$stack; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $107=$stackDepth; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $108=(($106+($107<<3))|0); //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $109=$code; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $110=(($109+4)|0); //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $112=$stackDepth; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $113=(($111-$112)|0); //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2jsL7PodZeroINS_7analyze8SSAValueEEEvPT_j($108, $113); //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 19; break; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 19: 
      var $115=$code; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $116=(($115+4)|0); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stackDepth=$117; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $118=$op; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $119=(($118)|0)==109; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($119) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 20: 
      var $121=$op; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $122=(($121)|0)==182; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($122) { __label__ = 21; break; } else { __label__ = 62; break; } //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 21: 
      var $124=$code; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $125=(($124+16)|0); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $126=$125; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $128=(($127)|0)!=0; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($128) { __label__ = 22; break; } else { __label__ = 62; break; } //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 22: 
      var $130=$code; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $131=(($130+32)|0); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $132=$131; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pending=$132; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $133=$pending; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $135=(($134)|0)!=0; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($135) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 23: 
      var $137=$offset; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis18removeBranchTargetERNS_6VectorIjLj0ENS_15TempAllocPolicyEEEj($6, $branchTargets, $137); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 27; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 24: 
      var $139=$2; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $140=$2; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $141=__ZN9JSContext4new_IN2js6VectorINS1_7analyze9SlotValueELj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_($139, $140); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $142=$pending; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($142)>>2)]=$141; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $143=$pending; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $145=(($144)|0)!=0; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($145) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 25: 
      var $147=$2; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($6, $147); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=1;
      __label__ = 161; break; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      $i=0; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 28; break; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 28: 
      var $151=$i; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $152=$pending; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $154=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6lengthEv($153); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $155=(($151)>>>0) < (($154)>>>0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($155) { __label__ = 29; break; } else { __label__ = 42; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 29: 
      var $157=$pending; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $159=$i; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $160=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEixEj($158, $159); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $v=$160; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $161=$v; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $162=(($161)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $163=HEAPU32[(($162)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $164=(($6+8)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $165=HEAPU32[(($164)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $166=(($163)>>>0) < (($165)>>>0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($166) { __label__ = 30; break; } else { __label__ = 37; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 30: 
      var $168=$v; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $169=(($168)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $171=__ZN2js7analyze14ScriptAnalysis8livenessEj($6, $170); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $172=$code; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $173=(($172+16)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $174=$173; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $176=__ZNK2js7analyze16LifetimeVariable10firstWriteEPNS0_12LoopAnalysisE($171, $175); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $177=(($176)|0)!=-1; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($177) { __label__ = 31; break; } else { __label__ = 37; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 31: 
      var $179=$v; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $180=(($179+4)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $181=__ZNK2js7analyze8SSAValue4kindEv($180); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $182=(($181)|0)!=3; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($182) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 32: 
      var $184=$v; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $185=(($184+4)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $186=__ZNK2js7analyze8SSAValue9phiOffsetEv($185); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $187=$offset; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $188=(($186)>>>0) < (($187)>>>0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($188) { __label__ = 33; break; } else { __label__ = 36; break; } //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 33: 
      var $190=$v; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $191=(($190+4)|0); //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $192=$ov; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $193=$191; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($192)>>2)]=HEAP32[(($193)>>2)];HEAP32[(($192+4)>>2)]=HEAP32[(($193+4)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $194=$2; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $195=$v; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $196=(($195)|0); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $198=$offset; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $199=__ZN2js7analyze14ScriptAnalysis7makePhiEP9JSContextjjPNS0_8SSAValueE($6, $194, $197, $198, $ov); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($199) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 34: 
      $4=1;
      __label__ = 161; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 35: 
      var $202=$2; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $203=$v; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $204=(($203+4)|0); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis9insertPhiEP9JSContextRNS0_8SSAValueERKS4_($6, $202, $ov, $204); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $205=$v; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $206=(($205+4)|0); //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $207=$206; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $208=$ov; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($207)>>2)]=HEAP32[(($208)>>2)];HEAP32[(($207+4)>>2)]=HEAP32[(($208+4)>>2)]; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 36; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 36: 
      __label__ = 37; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 37: 
      var $211=$code; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $212=$211; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $213=HEAPU8[($212)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $214=(($213)&255) >>> 2; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $215=$214 & 1; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $216=(($215) & 1); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($216) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 38: 
      var $218=$code; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $219=$218; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $220=HEAPU8[($219)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $221=(($220)&255) >>> 3; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $222=$221 & 1; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $223=(($222) & 1); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($223) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 39: 
      var $225=$2; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $226=$offset; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $227=$v; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $228=(($227)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $229=HEAP32[(($228)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $230=$values; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $231=(($230+($229<<3))|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $232=$v; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis10mergeValueEP9JSContextjRKNS0_8SSAValueEPNS0_9SlotValueE($6, $225, $226, $231, $232); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 40; break; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 40: 
      var $234=$2; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $235=$v; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $236=(($235)|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $237=HEAP32[(($236)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $238=$values; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $239=(($238+($237<<3))|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $240=$v; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $241=(($240)|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $242=HEAP32[(($241)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17mergeBranchTargetEP9JSContextRKNS0_8SSAValueEjRKNS_6VectorIjLj0ENS_15TempAllocPolicyEEE($6, $234, $239, $242, $branchTargets); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $243=$v; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $244=(($243)|0); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $245=HEAP32[(($244)>>2)]; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $246=$values; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $247=(($246+($245<<3))|0); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $248=$v; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $249=(($248+4)|0); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $250=$247; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $251=$249; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($250)>>2)]=HEAP32[(($251)>>2)];HEAP32[(($250+4)>>2)]=HEAP32[(($251+4)>>2)]; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 41; break; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 41: 
      var $253=$i; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $254=(($253+1)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$254; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 28; break; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 42: 
      var $256=__ZN2js7analyzeL7ArgSlotEj(0); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot1=$256; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 43; break; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 43: 
      var $258=$slot1; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $259=(($6+8)|0); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $260=HEAP32[(($259)>>2)]; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $261=$stackDepth; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $262=(($260+$261)|0); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $263=(($258)>>>0) < (($262)>>>0); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($263) { __label__ = 44; break; } else { __label__ = 61; break; } //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 44: 
      var $265=$slot1; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $266=(($6+8)|0); //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $267=HEAPU32[(($266)>>2)]; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $268=(($265)>>>0) >= (($267)>>>0); //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($268) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 45: 
      var $270=$slot1; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $271=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($6, $270); //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($271) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 46: 
      __label__ = 60; break; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 47: 
      var $274=$slot1; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $275=__ZN2js7analyze14ScriptAnalysis8livenessEj($6, $274); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $276=$code; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $277=(($276+16)|0); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $278=$277; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $279=HEAP32[(($278)>>2)]; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $280=__ZNK2js7analyze16LifetimeVariable10firstWriteEPNS0_12LoopAnalysisE($275, $279); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $281=(($280)|0)==-1; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($281) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 48: 
      __label__ = 60; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 49: 
      var $284=$slot1; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $285=$values; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $286=(($285+($284<<3))|0); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $287=__ZNK2js7analyze8SSAValue4kindEv($286); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $288=(($287)|0)==3; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($288) { __label__ = 50; break; } else { __label__ = 52; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 50: 
      var $290=$slot1; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $291=$values; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $292=(($291+($290<<3))|0); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $293=__ZNK2js7analyze8SSAValue9phiOffsetEv($292); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $294=$offset; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $295=(($293)|0)==(($294)|0); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($295) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 51: 
      __label__ = 60; break; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 52: 
      var $298=$2; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $299=$slot1; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $300=$offset; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $301=__ZN2js7analyze14ScriptAnalysis7makePhiEP9JSContextjjPNS0_8SSAValueE($6, $298, $299, $300, $ov2); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($301) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 53: 
      $4=1;
      __label__ = 161; break; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 54: 
      var $304=$code; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $305=$304; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $306=HEAPU8[($305)]; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $307=(($306)&255) >>> 2; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $308=$307 & 1; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $309=(($308) & 1); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($309) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 55: 
      var $311=$code; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $312=$311; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $313=HEAPU8[($312)]; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $314=(($313)&255) >>> 3; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $315=$314 & 1; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $316=(($315) & 1); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($316) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 56: 
      var $318=$2; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $319=$slot1; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $320=$values; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $321=(($320+($319<<3))|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis9insertPhiEP9JSContextRNS0_8SSAValueERKS4_($6, $318, $ov2, $321); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 57; break; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 57: 
      var $323=$2; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $324=$slot1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $325=$values; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $326=(($325+($324<<3))|0); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $327=$slot1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17mergeBranchTargetEP9JSContextRKNS0_8SSAValueEjRKNS_6VectorIjLj0ENS_15TempAllocPolicyEEE($6, $323, $326, $327, $branchTargets); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $328=$slot1; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $329=$values; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $330=(($329+($328<<3))|0); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $331=$330; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $332=$ov2; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($331)>>2)]=HEAP32[(($332)>>2)];HEAP32[(($331+4)>>2)]=HEAP32[(($332+4)>>2)]; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $333=$pending; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $334=HEAP32[(($333)>>2)]; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $335=$slot1; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze9SlotValueC1EjRKNS0_8SSAValueE($5, $335, $ov2); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $336=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($334, $5); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($336) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 58: 
      var $338=$2; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($6, $338); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=1;
      __label__ = 161; break; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 59: 
      __label__ = 60; break; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 60: 
      var $341=$slot1; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $342=(($341+1)|0); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot1=$342; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 43; break; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 61: 
      __label__ = 72; break; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 62: 
      var $345=$code; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $346=(($345+32)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $347=$346; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $348=HEAP32[(($347)>>2)]; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $349=(($348)|0)!=0; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($349) { __label__ = 63; break; } else { __label__ = 71; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 63: 
      var $351=$offset; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis18removeBranchTargetERNS_6VectorIjLj0ENS_15TempAllocPolicyEEEj($6, $branchTargets, $351); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $352=$code; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $353=(($352+32)|0); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $354=$353; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $355=HEAP32[(($354)>>2)]; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pending3=$355; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i4=0; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 64; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 64: 
      var $357=$i4; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $358=$pending3; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $359=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6lengthEv($358); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $360=(($357)>>>0) < (($359)>>>0); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($360) { __label__ = 65; break; } else { __label__ = 70; break; } //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 65: 
      var $362=$pending3; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $363=$i4; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $364=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEixEj($362, $363); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $v5=$364; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $365=$code; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $366=$365; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $367=HEAPU8[($366)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $368=(($367)&255) >>> 2; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $369=$368 & 1; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $370=(($369) & 1); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($370) { __label__ = 67; break; } else { __label__ = 66; break; } //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 66: 
      var $372=$code; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $373=$372; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $374=HEAPU8[($373)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $375=(($374)&255) >>> 3; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $376=$375 & 1; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $377=(($376) & 1); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($377) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 67: 
      var $379=$2; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $380=$offset; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $381=$v5; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $382=(($381)|0); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $383=HEAP32[(($382)>>2)]; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $384=$values; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $385=(($384+($383<<3))|0); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $386=$v5; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis10mergeValueEP9JSContextjRKNS0_8SSAValueEPNS0_9SlotValueE($6, $379, $380, $385, $386); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 68; break; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 68: 
      var $388=$2; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $389=$v5; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $390=(($389)|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $391=HEAP32[(($390)>>2)]; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $392=$values; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $393=(($392+($391<<3))|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $394=$v5; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $395=(($394)|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $396=HEAP32[(($395)>>2)]; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17mergeBranchTargetEP9JSContextRKNS0_8SSAValueEjRKNS_6VectorIjLj0ENS_15TempAllocPolicyEEE($6, $388, $393, $396, $branchTargets); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $397=$v5; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $398=(($397)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $399=HEAP32[(($398)>>2)]; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $400=$values; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $401=(($400+($399<<3))|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $402=$v5; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $403=(($402+4)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $404=$401; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $405=$403; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($404)>>2)]=HEAP32[(($405)>>2)];HEAP32[(($404+4)>>2)]=HEAP32[(($405+4)>>2)]; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 69; break; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 69: 
      var $407=$i4; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $408=(($407+1)|0); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i4=$408; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 64; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 70: 
      var $410=$2; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $411=$offset; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis15freezeNewValuesEP9JSContextj($6, $410, $411); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 71; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 71: 
      __label__ = 72; break;
    case 72: 
      var $414=$op; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $415=((_js_CodeSpec+($414<<3))|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $416=(($415+4)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $417=HEAP32[(($416)>>2)]; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $418=$417 & 134217728; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $419=(($418)|0)!=0; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($419) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 73: 
      var $421=$successorOffset; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $offset=$421; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=5;
      __label__ = 161; break; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 74: 
      var $423=(($6)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $424=HEAP32[(($423)>>2)]; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $425=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $426=__ZN2js7analyzeL11GetUseCountEP8JSScriptj($424, $425); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $nuses=$426; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $427=(($6)|0); //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $428=HEAP32[(($427)>>2)]; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $429=$offset; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $430=__ZN2js7analyzeL11GetDefCountEP8JSScriptj($428, $429); //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $ndefs=$430; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $431=$pc; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $432=__ZN2js7analyzeL11ExtendedUseEPh($431); //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($432) { __label__ = 75; break; } else { __label__ = 76; break; } //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 75: 
      var $434=$nuses; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $435=(($434+1)|0); //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $439 = $435;__label__ = 77; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 76: 
      var $437=$nuses; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $439 = $437;__label__ = 77; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 77: 
      var $439; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $xuses=$439; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $440=$xuses; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $441=(($440)|0)!=0; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($441) { __label__ = 78; break; } else { __label__ = 100; break; } //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 78: 
      var $443=$pool; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $444=$xuses; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $445=__ZN2js10ArenaArrayINS_7analyze8SSAValueEEEPT_R11JSArenaPoolj($443, $444); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $446=$code; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $447=(($446+24)|0); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($447)>>2)]=$445; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $448=$code; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $449=(($448+24)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $450=HEAP32[(($449)>>2)]; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $451=(($450)|0)!=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($451) { __label__ = 80; break; } else { __label__ = 79; break; } //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 79: 
      var $453=$2; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($6, $453); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=1;
      __label__ = 161; break; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 80: 
      $i6=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 81; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 81: 
      var $456=$i6; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $457=$nuses; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $458=(($456)>>>0) < (($457)>>>0); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($458) { __label__ = 82; break; } else { __label__ = 84; break; } //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 82: 
      var $460=$stackDepth; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $461=(($460-1)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $462=$i6; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $463=(($461-$462)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $464=$stack; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $465=(($464+($463<<3))|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $v7=$465; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $466=$i6; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $467=$code; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $468=(($467+24)|0); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $469=HEAP32[(($468)>>2)]; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $470=(($469+($466<<3))|0); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $471=$v7; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $472=$470; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $473=$471; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($472)>>2)]=HEAP32[(($473)>>2)];HEAP32[(($472+4)>>2)]=HEAP32[(($473+4)>>2)]; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $474=$v7; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze8SSAValue5clearEv($474); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 83; break; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 83: 
      var $476=$i6; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $477=(($476+1)|0); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i6=$477; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 81; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 84: 
      var $479=$xuses; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $480=$nuses; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $481=(($479)>>>0) > (($480)>>>0); //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($481) { __label__ = 85; break; } else { __label__ = 89; break; } //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 85: 
      var $483=(($6)|0); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $484=HEAP32[(($483)>>2)]; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $485=$pc; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $486=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh($484, $485); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot8=$486; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $487=$slot8; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $488=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($6, $487); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($488) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 86: 
      var $490=$nuses; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $491=$code; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $492=(($491+24)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $493=HEAP32[(($492)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $494=(($493+($490<<3))|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $495=$slot8; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $496=$values; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $497=(($496+($495<<3))|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $498=$494; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $499=$497; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($498)>>2)]=HEAP32[(($499)>>2)];HEAP32[(($498+4)>>2)]=HEAP32[(($499+4)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 88; break; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 87: 
      var $501=$nuses; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $502=$code; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $503=(($502+24)|0); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $504=HEAP32[(($503)>>2)]; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $505=(($504+($501<<3))|0); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze8SSAValue5clearEv($505); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 88; break;
    case 88: 
      __label__ = 89; break; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 89: 
      var $508=$xuses; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $509=(($508)|0)!=0; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($509) { __label__ = 90; break; } else { __label__ = 99; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 90: 
      var $511=$2; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $512=(($511+56)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $513=HEAP32[(($512)>>2)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $514=(($513+344)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $515=$xuses; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $516=__ZN2js10ArenaArrayINS_7analyze11SSAUseChainEEEPT_R11JSArenaPoolj($514, $515); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $useChains=$516; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $517=$useChains; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $518=(($517)|0)!=0; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($518) { __label__ = 92; break; } else { __label__ = 91; break; } //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 91: 
      var $520=$2; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($6, $520); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=1;
      __label__ = 161; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 92: 
      var $522=$useChains; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $523=$xuses; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2jsL7PodZeroINS_7analyze11SSAUseChainEEEvPT_j($522, $523); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i9=0; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 93; break; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 93: 
      var $525=$i9; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $526=$xuses; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $527=(($525)>>>0) < (($526)>>>0); //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($527) { __label__ = 94; break; } else { __label__ = 98; break; } //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 94: 
      var $529=$i9; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $530=$code; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $531=(($530+24)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $532=HEAP32[(($531)>>2)]; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $533=(($532+($529<<3))|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $v10=$533; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $534=$v10; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $535=__ZN2js7analyze14ScriptAnalysis13trackUseChainERKNS0_8SSAValueE($6, $534); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($535) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 95: 
      var $537=$v10; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $538=__ZN2js7analyze14ScriptAnalysis8useChainERKNS0_8SSAValueE($6, $537); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $uses=$538; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $539=$i9; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $540=$useChains; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $541=(($540+$539*12)|0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $542=$541; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $543=HEAP8[($542)]; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $544=$543 & -2; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $545=$544 | 1; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($542)]=$545; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $546=$offset; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $547=$i9; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $548=$useChains; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $549=(($548+$547*12)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $550=$546 & 2147483647; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $551=$549; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $552=$550 & 2147483647; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $553=$552 << 1; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $554=HEAP32[(($551)>>2)]; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $555=$554 & 1; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $556=$555 | $553; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($551)>>2)]=$556; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $557=$i9; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $558=$i9; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $559=$useChains; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $560=(($559+$558*12)|0); //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $561=(($560+4)|0); //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $562=$561; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($562)>>2)]=$557; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $563=$uses; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $564=HEAP32[(($563)>>2)]; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $565=$i9; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $566=$useChains; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $567=(($566+$565*12)|0); //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $568=(($567+8)|0); //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($568)>>2)]=$564; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $569=$i9; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $570=$useChains; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $571=(($570+$569*12)|0); //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $572=$uses; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($572)>>2)]=$571; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 96; break; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 96: 
      __label__ = 97; break; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 97: 
      var $575=$i9; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $576=(($575+1)|0); //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i9=$576; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 93; break; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 98: 
      __label__ = 99; break; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 99: 
      __label__ = 100; break; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 100: 
      var $580=$nuses; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $581=$stackDepth; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $582=(($581-$580)|0); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stackDepth=$582; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i11=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 101; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 101: 
      var $584=$i11; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $585=$ndefs; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $586=(($584)>>>0) < (($585)>>>0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($586) { __label__ = 102; break; } else { __label__ = 104; break; } //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 102: 
      var $588=$stackDepth; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $589=$i11; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $590=(($588+$589)|0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $591=$stack; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $592=(($591+($590<<3))|0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $593=$offset; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $594=$i11; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze8SSAValue10initPushedEjj($592, $593, $594); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 103; break; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 103: 
      var $596=$i11; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $597=(($596+1)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i11=$597; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 101; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 104: 
      var $599=$pc; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $600=__ZN2js7analyzeL11ExtendedDefEPh($599); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($600) { __label__ = 105; break; } else { __label__ = 106; break; } //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 105: 
      var $602=$ndefs; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $603=(($602+1)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $607 = $603;__label__ = 107; break; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 106: 
      var $605=$ndefs; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $607 = $605;__label__ = 107; break; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 107: 
      var $607; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $xdefs=$607; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $608=$xdefs; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $609=(($608)|0)!=0; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($609) { __label__ = 108; break; } else { __label__ = 111; break; } //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 108: 
      var $611=$2; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $612=(($611+56)|0); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $613=HEAP32[(($612)>>2)]; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $614=(($613+344)|0); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $615=$xdefs; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $616=__ZN2js10ArenaArrayIPNS_7analyze11SSAUseChainEEEPT_R11JSArenaPoolj($614, $615); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $617=$code; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $618=(($617+28)|0); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($618)>>2)]=$616; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $619=$code; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $620=(($619+28)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $621=HEAP32[(($620)>>2)]; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $622=(($621)|0)!=0; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($622) { __label__ = 110; break; } else { __label__ = 109; break; } //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 109: 
      var $624=$2; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($6, $624); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=1;
      __label__ = 161; break; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 110: 
      var $626=$code; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $627=(($626+28)|0); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $628=HEAP32[(($627)>>2)]; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $629=$xdefs; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2jsL7PodZeroIPNS_7analyze11SSAUseChainEEEvPT_j($628, $629); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 111; break; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 111: 
      var $631=$ndefs; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $632=$stackDepth; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $633=(($632+$631)|0); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $stackDepth=$633; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $634=$op; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ((($634)|0) == 85 || (($634)|0) == 87 || (($634)|0) == 132 || (($634)|0) == 140 || (($634)|0) == 223 || (($634)|0) == 97 || (($634)|0) == 98 || (($634)|0) == 99 || (($634)|0) == 100 || (($634)|0) == 101 || (($634)|0) == 102 || (($634)|0) == 103 || (($634)|0) == 104) {
        __label__ = 112; break;
      }
      else if ((($634)|0) == 84 || (($634)|0) == 86) {
        __label__ = 115; break;
      }
      else if ((($634)|0) == 216 || (($634)|0) == 215) {
        __label__ = 118; break;
      }
      else if ((($634)|0) == 76) {
        __label__ = 121; break;
      }
      else if ((($634)|0) == 93 || (($634)|0) == 227) {
        __label__ = 122; break;
      }
      else if ((($634)|0) == 94) {
        __label__ = 123; break;
      }
      else if ((($634)|0) == 12) {
        __label__ = 124; break;
      }
      else if ((($634)|0) == 13) {
        __label__ = 125; break;
      }
      else if ((($634)|0) == 10 || (($634)|0) == 133) {
        __label__ = 126; break;
      }
      else if ((($634)|0) == 70 || (($634)|0) == 149) {
        __label__ = 134; break;
      }
      else if ((($634)|0) == 71 || (($634)|0) == 150) {
        __label__ = 141; break;
      }
      else if ((($634)|0) == 134) {
        __label__ = 145; break;
      }
      else {
      __label__ = 154; break;
      }
      
    case 112: 
      var $636=(($6)|0); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $637=HEAP32[(($636)>>2)]; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $638=$pc; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $639=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh($637, $638); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot12=$639; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $640=$slot12; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $641=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($6, $640); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($641) { __label__ = 113; break; } else { __label__ = 114; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 113: 
      var $643=$2; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $644=$slot12; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $645=$values; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $646=(($645+($644<<3))|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $647=$slot12; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17mergeBranchTargetEP9JSContextRKNS0_8SSAValueEjRKNS_6VectorIjLj0ENS_15TempAllocPolicyEEE($6, $643, $646, $647, $branchTargets); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $648=$slot12; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $649=$values; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $650=(($649+($648<<3))|0); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $651=$slot12; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $652=$offset; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze8SSAValue11initWrittenEjj($650, $651, $652); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 114; break; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 114: 
      __label__ = 155; break; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 115: 
      var $655=(($6)|0); //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $656=HEAP32[(($655)>>2)]; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $657=$pc; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $658=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh($656, $657); //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot13=$658; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $659=$slot13; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $660=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($6, $659); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($660) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 116: 
      var $662=$stackDepth; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $663=(($662-1)|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $664=$stack; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $665=(($664+($663<<3))|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $666=$code; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $667=(($666+24)|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $668=HEAP32[(($667)>>2)]; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $669=(($668)|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $670=$slot13; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $671=$values; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $672=(($671+($670<<3))|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $673=$669; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $674=$672; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($673)>>2)]=HEAP32[(($674)>>2)];HEAP32[(($673+4)>>2)]=HEAP32[(($674+4)>>2)]; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $675=$665; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $676=$669; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($675)>>2)]=HEAP32[(($676)>>2)];HEAP32[(($675+4)>>2)]=HEAP32[(($676+4)>>2)]; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 117; break; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 117: 
      __label__ = 155; break; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 118: 
      var $679=(($6)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $680=HEAP32[(($679)>>2)]; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $681=$pc; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $682=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh($680, $681); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot14=$682; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $683=$slot14; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $684=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($6, $683); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($684) { __label__ = 119; break; } else { __label__ = 120; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 119: 
      var $686=$stackDepth; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $687=(($686-2)|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $688=$stack; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $689=(($688+($687<<3))|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $690=$code; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $691=(($690+24)|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $692=HEAP32[(($691)>>2)]; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $693=(($692)|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $694=$slot14; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $695=$values; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $696=(($695+($694<<3))|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $697=$693; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $698=$696; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($697)>>2)]=HEAP32[(($698)>>2)];HEAP32[(($697+4)>>2)]=HEAP32[(($698+4)>>2)]; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $699=$689; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $700=$693; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($699)>>2)]=HEAP32[(($700)>>2)];HEAP32[(($699+4)>>2)]=HEAP32[(($700+4)>>2)]; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 120; break; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 120: 
      __label__ = 155; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 121: 
      var $703=$stackDepth; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $704=(($703-2)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $705=$stack; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $706=(($705+($704<<3))|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $707=$code; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $708=(($707+24)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $709=HEAP32[(($708)>>2)]; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $710=(($709)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $711=$706; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $712=$710; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($711)>>2)]=HEAP32[(($712)>>2)];HEAP32[(($711+4)>>2)]=HEAP32[(($712+4)>>2)]; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 155; break; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 122: 
      var $714=$stackDepth; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $715=(($714-1)|0); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $716=$stack; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $717=(($716+($715<<3))|0); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $718=$code; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $719=(($718+24)|0); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $720=HEAP32[(($719)>>2)]; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $721=(($720+8)|0); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $722=$717; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $723=$721; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($722)>>2)]=HEAP32[(($723)>>2)];HEAP32[(($722+4)>>2)]=HEAP32[(($723+4)>>2)]; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 155; break; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 123: 
      var $725=$stackDepth; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $726=(($725-1)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $727=$stack; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $728=(($727+($726<<3))|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $729=$code; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $730=(($729+24)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $731=HEAP32[(($730)>>2)]; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $732=(($731+16)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $733=$728; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $734=$732; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($733)>>2)]=HEAP32[(($734)>>2)];HEAP32[(($733+4)>>2)]=HEAP32[(($734+4)>>2)]; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 155; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 124: 
      var $736=$stackDepth; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $737=(($736-1)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $738=$stack; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $739=(($738+($737<<3))|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $740=$stackDepth; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $741=(($740-2)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $742=$stack; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $743=(($742+($741<<3))|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $744=$code; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $745=(($744+24)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $746=HEAP32[(($745)>>2)]; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $747=(($746)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $748=$743; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $749=$747; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($748)>>2)]=HEAP32[(($749)>>2)];HEAP32[(($748+4)>>2)]=HEAP32[(($749+4)>>2)]; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $750=$739; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $751=$743; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($750)>>2)]=HEAP32[(($751)>>2)];HEAP32[(($750+4)>>2)]=HEAP32[(($751+4)>>2)]; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 155; break; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 125: 
      var $753=$stackDepth; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $754=(($753-1)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $755=$stack; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $756=(($755+($754<<3))|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $757=$stackDepth; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $758=(($757-3)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $759=$stack; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $760=(($759+($758<<3))|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $761=$code; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $762=(($761+24)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $763=HEAP32[(($762)>>2)]; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $764=(($763)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $765=$760; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $766=$764; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($765)>>2)]=HEAP32[(($766)>>2)];HEAP32[(($765+4)>>2)]=HEAP32[(($766+4)>>2)]; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $767=$756; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $768=$760; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($767)>>2)]=HEAP32[(($768)>>2)];HEAP32[(($767+4)>>2)]=HEAP32[(($768+4)>>2)]; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $769=$stackDepth; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $770=(($769-2)|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $771=$stack; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $772=(($771+($770<<3))|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $773=$stackDepth; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $774=(($773-4)|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $775=$stack; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $776=(($775+($774<<3))|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $777=$code; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $778=(($777+24)|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $779=HEAP32[(($778)>>2)]; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $780=(($779+8)|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $781=$776; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $782=$780; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($781)>>2)]=HEAP32[(($782)>>2)];HEAP32[(($781+4)>>2)]=HEAP32[(($782+4)>>2)]; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $783=$772; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $784=$776; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($783)>>2)]=HEAP32[(($784)>>2)];HEAP32[(($783+4)>>2)]=HEAP32[(($784+4)>>2)]; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 155; break; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 126: 
      var $786=$op; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $787=(($786)|0)==10; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($787) { __label__ = 127; break; } else { __label__ = 128; break; } //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 127: 
      var $795 = 1;__label__ = 129; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 128: 
      var $790=$pc; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $791=(($790+1)|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $792=HEAPU8[($791)]; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $793=(($792)&255); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $795 = $793;__label__ = 129; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 129: 
      var $795; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pickedDepth=$795; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $796=$stackDepth; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $797=(($796-1)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $798=$stack; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $799=(($798+($797<<3))|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $800=$pickedDepth; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $801=$code; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $802=(($801+24)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $803=HEAP32[(($802)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $804=(($803+($800<<3))|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $805=$799; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $806=$804; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($805)>>2)]=HEAP32[(($806)>>2)];HEAP32[(($805+4)>>2)]=HEAP32[(($806+4)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i15=0; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 130; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 130: 
      var $808=$i15; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $809=$pickedDepth; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $810=(($808)>>>0) < (($809)>>>0); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($810) { __label__ = 131; break; } else { __label__ = 133; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 131: 
      var $812=$stackDepth; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $813=(($812-2)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $814=$i15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $815=(($813-$814)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $816=$stack; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $817=(($816+($815<<3))|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $818=$i15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $819=$code; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $820=(($819+24)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $821=HEAP32[(($820)>>2)]; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $822=(($821+($818<<3))|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $823=$817; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $824=$822; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($823)>>2)]=HEAP32[(($824)>>2)];HEAP32[(($823+4)>>2)]=HEAP32[(($824+4)>>2)]; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 132; break; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 132: 
      var $826=$i15; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $827=(($826+1)|0); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i15=$827; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 130; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 133: 
      __label__ = 155; break; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 134: 
      var $830=$pc; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$830; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $831=$op; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $832=(($831)|0)==70; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $833=$832 ? 2 : 4; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $jmplen=$833; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $834=$offset; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $835=$pc; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $836=$pc2; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $837=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($835, $836); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $838=(($834+$837)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defaultOffset=$838; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $839=$jmplen; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $840=$pc2; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $841=(($840+$839)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$841; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $842=$pc2; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $843=(($842+1)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $844=HEAPU8[($843)]; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $845=(($844)&255); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $846=$845 << 8; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $847=$pc2; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $848=(($847+2)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $849=HEAPU8[($848)]; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $850=(($849)&255); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $851=$846 | $850; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $852=(($851) & 65535); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $853=(($852 << 16) >> 16); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $low=$853; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $854=$pc2; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $855=(($854+2)|0); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$855; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $856=$pc2; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $857=(($856+1)|0); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $858=HEAPU8[($857)]; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $859=(($858)&255); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $860=$859 << 8; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $861=$pc2; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $862=(($861+2)|0); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $863=HEAPU8[($862)]; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $864=(($863)&255); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $865=$860 | $864; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $866=(($865) & 65535); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $867=(($866 << 16) >> 16); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $high=$867; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $868=$pc2; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $869=(($868+2)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$869; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $870=$2; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $871=$defaultOffset; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $872=$values; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $873=$stackDepth; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj($6, $870, $871, $branchTargets, $872, $873); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $874=$low; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i16=$874; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 135; break; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 135: 
      var $876=$i16; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $877=$high; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $878=(($876)|0) <= (($877)|0); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($878) { __label__ = 136; break; } else { __label__ = 140; break; } //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 136: 
      var $880=$offset; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $881=$pc; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $882=$pc2; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $883=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($881, $882); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $884=(($880+$883)|0); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $targetOffset=$884; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $885=$targetOffset; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $886=$offset; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $887=(($885)|0)!=(($886)|0); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($887) { __label__ = 137; break; } else { __label__ = 138; break; } //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 137: 
      var $889=$2; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $890=$targetOffset; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $891=$values; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $892=$stackDepth; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj($6, $889, $890, $branchTargets, $891, $892); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 138; break; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 138: 
      var $894=$jmplen; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $895=$pc2; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $896=(($895+$894)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$896; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 139; break; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 139: 
      var $898=$i16; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $899=(($898+1)|0); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i16=$899; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 135; break; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 140: 
      __label__ = 155; break; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 141: 
      var $902=$pc; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc217=$902; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $903=$op; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $904=(($903)|0)==71; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $905=$904 ? 2 : 4; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $jmplen18=$905; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $906=$offset; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $907=$pc; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $908=$pc217; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $909=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($907, $908); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $910=(($906+$909)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $defaultOffset19=$910; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $911=$jmplen18; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $912=$pc217; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $913=(($912+$911)|0); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc217=$913; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $914=$pc217; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $915=(($914+1)|0); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $916=HEAPU8[($915)]; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $917=(($916)&255); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $918=$917 << 8; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $919=$pc217; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $920=(($919+2)|0); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $921=HEAPU8[($920)]; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $922=(($921)&255); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $923=$918 | $922; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $npairs=$923; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $924=$pc217; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $925=(($924+2)|0); //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc217=$925; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $926=$2; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $927=$defaultOffset19; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $928=$values; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $929=$stackDepth; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj($6, $926, $927, $branchTargets, $928, $929); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 142; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 142: 
      var $931=$npairs; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $932=(($931)|0)!=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($932) { __label__ = 143; break; } else { __label__ = 144; break; } //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 143: 
      var $934=$pc217; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $935=(($934+2)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc217=$935; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $936=$offset; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $937=$pc; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $938=$pc217; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $939=__ZN2js7analyzeL13GetJumpOffsetEPhS1_($937, $938); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $940=(($936+$939)|0); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $targetOffset20=$940; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $941=$2; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $942=$targetOffset20; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $943=$values; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $944=$stackDepth; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj($6, $941, $942, $branchTargets, $943, $944); //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $945=$jmplen18; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $946=$pc217; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $947=(($946+$945)|0); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc217=$947; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $948=$npairs; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $949=(($948-1)|0); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $npairs=$949; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 142; break; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 144: 
      __label__ = 155; break; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 145: 
      var $952=(($6)|0); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $953=HEAP32[(($952)>>2)]; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $954=__ZN8JSScript8trynotesEv($953); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $955=(($954)|0); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $956=HEAP32[(($955)>>2)]; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tn=$956; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $957=$tn; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $958=(($6)|0); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $959=HEAP32[(($958)>>2)]; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $960=__ZN8JSScript8trynotesEv($959); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $961=(($960+4)|0); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $962=HEAP32[(($961)>>2)]; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $963=(($957+$962*12)|0); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tnlimit=$963; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 146; break; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 146: 
      var $965=$tn; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $966=$tnlimit; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $967=(($965)>>>0) < (($966)>>>0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($967) { __label__ = 147; break; } else { __label__ = 153; break; } //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 147: 
      var $969=(($6)|0); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $970=HEAP32[(($969)>>2)]; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $971=(($970+32)|0); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $972=HEAP32[(($971)>>2)]; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $973=$tn; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $974=(($973+4)|0); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $975=HEAP32[(($974)>>2)]; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $976=(($972+$975)|0); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $startOffset=$976; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $977=$startOffset; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $978=$offset; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $979=(($978+1)|0); //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $980=(($977)|0)==(($979)|0); //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($980) { __label__ = 148; break; } else { __label__ = 151; break; } //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 148: 
      var $982=$startOffset; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $983=$tn; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $984=(($983+8)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $985=HEAP32[(($984)>>2)]; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $986=(($982+$985)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $catchOffset=$986; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $987=$tn; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $988=(($987)|0); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $989=HEAPU8[($988)]; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $990=(($989)&255); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $991=(($990)|0)!=2; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($991) { __label__ = 149; break; } else { __label__ = 150; break; } //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 149: 
      var $993=$2; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $994=$catchOffset; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $995=$values; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $996=$stackDepth; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj($6, $993, $994, $branchTargets, $995, $996); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 150; break; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 150: 
      __label__ = 151; break; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 151: 
      __label__ = 152; break; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 152: 
      var $1000=$tn; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1001=(($1000+12)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $tn=$1001; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 146; break; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 153: 
      __label__ = 155; break; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 154: 
      __label__ = 155; break; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 155: 
      var $1005=$op; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1006=((_js_CodeSpec+($1005<<3))|0); //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1007=(($1006+4)|0); //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1008=HEAP32[(($1007)>>2)]; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1009=$1008 & 31; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $type=$1009; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1010=$type; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1011=(($1010)|0)==1; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1011) { __label__ = 157; break; } else { __label__ = 156; break; } //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 156: 
      var $1013=$type; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1014=(($1013)|0)==9; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1014) { __label__ = 157; break; } else { __label__ = 160; break; } //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 157: 
      var $1016=$2; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1017=(($6)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1018=HEAP32[(($1017)>>2)]; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1019=$offset; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1020=__ZN2js7analyzeL12FollowBranchEP9JSContextP8JSScriptj($1016, $1018, $1019); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $targetOffset21=$1020; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1021=$2; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1022=$targetOffset21; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1023=$values; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1024=$stackDepth; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj($6, $1021, $1022, $branchTargets, $1023, $1024); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1025=$targetOffset21; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1026=$offset; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1027=(($1025)>>>0) < (($1026)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($1027) { __label__ = 158; break; } else { __label__ = 159; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 158: 
      var $1029=$2; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $1030=$targetOffset21; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis15freezeNewValuesEP9JSContextj($6, $1029, $1030); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 159; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 159: 
      __label__ = 160; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 160: 
      var $1033=$successorOffset; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $offset=$1033; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=0; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 161; break; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 161: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 5) {
        __label__ = 14; break;
      }
      else if ((($cleanup_dest)|0) == 0) {
        __label__ = 162; break;
      }
      else {
      __label__ = 164; break;
      }
      
    case 162: 
      __label__ = 14; break; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 163: 
      var $1037=(($6+21)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($1037)]=1; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $4=0; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 164; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 164: 
      __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEED1Ev($branchTargets); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      FUNCTION_TABLE[__ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesD1Ev]($free); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $cleanup_dest22=$4;
      if ((($cleanup_dest22)|0) == 0 || (($cleanup_dest22)|0) == 1) {
        __label__ = 165; break;
      }
      else {
      __label__ = 166; break;
      }
      
    case 165: 
      STACKTOP = __stackBase__;
      return; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 166: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContext["X"]=1;

function __ZN2js7analyze14ScriptAnalysis12ranLifetimesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+22)|0); //@line 926 "./jsanalyze.h"
  var $4=HEAP8[($3)]; //@line 926 "./jsanalyze.h"
  var $5=(($4) & 1); //@line 926 "./jsanalyze.h"
  ;
  return $5; //@line 926 "./jsanalyze.h"
}


function __ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN2js7analyze14ScriptAnalysis8livenessEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 1186 "./jsanalyze.h"
  var $5=(($3+36)|0); //@line 1186 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1186 "./jsanalyze.h"
  var $7=(($6+$4*12)|0); //@line 1186 "./jsanalyze.h"
  ;
  return $7; //@line 1186 "./jsanalyze.h"
}


function __ZNK2js7analyze8SSAValue4kindEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 677 "./jsanalyze.h"
  var $4=$3; //@line 677 "./jsanalyze.h"
  var $5=$4; //@line 677 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 677 "./jsanalyze.h"
  var $7=$6 & 3; //@line 677 "./jsanalyze.h"
  var $8=$7 & 3; //@line 677 "./jsanalyze.h"
  ;
  return $8; //@line 677 "./jsanalyze.h"
}


function __ZNK2js7analyze8SSAValue9phiOffsetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 723 "./jsanalyze.h"
  var $4=$3; //@line 723 "./jsanalyze.h"
  var $5=$4; //@line 723 "./jsanalyze.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 723 "./jsanalyze.h"
  var $7=$6 >>> 2; //@line 723 "./jsanalyze.h"
  var $8=$7 & 1073741823; //@line 723 "./jsanalyze.h"
  ;
  return $8; //@line 723 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis9trackSlotEj($this, $slot) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$slot;
      var $3=$1;
      var $4=$2; //@line 1181 "./jsanalyze.h"
      var $5=__ZN2js7analyze14ScriptAnalysis11slotEscapesEj($3, $4); //@line 1181 "./jsanalyze.h"
      if ($5) { var $14 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1181 "./jsanalyze.h"
    case 2: 
      var $7=$3; //@line 1181 "./jsanalyze.h"
      var $8=(($7+25)|0); //@line 1181 "./jsanalyze.h"
      var $9=HEAPU8[($8)]; //@line 1181 "./jsanalyze.h"
      var $10=(($9)&255) >>> 1; //@line 1181 "./jsanalyze.h"
      var $11=$10 & 1; //@line 1181 "./jsanalyze.h"
      var $12=(($11) & 1); //@line 1181 "./jsanalyze.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      ;
      return $14; //@line 1181 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze8SSAValue11initInitialEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  __ZN2js7analyze8SSAValue5clearEv($3); //@line 756 "./jsanalyze.h"
  var $4=(($3)|0); //@line 757 "./jsanalyze.h"
  var $5=$4; //@line 757 "./jsanalyze.h"
  var $6=$5; //@line 757 "./jsanalyze.h"
  var $7=HEAP32[(($6)>>2)]; //@line 757 "./jsanalyze.h"
  var $8=$7 & -4; //@line 757 "./jsanalyze.h"
  var $9=$8 | 2; //@line 757 "./jsanalyze.h"
  HEAP32[(($6)>>2)]=$9; //@line 757 "./jsanalyze.h"
  var $10=(($3)|0); //@line 758 "./jsanalyze.h"
  var $11=$10; //@line 758 "./jsanalyze.h"
  var $12=$11; //@line 758 "./jsanalyze.h"
  var $13=HEAP8[($12)]; //@line 758 "./jsanalyze.h"
  var $14=$13 & -5; //@line 758 "./jsanalyze.h"
  var $15=$14 | 4; //@line 758 "./jsanalyze.h"
  HEAP8[($12)]=$15; //@line 758 "./jsanalyze.h"
  var $16=$2; //@line 759 "./jsanalyze.h"
  var $17=(($3)|0); //@line 759 "./jsanalyze.h"
  var $18=$17; //@line 759 "./jsanalyze.h"
  var $19=$16 & 536870911; //@line 759 "./jsanalyze.h"
  var $20=$18; //@line 759 "./jsanalyze.h"
  var $21=$19 & 536870911; //@line 759 "./jsanalyze.h"
  var $22=$21 << 3; //@line 759 "./jsanalyze.h"
  var $23=HEAP32[(($20)>>2)]; //@line 759 "./jsanalyze.h"
  var $24=$23 & 7; //@line 759 "./jsanalyze.h"
  var $25=$24 | $22; //@line 759 "./jsanalyze.h"
  HEAP32[(($20)>>2)]=$25; //@line 759 "./jsanalyze.h"
  ;
  return; //@line 760 "./jsanalyze.h"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEC1ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEC2ES1_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js7analyze14ScriptAnalysis9maybeCodeEPKh($this, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pc;
  var $3=$1;
  var $4=$2; //@line 985 "./jsanalyze.h"
  var $5=(($3)|0); //@line 985 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 985 "./jsanalyze.h"
  var $7=(($6)|0); //@line 985 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 985 "./jsanalyze.h"
  var $9=$4; //@line 985 "./jsanalyze.h"
  var $10=$8; //@line 985 "./jsanalyze.h"
  var $11=(($9-$10)|0); //@line 985 "./jsanalyze.h"
  var $12=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($3, $11); //@line 985 "./jsanalyze.h"
  ;
  return $12; //@line 985 "./jsanalyze.h"
}


function __ZN2jsL7PodZeroINS_7analyze8SSAValueEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<3))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js7analyze14ScriptAnalysis18removeBranchTargetERNS_6VectorIjLj0ENS_15TempAllocPolicyEEEj($this, $branchTargets, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $1=$this;
      $2=$branchTargets;
      $3=$offset;
      var $4=$1;
      $i=0; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 2; break; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $6=$i; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $7=$2; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE6lengthEv($7); //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=(($6)>>>0) < (($8)>>>0); //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $11=$2; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=$i; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($11, $12); //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$3; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=(($14)|0)==(($15)|0); //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $18=$2; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE4backEv($18); //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=$2; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=$i; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($21, $22); //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($23)>>2)]=$20; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=$2; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE7popBackEv($24); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 7; break; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      __label__ = 6; break; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $27=$i; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=(($27+1)|0); //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$28; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 2; break; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      ;
      return; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_IN2js6VectorINS1_7analyze9SlotValueELj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_($this, $p1) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      var $3=__stackBase__;
      $1=$this;
      $2=$p1;
      var $4=$1;
      var $5=__ZN9JSContext7malloc_Ej($4, 24); //@line 1291 "./jscntxt.h"
      $memory=$5; //@line 1291 "./jscntxt.h"
      var $6=$memory; //@line 1291 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 1291 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 1291 "./jscntxt.h"
      if ($10) { var $15 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 1291 "./jscntxt.h"
      var $13=$2; //@line 1291 "./jscntxt.h"
      __ZN2js15TempAllocPolicyC1EP9JSContext($3, $13); //@line 1291 "./jscntxt.h"
      __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEC1ES3_($12, $3); //@line 1291 "./jscntxt.h"
      var $15 = $12;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $15; //@line 1291 "./jscntxt.h"
      var $18 = $15;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $18 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $18; //@line 1291 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return $18; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+$4*12)|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZNK2js7analyze16LifetimeVariable10firstWriteEPNS0_12LoopAnalysisE($this, $loop) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$loop;
  var $3=$1;
  var $4=$2; //@line 607 "./jsanalyze.h"
  var $5=(($4+4)|0); //@line 607 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 607 "./jsanalyze.h"
  var $7=$2; //@line 607 "./jsanalyze.h"
  var $8=(($7+8)|0); //@line 607 "./jsanalyze.h"
  var $9=HEAP32[(($8)>>2)]; //@line 607 "./jsanalyze.h"
  var $10=__ZNK2js7analyze16LifetimeVariable10firstWriteEjj($3, $6, $9); //@line 607 "./jsanalyze.h"
  ;
  return $10; //@line 607 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis7makePhiEP9JSContextjjPNS0_8SSAValueE($this, $cx, $slot, $offset, $pv) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $node;
      var $options;
      $2=$this;
      $3=$cx;
      $4=$slot;
      $5=$offset;
      $6=$pv;
      var $7=$2;
      var $8=$3; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=(($8+56)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=(($10+344)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=__ZN2js8ArenaNewINS_7analyze10SSAPhiNodeEEEPT_R11JSArenaPool($11); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $node=$12; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=$3; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=(($13+56)|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=(($15+344)|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=__ZN2js7analyzeL15PhiNodeCapacityEj(0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=__ZN2js10ArenaArrayINS_7analyze8SSAValueEEEPT_R11JSArenaPoolj($16, $17); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $options=$18; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=$node; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=(($19)|0)!=0; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $22=$options; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=(($22)|0)!=0; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $25=$3; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($7, $25); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $1=0; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 5; break; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $27=$4; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=$node; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=(($28+12)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($29)>>2)]=$27; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=$options; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=$node; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=(($31+20)|0); //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($32)>>2)]=$30; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=$6; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=$5; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=$node; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze8SSAValue7initPhiEjPNS0_10SSAPhiNodeE($33, $34, $35); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $1=1; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 5; break; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $37=$1; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      ;
      return $37; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis7makePhiEP9JSContextjjPNS0_8SSAValueE["X"]=1;

function __ZN2js7analyze14ScriptAnalysis9insertPhiEP9JSContextRNS0_8SSAValueERKS4_($this, $cx, $phi, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $node;
      var $i;
      var $uses;
      var $use;
      var $newOptions;
      $1=$this;
      $2=$cx;
      $3=$phi;
      $4=$v;
      var $5=$1;
      var $6=$3; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $7=__ZNK2js7analyze8SSAValue7phiNodeEv($6); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $node=$7; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=$node; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=(($8+16)|0); //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=(($10)>>>0) <= 8; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      $i=0; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 3; break; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $14=$i; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$node; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=(($15+16)|0); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=HEAPU32[(($16)>>2)]; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=(($14)>>>0) < (($17)>>>0); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $20=$4; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=$i; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=$node; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=(($22+20)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+($21<<3))|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=__ZNK2js7analyze8SSAValue6equalsERKS1_($20, $25); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      __label__ = 18; break; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      __label__ = 7; break; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $30=$i; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=(($30+1)|0); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$31; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 3; break; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      __label__ = 9; break; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $34=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=__ZN2js7analyze14ScriptAnalysis13trackUseChainERKNS0_8SSAValueE($5, $34); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      var $37=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=__ZN2js7analyze14ScriptAnalysis8useChainERKNS0_8SSAValueE($5, $37); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $uses=$38; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $39=$2; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $40=(($39+56)|0); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=(($41+344)|0); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=__ZN2js8ArenaNewINS_7analyze11SSAUseChainEEEPT_R11JSArenaPool($42); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $use=$43; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $44=$use; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $45=(($44)|0)!=0; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      var $47=$2; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($5, $47); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 18; break; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      var $49=$use; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=$49; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=HEAP8[($50)]; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $52=$51 & -2; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP8[($50)]=$52; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=$3; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=__ZNK2js7analyze8SSAValue9phiOffsetEv($53); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=$use; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $56=$54 & 2147483647; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $57=$55; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $58=$56 & 2147483647; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $59=$58 << 1; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $60=HEAP32[(($57)>>2)]; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=$60 & 1; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=$61 | $59; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($57)>>2)]=$62; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $63=$node; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $64=$use; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=(($64+4)|0); //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $66=$65; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($66)>>2)]=$63; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $67=$uses; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $69=$use; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=(($69+8)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($70)>>2)]=$68; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=$use; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=$uses; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($72)>>2)]=$71; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 13; break; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $74=$node; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=(($74+16)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $76=HEAPU32[(($75)>>2)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $77=$node; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $78=(($77+16)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $80=__ZN2js7analyzeL15PhiNodeCapacityEj($79); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=(($76)>>>0) < (($80)>>>0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($81) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $83=$node; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $84=(($83+16)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $85=HEAPU32[(($84)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $86=(($85+1)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($84)>>2)]=$86; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=$node; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $88=(($87+20)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=(($89+($85<<3))|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=$4; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $92=$90; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $93=$91; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($92)>>2)]=HEAP32[(($93)>>2)];HEAP32[(($92+4)>>2)]=HEAP32[(($93+4)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 18; break; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      var $95=$2; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $96=(($95+56)|0); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $98=(($97+344)|0); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $99=$node; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $100=(($99+16)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $102=(($101+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $103=__ZN2js7analyzeL15PhiNodeCapacityEj($102); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $104=__ZN2js10ArenaArrayINS_7analyze8SSAValueEEEPT_R11JSArenaPoolj($98, $103); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $newOptions=$104; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $105=$newOptions; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $106=(($105)|0)!=0; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($106) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 16: 
      var $108=$2; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($5, $108); //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 18; break; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 17: 
      var $110=$newOptions; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $111=$node; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $112=(($111+20)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $114=$node; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $115=(($114+16)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2jsL7PodCopyINS_7analyze8SSAValueEEEvPT_PKS3_j($110, $113, $116); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $117=$newOptions; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $118=$node; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $119=(($118+20)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($119)>>2)]=$117; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $120=$node; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $121=(($120+16)|0); //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $123=(($122+1)|0); //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($121)>>2)]=$123; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $124=$node; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $125=(($124+20)|0); //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $127=(($126+($122<<3))|0); //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $128=$4; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $129=$127; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $130=$128; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($129)>>2)]=HEAP32[(($130)>>2)];HEAP32[(($129+4)>>2)]=HEAP32[(($130+4)>>2)]; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 18; break; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 18: 
      ;
      return; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis9insertPhiEP9JSContextRNS0_8SSAValueERKS4_["X"]=1;

function __ZN2js7analyze14ScriptAnalysis10mergeValueEP9JSContextjRKNS0_8SSAValueEPNS0_9SlotValueE($this, $cx, $offset, $v, $pv) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $ov=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$offset;
      $4=$v;
      $5=$pv;
      var $6=$1;
      var $7=$4; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=$5; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=(($8+4)|0); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=__ZNK2js7analyze8SSAValue6equalsERKS1_($7, $9); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      __label__ = 9; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $13=$5; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=(($13+4)|0); //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=__ZNK2js7analyze8SSAValue4kindEv($14); //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=(($15)|0)!=3; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $18=$5; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=(($18+4)|0); //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=__ZNK2js7analyze8SSAValue9phiOffsetEv($19); //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=$3; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=(($20)>>>0) < (($21)>>>0); //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $24=$5; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+4)|0); //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=$ov; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=$25; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=$2; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=$5; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=(($29)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=$3; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=$5; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=(($33+4)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=__ZN2js7analyze14ScriptAnalysis7makePhiEP9JSContextjjPNS0_8SSAValueE($6, $28, $31, $32, $34); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $37=$2; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=$5; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $39=(($38+4)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $40=$4; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis9insertPhiEP9JSContextRNS0_8SSAValueERKS4_($6, $37, $39, $40); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=$2; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=$5; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=(($42+4)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis9insertPhiEP9JSContextRNS0_8SSAValueERKS4_($6, $41, $43, $ov); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 7; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      __label__ = 9; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $46=$2; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=$5; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=(($47+4)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis9insertPhiEP9JSContextRNS0_8SSAValueERKS4_($6, $46, $48, $49); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 9; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis10mergeValueEP9JSContextjRKNS0_8SSAValueEPNS0_9SlotValueE["X"]=1;

function __ZN2js7analyze14ScriptAnalysis17mergeBranchTargetEP9JSContextRKNS0_8SSAValueEjRKNS_6VectorIjLj0ENS_15TempAllocPolicyEEE($this, $cx, $value, $slot, $branchTargets) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      var $pending;
      $1=$this;
      $2=$cx;
      $3=$value;
      $4=$slot;
      $5=$branchTargets;
      var $6=$1;
      var $7=$4; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=(($6+8)|0); //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      __label__ = 7; break; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      $i=0; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 4; break; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $14=$i; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$5; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE6lengthEv($15); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($14)>>>0) < (($16)>>>0); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $19=$5; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=$i; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $21=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($19, $20); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=__ZN2js7analyze14ScriptAnalysis7getCodeEj($6, $22); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=(($23+32)|0); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=$24; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pending=$26; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=$2; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=$3; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=$4; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=$pending; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17checkPendingValueEP9JSContextRKNS0_8SSAValueEjPNS_6VectorINS0_9SlotValueELj0ENS_15TempAllocPolicyEEE($6, $27, $28, $29, $30); //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 6; break; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $32=$i; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=(($32+1)|0); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$33; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 4; break; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      ;
      return; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($t+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $g=__stackBase__;
      var $3;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$4; //@line 765 "./jsvector.h"
      var $16=$t; //@line 765 "./jsvector.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];HEAP32[(($15+8)>>2)]=HEAP32[(($16+8)>>2)]; //@line 765 "./jsvector.h"
      __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $4); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $18=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $18; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze9SlotValueC1EjRKNS0_8SSAValueE($this, $slot, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$slot;
  $3=$value;
  var $4=$1;
  var $5=$2; //@line 870 "./jsanalyze.h"
  var $6=$3; //@line 870 "./jsanalyze.h"
  __ZN2js7analyze9SlotValueC2EjRKNS0_8SSAValueE($4, $5, $6); //@line 870 "./jsanalyze.h"
  ;
  return; //@line 870 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis15freezeNewValuesEP9JSContextj($this, $cx, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $code;
      var $pending;
      var $count;
      var $i;
      $1=$this;
      $2=$cx;
      $3=$offset;
      var $4=$1;
      var $5=$3; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $6=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $5); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $code=$6; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $7=$code; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $8=(($7+32)|0); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=$8; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pending=$10; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=$code; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=(($11+32)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=$12; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($13)>>2)]=0; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=$pending; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6lengthEv($14); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $count=$15; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=$count; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($16)|0)==0; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $19=$2; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=$pending; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN9JSContext7delete_IN2js6VectorINS1_7analyze9SlotValueELj0ENS1_15TempAllocPolicyEEEEEvPT_($19, $20); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 10; break; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $22=$2; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=(($22+56)|0); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+344)|0); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=$count; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=(($26+1)|0); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=__ZN2js10ArenaArrayINS_7analyze9SlotValueEEEPT_R11JSArenaPoolj($25, $27); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=$code; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=(($29+32)|0); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=$30; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($31)>>2)]=$28; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=$code; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=(($32+32)|0); //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=$33; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=(($35)|0)!=0; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($36) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $38=$2; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($4, $38); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 10; break; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      $i=0; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 6; break; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $41=$i; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=$count; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($43) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $45=$i; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $46=$code; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=(($46+32)|0); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=$47; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=(($49+$45*12)|0); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=$pending; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $52=$i; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEixEj($51, $52); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=$50; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=$53; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)];HEAP32[(($54+8)>>2)]=HEAP32[(($55+8)>>2)]; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 8; break; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $57=$i; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $58=(($57+1)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$58; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 6; break; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $60=$count; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=$code; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=(($61+32)|0); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $63=$62; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=(($64+$60*12)|0); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $66=(($65)|0); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($66)>>2)]=0; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $67=$count; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=$code; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $69=(($68+32)|0); //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=$69; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=(($71+$67*12)|0); //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=(($72+4)|0); //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze8SSAValue5clearEv($73); //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=$2; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=$pending; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN9JSContext7delete_IN2js6VectorINS1_7analyze9SlotValueELj0ENS1_15TempAllocPolicyEEEEEvPT_($74, $75); //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 10; break; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      ;
      return; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis15freezeNewValuesEP9JSContextj["X"]=1;

function __ZN2js7analyzeL11ExtendedUseEPh($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$pc;
      var $3=$2; //@line 325 "./jsanalyze.h"
      var $4=__ZN2js7analyzeL11ExtendedDefEPh($3); //@line 325 "./jsanalyze.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 325 "./jsanalyze.h"
    case 2: 
      $1=1; //@line 326 "./jsanalyze.h"
      __label__ = 6; break; //@line 326 "./jsanalyze.h"
    case 3: 
      var $7=$2; //@line 327 "./jsanalyze.h"
      var $8=HEAPU8[($7)]; //@line 327 "./jsanalyze.h"
      var $9=(($8)&255); //@line 327 "./jsanalyze.h"
      if ((($9)|0) == 84 || (($9)|0) == 216 || (($9)|0) == 86 || (($9)|0) == 215) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 4: 
      $1=1; //@line 332 "./jsanalyze.h"
      __label__ = 6; break; //@line 332 "./jsanalyze.h"
    case 5: 
      $1=0; //@line 334 "./jsanalyze.h"
      __label__ = 6; break; //@line 334 "./jsanalyze.h"
    case 6: 
      var $13=$1; //@line 336 "./jsanalyze.h"
      ;
      return $13; //@line 336 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyzeL11ExtendedDefEPh($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$pc;
      var $3=$2; //@line 298 "./jsanalyze.h"
      var $4=HEAPU8[($3)]; //@line 298 "./jsanalyze.h"
      var $5=(($4)&255); //@line 298 "./jsanalyze.h"
      if ((($5)|0) == 85 || (($5)|0) == 97 || (($5)|0) == 98 || (($5)|0) == 99 || (($5)|0) == 100 || (($5)|0) == 87 || (($5)|0) == 132 || (($5)|0) == 140 || (($5)|0) == 223 || (($5)|0) == 101 || (($5)|0) == 102 || (($5)|0) == 103 || (($5)|0) == 104) {
        __label__ = 2; break;
      }
      else {
      __label__ = 3; break;
      }
      
    case 2: 
      $1=1; //@line 312 "./jsanalyze.h"
      __label__ = 4; break; //@line 312 "./jsanalyze.h"
    case 3: 
      $1=0; //@line 314 "./jsanalyze.h"
      __label__ = 4; break; //@line 314 "./jsanalyze.h"
    case 4: 
      var $9=$1; //@line 316 "./jsanalyze.h"
      ;
      return $9; //@line 316 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7analyze8SSAValue7phiNodeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 728 "./jsanalyze.h"
  var $4=$3; //@line 728 "./jsanalyze.h"
  var $5=(($4+4)|0); //@line 728 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 728 "./jsanalyze.h"
  ;
  return $6; //@line 728 "./jsanalyze.h"
}


function __ZN2js10ArenaArrayINS_7analyze8SSAValueEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=((($7<<3))|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayINS_7analyze8SSAValueEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2js7analyze8SSAValue5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2jsL7PodZeroINS_7analyze8SSAValueEEEvPT_($2); //@line 738 "./jsanalyze.h"
  ;
  return; //@line 740 "./jsanalyze.h"
}


function __ZN2js10ArenaArrayINS_7analyze11SSAUseChainEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=(($7*12)|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayINS_7analyze11SSAUseChainEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2jsL7PodZeroINS_7analyze11SSAUseChainEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=(($5*12)|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js7analyze14ScriptAnalysis13trackUseChainERKNS0_8SSAValueE($this, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$v;
      var $3=$1;
      var $4=$2; //@line 1103 "./jsanalyze.h"
      var $5=__ZNK2js7analyze8SSAValue4kindEv($4); //@line 1103 "./jsanalyze.h"
      var $6=(($5)|0)!=0; //@line 1103 "./jsanalyze.h"
      if ($6) { __label__ = 2; break; } else { var $18 = 0;__label__ = 5; break; } //@line 1103 "./jsanalyze.h"
    case 2: 
      var $8=$2; //@line 1104 "./jsanalyze.h"
      var $9=__ZNK2js7analyze8SSAValue4kindEv($8); //@line 1104 "./jsanalyze.h"
      var $10=(($9)|0)!=2; //@line 1104 "./jsanalyze.h"
      if ($10) { var $16 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1104 "./jsanalyze.h"
    case 3: 
      var $12=$2; //@line 1104 "./jsanalyze.h"
      var $13=__ZNK2js7analyze8SSAValue10varInitialEv($12); //@line 1104 "./jsanalyze.h"
      var $14=$13 ^ 1; //@line 1104 "./jsanalyze.h"
      var $16 = $14;__label__ = 4; break; //@line 1104 "./jsanalyze.h"
    case 4: 
      var $16;
      var $18 = $16;__label__ = 5; break;
    case 5: 
      var $18;
      ;
      return $18; //@line 1105 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis8useChainERKNS0_8SSAValueE($this, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$v;
      var $4=$2;
      var $5=$3; //@line 1113 "./jsanalyze.h"
      var $6=__ZNK2js7analyze8SSAValue4kindEv($5); //@line 1113 "./jsanalyze.h"
      var $7=(($6)|0)==1; //@line 1113 "./jsanalyze.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1113 "./jsanalyze.h"
    case 2: 
      var $9=$3; //@line 1114 "./jsanalyze.h"
      var $10=__ZNK2js7analyze8SSAValue11pushedIndexEv($9); //@line 1114 "./jsanalyze.h"
      var $11=$3; //@line 1114 "./jsanalyze.h"
      var $12=__ZNK2js7analyze8SSAValue12pushedOffsetEv($11); //@line 1114 "./jsanalyze.h"
      var $13=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $12); //@line 1114 "./jsanalyze.h"
      var $14=(($13+28)|0); //@line 1114 "./jsanalyze.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1114 "./jsanalyze.h"
      var $16=(($15+($10<<2))|0); //@line 1114 "./jsanalyze.h"
      $1=$16; //@line 1114 "./jsanalyze.h"
      __label__ = 6; break; //@line 1114 "./jsanalyze.h"
    case 3: 
      var $18=$3; //@line 1115 "./jsanalyze.h"
      var $19=__ZNK2js7analyze8SSAValue4kindEv($18); //@line 1115 "./jsanalyze.h"
      var $20=(($19)|0)==2; //@line 1115 "./jsanalyze.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1115 "./jsanalyze.h"
    case 4: 
      var $22=(($4)|0); //@line 1116 "./jsanalyze.h"
      var $23=HEAP32[(($22)>>2)]; //@line 1116 "./jsanalyze.h"
      var $24=$3; //@line 1116 "./jsanalyze.h"
      var $25=__ZNK2js7analyze8SSAValue9varOffsetEv($24); //@line 1116 "./jsanalyze.h"
      var $26=__ZN2js7analyzeL11GetDefCountEP8JSScriptj($23, $25); //@line 1116 "./jsanalyze.h"
      var $27=$3; //@line 1116 "./jsanalyze.h"
      var $28=__ZNK2js7analyze8SSAValue9varOffsetEv($27); //@line 1116 "./jsanalyze.h"
      var $29=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $28); //@line 1116 "./jsanalyze.h"
      var $30=(($29+28)|0); //@line 1116 "./jsanalyze.h"
      var $31=HEAP32[(($30)>>2)]; //@line 1116 "./jsanalyze.h"
      var $32=(($31+($26<<2))|0); //@line 1116 "./jsanalyze.h"
      $1=$32; //@line 1116 "./jsanalyze.h"
      __label__ = 6; break; //@line 1116 "./jsanalyze.h"
    case 5: 
      var $34=$3; //@line 1117 "./jsanalyze.h"
      var $35=__ZNK2js7analyze8SSAValue7phiNodeEv($34); //@line 1117 "./jsanalyze.h"
      var $36=(($35+24)|0); //@line 1117 "./jsanalyze.h"
      $1=$36; //@line 1117 "./jsanalyze.h"
      __label__ = 6; break; //@line 1117 "./jsanalyze.h"
    case 6: 
      var $38=$1; //@line 1118 "./jsanalyze.h"
      ;
      return $38; //@line 1118 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze8SSAValue10initPushedEjj($this, $offset, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$offset;
  $3=$index;
  var $4=$1;
  __ZN2js7analyze8SSAValue5clearEv($4); //@line 743 "./jsanalyze.h"
  var $5=(($4)|0); //@line 744 "./jsanalyze.h"
  var $6=$5; //@line 744 "./jsanalyze.h"
  var $7=$6; //@line 744 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 744 "./jsanalyze.h"
  var $9=$8 & -4; //@line 744 "./jsanalyze.h"
  var $10=$9 | 1; //@line 744 "./jsanalyze.h"
  HEAP32[(($7)>>2)]=$10; //@line 744 "./jsanalyze.h"
  var $11=$2; //@line 745 "./jsanalyze.h"
  var $12=(($4)|0); //@line 745 "./jsanalyze.h"
  var $13=$12; //@line 745 "./jsanalyze.h"
  var $14=$11 & 1073741823; //@line 745 "./jsanalyze.h"
  var $15=$13; //@line 745 "./jsanalyze.h"
  var $16=$14 & 1073741823; //@line 745 "./jsanalyze.h"
  var $17=$16 << 2; //@line 745 "./jsanalyze.h"
  var $18=HEAP32[(($15)>>2)]; //@line 745 "./jsanalyze.h"
  var $19=$18 & 3; //@line 745 "./jsanalyze.h"
  var $20=$19 | $17; //@line 745 "./jsanalyze.h"
  HEAP32[(($15)>>2)]=$20; //@line 745 "./jsanalyze.h"
  var $21=$3; //@line 746 "./jsanalyze.h"
  var $22=(($4)|0); //@line 746 "./jsanalyze.h"
  var $23=$22; //@line 746 "./jsanalyze.h"
  var $24=(($23+4)|0); //@line 746 "./jsanalyze.h"
  HEAP32[(($24)>>2)]=$21; //@line 746 "./jsanalyze.h"
  ;
  return; //@line 747 "./jsanalyze.h"
}


function __ZN2js10ArenaArrayIPNS_7analyze11SSAUseChainEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=((($7<<2))|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayIPNS_7analyze11SSAUseChainEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2jsL7PodZeroIPNS_7analyze11SSAUseChainEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js7analyze8SSAValue11initWrittenEjj($this, $slot, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$slot;
  $3=$offset;
  var $4=$1;
  __ZN2js7analyze8SSAValue5clearEv($4); //@line 763 "./jsanalyze.h"
  var $5=(($4)|0); //@line 764 "./jsanalyze.h"
  var $6=$5; //@line 764 "./jsanalyze.h"
  var $7=$6; //@line 764 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 764 "./jsanalyze.h"
  var $9=$8 & -4; //@line 764 "./jsanalyze.h"
  var $10=$9 | 2; //@line 764 "./jsanalyze.h"
  HEAP32[(($7)>>2)]=$10; //@line 764 "./jsanalyze.h"
  var $11=(($4)|0); //@line 765 "./jsanalyze.h"
  var $12=$11; //@line 765 "./jsanalyze.h"
  var $13=$12; //@line 765 "./jsanalyze.h"
  var $14=HEAP8[($13)]; //@line 765 "./jsanalyze.h"
  var $15=$14 & -5; //@line 765 "./jsanalyze.h"
  HEAP8[($13)]=$15; //@line 765 "./jsanalyze.h"
  var $16=$2; //@line 766 "./jsanalyze.h"
  var $17=(($4)|0); //@line 766 "./jsanalyze.h"
  var $18=$17; //@line 766 "./jsanalyze.h"
  var $19=$16 & 536870911; //@line 766 "./jsanalyze.h"
  var $20=$18; //@line 766 "./jsanalyze.h"
  var $21=$19 & 536870911; //@line 766 "./jsanalyze.h"
  var $22=$21 << 3; //@line 766 "./jsanalyze.h"
  var $23=HEAP32[(($20)>>2)]; //@line 766 "./jsanalyze.h"
  var $24=$23 & 7; //@line 766 "./jsanalyze.h"
  var $25=$24 | $22; //@line 766 "./jsanalyze.h"
  HEAP32[(($20)>>2)]=$25; //@line 766 "./jsanalyze.h"
  var $26=$3; //@line 767 "./jsanalyze.h"
  var $27=(($4)|0); //@line 767 "./jsanalyze.h"
  var $28=$27; //@line 767 "./jsanalyze.h"
  var $29=(($28+4)|0); //@line 767 "./jsanalyze.h"
  HEAP32[(($29)>>2)]=$26; //@line 767 "./jsanalyze.h"
  ;
  return; //@line 768 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj($this, $cx, $targetOffset, $branchTargets, $values, $stackDepth) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $targetDepth;
      var $pending;
      var $i;
      var $v;
      var $i1;
      var $slot;
      $1=$this;
      $2=$cx;
      $3=$targetOffset;
      $4=$branchTargets;
      $5=$values;
      $6=$stackDepth;
      var $7=$1;
      var $8=$3; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=__ZN2js7analyze14ScriptAnalysis7getCodeEj($7, $8); //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=(($9+4)|0); //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $targetDepth=$11; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=$3; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=__ZN2js7analyze14ScriptAnalysis7getCodeEj($7, $12); //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=(($13+32)|0); //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$14; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pending=$15; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=$pending; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=(($17)|0)!=0; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      $i=0; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 3; break; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $21=$i; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=$pending; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6lengthEv($23); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($21)>>>0) < (($24)>>>0); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $27=$pending; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=$i; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEixEj($28, $29); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $v=$30; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=$3; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $33=$v; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $34=(($33)|0); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $36=$5; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $37=(($36+($35<<3))|0); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=$v; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis10mergeValueEP9JSContextjRKNS0_8SSAValueEPNS0_9SlotValueE($7, $31, $32, $37, $38); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 5; break; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $40=$i; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=(($40+1)|0); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$41; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 3; break; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      __label__ = 11; break; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $44=$2; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $45=$2; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $46=__ZN9JSContext4new_IN2js6VectorINS1_7analyze9SlotValueELj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_($44, $45); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=$pending; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      HEAP32[(($47)>>2)]=$46; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=$pending; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=(($49)|0)!=0; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($50) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $52=$4; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $53=$3; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE6appendIjEEbT_($52, $53); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      var $56=$2; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($7, $56); //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 15; break; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      __label__ = 11; break;
    case 11: 
      $i1=0; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 12; break; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 12: 
      var $60=$i1; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=$targetDepth; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=(($60)>>>0) < (($61)>>>0); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($62) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $64=(($7)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $66=$i1; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $67=__ZN2js7analyzeL9StackSlotEP8JSScriptj($65, $66); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot=$67; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=$2; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $69=$slot; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=$5; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=(($70+($69<<3))|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=$slot; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=$pending; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis17checkPendingValueEP9JSContextRKNS0_8SSAValueEjPNS_6VectorINS0_9SlotValueELj0ENS_15TempAllocPolicyEEE($7, $68, $71, $72, $74); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 14; break; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      var $76=$i1; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $77=(($76+1)|0); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i1=$77; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 12; break; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      ;
      return; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj["X"]=1;

function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js8ArenaNewINS_7analyze10SSAPhiNodeEEEPT_R11JSArenaPool($pool) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      __label__ = 2; break; //@line 244 "./jsarena.h"
    case 2: 
      var $3=$1; //@line 244 "./jsarena.h"
      var $4=(($3+16)|0); //@line 244 "./jsarena.h"
      var $5=HEAP32[(($4)>>2)]; //@line 244 "./jsarena.h"
      $_a=$5; //@line 244 "./jsarena.h"
      var $6=$1; //@line 244 "./jsarena.h"
      var $7=(($6+24)|0); //@line 244 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 244 "./jsarena.h"
      var $9=(($8+28)|0); //@line 244 "./jsarena.h"
      var $10=$1; //@line 244 "./jsarena.h"
      var $11=(($10+24)|0); //@line 244 "./jsarena.h"
      var $12=HEAP32[(($11)>>2)]; //@line 244 "./jsarena.h"
      var $13=$12 ^ -1; //@line 244 "./jsarena.h"
      var $14=$9 & $13; //@line 244 "./jsarena.h"
      $_nb=$14; //@line 244 "./jsarena.h"
      var $15=$_a; //@line 244 "./jsarena.h"
      var $16=(($15+12)|0); //@line 244 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 244 "./jsarena.h"
      $_p=$17; //@line 244 "./jsarena.h"
      var $18=$_nb; //@line 244 "./jsarena.h"
      var $19=$_a; //@line 244 "./jsarena.h"
      var $20=(($19+8)|0); //@line 244 "./jsarena.h"
      var $21=HEAPU32[(($20)>>2)]; //@line 244 "./jsarena.h"
      var $22=(($18)>>>0) > (($21)>>>0); //@line 244 "./jsarena.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 244 "./jsarena.h"
    case 3: 
      var $24=$_p; //@line 244 "./jsarena.h"
      var $25=$_a; //@line 244 "./jsarena.h"
      var $26=(($25+8)|0); //@line 244 "./jsarena.h"
      var $27=HEAP32[(($26)>>2)]; //@line 244 "./jsarena.h"
      var $28=$_nb; //@line 244 "./jsarena.h"
      var $29=(($27-$28)|0); //@line 244 "./jsarena.h"
      var $30=(($24)>>>0) > (($29)>>>0); //@line 244 "./jsarena.h"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 244 "./jsarena.h"
    case 4: 
      var $32=$1; //@line 244 "./jsarena.h"
      var $33=$_nb; //@line 244 "./jsarena.h"
      var $34=_JS_ArenaAllocate($32, $33); //@line 244 "./jsarena.h"
      var $35=$34; //@line 244 "./jsarena.h"
      $_p=$35; //@line 244 "./jsarena.h"
      __label__ = 6; break; //@line 244 "./jsarena.h"
    case 5: 
      var $37=$_p; //@line 244 "./jsarena.h"
      var $38=$_nb; //@line 244 "./jsarena.h"
      var $39=(($37+$38)|0); //@line 244 "./jsarena.h"
      var $40=$_a; //@line 244 "./jsarena.h"
      var $41=(($40+12)|0); //@line 244 "./jsarena.h"
      HEAP32[(($41)>>2)]=$39; //@line 244 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $43=$_p; //@line 244 "./jsarena.h"
      var $44=$43; //@line 244 "./jsarena.h"
      $v=$44; //@line 244 "./jsarena.h"
      __label__ = 7; break; //@line 244 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 244 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 244 "./jsarena.h"
    case 9: 
      var $48=$v; //@line 245 "./jsarena.h"
      var $49=(($48)|0)!=0; //@line 245 "./jsarena.h"
      if ($49) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 245 "./jsarena.h"
    case 10: 
      var $51=$v; //@line 245 "./jsarena.h"
      var $52=(($51)|0)==0; //@line 245 "./jsarena.h"
      if ($52) { var $56 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 245 "./jsarena.h"
    case 11: 
      var $54=$51; //@line 245 "./jsarena.h"
      __ZN2js7analyze10SSAPhiNodeC1Ev($54); //@line 245 "./jsarena.h"
      var $56 = $54;__label__ = 12; break; //@line 245 "./jsarena.h"
    case 12: 
      var $56; //@line 245 "./jsarena.h"
      var $59 = $56;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 13: 
      var $59 = 0;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 14: 
      var $59; //@line 245 "./jsarena.h"
      ;
      return $59; //@line 245 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_7analyze10SSAPhiNodeEEEPT_R11JSArenaPool["X"]=1;

function __ZN2js7analyzeL15PhiNodeCapacityEj($length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$length;
      var $3=$2; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $4=(($3)>>>0) <= 4; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      $1=4; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 6; break; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      __label__ = 4; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $8=$2; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $9=(($8-1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=$9 | 1; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=_llvm_ctlz_i32($10); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=((31-$11)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $log2=$12; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 5; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $14=$log2; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=(($14+1)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=1 << $15; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $1=$16; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 6; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $18=$1; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      ;
      return $18; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze8SSAValue7initPhiEjPNS0_10SSAPhiNodeE($this, $offset, $node) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$offset;
  $3=$node;
  var $4=$1;
  __ZN2js7analyze8SSAValue5clearEv($4); //@line 777 "./jsanalyze.h"
  var $5=(($4)|0); //@line 778 "./jsanalyze.h"
  var $6=$5; //@line 778 "./jsanalyze.h"
  var $7=$6; //@line 778 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 778 "./jsanalyze.h"
  var $9=$8 & -4; //@line 778 "./jsanalyze.h"
  var $10=$9 | 3; //@line 778 "./jsanalyze.h"
  HEAP32[(($7)>>2)]=$10; //@line 778 "./jsanalyze.h"
  var $11=$2; //@line 779 "./jsanalyze.h"
  var $12=(($4)|0); //@line 779 "./jsanalyze.h"
  var $13=$12; //@line 779 "./jsanalyze.h"
  var $14=$11 & 1073741823; //@line 779 "./jsanalyze.h"
  var $15=$13; //@line 779 "./jsanalyze.h"
  var $16=$14 & 1073741823; //@line 779 "./jsanalyze.h"
  var $17=$16 << 2; //@line 779 "./jsanalyze.h"
  var $18=HEAP32[(($15)>>2)]; //@line 779 "./jsanalyze.h"
  var $19=$18 & 3; //@line 779 "./jsanalyze.h"
  var $20=$19 | $17; //@line 779 "./jsanalyze.h"
  HEAP32[(($15)>>2)]=$20; //@line 779 "./jsanalyze.h"
  var $21=$3; //@line 780 "./jsanalyze.h"
  var $22=(($4)|0); //@line 780 "./jsanalyze.h"
  var $23=$22; //@line 780 "./jsanalyze.h"
  var $24=(($23+4)|0); //@line 780 "./jsanalyze.h"
  HEAP32[(($24)>>2)]=$21; //@line 780 "./jsanalyze.h"
  ;
  return; //@line 781 "./jsanalyze.h"
}


function __ZNK2js7analyze8SSAValue6equalsERKS1_($this, $o) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$o;
  var $3=$1;
  var $4=$3; //@line 681 "./jsanalyze.h"
  var $5=$2; //@line 681 "./jsanalyze.h"
  var $6=$5; //@line 681 "./jsanalyze.h"
  var $7=_memcmp($4, $6, 8); //@line 681 "./jsanalyze.h"
  var $8=(($7)|0)!=0; //@line 681 "./jsanalyze.h"
  var $9=$8 ^ 1; //@line 681 "./jsanalyze.h"
  ;
  return $9; //@line 681 "./jsanalyze.h"
}


function __ZN2js8ArenaNewINS_7analyze11SSAUseChainEEEPT_R11JSArenaPool($pool) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      __label__ = 2; break; //@line 244 "./jsarena.h"
    case 2: 
      var $3=$1; //@line 244 "./jsarena.h"
      var $4=(($3+16)|0); //@line 244 "./jsarena.h"
      var $5=HEAP32[(($4)>>2)]; //@line 244 "./jsarena.h"
      $_a=$5; //@line 244 "./jsarena.h"
      var $6=$1; //@line 244 "./jsarena.h"
      var $7=(($6+24)|0); //@line 244 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 244 "./jsarena.h"
      var $9=(($8+12)|0); //@line 244 "./jsarena.h"
      var $10=$1; //@line 244 "./jsarena.h"
      var $11=(($10+24)|0); //@line 244 "./jsarena.h"
      var $12=HEAP32[(($11)>>2)]; //@line 244 "./jsarena.h"
      var $13=$12 ^ -1; //@line 244 "./jsarena.h"
      var $14=$9 & $13; //@line 244 "./jsarena.h"
      $_nb=$14; //@line 244 "./jsarena.h"
      var $15=$_a; //@line 244 "./jsarena.h"
      var $16=(($15+12)|0); //@line 244 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 244 "./jsarena.h"
      $_p=$17; //@line 244 "./jsarena.h"
      var $18=$_nb; //@line 244 "./jsarena.h"
      var $19=$_a; //@line 244 "./jsarena.h"
      var $20=(($19+8)|0); //@line 244 "./jsarena.h"
      var $21=HEAPU32[(($20)>>2)]; //@line 244 "./jsarena.h"
      var $22=(($18)>>>0) > (($21)>>>0); //@line 244 "./jsarena.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 244 "./jsarena.h"
    case 3: 
      var $24=$_p; //@line 244 "./jsarena.h"
      var $25=$_a; //@line 244 "./jsarena.h"
      var $26=(($25+8)|0); //@line 244 "./jsarena.h"
      var $27=HEAP32[(($26)>>2)]; //@line 244 "./jsarena.h"
      var $28=$_nb; //@line 244 "./jsarena.h"
      var $29=(($27-$28)|0); //@line 244 "./jsarena.h"
      var $30=(($24)>>>0) > (($29)>>>0); //@line 244 "./jsarena.h"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 244 "./jsarena.h"
    case 4: 
      var $32=$1; //@line 244 "./jsarena.h"
      var $33=$_nb; //@line 244 "./jsarena.h"
      var $34=_JS_ArenaAllocate($32, $33); //@line 244 "./jsarena.h"
      var $35=$34; //@line 244 "./jsarena.h"
      $_p=$35; //@line 244 "./jsarena.h"
      __label__ = 6; break; //@line 244 "./jsarena.h"
    case 5: 
      var $37=$_p; //@line 244 "./jsarena.h"
      var $38=$_nb; //@line 244 "./jsarena.h"
      var $39=(($37+$38)|0); //@line 244 "./jsarena.h"
      var $40=$_a; //@line 244 "./jsarena.h"
      var $41=(($40+12)|0); //@line 244 "./jsarena.h"
      HEAP32[(($41)>>2)]=$39; //@line 244 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $43=$_p; //@line 244 "./jsarena.h"
      var $44=$43; //@line 244 "./jsarena.h"
      $v=$44; //@line 244 "./jsarena.h"
      __label__ = 7; break; //@line 244 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 244 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 244 "./jsarena.h"
    case 9: 
      var $48=$v; //@line 245 "./jsarena.h"
      var $49=(($48)|0)!=0; //@line 245 "./jsarena.h"
      if ($49) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 245 "./jsarena.h"
    case 10: 
      var $51=$v; //@line 245 "./jsarena.h"
      var $52=(($51)|0)==0; //@line 245 "./jsarena.h"
      if ($52) { var $56 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 245 "./jsarena.h"
    case 11: 
      var $54=$51; //@line 245 "./jsarena.h"
      __ZN2js7analyze11SSAUseChainC1Ev($54); //@line 245 "./jsarena.h"
      var $56 = $54;__label__ = 12; break; //@line 245 "./jsarena.h"
    case 12: 
      var $56; //@line 245 "./jsarena.h"
      var $59 = $56;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 13: 
      var $59 = 0;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 14: 
      var $59; //@line 245 "./jsarena.h"
      ;
      return $59; //@line 245 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_7analyze11SSAUseChainEEEPT_R11JSArenaPool["X"]=1;

function __ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN8JSScript8analysisEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+100)|0); //@line 1297 "./jsinferinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1297 "./jsinferinlines.h"
  var $5=(($4)|0); //@line 1297 "./jsinferinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1297 "./jsinferinlines.h"
  ;
  return $6; //@line 1297 "./jsinferinlines.h"
}


function __ZNK2js7analyze8SSAValue10varInitialEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 700 "./jsanalyze.h"
  var $4=$3; //@line 700 "./jsanalyze.h"
  var $5=$4; //@line 700 "./jsanalyze.h"
  var $6=HEAPU8[($5)]; //@line 700 "./jsanalyze.h"
  var $7=(($6)&255) >>> 2; //@line 700 "./jsanalyze.h"
  var $8=$7 & 1; //@line 700 "./jsanalyze.h"
  var $9=(($8) & 1); //@line 700 "./jsanalyze.h"
  ;
  return $9; //@line 700 "./jsanalyze.h"
}


function __ZNK2js7analyze8SSAValue7varSlotEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 705 "./jsanalyze.h"
  var $4=$3; //@line 705 "./jsanalyze.h"
  var $5=$4; //@line 705 "./jsanalyze.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 705 "./jsanalyze.h"
  var $7=$6 >>> 3; //@line 705 "./jsanalyze.h"
  var $8=$7 & 536870911; //@line 705 "./jsanalyze.h"
  ;
  return $8; //@line 705 "./jsanalyze.h"
}


function __ZNK2js7analyze8SSAValue12pushedOffsetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 688 "./jsanalyze.h"
  var $4=$3; //@line 688 "./jsanalyze.h"
  var $5=$4; //@line 688 "./jsanalyze.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 688 "./jsanalyze.h"
  var $7=$6 >>> 2; //@line 688 "./jsanalyze.h"
  var $8=$7 & 1073741823; //@line 688 "./jsanalyze.h"
  ;
  return $8; //@line 688 "./jsanalyze.h"
}


function __ZNK2js7analyze14ScriptAnalysis14numReturnSitesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 949 "./jsanalyze.h"
  var $4=HEAP32[(($3)>>2)]; //@line 949 "./jsanalyze.h"
  ;
  return $4; //@line 949 "./jsanalyze.h"
}


function __ZNK2js7analyze8SSAValue11pushedIndexEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 693 "./jsanalyze.h"
  var $4=$3; //@line 693 "./jsanalyze.h"
  var $5=(($4+4)|0); //@line 693 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 693 "./jsanalyze.h"
  ;
  return $6; //@line 693 "./jsanalyze.h"
}


function __ZN2jsL7PodCopyINS_7analyze8SSAValueEEEvPT_PKS3_j($dst, $src, $nelem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $srcend;
      $1=$dst;
      $2=$src;
      $3=$nelem;
      var $4=$3; //@line 695 "./jsutil.h"
      var $5=(($4)>>>0) < 128; //@line 695 "./jsutil.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 695 "./jsutil.h"
    case 2: 
      var $7=$2; //@line 696 "./jsutil.h"
      var $8=$3; //@line 696 "./jsutil.h"
      var $9=(($7+($8<<3))|0); //@line 696 "./jsutil.h"
      $srcend=$9; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 3: 
      var $11=$2; //@line 696 "./jsutil.h"
      var $12=$srcend; //@line 696 "./jsutil.h"
      var $13=(($11)|0)!=(($12)|0); //@line 696 "./jsutil.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 696 "./jsutil.h"
    case 4: 
      var $15=$1; //@line 697 "./jsutil.h"
      var $16=$2; //@line 697 "./jsutil.h"
      var $17=$15; //@line 697 "./jsutil.h"
      var $18=$16; //@line 697 "./jsutil.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 697 "./jsutil.h"
      __label__ = 5; break; //@line 697 "./jsutil.h"
    case 5: 
      var $20=$2; //@line 696 "./jsutil.h"
      var $21=(($20+8)|0); //@line 696 "./jsutil.h"
      $2=$21; //@line 696 "./jsutil.h"
      var $22=$1; //@line 696 "./jsutil.h"
      var $23=(($22+8)|0); //@line 696 "./jsutil.h"
      $1=$23; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 6: 
      __label__ = 8; break; //@line 698 "./jsutil.h"
    case 7: 
      var $26=$1; //@line 699 "./jsutil.h"
      var $27=$26; //@line 699 "./jsutil.h"
      var $28=$2; //@line 699 "./jsutil.h"
      var $29=$28; //@line 699 "./jsutil.h"
      var $30=$3; //@line 699 "./jsutil.h"
      var $31=((($30<<3))|0); //@line 699 "./jsutil.h"
      assert($31 % 1 === 0, 'memcpy given ' + $31 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($27, $29, $31, 1); //@line 699 "./jsutil.h"
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 701 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis17checkPendingValueEP9JSContextRKNS0_8SSAValueEjPNS_6VectorINS0_9SlotValueELj0ENS_15TempAllocPolicyEEE($this, $cx, $v, $slot, $pending) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      var $6=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$v;
      $4=$slot;
      $5=$pending;
      var $7=$1;
      $i=0; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 2; break; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $9=$i; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $10=$5; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6lengthEv($10); //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $14=$5; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=$i; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEixEj($14, $15); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($16)|0); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=$4; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $20=(($18)|0)==(($19)|0); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      __label__ = 9; break; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      __label__ = 6; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $24=$i; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+1)|0); //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$25; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 2; break; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $27=$5; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=$4; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $29=$3; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze9SlotValueC1EjRKNS0_8SSAValueE($6, $28, $29); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $30=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($27, $6); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $32=$2; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext($7, $32); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 9; break; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE6appendIjEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE14internalAppendIjEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyzeL9StackSlotEP8JSScriptj($script, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$script;
  $2=$index;
  var $3=$1; //@line 432 "./jsanalyze.h"
  var $4=__ZN2js7analyzeL10TotalSlotsEP8JSScript($3); //@line 432 "./jsanalyze.h"
  var $5=$2; //@line 432 "./jsanalyze.h"
  var $6=(($4+$5)|0); //@line 432 "./jsanalyze.h"
  ;
  return $6; //@line 432 "./jsanalyze.h"
}


function __ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 367 "./jsvector.h"
  var $5=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 367 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 367 "./jsvector.h"
  ;
  return $6; //@line 367 "./jsvector.h"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-4)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+8)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZN9JSContext7delete_IN2js6VectorINS1_7analyze9SlotValueELj0ENS1_15TempAllocPolicyEEEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEED1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10ArenaArrayINS_7analyze9SlotValueEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=(($7*12)|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayINS_7analyze9SlotValueEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2js7analyze14CrossScriptSSA8getFrameEj($this, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$index;
      var $4=$2;
      var $5=$3; //@line 1321 "./jsanalyze.h"
      var $6=(($5)|0)==-1; //@line 1321 "./jsanalyze.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1321 "./jsanalyze.h"
    case 2: 
      var $8=(($4+4)|0); //@line 1322 "./jsanalyze.h"
      $1=$8; //@line 1322 "./jsanalyze.h"
      __label__ = 4; break; //@line 1322 "./jsanalyze.h"
    case 3: 
      var $10=(($4+24)|0); //@line 1323 "./jsanalyze.h"
      var $11=$3; //@line 1323 "./jsanalyze.h"
      var $12=__ZN2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEEixEj($10, $11); //@line 1323 "./jsanalyze.h"
      $1=$12; //@line 1323 "./jsanalyze.h"
      __label__ = 4; break; //@line 1323 "./jsanalyze.h"
    case 4: 
      var $14=$1; //@line 1324 "./jsanalyze.h"
      ;
      return $14; //@line 1324 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($this, $pc, $which) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$pc;
  $3=$which;
  var $4=$1;
  var $5=$2; //@line 1016 "./jsanalyze.h"
  var $6=(($4)|0); //@line 1016 "./jsanalyze.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1016 "./jsanalyze.h"
  var $8=(($7)|0); //@line 1016 "./jsanalyze.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1016 "./jsanalyze.h"
  var $10=$5; //@line 1016 "./jsanalyze.h"
  var $11=$9; //@line 1016 "./jsanalyze.h"
  var $12=(($10-$11)|0); //@line 1016 "./jsanalyze.h"
  var $13=$3; //@line 1016 "./jsanalyze.h"
  var $14=__ZN2js7analyze14ScriptAnalysis11poppedValueEjj($4, $12, $13); //@line 1016 "./jsanalyze.h"
  ;
  return $14; //@line 1016 "./jsanalyze.h"
}


function __ZN2js7analyze13CrossSSAValueC1EjRKNS0_8SSAValueE($this, $frame, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$frame;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 1293 "./jsanalyze.h"
  var $6=$3; //@line 1293 "./jsanalyze.h"
  __ZN2js7analyze13CrossSSAValueC2EjRKNS0_8SSAValueE($4, $5, $6); //@line 1293 "./jsanalyze.h"
  ;
  return; //@line 1293 "./jsanalyze.h"
}


function __ZN2js7analyze14CrossScriptSSA9numFramesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 1326 "./jsanalyze.h"
  var $4=__ZNK2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEE6lengthEv($3); //@line 1326 "./jsanalyze.h"
  var $5=(($4+1)|0); //@line 1326 "./jsanalyze.h"
  ;
  return $5; //@line 1326 "./jsanalyze.h"
}


function __ZN2js7analyze14CrossScriptSSA9iterFrameEj($this, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$i;
      var $4=$2;
      var $5=$3; //@line 1328 "./jsanalyze.h"
      var $6=(($5)|0)==0; //@line 1328 "./jsanalyze.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1328 "./jsanalyze.h"
    case 2: 
      var $8=(($4+4)|0); //@line 1329 "./jsanalyze.h"
      $1=$8; //@line 1329 "./jsanalyze.h"
      __label__ = 4; break; //@line 1329 "./jsanalyze.h"
    case 3: 
      var $10=(($4+24)|0); //@line 1330 "./jsanalyze.h"
      var $11=$3; //@line 1330 "./jsanalyze.h"
      var $12=(($11-1)|0); //@line 1330 "./jsanalyze.h"
      var $13=__ZN2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEEixEj($10, $12); //@line 1330 "./jsanalyze.h"
      $1=$13; //@line 1330 "./jsanalyze.h"
      __label__ = 4; break; //@line 1330 "./jsanalyze.h"
    case 4: 
      var $15=$1; //@line 1331 "./jsanalyze.h"
      ;
      return $15; //@line 1331 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14CrossScriptSSA9foldValueERKNS0_13CrossSSAValueE($agg_result, $this, $cv) {
  var __stackBase__  = STACKTOP; STACKTOP += 100; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $frame;
      var $v;
      var $parentScript;
      var $parentAnalysis;
      var $slot;
      var $argc;
      var $argv=__stackBase__;
      var $3=__stackBase__+8;
      var $pc;
      var $untrap=__stackBase__+20;
      var $argc1;
      var $thisv=__stackBase__+28;
      var $4=__stackBase__+36;
      var $5;
      var $callee;
      var $calleeFrame;
      var $i;
      var $analysis;
      var $offset;
      var $pc2;
      var $untrap3=__stackBase__+48;
      var $6=__stackBase__+56;
      var $analysis4;
      var $7=__stackBase__+68;
      var $analysis5;
      var $toidv=__stackBase__+80;
      var $8=__stackBase__+88;
      $1=$this;
      $2=$cv;
      var $9=$1;
      var $10=$2; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $11=(($10)|0); //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $13=__ZN2js7analyze14CrossScriptSSA8getFrameEj($9, $12); //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $frame=$13; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $14=$2; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $15=(($14+4)|0); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $v=$15; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $parentScript=0; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $parentAnalysis=0; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $16=$frame; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $17=(($16+12)|0); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $19=(($18)|0)!=-2; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 2: 
      var $21=$frame; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $22=(($21+12)|0); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $24=__ZN2js7analyze14CrossScriptSSA8getFrameEj($9, $23); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $25=(($24+4)|0); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $parentScript=$26; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $27=$parentScript; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $28=__ZN8JSScript8analysisEv($27); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $parentAnalysis=$28; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 3; break; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 3: 
      var $30=$v; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $31=__ZNK2js7analyze8SSAValue4kindEv($30); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $32=(($31)|0)==2; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($32) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 4: 
      var $34=$v; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $35=__ZNK2js7analyze8SSAValue10varInitialEv($34); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 5: 
      var $37=$parentScript; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $38=(($37)|0)!=0; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 6: 
      var $40=$v; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $41=__ZNK2js7analyze8SSAValue7varSlotEv($40); //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $slot=$41; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $42=$slot; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $43=__ZN2js7analyzeL7ArgSlotEj(0); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $44=(($42)>>>0) >= (($43)>>>0); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 7: 
      var $46=$slot; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $47=$frame; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $48=(($47+4)|0); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $50=__ZN2js7analyzeL9LocalSlotEP8JSScriptj($49, 0); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $51=(($46)>>>0) < (($50)>>>0); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($51) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 8: 
      var $53=$frame; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $54=(($53+16)|0); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $56=(($55+1)|0); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $57=HEAPU8[($56)]; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $58=(($57)&255); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $59=$58 << 8; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $60=$frame; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $61=(($60+16)|0); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $63=(($62+2)|0); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $64=HEAPU8[($63)]; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $65=(($64)&255); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $66=$59 | $65; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $argc=$66; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $67=$parentAnalysis; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $68=$frame; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $69=(($68+16)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $71=$argc; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $72=(($71-1)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $73=$slot; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $74=__ZN2js7analyzeL7ArgSlotEj(0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $75=(($73-$74)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $76=(($72-$75)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $77=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($67, $70, $76); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $78=$argv; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $79=$77; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[(($79)>>2)];HEAP32[(($78+4)>>2)]=HEAP32[(($79+4)>>2)]; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $80=$frame; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $81=(($80+12)|0); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze13CrossSSAValueC1EjRKNS0_8SSAValueE($3, $82, $argv); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14CrossScriptSSA9foldValueERKNS0_13CrossSSAValueE($agg_result, $9, $3); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 47; break; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 9: 
      __label__ = 10; break; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 10: 
      var $85=$v; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $86=__ZNK2js7analyze8SSAValue4kindEv($85); //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $87=(($86)|0)==1; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($87) { __label__ = 11; break; } else { __label__ = 46; break; } //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 11: 
      var $89=$frame; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $90=(($89+4)|0); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $92=(($91)|0); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $94=$v; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $95=__ZNK2js7analyze8SSAValue12pushedOffsetEv($94); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $96=(($93+$95)|0); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc=$96; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $97=(($9)|0); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $99=$frame; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $100=(($99+4)|0); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $102=$pc; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $98, $101, $102); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $103=$pc; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $104=HEAPU8[($103)]; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $105=(($104)&255); //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ((($105)|0) == 65) {
        __label__ = 12; break;
      }
      else if ((($105)|0) == 58) {
        __label__ = 15; break;
      }
      else if ((($105)|0) == 187) {
        __label__ = 36; break;
      }
      else if ((($105)|0) == 231) {
        __label__ = 39; break;
      }
      else {
      __label__ = 42; break;
      }
      
    case 12: 
      var $107=$parentScript; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $108=(($107)|0)!=0; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($108) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 13: 
      var $110=$frame; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $111=(($110+16)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $113=(($112+1)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $114=HEAPU8[($113)]; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $115=(($114)&255); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $116=$115 << 8; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $117=$frame; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $118=(($117+16)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $120=(($119+2)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $121=HEAPU8[($120)]; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $122=(($121)&255); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $123=$116 | $122; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $argc1=$123; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $124=$parentAnalysis; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $125=$frame; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $126=(($125+16)|0); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $128=$argc1; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $129=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($124, $127, $128); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $130=$thisv; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $131=$129; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($130)>>2)]=HEAP32[(($131)>>2)];HEAP32[(($130+4)>>2)]=HEAP32[(($131+4)>>2)]; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $132=$frame; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $133=(($132+12)|0); //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze13CrossSSAValueC1EjRKNS0_8SSAValueE($4, $134, $thisv); //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14CrossScriptSSA9foldValueERKNS0_13CrossSSAValueE($agg_result, $9, $4); //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $5=1;
      __label__ = 44; break; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 14: 
      __label__ = 43; break; //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 15: 
      $callee=0; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $calleeFrame=-2; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=0; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 16; break; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 16: 
      var $138=$i; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $139=__ZN2js7analyze14CrossScriptSSA9numFramesEv($9); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $140=(($138)>>>0) < (($139)>>>0); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($140) { __label__ = 17; break; } else { __label__ = 24; break; } //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 17: 
      var $142=$i; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $143=__ZN2js7analyze14CrossScriptSSA9iterFrameEj($9, $142); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $144=(($143+12)|0); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $146=$2; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $147=(($146)|0); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $149=(($145)|0)==(($148)|0); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($149) { __label__ = 18; break; } else { __label__ = 22; break; } //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 18: 
      var $151=$i; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $152=__ZN2js7analyze14CrossScriptSSA9iterFrameEj($9, $151); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $153=(($152+16)|0); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $155=$pc; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $156=(($154)|0)==(($155)|0); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($156) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 19: 
      var $158=$callee; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $159=(($158)|0)!=0; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($159) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 20: 
      var $161=$2; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $162=$agg_result; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $163=$161; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($162)>>2)]=HEAP32[(($163)>>2)];HEAP32[(($162+4)>>2)]=HEAP32[(($163+4)>>2)];HEAP32[(($162+8)>>2)]=HEAP32[(($163+8)>>2)]; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $5=1;
      __label__ = 44; break; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 21: 
      var $165=$i; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $166=__ZN2js7analyze14CrossScriptSSA9iterFrameEj($9, $165); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $167=(($166+4)|0); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $callee=$168; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $169=$i; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $170=__ZN2js7analyze14CrossScriptSSA9iterFrameEj($9, $169); //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $171=(($170)|0); //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $172=HEAP32[(($171)>>2)]; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $calleeFrame=$172; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 22; break; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 22: 
      __label__ = 23; break; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 23: 
      var $175=$i; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $176=(($175+1)|0); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $i=$176; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 16; break; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 24: 
      var $178=$callee; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $179=(($178)|0)!=0; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($179) { __label__ = 25; break; } else { __label__ = 35; break; } //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 25: 
      var $181=$callee; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $182=__ZN8JSScript8analysisEv($181); //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $183=__ZNK2js7analyze14ScriptAnalysis14numReturnSitesEv($182); //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $184=(($183)|0)==1; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($184) { __label__ = 26; break; } else { __label__ = 35; break; } //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 26: 
      var $186=$callee; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $187=__ZN8JSScript8analysisEv($186); //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $analysis=$187; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $offset=0; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 27; break; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 27: 
      var $189=$offset; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $190=$callee; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $191=(($190+8)|0); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $192=HEAPU32[(($191)>>2)]; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $193=(($189)>>>0) < (($192)>>>0); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($193) { __label__ = 28; break; } else { __label__ = 34; break; } //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 28: 
      var $195=$callee; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $196=(($195)|0); //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $198=$offset; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $199=(($197+$198)|0); //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $pc2=$199; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $200=(($9)|0); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $202=$callee; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $203=$pc2; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap3, $201, $202, $203); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $204=$analysis; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $205=$pc2; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $206=__ZN2js7analyze14ScriptAnalysis9maybeCodeEPKh($204, $205); //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $207=(($206)|0)!=0; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($207) { __label__ = 29; break; } else { __label__ = 31; break; } //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 29: 
      var $209=$pc2; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $210=HEAPU8[($209)]; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $211=(($210)&255); //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $212=(($211)|0)==5; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($212) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 30: 
      var $214=$calleeFrame; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $215=$analysis; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $216=$pc2; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $217=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($215, $216, 0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze13CrossSSAValueC1EjRKNS0_8SSAValueE($6, $214, $217); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14CrossScriptSSA9foldValueERKNS0_13CrossSSAValueE($agg_result, $9, $6); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $5=1;
      __label__ = 32; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 31: 
      var $219=$pc2; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $220=__ZN2js7analyzeL17GetBytecodeLengthEPh($219); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $221=$offset; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $222=(($221+$220)|0); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $offset=$222; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $5=0; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 32; break; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 32: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap3); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 33; break;
      }
      else {
      __label__ = 44; break;
      }
      
    case 33: 
      __label__ = 27; break; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 34: 
      __label__ = 35; break; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 35: 
      __label__ = 43; break; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 36: 
      var $228=$v; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $229=__ZNK2js7analyze8SSAValue11pushedIndexEv($228); //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $230=(($229)|0)==1; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($230) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 37: 
      var $232=$frame; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $233=(($232+4)|0); //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $234=HEAP32[(($233)>>2)]; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $235=__ZN8JSScript8analysisEv($234); //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $analysis4=$235; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $236=$2; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $237=(($236)|0); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $238=HEAP32[(($237)>>2)]; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $239=$analysis4; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $240=$pc; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $241=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($239, $240, 0); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze13CrossSSAValueC1EjRKNS0_8SSAValueE($7, $238, $241); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14CrossScriptSSA9foldValueERKNS0_13CrossSSAValueE($agg_result, $9, $7); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $5=1;
      __label__ = 44; break; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 38: 
      __label__ = 43; break; //@line 2015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 39: 
      var $244=$frame; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $245=(($244+4)|0); //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $246=HEAP32[(($245)>>2)]; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $247=__ZN8JSScript8analysisEv($246); //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $analysis5=$247; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $248=$analysis5; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $249=$pc; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $250=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($248, $249, 0); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $251=$toidv; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $252=$250; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($251)>>2)]=HEAP32[(($252)>>2)];HEAP32[(($251+4)>>2)]=HEAP32[(($252+4)>>2)]; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $253=$analysis5; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $254=__ZN2js7analyze14ScriptAnalysis13getValueTypesERKNS0_8SSAValueE($253, $toidv); //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $255=(($9)|0); //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $257=__ZN2js5types7TypeSet15getKnownTypeTagEP9JSContext($254, $256); //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $258=(($257)&255); //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $259=(($258)|0)==1; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      if ($259) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 40: 
      var $261=$2; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $262=(($261)|0); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $263=HEAP32[(($262)>>2)]; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze13CrossSSAValueC1EjRKNS0_8SSAValueE($8, $263, $toidv); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __ZN2js7analyze14CrossScriptSSA9foldValueERKNS0_13CrossSSAValueE($agg_result, $9, $8); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      $5=1;
      __label__ = 44; break; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 41: 
      __label__ = 43; break; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 42: 
      __label__ = 43; break; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 43: 
      $5=0; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 44; break; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 44: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $cleanup_dest6=$5;
      if ((($cleanup_dest6)|0) == 0) {
        __label__ = 45; break;
      }
      else if ((($cleanup_dest6)|0) == 1) {
        __label__ = 47; break;
      }
      else {
      __label__ = 48; break;
      }
      
    case 45: 
      __label__ = 46; break; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 46: 
      var $270=$2; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $271=$agg_result; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      var $272=$270; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($271)>>2)]=HEAP32[(($272)>>2)];HEAP32[(($271+4)>>2)]=HEAP32[(($272+4)>>2)];HEAP32[(($271+8)>>2)]=HEAP32[(($272+8)>>2)]; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
      __label__ = 47; break; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 47: 
      STACKTOP = __stackBase__;
      return; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
    case 48: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14CrossScriptSSA9foldValueERKNS0_13CrossSSAValueE["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN7mozilla9DebugOnlyIbED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIbEC2ERKb($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+12)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+$6*12)|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN2js5types7TypeSetC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 373 "./jsinfer.h"
  HEAP32[(($3)>>2)]=0; //@line 373 "./jsinfer.h"
  var $4=(($2+4)|0); //@line 373 "./jsinfer.h"
  HEAP32[(($4)>>2)]=0; //@line 373 "./jsinfer.h"
  var $5=(($2+8)|0); //@line 373 "./jsinfer.h"
  HEAP32[(($5)>>2)]=0; //@line 373 "./jsinfer.h"
  ;
  return; //@line 373 "./jsinfer.h"
}


function __ZNK2js7MoveRefINS_7analyze9SlotValueEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_7analyze9SlotValueEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js7analyze8LifetimeC2EjjPS1_($this, $offset, $savedEnd, $next) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$offset;
  $3=$savedEnd;
  $4=$next;
  var $5=$1;
  var $6=(($5)|0); //@line 526 "./jsanalyze.h"
  var $7=$2; //@line 526 "./jsanalyze.h"
  HEAP32[(($6)>>2)]=$7; //@line 526 "./jsanalyze.h"
  var $8=(($5+4)|0); //@line 526 "./jsanalyze.h"
  var $9=$2; //@line 526 "./jsanalyze.h"
  HEAP32[(($8)>>2)]=$9; //@line 526 "./jsanalyze.h"
  var $10=(($5+8)|0); //@line 526 "./jsanalyze.h"
  var $11=$3; //@line 526 "./jsanalyze.h"
  HEAP32[(($10)>>2)]=$11; //@line 526 "./jsanalyze.h"
  var $12=(($5+12)|0); //@line 526 "./jsanalyze.h"
  HEAP8[($12)]=0; //@line 526 "./jsanalyze.h"
  var $13=(($5+13)|0); //@line 526 "./jsanalyze.h"
  HEAP8[($13)]=0; //@line 526 "./jsanalyze.h"
  var $14=(($5+16)|0); //@line 526 "./jsanalyze.h"
  var $15=$4; //@line 526 "./jsanalyze.h"
  HEAP32[(($14)>>2)]=$15; //@line 526 "./jsanalyze.h"
  ;
  return; //@line 526 "./jsanalyze.h"
}


function __ZNK2js7analyze8SSAValue9varOffsetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 710 "./jsanalyze.h"
  var $4=$3; //@line 710 "./jsanalyze.h"
  var $5=(($4+4)|0); //@line 710 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 710 "./jsanalyze.h"
  ;
  return $6; //@line 710 "./jsanalyze.h"
}


function __ZNK2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN2js7analyze14ScriptAnalysis13getValueTypesERKNS0_8SSAValueE($this, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$v;
      var $4=$2;
      var $5=$3; //@line 1069 "./jsanalyze.h"
      var $6=__ZNK2js7analyze8SSAValue4kindEv($5); //@line 1069 "./jsanalyze.h"
      if ((($6)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 2) {
        __label__ = 3; break;
      }
      else if ((($6)|0) == 3) {
        __label__ = 6; break;
      }
      else {
      __label__ = 7; break;
      }
      
    case 2: 
      var $8=$3; //@line 1071 "./jsanalyze.h"
      var $9=__ZNK2js7analyze8SSAValue12pushedOffsetEv($8); //@line 1071 "./jsanalyze.h"
      var $10=$3; //@line 1071 "./jsanalyze.h"
      var $11=__ZNK2js7analyze8SSAValue11pushedIndexEv($10); //@line 1071 "./jsanalyze.h"
      var $12=__ZN2js7analyze14ScriptAnalysis11pushedTypesEjj($4, $9, $11); //@line 1071 "./jsanalyze.h"
      $1=$12; //@line 1071 "./jsanalyze.h"
      __label__ = 8; break; //@line 1071 "./jsanalyze.h"
    case 3: 
      var $14=$3; //@line 1074 "./jsanalyze.h"
      var $15=__ZNK2js7analyze8SSAValue10varInitialEv($14); //@line 1074 "./jsanalyze.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1074 "./jsanalyze.h"
    case 4: 
      var $17=(($4)|0); //@line 1075 "./jsanalyze.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1075 "./jsanalyze.h"
      var $19=$3; //@line 1075 "./jsanalyze.h"
      var $20=__ZNK2js7analyze8SSAValue7varSlotEv($19); //@line 1075 "./jsanalyze.h"
      var $21=__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($18, $20); //@line 1075 "./jsanalyze.h"
      $1=$21; //@line 1075 "./jsanalyze.h"
      __label__ = 8; break; //@line 1075 "./jsanalyze.h"
    case 5: 
      var $23=$3; //@line 1083 "./jsanalyze.h"
      var $24=__ZNK2js7analyze8SSAValue9varOffsetEv($23); //@line 1083 "./jsanalyze.h"
      var $25=__ZN2js7analyze14ScriptAnalysis11pushedTypesEjj($4, $24, 0); //@line 1083 "./jsanalyze.h"
      $1=$25; //@line 1083 "./jsanalyze.h"
      __label__ = 8; break; //@line 1083 "./jsanalyze.h"
    case 6: 
      var $27=$3; //@line 1086 "./jsanalyze.h"
      var $28=__ZNK2js7analyze8SSAValue7phiNodeEv($27); //@line 1086 "./jsanalyze.h"
      var $29=(($28)|0); //@line 1086 "./jsanalyze.h"
      $1=$29; //@line 1086 "./jsanalyze.h"
      __label__ = 8; break; //@line 1086 "./jsanalyze.h"
    case 7: 
      $1=0; //@line 1090 "./jsanalyze.h"
      __label__ = 8; break; //@line 1090 "./jsanalyze.h"
    case 8: 
      var $32=$1; //@line 1092 "./jsanalyze.h"
      ;
      return $32; //@line 1092 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function _js_free194($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE14internalAppendIjEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc195($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc196($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze11SSAUseChainC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7analyze11SSAUseChainC2Ev($2); //@line 863 "./jsanalyze.h"
  ;
  return; //@line 863 "./jsanalyze.h"
}


function __ZN2js7analyze11SSAUseChainC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 863 "./jsanalyze.h"
  __ZN2jsL7PodZeroINS_7analyze11SSAUseChainEEEvPT_($2); //@line 863 "./jsanalyze.h"
  ;
  return; //@line 863 "./jsanalyze.h"
}


function __ZN2jsL7PodZeroINS_7analyze11SSAUseChainEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  for (var $$dest = $3, $$stop = $$dest + 12; $$dest < $$stop; $$dest++) {
    HEAP8[$$dest] = 0
  }; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js7analyze10SSAPhiNodeC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7analyze10SSAPhiNodeC2Ev($2); //@line 823 "./jsanalyze.h"
  ;
  return; //@line 823 "./jsanalyze.h"
}


function __ZN2js7analyze10SSAPhiNodeC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 823 "./jsanalyze.h"
  __ZN2js5types7TypeSetC1Ev($3); //@line 823 "./jsanalyze.h"
  __ZN2jsL7PodZeroINS_7analyze10SSAPhiNodeEEEvPT_($2); //@line 823 "./jsanalyze.h"
  ;
  return; //@line 823 "./jsanalyze.h"
}


function __ZN2js5types7TypeSetC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js5types7TypeSetC2Ev($2); //@line 373 "./jsinfer.h"
  ;
  return; //@line 373 "./jsinfer.h"
}


function __ZN2jsL7PodZeroINS_7analyze10SSAPhiNodeEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 28, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($t+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 776 "./jsvector.h"
      var $4=$3; //@line 776 "./jsvector.h"
      var $5=(($4)|0)==0; //@line 776 "./jsvector.h"
      if ($5) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $7=$4; //@line 776 "./jsvector.h"
      var $8=$7; //@line 776 "./jsvector.h"
      var $9=$t; //@line 776 "./jsvector.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];HEAP32[(($8+8)>>2)]=HEAP32[(($9+8)>>2)]; //@line 776 "./jsvector.h"
      var $11 = $7;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($2+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=(($12*12)|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -134217728; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -134217728; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=(($7*12)|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $34 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveINS_7analyze9SlotValueEEENS_7MoveRefIT_EERS4_($4, $29); //@line 118 "./jsvector.h"
      var $30=__ZNK2js7MoveRefINS_7analyze9SlotValueEEcvRS2_Ev($4); //@line 118 "./jsvector.h"
      var $31=$28; //@line 118 "./jsvector.h"
      var $32=$30; //@line 118 "./jsvector.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)];HEAP32[(($31+8)>>2)]=HEAP32[(($32+8)>>2)]; //@line 118 "./jsvector.h"
      var $34 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $34; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $36=$dst; //@line 117 "./jsvector.h"
      var $37=(($36+12)|0); //@line 117 "./jsvector.h"
      $dst=$37; //@line 117 "./jsvector.h"
      var $38=$src; //@line 117 "./jsvector.h"
      var $39=(($38+12)|0); //@line 117 "./jsvector.h"
      $src=$39; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $41=$2; //@line 119 "./jsvector.h"
      var $42=__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($41); //@line 119 "./jsvector.h"
      var $43=$2; //@line 119 "./jsvector.h"
      var $44=__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($43); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($42, $44); //@line 119 "./jsvector.h"
      var $45=$2; //@line 120 "./jsvector.h"
      var $46=$45; //@line 120 "./jsvector.h"
      var $47=$2; //@line 120 "./jsvector.h"
      var $48=(($47+4)|0); //@line 120 "./jsvector.h"
      var $49=HEAP32[(($48)>>2)]; //@line 120 "./jsvector.h"
      var $50=$49; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($46, $50); //@line 120 "./jsvector.h"
      var $51=$newbuf; //@line 121 "./jsvector.h"
      var $52=$2; //@line 121 "./jsvector.h"
      var $53=(($52+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($53)>>2)]=$51; //@line 121 "./jsvector.h"
      var $54=$3; //@line 123 "./jsvector.h"
      var $55=$2; //@line 123 "./jsvector.h"
      var $56=(($55+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($56)>>2)]=$54; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $58=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $58; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj["X"]=1;

function __ZN2js4MoveINS_7analyze9SlotValueEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_7analyze9SlotValueEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_7analyze9SlotValueEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_7analyze9SlotValueEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $21 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveINS_7analyze9SlotValueEEENS_7MoveRefIT_EERKS4_($4, $16); //@line 93 "./jsvector.h"
      var $17=__ZNK2js7MoveRefINS_7analyze9SlotValueEEcvRS2_Ev($4); //@line 93 "./jsvector.h"
      var $18=$15; //@line 93 "./jsvector.h"
      var $19=$17; //@line 93 "./jsvector.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];HEAP32[(($18+8)>>2)]=HEAP32[(($19+8)>>2)]; //@line 93 "./jsvector.h"
      var $21 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $21; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $23=$p; //@line 92 "./jsvector.h"
      var $24=(($23+12)|0); //@line 92 "./jsvector.h"
      $p=$24; //@line 92 "./jsvector.h"
      var $25=$1; //@line 92 "./jsvector.h"
      var $26=(($25+12)|0); //@line 92 "./jsvector.h"
      $1=$26; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_7analyze9SlotValueEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_7analyze9SlotValueEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js7analyze8LifetimeC1EjjPS1_($this, $offset, $savedEnd, $next) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$offset;
  $3=$savedEnd;
  $4=$next;
  var $5=$1;
  var $6=$2; //@line 526 "./jsanalyze.h"
  var $7=$3; //@line 526 "./jsanalyze.h"
  var $8=$4; //@line 526 "./jsanalyze.h"
  __ZN2js7analyze8LifetimeC2EjjPS1_($5, $6, $7, $8); //@line 526 "./jsanalyze.h"
  ;
  return; //@line 526 "./jsanalyze.h"
}


function __ZN2js7analyze8BytecodeC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7analyze8BytecodeC2Ev($2); //@line 97 "./jsanalyze.h"
  ;
  return; //@line 97 "./jsanalyze.h"
}


function __ZN2js7analyze8BytecodeC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2jsL7PodZeroINS_7analyze8BytecodeEEEvPT_($2); //@line 97 "./jsanalyze.h"
  ;
  return; //@line 97 "./jsanalyze.h"
}


function __ZN2jsL7PodZeroINS_7analyze8BytecodeEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 44, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js7analyze14ScriptAnalysis11pushedTypesEjj($this, $offset, $which) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $array;
  $1=$this;
  $2=$offset;
  $3=$which;
  var $4=$1;
  var $5=$2; //@line 1030 "./jsanalyze.h"
  var $6=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $5); //@line 1030 "./jsanalyze.h"
  var $7=(($6+36)|0); //@line 1030 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 1030 "./jsanalyze.h"
  $array=$8; //@line 1030 "./jsanalyze.h"
  var $9=$array; //@line 1032 "./jsanalyze.h"
  var $10=$3; //@line 1032 "./jsanalyze.h"
  var $11=(($9+$10*12)|0); //@line 1032 "./jsanalyze.h"
  ;
  return $11; //@line 1032 "./jsanalyze.h"
}


function __ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($script, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$script;
  $2=$slot;
  var $3=$1; //@line 504 "./jsinferinlines.h"
  var $4=(($3+100)|0); //@line 504 "./jsinferinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 504 "./jsinferinlines.h"
  var $6=__ZN2js5types10TypeScript9typeArrayEv($5); //@line 504 "./jsinferinlines.h"
  var $7=$1; //@line 504 "./jsinferinlines.h"
  var $8=(($7+22)|0); //@line 504 "./jsinferinlines.h"
  var $9=HEAPU16[(($8)>>1)]; //@line 504 "./jsinferinlines.h"
  var $10=(($9)&65535); //@line 504 "./jsinferinlines.h"
  var $11=(($6+$10*12)|0); //@line 504 "./jsinferinlines.h"
  var $12=$2; //@line 504 "./jsinferinlines.h"
  var $13=(($11+$12*12)|0); //@line 504 "./jsinferinlines.h"
  ;
  return $13; //@line 504 "./jsinferinlines.h"
}


function __ZN2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+$4*20)|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js7analyze13CrossSSAValueC2EjRKNS0_8SSAValueE($this, $frame, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$frame;
  $3=$v;
  var $4=$1;
  var $5=(($4)|0); //@line 1293 "./jsanalyze.h"
  var $6=$2; //@line 1293 "./jsanalyze.h"
  HEAP32[(($5)>>2)]=$6; //@line 1293 "./jsanalyze.h"
  var $7=(($4+4)|0); //@line 1293 "./jsanalyze.h"
  var $8=$3; //@line 1293 "./jsanalyze.h"
  var $9=$7; //@line 1293 "./jsanalyze.h"
  var $10=$8; //@line 1293 "./jsanalyze.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1293 "./jsanalyze.h"
  ;
  return; //@line 1293 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis11poppedValueEjj($this, $offset, $which) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$offset;
  $3=$which;
  var $4=$1;
  var $5=$3; //@line 1013 "./jsanalyze.h"
  var $6=$2; //@line 1013 "./jsanalyze.h"
  var $7=__ZN2js7analyze14ScriptAnalysis7getCodeEj($4, $6); //@line 1013 "./jsanalyze.h"
  var $8=(($7+24)|0); //@line 1013 "./jsanalyze.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1013 "./jsanalyze.h"
  var $10=(($9+($5<<3))|0); //@line 1013 "./jsanalyze.h"
  ;
  return $10; //@line 1013 "./jsanalyze.h"
}


function __ZN2js7analyzeL8ThisSlotEv() {
  ;
  var __label__;

  ;
  return 1; //@line 419 "./jsanalyze.h"
}


function __ZNK2js7analyze16LifetimeVariable10firstWriteEjj($this, $start, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $segment;
      $2=$this;
      $3=$start;
      $4=$end;
      var $5=$2;
      var $6=(($5)|0); //@line 598 "./jsanalyze.h"
      var $7=HEAP32[(($6)>>2)]; //@line 598 "./jsanalyze.h"
      var $8=(($7)|0)!=0; //@line 598 "./jsanalyze.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jsanalyze.h"
    case 2: 
      var $10=(($5)|0); //@line 598 "./jsanalyze.h"
      var $11=HEAP32[(($10)>>2)]; //@line 598 "./jsanalyze.h"
      var $16 = $11;__label__ = 4; break; //@line 598 "./jsanalyze.h"
    case 3: 
      var $13=(($5+4)|0); //@line 598 "./jsanalyze.h"
      var $14=HEAP32[(($13)>>2)]; //@line 598 "./jsanalyze.h"
      var $16 = $14;__label__ = 4; break; //@line 598 "./jsanalyze.h"
    case 4: 
      var $16; //@line 598 "./jsanalyze.h"
      $segment=$16; //@line 598 "./jsanalyze.h"
      __label__ = 5; break; //@line 599 "./jsanalyze.h"
    case 5: 
      var $18=$segment; //@line 599 "./jsanalyze.h"
      var $19=(($18)|0)!=0; //@line 599 "./jsanalyze.h"
      if ($19) { __label__ = 6; break; } else { var $27 = 0;__label__ = 7; break; } //@line 599 "./jsanalyze.h"
    case 6: 
      var $21=$segment; //@line 599 "./jsanalyze.h"
      var $22=(($21)|0); //@line 599 "./jsanalyze.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 599 "./jsanalyze.h"
      var $24=$4; //@line 599 "./jsanalyze.h"
      var $25=(($23)>>>0) <= (($24)>>>0); //@line 599 "./jsanalyze.h"
      var $27 = $25;__label__ = 7; break;
    case 7: 
      var $27;
      if ($27) { __label__ = 8; break; } else { __label__ = 12; break; }
    case 8: 
      var $29=$segment; //@line 600 "./jsanalyze.h"
      var $30=(($29)|0); //@line 600 "./jsanalyze.h"
      var $31=HEAPU32[(($30)>>2)]; //@line 600 "./jsanalyze.h"
      var $32=$3; //@line 600 "./jsanalyze.h"
      var $33=(($31)>>>0) >= (($32)>>>0); //@line 600 "./jsanalyze.h"
      if ($33) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 600 "./jsanalyze.h"
    case 9: 
      var $35=$segment; //@line 600 "./jsanalyze.h"
      var $36=(($35+13)|0); //@line 600 "./jsanalyze.h"
      var $37=HEAP8[($36)]; //@line 600 "./jsanalyze.h"
      var $38=(($37) & 1); //@line 600 "./jsanalyze.h"
      if ($38) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 600 "./jsanalyze.h"
    case 10: 
      var $40=$segment; //@line 601 "./jsanalyze.h"
      var $41=(($40)|0); //@line 601 "./jsanalyze.h"
      var $42=HEAP32[(($41)>>2)]; //@line 601 "./jsanalyze.h"
      $1=$42; //@line 601 "./jsanalyze.h"
      __label__ = 13; break; //@line 601 "./jsanalyze.h"
    case 11: 
      var $44=$segment; //@line 602 "./jsanalyze.h"
      var $45=(($44+16)|0); //@line 602 "./jsanalyze.h"
      var $46=HEAP32[(($45)>>2)]; //@line 602 "./jsanalyze.h"
      $segment=$46; //@line 602 "./jsanalyze.h"
      __label__ = 5; break; //@line 603 "./jsanalyze.h"
    case 12: 
      $1=-1; //@line 604 "./jsanalyze.h"
      __label__ = 13; break; //@line 604 "./jsanalyze.h"
    case 13: 
      var $49=$1; //@line 605 "./jsanalyze.h"
      ;
      return $49; //@line 605 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js7analyze16LifetimeVariable10firstWriteEjj["X"]=1;

function __ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesC2ES3_PNS0_8SSAValueE($this, $cx, $values) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$values;
  var $4=$1;
  var $5=(($4)|0); //@line 1348 "./jsanalyze.h"
  var $6=$2; //@line 1348 "./jsanalyze.h"
  HEAP32[(($5)>>2)]=$6; //@line 1348 "./jsanalyze.h"
  var $7=(($4+4)|0); //@line 1348 "./jsanalyze.h"
  var $8=$3; //@line 1348 "./jsanalyze.h"
  HEAP32[(($7)>>2)]=$8; //@line 1348 "./jsanalyze.h"
  ;
  return; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
}


function __ZN2js7analyze12UntrapOpcode6retrapEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 382 "./jsanalyze.h"
      var $4=HEAP8[($3)]; //@line 382 "./jsanalyze.h"
      var $5=(($4) & 1); //@line 382 "./jsanalyze.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 382 "./jsanalyze.h"
    case 2: 
      var $7=(($2)|0); //@line 383 "./jsanalyze.h"
      var $8=HEAP32[(($7)>>2)]; //@line 383 "./jsanalyze.h"
      HEAP8[($8)]=83; //@line 383 "./jsanalyze.h"
      var $9=(($2+4)|0); //@line 384 "./jsanalyze.h"
      HEAP8[($9)]=0; //@line 384 "./jsanalyze.h"
      __label__ = 3; break; //@line 385 "./jsanalyze.h"
    case 3: 
      ;
      return; //@line 386 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze8Bytecode9isDefinedEj($this, $slot) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $2=$this;
      $3=$slot;
      var $4=$2;
      $i=0; //@line 220 "./jsanalyze.h"
      __label__ = 2; break; //@line 220 "./jsanalyze.h"
    case 2: 
      var $6=$i; //@line 220 "./jsanalyze.h"
      var $7=(($4+8)|0); //@line 220 "./jsanalyze.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 220 "./jsanalyze.h"
      var $9=(($6)>>>0) < (($8)>>>0); //@line 220 "./jsanalyze.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 220 "./jsanalyze.h"
    case 3: 
      var $11=$i; //@line 221 "./jsanalyze.h"
      var $12=(($4+12)|0); //@line 221 "./jsanalyze.h"
      var $13=HEAP32[(($12)>>2)]; //@line 221 "./jsanalyze.h"
      var $14=(($13+($11<<2))|0); //@line 221 "./jsanalyze.h"
      var $15=HEAP32[(($14)>>2)]; //@line 221 "./jsanalyze.h"
      var $16=$3; //@line 221 "./jsanalyze.h"
      var $17=(($15)|0)==(($16)|0); //@line 221 "./jsanalyze.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 221 "./jsanalyze.h"
    case 4: 
      $1=1; //@line 222 "./jsanalyze.h"
      __label__ = 8; break; //@line 222 "./jsanalyze.h"
    case 5: 
      __label__ = 6; break; //@line 223 "./jsanalyze.h"
    case 6: 
      var $21=$i; //@line 220 "./jsanalyze.h"
      var $22=(($21+1)|0); //@line 220 "./jsanalyze.h"
      $i=$22; //@line 220 "./jsanalyze.h"
      __label__ = 2; break; //@line 220 "./jsanalyze.h"
    case 7: 
      $1=0; //@line 224 "./jsanalyze.h"
      __label__ = 8; break; //@line 224 "./jsanalyze.h"
    case 8: 
      var $25=$1; //@line 225 "./jsanalyze.h"
      ;
      return $25; //@line 225 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis10jumpTargetEj($this, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$offset;
      var $3=$1;
      var $4=$2; //@line 989 "./jsanalyze.h"
      var $5=(($3+4)|0); //@line 989 "./jsanalyze.h"
      var $6=HEAP32[(($5)>>2)]; //@line 989 "./jsanalyze.h"
      var $7=(($6+($4<<2))|0); //@line 989 "./jsanalyze.h"
      var $8=HEAP32[(($7)>>2)]; //@line 989 "./jsanalyze.h"
      var $9=(($8)|0)!=0; //@line 989 "./jsanalyze.h"
      if ($9) { __label__ = 2; break; } else { var $21 = 0;__label__ = 3; break; } //@line 989 "./jsanalyze.h"
    case 2: 
      var $11=$2; //@line 989 "./jsanalyze.h"
      var $12=(($3+4)|0); //@line 989 "./jsanalyze.h"
      var $13=HEAP32[(($12)>>2)]; //@line 989 "./jsanalyze.h"
      var $14=(($13+($11<<2))|0); //@line 989 "./jsanalyze.h"
      var $15=HEAP32[(($14)>>2)]; //@line 989 "./jsanalyze.h"
      var $16=$15; //@line 989 "./jsanalyze.h"
      var $17=HEAP8[($16)]; //@line 989 "./jsanalyze.h"
      var $18=$17 & 1; //@line 989 "./jsanalyze.h"
      var $19=(($18) & 1); //@line 989 "./jsanalyze.h"
      var $21 = $19;__label__ = 3; break;
    case 3: 
      var $21;
      ;
      return $21; //@line 990 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL225($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _JS_GetEmptyString($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+144136)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$4; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  var $5=(($2+4)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  var $7=$6; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  __ZN9JSContext5free_EPv($4, $7); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
  ;
  return; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsanalyze.cpp"
}


function __ZN2jsL7PodZeroINS_7analyze8SSAValueEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; HEAP8[($3+2)]=0; HEAP8[($3+3)]=0; HEAP8[($3+4)]=0; HEAP8[($3+5)]=0; HEAP8[($3+6)]=0; HEAP8[($3+7)]=0; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js7analyze9SlotValueC2EjRKNS0_8SSAValueE($this, $slot, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$slot;
  $3=$value;
  var $4=$1;
  var $5=(($4)|0); //@line 870 "./jsanalyze.h"
  var $6=$2; //@line 870 "./jsanalyze.h"
  HEAP32[(($5)>>2)]=$6; //@line 870 "./jsanalyze.h"
  var $7=(($4+4)|0); //@line 870 "./jsanalyze.h"
  var $8=$3; //@line 870 "./jsanalyze.h"
  var $9=$7; //@line 870 "./jsanalyze.h"
  var $10=$8; //@line 870 "./jsanalyze.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 870 "./jsanalyze.h"
  ;
  return; //@line 870 "./jsanalyze.h"
}


function __ZN2js8ArenaNewINS_7analyze8LifetimeEjiPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($pool, $a, $b, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      __label__ = 2; break; //@line 271 "./jsarena.h"
    case 2: 
      var $6=$1; //@line 271 "./jsarena.h"
      var $7=(($6+16)|0); //@line 271 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 271 "./jsarena.h"
      $_a=$8; //@line 271 "./jsarena.h"
      var $9=$1; //@line 271 "./jsarena.h"
      var $10=(($9+24)|0); //@line 271 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 271 "./jsarena.h"
      var $12=(($11+20)|0); //@line 271 "./jsarena.h"
      var $13=$1; //@line 271 "./jsarena.h"
      var $14=(($13+24)|0); //@line 271 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 271 "./jsarena.h"
      var $16=$15 ^ -1; //@line 271 "./jsarena.h"
      var $17=$12 & $16; //@line 271 "./jsarena.h"
      $_nb=$17; //@line 271 "./jsarena.h"
      var $18=$_a; //@line 271 "./jsarena.h"
      var $19=(($18+12)|0); //@line 271 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 271 "./jsarena.h"
      $_p=$20; //@line 271 "./jsarena.h"
      var $21=$_nb; //@line 271 "./jsarena.h"
      var $22=$_a; //@line 271 "./jsarena.h"
      var $23=(($22+8)|0); //@line 271 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 271 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 271 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 271 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 271 "./jsarena.h"
      var $28=$_a; //@line 271 "./jsarena.h"
      var $29=(($28+8)|0); //@line 271 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 271 "./jsarena.h"
      var $31=$_nb; //@line 271 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 271 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 271 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 271 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 271 "./jsarena.h"
      var $36=$_nb; //@line 271 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 271 "./jsarena.h"
      var $38=$37; //@line 271 "./jsarena.h"
      $_p=$38; //@line 271 "./jsarena.h"
      __label__ = 6; break; //@line 271 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 271 "./jsarena.h"
      var $41=$_nb; //@line 271 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 271 "./jsarena.h"
      var $43=$_a; //@line 271 "./jsarena.h"
      var $44=(($43+12)|0); //@line 271 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 271 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 271 "./jsarena.h"
      var $47=$46; //@line 271 "./jsarena.h"
      $v=$47; //@line 271 "./jsarena.h"
      __label__ = 7; break; //@line 271 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 271 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 271 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 272 "./jsarena.h"
      var $52=(($51)|0)!=0; //@line 272 "./jsarena.h"
      if ($52) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 272 "./jsarena.h"
    case 10: 
      var $54=$v; //@line 272 "./jsarena.h"
      var $55=(($54)|0)==0; //@line 272 "./jsarena.h"
      if ($55) { var $65 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 272 "./jsarena.h"
    case 11: 
      var $57=$54; //@line 272 "./jsarena.h"
      var $58=$2; //@line 272 "./jsarena.h"
      var $59=HEAP32[(($58)>>2)]; //@line 272 "./jsarena.h"
      var $60=$3; //@line 272 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 272 "./jsarena.h"
      var $62=$4; //@line 272 "./jsarena.h"
      var $63=HEAP32[(($62)>>2)]; //@line 272 "./jsarena.h"
      __ZN2js7analyze8LifetimeC1EjjPS1_($57, $59, $61, $63); //@line 272 "./jsarena.h"
      var $65 = $57;__label__ = 12; break; //@line 272 "./jsarena.h"
    case 12: 
      var $65; //@line 272 "./jsarena.h"
      var $68 = $65;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 13: 
      var $68 = 0;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 14: 
      var $68; //@line 272 "./jsarena.h"
      ;
      return $68; //@line 272 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_7analyze8LifetimeEjiPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_["X"]=1;

function _js_calloc197($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze12UntrapOpcodeD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7analyze12UntrapOpcode6retrapEv($2); //@line 390 "./jsanalyze.h"
  ;
  return; //@line 391 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis20localHasUseBeforeDefEj($this, $local) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$local;
      var $3=$1;
      var $4=(($3)|0); //@line 1148 "./jsanalyze.h"
      var $5=HEAP32[(($4)>>2)]; //@line 1148 "./jsanalyze.h"
      var $6=$2; //@line 1148 "./jsanalyze.h"
      var $7=__ZN2js7analyzeL9LocalSlotEP8JSScriptj($5, $6); //@line 1148 "./jsanalyze.h"
      var $8=__ZN2js7analyze14ScriptAnalysis11slotEscapesEj($3, $7); //@line 1148 "./jsanalyze.h"
      if ($8) { var $17 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1148 "./jsanalyze.h"
    case 2: 
      var $10=$2; //@line 1148 "./jsanalyze.h"
      var $11=(($3+32)|0); //@line 1148 "./jsanalyze.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1148 "./jsanalyze.h"
      var $13=(($12+($10<<2))|0); //@line 1148 "./jsanalyze.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1148 "./jsanalyze.h"
      var $15=(($14)|0)==-1; //@line 1148 "./jsanalyze.h"
      var $17 = $15;__label__ = 3; break; //@line 1148 "./jsanalyze.h"
    case 3: 
      var $17;
      ;
      return $17; //@line 1148 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z28js_GetVariableBytecodeLengthPh($pc) {
  ;
  var __label__;

  var $1;
  $1=$pc;
  var $2=$1; //@line 491 "./jsopcode.h"
  var $3=HEAPU8[($2)]; //@line 491 "./jsopcode.h"
  var $4=(($3)&255); //@line 491 "./jsopcode.h"
  var $5=$1; //@line 491 "./jsopcode.h"
  var $6=__Z28js_GetVariableBytecodeLength4JSOpPh($4, $5); //@line 491 "./jsopcode.h"
  ;
  return $6; //@line 491 "./jsopcode.h"
}


function __ZN2js7analyze12UntrapOpcodeC2EP9JSContextP8JSScriptPh($this, $cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$script;
      $4=$pc;
      var $5=$1;
      var $6=(($5)|0); //@line 375 "./jsanalyze.h"
      var $7=$4; //@line 375 "./jsanalyze.h"
      HEAP32[(($6)>>2)]=$7; //@line 375 "./jsanalyze.h"
      var $8=(($5+4)|0); //@line 375 "./jsanalyze.h"
      var $9=$4; //@line 375 "./jsanalyze.h"
      var $10=HEAPU8[($9)]; //@line 375 "./jsanalyze.h"
      var $11=(($10)&255); //@line 375 "./jsanalyze.h"
      var $12=(($11)|0)==83; //@line 375 "./jsanalyze.h"
      var $13=(($12)&1); //@line 375 "./jsanalyze.h"
      HEAP8[($8)]=$13; //@line 375 "./jsanalyze.h"
      var $14=(($5+4)|0); //@line 376 "./jsanalyze.h"
      var $15=HEAP8[($14)]; //@line 376 "./jsanalyze.h"
      var $16=(($15) & 1); //@line 376 "./jsanalyze.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 376 "./jsanalyze.h"
    case 2: 
      var $18=$2; //@line 377 "./jsanalyze.h"
      var $19=$3; //@line 377 "./jsanalyze.h"
      var $20=$4; //@line 377 "./jsanalyze.h"
      var $21=_JS_GetTrapOpcode($18, $19, $20); //@line 377 "./jsanalyze.h"
      var $22=(($21) & 255); //@line 377 "./jsanalyze.h"
      var $23=$4; //@line 377 "./jsanalyze.h"
      HEAP8[($23)]=$22; //@line 377 "./jsanalyze.h"
      __label__ = 3; break; //@line 377 "./jsanalyze.h"
    case 3: 
      ;
      return; //@line 378 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript9getObjectEj($this, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  var $arr;
  $1=$this;
  $2=$index;
  var $3=$1;
  var $4=__ZN8JSScript7objectsEv($3); //@line 745 "./jsscript.h"
  $arr=$4; //@line 745 "./jsscript.h"
  var $5=$2; //@line 747 "./jsscript.h"
  var $6=$arr; //@line 747 "./jsscript.h"
  var $7=(($6)|0); //@line 747 "./jsscript.h"
  var $8=HEAP32[(($7)>>2)]; //@line 747 "./jsscript.h"
  var $9=(($8+($5<<2))|0); //@line 747 "./jsscript.h"
  var $10=HEAP32[(($9)>>2)]; //@line 747 "./jsscript.h"
  ;
  return $10; //@line 747 "./jsscript.h"
}


function ___cxx_global_var_init() {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  _BUILD_JSVAL225($1, -122, 0);
  __ZL13IMPL_TO_JSVAL12jsval_layout(_JSVAL_NULL, $1);
  STACKTOP = __stackBase__;
  return;
}


function __ZL13IMPL_TO_JSVAL12jsval_layout($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function ___cxx_global_var_init1() {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  _BUILD_JSVAL225($1, -127, 0);
  __ZL13IMPL_TO_JSVAL12jsval_layout(_JSVAL_ZERO, $1);
  STACKTOP = __stackBase__;
  return;
}


function ___cxx_global_var_init2() {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  _BUILD_JSVAL225($1, -127, 1);
  __ZL13IMPL_TO_JSVAL12jsval_layout(_JSVAL_ONE, $1);
  STACKTOP = __stackBase__;
  return;
}


function ___cxx_global_var_init3() {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  _BUILD_JSVAL225($1, -125, 0);
  __ZL13IMPL_TO_JSVAL12jsval_layout(_JSVAL_FALSE, $1);
  STACKTOP = __stackBase__;
  return;
}


function ___cxx_global_var_init4() {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  _BUILD_JSVAL225($1, -125, 1);
  __ZL13IMPL_TO_JSVAL12jsval_layout(_JSVAL_TRUE, $1);
  STACKTOP = __stackBase__;
  return;
}


function ___cxx_global_var_init5() {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  _BUILD_JSVAL225($1, -126, 0);
  __ZL13IMPL_TO_JSVAL12jsval_layout(_JSVAL_VOID, $1);
  STACKTOP = __stackBase__;
  return;
}


function _JS_Now() {
  ;
  var __label__;

  var $1=_PRMJ_Now();
  var $1$0=$1[0];
  var $1$1=$1[1];
  ;
  return [$1$0,$1$1]; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetNaNValue($agg_result, $cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+52)|0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+144112)|0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$agg_result; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$5; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetNegativeInfinityValue($agg_result, $cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+52)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+144120)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$agg_result; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$5; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetPositiveInfinityValue($agg_result, $cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+52)|0); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+144128)|0); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$agg_result; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$5; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetEmptyStringValue($agg_result, $cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+52)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+144136)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  _STRING_TO_JSVAL($agg_result, $7); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _STRING_TO_JSVAL($agg_result, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$str;
  var $3=$1; //@line 1375 "./jsapi.h"
  _STRING_TO_JSVAL_IMPL277($2, $3); //@line 1375 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout($agg_result, $2); //@line 1375 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1375 "./jsapi.h"
}


function _JS_ConvertArguments($cx, $argc, $argv, $format) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $ap=__stackBase__;
  var $ok;
  $1=$cx;
  $2=$argc;
  $3=$argv;
  $4=$format;
  var $5=$ap; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($5)>>2)]=arguments[_JS_ConvertArguments.length]; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=HEAP32[(($ap)>>2)]; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=_JS_ConvertArgumentsVA($6, $7, $8, $9, $10); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $ok=$11; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$ap; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$ok; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $13; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js21assertSameCompartmentI12JSValueArrayEEvP9JSContextT_($cx, $t1) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t1; $t1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  $1=$cx;
  STACKTOP = __stackBase__;
  return; //@line 238 "./jscntxtinlines.h"
}


function _JS_ConvertArgumentsVA($cx, $argc, $argv, $format, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 116; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $sp=__stackBase__+4;
      var $required;
      var $c;
      var $fun;
      var $d=__stackBase__+8;
      var $str;
      var $obj=__stackBase__+16;
      var $7=__stackBase__+20;
      var $numBuf=__stackBase__+28;
      var $funNameBytes=__stackBase__+40;
      var $name;
      var $8=__stackBase__+44;
      var $9=__stackBase__+52;
      var $10=__stackBase__+60;
      var $11=__stackBase__+68;
      var $12=__stackBase__+76;
      var $13=__stackBase__+84;
      var $14=__stackBase__+92;
      var $fixed;
      var $15=__stackBase__+100;
      var $16=__stackBase__+108;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($5)>>2)]=$format;
      $6=$ap;
      var $17=$2; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18-16)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$3; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20+2)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN12JSValueArrayC1EPN2JS5ValueEj($7, $19, $21); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentI12JSValueArrayEEvP9JSContextT_($17, $7); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$4; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($sp)>>2)]=$22; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $required=1; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $24=HEAP32[(($5)>>2)]; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24+1)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($5)>>2)]=$25; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=HEAP8[($24)]; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $c=$26; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26 << 24) >> 24); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27)|0)!=0; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($28) { __label__ = 3; break; } else { __label__ = 54; break; } //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $30=$c; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=(($30 << 24) >> 24); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=_isspace($31); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)|0)!=0; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      __label__ = 2; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $36=$c; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($36 << 24) >> 24); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=(($37)|0)==47; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $required=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $41=HEAP32[(($sp)>>2)]; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=$4; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$3; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=(($42+($43<<3))|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=(($41)|0)==(($44)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $47=$required; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=(($47)|0)!=0; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $50=$2; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=$4; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=(($51-16)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=__Z18js_ValueToFunctionP9JSContextPKN2JS5ValueEj($50, $52, 0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fun=$53; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=$fun; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=(($54)|0)!=0; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($55) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $57=(($numBuf)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$3; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=_JS_snprintf($57, 12, ((STRING_TABLE.__str198)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$58,tempInt)); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN16JSAutoByteStringC1Ev($funNameBytes); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=$2; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=$fun; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=__ZN2js20GetFunctionNameBytesEP9JSContextP10JSFunctionP16JSAutoByteString($60, $61, $funNameBytes); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $name=$62; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63=$name; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=(($63)|0)!=0; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($64) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $66=$2; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=$name; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $68=(($numBuf)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $69=$3; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $70=(($69)|0)==1; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=$70 ? (((__str6199)|0)) : (((STRING_TABLE.__str7200)|0)); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($66, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$67,HEAP32[((tempInt+4)>>2)]=$68,HEAP32[((tempInt+8)>>2)]=$71,tempInt)); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      __ZN16JSAutoByteStringD1Ev($funNameBytes); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 13; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      $1=0; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      __label__ = 54; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $76=$c; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=(($76 << 24) >> 24); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ((($77)|0) == 98) {
        __label__ = 16; break;
      }
      else if ((($77)|0) == 99) {
        __label__ = 17; break;
      }
      else if ((($77)|0) == 105) {
        __label__ = 20; break;
      }
      else if ((($77)|0) == 117) {
        __label__ = 23; break;
      }
      else if ((($77)|0) == 106) {
        __label__ = 26; break;
      }
      else if ((($77)|0) == 100) {
        __label__ = 29; break;
      }
      else if ((($77)|0) == 73) {
        __label__ = 32; break;
      }
      else if ((($77)|0) == 83 || (($77)|0) == 87) {
        __label__ = 35; break;
      }
      else if ((($77)|0) == 111) {
        __label__ = 43; break;
      }
      else if ((($77)|0) == 102) {
        __label__ = 46; break;
      }
      else if ((($77)|0) == 118) {
        __label__ = 49; break;
      }
      else if ((($77)|0) == 42) {
        __label__ = 53; break;
      }
      else {
      __label__ = 50; break;
      }
      
    case 16: 
      var $79=HEAP32[(($sp)>>2)]; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $80=__Z17js_ValueToBooleanRKN2JS5ValueE($79); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $81=$6; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=$81; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $83=(($81+4)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$83; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $84=HEAP32[(($82)>>2)]; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($84)>>2)]=$80; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 53; break; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $86=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $87=HEAP32[(($sp)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=$8; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $89=$87; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($88)>>2)]=HEAP32[(($89)>>2)];HEAP32[(($88+4)>>2)]=HEAP32[(($89+4)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $90=$6; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=$90; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $92=(($90+4)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$92; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $93=HEAP32[(($91)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $94=_JS_ValueToUint16($86, $8, $93); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $95=(($94)|0)!=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($95) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      $1=0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      __label__ = 53; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      var $99=$2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $100=HEAP32[(($sp)>>2)]; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $101=$9; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $102=$100; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($101)>>2)]=HEAP32[(($102)>>2)];HEAP32[(($101+4)>>2)]=HEAP32[(($102+4)>>2)]; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $103=$6; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $104=$103; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $105=(($103+4)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$105; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $106=HEAP32[(($104)>>2)]; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $107=_JS_ValueToECMAInt32($99, $9, $106); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $108=(($107)|0)!=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($108) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      $1=0; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      __label__ = 53; break; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 23: 
      var $112=$2; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $113=HEAP32[(($sp)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $114=$10; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $115=$113; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($114)>>2)]=HEAP32[(($115)>>2)];HEAP32[(($114+4)>>2)]=HEAP32[(($115+4)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $116=$6; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $117=$116; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $118=(($116+4)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$118; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $119=HEAP32[(($117)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $120=_JS_ValueToECMAUint32($112, $10, $119); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $121=(($120)|0)!=0; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($121) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      $1=0; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 25: 
      __label__ = 53; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 26: 
      var $125=$2; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $126=HEAP32[(($sp)>>2)]; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $127=$11; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $128=$126; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($127)>>2)]=HEAP32[(($128)>>2)];HEAP32[(($127+4)>>2)]=HEAP32[(($128+4)>>2)]; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $129=$6; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $130=$129; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $131=(($129+4)|0); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$131; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $132=HEAP32[(($130)>>2)]; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $133=_JS_ValueToInt32($125, $11, $132); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $134=(($133)|0)!=0; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($134) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 27: 
      $1=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 28: 
      __label__ = 53; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 29: 
      var $138=$2; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $139=HEAP32[(($sp)>>2)]; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $140=$12; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $141=$139; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($140)>>2)]=HEAP32[(($141)>>2)];HEAP32[(($140+4)>>2)]=HEAP32[(($141+4)>>2)]; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $142=$6; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $143=$142; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $144=(($142+4)|0); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$144; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $145=HEAP32[(($143)>>2)]; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $146=_JS_ValueToNumber($138, $12, $145); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $147=(($146)|0)!=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($147) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 30: 
      $1=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 31: 
      __label__ = 53; break; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 32: 
      var $151=$2; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $152=HEAP32[(($sp)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $153=$13; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $154=$152; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($153)>>2)]=HEAP32[(($154)>>2)];HEAP32[(($153+4)>>2)]=HEAP32[(($154+4)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $155=_JS_ValueToNumber($151, $13, $d); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $156=(($155)|0)!=0; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($156) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 33: 
      $1=0; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 34: 
      var $159=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $160=__ZL18js_DoubleToIntegerd($159); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $161=$6; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $162=$161; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $163=(($161+4)|0); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$163; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $164=HEAP32[(($162)>>2)]; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      (tempDoubleF64[0]=$160,HEAP32[(($164)>>2)]=tempDoubleI32[0],HEAP32[(($164+4)>>2)]=tempDoubleI32[1]); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 53; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 35: 
      var $166=$2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $167=HEAP32[(($sp)>>2)]; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $168=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($166, $167); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $str=$168; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $169=$str; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $170=(($169)|0)!=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($170) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 36: 
      $1=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 37: 
      var $173=HEAP32[(($sp)>>2)]; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $174=$str; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _STRING_TO_JSVAL($14, $174); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $175=$173; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $176=$14; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($175)>>2)]=HEAP32[(($176)>>2)];HEAP32[(($175+4)>>2)]=HEAP32[(($176+4)>>2)]; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $177=$c; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $178=(($177 << 24) >> 24); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $179=(($178)|0)==87; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($179) { __label__ = 38; break; } else { __label__ = 41; break; } //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 38: 
      var $181=$str; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $182=$2; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $183=__ZN8JSString11ensureFixedEP9JSContext($181, $182); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fixed=$183; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $184=$fixed; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $185=(($184)|0)!=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($185) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 39: 
      $1=0; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 40: 
      var $188=$fixed; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $189=$188; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $190=__ZNK14JSLinearString5charsEv($189); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $191=$6; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $192=$191; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $193=(($191+4)|0); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$193; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $194=HEAP32[(($192)>>2)]; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($194)>>2)]=$190; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 41: 
      var $196=$str; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $197=$6; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $198=$197; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $199=(($197+4)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$199; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $200=HEAP32[(($198)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($200)>>2)]=$196; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break;
    case 42: 
      __label__ = 53; break; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 43: 
      var $203=$2; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $204=HEAP32[(($sp)>>2)]; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $205=__Z22js_ValueToObjectOrNullP9JSContextRKN2JS5ValueEPP8JSObject($203, $204, $obj); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $206=(($205)|0)!=0; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($206) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 44: 
      $1=0; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 45: 
      var $209=HEAP32[(($sp)>>2)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $210=HEAP32[(($obj)>>2)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _OBJECT_TO_JSVAL($15, $210); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $211=$209; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $212=$15; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($211)>>2)]=HEAP32[(($212)>>2)];HEAP32[(($211+4)>>2)]=HEAP32[(($212+4)>>2)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $213=HEAP32[(($obj)>>2)]; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $214=$6; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $215=$214; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $216=(($214+4)|0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$216; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $217=HEAP32[(($215)>>2)]; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($217)>>2)]=$213; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 53; break; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 46: 
      var $219=$2; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $220=HEAP32[(($sp)>>2)]; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $221=__Z24js_ValueToFunctionObjectP9JSContextPN2JS5ValueEj($219, $220, 0); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($obj)>>2)]=$221; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $222=HEAP32[(($obj)>>2)]; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $223=(($222)|0)!=0; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($223) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 47: 
      $1=0; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 48: 
      var $226=HEAP32[(($sp)>>2)]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $227=HEAP32[(($obj)>>2)]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _OBJECT_TO_JSVAL($16, $227); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $228=$226; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $229=$16; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($228)>>2)]=HEAP32[(($229)>>2)];HEAP32[(($228+4)>>2)]=HEAP32[(($229+4)>>2)]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $230=HEAP32[(($obj)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $231=__ZNK8JSObject18getFunctionPrivateEv($230); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $232=$6; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $233=$232; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $234=(($232+4)|0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$234; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $235=HEAP32[(($233)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($235)>>2)]=$231; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 53; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 49: 
      var $237=$6; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $238=$237; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $239=(($237+4)|0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$239; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $240=HEAP32[(($238)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $241=HEAP32[(($sp)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $242=$240; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $243=$241; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($242)>>2)]=HEAP32[(($243)>>2)];HEAP32[(($242+4)>>2)]=HEAP32[(($243+4)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 53; break; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 50: 
      var $245=HEAP32[(($5)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $246=(($245-1)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($5)>>2)]=$246; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $247=$2; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $248=$6; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $249=$248; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $250=__ZL20TryArgumentFormatterP9JSContextPPKciPPN2JS5ValueEPPc($247, $5, 1, $sp, $249); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $251=(($250)|0)!=0; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($251) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 51: 
      $1=0; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 52: 
      __label__ = 2; break; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 53: 
      var $255=HEAP32[(($sp)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $256=(($255+8)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($sp)>>2)]=$256; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 54: 
      $1=1; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 55; break; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 55: 
      var $259=$1; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $259; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ConvertArgumentsVA["X"]=1;

function __ZN12JSValueArrayC1EPN2JS5ValueEj($this, $v, $c) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$v;
  $3=$c;
  var $4=$1;
  var $5=$2; //@line 1670 "./jsobj.h"
  var $6=$3; //@line 1670 "./jsobj.h"
  __ZN12JSValueArrayC2EPN2JS5ValueEj($4, $5, $6); //@line 1670 "./jsobj.h"
  ;
  return; //@line 1670 "./jsobj.h"
}


function __ZN16JSAutoByteStringC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN16JSAutoByteStringC2Ev($2); //@line 4289 "./jsapi.h"
  ;
  return; //@line 4289 "./jsapi.h"
}


function __ZN2js20GetFunctionNameBytesEP9JSContextP10JSFunctionP16JSAutoByteString($cx, $fun, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$fun;
      $4=$bytes;
      var $5=$3; //@line 396 "./jsfun.h"
      var $6=(($5+72)|0); //@line 396 "./jsfun.h"
      var $7=HEAP32[(($6)>>2)]; //@line 396 "./jsfun.h"
      var $8=(($7)|0)!=0; //@line 396 "./jsfun.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 396 "./jsfun.h"
    case 2: 
      var $10=$4; //@line 397 "./jsfun.h"
      var $11=$2; //@line 397 "./jsfun.h"
      var $12=$3; //@line 397 "./jsfun.h"
      var $13=(($12+72)|0); //@line 397 "./jsfun.h"
      var $14=HEAP32[(($13)>>2)]; //@line 397 "./jsfun.h"
      var $15=$14; //@line 397 "./jsfun.h"
      var $16=__ZN16JSAutoByteString6encodeEP9JSContextP8JSString($10, $11, $15); //@line 397 "./jsfun.h"
      $1=$16; //@line 397 "./jsfun.h"
      __label__ = 4; break; //@line 397 "./jsfun.h"
    case 3: 
      $1=((STRING_TABLE._js_anonymous_str)|0); //@line 398 "./jsfun.h"
      __label__ = 4; break; //@line 398 "./jsfun.h"
    case 4: 
      var $19=$1; //@line 399 "./jsfun.h"
      ;
      return $19; //@line 399 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ReportErrorNumber($cx, $errorCallback, $userRef, $errorNumber) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $ap=__stackBase__;
  $1=$cx;
  $2=$errorCallback;
  $3=$userRef;
  $4=$errorNumber;
  var $5=$ap; //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($5)>>2)]=arguments[_JS_ReportErrorNumber.length]; //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=HEAP32[(($ap)>>2)]; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__Z22js_ReportErrorNumberVAP9JSContextjPFPK19JSErrorFormatStringPvPKcjES4_jiPc($6, 0, $7, $8, $9, 1, $10); //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$ap; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return; //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN16JSAutoByteStringD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN16JSAutoByteStringD2Ev($2); //@line 4291 "./jsapi.h"
  ;
  return; //@line 4293 "./jsapi.h"
}


function _JS_ValueToUint16($cx, $0, $ip) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  var $4;
  var $5=__stackBase__+8;
  var $tvr=__stackBase__+16;
  var $6;
  $3=$cx;
  var $7=$v;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  $4=$ip;
  var $9=$3; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$v; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9, $5); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $12, $v); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZN2js13ValueToUint16EP9JSContextRKN2JS5ValueEPt($13, $14, $15); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=(($16)&1); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $2=$17; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN2js15AutoValueRooterD1Ev($tvr); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$2; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToECMAInt32($cx, $0, $ip) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  var $4;
  var $5=__stackBase__+8;
  var $tvr=__stackBase__+16;
  var $6;
  $3=$cx;
  var $7=$v;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  $4=$ip;
  var $9=$3; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$v; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9, $5); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $12, $v); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($13, $14, $15); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=(($16)&1); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $2=$17; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN2js15AutoValueRooterD1Ev($tvr); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$2; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToECMAUint32($cx, $0, $ip) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  var $4;
  var $5=__stackBase__+8;
  var $tvr=__stackBase__+16;
  var $6;
  $3=$cx;
  var $7=$v;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  $4=$ip;
  var $9=$3; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$v; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9, $5); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $12, $v); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($13, $14, $15); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=(($16)&1); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $2=$17; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN2js15AutoValueRooterD1Ev($tvr); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$2; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToInt32($cx, $0, $ip) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  var $4;
  var $5=__stackBase__+8;
  var $tvr=__stackBase__+16;
  var $6;
  $3=$cx;
  var $7=$v;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  $4=$ip;
  var $9=$3; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$v; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9, $5); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $12, $v); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($13, $14, $15); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=(($16)&1); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $2=$17; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN2js15AutoValueRooterD1Ev($tvr); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$2; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToNumber($cx, $0, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  var $4;
  var $5=__stackBase__+8;
  var $tvr=__stackBase__+16;
  var $6;
  $3=$cx;
  var $7=$v;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  $4=$dp;
  var $9=$3; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$v; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9, $5); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $12, $v); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($13, $14, $15); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=(($16)&1); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $2=$17; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN2js15AutoValueRooterD1Ev($tvr); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$2; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL18js_DoubleToIntegerd($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $neg;
      $2=$d;
      var $3=$2; //@line 572 "./jsnum.h"
      var $4=$3 == 0; //@line 572 "./jsnum.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 572 "./jsnum.h"
    case 2: 
      var $6=$2; //@line 573 "./jsnum.h"
      $1=$6; //@line 573 "./jsnum.h"
      __label__ = 14; break; //@line 573 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 575 "./jsnum.h"
      var $9=__ZL18JSDOUBLE_IS_FINITEd($8); //@line 575 "./jsnum.h"
      var $10=(($9)|0)!=0; //@line 575 "./jsnum.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 575 "./jsnum.h"
    case 4: 
      var $12=$2; //@line 576 "./jsnum.h"
      var $13=__ZL15JSDOUBLE_IS_NaNd($12); //@line 576 "./jsnum.h"
      var $14=(($13)|0)!=0; //@line 576 "./jsnum.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 576 "./jsnum.h"
    case 5: 
      $1=0; //@line 577 "./jsnum.h"
      __label__ = 14; break; //@line 577 "./jsnum.h"
    case 6: 
      var $17=$2; //@line 578 "./jsnum.h"
      $1=$17; //@line 578 "./jsnum.h"
      __label__ = 14; break; //@line 578 "./jsnum.h"
    case 7: 
      var $19=$2; //@line 581 "./jsnum.h"
      var $20=$19 < 0; //@line 581 "./jsnum.h"
      var $21=(($20)&1); //@line 581 "./jsnum.h"
      $neg=$21; //@line 581 "./jsnum.h"
      var $22=$neg; //@line 582 "./jsnum.h"
      var $23=(($22)|0)!=0; //@line 582 "./jsnum.h"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 582 "./jsnum.h"
    case 8: 
      var $25=$2; //@line 582 "./jsnum.h"
      var $26=(-$25); //@line 582 "./jsnum.h"
      var $30 = $26;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 9: 
      var $28=$2; //@line 582 "./jsnum.h"
      var $30 = $28;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 10: 
      var $30; //@line 582 "./jsnum.h"
      var $31=_floor($30); //@line 582 "./jsnum.h"
      $2=$31; //@line 582 "./jsnum.h"
      var $32=$neg; //@line 584 "./jsnum.h"
      var $33=(($32)|0)!=0; //@line 584 "./jsnum.h"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 584 "./jsnum.h"
    case 11: 
      var $35=$2; //@line 584 "./jsnum.h"
      var $36=(-$35); //@line 584 "./jsnum.h"
      var $40 = $36;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 12: 
      var $38=$2; //@line 584 "./jsnum.h"
      var $40 = $38;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 13: 
      var $40; //@line 584 "./jsnum.h"
      $1=$40; //@line 584 "./jsnum.h"
      __label__ = 14; break; //@line 584 "./jsnum.h"
    case 14: 
      var $42=$1; //@line 585 "./jsnum.h"
      ;
      return $42; //@line 585 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_DoubleToIntegerd["X"]=1;

function __ZN8JSString11ensureFixedEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 793 "./vm/String.h"
      var $6=__ZN8JSString10ensureFlatEP9JSContext($4, $5); //@line 793 "./vm/String.h"
      var $7=(($6)|0)!=0; //@line 793 "./vm/String.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 793 "./vm/String.h"
    case 2: 
      $1=0; //@line 794 "./vm/String.h"
      __label__ = 6; break; //@line 794 "./vm/String.h"
    case 3: 
      var $10=__ZNK8JSString12isExtensibleEv($4); //@line 795 "./vm/String.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 795 "./vm/String.h"
    case 4: 
      var $12=(($4)|0); //@line 799 "./vm/String.h"
      var $13=(($12)|0); //@line 799 "./vm/String.h"
      var $14=HEAP32[(($13)>>2)]; //@line 799 "./vm/String.h"
      var $15=$14 ^ 8; //@line 799 "./vm/String.h"
      HEAP32[(($13)>>2)]=$15; //@line 799 "./vm/String.h"
      __label__ = 5; break; //@line 800 "./vm/String.h"
    case 5: 
      var $17=__ZN8JSString7asFixedEv($4); //@line 801 "./vm/String.h"
      $1=$17; //@line 801 "./vm/String.h"
      __label__ = 6; break; //@line 801 "./vm/String.h"
    case 6: 
      var $19=$1; //@line 802 "./vm/String.h"
      ;
      return $19; //@line 802 "./vm/String.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _OBJECT_TO_JSVAL($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL284($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20TryArgumentFormatterP9JSContextPPKciPPN2JS5ValueEPPc($cx, $formatp, $fromJS, $vpp, $app) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $format;
      var $map;
      $2=$cx;
      $3=$formatp;
      $4=$fromJS;
      $5=$vpp;
      $6=$app;
      var $7=$3; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $format=$8; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$2; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9+172)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $map=$11; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$map; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0)!=0; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$format; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$map; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$map; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20+4)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=_strncmp($16, $19, $22); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($23)|0)!=0; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $26=$format; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$map; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27+4)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($26+$29)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$3; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($31)>>2)]=$30; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$map; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32+8)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$2; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$format; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=$4; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$5; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$6; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=FUNCTION_TABLE[$34]($35, $36, $37, $38, $39); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$40; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $43=$map; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=(($43+12)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $map=$45; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $47=$2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$format; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 4, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$48,tempInt)); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $50=$1; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $50; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20TryArgumentFormatterP9JSContextPPKciPPN2JS5ValueEPPc["X"]=1;

function __ZNK2js15AutoValueRooter5valueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1535 "./jscntxt.h"
  ;
  return $3; //@line 1535 "./jscntxt.h"
}


function _JS_GetTypeName($cx, $type) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$type;
      var $4=$3; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4)>>>0) >= 8; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $8=$3; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8+3)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=((_js_common_atom_names+($9<<2))|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=((((HEAPU8[($10)])|(HEAPU8[($10+1)]<<8)|(HEAPU8[($10+2)]<<16)|(HEAPU8[($10+3)]<<24))|0)); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$11; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $13=$1; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $13; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_AddArgumentFormatter($cx, $format, $formatter) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $length;
      var $mpp;
      var $map;
      $2=$cx;
      $3=$format;
      $4=$formatter;
      var $5=$3; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=_strlen($5); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $length=$6; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$2; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7+172)|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $mpp=$8; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $10=$mpp; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $map=$11; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$map; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14+4)|0); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=HEAPU32[(($15)>>2)]; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$length; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($16)>>>0) < (($17)>>>0); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      __label__ = 9; break; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$map; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21+4)|0); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$length; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($23)|0)==(($24)|0); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $27=$map; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27)|0); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$3; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=_strcmp($29, $30); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31)|0)!=0; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      __label__ = 12; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $35=$map; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=(($35+12)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $mpp=$36; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $38=$2; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=__ZN9JSContext7malloc_Ej($38, 16); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$39; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $map=$40; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=$map; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=(($41)|0)!=0; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      $1=0; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 13; break; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $45=$3; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=$map; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=(($46)|0); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($47)>>2)]=$45; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$length; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$map; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=(($49+4)|0); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($50)>>2)]=$48; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=$mpp; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=$map; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=(($53+12)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($54)>>2)]=$52; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=$map; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=$mpp; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($56)>>2)]=$55; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $58=$4; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=$map; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=(($59+8)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($60)>>2)]=$58; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 13; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      var $62=$1; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $62; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_AddArgumentFormatter["X"]=1;

function _JS_RemoveArgumentFormatter($cx, $format) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $length;
      var $mpp;
      var $map;
      $1=$cx;
      $2=$format;
      var $3=$2; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=_strlen($3); //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $length=$4; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+172)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $mpp=$6; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $8=$mpp; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $map=$9; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $12=$map; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12+4)|0); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$length; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($14)|0)==(($15)|0); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$map; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$2; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=_strcmp($20, $21); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=(($22)|0)!=0; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $25=$map; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=(($25+12)|0); //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$mpp; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$1; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$map; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$30; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($29, $31); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $33=$map; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($33+12)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $mpp=$34; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      ;
      return; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ConvertValue($cx, $0, $type, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $5;
      var $ok;
      var $obj=__stackBase__+8;
      var $str;
      var $d=__stackBase__+12;
      var $6=__stackBase__+20;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $9=__stackBase__+44;
      var $10=__stackBase__+52;
      var $11=__stackBase__+60;
      var $numBuf=__stackBase__+68;
      $3=$cx;
      var $12=$v;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      $4=$type;
      $5=$vp;
      var $14=$3; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$6; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$v; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($14, $6); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ((($17)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($17)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($17)|0) == 2) {
        __label__ = 6; break;
      }
      else if ((($17)|0) == 3) {
        __label__ = 7; break;
      }
      else if ((($17)|0) == 4) {
        __label__ = 10; break;
      }
      else if ((($17)|0) == 5) {
        __label__ = 13; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 2: 
      var $19=$5; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$19; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=1; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $22=$3; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=__Z22js_ValueToObjectOrNullP9JSContextRKN2JS5ValueEPP8JSObject($22, $v, $obj); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$23; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$ok; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)|0)!=0; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $27=$5; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=HEAP32[(($obj)>>2)]; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _OBJECT_TO_JSVAL($7, $28); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$27; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$7; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __label__ = 15; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $33=$5; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$33; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$v; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$3; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=$5; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=__Z24js_ValueToFunctionObjectP9JSContextPN2JS5ValueEj($36, $37, 65536); //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($obj)>>2)]=$38; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=HEAP32[(($obj)>>2)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=(($39)|0)!=0; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=(($40)&1); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$41; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $43=$3; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($43, $v); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $str=$44; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=$str; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=(($45)|0)!=0; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=(($46)&1); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$47; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$ok; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=(($48)|0)!=0; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $51=$5; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=$str; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _STRING_TO_JSVAL($8, $52); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=$51; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=$8; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      __label__ = 15; break; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $57=$3; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$9; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=$v; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=_JS_ValueToNumber($57, $9, $d); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$60; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=$ok; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=(($61)|0)!=0; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($62) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $64=$5; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _DOUBLE_TO_JSVAL($10, $65); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=$64; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=$10; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($66)>>2)]=HEAP32[(($67)>>2)];HEAP32[(($66+4)>>2)]=HEAP32[(($67+4)>>2)]; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      __label__ = 15; break; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      var $70=$5; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=__Z17js_ValueToBooleanRKN2JS5ValueE($v); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _BOOLEAN_TO_JSVAL($11, $71); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $72=$70; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $73=$11; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($72)>>2)]=HEAP32[(($73)>>2)];HEAP32[(($72+4)>>2)]=HEAP32[(($73+4)>>2)]; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $2=1; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 16; break; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $75=(($numBuf)|0); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $76=$4; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=_JS_snprintf($75, 12, ((STRING_TABLE.__str8201)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$76,tempInt)); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=$3; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $79=(($numBuf)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($78, 2, 0, 5, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$79,tempInt)); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $81=$ok; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $2=$81; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 16; break; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      var $83=$2; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ConvertValue["X"]=1;

function _DOUBLE_TO_JSVAL($agg_result, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $l=__stackBase__;
      var $2=__stackBase__+8;
      $1=$d;
      var $3=$1; //@line 1337 "./jsapi.h"
      var $4=$1; //@line 1337 "./jsapi.h"
      var $5=$3 != $4; //@line 1337 "./jsapi.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1337 "./jsapi.h"
    case 2: 
      var $7=$l; //@line 1338 "./jsapi.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=2146959360;
      var $st$3$0=(($7)|0);
      HEAP32[(($st$3$0)>>2)]=$$emscripten$temp$0$0;
      var $st$3$1=(($7+4)|0);
      HEAP32[(($st$3$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 4; break; //@line 1339 "./jsapi.h"
    case 3: 
      var $9=$1; //@line 1340 "./jsapi.h"
      var $10=$l; //@line 1340 "./jsapi.h"
      (tempDoubleF64[0]=$9,HEAP32[(($10)>>2)]=tempDoubleI32[0],HEAP32[(($10+4)>>2)]=tempDoubleI32[1]); //@line 1340 "./jsapi.h"
      __label__ = 4; break;
    case 4: 
      var $12=$2; //@line 1342 "./jsapi.h"
      var $13=$l; //@line 1342 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1342 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout($agg_result, $2); //@line 1342 "./jsapi.h"
      STACKTOP = __stackBase__;
      return; //@line 1342 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BOOLEAN_TO_JSVAL($agg_result, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$b;
  var $3=$1; //@line 1415 "./jsapi.h"
  _BOOLEAN_TO_JSVAL_IMPL278($2, $3); //@line 1415 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout($agg_result, $2); //@line 1415 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1415 "./jsapi.h"
}


function _JS_ValueToObject($cx, $0, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3;
  var $4=__stackBase__+8;
  $2=$cx;
  var $5=$v;
  var $6=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
  $3=$objp;
  var $7=$2; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$v; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7, $4); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=__Z22js_ValueToObjectOrNullP9JSContextRKN2JS5ValueEPP8JSObject($10, $v, $11); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToFunction($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  $2=$cx;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$v; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6, $3); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__Z18js_ValueToFunctionP9JSContextPKN2JS5ValueEj($9, $v, 65536); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToConstructor($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  $2=$cx;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$v; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6, $3); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__Z18js_ValueToFunctionP9JSContextPKN2JS5ValueEj($9, $v, 65536); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToString($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  $2=$cx;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$v; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6, $3); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($9, $v); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToSource($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  $2=$cx;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$v; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6, $3); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($9, $v); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($this, $cx, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 1520 "./jscntxt.h"
  var $6=$3; //@line 1520 "./jscntxt.h"
  __ZN2js15AutoValueRooterC2EP9JSContextRKN2JS5ValueE($4, $5, $6); //@line 1520 "./jscntxt.h"
  ;
  return; //@line 1520 "./jscntxt.h"
}


function __ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($cx, $v, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $6=$3; //@line 250 "./jsnum.h"
      var $7=__ZNK2JS5Value8isNumberEv($6); //@line 250 "./jsnum.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 250 "./jsnum.h"
    case 2: 
      var $9=$3; //@line 251 "./jsnum.h"
      var $10=__ZNK2JS5Value8toNumberEv($9); //@line 251 "./jsnum.h"
      var $11=$4; //@line 251 "./jsnum.h"
      (tempDoubleF64[0]=$10,HEAP32[(($11)>>2)]=tempDoubleI32[0],HEAP32[(($11+4)>>2)]=tempDoubleI32[1]); //@line 251 "./jsnum.h"
      $1=1; //@line 252 "./jsnum.h"
      __label__ = 4; break; //@line 252 "./jsnum.h"
    case 3: 
      var $13=$2; //@line 255 "./jsnum.h"
      var $14=$3; //@line 255 "./jsnum.h"
      var $15=$5; //@line 255 "./jsnum.h"
      var $16=$14; //@line 255 "./jsnum.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 255 "./jsnum.h"
      var $17=$4; //@line 255 "./jsnum.h"
      var $18=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($13, $5, $17); //@line 255 "./jsnum.h"
      $1=$18; //@line 255 "./jsnum.h"
      __label__ = 4; break; //@line 255 "./jsnum.h"
    case 4: 
      var $20=$1; //@line 256 "./jsnum.h"
      STACKTOP = __stackBase__;
      return $20; //@line 256 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15AutoValueRooterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15AutoValueRooterD2Ev($2); //@line 1505 "./jscntxt.h"
  ;
  return; //@line 1505 "./jscntxt.h"
}


function _JS_DoubleIsInt32($d, $ip) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$d;
  $2=$ip;
  var $3=$1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=_JSDOUBLE_IS_INT32228($3, $4); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JSDOUBLE_IS_INT32228($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO301($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DoubleToInt32($d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZL20js_DoubleToECMAInt32d($2); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL20js_DoubleToECMAInt32d($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $two32;
      var $two31;
      $2=$d;
      var $3=$2; //@line 547 "./jsnum.h"
      var $4=__ZL18JSDOUBLE_IS_FINITEd($3); //@line 547 "./jsnum.h"
      var $5=(($4)|0)!=0; //@line 547 "./jsnum.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsnum.h"
    case 2: 
      $1=0; //@line 548 "./jsnum.h"
      __label__ = 12; break; //@line 548 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 550 "./jsnum.h"
      var $9=(($8)&-1); //@line 550 "./jsnum.h"
      $i=$9; //@line 550 "./jsnum.h"
      var $10=$i; //@line 551 "./jsnum.h"
      var $11=(($10)|0); //@line 551 "./jsnum.h"
      var $12=$2; //@line 551 "./jsnum.h"
      var $13=$11 == $12; //@line 551 "./jsnum.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 551 "./jsnum.h"
    case 4: 
      var $15=$i; //@line 552 "./jsnum.h"
      $1=$15; //@line 552 "./jsnum.h"
      __label__ = 12; break; //@line 552 "./jsnum.h"
    case 5: 
      $two32=4294967296; //@line 554 "./jsnum.h"
      $two31=2147483648; //@line 555 "./jsnum.h"
      var $17=$2; //@line 556 "./jsnum.h"
      var $18=$two32; //@line 556 "./jsnum.h"
      var $19=_fmod($17, $18); //@line 556 "./jsnum.h"
      $2=$19; //@line 556 "./jsnum.h"
      var $20=$2; //@line 557 "./jsnum.h"
      var $21=$20 >= 0; //@line 557 "./jsnum.h"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 557 "./jsnum.h"
    case 6: 
      var $23=$2; //@line 557 "./jsnum.h"
      var $24=_floor($23); //@line 557 "./jsnum.h"
      var $31 = $24;__label__ = 8; break; //@line 557 "./jsnum.h"
    case 7: 
      var $26=$2; //@line 557 "./jsnum.h"
      var $27=_ceil($26); //@line 557 "./jsnum.h"
      var $28=$two32; //@line 557 "./jsnum.h"
      var $29=$27+$28; //@line 557 "./jsnum.h"
      var $31 = $29;__label__ = 8; break; //@line 557 "./jsnum.h"
    case 8: 
      var $31; //@line 557 "./jsnum.h"
      $2=$31; //@line 557 "./jsnum.h"
      var $32=$2; //@line 558 "./jsnum.h"
      var $33=$two31; //@line 558 "./jsnum.h"
      var $34=$32 >= $33; //@line 558 "./jsnum.h"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 558 "./jsnum.h"
    case 9: 
      var $36=$2; //@line 558 "./jsnum.h"
      var $37=$two32; //@line 558 "./jsnum.h"
      var $38=$36-$37; //@line 558 "./jsnum.h"
      var $42 = $38;__label__ = 11; break; //@line 558 "./jsnum.h"
    case 10: 
      var $40=$2; //@line 558 "./jsnum.h"
      var $42 = $40;__label__ = 11; break; //@line 558 "./jsnum.h"
    case 11: 
      var $42; //@line 558 "./jsnum.h"
      var $43=(($42)&-1); //@line 558 "./jsnum.h"
      $1=$43; //@line 558 "./jsnum.h"
      __label__ = 12; break; //@line 558 "./jsnum.h"
    case 12: 
      var $45=$1; //@line 560 "./jsnum.h"
      ;
      return $45; //@line 560 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20js_DoubleToECMAInt32d["X"]=1;

function _JS_DoubleToUint32($d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__Z21js_DoubleToECMAUint32d($2); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($cx, $v, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $5=$3; //@line 280 "./jsnum.h"
      var $6=__ZNK2JS5Value7isInt32Ev($5); //@line 280 "./jsnum.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 280 "./jsnum.h"
    case 2: 
      var $8=$3; //@line 281 "./jsnum.h"
      var $9=__ZNK2JS5Value7toInt32Ev($8); //@line 281 "./jsnum.h"
      var $10=$4; //@line 281 "./jsnum.h"
      HEAP32[(($10)>>2)]=$9; //@line 281 "./jsnum.h"
      $1=1; //@line 282 "./jsnum.h"
      __label__ = 4; break; //@line 282 "./jsnum.h"
    case 3: 
      var $12=$2; //@line 285 "./jsnum.h"
      var $13=$3; //@line 285 "./jsnum.h"
      var $14=$4; //@line 285 "./jsnum.h"
      var $15=__ZN2js20ValueToECMAInt32SlowEP9JSContextRKN2JS5ValueEPi($12, $13, $14); //@line 285 "./jsnum.h"
      $1=$15; //@line 285 "./jsnum.h"
      __label__ = 4; break; //@line 285 "./jsnum.h"
    case 4: 
      var $17=$1; //@line 286 "./jsnum.h"
      ;
      return $17; //@line 286 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($cx, $v, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $5=$3; //@line 291 "./jsnum.h"
      var $6=__ZNK2JS5Value7isInt32Ev($5); //@line 291 "./jsnum.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 291 "./jsnum.h"
    case 2: 
      var $8=$3; //@line 292 "./jsnum.h"
      var $9=__ZNK2JS5Value7toInt32Ev($8); //@line 292 "./jsnum.h"
      var $10=$4; //@line 292 "./jsnum.h"
      HEAP32[(($10)>>2)]=$9; //@line 292 "./jsnum.h"
      $1=1; //@line 293 "./jsnum.h"
      __label__ = 4; break; //@line 293 "./jsnum.h"
    case 3: 
      var $12=$2; //@line 296 "./jsnum.h"
      var $13=$3; //@line 296 "./jsnum.h"
      var $14=$4; //@line 296 "./jsnum.h"
      var $15=__ZN2js21ValueToECMAUint32SlowEP9JSContextRKN2JS5ValueEPj($12, $13, $14); //@line 296 "./jsnum.h"
      $1=$15; //@line 296 "./jsnum.h"
      __label__ = 4; break; //@line 296 "./jsnum.h"
    case 4: 
      var $17=$1; //@line 297 "./jsnum.h"
      ;
      return $17; //@line 297 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($cx, $v, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $5=$3; //@line 307 "./jsnum.h"
      var $6=__ZNK2JS5Value7isInt32Ev($5); //@line 307 "./jsnum.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 307 "./jsnum.h"
    case 2: 
      var $8=$3; //@line 308 "./jsnum.h"
      var $9=__ZNK2JS5Value7toInt32Ev($8); //@line 308 "./jsnum.h"
      var $10=$4; //@line 308 "./jsnum.h"
      HEAP32[(($10)>>2)]=$9; //@line 308 "./jsnum.h"
      $1=1; //@line 309 "./jsnum.h"
      __label__ = 4; break; //@line 309 "./jsnum.h"
    case 3: 
      var $12=$2; //@line 312 "./jsnum.h"
      var $13=$3; //@line 312 "./jsnum.h"
      var $14=$4; //@line 312 "./jsnum.h"
      var $15=__ZN2js16ValueToInt32SlowEP9JSContextRKN2JS5ValueEPi($12, $13, $14); //@line 312 "./jsnum.h"
      $1=$15; //@line 312 "./jsnum.h"
      __label__ = 4; break; //@line 312 "./jsnum.h"
    case 4: 
      var $17=$1; //@line 313 "./jsnum.h"
      ;
      return $17; //@line 313 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ValueToUint16EP9JSContextRKN2JS5ValueEPt($cx, $v, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $5=$3; //@line 323 "./jsnum.h"
      var $6=__ZNK2JS5Value7isInt32Ev($5); //@line 323 "./jsnum.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 323 "./jsnum.h"
    case 2: 
      var $8=$3; //@line 324 "./jsnum.h"
      var $9=__ZNK2JS5Value7toInt32Ev($8); //@line 324 "./jsnum.h"
      var $10=(($9) & 65535); //@line 324 "./jsnum.h"
      var $11=$4; //@line 324 "./jsnum.h"
      HEAP16[(($11)>>1)]=$10; //@line 324 "./jsnum.h"
      $1=1; //@line 325 "./jsnum.h"
      __label__ = 4; break; //@line 325 "./jsnum.h"
    case 3: 
      var $13=$2; //@line 328 "./jsnum.h"
      var $14=$3; //@line 328 "./jsnum.h"
      var $15=$4; //@line 328 "./jsnum.h"
      var $16=__ZN2js17ValueToUint16SlowEP9JSContextRKN2JS5ValueEPt($13, $14, $15); //@line 328 "./jsnum.h"
      $1=$16; //@line 328 "./jsnum.h"
      __label__ = 4; break; //@line 328 "./jsnum.h"
    case 4: 
      var $18=$1; //@line 329 "./jsnum.h"
      ;
      return $18; //@line 329 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ValueToBoolean($cx, $0, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3;
  var $4=__stackBase__+8;
  $2=$cx;
  var $5=$v;
  var $6=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
  $3=$bp;
  var $7=$2; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$v; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7, $4); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__Z17js_ValueToBooleanRKN2JS5ValueE($v); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($11)>>2)]=$10; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return 1; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_TypeOfValue($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  $2=$cx;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$v; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6, $3); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__ZN2js11TypeOfValueEP9JSContextRKN2JS5ValueE($9, $v); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_StrictlyEqual($cx, $0, $1, $equal) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $3;
  var $v1=__stackBase__;
  var $v2=__stackBase__+8;
  var $4;
  var $5=__stackBase__+16;
  var $6=__stackBase__+24;
  $3=$cx;
  var $7=$v1;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  var $9=$v2;
  var $10=$1;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
  $4=$equal;
  var $11=$3; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$5; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$v1; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$v2; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueES2_EEvP9JSContextT_T0_($11, $5, $6); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$3; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$4; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi($16, $v1, $v2, $17); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=(($18)&1); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $19; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js21assertSameCompartmentIN2JS5ValueES2_EEvP9JSContextT_T0_($cx, $0, $1) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $3;
  var $t1=__stackBase__;
  var $t2=__stackBase__+8;
  $3=$cx;
  var $4=$t1;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$t2;
  var $7=$1;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
  STACKTOP = __stackBase__;
  return; //@line 248 "./jscntxtinlines.h"
}


function _JS_LooselyEqual($cx, $0, $1, $equal) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $3;
  var $v1=__stackBase__;
  var $v2=__stackBase__+8;
  var $4;
  var $5=__stackBase__+16;
  var $6=__stackBase__+24;
  $3=$cx;
  var $7=$v1;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  var $9=$v2;
  var $10=$1;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
  $4=$equal;
  var $11=$3; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$5; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$v1; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$v2; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueES2_EEvP9JSContextT_T0_($11, $5, $6); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$3; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$4; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=__ZN2js12LooselyEqualEP9JSContextRKN2JS5ValueES5_Pi($16, $v1, $v2, $17); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=(($18)&1); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $19; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_BeginRequest($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EndRequest($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_YieldRequest($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SuspendRequest($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ResumeRequest($cx, $saveDepth) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$saveDepth;
  ;
  return; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsInRequest($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_Lock($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  ;
  return; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_Unlock($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  ;
  return; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js6Probes13createRuntimeEP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$rt;
  $ok=1; //@line 253 "./jsprobes.h"
  var $2=$ok; //@line 258 "./jsprobes.h"
  var $3=(($2) & 1); //@line 258 "./jsprobes.h"
  ;
  return $3; //@line 258 "./jsprobes.h"
}


function __ZN2js6Probes14destroyRuntimeEP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$rt;
  $ok=1; //@line 264 "./jsprobes.h"
  var $2=$ok; //@line 269 "./jsprobes.h"
  var $3=(($2) & 1); //@line 269 "./jsprobes.h"
  ;
  return $3; //@line 269 "./jsprobes.h"
}


function __ZN2js6Probes8shutdownEv() {
  ;
  var __label__;

  var $ok;
  $ok=1; //@line 275 "./jsprobes.h"
  var $1=$ok; //@line 280 "./jsprobes.h"
  var $2=(($1) & 1); //@line 280 "./jsprobes.h"
  ;
  return $2; //@line 280 "./jsprobes.h"
}


function __ZN2jsL13VersionNumberE9JSVersion($version) {
  ;
  var __label__;

  var $1;
  $1=$version;
  var $2=$1; //@line 866 "./jscntxt.h"
  var $3=$2 & 4095; //@line 866 "./jscntxt.h"
  ;
  return $3; //@line 866 "./jscntxt.h"
}


function _JS_GetRuntimePrivate($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+144236)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetRuntimePrivate($rt, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$data;
  var $3=$2; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+144236)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($5)>>2)]=$3; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetContextCallback($rt, $cxCallback) {
  ;
  var __label__;

  var $1;
  var $2;
  var $old;
  $1=$rt;
  $2=$cxCallback;
  var $3=$1; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+28)|0); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $old=$5; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7+28)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$old; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetContextPrivate($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+188)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetContextPrivate($cx, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$data;
  var $3=$2; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+188)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($5)>>2)]=$3; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetRuntime($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+52)|0); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_VersionToString($version) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      $2=$version;
      $i=0; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $4=$i; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=((__ZL6v2smap+($4<<3))|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+4)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $10=$i; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=((__ZL6v2smap+($10<<3))|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($13)|0)==(($14)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$i; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=((__ZL6v2smap+($17<<3))|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18+4)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$20; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $23=$i; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($23+1)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$24; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      $1=((STRING_TABLE.__str20213)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $27=$1; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $27; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SameValue($cx, $0, $1, $same) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $3;
  var $v1=__stackBase__;
  var $v2=__stackBase__+8;
  var $4;
  var $5=__stackBase__+16;
  var $6=__stackBase__+24;
  $3=$cx;
  var $7=$v1;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  var $9=$v2;
  var $10=$1;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
  $4=$same;
  var $11=$3; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$5; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$v1; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$v2; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueES2_EEvP9JSContextT_T0_($11, $5, $6); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$3; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$4; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=__ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi($16, $v1, $v2, $17); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=(($18)&1); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $19; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsBuiltinEvalFunction($fun) {
  ;
  var __label__;

  var $1;
  $1=$fun;
  var $2=$1; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZN2js16IsAnyBuiltinEvalEP10JSFunction($2); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3)&1); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsBuiltinFunctionConstructor($fun) {
  ;
  var __label__;

  var $1;
  $1=$fun;
  var $2=$1; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZN2js28IsBuiltinFunctionConstructorEP10JSFunction($2); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3)&1); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN9JSRuntimeC2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+8;
      var $5=__stackBase__+12;
      $1=$this;
      var $6=$1;
      var $7=(($6+4)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEC1ES3_($7, $2); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($6+48)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEEC1ES5_($8, $3); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($6+88)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES5_($9, $4); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($6+112)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEEC1ES3_($10, $5); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($6+144112)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($6+144120)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($6+144128)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($6+144140)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($6+144148)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($6+144228)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($6+144280)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      FUNCTION_TABLE[__ZN2js10ThreadDataC1Ev]($17); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($6+209940)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($18)>>2)]=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($6+209948)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN11JSAtomStateC1Ev($19); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($6+210584)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js13StaticStringsC1Ev($20); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($6+229032)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $23=(($6+144140)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($6+144140)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($25)>>2)]=$23; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=(($6+144140)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($6+144140)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27+4)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($28)>>2)]=$26; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      __label__ = 4; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $31=(($6+144228)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($6+144228)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($33)>>2)]=$31; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($6+144228)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=(($6+144228)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=(($35+4)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($36)>>2)]=$34; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSRuntimeC2Ev["X"]=1;

function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEEC1ES3_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEEC2ES3_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN11JSAtomStateC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN11JSAtomStateC2Ev($2); //@line 199 "./jsatom.h"
  ;
  return; //@line 199 "./jsatom.h"
}


function __ZN2js13StaticStringsC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13StaticStringsC2Ev($2); //@line 698 "./vm/String.h"
  ;
  return; //@line 698 "./vm/String.h"
}


function __ZN9JSRuntime4initEj($this, $maxbytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$maxbytes;
      var $4=$2;
      var $5=$3; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=__Z9js_InitGCP9JSRuntimej($4, $5); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6)|0)!=0; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $10=__ZN9JSRuntime4new_I13JSCompartmentPS_EEPT_T0_($4, $4); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($4)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($10)|0)!=0; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $14=(($4)|0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZN13JSCompartment4initEP9JSContext($15, 0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $18=(($4+4)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($4)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($18, $20); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $23=(($4)|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js10Foreground7delete_I13JSCompartmentEEvPT_($24); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $26=(($4)|0); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27+341)|0); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP8[($28)]=1; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($4)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN13JSCompartment14setGCLastBytesEj18JSGCInvocationKind($30, 8192, 0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=__Z16js_InitAtomStateP9JSRuntime($4); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31)|0)!=0; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      $1=0; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $35=(($4+229020)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($35)>>2)]=40; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=(($4+144220)|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP8[($36)]=0; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=__Z14js_InitThreadsP9JSRuntime($4); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=(($37)|0)!=0; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      $1=0; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $41=__ZN2js22InitRuntimeNumberStateEP9JSRuntime($4); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($41) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      $1=0; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      $1=1; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $45=$1; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $45; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSRuntime4initEj["X"]=1;

function __ZN9JSRuntime4new_I13JSCompartmentPS_EEPT_T0_($this, $p1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      $1=$this;
      $2=$p1;
      var $3=$1;
      var $4=__ZN9JSRuntime7malloc_EjP9JSContext($3, 1988, 0); //@line 761 "./jscntxt.h"
      $memory=$4; //@line 761 "./jscntxt.h"
      var $5=$memory; //@line 761 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 761 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 761 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 761 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 761 "./jscntxt.h"
      if ($9) { var $14 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 761 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 761 "./jscntxt.h"
      var $12=$2; //@line 761 "./jscntxt.h"
      FUNCTION_TABLE[__ZN13JSCompartmentC1EP9JSRuntime]($11, $12); //@line 761 "./jscntxt.h"
      var $14 = $11;__label__ = 4; break; //@line 761 "./jscntxt.h"
    case 4: 
      var $14; //@line 761 "./jscntxt.h"
      var $17 = $14;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 5: 
      var $17 = 0;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 6: 
      var $17; //@line 761 "./jscntxt.h"
      ;
      return $17; //@line 761 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+4)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+8)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_I13JSCompartmentEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      FUNCTION_TABLE[__ZN13JSCompartmentD1Ev]($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free272($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntimeD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js24FinishRuntimeNumberStateEP9JSRuntime($2); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z16js_FinishThreadsP9JSRuntime($2); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z18js_FinishAtomStateP9JSRuntime($2); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z11js_FinishGCP9JSRuntime($2); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+209948)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN11JSAtomStateD1Ev($3); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($2+144280)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  FUNCTION_TABLE[__ZN2js10ThreadDataD1Ev]($4); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($2+112)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEED1Ev($5); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($2+88)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev($6); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=(($2+48)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEED1Ev($7); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($2+4)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEED1Ev($8); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN11JSAtomStateD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN11JSAtomStateD2Ev($2); //@line 199 "./jsatom.h"
  ;
  return; //@line 199 "./jsatom.h"
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function _JS_Init($maxbytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $mem;
      var $rt;
      $2=$maxbytes;
      var $3=HEAP32[((__ZL22js_NewRuntimeWasCalled)>>2)]; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=(($3)|0)!=0; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($4) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      HEAP32[((__ZL22js_NewRuntimeWasCalled)>>2)]=1; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $7=__ZN2js11OffTheBooks7calloc_Ej(234944); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $mem=$7; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$mem; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)!=0; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $12=$mem; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0)==0; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { var $17 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $15=$12; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      FUNCTION_TABLE[__ZN9JSRuntimeC1Ev]($15); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17 = $15;__label__ = 7; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $17; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $rt=$17; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$rt; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$2; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__ZN9JSRuntime4initEj($18, $19); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $22=$rt; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_Finish($22); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $24=$rt; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__ZN2js6Probes13createRuntimeEP9JSRuntime($24); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$rt; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$26; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $28=$1; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $28; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks7calloc_Ej($bytes) {
  ;
  var __label__;

  var $1;
  $1=$bytes;
  var $2=$1; //@line 516 "./jsutil.h"
  var $3=_js_calloc299($2); //@line 516 "./jsutil.h"
  ;
  return $3; //@line 516 "./jsutil.h"
}


function _JS_Finish($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZN2js6Probes14destroyRuntimeEP9JSRuntime($2); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js10Foreground7delete_I9JSRuntimeEEvPT_($4); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js10Foreground7delete_I9JSRuntimeEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      FUNCTION_TABLE[__ZN9JSRuntimeD1Ev]($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free272($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ShutDown() {
  ;
  var __label__;

  var $1=__ZN2js6Probes8shutdownEv(); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewContext($rt, $stackChunkSize) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$stackChunkSize;
  var $3=$1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__Z13js_NewContextP9JSRuntimej($3, $4); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DestroyContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z17js_DestroyContextP9JSContext20JSDestroyContextMode($2, 2); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DestroyContextNoGC($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z17js_DestroyContextP9JSContext20JSDestroyContextMode($2, 0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DestroyContextMaybeGC($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z17js_DestroyContextP9JSContext20JSDestroyContextMode($2, 1); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ContextIterator($rt, $iterp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$iterp;
  var $3=$1; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__Z18js_ContextIteratorP9JSRuntimeiPP9JSContext($3, 1, $4); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetVersion($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZNK9JSContext11findVersionEv($2); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZN2jsL13VersionNumberE9JSVersion($3); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetVersion($cx, $newVersion) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $newVersionNumber;
      var $oldVersion;
      var $oldVersionNumber;
      $2=$cx;
      HEAP32[(($3)>>2)]=$newVersion;
      var $4=HEAP32[(($3)>>2)]; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $newVersionNumber=$4; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=__ZNK9JSContext11findVersionEv($5); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $oldVersion=$6; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$oldVersion; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2jsL13VersionNumberE9JSVersion($7); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $oldVersionNumber=$8; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$oldVersionNumber; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$newVersionNumber; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($9)|0)==(($10)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$oldVersionNumber; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$13; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $15=$newVersionNumber; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0)!=0; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$newVersionNumber; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0) <= 140; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$oldVersionNumber; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$21; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $23=$oldVersion; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2jsL16VersionCopyFlagsEP9JSVersionS0_($3, $23); //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$2; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=HEAP32[(($3)>>2)]; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__ZN9JSContext20maybeOverrideVersionE9JSVersion($24, $25); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$oldVersionNumber; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$27; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $29=$1; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16VersionCopyFlagsEP9JSVersionS0_($version, $from) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$version;
  $2=$from;
  var $3=$1; //@line 900 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 900 "./jscntxt.h"
  var $5=__ZN2jsL13VersionNumberE9JSVersion($4); //@line 900 "./jscntxt.h"
  var $6=$2; //@line 900 "./jscntxt.h"
  var $7=__ZN2jsL19VersionExtractFlagsE9JSVersion($6); //@line 900 "./jscntxt.h"
  var $8=$5 | $7; //@line 900 "./jscntxt.h"
  var $9=$1; //@line 900 "./jscntxt.h"
  HEAP32[(($9)>>2)]=$8; //@line 900 "./jscntxt.h"
  ;
  return; //@line 901 "./jscntxt.h"
}


function __ZN9JSContext20maybeOverrideVersionE9JSVersion($this, $newVersion) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$newVersion;
      var $4=$2;
      var $5=__ZNK9JSContext20canSetDefaultVersionEv($4); //@line 1075 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1075 "./jscntxt.h"
    case 2: 
      var $7=$3; //@line 1076 "./jscntxt.h"
      __ZN9JSContext17setDefaultVersionE9JSVersion($4, $7); //@line 1076 "./jscntxt.h"
      $1=0; //@line 1077 "./jscntxt.h"
      __label__ = 4; break; //@line 1077 "./jscntxt.h"
    case 3: 
      var $9=$3; //@line 1079 "./jscntxt.h"
      __ZN9JSContext15overrideVersionE9JSVersion($4, $9); //@line 1079 "./jscntxt.h"
      $1=1; //@line 1080 "./jscntxt.h"
      __label__ = 4; break; //@line 1080 "./jscntxt.h"
    case 4: 
      var $11=$1; //@line 1081 "./jscntxt.h"
      ;
      return $11; //@line 1081 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_StringToVersion($string) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      $2=$string;
      $i=0; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $4=$i; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=((__ZL6v2smap+($4<<3))|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+4)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $10=$i; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=((__ZL6v2smap+($10<<3))|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11+4)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=_strcmp($13, $14); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0)==0; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$i; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=((__ZL6v2smap+($18<<3))|0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19)|0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$21; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $24=$i; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24+1)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$25; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      $1=-1; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $28=$1; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $28; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetOptions($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZNK9JSContext10allOptionsEv($2); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZNK9JSContext10allOptionsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK9JSContext13getRunOptionsEv($2); //@line 1136 "./jscntxt.h"
  var $4=__ZNK9JSContext17getCompileOptionsEv($2); //@line 1136 "./jscntxt.h"
  var $5=$3 | $4; //@line 1136 "./jscntxt.h"
  ;
  return $5; //@line 1136 "./jscntxt.h"
}


function _JS_SetOptions($cx, $options) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $lock=__stackBase__;
  var $4;
  $2=$cx;
  $3=$options;
  var $5=$2; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($5+52)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $7); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__ZL16SetOptionsCommonP9JSContextj($8, $9); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$10; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $4=1;
  __ZN2js10AutoLockGCD1Ev($lock); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$1; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $11; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetImplementationVersion() {
  ;
  var __label__;

  ;
  return ((STRING_TABLE.__str21214)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_PropertyStub($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  ;
  return 1; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_StrictPropertyStub($cx, $obj, $id, $strict, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$strict;
  $5=$vp;
  ;
  return 1; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EnumerateStub($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ResolveStub($cx, $obj, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$id;
  ;
  return 1; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js8ValueifyEP12JSStackFrame($fp) {
  ;
  var __label__;

  var $1;
  $1=$fp;
  var $2=$1; //@line 1243 "./vm/Stack.h"
  var $3=$2; //@line 1243 "./vm/Stack.h"
  ;
  return $3; //@line 1243 "./vm/Stack.h"
}


function _JS_SetCompartmentCallback($rt, $callback) {
  ;
  var __label__;

  var $1;
  var $2;
  var $old;
  $1=$rt;
  $2=$callback;
  var $3=$1; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+32)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $old=$5; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7+32)|0); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$6; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$old; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetWrapObjectCallbacks($rt, $callback, $precallback) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $old;
  $1=$rt;
  $2=$callback;
  $3=$precallback;
  var $4=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+229020)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $old=$6; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$1; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8+229020)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($9)>>2)]=$7; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$1; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=(($11+229024)|0); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($12)>>2)]=$10; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$old; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $13; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetCompartmentPrivate($cx, $compartment, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $old;
  $1=$cx;
  $2=$compartment;
  $3=$data;
  var $4=$2; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+708)|0); //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $old=$6; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8+708)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($9)>>2)]=$7; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$old; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $10; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetCompartmentPrivate($cx, $compartment) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$compartment;
  var $3=$2; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+708)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL16SetOptionsCommonP9JSContextj($cx, $options) {
  ;
  var __label__;

  var $1;
  var $2;
  var $oldopts;
  var $newropts;
  var $newcopts;
  $1=$cx;
  $2=$options;
  var $3=$1; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZNK9JSContext10allOptionsEv($3); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $oldopts=$4; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$5 & 524223; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $newropts=$6; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$7 & 64; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $newcopts=$8; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$1; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$newropts; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSContext13setRunOptionsEj($9, $10); //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$1; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$newcopts; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSContext17setCompileOptionsEj($11, $12); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSContext16updateJITEnabledEv($13); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$oldopts; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $14; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ToggleOptions($cx, $options) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $lock=__stackBase__;
  var $oldopts;
  var $newopts;
  var $4;
  $2=$cx;
  $3=$options;
  var $5=$2; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($5+52)|0); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $7); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__ZNK9JSContext10allOptionsEv($8); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $oldopts=$9; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$oldopts; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$10 ^ $11; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $newopts=$12; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$2; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$newopts; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__ZL16SetOptionsCommonP9JSContextj($13, $14); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$15; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $4=1;
  __ZN2js10AutoLockGCD1Ev($lock); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EnterCrossCompartmentCall($cx, $target) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $call;
      $2=$cx;
      $3=$target;
      var $4=$2; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__ZN9JSContext4new_IN2js15AutoCompartmentEPS_P8JSObjectEEPT_T0_T1_($4, $5, $6); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $call=$7; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$call; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)!=0; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $12=$call; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZN2js15AutoCompartment5enterEv($12); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $15=$call; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js10Foreground7delete_INS_15AutoCompartmentEEEvPT_($15); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $17=$call; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$17; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$18; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $20=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $20; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_IN2js15AutoCompartmentEPS_P8JSObjectEEPT_T0_T1_($this, $p1, $p2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $memory;
      $1=$this;
      $2=$p1;
      $3=$p2;
      var $4=$1;
      var $5=__ZN9JSContext7malloc_Ej($4, 52); //@line 1291 "./jscntxt.h"
      $memory=$5; //@line 1291 "./jscntxt.h"
      var $6=$memory; //@line 1291 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 1291 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 1291 "./jscntxt.h"
      if ($10) { var $16 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 1291 "./jscntxt.h"
      var $13=$2; //@line 1291 "./jscntxt.h"
      var $14=$3; //@line 1291 "./jscntxt.h"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($12, $13, $14); //@line 1291 "./jscntxt.h"
      var $16 = $12;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $16; //@line 1291 "./jscntxt.h"
      var $19 = $16;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $19 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $19; //@line 1291 "./jscntxt.h"
      ;
      return $19; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_INS_15AutoCompartmentEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free272($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ConvertStub($cx, $obj, $type, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$type;
  $4=$vp;
  var $5=$1; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__ZN2js12DefaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($5, $6, $7, $8); //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewGlobalObject($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$clasp;
  var $3=$1; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN2jsL8ValueifyEP7JSClass($4); //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__ZN2js12GlobalObject6createEP9JSContextPNS_5ClassE($3, $5); //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EnterCrossCompartmentCallStackFrame($cx, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$target;
  var $3=$1; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN2js8ValueifyEP12JSStackFrame($4); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__ZNK2js10StackFrame10scopeChainEv($5); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZNK8JSObject9getGlobalEv($6); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$7; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=_JS_EnterCrossCompartmentCall($3, $8); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_LeaveCrossCompartmentCall($call) {
  ;
  var __label__;

  var $1;
  var $realcall;
  $1=$call;
  var $2=$1; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=$2; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $realcall=$3; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$realcall; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js15AutoCompartment5leaveEv($4); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$realcall; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js10Foreground7delete_INS_15AutoCompartmentEEEvPT_($5); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN22JSAutoEnterCompartment5enterEP9JSContextP8JSObject($this, $cx, $target) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$cx;
      $4=$target;
      var $5=$2;
      var $6=$3; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6+56)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZNK8JSObject14getCompartmentEv($9); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($8)|0)==(($10)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=(($5)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($13)>>2)]=1; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $15=$3; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$4; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=_JS_EnterCrossCompartmentCall($15, $16); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($5)|0); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($5)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$21; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $23=$1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $23; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject14getCompartmentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1612 "./jsgc.h"
  var $4=__ZNK2js2gc4Cell11compartmentEv($3); //@line 1612 "./jsgc.h"
  ;
  return $4; //@line 1612 "./jsgc.h"
}


function __ZN22JSAutoEnterCompartment20enterAndIgnoreErrorsEP9JSContextP8JSObject($this, $cx, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$target;
  var $4=$1;
  var $5=$2; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZN22JSAutoEnterCompartment5enterEP9JSContextP8JSObject($4, $5, $6); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2JS26AutoEnterScriptCompartment5enterEP9JSContextP8JSScript($this, $cx, $target) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$cx;
      $4=$target;
      var $5=$2;
      var $6=$3; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6+56)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$9; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK2js2gc4Cell11compartmentEv($10); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($8)|0)==(($11)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $14=(($5)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($14)>>2)]=1; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$3; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=_JS_EnterCrossCompartmentCallScript($16, $17); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($5)|0); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($5)|0); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)|0)!=0; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$22; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $24=$1; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $24; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS25AutoEnterFrameCompartment5enterEP9JSContextP12JSStackFrame($this, $cx, $target) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$cx;
      $4=$target;
      var $5=$2;
      var $6=$3; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6+56)|0); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZN2js8ValueifyEP12JSStackFrame($9); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK2js10StackFrame10scopeChainEv($10); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$11; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZNK2js2gc4Cell11compartmentEv($12); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($8)|0)==(($13)|0); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $16=$5; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16)|0); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($17)>>2)]=1; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $19=$3; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$4; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=_JS_EnterCrossCompartmentCallStackFrame($19, $20); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$5; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=(($22)|0); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($23)>>2)]=$21; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)|0); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$27; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $29=$1; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $29; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_WrapObject($cx, $objp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$objp;
  var $3=$1; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+56)|0); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($5, $6, $7); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8)&1); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_WrapValue($cx, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$vp;
  var $3=$1; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+56)|0); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($5, $6, $7); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8)&1); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_TransplantObject($cx, $origobj, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 256; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $destination;
      var $map;
      var $origv=__stackBase__;
      var $obj;
      var $p=__stackBase__+8;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      var $targetv=__stackBase__+24;
      var $vector;
      var $toTransplant=__stackBase__+32;
      var $7;
      var $p1;
      var $end;
      var $pmap;
      var $wp=__stackBase__+124;
      var $8=__stackBase__+128;
      var $begin;
      var $end2;
      var $wobj;
      var $wcompartment;
      var $pmap3;
      var $ac=__stackBase__+136;
      var $tobj=__stackBase__+188;
      var $9=__stackBase__+192;
      var $ac4=__stackBase__+200;
      var $tobj5=__stackBase__+252;
      $2=$cx;
      $3=$origobj;
      $4=$target;
      var $10=$4; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK8JSObject14getCompartmentEv($10); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $destination=$11; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$destination; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12+716)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $map=$13; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$3; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($origv, $14); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZNK8JSObject14getCompartmentEv($15); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$destination; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($16)|0)==(($17)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $20=$3; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$4; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($20)|0)!=(($21)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $24=$3; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$2; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$4; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=__ZN8JSObject4swapEP9JSContextPS_($24, $25, $26); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $30=$3; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$30; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $32=$map; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6lookupERKS2_($p, $32, $origv); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($5, $p); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$33.f0; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=(($34)|0)!=0; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $37=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($p); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=(($37+8)|0); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=__ZNK2JS5Value8toObjectEv($38); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$39; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$map; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=$6; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=$p; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS5_13MapHashPolicyES4_E3PtrE($40, $6); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$obj; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=$2; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=$4; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=__ZN8JSObject4swapEP9JSContextPS_($43, $44, $45); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      $1=0; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      __label__ = 11; break; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $50=$4; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$50; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $53=$obj; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($targetv, $53); //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=$2; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=(($54+52)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=(($56+4)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $vector=$57; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$2; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($toTransplant, $58); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=$toTransplant; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=$vector; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6lengthEv($60); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($59, $61); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($62) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 41; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $65=$vector; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($65); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $p1=$66; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=$vector; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $68=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($67); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $end=$68; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $70=$p1; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=$end; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $72=(($70)|0)!=(($71)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($72) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      var $74=$p1; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $76=(($75+716)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $pmap=$76; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=$pmap; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6lookupERKS2_($wp, $77, $origv); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($8, $wp); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78={ f0: HEAP32[(($8)>>2)], f1: HEAP32[(($8+4)>>2)] }; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $79=$78.f0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $80=(($79)|0)!=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($80) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $82=$toTransplant; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $83=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($wp); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $84=(($83+8)|0); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($82, $84); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 18; break; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      __label__ = 19; break; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      var $87=$p1; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=(($87+4)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $p1=$88; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      var $90=$toTransplant; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($90); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $begin=$91; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $92=$toTransplant; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $93=__ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv($92); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $end2=$93; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 21; break; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      var $95=$begin; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $96=$end2; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $97=(($95)|0)!=(($96)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($97) { __label__ = 22; break; } else { __label__ = 31; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      var $99=$begin; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $100=__ZNK2JS5Value8toObjectEv($99); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $wobj=$100; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $101=$wobj; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $102=$101; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $103=__ZNK2js2gc4Cell11compartmentEv($102); //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $wcompartment=$103; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $104=$wcompartment; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $105=(($104+716)|0); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $pmap3=$105; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $106=$pmap3; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeERKS2_($106, $origv); //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $107=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $108=$wobj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $107, $108); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $109=$obj; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($tobj)>>2)]=$109; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $110=__ZN2js15AutoCompartment5enterEv($ac); //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($110) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 23: 
      var $112=$wcompartment; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $113=$2; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $114=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($112, $113, $tobj); //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($114) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      $1=0; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 28; break; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 25: 
      var $117=$wobj; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $118=$2; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $119=HEAP32[(($tobj)>>2)]; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $120=__ZN8JSObject4swapEP9JSContextPS_($117, $118, $119); //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($120) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 26: 
      $1=0; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 28; break; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 27: 
      var $123=$pmap3; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $124=$wobj; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($9, $124); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $125=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3putERKS2_S7_($123, $targetv, $9); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=0; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 28; break; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 28: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 29; break;
      }
      else {
      __label__ = 41; break;
      }
      
    case 29: 
      __label__ = 30; break; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 30: 
      var $129=$begin; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $130=(($129+8)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $begin=$130; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 21; break; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 31: 
      var $132=$3; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $133=__ZNK8JSObject14getCompartmentEv($132); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $134=$destination; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $135=(($133)|0)!=(($134)|0); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($135) { __label__ = 32; break; } else { __label__ = 40; break; } //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 32: 
      var $137=$2; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $138=$3; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac4, $137, $138); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $139=$obj; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($tobj5)>>2)]=$139; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $140=__ZN2js15AutoCompartment5enterEv($ac4); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($140) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 33: 
      var $142=$2; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $143=_JS_WrapObject($142, $tobj5); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $144=(($143)|0)!=0; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($144) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 34: 
      $1=0; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 38; break; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 35: 
      var $147=$3; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $148=$2; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $149=HEAP32[(($tobj5)>>2)]; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $150=__ZN8JSObject4swapEP9JSContextPS_($147, $148, $149); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($150) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 36: 
      $1=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 38; break; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 37: 
      var $153=$3; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $154=__ZNK8JSObject14getCompartmentEv($153); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $155=(($154+716)|0); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $156=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3putERKS2_S7_($155, $targetv, $origv); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=0; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 38; break; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 38: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac4); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $cleanup_dest6=$7;
      if ((($cleanup_dest6)|0) == 0) {
        __label__ = 39; break;
      }
      else {
      __label__ = 41; break;
      }
      
    case 39: 
      __label__ = 40; break; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 40: 
      var $160=$obj; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$160; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 41; break; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 41: 
      __ZN2js15AutoValueVectorD1Ev($toTransplant); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break;
    case 42: 
      var $163=$1; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $163; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_TransplantObject["X"]=1;

function _JS_EnterCrossCompartmentCallScript($cx, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $scriptObject;
      var $sc=__stackBase__;
      var $4;
      $2=$cx;
      $3=$target;
      var $5=$3; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+84)|0); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$6; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $scriptObject=$8; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$scriptObject; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$2; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$3; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$13; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZNK2js2gc4Cell11compartmentEv($14); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js19SwitchToCompartmentC1EP9JSContextP13JSCompartment($sc, $12, $15); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$2; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=_JS_NewGlobalObject($16, _js_dummy_class); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $scriptObject=$17; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$scriptObject; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      $1=0; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=1;
      __label__ = 5; break; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $4=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __ZN2js19SwitchToCompartmentD1Ev($sc); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 6: 
      __label__ = 7; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $25=$2; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$scriptObject; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=_JS_EnterCrossCompartmentCall($25, $26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $29=$1; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($cx, $t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$t1;
  $3=$t2;
  ;
  return; //@line 248 "./jscntxtinlines.h"
}


function _JSID_TO_STRING243($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+8)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function _JS_GetGlobalObject($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+132)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2JSL11ObjectValueER8JSObject239($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 42, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS5_13MapHashPolicyES4_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeENSB_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($this, $newLength) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newLength;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2425 "./jscntxt.h"
  var $5=$2; //@line 2425 "./jscntxt.h"
  var $6=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7reserveEj($4, $5); //@line 2425 "./jscntxt.h"
  ;
  return $6; //@line 2425 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2397 "./jscntxt.h"
  var $5=$2; //@line 2397 "./jscntxt.h"
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE16infallibleAppendERKS2_($4, $5); //@line 2397 "./jscntxt.h"
  ;
  return; //@line 2397 "./jscntxt.h"
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeERKS2_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+12;
      $1=$this;
      $2=$l;
      var $5=$1;
      var $6=$2; //@line 1166 "./jshashtable.h"
      __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6lookupERKS2_($p, $5, $6); //@line 1166 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($3, $p); //@line 1166 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1166 "./jshashtable.h"
      var $8=$7.f0; //@line 1166 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1166 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1166 "./jshashtable.h"
    case 2: 
      var $11=$4; //@line 1167 "./jshashtable.h"
      var $12=$p; //@line 1167 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 1167 "./jshashtable.h"
      __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS5_13MapHashPolicyES4_E3PtrE($5, $4); //@line 1167 "./jshashtable.h"
      __label__ = 3; break; //@line 1167 "./jshashtable.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1168 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3putERKS2_S7_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$k;
      $4=$v;
      var $6=$2;
      var $7=$3; //@line 1140 "./jshashtable.h"
      __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE12lookupForAddERKS2_($p, $6, $7); //@line 1140 "./jshashtable.h"
      var $8=$p; //@line 1141 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($5, $8); //@line 1141 "./jshashtable.h"
      var $9={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1141 "./jshashtable.h"
      var $10=$9.f0; //@line 1141 "./jshashtable.h"
      var $11=(($10)|0)!=0; //@line 1141 "./jshashtable.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1141 "./jshashtable.h"
    case 2: 
      var $13=$p; //@line 1142 "./jshashtable.h"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($13); //@line 1142 "./jshashtable.h"
      var $15=(($14+8)|0); //@line 1142 "./jshashtable.h"
      var $16=$4; //@line 1142 "./jshashtable.h"
      var $17=$15; //@line 1142 "./jshashtable.h"
      var $18=$16; //@line 1142 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1142 "./jshashtable.h"
      var $19=$p; //@line 1143 "./jshashtable.h"
      var $20=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrdeEv($19); //@line 1143 "./jshashtable.h"
      $1=$20; //@line 1143 "./jshashtable.h"
      __label__ = 7; break; //@line 1143 "./jshashtable.h"
    case 3: 
      var $22=$3; //@line 1145 "./jshashtable.h"
      var $23=$4; //@line 1145 "./jshashtable.h"
      var $24=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS5_13MapHashPolicyES4_E6AddPtrERKS2_SF_($6, $p, $22, $23); //@line 1145 "./jshashtable.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1145 "./jshashtable.h"
    case 4: 
      var $26=$p; //@line 1145 "./jshashtable.h"
      var $27=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrdeEv($26); //@line 1145 "./jshashtable.h"
      var $30 = $27;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 5: 
      var $30 = 0;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 6: 
      var $30; //@line 1145 "./jshashtable.h"
      $1=$30; //@line 1145 "./jshashtable.h"
      __label__ = 7; break; //@line 1145 "./jshashtable.h"
    case 7: 
      var $32=$1; //@line 1146 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $32; //@line 1146 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_TransplantObjectWithWrapper($cx, $origobj, $origwrapper, $targetobj, $targetwrapper) {
  var __stackBase__  = STACKTOP; STACKTOP += 264; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $obj;
      var $destination;
      var $map;
      var $origv=__stackBase__;
      var $p=__stackBase__+8;
      var $7=__stackBase__+12;
      var $8=__stackBase__+20;
      var $targetv=__stackBase__+24;
      var $vector;
      var $toTransplant=__stackBase__+32;
      var $9;
      var $p1;
      var $end;
      var $pmap;
      var $wp=__stackBase__+124;
      var $10=__stackBase__+128;
      var $begin;
      var $end2;
      var $wobj;
      var $wcompartment;
      var $pmap3;
      var $ac=__stackBase__+136;
      var $tobj=__stackBase__+188;
      var $11=__stackBase__+192;
      var $ac4=__stackBase__+200;
      var $tobj5=__stackBase__+252;
      var $12=__stackBase__+256;
      $2=$cx;
      $3=$origobj;
      $4=$origwrapper;
      $5=$targetobj;
      $6=$targetwrapper;
      var $13=$5; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZNK8JSObject14getCompartmentEv($13); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $destination=$14; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$destination; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15+716)|0); //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $map=$16; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$3; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($origv, $17); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$map; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6lookupERKS2_($p, $18, $origv); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($7, $p); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19={ f0: HEAP32[(($7)>>2)], f1: HEAP32[(($7+4)>>2)] }; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$19.f0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $23=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($p); //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($23+8)|0); //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__ZNK2JS5Value8toObjectEv($24); //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$25; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$map; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$8; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$p; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS5_13MapHashPolicyES4_E3PtrE($26, $8); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$obj; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$2; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$6; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=__ZN8JSObject4swapEP9JSContextPS_($29, $30, $31); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($32) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      $1=0; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 34; break; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      __label__ = 6; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $36=$6; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$36; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break;
    case 6: 
      var $38=$5; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($targetv, $38); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$2; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=(($39+52)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=(($41+4)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $vector=$42; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$2; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($toTransplant, $43); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=$toTransplant; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=$vector; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6lengthEv($45); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($44, $46); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      $1=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $9=1;
      __label__ = 33; break; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $50=$vector; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($50); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $p1=$51; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=$vector; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($52); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $end=$53; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $55=$p1; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=$end; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=(($55)|0)!=(($56)|0); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $59=$p1; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=(($60+716)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $pmap=$61; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=$pmap; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6lookupERKS2_($wp, $62, $origv); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($10, $wp); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63={ f0: HEAP32[(($10)>>2)], f1: HEAP32[(($10+4)>>2)] }; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=$63.f0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=(($64)|0)!=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($65) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $67=$toTransplant; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $68=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($wp); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $69=(($68+8)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($67, $69); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      __label__ = 13; break; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      var $72=$p1; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $73=(($72+4)|0); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $p1=$73; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $75=$toTransplant; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $76=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($75); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $begin=$76; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=$toTransplant; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=__ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv($77); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $end2=$78; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $80=$begin; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $81=$end2; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=(($80)|0)!=(($81)|0); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($82) { __label__ = 16; break; } else { __label__ = 25; break; } //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      var $84=$begin; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85=__ZNK2JS5Value8toObjectEv($84); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $wobj=$85; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $86=$wobj; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $87=$86; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=__ZNK2js2gc4Cell11compartmentEv($87); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $wcompartment=$88; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $89=$wcompartment; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $90=(($89+716)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $pmap3=$90; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=$pmap3; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeERKS2_($91, $origv); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $92=$2; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $93=$wobj; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $92, $93); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $94=$5; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($tobj)>>2)]=$94; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $95=__ZN2js15AutoCompartment5enterEv($ac); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($95) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $97=$wcompartment; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $98=$2; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $99=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($97, $98, $tobj); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($99) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      $1=0; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $9=1;
      __label__ = 22; break; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      var $102=$wobj; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $103=$2; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $104=HEAP32[(($tobj)>>2)]; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $105=__ZN8JSObject4swapEP9JSContextPS_($102, $103, $104); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($105) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      $1=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $9=1;
      __label__ = 22; break; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      var $108=$pmap3; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $109=$wobj; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($11, $109); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $110=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3putERKS2_S7_($108, $targetv, $11); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $9=0; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 22; break; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $cleanup_dest=$9;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 23; break;
      }
      else {
      __label__ = 33; break;
      }
      
    case 23: 
      __label__ = 24; break; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      var $114=$begin; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $115=(($114+8)|0); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $begin=$115; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 25: 
      var $117=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $118=$3; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac4, $117, $118); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $119=$obj; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($tobj5)>>2)]=$119; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $120=__ZN2js15AutoCompartment5enterEv($ac4); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($120) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 26: 
      var $122=$2; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $123=_JS_WrapObject($122, $tobj5); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $124=(($123)|0)!=0; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($124) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 27: 
      $1=0; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $9=1;
      __label__ = 31; break; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 28: 
      var $127=$4; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $128=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $129=HEAP32[(($tobj5)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $130=__ZN8JSObject4swapEP9JSContextPS_($127, $128, $129); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($130) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 29: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $9=1;
      __label__ = 31; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 30: 
      var $133=$4; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $134=__ZNK8JSObject14getCompartmentEv($133); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $135=(($134+716)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $136=$4; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($12, $136); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $137=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3putERKS2_S7_($135, $targetv, $12); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $9=0; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 31; break; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 31: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac4); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $cleanup_dest6=$9;
      if ((($cleanup_dest6)|0) == 0) {
        __label__ = 32; break;
      }
      else {
      __label__ = 33; break;
      }
      
    case 32: 
      var $140=$obj; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$140; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $9=1;
      __label__ = 33; break; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 33: 
      __ZN2js15AutoValueVectorD1Ev($toTransplant); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 34; break;
    case 34: 
      var $143=$1; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $143; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_TransplantObjectWithWrapper["X"]=1;

function _JS_SetGlobalObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=$1; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4+132)|0); //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($5)>>2)]=$3; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$1; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__ZNK9JSContext5hasfpEv($6); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $9=$1; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext16resetCompartmentEv($9); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      ;
      return; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_InitStandardClasses($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=(($3+132)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5)|0)!=0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $8=$1; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$2; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_SetGlobalObject($8, $9); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$1; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($11, $12); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$2; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZN8JSObject8asGlobalEv($13); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$1; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZN2js12GlobalObject19initStandardClassesEP9JSContext($14, $15); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16)&1); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $17; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ResolveStandardClass($cx, $obj, $id, $resolved) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $idstr;
      var $rt;
      var $atom;
      var $stdnm;
      var $i;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$resolved;
      var $7=$2; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($7, $8, $9); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$5; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($10)>>2)]=0; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$2; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11+52)|0); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $rt=$13; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$rt; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14+24)|0); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16)|0)==3; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $19=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__ZL12JSID_IS_ATOMi242($19); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      $1=1; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $24=$4; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=_JSID_TO_STRING243($24); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $idstr=$25; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$rt; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26+209948)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27+36)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$30; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$31; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$idstr; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$atom; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$33; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=(($32)|0)==(($34)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $37=$5; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($37)>>2)]=1; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$3; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$2; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$atom; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom244($40); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL14UndefinedValueEv245($6); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $41, $6, 8, 10, 6); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$42; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $stdnm=0; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=0; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $45=$i; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=((__ZL20standard_class_atoms+($45<<4))|0); //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=(($46)|0); //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=(($48)|0)!=0; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $51=$rt; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=(($51+209948)|0); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=$52; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=$i; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=((__ZL20standard_class_atoms+($54<<4))|0); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=(($55+4)|0); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=(($53+$57)|0); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=$58; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$60; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=$idstr; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=$atom; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63=$62; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=(($61)|0)==(($63)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($64) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $66=$i; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=((__ZL20standard_class_atoms+($66<<4))|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $stdnm=$67; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      __label__ = 11; break; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $70=$i; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=(($70+1)|0); //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$71; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $73=$stdnm; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $74=(($73)|0)!=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($74) { __label__ = 33; break; } else { __label__ = 13; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      $i=0; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $77=$i; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=((__ZL20standard_class_names+($77<<4))|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $79=(($78)|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $81=(($80)|0)!=0; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($81) { __label__ = 15; break; } else { __label__ = 21; break; } //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $83=$2; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $84=$i; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85=((__ZL20standard_class_names+($84<<4))|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $86=__ZL13StdNameToAtomP9JSContextP9JSStdName($83, $85); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$86; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $87=$atom; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=(($87)|0)!=0; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($88) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      $1=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $91=$idstr; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $92=$atom; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $93=$92; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $94=(($91)|0)==(($93)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($94) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      var $96=$i; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $97=((__ZL20standard_class_names+($96<<4))|0); //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $stdnm=$97; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 21; break; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      __label__ = 20; break; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      var $100=$i; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $101=(($100+1)|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$101; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      var $103=$stdnm; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $104=(($103)|0)!=0; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($104) { __label__ = 32; break; } else { __label__ = 22; break; } //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      var $106=$3; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $107=__ZNK8JSObject8getProtoEv($106); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $108=(($107)|0)!=0; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($108) { __label__ = 32; break; } else { __label__ = 23; break; } //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 23: 
      $i=0; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      var $111=$i; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $112=((__ZL22object_prototype_names+($111<<4))|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $113=(($112)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $115=(($114)|0)!=0; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($115) { __label__ = 25; break; } else { __label__ = 31; break; } //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 25: 
      var $117=$2; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $118=$i; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $119=((__ZL22object_prototype_names+($118<<4))|0); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $120=__ZL13StdNameToAtomP9JSContextP9JSStdName($117, $119); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$120; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $121=$atom; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $122=(($121)|0)!=0; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($122) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 26: 
      $1=0; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 27: 
      var $125=$idstr; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $126=$atom; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $127=$126; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $128=(($125)|0)==(($127)|0); //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($128) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 28: 
      var $130=$i; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $131=((__ZL22object_prototype_names+($130<<4))|0); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $stdnm=$131; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 31; break; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 29: 
      __label__ = 30; break; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 30: 
      var $134=$i; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $135=(($134+1)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$135; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 31: 
      __label__ = 32; break; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 32: 
      __label__ = 33; break; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 33: 
      var $139=$stdnm; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $140=(($139)|0)!=0; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($140) { __label__ = 34; break; } else { __label__ = 41; break; } //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 34: 
      var $142=$stdnm; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $143=(($142+12)|0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $145=(($144+4)|0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $147=$146 & 131072; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $148=(($147)|0)!=0; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($148) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 35: 
      $1=1; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 36: 
      var $151=$3; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $152=$stdnm; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $153=(($152+12)|0); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $155=__ZN2js23IsStandardClassResolvedEP8JSObjectPNS_5ClassE($151, $154); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($155) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 37: 
      $1=1; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 38: 
      var $158=$stdnm; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $159=(($158)|0); //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $161=$2; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $162=$3; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $163=FUNCTION_TABLE[$160]($161, $162); //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $164=(($163)|0)!=0; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($164) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 39: 
      $1=0; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 40: 
      var $167=$5; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($167)>>2)]=1; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 41; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 41: 
      $1=1; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 42; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 42: 
      var $170=$1; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $170; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ResolveStandardClass["X"]=1;

function __ZL12JSID_IS_ATOMi242($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING293($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZL12ATOM_TO_JSIDP6JSAtom244($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj300($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2JSL14UndefinedValueEv245($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZL13StdNameToAtomP9JSContextP9JSStdName($cx, $stdn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $offset;
      var $atom;
      var $name;
      $1=$cx;
      $2=$stdn;
      var $3=$2; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=(($3+4)|0); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $offset=$5; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$1; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6+52)|0); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8+209948)|0); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$9; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$offset; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($10+$11)|0); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$12; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$14; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$atom; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0)!=0; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $18=$2; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18+8)|0); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $name=$20; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$name; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)|0)!=0; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $24=$1; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$name; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$name; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=_strlen($26); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($24, $25, $27, 1, 0); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$28; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$atom; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$1; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=(($30+52)|0); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32+209948)|0); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$33; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$offset; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=(($34+$35)|0); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=$36; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($37)>>2)]=$29; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      __label__ = 5; break; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $40=$atom; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $40; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13StdNameToAtomP9JSContextP9JSStdName["X"]=1;

function __ZN2js21assertSameCompartmentIP8JSObjectP9JSIdArrayEEvP9JSContextT_T0_($cx, $t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$t1;
  $3=$t2;
  ;
  return; //@line 248 "./jscntxtinlines.h"
}


function _JS_CANONICALIZE_NAN($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $l=__stackBase__;
      $2=$d;
      var $3=$2; //@line 1013 "./jsval.h"
      var $4=$2; //@line 1013 "./jsval.h"
      var $5=$3 != $4; //@line 1013 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1013 "./jsval.h"
    case 2: 
      var $7=$l; //@line 1015 "./jsval.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=2146959360;
      var $st$3$0=(($7)|0);
      HEAP32[(($st$3$0)>>2)]=$$emscripten$temp$0$0;
      var $st$3$1=(($7+4)|0);
      HEAP32[(($st$3$1)>>2)]=$$emscripten$temp$0$1;
      var $8=$l; //@line 1016 "./jsval.h"
      var $9=(tempDoubleI32[0]=HEAP32[(($8)>>2)],tempDoubleI32[1]=HEAP32[(($8+4)>>2)],tempDoubleF64[0]); //@line 1016 "./jsval.h"
      $1=$9; //@line 1016 "./jsval.h"
      __label__ = 4; break; //@line 1016 "./jsval.h"
    case 3: 
      var $11=$2; //@line 1018 "./jsval.h"
      $1=$11; //@line 1018 "./jsval.h"
      __label__ = 4; break; //@line 1018 "./jsval.h"
    case 4: 
      var $13=$1; //@line 1019 "./jsval.h"
      STACKTOP = __stackBase__;
      return $13; //@line 1019 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_EnumerateStandardClasses($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rt;
      var $atom;
      var $i;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$2; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7+52)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $rt=$9; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$rt; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10+209948)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11+36)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$14; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$15; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$3; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$2; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$atom; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=__ZL12ATOM_TO_JSIDP6JSAtom244($18); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__ZN8JSObject14nativeContainsEP9JSContexti($16, $17, $19); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $22=$3; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$2; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$atom; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__ZL12ATOM_TO_JSIDP6JSAtom244($24); //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL14UndefinedValueEv245($4); //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($22, $23, $25, $4, 8, 10, 6); //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      $1=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $i=0; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $31=$i; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=((__ZL20standard_class_atoms+($31<<4))|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=(($34)|0)!=0; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $37=$3; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$i; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=((__ZL20standard_class_atoms+($38<<4))|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=(($39+12)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=__ZN2js23IsStandardClassResolvedEP8JSObjectPNS_5ClassE($37, $41); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $44=$i; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=((__ZL20standard_class_atoms+($44<<4))|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=(($45)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$2; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$3; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=FUNCTION_TABLE[$47]($48, $49); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=(($50)|0)!=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      $1=0; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      __label__ = 10; break; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $55=$i; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=(($55+1)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$56; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      $1=1; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $59=$1; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_EnumerateStandardClasses["X"]=1;

function __ZN8JSObject14nativeContainsEP9JSContexti($this, $cx, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$id;
  var $4=$1;
  var $5=$2; //@line 1036 "./jsobjinlines.h"
  var $6=$3; //@line 1036 "./jsobjinlines.h"
  var $7=__ZN8JSObject12nativeLookupEP9JSContexti($4, $5, $6); //@line 1036 "./jsobjinlines.h"
  var $8=(($7)|0)!=0; //@line 1036 "./jsobjinlines.h"
  ;
  return $8; //@line 1036 "./jsobjinlines.h"
}


function __ZN2js10NewIdArrayEP9JSContexti($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ida;
      $1=$cx;
      $2=$length;
      var $3=$1; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=$2; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=((($4<<3))|0); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+4)|0); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__ZN9JSContext7calloc_Ej($3, $6); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$7; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ida=$8; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$ida; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$2; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$ida; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0); //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($14)>>2)]=$12; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$ida; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $16; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_EnumerateResolvedStandardClasses($cx, $obj, $ida) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rt;
      var $i=__stackBase__;
      var $j;
      var $k;
      var $atom;
      var $found=__stackBase__+4;
      var $init;
      $2=$cx;
      $3=$obj;
      $4=$ida;
      var $5=$2; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectP9JSIdArrayEEvP9JSContextT_T0_($5, $6, $7); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8+52)|0); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $rt=$10; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$4; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $14=$4; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0); //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($i)>>2)]=$16; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $18=$2; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=__ZN2js10NewIdArrayEP9JSContexti($18, 8); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$19; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$4; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 33; break; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      HEAP32[(($i)>>2)]=0; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break;
    case 6: 
      var $25=$rt; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=(($25+209948)|0); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26+36)|0); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27)|0); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$29; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$30; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$2; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$3; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$atom; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$4; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=__ZL19EnumerateIfResolvedP9JSContextP8JSObjectP6JSAtomP9JSIdArrayPiS7_($31, $32, $33, $34, $i, $found); //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$35; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$4; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($36)|0)!=0; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      $1=0; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 33; break; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      $j=0; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $41=$j; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=((__ZL20standard_class_atoms+($41<<4))|0); //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=(($42)|0); //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=(($44)|0)!=0; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 32; break; } //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $47=$rt; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=(($47+209948)|0); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$48; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=$j; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=((__ZL20standard_class_atoms+($50<<4))|0); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=(($51+4)|0); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=(($49+$53)|0); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=$54; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$56; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=$2; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$3; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=$atom; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=$4; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=__ZL19EnumerateIfResolvedP9JSContextP8JSObjectP6JSAtomP9JSIdArrayPiS7_($57, $58, $59, $60, $i, $found); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$61; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=$4; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63=(($62)|0)!=0; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      $1=0; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 33; break; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $66=HEAP32[(($found)>>2)]; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=(($66)|0)!=0; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 30; break; } //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      var $69=$j; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $70=((__ZL20standard_class_atoms+($69<<4))|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=(($70)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $init=$72; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $k=0; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $74=$k; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $75=((__ZL20standard_class_names+($74<<4))|0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $76=(($75)|0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=(($77)|0)!=0; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($78) { __label__ = 15; break; } else { __label__ = 21; break; } //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $80=$k; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $81=((__ZL20standard_class_names+($80<<4))|0); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=(($81)|0); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $84=$init; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85=(($83)|0)==(($84)|0); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($85) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      var $87=$2; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=$k; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $89=((__ZL20standard_class_names+($88<<4))|0); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $90=__ZL13StdNameToAtomP9JSContextP9JSStdName($87, $89); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$90; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=$2; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $92=$atom; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $93=$4; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $94=__ZL14AddAtomToArrayP9JSContextP6JSAtomP9JSIdArrayPi($91, $92, $93, $i); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$94; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $95=$4; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $96=(($95)|0)!=0; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($96) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      $1=0; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 33; break; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      __label__ = 19; break; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      __label__ = 20; break; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      var $101=$k; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $102=(($101+1)|0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $k=$102; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      var $104=$init; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $105=(($104)|0)==44; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($105) { __label__ = 22; break; } else { __label__ = 29; break; } //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      $k=0; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 23; break; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 23: 
      var $108=$k; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $109=((__ZL22object_prototype_names+($108<<4))|0); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $110=(($109)|0); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $112=(($111)|0)!=0; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($112) { __label__ = 24; break; } else { __label__ = 28; break; } //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      var $114=$2; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $115=$k; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $116=((__ZL22object_prototype_names+($115<<4))|0); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $117=__ZL13StdNameToAtomP9JSContextP9JSStdName($114, $116); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$117; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $118=$2; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $119=$atom; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $120=$4; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $121=__ZL14AddAtomToArrayP9JSContextP6JSAtomP9JSIdArrayPi($118, $119, $120, $i); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$121; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $122=$4; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $123=(($122)|0)!=0; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($123) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 25: 
      $1=0; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 33; break; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 26: 
      __label__ = 27; break; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 27: 
      var $127=$k; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $128=(($127+1)|0); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $k=$128; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 23; break; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 28: 
      __label__ = 29; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 29: 
      __label__ = 30; break; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 30: 
      __label__ = 31; break; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 31: 
      var $133=$j; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $134=(($133+1)|0); //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $j=$134; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 32: 
      var $136=$2; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $137=$4; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $138=HEAP32[(($i)>>2)]; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $139=__ZL16SetIdArrayLengthP9JSContextP9JSIdArrayi($136, $137, $138); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$139; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 33; break; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 33: 
      var $141=$1; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $141; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_EnumerateResolvedStandardClasses["X"]=1;

function __ZL19EnumerateIfResolvedP9JSContextP8JSObjectP6JSAtomP9JSIdArrayPiS7_($cx, $obj, $atom, $ida, $ip, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $1=$cx;
      $2=$obj;
      $3=$atom;
      $4=$ida;
      $5=$ip;
      $6=$foundp;
      var $7=$2; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$1; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZL12ATOM_TO_JSIDP6JSAtom244($9); //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZN8JSObject14nativeContainsEP9JSContexti($7, $8, $10); //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)&1); //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$6; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$6; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0)!=0; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $18=$1; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$3; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$4; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$5; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__ZL14AddAtomToArrayP9JSContextP6JSAtomP9JSIdArrayPi($18, $19, $20, $21); //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$22; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $24=$4; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $24; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14AddAtomToArrayP9JSContextP6JSAtomP9JSIdArrayPi($cx, $atom, $ida, $ip) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      var $length;
      $2=$cx;
      $3=$atom;
      $4=$ida;
      $5=$ip;
      var $6=$5; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$7; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $length=$10; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$i; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$length; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($11)|0) >= (($12)|0); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $15=$2; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$4; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$length; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=((($17<<1))|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0) > 8; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $21=$length; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=((($21<<1))|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25 = $22;__label__ = 5; break; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $25 = 8;__label__ = 5; break; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $25; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__ZL16SetIdArrayLengthP9JSContextP9JSIdArrayi($15, $16, $25); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$26; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$4; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27)|0)!=0; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $1=0; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      __label__ = 8; break; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $32=$3; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=__ZL12ATOM_TO_JSIDP6JSAtom244($32); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$i; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$4; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=(($35+4)|0); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($36+($34<<2))|0); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($37)>>2)]=$33; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$i; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=(($38+1)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$5; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($40)>>2)]=$39; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=$4; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$41; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $43=$1; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $43; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14AddAtomToArrayP9JSContextP6JSAtomP9JSIdArrayPi["X"]=1;

function __ZL16SetIdArrayLengthP9JSContextP9JSIdArrayi($cx, $ida, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rida;
      $1=$cx;
      $2=$ida;
      $3=$length;
      var $4=$1; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$5; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=((($7<<3))|0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8+4)|0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=_JS_realloc($4, $6, $9); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$10; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $rida=$11; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$rida; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0)!=0; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $15=$1; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$2; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_DestroyIdArray($15, $16); //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $18=$3; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$rida; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19)|0); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($20)>>2)]=$18; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break;
    case 4: 
      var $22=$rida; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $22; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetClassObject($cx, $obj, $key, $objp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$key;
  $4=$objp;
  var $5=$1; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__Z17js_GetClassObjectP9JSContextP8JSObject10JSProtoKeyPS2_($7, $8, $9, $10); //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $11; //@line 1954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetScopeChain($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZN2js13GetScopeChainEP9JSContext($2); //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetGlobalForObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$1; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($3, $4); //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__ZNK8JSObject9getGlobalEv($5); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetGlobalForScopeChain($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZN2jsL22GetGlobalForScopeChainEP9JSContext($2); //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$3; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2jsL22GetGlobalForScopeChainEP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $scope=__stackBase__;
      $2=$cx;
      var $3=$2; //@line 87 "./jscntxtinlines.h"
      var $4=__ZNK9JSContext5hasfpEv($3); //@line 87 "./jscntxtinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 87 "./jscntxtinlines.h"
    case 2: 
      var $6=$2; //@line 88 "./jscntxtinlines.h"
      var $7=__ZNK9JSContext2fpEv($6); //@line 88 "./jscntxtinlines.h"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 88 "./jscntxtinlines.h"
      var $9=__ZNK8JSObject9getGlobalEv($8); //@line 88 "./jscntxtinlines.h"
      $1=$9; //@line 88 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 88 "./jscntxtinlines.h"
    case 3: 
      var $11=$2; //@line 90 "./jscntxtinlines.h"
      var $12=(($11+132)|0); //@line 90 "./jscntxtinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 90 "./jscntxtinlines.h"
      HEAP32[(($scope)>>2)]=$13; //@line 90 "./jscntxtinlines.h"
      var $14=$2; //@line 91 "./jscntxtinlines.h"
      var $15=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($14, $scope); //@line 91 "./jscntxtinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 91 "./jscntxtinlines.h"
    case 4: 
      $1=0; //@line 92 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 92 "./jscntxtinlines.h"
    case 5: 
      var $18=HEAP32[(($scope)>>2)]; //@line 93 "./jscntxtinlines.h"
      var $19=__ZN8JSObject8asGlobalEv($18); //@line 93 "./jscntxtinlines.h"
      $1=$19; //@line 93 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 93 "./jscntxtinlines.h"
    case 6: 
      var $21=$1; //@line 94 "./jscntxtinlines.h"
      STACKTOP = __stackBase__;
      return $21; //@line 94 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ComputeThis($agg_result, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $call=__stackBase__+8;
      $1=$cx;
      $2=$vp;
      var $4=$1; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN12JSValueArrayC1EPN2JS5ValueEj($3, $5, 2); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentI12JSValueArrayEEvP9JSContextT_($4, $3); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$2; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js18CallReceiverFromVpEPN2JS5ValueE($call, $6); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$1; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js16BoxNonStrictThisEP9JSContextRKNS_12CallReceiverE($7, $call); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $10=$agg_result; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $12=__ZNK2js12CallReceiver5thisvEv($call); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$agg_result; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$12; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18CallReceiverFromVpEPN2JS5ValueE($agg_result, $vp) {
  ;
  var __label__;

  var $1;
  $1=$vp;
  var $2=$1; //@line 228 "./vm/Stack.h"
  var $3=(($2+16)|0); //@line 228 "./vm/Stack.h"
  __ZN2js20CallReceiverFromArgvEPN2JS5ValueE($agg_result, $3); //@line 228 "./vm/Stack.h"
  ;
  return; //@line 228 "./vm/Stack.h"
}


function _JS_malloc($cx, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$nbytes;
  var $3=$1; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN9JSContext7malloc_Ej($3, $4); //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_realloc($cx, $p, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$p;
  $3=$nbytes;
  var $4=$1; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZN9JSContext8realloc_EPvj($4, $5, $6); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN9JSContext8realloc_EPvj($this, $p, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$bytes;
  var $4=$1;
  var $5=(($4+52)|0); //@line 1274 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1274 "./jscntxt.h"
  var $7=$2; //@line 1274 "./jscntxt.h"
  var $8=$3; //@line 1274 "./jscntxt.h"
  var $9=__ZN9JSRuntime8realloc_EPvjP9JSContext($6, $7, $8, $4); //@line 1274 "./jscntxt.h"
  ;
  return $9; //@line 1274 "./jscntxt.h"
}


function _JS_free($cx, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$p;
  var $3=$1; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSContext5free_EPv($3, $4); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_updateMallocCounter($cx, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$nbytes;
  var $3=$1; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+52)|0); //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSRuntime19updateMallocCounterEj($5, $6); //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_strdup($cx, $s) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      var $p;
      $2=$cx;
      $3=$s;
      var $4=$3; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=_strlen($4); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+1)|0); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $n=$6; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$2; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$n; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZN9JSContext7malloc_Ej($7, $8); //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $p=$9; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$p; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$p; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$n; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert($16 % 1 === 0, 'memcpy given ' + $16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($14, $15, $16, 1); //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$14; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$1; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $18; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_NewNumberValue($cx, $d, $rval) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$d;
  $3=$rval;
  var $4=$2; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=_JS_CANONICALIZE_NAN($4); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $2=$5; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN2JS5Value9setNumberEd($6, $7); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return 1; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AddValueRoot($cx, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$vp;
  var $3=$1; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__Z10js_AddRootP9JSContextPN2JS5ValueEPKc($3, $4, 0); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AddStringRoot($cx, $rp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$rp;
  var $3=$1; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$4; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__Z17js_AddGCThingRootP9JSContextPPvPKc($3, $5, 0); //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $6; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AddObjectRoot($cx, $rp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$rp;
  var $3=$1; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$4; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__Z17js_AddGCThingRootP9JSContextPPvPKc($3, $5, 0); //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $6; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AddGCThingRoot($cx, $rp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$rp;
  var $3=$1; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__Z17js_AddGCThingRootP9JSContextPPvPKc($3, $4, 0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AddNamedValueRoot($cx, $vp, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$vp;
  $3=$name;
  var $4=$1; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z10js_AddRootP9JSContextPN2JS5ValueEPKc($4, $5, $6); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AddNamedStringRoot($cx, $rp, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$rp;
  $3=$name;
  var $4=$1; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$5; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__Z17js_AddGCThingRootP9JSContextPPvPKc($4, $6, $7); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AddNamedObjectRoot($cx, $rp, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$rp;
  $3=$name;
  var $4=$1; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$5; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__Z17js_AddGCThingRootP9JSContextPPvPKc($4, $6, $7); //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AnchorPtr($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  ;
  return; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetGCParameterForThread($cx, $key, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$key;
  $3=$value;
  ;
  return; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetGCParameterForThread($cx, $key) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$key;
  ;
  return 0; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_FlushCaches($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_FinalizeStub($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return; //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js6Probes12createStringEP9JSContextP8JSStringj($cx, $string, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $ok;
  $1=$cx;
  $2=$string;
  $3=$length;
  $ok=1; //@line 423 "./jsprobes.h"
  var $4=$ok; //@line 430 "./jsprobes.h"
  var $5=(($4) & 1); //@line 430 "./jsprobes.h"
  ;
  return $5; //@line 430 "./jsprobes.h"
}


function __ZN8JSString10asExternalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 380 "./vm/String.h"
  ;
  return $3; //@line 380 "./vm/String.h"
}


function _JS_SetExtraGCRoots($rt, $traceOp, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$traceOp;
  $3=$data;
  var $4=$2; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$1; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($5+144100)|0); //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($6)>>2)]=$4; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$1; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8+144104)|0); //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($9)>>2)]=$7; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsGCMarkingTracer($trc) {
  ;
  var __label__;

  var $1;
  $1=$trc;
  var $2=$1; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+4)|0); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4)|0)==0; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($5)&1); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $6; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetGCCallbackRT($rt, $cb) {
  ;
  var __label__;

  var $1;
  var $2;
  var $oldcb;
  $1=$rt;
  $2=$cb;
  var $3=$1; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+144092)|0); //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $oldcb=$5; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7+144092)|0); //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$6; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$oldcb; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN16JSExternalString15changeFinalizerEPFvP9JSContextP8JSStringES5_($oldop, $newop) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $2=$oldop;
      $3=$newop;
      $i=0; //@line 629 "./vm/String.h"
      __label__ = 2; break; //@line 629 "./vm/String.h"
    case 2: 
      var $5=$i; //@line 629 "./vm/String.h"
      var $6=(($5)|0)!=8; //@line 629 "./vm/String.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 629 "./vm/String.h"
    case 3: 
      var $8=$i; //@line 630 "./vm/String.h"
      var $9=((__ZN16JSExternalString14str_finalizersE+($8<<2))|0); //@line 630 "./vm/String.h"
      var $10=HEAP32[(($9)>>2)]; //@line 630 "./vm/String.h"
      var $11=$2; //@line 630 "./vm/String.h"
      var $12=(($10)|0)==(($11)|0); //@line 630 "./vm/String.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 630 "./vm/String.h"
    case 4: 
      var $14=$3; //@line 631 "./vm/String.h"
      var $15=$i; //@line 631 "./vm/String.h"
      var $16=((__ZN16JSExternalString14str_finalizersE+($15<<2))|0); //@line 631 "./vm/String.h"
      HEAP32[(($16)>>2)]=$14; //@line 631 "./vm/String.h"
      var $17=$i; //@line 632 "./vm/String.h"
      $1=$17; //@line 632 "./vm/String.h"
      __label__ = 8; break; //@line 632 "./vm/String.h"
    case 5: 
      __label__ = 6; break; //@line 634 "./vm/String.h"
    case 6: 
      var $20=$i; //@line 629 "./vm/String.h"
      var $21=(($20+1)|0); //@line 629 "./vm/String.h"
      $i=$21; //@line 629 "./vm/String.h"
      __label__ = 2; break; //@line 629 "./vm/String.h"
    case 7: 
      $1=-1; //@line 635 "./vm/String.h"
      __label__ = 8; break; //@line 635 "./vm/String.h"
    case 8: 
      var $24=$1; //@line 636 "./vm/String.h"
      ;
      return $24; //@line 636 "./vm/String.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK16JSExternalString15externalClosureEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 621 "./vm/String.h"
  var $4=(($3)|0); //@line 621 "./vm/String.h"
  var $5=(($4+8)|0); //@line 621 "./vm/String.h"
  var $6=$5; //@line 621 "./vm/String.h"
  var $7=(($6+4)|0); //@line 621 "./vm/String.h"
  var $8=$7; //@line 621 "./vm/String.h"
  var $9=HEAP32[(($8)>>2)]; //@line 621 "./vm/String.h"
  ;
  return $9; //@line 621 "./vm/String.h"
}


function _JS_SetThreadStackLimit($cx, $limitAddr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$limitAddr;
      var $3=$2; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=(($3)|0)==0; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $2=-1; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $7=$2; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$1; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8+48)|0); //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($9)>>2)]=$7; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetNativeStackQuota($cx, $stackSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $stackBase;
      $1=$cx;
      $2=$stackSize;
      var $3=$2; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=(($3)|0)==0; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $6=$1; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6+48)|0); //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($7)>>2)]=-1; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $9=$1; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9+52)|0); //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11+144280)|0); //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12+65600)|0); //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$14; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $stackBase=$15; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$stackBase; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$2; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($16+$17)|0); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18-1)|0); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$1; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20+48)|0); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_AddNamedScriptRoot($cx, $rp, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$rp;
  $3=$name;
  var $4=$1; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$5; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__Z17js_AddGCThingRootP9JSContextPPvPKc($4, $6, $7); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_AddNamedGCThingRoot($cx, $rp, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$rp;
  $3=$name;
  var $4=$1; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z17js_AddGCThingRootP9JSContextPPvPKc($4, $5, $6); //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_RemoveValueRoot($cx, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$vp;
  var $3=$1; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+52)|0); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=_js_RemoveRoot($5, $7); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_RemoveStringRoot($cx, $rp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$rp;
  var $3=$1; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+52)|0); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=_js_RemoveRoot($5, $7); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_RemoveObjectRoot($cx, $rp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$rp;
  var $3=$1; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+52)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=_js_RemoveRoot($5, $7); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_RemoveScriptRoot($cx, $rp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$rp;
  var $3=$1; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+52)|0); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=_js_RemoveRoot($5, $7); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_RemoveGCThingRoot($cx, $rp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$rp;
  var $3=$1; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+52)|0); //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=_js_RemoveRoot($5, $7); //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_MapGCRoots($rt, $map, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$map;
  $3=$data;
  var $4=$1; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z13js_MapGCRootsP9JSRuntimePFiPv12JSGCRootTypePKcS1_ES1_($4, $5, $6); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_LockGCThing($cx, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ok;
      $1=$cx;
      $2=$thing;
      var $3=$1; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=(($3+52)|0); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$2; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__Z16js_LockGCThingRTP9JSRuntimePv($5, $6); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$7; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$ok; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)!=0; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=$1; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportOutOfMemory($11); //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$ok; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $13; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ReportOutOfMemory($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z20js_ReportOutOfMemoryP9JSContext($2); //@line 5773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_LockGCThingRT($rt, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$thing;
  var $3=$1; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__Z16js_LockGCThingRTP9JSRuntimePv($3, $4); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_UnlockGCThing($cx, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$thing;
  var $3=$1; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+52)|0); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z18js_UnlockGCThingRTP9JSRuntimePv($5, $6); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return 1; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_UnlockGCThingRT($rt, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$thing;
  var $3=$1; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z18js_UnlockGCThingRTP9JSRuntimePv($3, $4); //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return 1; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_TraceRuntime($trc) {
  ;
  var __label__;

  var $1;
  $1=$trc;
  var $2=$1; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js12TraceRuntimeEP8JSTracer($2); //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CallTracer($trc, $thing, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$trc;
  $2=$thing;
  $3=$kind;
  var $4=$1; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js2gc8MarkKindEP8JSTracerPv13JSGCTraceKind($4, $5, $6); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompartmentGC($cx, $comp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$comp;
      var $3=$1; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js10LeaveTraceEP9JSContext($3); //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=$1; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4+72)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+16)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$1; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8+72)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($7)|0)==(($10)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$1; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13+72)|0); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_FinishArenaPool($14); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16)|0)==10; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=0; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22 = __ZN2js8gcReasonE;__label__ = 6; break; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $20=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$20; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22 = __ZN2js8gcReasonE;__label__ = 6; break; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $22; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$1; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$2; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($23, $24, 0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GC($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $3=(($2)|0)==10; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=0; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8 = __ZN2js8gcReasonE;__label__ = 4; break; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $6=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$6; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8 = __ZN2js8gcReasonE;__label__ = 4; break; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $8; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$1; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_CompartmentGC($9, 0); //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_MaybeGC($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js10LeaveTraceEP9JSContext($2); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $3=$1; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=(($3+72)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4+16)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$1; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7+72)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($6)|0)==(($9)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$1; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12+72)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_FinishArenaPool($13); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $15=$1; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js7MaybeGCEP9JSContext($15); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetGCCallback($cx, $cb) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$cb;
  var $3=$1; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+52)|0); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=_JS_SetGCCallbackRT($5, $6); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsAboutToBeFinalized($cx, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$thing;
  var $3=$1; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__Z20IsAboutToBeFinalizedP9JSContextPKv($3, $4); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($5)&1); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $6; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetGCParameter($rt, $key, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$rt;
      $2=$key;
      $3=$value;
      var $4=$2; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ((($4)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 2) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 2: 
      var $6=$3; //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$1; //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7+152)|0); //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($8)>>2)]=$6; //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $10=$1; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$3; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSRuntime19setGCMaxMallocBytesEj($10, $11); //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $13=$3; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$1; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14+160)|0); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($15)>>2)]=$13; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $17=$3; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$1; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18+192)|0); //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($19)>>2)]=$17; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      ;
      return; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime19setGCMaxMallocBytesEj($this, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$value;
      var $3=$1;
      var $4=$2; //@line 773 "./jscntxt.h"
      var $5=(($4)|0) >= 0; //@line 773 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 773 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 773 "./jscntxt.h"
      var $10 = $7;__label__ = 4; break; //@line 773 "./jscntxt.h"
    case 3: 
      var $10 = 2147483647;__label__ = 4; break; //@line 773 "./jscntxt.h"
    case 4: 
      var $10; //@line 773 "./jscntxt.h"
      var $11=(($3+156)|0); //@line 773 "./jscntxt.h"
      HEAP32[(($11)>>2)]=$10; //@line 773 "./jscntxt.h"
      __ZN9JSRuntime18resetGCMallocBytesEv($3); //@line 774 "./jscntxt.h"
      ;
      return; //@line 775 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetGCParameter($rt, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$rt;
      $3=$key;
      var $4=$3; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ((($4)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 2) {
        __label__ = 4; break;
      }
      else if ((($4)|0) == 3) {
        __label__ = 5; break;
      }
      else if ((($4)|0) == 6) {
        __label__ = 6; break;
      }
      else if ((($4)|0) == 7) {
        __label__ = 7; break;
      }
      else if ((($4)|0) == 8) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 2: 
      var $6=$2; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6+152)|0); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$8; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $10=$2; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10+156)|0); //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$12; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $14=$2; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14+160)|0); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$16; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $18=$2; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18+140)|0); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$20; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $22=$2; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=(($22+192)|0); //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$24; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $26=$2; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26+84)|0); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$28; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $30=$2; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=(($30+48)|0); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=__ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE5countEv($31); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$2; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($33+84)|0); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=(($32+$35)|0); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$36; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $38=$2; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=(($38+164)|0); //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$40; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $42=$1; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $42; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetGCParameter["X"]=1;

function __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1292 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5countEv($3); //@line 1292 "./jshashtable.h"
  ;
  return $4; //@line 1292 "./jshashtable.h"
}


function _JS_AddExternalStringFinalizer($finalizer) {
  ;
  var __label__;

  var $1;
  $1=$finalizer;
  var $2=$1; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZN16JSExternalString15changeFinalizerEPFvP9JSContextP8JSStringES5_(0, $2); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_RemoveExternalStringFinalizer($finalizer) {
  ;
  var __label__;

  var $1;
  $1=$finalizer;
  var $2=$1; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZN16JSExternalString15changeFinalizerEPFvP9JSContextP8JSStringES5_($2, 0); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewExternalString($cx, $chars, $length, $type) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $s;
  $1=$cx;
  $2=$chars;
  $3=$length;
  $4=$type;
  var $5=$1; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__ZN16JSExternalString4new_EP9JSContextPKtjiPv($5, $6, $7, $8, 0); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$9; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $s=$10; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$1; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$s; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=__ZN2js6Probes12createStringEP9JSContextP8JSStringj($11, $12, $13); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$s; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $15; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN16JSExternalString4new_EP9JSContextPKtjiPv($cx, $chars, $length, $type, $closure) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $str;
      $2=$cx;
      $3=$chars;
      $4=$length;
      $5=$type;
      $6=$closure;
      var $7=$2; //@line 188 "./vm/String-inl.h"
      var $8=__Z22js_NewGCExternalStringP9JSContext($7); //@line 188 "./vm/String-inl.h"
      $str=$8; //@line 188 "./vm/String-inl.h"
      var $9=$str; //@line 189 "./vm/String-inl.h"
      var $10=(($9)|0)!=0; //@line 189 "./vm/String-inl.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 189 "./vm/String-inl.h"
    case 2: 
      $1=0; //@line 190 "./vm/String-inl.h"
      __label__ = 4; break; //@line 190 "./vm/String-inl.h"
    case 3: 
      var $13=$str; //@line 191 "./vm/String-inl.h"
      var $14=$3; //@line 191 "./vm/String-inl.h"
      var $15=$4; //@line 191 "./vm/String-inl.h"
      var $16=$5; //@line 191 "./vm/String-inl.h"
      var $17=$6; //@line 191 "./vm/String-inl.h"
      __ZN16JSExternalString4initEPKtjiPv($13, $14, $15, $16, $17); //@line 191 "./vm/String-inl.h"
      var $18=$2; //@line 192 "./vm/String-inl.h"
      var $19=(($18+52)|0); //@line 192 "./vm/String-inl.h"
      var $20=HEAP32[(($19)>>2)]; //@line 192 "./vm/String-inl.h"
      var $21=$4; //@line 192 "./vm/String-inl.h"
      var $22=(($21+1)|0); //@line 192 "./vm/String-inl.h"
      var $23=((($22<<1))|0); //@line 192 "./vm/String-inl.h"
      __ZN9JSRuntime19updateMallocCounterEj($20, $23); //@line 192 "./vm/String-inl.h"
      var $24=$str; //@line 193 "./vm/String-inl.h"
      $1=$24; //@line 193 "./vm/String-inl.h"
      __label__ = 4; break; //@line 193 "./vm/String-inl.h"
    case 4: 
      var $26=$1; //@line 194 "./vm/String-inl.h"
      ;
      return $26; //@line 194 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_NewExternalStringWithClosure($cx, $chars, $length, $type, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$chars;
  $3=$length;
  $4=$type;
  $5=$closure;
  var $6=$1; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__ZN16JSExternalString4new_EP9JSContextPKtjiPv($6, $7, $8, $9, $10); //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$11; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $12; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsExternalString($cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$str;
  var $3=$2; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZNK8JSString10isExternalEv($3); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4)&1); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetExternalStringClosure($cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$str;
  var $3=$2; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZN8JSString10asExternalEv($3); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZNK16JSExternalString15externalClosureEv($4); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DestroyIdArray($cx, $ida) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$ida;
  var $3=$1; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$4; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSContext5free_EPv($3, $5); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ValueToId($cx, $0, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3;
  var $4=__stackBase__+8;
  $2=$cx;
  var $5=$v;
  var $6=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
  $3=$idp;
  var $7=$2; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$v; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7, $4); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($10, $v, $11); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=(($12)&1); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $13; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IdToValue($cx, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  var $5=__stackBase__+8;
  $1=$cx;
  $2=$id;
  $3=$vp;
  var $6=$3; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2jsL9IdToJsvalEi($4, $7); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$6; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$1; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$5; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$11; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($10, $5); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return 1; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2jsL9IdToJsvalEi($agg_result, $id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 129 "./jsatom.h"
  __ZN2jsL9IdToValueEi($agg_result, $2); //@line 129 "./jsatom.h"
  ;
  return; //@line 129 "./jsatom.h"
}


function __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($cx, $t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$t1;
  $3=$t2;
  ;
  return; //@line 248 "./jscntxtinlines.h"
}


function _OBJECT_TO_JSID($obj) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$obj;
  var $2=$1; //@line 1575 "./jsapi.h"
  var $3=$2; //@line 1575 "./jsapi.h"
  var $4=$3 | 4; //@line 1575 "./jsapi.h"
  $iden=$4; //@line 1575 "./jsapi.h"
  var $5=$iden; //@line 1576 "./jsapi.h"
  ;
  return $5; //@line 1576 "./jsapi.h"
}


function __ZN2jsL8ValueifyEP7JSClass($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 388 "./jsclass.h"
  var $3=$2; //@line 388 "./jsclass.h"
  ;
  return $3; //@line 388 "./jsclass.h"
}


function __ZNK8JSObject9isNewbornEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1003 "./jsobjinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1003 "./jsobjinlines.h"
  var $5=(($4)|0)!=0; //@line 1003 "./jsobjinlines.h"
  var $6=$5 ^ 1; //@line 1003 "./jsobjinlines.h"
  ;
  return $6; //@line 1003 "./jsobjinlines.h"
}


function _JS_InitClass($cx, $obj, $parent_proto, $clasp, $constructor, $nargs, $ps, $fs, $static_ps, $static_fs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $10;
  $1=$cx;
  $2=$obj;
  $3=$parent_proto;
  $4=$clasp;
  $5=$constructor;
  $6=$nargs;
  $7=$ps;
  $8=$fs;
  $9=$static_ps;
  $10=$static_fs;
  var $11=$1; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($11, $12, $13); //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$1; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$2; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$3; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$4; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=__ZN2jsL8ValueifyEP7JSClass($17); //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$5; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$6; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$7; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=$8; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=$9; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $24=$10; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $25=__Z12js_InitClassP9JSContextP8JSObjectS2_PN2js5ClassEPFiS0_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSC_SE_PS2_($14, $15, $16, $18, $19, $20, $21, $22, $23, $24, 0); //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $25; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetClass($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZNK8JSObject10getJSClassEv($2); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZNK8JSObject10getJSClassEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 558 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 558 "./jsobj.h"
  var $5=__ZN2jsL8JsvalifyEPNS_5ClassE($4); //@line 558 "./jsobj.h"
  ;
  return $5; //@line 558 "./jsobj.h"
}


function _JS_InstanceOf($cx, $obj, $clasp, $argv) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$argv;
      var $6=$3; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6)|0)!=0; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $9=$3; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZNK8JSObject10getJSClassEv($9); //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$4; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($10)|0)!=(($11)|0); //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$5; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)!=0; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$2; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$5; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18-16)|0); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$4; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=__ZN2jsL8ValueifyEP7JSClass($20); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $19, $21); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      $1=0; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $1=1; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $25=$1; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $25; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_HasInstance($cx, $obj, $0, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  var $4;
  var $5=__stackBase__+8;
  $2=$cx;
  $3=$obj;
  var $6=$v;
  var $7=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
  $4=$bp;
  var $8=$2; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$v; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueEEEvP9JSContextT_T0_($8, $9, $5); //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$4; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__ZN2js11HasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPi($12, $13, $v, $14); //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $15; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetPrivate($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZNK8JSObject10getPrivateEv($3); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetPrivate($cx, $obj, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$data;
  var $4=$2; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$3; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN8JSObject10setPrivateEPv($4, $5); //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return 1; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetInstancePrivate($cx, $obj, $clasp, $argv) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$argv;
      var $6=$2; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$5; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=_JS_InstanceOf($6, $7, $8, $9); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$3; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZNK8JSObject10getPrivateEv($14); //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$15; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$1; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $17; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetPrototype($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $proto;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=$2; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($3, $4); //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=__ZNK8JSObject8getProtoEv($5); //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $proto=$6; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$proto; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $10=$proto; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK8JSObject9isNewbornEv($10); //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$proto; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $13;__label__ = 5; break; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16 = 0;__label__ = 5; break; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $16; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $16; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetPrototype($cx, $obj, $proto) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$proto;
  var $4=$1; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($4, $5, $6); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__ZN2js8SetProtoEP9JSContextP8JSObjectS3_b($7, $8, $9, 0); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=(($10)&1); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $11; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetParent($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $parent;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=$2; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($3, $4); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=__ZNK8JSObject9getParentEv($5); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $parent=$6; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$parent; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $10=$parent; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK8JSObject9isNewbornEv($10); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$parent; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $13;__label__ = 5; break; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16 = 0;__label__ = 5; break; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $16; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $16; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetParent($cx, $obj, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$parent;
  var $4=$1; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($4, $5, $6); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN8JSObject9setParentEPS_($7, $8); //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return 1; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN18JSAutoResolveFlagsC1EP9JSContextj($this, $cx, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$flags;
  var $4=$1;
  var $5=$2; //@line 2045 "./jscntxt.h"
  var $6=$3; //@line 2045 "./jscntxt.h"
  __ZN18JSAutoResolveFlagsC2EP9JSContextj($4, $5, $6); //@line 2045 "./jscntxt.h"
  ;
  return; //@line 2045 "./jscntxt.h"
}


function __ZN18JSAutoResolveFlagsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN18JSAutoResolveFlagsD2Ev($2); //@line 2047 "./jscntxt.h"
  ;
  return; //@line 2047 "./jscntxt.h"
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject246($v, $funobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$v;
      $2=$funobj;
      var $3=$1; //@line 276 "./jsfun.h"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 276 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 276 "./jsfun.h"
    case 2: 
      var $6=$1; //@line 276 "./jsfun.h"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 276 "./jsfun.h"
      var $8=$2; //@line 276 "./jsfun.h"
      HEAP32[(($8)>>2)]=$7; //@line 276 "./jsfun.h"
      var $9=__ZNK8JSObject10isFunctionEv($7); //@line 276 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 277 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetObjectId($cx, $obj, $idp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$idp;
  var $4=$1; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($4, $5); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=_OBJECT_TO_JSID($6); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return 1; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewCompartmentAndGlobalObject($cx, $clasp, $principals) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $compartment;
      var $hold=__stackBase__;
      var $saved;
      var $obj;
      var $5;
      $2=$cx;
      $3=$clasp;
      $4=$principals;
      var $6=$2; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js2gc14NewCompartmentEP9JSContextP12JSPrincipals($6, $7); //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $compartment=$8; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$compartment; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$compartment; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN19AutoHoldCompartmentC1EP13JSCompartment($hold, $13); //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14+56)|0); //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $saved=$16; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$2; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$compartment; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext14setCompartmentEP13JSCompartment($17, $18); //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$2; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$3; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=_JS_NewGlobalObject($19, $20); //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$21; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$saved; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext14setCompartmentEP13JSCompartment($22, $23); //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$obj; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$24; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $5=1;
      __ZN19AutoHoldCompartmentD1Ev($hold); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break;
    case 4: 
      var $26=$1; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN19AutoHoldCompartmentC1EP13JSCompartment($this, $compartment) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$compartment;
  var $3=$1;
  var $4=$2; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN19AutoHoldCompartmentC2EP13JSCompartment($3, $4); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN19AutoHoldCompartmentD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN19AutoHoldCompartmentD2Ev($2); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewObject($cx, $jsclasp, $proto, $parent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $clasp;
      var $obj;
      $1=$cx;
      $2=$jsclasp;
      $3=$proto;
      $4=$parent;
      var $5=$1; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($5, $6, $7); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZN2jsL8ValueifyEP7JSClass($8); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $clasp=$9; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$clasp; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $clasp=__ZN2js11ObjectClassE; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$3; //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)!=0; //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$3; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$1; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($17, $18, 0, 1); //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$1; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$clasp; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$3; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$4; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($21, $22, $23, $24); //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$25; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$obj; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $29=$clasp; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($29+68)|0); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=(($30)|0); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)|0)!=0; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $35=$1; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$obj; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($35, $36, 2097152); //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $38=$obj; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($38); //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$1; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$obj; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=__ZNK8JSObject4typeEv($40); //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($39, $41, 0); //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $43=$obj; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $43; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_NewObject["X"]=1;

function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb264($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($cx, $obj, $markSetsUnknown) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$obj;
      var $4=(($markSetsUnknown)&1);
      $3=$4;
      var $5=$1; //@line 398 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 398 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 398 "./jsinferinlines.h"
    case 2: 
      var $8=$2; //@line 399 "./jsinferinlines.h"
      var $9=__ZN2js5types10TypeObject17unknownPropertiesEv($8); //@line 399 "./jsinferinlines.h"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 399 "./jsinferinlines.h"
    case 3: 
      var $11=$2; //@line 400 "./jsinferinlines.h"
      var $12=$1; //@line 400 "./jsinferinlines.h"
      __ZN2js5types10TypeObject11markUnknownEP9JSContext($11, $12); //@line 400 "./jsinferinlines.h"
      __label__ = 4; break; //@line 400 "./jsinferinlines.h"
    case 4: 
      var $14=$3; //@line 401 "./jsinferinlines.h"
      var $15=(($14) & 1); //@line 401 "./jsinferinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 401 "./jsinferinlines.h"
    case 5: 
      var $17=$2; //@line 401 "./jsinferinlines.h"
      var $18=(($17+12)|0); //@line 401 "./jsinferinlines.h"
      var $19=HEAP32[(($18)>>2)]; //@line 401 "./jsinferinlines.h"
      var $20=$19 & 8; //@line 401 "./jsinferinlines.h"
      var $21=(($20)|0)!=0; //@line 401 "./jsinferinlines.h"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 401 "./jsinferinlines.h"
    case 6: 
      var $23=$1; //@line 402 "./jsinferinlines.h"
      var $24=(($23+56)|0); //@line 402 "./jsinferinlines.h"
      var $25=HEAP32[(($24)>>2)]; //@line 402 "./jsinferinlines.h"
      var $26=(($25+376)|0); //@line 402 "./jsinferinlines.h"
      var $27=$1; //@line 402 "./jsinferinlines.h"
      var $28=$2; //@line 402 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment15markSetsUnknownEP9JSContextPNS0_10TypeObjectE($26, $27, $28); //@line 402 "./jsinferinlines.h"
      __label__ = 7; break; //@line 402 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 403 "./jsinferinlines.h"
    case 8: 
      ;
      return; //@line 404 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_NewObjectWithGivenProto($cx, $jsclasp, $proto, $parent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $clasp;
      var $obj;
      $1=$cx;
      $2=$jsclasp;
      $3=$proto;
      $4=$parent;
      var $5=$1; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($5, $6, $7); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZN2jsL8ValueifyEP7JSClass($8); //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $clasp=$9; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$clasp; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $clasp=__ZN2js11ObjectClassE; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$1; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$clasp; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$3; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_247($14, $15, $16, $17); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$18; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$obj; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19)|0)!=0; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $22=$obj; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($22); //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$1; //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$obj; //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__ZNK8JSObject4typeEv($24); //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($23, $25, 0); //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $27=$obj; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $27; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_247($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb264($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE271($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function _JS_NewObjectForConstructor($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+8;
  $1=$cx;
  $2=$vp;
  var $5=$1; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$6; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($5, $3); //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$1; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$10; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=_JSVAL_TO_OBJECT($4); //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=__Z13js_CreateThisP9JSContextP8JSObject($9, $13); //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JSVAL_TO_OBJECT($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1388 "./jsapi.h"
  var $7=$v; //@line 1388 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1388 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE($2, $3); //@line 1388 "./jsapi.h"
  var $8=_JSVAL_TO_OBJECT_IMPL296($2); //@line 1388 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1388 "./jsapi.h"
}


function _JS_IsExtensible($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZNK8JSObject12isExtensibleEv($2); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3)&1); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsNative($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZNK8JSObject8isNativeEv($2); //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3)&1); //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_FreezeObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$1; //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($3, $4); //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZN8JSObject6freezeEP9JSContext($5, $6); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7)&1); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DeepFreezeObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $n;
      var $v;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$3; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($4, $5); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__ZNK8JSObject12isExtensibleEv($6); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=1; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $10=$3; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$2; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__ZN8JSObject6freezeEP9JSContext($10, $11); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      $i=0; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZNK8JSObject8slotSpanEv($15); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $n=$16; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $18=$i; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$n; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 13; break; } //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $22=$3; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$i; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZNK8JSObject7getSlotEj($22, $23); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $v=$24; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$v; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__ZNK2JS5Value11isPrimitiveEv($25); //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      __label__ = 12; break; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $29=$2; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$v; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=__ZNK2JS5Value8toObjectEv($30); //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=_JS_DeepFreezeObject($29, $31); //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)|0)!=0; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      $1=0; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      __label__ = 12; break; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $37=$i; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=(($37+1)|0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$38; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      $1=1; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $41=$1; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $41; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DeepFreezeObject["X"]=1;

function _JS_GetConstructor($cx, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cval=__stackBase__;
      var $rf=__stackBase__+8;
      var $4;
      var $funobj=__stackBase__+16;
      $2=$cx;
      $3=$proto;
      var $5=$2; //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$2; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $7, 1); //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$2; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$2; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10+52)|0); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12+209948)|0); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13+256)|0); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($8, $9, $15, $cval); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16)|0)!=0; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=1;
      __label__ = 4; break; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      $4=0; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 5: 
      var $22=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject246($cval, $funobj); //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $24=$2; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$3; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__ZNK8JSObject8getClassEv($25); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($24, 2, 0, 9, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$28,tempInt)); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $30=__ZNK2JS5Value8toObjectEv($cval); //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$30; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $32=$1; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21assertSameCompartmentIP8JSObjectS2_12JSValueArrayEEvP9JSContextT_T0_T1_($cx, $t1, $t2, $t3) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t3; $t3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$t1;
  $3=$t2;
  STACKTOP = __stackBase__;
  return; //@line 259 "./jscntxtinlines.h"
}


function __ZNK8JSObject8slotSpanEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 946 "./jsobjinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 946 "./jsobjinlines.h"
  var $5=(($4+4)|0); //@line 946 "./jsobjinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 946 "./jsobjinlines.h"
  ;
  return $6; //@line 946 "./jsobjinlines.h"
}


function __ZNK2JS5Value11isPrimitiveEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 413 "./jsapi.h"
  var $5=$2; //@line 413 "./jsapi.h"
  var $6=$4; //@line 413 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 413 "./jsapi.h"
  var $7=_JSVAL_IS_PRIMITIVE_IMPL($2); //@line 413 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 413 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 413 "./jsapi.h"
}


function _JS_ConstructObject($cx, $jsclasp, $proto, $parent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $clasp;
      $1=$cx;
      $2=$jsclasp;
      $3=$proto;
      $4=$parent;
      var $5=$1; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($5, $6, $7); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZN2jsL8ValueifyEP7JSClass($8); //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $clasp=$9; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$clasp; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $clasp=__ZN2js11ObjectClassE; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$1; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$clasp; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$3; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($14, $15, $16, $17, 0, 0); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $18; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ConstructObjectWithArguments($cx, $jsclasp, $proto, $parent, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      var $clasp;
      $1=$cx;
      $2=$jsclasp;
      $3=$proto;
      $4=$parent;
      $5=$argc;
      $6=$argv;
      var $8=$1; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$4; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$6; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$5; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN12JSValueArrayC1EPN2JS5ValueEj($7, $11, $12); //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectS2_12JSValueArrayEEvP9JSContextT_T0_T1_($8, $9, $10, $7); //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$2; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZN2jsL8ValueifyEP7JSClass($13); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $clasp=$14; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$clasp; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0)!=0; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $clasp=__ZN2js11ObjectClassE; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $19=$1; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$clasp; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$3; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$4; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$5; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$6; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($19, $20, $21, $22, $23, $24); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_LookupPropertyById($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj2=__stackBase__;
      var $prop=__stackBase__+4;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $5=$1; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$2; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZL18LookupPropertyByIdP9JSContextP8JSObjectijPS2_PP10JSProperty($5, $6, $7, 1, $obj2, $prop); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)!=0; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 2; break; } else { var $20 = 0;__label__ = 3; break; } //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=$1; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$2; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($obj2)>>2)]; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$3; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAP32[(($prop)>>2)]; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$4; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZL12LookupResultP9JSContextP8JSObjectS2_iP10JSPropertyPN2JS5ValueE($11, $12, $13, $14, $15, $16); //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17)|0)!=0; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20 = $18;__label__ = 3; break;
    case 3: 
      var $20;
      var $21=(($20)&1);
      STACKTOP = __stackBase__;
      return $21; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18LookupPropertyByIdP9JSContextP8JSObjectijPS2_PP10JSProperty($cx, $obj, $id, $flags, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $rf=__stackBase__;
  var $8;
  $2=$cx;
  $3=$obj;
  $4=$id;
  $5=$flags;
  $6=$objp;
  $7=$propp;
  var $9=$2; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($9, $10, $11); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$5; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $12, $13); //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$4; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__Z22js_CheckForStringIndexi($14); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $4=$15; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$3; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$2; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$4; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$6; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$7; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($16, $17, $18, $19, $20); //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$21; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $8=1;
  __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=$1; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $22; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_LookupElement($cx, $obj, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      var $6=$2; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$3; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$5; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=_JS_LookupPropertyById($11, $12, $13, $14); //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$15; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$1; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9IndexToIdEP9JSContextjPi($cx, $index, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$index;
      $4=$idp;
      var $5=$3; //@line 170 "./jsatominlines.h"
      var $6=(($5)>>>0) <= 1073741823; //@line 170 "./jsatominlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 170 "./jsatominlines.h"
    case 2: 
      var $8=$3; //@line 171 "./jsatominlines.h"
      var $9=_INT_TO_JSID250($8); //@line 171 "./jsatominlines.h"
      var $10=$4; //@line 171 "./jsatominlines.h"
      HEAP32[(($10)>>2)]=$9; //@line 171 "./jsatominlines.h"
      $1=1; //@line 172 "./jsatominlines.h"
      __label__ = 4; break; //@line 172 "./jsatominlines.h"
    case 3: 
      var $12=$2; //@line 176 "./jsatominlines.h"
      var $13=$3; //@line 176 "./jsatominlines.h"
      var $14=$4; //@line 176 "./jsatominlines.h"
      var $15=__ZN2js13IndexToIdSlowEP9JSContextjPi($12, $13, $14); //@line 176 "./jsatominlines.h"
      $1=$15; //@line 176 "./jsatominlines.h"
      __label__ = 4; break; //@line 176 "./jsatominlines.h"
    case 4: 
      var $17=$1; //@line 177 "./jsatominlines.h"
      ;
      return $17; //@line 177 "./jsatominlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_LookupProperty($cx, $obj, $name, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$vp;
      var $5=$1; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=_strlen($7); //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($5, $6, $8, 0, 0); //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$9; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$atom; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { var $21 = 0;__label__ = 3; break; } //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$1; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$atom; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZL12ATOM_TO_JSIDP6JSAtom244($15); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=_JS_LookupPropertyById($13, $14, $16, $17); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $19;__label__ = 3; break;
    case 3: 
      var $21;
      var $22=(($21)&1);
      ;
      return $22; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_LookupUCProperty($cx, $obj, $name, $namelen, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$vp;
      var $6=$1; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)==-1; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=$3; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__Z9js_strlenPKt($11); //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $12;__label__ = 4; break; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$4; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $14;__label__ = 4; break; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($6, $7, $16, 0); //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$17; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$atom; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 5; break; } else { var $29 = 0;__label__ = 6; break; } //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$1; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$atom; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZL12ATOM_TO_JSIDP6JSAtom244($23); //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$5; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_JS_LookupPropertyById($21, $22, $24, $25); //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      var $30=(($29)&1);
      ;
      return $30; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_LookupPropertyWithFlagsById($cx, $obj, $id, $flags, $objp, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $ok;
      var $prop=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$flags;
      $5=$objp;
      $6=$vp;
      var $7=$1; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($7, $8, $9); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$2; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK8JSObject8isNativeEv($10); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$1; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$4; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$5; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($13, $14, $15, $16, $17, $prop); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)&1); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27 = $19;__label__ = 4; break; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $21=$2; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$1; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$3; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$5; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($21, $22, $23, $24, $prop); //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27 = $25;__label__ = 4; break; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $27; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$27; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$ok; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0)!=0; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($29) { __label__ = 5; break; } else { var $41 = 0;__label__ = 6; break; } //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $31=$1; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$2; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$5; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$3; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=HEAP32[(($prop)>>2)]; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=$6; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=__ZL12LookupResultP9JSContextP8JSObjectS2_iP10JSPropertyPN2JS5ValueE($31, $32, $34, $35, $36, $37); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=(($38)|0)!=0; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41 = $39;__label__ = 6; break;
    case 6: 
      var $41;
      var $42=(($41)&1);
      STACKTOP = __stackBase__;
      return $42; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_LookupPropertyWithFlagsById["X"]=1;

function __ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($this, $cx, $id, $objp, $propp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$id;
      $4=$objp;
      $5=$propp;
      var $6=$1;
      var $7=__ZNK8JSObject6getOpsEv($6); //@line 1424 "./jsobj.h"
      var $8=(($7+4)|0); //@line 1424 "./jsobj.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1424 "./jsobj.h"
      $op=$9; //@line 1424 "./jsobj.h"
      var $10=$op; //@line 1425 "./jsobj.h"
      var $11=(($10)|0)!=0; //@line 1425 "./jsobj.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1425 "./jsobj.h"
    case 2: 
      var $13=$op; //@line 1425 "./jsobj.h"
      var $16 = $13;__label__ = 4; break; //@line 1425 "./jsobj.h"
    case 3: 
      var $16 = 46;__label__ = 4; break; //@line 1425 "./jsobj.h"
    case 4: 
      var $16; //@line 1425 "./jsobj.h"
      var $17=$2; //@line 1425 "./jsobj.h"
      var $18=$3; //@line 1425 "./jsobj.h"
      var $19=$4; //@line 1425 "./jsobj.h"
      var $20=$5; //@line 1425 "./jsobj.h"
      var $21=FUNCTION_TABLE[$16]($17, $6, $18, $19, $20); //@line 1425 "./jsobj.h"
      ;
      return $21; //@line 1425 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_LookupPropertyWithFlags($cx, $obj, $name, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj2=__stackBase__;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$flags;
      $5=$vp;
      var $6=$1; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=_strlen($8); //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($6, $7, $9, 0, 0); //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$10; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$atom; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 2; break; } else { var $23 = 0;__label__ = 3; break; } //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $14=$1; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$2; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$atom; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZL12ATOM_TO_JSIDP6JSAtom244($16); //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$5; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=_JS_LookupPropertyWithFlagsById($14, $15, $17, $18, $obj2, $19); //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23 = $21;__label__ = 3; break;
    case 3: 
      var $23;
      var $24=(($23)&1);
      STACKTOP = __stackBase__;
      return $24; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_HasPropertyById($cx, $obj, $id, $foundp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $obj2=__stackBase__;
  var $prop=__stackBase__+4;
  var $ok;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$foundp;
  var $5=$1; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZL18LookupPropertyByIdP9JSContextP8JSObjectijPS2_PP10JSProperty($5, $6, $7, 5, $obj2, $prop); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $ok=$8; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=HEAP32[(($prop)>>2)]; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=(($9)|0)!=0; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=(($10)&1); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($12)>>2)]=$11; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$ok; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $13; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_HasElement($cx, $obj, $index, $foundp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$foundp;
      var $6=$2; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$3; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$5; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=_JS_HasPropertyById($11, $12, $13, $14); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$15; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$1; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_HasProperty($cx, $obj, $name, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$foundp;
      var $5=$1; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=_strlen($7); //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($5, $6, $8, 0, 0); //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$9; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$atom; //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { var $21 = 0;__label__ = 3; break; } //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$1; //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$atom; //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZL12ATOM_TO_JSIDP6JSAtom244($15); //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=_JS_HasPropertyById($13, $14, $16, $17); //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $19;__label__ = 3; break;
    case 3: 
      var $21;
      var $22=(($21)&1);
      ;
      return $22; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_HasUCProperty($cx, $obj, $name, $namelen, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$foundp;
      var $6=$1; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)==-1; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=$3; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__Z9js_strlenPKt($11); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $12;__label__ = 4; break; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$4; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $14;__label__ = 4; break; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($6, $7, $16, 0); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$17; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$atom; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 5; break; } else { var $29 = 0;__label__ = 6; break; } //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$1; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$atom; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZL12ATOM_TO_JSIDP6JSAtom244($23); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$5; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_JS_HasPropertyById($21, $22, $24, $25); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      var $30=(($29)&1);
      ;
      return $30; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_AlreadyHasOwnPropertyById($cx, $obj, $id, $foundp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj2=__stackBase__;
      var $prop=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$foundp;
      var $6=$2; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($6, $7, $8); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZNK8JSObject8isNativeEv($9); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$2; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$3; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$4; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZL18LookupPropertyByIdP9JSContextP8JSObjectijPS2_PP10JSProperty($12, $13, $14, 5, $obj2, $prop); //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0)!=0; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      $1=0; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $19=$3; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($obj2)>>2)]; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($19)|0)==(($20)|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)&1); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$5; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $25=$3; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$2; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$4; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=__ZN8JSObject14nativeContainsEP9JSContexti($25, $26, $27); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)&1); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$5; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($30)>>2)]=$29; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 3360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $32=$1; //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_AlreadyHasOwnElement($cx, $obj, $index, $foundp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$foundp;
      var $6=$2; //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$3; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$5; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=_JS_AlreadyHasOwnPropertyById($11, $12, $13, $14); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$15; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$1; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12LookupResultP9JSContextP8JSObjectS2_iP10JSPropertyPN2JS5ValueE($cx, $obj, $obj2, $id, $prop, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $shape;
      var $desc=__stackBase__;
      var $8;
      $2=$cx;
      $3=$obj;
      $4=$obj2;
      $5=$id;
      $6=$prop;
      $7=$vp;
      var $9=$6; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$7; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value12setUndefinedEv($12); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$4; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZNK8JSObject8isNativeEv($14); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$6; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$17; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $shape=$18; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$shape; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__ZNK2js5Shape8isMethodEv($19); //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $22=$7; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$shape; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZNK2js5Shape12methodObjectEv($23); //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value9setObjectER8JSObject($22, $24); //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$4; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$2; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$shape; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$7; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE($25, $26, $27, $28); //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($29)|0)!=0; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$30 ^ 1; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$31 ^ 1; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)&1); //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$33; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $35=$4; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$shape; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($36+24)|0); //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=__ZNK8JSObject12containsSlotEj($35, $38); //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $41=$7; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=$4; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$shape; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=(($43+24)|0); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=__ZNK8JSObject13nativeGetSlotEj($42, $45); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=$41; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$46; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      __label__ = 23; break; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $51=$4; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=__ZNK8JSObject12isDenseArrayEv($51); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $54=$2; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=$4; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=$5; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=$7; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=__Z28js_GetDenseArrayElementValueP9JSContextP8JSObjectiPN2JS5ValueE($54, $55, $56, $57); //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$58; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $60=$4; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=__ZNK8JSObject7isProxyEv($60); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 22; break; } //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $63=$2; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $63); //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=$2; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=$4; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=$5; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=(($desc)|0)==0; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      var $69=$desc; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $70=(($69+16)|0); //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=$70; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $74 = $71;__label__ = 15; break; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $74 = 0;__label__ = 15; break; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $74; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $75=__ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($64, $65, $66, 0, $74); //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      $1=0; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $8=1;
      __label__ = 20; break; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $78=$desc; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $79=(($78+16)|0); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $80=$79; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $81=(($80+4)|0); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $83=$82 & 64; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $84=(($83)|0)!=0; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($84) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      var $86=$7; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $87=$desc; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=(($87+16)|0); //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $89=$88; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $90=(($89+16)|0); //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=$86; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $92=$90; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($91)>>2)]=HEAP32[(($92)>>2)];HEAP32[(($91+4)>>2)]=HEAP32[(($92+4)>>2)]; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $8=1;
      __label__ = 20; break; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      $8=0; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 21; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 24; break;
      }
      else {
      __label__ = 25; break;
      }
      
    case 21: 
      __label__ = 22; break; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      __label__ = 23; break;
    case 23: 
      var $98=$7; //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value10setBooleanEb($98, 1); //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      var $100=$1; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 25: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12LookupResultP9JSContextP8JSObjectS2_iP10JSPropertyPN2JS5ValueE["X"]=1;

function _JS_AlreadyHasOwnProperty($cx, $obj, $name, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$foundp;
      var $5=$1; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=_strlen($7); //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($5, $6, $8, 0, 0); //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$9; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$atom; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { var $21 = 0;__label__ = 3; break; } //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$1; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$atom; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZL12ATOM_TO_JSIDP6JSAtom244($15); //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=_JS_AlreadyHasOwnPropertyById($13, $14, $16, $17); //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $19;__label__ = 3; break;
    case 3: 
      var $21;
      var $22=(($21)&1);
      ;
      return $22; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_AlreadyHasOwnUCProperty($cx, $obj, $name, $namelen, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$foundp;
      var $6=$1; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)==-1; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=$3; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__Z9js_strlenPKt($11); //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $12;__label__ = 4; break; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$4; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $14;__label__ = 4; break; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($6, $7, $16, 0); //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$17; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$atom; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 5; break; } else { var $29 = 0;__label__ = 6; break; } //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$1; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$atom; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZL12ATOM_TO_JSIDP6JSAtom244($23); //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$5; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_JS_AlreadyHasOwnPropertyById($21, $22, $24, $25); //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      var $30=(($29)&1);
      ;
      return $30; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DefinePropertyById($cx, $obj, $id, $0, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $value=__stackBase__;
  var $5;
  var $6;
  var $7;
  $2=$cx;
  $3=$obj;
  $4=$id;
  var $8=$value;
  var $9=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $10=$2; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$5; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$7; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZL18DefinePropertyByIdP9JSContextP8JSObjectiRKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ejji($10, $11, $12, $value, $13, $14, $15, 0, 0); //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL18DefinePropertyByIdP9JSContextP8JSObjectiRKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ejji($cx, $obj, $id, $value, $getter, $setter, $attrs, $flags, $tinyid) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11=__stackBase__;
      var $rf=__stackBase__+8;
      var $12;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$value;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      $9=$flags;
      $10=$tinyid;
      var $13=$2; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$3; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$4; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$5; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$11; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$16; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$8; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$19 & 16; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $23=$6; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$23; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$24; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28 = $25;__label__ = 4; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $28 = 0;__label__ = 4; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $28; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$8; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$29 & 32; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=(($30)|0)!=0; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $33=$7; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$33; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$34; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38 = $35;__label__ = 7; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $38 = 0;__label__ = 7; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $38; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectiN2JS5ValueES2_S2_EEvP9JSContextT_T0_T1_T2_T3_($13, $14, $15, $11, $28, $38); //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$2; //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $39, 9); //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$9; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=(($40)|0)!=0; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $43=$3; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=__ZNK8JSObject8isNativeEv($43); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $46=$2; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=$3; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$4; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$5; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=$6; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=$7; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=$8; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=$9; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=$10; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($46, $47, $48, $49, $50, $51, $52, $53, $54, 0); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=(($55)|0)!=0; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=$56 ^ 1; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$57 ^ 1; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=(($58)&1); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$59; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $12=1;
      __label__ = 11; break; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $61=$3; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=$2; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63=$4; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=$5; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=$6; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=$7; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=$8; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $68=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($61, $62, $63, $64, $65, $66, $67); //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$68; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $12=1;
      __label__ = 11; break; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $70=$1; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $70; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18DefinePropertyByIdP9JSContextP8JSObjectiRKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ejji["X"]=1;

function _JS_DefineElement($cx, $obj, $index, $0, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $value=__stackBase__;
      var $6;
      var $7;
      var $8;
      var $id=__stackBase__+8;
      $3=$cx;
      $4=$obj;
      $5=$index;
      var $9=$value;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $11=$3; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$5; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZN2js9IndexToIdEP9JSContextjPi($11, $12, $id); //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $2=0; //@line 3424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$3; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=HEAP32[(($id)>>2)]; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$6; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$7; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$8; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__ZL18DefinePropertyByIdP9JSContextP8JSObjectiRKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ejji($16, $17, $18, $value, $19, $20, $21, 0, 0); //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $2=$22; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $24=$2; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DefineProperty($cx, $obj, $name, $0, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $value=__stackBase__;
  var $5;
  var $6;
  var $7;
  $2=$cx;
  $3=$obj;
  $4=$name;
  var $8=$value;
  var $9=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $10=$2; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$5; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$7; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZL14DefinePropertyP9JSContextP8JSObjectPKcRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($10, $11, $12, $value, $13, $14, $15, 0, 0); //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL14DefinePropertyP9JSContextP8JSObjectPKcRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($cx, $obj, $name, $value, $getter, $setter, $attrs, $flags, $tinyid) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $id;
      var $atom;
      var $getobj;
      var $setobj;
      $2=$cx;
      $3=$obj;
      $4=$name;
      $5=$value;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      $9=$flags;
      $10=$tinyid;
      var $11=$8; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$11 & 128; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0)!=0; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $15=$4; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$15; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=_INT_TO_JSID250($16); //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $id=$17; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=0; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$8; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$18 & -129; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $8=$19; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $21=$2; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$4; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$4; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=_strlen($23); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($21, $22, $24, 0, 0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$25; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$atom; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 17; break; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $30=$atom; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=__ZL12ATOM_TO_JSIDP6JSAtom244($30); //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $id=$31; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break;
    case 6: 
      var $33=$8; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$33 & 8; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=(($34)|0)!=0; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 16; break; } //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $37=$8; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$37 & -9; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $8=$38; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$6; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=(($39)|0)!=0; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $42=$2; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$6; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=$43; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=$3; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=__ZNK8JSObject9getGlobalEv($45); //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=$46; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=_JS_NewFunction($42, $44, 0, 0, $47, 0); //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$48; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $getobj=$49; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=$getobj; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=(($50)|0)!=0; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      $1=0; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 17; break; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $54=$getobj; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=$54; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=$55; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $6=$56; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=$8; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$57 | 16; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $8=$58; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 11; break; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $60=$7; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=(($60)|0)!=0; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $63=$2; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=$7; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=$64; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=$3; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=__ZNK8JSObject9getGlobalEv($66); //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $68=$67; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $69=_JS_NewFunction($63, $65, 1, 0, $68, 0); //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $70=$69; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $setobj=$70; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=$setobj; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $72=(($71)|0)!=0; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($72) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      $1=0; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 17; break; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $75=$setobj; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $76=$75; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=$76; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=$77; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=$8; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $79=$78 | 32; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $8=$79; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      __label__ = 16; break; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      var $82=$2; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $83=$3; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $84=$id; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85=$5; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $86=$6; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $87=$7; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=$8; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $89=$9; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $90=$10; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=__ZL18DefinePropertyByIdP9JSContextP8JSObjectiRKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ejji($82, $83, $84, $85, $86, $87, $88, $89, $90); //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$91; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 17; break; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $93=$1; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $93; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14DefinePropertyP9JSContextP8JSObjectPKcRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji["X"]=1;

function _JS_DefinePropertyWithTinyId($cx, $obj, $name, $tinyid, $0, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $5;
  var $value=__stackBase__;
  var $6;
  var $7;
  var $8;
  $2=$cx;
  $3=$obj;
  $4=$name;
  $5=$tinyid;
  var $9=$value;
  var $10=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
  $6=$getter;
  $7=$setter;
  $8=$attrs;
  var $11=$2; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$7; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$8; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$5; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=(($17 << 24) >> 24); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=__ZL14DefinePropertyP9JSContextP8JSObjectPKcRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($11, $12, $13, $value, $14, $15, $16, 64, $18); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $19; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DefineUCProperty($cx, $obj, $name, $namelen, $0, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $5;
  var $value=__stackBase__;
  var $6;
  var $7;
  var $8;
  $2=$cx;
  $3=$obj;
  $4=$name;
  $5=$namelen;
  var $9=$value;
  var $10=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
  $6=$getter;
  $7=$setter;
  $8=$attrs;
  var $11=$2; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$6; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$7; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$8; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=__ZL16DefineUCPropertyP9JSContextP8JSObjectPKtjRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($11, $12, $13, $14, $value, $15, $16, $17, 0, 0); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL16DefineUCPropertyP9JSContextP8JSObjectPKtjRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($cx, $obj, $name, $namelen, $value, $getter, $setter, $attrs, $flags, $tinyid) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$value;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      $9=$flags;
      $10=$tinyid;
      var $11=$1; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$3; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$4; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0)==-1; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $16=$3; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__Z9js_strlenPKt($16); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $17;__label__ = 4; break; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $19=$4; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $19;__label__ = 4; break; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $21; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($11, $12, $21, 0); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$22; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$atom; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($23)|0)!=0; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($24) { __label__ = 5; break; } else { var $39 = 0;__label__ = 6; break; } //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $26=$1; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$2; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$atom; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=__ZL12ATOM_TO_JSIDP6JSAtom244($28); //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$5; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$6; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$7; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$8; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$9; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$10; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=__ZL18DefinePropertyByIdP9JSContextP8JSObjectiRKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ejji($26, $27, $29, $30, $31, $32, $33, $34, $35); //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($36)|0)!=0; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39 = $37;__label__ = 6; break;
    case 6: 
      var $39;
      var $40=(($39)&1);
      ;
      return $40; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16DefineUCPropertyP9JSContextP8JSObjectPKtjRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji["X"]=1;

function _JS_DefineUCPropertyWithTinyId($cx, $obj, $name, $namelen, $tinyid, $0, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $value=__stackBase__;
  var $7;
  var $8;
  var $9;
  $2=$cx;
  $3=$obj;
  $4=$name;
  $5=$namelen;
  $6=$tinyid;
  var $10=$value;
  var $11=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
  $7=$getter;
  $8=$setter;
  $9=$attrs;
  var $12=$2; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$4; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$5; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$7; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$8; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$9; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$6; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=(($19 << 24) >> 24); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=__ZL16DefineUCPropertyP9JSContextP8JSObjectPKtjRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($12, $13, $14, $15, $value, $16, $17, $18, 64, $20); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $21; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DefineOwnProperty($cx, $obj, $id, $0, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $descriptor=__stackBase__;
  var $5;
  var $6=__stackBase__+8;
  $2=$cx;
  $3=$obj;
  $4=$id;
  var $7=$descriptor;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  $5=$bp;
  var $9=$2; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$6; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$descriptor; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectiN2JS5ValueEEEvP9JSContextT_T0_T1_($9, $10, $11, $6); //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$2; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$3; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$4; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$5; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=__Z20js_DefineOwnPropertyP9JSContextP8JSObjectiRKN2JS5ValueEPi($14, $15, $16, $descriptor, $17); //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js21assertSameCompartmentIP8JSObjectiN2JS5ValueEEEvP9JSContextT_T0_T1_($cx, $t1, $t2, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $t3=__stackBase__;
  $2=$cx;
  $3=$t1;
  $4=$t2;
  var $5=$t3;
  var $6=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
  STACKTOP = __stackBase__;
  return; //@line 259 "./jscntxtinlines.h"
}


function _JS_DefineObject($cx, $obj, $name, $jsclasp, $proto, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $clasp;
      var $nobj;
      var $8=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$name;
      $5=$jsclasp;
      $6=$proto;
      $7=$attrs;
      var $9=$2; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$6; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($9, $10, $11); //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$5; //@line 3523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZN2jsL8ValueifyEP7JSClass($12); //@line 3523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $clasp=$13; //@line 3523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$clasp; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)!=0; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $clasp=__ZN2js11ObjectClassE; //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $18=$2; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$clasp; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$6; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$3; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($18, $19, $20, $21); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $nobj=$22; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$nobj; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($23)|0)!=0; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $27=$nobj; //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($27); //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$2; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$3; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$4; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$nobj; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($8, $31); //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$7; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=__ZL14DefinePropertyP9JSContextP8JSObjectPKcRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($28, $29, $30, $8, 0, 0, $32, 0, 0); //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($33)|0)!=0; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $1=0; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $37=$nobj; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$37; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $39=$1; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DefineObject["X"]=1;

function __ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1523 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1523 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1523 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1523 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1523 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb264($9, 0); //@line 1523 "./jsobjinlines.h"
  $kind=$10; //@line 1523 "./jsobjinlines.h"
  var $11=$1; //@line 1524 "./jsobjinlines.h"
  var $12=$2; //@line 1524 "./jsobjinlines.h"
  var $13=$3; //@line 1524 "./jsobjinlines.h"
  var $14=$4; //@line 1524 "./jsobjinlines.h"
  var $15=$kind; //@line 1524 "./jsobjinlines.h"
  var $16=__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE($11, $12, $13, $14, $15); //@line 1524 "./jsobjinlines.h"
  ;
  return $16; //@line 1524 "./jsobjinlines.h"
}


function _JS_DefineConstDoubles($cx, $obj, $cds) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ok;
      var $attrs;
      var $value=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$cds;
      $ok=1; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $5=$3; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+8)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $10=$3; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0); //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(tempDoubleI32[0]=HEAP32[(($11)>>2)],tempDoubleI32[1]=HEAP32[(($11+4)>>2)],tempDoubleF64[0]); //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11DoubleValueEd($value, $12); //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$3; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13+12)|0); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAPU8[($14)]; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)&255); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $attrs=$16; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$attrs; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17)|0)!=0; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $attrs=6; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$1; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$3; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($23+8)|0); //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$attrs; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=__ZL14DefinePropertyP9JSContextP8JSObjectPKcRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($21, $22, $25, $value, 0, 0, $26, 0, 0); //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$27; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$ok; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0)!=0; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      __label__ = 9; break; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      __label__ = 8; break; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $33=$3; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($33+16)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $3=$34; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $36=$ok; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11DoubleValueEd($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 710 "./jsapi.h"
  __ZN2JS5Value9setDoubleEd($agg_result, $2); //@line 710 "./jsapi.h"
  ;
  return; //@line 711 "./jsapi.h"
}


function _JS_DefineProperties($cx, $obj, $ps) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ok;
      var $4=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$ps;
      $ok=1; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $6=$3; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6)|0); //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)!=0; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$1; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$2; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$3; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL14UndefinedValueEv245($4); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$3; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16+8)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$3; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19+12)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$3; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=(($22+5)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=HEAPU8[($23)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)&255); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$3; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26+4)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=HEAP8[($27)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28 << 24) >> 24); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=__ZL14DefinePropertyP9JSContextP8JSObjectPKcRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji($11, $12, $15, $4, $18, $21, $25, 64, $29); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$30; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$ok; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31)|0)!=0; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      __label__ = 7; break; //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $36=$3; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($36+16)|0); //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $3=$37; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $39=$ok; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetPropertyDescriptorById($cx, $obj, $id, $flags, $desc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$flags;
  $5=$desc;
  var $6=$1; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__ZL25GetPropertyDescriptorByIdP9JSContextP8JSObjectijiP20JSPropertyDescriptor($6, $7, $8, $9, 0, $10); //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $11; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL25GetPropertyDescriptorByIdP9JSContextP8JSObjectijiP20JSPropertyDescriptor($cx, $obj, $id, $flags, $own, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $obj2=__stackBase__;
      var $prop=__stackBase__+4;
      var $shape;
      var $rf=__stackBase__+8;
      var $8;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$own;
      $7=$desc;
      var $9=$2; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$4; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$5; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZL18LookupPropertyByIdP9JSContextP8JSObjectijPS2_PP10JSProperty($9, $10, $11, $12, $obj2, $prop); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0)!=0; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $17=HEAP32[(($prop)>>2)]; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17)|0)!=0; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $20=$6; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $23=$3; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=HEAP32[(($obj2)>>2)]; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($23)|0)!=(($24)|0); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $27=$7; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27)|0); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($28)>>2)]=0; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$7; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($29+4)|0); //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($30)>>2)]=0; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$7; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31+8)|0); //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($32)>>2)]=0; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$7; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($33+12)|0); //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($34)>>2)]=0; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$7; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=(($35+16)|0); //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value12setUndefinedEv($36); //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $38=HEAP32[(($obj2)>>2)]; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$7; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=(($39)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($40)>>2)]=$38; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=HEAP32[(($obj2)>>2)]; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=__ZNK8JSObject8isNativeEv($41); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $44=HEAP32[(($prop)>>2)]; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=$44; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $shape=$45; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=$shape; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=__ZNK2js5Shape10attributesEv($46); //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=(($47)&255); //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$7; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=(($49+4)|0); //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($50)>>2)]=$48; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=$shape; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=__ZNK2js5Shape8isMethodEv($51); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($52) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $54=$7; //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=(($54+8)|0); //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($55)>>2)]=8; //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=$7; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=(($56+12)|0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($57)>>2)]=10; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$7; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=(($58+16)|0); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=$shape; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=__ZNK2js5Shape12methodObjectEv($60); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value9setObjectER8JSObject($59, $61); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 14; break; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $63=$shape; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=__ZNK2js5Shape6getterEv($63); //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=$7; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=(($65+8)|0); //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($66)>>2)]=$64; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=$shape; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $68=__ZNK2js5Shape6setterEv($67); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $69=$7; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $70=(($69+12)|0); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($70)>>2)]=$68; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=HEAP32[(($obj2)>>2)]; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $72=$shape; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $73=(($72+24)|0); //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $75=__ZNK8JSObject12containsSlotEj($71, $74); //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($75) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $77=$7; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=(($77+16)|0); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $79=HEAP32[(($obj2)>>2)]; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $80=$shape; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $81=(($80+24)|0); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $83=__ZNK8JSObject13nativeGetSlotEj($79, $82); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $84=$78; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85=$83; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($84)>>2)]=HEAP32[(($85)>>2)];HEAP32[(($84+4)>>2)]=HEAP32[(($85+4)>>2)]; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 13; break; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $87=$7; //@line 3606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=(($87+16)|0); //@line 3606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value12setUndefinedEv($88); //@line 3606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 23; break; //@line 3608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $92=HEAP32[(($obj2)>>2)]; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $93=__ZNK8JSObject7isProxyEv($92); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($93) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      var $95=$2; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $96=$5; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $95, $96); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $97=$6; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $98=(($97)|0)!=0; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($98) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $100=$2; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $101=HEAP32[(($obj2)>>2)]; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $102=$4; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $103=$7; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $104=__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($100, $101, $102, 0, $103); //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $112 = $104;__label__ = 19; break; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      var $106=$2; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $107=HEAP32[(($obj2)>>2)]; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $108=$4; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $109=$7; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $110=__ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($106, $107, $108, 0, $109); //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $112 = $110;__label__ = 19; break; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      var $112; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $113=(($112)&1); //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$113; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $8=1;
      __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break;
    case 20: 
      var $115=HEAP32[(($obj2)>>2)]; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $116=$2; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $117=$4; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $118=$7; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $119=(($118+4)|0); //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $120=__ZN8JSObject13getAttributesEP9JSContextiPj($115, $116, $117, $119); //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $121=(($120)|0)!=0; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($121) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      $1=0; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      var $124=$7; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $125=(($124+8)|0); //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($125)>>2)]=0; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $126=$7; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $127=(($126+12)|0); //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($127)>>2)]=0; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $128=$7; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $129=(($128+16)|0); //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value12setUndefinedEv($129); //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 23; break;
    case 23: 
      $1=1; //@line 3621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 24; break; //@line 3621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      var $132=$1; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $132; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25GetPropertyDescriptorByIdP9JSContextP8JSObjectijiP20JSPropertyDescriptor["X"]=1;

function _JS_GetPropertyAttrsGetterAndSetterById($cx, $obj, $id, $attrsp, $foundp, $getterp, $setterp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $desc=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$attrsp;
      $6=$foundp;
      $7=$getterp;
      $8=$setterp;
      var $9=$2; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$4; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__ZL25GetPropertyDescriptorByIdP9JSContextP8JSObjectijiP20JSPropertyDescriptor($9, $10, $11, 1, 0, $desc); //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0)!=0; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=(($desc+4)|0); //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$5; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($desc)|0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)&1); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$6; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$7; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)|0)!=0; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $27=(($desc+8)|0); //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$7; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($29)>>2)]=$28; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $31=$8; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31)|0)!=0; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $34=(($desc+12)|0); //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$8; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      $1=1; //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $39=$1; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetPropertyAttrsGetterAndSetterById["X"]=1;

function _JS_GetPropertyAttributes($cx, $obj, $name, $attrsp, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$attrsp;
      $5=$foundp;
      var $6=$1; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=_strlen($8); //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($6, $7, $9, 0, 0); //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$10; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$atom; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 2; break; } else { var $23 = 0;__label__ = 3; break; } //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $14=$1; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$2; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$atom; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZL12ATOM_TO_JSIDP6JSAtom244($16); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$5; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=_JS_GetPropertyAttrsGetterAndSetterById($14, $15, $17, $18, $19, 0, 0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23 = $21;__label__ = 3; break;
    case 3: 
      var $23;
      var $24=(($23)&1);
      ;
      return $24; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetUCPropertyAttributes($cx, $obj, $name, $namelen, $attrsp, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$attrsp;
      $6=$foundp;
      var $7=$1; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)==-1; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$3; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__Z9js_strlenPKt($12); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17 = $13;__label__ = 4; break; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $15=$4; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17 = $15;__label__ = 4; break; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($7, $8, $17, 0); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$18; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$atom; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19)|0)!=0; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 5; break; } else { var $31 = 0;__label__ = 6; break; } //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $22=$1; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$2; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$atom; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__ZL12ATOM_TO_JSIDP6JSAtom244($24); //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$5; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$6; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=_JS_GetPropertyAttrsGetterAndSetterById($22, $23, $25, $26, $27, 0, 0); //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0)!=0; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31 = $29;__label__ = 6; break;
    case 6: 
      var $31;
      var $32=(($31)&1);
      ;
      return $32; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetPropertyAttrsGetterAndSetter($cx, $obj, $name, $attrsp, $foundp, $getterp, $setterp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$attrsp;
      $5=$foundp;
      $6=$getterp;
      $7=$setterp;
      var $8=$1; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=_strlen($10); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($8, $9, $11, 0, 0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$12; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$atom; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0)!=0; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($14) { __label__ = 2; break; } else { var $27 = 0;__label__ = 3; break; } //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $16=$1; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$2; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$atom; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=__ZL12ATOM_TO_JSIDP6JSAtom244($18); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$4; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$5; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$6; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$7; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=_JS_GetPropertyAttrsGetterAndSetterById($16, $17, $19, $20, $21, $22, $23); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)|0)!=0; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27 = $25;__label__ = 3; break;
    case 3: 
      var $27;
      var $28=(($27)&1);
      ;
      return $28; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetUCPropertyAttrsGetterAndSetter($cx, $obj, $name, $namelen, $attrsp, $foundp, $getterp, $setterp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$attrsp;
      $6=$foundp;
      $7=$getterp;
      $8=$setterp;
      var $9=$1; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$4; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)==-1; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $14=$3; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__Z9js_strlenPKt($14); //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19 = $15;__label__ = 4; break; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $17=$4; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19 = $17;__label__ = 4; break; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $19; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($9, $10, $19, 0); //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$20; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$atom; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)|0)!=0; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($22) { __label__ = 5; break; } else { var $35 = 0;__label__ = 6; break; } //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $24=$1; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$2; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$atom; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=__ZL12ATOM_TO_JSIDP6JSAtom244($26); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$5; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$6; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$7; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$8; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=_JS_GetPropertyAttrsGetterAndSetterById($24, $25, $27, $28, $29, $30, $31); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)|0)!=0; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35 = $33;__label__ = 6; break;
    case 6: 
      var $35;
      var $36=(($35)&1);
      ;
      return $36; //@line 3686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetOwnPropertyDescriptor($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiPN2JS5ValueE($5, $6, $7, $8); //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=(($9)&1); //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $10; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetPropertyAttributes($cx, $obj, $name, $attrs, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$attrs;
      $5=$foundp;
      var $6=$1; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=_strlen($8); //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($6, $7, $9, 0, 0); //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$10; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$atom; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 2; break; } else { var $23 = 0;__label__ = 3; break; } //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $14=$1; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$2; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$atom; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZL12ATOM_TO_JSIDP6JSAtom244($16); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$5; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__ZL25SetPropertyAttributesByIdP9JSContextP8JSObjectijPi($14, $15, $17, $18, $19); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23 = $21;__label__ = 3; break;
    case 3: 
      var $23;
      var $24=(($23)&1);
      ;
      return $24; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL25SetPropertyAttributesByIdP9JSContextP8JSObjectijPi($cx, $obj, $id, $attrs, $foundp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $ok;
      $2=$cx;
      $3=$obj;
      $4=$id;
      HEAP32[(($5)>>2)]=$attrs;
      $6=$foundp;
      var $7=$2; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZL18LookupPropertyByIdP9JSContextP8JSObjectijPS2_PP10JSProperty($7, $8, $9, 1, $obj2, $prop); //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=HEAP32[(($prop)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)!=0; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$3; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=HEAP32[(($obj2)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($17)|0)!=(($18)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$6; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($21)>>2)]=0; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $23=$3; //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZNK8JSObject8isNativeEv($23); //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $26=$2; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$3; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=HEAP32[(($prop)>>2)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$28; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=HEAP32[(($5)>>2)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=__Z22js_SetNativeAttributesP9JSContextP8JSObjectPN2js5ShapeEj($26, $27, $29, $30); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38 = $31;__label__ = 9; break; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $33=$3; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$2; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$4; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=__ZN8JSObject13setAttributesEP9JSContextiPj($33, $34, $35, $5); //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38 = $36;__label__ = 9; break; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $38; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$38; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$ok; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=(($39)|0)!=0; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $42=$6; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($42)>>2)]=1; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 11; break; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $44=$ok; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$44; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $46=$1; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25SetPropertyAttributesByIdP9JSContextP8JSObjectijPi["X"]=1;

function _JS_SetUCPropertyAttributes($cx, $obj, $name, $namelen, $attrs, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$attrs;
      $6=$foundp;
      var $7=$1; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)==-1; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$3; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__Z9js_strlenPKt($12); //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17 = $13;__label__ = 4; break; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $15=$4; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17 = $15;__label__ = 4; break; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($7, $8, $17, 0); //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$18; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$atom; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19)|0)!=0; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 5; break; } else { var $31 = 0;__label__ = 6; break; } //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $22=$1; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$2; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$atom; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__ZL12ATOM_TO_JSIDP6JSAtom244($24); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$5; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$6; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=__ZL25SetPropertyAttributesByIdP9JSContextP8JSObjectijPi($22, $23, $25, $26, $27); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0)!=0; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31 = $29;__label__ = 6; break;
    case 6: 
      var $31;
      var $32=(($31)&1);
      ;
      return $32; //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetPropertyById($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $rf=__stackBase__;
  var $6;
  $2=$cx;
  $3=$obj;
  $4=$id;
  $5=$vp;
  var $7=$2; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($7, $8, $9); //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $10, 1); //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($11, $12, $13, $14); //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$15; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 3738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$1; //@line 3738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 3738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetPropertyByIdDefault($cx, $obj, $id, $0, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $def=__stackBase__;
  var $5;
  $2=$cx;
  $3=$obj;
  $4=$id;
  var $6=$def;
  var $7=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
  $5=$vp;
  var $8=$2; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$5; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=__ZN2js18GetPropertyDefaultEP9JSContextP8JSObjectiRKN2JS5ValueEPS5_($8, $9, $10, $def, $11); //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetElement($cx, $obj, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      var $6=$2; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$3; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$5; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=_JS_GetPropertyById($11, $12, $13, $14); //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$15; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$1; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetProperty($cx, $obj, $name, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$vp;
      var $5=$1; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=_strlen($7); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($5, $6, $8, 0, 0); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$9; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$atom; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { var $21 = 0;__label__ = 3; break; } //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$1; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$atom; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZL12ATOM_TO_JSIDP6JSAtom244($15); //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=_JS_GetPropertyById($13, $14, $16, $17); //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $19;__label__ = 3; break;
    case 3: 
      var $21;
      var $22=(($21)&1);
      ;
      return $22; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _INT_TO_JSID250($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function _JS_GetPropertyDefault($cx, $obj, $name, $0, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $def=__stackBase__;
      var $5;
      var $atom;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$name;
      var $7=$def;
      var $8=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
      $5=$vp;
      var $9=$2; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$4; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$4; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=_strlen($11); //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($9, $10, $12, 0, 0); //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$13; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$atom; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)!=0; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $17=$2; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$3; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$atom; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__ZL12ATOM_TO_JSIDP6JSAtom244($19); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$6; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$def; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$5; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=_JS_GetPropertyByIdDefault($17, $18, $20, $6, $23); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)|0)!=0; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27 = $25;__label__ = 3; break;
    case 3: 
      var $27;
      var $28=(($27)&1);
      STACKTOP = __stackBase__;
      return $28; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetUCProperty($cx, $obj, $name, $namelen, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$vp;
      var $6=$1; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)==-1; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=$3; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__Z9js_strlenPKt($11); //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $12;__label__ = 4; break; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$4; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $14;__label__ = 4; break; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($6, $7, $16, 0); //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$17; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$atom; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 5; break; } else { var $29 = 0;__label__ = 6; break; } //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$1; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$atom; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZL12ATOM_TO_JSIDP6JSAtom244($23); //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$5; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_JS_GetPropertyById($21, $22, $24, $25); //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      var $30=(($29)&1);
      ;
      return $30; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetMethodById($cx, $obj, $id, $objp, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$objp;
      $6=$vp;
      var $7=$2; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($7, $8, $9); //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$2; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$3; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$4; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$6; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($10, $11, $12, 0, $13); //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)!=0; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $18=$5; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $21=$3; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$5; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      $1=1; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $25=$1; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $25; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetMethod($cx, $obj, $name, $objp, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$objp;
      $5=$vp;
      var $6=$1; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$3; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=_strlen($8); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($6, $7, $9, 0, 0); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$10; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$atom; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 2; break; } else { var $23 = 0;__label__ = 3; break; } //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $14=$1; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$2; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$atom; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZL12ATOM_TO_JSIDP6JSAtom244($16); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$5; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=_JS_GetMethodById($14, $15, $17, $18, $19); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23 = $21;__label__ = 3; break;
    case 3: 
      var $23;
      var $24=(($23)&1);
      ;
      return $24; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetPropertyById($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $rf=__stackBase__;
  var $6;
  $2=$cx;
  $3=$obj;
  $4=$id;
  $5=$vp;
  var $7=$2; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($7, $8, $9); //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $10, 3); //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($11, $12, $13, $14, 0); //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$15; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$1; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($this, $cx, $id, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$this;
      $3=$cx;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$2;
      var $8=__ZNK8JSObject6getOpsEv($7); //@line 1459 "./jsobj.h"
      var $9=(($8+52)|0); //@line 1459 "./jsobj.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1459 "./jsobj.h"
      var $11=(($10)|0)!=0; //@line 1459 "./jsobj.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1459 "./jsobj.h"
    case 2: 
      var $13=$3; //@line 1460 "./jsobj.h"
      var $14=$4; //@line 1460 "./jsobj.h"
      var $15=$5; //@line 1460 "./jsobj.h"
      var $16=$6; //@line 1460 "./jsobj.h"
      var $17=__ZN8JSObject20nonNativeSetPropertyEP9JSContextiPN2JS5ValueEi($7, $13, $14, $15, $16); //@line 1460 "./jsobj.h"
      $1=$17; //@line 1460 "./jsobj.h"
      __label__ = 4; break; //@line 1460 "./jsobj.h"
    case 3: 
      var $19=$3; //@line 1461 "./jsobj.h"
      var $20=$4; //@line 1461 "./jsobj.h"
      var $21=$5; //@line 1461 "./jsobj.h"
      var $22=$6; //@line 1461 "./jsobj.h"
      var $23=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($19, $7, $20, 0, $21, $22); //@line 1461 "./jsobj.h"
      $1=$23; //@line 1461 "./jsobj.h"
      __label__ = 4; break; //@line 1461 "./jsobj.h"
    case 4: 
      var $25=$1; //@line 1462 "./jsobj.h"
      ;
      return $25; //@line 1462 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetElement($cx, $obj, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      var $6=$2; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$3; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$4; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=_INT_TO_JSID250($13); //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$5; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=_JS_SetPropertyById($11, $12, $14, $15); //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$16; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$1; //@line 3813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $18; //@line 3813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetProperty($cx, $obj, $name, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$vp;
      var $5=$1; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=_strlen($7); //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($5, $6, $8, 0, 0); //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$9; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$atom; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { var $21 = 0;__label__ = 3; break; } //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$1; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$atom; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZL12ATOM_TO_JSIDP6JSAtom244($15); //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=_JS_SetPropertyById($13, $14, $16, $17); //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $19;__label__ = 3; break;
    case 3: 
      var $21;
      var $22=(($21)&1);
      ;
      return $22; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetUCProperty($cx, $obj, $name, $namelen, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$vp;
      var $6=$1; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)==-1; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=$3; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__Z9js_strlenPKt($11); //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $12;__label__ = 4; break; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$4; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $14;__label__ = 4; break; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($6, $7, $16, 0); //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$17; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$atom; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 5; break; } else { var $29 = 0;__label__ = 6; break; } //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$1; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$atom; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZL12ATOM_TO_JSIDP6JSAtom244($23); //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$5; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_JS_SetPropertyById($21, $22, $24, $25); //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      var $30=(($29)&1);
      ;
      return $30; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DeletePropertyById2($cx, $obj, $id, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $rf=__stackBase__;
  var $6;
  $2=$cx;
  $3=$obj;
  $4=$id;
  $5=$rval;
  var $7=$2; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($7, $8, $9); //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $10, 1); //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($11, $12, $13, $14, 0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$15; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$1; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DeleteElement2($cx, $obj, $index, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      var $6=$2; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$3; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$5; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=_JS_DeletePropertyById2($11, $12, $13, $14); //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$15; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$1; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DeleteProperty2($cx, $obj, $name, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$rval;
      var $5=$1; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=_strlen($7); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($5, $6, $8, 0, 0); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$9; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$atom; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { var $21 = 0;__label__ = 3; break; } //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$1; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$atom; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZL12ATOM_TO_JSIDP6JSAtom244($15); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=_JS_DeletePropertyById2($13, $14, $16, $17); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $19;__label__ = 3; break;
    case 3: 
      var $21;
      var $22=(($21)&1);
      ;
      return $22; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DeleteUCProperty2($cx, $obj, $name, $namelen, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$namelen;
      $5=$rval;
      var $6=$1; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)==-1; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=$3; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__Z9js_strlenPKt($11); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $12;__label__ = 4; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$4; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16 = $14;__label__ = 4; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($6, $7, $16, 0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$17; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$atom; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 5; break; } else { var $29 = 0;__label__ = 6; break; } //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$1; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$atom; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZL12ATOM_TO_JSIDP6JSAtom244($23); //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$5; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_JS_DeletePropertyById2($21, $22, $24, $25); //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      var $30=(($29)&1);
      ;
      return $30; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DeletePropertyById($cx, $obj, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $junk=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$id;
  var $4=$1; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=_JS_DeletePropertyById2($4, $5, $6, $junk); //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $7; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DeleteElement($cx, $obj, $index) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $junk=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  var $4=$1; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=_JS_DeleteElement2($4, $5, $6, $junk); //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $7; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DeleteProperty($cx, $obj, $name) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $junk=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$name;
  var $4=$1; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=_JS_DeleteProperty2($4, $5, $6, $junk); //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $7; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ClearScope($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $clearOp;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=$2; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($3, $4); //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=__ZNK8JSObject6getOpsEv($5); //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6+128)|0); //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $clearOp=$8; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$clearOp; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$clearOp; //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$1; //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      FUNCTION_TABLE[$12]($13, $14); //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$2; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZNK8JSObject8isNativeEv($16); //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $19=$1; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$2; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=__Z14js_ClearNativeP9JSContextP8JSObject($19, $20); //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $23=$2; //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZNK8JSObject8isGlobalEv($23); //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $26=$2; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=__ZN8JSObject8asGlobalEv($26); //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$1; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js12GlobalObject5clearEP9JSContext($27, $28); //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $30=$1; //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __Z13js_InitRandomP9JSContext($30); //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject8isGlobalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject8getClassEv($2); //@line 992 "./jsobj.h"
  var $4=(($3+4)|0); //@line 992 "./jsobj.h"
  var $5=HEAP32[(($4)>>2)]; //@line 992 "./jsobj.h"
  var $6=$5 & 262144; //@line 992 "./jsobj.h"
  var $7=(($6)|0)!=0; //@line 992 "./jsobj.h"
  var $8=$7 ^ 1; //@line 992 "./jsobj.h"
  var $9=$8 ^ 1; //@line 992 "./jsobj.h"
  ;
  return $9; //@line 992 "./jsobj.h"
}


function _JS_Enumerate($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $props=__stackBase__;
      var $ida=__stackBase__+60;
      var $4;
      var $n;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$2; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($props, $7); //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($8, $9, 8, $props); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$2; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZN2js15VectorToIdArrayEP9JSContextRNS_12AutoIdVectorEPP9JSIdArray($12, $props, $ida); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      $1=0; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=1;
      __label__ = 9; break; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $n=0; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $17=$n; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=HEAP32[(($ida)>>2)]; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAPU32[(($19)>>2)]; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($17)>>>0) < (($20)>>>0); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      __label__ = 7; break; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $24=$n; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24+1)|0); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $n=$25; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $27=HEAP32[(($ida)>>2)]; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$27; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=1;
      __label__ = 9; break; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      __ZN2js12AutoIdVectorD1Ev($props); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$1; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18prop_iter_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pdata;
      var $ida;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $pdata=$4; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$pdata; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5)|0)!=0; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      __label__ = 5; break; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $9=$2; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZNK8JSObject7getSlotEj($9, 0); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK2JS5Value7toInt32Ev($10); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0) >= 0; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $14=$pdata; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$14; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ida=$15; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$1; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$ida; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_DestroyIdArray($16, $17); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      ;
      return; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15prop_iter_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pdata;
      var $ida;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $pdata=$4; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$pdata; //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5)|0)!=0; //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      __label__ = 6; break; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $9=$2; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZNK8JSObject7getSlotEj($9, 0); //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK2JS5Value7toInt32Ev($10); //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0) < 0; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $14=$1; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$pdata; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$15; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc($14, $16, ((STRING_TABLE.__str30223)|0)); //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $18=$pdata; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$18; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ida=$19; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$1; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$ida; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)|0); //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$ida; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24+4)|0); //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=(($25)|0); //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js2gc11MarkIdRangeEP8JSTracerjPiPKc($20, $23, $26, ((STRING_TABLE.__str31224)|0)); //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break;
    case 6: 
      ;
      return; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_NewPropertyIterator($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $iterobj;
      var $pdata;
      var $index;
      var $ida;
      var $tvr=__stackBase__;
      var $4;
      var $5=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      var $6=$2; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($6, $7); //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_($8, __ZL15prop_iter_class, 0, $9); //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $iterobj=$10; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$iterobj; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 11; break; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $15=$3; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZNK8JSObject8isNativeEv($15); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$3; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=__ZNK8JSObject12lastPropertyEv($18); //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$19; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $pdata=$20; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $index=-1; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $22=$2; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$iterobj; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $22, $23); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$2; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$3; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_JS_Enumerate($24, $25); //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ida=$26; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$ida; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27)|0)!=0; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $1=0; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=1;
      __label__ = 8; break; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $31=$ida; //@line 4007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$31; //@line 4007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $pdata=$32; //@line 4007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$ida; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($33)|0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $index=$35; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=0; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 9; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 11; break;
      }
      else {
      __label__ = 12; break;
      }
      
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $39=$iterobj; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$pdata; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN8JSObject10setPrivateEPv($39, $40); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=$iterobj; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=$index; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL10Int32ValueEi251($5, $42); //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($41, 0, $5); //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$iterobj; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$43; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 11; break; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $45=$1; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_NewPropertyIterator["X"]=1;

function _JS_GetFunctionObject($fun) {
  ;
  var __label__;

  var $1;
  $1=$fun;
  var $2=$1; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=$2; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZNK2js5Shape10enumerableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 586 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 586 "./jsscope.h"
  var $5=(($4)&255); //@line 586 "./jsscope.h"
  var $6=$5 & 1; //@line 586 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 586 "./jsscope.h"
  ;
  return $7; //@line 586 "./jsscope.h"
}


function _JS_SetRuntimeSecurityCallbacks($rt, $callbacks) {
  ;
  var __label__;

  var $1;
  var $2;
  var $oldcallbacks;
  $1=$rt;
  $2=$callbacks;
  var $3=$1; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+144244)|0); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $oldcallbacks=$5; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7+144244)|0); //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$6; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$oldcallbacks; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetRuntimeSecurityCallbacks($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 4146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+144244)|0); //@line 4146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 4146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 4146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetContextSecurityCallbacks($cx, $callbacks) {
  ;
  var __label__;

  var $1;
  var $2;
  var $oldcallbacks;
  $1=$cx;
  $2=$callbacks;
  var $3=$1; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+204)|0); //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $oldcallbacks=$5; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7+204)|0); //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$6; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$oldcallbacks; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetSecurityCallbacks($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $3=(($2+204)|0); //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4)|0)!=0; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $7=$1; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7+204)|0); //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17 = $9;__label__ = 4; break; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$1; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11+52)|0); //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13+144244)|0); //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17 = $15;__label__ = 4; break; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $17; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime20setTrustedPrincipalsEP12JSPrincipals($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 638 "./jscntxt.h"
  var $5=(($3+209940)|0); //@line 638 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$4; //@line 638 "./jscntxt.h"
  ;
  return; //@line 638 "./jscntxt.h"
}


function __ZN8JSScript6upvarsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 716 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 716 "./jsscript.h"
  var $5=(($2+17)|0); //@line 716 "./jsscript.h"
  var $6=HEAPU8[($5)]; //@line 716 "./jsscript.h"
  var $7=(($6)&255); //@line 716 "./jsscript.h"
  var $8=(($4+$7)|0); //@line 716 "./jsscript.h"
  var $9=$8; //@line 716 "./jsscript.h"
  ;
  return $9; //@line 716 "./jsscript.h"
}


function __ZNK2js11UpvarCookie5levelEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 106 "./jsscript.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 106 "./jsscript.h"
  var $5=$4 >>> 16; //@line 106 "./jsscript.h"
  var $6=(($5) & 65535); //@line 106 "./jsscript.h"
  ;
  return $6; //@line 106 "./jsscript.h"
}


function __ZNK2js5Shape5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 483 "./jsscope.h"
  var $4=HEAP32[(($3)>>2)]; //@line 483 "./jsscope.h"
  ;
  return $4; //@line 483 "./jsscope.h"
}


function __ZN2js5Shape5Range8popFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 488 "./jsscope.h"
  var $4=HEAP32[(($3)>>2)]; //@line 488 "./jsscope.h"
  var $5=(($4+32)|0); //@line 488 "./jsscope.h"
  var $6=HEAP32[(($5)>>2)]; //@line 488 "./jsscope.h"
  var $7=(($2)|0); //@line 488 "./jsscope.h"
  HEAP32[(($7)>>2)]=$6; //@line 488 "./jsscope.h"
  ;
  return; //@line 489 "./jsscope.h"
}


function _JS_GetFunctionId($fun) {
  ;
  var __label__;

  var $1;
  $1=$fun;
  var $2=$1; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+72)|0); //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$4; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetFunctionFlags($fun) {
  ;
  var __label__;

  var $1;
  $1=$fun;
  var $2=$1; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+58)|0); //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAPU16[(($3)>>1)]; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4)&65535); //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetFunctionArity($fun) {
  ;
  var __label__;

  var $1;
  $1=$fun;
  var $2=$1; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+56)|0); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP16[(($3)>>1)]; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($this, $cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$obj;
  var $4=$1;
  var $5=$2; //@line 1568 "./jscntxt.h"
  var $6=$3; //@line 1568 "./jscntxt.h"
  __ZN2js16AutoObjectRooterC2EP9JSContextP8JSObject($4, $5, $6); //@line 1568 "./jscntxt.h"
  ;
  return; //@line 1568 "./jscntxt.h"
}


function __ZN2js16AutoObjectRooterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js16AutoObjectRooterD2Ev($2); //@line 1561 "./jscntxt.h"
  ;
  return; //@line 1561 "./jscntxt.h"
}


function __ZN2JSL10Int32ValueEi251($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function _JS_NextProperty($cx, $iterobj, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $shape;
      var $ida;
      var $4=__stackBase__;
      $1=$cx;
      $2=$iterobj;
      $3=$idp;
      var $5=$1; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$2; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$2; //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZNK8JSObject7getSlotEj($7, 0); //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZNK2JS5Value7toInt32Ev($8); //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$9; //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$i; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0) < 0; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$2; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$14; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $shape=$15; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $17=$shape; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__ZNK2js5Shape8previousEv($17); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 4; break; } else { var $25 = 0;__label__ = 5; break; } //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $21=$shape; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__ZNK2js5Shape10enumerableEv($21); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$22 ^ 1; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25 = $23;__label__ = 5; break;
    case 5: 
      var $25;
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; }
    case 6: 
      var $27=$shape; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=__ZNK2js5Shape8previousEv($27); //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $shape=$28; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $30=$shape; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=__ZNK2js5Shape8previousEv($30); //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31)|0)!=0; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $34=$3; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($34)>>2)]=2; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $36=$2; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=$shape; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=__ZNK2js5Shape8previousEv($37); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$38; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN8JSObject10setPrivateEPv($36, $39); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$shape; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=(($40+12)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$3; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($43)>>2)]=$42; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 17; break; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $46=$2; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=__ZNK8JSObject10getPrivateEv($46); //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$47; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ida=$48; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      __label__ = 13; break; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      var $51=$i; //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=(($51)|0)==0; //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($52) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $54=$3; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($54)>>2)]=2; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 16; break; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $56=$i; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=(($56-1)|0); //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$57; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$ida; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=(($58+4)|0); //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=(($59+($57<<2))|0); //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=$3; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($62)>>2)]=$61; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63=$2; //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=$i; //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL10Int32ValueEi251($4, $64); //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($63, 0, $4); //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      STACKTOP = __stackBase__;
      return 1; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_NextProperty["X"]=1;

function _JS_GetReservedSlot($cx, $obj, $index, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$vp;
  var $5=$1; //@line 4061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 4061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 4061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__Z18js_GetReservedSlotP9JSContextP8JSObjectjPN2JS5ValueE($7, $8, $9, $10); //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=(($11)&1); //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $12; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetReservedSlot($cx, $obj, $index, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $v=__stackBase__;
  var $5=__stackBase__+8;
  $2=$cx;
  $3=$obj;
  $4=$index;
  var $6=$v;
  var $7=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
  var $8=$2; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$v; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueEEEvP9JSContextT_T0_($8, $9, $5); //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$4; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($12, $13, $14, $v); //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=(($15)&1); //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewArrayObject($cx, $length, $vector) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$cx;
      $2=$length;
      $3=$vector;
      var $5=$1; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $10=$2; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13 = $10;__label__ = 4; break; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13 = 0;__label__ = 4; break; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $13; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN12JSValueArrayC1EPN2JS5ValueEj($4, $6, $13); //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentI12JSValueArrayEEvP9JSContextT_($5, $4); //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$1; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$2; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$3; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($14, $15, $16, 0); //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_IsArrayObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=$2; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($3, $4); //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=__ZNK8JSObject7isArrayEv($5); //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($6) { var $17 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $8=$2; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZNK8JSObject9isWrapperEv($8); //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 3; break; } else { var $15 = 0;__label__ = 4; break; } //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__ZN8JSObject6unwrapEPj($11, 0); //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZNK8JSObject7isArrayEv($12); //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15 = $13;__label__ = 4; break;
    case 4: 
      var $15;
      var $17 = $15;__label__ = 5; break;
    case 5: 
      var $17;
      var $18=(($17)&1);
      ;
      return $18; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject7isArrayEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject11isSlowArrayEv($2); //@line 1536 "./jsobj.h"
      if ($3) { var $7 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1536 "./jsobj.h"
    case 2: 
      var $5=__ZNK8JSObject12isDenseArrayEv($2); //@line 1536 "./jsobj.h"
      var $7 = $5;__label__ = 3; break; //@line 1536 "./jsobj.h"
    case 3: 
      var $7;
      ;
      return $7; //@line 1536 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetArrayLength($cx, $obj, $lengthp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$lengthp;
  var $4=$1; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($4, $5); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($6, $7, $8); //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetArrayLength($cx, $obj, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$length;
  var $4=$1; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($4, $5); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8)>>>0); //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($6, $7, $9); //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $10; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CheckAccess($cx, $obj, $id, $mode, $vp, $attrsp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$mode;
  $5=$vp;
  $6=$attrsp;
  var $7=$1; //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($7, $8, $9); //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$1; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$2; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$6; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($10, $11, $12, $13, $14, $15); //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $16; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetTrustedPrincipals($rt, $prin) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$prin;
  var $3=$1; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSRuntime20setTrustedPrincipalsEP12JSPrincipals($3, $4); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewFunction($cx, $native, $nargs, $flags, $parent, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $atom;
      $2=$cx;
      $3=$native;
      $4=$nargs;
      $5=$flags;
      $6=$parent;
      $7=$name;
      var $8=$2; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$6; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($8, $9); //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$7; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $atom=0; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$2; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$7; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$7; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=_strlen($16); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($14, $15, $17, 0, 0); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$18; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$atom; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19)|0)!=0; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 4188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $24=$2; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$3; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$4; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$5; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$6; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$atom; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($24, 0, $25, $26, $27, $28, $29); //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$30; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $32=$1; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $32; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_NewFunctionById($cx, $native, $nargs, $flags, $parent, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$native;
  $3=$nargs;
  $4=$flags;
  $5=$parent;
  $6=$id;
  var $7=$1; //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$5; //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($7, $8); //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$1; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$5; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__ZL12JSID_TO_ATOMi254($14); //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($9, 0, $10, $11, $12, $13, $15); //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $16; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL12JSID_TO_ATOMi254($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING243($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function _JS_CloneFunctionObject($cx, $funobj, $parent) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $fun;
      var $clone;
      var $uva;
      var $i;
      var $r=__stackBase__+8;
      var $obj;
      var $skip;
      var $v1=__stackBase__+16;
      $2=$cx;
      $3=$funobj;
      $4=$parent;
      var $5=$2; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$4; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 4210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 4210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 4210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $10=$2; //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZNK9JSContext5hasfpEv($10); //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$2; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZNK9JSContext2fpEv($14); //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZN2js13GetScopeChainEP9JSContextPNS_10StackFrameE($13, $15); //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$16; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$4; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0)!=0; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $21=$2; //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21+132)|0); //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$23; //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      __label__ = 7; break; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $26=$3; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=__ZNK8JSObject10isFunctionEv($26); //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $29=$3; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($v, $29); //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$2; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($30, $v, 0); //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 29; break; //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $32=$3; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=__ZNK8JSObject18getFunctionPrivateEv($32); //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fun=$33; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$fun; //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=__ZNK10JSFunction13isInterpretedEv($34); //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $37=$2; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$fun; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$4; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=__Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb($37, $38, $39, 0); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$40; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 29; break; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $42=$fun; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=__ZNK10JSFunction6scriptEv($42); //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=$43; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=(($44+36)|0); //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=HEAPU8[($45)]; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=(($46)&255) >>> 4; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$47 & 1; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=(($48) & 1); //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $51=$2; //@line 4233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($51, 2, 0, 142, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 29; break; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      var $53=$fun; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=__ZNK10JSFunction13isFlatClosureEv($53); //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($54) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $56=$2; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=$fun; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=$4; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=__Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb($56, $57, $58, 0); //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$59; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 29; break; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $61=$2; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=$fun; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63=$4; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=__Z19js_AllocFlatClosureP9JSContextP10JSFunctionP8JSObject($61, $62, $63); //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $clone=$64; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=$clone; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=(($65)|0)!=0; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($66) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      $1=0; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 29; break; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $69=$fun; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $70=__ZNK10JSFunction6scriptEv($69); //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=__ZN8JSScript6upvarsEv($70); //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $uva=$71; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $72=$uva; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $73=(($72+4)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$74; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $75=$fun; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $76=__ZNK10JSFunction6scriptEv($75); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=(($76+64)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=__ZNK2js8Bindings9lastUpvarEv($77); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js5Shape5RangeC1EPKS0_($r, $78); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 18; break; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      var $80=$i; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $81=(($80-1)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$81; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=(($80)|0)!=0; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($82) { __label__ = 19; break; } else { __label__ = 28; break; } //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      var $84=$4; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$84; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85=$i; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $86=$uva; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $87=(($86)|0); //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $89=(($88+($85<<2))|0); //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $90=__ZNK2js11UpvarCookie5levelEv($89); //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=(($90)&65535); //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $skip=$91; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      var $93=$skip; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $94=(($93-1)|0); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $skip=$94; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $95=(($94)|0) > 0; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($95) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      var $97=$obj; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $98=(($97)|0)!=0; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($98) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      var $100=$2; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($100, 2, 0, 142, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 29; break; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 23: 
      var $102=$obj; //@line 4270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $103=__ZNK8JSObject9getParentEv($102); //@line 4270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$103; //@line 4270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      var $105=$obj; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $106=$2; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $107=__ZNK2js5Shape5Range5frontEv($r); //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $108=(($107+12)|0); //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $110=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($105, $106, $109, $v1); //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $111=(($110)|0)!=0; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($111) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 25: 
      $1=0; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 29; break; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 26: 
      var $114=$i; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $115=$clone; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $116=__ZNK8JSObject20getFlatClosureUpvarsEv($115); //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $117=(($116+($114<<3))|0); //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $118=$117; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $119=$v1; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($118)>>2)]=HEAP32[(($119)>>2)];HEAP32[(($118+4)>>2)]=HEAP32[(($119+4)>>2)]; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 27; break; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 27: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 18; break; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 28: 
      var $122=$clone; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$122; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 29; break; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 29: 
      var $124=$1; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $124; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_CloneFunctionObject["X"]=1;

function __Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb($cx, $fun, $parent, $ignoreSingletonClone) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $proto=__stackBase__;
      $2=$cx;
      $3=$fun;
      $4=$parent;
      var $6=(($ignoreSingletonClone)&1);
      $5=$6;
      var $7=$2; //@line 446 "./jsfun.h"
      var $8=$4; //@line 446 "./jsfun.h"
      var $9=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($7, $8, 2, $proto, 0); //@line 446 "./jsfun.h"
      var $10=(($9)|0)!=0; //@line 446 "./jsfun.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 446 "./jsfun.h"
    case 2: 
      $1=0; //@line 447 "./jsfun.h"
      __label__ = 7; break; //@line 447 "./jsfun.h"
    case 3: 
      var $13=$5; //@line 456 "./jsfun.h"
      var $14=(($13) & 1); //@line 456 "./jsfun.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 456 "./jsfun.h"
    case 4: 
      var $16=$3; //@line 456 "./jsfun.h"
      var $17=$16; //@line 456 "./jsfun.h"
      var $18=__ZNK8JSObject16hasSingletonTypeEv($17); //@line 456 "./jsfun.h"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 456 "./jsfun.h"
    case 5: 
      var $20=$3; //@line 458 "./jsfun.h"
      var $21=$20; //@line 458 "./jsfun.h"
      var $22=$4; //@line 458 "./jsfun.h"
      __ZN8JSObject9setParentEPS_($21, $22); //@line 458 "./jsfun.h"
      var $23=$3; //@line 459 "./jsfun.h"
      var $24=$23; //@line 459 "./jsfun.h"
      $1=$24; //@line 459 "./jsfun.h"
      __label__ = 7; break; //@line 459 "./jsfun.h"
    case 6: 
      var $26=$2; //@line 462 "./jsfun.h"
      var $27=$3; //@line 462 "./jsfun.h"
      var $28=$4; //@line 462 "./jsfun.h"
      var $29=HEAP32[(($proto)>>2)]; //@line 462 "./jsfun.h"
      var $30=__Z22js_CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectS4_($26, $27, $28, $29); //@line 462 "./jsfun.h"
      $1=$30; //@line 462 "./jsfun.h"
      __label__ = 7; break; //@line 462 "./jsfun.h"
    case 7: 
      var $32=$1; //@line 463 "./jsfun.h"
      STACKTOP = __stackBase__;
      return $32; //@line 463 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK10JSFunction13isFlatClosureEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK10JSFunction4kindEv($2); //@line 135 "./jsfun.h"
  var $4=(($3)&65535); //@line 135 "./jsfun.h"
  var $5=(($4)|0)==32768; //@line 135 "./jsfun.h"
  ;
  return $5; //@line 135 "./jsfun.h"
}


function __ZN2js5Shape5RangeC1EPKS0_($this, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shape;
  var $3=$1;
  var $4=$2; //@line 474 "./jsscope.h"
  __ZN2js5Shape5RangeC2EPKS0_($3, $4); //@line 474 "./jsscope.h"
  ;
  return; //@line 474 "./jsscope.h"
}


function __ZNK8JSObject20getFlatClosureUpvarsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 0); //@line 590 "./jsobjinlines.h"
  var $4=__ZNK2JS5Value9toPrivateEv($3); //@line 590 "./jsobjinlines.h"
  var $5=$4; //@line 590 "./jsobjinlines.h"
  ;
  return $5; //@line 590 "./jsobjinlines.h"
}


function __ZNK14AutoVersionAPI7versionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetErrorReporter($cx, $er) {
  ;
  var __label__;

  var $1;
  var $2;
  var $older;
  $1=$cx;
  $2=$er;
  var $3=$1; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+180)|0); //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $older=$5; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7+180)|0); //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$6; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$older; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js11TokenStream15isUnexpectedEOFEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+144)|0); //@line 362 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 362 "./jsscan.h"
  var $5=$4 & 16; //@line 362 "./jsscan.h"
  var $6=(($5)|0)!=0; //@line 362 "./jsscan.h"
  var $7=$6 ^ 1; //@line 362 "./jsscan.h"
  var $8=$7 ^ 1; //@line 362 "./jsscan.h"
  ;
  return $8; //@line 362 "./jsscan.h"
}


function _JS_ObjectIsFunction($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZNK8JSObject10isFunctionEv($3); //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4)&1); //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ObjectIsCallable($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZN8JSObject10isCallableEv($3); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4)&1); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DefineFunctions($cx, $obj, $fs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $flags;
      var $ctor;
      var $fun;
      var $atom;
      var $priv=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$fs;
      var $5=$2; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$3; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ctor=0; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $8=$4; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0); //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 19; break; } //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$4; //@line 4362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13+10)|0); //@line 4362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAPU16[(($14)>>1)]; //@line 4362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)&65535); //@line 4362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $flags=$16; //@line 4362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$2; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18)|0); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$4; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)|0); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=_strlen($23); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($17, $20, $24, 0, 0); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$25; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$atom; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)|0)!=0; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $30=$flags; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$30 & 8; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31)|0)!=0; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 15; break; } //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $34=$ctor; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=(($34)|0)!=0; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 7; break; } //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $37=$2; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$3; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=_JS_GetConstructor($37, $38); //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ctor=$39; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$ctor; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=(($40)|0)!=0; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      $1=0; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      __label__ = 10; break; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $45=$flags; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=$45 & -9; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $flags=$46; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=$2; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$ctor; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$atom; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=__ZL12ATOM_TO_JSIDP6JSAtom244($49); //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=$4; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=(($51+8)|0); //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=HEAPU16[(($52)>>1)]; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=(($53)&65535); //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=(($54+1)|0); //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $56=$flags; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $57=$56 & -8193; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=__Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj($47, $48, $50, 48, $55, $57); //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fun=$58; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=$fun; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=(($59)|0)!=0; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($60) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      $1=0; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $63=$4; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=$63; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL12PrivateValueEPv257($priv, $64); //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=$2; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=$fun; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=$66; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $68=__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($65, $67, 0, $priv); //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($68) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      $1=0; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      __label__ = 15; break; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $72=$2; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $73=$3; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $74=$atom; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $75=__ZL12ATOM_TO_JSIDP6JSAtom244($74); //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $76=$4; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=(($76+4)|0); //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $79=$4; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $80=(($79+8)|0); //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $81=HEAPU16[(($80)>>1)]; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=(($81)&65535); //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $83=$flags; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $84=__Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj($72, $73, $75, $78, $82, $83); //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fun=$84; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85=$fun; //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $86=(($85)|0)!=0; //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($86) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      $1=0; //@line 4398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      __label__ = 18; break; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      var $90=$4; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=(($90+12)|0); //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $4=$91; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      $1=1; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      var $94=$1; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $94; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DefineFunctions["X"]=1;

function __ZL35js_generic_native_method_dispatcherP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fs;
      var $5=__stackBase__;
      var $native;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$4; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZNK8JSObject15getReservedSlotEj($5, $7, 0); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZNK2JS5Value9toPrivateEv($5); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$8; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fs=$9; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)>>>0) < 1; //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $13=$2; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$4; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __Z19js_ReportMissingArgP9JSContextRKN2JS5ValueEj($13, $14, 0); //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$4; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16+8)|0); //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$17; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$4; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19+16)|0); //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$20; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$3; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=((($22<<3))|0); //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _llvm_memmove_p0i8_p0i8_i32($18, $21, $23, 1, 0); //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$3; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24-1)|0); //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $3=$25; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=(($25+2)|0); //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$4; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27+($26<<3))|0); //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value12setUndefinedEv($28); //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$fs; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($29+4)|0); //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $native=$31; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$native; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$2; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$3; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$4; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=FUNCTION_TABLE[$32]($33, $34, $35); //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$36; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $38=$1; //@line 4348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 4348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL35js_generic_native_method_dispatcherP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2JSL12PrivateValueEPv257($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$1; //@line 766 "./jsapi.h"
  __ZN2JS5Value10setPrivateEPv($agg_result, $2); //@line 766 "./jsapi.h"
  ;
  return; //@line 767 "./jsapi.h"
}


function _JS_DefineFunction($cx, $obj, $name, $call, $nargs, $attrs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $atom;
      $2=$cx;
      $3=$obj;
      $4=$name;
      $5=$call;
      $6=$nargs;
      $7=$attrs;
      var $8=$2; //@line 4409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 4409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($8, $9); //@line 4409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$2; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$4; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$4; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=_strlen($12); //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($10, $11, $13, 0, 0); //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$14; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$atom; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0)!=0; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $19=$2; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$3; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$atom; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__ZL12ATOM_TO_JSIDP6JSAtom244($21); //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$5; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$6; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$7; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj($19, $20, $22, $23, $24, $25); //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$26; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $28=$1; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $28; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DefineUCFunction($cx, $obj, $name, $namelen, $call, $nargs, $attrs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $atom;
      $2=$cx;
      $3=$obj;
      $4=$name;
      $5=$namelen;
      $6=$call;
      $7=$nargs;
      $8=$attrs;
      var $9=$2; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($9, $10); //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$2; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$4; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$5; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0)==-1; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $16=$4; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__Z9js_strlenPKt($16); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $17;__label__ = 4; break; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $19=$5; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21 = $19;__label__ = 4; break; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $21; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($11, $12, $21, 0); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$22; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$atom; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($23)|0)!=0; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      $1=0; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $27=$2; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$3; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$atom; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=__ZL12ATOM_TO_JSIDP6JSAtom244($29); //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$6; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$7; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$8; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=__Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj($27, $28, $30, $31, $32, $33); //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$34; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $36=$1; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $36; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DefineFunctionById($cx, $obj, $id, $call, $nargs, $attrs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$call;
  $5=$nargs;
  $6=$attrs;
  var $7=$1; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($7, $8); //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$1; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$5; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj($9, $10, $11, $12, $13, $14); //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $15; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileUCScriptForPrincipalsVersion($cx, $obj, $principals, $chars, $length, $filename, $lineno, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $avi=__stackBase__;
  var $10;
  $2=$cx;
  $3=$obj;
  $4=$principals;
  $5=$chars;
  $6=$length;
  $7=$filename;
  $8=$lineno;
  $9=$version;
  var $11=$2; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$9; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN14AutoVersionAPIC1EP9JSContext9JSVersion($avi, $11, $12); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$2; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$3; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$5; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$6; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$7; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$8; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=__ZNK14AutoVersionAPI7versionEv($avi); //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=__ZL34CompileUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcj9JSVersion($13, $14, $15, $16, $17, $18, $19, $20); //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$21; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $10=1;
  __ZN14AutoVersionAPID1Ev($avi); //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=$1; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $22; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN14AutoVersionAPIC1EP9JSContext9JSVersion($this, $cx, $newVersion) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$newVersion;
  var $4=$1;
  var $5=$2; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN14AutoVersionAPIC2EP9JSContext9JSVersion($4, $5, $6); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL34CompileUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcj9JSVersion($cx, $obj, $principals, $chars, $length, $filename, $lineno, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $lfc=__stackBase__;
  var $tcflags;
  var $10;
  $2=$cx;
  $3=$obj;
  $4=$principals;
  $5=$chars;
  $6=$length;
  $7=$filename;
  $8=$lineno;
  $9=$version;
  var $11=$2; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectP12JSPrincipalsEEvP9JSContextT_T0_($11, $12, $13); //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$2; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $14); //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$2; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZL21JS_OPTIONS_TO_TCFLAGSP9JSContext($15); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$16 | 131072; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$17 | 1073741824; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $tcflags=$18; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$2; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$3; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$4; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=$tcflags; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=$5; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $24=$6; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $25=$7; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $26=$8; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $27=$9; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $28=__ZN2js8Compiler13compileScriptEP9JSContextP8JSObjectPNS_10StackFrameEP12JSPrincipalsjPKtjPKcj9JSVersionP8JSStringj($19, $20, 0, $21, $22, $23, $24, $25, $26, $27, 0, 0); //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$28; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $10=1;
  __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $29=$1; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $29; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN14AutoVersionAPID1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN14AutoVersionAPID2Ev($2); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileUCScriptForPrincipals($cx, $obj, $principals, $chars, $length, $filename, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  $1=$cx;
  $2=$obj;
  $3=$principals;
  $4=$chars;
  $5=$length;
  $6=$filename;
  $7=$lineno;
  var $8=$1; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$5; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$6; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$7; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$1; //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=__ZNK9JSContext11findVersionEv($15); //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=__ZL34CompileUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcj9JSVersion($8, $9, $10, $11, $12, $13, $14, $16); //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $17; //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileUCScript($cx, $obj, $chars, $length, $filename, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$chars;
  $4=$length;
  $5=$filename;
  $6=$lineno;
  var $7=$1; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$5; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$6; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=_JS_CompileUCScriptForPrincipals($7, $8, 0, $9, $10, $11, $12); //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $13; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileScriptForPrincipalsVersion($cx, $obj, $principals, $bytes, $length, $filename, $lineno, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $ava=__stackBase__;
  var $10;
  $2=$cx;
  $3=$obj;
  $4=$principals;
  $5=$bytes;
  $6=$length;
  $7=$filename;
  $8=$lineno;
  $9=$version;
  var $11=$2; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$9; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN14AutoVersionAPIC1EP9JSContext9JSVersion($ava, $11, $12); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$2; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$3; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$5; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$6; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$7; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$8; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=_JS_CompileScriptForPrincipals($13, $14, $15, $16, $17, $18, $19); //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$20; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $10=1;
  __ZN14AutoVersionAPID1Ev($ava); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$1; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $21; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileScriptForPrincipals($cx, $obj, $principals, $bytes, $length, $filename, $lineno) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $7;
      var $8;
      var $chars;
      var $script;
      $2=$cx;
      $3=$obj;
      $4=$principals;
      $5=$bytes;
      HEAP32[(($6)>>2)]=$length;
      $7=$filename;
      $8=$lineno;
      var $9=$2; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$5; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($9, $10, $6, 0); //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$11; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$chars; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0)!=0; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$2; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$3; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$chars; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($6)>>2)]; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$7; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$8; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=_JS_CompileUCScriptForPrincipals($16, $17, $18, $19, $20, $21, $22); //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $script=$23; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$2; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$chars; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$25; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($24, $26); //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$script; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$27; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $29=$1; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_CompileScript($cx, $obj, $bytes, $length, $filename, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$bytes;
  $4=$length;
  $5=$filename;
  $6=$lineno;
  var $7=$1; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$5; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$6; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=_JS_CompileScriptForPrincipals($7, $8, 0, $9, $10, $11, $12); //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $13; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_BufferIsCompilableUnit($cx, $bytes_are_utf8, $obj, $bytes, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 996; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $chars;
      var $result;
      var $exnState;
      var $older;
      var $parser=__stackBase__+4;
      $2=$cx;
      $3=$bytes_are_utf8;
      $4=$obj;
      $5=$bytes;
      HEAP32[(($6)>>2)]=$length;
      var $7=$2; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($7, $8); //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$2; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$5; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($12, $13, $6, 1); //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$14; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$2; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$5; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($16, $17, $6, 0); //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$18; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break;
    case 4: 
      var $20=$chars; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      $1=1; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $result=1; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$2; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=_JS_SaveExceptionState($24); //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $exnState=$25; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$2; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      FUNCTION_TABLE[__ZN2js6ParserC1EP9JSContextP12JSPrincipalsPNS_10StackFrameEb]($parser, $26, 0, 0, 1); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$chars; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=HEAP32[(($6)>>2)]; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$2; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=__ZNK9JSContext11findVersionEv($29); //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=__ZN2js6Parser4initEPKtjPKcj9JSVersion($parser, $27, $28, 0, 1, $30); //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $33=$2; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=_JS_SetErrorReporter($33, 0); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $older=$34; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$4; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=__ZN2js6Parser5parseEP8JSObject($parser, $35); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($36)|0)!=0; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $39=(($parser+40)|0); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=__ZN2js11TokenStream15isUnexpectedEOFEv($39); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      $result=0; //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $43=$2; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=$older; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=_JS_SetErrorReporter($43, $44); //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 11; break; //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      FUNCTION_TABLE[__ZN2js6ParserD1Ev]($parser); //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=$2; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$chars; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$48; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($47, $49); //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=$2; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=$exnState; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_RestoreExceptionState($50, $51); //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=$result; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$52; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 12; break; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $54=$1; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_BufferIsCompilableUnit["X"]=1;

function _JS_SaveExceptionState($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $state;
      var $2=__stackBase__;
      $1=$cx;
      var $3=$1; //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=__ZN9JSContext7malloc_Ej($3, 16); //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$4; //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $state=$5; //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$state; //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6)|0)!=0; //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $9=$1; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$state; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10+8)|0); //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=_JS_GetPendingException($9, $11); //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$state; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0); //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($14)>>2)]=$12; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$state; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0); //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17)|0)!=0; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $20=$state; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20+8)|0); //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$2; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$21; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=_JSVAL_IS_GCTHING($2); //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)|0)!=0; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $27=$1; //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$state; //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28+8)|0); //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=__Z10js_AddRootP9JSContextPN2JS5ValueEPKc($27, $29, ((STRING_TABLE.__str29222)|0)); //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $33=$state; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_RestoreExceptionState($cx, $state) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$cx;
      $2=$state;
      var $4=$2; //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4)|0)!=0; //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $7=$2; //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0); //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $12=$1; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$2; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13+8)|0); //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$14; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_SetPendingException($12, $3); //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$1; //@line 6036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ClearPendingException($18); //@line 6036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break;
    case 5: 
      var $20=$1; //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$2; //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_DropExceptionState($20, $21); //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21assertSameCompartmentIP8JSObjectP12JSPrincipalsEEvP9JSContextT_T0_($cx, $t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$t1;
  $3=$t2;
  ;
  return; //@line 248 "./jscntxtinlines.h"
}


function _JS_GetObjectFromScript($script) {
  ;
  var __label__;

  var $1;
  $1=$script;
  var $2=$1; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+84)|0); //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$3; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileFile($cx, $obj, $filename) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $lfc=__stackBase__;
      var $fp;
      var $5;
      var $script;
      $2=$cx;
      $3=$obj;
      $4=$filename;
      var $6=$2; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($6, $7); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $8); //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$4; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$4; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=_strcmp($12, ((STRING_TABLE.__str24217)|0)); //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)|0)==0; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=HEAP32[((_stdin)>>2)]; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fp=$16; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=$4; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=_fopen($18, ((STRING_TABLE.__str25218)|0)); //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fp=$19; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$fp; //@line 4674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 4674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $23=$2; //@line 4675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$4; //@line 4675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($23, 2, 0, 60, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$24,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str26219)|0),tempInt)); //@line 4675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $5=1;
      __label__ = 10; break; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      var $27=$2; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$3; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$4; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$fp; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=__ZL17CompileFileHelperP9JSContextP8JSObjectP12JSPrincipalsPKcP7__sFILE($27, $28, 0, $29, $30); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $script=$31; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$fp; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=HEAP32[((_stdin)>>2)]; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($32)|0)!=(($33)|0); //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $36=$fp; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=_fclose($36); //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $39=$script; //@line 4684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$39; //@line 4684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $5=1;
      __label__ = 10; break; //@line 4684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=$1; //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_CompileFile["X"]=1;

function __ZN18AutoLastFrameCheckC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18AutoLastFrameCheckC2EP9JSContext($3, $4); //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL17CompileFileHelperP9JSContextP8JSObjectP12JSPrincipalsPKcP7__sFILE($cx, $obj, $principals, $filename, $fp) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $st=__stackBase__;
      var $ok;
      var $buf;
      var $len;
      var $i;
      var $script;
      var $c;
      var $hitEOF;
      var $tmpbuf;
      var $c1;
      var $tcflags;
      $2=$cx;
      $3=$obj;
      $4=$principals;
      $5=$filename;
      $6=$fp;
      var $7=$6; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=_fileno($7); //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=_fstat($8, $st); //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$9; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$ok; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 26; break; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      $buf=0; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($st+28)|0); //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $len=$15; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=0; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$6; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=HEAP32[((_stdin)>>2)]; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($16)|0)==(($17)|0); //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 17; break; } //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $20=$len; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)==0; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      $len=8; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $hitEOF=0; //@line 4621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $25=$hitEOF; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=(($25) & 1); //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$26 ^ 1; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 16; break; } //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $29=$len; //@line 4623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=((($29<<1))|0); //@line 4623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $len=$30; //@line 4623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$2; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$buf; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$32; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$len; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=((($34<<1))|0); //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=__ZN9JSContext8realloc_EPvj($31, $33, $35); //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=$36; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $tmpbuf=$37; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$tmpbuf; //@line 4625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=(($38)|0)!=0; //@line 4625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $41=$2; //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=$buf; //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$42; //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($41, $43); //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 4627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 26; break; //@line 4627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $45=$tmpbuf; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $buf=$45; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 11; break; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      var $47=$i; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=$len; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=(($47)>>>0) < (($48)>>>0); //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $51=$6; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=_getc_unlocked($51); //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $c=$52; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $53=$c; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=(($53)|0)==-1; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($54) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      $hitEOF=1; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 15; break; //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      var $57=$c; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $58=(($57) & 255); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $59=(($58)&255); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=$i; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $61=(($60+1)|0); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$61; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $62=$buf; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63=(($62+($60<<1))|0); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP16[(($63)>>1)]=$59; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 11; break; //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      __label__ = 7; break; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      __label__ = 25; break; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $67=$2; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $68=$len; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $69=((($68<<1))|0); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $70=__ZN9JSContext7malloc_Ej($67, $69); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=$70; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $buf=$71; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $72=$buf; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $73=(($72)|0)!=0; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      $1=0; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 26; break; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      __label__ = 20; break; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      var $77=$i; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=$len; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $79=(($77)>>>0) < (($78)>>>0); //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($79) { __label__ = 21; break; } else { var $85 = 0;__label__ = 22; break; } //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      var $81=$6; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=_getc_unlocked($81); //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $c1=$82; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $83=(($82)|0)!=-1; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85 = $83;__label__ = 22; break;
    case 22: 
      var $85;
      if ($85) { __label__ = 23; break; } else { __label__ = 24; break; }
    case 23: 
      var $87=$c1; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=(($87) & 255); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $89=(($88)&255); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $90=$i; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=(($90+1)|0); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$91; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $92=$buf; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $93=(($92+($90<<1))|0); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP16[(($93)>>1)]=$89; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 20; break; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      var $96=$i; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $len=$96; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $97=$2; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $98=__ZL21JS_OPTIONS_TO_TCFLAGSP9JSContext($97); //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $99=$98 | 131072; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $100=$99 | 1073741824; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $tcflags=$100; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $101=$2; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $102=$3; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $103=$4; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $104=$tcflags; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $105=$buf; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $106=$len; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $107=$5; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $108=$2; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $109=__ZNK9JSContext11findVersionEv($108); //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $110=__ZN2js8Compiler13compileScriptEP9JSContextP8JSObjectPNS_10StackFrameEP12JSPrincipalsjPKtjPKcj9JSVersionP8JSStringj($101, $102, 0, $103, $104, $105, $106, $107, 1, $109, 0, 0); //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $script=$110; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $111=$2; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $112=$buf; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $113=$112; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($111, $113); //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $114=$script; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$114; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 26; break; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 26: 
      var $116=$1; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17CompileFileHelperP9JSContextP8JSObjectP12JSPrincipalsPKcP7__sFILE["X"]=1;

function __ZN18AutoLastFrameCheckD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN18AutoLastFrameCheckD2Ev($2); //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileFileHandleForPrincipals($cx, $obj, $filename, $file, $principals) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $lfc=__stackBase__;
  var $7;
  $2=$cx;
  $3=$obj;
  $4=$filename;
  $5=$file;
  $6=$principals;
  var $8=$2; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$6; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectP12JSPrincipalsEEvP9JSContextT_T0_($8, $9, $10); //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$2; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $11); //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$5; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=__ZL17CompileFileHelperP9JSContextP8JSObjectP12JSPrincipalsPKcP7__sFILE($12, $13, $14, $15, $16); //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$17; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $7=1;
  __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$1; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileFileHandleForPrincipalsVersion($cx, $obj, $filename, $file, $principals, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $ava=__stackBase__;
  var $8;
  $2=$cx;
  $3=$obj;
  $4=$filename;
  $5=$file;
  $6=$principals;
  $7=$version;
  var $9=$2; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$7; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN14AutoVersionAPIC1EP9JSContext9JSVersion($ava, $9, $10); //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$2; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$6; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=_JS_CompileFileHandleForPrincipals($11, $12, $13, $14, $15); //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$16; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $8=1;
  __ZN14AutoVersionAPID1Ev($ava); //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$1; //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $17; //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileFileHandle($cx, $obj, $filename, $file) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$filename;
  $4=$file;
  var $5=$1; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=_JS_CompileFileHandleForPrincipals($5, $6, $7, $8, 0); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileUCFunctionForPrincipalsVersion($cx, $obj, $principals, $name, $nargs, $argnames, $chars, $length, $filename, $lineno, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $10;
  var $11;
  var $12;
  var $avi=__stackBase__;
  var $13;
  $2=$cx;
  $3=$obj;
  $4=$principals;
  $5=$name;
  $6=$nargs;
  $7=$argnames;
  $8=$chars;
  $9=$length;
  $10=$filename;
  $11=$lineno;
  $12=$version;
  var $14=$2; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$12; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN14AutoVersionAPIC1EP9JSContext9JSVersion($avi, $14, $15); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$2; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$3; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$4; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$5; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$6; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$7; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=$8; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=$9; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $24=$10; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $25=$11; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $26=__ZNK14AutoVersionAPI7versionEv($avi); //@line 4779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $27=__ZL36CompileUCFunctionForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKcjPS6_PKtjS6_j9JSVersion($16, $17, $18, $19, $20, $21, $22, $23, $24, $25, $26); //@line 4779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$27; //@line 4779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $13=1;
  __ZN14AutoVersionAPID1Ev($avi); //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $28=$1; //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $28; //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZL36CompileUCFunctionForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKcjPS6_PKtjS6_j9JSVersion($cx, $obj, $principals, $name, $nargs, $argnames, $chars, $length, $filename, $lineno, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11;
      var $12;
      var $lfc=__stackBase__;
      var $funAtom;
      var $13;
      var $bindings=__stackBase__+4;
      var $i;
      var $dummy=__stackBase__+16;
      var $argAtom;
      var $fun;
      var $14=__stackBase__+20;
      $2=$cx;
      $3=$obj;
      $4=$principals;
      $5=$name;
      $6=$nargs;
      $7=$argnames;
      $8=$chars;
      $9=$length;
      $10=$filename;
      $11=$lineno;
      $12=$version;
      var $15=$2; //@line 4731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$3; //@line 4731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 4731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectP12JSPrincipalsEEvP9JSContextT_T0_($15, $16, $17); //@line 4731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$2; //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $18); //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$5; //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19)|0)!=0; //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $funAtom=0; //@line 4736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $23=$2; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$5; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$5; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_strlen($25); //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($23, $24, $26, 0, 0); //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $funAtom=$27; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$funAtom; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0)!=0; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $13=1;
      __label__ = 22; break; //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $33=$2; //@line 4743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js8BindingsC1EP9JSContext($bindings, $33); //@line 4743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=0; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $35=$i; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$6; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $39=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$i; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=$7; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=(($41+($40<<2))|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=$i; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $45=$7; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $46=(($45+($44<<2))|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=_strlen($47); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($39, $43, $48, 0, 0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $argAtom=$49; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=$argAtom; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=(($50)|0)!=0; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $53=$2; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=$argAtom; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $55=__ZN2js8Bindings11addArgumentEP9JSContextP6JSAtomPt($bindings, $53, $54, $dummy); //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      $1=0; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $13=1;
      __label__ = 22; break; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 11: 
      __label__ = 12; break; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 12: 
      var $59=$i; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $60=(($59+1)|0); //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $i=$60; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 13: 
      var $62=$2; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $63=$3; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $64=$funAtom; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $65=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($62, 0, 0, 0, 16384, $63, $64); //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fun=$65; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $66=$fun; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $67=(($66)|0)!=0; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 14: 
      $1=0; //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $13=1;
      __label__ = 22; break; //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 15: 
      var $70=$2; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $71=$fun; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $72=$4; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $73=$8; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $74=$9; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $75=$10; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $76=$11; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $77=$12; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $78=__ZN2js8Compiler19compileFunctionBodyEP9JSContextP10JSFunctionP12JSPrincipalsPNS_8BindingsEPKtjPKcj9JSVersion($70, $71, $72, $bindings, $73, $74, $75, $76, $77); //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($78) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 16: 
      $1=0; //@line 4757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $13=1;
      __label__ = 22; break; //@line 4757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 17: 
      var $81=$3; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $82=(($81)|0)!=0; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 18: 
      var $84=$funAtom; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $85=(($84)|0)!=0; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($85) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 19: 
      var $87=$3; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $88=$2; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $89=$funAtom; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $90=__ZL12ATOM_TO_JSIDP6JSAtom244($89); //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $91=$fun; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $92=$91; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL11ObjectValueER8JSObject239($14, $92); //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $93=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($87, $88, $90, $14, 0, 0, 1); //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $94=(($93)|0)!=0; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($94) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 20: 
      $1=0; //@line 4763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $13=1;
      __label__ = 22; break; //@line 4763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 21: 
      var $97=$fun; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$97; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $13=1;
      __label__ = 22; break; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 22: 
      __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $99=$1; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $99; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL36CompileUCFunctionForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKcjPS6_PKtjS6_j9JSVersion["X"]=1;

function _JS_CompileUCFunctionForPrincipals($cx, $obj, $principals, $name, $nargs, $argnames, $chars, $length, $filename, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $10;
  $1=$cx;
  $2=$obj;
  $3=$principals;
  $4=$name;
  $5=$nargs;
  $6=$argnames;
  $7=$chars;
  $8=$length;
  $9=$filename;
  $10=$lineno;
  var $11=$1; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$2; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$4; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$5; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$6; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$7; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$8; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$9; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$10; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$1; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=__ZNK9JSContext11findVersionEv($21); //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=__ZL36CompileUCFunctionForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKcjPS6_PKtjS6_j9JSVersion($11, $12, $13, $14, $15, $16, $17, $18, $19, $20, $22); //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $23; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileUCFunction($cx, $obj, $name, $nargs, $argnames, $chars, $length, $filename, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  $1=$cx;
  $2=$obj;
  $3=$name;
  $4=$nargs;
  $5=$argnames;
  $6=$chars;
  $7=$length;
  $8=$filename;
  $9=$lineno;
  var $10=$1; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$2; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$6; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$7; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$8; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$9; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=_JS_CompileUCFunctionForPrincipals($10, $11, 0, $12, $13, $14, $15, $16, $17, $18); //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $19; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompileFunctionForPrincipals($cx, $obj, $principals, $name, $nargs, $argnames, $bytes, $length, $filename, $lineno) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9=__stackBase__;
      var $10;
      var $11;
      var $chars;
      var $fun;
      $2=$cx;
      $3=$obj;
      $4=$principals;
      $5=$name;
      $6=$nargs;
      $7=$argnames;
      $8=$bytes;
      HEAP32[(($9)>>2)]=$length;
      $10=$filename;
      $11=$lineno;
      var $12=$2; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$8; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($12, $13, $9, 0); //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$14; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$chars; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)|0)!=0; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $19=$2; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$3; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$4; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$5; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$6; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$7; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$chars; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=HEAP32[(($9)>>2)]; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$10; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$11; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=_JS_CompileUCFunctionForPrincipals($19, $20, $21, $22, $23, $24, $25, $26, $27, $28); //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fun=$29; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$2; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$chars; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$31; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($30, $32); //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$fun; //@line 4819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$33; //@line 4819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $35=$1; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_CompileFunctionForPrincipals["X"]=1;

function _JS_CompileFunction($cx, $obj, $name, $nargs, $argnames, $bytes, $length, $filename, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  $1=$cx;
  $2=$obj;
  $3=$name;
  $4=$nargs;
  $5=$argnames;
  $6=$bytes;
  $7=$length;
  $8=$filename;
  $9=$lineno;
  var $10=$1; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$2; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$3; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$4; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$6; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$7; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$8; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$9; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=_JS_CompileFunctionForPrincipals($10, $11, 0, $12, $13, $14, $15, $16, $17, $18); //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $19; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DecompileScript($cx, $script, $name, $indent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $jp;
      var $str;
      $2=$cx;
      $3=$script;
      $4=$name;
      $5=$indent;
      var $6=$2; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$4; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$5; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$8 & -32769; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$5; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$10 & 32768; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$12 ^ 1; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13)&1); //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=_js_NewPrinter($6, $7, 0, $9, $14, 0, 0); //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $jp=$15; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$jp; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16)|0)!=0; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $20=$jp; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$3; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=_js_DecompileScript($20, $21); //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=(($22)|0)!=0; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $25=$jp; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_js_GetPrinterOutput($25); //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $str=$26; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      $str=0; //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break;
    case 6: 
      var $29=$jp; //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _js_DestroyPrinter($29); //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$str; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$30; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $32=$1; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $32; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21assertSameCompartmentIP10JSFunctionEEvP9JSContextT_($cx, $t1) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$t1;
  ;
  return; //@line 238 "./jscntxtinlines.h"
}


function __ZN2js21assertSameCompartmentIP8JSObjectP8JSScriptEEvP9JSContextT_T0_($cx, $t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$t1;
  $3=$t2;
  ;
  return; //@line 248 "./jscntxtinlines.h"
}


function __ZN2js21assertSameCompartmentIP8JSObjectP10JSFunction12JSValueArrayEEvP9JSContextT_T0_T1_($cx, $t1, $t2, $t3) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t3; $t3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$t1;
  $3=$t2;
  STACKTOP = __stackBase__;
  return; //@line 259 "./jscntxtinlines.h"
}


function __ZN2js21assertSameCompartmentIP8JSObject12JSValueArrayEEvP9JSContextT_T0_($cx, $t1, $t2) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t2; $t2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$t1;
  STACKTOP = __stackBase__;
  return; //@line 248 "./jscntxtinlines.h"
}


function __ZNK16JSAutoByteString3ptrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 4314 "./jsapi.h"
  var $4=HEAP32[(($3)>>2)]; //@line 4314 "./jsapi.h"
  ;
  return $4; //@line 4314 "./jsapi.h"
}


function _JS_SetOperationCallback($cx, $callback) {
  ;
  var __label__;

  var $1;
  var $2;
  var $old;
  $1=$cx;
  $2=$callback;
  var $3=$1; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+184)|0); //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $old=$5; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7+184)|0); //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$6; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$old; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetOperationCallback($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+184)|0); //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DecompileFunction($cx, $fun, $indent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$fun;
  $3=$indent;
  var $4=$1; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP10JSFunctionEEvP9JSContextT_($4, $5); //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$8 & -32769; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$10 & 32768; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=(($11)|0)!=0; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$12 ^ 1; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=(($13)&1); //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=_js_DecompileToString($6, ((STRING_TABLE.__str27220)|0), $7, $9, $14, 0, 0, 50); //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $15; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DecompileFunctionBody($cx, $fun, $indent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$fun;
  $3=$indent;
  var $4=$1; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP10JSFunctionEEvP9JSContextT_($4, $5); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$8 & -32769; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$10 & 32768; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=(($11)|0)!=0; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$12 ^ 1; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=(($13)&1); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=_js_DecompileToString($6, ((STRING_TABLE.__str28221)|0), $7, $9, $14, 0, 0, 52); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $15; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ExecuteScript($cx, $obj, $script, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $lfc=__stackBase__;
  var $6;
  $2=$cx;
  $3=$obj;
  $4=$script;
  $5=$rval;
  var $7=$2; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectP8JSScriptEEvP9JSContextT_T0_($7, $8, $9); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $10); //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$2; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$5; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__ZN2js7ExecuteEP9JSContextP8JSScriptR8JSObjectPN2JS5ValueE($11, $12, $13, $14); //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=(($15)&1); //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$16; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $6=1;
  __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$1; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $17; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ExecuteScriptVersion($cx, $obj, $script, $rval, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $ava=__stackBase__;
  var $7;
  $2=$cx;
  $3=$obj;
  $4=$script;
  $5=$rval;
  $6=$version;
  var $8=$2; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$6; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN14AutoVersionAPIC1EP9JSContext9JSVersion($ava, $8, $9); //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$5; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=_JS_ExecuteScript($10, $11, $12, $13); //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$14; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $7=1;
  __ZN14AutoVersionAPID1Ev($ava); //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$1; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $15; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __Z35EvaluateUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcjPN2JS5ValueE9JSVersion($cx, $obj, $principals, $chars, $length, $filename, $lineno, $rval, $compileVersion) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $flags;
      var $lfc=__stackBase__;
      var $script;
      var $11;
      $2=$cx;
      $3=$obj;
      $4=$principals;
      $5=$chars;
      $6=$length;
      $7=$filename;
      $8=$lineno;
      $9=$rval;
      $10=$compileVersion;
      $flags=1073750016; //@line 4911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$9; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0)!=0; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $15=$flags; //@line 4913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$15 | 16384; //@line 4913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $flags=$16; //@line 4913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 4913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $18=$2; //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $18); //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$2; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$3; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$4; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$flags; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$5; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$6; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$7; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$8; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$10; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=__ZN2js8Compiler13compileScriptEP9JSContextP8JSObjectPNS_10StackFrameEP12JSPrincipalsjPKtjPKcj9JSVersionP8JSStringj($19, $20, 0, $21, $22, $23, $24, $25, $26, $27, 0, 0); //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $script=$28; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$script; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($29)|0)!=0; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $11=1;
      __label__ = 6; break; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $33=$2; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$script; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$3; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$9; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=__ZN2js7ExecuteEP9JSContextP8JSScriptR8JSObjectPN2JS5ValueE($33, $34, $35, $36); //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$37; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $11=1;
      __label__ = 6; break; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=$1; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z35EvaluateUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcjPN2JS5ValueE9JSVersion["X"]=1;

function _JS_EvaluateUCScriptForPrincipalsVersion($cx, $obj, $principals, $chars, $length, $filename, $lineno, $rval, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $10;
  var $avi=__stackBase__;
  var $11;
  $2=$cx;
  $3=$obj;
  $4=$principals;
  $5=$chars;
  $6=$length;
  $7=$filename;
  $8=$lineno;
  $9=$rval;
  $10=$version;
  var $12=$2; //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$10; //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN14AutoVersionAPIC1EP9JSContext9JSVersion($avi, $12, $13); //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$2; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$3; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$4; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$5; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$6; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$7; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$8; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$9; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=__ZNK14AutoVersionAPI7versionEv($avi); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=__Z35EvaluateUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcjPN2JS5ValueE9JSVersion($14, $15, $16, $17, $18, $19, $20, $21, $22); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $24=(($23)&1); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$24; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $11=1;
  __ZN14AutoVersionAPID1Ev($avi); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $25=$1; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $25; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EvaluateUCScriptForPrincipals($cx, $obj, $principals, $chars, $length, $filename, $lineno, $rval) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  $1=$cx;
  $2=$obj;
  $3=$principals;
  $4=$chars;
  $5=$length;
  $6=$filename;
  $7=$lineno;
  $8=$rval;
  var $9=$1; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$5; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$6; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$7; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$8; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$1; //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=__ZNK9JSContext11findVersionEv($17); //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=__Z35EvaluateUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcjPN2JS5ValueE9JSVersion($9, $10, $11, $12, $13, $14, $15, $16, $18); //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=(($19)&1); //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $20; //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EvaluateUCScript($cx, $obj, $chars, $length, $filename, $lineno, $rval) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  $1=$cx;
  $2=$obj;
  $3=$chars;
  $4=$length;
  $5=$filename;
  $6=$lineno;
  $7=$rval;
  var $8=$1; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$5; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$6; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$7; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=_JS_EvaluateUCScriptForPrincipals($8, $9, 0, $10, $11, $12, $13, $14); //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $15; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EvaluateScriptForPrincipals($cx, $obj, $principals, $bytes, $nbytes, $filename, $lineno, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $length=__stackBase__;
      var $chars;
      var $ok;
      $2=$cx;
      $3=$obj;
      $4=$principals;
      $5=$bytes;
      $6=$nbytes;
      $7=$filename;
      $8=$lineno;
      $9=$rval;
      var $10=$6; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($length)>>2)]=$10; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$2; //@line 4966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$5; //@line 4966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($11, $12, $length, 0); //@line 4966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$13; //@line 4966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$chars; //@line 4967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)!=0; //@line 4967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $18=$2; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$3; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$4; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$chars; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=HEAP32[(($length)>>2)]; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$7; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$8; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$9; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=_JS_EvaluateUCScriptForPrincipals($18, $19, $20, $21, $22, $23, $24, $25); //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$26; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$2; //@line 4971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$chars; //@line 4971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$28; //@line 4971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($27, $29); //@line 4971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$ok; //@line 4972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$30; //@line 4972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 4972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $32=$1; //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_EvaluateScriptForPrincipals["X"]=1;

function _JS_EvaluateScriptForPrincipalsVersion($cx, $obj, $principals, $bytes, $nbytes, $filename, $lineno, $rval, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $10;
  var $avi=__stackBase__;
  var $11;
  $2=$cx;
  $3=$obj;
  $4=$principals;
  $5=$bytes;
  $6=$nbytes;
  $7=$filename;
  $8=$lineno;
  $9=$rval;
  $10=$version;
  var $12=$2; //@line 4980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$10; //@line 4980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN14AutoVersionAPIC1EP9JSContext9JSVersion($avi, $12, $13); //@line 4980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$2; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$3; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$4; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$5; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$6; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$7; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$8; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$9; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=_JS_EvaluateScriptForPrincipals($14, $15, $16, $17, $18, $19, $20, $21); //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$22; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $11=1;
  __ZN14AutoVersionAPID1Ev($avi); //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=$1; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $23; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EvaluateScript($cx, $obj, $bytes, $nbytes, $filename, $lineno, $rval) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  $1=$cx;
  $2=$obj;
  $3=$bytes;
  $4=$nbytes;
  $5=$filename;
  $6=$lineno;
  $7=$rval;
  var $8=$1; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$5; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$6; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$7; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=_JS_EvaluateScriptForPrincipals($8, $9, 0, $10, $11, $12, $13, $14); //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $15; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CallFunction($cx, $obj, $fun, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8=__stackBase__;
  var $lfc=__stackBase__+8;
  var $9=__stackBase__+12;
  var $10=__stackBase__+20;
  var $11;
  $2=$cx;
  $3=$obj;
  $4=$fun;
  $5=$argc;
  $6=$argv;
  $7=$rval;
  var $12=$2; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$3; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$4; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$6; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$5; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN12JSValueArrayC1EPN2JS5ValueEj($8, $15, $16); //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectP10JSFunction12JSValueArrayEEvP9JSContextT_T0_T1_($12, $13, $14, $8); //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$2; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $17); //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$2; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$3; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2JSL17ObjectOrNullValueEP8JSObject258($9, $19); //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$4; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$20; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2JSL11ObjectValueER8JSObject239($10, $21); //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=$5; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=$6; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $24=$7; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $25=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($18, $9, $10, $22, $23, $24); //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $26=(($25)&1); //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $1=$26; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $11=1;
  __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $27=$1; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $27; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2JSL17ObjectOrNullValueEP8JSObject258($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 758 "./jsapi.h"
  __ZN2JS5Value15setObjectOrNullEP8JSObject($agg_result, $2); //@line 758 "./jsapi.h"
  ;
  return; //@line 759 "./jsapi.h"
}


function _JS_CallFunctionName($cx, $obj, $name, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8=__stackBase__;
      var $lfc=__stackBase__+8;
      var $v=__stackBase__+12;
      var $atom;
      var $9=__stackBase__+20;
      var $10;
      $2=$cx;
      $3=$obj;
      $4=$name;
      $5=$argc;
      $6=$argv;
      $7=$rval;
      var $11=$2; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$3; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$6; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$5; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN12JSValueArrayC1EPN2JS5ValueEj($8, $13, $14); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObject12JSValueArrayEEvP9JSContextT_T0_($11, $12, $8); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$2; //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $15); //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$2; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=_strlen($18); //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($16, $17, $19, 0, 0); //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $atom=$20; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$atom; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)|0)!=0; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($22) { __label__ = 2; break; } else { var $38 = 0;__label__ = 4; break; } //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $24=$2; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$3; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$atom; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=__ZL12ATOM_TO_JSIDP6JSAtom244($26); //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($24, $25, $27, 2, $v); //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0)!=0; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($29) { __label__ = 3; break; } else { var $38 = 0;__label__ = 4; break; } //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $31=$2; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$3; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject258($9, $32); //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$5; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$6; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$7; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($31, $9, $v, $33, $34, $35); //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38 = $36;__label__ = 4; break;
    case 4: 
      var $38;
      var $39=(($38)&1);
      $1=$39;
      $10=1;
      __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$1; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_CallFunctionName["X"]=1;

function _JS_CallFunctionValue($cx, $obj, $0, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $fval=__stackBase__;
  var $5;
  var $6;
  var $7;
  var $8=__stackBase__+8;
  var $9=__stackBase__+16;
  var $lfc=__stackBase__+24;
  var $10=__stackBase__+28;
  var $11;
  $3=$cx;
  $4=$obj;
  var $12=$fval;
  var $13=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
  $5=$argc;
  $6=$argv;
  $7=$rval;
  var $14=$3; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$8; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$fval; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$6; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$5; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN12JSValueArrayC1EPN2JS5ValueEj($9, $18, $19); //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueE12JSValueArrayEEvP9JSContextT_T0_T1_($14, $15, $8, $9); //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$3; //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $20); //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$3; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=$4; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2JSL17ObjectOrNullValueEP8JSObject258($10, $22); //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=$5; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $24=$6; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $25=$7; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $26=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($21, $10, $fval, $23, $24, $25); //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $27=(($26)&1); //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $2=$27; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $11=1;
  __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $28=$2; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $28; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueE12JSValueArrayEEvP9JSContextT_T0_T1_($cx, $t1, $0, $t3) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $t3; $t3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $t2=__stackBase__;
  $2=$cx;
  $3=$t1;
  var $4=$t2;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  STACKTOP = __stackBase__;
  return; //@line 259 "./jscntxtinlines.h"
}


function __ZN2JS4CallEP9JSContextNS_5ValueES2_jPS2_S3_($cx, $0, $1, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $3;
  var $4;
  var $thisv=__stackBase__;
  var $fval=__stackBase__+8;
  var $5;
  var $6;
  var $7;
  var $8=__stackBase__+16;
  var $9=__stackBase__+24;
  var $10=__stackBase__+32;
  var $lfc=__stackBase__+40;
  var $11;
  $4=$cx;
  var $12=$thisv;
  var $13=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
  var $14=$fval;
  var $15=$1;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
  $5=$argc;
  $6=$argv;
  $7=$rval;
  var $16=$4; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=$8; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=$thisv; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$9; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$fval; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=$6; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=$5; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN12JSValueArrayC1EPN2JS5ValueEj($10, $21, $22); //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueES2_12JSValueArrayEEvP9JSContextT_T0_T1_($16, $8, $9, $10); //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=$4; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $23); //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $24=$4; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $25=$5; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $26=$6; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $27=$7; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $28=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($24, $thisv, $fval, $25, $26, $27); //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $3=$28; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $11=1;
  __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $29=$3; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $29; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js21assertSameCompartmentIN2JS5ValueES2_12JSValueArrayEEvP9JSContextT_T0_T1_($cx, $0, $1, $t3) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $t3; $t3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $3;
  var $t1=__stackBase__;
  var $t2=__stackBase__+8;
  $3=$cx;
  var $4=$t1;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$t2;
  var $7=$1;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
  STACKTOP = __stackBase__;
  return; //@line 259 "./jscntxtinlines.h"
}


function _JS_New($cx, $ctor, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $lfc=__stackBase__+8;
      var $args=__stackBase__+12;
      var $7;
      var $bytes=__stackBase__+36;
      $2=$cx;
      $3=$ctor;
      $4=$argc;
      $5=$argv;
      var $8=$2; //@line 5051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 5051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$5; //@line 5051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$4; //@line 5051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN12JSValueArrayC1EPN2JS5ValueEj($6, $10, $11); //@line 5051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObject12JSValueArrayEEvP9JSContextT_T0_($8, $9, $6); //@line 5051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$2; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18AutoLastFrameCheckC1EP9JSContext($lfc, $12); //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 5058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$2; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13+60)|0); //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$2; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$4; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($14, $15, $16, $args); //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 10; break; //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $20=$args; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=__ZNK2js12CallReceiver7calleevEv($20); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$3; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value9setObjectER8JSObject($21, $22); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$args; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=__ZNK2js12CallReceiver5thisvEv($23); //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2JS5Value7setNullEv($24); //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$args; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__ZNK2js8CallArgs4argvEv($25); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$26; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$5; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$28; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$4; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=((($30<<3))|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert($31 % 1 === 0, 'memcpy given ' + $31 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($27, $29, $31, 1); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$2; //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=__ZN2js17InvokeConstructorEP9JSContextRNS_15InvokeArgsGuardE($32, $args); //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 10; break; //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $36=$args; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=__ZNK2js12CallReceiver4rvalEv($36); //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=__ZNK2JS5Value8isObjectEv($37); //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 6; break; } //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$2; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=$args; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=__ZNK2js12CallReceiver4rvalEv($41); //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($40, $42, $bytes, 0); //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=(($43)|0)!=0; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $46=$2; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 5077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($46, 2, 0, 28, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$47,tempInt)); //@line 5077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      $1=0; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break;
    case 9: 
      var $50=$args; //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $51=__ZNK2js12CallReceiver4rvalEv($50); //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=__ZNK2JS5Value8toObjectEv($51); //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$52; //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $7=1;
      __label__ = 10; break; //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 5083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN18AutoLastFrameCheckD1Ev($lfc); //@line 5083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $54=$1; //@line 5083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 5083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_New["X"]=1;

function __ZN2js15InvokeArgsGuardC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15InvokeArgsGuardC2Ev($2); //@line 1756 "./vm/Stack.h"
  ;
  return; //@line 1756 "./vm/Stack.h"
}


function __ZN2js17InvokeConstructorEP9JSContextRNS_15InvokeArgsGuardE($cx, $args) {
  ;
  var __label__;

  var $1;
  var $2;
  var $ok;
  $1=$cx;
  $2=$args;
  var $3=$2; //@line 200 "./jsinterp.h"
  var $4=$3; //@line 200 "./jsinterp.h"
  __ZN2js12CallArgsList9setActiveEv($4); //@line 200 "./jsinterp.h"
  var $5=$1; //@line 201 "./jsinterp.h"
  var $6=$2; //@line 201 "./jsinterp.h"
  var $7=__ZN2js12ImplicitCastINS_8CallArgsENS_15InvokeArgsGuardEEERT_RT0_($6); //@line 201 "./jsinterp.h"
  var $8=__ZN2js23InvokeConstructorKernelEP9JSContextRKNS_8CallArgsE($5, $7); //@line 201 "./jsinterp.h"
  var $9=(($8)&1); //@line 201 "./jsinterp.h"
  $ok=$9; //@line 201 "./jsinterp.h"
  var $10=$2; //@line 202 "./jsinterp.h"
  var $11=$10; //@line 202 "./jsinterp.h"
  __ZN2js12CallArgsList11setInactiveEv($11); //@line 202 "./jsinterp.h"
  var $12=$ok; //@line 203 "./jsinterp.h"
  var $13=(($12) & 1); //@line 203 "./jsinterp.h"
  ;
  return $13; //@line 203 "./jsinterp.h"
}


function __ZN2js15InvokeArgsGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15InvokeArgsGuardD2Ev($2); //@line 1757 "./vm/Stack.h"
  ;
  return; //@line 1757 "./vm/Stack.h"
}


function _JS_TriggerOperationCallback($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js24TriggerOperationCallbackEP9JSContext($2); //@line 5108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js21assertSameCompartmentIP8JSStringEEvP9JSContextT_($cx, $t1) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$t1;
  ;
  return; //@line 238 "./jscntxtinlines.h"
}


function __ZNK8JSString6isAtomEv($this) {
  ;
  var __label__;

  var $1;
  var $atomized;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 385 "./vm/String.h"
  var $4=(($3)|0); //@line 385 "./vm/String.h"
  var $5=HEAP32[(($4)>>2)]; //@line 385 "./vm/String.h"
  var $6=$5 & 7; //@line 385 "./vm/String.h"
  var $7=(($6)|0)==0; //@line 385 "./vm/String.h"
  var $8=(($7)&1); //@line 385 "./vm/String.h"
  $atomized=$8; //@line 385 "./vm/String.h"
  var $9=$atomized; //@line 387 "./vm/String.h"
  var $10=(($9) & 1); //@line 387 "./vm/String.h"
  ;
  return $10; //@line 387 "./vm/String.h"
}


function _JS_TriggerAllOperationCallbacks($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js28TriggerAllOperationCallbacksEP9JSRuntime($2); //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsRunning($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $fp;
      $1=$cx;
      var $2=$1; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $3=__ZNK9JSContext7maybefpEv($2); //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fp=$3; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $5=$fp; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5)|0)!=0; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $8=$fp; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZNK2js10StackFrame12isDummyFrameEv($8); //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=$fp; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZNK2js10StackFrame4prevEv($13); //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $fp=$14; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $16=$fp; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16)|0)!=0; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17)&1); //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $18; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK9JSContext7maybefpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 987 "./jscntxt.h"
  var $4=__ZNK2js12ContextStack7maybefpEv($3); //@line 987 "./jscntxt.h"
  ;
  return $4; //@line 987 "./jscntxt.h"
}


function _JS_SaveFrameChain($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js10LeaveTraceEP9JSContext($2); //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=$1; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3+60)|0); //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN2js12ContextStack14saveFrameChainEv($4); //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($5)&1); //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $6; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_RestoreFrameChain($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+60)|0); //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js12ContextStack17restoreFrameChainEv($3); //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewStringCopyN($cx, $s, $n) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$s;
  $3=$n;
  var $4=$1; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z17js_NewStringCopyNP9JSContextPKcj($4, $5, $6); //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$7; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewStringCopyZ($cx, $s) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n=__stackBase__;
      var $js;
      var $str;
      $2=$cx;
      $3=$s;
      var $4=$3; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4)|0)!=0; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $7=$2; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7+52)|0); //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9+144136)|0); //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$11; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$12; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$3; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=_strlen($14); //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($n)>>2)]=$15; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$2; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$3; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($16, $17, $n, 0); //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $js=$18; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$js; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19)|0)!=0; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $23=$2; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$js; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=HEAP32[(($n)>>2)]; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__Z12js_NewStringP9JSContextPtj($23, $24, $25); //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$26; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $str=$27; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$str; //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0)!=0; //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $31=$2; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$js; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$32; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($31, $33); //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $35=$str; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$35; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 8; break; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $37=$1; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_NewStringCopyZ["X"]=1;

function _JS_StringHasBeenInterned($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$str;
      var $4=$3; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=__ZNK8JSString6isAtomEv($4); //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $8=$2; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$3; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZNK8JSString6asAtomEv($9); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__Z14AtomIsInternedP9JSContextP6JSAtom($8, $10); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)&1); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$12; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $14=$1; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $14; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_InternJSString($cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  var $atom;
  $1=$cx;
  $2=$str;
  var $3=$1; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($3, $4, 1); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $atom=$5; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$atom; //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_InternString($cx, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  var $atom;
  $1=$cx;
  $2=$s;
  var $3=$1; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=_strlen($5); //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($3, $4, $6, 1, 0); //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $atom=$7; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$atom; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$8; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewUCString($cx, $chars, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$chars;
  $3=$length;
  var $4=$1; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z12js_NewStringP9JSContextPtj($4, $5, $6); //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$7; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewUCStringCopyN($cx, $s, $n) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$s;
  $3=$n;
  var $4=$1; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z17js_NewStringCopyNP9JSContextPKtj($4, $5, $6); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$7; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewUCStringCopyZ($cx, $s) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$s;
      var $4=$3; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4)|0)!=0; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $7=$2; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7+52)|0); //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9+144136)|0); //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$11; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$12; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$2; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__Z17js_NewStringCopyZP9JSContextPKt($14, $15); //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$16; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$17; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $19=$1; //@line 5239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $19; //@line 5239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_InternUCStringN($cx, $s, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $atom;
  $1=$cx;
  $2=$s;
  $3=$length;
  var $4=$1; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($4, $5, $6, 1); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $atom=$7; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$atom; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$8; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_InternUCString($cx, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$s;
  var $3=$1; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__Z9js_strlenPKt($5); //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=_JS_InternUCStringN($3, $4, $6); //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetStringLength($str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZNK8JSString6lengthEv($2); //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetStringCharsZ($cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$str;
  var $3=$1; //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSStringEEvP9JSContextT_($3, $4); //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZN8JSString9getCharsZEP9JSContext($5, $6); //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetStringCharsZAndLength($cx, $str, $plength) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$str;
  $3=$plength;
  var $4=$1; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSStringEEvP9JSContextT_($4, $5); //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZNK8JSString6lengthEv($6); //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$1; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__ZN8JSString9getCharsZEP9JSContext($9, $10); //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $11; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetStringCharsAndLength($cx, $str, $plength) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$str;
  $3=$plength;
  var $4=$1; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSStringEEvP9JSContextT_($4, $5); //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZNK8JSString6lengthEv($6); //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$1; //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__ZN8JSString8getCharsEP9JSContext($9, $10); //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $11; //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetInternedStringChars($str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZNK8JSString6asAtomEv($2); //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$3; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZNK14JSLinearString5charsEv($4); //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetInternedStringCharsAndLength($str, $plength) {
  ;
  var __label__;

  var $1;
  var $2;
  var $atom;
  $1=$str;
  $2=$plength;
  var $3=$1; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZNK8JSString6asAtomEv($3); //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $atom=$4; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$atom; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$5; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZNK8JSString6lengthEv($6); //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$atom; //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$9; //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__ZNK14JSLinearString5charsEv($10); //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $11; //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_FlattenString($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$str;
      var $3=$1; //@line 5306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=$2; //@line 5306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSStringEEvP9JSContextT_($3, $4); //@line 5306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$1; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__ZN8JSString9getCharsZEP9JSContext($5, $6); //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $10=$2; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$10; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14 = $11;__label__ = 4; break; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14 = 0;__label__ = 4; break; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $14; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $14; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetFlatStringChars($str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=$2; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZNK14JSLinearString5charsEv($3); //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CompareStrings($cx, $str1, $str2, $result) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$str1;
  $3=$str2;
  $4=$result;
  var $5=$1; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi($5, $6, $7, $8); //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=(($9)&1); //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $10; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_StringEqualsAscii($cx, $str, $asciiBytes, $match) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $linearStr;
      $2=$cx;
      $3=$str;
      $4=$asciiBytes;
      $5=$match;
      var $6=$3; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$2; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN8JSString12ensureLinearEP9JSContext($6, $7); //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $linearStr=$8; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$linearStr; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$linearStr; //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$4; //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZN2js17StringEqualsAsciiEP14JSLinearStringPKc($13, $14); //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=(($15)&1); //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$5; //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $19=$1; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $19; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_FlatStringEqualsAscii($str, $asciiBytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$str;
  $2=$asciiBytes;
  var $3=$1; //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$3; //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__ZN2js17StringEqualsAsciiEP14JSLinearStringPKc($4, $5); //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=(($6)&1); //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_PutEscapedFlatString($buffer, $size, $str, $quote) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$buffer;
  $2=$size;
  $3=$str;
  $4=$quote;
  var $5=$1; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$7; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=(($9 << 24) >> 24); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__ZN2js16PutEscapedStringEPcjP14JSLinearStringj($5, $6, $8, $10); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $11; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js16PutEscapedStringEPcjP14JSLinearStringj($buffer, $size, $str, $quote) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $n;
  $1=$buffer;
  $2=$size;
  $3=$str;
  $4=$quote;
  var $5=$1; //@line 358 "./jsstr.h"
  var $6=$2; //@line 358 "./jsstr.h"
  var $7=$3; //@line 358 "./jsstr.h"
  var $8=$4; //@line 358 "./jsstr.h"
  var $9=__ZN2js20PutEscapedStringImplEPcjP7__sFILEP14JSLinearStringj($5, $6, 0, $7, $8); //@line 358 "./jsstr.h"
  $n=$9; //@line 358 "./jsstr.h"
  var $10=$n; //@line 362 "./jsstr.h"
  ;
  return $10; //@line 362 "./jsstr.h"
}


function _JS_PutEscapedString($cx, $buffer, $size, $str, $quote) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $linearStr;
      $2=$cx;
      $3=$buffer;
      $4=$size;
      $5=$str;
      $6=$quote;
      var $7=$5; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZN8JSString12ensureLinearEP9JSContext($7, $8); //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $linearStr=$9; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$linearStr; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=-1; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$3; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$4; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$linearStr; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$6; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17 << 24) >> 24); //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=__ZN2js16PutEscapedStringEPcjP14JSLinearStringj($14, $15, $16, $18); //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$19; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $21=$1; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $21; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_FileEscapedString($fp, $str, $quote) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $linearStr;
      $1=$fp;
      $2=$str;
      $3=$quote;
      var $4=$2; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=__ZN8JSString12ensureLinearEP9JSContext($4, 0); //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $linearStr=$5; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$linearStr; //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($6)|0)!=0; //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($7) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $9=$1; //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$linearStr; //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$3; //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11 << 24) >> 24); //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZN2js17FileEscapedStringEP7__sFILEP14JSLinearStringj($9, $10, $12); //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      var $16=(($15)&1);
      ;
      return $16; //@line 5358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17FileEscapedStringEP7__sFILEP14JSLinearStringj($fp, $str, $quote) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$fp;
  $2=$str;
  $3=$quote;
  var $4=$1; //@line 373 "./jsstr.h"
  var $5=$2; //@line 373 "./jsstr.h"
  var $6=$3; //@line 373 "./jsstr.h"
  var $7=__ZN2js20PutEscapedStringImplEPcjP7__sFILEP14JSLinearStringj(0, 0, $4, $5, $6); //@line 373 "./jsstr.h"
  var $8=(($7)|0)!=-1; //@line 373 "./jsstr.h"
  ;
  return $8; //@line 373 "./jsstr.h"
}


function _JS_NewGrowableString($cx, $chars, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$chars;
  $3=$length;
  var $4=$1; //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z12js_NewStringP9JSContextPtj($4, $5, $6); //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$7; //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewDependentString($cx, $str, $start, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$str;
  $3=$start;
  $4=$length;
  var $5=$1; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__Z21js_NewDependentStringP9JSContextP8JSStringjj($5, $6, $7, $8); //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$9; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $10; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ConcatStrings($cx, $left, $right) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$left;
  $3=$right;
  var $4=$1; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($4, $5, $6); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_UndependString($cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$str;
  var $3=$2; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN8JSString9getCharsZEP9JSContext($3, $4); //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_MakeStringImmutable($cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$str;
  var $3=$2; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN8JSString11ensureFixedEP9JSContext($3, $4); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($5)|0)!=0; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6 ^ 1; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$7 ^ 1; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8)&1); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EncodeCharacters($cx, $src, $srclen, $dst, $dstlenp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $n;
      $2=$cx;
      $3=$src;
      $4=$srclen;
      $5=$dst;
      $6=$dstlenp;
      var $7=$5; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $10=$2; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$3; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$4; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=__ZN2js23GetDeflatedStringLengthEP9JSContextPKtj($10, $11, $12); //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $n=$13; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$n; //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)==-1; //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $17=$6; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($17)>>2)]=0; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $19=$n; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$6; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $22=$2; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$3; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$4; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$5; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$6; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=__ZN2js21DeflateStringToBufferEP9JSContextPKtjPcPj($22, $23, $24, $25, $26); //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=(($27)&1); //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$28; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $30=$1; //@line 5410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $30; //@line 5410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DecodeBytes($cx, $src, $srclen, $dst, $dstlenp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$src;
  $3=$srclen;
  $4=$dst;
  $5=$dstlenp;
  var $6=$1; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj($6, $7, $8, $9, $10); //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=(($11)&1); //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $12; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_DecodeUTF8($cx, $src, $srclen, $dst, $dstlenp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$src;
  $3=$srclen;
  $4=$dst;
  $5=$dstlenp;
  var $6=$1; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$5; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE($6, $7, $8, $9, $10, 0); //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=(($11)&1); //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $12; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_EncodeString($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $chars;
      $2=$cx;
      $3=$str;
      var $4=$3; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=__ZN8JSString8getCharsEP9JSContext($4, $5); //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$6; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$chars; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$chars; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$3; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZNK8JSString6lengthEv($13); //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZN2js13DeflateStringEP9JSContextPKtj($11, $12, $14); //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$15; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$1; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $17; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetStringEncodingLength($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $chars;
      $2=$cx;
      $3=$str;
      var $4=$3; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=__ZN8JSString8getCharsEP9JSContext($4, $5); //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$6; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$chars; //@line 5438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=(($7)|0)!=0; //@line 5438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=-1; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $11=$2; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$chars; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$3; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZNK8JSString6lengthEv($13); //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZN2js23GetDeflatedStringLengthEP9JSContextPKtj($11, $12, $14); //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$15; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$1; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $17; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetCStringsAreUTF8() {
  ;
  var __label__;

  HEAP32[((_js_CStringsAreUTF8)>>2)]=1; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_CStringsAreUTF8() {
  ;
  var __label__;

  var $1=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $1; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN27JSAutoStructuredCloneBuffer5stealEPPyPjS2_($this, $datap, $nbytesp, $versionp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$datap;
      $3=$nbytesp;
      $4=$versionp;
      var $5=$1;
      var $6=(($5)|0); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($8)>>2)]=$7; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($5+4)|0); //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$3; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$4; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0)!=0; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $15=(($5+8)|0); //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$4; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $19=(($5)|0); //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($19)>>2)]=0; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($5+4)|0); //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($20)>>2)]=0; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($5+8)|0); //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($21)>>2)]=0; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN27JSAutoStructuredCloneBuffer4swapERS_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  var $data;
  var $nbytes;
  var $version;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4)|0); //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $data=$6; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($7+4)|0); //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $nbytes=$9; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=(($10+8)|0); //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $version=$12; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=(($3)|0); //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=HEAP32[(($13)>>2)]; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$2; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=(($15)|0); //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($16)>>2)]=$14; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=(($3+4)|0); //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=HEAP32[(($17)>>2)]; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$2; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=(($19+4)|0); //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($20)>>2)]=$18; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $21=(($3+8)|0); //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $22=HEAP32[(($21)>>2)]; //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $23=$2; //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $24=(($23+8)|0); //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($24)>>2)]=$22; //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $25=$data; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $26=(($3)|0); //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($26)>>2)]=$25; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $27=$nbytes; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $28=(($3+4)|0); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($28)>>2)]=$27; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $29=$version; //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $30=(($3+8)|0); //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($30)>>2)]=$29; //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetStructuredCloneCallbacks($rt, $callbacks) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$callbacks;
  var $3=$2; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+144248)|0); //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($5)>>2)]=$3; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN23JSStructuredCloneReader5inputEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 123 "./jsclone.h"
  var $4=HEAP32[(($3)>>2)]; //@line 123 "./jsclone.h"
  ;
  return $4; //@line 123 "./jsclone.h"
}


function __ZN23JSStructuredCloneWriter6outputEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 162 "./jsclone.h"
  var $4=HEAP32[(($3)>>2)]; //@line 162 "./jsclone.h"
  ;
  return $4; //@line 162 "./jsclone.h"
}


function _JS_EncodeStringToBuffer($str, $buffer, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $writtenLength=__stackBase__;
      var $chars;
      var $necessaryLength;
      $2=$str;
      $3=$buffer;
      $4=$length;
      var $5=$4; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($writtenLength)>>2)]=$5; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$2; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__ZN8JSString8getCharsEP9JSContext($6, 0); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$7; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$chars; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0)!=0; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=-1; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $12=$chars; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$2; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZNK8JSString6lengthEv($13); //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZN2js21DeflateStringToBufferEP9JSContextPKtjPcPj(0, $12, $14, $15, $writtenLength); //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $18=HEAP32[(($writtenLength)>>2)]; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$18; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $20=$chars; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$2; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__ZNK8JSString6lengthEv($21); //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=__ZN2js23GetDeflatedStringLengthEP9JSContextPKtj(0, $20, $22); //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $necessaryLength=$23; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$necessaryLength; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($24)|0)==-1; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      $1=-1; //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $28=HEAP32[(($writtenLength)>>2)]; //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$4; //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($28)|0)!=(($29)|0); //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 8: 
      var $32=$3; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=HEAP32[(($writtenLength)>>2)]; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=(($32+$33)|0); //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$4; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=HEAP32[(($writtenLength)>>2)]; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=(($35-$36)|0); //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2jsL7PodZeroIcEEvPT_j($34, $37); //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 9; break; //@line 5467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 9: 
      var $39=$necessaryLength; //@line 5468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$39; //@line 5468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 10; break; //@line 5468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 10: 
      var $41=$1; //@line 5469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 5469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_EncodeStringToBuffer["X"]=1;

function __ZN2jsL7PodZeroIcEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$2; //@line 667 "./jsutil.h"
  var $5=(($4)|0); //@line 667 "./jsutil.h"
  _memset($3, 0, $5, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function _JS_Stringify($cx, $vp, $replacer, $0, $callback, $data) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $space=__stackBase__;
      var $6;
      var $7;
      var $8=__stackBase__+8;
      var $sb=__stackBase__+16;
      var $9=__stackBase__+96;
      var $10;
      var $nullAtom;
      $3=$cx;
      $4=$vp;
      $5=$replacer;
      var $11=$space;
      var $12=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];
      $6=$callback;
      $7=$data;
      var $13=$3; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$5; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$8; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$space; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueEEEvP9JSContextT_T0_($13, $14, $8); //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$3; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $17); //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$3; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$4; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$5; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$9; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$space; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=__Z12js_StringifyP9JSContextPN2JS5ValueEP8JSObjectS2_RN2js12StringBufferE($18, $19, $20, $9, $sb); //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($23)|0)!=0; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $2=0; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $10=1;
      __label__ = 6; break; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $27=__ZNK2js12StringBuffer5emptyEv($sb); //@line 5480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $29=$3; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($29+52)|0); //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31+209948)|0); //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32+68)|0); //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=$34; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $nullAtom=$35; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=$6; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $37=$nullAtom; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$37; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $39=__ZNK14JSLinearString5charsEv($38); //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $40=$nullAtom; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $41=$40; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $42=__ZNK8JSString6lengthEv($41); //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $43=$7; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $44=FUNCTION_TABLE[$36]($39, $42, $43); //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $2=$44; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $10=1;
      __label__ = 6; break; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $46=$6; //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $47=__ZN2js12StringBuffer5beginEv($sb); //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $48=__ZNK2js12StringBuffer6lengthEv($sb); //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $49=$7; //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $50=FUNCTION_TABLE[$46]($47, $48, $49); //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $2=$50; //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $10=1;
      __label__ = 6; break; //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      __ZN2js12StringBufferD1Ev($sb); //@line 5485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $52=$2; //@line 5485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $52; //@line 5485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_Stringify["X"]=1;

function __ZN2js12StringBufferC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 148 "./jsstrinlines.h"
  __ZN2js12StringBufferC2EP9JSContext($3, $4); //@line 148 "./jsstrinlines.h"
  ;
  return; //@line 148 "./jsstrinlines.h"
}


function __ZNK2js12StringBuffer5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 127 "./jsstrinlines.h"
  var $4=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5emptyEv($3); //@line 127 "./jsstrinlines.h"
  ;
  return $4; //@line 127 "./jsstrinlines.h"
}


function __ZN2js12StringBuffer5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 123 "./jsstrinlines.h"
  var $4=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5beginEv($3); //@line 123 "./jsstrinlines.h"
  ;
  return $4; //@line 123 "./jsstrinlines.h"
}


function __ZNK2js12StringBuffer6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 239 "./jsstrinlines.h"
  var $4=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($3); //@line 239 "./jsstrinlines.h"
  ;
  return $4; //@line 239 "./jsstrinlines.h"
}


function __ZN2js12StringBufferD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12StringBufferD2Ev($2); //@line 80 "./jsstrinlines.h"
  ;
  return; //@line 80 "./jsstrinlines.h"
}


function _JS_ParseJSON($cx, $chars, $len, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$cx;
  $2=$chars;
  $3=$len;
  $4=$vp;
  var $6=$1; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2JSL9NullValueEv259($5); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=__ZN2js20ParseJSONWithReviverEP9JSContextPKtjRKN2JS5ValueEPS5_12DecodingMode($6, $7, $8, $5, $9, 0); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2JSL9NullValueEv259($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function _JS_ParseJSONWithReviver($cx, $chars, $len, $0, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $reviver=__stackBase__;
  var $5;
  $2=$cx;
  $3=$chars;
  $4=$len;
  var $6=$reviver;
  var $7=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
  $5=$vp;
  var $8=$2; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$5; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=__ZN2js20ParseJSONWithReviverEP9JSContextPKtjRKN2JS5ValueEPS5_12DecodingMode($8, $9, $10, $reviver, $11, 0); //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReadStructuredClone($cx, $buf, $nbytes, $version, $vp, $optionalCallbacks, $closure) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $callbacks;
      $2=$cx;
      $3=$buf;
      $4=$nbytes;
      $5=$version;
      $6=$vp;
      $7=$optionalCallbacks;
      $8=$closure;
      var $9=$5; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)>>>0) > 1; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$2; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 264, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=0; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$7; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14)|0)!=0; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $17=$7; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25 = $17;__label__ = 6; break; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $19=$2; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($19+52)|0); //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21+144248)|0); //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25 = $23;__label__ = 6; break; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $25; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $callbacks=$25; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$2; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$3; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$4; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=$6; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$callbacks; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$8; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=__ZN2js19ReadStructuredCloneEP9JSContextPKyjPN2JS5ValueEPK26JSStructuredCloneCallbacksPv($26, $27, $28, $29, $30, $31); //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)&1); //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$33; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 7; break; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 7: 
      var $35=$1; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $35; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_WriteStructuredClone($cx, $0, $bufp, $nbytesp, $optionalCallbacks, $closure) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $v=__stackBase__;
      var $3;
      var $4;
      var $5;
      var $6;
      var $callbacks;
      $2=$cx;
      var $7=$v;
      var $8=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
      $3=$bufp;
      $4=$nbytesp;
      $5=$optionalCallbacks;
      $6=$closure;
      var $9=$5; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $12=$5; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20 = $12;__label__ = 4; break; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$2; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($14+52)|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16+144248)|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20 = $18;__label__ = 4; break; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $20; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $callbacks=$20; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$2; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$3; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$4; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$callbacks; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$6; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=__ZN2js20WriteStructuredCloneEP9JSContextRKN2JS5ValueEPPyPjPK26JSStructuredCloneCallbacksPv($21, $v, $22, $23, $24, $25); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26)&1); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_StructuredClone($cx, $0, $vp, $optionalCallbacks, $closure) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $callbacks;
      var $buf=__stackBase__+8;
      var $7=__stackBase__+20;
      var $8;
      $3=$cx;
      var $9=$v;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$vp;
      $5=$optionalCallbacks;
      $6=$closure;
      var $11=$5; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $14=$5; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22 = $14;__label__ = 4; break; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$3; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16+52)|0); //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=(($18+144248)|0); //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22 = $20;__label__ = 4; break; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $22; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $callbacks=$22; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN27JSAutoStructuredCloneBufferC1Ev($buf); //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$3; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$7; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$v; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$callbacks; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$6; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=__ZN27JSAutoStructuredCloneBuffer5writeEP9JSContextN2JS5ValueEPK26JSStructuredCloneCallbacksPv($buf, $23, $7, $26, $27); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($28) { __label__ = 5; break; } else { var $36 = 0;__label__ = 6; break; } //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $30=$3; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$4; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$callbacks; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=$6; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=__ZNK27JSAutoStructuredCloneBuffer4readEP9JSContextPN2JS5ValueEPK26JSStructuredCloneCallbacksPv($buf, $30, $31, $32, $33); //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36 = $34;__label__ = 6; break;
    case 6: 
      var $36;
      var $37=(($36)&1);
      $2=$37;
      $8=1;
      __ZN27JSAutoStructuredCloneBufferD1Ev($buf); //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $38=$2; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_StructuredClone["X"]=1;

function __ZN27JSAutoStructuredCloneBufferC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN27JSAutoStructuredCloneBufferC2Ev($2); //@line 4395 "./jsapi.h"
  ;
  return; //@line 4395 "./jsapi.h"
}


function __ZN27JSAutoStructuredCloneBuffer5writeEP9JSContextN2JS5ValueEPK26JSStructuredCloneCallbacksPv($this, $cx, $0, $optionalCallbacks, $closure) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $5;
      var $ok;
      var $6=__stackBase__+8;
      $2=$this;
      $3=$cx;
      var $7=$v;
      var $8=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
      $4=$optionalCallbacks;
      $5=$closure;
      var $9=$2;
      __ZN27JSAutoStructuredCloneBuffer5clearEv($9); //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$6; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$v; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($9)|0); //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($9+4)|0); //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$4; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$5; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=_JS_WriteStructuredClone($10, $6, $13, $14, $15, $16); //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17)|0)!=0; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$18 ^ 1; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$19 ^ 1; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)&1); //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $ok=$21; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=$ok; //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=(($22) & 1); //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $25=(($9)|0); //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($25)>>2)]=0; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=(($9+4)|0); //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($26)>>2)]=0; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($9+8)|0); //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($27)>>2)]=1; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $29=$ok; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=(($29) & 1); //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK27JSAutoStructuredCloneBuffer4readEP9JSContextPN2JS5ValueEPK26JSStructuredCloneCallbacksPv($this, $cx, $vp, $optionalCallbacks, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$cx;
  $3=$vp;
  $4=$optionalCallbacks;
  $5=$closure;
  var $6=$1;
  var $7=$2; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=(($6)|0); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=(($6+4)|0); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=(($6+8)|0); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=HEAP32[(($12)>>2)]; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$3; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$4; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $16=$5; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $17=_JS_ReadStructuredClone($7, $9, $11, $13, $14, $15, $16); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $18=(($17)|0)!=0; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $19=$18 ^ 1; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $20=$19 ^ 1; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $20; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN27JSAutoStructuredCloneBufferD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN27JSAutoStructuredCloneBufferD2Ev($2); //@line 4397 "./jsapi.h"
  ;
  return; //@line 4397 "./jsapi.h"
}


function __ZN27JSAutoStructuredCloneBuffer5clearEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($4)|0)!=0; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $7=(($2)|0); //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$8; //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js10Foreground5free_EPv($9); //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($2)|0); //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($10)>>2)]=0; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($2+4)|0); //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($11)>>2)]=0; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($2+8)|0); //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($12)>>2)]=0; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 3; break; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      ;
      return; //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN27JSAutoStructuredCloneBuffer5adoptEPyjj($this, $data, $nbytes, $version) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$data;
  $3=$nbytes;
  $4=$version;
  var $5=$1;
  __ZN27JSAutoStructuredCloneBuffer5clearEv($5); //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=(($5)|0); //@line 5561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($7)>>2)]=$6; //@line 5561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($5+4)|0); //@line 5562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($9)>>2)]=$8; //@line 5562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=(($5+8)|0); //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($11)>>2)]=$10; //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN27JSAutoStructuredCloneBuffer4copyEPKyjj($this, $srcData, $nbytes, $version) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newData;
      $2=$this;
      $3=$srcData;
      $4=$nbytes;
      $5=$version;
      var $6=$2;
      var $7=$4; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js11OffTheBooks7malloc_Ej($7); //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$8; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $newData=$9; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$newData; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$newData; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$14; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$3; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$16; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$4; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert($18 % 1 === 0, 'memcpy given ' + $18 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($15, $17, $18, 1); //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN27JSAutoStructuredCloneBuffer5clearEv($6); //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$newData; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=(($6)|0); //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$4; //@line 5577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($6+4)|0); //@line 5577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 5577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$5; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=(($6+8)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $26=$1; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $26; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ReadUint32Pair($r, $p1, $p2) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$r;
  $2=$p1;
  $3=$p2;
  var $4=$1; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN23JSStructuredCloneReader5inputEv($4); //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN2js7SCInput8readPairEPjS1_($5, $6, $7); //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8)&1); //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReadBytes($r, $p, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$r;
  $2=$p;
  $3=$len;
  var $4=$1; //@line 5652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN23JSStructuredCloneReader5inputEv($4); //@line 5652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 5652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN2js7SCInput9readBytesEPvj($5, $6, $7); //@line 5652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8)&1); //@line 5652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_WriteUint32Pair($w, $tag, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$w;
  $2=$tag;
  $3=$data;
  var $4=$1; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN23JSStructuredCloneWriter6outputEv($4); //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN2js8SCOutput9writePairEjj($5, $6, $7); //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8)&1); //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_WriteBytes($w, $p, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$w;
  $2=$p;
  $3=$len;
  var $4=$1; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN23JSStructuredCloneWriter6outputEv($4); //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN2js8SCOutput10writeBytesEPKvj($5, $6, $7); //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=(($8)&1); //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReportError($cx, $format) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $ap=__stackBase__;
  $1=$cx;
  $2=$format;
  var $3=$ap; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($3)>>2)]=arguments[_JS_ReportError.length]; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=HEAP32[(($ap)>>2)]; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z16js_ReportErrorVAP9JSContextjPKcPc($4, 0, $5, $6); //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$ap; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return; //@line 5702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReportErrorNumberUC($cx, $errorCallback, $userRef, $errorNumber) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $ap=__stackBase__;
  $1=$cx;
  $2=$errorCallback;
  $3=$userRef;
  $4=$errorNumber;
  var $5=$ap; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($5)>>2)]=arguments[_JS_ReportErrorNumberUC.length]; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$1; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$4; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=HEAP32[(($ap)>>2)]; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=__Z22js_ReportErrorNumberVAP9JSContextjPFPK19JSErrorFormatStringPvPKcjES4_jiPc($6, 0, $7, $8, $9, 0, $10); //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$ap; //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ; //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReportWarning($cx, $format) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $ap=__stackBase__;
  var $ok;
  $1=$cx;
  $2=$format;
  var $3=$ap; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($3)>>2)]=arguments[_JS_ReportWarning.length]; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$2; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=HEAP32[(($ap)>>2)]; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__Z16js_ReportErrorVAP9JSContextjPKcPc($4, 1, $5, $6); //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $ok=$7; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$ap; //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ; //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$ok; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $9; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReportErrorFlagsAndNumber($cx, $flags, $errorCallback, $userRef, $errorNumber) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $ap=__stackBase__;
  var $ok;
  $1=$cx;
  $2=$flags;
  $3=$errorCallback;
  $4=$userRef;
  $5=$errorNumber;
  var $6=$ap; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($6)>>2)]=arguments[_JS_ReportErrorFlagsAndNumber.length]; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$5; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=HEAP32[(($ap)>>2)]; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=__Z22js_ReportErrorNumberVAP9JSContextjPFPK19JSErrorFormatStringPvPKcjES4_jiPc($7, $8, $9, $10, $11, 1, $12); //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $ok=$13; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$ap; //@line 5751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ; //@line 5751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$ok; //@line 5752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $15; //@line 5752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZNK8JSObject6isDateEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1543 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1543 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js9DateClassE)|0); //@line 1543 "./jsobj.h"
  ;
  return $5; //@line 1543 "./jsobj.h"
}


function __ZNK8JSObject8isRegExpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1552 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1552 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js11RegExpClassE)|0); //@line 1552 "./jsobj.h"
  ;
  return $5; //@line 1552 "./jsobj.h"
}


function __ZNK2js6RegExp8getFlagsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 223 "./jsregexpinlines.h"
  ;
  return $3; //@line 223 "./jsregexpinlines.h"
}


function __ZNK2js6RegExp9getSourceEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 214 "./jsregexpinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 214 "./jsregexpinlines.h"
  ;
  return $4; //@line 214 "./jsregexpinlines.h"
}


function _JS_SetLocaleCallbacks($cx, $callbacks) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$callbacks;
  var $3=$2; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$1; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4+36)|0); //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($5)>>2)]=$3; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetLocaleCallbacks($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+36)|0); //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReportErrorFlagsAndNumberUC($cx, $flags, $errorCallback, $userRef, $errorNumber) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $ap=__stackBase__;
  var $ok;
  $1=$cx;
  $2=$flags;
  $3=$errorCallback;
  $4=$userRef;
  $5=$errorNumber;
  var $6=$ap; //@line 5763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP32[(($6)>>2)]=arguments[_JS_ReportErrorFlagsAndNumberUC.length]; //@line 5763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$2; //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$3; //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$4; //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$5; //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=HEAP32[(($ap)>>2)]; //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=__Z22js_ReportErrorNumberVAP9JSContextjPFPK19JSErrorFormatStringPvPKcjES4_jiPc($7, $8, $9, $10, $11, 0, $12); //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $ok=$13; //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$ap; //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ; //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=$ok; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $15; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReportAllocationOverflow($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __Z27js_ReportAllocationOverflowP9JSContext($2); //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewDateObject($cx, $year, $mon, $mday, $hour, $min, $sec) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  $1=$cx;
  $2=$year;
  $3=$mon;
  $4=$mday;
  $5=$hour;
  $6=$min;
  $7=$sec;
  var $8=$1; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$2; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$5; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$6; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$7; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $15=__Z16js_NewDateObjectP9JSContextiiiiii($8, $9, $10, $11, $12, $13, $14); //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $15; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewDateObjectMsec($cx, $msec) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$msec;
  var $3=$1; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$2; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__Z20js_NewDateObjectMsecP9JSContextd($3, $4); //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ObjectIsDate($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZNK8JSObject6isDateEv($3); //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4)&1); //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_NewRegExpObject($cx, $obj, $bytes, $length, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $chars;
      var $res;
      var $reobj;
      $2=$cx;
      $3=$obj;
      $4=$bytes;
      HEAP32[(($5)>>2)]=$length;
      $6=$flags;
      var $7=$2; //@line 5827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$4; //@line 5827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($7, $8, $5, 0); //@line 5827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$9; //@line 5827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$chars; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $14=$3; //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=__ZN8JSObject8asGlobalEv($14); //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=__ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE($15); //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $res=$16; //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$2; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$res; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$chars; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=HEAP32[(($5)>>2)]; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$6; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=__ZN2js6RegExp12createObjectEP9JSContextPNS_13RegExpStaticsEPKtjjPNS_11TokenStreamE($17, $18, $19, $20, $21, 0); //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $reobj=$22; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$2; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$chars; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$24; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($23, $25); //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$reobj; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$26; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $28=$1; //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6RegExp12createObjectEP9JSContextPNS_13RegExpStaticsEPKtjjPNS_11TokenStreamE($cx, $res, $chars, $length, $flags, $ts) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $staticsFlags;
  $1=$cx;
  $2=$res;
  $3=$chars;
  $4=$length;
  $5=$flags;
  $6=$ts;
  var $7=$2; //@line 450 "./jsregexpinlines.h"
  var $8=__ZNK2js13RegExpStatics8getFlagsEv($7); //@line 450 "./jsregexpinlines.h"
  $staticsFlags=$8; //@line 450 "./jsregexpinlines.h"
  var $9=$1; //@line 451 "./jsregexpinlines.h"
  var $10=$3; //@line 451 "./jsregexpinlines.h"
  var $11=$4; //@line 451 "./jsregexpinlines.h"
  var $12=$5; //@line 451 "./jsregexpinlines.h"
  var $13=$staticsFlags; //@line 451 "./jsregexpinlines.h"
  var $14=$12 | $13; //@line 451 "./jsregexpinlines.h"
  var $15=$6; //@line 451 "./jsregexpinlines.h"
  var $16=__ZN2js6RegExp21createObjectNoStaticsEP9JSContextPKtjjPNS_11TokenStreamE($9, $10, $11, $14, $15); //@line 451 "./jsregexpinlines.h"
  ;
  return $16; //@line 451 "./jsregexpinlines.h"
}


function _JS_NewUCRegExpObject($cx, $obj, $chars, $length, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$chars;
  $4=$length;
  $5=$flags;
  var $6=$2; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=__ZN8JSObject8asGlobalEv($6); //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE($7); //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $res=$8; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$1; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$res; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$3; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$4; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$5; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=__ZN2js6RegExp12createObjectEP9JSContextPNS_13RegExpStaticsEPKtjjPNS_11TokenStreamE($9, $10, $11, $12, $13, 0); //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $14; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetRegExpInput($cx, $obj, $input, $multiline) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$input;
  $4=$multiline;
  var $5=$1; //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$3; //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSStringEEvP9JSContextT_($5, $6); //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$2; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__ZN8JSObject8asGlobalEv($7); //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE($8); //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$3; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=(($11)|0)!=0; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=$12 ^ 1; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $14=$13 ^ 1; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js13RegExpStatics5resetEP8JSStringb($9, $10, $14); //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2js13RegExpStatics5resetEP8JSStringb($this, $newInput, $newMultiline) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$newInput;
  var $4=(($newMultiline)&1);
  $3=$4;
  var $5=$1;
  __ZN2js13RegExpStatics12aboutToWriteEv($5); //@line 206 "./jsregexp.h"
  __ZN2js13RegExpStatics5clearEv($5); //@line 207 "./jsregexp.h"
  var $6=$2; //@line 208 "./jsregexp.h"
  var $7=(($5+96)|0); //@line 208 "./jsregexp.h"
  HEAP32[(($7)>>2)]=$6; //@line 208 "./jsregexp.h"
  var $8=$3; //@line 209 "./jsregexp.h"
  var $9=(($8) & 1); //@line 209 "./jsregexp.h"
  __ZN2js13RegExpStatics12setMultilineEb($5, $9); //@line 209 "./jsregexp.h"
  __ZN2js13RegExpStatics15checkInvariantsEv($5); //@line 210 "./jsregexp.h"
  ;
  return; //@line 211 "./jsregexp.h"
}


function _JS_ClearRegExpStatics($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZN8JSObject8asGlobalEv($3); //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=__ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE($4); //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js13RegExpStatics5clearEv($5); //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ExecuteRegExp($cx, $obj, $reobj, $chars, $length, $indexp, $test, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $re;
      var $str;
      $2=$cx;
      $3=$obj;
      $4=$reobj;
      $5=$chars;
      $6=$length;
      $7=$indexp;
      $8=$test;
      $9=$rval;
      var $10=$4; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__ZN2js6RegExp11extractFromEP8JSObject($10); //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $re=$11; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$re; //@line 5869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)|0)!=0; //@line 5869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=$2; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$5; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$6; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=__Z17js_NewStringCopyNP9JSContextPKtj($16, $17, $18); //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$19; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $str=$20; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$str; //@line 5873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21)|0)!=0; //@line 5873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 5874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $25=$re; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$2; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$3; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=__ZN8JSObject8asGlobalEv($27); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=__ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE($28); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$str; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$7; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$8; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $33=(($32)|0)!=0; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $34=$9; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $35=__ZN2js6RegExp7executeEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($25, $26, $29, $30, $31, $33, $34); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $36=(($35)&1); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$36; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $38=$1; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $38; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ExecuteRegExp["X"]=1;

function __ZN2js6RegExp11extractFromEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  var $re;
  $1=$obj;
  var $2=$1; //@line 609 "./jsregexpinlines.h"
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 609 "./jsregexpinlines.h"
  var $4=$3; //@line 609 "./jsregexpinlines.h"
  $re=$4; //@line 609 "./jsregexpinlines.h"
  var $5=$re; //@line 614 "./jsregexpinlines.h"
  ;
  return $5; //@line 614 "./jsregexpinlines.h"
}


function __ZN2js6RegExp7executeEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($this, $cx, $res, $input, $lastIndex, $test, $rval) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  $1=$this;
  $2=$cx;
  $3=$res;
  $4=$input;
  $5=$lastIndex;
  var $8=(($test)&1);
  $6=$8;
  $7=$rval;
  var $9=$1;
  var $10=$2; //@line 180 "./jsregexpinlines.h"
  var $11=$3; //@line 180 "./jsregexpinlines.h"
  var $12=$4; //@line 180 "./jsregexpinlines.h"
  var $13=$5; //@line 180 "./jsregexpinlines.h"
  var $14=$6; //@line 180 "./jsregexpinlines.h"
  var $15=(($14) & 1); //@line 180 "./jsregexpinlines.h"
  var $16=$7; //@line 180 "./jsregexpinlines.h"
  var $17=__ZN2js6RegExp15executeInternalEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($9, $10, $11, $12, $13, $15, $16); //@line 180 "./jsregexpinlines.h"
  ;
  return $17; //@line 180 "./jsregexpinlines.h"
}


function _JS_NewRegExpObjectNoStatics($cx, $bytes, $length, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $chars;
      var $obj;
      $2=$cx;
      $3=$bytes;
      HEAP32[(($4)>>2)]=$length;
      $5=$flags;
      var $6=$2; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=$3; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($6, $7, $4, 0); //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $chars=$8; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$chars; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$2; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$chars; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=HEAP32[(($4)>>2)]; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$5; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=__ZN2js6RegExp21createObjectNoStaticsEP9JSContextPKtjjPNS_11TokenStreamE($13, $14, $15, $16, 0); //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $obj=$17; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=$2; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$chars; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$19; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($18, $20); //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$obj; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$21; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $23=$1; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6RegExp21createObjectNoStaticsEP9JSContextPKtjjPNS_11TokenStreamE($cx, $chars, $length, $flags, $ts) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $str;
      var $anchor=__stackBase__;
      var $re=__stackBase__+4;
      var $7;
      var $obj;
      $2=$cx;
      $3=$chars;
      $4=$length;
      $5=$flags;
      $6=$ts;
      var $8=$2; //@line 458 "./jsregexpinlines.h"
      var $9=$3; //@line 458 "./jsregexpinlines.h"
      var $10=$4; //@line 458 "./jsregexpinlines.h"
      var $11=__Z17js_NewStringCopyNP9JSContextPKtj($8, $9, $10); //@line 458 "./jsregexpinlines.h"
      var $12=$11; //@line 458 "./jsregexpinlines.h"
      $str=$12; //@line 458 "./jsregexpinlines.h"
      var $13=$str; //@line 459 "./jsregexpinlines.h"
      var $14=(($13)|0)!=0; //@line 459 "./jsregexpinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 459 "./jsregexpinlines.h"
    case 2: 
      $1=0; //@line 460 "./jsregexpinlines.h"
      __label__ = 10; break; //@line 460 "./jsregexpinlines.h"
    case 3: 
      var $17=$str; //@line 466 "./jsregexpinlines.h"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $17); //@line 466 "./jsregexpinlines.h"
      var $18=$2; //@line 467 "./jsregexpinlines.h"
      var $19=$str; //@line 467 "./jsregexpinlines.h"
      var $20=$5; //@line 467 "./jsregexpinlines.h"
      var $21=$6; //@line 467 "./jsregexpinlines.h"
      __ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE($re, $18, $19, $20, $21); //@line 467 "./jsregexpinlines.h"
      var $22=__ZNK2js15AlreadyIncRefedINS_6RegExpEEcvPPPPPS1_Ev($re); //@line 468 "./jsregexpinlines.h"
      var $23=(($22)|0)!=0; //@line 468 "./jsregexpinlines.h"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 468 "./jsregexpinlines.h"
    case 4: 
      $1=0; //@line 469 "./jsregexpinlines.h"
      $7=1;
      __label__ = 9; break; //@line 469 "./jsregexpinlines.h"
    case 5: 
      var $26=$2; //@line 470 "./jsregexpinlines.h"
      var $27=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE279($26, __ZN2js11RegExpClassE); //@line 470 "./jsregexpinlines.h"
      $obj=$27; //@line 470 "./jsregexpinlines.h"
      var $28=$obj; //@line 471 "./jsregexpinlines.h"
      var $29=(($28)|0)!=0; //@line 471 "./jsregexpinlines.h"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 471 "./jsregexpinlines.h"
    case 6: 
      var $31=$obj; //@line 471 "./jsregexpinlines.h"
      var $32=$2; //@line 471 "./jsregexpinlines.h"
      var $33=__ZNK2js15AlreadyIncRefedINS_6RegExpEE3getEv($re); //@line 471 "./jsregexpinlines.h"
      var $34=__ZN8JSObject10initRegExpEP9JSContextPN2js6RegExpE($31, $32, $33); //@line 471 "./jsregexpinlines.h"
      if ($34) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 471 "./jsregexpinlines.h"
    case 7: 
      var $36=__ZNK2js15AlreadyIncRefedINS_6RegExpEEptEv($re); //@line 472 "./jsregexpinlines.h"
      var $37=$2; //@line 472 "./jsregexpinlines.h"
      __ZN2js6RegExp6decrefEP9JSContext($36, $37); //@line 472 "./jsregexpinlines.h"
      $1=0; //@line 473 "./jsregexpinlines.h"
      $7=1;
      __label__ = 9; break; //@line 473 "./jsregexpinlines.h"
    case 8: 
      var $39=$obj; //@line 475 "./jsregexpinlines.h"
      $1=$39; //@line 475 "./jsregexpinlines.h"
      $7=1;
      __label__ = 9; break; //@line 475 "./jsregexpinlines.h"
    case 9: 
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 476 "./jsregexpinlines.h"
      __label__ = 10; break;
    case 10: 
      var $42=$1; //@line 476 "./jsregexpinlines.h"
      STACKTOP = __stackBase__;
      return $42; //@line 476 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6RegExp21createObjectNoStaticsEP9JSContextPKtjjPNS_11TokenStreamE["X"]=1;

function _JS_NewUCRegExpObjectNoStatics($cx, $chars, $length, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$chars;
  $3=$length;
  $4=$flags;
  var $5=$1; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=$2; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$3; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=__ZN2js6RegExp21createObjectNoStaticsEP9JSContextPKtjjPNS_11TokenStreamE($5, $6, $7, $8, 0); //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $9; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ExecuteRegExpNoStatics($cx, $obj, $chars, $length, $indexp, $test, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $re;
      var $str;
      $2=$cx;
      $3=$obj;
      $4=$chars;
      $5=$length;
      $6=$indexp;
      $7=$test;
      $8=$rval;
      var $9=$3; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=__ZN2js6RegExp11extractFromEP8JSObject($9); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $re=$10; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$re; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $15=$2; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$4; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$5; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__Z17js_NewStringCopyNP9JSContextPKtj($15, $16, $17); //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $19=$18; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $str=$19; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=$str; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=(($20)|0)!=0; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      $1=0; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $24=$re; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$2; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$str; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$6; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$7; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $29=(($28)|0)!=0; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $30=$8; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=__ZN2js6RegExp16executeNoStaticsEP9JSContextP8JSStringPjbPN2JS5ValueE($24, $25, $26, $27, $29, $30); //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=(($31)&1); //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=$32; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      var $34=$1; //@line 5913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return $34; //@line 5913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6RegExp16executeNoStaticsEP9JSContextP8JSStringPjbPN2JS5ValueE($this, $cx, $input, $lastIndex, $test, $rval) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$input;
  $4=$lastIndex;
  var $7=(($test)&1);
  $5=$7;
  $6=$rval;
  var $8=$1;
  var $9=$2; //@line 185 "./jsregexpinlines.h"
  var $10=$3; //@line 185 "./jsregexpinlines.h"
  var $11=$4; //@line 185 "./jsregexpinlines.h"
  var $12=$5; //@line 185 "./jsregexpinlines.h"
  var $13=(($12) & 1); //@line 185 "./jsregexpinlines.h"
  var $14=$6; //@line 185 "./jsregexpinlines.h"
  var $15=__ZN2js6RegExp15executeInternalEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($8, $9, 0, $10, $11, $13, $14); //@line 185 "./jsregexpinlines.h"
  ;
  return $15; //@line 185 "./jsregexpinlines.h"
}


function _JS_ObjectIsRegExp($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZNK8JSObject8isRegExpEv($3); //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=(($4)&1); //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $5; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetRegExpFlags($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $re;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 5927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZN2js6RegExp11extractFromEP8JSObject($3); //@line 5927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $re=$4; //@line 5927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$re; //@line 5928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__ZNK2js6RegExp8getFlagsEv($5); //@line 5928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 5928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 5928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetRegExpSource($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $re;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=__ZN2js6RegExp11extractFromEP8JSObject($3); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $re=$4; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$re; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__ZNK2js6RegExp9getSourceEv($5); //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $7; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_IsExceptionPending($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZN9JSContext18isExceptionPendingEv($2); //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=(($3)&1); //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $4; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_GetPendingException($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$vp;
      var $6=$2; //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=__ZN9JSContext18isExceptionPendingEv($6); //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      $1=0; //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $10=$3; //@line 5968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$2; //@line 5968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext19getPendingExceptionEv($4, $11); //@line 5968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=$10; //@line 5968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=$4; //@line 5968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 5968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=$2; //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$5; //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=$15; //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($14, $5); //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      $1=1; //@line 5970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 5970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $19=$1; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetPendingException($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  var $4=__stackBase__+16;
  $2=$cx;
  var $5=$v;
  var $6=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
  var $7=$2; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$v; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7, $3); //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$v; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSContext19setPendingExceptionEN2JS5ValueE($10, $4); //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ClearPendingException($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN9JSContext21clearPendingExceptionEv($2); //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 5985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ReportPendingException($cx) {
  ;
  var __label__;

  var $1;
  var $ok;
  var $save;
  $1=$cx;
  var $2=$1; //@line 6001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=(($2+44)|0); //@line 6001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP8[($3)]; //@line 6001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $save=$4; //@line 6001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$1; //@line 6002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=(($5+44)|0); //@line 6002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP8[($6)]=1; //@line 6002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$1; //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=__Z26js_ReportUncaughtExceptionP9JSContext($7); //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  $ok=$8; //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$save; //@line 6004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$1; //@line 6004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=(($10+44)|0); //@line 6004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP8[($11)]=$9; //@line 6004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$ok; //@line 6005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $12; //@line 6005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JSVAL_IS_GCTHING($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1427 "./jsapi.h"
  var $7=$v; //@line 1427 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1427 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE($2, $3); //@line 1427 "./jsapi.h"
  var $8=_JSVAL_IS_GCTHING_IMPL($2); //@line 1427 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1427 "./jsapi.h"
}


function _JS_DropExceptionState($cx, $state) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+8;
      $1=$cx;
      $2=$state;
      var $5=$2; //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5)|0)!=0; //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $8=$2; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8)|0); //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=(($10)|0)!=0; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $13=$2; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($13+8)|0); //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=$3; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=$14; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=_JSVAL_IS_GCTHING($3); //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=(($17)|0)!=0; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $20=$1; //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $21=$2; //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $22=(($21+8)|0); //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23=$4; //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$22; //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($20, $4); //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=$1; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$2; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=(($26+8)|0); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=_JS_RemoveValueRoot($25, $27); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 6049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      var $30=$1; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $31=$2; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $32=$31; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext5free_EPv($30, $32); //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 6; break; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ErrorFromException($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  var $4=__stackBase__+16;
  $2=$cx;
  var $5=$v;
  var $6=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
  var $7=$2; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$3; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $9=$v; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7, $3); //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $10=$2; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $11=$4; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $12=$v; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $13=__Z21js_ErrorFromExceptionP9JSContextN2JS5ValueE($10, $4); //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  STACKTOP = __stackBase__;
  return $13; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ThrowReportedError($cx, $message, $reportp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$message;
      $3=$reportp;
      var $4=$1; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=_JS_IsRunning($4); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5)|0)!=0; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($6) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $8=$1; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=$2; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=$3; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=__Z19js_ErrorToExceptionP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_($8, $9, $10, 0, 0); //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=(($11)|0)!=0; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      ;
      return $15; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetContextThread($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_SetContextThread($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function _JS_ClearContextThread($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE265($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE270($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE266($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb264($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL269($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 646 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 646 "./jshashtable.h"
  ;
  return $4; //@line 646 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+8)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function _JS_ThrowStopIteration($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 6073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__Z21js_ThrowStopIterationP9JSContext($2); //@line 6073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $3; //@line 6073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$3; //@line 1514 "./jsobjinlines.h"
      var $8=(($7)|0)==((__ZN2js13FunctionClassE)|0); //@line 1514 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1514 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1515 "./jsobjinlines.h"
      var $11=$3; //@line 1515 "./jsobjinlines.h"
      var $12=$4; //@line 1515 "./jsobjinlines.h"
      var $13=$5; //@line 1515 "./jsobjinlines.h"
      var $14=$6; //@line 1515 "./jsobjinlines.h"
      var $15=__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($10, $11, $12, $13, $14); //@line 1515 "./jsobjinlines.h"
      $1=$15; //@line 1515 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1515 "./jsobjinlines.h"
    case 3: 
      var $17=$2; //@line 1516 "./jsobjinlines.h"
      var $18=$3; //@line 1516 "./jsobjinlines.h"
      var $19=$4; //@line 1516 "./jsobjinlines.h"
      var $20=$5; //@line 1516 "./jsobjinlines.h"
      var $21=$6; //@line 1516 "./jsobjinlines.h"
      var $22=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($17, $18, $19, $20, $21); //@line 1516 "./jsobjinlines.h"
      $1=$22; //@line 1516 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1516 "./jsobjinlines.h"
    case 4: 
      var $24=$1; //@line 1517 "./jsobjinlines.h"
      ;
      return $24; //@line 1517 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$2; //@line 1446 "./jsobjinlines.h"
      var $31=__Z16js_NewGCFunctionP9JSContext($30); //@line 1446 "./jsobjinlines.h"
      var $32=$31; //@line 1446 "./jsobjinlines.h"
      $obj=$32; //@line 1446 "./jsobjinlines.h"
      var $33=$obj; //@line 1447 "./jsobjinlines.h"
      var $34=(($33)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($34) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1447 "./jsobjinlines.h"
    case 11: 
      __label__ = 22; break; //@line 1448 "./jsobjinlines.h"
    case 12: 
      var $37=$obj; //@line 1457 "./jsobjinlines.h"
      var $38=$2; //@line 1457 "./jsobjinlines.h"
      var $39=$3; //@line 1457 "./jsobjinlines.h"
      var $40=$type; //@line 1457 "./jsobjinlines.h"
      var $41=$5; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 13: 
      var $44=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $45=(($44)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($45) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 14: 
      var $47=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $48=__ZNK8JSObject9getParentEv($47); //@line 1458 "./jsobjinlines.h"
      var $52 = $48;__label__ = 16; break; //@line 1458 "./jsobjinlines.h"
    case 15: 
      var $50=$5; //@line 1458 "./jsobjinlines.h"
      var $52 = $50;__label__ = 16; break; //@line 1458 "./jsobjinlines.h"
    case 16: 
      var $52; //@line 1458 "./jsobjinlines.h"
      var $53=$3; //@line 1458 "./jsobjinlines.h"
      var $54=(($53)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($37, $38, $39, $40, $52, 0, $54); //@line 1458 "./jsobjinlines.h"
      var $55=$3; //@line 1461 "./jsobjinlines.h"
      var $56=__ZNK2js5Class8isNativeEv($55); //@line 1461 "./jsobjinlines.h"
      if ($56) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 1461 "./jsobjinlines.h"
    case 17: 
      var $58=$2; //@line 1462 "./jsobjinlines.h"
      var $59=$obj; //@line 1462 "./jsobjinlines.h"
      var $60=$3; //@line 1462 "./jsobjinlines.h"
      var $61=$type; //@line 1462 "./jsobjinlines.h"
      var $62=$6; //@line 1462 "./jsobjinlines.h"
      var $63=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE267($58, $59, $60, $61, $62); //@line 1462 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1462 "./jsobjinlines.h"
    case 18: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 22; break; //@line 1464 "./jsobjinlines.h"
    case 19: 
      __label__ = 21; break; //@line 1466 "./jsobjinlines.h"
    case 20: 
      var $67=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($67); //@line 1467 "./jsobjinlines.h"
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $70=$2; //@line 1471 "./jsobjinlines.h"
      var $71=$obj; //@line 1471 "./jsobjinlines.h"
      var $72=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($70, $71); //@line 1471 "./jsobjinlines.h"
      var $73=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$73; //@line 1472 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1472 "./jsobjinlines.h"
    case 23: 
      var $75=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $75; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE["X"]=1;

function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE265($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE266($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE267($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE267($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE267["X"]=1;

function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb268($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE271($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$6; //@line 1443 "./jsobjinlines.h"
      var $21=$3; //@line 1443 "./jsobjinlines.h"
      var $22=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE265($20, $21); //@line 1443 "./jsobjinlines.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1443 "./jsobjinlines.h"
    case 7: 
      var $24=$6; //@line 1444 "./jsobjinlines.h"
      var $25=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE266($24); //@line 1444 "./jsobjinlines.h"
      $6=$25; //@line 1444 "./jsobjinlines.h"
      __label__ = 8; break; //@line 1444 "./jsobjinlines.h"
    case 8: 
      var $27=$2; //@line 1446 "./jsobjinlines.h"
      var $28=$6; //@line 1446 "./jsobjinlines.h"
      var $29=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($27, $28); //@line 1446 "./jsobjinlines.h"
      $obj=$29; //@line 1446 "./jsobjinlines.h"
      var $30=$obj; //@line 1447 "./jsobjinlines.h"
      var $31=(($30)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1447 "./jsobjinlines.h"
    case 9: 
      __label__ = 20; break; //@line 1448 "./jsobjinlines.h"
    case 10: 
      var $34=$obj; //@line 1457 "./jsobjinlines.h"
      var $35=$2; //@line 1457 "./jsobjinlines.h"
      var $36=$3; //@line 1457 "./jsobjinlines.h"
      var $37=$type; //@line 1457 "./jsobjinlines.h"
      var $38=$5; //@line 1457 "./jsobjinlines.h"
      var $39=(($38)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($39) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 11: 
      var $41=$4; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 12: 
      var $44=$4; //@line 1458 "./jsobjinlines.h"
      var $45=__ZNK8JSObject9getParentEv($44); //@line 1458 "./jsobjinlines.h"
      var $49 = $45;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 13: 
      var $47=$5; //@line 1458 "./jsobjinlines.h"
      var $49 = $47;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 14: 
      var $49; //@line 1458 "./jsobjinlines.h"
      var $50=$3; //@line 1458 "./jsobjinlines.h"
      var $51=(($50)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($34, $35, $36, $37, $49, 0, $51); //@line 1458 "./jsobjinlines.h"
      var $52=$3; //@line 1461 "./jsobjinlines.h"
      var $53=__ZNK2js5Class8isNativeEv($52); //@line 1461 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1461 "./jsobjinlines.h"
    case 15: 
      var $55=$2; //@line 1462 "./jsobjinlines.h"
      var $56=$obj; //@line 1462 "./jsobjinlines.h"
      var $57=$3; //@line 1462 "./jsobjinlines.h"
      var $58=$type; //@line 1462 "./jsobjinlines.h"
      var $59=$6; //@line 1462 "./jsobjinlines.h"
      var $60=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE267($55, $56, $57, $58, $59); //@line 1462 "./jsobjinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1462 "./jsobjinlines.h"
    case 16: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 20; break; //@line 1464 "./jsobjinlines.h"
    case 17: 
      __label__ = 19; break; //@line 1466 "./jsobjinlines.h"
    case 18: 
      var $64=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($64); //@line 1467 "./jsobjinlines.h"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $67=$2; //@line 1471 "./jsobjinlines.h"
      var $68=$obj; //@line 1471 "./jsobjinlines.h"
      var $69=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($67, $68); //@line 1471 "./jsobjinlines.h"
      var $70=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$70; //@line 1472 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1472 "./jsobjinlines.h"
    case 21: 
      var $72=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $72; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE271["X"]=1;

function __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS5_13MapHashPolicyES4_E6AddPtrERKS2_SF_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS5_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $13=(($12)|0); //@line 1052 "./jshashtable.h"
      var $14=$4; //@line 1052 "./jshashtable.h"
      var $15=$13; //@line 1052 "./jshashtable.h"
      var $16=$14; //@line 1052 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1052 "./jshashtable.h"
      var $17=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=(($17+8)|0); //@line 1053 "./jshashtable.h"
      var $19=$5; //@line 1053 "./jshashtable.h"
      var $20=$18; //@line 1053 "./jshashtable.h"
      var $21=$19; //@line 1053 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $23=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $23; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEC2ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS5_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+8)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*24)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+24)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*24)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*24)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*24)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*24)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+24)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+8)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+8)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIN2JS5ValueES3_EEEENS_7MoveRefIT_EERS6_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIN2JS5ValueES2_EaSENS_7MoveRefIS3_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*24)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+24)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free272($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIN2JS5ValueES2_EaSENS_7MoveRefIS3_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=(($4)|0); //@line 916 "./jshashtable.h"
  var $6=__ZNK2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $7=(($6)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERKS4_($2, $7); //@line 916 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $9=$5; //@line 916 "./jshashtable.h"
  var $10=$8; //@line 916 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 916 "./jshashtable.h"
  var $11=(($4+8)|0); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $13=(($12+8)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERS4_($3, $13); //@line 917 "./jshashtable.h"
  var $14=__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $15=$11; //@line 917 "./jshashtable.h"
  var $16=$14; //@line 917 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIN2JS5ValueES3_EEEENS_7MoveRefIT_EERS6_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEC1ERS4_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEC1ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEC2ERS4_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIN2JS5ValueES2_EC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIN2JS5ValueES2_EC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIN2JS5ValueES2_EC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIN2JS5ValueES2_EC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  var $4=$3; //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; HEAP32[(($4+4)>>2)]=0; //@line 911 "./jshashtable.h"
  var $5=(($2+8)|0); //@line 911 "./jshashtable.h"
  var $6=$5; //@line 911 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; HEAP32[(($6+4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function _js_malloc273($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS4_($l) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      var $2=__stackBase__;
      $1=$l;
      var $3=$1; //@line 327 "./jshashtable.h"
      var $4=$2; //@line 327 "./jshashtable.h"
      var $5=$3; //@line 327 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 327 "./jshashtable.h"
      var $6=__ZN2js13WrapperHasher4hashEN2JS5ValueE($2); //@line 327 "./jshashtable.h"
      $keyHash=$6; //@line 327 "./jshashtable.h"
      var $7=$keyHash; //@line 330 "./jshashtable.h"
      var $8=(($7*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$8; //@line 330 "./jshashtable.h"
      var $9=$keyHash; //@line 333 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj($9); //@line 333 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $12=$keyHash; //@line 334 "./jshashtable.h"
      var $13=(($12-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$13; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $15=$keyHash; //@line 335 "./jshashtable.h"
      var $16=$15 & -2; //@line 335 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $16; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S2_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK2JS5Value9asRawBitsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 553 "./jsapi.h"
  var $4=$3; //@line 553 "./jsapi.h"
  var $st$5$0=(($4)|0);
  var $5$0=HEAP32[(($st$5$0)>>2)];
  var $st$5$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$5$1)>>2)];
  ;
  return [$5$0,$5$1]; //@line 553 "./jsapi.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+4)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*24)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS5_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*24)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS5_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS5_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+8)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S2_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13WrapperHasher5matchERKN2JS5ValueES4_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js13WrapperHasher5matchERKN2JS5ValueES4_($l, $k) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$l;
  $2=$k;
  var $3=$1; //@line 1157 "./jsgc.h"
  var $4=$2; //@line 1157 "./jsgc.h"
  var $5=__ZNK2JS5ValueeqERKS0_($3, $4); //@line 1157 "./jsgc.h"
  ;
  return $5; //@line 1157 "./jsgc.h"
}


function __ZN2js13WrapperHasher4hashEN2JS5ValueE($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $key=__stackBase__;
  var $bits=__stackBase__+8;
  var $2=$key;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=__ZNK2JS5Value9asRawBitsEv($key);
  var $4$0=$4[0];
  var $4$1=$4[1];
  var $st$8$0=(($bits)|0);
  HEAP32[(($st$8$0)>>2)]=$4$0;
  var $st$8$1=(($bits+4)|0);
  HEAP32[(($st$8$1)>>2)]=$4$1;
  var $st$12$0=(($bits)|0);
  var $5$0=HEAP32[(($st$12$0)>>2)];
  var $st$12$1=(($bits+4)|0);
  var $5$1=HEAP32[(($st$12$1)>>2)];
  var $6$0=$5$0;
  var $6=$6$0;
  var $st$18$0=(($bits)|0);
  var $7$0=HEAP32[(($st$18$0)>>2)];
  var $st$18$1=(($bits+4)|0);
  var $7$1=HEAP32[(($st$18$1)>>2)];
  var $8$0=$7$1;
  var $8$1=0;
  var $9$0=$8$0;
  var $9=$9$0;
  var $10=$6 ^ $9; //@line 1154 "./jsgc.h"
  STACKTOP = __stackBase__;
  return $10; //@line 1154 "./jsgc.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE16infallibleAppendERKS2_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$t;
  var $4=$1;
  var $5=$2; //@line 426 "./jsvector.h"
  var $6=$3; //@line 426 "./jsvector.h"
  var $7=$5; //@line 426 "./jsvector.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 426 "./jsvector.h"
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($4, $3); //@line 426 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 427 "./jsvector.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7reserveEj($this, $request) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$request;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 645 "./jsvector.h"
      var $6=$3; //@line 646 "./jsvector.h"
      var $7=(($5+12)|0); //@line 646 "./jsvector.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 646 "./jsvector.h"
      var $9=(($6)>>>0) > (($8)>>>0); //@line 646 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 646 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 646 "./jsvector.h"
      var $12=(($5+8)|0); //@line 646 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 646 "./jsvector.h"
      var $14=(($11-$13)|0); //@line 646 "./jsvector.h"
      var $15=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 646 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 646 "./jsvector.h"
    case 3: 
      $1=0; //@line 647 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 647 "./jsvector.h"
    case 4: 
      $1=1; //@line 655 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 655 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 656 "./jsvector.h"
      var $19=$1; //@line 656 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $19; //@line 656 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeENSB_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeERNS0_14HashTableEntryIS5_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeERNS0_14HashTableEntryIS5_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+8)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIN2JS5ValueES2_EC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIN2JS5ValueES2_EaSERKS3_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+8)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIN2JS5ValueES2_EC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIN2JS5ValueES2_EaSERKS3_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIN2JS5ValueES2_EaSERKS3_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=(($3)|0); //@line 906 "./jshashtable.h"
  var $5=$2; //@line 906 "./jshashtable.h"
  var $6=(($5)|0); //@line 906 "./jshashtable.h"
  var $7=$4; //@line 906 "./jshashtable.h"
  var $8=$6; //@line 906 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 906 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 907 "./jshashtable.h"
  var $10=$2; //@line 907 "./jshashtable.h"
  var $11=(($10+8)|0); //@line 907 "./jshashtable.h"
  var $12=$9; //@line 907 "./jshashtable.h"
  var $13=$11; //@line 907 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+4)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+12)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+4)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js17SystemAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+8)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+8)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js17SystemAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+8)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc274($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6RegExp15checkMatchPairsEP8JSStringPij($input, $buf, $matchItemCount) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$input;
  $2=$buf;
  $3=$matchItemCount;
  ;
  return; //@line 294 "./jsregexpinlines.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_EC2ES7_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function _JSVAL_IS_GCTHING_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 584 "./jsval.h"
  var $2=(($1+4)|0); //@line 584 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 584 "./jsval.h"
  var $4=(($3)>>>0) >= 4294967173; //@line 584 "./jsval.h"
  var $5=(($4)&1); //@line 584 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 584 "./jsval.h"
}


function __ZNK2js6RegExp6stickyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 219 "./jsregexpinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 219 "./jsregexpinlines.h"
  var $5=$4 & 8; //@line 219 "./jsregexpinlines.h"
  var $6=(($5)|0)!=0; //@line 219 "./jsregexpinlines.h"
  ;
  return $6; //@line 219 "./jsregexpinlines.h"
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEEC2ES3_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_EC1ES7_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_EC1ES7_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_EC2ES7_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=(($2)|0); //@line 493 "./jsvector.h"
  var $5=(($2+12)|0); //@line 488 "./jsvector.h"
  var $6=__ZN7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 488 "./jsvector.h"
  var $7=$6; //@line 488 "./jsvector.h"
  HEAP32[(($4)>>2)]=$7; //@line 488 "./jsvector.h"
  var $8=(($2+4)|0); //@line 488 "./jsvector.h"
  HEAP32[(($8)>>2)]=0; //@line 488 "./jsvector.h"
  var $9=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($9)>>2)]=0; //@line 488 "./jsvector.h"
  var $10=(($2+12)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "./jsapi.h"
  var $5=$agg_result; //@line 822 "./jsapi.h"
  var $6=$4; //@line 822 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "./jsapi.h"
}


function __ZN2js6RegExp15executeInternalEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($this, $cx, $res, $inputstr, $lastIndex, $test, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $pairCount;
      var $bufCount;
      var $matchItemCount;
      var $aaa=__stackBase__;
      var $buf;
      var $9;
      var $it;
      var $input;
      var $anchor=__stackBase__+8;
      var $len;
      var $chars;
      var $inputOffset;
      var $result;
      var $10=__stackBase__+12;
      var $i;
      var $11=__stackBase__+20;
      var $array;
      var $12=__stackBase__+28;
      $2=$this;
      $3=$cx;
      $4=$res;
      $5=$inputstr;
      $6=$lastIndex;
      var $13=(($test)&1);
      $7=$13;
      $8=$rval;
      var $14=$2;
      var $15=(($14+12)|0); //@line 338 "./jsregexpinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 338 "./jsregexpinlines.h"
      var $17=(($16+1)|0); //@line 338 "./jsregexpinlines.h"
      $pairCount=$17; //@line 338 "./jsregexpinlines.h"
      var $18=$pairCount; //@line 339 "./jsregexpinlines.h"
      var $19=(($18*3)|0); //@line 339 "./jsregexpinlines.h"
      $bufCount=$19; //@line 339 "./jsregexpinlines.h"
      var $20=$pairCount; //@line 340 "./jsregexpinlines.h"
      var $21=((($20<<1))|0); //@line 340 "./jsregexpinlines.h"
      $matchItemCount=$21; //@line 340 "./jsregexpinlines.h"
      var $22=$3; //@line 342 "./jsregexpinlines.h"
      var $23=__ZN2js6RegExp9initArenaEP9JSContext($22); //@line 342 "./jsregexpinlines.h"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 342 "./jsregexpinlines.h"
    case 2: 
      $1=0; //@line 343 "./jsregexpinlines.h"
      __label__ = 35; break; //@line 343 "./jsregexpinlines.h"
    case 3: 
      var $26=$3; //@line 345 "./jsregexpinlines.h"
      var $27=(($26+104)|0); //@line 345 "./jsregexpinlines.h"
      __ZN2js18AutoArenaAllocatorC1EP11JSArenaPool($aaa, $27); //@line 345 "./jsregexpinlines.h"
      var $28=$bufCount; //@line 346 "./jsregexpinlines.h"
      var $29=__ZN2js18AutoArenaAllocator5allocIiEEPT_j($aaa, $28); //@line 346 "./jsregexpinlines.h"
      $buf=$29; //@line 346 "./jsregexpinlines.h"
      var $30=$buf; //@line 347 "./jsregexpinlines.h"
      var $31=(($30)|0)!=0; //@line 347 "./jsregexpinlines.h"
      if ($31) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 347 "./jsregexpinlines.h"
    case 4: 
      $1=0; //@line 348 "./jsregexpinlines.h"
      $9=1;
      __label__ = 34; break; //@line 348 "./jsregexpinlines.h"
    case 5: 
      var $34=$buf; //@line 354 "./jsregexpinlines.h"
      $it=$34; //@line 354 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 354 "./jsregexpinlines.h"
    case 6: 
      var $36=$it; //@line 354 "./jsregexpinlines.h"
      var $37=$buf; //@line 354 "./jsregexpinlines.h"
      var $38=$matchItemCount; //@line 354 "./jsregexpinlines.h"
      var $39=(($37+($38<<2))|0); //@line 354 "./jsregexpinlines.h"
      var $40=(($36)|0)!=(($39)|0); //@line 354 "./jsregexpinlines.h"
      if ($40) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 354 "./jsregexpinlines.h"
    case 7: 
      var $42=$it; //@line 355 "./jsregexpinlines.h"
      HEAP32[(($42)>>2)]=-1; //@line 355 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 355 "./jsregexpinlines.h"
    case 8: 
      var $44=$it; //@line 354 "./jsregexpinlines.h"
      var $45=(($44+4)|0); //@line 354 "./jsregexpinlines.h"
      $it=$45; //@line 354 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 354 "./jsregexpinlines.h"
    case 9: 
      var $47=$5; //@line 357 "./jsregexpinlines.h"
      var $48=$3; //@line 357 "./jsregexpinlines.h"
      var $49=__ZN8JSString12ensureLinearEP9JSContext($47, $48); //@line 357 "./jsregexpinlines.h"
      $input=$49; //@line 357 "./jsregexpinlines.h"
      var $50=$input; //@line 358 "./jsregexpinlines.h"
      var $51=(($50)|0)!=0; //@line 358 "./jsregexpinlines.h"
      if ($51) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 358 "./jsregexpinlines.h"
    case 10: 
      $1=0; //@line 359 "./jsregexpinlines.h"
      $9=1;
      __label__ = 34; break; //@line 359 "./jsregexpinlines.h"
    case 11: 
      var $54=$input; //@line 361 "./jsregexpinlines.h"
      var $55=$54; //@line 361 "./jsregexpinlines.h"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $55); //@line 361 "./jsregexpinlines.h"
      var $56=$input; //@line 362 "./jsregexpinlines.h"
      var $57=$56; //@line 362 "./jsregexpinlines.h"
      var $58=__ZNK8JSString6lengthEv($57); //@line 362 "./jsregexpinlines.h"
      $len=$58; //@line 362 "./jsregexpinlines.h"
      var $59=$input; //@line 363 "./jsregexpinlines.h"
      var $60=__ZNK14JSLinearString5charsEv($59); //@line 363 "./jsregexpinlines.h"
      $chars=$60; //@line 363 "./jsregexpinlines.h"
      $inputOffset=0; //@line 369 "./jsregexpinlines.h"
      var $61=__ZNK2js6RegExp6stickyEv($14); //@line 371 "./jsregexpinlines.h"
      if ($61) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 371 "./jsregexpinlines.h"
    case 12: 
      var $63=$6; //@line 373 "./jsregexpinlines.h"
      var $64=HEAP32[(($63)>>2)]; //@line 373 "./jsregexpinlines.h"
      var $65=$chars; //@line 373 "./jsregexpinlines.h"
      var $66=(($65+($64<<1))|0); //@line 373 "./jsregexpinlines.h"
      $chars=$66; //@line 373 "./jsregexpinlines.h"
      var $67=$6; //@line 374 "./jsregexpinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 374 "./jsregexpinlines.h"
      var $69=$len; //@line 374 "./jsregexpinlines.h"
      var $70=(($69-$68)|0); //@line 374 "./jsregexpinlines.h"
      $len=$70; //@line 374 "./jsregexpinlines.h"
      var $71=$6; //@line 375 "./jsregexpinlines.h"
      var $72=HEAP32[(($71)>>2)]; //@line 375 "./jsregexpinlines.h"
      $inputOffset=$72; //@line 375 "./jsregexpinlines.h"
      __label__ = 13; break; //@line 376 "./jsregexpinlines.h"
    case 13: 
      var $74=$3; //@line 385 "./jsregexpinlines.h"
      var $75=(($14)|0); //@line 385 "./jsregexpinlines.h"
      var $76=HEAP32[(($75)>>2)]; //@line 385 "./jsregexpinlines.h"
      var $77=$chars; //@line 385 "./jsregexpinlines.h"
      var $78=$len; //@line 385 "./jsregexpinlines.h"
      var $79=$6; //@line 385 "./jsregexpinlines.h"
      var $80=HEAP32[(($79)>>2)]; //@line 385 "./jsregexpinlines.h"
      var $81=$inputOffset; //@line 385 "./jsregexpinlines.h"
      var $82=(($80-$81)|0); //@line 385 "./jsregexpinlines.h"
      var $83=$buf; //@line 385 "./jsregexpinlines.h"
      var $84=$bufCount; //@line 385 "./jsregexpinlines.h"
      var $85=__Z15jsRegExpExecuteP9JSContextPK8JSRegExpPKtiiPii($74, $76, $77, $78, $82, $83, $84); //@line 385 "./jsregexpinlines.h"
      $result=$85; //@line 385 "./jsregexpinlines.h"
      var $86=$result; //@line 387 "./jsregexpinlines.h"
      var $87=(($86)|0)==-1; //@line 387 "./jsregexpinlines.h"
      if ($87) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 387 "./jsregexpinlines.h"
    case 14: 
      var $89=$8; //@line 388 "./jsregexpinlines.h"
      __ZN2JSL9NullValueEv259($10); //@line 388 "./jsregexpinlines.h"
      var $90=$89; //@line 388 "./jsregexpinlines.h"
      var $91=$10; //@line 388 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($90)>>2)]=HEAP32[(($91)>>2)];HEAP32[(($90+4)>>2)]=HEAP32[(($91+4)>>2)]; //@line 388 "./jsregexpinlines.h"
      $1=1; //@line 389 "./jsregexpinlines.h"
      $9=1;
      __label__ = 33; break; //@line 389 "./jsregexpinlines.h"
    case 15: 
      var $93=$result; //@line 393 "./jsregexpinlines.h"
      var $94=(($93)|0) < 0; //@line 393 "./jsregexpinlines.h"
      if ($94) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 393 "./jsregexpinlines.h"
    case 16: 
      var $96=$3; //@line 394 "./jsregexpinlines.h"
      var $97=$result; //@line 394 "./jsregexpinlines.h"
      __ZN2js6RegExp15reportPCREErrorEP9JSContexti($14, $96, $97); //@line 394 "./jsregexpinlines.h"
      $1=0; //@line 395 "./jsregexpinlines.h"
      $9=1;
      __label__ = 33; break; //@line 395 "./jsregexpinlines.h"
    case 17: 
      var $99=$inputOffset; //@line 403 "./jsregexpinlines.h"
      var $100=(($99)|0)!=0; //@line 403 "./jsregexpinlines.h"
      if ($100) { __label__ = 18; break; } else { __label__ = 26; break; } //@line 403 "./jsregexpinlines.h"
    case 18: 
      $i=0; //@line 404 "./jsregexpinlines.h"
      __label__ = 19; break; //@line 404 "./jsregexpinlines.h"
    case 19: 
      var $103=$i; //@line 404 "./jsregexpinlines.h"
      var $104=$matchItemCount; //@line 404 "./jsregexpinlines.h"
      var $105=(($103)>>>0) < (($104)>>>0); //@line 404 "./jsregexpinlines.h"
      if ($105) { __label__ = 20; break; } else { __label__ = 25; break; } //@line 404 "./jsregexpinlines.h"
    case 20: 
      var $107=$i; //@line 405 "./jsregexpinlines.h"
      var $108=$buf; //@line 405 "./jsregexpinlines.h"
      var $109=(($108+($107<<2))|0); //@line 405 "./jsregexpinlines.h"
      var $110=HEAP32[(($109)>>2)]; //@line 405 "./jsregexpinlines.h"
      var $111=(($110)|0) < 0; //@line 405 "./jsregexpinlines.h"
      if ($111) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 405 "./jsregexpinlines.h"
    case 21: 
      var $121 = -1;__label__ = 23; break; //@line 405 "./jsregexpinlines.h"
    case 22: 
      var $114=$i; //@line 405 "./jsregexpinlines.h"
      var $115=$buf; //@line 405 "./jsregexpinlines.h"
      var $116=(($115+($114<<2))|0); //@line 405 "./jsregexpinlines.h"
      var $117=HEAP32[(($116)>>2)]; //@line 405 "./jsregexpinlines.h"
      var $118=$inputOffset; //@line 405 "./jsregexpinlines.h"
      var $119=(($117+$118)|0); //@line 405 "./jsregexpinlines.h"
      var $121 = $119;__label__ = 23; break; //@line 405 "./jsregexpinlines.h"
    case 23: 
      var $121; //@line 405 "./jsregexpinlines.h"
      var $122=$i; //@line 405 "./jsregexpinlines.h"
      var $123=$buf; //@line 405 "./jsregexpinlines.h"
      var $124=(($123+($122<<2))|0); //@line 405 "./jsregexpinlines.h"
      HEAP32[(($124)>>2)]=$121; //@line 405 "./jsregexpinlines.h"
      __label__ = 24; break; //@line 405 "./jsregexpinlines.h"
    case 24: 
      var $126=$i; //@line 404 "./jsregexpinlines.h"
      var $127=(($126+1)|0); //@line 404 "./jsregexpinlines.h"
      $i=$127; //@line 404 "./jsregexpinlines.h"
      __label__ = 19; break; //@line 404 "./jsregexpinlines.h"
    case 25: 
      __label__ = 26; break; //@line 406 "./jsregexpinlines.h"
    case 26: 
      var $130=$input; //@line 409 "./jsregexpinlines.h"
      var $131=$130; //@line 409 "./jsregexpinlines.h"
      var $132=$buf; //@line 409 "./jsregexpinlines.h"
      var $133=$matchItemCount; //@line 409 "./jsregexpinlines.h"
      __ZN2js6RegExp15checkMatchPairsEP8JSStringPij($131, $132, $133); //@line 409 "./jsregexpinlines.h"
      var $134=$4; //@line 411 "./jsregexpinlines.h"
      var $135=(($134)|0)!=0; //@line 411 "./jsregexpinlines.h"
      if ($135) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 411 "./jsregexpinlines.h"
    case 27: 
      var $137=$4; //@line 412 "./jsregexpinlines.h"
      var $138=$3; //@line 412 "./jsregexpinlines.h"
      var $139=$input; //@line 412 "./jsregexpinlines.h"
      var $140=$buf; //@line 412 "./jsregexpinlines.h"
      var $141=$matchItemCount; //@line 412 "./jsregexpinlines.h"
      var $142=__ZN2js13RegExpStatics15updateFromMatchEP9JSContextP14JSLinearStringPij($137, $138, $139, $140, $141); //@line 412 "./jsregexpinlines.h"
      __label__ = 28; break; //@line 412 "./jsregexpinlines.h"
    case 28: 
      var $144=$buf; //@line 414 "./jsregexpinlines.h"
      var $145=(($144+4)|0); //@line 414 "./jsregexpinlines.h"
      var $146=HEAP32[(($145)>>2)]; //@line 414 "./jsregexpinlines.h"
      var $147=$6; //@line 414 "./jsregexpinlines.h"
      HEAP32[(($147)>>2)]=$146; //@line 414 "./jsregexpinlines.h"
      var $148=$7; //@line 416 "./jsregexpinlines.h"
      var $149=(($148) & 1); //@line 416 "./jsregexpinlines.h"
      if ($149) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 416 "./jsregexpinlines.h"
    case 29: 
      var $151=$8; //@line 417 "./jsregexpinlines.h"
      __ZN2JSL12BooleanValueEb275($11, 1); //@line 417 "./jsregexpinlines.h"
      var $152=$151; //@line 417 "./jsregexpinlines.h"
      var $153=$11; //@line 417 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($152)>>2)]=HEAP32[(($153)>>2)];HEAP32[(($152+4)>>2)]=HEAP32[(($153+4)>>2)]; //@line 417 "./jsregexpinlines.h"
      $1=1; //@line 418 "./jsregexpinlines.h"
      $9=1;
      __label__ = 33; break; //@line 418 "./jsregexpinlines.h"
    case 30: 
      var $155=$3; //@line 421 "./jsregexpinlines.h"
      var $156=$input; //@line 421 "./jsregexpinlines.h"
      var $157=$156; //@line 421 "./jsregexpinlines.h"
      var $158=$buf; //@line 421 "./jsregexpinlines.h"
      var $159=$matchItemCount; //@line 421 "./jsregexpinlines.h"
      var $160=__ZN2js6RegExp12createResultEP9JSContextP8JSStringPij($155, $157, $158, $159); //@line 421 "./jsregexpinlines.h"
      $array=$160; //@line 421 "./jsregexpinlines.h"
      var $161=$array; //@line 422 "./jsregexpinlines.h"
      var $162=(($161)|0)!=0; //@line 422 "./jsregexpinlines.h"
      if ($162) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 422 "./jsregexpinlines.h"
    case 31: 
      $1=0; //@line 423 "./jsregexpinlines.h"
      $9=1;
      __label__ = 33; break; //@line 423 "./jsregexpinlines.h"
    case 32: 
      var $165=$8; //@line 425 "./jsregexpinlines.h"
      var $166=$array; //@line 425 "./jsregexpinlines.h"
      __ZN2JSL11ObjectValueER8JSObject239($12, $166); //@line 425 "./jsregexpinlines.h"
      var $167=$165; //@line 425 "./jsregexpinlines.h"
      var $168=$12; //@line 425 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($167)>>2)]=HEAP32[(($168)>>2)];HEAP32[(($167+4)>>2)]=HEAP32[(($168+4)>>2)]; //@line 425 "./jsregexpinlines.h"
      $1=1; //@line 426 "./jsregexpinlines.h"
      $9=1;
      __label__ = 33; break; //@line 426 "./jsregexpinlines.h"
    case 33: 
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 427 "./jsregexpinlines.h"
      __label__ = 34; break;
    case 34: 
      __ZN2js18AutoArenaAllocatorD1Ev($aaa); //@line 427 "./jsregexpinlines.h"
      __label__ = 35; break;
    case 35: 
      var $172=$1; //@line 427 "./jsregexpinlines.h"
      STACKTOP = __stackBase__;
      return $172; //@line 427 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6RegExp15executeInternalEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE["X"]=1;

function __ZN2js6RegExp9initArenaEP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $timestamp;
      var $_a;
      var $_nb;
      var $_p;
      $2=$cx;
      var $3=$2; //@line 261 "./jsregexpinlines.h"
      var $4=(($3+104)|0); //@line 261 "./jsregexpinlines.h"
      var $5=(($4)|0); //@line 261 "./jsregexpinlines.h"
      var $6=(($5)|0); //@line 261 "./jsregexpinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 261 "./jsregexpinlines.h"
      var $8=(($7)|0)!=0; //@line 261 "./jsregexpinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 261 "./jsregexpinlines.h"
    case 2: 
      $1=1; //@line 262 "./jsregexpinlines.h"
      __label__ = 14; break; //@line 262 "./jsregexpinlines.h"
    case 3: 
      __label__ = 4; break; //@line 272 "./jsregexpinlines.h"
    case 4: 
      var $12=$2; //@line 272 "./jsregexpinlines.h"
      var $13=(($12+104)|0); //@line 272 "./jsregexpinlines.h"
      var $14=(($13+16)|0); //@line 272 "./jsregexpinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 272 "./jsregexpinlines.h"
      $_a=$15; //@line 272 "./jsregexpinlines.h"
      var $16=$2; //@line 272 "./jsregexpinlines.h"
      var $17=(($16+104)|0); //@line 272 "./jsregexpinlines.h"
      var $18=(($17+24)|0); //@line 272 "./jsregexpinlines.h"
      var $19=HEAP32[(($18)>>2)]; //@line 272 "./jsregexpinlines.h"
      var $20=(($19+8)|0); //@line 272 "./jsregexpinlines.h"
      var $21=$2; //@line 272 "./jsregexpinlines.h"
      var $22=(($21+104)|0); //@line 272 "./jsregexpinlines.h"
      var $23=(($22+24)|0); //@line 272 "./jsregexpinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 272 "./jsregexpinlines.h"
      var $25=$24 ^ -1; //@line 272 "./jsregexpinlines.h"
      var $26=$20 & $25; //@line 272 "./jsregexpinlines.h"
      $_nb=$26; //@line 272 "./jsregexpinlines.h"
      var $27=$_a; //@line 272 "./jsregexpinlines.h"
      var $28=(($27+12)|0); //@line 272 "./jsregexpinlines.h"
      var $29=HEAP32[(($28)>>2)]; //@line 272 "./jsregexpinlines.h"
      $_p=$29; //@line 272 "./jsregexpinlines.h"
      var $30=$_nb; //@line 272 "./jsregexpinlines.h"
      var $31=$_a; //@line 272 "./jsregexpinlines.h"
      var $32=(($31+8)|0); //@line 272 "./jsregexpinlines.h"
      var $33=HEAPU32[(($32)>>2)]; //@line 272 "./jsregexpinlines.h"
      var $34=(($30)>>>0) > (($33)>>>0); //@line 272 "./jsregexpinlines.h"
      if ($34) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 272 "./jsregexpinlines.h"
    case 5: 
      var $36=$_p; //@line 272 "./jsregexpinlines.h"
      var $37=$_a; //@line 272 "./jsregexpinlines.h"
      var $38=(($37+8)|0); //@line 272 "./jsregexpinlines.h"
      var $39=HEAP32[(($38)>>2)]; //@line 272 "./jsregexpinlines.h"
      var $40=$_nb; //@line 272 "./jsregexpinlines.h"
      var $41=(($39-$40)|0); //@line 272 "./jsregexpinlines.h"
      var $42=(($36)>>>0) > (($41)>>>0); //@line 272 "./jsregexpinlines.h"
      if ($42) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 272 "./jsregexpinlines.h"
    case 6: 
      var $44=$2; //@line 272 "./jsregexpinlines.h"
      var $45=(($44+104)|0); //@line 272 "./jsregexpinlines.h"
      var $46=$_nb; //@line 272 "./jsregexpinlines.h"
      var $47=_JS_ArenaAllocate($45, $46); //@line 272 "./jsregexpinlines.h"
      var $48=$47; //@line 272 "./jsregexpinlines.h"
      $_p=$48; //@line 272 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 272 "./jsregexpinlines.h"
    case 7: 
      var $50=$_p; //@line 272 "./jsregexpinlines.h"
      var $51=$_nb; //@line 272 "./jsregexpinlines.h"
      var $52=(($50+$51)|0); //@line 272 "./jsregexpinlines.h"
      var $53=$_a; //@line 272 "./jsregexpinlines.h"
      var $54=(($53+12)|0); //@line 272 "./jsregexpinlines.h"
      HEAP32[(($54)>>2)]=$52; //@line 272 "./jsregexpinlines.h"
      __label__ = 8; break;
    case 8: 
      var $56=$_p; //@line 272 "./jsregexpinlines.h"
      var $57=$56; //@line 272 "./jsregexpinlines.h"
      $timestamp=$57; //@line 272 "./jsregexpinlines.h"
      __label__ = 9; break; //@line 272 "./jsregexpinlines.h"
    case 9: 
      __label__ = 10; break; //@line 272 "./jsregexpinlines.h"
    case 10: 
      __label__ = 11; break; //@line 272 "./jsregexpinlines.h"
    case 11: 
      var $61=$timestamp; //@line 273 "./jsregexpinlines.h"
      var $62=(($61)|0)!=0; //@line 273 "./jsregexpinlines.h"
      if ($62) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 273 "./jsregexpinlines.h"
    case 12: 
      $1=0; //@line 274 "./jsregexpinlines.h"
      __label__ = 14; break; //@line 274 "./jsregexpinlines.h"
    case 13: 
      var $65=_JS_Now();
      var $65$0=$65[0];
      var $65$1=$65[1];
      var $66=$timestamp; //@line 275 "./jsregexpinlines.h"
      var $st$4$0=(($66)|0);
      HEAP32[(($st$4$0)>>2)]=$65$0;
      var $st$4$1=(($66+4)|0);
      HEAP32[(($st$4$1)>>2)]=$65$1;
      $1=1; //@line 276 "./jsregexpinlines.h"
      __label__ = 14; break; //@line 276 "./jsregexpinlines.h"
    case 14: 
      var $68=$1; //@line 277 "./jsregexpinlines.h"
      ;
      return $68; //@line 277 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6RegExp9initArenaEP9JSContext["X"]=1;

function __ZN2js18AutoArenaAllocatorC1EP11JSArenaPool($this, $pool) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pool;
  var $3=$1;
  var $4=$2; //@line 1891 "./jscntxt.h"
  __ZN2js18AutoArenaAllocatorC2EP11JSArenaPool($3, $4); //@line 1891 "./jscntxt.h"
  ;
  return; //@line 1891 "./jscntxt.h"
}


function __ZN2js18AutoArenaAllocator5allocIiEEPT_j($this, $elems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ptr;
      var $_a;
      var $_nb;
      var $_p;
      $1=$this;
      $2=$elems;
      var $3=$1;
      __label__ = 2; break; //@line 1897 "./jscntxt.h"
    case 2: 
      var $5=(($3)|0); //@line 1897 "./jscntxt.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1897 "./jscntxt.h"
      var $7=(($6+16)|0); //@line 1897 "./jscntxt.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1897 "./jscntxt.h"
      $_a=$8; //@line 1897 "./jscntxt.h"
      var $9=$2; //@line 1897 "./jscntxt.h"
      var $10=((($9<<2))|0); //@line 1897 "./jscntxt.h"
      var $11=(($3)|0); //@line 1897 "./jscntxt.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1897 "./jscntxt.h"
      var $13=(($12+24)|0); //@line 1897 "./jscntxt.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1897 "./jscntxt.h"
      var $15=(($10+$14)|0); //@line 1897 "./jscntxt.h"
      var $16=(($3)|0); //@line 1897 "./jscntxt.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1897 "./jscntxt.h"
      var $18=(($17+24)|0); //@line 1897 "./jscntxt.h"
      var $19=HEAP32[(($18)>>2)]; //@line 1897 "./jscntxt.h"
      var $20=$19 ^ -1; //@line 1897 "./jscntxt.h"
      var $21=$15 & $20; //@line 1897 "./jscntxt.h"
      $_nb=$21; //@line 1897 "./jscntxt.h"
      var $22=$_a; //@line 1897 "./jscntxt.h"
      var $23=(($22+12)|0); //@line 1897 "./jscntxt.h"
      var $24=HEAP32[(($23)>>2)]; //@line 1897 "./jscntxt.h"
      $_p=$24; //@line 1897 "./jscntxt.h"
      var $25=$_nb; //@line 1897 "./jscntxt.h"
      var $26=$_a; //@line 1897 "./jscntxt.h"
      var $27=(($26+8)|0); //@line 1897 "./jscntxt.h"
      var $28=HEAPU32[(($27)>>2)]; //@line 1897 "./jscntxt.h"
      var $29=(($25)>>>0) > (($28)>>>0); //@line 1897 "./jscntxt.h"
      if ($29) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1897 "./jscntxt.h"
    case 3: 
      var $31=$_p; //@line 1897 "./jscntxt.h"
      var $32=$_a; //@line 1897 "./jscntxt.h"
      var $33=(($32+8)|0); //@line 1897 "./jscntxt.h"
      var $34=HEAP32[(($33)>>2)]; //@line 1897 "./jscntxt.h"
      var $35=$_nb; //@line 1897 "./jscntxt.h"
      var $36=(($34-$35)|0); //@line 1897 "./jscntxt.h"
      var $37=(($31)>>>0) > (($36)>>>0); //@line 1897 "./jscntxt.h"
      if ($37) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1897 "./jscntxt.h"
    case 4: 
      var $39=(($3)|0); //@line 1897 "./jscntxt.h"
      var $40=HEAP32[(($39)>>2)]; //@line 1897 "./jscntxt.h"
      var $41=$_nb; //@line 1897 "./jscntxt.h"
      var $42=_JS_ArenaAllocate($40, $41); //@line 1897 "./jscntxt.h"
      var $43=$42; //@line 1897 "./jscntxt.h"
      $_p=$43; //@line 1897 "./jscntxt.h"
      __label__ = 6; break; //@line 1897 "./jscntxt.h"
    case 5: 
      var $45=$_p; //@line 1897 "./jscntxt.h"
      var $46=$_nb; //@line 1897 "./jscntxt.h"
      var $47=(($45+$46)|0); //@line 1897 "./jscntxt.h"
      var $48=$_a; //@line 1897 "./jscntxt.h"
      var $49=(($48+12)|0); //@line 1897 "./jscntxt.h"
      HEAP32[(($49)>>2)]=$47; //@line 1897 "./jscntxt.h"
      __label__ = 6; break;
    case 6: 
      var $51=$_p; //@line 1897 "./jscntxt.h"
      var $52=$51; //@line 1897 "./jscntxt.h"
      $ptr=$52; //@line 1897 "./jscntxt.h"
      __label__ = 7; break; //@line 1897 "./jscntxt.h"
    case 7: 
      __label__ = 8; break; //@line 1897 "./jscntxt.h"
    case 8: 
      __label__ = 9; break; //@line 1897 "./jscntxt.h"
    case 9: 
      var $56=$ptr; //@line 1898 "./jscntxt.h"
      var $57=$56; //@line 1898 "./jscntxt.h"
      ;
      return $57; //@line 1898 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js18AutoArenaAllocator5allocIiEEPT_j["X"]=1;

function __ZN2js13RegExpStatics15updateFromMatchEP9JSContextP14JSLinearStringPij($this, $cx, $input, $buf, $matchItemCount) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $i;
      $2=$this;
      $3=$cx;
      $4=$input;
      $5=$buf;
      $6=$matchItemCount;
      var $7=$2;
      __ZN2js13RegExpStatics12aboutToWriteEv($7); //@line 173 "./jsregexp.h"
      var $8=$4; //@line 174 "./jsregexp.h"
      var $9=$8; //@line 174 "./jsregexp.h"
      var $10=(($7+96)|0); //@line 174 "./jsregexp.h"
      HEAP32[(($10)>>2)]=$9; //@line 174 "./jsregexp.h"
      var $11=(($7)|0); //@line 176 "./jsregexp.h"
      var $12=$6; //@line 176 "./jsregexp.h"
      var $13=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE19resizeUninitializedEj($11, $12); //@line 176 "./jsregexp.h"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 176 "./jsregexp.h"
    case 2: 
      var $15=$3; //@line 177 "./jsregexp.h"
      __Z20js_ReportOutOfMemoryP9JSContext($15); //@line 177 "./jsregexp.h"
      $1=0; //@line 178 "./jsregexp.h"
      __label__ = 8; break; //@line 178 "./jsregexp.h"
    case 3: 
      $i=0; //@line 181 "./jsregexp.h"
      __label__ = 4; break; //@line 181 "./jsregexp.h"
    case 4: 
      var $18=$i; //@line 181 "./jsregexp.h"
      var $19=$6; //@line 181 "./jsregexp.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 181 "./jsregexp.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 181 "./jsregexp.h"
    case 5: 
      var $22=$i; //@line 182 "./jsregexp.h"
      var $23=$5; //@line 182 "./jsregexp.h"
      var $24=(($23+($22<<2))|0); //@line 182 "./jsregexp.h"
      var $25=HEAP32[(($24)>>2)]; //@line 182 "./jsregexp.h"
      var $26=(($7)|0); //@line 182 "./jsregexp.h"
      var $27=$i; //@line 182 "./jsregexp.h"
      var $28=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($26, $27); //@line 182 "./jsregexp.h"
      HEAP32[(($28)>>2)]=$25; //@line 182 "./jsregexp.h"
      __label__ = 6; break; //@line 182 "./jsregexp.h"
    case 6: 
      var $30=$i; //@line 181 "./jsregexp.h"
      var $31=(($30+1)|0); //@line 181 "./jsregexp.h"
      $i=$31; //@line 181 "./jsregexp.h"
      __label__ = 4; break; //@line 181 "./jsregexp.h"
    case 7: 
      var $33=$4; //@line 184 "./jsregexp.h"
      var $34=(($7+92)|0); //@line 184 "./jsregexp.h"
      HEAP32[(($34)>>2)]=$33; //@line 184 "./jsregexp.h"
      $1=1; //@line 185 "./jsregexp.h"
      __label__ = 8; break; //@line 185 "./jsregexp.h"
    case 8: 
      var $36=$1; //@line 186 "./jsregexp.h"
      ;
      return $36; //@line 186 "./jsregexp.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13RegExpStatics15updateFromMatchEP9JSContextP14JSLinearStringPij["X"]=1;

function __ZN2JSL12BooleanValueEb275($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2js6RegExp12createResultEP9JSContextP8JSStringPij($cx, $input, $buf, $matchItemCount) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $array;
      var $builder=__stackBase__;
      var $i;
      var $start;
      var $end;
      var $captured;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      $2=$cx;
      $3=$input;
      $4=$buf;
      $5=$matchItemCount;
      var $8=$2; //@line 304 "./jsregexpinlines.h"
      var $9=__ZN2js17NewSlowEmptyArrayEP9JSContext($8); //@line 304 "./jsregexpinlines.h"
      $array=$9; //@line 304 "./jsregexpinlines.h"
      var $10=$array; //@line 305 "./jsregexpinlines.h"
      var $11=(($10)|0)!=0; //@line 305 "./jsregexpinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 305 "./jsregexpinlines.h"
    case 2: 
      $1=0; //@line 306 "./jsregexpinlines.h"
      __label__ = 19; break; //@line 306 "./jsregexpinlines.h"
    case 3: 
      var $14=$2; //@line 308 "./jsregexpinlines.h"
      var $15=$array; //@line 308 "./jsregexpinlines.h"
      __ZN2js18RegExpMatchBuilderC1EP9JSContextP8JSObject($builder, $14, $15); //@line 308 "./jsregexpinlines.h"
      $i=0; //@line 309 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 309 "./jsregexpinlines.h"
    case 4: 
      var $17=$i; //@line 309 "./jsregexpinlines.h"
      var $18=$5; //@line 309 "./jsregexpinlines.h"
      var $19=(($17)>>>0) < (($18)>>>0); //@line 309 "./jsregexpinlines.h"
      if ($19) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 309 "./jsregexpinlines.h"
    case 5: 
      var $21=$i; //@line 310 "./jsregexpinlines.h"
      var $22=$4; //@line 310 "./jsregexpinlines.h"
      var $23=(($22+($21<<2))|0); //@line 310 "./jsregexpinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 310 "./jsregexpinlines.h"
      $start=$24; //@line 310 "./jsregexpinlines.h"
      var $25=$i; //@line 311 "./jsregexpinlines.h"
      var $26=(($25+1)|0); //@line 311 "./jsregexpinlines.h"
      var $27=$4; //@line 311 "./jsregexpinlines.h"
      var $28=(($27+($26<<2))|0); //@line 311 "./jsregexpinlines.h"
      var $29=HEAP32[(($28)>>2)]; //@line 311 "./jsregexpinlines.h"
      $end=$29; //@line 311 "./jsregexpinlines.h"
      var $30=$start; //@line 314 "./jsregexpinlines.h"
      var $31=(($30)|0) >= 0; //@line 314 "./jsregexpinlines.h"
      if ($31) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 314 "./jsregexpinlines.h"
    case 6: 
      var $33=$2; //@line 317 "./jsregexpinlines.h"
      var $34=$3; //@line 317 "./jsregexpinlines.h"
      var $35=$start; //@line 317 "./jsregexpinlines.h"
      var $36=$end; //@line 317 "./jsregexpinlines.h"
      var $37=$start; //@line 317 "./jsregexpinlines.h"
      var $38=(($36-$37)|0); //@line 317 "./jsregexpinlines.h"
      var $39=__Z21js_NewDependentStringP9JSContextP8JSStringjj($33, $34, $35, $38); //@line 317 "./jsregexpinlines.h"
      var $40=$39; //@line 317 "./jsregexpinlines.h"
      $captured=$40; //@line 317 "./jsregexpinlines.h"
      var $41=$captured; //@line 318 "./jsregexpinlines.h"
      var $42=(($41)|0)!=0; //@line 318 "./jsregexpinlines.h"
      if ($42) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 318 "./jsregexpinlines.h"
    case 7: 
      var $44=$i; //@line 318 "./jsregexpinlines.h"
      var $45=Math.floor((($44)>>>0)/2); //@line 318 "./jsregexpinlines.h"
      var $46=$captured; //@line 318 "./jsregexpinlines.h"
      __ZN2JSL11StringValueEP8JSString276($6, $46); //@line 318 "./jsregexpinlines.h"
      var $47=__ZN2js18RegExpMatchBuilder6appendEjN2JS5ValueE($builder, $45, $6); //@line 318 "./jsregexpinlines.h"
      if ($47) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 318 "./jsregexpinlines.h"
    case 8: 
      $1=0; //@line 319 "./jsregexpinlines.h"
      __label__ = 19; break; //@line 319 "./jsregexpinlines.h"
    case 9: 
      __label__ = 13; break; //@line 320 "./jsregexpinlines.h"
    case 10: 
      var $51=$i; //@line 323 "./jsregexpinlines.h"
      var $52=Math.floor((($51)>>>0)/2); //@line 323 "./jsregexpinlines.h"
      __ZN2JSL14UndefinedValueEv245($7); //@line 323 "./jsregexpinlines.h"
      var $53=__ZN2js18RegExpMatchBuilder6appendEjN2JS5ValueE($builder, $52, $7); //@line 323 "./jsregexpinlines.h"
      if ($53) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 323 "./jsregexpinlines.h"
    case 11: 
      $1=0; //@line 324 "./jsregexpinlines.h"
      __label__ = 19; break; //@line 324 "./jsregexpinlines.h"
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break; //@line 326 "./jsregexpinlines.h"
    case 14: 
      var $58=$i; //@line 309 "./jsregexpinlines.h"
      var $59=(($58+2)|0); //@line 309 "./jsregexpinlines.h"
      $i=$59; //@line 309 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 309 "./jsregexpinlines.h"
    case 15: 
      var $61=$4; //@line 328 "./jsregexpinlines.h"
      var $62=(($61)|0); //@line 328 "./jsregexpinlines.h"
      var $63=HEAP32[(($62)>>2)]; //@line 328 "./jsregexpinlines.h"
      var $64=__ZN2js18RegExpMatchBuilder8setIndexEi($builder, $63); //@line 328 "./jsregexpinlines.h"
      if ($64) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 328 "./jsregexpinlines.h"
    case 16: 
      var $66=$3; //@line 328 "./jsregexpinlines.h"
      var $67=__ZN2js18RegExpMatchBuilder8setInputEP8JSString($builder, $66); //@line 328 "./jsregexpinlines.h"
      if ($67) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 328 "./jsregexpinlines.h"
    case 17: 
      $1=0; //@line 329 "./jsregexpinlines.h"
      __label__ = 19; break; //@line 329 "./jsregexpinlines.h"
    case 18: 
      var $70=$array; //@line 331 "./jsregexpinlines.h"
      $1=$70; //@line 331 "./jsregexpinlines.h"
      __label__ = 19; break; //@line 331 "./jsregexpinlines.h"
    case 19: 
      var $72=$1; //@line 332 "./jsregexpinlines.h"
      STACKTOP = __stackBase__;
      return $72; //@line 332 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6RegExp12createResultEP9JSContextP8JSStringPij["X"]=1;

function __ZN2js18AutoArenaAllocatorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js18AutoArenaAllocatorD2Ev($2); //@line 1892 "./jscntxt.h"
  ;
  return; //@line 1892 "./jscntxt.h"
}


function _STRING_TO_JSVAL_IMPL277($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZN2js18RegExpMatchBuilderC2EP9JSContextP8JSObject($this, $cx, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$array;
  var $4=$1;
  var $5=(($4)|0); //@line 238 "./jsregexpinlines.h"
  var $6=$2; //@line 238 "./jsregexpinlines.h"
  HEAP32[(($5)>>2)]=$6; //@line 238 "./jsregexpinlines.h"
  var $7=(($4+4)|0); //@line 238 "./jsregexpinlines.h"
  var $8=$3; //@line 238 "./jsregexpinlines.h"
  HEAP32[(($7)>>2)]=$8; //@line 238 "./jsregexpinlines.h"
  ;
  return; //@line 238 "./jsregexpinlines.h"
}


function _BOOLEAN_TO_JSVAL_IMPL278($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZNK7mozilla14AlignedStorageILj80EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZN2js18AutoArenaAllocatorC2EP11JSArenaPool($this, $pool) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$pool;
      var $3=$1;
      var $4=(($3)|0); //@line 1889 "./jscntxt.h"
      var $5=$2; //@line 1889 "./jscntxt.h"
      HEAP32[(($4)>>2)]=$5; //@line 1889 "./jscntxt.h"
      var $6=(($3+4)|0); //@line 1889 "./jscntxt.h"
      var $7=$2; //@line 1889 "./jscntxt.h"
      var $8=(($7+16)|0); //@line 1889 "./jscntxt.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1889 "./jscntxt.h"
      var $10=(($9+12)|0); //@line 1889 "./jscntxt.h"
      var $11=HEAP32[(($10)>>2)]; //@line 1889 "./jscntxt.h"
      var $12=$11; //@line 1889 "./jscntxt.h"
      HEAP32[(($6)>>2)]=$12; //@line 1889 "./jscntxt.h"
      __label__ = 2; break; //@line 1890 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1890 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1891 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js15AlreadyIncRefedINS_6RegExpEEcvPPPPPS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1955 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1955 "./jscntxt.h"
  var $5=$4; //@line 1955 "./jscntxt.h"
  ;
  return $5; //@line 1955 "./jscntxt.h"
}


function __ZNK2js15AlreadyIncRefedINS_6RegExpEE3getEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1959 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1959 "./jscntxt.h"
  ;
  return $4; //@line 1959 "./jscntxt.h"
}


function __ZNK2js15AlreadyIncRefedINS_6RegExpEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1957 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1957 "./jscntxt.h"
  ;
  return $4; //@line 1957 "./jscntxt.h"
}


function __ZN8JSObject15setLastPropertyEPKN2js5ShapeE($this, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shape;
  var $3=$1;
  var $4=$2; //@line 1088 "./jsobjinlines.h"
  var $5=(($3)|0); //@line 1088 "./jsobjinlines.h"
  HEAP32[(($5)>>2)]=$4; //@line 1088 "./jsobjinlines.h"
  ;
  return; //@line 1089 "./jsobjinlines.h"
}


function __ZN2js18AutoArenaAllocatorD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $_m;
      var $_a;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 1892 "./jscntxt.h"
    case 2: 
      var $4=(($2+4)|0); //@line 1892 "./jscntxt.h"
      var $5=HEAP32[(($4)>>2)]; //@line 1892 "./jscntxt.h"
      $_m=$5; //@line 1892 "./jscntxt.h"
      var $6=(($2)|0); //@line 1892 "./jscntxt.h"
      var $7=HEAP32[(($6)>>2)]; //@line 1892 "./jscntxt.h"
      var $8=(($7+16)|0); //@line 1892 "./jscntxt.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1892 "./jscntxt.h"
      $_a=$9; //@line 1892 "./jscntxt.h"
      var $10=$_a; //@line 1892 "./jscntxt.h"
      var $11=(($2)|0); //@line 1892 "./jscntxt.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1892 "./jscntxt.h"
      var $13=(($12)|0); //@line 1892 "./jscntxt.h"
      var $14=(($10)|0)!=(($13)|0); //@line 1892 "./jscntxt.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1892 "./jscntxt.h"
    case 3: 
      var $16=$_m; //@line 1892 "./jscntxt.h"
      var $17=$16; //@line 1892 "./jscntxt.h"
      var $18=$_a; //@line 1892 "./jscntxt.h"
      var $19=(($18+4)|0); //@line 1892 "./jscntxt.h"
      var $20=HEAP32[(($19)>>2)]; //@line 1892 "./jscntxt.h"
      var $21=(($17-$20)|0); //@line 1892 "./jscntxt.h"
      var $22=$_a; //@line 1892 "./jscntxt.h"
      var $23=(($22+12)|0); //@line 1892 "./jscntxt.h"
      var $24=HEAP32[(($23)>>2)]; //@line 1892 "./jscntxt.h"
      var $25=$_a; //@line 1892 "./jscntxt.h"
      var $26=(($25+4)|0); //@line 1892 "./jscntxt.h"
      var $27=HEAP32[(($26)>>2)]; //@line 1892 "./jscntxt.h"
      var $28=(($24-$27)|0); //@line 1892 "./jscntxt.h"
      var $29=(($21)>>>0) <= (($28)>>>0); //@line 1892 "./jscntxt.h"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1892 "./jscntxt.h"
    case 4: 
      var $31=$_m; //@line 1892 "./jscntxt.h"
      var $32=$31; //@line 1892 "./jscntxt.h"
      var $33=(($2)|0); //@line 1892 "./jscntxt.h"
      var $34=HEAP32[(($33)>>2)]; //@line 1892 "./jscntxt.h"
      var $35=(($34+24)|0); //@line 1892 "./jscntxt.h"
      var $36=HEAP32[(($35)>>2)]; //@line 1892 "./jscntxt.h"
      var $37=(($32+$36)|0); //@line 1892 "./jscntxt.h"
      var $38=(($2)|0); //@line 1892 "./jscntxt.h"
      var $39=HEAP32[(($38)>>2)]; //@line 1892 "./jscntxt.h"
      var $40=(($39+24)|0); //@line 1892 "./jscntxt.h"
      var $41=HEAP32[(($40)>>2)]; //@line 1892 "./jscntxt.h"
      var $42=$41 ^ -1; //@line 1892 "./jscntxt.h"
      var $43=$37 & $42; //@line 1892 "./jscntxt.h"
      var $44=$_a; //@line 1892 "./jscntxt.h"
      var $45=(($44+12)|0); //@line 1892 "./jscntxt.h"
      HEAP32[(($45)>>2)]=$43; //@line 1892 "./jscntxt.h"
      __label__ = 6; break; //@line 1892 "./jscntxt.h"
    case 5: 
      var $47=(($2)|0); //@line 1892 "./jscntxt.h"
      var $48=HEAP32[(($47)>>2)]; //@line 1892 "./jscntxt.h"
      var $49=$_m; //@line 1892 "./jscntxt.h"
      _JS_ArenaRelease($48, $49); //@line 1892 "./jscntxt.h"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 1892 "./jscntxt.h"
    case 7: 
      ;
      return; //@line 1892 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js18AutoArenaAllocatorD2Ev["X"]=1;

function __ZN2js18RegExpMatchBuilderC1EP9JSContextP8JSObject($this, $cx, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$array;
  var $4=$1;
  var $5=$2; //@line 238 "./jsregexpinlines.h"
  var $6=$3; //@line 238 "./jsregexpinlines.h"
  __ZN2js18RegExpMatchBuilderC2EP9JSContextP8JSObject($4, $5, $6); //@line 238 "./jsregexpinlines.h"
  ;
  return; //@line 238 "./jsregexpinlines.h"
}


function __ZN2js18RegExpMatchBuilder6appendEjN2JS5ValueE($this, $index, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  $2=$this;
  $3=$index;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2;
  var $7=(($6)|0); //@line 242 "./jsregexpinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 242 "./jsregexpinlines.h"
  var $9=(($6+4)|0); //@line 242 "./jsregexpinlines.h"
  var $10=HEAP32[(($9)>>2)]; //@line 242 "./jsregexpinlines.h"
  var $11=$3; //@line 242 "./jsregexpinlines.h"
  var $12=__Z16js_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($8, $10, $11, $v, 8, 10, 1); //@line 242 "./jsregexpinlines.h"
  var $13=(($12)|0)!=0; //@line 242 "./jsregexpinlines.h"
  var $14=$13 ^ 1; //@line 242 "./jsregexpinlines.h"
  var $15=$14 ^ 1; //@line 242 "./jsregexpinlines.h"
  STACKTOP = __stackBase__;
  return $15; //@line 242 "./jsregexpinlines.h"
}


function __ZN2JSL11StringValueEP8JSString276($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2js18RegExpMatchBuilder8setIndexEi($this, $index) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$index;
  var $4=$1;
  var $5=(($4)|0); //@line 247 "./jsregexpinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 247 "./jsregexpinlines.h"
  var $7=(($6+52)|0); //@line 247 "./jsregexpinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 247 "./jsregexpinlines.h"
  var $9=(($8+209948)|0); //@line 247 "./jsregexpinlines.h"
  var $10=(($9+284)|0); //@line 247 "./jsregexpinlines.h"
  var $11=HEAP32[(($10)>>2)]; //@line 247 "./jsregexpinlines.h"
  var $12=$11; //@line 247 "./jsregexpinlines.h"
  var $13=$2; //@line 247 "./jsregexpinlines.h"
  __ZN2JSL10Int32ValueEi251($3, $13); //@line 247 "./jsregexpinlines.h"
  var $14=__ZN2js18RegExpMatchBuilder11setPropertyEP6JSAtomN2JS5ValueE($4, $12, $3); //@line 247 "./jsregexpinlines.h"
  STACKTOP = __stackBase__;
  return $14; //@line 247 "./jsregexpinlines.h"
}


function __ZN2js18RegExpMatchBuilder8setInputEP8JSString($this, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$str;
  var $4=$1;
  var $5=(($4)|0); //@line 252 "./jsregexpinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 252 "./jsregexpinlines.h"
  var $7=(($6+52)|0); //@line 252 "./jsregexpinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 252 "./jsregexpinlines.h"
  var $9=(($8+209948)|0); //@line 252 "./jsregexpinlines.h"
  var $10=(($9+288)|0); //@line 252 "./jsregexpinlines.h"
  var $11=HEAP32[(($10)>>2)]; //@line 252 "./jsregexpinlines.h"
  var $12=$11; //@line 252 "./jsregexpinlines.h"
  var $13=$2; //@line 252 "./jsregexpinlines.h"
  __ZN2JSL11StringValueEP8JSString276($3, $13); //@line 252 "./jsregexpinlines.h"
  var $14=__ZN2js18RegExpMatchBuilder11setPropertyEP6JSAtomN2JS5ValueE($4, $12, $3); //@line 252 "./jsregexpinlines.h"
  STACKTOP = __stackBase__;
  return $14; //@line 252 "./jsregexpinlines.h"
}


function __ZN2js18RegExpMatchBuilder11setPropertyEP6JSAtomN2JS5ValueE($this, $name, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  $2=$this;
  $3=$name;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2;
  var $7=(($6)|0); //@line 233 "./jsregexpinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 233 "./jsregexpinlines.h"
  var $9=(($6+4)|0); //@line 233 "./jsregexpinlines.h"
  var $10=HEAP32[(($9)>>2)]; //@line 233 "./jsregexpinlines.h"
  var $11=$3; //@line 233 "./jsregexpinlines.h"
  var $12=__ZL12ATOM_TO_JSIDP6JSAtom244($11); //@line 233 "./jsregexpinlines.h"
  var $13=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($8, $10, $12, $v, 8, 10, 1); //@line 233 "./jsregexpinlines.h"
  var $14=(($13)|0)!=0; //@line 233 "./jsregexpinlines.h"
  var $15=$14 ^ 1; //@line 233 "./jsregexpinlines.h"
  var $16=$15 ^ 1; //@line 233 "./jsregexpinlines.h"
  STACKTOP = __stackBase__;
  return $16; //@line 233 "./jsregexpinlines.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE19resizeUninitializedEj($this, $newLength) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $curLength;
      $2=$this;
      $3=$newLength;
      var $4=$2;
      var $5=(($4+4)|0); //@line 719 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 719 "./jsvector.h"
      $curLength=$6; //@line 719 "./jsvector.h"
      var $7=$3; //@line 720 "./jsvector.h"
      var $8=$curLength; //@line 720 "./jsvector.h"
      var $9=(($7)>>>0) > (($8)>>>0); //@line 720 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 720 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 721 "./jsvector.h"
      var $12=$curLength; //@line 721 "./jsvector.h"
      var $13=(($11-$12)|0); //@line 721 "./jsvector.h"
      var $14=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE19growByUninitializedEj($4, $13); //@line 721 "./jsvector.h"
      $1=$14; //@line 721 "./jsvector.h"
      __label__ = 4; break; //@line 721 "./jsvector.h"
    case 3: 
      var $16=$curLength; //@line 722 "./jsvector.h"
      var $17=$3; //@line 722 "./jsvector.h"
      var $18=(($16-$17)|0); //@line 722 "./jsvector.h"
      __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE8shrinkByEj($4, $18); //@line 722 "./jsvector.h"
      $1=1; //@line 723 "./jsvector.h"
      __label__ = 4; break; //@line 723 "./jsvector.h"
    case 4: 
      var $20=$1; //@line 724 "./jsvector.h"
      ;
      return $20; //@line 724 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE19growByUninitializedEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 700 "./jsvector.h"
  var $5=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10growByImplILb0EEEbj($3, $4); //@line 700 "./jsvector.h"
  ;
  return $5; //@line 700 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE8shrinkByEj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  $1=$this;
  $2=$incr;
  var $3=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_($g, $3); //@line 662 "./jsvector.h"
  var $4=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  var $5=$2; //@line 664 "./jsvector.h"
  var $6=(((-$5))|0); //@line 664 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 664 "./jsvector.h"
  var $8=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE7destroyEPiS3_($7, $8); //@line 664 "./jsvector.h"
  var $9=$2; //@line 665 "./jsvector.h"
  var $10=(($3+4)|0); //@line 665 "./jsvector.h"
  var $11=HEAP32[(($10)>>2)]; //@line 665 "./jsvector.h"
  var $12=(($11-$9)|0); //@line 665 "./jsvector.h"
  HEAP32[(($10)>>2)]=$12; //@line 665 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 666 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 666 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10growByImplILb0EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+8)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+4)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<2))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=$3; //@line 681 "./jsvector.h"
      var $22=(($5+4)|0); //@line 681 "./jsvector.h"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "./jsvector.h"
      var $24=(($23+$21)|0); //@line 681 "./jsvector.h"
      HEAP32[(($22)>>2)]=$24; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $26=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $26; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+12)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj80EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+4)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js17SystemAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE13moveConstructIiEEvPiPKT_S7_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE7destroyEPiS3_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+8)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIiLj20ES1_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIiLj20ES1_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+8)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js17SystemAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+8)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE13moveConstructIiEEvPiPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE13copyConstructIiEEvPiPKT_S7_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE($agg_result, $cx, $source, $flags, $ts) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $flatSource;
      var $self;
      $1=$cx;
      $2=$source;
      $3=$flags;
      $4=$ts;
      var $5=$2; //@line 433 "./jsregexpinlines.h"
      var $6=$1; //@line 433 "./jsregexpinlines.h"
      var $7=__ZN8JSString12ensureLinearEP9JSContext($5, $6); //@line 433 "./jsregexpinlines.h"
      $flatSource=$7; //@line 433 "./jsregexpinlines.h"
      var $8=$flatSource; //@line 434 "./jsregexpinlines.h"
      var $9=(($8)|0)!=0; //@line 434 "./jsregexpinlines.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 434 "./jsregexpinlines.h"
    case 2: 
      __ZN2js15AlreadyIncRefedINS_6RegExpEEC1EPS1_($agg_result, 0); //@line 435 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 435 "./jsregexpinlines.h"
    case 3: 
      var $12=$1; //@line 436 "./jsregexpinlines.h"
      var $13=$flatSource; //@line 436 "./jsregexpinlines.h"
      var $14=$3; //@line 436 "./jsregexpinlines.h"
      var $15=$1; //@line 436 "./jsregexpinlines.h"
      var $16=(($15+56)|0); //@line 436 "./jsregexpinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 436 "./jsregexpinlines.h"
      var $18=__ZN9JSContext4new_IN2js6RegExpEP14JSLinearStringjP13JSCompartmentEEPT_T0_T1_T2_($12, $13, $14, $17); //@line 436 "./jsregexpinlines.h"
      $self=$18; //@line 436 "./jsregexpinlines.h"
      var $19=$self; //@line 437 "./jsregexpinlines.h"
      var $20=(($19)|0)!=0; //@line 437 "./jsregexpinlines.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 437 "./jsregexpinlines.h"
    case 4: 
      __ZN2js15AlreadyIncRefedINS_6RegExpEEC1EPS1_($agg_result, 0); //@line 438 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 438 "./jsregexpinlines.h"
    case 5: 
      var $23=$self; //@line 439 "./jsregexpinlines.h"
      var $24=$1; //@line 439 "./jsregexpinlines.h"
      var $25=$4; //@line 439 "./jsregexpinlines.h"
      var $26=__ZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamE($23, $24, $25); //@line 439 "./jsregexpinlines.h"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 439 "./jsregexpinlines.h"
    case 6: 
      var $28=$self; //@line 440 "./jsregexpinlines.h"
      __ZN2js10Foreground7delete_INS_6RegExpEEEvPT_($28); //@line 440 "./jsregexpinlines.h"
      __ZN2js15AlreadyIncRefedINS_6RegExpEEC1EPS1_($agg_result, 0); //@line 441 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 441 "./jsregexpinlines.h"
    case 7: 
      var $30=$self; //@line 443 "./jsregexpinlines.h"
      __ZN2js15AlreadyIncRefedINS_6RegExpEEC1EPS1_($agg_result, $30); //@line 443 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 443 "./jsregexpinlines.h"
    case 8: 
      ;
      return; //@line 444 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE279($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb264($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE280($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN8JSObject10initRegExpEP9JSContextPN2js6RegExpE($this, $cx, $re) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $shapep;
      $2=$this;
      $3=$cx;
      $4=$re;
      var $5=$2;
      var $6=__ZNK8JSObject11nativeEmptyEv($5); //@line 774 "./jsregexpinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 774 "./jsregexpinlines.h"
    case 2: 
      var $8=$3; //@line 775 "./jsregexpinlines.h"
      var $9=(($8+56)|0); //@line 775 "./jsregexpinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 775 "./jsregexpinlines.h"
      var $11=(($10+796)|0); //@line 775 "./jsregexpinlines.h"
      $shapep=$11; //@line 775 "./jsregexpinlines.h"
      var $12=$shapep; //@line 776 "./jsregexpinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 776 "./jsregexpinlines.h"
      var $14=(($13)|0)!=0; //@line 776 "./jsregexpinlines.h"
      if ($14) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 776 "./jsregexpinlines.h"
    case 3: 
      var $16=$3; //@line 777 "./jsregexpinlines.h"
      var $17=__ZN8JSObject24assignInitialRegExpShapeEP9JSContext($5, $16); //@line 777 "./jsregexpinlines.h"
      var $18=$shapep; //@line 777 "./jsregexpinlines.h"
      HEAP32[(($18)>>2)]=$17; //@line 777 "./jsregexpinlines.h"
      var $19=$shapep; //@line 778 "./jsregexpinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 778 "./jsregexpinlines.h"
      var $21=(($20)|0)!=0; //@line 778 "./jsregexpinlines.h"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 778 "./jsregexpinlines.h"
    case 4: 
      $1=0; //@line 779 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 779 "./jsregexpinlines.h"
    case 5: 
      __label__ = 6; break; //@line 780 "./jsregexpinlines.h"
    case 6: 
      var $25=$shapep; //@line 781 "./jsregexpinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 781 "./jsregexpinlines.h"
      __ZN8JSObject15setLastPropertyEPKN2js5ShapeE($5, $26); //@line 781 "./jsregexpinlines.h"
      __label__ = 7; break; //@line 783 "./jsregexpinlines.h"
    case 7: 
      var $28=$4; //@line 798 "./jsregexpinlines.h"
      var $29=$28; //@line 798 "./jsregexpinlines.h"
      __ZN8JSObject10setPrivateEPv($5, $29); //@line 798 "./jsregexpinlines.h"
      __ZN8JSObject19zeroRegExpLastIndexEv($5); //@line 799 "./jsregexpinlines.h"
      var $30=$4; //@line 800 "./jsregexpinlines.h"
      var $31=__ZNK2js6RegExp9getSourceEv($30); //@line 800 "./jsregexpinlines.h"
      var $32=$31; //@line 800 "./jsregexpinlines.h"
      __ZN8JSObject15setRegExpSourceEP8JSString($5, $32); //@line 800 "./jsregexpinlines.h"
      var $33=$4; //@line 801 "./jsregexpinlines.h"
      var $34=__ZNK2js6RegExp6globalEv($33); //@line 801 "./jsregexpinlines.h"
      __ZN8JSObject15setRegExpGlobalEb($5, $34); //@line 801 "./jsregexpinlines.h"
      var $35=$4; //@line 802 "./jsregexpinlines.h"
      var $36=__ZNK2js6RegExp10ignoreCaseEv($35); //@line 802 "./jsregexpinlines.h"
      __ZN8JSObject19setRegExpIgnoreCaseEb($5, $36); //@line 802 "./jsregexpinlines.h"
      var $37=$4; //@line 803 "./jsregexpinlines.h"
      var $38=__ZNK2js6RegExp9multilineEv($37); //@line 803 "./jsregexpinlines.h"
      __ZN8JSObject18setRegExpMultilineEb($5, $38); //@line 803 "./jsregexpinlines.h"
      var $39=$4; //@line 804 "./jsregexpinlines.h"
      var $40=__ZNK2js6RegExp6stickyEv($39); //@line 804 "./jsregexpinlines.h"
      __ZN8JSObject15setRegExpStickyEb($5, $40); //@line 804 "./jsregexpinlines.h"
      $1=1; //@line 805 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 805 "./jsregexpinlines.h"
    case 8: 
      var $42=$1; //@line 806 "./jsregexpinlines.h"
      ;
      return $42; //@line 806 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject10initRegExpEP9JSContextPN2js6RegExpE["X"]=1;

function __ZN2js6RegExp6decrefEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+8)|0); //@line 601 "./jsregexpinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 601 "./jsregexpinlines.h"
      var $6=(($5-1)|0); //@line 601 "./jsregexpinlines.h"
      HEAP32[(($4)>>2)]=$6; //@line 601 "./jsregexpinlines.h"
      var $7=(($6)|0)==0; //@line 601 "./jsregexpinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 601 "./jsregexpinlines.h"
    case 2: 
      var $9=$2; //@line 602 "./jsregexpinlines.h"
      __ZN9JSContext7delete_IN2js6RegExpEEEvPT_($9, $3); //@line 602 "./jsregexpinlines.h"
      __label__ = 3; break; //@line 602 "./jsregexpinlines.h"
    case 3: 
      ;
      return; //@line 603 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext7delete_IN2js6RegExpEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js6RegExpD1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6RegExpD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6RegExpD2Ev($2); //@line 134 "./jsregexpinlines.h"
  ;
  return; //@line 143 "./jsregexpinlines.h"
}


function __ZN2js6RegExpD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 140 "./jsregexpinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 140 "./jsregexpinlines.h"
      var $5=(($4)|0)!=0; //@line 140 "./jsregexpinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "./jsregexpinlines.h"
    case 2: 
      var $7=(($2)|0); //@line 141 "./jsregexpinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 141 "./jsregexpinlines.h"
      __Z12jsRegExpFreeP8JSRegExp($8); //@line 141 "./jsregexpinlines.h"
      __label__ = 3; break; //@line 141 "./jsregexpinlines.h"
    case 3: 
      ;
      return; //@line 143 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject19zeroRegExpLastIndexEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  __ZN2JSL10Int32ValueEi251($2, 0); //@line 354 "./jsregexp.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($3, 0, $2); //@line 354 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 355 "./jsregexp.h"
}


function __ZN8JSObject15setRegExpSourceEP8JSString($this, $source) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$source;
  var $4=$1;
  var $5=$2; //@line 360 "./jsregexp.h"
  __ZN2JSL11StringValueEP8JSString276($3, $5); //@line 360 "./jsregexp.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($4, 1, $3); //@line 360 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 361 "./jsregexp.h"
}


function __ZNK2js6RegExp6globalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 217 "./jsregexpinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 217 "./jsregexpinlines.h"
  var $5=$4 & 2; //@line 217 "./jsregexpinlines.h"
  var $6=(($5)|0)!=0; //@line 217 "./jsregexpinlines.h"
  ;
  return $6; //@line 217 "./jsregexpinlines.h"
}


function __ZNK2js6RegExp10ignoreCaseEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 216 "./jsregexpinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 216 "./jsregexpinlines.h"
  var $5=$4 & 1; //@line 216 "./jsregexpinlines.h"
  var $6=(($5)|0)!=0; //@line 216 "./jsregexpinlines.h"
  ;
  return $6; //@line 216 "./jsregexpinlines.h"
}


function __ZNK2js6RegExp9multilineEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 218 "./jsregexpinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 218 "./jsregexpinlines.h"
  var $5=$4 & 4; //@line 218 "./jsregexpinlines.h"
  var $6=(($5)|0)!=0; //@line 218 "./jsregexpinlines.h"
  ;
  return $6; //@line 218 "./jsregexpinlines.h"
}


function __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP16[(($10)>>1)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP16[(($12)>>1)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+2)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+2)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<1))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN8JSObject15setRegExpGlobalEb($this, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  var $4=(($global)&1);
  $2=$4;
  var $5=$1;
  var $6=$2; //@line 366 "./jsregexp.h"
  var $7=(($6) & 1); //@line 366 "./jsregexp.h"
  __ZN2JSL12BooleanValueEb275($3, $7); //@line 366 "./jsregexp.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 2, $3); //@line 366 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 367 "./jsregexp.h"
}


function __ZN8JSObject19setRegExpIgnoreCaseEb($this, $ignoreCase) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  var $4=(($ignoreCase)&1);
  $2=$4;
  var $5=$1;
  var $6=$2; //@line 372 "./jsregexp.h"
  var $7=(($6) & 1); //@line 372 "./jsregexp.h"
  __ZN2JSL12BooleanValueEb275($3, $7); //@line 372 "./jsregexp.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 3, $3); //@line 372 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 373 "./jsregexp.h"
}


function __ZN8JSObject18setRegExpMultilineEb($this, $multiline) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  var $4=(($multiline)&1);
  $2=$4;
  var $5=$1;
  var $6=$2; //@line 378 "./jsregexp.h"
  var $7=(($6) & 1); //@line 378 "./jsregexp.h"
  __ZN2JSL12BooleanValueEb275($3, $7); //@line 378 "./jsregexp.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 4, $3); //@line 378 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 379 "./jsregexp.h"
}


function __ZN8JSObject15setRegExpStickyEb($this, $sticky) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  var $4=(($sticky)&1);
  $2=$4;
  var $5=$1;
  var $6=$2; //@line 384 "./jsregexp.h"
  var $7=(($6) & 1); //@line 384 "./jsregexp.h"
  __ZN2JSL12BooleanValueEb275($3, $7); //@line 384 "./jsregexp.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 5, $3); //@line 384 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 385 "./jsregexp.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE280($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE281($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE280["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE281($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE265($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE266($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE281["X"]=1;

function __ZN2js15AlreadyIncRefedINS_6RegExpEEC1EPS1_($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=$2; //@line 1952 "./jscntxt.h"
  __ZN2js15AlreadyIncRefedINS_6RegExpEEC2EPS1_($3, $4); //@line 1952 "./jscntxt.h"
  ;
  return; //@line 1952 "./jscntxt.h"
}


function __ZN9JSContext4new_IN2js6RegExpEP14JSLinearStringjP13JSCompartmentEEPT_T0_T1_T2_($this, $p1, $p2, $p3) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $memory;
      $1=$this;
      $2=$p1;
      $3=$p2;
      $4=$p3;
      var $5=$1;
      var $6=__ZN9JSContext7malloc_Ej($5, 20); //@line 1291 "./jscntxt.h"
      $memory=$6; //@line 1291 "./jscntxt.h"
      var $7=$memory; //@line 1291 "./jscntxt.h"
      var $8=(($7)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $10=$memory; //@line 1291 "./jscntxt.h"
      var $11=(($10)|0)==0; //@line 1291 "./jscntxt.h"
      if ($11) { var $18 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $13=$10; //@line 1291 "./jscntxt.h"
      var $14=$2; //@line 1291 "./jscntxt.h"
      var $15=$3; //@line 1291 "./jscntxt.h"
      var $16=$4; //@line 1291 "./jscntxt.h"
      __ZN2js6RegExpC1EP14JSLinearStringjP13JSCompartment($13, $14, $15, $16); //@line 1291 "./jscntxt.h"
      var $18 = $13;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $18; //@line 1291 "./jscntxt.h"
      var $21 = $18;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $21 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $21; //@line 1291 "./jscntxt.h"
      ;
      return $21; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamE($this, $cx, $ts) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $sb=__stackBase__;
      var $5;
      var $fakeySource;
      $2=$this;
      $3=$cx;
      $4=$ts;
      var $6=$2;
      var $7=(($6+4)|0); //@line 536 "./jsregexpinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 536 "./jsregexpinlines.h"
      var $9=$8; //@line 536 "./jsregexpinlines.h"
      var $10=$3; //@line 536 "./jsregexpinlines.h"
      var $11=__ZN8JSString12ensureLinearEP9JSContext($9, $10); //@line 536 "./jsregexpinlines.h"
      var $12=(($11)|0)!=0; //@line 536 "./jsregexpinlines.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 536 "./jsregexpinlines.h"
    case 2: 
      $1=0; //@line 537 "./jsregexpinlines.h"
      __label__ = 11; break; //@line 537 "./jsregexpinlines.h"
    case 3: 
      var $15=__ZNK2js6RegExp6stickyEv($6); //@line 539 "./jsregexpinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 539 "./jsregexpinlines.h"
    case 4: 
      var $17=$3; //@line 540 "./jsregexpinlines.h"
      var $18=(($6+4)|0); //@line 540 "./jsregexpinlines.h"
      var $19=HEAP32[(($18)>>2)]; //@line 540 "./jsregexpinlines.h"
      var $20=$4; //@line 540 "./jsregexpinlines.h"
      var $21=__ZN2js6RegExp13compileHelperEP9JSContextR14JSLinearStringPNS_11TokenStreamE($6, $17, $19, $20); //@line 540 "./jsregexpinlines.h"
      $1=$21; //@line 540 "./jsregexpinlines.h"
      __label__ = 11; break; //@line 540 "./jsregexpinlines.h"
    case 5: 
      var $23=$3; //@line 549 "./jsregexpinlines.h"
      __ZN2js12StringBufferC1EP9JSContext($sb, $23); //@line 549 "./jsregexpinlines.h"
      var $24=(($6+4)|0); //@line 550 "./jsregexpinlines.h"
      var $25=HEAP32[(($24)>>2)]; //@line 550 "./jsregexpinlines.h"
      var $26=$25; //@line 550 "./jsregexpinlines.h"
      var $27=__ZNK8JSString6lengthEv($26); //@line 550 "./jsregexpinlines.h"
      var $28=(($27+4)|0); //@line 550 "./jsregexpinlines.h"
      var $29=(($28+1)|0); //@line 550 "./jsregexpinlines.h"
      var $30=__ZN2js12StringBuffer7reserveEj($sb, $29); //@line 550 "./jsregexpinlines.h"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 550 "./jsregexpinlines.h"
    case 6: 
      $1=0; //@line 551 "./jsregexpinlines.h"
      $5=1;
      __label__ = 10; break; //@line 551 "./jsregexpinlines.h"
    case 7: 
      __ZN2js12StringBuffer16infallibleAppendEPKtj($sb, ((__ZZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamEE6prefix)|0), 4); //@line 552 "./jsregexpinlines.h"
      var $33=(($6+4)|0); //@line 553 "./jsregexpinlines.h"
      var $34=HEAP32[(($33)>>2)]; //@line 553 "./jsregexpinlines.h"
      var $35=__ZNK14JSLinearString5charsEv($34); //@line 553 "./jsregexpinlines.h"
      var $36=(($6+4)|0); //@line 553 "./jsregexpinlines.h"
      var $37=HEAP32[(($36)>>2)]; //@line 553 "./jsregexpinlines.h"
      var $38=$37; //@line 553 "./jsregexpinlines.h"
      var $39=__ZNK8JSString6lengthEv($38); //@line 553 "./jsregexpinlines.h"
      __ZN2js12StringBuffer16infallibleAppendEPKtj($sb, $35, $39); //@line 553 "./jsregexpinlines.h"
      __ZN2js12StringBuffer16infallibleAppendEPKtj($sb, ((__ZZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamEE7postfix)|0), 1); //@line 554 "./jsregexpinlines.h"
      var $40=__ZN2js12StringBuffer12finishStringEv($sb); //@line 556 "./jsregexpinlines.h"
      var $41=$40; //@line 556 "./jsregexpinlines.h"
      $fakeySource=$41; //@line 556 "./jsregexpinlines.h"
      var $42=$fakeySource; //@line 557 "./jsregexpinlines.h"
      var $43=(($42)|0)!=0; //@line 557 "./jsregexpinlines.h"
      if ($43) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 557 "./jsregexpinlines.h"
    case 8: 
      $1=0; //@line 558 "./jsregexpinlines.h"
      $5=1;
      __label__ = 10; break; //@line 558 "./jsregexpinlines.h"
    case 9: 
      var $46=$3; //@line 559 "./jsregexpinlines.h"
      var $47=$fakeySource; //@line 559 "./jsregexpinlines.h"
      var $48=$4; //@line 559 "./jsregexpinlines.h"
      var $49=__ZN2js6RegExp13compileHelperEP9JSContextR14JSLinearStringPNS_11TokenStreamE($6, $46, $47, $48); //@line 559 "./jsregexpinlines.h"
      $1=$49; //@line 559 "./jsregexpinlines.h"
      $5=1;
      __label__ = 10; break; //@line 559 "./jsregexpinlines.h"
    case 10: 
      __ZN2js12StringBufferD1Ev($sb); //@line 560 "./jsregexpinlines.h"
      __label__ = 11; break;
    case 11: 
      var $52=$1; //@line 560 "./jsregexpinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 560 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamE["X"]=1;

function __ZN2js10Foreground7delete_INS_6RegExpEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      __ZN2js6RegExpD1Ev($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free272($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6RegExp13compileHelperEP9JSContextR14JSLinearStringPNS_11TokenStreamE($this, $cx, $pattern, $ts) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $error=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$pattern;
      $5=$ts;
      var $6=$2;
      HEAP32[(($error)>>2)]=0; //@line 519 "./jsregexpinlines.h"
      var $7=$4; //@line 520 "./jsregexpinlines.h"
      var $8=__ZNK14JSLinearString5charsEv($7); //@line 520 "./jsregexpinlines.h"
      var $9=$4; //@line 520 "./jsregexpinlines.h"
      var $10=$9; //@line 520 "./jsregexpinlines.h"
      var $11=__ZNK8JSString6lengthEv($10); //@line 520 "./jsregexpinlines.h"
      var $12=__ZNK2js6RegExp10ignoreCaseEv($6); //@line 521 "./jsregexpinlines.h"
      var $13=$12 ? 1 : 0; //@line 521 "./jsregexpinlines.h"
      var $14=__ZNK2js6RegExp9multilineEv($6); //@line 522 "./jsregexpinlines.h"
      var $15=$14 ? 1 : 0; //@line 522 "./jsregexpinlines.h"
      var $16=(($6+12)|0); //@line 522 "./jsregexpinlines.h"
      var $17=__Z15jsRegExpCompilePKti24JSRegExpIgnoreCaseOption23JSRegExpMultilineOptionPjPi($8, $11, $13, $15, $16, $error); //@line 522 "./jsregexpinlines.h"
      var $18=(($6)|0); //@line 522 "./jsregexpinlines.h"
      HEAP32[(($18)>>2)]=$17; //@line 522 "./jsregexpinlines.h"
      var $19=HEAP32[(($error)>>2)]; //@line 524 "./jsregexpinlines.h"
      var $20=(($19)|0)!=0; //@line 524 "./jsregexpinlines.h"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 524 "./jsregexpinlines.h"
    case 2: 
      var $22=$3; //@line 525 "./jsregexpinlines.h"
      var $23=HEAP32[(($error)>>2)]; //@line 525 "./jsregexpinlines.h"
      __ZN2js6RegExp15reportPCREErrorEP9JSContexti($6, $22, $23); //@line 525 "./jsregexpinlines.h"
      $1=0; //@line 526 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 526 "./jsregexpinlines.h"
    case 3: 
      $1=1; //@line 528 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 528 "./jsregexpinlines.h"
    case 4: 
      var $26=$1; //@line 530 "./jsregexpinlines.h"
      STACKTOP = __stackBase__;
      return $26; //@line 530 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer7reserveEj($this, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$len;
      var $4=$2;
      var $5=$3; //@line 153 "./jsstrinlines.h"
      var $6=__ZN2js12StringBuffer11checkLengthEj($4, $5); //@line 153 "./jsstrinlines.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 153 "./jsstrinlines.h"
    case 2: 
      $1=0; //@line 154 "./jsstrinlines.h"
      __label__ = 4; break; //@line 154 "./jsstrinlines.h"
    case 3: 
      var $9=(($4)|0); //@line 155 "./jsstrinlines.h"
      var $10=$3; //@line 155 "./jsstrinlines.h"
      var $11=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE7reserveEj($9, $10); //@line 155 "./jsstrinlines.h"
      $1=$11; //@line 155 "./jsstrinlines.h"
      __label__ = 4; break; //@line 155 "./jsstrinlines.h"
    case 4: 
      var $13=$1; //@line 156 "./jsstrinlines.h"
      ;
      return $13; //@line 156 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer16infallibleAppendEPKtj($this, $chars, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$chars;
  $3=$len;
  var $4=$1;
  var $5=(($4)|0); //@line 109 "./jsstrinlines.h"
  var $6=$2; //@line 109 "./jsstrinlines.h"
  var $7=$3; //@line 109 "./jsstrinlines.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendItEEvPKT_j($5, $6, $7); //@line 109 "./jsstrinlines.h"
  ;
  return; //@line 110 "./jsstrinlines.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendItEEvPKT_j($this, $begin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$length;
  var $4=$1;
  var $5=$2; //@line 435 "./jsvector.h"
  var $6=$3; //@line 435 "./jsvector.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvPKT_j($4, $5, $6); //@line 435 "./jsvector.h"
  ;
  return; //@line 436 "./jsvector.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvPKT_j($this, $insBegin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$insBegin;
  $3=$length;
  var $4=$1;
  var $5=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($4); //@line 864 "./jsvector.h"
  var $6=$2; //@line 864 "./jsvector.h"
  var $7=$2; //@line 864 "./jsvector.h"
  var $8=$3; //@line 864 "./jsvector.h"
  var $9=(($7+($8<<1))|0); //@line 864 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($5, $6, $9); //@line 864 "./jsvector.h"
  var $10=$3; //@line 865 "./jsvector.h"
  var $11=(($4+8)|0); //@line 865 "./jsvector.h"
  var $12=HEAP32[(($11)>>2)]; //@line 865 "./jsvector.h"
  var $13=(($12+$10)|0); //@line 865 "./jsvector.h"
  HEAP32[(($11)>>2)]=$13; //@line 865 "./jsvector.h"
  ;
  return; //@line 866 "./jsvector.h"
}


function __ZN2js12StringBuffer11checkLengthEj($this, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$length;
  var $3=$1;
  var $4=__ZNK2js12StringBuffer7contextEv($3); //@line 245 "./jsstrinlines.h"
  var $5=$2; //@line 245 "./jsstrinlines.h"
  var $6=__ZN2jsL17CheckStringLengthEP9JSContextj($4, $5); //@line 245 "./jsstrinlines.h"
  ;
  return $6; //@line 245 "./jsstrinlines.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE7reserveEj($this, $request) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$request;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $5); //@line 645 "./jsvector.h"
      var $6=$3; //@line 646 "./jsvector.h"
      var $7=(($5+12)|0); //@line 646 "./jsvector.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 646 "./jsvector.h"
      var $9=(($6)>>>0) > (($8)>>>0); //@line 646 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 646 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 646 "./jsvector.h"
      var $12=(($5+8)|0); //@line 646 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 646 "./jsvector.h"
      var $14=(($11-$13)|0); //@line 646 "./jsvector.h"
      var $15=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj($5, $14); //@line 646 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 646 "./jsvector.h"
    case 3: 
      $1=0; //@line 647 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 647 "./jsvector.h"
    case 4: 
      $1=1; //@line 655 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 655 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 656 "./jsvector.h"
      var $19=$1; //@line 656 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $19; //@line 656 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj64EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<1))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js18ContextAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE7destroyEPtS3_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE6growToERNS_6VectorItLj32ES1_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -1073741824; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js18ContextAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -1073741824; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js18ContextAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE6growToERNS_6VectorItLj32ES1_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<1))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<1))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js18ContextAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18ContextAllocPolicy8realloc_EPvjj($this, $p, $oldBytes, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$oldBytes;
  $4=$bytes;
  var $5=$1;
  var $6=(($5)|0); //@line 2562 "./jscntxt.h"
  var $7=HEAP32[(($6)>>2)]; //@line 2562 "./jscntxt.h"
  var $8=$2; //@line 2562 "./jscntxt.h"
  var $9=$3; //@line 2562 "./jscntxt.h"
  var $10=$4; //@line 2562 "./jscntxt.h"
  var $11=__ZN9JSContext8realloc_EPvjj($7, $8, $9, $10); //@line 2562 "./jscntxt.h"
  ;
  return $11; //@line 2562 "./jscntxt.h"
}


function __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE7destroyEPtS3_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZL11JS_ON_TRACEPK9JSContext282($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2js13RegExpStatics15checkInvariantsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 128 "./jsregexp.h"
}


function __ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE11allocPolicyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 324 "./jsvector.h"
  ;
  return $3; //@line 324 "./jsvector.h"
}


function __ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZNK2js18ContextAllocPolicy7contextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2560 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2560 "./jscntxt.h"
  ;
  return $4; //@line 2560 "./jscntxt.h"
}


function __ZN2js6RegExpC2EP14JSLinearStringjP13JSCompartment($this, $source, $flags, $compartment) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$source;
  $3=$flags;
  $4=$compartment;
  var $5=$1;
  var $6=(($5)|0); //@line 130 "./jsregexpinlines.h"
  HEAP32[(($6)>>2)]=0; //@line 130 "./jsregexpinlines.h"
  var $7=(($5+4)|0); //@line 130 "./jsregexpinlines.h"
  var $8=$2; //@line 130 "./jsregexpinlines.h"
  HEAP32[(($7)>>2)]=$8; //@line 130 "./jsregexpinlines.h"
  var $9=(($5+8)|0); //@line 130 "./jsregexpinlines.h"
  HEAP32[(($9)>>2)]=1; //@line 130 "./jsregexpinlines.h"
  var $10=(($5+12)|0); //@line 130 "./jsregexpinlines.h"
  HEAP32[(($10)>>2)]=0; //@line 130 "./jsregexpinlines.h"
  var $11=(($5+16)|0); //@line 130 "./jsregexpinlines.h"
  var $12=$3; //@line 130 "./jsregexpinlines.h"
  HEAP32[(($11)>>2)]=$12; //@line 130 "./jsregexpinlines.h"
  ;
  return; //@line 130 "./jsregexpinlines.h"
}


function __ZN2js15AlreadyIncRefedINS_6RegExpEEC2EPS1_($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=(($3)|0); //@line 1952 "./jscntxt.h"
  var $5=$2; //@line 1952 "./jscntxt.h"
  HEAP32[(($4)>>2)]=$5; //@line 1952 "./jscntxt.h"
  ;
  return; //@line 1952 "./jscntxt.h"
}


function __ZNK2js13RegExpStatics8getFlagsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+100)|0); //@line 241 "./jsregexp.h"
  var $4=HEAP32[(($3)>>2)]; //@line 241 "./jsregexp.h"
  ;
  return $4; //@line 241 "./jsregexp.h"
}


function __ZN27JSAutoStructuredCloneBufferC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 4395 "./jsapi.h"
  HEAP32[(($3)>>2)]=0; //@line 4395 "./jsapi.h"
  var $4=(($2+4)|0); //@line 4395 "./jsapi.h"
  HEAP32[(($4)>>2)]=0; //@line 4395 "./jsapi.h"
  var $5=(($2+8)|0); //@line 4395 "./jsapi.h"
  HEAP32[(($5)>>2)]=1; //@line 4395 "./jsapi.h"
  ;
  return; //@line 4395 "./jsapi.h"
}


function __ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function __ZN2js18ContextAllocPolicyC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 2559 "./jscntxt.h"
  var $5=$2; //@line 2559 "./jscntxt.h"
  HEAP32[(($4)>>2)]=$5; //@line 2559 "./jscntxt.h"
  ;
  return; //@line 2559 "./jscntxt.h"
}


function __ZNK2js15InvokeArgsGuard6pushedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1758 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1758 "./vm/Stack.h"
  var $5=(($4)|0)!=0; //@line 1758 "./vm/Stack.h"
  var $6=$5 ^ 1; //@line 1758 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1758 "./vm/Stack.h"
  ;
  return $7; //@line 1758 "./vm/Stack.h"
}


function _JSVAL_IS_OBJECT_IMPL283($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZN2js12CallArgsList9setActiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 288 "./vm/Stack.h"
  HEAP8[($3)]=1; //@line 288 "./vm/Stack.h"
  ;
  return; //@line 288 "./vm/Stack.h"
}


function __ZN2js12CallArgsList11setInactiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 289 "./vm/Stack.h"
  HEAP8[($3)]=0; //@line 289 "./vm/Stack.h"
  ;
  return; //@line 289 "./vm/Stack.h"
}


function _OBJECT_TO_JSVAL_IMPL284($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN2js8BindingsC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 61 "./jsscript.h"
  HEAP32[(($4)>>2)]=0; //@line 61 "./jsscript.h"
  var $5=(($3+4)|0); //@line 61 "./jsscript.h"
  HEAP16[(($5)>>1)]=0; //@line 61 "./jsscript.h"
  var $6=(($3+6)|0); //@line 61 "./jsscript.h"
  HEAP16[(($6)>>1)]=0; //@line 61 "./jsscript.h"
  var $7=(($3+8)|0); //@line 61 "./jsscript.h"
  HEAP16[(($7)>>1)]=0; //@line 61 "./jsscript.h"
  var $8=(($3+10)|0); //@line 61 "./jsscript.h"
  HEAP8[($8)]=0; //@line 61 "./jsscript.h"
  ;
  return; //@line 62 "./jsscriptinlines.h"
}


function __ZNK9JSContext12hasRunOptionEj($this, $ropt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ropt;
  var $3=$1;
  var $4=(($3+32)|0); //@line 1140 "./jscntxt.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1140 "./jscntxt.h"
  var $6=$2; //@line 1140 "./jscntxt.h"
  var $7=$5 & $6; //@line 1140 "./jscntxt.h"
  var $8=(($7)|0)!=0; //@line 1140 "./jscntxt.h"
  var $9=$8 ^ 1; //@line 1140 "./jscntxt.h"
  var $10=$9 ^ 1; //@line 1140 "./jscntxt.h"
  ;
  return $10; //@line 1140 "./jscntxt.h"
}


function __ZN18AutoLastFrameCheckC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($4)>>2)]=$5; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      __label__ = 3; break; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      ;
      return; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext17setDefaultVersionE9JSVersion($this, $version) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$version;
  var $3=$1;
  var $4=$2; //@line 1058 "./jscntxt.h"
  var $5=(($3+8)|0); //@line 1058 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$4; //@line 1058 "./jscntxt.h"
  ;
  return; //@line 1059 "./jscntxt.h"
}


function __ZN9JSContext15overrideVersionE9JSVersion($this, $newVersion) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newVersion;
  var $3=$1;
  var $4=$2; //@line 1052 "./jscntxt.h"
  var $5=(($3+12)|0); //@line 1052 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$4; //@line 1052 "./jscntxt.h"
  var $6=(($3+16)|0); //@line 1053 "./jscntxt.h"
  HEAP8[($6)]=1; //@line 1053 "./jscntxt.h"
  ;
  return; //@line 1054 "./jscntxt.h"
}


function __ZNK9JSContext17getDefaultVersionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1062 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1062 "./jscntxt.h"
  ;
  return $4; //@line 1062 "./jscntxt.h"
}


function _PRIVATE_PTR_TO_JSVAL_IMPL285($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$agg_result; //@line 568 "./jsval.h"
  var $3=(($2+4)|0); //@line 568 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 568 "./jsval.h"
  var $4=$1; //@line 569 "./jsval.h"
  var $5=$agg_result; //@line 569 "./jsval.h"
  var $6=(($5)|0); //@line 569 "./jsval.h"
  var $7=$6; //@line 569 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 569 "./jsval.h"
  ;
  return; //@line 571 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL286($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function __ZN2js5Shape5RangeC2EPKS0_($this, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shape;
  var $3=$1;
  var $4=(($3)|0); //@line 474 "./jsscope.h"
  var $5=$2; //@line 474 "./jsscope.h"
  HEAP32[(($4)>>2)]=$5; //@line 474 "./jsscope.h"
  ;
  return; //@line 474 "./jsscope.h"
}


function __ZNK8JSObject11isSlowArrayEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1538 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1538 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js14SlowArrayClassE)|0); //@line 1538 "./jsobj.h"
  ;
  return $5; //@line 1538 "./jsobj.h"
}


function _JSVAL_TO_INT32_IMPL287($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL288($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZN9JSContext8realloc_EPvjj($this, $p, $oldBytes, $newBytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$oldBytes;
  $4=$newBytes;
  var $5=$1;
  var $6=(($5+52)|0); //@line 1278 "./jscntxt.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1278 "./jscntxt.h"
  var $8=$2; //@line 1278 "./jscntxt.h"
  var $9=$3; //@line 1278 "./jscntxt.h"
  var $10=$4; //@line 1278 "./jscntxt.h"
  var $11=__ZN9JSRuntime8realloc_EPvjjP9JSContext($7, $8, $9, $10, $5); //@line 1278 "./jscntxt.h"
  ;
  return $11; //@line 1278 "./jscntxt.h"
}


function __ZN9JSRuntime8realloc_EPvjjP9JSContext($this, $p, $oldBytes, $newBytes, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $p2;
      $1=$this;
      $2=$p;
      $3=$oldBytes;
      $4=$newBytes;
      $5=$cx;
      var $6=$1;
      var $7=$4; //@line 740 "./jscntxt.h"
      var $8=$3; //@line 740 "./jscntxt.h"
      var $9=(($7-$8)|0); //@line 740 "./jscntxt.h"
      __ZN9JSRuntime19updateMallocCounterEj($6, $9); //@line 740 "./jscntxt.h"
      var $10=$2; //@line 741 "./jscntxt.h"
      var $11=$4; //@line 741 "./jscntxt.h"
      var $12=_js_realloc274($10, $11); //@line 741 "./jscntxt.h"
      $p2=$12; //@line 741 "./jscntxt.h"
      var $13=$p2; //@line 742 "./jscntxt.h"
      var $14=(($13)|0)!=0; //@line 742 "./jscntxt.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 742 "./jscntxt.h"
    case 2: 
      var $16=$p2; //@line 742 "./jscntxt.h"
      var $23 = $16;__label__ = 4; break; //@line 742 "./jscntxt.h"
    case 3: 
      var $18=$2; //@line 742 "./jscntxt.h"
      var $19=$4; //@line 742 "./jscntxt.h"
      var $20=$5; //@line 742 "./jscntxt.h"
      var $21=__ZN9JSRuntime13onOutOfMemoryEPvjP9JSContext($6, $18, $19, $20); //@line 742 "./jscntxt.h"
      var $23 = $21;__label__ = 4; break; //@line 742 "./jscntxt.h"
    case 4: 
      var $23; //@line 742 "./jscntxt.h"
      ;
      return $23; //@line 742 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js18ContextAllocPolicy19reportAllocOverflowEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2564 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2564 "./jscntxt.h"
  __Z27js_ReportAllocationOverflowP9JSContext($4); //@line 2564 "./jscntxt.h"
  ;
  return; //@line 2564 "./jscntxt.h"
}


function __ZN2js18ContextAllocPolicy7malloc_Ej($this, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bytes;
  var $3=$1;
  var $4=(($3)|0); //@line 2561 "./jscntxt.h"
  var $5=HEAP32[(($4)>>2)]; //@line 2561 "./jscntxt.h"
  var $6=$2; //@line 2561 "./jscntxt.h"
  var $7=__ZN9JSContext7malloc_Ej($5, $6); //@line 2561 "./jscntxt.h"
  ;
  return $7; //@line 2561 "./jscntxt.h"
}


function __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2jsL17CheckStringLengthEP9JSContextj($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext282($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12StringBuffer7contextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jsstrinlines.h"
  var $4=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE11allocPolicyEv($3); //@line 89 "./jsstrinlines.h"
  var $5=__ZNK2js18ContextAllocPolicy7contextEv($4); //@line 89 "./jsstrinlines.h"
  ;
  return $5; //@line 89 "./jsstrinlines.h"
}


function __ZN2js6RegExpC1EP14JSLinearStringjP13JSCompartment($this, $source, $flags, $compartment) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$source;
  $3=$flags;
  $4=$compartment;
  var $5=$1;
  var $6=$2; //@line 130 "./jsregexpinlines.h"
  var $7=$3; //@line 130 "./jsregexpinlines.h"
  var $8=$4; //@line 130 "./jsregexpinlines.h"
  __ZN2js6RegExpC2EP14JSLinearStringjP13JSCompartment($5, $6, $7, $8); //@line 130 "./jsregexpinlines.h"
  ;
  return; //@line 130 "./jsregexpinlines.h"
}


function __ZN2js13RegExpStatics12setMultilineEb($this, $enabled) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      var $3=(($enabled)&1);
      $2=$3;
      var $4=$1;
      __ZN2js13RegExpStatics12aboutToWriteEv($4); //@line 189 "./jsregexp.h"
      var $5=$2; //@line 190 "./jsregexp.h"
      var $6=(($5) & 1); //@line 190 "./jsregexp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 190 "./jsregexp.h"
    case 2: 
      var $8=(($4+100)|0); //@line 191 "./jsregexp.h"
      var $9=HEAP32[(($8)>>2)]; //@line 191 "./jsregexp.h"
      var $10=$9 | 4; //@line 191 "./jsregexp.h"
      var $11=(($4+100)|0); //@line 191 "./jsregexp.h"
      HEAP32[(($11)>>2)]=$10; //@line 191 "./jsregexp.h"
      __label__ = 4; break; //@line 191 "./jsregexp.h"
    case 3: 
      var $13=(($4+100)|0); //@line 193 "./jsregexp.h"
      var $14=HEAP32[(($13)>>2)]; //@line 193 "./jsregexp.h"
      var $15=$14 & -5; //@line 193 "./jsregexp.h"
      var $16=(($4+100)|0); //@line 193 "./jsregexp.h"
      HEAP32[(($16)>>2)]=$15; //@line 193 "./jsregexp.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 194 "./jsregexp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN27JSAutoStructuredCloneBufferD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN27JSAutoStructuredCloneBuffer5clearEv($2); //@line 4397 "./jsapi.h"
  ;
  return; //@line 4397 "./jsapi.h"
}


function __ZN2js12StringBufferD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jsstrinlines.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEED1Ev($3); //@line 80 "./jsstrinlines.h"
  ;
  return; //@line 80 "./jsstrinlines.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE7destroyEPtS3_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js18ContextAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18ContextAllocPolicy5free_EPv($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=(($3)|0); //@line 2563 "./jscntxt.h"
  var $5=HEAP32[(($4)>>2)]; //@line 2563 "./jscntxt.h"
  var $6=$2; //@line 2563 "./jscntxt.h"
  __ZN9JSContext5free_EPv($5, $6); //@line 2563 "./jscntxt.h"
  ;
  return; //@line 2563 "./jscntxt.h"
}


function __ZN2js12StringBufferC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=(($4)|0); //@line 148 "./jsstrinlines.h"
  var $6=$2; //@line 148 "./jsstrinlines.h"
  __ZN2js18ContextAllocPolicyC1EP9JSContext($3, $6); //@line 148 "./jsstrinlines.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEEC1ES1_($5, $3); //@line 148 "./jsstrinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 148 "./jsstrinlines.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEEC1ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEEC2ES1_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js18ContextAllocPolicyC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2559 "./jscntxt.h"
  __ZN2js18ContextAllocPolicyC2EP9JSContext($3, $4); //@line 2559 "./jscntxt.h"
  ;
  return; //@line 2559 "./jscntxt.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEEC2ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj64EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=32; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js15InvokeArgsGuardD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js15InvokeArgsGuard6pushedEv($2); //@line 1757 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1757 "./vm/Stack.h"
    case 2: 
      var $5=(($2+16)|0); //@line 1757 "./vm/Stack.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1757 "./vm/Stack.h"
      __ZN2js12ContextStack13popInvokeArgsERKNS_15InvokeArgsGuardE($6, $2); //@line 1757 "./vm/Stack.h"
      __label__ = 3; break; //@line 1757 "./vm/Stack.h"
    case 3: 
      ;
      return; //@line 1757 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15InvokeArgsGuardC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1756 "./vm/Stack.h"
  var $4=$3; //@line 1756 "./vm/Stack.h"
  HEAP32[(($4)>>2)]=0; HEAP32[(($4+4)>>2)]=0; HEAP32[(($4+8)>>2)]=0; ; HEAP8[($4+12)]=0; //@line 1756 "./vm/Stack.h"
  var $5=(($2+16)|0); //@line 1756 "./vm/Stack.h"
  HEAP32[(($5)>>2)]=0; //@line 1756 "./vm/Stack.h"
  var $6=(($2+20)|0); //@line 1756 "./vm/Stack.h"
  HEAP8[($6)]=0; //@line 1756 "./vm/Stack.h"
  ;
  return; //@line 1756 "./vm/Stack.h"
}


function __ZN2js8BindingsC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 62 "./jsscript.h"
  __ZN2js8BindingsC2EP9JSContext($3, $4); //@line 62 "./jsscript.h"
  ;
  return; //@line 62 "./jsscript.h"
}


function __ZN2js8Bindings11addArgumentEP9JSContextP6JSAtomPt($this, $cx, $name, $slotp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$name;
  $4=$slotp;
  var $5=$1;
  var $6=(($5+4)|0); //@line 251 "./jsscript.h"
  var $7=HEAP16[(($6)>>1)]; //@line 251 "./jsscript.h"
  var $8=$4; //@line 251 "./jsscript.h"
  HEAP16[(($8)>>1)]=$7; //@line 251 "./jsscript.h"
  var $9=$2; //@line 252 "./jsscript.h"
  var $10=$3; //@line 252 "./jsscript.h"
  var $11=__ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE($5, $9, $10, 1); //@line 252 "./jsscript.h"
  ;
  return $11; //@line 252 "./jsscript.h"
}


function __ZN18AutoLastFrameCheckD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 4448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 4448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=__ZN9JSContext18isExceptionPendingEv($4); //@line 4448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 4448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $7=(($2)|0); //@line 4449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 4449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=_JS_IsRunning($8); //@line 4449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($9)|0)!=0; //@line 4449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($10) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 4449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $12=(($2)|0); //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=__ZNK9JSContext12hasRunOptionEj($13, 256); //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $16=(($2)|0); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $18=__Z26js_ReportUncaughtExceptionP9JSContext($17); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 5; break; //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 5: 
      ;
      return; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21JS_OPTIONS_TO_TCFLAGSP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $3=__ZNK9JSContext12hasRunOptionEj($2, 16); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=$3 ? 8192 : 0; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $5=$1; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $6=__ZNK9JSContext12hasRunOptionEj($5, 4096); //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $7=$6 ? 16384 : 0; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $8=$4 | $7; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return $8; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN14AutoVersionAPID2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=(($2+4)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext17setDefaultVersionE9JSVersion($4, $6); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($2+8)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=HEAP8[($7)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=(($8) & 1); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $11=(($2)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($2+12)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext15overrideVersionE9JSVersion($12, $14); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $16=(($2)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext20clearVersionOverrideEv($17); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN14AutoVersionAPIC2EP9JSContext9JSVersion($this, $cx, $newVersion) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$newVersion;
      var $4=$1;
      var $5=(($4)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=$2; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($5)>>2)]=$6; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $7=(($4+4)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $8=$2; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $9=__ZNK9JSContext17getDefaultVersionEv($8); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($7)>>2)]=$9; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=(($4+8)|0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $11=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $12=__ZNK9JSContext19isVersionOverriddenEv($11); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $13=(($12)&1); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP8[($10)]=$13; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $14=(($4+12)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $15=(($4+8)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $16=HEAP8[($15)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $17=(($16) & 1); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      var $19=$2; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $20=__ZNK9JSContext11findVersionEv($19); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $23 = $20;__label__ = 4; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $23 = -1;__label__ = 4; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 4: 
      var $23; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($14)>>2)]=$23; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $24=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $25=(($4+16)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($25)>>2)]=$24; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $26=$2; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext20clearVersionOverrideEv($26); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $27=$2; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $28=$3; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __ZN9JSContext17setDefaultVersionE9JSVersion($27, $28); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject12getFixedSlotEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 900 "./jsobj.h"
  var $5=__ZNK8JSObject10fixedSlotsEv($3); //@line 900 "./jsobj.h"
  var $6=(($5+($4<<3))|0); //@line 900 "./jsobj.h"
  ;
  return $6; //@line 900 "./jsobj.h"
}


function __ZN2js16AutoObjectRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1561 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($3); //@line 1561 "./jscntxt.h"
  ;
  return; //@line 1561 "./jscntxt.h"
}


function __ZN2js16AutoObjectRooterC2EP9JSContextP8JSObject($this, $cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$obj;
      var $4=$1;
      var $5=$4; //@line 1566 "./jscntxt.h"
      var $6=$2; //@line 1566 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($5, $6, -10); //@line 1566 "./jscntxt.h"
      var $7=(($4+12)|0); //@line 1566 "./jscntxt.h"
      var $8=$3; //@line 1566 "./jscntxt.h"
      HEAP32[(($7)>>2)]=$8; //@line 1566 "./jscntxt.h"
      __label__ = 2; break; //@line 1567 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1567 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1568 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_INT292($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING293($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING294($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _JSID_TO_INT297($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_OBJECT($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT298($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function _DOUBLE_TO_JSVAL_IMPL295($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZN2jsL8JsvalifyEPNS_5ClassE($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 382 "./jsclass.h"
  var $3=$2; //@line 382 "./jsclass.h"
  ;
  return $3; //@line 382 "./jsclass.h"
}


function __ZNK2js5Shape10attributesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 584 "./jsscope.h"
  var $4=HEAP8[($3)]; //@line 584 "./jsscope.h"
  ;
  return $4; //@line 584 "./jsscope.h"
}


function __ZNK2js5Shape8isMethodEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+29)|0); //@line 539 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 539 "./jsscope.h"
  var $5=(($4)&255); //@line 539 "./jsscope.h"
  var $6=$5 & 128; //@line 539 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 539 "./jsscope.h"
  ;
  return $7; //@line 539 "./jsscope.h"
}


function __ZNK2js5Shape12methodObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 541 "./jsscope.h"
  var $4=$3; //@line 541 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 541 "./jsscope.h"
  ;
  return $5; //@line 541 "./jsscope.h"
}


function __ZNK2js5Shape6getterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 543 "./jsscope.h"
  var $4=$3; //@line 543 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 543 "./jsscope.h"
  ;
  return $5; //@line 543 "./jsscope.h"
}


function __ZNK2js5Shape6setterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 558 "./jsscope.h"
  var $4=$3; //@line 558 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 558 "./jsscope.h"
  ;
  return $5; //@line 558 "./jsscope.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL296($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZN19AutoHoldCompartmentD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  HEAP8[($4)]=0; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
  ;
  return; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
}


function __ZN19AutoHoldCompartmentC2EP13JSCompartment($this, $compartment) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$compartment;
      var $3=$1;
      var $4=(($3)|0); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $5=$2; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $6=(($5+340)|0); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP32[(($4)>>2)]=$6; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      __label__ = 2; break; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 2: 
      __label__ = 3; break; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    case 3: 
      var $9=(($3)|0); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      HEAP8[($10)]=1; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
      ;
      return; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18JSAutoResolveFlagsD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 2047 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2047 "./jscntxt.h"
  var $5=(($2)|0); //@line 2047 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 2047 "./jscntxt.h"
  var $7=(($6+208)|0); //@line 2047 "./jscntxt.h"
  HEAP32[(($7)>>2)]=$4; //@line 2047 "./jscntxt.h"
  ;
  return; //@line 2047 "./jscntxt.h"
}


function __ZN18JSAutoResolveFlagsC2EP9JSContextj($this, $cx, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$flags;
      var $4=$1;
      var $5=(($4)|0); //@line 2042 "./jscntxt.h"
      var $6=$2; //@line 2042 "./jscntxt.h"
      HEAP32[(($5)>>2)]=$6; //@line 2042 "./jscntxt.h"
      var $7=(($4+4)|0); //@line 2042 "./jscntxt.h"
      var $8=$2; //@line 2042 "./jscntxt.h"
      var $9=(($8+208)|0); //@line 2042 "./jscntxt.h"
      var $10=HEAP32[(($9)>>2)]; //@line 2042 "./jscntxt.h"
      HEAP32[(($7)>>2)]=$10; //@line 2042 "./jscntxt.h"
      __label__ = 2; break; //@line 2043 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2043 "./jscntxt.h"
    case 3: 
      var $13=$3; //@line 2044 "./jscntxt.h"
      var $14=$2; //@line 2044 "./jscntxt.h"
      var $15=(($14+208)|0); //@line 2044 "./jscntxt.h"
      HEAP32[(($15)>>2)]=$13; //@line 2044 "./jscntxt.h"
      ;
      return; //@line 2045 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime18resetGCMallocBytesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+156)|0); //@line 766 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 766 "./jscntxt.h"
  var $5=(($2+144096)|0); //@line 766 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$4; //@line 766 "./jscntxt.h"
  ;
  return; //@line 766 "./jscntxt.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_289($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj290($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_291($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_289["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj290($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_291($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN8JSObject13setAttributesEP9JSContextiPj($this, $cx, $id, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$id;
      $4=$attrsp;
      var $5=$1;
      var $6=$2; //@line 132 "./jsobjinlines.h"
      var $7=$3; //@line 132 "./jsobjinlines.h"
      __ZN2js5types26MarkTypePropertyConfiguredEP9JSContextP8JSObjecti($6, $5, $7); //@line 132 "./jsobjinlines.h"
      var $8=__ZNK8JSObject6getOpsEv($5); //@line 133 "./jsobjinlines.h"
      var $9=(($8+84)|0); //@line 133 "./jsobjinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 133 "./jsobjinlines.h"
      $op=$10; //@line 133 "./jsobjinlines.h"
      var $11=$op; //@line 134 "./jsobjinlines.h"
      var $12=(($11)|0)!=0; //@line 134 "./jsobjinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 134 "./jsobjinlines.h"
    case 2: 
      var $14=$op; //@line 134 "./jsobjinlines.h"
      var $17 = $14;__label__ = 4; break; //@line 134 "./jsobjinlines.h"
    case 3: 
      var $17 = 54;__label__ = 4; break; //@line 134 "./jsobjinlines.h"
    case 4: 
      var $17; //@line 134 "./jsobjinlines.h"
      var $18=$2; //@line 134 "./jsobjinlines.h"
      var $19=$3; //@line 134 "./jsobjinlines.h"
      var $20=$4; //@line 134 "./jsobjinlines.h"
      var $21=FUNCTION_TABLE[$17]($18, $5, $19, $20); //@line 134 "./jsobjinlines.h"
      ;
      return $21; //@line 134 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject12containsSlotEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 952 "./jsobjinlines.h"
  var $5=__ZNK8JSObject8slotSpanEv($3); //@line 952 "./jsobjinlines.h"
  var $6=(($4)>>>0) < (($5)>>>0); //@line 952 "./jsobjinlines.h"
  ;
  return $6; //@line 952 "./jsobjinlines.h"
}


function __ZNK8JSObject13nativeGetSlotEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 976 "./jsobjinlines.h"
  var $5=__ZNK8JSObject7getSlotEj($3, $4); //@line 976 "./jsobjinlines.h"
  ;
  return $5; //@line 976 "./jsobjinlines.h"
}


function __ZN8JSObject13getAttributesEP9JSContextiPj($this, $cx, $id, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$id;
      $4=$attrsp;
      var $5=$1;
      var $6=__ZNK8JSObject6getOpsEv($5); //@line 1475 "./jsobj.h"
      var $7=(($6+68)|0); //@line 1475 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1475 "./jsobj.h"
      $op=$8; //@line 1475 "./jsobj.h"
      var $9=$op; //@line 1476 "./jsobj.h"
      var $10=(($9)|0)!=0; //@line 1476 "./jsobj.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1476 "./jsobj.h"
    case 2: 
      var $12=$op; //@line 1476 "./jsobj.h"
      var $15 = $12;__label__ = 4; break; //@line 1476 "./jsobj.h"
    case 3: 
      var $15 = 56;__label__ = 4; break; //@line 1476 "./jsobj.h"
    case 4: 
      var $15; //@line 1476 "./jsobj.h"
      var $16=$2; //@line 1476 "./jsobj.h"
      var $17=$3; //@line 1476 "./jsobj.h"
      var $18=$4; //@line 1476 "./jsobj.h"
      var $19=FUNCTION_TABLE[$15]($16, $5, $17, $18); //@line 1476 "./jsobj.h"
      ;
      return $19; //@line 1476 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21assertSameCompartmentIP8JSObjectiN2JS5ValueES2_S2_EEvP9JSContextT_T0_T1_T2_T3_($cx, $t1, $t2, $0, $t4, $t5) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $4;
  var $t3=__stackBase__;
  var $5;
  var $6;
  $2=$cx;
  $3=$t1;
  $4=$t2;
  var $7=$t3;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  $5=$t4;
  $6=$t5;
  STACKTOP = __stackBase__;
  return; //@line 284 "./jscntxtinlines.h"
}


function __ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE($this, $cx, $shape, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $funobj;
      var $fun;
      var $slot;
      var $newshape;
      $2=$this;
      $3=$cx;
      $4=$shape;
      $5=$vp;
      var $6=$2;
      var $7=$5; //@line 275 "./jsobjinlines.h"
      var $8=__ZNK2JS5Value8toObjectEv($7); //@line 275 "./jsobjinlines.h"
      $funobj=$8; //@line 275 "./jsobjinlines.h"
      var $9=$funobj; //@line 276 "./jsobjinlines.h"
      var $10=__ZNK8JSObject18getFunctionPrivateEv($9); //@line 276 "./jsobjinlines.h"
      $fun=$10; //@line 276 "./jsobjinlines.h"
      var $11=$3; //@line 280 "./jsobjinlines.h"
      var $12=$fun; //@line 280 "./jsobjinlines.h"
      var $13=__Z19CloneFunctionObjectP9JSContextP10JSFunction($11, $12); //@line 280 "./jsobjinlines.h"
      $funobj=$13; //@line 280 "./jsobjinlines.h"
      var $14=$funobj; //@line 281 "./jsobjinlines.h"
      var $15=(($14)|0)!=0; //@line 281 "./jsobjinlines.h"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 281 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 282 "./jsobjinlines.h"
      __label__ = 6; break; //@line 282 "./jsobjinlines.h"
    case 3: 
      var $18=$funobj; //@line 283 "./jsobjinlines.h"
      __ZN8JSObject12setMethodObjERS_($18, $6); //@line 283 "./jsobjinlines.h"
      var $19=$4; //@line 290 "./jsobjinlines.h"
      var $20=(($19+24)|0); //@line 290 "./jsobjinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 290 "./jsobjinlines.h"
      $slot=$21; //@line 290 "./jsobjinlines.h"
      var $22=$3; //@line 291 "./jsobjinlines.h"
      var $23=$4; //@line 291 "./jsobjinlines.h"
      var $24=__ZN8JSObject17methodShapeChangeEP9JSContextRKN2js5ShapeE($6, $22, $23); //@line 291 "./jsobjinlines.h"
      $newshape=$24; //@line 291 "./jsobjinlines.h"
      var $25=$newshape; //@line 292 "./jsobjinlines.h"
      var $26=(($25)|0)!=0; //@line 292 "./jsobjinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 292 "./jsobjinlines.h"
    case 4: 
      $1=0; //@line 293 "./jsobjinlines.h"
      __label__ = 6; break; //@line 293 "./jsobjinlines.h"
    case 5: 
      var $29=$5; //@line 296 "./jsobjinlines.h"
      var $30=$funobj; //@line 296 "./jsobjinlines.h"
      __ZN2JS5Value9setObjectER8JSObject($29, $30); //@line 296 "./jsobjinlines.h"
      var $31=$slot; //@line 297 "./jsobjinlines.h"
      var $32=$5; //@line 297 "./jsobjinlines.h"
      __ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE($6, $31, $32); //@line 297 "./jsobjinlines.h"
      var $33=$newshape; //@line 298 "./jsobjinlines.h"
      $1=$33; //@line 298 "./jsobjinlines.h"
      __label__ = 6; break; //@line 298 "./jsobjinlines.h"
    case 6: 
      var $35=$1; //@line 299 "./jsobjinlines.h"
      ;
      return $35; //@line 299 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE["X"]=1;

function __Z19CloneFunctionObjectP9JSContextP10JSFunction($cx, $fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$fun;
      var $4=$3; //@line 477 "./jsfun.h"
      var $5=$4; //@line 477 "./jsfun.h"
      var $6=__ZNK8JSObject16hasSingletonTypeEv($5); //@line 477 "./jsfun.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 477 "./jsfun.h"
    case 2: 
      var $8=$3; //@line 478 "./jsfun.h"
      var $9=$8; //@line 478 "./jsfun.h"
      $1=$9; //@line 478 "./jsfun.h"
      __label__ = 4; break; //@line 478 "./jsfun.h"
    case 3: 
      var $11=$2; //@line 480 "./jsfun.h"
      var $12=$3; //@line 480 "./jsfun.h"
      var $13=$3; //@line 480 "./jsfun.h"
      var $14=$13; //@line 480 "./jsfun.h"
      var $15=__ZNK8JSObject9getParentEv($14); //@line 480 "./jsfun.h"
      var $16=$3; //@line 480 "./jsfun.h"
      var $17=$16; //@line 480 "./jsfun.h"
      var $18=__ZNK8JSObject8getProtoEv($17); //@line 480 "./jsfun.h"
      var $19=__Z22js_CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectS4_($11, $12, $15, $18); //@line 480 "./jsfun.h"
      $1=$19; //@line 480 "./jsfun.h"
      __label__ = 4; break; //@line 480 "./jsfun.h"
    case 4: 
      var $21=$1; //@line 481 "./jsfun.h"
      ;
      return $21; //@line 481 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject12setMethodObjERS_($this, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$obj;
  var $4=$1;
  var $5=$2; //@line 664 "./jsobjinlines.h"
  __ZN2JSL11ObjectValueER8JSObject239($3, $5); //@line 664 "./jsobjinlines.h"
  __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($4, 1, $3); //@line 664 "./jsobjinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 665 "./jsobjinlines.h"
}


function __ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE($this, $slot, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$slot;
  $3=$value;
  var $4=$1;
  var $5=$2; //@line 984 "./jsobjinlines.h"
  var $6=$3; //@line 984 "./jsobjinlines.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($4, $5, $6); //@line 984 "./jsobjinlines.h"
  ;
  return; //@line 984 "./jsobjinlines.h"
}


function __ZN2jsL9IdToValueEi($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING293($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING243($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString276($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT292($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT297($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi251($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT298($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject239($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv245($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z22js_NewGCExternalStringP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 383 "./jsgcinlines.h"
  var $3=__Z10NewGCThingI16JSExternalStringEPT_P9JSContextN2js2gc9AllocKindEj($2, 19, 16); //@line 383 "./jsgcinlines.h"
  ;
  return $3; //@line 383 "./jsgcinlines.h"
}


function __ZN16JSExternalString4initEPKtjiPv($this, $chars, $length, $type, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$chars;
  $3=$length;
  $4=$type;
  $5=$closure;
  var $6=$1;
  var $7=$6; //@line 176 "./vm/String-inl.h"
  var $8=$3; //@line 176 "./vm/String-inl.h"
  var $9=__ZN8JSString19buildLengthAndFlagsEjj($7, $8, 4); //@line 176 "./vm/String-inl.h"
  var $10=$6; //@line 176 "./vm/String-inl.h"
  var $11=(($10)|0); //@line 176 "./vm/String-inl.h"
  var $12=(($11)|0); //@line 176 "./vm/String-inl.h"
  HEAP32[(($12)>>2)]=$9; //@line 176 "./vm/String-inl.h"
  var $13=$2; //@line 177 "./vm/String-inl.h"
  var $14=$6; //@line 177 "./vm/String-inl.h"
  var $15=(($14)|0); //@line 177 "./vm/String-inl.h"
  var $16=(($15+4)|0); //@line 177 "./vm/String-inl.h"
  var $17=$16; //@line 177 "./vm/String-inl.h"
  HEAP32[(($17)>>2)]=$13; //@line 177 "./vm/String-inl.h"
  var $18=$4; //@line 178 "./vm/String-inl.h"
  var $19=$6; //@line 178 "./vm/String-inl.h"
  var $20=(($19)|0); //@line 178 "./vm/String-inl.h"
  var $21=(($20+8)|0); //@line 178 "./vm/String-inl.h"
  var $22=$21; //@line 178 "./vm/String-inl.h"
  var $23=(($22)|0); //@line 178 "./vm/String-inl.h"
  var $24=$23; //@line 178 "./vm/String-inl.h"
  HEAP32[(($24)>>2)]=$18; //@line 178 "./vm/String-inl.h"
  var $25=$5; //@line 179 "./vm/String-inl.h"
  var $26=$6; //@line 179 "./vm/String-inl.h"
  var $27=(($26)|0); //@line 179 "./vm/String-inl.h"
  var $28=(($27+8)|0); //@line 179 "./vm/String-inl.h"
  var $29=$28; //@line 179 "./vm/String-inl.h"
  var $30=(($29+4)|0); //@line 179 "./vm/String-inl.h"
  var $31=$30; //@line 179 "./vm/String-inl.h"
  HEAP32[(($31)>>2)]=$25; //@line 179 "./vm/String-inl.h"
  ;
  return; //@line 180 "./vm/String-inl.h"
}


function __Z10NewGCThingI16JSExternalStringEPT_P9JSContextN2js2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime8realloc_EPvjP9JSContext($this, $p, $bytes, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p2;
      $1=$this;
      $2=$p;
      $3=$bytes;
      $4=$cx;
      var $5=$1;
      var $6=$2; //@line 750 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 750 "./jscntxt.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 750 "./jscntxt.h"
    case 2: 
      var $9=$3; //@line 751 "./jscntxt.h"
      __ZN9JSRuntime19updateMallocCounterEj($5, $9); //@line 751 "./jscntxt.h"
      __label__ = 3; break; //@line 751 "./jscntxt.h"
    case 3: 
      var $11=$2; //@line 752 "./jscntxt.h"
      var $12=$3; //@line 752 "./jscntxt.h"
      var $13=_js_realloc274($11, $12); //@line 752 "./jscntxt.h"
      $p2=$13; //@line 752 "./jscntxt.h"
      var $14=$p2; //@line 753 "./jscntxt.h"
      var $15=(($14)|0)!=0; //@line 753 "./jscntxt.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 753 "./jscntxt.h"
    case 4: 
      var $17=$p2; //@line 753 "./jscntxt.h"
      var $24 = $17;__label__ = 6; break; //@line 753 "./jscntxt.h"
    case 5: 
      var $19=$2; //@line 753 "./jscntxt.h"
      var $20=$3; //@line 753 "./jscntxt.h"
      var $21=$4; //@line 753 "./jscntxt.h"
      var $22=__ZN9JSRuntime13onOutOfMemoryEPvjP9JSContext($5, $19, $20, $21); //@line 753 "./jscntxt.h"
      var $24 = $22;__label__ = 6; break; //@line 753 "./jscntxt.h"
    case 6: 
      var $24; //@line 753 "./jscntxt.h"
      ;
      return $24; //@line 753 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_calloc299($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject12nativeLookupEP9JSContexti($this, $cx, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$id;
  var $4=$1;
  var $5=$2; //@line 1030 "./jsobjinlines.h"
  var $6=$3; //@line 1030 "./jsobjinlines.h"
  var $7=__ZN8JSObject12nativeSearchEP9JSContextib($4, $5, $6, 0); //@line 1030 "./jsobjinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 1030 "./jsobjinlines.h"
  var $9=$8; //@line 1030 "./jsobjinlines.h"
  var $10=$9 & -2; //@line 1030 "./jsobjinlines.h"
  var $11=$10; //@line 1030 "./jsobjinlines.h"
  ;
  return $11; //@line 1030 "./jsobjinlines.h"
}


function __ZN8JSObject12nativeSearchEP9JSContextib($this, $cx, $id, $adding) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$id;
  var $5=(($adding)&1);
  $4=$5;
  var $6=$1;
  var $7=$2; //@line 1023 "./jsobjinlines.h"
  var $8=(($6)|0); //@line 1023 "./jsobjinlines.h"
  var $9=$3; //@line 1023 "./jsobjinlines.h"
  var $10=$4; //@line 1023 "./jsobjinlines.h"
  var $11=(($10) & 1); //@line 1023 "./jsobjinlines.h"
  var $12=__ZN2js5Shape6searchEP9JSContextPPS0_ib($7, $8, $9, $11); //@line 1023 "./jsobjinlines.h"
  ;
  return $12; //@line 1023 "./jsobjinlines.h"
}


function __ZL14JSID_FROM_BITSj300($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2jsL13VersionSetXMLEP9JSVersionb($version, $enable) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$version;
      var $3=(($enable)&1);
      $2=$3;
      var $4=$2; //@line 885 "./jscntxt.h"
      var $5=(($4) & 1); //@line 885 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 885 "./jscntxt.h"
    case 2: 
      var $7=$1; //@line 886 "./jscntxt.h"
      var $8=HEAP32[(($7)>>2)]; //@line 886 "./jscntxt.h"
      var $9=$8 | 4096; //@line 886 "./jscntxt.h"
      var $10=$1; //@line 886 "./jscntxt.h"
      HEAP32[(($10)>>2)]=$9; //@line 886 "./jscntxt.h"
      __label__ = 4; break; //@line 886 "./jscntxt.h"
    case 3: 
      var $12=$1; //@line 888 "./jscntxt.h"
      var $13=HEAP32[(($12)>>2)]; //@line 888 "./jscntxt.h"
      var $14=$13 & -4097; //@line 888 "./jscntxt.h"
      var $15=$1; //@line 888 "./jscntxt.h"
      HEAP32[(($15)>>2)]=$14; //@line 888 "./jscntxt.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 889 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL13OptionsHasXMLEj($options) {
  ;
  var __label__;

  var $1;
  $1=$options;
  var $2=$1; //@line 839 "./jscntxt.h"
  var $3=$2 & 64; //@line 839 "./jscntxt.h"
  var $4=(($3)|0)!=0; //@line 839 "./jscntxt.h"
  var $5=$4 ^ 1; //@line 839 "./jscntxt.h"
  var $6=$5 ^ 1; //@line 839 "./jscntxt.h"
  ;
  return $6; //@line 839 "./jscntxt.h"
}


function __ZN2jsL13VersionHasXMLE9JSVersion($version) {
  ;
  var __label__;

  var $1;
  $1=$version;
  var $2=$1; //@line 872 "./jscntxt.h"
  var $3=$2 & 4096; //@line 872 "./jscntxt.h"
  var $4=(($3)|0)!=0; //@line 872 "./jscntxt.h"
  var $5=$4 ^ 1; //@line 872 "./jscntxt.h"
  var $6=$5 ^ 1; //@line 872 "./jscntxt.h"
  ;
  return $6; //@line 872 "./jscntxt.h"
}


function __ZN2jsL19VersionExtractFlagsE9JSVersion($version) {
  ;
  var __label__;

  var $1;
  $1=$version;
  var $2=$1; //@line 894 "./jscntxt.h"
  var $3=$2 & -4096; //@line 894 "./jscntxt.h"
  ;
  return $3; //@line 894 "./jscntxt.h"
}


function __ZNK2js5Shape8hasTableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 441 "./jsscope.h"
  var $4=$3; //@line 441 "./jsscope.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 441 "./jsscope.h"
  var $6=(($5)>>>0) > 7; //@line 441 "./jsscope.h"
  ;
  return $6; //@line 441 "./jsscope.h"
}


function __ZNK2js5Shape8getTableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 446 "./jsscope.h"
  var $4=$3; //@line 446 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 446 "./jsscope.h"
  ;
  return $5; //@line 446 "./jsscope.h"
}


function __ZN9JSContext13setRunOptionsEj($this, $ropts) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ropts;
  var $3=$1;
  var $4=$2; //@line 1121 "./jscntxt.h"
  var $5=(($3+32)|0); //@line 1121 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$4; //@line 1121 "./jscntxt.h"
  ;
  return; //@line 1122 "./jscntxt.h"
}


function __ZNK9JSContext13getRunOptionsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 1134 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1134 "./jscntxt.h"
  ;
  return $4; //@line 1134 "./jscntxt.h"
}


function __ZN2js13StaticStringsC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 698 "./vm/String.h"
  HEAP8[($3)]=0; //@line 698 "./vm/String.h"
  ;
  return; //@line 698 "./vm/String.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function _JSVAL_IS_INT32_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function __ZL18JSDOUBLE_IS_FINITEd($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function _JSDOUBLE_IS_NEGZERO301($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_DOUBLE_IMPL302($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL303($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function __ZL15JSDOUBLE_IS_NaNd($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZN16JSAutoByteStringC2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 4287 "./jsapi.h"
      HEAP32[(($3)>>2)]=0; //@line 4287 "./jsapi.h"
      __label__ = 2; break; //@line 4288 "./jsapi.h"
    case 2: 
      __label__ = 3; break; //@line 4288 "./jsapi.h"
    case 3: 
      ;
      return; //@line 4289 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN12JSValueArrayC2EPN2JS5ValueEj($this, $v, $c) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$v;
  $3=$c;
  var $4=$1;
  var $5=(($4)|0); //@line 1670 "./jsobj.h"
  var $6=$2; //@line 1670 "./jsobj.h"
  HEAP32[(($5)>>2)]=$6; //@line 1670 "./jsobj.h"
  var $7=(($4+4)|0); //@line 1670 "./jsobj.h"
  var $8=$3; //@line 1670 "./jsobj.h"
  HEAP32[(($7)>>2)]=$8; //@line 1670 "./jsobj.h"
  ;
  return; //@line 1670 "./jsobj.h"
}


function __ZN2js5Shape6searchEP9JSContextPPS0_ib($cx, $startp, $id, $adding) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $start;
      var $spp;
      var $shape;
      $2=$cx;
      $3=$startp;
      $4=$id;
      var $6=(($adding)&1);
      $5=$6;
      var $7=$3; //@line 709 "./jsscope.h"
      var $8=HEAP32[(($7)>>2)]; //@line 709 "./jsscope.h"
      $start=$8; //@line 709 "./jsscope.h"
      var $9=$start; //@line 710 "./jsscope.h"
      var $10=__ZNK2js5Shape8hasTableEv($9); //@line 710 "./jsscope.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 710 "./jsscope.h"
    case 2: 
      var $12=$start; //@line 711 "./jsscope.h"
      var $13=__ZNK2js5Shape8getTableEv($12); //@line 711 "./jsscope.h"
      var $14=$4; //@line 711 "./jsscope.h"
      var $15=$5; //@line 711 "./jsscope.h"
      var $16=(($15) & 1); //@line 711 "./jsscope.h"
      var $17=__ZN2js13PropertyTable6searchEib($13, $14, $16); //@line 711 "./jsscope.h"
      $1=$17; //@line 711 "./jsscope.h"
      __label__ = 15; break; //@line 711 "./jsscope.h"
    case 3: 
      var $19=$start; //@line 713 "./jsscope.h"
      var $20=(($19+8)|0); //@line 713 "./jsscope.h"
      var $21=$20; //@line 713 "./jsscope.h"
      var $22=HEAP32[(($21)>>2)]; //@line 713 "./jsscope.h"
      var $23=(($22)|0)==7; //@line 713 "./jsscope.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 713 "./jsscope.h"
    case 4: 
      var $25=$start; //@line 714 "./jsscope.h"
      var $26=$2; //@line 714 "./jsscope.h"
      var $27=__ZN2js5Shape7hashifyEP9JSContext($25, $26); //@line 714 "./jsscope.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 714 "./jsscope.h"
    case 5: 
      var $29=$start; //@line 715 "./jsscope.h"
      var $30=__ZNK2js5Shape8getTableEv($29); //@line 715 "./jsscope.h"
      var $31=$4; //@line 715 "./jsscope.h"
      var $32=$5; //@line 715 "./jsscope.h"
      var $33=(($32) & 1); //@line 715 "./jsscope.h"
      var $34=__ZN2js13PropertyTable6searchEib($30, $31, $33); //@line 715 "./jsscope.h"
      $1=$34; //@line 715 "./jsscope.h"
      __label__ = 15; break; //@line 715 "./jsscope.h"
    case 6: 
      __label__ = 8; break; //@line 718 "./jsscope.h"
    case 7: 
      var $37=$start; //@line 720 "./jsscope.h"
      var $38=(($37+8)|0); //@line 720 "./jsscope.h"
      var $39=$38; //@line 720 "./jsscope.h"
      var $40=HEAP32[(($39)>>2)]; //@line 720 "./jsscope.h"
      var $41=(($40+1)|0); //@line 720 "./jsscope.h"
      HEAP32[(($39)>>2)]=$41; //@line 720 "./jsscope.h"
      __label__ = 8; break;
    case 8: 
      var $43=$3; //@line 732 "./jsscope.h"
      $spp=$43; //@line 732 "./jsscope.h"
      __label__ = 9; break; //@line 732 "./jsscope.h"
    case 9: 
      var $45=$spp; //@line 732 "./jsscope.h"
      var $46=HEAP32[(($45)>>2)]; //@line 732 "./jsscope.h"
      $shape=$46; //@line 732 "./jsscope.h"
      var $47=$shape; //@line 732 "./jsscope.h"
      var $48=(($47)|0)!=0; //@line 732 "./jsscope.h"
      if ($48) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 732 "./jsscope.h"
    case 10: 
      var $50=$shape; //@line 733 "./jsscope.h"
      var $51=(($50+12)|0); //@line 733 "./jsscope.h"
      var $52=HEAP32[(($51)>>2)]; //@line 733 "./jsscope.h"
      var $53=$4; //@line 733 "./jsscope.h"
      var $54=(($52)|0)==(($53)|0); //@line 733 "./jsscope.h"
      if ($54) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 733 "./jsscope.h"
    case 11: 
      var $56=$spp; //@line 734 "./jsscope.h"
      $1=$56; //@line 734 "./jsscope.h"
      __label__ = 15; break; //@line 734 "./jsscope.h"
    case 12: 
      __label__ = 13; break; //@line 735 "./jsscope.h"
    case 13: 
      var $59=$shape; //@line 732 "./jsscope.h"
      var $60=(($59+32)|0); //@line 732 "./jsscope.h"
      $spp=$60; //@line 732 "./jsscope.h"
      __label__ = 9; break; //@line 732 "./jsscope.h"
    case 14: 
      var $62=$spp; //@line 736 "./jsscope.h"
      $1=$62; //@line 736 "./jsscope.h"
      __label__ = 15; break; //@line 736 "./jsscope.h"
    case 15: 
      var $64=$1; //@line 737 "./jsscope.h"
      ;
      return $64; //@line 737 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5Shape6searchEP9JSContextPPS0_ib["X"]=1;

function __ZN9JSContext17setCompileOptionsEj($this, $newcopts) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $version;
      var $newVersion;
      $1=$this;
      $2=$newcopts;
      var $3=$1;
      var $4=__ZNK9JSContext17getCompileOptionsEv($3); //@line 1127 "./jscntxt.h"
      var $5=$2; //@line 1127 "./jscntxt.h"
      var $6=(($4)|0)==(($5)|0); //@line 1127 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1127 "./jscntxt.h"
    case 2: 
      __label__ = 4; break; //@line 1128 "./jscntxt.h"
    case 3: 
      var $9=__ZNK9JSContext11findVersionEv($3); //@line 1129 "./jscntxt.h"
      $version=$9; //@line 1129 "./jscntxt.h"
      var $10=$2; //@line 1130 "./jscntxt.h"
      var $11=$version; //@line 1130 "./jscntxt.h"
      var $12=__ZN2jsL20OptionFlagsToVersionEj9JSVersion($10, $11); //@line 1130 "./jscntxt.h"
      $newVersion=$12; //@line 1130 "./jscntxt.h"
      var $13=$newVersion; //@line 1131 "./jscntxt.h"
      var $14=__ZN9JSContext20maybeOverrideVersionE9JSVersion($3, $13); //@line 1131 "./jscntxt.h"
      __label__ = 4; break; //@line 1132 "./jscntxt.h"
    case 4: 
      ;
      return; //@line 1132 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK9JSContext17getCompileOptionsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK9JSContext11findVersionEv($2); //@line 1135 "./jscntxt.h"
  var $4=__ZN2jsL21VersionFlagsToOptionsE9JSVersion($3); //@line 1135 "./jscntxt.h"
  ;
  return $4; //@line 1135 "./jscntxt.h"
}


function __ZN2jsL20OptionFlagsToVersionEj9JSVersion($options, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$options;
  HEAP32[(($2)>>2)]=$version;
  var $3=$1; //@line 920 "./jscntxt.h"
  var $4=__ZN2jsL13OptionsHasXMLEj($3); //@line 920 "./jscntxt.h"
  __ZN2jsL13VersionSetXMLEP9JSVersionb($2, $4); //@line 920 "./jscntxt.h"
  var $5=HEAP32[(($2)>>2)]; //@line 921 "./jscntxt.h"
  STACKTOP = __stackBase__;
  return $5; //@line 921 "./jscntxt.h"
}


function __ZN2jsL21VersionFlagsToOptionsE9JSVersion($version) {
  ;
  var __label__;

  var $1;
  var $copts;
  $1=$version;
  var $2=$1; //@line 912 "./jscntxt.h"
  var $3=__ZN2jsL13VersionHasXMLE9JSVersion($2); //@line 912 "./jscntxt.h"
  var $4=$3 ? 64 : 0; //@line 912 "./jscntxt.h"
  $copts=$4; //@line 912 "./jscntxt.h"
  var $5=$copts; //@line 914 "./jscntxt.h"
  ;
  return $5; //@line 914 "./jscntxt.h"
}


function __ZNK9JSContext20canSetDefaultVersionEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+60)|0); //@line 1046 "./jscntxt.h"
      var $4=__ZNK2js12ContextStack5hasfpEv($3); //@line 1046 "./jscntxt.h"
      if ($4) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1046 "./jscntxt.h"
    case 2: 
      var $6=(($2+16)|0); //@line 1046 "./jscntxt.h"
      var $7=HEAP8[($6)]; //@line 1046 "./jscntxt.h"
      var $8=(($7) & 1); //@line 1046 "./jscntxt.h"
      var $9=$8 ^ 1; //@line 1046 "./jscntxt.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 1047 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<4))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+16)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSAtomStateD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 199 "./jsatom.h"
  __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEED1Ev($3); //@line 199 "./jsatom.h"
  ;
  return; //@line 199 "./jsatom.h"
}


function __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSAtomStateC2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 199 "./jsatom.h"
  __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEEC1ES5_($4, $2); //@line 199 "./jsatom.h"
  var $5=(($3+548)|0); //@line 199 "./jsatom.h"
  STACKTOP = __stackBase__;
  return; //@line 199 "./jsatom.h"
}


function __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZNK2JS5Value7isInt32Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 383 "./jsapi.h"
  var $5=$2; //@line 383 "./jsapi.h"
  var $6=$4; //@line 383 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 383 "./jsapi.h"
  var $7=_JSVAL_IS_INT32_IMPL($2); //@line 383 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 383 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 383 "./jsapi.h"
}


function __ZN2js15AutoValueRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1505 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($3); //@line 1505 "./jscntxt.h"
  ;
  return; //@line 1505 "./jscntxt.h"
}


function __ZN2js15AutoValueRooterC2EP9JSContextRKN2JS5ValueE($this, $cx, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$v;
      var $4=$1;
      var $5=$4; //@line 1518 "./jscntxt.h"
      var $6=$2; //@line 1518 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($5, $6, -1); //@line 1518 "./jscntxt.h"
      var $7=(($4+16)|0); //@line 1518 "./jscntxt.h"
      var $8=$3; //@line 1518 "./jscntxt.h"
      var $9=$7; //@line 1518 "./jscntxt.h"
      var $10=$8; //@line 1518 "./jscntxt.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1518 "./jscntxt.h"
      __label__ = 2; break; //@line 1519 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1519 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1520 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16JSAutoByteStringD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 4292 "./jsapi.h"
  var $4=HEAP32[(($3)>>2)]; //@line 4292 "./jsapi.h"
  __ZN2js10Foreground5free_EPv($4); //@line 4292 "./jsapi.h"
  ;
  return; //@line 4293 "./jsapi.h"
}


function __ZN16JSAutoByteString6encodeEP9JSContextP8JSString($this, $cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$str;
  var $4=$1;
  var $5=$2; //@line 4304 "./jsapi.h"
  var $6=$3; //@line 4304 "./jsapi.h"
  var $7=_JS_EncodeString($5, $6); //@line 4304 "./jsapi.h"
  var $8=(($4)|0); //@line 4304 "./jsapi.h"
  HEAP32[(($8)>>2)]=$7; //@line 4304 "./jsapi.h"
  var $9=(($4)|0); //@line 4305 "./jsapi.h"
  var $10=HEAP32[(($9)>>2)]; //@line 4305 "./jsapi.h"
  ;
  return $10; //@line 4305 "./jsapi.h"
}


function __GLOBAL__I_a() {
  ;
  var __label__;

  ___cxx_global_var_init();
  ___cxx_global_var_init1();
  ___cxx_global_var_init2();
  ___cxx_global_var_init3();
  ___cxx_global_var_init4();
  ___cxx_global_var_init5();
  ;
  return;
}


function _JS_ArenaFinish() {
  ;
  var __label__;

  ;
  return; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
}


function _JS_ArenaShutDown() {
  ;
  var __label__;

  ;
  return; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
}


function __ZN8JSObject11asArgumentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 298 "./vm/ArgumentsObject.h"
  ;
  return $3; //@line 298 "./vm/ArgumentsObject.h"
}


function _JS_InitArenaPool($pool, $name, $size, $align) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$pool;
      $2=$name;
      $3=$size;
      $4=$align;
      var $5=$4; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $6=(($5)|0)==1; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($6) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 2: 
      var $8=$4; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $9=(($8)|0)==2; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($9) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 3: 
      var $11=$4; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $12=(($11)|0)==4; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 4: 
      var $14=$4; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $15=(($14)|0)==8; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 5: 
      var $17=$4; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $18=(($17-1)|0); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $19=$1; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $20=(($19+24)|0); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($20)>>2)]=$18; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 7; break; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 6: 
      var $22=$1; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $23=(($22+24)|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($23)>>2)]=7; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 7; break;
    case 7: 
      var $25=$1; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $26=(($25)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $27=(($26)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($27)>>2)]=0; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $28=$1; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $29=(($28)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $30=(($29+16)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $31=$30; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $32=$1; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $33=(($32+24)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $35=(($31+$34)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $36=$1; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $37=(($36+24)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $39=$38 ^ -1; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $40=$35 & $39; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $41=$1; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $42=(($41)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $43=(($42+8)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($43)>>2)]=$40; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $44=$1; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $45=(($44)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $46=(($45+12)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($46)>>2)]=$40; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $47=$1; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $48=(($47)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $49=(($48+4)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($49)>>2)]=$40; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $50=$1; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $51=(($50)|0); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $52=$1; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $53=(($52+16)|0); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $54=$3; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $55=$1; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $56=(($55+20)|0); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($56)>>2)]=$54; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      ;
      return; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_InitArenaPool["X"]=1;

function __ZN2js15AutoValueRooter4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1540 "./jscntxt.h"
  ;
  return $3; //@line 1540 "./jscntxt.h"
}


function _JS_ArenaAllocate($pool, $nb) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $a;
      var $ap;
      var $gross;
      var $p;
      $2=$pool;
      $3=$nb;
      var $4=$2; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $5=(($4+16)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$6; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 2; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 2: 
      var $8=$3; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $9=$a; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $10=(($9+8)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $12=(($8)>>>0) > (($11)>>>0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($12) { var $24 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 3: 
      var $14=$a; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $15=(($14+12)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $16=HEAPU32[(($15)>>2)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $17=$a; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $18=(($17+8)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $20=$3; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $21=(($19-$20)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $22=(($16)>>>0) > (($21)>>>0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $24 = $22;__label__ = 4; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 4: 
      var $24;
      if ($24) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 5: 
      var $26=$a; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $27=(($26)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $ap=$27; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $28=$ap; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $30=(($29)|0)!=0; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($30) { __label__ = 12; break; } else { __label__ = 6; break; } //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 6: 
      var $32=$3; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $33=$2; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $34=(($33+20)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $35=HEAPU32[(($34)>>2)]; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $36=(($32)>>>0) > (($35)>>>0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 7: 
      var $38=$3; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $44 = $38;__label__ = 9; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 8: 
      var $40=$2; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $41=(($40+20)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $44 = $42;__label__ = 9; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 9: 
      var $44; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $45=(($44+16)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $gross=$45; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $46=$gross; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $47=__ZN2js11OffTheBooks7malloc_Ej($46); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $48=$47; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$48; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $49=$a; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $50=(($49)|0)!=0; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 10: 
      $1=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 15; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 11: 
      var $53=$a; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $54=(($53)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($54)>>2)]=0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $55=$a; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $56=$55; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $57=(($56+16)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $58=$a; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $59=(($58+12)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($59)>>2)]=$57; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $60=$a; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $61=(($60+4)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($61)>>2)]=$57; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $62=$a; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $63=$62; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $64=$gross; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $65=(($63+$64)|0); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $66=$a; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $67=(($66+8)|0); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($67)>>2)]=$65; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $68=$a; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $69=$ap; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($69)>>2)]=$68; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 13; break; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 12: 
      var $71=$ap; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$72; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 13; break; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 13: 
      var $74=$a; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $75=$2; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $76=(($75+16)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($76)>>2)]=$74; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 2; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 14: 
      var $78=$a; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $79=(($78+12)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $81=$80; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $p=$81; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $82=$3; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $83=$a; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $84=(($83+12)|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $86=(($85+$82)|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($84)>>2)]=$86; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $87=$p; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $1=$87; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 15; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 15: 
      var $89=$1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      ;
      return $89; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ArenaAllocate["X"]=1;

function _JS_ArenaRealloc($pool, $p, $size, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $a;
      var $ap;
      var $gross;
      $2=$pool;
      $3=$p;
      $4=$size;
      $5=$incr;
      var $6=$2; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $7=(($6)|0); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $8=(($7)|0); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $ap=$8; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 2; break; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 2: 
      var $10=$ap; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$11; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $12=$3; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $13=$12; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $14=$a; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $15=(($14+4)|0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $17=(($13-$16)|0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $18=$a; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $19=(($18+12)|0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $21=$a; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $22=(($21+4)|0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $24=(($20-$23)|0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $25=(($17)>>>0) <= (($24)>>>0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 3: 
      __label__ = 5; break; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 4: 
      var $28=$a; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $29=(($28)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $ap=$29; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 2; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 5: 
      var $31=$4; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $32=$5; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $33=(($31+$32)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $34=$2; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $35=(($34+24)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $37=(($33+$36)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $38=$2; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $39=(($38+24)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $41=$40 ^ -1; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $42=$37 & $41; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $43=(($42+16)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $gross=$43; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $44=$a; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $45=$44; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $46=$gross; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $47=__ZN2js11OffTheBooks8realloc_EPvj($45, $46); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $48=$47; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$48; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $49=$a; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $50=(($49)|0)!=0; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($50) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 6: 
      $1=0; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 12; break; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 7: 
      var $53=$a; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $54=$53; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $55=(($54+16)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $56=$a; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $57=(($56+4)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($57)>>2)]=$55; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $58=$a; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $59=$58; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $60=$gross; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $61=(($59+$60)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $62=$a; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $63=(($62+8)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($63)>>2)]=$61; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $64=$a; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $65=(($64+12)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($65)>>2)]=$61; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $66=$a; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $67=$ap; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $69=(($66)|0)!=(($68)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($69) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 8: 
      var $71=$2; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $72=(($71+16)|0); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $74=$ap; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $76=(($73)|0)==(($75)|0); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($76) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 9: 
      var $78=$a; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $79=$2; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $80=(($79+16)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($80)>>2)]=$78; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 10; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 10: 
      var $82=$a; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $83=$ap; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($83)>>2)]=$82; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 11; break; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 11: 
      var $85=$a; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $86=(($85+4)|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $88=$87; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $1=$88; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 12; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 12: 
      var $90=$1; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      ;
      return $90; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ArenaRealloc["X"]=1;

function __ZN2js11OffTheBooks8realloc_EPvj($p, $bytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$p;
  $2=$bytes;
  var $3=$1; //@line 520 "./jsutil.h"
  var $4=$2; //@line 520 "./jsutil.h"
  var $5=_js_realloc311($3, $4); //@line 520 "./jsutil.h"
  ;
  return $5; //@line 520 "./jsutil.h"
}


function _JS_ArenaGrow($pool, $p, $size, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newp;
      var $_a;
      var $_nb;
      var $_p;
      $2=$pool;
      $3=$p;
      $4=$size;
      $5=$incr;
      var $6=$4; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $7=$2; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $8=(($7+20)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $10=(($6)>>>0) > (($9)>>>0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 2: 
      var $12=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $13=$3; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $14=$4; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $15=$5; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $16=_JS_ArenaRealloc($12, $13, $14, $15); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $1=$16; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 14; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 3: 
      __label__ = 4; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 4: 
      var $19=$2; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $20=(($19+16)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $_a=$21; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $22=$4; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $23=$5; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $24=(($22+$23)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $25=$2; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $26=(($25+24)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $28=(($24+$27)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $29=$2; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $30=(($29+24)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $32=$31 ^ -1; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $33=$28 & $32; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $_nb=$33; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $34=$_a; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $35=(($34+12)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $_p=$36; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $37=$_nb; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $38=$_a; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $39=(($38+8)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $40=HEAPU32[(($39)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $41=(($37)>>>0) > (($40)>>>0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($41) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 5: 
      var $43=$_p; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $44=$_a; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $45=(($44+8)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $47=$_nb; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $48=(($46-$47)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $49=(($43)>>>0) > (($48)>>>0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($49) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 6: 
      var $51=$2; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $52=$_nb; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $53=_JS_ArenaAllocate($51, $52); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $54=$53; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $_p=$54; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 8; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 7: 
      var $56=$_p; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $57=$_nb; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $58=(($56+$57)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $59=$_a; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $60=(($59+12)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($60)>>2)]=$58; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 8; break;
    case 8: 
      var $62=$_p; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $63=$62; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $newp=$63; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 9; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 9: 
      __label__ = 10; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 10: 
      __label__ = 11; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 11: 
      var $67=$newp; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $68=(($67)|0)!=0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($68) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 12: 
      var $70=$newp; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $71=$3; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $72=$4; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      assert($72 % 1 === 0, 'memcpy given ' + $72 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($70, $71, $72, 1); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 13; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 13: 
      var $74=$newp; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $1=$74; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 14; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 14: 
      var $76=$1; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      ;
      return $76; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ArenaGrow["X"]=1;

function _JS_ArenaRelease($pool, $mark) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $a;
      $1=$pool;
      $2=$mark;
      var $3=$1; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $4=(($3)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$4; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 2; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 2: 
      var $6=$a; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $7=(($6)|0)!=0; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 3: 
      var $9=$2; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $10=$9; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $11=$a; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $12=(($11+4)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $14=(($10-$13)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $15=$a; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $16=(($15+12)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $18=$a; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $19=(($18+4)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $21=(($17-$20)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $22=(($14)>>>0) <= (($21)>>>0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 4: 
      var $24=$2; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $25=$24; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $26=$1; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $27=(($26+24)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $29=(($25+$28)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $30=$1; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $31=(($30+24)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $33=$32 ^ -1; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $34=$29 & $33; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $35=$a; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $36=(($35+12)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($36)>>2)]=$34; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $37=$1; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $38=$a; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __ZL13FreeArenaListP11JSArenaPoolP7JSArena($37, $38); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 7; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 5: 
      __label__ = 6; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 6: 
      var $41=$a; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $42=(($41)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$43; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 2; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 7: 
      ;
      return; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ArenaRelease["X"]=1;

function __ZL13FreeArenaListP11JSArenaPoolP7JSArena($pool, $head) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ap;
      var $a;
      $1=$pool;
      $2=$head;
      var $3=$2; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $4=(($3)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $ap=$4; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $5=$ap; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$6; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $7=$a; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $8=(($7)|0)!=0; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 2: 
      __label__ = 7; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 3: 
      __label__ = 4; break; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 4: 
      var $12=$a; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $13=(($12)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $15=$ap; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $16=$a; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $17=$16; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __ZN2js10Foreground5free_EPv($17); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 5; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 5: 
      var $19=$ap; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      $a=$20; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $21=(($20)|0)!=0; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 6: 
      var $23=$2; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $24=$1; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      var $25=(($24+16)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      HEAP32[(($25)>>2)]=$23; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
      __label__ = 7; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    case 7: 
      ;
      return; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_FreeArenaPool($pool) {
  ;
  var __label__;

  var $1;
  $1=$pool;
  var $2=$1; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
  var $3=$1; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
  var $4=(($3)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
  __ZL13FreeArenaListP11JSArenaPoolP7JSArena($2, $4); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
  ;
  return; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
}


function _JS_FinishArenaPool($pool) {
  ;
  var __label__;

  var $1;
  $1=$pool;
  var $2=$1; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
  var $3=$1; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
  var $4=(($3)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
  __ZL13FreeArenaListP11JSArenaPoolP7JSArena($2, $4); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
  ;
  return; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarena.cpp"
}


function _js_free310($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_realloc311($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc312($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($cx, $obj, $lengthp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argsobj;
      var $tvr=__stackBase__;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$lengthp;
      var $6=$3; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=__ZNK8JSObject7isArrayEv($6); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $9=$3; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZNK8JSObject14getArrayLengthEv($9); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$4; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 13; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $13=$3; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=__ZNK8JSObject11isArgumentsEv($13); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $16=$3; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZN8JSObject11asArgumentsEv($16); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argsobj=$17; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$argsobj; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZNK2js15ArgumentsObject19hasOverriddenLengthEv($18); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $21=$argsobj; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=__ZNK2js15ArgumentsObject13initialLengthEv($21); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$4; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 13; break; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      __label__ = 7; break; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $26=$2; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $26); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$3; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$2; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$2; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($29+52)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31+209948)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=(($32+308)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($27, $28, $34, $35); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(($36)|0)!=0; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      $1=0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 12; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $40=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=__ZNK2JS5Value7isInt32Ev($40); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $43=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=__ZNK2JS5Value7toInt32Ev($43); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$4; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($45)>>2)]=$44; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 12; break; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $47=$2; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=$4; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($47, $48, $49); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=(($50)&1); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$51; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 12; break; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $54=$1; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj["X"]=1;

function __ZNK8JSObject14getArrayLengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 456 "./jsobjinlines.h"
  var $4=$3; //@line 456 "./jsobjinlines.h"
  ;
  return $4; //@line 456 "./jsobjinlines.h"
}


function __ZNK8JSObject11isArgumentsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject17isNormalArgumentsEv($2); //@line 1532 "./jsobj.h"
      if ($3) { var $7 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1532 "./jsobj.h"
    case 2: 
      var $5=__ZNK8JSObject17isStrictArgumentsEv($2); //@line 1532 "./jsobj.h"
      var $7 = $5;__label__ = 3; break; //@line 1532 "./jsobj.h"
    case 3: 
      var $7;
      ;
      return $7; //@line 1532 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js15ArgumentsObject19hasOverriddenLengthEv($this) {
  ;
  var __label__;

  var $1;
  var $v;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 75 "./vm/ArgumentsObject-inl.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 0); //@line 75 "./vm/ArgumentsObject-inl.h"
  $v=$4; //@line 75 "./vm/ArgumentsObject-inl.h"
  var $5=$v; //@line 76 "./vm/ArgumentsObject-inl.h"
  var $6=__ZNK2JS5Value7toInt32Ev($5); //@line 76 "./vm/ArgumentsObject-inl.h"
  var $7=$6 & 1; //@line 76 "./vm/ArgumentsObject-inl.h"
  var $8=(($7)|0)!=0; //@line 76 "./vm/ArgumentsObject-inl.h"
  ;
  return $8; //@line 76 "./vm/ArgumentsObject-inl.h"
}


function __ZN2js15AutoValueRooterC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1513 "./jscntxt.h"
  __ZN2js15AutoValueRooterC2EP9JSContext($3, $4); //@line 1513 "./jscntxt.h"
  ;
  return; //@line 1513 "./jscntxt.h"
}


function __ZN8JSObject30getDenseArrayInitializedLengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 58 "./jsarray.h"
  var $4=$3; //@line 58 "./jsarray.h"
  var $5=HEAP32[(($4)>>2)]; //@line 58 "./jsarray.h"
  ;
  return $5; //@line 58 "./jsarray.h"
}


function __ZN8JSObject21getDenseArrayElementsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 500 "./jsobjinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 500 "./jsobjinlines.h"
  ;
  return $4; //@line 500 "./jsobjinlines.h"
}


function __ZN8JSObject20getDenseArrayElementEj($this, $idx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$idx;
  var $3=$1;
  var $4=$2; //@line 507 "./jsobjinlines.h"
  var $5=(($3+32)|0); //@line 507 "./jsobjinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 507 "./jsobjinlines.h"
  var $7=(($6+($4<<3))|0); //@line 507 "./jsobjinlines.h"
  ;
  return $7; //@line 507 "./jsobjinlines.h"
}


function __ZN2js18StringIsArrayIndexEP14JSLinearStringPj($str, $indexp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $s;
      var $length;
      var $end;
      var $c;
      var $previous;
      var $index;
      $2=$str;
      $3=$indexp;
      var $4=$2; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $5=__ZNK14JSLinearString5charsEv($4); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $s=$5; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=$2; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$6; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZNK8JSString6lengthEv($7); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$8; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$s; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$length; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($9+($10<<1))|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=$11; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$length; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12)|0)==0; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $15=$length; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=(($15)>>>0) > 10; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $18=$s; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=HEAPU16[(($18)>>1)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19)&65535); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=(($20-48)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21)>>>0) <= 9; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $c=0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $previous=0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$s; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=(($25+2)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $s=$26; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=HEAPU16[(($25)>>1)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=(($27)&65535); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($28-48)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $index=$29; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$index; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=(($30)|0)==0; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $33=$s; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$end; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=(($33)|0)!=(($34)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      __label__ = 9; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $39=$s; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$end; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=(($39)>>>0) < (($40)>>>0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $43=$s; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=HEAPU16[(($43)>>1)]; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=(($44)&65535); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45-48)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=(($46)>>>0) <= 9; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $50=$index; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $previous=$50; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=$s; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=HEAPU16[(($51)>>1)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=(($52)&65535); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($53-48)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $c=$54; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$index; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55*10)|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$c; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=(($56+$57)|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $index=$58; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 13; break; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $60=$s; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=(($60+2)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $s=$61; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 9; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $63=$previous; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=(($63)>>>0) < 429496729; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($64) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $66=$previous; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=(($66)|0)==429496729; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $69=$c; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=(($69)>>>0) <= 4; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($70) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $72=$index; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($73)>>2)]=$72; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      $1=0; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $76=$1; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $76; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js18StringIsArrayIndexEP14JSLinearStringPj["X"]=1;

function __ZN8JSObject22willBeSparseDenseArrayEjj($this, $requiredCapacity, $newElementsHint) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cap;
      var $minimalDenseCount;
      var $len;
      var $elems;
      var $i;
      $2=$this;
      $3=$requiredCapacity;
      $4=$newElementsHint;
      var $5=$2;
      var $6=__ZNK8JSObject8numSlotsEv($5); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $cap=$6; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$3; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7)>>>0) >= 536870912; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=1; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $11=$3; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=Math.floor((($11)>>>0)/4); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $minimalDenseCount=$12; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$4; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$minimalDenseCount; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($13)>>>0) >= (($14)>>>0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $18=$4; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$minimalDenseCount; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19-$18)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $minimalDenseCount=$20; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$minimalDenseCount; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$cap; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=(($21)>>>0) > (($22)>>>0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=1; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $26=__ZN8JSObject30getDenseArrayInitializedLengthEv($5); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $len=$26; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=__ZN8JSObject21getDenseArrayElementsEv($5); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $elems=$27; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $29=$i; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$len; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=(($29)>>>0) < (($30)>>>0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $33=$i; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$elems; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=(($34+($33<<3))|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=__ZNK2JS5Value7isMagicE10JSWhyMagic($35, 0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($36) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $38=$minimalDenseCount; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=(($38-1)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $minimalDenseCount=$39; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($39)|0)!=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      __label__ = 13; break; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $44=$i; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=(($44+1)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$45; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      $1=1; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $48=$1; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $48; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject22willBeSparseDenseArrayEjj["X"]=1;

function __ZNK2JS5Value7isMagicE10JSWhyMagic($this, $why) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$why;
  var $4=$1;
  var $5=(($4)|0); //@line 449 "./jsapi.h"
  var $6=$3; //@line 449 "./jsapi.h"
  var $7=$5; //@line 449 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 449 "./jsapi.h"
  var $8=_JSVAL_IS_MAGIC_IMPL($3); //@line 449 "./jsapi.h"
  var $9=(($8)|0)!=0; //@line 449 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $9; //@line 449 "./jsapi.h"
}


function __ZN8JSObject22arrayGetOwnDataElementEP9JSContextjPN2JS5ValueE($this, $cx, $i, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $hole=__stackBase__;
      var $id=__stackBase__+4;
      var $shape;
      $2=$this;
      $3=$cx;
      $4=$i;
      $5=$vp;
      var $6=$2;
      var $7=__ZNK8JSObject12isDenseArrayEv($6); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $9=$4; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZNK8JSObject14getArrayLengthEv($6); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($9)>>>0) >= (($10)>>>0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $13=$5; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($13, 0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $15=$5; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$4; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZN8JSObject20getDenseArrayElementEj($6, $16); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$15; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$17; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break;
    case 5: 
      $1=1; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 13; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $22=$3; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$4; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)>>>0); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=__ZL9IndexToIdP9JSContextP8JSObjectdPiS3_i($22, $6, $24, $hole, $id, 0); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 13; break; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $28=$3; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=HEAP32[(($id)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=__ZN8JSObject12nativeLookupEP9JSContexti($6, $28, $29); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $shape=$30; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$shape; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31)|0)!=0; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $34=$shape; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=__ZNK2js5Shape16isDataDescriptorEv($34); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $37=$5; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($37, 0); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $39=$5; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$shape; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=(($40+24)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=__ZNK8JSObject7getSlotEj($6, $42); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$43; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break;
    case 12: 
      $1=1; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 13; break; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $48=$1; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject22arrayGetOwnDataElementEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL9IndexToIdP9JSContextP8JSObjectdPiS3_i($cx, $obj, $index, $hole, $idp, $createAtom) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$hole;
      $6=$idp;
      $7=$createAtom;
      var $8=$4; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$8 <= 1073741823; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $11=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11)&-1); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=_INT_TO_JSID398($12); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$6; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $16=$4; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$16 <= 4294967295; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $19=$2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$3; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$4; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=($21 >= 0 ? Math.floor($21) : Math.ceil($21)); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$7; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$6; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=__ZL12BigIndexToIdP9JSContextP8JSObjectjiPi($19, $20, $22, $23, $24); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=(($25)|0)!=0; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $1=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $29=$5; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($29)|0)!=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $32=$6; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=_JSID_IS_VOID($33); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=(($34)|0)!=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $37=$5; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($37)>>2)]=1; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 9; break; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $1=1; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $40=$2; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$4; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$6; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=__ZL18ReallyBigIndexToIdP9JSContextdPi($40, $41, $42); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$43; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $45=$1; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $45; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9IndexToIdP9JSContextP8JSObjectdPiS3_i["X"]=1;

function __ZN2js11GetElementsEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $aobj, $length, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $srcbeg;
      var $srcend;
      var $src;
      var $dst;
      var $6=__stackBase__;
      var $argsobj;
      $2=$cx;
      $3=$aobj;
      $4=$length;
      $5=$vp;
      var $7=$3; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZNK8JSObject12isDenseArrayEv($7); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 12; break; } //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$4; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$3; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZN8JSObject30getDenseArrayInitializedLengthEv($11); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($10)>>>0) <= (($12)>>>0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $15=$2; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$3; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($15, $16); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0)!=0; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 12; break; } else { __label__ = 4; break; } //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $20=$3; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=__ZN8JSObject21getDenseArrayElementsEv($20); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $srcbeg=$21; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$srcbeg; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$4; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($22+($23<<3))|0); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $srcend=$24; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$srcbeg; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $src=$25; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$5; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $dst=$26; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $28=$src; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$srcend; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $32=$dst; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$src; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=__ZNK2JS5Value7isMagicE10JSWhyMagic($33, 0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      __ZN2JSL14UndefinedValueEv351($6); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 9; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $37=$src; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$6; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$37; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 9; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $41=$32; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$6; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $44=$dst; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=(($44+8)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $dst=$45; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$src; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=(($46+8)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $src=$47; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=1; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $50=$3; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=__ZNK8JSObject11isArgumentsEv($50); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($51) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $53=$3; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=__ZN8JSObject11asArgumentsEv($53); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argsobj=$54; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$argsobj; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=__ZNK2js15ArgumentsObject19hasOverriddenLengthEv($55); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 14; break; } //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $58=$argsobj; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=$4; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=$5; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=__ZN2js15ArgumentsObject11getElementsEjjPN2JS5ValueE($58, 0, $59, $60); //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      $1=1; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      __label__ = 17; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      __label__ = 18; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $66=$2; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$3; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=$4; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$5; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=__ZN2jsL15GetElementsSlowEP9JSContextP8JSObjectjPN2JS5ValueE($66, $67, $68, $69); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$70; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $72=$1; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $72; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11GetElementsEP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function __Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$obj;
      __label__ = 2; break; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $5=$3; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=__ZNK8JSObject8getProtoEv($5); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $3=$6; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=(($6)|0)!=0; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $9=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZNK8JSObject8isNativeEv($9); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=1; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 9; break; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $13=$3; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=__ZNK8JSObject9isIndexedEv($13); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 9; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      __label__ = 2; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      $1=0; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 9; break; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $19=$1; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $19; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv351($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js15ArgumentsObject11getElementsEjjPN2JS5ValueE($this, $start, $count, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length;
      var $fp;
      var $srcbeg;
      var $srcend;
      var $src;
      var $dst;
      var $6=__stackBase__;
      $2=$this;
      $3=$start;
      $4=$count;
      $5=$vp;
      var $7=$2;
      var $8=__ZNK2js15ArgumentsObject13initialLengthEv($7); //@line 712 "./vm/Stack-inl.h"
      $length=$8; //@line 712 "./vm/Stack-inl.h"
      var $9=$3; //@line 713 "./vm/Stack-inl.h"
      var $10=$length; //@line 713 "./vm/Stack-inl.h"
      var $11=(($9)>>>0) > (($10)>>>0); //@line 713 "./vm/Stack-inl.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 713 "./vm/Stack-inl.h"
    case 2: 
      var $13=$3; //@line 713 "./vm/Stack-inl.h"
      var $14=$4; //@line 713 "./vm/Stack-inl.h"
      var $15=(($13+$14)|0); //@line 713 "./vm/Stack-inl.h"
      var $16=$length; //@line 713 "./vm/Stack-inl.h"
      var $17=(($15)>>>0) > (($16)>>>0); //@line 713 "./vm/Stack-inl.h"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 713 "./vm/Stack-inl.h"
    case 3: 
      $1=0; //@line 714 "./vm/Stack-inl.h"
      __label__ = 15; break; //@line 714 "./vm/Stack-inl.h"
    case 4: 
      var $20=__ZNK2js15ArgumentsObject15maybeStackFrameEv($7); //@line 716 "./vm/Stack-inl.h"
      $fp=$20; //@line 716 "./vm/Stack-inl.h"
      var $21=$fp; //@line 719 "./vm/Stack-inl.h"
      var $22=(($21)|0)!=0; //@line 719 "./vm/Stack-inl.h"
      if ($22) { __label__ = 12; break; } else { __label__ = 5; break; } //@line 719 "./vm/Stack-inl.h"
    case 5: 
      var $24=__ZNK2js15ArgumentsObject8elementsEv($7); //@line 720 "./vm/Stack-inl.h"
      var $25=$3; //@line 720 "./vm/Stack-inl.h"
      var $26=(($24+($25<<3))|0); //@line 720 "./vm/Stack-inl.h"
      $srcbeg=$26; //@line 720 "./vm/Stack-inl.h"
      var $27=$srcbeg; //@line 721 "./vm/Stack-inl.h"
      var $28=$4; //@line 721 "./vm/Stack-inl.h"
      var $29=(($27+($28<<3))|0); //@line 721 "./vm/Stack-inl.h"
      $srcend=$29; //@line 721 "./vm/Stack-inl.h"
      var $30=$srcbeg; //@line 722 "./vm/Stack-inl.h"
      $src=$30; //@line 722 "./vm/Stack-inl.h"
      var $31=$5; //@line 723 "./vm/Stack-inl.h"
      $dst=$31; //@line 723 "./vm/Stack-inl.h"
      __label__ = 6; break; //@line 723 "./vm/Stack-inl.h"
    case 6: 
      var $33=$src; //@line 723 "./vm/Stack-inl.h"
      var $34=$srcend; //@line 723 "./vm/Stack-inl.h"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 723 "./vm/Stack-inl.h"
      if ($35) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 723 "./vm/Stack-inl.h"
    case 7: 
      var $37=$src; //@line 724 "./vm/Stack-inl.h"
      var $38=__ZNK2JS5Value7isMagicE10JSWhyMagic($37, 1); //@line 724 "./vm/Stack-inl.h"
      if ($38) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 724 "./vm/Stack-inl.h"
    case 8: 
      $1=0; //@line 725 "./vm/Stack-inl.h"
      __label__ = 15; break; //@line 725 "./vm/Stack-inl.h"
    case 9: 
      var $41=$dst; //@line 726 "./vm/Stack-inl.h"
      var $42=$src; //@line 726 "./vm/Stack-inl.h"
      var $43=$41; //@line 726 "./vm/Stack-inl.h"
      var $44=$42; //@line 726 "./vm/Stack-inl.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 726 "./vm/Stack-inl.h"
      __label__ = 10; break; //@line 727 "./vm/Stack-inl.h"
    case 10: 
      var $46=$dst; //@line 723 "./vm/Stack-inl.h"
      var $47=(($46+8)|0); //@line 723 "./vm/Stack-inl.h"
      $dst=$47; //@line 723 "./vm/Stack-inl.h"
      var $48=$src; //@line 723 "./vm/Stack-inl.h"
      var $49=(($48+8)|0); //@line 723 "./vm/Stack-inl.h"
      $src=$49; //@line 723 "./vm/Stack-inl.h"
      __label__ = 6; break; //@line 723 "./vm/Stack-inl.h"
    case 11: 
      $1=1; //@line 728 "./vm/Stack-inl.h"
      __label__ = 15; break; //@line 728 "./vm/Stack-inl.h"
    case 12: 
      var $52=__ZNK2js15ArgumentsObject7onTraceEv($7); //@line 732 "./vm/Stack-inl.h"
      if ($52) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 732 "./vm/Stack-inl.h"
    case 13: 
      $1=0; //@line 733 "./vm/Stack-inl.h"
      __label__ = 15; break; //@line 733 "./vm/Stack-inl.h"
    case 14: 
      var $55=$fp; //@line 737 "./vm/Stack-inl.h"
      var $56=$5; //@line 737 "./vm/Stack-inl.h"
      __ZN2js6detail17CopyNonHoleArgsToC1EPNS_15ArgumentsObjectEPN2JS5ValueE($6, $7, $56); //@line 737 "./vm/Stack-inl.h"
      var $57=$3; //@line 737 "./vm/Stack-inl.h"
      var $58=$4; //@line 737 "./vm/Stack-inl.h"
      var $59=__ZN2js10StackFrame25forEachCanonicalActualArgINS_6detail17CopyNonHoleArgsToEEEbT_jj($55, $6, $57, $58); //@line 737 "./vm/Stack-inl.h"
      $1=$59; //@line 737 "./vm/Stack-inl.h"
      __label__ = 15; break; //@line 737 "./vm/Stack-inl.h"
    case 15: 
      var $61=$1; //@line 738 "./vm/Stack-inl.h"
      STACKTOP = __stackBase__;
      return $61; //@line 738 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js15ArgumentsObject11getElementsEjjPN2JS5ValueE["X"]=1;

function __ZN2jsL15GetElementsSlowEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $aobj, $length, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      $2=$cx;
      $3=$aobj;
      $4=$length;
      $5=$vp;
      $i=0; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 2; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $7=$i; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$4; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($7)>>>0) < (($8)>>>0); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $11=$3; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$2; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$i; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$i; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$5; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=(($15+($14<<3))|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($11, $12, $13, $16); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0)!=0; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      __label__ = 6; break; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $22=$i; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=(($22+1)|0); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$23; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 2; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=1; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $26=$1; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $26; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_SetLengthPropertyP9JSContextP8JSObjectd($cx, $obj, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $v=__stackBase__;
  var $id;
  $1=$cx;
  $2=$obj;
  $3=$length;
  var $4=$3; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=__ZN2JS5Value9setNumberEd($v, $4); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$1; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=(($6+52)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=(($8+209948)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=(($9+308)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $12=$11; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $13=__ZL12ATOM_TO_JSIDP6JSAtom354($12); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  $id=$13; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $14=$2; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $15=$1; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $16=$id; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $17=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($14, $15, $16, $v, 0); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $17; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL12ATOM_TO_JSIDP6JSAtom354($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj423($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __Z28js_GetDenseArrayElementValueP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $6=$4; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=__Z12js_IdIsIndexiPj($6, $i); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7)|0)!=0; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$5; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$3; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZNK8JSObject14getArrayLengthEv($11); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=__ZN2JS5Value9setNumberEj($10, $12); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 4; break; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $15=$5; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$3; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=HEAP32[(($i)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__ZN8JSObject20getDenseArrayElementEj($16, $17); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$15; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$18; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 4; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $22=$1; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject9isIndexedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 737 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 737 "./jsobj.h"
  var $5=$4 & 64; //@line 737 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 737 "./jsobj.h"
  var $7=$6 ^ 1; //@line 737 "./jsobj.h"
  var $8=$7 ^ 1; //@line 737 "./jsobj.h"
  ;
  return $8; //@line 737 "./jsobj.h"
}


function __Z12js_IdIsIndexiPj($id, $indexp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $2=$id;
      $3=$indexp;
      var $4=$2; //@line 88 "./jsarray.h"
      var $5=_JSID_IS_INT387($4); //@line 88 "./jsarray.h"
      var $6=(($5)|0)!=0; //@line 88 "./jsarray.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 88 "./jsarray.h"
    case 2: 
      var $8=$2; //@line 90 "./jsarray.h"
      var $9=_JSID_TO_INT420($8); //@line 90 "./jsarray.h"
      $i=$9; //@line 90 "./jsarray.h"
      var $10=$i; //@line 91 "./jsarray.h"
      var $11=(($10)|0) < 0; //@line 91 "./jsarray.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 91 "./jsarray.h"
    case 3: 
      $1=0; //@line 92 "./jsarray.h"
      __label__ = 8; break; //@line 92 "./jsarray.h"
    case 4: 
      var $14=$i; //@line 93 "./jsarray.h"
      var $15=$3; //@line 93 "./jsarray.h"
      HEAP32[(($15)>>2)]=$14; //@line 93 "./jsarray.h"
      $1=1; //@line 94 "./jsarray.h"
      __label__ = 8; break; //@line 94 "./jsarray.h"
    case 5: 
      var $17=$2; //@line 97 "./jsarray.h"
      var $18=_JSID_IS_STRING388($17); //@line 97 "./jsarray.h"
      var $19=(($18)|0)!=0; //@line 97 "./jsarray.h"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 97 "./jsarray.h"
    case 6: 
      $1=0; //@line 98 "./jsarray.h"
      __label__ = 8; break; //@line 98 "./jsarray.h"
    case 7: 
      var $22=$2; //@line 100 "./jsarray.h"
      var $23=__ZL12JSID_TO_ATOMi421($22); //@line 100 "./jsarray.h"
      var $24=$23; //@line 100 "./jsarray.h"
      var $25=$3; //@line 100 "./jsarray.h"
      var $26=__ZN2js18StringIsArrayIndexEP14JSLinearStringPj($24, $25); //@line 100 "./jsarray.h"
      var $27=(($26)&1); //@line 100 "./jsarray.h"
      $1=$27; //@line 100 "./jsarray.h"
      __label__ = 8; break; //@line 100 "./jsarray.h"
    case 8: 
      var $29=$1; //@line 101 "./jsarray.h"
      ;
      return $29; //@line 101 "./jsarray.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js20array_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej($cx, $obj, $id, $value, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $i=__stackBase__;
      var $isIndex;
      var $result;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$value;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$2; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10+52)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12+209948)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13+308)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$15; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom($9, $16); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0)!=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=1; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $21=$3; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=__ZNK8JSObject12isDenseArrayEv($21); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $24=$2; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$3; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$4; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$5; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$6; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$7; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$8; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($24, $25, $26, $27, $28, $29, $30); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$31; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      __label__ = 6; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      HEAP32[(($i)>>2)]=0; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$4; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=__Z12js_IdIsIndexiPj($34, $i); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($35)|0)!=0; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(($36)&1); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $isIndex=$37; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$isIndex; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=(($38) & 1); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $41=$8; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=(($41)|0)!=1; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      __label__ = 16; break; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $45=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=HEAP32[(($i)>>2)]; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($45, $46, $47, 1); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$48; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=$result; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=(($49)|0)!=0; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $52=$result; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=(($52)|0)==1; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      __label__ = 16; break; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $57=HEAPU32[(($i)>>2)]; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=$3; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=__ZNK8JSObject14getArrayLengthEv($58); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=(($57)>>>0) >= (($59)>>>0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $62=$3; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=HEAP32[(($i)>>2)]; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=(($63+1)|0); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject19setDenseArrayLengthEj($62, $64); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $66=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$2; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=HEAP32[(($i)>>2)]; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($66, $67, $68, $69); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $71=$3; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=$2; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=__ZN8JSObject18makeDenseArraySlowEP9JSContext($71, $72); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=(($73)|0)!=0; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($74) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      $1=0; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $77=$2; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=$3; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=$4; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=$6; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=$7; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=$8; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($77, $78, $79, $80, $81, $82, $83); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$84; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $86=$1; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $86; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js20array_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej["X"]=1;

function __ZL12JSID_IS_ATOMiP6JSAtom($id, $atom) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$id;
  $2=$atom;
  var $3=$1; //@line 81 "./jsatom.h"
  var $4=$2; //@line 81 "./jsatom.h"
  var $5=__ZL12ATOM_TO_JSIDP6JSAtom354($4); //@line 81 "./jsatom.h"
  var $6=(($3)|0)==(($5)|0); //@line 81 "./jsatom.h"
  var $7=(($6)&1); //@line 81 "./jsatom.h"
  ;
  return $7; //@line 81 "./jsatom.h"
}


function __ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($this, $cx, $index, $extra) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $currentCapacity;
      var $requiredCapacity;
      $2=$this;
      $3=$cx;
      $4=$index;
      $5=$extra;
      var $6=$2;
      var $7=__ZNK8JSObject8numSlotsEv($6); //@line 84 "./jsarrayinlines.h"
      $currentCapacity=$7; //@line 84 "./jsarrayinlines.h"
      var $8=$5; //@line 93 "./jsarrayinlines.h"
      var $9=(($8)|0)==1; //@line 93 "./jsarrayinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 93 "./jsarrayinlines.h"
    case 2: 
      var $11=$4; //@line 95 "./jsarrayinlines.h"
      var $12=$currentCapacity; //@line 95 "./jsarrayinlines.h"
      var $13=(($11)>>>0) < (($12)>>>0); //@line 95 "./jsarrayinlines.h"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 95 "./jsarrayinlines.h"
    case 3: 
      var $15=$3; //@line 96 "./jsarrayinlines.h"
      var $16=$4; //@line 96 "./jsarrayinlines.h"
      __ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj($6, $15, $16, 1); //@line 96 "./jsarrayinlines.h"
      $1=0; //@line 97 "./jsarrayinlines.h"
      __label__ = 18; break; //@line 97 "./jsarrayinlines.h"
    case 4: 
      var $18=$4; //@line 99 "./jsarrayinlines.h"
      var $19=(($18+1)|0); //@line 99 "./jsarrayinlines.h"
      $requiredCapacity=$19; //@line 99 "./jsarrayinlines.h"
      var $20=$requiredCapacity; //@line 100 "./jsarrayinlines.h"
      var $21=(($20)|0)==0; //@line 100 "./jsarrayinlines.h"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 100 "./jsarrayinlines.h"
    case 5: 
      $1=2; //@line 102 "./jsarrayinlines.h"
      __label__ = 18; break; //@line 102 "./jsarrayinlines.h"
    case 6: 
      __label__ = 12; break; //@line 104 "./jsarrayinlines.h"
    case 7: 
      var $25=$4; //@line 105 "./jsarrayinlines.h"
      var $26=$5; //@line 105 "./jsarrayinlines.h"
      var $27=(($25+$26)|0); //@line 105 "./jsarrayinlines.h"
      $requiredCapacity=$27; //@line 105 "./jsarrayinlines.h"
      var $28=$requiredCapacity; //@line 106 "./jsarrayinlines.h"
      var $29=$4; //@line 106 "./jsarrayinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 106 "./jsarrayinlines.h"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 106 "./jsarrayinlines.h"
    case 8: 
      $1=2; //@line 108 "./jsarrayinlines.h"
      __label__ = 18; break; //@line 108 "./jsarrayinlines.h"
    case 9: 
      var $33=$requiredCapacity; //@line 110 "./jsarrayinlines.h"
      var $34=$currentCapacity; //@line 110 "./jsarrayinlines.h"
      var $35=(($33)>>>0) <= (($34)>>>0); //@line 110 "./jsarrayinlines.h"
      if ($35) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 110 "./jsarrayinlines.h"
    case 10: 
      var $37=$3; //@line 111 "./jsarrayinlines.h"
      var $38=$4; //@line 111 "./jsarrayinlines.h"
      var $39=$5; //@line 111 "./jsarrayinlines.h"
      __ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj($6, $37, $38, $39); //@line 111 "./jsarrayinlines.h"
      $1=0; //@line 112 "./jsarrayinlines.h"
      __label__ = 18; break; //@line 112 "./jsarrayinlines.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $42=$requiredCapacity; //@line 120 "./jsarrayinlines.h"
      var $43=(($42)>>>0) > 256; //@line 120 "./jsarrayinlines.h"
      if ($43) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 120 "./jsarrayinlines.h"
    case 13: 
      var $45=$requiredCapacity; //@line 121 "./jsarrayinlines.h"
      var $46=$5; //@line 121 "./jsarrayinlines.h"
      var $47=__ZN8JSObject22willBeSparseDenseArrayEjj($6, $45, $46); //@line 121 "./jsarrayinlines.h"
      if ($47) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 121 "./jsarrayinlines.h"
    case 14: 
      $1=2; //@line 122 "./jsarrayinlines.h"
      __label__ = 18; break; //@line 122 "./jsarrayinlines.h"
    case 15: 
      var $50=$3; //@line 124 "./jsarrayinlines.h"
      var $51=$requiredCapacity; //@line 124 "./jsarrayinlines.h"
      var $52=__ZN8JSObject9growSlotsEP9JSContextj($6, $50, $51); //@line 124 "./jsarrayinlines.h"
      if ($52) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 124 "./jsarrayinlines.h"
    case 16: 
      $1=1; //@line 125 "./jsarrayinlines.h"
      __label__ = 18; break; //@line 125 "./jsarrayinlines.h"
    case 17: 
      var $55=$3; //@line 127 "./jsarrayinlines.h"
      var $56=$4; //@line 127 "./jsarrayinlines.h"
      var $57=$5; //@line 127 "./jsarrayinlines.h"
      __ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj($6, $55, $56, $57); //@line 127 "./jsarrayinlines.h"
      $1=0; //@line 128 "./jsarrayinlines.h"
      __label__ = 18; break; //@line 128 "./jsarrayinlines.h"
    case 18: 
      var $59=$1; //@line 129 "./jsarrayinlines.h"
      ;
      return $59; //@line 129 "./jsarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj["X"]=1;

function __ZN8JSObject19setDenseArrayLengthEj($this, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$length;
  var $3=$1;
  var $4=$2; //@line 486 "./jsobjinlines.h"
  var $5=$4; //@line 486 "./jsobjinlines.h"
  __ZN8JSObject10setPrivateEPv($3, $5); //@line 486 "./jsobjinlines.h"
  ;
  return; //@line 487 "./jsobjinlines.h"
}


function __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($this, $cx, $idx, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$idx;
  $4=$val;
  var $5=$1;
  var $6=$2; //@line 520 "./jsobjinlines.h"
  var $7=$4; //@line 520 "./jsobjinlines.h"
  __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($6, $5, 2, $7); //@line 520 "./jsobjinlines.h"
  var $8=$3; //@line 521 "./jsobjinlines.h"
  var $9=$4; //@line 521 "./jsobjinlines.h"
  __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($5, $8, $9); //@line 521 "./jsobjinlines.h"
  ;
  return; //@line 522 "./jsobjinlines.h"
}


function __ZN8JSObject18makeDenseArraySlowEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldMap;
      var $kind;
      var $arrayCapacity;
      var $arrayInitialized;
      var $autoArray=__stackBase__;
      var $4;
      var $next;
      var $i;
      var $id=__stackBase__+20;
      var $5=__stackBase__+24;
      $2=$this;
      $3=$cx;
      var $6=$2;
      var $7=$3; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($7, $6, 196608); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$3; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($6, $8); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($6)|0); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $oldMap=$10; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$6; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZNK2js2gc4Cell12getAllocKindEv($11); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $kind=$12; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$3; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=__ZNK8JSObject8getProtoEv($6); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$3; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($14, $15, 0, 0); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$kind; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE359($13, $6, __ZN2js14SlowArrayClassE, $16, $17); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $21=$3; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23backfillDenseArrayHolesEP9JSContext($6, $21); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=__ZN8JSObject21getDenseArrayCapacityEv($6); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $arrayCapacity=$22; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZN8JSObject30getDenseArrayInitializedLengthEv($6); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $arrayInitialized=$23; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=__ZNK8JSObject24denseArrayHasInlineSlotsEv($6); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $26=$3; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=__ZNK8JSObject8numSlotsEv($6); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=__ZN8JSObject10allocSlotsEP9JSContextj($6, $26, $27); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $30=$oldMap; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($6, $30); //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      __label__ = 7; break; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $33=__ZNK8JSObject13numFixedSlotsEv($6); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$arrayCapacity; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=(($33+$34)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($6+28)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(($6+4)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($37)>>2)]=__ZN2js14SlowArrayClassE; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$3; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=(($6+32)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$arrayInitialized; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js14AutoValueArrayC1EP9JSContextPN2JS5ValueEj($autoArray, $38, $40, $41); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=(($6+16)|0); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$42; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($43)>>2)]=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$3; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=__ZL17AddLengthPropertyP9JSContextP8JSObject($44, $6); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $47=$oldMap; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($6, $47); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$arrayCapacity; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($6+28)|0); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($49)>>2)]=$48; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$arrayInitialized; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=(($6+16)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$51; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($52)>>2)]=$50; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=(($6+4)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($53)>>2)]=__ZN2js10ArrayClassE; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $4=1;
      __label__ = 18; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $next=0; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=0; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $56=$i; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$arrayCapacity; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=(($56)>>>0) < (($57)>>>0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($58) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $60=$3; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=$i; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL10Int32ValueEi360($5, $61); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($60, $5, $id); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$i; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=(($6+32)|0); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=(($65+($63<<3))|0); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=__ZNK2JS5Value7isMagicE10JSWhyMagic($66, 0); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      __label__ = 16; break; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $70=$next; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=$i; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=(($6+32)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=(($73+($71<<3))|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($6, $70, $74); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=$3; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=HEAP32[(($id)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=$next; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=__ZN8JSObject15addDataPropertyEP9JSContextijj($6, $75, $76, $77, 1); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=(($78)|0)!=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($79) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $81=$oldMap; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($6, $81); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=$arrayCapacity; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=(($6+28)|0); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($83)>>2)]=$82; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=$arrayInitialized; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=(($6+16)|0); //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=$85; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($86)>>2)]=$84; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $87=(($6+4)|0); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($87)>>2)]=__ZN2js10ArrayClassE; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $4=1;
      __label__ = 18; break; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $89=$next; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=(($89+1)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $next=$90; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $92=$i; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $93=(($92+1)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$93; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $95=$next; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=(($6+28)|0); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=$next; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=(($97-$98)|0); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14clearSlotRangeEjj($6, $95, $99); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $4=1;
      __label__ = 18; break; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      __ZN2js14AutoValueArrayD1Ev($autoArray); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break;
    case 19: 
      var $102=$1; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $102; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject18makeDenseArraySlowEP9JSContext["X"]=1;

function __ZN2js19array_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej($cx, $obj, $index, $value, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $id=__stackBase__;
      var $result;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$value;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$3; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZNK8JSObject12isDenseArrayEv($9); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $12=$2; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$3; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$4; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$5; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$6; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$7; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$8; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__Z16js_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($12, $13, $14, $15, $16, $17, $18); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$19; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $21=$2; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$4; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZN2js9IndexToIdEP9JSContextjPi($21, $22, $id); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      __label__ = 6; break; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $27=$8; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=(($27)|0)!=1; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $30=$4; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=(($30)|0)==-1; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      __label__ = 16; break; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $34=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$2; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($34, $35, $36, 1); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$37; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$result; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=(($38)|0)!=0; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $41=$result; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=(($41)|0)==1; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      __label__ = 16; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $46=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=__ZNK8JSObject14getArrayLengthEv($47); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($46)>>>0) >= (($48)>>>0); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $51=$3; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$4; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=(($52+1)|0); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject19setDenseArrayLengthEj($51, $53); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $55=$3; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=$2; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$4; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=$5; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($55, $56, $57, $58); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $60=$3; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=$2; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=__ZN8JSObject18makeDenseArraySlowEP9JSContext($60, $61); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=(($62)|0)!=0; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($63) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      $1=0; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $66=$2; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$3; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=$4; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$5; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=$6; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=$7; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=$8; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=__Z16js_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($66, $67, $68, $69, $70, $71, $72); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$73; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $75=$1; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $75; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js19array_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej["X"]=1;

function __ZN2js20array_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $i=__stackBase__;
      var $7=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $8=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZNK8JSObject12isDenseArrayEv($8); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $11=$2; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$3; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$4; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$5; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$6; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($11, $12, $13, $14, $15); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$16; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $18=$4; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$2; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19+52)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21+209948)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=(($22+308)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$24; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=__ZL12JSID_IS_ATOMiP6JSAtom($18, $25); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=(($26)|0)!=0; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $29=$5; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $31=$4; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=__Z12js_IdIsIndexiPj($31, $i); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=(($32)|0)!=0; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $35=HEAPU32[(($i)>>2)]; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=__ZN8JSObject30getDenseArrayInitializedLengthEv($36); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=(($35)>>>0) < (($37)>>>0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $40=$3; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$2; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($40, $41); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$3; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=HEAP32[(($i)>>2)]; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic($7, 0); //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($42, $43, $7); //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $45=$2; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$3; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$4; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=__Z26js_SuppressDeletedPropertyP9JSContextP8JSObjecti($45, $46, $47); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $1=0; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $51=$5; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value10setBooleanEb($51, 1); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $53=$1; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js20array_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN2JSL10MagicValueE10JSWhyMagic($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$1; //@line 742 "./jsapi.h"
  __ZN2JS5Value8setMagicE10JSWhyMagic($agg_result, $2); //@line 742 "./jsapi.h"
  ;
  return; //@line 743 "./jsapi.h"
}


function __ZN2js19array_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $8=$3; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZNK8JSObject12isDenseArrayEv($8); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $11=$2; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$3; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$4; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$5; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$6; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=__Z16js_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $14, $15); //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$16; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $18=$4; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$3; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__ZN8JSObject30getDenseArrayInitializedLengthEv($19); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=(($18)>>>0) < (($20)>>>0); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $23=$3; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$2; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($23, $24); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$3; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic($7, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($25, $26, $7); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $28=$2; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$3; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$4; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=__Z25js_SuppressDeletedElementP9JSContextP8JSObjectj($28, $29, $30); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=0; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $34=$5; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value10setBooleanEb($34, 1); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $36=$1; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11array_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $initLength;
  $1=$trc;
  $2=$obj;
  var $3=$2; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=__ZN8JSObject30getDenseArrayInitializedLengthEv($3); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  $initLength=$4; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$1; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$initLength; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=$2; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=__ZN8JSObject21getDenseArrayElementsEv($7); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  __ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc($5, $6, $8, ((STRING_TABLE.__str27344)|0)); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL26array_getElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$attrsp;
  var $5=$4; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($5)>>2)]=1; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return 1; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL20array_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($cx, $obj, $id, $objp, $propp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$objp;
      $6=$propp;
      var $7=$3; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZNK8JSObject12isDenseArrayEv($7); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$2; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$3; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$4; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$5; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$6; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($10, $11, $12, $13, $14); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$15; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $17=$2; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$3; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$4; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__ZL14IsDenseArrayIdP9JSContextP8JSObjecti($17, $18, $19); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $22=$6; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($22)>>2)]=1; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$3; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$5; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $26=$3; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=__ZNK8JSObject8getProtoEv($26); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $proto=$27; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$proto; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($28)|0)!=0; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $31=$5; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($31)>>2)]=0; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$6; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($32)>>2)]=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $34=$proto; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$2; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$4; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$5; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$6; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($34, $35, $36, $37, $38); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$39; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $41=$1; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $41; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20array_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty["X"]=1;

function __ZL19array_lookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty($cx, $obj, $index, $objp, $propp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$objp;
      $6=$propp;
      var $7=$3; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZNK8JSObject12isDenseArrayEv($7); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$2; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$3; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$4; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$5; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$6; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__Z16js_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty($10, $11, $12, $13, $14); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$15; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $17=$3; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$4; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZL17IsDenseArrayIndexP8JSObjectj($17, $18); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $21=$6; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($21)>>2)]=1; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$3; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$5; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $25=$3; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=__ZNK8JSObject8getProtoEv($25); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $proto=$26; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$proto; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=(($27)|0)!=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $30=$proto; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$2; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$4; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$5; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$6; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=__ZN8JSObject13lookupElementEP9JSContextjPPS_PP10JSProperty($30, $31, $32, $33, $34); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$35; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $37=$5; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($37)>>2)]=0; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$6; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($38)>>2)]=0; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $40=$1; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $40; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19array_lookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty["X"]=1;

function __ZL19array_lookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty($cx, $obj, $sid, $objp, $propp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$objp;
  $4=$propp;
  var $5=$1; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$2; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE($sid); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$3; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=$4; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=__ZL20array_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($5, $6, $7, $8, $9); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL19array_defineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej($cx, $obj, $sid, $value, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$value;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$2; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE($sid); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=$3; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $11=$4; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $12=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $13=$6; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $14=__ZN2js20array_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL16array_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $i=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$5; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$2; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+52)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10+209948)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11+308)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$13; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom($7, $14); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=(($15)|0)!=0; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $18=$6; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$3; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__ZNK8JSObject14getArrayLengthEv($19); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=__ZN2JS5Value9setNumberEj($18, $20); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $23=$5; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$2; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=(($24+52)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=(($26+209948)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=(($27+344)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$29; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=__ZL12JSID_IS_ATOMiP6JSAtom($23, $30); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31)|0)!=0; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $34=$6; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$3; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value15setObjectOrNullEP8JSObject($34, $36); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $38=$3; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=__ZNK8JSObject12isDenseArrayEv($38); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $41=$2; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$3; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$5; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$6; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=__Z14js_GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($41, $42, $43, $44); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$45; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $47=$5; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=__Z12js_IdIsIndexiPj($47, $i); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($48)|0)!=0; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $51=HEAPU32[(($i)>>2)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$3; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=__ZN8JSObject30getDenseArrayInitializedLengthEv($52); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($51)>>>0) >= (($53)>>>0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $56=$3; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=HEAP32[(($i)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=__ZN8JSObject20getDenseArrayElementEj($56, $57); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=__ZNK2JS5Value7isMagicE10JSWhyMagic($58, 0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($59) { __label__ = 10; break; } else { __label__ = 20; break; } //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $61=$3; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=__ZNK8JSObject8getProtoEv($61); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $proto=$62; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$proto; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=(($63)|0)!=0; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($64) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $66=$6; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($66); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $68=$6; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($68); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$2; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=$proto; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=$5; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=$2; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=(($72+208)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($69, $70, $71, $74, $obj2, $prop); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      $1=0; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $78=HEAP32[(($prop)>>2)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=(($78)|0)!=0; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($79) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $81=HEAP32[(($obj2)>>2)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=__ZNK8JSObject8isNativeEv($81); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($82) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $84=HEAP32[(($prop)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=$84; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $shape=$85; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $87=$3; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $88=HEAP32[(($obj2)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=$shape; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=$6; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($86, $87, $88, $89, 0, $90); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=(($91)|0)!=0; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($92) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      $1=0; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      __label__ = 19; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      $1=1; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $97=$6; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=$3; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=HEAP32[(($i)>>2)]; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=__ZN8JSObject20getDenseArrayElementEj($98, $99); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $101=$97; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102=$100; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($101)>>2)]=HEAP32[(($102)>>2)];HEAP32[(($101+4)>>2)]=HEAP32[(($102+4)>>2)]; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $104=$1; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16array_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE["X"]=1;

function __ZL17array_getPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=$2; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$3; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=$4; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=$9; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom354($10); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $12=$5; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $13=__ZL16array_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $13; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL16array_getElementP9JSContextP8JSObjectS2_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZNK8JSObject12isDenseArrayEv($7); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$2; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$3; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$5; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$6; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=__Z13js_GetElementP9JSContextP8JSObjectjPN2JS5ValueE($10, $11, $12, $13); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$14; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $16=$5; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$3; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__ZN8JSObject21getDenseArrayCapacityEv($17); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($16)>>>0) < (($18)>>>0); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $21=$3; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$5; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZN8JSObject20getDenseArrayElementEj($21, $22); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=__ZNK2JS5Value7isMagicE10JSWhyMagic($23, 0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $26=$6; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$3; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$5; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__ZN8JSObject20getDenseArrayElementEj($27, $28); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$26; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$29; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $33=$3; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=__ZNK8JSObject8getProtoEv($33); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $proto=$34; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$proto; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($35)|0)!=0; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $38=$6; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($38); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $40=$6; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$2; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$5; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=__ZN2js9IndexToIdEP9JSContextjPi($41, $42, $id); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $1=0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $46=$2; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$proto; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=HEAP32[(($id)>>2)]; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=$2; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=(($49+208)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($46, $47, $48, $51, $obj2, $prop); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $55=HEAP32[(($prop)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55)|0)!=0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($56) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $58=HEAP32[(($obj2)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=__ZNK8JSObject8isNativeEv($58); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      $1=1; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $62=HEAP32[(($prop)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$62; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $shape=$63; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$2; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=$3; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=HEAP32[(($obj2)>>2)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$shape; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=$6; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($64, $65, $66, $67, 0, $68); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$69; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $71=$1; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $71; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16array_getElementP9JSContextP8JSObjectS2_jPN2JS5ValueE["X"]=1;

function __ZL16array_getSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$2; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=$3; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE($sid); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=$4; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=__ZL16array_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL17array_setPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $i=__stackBase__;
      var $result;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$4; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$2; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+52)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10+209948)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11+308)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$13; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom($7, $14); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=(($15)|0)!=0; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $18=$2; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$3; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$4; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$6; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$5; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZL19array_length_setterP9JSContextP8JSObjectiiPN2JS5ValueE($18, $19, $20, $21, $22); //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$23; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $25=$3; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=__ZNK8JSObject12isDenseArrayEv($25); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $28=$2; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$3; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$4; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$5; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$6; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($28, $29, $30, 0, $31, $32); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$33; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      __label__ = 6; break; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $36=$4; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=__Z12js_IdIsIndexiPj($36, $i); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=(($37)|0)!=0; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      __label__ = 17; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $41=$2; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$3; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($41, $42); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=(($43)|0)!=0; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      __label__ = 17; break; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $47=$3; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$2; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=HEAP32[(($i)>>2)]; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($47, $48, $49, 1); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$50; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=$result; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=(($51)|0)!=0; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $54=$result; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=(($54)|0)==1; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      $1=0; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $59=HEAPU32[(($i)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=$3; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=__ZNK8JSObject14getArrayLengthEv($60); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=(($59)>>>0) >= (($61)>>>0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($62) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $64=$3; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=HEAP32[(($i)>>2)]; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=(($65+1)|0); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject19setDenseArrayLengthEj($64, $66); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $68=$3; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$2; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=HEAP32[(($i)>>2)]; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=$5; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($68, $69, $70, $71); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $73=$3; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=__ZN8JSObject18makeDenseArraySlowEP9JSContext($73, $74); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=(($75)|0)!=0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($76) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      $1=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $79=$2; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=$3; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=$4; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=$5; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=$6; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($79, $80, $81, 0, $82, $83); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$84; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $86=$1; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $86; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17array_setPropertyP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZL16array_setElementP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      var $result;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$2; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$4; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $12=$3; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=__ZNK8JSObject12isDenseArrayEv($12); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $15=$2; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$3; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=HEAP32[(($id)>>2)]; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$5; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$6; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($15, $16, $17, 0, $18, $19); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$20; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      __label__ = 6; break; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $23=$4; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)|0)==-1; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      __label__ = 17; break; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $27=$2; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$3; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($27, $28); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($29)|0)!=0; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      __label__ = 17; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $33=$3; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$2; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$4; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($33, $34, $35, 1); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$36; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$result; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=(($37)|0)!=0; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $40=$result; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=(($40)|0)==1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($41) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      $1=0; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $45=$4; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$3; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=__ZNK8JSObject14getArrayLengthEv($46); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=(($45)>>>0) >= (($47)>>>0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($48) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $50=$3; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=$4; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=(($51+1)|0); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject19setDenseArrayLengthEj($50, $52); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $54=$3; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$2; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=$4; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$5; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($54, $55, $56, $57); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $59=$3; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=$2; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=__ZN8JSObject18makeDenseArraySlowEP9JSContext($59, $60); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=(($61)|0)!=0; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($62) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      $1=0; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $65=$2; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=$3; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=HEAP32[(($id)>>2)]; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=$5; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$6; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($65, $66, $67, 0, $68, $69); //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$70; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $72=$1; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $72; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16array_setElementP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZL16array_setSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$2; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE($sid); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$3; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=$4; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=__ZL17array_setPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL19array_getAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$attrsp;
  var $5=$3; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$1; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=(($6+52)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=(($8+209948)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=(($9+308)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $12=$11; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $13=__ZL12JSID_IS_ATOMiP6JSAtom($5, $12); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $14=(($13)|0)!=0; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $15=$14 ? 4 : 1; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $16=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($16)>>2)]=$15; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return 1; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL26array_getSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE($sid); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=$3; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=__ZL19array_getAttributesP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL19array_setAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$attrsp;
  var $5=$1; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  _JS_ReportErrorNumber($5, 2, 0, 225, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL26array_setElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$attrsp;
  var $5=$1; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  _JS_ReportErrorNumber($5, 2, 0, 225, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL26array_setSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=__ZL19array_setAttributesP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL12array_typeOfP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL19array_deleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$2; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE($sid); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$3; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=__ZN2js20array_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL9array_fixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE($cx, $obj, $success, $props) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$success;
      $5=$props;
      var $6=$3; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$2; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZN8JSObject18makeDenseArraySlowEP9JSContext($6, $7); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8)|0)!=0; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $11=$2; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$3; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$5; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($11, $12, 24, $13); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      $1=0; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $17=$4; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP8[($17)]=1; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $19=$1; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $19; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21slowarray_addPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $index=__stackBase__;
      var $length;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $6=$4; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=__Z12js_IdIsIndexiPj($6, $index); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7)|0)!=0; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=1; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $11=$3; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZNK8JSObject14getArrayLengthEv($11); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$12; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=HEAPU32[(($index)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$length; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($13)>>>0) >= (($14)>>>0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $17=$3; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$2; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=HEAP32[(($index)>>2)]; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19+1)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($17, $18, $20); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $1=1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $23=$1; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE359($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE359["X"]=1;

function __ZN8JSObject23backfillDenseArrayHolesEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 59 "./jsarrayinlines.h"
  var $5=__ZN8JSObject21getDenseArrayCapacityEv($3); //@line 59 "./jsarrayinlines.h"
  __ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj($3, $4, $5, 0); //@line 59 "./jsarrayinlines.h"
  ;
  return; //@line 60 "./jsarrayinlines.h"
}


function __ZN8JSObject21getDenseArrayCapacityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject8numSlotsEv($2); //@line 493 "./jsobjinlines.h"
  ;
  return $3; //@line 493 "./jsobjinlines.h"
}


function __ZNK8JSObject24denseArrayHasInlineSlotsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 551 "./jsobjinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 551 "./jsobjinlines.h"
  var $5=__ZNK8JSObject10fixedSlotsEv($2); //@line 551 "./jsobjinlines.h"
  var $6=(($4)|0)==(($5)|0); //@line 551 "./jsobjinlines.h"
  ;
  return $6; //@line 551 "./jsobjinlines.h"
}


function __ZN2js14AutoValueArrayC1EP9JSContextPN2JS5ValueEj($this, $cx, $start, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$start;
  $4=$length;
  var $5=$1;
  var $6=$2; //@line 2516 "./jscntxt.h"
  var $7=$3; //@line 2516 "./jscntxt.h"
  var $8=$4; //@line 2516 "./jscntxt.h"
  __ZN2js14AutoValueArrayC2EP9JSContextPN2JS5ValueEj($5, $6, $7, $8); //@line 2516 "./jscntxt.h"
  ;
  return; //@line 2516 "./jscntxt.h"
}


function __ZL17AddLengthPropertyP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $lengthId;
  $1=$cx;
  $2=$obj;
  var $3=$1; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=(($3+52)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=(($5+209948)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=(($6+308)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=$8; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=__ZL12ATOM_TO_JSIDP6JSAtom354($9); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  $lengthId=$10; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $11=$2; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $12=$1; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $13=$lengthId; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $14=__ZN8JSObject11addPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($11, $12, $13, 58, 60, -1, 68, 0, 0); //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $15=(($14)|0)!=0; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $15; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2JSL10Int32ValueEi360($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2js14AutoValueArrayD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js14AutoValueArrayD2Ev($2); //@line 2505 "./jscntxt.h"
  ;
  return; //@line 2505 "./jscntxt.h"
}


function __Z12js_MergeSortPvjjPFiS_PKvS1_PiES_S_19JSMergeSortElemType($src, $nel, $elsize, $cmp, $arg, $tmp, $elemType) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $swap;
      var $vec1;
      var $vec2;
      var $msa=__stackBase__;
      var $i;
      var $j;
      var $lo;
      var $hi;
      var $run;
      var $cmp_result=__stackBase__+16;
      var $isValue;
      $2=$src;
      $3=$nel;
      $4=$elsize;
      $5=$cmp;
      $6=$arg;
      $7=$tmp;
      $8=$elemType;
      var $9=$8; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9)|0)==0; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10)&1); //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $isValue=$11; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $lo=0; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 2; break; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $13=$lo; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$3; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($13)>>>0) < (($14)>>>0); //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 28; break; } //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $17=$lo; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17+4)|0); //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $hi=$18; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$hi; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$3; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=(($19)>>>0) >= (($20)>>>0); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $23=$3; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $hi=$23; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $25=$lo; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=(($25+1)|0); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$26; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $28=$i; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$hi; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 26; break; } //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $32=$2; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$i; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$4; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=(($33*$34)|0); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($32+$35)|0); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vec1=$36; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$vec1; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$4; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=(((-$38))|0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($37+$39)|0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vec2=$40; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$i; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $j=$41; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $43=$j; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$lo; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=(($43)>>>0) > (($44)>>>0); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 24; break; } //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $47=$5; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$6; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=$vec2; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$vec1; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=FUNCTION_TABLE[$47]($48, $49, $50, $cmp_result); //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=(($51)|0)!=0; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=0; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 46; break; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $55=HEAP32[(($cmp_result)>>2)]; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55)|0) <= 0; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($56) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      __label__ = 24; break; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $59=$isValue; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=(($59) & 1); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $62=$7; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$62; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$vec2; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=$64; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=$63; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$65; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($66)>>2)]=HEAP32[(($67)>>2)];HEAP32[(($66+4)>>2)]=HEAP32[(($67+4)>>2)]; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $69=$7; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=$vec2; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=$4; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert($71 % 1 === 0, 'memcpy given ' + $71 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($69, $70, $71, 1); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $73=$isValue; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=(($73) & 1); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($74) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $76=$vec2; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=$76; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=$vec1; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=$78; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=$77; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=$79; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($80)>>2)]=HEAP32[(($81)>>2)];HEAP32[(($80+4)>>2)]=HEAP32[(($81+4)>>2)]; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $83=$vec2; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=$vec1; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=$4; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert($85 % 1 === 0, 'memcpy given ' + $85 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($83, $84, $85, 1); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $87=$isValue; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $88=(($87) & 1); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($88) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $90=$vec1; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=$90; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=$7; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $93=$92; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=$91; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=$93; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($94)>>2)]=HEAP32[(($95)>>2)];HEAP32[(($94+4)>>2)]=HEAP32[(($95+4)>>2)]; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $97=$vec1; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=$7; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=$4; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert($99 % 1 === 0, 'memcpy given ' + $99 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($97, $98, $99, 1); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $101=$vec2; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vec1=$101; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102=$vec1; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=$4; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=(((-$103))|0); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $105=(($102+$104)|0); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vec2=$105; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 23; break; //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $107=$j; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=(($107-1)|0); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $j=$108; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      __label__ = 25; break; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $111=$i; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=(($111+1)|0); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$112; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      var $115=$lo; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=(($115+4)|0); //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $lo=$116; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 2; break; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $118=$4; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=(($msa)|0); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($119)>>2)]=$118; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=$5; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $121=(($msa+4)|0); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($121)>>2)]=$120; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $122=$6; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $123=(($msa+8)|0); //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($123)>>2)]=$122; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $124=$isValue; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $125=(($124) & 1); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=(($125)&1); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=(($msa+12)|0); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($127)>>2)]=$126; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=$2; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vec1=$128; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=$7; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vec2=$129; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $run=4; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 29; break; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      var $131=$run; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $132=$3; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $133=(($131)>>>0) < (($132)>>>0); //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($133) { __label__ = 30; break; } else { __label__ = 43; break; } //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      $lo=0; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 31; break; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $136=$lo; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=$3; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=(($136)>>>0) < (($137)>>>0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($138) { __label__ = 32; break; } else { __label__ = 41; break; } //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      var $140=$lo; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=$run; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=(($140+$141)|0); //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $hi=$142; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $143=$hi; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=$3; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $145=(($143)>>>0) >= (($144)>>>0); //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($145) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $147=$vec2; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $148=$lo; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $149=$4; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $150=(($148*$149)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $151=(($147+$150)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $152=$vec1; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $153=$lo; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $154=$4; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $155=(($153*$154)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $156=(($152+$155)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $157=$3; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $158=$lo; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $159=(($157-$158)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $160=$4; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $161=(($159*$160)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert($161 % 1 === 0, 'memcpy given ' + $161 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($151, $156, $161, 1); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      var $163=$vec1; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $164=$lo; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $165=$4; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $166=(($164*$165)|0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $167=(($163+$166)|0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $168=$vec2; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $169=$lo; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $170=$4; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $171=(($169*$170)|0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $172=(($168+$171)|0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $173=$run; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $174=$hi; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $175=$run; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $176=(($174+$175)|0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $177=$3; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $178=(($176)>>>0) > (($177)>>>0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($178) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $180=$3; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $181=$hi; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $182=(($180-$181)|0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $186 = $182;__label__ = 37; break; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $184=$run; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $186 = $184;__label__ = 37; break; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $186; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $187=__ZL11MergeArraysP9MSortArgsPvS1_jj($msa, $167, $172, $173, $186); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $188=(($187)|0)!=0; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($188) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      $1=0; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 46; break; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      __label__ = 40; break; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $192=$run; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $193=((($192<<1))|0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $194=$lo; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $195=(($194+$193)|0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $lo=$195; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 31; break; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      var $197=$vec1; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $swap=$197; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $198=$vec2; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vec1=$198; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $199=$swap; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vec2=$199; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      var $201=$run; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $202=((($201<<1))|0); //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $run=$202; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 29; break; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $204=$2; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $205=$vec1; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $206=(($204)|0)!=(($205)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($206) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      var $208=$2; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $209=$7; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $210=$3; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $211=$4; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $212=(($210*$211)|0); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert($212 % 1 === 0, 'memcpy given ' + $212 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($208, $209, $212, 1); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      $1=1; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 46; break; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      var $215=$1; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $215; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_MergeSortPvjjPFiS_PKvS1_PiES_S_19JSMergeSortElemType["X"]=1;

function __ZL11MergeArraysP9MSortArgsPvS1_jj($msa, $src, $dest, $run1, $run2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $arg;
      var $a;
      var $b;
      var $c;
      var $elsize;
      var $runtotal;
      var $cmp_result=__stackBase__;
      var $cmp;
      var $isValue;
      var $from_a;
      $2=$msa;
      $3=$src;
      $4=$dest;
      $5=$run1;
      $6=$run2;
      var $7=$5; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$6; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($7+$8)|0); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $runtotal=$9; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$2; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10)|0); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $elsize=$12; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$2; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13+4)|0); //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $cmp=$15; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$2; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16+8)|0); //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $arg=$18; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$2; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19+12)|0); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $isValue=$21; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$3; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$5; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$elsize; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=(($23*$24)|0); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=(($22+$25)|0); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $b=$26; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$b; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$elsize; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(((-$28))|0); //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($27+$29)|0); //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $a=$30; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$cmp; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$arg; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$a; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$b; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=FUNCTION_TABLE[$31]($32, $33, $34, $cmp_result); //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($35)|0)!=0; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($36) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 24; break; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $39=HEAP32[(($cmp_result)>>2)]; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($39)|0) <= 0; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $42=$4; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$3; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$runtotal; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$elsize; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($44*$45)|0); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert($46 % 1 === 0, 'memcpy given ' + $46 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($42, $43, $46, 1); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 24; break; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $48=$3; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $a=$48; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=$4; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $c=$49; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $51=$runtotal; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=(($51)|0)!=0; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($52) { __label__ = 7; break; } else { __label__ = 23; break; } //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $54=$6; //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=(($54)|0)==0; //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55)&1); //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $from_a=$56; //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$from_a; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=(($57)|0)!=0; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 8; break; } //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $60=$5; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=(($60)|0)!=0; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($61) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $63=$cmp; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$arg; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=$a; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=$b; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=FUNCTION_TABLE[$63]($64, $65, $66, $cmp_result); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=(($67)|0)!=0; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($68) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=0; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 24; break; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $71=HEAP32[(($cmp_result)>>2)]; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=(($71)|0) <= 0; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=(($72)&1); //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $from_a=$73; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $75=$from_a; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=(($75)|0)!=0; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($76) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $78=$isValue; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=(($78)|0)!=0; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($79) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $81=$c; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=$81; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=$a; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=$83; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=$82; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=$84; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($85)>>2)]=HEAP32[(($86)>>2)];HEAP32[(($85+4)>>2)]=HEAP32[(($86+4)>>2)]; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $88=$c; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=$a; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=$elsize; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert($90 % 1 === 0, 'memcpy given ' + $90 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($88, $89, $90, 1); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $92=$5; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $93=(($92-1)|0); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=$93; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=$a; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=$elsize; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=(($94+$95)|0); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $a=$96; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $98=$isValue; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=(($98)|0)!=0; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($99) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $101=$c; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102=$101; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=$b; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=$103; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $105=$102; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $106=$104; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($105)>>2)]=HEAP32[(($106)>>2)];HEAP32[(($105+4)>>2)]=HEAP32[(($106+4)>>2)]; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $108=$c; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $109=$b; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $110=$elsize; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert($110 % 1 === 0, 'memcpy given ' + $110 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($108, $109, $110, 1); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $112=$6; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $113=(($112-1)|0); //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=$113; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114=$b; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $115=$elsize; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=(($114+$115)|0); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $b=$116; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break;
    case 21: 
      var $118=$c; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=$elsize; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=(($118+$119)|0); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $c=$120; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $122=$runtotal; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $123=(($122-1)|0); //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $runtotal=$123; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      $1=1; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 24; break; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $126=$1; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $126; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11MergeArraysP9MSortArgsPvS1_jj["X"]=1;

function __ZL21comparator_stack_castPFiPvPKvS1_PiE($func) {
  ;
  var __label__;

  var $1;
  $1=$func;
  var $2=$1; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $2; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2js15AutoArrayRooter12changeLengthEj($this, $newLength) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newLength;
  var $3=$1;
  var $4=$2; //@line 1629 "./jscntxt.h"
  var $5=$3; //@line 1629 "./jscntxt.h"
  var $6=(($5+4)|0); //@line 1629 "./jscntxt.h"
  HEAP32[(($6)>>2)]=$4; //@line 1629 "./jscntxt.h"
  ;
  return; //@line 1631 "./jscntxt.h"
}


function __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($this, $cx, $len, $vec) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$len;
  $4=$vec;
  var $5=$1;
  var $6=$2; //@line 1626 "./jscntxt.h"
  var $7=$3; //@line 1626 "./jscntxt.h"
  var $8=$4; //@line 1626 "./jscntxt.h"
  __ZN2js15AutoArrayRooterC2EP9JSContextjPN2JS5ValueE($5, $6, $7, $8); //@line 1626 "./jscntxt.h"
  ;
  return; //@line 1626 "./jscntxt.h"
}


function __ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($cx, $obj, $index, $hole, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $idr=__stackBase__;
      var $7;
      var $obj2=__stackBase__+16;
      var $prop=__stackBase__+20;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$hole;
      $6=$vp;
      var $8=$3; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZNK8JSObject12isDenseArrayEv($8); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $11=$4; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$3; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=__ZN8JSObject30getDenseArrayInitializedLengthEv($12); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13)>>>0); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$11 < $14; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $17=$6; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$3; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$4; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=($19 >= 0 ? Math.floor($19) : Math.ceil($19)); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=__ZN8JSObject20getDenseArrayElementEj($18, $20); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$17; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$21; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=__ZNK2JS5Value7isMagicE10JSWhyMagic($17, 0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $26=$5; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($26)>>2)]=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $28=$3; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__ZNK8JSObject11isArgumentsEv($28); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $31=$3; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=__ZN8JSObject11asArgumentsEv($31); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$4; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=($33 >= 0 ? Math.floor($33) : Math.ceil($33)); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$6; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=__ZN2js15ArgumentsObject10getElementEjPN2JS5ValueE($32, $34, $35); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $38=$5; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($38)>>2)]=0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      __label__ = 9; break; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $41=$2; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=_INT_TO_JSID398(0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js12AutoIdRooterC1EP9JSContexti($idr, $41, $42); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$5; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($43)>>2)]=0; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$2; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$3; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$4; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$5; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=__ZN2js12AutoIdRooter4addrEv($idr); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=__ZL9IndexToIdP9JSContextP8JSObjectdPiS3_i($44, $45, $46, $47, $48, 0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=0; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 21; break; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $52=$5; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($53)|0)!=0; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $56=$6; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($56); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 21; break; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $58=$3; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=__ZN2js12AutoIdRooter2idEv($idr); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($58, $59, $60, $obj2, $prop); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=(($61)|0)!=0; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($62) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      $1=0; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 21; break; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $65=HEAP32[(($prop)>>2)]; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=(($65)|0)!=0; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($66) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $68=$5; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($68)>>2)]=1; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$6; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($69); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $71=$3; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=$2; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=__ZN2js12AutoIdRooter2idEv($idr); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=$6; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($71, $72, $73, $74); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=(($75)|0)!=0; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($76) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      $1=0; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 21; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $79=$5; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($79)>>2)]=0; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break;
    case 20: 
      $1=1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 21; break; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      __ZN2js12AutoIdRooterD1Ev($idr); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break;
    case 22: 
      var $83=$1; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE["X"]=1;

function __ZN2jsL15MakeRangeGCSafeEPN2JS5ValueEj($vec, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$vec;
  $2=$len;
  var $3=$1; //@line 366 "./jsinterp.h"
  var $4=$2; //@line 366 "./jsinterp.h"
  __ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j412($3, $4); //@line 366 "./jsinterp.h"
  ;
  return; //@line 367 "./jsinterp.h"
}


function __ZN2js15AutoArrayRooter11changeArrayEPN2JS5ValueEj($this, $newArray, $newLength) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$newArray;
  $3=$newLength;
  var $4=$1;
  var $5=$3; //@line 1634 "./jscntxt.h"
  __ZN2js15AutoArrayRooter12changeLengthEj($4, $5); //@line 1634 "./jscntxt.h"
  var $6=$2; //@line 1635 "./jscntxt.h"
  var $7=(($4+12)|0); //@line 1635 "./jscntxt.h"
  HEAP32[(($7)>>2)]=$6; //@line 1635 "./jscntxt.h"
  ;
  return; //@line 1636 "./jscntxt.h"
}


function __ZL20sort_compare_stringsPvPKvS1_Pi($arg, $a, $b, $result) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cx;
      var $astr;
      var $bstr;
      $1=$arg;
      $2=$a;
      $3=$b;
      $4=$result;
      var $5=$1; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=$5; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $cx=$6; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$2; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$7; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZNK2JS5Value8toStringEv($8); //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $astr=$9; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$3; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$10; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZNK2JS5Value8toStringEv($11); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $bstr=$12; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$cx; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13+52)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=(($15+144280)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18)|0)!=0; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 2; break; } else { var $25 = 1;__label__ = 3; break; } //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $21=$cx; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=__Z26js_InvokeOperationCallbackP9JSContext($21); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=(($22)|0)!=0; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25 = $23;__label__ = 3; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $25;
      if ($25) { __label__ = 4; break; } else { var $33 = 0;__label__ = 5; break; } //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $27=$cx; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$astr; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$bstr; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$4; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=__ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi($27, $28, $29, $30); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33 = $31;__label__ = 5; break;
    case 5: 
      var $33;
      var $34=(($33)&1);
      ;
      return $34; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11CompareArgsC1EP9JSContextN2JS5ValueE($this, $cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $fval=__stackBase__;
  $2=$this;
  $3=$cx;
  var $4=$fval;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2;
  var $7=$3; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  __ZN11CompareArgsC2EP9JSContextN2JS5ValueE($6, $7, $fval); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2js10array_sortEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 100; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $newlen;
      var $i;
      var $undefs;
      var $elemsize;
      var $str;
      var $argv;
      var $fval=__stackBase__+4;
      var $obj;
      var $vec=__stackBase__+12;
      var $free_=__stackBase__+16;
      var $tvr=__stackBase__+24;
      var $allStrings;
      var $5;
      var $hole=__stackBase__+40;
      var $mergesort_tmp;
      var $v;
      var $ca=__stackBase__+44;
      var $6=__stackBase__+84;
      var $7=__stackBase__+92;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$4; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+16)|0); //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argv=$9; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$3; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10)>>>0) > 0; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $13=$argv; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13)|0); //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__ZNK2JS5Value11isUndefinedEv($14); //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $17=$argv; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZNK2JS5Value11isPrimitiveEv($18); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $21=$2; //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      _JS_ReportErrorNumber($21, 2, 0, 12, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 2169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $23=$argv; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)|0); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$fval; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$24; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 7; break; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      __ZN2JS5Value7setNullEv($fval); //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 7; break;
    case 7: 
      var $29=$2; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$4; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=(($30+8)|0); //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($29, $31); //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$32; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$obj; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=(($33)|0)!=0; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      $1=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $37=$2; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$obj; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($37, $38, $len); //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($39)|0)!=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=0; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $43=HEAP32[(($len)>>2)]; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=(($43)|0)==0; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $46=$4; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$obj; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($46, $47); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $49=HEAPU32[(($len)>>2)]; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=(($49)>>>0) > 268435455; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($50) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($52); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $54=$2; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=HEAP32[(($len)>>2)]; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=((($55<<1))|0); //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=((($56<<3))|0); //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=__ZN9JSContext7malloc_Ej($54, $57); //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=$58; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($vec)>>2)]=$59; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=HEAP32[(($vec)>>2)]; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=(($60)|0)!=0; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($61) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      $1=0; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $64=$2; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      FUNCTION_TABLE[__ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorC1ES1_RS4_]($free_, $64, $vec); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=$2; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=HEAP32[(($vec)>>2)]; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $65, 0, $66); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $undefs=0; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=0; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $allStrings=1; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=0; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 18; break; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $68=$i; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=HEAPU32[(($len)>>2)]; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=(($68)>>>0) < (($69)>>>0); //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 33; break; } //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $72=$2; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=(($72+52)|0); //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=(($74+144280)|0); //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=(($75)|0); //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=(($77)|0)!=0; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($78) { __label__ = 20; break; } else { var $84 = 1;__label__ = 21; break; } //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $80=$2; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=__Z26js_InvokeOperationCallbackP9JSContext($80); //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=(($81)|0)!=0; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84 = $82;__label__ = 21; break; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $84;
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      $1=0; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $87=$newlen; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $88=HEAP32[(($vec)>>2)]; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=(($88+($87<<3))|0); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value7setNullEv($89); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=$newlen; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=(($90+1)|0); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoArrayRooter12changeLengthEj($tvr, $91); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=$2; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $93=$obj; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=$i; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=(($94)>>>0); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=$newlen; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97=HEAP32[(($vec)>>2)]; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=(($97+($96<<3))|0); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($92, $93, $95, $hole, $98); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=(($99)|0)!=0; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($100) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      $1=0; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $103=HEAP32[(($hole)>>2)]; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=(($103)|0)!=0; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($104) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      __label__ = 32; break; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      var $107=$newlen; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=HEAP32[(($vec)>>2)]; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $109=(($108+($107<<3))|0); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $110=__ZNK2JS5Value11isUndefinedEv($109); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($110) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $112=$undefs; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $113=(($112+1)|0); //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $undefs=$113; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 32; break; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      var $115=$allStrings; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=(($115) & 1); //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($116) { __label__ = 30; break; } else { var $123 = 0;__label__ = 31; break; } //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $118=$newlen; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=HEAP32[(($vec)>>2)]; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=(($119+($118<<3))|0); //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $121=__ZNK2JS5Value8isStringEv($120); //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $123 = $121;__label__ = 31; break;
    case 31: 
      var $123;
      var $124=(($123)&1);
      $allStrings=$124;
      var $125=$newlen; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=(($125+1)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=$126; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 32; break; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      var $128=$i; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=(($128+1)|0); //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$129; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 18; break; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $131=$newlen; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $132=(($131)|0)==0; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($132) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      var $134=$4; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $135=$obj; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($134, $135); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $137=HEAP32[(($vec)>>2)]; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=$newlen; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $139=(($137+($138<<3))|0); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $mergesort_tmp=$139; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $140=$mergesort_tmp; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=$newlen; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2jsL15MakeRangeGCSafeEPN2JS5ValueEj($140, $141); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=$newlen; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $143=((($142<<1))|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoArrayRooter12changeLengthEj($tvr, $143); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=__ZNK2JS5Value6isNullEv($fval); //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($144) { __label__ = 36; break; } else { __label__ = 60; break; } //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $146=$allStrings; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $147=(($146) & 1); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($147) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      $elemsize=8; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $150=$newlen; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $151=(($150)>>>0) > 134217727; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($151) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      var $153=$2; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($153); //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $155=$newlen; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$155; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      var $157=$i; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $158=(($157-1)|0); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$158; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $159=$2; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $160=(($159+52)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $162=(($161+144280)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $163=(($162)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $165=(($164)|0)!=0; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($165) { __label__ = 42; break; } else { var $171 = 1;__label__ = 43; break; } //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      var $167=$2; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $168=__Z26js_InvokeOperationCallbackP9JSContext($167); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $169=(($168)|0)!=0; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $171 = $169;__label__ = 43; break; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $171;
      if ($171) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      $1=0; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      var $174=$i; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $175=HEAP32[(($vec)>>2)]; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $176=(($175+($174<<3))|0); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $v=$176; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $177=$2; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $178=$v; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $179=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($177, $178); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $str=$179; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $180=$str; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $181=(($180)|0)!=0; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($181) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      $1=0; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 47: 
      var $184=$i; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $185=((($184<<1))|0); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $186=(($185+1)|0); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $187=HEAP32[(($vec)>>2)]; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $188=(($187+($186<<3))|0); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $189=$v; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $190=$188; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $191=$189; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($190)>>2)]=HEAP32[(($191)>>2)];HEAP32[(($190+4)>>2)]=HEAP32[(($191+4)>>2)]; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $192=$i; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $193=((($192<<1))|0); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $194=HEAP32[(($vec)>>2)]; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $195=(($194+($193<<3))|0); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $196=$str; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setStringEP8JSString($195, $196); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 48; break; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 48: 
      var $198=$i; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $199=(($198)|0)!=0; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($199) { __label__ = 41; break; } else { __label__ = 49; break; } //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 49: 
      var $201=$2; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $202=HEAP32[(($vec)>>2)]; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $203=$202; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $204=$newlen; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $205=((($204<<2))|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $206=((($205<<3))|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $207=__ZN9JSContext8realloc_EPvj($201, $203, $206); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $208=$207; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($vec)>>2)]=$208; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $209=HEAP32[(($vec)>>2)]; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $210=(($209)|0)!=0; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($210) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 50: 
      var $212=(($tvr+12)|0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($vec)>>2)]=$213; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 51: 
      var $215=HEAP32[(($vec)>>2)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $216=$newlen; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $217=((($216<<1))|0); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $218=(($215+($217<<3))|0); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $mergesort_tmp=$218; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $219=$mergesort_tmp; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $220=$newlen; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $221=((($220<<1))|0); //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2jsL15MakeRangeGCSafeEPN2JS5ValueEj($219, $221); //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $222=HEAP32[(($vec)>>2)]; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $223=$newlen; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $224=((($223<<2))|0); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoArrayRooter11changeArrayEPN2JS5ValueEj($tvr, $222, $224); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $elemsize=16; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break;
    case 52: 
      var $226=HEAP32[(($vec)>>2)]; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $227=$226; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $228=$newlen; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $229=$elemsize; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $230=$2; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $231=$230; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $232=$mergesort_tmp; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $233=$232; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $234=__Z12js_MergeSortPvjjPFiS_PKvS1_PiES_S_19JSMergeSortElemType($227, $228, $229, 62, $231, $233, 1); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($234) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 53: 
      $1=0; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 54: 
      var $237=$allStrings; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $238=(($237) & 1); //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($238) { __label__ = 59; break; } else { __label__ = 55; break; } //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 55: 
      $i=0; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 56; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 56: 
      var $241=$i; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $242=HEAP32[(($vec)>>2)]; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $243=(($242+($241<<3))|0); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $244=$i; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $245=((($244<<1))|0); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $246=(($245+1)|0); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $247=HEAP32[(($vec)>>2)]; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $248=(($247+($246<<3))|0); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $249=$243; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $250=$248; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($249)>>2)]=HEAP32[(($250)>>2)];HEAP32[(($249+4)>>2)]=HEAP32[(($250+4)>>2)]; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 57; break; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 57: 
      var $252=$i; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $253=(($252+1)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$253; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $254=$newlen; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $255=(($253)|0)!=(($254)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($255) { __label__ = 56; break; } else { __label__ = 58; break; } //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 58: 
      __label__ = 59; break; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 59: 
      __label__ = 65; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 60: 
      var $259=$2; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $260=$6; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $261=$fval; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($260)>>2)]=HEAP32[(($261)>>2)];HEAP32[(($260+4)>>2)]=HEAP32[(($261+4)>>2)]; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN11CompareArgsC1EP9JSContextN2JS5ValueE($ca, $259, $6); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $262=HEAP32[(($vec)>>2)]; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $263=$262; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $264=$newlen; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $265=__ZL21comparator_stack_castPFiPvPKvS1_PiE(64); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $266=$ca; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $267=$mergesort_tmp; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $268=$267; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $269=__Z12js_MergeSortPvjjPFiS_PKvS1_PiES_S_19JSMergeSortElemType($263, $264, 8, $265, $266, $268, 0); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($269) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 61: 
      $1=0; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 63; break; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 62: 
      $5=0; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 63; break; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 63: 
      __ZN11CompareArgsD1Ev($ca); //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 64; break;
      }
      else {
      __label__ = 68; break;
      }
      
    case 64: 
      __label__ = 65; break;
    case 65: 
      var $275=$newlen; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoArrayRooter12changeLengthEj($tvr, $275); //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $276=$2; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $277=$obj; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $278=$newlen; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $279=HEAP32[(($vec)>>2)]; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $280=__ZL17InitArrayElementsP9JSContextP8JSObjectjjPN2JS5ValueEb($276, $277, 0, $278, $279, 0); //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $281=(($280)|0)!=0; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($281) { __label__ = 67; break; } else { __label__ = 66; break; } //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 66: 
      $1=0; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 68; break; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 67: 
      $5=0; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 68; break; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 68: 
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      FUNCTION_TABLE[__ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorD1Ev]($free_); //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $cleanup_dest1=$5;
      if ((($cleanup_dest1)|0) == 0) {
        __label__ = 69; break;
      }
      else if ((($cleanup_dest1)|0) == 1) {
        __label__ = 86; break;
      }
      else {
      __label__ = 87; break;
      }
      
    case 69: 
      __label__ = 70; break; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 70: 
      var $287=$undefs; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $288=(($287)|0)!=0; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($288) { __label__ = 71; break; } else { __label__ = 77; break; } //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 71: 
      var $290=$undefs; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $291=(($290-1)|0); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $undefs=$291; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $292=$2; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $293=(($292+52)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $294=HEAP32[(($293)>>2)]; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $295=(($294+144280)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $296=(($295)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $297=HEAP32[(($296)>>2)]; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $298=(($297)|0)!=0; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($298) { __label__ = 72; break; } else { var $304 = 1;__label__ = 73; break; } //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 72: 
      var $300=$2; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $301=__Z26js_InvokeOperationCallbackP9JSContext($300); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $302=(($301)|0)!=0; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $304 = $302;__label__ = 73; break; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 73: 
      var $304;
      if ($304) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 74: 
      var $306=$2; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $307=$obj; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $308=$newlen; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $309=(($308+1)|0); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=$309; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $310=(($308)>>>0); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL14UndefinedValueEv351($7); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $311=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($306, $307, $310, $7); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $312=(($311)|0)!=0; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($312) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 75: 
      $1=0; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 76: 
      __label__ = 70; break; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 77: 
      __label__ = 78; break; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 78: 
      var $317=HEAPU32[(($len)>>2)]; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $318=$newlen; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $319=(($317)>>>0) > (($318)>>>0); //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($319) { __label__ = 79; break; } else { __label__ = 85; break; } //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 79: 
      var $321=$2; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $322=(($321+52)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $323=HEAP32[(($322)>>2)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $324=(($323+144280)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $325=(($324)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $326=HEAP32[(($325)>>2)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $327=(($326)|0)!=0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($327) { __label__ = 80; break; } else { var $333 = 1;__label__ = 81; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 80: 
      var $329=$2; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $330=__Z26js_InvokeOperationCallbackP9JSContext($329); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $331=(($330)|0)!=0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $333 = $331;__label__ = 81; break; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 81: 
      var $333;
      if ($333) { __label__ = 82; break; } else { __label__ = 83; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 82: 
      var $335=$2; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $336=$obj; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $337=HEAP32[(($len)>>2)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $338=(($337-1)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($len)>>2)]=$338; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $339=(($338)>>>0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $340=__ZL18DeleteArrayElementP9JSContextP8JSObjectdb($335, $336, $339, 1); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $341=(($340)|0) < 0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($341) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 83: 
      $1=0; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 84: 
      __label__ = 78; break; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 85: 
      var $345=$4; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $346=$obj; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($345, $346); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 86: 
      var $348=$1; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $348; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 87: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10array_sortEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12sort_comparePvPKvS1_Pi($arg, $a, $b, $result) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $av;
      var $bv;
      var $ca;
      var $cx;
      var $args;
      var $6=__stackBase__;
      var $cmp=__stackBase__+8;
      $2=$arg;
      $3=$a;
      $4=$b;
      $5=$result;
      var $7=$3; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$7; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $av=$8; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$4; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$9; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $bv=$10; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$2; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$11; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $ca=$12; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$ca; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13)|0); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $cx=$15; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$cx; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16+52)|0); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18+144280)|0); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19)|0); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21)|0)!=0; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($22) { __label__ = 2; break; } else { var $28 = 1;__label__ = 3; break; } //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $24=$cx; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=__Z26js_InvokeOperationCallbackP9JSContext($24); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=(($25)|0)!=0; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28 = $26;__label__ = 3; break; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $28;
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $31=$ca; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31+4)|0); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $args=$32; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$args; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=__ZNK2js15InvokeArgsGuard6pushedEv($33); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $36=$cx; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(($36+60)|0); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$cx; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$args; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($37, $38, 2, $39); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $43=$args; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$43; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZNK2js12CallReceiver18calleeHasBeenResetEv($44); //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$args; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$45; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=__ZNK2js12CallReceiver7calleevEv($46); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$ca; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($48+32)|0); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$47; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=$49; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$args; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=$52; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=__ZNK2js12CallReceiver5thisvEv($53); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL14UndefinedValueEv351($6); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$54; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=$6; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$args; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=$57; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=__ZNK2js8CallArgsixEj($58, 0); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=$av; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=$59; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=$60; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[(($62)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[(($62+4)>>2)]; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$args; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$63; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=__ZNK2js8CallArgsixEj($64, 1); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=$bv; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$65; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=$66; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$cx; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=$args; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($69, $70, 0); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($71) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $1=0; //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $74=$cx; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=$args; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=$75; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=__ZNK2js12CallReceiver4rvalEv($76); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($74, $77, $cmp); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($78) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $81=$5; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($81)>>2)]=0; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=(tempDoubleI32[0]=HEAP32[(($cmp)>>2)],tempDoubleI32[1]=HEAP32[(($cmp+4)>>2)],tempDoubleF64[0]); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=__ZL15JSDOUBLE_IS_NaNd397($82); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=(($83)|0)!=0; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($84) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $86=(tempDoubleI32[0]=HEAP32[(($cmp)>>2)],tempDoubleI32[1]=HEAP32[(($cmp+4)>>2)],tempDoubleF64[0]); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $87=$86 != 0; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($87) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $89=(tempDoubleI32[0]=HEAP32[(($cmp)>>2)],tempDoubleI32[1]=HEAP32[(($cmp+4)>>2)],tempDoubleF64[0]); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=$89 > 0; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=$90 ? 1 : -1; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=$5; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($92)>>2)]=$91; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      $1=1; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $95=$1; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $95; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12sort_comparePvPKvS1_Pi["X"]=1;

function __ZN11CompareArgsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN11CompareArgsD2Ev($2); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL17InitArrayElementsP9JSContextP8JSObjectjjPN2JS5ValueEb($cx, $obj, $start, $count, $vector, $updateTypes) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $result;
      var $newlen;
      var $end;
      var $tvr=__stackBase__;
      var $idr=__stackBase__+24;
      var $idval=__stackBase__+40;
      var $8;
      $2=$cx;
      $3=$obj;
      $4=$start;
      $5=$count;
      $6=$vector;
      var $9=(($updateTypes)&1);
      $7=$9;
      var $10=$5; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10)|0)==0; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=1; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $14=$7; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($14) & 1); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $17=$2; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$3; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$2; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__ZN8JSObject7getTypeEP9JSContext($18, $19); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$6; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$5; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZL14InitArrayTypesP9JSContextPN2js5types10TypeObjectEPKN2JS5ValueEj($17, $20, $21, $22); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $1=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      __label__ = 7; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $27=$3; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=__ZNK8JSObject12isDenseArrayEv($27); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      __label__ = 18; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $31=$2; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$3; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($31, $32); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=(($33)|0)!=0; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      __label__ = 18; break; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $37=$3; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$2; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$4; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$5; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($37, $38, $39, $40); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$41; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$result; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=(($42)|0)!=0; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $45=$result; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)|0)==1; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      $1=0; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      __label__ = 18; break; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $50=$4; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=$5; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=(($50+$51)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=$52; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=$newlen; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=$3; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=__ZNK8JSObject14getArrayLengthEv($54); //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($53)>>>0) > (($55)>>>0); //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($56) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $58=$3; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=$newlen; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject19setDenseArrayLengthEj($58, $59); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $61=$3; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=$4; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$6; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$5; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject22copyDenseArrayElementsEjPKN2JS5ValueEj($61, $62, $63, $64); //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $66=$6; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=(($66+($67<<3))|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=$68; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $70=$6; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=$end; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=(($70)|0)!=(($71)|0); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($72) { __label__ = 20; break; } else { var $77 = 0;__label__ = 21; break; } //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $74=$4; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=(($74)>>>0) <= 4294967294; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77 = $75;__label__ = 21; break;
    case 21: 
      var $77;
      if ($77) { __label__ = 22; break; } else { __label__ = 28; break; }
    case 22: 
      var $79=$2; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=(($79+52)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=(($81+144280)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=(($82)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=(($84)|0)!=0; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($85) { __label__ = 23; break; } else { var $91 = 1;__label__ = 24; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $87=$2; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $88=__Z26js_InvokeOperationCallbackP9JSContext($87); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=(($88)|0)!=0; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91 = $89;__label__ = 24; break; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $91;
      if ($91) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $93=$2; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=$3; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=(($95+1)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $4=$96; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97=(($95)>>>0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=$6; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=(($98+8)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=$99; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($93, $94, $97, $98); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $101=(($100)|0)!=0; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      $1=0; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      __label__ = 19; break; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $105=$6; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $106=$end; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=(($105)|0)==(($106)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($107) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      $1=1; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $110=$3; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=__ZNK8JSObject12isDenseArrayEv($110); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($111) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $113=$3; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114=$2; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $115=__ZN8JSObject18makeDenseArraySlowEP9JSContext($113, $114); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=(($115)|0)!=0; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($116) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      $1=0; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $119=$2; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $119); //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=$2; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $121=_INT_TO_JSID398(0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js12AutoIdRooterC1EP9JSContexti($idr, $120, $121); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL11DoubleValueEd408($idval, 4294967295); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 34; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      var $123=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $124=$6; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $125=(($124+8)|0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=$125; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=$123; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=$124; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($126)>>2)]=HEAP32[(($127)>>2)];HEAP32[(($126+4)>>2)]=HEAP32[(($127+4)>>2)]; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=$2; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=__ZN2js12AutoIdRooter4addrEv($idr); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $130=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($128, $idval, $129); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($130) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $132=$3; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $133=$2; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $134=__ZN2js12AutoIdRooter2idEv($idr); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $135=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $136=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($132, $133, $134, $135, 1); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=(($136)|0)!=0; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($137) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      $1=0; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $8=1;
      __label__ = 40; break; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $140=__ZN2JS5Value12getDoubleRefEv($idval); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=(tempDoubleI32[0]=HEAP32[(($140)>>2)],tempDoubleI32[1]=HEAP32[(($140+4)>>2)],tempDoubleF64[0]); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=$141+1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$142,HEAP32[(($140)>>2)]=tempDoubleI32[0],HEAP32[(($140+4)>>2)]=tempDoubleI32[1]); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 38; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $144=$6; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $145=$end; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $146=(($144)|0)!=(($145)|0); //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($146) { __label__ = 34; break; } else { __label__ = 39; break; } //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      $1=1; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $8=1;
      __label__ = 40; break; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      __ZN2js12AutoIdRooterD1Ev($idr); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break;
    case 41: 
      var $150=$1; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $150; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17InitArrayElementsP9JSContextP8JSObjectjjPN2JS5ValueEb["X"]=1;

function __ZN2js15AutoArrayRooterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15AutoArrayRooterD2Ev($2); //@line 1618 "./jscntxt.h"
  ;
  return; //@line 1618 "./jscntxt.h"
}


function __ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($cx, $obj, $index, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $result;
      var $idx;
      var $idr=__stackBase__;
      var $6;
      var $tmp=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$v;
      var $7=$3; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZNK8JSObject12isDenseArrayEv($7); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 15; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $result=2; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 3; break; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $11=$4; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$11 > 4294967295; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      __label__ = 10; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $15=$4; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=($15 >= 0 ? Math.floor($15) : Math.ceil($15)); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $idx=$16; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$3; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$2; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$idx; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($17, $18, $19, 1); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$20; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$result; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21)|0)!=0; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      __label__ = 10; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $25=$idx; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$3; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=__ZNK8JSObject14getArrayLengthEv($26); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=(($25)>>>0) >= (($27)>>>0); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $30=$3; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$idx; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31+1)|0); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject19setDenseArrayLengthEj($30, $32); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 9; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $34=$3; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$2; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$idx; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$5; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($34, $35, $36, $37); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $39=$result; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($39)|0)==1; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $43=$3; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$2; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=__ZN8JSObject18makeDenseArraySlowEP9JSContext($43, $44); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)|0)!=0; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      $1=0; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $50=$2; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=_INT_TO_JSID398(0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js12AutoIdRooterC1EP9JSContexti($idr, $50, $51); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$2; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=$3; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=$4; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=__ZN2js12AutoIdRooter4addrEv($idr); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=__ZL9IndexToIdP9JSContextP8JSObjectdPiS3_i($52, $53, $54, 0, $55, 1); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      $1=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=1;
      __label__ = 18; break; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $59=$5; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=$tmp; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=$59; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[(($61+4)>>2)]; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=$3; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$2; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=__ZN2js12AutoIdRooter2idEv($idr); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($62, $63, $64, $tmp, 1); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$65; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=1;
      __label__ = 18; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      __ZN2js12AutoIdRooterD1Ev($idr); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break;
    case 19: 
      var $68=$1; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $68; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE["X"]=1;

function __ZL18DeleteArrayElementP9JSContextP8JSObjectdb($cx, $obj, $index, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $idx;
      var $6=__stackBase__;
      var $idr=__stackBase__+8;
      var $7;
      var $v=__stackBase__+24;
      $2=$cx;
      $3=$obj;
      $4=$index;
      var $8=(($strict)&1);
      $5=$8;
      var $9=$3; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZNK8JSObject12isDenseArrayEv($9); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $12=$4; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$12 <= 4294967295; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $15=$4; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=($15 >= 0 ? Math.floor($15) : Math.ceil($15)); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $idx=$16; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$idx; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$3; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZN8JSObject30getDenseArrayInitializedLengthEv($18); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($17)>>>0) < (($19)>>>0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $22=$3; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$2; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($22, $23); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$3; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$idx; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic($6, 0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($24, $25, $6); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$2; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$3; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$idx; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$idx; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($29+1)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=__Z33js_SuppressDeletedIndexPropertiesP9JSContextP8JSObjectii($26, $27, $28, $30); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $1=-1; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      __label__ = 7; break; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      __label__ = 8; break; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      $1=1; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $37=$2; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=_INT_TO_JSID398(0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js12AutoIdRooterC1EP9JSContexti($idr, $37, $38); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$2; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$3; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$4; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=__ZN2js12AutoIdRooter4addrEv($idr); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=__ZL9IndexToIdP9JSContextP8JSObjectdPiS3_i($39, $40, $41, 0, $42, 0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=-1; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 16; break; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $46=__ZN2js12AutoIdRooter2idEv($idr); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=_JSID_IS_VOID($46); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=(($47)|0)!=0; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      $1=1; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 16; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $51=$3; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$2; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=__ZN2js12AutoIdRooter2idEv($idr); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=$5; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=(($54) & 1); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55)&1); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($51, $52, $53, $v, $56); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=(($57)|0)!=0; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      $1=-1; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 16; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $61=__ZNK2JS5Value6isTrueEv($v); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=$61 ? 1 : 0; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$62; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 16; break; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      __ZN2js12AutoIdRooterD1Ev($idr); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break;
    case 17: 
      var $65=$1; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $65; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18DeleteArrayElementP9JSContextP8JSObjectdb["X"]=1;

function __Z19js_NewbornArrayPushP9JSContextP8JSObjectRKN2JS5ValueE($cx, $obj, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  var $4=$1; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__Z20NewbornArrayPushImplP9JSContextP8JSObjectRKN2JS5ValueE($4, $5, $6); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __Z20NewbornArrayPushImplP9JSContextP8JSObjectRKN2JS5ValueE($cx, $obj, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $length;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$v;
      var $5=$3; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=__ZNK8JSObject14getArrayLengthEv($5); //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$6; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$3; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZNK8JSObject11isSlowArrayEv($7); //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$2; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$length; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZN2js9IndexToIdEP9JSContextjPi($10, $11, $id); //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $14=$2; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$3; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=HEAP32[(($id)>>2)]; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$4; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($14, $15, $16, $17, 0, 0, 1); //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18)|0)!=0; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      var $22=(($21)&1);
      $1=$22;
      __label__ = 11; break;
    case 5: 
      var $24=$length; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$3; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=__ZN8JSObject21getDenseArrayCapacityEv($25); //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=(($24)|0)==(($26)|0); //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $29=$3; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$2; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$length; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31+1)|0); //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=__ZN8JSObject11ensureSlotsEP9JSContextj($29, $30, $32); //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $36=$2; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=__ZN9JSContext20typeInferenceEnabledEv($36); //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $39=$3; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$length; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=(($40+1)|0); //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject30setDenseArrayInitializedLengthEj($39, $41); //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $43=$3; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$length; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=(($44+1)|0); //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject19setDenseArrayLengthEj($43, $45); //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$3; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$2; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$length; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=$4; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($46, $47, $48, $49); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $51=$1; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20NewbornArrayPushImplP9JSContextP8JSObjectRKN2JS5ValueE["X"]=1;

function __ZN2js10array_pushEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=$4; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=(($6+8)|0); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$8; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$obj; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9)|0)!=0; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 7; break; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $13=$3; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13)|0)!=1; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $16=$obj; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZNK8JSObject12isDenseArrayEv($16); //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $19=$2; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$obj; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$3; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$4; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=(($22+16)|0); //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$4; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=__ZL17array_push_slowlyP9JSContextP8JSObjectjPN2JS5ValueES5_($19, $20, $21, $23, $24); //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$25; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 7; break; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $27=$2; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$obj; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$4; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($29+16)|0); //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$4; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=__ZL17array_push1_denseP9JSContextP8JSObjectRKN2JS5ValueEPS4_($27, $28, $30, $31); //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$32; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 7; break; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $34=$1; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $34; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17array_push_slowlyP9JSContextP8JSObjectjPN2JS5ValueES5_($cx, $obj, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $length=__stackBase__;
      var $newlength;
      $2=$cx;
      $3=$obj;
      $4=$argc;
      $5=$argv;
      $6=$rval;
      var $7=$2; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$3; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($7, $8, $length); //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9)|0)!=0; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $13=$2; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$3; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=HEAP32[(($length)>>2)]; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$4; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$5; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__ZL17InitArrayElementsP9JSContextP8JSObjectjjPN2JS5ValueEb($13, $14, $15, $16, $17, 1); //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18)|0)!=0; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 2407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 2407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $22=HEAPU32[(($length)>>2)]; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=(($22)>>>0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$4; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=(($24)>>>0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$23+$25; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlength=$26; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$6; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$newlength; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__ZN2JS5Value9setNumberEd($27, $28); //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$2; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$3; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$newlength; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($30, $31, $32); //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$33; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $35=$1; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17array_push1_denseP9JSContextP8JSObjectRKN2JS5ValueEPS4_($cx, $obj, $v, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length;
      var $result;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$v;
      $5=$rval;
      var $6=$3; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=__ZNK8JSObject14getArrayLengthEv($6); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$7; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 2; break; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $9=$3; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$2; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$length; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($9, $10, $11, 1); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$12; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$result; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13)|0)!=0; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $16=$result; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16)|0)==1; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      __label__ = 7; break; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $21=$3; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$length; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=(($22+1)|0); //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject19setDenseArrayLengthEj($21, $23); //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$3; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$2; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$length; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$4; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($24, $25, $26, $27); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$5; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$3; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=__ZNK8JSObject14getArrayLengthEv($29); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=__ZN2JS5Value9setNumberEj($28, $30); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $33=$3; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$2; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=__ZN8JSObject18makeDenseArraySlowEP9JSContext($33, $34); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($35)|0)!=0; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      $1=0; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $39=$4; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$tmp; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$39; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$2; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$3; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$5; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=__ZL17array_push_slowlyP9JSContextP8JSObjectjPN2JS5ValueES5_($42, $43, 1, $tmp, $44); //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$45; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $47=$1; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $47; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17array_push1_denseP9JSContextP8JSObjectRKN2JS5ValueEPS4_["X"]=1;

function __ZN2js9array_popEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=$4; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=(($6+8)|0); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$8; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$obj; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9)|0)!=0; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 2553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $13=$obj; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=__ZNK8JSObject12isDenseArrayEv($13); //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $16=$2; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$obj; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$4; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZL15array_pop_denseP9JSContextP8JSObjectPN2JS5ValueE($16, $17, $18); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$19; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $21=$2; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$obj; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$4; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=__ZL16array_pop_slowlyP9JSContextP8JSObjectPN2JS5ValueE($21, $22, $23); //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$24; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $26=$1; //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $26; //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15array_pop_denseP9JSContextP8JSObjectPN2JS5ValueE($cx, $obj, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $index;
      var $hole=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$vp;
      var $5=$3; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=__ZNK8JSObject14getArrayLengthEv($5); //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $index=$6; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$index; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7)|0)==0; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$4; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($10); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $12=$index; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12-1)|0); //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $index=$13; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$2; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$3; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$index; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16)>>>0); //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$4; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($14, $15, $17, $hole, $18); //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19)|0)!=0; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $23=HEAP32[(($hole)>>2)]; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)|0)!=0; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $26=$2; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$3; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$index; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($28)>>>0); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=__ZL18DeleteArrayElementP9JSContextP8JSObjectdb($26, $27, $29, 1); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=(($30)|0) < 0; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $34=$2; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=__ZN9JSContext20typeInferenceEnabledEv($34); //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $37=$3; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=__ZN8JSObject30getDenseArrayInitializedLengthEv($37); //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$index; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($38)>>>0) > (($39)>>>0); //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $42=$3; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$index; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject30setDenseArrayInitializedLengthEj($42, $43); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $45=$3; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$2; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$index; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($45, $46, $47); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $49=$1; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15array_pop_denseP9JSContextP8JSObjectPN2JS5ValueE["X"]=1;

function __ZL16array_pop_slowlyP9JSContextP8JSObjectPN2JS5ValueE($cx, $obj, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $index=__stackBase__;
      var $hole=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$vp;
      var $5=$2; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=$3; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($5, $6, $index); //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7)|0)!=0; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $11=HEAP32[(($index)>>2)]; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11)|0)==0; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $14=$4; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $16=HEAP32[(($index)>>2)]; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16-1)|0); //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($index)>>2)]=$17; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$2; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$3; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=HEAPU32[(($index)>>2)]; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=(($20)>>>0); //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$4; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($18, $19, $21, $hole, $22); //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)|0)!=0; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=0; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $27=HEAP32[(($hole)>>2)]; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=(($27)|0)!=0; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $30=$2; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$3; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=HEAPU32[(($index)>>2)]; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=(($32)>>>0); //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=__ZL18DeleteArrayElementP9JSContextP8JSObjectdb($30, $31, $33, 1); //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=(($34)|0) < 0; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $1=0; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $39=$2; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$3; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=HEAPU32[(($index)>>2)]; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=(($41)>>>0); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($39, $40, $42); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$43; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $45=$1; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16array_pop_slowlyP9JSContextP8JSObjectPN2JS5ValueE["X"]=1;

function __ZL14array_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 124; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $obj;
      var $detector=__stackBase__+4;
      var $5;
      var $sb=__stackBase__+20;
      var $chars;
      var $chars1;
      var $length=__stackBase__+100;
      var $index;
      var $hole=__stackBase__+104;
      var $tmp=__stackBase__+108;
      var $str;
      var $str2;
      var $6=__stackBase__+116;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$2; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9+48)|0); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $14=$2; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 53; break; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      __label__ = 5; break; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $17=$2; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$4; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18+8)|0); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($17, $19); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$20; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$obj; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21)|0)!=0; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=0; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 53; break; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $25=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=__ZNK8JSObject7isArrayEv($25); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $28=$2; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$4; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($28, $29, __ZN2js10ArrayClassE); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 53; break; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $31=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN18ArraySharpDetectorC1EP9JSContext($detector, $31); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$obj; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=__ZN18ArraySharpDetector4initEP8JSObject($detector, $32); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=0; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 52; break; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $36=$2; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $36); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=__ZNK18ArraySharpDetector14initiallySharpEv($detector); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($37) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $39=__ZN18ArraySharpDetector14takeSharpCharsEv($detector); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $chars=$39; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$chars; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$chars; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=__Z9js_strlenPKt($41); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js12StringBuffer16replaceRawBufferEPtj($sb, $40, $42); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 48; break; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $44=__ZNK18ArraySharpDetector13hasSharpCharsEv($detector); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($44) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      __ZN18ArraySharpDetector9makeSharpEv($detector); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=__ZN18ArraySharpDetector14takeSharpCharsEv($detector); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $chars1=$46; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$chars1; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$chars1; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=__Z9js_strlenPKt($48); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js12StringBuffer16replaceRawBufferEPtj($sb, $47, $49); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      var $52=__ZN2js12StringBuffer6appendEt($sb, 91); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($52) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      $1=0; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $55=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=$obj; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($55, $56, $length); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=(($57)|0)!=0; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($58) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      $1=0; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      $index=0; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $62=$index; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=HEAPU32[(($length)>>2)]; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=(($62)>>>0) < (($63)>>>0); //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($64) { __label__ = 22; break; } else { __label__ = 45; break; } //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $66=$2; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=(($66+52)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=(($68+144280)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=(($69)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=(($71)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($72) { __label__ = 23; break; } else { var $78 = 1;__label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $74=$2; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=__Z26js_InvokeOperationCallbackP9JSContext($74); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=(($75)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78 = $76;__label__ = 24; break; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $78;
      if ($78) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $80=$2; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=$obj; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=$index; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=(($82)>>>0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($80, $81, $83, $hole, $tmp); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=(($84)|0)!=0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($85) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      $1=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      var $88=HEAP32[(($hole)>>2)]; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=(($88)|0)!=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($89) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $91=$2; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=(($91+52)|0); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=(($93+144136)|0); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=$95; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $str=$96; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 32; break; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      var $98=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($98, $tmp); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $str=$99; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=$str; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $101=(($100)|0)!=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($101) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      $1=0; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      __label__ = 32; break;
    case 32: 
      var $105=$str; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $106=__ZN2js12StringBuffer6appendEP8JSString($sb, $105); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($106) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      $1=0; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      var $109=$index; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $110=(($109+1)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=HEAP32[(($length)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=(($110)|0)!=(($111)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($112) { __label__ = 35; break; } else { __label__ = 38; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $114=__ZN2js12StringBuffer6appendILj3EEEbRAT__Kc($sb, STRING_TABLE.__str26343); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($114) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      $1=0; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      __label__ = 43; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $118=HEAP32[(($hole)>>2)]; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=(($118)|0)!=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($119) { __label__ = 39; break; } else { __label__ = 42; break; } //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      var $121=__ZN2js12StringBuffer6appendEt($sb, 44); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($121) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      $1=0; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      __label__ = 42; break; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      __label__ = 43; break;
    case 43: 
      __label__ = 44; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      var $127=$index; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=(($127+1)|0); //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $index=$128; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      var $130=__ZN2js12StringBuffer6appendEt($sb, 93); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($130) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      $1=0; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 47: 
      __label__ = 48; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 48: 
      var $134=__ZN2js12StringBuffer12finishStringEv($sb); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $135=$134; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $str2=$135; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $136=$str2; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=(($136)|0)!=0; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($137) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 49: 
      $1=0; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 50: 
      var $140=$4; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=$str2; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL11StringValueEP8JSString406($6, $141); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=$140; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $143=$6; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($142)>>2)]=HEAP32[(($143)>>2)];HEAP32[(($142+4)>>2)]=HEAP32[(($143+4)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 51; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 51: 
      __ZN2js12StringBufferD1Ev($sb); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break;
    case 52: 
      __ZN18ArraySharpDetectorD1Ev($detector); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 53; break;
    case 53: 
      var $147=$1; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $147; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14array_toSourceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL14array_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $obj;
      var $join;
      var $str;
      var $args=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$2; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+48)|0); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $13=$2; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      __label__ = 5; break; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $16=$2; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$4; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17+8)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($16, $18); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$19; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$obj; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=(($20)|0)!=0; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=0; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $24=$4; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=(($24)|0); //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $join=$25; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$obj; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$2; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$2; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($28+52)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=(($30+209948)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31+300)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$join; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($26, $27, $33, $34); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($35)|0)!=0; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      $1=0; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $39=$join; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=__ZL13js_IsCallableRKN2JS5ValueE405($39); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 13; break; } else { __label__ = 10; break; } //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $42=$2; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$obj; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=__ZN2js18obj_toStringHelperEP9JSContextP8JSObject($42, $43); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $str=$44; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$str; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)|0)!=0; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $49=$4; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$str; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setStringEP8JSString($49, $50); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $52=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js10LeaveTraceEP9JSContext($52); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=$2; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($53+60)|0); //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$2; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($54, $55, 0, $args); //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      $1=0; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 18; break; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $59=$args; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=__ZNK2js12CallReceiver7calleevEv($59); //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=$join; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=$60; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$61; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)]; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$args; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=__ZNK2js12CallReceiver5thisvEv($64); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=$obj; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($65, $66); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$2; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($67, $args, 0); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($68) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      $1=0; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 18; break; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $71=$4; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=$args; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=__ZNK2js12CallReceiver4rvalEv($72); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=$71; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=$73; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($74)>>2)]=HEAP32[(($75)>>2)];HEAP32[(($74+4)>>2)]=HEAP32[(($75+4)>>2)]; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 18; break; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break;
    case 19: 
      var $78=$1; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $78; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14array_toStringP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL20array_toLocaleStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $6=$stackDummy_; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$2; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7+48)|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($6)>>>0) < (($9)>>>0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $12=$2; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __Z21js_ReportOverRecursedP9JSContext($12); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      __label__ = 5; break; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $15=$2; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16+8)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($15, $17); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$18; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$obj; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19)|0)!=0; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=0; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $23=$2; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$obj; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=__ZL18array_toString_subP9JSContextP8JSObjectiP8JSStringPN2JS5ValueE($23, $24, 1, 0, $25); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$26; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $28=$1; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10array_joinP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $str;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $6=$stackDummy_; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$2; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7+48)|0); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($6)>>>0) < (($9)>>>0); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $12=$2; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __Z21js_ReportOverRecursedP9JSContext($12); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      __label__ = 5; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $15=$3; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=(($15)|0)==0; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $18=$4; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18+16)|0); //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__ZNK2JS5Value11isUndefinedEv($19); //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $str=0; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $23=$2; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$4; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=(($24+16)|0); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($23, $25); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $str=$26; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$str; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=(($27)|0)!=0; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $1=0; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $31=$4; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31+16)|0); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$str; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setStringEP8JSString($32, $33); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break;
    case 11: 
      var $35=$2; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$4; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(($36+8)|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($35, $37); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$38; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$obj; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($39)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      $1=0; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $43=$2; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$obj; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$str; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$4; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=__ZL18array_toString_subP9JSContextP8JSObjectiP8JSStringPN2JS5ValueE($43, $44, 0, $45, $46); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$47; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $49=$1; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10array_joinP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13array_reverseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $len=__stackBase__;
      var $result;
      var $lo;
      var $hi;
      var $origlo=__stackBase__+4;
      var $orighi=__stackBase__+12;
      var $tvr=__stackBase__+20;
      var $i;
      var $half;
      var $hole=__stackBase__+44;
      var $hole2=__stackBase__+48;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$4; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7+8)|0); //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$9; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$obj; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10)|0)!=0; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $14=$2; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$obj; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($14, $15, $len); //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16)|0)!=0; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $20=$4; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$obj; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($20, $21); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $23=$obj; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=__ZNK8JSObject12isDenseArrayEv($23); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      __label__ = 28; break; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $27=$2; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$obj; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($27, $28); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($29)|0)!=0; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      __label__ = 28; break; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $33=HEAP32[(($len)>>2)]; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=(($33)|0)==0; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($34) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $36=$obj; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=__ZN8JSObject21getDenseArrayCapacityEv($36); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=(($37)|0)==0; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      $1=1; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $41=$obj; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$2; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=HEAP32[(($len)>>2)]; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($41, $42, $43, 0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$44; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$result; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)|0)!=0; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $48=$result; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($48)|0)==1; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($49) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      $1=0; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      __label__ = 28; break; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $53=$obj; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=$2; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=HEAP32[(($len)>>2)]; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj($53, $54, $55, 0); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $lo=0; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=HEAP32[(($len)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=(($56-1)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $hi=$57; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 18; break; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $59=$lo; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=$hi; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=(($59)>>>0) < (($60)>>>0); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($61) { __label__ = 19; break; } else { __label__ = 27; break; } //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $63=$obj; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$lo; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=__ZN8JSObject20getDenseArrayElementEj($63, $64); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=$origlo; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$65; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($66)>>2)]=HEAP32[(($67)>>2)];HEAP32[(($66+4)>>2)]=HEAP32[(($67+4)>>2)]; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=$obj; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$hi; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=__ZN8JSObject20getDenseArrayElementEj($68, $69); //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=$orighi; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=$70; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=$obj; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=$lo; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($73, $74, $orighi); //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=__ZNK2JS5Value7isMagicE10JSWhyMagic($orighi, 0); //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($75) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $77=$2; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=$obj; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=$lo; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=_INT_TO_JSID398($79); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=__Z26js_SuppressDeletedPropertyP9JSContextP8JSObjecti($77, $78, $80); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($81) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      $1=0; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $84=$obj; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=$hi; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($84, $85, $origlo); //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=__ZNK2JS5Value7isMagicE10JSWhyMagic($origlo, 0); //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $88=$2; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=$obj; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=$hi; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=_INT_TO_JSID398($90); //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=__Z26js_SuppressDeletedPropertyP9JSContextP8JSObjecti($88, $89, $91); //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($92) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      $1=0; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      var $96=$lo; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97=(($96+1)|0); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $lo=$97; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=$hi; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=(($98-1)|0); //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $hi=$99; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 18; break; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      $1=1; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $102=$2; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $102); //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=0; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=HEAPU32[(($len)>>2)]; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=Math.floor((($103)>>>0)/2); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $half=$104; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 29; break; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      var $106=$i; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=$half; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=(($106)>>>0) < (($107)>>>0); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($108) { __label__ = 30; break; } else { __label__ = 40; break; } //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $110=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=(($110+52)|0); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $113=(($112+144280)|0); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114=(($113)|0); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=(($115)|0)!=0; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($116) { __label__ = 31; break; } else { var $122 = 1;__label__ = 32; break; } //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $118=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=__Z26js_InvokeOperationCallbackP9JSContext($118); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=(($119)|0)!=0; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $122 = $120;__label__ = 32; break; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      var $122;
      if ($122) { __label__ = 33; break; } else { __label__ = 37; break; } //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $124=$2; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $125=$obj; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=$i; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=(($126)>>>0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($124, $125, $127, $hole, $128); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $130=(($129)|0)!=0; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($130) { __label__ = 34; break; } else { __label__ = 37; break; } //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      var $132=$2; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $133=$obj; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $134=HEAP32[(($len)>>2)]; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $135=$i; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $136=(($134-$135)|0); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=(($136-1)|0); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=(($137)>>>0); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $139=$4; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $140=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($132, $133, $138, $hole2, $139); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=(($140)|0)!=0; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($141) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $143=$2; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=$obj; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $145=HEAP32[(($len)>>2)]; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $146=$i; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $147=(($145-$146)|0); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $148=(($147-1)|0); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $149=(($148)>>>0); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $150=HEAP32[(($hole)>>2)]; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $151=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $152=__ZL23SetOrDeleteArrayElementP9JSContextP8JSObjectdiRKN2JS5ValueE($143, $144, $149, $150, $151); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $153=(($152)|0)!=0; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($153) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $155=$2; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $156=$obj; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $157=$i; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $158=(($157)>>>0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $159=HEAP32[(($hole2)>>2)]; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $160=$4; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $161=__ZL23SetOrDeleteArrayElementP9JSContextP8JSObjectdiRKN2JS5ValueE($155, $156, $158, $159, $160); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $162=(($161)|0)!=0; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($162) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      $1=0; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 41; break; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      __label__ = 39; break; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      var $166=$i; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $167=(($166+1)|0); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$167; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 29; break; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $169=$4; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $170=$obj; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($169, $170); //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 41; break; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 42; break;
    case 42: 
      var $173=$1; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $173; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13array_reverseP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11array_shiftP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $length=__stackBase__;
      var $5=__stackBase__+4;
      var $hole=__stackBase__+12;
      var $tvr=__stackBase__+16;
      var $i;
      var $6;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$4; //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+8)|0); //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$10; //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$obj; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11)|0)!=0; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 38; break; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $15=$2; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$obj; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($15, $16, $length); //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0)!=0; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 38; break; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $21=HEAP32[(($length)>>2)]; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21)|0)==0; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $24=$4; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 37; break; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $26=HEAP32[(($length)>>2)]; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=(($26-1)|0); //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($length)>>2)]=$27; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$obj; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__ZNK8JSObject12isDenseArrayEv($28); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 19; break; } //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $31=$2; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$obj; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($31, $32); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=(($33)|0)!=0; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($34) { __label__ = 19; break; } else { __label__ = 9; break; } //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $36=HEAPU32[(($length)>>2)]; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$obj; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=__ZN8JSObject21getDenseArrayCapacityEv($37); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=(($36)>>>0) < (($38)>>>0); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $41=$obj; //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=__ZN8JSObject30getDenseArrayInitializedLengthEv($41); //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=0 < (($42)>>>0); //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 19; break; } //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $45=$4; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$obj; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=__ZN8JSObject20getDenseArrayElementEj($46, 0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$45; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=$47; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$4; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=__ZNK2JS5Value7isMagicE10JSWhyMagic($50, 0); //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $53=$4; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($53); //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 13; break; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $55=$obj; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=HEAP32[(($length)>>2)]; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject22moveDenseArrayElementsEjjj($55, 0, 1, $56); //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$2; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=__ZN9JSContext20typeInferenceEnabledEv($57); //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $60=$obj; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=$obj; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=__ZN8JSObject30getDenseArrayInitializedLengthEv($61); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=(($62-1)|0); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject30setDenseArrayInitializedLengthEj($60, $63); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $65=$obj; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=HEAP32[(($length)>>2)]; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic($5, 0); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($65, $66, $5); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break;
    case 16: 
      var $68=$obj; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$2; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=HEAP32[(($length)>>2)]; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($68, $69, $70); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=$2; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=$obj; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=HEAP32[(($length)>>2)]; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=_INT_TO_JSID398($73); //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=__Z26js_SuppressDeletedPropertyP9JSContextP8JSObjecti($71, $72, $74); //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($75) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      $1=0; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 38; break; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      $1=1; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 38; break; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $79=$2; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=$obj; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=$4; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($79, $80, 0, $hole, $81); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=(($82)|0)!=0; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($83) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      $1=0; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 38; break; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $86=$2; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $86); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=0; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $88=$i; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=HEAPU32[(($length)>>2)]; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=(($88)>>>0) < (($89)>>>0); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($90) { __label__ = 23; break; } else { __label__ = 31; break; } //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $92=$2; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $93=(($92+52)|0); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=(($94+144280)|0); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=(($95)|0); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=(($97)|0)!=0; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($98) { __label__ = 24; break; } else { var $104 = 1;__label__ = 25; break; } //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $100=$2; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $101=__Z26js_InvokeOperationCallbackP9JSContext($100); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102=(($101)|0)!=0; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104 = $102;__label__ = 25; break; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $104;
      if ($104) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      var $106=$2; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=$obj; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=$i; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $109=(($108+1)|0); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $110=(($109)>>>0); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($106, $107, $110, $hole, $111); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $113=(($112)|0)!=0; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($113) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      var $115=$2; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=$obj; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $117=$i; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $118=(($117)>>>0); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=HEAP32[(($hole)>>2)]; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $121=__ZL23SetOrDeleteArrayElementP9JSContextP8JSObjectdiRKN2JS5ValueE($115, $116, $118, $119, $120); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $122=(($121)|0)!=0; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($122) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      $1=0; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=1;
      __label__ = 35; break; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      __label__ = 30; break; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $126=$i; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=(($126+1)|0); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$127; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $129=HEAP32[(($hole)>>2)]; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $130=(($129)|0)!=0; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($130) { __label__ = 34; break; } else { __label__ = 32; break; } //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      var $132=$2; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $133=$obj; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $134=HEAPU32[(($length)>>2)]; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $135=(($134)>>>0); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $136=__ZL18DeleteArrayElementP9JSContextP8JSObjectdb($132, $133, $135, 1); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=(($136)|0) < 0; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($137) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      $1=0; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=1;
      __label__ = 35; break; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      $6=0; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 35; break; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 36; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 38; break;
      }
      else {
      __label__ = 39; break;
      }
      
    case 36: 
      __label__ = 37; break;
    case 37: 
      var $143=$2; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=$obj; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $145=HEAPU32[(($length)>>2)]; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $146=(($145)>>>0); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $147=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($143, $144, $146); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$147; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 38; break; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $149=$1; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $149; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11array_shiftP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13array_unshiftP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $hole=__stackBase__;
      var $last;
      var $newlen;
      var $obj;
      var $length=__stackBase__+4;
      var $optimized;
      var $result;
      var $i;
      var $5=__stackBase__+8;
      var $upperIndex;
      var $tvr=__stackBase__+16;
      var $6;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$4; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+8)|0); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$10; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$obj; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11)|0)!=0; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $15=$2; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$obj; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($15, $16, $length); //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0)!=0; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $21=HEAPU32[(($length)>>2)]; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21)>>>0); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=$22; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$3; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)>>>0) > 0; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 38; break; } //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $26=$4; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=(($26+16)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argv=$27; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=HEAPU32[(($length)>>2)]; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($28)>>>0) > 0; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 35; break; } //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $optimized=0; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $32=$obj; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=__ZNK8JSObject12isDenseArrayEv($32); //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($33) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      __label__ = 21; break; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $36=$2; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$obj; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($36, $37); //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=(($38)|0)!=0; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      __label__ = 21; break; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $42=$obj; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$2; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=HEAP32[(($length)>>2)]; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$3; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($42, $43, $44, $45); //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$46; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$result; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=(($47)|0)!=0; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($48) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $50=$result; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=(($50)|0)==1; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      $1=0; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      __label__ = 21; break; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $55=$obj; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=$3; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=HEAP32[(($length)>>2)]; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject22moveDenseArrayElementsEjjj($55, $56, 0, $57); //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=0; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $59=$i; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=$3; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=(($59)>>>0) < (($60)>>>0); //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($61) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $63=$obj; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$i; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic($5, 0); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($63, $64, $5); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $66=$i; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=(($66+1)|0); //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$67; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      $optimized=1; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 21; break; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $70=$optimized; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=(($70) & 1); //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($71) { __label__ = 34; break; } else { __label__ = 22; break; } //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $73=HEAPU32[(($length)>>2)]; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=(($73)>>>0); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $last=$74; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=$last; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=$3; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=(($76)>>>0); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=$75+$77; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $upperIndex=$78; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=$2; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $79); //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 23; break; //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $81=$last; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=$81-1; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $last=$82; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=$upperIndex; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=$83-1; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $upperIndex=$84; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=$2; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=(($85+52)|0); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $88=(($87+144280)|0); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=(($88)|0); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=(($90)|0)!=0; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($91) { __label__ = 24; break; } else { var $97 = 1;__label__ = 25; break; } //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $93=$2; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=__Z26js_InvokeOperationCallbackP9JSContext($93); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=(($94)|0)!=0; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97 = $95;__label__ = 25; break; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $97;
      if ($97) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      var $99=$2; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=$obj; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $101=$last; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($99, $100, $101, $hole, $102); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=(($103)|0)!=0; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($104) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      var $106=$2; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=$obj; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=$upperIndex; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $109=HEAP32[(($hole)>>2)]; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $110=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=__ZL23SetOrDeleteArrayElementP9JSContextP8JSObjectdiRKN2JS5ValueE($106, $107, $108, $109, $110); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=(($111)|0)!=0; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($112) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      $1=0; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=1;
      __label__ = 32; break; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      __label__ = 30; break; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $116=$last; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $117=$116 != 0; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($117) { __label__ = 23; break; } else { __label__ = 31; break; } //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      $6=0; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 32; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 33; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 41; break;
      }
      else {
      __label__ = 42; break;
      }
      
    case 33: 
      __label__ = 34; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      __label__ = 35; break; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $123=$2; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $124=$obj; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $125=$3; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=$argv; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=__ZL17InitArrayElementsP9JSContextP8JSObjectjjPN2JS5ValueEb($123, $124, 0, $125, $126, 1); //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=(($127)|0)!=0; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($128) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      $1=0; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $131=$3; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $132=(($131)>>>0); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $133=$newlen; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $134=$133+$132; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=$134; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 38; break; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $136=$2; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=$obj; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=$newlen; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $139=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($136, $137, $138); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $140=(($139)|0)!=0; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($140) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      $1=0; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $143=$4; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=$newlen; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $145=__ZN2JS5Value9setNumberEd($143, $144); //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      var $147=$1; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $147; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13array_unshiftP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12array_spliceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $length=__stackBase__;
      var $begin;
      var $end;
      var $count;
      var $delta;
      var $last;
      var $hole=__stackBase__+4;
      var $obj2;
      var $argv;
      var $origlength;
      var $d=__stackBase__+8;
      var $tvr=__stackBase__+16;
      var $5;
      var $optimized;
      var $result;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$4; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7+8)|0); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$9; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$obj; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10)|0)!=0; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 105; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $14=$2; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($14, 0); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj2=$15; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$obj2; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16)|0)!=0; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 105; break; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $20=$obj; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$obj2; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZL17TryReuseArrayTypeP8JSObjectS0_($20, $21); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$4; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$obj2; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($22, $23); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$3; //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=(($24)|0)==0; //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=1; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 105; break; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $28=$4; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($28+16)|0); //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argv=$29; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$2; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$obj; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($30, $31, $length); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=(($32)|0)!=0; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      $1=0; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 105; break; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $36=HEAP32[(($length)>>2)]; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $origlength=$36; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$2; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$argv; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd($37, $38, $d); //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=0; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 105; break; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $42=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=$42 < 0; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $45=HEAPU32[(($length)>>2)]; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)>>>0); //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$47+$46; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$48,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$49 < 0; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($50) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      __label__ = 18; break; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $54=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=HEAPU32[(($length)>>2)]; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55)>>>0); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$54 > $56; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($57) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $59=HEAPU32[(($length)>>2)]; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=(($59)>>>0); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$60,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $63=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=($63 >= 0 ? Math.floor($63) : Math.ceil($63)); //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $begin=$64; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=$3; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=(($65-1)|0); //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $3=$66; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$argv; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=(($67+8)|0); //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argv=$68; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=HEAP32[(($length)>>2)]; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=$begin; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=(($69-$70)|0); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $delta=$71; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=$3; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=(($72)|0)==0; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $75=$delta; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $count=$75; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=HEAP32[(($length)>>2)]; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=$76; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 28; break; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $78=$2; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=$argv; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd($78, $79, $d); //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($80) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      $1=0; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 105; break; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $83=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=$83 < 0; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 27; break; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $87=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $88=$delta; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=(($88)>>>0); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=$87 > $89; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($90) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $92=$delta; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $93=(($92)>>>0); //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$93,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 26; break; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      var $96=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97=($96 >= 0 ? Math.floor($96) : Math.ceil($96)); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $count=$97; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=$begin; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=$count; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=(($98+$99)|0); //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=$100; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $101=$3; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102=(($101-1)|0); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $3=$102; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=$argv; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=(($103+8)|0); //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argv=$104; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 28; break;
    case 28: 
      var $106=$2; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $106); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=$count; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=(($107)>>>0) > 0; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($108) { __label__ = 29; break; } else { __label__ = 51; break; } //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      var $110=$obj; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=__ZNK8JSObject12isDenseArrayEv($110); //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($111) { __label__ = 30; break; } else { __label__ = 35; break; } //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $113=$2; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114=$obj; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $115=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($113, $114); //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=(($115)|0)!=0; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($116) { __label__ = 35; break; } else { __label__ = 31; break; } //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $118=$end; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=$obj; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=__ZN8JSObject30getDenseArrayInitializedLengthEv($119); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $121=(($118)>>>0) <= (($120)>>>0); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($121) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      var $123=$2; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $124=$obj2; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $125=$count; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=$obj; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=__ZN8JSObject21getDenseArrayElementsEv($126); //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=$begin; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=(($127+($128<<3))|0); //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $130=__ZL15InitArrayObjectP9JSContextP8JSObjectjPKN2JS5ValueE($123, $124, $125, $129); //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $131=(($130)|0)!=0; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($131) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      $1=0; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 104; break; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      __label__ = 50; break; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $135=$begin; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $last=$135; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 36; break; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $137=$last; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=$end; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $139=(($137)>>>0) < (($138)>>>0); //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($139) { __label__ = 37; break; } else { __label__ = 47; break; } //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $141=$2; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=(($141+52)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=(($143+144280)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $145=(($144)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $147=(($146)|0)!=0; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($147) { __label__ = 38; break; } else { var $153 = 1;__label__ = 39; break; } //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $149=$2; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $150=__Z26js_InvokeOperationCallbackP9JSContext($149); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $151=(($150)|0)!=0; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $153 = $151;__label__ = 39; break; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      var $153;
      if ($153) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $155=$2; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $156=$obj; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $157=$last; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $158=(($157)>>>0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $159=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $160=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($155, $156, $158, $hole, $159); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $161=(($160)|0)!=0; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($161) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      $1=0; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 104; break; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      var $164=HEAP32[(($hole)>>2)]; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $165=(($164)|0)!=0; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($165) { __label__ = 45; break; } else { __label__ = 43; break; } //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $167=$2; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $168=$obj2; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $169=$last; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $170=$begin; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $171=(($169-$170)|0); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $172=(($171)>>>0); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $173=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $174=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($167, $168, $172, $173); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $175=(($174)|0)!=0; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($175) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      $1=0; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 104; break; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      __label__ = 46; break; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      var $179=$last; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $180=(($179+1)|0); //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $last=$180; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 36; break; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 47: 
      var $182=$2; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $183=$obj2; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $184=$count; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $185=(($184)>>>0); //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $186=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($182, $183, $185); //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $187=(($186)|0)!=0; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($187) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 48: 
      $1=0; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 104; break; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 49: 
      __label__ = 50; break;
    case 50: 
      __label__ = 51; break; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 51: 
      var $192=$3; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $193=$count; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $194=(($192)>>>0) > (($193)>>>0); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($194) { __label__ = 52; break; } else { __label__ = 80; break; } //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 52: 
      var $196=$3; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $197=$count; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $198=(($196-$197)|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $delta=$198; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $199=HEAP32[(($length)>>2)]; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $last=$199; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $optimized=0; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 53; break; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 53: 
      var $201=$obj; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $202=__ZNK8JSObject12isDenseArrayEv($201); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($202) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 54: 
      __label__ = 68; break; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 55: 
      var $205=$2; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $206=$obj; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $207=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($205, $206); //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $208=(($207)|0)!=0; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($208) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 56: 
      __label__ = 68; break; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 57: 
      var $211=HEAPU32[(($length)>>2)]; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $212=$obj; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $213=__ZN8JSObject30getDenseArrayInitializedLengthEv($212); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $214=(($211)>>>0) > (($213)>>>0); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($214) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 58: 
      __label__ = 68; break; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 59: 
      var $217=HEAP32[(($length)>>2)]; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $218=(($217)|0)!=0; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($218) { __label__ = 60; break; } else { __label__ = 62; break; } //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 60: 
      var $220=$obj; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $221=HEAP32[(($length)>>2)]; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $222=(($221-1)|0); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $223=__ZN8JSObject20getDenseArrayElementEj($220, $222); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $224=__ZNK2JS5Value7isMagicE10JSWhyMagic($223, 0); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($224) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 61: 
      __label__ = 68; break; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 62: 
      var $227=$obj; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $228=$2; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $229=HEAP32[(($length)>>2)]; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $230=$delta; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $231=__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj($227, $228, $229, $230); //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $result=$231; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $232=$result; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $233=(($232)|0)!=0; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($233) { __label__ = 63; break; } else { __label__ = 66; break; } //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 63: 
      var $235=$result; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $236=(($235)|0)==1; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($236) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 64: 
      $1=0; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 104; break; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 65: 
      __label__ = 68; break; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 66: 
      var $240=$obj; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $241=$end; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $242=$delta; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $243=(($241+$242)|0); //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $244=$end; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $245=$last; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $246=$end; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $247=(($245-$246)|0); //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject22moveDenseArrayElementsEjjj($240, $243, $244, $247); //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $248=$obj; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $249=$2; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $250=$obj; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $251=__ZNK8JSObject14getArrayLengthEv($250); //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $252=$delta; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $253=(($251+$252)|0); //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($248, $249, $253); //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $optimized=1; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 67; break; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 67: 
      __label__ = 68; break; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 68: 
      var $256=$optimized; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $257=(($256) & 1); //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($257) { __label__ = 79; break; } else { __label__ = 69; break; } //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 69: 
      __label__ = 70; break; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 70: 
      var $260=$last; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $261=(($260-1)|0); //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $last=$261; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $262=$end; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $263=(($260)>>>0) > (($262)>>>0); //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($263) { __label__ = 71; break; } else { __label__ = 78; break; } //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 71: 
      var $265=$2; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $266=(($265+52)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $267=HEAP32[(($266)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $268=(($267+144280)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $269=(($268)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $270=HEAP32[(($269)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $271=(($270)|0)!=0; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($271) { __label__ = 72; break; } else { var $277 = 1;__label__ = 73; break; } //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 72: 
      var $273=$2; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $274=__Z26js_InvokeOperationCallbackP9JSContext($273); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $275=(($274)|0)!=0; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $277 = $275;__label__ = 73; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 73: 
      var $277;
      if ($277) { __label__ = 74; break; } else { __label__ = 76; break; } //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 74: 
      var $279=$2; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $280=$obj; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $281=$last; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $282=(($281)>>>0); //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $283=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $284=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($279, $280, $282, $hole, $283); //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $285=(($284)|0)!=0; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($285) { __label__ = 75; break; } else { __label__ = 76; break; } //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 75: 
      var $287=$2; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $288=$obj; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $289=$last; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $290=$delta; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $291=(($289+$290)|0); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $292=(($291)>>>0); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $293=HEAP32[(($hole)>>2)]; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $294=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $295=__ZL23SetOrDeleteArrayElementP9JSContextP8JSObjectdiRKN2JS5ValueE($287, $288, $292, $293, $294); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $296=(($295)|0)!=0; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($296) { __label__ = 77; break; } else { __label__ = 76; break; } //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 76: 
      $1=0; //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 104; break; //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 77: 
      __label__ = 70; break; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 78: 
      __label__ = 79; break; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 79: 
      var $301=$delta; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $302=HEAP32[(($length)>>2)]; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $303=(($302+$301)|0); //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($length)>>2)]=$303; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 98; break; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 80: 
      var $305=$3; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $306=$count; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $307=(($305)>>>0) < (($306)>>>0); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($307) { __label__ = 81; break; } else { __label__ = 97; break; } //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 81: 
      var $309=$count; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $310=$3; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $311=(($309-$310)|0); //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $delta=$311; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $312=$obj; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $313=__ZNK8JSObject12isDenseArrayEv($312); //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($313) { __label__ = 82; break; } else { __label__ = 85; break; } //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 82: 
      var $315=$2; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $316=$obj; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $317=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($315, $316); //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $318=(($317)|0)!=0; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($318) { __label__ = 85; break; } else { __label__ = 83; break; } //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 83: 
      var $320=HEAPU32[(($length)>>2)]; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $321=$obj; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $322=__ZN8JSObject30getDenseArrayInitializedLengthEv($321); //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $323=(($320)>>>0) <= (($322)>>>0); //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($323) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 84: 
      var $325=$obj; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $326=$end; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $327=$delta; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $328=(($326-$327)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $329=$end; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $330=HEAP32[(($length)>>2)]; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $331=$end; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $332=(($330-$331)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject22moveDenseArrayElementsEjjj($325, $328, $329, $332); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 96; break; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 85: 
      var $334=$end; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $last=$334; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 86: 
      var $336=$last; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $337=HEAPU32[(($length)>>2)]; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $338=(($336)>>>0) < (($337)>>>0); //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($338) { __label__ = 87; break; } else { __label__ = 95; break; } //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 87: 
      var $340=$2; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $341=(($340+52)|0); //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $342=HEAP32[(($341)>>2)]; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $343=(($342+144280)|0); //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $344=(($343)|0); //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $345=HEAP32[(($344)>>2)]; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $346=(($345)|0)!=0; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($346) { __label__ = 88; break; } else { var $352 = 1;__label__ = 89; break; } //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 88: 
      var $348=$2; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $349=__Z26js_InvokeOperationCallbackP9JSContext($348); //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $350=(($349)|0)!=0; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $352 = $350;__label__ = 89; break; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 89: 
      var $352;
      if ($352) { __label__ = 90; break; } else { __label__ = 92; break; } //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 90: 
      var $354=$2; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $355=$obj; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $356=$last; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $357=(($356)>>>0); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $358=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $359=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($354, $355, $357, $hole, $358); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $360=(($359)|0)!=0; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($360) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 91: 
      var $362=$2; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $363=$obj; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $364=$last; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $365=$delta; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $366=(($364-$365)|0); //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $367=(($366)>>>0); //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $368=HEAP32[(($hole)>>2)]; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $369=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $370=__ZL23SetOrDeleteArrayElementP9JSContextP8JSObjectdiRKN2JS5ValueE($362, $363, $367, $368, $369); //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $371=(($370)|0)!=0; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($371) { __label__ = 93; break; } else { __label__ = 92; break; } //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 92: 
      $1=0; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 104; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 93: 
      __label__ = 94; break; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 94: 
      var $375=$last; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $376=(($375+1)|0); //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $last=$376; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 86; break; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 95: 
      __label__ = 96; break;
    case 96: 
      var $379=$delta; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $380=HEAP32[(($length)>>2)]; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $381=(($380-$379)|0); //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($length)>>2)]=$381; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 97: 
      __label__ = 98; break;
    case 98: 
      var $384=HEAPU32[(($length)>>2)]; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $385=$origlength; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $386=(($384)>>>0) < (($385)>>>0); //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($386) { __label__ = 99; break; } else { __label__ = 101; break; } //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 99: 
      var $388=$2; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $389=$obj; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $390=HEAP32[(($length)>>2)]; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $391=$origlength; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $392=__Z33js_SuppressDeletedIndexPropertiesP9JSContextP8JSObjectii($388, $389, $390, $391); //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($392) { __label__ = 101; break; } else { __label__ = 100; break; } //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 100: 
      $1=0; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 104; break; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 101: 
      var $395=$2; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $396=$obj; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $397=$begin; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $398=$3; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $399=$argv; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $400=__ZL17InitArrayElementsP9JSContextP8JSObjectjjPN2JS5ValueEb($395, $396, $397, $398, $399, 1); //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $401=(($400)|0)!=0; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($401) { __label__ = 102; break; } else { var $410 = 0;__label__ = 103; break; } //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 102: 
      var $403=$2; //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $404=$obj; //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $405=HEAPU32[(($length)>>2)]; //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $406=(($405)>>>0); //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $407=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($403, $404, $406); //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $408=(($407)|0)!=0; //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $410 = $408;__label__ = 103; break;
    case 103: 
      var $410;
      var $411=(($410)&1);
      $1=$411;
      $5=1;
      __label__ = 104; break;
    case 104: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 105; break;
    case 105: 
      var $414=$1; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $414; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12array_spliceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12array_concatP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p;
      var $aobj;
      var $nobj;
      var $length;
      var $vector;
      var $initlen;
      var $i;
      var $v;
      var $alength=__stackBase__;
      var $slot;
      var $hole=__stackBase__+4;
      var $tmp=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=(($5+16)|0); //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=(($6-8)|0); //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $p=$7; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$2; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$4; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9+8)|0); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($8, $10); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $aobj=$11; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$aobj; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12)|0)!=0; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $16=$aobj; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZNK8JSObject12isDenseArrayEv($16); //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $19=$aobj; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=__ZNK8JSObject14getArrayLengthEv($19); //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$20; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$aobj; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=__ZN8JSObject21getDenseArrayElementsEv($21); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vector=$22; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$aobj; //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=__ZN8JSObject30getDenseArrayInitializedLengthEv($23); //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $initlen=$24; //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=$2; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$initlen; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$vector; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($25, $26, $27, 0); //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $nobj=$28; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=$nobj; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($29)|0)!=0; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $1=0; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $33=$aobj; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$nobj; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZL17TryReuseArrayTypeP8JSObjectS0_($33, $34); //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$nobj; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$2; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$length; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($35, $36, $37); //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$aobj; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=__ZN8JSObject18isPackedDenseArrayEv($38); //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $41=$nobj; //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$2; //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($41, $42); //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $44=$4; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$nobj; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($44, $45); //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$3; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=(($46)|0)==0; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $1=1; //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $50=$3; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=(($50-1)|0); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $3=$51; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$p; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=(($52+8)|0); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $p=$53; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $55=$2; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($55, 0); //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $nobj=$56; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$nobj; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=(($57)|0)!=0; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($58) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      $1=0; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $61=$4; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=$nobj; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($61, $62); //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=0; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break;
    case 14: 
      $i=0; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $65=$i; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=$3; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=(($65)>>>0) <= (($66)>>>0); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 44; break; } //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $69=$2; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=(($69+52)|0); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=(($71+144280)|0); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=(($72)|0); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=(($74)|0)!=0; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($75) { __label__ = 17; break; } else { var $81 = 1;__label__ = 18; break; } //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $77=$2; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=__Z26js_InvokeOperationCallbackP9JSContext($77); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=(($78)|0)!=0; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81 = $79;__label__ = 18; break; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $81;
      if ($81) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      $1=0; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $84=$i; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=$p; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=(($85+($84<<3))|0); //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $v=$86; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $87=$v; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $88=__ZNK2JS5Value8isObjectEv($87); //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($88) { __label__ = 21; break; } else { __label__ = 40; break; } //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $90=$v; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=__ZNK2JS5Value8toObjectEv($90); //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $aobj=$91; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=$aobj; //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $93=__ZNK8JSObject7isArrayEv($92); //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 22; break; } //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $95=$aobj; //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=__ZNK8JSObject9isWrapperEv($95); //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($96) { __label__ = 23; break; } else { __label__ = 39; break; } //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $98=$aobj; //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=__ZN8JSObject6unwrapEPj($98, 0); //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=__ZNK8JSObject7isArrayEv($99); //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($100) { __label__ = 24; break; } else { __label__ = 39; break; } //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $102=$2; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=$aobj; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($102, $103, $alength); //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $105=(($104)|0)!=0; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($105) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      $1=0; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      $slot=0; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 27; break; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      var $109=$slot; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $110=HEAPU32[(($alength)>>2)]; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=(($109)>>>0) < (($110)>>>0); //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($111) { __label__ = 28; break; } else { __label__ = 38; break; } //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $113=$2; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114=(($113+52)|0); //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=(($115+144280)|0); //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $117=(($116)|0); //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=(($118)|0)!=0; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($119) { __label__ = 29; break; } else { var $125 = 1;__label__ = 30; break; } //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      var $121=$2; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $122=__Z26js_InvokeOperationCallbackP9JSContext($121); //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $123=(($122)|0)!=0; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $125 = $123;__label__ = 30; break; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $125;
      if ($125) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $127=$2; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=$aobj; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=$slot; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $130=(($129)>>>0); //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $131=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($127, $128, $130, $hole, $tmp); //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $132=(($131)|0)!=0; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($132) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      $1=0; //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $135=HEAP32[(($hole)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $136=(($135)|0)!=0; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($136) { __label__ = 36; break; } else { __label__ = 34; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      var $138=$2; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $139=$nobj; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $140=$length; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=$slot; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=(($140+$141)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $143=(($142)>>>0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($138, $139, $143, $tmp); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $145=(($144)|0)!=0; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($145) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      $1=0; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      __label__ = 37; break; //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $149=$slot; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $150=(($149+1)|0); //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $slot=$150; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 27; break; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $152=HEAP32[(($alength)>>2)]; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $153=$length; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $154=(($153+$152)|0); //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$154; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 43; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      __label__ = 40; break; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $157=$2; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $158=$nobj; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $159=$length; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $160=(($159)>>>0); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $161=$v; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $162=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($157, $158, $160, $161); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $163=(($162)|0)!=0; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($163) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      $1=0; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      var $166=$length; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $167=(($166+1)|0); //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$167; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 43; break; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $169=$i; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $170=(($169+1)|0); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$170; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      var $172=$2; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $173=$nobj; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $174=$length; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $175=(($174)>>>0); //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $176=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($172, $173, $175); //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$176; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 45; break; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      var $178=$1; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $178; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12array_concatP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11array_sliceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $nobj;
      var $length=__stackBase__;
      var $begin;
      var $end;
      var $slot;
      var $hole=__stackBase__+4;
      var $obj;
      var $d=__stackBase__+8;
      var $tvr=__stackBase__+16;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$4; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=(($6+16)|0); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argv=$7; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$2; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$4; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9+8)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($8, $10); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$11; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$obj; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12)|0)!=0; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 54; break; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $16=$2; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$obj; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($16, $17, $length); //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18)|0)!=0; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 54; break; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $begin=0; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=HEAP32[(($length)>>2)]; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=$22; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$3; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)>>>0) > 0; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 28; break; } //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $26=$2; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$argv; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=(($27)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd($26, $28, $d); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 54; break; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $32=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$32 < 0; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $35=HEAPU32[(($length)>>2)]; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($35)>>>0); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$37+$36; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$38,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$39 < 0; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      __label__ = 15; break; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $44=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=HEAPU32[(($length)>>2)]; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)>>>0); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$44 > $46; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $49=HEAPU32[(($length)>>2)]; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=(($49)>>>0); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$50,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $53=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=($53 >= 0 ? Math.floor($53) : Math.ceil($53)); //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $begin=$54; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$3; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55)>>>0) > 1; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($56) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $58=$argv; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=(($58+8)|0); //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=__ZNK2JS5Value11isUndefinedEv($59); //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($60) { __label__ = 27; break; } else { __label__ = 17; break; } //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $62=$2; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$argv; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=(($63+8)|0); //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd($62, $64, $d); //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($65) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      $1=0; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 54; break; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $68=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$68 < 0; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($69) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $71=HEAPU32[(($length)>>2)]; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $72=(($71)>>>0); //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=$73+$72; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$74,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=$75 < 0; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($76) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 22; break; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      __label__ = 26; break; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $80=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=HEAPU32[(($length)>>2)]; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=(($81)>>>0); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=$80 > $82; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($83) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $85=HEAPU32[(($length)>>2)]; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=(($85)>>>0); //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$86,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      var $89=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=($89 >= 0 ? Math.floor($89) : Math.ceil($89)); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=$90; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 27; break; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      __label__ = 28; break; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $93=$begin; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=$end; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=(($93)>>>0) > (($94)>>>0); //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($95) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      var $97=$end; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $begin=$97; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 30; break; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $99=$obj; //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=__ZNK8JSObject12isDenseArrayEv($99); //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($100) { __label__ = 31; break; } else { __label__ = 38; break; } //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $102=$end; //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=$obj; //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=__ZN8JSObject30getDenseArrayInitializedLengthEv($103); //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $105=(($102)>>>0) <= (($104)>>>0); //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($105) { __label__ = 32; break; } else { __label__ = 38; break; } //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      var $107=$2; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=$obj; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $109=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($107, $108); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $110=(($109)|0)!=0; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($110) { __label__ = 38; break; } else { __label__ = 33; break; } //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $112=$2; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $113=$end; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114=$begin; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $115=(($113-$114)|0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=$obj; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $117=__ZN8JSObject21getDenseArrayElementsEv($116); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $118=$begin; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=(($117+($118<<3))|0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($112, $115, $119, 0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $nobj=$120; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $121=$nobj; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $122=(($121)|0)!=0; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($122) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      $1=0; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 54; break; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $125=$obj; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=$nobj; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZL17TryReuseArrayTypeP8JSObjectS0_($125, $126); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=$obj; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=__ZN8JSObject18isPackedDenseArrayEv($127); //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($128) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $130=$nobj; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $131=$2; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($130, $131); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 37; break; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $133=$4; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $134=$nobj; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($133, $134); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 54; break; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $136=$2; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=$end; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=$begin; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $139=(($137-$138)|0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $140=__ZN2js22NewDenseAllocatedArrayEP9JSContextjP8JSObject($136, $139, 0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $nobj=$140; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=$nobj; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=(($141)|0)!=0; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($142) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      $1=0; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 54; break; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $145=$obj; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $146=$nobj; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZL17TryReuseArrayTypeP8JSObjectS0_($145, $146); //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $147=$4; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $148=$nobj; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($147, $148); //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $149=$2; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $149); //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $150=$begin; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $slot=$150; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      var $152=$slot; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $153=$end; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $154=(($152)>>>0) < (($153)>>>0); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($154) { __label__ = 42; break; } else { __label__ = 52; break; } //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      var $156=$2; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $157=(($156+52)|0); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $159=(($158+144280)|0); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $160=(($159)|0); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $162=(($161)|0)!=0; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($162) { __label__ = 43; break; } else { var $168 = 1;__label__ = 44; break; } //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $164=$2; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $165=__Z26js_InvokeOperationCallbackP9JSContext($164); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $166=(($165)|0)!=0; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $168 = $166;__label__ = 44; break; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      var $168;
      if ($168) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      var $170=$2; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $171=$obj; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $172=$slot; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $173=(($172)>>>0); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $174=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $175=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($170, $171, $173, $hole, $174); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $176=(($175)|0)!=0; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($176) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      $1=0; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 53; break; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 47: 
      var $179=HEAP32[(($hole)>>2)]; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $180=(($179)|0)!=0; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($180) { __label__ = 50; break; } else { __label__ = 48; break; } //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 48: 
      var $182=$2; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $183=$nobj; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $184=$slot; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $185=$begin; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $186=(($184-$185)|0); //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $187=(($186)>>>0); //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $188=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $189=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($182, $183, $187, $188); //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $190=(($189)|0)!=0; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($190) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 49: 
      $1=0; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 53; break; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 50: 
      __label__ = 51; break; //@line 3000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 51: 
      var $194=$slot; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $195=(($194+1)|0); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $slot=$195; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 41; break; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 52: 
      $1=1; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $5=1;
      __label__ = 53; break; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 53: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 54; break;
    case 54: 
      var $199=$1; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $199; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11array_sliceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13array_indexOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL19array_indexOfHelperP9JSContextijPN2JS5ValueE($4, 0, $5, $6); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL17array_lastIndexOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL19array_indexOfHelperP9JSContextijPN2JS5ValueE($4, 1, $5, $6); //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL13array_forEachP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE($4, 0, $5, $6); //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL9array_mapP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE($4, 3, $5, $6); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL12array_reduceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE($4, 1, $5, $6); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL17array_reduceRightP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE($4, 2, $5, $6); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL12array_filterP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE($4, 4, $5, $6); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL10array_someP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE($4, 5, $5, $6); //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL11array_everyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE($4, 6, $5, $6); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL13array_isArrayP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      $1=$cx;
      $2=$argc;
      $3=$vp;
      var $4=$3; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $5=$2; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=(($5)>>>0) > 0; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($6) { __label__ = 2; break; } else { var $28 = 0;__label__ = 8; break; } //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $8=$3; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+16)|0); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZNK2JS5Value8isObjectEv($9); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 3; break; } else { var $28 = 0;__label__ = 8; break; } //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $12=$3; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12+16)|0); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=__ZNK2JS5Value8toObjectEv($13); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$14; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__ZNK8JSObject7isArrayEv($14); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { var $26 = 1;__label__ = 7; break; } else { __label__ = 4; break; } //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $17=$obj; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__ZNK8JSObject9isWrapperEv($17); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 5; break; } else { var $24 = 0;__label__ = 6; break; } //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $20=$obj; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=__ZN8JSObject6unwrapEPj($20, 0); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=__ZNK8JSObject7isArrayEv($21); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24 = $22;__label__ = 6; break;
    case 6: 
      var $24;
      var $26 = $24;__label__ = 7; break;
    case 7: 
      var $26;
      var $28 = $26;__label__ = 8; break;
    case 8: 
      var $28;
      __ZN2JS5Value10setBooleanEb($4, $28);
      ;
      return 1; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject30setDenseArrayInitializedLengthEj($this, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$length;
  var $3=$1;
  var $4=$2; //@line 66 "./jsarray.h"
  var $5=(($3+16)|0); //@line 66 "./jsarray.h"
  var $6=$5; //@line 66 "./jsarray.h"
  HEAP32[(($6)>>2)]=$4; //@line 66 "./jsarray.h"
  ;
  return; //@line 67 "./jsarray.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb374($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z8js_ArrayP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $type;
      var $obj;
      var $length;
      var $i;
      var $d;
      var $obj1;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($5, 3); //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $type=$6; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$type; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7)|0)!=0; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $11=$3; //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11)|0)!=1; //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $14=$4; //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($14+16)|0); //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=__ZNK2JS5Value8isNumberEv($15); //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($16) { __label__ = 13; break; } else { __label__ = 5; break; } //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $18=$2; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$type; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$4; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=(($20+16)|0); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$3; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZL14InitArrayTypesP9JSContextPN2js5types10TypeObjectEPKN2JS5ValueEj($18, $19, $21, $22); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=0; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $26=$3; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=(($26)|0)==0; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $29=$2; //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($29, 0); //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38 = $30;__label__ = 10; break; //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $32=$2; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=$3; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$4; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=(($34+16)|0); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($32, $33, $35, 0); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38 = $36;__label__ = 10; break; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $38; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$38; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$obj; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($39)|0)!=0; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $43=$obj; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$type; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($43, $44); //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$4; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$obj; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($45, $46); //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $48=$4; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($48+16)|0); //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=__ZNK2JS5Value7isInt32Ev($49); //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($50) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $52=$4; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=(($52+16)|0); //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=__ZNK2JS5Value7toInt32Ev($53); //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$54; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$i; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55)|0) < 0; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $58=$2; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 152, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $60=$i; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$60; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $62=$4; //@line 3420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=(($62+16)|0); //@line 3420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=__ZNK2JS5Value8toDoubleEv($63); //@line 3420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $d=$64; //@line 3420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=$d; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=__Z21js_DoubleToECMAUint32d($65); //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $length=$66; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$d; //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=$length; //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=(($68)>>>0); //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=$67 != $69; //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $72=$2; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      _JS_ReportErrorNumber($72, 2, 0, 152, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 3424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 3424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $75=$2; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=$length; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=__ZN2js24NewDenseUnallocatedArrayEP9JSContextjP8JSObject($75, $76, 0); //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj1=$77; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=$obj1; //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=(($78)|0)!=0; //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($79) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      $1=0; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $82=$obj1; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=$type; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($82, $83); //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $84=$obj1; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=__ZNK8JSObject14getArrayLengthEv($84); //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=(($85)>>>0) > 2147483647; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $88=$obj1; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=$2; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=$obj1; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=__ZNK8JSObject14getArrayLengthEv($90); //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($88, $89, $91); //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 24; break; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $93=$4; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $94=$obj1; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($93, $94); //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 25; break; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $96=$1; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $96; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z8js_ArrayP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($cx, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pc=__stackBase__;
      var $script;
      $2=$cx;
      $3=$key;
      var $4=$2; //@line 290 "./jsinferinlines.h"
      var $5=__ZN9JSContext20typeInferenceEnabledEv($4); //@line 290 "./jsinferinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 290 "./jsinferinlines.h"
    case 2: 
      var $7=$2; //@line 292 "./jsinferinlines.h"
      var $8=(($7+60)|0); //@line 292 "./jsinferinlines.h"
      var $9=__ZNK2js12ContextStack13currentScriptEPPh($8, $pc); //@line 292 "./jsinferinlines.h"
      $script=$9; //@line 292 "./jsinferinlines.h"
      var $10=$script; //@line 293 "./jsinferinlines.h"
      var $11=(($10)|0)!=0; //@line 293 "./jsinferinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 293 "./jsinferinlines.h"
    case 3: 
      var $13=$2; //@line 294 "./jsinferinlines.h"
      var $14=$script; //@line 294 "./jsinferinlines.h"
      var $15=HEAP32[(($pc)>>2)]; //@line 294 "./jsinferinlines.h"
      var $16=$3; //@line 294 "./jsinferinlines.h"
      var $17=__ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey($13, $14, $15, $16); //@line 294 "./jsinferinlines.h"
      $1=$17; //@line 294 "./jsinferinlines.h"
      __label__ = 6; break; //@line 294 "./jsinferinlines.h"
    case 4: 
      __label__ = 5; break; //@line 295 "./jsinferinlines.h"
    case 5: 
      var $20=$2; //@line 296 "./jsinferinlines.h"
      var $21=$3; //@line 296 "./jsinferinlines.h"
      var $22=__ZN2js5types16GetTypeNewObjectEP9JSContext10JSProtoKey($20, $21); //@line 296 "./jsinferinlines.h"
      $1=$22; //@line 296 "./jsinferinlines.h"
      __label__ = 6; break; //@line 296 "./jsinferinlines.h"
    case 6: 
      var $24=$1; //@line 297 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return $24; //@line 297 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($cx, $proto) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$proto;
  var $3=$1; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=$2; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=__ZN2jsL8NewArrayILb0EEEP8JSObjectP9JSContextjS2_($3, 0, $4); //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $5; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($cx, $length, $vp, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      $2=$cx;
      $3=$length;
      $4=$vp;
      $5=$proto;
      var $6=$2; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$3; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$5; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZN2jsL8NewArrayILb1EEEP8JSObjectP9JSContextjS2_($6, $7, $8); //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$9; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$obj; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10)|0)!=0; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $14=$2; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__ZN9JSContext20typeInferenceEnabledEv($14); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $17=$obj; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$4; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18)|0)!=0; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $21=$3; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24 = $21;__label__ = 7; break; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $24 = 0;__label__ = 7; break; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $24; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject30setDenseArrayInitializedLengthEj($17, $24); //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $26=$4; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=(($26)|0)!=0; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $29=$obj; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$4; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$3; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject22copyDenseArrayElementsEjPKN2JS5ValueEj($29, 0, $30, $31); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $33=$obj; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$33; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $35=$1; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $35; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js24NewDenseUnallocatedArrayEP9JSContextjP8JSObject($cx, $length, $proto) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$length;
  $3=$proto;
  var $4=$1; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZN2jsL8NewArrayILb0EEEP8JSObjectP9JSContextjS2_($4, $5, $6); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN8JSObject14setArrayLengthEP9JSContextj($this, $cx, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $lengthId;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$length;
      var $5=$1;
      var $6=$3; //@line 464 "./jsobjinlines.h"
      var $7=(($6)>>>0) > 2147483647; //@line 464 "./jsobjinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 464 "./jsobjinlines.h"
    case 2: 
      var $9=$2; //@line 469 "./jsobjinlines.h"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($9, $5, 196608); //@line 469 "./jsobjinlines.h"
      var $10=$2; //@line 472 "./jsobjinlines.h"
      var $11=(($10+52)|0); //@line 472 "./jsobjinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 472 "./jsobjinlines.h"
      var $13=(($12+209948)|0); //@line 472 "./jsobjinlines.h"
      var $14=(($13+308)|0); //@line 472 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 472 "./jsobjinlines.h"
      var $16=$15; //@line 472 "./jsobjinlines.h"
      var $17=__ZL12ATOM_TO_JSIDP6JSAtom354($16); //@line 472 "./jsobjinlines.h"
      $lengthId=$17; //@line 472 "./jsobjinlines.h"
      var $18=$2; //@line 473 "./jsobjinlines.h"
      var $19=$lengthId; //@line 473 "./jsobjinlines.h"
      __ZN2js5types4Type10DoubleTypeEv($4); //@line 474 "./jsobjinlines.h"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiNS0_4TypeE($18, $5, $19, $4); //@line 474 "./jsobjinlines.h"
      __label__ = 3; break; //@line 475 "./jsobjinlines.h"
    case 3: 
      var $21=$3; //@line 477 "./jsobjinlines.h"
      var $22=$21; //@line 477 "./jsobjinlines.h"
      __ZN8JSObject10setPrivateEPv($5, $22); //@line 477 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return; //@line 478 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_InitArrayClassP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $arrayProto;
      var $ctor;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $global=$5; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=$global; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$2; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, __ZN2js14SlowArrayClassE); //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $arrayProto=$8; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$arrayProto; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9)|0)!=0; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $12=$2; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$arrayProto; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=__ZL17AddLengthPropertyP9JSContextP8JSObject($12, $13); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      $1=0; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $17=$arrayProto; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$2; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($17, $18, 0); //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$global; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$2; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$2; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21+52)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23+209948)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=(($24+72)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=(($25+12)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$27; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($19, $20, 66, __ZN2js10ArrayClassE, $28, 1); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $ctor=$29; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$ctor; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=(($30)|0)!=0; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $1=0; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $34=$arrayProto; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$2; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($34, $35, 0, 1); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$2; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$ctor; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$38; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$arrayProto; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($37, $39, $40); //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $44=$2; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$arrayProto; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($44, $45, 0, ((__ZL13array_methods)|0)); //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $48=$2; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=$ctor; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$49; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($48, $50, 0, ((__ZL20array_static_methods)|0)); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($51) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=0; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $54=$2; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$global; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=$ctor; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$56; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=$arrayProto; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($54, $55, 3, $57, $58); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      $1=0; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $62=$arrayProto; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$62; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $64=$1; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $64; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_InitArrayClassP9JSContextP8JSObject["X"]=1;

function __ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($cx, $global, $key, $ctor, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id;
      var $7=__stackBase__;
      var $8=__stackBase__+8;
      var $9=__stackBase__+16;
      var $10=__stackBase__+24;
      var $11=__stackBase__+32;
      var $12=__stackBase__+40;
      $2=$cx;
      $3=$global;
      $4=$key;
      $5=$ctor;
      $6=$proto;
      var $13=$4; //@line 1647 "./jsobjinlines.h"
      var $14=$2; //@line 1647 "./jsobjinlines.h"
      var $15=(($14+52)|0); //@line 1647 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1647 "./jsobjinlines.h"
      var $17=(($16+209948)|0); //@line 1647 "./jsobjinlines.h"
      var $18=(($17+72)|0); //@line 1647 "./jsobjinlines.h"
      var $19=(($18+($13<<2))|0); //@line 1647 "./jsobjinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 1647 "./jsobjinlines.h"
      var $21=$20; //@line 1647 "./jsobjinlines.h"
      var $22=__ZL12ATOM_TO_JSIDP6JSAtom354($21); //@line 1647 "./jsobjinlines.h"
      $id=$22; //@line 1647 "./jsobjinlines.h"
      var $23=$3; //@line 1651 "./jsobjinlines.h"
      var $24=$23; //@line 1651 "./jsobjinlines.h"
      var $25=$4; //@line 1651 "./jsobjinlines.h"
      var $26=$5; //@line 1651 "./jsobjinlines.h"
      __ZN2JSL11ObjectValueER8JSObject383($7, $26); //@line 1651 "./jsobjinlines.h"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($24, $25, $7); //@line 1651 "./jsobjinlines.h"
      var $27=$3; //@line 1652 "./jsobjinlines.h"
      var $28=$27; //@line 1652 "./jsobjinlines.h"
      var $29=$4; //@line 1652 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1652 "./jsobjinlines.h"
      var $31=$6; //@line 1652 "./jsobjinlines.h"
      __ZN2JSL11ObjectValueER8JSObject383($8, $31); //@line 1652 "./jsobjinlines.h"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($28, $30, $8); //@line 1652 "./jsobjinlines.h"
      var $32=$2; //@line 1654 "./jsobjinlines.h"
      var $33=$3; //@line 1654 "./jsobjinlines.h"
      var $34=$33; //@line 1654 "./jsobjinlines.h"
      var $35=$id; //@line 1654 "./jsobjinlines.h"
      var $36=$5; //@line 1654 "./jsobjinlines.h"
      __ZN2JSL11ObjectValueER8JSObject383($9, $36); //@line 1654 "./jsobjinlines.h"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($32, $34, $35, $9); //@line 1654 "./jsobjinlines.h"
      var $37=$3; //@line 1655 "./jsobjinlines.h"
      var $38=$37; //@line 1655 "./jsobjinlines.h"
      var $39=$2; //@line 1655 "./jsobjinlines.h"
      var $40=$id; //@line 1655 "./jsobjinlines.h"
      var $41=$4; //@line 1655 "./jsobjinlines.h"
      var $42=(($41+74)|0); //@line 1655 "./jsobjinlines.h"
      var $43=__ZN8JSObject15addDataPropertyEP9JSContextijj($38, $39, $40, $42, 0); //@line 1655 "./jsobjinlines.h"
      var $44=(($43)|0)!=0; //@line 1655 "./jsobjinlines.h"
      if ($44) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1655 "./jsobjinlines.h"
    case 2: 
      var $46=$3; //@line 1656 "./jsobjinlines.h"
      var $47=$46; //@line 1656 "./jsobjinlines.h"
      var $48=$4; //@line 1656 "./jsobjinlines.h"
      __ZN2JSL14UndefinedValueEv351($10); //@line 1656 "./jsobjinlines.h"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, $48, $10); //@line 1656 "./jsobjinlines.h"
      var $49=$3; //@line 1657 "./jsobjinlines.h"
      var $50=$49; //@line 1657 "./jsobjinlines.h"
      var $51=$4; //@line 1657 "./jsobjinlines.h"
      var $52=(($51+37)|0); //@line 1657 "./jsobjinlines.h"
      __ZN2JSL14UndefinedValueEv351($11); //@line 1657 "./jsobjinlines.h"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($50, $52, $11); //@line 1657 "./jsobjinlines.h"
      $1=0; //@line 1658 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1658 "./jsobjinlines.h"
    case 3: 
      var $54=$3; //@line 1661 "./jsobjinlines.h"
      var $55=$54; //@line 1661 "./jsobjinlines.h"
      var $56=$4; //@line 1661 "./jsobjinlines.h"
      var $57=(($56+74)|0); //@line 1661 "./jsobjinlines.h"
      var $58=$5; //@line 1661 "./jsobjinlines.h"
      __ZN2JSL11ObjectValueER8JSObject383($12, $58); //@line 1661 "./jsobjinlines.h"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($55, $57, $12); //@line 1661 "./jsobjinlines.h"
      $1=1; //@line 1662 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1662 "./jsobjinlines.h"
    case 4: 
      var $60=$1; //@line 1663 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $60; //@line 1663 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_["X"]=1;

function __ZN2jsL8NewArrayILb0EEEP8JSObjectP9JSContextjS2_($cx, $length, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kind;
      var $obj;
      $2=$cx;
      $3=$length;
      $4=$proto;
      var $5=$3; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=__ZN2jsL17GuessObjectGCKindEjb($5, 1); //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $kind=$6; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$2; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$4; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$kind; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE375($7, __ZN2js10ArrayClassE, $8, 0, $9); //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$10; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$obj; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11)|0)!=0; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $15=$obj; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$2; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$3; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($15, $16, $17); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$2; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZN9JSContext20typeInferenceEnabledEv($18); //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $21=$obj; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$2; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($21, $22); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$obj; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$2; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23backfillDenseArrayHolesEP9JSContext($23, $24); //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $26=$obj; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$26; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $28=$1; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $28; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js22NewDenseAllocatedArrayEP9JSContextjP8JSObject($cx, $length, $proto) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$length;
  $3=$proto;
  var $4=$1; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZN2jsL8NewArrayILb1EEEP8JSObjectP9JSContextjS2_($4, $5, $6); //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2jsL8NewArrayILb1EEEP8JSObjectP9JSContextjS2_($cx, $length, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kind;
      var $obj;
      $2=$cx;
      $3=$length;
      $4=$proto;
      var $5=$3; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=__ZN2jsL17GuessObjectGCKindEjb($5, 1); //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $kind=$6; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$2; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$4; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$kind; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE375($7, __ZN2js10ArrayClassE, $8, 0, $9); //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$10; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$obj; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11)|0)!=0; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $15=$obj; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$2; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$3; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($15, $16, $17); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$2; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZN9JSContext20typeInferenceEnabledEv($18); //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $21=$obj; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$2; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($21, $22); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$obj; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$2; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23backfillDenseArrayHolesEP9JSContext($23, $24); //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $26=$obj; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$2; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$3; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=__ZN8JSObject11ensureSlotsEP9JSContextj($26, $27, $28); //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=0; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $32=$obj; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$32; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 8; break; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $34=$1; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $34; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js27NewDenseAllocatedEmptyArrayEP9JSContextjP8JSObject($cx, $length, $proto) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$length;
  $3=$proto;
  var $4=$1; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=__ZN2jsL8NewArrayILb1EEEP8JSObjectP9JSContextjS2_($4, $5, $6); //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $7; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN8JSObject22copyDenseArrayElementsEjPKN2JS5ValueEj($this, $dstStart, $src, $count) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$dstStart;
  $3=$src;
  $4=$count;
  var $5=$1;
  var $6=$2; //@line 528 "./jsobjinlines.h"
  var $7=$3; //@line 528 "./jsobjinlines.h"
  var $8=$4; //@line 528 "./jsobjinlines.h"
  __ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj($5, $6, $7, $8); //@line 528 "./jsobjinlines.h"
  ;
  return; //@line 529 "./jsobjinlines.h"
}


function __ZN2js17NewSlowEmptyArrayEP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $obj;
      $2=$cx;
      var $3=$2; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $4=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_373($3, __ZN2js14SlowArrayClassE, 0, 0); //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$4; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $5=$obj; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=(($5)|0)!=0; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $8=$2; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$obj; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZL17AddLengthPropertyP9JSContextP8JSObject($8, $9); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      $1=0; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $13=$obj; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$2; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($13, $14, 0); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$obj; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$15; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $17=$1; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $17; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_373($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb374($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE375($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZL14InitArrayTypesP9JSContextPN2js5types10TypeObjectEPKN2JS5ValueEj($cx, $type, $vector, $count) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $enter=__stackBase__;
      var $types;
      var $6;
      var $i;
      var $valtype=__stackBase__+8;
      var $7=__stackBase__+12;
      $2=$cx;
      $3=$type;
      $4=$vector;
      $5=$count;
      var $8=$2; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZN9JSContext20typeInferenceEnabledEv($8); //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 14; break; } //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $11=$3; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZN2js5types10TypeObject17unknownPropertiesEv($11); //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 14; break; } else { __label__ = 3; break; } //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $14=$2; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $14, 0); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$3; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$2; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($15, $16, 2, 1); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $types=$17; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$types; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18)|0)!=0; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=1;
      __label__ = 12; break; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $i=0; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $23=$i; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=$5; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=(($23)>>>0) < (($24)>>>0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $27=$i; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=$4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($28+($27<<3))|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=__ZNK2JS5Value7isMagicE10JSWhyMagic($29, 0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      __label__ = 10; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $33=$2; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=$i; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$4; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($35+($34<<3))|0); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($valtype, $33, $36); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=$types; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$2; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$7; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$valtype; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)]; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($37, $38, $7); //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 10; break; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $42=$i; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=(($42+1)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$43; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $6=0; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 13; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 13: 
      __label__ = 14; break; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      $1=1; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $49=$1; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14InitArrayTypesP9JSContextPN2js5types10TypeObjectEPKN2JS5ValueEj["X"]=1;

function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE377($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE381($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE378($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _JSID_IS_INT387($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING388($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING389($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _BUILD_JSVAL380($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE382($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE375($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_376($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE377($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE378($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE359($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE375["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_376($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE382($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb379($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL17GuessObjectGCKindEjb($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 1573 "./jsobjinlines.h"
      var $6=(($5)|0)!=0; //@line 1573 "./jsobjinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1573 "./jsobjinlines.h"
    case 2: 
      var $8=$2; //@line 1574 "./jsobjinlines.h"
      var $9=$3; //@line 1574 "./jsobjinlines.h"
      var $10=(($9) & 1); //@line 1574 "./jsobjinlines.h"
      var $11=__ZN2js2gcL15GetGCObjectKindEjb374($8, $10); //@line 1574 "./jsobjinlines.h"
      $1=$11; //@line 1574 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1574 "./jsobjinlines.h"
    case 3: 
      var $13=$3; //@line 1575 "./jsobjinlines.h"
      var $14=(($13) & 1); //@line 1575 "./jsobjinlines.h"
      var $15=$14 ? 6 : 4; //@line 1575 "./jsobjinlines.h"
      $1=$15; //@line 1575 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1575 "./jsobjinlines.h"
    case 4: 
      var $17=$1; //@line 1576 "./jsobjinlines.h"
      ;
      return $17; //@line 1576 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject11ensureSlotsEP9JSContextj($this, $cx, $nslots) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$cx;
      $4=$nslots;
      var $5=$2;
      var $6=__ZNK8JSObject8numSlotsEv($5); //@line 798 "./jsobj.h"
      var $7=$4; //@line 798 "./jsobj.h"
      var $8=(($6)>>>0) < (($7)>>>0); //@line 798 "./jsobj.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 798 "./jsobj.h"
    case 2: 
      var $10=$3; //@line 799 "./jsobj.h"
      var $11=$4; //@line 799 "./jsobj.h"
      var $12=__ZN8JSObject9growSlotsEP9JSContextj($5, $10, $11); //@line 799 "./jsobj.h"
      $1=$12; //@line 799 "./jsobj.h"
      __label__ = 4; break; //@line 799 "./jsobj.h"
    case 3: 
      $1=1; //@line 800 "./jsobj.h"
      __label__ = 4; break; //@line 800 "./jsobj.h"
    case 4: 
      var $15=$1; //@line 801 "./jsobj.h"
      ;
      return $15; //@line 801 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11ObjectValueER8JSObject383($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($cx, $obj, $id, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$value;
      var $5=$1; //@line 360 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 360 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 360 "./jsinferinlines.h"
    case 2: 
      var $8=$1; //@line 361 "./jsinferinlines.h"
      var $9=$3; //@line 361 "./jsinferinlines.h"
      var $10=__ZN2js5types10MakeTypeIdEP9JSContexti($8, $9); //@line 361 "./jsinferinlines.h"
      $3=$10; //@line 361 "./jsinferinlines.h"
      __label__ = 3; break; //@line 361 "./jsinferinlines.h"
    case 3: 
      var $12=$1; //@line 362 "./jsinferinlines.h"
      var $13=$2; //@line 362 "./jsinferinlines.h"
      var $14=$3; //@line 362 "./jsinferinlines.h"
      var $15=__ZN2js5types18TrackPropertyTypesEP9JSContextP8JSObjecti($12, $13, $14); //@line 362 "./jsinferinlines.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 362 "./jsinferinlines.h"
    case 4: 
      var $17=$2; //@line 363 "./jsinferinlines.h"
      var $18=__ZNK8JSObject4typeEv($17); //@line 363 "./jsinferinlines.h"
      var $19=$1; //@line 363 "./jsinferinlines.h"
      var $20=$3; //@line 363 "./jsinferinlines.h"
      var $21=$4; //@line 363 "./jsinferinlines.h"
      __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiRKN2JS5ValueE($18, $19, $20, $21); //@line 363 "./jsinferinlines.h"
      __label__ = 5; break; //@line 363 "./jsinferinlines.h"
    case 5: 
      ;
      return; //@line 364 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_384($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj385($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_386($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_384["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj385($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_386($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js5types4Type10DoubleTypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 0); //@line 152 "./jsinfer.h"
  ;
  return; //@line 152 "./jsinfer.h"
}


function __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($this, $cx, $compiling) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  var $4=(($compiling)&1);
  $3=$4;
  var $5=$1;
  var $6=$2; //@line 216 "./jsinferinlines.h"
  var $7=$3; //@line 216 "./jsinferinlines.h"
  var $8=(($7) & 1); //@line 216 "./jsinferinlines.h"
  __ZN2js5types22AutoEnterTypeInferenceC2EP9JSContextb($5, $6, $8); //@line 216 "./jsinferinlines.h"
  ;
  return; //@line 216 "./jsinferinlines.h"
}


function __ZN2js5types10TypeObject11getPropertyEP9JSContextib($this, $cx, $id, $assign) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $propertyCount=__stackBase__;
      var $pprop;
      var $types;
      var $6=__stackBase__+4;
      var $types1;
      $2=$this;
      $3=$cx;
      $4=$id;
      var $7=(($assign)&1);
      $5=$7;
      var $8=$2;
      var $9=__ZNK2js5types10TypeObject17basePropertyCountEv($8); //@line 1143 "./jsinferinlines.h"
      HEAP32[(($propertyCount)>>2)]=$9; //@line 1143 "./jsinferinlines.h"
      var $10=$3; //@line 1144 "./jsinferinlines.h"
      var $11=(($10+56)|0); //@line 1144 "./jsinferinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1144 "./jsinferinlines.h"
      var $13=(($8+24)|0); //@line 1144 "./jsinferinlines.h"
      var $14=$4; //@line 1144 "./jsinferinlines.h"
      var $15=__ZN2js5typesL13HashSetInsertIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_($12, $13, $propertyCount, $14); //@line 1144 "./jsinferinlines.h"
      $pprop=$15; //@line 1144 "./jsinferinlines.h"
      var $16=$pprop; //@line 1146 "./jsinferinlines.h"
      var $17=(($16)|0)!=0; //@line 1146 "./jsinferinlines.h"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1146 "./jsinferinlines.h"
    case 2: 
      var $19=$3; //@line 1147 "./jsinferinlines.h"
      var $20=(($19+56)|0); //@line 1147 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 1147 "./jsinferinlines.h"
      var $22=(($21+376)|0); //@line 1147 "./jsinferinlines.h"
      var $23=$3; //@line 1147 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($22, $23); //@line 1147 "./jsinferinlines.h"
      $1=0; //@line 1148 "./jsinferinlines.h"
      __label__ = 12; break; //@line 1148 "./jsinferinlines.h"
    case 3: 
      var $25=$pprop; //@line 1151 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 1151 "./jsinferinlines.h"
      var $27=(($26)|0)!=0; //@line 1151 "./jsinferinlines.h"
      if ($27) { __label__ = 9; break; } else { __label__ = 4; break; } //@line 1151 "./jsinferinlines.h"
    case 4: 
      var $29=HEAP32[(($propertyCount)>>2)]; //@line 1152 "./jsinferinlines.h"
      __ZN2js5types10TypeObject20setBasePropertyCountEj($8, $29); //@line 1152 "./jsinferinlines.h"
      var $30=$3; //@line 1153 "./jsinferinlines.h"
      var $31=$4; //@line 1153 "./jsinferinlines.h"
      var $32=$pprop; //@line 1153 "./jsinferinlines.h"
      var $33=__ZN2js5types10TypeObject11addPropertyEP9JSContextiPPNS0_8PropertyE($8, $30, $31, $32); //@line 1153 "./jsinferinlines.h"
      if ($33) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1153 "./jsinferinlines.h"
    case 5: 
      $1=0; //@line 1154 "./jsinferinlines.h"
      __label__ = 12; break; //@line 1154 "./jsinferinlines.h"
    case 6: 
      var $36=HEAP32[(($propertyCount)>>2)]; //@line 1155 "./jsinferinlines.h"
      var $37=(($36)|0)==4095; //@line 1155 "./jsinferinlines.h"
      if ($37) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1155 "./jsinferinlines.h"
    case 7: 
      var $39=$3; //@line 1156 "./jsinferinlines.h"
      __ZN2js5types10TypeObject11markUnknownEP9JSContext($8, $39); //@line 1156 "./jsinferinlines.h"
      var $40=$3; //@line 1157 "./jsinferinlines.h"
      var $41=__ZN2js5types7TypeSet4makeEP9JSContextPKc($40, ((STRING_TABLE.__str25342)|0)); //@line 1157 "./jsinferinlines.h"
      $types=$41; //@line 1157 "./jsinferinlines.h"
      var $42=$types; //@line 1158 "./jsinferinlines.h"
      var $43=$3; //@line 1158 "./jsinferinlines.h"
      __ZN2js5types4Type11UnknownTypeEv($6); //@line 1158 "./jsinferinlines.h"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($42, $43, $6); //@line 1158 "./jsinferinlines.h"
      var $44=$types; //@line 1159 "./jsinferinlines.h"
      $1=$44; //@line 1159 "./jsinferinlines.h"
      __label__ = 12; break; //@line 1159 "./jsinferinlines.h"
    case 8: 
      __label__ = 9; break; //@line 1161 "./jsinferinlines.h"
    case 9: 
      var $47=$pprop; //@line 1163 "./jsinferinlines.h"
      var $48=HEAP32[(($47)>>2)]; //@line 1163 "./jsinferinlines.h"
      var $49=(($48+4)|0); //@line 1163 "./jsinferinlines.h"
      $types1=$49; //@line 1163 "./jsinferinlines.h"
      var $50=$5; //@line 1165 "./jsinferinlines.h"
      var $51=(($50) & 1); //@line 1165 "./jsinferinlines.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1165 "./jsinferinlines.h"
    case 10: 
      var $53=$types1; //@line 1166 "./jsinferinlines.h"
      var $54=$3; //@line 1166 "./jsinferinlines.h"
      __ZN2js5types7TypeSet14setOwnPropertyEP9JSContextb($53, $54, 0); //@line 1166 "./jsinferinlines.h"
      __label__ = 11; break; //@line 1166 "./jsinferinlines.h"
    case 11: 
      var $56=$types1; //@line 1168 "./jsinferinlines.h"
      $1=$56; //@line 1168 "./jsinferinlines.h"
      __label__ = 12; break; //@line 1168 "./jsinferinlines.h"
    case 12: 
      var $58=$1; //@line 1169 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return $58; //@line 1169 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject11getPropertyEP9JSContextib["X"]=1;

function __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($agg_result, $cx, $val) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$val;
      var $3=$2; //@line 88 "./jsinferinlines.h"
      var $4=__ZNK2JS5Value8isDoubleEv($3); //@line 88 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 88 "./jsinferinlines.h"
    case 2: 
      __ZN2js5types4Type10DoubleTypeEv($agg_result); //@line 89 "./jsinferinlines.h"
      __label__ = 6; break; //@line 89 "./jsinferinlines.h"
    case 3: 
      var $7=$2; //@line 90 "./jsinferinlines.h"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 90 "./jsinferinlines.h"
      if ($8) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 90 "./jsinferinlines.h"
    case 4: 
      var $10=$2; //@line 91 "./jsinferinlines.h"
      var $11=__ZNK2JS5Value8toObjectEv($10); //@line 91 "./jsinferinlines.h"
      __ZN2js5types4Type10ObjectTypeEP8JSObject($agg_result, $11); //@line 91 "./jsinferinlines.h"
      __label__ = 6; break; //@line 91 "./jsinferinlines.h"
    case 5: 
      var $13=$2; //@line 92 "./jsinferinlines.h"
      var $14=__ZNK2JS5Value20extractNonDoubleTypeEv($13); //@line 92 "./jsinferinlines.h"
      __ZN2js5types4Type13PrimitiveTypeE11JSValueType($agg_result, $14); //@line 92 "./jsinferinlines.h"
      __label__ = 6; break; //@line 92 "./jsinferinlines.h"
    case 6: 
      ;
      return; //@line 93 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types19InferSpewColorResetEv() {
  ;
  var __label__;

  ;
  return 0; //@line 1252 "./jsinfer.h"
}


function __ZN2js5types10TypeStringENS0_4TypeE($type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  STACKTOP = __stackBase__;
  return 0; //@line 1256 "./jsinfer.h"
}


function __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz($which, $fmt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$which;
  $2=$fmt;
  ;
  return; //@line 1255 "./jsinfer.h"
}


function __ZN2js5types14InferSpewColorEPNS0_7TypeSetE($types) {
  ;
  var __label__;

  var $1;
  $1=$types;
  ;
  return 0; //@line 1254 "./jsinfer.h"
}


function __ZN2js5types14InferSpewColorEPNS0_14TypeConstraintE($constraint) {
  ;
  var __label__;

  var $1;
  $1=$constraint;
  ;
  return 0; //@line 1253 "./jsinfer.h"
}


function __ZN2js5types13TypeObjectKey6getKeyEPS1_($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 72 "./jsinfer.h"
  ;
  return $2; //@line 72 "./jsinfer.h"
}


function __ZN2js5types17PrimitiveTypeFlagE11JSValueType($type) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$type;
      var $3=$2; //@line 98 "./jsinferinlines.h"
      var $4=(($3)&255); //@line 98 "./jsinferinlines.h"
      if ((($4)|0) == 2) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 6) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 3) {
        __label__ = 4; break;
      }
      else if ((($4)|0) == 1) {
        __label__ = 5; break;
      }
      else if ((($4)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($4)|0) == 5) {
        __label__ = 7; break;
      }
      else if ((($4)|0) == 4) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 2: 
      $1=1; //@line 100 "./jsinferinlines.h"
      __label__ = 10; break; //@line 100 "./jsinferinlines.h"
    case 3: 
      $1=2; //@line 102 "./jsinferinlines.h"
      __label__ = 10; break; //@line 102 "./jsinferinlines.h"
    case 4: 
      $1=4; //@line 104 "./jsinferinlines.h"
      __label__ = 10; break; //@line 104 "./jsinferinlines.h"
    case 5: 
      $1=8; //@line 106 "./jsinferinlines.h"
      __label__ = 10; break; //@line 106 "./jsinferinlines.h"
    case 6: 
      $1=16; //@line 108 "./jsinferinlines.h"
      __label__ = 10; break; //@line 108 "./jsinferinlines.h"
    case 7: 
      $1=32; //@line 110 "./jsinferinlines.h"
      __label__ = 10; break; //@line 110 "./jsinferinlines.h"
    case 8: 
      $1=64; //@line 112 "./jsinferinlines.h"
      __label__ = 10; break; //@line 112 "./jsinferinlines.h"
    case 9: 
      $1=0; //@line 115 "./jsinferinlines.h"
      __label__ = 10; break; //@line 115 "./jsinferinlines.h"
    case 10: 
      var $14=$1; //@line 117 "./jsinferinlines.h"
      ;
      return $14; //@line 117 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5types7TypeSet7unknownEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 384 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 384 "./jsinfer.h"
  var $5=$4 & 65536; //@line 384 "./jsinfer.h"
  var $6=(($5)|0)!=0; //@line 384 "./jsinfer.h"
  var $7=$6 ^ 1; //@line 384 "./jsinfer.h"
  var $8=$7 ^ 1; //@line 384 "./jsinfer.h"
  ;
  return $8; //@line 384 "./jsinfer.h"
}


function __ZNK2js5types4Type9isUnknownEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 108 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 108 "./jsinfer.h"
  var $5=(($4)|0)==32; //@line 108 "./jsinfer.h"
  ;
  return $5; //@line 108 "./jsinfer.h"
}


function __ZNK2js5types7TypeSet9baseFlagsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 383 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 383 "./jsinfer.h"
  var $5=$4 & 65791; //@line 383 "./jsinfer.h"
  ;
  return $5; //@line 383 "./jsinfer.h"
}


function __ZNK2js5types4Type11isPrimitiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 90 "./jsinfer.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 90 "./jsinfer.h"
  var $5=(($4)>>>0) < 7; //@line 90 "./jsinfer.h"
  ;
  return $5; //@line 90 "./jsinfer.h"
}


function __ZNK2js5types4Type9primitiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 100 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 100 "./jsinfer.h"
  var $5=(($4) & 255); //@line 100 "./jsinfer.h"
  ;
  return $5; //@line 100 "./jsinfer.h"
}


function __ZNK2js5types4Type11isAnyObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 104 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 104 "./jsinfer.h"
  var $5=(($4)|0)==7; //@line 104 "./jsinfer.h"
  ;
  return $5; //@line 104 "./jsinfer.h"
}


function __ZNK2js5types7TypeSet15baseObjectCountEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 520 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 520 "./jsinfer.h"
  var $5=$4 & 65280; //@line 520 "./jsinfer.h"
  var $6=$5 >>> 8; //@line 520 "./jsinfer.h"
  ;
  return $6; //@line 520 "./jsinfer.h"
}


function __ZNK2js5types4Type9objectKeyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 120 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 120 "./jsinfer.h"
  var $5=$4; //@line 120 "./jsinfer.h"
  ;
  return $5; //@line 120 "./jsinfer.h"
}


function __ZN2js5types7TypeSet18setBaseObjectCountEj($this, $count) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$count;
  var $3=$1;
  var $4=(($3)|0); //@line 945 "./jsinferinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 945 "./jsinferinlines.h"
  var $6=$5 & -65281; //@line 945 "./jsinferinlines.h"
  var $7=$2; //@line 945 "./jsinferinlines.h"
  var $8=$7 << 8; //@line 945 "./jsinferinlines.h"
  var $9=$6 | $8; //@line 945 "./jsinferinlines.h"
  var $10=(($3)|0); //@line 945 "./jsinferinlines.h"
  HEAP32[(($10)>>2)]=$9; //@line 945 "./jsinferinlines.h"
  ;
  return; //@line 947 "./jsinferinlines.h"
}


function __ZNK2js5types4Type10typeObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 142 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 142 "./jsinfer.h"
  var $5=$4; //@line 142 "./jsinfer.h"
  ;
  return $5; //@line 142 "./jsinfer.h"
}


function __ZNK2js5types4Type8isObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 115 "./jsinfer.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 115 "./jsinfer.h"
  var $5=(($4)>>>0) > 32; //@line 115 "./jsinfer.h"
  ;
  return $5; //@line 115 "./jsinfer.h"
}


function __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($this, $cx, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $flag;
      var $objectCount=__stackBase__;
      var $object;
      var $pentry;
      var $nobject;
      var $3=__stackBase__+4;
      var $4=__stackBase__+8;
      var $constraint;
      var $5=__stackBase__+12;
      $1=$this;
      $2=$cx;
      var $6=$1;
      var $7=__ZNK2js5types7TypeSet7unknownEv($6); //@line 961 "./jsinferinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 961 "./jsinferinlines.h"
    case 2: 
      __label__ = 38; break; //@line 962 "./jsinferinlines.h"
    case 3: 
      var $10=__ZNK2js5types4Type9isUnknownEv($type); //@line 964 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 964 "./jsinferinlines.h"
    case 4: 
      var $12=(($6)|0); //@line 965 "./jsinferinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 965 "./jsinferinlines.h"
      var $14=__ZNK2js5types7TypeSet9baseFlagsEv($6); //@line 965 "./jsinferinlines.h"
      var $15=$14 ^ -1; //@line 965 "./jsinferinlines.h"
      var $16=$13 & $15; //@line 965 "./jsinferinlines.h"
      var $17=65536 | $16; //@line 965 "./jsinferinlines.h"
      var $18=(($6)|0); //@line 965 "./jsinferinlines.h"
      HEAP32[(($18)>>2)]=$17; //@line 965 "./jsinferinlines.h"
      __ZN2js5types7TypeSet12clearObjectsEv($6); //@line 966 "./jsinferinlines.h"
      __label__ = 31; break; //@line 967 "./jsinferinlines.h"
    case 5: 
      var $20=__ZNK2js5types4Type11isPrimitiveEv($type); //@line 967 "./jsinferinlines.h"
      if ($20) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 967 "./jsinferinlines.h"
    case 6: 
      var $22=__ZNK2js5types4Type9primitiveEv($type); //@line 968 "./jsinferinlines.h"
      var $23=__ZN2js5types17PrimitiveTypeFlagE11JSValueType($22); //@line 968 "./jsinferinlines.h"
      $flag=$23; //@line 968 "./jsinferinlines.h"
      var $24=(($6)|0); //@line 969 "./jsinferinlines.h"
      var $25=HEAP32[(($24)>>2)]; //@line 969 "./jsinferinlines.h"
      var $26=$flag; //@line 969 "./jsinferinlines.h"
      var $27=$25 & $26; //@line 969 "./jsinferinlines.h"
      var $28=(($27)|0)!=0; //@line 969 "./jsinferinlines.h"
      if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 969 "./jsinferinlines.h"
    case 7: 
      __label__ = 38; break; //@line 970 "./jsinferinlines.h"
    case 8: 
      var $31=$flag; //@line 973 "./jsinferinlines.h"
      var $32=(($31)|0)==16; //@line 973 "./jsinferinlines.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 973 "./jsinferinlines.h"
    case 9: 
      var $34=$flag; //@line 974 "./jsinferinlines.h"
      var $35=$34 | 8; //@line 974 "./jsinferinlines.h"
      $flag=$35; //@line 974 "./jsinferinlines.h"
      __label__ = 10; break; //@line 974 "./jsinferinlines.h"
    case 10: 
      var $37=$flag; //@line 976 "./jsinferinlines.h"
      var $38=(($6)|0); //@line 976 "./jsinferinlines.h"
      var $39=HEAP32[(($38)>>2)]; //@line 976 "./jsinferinlines.h"
      var $40=$39 | $37; //@line 976 "./jsinferinlines.h"
      HEAP32[(($38)>>2)]=$40; //@line 976 "./jsinferinlines.h"
      __label__ = 30; break; //@line 977 "./jsinferinlines.h"
    case 11: 
      var $42=(($6)|0); //@line 978 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 978 "./jsinferinlines.h"
      var $44=$43 & 128; //@line 978 "./jsinferinlines.h"
      var $45=(($44)|0)!=0; //@line 978 "./jsinferinlines.h"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 978 "./jsinferinlines.h"
    case 12: 
      __label__ = 38; break; //@line 979 "./jsinferinlines.h"
    case 13: 
      var $48=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 980 "./jsinferinlines.h"
      if ($48) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 980 "./jsinferinlines.h"
    case 14: 
      __label__ = 33; break; //@line 981 "./jsinferinlines.h"
    case 15: 
      var $51=__ZNK2js5types7TypeSet15baseObjectCountEv($6); //@line 982 "./jsinferinlines.h"
      HEAP32[(($objectCount)>>2)]=$51; //@line 982 "./jsinferinlines.h"
      var $52=__ZNK2js5types4Type9objectKeyEv($type); //@line 983 "./jsinferinlines.h"
      $object=$52; //@line 983 "./jsinferinlines.h"
      var $53=$2; //@line 984 "./jsinferinlines.h"
      var $54=(($53+56)|0); //@line 984 "./jsinferinlines.h"
      var $55=HEAP32[(($54)>>2)]; //@line 984 "./jsinferinlines.h"
      var $56=(($6+4)|0); //@line 984 "./jsinferinlines.h"
      var $57=$object; //@line 984 "./jsinferinlines.h"
      var $58=__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_($55, $56, $objectCount, $57); //@line 984 "./jsinferinlines.h"
      $pentry=$58; //@line 984 "./jsinferinlines.h"
      var $59=$pentry; //@line 986 "./jsinferinlines.h"
      var $60=(($59)|0)!=0; //@line 986 "./jsinferinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 986 "./jsinferinlines.h"
    case 16: 
      var $62=$2; //@line 987 "./jsinferinlines.h"
      var $63=(($62+56)|0); //@line 987 "./jsinferinlines.h"
      var $64=HEAP32[(($63)>>2)]; //@line 987 "./jsinferinlines.h"
      var $65=(($64+376)|0); //@line 987 "./jsinferinlines.h"
      var $66=$2; //@line 987 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($65, $66); //@line 987 "./jsinferinlines.h"
      __label__ = 38; break; //@line 988 "./jsinferinlines.h"
    case 17: 
      var $68=$pentry; //@line 990 "./jsinferinlines.h"
      var $69=HEAP32[(($68)>>2)]; //@line 990 "./jsinferinlines.h"
      var $70=(($69)|0)!=0; //@line 990 "./jsinferinlines.h"
      if ($70) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 990 "./jsinferinlines.h"
    case 18: 
      __label__ = 38; break; //@line 991 "./jsinferinlines.h"
    case 19: 
      var $73=$object; //@line 992 "./jsinferinlines.h"
      var $74=$pentry; //@line 992 "./jsinferinlines.h"
      HEAP32[(($74)>>2)]=$73; //@line 992 "./jsinferinlines.h"
      var $75=HEAP32[(($objectCount)>>2)]; //@line 994 "./jsinferinlines.h"
      __ZN2js5types7TypeSet18setBaseObjectCountEj($6, $75); //@line 994 "./jsinferinlines.h"
      var $76=HEAP32[(($objectCount)>>2)]; //@line 996 "./jsinferinlines.h"
      var $77=(($76)|0)==255; //@line 996 "./jsinferinlines.h"
      if ($77) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 996 "./jsinferinlines.h"
    case 20: 
      __label__ = 33; break; //@line 997 "./jsinferinlines.h"
    case 21: 
      var $80=__ZNK2js5types4Type12isTypeObjectEv($type); //@line 999 "./jsinferinlines.h"
      if ($80) { __label__ = 22; break; } else { __label__ = 29; break; } //@line 999 "./jsinferinlines.h"
    case 22: 
      var $82=__ZNK2js5types4Type10typeObjectEv($type); //@line 1000 "./jsinferinlines.h"
      $nobject=$82; //@line 1000 "./jsinferinlines.h"
      var $83=$nobject; //@line 1002 "./jsinferinlines.h"
      var $84=__ZN2js5types10TypeObject17unknownPropertiesEv($83); //@line 1002 "./jsinferinlines.h"
      if ($84) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1002 "./jsinferinlines.h"
    case 23: 
      __label__ = 33; break; //@line 1003 "./jsinferinlines.h"
    case 24: 
      var $87=HEAPU32[(($objectCount)>>2)]; //@line 1004 "./jsinferinlines.h"
      var $88=(($87)>>>0) > 1; //@line 1004 "./jsinferinlines.h"
      if ($88) { __label__ = 25; break; } else { __label__ = 28; break; } //@line 1004 "./jsinferinlines.h"
    case 25: 
      var $90=HEAP32[(($objectCount)>>2)]; //@line 1005 "./jsinferinlines.h"
      var $91=(($90-1)|0); //@line 1005 "./jsinferinlines.h"
      var $92=HEAP32[(($objectCount)>>2)]; //@line 1005 "./jsinferinlines.h"
      var $93=(($92-1)|0); //@line 1005 "./jsinferinlines.h"
      var $94=(($91*$93)|0); //@line 1005 "./jsinferinlines.h"
      var $95=$nobject; //@line 1005 "./jsinferinlines.h"
      var $96=(($95+20)|0); //@line 1005 "./jsinferinlines.h"
      var $97=HEAP32[(($96)>>2)]; //@line 1005 "./jsinferinlines.h"
      var $98=(($97+$94)|0); //@line 1005 "./jsinferinlines.h"
      HEAP32[(($96)>>2)]=$98; //@line 1005 "./jsinferinlines.h"
      var $99=$nobject; //@line 1006 "./jsinferinlines.h"
      var $100=(($99+20)|0); //@line 1006 "./jsinferinlines.h"
      var $101=HEAPU32[(($100)>>2)]; //@line 1006 "./jsinferinlines.h"
      var $102=(($101)>>>0) >= 2000; //@line 1006 "./jsinferinlines.h"
      if ($102) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1006 "./jsinferinlines.h"
    case 26: 
      var $104=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($6); //@line 1008 "./jsinferinlines.h"
      var $105=__ZN2js5types19InferSpewColorResetEv(); //@line 1008 "./jsinferinlines.h"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str21338)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$104,HEAP32[((tempInt+4)>>2)]=$6,HEAP32[((tempInt+8)>>2)]=$105,tempInt)); //@line 1008 "./jsinferinlines.h"
      __label__ = 33; break; //@line 1009 "./jsinferinlines.h"
    case 27: 
      __label__ = 28; break; //@line 1011 "./jsinferinlines.h"
    case 28: 
      __label__ = 29; break; //@line 1012 "./jsinferinlines.h"
    case 29: 
      __label__ = 30; break;
    case 30: 
      __label__ = 31; break;
    case 31: 
      if (0) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 1015 "./jsinferinlines.h"
    case 32: 
      __label__ = 33; break; //@line 1015 "./jsinferinlines.h"
    case 33: 
      __ZN2js5types4Type13AnyObjectTypeEv($3); //@line 1017 "./jsinferinlines.h"
      var $113=$type; //@line 1017 "./jsinferinlines.h"
      var $114=$3; //@line 1017 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($113)>>2)]=HEAP32[(($114)>>2)]; //@line 1017 "./jsinferinlines.h"
      var $115=(($6)|0); //@line 1018 "./jsinferinlines.h"
      var $116=HEAP32[(($115)>>2)]; //@line 1018 "./jsinferinlines.h"
      var $117=$116 | 128; //@line 1018 "./jsinferinlines.h"
      HEAP32[(($115)>>2)]=$117; //@line 1018 "./jsinferinlines.h"
      __ZN2js5types7TypeSet12clearObjectsEv($6); //@line 1019 "./jsinferinlines.h"
      __label__ = 34; break; //@line 1020 "./jsinferinlines.h"
    case 34: 
      var $119=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($6); //@line 1023 "./jsinferinlines.h"
      var $120=__ZN2js5types19InferSpewColorResetEv(); //@line 1023 "./jsinferinlines.h"
      var $121=$4; //@line 1024 "./jsinferinlines.h"
      var $122=$type; //@line 1024 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($121)>>2)]=HEAP32[(($122)>>2)]; //@line 1024 "./jsinferinlines.h"
      var $123=__ZN2js5types10TypeStringENS0_4TypeE($4); //@line 1024 "./jsinferinlines.h"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str22339)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$119,HEAP32[((tempInt+4)>>2)]=$6,HEAP32[((tempInt+8)>>2)]=$120,HEAP32[((tempInt+12)>>2)]=$123,tempInt)); //@line 1024 "./jsinferinlines.h"
      var $124=(($6+8)|0); //@line 1027 "./jsinferinlines.h"
      var $125=HEAP32[(($124)>>2)]; //@line 1027 "./jsinferinlines.h"
      $constraint=$125; //@line 1027 "./jsinferinlines.h"
      __label__ = 35; break; //@line 1028 "./jsinferinlines.h"
    case 35: 
      var $127=$constraint; //@line 1028 "./jsinferinlines.h"
      var $128=(($127)|0)!=0; //@line 1028 "./jsinferinlines.h"
      if ($128) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1028 "./jsinferinlines.h"
    case 36: 
      var $130=$2; //@line 1029 "./jsinferinlines.h"
      var $131=(($130+56)|0); //@line 1029 "./jsinferinlines.h"
      var $132=HEAP32[(($131)>>2)]; //@line 1029 "./jsinferinlines.h"
      var $133=(($132+376)|0); //@line 1029 "./jsinferinlines.h"
      var $134=$2; //@line 1029 "./jsinferinlines.h"
      var $135=$constraint; //@line 1029 "./jsinferinlines.h"
      var $136=$5; //@line 1029 "./jsinferinlines.h"
      var $137=$type; //@line 1029 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($136)>>2)]=HEAP32[(($137)>>2)]; //@line 1029 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment10addPendingEP9JSContextPNS0_14TypeConstraintEPNS0_7TypeSetENS0_4TypeE($133, $134, $135, $6, $5); //@line 1029 "./jsinferinlines.h"
      var $138=$constraint; //@line 1030 "./jsinferinlines.h"
      var $139=(($138+4)|0); //@line 1030 "./jsinferinlines.h"
      var $140=HEAP32[(($139)>>2)]; //@line 1030 "./jsinferinlines.h"
      $constraint=$140; //@line 1030 "./jsinferinlines.h"
      __label__ = 35; break; //@line 1031 "./jsinferinlines.h"
    case 37: 
      var $142=$2; //@line 1033 "./jsinferinlines.h"
      var $143=(($142+56)|0); //@line 1033 "./jsinferinlines.h"
      var $144=HEAP32[(($143)>>2)]; //@line 1033 "./jsinferinlines.h"
      var $145=(($144+376)|0); //@line 1033 "./jsinferinlines.h"
      var $146=$2; //@line 1033 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment14resolvePendingEP9JSContext($145, $146); //@line 1033 "./jsinferinlines.h"
      __label__ = 38; break; //@line 1034 "./jsinferinlines.h"
    case 38: 
      STACKTOP = __stackBase__;
      return; //@line 1034 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE["X"]=1;

function __ZN2js5types22AutoEnterTypeInferenceD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js5types22AutoEnterTypeInferenceD2Ev($2); //@line 219 "./jsinferinlines.h"
  ;
  return; //@line 236 "./jsinferinlines.h"
}


function __ZN2js5types22AutoEnterTypeInferenceD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $types;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 220 "./jsinferinlines.h"
      var $4=HEAP8[($3)]; //@line 220 "./jsinferinlines.h"
      var $5=(($4) & 1); //@line 220 "./jsinferinlines.h"
      var $6=(($2)|0); //@line 220 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 220 "./jsinferinlines.h"
      var $8=(($7+56)|0); //@line 220 "./jsinferinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 220 "./jsinferinlines.h"
      var $10=(($9+372)|0); //@line 220 "./jsinferinlines.h"
      var $11=(($5)&1); //@line 220 "./jsinferinlines.h"
      HEAP8[($10)]=$11; //@line 220 "./jsinferinlines.h"
      var $12=(($2+5)|0); //@line 221 "./jsinferinlines.h"
      var $13=HEAP8[($12)]; //@line 221 "./jsinferinlines.h"
      var $14=(($13) & 1); //@line 221 "./jsinferinlines.h"
      var $15=(($2)|0); //@line 221 "./jsinferinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 221 "./jsinferinlines.h"
      var $17=(($16+56)|0); //@line 221 "./jsinferinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 221 "./jsinferinlines.h"
      var $19=(($18+373)|0); //@line 221 "./jsinferinlines.h"
      var $20=(($14)&1); //@line 221 "./jsinferinlines.h"
      HEAP8[($19)]=$20; //@line 221 "./jsinferinlines.h"
      var $21=(($2)|0); //@line 229 "./jsinferinlines.h"
      var $22=HEAP32[(($21)>>2)]; //@line 229 "./jsinferinlines.h"
      var $23=(($22+56)|0); //@line 229 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 229 "./jsinferinlines.h"
      var $25=(($24+373)|0); //@line 229 "./jsinferinlines.h"
      var $26=HEAP8[($25)]; //@line 229 "./jsinferinlines.h"
      var $27=(($26) & 1); //@line 229 "./jsinferinlines.h"
      if ($27) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 229 "./jsinferinlines.h"
    case 2: 
      var $29=(($2)|0); //@line 230 "./jsinferinlines.h"
      var $30=HEAP32[(($29)>>2)]; //@line 230 "./jsinferinlines.h"
      var $31=(($30+56)|0); //@line 230 "./jsinferinlines.h"
      var $32=HEAP32[(($31)>>2)]; //@line 230 "./jsinferinlines.h"
      var $33=(($32+376)|0); //@line 230 "./jsinferinlines.h"
      $types=$33; //@line 230 "./jsinferinlines.h"
      var $34=$types; //@line 231 "./jsinferinlines.h"
      var $35=(($34+8)|0); //@line 231 "./jsinferinlines.h"
      var $36=HEAP8[($35)]; //@line 231 "./jsinferinlines.h"
      var $37=(($36) & 1); //@line 231 "./jsinferinlines.h"
      if ($37) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 231 "./jsinferinlines.h"
    case 3: 
      var $39=$types; //@line 232 "./jsinferinlines.h"
      var $40=(($2)|0); //@line 232 "./jsinferinlines.h"
      var $41=HEAP32[(($40)>>2)]; //@line 232 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment9nukeTypesEP9JSContext($39, $41); //@line 232 "./jsinferinlines.h"
      __label__ = 7; break; //@line 232 "./jsinferinlines.h"
    case 4: 
      var $43=$types; //@line 233 "./jsinferinlines.h"
      var $44=(($43+12)|0); //@line 233 "./jsinferinlines.h"
      var $45=HEAP32[(($44)>>2)]; //@line 233 "./jsinferinlines.h"
      var $46=(($45)|0)!=0; //@line 233 "./jsinferinlines.h"
      if ($46) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 233 "./jsinferinlines.h"
    case 5: 
      var $48=$types; //@line 234 "./jsinferinlines.h"
      var $49=(($2)|0); //@line 234 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 234 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment24processPendingRecompilesEP9JSContext($48, $50); //@line 234 "./jsinferinlines.h"
      __label__ = 6; break; //@line 234 "./jsinferinlines.h"
    case 6: 
      __label__ = 7; break;
    case 7: 
      __label__ = 8; break; //@line 235 "./jsinferinlines.h"
    case 8: 
      ;
      return; //@line 236 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types22AutoEnterTypeInferenceD2Ev["X"]=1;

function __ZN2js5types7TypeSet12clearObjectsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js5types7TypeSet18setBaseObjectCountEj($2, 0); //@line 952 "./jsinferinlines.h"
  var $3=(($2+4)|0); //@line 953 "./jsinferinlines.h"
  HEAP32[(($3)>>2)]=0; //@line 953 "./jsinferinlines.h"
  ;
  return; //@line 954 "./jsinferinlines.h"
}


function __ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldData;
      var $i;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 853 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 853 "./jsinferinlines.h"
      var $8=(($7)|0)==0; //@line 853 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 853 "./jsinferinlines.h"
    case 2: 
      var $10=$4; //@line 855 "./jsinferinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 855 "./jsinferinlines.h"
      var $12=(($11+1)|0); //@line 855 "./jsinferinlines.h"
      HEAP32[(($10)>>2)]=$12; //@line 855 "./jsinferinlines.h"
      var $13=$3; //@line 856 "./jsinferinlines.h"
      var $14=$13; //@line 856 "./jsinferinlines.h"
      $1=$14; //@line 856 "./jsinferinlines.h"
      __label__ = 20; break; //@line 856 "./jsinferinlines.h"
    case 3: 
      var $16=$4; //@line 859 "./jsinferinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 859 "./jsinferinlines.h"
      var $18=(($17)|0)==1; //@line 859 "./jsinferinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 859 "./jsinferinlines.h"
    case 4: 
      var $20=$3; //@line 860 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 860 "./jsinferinlines.h"
      var $22=$21; //@line 860 "./jsinferinlines.h"
      $oldData=$22; //@line 860 "./jsinferinlines.h"
      var $23=$oldData; //@line 861 "./jsinferinlines.h"
      var $24=__ZN2js5types13TypeObjectKey6getKeyEPS1_($23); //@line 861 "./jsinferinlines.h"
      var $25=$5; //@line 861 "./jsinferinlines.h"
      var $26=(($24)|0)==(($25)|0); //@line 861 "./jsinferinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 861 "./jsinferinlines.h"
    case 5: 
      var $28=$3; //@line 862 "./jsinferinlines.h"
      var $29=$28; //@line 862 "./jsinferinlines.h"
      $1=$29; //@line 862 "./jsinferinlines.h"
      __label__ = 20; break; //@line 862 "./jsinferinlines.h"
    case 6: 
      var $31=$2; //@line 864 "./jsinferinlines.h"
      var $32=(($31+344)|0); //@line 864 "./jsinferinlines.h"
      var $33=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($32, 8); //@line 864 "./jsinferinlines.h"
      var $34=$3; //@line 864 "./jsinferinlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 864 "./jsinferinlines.h"
      var $35=$3; //@line 865 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 865 "./jsinferinlines.h"
      var $37=(($36)|0)!=0; //@line 865 "./jsinferinlines.h"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 865 "./jsinferinlines.h"
    case 7: 
      var $39=$oldData; //@line 866 "./jsinferinlines.h"
      var $40=$39; //@line 866 "./jsinferinlines.h"
      var $41=$3; //@line 866 "./jsinferinlines.h"
      HEAP32[(($41)>>2)]=$40; //@line 866 "./jsinferinlines.h"
      $1=0; //@line 867 "./jsinferinlines.h"
      __label__ = 20; break; //@line 867 "./jsinferinlines.h"
    case 8: 
      var $43=$3; //@line 869 "./jsinferinlines.h"
      var $44=HEAP32[(($43)>>2)]; //@line 869 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j($44, 8); //@line 869 "./jsinferinlines.h"
      var $45=$4; //@line 870 "./jsinferinlines.h"
      var $46=HEAP32[(($45)>>2)]; //@line 870 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 870 "./jsinferinlines.h"
      HEAP32[(($45)>>2)]=$47; //@line 870 "./jsinferinlines.h"
      var $48=$oldData; //@line 872 "./jsinferinlines.h"
      var $49=$3; //@line 872 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 872 "./jsinferinlines.h"
      var $51=(($50)|0); //@line 872 "./jsinferinlines.h"
      HEAP32[(($51)>>2)]=$48; //@line 872 "./jsinferinlines.h"
      var $52=$3; //@line 873 "./jsinferinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 873 "./jsinferinlines.h"
      var $54=(($53+4)|0); //@line 873 "./jsinferinlines.h"
      $1=$54; //@line 873 "./jsinferinlines.h"
      __label__ = 20; break; //@line 873 "./jsinferinlines.h"
    case 9: 
      var $56=$4; //@line 876 "./jsinferinlines.h"
      var $57=HEAPU32[(($56)>>2)]; //@line 876 "./jsinferinlines.h"
      var $58=(($57)>>>0) <= 8; //@line 876 "./jsinferinlines.h"
      if ($58) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 876 "./jsinferinlines.h"
    case 10: 
      $i=0; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 11: 
      var $61=$i; //@line 877 "./jsinferinlines.h"
      var $62=$4; //@line 877 "./jsinferinlines.h"
      var $63=HEAPU32[(($62)>>2)]; //@line 877 "./jsinferinlines.h"
      var $64=(($61)>>>0) < (($63)>>>0); //@line 877 "./jsinferinlines.h"
      if ($64) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 877 "./jsinferinlines.h"
    case 12: 
      var $66=$i; //@line 878 "./jsinferinlines.h"
      var $67=$3; //@line 878 "./jsinferinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 878 "./jsinferinlines.h"
      var $69=(($68+($66<<2))|0); //@line 878 "./jsinferinlines.h"
      var $70=HEAP32[(($69)>>2)]; //@line 878 "./jsinferinlines.h"
      var $71=__ZN2js5types13TypeObjectKey6getKeyEPS1_($70); //@line 878 "./jsinferinlines.h"
      var $72=$5; //@line 878 "./jsinferinlines.h"
      var $73=(($71)|0)==(($72)|0); //@line 878 "./jsinferinlines.h"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 878 "./jsinferinlines.h"
    case 13: 
      var $75=$i; //@line 879 "./jsinferinlines.h"
      var $76=$3; //@line 879 "./jsinferinlines.h"
      var $77=HEAP32[(($76)>>2)]; //@line 879 "./jsinferinlines.h"
      var $78=(($77+($75<<2))|0); //@line 879 "./jsinferinlines.h"
      $1=$78; //@line 879 "./jsinferinlines.h"
      __label__ = 20; break; //@line 879 "./jsinferinlines.h"
    case 14: 
      __label__ = 15; break; //@line 880 "./jsinferinlines.h"
    case 15: 
      var $81=$i; //@line 877 "./jsinferinlines.h"
      var $82=(($81+1)|0); //@line 877 "./jsinferinlines.h"
      $i=$82; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 16: 
      var $84=$4; //@line 882 "./jsinferinlines.h"
      var $85=HEAPU32[(($84)>>2)]; //@line 882 "./jsinferinlines.h"
      var $86=(($85)>>>0) < 8; //@line 882 "./jsinferinlines.h"
      if ($86) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 882 "./jsinferinlines.h"
    case 17: 
      var $88=$4; //@line 883 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 883 "./jsinferinlines.h"
      var $90=(($89+1)|0); //@line 883 "./jsinferinlines.h"
      HEAP32[(($88)>>2)]=$90; //@line 883 "./jsinferinlines.h"
      var $91=$4; //@line 884 "./jsinferinlines.h"
      var $92=HEAP32[(($91)>>2)]; //@line 884 "./jsinferinlines.h"
      var $93=(($92-1)|0); //@line 884 "./jsinferinlines.h"
      var $94=$3; //@line 884 "./jsinferinlines.h"
      var $95=HEAP32[(($94)>>2)]; //@line 884 "./jsinferinlines.h"
      var $96=(($95+($93<<2))|0); //@line 884 "./jsinferinlines.h"
      $1=$96; //@line 884 "./jsinferinlines.h"
      __label__ = 20; break; //@line 884 "./jsinferinlines.h"
    case 18: 
      __label__ = 19; break; //@line 886 "./jsinferinlines.h"
    case 19: 
      var $99=$2; //@line 888 "./jsinferinlines.h"
      var $100=$3; //@line 888 "./jsinferinlines.h"
      var $101=$4; //@line 888 "./jsinferinlines.h"
      var $102=$5; //@line 888 "./jsinferinlines.h"
      var $103=__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_($99, $100, $101, $102); //@line 888 "./jsinferinlines.h"
      $1=$103; //@line 888 "./jsinferinlines.h"
      __label__ = 20; break; //@line 888 "./jsinferinlines.h"
    case 20: 
      var $105=$1; //@line 889 "./jsinferinlines.h"
      ;
      return $105; //@line 889 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_["X"]=1;

function __ZNK2js5types4Type12isTypeObjectEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js5types4Type8isObjectEv($2); //@line 137 "./jsinfer.h"
      if ($3) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 137 "./jsinfer.h"
    case 2: 
      var $5=(($2)|0); //@line 137 "./jsinfer.h"
      var $6=HEAP32[(($5)>>2)]; //@line 137 "./jsinfer.h"
      var $7=$6 & 1; //@line 137 "./jsinfer.h"
      var $8=(($7)|0)!=0; //@line 137 "./jsinfer.h"
      var $9=$8 ^ 1; //@line 137 "./jsinfer.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 138 "./jsinfer.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types4Type13AnyObjectTypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 7); //@line 155 "./jsinfer.h"
  ;
  return; //@line 155 "./jsinfer.h"
}


function __ZN2js5types15TypeCompartment10addPendingEP9JSContextPNS0_14TypeConstraintEPNS0_7TypeSetENS0_4TypeE($this, $cx, $constraint, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $pending;
      $1=$this;
      $2=$cx;
      $3=$constraint;
      $4=$source;
      var $6=$1;
      var $7=$3; //@line 716 "./jsinferinlines.h"
      var $8=__ZN2js5types14InferSpewColorEPNS0_14TypeConstraintE($7); //@line 716 "./jsinferinlines.h"
      var $9=$3; //@line 716 "./jsinferinlines.h"
      var $10=__ZN2js5types19InferSpewColorResetEv(); //@line 716 "./jsinferinlines.h"
      var $11=$5; //@line 717 "./jsinferinlines.h"
      var $12=$type; //@line 717 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 717 "./jsinferinlines.h"
      var $13=__ZN2js5types10TypeStringENS0_4TypeE($5); //@line 717 "./jsinferinlines.h"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str24341)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$8,HEAP32[((tempInt+4)>>2)]=$9,HEAP32[((tempInt+8)>>2)]=$10,HEAP32[((tempInt+12)>>2)]=$13,tempInt)); //@line 717 "./jsinferinlines.h"
      var $14=(($6+44)|0); //@line 719 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 719 "./jsinferinlines.h"
      var $16=(($6+48)|0); //@line 719 "./jsinferinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 719 "./jsinferinlines.h"
      var $18=(($15)|0)==(($17)|0); //@line 719 "./jsinferinlines.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 719 "./jsinferinlines.h"
    case 2: 
      var $20=$2; //@line 720 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment16growPendingArrayEP9JSContext($6, $20); //@line 720 "./jsinferinlines.h"
      __label__ = 3; break; //@line 720 "./jsinferinlines.h"
    case 3: 
      var $22=(($6+44)|0); //@line 722 "./jsinferinlines.h"
      var $23=HEAP32[(($22)>>2)]; //@line 722 "./jsinferinlines.h"
      var $24=(($23+1)|0); //@line 722 "./jsinferinlines.h"
      HEAP32[(($22)>>2)]=$24; //@line 722 "./jsinferinlines.h"
      var $25=(($6+40)|0); //@line 722 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 722 "./jsinferinlines.h"
      var $27=(($26+$23*12)|0); //@line 722 "./jsinferinlines.h"
      $pending=$27; //@line 722 "./jsinferinlines.h"
      var $28=$3; //@line 723 "./jsinferinlines.h"
      var $29=$pending; //@line 723 "./jsinferinlines.h"
      var $30=(($29)|0); //@line 723 "./jsinferinlines.h"
      HEAP32[(($30)>>2)]=$28; //@line 723 "./jsinferinlines.h"
      var $31=$4; //@line 724 "./jsinferinlines.h"
      var $32=$pending; //@line 724 "./jsinferinlines.h"
      var $33=(($32+4)|0); //@line 724 "./jsinferinlines.h"
      HEAP32[(($33)>>2)]=$31; //@line 724 "./jsinferinlines.h"
      var $34=$pending; //@line 725 "./jsinferinlines.h"
      var $35=(($34+8)|0); //@line 725 "./jsinferinlines.h"
      var $36=$35; //@line 725 "./jsinferinlines.h"
      var $37=$type; //@line 725 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)]; //@line 725 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return; //@line 726 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment10addPendingEP9JSContextPNS0_14TypeConstraintEPNS0_7TypeSetENS0_4TypeE["X"]=1;

function __ZN2js5types15TypeCompartment14resolvePendingEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pending;
      var $3=__stackBase__;
      var $4=__stackBase__+4;
      $1=$this;
      $2=$cx;
      var $5=$1;
      var $6=(($5+52)|0); //@line 733 "./jsinferinlines.h"
      var $7=HEAP8[($6)]; //@line 733 "./jsinferinlines.h"
      var $8=(($7) & 1); //@line 733 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 733 "./jsinferinlines.h"
    case 2: 
      __label__ = 7; break; //@line 735 "./jsinferinlines.h"
    case 3: 
      var $11=(($5+52)|0); //@line 738 "./jsinferinlines.h"
      HEAP8[($11)]=1; //@line 738 "./jsinferinlines.h"
      __label__ = 4; break; //@line 741 "./jsinferinlines.h"
    case 4: 
      var $13=(($5+44)|0); //@line 741 "./jsinferinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 741 "./jsinferinlines.h"
      var $15=(($14)|0)!=0; //@line 741 "./jsinferinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 741 "./jsinferinlines.h"
    case 5: 
      var $17=(($5+44)|0); //@line 742 "./jsinferinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 742 "./jsinferinlines.h"
      var $19=(($18-1)|0); //@line 742 "./jsinferinlines.h"
      HEAP32[(($17)>>2)]=$19; //@line 742 "./jsinferinlines.h"
      var $20=(($5+40)|0); //@line 742 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 742 "./jsinferinlines.h"
      var $22=(($21+$19*12)|0); //@line 742 "./jsinferinlines.h"
      $pending=$22; //@line 742 "./jsinferinlines.h"
      var $23=$pending; //@line 744 "./jsinferinlines.h"
      var $24=(($23)|0); //@line 744 "./jsinferinlines.h"
      var $25=HEAP32[(($24)>>2)]; //@line 744 "./jsinferinlines.h"
      var $26=__ZN2js5types14InferSpewColorEPNS0_14TypeConstraintE($25); //@line 744 "./jsinferinlines.h"
      var $27=$pending; //@line 744 "./jsinferinlines.h"
      var $28=(($27)|0); //@line 744 "./jsinferinlines.h"
      var $29=HEAP32[(($28)>>2)]; //@line 744 "./jsinferinlines.h"
      var $30=__ZN2js5types19InferSpewColorResetEv(); //@line 745 "./jsinferinlines.h"
      var $31=$pending; //@line 745 "./jsinferinlines.h"
      var $32=(($31+8)|0); //@line 745 "./jsinferinlines.h"
      var $33=$3; //@line 745 "./jsinferinlines.h"
      var $34=$32; //@line 745 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)]; //@line 745 "./jsinferinlines.h"
      var $35=__ZN2js5types10TypeStringENS0_4TypeE($3); //@line 745 "./jsinferinlines.h"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str23340)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$26,HEAP32[((tempInt+4)>>2)]=$29,HEAP32[((tempInt+8)>>2)]=$30,HEAP32[((tempInt+12)>>2)]=$35,tempInt)); //@line 745 "./jsinferinlines.h"
      var $36=$pending; //@line 746 "./jsinferinlines.h"
      var $37=(($36)|0); //@line 746 "./jsinferinlines.h"
      var $38=HEAP32[(($37)>>2)]; //@line 746 "./jsinferinlines.h"
      var $39=$38; //@line 746 "./jsinferinlines.h"
      var $40=HEAP32[(($39)>>2)]; //@line 746 "./jsinferinlines.h"
      var $41=(($40)|0); //@line 746 "./jsinferinlines.h"
      var $42=HEAP32[(($41)>>2)]; //@line 746 "./jsinferinlines.h"
      var $43=$2; //@line 746 "./jsinferinlines.h"
      var $44=$pending; //@line 746 "./jsinferinlines.h"
      var $45=(($44+4)|0); //@line 746 "./jsinferinlines.h"
      var $46=HEAP32[(($45)>>2)]; //@line 746 "./jsinferinlines.h"
      var $47=$pending; //@line 746 "./jsinferinlines.h"
      var $48=(($47+8)|0); //@line 746 "./jsinferinlines.h"
      var $49=$4; //@line 746 "./jsinferinlines.h"
      var $50=$48; //@line 746 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)]; //@line 746 "./jsinferinlines.h"
      FUNCTION_TABLE[$42]($38, $43, $46, $4); //@line 746 "./jsinferinlines.h"
      __label__ = 4; break; //@line 747 "./jsinferinlines.h"
    case 6: 
      var $52=(($5+52)|0); //@line 749 "./jsinferinlines.h"
      HEAP8[($52)]=0; //@line 749 "./jsinferinlines.h"
      __label__ = 7; break; //@line 750 "./jsinferinlines.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 750 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment14resolvePendingEP9JSContext["X"]=1;

function __ZN2js5types13TypeObjectKey7keyBitsEPS1_($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 71 "./jsinfer.h"
  var $3=$2; //@line 71 "./jsinfer.h"
  ;
  return $3; //@line 71 "./jsinfer.h"
}


function _JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $type;
  var $1=$l; //@line 661 "./jsval.h"
  var $2=(($1+4)|0); //@line 661 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 661 "./jsval.h"
  var $4=$3 & 15; //@line 661 "./jsval.h"
  $type=$4; //@line 661 "./jsval.h"
  var $5=$type; //@line 663 "./jsval.h"
  var $6=(($5) & 255); //@line 663 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 663 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL390($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL391($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL392($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function __ZN2js5types10TypeObject20setBasePropertyCountEj($this, $count) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$count;
  var $3=$1;
  var $4=(($3+12)|0); //@line 1131 "./jsinferinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1131 "./jsinferinlines.h"
  var $6=$5 & -65521; //@line 1131 "./jsinferinlines.h"
  var $7=$2; //@line 1131 "./jsinferinlines.h"
  var $8=$7 << 4; //@line 1131 "./jsinferinlines.h"
  var $9=$6 | $8; //@line 1131 "./jsinferinlines.h"
  var $10=(($3+12)|0); //@line 1131 "./jsinferinlines.h"
  HEAP32[(($10)>>2)]=$9; //@line 1131 "./jsinferinlines.h"
  ;
  return; //@line 1133 "./jsinferinlines.h"
}


function __ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=((($7<<2))|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $capacity;
      var $insertpos;
      var $converting;
      var $newCapacity;
      var $newValues;
      var $i;
      var $pos;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 801 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 801 "./jsinferinlines.h"
      var $8=__ZN2js5typesL15HashSetCapacityEj385($7); //@line 801 "./jsinferinlines.h"
      $capacity=$8; //@line 801 "./jsinferinlines.h"
      var $9=$5; //@line 802 "./jsinferinlines.h"
      var $10=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_($9); //@line 802 "./jsinferinlines.h"
      var $11=$capacity; //@line 802 "./jsinferinlines.h"
      var $12=(($11-1)|0); //@line 802 "./jsinferinlines.h"
      var $13=$10 & $12; //@line 802 "./jsinferinlines.h"
      $insertpos=$13; //@line 802 "./jsinferinlines.h"
      var $14=$4; //@line 805 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 805 "./jsinferinlines.h"
      var $16=(($15)|0)==8; //@line 805 "./jsinferinlines.h"
      var $17=(($16)&1); //@line 805 "./jsinferinlines.h"
      $converting=$17; //@line 805 "./jsinferinlines.h"
      var $18=$converting; //@line 807 "./jsinferinlines.h"
      var $19=(($18) & 1); //@line 807 "./jsinferinlines.h"
      if ($19) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 807 "./jsinferinlines.h"
    case 2: 
      __label__ = 3; break; //@line 808 "./jsinferinlines.h"
    case 3: 
      var $22=$insertpos; //@line 808 "./jsinferinlines.h"
      var $23=$3; //@line 808 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 808 "./jsinferinlines.h"
      var $25=(($24+($22<<2))|0); //@line 808 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 808 "./jsinferinlines.h"
      var $27=(($26)|0)!=0; //@line 808 "./jsinferinlines.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 808 "./jsinferinlines.h"
    case 4: 
      var $29=$insertpos; //@line 809 "./jsinferinlines.h"
      var $30=$3; //@line 809 "./jsinferinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 809 "./jsinferinlines.h"
      var $32=(($31+($29<<2))|0); //@line 809 "./jsinferinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 809 "./jsinferinlines.h"
      var $34=__ZN2js5types13TypeObjectKey6getKeyEPS1_($33); //@line 809 "./jsinferinlines.h"
      var $35=$5; //@line 809 "./jsinferinlines.h"
      var $36=(($34)|0)==(($35)|0); //@line 809 "./jsinferinlines.h"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 809 "./jsinferinlines.h"
    case 5: 
      var $38=$insertpos; //@line 810 "./jsinferinlines.h"
      var $39=$3; //@line 810 "./jsinferinlines.h"
      var $40=HEAP32[(($39)>>2)]; //@line 810 "./jsinferinlines.h"
      var $41=(($40+($38<<2))|0); //@line 810 "./jsinferinlines.h"
      $1=$41; //@line 810 "./jsinferinlines.h"
      __label__ = 25; break; //@line 810 "./jsinferinlines.h"
    case 6: 
      var $43=$insertpos; //@line 811 "./jsinferinlines.h"
      var $44=(($43+1)|0); //@line 811 "./jsinferinlines.h"
      var $45=$capacity; //@line 811 "./jsinferinlines.h"
      var $46=(($45-1)|0); //@line 811 "./jsinferinlines.h"
      var $47=$44 & $46; //@line 811 "./jsinferinlines.h"
      $insertpos=$47; //@line 811 "./jsinferinlines.h"
      __label__ = 3; break; //@line 812 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 813 "./jsinferinlines.h"
    case 8: 
      var $50=$4; //@line 815 "./jsinferinlines.h"
      var $51=HEAP32[(($50)>>2)]; //@line 815 "./jsinferinlines.h"
      var $52=(($51+1)|0); //@line 815 "./jsinferinlines.h"
      HEAP32[(($50)>>2)]=$52; //@line 815 "./jsinferinlines.h"
      var $53=$4; //@line 816 "./jsinferinlines.h"
      var $54=HEAP32[(($53)>>2)]; //@line 816 "./jsinferinlines.h"
      var $55=__ZN2js5typesL15HashSetCapacityEj385($54); //@line 816 "./jsinferinlines.h"
      $newCapacity=$55; //@line 816 "./jsinferinlines.h"
      var $56=$newCapacity; //@line 818 "./jsinferinlines.h"
      var $57=$capacity; //@line 818 "./jsinferinlines.h"
      var $58=(($56)|0)==(($57)|0); //@line 818 "./jsinferinlines.h"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 818 "./jsinferinlines.h"
    case 9: 
      var $60=$insertpos; //@line 820 "./jsinferinlines.h"
      var $61=$3; //@line 820 "./jsinferinlines.h"
      var $62=HEAP32[(($61)>>2)]; //@line 820 "./jsinferinlines.h"
      var $63=(($62+($60<<2))|0); //@line 820 "./jsinferinlines.h"
      $1=$63; //@line 820 "./jsinferinlines.h"
      __label__ = 25; break; //@line 820 "./jsinferinlines.h"
    case 10: 
      var $65=$2; //@line 823 "./jsinferinlines.h"
      var $66=(($65+344)|0); //@line 823 "./jsinferinlines.h"
      var $67=$newCapacity; //@line 823 "./jsinferinlines.h"
      var $68=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($66, $67); //@line 823 "./jsinferinlines.h"
      $newValues=$68; //@line 823 "./jsinferinlines.h"
      var $69=$newValues; //@line 824 "./jsinferinlines.h"
      var $70=(($69)|0)!=0; //@line 824 "./jsinferinlines.h"
      if ($70) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 824 "./jsinferinlines.h"
    case 11: 
      $1=0; //@line 825 "./jsinferinlines.h"
      __label__ = 25; break; //@line 825 "./jsinferinlines.h"
    case 12: 
      var $73=$newValues; //@line 826 "./jsinferinlines.h"
      var $74=$newCapacity; //@line 826 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j($73, $74); //@line 826 "./jsinferinlines.h"
      $i=0; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 13: 
      var $76=$i; //@line 828 "./jsinferinlines.h"
      var $77=$capacity; //@line 828 "./jsinferinlines.h"
      var $78=(($76)>>>0) < (($77)>>>0); //@line 828 "./jsinferinlines.h"
      if ($78) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 828 "./jsinferinlines.h"
    case 14: 
      var $80=$i; //@line 829 "./jsinferinlines.h"
      var $81=$3; //@line 829 "./jsinferinlines.h"
      var $82=HEAP32[(($81)>>2)]; //@line 829 "./jsinferinlines.h"
      var $83=(($82+($80<<2))|0); //@line 829 "./jsinferinlines.h"
      var $84=HEAP32[(($83)>>2)]; //@line 829 "./jsinferinlines.h"
      var $85=(($84)|0)!=0; //@line 829 "./jsinferinlines.h"
      if ($85) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 829 "./jsinferinlines.h"
    case 15: 
      var $87=$i; //@line 830 "./jsinferinlines.h"
      var $88=$3; //@line 830 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 830 "./jsinferinlines.h"
      var $90=(($89+($87<<2))|0); //@line 830 "./jsinferinlines.h"
      var $91=HEAP32[(($90)>>2)]; //@line 830 "./jsinferinlines.h"
      var $92=__ZN2js5types13TypeObjectKey6getKeyEPS1_($91); //@line 830 "./jsinferinlines.h"
      var $93=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_($92); //@line 830 "./jsinferinlines.h"
      var $94=$newCapacity; //@line 830 "./jsinferinlines.h"
      var $95=(($94-1)|0); //@line 830 "./jsinferinlines.h"
      var $96=$93 & $95; //@line 830 "./jsinferinlines.h"
      $pos=$96; //@line 830 "./jsinferinlines.h"
      __label__ = 16; break; //@line 831 "./jsinferinlines.h"
    case 16: 
      var $98=$pos; //@line 831 "./jsinferinlines.h"
      var $99=$newValues; //@line 831 "./jsinferinlines.h"
      var $100=(($99+($98<<2))|0); //@line 831 "./jsinferinlines.h"
      var $101=HEAP32[(($100)>>2)]; //@line 831 "./jsinferinlines.h"
      var $102=(($101)|0)!=0; //@line 831 "./jsinferinlines.h"
      if ($102) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 831 "./jsinferinlines.h"
    case 17: 
      var $104=$pos; //@line 832 "./jsinferinlines.h"
      var $105=(($104+1)|0); //@line 832 "./jsinferinlines.h"
      var $106=$newCapacity; //@line 832 "./jsinferinlines.h"
      var $107=(($106-1)|0); //@line 832 "./jsinferinlines.h"
      var $108=$105 & $107; //@line 832 "./jsinferinlines.h"
      $pos=$108; //@line 832 "./jsinferinlines.h"
      __label__ = 16; break; //@line 832 "./jsinferinlines.h"
    case 18: 
      var $110=$i; //@line 833 "./jsinferinlines.h"
      var $111=$3; //@line 833 "./jsinferinlines.h"
      var $112=HEAP32[(($111)>>2)]; //@line 833 "./jsinferinlines.h"
      var $113=(($112+($110<<2))|0); //@line 833 "./jsinferinlines.h"
      var $114=HEAP32[(($113)>>2)]; //@line 833 "./jsinferinlines.h"
      var $115=$pos; //@line 833 "./jsinferinlines.h"
      var $116=$newValues; //@line 833 "./jsinferinlines.h"
      var $117=(($116+($115<<2))|0); //@line 833 "./jsinferinlines.h"
      HEAP32[(($117)>>2)]=$114; //@line 833 "./jsinferinlines.h"
      __label__ = 19; break; //@line 834 "./jsinferinlines.h"
    case 19: 
      __label__ = 20; break; //@line 835 "./jsinferinlines.h"
    case 20: 
      var $120=$i; //@line 828 "./jsinferinlines.h"
      var $121=(($120+1)|0); //@line 828 "./jsinferinlines.h"
      $i=$121; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 21: 
      var $123=$newValues; //@line 837 "./jsinferinlines.h"
      var $124=$3; //@line 837 "./jsinferinlines.h"
      HEAP32[(($124)>>2)]=$123; //@line 837 "./jsinferinlines.h"
      var $125=$5; //@line 839 "./jsinferinlines.h"
      var $126=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_($125); //@line 839 "./jsinferinlines.h"
      var $127=$newCapacity; //@line 839 "./jsinferinlines.h"
      var $128=(($127-1)|0); //@line 839 "./jsinferinlines.h"
      var $129=$126 & $128; //@line 839 "./jsinferinlines.h"
      $insertpos=$129; //@line 839 "./jsinferinlines.h"
      __label__ = 22; break; //@line 840 "./jsinferinlines.h"
    case 22: 
      var $131=$insertpos; //@line 840 "./jsinferinlines.h"
      var $132=$3; //@line 840 "./jsinferinlines.h"
      var $133=HEAP32[(($132)>>2)]; //@line 840 "./jsinferinlines.h"
      var $134=(($133+($131<<2))|0); //@line 840 "./jsinferinlines.h"
      var $135=HEAP32[(($134)>>2)]; //@line 840 "./jsinferinlines.h"
      var $136=(($135)|0)!=0; //@line 840 "./jsinferinlines.h"
      if ($136) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 840 "./jsinferinlines.h"
    case 23: 
      var $138=$insertpos; //@line 841 "./jsinferinlines.h"
      var $139=(($138+1)|0); //@line 841 "./jsinferinlines.h"
      var $140=$newCapacity; //@line 841 "./jsinferinlines.h"
      var $141=(($140-1)|0); //@line 841 "./jsinferinlines.h"
      var $142=$139 & $141; //@line 841 "./jsinferinlines.h"
      $insertpos=$142; //@line 841 "./jsinferinlines.h"
      __label__ = 22; break; //@line 841 "./jsinferinlines.h"
    case 24: 
      var $144=$insertpos; //@line 842 "./jsinferinlines.h"
      var $145=$3; //@line 842 "./jsinferinlines.h"
      var $146=HEAP32[(($145)>>2)]; //@line 842 "./jsinferinlines.h"
      var $147=(($146+($144<<2))|0); //@line 842 "./jsinferinlines.h"
      $1=$147; //@line 842 "./jsinferinlines.h"
      __label__ = 25; break; //@line 842 "./jsinferinlines.h"
    case 25: 
      var $149=$1; //@line 843 "./jsinferinlines.h"
      ;
      return $149; //@line 843 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_["X"]=1;

function __ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types13TypeObjectKey7keyBitsEPS1_($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js5types4Type10ObjectTypeEP8JSObject($agg_result, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$obj;
      var $2=$1; //@line 65 "./jsinferinlines.h"
      var $3=__ZNK8JSObject16hasSingletonTypeEv($2); //@line 65 "./jsinferinlines.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 65 "./jsinferinlines.h"
    case 2: 
      var $5=$1; //@line 66 "./jsinferinlines.h"
      var $6=$5; //@line 66 "./jsinferinlines.h"
      var $7=$6 | 1; //@line 66 "./jsinferinlines.h"
      __ZN2js5types4TypeC1Ej($agg_result, $7); //@line 66 "./jsinferinlines.h"
      __label__ = 4; break; //@line 66 "./jsinferinlines.h"
    case 3: 
      var $9=$1; //@line 67 "./jsinferinlines.h"
      var $10=__ZNK8JSObject4typeEv($9); //@line 67 "./jsinferinlines.h"
      var $11=$10; //@line 67 "./jsinferinlines.h"
      __ZN2js5types4TypeC1Ej($agg_result, $11); //@line 67 "./jsinferinlines.h"
      __label__ = 4; break; //@line 67 "./jsinferinlines.h"
    case 4: 
      ;
      return; //@line 68 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types4Type13PrimitiveTypeE11JSValueType($agg_result, $type) {
  ;
  var __label__;

  var $1;
  $1=$type;
  var $2=$1; //@line 160 "./jsinfer.h"
  var $3=(($2)&255); //@line 160 "./jsinfer.h"
  __ZN2js5types4TypeC1Ej($agg_result, $3); //@line 160 "./jsinfer.h"
  ;
  return; //@line 160 "./jsinfer.h"
}


function __ZNK2JS5Value20extractNonDoubleTypeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 569 "./jsapi.h"
  var $5=$2; //@line 569 "./jsapi.h"
  var $6=$4; //@line 569 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 569 "./jsapi.h"
  var $7=_JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL($2); //@line 569 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 569 "./jsapi.h"
}


function __ZN2js5typesL13HashSetInsertIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldData;
      var $i;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 853 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 853 "./jsinferinlines.h"
      var $8=(($7)|0)==0; //@line 853 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 853 "./jsinferinlines.h"
    case 2: 
      var $10=$4; //@line 855 "./jsinferinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 855 "./jsinferinlines.h"
      var $12=(($11+1)|0); //@line 855 "./jsinferinlines.h"
      HEAP32[(($10)>>2)]=$12; //@line 855 "./jsinferinlines.h"
      var $13=$3; //@line 856 "./jsinferinlines.h"
      var $14=$13; //@line 856 "./jsinferinlines.h"
      $1=$14; //@line 856 "./jsinferinlines.h"
      __label__ = 20; break; //@line 856 "./jsinferinlines.h"
    case 3: 
      var $16=$4; //@line 859 "./jsinferinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 859 "./jsinferinlines.h"
      var $18=(($17)|0)==1; //@line 859 "./jsinferinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 859 "./jsinferinlines.h"
    case 4: 
      var $20=$3; //@line 860 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 860 "./jsinferinlines.h"
      var $22=$21; //@line 860 "./jsinferinlines.h"
      $oldData=$22; //@line 860 "./jsinferinlines.h"
      var $23=$oldData; //@line 861 "./jsinferinlines.h"
      var $24=__ZN2js5types8Property6getKeyEPS1_($23); //@line 861 "./jsinferinlines.h"
      var $25=$5; //@line 861 "./jsinferinlines.h"
      var $26=(($24)|0)==(($25)|0); //@line 861 "./jsinferinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 861 "./jsinferinlines.h"
    case 5: 
      var $28=$3; //@line 862 "./jsinferinlines.h"
      var $29=$28; //@line 862 "./jsinferinlines.h"
      $1=$29; //@line 862 "./jsinferinlines.h"
      __label__ = 20; break; //@line 862 "./jsinferinlines.h"
    case 6: 
      var $31=$2; //@line 864 "./jsinferinlines.h"
      var $32=(($31+344)|0); //@line 864 "./jsinferinlines.h"
      var $33=__ZN2js10ArenaArrayIPNS_5types8PropertyEEEPT_R11JSArenaPoolj($32, 8); //@line 864 "./jsinferinlines.h"
      var $34=$3; //@line 864 "./jsinferinlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 864 "./jsinferinlines.h"
      var $35=$3; //@line 865 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 865 "./jsinferinlines.h"
      var $37=(($36)|0)!=0; //@line 865 "./jsinferinlines.h"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 865 "./jsinferinlines.h"
    case 7: 
      var $39=$oldData; //@line 866 "./jsinferinlines.h"
      var $40=$39; //@line 866 "./jsinferinlines.h"
      var $41=$3; //@line 866 "./jsinferinlines.h"
      HEAP32[(($41)>>2)]=$40; //@line 866 "./jsinferinlines.h"
      $1=0; //@line 867 "./jsinferinlines.h"
      __label__ = 20; break; //@line 867 "./jsinferinlines.h"
    case 8: 
      var $43=$3; //@line 869 "./jsinferinlines.h"
      var $44=HEAP32[(($43)>>2)]; //@line 869 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types8PropertyEEEvPT_j($44, 8); //@line 869 "./jsinferinlines.h"
      var $45=$4; //@line 870 "./jsinferinlines.h"
      var $46=HEAP32[(($45)>>2)]; //@line 870 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 870 "./jsinferinlines.h"
      HEAP32[(($45)>>2)]=$47; //@line 870 "./jsinferinlines.h"
      var $48=$oldData; //@line 872 "./jsinferinlines.h"
      var $49=$3; //@line 872 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 872 "./jsinferinlines.h"
      var $51=(($50)|0); //@line 872 "./jsinferinlines.h"
      HEAP32[(($51)>>2)]=$48; //@line 872 "./jsinferinlines.h"
      var $52=$3; //@line 873 "./jsinferinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 873 "./jsinferinlines.h"
      var $54=(($53+4)|0); //@line 873 "./jsinferinlines.h"
      $1=$54; //@line 873 "./jsinferinlines.h"
      __label__ = 20; break; //@line 873 "./jsinferinlines.h"
    case 9: 
      var $56=$4; //@line 876 "./jsinferinlines.h"
      var $57=HEAPU32[(($56)>>2)]; //@line 876 "./jsinferinlines.h"
      var $58=(($57)>>>0) <= 8; //@line 876 "./jsinferinlines.h"
      if ($58) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 876 "./jsinferinlines.h"
    case 10: 
      $i=0; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 11: 
      var $61=$i; //@line 877 "./jsinferinlines.h"
      var $62=$4; //@line 877 "./jsinferinlines.h"
      var $63=HEAPU32[(($62)>>2)]; //@line 877 "./jsinferinlines.h"
      var $64=(($61)>>>0) < (($63)>>>0); //@line 877 "./jsinferinlines.h"
      if ($64) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 877 "./jsinferinlines.h"
    case 12: 
      var $66=$i; //@line 878 "./jsinferinlines.h"
      var $67=$3; //@line 878 "./jsinferinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 878 "./jsinferinlines.h"
      var $69=(($68+($66<<2))|0); //@line 878 "./jsinferinlines.h"
      var $70=HEAP32[(($69)>>2)]; //@line 878 "./jsinferinlines.h"
      var $71=__ZN2js5types8Property6getKeyEPS1_($70); //@line 878 "./jsinferinlines.h"
      var $72=$5; //@line 878 "./jsinferinlines.h"
      var $73=(($71)|0)==(($72)|0); //@line 878 "./jsinferinlines.h"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 878 "./jsinferinlines.h"
    case 13: 
      var $75=$i; //@line 879 "./jsinferinlines.h"
      var $76=$3; //@line 879 "./jsinferinlines.h"
      var $77=HEAP32[(($76)>>2)]; //@line 879 "./jsinferinlines.h"
      var $78=(($77+($75<<2))|0); //@line 879 "./jsinferinlines.h"
      $1=$78; //@line 879 "./jsinferinlines.h"
      __label__ = 20; break; //@line 879 "./jsinferinlines.h"
    case 14: 
      __label__ = 15; break; //@line 880 "./jsinferinlines.h"
    case 15: 
      var $81=$i; //@line 877 "./jsinferinlines.h"
      var $82=(($81+1)|0); //@line 877 "./jsinferinlines.h"
      $i=$82; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 16: 
      var $84=$4; //@line 882 "./jsinferinlines.h"
      var $85=HEAPU32[(($84)>>2)]; //@line 882 "./jsinferinlines.h"
      var $86=(($85)>>>0) < 8; //@line 882 "./jsinferinlines.h"
      if ($86) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 882 "./jsinferinlines.h"
    case 17: 
      var $88=$4; //@line 883 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 883 "./jsinferinlines.h"
      var $90=(($89+1)|0); //@line 883 "./jsinferinlines.h"
      HEAP32[(($88)>>2)]=$90; //@line 883 "./jsinferinlines.h"
      var $91=$4; //@line 884 "./jsinferinlines.h"
      var $92=HEAP32[(($91)>>2)]; //@line 884 "./jsinferinlines.h"
      var $93=(($92-1)|0); //@line 884 "./jsinferinlines.h"
      var $94=$3; //@line 884 "./jsinferinlines.h"
      var $95=HEAP32[(($94)>>2)]; //@line 884 "./jsinferinlines.h"
      var $96=(($95+($93<<2))|0); //@line 884 "./jsinferinlines.h"
      $1=$96; //@line 884 "./jsinferinlines.h"
      __label__ = 20; break; //@line 884 "./jsinferinlines.h"
    case 18: 
      __label__ = 19; break; //@line 886 "./jsinferinlines.h"
    case 19: 
      var $99=$2; //@line 888 "./jsinferinlines.h"
      var $100=$3; //@line 888 "./jsinferinlines.h"
      var $101=$4; //@line 888 "./jsinferinlines.h"
      var $102=$5; //@line 888 "./jsinferinlines.h"
      var $103=__ZN2js5typesL16HashSetInsertTryIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_($99, $100, $101, $102); //@line 888 "./jsinferinlines.h"
      $1=$103; //@line 888 "./jsinferinlines.h"
      __label__ = 20; break; //@line 888 "./jsinferinlines.h"
    case 20: 
      var $105=$1; //@line 889 "./jsinferinlines.h"
      ;
      return $105; //@line 889 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetInsertIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_["X"]=1;

function __ZN2js5types4Type11UnknownTypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 32); //@line 156 "./jsinfer.h"
  ;
  return; //@line 156 "./jsinfer.h"
}


function __ZN2js5types7TypeSet14setOwnPropertyEP9JSContextb($this, $cx, $configured) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nflags;
      var $constraint;
      $1=$this;
      $2=$cx;
      var $4=(($configured)&1);
      $3=$4;
      var $5=$1;
      var $6=$3; //@line 1039 "./jsinferinlines.h"
      var $7=(($6) & 1); //@line 1039 "./jsinferinlines.h"
      var $8=$7 ? 524288 : 0; //@line 1039 "./jsinferinlines.h"
      var $9=262144 | $8; //@line 1039 "./jsinferinlines.h"
      $nflags=$9; //@line 1039 "./jsinferinlines.h"
      var $10=(($5)|0); //@line 1041 "./jsinferinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 1041 "./jsinferinlines.h"
      var $12=$nflags; //@line 1041 "./jsinferinlines.h"
      var $13=$11 & $12; //@line 1041 "./jsinferinlines.h"
      var $14=$nflags; //@line 1041 "./jsinferinlines.h"
      var $15=(($13)|0)==(($14)|0); //@line 1041 "./jsinferinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1041 "./jsinferinlines.h"
    case 2: 
      __label__ = 6; break; //@line 1042 "./jsinferinlines.h"
    case 3: 
      var $18=$nflags; //@line 1044 "./jsinferinlines.h"
      var $19=(($5)|0); //@line 1044 "./jsinferinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 1044 "./jsinferinlines.h"
      var $21=$20 | $18; //@line 1044 "./jsinferinlines.h"
      HEAP32[(($19)>>2)]=$21; //@line 1044 "./jsinferinlines.h"
      var $22=(($5+8)|0); //@line 1047 "./jsinferinlines.h"
      var $23=HEAP32[(($22)>>2)]; //@line 1047 "./jsinferinlines.h"
      $constraint=$23; //@line 1047 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1048 "./jsinferinlines.h"
    case 4: 
      var $25=$constraint; //@line 1048 "./jsinferinlines.h"
      var $26=(($25)|0)!=0; //@line 1048 "./jsinferinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1048 "./jsinferinlines.h"
    case 5: 
      var $28=$constraint; //@line 1049 "./jsinferinlines.h"
      var $29=$28; //@line 1049 "./jsinferinlines.h"
      var $30=HEAP32[(($29)>>2)]; //@line 1049 "./jsinferinlines.h"
      var $31=(($30+4)|0); //@line 1049 "./jsinferinlines.h"
      var $32=HEAP32[(($31)>>2)]; //@line 1049 "./jsinferinlines.h"
      var $33=$2; //@line 1049 "./jsinferinlines.h"
      FUNCTION_TABLE[$32]($28, $33, $5); //@line 1049 "./jsinferinlines.h"
      var $34=$constraint; //@line 1050 "./jsinferinlines.h"
      var $35=(($34+4)|0); //@line 1050 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 1050 "./jsinferinlines.h"
      $constraint=$36; //@line 1050 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1051 "./jsinferinlines.h"
    case 6: 
      ;
      return; //@line 1052 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10ArenaArrayIPNS_5types8PropertyEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=((($7<<2))|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayIPNS_5types8PropertyEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2jsL7PodZeroIPNS_5types8PropertyEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js5types22AutoEnterTypeInferenceC2EP9JSContextb($this, $cx, $compiling) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  var $4=(($compiling)&1);
  $3=$4;
  var $5=$1;
  var $6=(($5)|0); //@line 212 "./jsinferinlines.h"
  var $7=$2; //@line 212 "./jsinferinlines.h"
  HEAP32[(($6)>>2)]=$7; //@line 212 "./jsinferinlines.h"
  var $8=(($5+4)|0); //@line 212 "./jsinferinlines.h"
  var $9=$2; //@line 212 "./jsinferinlines.h"
  var $10=(($9+56)|0); //@line 212 "./jsinferinlines.h"
  var $11=HEAP32[(($10)>>2)]; //@line 212 "./jsinferinlines.h"
  var $12=(($11+372)|0); //@line 212 "./jsinferinlines.h"
  var $13=HEAP8[($12)]; //@line 212 "./jsinferinlines.h"
  var $14=(($13) & 1); //@line 212 "./jsinferinlines.h"
  var $15=(($14)&1); //@line 212 "./jsinferinlines.h"
  HEAP8[($8)]=$15; //@line 212 "./jsinferinlines.h"
  var $16=(($5+5)|0); //@line 212 "./jsinferinlines.h"
  var $17=$2; //@line 212 "./jsinferinlines.h"
  var $18=(($17+56)|0); //@line 212 "./jsinferinlines.h"
  var $19=HEAP32[(($18)>>2)]; //@line 212 "./jsinferinlines.h"
  var $20=(($19+373)|0); //@line 212 "./jsinferinlines.h"
  var $21=HEAP8[($20)]; //@line 212 "./jsinferinlines.h"
  var $22=(($21) & 1); //@line 212 "./jsinferinlines.h"
  var $23=(($22)&1); //@line 212 "./jsinferinlines.h"
  HEAP8[($16)]=$23; //@line 212 "./jsinferinlines.h"
  var $24=$2; //@line 214 "./jsinferinlines.h"
  var $25=(($24+56)|0); //@line 214 "./jsinferinlines.h"
  var $26=HEAP32[(($25)>>2)]; //@line 214 "./jsinferinlines.h"
  var $27=(($26+372)|0); //@line 214 "./jsinferinlines.h"
  HEAP8[($27)]=1; //@line 214 "./jsinferinlines.h"
  var $28=$2; //@line 215 "./jsinferinlines.h"
  var $29=(($28+56)|0); //@line 215 "./jsinferinlines.h"
  var $30=HEAP32[(($29)>>2)]; //@line 215 "./jsinferinlines.h"
  var $31=(($30+373)|0); //@line 215 "./jsinferinlines.h"
  HEAP8[($31)]=1; //@line 215 "./jsinferinlines.h"
  ;
  return; //@line 216 "./jsinferinlines.h"
}


function _JSVAL_IS_NUMBER_IMPL393($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js5typesL16HashSetInsertTryIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $capacity;
      var $insertpos;
      var $converting;
      var $newCapacity;
      var $newValues;
      var $i;
      var $pos;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 801 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 801 "./jsinferinlines.h"
      var $8=__ZN2js5typesL15HashSetCapacityEj385($7); //@line 801 "./jsinferinlines.h"
      $capacity=$8; //@line 801 "./jsinferinlines.h"
      var $9=$5; //@line 802 "./jsinferinlines.h"
      var $10=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_386($9); //@line 802 "./jsinferinlines.h"
      var $11=$capacity; //@line 802 "./jsinferinlines.h"
      var $12=(($11-1)|0); //@line 802 "./jsinferinlines.h"
      var $13=$10 & $12; //@line 802 "./jsinferinlines.h"
      $insertpos=$13; //@line 802 "./jsinferinlines.h"
      var $14=$4; //@line 805 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 805 "./jsinferinlines.h"
      var $16=(($15)|0)==8; //@line 805 "./jsinferinlines.h"
      var $17=(($16)&1); //@line 805 "./jsinferinlines.h"
      $converting=$17; //@line 805 "./jsinferinlines.h"
      var $18=$converting; //@line 807 "./jsinferinlines.h"
      var $19=(($18) & 1); //@line 807 "./jsinferinlines.h"
      if ($19) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 807 "./jsinferinlines.h"
    case 2: 
      __label__ = 3; break; //@line 808 "./jsinferinlines.h"
    case 3: 
      var $22=$insertpos; //@line 808 "./jsinferinlines.h"
      var $23=$3; //@line 808 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 808 "./jsinferinlines.h"
      var $25=(($24+($22<<2))|0); //@line 808 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 808 "./jsinferinlines.h"
      var $27=(($26)|0)!=0; //@line 808 "./jsinferinlines.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 808 "./jsinferinlines.h"
    case 4: 
      var $29=$insertpos; //@line 809 "./jsinferinlines.h"
      var $30=$3; //@line 809 "./jsinferinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 809 "./jsinferinlines.h"
      var $32=(($31+($29<<2))|0); //@line 809 "./jsinferinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 809 "./jsinferinlines.h"
      var $34=__ZN2js5types8Property6getKeyEPS1_($33); //@line 809 "./jsinferinlines.h"
      var $35=$5; //@line 809 "./jsinferinlines.h"
      var $36=(($34)|0)==(($35)|0); //@line 809 "./jsinferinlines.h"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 809 "./jsinferinlines.h"
    case 5: 
      var $38=$insertpos; //@line 810 "./jsinferinlines.h"
      var $39=$3; //@line 810 "./jsinferinlines.h"
      var $40=HEAP32[(($39)>>2)]; //@line 810 "./jsinferinlines.h"
      var $41=(($40+($38<<2))|0); //@line 810 "./jsinferinlines.h"
      $1=$41; //@line 810 "./jsinferinlines.h"
      __label__ = 25; break; //@line 810 "./jsinferinlines.h"
    case 6: 
      var $43=$insertpos; //@line 811 "./jsinferinlines.h"
      var $44=(($43+1)|0); //@line 811 "./jsinferinlines.h"
      var $45=$capacity; //@line 811 "./jsinferinlines.h"
      var $46=(($45-1)|0); //@line 811 "./jsinferinlines.h"
      var $47=$44 & $46; //@line 811 "./jsinferinlines.h"
      $insertpos=$47; //@line 811 "./jsinferinlines.h"
      __label__ = 3; break; //@line 812 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 813 "./jsinferinlines.h"
    case 8: 
      var $50=$4; //@line 815 "./jsinferinlines.h"
      var $51=HEAP32[(($50)>>2)]; //@line 815 "./jsinferinlines.h"
      var $52=(($51+1)|0); //@line 815 "./jsinferinlines.h"
      HEAP32[(($50)>>2)]=$52; //@line 815 "./jsinferinlines.h"
      var $53=$4; //@line 816 "./jsinferinlines.h"
      var $54=HEAP32[(($53)>>2)]; //@line 816 "./jsinferinlines.h"
      var $55=__ZN2js5typesL15HashSetCapacityEj385($54); //@line 816 "./jsinferinlines.h"
      $newCapacity=$55; //@line 816 "./jsinferinlines.h"
      var $56=$newCapacity; //@line 818 "./jsinferinlines.h"
      var $57=$capacity; //@line 818 "./jsinferinlines.h"
      var $58=(($56)|0)==(($57)|0); //@line 818 "./jsinferinlines.h"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 818 "./jsinferinlines.h"
    case 9: 
      var $60=$insertpos; //@line 820 "./jsinferinlines.h"
      var $61=$3; //@line 820 "./jsinferinlines.h"
      var $62=HEAP32[(($61)>>2)]; //@line 820 "./jsinferinlines.h"
      var $63=(($62+($60<<2))|0); //@line 820 "./jsinferinlines.h"
      $1=$63; //@line 820 "./jsinferinlines.h"
      __label__ = 25; break; //@line 820 "./jsinferinlines.h"
    case 10: 
      var $65=$2; //@line 823 "./jsinferinlines.h"
      var $66=(($65+344)|0); //@line 823 "./jsinferinlines.h"
      var $67=$newCapacity; //@line 823 "./jsinferinlines.h"
      var $68=__ZN2js10ArenaArrayIPNS_5types8PropertyEEEPT_R11JSArenaPoolj($66, $67); //@line 823 "./jsinferinlines.h"
      $newValues=$68; //@line 823 "./jsinferinlines.h"
      var $69=$newValues; //@line 824 "./jsinferinlines.h"
      var $70=(($69)|0)!=0; //@line 824 "./jsinferinlines.h"
      if ($70) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 824 "./jsinferinlines.h"
    case 11: 
      $1=0; //@line 825 "./jsinferinlines.h"
      __label__ = 25; break; //@line 825 "./jsinferinlines.h"
    case 12: 
      var $73=$newValues; //@line 826 "./jsinferinlines.h"
      var $74=$newCapacity; //@line 826 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types8PropertyEEEvPT_j($73, $74); //@line 826 "./jsinferinlines.h"
      $i=0; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 13: 
      var $76=$i; //@line 828 "./jsinferinlines.h"
      var $77=$capacity; //@line 828 "./jsinferinlines.h"
      var $78=(($76)>>>0) < (($77)>>>0); //@line 828 "./jsinferinlines.h"
      if ($78) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 828 "./jsinferinlines.h"
    case 14: 
      var $80=$i; //@line 829 "./jsinferinlines.h"
      var $81=$3; //@line 829 "./jsinferinlines.h"
      var $82=HEAP32[(($81)>>2)]; //@line 829 "./jsinferinlines.h"
      var $83=(($82+($80<<2))|0); //@line 829 "./jsinferinlines.h"
      var $84=HEAP32[(($83)>>2)]; //@line 829 "./jsinferinlines.h"
      var $85=(($84)|0)!=0; //@line 829 "./jsinferinlines.h"
      if ($85) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 829 "./jsinferinlines.h"
    case 15: 
      var $87=$i; //@line 830 "./jsinferinlines.h"
      var $88=$3; //@line 830 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 830 "./jsinferinlines.h"
      var $90=(($89+($87<<2))|0); //@line 830 "./jsinferinlines.h"
      var $91=HEAP32[(($90)>>2)]; //@line 830 "./jsinferinlines.h"
      var $92=__ZN2js5types8Property6getKeyEPS1_($91); //@line 830 "./jsinferinlines.h"
      var $93=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_386($92); //@line 830 "./jsinferinlines.h"
      var $94=$newCapacity; //@line 830 "./jsinferinlines.h"
      var $95=(($94-1)|0); //@line 830 "./jsinferinlines.h"
      var $96=$93 & $95; //@line 830 "./jsinferinlines.h"
      $pos=$96; //@line 830 "./jsinferinlines.h"
      __label__ = 16; break; //@line 831 "./jsinferinlines.h"
    case 16: 
      var $98=$pos; //@line 831 "./jsinferinlines.h"
      var $99=$newValues; //@line 831 "./jsinferinlines.h"
      var $100=(($99+($98<<2))|0); //@line 831 "./jsinferinlines.h"
      var $101=HEAP32[(($100)>>2)]; //@line 831 "./jsinferinlines.h"
      var $102=(($101)|0)!=0; //@line 831 "./jsinferinlines.h"
      if ($102) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 831 "./jsinferinlines.h"
    case 17: 
      var $104=$pos; //@line 832 "./jsinferinlines.h"
      var $105=(($104+1)|0); //@line 832 "./jsinferinlines.h"
      var $106=$newCapacity; //@line 832 "./jsinferinlines.h"
      var $107=(($106-1)|0); //@line 832 "./jsinferinlines.h"
      var $108=$105 & $107; //@line 832 "./jsinferinlines.h"
      $pos=$108; //@line 832 "./jsinferinlines.h"
      __label__ = 16; break; //@line 832 "./jsinferinlines.h"
    case 18: 
      var $110=$i; //@line 833 "./jsinferinlines.h"
      var $111=$3; //@line 833 "./jsinferinlines.h"
      var $112=HEAP32[(($111)>>2)]; //@line 833 "./jsinferinlines.h"
      var $113=(($112+($110<<2))|0); //@line 833 "./jsinferinlines.h"
      var $114=HEAP32[(($113)>>2)]; //@line 833 "./jsinferinlines.h"
      var $115=$pos; //@line 833 "./jsinferinlines.h"
      var $116=$newValues; //@line 833 "./jsinferinlines.h"
      var $117=(($116+($115<<2))|0); //@line 833 "./jsinferinlines.h"
      HEAP32[(($117)>>2)]=$114; //@line 833 "./jsinferinlines.h"
      __label__ = 19; break; //@line 834 "./jsinferinlines.h"
    case 19: 
      __label__ = 20; break; //@line 835 "./jsinferinlines.h"
    case 20: 
      var $120=$i; //@line 828 "./jsinferinlines.h"
      var $121=(($120+1)|0); //@line 828 "./jsinferinlines.h"
      $i=$121; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 21: 
      var $123=$newValues; //@line 837 "./jsinferinlines.h"
      var $124=$3; //@line 837 "./jsinferinlines.h"
      HEAP32[(($124)>>2)]=$123; //@line 837 "./jsinferinlines.h"
      var $125=$5; //@line 839 "./jsinferinlines.h"
      var $126=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_386($125); //@line 839 "./jsinferinlines.h"
      var $127=$newCapacity; //@line 839 "./jsinferinlines.h"
      var $128=(($127-1)|0); //@line 839 "./jsinferinlines.h"
      var $129=$126 & $128; //@line 839 "./jsinferinlines.h"
      $insertpos=$129; //@line 839 "./jsinferinlines.h"
      __label__ = 22; break; //@line 840 "./jsinferinlines.h"
    case 22: 
      var $131=$insertpos; //@line 840 "./jsinferinlines.h"
      var $132=$3; //@line 840 "./jsinferinlines.h"
      var $133=HEAP32[(($132)>>2)]; //@line 840 "./jsinferinlines.h"
      var $134=(($133+($131<<2))|0); //@line 840 "./jsinferinlines.h"
      var $135=HEAP32[(($134)>>2)]; //@line 840 "./jsinferinlines.h"
      var $136=(($135)|0)!=0; //@line 840 "./jsinferinlines.h"
      if ($136) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 840 "./jsinferinlines.h"
    case 23: 
      var $138=$insertpos; //@line 841 "./jsinferinlines.h"
      var $139=(($138+1)|0); //@line 841 "./jsinferinlines.h"
      var $140=$newCapacity; //@line 841 "./jsinferinlines.h"
      var $141=(($140-1)|0); //@line 841 "./jsinferinlines.h"
      var $142=$139 & $141; //@line 841 "./jsinferinlines.h"
      $insertpos=$142; //@line 841 "./jsinferinlines.h"
      __label__ = 22; break; //@line 841 "./jsinferinlines.h"
    case 24: 
      var $144=$insertpos; //@line 842 "./jsinferinlines.h"
      var $145=$3; //@line 842 "./jsinferinlines.h"
      var $146=HEAP32[(($145)>>2)]; //@line 842 "./jsinferinlines.h"
      var $147=(($146+($144<<2))|0); //@line 842 "./jsinferinlines.h"
      $1=$147; //@line 842 "./jsinferinlines.h"
      __label__ = 25; break; //@line 842 "./jsinferinlines.h"
    case 25: 
      var $149=$1; //@line 843 "./jsinferinlines.h"
      ;
      return $149; //@line 843 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL16HashSetInsertTryIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_["X"]=1;

function __ZNK2js12ContextStack13currentScriptEPPh($this, $ppc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $regs;
      var $fp;
      var $script;
      $2=$this;
      $3=$ppc;
      var $4=$2;
      var $5=$3; //@line 615 "./vm/Stack-inl.h"
      var $6=(($5)|0)!=0; //@line 615 "./vm/Stack-inl.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 615 "./vm/Stack-inl.h"
    case 2: 
      var $8=$3; //@line 616 "./vm/Stack-inl.h"
      HEAP32[(($8)>>2)]=0; //@line 616 "./vm/Stack-inl.h"
      __label__ = 3; break; //@line 616 "./vm/Stack-inl.h"
    case 3: 
      var $10=__ZNK2js12ContextStack9maybeRegsEv($4); //@line 618 "./vm/Stack-inl.h"
      $regs=$10; //@line 618 "./vm/Stack-inl.h"
      var $11=$regs; //@line 619 "./vm/Stack-inl.h"
      var $12=(($11)|0)!=0; //@line 619 "./vm/Stack-inl.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 619 "./vm/Stack-inl.h"
    case 4: 
      var $14=$regs; //@line 619 "./vm/Stack-inl.h"
      var $15=__ZNK2js9FrameRegs2fpEv($14); //@line 619 "./vm/Stack-inl.h"
      var $18 = $15;__label__ = 6; break; //@line 619 "./vm/Stack-inl.h"
    case 5: 
      var $18 = 0;__label__ = 6; break; //@line 619 "./vm/Stack-inl.h"
    case 6: 
      var $18; //@line 619 "./vm/Stack-inl.h"
      $fp=$18; //@line 619 "./vm/Stack-inl.h"
      __label__ = 7; break; //@line 620 "./vm/Stack-inl.h"
    case 7: 
      var $20=$fp; //@line 620 "./vm/Stack-inl.h"
      var $21=(($20)|0)!=0; //@line 620 "./vm/Stack-inl.h"
      if ($21) { __label__ = 8; break; } else { var $26 = 0;__label__ = 9; break; } //@line 620 "./vm/Stack-inl.h"
    case 8: 
      var $23=$fp; //@line 620 "./vm/Stack-inl.h"
      var $24=__ZNK2js10StackFrame12isDummyFrameEv($23); //@line 620 "./vm/Stack-inl.h"
      var $26 = $24;__label__ = 9; break;
    case 9: 
      var $26;
      if ($26) { __label__ = 10; break; } else { __label__ = 11; break; }
    case 10: 
      var $28=$fp; //@line 621 "./vm/Stack-inl.h"
      var $29=__ZNK2js10StackFrame4prevEv($28); //@line 621 "./vm/Stack-inl.h"
      $fp=$29; //@line 621 "./vm/Stack-inl.h"
      __label__ = 7; break; //@line 621 "./vm/Stack-inl.h"
    case 11: 
      var $31=$fp; //@line 622 "./vm/Stack-inl.h"
      var $32=(($31)|0)!=0; //@line 622 "./vm/Stack-inl.h"
      if ($32) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 622 "./vm/Stack-inl.h"
    case 12: 
      $1=0; //@line 623 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 623 "./vm/Stack-inl.h"
    case 13: 
      var $35=$fp; //@line 639 "./vm/Stack-inl.h"
      var $36=__ZNK2js10StackFrame6scriptEv($35); //@line 639 "./vm/Stack-inl.h"
      $script=$36; //@line 639 "./vm/Stack-inl.h"
      var $37=$script; //@line 640 "./vm/Stack-inl.h"
      var $38=$37; //@line 640 "./vm/Stack-inl.h"
      var $39=__ZNK2js2gc4Cell11compartmentEv($38); //@line 640 "./vm/Stack-inl.h"
      var $40=(($4+8)|0); //@line 640 "./vm/Stack-inl.h"
      var $41=HEAP32[(($40)>>2)]; //@line 640 "./vm/Stack-inl.h"
      var $42=(($41+56)|0); //@line 640 "./vm/Stack-inl.h"
      var $43=HEAP32[(($42)>>2)]; //@line 640 "./vm/Stack-inl.h"
      var $44=(($39)|0)!=(($43)|0); //@line 640 "./vm/Stack-inl.h"
      if ($44) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 640 "./vm/Stack-inl.h"
    case 14: 
      $1=0; //@line 641 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 641 "./vm/Stack-inl.h"
    case 15: 
      var $47=$3; //@line 643 "./vm/Stack-inl.h"
      var $48=(($47)|0)!=0; //@line 643 "./vm/Stack-inl.h"
      if ($48) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 643 "./vm/Stack-inl.h"
    case 16: 
      var $50=$fp; //@line 644 "./vm/Stack-inl.h"
      var $51=__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($50, $4, 0, 0); //@line 644 "./vm/Stack-inl.h"
      var $52=$3; //@line 644 "./vm/Stack-inl.h"
      HEAP32[(($52)>>2)]=$51; //@line 644 "./vm/Stack-inl.h"
      __label__ = 17; break; //@line 644 "./vm/Stack-inl.h"
    case 17: 
      var $54=$script; //@line 645 "./vm/Stack-inl.h"
      $1=$54; //@line 645 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 645 "./vm/Stack-inl.h"
    case 18: 
      var $56=$1; //@line 646 "./vm/Stack-inl.h"
      ;
      return $56; //@line 646 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js12ContextStack13currentScriptEPPh["X"]=1;

function __ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey($cx, $script, $pc, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $offset;
      var $key=__stackBase__;
      var $p=__stackBase__+8;
      var $6=__stackBase__+12;
      $2=$cx;
      $3=$script;
      $4=$pc;
      $5=$kind;
      var $7=$4; //@line 541 "./jsinferinlines.h"
      var $8=$3; //@line 541 "./jsinferinlines.h"
      var $9=(($8)|0); //@line 541 "./jsinferinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 541 "./jsinferinlines.h"
      var $11=$7; //@line 541 "./jsinferinlines.h"
      var $12=$10; //@line 541 "./jsinferinlines.h"
      var $13=(($11-$12)|0); //@line 541 "./jsinferinlines.h"
      $offset=$13; //@line 541 "./jsinferinlines.h"
      var $14=$2; //@line 543 "./jsinferinlines.h"
      var $15=__ZN9JSContext20typeInferenceEnabledEv($14); //@line 543 "./jsinferinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 543 "./jsinferinlines.h"
    case 2: 
      var $17=$3; //@line 543 "./jsinferinlines.h"
      var $18=__ZNK8JSScript9hasGlobalEv($17); //@line 543 "./jsinferinlines.h"
      if ($18) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 543 "./jsinferinlines.h"
    case 3: 
      var $20=$offset; //@line 543 "./jsinferinlines.h"
      var $21=(($20)>>>0) >= 8388608; //@line 543 "./jsinferinlines.h"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 543 "./jsinferinlines.h"
    case 4: 
      var $23=$2; //@line 544 "./jsinferinlines.h"
      var $24=$5; //@line 544 "./jsinferinlines.h"
      var $25=__ZN2js5types16GetTypeNewObjectEP9JSContext10JSProtoKey($23, $24); //@line 544 "./jsinferinlines.h"
      $1=$25; //@line 544 "./jsinferinlines.h"
      __label__ = 10; break; //@line 544 "./jsinferinlines.h"
    case 5: 
      __ZN2js5types17AllocationSiteKeyC1Ev($key); //@line 546 "./jsinferinlines.h"
      var $27=$3; //@line 547 "./jsinferinlines.h"
      var $28=(($key)|0); //@line 547 "./jsinferinlines.h"
      HEAP32[(($28)>>2)]=$27; //@line 547 "./jsinferinlines.h"
      var $29=$offset; //@line 548 "./jsinferinlines.h"
      var $30=$29 & 16777215; //@line 548 "./jsinferinlines.h"
      var $31=$key; //@line 548 "./jsinferinlines.h"
      var $32=(($31+4)|0); //@line 548 "./jsinferinlines.h"
      var $33=$32; //@line 548 "./jsinferinlines.h"
      var $34=$30 & 16777215; //@line 548 "./jsinferinlines.h"
      var $35=HEAP32[(($33)>>2)]; //@line 548 "./jsinferinlines.h"
      var $36=$35 & -16777216; //@line 548 "./jsinferinlines.h"
      var $37=$36 | $34; //@line 548 "./jsinferinlines.h"
      HEAP32[(($33)>>2)]=$37; //@line 548 "./jsinferinlines.h"
      var $38=$5; //@line 549 "./jsinferinlines.h"
      var $39=$38 & 255; //@line 549 "./jsinferinlines.h"
      var $40=$key; //@line 549 "./jsinferinlines.h"
      var $41=(($40+4)|0); //@line 549 "./jsinferinlines.h"
      var $42=$41; //@line 549 "./jsinferinlines.h"
      var $43=$39 & 255; //@line 549 "./jsinferinlines.h"
      var $44=$43 << 24; //@line 549 "./jsinferinlines.h"
      var $45=HEAP32[(($42)>>2)]; //@line 549 "./jsinferinlines.h"
      var $46=$45 & 16777215; //@line 549 "./jsinferinlines.h"
      var $47=$46 | $44; //@line 549 "./jsinferinlines.h"
      HEAP32[(($42)>>2)]=$47; //@line 549 "./jsinferinlines.h"
      var $48=$2; //@line 551 "./jsinferinlines.h"
      var $49=(($48+56)|0); //@line 551 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 551 "./jsinferinlines.h"
      var $51=(($50+376)|0); //@line 551 "./jsinferinlines.h"
      var $52=(($51+28)|0); //@line 551 "./jsinferinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 551 "./jsinferinlines.h"
      var $54=(($53)|0)!=0; //@line 551 "./jsinferinlines.h"
      if ($54) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 551 "./jsinferinlines.h"
    case 6: 
      var $56=$2; //@line 552 "./jsinferinlines.h"
      var $57=(($56+56)|0); //@line 552 "./jsinferinlines.h"
      var $58=HEAP32[(($57)>>2)]; //@line 552 "./jsinferinlines.h"
      var $59=(($58+376)|0); //@line 552 "./jsinferinlines.h"
      var $60=$2; //@line 552 "./jsinferinlines.h"
      var $61=__ZN2js5types15TypeCompartment27newAllocationSiteTypeObjectEP9JSContextRKNS0_17AllocationSiteKeyE($59, $60, $key); //@line 552 "./jsinferinlines.h"
      $1=$61; //@line 552 "./jsinferinlines.h"
      __label__ = 10; break; //@line 552 "./jsinferinlines.h"
    case 7: 
      var $63=$2; //@line 554 "./jsinferinlines.h"
      var $64=(($63+56)|0); //@line 554 "./jsinferinlines.h"
      var $65=HEAP32[(($64)>>2)]; //@line 554 "./jsinferinlines.h"
      var $66=(($65+376)|0); //@line 554 "./jsinferinlines.h"
      var $67=(($66+28)|0); //@line 554 "./jsinferinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 554 "./jsinferinlines.h"
      __ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE6lookupERKS2_($p, $68, $key); //@line 554 "./jsinferinlines.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($6, $p); //@line 556 "./jsinferinlines.h"
      var $69={ f0: HEAP32[(($6)>>2)], f1: HEAP32[(($6+4)>>2)] }; //@line 556 "./jsinferinlines.h"
      var $70=$69.f0; //@line 556 "./jsinferinlines.h"
      var $71=(($70)|0)!=0; //@line 556 "./jsinferinlines.h"
      if ($71) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 556 "./jsinferinlines.h"
    case 8: 
      var $73=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($p); //@line 557 "./jsinferinlines.h"
      var $74=(($73+8)|0); //@line 557 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 557 "./jsinferinlines.h"
      $1=$75; //@line 557 "./jsinferinlines.h"
      __label__ = 10; break; //@line 557 "./jsinferinlines.h"
    case 9: 
      var $77=$2; //@line 558 "./jsinferinlines.h"
      var $78=(($77+56)|0); //@line 558 "./jsinferinlines.h"
      var $79=HEAP32[(($78)>>2)]; //@line 558 "./jsinferinlines.h"
      var $80=(($79+376)|0); //@line 558 "./jsinferinlines.h"
      var $81=$2; //@line 558 "./jsinferinlines.h"
      var $82=__ZN2js5types15TypeCompartment27newAllocationSiteTypeObjectEP9JSContextRKNS0_17AllocationSiteKeyE($80, $81, $key); //@line 558 "./jsinferinlines.h"
      $1=$82; //@line 558 "./jsinferinlines.h"
      __label__ = 10; break; //@line 558 "./jsinferinlines.h"
    case 10: 
      var $84=$1; //@line 559 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return $84; //@line 559 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey["X"]=1;

function __ZN2js5types16GetTypeNewObjectEP9JSContext10JSProtoKey($cx, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto=__stackBase__;
      $2=$cx;
      $3=$key;
      var $4=$2; //@line 281 "./jsinferinlines.h"
      var $5=$3; //@line 281 "./jsinferinlines.h"
      var $6=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($4, 0, $5, $proto, 0); //@line 281 "./jsinferinlines.h"
      var $7=(($6)|0)!=0; //@line 281 "./jsinferinlines.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 281 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 282 "./jsinferinlines.h"
      __label__ = 4; break; //@line 282 "./jsinferinlines.h"
    case 3: 
      var $10=HEAP32[(($proto)>>2)]; //@line 283 "./jsinferinlines.h"
      var $11=$2; //@line 283 "./jsinferinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 283 "./jsinferinlines.h"
      $1=$12; //@line 283 "./jsinferinlines.h"
      __label__ = 4; break; //@line 283 "./jsinferinlines.h"
    case 4: 
      var $14=$1; //@line 284 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return $14; //@line 284 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSScript9hasGlobalEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $obj;
      $1=$this;
      var $2=$1;
      var $3=(($2+100)|0); //@line 181 "./jsscriptinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 181 "./jsscriptinlines.h"
      var $5=(($4+8)|0); //@line 181 "./jsscriptinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 181 "./jsscriptinlines.h"
      $obj=$6; //@line 181 "./jsscriptinlines.h"
      var $7=$obj; //@line 182 "./jsscriptinlines.h"
      var $8=(($7)|0)!=0; //@line 182 "./jsscriptinlines.h"
      if ($8) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 182 "./jsscriptinlines.h"
    case 2: 
      var $10=$obj; //@line 182 "./jsscriptinlines.h"
      var $11=__ZNK2js12GlobalObject9isClearedEv($10); //@line 182 "./jsscriptinlines.h"
      var $12=$11 ^ 1; //@line 182 "./jsscriptinlines.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      ;
      return $14; //@line 183 "./jsscriptinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types17AllocationSiteKeyC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js5types17AllocationSiteKeyC2Ev($2); //@line 524 "./jsinferinlines.h"
  ;
  return; //@line 524 "./jsinferinlines.h"
}


function __ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 68, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS7_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($l) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      var $2=__stackBase__;
      $1=$l;
      var $3=$1; //@line 327 "./jshashtable.h"
      var $4=$2; //@line 327 "./jshashtable.h"
      var $5=$3; //@line 327 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 327 "./jshashtable.h"
      var $6=__ZN2js5types17AllocationSiteKey4hashES1_($2); //@line 327 "./jshashtable.h"
      $keyHash=$6; //@line 327 "./jshashtable.h"
      var $7=$keyHash; //@line 330 "./jshashtable.h"
      var $8=(($7*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$8; //@line 330 "./jshashtable.h"
      var $9=$keyHash; //@line 333 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($9); //@line 333 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $12=$keyHash; //@line 334 "./jshashtable.h"
      var $13=(($12-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$13; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $15=$keyHash; //@line 335 "./jshashtable.h"
      var $16=$15 & -2; //@line 335 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $16; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS7_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<4))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS7_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<4))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS7_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS7_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js5types17AllocationSiteKey5matchERKS1_S3_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js5types17AllocationSiteKey5matchERKS1_S3_($a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$a;
      $2=$b;
      var $3=$1; //@line 533 "./jsinferinlines.h"
      var $4=(($3)|0); //@line 533 "./jsinferinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 533 "./jsinferinlines.h"
      var $6=$2; //@line 533 "./jsinferinlines.h"
      var $7=(($6)|0); //@line 533 "./jsinferinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 533 "./jsinferinlines.h"
      var $9=(($5)|0)==(($8)|0); //@line 533 "./jsinferinlines.h"
      if ($9) { __label__ = 2; break; } else { var $41 = 0;__label__ = 4; break; } //@line 533 "./jsinferinlines.h"
    case 2: 
      var $11=$1; //@line 533 "./jsinferinlines.h"
      var $12=$11; //@line 533 "./jsinferinlines.h"
      var $13=(($12+4)|0); //@line 533 "./jsinferinlines.h"
      var $14=$13; //@line 533 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 533 "./jsinferinlines.h"
      var $16=$15 & 16777215; //@line 533 "./jsinferinlines.h"
      var $17=$2; //@line 533 "./jsinferinlines.h"
      var $18=$17; //@line 533 "./jsinferinlines.h"
      var $19=(($18+4)|0); //@line 533 "./jsinferinlines.h"
      var $20=$19; //@line 533 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 533 "./jsinferinlines.h"
      var $22=$21 & 16777215; //@line 533 "./jsinferinlines.h"
      var $23=(($16)|0)==(($22)|0); //@line 533 "./jsinferinlines.h"
      if ($23) { __label__ = 3; break; } else { var $41 = 0;__label__ = 4; break; } //@line 533 "./jsinferinlines.h"
    case 3: 
      var $25=$1; //@line 533 "./jsinferinlines.h"
      var $26=$25; //@line 533 "./jsinferinlines.h"
      var $27=(($26+4)|0); //@line 533 "./jsinferinlines.h"
      var $28=$27; //@line 533 "./jsinferinlines.h"
      var $29=HEAPU32[(($28)>>2)]; //@line 533 "./jsinferinlines.h"
      var $30=$29 >>> 24; //@line 533 "./jsinferinlines.h"
      var $31=$30 & 255; //@line 533 "./jsinferinlines.h"
      var $32=$2; //@line 533 "./jsinferinlines.h"
      var $33=$32; //@line 533 "./jsinferinlines.h"
      var $34=(($33+4)|0); //@line 533 "./jsinferinlines.h"
      var $35=$34; //@line 533 "./jsinferinlines.h"
      var $36=HEAPU32[(($35)>>2)]; //@line 533 "./jsinferinlines.h"
      var $37=$36 >>> 24; //@line 533 "./jsinferinlines.h"
      var $38=$37 & 255; //@line 533 "./jsinferinlines.h"
      var $39=(($31)|0)==(($38)|0); //@line 533 "./jsinferinlines.h"
      var $41 = $39;__label__ = 4; break;
    case 4: 
      var $41;
      ;
      return $41; //@line 534 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js5types17AllocationSiteKey4hashES1_($key) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $key; $key = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($key)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($key+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($key)|0); //@line 529 "./jsinferinlines.h"
  var $2=HEAP32[(($1)>>2)]; //@line 529 "./jsinferinlines.h"
  var $3=(($2)|0); //@line 529 "./jsinferinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 529 "./jsinferinlines.h"
  var $5=$key; //@line 529 "./jsinferinlines.h"
  var $6=(($5+4)|0); //@line 529 "./jsinferinlines.h"
  var $7=$6; //@line 529 "./jsinferinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 529 "./jsinferinlines.h"
  var $9=$8 & 16777215; //@line 529 "./jsinferinlines.h"
  var $10=(($4+$9)|0); //@line 529 "./jsinferinlines.h"
  var $11=$10; //@line 529 "./jsinferinlines.h"
  var $12=$key; //@line 529 "./jsinferinlines.h"
  var $13=(($12+4)|0); //@line 529 "./jsinferinlines.h"
  var $14=$13; //@line 529 "./jsinferinlines.h"
  var $15=HEAPU32[(($14)>>2)]; //@line 529 "./jsinferinlines.h"
  var $16=$15 >>> 24; //@line 529 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 529 "./jsinferinlines.h"
  var $18=$11 ^ $17; //@line 529 "./jsinferinlines.h"
  STACKTOP = __stackBase__;
  return $18; //@line 529 "./jsinferinlines.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js5types17AllocationSiteKeyC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_($2); //@line 524 "./jsinferinlines.h"
  ;
  return; //@line 524 "./jsinferinlines.h"
}


function __ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; HEAP8[($3+2)]=0; HEAP8[($3+3)]=0; HEAP8[($3+4)]=0; HEAP8[($3+5)]=0; HEAP8[($3+6)]=0; HEAP8[($3+7)]=0; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZNK2js12GlobalObject9isClearedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 225 "./vm/GlobalObject.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 117); //@line 225 "./vm/GlobalObject.h"
  var $5=__ZNK2JS5Value7toInt32Ev($4); //@line 225 "./vm/GlobalObject.h"
  var $6=$5 & 1; //@line 225 "./vm/GlobalObject.h"
  var $7=(($6)|0)!=0; //@line 225 "./vm/GlobalObject.h"
  ;
  return $7; //@line 225 "./vm/GlobalObject.h"
}


function __ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE($cx, $mode, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $length=__stackBase__;
      var $argv;
      var $callable;
      var $newlen;
      var $newarr;
      var $newtype;
      var $start;
      var $end;
      var $step;
      var $hole=__stackBase__+4;
      var $thisv=__stackBase__+8;
      var $ok;
      var $cond;
      var $objv=__stackBase__+16;
      var $tvr=__stackBase__+24;
      var $args=__stackBase__+48;
      var $i;
      var $hole1=__stackBase__+72;
      var $6;
      var $7=__stackBase__+76;
      var $argi;
      var $8=__stackBase__+84;
      var $rval;
      $2=$cx;
      $3=$mode;
      $4=$argc;
      $5=$vp;
      var $9=$2; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$5; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10+8)|0); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($9, $11); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$12; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$obj; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13)|0)!=0; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $17=$2; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$obj; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($17, $18, $length); //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=(($19)|0)!=0; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $23=$4; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)|0)==0; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $26=$2; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$5; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __Z19js_ReportMissingArgP9JSContextRKN2JS5ValueEj($26, $27, 0); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $29=$5; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=(($29+16)|0); //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argv=$30; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$2; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=$argv; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=(($32)|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=__Z24js_ValueToCallableObjectP9JSContextPN2JS5ValueEj($31, $33, 65536); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $callable=$34; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$callable; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=(($35)|0)!=0; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      $1=0; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      $newtype=0; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=0; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newarr=0; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $start=0; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=HEAP32[(($length)>>2)]; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=$39; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $step=1; //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$3; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ((($40)|0) == 2) {
        __label__ = 10; break;
      }
      else if ((($40)|0) == 1) {
        __label__ = 11; break;
      }
      else if ((($40)|0) == 3 || (($40)|0) == 4) {
        __label__ = 28; break;
      }
      else if ((($40)|0) == 5) {
        __label__ = 36; break;
      }
      else if ((($40)|0) == 6) {
        __label__ = 37; break;
      }
      else if ((($40)|0) == 0) {
        __label__ = 38; break;
      }
      else {
      __label__ = 39; break;
      }
      
    case 10: 
      var $42=HEAP32[(($length)>>2)]; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=(($42-1)|0); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $start=$43; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=-1; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $step=-1; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $45=HEAP32[(($length)>>2)]; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)|0)==0; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $48=$4; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($48)|0)==1; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $51=$2; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      _JS_ReportErrorNumber($51, 2, 0, 218, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $53=$4; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($53)>>>0) >= 2; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($54) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $56=$5; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$argv; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=(($57+8)|0); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=$56; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=$58; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 27; break; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      __label__ = 17; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $63=$2; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$obj; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=$start; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=(($65)>>>0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$5; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($63, $64, $66, $hole, $67); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=(($68)|0)!=0; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($69) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      $1=0; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $72=$step; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $73=$start; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=(($73+$72)|0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $start=$74; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 20; break; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $76=HEAP32[(($hole)>>2)]; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=(($76)|0)!=0; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($77) { __label__ = 21; break; } else { var $83 = 0;__label__ = 22; break; } //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $79=$start; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=$end; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=(($79)|0)!=(($80)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83 = $81;__label__ = 22; break;
    case 22: 
      var $83;
      if ($83) { __label__ = 17; break; } else { __label__ = 23; break; }
    case 23: 
      var $85=HEAP32[(($hole)>>2)]; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $86=(($85)|0)!=0; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($86) { __label__ = 24; break; } else { __label__ = 26; break; } //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $88=$start; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=$end; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=(($88)|0)==(($89)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($90) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $92=$2; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      _JS_ReportErrorNumber($92, 2, 0, 218, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 39; break; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $96=$3; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97=(($96)|0)==3; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($97) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      var $99=HEAP32[(($length)>>2)]; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102 = $99;__label__ = 31; break; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $102 = 0;__label__ = 31; break; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $102; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=$102; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=$2; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=$newlen; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $105=__ZN2js22NewDenseAllocatedArrayEP9JSContextjP8JSObject($103, $104, 0); //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newarr=$105; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $106=$newarr; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=(($106)|0)!=0; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($107) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      $1=0; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $110=$2; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($110, 3); //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newtype=$111; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=$newtype; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $113=(($112)|0)!=0; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($113) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      $1=0; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $116=$newarr; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $117=$newtype; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($116, $117); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $118=$5; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=$newarr; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($118, $119); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 39; break; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $121=$5; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value10setBooleanEb($121, 0); //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 39; break; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $123=$5; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value10setBooleanEb($123, 1); //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 39; break; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $125=$5; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value12setUndefinedEv($125); //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 39; break; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      var $127=HEAP32[(($length)>>2)]; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=(($127)|0)==0; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($128) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      $1=1; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      var $131=$4; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $132=(($131)>>>0) > 1; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($132) { __label__ = 42; break; } else { __label__ = 45; break; } //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      var $134=$3; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $135=(($134)|0)==1; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($135) { __label__ = 45; break; } else { __label__ = 43; break; } //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $137=$3; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=(($137)|0)==2; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($138) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      var $140=$argv; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=(($140+8)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=$thisv; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $143=$141; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($142)>>2)]=HEAP32[(($143)>>2)];HEAP32[(($142+4)>>2)]=HEAP32[(($143+4)>>2)]; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 46; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      __ZN2JSL14UndefinedValueEv351($thisv); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 46; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      var $146=$3; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $147=(($146)|0)==1; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($147) { var $152 = 1;__label__ = 48; break; } else { __label__ = 47; break; } //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 47: 
      var $149=$3; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $150=(($149)|0)==2; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $152 = $150;__label__ = 48; break; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 48: 
      var $152;
      var $153=(($152)&1); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $154=(($153+3)|0); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $4=$154; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $ok=1; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $155=$obj; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject383($objv, $155); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $156=$2; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $156); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $157=$start; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$157; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 49; break; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 49: 
      var $159=$i; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $160=$end; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $161=(($159)|0)!=(($160)|0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($161) { __label__ = 50; break; } else { __label__ = 91; break; } //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 50: 
      var $163=$2; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $164=(($163+52)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $166=(($165+144280)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $167=(($166)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $169=(($168)|0)!=0; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($169) { __label__ = 51; break; } else { var $175 = 1;__label__ = 52; break; } //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 51: 
      var $171=$2; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $172=__Z26js_InvokeOperationCallbackP9JSContext($171); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $173=(($172)|0)!=0; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $175 = $173;__label__ = 52; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 52: 
      var $175;
      if ($175) { __label__ = 53; break; } else { var $185 = 0;__label__ = 54; break; } //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 53: 
      var $177=$2; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $178=$obj; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $179=$i; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $180=(($179)>>>0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $181=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $182=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($177, $178, $180, $hole1, $181); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $183=(($182)|0)!=0; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $185 = $183;__label__ = 54; break;
    case 54: 
      var $185;
      var $186=(($185)&1);
      $ok=$186;
      var $187=$ok; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $188=(($187)|0)!=0; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($188) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 55: 
      __label__ = 92; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 56: 
      var $191=HEAP32[(($hole1)>>2)]; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $192=(($191)|0)!=0; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($192) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 57: 
      __label__ = 90; break; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 58: 
      var $195=__ZNK2js15InvokeArgsGuard6pushedEv($args); //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($195) { __label__ = 61; break; } else { __label__ = 59; break; } //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 59: 
      var $197=$2; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $198=(($197+60)|0); //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $199=$2; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $200=$4; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $201=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($198, $199, $200, $args); //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($201) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 60: 
      $1=0; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=1;
      __label__ = 96; break; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 61: 
      var $204=$args; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZNK2js12CallReceiver18calleeHasBeenResetEv($204); //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $205=$args; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $206=__ZNK2js12CallReceiver7calleevEv($205); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $207=$callable; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject383($7, $207); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $208=$206; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $209=$7; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($208)>>2)]=HEAP32[(($209)>>2)];HEAP32[(($208+4)>>2)]=HEAP32[(($209+4)>>2)]; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $210=$args; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $211=__ZNK2js12CallReceiver5thisvEv($210); //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $212=$211; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $213=$thisv; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($212)>>2)]=HEAP32[(($213)>>2)];HEAP32[(($212+4)>>2)]=HEAP32[(($213+4)>>2)]; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argi=0; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $214=$3; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $215=(($214)|0)==1; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($215) { __label__ = 63; break; } else { __label__ = 62; break; } //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 62: 
      var $217=$3; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $218=(($217)|0)==2; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($218) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 63: 
      var $220=$args; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $221=$argi; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $222=(($221+1)|0); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argi=$222; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $223=__ZNK2js8CallArgsixEj($220, $221); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $224=$5; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $225=$223; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $226=$224; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($225)>>2)]=HEAP32[(($226)>>2)];HEAP32[(($225+4)>>2)]=HEAP32[(($226+4)>>2)]; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 64; break; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 64: 
      var $228=$args; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $229=$argi; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $230=(($229+1)|0); //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argi=$230; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $231=__ZNK2js8CallArgsixEj($228, $229); //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $232=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $233=$231; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $234=$232; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($233)>>2)]=HEAP32[(($234)>>2)];HEAP32[(($233+4)>>2)]=HEAP32[(($234+4)>>2)]; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $235=$args; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $236=$argi; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $237=(($236+1)|0); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $argi=$237; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $238=__ZNK2js8CallArgsixEj($235, $236); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $239=$i; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JSL10Int32ValueEi360($8, $239); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $240=$238; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $241=$8; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($240)>>2)]=HEAP32[(($241)>>2)];HEAP32[(($240+4)>>2)]=HEAP32[(($241+4)>>2)]; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $242=$args; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $243=$argi; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $244=__ZNK2js8CallArgsixEj($242, $243); //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $245=$244; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $246=$objv; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($245)>>2)]=HEAP32[(($246)>>2)];HEAP32[(($245+4)>>2)]=HEAP32[(($246+4)>>2)]; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $247=$2; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $248=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($247, $args, 0); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $249=(($248)&1); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $ok=$249; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $250=$ok; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $251=(($250)|0)!=0; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($251) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 65: 
      __label__ = 91; break; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 66: 
      var $254=$args; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $255=__ZNK2js12CallReceiver4rvalEv($254); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $rval=$255; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $256=$3; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $257=(($256)|0) > 3; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($257) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 67: 
      var $259=$rval; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $260=__Z17js_ValueToBooleanRKN2JS5ValueE($259); //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $cond=$260; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 69; break; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 68: 
      $cond=0; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 69; break;
    case 69: 
      var $263=$3; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ((($263)|0) == 1 || (($263)|0) == 2) {
        __label__ = 70; break;
      }
      else if ((($263)|0) == 3) {
        __label__ = 71; break;
      }
      else if ((($263)|0) == 4) {
        __label__ = 76; break;
      }
      else if ((($263)|0) == 5) {
        __label__ = 83; break;
      }
      else if ((($263)|0) == 6) {
        __label__ = 86; break;
      }
      else if ((($263)|0) == 0) {
        __label__ = 89; break;
      }
      else {
      __label__ = 89; break;
      }
      
    case 70: 
      var $265=$5; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $266=$rval; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $267=$265; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $268=$266; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($267)>>2)]=HEAP32[(($268)>>2)];HEAP32[(($267+4)>>2)]=HEAP32[(($268+4)>>2)]; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 89; break; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 71: 
      var $270=$ok; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $271=(($270)|0)!=0; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($271) { __label__ = 73; break; } else { __label__ = 72; break; } //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 72: 
      __label__ = 92; break; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 73: 
      var $274=$2; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $275=$newarr; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $276=$i; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $277=(($276)>>>0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $278=$rval; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $279=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($274, $275, $277, $278); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $ok=$279; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $280=$ok; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $281=(($280)|0)!=0; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($281) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 74: 
      __label__ = 92; break; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 75: 
      __label__ = 89; break; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 76: 
      var $285=$cond; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $286=(($285)|0)!=0; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($286) { __label__ = 78; break; } else { __label__ = 77; break; } //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 77: 
      __label__ = 89; break; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 78: 
      var $289=$ok; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $290=(($289)|0)!=0; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($290) { __label__ = 80; break; } else { __label__ = 79; break; } //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 79: 
      __label__ = 92; break; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 80: 
      var $293=$2; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $294=$newarr; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $295=$newlen; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $296=(($295+1)|0); //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $newlen=$296; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $297=(($295)>>>0); //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $298=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $299=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($293, $294, $297, $298); //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $ok=$299; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $300=$ok; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $301=(($300)|0)!=0; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($301) { __label__ = 82; break; } else { __label__ = 81; break; } //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 81: 
      __label__ = 92; break; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 82: 
      __label__ = 89; break; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 83: 
      var $305=$cond; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $306=(($305)|0)!=0; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($306) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 84: 
      var $308=$5; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value10setBooleanEb($308, 1); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 92; break; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 85: 
      __label__ = 89; break; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 86: 
      var $311=$cond; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $312=(($311)|0)!=0; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($312) { __label__ = 88; break; } else { __label__ = 87; break; } //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 87: 
      var $314=$5; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value10setBooleanEb($314, 0); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 92; break; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 88: 
      __label__ = 89; break; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 89: 
      __label__ = 90; break; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 90: 
      var $318=$step; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $319=$i; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $320=(($319+$318)|0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$320; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 49; break; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 91: 
      __label__ = 92; break; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 92: 
      var $323=$ok; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $324=(($323)|0)!=0; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($324) { __label__ = 93; break; } else { __label__ = 95; break; } //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 93: 
      var $326=$3; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $327=(($326)|0)==4; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($327) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 94: 
      var $329=$2; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $330=$newarr; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $331=$newlen; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $332=(($331)>>>0); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $333=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($329, $330, $332); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $ok=$333; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 95; break; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 95: 
      var $335=$ok; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$335; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $6=1;
      __label__ = 96; break; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 96: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 97; break;
    case 97: 
      var $338=$1; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $338; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE["X"]=1;

function __ZNK2js12CallReceiver18calleeHasBeenResetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZNK2js12CallReceiver13clearUsedRvalEv($2); //@line 212 "./vm/Stack.h"
  ;
  return; //@line 213 "./vm/Stack.h"
}


function __ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($cx, $args, $construct) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $ok;
  $1=$cx;
  $2=$args;
  $3=$construct;
  var $4=$2; //@line 166 "./jsinterp.h"
  var $5=$4; //@line 166 "./jsinterp.h"
  __ZN2js12CallArgsList9setActiveEv($5); //@line 166 "./jsinterp.h"
  var $6=$1; //@line 167 "./jsinterp.h"
  var $7=$2; //@line 167 "./jsinterp.h"
  var $8=$7; //@line 167 "./jsinterp.h"
  var $9=$3; //@line 167 "./jsinterp.h"
  var $10=__ZN2js12InvokeKernelEP9JSContextRKNS_8CallArgsENS_14MaybeConstructE($6, $8, $9); //@line 167 "./jsinterp.h"
  var $11=(($10)&1); //@line 167 "./jsinterp.h"
  $ok=$11; //@line 167 "./jsinterp.h"
  var $12=$2; //@line 168 "./jsinterp.h"
  var $13=$12; //@line 168 "./jsinterp.h"
  __ZN2js12CallArgsList11setInactiveEv($13); //@line 168 "./jsinterp.h"
  var $14=$ok; //@line 169 "./jsinterp.h"
  var $15=(($14) & 1); //@line 169 "./jsinterp.h"
  ;
  return $15; //@line 169 "./jsinterp.h"
}


function _INT_TO_JSID398($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function _INT32_TO_JSVAL_IMPL394($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZL18JSDOUBLE_IS_FINITEd396($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZL15JSDOUBLE_IS_NaNd397($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZN8JSObject18isPackedDenseArrayEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 73 "./jsarray.h"
  var $4=HEAP32[(($3)>>2)]; //@line 73 "./jsarray.h"
  var $5=$4 & 16384; //@line 73 "./jsarray.h"
  var $6=(($5)|0)!=0; //@line 73 "./jsarray.h"
  ;
  return $6; //@line 73 "./jsarray.h"
}


function __ZL19array_indexOfHelperP9JSContextijPN2JS5ValueE($cx, $isLast, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length=__stackBase__;
      var $i;
      var $stop;
      var $tosearch=__stackBase__+4;
      var $direction;
      var $hole=__stackBase__+12;
      var $obj;
      var $6=__stackBase__+16;
      var $start=__stackBase__+24;
      var $equal=__stackBase__+32;
      $2=$cx;
      $3=$isLast;
      $4=$argc;
      $5=$vp;
      var $7=$2; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$5; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+8)|0); //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $obj=$10; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$obj; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11)|0)!=0; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 50; break; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $15=$2; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$obj; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($15, $16, $length); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0)!=0; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 50; break; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $21=HEAP32[(($length)>>2)]; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21)|0)==0; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      __label__ = 49; break; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $25=$4; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=(($25)>>>0) <= 1; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $28=$3; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($28)|0)!=0; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $31=HEAP32[(($length)>>2)]; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=(($31-1)|0); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35 = $32;__label__ = 11; break; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $35 = 0;__label__ = 11; break; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $35; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$35; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$4; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(($36)|0)!=0; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($37) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $39=$5; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=(($39+16)|0); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$6; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$40; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      __ZN2JSL14UndefinedValueEv351($6); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $45=$tosearch; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$6; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 31; break; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $48=$5; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($48+16)|0); //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$tosearch; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=$49; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$2; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=$5; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($53+24)|0); //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd($52, $54, $start); //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($55) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      $1=0; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 50; break; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $58=(tempDoubleI32[0]=HEAP32[(($start)>>2)],tempDoubleI32[1]=HEAP32[(($start+4)>>2)],tempDoubleF64[0]); //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=$58 < 0; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($59) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $61=HEAPU32[(($length)>>2)]; //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=(($61)>>>0); //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=(tempDoubleI32[0]=HEAP32[(($start)>>2)],tempDoubleI32[1]=HEAP32[(($start+4)>>2)],tempDoubleF64[0]); //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=$63+$62; //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      (tempDoubleF64[0]=$64,HEAP32[(($start)>>2)]=tempDoubleI32[0],HEAP32[(($start+4)>>2)]=tempDoubleI32[1]); //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=(tempDoubleI32[0]=HEAP32[(($start)>>2)],tempDoubleI32[1]=HEAP32[(($start+4)>>2)],tempDoubleF64[0]); //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=$65 < 0; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($66) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $68=$3; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=(($68)|0)!=0; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($69) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      __label__ = 49; break; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      $i=0; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 23; break; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $73=(tempDoubleI32[0]=HEAP32[(($start)>>2)],tempDoubleI32[1]=HEAP32[(($start+4)>>2)],tempDoubleF64[0]); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=($73 >= 0 ? Math.floor($73) : Math.ceil($73)); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$74; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 23; break;
    case 23: 
      __label__ = 30; break; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $77=(tempDoubleI32[0]=HEAP32[(($start)>>2)],tempDoubleI32[1]=HEAP32[(($start+4)>>2)],tempDoubleF64[0]); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=HEAPU32[(($length)>>2)]; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=(($78)>>>0); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=$77 >= $79; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($80) { __label__ = 25; break; } else { __label__ = 28; break; } //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $82=$3; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=(($82)|0)!=0; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($83) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      __label__ = 49; break; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      var $86=HEAP32[(($length)>>2)]; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $87=(($86-1)|0); //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$87; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 29; break; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $89=(tempDoubleI32[0]=HEAP32[(($start)>>2)],tempDoubleI32[1]=HEAP32[(($start+4)>>2)],tempDoubleF64[0]); //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=($89 >= 0 ? Math.floor($89) : Math.ceil($89)); //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$90; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 29; break;
    case 29: 
      __label__ = 30; break;
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $94=$3; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=(($94)|0)!=0; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($95) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      $stop=0; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $direction=-1; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 34; break; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $98=HEAP32[(($length)>>2)]; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=(($98-1)|0); //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $stop=$99; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $direction=1; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 34; break;
    case 34: 
      __label__ = 35; break; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $102=$2; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=(($102+52)|0); //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $105=(($104+144280)|0); //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $106=(($105)|0); //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=(($107)|0)!=0; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($108) { __label__ = 36; break; } else { var $114 = 1;__label__ = 37; break; } //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $110=$2; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=__Z26js_InvokeOperationCallbackP9JSContext($110); //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=(($111)|0)!=0; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114 = $112;__label__ = 37; break; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $114;
      if ($114) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $116=$2; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $117=$obj; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $118=$i; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=(($118)>>>0); //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=$5; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $121=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($116, $117, $119, $hole, $120); //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $122=(($121)|0)!=0; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($122) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      $1=0; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 50; break; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $125=HEAP32[(($hole)>>2)]; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=(($125)|0)!=0; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($126) { __label__ = 46; break; } else { __label__ = 41; break; } //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      var $128=$2; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=$5; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $130=__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi($128, $129, $tosearch, $equal); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($130) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      $1=0; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 50; break; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $133=HEAP32[(($equal)>>2)]; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $134=(($133)|0)!=0; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($134) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      var $136=$5; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=$i; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=__ZN2JS5Value9setNumberEj($136, $137); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 50; break; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      __label__ = 46; break; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      var $141=$i; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=$stop; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $143=(($141)|0)==(($142)|0); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($143) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 47: 
      __label__ = 49; break; //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 48: 
      var $146=$direction; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $147=$i; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $148=(($147+$146)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$148; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 35; break; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 49: 
      var $150=$5; //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value8setInt32Ei($150, -1); //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 50; break; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 50: 
      var $152=$1; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $152; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19array_indexOfHelperP9JSContextijPN2JS5ValueE["X"]=1;

function __ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd($cx, $v, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$dp;
      var $6=$3; //@line 620 "./jsnum.h"
      var $7=__ZNK2JS5Value7isInt32Ev($6); //@line 620 "./jsnum.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 620 "./jsnum.h"
    case 2: 
      var $9=$3; //@line 621 "./jsnum.h"
      var $10=__ZNK2JS5Value7toInt32Ev($9); //@line 621 "./jsnum.h"
      var $11=(($10)|0); //@line 621 "./jsnum.h"
      var $12=$4; //@line 621 "./jsnum.h"
      (tempDoubleF64[0]=$11,HEAP32[(($12)>>2)]=tempDoubleI32[0],HEAP32[(($12+4)>>2)]=tempDoubleI32[1]); //@line 621 "./jsnum.h"
      $1=1; //@line 622 "./jsnum.h"
      __label__ = 9; break; //@line 622 "./jsnum.h"
    case 3: 
      var $14=$3; //@line 624 "./jsnum.h"
      var $15=__ZNK2JS5Value8isDoubleEv($14); //@line 624 "./jsnum.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 624 "./jsnum.h"
    case 4: 
      var $17=$3; //@line 625 "./jsnum.h"
      var $18=__ZNK2JS5Value8toDoubleEv($17); //@line 625 "./jsnum.h"
      var $19=$4; //@line 625 "./jsnum.h"
      (tempDoubleF64[0]=$18,HEAP32[(($19)>>2)]=tempDoubleI32[0],HEAP32[(($19+4)>>2)]=tempDoubleI32[1]); //@line 625 "./jsnum.h"
      __label__ = 8; break; //@line 626 "./jsnum.h"
    case 5: 
      var $21=$2; //@line 628 "./jsnum.h"
      var $22=$3; //@line 628 "./jsnum.h"
      var $23=$5; //@line 628 "./jsnum.h"
      var $24=$22; //@line 628 "./jsnum.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 628 "./jsnum.h"
      var $25=$4; //@line 628 "./jsnum.h"
      var $26=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($21, $5, $25); //@line 628 "./jsnum.h"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 628 "./jsnum.h"
    case 6: 
      $1=0; //@line 629 "./jsnum.h"
      __label__ = 9; break; //@line 629 "./jsnum.h"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $30=$4; //@line 631 "./jsnum.h"
      var $31=(tempDoubleI32[0]=HEAP32[(($30)>>2)],tempDoubleI32[1]=HEAP32[(($30+4)>>2)],tempDoubleF64[0]); //@line 631 "./jsnum.h"
      var $32=__ZL18js_DoubleToIntegerd395($31); //@line 631 "./jsnum.h"
      var $33=$4; //@line 631 "./jsnum.h"
      (tempDoubleF64[0]=$32,HEAP32[(($33)>>2)]=tempDoubleI32[0],HEAP32[(($33+4)>>2)]=tempDoubleI32[1]); //@line 631 "./jsnum.h"
      $1=1; //@line 632 "./jsnum.h"
      __label__ = 9; break; //@line 632 "./jsnum.h"
    case 9: 
      var $35=$1; //@line 633 "./jsnum.h"
      STACKTOP = __stackBase__;
      return $35; //@line 633 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18js_DoubleToIntegerd395($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $neg;
      $2=$d;
      var $3=$2; //@line 572 "./jsnum.h"
      var $4=$3 == 0; //@line 572 "./jsnum.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 572 "./jsnum.h"
    case 2: 
      var $6=$2; //@line 573 "./jsnum.h"
      $1=$6; //@line 573 "./jsnum.h"
      __label__ = 14; break; //@line 573 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 575 "./jsnum.h"
      var $9=__ZL18JSDOUBLE_IS_FINITEd396($8); //@line 575 "./jsnum.h"
      var $10=(($9)|0)!=0; //@line 575 "./jsnum.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 575 "./jsnum.h"
    case 4: 
      var $12=$2; //@line 576 "./jsnum.h"
      var $13=__ZL15JSDOUBLE_IS_NaNd397($12); //@line 576 "./jsnum.h"
      var $14=(($13)|0)!=0; //@line 576 "./jsnum.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 576 "./jsnum.h"
    case 5: 
      $1=0; //@line 577 "./jsnum.h"
      __label__ = 14; break; //@line 577 "./jsnum.h"
    case 6: 
      var $17=$2; //@line 578 "./jsnum.h"
      $1=$17; //@line 578 "./jsnum.h"
      __label__ = 14; break; //@line 578 "./jsnum.h"
    case 7: 
      var $19=$2; //@line 581 "./jsnum.h"
      var $20=$19 < 0; //@line 581 "./jsnum.h"
      var $21=(($20)&1); //@line 581 "./jsnum.h"
      $neg=$21; //@line 581 "./jsnum.h"
      var $22=$neg; //@line 582 "./jsnum.h"
      var $23=(($22)|0)!=0; //@line 582 "./jsnum.h"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 582 "./jsnum.h"
    case 8: 
      var $25=$2; //@line 582 "./jsnum.h"
      var $26=(-$25); //@line 582 "./jsnum.h"
      var $30 = $26;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 9: 
      var $28=$2; //@line 582 "./jsnum.h"
      var $30 = $28;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 10: 
      var $30; //@line 582 "./jsnum.h"
      var $31=_floor($30); //@line 582 "./jsnum.h"
      $2=$31; //@line 582 "./jsnum.h"
      var $32=$neg; //@line 584 "./jsnum.h"
      var $33=(($32)|0)!=0; //@line 584 "./jsnum.h"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 584 "./jsnum.h"
    case 11: 
      var $35=$2; //@line 584 "./jsnum.h"
      var $36=(-$35); //@line 584 "./jsnum.h"
      var $40 = $36;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 12: 
      var $38=$2; //@line 584 "./jsnum.h"
      var $40 = $38;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 13: 
      var $40; //@line 584 "./jsnum.h"
      $1=$40; //@line 584 "./jsnum.h"
      __label__ = 14; break; //@line 584 "./jsnum.h"
    case 14: 
      var $42=$1; //@line 585 "./jsnum.h"
      ;
      return $42; //@line 585 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_DoubleToIntegerd395["X"]=1;

function __ZL17TryReuseArrayTypeP8JSObjectS0_($obj, $nobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$obj;
      $2=$nobj;
      var $3=$1; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $4=__ZNK8JSObject7isArrayEv($3); //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $6=$1; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=__ZNK8JSObject16hasSingletonTypeEv($6); //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($7) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $9=$1; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZNK8JSObject8getProtoEv($9); //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$2; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZNK8JSObject8getProtoEv($11); //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($10)|0)==(($12)|0); //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $15=$2; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$1; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZNK8JSObject4typeEv($16); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($15, $17); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      ;
      return; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15InitArrayObjectP9JSContextP8JSObjectjPKN2JS5ValueE($cx, $obj, $length, $vector) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $hole;
      var $i;
      $2=$cx;
      $3=$obj;
      $4=$length;
      $5=$vector;
      var $6=$3; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$2; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$4; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($6, $7, $8); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$5; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($9)|0)!=0; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $12=$4; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12)|0)!=0; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      $1=1; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 18; break; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $16=$2; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$3; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$2; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=__ZN8JSObject7getTypeEP9JSContext($17, $18); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$5; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$4; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=__ZL14InitArrayTypesP9JSContextPN2js5types10TypeObjectEPKN2JS5ValueEj($16, $19, $20, $21); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $1=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 18; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $25=$3; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$2; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$4; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=__ZN8JSObject11ensureSlotsEP9JSContextj($25, $26, $27); //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 18; break; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $31=$2; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=__ZN9JSContext20typeInferenceEnabledEv($31); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $34=$3; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=$4; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject30setDenseArrayInitializedLengthEj($34, $35); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $37=$3; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$2; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23backfillDenseArrayHolesEP9JSContext($37, $38); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 11; break;
    case 11: 
      $hole=0; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $41=$i; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($43) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $45=$3; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=$i; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $47=$i; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $48=$5; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($48+($47<<3))|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE($45, $46, $49); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=$i; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=$5; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=(($51+($50<<3))|0); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=__ZNK2JS5Value7isMagicE10JSWhyMagic($52, 0); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($53)&1); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$hole; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=(($55) & 1); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=(($56)&1); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=$57 | $54; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=(($58)|0)!=0; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=(($59)&1); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $hole=$60; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 14; break; //@line 1819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $62=$i; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=(($62+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $i=$63; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 12; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $65=$hole; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=(($65) & 1); //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($66) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $68=$3; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $69=$2; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23markDenseArrayNotPackedEP9JSContext($68, $69); //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      $1=1; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 18; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $72=$1; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $72; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15InitArrayObjectP9JSContextP8JSObjectjPKN2JS5ValueE["X"]=1;

function __ZN8JSObject22moveDenseArrayElementsEjjj($this, $dstStart, $srcStart, $count) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$dstStart;
  $3=$srcStart;
  $4=$count;
  var $5=$1;
  var $6=(($5+32)|0); //@line 537 "./jsobjinlines.h"
  var $7=HEAP32[(($6)>>2)]; //@line 537 "./jsobjinlines.h"
  var $8=$2; //@line 537 "./jsobjinlines.h"
  var $9=(($7+($8<<3))|0); //@line 537 "./jsobjinlines.h"
  var $10=$9; //@line 537 "./jsobjinlines.h"
  var $11=(($5+32)|0); //@line 537 "./jsobjinlines.h"
  var $12=HEAP32[(($11)>>2)]; //@line 537 "./jsobjinlines.h"
  var $13=$3; //@line 537 "./jsobjinlines.h"
  var $14=(($12+($13<<3))|0); //@line 537 "./jsobjinlines.h"
  var $15=$14; //@line 537 "./jsobjinlines.h"
  var $16=$4; //@line 537 "./jsobjinlines.h"
  var $17=((($16<<3))|0); //@line 537 "./jsobjinlines.h"
  _llvm_memmove_p0i8_p0i8_i32($10, $15, $17, 1, 0); //@line 537 "./jsobjinlines.h"
  ;
  return; //@line 538 "./jsobjinlines.h"
}


function __ZL23SetOrDeleteArrayElementP9JSContextP8JSObjectdiRKN2JS5ValueE($cx, $obj, $index, $hole, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$hole;
      $6=$v;
      var $7=$5; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7)|0)!=0; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$2; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$3; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$4; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=__ZL18DeleteArrayElementP9JSContextP8JSObjectdb($10, $11, $12, 1); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13)|0) >= 0; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($14)&1); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$15; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 4; break; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $17=$2; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=$3; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$4; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$6; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE($17, $18, $19, $20); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$21; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 4; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $23=$1; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $23; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2jsL3MinIjEET_S1_S1_($t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t1;
  $2=$t2;
  var $3=$1; //@line 309 "./jstl.h"
  var $4=$2; //@line 309 "./jstl.h"
  var $5=(($3)>>>0) < (($4)>>>0); //@line 309 "./jstl.h"
  var $6=$1; //@line 309 "./jstl.h"
  var $7=$2; //@line 309 "./jstl.h"
  var $8=$5 ? $6 : $7; //@line 309 "./jstl.h"
  ;
  return $8; //@line 309 "./jstl.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN22AutoArrayCycleDetector10foundCycleEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=HEAP8[($3)]; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=(($4) & 1); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $5; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZL18array_toString_subP9JSContextP8JSObjectiP8JSStringPN2JS5ValueE($cx, $obj, $locale, $sepstr, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 112; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $sep;
      var $seplen;
      var $detector=__stackBase__;
      var $7;
      var $length=__stackBase__+24;
      var $sb=__stackBase__+28;
      var $beg;
      var $end;
      var $vp;
      var $index;
      var $hole=__stackBase__+108;
      var $robj;
      var $id;
      var $str;
      $2=$cx;
      $3=$obj;
      $4=$locale;
      $5=$sepstr;
      $6=$rval;
      var $8=$5; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8)|0)!=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $11=$5; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZNK8JSString6lengthEv($11); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $seplen=$12; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$5; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=$2; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=__ZN8JSString8getCharsEP9JSContext($13, $14); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $sep=$15; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$sep; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16)|0)!=0; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      $1=0; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 61; break; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      __label__ = 6; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $sep=__ZZL18array_toString_subP9JSContextP8JSObjectiP8JSStringPN2JS5ValueEE5comma; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $seplen=1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $22=$2; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=$3; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN22AutoArrayCycleDetectorC1EP9JSContextP8JSObject($detector, $22, $23); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=__ZN22AutoArrayCycleDetector4initEv($detector); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      $1=0; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 60; break; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $27=__ZN22AutoArrayCycleDetector10foundCycleEv($detector); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $29=$6; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=$2; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=(($30+52)|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=(($32+209948)|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $34=(($33+24)|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$35; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setStringEP8JSString($29, $36); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 60; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      var $38=$2; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$3; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($38, $39, $length); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=(($40)|0)!=0; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($41) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      $1=0; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 60; break; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $44=$2; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $44); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$4; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)|0)!=0; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 30; break; } else { __label__ = 13; break; } //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $48=$seplen; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $49=(($48)|0)!=0; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($49) { __label__ = 30; break; } else { __label__ = 14; break; } //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $51=$3; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=__ZNK8JSObject12isDenseArrayEv($51); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($52) { __label__ = 15; break; } else { __label__ = 30; break; } //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $54=$2; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$3; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($54, $55); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=(($56)|0)!=0; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($57) { __label__ = 30; break; } else { __label__ = 16; break; } //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $59=$3; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=__ZN8JSObject21getDenseArrayElementsEv($59); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $beg=$60; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=$beg; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=HEAP32[(($length)>>2)]; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $63=$3; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=__ZN8JSObject30getDenseArrayInitializedLengthEv($63); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=__ZN2jsL3MinIjEET_S1_S1_($62, $64); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=(($61+($65<<3))|0); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $end=$66; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=$beg; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vp=$67; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $69=$vp; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=$end; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=(($69)|0)!=(($70)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 29; break; } //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $73=$2; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=(($73+52)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=(($75+144280)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=(($76)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $79=(($78)|0)!=0; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($79) { __label__ = 19; break; } else { var $85 = 1;__label__ = 20; break; } //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      var $81=$2; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=__Z26js_InvokeOperationCallbackP9JSContext($81); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $83=(($82)|0)!=0; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85 = $83;__label__ = 20; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      var $85;
      if ($85) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      $1=0; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      var $88=$vp; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $89=__ZNK2JS5Value7isMagicE10JSWhyMagic($88, 0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($89) { __label__ = 27; break; } else { __label__ = 23; break; } //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $91=$vp; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=__ZNK2JS5Value17isNullOrUndefinedEv($91); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($92) { __label__ = 27; break; } else { __label__ = 24; break; } //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $94=$2; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $95=$vp; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=__ZN2js19ValueToStringBufferEP9JSContextRKN2JS5ValueERNS_12StringBufferE($94, $95, $sb); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($96) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      $1=0; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      __label__ = 28; break; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $101=$vp; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102=(($101+8)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $vp=$102; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 17; break; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      __label__ = 56; break; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      $index=0; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 31; break; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      var $106=$index; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=HEAPU32[(($length)>>2)]; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $108=(($106)>>>0) < (($107)>>>0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($108) { __label__ = 32; break; } else { __label__ = 55; break; } //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      var $110=$2; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $111=(($110+52)|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $113=(($112+144280)|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114=(($113)|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $116=(($115)|0)!=0; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($116) { __label__ = 33; break; } else { var $122 = 1;__label__ = 34; break; } //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      var $118=$2; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=__Z26js_InvokeOperationCallbackP9JSContext($118); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=(($119)|0)!=0; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $122 = $120;__label__ = 34; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      var $122;
      if ($122) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      $1=0; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $125=$2; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $126=$3; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=$index; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=(($127)>>>0); //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=$6; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $130=__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE($125, $126, $128, $hole, $129); //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $131=(($130)|0)!=0; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($131) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      $1=0; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $134=HEAP32[(($hole)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $135=(($134)|0)!=0; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($135) { __label__ = 49; break; } else { __label__ = 39; break; } //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      var $137=$6; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $138=__ZNK2JS5Value17isNullOrUndefinedEv($137); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($138) { __label__ = 49; break; } else { __label__ = 40; break; } //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $140=$4; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=(($140)|0)!=0; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($141) { __label__ = 41; break; } else { __label__ = 46; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      var $143=$2; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=$6; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $145=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($143, $144); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $robj=$145; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $146=$robj; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $147=(($146)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($147) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $150=$2; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $151=(($150+52)|0); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $153=(($152+209948)|0); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $154=(($153+368)|0); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $156=$155; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $157=__ZL12ATOM_TO_JSIDP6JSAtom354($156); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $id=$157; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $158=$robj; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $159=$2; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $160=$id; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $161=$6; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $162=__ZN8JSObject10callMethodEP9JSContextijPN2JS5ValueES4_($158, $159, $160, 0, 0, $161); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($162) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      $1=0; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      __label__ = 46; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      var $166=$2; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $167=$6; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $168=__ZN2js19ValueToStringBufferEP9JSContextRKN2JS5ValueERNS_12StringBufferE($166, $167, $sb); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($168) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 47: 
      $1=0; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 48: 
      __label__ = 49; break; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 49: 
      var $172=$index; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $173=(($172+1)|0); //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $174=HEAP32[(($length)>>2)]; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $175=(($173)|0)!=(($174)|0); //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($175) { __label__ = 50; break; } else { __label__ = 53; break; } //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 50: 
      var $177=$sep; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $178=$seplen; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $179=__ZN2js12StringBuffer6appendEPKtj($sb, $177, $178); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($179) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 51: 
      $1=0; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 52: 
      __label__ = 53; break; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 53: 
      __label__ = 54; break; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 54: 
      var $184=$index; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $185=(($184+1)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $index=$185; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 31; break; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 55: 
      __label__ = 56; break;
    case 56: 
      var $188=__ZN2js12StringBuffer12finishStringEv($sb); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $189=$188; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $str=$189; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $190=$str; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $191=(($190)|0)!=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($191) { __label__ = 58; break; } else { __label__ = 57; break; } //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 57: 
      $1=0; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 58: 
      var $194=$6; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $195=$str; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2JS5Value9setStringEP8JSString($194, $195); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 59; break; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 59: 
      __ZN2js12StringBufferD1Ev($sb); //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 60; break;
    case 60: 
      __ZN22AutoArrayCycleDetectorD1Ev($detector); //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 61; break;
    case 61: 
      var $199=$1; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $199; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18array_toString_subP9JSContextP8JSObjectiP8JSStringPN2JS5ValueE["X"]=1;

function __ZN22AutoArrayCycleDetectorC1EP9JSContextP8JSObject($this, $cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$obj;
  var $4=$1;
  var $5=$2; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$3; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  __ZN22AutoArrayCycleDetectorC2EP9JSContextP8JSObject($4, $5, $6); //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN22AutoArrayCycleDetector4initEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $set;
      var $3=__stackBase__;
      var $4=__stackBase__+8;
      $2=$this;
      var $5=$2;
      var $6=(($5)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7+148)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $set=$8; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($5+12)|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=$set; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($5+4)|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_($3, $10, $11); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$9; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=$3; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($5+12)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=$14; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($4, $15); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$16.f0; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0)!=0; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $20=$set; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=(($5+12)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($5+4)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_($20, $21, $22); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      $1=0; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $26=(($5+20)|0); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP8[($26)]=0; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=$set; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $28=__ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE10generationEv($27); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $29=(($5+8)|0); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($29)>>2)]=$28; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      $1=1; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $32=$1; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js19ValueToStringBufferEP9JSContextRKN2JS5ValueERNS_12StringBufferE($cx, $v, $sb) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$v;
      $4=$sb;
      var $5=$3; //@line 254 "./jsstrinlines.h"
      var $6=__ZNK2JS5Value8isStringEv($5); //@line 254 "./jsstrinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 254 "./jsstrinlines.h"
    case 2: 
      var $8=$4; //@line 255 "./jsstrinlines.h"
      var $9=$3; //@line 255 "./jsstrinlines.h"
      var $10=__ZNK2JS5Value8toStringEv($9); //@line 255 "./jsstrinlines.h"
      var $11=__ZN2js12StringBuffer6appendEP8JSString($8, $10); //@line 255 "./jsstrinlines.h"
      $1=$11; //@line 255 "./jsstrinlines.h"
      __label__ = 4; break; //@line 255 "./jsstrinlines.h"
    case 3: 
      var $13=$2; //@line 257 "./jsstrinlines.h"
      var $14=$3; //@line 257 "./jsstrinlines.h"
      var $15=$4; //@line 257 "./jsstrinlines.h"
      var $16=__ZN2js23ValueToStringBufferSlowEP9JSContextRKN2JS5ValueERNS_12StringBufferE($13, $14, $15); //@line 257 "./jsstrinlines.h"
      $1=$16; //@line 257 "./jsstrinlines.h"
      __label__ = 4; break; //@line 257 "./jsstrinlines.h"
    case 4: 
      var $18=$1; //@line 258 "./jsstrinlines.h"
      ;
      return $18; //@line 258 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer6appendEPKtj($this, $chars, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$chars;
      $4=$len;
      var $5=$2;
      var $6=(($5)|0); //@line 177 "./jsstrinlines.h"
      var $7=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($6); //@line 177 "./jsstrinlines.h"
      var $8=$4; //@line 177 "./jsstrinlines.h"
      var $9=(($7+$8)|0); //@line 177 "./jsstrinlines.h"
      var $10=__ZN2js12StringBuffer11checkLengthEj($5, $9); //@line 177 "./jsstrinlines.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 177 "./jsstrinlines.h"
    case 2: 
      $1=0; //@line 178 "./jsstrinlines.h"
      __label__ = 4; break; //@line 178 "./jsstrinlines.h"
    case 3: 
      var $13=(($5)|0); //@line 179 "./jsstrinlines.h"
      var $14=$3; //@line 179 "./jsstrinlines.h"
      var $15=$4; //@line 179 "./jsstrinlines.h"
      var $16=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_j($13, $14, $15); //@line 179 "./jsstrinlines.h"
      $1=$16; //@line 179 "./jsstrinlines.h"
      __label__ = 4; break; //@line 179 "./jsstrinlines.h"
    case 4: 
      var $18=$1; //@line 180 "./jsstrinlines.h"
      ;
      return $18; //@line 180 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN22AutoArrayCycleDetectorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN22AutoArrayCycleDetectorD2Ev($2); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN22AutoArrayCycleDetectorD2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=(($3+20)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $5=HEAP8[($4)]; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=(($5) & 1); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($6) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $8=(($3+8)|0); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($3)|0); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11+148)|0); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=__ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE10generationEv($12); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($9)|0)==(($13)|0); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $16=(($3)|0); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17+148)|0); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($3+12)|0); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$19; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$2; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$20; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)]; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE($18, $2); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $24=(($3)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=(($25+148)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=(($3+4)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeERKS2_($26, $27); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 5; break;
    case 5: 
      __label__ = 6; break; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE10generationEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1329 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10generationEv($3); //@line 1329 "./jshashtable.h"
  ;
  return $4; //@line 1329 "./jshashtable.h"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1231 "./jshashtable.h"
  var $5=$2; //@line 1231 "./jshashtable.h"
  var $6=$p; //@line 1231 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1231 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE($4, $2); //@line 1231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1231 "./jshashtable.h"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeERKS2_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+12;
      $1=$this;
      $2=$l;
      var $5=$1;
      var $6=$2; //@line 1354 "./jshashtable.h"
      __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_($p, $5, $6); //@line 1354 "./jshashtable.h"
      __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($3, $p); //@line 1354 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1354 "./jshashtable.h"
      var $8=$7.f0; //@line 1354 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1354 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1354 "./jshashtable.h"
    case 2: 
      var $11=$4; //@line 1355 "./jshashtable.h"
      var $12=$p; //@line 1355 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 1355 "./jshashtable.h"
      __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE($5, $4); //@line 1355 "./jshashtable.h"
      __label__ = 3; break; //@line 1355 "./jshashtable.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1356 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1228 "./jshashtable.h"
  var $5=$2; //@line 1228 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_($agg_result, $4, $5); //@line 1228 "./jshashtable.h"
  ;
  return; //@line 1228 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 70, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKP8JSObjectE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryIKP8JSObjectE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP8JSObjectLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKP8JSObjectE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKP8JSObjectE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKP8JSObjectE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj["X"]=1;

function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZL11JS_ON_TRACEPK9JSContext403($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKP8JSObjectE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKP8JSObjectE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKP8JSObjectE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectE10setRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($3)>>2)]=1; //@line 90 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 90 "./jshashtable.h"
  ;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectE7setFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 88 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  ;
  return; //@line 88 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10generationEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 650 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 650 "./jshashtable.h"
  ;
  return $4; //@line 650 "./jshashtable.h"
}


function _JSVAL_TO_STRING_IMPL404($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP8JSObjectLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKP8JSObjectE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryIKP8JSObjectE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKP8JSObjectE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKP8JSObjectEEEENS_7MoveRefIT_EERS8_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectEaSENS_7MoveRefIS5_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryIKP8JSObjectEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERS4_($2, $9); //@line 83 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev($2); //@line 83 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 83 "./jshashtable.h"
  var $12=(($3+4)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$11; //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryIKP8JSObjectEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free399($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryIKP8JSObjectEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function _js_malloc400($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_j($this, $insBegin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$insBegin;
  $3=$length;
  var $4=$1;
  var $5=$2; //@line 889 "./jsvector.h"
  var $6=$2; //@line 889 "./jsvector.h"
  var $7=$3; //@line 889 "./jsvector.h"
  var $8=(($6+($7<<1))|0); //@line 889 "./jsvector.h"
  var $9=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_S6_($4, $5, $8); //@line 889 "./jsvector.h"
  ;
  return $9; //@line 889 "./jsvector.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_S6_($this, $insBegin, $insEnd) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2=__stackBase__+4;
      var $3;
      var $4;
      var $5;
      var $6;
      var $g=__stackBase__+8;
      var $needed;
      var $7;
      $4=$this;
      $5=$insBegin;
      $6=$insEnd;
      var $8=$4;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $8); //@line 844 "./jsvector.h"
      var $9=$5; //@line 845 "./jsvector.h"
      var $10=$6; //@line 845 "./jsvector.h"
      var $11=$1;
      var $12=$2;
      HEAP32[(($1)>>2)]=$9;
      HEAP32[(($2)>>2)]=$10;
      var $13=HEAP32[(($2)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
      var $14=$13; //@line 330 "./dist/include/mozilla/Util.h"
      var $15=HEAP32[(($1)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
      var $16=$15; //@line 330 "./dist/include/mozilla/Util.h"
      var $17=(($14-$16)|0); //@line 330 "./dist/include/mozilla/Util.h"
      var $18=Math.floor((($17)>>>0)/2); //@line 330 "./dist/include/mozilla/Util.h"
      var $19=$1; //@line 330 "./dist/include/mozilla/Util.h"
      var $20=$2; //@line 330 "./dist/include/mozilla/Util.h"
      $needed=$18; //@line 845 "./jsvector.h"
      var $21=(($8+8)|0); //@line 846 "./jsvector.h"
      var $22=HEAP32[(($21)>>2)]; //@line 846 "./jsvector.h"
      var $23=$needed; //@line 846 "./jsvector.h"
      var $24=(($22+$23)|0); //@line 846 "./jsvector.h"
      var $25=(($8+12)|0); //@line 846 "./jsvector.h"
      var $26=HEAPU32[(($25)>>2)]; //@line 846 "./jsvector.h"
      var $27=(($24)>>>0) > (($26)>>>0); //@line 846 "./jsvector.h"
      if ($27) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 846 "./jsvector.h"
    case 2: 
      var $29=$needed; //@line 846 "./jsvector.h"
      var $30=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj($8, $29); //@line 846 "./jsvector.h"
      if ($30) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 846 "./jsvector.h"
    case 3: 
      $3=0; //@line 847 "./jsvector.h"
      $7=1;
      __label__ = 5; break; //@line 847 "./jsvector.h"
    case 4: 
      var $33=$5; //@line 853 "./jsvector.h"
      var $34=$needed; //@line 853 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvPKT_j($8, $33, $34); //@line 853 "./jsvector.h"
      $3=1; //@line 854 "./jsvector.h"
      $7=1;
      __label__ = 5; break; //@line 854 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 855 "./jsvector.h"
      var $36=$3; //@line 855 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $36; //@line 855 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_S6_["X"]=1;

function _js_realloc401($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL17CheckStringLengthEP9JSContextj402($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext403($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer6appendEP8JSString($this, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $linear;
      var $strLen;
      $2=$this;
      $3=$str;
      var $4=$2;
      var $5=$3; //@line 193 "./jsstrinlines.h"
      var $6=__ZNK2js12StringBuffer7contextEv($4); //@line 193 "./jsstrinlines.h"
      var $7=__ZN8JSString12ensureLinearEP9JSContext($5, $6); //@line 193 "./jsstrinlines.h"
      $linear=$7; //@line 193 "./jsstrinlines.h"
      var $8=$linear; //@line 194 "./jsstrinlines.h"
      var $9=(($8)|0)!=0; //@line 194 "./jsstrinlines.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 194 "./jsstrinlines.h"
    case 2: 
      $1=0; //@line 195 "./jsstrinlines.h"
      __label__ = 6; break; //@line 195 "./jsstrinlines.h"
    case 3: 
      var $12=$linear; //@line 196 "./jsstrinlines.h"
      var $13=$12; //@line 196 "./jsstrinlines.h"
      var $14=__ZNK8JSString6lengthEv($13); //@line 196 "./jsstrinlines.h"
      $strLen=$14; //@line 196 "./jsstrinlines.h"
      var $15=(($4)|0); //@line 197 "./jsstrinlines.h"
      var $16=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($15); //@line 197 "./jsstrinlines.h"
      var $17=$strLen; //@line 197 "./jsstrinlines.h"
      var $18=(($16+$17)|0); //@line 197 "./jsstrinlines.h"
      var $19=__ZN2js12StringBuffer11checkLengthEj($4, $18); //@line 197 "./jsstrinlines.h"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 197 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 198 "./jsstrinlines.h"
      __label__ = 6; break; //@line 198 "./jsstrinlines.h"
    case 5: 
      var $22=(($4)|0); //@line 199 "./jsstrinlines.h"
      var $23=$linear; //@line 199 "./jsstrinlines.h"
      var $24=__ZNK14JSLinearString5charsEv($23); //@line 199 "./jsstrinlines.h"
      var $25=$strLen; //@line 199 "./jsstrinlines.h"
      var $26=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_j($22, $24, $25); //@line 199 "./jsstrinlines.h"
      $1=$26; //@line 199 "./jsstrinlines.h"
      __label__ = 6; break; //@line 199 "./jsstrinlines.h"
    case 6: 
      var $28=$1; //@line 200 "./jsstrinlines.h"
      ;
      return $28; //@line 200 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 144 "./jshashtable.h"
}


function _JSID_IS_VOID($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1622 "./jsapi.h"
  var $3=(($2)|0)==2; //@line 1622 "./jsapi.h"
  var $4=(($3)&1); //@line 1622 "./jsapi.h"
  ;
  return $4; //@line 1622 "./jsapi.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKP8JSObjectE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK18ArraySharpDetector14initiallySharpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=HEAP8[($3)]; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=(($4) & 1); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $5; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN18ArraySharpDetector14takeSharpCharsEv($this) {
  ;
  var __label__;

  var $1;
  var $ret;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  $ret=$4; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=(($2+4)|0); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($5)>>2)]=0; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$ret; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $6; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZNK18ArraySharpDetector13hasSharpCharsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=(($4)|0)!=0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return $5; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN18ArraySharpDetector9makeSharpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=(($4+12)|0); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=$6; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$7 | 1; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=$8; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=(($2+8)|0); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $12=(($11+12)|0); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($12)>>2)]=$9; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13copyConstructIcEEvPtPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP8[($10)]; //@line 161 "./jsvector.h"
      var $12=(($11 << 24) >> 24); //@line 161 "./jsvector.h"
      var $13=$1; //@line 161 "./jsvector.h"
      HEAP16[(($13)>>1)]=$12; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $15=$p; //@line 160 "./jsvector.h"
      var $16=(($15+1)|0); //@line 160 "./jsvector.h"
      $p=$16; //@line 160 "./jsvector.h"
      var $17=$1; //@line 160 "./jsvector.h"
      var $18=(($17+2)|0); //@line 160 "./jsvector.h"
      $1=$18; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18ArraySharpDetectorC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=$2; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=(($3+4)|0); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($6)>>2)]=0; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=(($3+8)|0); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($7)>>2)]=0; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=(($3+12)|0); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP8[($8)]=0; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2js12AutoIdRooter4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1661 "./jscntxt.h"
  ;
  return $3; //@line 1661 "./jscntxt.h"
}


function __ZN2js12AutoIdRooter2idEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1657 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1657 "./jscntxt.h"
  ;
  return $4; //@line 1657 "./jscntxt.h"
}


function _JSVAL_IS_SPECIFIC_BOOLEAN407($l, $b) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$b;
      var $2=$l; //@line 614 "./jsval.h"
      var $3=(($2+4)|0); //@line 614 "./jsval.h"
      var $4=HEAP32[(($3)>>2)]; //@line 614 "./jsval.h"
      var $5=(($4)|0)==-125; //@line 614 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 614 "./jsval.h"
    case 2: 
      var $7=$l; //@line 614 "./jsval.h"
      var $8=(($7)|0); //@line 614 "./jsval.h"
      var $9=$8; //@line 614 "./jsval.h"
      var $10=HEAP32[(($9)>>2)]; //@line 614 "./jsval.h"
      var $11=$1; //@line 614 "./jsval.h"
      var $12=(($10)|0)==(($11)|0); //@line 614 "./jsval.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      STACKTOP = __stackBase__;
      return $15; //@line 615 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_($this, $p, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$t;
  var $4=$1;
  var $5=(($4)|0); //@line 1273 "./jshashtable.h"
  var $6=$2; //@line 1273 "./jshashtable.h"
  var $7=$3; //@line 1273 "./jshashtable.h"
  var $8=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_($5, $6, $7); //@line 1273 "./jshashtable.h"
  ;
  return $8; //@line 1273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$4; //@line 742 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 742 "./jshashtable.h"
      var $12=$3; //@line 742 "./jshashtable.h"
      var $13=$12; //@line 742 "./jshashtable.h"
      var $14=(($13)|0); //@line 742 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 742 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 742 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$11; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $18=$1; //@line 744 "./jshashtable.h"
      ;
      return $18; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKP8JSObjectE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN22AutoArrayCycleDetectorC2EP9JSContextP8JSObject($this, $cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$obj;
      var $4=$1;
      var $5=(($4)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=$2; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($5)>>2)]=$6; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=(($4+4)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=$3; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($7)>>2)]=$8; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($4+12)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1Ev($9); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($4+20)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP8[($10)]=1; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 2; break; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      __label__ = 3; break; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      ;
      return; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2Ev($2); //@line 170 "./jshashtable.h"
  ;
  return; //@line 170 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 170 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2Ev($3); //@line 170 "./jshashtable.h"
  ;
  return; //@line 170 "./jshashtable.h"
}


function __ZL13js_IsCallableRKN2JS5ValueE405($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18ArraySharpDetectorC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  __ZN18ArraySharpDetectorC2EP9JSContext($3, $4); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN18ArraySharpDetector4initEP8JSObject($this, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$obj;
      var $4=$2;
      var $5=(($4)|0); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=$3; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($4+4)|0); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__Z19js_EnterSharpObjectP9JSContextP8JSObjectPP9JSIdArrayPPt($6, $7, 0, $8); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=(($4+8)|0); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($10)>>2)]=$9; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($4+8)|0); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12)|0)!=0; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      $1=0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 4; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $16=(($4+8)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17+12)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$19; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$20 & 1; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=(($21)|0)!=0; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=(($4+12)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($22)&1); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP8[($23)]=$24; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 4; break; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $26=$1; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $26; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer16replaceRawBufferEPtj($this, $chars, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$chars;
  $3=$len;
  var $4=$1;
  var $5=(($4)|0); //@line 122 "./jsstrinlines.h"
  var $6=$2; //@line 122 "./jsstrinlines.h"
  var $7=$3; //@line 122 "./jsstrinlines.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16replaceRawBufferEPtj($5, $6, $7); //@line 122 "./jsstrinlines.h"
  ;
  return; //@line 122 "./jsstrinlines.h"
}


function __ZN2js12StringBuffer6appendEt($this, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$c;
      var $4=$2;
      var $5=(($4)|0); //@line 169 "./jsstrinlines.h"
      var $6=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($5); //@line 169 "./jsstrinlines.h"
      var $7=(($6+1)|0); //@line 169 "./jsstrinlines.h"
      var $8=__ZN2js12StringBuffer11checkLengthEj($4, $7); //@line 169 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 169 "./jsstrinlines.h"
    case 2: 
      $1=0; //@line 170 "./jsstrinlines.h"
      __label__ = 4; break; //@line 170 "./jsstrinlines.h"
    case 3: 
      var $11=(($4)|0); //@line 171 "./jsstrinlines.h"
      var $12=$3; //@line 171 "./jsstrinlines.h"
      var $13=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbT_($11, $12); //@line 171 "./jsstrinlines.h"
      $1=$13; //@line 171 "./jsstrinlines.h"
      __label__ = 4; break; //@line 171 "./jsstrinlines.h"
    case 4: 
      var $15=$1; //@line 172 "./jsstrinlines.h"
      ;
      return $15; //@line 172 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer6appendILj3EEEbRAT__Kc($this, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$array;
  var $3=$1;
  var $4=(($3)|0); //@line 141 "./jsstrinlines.h"
  var $5=$2; //@line 141 "./jsstrinlines.h"
  var $6=(($5)|0); //@line 141 "./jsstrinlines.h"
  var $7=$2; //@line 141 "./jsstrinlines.h"
  var $8=(($7)|0); //@line 141 "./jsstrinlines.h"
  var $9=(($8+3)|0); //@line 141 "./jsstrinlines.h"
  var $10=(($9-1)|0); //@line 141 "./jsstrinlines.h"
  var $11=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbPKT_S6_($4, $6, $10); //@line 141 "./jsstrinlines.h"
  ;
  return $11; //@line 141 "./jsstrinlines.h"
}


function __ZN2JSL11StringValueEP8JSString406($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN18ArraySharpDetectorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN18ArraySharpDetectorD2Ev($2); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN18ArraySharpDetectorD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $5=(($4)|0)!=0; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $7=(($2)|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($2+4)|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$10; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN9JSContext5free_EPv($8, $11); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 3; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $13=(($2+8)|0); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($14)|0)!=0; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $17=(($2+12)|0); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=HEAP8[($17)]; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=(($18) & 1); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $21=(($2)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __Z19js_LeaveSharpObjectP9JSContextPP9JSIdArray($22, 0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 6; break; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      ;
      return; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbPKT_S6_($this, $insBegin, $insEnd) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2=__stackBase__+4;
      var $3;
      var $4;
      var $5;
      var $6;
      var $g=__stackBase__+8;
      var $needed;
      var $7;
      $4=$this;
      $5=$insBegin;
      $6=$insEnd;
      var $8=$4;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $8); //@line 844 "./jsvector.h"
      var $9=$5; //@line 845 "./jsvector.h"
      var $10=$6; //@line 845 "./jsvector.h"
      var $11=$1;
      var $12=$2;
      HEAP32[(($1)>>2)]=$9;
      HEAP32[(($2)>>2)]=$10;
      var $13=HEAP32[(($2)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
      var $14=$13; //@line 330 "./dist/include/mozilla/Util.h"
      var $15=HEAP32[(($1)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
      var $16=$15; //@line 330 "./dist/include/mozilla/Util.h"
      var $17=(($14-$16)|0); //@line 330 "./dist/include/mozilla/Util.h"
      var $18=Math.floor((($17)>>>0)); //@line 330 "./dist/include/mozilla/Util.h"
      var $19=$1; //@line 330 "./dist/include/mozilla/Util.h"
      var $20=$2; //@line 330 "./dist/include/mozilla/Util.h"
      $needed=$18; //@line 845 "./jsvector.h"
      var $21=(($8+8)|0); //@line 846 "./jsvector.h"
      var $22=HEAP32[(($21)>>2)]; //@line 846 "./jsvector.h"
      var $23=$needed; //@line 846 "./jsvector.h"
      var $24=(($22+$23)|0); //@line 846 "./jsvector.h"
      var $25=(($8+12)|0); //@line 846 "./jsvector.h"
      var $26=HEAPU32[(($25)>>2)]; //@line 846 "./jsvector.h"
      var $27=(($24)>>>0) > (($26)>>>0); //@line 846 "./jsvector.h"
      if ($27) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 846 "./jsvector.h"
    case 2: 
      var $29=$needed; //@line 846 "./jsvector.h"
      var $30=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj($8, $29); //@line 846 "./jsvector.h"
      if ($30) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 846 "./jsvector.h"
    case 3: 
      $3=0; //@line 847 "./jsvector.h"
      $7=1;
      __label__ = 5; break; //@line 847 "./jsvector.h"
    case 4: 
      var $33=$5; //@line 853 "./jsvector.h"
      var $34=$needed; //@line 853 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendIcEEvPKT_j($8, $33, $34); //@line 853 "./jsvector.h"
      $3=1; //@line 854 "./jsvector.h"
      $7=1;
      __label__ = 5; break; //@line 854 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 855 "./jsvector.h"
      var $36=$3; //@line 855 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $36; //@line 855 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbPKT_S6_["X"]=1;

function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendIcEEvPKT_j($this, $insBegin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$insBegin;
  $3=$length;
  var $4=$1;
  var $5=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($4); //@line 864 "./jsvector.h"
  var $6=$2; //@line 864 "./jsvector.h"
  var $7=$2; //@line 864 "./jsvector.h"
  var $8=$3; //@line 864 "./jsvector.h"
  var $9=(($7+$8)|0); //@line 864 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13copyConstructIcEEvPtPKT_S7_($5, $6, $9); //@line 864 "./jsvector.h"
  var $10=$3; //@line 865 "./jsvector.h"
  var $11=(($4+8)|0); //@line 865 "./jsvector.h"
  var $12=HEAP32[(($11)>>2)]; //@line 865 "./jsvector.h"
  var $13=(($12+$10)|0); //@line 865 "./jsvector.h"
  HEAP32[(($11)>>2)]=$13; //@line 865 "./jsvector.h"
  ;
  return; //@line 866 "./jsvector.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP16[(($8)>>1)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16replaceRawBufferEPtj($this, $p, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      $1=$this;
      $2=$p;
      $3=$length;
      var $4=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $4); //@line 940 "./jsvector.h"
      var $5=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($4); //@line 943 "./jsvector.h"
      var $6=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($4); //@line 943 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE7destroyEPtS3_($5, $6); //@line 943 "./jsvector.h"
      var $7=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE18usingInlineStorageEv($4); //@line 944 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 944 "./jsvector.h"
    case 2: 
      var $9=$4; //@line 945 "./jsvector.h"
      var $10=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($4); //@line 945 "./jsvector.h"
      var $11=$10; //@line 945 "./jsvector.h"
      __ZN2js18ContextAllocPolicy5free_EPv($9, $11); //@line 945 "./jsvector.h"
      __label__ = 3; break; //@line 945 "./jsvector.h"
    case 3: 
      var $13=$3; //@line 948 "./jsvector.h"
      var $14=(($13)>>>0) <= 32; //@line 948 "./jsvector.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 948 "./jsvector.h"
    case 4: 
      var $16=(($4+16)|0); //@line 954 "./jsvector.h"
      var $17=__ZN7mozilla14AlignedStorageILj64EE4addrEv($16); //@line 954 "./jsvector.h"
      var $18=$17; //@line 954 "./jsvector.h"
      var $19=(($4+4)|0); //@line 954 "./jsvector.h"
      HEAP32[(($19)>>2)]=$18; //@line 954 "./jsvector.h"
      var $20=$3; //@line 955 "./jsvector.h"
      var $21=(($4+8)|0); //@line 955 "./jsvector.h"
      HEAP32[(($21)>>2)]=$20; //@line 955 "./jsvector.h"
      var $22=(($4+12)|0); //@line 956 "./jsvector.h"
      HEAP32[(($22)>>2)]=32; //@line 956 "./jsvector.h"
      var $23=(($4+4)|0); //@line 957 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 957 "./jsvector.h"
      var $25=$2; //@line 957 "./jsvector.h"
      var $26=$2; //@line 957 "./jsvector.h"
      var $27=$3; //@line 957 "./jsvector.h"
      var $28=(($26+($27<<1))|0); //@line 957 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_($24, $25, $28); //@line 957 "./jsvector.h"
      var $29=$2; //@line 958 "./jsvector.h"
      var $30=$2; //@line 958 "./jsvector.h"
      var $31=$3; //@line 958 "./jsvector.h"
      var $32=(($30+($31<<1))|0); //@line 958 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE7destroyEPtS3_($29, $32); //@line 958 "./jsvector.h"
      var $33=$4; //@line 959 "./jsvector.h"
      var $34=$2; //@line 959 "./jsvector.h"
      var $35=$34; //@line 959 "./jsvector.h"
      __ZN2js18ContextAllocPolicy5free_EPv($33, $35); //@line 959 "./jsvector.h"
      __label__ = 6; break; //@line 960 "./jsvector.h"
    case 5: 
      var $37=$2; //@line 961 "./jsvector.h"
      var $38=(($4+4)|0); //@line 961 "./jsvector.h"
      HEAP32[(($38)>>2)]=$37; //@line 961 "./jsvector.h"
      var $39=$3; //@line 962 "./jsvector.h"
      var $40=(($4+8)|0); //@line 962 "./jsvector.h"
      HEAP32[(($40)>>2)]=$39; //@line 962 "./jsvector.h"
      var $41=$3; //@line 963 "./jsvector.h"
      var $42=(($4+12)|0); //@line 963 "./jsvector.h"
      HEAP32[(($42)>>2)]=$41; //@line 963 "./jsvector.h"
      __label__ = 6; break;
    case 6: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 968 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 968 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16replaceRawBufferEPtj["X"]=1;

function __ZN2js12AutoIdRooterC1EP9JSContexti($this, $cx, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$id;
  var $4=$1;
  var $5=$2; //@line 1654 "./jscntxt.h"
  var $6=$3; //@line 1654 "./jscntxt.h"
  __ZN2js12AutoIdRooterC2EP9JSContexti($4, $5, $6); //@line 1654 "./jscntxt.h"
  ;
  return; //@line 1654 "./jscntxt.h"
}


function __ZNK2JS5Value6isTrueEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 433 "./jsapi.h"
  var $5=$2; //@line 433 "./jsapi.h"
  var $6=$4; //@line 433 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 433 "./jsapi.h"
  var $7=_JSVAL_IS_SPECIFIC_BOOLEAN407($2, 1); //@line 433 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 433 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 433 "./jsapi.h"
}


function __ZN2js12AutoIdRooterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12AutoIdRooterD2Ev($2); //@line 1646 "./jscntxt.h"
  ;
  return; //@line 1646 "./jscntxt.h"
}


function __ZN2js12AutoIdRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1646 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($3); //@line 1646 "./jscntxt.h"
  ;
  return; //@line 1646 "./jscntxt.h"
}


function __ZN2js12AutoIdRooterC2EP9JSContexti($this, $cx, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$id;
      var $4=$1;
      var $5=$4; //@line 1652 "./jscntxt.h"
      var $6=$2; //@line 1652 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($5, $6, -11); //@line 1652 "./jscntxt.h"
      var $7=(($4+12)|0); //@line 1652 "./jscntxt.h"
      var $8=$3; //@line 1652 "./jscntxt.h"
      HEAP32[(($7)>>2)]=$8; //@line 1652 "./jscntxt.h"
      __label__ = 2; break; //@line 1653 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1653 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1654 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $5=(($2+4)|0); //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$7; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  __ZN9JSContext5free_EPv($4, $8); //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2js15AutoArrayRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1618 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($3); //@line 1618 "./jscntxt.h"
  ;
  return; //@line 1618 "./jscntxt.h"
}


function _DOUBLE_TO_JSVAL_IMPL409($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZN2JS5Value12getDoubleRefEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 275 "./jsapi.h"
  var $4=$3; //@line 275 "./jsapi.h"
  ;
  return $4; //@line 275 "./jsapi.h"
}


function _STRING_TO_JSVAL_IMPL410($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL411($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL413($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL414($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function __ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorC2ES1_RS4_($this, $cx, $vec) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$vec;
  var $4=$1;
  var $5=(($4)|0); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$2; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($5)>>2)]=$6; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=(($4+4)|0); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$3; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function _OBJECT_TO_JSVAL_IMPL415($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL416($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL417($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function __ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE($sid) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$sid;
  var $2=$1; //@line 147 "./jsclass.h"
  var $3=(($2)|0); //@line 147 "./jsclass.h"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "./jsclass.h"
  $id=$4; //@line 147 "./jsclass.h"
  var $5=$id; //@line 152 "./jsclass.h"
  ;
  return $5; //@line 152 "./jsclass.h"
}


function __ZN2JSL11DoubleValueEd408($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 710 "./jsapi.h"
  __ZN2JS5Value9setDoubleEd($agg_result, $2); //@line 710 "./jsapi.h"
  ;
  return; //@line 711 "./jsapi.h"
}


function __Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($cx, $v, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$idp;
      var $5=$2; //@line 75 "./jsatominlines.h"
      var $6=$3; //@line 75 "./jsatominlines.h"
      var $7=__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($5, $6, $atom); //@line 75 "./jsatominlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsatominlines.h"
    case 2: 
      var $9=HEAP32[(($atom)>>2)]; //@line 76 "./jsatominlines.h"
      var $10=__ZL12ATOM_TO_JSIDP6JSAtom354($9); //@line 76 "./jsatominlines.h"
      var $11=$4; //@line 76 "./jsatominlines.h"
      HEAP32[(($11)>>2)]=$10; //@line 76 "./jsatominlines.h"
      $1=1; //@line 77 "./jsatominlines.h"
      __label__ = 4; break; //@line 77 "./jsatominlines.h"
    case 3: 
      $1=0; //@line 79 "./jsatominlines.h"
      __label__ = 4; break; //@line 79 "./jsatominlines.h"
    case 4: 
      var $14=$1; //@line 80 "./jsatominlines.h"
      STACKTOP = __stackBase__;
      return $14; //@line 80 "./jsatominlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($cx, $v, $atomp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $anchor=__stackBase__;
      var $5;
      var $str1;
      $2=$cx;
      $3=$v;
      $4=$atomp;
      var $6=$3; //@line 52 "./jsatominlines.h"
      var $7=__ZNK2JS5Value8isStringEv($6); //@line 52 "./jsatominlines.h"
      if ($7) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 52 "./jsatominlines.h"
    case 2: 
      var $9=$2; //@line 53 "./jsatominlines.h"
      var $10=$3; //@line 53 "./jsatominlines.h"
      var $11=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($9, $10); //@line 53 "./jsatominlines.h"
      $str=$11; //@line 53 "./jsatominlines.h"
      var $12=$str; //@line 54 "./jsatominlines.h"
      var $13=(($12)|0)!=0; //@line 54 "./jsatominlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 54 "./jsatominlines.h"
    case 3: 
      $1=0; //@line 55 "./jsatominlines.h"
      __label__ = 8; break; //@line 55 "./jsatominlines.h"
    case 4: 
      var $16=$str; //@line 56 "./jsatominlines.h"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $16); //@line 56 "./jsatominlines.h"
      var $17=$2; //@line 57 "./jsatominlines.h"
      var $18=$str; //@line 57 "./jsatominlines.h"
      var $19=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($17, $18, 0); //@line 57 "./jsatominlines.h"
      var $20=$4; //@line 57 "./jsatominlines.h"
      HEAP32[(($20)>>2)]=$19; //@line 57 "./jsatominlines.h"
      var $21=$4; //@line 58 "./jsatominlines.h"
      var $22=HEAP32[(($21)>>2)]; //@line 58 "./jsatominlines.h"
      var $23=(($22)|0)!=0; //@line 58 "./jsatominlines.h"
      var $24=$23 ^ 1; //@line 58 "./jsatominlines.h"
      var $25=$24 ^ 1; //@line 58 "./jsatominlines.h"
      $1=$25; //@line 58 "./jsatominlines.h"
      $5=1;
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 59 "./jsatominlines.h"
      __label__ = 8; break;
    case 5: 
      var $27=$3; //@line 61 "./jsatominlines.h"
      var $28=__ZNK2JS5Value8toStringEv($27); //@line 61 "./jsatominlines.h"
      $str1=$28; //@line 61 "./jsatominlines.h"
      var $29=$str1; //@line 62 "./jsatominlines.h"
      var $30=__ZNK8JSString6isAtomEv($29); //@line 62 "./jsatominlines.h"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 62 "./jsatominlines.h"
    case 6: 
      var $32=$str1; //@line 63 "./jsatominlines.h"
      var $33=__ZNK8JSString6asAtomEv($32); //@line 63 "./jsatominlines.h"
      var $34=$4; //@line 63 "./jsatominlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 63 "./jsatominlines.h"
      $1=1; //@line 64 "./jsatominlines.h"
      __label__ = 8; break; //@line 64 "./jsatominlines.h"
    case 7: 
      var $36=$2; //@line 67 "./jsatominlines.h"
      var $37=$str1; //@line 67 "./jsatominlines.h"
      var $38=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($36, $37, 0); //@line 67 "./jsatominlines.h"
      var $39=$4; //@line 67 "./jsatominlines.h"
      HEAP32[(($39)>>2)]=$38; //@line 67 "./jsatominlines.h"
      var $40=$4; //@line 68 "./jsatominlines.h"
      var $41=HEAP32[(($40)>>2)]; //@line 68 "./jsatominlines.h"
      var $42=(($41)|0)!=0; //@line 68 "./jsatominlines.h"
      var $43=$42 ^ 1; //@line 68 "./jsatominlines.h"
      var $44=$43 ^ 1; //@line 68 "./jsatominlines.h"
      $1=$44; //@line 68 "./jsatominlines.h"
      __label__ = 8; break; //@line 68 "./jsatominlines.h"
    case 8: 
      var $46=$1; //@line 69 "./jsatominlines.h"
      STACKTOP = __stackBase__;
      return $46; //@line 69 "./jsatominlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom["X"]=1;

function __ZN11CompareArgsD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  __ZN2js15InvokeArgsGuardD1Ev($3); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  ;
  return; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN11CompareArgsC2EP9JSContextN2JS5ValueE($this, $cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $fval=__stackBase__;
  $2=$this;
  $3=$cx;
  var $4=$fval;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2;
  var $7=(($6)|0); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=$3; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $9=(($6+4)|0); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  __ZN2js15InvokeArgsGuardC1Ev($9); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $10=(($6+32)|0); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $11=$10; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $12=$fval; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j412($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<3))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js15ArgumentsObject10getElementEjPN2JS5ValueE($this, $i, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fp;
      $2=$this;
      $3=$i;
      $4=$vp;
      var $5=$2;
      var $6=$3; //@line 676 "./vm/Stack-inl.h"
      var $7=__ZNK2js15ArgumentsObject13initialLengthEv($5); //@line 676 "./vm/Stack-inl.h"
      var $8=(($6)>>>0) >= (($7)>>>0); //@line 676 "./vm/Stack-inl.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 676 "./vm/Stack-inl.h"
    case 2: 
      $1=0; //@line 677 "./vm/Stack-inl.h"
      __label__ = 10; break; //@line 677 "./vm/Stack-inl.h"
    case 3: 
      var $11=$4; //@line 679 "./vm/Stack-inl.h"
      var $12=$3; //@line 679 "./vm/Stack-inl.h"
      var $13=__ZNK2js15ArgumentsObject7elementEj($5, $12); //@line 679 "./vm/Stack-inl.h"
      var $14=$11; //@line 679 "./vm/Stack-inl.h"
      var $15=$13; //@line 679 "./vm/Stack-inl.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 679 "./vm/Stack-inl.h"
      var $16=$4; //@line 685 "./vm/Stack-inl.h"
      var $17=__ZNK2JS5Value7isMagicE10JSWhyMagic($16, 1); //@line 685 "./vm/Stack-inl.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 685 "./vm/Stack-inl.h"
    case 4: 
      $1=0; //@line 686 "./vm/Stack-inl.h"
      __label__ = 10; break; //@line 686 "./vm/Stack-inl.h"
    case 5: 
      var $20=__ZNK2js15ArgumentsObject7onTraceEv($5); //@line 692 "./vm/Stack-inl.h"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 692 "./vm/Stack-inl.h"
    case 6: 
      $1=0; //@line 693 "./vm/Stack-inl.h"
      __label__ = 10; break; //@line 693 "./vm/Stack-inl.h"
    case 7: 
      var $23=__ZNK2js15ArgumentsObject15maybeStackFrameEv($5); //@line 700 "./vm/Stack-inl.h"
      $fp=$23; //@line 700 "./vm/Stack-inl.h"
      var $24=$fp; //@line 702 "./vm/Stack-inl.h"
      var $25=(($24)|0)!=0; //@line 702 "./vm/Stack-inl.h"
      if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 702 "./vm/Stack-inl.h"
    case 8: 
      var $27=$4; //@line 703 "./vm/Stack-inl.h"
      var $28=$fp; //@line 703 "./vm/Stack-inl.h"
      var $29=$3; //@line 703 "./vm/Stack-inl.h"
      var $30=__ZNK2js10StackFrame18canonicalActualArgEj($28, $29); //@line 703 "./vm/Stack-inl.h"
      var $31=$27; //@line 703 "./vm/Stack-inl.h"
      var $32=$30; //@line 703 "./vm/Stack-inl.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 703 "./vm/Stack-inl.h"
      __label__ = 9; break; //@line 703 "./vm/Stack-inl.h"
    case 9: 
      $1=1; //@line 704 "./vm/Stack-inl.h"
      __label__ = 10; break; //@line 704 "./vm/Stack-inl.h"
    case 10: 
      var $35=$1; //@line 705 "./vm/Stack-inl.h"
      ;
      return $35; //@line 705 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js15ArgumentsObject7elementEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 97 "./vm/ArgumentsObject-inl.h"
  var $5=__ZNK2js15ArgumentsObject4dataEv($3); //@line 97 "./vm/ArgumentsObject-inl.h"
  var $6=(($5+8)|0); //@line 97 "./vm/ArgumentsObject-inl.h"
  var $7=(($6+($4<<3))|0); //@line 97 "./vm/ArgumentsObject-inl.h"
  ;
  return $7; //@line 97 "./vm/ArgumentsObject-inl.h"
}


function __ZNK2js15ArgumentsObject7onTraceEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 129 "./vm/ArgumentsObject-inl.h"
  var $4=__ZNK8JSObject10getPrivateEv($3); //@line 129 "./vm/ArgumentsObject-inl.h"
  var $5=(($4)|0)==41254; //@line 129 "./vm/ArgumentsObject-inl.h"
  ;
  return $5; //@line 129 "./vm/ArgumentsObject-inl.h"
}


function __ZNK2js15ArgumentsObject15maybeStackFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 116 "./vm/ArgumentsObject-inl.h"
  var $4=__ZNK8JSObject10getPrivateEv($3); //@line 116 "./vm/ArgumentsObject-inl.h"
  var $5=$4; //@line 116 "./vm/ArgumentsObject-inl.h"
  ;
  return $5; //@line 116 "./vm/ArgumentsObject-inl.h"
}


function __ZNK2js15ArgumentsObject4dataEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 90 "./vm/ArgumentsObject-inl.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 1); //@line 90 "./vm/ArgumentsObject-inl.h"
  var $5=__ZNK2JS5Value9toPrivateEv($4); //@line 90 "./vm/ArgumentsObject-inl.h"
  var $6=$5; //@line 90 "./vm/ArgumentsObject-inl.h"
  ;
  return $6; //@line 90 "./vm/ArgumentsObject-inl.h"
}


function __ZN2js15AutoArrayRooterC2EP9JSContextjPN2JS5ValueE($this, $cx, $len, $vec) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$len;
      $4=$vec;
      var $5=$1;
      var $6=$5; //@line 1623 "./jscntxt.h"
      var $7=$2; //@line 1623 "./jscntxt.h"
      var $8=$3; //@line 1623 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($6, $7, $8); //@line 1623 "./jscntxt.h"
      var $9=(($5+12)|0); //@line 1623 "./jscntxt.h"
      var $10=$4; //@line 1623 "./jscntxt.h"
      HEAP32[(($9)>>2)]=$10; //@line 1623 "./jscntxt.h"
      __label__ = 2; break; //@line 1624 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1624 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1626 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14AutoValueArrayD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 2505 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($3); //@line 2505 "./jscntxt.h"
  ;
  return; //@line 2505 "./jscntxt.h"
}


function __ZL19array_length_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      __label__ = 2; break; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $7=$3; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=__ZNK8JSObject7isArrayEv($7); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $10=$5; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$3; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZNK8JSObject14getArrayLengthEv($11); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=__ZN2JS5Value9setNumberEj($10, $12); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 7; break; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      __label__ = 5; break; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $16=$3; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=__ZNK8JSObject8getProtoEv($16); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $3=$17; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=(($17)|0)!=0; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=1; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 7; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $21=$1; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      ;
      return $21; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject24shrinkDenseArrayElementsEP9JSContextj($this, $cx, $cap) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$cap;
  var $4=$1;
  var $5=$2; //@line 544 "./jsobjinlines.h"
  var $6=$3; //@line 544 "./jsobjinlines.h"
  __ZN8JSObject11shrinkSlotsEP9JSContextj($4, $5, $6); //@line 544 "./jsobjinlines.h"
  ;
  return; //@line 545 "./jsobjinlines.h"
}


function __ZN2js14AutoValueArrayC2EP9JSContextPN2JS5ValueEj($this, $cx, $start, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$start;
      $4=$length;
      var $5=$1;
      var $6=$5; //@line 2514 "./jscntxt.h"
      var $7=$2; //@line 2514 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($6, $7, -2); //@line 2514 "./jscntxt.h"
      var $8=(($5+12)|0); //@line 2514 "./jscntxt.h"
      var $9=$3; //@line 2514 "./jscntxt.h"
      HEAP32[(($8)>>2)]=$9; //@line 2514 "./jscntxt.h"
      var $10=(($5+16)|0); //@line 2514 "./jscntxt.h"
      var $11=$4; //@line 2514 "./jscntxt.h"
      HEAP32[(($10)>>2)]=$11; //@line 2514 "./jscntxt.h"
      __label__ = 2; break; //@line 2515 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2515 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 2516 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_calloc418($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z13js_GetElementP9JSContextP8JSObjectjPN2JS5ValueE($cx, $obj, $index, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$vp;
  var $5=$1; //@line 294 "./jsobj.h"
  var $6=$2; //@line 294 "./jsobj.h"
  var $7=$2; //@line 294 "./jsobj.h"
  var $8=$3; //@line 294 "./jsobj.h"
  var $9=$4; //@line 294 "./jsobj.h"
  var $10=__Z13js_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE($5, $6, $7, $8, $9); //@line 294 "./jsobj.h"
  ;
  return $10; //@line 294 "./jsobj.h"
}


function __Z14js_GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 288 "./jsobj.h"
  var $6=$2; //@line 288 "./jsobj.h"
  var $7=$2; //@line 288 "./jsobj.h"
  var $8=$3; //@line 288 "./jsobj.h"
  var $9=$4; //@line 288 "./jsobj.h"
  var $10=__Z14js_GetPropertyP9JSContextP8JSObjectS2_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 288 "./jsobj.h"
  ;
  return $10; //@line 288 "./jsobj.h"
}


function __ZL19array_length_setterP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $lengthId;
      var $newlen=__stackBase__+4;
      var $d=__stackBase__+8;
      var $oldlen;
      var $oldcap;
      var $oldinit;
      var $deletion;
      var $iter;
      var $tvr=__stackBase__+16;
      var $gap;
      var $7;
      var $index=__stackBase__+32;
      var $junk=__stackBase__+36;
      $2=$cx;
      $3=$obj;
      HEAP32[(($4)>>2)]=$id;
      $5=$strict;
      $6=$vp;
      var $8=$3; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=__ZNK8JSObject7isArrayEv($8); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $11=$2; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=(($11+52)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13+209948)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($14+308)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$16; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=__ZL12ATOM_TO_JSIDP6JSAtom354($17); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $lengthId=$18; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $19=$3; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=$2; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=$lengthId; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $22=$6; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($19, $20, $21, $22, 0, 0, 1); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$23; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $25=$2; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $26=$6; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($25, $26, $newlen); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      $1=0; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $30=$2; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $31=$6; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $32=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($30, $31, $d); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      $1=0; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $35=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=HEAPU32[(($newlen)>>2)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(($36)>>>0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=$35 != $37; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $40=$2; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      _JS_ReportErrorNumber($40, 2, 0, 152, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $42=$3; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=__ZNK8JSObject14getArrayLengthEv($42); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $oldlen=$43; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=$oldlen; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=HEAP32[(($newlen)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($44)|0)==(($45)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      $1=1; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $49=$6; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $50=HEAP32[(($newlen)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $51=__ZN2JS5Value9setNumberEj($49, $50); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$oldlen; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=HEAPU32[(($newlen)>>2)]; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($52)>>>0) < (($53)>>>0); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      var $56=$3; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$2; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=HEAP32[(($newlen)>>2)]; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($56, $57, $58); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      var $60=$3; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=__ZNK8JSObject12isDenseArrayEv($60); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 14: 
      var $63=$3; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $64=__ZN8JSObject21getDenseArrayCapacityEv($63); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $oldcap=$64; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $65=$oldcap; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $66=HEAPU32[(($newlen)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=(($65)>>>0) > (($66)>>>0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $69=$3; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $70=$2; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $71=HEAP32[(($newlen)>>2)]; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject24shrinkDenseArrayElementsEP9JSContextj($69, $70, $71); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 16; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 16: 
      var $73=$3; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $74=__ZN8JSObject30getDenseArrayInitializedLengthEv($73); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $oldinit=$74; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $75=$oldinit; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $76=HEAPU32[(($newlen)>>2)]; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $77=(($75)>>>0) > (($76)>>>0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 17: 
      var $79=$3; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $80=HEAP32[(($newlen)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject30setDenseArrayInitializedLengthEj($79, $80); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $81=$2; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $82=__ZN9JSContext20typeInferenceEnabledEv($81); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($82) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 18: 
      var $84=$3; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $85=$2; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject23backfillDenseArrayHolesEP9JSContext($84, $85); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 19; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 19: 
      __label__ = 20; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 20: 
      __label__ = 51; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 21: 
      var $89=$oldlen; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $90=HEAP32[(($newlen)>>2)]; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $91=(($89-$90)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $92=(($91)>>>0) < 16777216; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($92) { __label__ = 22; break; } else { __label__ = 32; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 22: 
      __label__ = 23; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 23: 
      var $95=$oldlen; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $96=(($95-1)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $oldlen=$96; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $97=$2; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $98=(($97+52)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $100=(($99+144280)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $101=(($100)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $103=(($102)|0)!=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($103) { __label__ = 24; break; } else { var $109 = 1;__label__ = 25; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 24: 
      var $105=$2; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $106=__Z26js_InvokeOperationCallbackP9JSContext($105); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $107=(($106)|0)!=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $109 = $107;__label__ = 25; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 25: 
      var $109;
      if ($109) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 26: 
      var $111=$3; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $112=$2; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $113=$oldlen; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $114=(($113+1)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($111, $112, $114); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=0; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 27: 
      var $116=$2; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $117=$3; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $118=$oldlen; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $119=(($118)>>>0); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $120=$5; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $121=(($120)|0)!=0; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $122=__ZL18DeleteArrayElementP9JSContextP8JSObjectdb($116, $117, $119, $121); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $deletion=$122; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $123=$deletion; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $124=(($123)|0) <= 0; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($124) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 28: 
      var $126=$3; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $127=$2; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $128=$oldlen; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $129=(($128+1)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($126, $127, $129); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $130=$deletion; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $131=(($130)|0) >= 0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $132=(($131)&1); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=$132; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 29: 
      __label__ = 30; break; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 30: 
      var $135=$oldlen; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $136=HEAP32[(($newlen)>>2)]; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $137=(($135)|0)!=(($136)|0); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($137) { __label__ = 23; break; } else { __label__ = 31; break; } //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 31: 
      __label__ = 50; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 32: 
      var $140=$2; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $141=$3; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $142=_JS_NewPropertyIterator($140, $141); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $iter=$142; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $143=$iter; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $144=(($143)|0)!=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($144) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 33: 
      $1=0; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 34: 
      var $147=$2; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $148=$iter; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $147, $148); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $149=$oldlen; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $150=HEAP32[(($newlen)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $151=(($149-$150)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $gap=$151; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 35; break; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 35: 
      var $153=$2; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $154=(($153+52)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $156=(($155+144280)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $157=(($156)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $159=(($158)|0)!=0; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($159) { __label__ = 36; break; } else { var $165 = 1;__label__ = 37; break; } //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 36: 
      var $161=$2; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $162=__Z26js_InvokeOperationCallbackP9JSContext($161); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $163=(($162)|0)!=0; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $165 = $163;__label__ = 37; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 37: 
      var $165;
      if ($165) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 38: 
      var $167=$2; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $168=$iter; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $169=_JS_NextProperty($167, $168, $4); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $170=(($169)|0)!=0; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($170) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 39: 
      $1=0; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 48; break; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 40: 
      var $173=HEAP32[(($4)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $174=_JSID_IS_VOID($173); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $175=(($174)|0)!=0; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($175) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 41: 
      __label__ = 47; break; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 42: 
      var $178=HEAP32[(($4)>>2)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $179=__Z12js_IdIsIndexiPj($178, $index); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $180=(($179)|0)!=0; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($180) { __label__ = 43; break; } else { __label__ = 46; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 43: 
      var $182=HEAP32[(($index)>>2)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $183=HEAP32[(($newlen)>>2)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $184=(($182-$183)|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $185=$gap; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $186=(($184)>>>0) < (($185)>>>0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($186) { __label__ = 44; break; } else { __label__ = 46; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 44: 
      var $188=$3; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $189=$2; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $190=HEAP32[(($4)>>2)]; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $191=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($188, $189, $190, $junk, 0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $192=(($191)|0)!=0; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($192) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 45: 
      $1=0; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $7=1;
      __label__ = 48; break; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 46: 
      __label__ = 35; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 47: 
      $7=0; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 48; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 48: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 49; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 52; break;
      }
      else {
      __label__ = 53; break;
      }
      
    case 49: 
      __label__ = 50; break;
    case 50: 
      __label__ = 51; break;
    case 51: 
      var $200=$3; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $201=$2; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $202=HEAP32[(($newlen)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($200, $201, $202); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 52; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 52: 
      var $204=$1; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $204; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 53: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19array_length_setterP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZL14JSID_FROM_BITSj423($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN11JSAtomState21checkStaticInvariantsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
}


function _JSID_TO_INT420($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_TO_STRING422($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZNK2js10StackFrame13formalArgsEndEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 682 "./vm/Stack.h"
  ;
  return $3; //@line 682 "./vm/Stack.h"
}


function _BOOLEAN_TO_JSVAL_IMPL419($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO425($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail17CopyNonHoleArgsToC2EPNS_15ArgumentsObjectEPN2JS5ValueE($this, $argsobj, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$argsobj;
  $3=$dst;
  var $4=$1;
  var $5=(($4)|0); //@line 660 "./vm/Stack-inl.h"
  var $6=$2; //@line 660 "./vm/Stack-inl.h"
  HEAP32[(($5)>>2)]=$6; //@line 660 "./vm/Stack-inl.h"
  var $7=(($4+4)|0); //@line 660 "./vm/Stack-inl.h"
  var $8=$3; //@line 660 "./vm/Stack-inl.h"
  HEAP32[(($7)>>2)]=$8; //@line 660 "./vm/Stack-inl.h"
  ;
  return; //@line 660 "./vm/Stack-inl.h"
}


function _MAGIC_TO_JSVAL_IMPL426($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL427($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL428($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function __ZNK8JSObject17isStrictArgumentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1535 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1535 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js26StrictArgumentsObjectClassE)|0); //@line 1535 "./jsobj.h"
  ;
  return $5; //@line 1535 "./jsobj.h"
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 804 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 804 "./jshashtable.h"
  var $5=$4 & -2; //@line 804 "./jshashtable.h"
  var $6=$5; //@line 804 "./jshashtable.h"
  ;
  return $6; //@line 804 "./jshashtable.h"
}


function __ZL17IsDenseArrayIndexP8JSObjectj($obj, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$obj;
      $2=$index;
      var $3=$2; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $4=$1; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $5=__ZN8JSObject30getDenseArrayInitializedLengthEv($4); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=(($3)>>>0) < (($5)>>>0); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($6) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $8=$1; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=$2; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=__ZN8JSObject20getDenseArrayElementEj($8, $9); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=__ZNK2JS5Value7isMagicE10JSWhyMagic($10, 0); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$11 ^ 1; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      ;
      return $14; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject13lookupElementEP9JSContextjPPS_PP10JSProperty($this, $cx, $index, $objp, $propp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$index;
      $4=$objp;
      $5=$propp;
      var $6=$1;
      var $7=__ZNK8JSObject6getOpsEv($6); //@line 1109 "./jsobjinlines.h"
      var $8=(($7+8)|0); //@line 1109 "./jsobjinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1109 "./jsobjinlines.h"
      $op=$9; //@line 1109 "./jsobjinlines.h"
      var $10=$op; //@line 1110 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1110 "./jsobjinlines.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1110 "./jsobjinlines.h"
    case 2: 
      var $13=$op; //@line 1110 "./jsobjinlines.h"
      var $16 = $13;__label__ = 4; break; //@line 1110 "./jsobjinlines.h"
    case 3: 
      var $16 = 72;__label__ = 4; break; //@line 1110 "./jsobjinlines.h"
    case 4: 
      var $16; //@line 1110 "./jsobjinlines.h"
      var $17=$2; //@line 1110 "./jsobjinlines.h"
      var $18=$3; //@line 1110 "./jsobjinlines.h"
      var $19=$4; //@line 1110 "./jsobjinlines.h"
      var $20=$5; //@line 1110 "./jsobjinlines.h"
      var $21=FUNCTION_TABLE[$16]($17, $6, $18, $19, $20); //@line 1110 "./jsobjinlines.h"
      ;
      return $21; //@line 1110 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14IsDenseArrayIdP9JSContextP8JSObjecti($cx, $obj, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$id;
      var $4=$3; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $5=$1; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $6=(($5+52)|0); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7+209948)|0); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $9=(($8+308)|0); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=$10; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=__ZL12JSID_IS_ATOMiP6JSAtom($4, $11); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12)|0)!=0; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($13) { var $25 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $15=$3; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=__Z12js_IdIsIndexiPj($15, $i); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=(($16)|0)!=0; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($17) { __label__ = 3; break; } else { var $23 = 0;__label__ = 4; break; } //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $19=$2; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $20=HEAP32[(($i)>>2)]; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=__ZL17IsDenseArrayIndexP8JSObjectj($19, $20); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $23 = $21;__label__ = 4; break;
    case 4: 
      var $23;
      var $25 = $23;__label__ = 5; break;
    case 5: 
      var $25;
      STACKTOP = __stackBase__;
      return $25; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12JSID_TO_ATOMi421($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING422($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function _JSDOUBLE_IS_INT32424($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO425($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($this, $cx, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$index;
      $5=$vp;
      var $6=$2;
      var $7=$3; //@line 1126 "./jsobjinlines.h"
      var $8=$4; //@line 1126 "./jsobjinlines.h"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 1126 "./jsobjinlines.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1126 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1127 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1127 "./jsobjinlines.h"
    case 3: 
      var $12=$3; //@line 1128 "./jsobjinlines.h"
      var $13=HEAP32[(($id)>>2)]; //@line 1128 "./jsobjinlines.h"
      var $14=$5; //@line 1128 "./jsobjinlines.h"
      var $15=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($6, $12, $13, $14); //@line 1128 "./jsobjinlines.h"
      $1=$15; //@line 1128 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1128 "./jsobjinlines.h"
    case 4: 
      var $17=$1; //@line 1129 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $17; //@line 1129 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js15ArgumentsObject8elementsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js15ArgumentsObject4dataEv($2); //@line 103 "./vm/ArgumentsObject-inl.h"
  var $4=(($3+8)|0); //@line 103 "./vm/ArgumentsObject-inl.h"
  var $5=(($4)|0); //@line 103 "./vm/ArgumentsObject-inl.h"
  ;
  return $5; //@line 103 "./vm/ArgumentsObject-inl.h"
}


function __ZN2js10StackFrame25forEachCanonicalActualArgINS_6detail17CopyNonHoleArgsToEEEbT_jj($this, $op, $start, $count) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $op; $op = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($op)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($op+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nformal;
      var $formals;
      var $nactual;
      var $end;
      var $p;
      var $p1;
      var $actuals;
      var $p2;
      $2=$this;
      $3=$start;
      $4=$count;
      var $5=$2;
      var $6=__ZNK2js10StackFrame3funEv($5); //@line 219 "./vm/Stack-inl.h"
      var $7=(($6+56)|0); //@line 219 "./vm/Stack-inl.h"
      var $8=HEAPU16[(($7)>>1)]; //@line 219 "./vm/Stack-inl.h"
      var $9=(($8)&65535); //@line 219 "./vm/Stack-inl.h"
      $nformal=$9; //@line 219 "./vm/Stack-inl.h"
      var $10=__ZNK2js10StackFrame13formalArgsEndEv($5); //@line 222 "./vm/Stack-inl.h"
      var $11=$nformal; //@line 222 "./vm/Stack-inl.h"
      var $12=(((-$11))|0); //@line 222 "./vm/Stack-inl.h"
      var $13=(($10+($12<<3))|0); //@line 222 "./vm/Stack-inl.h"
      $formals=$13; //@line 222 "./vm/Stack-inl.h"
      var $14=__ZNK2js10StackFrame13numActualArgsEv($5); //@line 223 "./vm/Stack-inl.h"
      $nactual=$14; //@line 223 "./vm/Stack-inl.h"
      var $15=$4; //@line 224 "./vm/Stack-inl.h"
      var $16=(($15)|0)==-1; //@line 224 "./vm/Stack-inl.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 224 "./vm/Stack-inl.h"
    case 2: 
      var $18=$nactual; //@line 225 "./vm/Stack-inl.h"
      var $19=$3; //@line 225 "./vm/Stack-inl.h"
      var $20=(($18-$19)|0); //@line 225 "./vm/Stack-inl.h"
      $4=$20; //@line 225 "./vm/Stack-inl.h"
      __label__ = 3; break; //@line 225 "./vm/Stack-inl.h"
    case 3: 
      var $22=$3; //@line 227 "./vm/Stack-inl.h"
      var $23=$4; //@line 227 "./vm/Stack-inl.h"
      var $24=(($22+$23)|0); //@line 227 "./vm/Stack-inl.h"
      $end=$24; //@line 227 "./vm/Stack-inl.h"
      var $25=$end; //@line 231 "./vm/Stack-inl.h"
      var $26=$nformal; //@line 231 "./vm/Stack-inl.h"
      var $27=(($25)>>>0) <= (($26)>>>0); //@line 231 "./vm/Stack-inl.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 231 "./vm/Stack-inl.h"
    case 4: 
      var $29=$formals; //@line 232 "./vm/Stack-inl.h"
      var $30=$3; //@line 232 "./vm/Stack-inl.h"
      var $31=(($29+($30<<3))|0); //@line 232 "./vm/Stack-inl.h"
      $p=$31; //@line 232 "./vm/Stack-inl.h"
      __label__ = 5; break; //@line 233 "./vm/Stack-inl.h"
    case 5: 
      var $33=$3; //@line 233 "./vm/Stack-inl.h"
      var $34=$end; //@line 233 "./vm/Stack-inl.h"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 233 "./vm/Stack-inl.h"
      if ($35) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 233 "./vm/Stack-inl.h"
    case 6: 
      var $37=$3; //@line 234 "./vm/Stack-inl.h"
      var $38=$p; //@line 234 "./vm/Stack-inl.h"
      var $39=__ZN2js6detail17CopyNonHoleArgsToclEjPN2JS5ValueE($op, $37, $38); //@line 234 "./vm/Stack-inl.h"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 234 "./vm/Stack-inl.h"
    case 7: 
      $1=0; //@line 235 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 235 "./vm/Stack-inl.h"
    case 8: 
      __label__ = 9; break; //@line 236 "./vm/Stack-inl.h"
    case 9: 
      var $43=$p; //@line 233 "./vm/Stack-inl.h"
      var $44=(($43+8)|0); //@line 233 "./vm/Stack-inl.h"
      $p=$44; //@line 233 "./vm/Stack-inl.h"
      var $45=$3; //@line 233 "./vm/Stack-inl.h"
      var $46=(($45+1)|0); //@line 233 "./vm/Stack-inl.h"
      $3=$46; //@line 233 "./vm/Stack-inl.h"
      __label__ = 5; break; //@line 233 "./vm/Stack-inl.h"
    case 10: 
      __label__ = 24; break; //@line 237 "./vm/Stack-inl.h"
    case 11: 
      var $49=$formals; //@line 238 "./vm/Stack-inl.h"
      var $50=$3; //@line 238 "./vm/Stack-inl.h"
      var $51=(($49+($50<<3))|0); //@line 238 "./vm/Stack-inl.h"
      $p1=$51; //@line 238 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 238 "./vm/Stack-inl.h"
    case 12: 
      var $53=$3; //@line 238 "./vm/Stack-inl.h"
      var $54=$nformal; //@line 238 "./vm/Stack-inl.h"
      var $55=(($53)>>>0) < (($54)>>>0); //@line 238 "./vm/Stack-inl.h"
      if ($55) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 238 "./vm/Stack-inl.h"
    case 13: 
      var $57=$3; //@line 239 "./vm/Stack-inl.h"
      var $58=$p1; //@line 239 "./vm/Stack-inl.h"
      var $59=__ZN2js6detail17CopyNonHoleArgsToclEjPN2JS5ValueE($op, $57, $58); //@line 239 "./vm/Stack-inl.h"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 239 "./vm/Stack-inl.h"
    case 14: 
      $1=0; //@line 240 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 240 "./vm/Stack-inl.h"
    case 15: 
      __label__ = 16; break; //@line 241 "./vm/Stack-inl.h"
    case 16: 
      var $63=$p1; //@line 238 "./vm/Stack-inl.h"
      var $64=(($63+8)|0); //@line 238 "./vm/Stack-inl.h"
      $p1=$64; //@line 238 "./vm/Stack-inl.h"
      var $65=$3; //@line 238 "./vm/Stack-inl.h"
      var $66=(($65+1)|0); //@line 238 "./vm/Stack-inl.h"
      $3=$66; //@line 238 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 238 "./vm/Stack-inl.h"
    case 17: 
      var $68=$formals; //@line 243 "./vm/Stack-inl.h"
      var $69=$nactual; //@line 243 "./vm/Stack-inl.h"
      var $70=(($69+2)|0); //@line 243 "./vm/Stack-inl.h"
      var $71=(((-$70))|0); //@line 243 "./vm/Stack-inl.h"
      var $72=(($68+($71<<3))|0); //@line 243 "./vm/Stack-inl.h"
      var $73=$3; //@line 243 "./vm/Stack-inl.h"
      var $74=(($72+($73<<3))|0); //@line 243 "./vm/Stack-inl.h"
      $actuals=$74; //@line 243 "./vm/Stack-inl.h"
      var $75=$actuals; //@line 244 "./vm/Stack-inl.h"
      $p2=$75; //@line 244 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 244 "./vm/Stack-inl.h"
    case 18: 
      var $77=$3; //@line 244 "./vm/Stack-inl.h"
      var $78=$end; //@line 244 "./vm/Stack-inl.h"
      var $79=(($77)>>>0) < (($78)>>>0); //@line 244 "./vm/Stack-inl.h"
      if ($79) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 244 "./vm/Stack-inl.h"
    case 19: 
      var $81=$3; //@line 245 "./vm/Stack-inl.h"
      var $82=$p2; //@line 245 "./vm/Stack-inl.h"
      var $83=__ZN2js6detail17CopyNonHoleArgsToclEjPN2JS5ValueE($op, $81, $82); //@line 245 "./vm/Stack-inl.h"
      if ($83) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 245 "./vm/Stack-inl.h"
    case 20: 
      $1=0; //@line 246 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 246 "./vm/Stack-inl.h"
    case 21: 
      __label__ = 22; break; //@line 247 "./vm/Stack-inl.h"
    case 22: 
      var $87=$p2; //@line 244 "./vm/Stack-inl.h"
      var $88=(($87+8)|0); //@line 244 "./vm/Stack-inl.h"
      $p2=$88; //@line 244 "./vm/Stack-inl.h"
      var $89=$3; //@line 244 "./vm/Stack-inl.h"
      var $90=(($89+1)|0); //@line 244 "./vm/Stack-inl.h"
      $3=$90; //@line 244 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 244 "./vm/Stack-inl.h"
    case 23: 
      __label__ = 24; break;
    case 24: 
      $1=1; //@line 249 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 249 "./vm/Stack-inl.h"
    case 25: 
      var $94=$1; //@line 250 "./vm/Stack-inl.h"
      STACKTOP = __stackBase__;
      return $94; //@line 250 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10StackFrame25forEachCanonicalActualArgINS_6detail17CopyNonHoleArgsToEEEbT_jj["X"]=1;

function __ZN2js6detail17CopyNonHoleArgsToC1EPNS_15ArgumentsObjectEPN2JS5ValueE($this, $argsobj, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$argsobj;
  $3=$dst;
  var $4=$1;
  var $5=$2; //@line 660 "./vm/Stack-inl.h"
  var $6=$3; //@line 660 "./vm/Stack-inl.h"
  __ZN2js6detail17CopyNonHoleArgsToC2EPNS_15ArgumentsObjectEPN2JS5ValueE($4, $5, $6); //@line 660 "./vm/Stack-inl.h"
  ;
  return; //@line 660 "./vm/Stack-inl.h"
}


function __ZN2js6detail17CopyNonHoleArgsToclEjPN2JS5ValueE($this, $argi, $src) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$argi;
      $4=$src;
      var $5=$2;
      var $6=(($5)|0); //@line 664 "./vm/Stack-inl.h"
      var $7=HEAP32[(($6)>>2)]; //@line 664 "./vm/Stack-inl.h"
      var $8=$3; //@line 664 "./vm/Stack-inl.h"
      var $9=__ZNK2js15ArgumentsObject7elementEj($7, $8); //@line 664 "./vm/Stack-inl.h"
      var $10=__ZNK2JS5Value7isMagicE10JSWhyMagic($9, 1); //@line 664 "./vm/Stack-inl.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 664 "./vm/Stack-inl.h"
    case 2: 
      $1=0; //@line 665 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 665 "./vm/Stack-inl.h"
    case 3: 
      var $13=(($5+4)|0); //@line 666 "./vm/Stack-inl.h"
      var $14=HEAP32[(($13)>>2)]; //@line 666 "./vm/Stack-inl.h"
      var $15=(($14+8)|0); //@line 666 "./vm/Stack-inl.h"
      HEAP32[(($13)>>2)]=$15; //@line 666 "./vm/Stack-inl.h"
      var $16=$4; //@line 666 "./vm/Stack-inl.h"
      var $17=$14; //@line 666 "./vm/Stack-inl.h"
      var $18=$16; //@line 666 "./vm/Stack-inl.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 666 "./vm/Stack-inl.h"
      $1=1; //@line 667 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 667 "./vm/Stack-inl.h"
    case 4: 
      var $20=$1; //@line 668 "./vm/Stack-inl.h"
      ;
      return $20; //@line 668 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12BigIndexToIdP9JSContextP8JSObjectjiPi($cx, $obj, $index, $createAtom, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $buf=__stackBase__;
      var $start;
      var $atom;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$createAtom;
      $6=$idp;
      var $7=(($buf)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $8=(($7+20)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $start=$8; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 2; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 2: 
      var $10=$start; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $11=(($10-2)|0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $start=$11; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $12=$4; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $13=(($12)>>>0)%10; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $14=(($13+48)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $15=(($14) & 65535); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $16=$start; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP16[(($16)>>1)]=$15; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $17=$4; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $18=Math.floor((($17)>>>0)/10); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $4=$18; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 3; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 3: 
      var $20=$4; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $21=(($20)|0)!=0; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 4: 
      var $23=$5; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $24=(($23)|0)!=0; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($24) { __label__ = 11; break; } else { __label__ = 5; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 5: 
      var $26=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $27=__ZNK8JSObject11isSlowArrayEv($26); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 6: 
      var $29=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $30=__ZNK8JSObject11isArgumentsEv($29); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 7: 
      var $32=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $33=__ZNK8JSObject8isObjectEv($32); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 8: 
      var $35=$2; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $36=$start; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $37=(($buf)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $38=(($37+20)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $39=$start; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $40=$38; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $41=$39; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $42=(($40-$41)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $43=(((($42)|0)/2)&-1); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $44=__Z24js_GetExistingStringAtomP9JSContextPKtj($35, $36, $43); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $atom=$44; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $45=$atom; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $46=(($45)|0)!=0; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 9: 
      var $48=$6; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($48)>>2)]=2; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 10: 
      __label__ = 14; break; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 11: 
      var $51=$2; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $52=$start; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $53=(($buf)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $54=(($53+20)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $55=$start; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $56=$54; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $57=$55; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $58=(($56-$57)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $59=(((($58)|0)/2)&-1); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $60=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($51, $52, $59, 0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $atom=$60; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $61=$atom; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $62=(($61)|0)!=0; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      if ($62) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 12: 
      $1=0; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $66=$atom; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $67=__ZL12ATOM_TO_JSIDP6JSAtom354($66); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      var $68=$6; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      HEAP32[(($68)>>2)]=$67; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      $1=1; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      __label__ = 15; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    case 15: 
      var $70=$1; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
      STACKTOP = __stackBase__;
      return $70; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12BigIndexToIdP9JSContextP8JSObjectjiPi["X"]=1;

function __ZL18ReallyBigIndexToIdP9JSContextdPi($cx, $index, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$cx;
  $2=$index;
  $3=$idp;
  var $5=$1; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $6=$2; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  __ZN2JSL11DoubleValueEd408($4, $6); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $7=$3; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  var $8=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($5, $4, $7); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsarray.cpp"
}


function __ZN2js15AutoValueRooterC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$3; //@line 1511 "./jscntxt.h"
      var $5=$2; //@line 1511 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($4, $5, -1); //@line 1511 "./jscntxt.h"
      var $6=(($3+16)|0); //@line 1511 "./jscntxt.h"
      __ZN2JSL9NullValueEv429($6); //@line 1510 "./jscntxt.h"
      __label__ = 2; break; //@line 1512 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1512 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1513 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL9NullValueEv429($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($cx, $atom, $bytes) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$cx;
  $2=$atom;
  $3=$bytes;
  var $5=$1; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $6=$2; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $7=$6; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  __ZN2JSL11StringValueEP8JSString478($4, $7); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $8=$3; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $9=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($5, $4, $8, 0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  STACKTOP = __stackBase__;
  return $9; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
}


function __ZN2JSL11StringValueEP8JSString478($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __Z16js_InitAtomStateP9JSRuntime($rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $state;
      $2=$rt;
      var $3=$2; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $4=(($3+209948)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $state=$4; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $5=$state; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $6=(($5)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $7=__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE4initEj($6, 1024); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      $1=0; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 4; break; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      $1=1; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 4; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $11=$1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      ;
      return $11; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __Z18js_FinishAtomStateP9JSRuntime($rt) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $state;
      var $r=__stackBase__;
      $1=$rt;
      var $2=$1; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $3=(($2+209948)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $state=$3; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $4=$state; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $5=(($4)|0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $6=__ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE11initializedEv($5); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      __label__ = 7; break; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $9=$state; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $10=(($9)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE3allEv($r, $10); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 4; break; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $12=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=$12 ^ 1; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $15=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=__ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv($15); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=$1; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN6JSAtom8finalizeEP9JSRuntime($16, $17); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 6; break; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 4; break; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1214 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11initializedEv($3); //@line 1214 "./jshashtable.h"
  ;
  return $4; //@line 1214 "./jshashtable.h"
}


function __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1291 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv($agg_result, $3); //@line 1291 "./jshashtable.h"
  ;
  return; //@line 1291 "./jshashtable.h"
}


function __ZN6JSAtom8finalizeEP9JSRuntime($this, $rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$rt;
      var $3=$1;
      var $4=$3; //@line 342 "./vm/String-inl.h"
      var $5=__ZNK2js2gc4Cell12getAllocKindEv($4); //@line 342 "./vm/String-inl.h"
      var $6=(($5)|0)==18; //@line 342 "./vm/String-inl.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 342 "./vm/String-inl.h"
    case 2: 
      var $8=$3; //@line 343 "./vm/String-inl.h"
      var $9=__ZN8JSString6asFlatEv($8); //@line 343 "./vm/String-inl.h"
      var $10=$2; //@line 343 "./vm/String-inl.h"
      __ZN12JSFlatString8finalizeEP9JSRuntime($9, $10); //@line 343 "./vm/String-inl.h"
      __label__ = 4; break; //@line 343 "./vm/String-inl.h"
    case 3: 
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 346 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+8)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSAtomState9junkAtomsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 363 "./jsatom.h"
}


function __ZN6JSAtom14asPropertyNameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 811 "./vm/String.h"
  ;
  return $3; //@line 811 "./vm/String.h"
}


function __ZN11JSAtomState16commonAtomsStartEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 366 "./jsatom.h"
  var $4=$3; //@line 366 "./jsatom.h"
  ;
  return $4; //@line 366 "./jsatom.h"
}


function __ZNK2js18TaggedPointerEntryI6JSAtomE8isTaggedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 791 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 791 "./jshashtable.h"
  var $5=$4 & 1; //@line 791 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 791 "./jshashtable.h"
  ;
  return $6; //@line 791 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js18TaggedPointerEntryI6JSAtomE9setTaggedEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 799 "./jshashtable.h"
  var $6=(($5) & 1); //@line 799 "./jshashtable.h"
  var $7=(($6)&1); //@line 799 "./jshashtable.h"
  var $8=(($4)|0); //@line 799 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 799 "./jshashtable.h"
  var $10=$9 | $7; //@line 799 "./jshashtable.h"
  HEAP32[(($8)>>2)]=$10; //@line 799 "./jshashtable.h"
  ;
  return; //@line 800 "./jshashtable.h"
}


function __Z18js_InitCommonAtomsP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $state;
      var $atoms;
      var $i;
      var $atom;
      $2=$cx;
      var $3=$2; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $4=(($3+52)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $6=(($5+209948)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $state=$6; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $7=$state; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=__ZN11JSAtomState16commonAtomsStartEv($7); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atoms=$8; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $i=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 2; break; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $10=$i; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $11=(($10)>>>0) < 131; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $13=$2; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $14=$i; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=((_js_common_atom_names+($14<<2))|0); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=$i; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $18=((_js_common_atom_names+($17<<2))|0); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $20=_strlen($19); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($13, $16, $20, 1, 0); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom=$21; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $22=$atom; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=(($22)|0)!=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      $1=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $26=$atom; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $27=__ZN6JSAtom14asPropertyNameEv($26); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $28=$27; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $29=$atoms; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($29)>>2)]=$28; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 6; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $31=$i; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $32=(($31+1)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $i=$32; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $33=$atoms; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $34=(($33+4)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atoms=$34; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 2; break; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      var $36=$state; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN11JSAtomState14clearLazyAtomsEv($36); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $37=$state; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $38=(($37+24)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $40=$39; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $41=$2; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $42=(($41+52)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $44=(($43+144136)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($44)>>2)]=$40; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=1; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      var $46=$1; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      ;
      return $46; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_InitCommonAtomsP9JSContext["X"]=1;

function __Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($cx, $bytes, $length, $ib, $fc) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $inflated=__stackBase__;
      var $inflatedLength=__stackBase__+64;
      var $chars=__stackBase__+68;
      var $ocb;
      var $atom;
      $2=$cx;
      $3=$bytes;
      $4=$length;
      $5=$ib;
      $6=$fc;
      var $7=$2; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=$4; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $9=__ZN2jsL17CheckStringLengthEP9JSContextj489($7, $8); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      $1=0; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 15; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      HEAP32[(($inflatedLength)>>2)]=31; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $ocb=0; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$4; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=(($12)>>>0) < 32; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $15=$6; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=(($15)|0)==1; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $18=$2; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $19=$3; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $20=$4; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=(($inflated)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $22=$6; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=__ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE($18, $19, $20, $21, $inflatedLength, $22); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 7; break; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $25=$2; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $26=$3; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $27=$4; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $28=(($inflated)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $29=__ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj($25, $26, $27, $28, $inflatedLength); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 7; break;
    case 7: 
      var $31=HEAP32[(($inflatedLength)>>2)]; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $32=(($inflated+($31<<1))|0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP16[(($32)>>1)]=0; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $33=(($inflated)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($chars)>>2)]=$33; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 11; break; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      var $35=$4; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($inflatedLength)>>2)]=$35; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $36=$2; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $37=$3; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $38=$6; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $39=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($36, $37, $inflatedLength, $38); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($chars)>>2)]=$39; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $40=HEAP32[(($chars)>>2)]; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $41=(($40)|0)!=0; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 9: 
      $1=0; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 15; break; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 10: 
      $ocb=1; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $46=HEAP32[(($inflatedLength)>>2)]; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $47=$5; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $48=$ocb; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $49=__ZL7AtomizeP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior($45, $chars, $46, $47, $48); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom=$49; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $50=$ocb; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $51=(($50)|0)==1; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 12: 
      var $53=HEAP32[(($chars)>>2)]; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $54=(($53)|0)!=0; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($54) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 13: 
      var $56=$2; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $57=HEAP32[(($chars)>>2)]; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $58=$57; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN9JSContext5free_EPv($56, $58); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 14; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 14: 
      var $60=$atom; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$60; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 15; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 15: 
      var $62=$1; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE["X"]=1;

function __ZN11JSAtomState14clearLazyAtomsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+548)|0); //@line 356 "./jsatom.h"
  var $4=$3; //@line 356 "./jsatom.h"
  _memset($4, 0, 88, 1); //@line 356 "./jsatom.h"
  ;
  return; //@line 357 "./jsatom.h"
}


function __Z20js_FinishCommonAtomsP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $3=(($2+52)|0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $5=(($4+144136)|0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  HEAP32[(($5)>>2)]=0; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $6=$1; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $7=(($6+52)|0); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $9=(($8+209948)|0); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  __ZN11JSAtomState9junkAtomsEv($9); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  ;
  return; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
}


function __Z17js_TraceAtomStateP8JSTracer($trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $state;
      var $r=__stackBase__;
      var $r1=__stackBase__+8;
      var $entry=__stackBase__+16;
      $1=$trc;
      var $2=$1; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $3=(($2)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $5=(($4+52)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $rt=$6; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $7=$rt; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=(($7+209948)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $state=$8; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $9=$rt; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $10=(($9+136)|0); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=(($11)|0)!=0; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $14=$state; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=(($14)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE3allEv($r, $15); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 3; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $17=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $18=$17 ^ 1; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      __label__ = 5; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      __label__ = 6; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $22=$1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $24=__ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv($23); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $25=$24; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSString($22, $25); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 7; break; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 3; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      __label__ = 18; break; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 9: 
      var $29=$state; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $30=(($29)|0); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE3allEv($r1, $30); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 10; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 10: 
      var $32=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r1); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $33=$32 ^ 1; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 11: 
      var $35=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r1); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js18TaggedPointerEntryI6JSAtomEC1ERKS2_($entry, $35); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $36=__ZNK2js18TaggedPointerEntryI6JSAtomE8isTaggedEv($entry); //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($36) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 12: 
      __label__ = 16; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 13: 
      __label__ = 14; break; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 14: 
      __label__ = 15; break; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 15: 
      var $41=$1; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $42=__ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv($entry); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $43=$42; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSString($41, $43); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 16; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 16: 
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r1); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 10; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      STACKTOP = __stackBase__;
      return; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_TraceAtomStateP8JSTracer["X"]=1;

function __ZN2js18TaggedPointerEntryI6JSAtomEC1ERKS2_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 783 "./jshashtable.h"
  __ZN2js18TaggedPointerEntryI6JSAtomEC2ERKS2_($3, $4); //@line 783 "./jshashtable.h"
  ;
  return; //@line 783 "./jshashtable.h"
}


function __Z17js_SweepAtomStateP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $state;
      var $e=__stackBase__;
      var $2;
      var $entry=__stackBase__+16;
      $1=$cx;
      var $3=$1; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $4=(($3+52)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $6=(($5+209948)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $state=$6; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $7=$state; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=(($7)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_($e, $8); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 2; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $10=$e; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $11=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($10); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$11 ^ 1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      $2=2;
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev($e); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 10; break;
    case 4: 
      var $15=$e; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($15); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js18TaggedPointerEntryI6JSAtomEC1ERKS2_($entry, $16); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=__ZNK2js18TaggedPointerEntryI6JSAtomE8isTaggedEv($entry); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      __label__ = 9; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $20=$1; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=__ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv($entry); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $22=$21; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=__Z20IsAboutToBeFinalizedP9JSContextPKv($20, $22); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4Enum11removeFrontEv($e); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      __label__ = 9; break; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 9: 
      var $27=$e; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($27); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 2; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC2IS9_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS5_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __Z14AtomIsInternedP9JSContextP6JSAtom($cx, $atom) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $lock=__stackBase__;
      var $p=__stackBase__+4;
      var $4=__stackBase__+8;
      var $5=__stackBase__+20;
      var $6;
      $2=$cx;
      $3=$atom;
      var $7=$3; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=__ZN2js13StaticStrings8isStaticEP6JSAtom($7); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      $1=1; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 7; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $11=$2; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js24AutoLockAtomsCompartmentC1EP9JSContext($lock, $11); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$2; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=(($12+52)|0); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=(($14+209948)|0); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=(($15)|0); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=$3; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js10AtomHasher6LookupC1EPK6JSAtom($4, $17); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE6lookupERKNS4_6LookupE($p, $16, $4); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($5, $p); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $18={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $19=$18.f0; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $20=(($19)|0)!=0; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      $1=0; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $6=1;
      __label__ = 6; break; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $23=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrptEv($p); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $24=__ZNK2js18TaggedPointerEntryI6JSAtomE8isTaggedEv($23); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$24; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $6=1;
      __label__ = 6; break; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      __ZN2js24AutoLockAtomsCompartmentD1Ev($lock); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 7; break;
    case 7: 
      var $27=$1; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js24AutoLockAtomsCompartmentC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1833 "./jscntxt.h"
  __ZN2js24AutoLockAtomsCompartmentC2EP9JSContext($3, $4); //@line 1833 "./jscntxt.h"
  ;
  return; //@line 1833 "./jscntxt.h"
}


function __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE6lookupERKNS4_6LookupE($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1228 "./jshashtable.h"
  var $5=$2; //@line 1228 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupE($agg_result, $4, $5); //@line 1228 "./jshashtable.h"
  ;
  return; //@line 1228 "./jshashtable.h"
}


function __ZN2js10AtomHasher6LookupC1EPK6JSAtom($this, $atom) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$atom;
  var $3=$1;
  var $4=$2; //@line 177 "./jsatom.h"
  __ZN2js10AtomHasher6LookupC2EPK6JSAtom($3, $4); //@line 177 "./jsatom.h"
  ;
  return; //@line 177 "./jsatom.h"
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 74, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js24AutoLockAtomsCompartmentD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js24AutoLockAtomsCompartmentD2Ev($2); //@line 1834 "./jscntxt.h"
  ;
  return; //@line 1839 "./jscntxt.h"
}


function __Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($cx, $str, $ib) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      var $lock=__stackBase__;
      var $atoms;
      var $p=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6;
      var $length;
      var $chars=__stackBase__+20;
      $2=$cx;
      $3=$str;
      $4=$ib;
      var $7=$3; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=__ZNK8JSString6isAtomEv($7); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $10=$3; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $11=__ZNK8JSString6asAtomEv($10); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom=$11; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$4; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=(($12)|0)!=1; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $15=$atom; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=__ZN2js13StaticStrings8isStaticEP6JSAtom($15); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $18=$atom; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$18; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 11; break; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $20=$2; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js24AutoLockAtomsCompartmentC1EP9JSContext($lock, $20); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=$2; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $22=(($21+52)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $24=(($23+209948)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $25=(($24)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atoms=$25; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $26=$atoms; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $27=$atom; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js10AtomHasher6LookupC1EPK6JSAtom($5, $27); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE6lookupERKNS4_6LookupE($p, $26, $5); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $28=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrptEv($p); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $29=$4; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $30=(($29)|0)!=0; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js18TaggedPointerEntryI6JSAtomE9setTaggedEb($28, $30); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $31=$atom; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$31; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $6=1;
      __ZN2js24AutoLockAtomsCompartmentD1Ev($lock); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 11; break;
    case 6: 
      var $33=$3; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $34=__ZNK8JSString6isAtomEv($33); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      var $36=$3; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $37=__ZNK8JSString6asAtomEv($36); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$37; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 11; break; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      var $39=$3; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $40=__ZNK8JSString6lengthEv($39); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $length=$40; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $41=$3; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $42=$2; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $43=__ZN8JSString8getCharsEP9JSContext($41, $42); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($chars)>>2)]=$43; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $44=HEAP32[(($chars)>>2)]; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $45=(($44)|0)!=0; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 9: 
      $1=0; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 11; break; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 10: 
      var $48=$2; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $49=$length; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $50=$4; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $51=__ZL7AtomizeP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior($48, $chars, $49, $50, 0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$51; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 11; break; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 11: 
      var $53=$1; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE["X"]=1;

function __ZL7AtomizeP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior($cx, $pchars, $length, $ib, $ocb) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$pchars;
  $3=$length;
  $4=$ib;
  $5=$ocb;
  var $6=$1; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $7=$2; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $8=$3; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $9=$4; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $10=$5; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  var $11=__ZL13AtomizeInlineP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior($6, $7, $8, $9, $10); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
  ;
  return $11; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
}


function __ZN2jsL17CheckStringLengthEP9JSContextj489($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext523($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($cx, $chars, $length, $ib) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      $2=$cx;
      HEAP32[(($3)>>2)]=$chars;
      $4=$length;
      $5=$ib;
      var $6=$2; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $7=$4; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=__ZN2jsL17CheckStringLengthEP9JSContextj489($6, $7); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      $1=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 4; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $11=$2; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$4; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=$5; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $14=__ZL13AtomizeInlineP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior($11, $3, $12, $13, 0); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$14; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 4; break; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $16=$1; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js9InlineMapIP6JSAtomjLj24EE5asMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+200)|0); //@line 236 "./mfbt/InlineMap.h"
  ;
  return $3; //@line 236 "./mfbt/InlineMap.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js9InlineMapIP6JSAtomjLj24EE8asInlineEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 241 "./mfbt/InlineMap.h"
  var $4=(($3)|0); //@line 241 "./mfbt/InlineMap.h"
  ;
  return $4; //@line 241 "./mfbt/InlineMap.h"
}


function __ZNK2js9InlineMapIP6JSAtomjLj24EE9inlineEndEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 246 "./mfbt/InlineMap.h"
  var $4=(($3)|0); //@line 246 "./mfbt/InlineMap.h"
  var $5=(($2)|0); //@line 246 "./mfbt/InlineMap.h"
  var $6=HEAP32[(($5)>>2)]; //@line 246 "./mfbt/InlineMap.h"
  var $7=(($4+($6<<3))|0); //@line 246 "./mfbt/InlineMap.h"
  ;
  return $7; //@line 246 "./mfbt/InlineMap.h"
}


function __ZNK7mozilla9RangedPtrItE3getEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 138 "./dist/include/mozilla/RangedPtr.h"
  var $4=HEAP32[(($3)>>2)]; //@line 138 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $4; //@line 138 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK7mozilla9RangedPtrItEmiERKS1_($this, $other) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  var $2=__stackBase__+4;
  var $3;
  var $4;
  $3=$this;
  $4=$other;
  var $5=$3;
  var $6=$4; //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($6)|0); //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $8=HEAP32[(($7)>>2)]; //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $9=(($5)|0); //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $10=HEAP32[(($9)>>2)]; //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $11=$1;
  var $12=$2;
  HEAP32[(($1)>>2)]=$8;
  HEAP32[(($2)>>2)]=$10;
  var $13=HEAP32[(($2)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
  var $14=$13; //@line 330 "./dist/include/mozilla/Util.h"
  var $15=HEAP32[(($1)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
  var $16=$15; //@line 330 "./dist/include/mozilla/Util.h"
  var $17=(($14-$16)|0); //@line 330 "./dist/include/mozilla/Util.h"
  var $18=Math.floor((($17)>>>0)/2); //@line 330 "./dist/include/mozilla/Util.h"
  var $19=$1; //@line 330 "./dist/include/mozilla/Util.h"
  var $20=$2; //@line 330 "./dist/include/mozilla/Util.h"
  STACKTOP = __stackBase__;
  return $18; //@line 267 "./dist/include/mozilla/RangedPtr.h"
}


function __ZL13AtomizeInlineP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior($cx, $pchars, $length, $ib, $ocb) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $chars;
      var $s;
      var $lock=__stackBase__;
      var $atoms;
      var $p=__stackBase__+4;
      var $7=__stackBase__+12;
      var $8=__stackBase__+24;
      var $atom;
      var $9;
      var $sc=__stackBase__+32;
      var $key;
      var $lookup=__stackBase__+44;
      var $10=__stackBase__+56;
      $2=$cx;
      $3=$pchars;
      $4=$length;
      $5=$ib;
      $6=$ocb;
      var $11=$3; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $chars=$12; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=$2; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $14=(($13+52)|0); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=(($15+210584)|0); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=$chars; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $18=$4; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $19=__ZN2js13StaticStrings6lookupEPKtj($16, $17, $18); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $s=$19; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $20=$s; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=(($20)|0)!=0; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $23=$s; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$23; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 17; break; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $25=$2; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js24AutoLockAtomsCompartmentC1EP9JSContext($lock, $25); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $26=$2; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $27=(($26+52)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $29=(($28+209948)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $30=(($29)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atoms=$30; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $31=$atoms; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $32=$chars; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $33=$4; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js10AtomHasher6LookupC1EPKtj($7, $32, $33); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE12lookupForAddERKNS4_6LookupE($p, $31, $7); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $34=$p; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($8, $34); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $35={ f0: HEAP32[(($8)>>2)], f1: HEAP32[(($8+4)>>2)] }; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $36=$35.f0; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $37=(($36)|0)!=0; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($37) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $39=$p; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $40=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrptEv($39); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $41=__ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv($40); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom=$41; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $42=$p; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $43=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrptEv($42); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $44=$5; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $45=(($44)|0)!=0; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js18TaggedPointerEntryI6JSAtomE9setTaggedEb($43, $45); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $46=$atom; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$46; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $9=1;
      __label__ = 16; break; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $48=$2; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $49=$2; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $50=(($49+52)|0); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $52=(($51)|0); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js19SwitchToCompartmentC1EP9JSContextP13JSCompartment($sc, $48, $53); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $54=$6; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $55=(($54)|0)==1; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($55) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $57=$2; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $58=$chars; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $59=$4; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $60=__Z12js_NewStringP9JSContextPtj($57, $58, $59); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $key=$60; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $61=$key; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $62=(($61)|0)!=0; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($62) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      $1=0; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $9=1;
      __label__ = 15; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      var $65=$3; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($65)>>2)]=0; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 12; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 9: 
      var $67=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $68=$chars; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $69=$4; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $70=__Z17js_NewStringCopyNP9JSContextPKtj($67, $68, $69); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $key=$70; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $71=$key; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $72=(($71)|0)!=0; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($72) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 10: 
      $1=0; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $9=1;
      __label__ = 15; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $76=$chars; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $77=$4; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js10AtomHasher6LookupC1EPKtj($lookup, $76, $77); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $78=$atoms; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $79=$key; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $80=$79; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $81=$5; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $82=(($81)|0)!=0; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js18TaggedPointerEntryI6JSAtomEC1EPS1_b($10, $80, $82); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $83=__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE13relookupOrAddERNS_6detail9HashTableIKS3_NS6_6SetOpsES5_E6AddPtrERKNS4_6LookupERS9_($78, $p, $lookup, $10); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($83) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 13: 
      var $85=$2; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      _JS_ReportOutOfMemory($85); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=0; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $9=1;
      __label__ = 15; break; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 14: 
      var $87=$key; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $88=__ZN13JSFixedString27morphAtomizedStringIntoAtomEv($87); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$88; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $9=1;
      __label__ = 15; break; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 15: 
      __ZN2js19SwitchToCompartmentD1Ev($sc); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 16; break;
    case 16: 
      __ZN2js24AutoLockAtomsCompartmentD1Ev($lock); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 17; break;
    case 17: 
      var $92=$1; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      STACKTOP = __stackBase__;
      return $92; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13AtomizeInlineP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior["X"]=1;

function __Z24js_GetExistingStringAtomP9JSContextPKtj($cx, $chars, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      var $lock=__stackBase__;
      var $p=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+20;
      var $7;
      $2=$cx;
      $3=$chars;
      $4=$length;
      var $8=$2; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $9=(($8+52)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $11=(($10+210584)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$3; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=$4; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $14=__ZN2js13StaticStrings6lookupEPKtj($11, $12, $13); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom=$14; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=$atom; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=(($15)|0)!=0; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $18=$atom; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$18; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 7; break; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $20=$2; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js24AutoLockAtomsCompartmentC1EP9JSContext($lock, $20); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=$2; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $22=(($21+52)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $24=(($23+209948)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $25=(($24)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $26=$3; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $27=$4; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js10AtomHasher6LookupC1EPKtj($5, $26, $27); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE6lookupERKNS4_6LookupE($p, $25, $5); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($6, $p); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $28={ f0: HEAP32[(($6)>>2)], f1: HEAP32[(($6+4)>>2)] }; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $29=$28.f0; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $30=(($29)|0)!=0; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $32=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrptEv($p); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $33=__ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv($32); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $36 = $33;__label__ = 6; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $36 = 0;__label__ = 6; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $36; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$36; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $7=1;
      __ZN2js24AutoLockAtomsCompartmentD1Ev($lock); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 7; break;
    case 7: 
      var $38=$1; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z24js_GetExistingStringAtomP9JSContextPKtj["X"]=1;

function __ZN2js13StaticStrings6lookupEPKtj($this, $chars, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      $2=$this;
      $3=$chars;
      $4=$length;
      var $5=$2;
      var $6=$4; //@line 274 "./vm/String-inl.h"
      if ((($6)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 2) {
        __label__ = 5; break;
      }
      else if ((($6)|0) == 3) {
        __label__ = 9; break;
      }
      else {
      __label__ = 19; break;
      }
      
    case 2: 
      var $8=$3; //@line 276 "./vm/String-inl.h"
      var $9=(($8)|0); //@line 276 "./vm/String-inl.h"
      var $10=HEAPU16[(($9)>>1)]; //@line 276 "./vm/String-inl.h"
      var $11=(($10)&65535); //@line 276 "./vm/String-inl.h"
      var $12=(($11)>>>0) < 256; //@line 276 "./vm/String-inl.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 276 "./vm/String-inl.h"
    case 3: 
      var $14=$3; //@line 277 "./vm/String-inl.h"
      var $15=(($14)|0); //@line 277 "./vm/String-inl.h"
      var $16=HEAP16[(($15)>>1)]; //@line 277 "./vm/String-inl.h"
      var $17=__ZN2js13StaticStrings7getUnitEt($5, $16); //@line 277 "./vm/String-inl.h"
      $1=$17; //@line 277 "./vm/String-inl.h"
      __label__ = 20; break; //@line 277 "./vm/String-inl.h"
    case 4: 
      $1=0; //@line 278 "./vm/String-inl.h"
      __label__ = 20; break; //@line 278 "./vm/String-inl.h"
    case 5: 
      var $20=$3; //@line 280 "./vm/String-inl.h"
      var $21=(($20)|0); //@line 280 "./vm/String-inl.h"
      var $22=HEAP16[(($21)>>1)]; //@line 280 "./vm/String-inl.h"
      var $23=__ZN2js13StaticStrings15fitsInSmallCharEt($22); //@line 280 "./vm/String-inl.h"
      if ($23) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 280 "./vm/String-inl.h"
    case 6: 
      var $25=$3; //@line 280 "./vm/String-inl.h"
      var $26=(($25+2)|0); //@line 280 "./vm/String-inl.h"
      var $27=HEAP16[(($26)>>1)]; //@line 280 "./vm/String-inl.h"
      var $28=__ZN2js13StaticStrings15fitsInSmallCharEt($27); //@line 280 "./vm/String-inl.h"
      if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 280 "./vm/String-inl.h"
    case 7: 
      var $30=$3; //@line 281 "./vm/String-inl.h"
      var $31=(($30)|0); //@line 281 "./vm/String-inl.h"
      var $32=HEAP16[(($31)>>1)]; //@line 281 "./vm/String-inl.h"
      var $33=$3; //@line 281 "./vm/String-inl.h"
      var $34=(($33+2)|0); //@line 281 "./vm/String-inl.h"
      var $35=HEAP16[(($34)>>1)]; //@line 281 "./vm/String-inl.h"
      var $36=__ZN2js13StaticStrings10getLength2Ett($5, $32, $35); //@line 281 "./vm/String-inl.h"
      $1=$36; //@line 281 "./vm/String-inl.h"
      __label__ = 20; break; //@line 281 "./vm/String-inl.h"
    case 8: 
      $1=0; //@line 282 "./vm/String-inl.h"
      __label__ = 20; break; //@line 282 "./vm/String-inl.h"
    case 9: 
      var $39=$3; //@line 291 "./vm/String-inl.h"
      var $40=(($39)|0); //@line 291 "./vm/String-inl.h"
      var $41=HEAPU16[(($40)>>1)]; //@line 291 "./vm/String-inl.h"
      var $42=(($41)&65535); //@line 291 "./vm/String-inl.h"
      var $43=49 <= (($42)|0); //@line 291 "./vm/String-inl.h"
      if ($43) { __label__ = 10; break; } else { __label__ = 18; break; } //@line 291 "./vm/String-inl.h"
    case 10: 
      var $45=$3; //@line 291 "./vm/String-inl.h"
      var $46=(($45)|0); //@line 291 "./vm/String-inl.h"
      var $47=HEAPU16[(($46)>>1)]; //@line 291 "./vm/String-inl.h"
      var $48=(($47)&65535); //@line 291 "./vm/String-inl.h"
      var $49=(($48)|0) <= 57; //@line 291 "./vm/String-inl.h"
      if ($49) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 291 "./vm/String-inl.h"
    case 11: 
      var $51=$3; //@line 291 "./vm/String-inl.h"
      var $52=(($51+2)|0); //@line 291 "./vm/String-inl.h"
      var $53=HEAPU16[(($52)>>1)]; //@line 291 "./vm/String-inl.h"
      var $54=(($53)&65535); //@line 291 "./vm/String-inl.h"
      var $55=48 <= (($54)|0); //@line 291 "./vm/String-inl.h"
      if ($55) { __label__ = 12; break; } else { __label__ = 18; break; } //@line 291 "./vm/String-inl.h"
    case 12: 
      var $57=$3; //@line 291 "./vm/String-inl.h"
      var $58=(($57+2)|0); //@line 291 "./vm/String-inl.h"
      var $59=HEAPU16[(($58)>>1)]; //@line 291 "./vm/String-inl.h"
      var $60=(($59)&65535); //@line 291 "./vm/String-inl.h"
      var $61=(($60)|0) <= 57; //@line 291 "./vm/String-inl.h"
      if ($61) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 291 "./vm/String-inl.h"
    case 13: 
      var $63=$3; //@line 291 "./vm/String-inl.h"
      var $64=(($63+4)|0); //@line 291 "./vm/String-inl.h"
      var $65=HEAPU16[(($64)>>1)]; //@line 291 "./vm/String-inl.h"
      var $66=(($65)&65535); //@line 291 "./vm/String-inl.h"
      var $67=48 <= (($66)|0); //@line 291 "./vm/String-inl.h"
      if ($67) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 291 "./vm/String-inl.h"
    case 14: 
      var $69=$3; //@line 291 "./vm/String-inl.h"
      var $70=(($69+4)|0); //@line 291 "./vm/String-inl.h"
      var $71=HEAPU16[(($70)>>1)]; //@line 291 "./vm/String-inl.h"
      var $72=(($71)&65535); //@line 291 "./vm/String-inl.h"
      var $73=(($72)|0) <= 57; //@line 291 "./vm/String-inl.h"
      if ($73) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 291 "./vm/String-inl.h"
    case 15: 
      var $75=$3; //@line 296 "./vm/String-inl.h"
      var $76=(($75)|0); //@line 296 "./vm/String-inl.h"
      var $77=HEAPU16[(($76)>>1)]; //@line 296 "./vm/String-inl.h"
      var $78=(($77)&65535); //@line 296 "./vm/String-inl.h"
      var $79=(($78-48)|0); //@line 296 "./vm/String-inl.h"
      var $80=(($79*100)|0); //@line 296 "./vm/String-inl.h"
      var $81=$3; //@line 296 "./vm/String-inl.h"
      var $82=(($81+2)|0); //@line 296 "./vm/String-inl.h"
      var $83=HEAPU16[(($82)>>1)]; //@line 296 "./vm/String-inl.h"
      var $84=(($83)&65535); //@line 296 "./vm/String-inl.h"
      var $85=(($84-48)|0); //@line 296 "./vm/String-inl.h"
      var $86=(($85*10)|0); //@line 296 "./vm/String-inl.h"
      var $87=(($80+$86)|0); //@line 296 "./vm/String-inl.h"
      var $88=$3; //@line 296 "./vm/String-inl.h"
      var $89=(($88+4)|0); //@line 296 "./vm/String-inl.h"
      var $90=HEAPU16[(($89)>>1)]; //@line 296 "./vm/String-inl.h"
      var $91=(($90)&65535); //@line 296 "./vm/String-inl.h"
      var $92=(($91-48)|0); //@line 296 "./vm/String-inl.h"
      var $93=(($87+$92)|0); //@line 296 "./vm/String-inl.h"
      $i=$93; //@line 296 "./vm/String-inl.h"
      var $94=$i; //@line 298 "./vm/String-inl.h"
      var $95=(($94)>>>0) < 256; //@line 298 "./vm/String-inl.h"
      if ($95) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 298 "./vm/String-inl.h"
    case 16: 
      var $97=$i; //@line 299 "./vm/String-inl.h"
      var $98=__ZN2js13StaticStrings6getIntEi($5, $97); //@line 299 "./vm/String-inl.h"
      $1=$98; //@line 299 "./vm/String-inl.h"
      __label__ = 20; break; //@line 299 "./vm/String-inl.h"
    case 17: 
      __label__ = 18; break; //@line 300 "./vm/String-inl.h"
    case 18: 
      $1=0; //@line 301 "./vm/String-inl.h"
      __label__ = 20; break; //@line 301 "./vm/String-inl.h"
    case 19: 
      $1=0; //@line 304 "./vm/String-inl.h"
      __label__ = 20; break; //@line 304 "./vm/String-inl.h"
    case 20: 
      var $103=$1; //@line 305 "./vm/String-inl.h"
      ;
      return $103; //@line 305 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13StaticStrings6lookupEPKtj["X"]=1;

function __ZN2js10AtomHasher6LookupC1EPKtj($this, $chars, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$chars;
  $3=$length;
  var $4=$1;
  var $5=$2; //@line 176 "./jsatom.h"
  var $6=$3; //@line 176 "./jsatom.h"
  __ZN2js10AtomHasher6LookupC2EPKtj($4, $5, $6); //@line 176 "./jsatom.h"
  ;
  return; //@line 176 "./jsatom.h"
}


function __Z14js_InitAtomMapP9JSContextPN2js9InlineMapIP6JSAtomjLj24EEEPS4_($cx, $indices, $atoms) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $wm;
      var $r=__stackBase__;
      var $atom;
      var $index;
      var $it;
      var $end;
      var $atom1;
      $1=$cx;
      $2=$indices;
      $3=$atoms;
      var $4=$2; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $5=__ZNK2js9InlineMapIP6JSAtomjLj24EE5isMapEv($4); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $7=$2; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=__ZNK2js9InlineMapIP6JSAtomjLj24EE5asMapEv($7); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $wm=$8; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $9=$wm; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv($r, $9); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 3; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $11=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($r); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$11 ^ 1; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($r); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=(($14)|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom=$16; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($r); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $18=(($17+4)|0); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $index=$19; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $20=$atom; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=$index; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $22=$3; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=(($22+($21<<2))|0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($23)>>2)]=$20; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 5; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($r); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 3; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      __label__ = 14; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      var $27=$2; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $28=__ZNK2js9InlineMapIP6JSAtomjLj24EE8asInlineEv($27); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $it=$28; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $29=$2; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $30=__ZNK2js9InlineMapIP6JSAtomjLj24EE9inlineEndEv($29); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $end=$30; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      var $32=$it; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $33=$end; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $34=(($32)|0)!=(($33)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 9: 
      var $36=$it; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $37=(($36)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom1=$38; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $39=$atom1; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $40=(($39)|0)!=0; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 10: 
      __label__ = 12; break; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 11: 
      var $43=$atom1; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $44=$it; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $45=(($44+4)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $47=$3; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $48=(($47+($46<<2))|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($48)>>2)]=$43; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 12; break; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 12: 
      var $50=$it; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $51=(($50+8)|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $it=$51; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      STACKTOP = __stackBase__;
      return; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z14js_InitAtomMapP9JSContextPN2js9InlineMapIP6JSAtomjLj24EEEPS4_["X"]=1;

function __ZNK2js9InlineMapIP6JSAtomjLj24EE5isMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js9InlineMapIP6JSAtomjLj24EE8usingMapEv($2); //@line 231 "./mfbt/InlineMap.h"
  ;
  return $3; //@line 231 "./mfbt/InlineMap.h"
}


function __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+12)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13IndexToIdSlowEP9JSContextjPi($cx, $index, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $buf=__stackBase__;
      var $end=__stackBase__+20;
      var $start=__stackBase__+24;
      var $5=__stackBase__+28;
      var $atom;
      $2=$cx;
      $3=$index;
      $4=$idp;
      var $6=(($buf)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $7=(($6+20)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $8=(($buf)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $9=(($buf)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $10=(($9+20)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN7mozilla9RangedPtrItEC1EPtS2_S2_($end, $7, $8, $10); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $11=$3; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$5; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=$end; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)]; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2js25BackfillIndexInCharBufferItEEN7mozilla9RangedPtrIT_EEjS4_($start, $11, $5); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $14=$2; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=__ZNK7mozilla9RangedPtrItE3getEv($start); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=__ZNK7mozilla9RangedPtrItEmiERKS1_($end, $start); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($14, $15, $16, 0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom=$17; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $18=$atom; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $19=(($18)|0)!=0; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      $1=0; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 4; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $22=$atom; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=__ZL12ATOM_TO_JSIDP6JSAtom496($22); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $24=$4; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=1; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 4; break; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $26=$1; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9RangedPtrItEC1EPtS2_S2_($this, $p, $start, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$start;
  $4=$end;
  var $5=$1;
  var $6=$2; //@line 102 "./dist/include/mozilla/RangedPtr.h"
  var $7=$3; //@line 102 "./dist/include/mozilla/RangedPtr.h"
  var $8=$4; //@line 102 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrItEC2EPtS2_S2_($5, $6, $7, $8); //@line 102 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 102 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2js25BackfillIndexInCharBufferItEEN7mozilla9RangedPtrIT_EEjS4_($agg_result, $index, $end) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $end; $end = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($end)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $next;
      var $digit;
      $1=$index;
      __label__ = 2; break; //@line 158 "./jsatominlines.h"
    case 2: 
      var $3=$1; //@line 159 "./jsatominlines.h"
      var $4=Math.floor((($3)>>>0)/10); //@line 159 "./jsatominlines.h"
      $next=$4; //@line 159 "./jsatominlines.h"
      var $5=$1; //@line 159 "./jsatominlines.h"
      var $6=(($5)>>>0)%10; //@line 159 "./jsatominlines.h"
      $digit=$6; //@line 159 "./jsatominlines.h"
      var $7=$digit; //@line 160 "./jsatominlines.h"
      var $8=(($7+48)|0); //@line 160 "./jsatominlines.h"
      var $9=(($8) & 65535); //@line 160 "./jsatominlines.h"
      var $10=__ZN7mozilla9RangedPtrItEmmEv($end); //@line 160 "./jsatominlines.h"
      var $11=__ZNK7mozilla9RangedPtrItEdeEv($10); //@line 160 "./jsatominlines.h"
      HEAP16[(($11)>>1)]=$9; //@line 160 "./jsatominlines.h"
      var $12=$next; //@line 161 "./jsatominlines.h"
      $1=$12; //@line 161 "./jsatominlines.h"
      __label__ = 3; break; //@line 162 "./jsatominlines.h"
    case 3: 
      var $14=$1; //@line 162 "./jsatominlines.h"
      var $15=(($14)>>>0) > 0; //@line 162 "./jsatominlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 162 "./jsatominlines.h"
    case 4: 
      var $17=$agg_result; //@line 164 "./jsatominlines.h"
      var $18=$end; //@line 164 "./jsatominlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)]; //@line 164 "./jsatominlines.h"
      STACKTOP = __stackBase__;
      return; //@line 164 "./jsatominlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12ATOM_TO_JSIDP6JSAtom496($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj522($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN7mozilla9RangedPtrItE11checkSanityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 82 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function _INT_TO_JSID501($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function _OBJECT_TO_JSID502($obj) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$obj;
  var $2=$1; //@line 1575 "./jsapi.h"
  var $3=$2; //@line 1575 "./jsapi.h"
  var $4=$3 | 4; //@line 1575 "./jsapi.h"
  $iden=$4; //@line 1575 "./jsapi.h"
  var $5=$iden; //@line 1576 "./jsapi.h"
  ;
  return $5; //@line 1576 "./jsapi.h"
}


function _JSID_TO_STRING504($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK8JSObject5isXMLEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1558 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1558 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js8XMLClassE)|0); //@line 1558 "./jsobj.h"
  ;
  return $5; //@line 1558 "./jsobj.h"
}


function __ZNK7mozilla9RangedPtrItEdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 226 "./dist/include/mozilla/RangedPtr.h"
  var $4=HEAP32[(($3)>>2)]; //@line 226 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $4; //@line 226 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK2js9InlineMapIP6JSAtomjLj24EE8usingMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 82 "./mfbt/InlineMap.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 82 "./mfbt/InlineMap.h"
  var $5=(($4)>>>0) > 24; //@line 82 "./mfbt/InlineMap.h"
  ;
  return $5; //@line 82 "./mfbt/InlineMap.h"
}


function __Z22js_CheckForStringIndexi($id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $atom;
      var $s;
      var $ch;
      var $negative;
      var $n;
      var $cp;
      var $end;
      var $index;
      var $oldIndex;
      var $c;
      $2=$id;
      var $3=$2; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $4=__ZL12JSID_IS_ATOMi499($3); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $5=(($4)|0)!=0; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $7=$2; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$7; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 30; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $9=$2; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $10=__ZL12JSID_TO_ATOMi500($9); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $atom=$10; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $11=$atom; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$11; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=__ZNK14JSLinearString5charsEv($12); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $s=$13; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $14=$s; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=HEAP16[(($14)>>1)]; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $ch=$15; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=$ch; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=(($16)&65535); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $18=(($17)|0)==45; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $19=(($18)&1); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $negative=$19; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $20=$negative; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=(($20)|0)!=0; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $23=$s; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $24=(($23+2)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $s=$24; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $25=HEAP16[(($24)>>1)]; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $ch=$25; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 5; break; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $27=$ch; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $28=(($27)&65535); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $29=(($28-48)|0); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $30=(($29)>>>0) <= 9; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $32=$2; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$32; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 30; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      var $34=$atom; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $35=$34; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $36=__ZNK8JSString6lengthEv($35); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $37=$negative; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $38=(($36-$37)|0); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $n=$38; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $39=$n; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $40=(($39)>>>0) > 10; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      var $42=$2; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$42; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 30; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 9: 
      var $44=$s; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $cp=$44; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $45=$s; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $46=$n; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $47=(($45+($46<<1))|0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $end=$47; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $48=$cp; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $49=(($48+2)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $cp=$49; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $50=HEAPU16[(($48)>>1)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $51=(($50)&65535); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $52=(($51-48)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $index=$52; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $oldIndex=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $c=0; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $53=$index; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $54=(($53)|0)!=0; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 10: 
      __label__ = 11; break; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 11: 
      var $57=$cp; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $58=HEAPU16[(($57)>>1)]; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $59=(($58)&65535); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $60=(($59-48)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $61=(($60)>>>0) <= 9; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 12: 
      var $63=$index; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $oldIndex=$63; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $64=$cp; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $65=HEAPU16[(($64)>>1)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $66=(($65)&65535); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $67=(($66-48)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $c=$67; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $68=$index; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $69=(($68*10)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $70=$c; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $71=(($69+$70)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $index=$71; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $72=$cp; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $73=(($72+2)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $cp=$73; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 11; break; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 13: 
      __label__ = 14; break; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 14: 
      var $76=$cp; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $77=$end; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $78=(($76)|0)!=(($77)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($78) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 15: 
      var $80=$negative; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $81=(($80)|0)!=0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($81) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 16: 
      var $83=$index; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $84=(($83)|0)==0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($84) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 17: 
      var $86=$2; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$86; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 30; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 18: 
      var $88=$negative; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $89=(($88)|0)!=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($89) { __label__ = 19; break; } else { __label__ = 24; break; } //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 19: 
      var $91=$oldIndex; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $92=(($91)>>>0) < 107374182; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($92) { __label__ = 22; break; } else { __label__ = 20; break; } //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 20: 
      var $94=$oldIndex; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $95=(($94)|0)==107374182; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($95) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 21: 
      var $97=$c; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $98=(($97)>>>0) <= 4; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($98) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 22: 
      var $100=$index; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $101=(((-$100))|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $102=_INT_TO_JSID501($101); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $2=$102; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 23; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 23: 
      __label__ = 29; break; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 24: 
      var $105=$oldIndex; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $106=(($105)>>>0) < 107374182; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($106) { __label__ = 27; break; } else { __label__ = 25; break; } //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 25: 
      var $108=$oldIndex; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $109=(($108)|0)==107374182; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($109) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 26: 
      var $111=$c; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $112=(($111)>>>0) <= 3; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($112) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 27: 
      var $114=$index; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $115=_INT_TO_JSID501($114); //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $2=$115; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 28; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      var $118=$2; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$118; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 30; break; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 30: 
      var $120=$1; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      ;
      return $120; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z22js_CheckForStringIndexi["X"]=1;

function __ZL12JSID_IS_ATOMi499($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING508($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZL12JSID_TO_ATOMi500($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING504($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __Z28js_InternNonIntElementIdSlowP9JSContextP8JSObjectRKN2JS5ValueEPi($cx, $obj, $idval, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$idval;
      $5=$idp;
      var $6=$3; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $7=__ZNK8JSObject5isXMLEv($6); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $9=$4; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $11=_OBJECT_TO_JSID502($10); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=$5; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=1; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 6; break; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $14=$4; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=__ZNK2JS5Value8toObjectEv($14); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=$5; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $18=__Z32js_GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($15, $16, $17); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      $1=1; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 6; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $21=$2; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $22=$4; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=$5; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $24=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($21, $22, $23); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=$24; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 6; break; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $26=$1; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      ;
      return $26; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z28js_InternNonIntElementIdSlowP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($cx, $obj, $idval, $idp, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $idobj;
      var $7=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$idval;
      $5=$idp;
      $6=$vp;
      var $8=$3; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $9=__ZNK8JSObject5isXMLEv($8); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 2: 
      var $11=$4; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $12=__ZNK2JS5Value8toObjectEv($11); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $idobj=$12; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $13=$idobj; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $14=_OBJECT_TO_JSID502($13); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $15=$5; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $16=$6; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $17=$idobj; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2JS5Value9setObjectER8JSObject($16, $17); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=1; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 3: 
      var $19=$4; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $20=__ZNK2JS5Value8toObjectEv($19); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $21=$5; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $22=$2; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $23=__Z32js_GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($20, $21, $22); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 4: 
      var $25=$6; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $26=$5; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2jsL9IdToValueEi503($7, $27); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $28=$25; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $29=$7; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=1; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 5: 
      var $31=$2; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $32=$4; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $33=$5; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $34=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($31, $32, $33); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 6: 
      var $36=$6; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $37=$5; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      var $39=_JSID_TO_STRING504($38); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __ZN2JS5Value9setStringEP8JSString($36, $39); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      $1=1; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 7: 
      $1=0; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      __label__ = 8; break; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    case 8: 
      var $42=$1; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
      STACKTOP = __stackBase__;
      return $42; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsatom.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z28js_InternNonIntElementIdSlowP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_["X"]=1;

function __ZN2jsL9IdToValueEi503($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING508($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING504($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString478($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT509($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT511($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi510($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT512($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT514($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject513($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv515($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9RangedPtrItEmmEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN7mozilla9RangedPtrItEmIEj($2, 1); //@line 201 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $3; //@line 201 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrItEmIEj($this, $dec) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$dec;
  var $4=$1;
  var $5=$2; //@line 216 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrItEmiEj($3, $4, $5); //@line 216 "./dist/include/mozilla/RangedPtr.h"
  var $6=__ZN7mozilla9RangedPtrItEaSItEERS1_RKNS0_IT_EE($4, $3); //@line 216 "./dist/include/mozilla/RangedPtr.h"
  STACKTOP = __stackBase__;
  return $4; //@line 217 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrItEaSItEERS1_RKNS0_IT_EE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $5=(($4)|0); //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $6=HEAP32[(($5)>>2)]; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($3)|0); //@line 185 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($7)>>2)]=$6; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrItE11checkSanityEv($3); //@line 186 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $3; //@line 187 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrItEmiEj($agg_result, $this, $dec) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$dec;
  var $3=$1;
  var $4=(($3)|0); //@line 168 "./dist/include/mozilla/RangedPtr.h"
  var $5=HEAP32[(($4)>>2)]; //@line 168 "./dist/include/mozilla/RangedPtr.h"
  var $6=$2; //@line 168 "./dist/include/mozilla/RangedPtr.h"
  var $7=(((-$6))|0); //@line 168 "./dist/include/mozilla/RangedPtr.h"
  var $8=(($5+($7<<1))|0); //@line 168 "./dist/include/mozilla/RangedPtr.h"
  __ZNK7mozilla9RangedPtrItE6createEPt($agg_result, $3, $8); //@line 168 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 168 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK7mozilla9RangedPtrItE6createEPt($agg_result, $this, $ptr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ptr;
  var $3=$1;
  var $4=$2; //@line 89 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrItEC1EPtS2_j($agg_result, $4, 0, 0); //@line 89 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 89 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrItEC1EPtS2_j($this, $p, $start, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$start;
  $4=$length;
  var $5=$1;
  var $6=$2; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  var $7=$3; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  var $8=$4; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrItEC2EPtS2_j($5, $6, $7, $8); //@line 112 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 112 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrItEC2EPtS2_j($this, $p, $start, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$start;
  $4=$length;
  var $5=$1;
  var $6=(($5)|0); //@line 108 "./dist/include/mozilla/RangedPtr.h"
  var $7=$2; //@line 108 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($6)>>2)]=$7; //@line 108 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrItE11checkSanityEv($5); //@line 111 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 112 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrItEC2EPtS2_S2_($this, $p, $start, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$start;
  $4=$end;
  var $5=$1;
  var $6=(($5)|0); //@line 99 "./dist/include/mozilla/RangedPtr.h"
  var $7=$2; //@line 99 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($6)>>2)]=$7; //@line 99 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrItE11checkSanityEv($5); //@line 101 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 102 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+8)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*12)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+12)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupE($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERKNS7_6LookupE($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupEjj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERKNS7_6LookupE($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js10AtomHasher4hashERKNS0_6LookupE($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupEjj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS5_EERKNS7_6LookupE($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS5_EERKNS7_6LookupE($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupEjj["X"]=1;

function __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS3_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js9HashCharsEPKtj($chars, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $h;
      $1=$chars;
      $2=$length;
      $h=0; //@line 190 "./jsstr.h"
      __label__ = 2; break; //@line 191 "./jsstr.h"
    case 2: 
      var $4=$2; //@line 191 "./jsstr.h"
      var $5=(($4)|0)!=0; //@line 191 "./jsstr.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 191 "./jsstr.h"
    case 3: 
      var $7=$h; //@line 192 "./jsstr.h"
      var $8=$7 << 4; //@line 192 "./jsstr.h"
      var $9=$h; //@line 192 "./jsstr.h"
      var $10=$9 >>> 28; //@line 192 "./jsstr.h"
      var $11=$8 | $10; //@line 192 "./jsstr.h"
      var $12=$1; //@line 192 "./jsstr.h"
      var $13=HEAPU16[(($12)>>1)]; //@line 192 "./jsstr.h"
      var $14=(($13)&65535); //@line 192 "./jsstr.h"
      var $15=$11 ^ $14; //@line 192 "./jsstr.h"
      $h=$15; //@line 192 "./jsstr.h"
      __label__ = 4; break; //@line 192 "./jsstr.h"
    case 4: 
      var $17=$1; //@line 191 "./jsstr.h"
      var $18=(($17+2)|0); //@line 191 "./jsstr.h"
      $1=$18; //@line 191 "./jsstr.h"
      var $19=$2; //@line 191 "./jsstr.h"
      var $20=(($19-1)|0); //@line 191 "./jsstr.h"
      $2=$20; //@line 191 "./jsstr.h"
      __label__ = 2; break; //@line 191 "./jsstr.h"
    case 5: 
      var $22=$h; //@line 193 "./jsstr.h"
      ;
      return $22; //@line 193 "./jsstr.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js18TaggedPointerEntryI6JSAtomEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 782 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 782 "./jshashtable.h"
  ;
  return; //@line 782 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEcvRS3_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEC2ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js18TaggedPointerEntryI6JSAtomEC2ERKS2_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=(($3)|0); //@line 783 "./jshashtable.h"
  var $5=$2; //@line 783 "./jshashtable.h"
  var $6=(($5)|0); //@line 783 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 783 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$7; //@line 783 "./jshashtable.h"
  ;
  return; //@line 783 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS5_EERKNS7_6LookupE($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS3_($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js10AtomHasher5matchERKNS_18TaggedPointerEntryI6JSAtomEERKNS0_6LookupE($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js10AtomHasher5matchERKNS_18TaggedPointerEntryI6JSAtomEERKNS0_6LookupE($entry, $lookup) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $key;
      $2=$entry;
      $3=$lookup;
      var $4=$2; //@line 185 "./jsatom.h"
      var $5=__ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv($4); //@line 185 "./jsatom.h"
      $key=$5; //@line 185 "./jsatom.h"
      var $6=$3; //@line 187 "./jsatom.h"
      var $7=(($6+8)|0); //@line 187 "./jsatom.h"
      var $8=HEAP32[(($7)>>2)]; //@line 187 "./jsatom.h"
      var $9=(($8)|0)!=0; //@line 187 "./jsatom.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 187 "./jsatom.h"
    case 2: 
      var $11=$3; //@line 188 "./jsatom.h"
      var $12=(($11+8)|0); //@line 188 "./jsatom.h"
      var $13=HEAP32[(($12)>>2)]; //@line 188 "./jsatom.h"
      var $14=$key; //@line 188 "./jsatom.h"
      var $15=(($13)|0)==(($14)|0); //@line 188 "./jsatom.h"
      $1=$15; //@line 188 "./jsatom.h"
      __label__ = 6; break; //@line 188 "./jsatom.h"
    case 3: 
      var $17=$key; //@line 189 "./jsatom.h"
      var $18=$17; //@line 189 "./jsatom.h"
      var $19=__ZNK8JSString6lengthEv($18); //@line 189 "./jsatom.h"
      var $20=$3; //@line 189 "./jsatom.h"
      var $21=(($20+4)|0); //@line 189 "./jsatom.h"
      var $22=HEAP32[(($21)>>2)]; //@line 189 "./jsatom.h"
      var $23=(($19)|0)!=(($22)|0); //@line 189 "./jsatom.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 189 "./jsatom.h"
    case 4: 
      $1=0; //@line 190 "./jsatom.h"
      __label__ = 6; break; //@line 190 "./jsatom.h"
    case 5: 
      var $26=$key; //@line 191 "./jsatom.h"
      var $27=$26; //@line 191 "./jsatom.h"
      var $28=__ZNK14JSLinearString5charsEv($27); //@line 191 "./jsatom.h"
      var $29=$3; //@line 191 "./jsatom.h"
      var $30=(($29)|0); //@line 191 "./jsatom.h"
      var $31=HEAP32[(($30)>>2)]; //@line 191 "./jsatom.h"
      var $32=$3; //@line 191 "./jsatom.h"
      var $33=(($32+4)|0); //@line 191 "./jsatom.h"
      var $34=HEAP32[(($33)>>2)]; //@line 191 "./jsatom.h"
      var $35=__ZN2jsL8PodEqualIKtEEbPT_S3_j($28, $31, $34); //@line 191 "./jsatom.h"
      $1=$35; //@line 191 "./jsatom.h"
      __label__ = 6; break; //@line 191 "./jsatom.h"
    case 6: 
      var $37=$1; //@line 192 "./jsatom.h"
      ;
      return $37; //@line 192 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL8PodEqualIKtEEbPT_S3_j($one, $two, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p1end;
      var $p1;
      var $p2;
      $2=$one;
      $3=$two;
      $4=$len;
      var $5=$4; //@line 707 "./jsutil.h"
      var $6=(($5)>>>0) < 128; //@line 707 "./jsutil.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 707 "./jsutil.h"
    case 2: 
      var $8=$2; //@line 708 "./jsutil.h"
      var $9=$4; //@line 708 "./jsutil.h"
      var $10=(($8+($9<<1))|0); //@line 708 "./jsutil.h"
      $p1end=$10; //@line 708 "./jsutil.h"
      var $11=$2; //@line 709 "./jsutil.h"
      $p1=$11; //@line 709 "./jsutil.h"
      var $12=$3; //@line 709 "./jsutil.h"
      $p2=$12; //@line 709 "./jsutil.h"
      __label__ = 3; break; //@line 709 "./jsutil.h"
    case 3: 
      var $14=$p1; //@line 709 "./jsutil.h"
      var $15=$p1end; //@line 709 "./jsutil.h"
      var $16=(($14)|0)!=(($15)|0); //@line 709 "./jsutil.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 709 "./jsutil.h"
    case 4: 
      var $18=$p1; //@line 710 "./jsutil.h"
      var $19=HEAPU16[(($18)>>1)]; //@line 710 "./jsutil.h"
      var $20=(($19)&65535); //@line 710 "./jsutil.h"
      var $21=$p2; //@line 710 "./jsutil.h"
      var $22=HEAPU16[(($21)>>1)]; //@line 710 "./jsutil.h"
      var $23=(($22)&65535); //@line 710 "./jsutil.h"
      var $24=(($20)|0)!=(($23)|0); //@line 710 "./jsutil.h"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 710 "./jsutil.h"
    case 5: 
      $1=0; //@line 711 "./jsutil.h"
      __label__ = 10; break; //@line 711 "./jsutil.h"
    case 6: 
      __label__ = 7; break; //@line 712 "./jsutil.h"
    case 7: 
      var $28=$p1; //@line 709 "./jsutil.h"
      var $29=(($28+2)|0); //@line 709 "./jsutil.h"
      $p1=$29; //@line 709 "./jsutil.h"
      var $30=$p2; //@line 709 "./jsutil.h"
      var $31=(($30+2)|0); //@line 709 "./jsutil.h"
      $p2=$31; //@line 709 "./jsutil.h"
      __label__ = 3; break; //@line 709 "./jsutil.h"
    case 8: 
      $1=1; //@line 713 "./jsutil.h"
      __label__ = 10; break; //@line 713 "./jsutil.h"
    case 9: 
      var $34=$2; //@line 716 "./jsutil.h"
      var $35=$34; //@line 716 "./jsutil.h"
      var $36=$3; //@line 716 "./jsutil.h"
      var $37=$36; //@line 716 "./jsutil.h"
      var $38=$4; //@line 716 "./jsutil.h"
      var $39=((($38<<1))|0); //@line 716 "./jsutil.h"
      var $40=_memcmp($35, $37, $39); //@line 716 "./jsutil.h"
      var $41=(($40)|0)!=0; //@line 716 "./jsutil.h"
      var $42=$41 ^ 1; //@line 716 "./jsutil.h"
      $1=$42; //@line 716 "./jsutil.h"
      __label__ = 10; break; //@line 716 "./jsutil.h"
    case 10: 
      var $44=$1; //@line 717 "./jsutil.h"
      ;
      return $44; //@line 717 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL8PodEqualIKtEEbPT_S3_j["X"]=1;

function __ZN2js10AtomHasher4hashERKNS0_6LookupE($l) {
  ;
  var __label__;

  var $1;
  $1=$l;
  var $2=$1; //@line 181 "./jsatom.h"
  var $3=(($2)|0); //@line 181 "./jsatom.h"
  var $4=HEAP32[(($3)>>2)]; //@line 181 "./jsatom.h"
  var $5=$1; //@line 181 "./jsatom.h"
  var $6=(($5+4)|0); //@line 181 "./jsatom.h"
  var $7=HEAP32[(($6)>>2)]; //@line 181 "./jsatom.h"
  var $8=__ZN2js9HashCharsEPKtj($4, $7); //@line 181 "./jsatom.h"
  ;
  return $8; //@line 181 "./jsatom.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS5_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js18TaggedPointerEntryI6JSAtomEC1Ev($2); //@line 90 "./jshashtable.h"
  var $6=$5; //@line 90 "./jshashtable.h"
  var $7=$2; //@line 90 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)]; //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js18TaggedPointerEntryI6JSAtomEC1Ev($2); //@line 88 "./jshashtable.h"
  var $6=$5; //@line 88 "./jshashtable.h"
  var $7=$2; //@line 88 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)]; //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js18TaggedPointerEntryI6JSAtomEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js18TaggedPointerEntryI6JSAtomEC2Ev($2); //@line 782 "./jshashtable.h"
  ;
  return; //@line 782 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_18TaggedPointerEntryI6JSAtomEEEENS_7MoveRefIT_EERS5_($2, $10); //@line 83 "./jshashtable.h"
  var $11=__ZNK2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEcvRS3_Ev($2); //@line 83 "./jshashtable.h"
  var $12=$8; //@line 83 "./jshashtable.h"
  var $13=$11; //@line 83 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)]; //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function _js_free505($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveINS_18TaggedPointerEntryI6JSAtomEEEENS_7MoveRefIT_EERS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEC1ERS3_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEC1ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEC2ERS3_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js18TaggedPointerEntryI6JSAtomEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function _js_malloc506($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC2IS9_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZL14JSID_FROM_BITSj522($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZL11JS_ON_TRACEPK9JSContext523($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2js24AutoLockAtomsCompartmentD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 1839 "./jscntxt.h"
}


function _JSID_IS_STRING508($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_IS_INT509($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT511($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_OBJECT512($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT514($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 407 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 407 "./jshashtable.h"
  var $5=(($4)|0)!=0; //@line 407 "./jshashtable.h"
  var $6=$5 ^ 1; //@line 407 "./jshashtable.h"
  var $7=$6 ^ 1; //@line 407 "./jshashtable.h"
  ;
  return $7; //@line 407 "./jshashtable.h"
}


function _STRING_TO_JSVAL_IMPL507($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _BUILD_JSVAL516($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL517($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL518($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL519($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL520($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL521($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZN2js10AtomHasher6LookupC2EPKtj($this, $chars, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$chars;
  $3=$length;
  var $4=$1;
  var $5=(($4)|0); //@line 176 "./jsatom.h"
  var $6=$2; //@line 176 "./jsatom.h"
  HEAP32[(($5)>>2)]=$6; //@line 176 "./jsatom.h"
  var $7=(($4+4)|0); //@line 176 "./jsatom.h"
  var $8=$3; //@line 176 "./jsatom.h"
  HEAP32[(($7)>>2)]=$8; //@line 176 "./jsatom.h"
  var $9=(($4+8)|0); //@line 176 "./jsatom.h"
  HEAP32[(($9)>>2)]=0; //@line 176 "./jsatom.h"
  ;
  return; //@line 176 "./jsatom.h"
}


function __ZN2js13StaticStrings7getUnitEt($this, $c) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$c;
  var $3=$1;
  var $4=$2; //@line 212 "./vm/String-inl.h"
  var $5=(($4)&65535); //@line 212 "./vm/String-inl.h"
  var $6=(($3+17412)|0); //@line 212 "./vm/String-inl.h"
  var $7=(($6+($5<<2))|0); //@line 212 "./vm/String-inl.h"
  var $8=HEAP32[(($7)>>2)]; //@line 212 "./vm/String-inl.h"
  ;
  return $8; //@line 212 "./vm/String-inl.h"
}


function __ZN2js13StaticStrings10getLength2Ett($this, $c1, $c2) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $index;
  $1=$this;
  $2=$c1;
  $3=$c2;
  var $4=$1;
  var $5=$2; //@line 259 "./vm/String-inl.h"
  var $6=(($5)&65535); //@line 259 "./vm/String-inl.h"
  var $7=(((STRING_TABLE.__ZN2js13StaticStrings11toSmallCharE)+$6)|0); //@line 259 "./vm/String-inl.h"
  var $8=HEAPU8[($7)]; //@line 259 "./vm/String-inl.h"
  var $9=(($8)&255); //@line 259 "./vm/String-inl.h"
  var $10=$9 << 6; //@line 259 "./vm/String-inl.h"
  var $11=$3; //@line 259 "./vm/String-inl.h"
  var $12=(($11)&65535); //@line 259 "./vm/String-inl.h"
  var $13=(((STRING_TABLE.__ZN2js13StaticStrings11toSmallCharE)+$12)|0); //@line 259 "./vm/String-inl.h"
  var $14=HEAPU8[($13)]; //@line 259 "./vm/String-inl.h"
  var $15=(($14)&255); //@line 259 "./vm/String-inl.h"
  var $16=(($10+$15)|0); //@line 259 "./vm/String-inl.h"
  $index=$16; //@line 259 "./vm/String-inl.h"
  var $17=$index; //@line 260 "./vm/String-inl.h"
  var $18=(($4+4)|0); //@line 260 "./vm/String-inl.h"
  var $19=(($18+($17<<2))|0); //@line 260 "./vm/String-inl.h"
  var $20=HEAP32[(($19)>>2)]; //@line 260 "./vm/String-inl.h"
  ;
  return $20; //@line 260 "./vm/String-inl.h"
}


function __ZN2js13StaticStrings7getUintEj($this, $u) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$u;
  var $3=$1;
  var $4=$2; //@line 225 "./vm/String-inl.h"
  var $5=(($3+16388)|0); //@line 225 "./vm/String-inl.h"
  var $6=(($5+($4<<2))|0); //@line 225 "./vm/String-inl.h"
  var $7=HEAP32[(($6)>>2)]; //@line 225 "./vm/String-inl.h"
  ;
  return $7; //@line 225 "./vm/String-inl.h"
}


function __ZN2js18TaggedPointerEntryI6JSAtomEC2EPS1_b($this, $ptr, $tagged) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ptr;
  var $4=(($tagged)&1);
  $3=$4;
  var $5=$1;
  var $6=(($5)|0); //@line 786 "./jshashtable.h"
  var $7=$2; //@line 786 "./jshashtable.h"
  var $8=$7; //@line 786 "./jshashtable.h"
  var $9=$3; //@line 786 "./jshashtable.h"
  var $10=(($9) & 1); //@line 786 "./jshashtable.h"
  var $11=(($10)&1); //@line 786 "./jshashtable.h"
  var $12=$8 | $11; //@line 786 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$12; //@line 786 "./jshashtable.h"
  ;
  return; //@line 788 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js24AutoLockAtomsCompartmentC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 1827 "./jscntxt.h"
      var $5=$2; //@line 1827 "./jscntxt.h"
      HEAP32[(($4)>>2)]=$5; //@line 1827 "./jscntxt.h"
      __label__ = 2; break; //@line 1828 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1828 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1833 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+($8<<3))|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+8)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj["X"]=1;

function __ZN2JSL10Int32ValueEi510($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2JSL11ObjectValueER8JSObject513($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv515($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js13StaticStrings6getIntEi($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 238 "./vm/String-inl.h"
  var $5=__ZN2js13StaticStrings7getUintEj($3, $4); //@line 238 "./vm/String-inl.h"
  ;
  return $5; //@line 238 "./vm/String-inl.h"
}


function __ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE12lookupForAddERKNS4_6LookupE($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERKNS7_6LookupE($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE13relookupOrAddERNS_6detail9HashTableIKS3_NS6_6SetOpsES5_E6AddPtrERKNS4_6LookupERS9_($this, $p, $l, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$l;
  $4=$t;
  var $5=$1;
  var $6=(($5)|0); //@line 1277 "./jshashtable.h"
  var $7=$2; //@line 1277 "./jshashtable.h"
  var $8=$3; //@line 1277 "./jshashtable.h"
  var $9=$4; //@line 1277 "./jshashtable.h"
  var $10=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13relookupOrAddERNSB_6AddPtrERKNS7_6LookupERS5_($6, $7, $8, $9); //@line 1277 "./jshashtable.h"
  ;
  return $10; //@line 1277 "./jshashtable.h"
}


function __ZN2js18TaggedPointerEntryI6JSAtomEC1EPS1_b($this, $ptr, $tagged) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ptr;
  var $4=(($tagged)&1);
  $3=$4;
  var $5=$1;
  var $6=$2; //@line 788 "./jshashtable.h"
  var $7=$3; //@line 788 "./jshashtable.h"
  var $8=(($7) & 1); //@line 788 "./jshashtable.h"
  __ZN2js18TaggedPointerEntryI6JSAtomEC2EPS1_b($5, $6, $8); //@line 788 "./jshashtable.h"
  ;
  return; //@line 788 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13relookupOrAddERNSB_6AddPtrERKNS7_6LookupERS5_($this, $p, $l, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $g=__stackBase__;
      $1=$this;
      $2=$p;
      $3=$l;
      $4=$t;
      var $5=$1;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $5); //@line 752 "./jshashtable.h"
      var $6=$3; //@line 753 "./jshashtable.h"
      var $7=$2; //@line 753 "./jshashtable.h"
      var $8=(($7+4)|0); //@line 753 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 753 "./jshashtable.h"
      var $10=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupEjj($5, $6, $9, 1); //@line 753 "./jshashtable.h"
      var $11=$2; //@line 753 "./jshashtable.h"
      var $12=$11; //@line 753 "./jshashtable.h"
      var $13=(($12)|0); //@line 753 "./jshashtable.h"
      HEAP32[(($13)>>2)]=$10; //@line 753 "./jshashtable.h"
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 754 "./jshashtable.h"
      var $14=$2; //@line 755 "./jshashtable.h"
      var $15=$14; //@line 755 "./jshashtable.h"
      var $16=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($15); //@line 755 "./jshashtable.h"
      if ($16) { var $22 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 755 "./jshashtable.h"
    case 2: 
      var $18=$2; //@line 755 "./jshashtable.h"
      var $19=$4; //@line 755 "./jshashtable.h"
      var $20=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS5_($5, $18, $19); //@line 755 "./jshashtable.h"
      var $22 = $20;__label__ = 3; break; //@line 755 "./jshashtable.h"
    case 3: 
      var $22;
      STACKTOP = __stackBase__;
      return $22; //@line 755 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS5_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 742 "./jshashtable.h"
      var $11=$10; //@line 742 "./jshashtable.h"
      var $12=(($11)|0); //@line 742 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 742 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 742 "./jshashtable.h"
      var $15=$4; //@line 742 "./jshashtable.h"
      var $16=$14; //@line 742 "./jshashtable.h"
      var $17=$15; //@line 742 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)]; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $19=$1; //@line 744 "./jshashtable.h"
      ;
      return $19; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERKNS7_6LookupE($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERKNS7_6LookupE($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupEjj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js10AtomHasher6LookupC2EPK6JSAtom($this, $atom) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$atom;
  var $3=$1;
  var $4=(($3)|0); //@line 177 "./jsatom.h"
  var $5=$2; //@line 177 "./jsatom.h"
  var $6=$5; //@line 177 "./jsatom.h"
  var $7=__ZNK14JSLinearString5charsEv($6); //@line 177 "./jsatom.h"
  HEAP32[(($4)>>2)]=$7; //@line 177 "./jsatom.h"
  var $8=(($3+4)|0); //@line 177 "./jsatom.h"
  var $9=$2; //@line 177 "./jsatom.h"
  var $10=$9; //@line 177 "./jsatom.h"
  var $11=__ZNK8JSString6lengthEv($10); //@line 177 "./jsatom.h"
  HEAP32[(($8)>>2)]=$11; //@line 177 "./jsatom.h"
  var $12=(($3+8)|0); //@line 177 "./jsatom.h"
  var $13=$2; //@line 177 "./jsatom.h"
  HEAP32[(($12)>>2)]=$13; //@line 177 "./jsatom.h"
  ;
  return; //@line 177 "./jsatom.h"
}


function __ZN12JSFlatString8finalizeEP9JSRuntime($this, $rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$rt;
      var $3=$1;
      var $4=$3; //@line 328 "./vm/String-inl.h"
      var $5=__ZNK14JSLinearString5charsEv($4); //@line 328 "./vm/String-inl.h"
      var $6=$3; //@line 328 "./vm/String-inl.h"
      var $7=(($6)|0); //@line 328 "./vm/String-inl.h"
      var $8=(($7+8)|0); //@line 328 "./vm/String-inl.h"
      var $9=$8; //@line 328 "./vm/String-inl.h"
      var $10=(($9)|0); //@line 328 "./vm/String-inl.h"
      var $11=(($5)|0)!=(($10)|0); //@line 328 "./vm/String-inl.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 328 "./vm/String-inl.h"
    case 2: 
      var $13=$2; //@line 329 "./vm/String-inl.h"
      var $14=$3; //@line 329 "./vm/String-inl.h"
      var $15=__ZNK14JSLinearString5charsEv($14); //@line 329 "./vm/String-inl.h"
      var $16=$15; //@line 329 "./vm/String-inl.h"
      __ZN9JSRuntime5free_EPv($13, $16); //@line 329 "./vm/String-inl.h"
      __label__ = 3; break; //@line 329 "./vm/String-inl.h"
    case 3: 
      ;
      return; //@line 330 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13bool_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $b=__stackBase__;
      var $buf=__stackBase__+4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $6=$4; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $7=__ZN2js16GetPrimitiveThisIbEEbP9JSContextPN2JS5ValueEPT_($5, $6, $b); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 2: 
      $1=0; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 6; break; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 3: 
      var $10=(($buf)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $11=HEAP8[($b)]; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $12=(($11) & 1); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $13=(($12)&1); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $14=(($13+1)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $15=((_js_common_atom_names+($14<<2))|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $16=((((HEAPU8[($15)])|(HEAPU8[($15+1)]<<8)|(HEAPU8[($15+2)]<<16)|(HEAPU8[($15+3)]<<24))|0)); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $17=_JS_snprintf($10, 32, ((STRING_TABLE.__str3529)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$16,tempInt)); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $18=$2; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $19=(($buf)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $20=_JS_NewStringCopyZ($18, $19); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $str=$20; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $21=$str; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $22=(($21)|0)!=0; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 4: 
      $1=0; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 6; break; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 5: 
      var $25=$4; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $26=$str; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN2JS5Value9setStringEP8JSString($25, $26); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $1=1; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 6; break; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 6: 
      var $28=$1; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj557($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _JSID_IS_INT553($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING554($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING555($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function __Z18js_BooleanToStringP9JSContexti($cx, $b) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$b;
  var $3=$2; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $4=(($3)|0)!=0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $5=$4 ? 1 : 0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $6=$1; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $7=(($6+52)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $9=(($8+209948)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $10=(($9+28)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $11=(($10+($5<<2))|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  var $13=$12; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
  ;
  return $13; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
}


function __ZL15JSDOUBLE_IS_NaNd535($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function _JSVAL_TO_BOOLEAN_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL538($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL539($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL540($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL541($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL542($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL543($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL544($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL545($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _BUILD_JSVAL549($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL556($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL559($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZL13bool_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $b=__stackBase__;
      var $atom;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $6=$4; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $7=__ZN2js16GetPrimitiveThisIbEEbP9JSContextPN2JS5ValueEPT_($5, $6, $b); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 2: 
      $1=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 6; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 3: 
      var $10=HEAP8[($b)]; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $11=(($10) & 1); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $12=$11 ? 1 : 0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $13=$2; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $14=(($13+52)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $16=(($15+209948)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $17=(($16+28)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $18=(($17+($12<<2))|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $20=$19; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $atom=$20; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $21=$atom; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $22=$21; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $str=$22; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $23=$str; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $24=(($23)|0)!=0; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 4: 
      $1=0; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 6; break; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 5: 
      var $27=$4; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $28=$str; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN2JS5Value9setStringEP8JSString($27, $28); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $1=1; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 6; break; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 6: 
      var $30=$1; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12bool_valueOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $b=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $6=$4; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $7=__ZN2js16GetPrimitiveThisIbEEbP9JSContextPN2JS5ValueEPT_($5, $6, $b); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 2: 
      $1=0; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 4; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 3: 
      var $10=$4; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $11=HEAP8[($b)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $12=(($11) & 1); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN2JS5Value10setBooleanEb($10, $12); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $1=1; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 4; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 4: 
      var $14=$1; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      STACKTOP = __stackBase__;
      return $14; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z19js_InitBooleanClassP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $booleanProto;
      var $4=__stackBase__;
      var $ctor;
      $2=$cx;
      $3=$obj;
      var $5=$3; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $6=__ZN8JSObject8asGlobalEv($5); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $global=$6; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $7=$global; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $8=$2; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($7, $8, __ZN2js12BooleanClassE); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $booleanProto=$9; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $10=$booleanProto; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $11=(($10)|0)!=0; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 2: 
      $1=0; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 12; break; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 3: 
      var $14=$booleanProto; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN2JSL12BooleanValueEb532($4, 0); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN8JSObject16setPrimitiveThisERKN2JS5ValueE($14, $4); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $15=$global; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $16=$2; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $17=$2; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $18=(($17+52)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $20=(($19+209948)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $21=(($20+72)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $22=(($21+16)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $24=$23; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($15, $16, 76, __ZN2js12BooleanClassE, $24, 1); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $ctor=$25; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $26=$ctor; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $27=(($26)|0)!=0; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 4: 
      $1=0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 12; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 5: 
      var $30=$2; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $31=$ctor; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $32=$31; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $33=$booleanProto; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 6: 
      $1=0; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 12; break; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 7: 
      var $37=$2; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $38=$booleanProto; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $39=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($37, $38, 0, ((__ZL15boolean_methods)|0)); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($39) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 8: 
      $1=0; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 12; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 9: 
      var $42=$2; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $43=$global; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $44=$ctor; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $45=$44; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $46=$booleanProto; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $47=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($42, $43, 4, $45, $46); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 10: 
      $1=0; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 12; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 11: 
      var $50=$booleanProto; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $1=$50; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 12; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 12: 
      var $52=$1; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      STACKTOP = __stackBase__;
      return $52; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_InitBooleanClassP9JSContextP8JSObject["X"]=1;

function __ZN8JSObject16setPrimitiveThisERKN2JS5ValueE($this, $pthis) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pthis;
  var $3=$1;
  var $4=$2; //@line 407 "./jsobjinlines.h"
  __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($3, 0, $4); //@line 407 "./jsobjinlines.h"
  ;
  return; //@line 408 "./jsobjinlines.h"
}


function __ZN2JSL12BooleanValueEb532($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZL7BooleanP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $b;
      var $obj;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$4; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $7=(($6+16)|0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $argv=$7; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $8=$3; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $9=(($8)|0)!=0; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 2: 
      var $11=$argv; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $12=(($11)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $13=__Z17js_ValueToBooleanRKN2JS5ValueE($12); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $16 = $13;__label__ = 4; break; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 3: 
      var $16 = 0;__label__ = 4; break; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 4: 
      var $16; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $17=(($16)|0)!=0; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $18=(($17)&1); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $b=$18; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $19=$4; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $20=__ZN2jsL14IsConstructingEPKN2JS5ValueE($19); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 5: 
      var $22=$2; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $23=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE558($22, __ZN2js12BooleanClassE); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $obj=$23; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $24=$obj; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $25=(($24)|0)!=0; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 6: 
      $1=0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 10; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 7: 
      var $28=$obj; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $29=$b; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $30=(($29) & 1); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN2JSL12BooleanValueEb532($5, $30); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN8JSObject16setPrimitiveThisERKN2JS5ValueE($28, $5); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $31=$4; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $32=$obj; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN2JS5Value9setObjectER8JSObject($31, $32); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 9; break; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 8: 
      var $34=$4; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $35=$b; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $36=(($35) & 1); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __ZN2JS5Value10setBooleanEb($34, $36); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 9; break;
    case 9: 
      $1=1; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 10; break; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 10: 
      var $39=$1; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7BooleanP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js21BooleanToStringBufferEP9JSContextiRNS_12StringBufferE($cx, $b, $sb) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$b;
      $3=$sb;
      var $4=$2; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $5=(($4)|0)!=0; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 2: 
      var $7=$3; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $8=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($7, STRING_TABLE.__str1527); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $13 = $8;__label__ = 4; break; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 3: 
      var $10=$3; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $11=__ZN2js12StringBuffer6appendILj6EEEbRAT__Kc($10, STRING_TABLE.__str2528); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $13 = $11;__label__ = 4; break; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 4: 
      var $13; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      ;
      return $13; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($this, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$array;
  var $3=$1;
  var $4=(($3)|0); //@line 141 "./jsstrinlines.h"
  var $5=$2; //@line 141 "./jsstrinlines.h"
  var $6=(($5)|0); //@line 141 "./jsstrinlines.h"
  var $7=$2; //@line 141 "./jsstrinlines.h"
  var $8=(($7)|0); //@line 141 "./jsstrinlines.h"
  var $9=(($8+5)|0); //@line 141 "./jsstrinlines.h"
  var $10=(($9-1)|0); //@line 141 "./jsstrinlines.h"
  var $11=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbPKT_S6_($4, $6, $10); //@line 141 "./jsstrinlines.h"
  ;
  return $11; //@line 141 "./jsstrinlines.h"
}


function __ZN2js12StringBuffer6appendILj6EEEbRAT__Kc($this, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$array;
  var $3=$1;
  var $4=(($3)|0); //@line 141 "./jsstrinlines.h"
  var $5=$2; //@line 141 "./jsstrinlines.h"
  var $6=(($5)|0); //@line 141 "./jsstrinlines.h"
  var $7=$2; //@line 141 "./jsstrinlines.h"
  var $8=(($7)|0); //@line 141 "./jsstrinlines.h"
  var $9=(($8+6)|0); //@line 141 "./jsstrinlines.h"
  var $10=(($9-1)|0); //@line 141 "./jsstrinlines.h"
  var $11=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbPKT_S6_($4, $6, $10); //@line 141 "./jsstrinlines.h"
  ;
  return $11; //@line 141 "./jsstrinlines.h"
}


function __Z17js_ValueToBooleanRKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $d;
      $2=$v;
      var $3=$2; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $4=__ZNK2JS5Value7isInt32Ev($3); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 2: 
      var $6=$2; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $7=__ZNK2JS5Value7toInt32Ev($6); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $8=(($7)|0)!=0; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $9=(($8)&1); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $1=$9; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 14; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 3: 
      var $11=$2; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $12=__ZNK2JS5Value8isStringEv($11); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 4: 
      var $14=$2; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $15=__ZNK2JS5Value8toStringEv($14); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $16=__ZNK8JSString6lengthEv($15); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $17=(($16)|0)!=0; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $18=(($17)&1); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $1=$18; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 14; break; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 5: 
      var $20=$2; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $21=__ZNK2JS5Value8isObjectEv($20); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 6: 
      $1=1; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 14; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 7: 
      var $24=$2; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $25=__ZNK2JS5Value17isNullOrUndefinedEv($24); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 8: 
      $1=0; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 14; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 9: 
      var $28=$2; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $29=__ZNK2JS5Value8isDoubleEv($28); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($29) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 10: 
      var $31=$2; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $32=__ZNK2JS5Value8toDoubleEv($31); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $d=$32; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $33=$d; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $34=__ZL15JSDOUBLE_IS_NaNd535($33); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $35=(($34)|0)!=0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      if ($35) { var $40 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 11: 
      var $37=$d; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $38=$37 != 0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $40 = $38;__label__ = 12; break;
    case 12: 
      var $40;
      var $41=(($40)&1);
      $1=$41;
      __label__ = 14; break;
    case 13: 
      var $43=$2; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $44=__ZNK2JS5Value9toBooleanEv($43); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      var $45=(($44)&1); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      $1=$45; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      __label__ = 14; break; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    case 14: 
      var $47=$1; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
      ;
      return $47; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsbool.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_ValueToBooleanRKN2JS5ValueE["X"]=1;

function __ZNK2JS5Value9toBooleanEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 542 "./jsapi.h"
  var $5=$2; //@line 542 "./jsapi.h"
  var $6=$4; //@line 542 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 542 "./jsapi.h"
  var $7=_JSVAL_TO_BOOLEAN_IMPL($2); //@line 542 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 542 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 542 "./jsapi.h"
}


function _js_realloc536($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc537($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12ATOM_TO_JSIDP6JSAtom546($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj557($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2JSL11ObjectValueER8JSObject547($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv548($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_550($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj551($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_552($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_550["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj551($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_552($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2jsL14IsConstructingEPKN2JS5ValueE($vp) {
  ;
  var __label__;

  var $1;
  $1=$vp;
  var $2=$1; //@line 372 "./jsfun.h"
  var $3=(($2+8)|0); //@line 372 "./jsfun.h"
  var $4=__ZNK2JS5Value7isMagicEv($3); //@line 372 "./jsfun.h"
  ;
  return $4; //@line 372 "./jsfun.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE558($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb560($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE561($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2js6detail17PrimitiveBehaviorIbE8getClassEv() {
  ;
  var __label__;

  ;
  return __ZN2js12BooleanClassE; //@line 91 "./jsinterpinlines.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE563($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE569($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE564($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb560($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL568($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL570($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL571($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL572($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE561($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE562($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE561["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE562($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE563($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE564($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE562["X"]=1;

function _js_free565($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc566($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb567($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value7isMagicEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 443 "./jsapi.h"
  var $5=$2; //@line 443 "./jsapi.h"
  var $6=$4; //@line 443 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 443 "./jsapi.h"
  var $7=_JSVAL_IS_MAGIC_IMPL571($2); //@line 443 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 443 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 443 "./jsapi.h"
}


function __ZN2js16GetPrimitiveThisIbEEbP9JSContextPN2JS5ValueEPT_($cx, $vp, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisv;
      $2=$cx;
      $3=$vp;
      $4=$v;
      var $5=$3; //@line 110 "./jsinterpinlines.h"
      var $6=(($5+8)|0); //@line 110 "./jsinterpinlines.h"
      $thisv=$6; //@line 110 "./jsinterpinlines.h"
      var $7=$thisv; //@line 111 "./jsinterpinlines.h"
      var $8=__ZN2js6detail17PrimitiveBehaviorIbE6isTypeERKN2JS5ValueE($7); //@line 111 "./jsinterpinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 111 "./jsinterpinlines.h"
    case 2: 
      var $10=$thisv; //@line 112 "./jsinterpinlines.h"
      var $11=__ZN2js6detail17PrimitiveBehaviorIbE7extractERKN2JS5ValueE($10); //@line 112 "./jsinterpinlines.h"
      var $12=$4; //@line 112 "./jsinterpinlines.h"
      var $13=(($11)&1); //@line 112 "./jsinterpinlines.h"
      HEAP8[($12)]=$13; //@line 112 "./jsinterpinlines.h"
      $1=1; //@line 113 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 113 "./jsinterpinlines.h"
    case 3: 
      var $15=$thisv; //@line 116 "./jsinterpinlines.h"
      var $16=__ZNK2JS5Value8isObjectEv($15); //@line 116 "./jsinterpinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 116 "./jsinterpinlines.h"
    case 4: 
      var $18=$thisv; //@line 116 "./jsinterpinlines.h"
      var $19=__ZNK2JS5Value8toObjectEv($18); //@line 116 "./jsinterpinlines.h"
      var $20=__ZNK8JSObject8getClassEv($19); //@line 116 "./jsinterpinlines.h"
      var $21=__ZN2js6detail17PrimitiveBehaviorIbE8getClassEv(); //@line 116 "./jsinterpinlines.h"
      var $22=(($20)|0)==(($21)|0); //@line 116 "./jsinterpinlines.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 116 "./jsinterpinlines.h"
    case 5: 
      var $24=$thisv; //@line 117 "./jsinterpinlines.h"
      var $25=__ZNK2JS5Value8toObjectEv($24); //@line 117 "./jsinterpinlines.h"
      var $26=__ZNK8JSObject16getPrimitiveThisEv($25); //@line 117 "./jsinterpinlines.h"
      var $27=__ZN2js6detail17PrimitiveBehaviorIbE7extractERKN2JS5ValueE($26); //@line 117 "./jsinterpinlines.h"
      var $28=$4; //@line 117 "./jsinterpinlines.h"
      var $29=(($27)&1); //@line 117 "./jsinterpinlines.h"
      HEAP8[($28)]=$29; //@line 117 "./jsinterpinlines.h"
      $1=1; //@line 118 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 118 "./jsinterpinlines.h"
    case 6: 
      var $31=$2; //@line 121 "./jsinterpinlines.h"
      var $32=$3; //@line 121 "./jsinterpinlines.h"
      var $33=__ZN2js6detail17PrimitiveBehaviorIbE8getClassEv(); //@line 121 "./jsinterpinlines.h"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($31, $32, $33); //@line 121 "./jsinterpinlines.h"
      $1=0; //@line 122 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 122 "./jsinterpinlines.h"
    case 7: 
      var $35=$1; //@line 123 "./jsinterpinlines.h"
      ;
      return $35; //@line 123 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail17PrimitiveBehaviorIbE6isTypeERKN2JS5ValueE($v) {
  ;
  var __label__;

  var $1;
  $1=$v;
  var $2=$1; //@line 89 "./jsinterpinlines.h"
  var $3=__ZNK2JS5Value9isBooleanEv($2); //@line 89 "./jsinterpinlines.h"
  ;
  return $3; //@line 89 "./jsinterpinlines.h"
}


function __ZN2js6detail17PrimitiveBehaviorIbE7extractERKN2JS5ValueE($v) {
  ;
  var __label__;

  var $1;
  $1=$v;
  var $2=$1; //@line 90 "./jsinterpinlines.h"
  var $3=__ZNK2JS5Value9toBooleanEv($2); //@line 90 "./jsinterpinlines.h"
  ;
  return $3; //@line 90 "./jsinterpinlines.h"
}


function __ZNK8JSObject16getPrimitiveThisEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 0); //@line 400 "./jsobjinlines.h"
  ;
  return $3; //@line 400 "./jsobjinlines.h"
}


function __ZNK2JS5Value9isBooleanEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 428 "./jsapi.h"
  var $5=$2; //@line 428 "./jsapi.h"
  var $6=$4; //@line 428 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 428 "./jsapi.h"
  var $7=_JSVAL_IS_BOOLEAN_IMPL($2); //@line 428 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 428 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 428 "./jsapi.h"
}


function __Z14js_GetSCOffsetP23JSStructuredCloneWriter($writer) {
  ;
  var __label__;

  var $1;
  $1=$writer;
  var $2=$1; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $3=__ZN23JSStructuredCloneWriter6outputEv($2); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $4=__ZN2js8SCOutput5countEv($3);
  var $4$0=$4[0];
  var $4$1=$4[1];
  var $$emscripten$temp$0$0=8;
  var $$emscripten$temp$0$1=0;
  var $5$0 = (i64Math.multiply($4$0,$4$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $5$1 = i64Math.result[1]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return [$5$0,$5$1]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js8SCOutput5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 78 "./jsclone.h"
  var $4=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE6lengthEv($3); //@line 78 "./jsclone.h"
  var $5$0=$4;
  var $5$1=0;
  ;
  return [$5$0,$5$1]; //@line 78 "./jsclone.h"
}


function __ZN2js20WriteStructuredCloneEP9JSContextRKN2JS5ValueEPPyPjPK26JSStructuredCloneCallbacksPv($cx, $v, $bufp, $nbytesp, $cb, $cbClosure) {
  var __stackBase__  = STACKTOP; STACKTOP += 244; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $out=__stackBase__;
      var $w=__stackBase__+28;
      var $8;
      $2=$cx;
      $3=$v;
      $4=$bufp;
      $5=$nbytesp;
      $6=$cb;
      $7=$cbClosure;
      var $9=$2; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      FUNCTION_TABLE[__ZN2js8SCOutputC1EP9JSContext]($out, $9); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=$6; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=$7; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN23JSStructuredCloneWriterC1ERN2js8SCOutputEPK26JSStructuredCloneCallbacksPv($w, $out, $10, $11); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=__ZN23JSStructuredCloneWriter4initEv($w); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($12) { __label__ = 2; break; } else { var $21 = 0;__label__ = 4; break; } //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $14=$3; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $15=__ZN23JSStructuredCloneWriter5writeERKN2JS5ValueE($w, $14); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($15) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $17=$4; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=$5; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=__ZN2js8SCOutput13extractBufferEPPyPj($out, $17, $18); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      $1=$21;
      $8=1;
      __ZN23JSStructuredCloneWriterD1Ev($w); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2js8SCOutputD1Ev($out); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=$1; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneWriterC1ERN2js8SCOutputEPK26JSStructuredCloneCallbacksPv($this, $out, $cb, $cbClosure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$out;
  $3=$cb;
  $4=$cbClosure;
  var $5=$1;
  var $6=$3; //@line 156 "./jsclone.h"
  var $7=$4; //@line 156 "./jsclone.h"
  var $8=$2; //@line 156 "./jsclone.h"
  __ZN23JSStructuredCloneWriterC2ERN2js8SCOutputEPK26JSStructuredCloneCallbacksPv($5, $8, $6, $7); //@line 156 "./jsclone.h"
  ;
  return; //@line 156 "./jsclone.h"
}


function __ZN23JSStructuredCloneWriter4initEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+180)|0); //@line 158 "./jsclone.h"
  var $4=__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($3, 0); //@line 158 "./jsclone.h"
  ;
  return $4; //@line 158 "./jsclone.h"
}


function __ZN23JSStructuredCloneWriter5writeERKN2JS5ValueE($this, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $id;
      var $obj2=__stackBase__;
      var $prop=__stackBase__+4;
      var $val=__stackBase__+8;
      $2=$this;
      $3=$v;
      var $4=$2;
      var $5=$3; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=__ZN23JSStructuredCloneWriter10startWriteERKN2JS5ValueE($4, $5); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 21; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      __label__ = 4; break; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $10=(($4+96)|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE5emptyEv($10); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=$11 ^ 1; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 20; break; } //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $14=(($4+4)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $15=$14; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=__ZNK2js16AutoVectorRooterIN2JS5ValueEE4backEv($15); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=__ZNK2JS5Value8toObjectEv($16); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj=$17; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=(($4+96)|0); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE4backEv($18); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=(($20)|0)!=0; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 18; break; } //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $23=(($4+96)|0); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE4backEv($23); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=(($25-1)|0); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($24)>>2)]=$26; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $27=(($4+120)|0); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $28=$27; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $29=__ZNK2js16AutoVectorRooterIiE4backEv($28); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $id=$30; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $31=(($4+120)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$31; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2js16AutoVectorRooterIiE7popBackEv($32); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN23JSStructuredCloneWriter10checkStackEv($4); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=$id; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=_JSID_IS_STRING598($33); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=(($34)|0)!=0; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $37=$id; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $38=_JSID_IS_INT594($37); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $39=(($38)|0)!=0; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 17; break; } //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $41=__ZN23JSStructuredCloneWriter7contextEv($4); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $42=$obj; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $43=__ZNK8JSObject6getOpsEv($42); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=(($43+4)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $46=$obj; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=$id; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=__Z17js_HasOwnPropertyP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyES2_iS3_S6_($41, $45, $46, $47, $obj2, $prop); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $49=(($48)|0)!=0; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      $1=0; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 21; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      var $52=HEAP32[(($prop)>>2)]; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $53=(($52)|0)!=0; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      var $55=$id; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $56=__ZN23JSStructuredCloneWriter7writeIdEi($4, $55); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($56) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 12: 
      var $58=$obj; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $59=__ZN23JSStructuredCloneWriter7contextEv($4); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $60=$id; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $61=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($58, $59, $60, $val); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $62=(($61)|0)!=0; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($62) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 13: 
      var $64=__ZN23JSStructuredCloneWriter10startWriteERKN2JS5ValueE($4, $val); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($64) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 14: 
      $1=0; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 21; break; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 15: 
      __label__ = 16; break; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 16: 
      __label__ = 17; break; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 17: 
      __label__ = 19; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 18: 
      var $70=(($4)|0); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $72=__ZN2js8SCOutput9writePairEjj($71, -65536, 0); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $73=(($4+4)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $74=$73; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE7popBackEv($74); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $75=(($4+96)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE7popBackEv($75); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 19; break;
    case 19: 
      __label__ = 4; break; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 20: 
      var $78=(($4+180)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv($78); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 21; break; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 21: 
      var $80=$1; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN23JSStructuredCloneWriter5writeERKN2JS5ValueE["X"]=1;

function __ZN2js8SCOutput13extractBufferEPPyPj($this, $datap, $sizep) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$datap;
  $3=$sizep;
  var $4=$1;
  var $5=(($4+4)|0); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $6=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE6lengthEv($5); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $7=((($6<<3))|0); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $8=$3; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $9=(($4+4)|0); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $10=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE16extractRawBufferEv($9); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $11=$2; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  HEAP32[(($11)>>2)]=$10; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $12=(($10)|0)!=0; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $12; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN23JSStructuredCloneWriterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN23JSStructuredCloneWriterD2Ev($2); //@line 151 "./jsclone.h"
  ;
  return; //@line 151 "./jsclone.h"
}


function __ZN2js8SCOutputD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js8SCOutputD2Ev($2); //@line 61 "./jsclone.h"
  ;
  return; //@line 61 "./jsclone.h"
}


function __ZN2js19ReadStructuredCloneEP9JSContextPKyjPN2JS5ValueEPK26JSStructuredCloneCallbacksPv($cx, $data, $nbytes, $vp, $cb, $cbClosure) {
  var __stackBase__  = STACKTOP; STACKTOP += 208; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $in=__stackBase__;
  var $r=__stackBase__+12;
  var $8;
  $2=$cx;
  $3=$data;
  $4=$nbytes;
  $5=$vp;
  $6=$cb;
  $7=$cbClosure;
  var $9=$2; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $10=$3; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $11=$4; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  FUNCTION_TABLE[__ZN2js7SCInputC1EP9JSContextPKyj]($in, $9, $10, $11); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $12=$6; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $13=$7; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  __ZN23JSStructuredCloneReaderC1ERN2js7SCInputEPK26JSStructuredCloneCallbacksPv($r, $in, $12, $13); //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $14=$5; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $15=__ZN23JSStructuredCloneReader4readEPN2JS5ValueE($r, $14); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  $1=$15; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  $8=1;
  __ZN23JSStructuredCloneReaderD1Ev($r); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $16=$1; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN23JSStructuredCloneReaderC1ERN2js7SCInputEPK26JSStructuredCloneCallbacksPv($this, $in, $cb, $cbClosure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$in;
  $3=$cb;
  $4=$cbClosure;
  var $5=$1;
  var $6=$3; //@line 121 "./jsclone.h"
  var $7=$4; //@line 121 "./jsclone.h"
  var $8=$2; //@line 121 "./jsclone.h"
  __ZN23JSStructuredCloneReaderC2ERN2js7SCInputEPK26JSStructuredCloneCallbacksPv($5, $8, $6, $7); //@line 121 "./jsclone.h"
  ;
  return; //@line 121 "./jsclone.h"
}


function __ZL12PairToUInt64jj($tag, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$data;
  var $3=$2; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $4$0=$3;
  var $4$1=0;
  var $5=$1; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $6$0=$5;
  var $6$1=0;
  var $7$0=0;
  var $7$1=$6$0;
  var $8$0=$4$0 | $7$0;
  var $8$1=$4$1 | $7$1;
  ;
  return [$8$0,$8$1]; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function _JSID_IS_INT594($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT595($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_TO_STRING596($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZN2js7SCInputC2EP9JSContextPKyj($this, $cx, $data, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$data;
  $4=$nbytes;
  var $5=$1;
  var $6=(($5)|0); //@line 159 "./jsclone.h"
  var $7=$2; //@line 159 "./jsclone.h"
  HEAP32[(($6)>>2)]=$7; //@line 159 "./jsclone.h"
  var $8=(($5+4)|0); //@line 159 "./jsclone.h"
  var $9=$3; //@line 159 "./jsclone.h"
  HEAP32[(($8)>>2)]=$9; //@line 159 "./jsclone.h"
  var $10=(($5+8)|0); //@line 159 "./jsclone.h"
  var $11=$3; //@line 159 "./jsclone.h"
  var $12=$4; //@line 159 "./jsclone.h"
  var $13=Math.floor((($12)>>>0)/8); //@line 159 "./jsclone.h"
  var $14=(($11+($13<<3))|0); //@line 159 "./jsclone.h"
  HEAP32[(($10)>>2)]=$14; //@line 159 "./jsclone.h"
  ;
  return; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZL9SwapBytesy($u$0, $u$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  var $st$1$0=(($1)|0);
  HEAP32[(($st$1$0)>>2)]=$u$0;
  var $st$1$1=(($1+4)|0);
  HEAP32[(($st$1$1)>>2)]=$u$1;
  var $st$5$0=(($1)|0);
  var $2$0=HEAP32[(($st$5$0)>>2)];
  var $st$5$1=(($1+4)|0);
  var $2$1=HEAP32[(($st$5$1)>>2)];
  STACKTOP = __stackBase__;
  return [$2$0,$2$1]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZL25ReinterpretDoubleAsUInt64d($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $pun=__stackBase__;
  $1=$d;
  var $2=$1; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $3=$pun; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $4=$pun; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  STACKTOP = __stackBase__;
  return [$5$0,$5$1]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN23JSStructuredCloneReader4readEPN2JS5ValueE($this, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $id=__stackBase__;
      var $v=__stackBase__+4;
      $2=$this;
      $3=$vp;
      var $4=$2;
      var $5=$3; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=__ZN23JSStructuredCloneReader9startReadEPN2JS5ValueE($4, $5); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 15; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      __label__ = 4; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $10=(($4+4)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=$10; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($11); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=(($12)|0)!=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $15=(($4+4)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=$15; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=__ZNK2js16AutoVectorRooterIN2JS5ValueEE4backEv($16); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=__ZNK2JS5Value8toObjectEv($17); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj=$18; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=__ZN23JSStructuredCloneReader6readIdEPi($4, $id); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      $1=0; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 15; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $22=HEAP32[(($id)>>2)]; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=_JSID_IS_VOID605($22); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(($23)|0)!=0; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $26=(($4+4)|0); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $27=$26; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE7popBackEv($27); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 13; break; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      var $29=__ZN23JSStructuredCloneReader9startReadEPN2JS5ValueE($4, $v); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($29) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      var $31=$obj; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=__ZN23JSStructuredCloneReader7contextEv($4); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=HEAP32[(($id)>>2)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($31, $32, $33, $v, 8, 10, 1); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=(($34)|0)!=0; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($35) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      $1=0; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 15; break; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 4; break; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 14: 
      var $40=(($4+96)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $41=$40; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE5clearEv($41); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 15; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 15: 
      var $43=$1; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN23JSStructuredCloneReader4readEPN2JS5ValueE["X"]=1;

function __ZN23JSStructuredCloneReaderD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN23JSStructuredCloneReaderD2Ev($2); //@line 116 "./jsclone.h"
  ;
  return; //@line 116 "./jsclone.h"
}


function __ZN2js7SCInput3eofEv($this) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  _JS_ReportErrorNumber($4, 2, 0, 260, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str573)|0),tempInt)); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js7SCInput4readEPy($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$p;
      var $4=$2;
      var $5=(($4+4)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($4+8)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=(($6)|0)==(($8)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $11=__ZN2js7SCInput3eofEv($4); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$11; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $13=(($4+4)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $15=(($14+8)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($13)>>2)]=$15; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $st$4$0=(($14)|0);
      var $16$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($14+4)|0);
      var $16$1=HEAP32[(($st$4$1)>>2)];
      var $17=__ZL9SwapBytesy($16$0, $16$1);
      var $17$0=$17[0];
      var $17$1=$17[1];
      var $18=$3; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $st$12$0=(($18)|0);
      HEAP32[(($st$12$0)>>2)]=$17$0;
      var $st$12$1=(($18+4)|0);
      HEAP32[(($st$12$1)>>2)]=$17$1;
      $1=1; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $20=$1; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $20; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7SCInput8readPairEPjS1_($this, $tagp, $datap) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $u=__stackBase__;
      var $ok;
      $1=$this;
      $2=$tagp;
      $3=$datap;
      var $4=$1;
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$11$0=(($u)|0);
      HEAP32[(($st$11$0)>>2)]=$$emscripten$temp$0$0;
      var $st$11$1=(($u+4)|0);
      HEAP32[(($st$11$1)>>2)]=$$emscripten$temp$0$1;
      var $5=__ZN2js7SCInput4readEPy($4, $u); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=(($5)&1); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $ok=$6; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=$ok; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=(($7) & 1); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $st$0$0=(($u)|0);
      var $10$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($u+4)|0);
      var $10$1=HEAP32[(($st$0$1)>>2)];
      var $11$0=$10$1;
      var $11$1=0;
      var $12$0=$11$0;
      var $12=$12$0;
      var $13=$2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $st$10$0=(($u)|0);
      var $14$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($u+4)|0);
      var $14$1=HEAP32[(($st$10$1)>>2)];
      var $15$0=$14$0;
      var $15=$15$0;
      var $16=$3; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 3; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $18=$ok; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($18) & 1); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7SCInput10readDoubleEPd($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pun=__stackBase__;
      $2=$this;
      $3=$p;
      var $4=$2;
      var $5=$pun; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=__ZN2js7SCInput4readEPy($4, $5); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $9=$pun; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=(tempDoubleI32[0]=HEAP32[(($9)>>2)],tempDoubleI32[1]=HEAP32[(($9+4)>>2)],tempDoubleF64[0]); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=__ZL15CanonicalizeNand($10); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      (tempDoubleF64[0]=$11,HEAP32[(($12)>>2)]=tempDoubleI32[0],HEAP32[(($12+4)>>2)]=tempDoubleI32[1]); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $14=$1; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $14; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15CanonicalizeNand($d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $3=_JS_CANONICALIZE_NAN644($2); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $3; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js7SCInput9readBytesEPvj($this, $p, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$nbytes;
  var $4=$1;
  var $5=$2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $6=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $7=__ZN2js7SCInput9readArrayIhEEbPT_j($4, $5, $6); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $7; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js7SCInput9readArrayIhEEbPT_j($this, $p, $nelems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nwords;
      $2=$this;
      $3=$p;
      $4=$nelems;
      var $5=$2;
      var $6=$4; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6+8)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=(($7-1)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=Math.floor((($8)>>>0)/8); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $nwords=$9; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10+8)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11-1)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $16=$nwords; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=(($5+8)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($5+4)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=$18; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=$20; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=(($21-$22)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(((($23)|0)/8)&-1); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=(($16)>>>0) > (($24)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $27=__ZN2js7SCInput3eofEv($5); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$27; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 5; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $29=$3; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=(($5+4)|0); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$31; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=$4; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      assert($33 % 1 === 0, 'memcpy given ' + $33 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($29, $32, $33, 1); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=$nwords; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=(($5+4)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $37=(($36+($34<<3))|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($35)>>2)]=$37; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 5; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $39=$1; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $39; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7SCInput9readCharsEPtj($this, $p, $nchars) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$nchars;
  var $4=$1;
  var $5=$2; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $6=$3; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $7=__ZN2js7SCInput9readArrayItEEbPT_j($4, $5, $6); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $7; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js7SCInput9readArrayItEEbPT_j($this, $p, $nelems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nwords;
      var $q;
      var $qend;
      $2=$this;
      $3=$p;
      $4=$nelems;
      var $5=$2;
      var $6=$4; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6+4)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=(($7-1)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=Math.floor((($8)>>>0)/4); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $nwords=$9; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10+4)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11-1)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $16=$nwords; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=(($5+8)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($5+4)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=$18; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=$20; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=(($21-$22)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(((($23)|0)/8)&-1); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=(($16)>>>0) > (($24)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $27=__ZN2js7SCInput3eofEv($5); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$27; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $29=(($5+4)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $31=$30; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$31; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$q; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=$4; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=(($32+($33<<1))|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $qend=$34; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 5; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $36=$q; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $37=$qend; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $38=(($36)|0)!=(($37)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $40=$q; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $41=(($40+2)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$41; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $42=HEAP16[(($40)>>1)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $43=__ZL9SwapBytest($42); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=$3; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $45=(($44+2)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $3=$45; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP16[(($44)>>1)]=$43; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 5; break; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $47=$nwords; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=(($5+4)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $50=(($49+($47<<3))|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $52=$1; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $52; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7SCInput9readArrayItEEbPT_j["X"]=1;

function __ZN2js8SCOutputC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=(($4)|0); //@line 247 "./jsclone.h"
  var $6=$2; //@line 247 "./jsclone.h"
  HEAP32[(($5)>>2)]=$6; //@line 247 "./jsclone.h"
  var $7=(($4+4)|0); //@line 247 "./jsclone.h"
  var $8=$2; //@line 247 "./jsclone.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $8); //@line 247 "./jsclone.h"
  __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEC1ES1_($7, $3); //@line 247 "./jsclone.h"
  STACKTOP = __stackBase__;
  return; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEC1ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEC2ES1_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js8SCOutput5writeEy($this, $u$0, $u$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$u$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$u$1;
  var $3=$1;
  var $4=(($3+4)|0); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $st$9$0=(($2)|0);
  var $5$0=HEAP32[(($st$9$0)>>2)];
  var $st$9$1=(($2+4)|0);
  var $5$1=HEAP32[(($st$9$1)>>2)];
  var $6=__ZL9SwapBytesy($5$0, $5$1);
  var $6$0=$6[0];
  var $6$1=$6[1];
  var $7=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE6appendIyEEbT_($4, $6$0, $6$1);
  var $7$0=$7[0];
  STACKTOP = __stackBase__;
  return $7; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE6appendIyEEbT_($this, $t$0, $t$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $g=__stackBase__+8;
      var $4;
      $2=$this;
      var $st$6$0=(($3)|0);
      HEAP32[(($st$6$0)>>2)]=$t$0;
      var $st$6$1=(($3+4)|0);
      HEAP32[(($st$6$1)>>2)]=$t$1;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIyLj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $st$0$0=(($3)|0);
      var $15$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($3+4)|0);
      var $15$1=HEAP32[(($st$0$1)>>2)];
      __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE14internalAppendIyEEvT_($5, $15$0, $15$1);
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8SCOutput9writePairEjj($this, $tag, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$tag;
  $3=$data;
  var $4=$1;
  var $5=$2; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $6=$3; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $7=__ZL12PairToUInt64jj($5, $6);
  var $7$0=$7[0];
  var $7$1=$7[1];
  var $8=__ZN2js8SCOutput5writeEy($4, $7$0, $7$1);
  var $8$0=$8[0];
  ;
  return $8; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js8SCOutput11writeDoubleEd($this, $d) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$d;
  var $3=$1;
  var $4=$2; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $5=__ZL15CanonicalizeNand($4); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $6=__ZL25ReinterpretDoubleAsUInt64d($5);
  var $6$0=$6[0];
  var $6$1=$6[1];
  var $7=__ZN2js8SCOutput5writeEy($3, $6$0, $6$1);
  var $7$0=$7[0];
  ;
  return $7; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js8SCOutput10writeBytesEPKvj($this, $p, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$nbytes;
  var $4=$1;
  var $5=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $6=$3; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $7=__ZN2js8SCOutput10writeArrayIhEEbPKT_j($4, $5, $6); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $7; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js8SCOutput10writeArrayIhEEbPKT_j($this, $p, $nelems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nwords;
      var $start;
      var $q;
      $2=$this;
      $3=$p;
      $4=$nelems;
      var $5=$2;
      var $6=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6)|0)==0; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $10=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10+8)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11-1)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $16=__ZNK2js8SCOutput7contextEv($5); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $18=$4; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($18+8)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=(($19-1)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=Math.floor((($20)>>>0)/8); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $nwords=$21; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=(($5+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE6lengthEv($22); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $start=$23; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(($5+4)|0); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=$nwords; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE19growByUninitializedEj($24, $25); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      $1=0; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $29=(($5+4)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE4backEv($29); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$4$0=(($30)|0);
      HEAP32[(($st$4$0)>>2)]=$$emscripten$temp$0$0;
      var $st$4$1=(($30+4)|0);
      HEAP32[(($st$4$1)>>2)]=$$emscripten$temp$0$1;
      var $31=(($5+4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$start; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEixEj($31, $32); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=$33; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$34; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=$q; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=$3; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $37=$4; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      assert($37 % 1 === 0, 'memcpy given ' + $37 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($35, $36, $37, 1); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $39=$1; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $39; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8SCOutput10writeArrayIhEEbPKT_j["X"]=1;

function __ZN2js8SCOutput10writeCharsEPKtj($this, $p, $nchars) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$nchars;
  var $4=$1;
  var $5=$2; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $6=$3; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $7=__ZN2js8SCOutput10writeArrayItEEbPKT_j($4, $5, $6); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $7; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js8SCOutput10writeArrayItEEbPKT_j($this, $p, $nelems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nwords;
      var $start;
      var $q;
      var $pend;
      $2=$this;
      $3=$p;
      $4=$nelems;
      var $5=$2;
      var $6=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6)|0)==0; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $10=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10+4)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11-1)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $16=__ZNK2js8SCOutput7contextEv($5); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $18=$4; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($18+4)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=(($19-1)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=Math.floor((($20)>>>0)/4); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $nwords=$21; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=(($5+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE6lengthEv($22); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $start=$23; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(($5+4)|0); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=$nwords; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE19growByUninitializedEj($24, $25); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      $1=0; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $29=(($5+4)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE4backEv($29); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$4$0=(($30)|0);
      HEAP32[(($st$4$0)>>2)]=$$emscripten$temp$0$0;
      var $st$4$1=(($30+4)|0);
      HEAP32[(($st$4$1)>>2)]=$$emscripten$temp$0$1;
      var $31=(($5+4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$start; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEixEj($31, $32); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=$33; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$34; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=$3; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=$4; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $37=(($35+($36<<1))|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $pend=$37; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $39=$3; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $40=$pend; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $41=(($39)|0)!=(($40)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      var $43=$3; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=(($43+2)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $3=$44; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $45=HEAP16[(($43)>>1)]; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $46=__ZL9SwapBytest($45); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=$q; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=(($47+2)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$48; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP16[(($47)>>1)]=$46; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      $1=1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      var $51=$1; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $51; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8SCOutput10writeArrayItEEbPKT_j["X"]=1;

function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE16extractRawBufferEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ret;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 916 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 916 "./jsvector.h"
    case 2: 
      var $6=$3; //@line 917 "./jsvector.h"
      var $7=(($3+8)|0); //@line 917 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 917 "./jsvector.h"
      var $9=((($8<<3))|0); //@line 917 "./jsvector.h"
      var $10=__ZN2js15TempAllocPolicy7malloc_Ej($6, $9); //@line 917 "./jsvector.h"
      var $11=$10; //@line 917 "./jsvector.h"
      $ret=$11; //@line 917 "./jsvector.h"
      var $12=$ret; //@line 918 "./jsvector.h"
      var $13=(($12)|0)!=0; //@line 918 "./jsvector.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 918 "./jsvector.h"
    case 3: 
      $1=0; //@line 919 "./jsvector.h"
      __label__ = 7; break; //@line 919 "./jsvector.h"
    case 4: 
      var $16=$ret; //@line 920 "./jsvector.h"
      var $17=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($3); //@line 920 "./jsvector.h"
      var $18=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 920 "./jsvector.h"
      __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE13copyConstructIyEEvPyPKT_S7_($16, $17, $18); //@line 920 "./jsvector.h"
      var $19=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($3); //@line 921 "./jsvector.h"
      var $20=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 921 "./jsvector.h"
      __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE7destroyEPyS3_($19, $20); //@line 921 "./jsvector.h"
      var $21=(($3+8)|0); //@line 923 "./jsvector.h"
      HEAP32[(($21)>>2)]=0; //@line 923 "./jsvector.h"
      __label__ = 6; break; //@line 924 "./jsvector.h"
    case 5: 
      var $23=(($3+4)|0); //@line 925 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 925 "./jsvector.h"
      $ret=$24; //@line 925 "./jsvector.h"
      var $25=(($3+16)|0); //@line 926 "./jsvector.h"
      var $26=__ZN7mozilla14AlignedStorageILj1EE4addrEv($25); //@line 926 "./jsvector.h"
      var $27=$26; //@line 926 "./jsvector.h"
      var $28=(($3+4)|0); //@line 926 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 926 "./jsvector.h"
      var $29=(($3+8)|0); //@line 927 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; //@line 927 "./jsvector.h"
      var $30=(($3+12)|0); //@line 928 "./jsvector.h"
      HEAP32[(($30)>>2)]=0; //@line 928 "./jsvector.h"
      __label__ = 6; break;
    case 6: 
      var $32=$ret; //@line 933 "./jsvector.h"
      $1=$32; //@line 933 "./jsvector.h"
      __label__ = 7; break; //@line 933 "./jsvector.h"
    case 7: 
      var $34=$1; //@line 934 "./jsvector.h"
      ;
      return $34; //@line 934 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneWriter11writeStringEjP8JSString($this, $tag, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $length;
      var $chars;
      $2=$this;
      $3=$tag;
      $4=$str;
      var $5=$2;
      var $6=$4; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=__ZNK8JSString6lengthEv($6); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $length=$7; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=$4; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=__ZN23JSStructuredCloneWriter7contextEv($5); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=__ZN8JSString8getCharsEP9JSContext($8, $9); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $chars=$10; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=$chars; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11)|0)!=0; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 6; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $15=(($5)|0); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=$3; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=$length; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=__ZN2js8SCOutput9writePairEjj($16, $17, $18); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($19) { __label__ = 4; break; } else { var $27 = 0;__label__ = 5; break; } //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $21=(($5)|0); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=$chars; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=$length; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=__ZN2js8SCOutput10writeCharsEPKtj($22, $23, $24); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $27 = $25;__label__ = 5; break;
    case 5: 
      var $27;
      $1=$27;
      __label__ = 6; break;
    case 6: 
      var $29=$1; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $29; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneWriter7contextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 165 "./jsclone.h"
  var $4=HEAP32[(($3)>>2)]; //@line 165 "./jsclone.h"
  var $5=__ZNK2js8SCOutput7contextEv($4); //@line 165 "./jsclone.h"
  ;
  return $5; //@line 165 "./jsclone.h"
}


function __ZN23JSStructuredCloneWriter7writeIdEi($this, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$id;
      var $4=$2;
      var $5=$3; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=_JSID_IS_INT594($5); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6)|0)!=0; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $9=(($4)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=$3; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=_JSID_TO_INT595($11); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=__ZN2js8SCOutput9writePairEjj($10, -65533, $12); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$13; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $15=$3; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=_JSID_TO_STRING596($15); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=__ZN23JSStructuredCloneWriter11writeStringEjP8JSString($4, -65532, $16); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$17; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $19=$1; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $19; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneWriter10checkStackEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZL14ArrayTypeToTagj($type) {
  ;
  var __label__;

  var $1;
  $1=$type;
  var $2=$1; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $3=(($2-65280)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $3; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN8JSObject21arrayBufferByteLengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 50 "./jstypedarrayinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 50 "./jstypedarrayinlines.h"
  var $5=$4; //@line 50 "./jstypedarrayinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 50 "./jstypedarrayinlines.h"
  ;
  return $6; //@line 50 "./jstypedarrayinlines.h"
}


function __ZN8JSObject21arrayBufferDataOffsetEv($this) {
  ;
  var __label__;

  var $1;
  var $base;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 56 "./jstypedarrayinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 56 "./jstypedarrayinlines.h"
  var $5=$4; //@line 56 "./jstypedarrayinlines.h"
  var $6=(($5+8)|0); //@line 56 "./jstypedarrayinlines.h"
  $base=$6; //@line 56 "./jstypedarrayinlines.h"
  var $7=$base; //@line 57 "./jstypedarrayinlines.h"
  var $8=$7; //@line 57 "./jstypedarrayinlines.h"
  ;
  return $8; //@line 57 "./jstypedarrayinlines.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZN2jsL7ReverseIiEEvPT_S2_($beg, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $tmp;
      $1=$beg;
      $2=$end;
      __label__ = 2; break; //@line 269 "./jstl.h"
    case 2: 
      var $4=$1; //@line 269 "./jstl.h"
      var $5=$2; //@line 269 "./jstl.h"
      var $6=(($4)|0)!=(($5)|0); //@line 269 "./jstl.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 269 "./jstl.h"
    case 3: 
      var $8=$2; //@line 270 "./jstl.h"
      var $9=(($8-4)|0); //@line 270 "./jstl.h"
      $2=$9; //@line 270 "./jstl.h"
      var $10=$1; //@line 270 "./jstl.h"
      var $11=(($9)|0)==(($10)|0); //@line 270 "./jstl.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 270 "./jstl.h"
    case 4: 
      __label__ = 6; break; //@line 271 "./jstl.h"
    case 5: 
      var $14=$1; //@line 272 "./jstl.h"
      var $15=HEAP32[(($14)>>2)]; //@line 272 "./jstl.h"
      $tmp=$15; //@line 272 "./jstl.h"
      var $16=$2; //@line 273 "./jstl.h"
      var $17=HEAP32[(($16)>>2)]; //@line 273 "./jstl.h"
      var $18=$1; //@line 273 "./jstl.h"
      HEAP32[(($18)>>2)]=$17; //@line 273 "./jstl.h"
      var $19=$tmp; //@line 274 "./jstl.h"
      var $20=$2; //@line 274 "./jstl.h"
      HEAP32[(($20)>>2)]=$19; //@line 274 "./jstl.h"
      var $21=$1; //@line 275 "./jstl.h"
      var $22=(($21+4)|0); //@line 275 "./jstl.h"
      $1=$22; //@line 275 "./jstl.h"
      __label__ = 2; break; //@line 276 "./jstl.h"
    case 6: 
      ;
      return; //@line 277 "./jstl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneWriter15writeTypedArrayEP8JSObject($this, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $arr;
      $2=$this;
      $3=$obj;
      var $4=$2;
      var $5=$3; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=__ZN2js10TypedArray13getTypedArrayEP8JSObject($5); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $arr=$6; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($4)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=$arr; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=__ZN2js10TypedArray7getTypeEP8JSObject($9); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=__ZL14ArrayTypeToTagj($10); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=$arr; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=__ZN2js10TypedArray9getLengthEP8JSObject($12); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=__ZN2js8SCOutput9writePairEjj($8, $11, $13); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $17=$arr; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=__ZN2js10TypedArray7getTypeEP8JSObject($17); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ((($18)|0) == 0 || (($18)|0) == 1 || (($18)|0) == 8) {
        __label__ = 4; break;
      }
      else if ((($18)|0) == 2 || (($18)|0) == 3) {
        __label__ = 5; break;
      }
      else if ((($18)|0) == 4 || (($18)|0) == 5 || (($18)|0) == 6) {
        __label__ = 6; break;
      }
      else if ((($18)|0) == 7) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 4: 
      var $20=(($4)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=$arr; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=__ZN2js10TypedArray13getDataOffsetEP8JSObject($22); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=$arr; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=__ZN2js10TypedArray9getLengthEP8JSObject($24); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=__ZN2js8SCOutput10writeArrayIhEEbPKT_j($21, $23, $25); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$26; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $28=(($4)|0); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=$arr; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $31=__ZN2js10TypedArray13getDataOffsetEP8JSObject($30); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$31; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=$arr; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=__ZN2js10TypedArray9getLengthEP8JSObject($33); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=__ZN2js8SCOutput10writeArrayItEEbPKT_j($29, $32, $34); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$35; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $37=(($4)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $39=$arr; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $40=__ZN2js10TypedArray13getDataOffsetEP8JSObject($39); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $41=$40; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $42=$arr; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $43=__ZN2js10TypedArray9getLengthEP8JSObject($42); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=__ZN2js8SCOutput10writeArrayIjEEbPKT_j($38, $41, $43); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$44; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $46=(($4)|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=$arr; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $49=__ZN2js10TypedArray13getDataOffsetEP8JSObject($48); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $50=$49; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $51=$arr; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $52=__ZN2js10TypedArray9getLengthEP8JSObject($51); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $53=__ZN2js8SCOutput10writeArrayIyEEbPKT_j($47, $50, $52); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$53; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      $1=0; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      var $56=$1; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $56; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN23JSStructuredCloneWriter15writeTypedArrayEP8JSObject["X"]=1;

function __ZN2js10TypedArray7getTypeEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 89 "./jstypedarrayinlines.h"
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 3); //@line 89 "./jstypedarrayinlines.h"
  var $4=__ZNK2JS5Value7toInt32Ev($3); //@line 89 "./jstypedarrayinlines.h"
  ;
  return $4; //@line 89 "./jstypedarrayinlines.h"
}


function __ZN2js10TypedArray9getLengthEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 74 "./jstypedarrayinlines.h"
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 0); //@line 74 "./jstypedarrayinlines.h"
  var $4=__ZNK2JS5Value7toInt32Ev($3); //@line 74 "./jstypedarrayinlines.h"
  ;
  return $4; //@line 74 "./jstypedarrayinlines.h"
}


function __ZN2js10TypedArray13getDataOffsetEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 99 "./jstypedarrayinlines.h"
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 99 "./jstypedarrayinlines.h"
  ;
  return $3; //@line 99 "./jstypedarrayinlines.h"
}


function __ZN2js8SCOutput10writeArrayIjEEbPKT_j($this, $p, $nelems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nwords;
      var $start;
      var $q;
      var $pend;
      $2=$this;
      $3=$p;
      $4=$nelems;
      var $5=$2;
      var $6=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6)|0)==0; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $10=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10+2)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11-1)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $16=__ZNK2js8SCOutput7contextEv($5); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $18=$4; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($18+2)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=(($19-1)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=Math.floor((($20)>>>0)/2); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $nwords=$21; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=(($5+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE6lengthEv($22); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $start=$23; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(($5+4)|0); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=$nwords; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE19growByUninitializedEj($24, $25); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      $1=0; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $29=(($5+4)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE4backEv($29); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$4$0=(($30)|0);
      HEAP32[(($st$4$0)>>2)]=$$emscripten$temp$0$0;
      var $st$4$1=(($30+4)|0);
      HEAP32[(($st$4$1)>>2)]=$$emscripten$temp$0$1;
      var $31=(($5+4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$start; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEixEj($31, $32); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=$33; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$34; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=$3; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=$4; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $37=(($35+($36<<2))|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $pend=$37; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $39=$3; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $40=$pend; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $41=(($39)|0)!=(($40)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      var $43=$3; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=(($43+4)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $3=$44; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $45=HEAP32[(($43)>>2)]; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $46=__ZL9SwapBytesj($45); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=$q; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=(($47+4)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$48; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($47)>>2)]=$46; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      $1=1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      var $51=$1; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $51; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8SCOutput10writeArrayIjEEbPKT_j["X"]=1;

function __ZN2js8SCOutput10writeArrayIyEEbPKT_j($this, $p, $nelems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nwords;
      var $start;
      var $q;
      var $pend;
      $2=$this;
      $3=$p;
      $4=$nelems;
      var $5=$2;
      var $6=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6)|0)==0; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $10=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10+1)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11-1)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $16=__ZNK2js8SCOutput7contextEv($5); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $18=$4; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($18+1)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=(($19-1)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=Math.floor((($20)>>>0)); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $nwords=$21; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=(($5+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE6lengthEv($22); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $start=$23; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(($5+4)|0); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=$nwords; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE19growByUninitializedEj($24, $25); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      $1=0; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $29=(($5+4)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE4backEv($29); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$4$0=(($30)|0);
      HEAP32[(($st$4$0)>>2)]=$$emscripten$temp$0$0;
      var $st$4$1=(($30+4)|0);
      HEAP32[(($st$4$1)>>2)]=$$emscripten$temp$0$1;
      var $31=(($5+4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$start; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEixEj($31, $32); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$33; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=$3; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=$4; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=(($34+($35<<3))|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $pend=$36; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $38=$3; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $39=$pend; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $40=(($38)|0)!=(($39)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      var $42=$3; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $43=(($42+8)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $3=$43; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $st$3$0=(($42)|0);
      var $44$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($42+4)|0);
      var $44$1=HEAP32[(($st$3$1)>>2)];
      var $45=__ZL9SwapBytesy($44$0, $44$1);
      var $45$0=$45[0];
      var $45$1=$45[1];
      var $46=$q; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=(($46+8)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$47; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $st$13$0=(($46)|0);
      HEAP32[(($st$13$0)>>2)]=$45$0;
      var $st$13$1=(($46+4)|0);
      HEAP32[(($st$13$1)>>2)]=$45$1;
      __label__ = 8; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      $1=1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 11; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      var $50=$1; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $50; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8SCOutput10writeArrayIyEEbPKT_j["X"]=1;

function __ZN23JSStructuredCloneWriter16writeArrayBufferEP8JSObject($this, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$obj;
      var $3=$1;
      var $4=$2; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $5=__ZN2js11ArrayBuffer14getArrayBufferEP8JSObject($4); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $2=$5; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=(($3)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=$2; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=__ZN8JSObject21arrayBufferByteLengthEv($8); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=__ZN2js8SCOutput9writePairEjj($7, -65527, $9); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($10) { __label__ = 2; break; } else { var $20 = 0;__label__ = 3; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $12=(($3)|0); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=$2; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $15=__ZN8JSObject21arrayBufferDataOffsetEv($14); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=$2; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=__ZN8JSObject21arrayBufferByteLengthEv($16); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=__ZN2js8SCOutput10writeBytesEPKvj($13, $15, $17); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20 = $18;__label__ = 3; break;
    case 3: 
      var $20;
      ;
      return $20; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneWriter11startObjectEP8JSObject($this, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $p=__stackBase__+4;
      var $4=__stackBase__+12;
      var $5=__stackBase__+20;
      var $initialLength;
      var $begin;
      var $end;
      var $count;
      var $6=__stackBase__+24;
      $2=$this;
      HEAP32[(($3)>>2)]=$obj;
      var $7=$2;
      var $8=(($7+180)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZNK2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($p, $8, $3); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=$p; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($4, $9); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=$10.f0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11)|0)!=0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $14=(($7)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=$p; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($16); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=(($17+4)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=__ZN2js8SCOutput9writePairEjj($15, -65523, $19); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$20; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 13; break; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $22=(($7+180)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=(($7+180)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=__ZNK2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($23); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($5)>>2)]=$24; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKj($22, $p, $3, $5); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      $1=0; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 13; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $28=(($7+180)|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $29=__ZNK2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($28); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=(($29)|0)==-1; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $32=__ZN23JSStructuredCloneWriter7contextEv($7); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($32, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str1574)|0),tempInt)); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 13; break; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $34=(($7+120)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=$34; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=__ZNK2js16AutoVectorRooterIiE6lengthEv($35); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $initialLength=$36; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $37=__ZN23JSStructuredCloneWriter7contextEv($7); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $38=HEAP32[(($3)>>2)]; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $39=(($7+120)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $40=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($37, $38, 8, $39); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      $1=0; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 13; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      var $43=(($7+120)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=$43; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $45=__ZN2js16AutoVectorRooterIiE5beginEv($44); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $46=$initialLength; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=(($45+($46<<2))|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $begin=$47; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=(($7+120)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $49=$48; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $50=__ZN2js16AutoVectorRooterIiE3endEv($49); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $end=$50; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $51=$end; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $52=$begin; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $53=$51; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $54=$52; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $55=(($53-$54)|0); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $56=(((($55)|0)/4)&-1); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $count=$56; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $57=$begin; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $58=$end; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2jsL7ReverseIiEEvPT_S2_($57, $58); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $59=(($7+4)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $60=$59; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $61=HEAP32[(($3)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JSL11ObjectValueER8JSObject597($6, $61); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $62=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($60, $6); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      var $64=(($7+96)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $65=$count; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $66=__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE6appendIjEEbT_($64, $65); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($66) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      $1=0; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 13; break; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 12: 
      __ZN23JSStructuredCloneWriter10checkStackEv($7); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $69=(($7)|0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $71=HEAP32[(($3)>>2)]; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $72=__ZNK8JSObject7isArrayEv($71); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $73=$72 ? -65529 : -65528; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $74=__ZN2js8SCOutput9writePairEjj($70, $73, 0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$74; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 13; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 13: 
      var $76=$1; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $76; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN23JSStructuredCloneWriter11startObjectEP8JSObject["X"]=1;

function __ZNK2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 78, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKj($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1090 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5countEv($3); //@line 1090 "./jshashtable.h"
  ;
  return $4; //@line 1090 "./jshashtable.h"
}


function __ZN2js16AutoVectorRooterIiE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2432 "./jscntxt.h"
  var $4=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 2432 "./jscntxt.h"
  ;
  return $4; //@line 2432 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIiE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2435 "./jscntxt.h"
  var $4=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE3endEv($3); //@line 2435 "./jscntxt.h"
  ;
  return $4; //@line 2435 "./jscntxt.h"
}


function __ZN2JSL11ObjectValueER8JSObject597($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function _JSID_IS_STRING598($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function __ZL14TagToArrayTypej($tag) {
  ;
  var __label__;

  var $1;
  $1=$tag;
  var $2=$1; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $3=(($2+65280)|0); //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $3; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZNK8JSObject9isBooleanEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1540 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1540 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js12BooleanClassE)|0); //@line 1540 "./jsobj.h"
  ;
  return $5; //@line 1540 "./jsobj.h"
}


function __ZNK8JSObject8isNumberEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1539 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1539 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js11NumberClassE)|0); //@line 1539 "./jsobj.h"
  ;
  return $5; //@line 1539 "./jsobj.h"
}


function __ZNK8JSObject8isStringEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1541 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1541 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js11StringClassE)|0); //@line 1541 "./jsobj.h"
  ;
  return $5; //@line 1541 "./jsobj.h"
}


function __ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function _JSVAL_IS_DOUBLE_IMPL599($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function __ZN5Chars3getEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $4; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN5Chars6forgetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  HEAP32[(($3)>>2)]=0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN23JSStructuredCloneWriter10startWriteERKN2JS5ValueE($this, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $re;
      var $d;
      $2=$this;
      $3=$v;
      var $4=$2;
      var $5=$3; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=__ZNK2JS5Value8isStringEv($5); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $8=$3; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=__ZNK2JS5Value8toStringEv($8); //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=__ZN23JSStructuredCloneWriter11writeStringEjP8JSString($4, -65532, $9); //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$10; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $12=$3; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=__ZNK2JS5Value8isNumberEv($12); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $15=(($4)|0); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=$3; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=__ZNK2JS5Value8toNumberEv($17); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=__ZN2js8SCOutput11writeDoubleEd($16, $18); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$19; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $21=$3; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=__ZNK2JS5Value9isBooleanEv($21); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $24=(($4)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=$3; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $27=__ZNK2JS5Value9toBooleanEv($26); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $28=(($27)&1); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $29=__ZN2js8SCOutput9writePairEjj($25, -65534, $28); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$29; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $31=$3; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=__ZNK2JS5Value6isNullEv($31); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $34=(($4)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=__ZN2js8SCOutput9writePairEjj($35, -65536, 0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$36; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      var $38=$3; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $39=__ZNK2JS5Value11isUndefinedEv($38); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      var $41=(($4)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $43=__ZN2js8SCOutput9writePairEjj($42, -65535, 0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$43; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      var $45=$3; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $46=__ZNK2JS5Value8isObjectEv($45); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 46; break; } //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 12: 
      var $48=$3; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $49=__ZNK2JS5Value8toObjectEv($48); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj=$49; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $50=$obj; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $51=__ZNK8JSObject8isRegExpEv($50); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($51) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 13: 
      var $53=$obj; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $54=__ZN2js6RegExp11extractFromEP8JSObject($53); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $re=$54; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $55=(($4)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $57=$re; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $58=__ZNK2js6RegExp8getFlagsEv($57); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $60=__ZN2js8SCOutput9writePairEjj($56, -65530, $59); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($60) { __label__ = 14; break; } else { var $67 = 0;__label__ = 15; break; } //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 14: 
      var $62=$re; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $63=__ZNK2js6RegExp9getSourceEv($62); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $64=$63; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $65=__ZN23JSStructuredCloneWriter11writeStringEjP8JSString($4, -65532, $64); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $67 = $65;__label__ = 15; break;
    case 15: 
      var $67;
      $1=$67;
      __label__ = 52; break;
    case 16: 
      var $69=$obj; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $70=__ZNK8JSObject6isDateEv($69); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($70) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 17: 
      var $72=__ZN23JSStructuredCloneWriter7contextEv($4); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $73=$obj; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $74=__Z24js_DateGetMsecSinceEpochP9JSContextP8JSObject($72, $73); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $d=$74; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $75=(($4)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $77=__ZN2js8SCOutput9writePairEjj($76, -65531, 0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($77) { __label__ = 18; break; } else { var $84 = 0;__label__ = 19; break; } //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 18: 
      var $79=(($4)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $81=$d; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $82=__ZN2js8SCOutput11writeDoubleEd($80, $81); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $84 = $82;__label__ = 19; break;
    case 19: 
      var $84;
      $1=$84;
      __label__ = 52; break;
    case 20: 
      var $86=$obj; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $87=__ZNK8JSObject8isObjectEv($86); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 21: 
      var $89=$obj; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $90=__ZNK8JSObject7isArrayEv($89); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($90) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 22: 
      var $92=$obj; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $93=__ZN23JSStructuredCloneWriter11startObjectEP8JSObject($4, $92); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$93; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 23: 
      var $95=$obj; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $96=__Z15js_IsTypedArrayP8JSObject($95); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $97=(($96)|0)!=0; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($97) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 24: 
      var $99=$obj; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $100=__ZN23JSStructuredCloneWriter15writeTypedArrayEP8JSObject($4, $99); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$100; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 25: 
      var $102=$obj; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $103=__Z16js_IsArrayBufferP8JSObject($102); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $104=(($103)|0)!=0; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($104) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 26: 
      var $106=$obj; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $107=__ZN23JSStructuredCloneWriter16writeArrayBufferEP8JSObject($4, $106); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$107; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 27: 
      var $109=$obj; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $110=__ZNK8JSObject9isBooleanEv($109); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($110) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 28: 
      var $112=(($4)|0); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $114=$obj; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $115=__ZNK8JSObject16getPrimitiveThisEv($114); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $116=__ZNK2JS5Value9toBooleanEv($115); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $117=(($116)&1); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $118=__ZN2js8SCOutput9writePairEjj($113, -65526, $117); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$118; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 29: 
      var $120=$obj; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $121=__ZNK8JSObject8isNumberEv($120); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($121) { __label__ = 30; break; } else { __label__ = 33; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 30: 
      var $123=(($4)|0); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $125=__ZN2js8SCOutput9writePairEjj($124, -65524, 0); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($125) { __label__ = 31; break; } else { var $134 = 0;__label__ = 32; break; } //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 31: 
      var $127=(($4)|0); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $129=$obj; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $130=__ZNK8JSObject16getPrimitiveThisEv($129); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $131=__ZNK2JS5Value8toNumberEv($130); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $132=__ZN2js8SCOutput11writeDoubleEd($128, $131); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $134 = $132;__label__ = 32; break;
    case 32: 
      var $134;
      $1=$134;
      __label__ = 52; break;
    case 33: 
      var $136=$obj; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $137=__ZNK8JSObject8isStringEv($136); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($137) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 34: 
      var $139=$obj; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $140=__ZNK8JSObject16getPrimitiveThisEv($139); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $141=__ZNK2JS5Value8toStringEv($140); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $142=__ZN23JSStructuredCloneWriter11writeStringEjP8JSString($4, -65525, $141); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$142; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 35: 
      __label__ = 36; break;
    case 36: 
      __label__ = 37; break;
    case 37: 
      __label__ = 38; break;
    case 38: 
      __label__ = 39; break;
    case 39: 
      __label__ = 40; break;
    case 40: 
      __label__ = 41; break;
    case 41: 
      __label__ = 42; break;
    case 42: 
      var $151=(($4+208)|0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $153=(($152)|0)!=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($153) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 43: 
      var $155=(($4+208)|0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $157=(($156+4)|0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $159=(($158)|0)!=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($159) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 44: 
      var $161=(($4+208)|0); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $163=(($162+4)|0); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $165=__ZN23JSStructuredCloneWriter7contextEv($4); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $166=$obj; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $167=(($4+212)|0); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $169=FUNCTION_TABLE[$164]($165, $4, $166, $168); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $170=(($169)|0)!=0; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$170; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 45: 
      __label__ = 46; break; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 46: 
      __label__ = 47; break;
    case 47: 
      __label__ = 48; break;
    case 48: 
      __label__ = 49; break;
    case 49: 
      __label__ = 50; break;
    case 50: 
      __label__ = 51; break;
    case 51: 
      var $178=__ZN23JSStructuredCloneWriter7contextEv($4); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($178, 2, 0, 261, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 52; break; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 52: 
      var $180=$1; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $180; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN23JSStructuredCloneWriter10startWriteERKN2JS5ValueE["X"]=1;

function __ZNK2js16AutoVectorRooterIN2JS5ValueEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2437 "./jscntxt.h"
  var $4=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE4backEv($3); //@line 2437 "./jscntxt.h"
  ;
  return $4; //@line 2437 "./jscntxt.h"
}


function __ZNK2js16AutoVectorRooterIiE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2437 "./jscntxt.h"
  var $4=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE4backEv($3); //@line 2437 "./jscntxt.h"
  ;
  return $4; //@line 2437 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIiE7popBackEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2399 "./jscntxt.h"
  __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE7popBackEv($3); //@line 2399 "./jscntxt.h"
  ;
  return; //@line 2399 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE7popBackEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2399 "./jscntxt.h"
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7popBackEv($3); //@line 2399 "./jscntxt.h"
  ;
  return; //@line 2399 "./jscntxt.h"
}


function __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1112 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5clearEv($3); //@line 1112 "./jshashtable.h"
  ;
  return; //@line 1112 "./jshashtable.h"
}


function __ZN23JSStructuredCloneReader11checkDoubleEd($this, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $l=__stackBase__;
      var $4=__stackBase__+8;
      $2=$this;
      $3=$d;
      var $5=$2;
      var $6=$3; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=$l; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      (tempDoubleF64[0]=$6,HEAP32[(($7)>>2)]=tempDoubleI32[0],HEAP32[(($7+4)>>2)]=tempDoubleI32[1]); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=$4; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=$l; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=_JSVAL_IS_DOUBLE_IMPL599($4); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10)|0)!=0; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $13=__ZN23JSStructuredCloneReader7contextEv($5); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($13, 2, 0, 260, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str2575)|0),tempInt)); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      $1=1; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $16=$1; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneReader7contextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 127 "./jsclone.h"
  var $4=HEAP32[(($3)>>2)]; //@line 127 "./jsclone.h"
  var $5=__ZNK2js7SCInput7contextEv($4); //@line 127 "./jsclone.h"
  ;
  return $5; //@line 127 "./jsclone.h"
}


function __ZN23JSStructuredCloneReader10readStringEj($this, $nchars) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $chars=__stackBase__;
      var $4;
      var $str;
      $2=$this;
      $3=$nchars;
      var $5=$2;
      var $6=$3; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6)>>>0) > 268435455; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $9=__ZN23JSStructuredCloneReader7contextEv($5); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($9, 2, 0, 260, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str3576)|0),tempInt)); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 10; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      __ZN5CharsC1Ev($chars); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=__ZN23JSStructuredCloneReader7contextEv($5); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=$3; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=__ZN5Chars8allocateEP9JSContextj($chars, $11, $12); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $15=(($5)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=__ZN5Chars3getEv($chars); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=$3; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=__ZN2js7SCInput9readCharsEPtj($16, $17, $18); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      $1=0; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $4=1;
      __label__ = 9; break; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $22=__ZN23JSStructuredCloneReader7contextEv($5); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=__ZN5Chars3getEv($chars); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=$3; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=__Z12js_NewStringP9JSContextPtj($22, $23, $24); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=$25; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $str=$26; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $27=$str; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $28=(($27)|0)!=0; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      __ZN5Chars6forgetEv($chars); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $31=$str; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$31; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $4=1;
      __label__ = 9; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      __ZN5CharsD1Ev($chars); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 10; break;
    case 10: 
      var $34=$1; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN5CharsC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN5CharsC2Ev($2); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN5Chars8allocateEP9JSContextj($this, $cx, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$cx;
      $4=$len;
      var $5=$2;
      var $6=$3; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=$4; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=(($7+1)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=((($8<<1))|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=__ZN9JSContext7malloc_Ej($6, $9); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=$10; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($5+4)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$3; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($5)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $15=(($5+4)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=(($16)|0)!=0; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $19=$4; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=(($5+4)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=(($21+($19<<1))|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP16[(($22)>>1)]=0; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      $1=0; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $25=$1; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $25; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN5CharsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN5CharsD2Ev($2); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN23JSStructuredCloneReader14readTypedArrayEjjPN2JS5ValueE($this, $tag, $nelems, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atype;
      var $obj;
      var $arr;
      $2=$this;
      $3=$tag;
      $4=$nelems;
      $5=$vp;
      var $6=$2;
      var $7=$3; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=__ZL14TagToArrayTypej($7); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $atype=$8; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=__ZN23JSStructuredCloneReader7contextEv($6); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=$atype; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=$4; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=__Z19js_CreateTypedArrayP9JSContextij($9, $10, $11); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj=$12; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$obj; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($13)|0)!=0; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $17=$5; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=$obj; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value9setObjectER8JSObject($17, $18); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=$obj; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=__ZN2js10TypedArray13getTypedArrayEP8JSObject($19); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $arr=$20; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=$atype; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ((($21)|0) == 0 || (($21)|0) == 1 || (($21)|0) == 8) {
        __label__ = 4; break;
      }
      else if ((($21)|0) == 2 || (($21)|0) == 3) {
        __label__ = 5; break;
      }
      else if ((($21)|0) == 4 || (($21)|0) == 5 || (($21)|0) == 6) {
        __label__ = 6; break;
      }
      else if ((($21)|0) == 7) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 4: 
      var $23=(($6)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=$arr; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $26=__ZN2js10TypedArray13getDataOffsetEP8JSObject($25); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $27=$4; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $28=__ZN2js7SCInput9readArrayIhEEbPT_j($24, $26, $27); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$28; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $30=(($6)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$arr; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=__ZN2js10TypedArray13getDataOffsetEP8JSObject($32); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=$33; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=$4; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=__ZN2js7SCInput9readArrayItEEbPT_j($31, $34, $35); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$36; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $38=(($6)|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $40=$arr; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $41=__ZN2js10TypedArray13getDataOffsetEP8JSObject($40); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $42=$41; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $43=$4; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=__ZN2js7SCInput9readArrayIjEEbPT_j($39, $42, $43); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$44; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $46=(($6)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=$arr; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $49=__ZN2js10TypedArray13getDataOffsetEP8JSObject($48); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $50=$49; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $51=$4; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $52=__ZN2js7SCInput9readArrayIyEEbPT_j($47, $50, $51); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$52; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      $1=0; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 9; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      var $55=$1; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $55; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN23JSStructuredCloneReader14readTypedArrayEjjPN2JS5ValueE["X"]=1;

function __ZN2js7SCInput9readArrayIjEEbPT_j($this, $p, $nelems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nwords;
      var $q;
      var $qend;
      $2=$this;
      $3=$p;
      $4=$nelems;
      var $5=$2;
      var $6=$4; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6+2)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=(($7-1)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=Math.floor((($8)>>>0)/2); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $nwords=$9; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10+2)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11-1)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $16=$nwords; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=(($5+8)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($5+4)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=$18; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=$20; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=(($21-$22)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(((($23)|0)/8)&-1); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=(($16)>>>0) > (($24)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $27=__ZN2js7SCInput3eofEv($5); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$27; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $29=(($5+4)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $31=$30; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$31; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$q; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=$4; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=(($32+($33<<2))|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $qend=$34; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 5; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $36=$q; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $37=$qend; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $38=(($36)|0)!=(($37)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $40=$q; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $41=(($40+4)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$41; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $42=HEAP32[(($40)>>2)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $43=__ZL9SwapBytesj($42); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=$3; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $45=(($44+4)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $3=$45; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 5; break; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $47=$nwords; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=(($5+4)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $50=(($49+($47<<3))|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $52=$1; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $52; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7SCInput9readArrayIjEEbPT_j["X"]=1;

function __ZN2js7SCInput9readArrayIyEEbPT_j($this, $p, $nelems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nwords;
      var $q;
      var $qend;
      $2=$this;
      $3=$p;
      $4=$nelems;
      var $5=$2;
      var $6=$4; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=(($6+1)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=(($7-1)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=Math.floor((($8)>>>0)); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $nwords=$9; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10+1)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $12=(($11-1)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $13=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $16=$nwords; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=(($5+8)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=(($5+4)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=$18; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=$20; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=(($21-$22)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(((($23)|0)/8)&-1); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $25=(($16)>>>0) > (($24)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $27=__ZN2js7SCInput3eofEv($5); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$27; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $29=(($5+4)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$30; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $31=$q; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $32=$4; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $33=(($31+($32<<3))|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $qend=$33; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 5; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $35=$q; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=$qend; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $37=(($35)|0)!=(($36)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $39=$q; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $40=(($39+8)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $q=$40; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $st$3$0=(($39)|0);
      var $41$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($39+4)|0);
      var $41$1=HEAP32[(($st$3$1)>>2)];
      var $42=__ZL9SwapBytesy($41$0, $41$1);
      var $42$0=$42[0];
      var $42$1=$42[1];
      var $43=$3; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $44=(($43+8)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $3=$44; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $st$13$0=(($43)|0);
      HEAP32[(($st$13$0)>>2)]=$42$0;
      var $st$13$1=(($43+4)|0);
      HEAP32[(($st$13$1)>>2)]=$42$1;
      __label__ = 5; break; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $46=$nwords; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=(($5+4)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $49=(($48+($46<<3))|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($47)>>2)]=$49; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 8; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $51=$1; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $51; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7SCInput9readArrayIyEEbPT_j["X"]=1;

function __ZN23JSStructuredCloneReader15readArrayBufferEjPN2JS5ValueE($this, $nbytes, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$this;
      $3=$nbytes;
      $4=$vp;
      var $5=$2;
      var $6=__ZN23JSStructuredCloneReader7contextEv($5); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=$3; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=__Z20js_CreateArrayBufferP9JSContextj($6, $7); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj=$8; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=$obj; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=(($9)|0)!=0; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $13=$4; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=$obj; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value9setObjectER8JSObject($13, $14); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $15=(($5)|0); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $17=$obj; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=__ZN8JSObject21arrayBufferDataOffsetEv($17); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=$3; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=__ZN2js7SCInput9readArrayIhEEbPT_j($16, $18, $19); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$20; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 4; break; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $22=$1; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      ;
      return $22; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9SwapBytesj($u) {
  ;
  var __label__;

  var $1;
  $1=$u;
  var $2=$1; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $2; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function _INT_TO_JSID603($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function _JSID_IS_VOID605($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1622 "./jsapi.h"
  var $3=(($2)|0)==2; //@line 1622 "./jsapi.h"
  var $4=(($3)&1); //@line 1622 "./jsapi.h"
  ;
  return $4; //@line 1622 "./jsapi.h"
}


function __ZL18JSDOUBLE_IS_FINITEd600($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 357 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 357 "./jsvector.h"
  var $5=(($2+8)|0); //@line 357 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 357 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 357 "./jsvector.h"
  ;
  return $7; //@line 357 "./jsvector.h"
}


function __ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 357 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 357 "./jsvector.h"
  var $5=(($2+8)|0); //@line 357 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 357 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 357 "./jsvector.h"
  ;
  return $7; //@line 357 "./jsvector.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN23JSStructuredCloneReader9startReadEPN2JS5ValueE($this, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $tag=__stackBase__;
      var $data=__stackBase__+4;
      var $str;
      var $d=__stackBase__+8;
      var $d1=__stackBase__+16;
      var $obj;
      var $tag2=__stackBase__+24;
      var $nchars=__stackBase__+28;
      var $str2;
      var $length;
      var $chars;
      var $obj3;
      var $obj4;
      var $4=__stackBase__+32;
      var $5=__stackBase__+40;
      var $d5;
      var $obj6;
      $2=$this;
      $3=$vp;
      var $6=$2;
      var $7=(($6)|0); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=__ZN2js7SCInput8readPairEPjS1_($8, $tag, $data); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $12=HEAP32[(($tag)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ((($12)|0) == -65536) {
        __label__ = 4; break;
      }
      else if ((($12)|0) == -65535) {
        __label__ = 5; break;
      }
      else if ((($12)|0) == -65534 || (($12)|0) == -65526) {
        __label__ = 6; break;
      }
      else if ((($12)|0) == -65532 || (($12)|0) == -65525) {
        __label__ = 10; break;
      }
      else if ((($12)|0) == -65524) {
        __label__ = 16; break;
      }
      else if ((($12)|0) == -65531) {
        __label__ = 22; break;
      }
      else if ((($12)|0) == -65530) {
        __label__ = 38; break;
      }
      else if ((($12)|0) == -65529 || (($12)|0) == -65528) {
        __label__ = 49; break;
      }
      else if ((($12)|0) == -65523) {
        __label__ = 57; break;
      }
      else if ((($12)|0) == -65527) {
        __label__ = 60; break;
      }
      else {
      __label__ = 61; break;
      }
      
    case 4: 
      var $14=$3; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value7setNullEv($14); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 74; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $16=$3; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value12setUndefinedEv($16); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 74; break; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $18=$3; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $19=HEAP32[(($data)>>2)]; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $20=(($19)|0)!=0; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=$20 ^ 1; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=$21 ^ 1; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value10setBooleanEb($18, $22); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=HEAP32[(($tag)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $24=(($23)|0)==-65526; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      var $26=__ZN23JSStructuredCloneReader7contextEv($6); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $27=$3; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $28=__Z20js_PrimitiveToObjectP9JSContextPN2JS5ValueE($26, $27); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $29=(($28)|0)!=0; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      $1=0; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      __label__ = 74; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      var $33=HEAP32[(($data)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=__ZN23JSStructuredCloneReader10readStringEj($6, $33); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $str=$34; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=$str; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $36=(($35)|0)!=0; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($36) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      $1=0; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 12: 
      var $39=$3; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $40=$str; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value9setStringEP8JSString($39, $40); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $41=HEAP32[(($tag)>>2)]; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $42=(($41)|0)==-65525; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 13: 
      var $44=__ZN23JSStructuredCloneReader7contextEv($6); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $45=$3; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $46=__Z20js_PrimitiveToObjectP9JSContextPN2JS5ValueE($44, $45); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $47=(($46)|0)!=0; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($47) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 14: 
      $1=0; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 15: 
      __label__ = 74; break; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 16: 
      var $51=(($6)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $53=__ZN2js7SCInput10readDoubleEPd($52, $d); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($53) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 17: 
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $56=__ZN23JSStructuredCloneReader11checkDoubleEd($6, $55); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($56) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 18: 
      $1=0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 19: 
      var $59=$3; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $60=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value9setDoubleEd($59, $60); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $61=__ZN23JSStructuredCloneReader7contextEv($6); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $62=$3; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $63=__Z20js_PrimitiveToObjectP9JSContextPN2JS5ValueE($61, $62); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $64=(($63)|0)!=0; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($64) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 20: 
      $1=0; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 21: 
      __label__ = 74; break; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 22: 
      var $68=(($6)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $70=__ZN2js7SCInput10readDoubleEPd($69, $d1); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($70) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 23: 
      var $72=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $73=__ZN23JSStructuredCloneReader11checkDoubleEd($6, $72); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($73) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 24: 
      $1=0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 25: 
      var $76=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $77=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $78=$76 == $77; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($78) { __label__ = 26; break; } else { __label__ = 35; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 26: 
      var $80=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $81=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $82=__ZL18JSDOUBLE_IS_FINITEd600($81); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $83=(($82)|0)!=0; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($83) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 27: 
      var $85=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $86=$85 < 0; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($86) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 28: 
      var $88=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $89=(-$88); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $93 = $89;__label__ = 30; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 29: 
      var $91=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $93 = $91;__label__ = 30; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 30: 
      var $93; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $94=$93 > 8640000000000000; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($94) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 31: 
      var $96=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $97=$96; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $98=__ZL18js_DoubleToIntegerd601($97); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $102 = $98;__label__ = 33; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 32: 
      var $100=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $102 = $100;__label__ = 33; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 33: 
      var $102; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $103=$80 != $102; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($103) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 34: 
      var $105=__ZN23JSStructuredCloneReader7contextEv($6); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($105, 2, 0, 260, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str4577)|0),tempInt)); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 35: 
      var $107=__ZN23JSStructuredCloneReader7contextEv($6); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $108=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $109=__Z20js_NewDateObjectMsecP9JSContextd($107, $108); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj=$109; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $110=$obj; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $111=(($110)|0)!=0; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($111) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 36: 
      $1=0; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 37: 
      var $114=$3; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $115=$obj; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value9setObjectER8JSObject($114, $115); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 74; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 38: 
      var $117=(($6)|0); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $119=__ZN2js7SCInput8readPairEPjS1_($118, $tag2, $nchars); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($119) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 39: 
      $1=0; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 40: 
      var $122=HEAP32[(($tag2)>>2)]; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $123=(($122)|0)!=-65532; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($123) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 41: 
      var $125=__ZN23JSStructuredCloneReader7contextEv($6); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($125, 2, 0, 260, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str5578)|0),tempInt)); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 42: 
      var $127=HEAP32[(($nchars)>>2)]; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $128=__ZN23JSStructuredCloneReader10readStringEj($6, $127); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $str2=$128; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $129=$str2; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $130=(($129)|0)!=0; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($130) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 43: 
      $1=0; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 44: 
      var $133=$str2; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $134=__ZNK8JSString6lengthEv($133); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $length=$134; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $135=$str2; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $136=__ZN23JSStructuredCloneReader7contextEv($6); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $137=__ZN8JSString8getCharsEP9JSContext($135, $136); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $chars=$137; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $138=$chars; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $139=(($138)|0)!=0; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($139) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 45: 
      $1=0; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 46: 
      var $142=__ZN23JSStructuredCloneReader7contextEv($6); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $143=$chars; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $144=$length; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $145=HEAP32[(($data)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $146=__ZN2js6RegExp21createObjectNoStaticsEP9JSContextPKtjjPNS_11TokenStreamE($142, $143, $144, $145, 0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj3=$146; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $147=$obj3; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $148=(($147)|0)!=0; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($148) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 47: 
      $1=0; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 48: 
      var $151=$3; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $152=$obj3; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value9setObjectER8JSObject($151, $152); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 74; break; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 49: 
      var $154=HEAP32[(($tag)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $155=(($154)|0)==-65529; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($155) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 50: 
      var $157=__ZN23JSStructuredCloneReader7contextEv($6); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $158=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($157, 0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $163 = $158;__label__ = 52; break; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 51: 
      var $160=__ZN23JSStructuredCloneReader7contextEv($6); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $161=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE602($160, __ZN2js11ObjectClassE); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $163 = $161;__label__ = 52; break; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 52: 
      var $163; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj4=$163; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $164=$obj4; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $165=(($164)|0)!=0; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($165) { __label__ = 53; break; } else { __label__ = 55; break; } //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 53: 
      var $167=(($6+4)|0); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $168=$167; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $169=$obj4; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JSL11ObjectValueER8JSObject597($4, $169); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $170=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($168, $4); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($170) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 54: 
      var $172=(($6+96)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $173=$172; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $174=$obj4; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JSL11ObjectValueER8JSObject597($5, $174); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $175=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($173, $5); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($175) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 55: 
      $1=0; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 56: 
      var $178=$3; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $179=$obj4; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value9setObjectER8JSObject($178, $179); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 74; break; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 57: 
      var $181=HEAPU32[(($data)>>2)]; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $182=(($6+96)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $183=$182; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $184=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($183); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $185=(($181)>>>0) >= (($184)>>>0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($185) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 58: 
      var $187=__ZN23JSStructuredCloneReader7contextEv($6); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($187, 2, 0, 260, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str6579)|0),tempInt)); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 59; break; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 59: 
      var $189=$3; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $190=(($6+96)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $191=$190; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $192=HEAP32[(($data)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $193=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($191, $192); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $194=$189; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $195=$193; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($194)>>2)]=HEAP32[(($195)>>2)];HEAP32[(($194+4)>>2)]=HEAP32[(($195+4)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 74; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 60: 
      var $197=HEAP32[(($data)>>2)]; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $198=$3; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $199=__ZN23JSStructuredCloneReader15readArrayBufferEjPN2JS5ValueE($6, $197, $198); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$199; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 61: 
      var $201=HEAPU32[(($tag)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $202=(($201)>>>0) <= 4293918720; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($202) { __label__ = 62; break; } else { __label__ = 65; break; } //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 62: 
      var $204=HEAP32[(($tag)>>2)]; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $205=HEAP32[(($data)>>2)]; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $206=__ZL23ReinterpretPairAsDoublejj($204, $205); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $d5=$206; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $207=$d5; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $208=__ZN23JSStructuredCloneReader11checkDoubleEd($6, $207); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($208) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 63: 
      $1=0; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 64: 
      var $211=$3; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $212=$d5; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $213=__ZN2JS5Value9setNumberEd($211, $212); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 74; break; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 65: 
      var $215=HEAPU32[(($tag)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $216=4294902016 <= (($215)>>>0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($216) { __label__ = 66; break; } else { __label__ = 68; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 66: 
      var $218=HEAPU32[(($tag)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $219=(($218)>>>0) <= 4294902024; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($219) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 67: 
      var $221=HEAP32[(($tag)>>2)]; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $222=HEAP32[(($data)>>2)]; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $223=$3; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $224=__ZN23JSStructuredCloneReader14readTypedArrayEjjPN2JS5ValueE($6, $221, $222, $223); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=$224; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 68: 
      var $226=(($6+188)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $228=(($227)|0)!=0; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($228) { __label__ = 69; break; } else { __label__ = 70; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 69: 
      var $230=(($6+188)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $231=HEAP32[(($230)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $232=(($231)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $233=HEAP32[(($232)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $234=(($233)|0)!=0; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($234) { __label__ = 71; break; } else { __label__ = 70; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 70: 
      var $236=__ZN23JSStructuredCloneReader7contextEv($6); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($236, 2, 0, 260, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str7580)|0),tempInt)); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 71: 
      var $238=(($6+188)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $239=HEAP32[(($238)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $240=(($239)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $242=__ZN23JSStructuredCloneReader7contextEv($6); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $243=HEAP32[(($tag)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $244=HEAP32[(($data)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $245=(($6+192)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $246=HEAP32[(($245)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $247=FUNCTION_TABLE[$241]($242, $6, $243, $244, $246); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $obj6=$247; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $248=$obj6; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $249=(($248)|0)!=0; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($249) { __label__ = 73; break; } else { __label__ = 72; break; } //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 72: 
      $1=0; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 73: 
      var $252=$3; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $253=$obj6; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN2JS5Value9setObjectER8JSObject($252, $253); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 74; break; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 74: 
      $1=1; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 75; break; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 75: 
      var $256=$1; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $256; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN23JSStructuredCloneReader9startReadEPN2JS5ValueE["X"]=1;

function __ZL18js_DoubleToIntegerd601($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $neg;
      $2=$d;
      var $3=$2; //@line 572 "./jsnum.h"
      var $4=$3 == 0; //@line 572 "./jsnum.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 572 "./jsnum.h"
    case 2: 
      var $6=$2; //@line 573 "./jsnum.h"
      $1=$6; //@line 573 "./jsnum.h"
      __label__ = 14; break; //@line 573 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 575 "./jsnum.h"
      var $9=__ZL18JSDOUBLE_IS_FINITEd600($8); //@line 575 "./jsnum.h"
      var $10=(($9)|0)!=0; //@line 575 "./jsnum.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 575 "./jsnum.h"
    case 4: 
      var $12=$2; //@line 576 "./jsnum.h"
      var $13=__ZL15JSDOUBLE_IS_NaNd628($12); //@line 576 "./jsnum.h"
      var $14=(($13)|0)!=0; //@line 576 "./jsnum.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 576 "./jsnum.h"
    case 5: 
      $1=0; //@line 577 "./jsnum.h"
      __label__ = 14; break; //@line 577 "./jsnum.h"
    case 6: 
      var $17=$2; //@line 578 "./jsnum.h"
      $1=$17; //@line 578 "./jsnum.h"
      __label__ = 14; break; //@line 578 "./jsnum.h"
    case 7: 
      var $19=$2; //@line 581 "./jsnum.h"
      var $20=$19 < 0; //@line 581 "./jsnum.h"
      var $21=(($20)&1); //@line 581 "./jsnum.h"
      $neg=$21; //@line 581 "./jsnum.h"
      var $22=$neg; //@line 582 "./jsnum.h"
      var $23=(($22)|0)!=0; //@line 582 "./jsnum.h"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 582 "./jsnum.h"
    case 8: 
      var $25=$2; //@line 582 "./jsnum.h"
      var $26=(-$25); //@line 582 "./jsnum.h"
      var $30 = $26;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 9: 
      var $28=$2; //@line 582 "./jsnum.h"
      var $30 = $28;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 10: 
      var $30; //@line 582 "./jsnum.h"
      var $31=_floor($30); //@line 582 "./jsnum.h"
      $2=$31; //@line 582 "./jsnum.h"
      var $32=$neg; //@line 584 "./jsnum.h"
      var $33=(($32)|0)!=0; //@line 584 "./jsnum.h"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 584 "./jsnum.h"
    case 11: 
      var $35=$2; //@line 584 "./jsnum.h"
      var $36=(-$35); //@line 584 "./jsnum.h"
      var $40 = $36;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 12: 
      var $38=$2; //@line 584 "./jsnum.h"
      var $40 = $38;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 13: 
      var $40; //@line 584 "./jsnum.h"
      $1=$40; //@line 584 "./jsnum.h"
      __label__ = 14; break; //@line 584 "./jsnum.h"
    case 14: 
      var $42=$1; //@line 585 "./jsnum.h"
      ;
      return $42; //@line 585 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_DoubleToIntegerd601["X"]=1;

function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE602($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb613($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE614($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZL23ReinterpretPairAsDoublejj($tag, $data) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$data;
  var $3=$1; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $4=$2; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $5=__ZL12PairToUInt64jj($3, $4);
  var $5$0=$5[0];
  var $5$1=$5[1];
  var $6=__ZL25ReinterpretUInt64AsDoubley($5$0, $5$1);
  ;
  return $6; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN23JSStructuredCloneReader6readIdEPi($this, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $tag=__stackBase__;
      var $data=__stackBase__+4;
      var $str;
      var $atom;
      $2=$this;
      $3=$idp;
      var $4=$2;
      var $5=(($4)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $7=__ZN2js7SCInput8readPairEPjS1_($6, $tag, $data); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      $1=0; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 14; break; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      var $10=HEAP32[(($tag)>>2)]; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=(($10)|0)==-65533; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 4: 
      var $13=HEAP32[(($data)>>2)]; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $14=_INT_TO_JSID603($13); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $15=$3; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 14; break; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 5: 
      var $17=HEAP32[(($tag)>>2)]; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $18=(($17)|0)==-65532; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 6: 
      var $20=HEAP32[(($data)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $21=__ZN23JSStructuredCloneReader10readStringEj($4, $20); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $str=$21; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $22=$str; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $23=(($22)|0)!=0; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 7: 
      $1=0; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 14; break; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 8: 
      var $26=__ZN23JSStructuredCloneReader7contextEv($4); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $27=$str; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $28=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($26, $27, 0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $atom=$28; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $29=$atom; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $30=(($29)|0)!=0; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 9: 
      $1=0; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 14; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 10: 
      var $33=$atom; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $34=__ZL12ATOM_TO_JSIDP6JSAtom604($33); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $35=$3; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($35)>>2)]=$34; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 14; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 11: 
      var $37=HEAP32[(($tag)>>2)]; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $38=(($37)|0)==-65536; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 12: 
      var $40=$3; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      HEAP32[(($40)>>2)]=2; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=1; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 14; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 13: 
      var $42=__ZN23JSStructuredCloneReader7contextEv($4); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      _JS_ReportErrorNumber($42, 2, 0, 260, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str8581)|0),tempInt)); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      $1=0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 14; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 14: 
      var $44=$1; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN23JSStructuredCloneReader6readIdEPi["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom604($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj609($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2422 "./jscntxt.h"
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5clearEv($3); //@line 2422 "./jscntxt.h"
  ;
  return; //@line 2422 "./jscntxt.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 730 "./jsvector.h"
  var $3=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 731 "./jsvector.h"
  var $4=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 731 "./jsvector.h"
  __ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($3, $4); //@line 731 "./jsvector.h"
  var $5=(($2+8)|0); //@line 732 "./jsvector.h"
  HEAP32[(($5)>>2)]=0; //@line 732 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 733 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 733 "./jsvector.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 608 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 608 "./jshashtable.h"
  var $5=$4; //@line 608 "./jshashtable.h"
  var $6=(($2+8)|0); //@line 608 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 608 "./jshashtable.h"
  var $8=(($7*12)|0); //@line 608 "./jshashtable.h"
  _memset($5, 0, $8, 1); //@line 608 "./jshashtable.h"
  var $9=(($2+20)|0); //@line 613 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 613 "./jshashtable.h"
  var $10=(($2+12)|0); //@line 614 "./jshashtable.h"
  HEAP32[(($10)>>2)]=0; //@line 614 "./jshashtable.h"
  ;
  return; //@line 618 "./jshashtable.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+8)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+8)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE3endEv($2); //@line 377 "./jsvector.h"
  var $4=(($3-4)|0); //@line 377 "./jsvector.h"
  ;
  return $4; //@line 377 "./jsvector.h"
}


function __ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv($2); //@line 377 "./jsvector.h"
  var $4=(($3-8)|0); //@line 377 "./jsvector.h"
  ;
  return $4; //@line 377 "./jsvector.h"
}


function _js_realloc606($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc607($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free608($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEC2ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIjEcvRjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIjEC2ERj($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP8JSObjectjEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 646 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 646 "./jshashtable.h"
  ;
  return $4; //@line 646 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP8JSObjectjEEEENS_7MoveRefIT_EERS6_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectjEaSENS_7MoveRefIS3_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP8JSObjectjEaSENS_7MoveRefIS3_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIjEENS_7MoveRefIT_EERS2_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIjEcvRjEv($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP8JSObjectjEEEENS_7MoveRefIT_EERS6_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEC1ERS4_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEC1ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEC2ERS4_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIjEENS_7MoveRefIT_EERS2_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIjEC1ERj($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIjEC1ERj($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIjEC2ERj($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectjEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSObjectjEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP8JSObjectjEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP8JSObjectLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE7destroyEPyS3_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIyLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZL9SwapBytest($u) {
  ;
  var __label__;

  var $1;
  $1=$u;
  var $2=$1; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return $2; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZL14JSID_FROM_BITSj609($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_jEE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK2js8SCOutput7contextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 65 "./jsclone.h"
  var $4=HEAP32[(($3)>>2)]; //@line 65 "./jsclone.h"
  ;
  return $4; //@line 65 "./jsclone.h"
}


function __ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE13copyConstructIyEEvPyPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $st$1$0=(($10)|0);
      var $11$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($10+4)|0);
      var $11$1=HEAP32[(($st$1$1)>>2)];
      var $12=$1; //@line 161 "./jsvector.h"
      var $st$6$0=(($12)|0);
      HEAP32[(($st$6$0)>>2)]=$11$0;
      var $st$6$1=(($12+4)|0);
      HEAP32[(($st$6$1)>>2)]=$11$1;
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+8)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+8)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _INT32_TO_JSVAL_IMPL611($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO612($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL25ReinterpretUInt64AsDoubley($u$0, $u$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  var $pun=__stackBase__+8;
  var $st$2$0=(($1)|0);
  HEAP32[(($st$2$0)>>2)]=$u$0;
  var $st$2$1=(($1+4)|0);
  HEAP32[(($st$2$1)>>2)]=$u$1;
  var $st$6$0=(($1)|0);
  var $2$0=HEAP32[(($st$6$0)>>2)];
  var $st$6$1=(($1+4)|0);
  var $2$1=HEAP32[(($st$6$1)>>2)];
  var $3=$pun; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $st$11$0=(($3)|0);
  HEAP32[(($st$11$0)>>2)]=$2$0;
  var $st$11$1=(($3+4)|0);
  HEAP32[(($st$11$1)>>2)]=$2$1;
  var $4=$pun; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  var $5=(tempDoubleI32[0]=HEAP32[(($4)>>2)],tempDoubleI32[1]=HEAP32[(($4+4)>>2)],tempDoubleF64[0]); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  STACKTOP = __stackBase__;
  return $5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZN2js2gcL15GetGCObjectKindEjb613($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_jEE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP8JSObjectLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE19growByUninitializedEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 700 "./jsvector.h"
  var $5=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($3, $4); //@line 700 "./jsvector.h"
  ;
  return $5; //@line 700 "./jsvector.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-8)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<3))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIyLj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<3))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=$3; //@line 681 "./jsvector.h"
      var $22=(($5+8)|0); //@line 681 "./jsvector.h"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "./jsvector.h"
      var $24=(($23+$21)|0); //@line 681 "./jsvector.h"
      HEAP32[(($22)>>2)]=$24; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $26=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $26; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIyLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIyLj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<3))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE13moveConstructIyEEvPyPKT_S7_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE7destroyEPyS3_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIyLj0ES1_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -268435456; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -268435456; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIyLj0ES1_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<3))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<3))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE13moveConstructIyEEvPyPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE13copyConstructIyEEvPyPKT_S7_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE14internalAppendIyEEvT_($this, $t$0, $t$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$this;
      var $st$3$0=(($2)|0);
      HEAP32[(($st$3$0)>>2)]=$t$0;
      var $st$3$1=(($2+4)|0);
      HEAP32[(($st$3$1)>>2)]=$t$1;
      var $3=$1;
      var $4=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $st$1$0=(($2)|0);
      var $9$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($2+4)|0);
      var $9$1=HEAP32[(($st$1$1)>>2)];
      var $st$5$0=(($8)|0);
      HEAP32[(($st$5$0)>>2)]=$9$0;
      var $st$5$1=(($8+4)|0);
      HEAP32[(($st$5$1)>>2)]=$9$1;
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEC2ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function _JSDOUBLE_IS_INT32610($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO612($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE616($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE621($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11JS_ON_TRACEPK9JSContext627($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE617($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _DOUBLE_TO_JSVAL_IMPL629($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL620($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZL15JSDOUBLE_IS_NaNd628($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function _STRING_TO_JSVAL_IMPL630($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL631($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _BUILD_JSVAL632($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL633($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN5CharsC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  HEAP32[(($3)>>2)]=0; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
  ;
  return; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
}


function __ZNK2js7SCInput7contextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jsclone.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jsclone.h"
  ;
  return $4; //@line 89 "./jsclone.h"
}


function _JSVAL_TO_OBJECT_IMPL634($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL635($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL636($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL637($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_TO_BOOLEAN_IMPL638($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL639($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL640($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL641($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL642($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL643($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JS_CANONICALIZE_NAN644($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $l=__stackBase__;
      $2=$d;
      var $3=$2; //@line 1013 "./jsval.h"
      var $4=$2; //@line 1013 "./jsval.h"
      var $5=$3 != $4; //@line 1013 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1013 "./jsval.h"
    case 2: 
      var $7=$l; //@line 1015 "./jsval.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=2146959360;
      var $st$3$0=(($7)|0);
      HEAP32[(($st$3$0)>>2)]=$$emscripten$temp$0$0;
      var $st$3$1=(($7+4)|0);
      HEAP32[(($st$3$1)>>2)]=$$emscripten$temp$0$1;
      var $8=$l; //@line 1016 "./jsval.h"
      var $9=(tempDoubleI32[0]=HEAP32[(($8)>>2)],tempDoubleI32[1]=HEAP32[(($8+4)>>2)],tempDoubleF64[0]); //@line 1016 "./jsval.h"
      $1=$9; //@line 1016 "./jsval.h"
      __label__ = 4; break; //@line 1016 "./jsval.h"
    case 3: 
      var $11=$2; //@line 1018 "./jsval.h"
      $1=$11; //@line 1018 "./jsval.h"
      __label__ = 4; break; //@line 1018 "./jsval.h"
    case 4: 
      var $13=$1; //@line 1019 "./jsval.h"
      STACKTOP = __stackBase__;
      return $13; //@line 1019 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE614($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE615($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE614["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE615($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE616($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE617($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE615["X"]=1;

function _js_calloc618($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb619($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv622($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2JSL12BooleanValueEb623($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2JSL11StringValueEP8JSString624($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2JSL10Int32ValueEi625($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2jsL17CheckStringLengthEP9JSContextj626($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext627($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN5CharsD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $5=(($4)|0)!=0; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 2: 
      var $7=(($2)|0); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $9=(($2+4)|0); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      var $11=$10; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __ZN9JSContext5free_EPv($8, $11); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
      __label__ = 3; break; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    case 3: 
      ;
      return; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsclone.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneReaderD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+96)|0); //@line 116 "./jsclone.h"
  __ZN2js15AutoValueVectorD1Ev($3); //@line 116 "./jsclone.h"
  var $4=(($2+4)|0); //@line 116 "./jsclone.h"
  __ZN2js15AutoValueVectorD1Ev($4); //@line 116 "./jsclone.h"
  ;
  return; //@line 116 "./jsclone.h"
}


function __ZN23JSStructuredCloneReaderC2ERN2js7SCInputEPK26JSStructuredCloneCallbacksPv($this, $in, $cb, $cbClosure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$in;
  $3=$cb;
  $4=$cbClosure;
  var $5=$1;
  var $6=(($5)|0); //@line 121 "./jsclone.h"
  var $7=$2; //@line 121 "./jsclone.h"
  HEAP32[(($6)>>2)]=$7; //@line 121 "./jsclone.h"
  var $8=(($5+4)|0); //@line 121 "./jsclone.h"
  var $9=$2; //@line 120 "./jsclone.h"
  var $10=__ZNK2js7SCInput7contextEv($9); //@line 120 "./jsclone.h"
  __ZN2js15AutoValueVectorC1EP9JSContext($8, $10); //@line 120 "./jsclone.h"
  var $11=(($5+96)|0); //@line 120 "./jsclone.h"
  var $12=$2; //@line 120 "./jsclone.h"
  var $13=__ZNK2js7SCInput7contextEv($12); //@line 120 "./jsclone.h"
  __ZN2js15AutoValueVectorC1EP9JSContext($11, $13); //@line 120 "./jsclone.h"
  var $14=(($5+188)|0); //@line 120 "./jsclone.h"
  var $15=$3; //@line 120 "./jsclone.h"
  HEAP32[(($14)>>2)]=$15; //@line 120 "./jsclone.h"
  var $16=(($5+192)|0); //@line 120 "./jsclone.h"
  var $17=$4; //@line 120 "./jsclone.h"
  HEAP32[(($16)>>2)]=$17; //@line 120 "./jsclone.h"
  ;
  return; //@line 121 "./jsclone.h"
}


function __ZN2js8SCOutputD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 61 "./jsclone.h"
  __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEED1Ev($3); //@line 61 "./jsclone.h"
  ;
  return; //@line 61 "./jsclone.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIyLj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIyLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE7destroyEPyS3_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN23JSStructuredCloneWriterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+180)|0); //@line 151 "./jsclone.h"
  __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($3); //@line 151 "./jsclone.h"
  var $4=(($2+120)|0); //@line 151 "./jsclone.h"
  __ZN2js12AutoIdVectorD1Ev($4); //@line 151 "./jsclone.h"
  var $5=(($2+96)|0); //@line 151 "./jsclone.h"
  __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEED1Ev($5); //@line 151 "./jsclone.h"
  var $6=(($2+4)|0); //@line 151 "./jsclone.h"
  __ZN2js15AutoValueVectorD1Ev($6); //@line 151 "./jsclone.h"
  ;
  return; //@line 151 "./jsclone.h"
}


function __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj["X"]=1;

function __Z16js_FinishThreadsP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  ;
  return; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN9JSContext13fromLinkFieldEP10JSCListStr($link) {
  ;
  var __label__;

  var $1;
  $1=$link;
  var $2=$1; //@line 1344 "./jscntxt.h"
  var $3=$2; //@line 1344 "./jscntxt.h"
  var $4=(($3)|0); //@line 1344 "./jscntxt.h"
  var $5=$4; //@line 1344 "./jscntxt.h"
  ;
  return $5; //@line 1344 "./jscntxt.h"
}


function __ZN2js10ThreadData24triggerOperationCallbackEP9JSRuntime($this, $rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$rt;
      var $3=$1;
      var $4=(($3)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=(($5)|0)!=0; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      __label__ = 4; break; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $9=(($3)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($9)>>2)]=1; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 4; break; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      ;
      return; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_CurrentThreadDataP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $3=(($2+144280)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  ;
  return $3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN23JSStructuredCloneWriterC2ERN2js8SCOutputEPK26JSStructuredCloneCallbacksPv($this, $out, $cb, $cbClosure) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  var $6=__stackBase__+4;
  $1=$this;
  $2=$out;
  $3=$cb;
  $4=$cbClosure;
  var $7=$1;
  var $8=(($7)|0); //@line 156 "./jsclone.h"
  var $9=$2; //@line 156 "./jsclone.h"
  HEAP32[(($8)>>2)]=$9; //@line 156 "./jsclone.h"
  var $10=(($7+4)|0); //@line 156 "./jsclone.h"
  var $11=$2; //@line 155 "./jsclone.h"
  var $12=__ZNK2js8SCOutput7contextEv($11); //@line 155 "./jsclone.h"
  __ZN2js15AutoValueVectorC1EP9JSContext($10, $12); //@line 155 "./jsclone.h"
  var $13=(($7+96)|0); //@line 155 "./jsclone.h"
  var $14=$2; //@line 155 "./jsclone.h"
  var $15=__ZNK2js8SCOutput7contextEv($14); //@line 155 "./jsclone.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($5, $15); //@line 155 "./jsclone.h"
  __ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEC1ES1_($13, $5); //@line 155 "./jsclone.h"
  var $16=(($7+120)|0); //@line 155 "./jsclone.h"
  var $17=$2; //@line 155 "./jsclone.h"
  var $18=__ZNK2js8SCOutput7contextEv($17); //@line 155 "./jsclone.h"
  __ZN2js12AutoIdVectorC1EP9JSContext($16, $18); //@line 155 "./jsclone.h"
  var $19=(($7+180)|0); //@line 155 "./jsclone.h"
  var $20=$2; //@line 156 "./jsclone.h"
  var $21=__ZNK2js8SCOutput7contextEv($20); //@line 156 "./jsclone.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($6, $21); //@line 156 "./jsclone.h"
  __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_($19, $6); //@line 156 "./jsclone.h"
  var $22=(($7+208)|0); //@line 156 "./jsclone.h"
  var $23=$3; //@line 156 "./jsclone.h"
  HEAP32[(($22)>>2)]=$23; //@line 156 "./jsclone.h"
  var $24=(($7+212)|0); //@line 156 "./jsclone.h"
  var $25=$4; //@line 156 "./jsclone.h"
  HEAP32[(($24)>>2)]=$25; //@line 156 "./jsclone.h"
  STACKTOP = __stackBase__;
  return; //@line 156 "./jsclone.h"
}


function __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  var $5=$2; //@line 985 "./jshashtable.h"
  var $6=$a; //@line 985 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js10ThreadDataC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 119 "./jscntxt.h"
  HEAP32[(($3)>>2)]=0; //@line 119 "./jscntxt.h"
  var $4=(($2+4)|0); //@line 119 "./jscntxt.h"
  FUNCTION_TABLE[__ZN2js10StackSpaceC1Ev]($4); //@line 119 "./jscntxt.h"
  var $5=(($2+24)|0); //@line 119 "./jscntxt.h"
  HEAP8[($5)]=0; //@line 119 "./jscntxt.h"
  var $6=(($2+28)|0); //@line 119 "./jscntxt.h"
  __ZN2js8GSNCacheC1Ev($6); //@line 119 "./jscntxt.h"
  var $7=(($2+56)|0); //@line 119 "./jscntxt.h"
  __ZN2js13PropertyCacheC1Ev($7); //@line 119 "./jscntxt.h"
  var $8=(($2+65596)|0); //@line 119 "./jscntxt.h"
  HEAP32[(($8)>>2)]=0; //@line 119 "./jscntxt.h"
  var $9=(($2+65600)|0); //@line 119 "./jscntxt.h"
  var $10=__ZN2js18GetNativeStackBaseEv(); //@line 116 "./jscntxt.h"
  HEAP32[(($9)>>2)]=$10; //@line 116 "./jscntxt.h"
  var $11=(($2+65604)|0); //@line 116 "./jscntxt.h"
  HEAP32[(($11)>>2)]=0; //@line 116 "./jscntxt.h"
  var $12=(($2+65608)|0); //@line 116 "./jscntxt.h"
  __ZN2js24ConservativeGCThreadDataC1Ev($12); //@line 116 "./jscntxt.h"
  var $13=(($2+65656)|0); //@line 116 "./jscntxt.h"
  HEAP32[(($13)>>2)]=0; //@line 116 "./jscntxt.h"
  ;
  return; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN2js8GSNCacheC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js8GSNCacheC2Ev($2); //@line 139 "./jscntxt.h"
  ;
  return; //@line 139 "./jscntxt.h"
}


function __ZN2js13PropertyCacheC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13PropertyCacheC2Ev($2); //@line 212 "./jspropertycache.h"
  ;
  return; //@line 212 "./jspropertycache.h"
}


function __ZN2js18GetNativeStackBaseEv() {
  ;
  var __label__;

  var $stackBase;
  var $1=__ZN2js22GetNativeStackBaseImplEv(); //@line 53 "./jsnativestack.h"
  $stackBase=$1; //@line 53 "./jsnativestack.h"
  var $2=$stackBase; //@line 55 "./jsnativestack.h"
  var $3=$2; //@line 55 "./jsnativestack.h"
  ;
  return $3; //@line 55 "./jsnativestack.h"
}


function __ZN2js24ConservativeGCThreadDataC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js24ConservativeGCThreadDataC2Ev($2); //@line 1411 "./jsgc.h"
  ;
  return; //@line 1411 "./jsgc.h"
}


function __ZN2js10ThreadDataD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+65596)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=(($4)|0)!=0; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $7=(($2+65596)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _js_DestroyDtoaState($8); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $10=(($2+65608)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js24ConservativeGCThreadDataD1Ev($10); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=(($2+28)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js8GSNCacheD1Ev($11); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=(($2+4)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      FUNCTION_TABLE[__ZN2js10StackSpaceD1Ev]($12); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js24ConservativeGCThreadDataD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js24ConservativeGCThreadDataD2Ev($2); //@line 1413 "./jsgc.h"
  ;
  return; //@line 1421 "./jsgc.h"
}


function __ZN2js8GSNCacheD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js8GSNCacheD2Ev($2); //@line 130 "./jscntxt.h"
  ;
  return; //@line 130 "./jscntxt.h"
}


function __ZN2js10ThreadData4initEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=__ZN2js10StackSpace4initEv($3); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($4) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $6=_js_NewDtoaState(); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=(($2+65596)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($7)>>2)]=$6; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=(($6)|0)!=0; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=$8 ^ 1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=$9 ^ 1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      ;
      return $12; //@line 135 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z19js_GetCurrentScriptP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $3=__ZNK9JSContext5hasfpEv($2); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $5=$1; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=__ZNK9JSContext2fpEv($5); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=__ZNK2js10StackFrame11maybeScriptEv($6); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10 = $7;__label__ = 4; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $10 = 0;__label__ = 4; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $10; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $10; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z14js_InitThreadsP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $3=(($2+144280)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $4=__ZN2js10ThreadData4initEv($3); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $5=(($4)&1); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  ;
  return $5; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __Z15js_PurgeThreadsP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $3=(($2+52)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $5=(($4+144280)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $6=$1; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  __ZN2js10ThreadData5purgeEP9JSContext($5, $6); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  ;
  return; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN2js10ThreadData5purgeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3+28)|0); //@line 227 "./jscntxt.h"
  __ZN2js8GSNCache5purgeEv($4); //@line 227 "./jscntxt.h"
  var $5=(($3+56)|0); //@line 230 "./jscntxt.h"
  var $6=$2; //@line 230 "./jscntxt.h"
  __ZN2js13PropertyCache5purgeEP9JSContext($5, $6); //@line 230 "./jscntxt.h"
  ;
  return; //@line 231 "./jscntxt.h"
}


function __Z13js_NewContextP9JSRuntimej($rt, $stackChunkSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cx;
      var $first;
      var $cxCallback;
      var $mem;
      var $ok;
      var $lock=__stackBase__;
      $2=$rt;
      $3=$stackChunkSize;
      var $4=__ZN2js11OffTheBooks7calloc_Ej(312); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $mem=$4; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=$mem; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=(($5)|0)!=0; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      $1=0; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 25; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $9=$mem; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=(($9)|0)==0; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($10) { var $15 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $12=$9; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=$2; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      FUNCTION_TABLE[__ZN9JSContextC1EP9JSRuntime]($12, $13); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15 = $12;__label__ = 5; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $15; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $cx=$15; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=$2; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=(($16+144148)|0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=$cx; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=(($18+200)|0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($19)>>2)]=$17; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=$cx; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=(($20+48)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($21)>>2)]=-1; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=$cx; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=(($22+224)|0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($23, 3); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=$cx; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=(($24+72)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_InitArenaPool($25, ((STRING_TABLE.__str645)|0), 4056, 8); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=$cx; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=(($26+104)|0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_InitArenaPool($27, ((STRING_TABLE.__str1646)|0), 4056, 4); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=$cx; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=(($28+148)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj($29, 0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $32=$cx; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground7delete_I9JSContextEEvPT_($32); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=0; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 25; break; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      __label__ = 8; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $35=$2; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=(($35+24)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $38=(($37)|0)==2; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      $first=0; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 13; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      var $41=$2; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $42=(($41+24)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $44=(($43)|0)==0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      $first=1; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $46=$2; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $47=(($46+24)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($47)>>2)]=1; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 13; break; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 12: 
      __label__ = 8; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 13: 
      __label__ = 14; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 14: 
      var $51=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $52=(($51+144140)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $53=$cx; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $54=(($53)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $55=(($54)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($55)>>2)]=$52; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $56=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $57=(($56+144140)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $58=(($57+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $60=$cx; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $61=(($60)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $62=(($61+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($62)>>2)]=$59; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $63=$cx; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $64=(($63)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $65=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $66=(($65+144140)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $67=(($66+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $69=(($68)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($69)>>2)]=$64; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $70=$cx; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $71=(($70)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $72=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $73=(($72+144140)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $74=(($73+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($74)>>2)]=$71; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 15; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 15: 
      var $76=$cx; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z13js_InitRandomP9JSContext($76); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $77=$first; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $78=(($77)|0)!=0; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($78) { __label__ = 16; break; } else { __label__ = 21; break; } //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 16: 
      var $80=$2; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $81=(($80+210584)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $82=$cx; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $83=__ZN2js13StaticStrings4initEP9JSContext($81, $82); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $84=(($83)&1); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $ok=$84; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $85=$ok; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $86=(($85) & 1); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($86) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 17: 
      var $88=$cx; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $89=__Z18js_InitCommonAtomsP9JSContext($88); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $90=(($89)&1); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $ok=$90; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 18; break; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 18: 
      var $92=$ok; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $93=(($92) & 1); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($93) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 19: 
      var $95=$cx; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z17js_DestroyContextP9JSContext20JSDestroyContextMode($95, 3); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=0; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 25; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 20: 
      var $97=$2; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $97); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $98=$2; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $99=(($98+24)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($99)>>2)]=2; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10AutoLockGCD1Ev($lock); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 21; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 21: 
      var $101=$2; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $102=(($101+28)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $cxCallback=$103; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $104=$cxCallback; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $105=(($104)|0)!=0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($105) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 22: 
      var $107=$cxCallback; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $108=$cx; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $109=FUNCTION_TABLE[$107]($108, 0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $110=(($109)|0)!=0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($110) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 23: 
      var $112=$cx; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z17js_DestroyContextP9JSContext20JSDestroyContextMode($112, 3); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 25; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 24: 
      var $114=$cx; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$114; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 25; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 25: 
      var $116=$1; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z13js_NewContextP9JSRuntimej["X"]=1;

function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __ZN2js10Foreground7delete_I9JSContextEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      FUNCTION_TABLE[__ZN9JSContextD1Ev]($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free816($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_DestroyContextP9JSContext20JSDestroyContextMode($cx, $mode) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      var $cxCallback;
      var $last;
      var $callbackStatus=__stackBase__;
      var $3=__stackBase__+4;
      var $lock=__stackBase__+8;
      var $compartment;
      var $end;
      var $c;
      $1=$cx;
      $2=$mode;
      var $4=$1; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=(($4+52)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $rt=$6; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=$2; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=(($7)|0)!=3; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $10=$rt; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=(($10+28)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $cxCallback=$12; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=$cxCallback; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=(($13)|0)!=0; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $16=$cxCallback; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=$1; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=FUNCTION_TABLE[$16]($17, 1); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($3)>>2)]=$18; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN7mozilla9DebugOnlyIiEC1ERKi($callbackStatus, $3); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN7mozilla9DebugOnlyIiED1Ev($callbackStatus); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 4; break; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      __label__ = 5; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      __label__ = 6; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $22=$1; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=(($22)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=(($23)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=$1; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=(($26)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=(($27+4)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=(($29)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($30)>>2)]=$25; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=$1; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=(($31)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33=(($32+4)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=$1; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=(($35)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $37=(($36)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $39=(($38+4)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($39)>>2)]=$34; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 7; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $41=$rt; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $42=(($41+144140)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $43=(($42)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $45=$rt; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $46=(($45+144140)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $47=(($44)|0)==(($46)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $48=(($47)&1); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $last=$48; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $49=$last; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $50=(($49)|0)!=0; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($50) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $52=$rt; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $53=(($52+24)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($53)>>2)]=3; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 9; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      var $55=$last; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $56=(($55)|0)!=0; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($56) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      var $58=$2; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $59=(($58)|0)==2; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($59) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      var $61=$2; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $62=(($61)|0)==1; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 39; break; } //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 12: 
      var $64=$last; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $65=(($64)|0)!=0; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($65) { __label__ = 13; break; } else { __label__ = 21; break; } //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 13: 
      var $67=$rt; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $67); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $68=$rt; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $69=(($68+4)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $70=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($69); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $compartment=$70; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $71=$rt; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $72=(($71+4)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $73=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($72); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $end=$73; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 14; break; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 14: 
      var $75=$compartment; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $76=$end; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $77=(($75)>>>0) < (($76)>>>0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($77) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 15: 
      var $79=$compartment; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $81=(($80+376)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $82=$1; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js5types15TypeCompartment5printEP9JSContextb($81, $82, 0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $83=$compartment; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $84=(($83+4)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $compartment=$84; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 14; break; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 16: 
      __ZN2js10AutoLockGCD1Ev($lock); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $86=$1; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z20js_FinishCommonAtomsP9JSContext($86); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $87=$rt; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $88=(($87+4)|0); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $89=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($88); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $c=$89; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 17; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 17: 
      var $91=$c; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $92=$rt; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $93=(($92+4)|0); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $94=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($93); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $95=(($91)|0)!=(($94)|0); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($95) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 18: 
      var $97=$c; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $99=$1; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN13JSCompartment10clearTrapsEP9JSContextP8JSScript($98, $99, 0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 19; break; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 19: 
      var $101=$c; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $102=(($101+4)|0); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $c=$102; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 17; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 20: 
      var $104=$1; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $105=_JS_ClearAllWatchPoints($104); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 21; break; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 21: 
      var $107=$last; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $108=(($107)|0)!=0; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($108) { __label__ = 22; break; } else { __label__ = 26; break; } //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 22: 
      var $110=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $111=(($110)|0)==10; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($111) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 23: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=2; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $116 = __ZN2js8gcReasonE;__label__ = 25; break; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 24: 
      var $114=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$114; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $116 = __ZN2js8gcReasonE;__label__ = 25; break; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 25: 
      var $116; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $117=$1; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($117, 0, 1); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $118=$rt; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $119=(($118+24)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($119)>>2)]=0; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 38; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 26: 
      var $121=$2; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $122=(($121)|0)==2; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($122) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 27: 
      var $124=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $125=(($124)|0)==10; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($125) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 28: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=3; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $130 = __ZN2js8gcReasonE;__label__ = 30; break; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 29: 
      var $128=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$128; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $130 = __ZN2js8gcReasonE;__label__ = 30; break; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 30: 
      var $130; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $131=$1; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($131, 0, 0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 37; break; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 31: 
      var $133=$2; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $134=(($133)|0)==1; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($134) { __label__ = 32; break; } else { __label__ = 36; break; } //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 32: 
      var $136=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $137=(($136)|0)==10; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($137) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 33: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=3; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $142 = __ZN2js8gcReasonE;__label__ = 35; break; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 34: 
      var $140=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$140; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $142 = __ZN2js8gcReasonE;__label__ = 35; break; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 35: 
      var $142; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $143=$1; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_MaybeGC($143); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 36; break; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 36: 
      __label__ = 37; break;
    case 37: 
      __label__ = 38; break;
    case 38: 
      __label__ = 39; break; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 39: 
      var $148=$1; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground7delete_I9JSContextEEvPT_($148); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      STACKTOP = __stackBase__;
      return; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_DestroyContextP9JSContext20JSDestroyContextMode["X"]=1;

function __ZN7mozilla9DebugOnlyIiEC1ERKi($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 182 "./dist/include/mozilla/Util.h"
  __ZN7mozilla9DebugOnlyIiEC2ERKi($4, $5); //@line 182 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIiED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIiED2Ev($2); //@line 193 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __Z18js_ContextIteratorP9JSRuntimeiPP9JSContext($rt, $unlocked, $iterp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $3;
      var $4;
      var $cx;
      var $lockIf=__stackBase__+4;
      var $5;
      HEAP32[(($2)>>2)]=$rt;
      $3=$unlocked;
      $4=$iterp;
      var $6=$4; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $cx=$7; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN7mozilla5MaybeIN2js10AutoLockGCEEC1Ev($lockIf); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=$3; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=(($8)|0)!=0; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      __ZN7mozilla5MaybeIN2js10AutoLockGCEE9constructIP9JSRuntimeEEvRKT_($lockIf, $2); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $12=$cx; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=(($12)|0)!=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $15=$cx; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=(($15)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=(($16)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25 = $18;__label__ = 6; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $20=HEAP32[(($2)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=(($20+144140)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=(($21)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25 = $23;__label__ = 6; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $25; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=__ZN9JSContext13fromLinkFieldEP10JSCListStr($25); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $cx=$26; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=$cx; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=(($27)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=HEAP32[(($2)>>2)]; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=(($29+144140)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=(($28)|0)==(($30)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      $cx=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 8; break; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $34=$cx; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=$4; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($35)>>2)]=$34; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=$cx; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$36; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $5=1;
      __ZN7mozilla5MaybeIN2js10AutoLockGCEED1Ev($lockIf); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $37=$1; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_ContextIteratorP9JSRuntimeiPP9JSContext["X"]=1;

function __ZN7mozilla5MaybeIN2js10AutoLockGCEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla5MaybeIN2js10AutoLockGCEEC2Ev($2); //@line 254 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 254 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla5MaybeIN2js10AutoLockGCEE9constructIP9JSRuntimeEEvRKT_($this, $t1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t1;
      var $3=$1;
      var $4=(($3)|0); //@line 268 "./dist/include/mozilla/Util.h"
      var $5=__ZN7mozilla15AlignedStorage2IN2js10AutoLockGCEE4addrEv($4); //@line 268 "./dist/include/mozilla/Util.h"
      var $6=$5; //@line 268 "./dist/include/mozilla/Util.h"
      var $7=(($6)|0)==0; //@line 268 "./dist/include/mozilla/Util.h"
      if ($7) { var $13 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 268 "./dist/include/mozilla/Util.h"
    case 2: 
      var $9=$6; //@line 268 "./dist/include/mozilla/Util.h"
      var $10=$2; //@line 268 "./dist/include/mozilla/Util.h"
      var $11=HEAP32[(($10)>>2)]; //@line 268 "./dist/include/mozilla/Util.h"
      __ZN2js10AutoLockGCC1EP9JSRuntime($9, $11); //@line 268 "./dist/include/mozilla/Util.h"
      var $13 = $9;__label__ = 3; break; //@line 268 "./dist/include/mozilla/Util.h"
    case 3: 
      var $13; //@line 268 "./dist/include/mozilla/Util.h"
      var $14=(($3+8)|0); //@line 269 "./dist/include/mozilla/Util.h"
      HEAP8[($14)]=1; //@line 269 "./dist/include/mozilla/Util.h"
      ;
      return; //@line 270 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js10AutoLockGCEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla5MaybeIN2js10AutoLockGCEED2Ev($2); //@line 255 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 255 "./dist/include/mozilla/Util.h"
}


function __Z20js_NextActiveContextP9JSRuntimeP9JSContext($rt, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $iter=__stackBase__;
  $1=$rt;
  $2=$cx;
  var $3=$2; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  HEAP32[(($iter)>>2)]=$3; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $4=$1; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $5=__Z18js_ContextIteratorP9JSRuntimeiPP9JSContext($4, 0, $iter); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  STACKTOP = __stackBase__;
  return $5; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZNK2js13AutoResolving18alreadyStartedSlowEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cursor;
      $2=$this;
      var $3=$2;
      var $4=(($3+16)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $cursor=$5; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 2; break; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $7=(($3+4)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=$cursor; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=(($9+4)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=(($8)|0)==(($11)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $14=(($3+8)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=$cursor; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=(($16+8)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=(($15)|0)==(($18)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $21=(($3+12)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=$cursor; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=(($23+12)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=(($22)|0)==(($25)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      $1=1; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 9; break; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      __label__ = 7; break; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $30=$cursor; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=(($30+16)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $cursor=$32; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33=(($32)|0)!=0; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $34=$33 ^ 1; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=$34 ^ 1; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($35) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      $1=0; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 9; break; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      var $38=$1; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $38; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_GetErrorMessagePvPKcj($userRef, $locale, $errorNumber) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$userRef;
      $3=$locale;
      $4=$errorNumber;
      var $5=$4; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=(($5)>>>0) > 0; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $8=$4; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=(($8)>>>0) < 287; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $11=$4; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=((_js_ErrorFormatString+($11<<3))|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$12; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 5; break; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      $1=0; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 5; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $15=$1; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $15; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_ReportOutOfMemoryP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $report=__stackBase__;
      var $onError;
      var $efs;
      var $msg;
      var $hook;
      var $incr=__stackBase__+40;
      $1=$cx;
      var $2=$1; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $3=(($2+52)|0); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=(($4+144224)|0); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($5)>>2)]=1; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=$1; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=(($6+180)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $onError=$8; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=$1; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=__Z27js_GetLocalizedErrorMessageP9JSContextPvPKcj($9, 0, 0, 137); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $efs=$10; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=$efs; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=(($11)|0)!=0; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $14=$efs; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=(($14)|0); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19 = $16;__label__ = 4; break; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $19 = ((STRING_TABLE.__str2647)|0);__label__ = 4; break; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $19; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $msg=$19; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2jsL7PodZeroI13JSErrorReportEEvPT_($report); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=(($report+24)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($20)>>2)]=0; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=(($report+28)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($21)>>2)]=137; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=$1; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZL19PopulateReportBlameP9JSContextP13JSErrorReport($22, $report); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=$1; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext21clearPendingExceptionEv($23); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=$onError; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=(($24)|0)!=0; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $27=$1; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=(($27+200)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=(($29+64)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $hook=$31; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=$hook; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33=(($32)|0)!=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $35=$hook; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=$1; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $37=$msg; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $38=$1; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $39=(($38+200)|0); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $41=(($40+68)|0); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $43=FUNCTION_TABLE[$35]($36, $37, $report, $42); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $44=(($43)|0)!=0; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($44) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      $onError=0; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 8; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      __label__ = 9; break; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      var $48=$onError; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $49=(($48)|0)!=0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      var $51=$1; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $52=(($51+52)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $54=(($53+229028)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js19AutoAtomicIncrementC1EPi($incr, $54); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $55=$onError; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $56=$1; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $57=$msg; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      FUNCTION_TABLE[$55]($56, $57, $report); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js19AutoAtomicIncrementD1Ev($incr); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 11; break; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_ReportOutOfMemoryP9JSContext["X"]=1;

function __ZN2jsL7PodZeroI13JSErrorReportEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 40, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZL19PopulateReportBlameP9JSContextP13JSErrorReport($cx, $report) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $iter=__stackBase__;
      $1=$cx;
      $2=$report;
      var $3=$1; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($iter, $3, 0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 2; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $5=__ZNK2js13FrameRegsIter4doneEv($iter); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=$5 ^ 1; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $8=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=__ZNK2js10StackFrame13isScriptFrameEv($8); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $11=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=__ZNK2js10StackFrame6scriptEv($11); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=(($12+52)|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=$2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=(($15)|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($16)>>2)]=$14; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=$1; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=__ZNK2js13FrameRegsIter2pcEv($iter); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=__Z22js_FramePCToLineNumberP9JSContextPN2js10StackFrameEPh($17, $18, $19); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=$2; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=(($21+4)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($22)>>2)]=$20; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 7; break; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      __label__ = 6; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $25=__ZN2js13FrameRegsIterppEv($iter); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 2; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js19AutoAtomicIncrementC1EPi($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 241 "./jslock.h"
  __ZN2js19AutoAtomicIncrementC2EPi($3, $4); //@line 241 "./jslock.h"
  ;
  return; //@line 241 "./jslock.h"
}


function __ZN2js19AutoAtomicIncrementD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js19AutoAtomicIncrementD2Ev($2); //@line 243 "./jslock.h"
  ;
  return; //@line 245 "./jslock.h"
}


function __Z21js_ReportOverRecursedP9JSContext($maybecx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$maybecx;
      var $2=$1; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $3=(($2)|0)!=0; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $5=$1; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_ReportErrorNumber($5, 2, 0, 26, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      ;
      return; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z27js_ReportAllocationOverflowP9JSContext($maybecx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$maybecx;
      var $2=$1; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $3=(($2)|0)!=0; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $5=$1; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_ReportErrorNumber($5, 2, 0, 6, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      ;
      return; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_ReportErrorVAP9JSContextjPKcPc($cx, $flags, $format, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $message;
      var $ucmessage;
      var $messagelen=__stackBase__+4;
      var $report=__stackBase__+8;
      var $warning;
      $2=$cx;
      HEAP32[(($3)>>2)]=$flags;
      $4=$format;
      $5=$ap;
      var $6=$2; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=__ZL16checkReportFlagsP9JSContextPj($6, $3); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      $1=1; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 6; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $10=$4; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=$5; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=_JS_vsmprintf($10, $11); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $message=$12; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=$message; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=(($13)|0)!=0; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      $1=0; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 6; break; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $17=$message; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=_strlen($17); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($messagelen)>>2)]=$18; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2jsL7PodZeroI13JSErrorReportEEvPT_($report); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=HEAP32[(($3)>>2)]; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=(($report+24)|0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=(($report+28)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($21)>>2)]=206; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=$2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=$message; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($22, $23, $messagelen, 0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $ucmessage=$24; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=(($report+32)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($25)>>2)]=$24; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZL19PopulateReportBlameP9JSContextP13JSErrorReport($26, $report); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=(($report+24)|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=$28 & 1; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=(($29)|0)!=0; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=(($30)&1); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $warning=$31; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=$2; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33=$message; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZL11ReportErrorP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_($32, $33, $report, 0, 0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $34=$message; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground5free_EPv($34); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=$ucmessage; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=$35; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground5free_EPv($36); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $37=$warning; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$37; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 6; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $39=$1; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_ReportErrorVAP9JSContextjPKcPc["X"]=1;

function __ZL16checkReportFlagsP9JSContextPj($cx, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $script;
      $2=$cx;
      $3=$flags;
      var $4=$3; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=$5 & 8; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=(($6)|0)!=0; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 10; break; } //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $9=$2; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=(($9+60)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=__ZNK2js12ContextStack13currentScriptEPPh($10, 0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $script=$11; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=$script; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=(($12)|0)!=0; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $15=$script; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=$15; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=(($16+36)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=HEAPU8[($17)]; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=(($18)&255) >>> 3; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=$19 & 1; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=(($20) & 1); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $23=$3; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=$24 & -2; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($23)>>2)]=$25; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 9; break; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $27=$2; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=__ZNK9JSContext15hasStrictOptionEv($27); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $30=$3; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=$31 | 1; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($30)>>2)]=$32; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 8; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      $1=1; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 19; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 15; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      var $37=$3; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $39=$38 & 4; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $40=(($39)|0)!=0; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      var $42=$2; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $43=__ZNK9JSContext15hasStrictOptionEv($42); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($43) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 12: 
      $1=1; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 19; break; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 13: 
      __label__ = 14; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $48=$3; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $50=$49 & 1; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $51=(($50)|0)!=0; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($51) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 16: 
      var $53=$2; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $54=__ZNK9JSContext15hasWErrorOptionEv($53); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($54) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 17: 
      var $56=$3; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $58=$57 & -2; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($56)>>2)]=$58; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 18; break; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 18: 
      $1=0; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 19; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 19: 
      var $61=$1; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $61; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16checkReportFlagsP9JSContextPj["X"]=1;

function __ZL11ReportErrorP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_($cx, $message, $reportp, $callback, $userRef) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $hook;
      $1=$cx;
      $2=$message;
      $3=$reportp;
      $4=$callback;
      $5=$userRef;
      var $6=$4; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=(($6)|0)!=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $9=$4; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=(($9)|0)==2; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $12=$3; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=(($12+28)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=(($14)|0)==147; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $17=$3; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=(($17+24)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=$19 | 2; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($18)>>2)]=$20; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 5; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $22=$1; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=_JS_IsRunning($22); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=(($23)|0)!=0; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $26=$1; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=$2; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=$3; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=$4; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=$5; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=__Z19js_ErrorToExceptionP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_($26, $27, $28, $29, $30); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=(($31)|0)!=0; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $34=$1; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=$2; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=$3; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z19js_ReportErrorAgainP9JSContextPKcP13JSErrorReport($34, $35, $36); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 14; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $38=$1; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $39=(($38+200)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $41=(($40+64)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $43=(($42)|0)!=0; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($43) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      var $45=$1; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $46=(($45+180)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $48=(($47)|0)!=0; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      var $50=$1; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $51=(($50+200)|0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $53=(($52+64)|0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $hook=$54; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $55=$hook; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $56=(($55)|0)!=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      var $58=$hook; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $59=$1; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $60=$2; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $61=$3; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $62=$1; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $63=(($62+200)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $65=(($64+68)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $67=FUNCTION_TABLE[$58]($59, $60, $61, $66); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 12; break; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 12: 
      __label__ = 13; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      ;
      return; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11ReportErrorP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_["X"]=1;

function __Z23js_ExpandErrorArgumentsP9JSContextPFPK19JSErrorFormatStringPvPKcjES4_jPPcP13JSErrorReportbS9_($cx, $callback, $userRef, $errorNumber, $messagep, $reportp, $charArgs, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $efs;
      var $i;
      var $argCount;
      var $totalArgsLength;
      var $argLengths=__stackBase__;
      var $charArg;
      var $charArgLength=__stackBase__+40;
      var $buffer;
      var $fmt;
      var $out;
      var $expandedArgs;
      var $expandedLength;
      var $len=__stackBase__+44;
      var $d;
      var $len1=__stackBase__+48;
      var $defaultErrorMessage;
      var $nbytes;
      $2=$cx;
      $3=$callback;
      $4=$userRef;
      $5=$errorNumber;
      $6=$messagep;
      $7=$reportp;
      var $10=(($charArgs)&1);
      $8=$10;
      $9=$ap;
      var $11=$6; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($11)>>2)]=0; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=$3; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=(($12)|0)!=0; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $15=$3; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=(($15)|0)==2; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $18=$2; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=$4; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=$5; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=__Z27js_GetLocalizedErrorMessageP9JSContextPvPKcj($18, $19, 0, $20); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $efs=$21; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 5; break; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $23=$3; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=$4; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=$5; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=FUNCTION_TABLE[$23]($24, 0, $25); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $efs=$26; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 5; break;
    case 5: 
      var $28=$efs; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=(($28)|0)!=0; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 44; break; } //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      $totalArgsLength=0; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=$efs; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=(($31+4)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33=HEAPU16[(($32)>>1)]; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $34=(($33)&65535); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $argCount=$34; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=$argCount; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=(($35)|0) > 0; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 19; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $38=$2; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $39=$argCount; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $40=(($39+1)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $41=((($40<<2))|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $42=__ZN9JSContext7malloc_Ej($38, $41); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $43=$42; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $44=$7; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $45=(($44+36)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $46=$7; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $47=(($46+36)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $49=(($48)|0)!=0; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      $1=0; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 61; break; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      var $52=$argCount; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $53=$7; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $54=(($53+36)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $56=(($55+($52<<2))|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($56)>>2)]=0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $i=0; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      var $58=$i; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $59=$argCount; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $60=(($58)|0) < (($59)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($60) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      var $62=$8; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $63=(($62) & 1); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 12: 
      var $65=$9; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $66=$65; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $67=(($65+4)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $9=$67; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $68=HEAP32[(($66)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $charArg=$68; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $69=$charArg; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $70=_strlen($69); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($charArgLength)>>2)]=$70; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $71=$2; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $72=$charArg; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $73=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($71, $72, $charArgLength, 0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $74=$i; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $75=$7; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $76=(($75+36)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $78=(($77+($74<<2))|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($78)>>2)]=$73; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $79=$i; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $80=$7; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $81=(($80+36)|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $83=(($82+($79<<2))|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $85=(($84)|0)!=0; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($85) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 13: 
      __label__ = 49; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 14: 
      __label__ = 16; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 15: 
      var $89=$9; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $90=$89; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $91=(($89+4)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $9=$91; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $92=HEAP32[(($90)>>2)]; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $93=$i; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $94=$7; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $95=(($94+36)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $97=(($96+($93<<2))|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($97)>>2)]=$92; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 16; break;
    case 16: 
      var $99=$i; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $100=$7; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $101=(($100+36)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $103=(($102+($99<<2))|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $105=__Z9js_strlenPKt($104); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $106=$i; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $107=(($argLengths+($106<<2))|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($107)>>2)]=$105; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $108=$i; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $109=(($argLengths+($108<<2))|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $111=$totalArgsLength; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $112=(($111+$110)|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $totalArgsLength=$112; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 17; break; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 17: 
      var $114=$i; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $115=(($114+1)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $i=$115; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 18: 
      var $117=$i; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $118=$7; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $119=(($118+36)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $121=(($120+($117<<2))|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($121)>>2)]=0; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 19; break; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 19: 
      var $123=$argCount; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $124=(($123)|0) > 0; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($124) { __label__ = 20; break; } else { __label__ = 36; break; } //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 20: 
      var $126=$efs; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $127=(($126)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $129=(($128)|0)!=0; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($129) { __label__ = 21; break; } else { __label__ = 35; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 21: 
      $expandedArgs=0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $131=$efs; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $132=(($131)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $134=_strlen($133); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($len)>>2)]=$134; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $135=$2; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $136=$efs; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $137=(($136)|0); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $139=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($135, $138, $len, 0); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $fmt=$139; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $buffer=$139; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $140=$buffer; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $141=(($140)|0)!=0; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($141) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 22: 
      __label__ = 49; break; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 23: 
      var $144=HEAP32[(($len)>>2)]; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $145=$argCount; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $146=(($145*3)|0); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $147=(($144-$146)|0); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $148=$totalArgsLength; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $149=(($147+$148)|0); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $expandedLength=$149; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $150=$2; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $151=$expandedLength; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $152=(($151+1)|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $153=((($152<<1))|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $154=__ZN9JSContext7malloc_Ej($150, $153); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $155=$154; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $out=$155; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $156=$7; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $157=(($156+32)|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($157)>>2)]=$155; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $158=$out; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $159=(($158)|0)!=0; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($159) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 24: 
      var $161=$2; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $162=$buffer; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $163=$162; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($161, $163); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 49; break; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 25: 
      __label__ = 26; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 26: 
      var $166=$fmt; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $167=HEAP16[(($166)>>1)]; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $168=(($167 << 16) >> 16)!=0; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($168) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 27: 
      var $170=$fmt; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $171=HEAPU16[(($170)>>1)]; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $172=(($171)&65535); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $173=(($172)|0)==123; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($173) { __label__ = 28; break; } else { __label__ = 31; break; } //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 28: 
      var $175=$fmt; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $176=(($175+2)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $177=HEAPU16[(($176)>>1)]; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $178=(($177)&65535); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $179=_isdigit($178); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $180=(($179)|0)!=0; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($180) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 29: 
      var $182=$fmt; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $183=(($182+2)|0); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $184=HEAPU16[(($183)>>1)]; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $185=(($184)&65535); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $186=(($185-48)|0); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $d=$186; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $187=$out; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $188=$187; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $189=$d; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $190=$7; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $191=(($190+36)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $192=HEAP32[(($191)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $193=(($192+($189<<2))|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $195=$194; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $196=$d; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $197=(($argLengths+($196<<2))|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $199=((($198<<1))|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      assert($199 % 1 === 0, 'memcpy given ' + $199 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($188, $195, $199, 1); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $200=$d; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $201=(($argLengths+($200<<2))|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $202=HEAP32[(($201)>>2)]; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $203=$out; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $204=(($203+($202<<1))|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $out=$204; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $205=$fmt; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $206=(($205+6)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $fmt=$206; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $207=$expandedArgs; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $208=(($207+1)|0); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $expandedArgs=$208; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 26; break; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 30: 
      __label__ = 31; break; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 31: 
      var $211=$fmt; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $212=(($211+2)|0); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $fmt=$212; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $213=HEAP16[(($211)>>1)]; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $214=$out; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $215=(($214+2)|0); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $out=$215; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP16[(($214)>>1)]=$213; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 26; break; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 32: 
      var $217=$out; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP16[(($217)>>1)]=0; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $218=$2; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $219=$buffer; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $220=$219; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($218, $220); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $221=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $222=$7; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $223=(($222+32)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $224=HEAP32[(($223)>>2)]; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $225=$out; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $226=$7; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $227=(($226+32)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $228=HEAP32[(($227)>>2)]; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $229=$225; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $230=$228; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $231=(($229-$230)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $232=(((($231)|0)/2)&-1); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $233=__ZN2js13DeflateStringEP9JSContextPKtj($221, $224, $232); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $234=$6; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($234)>>2)]=$233; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $235=$6; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $236=HEAP32[(($235)>>2)]; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $237=(($236)|0)!=0; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($237) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 33: 
      __label__ = 49; break; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 34: 
      __label__ = 35; break; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 35: 
      __label__ = 43; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 36: 
      var $242=$efs; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $243=(($242)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $244=HEAP32[(($243)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $245=(($244)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($245) { __label__ = 37; break; } else { __label__ = 42; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 37: 
      var $247=$2; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $248=$efs; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $249=(($248)|0); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $250=HEAP32[(($249)>>2)]; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $251=_JS_strdup($247, $250); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $252=$6; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($252)>>2)]=$251; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $253=$6; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $254=HEAP32[(($253)>>2)]; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $255=(($254)|0)!=0; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($255) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 38: 
      __label__ = 49; break; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 39: 
      var $258=$6; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $259=HEAP32[(($258)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $260=_strlen($259); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($len1)>>2)]=$260; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $261=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $262=$6; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $263=HEAP32[(($262)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $264=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($261, $263, $len1, 0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $265=$7; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $266=(($265+32)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($266)>>2)]=$264; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $267=$7; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $268=(($267+32)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $269=HEAP32[(($268)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $270=(($269)|0)!=0; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($270) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 40: 
      __label__ = 49; break; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 41: 
      __label__ = 42; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 42: 
      __label__ = 43; break;
    case 43: 
      __label__ = 44; break; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 44: 
      var $276=$6; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $277=HEAP32[(($276)>>2)]; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $278=(($277)|0)==0; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($278) { __label__ = 45; break; } else { __label__ = 48; break; } //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 45: 
      $defaultErrorMessage=((STRING_TABLE.__str3648)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $280=$defaultErrorMessage; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $281=_strlen($280); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $282=(($281+16)|0); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $nbytes=$282; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $283=$2; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $284=$nbytes; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $285=__ZN9JSContext7malloc_Ej($283, $284); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $286=$6; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($286)>>2)]=$285; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $287=$6; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $288=HEAP32[(($287)>>2)]; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $289=(($288)|0)!=0; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($289) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 46: 
      __label__ = 49; break; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 47: 
      var $292=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $293=HEAP32[(($292)>>2)]; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $294=$nbytes; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $295=$defaultErrorMessage; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $296=$5; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $297=_JS_snprintf($293, $294, $295, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$296,tempInt)); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 48; break; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 48: 
      $1=1; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 61; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 49: 
      var $300=$7; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $301=(($300+36)|0); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $302=HEAP32[(($301)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $303=(($302)|0)!=0; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($303) { __label__ = 50; break; } else { __label__ = 56; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 50: 
      var $305=$8; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $306=(($305) & 1); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($306) { __label__ = 51; break; } else { __label__ = 55; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 51: 
      $i=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 52; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 52: 
      var $309=$i; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $310=$7; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $311=(($310+36)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $312=HEAP32[(($311)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $313=(($312+($309<<2))|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $314=HEAP32[(($313)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $315=(($314)|0)!=0; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($315) { __label__ = 53; break; } else { __label__ = 54; break; } //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 53: 
      var $317=$2; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $318=$i; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $319=(($318+1)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $i=$319; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $320=$7; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $321=(($320+36)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $322=HEAP32[(($321)>>2)]; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $323=(($322+($318<<2))|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $324=HEAP32[(($323)>>2)]; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $325=$324; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($317, $325); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 52; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 54: 
      __label__ = 55; break; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 55: 
      var $328=$2; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $329=$7; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $330=(($329+36)|0); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $331=HEAP32[(($330)>>2)]; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $332=$331; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($328, $332); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $333=$7; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $334=(($333+36)|0); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($334)>>2)]=0; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 56; break; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 56: 
      var $336=$7; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $337=(($336+32)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $338=HEAP32[(($337)>>2)]; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $339=(($338)|0)!=0; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($339) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 57: 
      var $341=$2; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $342=$7; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $343=(($342+32)|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $344=HEAP32[(($343)>>2)]; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $345=$344; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($341, $345); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $346=$7; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $347=(($346+32)|0); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($347)>>2)]=0; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 58; break; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 58: 
      var $349=$6; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $350=HEAP32[(($349)>>2)]; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $351=(($350)|0)!=0; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($351) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 59: 
      var $353=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $354=$6; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $355=HEAP32[(($354)>>2)]; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($353, $355); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $356=$6; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($356)>>2)]=0; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 60; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 60: 
      $1=0; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 61; break; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 61: 
      var $359=$1; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      STACKTOP = __stackBase__;
      return $359; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z23js_ExpandErrorArgumentsP9JSContextPFPK19JSErrorFormatStringPvPKcjES4_jPPcP13JSErrorReportbS9_["X"]=1;

function __Z22js_ReportErrorNumberVAP9JSContextjPFPK19JSErrorFormatStringPvPKcjES4_jiPc($cx, $flags, $callback, $userRef, $errorNumber, $charArgs, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $report=__stackBase__+4;
      var $message=__stackBase__+44;
      var $warning;
      var $i;
      $2=$cx;
      HEAP32[(($3)>>2)]=$flags;
      $4=$callback;
      $5=$userRef;
      $6=$errorNumber;
      $7=$charArgs;
      $8=$ap;
      var $9=$2; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=__ZL16checkReportFlagsP9JSContextPj($9, $3); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      $1=1; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 17; break; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $13=HEAP32[(($3)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=$13 & 1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=(($14)|0)!=0; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=(($15)&1); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $warning=$16; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2jsL7PodZeroI13JSErrorReportEEvPT_($report); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=HEAP32[(($3)>>2)]; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=(($report+24)|0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=$6; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=(($report+28)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=$2; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZL19PopulateReportBlameP9JSContextP13JSErrorReport($21, $report); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=$2; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=$4; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=$5; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=$6; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=$7; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=(($26)|0)!=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=$27 ^ 1; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=$28 ^ 1; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=$8; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=__Z23js_ExpandErrorArgumentsP9JSContextPFPK19JSErrorFormatStringPvPKcjES4_jPPcP13JSErrorReportbS9_($22, $23, $24, $25, $message, $report, $29, $30); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=(($31)|0)!=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      $1=0; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 17; break; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $35=$2; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=HEAP32[(($message)>>2)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $37=$4; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $38=$5; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZL11ReportErrorP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_($35, $36, $report, $37, $38); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $39=HEAP32[(($message)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $40=(($39)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($40) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $42=$2; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $43=HEAP32[(($message)>>2)]; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($42, $43); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 7; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $45=(($report+36)|0); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $47=(($46)|0)!=0; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $49=$7; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $50=(($49)|0)!=0; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($50) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      $i=0; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      var $53=$i; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $54=(($report+36)|0); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $56=(($55+($53<<2))|0); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $58=(($57)|0)!=0; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($58) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      var $60=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $61=$i; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $62=(($61+1)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $i=$62; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $63=(($report+36)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $65=(($64+($61<<2))|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $67=$66; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($60, $67); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 12: 
      __label__ = 13; break; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 13: 
      var $70=$2; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $71=(($report+36)|0); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $73=$72; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($70, $73); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 14; break; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 14: 
      var $75=(($report+32)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $77=(($76)|0)!=0; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($77) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 15: 
      var $79=$2; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $80=(($report+32)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $82=$81; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($79, $82); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 16; break; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 16: 
      var $84=$warning; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$84; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 17; break; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 17: 
      var $86=$1; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      STACKTOP = __stackBase__;
      return $86; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z22js_ReportErrorNumberVAP9JSContextjPFPK19JSErrorFormatStringPvPKcjES4_jiPc["X"]=1;

function __Z19js_ReportErrorAgainP9JSContextPKcP13JSErrorReport($cx, $message, $reportp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $onError;
      var $hook;
      $1=$cx;
      $2=$message;
      $3=$reportp;
      var $4=$2; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=(($4)|0)!=0; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      __label__ = 14; break; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $8=$1; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=(($8+176)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=(($10)|0)!=0; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $13=$1; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=(($13+176)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground5free_EPv($15); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 5; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $17=$1; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=$2; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=_JS_strdup($17, $18); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=$1; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=(($20+176)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=$1; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=(($22+176)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=(($24)|0)!=0; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      __label__ = 14; break; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $28=$1; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=(($28+180)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $onError=$30; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=$onError; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=(($31)|0)!=0; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $34=$1; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=(($34+200)|0); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $37=(($36+64)|0); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $hook=$38; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $39=$hook; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $40=(($39)|0)!=0; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      var $42=$hook; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $43=$1; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $44=$1; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $45=(($44+176)|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $47=$3; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $48=$1; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $49=(($48+200)|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $51=(($50+68)|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $53=FUNCTION_TABLE[$42]($43, $46, $47, $52); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $54=(($53)|0)!=0; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      $onError=0; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 11; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      __label__ = 12; break; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 12: 
      var $58=$onError; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $59=(($58)|0)!=0; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 13: 
      var $61=$onError; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $62=$1; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $63=$1; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $64=(($63+176)|0); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $66=$3; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      FUNCTION_TABLE[$61]($62, $65, $66); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 14; break; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 14: 
      ;
      return; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_ReportErrorAgainP9JSContextPKcP13JSErrorReport["X"]=1;

function __Z21js_ReportIsNotDefinedP9JSContextPKc($cx, $name) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$name;
  var $3=$1; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $4=$2; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  _JS_ReportErrorNumber($3, 2, 0, 1, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4,tempInt)); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  STACKTOP = __stackBase__;
  return; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __Z26js_ReportIsNullOrUndefinedP9JSContextiRKN2JS5ValueEP8JSString($cx, $spindex, $v, $fallback) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $bytes;
      var $ok;
      $2=$cx;
      $3=$spindex;
      $4=$v;
      $5=$fallback;
      var $6=$2; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=$3; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=$4; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=$5; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=__ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString($6, $7, $8, $9); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $bytes=$10; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=$bytes; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=(($11)|0)!=0; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      $1=0; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 11; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $15=$bytes; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=_strcmp($15, ((STRING_TABLE._js_undefined_str)|0)); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=(($16)|0)==0; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $19=$bytes; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=_strcmp($19, ((STRING_TABLE._js_null_str)|0)); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=(($20)|0)==0; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $23=$2; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=$bytes; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=_JS_ReportErrorFlagsAndNumber($23, 0, 2, 0, 39, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$24,HEAP32[((tempInt+4)>>2)]=0,HEAP32[((tempInt+8)>>2)]=0,tempInt)); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $ok=$25; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $27=$4; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=__ZNK2JS5Value11isUndefinedEv($27); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $30=$2; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=$bytes; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=_JS_ReportErrorFlagsAndNumber($30, 0, 2, 0, 222, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$31,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE._js_undefined_str)|0),HEAP32[((tempInt+8)>>2)]=0,tempInt)); //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $ok=$32; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 9; break; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $34=$2; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=$bytes; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=_JS_ReportErrorFlagsAndNumber($34, 0, 2, 0, 222, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$35,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE._js_null_str)|0),HEAP32[((tempInt+8)>>2)]=0,tempInt)); //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $ok=$36; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $39=$2; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $40=$bytes; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($39, $40); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $41=$ok; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$41; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 11; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      var $43=$1; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $43; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z26js_ReportIsNullOrUndefinedP9JSContextiRKN2JS5ValueEP8JSString["X"]=1;

function __ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString($cx, $spindex, $v, $fallback) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$cx;
  $2=$spindex;
  $3=$v;
  $4=$fallback;
  var $6=$1; //@line 500 "./jsopcode.h"
  var $7=$2; //@line 500 "./jsopcode.h"
  var $8=$3; //@line 500 "./jsopcode.h"
  var $9=$5; //@line 500 "./jsopcode.h"
  var $10=$8; //@line 500 "./jsopcode.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 500 "./jsopcode.h"
  var $11=$4; //@line 500 "./jsopcode.h"
  var $12=_js_DecompileValueGenerator($6, $7, $5, $11); //@line 500 "./jsopcode.h"
  STACKTOP = __stackBase__;
  return $12; //@line 500 "./jsopcode.h"
}


function __Z22js_CurrentPCIsInImacroP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN9JSContext22thisDuringConstructionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return $2; //@line 939 "./jscntxt.h"
}


function __ZN9JSContext16updateJITEnabledEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZNK2js14ThreadDataIter5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 2092 "./jscntxt.h"
  var $4=HEAP8[($3)]; //@line 2092 "./jscntxt.h"
  var $5=(($4) & 1); //@line 2092 "./jscntxt.h"
  ;
  return $5; //@line 2092 "./jscntxt.h"
}


function __ZNK2js14ThreadDataIter10threadDataEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2102 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2102 "./jscntxt.h"
  var $5=(($4+144280)|0); //@line 2102 "./jscntxt.h"
  ;
  return $5; //@line 2102 "./jscntxt.h"
}


function __ZN2js14ThreadDataIter8popFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 2097 "./jscntxt.h"
  HEAP8[($3)]=1; //@line 2097 "./jscntxt.h"
  ;
  return; //@line 2098 "./jscntxt.h"
}


function __ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __Z19js_ReportMissingArgP9JSContextRKN2JS5ValueEj($cx, $v, $arg) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $argbuf=__stackBase__;
      var $bytes;
      var $atom;
      $1=$cx;
      $2=$v;
      $3=$arg;
      var $4=(($argbuf)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=$3; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=_JS_snprintf($4, 11, ((STRING_TABLE.__str4649)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5,tempInt)); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $bytes=0; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=$2; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=__ZN2jsL16IsFunctionObjectERKN2JS5ValueE($7); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $10=$2; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=__ZNK2JS5Value8toObjectEv($10); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=__ZNK8JSObject18getFunctionPrivateEv($11); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=(($12+72)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $atom=$14; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=$1; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=$2; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=$atom; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=$17; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=__ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString($15, 1, $16, $18); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $bytes=$19; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=$bytes; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=(($20)|0)!=0; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      __label__ = 9; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      __label__ = 5; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $25=$1; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=(($argbuf)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=$bytes; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=(($27)|0)!=0; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $30=$bytes; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33 = $30;__label__ = 8; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $33 = ((__str5650)|0);__label__ = 8; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $33; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 227, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$26,HEAP32[((tempInt+4)>>2)]=$33,tempInt)); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $34=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=$bytes; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($34, $35); //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 9; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 270 "./jsfun.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 270 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 270 "./jsfun.h"
    case 2: 
      var $5=$1; //@line 270 "./jsfun.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 270 "./jsfun.h"
      var $7=__ZNK8JSObject10isFunctionEv($6); //@line 270 "./jsfun.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 271 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($cx, $flags, $errorNumber, $spindex, $v, $fallback, $arg1, $arg2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $bytes;
      var $ok;
      $2=$cx;
      $3=$flags;
      $4=$errorNumber;
      $5=$spindex;
      $6=$v;
      $7=$fallback;
      $8=$arg1;
      $9=$arg2;
      var $10=$2; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=$5; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=$6; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=$7; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=__ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString($10, $11, $12, $13); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $bytes=$14; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=$bytes; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=(($15)|0)!=0; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      $1=0; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 4; break; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $19=$2; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=$3; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=$4; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=$bytes; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=$8; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=$9; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=_JS_ReportErrorFlagsAndNumber($19, $20, 2, 0, $21, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$22,HEAP32[((tempInt+4)>>2)]=$23,HEAP32[((tempInt+8)>>2)]=$24,tempInt)); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $ok=$25; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=$2; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=$bytes; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext5free_EPv($26, $27); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=$ok; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$28; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 4; break; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $30=$1; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $30; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16checkOutOfMemoryP9JSRuntime($rt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $lock=__stackBase__;
  var $3;
  $2=$rt;
  var $4=$2; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $4); //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $5=$2; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $6=(($5+140)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $7=HEAPU32[(($6)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $8=$2; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $9=(($8+152)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $10=HEAPU32[(($9)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $11=(($7)>>>0) > (($10)>>>0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  $1=$11; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  $3=1;
  __ZN2js10AutoLockGCD1Ev($lock); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $12=$1; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __Z26js_InvokeOperationCallbackP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      var $td;
      var $cb;
      $2=$cx;
      var $3=$2; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=(($3+52)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $rt=$5; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=$2; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=(($6+52)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=(($8+144280)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $td=$9; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=$td; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=(($10)|0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($11)>>2)]=0; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=$rt; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=(($12+196)|0); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=(($14)|0)!=0; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $17=$2; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=$rt; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=(($18+144076)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($17, $20, 0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=$rt; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=__Z16checkOutOfMemoryP9JSRuntime($21); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $24=$2; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($24); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=0; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 8; break; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      __label__ = 5; break; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $27=$2; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=(($27+184)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $cb=$29; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=$cb; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=(($30)|0)!=0; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($31) { __label__ = 6; break; } else { var $38 = 1;__label__ = 7; break; } //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $33=$cb; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $34=$2; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=FUNCTION_TABLE[$33]($34); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $36=(($35)|0)!=0; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $38 = $36;__label__ = 7; break; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $38;
      var $39=(($38)&1); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$39; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 8; break; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $41=$1; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $41; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z26js_InvokeOperationCallbackP9JSContext["X"]=1;

function __Z27js_HandleExecutionInterruptP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $result;
      $1=$cx;
      $result=1; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $2=$1; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $3=(($2+52)|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=(($4+144280)|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=(($5)|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=(($7)|0)!=0; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $10=$1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=__Z26js_InvokeOperationCallbackP9JSContext($10); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=(($11)|0)!=0; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($12) { __label__ = 3; break; } else { var $17 = 0;__label__ = 4; break; } //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $14=$result; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=(($14)|0)!=0; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17 = $15;__label__ = 4; break;
    case 4: 
      var $17;
      var $18=(($17)&1);
      $result=$18;
      __label__ = 5; break;
    case 5: 
      var $20=$result; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $20; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js24TriggerOperationCallbackEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  var $td;
  $1=$cx;
  var $2=$1; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $3=(($2+52)|0); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $5=(($4+144280)|0); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  $td=$5; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $6=$td; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $7=$1; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $8=(($7+52)|0); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  __ZN2js10ThreadData24triggerOperationCallbackEP9JSRuntime($6, $9); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  ;
  return; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN2js28TriggerAllOperationCallbacksEP9JSRuntime($rt) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i=__stackBase__;
      $1=$rt;
      var $2=$1; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js14ThreadDataIterC1EP9JSRuntime($i, $2); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 2; break; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $4=__ZNK2js14ThreadDataIter5emptyEv($i); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=$4 ^ 1; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $7=__ZNK2js14ThreadDataIter10threadDataEv($i); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=$1; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10ThreadData24triggerOperationCallbackEP9JSRuntime($7, $8); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 4; break; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      __ZN2js14ThreadDataIter8popFrontEv($i); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 2; break; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14ThreadDataIterC1EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=$2; //@line 2089 "./jscntxt.h"
  __ZN2js14ThreadDataIterC2EP9JSRuntime($3, $4); //@line 2089 "./jscntxt.h"
  ;
  return; //@line 2089 "./jscntxt.h"
}


function __Z20js_GetScriptedCallerP9JSContextPN2js10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$fp;
      var $3=$2; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=(($3)|0)!=0; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($4) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $6=$1; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind($6, 1); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $2=$7; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      __label__ = 4; break; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $10=$2; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=(($10)|0)!=0; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($11) { __label__ = 5; break; } else { var $16 = 0;__label__ = 6; break; } //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $13=$2; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=__ZNK2js10StackFrame12isDummyFrameEv($13); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16 = $14;__label__ = 6; break;
    case 6: 
      var $16;
      if ($16) { __label__ = 7; break; } else { __label__ = 8; break; }
    case 7: 
      var $18=$2; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=__ZNK2js10StackFrame4prevEv($18); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $2=$19; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 4; break; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $21=$2; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $21; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind($cx, $expand) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$expand;
  var $3=$1; //@line 2346 "./jscntxt.h"
  __ZN2js10LeaveTraceEP9JSContext($3); //@line 2346 "./jscntxt.h"
  var $4=$1; //@line 2353 "./jscntxt.h"
  var $5=__ZNK9JSContext7maybefpEv($4); //@line 2353 "./jscntxt.h"
  ;
  return $5; //@line 2353 "./jscntxt.h"
}


function __Z23js_GetCurrentBytecodePCP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pc;
      var $imacpc;
      $2=$cx;
      var $3=$2; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=__ZNK9JSContext5hasfpEv($3); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $6=$2; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=__ZNK9JSContext4regsEv($6); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=(($7+4)|0); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12 = $9;__label__ = 4; break; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $12; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $pc=$12; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=$pc; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=(($13)|0)!=0; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($14) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      $1=0; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 9; break; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $17=$2; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=__ZNK9JSContext2fpEv($17); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=__ZNK2js10StackFrame13maybeImacropcEv($18); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $imacpc=$19; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=$pc; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=HEAPU8[($20)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=(($21)&255); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=(($22)|0)==58; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($23) { __label__ = 7; break; } else { var $28 = 0;__label__ = 8; break; } //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $25=$imacpc; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=(($25)|0)!=0; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28 = $26;__label__ = 8; break;
    case 8: 
      var $28;
      var $29=$imacpc;
      var $30=$pc;
      var $31=$28 ? $29 : $30;
      $1=$31;
      __label__ = 9; break;
    case 9: 
      var $33=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $33; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame13maybeImacropcEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame11hasImacropcEv($2); //@line 932 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 932 "./vm/Stack.h"
    case 2: 
      var $5=__ZNK2js10StackFrame8imacropcEv($2); //@line 932 "./vm/Stack.h"
      var $8 = $5;__label__ = 4; break; //@line 932 "./vm/Stack.h"
    case 3: 
      var $8 = 0;__label__ = 4; break; //@line 932 "./vm/Stack.h"
    case 4: 
      var $8; //@line 932 "./vm/Stack.h"
      ;
      return $8; //@line 932 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContextC2EP9JSRuntime($this, $rt) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$rt;
  var $5=$1;
  var $6=(($5)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $7=(($5+16)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  HEAP8[($7)]=0; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $8=(($5+24)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $9=(($5+52)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $10=$2; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $11=(($5+56)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  HEAP32[(($11)>>2)]=0; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $12=(($5+60)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $13=__ZN9JSContext22thisDuringConstructionEv($5); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  FUNCTION_TABLE[__ZN2js12ContextStackC1EP9JSContext]($12, $13); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $14=(($5+72)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $15=(($5+104)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $16=(($5+136)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $17=(($5+148)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_($17, $3); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $18=(($5+224)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $19=(($5+236)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  __ZN14DSTOffsetCacheC1Ev($19); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $20=(($5+288)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEC1ES3_($20, $4); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  STACKTOP = __stackBase__;
  return; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN14DSTOffsetCacheC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN14DSTOffsetCacheC2Ev($2); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  ;
  return; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN9JSContextD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $map;
      var $temp;
      $1=$this;
      var $2=$1;
      var $3=(($2+100)|0); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=(($4)|0)!=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $7=(($2+100)|0); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground7delete_INS_12ParseMapPoolEEEvPT_($8); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $10=(($2+104)|0); //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_FinishArenaPool($10); //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=(($2+72)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_FinishArenaPool($11); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=(($2+176)|0); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=(($13)|0)!=0; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $16=(($2+176)|0); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground5free_EPv($17); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 5; break; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $19=(($2+172)|0); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $map=$20; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 6; break; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $22=$map; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=(($22)|0)!=0; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      var $25=$map; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $temp=$25; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=$map; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=(($26+12)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $map=$28; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=$temp; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=$29; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground5free_EPv($30); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 6; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $32=(($2+288)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEED1Ev($32); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33=(($2+148)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($33); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $34=(($2+60)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      FUNCTION_TABLE[__ZN2js12ContextStackD1Ev]($34); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_INS_12ParseMapPoolEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      __ZN2js12ParseMapPoolD1Ev($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free816($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN9JSContext16resetCompartmentEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $scopeobj=__stackBase__;
      $1=$this;
      var $2=$1;
      var $3=(($2+60)|0); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=__ZNK2js12ContextStack5hasfpEv($3); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $6=__ZNK9JSContext2fpEv($2); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=__ZNK2js10StackFrame10scopeChainEv($6); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($scopeobj)>>2)]=$7; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 8; break; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $9=(($2+132)|0); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($scopeobj)>>2)]=$10; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=HEAP32[(($scopeobj)>>2)]; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=(($11)|0)!=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      __label__ = 11; break; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($2, $scopeobj); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=HEAP32[(($scopeobj)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=(($15)|0)!=0; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      __label__ = 11; break; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $20=HEAP32[(($scopeobj)>>2)]; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $21=$20; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $22=__ZNK2js2gc4Cell11compartmentEv($21); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=(($2+56)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=(($2+56)|0); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=(($25+376)|0); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=(($26)|0); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=HEAP8[($27)]; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $29=(($28) & 1); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $30=(($2+232)|0); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=(($29)&1); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP8[($30)]=$31; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=__ZN9JSContext18isExceptionPendingEv($2); //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      __ZN9JSContext20wrapPendingExceptionEv($2); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      __ZN9JSContext16updateJITEnabledEv($2); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 12; break; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 11: 
      var $36=(($2+56)|0); //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($36)>>2)]=0; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 12; break; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 12: 
      STACKTOP = __stackBase__;
      return; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $op;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 1647 "./jsobj.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1647 "./jsobj.h"
      var $5=__ZNK8JSObject8getClassEv($4); //@line 1647 "./jsobj.h"
      var $6=(($5+68)|0); //@line 1647 "./jsobj.h"
      var $7=(($6+8)|0); //@line 1647 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1647 "./jsobj.h"
      $op=$8; //@line 1647 "./jsobj.h"
      var $9=$op; //@line 1647 "./jsobj.h"
      var $10=(($9)|0)!=0; //@line 1647 "./jsobj.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1647 "./jsobj.h"
    case 2: 
      var $12=$op; //@line 1648 "./jsobj.h"
      var $13=$1; //@line 1648 "./jsobj.h"
      var $14=$2; //@line 1648 "./jsobj.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1648 "./jsobj.h"
      var $16=FUNCTION_TABLE[$12]($13, $15); //@line 1648 "./jsobj.h"
      var $17=$2; //@line 1648 "./jsobj.h"
      HEAP32[(($17)>>2)]=$16; //@line 1648 "./jsobj.h"
      __label__ = 3; break; //@line 1648 "./jsobj.h"
    case 3: 
      ;
      return; //@line 1649 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext20wrapPendingExceptionEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v=__stackBase__;
      var $2=__stackBase__+8;
      $1=$this;
      var $3=$1;
      __ZN9JSContext19getPendingExceptionEv($v, $3); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext21clearPendingExceptionEv($3); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=(($3+56)|0); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($5, $3, $v); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $8=$2; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=$v; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($3, $2); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK9JSContext12generatorForEPN2js10StackFrameE($this, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $2=$this;
      $3=$fp;
      var $4=$2;
      var $5=$3; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=(($4+288)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE4backEv($6); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=__ZN11JSGenerator9liveFrameEv($8); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=(($5)|0)==(($9)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $12=(($4+288)|0); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE4backEv($12); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$14; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      $i=0; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 4; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $17=$i; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=(($4+288)|0); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE6lengthEv($18); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=(($17)>>>0) < (($19)>>>0); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      var $22=(($4+288)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $23=$i; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEixEj($22, $23); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=__ZN11JSGenerator9liveFrameEv($25); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $27=$3; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $28=(($26)|0)==(($27)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      var $30=(($4+288)|0); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=$i; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEixEj($30, $31); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $1=$33; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 7: 
      __label__ = 8; break; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 8: 
      var $36=$i; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $37=(($36+1)|0); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $i=$37; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 4; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 9: 
      $1=0; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 10; break; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 10: 
      var $40=$1; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return $40; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE3endEv($2); //@line 377 "./jsvector.h"
  var $4=(($3-4)|0); //@line 377 "./jsvector.h"
  ;
  return $4; //@line 377 "./jsvector.h"
}


function __ZN11JSGenerator9liveFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 199 "./jsiter.h"
  var $4=__ZNK2js9FrameRegs2fpEv($3); //@line 199 "./jsiter.h"
  ;
  return $4; //@line 199 "./jsiter.h"
}


function __ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 367 "./jsvector.h"
  var $5=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE5beginEv($3); //@line 367 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 367 "./jsvector.h"
  ;
  return $6; //@line 367 "./jsvector.h"
}


function __ZNK9JSContext28runningWithTrustedPrincipalsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+56)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=(($4)|0)!=0; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($5) { __label__ = 2; break; } else { var $16 = 1;__label__ = 3; break; } //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $7=(($2+56)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=(($8+4)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=(($2+52)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $13=__ZNK9JSRuntime17trustedPrincipalsEv($12); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=(($10)|0)==(($13)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16 = $14;__label__ = 3; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $16;
      ;
      return $16; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime15onTooMuchMallocEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=(($3)|0)==10; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=6; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9 = __ZN2js8gcReasonE;__label__ = 4; break; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $7=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$7; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9 = __ZN2js8gcReasonE;__label__ = 4; break; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $9; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js9TriggerGCEP9JSRuntime($2); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      ;
      return; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10LeaveTraceEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN2js13CanLeaveTraceEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN7mozilla9DebugOnlyIiED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIiEC2ERKi($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN2js24ConservativeGCThreadDataD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 1421 "./jsgc.h"
}


function __ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 357 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 357 "./jsvector.h"
  var $5=(($2+4)|0); //@line 357 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 357 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 357 "./jsvector.h"
  ;
  return $7; //@line 357 "./jsvector.h"
}


function __ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+4)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK7mozilla14AlignedStorageILj8EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla14AlignedStorageILj8EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN7mozilla15AlignedStorage2IN2js10AutoLockGCEE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 228 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 228 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 228 "./dist/include/mozilla/Util.h"
  var $6=$5; //@line 228 "./dist/include/mozilla/Util.h"
  ;
  return $6; //@line 228 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla5MaybeIN2js10AutoLockGCEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 254 "./dist/include/mozilla/Util.h"
  var $4=(($2+8)|0); //@line 254 "./dist/include/mozilla/Util.h"
  HEAP8[($4)]=0; //@line 254 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 254 "./dist/include/mozilla/Util.h"
}


function __ZNK2js10StackFrame11hasImacropcEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 923 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 923 "./vm/Stack.h"
  var $5=$4 & 8192; //@line 923 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 923 "./vm/Stack.h"
  ;
  return $6; //@line 923 "./vm/Stack.h"
}


function __ZNK2js10StackFrame8imacropcEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+40)|0); //@line 928 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 928 "./vm/Stack.h"
  ;
  return $4; //@line 928 "./vm/Stack.h"
}


function __ZN2js14ThreadDataIterC2EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=(($3)|0); //@line 2089 "./jscntxt.h"
  var $5=$2; //@line 2089 "./jscntxt.h"
  HEAP32[(($4)>>2)]=$5; //@line 2089 "./jscntxt.h"
  var $6=(($3+4)|0); //@line 2089 "./jscntxt.h"
  HEAP8[($6)]=0; //@line 2089 "./jscntxt.h"
  ;
  return; //@line 2089 "./jscntxt.h"
}


function _JSVAL_TO_OBJECT_IMPL818($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL819($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL820($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function __ZN2js19AutoAtomicIncrementD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 244 "./jslock.h"
  var $4=HEAP32[(($3)>>2)]; //@line 244 "./jslock.h"
  var $5=HEAP32[(($4)>>2)]; //@line 244 "./jslock.h"
  var $6=(($5-1)|0); //@line 244 "./jslock.h"
  HEAP32[(($4)>>2)]=$6; //@line 244 "./jslock.h"
  ;
  return; //@line 245 "./jslock.h"
}


function __ZN2js19AutoAtomicIncrementC2EPi($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=(($3)|0); //@line 238 "./jslock.h"
      var $5=$2; //@line 238 "./jslock.h"
      HEAP32[(($4)>>2)]=$5; //@line 238 "./jslock.h"
      __label__ = 2; break; //@line 239 "./jslock.h"
    case 2: 
      __label__ = 3; break; //@line 239 "./jslock.h"
    case 3: 
      var $8=$2; //@line 240 "./jslock.h"
      var $9=HEAP32[(($8)>>2)]; //@line 240 "./jslock.h"
      var $10=(($9+1)|0); //@line 240 "./jslock.h"
      HEAP32[(($8)>>2)]=$10; //@line 240 "./jslock.h"
      ;
      return; //@line 241 "./jslock.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL821($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZNK2js9StackIter2pcEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 1856 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1856 "./vm/Stack.h"
  ;
  return $4; //@line 1856 "./vm/Stack.h"
}


function _MAGIC_TO_JSVAL_IMPL822($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2js24ConservativeGCThreadDataC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1410 "./jsgc.h"
  HEAP32[(($3)>>2)]=0; //@line 1410 "./jsgc.h"
  var $4=(($2+4)|0); //@line 1410 "./jsgc.h"
  var $5=(($2+44)|0); //@line 1410 "./jsgc.h"
  HEAP32[(($5)>>2)]=0; //@line 1410 "./jsgc.h"
  ;
  return; //@line 1411 "./jsgc.h"
}


function __ZN9JSRuntime13onOutOfMemoryEPvjP9JSContext($this, $p, $nbytes, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$p;
      $3=$nbytes;
      $4=$cx;
      var $5=$1;
      var $6=$4; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=(($6)|0)!=0; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $9=$4; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($9); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      ;
      return 0; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext5purgeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+52)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=(($2+104)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZL13FreeOldArenasP9JSRuntimeP11JSArenaPool($4, $5); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=(($2+308)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=(($7)|0)!=0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $10=(($2+100)|0); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __ZN2js10Foreground7delete_INS_12ParseMapPoolEEEvPT_($11); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $12=(($2+100)|0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      HEAP32[(($12)>>2)]=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 3; break; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      ;
      return; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13FreeOldArenasP9JSRuntimeP11JSArenaPool($rt, $pool) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $a;
      var $age=__stackBase__;
      $1=$rt;
      $2=$pool;
      var $3=$2; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $4=(($3+16)|0); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      $a=$5; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $6=$a; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $7=$2; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $8=(($7)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $9=(($8)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $11=(($6)|0)==(($10)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 2: 
      var $13=$a; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $14=(($13+12)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $16=$a; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $17=(($16+4)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $19=(($18+8)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $20=(($15)|0)==(($19)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 3: 
      var $22=_JS_Now();
      var $22$0=$22[0];
      var $22$1=$22[1];
      var $23=$a; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $24=(($23+4)|0); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $26=$25; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $st$7$0=(($26)|0);
      var $27$0=HEAP32[(($st$7$0)>>2)];
      var $st$7$1=(($26+4)|0);
      var $27$1=HEAP32[(($st$7$1)>>2)];
      var $28$0 = (i64Math.subtract($22$0,$22$1,$27$0,$27$1),i64Math.result[0]); var $28$1 = i64Math.result[1]; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $st$12$0=(($age)|0);
      HEAP32[(($st$12$0)>>2)]=$28$0;
      var $st$12$1=(($age+4)|0);
      HEAP32[(($st$12$1)>>2)]=$28$1;
      var $st$16$0=(($age)|0);
      var $29$0=HEAP32[(($st$16$0)>>2)];
      var $st$16$1=(($age+4)|0);
      var $29$1=HEAP32[(($st$16$1)>>2)];
      var $30=$1; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $31=(($30+160)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $33$0=$32;
      var $33$1=0;
      var $$emscripten$temp$0$0=1000;
      var $$emscripten$temp$0$1=0;
      var $34$0 = (i64Math.multiply($33$0,$33$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $34$1 = i64Math.result[1]; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      var $35=($29$1|0) > ($34$1|0) || (($29$1|0) == ($34$1|0) && ($29$0>>>0) >  ($34$0>>>0)); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 4: 
      var $37=$2; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      _JS_FreeArenaPool($37); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
      __label__ = 5; break; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 5: 
      __label__ = 6; break; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13FreeOldArenasP9JSRuntimeP11JSArenaPool["X"]=1;

function __ZN2js12ParseMapPoolD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12ParseMapPoolD2Ev($2); //@line 99 "./frontend/ParseMaps.h"
  ;
  return; //@line 101 "./frontend/ParseMaps.h"
}


function _js_free816($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js12ParseMapPoolD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12ParseMapPool8purgeAllEv($2); //@line 100 "./frontend/ParseMaps.h"
  var $3=(($2+140)|0); //@line 101 "./frontend/ParseMaps.h"
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEED1Ev($3); //@line 101 "./frontend/ParseMaps.h"
  var $4=(($2)|0); //@line 101 "./frontend/ParseMaps.h"
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEED1Ev($4); //@line 101 "./frontend/ParseMaps.h"
  ;
  return; //@line 101 "./frontend/ParseMaps.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE7destroyEPS1_S4_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+12)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj8EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=(($2)|0); //@line 493 "./jsvector.h"
  var $5=(($2+12)|0); //@line 488 "./jsvector.h"
  var $6=__ZN7mozilla14AlignedStorageILj8EE4addrEv($5); //@line 488 "./jsvector.h"
  var $7=$6; //@line 488 "./jsvector.h"
  HEAP32[(($4)>>2)]=$7; //@line 488 "./jsvector.h"
  var $8=(($2+4)|0); //@line 488 "./jsvector.h"
  HEAP32[(($8)>>2)]=0; //@line 488 "./jsvector.h"
  var $9=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($9)>>2)]=2; //@line 488 "./jsvector.h"
  var $10=(($2+12)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN7mozilla5MaybeIN2js10AutoLockGCEED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 255 "./dist/include/mozilla/Util.h"
      var $4=HEAP8[($3)]; //@line 255 "./dist/include/mozilla/Util.h"
      var $5=(($4) & 1); //@line 255 "./dist/include/mozilla/Util.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 255 "./dist/include/mozilla/Util.h"
    case 2: 
      var $7=__ZN7mozilla5MaybeIN2js10AutoLockGCEE3asTEv($2); //@line 255 "./dist/include/mozilla/Util.h"
      __ZN2js10AutoLockGCD1Ev($7); //@line 255 "./dist/include/mozilla/Util.h"
      __label__ = 3; break; //@line 255 "./dist/include/mozilla/Util.h"
    case 3: 
      ;
      return; //@line 255 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js10AutoLockGCEE3asTEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 248 "./dist/include/mozilla/Util.h"
  var $4=__ZN7mozilla15AlignedStorage2IN2js10AutoLockGCEE4addrEv($3); //@line 248 "./dist/include/mozilla/Util.h"
  ;
  return $4; //@line 248 "./dist/include/mozilla/Util.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj["X"]=1;

function _js_malloc817($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN14DSTOffsetCacheC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN14DSTOffsetCache5purgeEv($2); //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  ;
  return; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZN14DSTOffsetCache5purgeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=0;
  var $st$6$0=(($3)|0);
  HEAP32[(($st$6$0)>>2)]=$$emscripten$temp$0$0;
  var $st$6$1=(($3+4)|0);
  HEAP32[(($st$6$1)>>2)]=$$emscripten$temp$0$1;
  var $4=(($2+16)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=-2147483648;
  var $st$13$0=(($4)|0);
  HEAP32[(($st$13$0)>>2)]=$$emscripten$temp$1$0;
  var $st$13$1=(($4+4)|0);
  HEAP32[(($st$13$1)>>2)]=$$emscripten$temp$1$1;
  var $5=(($2+8)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $$emscripten$temp$2$0=0;
  var $$emscripten$temp$2$1=-2147483648;
  var $st$20$0=(($5)|0);
  HEAP32[(($st$20$0)>>2)]=$$emscripten$temp$2$0;
  var $st$20$1=(($5+4)|0);
  HEAP32[(($st$20$1)>>2)]=$$emscripten$temp$2$1;
  var $6=(($2+24)|0); //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $$emscripten$temp$3$0=0;
  var $$emscripten$temp$3$1=0;
  var $st$27$0=(($6)|0);
  HEAP32[(($st$27$0)>>2)]=$$emscripten$temp$3$0;
  var $st$27$1=(($6+4)|0);
  HEAP32[(($st$27$1)>>2)]=$$emscripten$temp$3$1;
  var $7=(($2+40)|0); //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $$emscripten$temp$4$0=0;
  var $$emscripten$temp$4$1=-2147483648;
  var $st$34$0=(($7)|0);
  HEAP32[(($st$34$0)>>2)]=$$emscripten$temp$4$0;
  var $st$34$1=(($7+4)|0);
  HEAP32[(($st$34$1)>>2)]=$$emscripten$temp$4$1;
  var $8=(($2+32)|0); //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  var $$emscripten$temp$5$0=0;
  var $$emscripten$temp$5$1=-2147483648;
  var $st$41$0=(($8)|0);
  HEAP32[(($st$41$0)>>2)]=$$emscripten$temp$5$0;
  var $st$41$1=(($8+4)|0);
  HEAP32[(($st$41$1)>>2)]=$$emscripten$temp$5$1;
  __ZN14DSTOffsetCache11sanityCheckEv($2); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
  ;
  return; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscntxt.cpp"
}


function __ZNK9JSContext15hasStrictOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK9JSContext12hasRunOptionEj($2, 1); //@line 1143 "./jscntxt.h"
  ;
  return $3; //@line 1143 "./jscntxt.h"
}


function __ZNK9JSContext15hasWErrorOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK9JSContext12hasRunOptionEj($2, 2); //@line 1144 "./jscntxt.h"
  ;
  return $3; //@line 1144 "./jscntxt.h"
}


function __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($this, $cx, $opt) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$opt;
  var $4=$1;
  var $5=$2; //@line 1874 "./vm/Stack.h"
  var $6=$3; //@line 1874 "./vm/Stack.h"
  __ZN2js13FrameRegsIterC2EP9JSContextNS_9StackIter11SavedOptionE($4, $5, $6); //@line 1874 "./vm/Stack.h"
  ;
  return; //@line 1874 "./vm/Stack.h"
}


function __ZNK2js13FrameRegsIter4doneEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1876 "./vm/Stack.h"
  var $4=__ZNK2js9StackIter4doneEv($3); //@line 1876 "./vm/Stack.h"
  ;
  return $4; //@line 1876 "./vm/Stack.h"
}


function __ZNK2js13FrameRegsIter2fpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1882 "./vm/Stack.h"
  var $4=__ZNK2js9StackIter2fpEv($3); //@line 1882 "./vm/Stack.h"
  ;
  return $4; //@line 1882 "./vm/Stack.h"
}


function __ZNK2js13FrameRegsIter2pcEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1884 "./vm/Stack.h"
  var $4=__ZNK2js9StackIter2pcEv($3); //@line 1884 "./vm/Stack.h"
  ;
  return $4; //@line 1884 "./vm/Stack.h"
}


function __ZN2js13FrameRegsIterppEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1877 "./vm/Stack.h"
  var $4=__ZN2js9StackIterppEv($3); //@line 1877 "./vm/Stack.h"
  __ZN2js13FrameRegsIter6settleEv($2); //@line 1877 "./vm/Stack.h"
  ;
  return $2; //@line 1877 "./vm/Stack.h"
}


function __ZN2js13FrameRegsIter6settleEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 1868 "./vm/Stack.h"
    case 2: 
      var $4=(($2)|0); //@line 1868 "./vm/Stack.h"
      var $5=__ZNK2js9StackIter4doneEv($4); //@line 1868 "./vm/Stack.h"
      if ($5) { var $11 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1868 "./vm/Stack.h"
    case 3: 
      var $7=(($2)|0); //@line 1868 "./vm/Stack.h"
      var $8=__ZNK2js9StackIter8isScriptEv($7); //@line 1868 "./vm/Stack.h"
      var $9=$8 ^ 1; //@line 1868 "./vm/Stack.h"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=(($2)|0); //@line 1869 "./vm/Stack.h"
      var $14=__ZN2js9StackIterppEv($13); //@line 1869 "./vm/Stack.h"
      __label__ = 2; break; //@line 1869 "./vm/Stack.h"
    case 6: 
      ;
      return; //@line 1870 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13FrameRegsIterC2EP9JSContextNS_9StackIter11SavedOptionE($this, $cx, $opt) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$opt;
  var $4=$1;
  var $5=(($4)|0); //@line 1874 "./vm/Stack.h"
  var $6=$2; //@line 1874 "./vm/Stack.h"
  var $7=$3; //@line 1874 "./vm/Stack.h"
  FUNCTION_TABLE[__ZN2js9StackIterC1EP9JSContextNS0_11SavedOptionE]($5, $6, $7); //@line 1874 "./vm/Stack.h"
  __ZN2js13FrameRegsIter6settleEv($4); //@line 1874 "./vm/Stack.h"
  ;
  return; //@line 1874 "./vm/Stack.h"
}


function _js_calloc823($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8GSNCacheD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 130 "./jscntxt.h"
  __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEED1Ev($3); //@line 130 "./jscntxt.h"
  ;
  return; //@line 130 "./jscntxt.h"
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13PropertyCacheC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 210 "./jspropertycache.h"
  __ZN2jsL7PodZeroINS_13PropertyCacheEEEvPT_($2); //@line 211 "./jspropertycache.h"
  ;
  return; //@line 212 "./jspropertycache.h"
}


function __ZN13JSCompartment11thisForCtorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return $2; //@line 565 "./jscompartment.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2jsL7PodZeroINS_13PropertyCacheEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 65540, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js8GSNCacheC2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 139 "./jscntxt.h"
  HEAP32[(($4)>>2)]=0; //@line 139 "./jscntxt.h"
  var $5=(($3+4)|0); //@line 139 "./jscntxt.h"
  __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEEC1ES4_($5, $2); //@line 139 "./jscntxt.h"
  STACKTOP = __stackBase__;
  return; //@line 139 "./jscntxt.h"
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEEC1ES4_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEEC2ES4_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEEC2ES4_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN13JSCompartmentC2EP9JSRuntime($this, $rt) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  var $5=__stackBase__+8;
  var $6=__stackBase__+12;
  var $7=__stackBase__+16;
  var $8=__stackBase__+20;
  $1=$this;
  $2=$rt;
  var $9=$1;
  var $10=(($9)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $11=$2; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $12=(($9+4)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($12)>>2)]=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $13=(($9+8)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js2gc10ArenaListsC1Ev($13); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $14=(($9+328)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($14)>>2)]=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $15=(($9+332)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($15)>>2)]=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $16=(($9+336)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($16)>>2)]=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $17=(($9+340)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP8[($17)]=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $18=(($9+344)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $19=(($9+376)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $20=(($9+708)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($20)>>2)]=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $21=(($9+712)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP8[($21)]=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $22=(($9+713)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP8[($22)]=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $23=(($9+716)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEEC1ES4_($23, $3); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $24=(($9+744)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $25=__ZN13JSCompartment11thisForCtorEv($9); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js12PropertyTreeC1EP13JSCompartment($24, $25); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $26=(($9+748)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($26)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $27=(($9+752)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($27)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $28=(($9+756)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($28)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $29=(($9+760)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($29)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $30=(($9+764)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($30)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $31=(($9+768)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($31)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $32=(($9+772)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_($32, $4); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $33=(($9+796)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($33)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $34=(($9+800)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($34)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $35=(($9+804)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $36=$2; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $37=(($36+144220)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $38=HEAP8[($37)]; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $39=(($38) & 1); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $40=$39 ? 1 : 0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($35)>>2)]=$40; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $41=(($9+808)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js15NativeIterCacheC1Ev($41); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $42=(($9+1836)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEEC1Ev($42); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $43=(($9+1864)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEEC1ES4_($43, $5); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $44=(($9+1888)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js9DtoaCacheC1Ev($44); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $45=(($9+1904)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($45)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $46=(($9+1908)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES4_($46, $6); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $47=(($9+1932)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_($47, $7); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $48=(($9+1956)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $49=$2; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js18RuntimeAllocPolicyC1EP9JSRuntime($8, $49); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEEC1ES6_($48, $8); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $50=(($9+1984)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  HEAP32[(($50)>>2)]=0; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $51=(($9+452)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2jsL12PodArrayZeroIP8JSScriptLj64EEEvRAT0__T_($51); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  STACKTOP = __stackBase__;
  return; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
}
__ZN13JSCompartmentC2EP9JSRuntime["X"]=1;

function __ZN2js2gc10ArenaListsC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js2gc10ArenaListsC2Ev($2); //@line 935 "./jsgc.h"
  ;
  return; //@line 935 "./jsgc.h"
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEEC1ES4_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEEC2ES4_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js12PropertyTreeC1EP13JSCompartment($this, $comp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$comp;
  var $3=$1;
  var $4=$2; //@line 115 "./jspropertytree.h"
  __ZN2js12PropertyTreeC2EP13JSCompartment($3, $4); //@line 115 "./jspropertytree.h"
  ;
  return; //@line 115 "./jspropertytree.h"
}


function __ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js15NativeIterCacheC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15NativeIterCacheC2Ev($2); //@line 327 "./jscompartment.h"
  ;
  return; //@line 327 "./jscompartment.h"
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEEC2Ev($2); //@line 254 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 254 "./dist/include/mozilla/Util.h"
}


function __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEEC1ES4_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEEC2ES4_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js9DtoaCacheC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9DtoaCacheC2Ev($2); //@line 357 "./jscompartment.h"
  ;
  return; //@line 357 "./jscompartment.h"
}


function __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES4_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES4_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEEC1ES6_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEEC2ES6_($2, $a); //@line 985 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jsprvtd.h"
}


function __ZN2js18RuntimeAllocPolicyC1EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=$2; //@line 2543 "./jscntxt.h"
  __ZN2js18RuntimeAllocPolicyC2EP9JSRuntime($3, $4); //@line 2543 "./jscntxt.h"
  ;
  return; //@line 2543 "./jscntxt.h"
}


function __ZN2jsL12PodArrayZeroIP8JSScriptLj64EEEvRAT0__T_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  var $4=$3; //@line 684 "./jsutil.h"
  _memset($4, 0, 256, 1); //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function __ZN13JSCompartmentD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+1904)|0); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js10Foreground7delete_INS_9MathCacheEEEvPT_($4); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $5=(($2+1984)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js10Foreground7delete_INS_13WatchpointMapEEEvPT_($6); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $7=(($2+1956)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEED1Ev($7); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $8=(($2+1932)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($8); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $9=(($2+1908)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev($9); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $10=(($2+1864)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEED1Ev($10); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $11=(($2+1836)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEED1Ev($11); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $12=(($2+772)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($12); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $13=(($2+716)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEED1Ev($13); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $14=(($2+376)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  FUNCTION_TABLE[__ZN2js5types15TypeCompartmentD1Ev]($14); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  var $15=(($2+8)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  __ZN2js2gc10ArenaListsD1Ev($15); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
  ;
  return; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
}


function __ZN2js10Foreground7delete_INS_9MathCacheEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free864($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_INS_13WatchpointMapEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      __ZN2js13WatchpointMapD1Ev($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free864($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEED2Ev($2); //@line 174 "./jsprvtd.h"
  ;
  return; //@line 174 "./jsprvtd.h"
}


function __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEED2Ev($2); //@line 255 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 255 "./dist/include/mozilla/Util.h"
}


function __ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js2gc10ArenaListsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js2gc10ArenaListsD2Ev($2); //@line 937 "./jsgc.h"
  ;
  return; //@line 952 "./jsgc.h"
}


function __ZN13JSCompartment4initEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=(($4+373)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP8[($5)]=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $6=(($4+372)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP8[($6)]=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=(($4+376)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=$3; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js5types15TypeCompartment4initEP9JSContext($7, $8); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=(($4+344)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      _JS_InitArenaPool($9, ((STRING_TABLE.__str828)|0), 4056, 8); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=(($4+716)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE4initEj($10, 0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      $1=0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 12; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $14=(($4+1864)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE4initEj($14, 0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      $1=0; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 12; break; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $18=(($4)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=__ZN9JSRuntime4new_IN3WTF20BumpPointerAllocatorEEEPT_v($19); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=(($4+740)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($21)>>2)]=$20; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=(($4+740)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=(($23)|0)!=0; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      $1=0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 12; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      var $27=(($4+1908)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $28=__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj($27, 0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      $1=0; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 12; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      var $31=(($4+1932)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $32=__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj($31, 0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($32) { __label__ = 10; break; } else { var $37 = 0;__label__ = 11; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      var $34=(($4+1956)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $35=__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE4initEj($34, 0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $37 = $35;__label__ = 11; break;
    case 11: 
      var $37;
      $1=$37;
      __label__ = 12; break;
    case 12: 
      var $39=$1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      ;
      return $39; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment4initEP9JSContext["X"]=1;

function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __ZN9JSRuntime4new_IN3WTF20BumpPointerAllocatorEEEPT_v($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      $1=$this;
      var $2=$1;
      var $3=__ZN9JSRuntime7malloc_EjP9JSContext($2, 4, 0); //@line 761 "./jscntxt.h"
      $memory=$3; //@line 761 "./jscntxt.h"
      var $4=$memory; //@line 761 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 761 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 761 "./jscntxt.h"
    case 2: 
      var $7=$memory; //@line 761 "./jscntxt.h"
      var $8=(($7)|0)==0; //@line 761 "./jscntxt.h"
      if ($8) { var $12 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 761 "./jscntxt.h"
    case 3: 
      var $10=$7; //@line 761 "./jscntxt.h"
      __ZN3WTF20BumpPointerAllocatorC1Ev($10); //@line 761 "./jscntxt.h"
      var $12 = $10;__label__ = 4; break; //@line 761 "./jscntxt.h"
    case 4: 
      var $12; //@line 761 "./jscntxt.h"
      var $15 = $12;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 5: 
      var $15 = 0;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 6: 
      var $15; //@line 761 "./jscntxt.h"
      ;
      return $15; //@line 761 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function _JSID_IS_INT844($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function __ZN2jsL16CastAsPropertyOpEP8JSObject846($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 80 "./jsobj.h"
  var $3=$2; //@line 80 "./jsobj.h"
  var $4=$3; //@line 80 "./jsobj.h"
  ;
  return $4; //@line 80 "./jsobj.h"
}


function __ZN2jsL22CastAsStrictPropertyOpEP8JSObject847($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 86 "./jsobj.h"
  var $3=$2; //@line 86 "./jsobj.h"
  var $4=$3; //@line 86 "./jsobj.h"
  ;
  return $4; //@line 86 "./jsobj.h"
}


function __ZNK8JSObject15isStopIterationEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1556 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1556 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js18StopIterationClassE)|0); //@line 1556 "./jsobj.h"
  ;
  return $5; //@line 1556 "./jsobj.h"
}


function __ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($this, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $flags=__stackBase__;
      var $stackDummy_=__stackBase__+4;
      var $str;
      var $global=__stackBase__+8;
      var $obj;
      var $p=__stackBase__+12;
      var $5=__stackBase__+16;
      var $obj1;
      var $orig=__stackBase__+24;
      var $str2;
      var $chars;
      var $wrapped;
      var $obj3;
      var $proto=__stackBase__+32;
      var $wrapper;
      $2=$this;
      $3=$cx;
      $4=$vp;
      var $6=$2;
      HEAP32[(($flags)>>2)]=0; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=$3; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=(($9+48)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $14=$3; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=0; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      __label__ = 5; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $17=$4; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=__ZNK2JS5Value10isMarkableEv($17); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      $1=1; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      var $21=$4; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=__ZNK2JS5Value8isStringEv($21); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $24=$4; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $25=__ZNK2JS5Value8toStringEv($24); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $str=$25; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $26=$str; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $27=$26; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $28=__ZNK2js2gc4Cell11compartmentEv($27); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $29=(($28)|0)==(($6)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      $1=1; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      var $32=$str; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $33=__ZNK8JSString6isAtomEv($32); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 11: 
      $1=1; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 12: 
      __label__ = 13; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 13: 
      var $37=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $38=__ZNK9JSContext5hasfpEv($37); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($38) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 14: 
      var $40=$3; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $41=__ZNK9JSContext2fpEv($40); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $42=__ZNK2js10StackFrame10scopeChainEv($41); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $43=__ZNK8JSObject9getGlobalEv($42); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $44=$43; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($global)>>2)]=$44; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 18; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 15: 
      var $46=$3; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $47=(($46+132)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($global)>>2)]=$48; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $49=$3; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $50=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($49, $global); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($50) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 16: 
      $1=0; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $54=$4; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $55=__ZNK2JS5Value8isObjectEv($54); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($55) { __label__ = 19; break; } else { __label__ = 39; break; } //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 19: 
      var $57=$4; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $58=__ZNK2JS5Value8toObjectEv($57); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $obj=$58; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $59=$obj; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $60=$59; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $61=__ZNK2js2gc4Cell11compartmentEv($60); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $62=(($61)|0)==(($6)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($62) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 20: 
      $1=1; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 21: 
      var $65=$obj; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $66=__ZNK8JSObject15isStopIterationEv($65); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($66) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 22: 
      var $68=$3; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $69=$4; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $70=__Z18js_FindClassObjectP9JSContextP8JSObject10JSProtoKeyPN2JS5ValueEPN2js5ClassE($68, 0, 23, $69, 0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $71=(($70)|0)!=0; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=$71; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 23: 
      var $73=$obj; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $74=__ZNK8JSObject8getClassEv($73); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $75=(($74+68)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $76=(($75+8)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $78=(($77)|0)!=0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($78) { __label__ = 33; break; } else { __label__ = 24; break; } //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 24: 
      var $80=$4; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $81=__ZNK2JS5Value8toObjectEv($80); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $82=__ZN8JSObject6unwrapEPj($81, $flags); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $obj=$82; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $83=$4; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $84=$obj; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2JS5Value9setObjectER8JSObject($83, $84); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $85=$obj; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $86=__ZNK8JSObject14getCompartmentEv($85); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $87=(($86)|0)==(($6)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($87) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 25: 
      $1=1; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 26: 
      var $90=$3; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $91=(($90+52)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $93=(($92+229024)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $95=(($94)|0)!=0; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($95) { __label__ = 27; break; } else { __label__ = 30; break; } //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 27: 
      var $97=$3; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $98=(($97+52)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $100=(($99+229024)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $102=$3; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $103=HEAP32[(($global)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $104=$obj; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $105=HEAP32[(($flags)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $106=FUNCTION_TABLE[$101]($102, $103, $104, $105); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $obj=$106; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $107=$obj; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $108=(($107)|0)!=0; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($108) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 28: 
      $1=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 29: 
      __label__ = 30; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 30: 
      var $112=$4; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $113=$obj; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2JS5Value9setObjectER8JSObject($112, $113); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $114=$obj; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $115=__ZNK8JSObject14getCompartmentEv($114); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $116=(($115)|0)==(($6)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($116) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 31: 
      $1=1; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 32: 
      __label__ = 38; break; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 33: 
      var $120=$3; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $121=(($120+52)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $123=(($122+229024)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $125=(($124)|0)!=0; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($125) { __label__ = 34; break; } else { __label__ = 37; break; } //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 34: 
      var $127=$3; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $128=(($127+52)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $130=(($129+229024)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $132=$3; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $133=HEAP32[(($global)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $134=$obj; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $135=HEAP32[(($flags)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $136=FUNCTION_TABLE[$131]($132, $133, $134, $135); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $obj=$136; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $137=$obj; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $138=(($137)|0)!=0; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($138) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 35: 
      $1=0; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 36: 
      __label__ = 37; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 37: 
      var $142=$4; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $143=$obj; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2JS5Value9setObjectER8JSObject($142, $143); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 38; break;
    case 38: 
      __label__ = 39; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 39: 
      var $146=(($6+716)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $147=$4; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6lookupERKS2_($p, $146, $147); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($5, $p); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $148={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $149=$148.f0; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $150=(($149)|0)!=0; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($150) { __label__ = 40; break; } else { __label__ = 51; break; } //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 40: 
      var $152=$4; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $153=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($p); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $154=(($153+8)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $155=$152; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $156=$154; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($155)>>2)]=HEAP32[(($156)>>2)];HEAP32[(($155+4)>>2)]=HEAP32[(($156+4)>>2)]; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $157=$4; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $158=__ZNK2JS5Value8isObjectEv($157); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($158) { __label__ = 41; break; } else { __label__ = 50; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 41: 
      var $160=$4; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $161=__ZNK2JS5Value8toObjectEv($160); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $obj1=$161; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $162=HEAP32[(($global)>>2)]; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $163=__ZNK8JSObject10getJSClassEv($162); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $164=(($163)|0)!=((_js_dummy_class)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($164) { __label__ = 42; break; } else { __label__ = 49; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 42: 
      var $166=$obj1; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $167=__ZNK8JSObject9getParentEv($166); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $168=HEAP32[(($global)>>2)]; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $169=(($167)|0)!=(($168)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($169) { __label__ = 43; break; } else { __label__ = 49; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 43: 
      __label__ = 44; break; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 44: 
      var $172=$obj1; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $173=HEAP32[(($global)>>2)]; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN8JSObject9setParentEPS_($172, $173); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $174=$obj1; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $175=__ZNK8JSObject8getProtoEv($174); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $obj1=$175; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 45; break; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 45: 
      var $177=$obj1; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $178=(($177)|0)!=0; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($178) { __label__ = 46; break; } else { var $183 = 0;__label__ = 47; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 46: 
      var $180=$obj1; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $181=__ZL25IsCrossCompartmentWrapperP8JSObject($180); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $183 = $181;__label__ = 47; break;
    case 47: 
      var $183;
      if ($183) { __label__ = 44; break; } else { __label__ = 48; break; }
    case 48: 
      __label__ = 49; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 49: 
      __label__ = 50; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 50: 
      $1=1; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 51: 
      var $188=$4; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $189=__ZNK2JS5Value8isStringEv($188); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($189) { __label__ = 52; break; } else { __label__ = 57; break; } //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 52: 
      var $191=$4; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $192=$orig; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $193=$191; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($192)>>2)]=HEAP32[(($193)>>2)];HEAP32[(($192+4)>>2)]=HEAP32[(($193+4)>>2)]; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $194=$4; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $195=__ZNK2JS5Value8toStringEv($194); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $str2=$195; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $196=$str2; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $197=$3; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $198=__ZN8JSString8getCharsEP9JSContext($196, $197); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $chars=$198; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $199=$chars; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $200=(($199)|0)!=0; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($200) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 53: 
      $1=0; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 54: 
      var $203=$3; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $204=$chars; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $205=$str2; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $206=__ZNK8JSString6lengthEv($205); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $207=__Z17js_NewStringCopyNP9JSContextPKtj($203, $204, $206); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $208=$207; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $wrapped=$208; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $209=$wrapped; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $210=(($209)|0)!=0; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($210) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 55: 
      $1=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 56: 
      var $213=$4; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $214=$wrapped; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2JS5Value9setStringEP8JSString($213, $214); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $215=(($6+716)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $216=$4; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $217=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3putERKS2_S7_($215, $orig, $216); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $218=(($217)|0)!=0; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=$218; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 57: 
      var $220=$4; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $221=__ZNK2JS5Value8toObjectEv($220); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $obj3=$221; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $222=$obj3; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $223=__ZNK8JSObject8getProtoEv($222); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($proto)>>2)]=$223; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $224=$3; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $225=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($6, $224, $proto); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($225) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 58: 
      $1=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 59: 
      var $228=$3; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $229=(($228+52)|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $230=HEAP32[(($229)>>2)]; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $231=(($230+229020)|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $233=$3; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $234=$obj3; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $235=HEAP32[(($proto)>>2)]; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $236=HEAP32[(($global)>>2)]; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $237=HEAP32[(($flags)>>2)]; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $238=FUNCTION_TABLE[$232]($233, $234, $235, $236, $237); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $wrapper=$238; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $239=$wrapper; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $240=(($239)|0)!=0; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($240) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 60: 
      $1=0; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 61: 
      var $243=$4; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $244=$wrapper; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2JS5Value9setObjectER8JSObject($243, $244); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $245=$wrapper; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $246=__ZNK8JSObject8getProtoEv($245); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $247=HEAP32[(($proto)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $248=(($246)|0)!=(($247)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($248) { __label__ = 62; break; } else { __label__ = 64; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 62: 
      var $250=$3; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $251=$wrapper; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $252=HEAP32[(($proto)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $253=__ZN2js8SetProtoEP9JSContextP8JSObjectS3_b($250, $251, $252, 0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($253) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 63: 
      $1=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 64: 
      var $256=(($6+716)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $257=$wrapper; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $258=__ZNK8JSObject15getProxyPrivateEv($257); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $259=$4; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $260=__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3putERKS2_S7_($256, $258, $259); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $261=(($260)|0)!=0; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($261) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 65: 
      $1=0; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 66: 
      var $264=$wrapper; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $265=HEAP32[(($global)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN8JSObject9setParentEPS_($264, $265); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 67; break; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 67: 
      var $267=$1; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $267; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE["X"]=1;

function __ZNK2JS5Value10isMarkableEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 466 "./jsapi.h"
  var $5=$2; //@line 466 "./jsapi.h"
  var $6=$4; //@line 466 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 466 "./jsapi.h"
  var $7=_JSVAL_IS_TRACEABLE_IMPL($2); //@line 466 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 466 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 466 "./jsapi.h"
}


function __ZL25IsCrossCompartmentWrapperP8JSObject($wrapper) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$wrapper;
      var $2=$1; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $3=__ZNK8JSObject9isWrapperEv($2); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($3) { __label__ = 2; break; } else { var $13 = 0;__label__ = 3; break; } //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $5=$1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $6=__ZN9JSWrapper14wrapperHandlerEPK8JSObject($5); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=__ZNK9JSWrapper5flagsEv($6); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=$7 & 1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=(($8)|0)!=0; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=$9 ^ 1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=$10 ^ 1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13 = $11;__label__ = 3; break;
    case 3: 
      var $13;
      ;
      return $13; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment4wrapEP9JSContextPP8JSObject($this, $cx, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tvr=__stackBase__;
      var $5=__stackBase__+24;
      var $6;
      $2=$this;
      $3=$cx;
      $4=$objp;
      var $7=$2;
      var $8=$4; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=(($9)|0)!=0; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      $1=1; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 7; break; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $13=$3; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=$4; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2JSL11ObjectValueER8JSObject841($5, $15); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $13, $5); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=$3; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($7, $16, $17); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      $1=0; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $6=1;
      __label__ = 6; break; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $21=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=__ZNK2JS5Value8toObjectEv($21); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=$4; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=1; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $6=1;
      __label__ = 6; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 7; break;
    case 7: 
      var $26=$1; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment4wrapEP9JSContextPP8JSString($this, $cx, $strp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tvr=__stackBase__;
      var $5=__stackBase__+24;
      var $6;
      $2=$this;
      $3=$cx;
      $4=$strp;
      var $7=$2;
      var $8=$3; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=$4; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2JSL11StringValueEP8JSString840($5, $10); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $8, $5); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=$3; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($7, $11, $12); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      $1=0; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $6=1;
      __label__ = 4; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $16=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=__ZNK2JS5Value8toStringEv($16); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=$4; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=1; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $6=1;
      __label__ = 4; break; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=$1; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $20; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11StringValueEP8JSString840($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2JSL11ObjectValueER8JSObject841($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN13JSCompartment6wrapIdEP9JSContextPi($this, $cx, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tvr=__stackBase__;
      var $5=__stackBase__+24;
      var $6;
      $2=$this;
      $3=$cx;
      $4=$idp;
      var $7=$2;
      var $8=$4; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=_JSID_IS_INT844($9); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=(($10)|0)!=0; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      $1=1; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 7; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $14=$3; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=$4; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2jsL9IdToValueEi845($5, $16); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $14, $5); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=$3; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($7, $17, $18); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      $1=0; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $6=1;
      __label__ = 6; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $22=$3; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=$4; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $25=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($22, $23, $24); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=$25; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $6=1;
      __label__ = 6; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 7; break;
    case 7: 
      var $28=$1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL9IdToValueEi845($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING869($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING870($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString840($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT844($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT872($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi871($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT873($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT874($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject841($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv875($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment4wrapEP9JSContextPPFiS1_P8JSObjectiPN2JS5ValueEE($this, $cx, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$propp;
      var $5=$2;
      var $6=$4; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($v, $7); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=$3; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($5, $8, $v); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      $1=0; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $12=__ZNK2JS5Value14toObjectOrNullEv($v); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=__ZN2jsL16CastAsPropertyOpEP8JSObject846($12); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=$4; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=1; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $16=$1; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($agg_result, $op) {
  ;
  var __label__;

  var $1;
  $1=$op;
  var $2=$1; //@line 116 "./jsobj.h"
  var $3=__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($2); //@line 116 "./jsobj.h"
  __ZN2JSL17ObjectOrNullValueEP8JSObject866($agg_result, $3); //@line 116 "./jsobj.h"
  ;
  return; //@line 116 "./jsobj.h"
}


function __ZN13JSCompartment4wrapEP9JSContextPPFiS1_P8JSObjectiiPN2JS5ValueEE($this, $cx, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$propp;
      var $5=$2;
      var $6=$4; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE($v, $7); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=$3; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($5, $8, $v); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      $1=0; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $12=__ZNK2JS5Value14toObjectOrNullEv($v); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=__ZN2jsL22CastAsStrictPropertyOpEP8JSObject847($12); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=$4; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=1; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $16=$1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE($agg_result, $op) {
  ;
  var __label__;

  var $1;
  $1=$op;
  var $2=$1; //@line 122 "./jsobj.h"
  var $3=__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE($2); //@line 122 "./jsobj.h"
  __ZN2JSL17ObjectOrNullValueEP8JSObject866($agg_result, $3); //@line 122 "./jsobj.h"
  ;
  return; //@line 122 "./jsobj.h"
}


function __ZN13JSCompartment4wrapEP9JSContextP20JSPropertyDescriptor($this, $cx, $desc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$desc;
      var $4=$1;
      var $5=$2; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $6=$3; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=(($6)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($4, $5, $7); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($8) { __label__ = 2; break; } else { var $37 = 0;__label__ = 7; break; } //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $10=$3; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=(($10+4)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=$12 & 16; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=(($13)|0)!=0; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $16=$2; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=$3; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=(($17+8)|0); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=__ZN13JSCompartment4wrapEP9JSContextPPFiS1_P8JSObjectiPN2JS5ValueEE($4, $16, $18); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($19) { __label__ = 4; break; } else { var $37 = 0;__label__ = 7; break; } //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $21=$3; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=(($21+4)|0); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=$23 & 32; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $25=(($24)|0)!=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $27=$2; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $28=$3; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $29=(($28+12)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $30=__ZN13JSCompartment4wrapEP9JSContextPPFiS1_P8JSObjectiiPN2JS5ValueEE($4, $27, $29); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($30) { __label__ = 6; break; } else { var $37 = 0;__label__ = 7; break; } //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $32=$2; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $33=$3; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $34=(($33+16)|0); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $35=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($4, $32, $34); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $37 = $35;__label__ = 7; break;
    case 7: 
      var $37;
      ;
      return $37; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment4wrapEP9JSContextRN2js12AutoIdVectorE($this, $cx, $props) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $vector;
      var $length;
      var $n;
      $2=$this;
      $3=$cx;
      $4=$props;
      var $5=$2;
      var $6=$4; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=$6; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=__ZN2js16AutoVectorRooterIiE5beginEv($7); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $vector=$8; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=$4; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=$9; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=__ZNK2js16AutoVectorRooterIiE6lengthEv($10); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $length=$11; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $n=0; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $13=$n; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=$length; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=(($13)>>>0) < (($14)>>>0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $17=$3; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=$n; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=$vector; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=(($19+($18<<2))|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=__ZN13JSCompartment6wrapIdEP9JSContextPi($5, $17, $20); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      $1=0; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 8; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      __label__ = 6; break; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $25=$n; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $26=(($25+1)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $n=$26; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      $1=1; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 8; break; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $29=$1; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      ;
      return $29; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+8)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js2gc12CellIterImpl4doneEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 235 "./jsgcinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 235 "./jsgcinlines.h"
  var $5=(($4)|0)!=0; //@line 235 "./jsgcinlines.h"
  var $6=$5 ^ 1; //@line 235 "./jsgcinlines.h"
  ;
  return $6; //@line 235 "./jsgcinlines.h"
}


function __ZNK2js2gc12CellIterImpl3getI8JSScriptEEPT_v($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 240 "./jsgcinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 240 "./jsgcinlines.h"
  var $5=$4; //@line 240 "./jsgcinlines.h"
  ;
  return $5; //@line 240 "./jsgcinlines.h"
}


function __ZNK2js2gc12CellIterImpl3getI8JSObjectEEPT_v($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 240 "./jsgcinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 240 "./jsgcinlines.h"
  var $5=$4; //@line 240 "./jsgcinlines.h"
  ;
  return $5; //@line 240 "./jsgcinlines.h"
}


function __ZNK2js2gc12CellIterImpl3getINS_5types10TypeObjectEEEPT_v($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 240 "./jsgcinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 240 "./jsgcinlines.h"
  var $5=$4; //@line 240 "./jsgcinlines.h"
  ;
  return $5; //@line 240 "./jsgcinlines.h"
}


function __ZN8JSScript13clearAnalysisEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+100)|0); //@line 1303 "./jsinferinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1303 "./jsinferinlines.h"
      var $5=(($4)|0)!=0; //@line 1303 "./jsinferinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1303 "./jsinferinlines.h"
    case 2: 
      var $7=(($2+100)|0); //@line 1304 "./jsinferinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1304 "./jsinferinlines.h"
      var $9=(($8)|0); //@line 1304 "./jsinferinlines.h"
      HEAP32[(($9)>>2)]=0; //@line 1304 "./jsinferinlines.h"
      __label__ = 3; break; //@line 1304 "./jsinferinlines.h"
    case 3: 
      ;
      return; //@line 1305 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment28markCrossCompartmentWrappersEP8JSTracer($this, $trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $e=__stackBase__;
      var $3;
      $1=$this;
      $2=$trc;
      var $4=$1;
      var $5=(($4+716)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC1IS9_EERT_($e, $5); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $7=$e; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5emptyEv($7); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=$8 ^ 1; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      $3=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD1Ev($e); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 6; break;
    case 4: 
      var $12=$2; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=$e; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv($13); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=(($14)|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($12, $15, ((STRING_TABLE.__str1829)|0)); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 5; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $17=$e; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range8popFrontEv($17); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC1IS9_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC2IS9_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+24)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN13JSCompartment9markTypesEP8JSTracer($this, $trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i=__stackBase__;
      var $script;
      var $thingKind;
      var $i1=__stackBase__+32;
      var $object;
      var $i2=__stackBase__+64;
      $1=$this;
      $2=$trc;
      var $3=$1;
      __ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE($i, $3, 13); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $5=$i; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $6=__ZNK2js2gc12CellIterImpl4doneEv($5); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=$6 ^ 1; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $9=$i; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=__ZNK2js2gc12CellIterImpl3getI8JSScriptEEPT_v($9); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $script=$10; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=$2; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=$script; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc10MarkScriptEP8JSTracerP8JSScriptPKc($11, $12, ((STRING_TABLE.__str2830)|0)); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $14=$i; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($14); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      $thingKind=0; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 6; break; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $17=$thingKind; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=(($17)>>>0) <= 12; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 16; break; } //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      var $20=$thingKind; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE($i1, $3, $20); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 8; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $22=$i1; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=__ZNK2js2gc12CellIterImpl4doneEv($22); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=$23 ^ 1; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($24) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      var $26=$i1; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $27=__ZNK2js2gc12CellIterImpl3getI8JSObjectEEPT_v($26); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $object=$27; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $28=$object; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $29=__ZNK8JSObject9isNewbornEv($28); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($29) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      var $31=$object; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $32=__ZNK8JSObject16hasSingletonTypeEv($31); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 11: 
      var $34=$2; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $35=$object; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($34, $35, ((STRING_TABLE.__str3831)|0)); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 12; break; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 12: 
      __label__ = 13; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 13: 
      var $38=$i1; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($38); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 8; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 14: 
      __label__ = 15; break; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 15: 
      var $41=$thingKind; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $42=(($41+1)|0); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $thingKind=$42; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 6; break; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 16: 
      __ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE($i2, $3, 15); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 17; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 17: 
      var $45=$i2; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $46=__ZNK2js2gc12CellIterImpl4doneEv($45); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $47=$46 ^ 1; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($47) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 18: 
      var $49=$2; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $50=$i2; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $51=__ZNK2js2gc12CellIterImpl3getINS_5types10TypeObjectEEEPT_v($50); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc14MarkTypeObjectEP8JSTracerPNS_5types10TypeObjectEPKc($49, $51, ((STRING_TABLE.__str4832)|0)); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 19; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 19: 
      var $53=$i2; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($53); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 17; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 20: 
      STACKTOP = __stackBase__;
      return; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment9markTypesEP8JSTracer["X"]=1;

function __ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE($this, $comp, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$comp;
  $3=$kind;
  var $4=$1;
  var $5=$2; //@line 277 "./jsgcinlines.h"
  var $6=$3; //@line 277 "./jsgcinlines.h"
  __ZN2js2gc15CellIterUnderGCC2EP13JSCompartmentNS0_9AllocKindE($4, $5, $6); //@line 277 "./jsgcinlines.h"
  ;
  return; //@line 277 "./jsgcinlines.h"
}


function __ZN2js2gc12CellIterImpl4nextEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      __label__ = 2; break; //@line 249 "./jsgcinlines.h"
    case 2: 
      var $5=(($3+24)|0); //@line 250 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 250 "./jsgcinlines.h"
      var $7=(($3+20)|0); //@line 250 "./jsgcinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jsgcinlines.h"
      var $9=(($8)|0); //@line 250 "./jsgcinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 250 "./jsgcinlines.h"
      var $11=(($6)|0)!=(($10)|0); //@line 250 "./jsgcinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 250 "./jsgcinlines.h"
    case 3: 
      __label__ = 9; break; //@line 251 "./jsgcinlines.h"
    case 4: 
      var $14=(($3+20)|0); //@line 252 "./jsgcinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 252 "./jsgcinlines.h"
      var $16=__ZNK2js2gc8FreeSpan7hasNextEv($15); //@line 252 "./jsgcinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 252 "./jsgcinlines.h"
    case 5: 
      var $18=(($3+20)|0); //@line 253 "./jsgcinlines.h"
      var $19=HEAP32[(($18)>>2)]; //@line 253 "./jsgcinlines.h"
      var $20=(($19+4)|0); //@line 253 "./jsgcinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 253 "./jsgcinlines.h"
      var $22=(($3+4)|0); //@line 253 "./jsgcinlines.h"
      var $23=HEAP32[(($22)>>2)]; //@line 253 "./jsgcinlines.h"
      var $24=(($21+$23)|0); //@line 253 "./jsgcinlines.h"
      var $25=(($3+24)|0); //@line 253 "./jsgcinlines.h"
      HEAP32[(($25)>>2)]=$24; //@line 253 "./jsgcinlines.h"
      var $26=(($3+20)|0); //@line 254 "./jsgcinlines.h"
      var $27=HEAP32[(($26)>>2)]; //@line 254 "./jsgcinlines.h"
      var $28=__ZNK2js2gc8FreeSpan8nextSpanEv($27); //@line 254 "./jsgcinlines.h"
      var $29=(($3+20)|0); //@line 254 "./jsgcinlines.h"
      HEAP32[(($29)>>2)]=$28; //@line 254 "./jsgcinlines.h"
      __label__ = 9; break; //@line 255 "./jsgcinlines.h"
    case 6: 
      var $31=(($3+8)|0); //@line 257 "./jsgcinlines.h"
      var $32=HEAP32[(($31)>>2)]; //@line 257 "./jsgcinlines.h"
      var $33=(($32)|0)!=0; //@line 257 "./jsgcinlines.h"
      if ($33) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 257 "./jsgcinlines.h"
    case 7: 
      var $35=(($3+28)|0); //@line 258 "./jsgcinlines.h"
      HEAP32[(($35)>>2)]=0; //@line 258 "./jsgcinlines.h"
      __label__ = 10; break; //@line 259 "./jsgcinlines.h"
    case 8: 
      var $37=(($3+12)|0); //@line 261 "./jsgcinlines.h"
      var $38=(($3+8)|0); //@line 261 "./jsgcinlines.h"
      var $39=HEAP32[(($38)>>2)]; //@line 261 "./jsgcinlines.h"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($2, $39); //@line 261 "./jsgcinlines.h"
      var $40=$37; //@line 261 "./jsgcinlines.h"
      var $41=$2; //@line 261 "./jsgcinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 261 "./jsgcinlines.h"
      var $42=(($3+12)|0); //@line 262 "./jsgcinlines.h"
      var $43=(($3+20)|0); //@line 262 "./jsgcinlines.h"
      HEAP32[(($43)>>2)]=$42; //@line 262 "./jsgcinlines.h"
      var $44=(($3+8)|0); //@line 263 "./jsgcinlines.h"
      var $45=HEAP32[(($44)>>2)]; //@line 263 "./jsgcinlines.h"
      var $46=__ZNK2js2gc11ArenaHeader12arenaAddressEv($45); //@line 263 "./jsgcinlines.h"
      var $47=(($3)|0); //@line 263 "./jsgcinlines.h"
      var $48=HEAP32[(($47)>>2)]; //@line 263 "./jsgcinlines.h"
      var $49=$46 | $48; //@line 263 "./jsgcinlines.h"
      var $50=(($3+24)|0); //@line 263 "./jsgcinlines.h"
      HEAP32[(($50)>>2)]=$49; //@line 263 "./jsgcinlines.h"
      var $51=(($3+8)|0); //@line 264 "./jsgcinlines.h"
      var $52=HEAP32[(($51)>>2)]; //@line 264 "./jsgcinlines.h"
      var $53=(($52+4)|0); //@line 264 "./jsgcinlines.h"
      var $54=HEAP32[(($53)>>2)]; //@line 264 "./jsgcinlines.h"
      var $55=(($3+8)|0); //@line 264 "./jsgcinlines.h"
      HEAP32[(($55)>>2)]=$54; //@line 264 "./jsgcinlines.h"
      __label__ = 2; break; //@line 265 "./jsgcinlines.h"
    case 9: 
      var $57=(($3+24)|0); //@line 266 "./jsgcinlines.h"
      var $58=HEAP32[(($57)>>2)]; //@line 266 "./jsgcinlines.h"
      var $59=$58; //@line 266 "./jsgcinlines.h"
      var $60=(($3+28)|0); //@line 266 "./jsgcinlines.h"
      HEAP32[(($60)>>2)]=$59; //@line 266 "./jsgcinlines.h"
      var $61=(($3+4)|0); //@line 267 "./jsgcinlines.h"
      var $62=HEAP32[(($61)>>2)]; //@line 267 "./jsgcinlines.h"
      var $63=(($3+24)|0); //@line 267 "./jsgcinlines.h"
      var $64=HEAP32[(($63)>>2)]; //@line 267 "./jsgcinlines.h"
      var $65=(($64+$62)|0); //@line 267 "./jsgcinlines.h"
      HEAP32[(($63)>>2)]=$65; //@line 267 "./jsgcinlines.h"
      __label__ = 10; break; //@line 268 "./jsgcinlines.h"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 268 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc12CellIterImpl4nextEv["X"]=1;

function __ZN13JSCompartment5sweepEP9JSContextj($this, $cx, $releaseInterval) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e=__stackBase__;
      var $4;
      var $discardScripts;
      var $oldPool=__stackBase__+16;
      var $i=__stackBase__+44;
      var $script;
      var $i1=__stackBase__+76;
      var $script2;
      $1=$this;
      $2=$cx;
      $3=$releaseInterval;
      var $5=$1;
      var $6=(($5+716)|0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC1IS9_EERT_($e, $6); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $8=$e; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5emptyEv($8); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=$9 ^ 1; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      $4=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD1Ev($e); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 9; break;
    case 4: 
      var $13=$2; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=$e; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv($14); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=(($15)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=__ZNK2JS5Value9toGCThingEv($16); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=__Z20IsAboutToBeFinalizedP9JSContextPKv($13, $17); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $20=$2; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=$e; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv($21); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=(($22+8)|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=__ZNK2JS5Value9toGCThingEv($23); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $25=__Z20IsAboutToBeFinalizedP9JSContextPKv($20, $24); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4Enum11removeFrontEv($e); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 7; break; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      __label__ = 8; break; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $29=$e; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range8popFrontEv($29); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      var $31=(($5+748)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $33=(($32)|0)!=0; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($33) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      var $35=$2; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $36=(($5+748)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $38=$37; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $39=__Z20IsAboutToBeFinalizedP9JSContextPKv($35, $38); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 11: 
      var $41=(($5+748)|0); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($41)>>2)]=0; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 12; break; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 12: 
      var $43=(($5+752)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $45=(($44)|0)!=0; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 13: 
      var $47=$2; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $48=(($5+752)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $50=$49; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $51=__Z20IsAboutToBeFinalizedP9JSContextPKv($47, $50); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 14: 
      var $53=(($5+752)|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($53)>>2)]=0; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 15; break; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 15: 
      var $55=(($5+756)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $57=(($56)|0)!=0; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($57) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 16: 
      var $59=$2; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $60=(($5+756)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $62=$61; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $63=__Z20IsAboutToBeFinalizedP9JSContextPKv($59, $62); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 17: 
      var $65=(($5+756)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($65)>>2)]=0; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 18; break; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 18: 
      var $67=(($5+760)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $69=(($68)|0)!=0; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($69) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 19: 
      var $71=$2; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $72=(($5+760)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $74=$73; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $75=__Z20IsAboutToBeFinalizedP9JSContextPKv($71, $74); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($75) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 20: 
      var $77=(($5+760)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($77)>>2)]=0; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 21; break; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 21: 
      var $79=(($5+764)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $81=(($80)|0)!=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($81) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 22: 
      var $83=$2; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $84=(($5+764)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $86=$85; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $87=__Z20IsAboutToBeFinalizedP9JSContextPKv($83, $86); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($87) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 23: 
      var $89=(($5+764)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($89)>>2)]=0; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 24; break; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 24: 
      var $91=(($5+768)|0); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $93=(($92)|0)!=0; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($93) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 25: 
      var $95=$2; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $96=(($5+768)|0); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $98=$97; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $99=__Z20IsAboutToBeFinalizedP9JSContextPKv($95, $98); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 26: 
      var $101=(($5+768)|0); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($101)>>2)]=0; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 27; break; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 27: 
      var $103=(($5+796)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $105=(($104)|0)!=0; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($105) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 28: 
      var $107=$2; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $108=(($5+796)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $110=$109; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $111=__Z20IsAboutToBeFinalizedP9JSContextPKv($107, $110); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($111) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 29: 
      var $113=(($5+796)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($113)>>2)]=0; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 30; break; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 30: 
      var $115=(($5+800)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $117=(($116)|0)!=0; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($117) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 31: 
      var $119=$2; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $120=(($5+800)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $122=$121; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $123=__Z20IsAboutToBeFinalizedP9JSContextPKv($119, $122); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($123) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 32: 
      var $125=(($5+800)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($125)>>2)]=0; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 33; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 33: 
      var $127=$2; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN13JSCompartment16sweepBreakpointsEP9JSContext($5, $127); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $128=(($5+712)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $129=HEAP8[($128)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $130=(($129) & 1); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($130) { var $141 = 0;__label__ = 37; break; } else { __label__ = 34; break; } //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 34: 
      var $132=$3; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $133=(($132)|0)!=0; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($133) { var $139 = 1;__label__ = 36; break; } else { __label__ = 35; break; } //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 35: 
      var $135=(($5+713)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $136=HEAP8[($135)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $137=(($136) & 1); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $139 = $137;__label__ = 36; break; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 36: 
      var $139;
      var $141 = $139;__label__ = 37; break;
    case 37: 
      var $141;
      var $142=(($141)&1);
      $discardScripts=$142;
      var $143=(($5+372)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $144=HEAP8[($143)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $145=(($144) & 1); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($145) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 38: 
      __label__ = 54; break; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 39: 
      var $148=(($5+344)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js13MoveArenaPoolEP11JSArenaPoolS1_($148, $oldPool); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $149=(($5+376)|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $150=(($149)|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $151=HEAP8[($150)]; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $152=(($151) & 1); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($152) { __label__ = 40; break; } else { __label__ = 49; break; } //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 40: 
      __ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE($i, $5, 13); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 41; break; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 41: 
      var $155=$i; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $156=__ZNK2js2gc12CellIterImpl4doneEv($155); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $157=$156 ^ 1; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($157) { __label__ = 42; break; } else { __label__ = 48; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 42: 
      var $159=$i; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $160=__ZNK2js2gc12CellIterImpl3getI8JSScriptEEPT_v($159); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $script=$160; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $161=$script; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $162=(($161+100)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $164=(($163)|0)!=0; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($164) { __label__ = 43; break; } else { __label__ = 46; break; } //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 43: 
      var $166=$2; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $167=$script; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js5types10TypeScript5SweepEP9JSContextP8JSScript($166, $167); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $168=$discardScripts; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $169=(($168) & 1); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($169) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 44: 
      var $171=$script; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $172=(($171+100)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $173=HEAP32[(($172)>>2)]; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js5types10TypeScript7destroyEv($173); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $174=$script; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $175=(($174+100)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($175)>>2)]=0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $176=$script; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $177=$176; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $178=(($177+38)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $179=HEAP8[($178)]; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $180=$179 & -17; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $181=$180 | 16; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP8[($178)]=$181; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 45; break; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 45: 
      __label__ = 46; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 46: 
      __label__ = 47; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 47: 
      var $185=$i; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($185); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 41; break; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 48: 
      __label__ = 49; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 49: 
      var $188=(($5+376)|0); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $189=$2; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js5types15TypeCompartment5sweepEP9JSContext($188, $189); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE($i1, $5, 13); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 50; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 50: 
      var $191=$i1; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $192=__ZNK2js2gc12CellIterImpl4doneEv($191); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $193=$192 ^ 1; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($193) { __label__ = 51; break; } else { __label__ = 53; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 51: 
      var $195=$i1; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $196=__ZNK2js2gc12CellIterImpl3getI8JSScriptEEPT_v($195); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $script2=$196; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $197=$script2; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN8JSScript13clearAnalysisEv($197); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 52; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 52: 
      var $199=$i1; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($199); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 50; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 53: 
      _JS_FinishArenaPool($oldPool); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 54; break;
    case 54: 
      var $202=(($5+712)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP8[($202)]=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment5sweepEP9JSContextj["X"]=1;

function __ZNK2JS5Value9toGCThingEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 536 "./jsapi.h"
  var $5=$2; //@line 536 "./jsapi.h"
  var $6=$4; //@line 536 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 536 "./jsapi.h"
  var $7=_JSVAL_TO_GCTHING_IMPL($2); //@line 536 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 536 "./jsapi.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeERNS0_14HashTableEntryIS5_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN13JSCompartment16sweepBreakpointsEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $e=__stackBase__;
      var $3;
      var $site;
      var $scriptGone;
      var $clearTrap;
      var $nextbp;
      var $bp;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=(($4+1956)|0); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumC1ISB_EERT_($e, $5); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $7=$e; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($7); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=$8 ^ 1; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      $3=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumD1Ev($e); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 19; break;
    case 4: 
      var $12=$e; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($12); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=(($13+4)|0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $site=$15; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=$site; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=(($16+12)|0); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=(($18)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 17; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $21=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=$site; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=(($22+12)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $25=$24; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $26=__Z20IsAboutToBeFinalizedP9JSContextPKv($21, $25); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $27=(($26)&1); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $scriptGone=$27; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $28=$scriptGone; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $29=(($28) & 1); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($29) { __label__ = 6; break; } else { var $34 = 0;__label__ = 7; break; } //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $31=$site; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $32=__ZNK2js14BreakpointSite7hasTrapEv($31); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $34 = $32;__label__ = 7; break;
    case 7: 
      var $34;
      var $35=(($34)&1);
      $clearTrap=$35;
      var $36=$site; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $37=__ZNK2js14BreakpointSite15firstBreakpointEv($36); //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $bp=$37; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 8; break; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $39=$bp; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $40=(($39)|0)!=0; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      var $42=$bp; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $43=__ZN2js10Breakpoint10nextInSiteEv($42); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $nextbp=$43; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $44=$scriptGone; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $45=(($44) & 1); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      var $47=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $48=$bp; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $49=(($48)|0); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $51=__ZNK2js8Debugger10toJSObjectEv($50); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $52=$51; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $53=__Z20IsAboutToBeFinalizedP9JSContextPKv($47, $52); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 11: 
      var $55=$bp; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $56=$2; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js10Breakpoint7destroyEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_E4EnumE($55, $56, $e); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 12; break; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 12: 
      __label__ = 13; break; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 13: 
      var $59=$nextbp; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $bp=$59; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 8; break; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 14: 
      var $61=$clearTrap; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $62=(($61) & 1); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($62) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 15: 
      var $64=$site; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $65=$2; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js14BreakpointSite9clearTrapEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumEPPF12JSTrapStatusS2_P8JSScriptS6_PN2JS5ValueESM_ESN_($64, $65, $e, 0, 0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 16; break; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 16: 
      __label__ = 17; break; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 17: 
      __label__ = 18; break; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 18: 
      var $69=$e; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($69); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 19: 
      STACKTOP = __stackBase__;
      return; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment16sweepBreakpointsEP9JSContext["X"]=1;

function __ZN2js13MoveArenaPoolEP11JSArenaPoolS1_($oldPool, $newPool) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$oldPool;
  $2=$newPool;
  var $3=$2; //@line 309 "./jsarena.h"
  var $4=$1; //@line 309 "./jsarena.h"
  var $5=$3; //@line 309 "./jsarena.h"
  var $6=$4; //@line 309 "./jsarena.h"
  assert(28 % 1 === 0, 'memcpy given ' + 28 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];HEAP32[(($5+8)>>2)]=HEAP32[(($6+8)>>2)];HEAP32[(($5+12)>>2)]=HEAP32[(($6+12)>>2)];HEAP32[(($5+16)>>2)]=HEAP32[(($6+16)>>2)];HEAP32[(($5+20)>>2)]=HEAP32[(($6+20)>>2)];HEAP32[(($5+24)>>2)]=HEAP32[(($6+24)>>2)]; //@line 309 "./jsarena.h"
  var $7=$1; //@line 310 "./jsarena.h"
  var $8=$2; //@line 310 "./jsarena.h"
  var $9=(($8+20)|0); //@line 310 "./jsarena.h"
  var $10=HEAP32[(($9)>>2)]; //@line 310 "./jsarena.h"
  var $11=$2; //@line 310 "./jsarena.h"
  var $12=(($11+24)|0); //@line 310 "./jsarena.h"
  var $13=HEAP32[(($12)>>2)]; //@line 310 "./jsarena.h"
  var $14=(($13+1)|0); //@line 310 "./jsarena.h"
  _JS_InitArenaPool($7, 0, $10, $14); //@line 310 "./jsarena.h"
  ;
  return; //@line 311 "./jsarena.h"
}


function __ZN2js9DtoaCache5purgeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 358 "./jscompartment.h"
  HEAP32[(($3)>>2)]=0; //@line 358 "./jscompartment.h"
  ;
  return; //@line 358 "./jscompartment.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js18ThreadContextRange5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2126 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2126 "./jscntxt.h"
  var $5=(($2+4)|0); //@line 2126 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 2126 "./jscntxt.h"
  var $7=(($4)|0)==(($6)|0); //@line 2126 "./jscntxt.h"
  ;
  return $7; //@line 2126 "./jscntxt.h"
}


function __ZN2js18ThreadContextRange8popFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2127 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2127 "./jscntxt.h"
  var $5=(($4)|0); //@line 2127 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 2127 "./jscntxt.h"
  var $7=(($2)|0); //@line 2127 "./jscntxt.h"
  HEAP32[(($7)>>2)]=$6; //@line 2127 "./jscntxt.h"
  ;
  return; //@line 2127 "./jscntxt.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZN13JSCompartment5purgeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $listHeadp;
      var $script;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+8)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc10ArenaLists5purgeEv($4); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $5=(($3+1888)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js9DtoaCache5purgeEv($5); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $i=0; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $7=$i; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=(($7)|0)!=64; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $10=$i; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=(($3+452)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=(($11+($10<<2))|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $listHeadp=$12; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $14=$listHeadp; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=(($15)|0)!=0; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $18=$listHeadp; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $script=$19; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=$listHeadp; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($20)>>2)]=0; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=$script; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=(($21+84)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=$22; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $listHeadp=$23; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      __label__ = 7; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      var $26=$i; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $27=(($26+1)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $i=$27; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $29=(($3+808)|0); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js15NativeIterCache5purgeEv($29); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $30=(($3+1836)|0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE20destroyIfConstructedEv($30); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      ;
      return; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists5purgeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i;
      var $headSpan;
      var $aheader;
      $1=$this;
      var $2=$1;
      $i=0; //@line 1006 "./jsgc.h"
      __label__ = 2; break; //@line 1006 "./jsgc.h"
    case 2: 
      var $4=$i; //@line 1006 "./jsgc.h"
      var $5=(($4)|0)!=20; //@line 1006 "./jsgc.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1006 "./jsgc.h"
    case 3: 
      var $7=$i; //@line 1007 "./jsgc.h"
      var $8=(($2)|0); //@line 1007 "./jsgc.h"
      var $9=(($8+($7<<3))|0); //@line 1007 "./jsgc.h"
      $headSpan=$9; //@line 1007 "./jsgc.h"
      var $10=$headSpan; //@line 1008 "./jsgc.h"
      var $11=__ZNK2js2gc8FreeSpan7isEmptyEv($10); //@line 1008 "./jsgc.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1008 "./jsgc.h"
    case 4: 
      var $13=$headSpan; //@line 1009 "./jsgc.h"
      var $14=__ZNK2js2gc8FreeSpan11arenaHeaderEv($13); //@line 1009 "./jsgc.h"
      $aheader=$14; //@line 1009 "./jsgc.h"
      var $15=$aheader; //@line 1011 "./jsgc.h"
      var $16=$headSpan; //@line 1011 "./jsgc.h"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($15, $16); //@line 1011 "./jsgc.h"
      var $17=$headSpan; //@line 1012 "./jsgc.h"
      __ZN2js2gc8FreeSpan11initAsEmptyEj($17, 0); //@line 1012 "./jsgc.h"
      __label__ = 5; break; //@line 1013 "./jsgc.h"
    case 5: 
      __label__ = 6; break; //@line 1014 "./jsgc.h"
    case 6: 
      var $20=$i; //@line 1006 "./jsgc.h"
      var $21=(($20+1)|0); //@line 1006 "./jsgc.h"
      $i=$21; //@line 1006 "./jsgc.h"
      __label__ = 2; break; //@line 1006 "./jsgc.h"
    case 7: 
      ;
      return; //@line 1015 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15NativeIterCache5purgeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 330 "./jscompartment.h"
  __ZN2jsL12PodArrayZeroIP8JSObjectLj256EEEvRAT0__T_($3); //@line 330 "./jscompartment.h"
  var $4=(($2+1024)|0); //@line 331 "./jscompartment.h"
  HEAP32[(($4)>>2)]=0; //@line 331 "./jscompartment.h"
  ;
  return; //@line 332 "./jscompartment.h"
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE20destroyIfConstructedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE5emptyEv($2); //@line 314 "./dist/include/mozilla/Util.h"
      if ($3) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 314 "./dist/include/mozilla/Util.h"
    case 2: 
      __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE7destroyEv($2); //@line 315 "./dist/include/mozilla/Util.h"
      __label__ = 3; break; //@line 315 "./dist/include/mozilla/Util.h"
    case 3: 
      ;
      return; //@line 316 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment14allocMathCacheEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$2; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $5=__ZN9JSContext4new_IN2js9MathCacheEEEPT_v($4); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $6=(($3+1904)|0); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($6)>>2)]=$5; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=(($3+1904)|0); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=(($8)|0)!=0; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $11=$2; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($11); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 3; break; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $13=(($3+1904)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      ;
      return $14; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_IN2js9MathCacheEEEPT_v($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      $1=$this;
      var $2=$1;
      var $3=__ZN9JSContext7malloc_Ej($2, 81920); //@line 1291 "./jscntxt.h"
      $memory=$3; //@line 1291 "./jscntxt.h"
      var $4=$memory; //@line 1291 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $7=$memory; //@line 1291 "./jscntxt.h"
      var $8=(($7)|0)==0; //@line 1291 "./jscntxt.h"
      if ($8) { var $12 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $10=$7; //@line 1291 "./jscntxt.h"
      FUNCTION_TABLE[__ZN2js9MathCacheC1Ev]($10); //@line 1291 "./jscntxt.h"
      var $12 = $10;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $12; //@line 1291 "./jscntxt.h"
      var $15 = $12;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $15 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $15; //@line 1291 "./jscntxt.h"
      ;
      return $15; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK13JSCompartment13backEdgeCountEPh($this, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $p=__stackBase__+4;
      var $4=__stackBase__+8;
      $2=$this;
      HEAP32[(($3)>>2)]=$pc;
      var $5=$2;
      var $6=(($5+1908)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_($p, $6, $3); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($4, $p); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=$7.f0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=(($8)|0)!=0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $11=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($p); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=(($11+4)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=$13; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      $1=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $16=$1; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 80, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment16incBackEdgeCountEPh($this, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $p=__stackBase__+4;
      var $4=__stackBase__+8;
      var $5=__stackBase__+12;
      $2=$this;
      HEAP32[(($3)>>2)]=$pc;
      var $6=$2;
      var $7=(($6+1908)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($4)>>2)]=0; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE17lookupWithDefaultERKS1_RKj($p, $7, $3, $4); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($5, $p); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=$8.f0; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=(($9)|0)!=0; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($p); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=(($12+4)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=(($14+1)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($13)>>2)]=$15; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=$15; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      $1=1; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $18=$1; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $18; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE17lookupWithDefaultERKS1_RKj($agg_result, $this, $k, $defaultValue) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p=__stackBase__;
      var $4=__stackBase__+8;
      $1=$this;
      $2=$k;
      $3=$defaultValue;
      var $5=$1;
      var $6=$2; //@line 1157 "./jshashtable.h"
      __ZNK2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_($p, $5, $6); //@line 1157 "./jshashtable.h"
      var $7=$p; //@line 1158 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($4, $7); //@line 1158 "./jshashtable.h"
      var $8={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 1158 "./jshashtable.h"
      var $9=$8.f0; //@line 1158 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 1158 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1158 "./jshashtable.h"
    case 2: 
      var $12=$p; //@line 1159 "./jshashtable.h"
      var $13=$agg_result; //@line 1159 "./jshashtable.h"
      var $14=$12; //@line 1159 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)]; //@line 1159 "./jshashtable.h"
      __label__ = 4; break; //@line 1159 "./jshashtable.h"
    case 3: 
      var $16=$2; //@line 1160 "./jshashtable.h"
      var $17=$3; //@line 1160 "./jshashtable.h"
      var $18=__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_jEENS5_13MapHashPolicyES4_E6AddPtrERKS1_RKj($5, $p, $16, $17); //@line 1160 "./jshashtable.h"
      var $19=$p; //@line 1161 "./jshashtable.h"
      var $20=$agg_result; //@line 1161 "./jshashtable.h"
      var $21=$19; //@line 1161 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)]; //@line 1161 "./jshashtable.h"
      __label__ = 4; break; //@line 1161 "./jshashtable.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1162 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment17hasScriptsOnStackEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i=__stackBase__;
      var $script;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $6=(($5+60)|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=__ZNK2js12ContextStack5spaceEv($6); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      FUNCTION_TABLE[__ZN2js13AllFramesIterC1ERNS_10StackSpaceE]($i, $7); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $9=__ZNK2js13AllFramesIter4doneEv($i); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=$9 ^ 1; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $12=__ZNK2js13AllFramesIter2fpEv($i); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=__ZNK2js10StackFrame11maybeScriptEv($12); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $script=$13; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=$script; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=(($14)|0)!=0; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $17=$script; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=$17; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=__ZNK2js2gc4Cell11compartmentEv($18); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=(($19)|0)==(($4)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      $1=1; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 9; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      __label__ = 7; break; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      var $24=__ZN2js13AllFramesIterppEv($i); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      $1=0; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 9; break; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      var $27=$1; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment17setDebugModeFromCEP9JSContextb($this, $cx, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $enabledBefore;
      var $enabledAfter;
      var $onStack;
      $2=$this;
      $3=$cx;
      var $5=(($b)&1);
      $4=$5;
      var $6=$2;
      var $7=__ZNK13JSCompartment9debugModeEv($6); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=(($7)&1); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $enabledBefore=$8; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=(($6+804)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=$10 & -2; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=(($11)|0)!=0; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($12) { var $17 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $14=$4; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=(($14) & 1); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17 = $15;__label__ = 3; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $17;
      var $18=(($17)&1); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $enabledAfter=$18; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $onStack=0; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=$enabledBefore; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=(($19) & 1); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=(($20)&1); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=$enabledAfter; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=(($22) & 1); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=(($23)&1); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $25=(($21)|0)!=(($24)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $27=$3; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $28=__ZN13JSCompartment17hasScriptsOnStackEP9JSContext($6, $27); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $29=(($28)&1); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $onStack=$29; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $30=$4; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $31=(($30) & 1); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $33=$onStack; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $34=(($33) & 1); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $36=$3; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      _JS_ReportErrorNumber($36, 2, 0, 281, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=0; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 11; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      __label__ = 8; break; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $39=(($6+804)|0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $41=$40 & -2; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $42=$4; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $43=(($42) & 1); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $44=$43 ? 1 : 0; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $45=$41 | $44; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $46=(($6+804)|0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($46)>>2)]=$45; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $47=$enabledBefore; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $48=(($47) & 1); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $49=(($48)&1); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $50=$enabledAfter; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $51=(($50) & 1); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $52=(($51)&1); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $53=(($49)|0)!=(($52)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($53) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      var $55=$3; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN13JSCompartment18updateForDebugModeEP9JSContext($6, $55); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 10; break; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      $1=1; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 11; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 11: 
      var $58=$1; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      ;
      return $58; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment17setDebugModeFromCEP9JSContextb["X"]=1;

function __ZN13JSCompartment18updateForDebugModeEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $r=__stackBase__;
      var $cx1;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$2; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js18ThreadContextRangeC1EP9JSContext($r, $4); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $6=__ZNK2js18ThreadContextRange5emptyEv($r); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=$6 ^ 1; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $9=__ZNK2js18ThreadContextRange5frontEv($r); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $cx1=$9; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=$cx1; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=(($10+56)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=(($12)|0)==(($3)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $15=$cx1; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN9JSContext16updateJITEnabledEv($15); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 5; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      __label__ = 6; break; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      __ZN2js18ThreadContextRange8popFrontEv($r); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18ThreadContextRangeC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2124 "./jscntxt.h"
  __ZN2js18ThreadContextRangeC2EP9JSContext($3, $4); //@line 2124 "./jscntxt.h"
  ;
  return; //@line 2124 "./jscntxt.h"
}


function __ZNK2js18ThreadContextRange5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2133 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2133 "./jscntxt.h"
  var $5=__ZN9JSContext13fromLinkFieldEP10JSCListStr($4); //@line 2133 "./jscntxt.h"
  ;
  return $5; //@line 2133 "./jscntxt.h"
}


function __ZN13JSCompartment11addDebuggeeEP9JSContextPN2js12GlobalObjectE($this, $cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $wasEnabled;
      $2=$this;
      $3=$cx;
      HEAP32[(($4)>>2)]=$global;
      var $5=$2;
      var $6=__ZNK13JSCompartment9debugModeEv($5); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=(($6)&1); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $wasEnabled=$7; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=(($5+1932)|0); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3putERKS2_($8, $4); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=(($9)|0)!=0; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $12=$3; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($12); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=0; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 6; break; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $14=(($5+804)|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=$15 | 2; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($14)>>2)]=$16; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=$wasEnabled; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=(($17) & 1); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $20=$3; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN13JSCompartment18updateForDebugModeEP9JSContext($5, $20); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 5; break; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      $1=1; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 6; break; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $23=$1; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment14removeDebuggeeEP9JSContextPN2js12GlobalObjectEPNS2_6detail9HashTableIKS4_NS2_7HashSetIS4_NS2_13DefaultHasherIS4_EENS2_17SystemAllocPolicyEE6SetOpsESB_E4EnumE($this, $cx, $global, $debuggeesEnum) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $wasEnabled;
      $1=$this;
      $2=$cx;
      HEAP32[(($3)>>2)]=$global;
      $4=$debuggeesEnum;
      var $5=$1;
      var $6=__ZNK13JSCompartment9debugModeEv($5); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=(($6)&1); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $wasEnabled=$7; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=$4; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=(($8)|0)!=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $11=$4; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4Enum11removeFrontEv($11); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $13=(($5+1932)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeERKS2_($13, $3); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 4; break;
    case 4: 
      var $15=(($5+1932)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($15); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $18=(($5+804)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=$19 & -3; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($18)>>2)]=$20; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=$wasEnabled; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=(($21) & 1); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $24=__ZNK13JSCompartment9debugModeEv($5); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      var $26=$2; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN13JSCompartment18updateForDebugModeEP9JSContext($5, $26); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 8; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      __label__ = 9; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment17getBreakpointSiteEPh($this, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $p=__stackBase__+4;
      var $3=__stackBase__+8;
      $1=$this;
      HEAP32[(($2)>>2)]=$pc;
      var $4=$1;
      var $5=(($4+1956)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6lookupERKS1_($p, $5, $2); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrcvMSE_FvvEEv($3, $p); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $6={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=$6.f0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $8=(($7)|0)!=0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $10=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrptEv($p); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=(($10+4)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15 = $12;__label__ = 4; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $15 = 0;__label__ = 4; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $15; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $15; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment25getOrCreateBreakpointSiteEP9JSContextP8JSScriptPhP8JSObject($this, $cx, $script, $pc, $scriptObject) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $p=__stackBase__+4;
      var $7=__stackBase__+12;
      var $site=__stackBase__+20;
      var $site1;
      $2=$this;
      $3=$cx;
      $4=$script;
      HEAP32[(($5)>>2)]=$pc;
      $6=$scriptObject;
      var $8=$2;
      var $9=(($8+1956)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS1_($p, $9, $5); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=$p; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrcvMSE_FvvEEv($7, $10); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11={ f0: HEAP32[(($7)>>2)], f1: HEAP32[(($7+4)>>2)] }; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=$11.f0; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=(($12)|0)!=0; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($13) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $15=$3; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=(($15+52)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=$4; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=HEAP32[(($5)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=__ZN9JSRuntime4new_IN2js14BreakpointSiteEP8JSScriptPhEEPT_T0_T1_($17, $18, $19); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($site)>>2)]=$20; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=HEAP32[(($site)>>2)]; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=(($21)|0)!=0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $24=(($8+1956)|0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $25=__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S3_EENS7_13MapHashPolicyES6_E6AddPtrERKS1_RKS3_($24, $p, $5, $site); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $27=$3; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($27); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=0; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 10; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      __label__ = 6; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $30=$p; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $31=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrptEv($30); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $32=(($31+4)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $site1=$33; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $34=$site1; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $35=(($34+12)|0); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $37=(($36)|0)!=0; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      __label__ = 9; break; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $40=$6; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $41=$site1; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $42=(($41+12)|0); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      HEAP32[(($42)>>2)]=$40; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 9; break;
    case 9: 
      var $44=$site1; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $1=$44; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 10; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      var $46=$1; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment25getOrCreateBreakpointSiteEP9JSContextP8JSScriptPhP8JSObject["X"]=1;

function __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E12lookupForAddERKS3_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN9JSRuntime4new_IN2js14BreakpointSiteEP8JSScriptPhEEPT_T0_T1_($this, $p1, $p2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $memory;
      $1=$this;
      $2=$p1;
      $3=$p2;
      var $4=$1;
      var $5=__ZN9JSRuntime7malloc_EjP9JSContext($4, 40, 0); //@line 761 "./jscntxt.h"
      $memory=$5; //@line 761 "./jscntxt.h"
      var $6=$memory; //@line 761 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 761 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 761 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 761 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 761 "./jscntxt.h"
      if ($10) { var $16 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 761 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 761 "./jscntxt.h"
      var $13=$2; //@line 761 "./jscntxt.h"
      var $14=$3; //@line 761 "./jscntxt.h"
      FUNCTION_TABLE[__ZN2js14BreakpointSiteC1EP8JSScriptPh]($12, $13, $14); //@line 761 "./jscntxt.h"
      var $16 = $12;__label__ = 4; break; //@line 761 "./jscntxt.h"
    case 4: 
      var $16; //@line 761 "./jscntxt.h"
      var $19 = $16;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 5: 
      var $19 = 0;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 6: 
      var $19; //@line 761 "./jscntxt.h"
      ;
      return $19; //@line 761 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S3_EENS7_13MapHashPolicyES6_E6AddPtrERKS1_RKS3_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrEPPS6_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js14BreakpointSite7hasTrapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 432 "./vm/Debugger.h"
  var $4=HEAP32[(($3)>>2)]; //@line 432 "./vm/Debugger.h"
  var $5=(($4)|0)!=0; //@line 432 "./vm/Debugger.h"
  var $6=$5 ^ 1; //@line 432 "./vm/Debugger.h"
  var $7=$6 ^ 1; //@line 432 "./vm/Debugger.h"
  ;
  return $7; //@line 432 "./vm/Debugger.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN13JSCompartment18clearBreakpointsInEP9JSContextPN2js8DebuggerEP8JSScriptP8JSObject($this, $cx, $dbg, $script, $handler) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $e=__stackBase__;
      var $6;
      var $site;
      var $nextbp;
      var $bp;
      $1=$this;
      $2=$cx;
      $3=$dbg;
      $4=$script;
      $5=$handler;
      var $7=$1;
      var $8=(($7+1956)|0); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumC1ISB_EERT_($e, $8); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $10=$e; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $11=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($10); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $12=$11 ^ 1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      $6=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumD1Ev($e); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 18; break;
    case 4: 
      var $15=$e; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($15); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=(($16+4)|0); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $site=$18; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $19=$4; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $20=(($19)|0)!=0; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $22=$site; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=(($22)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $25=$4; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $26=(($24)|0)==(($25)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 16; break; } //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $28=$site; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $29=__ZNK2js14BreakpointSite15firstBreakpointEv($28); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $bp=$29; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 7; break; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      var $31=$bp; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $32=(($31)|0)!=0; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $34=$bp; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $35=__ZN2js10Breakpoint10nextInSiteEv($34); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $nextbp=$35; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $36=$3; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $37=(($36)|0)!=0; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      var $39=$bp; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $40=(($39)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $42=$3; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $43=(($41)|0)==(($42)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      var $45=$5; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $46=(($45)|0)!=0; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 11: 
      var $48=$bp; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $49=__ZNK2js10Breakpoint10getHandlerEv($48); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $50=$5; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $51=(($49)|0)==(($50)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 12: 
      var $53=$bp; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $54=$2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js10Breakpoint7destroyEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_E4EnumE($53, $54, $e); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 13; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 13: 
      __label__ = 14; break; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 14: 
      var $57=$nextbp; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $bp=$57; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 7; break; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 15: 
      __label__ = 16; break; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 16: 
      __label__ = 17; break; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 17: 
      var $61=$e; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($61); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 18: 
      STACKTOP = __stackBase__;
      return; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment18clearBreakpointsInEP9JSContextPN2js8DebuggerEP8JSScriptP8JSObject["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumC1ISB_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumC2ISB_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN13JSCompartment10clearTrapsEP9JSContextP8JSScript($this, $cx, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e=__stackBase__;
      var $4;
      var $site;
      $1=$this;
      $2=$cx;
      $3=$script;
      var $5=$1;
      var $6=(($5+1956)|0); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumC1ISB_EERT_($e, $6); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $8=$e; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($8); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=$9 ^ 1; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      $4=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumD1Ev($e); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 9; break;
    case 4: 
      var $13=$e; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($13); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=(($14+4)|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $site=$16; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=$3; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=(($17)|0)!=0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $20=$site; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=(($20)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=$3; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $24=(($22)|0)==(($23)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $26=$site; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $27=$2; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js14BreakpointSite9clearTrapEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumEPPF12JSTrapStatusS2_P8JSScriptS6_PN2JS5ValueESM_ESN_($26, $27, $e, 0, 0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 7; break; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      __label__ = 8; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      var $30=$e; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($30); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment27markTrapClosuresIterativelyEP8JSTracer($this, $trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $markedAny;
      var $cx;
      var $r=__stackBase__;
      var $site;
      $1=$this;
      $2=$trc;
      var $3=$1;
      $markedAny=0; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $4=$2; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $5=(($4)|0); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $cx=$6; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $7=(($3+1956)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3allEv($r, $7); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 2: 
      var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($r); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $10=$9 ^ 1; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 3: 
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($r); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $13=(($12+4)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      $site=$14; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $15=$site; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $16=(($15+28)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $18=(($17)|0)!=0; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 4: 
      var $20=$site; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $21=(($20+12)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $23=(($22)|0)!=0; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 5: 
      var $25=$cx; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $26=$site; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $27=(($26+12)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $29=$28; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $30=__Z20IsAboutToBeFinalizedP9JSContextPKv($25, $29); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 6; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 6: 
      var $32=$site; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $33=(($32+32)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $34=__ZNK2JS5Value10isMarkableEv($33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 7: 
      var $36=$cx; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $37=$site; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $38=(($37+32)|0); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $39=__ZNK2JS5Value9toGCThingEv($38); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $40=__Z20IsAboutToBeFinalizedP9JSContextPKv($36, $39); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 8: 
      $markedAny=1; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 9; break; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 9: 
      var $43=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $44=$site; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $45=(($44+32)|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($43, $45, ((STRING_TABLE.__str5833)|0)); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 10; break; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 10: 
      __label__ = 11; break; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 11: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($r); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      __label__ = 2; break; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    case 12: 
      var $49=$markedAny; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      var $50=(($49) & 1); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscompartment.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSCompartment27markTrapClosuresIterativelyEP8JSTracer["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free864($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc865($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumC2ISB_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrEPPS6_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E12lookupForAddERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11prepareHashERKS3_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6lookupERKS3_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrC2ERNS0_14HashTableEntryIS6_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZNK2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS3_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_jEENS5_13MapHashPolicyES4_E6AddPtrERKS1_RKj($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS4_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS4_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEENS_7MoveRefIT_EERS8_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEaSENS_7MoveRefIS5_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPhjEEEC2ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIPhjEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js12HashMapEntryIPhjEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_jEE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 257 "./dist/include/mozilla/Util.h"
  var $4=HEAP8[($3)]; //@line 257 "./dist/include/mozilla/Util.h"
  var $5=(($4) & 1); //@line 257 "./dist/include/mozilla/Util.h"
  var $6=$5 ^ 1; //@line 257 "./dist/include/mozilla/Util.h"
  ;
  return $6; //@line 257 "./dist/include/mozilla/Util.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIPhjEEEENS_7MoveRefIT_EERS5_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhjEaSENS_7MoveRefIS2_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIPhjEaSENS_7MoveRefIS2_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIPhjEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIPhEENS_7MoveRefIT_EERKS3_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIPhEcvRS1_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIPhjEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIjEENS_7MoveRefIT_EERS2_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIjEcvRjEv($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIPhjEEEENS_7MoveRefIT_EERS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPhjEEEC1ERS3_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPhjEEEC1ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPhjEEEC2ERS3_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhjEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPhjEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIPhjEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS3_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS3_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIPhLj2EE4hashERKS1_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS4_EERKS3_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS4_EERKS3_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS4_EERKS3_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_jEE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIPhLj2EE5matchERKS1_S4_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS3_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE7destroyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3refEv($2); //@line 309 "./dist/include/mozilla/Util.h"
  __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($3); //@line 309 "./dist/include/mozilla/Util.h"
  var $4=(($2+24)|0); //@line 310 "./dist/include/mozilla/Util.h"
  HEAP8[($4)]=0; //@line 310 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 311 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3refEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3asTEv($2); //@line 300 "./dist/include/mozilla/Util.h"
  ;
  return $3; //@line 300 "./dist/include/mozilla/Util.h"
}


function __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla15AlignedStorage2IN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 228 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 228 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 228 "./dist/include/mozilla/Util.h"
  var $6=$5; //@line 228 "./dist/include/mozilla/Util.h"
  ;
  return $6; //@line 228 "./dist/include/mozilla/Util.h"
}


function __ZN3WTF20BumpPointerAllocatorC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 228 "./yarr/BumpPointerAllocator.h"
  HEAP32[(($3)>>2)]=0; //@line 228 "./yarr/BumpPointerAllocator.h"
  ;
  return; //@line 229 "./yarr/BumpPointerAllocator.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC2ES7_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 254 "./dist/include/mozilla/Util.h"
  var $4=(($2+24)|0); //@line 254 "./dist/include/mozilla/Util.h"
  HEAP8[($4)]=0; //@line 254 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 254 "./dist/include/mozilla/Util.h"
}


function __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3asTEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 248 "./dist/include/mozilla/Util.h"
  var $4=__ZN7mozilla15AlignedStorage2IN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE4addrEv($3); //@line 248 "./dist/include/mozilla/Util.h"
  ;
  return $4; //@line 248 "./dist/include/mozilla/Util.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC2IS9_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*24)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+24)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11createTableERSA_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4initEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj["X"]=1;

function __ZN3WTF20BumpPointerAllocatorC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN3WTF20BumpPointerAllocatorC2Ev($2); //@line 229 "./yarr/BumpPointerAllocator.h"
  ;
  return; //@line 229 "./yarr/BumpPointerAllocator.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11createTableERS7_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4initEj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11createTableERS7_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj["X"]=1;

function __ZN2js13WatchpointMapD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13WatchpointMapD2Ev($2); //@line 72 "./jswatchpoint.h"
  ;
  return; //@line 72 "./jswatchpoint.h"
}


function __ZN2js13WatchpointMapD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 72 "./jswatchpoint.h"
  __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev($3); //@line 72 "./jswatchpoint.h"
  ;
  return; //@line 72 "./jswatchpoint.h"
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*24)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+24)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 255 "./dist/include/mozilla/Util.h"
      var $4=HEAP8[($3)]; //@line 255 "./dist/include/mozilla/Util.h"
      var $5=(($4) & 1); //@line 255 "./dist/include/mozilla/Util.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 255 "./dist/include/mozilla/Util.h"
    case 2: 
      var $7=__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3asTEv($2); //@line 255 "./dist/include/mozilla/Util.h"
      __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev($7); //@line 255 "./dist/include/mozilla/Util.h"
      __label__ = 3; break; //@line 255 "./dist/include/mozilla/Util.h"
    case 3: 
      ;
      return; //@line 255 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES4_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEEC2ES4_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC1ES7_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC1ES7_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC2ES7_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEEC2ES4_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEEC2ES6_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jsprvtd.h"
  var $5=$2; //@line 985 "./jsprvtd.h"
  var $6=$a; //@line 985 "./jsprvtd.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_EC1ESA_($4, $2); //@line 985 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_EC1ESA_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_EC2ESA_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_EC2ESA_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js2gc8FreeSpanC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 134 "./jsgc.h"
}


function __ZN2js2gc8FreeSpan13encodeOffsetsEjj($firstOffset, $lastOffset) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$firstOffset;
  $2=$lastOffset;
  var $3=$1; //@line 151 "./jsgc.h"
  var $4=$2; //@line 151 "./jsgc.h"
  var $5=$4 << 16; //@line 151 "./jsgc.h"
  var $6=$3 | $5; //@line 151 "./jsgc.h"
  ;
  return $6; //@line 151 "./jsgc.h"
}


function __ZNK2js2gc11ArenaHeader7addressEv($this) {
  ;
  var __label__;

  var $1;
  var $addr;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 722 "./jsgc.h"
  $addr=$3; //@line 722 "./jsgc.h"
  var $4=$addr; //@line 725 "./jsgc.h"
  ;
  return $4; //@line 725 "./jsgc.h"
}


function _JSID_IS_STRING869($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_STRING870($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_TO_INT872($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_OBJECT873($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT874($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function __ZN2js2gc5Chunk11fromAddressEj($addr) {
  ;
  var __label__;

  var $1;
  $1=$addr;
  var $2=$1; //@line 624 "./jsgc.h"
  var $3=$2 & -1048576; //@line 624 "./jsgc.h"
  $1=$3; //@line 624 "./jsgc.h"
  var $4=$1; //@line 625 "./jsgc.h"
  var $5=$4; //@line 625 "./jsgc.h"
  ;
  return $5; //@line 625 "./jsgc.h"
}


function __ZN2jsL8JsvalifyEPNS_5ClassE878($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 382 "./jsclass.h"
  var $3=$2; //@line 382 "./jsclass.h"
  ;
  return $3; //@line 382 "./jsclass.h"
}


function __ZN2js18ThreadContextRangeC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2121 "./jscntxt.h"
  var $5=(($4+52)|0); //@line 2121 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 2121 "./jscntxt.h"
  var $7=(($6+144140)|0); //@line 2121 "./jscntxt.h"
  var $8=(($3+4)|0); //@line 2121 "./jscntxt.h"
  HEAP32[(($8)>>2)]=$7; //@line 2121 "./jscntxt.h"
  var $9=(($3+4)|0); //@line 2123 "./jscntxt.h"
  var $10=HEAP32[(($9)>>2)]; //@line 2123 "./jscntxt.h"
  var $11=(($10)|0); //@line 2123 "./jscntxt.h"
  var $12=HEAP32[(($11)>>2)]; //@line 2123 "./jscntxt.h"
  var $13=(($3)|0); //@line 2123 "./jscntxt.h"
  HEAP32[(($13)>>2)]=$12; //@line 2123 "./jscntxt.h"
  ;
  return; //@line 2124 "./jscntxt.h"
}


function __ZN2js2gc8FreeSpan11initAsEmptyEj($this, $arenaAddr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$arenaAddr;
  var $3=$1;
  var $4=$2; //@line 177 "./jsgc.h"
  var $5=(($4+4096)|0); //@line 177 "./jsgc.h"
  var $6=(($3)|0); //@line 177 "./jsgc.h"
  HEAP32[(($6)>>2)]=$5; //@line 177 "./jsgc.h"
  var $7=$2; //@line 178 "./jsgc.h"
  var $8=$7 | 4095; //@line 178 "./jsgc.h"
  var $9=(($3+4)|0); //@line 178 "./jsgc.h"
  HEAP32[(($9)>>2)]=$8; //@line 178 "./jsgc.h"
  ;
  return; //@line 180 "./jsgc.h"
}


function __ZNK2js2gc8FreeSpan21arenaAddressUncheckedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 207 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 207 "./jsgc.h"
  var $5=$4 & -4096; //@line 207 "./jsgc.h"
  ;
  return $5; //@line 207 "./jsgc.h"
}


function _JSVAL_TO_GCTHING_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 590 "./jsval.h"
  var $2=(($1)|0); //@line 590 "./jsval.h"
  var $3=$2; //@line 590 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 590 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 590 "./jsval.h"
}


function __ZNK2js2gc8FreeSpan8nextSpanEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 194 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 194 "./jsgc.h"
  var $5=$4; //@line 194 "./jsgc.h"
  ;
  return $5; //@line 194 "./jsgc.h"
}


function __ZN2js2gc5Arena16firstThingOffsetENS0_9AllocKindE($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 500 "./jsgc.h"
  var $3=((__ZN2js2gc5Arena17FirstThingOffsetsE+($2<<2))|0); //@line 500 "./jsgc.h"
  var $4=((((HEAPU8[($3)])|(HEAPU8[($3+1)]<<8)|(HEAPU8[($3+2)]<<16)|(HEAPU8[($3+3)]<<24))|0)); //@line 500 "./jsgc.h"
  ;
  return $4; //@line 500 "./jsgc.h"
}


function __ZNK2js2gc10ArenaLists13getFirstArenaENS0_9AllocKindE($this, $thingKind) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$thingKind;
  var $3=$1;
  var $4=$2; //@line 959 "./jsgc.h"
  var $5=(($3+160)|0); //@line 959 "./jsgc.h"
  var $6=(($5+($4<<3))|0); //@line 959 "./jsgc.h"
  var $7=(($6)|0); //@line 959 "./jsgc.h"
  var $8=HEAP32[(($7)>>2)]; //@line 959 "./jsgc.h"
  ;
  return $8; //@line 959 "./jsgc.h"
}


function _BUILD_JSVAL867($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL868($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL876($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL877($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZNK9JSWrapper5flagsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 54 "./jswrapper.h"
  var $4=HEAP32[(($3)>>2)]; //@line 54 "./jswrapper.h"
  ;
  return $4; //@line 54 "./jswrapper.h"
}


function _OBJECT_TO_JSVAL_IMPL879($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL880($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL881($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL882($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_TRACEABLE_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=$l; //@line 596 "./jsval.h"
      var $2=(($1+4)|0); //@line 596 "./jsval.h"
      var $3=HEAP32[(($2)>>2)]; //@line 596 "./jsval.h"
      var $4=(($3)|0)==-123; //@line 596 "./jsval.h"
      if ($4) { var $11 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 596 "./jsval.h"
    case 2: 
      var $6=$l; //@line 596 "./jsval.h"
      var $7=(($6+4)|0); //@line 596 "./jsval.h"
      var $8=HEAP32[(($7)>>2)]; //@line 596 "./jsval.h"
      var $9=(($8)|0)==-121; //@line 596 "./jsval.h"
      var $11 = $9;__label__ = 3; break; //@line 596 "./jsval.h"
    case 3: 
      var $11;
      var $12=(($11)&1); //@line 596 "./jsval.h"
      STACKTOP = __stackBase__;
      return $12; //@line 596 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18RuntimeAllocPolicyC2EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=(($3)|0); //@line 2543 "./jscntxt.h"
  var $5=$2; //@line 2543 "./jscntxt.h"
  HEAP32[(($4)>>2)]=$5; //@line 2543 "./jscntxt.h"
  ;
  return; //@line 2543 "./jscntxt.h"
}


function __ZN2js9DtoaCacheC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 357 "./jscompartment.h"
  HEAP32[(($3)>>2)]=0; //@line 357 "./jscompartment.h"
  ;
  return; //@line 357 "./jscompartment.h"
}


function __ZN2js12PropertyTreeC2EP13JSCompartment($this, $comp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$comp;
  var $3=$1;
  var $4=(($3)|0); //@line 114 "./jspropertytree.h"
  var $5=$2; //@line 114 "./jspropertytree.h"
  HEAP32[(($4)>>2)]=$5; //@line 114 "./jspropertytree.h"
  ;
  return; //@line 115 "./jspropertytree.h"
}


function __ZN2jsL12PodArrayZeroIP8JSObjectLj256EEEvRAT0__T_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  var $4=$3; //@line 684 "./jsutil.h"
  _memset($4, 0, 1024, 1); //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function __ZNK2js2gc8FreeSpan7isEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZNK2js2gc8FreeSpan9checkSpanEv($2); //@line 183 "./jsgc.h"
  var $3=(($2)|0); //@line 184 "./jsgc.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 184 "./jsgc.h"
  var $5=(($2+4)|0); //@line 184 "./jsgc.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 184 "./jsgc.h"
  var $7=(($4)>>>0) > (($6)>>>0); //@line 184 "./jsgc.h"
  ;
  return $7; //@line 184 "./jsgc.h"
}


function __ZNK2js2gc8FreeSpan11arenaHeaderEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc8FreeSpan12arenaAddressEv($2); //@line 216 "./jsgc.h"
  var $4=$3; //@line 216 "./jsgc.h"
  ;
  return $4; //@line 216 "./jsgc.h"
}


function __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($this, $span) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$span;
  var $3=$1;
  var $4=$2; //@line 459 "./jsgc.h"
  var $5=__ZNK2js2gc8FreeSpan15encodeAsOffsetsEv($4); //@line 459 "./jsgc.h"
  var $6=(($3+8)|0); //@line 459 "./jsgc.h"
  HEAP32[(($6)>>2)]=$5; //@line 459 "./jsgc.h"
  ;
  return; //@line 460 "./jsgc.h"
}


function __ZNK2js2gc8FreeSpan15encodeAsOffsetsEv($this) {
  ;
  var __label__;

  var $1;
  var $arenaAddr;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc8FreeSpan12arenaAddressEv($2); //@line 237 "./jsgc.h"
  $arenaAddr=$3; //@line 237 "./jsgc.h"
  var $4=(($2)|0); //@line 238 "./jsgc.h"
  var $5=HEAP32[(($4)>>2)]; //@line 238 "./jsgc.h"
  var $6=$arenaAddr; //@line 238 "./jsgc.h"
  var $7=(($5-$6)|0); //@line 238 "./jsgc.h"
  var $8=(($2+4)|0); //@line 238 "./jsgc.h"
  var $9=HEAP32[(($8)>>2)]; //@line 238 "./jsgc.h"
  var $10=$9 & 4095; //@line 238 "./jsgc.h"
  var $11=__ZN2js2gc8FreeSpan13encodeOffsetsEjj($7, $10); //@line 238 "./jsgc.h"
  ;
  return $11; //@line 238 "./jsgc.h"
}


function __ZNK2js2gc8FreeSpan12arenaAddressEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZNK2js2gc8FreeSpan9checkSpanEv($2); //@line 211 "./jsgc.h"
  var $3=__ZNK2js2gc8FreeSpan21arenaAddressUncheckedEv($2); //@line 212 "./jsgc.h"
  ;
  return $3; //@line 212 "./jsgc.h"
}


function __ZNK2js2gc8FreeSpan7hasNextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZNK2js2gc8FreeSpan9checkSpanEv($2); //@line 188 "./jsgc.h"
  var $3=(($2+4)|0); //@line 189 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 189 "./jsgc.h"
  var $5=$4 & 1; //@line 189 "./jsgc.h"
  var $6=(($5)|0)!=0; //@line 189 "./jsgc.h"
  var $7=$6 ^ 1; //@line 189 "./jsgc.h"
  ;
  return $7; //@line 189 "./jsgc.h"
}


function __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc11ArenaHeader12arenaAddressEv($2); //@line 454 "./jsgc.h"
  var $4=(($2+8)|0); //@line 454 "./jsgc.h"
  var $5=HEAP32[(($4)>>2)]; //@line 454 "./jsgc.h"
  __ZN2js2gc8FreeSpan13decodeOffsetsEjj($agg_result, $3, $5); //@line 454 "./jsgc.h"
  ;
  return; //@line 454 "./jsgc.h"
}


function __ZNK2js2gc11ArenaHeader12arenaAddressEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc11ArenaHeader7addressEv($2); //@line 426 "./jsgc.h"
  ;
  return $3; //@line 426 "./jsgc.h"
}


function __ZN2js2gc8FreeSpan13decodeOffsetsEjj($agg_result, $arenaAddr, $offsets) {
  ;
  var __label__;

  var $1;
  var $2;
  var $firstOffset;
  var $lastOffset;
  $1=$arenaAddr;
  $2=$offsets;
  var $3=$2; //@line 163 "./jsgc.h"
  var $4=$3 & 65535; //@line 163 "./jsgc.h"
  $firstOffset=$4; //@line 163 "./jsgc.h"
  var $5=$2; //@line 164 "./jsgc.h"
  var $6=$5 >>> 16; //@line 164 "./jsgc.h"
  $lastOffset=$6; //@line 164 "./jsgc.h"
  var $7=$1; //@line 172 "./jsgc.h"
  var $8=$firstOffset; //@line 172 "./jsgc.h"
  var $9=(($7+$8)|0); //@line 172 "./jsgc.h"
  var $10=$1; //@line 172 "./jsgc.h"
  var $11=$lastOffset; //@line 172 "./jsgc.h"
  var $12=$10 | $11; //@line 172 "./jsgc.h"
  __ZN2js2gc8FreeSpanC1Ejj($agg_result, $9, $12); //@line 172 "./jsgc.h"
  ;
  return; //@line 172 "./jsgc.h"
}


function __ZN2js2gc8FreeSpanC1Ejj($this, $first, $last) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$first;
  $3=$last;
  var $4=$1;
  var $5=$2; //@line 139 "./jsgc.h"
  var $6=$3; //@line 139 "./jsgc.h"
  __ZN2js2gc8FreeSpanC2Ejj($4, $5, $6); //@line 139 "./jsgc.h"
  ;
  return; //@line 139 "./jsgc.h"
}


function __ZN2js2gc8FreeSpanC2Ejj($this, $first, $last) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$first;
  $3=$last;
  var $4=$1;
  var $5=(($4)|0); //@line 137 "./jsgc.h"
  var $6=$2; //@line 137 "./jsgc.h"
  HEAP32[(($5)>>2)]=$6; //@line 137 "./jsgc.h"
  var $7=(($4+4)|0); //@line 137 "./jsgc.h"
  var $8=$3; //@line 137 "./jsgc.h"
  HEAP32[(($7)>>2)]=$8; //@line 137 "./jsgc.h"
  __ZNK2js2gc8FreeSpan9checkSpanEv($4); //@line 138 "./jsgc.h"
  ;
  return; //@line 139 "./jsgc.h"
}


function __ZN2js2gc15CellIterUnderGCC2EP13JSCompartmentNS0_9AllocKindE($this, $comp, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$comp;
  $3=$kind;
  var $4=$1;
  var $5=$4; //@line 274 "./jsgcinlines.h"
  __ZN2js2gc12CellIterImplC2Ev($5); //@line 274 "./jsgcinlines.h"
  var $6=$4; //@line 276 "./jsgcinlines.h"
  var $7=$2; //@line 276 "./jsgcinlines.h"
  var $8=$3; //@line 276 "./jsgcinlines.h"
  __ZN2js2gc12CellIterImpl4initEP13JSCompartmentNS0_9AllocKindE($6, $7, $8); //@line 276 "./jsgcinlines.h"
  ;
  return; //@line 277 "./jsgcinlines.h"
}


function __ZN2js2gc12CellIterImplC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 219 "./jsgcinlines.h"
  __ZN2js2gc8FreeSpanC1Ev($3); //@line 219 "./jsgcinlines.h"
  ;
  return; //@line 220 "./jsgcinlines.h"
}


function __ZN2js2gc12CellIterImpl4initEP13JSCompartmentNS0_9AllocKindE($this, $comp, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$comp;
  $3=$kind;
  var $4=$1;
  var $5=$3; //@line 224 "./jsgcinlines.h"
  var $6=__ZN2js2gc5Arena16firstThingOffsetENS0_9AllocKindE($5); //@line 224 "./jsgcinlines.h"
  var $7=(($4)|0); //@line 224 "./jsgcinlines.h"
  HEAP32[(($7)>>2)]=$6; //@line 224 "./jsgcinlines.h"
  var $8=$3; //@line 225 "./jsgcinlines.h"
  var $9=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($8); //@line 225 "./jsgcinlines.h"
  var $10=(($4+4)|0); //@line 225 "./jsgcinlines.h"
  HEAP32[(($10)>>2)]=$9; //@line 225 "./jsgcinlines.h"
  var $11=$2; //@line 226 "./jsgcinlines.h"
  var $12=(($11+8)|0); //@line 226 "./jsgcinlines.h"
  var $13=$3; //@line 226 "./jsgcinlines.h"
  var $14=__ZNK2js2gc10ArenaLists13getFirstArenaENS0_9AllocKindE($12, $13); //@line 226 "./jsgcinlines.h"
  var $15=(($4+8)|0); //@line 226 "./jsgcinlines.h"
  HEAP32[(($15)>>2)]=$14; //@line 226 "./jsgcinlines.h"
  var $16=(($4+12)|0); //@line 227 "./jsgcinlines.h"
  __ZN2js2gc8FreeSpan11initAsEmptyEj($16, 0); //@line 227 "./jsgcinlines.h"
  var $17=(($4+12)|0); //@line 228 "./jsgcinlines.h"
  var $18=(($4+20)|0); //@line 228 "./jsgcinlines.h"
  HEAP32[(($18)>>2)]=$17; //@line 228 "./jsgcinlines.h"
  var $19=(($4+20)|0); //@line 229 "./jsgcinlines.h"
  var $20=HEAP32[(($19)>>2)]; //@line 229 "./jsgcinlines.h"
  var $21=(($20)|0); //@line 229 "./jsgcinlines.h"
  var $22=HEAP32[(($21)>>2)]; //@line 229 "./jsgcinlines.h"
  var $23=(($4+24)|0); //@line 229 "./jsgcinlines.h"
  HEAP32[(($23)>>2)]=$22; //@line 229 "./jsgcinlines.h"
  __ZN2js2gc12CellIterImpl4nextEv($4); //@line 230 "./jsgcinlines.h"
  ;
  return; //@line 231 "./jsgcinlines.h"
}


function __ZN2js2gc8FreeSpanC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js2gc8FreeSpanC2Ev($2); //@line 134 "./jsgc.h"
  ;
  return; //@line 134 "./jsgc.h"
}


function __ZN2JSL17ObjectOrNullValueEP8JSObject866($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 758 "./jsapi.h"
  __ZN2JS5Value15setObjectOrNullEP8JSObject($agg_result, $2); //@line 758 "./jsapi.h"
  ;
  return; //@line 759 "./jsapi.h"
}


function __ZN2JSL10Int32ValueEi871($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv875($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js2gc10ArenaListsD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i;
      var $headp;
      var $aheader;
      $1=$this;
      var $2=$1;
      $i=0; //@line 938 "./jsgc.h"
      __label__ = 2; break; //@line 938 "./jsgc.h"
    case 2: 
      var $4=$i; //@line 938 "./jsgc.h"
      var $5=(($4)|0)!=20; //@line 938 "./jsgc.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 938 "./jsgc.h"
    case 3: 
      var $7=$i; //@line 946 "./jsgc.h"
      var $8=(($2+160)|0); //@line 946 "./jsgc.h"
      var $9=(($8+($7<<3))|0); //@line 946 "./jsgc.h"
      var $10=(($9)|0); //@line 946 "./jsgc.h"
      $headp=$10; //@line 946 "./jsgc.h"
      __label__ = 4; break; //@line 947 "./jsgc.h"
    case 4: 
      var $12=$headp; //@line 947 "./jsgc.h"
      var $13=HEAP32[(($12)>>2)]; //@line 947 "./jsgc.h"
      $aheader=$13; //@line 947 "./jsgc.h"
      var $14=$aheader; //@line 947 "./jsgc.h"
      var $15=(($14)|0)!=0; //@line 947 "./jsgc.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 947 "./jsgc.h"
    case 5: 
      var $17=$aheader; //@line 948 "./jsgc.h"
      var $18=(($17+4)|0); //@line 948 "./jsgc.h"
      var $19=HEAP32[(($18)>>2)]; //@line 948 "./jsgc.h"
      var $20=$headp; //@line 948 "./jsgc.h"
      HEAP32[(($20)>>2)]=$19; //@line 948 "./jsgc.h"
      var $21=$aheader; //@line 949 "./jsgc.h"
      var $22=__ZNK2js2gc11ArenaHeader5chunkEv($21); //@line 949 "./jsgc.h"
      var $23=$aheader; //@line 949 "./jsgc.h"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($22, $23); //@line 949 "./jsgc.h"
      __label__ = 4; break; //@line 950 "./jsgc.h"
    case 6: 
      __label__ = 7; break; //@line 951 "./jsgc.h"
    case 7: 
      var $26=$i; //@line 938 "./jsgc.h"
      var $27=(($26+1)|0); //@line 938 "./jsgc.h"
      $i=$27; //@line 938 "./jsgc.h"
      __label__ = 2; break; //@line 938 "./jsgc.h"
    case 8: 
      ;
      return; //@line 952 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js2gc11ArenaHeader5chunkEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc11ArenaHeader7addressEv($2); //@line 731 "./jsgc.h"
  var $4=__ZN2js2gc5Chunk11fromAddressEj($3); //@line 731 "./jsgc.h"
  ;
  return $4; //@line 731 "./jsgc.h"
}


function __ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 174 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_ED1Ev($3); //@line 174 "./jsprvtd.h"
  ;
  return; //@line 174 "./jsprvtd.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E12destroyTableERSA_PNS0_14HashTableEntryIS6_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15NativeIterCacheC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+1024)|0); //@line 325 "./jscompartment.h"
  HEAP32[(($3)>>2)]=0; //@line 325 "./jscompartment.h"
  var $4=(($2)|0); //@line 326 "./jscompartment.h"
  __ZN2jsL12PodArrayZeroIP8JSObjectLj256EEEvRAT0__T_($4); //@line 326 "./jscompartment.h"
  ;
  return; //@line 327 "./jscompartment.h"
}


function __ZN2js5crashL8GetStackEPyS1_PNS0_14CrashRegistersEPcj($stack, $stack_len, $regs, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$stack;
  $2=$stack_len;
  $3=$regs;
  $4=$buffer;
  $5=$size;
  ;
  return 0; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
}


function __ZN2js5crash4Ring10bufferSizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 32768; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
}


function _JS_EnumerateDiagnosticMemoryRegions($callback) {
  ;
  var __label__;

  var $1;
  $1=$callback;
  ;
  return; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
}


function __ZN2js2gc10ArenaLists9ArenaList5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 882 "./jsgc.h"
  HEAP32[(($3)>>2)]=0; //@line 882 "./jsgc.h"
  var $4=(($2)|0); //@line 883 "./jsgc.h"
  var $5=(($2+4)|0); //@line 883 "./jsgc.h"
  HEAP32[(($5)>>2)]=$4; //@line 883 "./jsgc.h"
  ;
  return; //@line 884 "./jsgc.h"
}


function __ZN2js2gc10ArenaListsC2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 928 "./jsgc.h"
      var $4=(($3)|0); //@line 928 "./jsgc.h"
      var $5=(($4+160)|0); //@line 928 "./jsgc.h"
      var $7 = $4;__label__ = 2; break; //@line 928 "./jsgc.h"
    case 2: 
      var $7; //@line 928 "./jsgc.h"
      __ZN2js2gc8FreeSpanC1Ev($7); //@line 928 "./jsgc.h"
      var $8=(($7+8)|0); //@line 928 "./jsgc.h"
      var $9=(($8)|0)==(($5)|0); //@line 928 "./jsgc.h"
      if ($9) { __label__ = 3; break; } else { var $7 = $8;__label__ = 2; break; } //@line 928 "./jsgc.h"
    case 3: 
      var $11=(($2+160)|0); //@line 928 "./jsgc.h"
      var $12=(($11)|0); //@line 928 "./jsgc.h"
      var $13=(($12+160)|0); //@line 928 "./jsgc.h"
      var $15 = $12;__label__ = 4; break; //@line 928 "./jsgc.h"
    case 4: 
      var $15; //@line 928 "./jsgc.h"
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($15); //@line 928 "./jsgc.h"
      var $16=(($15+8)|0); //@line 928 "./jsgc.h"
      var $17=(($16)|0)==(($13)|0); //@line 928 "./jsgc.h"
      if ($17) { __label__ = 5; break; } else { var $15 = $16;__label__ = 4; break; } //@line 928 "./jsgc.h"
    case 5: 
      $i=0; //@line 929 "./jsgc.h"
      __label__ = 6; break; //@line 929 "./jsgc.h"
    case 6: 
      var $20=$i; //@line 929 "./jsgc.h"
      var $21=(($20)|0)!=20; //@line 929 "./jsgc.h"
      if ($21) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 929 "./jsgc.h"
    case 7: 
      var $23=$i; //@line 930 "./jsgc.h"
      var $24=(($2)|0); //@line 930 "./jsgc.h"
      var $25=(($24+($23<<3))|0); //@line 930 "./jsgc.h"
      __ZN2js2gc8FreeSpan11initAsEmptyEj($25, 0); //@line 930 "./jsgc.h"
      __label__ = 8; break; //@line 930 "./jsgc.h"
    case 8: 
      var $27=$i; //@line 929 "./jsgc.h"
      var $28=(($27+1)|0); //@line 929 "./jsgc.h"
      $i=$28; //@line 929 "./jsgc.h"
      __label__ = 6; break; //@line 929 "./jsgc.h"
    case 9: 
      ;
      return; //@line 935 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists9ArenaListC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js2gc10ArenaLists9ArenaListC2Ev($2); //@line 879 "./jsgc.h"
  ;
  return; //@line 879 "./jsgc.h"
}


function __ZN2js2gc10ArenaLists9ArenaListC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js2gc10ArenaLists9ArenaList5clearEv($2); //@line 878 "./jsgc.h"
  ;
  return; //@line 879 "./jsgc.h"
}


function __ZN2js5crash5StackC2Ey($this, $id$0, $id$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$id$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$id$1;
  var $3=$1;
  var $4=$3; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $st$9$0=(($2)|0);
  var $5$0=HEAP32[(($st$9$0)>>2)];
  var $st$9$1=(($2+4)|0);
  var $5$1=HEAP32[(($st$9$1)>>2)];
  __ZN2js5crash10CrashStackC2Ey($4, $5$0, $5$1);
  STACKTOP = __stackBase__;
  return; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
}


function __ZN2js5crash10CrashStackC2Ey($this, $id$0, $id$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$id$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$id$1;
  var $3=$1;
  var $4=(($3)|0); //@line 84 "./jscrashformat.h"
  var $st$9$0=(($2)|0);
  var $5$0=HEAP32[(($st$9$0)>>2)];
  var $st$9$1=(($2+4)|0);
  var $5$1=HEAP32[(($st$9$1)>>2)];
  __ZN2js5crash11CrashHeaderC1Ey($4, $5$0, $5$1);
  var $6=(($3+32)|0); //@line 84 "./jscrashformat.h"
  STACKTOP = __stackBase__;
  return; //@line 84 "./jscrashformat.h"
}


function __ZN2js5crash5Stack8snapshotEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=_time(0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $4$0=$3;
  var $4$1=(($3|0) < 0 ? -1 : 0);
  var $5=$2; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $6=(($5+24)|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $st$8$0=(($6)|0);
  HEAP32[(($st$8$0)>>2)]=$4$0;
  var $st$8$1=(($6+4)|0);
  HEAP32[(($st$8$1)>>2)]=$4$1;
  var $7=$2; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $8=(($7+56)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $9=$2; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $10=(($9+64)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $11=$2; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $12=(($11+32)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $13=$2; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $14=(($13+72)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $15=(($14)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $16=__ZN2js5crashL8GetStackEPyS1_PNS0_14CrashRegistersEPcj($8, $10, $12, $15, 32768); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  ;
  return $16; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
}


function __ZN2js5crash4RingC2Ey($this, $id$0, $id$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$id$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$id$1;
  var $3=$1;
  var $4=$3; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $st$9$0=(($2)|0);
  var $5$0=HEAP32[(($st$9$0)>>2)];
  var $st$9$1=(($2+4)|0);
  var $5$1=HEAP32[(($st$9$1)>>2)];
  __ZN2js5crash9CrashRingC2Ey($4, $5$0, $5$1);
  STACKTOP = __stackBase__;
  return; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
}


function __ZN2js5crash9CrashRingC2Ey($this, $id$0, $id$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$id$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$id$1;
  var $3=$1;
  var $4=(($3)|0); //@line 96 "./jscrashformat.h"
  var $st$9$0=(($2)|0);
  var $5$0=HEAP32[(($st$9$0)>>2)];
  var $st$9$1=(($2+4)|0);
  var $5$1=HEAP32[(($st$9$1)>>2)];
  __ZN2js5crash11CrashHeaderC1Ey($4, $5$0, $5$1);
  var $6=(($3+24)|0); //@line 96 "./jscrashformat.h"
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=0;
  var $st$17$0=(($6)|0);
  HEAP32[(($st$17$0)>>2)]=$$emscripten$temp$0$0;
  var $st$17$1=(($6+4)|0);
  HEAP32[(($st$17$1)>>2)]=$$emscripten$temp$0$1;
  var $7=(($3+32)|0); //@line 96 "./jscrashformat.h"
  var $8=(($7)|0); //@line 96 "./jscrashformat.h"
  _memset($8, 0, 32768, 1); //@line 96 "./jscrashformat.h"
  STACKTOP = __stackBase__;
  return; //@line 96 "./jscrashformat.h"
}


function __ZN2js5crash4Ring4pushEyPvj($this, $tag$0, $tag$1, $data, $size) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3;
  var $4;
  var $t=__stackBase__+8;
  var $mysize=__stackBase__+16;
  $1=$this;
  var $st$7$0=(($2)|0);
  HEAP32[(($st$7$0)>>2)]=$tag$0;
  var $st$7$1=(($2+4)|0);
  HEAP32[(($st$7$1)>>2)]=$tag$1;
  $3=$data;
  $4=$size;
  var $5=$1;
  var $6=_time(0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $7$0=$6;
  var $7$1=(($6|0) < 0 ? -1 : 0);
  var $st$17$0=(($t)|0);
  HEAP32[(($st$17$0)>>2)]=$7$0;
  var $st$17$1=(($t+4)|0);
  HEAP32[(($st$17$1)>>2)]=$7$1;
  var $8=$2; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  __ZN2js5crash4Ring9copyBytesEPvj($5, $8, 8); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $9=$t; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  __ZN2js5crash4Ring9copyBytesEPvj($5, $9, 8); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $10=$3; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $11=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  __ZN2js5crash4Ring9copyBytesEPvj($5, $10, $11); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $12=$4; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  var $13$0=$12;
  var $13$1=0;
  var $st$31$0=(($mysize)|0);
  HEAP32[(($st$31$0)>>2)]=$13$0;
  var $st$31$1=(($mysize+4)|0);
  HEAP32[(($st$31$1)>>2)]=$13$1;
  var $14=$mysize; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  __ZN2js5crash4Ring9copyBytesEPvj($5, $14, 8); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
  STACKTOP = __stackBase__;
  return; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
}


function __ZN2js5crash4Ring9copyBytesEPvj($this, $data, $size) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $first;
      var $second;
      $1=$this;
      $2=$data;
      $3=$size;
      var $4=$1;
      var $5=$3; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $6=__ZN2js5crash4Ring10bufferSizeEv($4); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $7=(($5)>>>0) >= (($6)>>>0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 2: 
      var $9=__ZN2js5crash4Ring10bufferSizeEv($4); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      $3=$9; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      __label__ = 3; break; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 3: 
      var $11=$4; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $12=(($11+24)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $st$2$0=(($12)|0);
      var $13$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($12+4)|0);
      var $13$1=HEAP32[(($st$2$1)>>2)];
      var $14=$3; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $15$0=$14;
      var $15$1=0;
      var $16$0 = (i64Math.add($13$0,$13$1,$15$0,$15$1),i64Math.result[0]); var $16$1 = i64Math.result[1]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $17=__ZN2js5crash4Ring10bufferSizeEv($4); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $18$0=$17;
      var $18$1=0;
      var $19=($16$1>>>0) > ($18$1>>>0) || (($16$1>>>0) == ($18$1>>>0) && ($16$0>>>0) >  ($18$0>>>0)); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 4: 
      var $21=__ZN2js5crash4Ring10bufferSizeEv($4); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $22$0=$21;
      var $22$1=0;
      var $23=$4; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $24=(($23+24)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $st$5$0=(($24)|0);
      var $25$0=HEAP32[(($st$5$0)>>2)];
      var $st$5$1=(($24+4)|0);
      var $25$1=HEAP32[(($st$5$1)>>2)];
      var $26$0 = (i64Math.subtract($22$0,$22$1,$25$0,$25$1),i64Math.result[0]); var $26$1 = i64Math.result[1]; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $27$0=$26$0;
      var $27=$27$0;
      $first=$27; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $28=$3; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $29=$first; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $30=(($28-$29)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      $second=$30; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $31=$4; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $32=(($31+24)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $st$19$0=(($32)|0);
      var $33$0=HEAP32[(($st$19$0)>>2)];
      var $st$19$1=(($32+4)|0);
      var $33$1=HEAP32[(($st$19$1)>>2)];
      var $34$0=$33$0;
      var $34=$34$0;
      var $35=$4; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $36=(($35+32)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $37=(($36+$34)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $38=$2; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $39=$first; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      assert($39 % 1 === 0, 'memcpy given ' + $39 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($37, $38, $39, 1); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $40=$4; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $41=(($40+32)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $42=(($41)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $43=$2; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $44=$first; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $45=(($43+$44)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $46=$second; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      assert($46 % 1 === 0, 'memcpy given ' + $46 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($42, $45, $46, 1); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $47=$second; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $48$0=$47;
      var $48$1=0;
      var $49=$4; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $50=(($49+24)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $st$44$0=(($50)|0);
      HEAP32[(($st$44$0)>>2)]=$48$0;
      var $st$44$1=(($50+4)|0);
      HEAP32[(($st$44$1)>>2)]=$48$1;
      __label__ = 6; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 5: 
      var $52=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $53=(($52+24)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $st$2$0=(($53)|0);
      var $54$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($53+4)|0);
      var $54$1=HEAP32[(($st$2$1)>>2)];
      var $55$0=$54$0;
      var $55=$55$0;
      var $56=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $57=(($56+32)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $58=(($57+$55)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $59=$2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $60=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      assert($60 % 1 === 0, 'memcpy given ' + $60 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($58, $59, $60, 1); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $61=$3; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $62$0=$61;
      var $62$1=0;
      var $63=$4; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $64=(($63+24)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $st$19$0=(($64)|0);
      var $65$0=HEAP32[(($st$19$0)>>2)];
      var $st$19$1=(($64+4)|0);
      var $65$1=HEAP32[(($st$19$1)>>2)];
      var $66$0 = (i64Math.add($65$0,$65$1,$62$0,$62$1),i64Math.result[0]); var $66$1 = i64Math.result[1]; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $st$24$0=(($64)|0);
      HEAP32[(($st$24$0)>>2)]=$66$0;
      var $st$24$1=(($64+4)|0);
      HEAP32[(($st$24$1)>>2)]=$66$1;
      __label__ = 6; break;
    case 6: 
      ;
      return; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5crash4Ring9copyBytesEPvj["X"]=1;

function ___cxx_global_var_init888() {
  ;
  var __label__;

  var $$emscripten$temp$0$0=1024;
  var $$emscripten$temp$0$1=0;
  FUNCTION_TABLE[__ZN2js5crash5StackC1Ey](__ZN2js5crashL8gGCStackE, $$emscripten$temp$0$0, $$emscripten$temp$0$1);
  ;
  return;
}


function ___cxx_global_var_init1889() {
  ;
  var __label__;

  var $$emscripten$temp$0$0=1025;
  var $$emscripten$temp$0$1=0;
  FUNCTION_TABLE[__ZN2js5crash5StackC1Ey](__ZN2js5crashL11gErrorStackE, $$emscripten$temp$0$0, $$emscripten$temp$0$1);
  ;
  return;
}


function ___cxx_global_var_init2890() {
  ;
  var __label__;

  var $$emscripten$temp$0$0=2048;
  var $$emscripten$temp$0$1=0;
  FUNCTION_TABLE[__ZN2js5crash4RingC1Ey](__ZN2js5crashL11gRingBufferE, $$emscripten$temp$0$0, $$emscripten$temp$0$1);
  ;
  return;
}


function __ZN2js5crash15SnapshotGCStackEv() {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=HEAP8[(__ZN2js5crashL12gInitializedE)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $2=(($1) & 1); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      if ($2) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 2: 
      var $4=__ZN2js5crash5Stack8snapshotEv(__ZN2js5crashL8gGCStackE); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      __label__ = 3; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 3: 
      ;
      return; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5crash18SnapshotErrorStackEv() {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=HEAP8[(__ZN2js5crashL12gInitializedE)]; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $2=(($1) & 1); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      if ($2) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 2: 
      var $4=__ZN2js5crash5Stack8snapshotEv(__ZN2js5crashL11gErrorStackE); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      __label__ = 3; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 3: 
      ;
      return; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5crash13SaveCrashDataEyPvj($tag$0, $tag$1, $ptr, $size) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      var $3;
      var $st$3$0=(($1)|0);
      HEAP32[(($st$3$0)>>2)]=$tag$0;
      var $st$3$1=(($1+4)|0);
      HEAP32[(($st$3$1)>>2)]=$tag$1;
      $2=$ptr;
      $3=$size;
      var $4=HEAP8[(__ZN2js5crashL12gInitializedE)]; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $5=(($4) & 1); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 2: 
      var $st$0$0=(($1)|0);
      var $7$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($1+4)|0);
      var $7$1=HEAP32[(($st$0$1)>>2)];
      var $8=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      var $9=$3; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
      __ZN2js5crash4Ring4pushEyPvj(__ZN2js5crashL11gRingBufferE, $7$0, $7$1, $8, $9);
      __label__ = 3; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jscrashreport.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5crash11CrashHeaderC1Ey($this, $id$0, $id$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$id$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$id$1;
  var $3=$1;
  var $st$8$0=(($2)|0);
  var $4$0=HEAP32[(($st$8$0)>>2)];
  var $st$8$1=(($2+4)|0);
  var $4$1=HEAP32[(($st$8$1)>>2)];
  __ZN2js5crash11CrashHeaderC2Ey($3, $4$0, $4$1);
  STACKTOP = __stackBase__;
  return; //@line 72 "./jscrashformat.h"
}


function __ZN2js5crash11CrashHeaderC2Ey($this, $id$0, $id$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$id$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$id$1;
  var $3=$1;
  var $4=(($3+16)|0); //@line 72 "./jscrashformat.h"
  var $st$9$0=(($2)|0);
  var $5$0=HEAP32[(($st$9$0)>>2)];
  var $st$9$1=(($2+4)|0);
  var $5$1=HEAP32[(($st$9$1)>>2)];
  var $st$13$0=(($4)|0);
  HEAP32[(($st$13$0)>>2)]=$5$0;
  var $st$13$1=(($4+4)|0);
  HEAP32[(($st$13$1)>>2)]=$5$1;
  var $6=(($3)|0); //@line 72 "./jscrashformat.h"
  var $7=(($6)|0); //@line 72 "./jscrashformat.h"
  assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = ((STRING_TABLE.__ZN2js5crashL12crash_cookieE)|0), $$dest = $7, $$stop = $$src + 16; $$src < $$stop; $$src++, $$dest++) {
    HEAP8[$$dest] = HEAP8[$$src]
  }; //@line 72 "./jscrashformat.h"
  STACKTOP = __stackBase__;
  return; //@line 72 "./jscrashformat.h"
}


function __GLOBAL__I_a891() {
  ;
  var __label__;

  ___cxx_global_var_init888();
  ___cxx_global_var_init1889();
  ___cxx_global_var_init2890();
  ;
  return;
}


function __ZL12date_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE($cx, $obj, $hint, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$cx;
      $2=$obj;
      $3=$hint;
      $4=$vp;
      var $5=$1; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$2; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$3; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)|0)==0; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $13 = 3;__label__ = 4; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $11=$3; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13 = $11;__label__ = 4; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $13; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$4; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZN2js12DefaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($5, $6, $13, $14); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $15; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8date_UTCP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $msec_time=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$3; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$4; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7+16)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=__ZL17date_msecFromArgsP9JSContextjPN2JS5ValueEPd($5, $6, $8, $msec_time); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=__ZL18JSDOUBLE_IS_FINITEd1004($13); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=(($14)|0)!=0; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $17=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=$17 < 0; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=(-$20); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25 = $21;__label__ = 7; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $23=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25 = $23;__label__ = 7; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $25; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$25 > 8640000000000000; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $28=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$28; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=__ZL18js_DoubleToIntegerd1005($29); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34 = $30;__label__ = 10; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $32=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34 = $32;__label__ = 10; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $34; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$34,HEAP32[(($msec_time)>>2)]=tempDoubleI32[0],HEAP32[(($msec_time+4)>>2)]=tempDoubleI32[1]); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=$4; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=__ZN2JS5Value9setNumberEd($35, $36); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $39=$1; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10date_parseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $result=__stackBase__;
      var $linearStr;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)|0)==0; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $8=$4; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $11=$2; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$4; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=(($12+16)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($11, $13); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $str=$14; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$str; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0)!=0; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $19=$4; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=(($19+16)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$str; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setStringEP8JSString($20, $21); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$str; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$2; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=__ZN8JSString12ensureLinearEP9JSContext($22, $23); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $linearStr=$24; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=$linearStr; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25)|0)!=0; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $1=0; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $29=$linearStr; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=__ZL16date_parseStringP14JSLinearStringPdP9JSContext($29, $result, $30); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31)|0)!=0; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $34=$4; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setDoubleEd($34, $35); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $37=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=__ZL18JSDOUBLE_IS_FINITEd1004($37); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=(($38)|0)!=0; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $41=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=$41 < 0; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $44=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=(-$44); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49 = $45;__label__ = 13; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $47=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49 = $47;__label__ = 13; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $49; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=$49 > 8640000000000000; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($50) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $52=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=$52; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=__ZL18js_DoubleToIntegerd1005($53); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58 = $54;__label__ = 16; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $56=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58 = $56;__label__ = 16; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $58; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$58,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $59=$4; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=__ZN2JS5Value9setNumberEd($59, $60); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $63=$1; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10date_parseP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8date_nowP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=__ZL11NowAsMillisv(); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  __ZN2JS5Value9setDoubleEd($4, $5); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return 1; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL12date_getTimeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $result); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$4; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=__ZN2JS5Value9setNumberEd($10, $11); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=$1; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $14; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL22date_getTimezoneOffsetP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $utctime=__stackBase__;
      var $localtime=__stackBase__+8;
      var $result;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, $utctime); //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$2; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$obj; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($20, $21, 0, $localtime); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($22)|0)!=0; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $1=0; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $26=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$26-$27; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$28/60000; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$29; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=$result; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=__ZN2JS5Value9setNumberEd($30, $31); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $34=$1; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12date_getYearP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $yearVal=__stackBase__;
      var $year;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 9; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, 0); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 9; break; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$obj; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=__ZNK8JSObject7getSlotEj($20, 2); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$yearVal; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$21; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=__ZNK2JS5Value7isInt32Ev($yearVal); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=__ZNK2JS5Value7toInt32Ev($yearVal); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($26-1900)|0); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$27; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$4; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$year; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value8setInt32Ei($28, $29); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $31=$4; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=$31; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=$yearVal; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break;
    case 8: 
      $1=1; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 9; break; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $36=$1; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12date_getYearP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL16date_getFullYearP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, 0); //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$4; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$obj; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZNK8JSObject7getSlotEj($21, 2); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$20; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$22; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=$1; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $26; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19date_getUTCFullYearP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $result); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL18JSDOUBLE_IS_FINITEd1004($10); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL12YearFromTimed($14); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$16,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $18=$4; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=__ZN2JS5Value9setNumberEd($18, $19); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$1; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13date_getMonthP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, 0); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$obj; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZNK8JSObject7getSlotEj($21, 3); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$20; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$22; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $26; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16date_getUTCMonthP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $result); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL18JSDOUBLE_IS_FINITEd1004($10); //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL13MonthFromTimed($14); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$16,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $18=$4; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=__ZN2JS5Value9setNumberEd($18, $19); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$1; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12date_getDateP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, 0); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$4; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$obj; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZNK8JSObject7getSlotEj($21, 4); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$20; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$22; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=$1; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $26; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15date_getUTCDateP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $result); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL18JSDOUBLE_IS_FINITEd1004($10); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL12DateFromTimed($14); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$16,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $18=$4; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=__ZN2JS5Value9setNumberEd($18, $19); //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$1; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11date_getDayP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, 0); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$4; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$obj; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZNK8JSObject7getSlotEj($21, 5); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$20; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$22; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=$1; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $26; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14date_getUTCDayP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $result); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL18JSDOUBLE_IS_FINITEd1004($10); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL7WeekDayd($14); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$16,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $18=$4; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=__ZN2JS5Value9setNumberEd($18, $19); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$1; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13date_getHoursP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, 0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$4; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$obj; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZNK8JSObject7getSlotEj($21, 6); //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$20; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$22; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=$1; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $26; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16date_getUTCHoursP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $result); //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL18JSDOUBLE_IS_FINITEd1004($10); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL12HourFromTimed($14); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$16,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $18=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=__ZN2JS5Value9setNumberEd($18, $19); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$1; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15date_getMinutesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, 0); //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$4; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$obj; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZNK8JSObject7getSlotEj($21, 7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$20; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$22; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=$1; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $26; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18date_getUTCMinutesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $result); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL18JSDOUBLE_IS_FINITEd1004($10); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL11MinFromTimed($14); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$16,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $18=$4; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=__ZN2JS5Value9setNumberEd($18, $19); //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$1; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18date_getUTCSecondsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, 0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$4; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$obj; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZNK8JSObject7getSlotEj($21, 8); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$20; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$22; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=$1; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $26; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23date_getUTCMillisecondsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $result); //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL18JSDOUBLE_IS_FINITEd1004($10); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL10msFromTimed($14); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$16,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $18=$4; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=__ZN2JS5Value9setNumberEd($18, $19); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12date_setTimeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$obj; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=__ZNK8JSObject6isDateEv($13); //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $16=$2; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$4; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($16, $17, __ZN2js9DateClassE); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=0; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $19=$3; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=(($19)|0)==0; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$2; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$obj; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$4; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($22, $23, $24); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $26=$2; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=$4; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=(($27+16)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($26, $28, $result); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      $1=0; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $32=$2; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=$obj; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=__ZL18JSDOUBLE_IS_FINITEd1004($34); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=(($35)|0)!=0; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $38=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=$38 < 0; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $41=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=(-$41); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46 = $42;__label__ = 13; break; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $44=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46 = $44;__label__ = 13; break; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $46; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=$46 > 8640000000000000; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($47) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $49=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=$49; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=__ZL18js_DoubleToIntegerd1005($50); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55 = $51;__label__ = 16; break; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $53=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55 = $53;__label__ = 16; break; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $55; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=$4; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=__ZL10SetUTCTimeP9JSContextP8JSObjectdPN2JS5ValueE($32, $33, $55, $56); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$57; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $59=$1; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12date_setTimeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12date_setYearP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $result=__stackBase__;
      var $year=__stackBase__+8;
      var $t;
      var $day;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, $result); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16)|0)!=0; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$3; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=(($20)|0)==0; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $23=$2; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$obj; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=$4; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($23, $24, $25); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $27=$2; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$4; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=(($28+16)|0); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($27, $29, $year); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      $1=0; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $33=(tempDoubleI32[0]=HEAP32[(($year)>>2)],tempDoubleI32[1]=HEAP32[(($year+4)>>2)],tempDoubleF64[0]); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=__ZL18JSDOUBLE_IS_FINITEd1004($33); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=(($34)|0)!=0; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $37=$2; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=$obj; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=$4; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($37, $38, $39); //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $41=(tempDoubleI32[0]=HEAP32[(($year)>>2)],tempDoubleI32[1]=HEAP32[(($year+4)>>2)],tempDoubleF64[0]); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=__ZL18js_DoubleToIntegerd1005($41); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$42,HEAP32[(($year)>>2)]=tempDoubleI32[0],HEAP32[(($year+4)>>2)]=tempDoubleI32[1]); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=(tempDoubleI32[0]=HEAP32[(($year)>>2)],tempDoubleI32[1]=HEAP32[(($year+4)>>2)],tempDoubleF64[0]); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=$43 >= 0; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $46=(tempDoubleI32[0]=HEAP32[(($year)>>2)],tempDoubleI32[1]=HEAP32[(($year+4)>>2)],tempDoubleF64[0]); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=$46 <= 99; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $49=(tempDoubleI32[0]=HEAP32[(($year)>>2)],tempDoubleI32[1]=HEAP32[(($year+4)>>2)],tempDoubleF64[0]); //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=$49+1900; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$50,HEAP32[(($year)>>2)]=tempDoubleI32[0],HEAP32[(($year+4)>>2)]=tempDoubleI32[1]); //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 14; break; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $52=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=__ZL18JSDOUBLE_IS_FINITEd1004($52); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=(($53)|0)!=0; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($54) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $56=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=$2; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58=__ZL9LocalTimedP9JSContext($56, $57); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61 = $58;__label__ = 17; break; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $61 = 0;__label__ = 17; break; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $61; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $t=$61; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=(tempDoubleI32[0]=HEAP32[(($year)>>2)],tempDoubleI32[1]=HEAP32[(($year+4)>>2)],tempDoubleF64[0]); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=$t; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=__ZL13MonthFromTimed($63); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=(($64)|0); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $66=$t; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $67=__ZL12DateFromTimed($66); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=(($67)|0); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=__ZL7MakeDayddd($62, $65, $68); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$69; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=$day; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=$70*86400000; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=$t; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=__ZL13TimeWithinDayd($72); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $74=$71+$73; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$74,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $75=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $76=$2; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=__ZL3UTCdP9JSContext($75, $76); //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$77,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $78=$2; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $79=$obj; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $80=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $81=__ZL18JSDOUBLE_IS_FINITEd1004($80); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=(($81)|0)!=0; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 23; break; } //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      var $84=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $85=$84 < 0; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($85) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $87=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $88=(-$87); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $92 = $88;__label__ = 21; break; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      var $90=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $92 = $90;__label__ = 21; break; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $92; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93=$92 > 8640000000000000; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($93) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      var $95=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $96=$95; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=__ZL18js_DoubleToIntegerd1005($96); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $101 = $97;__label__ = 24; break; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      var $99=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $101 = $99;__label__ = 24; break; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      var $101; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $102=$4; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $103=__ZL10SetUTCTimeP9JSContextP8JSObjectdPN2JS5ValueE($78, $79, $101, $102); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$103; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 25: 
      var $105=$1; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $105; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12date_setYearP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL16date_setFullYearP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeDateP9JSContextjijPN2JS5ValueE($4, 3, 1, $5, $6); //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL19date_setUTCFullYearP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeDateP9JSContextjijPN2JS5ValueE($4, 3, 0, $5, $6); //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL13date_setMonthP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeDateP9JSContextjijPN2JS5ValueE($4, 2, 1, $5, $6); //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL16date_setUTCMonthP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeDateP9JSContextjijPN2JS5ValueE($4, 2, 0, $5, $6); //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL12date_setDateP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeDateP9JSContextjijPN2JS5ValueE($4, 1, 1, $5, $6); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL15date_setUTCDateP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeDateP9JSContextjijPN2JS5ValueE($4, 1, 0, $5, $6); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL13date_setHoursP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($4, 4, 1, $5, $6); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL16date_setUTCHoursP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($4, 4, 0, $5, $6); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL15date_setMinutesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($4, 3, 1, $5, $6); //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL18date_setUTCMinutesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($4, 3, 0, $5, $6); //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL15date_setSecondsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($4, 2, 1, $5, $6); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL18date_setUTCSecondsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($4, 2, 0, $5, $6); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL20date_setMillisecondsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($4, 1, 1, $5, $6); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL23date_setUTCMillisecondsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($4, 1, 0, $5, $6); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL16date_toGMTStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$3; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=__ZL15date_utc_formatP9JSContextPN2JS5ValueEPFvPcjdE($4, $5, 82); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $6; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL19date_toLocaleStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL19date_toLocaleHelperP9JSContextP8JSObjectPKcPN2JS5ValueE($13, $14, ((STRING_TABLE.__str1071001)|0), $15); //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$16; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $18=$1; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $18; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23date_toLocaleDateStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL19date_toLocaleHelperP9JSContextP8JSObjectPKcPN2JS5ValueE($13, $14, ((STRING_TABLE.__str104998)|0), $15); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$16; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $18=$1; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $18; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23date_toLocaleTimeStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZL19date_toLocaleHelperP9JSContextP8JSObjectPKcPN2JS5ValueE($13, $14, ((STRING_TABLE.__str1061000)|0), $15); //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$16; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $18=$1; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $18; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19date_toLocaleFormatP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $fmt;
      var $fmtbytes=__stackBase__;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)==0; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=$2; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=$3; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$4; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=__ZL19date_toLocaleStringP9JSContextjPN2JS5ValueE($9, $10, $11); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$12; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $14=$2; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$4; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15+8)|0); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($14, $16); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$17; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=$obj; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18)|0)!=0; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $22=$2; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$4; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=(($23+16)|0); //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($22, $24); //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $fmt=$25; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$fmt; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($26)|0)!=0; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $1=0; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $30=$4; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=(($30+16)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=$fmt; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setStringEP8JSString($31, $32); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=$2; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=$fmt; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($fmtbytes, $33, $34); //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=__ZNK16JSAutoByteStringntEv($fmtbytes); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      $1=0; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 10; break; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $38=$2; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=$obj; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=__ZNK16JSAutoByteString3ptrEv($fmtbytes); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=$4; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=__ZL19date_toLocaleHelperP9JSContextP8JSObjectPKcPN2JS5ValueE($38, $39, $40, $41); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$42; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 10; break; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      __ZN16JSAutoByteStringD1Ev($fmtbytes); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break;
    case 11: 
      var $45=$1; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19date_toLocaleFormatP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL17date_toDateStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $utctime=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $utctime); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$2; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$4; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=__ZL11date_formatP9JSContextd10formatspecPN2JS5ValueE($10, $11, 1, $12); //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$13; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $15=$1; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $15; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17date_toTimeStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $utctime=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $utctime); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$2; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$4; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=__ZL11date_formatP9JSContextd10formatspecPN2JS5ValueE($10, $11, 2, $12); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$13; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $15=$1; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $15; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16date_toISOStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$3; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=__ZL15date_utc_formatP9JSContextPN2JS5ValueEPFvPcjdE($4, $5, 84); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $6; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL11date_toJSONP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tv=__stackBase__;
      var $toISO;
      var $args=__stackBase__+8;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$4; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7+8)|0); //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$9; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=$obj; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0)!=0; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $14=$obj; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL11ObjectValueER8JSObject1038($tv, $14); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$2; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE($15, 4, $tv); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $19=__ZNK2JS5Value8isDoubleEv($tv); //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $21=__ZNK2JS5Value8toDoubleEv($tv); //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZL18JSDOUBLE_IS_FINITEd1004($21); //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($22)|0)!=0; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $25=$4; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value7setNullEv($25); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $27=$4; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=(($27)|0); //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $toISO=$28; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$obj; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$2; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=$2; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31+52)|0); //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=(($33+209948)|0); //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=(($34+292)|0); //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=$toISO; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($29, $30, $36, $37); //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=(($38)|0)!=0; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      $1=0; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $42=$toISO; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=__ZL13js_IsCallableRKN2JS5ValueE1052($42); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $45=$2; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=_JS_ReportErrorFlagsAndNumber($45, 0, 2, 0, 253, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=0; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $48=$2; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2js10LeaveTraceEP9JSContext($48); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=$2; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=(($49+60)|0); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=$2; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($50, $51, 0, $args); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($52) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      $1=0; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 17; break; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $55=$args; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=__ZNK2js12CallReceiver7calleevEv($55); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=$toISO; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58=$56; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $59=$57; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=$args; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=__ZNK2js12CallReceiver5thisvEv($60); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=$obj; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setObjectER8JSObject($61, $62); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=$2; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($63, $args, 0); //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      $1=0; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 17; break; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $67=$4; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=$args; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=__ZNK2js12CallReceiver4rvalEv($68); //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=$67; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=$69; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[(($71)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[(($71+4)>>2)]; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 17; break; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break;
    case 18: 
      var $74=$1; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $74; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11date_toJSONP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13date_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $utctime=__stackBase__;
      var $cbuf=__stackBase__+8;
      var $numStr;
      var $5;
      var $bytes;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$4; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($6, $7, $utctime); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufC1Ev]($cbuf); //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$2; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=__ZN2js15NumberToCStringEP9JSContextPNS_12ToCStringBufEdi($11, $cbuf, $12, 10); //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $numStr=$13; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$numStr; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=(($14)|0)!=0; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $17=$2; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      _JS_ReportOutOfMemory($17); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=0; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 10; break; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $19=$numStr; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=_JS_smprintf(((STRING_TABLE.__str102996)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_Date_str)|0),HEAP32[((tempInt+4)>>2)]=$19,tempInt)); //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $bytes=$20; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$bytes; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=(($21)|0)!=0; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $24=$2; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      _JS_ReportOutOfMemory($24); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=0; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 10; break; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $26=$2; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=$bytes; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=_JS_NewStringCopyZ($26, $27); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $str=$28; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$2; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$bytes; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN9JSContext5free_EPv($29, $30); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=$str; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31)|0)!=0; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      $1=0; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 10; break; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $35=$4; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=$str; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setStringEP8JSString($35, $36); //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=1;
      __label__ = 10; break; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufD1Ev]($cbuf); //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break;
    case 11: 
      var $39=$1; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13date_toSourceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13date_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $utctime=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$4; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $utctime); //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$2; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$4; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=__ZL11date_formatP9JSContextd10formatspecPN2JS5ValueE($10, $11, 0, $12); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$13; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $15=$1; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $15; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12date_valueOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $str;
      var $linear_str;
      var $number_str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)|0)==0; //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $8=$2; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$3; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=$4; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL12date_getTimeP9JSContextjPN2JS5ValueE($8, $9, $10); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$11; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$4; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=(($14+8)|0); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($13, $15); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$16; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$obj; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=(($17)|0)!=0; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $21=$2; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$4; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($22+16)|0); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($21, $23); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $str=$24; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=$str; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25)|0)!=0; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $1=0; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $29=$str; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$2; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=__ZN8JSString12ensureLinearEP9JSContext($29, $30); //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $linear_str=$31; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=$linear_str; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=(($32)|0)!=0; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      $1=0; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $36=$2; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=(($36+52)|0); //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=(($38+209948)|0); //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($39+36)|0); //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=(($40+16)|0); //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=$42; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $number_str=$43; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=$linear_str; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=$number_str; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=$45; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=__ZN2js12EqualStringsEP14JSLinearStringS1_($44, $46); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $49=$2; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=$3; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=$4; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=__ZL12date_getTimeP9JSContextjPN2JS5ValueE($49, $50, $51); //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$52; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $54=$2; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=$3; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=$4; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=__ZL13date_toStringP9JSContextjPN2JS5ValueE($54, $55, $56); //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$57; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $59=$1; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $59; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12date_valueOfP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL18JSDOUBLE_IS_FINITEd1004($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __Z7js_DateP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $d=__stackBase__;
      var $str;
      var $linearStr;
      var $msec_time=__stackBase__+8;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZN2jsL14IsConstructingEPKN2JS5ValueE1003($5); //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $8=$2; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=__ZL11NowAsMillisv(); //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=$4; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL11date_formatP9JSContextd10formatspecPN2JS5ValueE($8, $9, 0, $10); //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$11; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 49; break; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$4; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=(($13+16)|0); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argv=$14; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$3; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15)|0)==0; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $18=__ZL11NowAsMillisv(); //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$18,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 46; break; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=$3; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=(($20)|0)==1; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 33; break; } //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $23=$argv; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=(($23)|0); //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=__ZNK2JS5Value8isStringEv($24); //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($25) { __label__ = 17; break; } else { __label__ = 7; break; } //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $27=$2; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$argv; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=(($28)|0); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($27, $29, $d); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      $1=0; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 49; break; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $33=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=__ZL18JSDOUBLE_IS_FINITEd1004($33); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=(($34)|0)!=0; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $37=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=$37 < 0; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $40=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=(-$40); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45 = $41;__label__ = 13; break; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $43=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45 = $43;__label__ = 13; break; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $45; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=$45 > 8640000000000000; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($46) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $48=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=$48; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=__ZL18js_DoubleToIntegerd1005($49); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54 = $50;__label__ = 16; break; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $52=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54 = $52;__label__ = 16; break; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $54; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$54,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 32; break; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $56=$2; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=$argv; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58=(($57)|0); //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $59=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($56, $58); //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $str=$59; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=$str; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=(($60)|0)!=0; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($61) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      $1=0; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 49; break; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $64=$argv; //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=(($64)|0); //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $66=$str; //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setStringEP8JSString($65, $66); //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $67=$str; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=$2; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=__ZN8JSString12ensureLinearEP9JSContext($67, $68); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $linearStr=$69; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=$linearStr; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=(($70)|0)!=0; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      $1=0; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 49; break; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $74=$linearStr; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $75=$2; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $76=__ZL16date_parseStringP14JSLinearStringPdP9JSContext($74, $d, $75); //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=(($76)|0)!=0; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($77) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      var $79=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$79,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 31; break; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      var $81=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=__ZL18JSDOUBLE_IS_FINITEd1004($81); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=(($82)|0)!=0; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($83) { __label__ = 24; break; } else { __label__ = 29; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      var $85=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $86=$85 < 0; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($86) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 25: 
      var $88=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $89=(-$88); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93 = $89;__label__ = 27; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 26: 
      var $91=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93 = $91;__label__ = 27; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 27: 
      var $93; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $94=$93 > 8640000000000000; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($94) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 28: 
      var $96=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=$96; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $98=__ZL18js_DoubleToIntegerd1005($97); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $102 = $98;__label__ = 30; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 29: 
      var $100=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $102 = $100;__label__ = 30; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 30: 
      var $102; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$102,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 31; break;
    case 31: 
      __label__ = 32; break;
    case 32: 
      __label__ = 45; break; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 33: 
      var $106=$2; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $107=$3; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $108=$argv; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $109=__ZL17date_msecFromArgsP9JSContextjPN2JS5ValueEPd($106, $107, $108, $msec_time); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $110=(($109)|0)!=0; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($110) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 34: 
      $1=0; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 49; break; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 35: 
      var $113=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $114=__ZL18JSDOUBLE_IS_FINITEd1004($113); //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $115=(($114)|0)!=0; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($115) { __label__ = 36; break; } else { __label__ = 44; break; } //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 36: 
      var $117=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $118=$2; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $119=__ZL3UTCdP9JSContext($117, $118); //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$119,HEAP32[(($msec_time)>>2)]=tempDoubleI32[0],HEAP32[(($msec_time+4)>>2)]=tempDoubleI32[1]); //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $120=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $121=__ZL18JSDOUBLE_IS_FINITEd1004($120); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $122=(($121)|0)!=0; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($122) { __label__ = 37; break; } else { __label__ = 42; break; } //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 37: 
      var $124=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $125=$124 < 0; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($125) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 38: 
      var $127=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $128=(-$127); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $132 = $128;__label__ = 40; break; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 39: 
      var $130=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $132 = $130;__label__ = 40; break; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 40: 
      var $132; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $133=$132 > 8640000000000000; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($133) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 41: 
      var $135=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $136=$135; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $137=__ZL18js_DoubleToIntegerd1005($136); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $141 = $137;__label__ = 43; break; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 42: 
      var $139=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $141 = $139;__label__ = 43; break; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 43: 
      var $141; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$141,HEAP32[(($msec_time)>>2)]=tempDoubleI32[0],HEAP32[(($msec_time+4)>>2)]=tempDoubleI32[1]); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 44; break; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 44: 
      var $143=(tempDoubleI32[0]=HEAP32[(($msec_time)>>2)],tempDoubleI32[1]=HEAP32[(($msec_time+4)>>2)],tempDoubleF64[0]); //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$143,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 45; break;
    case 45: 
      __label__ = 46; break;
    case 46: 
      var $146=$2; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $147=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $148=__Z20js_NewDateObjectMsecP9JSContextd($146, $147); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$148; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $149=$obj; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $150=(($149)|0)!=0; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($150) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 47: 
      $1=0; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 49; break; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 48: 
      var $153=$4; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $154=$obj; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setObjectER8JSObject($153, $154); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 49; break; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 49: 
      var $156=$1; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $156; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z7js_DateP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2jsL14IsConstructingEPKN2JS5ValueE1003($vp) {
  ;
  var __label__;

  var $1;
  $1=$vp;
  var $2=$1; //@line 372 "./jsfun.h"
  var $3=(($2+8)|0); //@line 372 "./jsfun.h"
  var $4=__ZNK2JS5Value7isMagicEv($3); //@line 372 "./jsfun.h"
  ;
  return $4; //@line 372 "./jsfun.h"
}


function __ZL11date_formatP9JSContextd10formatspecPN2JS5ValueE($cx, $date, $format, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 220; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $buf=__stackBase__;
      var $str;
      var $tzbuf=__stackBase__+100;
      var $usetz;
      var $i;
      var $tzlen;
      var $split=__stackBase__+200;
      var $local;
      var $minutes;
      var $offset;
      var $c;
      $2=$cx;
      $3=$date;
      $4=$format;
      $5=$rval;
      var $6=$3; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL18JSDOUBLE_IS_FINITEd1004($6); //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)|0)!=0; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $10=(($buf)|0); //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=_JS_snprintf($10, 100, ((STRING_TABLE.__ZL15js_NaN_date_str)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 34; break; //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$3; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$2; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL9LocalTimedP9JSContext($13, $14); //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $local=$15; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$3; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$2; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=__ZL10AdjustTimedP9JSContext($16, $17); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=$18/60000; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=_floor($19); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=(($20)&-1); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $minutes=$21; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$minutes; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(((($22)|0)/60)&-1); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=(($23*100)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=$minutes; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25)|0)%60; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($24+$26)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $offset=$27; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$3; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$2; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL11new_explodedP8PRMJTimeP9JSContext($28, $split, $29); //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=(($tzbuf)|0); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=_PRMJ_FormatTime($30, 100, ((STRING_TABLE.__str77971)|0), $split); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31)|0)!=0; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($32) { __label__ = 4; break; } else { __label__ = 22; break; } //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $usetz=1; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=(($tzbuf)|0); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=_strlen($34); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $tzlen=$35; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=$tzlen; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=(($36)>>>0) > 100; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($37) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      $usetz=0; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $i=0; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $41=$i; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=$tzlen; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 17; break; } //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $45=$i; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=(($tzbuf+$45)|0); //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=HEAP8[($46)]; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=(($47 << 24) >> 24); //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $c=$48; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=$c; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=(($49)&65535); //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=(($50)|0) > 127; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 9; break; } //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $53=$c; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=(($53)&65535); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=_isalpha($54); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=(($55)|0)!=0; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 10; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $58=$c; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $59=(($58)&65535); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=_isdigit($59); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=(($60)|0)!=0; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 11; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $63=$c; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=(($63)&65535); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=(($64)|0)==32; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 12; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $67=$c; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=(($67)&65535); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=(($68)|0)==40; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($69) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $71=$c; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=(($71)&65535); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=(($72)|0)==41; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($73) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      $usetz=0; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 15; break; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      __label__ = 16; break; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $77=$i; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $78=(($77+1)|0); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=$78; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $81=(($tzbuf)|0); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=HEAP8[($81)]; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=(($82 << 24) >> 24); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $84=(($83)|0)!=40; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $86=(($tzbuf+1)|0); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $87=HEAP8[($86)]; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $88=(($87 << 24) >> 24); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $89=(($88)|0)==41; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($89) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      $usetz=0; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 21; break; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      __label__ = 23; break; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      $usetz=0; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 23; break;
    case 23: 
      var $94=$4; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ((($94)|0) == 0) {
        __label__ = 24; break;
      }
      else if ((($94)|0) == 1) {
        __label__ = 28; break;
      }
      else if ((($94)|0) == 2) {
        __label__ = 29; break;
      }
      else {
      __label__ = 33; break;
      }
      
    case 24: 
      var $96=(($buf)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=$local; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $98=__ZL7WeekDayd($97); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $99=((__ZL4days+($98<<2))|0); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $101=$local; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $102=__ZL13MonthFromTimed($101); //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $103=((__ZL6months+($102<<2))|0); //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $105=$local; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $106=__ZL12DateFromTimed($105); //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $107=$local; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $108=__ZL12YearFromTimed($107); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $109=$local; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $110=__ZL12HourFromTimed($109); //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $111=$local; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $112=__ZL11MinFromTimed($111); //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $113=$local; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $114=__ZL11SecFromTimed($113); //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $115=$offset; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $116=$usetz; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $117=(($116)|0)!=0; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $118=$117 ? (((STRING_TABLE.__str79973)|0)) : (((__str80974)|0)); //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $119=$usetz; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $120=(($119)|0)!=0; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($120) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 25: 
      var $122=(($tzbuf)|0); //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $125 = $122;__label__ = 27; break; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 26: 
      var $125 = ((__str80974)|0);__label__ = 27; break; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 27: 
      var $125; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $126=_JS_snprintf($96, 100, ((STRING_TABLE.__str78972)|0), (tempInt=STACKTOP,STACKTOP += 40,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$100,HEAP32[((tempInt+4)>>2)]=$104,HEAP32[((tempInt+8)>>2)]=$106,HEAP32[((tempInt+12)>>2)]=$108,HEAP32[((tempInt+16)>>2)]=$110,HEAP32[((tempInt+20)>>2)]=$112,HEAP32[((tempInt+24)>>2)]=$114,HEAP32[((tempInt+28)>>2)]=$115,HEAP32[((tempInt+32)>>2)]=$118,HEAP32[((tempInt+36)>>2)]=$125,tempInt)); //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 33; break; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 28: 
      var $128=(($buf)|0); //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $129=$local; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $130=__ZL7WeekDayd($129); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $131=((__ZL4days+($130<<2))|0); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $133=$local; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $134=__ZL13MonthFromTimed($133); //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $135=((__ZL6months+($134<<2))|0); //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $137=$local; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $138=__ZL12DateFromTimed($137); //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $139=$local; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $140=__ZL12YearFromTimed($139); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $141=_JS_snprintf($128, 100, ((STRING_TABLE.__str81975)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$132,HEAP32[((tempInt+4)>>2)]=$136,HEAP32[((tempInt+8)>>2)]=$138,HEAP32[((tempInt+12)>>2)]=$140,tempInt)); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 33; break; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 29: 
      var $143=(($buf)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $144=$local; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $145=__ZL12HourFromTimed($144); //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $146=$local; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $147=__ZL11MinFromTimed($146); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $148=$local; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $149=__ZL11SecFromTimed($148); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $150=$offset; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $151=$usetz; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $152=(($151)|0)!=0; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $153=$152 ? (((STRING_TABLE.__str79973)|0)) : (((__str80974)|0)); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $154=$usetz; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $155=(($154)|0)!=0; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($155) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 30: 
      var $157=(($tzbuf)|0); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $160 = $157;__label__ = 32; break; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 31: 
      var $160 = ((__str80974)|0);__label__ = 32; break; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 32: 
      var $160; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $161=_JS_snprintf($143, 100, ((STRING_TABLE.__str82976)|0), (tempInt=STACKTOP,STACKTOP += 24,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$145,HEAP32[((tempInt+4)>>2)]=$147,HEAP32[((tempInt+8)>>2)]=$149,HEAP32[((tempInt+12)>>2)]=$150,HEAP32[((tempInt+16)>>2)]=$153,HEAP32[((tempInt+20)>>2)]=$160,tempInt)); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 33; break; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 33: 
      __label__ = 34; break;
    case 34: 
      var $164=$2; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $165=(($buf)|0); //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $166=_JS_NewStringCopyZ($164, $165); //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $str=$166; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $167=$str; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $168=(($167)|0)!=0; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($168) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 35: 
      $1=0; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 37; break; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 36: 
      var $171=$5; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $172=$str; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setStringEP8JSString($171, $172); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 37; break; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 37: 
      var $174=$1; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $174; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11date_formatP9JSContextd10formatspecPN2JS5ValueE["X"]=1;

function __ZL11NowAsMillisv() {
  ;
  var __label__;

  var $1=_PRMJ_Now();
  var $1$0=$1[0];
  var $1$1=$1[1];
  var $$emscripten$temp$0$0=1000;
  var $$emscripten$temp$0$1=0;
  var $2$0 = (i64Math.divide($1$0,$1$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $2$1 = i64Math.result[1]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $3=$2$0 + $2$1*4294967296; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $3; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL18js_DoubleToIntegerd1005($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $neg;
      $2=$d;
      var $3=$2; //@line 572 "./jsnum.h"
      var $4=$3 == 0; //@line 572 "./jsnum.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 572 "./jsnum.h"
    case 2: 
      var $6=$2; //@line 573 "./jsnum.h"
      $1=$6; //@line 573 "./jsnum.h"
      __label__ = 14; break; //@line 573 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 575 "./jsnum.h"
      var $9=__ZL18JSDOUBLE_IS_FINITEd1004($8); //@line 575 "./jsnum.h"
      var $10=(($9)|0)!=0; //@line 575 "./jsnum.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 575 "./jsnum.h"
    case 4: 
      var $12=$2; //@line 576 "./jsnum.h"
      var $13=__ZL15JSDOUBLE_IS_NaNd1014($12); //@line 576 "./jsnum.h"
      var $14=(($13)|0)!=0; //@line 576 "./jsnum.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 576 "./jsnum.h"
    case 5: 
      $1=0; //@line 577 "./jsnum.h"
      __label__ = 14; break; //@line 577 "./jsnum.h"
    case 6: 
      var $17=$2; //@line 578 "./jsnum.h"
      $1=$17; //@line 578 "./jsnum.h"
      __label__ = 14; break; //@line 578 "./jsnum.h"
    case 7: 
      var $19=$2; //@line 581 "./jsnum.h"
      var $20=$19 < 0; //@line 581 "./jsnum.h"
      var $21=(($20)&1); //@line 581 "./jsnum.h"
      $neg=$21; //@line 581 "./jsnum.h"
      var $22=$neg; //@line 582 "./jsnum.h"
      var $23=(($22)|0)!=0; //@line 582 "./jsnum.h"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 582 "./jsnum.h"
    case 8: 
      var $25=$2; //@line 582 "./jsnum.h"
      var $26=(-$25); //@line 582 "./jsnum.h"
      var $30 = $26;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 9: 
      var $28=$2; //@line 582 "./jsnum.h"
      var $30 = $28;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 10: 
      var $30; //@line 582 "./jsnum.h"
      var $31=_floor($30); //@line 582 "./jsnum.h"
      $2=$31; //@line 582 "./jsnum.h"
      var $32=$neg; //@line 584 "./jsnum.h"
      var $33=(($32)|0)!=0; //@line 584 "./jsnum.h"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 584 "./jsnum.h"
    case 11: 
      var $35=$2; //@line 584 "./jsnum.h"
      var $36=(-$35); //@line 584 "./jsnum.h"
      var $40 = $36;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 12: 
      var $38=$2; //@line 584 "./jsnum.h"
      var $40 = $38;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 13: 
      var $40; //@line 584 "./jsnum.h"
      $1=$40; //@line 584 "./jsnum.h"
      __label__ = 14; break; //@line 584 "./jsnum.h"
    case 14: 
      var $42=$1; //@line 585 "./jsnum.h"
      ;
      return $42; //@line 585 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_DoubleToIntegerd1005["X"]=1;

function __ZL16date_parseStringP14JSLinearStringPdP9JSContext($str, $result, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $msec;
      var $s;
      var $limit;
      var $i;
      var $year;
      var $mon;
      var $mday;
      var $hour;
      var $min;
      var $sec;
      var $c;
      var $n;
      var $tzoffset;
      var $prevc;
      var $seenplusminus;
      var $temp;
      var $seenmonthname;
      var $depth;
      var $st;
      var $k;
      var $action;
      $2=$str;
      $3=$result;
      $4=$cx;
      $i=0; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=-1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=-1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mday=-1; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $hour=-1; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $min=-1; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $sec=-1; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $c=-1; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $n=-1; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $tzoffset=-1; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $prevc=0; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $seenplusminus=0; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $seenmonthname=0; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$2; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$3; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$4; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZL19date_parseISOStringP14JSLinearStringPdP9JSContext($5, $6, $7); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8)|0)!=0; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=1; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 210; break; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $12=$2; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=__ZNK14JSLinearString5charsEv($12); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $s=$13; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$2; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$14; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=__ZNK8JSString6lengthEv($15); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $limit=$16; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$limit; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=(($17)|0)==0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      __label__ = 209; break; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      __label__ = 6; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $22=$i; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$limit; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 168; break; } //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $26=$i; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=$s; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=(($27+($26<<1))|0); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=HEAPU16[(($28)>>1)]; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=(($29)&65535); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $c=$30; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=$i; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31+1)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=$32; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=$c; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=(($33)|0) <= 32; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $36=$c; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=(($36)|0)==44; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $39=$c; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($39)|0)==45; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $42=$c; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=(($42)|0)==45; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $45=$i; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=$s; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=(($46+($45<<1))|0); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=HEAPU16[(($47)>>1)]; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=(($48)&65535); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=48 <= (($49)|0); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $52=$i; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=$s; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=(($53+($52<<1))|0); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=HEAPU16[(($54)>>1)]; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=(($55)&65535); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=(($56)|0) <= 57; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $59=$c; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $prevc=$59; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 14; break; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      __label__ = 6; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $62=$c; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($62)|0)==40; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($63) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      $depth=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $66=$i; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $67=$limit; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=(($66)>>>0) < (($67)>>>0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($68) { __label__ = 18; break; } else { __label__ = 26; break; } //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      var $70=$i; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=$s; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=(($71+($70<<1))|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=HEAPU16[(($72)>>1)]; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $74=(($73)&65535); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $c=$74; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $75=$i; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $76=(($75+1)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=$76; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=$c; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $78=(($77)|0)==40; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $80=$depth; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $81=(($80+1)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $depth=$81; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      var $83=$c; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $84=(($83)|0)==41; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($84) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $86=$depth; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $87=(($86-1)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $depth=$87; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $88=(($87)|0) <= 0; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($88) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      __label__ = 26; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      __label__ = 24; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      __label__ = 17; break; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 26: 
      __label__ = 6; break; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 27: 
      var $95=$c; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $96=48 <= (($95)|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($96) { __label__ = 28; break; } else { __label__ = 113; break; } //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 28: 
      var $98=$c; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $99=(($98)|0) <= 57; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($99) { __label__ = 29; break; } else { __label__ = 113; break; } //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 29: 
      var $101=$c; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $102=(($101-48)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $n=$102; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 30; break; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 30: 
      var $104=$i; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $105=$limit; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $106=(($104)>>>0) < (($105)>>>0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($106) { __label__ = 31; break; } else { var $118 = 0;__label__ = 33; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 31: 
      var $108=$i; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $109=$s; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $110=(($109+($108<<1))|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $111=HEAPU16[(($110)>>1)]; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $112=(($111)&65535); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $c=$112; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $113=48 <= (($112)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($113) { __label__ = 32; break; } else { var $118 = 0;__label__ = 33; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 32: 
      var $115=$c; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $116=(($115)|0) <= 57; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $118 = $116;__label__ = 33; break;
    case 33: 
      var $118;
      if ($118) { __label__ = 34; break; } else { __label__ = 35; break; }
    case 34: 
      var $120=$n; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $121=(($120*10)|0); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $122=$c; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $123=(($121+$122)|0); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $124=(($123-48)|0); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $n=$124; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $125=$i; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $126=(($125+1)|0); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=$126; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 30; break; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 35: 
      var $128=$prevc; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $129=(($128)|0)==43; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($129) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 36: 
      var $131=$prevc; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $132=(($131)|0)==45; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($132) { __label__ = 37; break; } else { __label__ = 46; break; } //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 37: 
      $seenplusminus=1; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $134=$n; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $135=(($134)|0) < 24; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($135) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 38: 
      var $137=$n; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $138=(($137*60)|0); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $n=$138; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 39: 
      var $140=$n; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $141=(($140)|0)%100; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $142=$n; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $143=(((($142)|0)/100)&-1); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $144=(($143*60)|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $145=(($141+$144)|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $n=$145; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break;
    case 40: 
      var $147=$prevc; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $148=(($147)|0)==43; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($148) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 41: 
      var $150=$n; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $151=(((-$150))|0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $n=$151; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 42; break; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 42: 
      var $153=$tzoffset; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $154=(($153)|0)!=0; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($154) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 43: 
      var $156=$tzoffset; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $157=(($156)|0)!=-1; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($157) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 44: 
      __label__ = 209; break; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 45: 
      var $160=$n; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $tzoffset=$160; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 112; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 46: 
      var $162=$prevc; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $163=(($162)|0)==47; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($163) { __label__ = 47; break; } else { __label__ = 57; break; } //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 47: 
      var $165=$mon; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $166=(($165)|0) >= 0; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($166) { __label__ = 48; break; } else { __label__ = 57; break; } //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 48: 
      var $168=$mday; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $169=(($168)|0) >= 0; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($169) { __label__ = 49; break; } else { __label__ = 57; break; } //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 49: 
      var $171=$year; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $172=(($171)|0) < 0; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($172) { __label__ = 50; break; } else { __label__ = 57; break; } //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 50: 
      var $174=$c; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $175=(($174)|0) <= 32; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($175) { __label__ = 54; break; } else { __label__ = 51; break; } //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 51: 
      var $177=$c; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $178=(($177)|0)==44; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($178) { __label__ = 54; break; } else { __label__ = 52; break; } //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 52: 
      var $180=$c; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $181=(($180)|0)==47; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($181) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 53: 
      var $183=$i; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $184=$limit; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $185=(($183)>>>0) >= (($184)>>>0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($185) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 54: 
      var $187=$n; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$187; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 56; break; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 55: 
      __label__ = 209; break; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 56: 
      __label__ = 111; break; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 57: 
      var $191=$c; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $192=(($191)|0)==58; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($192) { __label__ = 58; break; } else { __label__ = 65; break; } //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 58: 
      var $194=$hour; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $195=(($194)|0) < 0; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($195) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 59: 
      var $197=$n; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $hour=$197; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 64; break; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 60: 
      var $199=$min; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $200=(($199)|0) < 0; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($200) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 61: 
      var $202=$n; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $min=$202; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 63; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 62: 
      __label__ = 209; break; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 63: 
      __label__ = 64; break;
    case 64: 
      __label__ = 110; break; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 65: 
      var $207=$c; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $208=(($207)|0)==47; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($208) { __label__ = 66; break; } else { __label__ = 73; break; } //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 66: 
      var $210=$mon; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $211=(($210)|0) < 0; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($211) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 67: 
      var $213=$n; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=$213; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 72; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 68: 
      var $215=$mday; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $216=(($215)|0) < 0; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($216) { __label__ = 69; break; } else { __label__ = 70; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 69: 
      var $218=$n; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mday=$218; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 71; break; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 70: 
      __label__ = 209; break; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 71: 
      __label__ = 72; break;
    case 72: 
      __label__ = 109; break; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 73: 
      var $223=$i; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $224=$limit; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $225=(($223)>>>0) < (($224)>>>0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($225) { __label__ = 74; break; } else { __label__ = 79; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 74: 
      var $227=$c; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $228=(($227)|0)!=44; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($228) { __label__ = 75; break; } else { __label__ = 79; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 75: 
      var $230=$c; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $231=(($230)|0) > 32; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($231) { __label__ = 76; break; } else { __label__ = 79; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 76: 
      var $233=$c; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $234=(($233)|0)!=45; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($234) { __label__ = 77; break; } else { __label__ = 79; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 77: 
      var $236=$c; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $237=(($236)|0)!=40; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($237) { __label__ = 78; break; } else { __label__ = 79; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 78: 
      __label__ = 209; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 79: 
      var $240=$seenplusminus; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $241=(($240)|0)!=0; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($241) { __label__ = 80; break; } else { __label__ = 85; break; } //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 80: 
      var $243=$n; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $244=(($243)|0) < 60; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($244) { __label__ = 81; break; } else { __label__ = 85; break; } //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 81: 
      var $246=$tzoffset; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $247=(($246)|0) < 0; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($247) { __label__ = 82; break; } else { __label__ = 83; break; } //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 82: 
      var $249=$n; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $250=$tzoffset; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $251=(($250-$249)|0); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $tzoffset=$251; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 84; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 83: 
      var $253=$n; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $254=$tzoffset; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $255=(($254+$253)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $tzoffset=$255; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 84; break;
    case 84: 
      __label__ = 107; break; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 85: 
      var $258=$hour; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $259=(($258)|0) >= 0; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($259) { __label__ = 86; break; } else { __label__ = 88; break; } //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 86: 
      var $261=$min; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $262=(($261)|0) < 0; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($262) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 87: 
      var $264=$n; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $min=$264; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 106; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 88: 
      var $266=$prevc; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $267=(($266)|0)==58; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($267) { __label__ = 89; break; } else { __label__ = 92; break; } //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 89: 
      var $269=$min; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $270=(($269)|0) >= 0; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($270) { __label__ = 90; break; } else { __label__ = 92; break; } //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 90: 
      var $272=$sec; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $273=(($272)|0) < 0; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($273) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 91: 
      var $275=$n; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $sec=$275; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 105; break; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 92: 
      var $277=$mon; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $278=(($277)|0) < 0; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($278) { __label__ = 93; break; } else { __label__ = 94; break; } //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 93: 
      var $280=$n; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=$280; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 104; break; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 94: 
      var $282=$mon; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $283=(($282)|0) >= 0; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($283) { __label__ = 95; break; } else { __label__ = 97; break; } //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 95: 
      var $285=$mday; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $286=(($285)|0) < 0; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($286) { __label__ = 96; break; } else { __label__ = 97; break; } //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 96: 
      var $288=$n; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mday=$288; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 103; break; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 97: 
      var $290=$mon; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $291=(($290)|0) >= 0; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($291) { __label__ = 98; break; } else { __label__ = 101; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 98: 
      var $293=$mday; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $294=(($293)|0) >= 0; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($294) { __label__ = 99; break; } else { __label__ = 101; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 99: 
      var $296=$year; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $297=(($296)|0) < 0; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($297) { __label__ = 100; break; } else { __label__ = 101; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 100: 
      var $299=$n; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$299; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 102; break; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 101: 
      __label__ = 209; break; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 102: 
      __label__ = 103; break;
    case 103: 
      __label__ = 104; break;
    case 104: 
      __label__ = 105; break;
    case 105: 
      __label__ = 106; break;
    case 106: 
      __label__ = 107; break;
    case 107: 
      __label__ = 108; break;
    case 108: 
      __label__ = 109; break;
    case 109: 
      __label__ = 110; break;
    case 110: 
      __label__ = 111; break;
    case 111: 
      __label__ = 112; break;
    case 112: 
      $prevc=0; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 167; break; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 113: 
      var $313=$c; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $314=(($313)|0)==47; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($314) { __label__ = 117; break; } else { __label__ = 114; break; } //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 114: 
      var $316=$c; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $317=(($316)|0)==58; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($317) { __label__ = 117; break; } else { __label__ = 115; break; } //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 115: 
      var $319=$c; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $320=(($319)|0)==43; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($320) { __label__ = 117; break; } else { __label__ = 116; break; } //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 116: 
      var $322=$c; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $323=(($322)|0)==45; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($323) { __label__ = 117; break; } else { __label__ = 118; break; } //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 117: 
      var $325=$c; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $prevc=$325; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 166; break; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 118: 
      var $327=$i; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $328=(($327-1)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $st=$328; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 119; break; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 119: 
      var $330=$i; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $331=$limit; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $332=(($330)>>>0) < (($331)>>>0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($332) { __label__ = 120; break; } else { __label__ = 126; break; } //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 120: 
      var $334=$i; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $335=$s; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $336=(($335+($334<<1))|0); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $337=HEAPU16[(($336)>>1)]; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $338=(($337)&65535); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $c=$338; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $339=$c; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $340=65 <= (($339)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($340) { __label__ = 121; break; } else { __label__ = 122; break; } //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 121: 
      var $342=$c; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $343=(($342)|0) <= 90; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($343) { __label__ = 125; break; } else { __label__ = 122; break; } //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 122: 
      var $345=$c; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $346=97 <= (($345)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($346) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 123: 
      var $348=$c; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $349=(($348)|0) <= 122; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($349) { __label__ = 125; break; } else { __label__ = 124; break; } //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 124: 
      __label__ = 126; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 125: 
      var $352=$i; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $353=(($352+1)|0); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=$353; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 119; break; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 126: 
      var $355=$i; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $356=$st; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $357=(($356+1)|0); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $358=(($355)>>>0) <= (($357)>>>0); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($358) { __label__ = 127; break; } else { __label__ = 128; break; } //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 127: 
      __label__ = 209; break; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 128: 
      $k=32; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 129; break; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 129: 
      var $362=$k; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $363=(($362-1)|0); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $k=$363; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $364=(($363)|0) >= 0; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($364) { __label__ = 130; break; } else { __label__ = 163; break; } //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 130: 
      var $366=$k; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $367=((__ZL3wtb+($366<<2))|0); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $368=HEAP32[(($367)>>2)]; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $369=$s; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $370=$st; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $371=$i; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $372=$st; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $373=(($371-$372)|0); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $374=__ZL18date_regionMatchesPKciPKtiii($368, 0, $369, $370, $373, 1); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $375=(($374)|0)!=0; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($375) { __label__ = 131; break; } else { __label__ = 162; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 131: 
      var $377=$k; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $378=((__ZL3ttb+($377<<2))|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $379=HEAP32[(($378)>>2)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $action=$379; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $380=$action; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $381=(($380)|0)!=0; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($381) { __label__ = 132; break; } else { __label__ = 161; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 132: 
      var $383=$action; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $384=(($383)|0) < 0; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($384) { __label__ = 133; break; } else { __label__ = 145; break; } //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 133: 
      var $386=$hour; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $387=(($386)|0) > 12; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($387) { __label__ = 135; break; } else { __label__ = 134; break; } //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 134: 
      var $389=$hour; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $390=(($389)|0) < 0; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($390) { __label__ = 135; break; } else { __label__ = 136; break; } //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 135: 
      __label__ = 209; break; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 136: 
      var $393=$action; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $394=(($393)|0)==-1; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($394) { __label__ = 137; break; } else { __label__ = 139; break; } //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 137: 
      var $396=$hour; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $397=(($396)|0)==12; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($397) { __label__ = 138; break; } else { __label__ = 139; break; } //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 138: 
      $hour=0; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 143; break; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 139: 
      var $400=$action; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $401=(($400)|0)==-2; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($401) { __label__ = 140; break; } else { __label__ = 142; break; } //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 140: 
      var $403=$hour; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $404=(($403)|0)!=12; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($404) { __label__ = 141; break; } else { __label__ = 142; break; } //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 141: 
      var $406=$hour; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $407=(($406+12)|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $hour=$407; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 142; break; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 142: 
      __label__ = 143; break;
    case 143: 
      __label__ = 144; break;
    case 144: 
      __label__ = 160; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 145: 
      var $412=$action; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $413=(($412)|0) <= 13; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($413) { __label__ = 146; break; } else { __label__ = 158; break; } //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 146: 
      var $415=$seenmonthname; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $416=(($415)|0)!=0; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($416) { __label__ = 147; break; } else { __label__ = 148; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 147: 
      __label__ = 209; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 148: 
      $seenmonthname=1; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $419=$action; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $420=(($419-2)|0); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $421=(($420+1)|0); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $temp=$421; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $422=$mon; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $423=(($422)|0) < 0; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($423) { __label__ = 149; break; } else { __label__ = 150; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 149: 
      var $425=$temp; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=$425; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 157; break; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 150: 
      var $427=$mday; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $428=(($427)|0) < 0; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($428) { __label__ = 151; break; } else { __label__ = 152; break; } //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 151: 
      var $430=$mon; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mday=$430; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $431=$temp; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=$431; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 156; break; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 152: 
      var $433=$year; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $434=(($433)|0) < 0; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($434) { __label__ = 153; break; } else { __label__ = 154; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 153: 
      var $436=$mon; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$436; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $437=$temp; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=$437; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 155; break; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 154: 
      __label__ = 209; break; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 155: 
      __label__ = 156; break;
    case 156: 
      __label__ = 157; break;
    case 157: 
      __label__ = 159; break; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 158: 
      var $443=$action; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $444=(($443-10000)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $tzoffset=$444; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 159; break;
    case 159: 
      __label__ = 160; break;
    case 160: 
      __label__ = 161; break; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 161: 
      __label__ = 163; break; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 162: 
      __label__ = 129; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 163: 
      var $450=$k; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $451=(($450)|0) < 0; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($451) { __label__ = 164; break; } else { __label__ = 165; break; } //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 164: 
      __label__ = 209; break; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 165: 
      $prevc=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 166; break;
    case 166: 
      __label__ = 167; break;
    case 167: 
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 168: 
      var $457=$year; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $458=(($457)|0) < 0; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($458) { __label__ = 171; break; } else { __label__ = 169; break; } //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 169: 
      var $460=$mon; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $461=(($460)|0) < 0; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($461) { __label__ = 171; break; } else { __label__ = 170; break; } //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 170: 
      var $463=$mday; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $464=(($463)|0) < 0; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($464) { __label__ = 171; break; } else { __label__ = 172; break; } //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 171: 
      __label__ = 209; break; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 172: 
      var $467=$seenmonthname; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $468=(($467)|0)!=0; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($468) { __label__ = 173; break; } else { __label__ = 184; break; } //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 173: 
      var $470=$mday; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $471=(($470)|0) >= 70; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($471) { __label__ = 174; break; } else { __label__ = 175; break; } //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 174: 
      var $473=$year; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $474=(($473)|0) >= 70; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($474) { __label__ = 177; break; } else { __label__ = 175; break; } //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 175: 
      var $476=$mday; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $477=(($476)|0) < 70; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($477) { __label__ = 176; break; } else { __label__ = 178; break; } //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 176: 
      var $479=$year; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $480=(($479)|0) < 70; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($480) { __label__ = 177; break; } else { __label__ = 178; break; } //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 177: 
      __label__ = 209; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 178: 
      var $483=$mday; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $484=$year; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $485=(($483)|0) > (($484)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($485) { __label__ = 179; break; } else { __label__ = 180; break; } //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 179: 
      var $487=$year; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $temp=$487; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $488=$mday; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$488; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $489=$temp; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mday=$489; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 180; break; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 180: 
      var $491=$year; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $492=(($491)|0) >= 70; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($492) { __label__ = 181; break; } else { __label__ = 183; break; } //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 181: 
      var $494=$year; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $495=(($494)|0) < 100; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($495) { __label__ = 182; break; } else { __label__ = 183; break; } //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 182: 
      var $497=$year; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $498=(($497+1900)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$498; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 183; break; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 183: 
      __label__ = 199; break; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 184: 
      var $501=$mon; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $502=(($501)|0) < 70; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($502) { __label__ = 185; break; } else { __label__ = 188; break; } //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 185: 
      var $504=$year; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $505=(($504)|0) < 100; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($505) { __label__ = 186; break; } else { __label__ = 187; break; } //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 186: 
      var $507=$year; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $508=(($507+1900)|0); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$508; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 187; break; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 187: 
      __label__ = 198; break; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 188: 
      var $511=$mon; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $512=(($511)|0) < 100; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($512) { __label__ = 189; break; } else { __label__ = 193; break; } //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 189: 
      var $514=$mday; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $515=(($514)|0) < 70; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($515) { __label__ = 190; break; } else { __label__ = 191; break; } //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 190: 
      var $517=$year; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $temp=$517; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $518=$mon; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $519=(($518+1900)|0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$519; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $520=$mday; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=$520; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $521=$temp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mday=$521; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 192; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 191: 
      __label__ = 209; break; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 192: 
      __label__ = 197; break; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 193: 
      var $525=$mday; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $526=(($525)|0) < 70; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($526) { __label__ = 194; break; } else { __label__ = 195; break; } //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 194: 
      var $528=$year; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $temp=$528; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $529=$mon; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$529; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $530=$mday; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=$530; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $531=$temp; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mday=$531; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 196; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 195: 
      __label__ = 209; break; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 196: 
      __label__ = 197; break;
    case 197: 
      __label__ = 198; break;
    case 198: 
      __label__ = 199; break;
    case 199: 
      var $537=$mon; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $538=(($537-1)|0); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $mon=$538; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $539=$sec; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $540=(($539)|0) < 0; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($540) { __label__ = 200; break; } else { __label__ = 201; break; } //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 200: 
      $sec=0; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 201; break; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 201: 
      var $543=$min; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $544=(($543)|0) < 0; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($544) { __label__ = 202; break; } else { __label__ = 203; break; } //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 202: 
      $min=0; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 203; break; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 203: 
      var $547=$hour; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $548=(($547)|0) < 0; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($548) { __label__ = 204; break; } else { __label__ = 205; break; } //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 204: 
      $hour=0; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 205; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 205: 
      var $551=$year; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $552=(($551)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $553=$mon; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $554=(($553)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $555=$mday; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $556=(($555)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $557=$hour; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $558=(($557)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $559=$min; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $560=(($559)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $561=$sec; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $562=(($561)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $563=__ZL17date_msecFromDateddddddd($552, $554, $556, $558, $560, $562, 0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec=$563; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $564=$tzoffset; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $565=(($564)|0)==-1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($565) { __label__ = 206; break; } else { __label__ = 207; break; } //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 206: 
      var $567=$msec; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $568=$4; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $569=__ZL3UTCdP9JSContext($567, $568); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec=$569; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 208; break; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 207: 
      var $571=$tzoffset; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $572=(($571)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $573=$572*60000; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $574=$msec; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $575=$574+$573; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec=$575; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 208; break;
    case 208: 
      var $577=$msec; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $578=$3; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$577,HEAP32[(($578)>>2)]=tempDoubleI32[0],HEAP32[(($578+4)>>2)]=tempDoubleI32[1]); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 210; break; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 209: 
      var $580=$3; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=0,HEAP32[(($580)>>2)]=tempDoubleI32[0],HEAP32[(($580+4)>>2)]=tempDoubleI32[1]); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=0; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 210; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 210: 
      var $582=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $582; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16date_parseStringP14JSLinearStringPdP9JSContext["X"]=1;

function __ZL15JSDOUBLE_IS_NaNd1014($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZL17date_msecFromArgsP9JSContextjPN2JS5ValueEPd($cx, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $loop;
      var $array=__stackBase__;
      var $msec_time;
      var $d=__stackBase__+56;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      $5=$rval;
      $loop=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 2; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $7=$loop; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)>>>0) < 7; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 15; break; } //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$loop; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$3; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=$2; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$loop; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$4; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16+($15<<3))|0); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($14, $17, $d); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      $1=0; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $21=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZL18JSDOUBLE_IS_FINITEd1004($21); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($22)|0)!=0; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $25=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$5; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$25,HEAP32[(($26)>>2)]=tempDoubleI32[0],HEAP32[(($26+4)>>2)]=tempDoubleI32[1]); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $28=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=__ZL18js_DoubleToIntegerd1005($28); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$loop; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=(($array+($30<<3))|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$29,HEAP32[(($31)>>2)]=tempDoubleI32[0],HEAP32[(($31+4)>>2)]=tempDoubleI32[1]); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 13; break; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $33=$loop; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=(($33)|0)==2; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $36=$loop; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=(($array+($36<<3))|0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=1,HEAP32[(($37)>>2)]=tempDoubleI32[0],HEAP32[(($37+4)>>2)]=tempDoubleI32[1]); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $39=$loop; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($array+($39<<3))|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=0,HEAP32[(($40)>>2)]=tempDoubleI32[0],HEAP32[(($40+4)>>2)]=tempDoubleI32[1]); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $44=$loop; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=(($44+1)|0); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $loop=$45; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 2; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $47=(($array)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=(tempDoubleI32[0]=HEAP32[(($47)>>2)],tempDoubleI32[1]=HEAP32[(($47+4)>>2)],tempDoubleF64[0]); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=$48 >= 0; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($49) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $51=(($array)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=(tempDoubleI32[0]=HEAP32[(($51)>>2)],tempDoubleI32[1]=HEAP32[(($51+4)>>2)],tempDoubleF64[0]); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=$52 <= 99; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($53) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $55=(($array)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=(tempDoubleI32[0]=HEAP32[(($55)>>2)],tempDoubleI32[1]=HEAP32[(($55+4)>>2)],tempDoubleF64[0]); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=$56+1900; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$57,HEAP32[(($55)>>2)]=tempDoubleI32[0],HEAP32[(($55+4)>>2)]=tempDoubleI32[1]); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      var $59=(($array)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=(tempDoubleI32[0]=HEAP32[(($59)>>2)],tempDoubleI32[1]=HEAP32[(($59+4)>>2)],tempDoubleF64[0]); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=(($array+8)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=(tempDoubleI32[0]=HEAP32[(($61)>>2)],tempDoubleI32[1]=HEAP32[(($61+4)>>2)],tempDoubleF64[0]); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($array+16)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=(tempDoubleI32[0]=HEAP32[(($63)>>2)],tempDoubleI32[1]=HEAP32[(($63+4)>>2)],tempDoubleF64[0]); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=(($array+24)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $66=(tempDoubleI32[0]=HEAP32[(($65)>>2)],tempDoubleI32[1]=HEAP32[(($65+4)>>2)],tempDoubleF64[0]); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $67=(($array+32)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=(tempDoubleI32[0]=HEAP32[(($67)>>2)],tempDoubleI32[1]=HEAP32[(($67+4)>>2)],tempDoubleF64[0]); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=(($array+40)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=(tempDoubleI32[0]=HEAP32[(($69)>>2)],tempDoubleI32[1]=HEAP32[(($69+4)>>2)],tempDoubleF64[0]); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=(($array+48)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=(tempDoubleI32[0]=HEAP32[(($71)>>2)],tempDoubleI32[1]=HEAP32[(($71+4)>>2)],tempDoubleF64[0]); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=__ZL17date_msecFromDateddddddd($60, $62, $64, $66, $68, $70, $72); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec_time=$73; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $74=$msec_time; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $75=$5; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$74,HEAP32[(($75)>>2)]=tempDoubleI32[0],HEAP32[(($75+4)>>2)]=tempDoubleI32[1]); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $77=$1; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $77; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17date_msecFromArgsP9JSContextjPN2JS5ValueEPd["X"]=1;

function __ZL3UTCdP9JSContext($t, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$cx;
  var $3=$1; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $4=$1; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=(tempDoubleI32[0]=HEAP32[((__ZL8LocalTZA)>>2)],tempDoubleI32[1]=HEAP32[((__ZL8LocalTZA+4)>>2)],tempDoubleF64[0]); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$4-$5; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=$2; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $8=__ZL10AdjustTimedP9JSContext($6, $7); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $9=$3-$8; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $9; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __Z20js_NewDateObjectMsecP9JSContextd($cx, $msec_time) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      $2=$cx;
      $3=$msec_time;
      var $4=$2; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE1011($4, __ZN2js9DateClassE); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$5; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$obj; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=$obj; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=$2; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZN8JSObject11ensureSlotsEP9JSContextj($9, $10, 9); //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      $1=0; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=$2; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$obj; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$3; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=__ZL10SetUTCTimeP9JSContextP8JSObjectdPN2JS5ValueE($14, $15, $16, 0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=(($17)|0)!=0; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      $1=0; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $21=$obj; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$21; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $23=$1; //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $23; //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_InitDateClassP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $dateProto;
      var $ctor;
      var $toUTCStringFun=__stackBase__;
      var $toUTCStringId;
      var $toGMTStringId;
      var $4;
      $2=$cx;
      $3=$obj;
      var $5=_PRMJ_LocalGMTDifference(); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)|0); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$6*1000; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(-$7); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$8,HEAP32[((__ZL8LocalTZA)>>2)]=tempDoubleI32[0],HEAP32[((__ZL8LocalTZA+4)>>2)]=tempDoubleI32[1]); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$3; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZN8JSObject8asGlobalEv($9); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $global=$10; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$global; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$2; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($11, $12, __ZN2js9DateClassE); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $dateProto=$13; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$dateProto; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=(($14)|0)!=0; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $18=$2; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=$dateProto; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($18, $19, 0); //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=$global; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$2; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$2; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($22+52)|0); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($24+209948)|0); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25+72)|0); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($26+24)|0); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$28; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($20, $21, 86, __ZN2js9DateClassE, $29, 7); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $ctor=$30; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=$ctor; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31)|0)!=0; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $35=$2; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=$ctor; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=$36; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=$dateProto; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($35, $37, $38); //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $1=0; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $42=$2; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=$ctor; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=$43; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($42, $44, 0, ((__ZL19date_static_methods)|0)); //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      $1=0; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $48=$2; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=$dateProto; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=_JS_DefineFunctions($48, $49, ((__ZL12date_methods)|0)); //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=(($50)|0)!=0; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($51) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      $1=0; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $54=$2; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=(($54+52)|0); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=(($56+209948)|0); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58=(($57+380)|0); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=$59; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=__ZL12ATOM_TO_JSIDP6JSAtom1010($60); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $toUTCStringId=$61; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=$2; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($62+52)|0); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=(($64+209948)|0); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $66=(($65+364)|0); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=$67; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=__ZL12ATOM_TO_JSIDP6JSAtom1010($68); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $toGMTStringId=$69; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=$2; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=$dateProto; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=$toUTCStringId; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=__Z14js_GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($70, $71, $72, $toUTCStringFun); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $74=(($73)|0)!=0; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($74) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $76=$2; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=$dateProto; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $78=$toGMTStringId; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $4=8; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $79=$4; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $80=$79; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $81=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($76, $77, $78, $toUTCStringFun, $80, 10, 0); //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=(($81)|0)!=0; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($82) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      $1=0; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $85=$2; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $86=__ZN9JSContext20typeInferenceEnabledEv($85); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($86) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $88=$dateProto; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $89=$2; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $90=__ZN8JSObject5brandEP9JSContext($88, $89); //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 16; break; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $92=$2; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93=$global; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $94=$ctor; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $95=$94; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $96=$dateProto; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($92, $93, 6, $95, $96); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($97) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      $1=0; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      var $100=$dateProto; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$100; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 19; break; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $102=$1; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $102; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_InitDateClassP9JSContextP8JSObject["X"]=1;

function __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($cx, $obj, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $NaN;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  var $4=$1; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=(($4+52)|0); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=(($6+144112)|0); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $8=__ZN2JS5Value12getDoubleRefEv($7); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $9=(tempDoubleI32[0]=HEAP32[(($8)>>2)],tempDoubleI32[1]=HEAP32[(($8+4)>>2)],tempDoubleF64[0]); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $NaN=$9; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $10=$1; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $11=$2; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $12=$NaN; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $13=$3; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $14=__ZL10SetUTCTimeP9JSContextP8JSObjectdPN2JS5ValueE($10, $11, $12, $13); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL12ATOM_TO_JSIDP6JSAtom1010($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj1046($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE1011($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb1026($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1027($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZL10SetUTCTimeP9JSContextP8JSObjectdPN2JS5ValueE($cx, $obj, $t, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $slotCap;
      var $ind;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $1=$cx;
      $2=$obj;
      $3=$t;
      $4=$vp;
      var $7=$2; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZNK8JSObject8numSlotsEv($7); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8)>>>0) < 9; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $11=$2; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=__ZNK8JSObject8numSlotsEv($11); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15 = $12;__label__ = 4; break; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $15 = 9;__label__ = 4; break; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $15; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $slotCap=$15; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $ind=1; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $17=$ind; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=$slotCap; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($17)>>>0) < (($18)>>>0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $21=$2; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$ind; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL14UndefinedValueEv1024($5); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($21, $22, $5); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $24=$ind; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($24+1)|0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $ind=$25; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $27=$2; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$3; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL11DoubleValueEd1017($6, $28); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject14setDateUTCTimeERKN2JS5ValueE($27, $6); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$4; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=(($29)|0)!=0; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $32=$4; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=$3; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setDoubleEd($32, $33); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 10; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      STACKTOP = __stackBase__;
      return 1; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_NewDateObjectP9JSContextiiiiii($cx, $year, $mon, $mday, $hour, $min, $sec) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $obj;
  var $msec_time;
  $1=$cx;
  $2=$year;
  $3=$mon;
  $4=$mday;
  $5=$hour;
  $6=$min;
  $7=$sec;
  var $8=$2; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $9=(($8)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $10=$3; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $11=(($10)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $12=$4; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $13=(($12)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $14=$5; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $15=(($14)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $16=$6; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $17=(($16)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $18=$7; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $19=(($18)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $20=__ZL17date_msecFromDateddddddd($9, $11, $13, $15, $17, $19, 0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $msec_time=$20; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $21=$1; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $22=$msec_time; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $23=$1; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $24=__ZL3UTCdP9JSContext($22, $23); //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $25=__Z20js_NewDateObjectMsecP9JSContextd($21, $24); //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $obj=$25; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $26=$obj; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $26; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL17date_msecFromDateddddddd($year, $mon, $mday, $hour, $min, $sec, $msec) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $day;
  var $msec_time;
  var $result;
  $1=$year;
  $2=$mon;
  $3=$mday;
  $4=$hour;
  $5=$min;
  $6=$sec;
  $7=$msec;
  var $8=$1; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $9=$2; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $10=$3; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $11=__ZL7MakeDayddd($8, $9, $10); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $day=$11; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $12=$4; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $13=$12*60; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $14=$5; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $15=$13+$14; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $16=$15*60; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $17=$6; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $18=$16+$17; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $19=$18*1000; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $20=$7; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $21=$19+$20; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $msec_time=$21; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $22=$day; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $23=$22*86400000; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $24=$msec_time; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $25=$23+$24; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $result=$25; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $26=$result; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $26; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __Z14js_DateIsValidP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $utctime=__stackBase__;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=$2; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($3, $4, 0, $utctime); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)|0)!=0; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($6) { __label__ = 2; break; } else { var $13 = 0;__label__ = 3; break; } //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $8=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=__ZL15JSDOUBLE_IS_NaNd1014($8); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$10 ^ 1; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13 = $11;__label__ = 3; break;
    case 3: 
      var $13;
      var $14=(($13)&1);
      STACKTOP = __stackBase__;
      return $14; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($cx, $obj, $vp, $dp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$vp;
      $5=$dp;
      var $6=$3; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZNK8JSObject6isDateEv($6); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $12=$2; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=$4; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($12, $13, __ZN2js9DateClassE); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $16=$3; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=__ZNK8JSObject14getDateUTCTimeEv($16); //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=__ZNK2JS5Value8toNumberEv($17); //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=$5; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$18,HEAP32[(($19)>>2)]=tempDoubleI32[0],HEAP32[(($19+4)>>2)]=tempDoubleI32[1]); //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $21=$1; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $21; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z14js_DateGetYearP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $localtime=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$3; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($4, $5, 0, $localtime); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZL15JSDOUBLE_IS_NaNd1014($9); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0)!=0; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      $1=0; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL12YearFromTimed($14); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$15; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $17=$1; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($cx, $obj, $vp, $time) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$vp;
      $5=$time;
      var $6=$3; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 14; break; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$3; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZNK8JSObject6isDateEv($10); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $13=$4; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=(($13)|0)!=0; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $16=$2; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$4; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($16, $17, __ZN2js9DateClassE); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $1=0; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 14; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $20=$3; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=__ZNK8JSObject7getSlotEj($20, 1); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZNK2JS5Value11isUndefinedEv($21); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $24=$2; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=$3; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=__ZL14FillLocalTimesP9JSContextP8JSObject($24, $25); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($26) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      $1=0; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 14; break; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      __label__ = 11; break; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $30=$5; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=(($30)|0)!=0; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($31) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $33=$3; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=__ZNK8JSObject7getSlotEj($33, 1); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=__ZNK2JS5Value8toDoubleEv($34); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=$5; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$35,HEAP32[(($36)>>2)]=tempDoubleI32[0],HEAP32[(($36+4)>>2)]=tempDoubleI32[1]); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 13; break; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      $1=1; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 14; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $39=$1; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $39; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd["X"]=1;

function __ZL12YearFromTimed($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $y;
      var $t2;
      $1=$t;
      var $2=$1; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=$2/31556952000; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=_floor($3); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=(($4)&-1); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5+1970)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $y=$6; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$y; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7-1970)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8*365)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$y; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11-1969)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=(($12)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$13/4; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=_floor($14); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$10+$15; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$y; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=(($17-1901)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=$19/100; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=_floor($20); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$16-$21; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$y; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=(($23-1601)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($24)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$25/400; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=_floor($26); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$22+$27; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$28*86400000; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $t2=$29; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$t2; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=$1; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=$30 > $31; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($32) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $34=$y; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=(($34-1)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $y=$35; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $37=$t2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=$y; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=__ZL10DaysInYeari($38); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($39)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=$40*86400000; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=$37+$41; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=$1; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=$42 <= $43; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($44) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $46=$y; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=(($46+1)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $y=$47; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $50=$y; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $50; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12YearFromTimed["X"]=1;

function __Z15js_DateGetMonthP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $localtime=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$3; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($4, $5, 0, $localtime); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZL15JSDOUBLE_IS_NaNd1014($9); //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0)!=0; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      $1=0; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL13MonthFromTimed($14); //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$15; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $17=$1; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10IsLeapYeari($year) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$year;
      var $2=$1; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=(($2)|0)%4; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=(($3)|0)==0; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($4) { __label__ = 2; break; } else { var $16 = 0;__label__ = 5; break; } //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $6=$1; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)%100; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)|0)!=0; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($8) { var $14 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$1; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0)%400; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)==0; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14 = $12;__label__ = 4; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14;
      var $16 = $14;__label__ = 5; break;
    case 5: 
      var $16;
      ;
      return $16; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13MonthFromTimed($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $d;
      var $step;
      var $year;
      $2=$t;
      var $3=$2; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=__ZL12YearFromTimed($3); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$4; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$2; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$5/86400000; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=_floor($6); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=$year; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8-1970)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9*365)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$year; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=(($12-1969)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=(($13)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$14/4; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=_floor($15); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$11+$16; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=$year; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18-1901)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=(($19)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$20/100; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=_floor($21); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$17-$22; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$year; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($24-1601)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=$26/400; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=_floor($27); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$23+$28; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$7-$29; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=(($30)&-1); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $d=$31; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=$d; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=31; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=(($32)|0) < 31; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($33) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $36=$d; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=$year; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=__ZL14DaysInFebruaryi($37); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=$step; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($39+$38)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$40; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=(($36)|0) < (($40)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($41) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=1; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $44=$d; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=$step; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=(($45+31)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$46; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=(($44)|0) < (($46)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($47) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $1=2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $50=$d; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=$step; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=(($51+30)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$52; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=(($50)|0) < (($52)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($53) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      $1=3; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $56=$d; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=$step; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58=(($57+31)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$58; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $59=(($56)|0) < (($58)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($59) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      $1=4; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $62=$d; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=$step; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=(($63+30)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$64; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=(($62)|0) < (($64)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      $1=5; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $68=$d; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=$step; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=(($69+31)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$70; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=(($68)|0) < (($70)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($71) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      $1=6; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $74=$d; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $75=$step; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $76=(($75+31)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$76; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=(($74)|0) < (($76)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($77) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      $1=7; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $80=$d; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $81=$step; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=(($81+30)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$82; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=(($80)|0) < (($82)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($83) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      $1=8; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $86=$d; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $87=$step; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $88=(($87+31)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$88; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $89=(($86)|0) < (($88)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($89) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      $1=9; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $92=$d; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93=$step; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $94=(($93+30)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$94; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $95=(($92)|0) < (($94)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      $1=10; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      $1=11; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      var $99=$1; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $99; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13MonthFromTimed["X"]=1;

function __Z14js_DateGetDateP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $localtime=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$3; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($4, $5, 0, $localtime); //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZL15JSDOUBLE_IS_NaNd1014($9); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0)!=0; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      $1=0; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL12DateFromTimed($14); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$15; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $17=$1; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12DateFromTimed($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $d;
      var $step;
      var $next;
      var $year;
      $2=$t;
      var $3=$2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=__ZL12YearFromTimed($3); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$4; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$2; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$5/86400000; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=_floor($6); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=$year; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8-1970)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9*365)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$year; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=(($12-1969)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=(($13)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$14/4; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=_floor($15); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$11+$16; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=$year; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18-1901)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=(($19)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$20/100; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=_floor($21); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$17-$22; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$year; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($24-1601)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=$26/400; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=_floor($27); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$23+$28; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$7-$29; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=(($30)&-1); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $d=$31; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=$d; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=30; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=(($32)|0) <= 30; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($33) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $35=$d; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=(($35+1)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$36; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $38=$next; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$38; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=$d; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=$year; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=__ZL14DaysInFebruaryi($40); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=$next; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=(($42+$41)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$43; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=(($39)|0) <= (($43)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($44) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $46=$d; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=$step; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=(($46-$47)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$48; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $50=$next; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$50; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=$d; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=$next; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=(($52+31)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$53; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=(($51)|0) <= (($53)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($54) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $56=$d; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=$step; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58=(($56-$57)|0); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$58; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $60=$next; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$60; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=$d; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=$next; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($62+30)|0); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$63; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=(($61)|0) <= (($63)|0); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($64) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $66=$d; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $67=$step; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=(($66-$67)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$68; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $70=$next; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$70; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=$d; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=$next; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=(($72+31)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$73; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $74=(($71)|0) <= (($73)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($74) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $76=$d; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=$step; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $78=(($76-$77)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$78; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $80=$next; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$80; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $81=$d; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=$next; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=(($82+30)|0); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$83; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $84=(($81)|0) <= (($83)|0); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($84) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $86=$d; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $87=$step; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $88=(($86-$87)|0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$88; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $90=$next; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$90; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $91=$d; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $92=$next; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93=(($92+31)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$93; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $94=(($91)|0) <= (($93)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($94) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $96=$d; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=$step; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $98=(($96-$97)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$98; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $100=$next; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$100; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $101=$d; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $102=$next; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $103=(($102+31)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$103; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $104=(($101)|0) <= (($103)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($104) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $106=$d; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $107=$step; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $108=(($106-$107)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$108; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $110=$next; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$110; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $111=$d; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $112=$next; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $113=(($112+30)|0); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$113; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $114=(($111)|0) <= (($113)|0); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($114) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      var $116=$d; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $117=$step; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $118=(($116-$117)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$118; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $120=$next; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$120; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $121=$d; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $122=$next; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $123=(($122+31)|0); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$123; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $124=(($121)|0) <= (($123)|0); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($124) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      var $126=$d; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $127=$step; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $128=(($126-$127)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$128; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $130=$next; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$130; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $131=$d; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $132=$next; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $133=(($132+30)|0); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$133; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $134=(($131)|0) <= (($133)|0); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($134) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      var $136=$d; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $137=$step; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $138=(($136-$137)|0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$138; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      var $140=$next; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$140; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $141=$d; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $142=$step; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $143=(($141-$142)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$143; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      var $145=$1; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $145; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12DateFromTimed["X"]=1;

function __Z15js_DateGetHoursP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $localtime=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$3; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($4, $5, 0, $localtime); //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZL15JSDOUBLE_IS_NaNd1014($9); //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0)!=0; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      $1=0; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL12HourFromTimed($14); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$15; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $17=$1; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12HourFromTimed($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $result;
      $1=$t;
      var $2=$1; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=$2/3600000; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=_floor($3); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=_fmod($4, 24); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)&-1); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$6; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$result; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)|0) < 0; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $10=$result; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10+24)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$11; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 3; break; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$result; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $13; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_DateGetMinutesP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $localtime=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$3; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd($4, $5, 0, $localtime); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZL15JSDOUBLE_IS_NaNd1014($9); //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0)!=0; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      $1=0; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($localtime)>>2)],tempDoubleI32[1]=HEAP32[(($localtime+4)>>2)],tempDoubleF64[0]); //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL11MinFromTimed($14); //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$15; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $17=$1; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11MinFromTimed($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $result;
      $1=$t;
      var $2=$1; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=$2/60000; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=_floor($3); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=_fmod($4, 60); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)&-1); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$6; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$result; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)|0) < 0; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $10=$result; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10+60)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$11; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 3; break; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$result; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $13; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_DateGetSecondsP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $utctime=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$3; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($4, $5, 0, $utctime); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZL15JSDOUBLE_IS_NaNd1014($9); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10)|0)!=0; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      $1=0; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZL11SecFromTimed($14); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$15; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 5; break; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $17=$1; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11SecFromTimed($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $result;
      $1=$t;
      var $2=$1; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=$2/1000; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=_floor($3); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=_fmod($4, 60); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)&-1); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$6; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$result; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)|0) < 0; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $10=$result; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=(($10+60)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$11; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 3; break; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$result; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $13; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z24js_DateGetMsecSinceEpochP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $utctime=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$3; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($4, $5, 0, $utctime); //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6)|0)!=0; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$10; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $12=$1; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $12; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z14js_IntervalNowv() {
  ;
  var __label__;

  var $1=_PRMJ_Now();
  var $1$0=$1[0];
  var $1$1=$1[1];
  var $$emscripten$temp$0$0=1000;
  var $$emscripten$temp$0$1=0;
  var $2$0 = (i64Math.divide($1$0,$1$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $2$1 = i64Math.result[1]; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $3$0=$2$0;
  var $3=$3$0;
  ;
  return $3; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL14DaysInFebruaryi($year) {
  ;
  var __label__;

  var $1;
  $1=$year;
  var $2=$1; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $3=__ZL10IsLeapYeari($2); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $4=$3 ? 29 : 28; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $4; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL10DaysInYeari($year) {
  ;
  var __label__;

  var $1;
  $1=$year;
  var $2=$1; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $3=__ZL10IsLeapYeari($2); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $4=$3 ? 366 : 365; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $4; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function _DOUBLE_TO_JSVAL_IMPL1020($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL1019($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL1021($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL1022($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL1023($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _BUILD_JSVAL1025($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb1026($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14FillLocalTimesP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $utcTime;
      var $ind;
      var $4=__stackBase__;
      var $localTime;
      var $5=__stackBase__+8;
      var $year;
      var $yearStartTime;
      var $yearDays;
      var $nextStart;
      var $6=__stackBase__+16;
      var $yearTime=__stackBase__+24;
      var $yearSeconds;
      var $day;
      var $step;
      var $next;
      var $month;
      var $7=__stackBase__+32;
      var $8=__stackBase__+40;
      var $weekday;
      var $9=__stackBase__+48;
      var $seconds;
      var $10=__stackBase__+56;
      var $minutes;
      var $11=__stackBase__+64;
      var $hours;
      var $12=__stackBase__+72;
      $2=$cx;
      $3=$obj;
      var $13=$3; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=__ZNK8JSObject14getDateUTCTimeEv($13); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=__ZNK2JS5Value8toNumberEv($14); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $utcTime=$15; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$3; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=__ZNK8JSObject8numSlotsEv($16); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=(($17)>>>0) < 9; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $20=$3; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$2; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZN8JSObject9growSlotsEP9JSContextj($20, $21, 9); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      $1=0; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 41; break; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      __label__ = 5; break; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $26=$utcTime; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=__ZL18JSDOUBLE_IS_FINITEd1004($26); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=(($27)|0)!=0; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($28) { __label__ = 11; break; } else { __label__ = 6; break; } //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      $ind=1; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $31=$ind; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31)>>>0) < 9; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $34=$3; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=$ind; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=$utcTime; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL11DoubleValueEd1017($4, $36); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, $35, $4); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 9; break; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $38=$ind; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=(($38+1)|0); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $ind=$39; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      $1=1; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 41; break; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $42=$utcTime; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=$2; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=__ZL9LocalTimedP9JSContext($42, $43); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $localTime=$44; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=$3; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=$localTime; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL11DoubleValueEd1017($5, $46); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $5); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=$localTime; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=$47/31556952000; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=_floor($48); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=(($49)&-1); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=(($50+1970)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$51; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=$year; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=(($52-1970)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=(($53*365)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=(($54)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=$year; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=(($56-1969)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58=(($57)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $59=$58/4; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=_floor($59); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=$55+$60; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=$year; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($62-1901)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=(($63)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=$64/100; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $66=_floor($65); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $67=$61-$66; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=$year; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=(($68-1601)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=(($69)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=$70/400; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=_floor($71); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=$67+$72; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $74=$73*86400000; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $yearStartTime=$74; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $75=$yearStartTime; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $76=$localTime; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=$75 > $76; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($77) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $79=$year; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $80=(($79-1)|0); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$80; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $81=$year; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=__ZL10DaysInYeari($81); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=(($82)|0); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $84=$83*86400000; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $85=$yearStartTime; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $86=$85-$84; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $yearStartTime=$86; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $87=$year; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $88=__ZL10DaysInYeari($87); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $yearDays=$88; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 16; break; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $90=$year; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $91=__ZL10DaysInYeari($90); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $yearDays=$91; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $92=$yearStartTime; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93=$yearDays; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $94=(($93)|0); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $95=$94*86400000; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $96=$92+$95; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $nextStart=$96; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=$nextStart; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $98=$localTime; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $99=$97 <= $98; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($99) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $101=$year; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $102=(($101+1)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$102; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $103=$nextStart; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $yearStartTime=$103; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $104=$year; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $105=__ZL10DaysInYeari($104); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $yearDays=$105; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 15; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      var $108=$3; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $109=$year; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL10Int32ValueEi1018($6, $109); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($108, 2, $6); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $110=$localTime; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $111=$yearStartTime; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $112=$110-$111; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $113$0 = $112>>>0; var $113$1 = Math.min(Math.floor(($112)/4294967296), 4294967295); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $st$8$0=(($yearTime)|0);
      HEAP32[(($st$8$0)>>2)]=$113$0;
      var $st$8$1=(($yearTime+4)|0);
      HEAP32[(($st$8$1)>>2)]=$113$1;
      var $st$12$0=(($yearTime)|0);
      var $114$0=HEAP32[(($st$12$0)>>2)];
      var $st$12$1=(($yearTime+4)|0);
      var $114$1=HEAP32[(($st$12$1)>>2)];
      var $$emscripten$temp$0$0=1000;
      var $$emscripten$temp$0$1=0;
      var $115$0 = (i64Math.divide($114$0,$114$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1,true),i64Math.result[0]); var $115$1 = i64Math.result[1]; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $116$0=$115$0;
      var $116=$116$0;
      $yearSeconds=$116; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $117=$yearSeconds; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $118=(((($117)|0)/86400)&-1); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$118; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=-1; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=30; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $120=$day; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $121=$next; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $122=(($120)|0) <= (($121)|0); //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($122) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      $month=0; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $125=$next; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$125; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $126=$yearDays; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $127=(($126)|0)==366; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $128=$127 ? 29 : 28; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $129=$next; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $130=(($129+$128)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$130; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $131=$day; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $132=$next; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $133=(($131)|0) <= (($132)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($133) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      $month=1; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $136=$next; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$136; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $137=$day; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $138=$next; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $139=(($138+31)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$139; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $140=(($137)|0) <= (($139)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($140) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      $month=2; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      var $143=$next; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$143; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $144=$day; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $145=$next; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $146=(($145+30)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$146; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $147=(($144)|0) <= (($146)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($147) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      $month=3; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 25: 
      var $150=$next; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$150; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $151=$day; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $152=$next; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $153=(($152+31)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$153; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $154=(($151)|0) <= (($153)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($154) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 26: 
      $month=4; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 27: 
      var $157=$next; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$157; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $158=$day; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $159=$next; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $160=(($159+30)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$160; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $161=(($158)|0) <= (($160)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($161) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 28: 
      $month=5; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 29: 
      var $164=$next; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$164; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $165=$day; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $166=$next; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $167=(($166+31)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$167; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $168=(($165)|0) <= (($167)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($168) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 30: 
      $month=6; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 31: 
      var $171=$next; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$171; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $172=$day; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $173=$next; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $174=(($173+31)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$174; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $175=(($172)|0) <= (($174)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($175) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 32: 
      $month=7; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 33: 
      var $178=$next; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$178; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $179=$day; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $180=$next; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $181=(($180+30)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$181; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $182=(($179)|0) <= (($181)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($182) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 34: 
      $month=8; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 35: 
      var $185=$next; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$185; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $186=$day; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $187=$next; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $188=(($187+31)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$188; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $189=(($186)|0) <= (($188)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($189) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 36: 
      $month=9; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 37: 
      var $192=$next; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$192; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $193=$day; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $194=$next; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $195=(($194+30)|0); //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $next=$195; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $196=(($193)|0) <= (($195)|0); //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($196) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 38: 
      $month=10; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 39: 
      var $199=$next; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $step=$199; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $month=11; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 40: 
      var $201=$3; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $202=$month; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL10Int32ValueEi1018($7, $202); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($201, 3, $7); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $203=$3; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $204=$day; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $205=$step; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $206=(($204-$205)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL10Int32ValueEi1018($8, $206); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($203, 4, $8); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $207=$localTime; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $208=__ZL7WeekDayd($207); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $weekday=$208; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $209=$3; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $210=$weekday; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL10Int32ValueEi1018($9, $210); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($209, 5, $9); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $211=$yearSeconds; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $212=(($211)|0)%60; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $seconds=$212; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $213=$3; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $214=$seconds; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL10Int32ValueEi1018($10, $214); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($213, 8, $10); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $215=$yearSeconds; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $216=(((($215)|0)/60)&-1); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $217=(($216)|0)%60; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $minutes=$217; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $218=$3; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $219=$minutes; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL10Int32ValueEi1018($11, $219); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($218, 7, $11); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $220=$yearSeconds; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $221=(((($220)|0)/3600)&-1); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $222=(($221)|0)%24; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $hours=$222; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $223=$3; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $224=$hours; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JSL10Int32ValueEi1018($12, $224); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($223, 6, $12); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 41; break; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 41: 
      var $226=$1; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $226; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14FillLocalTimesP9JSContextP8JSObject["X"]=1;

function __ZNK8JSObject14getDateUTCTimeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 0); //@line 572 "./jsobjinlines.h"
  ;
  return $3; //@line 572 "./jsobjinlines.h"
}


function __ZN2JSL11DoubleValueEd1017($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 710 "./jsapi.h"
  __ZN2JS5Value9setDoubleEd($agg_result, $2); //@line 710 "./jsapi.h"
  ;
  return; //@line 711 "./jsapi.h"
}


function __ZL9LocalTimedP9JSContext($t, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$cx;
  var $3=$1; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $4=$1; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=__ZL10AdjustTimedP9JSContext($4, $5); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=$3+$6; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $7; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZN2JSL10Int32ValueEi1018($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZL7WeekDayd($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $result;
      $1=$t;
      var $2=$1; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=$2/86400000; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=_floor($3); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=(($4)&-1); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5+4)|0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$6; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$result; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)|0)%7; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$8; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$result; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0) < 0; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $12=$result; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=(($12+7)|0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$13; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 3; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $15=$result; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $15; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10AdjustTimedP9JSContext($date, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $t;
      $1=$date;
      $2=$cx;
      var $3=$1; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=$2; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=__ZL16DaylightSavingTAdP9JSContext($3, $4); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(tempDoubleI32[0]=HEAP32[((__ZL8LocalTZA)>>2)],tempDoubleI32[1]=HEAP32[((__ZL8LocalTZA+4)>>2)],tempDoubleF64[0]); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$5+$6; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $t=$7; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(tempDoubleI32[0]=HEAP32[((__ZL8LocalTZA)>>2)],tempDoubleI32[1]=HEAP32[((__ZL8LocalTZA+4)>>2)],tempDoubleF64[0]); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$8 >= 0; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $11=$t; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=_fmod($11, 86400000); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19 = $12;__label__ = 4; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $14=$t; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=86400000-$14; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=_fmod($15, 86400000); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(-$16); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19 = $17;__label__ = 4; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $19; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $t=$19; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=$t; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $20; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16DaylightSavingTAdP9JSContext($t, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $year;
      var $day;
      var $timeMilliseconds=__stackBase__;
      var $offsetMilliseconds=__stackBase__+8;
      $2=$t;
      $3=$cx;
      var $4=$2; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=__ZL15JSDOUBLE_IS_NaNd1014($4); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)|0)!=0; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $8=$2; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$8; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$10 < 0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $13=$2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$13 > 2145916800000; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $16=$2; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=__ZL12YearFromTimed($16); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=__ZL20EquivalentYearForDSTi($17); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$18; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=$year; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=(($19)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$2; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZL13MonthFromTimed($21); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($22)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$2; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=__ZL12DateFromTimed($24); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=__ZL7MakeDayddd($20, $23, $26); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$27; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$day; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$28*86400000; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$2; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=__ZL13TimeWithinDayd($30); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=$29+$31; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $2=$32; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 6; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $34=$2; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35$0 = $34>>>0; var $35$1 = Math.min(Math.floor(($34)/4294967296), 4294967295); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $st$2$0=(($timeMilliseconds)|0);
      HEAP32[(($st$2$0)>>2)]=$35$0;
      var $st$2$1=(($timeMilliseconds+4)|0);
      HEAP32[(($st$2$1)>>2)]=$35$1;
      var $36=$3; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=(($36+236)|0); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $st$8$0=(($timeMilliseconds)|0);
      var $38$0=HEAP32[(($st$8$0)>>2)];
      var $st$8$1=(($timeMilliseconds+4)|0);
      var $38$1=HEAP32[(($st$8$1)>>2)];
      var $39=$3; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=__ZN14DSTOffsetCache24getDSTOffsetMillisecondsExP9JSContext($37, $38$0, $38$1, $39);
      var $40$0=$40[0];
      var $40$1=$40[1];
      var $st$16$0=(($offsetMilliseconds)|0);
      HEAP32[(($st$16$0)>>2)]=$40$0;
      var $st$16$1=(($offsetMilliseconds+4)|0);
      HEAP32[(($st$16$1)>>2)]=$40$1;
      var $st$20$0=(($offsetMilliseconds)|0);
      var $41$0=HEAP32[(($st$20$0)>>2)];
      var $st$20$1=(($offsetMilliseconds+4)|0);
      var $41$1=HEAP32[(($st$20$1)>>2)];
      var $42=$41$0 + $41$1*4294967296; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$42; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $44=$1; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16DaylightSavingTAdP9JSContext["X"]=1;

function __ZL20EquivalentYearForDSTi($year) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $day;
      $1=$year;
      var $2=$1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=(($2-1970)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=(($3*365)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=(($4)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6-1969)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=(($7)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$8/4; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=_floor($9); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$5+$10; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=(($12-1901)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=(($13)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$14/100; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=_floor($15); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$11-$16; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=$1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18-1601)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=(($19)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$20/400; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=_floor($21); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$17+$22; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=(($23)&-1); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($24+4)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$25; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$day; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($26)|0)%7; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$27; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$day; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=(($28)|0) < 0; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($29) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $31=$day; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31+7)|0); //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$32; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 3; break; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $34=$day; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=$1; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=__ZL10IsLeapYeari($35); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=(($36)&1); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=((__ZL16yearStartingWith+$37*28)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=(($38+($34<<2))|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $40; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7MakeDayddd($year, $month, $date) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $leap;
      var $yearday;
      var $monthday;
      $1=$year;
      $2=$month;
      $3=$date;
      var $4=$2; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$4/12; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=_floor($5); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$1; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=$7+$6; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$8; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$2; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=_fmod($9, 12); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $2=$10; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$2; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$11 < 0; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $14=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$14+12; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $2=$15; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 3; break; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $17=$1; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=(($17)&-1); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=__ZL10IsLeapYeari($18); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=(($19)&1); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $leap=$20; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$1; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$21-1970; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$22*365; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$1; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=$24-1969; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$25/4; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=_floor($26); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$23+$27; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$1; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$29-1901; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=$30/100; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=_floor($31); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=$28-$32; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=$1; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=$34-1601; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=$35/400; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=_floor($36); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=$33+$37; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=$38*86400000; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=$39/86400000; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=_floor($40); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $yearday=$41; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=(($42)&-1); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=$leap; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=((__ZL15firstDayOfMonth+$44*104)|0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=(($45+($43<<3))|0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=(tempDoubleI32[0]=HEAP32[(($46)>>2)],tempDoubleI32[1]=HEAP32[(($46+4)>>2)],tempDoubleF64[0]); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $monthday=$47; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=$yearday; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=$monthday; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=$48+$49; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=$3; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=$50+$51; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=$52-1; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $53; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7MakeDayddd["X"]=1;

function __ZL13TimeWithinDayd($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $result;
      $1=$t;
      var $2=$1; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=_fmod($2, 86400000); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$3; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=$result; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$4 < 0; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $7=$result; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=$7+86400000; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$8; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 3; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=$result; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $10; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv1024($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN8JSObject14setDateUTCTimeERKN2JS5ValueE($this, $time) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$time;
  var $3=$1;
  var $4=$2; //@line 579 "./jsobjinlines.h"
  __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($3, 0, $4); //@line 579 "./jsobjinlines.h"
  ;
  return; //@line 580 "./jsobjinlines.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1027($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1028($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1027["X"]=1;

function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1029($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1035($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj1046($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1030($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _JSID_IS_INT1042($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING1043($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING1044($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _MAGIC_TO_JSVAL_IMPL1034($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL1036($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL1037($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZL26js_IsPropertyCacheDisabledP9JSContext1045($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 2359 "./jscntxt.h"
  var $3=(($2+52)|0); //@line 2359 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2359 "./jscntxt.h"
  var $5=(($4+209944)|0); //@line 2359 "./jscntxt.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 2359 "./jscntxt.h"
  var $7=(($6)>>>0) >= 16777216; //@line 2359 "./jscntxt.h"
  var $8=(($7)&1); //@line 2359 "./jscntxt.h"
  ;
  return $8; //@line 2359 "./jscntxt.h"
}


function _OBJECT_TO_JSVAL_IMPL1047($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1028($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1029($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1030($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1028["X"]=1;

function _js_free1031($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc1032($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1033($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11ObjectValueER8JSObject1038($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1039($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1040($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1041($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1039["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj1040($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1041($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js7unicode8CharInfoEt($code) {
  ;
  var __label__;

  var $1;
  var $index;
  $1=$code;
  var $2=$1; //@line 168 "./vm/Unicode.h"
  var $3=(($2)&65535); //@line 168 "./vm/Unicode.h"
  var $4=$3 >> 6; //@line 168 "./vm/Unicode.h"
  var $5=((__ZN2js7unicode6index1E+($4<<1))|0); //@line 168 "./vm/Unicode.h"
  var $6=((tempInt=(HEAPU8[($5)])|(HEAPU8[($5+1)]<<8),(tempInt << 16) >> 16)); //@line 168 "./vm/Unicode.h"
  $index=$6; //@line 168 "./vm/Unicode.h"
  var $7=$index; //@line 169 "./vm/Unicode.h"
  var $8=(($7)&65535); //@line 169 "./vm/Unicode.h"
  var $9=$8 << 6; //@line 169 "./vm/Unicode.h"
  var $10=$1; //@line 169 "./vm/Unicode.h"
  var $11=(($10)&65535); //@line 169 "./vm/Unicode.h"
  var $12=$11 & 63; //@line 169 "./vm/Unicode.h"
  var $13=(($9+$12)|0); //@line 169 "./vm/Unicode.h"
  var $14=((__ZN2js7unicode6index2E+($13<<1))|0); //@line 169 "./vm/Unicode.h"
  var $15=((tempInt=(HEAPU8[($14)])|(HEAPU8[($14+1)]<<8),(tempInt << 16) >> 16)); //@line 169 "./vm/Unicode.h"
  $index=$15; //@line 169 "./vm/Unicode.h"
  var $16=$index; //@line 171 "./vm/Unicode.h"
  var $17=(($16)&65535); //@line 171 "./vm/Unicode.h"
  var $18=((__ZN2js7unicode11js_charinfoE+$17*6)|0); //@line 171 "./vm/Unicode.h"
  ;
  return $18; //@line 171 "./vm/Unicode.h"
}


function __ZL19date_parseISOStringP14JSLinearStringPdP9JSContext($str, $result, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $msec;
      var $s;
      var $limit;
      var $i=__stackBase__;
      var $tzMul;
      var $dateMul;
      var $year=__stackBase__+4;
      var $month=__stackBase__+8;
      var $day=__stackBase__+12;
      var $hour=__stackBase__+16;
      var $min=__stackBase__+20;
      var $sec=__stackBase__+24;
      var $frac=__stackBase__+28;
      var $isLocalTime;
      var $tzHour=__stackBase__+36;
      var $tzMin=__stackBase__+40;
      $2=$str;
      $3=$result;
      $4=$cx;
      HEAP32[(($i)>>2)]=0; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $tzMul=1; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $dateMul=1; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($year)>>2)]=1970; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($month)>>2)]=1; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($day)>>2)]=1; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($hour)>>2)]=0; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($min)>>2)]=0; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($sec)>>2)]=0; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=0,HEAP32[(($frac)>>2)]=tempDoubleI32[0],HEAP32[(($frac+4)>>2)]=tempDoubleI32[1]); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $isLocalTime=0; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($tzHour)>>2)]=0; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($tzMin)>>2)]=0; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=__ZNK14JSLinearString5charsEv($5); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $s=$6; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=$7; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=__ZNK8JSString6lengthEv($8); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $limit=$9; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=HEAPU32[(($i)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$limit; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $14=HEAP32[(($i)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$s; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($15+($14<<1))|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=HEAPU16[(($16)>>1)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=(($17)&65535); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18)|0)==43; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $21=HEAPU32[(($i)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=$limit; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($21)>>>0) < (($22)>>>0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $25=HEAP32[(($i)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$s; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($26+($25<<1))|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=HEAPU16[(($27)>>1)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=(($28)&65535); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=(($29)|0)==45; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 13; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $32=HEAPU32[(($i)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=$limit; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=(($32)>>>0) < (($33)>>>0); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $36=HEAP32[(($i)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=$s; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=(($37+($36<<1))|0); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=HEAPU16[(($38)>>1)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($39)&65535); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=(($40)|0)==45; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      $dateMul=-1; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $44=HEAP32[(($i)>>2)]; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=(($44+1)|0); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$45; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 9; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $47=$s; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=$limit; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=__ZL7ndigitsjPjPKtS_j(6, $year, $47, $i, $48); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=(($49)|0)!=0; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      __label__ = 125; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      __label__ = 12; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      __label__ = 21; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $55=HEAPU32[(($i)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=$limit; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=(($55)>>>0) < (($56)>>>0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($57) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $59=HEAP32[(($i)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=$s; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=(($60+($59<<1))|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=HEAPU16[(($61)>>1)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($62)&65535); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=(($63)|0)==84; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($64) { __label__ = 20; break; } else { __label__ = 15; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      __label__ = 16; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $67=$s; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=$limit; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=__ZL7ndigitsjPjPKtS_j(4, $year, $67, $i, $68); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=(($69)|0)!=0; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      __label__ = 125; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      __label__ = 19; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      __label__ = 20; break; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      var $77=HEAPU32[(($i)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $78=$limit; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $79=(($77)>>>0) >= (($78)>>>0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($79) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      var $81=HEAP32[(($i)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=$s; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=(($82+($81<<1))|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $84=HEAPU16[(($83)>>1)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $85=(($84)&65535); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $86=(($85)|0)!=45; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($86) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      __label__ = 42; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 25: 
      var $89=HEAP32[(($i)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $90=(($89+1)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$90; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 27: 
      __label__ = 28; break; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 28: 
      var $94=$s; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $95=$limit; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $96=__ZL7ndigitsjPjPKtS_j(2, $month, $94, $i, $95); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=(($96)|0)!=0; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($97) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 29: 
      __label__ = 125; break; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 30: 
      __label__ = 31; break; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 31: 
      __label__ = 32; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 32: 
      var $102=HEAPU32[(($i)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $103=$limit; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $104=(($102)>>>0) >= (($103)>>>0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($104) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 33: 
      var $106=HEAP32[(($i)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $107=$s; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $108=(($107+($106<<1))|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $109=HEAPU16[(($108)>>1)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $110=(($109)&65535); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $111=(($110)|0)!=45; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($111) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 34: 
      __label__ = 42; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 35: 
      var $114=HEAP32[(($i)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $115=(($114+1)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$115; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 36; break;
    case 36: 
      __label__ = 37; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 37: 
      __label__ = 38; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 38: 
      var $119=$s; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $120=$limit; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $121=__ZL7ndigitsjPjPKtS_j(2, $day, $119, $i, $120); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $122=(($121)|0)!=0; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($122) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 39: 
      __label__ = 125; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 40: 
      __label__ = 41; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 41: 
      __label__ = 42; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 42: 
      __label__ = 43; break; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 43: 
      var $128=HEAPU32[(($i)>>2)]; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $129=$limit; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $130=(($128)>>>0) >= (($129)>>>0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($130) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 44: 
      var $132=HEAP32[(($i)>>2)]; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $133=$s; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $134=(($133+($132<<1))|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $135=HEAPU16[(($134)>>1)]; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $136=(($135)&65535); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $137=(($136)|0)!=84; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($137) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 45: 
      __label__ = 102; break; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 46: 
      var $140=HEAP32[(($i)>>2)]; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $141=(($140+1)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$141; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 47; break;
    case 47: 
      __label__ = 48; break; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 48: 
      __label__ = 49; break; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 49: 
      var $145=$s; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $146=$limit; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $147=__ZL7ndigitsjPjPKtS_j(2, $hour, $145, $i, $146); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $148=(($147)|0)!=0; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($148) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 50: 
      __label__ = 125; break; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 51: 
      __label__ = 52; break; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 52: 
      __label__ = 53; break; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 53: 
      var $153=HEAPU32[(($i)>>2)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $154=$limit; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $155=(($153)>>>0) >= (($154)>>>0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($155) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 54: 
      var $157=HEAP32[(($i)>>2)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $158=$s; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $159=(($158+($157<<1))|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $160=HEAPU16[(($159)>>1)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $161=(($160)&65535); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $162=(($161)|0)!=58; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($162) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 55: 
      __label__ = 125; break; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 56: 
      var $165=HEAP32[(($i)>>2)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $166=(($165+1)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$166; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 57; break;
    case 57: 
      __label__ = 58; break; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 58: 
      __label__ = 59; break; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 59: 
      var $170=$s; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $171=$limit; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $172=__ZL7ndigitsjPjPKtS_j(2, $min, $170, $i, $171); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $173=(($172)|0)!=0; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($173) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 60: 
      __label__ = 125; break; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 61: 
      __label__ = 62; break; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 62: 
      var $177=HEAPU32[(($i)>>2)]; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $178=$limit; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $179=(($177)>>>0) < (($178)>>>0); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($179) { __label__ = 63; break; } else { __label__ = 74; break; } //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 63: 
      var $181=HEAP32[(($i)>>2)]; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $182=$s; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $183=(($182+($181<<1))|0); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $184=HEAPU16[(($183)>>1)]; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $185=(($184)&65535); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $186=(($185)|0)==58; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($186) { __label__ = 64; break; } else { __label__ = 74; break; } //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 64: 
      var $188=HEAP32[(($i)>>2)]; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $189=(($188+1)|0); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$189; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 65; break; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 65: 
      var $191=$s; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $192=$limit; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $193=__ZL7ndigitsjPjPKtS_j(2, $sec, $191, $i, $192); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $194=(($193)|0)!=0; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($194) { __label__ = 67; break; } else { __label__ = 66; break; } //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 66: 
      __label__ = 125; break; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 67: 
      __label__ = 68; break; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 68: 
      var $198=HEAPU32[(($i)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $199=$limit; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $200=(($198)>>>0) < (($199)>>>0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($200) { __label__ = 69; break; } else { __label__ = 73; break; } //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 69: 
      var $202=HEAP32[(($i)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $203=$s; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $204=(($203+($202<<1))|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $205=HEAPU16[(($204)>>1)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $206=(($205)&65535); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $207=(($206)|0)==46; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($207) { __label__ = 70; break; } else { __label__ = 73; break; } //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 70: 
      var $209=HEAP32[(($i)>>2)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $210=(($209+1)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$210; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $211=$s; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $212=$limit; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $213=__ZL10fractionalPdPKtPjj($frac, $211, $i, $212); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $214=(($213)|0)!=0; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($214) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 71: 
      __label__ = 125; break; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 72: 
      __label__ = 73; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 73: 
      __label__ = 74; break; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 74: 
      var $219=HEAPU32[(($i)>>2)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $220=$limit; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $221=(($219)>>>0) < (($220)>>>0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($221) { __label__ = 75; break; } else { __label__ = 77; break; } //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 75: 
      var $223=HEAP32[(($i)>>2)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $224=$s; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $225=(($224+($223<<1))|0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $226=HEAPU16[(($225)>>1)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $227=(($226)&65535); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $228=(($227)|0)==90; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($228) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 76: 
      var $230=HEAP32[(($i)>>2)]; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $231=(($230+1)|0); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$231; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 101; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 77: 
      var $233=HEAPU32[(($i)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $234=$limit; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $235=(($233)>>>0) < (($234)>>>0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($235) { __label__ = 78; break; } else { __label__ = 79; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 78: 
      var $237=HEAP32[(($i)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $238=$s; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $239=(($238+($237<<1))|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $240=HEAPU16[(($239)>>1)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $241=(($240)&65535); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $242=(($241)|0)==43; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($242) { __label__ = 81; break; } else { __label__ = 79; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 79: 
      var $244=HEAPU32[(($i)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $245=$limit; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $246=(($244)>>>0) < (($245)>>>0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($246) { __label__ = 80; break; } else { __label__ = 99; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 80: 
      var $248=HEAP32[(($i)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $249=$s; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $250=(($249+($248<<1))|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $251=HEAPU16[(($250)>>1)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $252=(($251)&65535); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $253=(($252)|0)==45; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($253) { __label__ = 81; break; } else { __label__ = 99; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 81: 
      var $255=HEAPU32[(($i)>>2)]; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $256=$limit; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $257=(($255)>>>0) < (($256)>>>0); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($257) { __label__ = 82; break; } else { __label__ = 84; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 82: 
      var $259=HEAP32[(($i)>>2)]; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $260=$s; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $261=(($260+($259<<1))|0); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $262=HEAPU16[(($261)>>1)]; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $263=(($262)&65535); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $264=(($263)|0)==45; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($264) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 83: 
      $tzMul=-1; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 84; break; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 84: 
      var $267=HEAP32[(($i)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $268=(($267+1)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$268; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 85; break; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 85: 
      var $270=$s; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $271=$limit; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $272=__ZL7ndigitsjPjPKtS_j(2, $tzHour, $270, $i, $271); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $273=(($272)|0)!=0; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($273) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 86: 
      __label__ = 125; break; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 87: 
      __label__ = 88; break; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 88: 
      __label__ = 89; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 89: 
      var $278=HEAPU32[(($i)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $279=$limit; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $280=(($278)>>>0) >= (($279)>>>0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($280) { __label__ = 91; break; } else { __label__ = 90; break; } //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 90: 
      var $282=HEAP32[(($i)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $283=$s; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $284=(($283+($282<<1))|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $285=HEAPU16[(($284)>>1)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $286=(($285)&65535); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $287=(($286)|0)!=58; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($287) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 91: 
      __label__ = 125; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 92: 
      var $290=HEAP32[(($i)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $291=(($290+1)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($i)>>2)]=$291; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 93; break;
    case 93: 
      __label__ = 94; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 94: 
      __label__ = 95; break; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 95: 
      var $295=$s; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $296=$limit; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $297=__ZL7ndigitsjPjPKtS_j(2, $tzMin, $295, $i, $296); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $298=(($297)|0)!=0; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($298) { __label__ = 97; break; } else { __label__ = 96; break; } //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 96: 
      __label__ = 125; break; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 97: 
      __label__ = 98; break; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 98: 
      __label__ = 100; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 99: 
      $isLocalTime=1; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 100; break;
    case 100: 
      __label__ = 101; break;
    case 101: 
      __label__ = 102; break;
    case 102: 
      var $306=HEAPU32[(($year)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $307=(($306)>>>0) > 275943; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($307) { __label__ = 115; break; } else { __label__ = 103; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 103: 
      var $309=HEAP32[(($month)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $310=(($309)|0)==0; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($310) { __label__ = 115; break; } else { __label__ = 104; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 104: 
      var $312=HEAPU32[(($month)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $313=(($312)>>>0) > 12; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($313) { __label__ = 115; break; } else { __label__ = 105; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 105: 
      var $315=HEAP32[(($day)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $316=(($315)|0)==0; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($316) { __label__ = 115; break; } else { __label__ = 106; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 106: 
      var $318=HEAPU32[(($day)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $319=HEAP32[(($year)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $320=HEAP32[(($month)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $321=__ZL11DaysInMonthii($319, $320); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $322=(($318)>>>0) > (($321)>>>0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($322) { __label__ = 115; break; } else { __label__ = 107; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 107: 
      var $324=HEAPU32[(($hour)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $325=(($324)>>>0) > 24; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($325) { __label__ = 115; break; } else { __label__ = 108; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 108: 
      var $327=HEAP32[(($hour)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $328=(($327)|0)==24; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($328) { __label__ = 109; break; } else { __label__ = 111; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 109: 
      var $330=HEAPU32[(($min)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $331=(($330)>>>0) > 0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($331) { __label__ = 115; break; } else { __label__ = 110; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 110: 
      var $333=HEAPU32[(($sec)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $334=(($333)>>>0) > 0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($334) { __label__ = 115; break; } else { __label__ = 111; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 111: 
      var $336=HEAPU32[(($min)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $337=(($336)>>>0) > 59; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($337) { __label__ = 115; break; } else { __label__ = 112; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 112: 
      var $339=HEAPU32[(($sec)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $340=(($339)>>>0) > 59; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($340) { __label__ = 115; break; } else { __label__ = 113; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 113: 
      var $342=HEAPU32[(($tzHour)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $343=(($342)>>>0) > 23; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($343) { __label__ = 115; break; } else { __label__ = 114; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 114: 
      var $345=HEAPU32[(($tzMin)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $346=(($345)>>>0) > 59; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($346) { __label__ = 115; break; } else { __label__ = 116; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 115: 
      __label__ = 125; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 116: 
      var $349=HEAP32[(($i)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $350=$limit; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $351=(($349)|0)!=(($350)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($351) { __label__ = 117; break; } else { __label__ = 118; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 117: 
      __label__ = 125; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 118: 
      var $354=HEAP32[(($month)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $355=(($354-1)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($month)>>2)]=$355; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $356=$dateMul; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $357=(($356)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $358=HEAPU32[(($year)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $359=(($358)>>>0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $360=$357*$359; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $361=HEAPU32[(($month)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $362=(($361)>>>0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $363=HEAPU32[(($day)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $364=(($363)>>>0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $365=HEAPU32[(($hour)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $366=(($365)>>>0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $367=HEAPU32[(($min)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $368=(($367)>>>0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $369=HEAPU32[(($sec)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $370=(($369)>>>0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $371=(tempDoubleI32[0]=HEAP32[(($frac)>>2)],tempDoubleI32[1]=HEAP32[(($frac+4)>>2)],tempDoubleF64[0]); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $372=$371*1000; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $373=__ZL17date_msecFromDateddddddd($360, $362, $364, $366, $368, $370, $372); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec=$373; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $374=$isLocalTime; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $375=(($374) & 1); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($375) { __label__ = 119; break; } else { __label__ = 120; break; } //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 119: 
      var $377=$msec; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $378=$4; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $379=__ZL3UTCdP9JSContext($377, $378); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec=$379; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 121; break; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 120: 
      var $381=$tzMul; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $382=(($381)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $383=HEAPU32[(($tzHour)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $384=(($383)>>>0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $385=$384*3600000; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $386=HEAPU32[(($tzMin)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $387=(($386)>>>0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $388=$387*60000; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $389=$385+$388; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $390=$382*$389; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $391=$msec; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $392=$391-$390; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec=$392; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 121; break;
    case 121: 
      var $394=$msec; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $395=$394 < -8640000000000000; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($395) { __label__ = 123; break; } else { __label__ = 122; break; } //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 122: 
      var $397=$msec; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $398=$397 > 8640000000000000; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($398) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 123: 
      __label__ = 125; break; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 124: 
      var $401=$msec; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $402=$3; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$401,HEAP32[(($402)>>2)]=tempDoubleI32[0],HEAP32[(($402+4)>>2)]=tempDoubleI32[1]); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 126; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 125: 
      var $404=$3; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=0,HEAP32[(($404)>>2)]=tempDoubleI32[0],HEAP32[(($404+4)>>2)]=tempDoubleI32[1]); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=0; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 126; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 126: 
      var $406=$1; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $406; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19date_parseISOStringP14JSLinearStringPdP9JSContext["X"]=1;

function __ZL18date_regionMatchesPKciPKtiii($s1, $s1off, $s2, $s2off, $count, $ignoreCase) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $result;
      $1=$s1;
      $2=$s1off;
      $3=$s2;
      $4=$s2off;
      $5=$count;
      $6=$ignoreCase;
      $result=0; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 2; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $8=$5; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8)|0) > 0; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($9) { __label__ = 3; break; } else { var $23 = 0;__label__ = 5; break; } //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $11=$2; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$1; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=(($12+$11)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=HEAP8[($13)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=(($14 << 24) >> 24)!=0; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($15) { __label__ = 4; break; } else { var $23 = 0;__label__ = 5; break; } //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $17=$4; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=$3; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18+($17<<1))|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=HEAP16[(($19)>>1)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=(($20 << 16) >> 16)!=0; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23 = $21;__label__ = 5; break;
    case 5: 
      var $23;
      if ($23) { __label__ = 6; break; } else { __label__ = 14; break; }
    case 6: 
      var $25=$6; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25)|0)!=0; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $28=$2; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$1; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=(($29+$28)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=HEAP8[($30)]; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(($31 << 24) >> 24); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=__ZN2js7unicode11ToLowerCaseEt($32); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=(($33)&65535); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=$4; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=$3; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=(($36+($35<<1))|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=HEAP16[(($37)>>1)]; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=__ZN2js7unicode11ToLowerCaseEt($38); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($39)&65535); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=(($34)|0)!=(($40)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      __label__ = 14; break; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      __label__ = 13; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $45=$2; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=$1; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=(($46+$45)|0); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=HEAP8[($47)]; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=(($48 << 24) >> 24); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=(($49)&65535); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=$4; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=$3; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=(($52+($51<<1))|0); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=HEAPU16[(($53)>>1)]; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=(($54)&65535); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=(($50)|0)!=(($55)|0); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      __label__ = 14; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      var $60=$2; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=(($60+1)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $2=$61; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=$4; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($62+1)|0); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $4=$63; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=$5; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=(($64-1)|0); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=$65; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 2; break; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $67=$5; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=(($67)|0)==0; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($68) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      $result=1; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 16; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $71=$result; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $71; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18date_regionMatchesPKciPKtiii["X"]=1;

function __ZN2js7unicode11ToLowerCaseEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $info;
      $2=$ch;
      var $3=$2; //@line 264 "./vm/Unicode.h"
      var $4=__ZN2js7unicode8CharInfoEt($3); //@line 264 "./vm/Unicode.h"
      $info=$4; //@line 264 "./vm/Unicode.h"
      var $5=$info; //@line 266 "./vm/Unicode.h"
      var $6=(($5+4)|0); //@line 266 "./vm/Unicode.h"
      var $7=HEAPU8[($6)]; //@line 266 "./vm/Unicode.h"
      var $8=(($7)&255); //@line 266 "./vm/Unicode.h"
      var $9=$8 & 8; //@line 266 "./vm/Unicode.h"
      var $10=(($9)|0)!=0; //@line 266 "./vm/Unicode.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 266 "./vm/Unicode.h"
    case 2: 
      var $12=$info; //@line 267 "./vm/Unicode.h"
      var $13=(($12+2)|0); //@line 267 "./vm/Unicode.h"
      var $14=HEAP16[(($13)>>1)]; //@line 267 "./vm/Unicode.h"
      $1=$14; //@line 267 "./vm/Unicode.h"
      __label__ = 4; break; //@line 267 "./vm/Unicode.h"
    case 3: 
      var $16=$2; //@line 269 "./vm/Unicode.h"
      var $17=(($16)&65535); //@line 269 "./vm/Unicode.h"
      var $18=$info; //@line 269 "./vm/Unicode.h"
      var $19=(($18+2)|0); //@line 269 "./vm/Unicode.h"
      var $20=HEAPU16[(($19)>>1)]; //@line 269 "./vm/Unicode.h"
      var $21=(($20)&65535); //@line 269 "./vm/Unicode.h"
      var $22=(($17+$21)|0); //@line 269 "./vm/Unicode.h"
      var $23=(($22) & 65535); //@line 269 "./vm/Unicode.h"
      $1=$23; //@line 269 "./vm/Unicode.h"
      __label__ = 4; break; //@line 269 "./vm/Unicode.h"
    case 4: 
      var $25=$1; //@line 270 "./vm/Unicode.h"
      ;
      return $25; //@line 270 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7ndigitsjPjPKtS_j($n, $result, $s, $i, $limit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $init;
      $2=$n;
      $3=$result;
      $4=$s;
      $5=$i;
      $6=$limit;
      var $7=$5; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $init=$8; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$3; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=$4; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$5; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=$6; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $13=$init; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$2; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=(($13+$14)|0); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=(($12)>>>0) < (($15)>>>0); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $18=$6; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24 = $18;__label__ = 4; break; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $20=$init; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$2; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=(($20+$21)|0); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24 = $22;__label__ = 4; break; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $24; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=__ZL6digitsPjPKtS_j($9, $10, $11, $24); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=(($25)|0)!=0; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $28=$5; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$init; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=(($29-$30)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=$2; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=(($31)|0)==(($32)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=(($33)&1); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$34; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $36=$init; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=$5; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($37)>>2)]=$36; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=0; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 7; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $39=$1; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $39; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7ndigitsjPjPKtS_j["X"]=1;

function __ZL10fractionalPdPKtPjj($result, $s, $i, $limit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $factor;
      var $init;
      $1=$result;
      $2=$s;
      $3=$i;
      $4=$limit;
      $factor=0.1; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$3; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $init=$6; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$1; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=0,HEAP32[(($7)>>2)]=tempDoubleI32[0],HEAP32[(($7+4)>>2)]=tempDoubleI32[1]); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 2; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=$3; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$4; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 3; break; } else { var $32 = 0;__label__ = 6; break; } //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $14=$3; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$2; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16+($15<<1))|0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=HEAPU16[(($17)>>1)]; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18)&65535); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=48 <= (($19)|0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($20) { __label__ = 4; break; } else { var $30 = 0;__label__ = 5; break; } //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $22=$3; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$2; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($24+($23<<1))|0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=HEAPU16[(($25)>>1)]; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($26)&65535); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=(($27)|0) <= 57; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30 = $28;__label__ = 5; break;
    case 5: 
      var $30;
      var $32 = $30;__label__ = 6; break;
    case 6: 
      var $32;
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; }
    case 7: 
      var $34=$3; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=$2; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=(($36+($35<<1))|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=HEAPU16[(($37)>>1)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=(($38)&65535); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($39-48)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=(($40)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=$factor; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=$41*$42; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=$1; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=(tempDoubleI32[0]=HEAP32[(($44)>>2)],tempDoubleI32[1]=HEAP32[(($44+4)>>2)],tempDoubleF64[0]); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=$45+$43; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$46,HEAP32[(($44)>>2)]=tempDoubleI32[0],HEAP32[(($44+4)>>2)]=tempDoubleI32[1]); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=$factor; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=$47*0.1; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $factor=$48; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=$3; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=(($50+1)|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($49)>>2)]=$51; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 2; break; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $53=$3; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=$init; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=(($54)|0)!=(($55)|0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=(($56)&1); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $57; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10fractionalPdPKtPjj["X"]=1;

function __ZL6digitsPjPKtS_j($result, $s, $i, $limit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $init;
      $1=$result;
      $2=$s;
      $3=$i;
      $4=$limit;
      var $5=$3; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $init=$6; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$1; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($7)>>2)]=0; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 2; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $9=$3; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$4; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 3; break; } else { var $32 = 0;__label__ = 6; break; } //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $14=$3; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$2; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=(($16+($15<<1))|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=HEAPU16[(($17)>>1)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18)&65535); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=48 <= (($19)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($20) { __label__ = 4; break; } else { var $30 = 0;__label__ = 5; break; } //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $22=$3; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$2; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($24+($23<<1))|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=HEAPU16[(($25)>>1)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($26)&65535); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=(($27)|0) <= 57; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30 = $28;__label__ = 5; break;
    case 5: 
      var $30;
      var $32 = $30;__label__ = 6; break;
    case 6: 
      var $32;
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; }
    case 7: 
      var $34=$1; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=(($35*10)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($34)>>2)]=$36; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=$3; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=$2; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($39+($38<<1))|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=HEAPU16[(($40)>>1)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $42=(($41)&65535); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=(($42-48)|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=$1; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=(($45+$43)|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($44)>>2)]=$46; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=$3; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=(($48+1)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      HEAP32[(($47)>>2)]=$49; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 2; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $51=$3; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=$init; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=(($52)|0)!=(($53)|0); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=(($54)&1); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $55; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6digitsPjPKtS_j["X"]=1;

function _STRING_TO_JSVAL_IMPL1048($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL1049($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL1050($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL1051($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL1053($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function __ZNK16JSAutoByteStringntEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 4318 "./jsapi.h"
  var $4=HEAP32[(($3)>>2)]; //@line 4318 "./jsapi.h"
  var $5=(($4)|0)!=0; //@line 4318 "./jsapi.h"
  var $6=$5 ^ 1; //@line 4318 "./jsapi.h"
  ;
  return $6; //@line 4318 "./jsapi.h"
}


function __ZL11DaysInMonthii($year, $month) {
  ;
  var __label__;

  var $1;
  var $2;
  var $leap;
  var $result;
  $1=$year;
  $2=$month;
  var $3=$1; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $4=__ZL10IsLeapYeari($3); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=(($4)&1); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $leap=$5; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$2; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=$leap; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $8=((__ZL15firstDayOfMonth+$7*104)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $9=(($8+($6<<3))|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $10=(tempDoubleI32[0]=HEAP32[(($9)>>2)],tempDoubleI32[1]=HEAP32[(($9+4)>>2)],tempDoubleF64[0]); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $11=$2; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $12=(($11-1)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $13=$leap; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $14=((__ZL15firstDayOfMonth+$13*104)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $15=(($14+($12<<3))|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $16=(tempDoubleI32[0]=HEAP32[(($15)>>2)],tempDoubleI32[1]=HEAP32[(($15+4)>>2)],tempDoubleF64[0]); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $17=$10-$16; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $18=(($17)&-1); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $result=$18; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $19=$result; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return $19; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZL11new_explodedP8PRMJTimeP9JSContext($timeval, $split, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $year;
  $1=$timeval;
  $2=$split;
  $3=$cx;
  var $4=$1; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=__ZL12YearFromTimed($4); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  $year=$5; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$1; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL10msFromTimed($6); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $8=(($7*1000)|0); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $9=$2; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $10=(($9)|0); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP32[(($10)>>2)]=$8; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $11=$1; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $12=__ZL11SecFromTimed($11); //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $13=(($12) & 255); //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $14=$2; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $15=(($14+4)|0); //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP8[($15)]=$13; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $16=$1; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $17=__ZL11MinFromTimed($16); //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $18=(($17) & 255); //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $19=$2; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $20=(($19+5)|0); //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP8[($20)]=$18; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $21=$1; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $22=__ZL12HourFromTimed($21); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $23=(($22) & 255); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $24=$2; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $25=(($24+6)|0); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP8[($25)]=$23; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $26=$1; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $27=__ZL12DateFromTimed($26); //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $28=(($27) & 255); //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $29=$2; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $30=(($29+7)|0); //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP8[($30)]=$28; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $31=$1; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $32=__ZL13MonthFromTimed($31); //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $33=(($32) & 255); //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $34=$2; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $35=(($34+8)|0); //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP8[($35)]=$33; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $36=$1; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $37=__ZL7WeekDayd($36); //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $38=(($37) & 255); //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $39=$2; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $40=(($39+9)|0); //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP8[($40)]=$38; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $41=$year; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $42=$2; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $43=(($42+12)|0); //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP32[(($43)>>2)]=$41; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $44=$1; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $45=$44/86400000; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $46=_floor($45); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $47=$year; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $48=(($47-1970)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $49=(($48*365)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $50=(($49)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $51=$year; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $52=(($51-1969)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $53=(($52)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $54=$53/4; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $55=_floor($54); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $56=$50+$55; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $57=$year; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $58=(($57-1901)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $59=(($58)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $60=$59/100; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $61=_floor($60); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $62=$56-$61; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $63=$year; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $64=(($63-1601)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $65=(($64)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $66=$65/400; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $67=_floor($66); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $68=$62+$67; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $69=$46-$68; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $70=(($69)&-1); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $71=(($70) & 65535); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $72=$2; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $73=(($72+16)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP16[(($73)>>1)]=$71; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $74=$1; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $75=$3; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $76=__ZL16DaylightSavingTAdP9JSContext($74, $75); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $77=$76 != 0; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $78=(($77)&1); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $79=$2; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $80=(($79+18)|0); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  HEAP8[($80)]=$78; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  ;
  return; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}
__ZL11new_explodedP8PRMJTimeP9JSContext["X"]=1;

function __ZL10msFromTimed($t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $result;
      $1=$t;
      var $2=$1; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $3=_fmod($2, 1000); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $4=(($3)&-1); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$4; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $5=$result; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=(($5)|0) < 0; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      var $8=$result; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8+1000)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result=$9; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 3; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $11=$result; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $11; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($cx, $vp, $dp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$vp;
      $4=$dp;
      var $5=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$3; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=(($6+8)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$8; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=$obj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=$2; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=$obj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=$3; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($13, $14, $15, $16); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=(($17)|0)!=0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$18; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 4; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $20=$1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      ;
      return $20; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE($cx, $preferredType, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$preferredType;
      $4=$vp;
      var $5=$4; //@line 2146 "./jsobj.h"
      var $6=__ZNK2JS5Value11isPrimitiveEv($5); //@line 2146 "./jsobj.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2146 "./jsobj.h"
    case 2: 
      $1=1; //@line 2147 "./jsobj.h"
      __label__ = 4; break; //@line 2147 "./jsobj.h"
    case 3: 
      var $9=$4; //@line 2148 "./jsobj.h"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 2148 "./jsobj.h"
      var $11=$2; //@line 2148 "./jsobj.h"
      var $12=$3; //@line 2148 "./jsobj.h"
      var $13=$4; //@line 2148 "./jsobj.h"
      var $14=__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($10, $11, $12, $13); //@line 2148 "./jsobj.h"
      $1=$14; //@line 2148 "./jsobj.h"
      __label__ = 4; break; //@line 2148 "./jsobj.h"
    case 4: 
      var $16=$1; //@line 2149 "./jsobj.h"
      ;
      return $16; //@line 2149 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13js_IsCallableRKN2JS5ValueE1052($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($this, $cx, $hint, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      var $ok;
      $1=$this;
      $2=$cx;
      $3=$hint;
      $4=$vp;
      var $5=$1;
      var $6=__ZNK8JSObject8getClassEv($5); //@line 1501 "./jsobj.h"
      var $7=(($6+32)|0); //@line 1501 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1501 "./jsobj.h"
      $op=$8; //@line 1501 "./jsobj.h"
      var $9=$op; //@line 1502 "./jsobj.h"
      var $10=(($9)|0)==90; //@line 1502 "./jsobj.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1502 "./jsobj.h"
    case 2: 
      var $15 = 88;__label__ = 4; break; //@line 1502 "./jsobj.h"
    case 3: 
      var $13=$op; //@line 1502 "./jsobj.h"
      var $15 = $13;__label__ = 4; break; //@line 1502 "./jsobj.h"
    case 4: 
      var $15; //@line 1502 "./jsobj.h"
      var $16=$2; //@line 1502 "./jsobj.h"
      var $17=$3; //@line 1502 "./jsobj.h"
      var $18=$4; //@line 1502 "./jsobj.h"
      var $19=FUNCTION_TABLE[$15]($16, $5, $17, $18); //@line 1502 "./jsobj.h"
      var $20=(($19)|0)!=0; //@line 1502 "./jsobj.h"
      var $21=(($20)&1); //@line 1502 "./jsobj.h"
      $ok=$21; //@line 1502 "./jsobj.h"
      var $22=$ok; //@line 1504 "./jsobj.h"
      var $23=(($22) & 1); //@line 1504 "./jsobj.h"
      ;
      return $23; //@line 1504 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15date_utc_formatP9JSContextPN2JS5ValueEPFvPcjdE($cx, $vp, $printFunc) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $utctime=__stackBase__;
      var $buf=__stackBase__+8;
      var $str;
      $2=$cx;
      $3=$vp;
      $4=$printFunc;
      var $5=$2; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $6=$3; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd($5, $6, $utctime); //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $10=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=__ZL18JSDOUBLE_IS_FINITEd1004($10); //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $14=$4; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=(($14)|0)==84; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $17=$2; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      _JS_ReportErrorNumber($17, 2, 0, 24, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=0; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $19=(($buf)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $20=_JS_snprintf($19, 100, ((STRING_TABLE.__ZL15js_NaN_date_str)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $22=$4; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($buf)|0); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      FUNCTION_TABLE[$22]($23, 100, $24); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 8; break;
    case 8: 
      var $26=$2; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(($buf)|0); //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=_JS_NewStringCopyZ($26, $27); //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $str=$28; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=$str; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=(($29)|0)!=0; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      $1=0; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $33=$3; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=$str; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setStringEP8JSString($33, $34); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $36=$1; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15date_utc_formatP9JSContextPN2JS5ValueEPFvPcjdE["X"]=1;

function __ZL16print_iso_stringPcjd($buf, $size, $utctime) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$buf;
  $2=$size;
  $3=$utctime;
  var $4=$1; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL12YearFromTimed($6); //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $8=$3; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $9=__ZL13MonthFromTimed($8); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $10=(($9+1)|0); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $11=$3; //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $12=__ZL12DateFromTimed($11); //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $13=$3; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $14=__ZL12HourFromTimed($13); //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $15=$3; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $16=__ZL11MinFromTimed($15); //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $17=$3; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $18=__ZL11SecFromTimed($17); //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $19=$3; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $20=__ZL10msFromTimed($19); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $21=_JS_snprintf($4, $5, ((STRING_TABLE.__str103997)|0), (tempInt=STACKTOP,STACKTOP += 28,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7,HEAP32[((tempInt+4)>>2)]=$10,HEAP32[((tempInt+8)>>2)]=$12,HEAP32[((tempInt+12)>>2)]=$14,HEAP32[((tempInt+16)>>2)]=$16,HEAP32[((tempInt+20)>>2)]=$18,HEAP32[((tempInt+24)>>2)]=$20,tempInt)); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZN16JSAutoByteStringC1EP9JSContextP8JSString($this, $cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$str;
  var $4=$1;
  var $5=$2; //@line 4284 "./jsapi.h"
  var $6=$3; //@line 4284 "./jsapi.h"
  __ZN16JSAutoByteStringC2EP9JSContextP8JSString($4, $5, $6); //@line 4284 "./jsapi.h"
  ;
  return; //@line 4284 "./jsapi.h"
}


function __ZL19date_toLocaleHelperP9JSContextP8JSObjectPKcPN2JS5ValueE($cx, $obj, $format, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 128; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $buf=__stackBase__;
      var $str;
      var $split=__stackBase__+100;
      var $utctime=__stackBase__+120;
      var $result_len;
      var $local;
      $2=$cx;
      $3=$obj;
      $4=$format;
      $5=$vp;
      var $6=$2; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $7=$3; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=$5; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($6, $7, $8, $utctime); //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=(($9)|0)!=0; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $13=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $14=__ZL18JSDOUBLE_IS_FINITEd1004($13); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $15=(($14)|0)!=0; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      var $17=(($buf)|0); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=_JS_snprintf($17, 100, ((STRING_TABLE.__ZL15js_NaN_date_str)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $20=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $21=$2; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $22=__ZL9LocalTimedP9JSContext($20, $21); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $local=$22; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=$local; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=$2; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL11new_explodedP8PRMJTimeP9JSContext($23, $split, $24); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $25=(($buf)|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$4; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=_PRMJ_FormatTime($25, 100, $26, $split); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $result_len=$27; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=$result_len; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $29=(($28)|0)==0; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $31=$2; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $32=(tempDoubleI32[0]=HEAP32[(($utctime)>>2)],tempDoubleI32[1]=HEAP32[(($utctime+4)>>2)],tempDoubleF64[0]); //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $33=$5; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=__ZL11date_formatP9JSContextd10formatspecPN2JS5ValueE($31, $32, 0, $33); //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$34; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $36=$4; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $37=_strcmp($36, ((STRING_TABLE.__str104998)|0)); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=(($37)|0)==0; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 17; break; } //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $40=$result_len; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $41=(($40)|0) >= 6; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 17; break; } //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $43=$result_len; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=(($43-3)|0); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=(($buf+$44)|0); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=HEAP8[($45)]; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=(($46 << 24) >> 24); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=_isdigit($47); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $49=(($48)|0)!=0; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($49) { __label__ = 17; break; } else { __label__ = 10; break; } //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $51=$result_len; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=(($51-2)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=(($buf+$52)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=HEAP8[($53)]; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=(($54 << 24) >> 24); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=_isdigit($55); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $57=(($56)|0)!=0; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $59=$result_len; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=(($59-1)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=(($buf+$60)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=HEAP8[($61)]; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($62 << 24) >> 24); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=_isdigit($63); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=(($64)|0)!=0; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 17; break; } //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $67=(($buf)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $68=HEAP8[($67)]; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=(($68 << 24) >> 24); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=_isdigit($69); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=(($70)|0)!=0; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $73=(($buf+1)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $74=HEAP8[($73)]; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $75=(($74 << 24) >> 24); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $76=_isdigit($75); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=(($76)|0)!=0; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($77) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $79=(($buf+2)|0); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $80=HEAP8[($79)]; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $81=(($80 << 24) >> 24); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $82=_isdigit($81); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=(($82)|0)!=0; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($83) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $85=(($buf+3)|0); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $86=HEAP8[($85)]; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $87=(($86 << 24) >> 24); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $88=_isdigit($87); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $89=(($88)|0)!=0; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($89) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $91=(($buf)|0); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $92=$result_len; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93=(($92-2)|0); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $94=(($91+$93)|0); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $95=$result_len; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $96=(($95-2)|0); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=((100-$96)|0); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $98=$2; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $99=$3; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $100=__Z14js_DateGetYearP9JSContextP8JSObject($98, $99); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $101=_JS_snprintf($94, $97, ((STRING_TABLE.__str105999)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$100,tempInt)); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 17; break; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $104=$2; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $105=(($104+36)|0); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $107=(($106)|0)!=0; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($107) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $109=$2; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $110=(($109+36)|0); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $112=(($111+12)|0); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $114=(($113)|0)!=0; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($114) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      var $116=$2; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $117=(($116+36)|0); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $119=(($118+12)|0); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $121=$2; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $122=(($buf)|0); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $123=$5; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $124=FUNCTION_TABLE[$120]($121, $122, $123); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$124; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $126=$2; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $127=(($buf)|0); //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $128=_JS_NewStringCopyZ($126, $127); //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $str=$128; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $129=$str; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $130=(($129)|0)!=0; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($130) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      $1=0; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      var $133=$5; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $134=$str; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setStringEP8JSString($133, $134); //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 24; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      var $136=$1; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $136; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19date_toLocaleHelperP9JSContextP8JSObjectPKcPN2JS5ValueE["X"]=1;

function __ZN16JSAutoByteStringC2EP9JSContextP8JSString($this, $cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$str;
      var $4=$1;
      var $5=(($4)|0); //@line 4281 "./jsapi.h"
      var $6=$2; //@line 4281 "./jsapi.h"
      var $7=$3; //@line 4281 "./jsapi.h"
      var $8=_JS_EncodeString($6, $7); //@line 4281 "./jsapi.h"
      HEAP32[(($5)>>2)]=$8; //@line 4281 "./jsapi.h"
      __label__ = 2; break; //@line 4283 "./jsapi.h"
    case 2: 
      __label__ = 3; break; //@line 4283 "./jsapi.h"
    case 3: 
      ;
      return; //@line 4284 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16print_gmt_stringPcjd($buf, $size, $utctime) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$buf;
  $2=$size;
  $3=$utctime;
  var $4=$1; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $5=$2; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $6=$3; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $7=__ZL7WeekDayd($6); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $8=((__ZL4days+($7<<2))|0); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $10=$3; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $11=__ZL12DateFromTimed($10); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $12=$3; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $13=__ZL13MonthFromTimed($12); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $14=((__ZL6months+($13<<2))|0); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $15=HEAP32[(($14)>>2)]; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $16=$3; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $17=__ZL12YearFromTimed($16); //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $18=$3; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $19=__ZL12HourFromTimed($18); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $20=$3; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $21=__ZL11MinFromTimed($20); //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $22=$3; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $23=__ZL11SecFromTimed($22); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  var $24=_JS_snprintf($4, $5, ((STRING_TABLE.__str1081002)|0), (tempInt=STACKTOP,STACKTOP += 28,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$9,HEAP32[((tempInt+4)>>2)]=$11,HEAP32[((tempInt+8)>>2)]=$15,HEAP32[((tempInt+12)>>2)]=$17,HEAP32[((tempInt+16)>>2)]=$19,HEAP32[((tempInt+20)>>2)]=$21,HEAP32[((tempInt+24)>>2)]=$23,tempInt)); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
}


function __ZN2jsL8JsvalifyEPNS_10StackFrameE($fp) {
  ;
  var __label__;

  var $1;
  $1=$fp;
  var $2=$1; //@line 1244 "./vm/Stack.h"
  var $3=$2; //@line 1244 "./vm/Stack.h"
  ;
  return $3; //@line 1244 "./vm/Stack.h"
}


function _JSDOUBLE_IS_NEGZERO1055($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_INT32_IMPL1056($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JS_SetRuntimeDebugMode($rt, $debug) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$debug;
  var $3=$2; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3)|0)!=0; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$4 ^ 1; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$5 ^ 1; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=$1; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=(($7+144220)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=(($6)&1); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP8[($8)]=$9; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZN2js10StackFrame11setHookDataEPv($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=$2; //@line 993 "./vm/Stack.h"
  var $5=(($3+44)|0); //@line 993 "./vm/Stack.h"
  HEAP32[(($5)>>2)]=$4; //@line 993 "./vm/Stack.h"
  var $6=(($3)|0); //@line 994 "./vm/Stack.h"
  var $7=HEAP32[(($6)>>2)]; //@line 994 "./vm/Stack.h"
  var $8=$7 | 65536; //@line 994 "./vm/Stack.h"
  HEAP32[(($6)>>2)]=$8; //@line 994 "./vm/Stack.h"
  ;
  return; //@line 995 "./vm/Stack.h"
}


function __ZL13date_makeTimeP9JSContextjijPN2JS5ValueE($cx, $maxargs, $local, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $argv;
      var $i;
      var $args=__stackBase__;
      var $argp;
      var $stop;
      var $hour;
      var $min;
      var $sec;
      var $msec;
      var $lorutime;
      var $msec_time;
      var $result=__stackBase__+32;
      var $obj;
      $2=$cx;
      $3=$maxargs;
      $4=$local;
      $5=$argc;
      $6=$vp;
      var $7=$2; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=$6; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8+8)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$10; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$obj; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 48; break; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $15=$2; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$obj; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$6; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($15, $16, $17, $result); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18)|0)!=0; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 48; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $22=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=__ZL18JSDOUBLE_IS_FINITEd1004($22); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $24=(($23)|0)!=0; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $26=$6; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $28=__ZN2JS5Value9setNumberEd($26, $27); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 48; break; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $30=$5; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=(($30)|0)==0; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $33=$2; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $34=$obj; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $35=$6; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($33, $34, $35); //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 48; break; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $37=$5; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $38=$3; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=(($37)>>>0) > (($38)>>>0); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $41=$3; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=$41; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 11; break; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $43=$6; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=(($43+16)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argv=$44; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=0; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      var $46=$i; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=$5; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($48) { __label__ = 13; break; } else { __label__ = 19; break; } //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $50=$2; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $51=$i; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=$argv; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=(($52+($51<<3))|0); //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=$i; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=(($args+($54<<3))|0); //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $56=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($50, $53, $55); //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      $1=0; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 48; break; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $59=$i; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $60=(($args+($59<<3))|0); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $61=(tempDoubleI32[0]=HEAP32[(($60)>>2)],tempDoubleI32[1]=HEAP32[(($60+4)>>2)],tempDoubleF64[0]); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=__ZL18JSDOUBLE_IS_FINITEd1004($61); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(($62)|0)!=0; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $65=$2; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $66=$obj; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $67=$6; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($65, $66, $67); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 48; break; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $69=$i; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $70=(($args+($69<<3))|0); //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $71=(tempDoubleI32[0]=HEAP32[(($70)>>2)],tempDoubleI32[1]=HEAP32[(($70+4)>>2)],tempDoubleF64[0]); //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=__ZL18js_DoubleToIntegerd1005($71); //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=$i; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $74=(($args+($73<<3))|0); //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$72,HEAP32[(($74)>>2)]=tempDoubleI32[0],HEAP32[(($74+4)>>2)]=tempDoubleI32[1]); //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 18; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      var $76=$i; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $77=(($76+1)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=$77; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 12; break; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $79=$4; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $80=(($79)|0)!=0; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($80) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      var $82=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=$2; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $84=__ZL9LocalTimedP9JSContext($82, $83); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $lorutime=$84; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 22; break; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $86=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $lorutime=$86; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 22; break;
    case 22: 
      var $88=(($args)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argp=$88; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $89=$argp; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $90=$5; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $91=(($89+($90<<3))|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $stop=$91; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $92=$3; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $93=(($92)>>>0) >= 4; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($93) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      var $95=$argp; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $96=$stop; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=(($95)>>>0) < (($96)>>>0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($97) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      var $99=$argp; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $100=(($99+8)|0); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argp=$100; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $101=(tempDoubleI32[0]=HEAP32[(($99)>>2)],tempDoubleI32[1]=HEAP32[(($99+4)>>2)],tempDoubleF64[0]); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $hour=$101; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 26; break; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 25: 
      var $103=$lorutime; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $104=__ZL12HourFromTimed($103); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $105=(($104)|0); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $hour=$105; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 26; break;
    case 26: 
      var $107=$3; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $108=(($107)>>>0) >= 3; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($108) { __label__ = 27; break; } else { __label__ = 29; break; } //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 27: 
      var $110=$argp; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $111=$stop; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $112=(($110)>>>0) < (($111)>>>0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($112) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 28: 
      var $114=$argp; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $115=(($114+8)|0); //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argp=$115; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $116=(tempDoubleI32[0]=HEAP32[(($114)>>2)],tempDoubleI32[1]=HEAP32[(($114+4)>>2)],tempDoubleF64[0]); //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $min=$116; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 30; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 29: 
      var $118=$lorutime; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $119=__ZL11MinFromTimed($118); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $120=(($119)|0); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $min=$120; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 30; break;
    case 30: 
      var $122=$3; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $123=(($122)>>>0) >= 2; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($123) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 31: 
      var $125=$argp; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $126=$stop; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $127=(($125)>>>0) < (($126)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($127) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 32: 
      var $129=$argp; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $130=(($129+8)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argp=$130; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $131=(tempDoubleI32[0]=HEAP32[(($129)>>2)],tempDoubleI32[1]=HEAP32[(($129+4)>>2)],tempDoubleF64[0]); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $sec=$131; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 34; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 33: 
      var $133=$lorutime; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $134=__ZL11SecFromTimed($133); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $135=(($134)|0); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $sec=$135; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 34; break;
    case 34: 
      var $137=$3; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $138=(($137)>>>0) >= 1; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($138) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 35: 
      var $140=$argp; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $141=$stop; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $142=(($140)>>>0) < (($141)>>>0); //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($142) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 36: 
      var $144=$argp; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $145=(tempDoubleI32[0]=HEAP32[(($144)>>2)],tempDoubleI32[1]=HEAP32[(($144+4)>>2)],tempDoubleF64[0]); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec=$145; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 38; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 37: 
      var $147=$lorutime; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $148=__ZL10msFromTimed($147); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $149=(($148)|0); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec=$149; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 38; break;
    case 38: 
      var $151=$hour; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $152=$151*60; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $153=$min; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $154=$152+$153; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $155=$154*60; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $156=$sec; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $157=$155+$156; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $158=$157*1000; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $159=$msec; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $160=$158+$159; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $msec_time=$160; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $161=$lorutime; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $162=$161/86400000; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $163=_floor($162); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $164=$163*86400000; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $165=$msec_time; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $166=$164+$165; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$166,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $167=$4; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $168=(($167)|0)!=0; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($168) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 39: 
      var $170=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $171=$2; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $172=__ZL3UTCdP9JSContext($170, $171); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$172,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 40; break; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 40: 
      var $174=$2; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $175=$obj; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $176=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $177=__ZL18JSDOUBLE_IS_FINITEd1004($176); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $178=(($177)|0)!=0; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($178) { __label__ = 41; break; } else { __label__ = 46; break; } //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 41: 
      var $180=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $181=$180 < 0; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($181) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 42: 
      var $183=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $184=(-$183); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $188 = $184;__label__ = 44; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 43: 
      var $186=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $188 = $186;__label__ = 44; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 44: 
      var $188; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $189=$188 > 8640000000000000; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($189) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 45: 
      var $191=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $192=$191; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $193=__ZL18js_DoubleToIntegerd1005($192); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $197 = $193;__label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 46: 
      var $195=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $197 = $195;__label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 47: 
      var $197; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $198=$6; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $199=__ZL10SetUTCTimeP9JSContextP8JSObjectdPN2JS5ValueE($174, $175, $197, $198); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$199; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 48; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 48: 
      var $201=$1; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $201; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE["X"]=1;

function _JSDOUBLE_IS_INT321054($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO1055($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13date_makeDateP9JSContextjijPN2JS5ValueE($cx, $maxargs, $local, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $argv;
      var $i;
      var $lorutime;
      var $args=__stackBase__;
      var $argp;
      var $stop;
      var $year;
      var $month;
      var $day;
      var $result=__stackBase__+24;
      var $obj;
      $2=$cx;
      $3=$maxargs;
      $4=$local;
      $5=$argc;
      $6=$vp;
      var $7=$2; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $8=$6; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $9=(($8+8)|0); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $obj=$10; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $11=$obj; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $12=(($11)|0)!=0; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 2: 
      $1=0; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 47; break; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 3: 
      var $15=$2; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $16=$obj; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $17=$6; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $18=__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd($15, $16, $17, $result); //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $19=(($18)|0)!=0; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 4: 
      $1=0; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 47; break; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 5: 
      var $22=$5; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $23=(($22)|0)==0; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 6: 
      var $25=$2; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $26=$obj; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $27=$6; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($25, $26, $27); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 47; break; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 7: 
      var $29=$5; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $30=$3; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $31=(($29)>>>0) > (($30)>>>0); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 8: 
      var $33=$3; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $5=$33; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 9; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 9: 
      var $35=$6; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $36=(($35+16)|0); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argv=$36; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=0; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 10; break; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 10: 
      var $38=$i; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $39=$5; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $40=(($38)>>>0) < (($39)>>>0); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 11: 
      var $42=$2; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $43=$i; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $44=$argv; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $45=(($44+($43<<3))|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $46=$i; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $47=(($args+($46<<3))|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $48=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($42, $45, $47); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($48) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 12: 
      $1=0; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 47; break; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 13: 
      var $51=$i; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $52=(($args+($51<<3))|0); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $53=(tempDoubleI32[0]=HEAP32[(($52)>>2)],tempDoubleI32[1]=HEAP32[(($52+4)>>2)],tempDoubleF64[0]); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $54=__ZL18JSDOUBLE_IS_FINITEd1004($53); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $55=(($54)|0)!=0; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 14: 
      var $57=$2; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $58=$obj; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $59=$6; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE($57, $58, $59); //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 47; break; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 15: 
      var $61=$i; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $62=(($args+($61<<3))|0); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $63=(tempDoubleI32[0]=HEAP32[(($62)>>2)],tempDoubleI32[1]=HEAP32[(($62+4)>>2)],tempDoubleF64[0]); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $64=__ZL18js_DoubleToIntegerd1005($63); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $65=$i; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $66=(($args+($65<<3))|0); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$64,HEAP32[(($66)>>2)]=tempDoubleI32[0],HEAP32[(($66+4)>>2)]=tempDoubleI32[1]); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 16; break; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 16: 
      var $68=$i; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $69=(($68+1)|0); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $i=$69; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 10; break; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 17: 
      var $71=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $72=__ZL18JSDOUBLE_IS_FINITEd1004($71); //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $73=(($72)|0)!=0; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($73) { __label__ = 21; break; } else { __label__ = 18; break; } //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 18: 
      var $75=$3; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $76=(($75)>>>0) < 3; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($76) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 19: 
      var $78=$6; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $79=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __ZN2JS5Value9setDoubleEd($78, $79); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=1; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 47; break; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 20: 
      $lorutime=0; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 21: 
      var $82=$4; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $83=(($82)|0)!=0; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($83) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 22: 
      var $85=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $86=$2; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $87=__ZL9LocalTimedP9JSContext($85, $86); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $91 = $87;__label__ = 24; break; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 23: 
      var $89=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $91 = $89;__label__ = 24; break; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 24: 
      var $91; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $lorutime=$91; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 25; break;
    case 25: 
      var $93=(($args)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argp=$93; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $94=$argp; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $95=$5; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $96=(($94+($95<<3))|0); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $stop=$96; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $97=$3; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $98=(($97)>>>0) >= 3; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($98) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 26: 
      var $100=$argp; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $101=$stop; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $102=(($100)>>>0) < (($101)>>>0); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($102) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 27: 
      var $104=$argp; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $105=(($104+8)|0); //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argp=$105; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $106=(tempDoubleI32[0]=HEAP32[(($104)>>2)],tempDoubleI32[1]=HEAP32[(($104+4)>>2)],tempDoubleF64[0]); //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$106; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 29; break; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 28: 
      var $108=$lorutime; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $109=__ZL12YearFromTimed($108); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $110=(($109)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $year=$110; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 29; break;
    case 29: 
      var $112=$3; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $113=(($112)>>>0) >= 2; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($113) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 30: 
      var $115=$argp; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $116=$stop; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $117=(($115)>>>0) < (($116)>>>0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($117) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 31: 
      var $119=$argp; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $120=(($119+8)|0); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argp=$120; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $121=(tempDoubleI32[0]=HEAP32[(($119)>>2)],tempDoubleI32[1]=HEAP32[(($119+4)>>2)],tempDoubleF64[0]); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $month=$121; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 33; break; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 32: 
      var $123=$lorutime; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $124=__ZL13MonthFromTimed($123); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $125=(($124)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $month=$125; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 33; break;
    case 33: 
      var $127=$3; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $128=(($127)>>>0) >= 1; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($128) { __label__ = 34; break; } else { __label__ = 36; break; } //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 34: 
      var $130=$argp; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $131=$stop; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $132=(($130)>>>0) < (($131)>>>0); //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($132) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 35: 
      var $134=$argp; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $135=(($134+8)|0); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $argp=$135; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $136=(tempDoubleI32[0]=HEAP32[(($134)>>2)],tempDoubleI32[1]=HEAP32[(($134+4)>>2)],tempDoubleF64[0]); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$136; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 37; break; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 36: 
      var $138=$lorutime; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $139=__ZL12DateFromTimed($138); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $140=(($139)|0); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$140; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 37; break;
    case 37: 
      var $142=$year; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $143=$month; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $144=$day; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $145=__ZL7MakeDayddd($142, $143, $144); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $day=$145; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $146=$day; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $147=$146*86400000; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $148=$lorutime; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $149=__ZL13TimeWithinDayd($148); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $150=$147+$149; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$150,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $151=$4; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $152=(($151)|0)!=0; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($152) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 38: 
      var $154=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $155=$2; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $156=__ZL3UTCdP9JSContext($154, $155); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      (tempDoubleF64[0]=$156,HEAP32[(($result)>>2)]=tempDoubleI32[0],HEAP32[(($result+4)>>2)]=tempDoubleI32[1]); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 39; break; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 39: 
      var $158=$2; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $159=$obj; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $160=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $161=__ZL18JSDOUBLE_IS_FINITEd1004($160); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $162=(($161)|0)!=0; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($162) { __label__ = 40; break; } else { __label__ = 45; break; } //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 40: 
      var $164=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $165=$164 < 0; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($165) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 41: 
      var $167=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $168=(-$167); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $172 = $168;__label__ = 43; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 42: 
      var $170=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $172 = $170;__label__ = 43; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 43: 
      var $172; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $173=$172 > 8640000000000000; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      if ($173) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 44: 
      var $175=(tempDoubleI32[0]=HEAP32[(($result)>>2)],tempDoubleI32[1]=HEAP32[(($result+4)>>2)],tempDoubleF64[0]); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $176=$175; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $177=__ZL18js_DoubleToIntegerd1005($176); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $181 = $177;__label__ = 46; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 45: 
      var $179=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $181 = $179;__label__ = 46; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 46: 
      var $181; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $182=$6; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      var $183=__ZL10SetUTCTimeP9JSContextP8JSObjectdPN2JS5ValueE($158, $159, $181, $182); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      $1=$183; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      __label__ = 47; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    case 47: 
      var $185=$1; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
      STACKTOP = __stackBase__;
      return $185; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdate.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13date_makeDateP9JSContextjijPN2JS5ValueE["X"]=1;

function _JS_GetDebugMode($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=(($2+56)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK13JSCompartment9debugModeEv($4); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5)&1); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $6; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetDebugMode($cx, $debug) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$debug;
  var $3=$1; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=$1; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=(($4+56)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=$2; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=_JS_SetDebugModeForCompartment($3, $6, $7); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $8; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetDebugModeForCompartment($cx, $comp, $debug) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$comp;
  $3=$debug;
  var $4=$2; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$3; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6)|0)!=0; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$7 ^ 1; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$8 ^ 1; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=__ZN13JSCompartment17setDebugModeFromCEP9JSContextb($4, $5, $9); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10)&1); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $11; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZN2js19ScriptDebugPrologueEP9JSContextPNS_10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $hook;
      var $hook1;
      $1=$cx;
      $2=$fp;
      var $3=$2; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=__ZNK2js10StackFrame22isFramePushedByExecuteEv($3); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $6=$1; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=(($6+200)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=(($8+40)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $hook=$10; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=$hook; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=(($11)|0)!=0; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $14=$2; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=$hook; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$1; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$2; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=__ZN2jsL8JsvalifyEPNS_10StackFrameE($17); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=$1; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=(($19+200)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=(($21+44)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=FUNCTION_TABLE[$15]($16, $18, 1, 0, $23); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js10StackFrame11setHookDataEPv($14, $24); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      __label__ = 8; break; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $27=$1; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=(($27+200)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $30=(($29+48)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $hook1=$31; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=$hook1; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=(($32)|0)!=0; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $35=$2; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=$hook1; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=$1; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=$2; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $39=__ZN2jsL8JsvalifyEPNS_10StackFrameE($38); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $40=$1; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=(($40+200)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=(($42+52)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $45=FUNCTION_TABLE[$36]($37, $39, 1, 0, $44); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js10StackFrame11setHookDataEPv($35, $45); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 7; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $48=$1; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js8Debugger12onEnterFrameEP9JSContext($48); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js19ScriptDebugPrologueEP9JSContextPNS_10StackFrameE["X"]=1;

function __ZN2js8Debugger12onEnterFrameEP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 539 "./vm/Debugger.h"
      var $3=(($2+56)|0); //@line 539 "./vm/Debugger.h"
      var $4=HEAP32[(($3)>>2)]; //@line 539 "./vm/Debugger.h"
      var $5=__ZN13JSCompartment12getDebuggeesEv($4); //@line 539 "./vm/Debugger.h"
      var $6=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($5); //@line 539 "./vm/Debugger.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 539 "./vm/Debugger.h"
    case 2: 
      var $8=$1; //@line 540 "./vm/Debugger.h"
      __ZN2js8Debugger20slowPathOnEnterFrameEP9JSContext($8); //@line 540 "./vm/Debugger.h"
      __label__ = 3; break; //@line 540 "./vm/Debugger.h"
    case 3: 
      ;
      return; //@line 541 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21assertSameCompartmentIP8JSScriptEEvP9JSContextT_($cx, $t1) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$t1;
  ;
  return; //@line 238 "./jscntxtinlines.h"
}


function _JSID_IS_INT1059($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function __ZN2js11GetGSNCacheEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 99 "./jscntxtinlines.h"
  var $3=(($2+52)|0); //@line 99 "./jscntxtinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jscntxtinlines.h"
  var $5=(($4+144280)|0); //@line 99 "./jscntxtinlines.h"
  var $6=(($5+28)|0); //@line 99 "./jscntxtinlines.h"
  ;
  return $6; //@line 99 "./jscntxtinlines.h"
}


function _JS_SetInterrupt($rt, $hook, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$hook;
  $3=$closure;
  var $4=$2; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+4)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_ClearInterrupt($rt, $hoop, $closurep) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$rt;
      $2=$hoop;
      $3=$closurep;
      var $4=$2; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=(($4)|0)!=0; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $7=$1; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=(($7+144148)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=(($8)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 3; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $13=$3; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=(($13)|0)!=0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $16=$1; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=(($16+144148)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=(($17+4)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=$3; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 5; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $22=$1; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=(($22+144148)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=(($23)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($24)>>2)]=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=$1; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=(($25+144148)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=(($26+4)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($27)>>2)]=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return 1; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js19ScriptDebugEpilogueEP9JSContextPNS_10StackFrameEb($cx, $fp, $okArg) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ok=__stackBase__;
      var $hookData;
      var $hook;
      var $hook1;
      $1=$cx;
      $2=$fp;
      var $4=(($okArg)&1);
      $3=$4;
      var $5=$3; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=(($5) & 1); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=(($6)&1); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($ok)>>2)]=$7; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=$2; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=__ZNK2js10StackFrame13maybeHookDataEv($8); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $hookData=$9; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=$hookData; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=(($10)|0)!=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 10; break; } //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $13=$2; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=__ZNK2js10StackFrame22isFramePushedByExecuteEv($13); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $16=$1; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=(($16+200)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=(($18+40)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $hook=$20; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$hook; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=(($21)|0)!=0; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $24=$hook; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=$1; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=$2; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=__ZN2jsL8JsvalifyEPNS_10StackFrameE($26); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=$hookData; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=FUNCTION_TABLE[$24]($25, $27, 0, $ok, $28); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 5; break; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      __label__ = 9; break; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $32=$1; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=(($32+200)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=(($34+48)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $hook1=$36; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=$hook1; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=(($37)|0)!=0; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $40=$hook1; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=$1; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=$2; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=__ZN2jsL8JsvalifyEPNS_10StackFrameE($42); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=$hookData; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $45=FUNCTION_TABLE[$40]($41, $43, 0, $ok, $44); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 8; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 10: 
      var $49=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js8Debugger12onLeaveFrameEP9JSContext($49); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $50=HEAP32[(($ok)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $51=(($50)|0)!=0; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js19ScriptDebugEpilogueEP9JSContextPNS_10StackFrameEb["X"]=1;

function __ZNK2js10StackFrame13maybeHookDataEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame11hasHookDataEv($2); //@line 989 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 989 "./vm/Stack.h"
    case 2: 
      var $5=(($2+44)|0); //@line 989 "./vm/Stack.h"
      var $6=HEAP32[(($5)>>2)]; //@line 989 "./vm/Stack.h"
      var $9 = $6;__label__ = 4; break; //@line 989 "./vm/Stack.h"
    case 3: 
      var $9 = 0;__label__ = 4; break; //@line 989 "./vm/Stack.h"
    case 4: 
      var $9; //@line 989 "./vm/Stack.h"
      ;
      return $9; //@line 989 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger12onLeaveFrameEP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 546 "./vm/Debugger.h"
      var $3=(($2+56)|0); //@line 546 "./vm/Debugger.h"
      var $4=HEAP32[(($3)>>2)]; //@line 546 "./vm/Debugger.h"
      var $5=__ZN13JSCompartment12getDebuggeesEv($4); //@line 546 "./vm/Debugger.h"
      var $6=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($5); //@line 546 "./vm/Debugger.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 546 "./vm/Debugger.h"
    case 2: 
      var $8=$1; //@line 546 "./vm/Debugger.h"
      var $9=(($8+56)|0); //@line 546 "./vm/Debugger.h"
      var $10=HEAP32[(($9)>>2)]; //@line 546 "./vm/Debugger.h"
      var $11=(($10+1956)|0); //@line 546 "./vm/Debugger.h"
      var $12=__ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE5emptyEv($11); //@line 546 "./vm/Debugger.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 546 "./vm/Debugger.h"
    case 3: 
      var $14=$1; //@line 547 "./vm/Debugger.h"
      __ZN2js8Debugger20slowPathOnLeaveFrameEP9JSContext($14); //@line 547 "./vm/Debugger.h"
      __label__ = 4; break; //@line 547 "./vm/Debugger.h"
    case 4: 
      ;
      return; //@line 548 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetSingleStepMode($cx, $script, $singleStep) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$script;
      $4=$singleStep;
      var $5=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=$3; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSScriptEEvP9JSContextT_($5, $6); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$2; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=__ZL14CheckDebugModeP9JSContext($7); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=(($8)|0)!=0; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $12=$3; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=$2; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=$4; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=(($14)|0)!=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=__ZN8JSScript15setStepModeFlagEP9JSContextb($12, $13, $15); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=(($16)&1); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$17; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $19=$1; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $19; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14CheckDebugModeP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $debugMode;
      $1=$cx;
      var $2=$1; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $3=_JS_GetDebugMode($2); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $debugMode=$3; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=$debugMode; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=(($4)|0)!=0; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $7=$1; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=_JS_ReportErrorFlagsAndNumber($7, 0, 2, 0, 257, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 3; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $10=$debugMode; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $10; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_UntrapScriptCode($cx, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $code;
      var $sites;
      var $r=__stackBase__;
      var $site;
      var $nbytes;
      var $notes;
      var $sn;
      $1=$cx;
      $2=$script;
      var $3=$2; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=(($3)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $code=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$6; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=__ZNK2js2gc4Cell11compartmentEv($7); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=(($8+1956)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $sites=$9; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=$sites; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3allEv($r, $10); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 2; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($r); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=$12 ^ 1; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 22; break; } //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $15=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($r); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=(($15+4)|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $site=$17; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=$site; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=(($18)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$2; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=(($20)|0)==(($21)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 20; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $24=$site; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=(($24+4)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=$2; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=(($27)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $30=$26; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $31=$29; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=(($30-$31)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=$2; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=(($33+8)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=HEAPU32[(($34)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=(($32)>>>0) < (($35)>>>0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($36) { __label__ = 5; break; } else { __label__ = 20; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $38=$code; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $39=$2; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $40=(($39)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=(($38)|0)==(($41)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($42) { __label__ = 6; break; } else { __label__ = 19; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $44=$2; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $45=(($44+8)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $47=(($46)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$47; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $48=$2; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $49=__ZN8JSScript5notesEv($48); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $notes=$49; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $50=$notes; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $sn=$50; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 7; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $52=$sn; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $53=HEAPU8[($52)]; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $54=(($53)&255); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $55=(($54)|0)==0; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $56=$55 ^ 1; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($56) { __label__ = 8; break; } else { __label__ = 16; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      __label__ = 9; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 9: 
      var $59=$sn; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $60=$sn; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $61=HEAPU8[($60)]; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $62=(($61)&255); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $63=$62 >> 3; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $64=(($63)|0) >= 24; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($64) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 10: 
      var $72 = 24;__label__ = 12; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 11: 
      var $67=$sn; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $68=HEAPU8[($67)]; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $69=(($68)&255); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $70=$69 >> 3; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $72 = $70;__label__ = 12; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 12: 
      var $72; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $73=((_js_SrcNoteSpec+($72<<3))|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $74=(($73+4)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $75=HEAP8[($74)]; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $76=(($75 << 24) >> 24); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $77=(($76)|0)==0; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($77) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 13: 
      var $83 = 1;__label__ = 15; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 14: 
      var $80=$sn; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $81=_js_SrcNoteLength($80); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $83 = $81;__label__ = 15; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 15: 
      var $83; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $84=(($59+$83)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $sn=$84; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 7; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 16: 
      var $86=$sn; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $87=$notes; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $88=$86; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $89=$87; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $90=(($88-$89)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $91=(($90+1)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $92=(($91)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $93=$nbytes; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $94=(($93+$92)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$94; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $95=$1; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $96=$nbytes; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $97=__ZN9JSContext7malloc_Ej($95, $96); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $code=$97; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $98=$code; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $99=(($98)|0)!=0; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($99) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 17: 
      __label__ = 22; break; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 18: 
      var $102=$code; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $103=$2; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $104=(($103)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $106=$nbytes; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert($106 % 1 === 0, 'memcpy given ' + $106 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($102, $105, $106, 1); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $107=$1; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $108=__ZN2js11GetGSNCacheEP9JSContext($107); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js8GSNCache5purgeEv($108); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 19; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 19: 
      var $110=$site; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $111=(($110+8)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $113=(($112) & 255); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $114=$site; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $115=(($114+4)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $117=$2; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $118=(($117)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $120=$116; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $121=$119; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $122=(($120-$121)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $123=$code; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $124=(($123+$122)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[($124)]=$113; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 20; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 20: 
      __label__ = 21; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 21: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($r); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 2; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 22: 
      var $128=$code; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $128; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_UntrapScriptCode["X"]=1;

function _JS_SetTrap($cx, $script, $pc, $handler, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $closure=__stackBase__;
      var $site;
      $3=$cx;
      $4=$script;
      $5=$pc;
      $6=$handler;
      var $7=$closure;
      var $8=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
      var $9=$3; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=__ZL14CheckDebugModeP9JSContext($9); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=(($10)|0)!=0; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $2=0; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $14=$4; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=$14; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=__ZNK2js2gc4Cell11compartmentEv($15); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$3; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=$4; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=$5; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=__ZN13JSCompartment25getOrCreateBreakpointSiteEP9JSContextP8JSScriptPhP8JSObject($16, $17, $18, $19, 0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $site=$20; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$site; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=(($21)|0)!=0; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      $2=0; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $25=$site; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=$3; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=$6; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=__ZN2js14BreakpointSite7setTrapEP9JSContextPF12JSTrapStatusS2_P8JSScriptPhPN2JS5ValueES8_ERKS8_($25, $26, $27, $closure); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $2=1; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $30=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetTrapOpcode($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $site;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$2; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=$4; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=__ZNK2js2gc4Cell11compartmentEv($5); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$3; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=__ZN13JSCompartment17getBreakpointSiteEPh($6, $7); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $site=$8; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=$site; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=(($9)|0)!=0; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $12=$site; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=(($12+8)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20 = $14;__label__ = 4; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $16=$3; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=HEAPU8[($16)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=(($17)&255); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20 = $18;__label__ = 4; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $20; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $20; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ClearTrap($cx, $script, $pc, $handlerp, $closurep) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $site;
      $1=$cx;
      $2=$script;
      $3=$pc;
      $4=$handlerp;
      $5=$closurep;
      var $6=$2; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$6; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=__ZNK2js2gc4Cell11compartmentEv($7); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=$3; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=__ZN13JSCompartment17getBreakpointSiteEPh($8, $9); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $site=$10; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=$site; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=(($11)|0)!=0; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $14=$site; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=$1; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$4; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$5; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js14BreakpointSite9clearTrapEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumEPPF12JSTrapStatusS2_P8JSScriptS6_PN2JS5ValueESM_ESN_($14, $15, 0, $16, $17); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 8; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $19=$4; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=(($19)|0)!=0; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $22=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($22)>>2)]=0; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 5; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $24=$5; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=(($24)|0)!=0; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $27=$5; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=$27; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 7; break; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ClearScriptTraps($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  var $3=$2; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=$3; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js2gc4Cell11compartmentEv($4); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$1; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=$2; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN13JSCompartment10clearTrapsEP9JSContextP8JSScript($5, $6, $7); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_ClearAllTrapsForCompartment($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=(($2+56)|0); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN13JSCompartment10clearTrapsEP9JSContextP8JSScript($4, $5, 0); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetWatchPoint($cx, $obj, $id, $handler, $closure) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $origobj;
      var $v=__stackBase__+4;
      var $attrs=__stackBase__+12;
      var $propid=__stackBase__+16;
      var $idroot=__stackBase__+20;
      var $7=__stackBase__+44;
      var $8;
      var $9=__stackBase__+52;
      var $wpmap;
      $2=$cx;
      HEAP32[(($3)>>2)]=$obj;
      $4=$id;
      $5=$handler;
      $6=$closure;
      var $10=$2; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=HEAP32[(($3)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($10, $11); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=$4; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=__Z22js_CheckForStringIndexi($12); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $4=$13; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=HEAP32[(($3)>>2)]; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $origobj=$14; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=$2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($15, $3); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=HEAP32[(($3)>>2)]; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=(($16)|0)!=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 20; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $20=$2; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($idroot, $20); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$4; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=_JSID_IS_INT1059($21); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=(($22)|0)!=0; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $25=$4; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($propid)>>2)]=$25; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 8; break; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $27=$2; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=$4; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2jsL9IdToValueEi1060($7, $28); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($27, $7, $propid); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $8=1;
      __label__ = 19; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $32=HEAP32[(($propid)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=__Z22js_CheckForStringIndexi($32); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($propid)>>2)]=$33; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=HEAP32[(($propid)>>2)]; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2jsL9IdToValueEi1060($9, $34); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js15AutoValueRooter3setEN2JS5ValueE($idroot, $9); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 8; break;
    case 8: 
      var $36=$origobj; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=HEAP32[(($3)>>2)]; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=(($36)|0)!=(($37)|0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 9: 
      var $40=$2; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=HEAP32[(($3)>>2)]; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=HEAP32[(($propid)>>2)]; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($40, $41, $42, 3, $v, $attrs); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=(($43)|0)!=0; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 10: 
      $1=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $8=1;
      __label__ = 19; break; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 11: 
      var $47=HEAP32[(($3)>>2)]; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $48=__ZNK8JSObject8isNativeEv($47); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($48) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 12: 
      var $50=$2; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $51=HEAP32[(($3)>>2)]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $52=__ZNK8JSObject8getClassEv($51); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $53=(($52)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      _JS_ReportErrorNumber($50, 2, 0, 15, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$54,tempInt)); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=0; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $8=1;
      __label__ = 19; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 13: 
      var $56=$2; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $57=HEAP32[(($3)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $58=HEAP32[(($propid)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js5types26MarkTypePropertyConfiguredEP9JSContextP8JSObjecti($56, $57, $58); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $59=$2; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $60=(($59+56)|0); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $62=(($61+1984)|0); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $wpmap=$63; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $64=$wpmap; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $65=(($64)|0)!=0; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 14; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 14: 
      var $67=$2; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $68=(($67+52)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $70=__ZN9JSRuntime4new_IN2js13WatchpointMapEEEPT_v($69); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $wpmap=$70; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $71=$wpmap; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $72=(($71)|0)!=0; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($72) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 15: 
      var $74=$wpmap; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $75=__ZN2js13WatchpointMap4initEv($74); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 16: 
      var $77=$2; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($77); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=0; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $8=1;
      __label__ = 19; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 17: 
      var $79=$wpmap; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $80=$2; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $81=(($80+56)|0); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $83=(($82+1984)|0); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($83)>>2)]=$79; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 18; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 18: 
      var $85=$wpmap; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $86=$2; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $87=HEAP32[(($3)>>2)]; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $88=$4; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $89=$5; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $90=$6; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $91=__ZN2js13WatchpointMap5watchEP9JSContextP8JSObjectiPFiS2_S4_iN2JS5ValueEPS6_PvES4_($85, $86, $87, $88, $89, $90); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $92=(($91)&1); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$92; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $8=1;
      __label__ = 19; break; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 19: 
      __ZN2js15AutoValueRooterD1Ev($idroot); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 20; break;
    case 20: 
      var $95=$1; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $95; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_SetWatchPoint["X"]=1;

function __ZN2jsL9IdToValueEi1060($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING1077($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING1080($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString1079($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT1059($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT1082($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi1081($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT1083($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT1085($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject1084($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv1068($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15AutoValueRooter3setEN2JS5ValueE($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  $2=$this;
  var $3=$v;
  var $4=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
  var $5=$2;
  var $6=(($5+16)|0); //@line 1530 "./jscntxt.h"
  var $7=$6; //@line 1530 "./jscntxt.h"
  var $8=$v; //@line 1530 "./jscntxt.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 1530 "./jscntxt.h"
  STACKTOP = __stackBase__;
  return; //@line 1531 "./jscntxt.h"
}


function __ZN9JSRuntime4new_IN2js13WatchpointMapEEEPT_v($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      $1=$this;
      var $2=$1;
      var $3=__ZN9JSRuntime7malloc_EjP9JSContext($2, 24, 0); //@line 761 "./jscntxt.h"
      $memory=$3; //@line 761 "./jscntxt.h"
      var $4=$memory; //@line 761 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 761 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 761 "./jscntxt.h"
    case 2: 
      var $7=$memory; //@line 761 "./jscntxt.h"
      var $8=(($7)|0)==0; //@line 761 "./jscntxt.h"
      if ($8) { var $13 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 761 "./jscntxt.h"
    case 3: 
      var $10=$7; //@line 761 "./jscntxt.h"
      var $11=$10; //@line 761 "./jscntxt.h"
      HEAP32[(($11)>>2)]=0; HEAP32[(($11+4)>>2)]=0; HEAP32[(($11+8)>>2)]=0; HEAP32[(($11+12)>>2)]=0; HEAP32[(($11+16)>>2)]=0; HEAP32[(($11+20)>>2)]=0; //@line 761 "./jscntxt.h"
      __ZN2js13WatchpointMapC1Ev($10); //@line 761 "./jscntxt.h"
      var $13 = $10;__label__ = 4; break; //@line 761 "./jscntxt.h"
    case 4: 
      var $13; //@line 761 "./jscntxt.h"
      var $16 = $13;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 5: 
      var $16 = 0;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 6: 
      var $16; //@line 761 "./jscntxt.h"
      ;
      return $16; //@line 761 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_LocalNameToAtom($w) {
  ;
  var __label__;

  var $1;
  $1=$w;
  var $2=$1; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=$2 & -2; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=$3; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $4; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_AtomKey($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=$2; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $3; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_EndPC($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  var $3=$2; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3)|0); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$2; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+8)|0); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=(($5+$8)|0); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $9; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetFunctionArgumentCount($cx, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fun;
  var $3=$2; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3+56)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=HEAPU16[(($4)>>1)]; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5)&65535); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $6; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function _JS_GetScriptPrincipals($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  var $3=$2; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3+76)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_ClearWatchPoint($cx, $obj, $id, $handlerp, $closurep) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $wpmap;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$handlerp;
      $5=$closurep;
      var $6=$1; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$2; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=$3; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_($6, $7, $8); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=$3; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=__Z22js_CheckForStringIndexi($9); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $3=$10; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=$1; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=(($11+56)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=(($13+1984)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $wpmap=$15; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$wpmap; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=(($16)|0)!=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $19=$wpmap; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=$2; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$3; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=$4; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=$5; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js13WatchpointMap7unwatchEP8JSObjectiPPFiP9JSContextS2_iN2JS5ValueEPS6_PvEPS2_($19, $20, $21, $22, $23); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 3; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      ;
      return 1; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ClearWatchPointsForObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $wpmap;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=$2; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($3, $4); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=$1; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=(($5+56)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=(($7+1984)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $wpmap=$9; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=$wpmap; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=(($10)|0)!=0; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $13=$wpmap; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=$2; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js13WatchpointMap13unwatchObjectEP8JSObject($13, $14); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 3; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      ;
      return 1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ClearAllWatchPoints($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $comp;
      var $wpmap;
      $1=$cx;
      var $2=$1; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $3=(($2+56)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $comp=$4; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=$comp; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=(($5)|0)!=0; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $8=$comp; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=(($8+1984)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $wpmap=$10; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=$wpmap; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=(($11)|0)!=0; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $14=$wpmap; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js13WatchpointMap5clearEv($14); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      __label__ = 5; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      ;
      return 1; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_PCToLineNumber($cx, $script, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$script;
  $3=$pc;
  var $4=$1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$2; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$3; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=__Z17js_PCToLineNumberP9JSContextP8JSScriptPh($4, $5, $6); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $7; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_LineNumberToPC($cx, $script, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$script;
  $3=$lineno;
  var $4=$2; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$3; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=__Z17js_LineNumberToPCP8JSScriptj($4, $5); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $6; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetLinePCs($cx, $script, $startLine, $maxLines, $count, $retLines, $retPCs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $lines;
      var $pcs;
      var $len;
      var $lineno;
      var $offset;
      var $i;
      var $sn;
      var $type;
      $2=$cx;
      $3=$script;
      $4=$startLine;
      $5=$maxLines;
      $6=$count;
      $7=$retLines;
      $8=$retPCs;
      var $9=$3; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=(($9+8)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=$5; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=(($11)>>>0) > (($12)>>>0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $15=$5; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21 = $15;__label__ = 4; break; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $17=$3; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=(($17+8)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21 = $19;__label__ = 4; break; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $21; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $len=$21; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=$2; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=$len; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=((($23<<2))|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=__ZN9JSContext7malloc_Ej($22, $24); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=$25; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $lines=$26; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=$lines; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=(($27)|0)!=0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      $1=0; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 41; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $31=$2; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=$len; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=((($32<<2))|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=__ZN9JSContext7malloc_Ej($31, $33); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=$34; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $pcs=$35; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=$pcs; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=(($36)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $39=$2; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $40=$lines; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=$40; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext5free_EPv($39, $41); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=0; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 41; break; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      var $43=$3; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=(($43+28)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $lineno=$45; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $offset=0; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i=0; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $46=$3; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $47=__ZN8JSScript5notesEv($46); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $sn=$47; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 9: 
      var $49=$sn; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $50=HEAPU8[($49)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $51=(($50)&255); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $52=(($51)|0)==0; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $53=$52 ^ 1; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 34; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 10: 
      var $55=$sn; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $56=HEAPU8[($55)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $57=(($56)&255); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $58=$57 >> 3; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $59=(($58)|0) >= 24; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($59) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 11: 
      var $61=$sn; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $62=HEAPU8[($61)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $63=(($62)&255); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $64=$63 & 63; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $71 = $64;__label__ = 13; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 12: 
      var $66=$sn; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $67=HEAPU8[($66)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $68=(($67)&255); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $69=$68 & 7; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $71 = $69;__label__ = 13; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 13: 
      var $71; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $72=$offset; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $73=(($72+$71)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $offset=$73; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $74=$sn; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $75=HEAPU8[($74)]; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $76=(($75)&255); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $77=$76 >> 3; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $78=(($77)|0) >= 24; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($78) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 14: 
      var $86 = 24;__label__ = 16; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 15: 
      var $81=$sn; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $82=HEAPU8[($81)]; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $83=(($82)&255); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $84=$83 >> 3; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $86 = $84;__label__ = 16; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 16: 
      var $86; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $type=$86; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $87=$type; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $88=(($87)|0)==23; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($88) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 17: 
      var $90=$type; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $91=(($90)|0)==22; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($91) { __label__ = 18; break; } else { __label__ = 26; break; } //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 18: 
      var $93=$type; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $94=(($93)|0)==23; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($94) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 19: 
      var $96=$sn; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $97=_js_GetSrcNoteOffset($96, 0); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $lineno=$97; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 21; break; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 20: 
      var $99=$lineno; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $100=(($99+1)|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $lineno=$100; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 21; break;
    case 21: 
      var $102=$lineno; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $103=$4; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $104=(($102)>>>0) >= (($103)>>>0); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($104) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 22: 
      var $106=$lineno; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $107=$i; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $108=$lines; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $109=(($108+($107<<2))|0); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($109)>>2)]=$106; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $110=$3; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $111=(($110)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $113=$offset; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $114=(($112+$113)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $115=$i; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $116=$pcs; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $117=(($116+($115<<2))|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($117)>>2)]=$114; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $118=$i; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $119=(($118+1)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i=$119; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $120=$5; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $121=(($119)>>>0) >= (($120)>>>0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($121) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 23: 
      __label__ = 34; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 24: 
      __label__ = 25; break; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 25: 
      __label__ = 26; break; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 26: 
      __label__ = 27; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 27: 
      var $127=$sn; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $128=$sn; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $129=HEAPU8[($128)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $130=(($129)&255); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $131=$130 >> 3; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $132=(($131)|0) >= 24; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($132) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 28: 
      var $140 = 24;__label__ = 30; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 29: 
      var $135=$sn; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $136=HEAPU8[($135)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $137=(($136)&255); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $138=$137 >> 3; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $140 = $138;__label__ = 30; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 30: 
      var $140; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $141=((_js_SrcNoteSpec+($140<<3))|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $142=(($141+4)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $143=HEAP8[($142)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $144=(($143 << 24) >> 24); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $145=(($144)|0)==0; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($145) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 31: 
      var $151 = 1;__label__ = 33; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 32: 
      var $148=$sn; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $149=_js_SrcNoteLength($148); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $151 = $149;__label__ = 33; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 33: 
      var $151; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $152=(($127+$151)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $sn=$152; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 34: 
      var $154=$i; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $155=$6; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($155)>>2)]=$154; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $156=$7; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $157=(($156)|0)!=0; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($157) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 35: 
      var $159=$lines; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $160=$7; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($160)>>2)]=$159; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 37; break; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 36: 
      var $162=$2; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $163=$lines; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $164=$163; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext5free_EPv($162, $164); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 37; break;
    case 37: 
      var $166=$8; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $167=(($166)|0)!=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($167) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 38: 
      var $169=$pcs; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $170=$8; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($170)>>2)]=$169; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 40; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 39: 
      var $172=$2; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $173=$pcs; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $174=$173; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext5free_EPv($172, $174); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 40; break;
    case 40: 
      $1=1; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 41; break; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 41: 
      var $177=$1; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $177; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetLinePCs["X"]=1;

function _JS_FunctionHasLocalNames($cx, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fun;
  var $3=$2; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZNK10JSFunction6scriptEv($3); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=(($4+64)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=__ZNK2js8Bindings13hasLocalNamesEv($5); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6)&1); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $7; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZNK2js8Bindings13hasLocalNamesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js8Bindings15countLocalNamesEv($2); //@line 205 "./jsscript.h"
  var $4=(($3)>>>0) > 0; //@line 205 "./jsscript.h"
  ;
  return $4; //@line 205 "./jsscript.h"
}


function _JS_GetFunctionLocalNameArray($cx, $fun, $markp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $localNames=__stackBase__;
      var $5=__stackBase__+24;
      var $6;
      var $names;
      var $_a;
      var $_nb;
      var $_p;
      $2=$cx;
      $3=$fun;
      $4=$markp;
      var $7=$2; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($5, $7); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC1ES3_($localNames, $5); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=$3; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=__ZNK10JSFunction6scriptEv($8); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=(($9+64)|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=$2; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE($10, $11, $localNames); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $6=1;
      __label__ = 16; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $15=$2; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=(($15+72)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=(($16+16)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=(($18+12)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$20; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=$4; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $24=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=(($24+72)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=(($25+16)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $_a=$27; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE6lengthEv($localNames); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=((($28<<2))|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $30=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $31=(($30+72)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=(($31+24)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=(($29+$33)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=(($35+72)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=(($36+24)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $39=$38 ^ -1; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $40=$34 & $39; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $_nb=$40; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=$_a; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=(($41+12)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $_p=$43; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=$_nb; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $45=$_a; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $46=(($45+8)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $47=HEAPU32[(($46)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $48=(($44)>>>0) > (($47)>>>0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($48) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $50=$_p; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $51=$_a; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $52=(($51+8)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $54=$_nb; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $55=(($53-$54)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $56=(($50)>>>0) > (($55)>>>0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($56) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $58=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $59=(($58+72)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $60=$_nb; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $61=_JS_ArenaAllocate($59, $60); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $62=$61; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $_p=$62; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 8; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $64=$_p; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $65=$_nb; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $66=(($64+$65)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $67=$_a; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $68=(($67+12)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($68)>>2)]=$66; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 8; break;
    case 8: 
      var $70=$_p; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $71=$70; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $names=$71; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 9: 
      __label__ = 10; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 10: 
      __label__ = 11; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 11: 
      __label__ = 12; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 12: 
      __label__ = 13; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 13: 
      var $77=$names; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $78=(($77)|0)!=0; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($78) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 14: 
      var $80=$2; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($80); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=0; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $6=1;
      __label__ = 16; break; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 15: 
      var $82=$names; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $83=$82; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $84=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE5beginEv($localNames); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $85=$84; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $86=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE6lengthEv($localNames); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $87=((($86<<2))|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert($87 % 1 === 0, 'memcpy given ' + $87 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($83, $85, $87, 1); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $88=$names; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$88; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $6=1;
      __label__ = 16; break; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 16: 
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED1Ev($localNames); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $90=$1; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $90; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetFunctionLocalNameArray["X"]=1;

function _JS_ReleaseFunctionLocalNameArray($cx, $mark) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $_m;
      var $_a;
      $1=$cx;
      $2=$mark;
      __label__ = 2; break; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $4=$2; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $_m=$4; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=$1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=(($5+72)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=(($6+16)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $_a=$8; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=$_a; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=$1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=(($10+72)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=(($11)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=(($9)|0)!=(($12)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $15=$_m; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$15; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$_a; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=(($17+4)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=(($16-$19)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$_a; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=(($21+12)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=$_a; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=(($24+4)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=(($23-$26)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=(($20)>>>0) <= (($27)>>>0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $30=$_m; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $31=$30; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=$1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=(($32+72)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=(($33+24)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=(($31+$35)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=$1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=(($37+72)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $39=(($38+24)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=$40 ^ -1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=$36 & $41; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=$_a; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=(($43+12)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($44)>>2)]=$42; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $46=$1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $47=(($46+72)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $48=$_m; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      _JS_ArenaRelease($47, $48); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      ;
      return; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_ReleaseFunctionLocalNameArray["X"]=1;

function _JS_GetFunctionScript($cx, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fun;
  var $3=$2; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZNK10JSFunction11maybeScriptEv($3); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $4; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZNK10JSFunction11maybeScriptEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK10JSFunction13isInterpretedEv($2); //@line 204 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 204 "./jsfun.h"
    case 2: 
      var $5=__ZNK10JSFunction6scriptEv($2); //@line 204 "./jsfun.h"
      var $8 = $5;__label__ = 4; break; //@line 204 "./jsfun.h"
    case 3: 
      var $8 = 0;__label__ = 4; break; //@line 204 "./jsfun.h"
    case 4: 
      var $8; //@line 204 "./jsfun.h"
      ;
      return $8; //@line 204 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetFunctionNative($cx, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fun;
  var $3=$2; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZNK10JSFunction11maybeNativeEv($3); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $4; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZNK10JSFunction11maybeNativeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK10JSFunction13isInterpretedEv($2); //@line 213 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 213 "./jsfun.h"
    case 2: 
      var $8 = 0;__label__ = 4; break; //@line 213 "./jsfun.h"
    case 3: 
      var $6=__ZNK10JSFunction6nativeEv($2); //@line 213 "./jsfun.h"
      var $8 = $6;__label__ = 4; break; //@line 213 "./jsfun.h"
    case 4: 
      var $8; //@line 213 "./jsfun.h"
      ;
      return $8; //@line 213 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_FrameIterator($cx, $iteratorp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fp;
      $1=$cx;
      $2=$iteratorp;
      var $3=$2; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=__ZN2js8ValueifyEP12JSStackFrame($4); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $fp=$5; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=$fp; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=(($6)|0)==0; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $9=$1; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1065($9, 1); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15 = $10;__label__ = 4; break; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $12=$fp; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=__ZNK2js10StackFrame4prevEv($12); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15 = $13;__label__ = 4; break; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $15; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=__ZN2jsL8JsvalifyEPNS_10StackFrameE($15); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$2; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=$2; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $19; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1065($cx, $expand) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$expand;
  var $3=$1; //@line 2346 "./jscntxt.h"
  __ZN2js10LeaveTraceEP9JSContext($3); //@line 2346 "./jscntxt.h"
  var $4=$1; //@line 2353 "./jscntxt.h"
  var $5=__ZNK9JSContext7maybefpEv($4); //@line 2353 "./jscntxt.h"
  ;
  return $5; //@line 2353 "./jscntxt.h"
}


function _JS_GetFrameScript($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js10StackFrame11maybeScriptEv($4); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetFramePC($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+60)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($4, $6, 0, 0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $7; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetScriptedCaller($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$1; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=$2; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZN2js8ValueifyEP12JSStackFrame($4); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=__Z20js_GetScriptedCallerP9JSContextPN2js10StackFrameE($3, $5); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=__ZN2jsL8JsvalifyEPNS_10StackFrameE($6); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $7; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetFrameAnnotation($cx, $fpArg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fp;
      var $principals;
      $2=$cx;
      $3=$fpArg;
      var $4=$3; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=__ZN2js8ValueifyEP12JSStackFrame($4); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $fp=$5; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=$fp; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=__ZNK2js10StackFrame10annotationEv($6); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=(($7)|0)!=0; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $10=$fp; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=__ZNK2js10StackFrame13isScriptFrameEv($10); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $13=$fp; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=__ZNK2js10StackFrame10scopeChainEv($13); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=$2; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=__ZN8JSObject10principalsEP9JSContext($14, $15); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $principals=$16; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$principals; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=(($17)|0)!=0; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $20=$principals; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=(($20+8)|0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=$2; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=$principals; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=FUNCTION_TABLE[$22]($23, $24); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=(($25)|0)!=0; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $28=$fp; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=__ZNK2js10StackFrame10annotationEv($28); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$29; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 8; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      __label__ = 7; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      $1=0; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 8; break; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      var $33=$1; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $33; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL13VersionNumberE9JSVersion1066($version) {
  ;
  var __label__;

  var $1;
  $1=$version;
  var $2=$1; //@line 866 "./jscntxt.h"
  var $3=$2 & 4095; //@line 866 "./jscntxt.h"
  ;
  return $3; //@line 866 "./jscntxt.h"
}


function __ZNK2js10StackFrame15isDebuggerFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1102 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1102 "./vm/Stack.h"
  var $5=$4 & 16; //@line 1102 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1102 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1102 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1102 "./vm/Stack.h"
  ;
  return $8; //@line 1102 "./vm/Stack.h"
}


function _JS_GetScriptFilename($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  var $3=$2; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3+52)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetScriptSourceMap($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  var $3=$2; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3+80)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetScriptBaseLineNumber($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  var $3=$2; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3+28)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetNewScriptHookProc($rt, $hook, $callerdata) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$hook;
  $3=$callerdata;
  var $4=$2; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+8)|0); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+12)|0); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetDestroyScriptHookProc($rt, $hook, $callerdata) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$hook;
  $3=$callerdata;
  var $4=$2; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+16)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+20)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetFrameAnnotation($cx, $fp, $annotation) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$fp;
  $3=$annotation;
  var $4=$2; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZN2js8ValueifyEP12JSStackFrame($4); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$3; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN2js10StackFrame13setAnnotationEPv($5, $6); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetFramePrincipalArray($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $principals;
      $2=$cx;
      $3=$fp;
      var $4=$3; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=__ZN2js8ValueifyEP12JSStackFrame($4); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=__ZNK2js10StackFrame10scopeChainEv($5); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$2; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=__ZN8JSObject10principalsEP9JSContext($6, $7); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $principals=$8; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=$principals; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=(($9)|0)!=0; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $13=$principals; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=(($13+4)|0); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$2; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$principals; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=FUNCTION_TABLE[$15]($16, $17); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$18; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $20=$1; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $20; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_IsScriptFrame($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js10StackFrame12isDummyFrameEv($4); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$5 ^ 1; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6)&1); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $7; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetFrameObject($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js10StackFrame10scopeChainEv($4); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetFrameScopeChain($cx, $fpArg) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fp;
      var $ac=__stackBase__;
      var $4;
      $2=$cx;
      $3=$fpArg;
      var $5=$3; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=__ZN2js8ValueifyEP12JSStackFrame($5); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $fp=$6; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$2; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=$fp; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=__ZNK2js10StackFrame10scopeChainEv($8); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $7, $9); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=__ZN2js15AutoCompartment5enterEv($ac); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $4=1;
      __label__ = 4; break; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $13=$2; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=$fp; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=__ZN2jsL8JsvalifyEPNS_10StackFrameE($14); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=_JS_GetFrameCallObject($13, $15); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$2; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=$fp; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=__ZN2js13GetScopeChainEP9JSContextPNS_10StackFrameE($17, $18); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$19; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $4=1;
      __label__ = 4; break; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$1; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetFrameCallObject($cx, $fpArg) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fp;
      var $ac=__stackBase__;
      var $4;
      $2=$cx;
      $3=$fpArg;
      var $5=$3; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=__ZN2js8ValueifyEP12JSStackFrame($5); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $fp=$6; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$fp; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=__ZNK2js10StackFrame15isFunctionFrameEv($7); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 10; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $11=$2; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=$fp; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=__ZNK2js10StackFrame10scopeChainEv($12); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $11, $13); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=__ZN2js15AutoCompartment5enterEv($ac); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      $1=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $4=1;
      __label__ = 9; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $17=$fp; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=__ZNK2js10StackFrame10hasCallObjEv($17); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($18) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $20=$fp; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($20); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $23=$2; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=$fp; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=__ZN2js19CreateFunCallObjectEP9JSContextPNS_10StackFrameE($23, $24); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=$25; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$26; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $4=1;
      __label__ = 9; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      var $28=$fp; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=__ZNK2js10StackFrame7callObjEv($28); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $30=$29; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$30; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $4=1;
      __label__ = 9; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 9: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 10; break;
    case 10: 
      var $33=$1; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetFrameThis($cx, $fpArg, $thisv) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fp;
      var $ac=__stackBase__;
      var $5;
      $2=$cx;
      $3=$fpArg;
      $4=$thisv;
      var $6=$3; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=__ZN2js8ValueifyEP12JSStackFrame($6); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $fp=$7; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=$fp; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=__ZNK2js10StackFrame12isDummyFrameEv($8); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $12=$2; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=$fp; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=__ZNK2js10StackFrame10scopeChainEv($13); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $12, $14); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=__ZN2js15AutoCompartment5enterEv($ac); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      $1=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $5=1;
      __label__ = 8; break; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $18=$2; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=$fp; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=__ZN2js11ComputeThisEP9JSContextPNS_10StackFrameE($18, $19); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      $1=0; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $5=1;
      __label__ = 8; break; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $23=$4; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=$fp; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=__ZNK2js10StackFrame9thisValueEv($24); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=$23; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=$25; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=1; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $5=1;
      __label__ = 8; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break;
    case 9: 
      var $30=$1; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetFrameFunction($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js10StackFrame8maybeFunEv($4); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZNK2js10StackFrame8maybeFunEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame15isFunctionFrameEv($2); //@line 638 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 638 "./vm/Stack.h"
    case 2: 
      var $5=__ZNK2js10StackFrame3funEv($2); //@line 638 "./vm/Stack.h"
      var $8 = $5;__label__ = 4; break; //@line 638 "./vm/Stack.h"
    case 3: 
      var $8 = 0;__label__ = 4; break; //@line 638 "./vm/Stack.h"
    case 4: 
      var $8; //@line 638 "./vm/Stack.h"
      ;
      return $8; //@line 638 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetFrameFunctionObject($cx, $fpArg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fp;
      $2=$cx;
      $3=$fpArg;
      var $4=$3; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=__ZN2js8ValueifyEP12JSStackFrame($4); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $fp=$5; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=$fp; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=__ZNK2js10StackFrame15isFunctionFrameEv($6); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $10=$fp; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=__ZNK2js10StackFrame6calleeEv($10); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$11; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $13=$1; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $13; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_IsConstructorFrame($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js10StackFrame14isConstructingEv($4); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5)&1); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $6; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetFrameCalleeObject($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js10StackFrame12maybeCalleevEv($4); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=__ZNK2JS5Value14toObjectOrNullEv($5); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $6; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZNK2js10StackFrame12maybeCalleevEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $calleev;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 776 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 776 "./vm/Stack.h"
      var $5=$4 & 9; //@line 776 "./vm/Stack.h"
      var $6=(($5)|0)!=0; //@line 776 "./vm/Stack.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 776 "./vm/Stack.h"
    case 2: 
      var $8=$2; //@line 776 "./vm/Stack.h"
      var $9=(($8-16)|0); //@line 776 "./vm/Stack.h"
      var $14 = $9;__label__ = 4; break; //@line 776 "./vm/Stack.h"
    case 3: 
      var $11=__ZNK2js10StackFrame10formalArgsEv($2); //@line 776 "./vm/Stack.h"
      var $12=(($11-16)|0); //@line 776 "./vm/Stack.h"
      var $14 = $12;__label__ = 4; break; //@line 776 "./vm/Stack.h"
    case 4: 
      var $14; //@line 776 "./vm/Stack.h"
      $calleev=$14; //@line 776 "./vm/Stack.h"
      var $15=$calleev; //@line 778 "./vm/Stack.h"
      ;
      return $15; //@line 778 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetValidFrameCalleeObject($cx, $fp, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      $2=$cx;
      $3=$fp;
      $4=$vp;
      var $5=$3; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=__ZN2js8ValueifyEP12JSStackFrame($5); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$2; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=__ZN2js10StackFrame20getValidCalleeObjectEP9JSContextPN2JS5ValueE($6, $7, $v); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 7; break; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $11=$4; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=__ZNK2JS5Value8isObjectEv($v); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $16 = $v;__label__ = 6; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $16 = _JSVAL_VOID;__label__ = 6; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $16; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$11; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=$16; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=$4; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=$19; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$v; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=1; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 7; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $23=$1; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_IsDebuggerFrame($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js10StackFrame15isDebuggerFrameEv($4); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5)&1); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $6; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_IsGlobalFrame($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZNK2js10StackFrame13isGlobalFrameEv($4); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5)&1); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $6; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetFrameReturnValue($agg_result, $cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$2; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZN2js8ValueifyEP12JSStackFrame($3); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZN2js10StackFrame11returnValueEv($4); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$agg_result; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=$5; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZN2js10StackFrame11returnValueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1000 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1000 "./vm/Stack.h"
      var $5=$4 & 262144; //@line 1000 "./vm/Stack.h"
      var $6=(($5)|0)!=0; //@line 1000 "./vm/Stack.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1000 "./vm/Stack.h"
    case 2: 
      var $8=(($2+24)|0); //@line 1001 "./vm/Stack.h"
      __ZN2JS5Value12setUndefinedEv($8); //@line 1001 "./vm/Stack.h"
      __label__ = 3; break; //@line 1001 "./vm/Stack.h"
    case 3: 
      var $10=(($2+24)|0); //@line 1002 "./vm/Stack.h"
      ;
      return $10; //@line 1002 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_SetFrameReturnValue($cx, $fpArg, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $rval=__stackBase__;
  var $fp;
  var $4=__stackBase__+8;
  $2=$cx;
  $3=$fpArg;
  var $5=$rval;
  var $6=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
  var $7=$3; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=__ZN2js8ValueifyEP12JSStackFrame($7); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  $fp=$8; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$2; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=$fp; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=$4; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $12=$rval; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN2js21assertSameCompartmentIPNS_10StackFrameEN2JS5ValueEEEvP9JSContextT_T0_($9, $10, $4); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $13=$fp; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($13, $rval); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  STACKTOP = __stackBase__;
  return; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZN2js21assertSameCompartmentIPNS_10StackFrameEN2JS5ValueEEEvP9JSContextT_T0_($cx, $t1, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $t2=__stackBase__;
  $2=$cx;
  $3=$t1;
  var $4=$t2;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  STACKTOP = __stackBase__;
  return; //@line 248 "./jscntxtinlines.h"
}


function __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=(($3+24)|0); //@line 1010 "./vm/Stack.h"
  var $5=$2; //@line 1010 "./vm/Stack.h"
  var $6=$4; //@line 1010 "./vm/Stack.h"
  var $7=$5; //@line 1010 "./vm/Stack.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1010 "./vm/Stack.h"
  __ZN2js10StackFrame15markReturnValueEv($3); //@line 1011 "./vm/Stack.h"
  ;
  return; //@line 1012 "./vm/Stack.h"
}


function _JS_GetScriptLineExtent($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  var $3=$2; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__Z22js_GetScriptLineExtentP8JSScript($3); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $4; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetScriptVersion($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  var $3=$2; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZNK8JSScript10getVersionEv($3); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=__ZN2jsL13VersionNumberE9JSVersion1066($4); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_EvaluateUCInStackFrame($cx, $fpArg, $chars, $length, $filename, $lineno, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $scobj;
      var $ac=__stackBase__;
      var $9;
      var $fp;
      $2=$cx;
      $3=$fpArg;
      $4=$chars;
      $5=$length;
      $6=$filename;
      $7=$lineno;
      $8=$rval;
      var $10=$2; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=__ZL14CheckDebugModeP9JSContext($10); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=(($11)|0)!=0; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $15=$2; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$3; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=_JS_GetFrameScopeChain($15, $16); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $scobj=$17; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=$scobj; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=(($18)|0)!=0; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      $1=0; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $22=$2; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=$scobj; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $22, $23); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=__ZN2js15AutoCompartment5enterEv($ac); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      $1=0; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $9=1;
      __label__ = 8; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $27=$3; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=__ZN2js8ValueifyEP12JSStackFrame($27); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $fp=$28; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=$2; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $30=$scobj; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $31=$fp; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=$4; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=$5; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=$6; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=$7; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=$8; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=__ZN2js15EvaluateInScopeEP9JSContextP8JSObjectPNS_10StackFrameEPKtjPKcjPN2JS5ValueE($29, $30, $31, $32, $33, $34, $35, $36); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$37; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $9=1;
      __label__ = 8; break; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break;
    case 9: 
      var $40=$1; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_EvaluateUCInStackFrame["X"]=1;

function _JS_EvaluateInStackFrame($cx, $fp, $bytes, $length, $filename, $lineno, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $chars;
      var $ok;
      var $len=__stackBase__;
      $2=$cx;
      $3=$fp;
      $4=$bytes;
      $5=$length;
      $6=$filename;
      $7=$lineno;
      $8=$rval;
      var $9=$5; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($len)>>2)]=$9; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=$2; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=__ZL14CheckDebugModeP9JSContext($10); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=(($11)|0)!=0; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      $1=0; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $15=$2; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$4; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($15, $16, $len, 0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $chars=$17; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=$chars; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=(($18)|0)!=0; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      $1=0; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $22=HEAP32[(($len)>>2)]; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $5=$22; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=$2; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=$3; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=$chars; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=$5; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=$6; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=$7; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=$8; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $30=_JS_EvaluateUCInStackFrame($23, $24, $25, $26, $27, $28, $29); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $ok=$30; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $31=$2; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=$chars; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=$32; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext5free_EPv($31, $33); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=$ok; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=$34; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $36=$1; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_EvaluateInStackFrame["X"]=1;

function _JS_PropertyIterator($obj, $iteratorp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $shape;
      $1=$obj;
      $2=$iteratorp;
      var $3=$2; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=$4; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $shape=$5; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=$shape; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=(($6)|0)!=0; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $9=$1; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=__ZNK8JSObject12lastPropertyEv($9); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $shape=$10; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $12=$shape; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=__ZNK2js5Shape8previousEv($12); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $shape=$13; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=$shape; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=__ZNK2js5Shape8previousEv($14); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=(($15)|0)!=0; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      $shape=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 5; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $20=$shape; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$20; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=$2; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $21; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5Shape8writableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 589 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 589 "./jsscope.h"
  var $5=(($4)&255); //@line 589 "./jsscope.h"
  var $6=$5 & 2; //@line 589 "./jsscope.h"
  var $7=(($6)|0)==0; //@line 589 "./jsscope.h"
  ;
  return $7; //@line 589 "./jsscope.h"
}


function __ZNK2js5Shape12configurableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 585 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 585 "./jsscope.h"
  var $5=(($4)&255); //@line 585 "./jsscope.h"
  var $6=$5 & 4; //@line 585 "./jsscope.h"
  var $7=(($6)|0)==0; //@line 585 "./jsscope.h"
  ;
  return $7; //@line 585 "./jsscope.h"
}


function __ZNK2js5Shape5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 478 "./jsscope.h"
  var $4=HEAP32[(($3)>>2)]; //@line 478 "./jsscope.h"
  var $5=(($4+32)|0); //@line 478 "./jsscope.h"
  var $6=HEAP32[(($5)>>2)]; //@line 478 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 478 "./jsscope.h"
  var $8=$7 ^ 1; //@line 478 "./jsscope.h"
  ;
  return $8; //@line 478 "./jsscope.h"
}


function _JS_SetDebuggerHandler($rt, $handler, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$handler;
  $3=$closure;
  var $4=$2; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+24)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+28)|0); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetSourceHandler($rt, $handler, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$handler;
  $3=$closure;
  var $4=$2; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+32)|0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+36)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetExecuteHook($rt, $hook, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$hook;
  $3=$closure;
  var $4=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+40)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+44)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetCallHook($rt, $hook, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$hook;
  $3=$closure;
  var $4=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+48)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+52)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetThrowHook($rt, $hook, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$hook;
  $3=$closure;
  var $4=$2; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+56)|0); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+60)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetDebugErrorHook($rt, $hook, $closure) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$rt;
  $2=$hook;
  $3=$closure;
  var $4=$2; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$1; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=(($5+144148)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=(($6+64)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$3; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$1; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=(($9+144148)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+68)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  HEAP32[(($11)>>2)]=$8; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_GetPropertyDesc($cx, $obj, $sprop, $pd) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $shape;
      var $5=__stackBase__;
      var $wasThrowing;
      var $lastException=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $r=__stackBase__+40;
      var $aprop;
      var $9=__stackBase__+48;
      $1=$cx;
      $2=$obj;
      $3=$sprop;
      $4=$pd;
      var $10=$1; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=$2; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($10, $11); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=$3; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=$12; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $shape=$13; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=$4; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=(($14)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$shape; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=(($16+12)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2jsL9IdToJsvalEi1067($5, $18); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=$15; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=$5; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$1; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=__ZN9JSContext18isExceptionPendingEv($21); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=(($22)&1); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $wasThrowing=$23; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2JSL14UndefinedValueEv1068($lastException); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=$wasThrowing; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=(($24)|0)!=0; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($25) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $27=$1; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext19getPendingExceptionEv($6, $27); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=$lastException; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=$6; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 3; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $31=$1; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext21clearPendingExceptionEv($31); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=$1; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=$2; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=$shape; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=(($34+12)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=$4; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=(($37+8)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $39=__Z14js_GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($32, $33, $36, $38); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $40=(($39)|0)!=0; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 4; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $42=$1; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=__ZN9JSContext18isExceptionPendingEv($42); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($43) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $45=$4; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $46=(($45+16)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[($46)]=-128; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $47=$4; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $48=(($47+8)|0); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $49=$48; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 7; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $51=$4; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $52=(($51+16)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[($52)]=64; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $53=$4; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $54=(($53+8)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $55=$1; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext19getPendingExceptionEv($7, $55); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $56=$54; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $57=$7; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($56)>>2)]=HEAP32[(($57)>>2)];HEAP32[(($56+4)>>2)]=HEAP32[(($57+4)>>2)]; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 7; break;
    case 7: 
      __label__ = 9; break; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      var $60=$4; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $61=(($60+16)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[($61)]=0; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break;
    case 9: 
      var $63=$wasThrowing; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $64=(($63)|0)!=0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($64) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 10: 
      var $66=$1; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $67=$8; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $68=$lastException; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($66, $8); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 11; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 11: 
      var $70=$shape; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $71=__ZNK2js5Shape10enumerableEv($70); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $72=$71 ? 1 : 0; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $73=$shape; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $74=__ZNK2js5Shape8writableEv($73); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $75=$74 ^ 1; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $76=$75 ? 2 : 0; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $77=$72 | $76; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $78=$shape; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $79=__ZNK2js5Shape12configurableEv($78); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $80=$79 ^ 1; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $81=$80 ? 4 : 0; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $82=$77 | $81; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $83=$4; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $84=(($83+16)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $85=HEAPU8[($84)]; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $86=(($85)&255); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $87=$86 | $82; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $88=(($87) & 255); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[($84)]=$88; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $89=$4; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $90=(($89+17)|0); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[($90)]=0; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $91=$shape; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $92=__ZNK2js5Shape6getterEv($91); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $93=(($92)|0)==92; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($93) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 12: 
      var $95=$shape; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $96=(($95+30)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $97=HEAP16[(($96)>>1)]; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $98=$4; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $99=(($98+18)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP16[(($99)>>1)]=$97; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $100=$4; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $101=(($100+16)|0); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $102=HEAPU8[($101)]; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $103=(($102)&255); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $104=$103 | 16; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $105=(($104) & 255); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[($101)]=$105; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 17; break; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 13: 
      var $107=$shape; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $108=__ZNK2js5Shape6getterEv($107); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $109=(($108)|0)==94; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($109) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 14: 
      var $111=$shape; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $112=(($111+30)|0); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $113=HEAP16[(($112)>>1)]; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $114=$4; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $115=(($114+18)|0); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP16[(($115)>>1)]=$113; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $116=$4; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $117=(($116+16)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $118=HEAPU8[($117)]; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $119=(($118)&255); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $120=$119 | 32; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $121=(($120) & 255); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[($117)]=$121; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 16; break; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 15: 
      var $123=$4; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $124=(($123+18)|0); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP16[(($124)>>1)]=0; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $127=$4; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $128=(($127+24)|0); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $129=$128; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($129)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($129+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $130=$2; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $131=$shape; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $132=(($131+24)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $134=__ZNK8JSObject12containsSlotEj($130, $133); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($134) { __label__ = 18; break; } else { __label__ = 26; break; } //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 18: 
      var $136=$2; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $137=__ZNK8JSObject12lastPropertyEv($136); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZNK2js5Shape3allEv($r, $137); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 19; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 19: 
      var $139=__ZNK2js5Shape5Range5emptyEv($r); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $140=$139 ^ 1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($140) { __label__ = 20; break; } else { __label__ = 25; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 20: 
      var $142=__ZNK2js5Shape5Range5frontEv($r); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $aprop=$142; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $143=$aprop; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $144=$shape; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $145=(($143)|0)!=(($144)|0); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($145) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 21: 
      var $147=$aprop; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $148=(($147+24)|0); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $150=$shape; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $151=(($150+24)|0); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $153=(($149)|0)==(($152)|0); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($153) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 22: 
      var $155=$4; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $156=(($155+24)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $157=$aprop; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $158=(($157+12)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2jsL9IdToJsvalEi1067($9, $159); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $160=$156; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $161=$9; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($160)>>2)]=HEAP32[(($161)>>2)];HEAP32[(($160+4)>>2)]=HEAP32[(($161+4)>>2)]; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 25; break; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 23: 
      __label__ = 24; break; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 24: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 19; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 25: 
      __label__ = 26; break; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 26: 
      STACKTOP = __stackBase__;
      return 1; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetPropertyDesc["X"]=1;

function __ZN2jsL9IdToJsvalEi1067($agg_result, $id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 129 "./jsatom.h"
  __ZN2jsL9IdToValueEi1060($agg_result, $2); //@line 129 "./jsatom.h"
  ;
  return; //@line 129 "./jsatom.h"
}


function __ZN2JSL14UndefinedValueEv1068($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZNK2js5Shape3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js5Shape5RangeC1EPKS0_($agg_result, $2); //@line 493 "./jsscope.h"
  ;
  return; //@line 493 "./jsscope.h"
}


function _JS_GetPropertyDescArray($cx, $obj, $pda) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $clasp;
      var $n;
      var $pd;
      var $i;
      var $r=__stackBase__;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$pda;
      var $5=$2; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=$3; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($5, $6); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$3; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=__ZNK8JSObject8getClassEv($7); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $clasp=$8; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=$3; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=__ZNK8JSObject8isNativeEv($9); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $12=$clasp; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=(($12+4)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=$14 & 2; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=(($15)|0)!=0; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $18=$2; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=$clasp; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=(($19)|0); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      _JS_ReportErrorNumber($18, 2, 0, 153, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$21,tempInt)); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 27; break; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $23=$clasp; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=(($23+24)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=$2; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=$3; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=FUNCTION_TABLE[$25]($26, $27); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=(($28)|0)!=0; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      $1=0; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 27; break; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $32=$3; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=__ZNK8JSObject11nativeEmptyEv($32); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $35=$4; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=(($35)|0); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($36)>>2)]=0; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=$4; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=(($37+4)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($38)>>2)]=0; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=1; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 27; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      var $40=$3; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=__ZNK8JSObject13propertyCountEv($40); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $n=$41; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=$2; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=$n; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=((($43<<5))|0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $45=__ZN9JSContext7malloc_Ej($42, $44); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $46=$45; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $pd=$46; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $47=$pd; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $48=(($47)|0)!=0; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 9: 
      $1=0; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 27; break; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 10: 
      $i=0; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $51=$3; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $52=__ZNK8JSObject12lastPropertyEv($51); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZNK2js5Shape3allEv($r, $52); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 11; break; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 11: 
      var $54=__ZNK2js5Shape5Range5emptyEv($r); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $55=$54 ^ 1; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 25; break; } //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 12: 
      var $57=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $58=$i; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $59=$pd; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $60=(($59+($58<<5))|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $61=(($60)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $62=__Z10js_AddRootP9JSContextPN2JS5ValueEPKc($57, $61, 0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $63=(($62)|0)!=0; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($63) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 13: 
      __label__ = 26; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 14: 
      var $66=$2; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $67=$i; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $68=$pd; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $69=(($68+($67<<5))|0); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $70=(($69+8)|0); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $71=__Z10js_AddRootP9JSContextPN2JS5ValueEPKc($66, $70, 0); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $72=(($71)|0)!=0; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($72) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 15: 
      __label__ = 26; break; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 16: 
      var $75=__ZNK2js5Shape5Range5frontEv($r); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $shape=$75; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $76=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $77=$3; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $78=$shape; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $79=$78; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $80=$i; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $81=$pd; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $82=(($81+($80<<5))|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $83=_JS_GetPropertyDesc($76, $77, $79, $82); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $84=(($83)|0)!=0; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($84) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 17: 
      __label__ = 26; break; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 18: 
      var $87=$i; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $88=$pd; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $89=(($88+($87<<5))|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $90=(($89+16)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $91=HEAPU8[($90)]; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $92=(($91)&255); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $93=$92 & 8; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $94=(($93)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($94) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 19: 
      var $96=$2; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $97=$i; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $98=$pd; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $99=(($98+($97<<5))|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $100=(($99+24)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $101=__Z10js_AddRootP9JSContextPN2JS5ValueEPKc($96, $100, 0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $102=(($101)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($102) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 20: 
      __label__ = 26; break; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 21: 
      var $105=$i; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $106=(($105+1)|0); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i=$106; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $107=$n; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $108=(($106)|0)==(($107)|0); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($108) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 22: 
      __label__ = 25; break; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 23: 
      __label__ = 24; break; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 24: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 11; break; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 25: 
      var $113=$i; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $114=$4; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $115=(($114)|0); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($115)>>2)]=$113; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $116=$pd; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $117=$4; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $118=(($117+4)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($118)>>2)]=$116; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=1; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 27; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 26: 
      var $120=$i; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $121=(($120+1)|0); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $122=$4; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $123=(($122)|0); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($123)>>2)]=$121; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $124=$pd; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $125=$4; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $126=(($125+4)|0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($126)>>2)]=$124; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $127=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $128=$4; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      _JS_PutPropertyDescArray($127, $128); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 27; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 27: 
      var $130=$1; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      STACKTOP = __stackBase__;
      return $130; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetPropertyDescArray["X"]=1;

function __ZNK8JSObject13propertyCountEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject12lastPropertyEv($2); //@line 1068 "./jsobjinlines.h"
  var $4=__ZNK2js5Shape10entryCountEv($3); //@line 1068 "./jsobjinlines.h"
  ;
  return $4; //@line 1068 "./jsobjinlines.h"
}


function _JS_PutPropertyDescArray($cx, $pda) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pd;
      var $i;
      $1=$cx;
      $2=$pda;
      var $3=$2; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=(($3+4)|0); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $pd=$5; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i=0; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 2; break; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $7=$i; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=$2; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=(($8)|0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $13=$1; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=(($13+52)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$i; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=$pd; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=(($17+($16<<5))|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=(($18)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=$19; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=_js_RemoveRoot($15, $20); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=(($22+52)|0); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=$i; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=$pd; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=(($26+($25<<5))|0); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=(($27+8)|0); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=$28; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $30=_js_RemoveRoot($24, $29); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $31=$i; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=$pd; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=(($32+($31<<5))|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=(($33+16)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=HEAPU8[($34)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $36=(($35)&255); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $37=$36 & 8; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=(($37)|0)!=0; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($38) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $40=$1; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=(($40+52)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=$i; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=$pd; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $45=(($44+($43<<5))|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $46=(($45+24)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $47=$46; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $48=_js_RemoveRoot($42, $47); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 5; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $51=$i; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $52=(($51+1)|0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i=$52; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 2; break; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $54=$1; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $55=$pd; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $56=$55; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN9JSContext5free_EPv($54, $56); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_PutPropertyDescArray["X"]=1;

function _JS_GetObjectTotalSize($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZNK8JSObject18slotsAndStructSizeEv($3); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $4; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZNK8JSObject18slotsAndStructSizeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $ndslots;
      $1=$this;
      var $2=$1;
      $ndslots=0; //@line 440 "./jsobjinlines.h"
      var $3=__ZNK8JSObject12isDenseArrayEv($2); //@line 441 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 441 "./jsobjinlines.h"
    case 2: 
      var $5=__ZNK8JSObject24denseArrayHasInlineSlotsEv($2); //@line 442 "./jsobjinlines.h"
      if ($5) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 442 "./jsobjinlines.h"
    case 3: 
      var $7=__ZNK8JSObject8numSlotsEv($2); //@line 443 "./jsobjinlines.h"
      $ndslots=$7; //@line 443 "./jsobjinlines.h"
      __label__ = 4; break; //@line 443 "./jsobjinlines.h"
    case 4: 
      __label__ = 8; break; //@line 444 "./jsobjinlines.h"
    case 5: 
      var $10=(($2+32)|0); //@line 445 "./jsobjinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 445 "./jsobjinlines.h"
      var $12=(($11)|0)!=0; //@line 445 "./jsobjinlines.h"
      if ($12) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 445 "./jsobjinlines.h"
    case 6: 
      var $14=__ZNK8JSObject8numSlotsEv($2); //@line 446 "./jsobjinlines.h"
      var $15=__ZNK8JSObject13numFixedSlotsEv($2); //@line 446 "./jsobjinlines.h"
      var $16=(($14-$15)|0); //@line 446 "./jsobjinlines.h"
      $ndslots=$16; //@line 446 "./jsobjinlines.h"
      __label__ = 7; break; //@line 446 "./jsobjinlines.h"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $19=__ZNK8JSObject10structSizeEv($2); //@line 449 "./jsobjinlines.h"
      var $20=$ndslots; //@line 449 "./jsobjinlines.h"
      var $21=((($20<<3))|0); //@line 449 "./jsobjinlines.h"
      var $22=(($19+$21)|0); //@line 449 "./jsobjinlines.h"
      ;
      return $22; //@line 449 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetFunctionTotalSize($cx, $fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $nbytes;
      $1=$cx;
      $2=$fun;
      $nbytes=80; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $3=$1; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=$2; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=$4; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=_JS_GetObjectTotalSize($3, $5); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=$nbytes; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=(($7+$6)|0); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$8; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $9=$2; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=__ZNK10JSFunction13isInterpretedEv($9); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $12=$1; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=$2; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=__ZNK10JSFunction6scriptEv($13); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=_JS_GetScriptTotalSize($12, $14); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=$nbytes; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=(($16+$15)|0); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$17; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 3; break; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $19=$2; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=(($19+72)|0); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=(($21)|0)!=0; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $24=$1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=$2; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=(($25+72)|0); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=__ZL16GetAtomTotalSizeP9JSContextP6JSAtom($24, $27); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=$nbytes; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $30=(($29+$28)|0); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$30; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 5; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $32=$nbytes; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $32; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_UnsafeGetLastProfilingError() {
  ;
  var __label__;

  ;
  return ((__ZL10gLastError)|0); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_StartProfiling($profileName) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$profileName;
  $ok=1; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $2=$ok; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $2; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_StopProfiling($profileName) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$profileName;
  $ok=1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $2=$ok; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $2; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_DumpProfile($outfile, $profileName) {
  ;
  var __label__;

  var $1;
  var $2;
  var $ok;
  $1=$outfile;
  $2=$profileName;
  $ok=1; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=$ok; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $3; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_DumpBytecode($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$script;
  ;
  return; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZL16ControlProfilersb($toState) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $ok;
      var $2=(($toState)&1);
      $1=$2;
      $ok=1; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $3=HEAP8[(__ZN2js6Probes15ProfilingActiveE)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=(($3) & 1); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($4) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $6=$1; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=(($6) & 1); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      __label__ = 8; break; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $10=HEAP8[(__ZN2js6Probes15ProfilingActiveE)]; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=(($10) & 1); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $13=$1; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=(($13) & 1); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($14) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      __label__ = 7; break; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $18=$1; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=(($18) & 1); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=(($19)&1); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP8[(__ZN2js6Probes15ProfilingActiveE)]=$20; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$ok; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $21; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript7regexpsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 721 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 721 "./jsscript.h"
  var $5=(($2+18)|0); //@line 721 "./jsscript.h"
  var $6=HEAPU8[($5)]; //@line 721 "./jsscript.h"
  var $7=(($6)&255); //@line 721 "./jsscript.h"
  var $8=(($4+$7)|0); //@line 721 "./jsscript.h"
  var $9=$8; //@line 721 "./jsscript.h"
  ;
  return $9; //@line 721 "./jsscript.h"
}


function __ZNK8JSObject8isSystemEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 587 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 587 "./jsobj.h"
  var $5=$4 & 2; //@line 587 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 587 "./jsobj.h"
  var $7=$6 ^ 1; //@line 587 "./jsobj.h"
  var $8=$7 ^ 1; //@line 587 "./jsobj.h"
  ;
  return $8; //@line 587 "./jsobj.h"
}


function __ZN8JSObject9setSystemEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 588 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 588 "./jsobj.h"
  var $5=$4 | 2; //@line 588 "./jsobj.h"
  HEAP32[(($3)>>2)]=$5; //@line 588 "./jsobj.h"
  ;
  return; //@line 588 "./jsobj.h"
}


function _JS_GetGlobalDebugHooks($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=(($2+144148)|0); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $3; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function _BUILD_JSVAL1071($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZN2js10StackFrame15markReturnValueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1006 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1006 "./vm/Stack.h"
  var $5=$4 | 262144; //@line 1006 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 1006 "./vm/Stack.h"
  ;
  return; //@line 1007 "./vm/Stack.h"
}


function _JSVAL_IS_OBJECT_IMPL1072($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL1073($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZNK10JSFunction6nativeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 209 "./jsfun.h"
  var $4=$3; //@line 209 "./jsfun.h"
  var $5=(($4)|0); //@line 209 "./jsfun.h"
  var $6=HEAP32[(($5)>>2)]; //@line 209 "./jsfun.h"
  ;
  return $6; //@line 209 "./jsfun.h"
}


function __ZNK2js8Bindings15countLocalNamesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 202 "./jsscript.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 202 "./jsscript.h"
  var $5=(($4)&65535); //@line 202 "./jsscript.h"
  var $6=(($2+6)|0); //@line 202 "./jsscript.h"
  var $7=HEAPU16[(($6)>>1)]; //@line 202 "./jsscript.h"
  var $8=(($7)&65535); //@line 202 "./jsscript.h"
  var $9=(($5+$8)|0); //@line 202 "./jsscript.h"
  var $10=(($2+8)|0); //@line 202 "./jsscript.h"
  var $11=HEAPU16[(($10)>>1)]; //@line 202 "./jsscript.h"
  var $12=(($11)&65535); //@line 202 "./jsscript.h"
  var $13=(($9+$12)|0); //@line 202 "./jsscript.h"
  ;
  return $13; //@line 202 "./jsscript.h"
}


function _JS_GetScriptTotalSize($cx, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $nbytes;
      var $pbytes;
      var $sn;
      var $notes;
      var $objarray;
      var $principals;
      var $i;
      var $i1;
      var $i2;
      $1=$cx;
      $2=$script;
      $nbytes=104; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $3=$2; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=(($3+84)|0); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=$4; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=(($6)|0)!=0; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $9=$1; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $10=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=(($10+84)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $12=$11; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $14=_JS_GetObjectTotalSize($9, $13); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $15=$nbytes; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=(($15+$14)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$16; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 3; break; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $18=$2; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=(($18+8)|0); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=(($20)|0); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $22=$nbytes; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $23=(($22+$21)|0); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$23; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $24=$2; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $25=(($24+40)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $27=((($26<<2))|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $28=$nbytes; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $29=(($28+$27)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$29; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i=0; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $31=$i; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $32=$2; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $33=(($32+40)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $34=HEAPU32[(($33)>>2)]; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $35=(($31)>>>0) < (($34)>>>0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 5: 
      var $37=$1; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $38=$i; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $39=$2; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $40=(($39+56)|0); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $42=(($41+($38<<2))|0); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $44=__ZL16GetAtomTotalSizeP9JSContextP6JSAtom($37, $43); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $45=$nbytes; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $46=(($45+$44)|0); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$46; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 6; break; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 6: 
      var $48=$i; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $49=(($48+1)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i=$49; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 7: 
      var $51=$2; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $52=(($51+52)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $54=(($53)|0)!=0; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($54) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 8: 
      var $56=$2; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $57=(($56+52)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $59=_strlen($58); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $60=(($59+1)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $61=$nbytes; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $62=(($61+$60)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$62; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 9; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 9: 
      var $64=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $65=__ZN8JSScript5notesEv($64); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $notes=$65; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $66=$notes; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $sn=$66; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 10; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 10: 
      var $68=$sn; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $69=HEAPU8[($68)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $70=(($69)&255); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $71=(($70)|0)==0; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $72=$71 ^ 1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($72) { __label__ = 11; break; } else { __label__ = 19; break; } //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 11: 
      __label__ = 12; break; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 12: 
      var $75=$sn; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $76=$sn; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $77=HEAPU8[($76)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $78=(($77)&255); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $79=$78 >> 3; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $80=(($79)|0) >= 24; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($80) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 13: 
      var $88 = 24;__label__ = 15; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 14: 
      var $83=$sn; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $84=HEAPU8[($83)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $85=(($84)&255); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $86=$85 >> 3; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $88 = $86;__label__ = 15; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 15: 
      var $88; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $89=((_js_SrcNoteSpec+($88<<3))|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $90=(($89+4)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $91=HEAP8[($90)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $92=(($91 << 24) >> 24); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $93=(($92)|0)==0; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($93) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 16: 
      var $99 = 1;__label__ = 18; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 17: 
      var $96=$sn; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $97=_js_SrcNoteLength($96); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $99 = $97;__label__ = 18; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 18: 
      var $99; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $100=(($75+$99)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $sn=$100; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 10; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 19: 
      var $102=$sn; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $103=$notes; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $104=$102; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $105=$103; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $106=(($104-$105)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $107=(($106+1)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $108=(($107)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $109=$nbytes; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $110=(($109+$108)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$110; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $111=$2; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $112=(($111+16)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $113=HEAP8[($112)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $114=__ZN8JSScript13isValidOffsetEh($113); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($114) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 20: 
      var $116=$2; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $117=__ZN8JSScript7objectsEv($116); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $objarray=$117; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $118=$objarray; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $119=(($118+4)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i1=$120; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $121=$i1; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $122=((($121<<2))|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $123=(($122+8)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $124=$nbytes; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $125=(($124+$123)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$125; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 21; break; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 21: 
      var $127=$1; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $128=$i1; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $129=(($128-1)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i1=$129; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $130=$objarray; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $131=(($130)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $133=(($132+($129<<2))|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $135=_JS_GetObjectTotalSize($127, $134); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $136=$nbytes; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $137=(($136+$135)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$137; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 22; break; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 22: 
      var $139=$i1; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $140=(($139)|0)!=0; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($140) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 23: 
      __label__ = 24; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 24: 
      var $143=$2; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $144=(($143+18)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $145=HEAP8[($144)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $146=__ZN8JSScript13isValidOffsetEh($145); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($146) { __label__ = 25; break; } else { __label__ = 29; break; } //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 25: 
      var $148=$2; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $149=__ZN8JSScript7regexpsEv($148); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $objarray=$149; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $150=$objarray; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $151=(($150+4)|0); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i2=$152; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $153=$i2; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $154=((($153<<2))|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $155=(($154+8)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $156=$nbytes; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $157=(($156+$155)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$157; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 26; break; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 26: 
      var $159=$1; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $160=$i2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $161=(($160-1)|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $i2=$161; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $162=$objarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $163=(($162)|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $165=(($164+($161<<2))|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $167=_JS_GetObjectTotalSize($159, $166); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $168=$nbytes; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $169=(($168+$167)|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$169; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 27; break; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 27: 
      var $171=$i2; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $172=(($171)|0)!=0; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($172) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 28: 
      __label__ = 29; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 29: 
      var $175=$2; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $176=(($175+19)|0); //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $177=HEAP8[($176)]; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $178=__ZN8JSScript13isValidOffsetEh($177); //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($178) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 30: 
      var $180=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $181=__ZN8JSScript8trynotesEv($180); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $182=(($181+4)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $184=(($183*12)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $185=(($184+8)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $186=$nbytes; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $187=(($186+$185)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$187; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 31; break; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 31: 
      var $189=$2; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $190=(($189+76)|0); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $principals=$191; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $192=$principals; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $193=(($192)|0)!=0; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($193) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 32: 
      $pbytes=24; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $195=$principals; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $196=(($195+12)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $198=(($197)|0) > 1; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($198) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 33: 
      var $200=$pbytes; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $201=$principals; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $202=(($201+12)|0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $204=(($200+$203)|0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $205=(($204-1)|0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $206=$principals; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $207=(($206+12)|0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $208=HEAPU32[(($207)>>2)]; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $209=Math.floor((($205)>>>0)/(($208)>>>0)); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $pbytes=$209; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 34; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 34: 
      var $211=$pbytes; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $212=$nbytes; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $213=(($212+$211)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $nbytes=$213; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 35; break; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 35: 
      var $215=$nbytes; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $215; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetScriptTotalSize["X"]=1;

function __ZL16GetAtomTotalSizeP9JSContextP6JSAtom($cx, $atom) {
  ;
  var __label__;

  var $1;
  var $2;
  var $nbytes;
  $1=$cx;
  $2=$atom;
  $nbytes=12; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=$nbytes; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3+16)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  $nbytes=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=$2; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $6=$5; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=__ZNK8JSString6lengthEv($6); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=(($7+1)|0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=((($8<<1))|0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $10=$nbytes; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $11=(($10+$9)|0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  $nbytes=$11; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $12=$nbytes; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $12; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_IsSystemObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=__ZNK8JSObject8isSystemEv($3); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=(($4)&1); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $5; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_MakeSystemObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN8JSObject9setSystemEv($3); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _js_RevertVersion($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN9JSContext20clearVersionOverrideEv($2); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_SetContextDebugHooks($cx, $hooks) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $old;
      $1=$cx;
      $2=$hooks;
      var $3=$2; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $4=$1; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $5=(($4+52)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $7=(($6+144148)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $8=(($3)|0)!=(($7)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 2: 
      var $10=$2; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $11=(($10)|0)!=((_js_NullDebugHooks)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 3: 
      var $13=$1; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __ZN2js10LeaveTraceEP9JSContext($13); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      __label__ = 4; break; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    case 4: 
      var $15=$1; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $16=(($15+200)|0); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      $old=$17; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $18=$2; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $19=$1; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $20=(($19+200)|0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      HEAP32[(($20)>>2)]=$18; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      var $21=$old; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
      ;
      return $21; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ClearContextDebugHooks($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=_JS_SetContextDebugHooks($2, _js_NullDebugHooks); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $3; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_PauseProfilers($profileName) {
  ;
  var __label__;

  var $1;
  $1=$profileName;
  var $2=__ZL16ControlProfilersb(0); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $2; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_ResumeProfilers($profileName) {
  ;
  var __label__;

  var $1;
  $1=$profileName;
  var $2=__ZL16ControlProfilersb(1); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return $2; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_DefineProfilingFunctions($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$1; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=$2; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($3, $4); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return 1; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _JS_DumpCompartmentBytecode($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $3=$1; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $4=(($3+56)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  __ZN2js12IterateCellsEP9JSContextP13JSCompartmentNS_2gc9AllocKindEPvPFvS1_S6_S6_13JSGCTraceKindjE($2, $5, 13, 0, 96); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function __ZL26DumpBytecodeScriptCallbackP9JSContextPvS1_13JSGCTraceKindj($cx, $data, $thing, $traceKind, $thingSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $script;
  $1=$cx;
  $2=$data;
  $3=$thing;
  $4=$traceKind;
  $5=$thingSize;
  var $6=$3; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $7=$6; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  $script=$7; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $8=$1; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  var $9=$script; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  _JS_DumpBytecode($8, $9); //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
  ;
  return; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdbgapi.cpp"
}


function _js_free1069($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js13WatchpointMapC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13WatchpointMapC2Ev($2); //@line 72 "./jswatchpoint.h"
  ;
  return; //@line 72 "./jswatchpoint.h"
}


function __ZN2js13WatchpointMapC2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 72 "./jswatchpoint.h"
  __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES5_($4, $2); //@line 72 "./jswatchpoint.h"
  STACKTOP = __stackBase__;
  return; //@line 72 "./jswatchpoint.h"
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function _js_malloc1070($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject10structSizeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject10isFunctionEv($2); //@line 432 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 432 "./jsobjinlines.h"
    case 2: 
      var $5=__ZNK8JSObject10getPrivateEv($2); //@line 432 "./jsobjinlines.h"
      var $6=(($5)|0)!=0; //@line 432 "./jsobjinlines.h"
      if ($6) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 432 "./jsobjinlines.h"
    case 3: 
      var $13 = 80;__label__ = 5; break; //@line 432 "./jsobjinlines.h"
    case 4: 
      var $9=__ZNK8JSObject13numFixedSlotsEv($2); //@line 434 "./jsobjinlines.h"
      var $10=((($9<<3))|0); //@line 434 "./jsobjinlines.h"
      var $11=(($10+40)|0); //@line 434 "./jsobjinlines.h"
      var $13 = $11;__label__ = 5; break; //@line 434 "./jsobjinlines.h"
    case 5: 
      var $13; //@line 434 "./jsobjinlines.h"
      ;
      return $13; //@line 434 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5Shape10entryCountEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $shape;
      var $count;
      var $r=__stackBase__;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js5Shape8hasTableEv($3); //@line 617 "./jsscope.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 617 "./jsscope.h"
    case 2: 
      var $6=__ZNK2js5Shape8getTableEv($3); //@line 618 "./jsscope.h"
      var $7=(($6+4)|0); //@line 618 "./jsscope.h"
      var $8=HEAP32[(($7)>>2)]; //@line 618 "./jsscope.h"
      $1=$8; //@line 618 "./jsscope.h"
      __label__ = 8; break; //@line 618 "./jsscope.h"
    case 3: 
      $shape=$3; //@line 620 "./jsscope.h"
      $count=0; //@line 621 "./jsscope.h"
      var $10=$shape; //@line 622 "./jsscope.h"
      __ZNK2js5Shape3allEv($r, $10); //@line 622 "./jsscope.h"
      __label__ = 4; break; //@line 622 "./jsscope.h"
    case 4: 
      var $12=__ZNK2js5Shape5Range5emptyEv($r); //@line 622 "./jsscope.h"
      var $13=$12 ^ 1; //@line 622 "./jsscope.h"
      if ($13) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 622 "./jsscope.h"
    case 5: 
      var $15=$count; //@line 623 "./jsscope.h"
      var $16=(($15+1)|0); //@line 623 "./jsscope.h"
      $count=$16; //@line 623 "./jsscope.h"
      __label__ = 6; break; //@line 623 "./jsscope.h"
    case 6: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 622 "./jsscope.h"
      __label__ = 4; break; //@line 622 "./jsscope.h"
    case 7: 
      var $19=$count; //@line 624 "./jsscope.h"
      $1=$19; //@line 624 "./jsscope.h"
      __label__ = 8; break; //@line 624 "./jsscope.h"
    case 8: 
      var $21=$1; //@line 625 "./jsscope.h"
      STACKTOP = __stackBase__;
      return $21; //@line 625 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DHashGetStubOps() {
  ;
  var __label__;

  ;
  return __ZL8stub_ops; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function __ZL14JSID_FROM_BITSj1090($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _JS_DHashFinalizeStub($table) {
  ;
  var __label__;

  var $1;
  $1=$table;
  ;
  return; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function _JSID_IS_STRING1077($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING1078($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _JSID_TO_STRING1080($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_TO_INT1082($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_OBJECT1083($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT1085($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function _JS_DHashVoidPtrKeyStub($table, $key) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$table;
  $2=$key;
  var $3=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $4=$3; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $5=$4 >>> 2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  ;
  return $5; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function _OBJECT_TO_JSVAL_IMPL1086($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL1087($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL1088($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL1091($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL1092($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 642 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 642 "./jshashtable.h"
  var $5=(($4)|0)!=0; //@line 642 "./jshashtable.h"
  var $6=$5 ^ 1; //@line 642 "./jshashtable.h"
  ;
  return $6; //@line 642 "./jshashtable.h"
}


function __ZNK2js10StackFrame11hasHookDataEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 980 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 980 "./vm/Stack.h"
  var $5=$4 & 65536; //@line 980 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 980 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 980 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 980 "./vm/Stack.h"
  ;
  return $8; //@line 980 "./vm/Stack.h"
}


function _JS_DHashStringKey($table, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $h;
      var $s;
      $1=$table;
      $2=$key;
      $h=0; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $3=$2; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $s=$3; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 2; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      var $5=$s; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $6=HEAPU8[($5)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6)&255); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=(($7)|0)!=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $10=$h; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=$10 << 4; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=$h; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=$12 >>> 28; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=$11 | $13; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=$s; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=HEAPU8[($15)]; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=(($16)&255); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=$14 ^ $17; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $h=$18; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 4; break; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $20=$s; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=(($20+1)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $s=$21; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 2; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $23=$h; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return $23; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DHashMatchEntryStub($table, $entry, $key) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $stub;
  $1=$table;
  $2=$entry;
  $3=$key;
  var $4=$2; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $5=$4; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  $stub=$5; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $6=$stub; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $7=(($6+4)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $9=$3; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $10=(($8)|0)==(($9)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $11=(($10)&1); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  ;
  return $11; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1074($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1075($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1076($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1074["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj1075($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1076($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2JSL11StringValueEP8JSString1079($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2JSL10Int32ValueEi1081($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2JSL11ObjectValueER8JSObject1084($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZL12ATOM_TO_JSIDP6JSAtom1089($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj1090($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2JSL9NullValueEv1093($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1121 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5emptyEv($3); //@line 1121 "./jshashtable.h"
  ;
  return $4; //@line 1121 "./jshashtable.h"
}


function _JS_DHashAllocTable($table, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$table;
  $2=$nbytes;
  var $3=$2; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $4=__ZN2js11OffTheBooks7malloc_Ej($3); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  ;
  return $4; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function _JS_DHashFreeTable($table, $ptr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$table;
  $2=$ptr;
  var $3=$2; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  __ZN2js10Foreground5free_EPv($3); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  ;
  return; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function _JS_DHashMatchStringKey($table, $entry, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stub;
      $1=$table;
      $2=$entry;
      $3=$key;
      var $4=$2; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $5=$4; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $stub=$5; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $6=$stub; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6+4)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=$3; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=(($8)|0)==(($9)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($10) { var $29 = 1;__label__ = 6; break; } else { __label__ = 2; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      var $12=$stub; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=(($12+4)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=(($14)|0)!=0; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($15) { __label__ = 3; break; } else { var $27 = 0;__label__ = 5; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $17=$3; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=(($17)|0)!=0; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($18) { __label__ = 4; break; } else { var $27 = 0;__label__ = 5; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $20=$stub; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=(($20+4)|0); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $23=$3; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $24=_strcmp($22, $23); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $25=(($24)|0)==0; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $27 = $25;__label__ = 5; break;
    case 5: 
      var $27;
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      var $30=(($29)&1);
      ;
      return $30; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DHashMoveEntryStub($table, $from, $to) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$table;
  $2=$from;
  $3=$to;
  var $4=$3; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $5=$4; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $6=$2; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $7=$6; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $8=$1; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $9=(($8+12)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  assert($10 % 1 === 0, 'memcpy given ' + $10 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($5, $7, $10, 1); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  ;
  return; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function _JS_DHashClearEntryStub($table, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$table;
  $2=$entry;
  var $3=$2; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $4=$3; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $5=$1; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $6=(($5+12)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  _memset($4, 0, $7, 1); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  ;
  return; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function _JS_DHashFreeStringKey($table, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  var $stub;
  $1=$table;
  $2=$entry;
  var $3=$2; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $4=$3; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  $stub=$4; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $5=$stub; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $6=(($5+4)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  __ZN2js10Foreground5free_EPv($7); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $8=$2; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $9=$8; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $10=$1; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $11=(($10+12)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  _memset($9, 0, $12, 1); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  ;
  return; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function _JS_NewDHashTable($ops, $data, $entrySize, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $table;
      $2=$ops;
      $3=$data;
      $4=$entrySize;
      $5=$capacity;
      var $6=__ZN2js11OffTheBooks7malloc_Ej(32); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=$6; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $table=$7; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=$table; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=(($8)|0)!=0; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      $1=0; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 6; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $12=$table; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=$3; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=$4; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=$5; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=_JS_DHashTableInit($12, $13, $14, $15, $16); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=(($17)|0)!=0; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $20=$table; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=$20; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __ZN2js10Foreground5free_EPv($21); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=0; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 6; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $23=$table; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=$23; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 6; break; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 6: 
      var $25=$1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return $25; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_DHashTableInit($table, $ops, $data, $entrySize, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $log2;
      var $nbytes;
      var $j_;
      $2=$table;
      $3=$ops;
      $4=$data;
      $5=$entrySize;
      $6=$capacity;
      var $7=$3; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=$2; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=(($8)|0); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($9)>>2)]=$7; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=$4; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=$2; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=(($11+4)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($12)>>2)]=$10; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=$6; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=(($13)>>>0) < 16; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      $6=16; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 3; break; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      __label__ = 4; break; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $18=$6; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $j_=$18; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $19=$j_; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $20=(($19)>>>0) <= 1; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $28 = 0;__label__ = 7; break; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 6: 
      var $23=$j_; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $24=(($23-1)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $25=_llvm_ctlz_i32($24); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $26=((32-$25)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $28 = $26;__label__ = 7; break; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 7: 
      var $28; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $log2=$28; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 8; break; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 8: 
      var $30=$log2; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $31=1 << $30; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $6=$31; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $32=$6; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $33=(($32)>>>0) >= 16777216; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 9: 
      $1=0; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 13; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 10: 
      var $36=$log2; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $37=((32-$36)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $38=(($37) & 65535); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $39=$2; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $40=(($39+8)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP16[(($40)>>1)]=$38; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $41=$2; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $42=(($41+10)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP8[($42)]=-64; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $43=$2; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $44=(($43+11)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP8[($44)]=64; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $45=$5; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $46=$2; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $47=(($46+12)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($47)>>2)]=$45; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $48=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $49=(($48+20)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($49)>>2)]=0; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $50=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $51=(($50+16)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($51)>>2)]=0; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $52=$2; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $53=(($52+24)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($53)>>2)]=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $54=$6; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $55=$5; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $56=(($54*$55)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $nbytes=$56; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $57=$3; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $58=(($57)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $59=$58; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $61=$2; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $62=$nbytes; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $63=(($62)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $64=FUNCTION_TABLE[$60]($61, $63); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $65=$2; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $66=(($65+28)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($66)>>2)]=$64; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $67=$2; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $68=(($67+28)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $70=(($69)|0)!=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($70) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 11: 
      $1=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 13; break; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 12: 
      var $73=$2; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $74=(($73+28)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $76=$nbytes; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      _memset($75, 0, $76, 1); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=1; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 13; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 13: 
      var $78=$1; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return $78; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DHashTableInit["X"]=1;

function _JS_DHashTableDestroy($table) {
  ;
  var __label__;

  var $1;
  $1=$table;
  var $2=$1; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  _JS_DHashTableFinish($2); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $3=$1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  var $4=$3; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  __ZN2js10Foreground5free_EPv($4); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
  ;
  return; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
}


function _JS_DHashTableFinish($table) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $entryAddr;
      var $entryLimit;
      var $entrySize;
      var $entry;
      $1=$table;
      __label__ = 2; break; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      __label__ = 3; break; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $4=$1; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $5=(($4)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6+24)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=$1; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      FUNCTION_TABLE[$8]($9); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=$1; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=(($10+28)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entryAddr=$12; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=$1; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=(($13+12)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entrySize=$15; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=$entryAddr; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=$1; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=(($17+8)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $19=HEAP16[(($18)>>1)]; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $20=(($19 << 16) >> 16); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=((32-$20)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $22=1 << $21; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $23=$entrySize; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $24=(($22*$23)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $25=(($16+$24)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entryLimit=$25; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 4; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $27=$entryAddr; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $28=$entryLimit; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $29=(($27)>>>0) < (($28)>>>0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $31=$entryAddr; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $32=$31; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$32; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $33=$entry; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $34=(($33)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $35=HEAPU32[(($34)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $36=(($35)>>>0) >= 2; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 6: 
      var $38=$1; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $39=(($38)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $41=(($40+20)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $43=$1; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $44=$entry; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      FUNCTION_TABLE[$42]($43, $44); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 7; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 7: 
      var $46=$entrySize; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $47=$entryAddr; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $48=(($47+$46)|0); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entryAddr=$48; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 4; break; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 8: 
      __label__ = 9; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 9: 
      __label__ = 10; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 10: 
      var $52=$1; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $53=(($52)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $55=(($54+4)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $57=$1; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $58=$1; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $59=(($58+28)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      FUNCTION_TABLE[$56]($57, $60); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DHashTableFinish["X"]=1;

function _JS_DHashTableSetAlphaBounds($table, $maxAlpha, $minAlpha) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      $1=$table;
      $2=$maxAlpha;
      $3=$minAlpha;
      var $4=$2; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $5=$4; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $6=$5 < 0.5; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($6) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      var $8=$2; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=1 <= $8; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $11=$3; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=$11 < 0; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      __label__ = 13; break; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $15=$2; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=$15*16; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=16-$16; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=$17 < 1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 6: 
      $2=0.9375; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 7; break; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 7: 
      var $21=$3; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $22=$2; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $23=$22/2; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $24=$21 >= $23; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 8: 
      var $26=$1; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $27=(($26+8)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $28=HEAP16[(($27)>>1)]; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $29=(($28 << 16) >> 16); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $30=((32-$29)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $31=1 << $30; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $size=$31; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $32=$size; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $33=(($32)>>>0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $34=$2; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $35=$33*$34; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $36=$size; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $37=Math.floor((($36)>>>0)/256); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $38=(($37)>>>0) > 1; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 9: 
      var $40=$size; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $41=Math.floor((($40)>>>0)/256); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $44 = $41;__label__ = 11; break; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 10: 
      var $44 = 1;__label__ = 11; break; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 11: 
      var $44; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $45=(($44)>>>0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $46=$35-$45; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $47=$size; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $48=((($47<<1))|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $49=(($48)>>>0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $50=$46/$49; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $3=$50; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 12; break; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 12: 
      var $52=$2; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $53=$52*256; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $54=($53 >= 0 ? Math.floor($53) : Math.ceil($53)); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $55=$1; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $56=(($55+10)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP8[($56)]=$54; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $57=$3; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $58=$57*256; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $59=($58 >= 0 ? Math.floor($58) : Math.ceil($58)); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $60=$1; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $61=(($60+11)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP8[($61)]=$59; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 13; break; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 13: 
      ;
      return; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DHashTableSetAlphaBounds["X"]=1;

function _JS_DHashTableOperate($table, $key, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $keyHash;
      var $entry;
      var $size;
      var $deltaLog2;
      $1=$table;
      $2=$key;
      $3=$op;
      __label__ = 2; break; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      __label__ = 3; break; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $6=$1; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6)|0); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=(($8+8)|0); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=$1; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=$2; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=FUNCTION_TABLE[$10]($11, $12); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $keyHash=$13; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=$keyHash; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=(($14*-1640531527)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $keyHash=$15; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=$keyHash; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=(($16)>>>0) < 2; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $19=$keyHash; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $20=(($19-2)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $keyHash=$20; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 6; break; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $23=$keyHash; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $24=$23 & -2; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $keyHash=$24; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $25=$3; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ((($25)|0) == 0) {
        __label__ = 7; break;
      }
      else if ((($25)|0) == 1) {
        __label__ = 8; break;
      }
      else if ((($25)|0) == 2) {
        __label__ = 24; break;
      }
      else {
      __label__ = 30; break;
      }
      
    case 7: 
      var $27=$1; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $28=$2; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $29=$keyHash; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $30=$3; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $31=__ZL11SearchTableP12JSDHashTablePKvj15JSDHashOperator($27, $28, $29, $30); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$31; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 31; break; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 8: 
      var $33=$1; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $34=(($33+8)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $35=HEAP16[(($34)>>1)]; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $36=(($35 << 16) >> 16); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $37=((32-$36)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $38=1 << $37; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $size=$38; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $39=$1; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $40=(($39+16)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $42=$1; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $43=(($42+20)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $45=(($41+$44)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $46=$1; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $47=(($46+10)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $48=HEAPU8[($47)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $49=(($48)&255); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $50=$size; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $51=(($49*$50)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $52=$51 >>> 8; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $53=(($45)>>>0) >= (($52)>>>0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($53) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 9: 
      var $55=$1; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $56=(($55+20)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $57=HEAPU32[(($56)>>2)]; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $58=$size; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $59=$58 >>> 2; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $60=(($57)>>>0) >= (($59)>>>0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($60) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 10: 
      $deltaLog2=0; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 12; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 11: 
      $deltaLog2=1; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 12; break;
    case 12: 
      var $64=$1; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $65=$deltaLog2; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $66=__ZL11ChangeTableP12JSDHashTablei($64, $65); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $67=(($66)|0)!=0; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 13: 
      var $69=$1; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $70=(($69+16)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $72=$1; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $73=(($72+20)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $75=(($71+$74)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $76=$size; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $77=(($76-1)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $78=(($75)|0)==(($77)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($78) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 14: 
      $entry=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 31; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 15: 
      __label__ = 16; break; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 16: 
      var $82=$1; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $83=$2; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $84=$keyHash; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $85=$3; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $86=__ZL11SearchTableP12JSDHashTablePKvj15JSDHashOperator($82, $83, $84, $85); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$86; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $87=$entry; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $88=(($87)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $89=HEAPU32[(($88)>>2)]; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $90=(($89)>>>0) >= 2; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($90) { __label__ = 23; break; } else { __label__ = 17; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 17: 
      var $92=$entry; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $93=(($92)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $95=(($94)|0)==1; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($95) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 18: 
      var $97=$1; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $98=(($97+20)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $100=(($99-1)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($98)>>2)]=$100; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $101=$keyHash; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $102=$101 | 1; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $keyHash=$102; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 19; break; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 19: 
      var $104=$1; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $105=(($104)|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $107=(($106+28)|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $109=(($108)|0)!=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($109) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 20: 
      var $111=$1; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $112=(($111)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $114=(($113+28)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $116=$1; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $117=$entry; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $118=$2; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $119=FUNCTION_TABLE[$115]($116, $117, $118); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $120=(($119)|0)!=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($120) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 21: 
      var $122=$entry; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $123=(($122+4)|0); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $124=$123; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $125=$1; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $126=(($125+12)|0); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $128=(($127-4)|0); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      _memset($124, 0, $128, 1); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=0; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 31; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 22: 
      var $130=$keyHash; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $131=$entry; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $132=(($131)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($132)>>2)]=$130; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $133=$1; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $134=(($133+16)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $136=(($135+1)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($134)>>2)]=$136; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 23; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 23: 
      __label__ = 31; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 24: 
      var $139=$1; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $140=$2; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $141=$keyHash; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $142=$3; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $143=__ZL11SearchTableP12JSDHashTablePKvj15JSDHashOperator($139, $140, $141, $142); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$143; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $144=$entry; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $145=(($144)|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $146=HEAPU32[(($145)>>2)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $147=(($146)>>>0) >= 2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($147) { __label__ = 25; break; } else { __label__ = 29; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 25: 
      var $149=$1; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $150=$entry; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      _JS_DHashTableRawRemove($149, $150); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $151=$1; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $152=(($151+8)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $153=HEAP16[(($152)>>1)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $154=(($153 << 16) >> 16); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $155=((32-$154)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $156=1 << $155; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $size=$156; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $157=$size; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $158=(($157)>>>0) > 16; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($158) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 26: 
      var $160=$1; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $161=(($160+16)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $162=HEAPU32[(($161)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $163=$1; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $164=(($163+11)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $165=HEAPU8[($164)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $166=(($165)&255); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $167=$size; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $168=(($166*$167)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $169=$168 >>> 8; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $170=(($162)>>>0) <= (($169)>>>0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($170) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 27: 
      var $172=$1; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $173=__ZL11ChangeTableP12JSDHashTablei($172, -1); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 28; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 28: 
      __label__ = 29; break; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 29: 
      $entry=0; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 31; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 30: 
      $entry=0; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 31; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 31: 
      __label__ = 32; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 32: 
      __label__ = 33; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 33: 
      var $180=$entry; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return $180; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DHashTableOperate["X"]=1;

function __ZL11SearchTableP12JSDHashTablePKvj15JSDHashOperator($table, $key, $keyHash, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $hash1;
      var $hash2;
      var $hashShift;
      var $sizeLog2;
      var $entry;
      var $firstRemoved;
      var $matchEntry;
      var $sizeMask;
      $2=$table;
      $3=$key;
      $4=$keyHash;
      $5=$op;
      var $6=$2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6+8)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=HEAP16[(($7)>>1)]; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=(($8 << 16) >> 16); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hashShift=$9; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=$4; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=$hashShift; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=$10 >>> (($11)>>>0); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hash1=$12; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=$2; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=(($13+28)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=$hash1; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=$2; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=(($17+12)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $20=(($16*$19)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=(($15+$20)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $22=$21; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$22; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $23=$entry; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $24=(($23)|0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $26=(($25)|0)==0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($26) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      var $28=$entry; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=$28; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 22; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $30=$2; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $31=(($30)|0); //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $33=(($32+12)|0); //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $matchEntry=$34; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $35=$entry; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $36=(($35)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $38=$37 & -2; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $39=$4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $40=(($38)|0)==(($39)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($40) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $42=$matchEntry; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $43=$2; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $44=$entry; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $45=$3; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $46=FUNCTION_TABLE[$42]($43, $44, $45); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $47=(($46)|0)!=0; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($47) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $49=$entry; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=$49; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 22; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 6: 
      var $51=$2; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $52=(($51+8)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $53=HEAP16[(($52)>>1)]; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $54=(($53 << 16) >> 16); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $55=((32-$54)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $sizeLog2=$55; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $56=$4; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $57=$sizeLog2; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $58=$56 << $57; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $59=$hashShift; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $60=$58 >>> (($59)>>>0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $61=$60 | 1; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hash2=$61; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $62=$sizeLog2; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $63=1 << $62; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $64=(($63-1)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $sizeMask=$64; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $firstRemoved=0; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 7; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 7: 
      var $66=$entry; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $67=(($66)|0); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $69=(($68)|0)==1; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($69) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 8: 
      var $71=$firstRemoved; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $72=(($71)|0)!=0; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($72) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 9: 
      var $74=$entry; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $firstRemoved=$74; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 10; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 10: 
      __label__ = 14; break; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 11: 
      var $77=$5; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $78=(($77)|0)==1; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($78) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 12: 
      var $80=$entry; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $81=(($80)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $83=$82 | 1; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($81)>>2)]=$83; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 13; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $86=$hash2; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $87=$hash1; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $88=(($87-$86)|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hash1=$88; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $89=$sizeMask; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $90=$hash1; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $91=$90 & $89; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hash1=$91; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $92=$2; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $93=(($92+28)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $95=$hash1; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $96=$2; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $97=(($96+12)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $99=(($95*$98)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $100=(($94+$99)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $101=$100; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$101; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $102=$entry; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $103=(($102)|0); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $105=(($104)|0)==0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($105) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 15: 
      var $107=$firstRemoved; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $108=(($107)|0)!=0; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($108) { __label__ = 16; break; } else { var $113 = 0;__label__ = 17; break; } //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 16: 
      var $110=$5; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $111=(($110)|0)==1; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $113 = $111;__label__ = 17; break;
    case 17: 
      var $113;
      var $114=$firstRemoved;
      var $115=$entry;
      var $116=$113 ? $114 : $115;
      $1=$116;
      __label__ = 22; break;
    case 18: 
      var $118=$entry; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $119=(($118)|0); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $121=$120 & -2; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $122=$4; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $123=(($121)|0)==(($122)|0); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($123) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 19: 
      var $125=$matchEntry; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $126=$2; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $127=$entry; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $128=$3; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $129=FUNCTION_TABLE[$125]($126, $127, $128); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $130=(($129)|0)!=0; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($130) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 20: 
      var $132=$entry; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=$132; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 22; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 21: 
      __label__ = 7; break; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 22: 
      var $135=$1; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return $135; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11SearchTableP12JSDHashTablePKvj15JSDHashOperator["X"]=1;

function __ZL11ChangeTableP12JSDHashTablei($table, $deltaLog2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldLog2;
      var $newLog2;
      var $oldCapacity;
      var $newCapacity;
      var $newEntryStore;
      var $oldEntryStore;
      var $oldEntryAddr;
      var $entrySize;
      var $i;
      var $nbytes;
      var $oldEntry;
      var $newEntry;
      var $moveEntry;
      $2=$table;
      $3=$deltaLog2;
      var $4=$2; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $5=(($4+8)|0); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $6=HEAP16[(($5)>>1)]; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6 << 16) >> 16); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=((32-$7)|0); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $oldLog2=$8; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=$oldLog2; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=$3; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=(($9+$10)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $newLog2=$11; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=$oldLog2; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=1 << $12; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $oldCapacity=$13; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=$newLog2; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=1 << $14; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $newCapacity=$15; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=$newCapacity; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=(($16)>>>0) >= 16777216; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      $1=0; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 12; break; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $20=$2; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=(($20+12)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entrySize=$22; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $23=$newCapacity; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $24=$entrySize; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $25=(($23*$24)|0); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $nbytes=$25; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $26=$2; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $27=(($26)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $29=(($28)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $30=$29; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $32=$2; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $33=$nbytes; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $34=(($33)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $35=FUNCTION_TABLE[$31]($32, $34); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $newEntryStore=$35; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $36=$newEntryStore; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $37=(($36)|0)!=0; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($37) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      $1=0; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 12; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $40=$newLog2; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $41=((32-$40)|0); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $42=(($41) & 65535); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $43=$2; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $44=(($43+8)|0); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP16[(($44)>>1)]=$42; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $45=$2; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $46=(($45+20)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($46)>>2)]=0; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $47=$2; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $48=(($47+24)|0); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $50=(($49+1)|0); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $51=$newEntryStore; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $52=$nbytes; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      _memset($51, 0, $52, 1); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $53=$2; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $54=(($53+28)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $oldEntryStore=$55; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $oldEntryAddr=$55; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $56=$newEntryStore; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $57=$2; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $58=(($57+28)|0); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $59=$2; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $60=(($59)|0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $62=(($61+16)|0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $moveEntry=$63; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $i=0; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 6; break; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 6: 
      var $65=$i; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $66=$oldCapacity; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $67=(($65)>>>0) < (($66)>>>0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($67) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 7: 
      var $69=$oldEntryAddr; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $70=$69; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $oldEntry=$70; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $71=$oldEntry; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $72=(($71)|0); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $73=HEAPU32[(($72)>>2)]; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $74=(($73)>>>0) >= 2; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($74) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 8: 
      var $76=$oldEntry; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $77=(($76)|0); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $79=$78 & -2; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($77)>>2)]=$79; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $80=$2; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $81=$oldEntry; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $82=(($81)|0); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $84=__ZL13FindFreeEntryP12JSDHashTablej($80, $83); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $newEntry=$84; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $85=$moveEntry; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $86=$2; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $87=$oldEntry; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $88=$newEntry; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      FUNCTION_TABLE[$85]($86, $87, $88); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $89=$oldEntry; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $90=(($89)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $92=$newEntry; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $93=(($92)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($93)>>2)]=$91; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 9; break; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 9: 
      var $95=$entrySize; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $96=$oldEntryAddr; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $97=(($96+$95)|0); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $oldEntryAddr=$97; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 10; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 10: 
      var $99=$i; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $100=(($99+1)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $i=$100; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 6; break; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 11: 
      var $102=$2; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $103=(($102)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $105=(($104+4)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $107=$2; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $108=$oldEntryStore; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      FUNCTION_TABLE[$106]($107, $108); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=1; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 12; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 12: 
      var $110=$1; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return $110; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11ChangeTableP12JSDHashTablei["X"]=1;

function _JS_DHashTableRawRemove($table, $entry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $keyHash;
      $1=$table;
      $2=$entry;
      var $3=$2; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $4=(($3)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $keyHash=$5; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $6=$1; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=(($8+20)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=$1; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=$2; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      FUNCTION_TABLE[$10]($11, $12); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=$keyHash; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=$13 & 1; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=(($14)|0)!=0; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      var $17=$2; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=(($17)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($18)>>2)]=1; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $19=$1; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $20=(($19+20)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $22=(($21+1)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($20)>>2)]=$22; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 4; break; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $24=$2; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $25=(($24)|0); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($25)>>2)]=0; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 4; break;
    case 4: 
      var $27=$1; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $28=(($27+16)|0); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $30=(($29-1)|0); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($28)>>2)]=$30; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13FindFreeEntryP12JSDHashTablej($table, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $hash1;
      var $hash2;
      var $hashShift;
      var $sizeLog2;
      var $entry;
      var $sizeMask;
      $2=$table;
      $3=$keyHash;
      var $4=$2; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $5=(($4+8)|0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $6=HEAP16[(($5)>>1)]; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6 << 16) >> 16); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hashShift=$7; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=$3; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=$hashShift; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=$8 >>> (($9)>>>0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hash1=$10; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=$2; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=(($11+28)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=$hash1; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=$2; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=(($15+12)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=(($14*$17)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $19=(($13+$18)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $20=$19; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$20; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=$entry; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $22=(($21)|0); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $24=(($23)|0)==0; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($24) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      var $26=$entry; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=$26; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 7; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $28=$2; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $29=(($28+8)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $30=HEAP16[(($29)>>1)]; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $31=(($30 << 16) >> 16); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $32=((32-$31)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $sizeLog2=$32; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $33=$3; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $34=$sizeLog2; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $35=$33 << $34; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $36=$hashShift; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $37=$35 >>> (($36)>>>0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $38=$37 | 1; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hash2=$38; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $39=$sizeLog2; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $40=1 << $39; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $41=(($40-1)|0); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $sizeMask=$41; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 4; break; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $43=$entry; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $44=(($43)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $46=$45 | 1; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      HEAP32[(($44)>>2)]=$46; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $47=$hash2; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $48=$hash1; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $49=(($48-$47)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hash1=$49; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $50=$sizeMask; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $51=$hash1; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $52=$51 & $50; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $hash1=$52; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $53=$2; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $54=(($53+28)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $56=$hash1; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $57=$2; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $58=(($57+12)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $60=(($56*$59)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $61=(($55+$60)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $62=$61; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$62; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $63=$entry; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $64=(($63)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $66=(($65)|0)==0; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($66) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $68=$entry; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $1=$68; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 7; break; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 6: 
      __label__ = 4; break; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 7: 
      var $71=$1; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return $71; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13FindFreeEntryP12JSDHashTablej["X"]=1;

function _JS_DHashTableEnumerate($table, $etor, $arg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $entryAddr;
      var $entryLimit;
      var $i;
      var $capacity;
      var $entrySize;
      var $ceiling;
      var $didRemove;
      var $entry;
      var $op;
      var $j_;
      $1=$table;
      $2=$etor;
      $3=$arg;
      __label__ = 2; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 2: 
      __label__ = 3; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 3: 
      var $6=$1; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $7=(($6+28)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entryAddr=$8; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $9=$1; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $10=(($9+12)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entrySize=$11; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $12=$1; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $13=(($12+8)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $14=HEAP16[(($13)>>1)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $15=(($14 << 16) >> 16); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $16=((32-$15)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $17=1 << $16; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $capacity=$17; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $18=$entryAddr; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $19=$capacity; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $20=$entrySize; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $21=(($19*$20)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $22=(($18+$21)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entryLimit=$22; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $i=0; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $didRemove=0; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 4; break; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 4: 
      var $24=$entryAddr; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $25=$entryLimit; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $26=(($24)>>>0) < (($25)>>>0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 5: 
      var $28=$entryAddr; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $29=$28; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entry=$29; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $30=$entry; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $31=(($30)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $32=HEAPU32[(($31)>>2)]; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $33=(($32)>>>0) >= 2; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 6: 
      var $35=$2; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $36=$1; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $37=$entry; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $38=$i; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $39=(($38+1)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $i=$39; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $40=$3; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $41=FUNCTION_TABLE[$35]($36, $37, $38, $40); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $op=$41; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $42=$op; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $43=$42 & 2; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $44=(($43)|0)!=0; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 7: 
      var $46=$1; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $47=$entry; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      _JS_DHashTableRawRemove($46, $47); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $didRemove=1; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 8; break; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 8: 
      var $49=$op; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $50=$49 & 1; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $51=(($50)|0)!=0; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 9: 
      __label__ = 12; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 10: 
      __label__ = 11; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 11: 
      var $55=$entrySize; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $56=$entryAddr; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $57=(($56+$55)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $entryAddr=$57; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 4; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 12: 
      var $59=$didRemove; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $60=(($59)|0)!=0; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 24; break; } //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 13: 
      var $62=$1; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $63=(($62+20)|0); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $64=HEAPU32[(($63)>>2)]; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $65=$capacity; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $66=$65 >>> 2; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $67=(($64)>>>0) >= (($66)>>>0); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 14; break; } //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 14: 
      var $69=$capacity; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $70=(($69)>>>0) > 16; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 24; break; } //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 15: 
      var $72=$1; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $73=(($72+16)|0); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $74=HEAPU32[(($73)>>2)]; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $75=$1; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $76=(($75+11)|0); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $77=HEAPU8[($76)]; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $78=(($77)&255); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $79=$capacity; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $80=(($78*$79)|0); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $81=$80 >>> 8; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $82=(($74)>>>0) <= (($81)>>>0); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($82) { __label__ = 16; break; } else { __label__ = 24; break; } //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 16: 
      var $84=$1; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $85=(($84+16)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $capacity=$86; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $87=$capacity; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $88=$87 >>> 1; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $89=$capacity; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $90=(($89+$88)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $capacity=$90; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $91=$capacity; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $92=(($91)>>>0) < 16; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($92) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 17: 
      $capacity=16; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 18; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 18: 
      __label__ = 19; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 19: 
      var $96=$capacity; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $j_=$96; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $97=$j_; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $98=(($97)>>>0) <= 1; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      if ($98) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 20: 
      var $106 = 0;__label__ = 22; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 21: 
      var $101=$j_; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $102=(($101-1)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $103=_llvm_ctlz_i32($102); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $104=((32-$103)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $106 = $104;__label__ = 22; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 22: 
      var $106; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $ceiling=$106; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 23; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 23: 
      var $108=$1; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $109=(($108+8)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $110=HEAP16[(($109)>>1)]; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $111=(($110 << 16) >> 16); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $112=((32-$111)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $113=$ceiling; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $114=(($113-$112)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      $ceiling=$114; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $115=$1; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $116=$ceiling; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      var $117=__ZL11ChangeTableP12JSDHashTablei($115, $116); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      __label__ = 24; break; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 24: 
      __label__ = 25; break; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 25: 
      __label__ = 26; break; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    case 26: 
      var $121=$i; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
      ;
      return $121; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdhash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_DHashTableEnumerate["X"]=1;

function _js_free1094($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc1095($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_strtod_harder($state, $s00, $se, $err) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $retval;
      $1=$state;
      $2=$s00;
      $3=$se;
      $4=$err;
      var $5=$4; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $6=(($5)|0)!=0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 2: 
      var $8=$4; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($8)>>2)]=0; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 3; break; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 3: 
      var $10=$1; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $11=$2; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $12=$3; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $13=__strtod($10, $11, $12); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $retval=$13; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $14=$retval; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      ;
      return $14; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __strtod($state, $s00, $se) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $scale;
      var $bb2;
      var $bb5;
      var $bbe=__stackBase__;
      var $bd2;
      var $bd5;
      var $bbbits=__stackBase__+4;
      var $bs2;
      var $c;
      var $dsign;
      var $e;
      var $e1;
      var $esign;
      var $i;
      var $j;
      var $k;
      var $nd;
      var $nd0;
      var $nf;
      var $nz;
      var $nz0;
      var $sign;
      var $s;
      var $s0;
      var $s1;
      var $aadj;
      var $adj;
      var $aadj1=__stackBase__+8;
      var $rv=__stackBase__+16;
      var $rv0=__stackBase__+24;
      var $L;
      var $y;
      var $z;
      var $bb;
      var $bb1;
      var $bd;
      var $bd0;
      var $bs;
      var $delta;
      var $4=__stackBase__+32;
      var $5=__stackBase__+40;
      var $6=__stackBase__+48;
      var $7=__stackBase__+56;
      var $8=__stackBase__+64;
      $1=$state;
      $2=$s00;
      $3=$se;
      $bs=0; //@line 1509 "./dtoa.c"
      $bd=0; //@line 1509 "./dtoa.c"
      $bb=0; //@line 1509 "./dtoa.c"
      $delta=0; //@line 1509 "./dtoa.c"
      $nz=0; //@line 1512 "./dtoa.c"
      $nz0=0; //@line 1512 "./dtoa.c"
      $sign=0; //@line 1512 "./dtoa.c"
      var $9=$rv; //@line 1513 "./dtoa.c"
      (tempDoubleF64[0]=0,HEAP32[(($9)>>2)]=tempDoubleI32[0],HEAP32[(($9+4)>>2)]=tempDoubleI32[1]); //@line 1513 "./dtoa.c"
      var $10=$2; //@line 1514 "./dtoa.c"
      $s=$10; //@line 1514 "./dtoa.c"
      __label__ = 2; break; //@line 1514 "./dtoa.c"
    case 2: 
      var $12=$s; //@line 1514 "./dtoa.c"
      var $13=HEAP8[($12)]; //@line 1514 "./dtoa.c"
      var $14=(($13 << 24) >> 24); //@line 1514 "./dtoa.c"
      if ((($14)|0) == 45) {
        __label__ = 3; break;
      }
      else if ((($14)|0) == 43) {
        __label__ = 4; break;
      }
      else if ((($14)|0) == 0) {
        __label__ = 7; break;
      }
      else if ((($14)|0) == 9 || (($14)|0) == 10 || (($14)|0) == 11 || (($14)|0) == 12 || (($14)|0) == 13 || (($14)|0) == 32) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 3: 
      $sign=1; //@line 1516 "./dtoa.c"
      __label__ = 4; break; //@line 1516 "./dtoa.c"
    case 4: 
      var $17=$s; //@line 1519 "./dtoa.c"
      var $18=(($17+1)|0); //@line 1519 "./dtoa.c"
      $s=$18; //@line 1519 "./dtoa.c"
      var $19=HEAP8[($18)]; //@line 1519 "./dtoa.c"
      var $20=(($19 << 24) >> 24)!=0; //@line 1519 "./dtoa.c"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1519 "./dtoa.c"
    case 5: 
      __label__ = 11; break; //@line 1520 "./dtoa.c"
    case 6: 
      __label__ = 7; break; //@line 1520 "./dtoa.c"
    case 7: 
      __label__ = 100; break; //@line 1523 "./dtoa.c"
    case 8: 
      __label__ = 10; break; //@line 1530 "./dtoa.c"
    case 9: 
      __label__ = 11; break; //@line 1532 "./dtoa.c"
    case 10: 
      var $27=$s; //@line 1514 "./dtoa.c"
      var $28=(($27+1)|0); //@line 1514 "./dtoa.c"
      $s=$28; //@line 1514 "./dtoa.c"
      __label__ = 2; break; //@line 1514 "./dtoa.c"
    case 11: 
      var $30=$s; //@line 1535 "./dtoa.c"
      var $31=HEAP8[($30)]; //@line 1535 "./dtoa.c"
      var $32=(($31 << 24) >> 24); //@line 1535 "./dtoa.c"
      var $33=(($32)|0)==48; //@line 1535 "./dtoa.c"
      if ($33) { __label__ = 12; break; } else { __label__ = 18; break; } //@line 1535 "./dtoa.c"
    case 12: 
      $nz0=1; //@line 1536 "./dtoa.c"
      __label__ = 13; break; //@line 1537 "./dtoa.c"
    case 13: 
      var $36=$s; //@line 1537 "./dtoa.c"
      var $37=(($36+1)|0); //@line 1537 "./dtoa.c"
      $s=$37; //@line 1537 "./dtoa.c"
      var $38=HEAP8[($37)]; //@line 1537 "./dtoa.c"
      var $39=(($38 << 24) >> 24); //@line 1537 "./dtoa.c"
      var $40=(($39)|0)==48; //@line 1537 "./dtoa.c"
      if ($40) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1537 "./dtoa.c"
    case 14: 
      __label__ = 13; break; //@line 1537 "./dtoa.c"
    case 15: 
      var $43=$s; //@line 1538 "./dtoa.c"
      var $44=HEAP8[($43)]; //@line 1538 "./dtoa.c"
      var $45=(($44 << 24) >> 24)!=0; //@line 1538 "./dtoa.c"
      if ($45) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1538 "./dtoa.c"
    case 16: 
      __label__ = 301; break; //@line 1539 "./dtoa.c"
    case 17: 
      __label__ = 18; break; //@line 1540 "./dtoa.c"
    case 18: 
      var $49=$s; //@line 1541 "./dtoa.c"
      $s0=$49; //@line 1541 "./dtoa.c"
      $z=0; //@line 1542 "./dtoa.c"
      $y=0; //@line 1542 "./dtoa.c"
      $nf=0; //@line 1543 "./dtoa.c"
      $nd=0; //@line 1543 "./dtoa.c"
      __label__ = 19; break; //@line 1543 "./dtoa.c"
    case 19: 
      var $51=$s; //@line 1543 "./dtoa.c"
      var $52=HEAP8[($51)]; //@line 1543 "./dtoa.c"
      var $53=(($52 << 24) >> 24); //@line 1543 "./dtoa.c"
      $c=$53; //@line 1543 "./dtoa.c"
      var $54=(($53)|0) >= 48; //@line 1543 "./dtoa.c"
      if ($54) { __label__ = 20; break; } else { var $59 = 0;__label__ = 21; break; } //@line 1543 "./dtoa.c"
    case 20: 
      var $56=$c; //@line 1543 "./dtoa.c"
      var $57=(($56)|0) <= 57; //@line 1543 "./dtoa.c"
      var $59 = $57;__label__ = 21; break;
    case 21: 
      var $59;
      if ($59) { __label__ = 22; break; } else { __label__ = 29; break; }
    case 22: 
      var $61=$nd; //@line 1544 "./dtoa.c"
      var $62=(($61)|0) < 9; //@line 1544 "./dtoa.c"
      if ($62) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1544 "./dtoa.c"
    case 23: 
      var $64=$y; //@line 1545 "./dtoa.c"
      var $65=(($64*10)|0); //@line 1545 "./dtoa.c"
      var $66=$c; //@line 1545 "./dtoa.c"
      var $67=(($65+$66)|0); //@line 1545 "./dtoa.c"
      var $68=(($67-48)|0); //@line 1545 "./dtoa.c"
      $y=$68; //@line 1545 "./dtoa.c"
      __label__ = 27; break; //@line 1545 "./dtoa.c"
    case 24: 
      var $70=$nd; //@line 1546 "./dtoa.c"
      var $71=(($70)|0) < 16; //@line 1546 "./dtoa.c"
      if ($71) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1546 "./dtoa.c"
    case 25: 
      var $73=$z; //@line 1547 "./dtoa.c"
      var $74=(($73*10)|0); //@line 1547 "./dtoa.c"
      var $75=$c; //@line 1547 "./dtoa.c"
      var $76=(($74+$75)|0); //@line 1547 "./dtoa.c"
      var $77=(($76-48)|0); //@line 1547 "./dtoa.c"
      $z=$77; //@line 1547 "./dtoa.c"
      __label__ = 26; break; //@line 1547 "./dtoa.c"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $81=$nd; //@line 1543 "./dtoa.c"
      var $82=(($81+1)|0); //@line 1543 "./dtoa.c"
      $nd=$82; //@line 1543 "./dtoa.c"
      var $83=$s; //@line 1543 "./dtoa.c"
      var $84=(($83+1)|0); //@line 1543 "./dtoa.c"
      $s=$84; //@line 1543 "./dtoa.c"
      __label__ = 19; break; //@line 1543 "./dtoa.c"
    case 29: 
      var $86=$nd; //@line 1548 "./dtoa.c"
      $nd0=$86; //@line 1548 "./dtoa.c"
      var $87=$c; //@line 1568 "./dtoa.c"
      var $88=(($87)|0)==46; //@line 1568 "./dtoa.c"
      if ($88) { __label__ = 30; break; } else { __label__ = 63; break; } //@line 1568 "./dtoa.c"
    case 30: 
      var $90=$s; //@line 1569 "./dtoa.c"
      var $91=(($90+1)|0); //@line 1569 "./dtoa.c"
      $s=$91; //@line 1569 "./dtoa.c"
      var $92=HEAP8[($91)]; //@line 1569 "./dtoa.c"
      var $93=(($92 << 24) >> 24); //@line 1569 "./dtoa.c"
      $c=$93; //@line 1569 "./dtoa.c"
      var $94=$nd; //@line 1570 "./dtoa.c"
      var $95=(($94)|0)!=0; //@line 1570 "./dtoa.c"
      if ($95) { __label__ = 39; break; } else { __label__ = 31; break; } //@line 1570 "./dtoa.c"
    case 31: 
      __label__ = 32; break; //@line 1571 "./dtoa.c"
    case 32: 
      var $98=$c; //@line 1571 "./dtoa.c"
      var $99=(($98)|0)==48; //@line 1571 "./dtoa.c"
      if ($99) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1571 "./dtoa.c"
    case 33: 
      var $101=$nz; //@line 1572 "./dtoa.c"
      var $102=(($101+1)|0); //@line 1572 "./dtoa.c"
      $nz=$102; //@line 1572 "./dtoa.c"
      __label__ = 34; break; //@line 1572 "./dtoa.c"
    case 34: 
      var $104=$s; //@line 1571 "./dtoa.c"
      var $105=(($104+1)|0); //@line 1571 "./dtoa.c"
      $s=$105; //@line 1571 "./dtoa.c"
      var $106=HEAP8[($105)]; //@line 1571 "./dtoa.c"
      var $107=(($106 << 24) >> 24); //@line 1571 "./dtoa.c"
      $c=$107; //@line 1571 "./dtoa.c"
      __label__ = 32; break; //@line 1571 "./dtoa.c"
    case 35: 
      var $109=$c; //@line 1573 "./dtoa.c"
      var $110=(($109)|0) > 48; //@line 1573 "./dtoa.c"
      if ($110) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 1573 "./dtoa.c"
    case 36: 
      var $112=$c; //@line 1573 "./dtoa.c"
      var $113=(($112)|0) <= 57; //@line 1573 "./dtoa.c"
      if ($113) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 1573 "./dtoa.c"
    case 37: 
      var $115=$s; //@line 1574 "./dtoa.c"
      $s0=$115; //@line 1574 "./dtoa.c"
      var $116=$nz; //@line 1575 "./dtoa.c"
      var $117=$nf; //@line 1575 "./dtoa.c"
      var $118=(($117+$116)|0); //@line 1575 "./dtoa.c"
      $nf=$118; //@line 1575 "./dtoa.c"
      $nz=0; //@line 1576 "./dtoa.c"
      __label__ = 44; break; //@line 1577 "./dtoa.c"
    case 38: 
      __label__ = 64; break; //@line 1579 "./dtoa.c"
    case 39: 
      __label__ = 40; break; //@line 1581 "./dtoa.c"
    case 40: 
      var $122=$c; //@line 1581 "./dtoa.c"
      var $123=(($122)|0) >= 48; //@line 1581 "./dtoa.c"
      if ($123) { __label__ = 41; break; } else { var $128 = 0;__label__ = 42; break; } //@line 1581 "./dtoa.c"
    case 41: 
      var $125=$c; //@line 1581 "./dtoa.c"
      var $126=(($125)|0) <= 57; //@line 1581 "./dtoa.c"
      var $128 = $126;__label__ = 42; break;
    case 42: 
      var $128;
      if ($128) { __label__ = 43; break; } else { __label__ = 62; break; }
    case 43: 
      __label__ = 44; break; //@line 1581 "./dtoa.c"
    case 44: 
      var $131=$nz; //@line 1583 "./dtoa.c"
      var $132=(($131+1)|0); //@line 1583 "./dtoa.c"
      $nz=$132; //@line 1583 "./dtoa.c"
      var $133=$c; //@line 1584 "./dtoa.c"
      var $134=(($133-48)|0); //@line 1584 "./dtoa.c"
      $c=$134; //@line 1584 "./dtoa.c"
      var $135=(($134)|0)!=0; //@line 1584 "./dtoa.c"
      if ($135) { __label__ = 45; break; } else { __label__ = 60; break; } //@line 1584 "./dtoa.c"
    case 45: 
      var $137=$nz; //@line 1585 "./dtoa.c"
      var $138=$nf; //@line 1585 "./dtoa.c"
      var $139=(($138+$137)|0); //@line 1585 "./dtoa.c"
      $nf=$139; //@line 1585 "./dtoa.c"
      $i=1; //@line 1586 "./dtoa.c"
      __label__ = 46; break; //@line 1586 "./dtoa.c"
    case 46: 
      var $141=$i; //@line 1586 "./dtoa.c"
      var $142=$nz; //@line 1586 "./dtoa.c"
      var $143=(($141)|0) < (($142)|0); //@line 1586 "./dtoa.c"
      if ($143) { __label__ = 47; break; } else { __label__ = 54; break; } //@line 1586 "./dtoa.c"
    case 47: 
      var $145=$nd; //@line 1587 "./dtoa.c"
      var $146=(($145+1)|0); //@line 1587 "./dtoa.c"
      $nd=$146; //@line 1587 "./dtoa.c"
      var $147=(($145)|0) < 9; //@line 1587 "./dtoa.c"
      if ($147) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 1587 "./dtoa.c"
    case 48: 
      var $149=$y; //@line 1588 "./dtoa.c"
      var $150=(($149*10)|0); //@line 1588 "./dtoa.c"
      $y=$150; //@line 1588 "./dtoa.c"
      __label__ = 52; break; //@line 1588 "./dtoa.c"
    case 49: 
      var $152=$nd; //@line 1589 "./dtoa.c"
      var $153=(($152)|0) <= 16; //@line 1589 "./dtoa.c"
      if ($153) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 1589 "./dtoa.c"
    case 50: 
      var $155=$z; //@line 1590 "./dtoa.c"
      var $156=(($155*10)|0); //@line 1590 "./dtoa.c"
      $z=$156; //@line 1590 "./dtoa.c"
      __label__ = 51; break; //@line 1590 "./dtoa.c"
    case 51: 
      __label__ = 52; break;
    case 52: 
      __label__ = 53; break;
    case 53: 
      var $160=$i; //@line 1586 "./dtoa.c"
      var $161=(($160+1)|0); //@line 1586 "./dtoa.c"
      $i=$161; //@line 1586 "./dtoa.c"
      __label__ = 46; break; //@line 1586 "./dtoa.c"
    case 54: 
      var $163=$nd; //@line 1591 "./dtoa.c"
      var $164=(($163+1)|0); //@line 1591 "./dtoa.c"
      $nd=$164; //@line 1591 "./dtoa.c"
      var $165=(($163)|0) < 9; //@line 1591 "./dtoa.c"
      if ($165) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 1591 "./dtoa.c"
    case 55: 
      var $167=$y; //@line 1592 "./dtoa.c"
      var $168=(($167*10)|0); //@line 1592 "./dtoa.c"
      var $169=$c; //@line 1592 "./dtoa.c"
      var $170=(($168+$169)|0); //@line 1592 "./dtoa.c"
      $y=$170; //@line 1592 "./dtoa.c"
      __label__ = 59; break; //@line 1592 "./dtoa.c"
    case 56: 
      var $172=$nd; //@line 1593 "./dtoa.c"
      var $173=(($172)|0) <= 16; //@line 1593 "./dtoa.c"
      if ($173) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 1593 "./dtoa.c"
    case 57: 
      var $175=$z; //@line 1594 "./dtoa.c"
      var $176=(($175*10)|0); //@line 1594 "./dtoa.c"
      var $177=$c; //@line 1594 "./dtoa.c"
      var $178=(($176+$177)|0); //@line 1594 "./dtoa.c"
      $z=$178; //@line 1594 "./dtoa.c"
      __label__ = 58; break; //@line 1594 "./dtoa.c"
    case 58: 
      __label__ = 59; break;
    case 59: 
      $nz=0; //@line 1595 "./dtoa.c"
      __label__ = 60; break; //@line 1596 "./dtoa.c"
    case 60: 
      __label__ = 61; break; //@line 1597 "./dtoa.c"
    case 61: 
      var $183=$s; //@line 1581 "./dtoa.c"
      var $184=(($183+1)|0); //@line 1581 "./dtoa.c"
      $s=$184; //@line 1581 "./dtoa.c"
      var $185=HEAP8[($184)]; //@line 1581 "./dtoa.c"
      var $186=(($185 << 24) >> 24); //@line 1581 "./dtoa.c"
      $c=$186; //@line 1581 "./dtoa.c"
      __label__ = 40; break; //@line 1581 "./dtoa.c"
    case 62: 
      __label__ = 63; break; //@line 1598 "./dtoa.c"
    case 63: 
      __label__ = 64; break; //@line 1598 "./dtoa.c"
    case 64: 
      $e=0; //@line 1600 "./dtoa.c"
      var $190=$c; //@line 1601 "./dtoa.c"
      var $191=(($190)|0)==101; //@line 1601 "./dtoa.c"
      if ($191) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 1601 "./dtoa.c"
    case 65: 
      var $193=$c; //@line 1601 "./dtoa.c"
      var $194=(($193)|0)==69; //@line 1601 "./dtoa.c"
      if ($194) { __label__ = 66; break; } else { __label__ = 96; break; } //@line 1601 "./dtoa.c"
    case 66: 
      var $196=$nd; //@line 1602 "./dtoa.c"
      var $197=(($196)|0)!=0; //@line 1602 "./dtoa.c"
      if ($197) { __label__ = 70; break; } else { __label__ = 67; break; } //@line 1602 "./dtoa.c"
    case 67: 
      var $199=$nz; //@line 1602 "./dtoa.c"
      var $200=(($199)|0)!=0; //@line 1602 "./dtoa.c"
      if ($200) { __label__ = 70; break; } else { __label__ = 68; break; } //@line 1602 "./dtoa.c"
    case 68: 
      var $202=$nz0; //@line 1602 "./dtoa.c"
      var $203=(($202)|0)!=0; //@line 1602 "./dtoa.c"
      if ($203) { __label__ = 70; break; } else { __label__ = 69; break; } //@line 1602 "./dtoa.c"
    case 69: 
      __label__ = 100; break; //@line 1603 "./dtoa.c"
    case 70: 
      var $206=$s; //@line 1605 "./dtoa.c"
      $2=$206; //@line 1605 "./dtoa.c"
      $esign=0; //@line 1606 "./dtoa.c"
      var $207=$s; //@line 1607 "./dtoa.c"
      var $208=(($207+1)|0); //@line 1607 "./dtoa.c"
      $s=$208; //@line 1607 "./dtoa.c"
      var $209=HEAP8[($208)]; //@line 1607 "./dtoa.c"
      var $210=(($209 << 24) >> 24); //@line 1607 "./dtoa.c"
      $c=$210; //@line 1607 "./dtoa.c"
      if ((($210)|0) == 45) {
        __label__ = 71; break;
      }
      else if ((($210)|0) == 43) {
        __label__ = 72; break;
      }
      else {
      __label__ = 73; break;
      }
      
    case 71: 
      $esign=1; //@line 1609 "./dtoa.c"
      __label__ = 72; break; //@line 1609 "./dtoa.c"
    case 72: 
      var $213=$s; //@line 1611 "./dtoa.c"
      var $214=(($213+1)|0); //@line 1611 "./dtoa.c"
      $s=$214; //@line 1611 "./dtoa.c"
      var $215=HEAP8[($214)]; //@line 1611 "./dtoa.c"
      var $216=(($215 << 24) >> 24); //@line 1611 "./dtoa.c"
      $c=$216; //@line 1611 "./dtoa.c"
      __label__ = 73; break; //@line 1612 "./dtoa.c"
    case 73: 
      var $218=$c; //@line 1613 "./dtoa.c"
      var $219=(($218)|0) >= 48; //@line 1613 "./dtoa.c"
      if ($219) { __label__ = 74; break; } else { __label__ = 94; break; } //@line 1613 "./dtoa.c"
    case 74: 
      var $221=$c; //@line 1613 "./dtoa.c"
      var $222=(($221)|0) <= 57; //@line 1613 "./dtoa.c"
      if ($222) { __label__ = 75; break; } else { __label__ = 94; break; } //@line 1613 "./dtoa.c"
    case 75: 
      __label__ = 76; break; //@line 1614 "./dtoa.c"
    case 76: 
      var $225=$c; //@line 1614 "./dtoa.c"
      var $226=(($225)|0)==48; //@line 1614 "./dtoa.c"
      if ($226) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 1614 "./dtoa.c"
    case 77: 
      var $228=$s; //@line 1615 "./dtoa.c"
      var $229=(($228+1)|0); //@line 1615 "./dtoa.c"
      $s=$229; //@line 1615 "./dtoa.c"
      var $230=HEAP8[($229)]; //@line 1615 "./dtoa.c"
      var $231=(($230 << 24) >> 24); //@line 1615 "./dtoa.c"
      $c=$231; //@line 1615 "./dtoa.c"
      __label__ = 76; break; //@line 1615 "./dtoa.c"
    case 78: 
      var $233=$c; //@line 1616 "./dtoa.c"
      var $234=(($233)|0) > 48; //@line 1616 "./dtoa.c"
      if ($234) { __label__ = 79; break; } else { __label__ = 92; break; } //@line 1616 "./dtoa.c"
    case 79: 
      var $236=$c; //@line 1616 "./dtoa.c"
      var $237=(($236)|0) <= 57; //@line 1616 "./dtoa.c"
      if ($237) { __label__ = 80; break; } else { __label__ = 92; break; } //@line 1616 "./dtoa.c"
    case 80: 
      var $239=$c; //@line 1617 "./dtoa.c"
      var $240=(($239-48)|0); //@line 1617 "./dtoa.c"
      $L=$240; //@line 1617 "./dtoa.c"
      var $241=$s; //@line 1618 "./dtoa.c"
      $s1=$241; //@line 1618 "./dtoa.c"
      __label__ = 81; break; //@line 1619 "./dtoa.c"
    case 81: 
      var $243=$s; //@line 1619 "./dtoa.c"
      var $244=(($243+1)|0); //@line 1619 "./dtoa.c"
      $s=$244; //@line 1619 "./dtoa.c"
      var $245=HEAP8[($244)]; //@line 1619 "./dtoa.c"
      var $246=(($245 << 24) >> 24); //@line 1619 "./dtoa.c"
      $c=$246; //@line 1619 "./dtoa.c"
      var $247=(($246)|0) >= 48; //@line 1619 "./dtoa.c"
      if ($247) { __label__ = 82; break; } else { var $252 = 0;__label__ = 83; break; } //@line 1619 "./dtoa.c"
    case 82: 
      var $249=$c; //@line 1619 "./dtoa.c"
      var $250=(($249)|0) <= 57; //@line 1619 "./dtoa.c"
      var $252 = $250;__label__ = 83; break;
    case 83: 
      var $252;
      if ($252) { __label__ = 84; break; } else { __label__ = 85; break; }
    case 84: 
      var $254=$L; //@line 1620 "./dtoa.c"
      var $255=(($254*10)|0); //@line 1620 "./dtoa.c"
      var $256=$c; //@line 1620 "./dtoa.c"
      var $257=(($255+$256)|0); //@line 1620 "./dtoa.c"
      var $258=(($257-48)|0); //@line 1620 "./dtoa.c"
      $L=$258; //@line 1620 "./dtoa.c"
      __label__ = 81; break; //@line 1620 "./dtoa.c"
    case 85: 
      var $260=$s; //@line 1621 "./dtoa.c"
      var $261=$s1; //@line 1621 "./dtoa.c"
      var $262=$260; //@line 1621 "./dtoa.c"
      var $263=$261; //@line 1621 "./dtoa.c"
      var $264=(($262-$263)|0); //@line 1621 "./dtoa.c"
      var $265=(($264)|0) > 8; //@line 1621 "./dtoa.c"
      if ($265) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 1621 "./dtoa.c"
    case 86: 
      var $267=$L; //@line 1621 "./dtoa.c"
      var $268=(($267)|0) > 19999; //@line 1621 "./dtoa.c"
      if ($268) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 1621 "./dtoa.c"
    case 87: 
      $e=19999; //@line 1625 "./dtoa.c"
      __label__ = 89; break; //@line 1625 "./dtoa.c"
    case 88: 
      var $271=$L; //@line 1627 "./dtoa.c"
      $e=$271; //@line 1627 "./dtoa.c"
      __label__ = 89; break;
    case 89: 
      var $273=$esign; //@line 1628 "./dtoa.c"
      var $274=(($273)|0)!=0; //@line 1628 "./dtoa.c"
      if ($274) { __label__ = 90; break; } else { __label__ = 91; break; } //@line 1628 "./dtoa.c"
    case 90: 
      var $276=$e; //@line 1629 "./dtoa.c"
      var $277=(((-$276))|0); //@line 1629 "./dtoa.c"
      $e=$277; //@line 1629 "./dtoa.c"
      __label__ = 91; break; //@line 1629 "./dtoa.c"
    case 91: 
      __label__ = 93; break; //@line 1630 "./dtoa.c"
    case 92: 
      $e=0; //@line 1632 "./dtoa.c"
      __label__ = 93; break;
    case 93: 
      __label__ = 95; break; //@line 1633 "./dtoa.c"
    case 94: 
      var $282=$2; //@line 1635 "./dtoa.c"
      $s=$282; //@line 1635 "./dtoa.c"
      __label__ = 95; break;
    case 95: 
      __label__ = 96; break; //@line 1636 "./dtoa.c"
    case 96: 
      var $285=$nd; //@line 1637 "./dtoa.c"
      var $286=(($285)|0)!=0; //@line 1637 "./dtoa.c"
      if ($286) { __label__ = 102; break; } else { __label__ = 97; break; } //@line 1637 "./dtoa.c"
    case 97: 
      var $288=$nz; //@line 1638 "./dtoa.c"
      var $289=(($288)|0)!=0; //@line 1638 "./dtoa.c"
      if ($289) { __label__ = 101; break; } else { __label__ = 98; break; } //@line 1638 "./dtoa.c"
    case 98: 
      var $291=$nz0; //@line 1638 "./dtoa.c"
      var $292=(($291)|0)!=0; //@line 1638 "./dtoa.c"
      if ($292) { __label__ = 101; break; } else { __label__ = 99; break; } //@line 1638 "./dtoa.c"
    case 99: 
      __label__ = 100; break; //@line 1638 "./dtoa.c"
    case 100: 
      var $295=$2; //@line 1640 "./dtoa.c"
      $s=$295; //@line 1640 "./dtoa.c"
      $sign=0; //@line 1641 "./dtoa.c"
      __label__ = 101; break; //@line 1642 "./dtoa.c"
    case 101: 
      __label__ = 301; break; //@line 1643 "./dtoa.c"
    case 102: 
      var $298=$nf; //@line 1645 "./dtoa.c"
      var $299=$e; //@line 1645 "./dtoa.c"
      var $300=(($299-$298)|0); //@line 1645 "./dtoa.c"
      $e=$300; //@line 1645 "./dtoa.c"
      $e1=$300; //@line 1645 "./dtoa.c"
      var $301=$nd0; //@line 1652 "./dtoa.c"
      var $302=(($301)|0)!=0; //@line 1652 "./dtoa.c"
      if ($302) { __label__ = 104; break; } else { __label__ = 103; break; } //@line 1652 "./dtoa.c"
    case 103: 
      var $304=$nd; //@line 1653 "./dtoa.c"
      $nd0=$304; //@line 1653 "./dtoa.c"
      __label__ = 104; break; //@line 1653 "./dtoa.c"
    case 104: 
      var $306=$nd; //@line 1654 "./dtoa.c"
      var $307=(($306)|0) < 16; //@line 1654 "./dtoa.c"
      if ($307) { __label__ = 105; break; } else { __label__ = 106; break; } //@line 1654 "./dtoa.c"
    case 105: 
      var $309=$nd; //@line 1654 "./dtoa.c"
      var $312 = $309;__label__ = 107; break; //@line 1654 "./dtoa.c"
    case 106: 
      var $312 = 16;__label__ = 107; break; //@line 1654 "./dtoa.c"
    case 107: 
      var $312; //@line 1654 "./dtoa.c"
      $k=$312; //@line 1654 "./dtoa.c"
      var $313=$y; //@line 1655 "./dtoa.c"
      var $314=(($313)>>>0); //@line 1655 "./dtoa.c"
      var $315=$rv; //@line 1655 "./dtoa.c"
      (tempDoubleF64[0]=$314,HEAP32[(($315)>>2)]=tempDoubleI32[0],HEAP32[(($315+4)>>2)]=tempDoubleI32[1]); //@line 1655 "./dtoa.c"
      var $316=$k; //@line 1656 "./dtoa.c"
      var $317=(($316)|0) > 9; //@line 1656 "./dtoa.c"
      if ($317) { __label__ = 108; break; } else { __label__ = 109; break; } //@line 1656 "./dtoa.c"
    case 108: 
      var $319=$k; //@line 1661 "./dtoa.c"
      var $320=(($319-9)|0); //@line 1661 "./dtoa.c"
      var $321=((_tens+($320<<3))|0); //@line 1661 "./dtoa.c"
      var $322=(tempDoubleI32[0]=HEAP32[(($321)>>2)],tempDoubleI32[1]=HEAP32[(($321+4)>>2)],tempDoubleF64[0]); //@line 1661 "./dtoa.c"
      var $323=$rv; //@line 1661 "./dtoa.c"
      var $324=(tempDoubleI32[0]=HEAP32[(($323)>>2)],tempDoubleI32[1]=HEAP32[(($323+4)>>2)],tempDoubleF64[0]); //@line 1661 "./dtoa.c"
      var $325=$322*$324; //@line 1661 "./dtoa.c"
      var $326=$z; //@line 1661 "./dtoa.c"
      var $327=(($326)>>>0); //@line 1661 "./dtoa.c"
      var $328=$325+$327; //@line 1661 "./dtoa.c"
      var $329=$rv; //@line 1661 "./dtoa.c"
      (tempDoubleF64[0]=$328,HEAP32[(($329)>>2)]=tempDoubleI32[0],HEAP32[(($329+4)>>2)]=tempDoubleI32[1]); //@line 1661 "./dtoa.c"
      __label__ = 109; break; //@line 1662 "./dtoa.c"
    case 109: 
      $bd0=0; //@line 1663 "./dtoa.c"
      var $331=$nd; //@line 1664 "./dtoa.c"
      var $332=(($331)|0) <= 15; //@line 1664 "./dtoa.c"
      if ($332) { __label__ = 110; break; } else { __label__ = 122; break; } //@line 1664 "./dtoa.c"
    case 110: 
      var $334=$e; //@line 1671 "./dtoa.c"
      var $335=(($334)|0)!=0; //@line 1671 "./dtoa.c"
      if ($335) { __label__ = 112; break; } else { __label__ = 111; break; } //@line 1671 "./dtoa.c"
    case 111: 
      __label__ = 301; break; //@line 1672 "./dtoa.c"
    case 112: 
      var $338=$e; //@line 1673 "./dtoa.c"
      var $339=(($338)|0) > 0; //@line 1673 "./dtoa.c"
      if ($339) { __label__ = 113; break; } else { __label__ = 118; break; } //@line 1673 "./dtoa.c"
    case 113: 
      var $341=$e; //@line 1674 "./dtoa.c"
      var $342=(($341)|0) <= 22; //@line 1674 "./dtoa.c"
      if ($342) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 1674 "./dtoa.c"
    case 114: 
      var $344=$e; //@line 1685 "./dtoa.c"
      var $345=((_tens+($344<<3))|0); //@line 1685 "./dtoa.c"
      var $346=(tempDoubleI32[0]=HEAP32[(($345)>>2)],tempDoubleI32[1]=HEAP32[(($345+4)>>2)],tempDoubleF64[0]); //@line 1685 "./dtoa.c"
      var $347=$rv; //@line 1685 "./dtoa.c"
      var $348=(tempDoubleI32[0]=HEAP32[(($347)>>2)],tempDoubleI32[1]=HEAP32[(($347+4)>>2)],tempDoubleF64[0]); //@line 1685 "./dtoa.c"
      var $349=$348*$346; //@line 1685 "./dtoa.c"
      (tempDoubleF64[0]=$349,HEAP32[(($347)>>2)]=tempDoubleI32[0],HEAP32[(($347+4)>>2)]=tempDoubleI32[1]); //@line 1685 "./dtoa.c"
      __label__ = 301; break; //@line 1686 "./dtoa.c"
    case 115: 
      var $351=$nd; //@line 1689 "./dtoa.c"
      var $352=((15-$351)|0); //@line 1689 "./dtoa.c"
      $i=$352; //@line 1689 "./dtoa.c"
      var $353=$e; //@line 1690 "./dtoa.c"
      var $354=$i; //@line 1690 "./dtoa.c"
      var $355=(($354+22)|0); //@line 1690 "./dtoa.c"
      var $356=(($353)|0) <= (($355)|0); //@line 1690 "./dtoa.c"
      if ($356) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 1690 "./dtoa.c"
    case 116: 
      var $358=$i; //@line 1701 "./dtoa.c"
      var $359=$e; //@line 1701 "./dtoa.c"
      var $360=(($359-$358)|0); //@line 1701 "./dtoa.c"
      $e=$360; //@line 1701 "./dtoa.c"
      var $361=$i; //@line 1702 "./dtoa.c"
      var $362=((_tens+($361<<3))|0); //@line 1702 "./dtoa.c"
      var $363=(tempDoubleI32[0]=HEAP32[(($362)>>2)],tempDoubleI32[1]=HEAP32[(($362+4)>>2)],tempDoubleF64[0]); //@line 1702 "./dtoa.c"
      var $364=$rv; //@line 1702 "./dtoa.c"
      var $365=(tempDoubleI32[0]=HEAP32[(($364)>>2)],tempDoubleI32[1]=HEAP32[(($364+4)>>2)],tempDoubleF64[0]); //@line 1702 "./dtoa.c"
      var $366=$365*$363; //@line 1702 "./dtoa.c"
      (tempDoubleF64[0]=$366,HEAP32[(($364)>>2)]=tempDoubleI32[0],HEAP32[(($364+4)>>2)]=tempDoubleI32[1]); //@line 1702 "./dtoa.c"
      var $367=$e; //@line 1715 "./dtoa.c"
      var $368=((_tens+($367<<3))|0); //@line 1715 "./dtoa.c"
      var $369=(tempDoubleI32[0]=HEAP32[(($368)>>2)],tempDoubleI32[1]=HEAP32[(($368+4)>>2)],tempDoubleF64[0]); //@line 1715 "./dtoa.c"
      var $370=$rv; //@line 1715 "./dtoa.c"
      var $371=(tempDoubleI32[0]=HEAP32[(($370)>>2)],tempDoubleI32[1]=HEAP32[(($370+4)>>2)],tempDoubleF64[0]); //@line 1715 "./dtoa.c"
      var $372=$371*$369; //@line 1715 "./dtoa.c"
      (tempDoubleF64[0]=$372,HEAP32[(($370)>>2)]=tempDoubleI32[0],HEAP32[(($370+4)>>2)]=tempDoubleI32[1]); //@line 1715 "./dtoa.c"
      __label__ = 301; break; //@line 1717 "./dtoa.c"
    case 117: 
      __label__ = 121; break; //@line 1719 "./dtoa.c"
    case 118: 
      var $375=$e; //@line 1721 "./dtoa.c"
      var $376=(($375)|0) >= -22; //@line 1721 "./dtoa.c"
      if ($376) { __label__ = 119; break; } else { __label__ = 120; break; } //@line 1721 "./dtoa.c"
    case 119: 
      var $378=$e; //@line 1729 "./dtoa.c"
      var $379=(((-$378))|0); //@line 1729 "./dtoa.c"
      var $380=((_tens+($379<<3))|0); //@line 1729 "./dtoa.c"
      var $381=(tempDoubleI32[0]=HEAP32[(($380)>>2)],tempDoubleI32[1]=HEAP32[(($380+4)>>2)],tempDoubleF64[0]); //@line 1729 "./dtoa.c"
      var $382=$rv; //@line 1729 "./dtoa.c"
      var $383=(tempDoubleI32[0]=HEAP32[(($382)>>2)],tempDoubleI32[1]=HEAP32[(($382+4)>>2)],tempDoubleF64[0]); //@line 1729 "./dtoa.c"
      var $384=$383/$381; //@line 1729 "./dtoa.c"
      (tempDoubleF64[0]=$384,HEAP32[(($382)>>2)]=tempDoubleI32[0],HEAP32[(($382+4)>>2)]=tempDoubleI32[1]); //@line 1729 "./dtoa.c"
      __label__ = 301; break; //@line 1730 "./dtoa.c"
    case 120: 
      __label__ = 121; break;
    case 121: 
      __label__ = 122; break; //@line 1733 "./dtoa.c"
    case 122: 
      var $388=$nd; //@line 1734 "./dtoa.c"
      var $389=$k; //@line 1734 "./dtoa.c"
      var $390=(($388-$389)|0); //@line 1734 "./dtoa.c"
      var $391=$e1; //@line 1734 "./dtoa.c"
      var $392=(($391+$390)|0); //@line 1734 "./dtoa.c"
      $e1=$392; //@line 1734 "./dtoa.c"
      $scale=0; //@line 1743 "./dtoa.c"
      var $393=$e1; //@line 1758 "./dtoa.c"
      var $394=(($393)|0) > 0; //@line 1758 "./dtoa.c"
      if ($394) { __label__ = 123; break; } else { __label__ = 144; break; } //@line 1758 "./dtoa.c"
    case 123: 
      var $396=$e1; //@line 1759 "./dtoa.c"
      var $397=$396 & 15; //@line 1759 "./dtoa.c"
      $i=$397; //@line 1759 "./dtoa.c"
      var $398=(($397)|0)!=0; //@line 1759 "./dtoa.c"
      if ($398) { __label__ = 124; break; } else { __label__ = 125; break; } //@line 1759 "./dtoa.c"
    case 124: 
      var $400=$i; //@line 1760 "./dtoa.c"
      var $401=((_tens+($400<<3))|0); //@line 1760 "./dtoa.c"
      var $402=(tempDoubleI32[0]=HEAP32[(($401)>>2)],tempDoubleI32[1]=HEAP32[(($401+4)>>2)],tempDoubleF64[0]); //@line 1760 "./dtoa.c"
      var $403=$rv; //@line 1760 "./dtoa.c"
      var $404=(tempDoubleI32[0]=HEAP32[(($403)>>2)],tempDoubleI32[1]=HEAP32[(($403+4)>>2)],tempDoubleF64[0]); //@line 1760 "./dtoa.c"
      var $405=$404*$402; //@line 1760 "./dtoa.c"
      (tempDoubleF64[0]=$405,HEAP32[(($403)>>2)]=tempDoubleI32[0],HEAP32[(($403+4)>>2)]=tempDoubleI32[1]); //@line 1760 "./dtoa.c"
      __label__ = 125; break; //@line 1760 "./dtoa.c"
    case 125: 
      var $407=$e1; //@line 1761 "./dtoa.c"
      var $408=$407 & -16; //@line 1761 "./dtoa.c"
      $e1=$408; //@line 1761 "./dtoa.c"
      var $409=(($408)|0)!=0; //@line 1761 "./dtoa.c"
      if ($409) { __label__ = 126; break; } else { __label__ = 143; break; } //@line 1761 "./dtoa.c"
    case 126: 
      var $411=$e1; //@line 1762 "./dtoa.c"
      var $412=(($411)|0) > 308; //@line 1762 "./dtoa.c"
      if ($412) { __label__ = 127; break; } else { __label__ = 131; break; } //@line 1762 "./dtoa.c"
    case 127: 
      __label__ = 128; break; //@line 1762 "./dtoa.c"
    case 128: 
      var $415=___errno(); //@line 1765 "./dtoa.c"
      HEAP32[(($415)>>2)]=34; //@line 1765 "./dtoa.c"
      var $416=$rv; //@line 1781 "./dtoa.c"
      var $417=(($416+4)|0); //@line 1781 "./dtoa.c"
      HEAP32[(($417)>>2)]=2146435072; //@line 1781 "./dtoa.c"
      var $418=$rv; //@line 1782 "./dtoa.c"
      var $419=(($418)|0); //@line 1782 "./dtoa.c"
      HEAP32[(($419)>>2)]=0; //@line 1782 "./dtoa.c"
      var $420=$bd0; //@line 1793 "./dtoa.c"
      var $421=(($420)|0)!=0; //@line 1793 "./dtoa.c"
      if ($421) { __label__ = 129; break; } else { __label__ = 130; break; } //@line 1793 "./dtoa.c"
    case 129: 
      __label__ = 300; break; //@line 1794 "./dtoa.c"
    case 130: 
      __label__ = 301; break; //@line 1795 "./dtoa.c"
    case 131: 
      var $425=$e1; //@line 1797 "./dtoa.c"
      var $426=$425 >> 4; //@line 1797 "./dtoa.c"
      $e1=$426; //@line 1797 "./dtoa.c"
      $j=0; //@line 1798 "./dtoa.c"
      __label__ = 132; break; //@line 1798 "./dtoa.c"
    case 132: 
      var $428=$e1; //@line 1798 "./dtoa.c"
      var $429=(($428)|0) > 1; //@line 1798 "./dtoa.c"
      if ($429) { __label__ = 133; break; } else { __label__ = 137; break; } //@line 1798 "./dtoa.c"
    case 133: 
      var $431=$e1; //@line 1799 "./dtoa.c"
      var $432=$431 & 1; //@line 1799 "./dtoa.c"
      var $433=(($432)|0)!=0; //@line 1799 "./dtoa.c"
      if ($433) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 1799 "./dtoa.c"
    case 134: 
      var $435=$j; //@line 1800 "./dtoa.c"
      var $436=((_bigtens+($435<<3))|0); //@line 1800 "./dtoa.c"
      var $437=(tempDoubleI32[0]=HEAP32[(($436)>>2)],tempDoubleI32[1]=HEAP32[(($436+4)>>2)],tempDoubleF64[0]); //@line 1800 "./dtoa.c"
      var $438=$rv; //@line 1800 "./dtoa.c"
      var $439=(tempDoubleI32[0]=HEAP32[(($438)>>2)],tempDoubleI32[1]=HEAP32[(($438+4)>>2)],tempDoubleF64[0]); //@line 1800 "./dtoa.c"
      var $440=$439*$437; //@line 1800 "./dtoa.c"
      (tempDoubleF64[0]=$440,HEAP32[(($438)>>2)]=tempDoubleI32[0],HEAP32[(($438+4)>>2)]=tempDoubleI32[1]); //@line 1800 "./dtoa.c"
      __label__ = 135; break; //@line 1800 "./dtoa.c"
    case 135: 
      __label__ = 136; break; //@line 1800 "./dtoa.c"
    case 136: 
      var $443=$j; //@line 1798 "./dtoa.c"
      var $444=(($443+1)|0); //@line 1798 "./dtoa.c"
      $j=$444; //@line 1798 "./dtoa.c"
      var $445=$e1; //@line 1798 "./dtoa.c"
      var $446=$445 >> 1; //@line 1798 "./dtoa.c"
      $e1=$446; //@line 1798 "./dtoa.c"
      __label__ = 132; break; //@line 1798 "./dtoa.c"
    case 137: 
      var $448=$rv; //@line 1802 "./dtoa.c"
      var $449=(($448+4)|0); //@line 1802 "./dtoa.c"
      var $450=HEAP32[(($449)>>2)]; //@line 1802 "./dtoa.c"
      var $451=(($450-55574528)|0); //@line 1802 "./dtoa.c"
      HEAP32[(($449)>>2)]=$451; //@line 1802 "./dtoa.c"
      var $452=$j; //@line 1803 "./dtoa.c"
      var $453=((_bigtens+($452<<3))|0); //@line 1803 "./dtoa.c"
      var $454=(tempDoubleI32[0]=HEAP32[(($453)>>2)],tempDoubleI32[1]=HEAP32[(($453+4)>>2)],tempDoubleF64[0]); //@line 1803 "./dtoa.c"
      var $455=$rv; //@line 1803 "./dtoa.c"
      var $456=(tempDoubleI32[0]=HEAP32[(($455)>>2)],tempDoubleI32[1]=HEAP32[(($455+4)>>2)],tempDoubleF64[0]); //@line 1803 "./dtoa.c"
      var $457=$456*$454; //@line 1803 "./dtoa.c"
      (tempDoubleF64[0]=$457,HEAP32[(($455)>>2)]=tempDoubleI32[0],HEAP32[(($455+4)>>2)]=tempDoubleI32[1]); //@line 1803 "./dtoa.c"
      var $458=$rv; //@line 1804 "./dtoa.c"
      var $459=(($458+4)|0); //@line 1804 "./dtoa.c"
      var $460=HEAP32[(($459)>>2)]; //@line 1804 "./dtoa.c"
      var $461=$460 & 2146435072; //@line 1804 "./dtoa.c"
      $z=$461; //@line 1804 "./dtoa.c"
      var $462=(($461)>>>0) > 2090860544; //@line 1804 "./dtoa.c"
      if ($462) { __label__ = 138; break; } else { __label__ = 139; break; } //@line 1804 "./dtoa.c"
    case 138: 
      __label__ = 128; break; //@line 1806 "./dtoa.c"
    case 139: 
      var $465=$z; //@line 1807 "./dtoa.c"
      var $466=(($465)>>>0) > 2089811968; //@line 1807 "./dtoa.c"
      if ($466) { __label__ = 140; break; } else { __label__ = 141; break; } //@line 1807 "./dtoa.c"
    case 140: 
      var $468=$rv; //@line 1810 "./dtoa.c"
      var $469=(($468+4)|0); //@line 1810 "./dtoa.c"
      HEAP32[(($469)>>2)]=2146435071; //@line 1810 "./dtoa.c"
      var $470=$rv; //@line 1811 "./dtoa.c"
      var $471=(($470)|0); //@line 1811 "./dtoa.c"
      HEAP32[(($471)>>2)]=-1; //@line 1811 "./dtoa.c"
      __label__ = 142; break; //@line 1812 "./dtoa.c"
    case 141: 
      var $473=$rv; //@line 1814 "./dtoa.c"
      var $474=(($473+4)|0); //@line 1814 "./dtoa.c"
      var $475=HEAP32[(($474)>>2)]; //@line 1814 "./dtoa.c"
      var $476=(($475+55574528)|0); //@line 1814 "./dtoa.c"
      HEAP32[(($474)>>2)]=$476; //@line 1814 "./dtoa.c"
      __label__ = 142; break;
    case 142: 
      __label__ = 143; break; //@line 1815 "./dtoa.c"
    case 143: 
      __label__ = 175; break; //@line 1816 "./dtoa.c"
    case 144: 
      var $480=$e1; //@line 1817 "./dtoa.c"
      var $481=(($480)|0) < 0; //@line 1817 "./dtoa.c"
      if ($481) { __label__ = 145; break; } else { __label__ = 174; break; } //@line 1817 "./dtoa.c"
    case 145: 
      var $483=$e1; //@line 1818 "./dtoa.c"
      var $484=(((-$483))|0); //@line 1818 "./dtoa.c"
      $e1=$484; //@line 1818 "./dtoa.c"
      var $485=$e1; //@line 1819 "./dtoa.c"
      var $486=$485 & 15; //@line 1819 "./dtoa.c"
      $i=$486; //@line 1819 "./dtoa.c"
      var $487=(($486)|0)!=0; //@line 1819 "./dtoa.c"
      if ($487) { __label__ = 146; break; } else { __label__ = 147; break; } //@line 1819 "./dtoa.c"
    case 146: 
      var $489=$i; //@line 1820 "./dtoa.c"
      var $490=((_tens+($489<<3))|0); //@line 1820 "./dtoa.c"
      var $491=(tempDoubleI32[0]=HEAP32[(($490)>>2)],tempDoubleI32[1]=HEAP32[(($490+4)>>2)],tempDoubleF64[0]); //@line 1820 "./dtoa.c"
      var $492=$rv; //@line 1820 "./dtoa.c"
      var $493=(tempDoubleI32[0]=HEAP32[(($492)>>2)],tempDoubleI32[1]=HEAP32[(($492+4)>>2)],tempDoubleF64[0]); //@line 1820 "./dtoa.c"
      var $494=$493/$491; //@line 1820 "./dtoa.c"
      (tempDoubleF64[0]=$494,HEAP32[(($492)>>2)]=tempDoubleI32[0],HEAP32[(($492+4)>>2)]=tempDoubleI32[1]); //@line 1820 "./dtoa.c"
      __label__ = 147; break; //@line 1820 "./dtoa.c"
    case 147: 
      var $496=$e1; //@line 1821 "./dtoa.c"
      var $497=$496 >> 4; //@line 1821 "./dtoa.c"
      $e1=$497; //@line 1821 "./dtoa.c"
      var $498=(($497)|0)!=0; //@line 1821 "./dtoa.c"
      if ($498) { __label__ = 148; break; } else { __label__ = 173; break; } //@line 1821 "./dtoa.c"
    case 148: 
      var $500=$e1; //@line 1822 "./dtoa.c"
      var $501=(($500)|0) >= 32; //@line 1822 "./dtoa.c"
      if ($501) { __label__ = 149; break; } else { __label__ = 150; break; } //@line 1822 "./dtoa.c"
    case 149: 
      __label__ = 169; break; //@line 1823 "./dtoa.c"
    case 150: 
      var $504=$e1; //@line 1825 "./dtoa.c"
      var $505=$504 & 16; //@line 1825 "./dtoa.c"
      var $506=(($505)|0)!=0; //@line 1825 "./dtoa.c"
      if ($506) { __label__ = 151; break; } else { __label__ = 152; break; } //@line 1825 "./dtoa.c"
    case 151: 
      $scale=106; //@line 1826 "./dtoa.c"
      __label__ = 152; break; //@line 1826 "./dtoa.c"
    case 152: 
      $j=0; //@line 1827 "./dtoa.c"
      __label__ = 153; break; //@line 1827 "./dtoa.c"
    case 153: 
      var $510=$e1; //@line 1827 "./dtoa.c"
      var $511=(($510)|0) > 0; //@line 1827 "./dtoa.c"
      if ($511) { __label__ = 154; break; } else { __label__ = 158; break; } //@line 1827 "./dtoa.c"
    case 154: 
      var $513=$e1; //@line 1828 "./dtoa.c"
      var $514=$513 & 1; //@line 1828 "./dtoa.c"
      var $515=(($514)|0)!=0; //@line 1828 "./dtoa.c"
      if ($515) { __label__ = 155; break; } else { __label__ = 156; break; } //@line 1828 "./dtoa.c"
    case 155: 
      var $517=$j; //@line 1829 "./dtoa.c"
      var $518=((_tinytens+($517<<3))|0); //@line 1829 "./dtoa.c"
      var $519=(tempDoubleI32[0]=HEAP32[(($518)>>2)],tempDoubleI32[1]=HEAP32[(($518+4)>>2)],tempDoubleF64[0]); //@line 1829 "./dtoa.c"
      var $520=$rv; //@line 1829 "./dtoa.c"
      var $521=(tempDoubleI32[0]=HEAP32[(($520)>>2)],tempDoubleI32[1]=HEAP32[(($520+4)>>2)],tempDoubleF64[0]); //@line 1829 "./dtoa.c"
      var $522=$521*$519; //@line 1829 "./dtoa.c"
      (tempDoubleF64[0]=$522,HEAP32[(($520)>>2)]=tempDoubleI32[0],HEAP32[(($520+4)>>2)]=tempDoubleI32[1]); //@line 1829 "./dtoa.c"
      __label__ = 156; break; //@line 1829 "./dtoa.c"
    case 156: 
      __label__ = 157; break; //@line 1829 "./dtoa.c"
    case 157: 
      var $525=$j; //@line 1827 "./dtoa.c"
      var $526=(($525+1)|0); //@line 1827 "./dtoa.c"
      $j=$526; //@line 1827 "./dtoa.c"
      var $527=$e1; //@line 1827 "./dtoa.c"
      var $528=$527 >> 1; //@line 1827 "./dtoa.c"
      $e1=$528; //@line 1827 "./dtoa.c"
      __label__ = 153; break; //@line 1827 "./dtoa.c"
    case 158: 
      var $530=$scale; //@line 1830 "./dtoa.c"
      var $531=(($530)|0)!=0; //@line 1830 "./dtoa.c"
      if ($531) { __label__ = 159; break; } else { __label__ = 167; break; } //@line 1830 "./dtoa.c"
    case 159: 
      var $533=$rv; //@line 1830 "./dtoa.c"
      var $534=(($533+4)|0); //@line 1830 "./dtoa.c"
      var $535=HEAP32[(($534)>>2)]; //@line 1830 "./dtoa.c"
      var $536=$535 & 2146435072; //@line 1830 "./dtoa.c"
      var $537=$536 >>> 20; //@line 1830 "./dtoa.c"
      var $538=((107-$537)|0); //@line 1830 "./dtoa.c"
      $j=$538; //@line 1830 "./dtoa.c"
      var $539=(($538)|0) > 0; //@line 1830 "./dtoa.c"
      if ($539) { __label__ = 160; break; } else { __label__ = 167; break; } //@line 1830 "./dtoa.c"
    case 160: 
      var $541=$j; //@line 1833 "./dtoa.c"
      var $542=(($541)|0) >= 32; //@line 1833 "./dtoa.c"
      if ($542) { __label__ = 161; break; } else { __label__ = 165; break; } //@line 1833 "./dtoa.c"
    case 161: 
      var $544=$rv; //@line 1834 "./dtoa.c"
      var $545=(($544)|0); //@line 1834 "./dtoa.c"
      HEAP32[(($545)>>2)]=0; //@line 1834 "./dtoa.c"
      var $546=$j; //@line 1835 "./dtoa.c"
      var $547=(($546)|0) >= 53; //@line 1835 "./dtoa.c"
      if ($547) { __label__ = 162; break; } else { __label__ = 163; break; } //@line 1835 "./dtoa.c"
    case 162: 
      var $549=$rv; //@line 1836 "./dtoa.c"
      var $550=(($549+4)|0); //@line 1836 "./dtoa.c"
      HEAP32[(($550)>>2)]=57671680; //@line 1836 "./dtoa.c"
      __label__ = 164; break; //@line 1836 "./dtoa.c"
    case 163: 
      var $552=$j; //@line 1838 "./dtoa.c"
      var $553=(($552-32)|0); //@line 1838 "./dtoa.c"
      var $554=-1 << $553; //@line 1838 "./dtoa.c"
      var $555=$rv; //@line 1838 "./dtoa.c"
      var $556=(($555+4)|0); //@line 1838 "./dtoa.c"
      var $557=HEAP32[(($556)>>2)]; //@line 1838 "./dtoa.c"
      var $558=$557 & $554; //@line 1838 "./dtoa.c"
      HEAP32[(($556)>>2)]=$558; //@line 1838 "./dtoa.c"
      __label__ = 164; break;
    case 164: 
      __label__ = 166; break; //@line 1839 "./dtoa.c"
    case 165: 
      var $561=$j; //@line 1841 "./dtoa.c"
      var $562=-1 << $561; //@line 1841 "./dtoa.c"
      var $563=$rv; //@line 1841 "./dtoa.c"
      var $564=(($563)|0); //@line 1841 "./dtoa.c"
      var $565=HEAP32[(($564)>>2)]; //@line 1841 "./dtoa.c"
      var $566=$565 & $562; //@line 1841 "./dtoa.c"
      HEAP32[(($564)>>2)]=$566; //@line 1841 "./dtoa.c"
      __label__ = 166; break;
    case 166: 
      __label__ = 167; break; //@line 1842 "./dtoa.c"
    case 167: 
      var $569=$rv; //@line 1854 "./dtoa.c"
      var $570=(tempDoubleI32[0]=HEAP32[(($569)>>2)],tempDoubleI32[1]=HEAP32[(($569+4)>>2)],tempDoubleF64[0]); //@line 1854 "./dtoa.c"
      var $571=$570 != 0; //@line 1854 "./dtoa.c"
      if ($571) { __label__ = 172; break; } else { __label__ = 168; break; } //@line 1854 "./dtoa.c"
    case 168: 
      __label__ = 169; break; //@line 1854 "./dtoa.c"
    case 169: 
      var $574=$rv; //@line 1856 "./dtoa.c"
      (tempDoubleF64[0]=0,HEAP32[(($574)>>2)]=tempDoubleI32[0],HEAP32[(($574+4)>>2)]=tempDoubleI32[1]); //@line 1856 "./dtoa.c"
      var $575=___errno(); //@line 1858 "./dtoa.c"
      HEAP32[(($575)>>2)]=34; //@line 1858 "./dtoa.c"
      var $576=$bd0; //@line 1860 "./dtoa.c"
      var $577=(($576)|0)!=0; //@line 1860 "./dtoa.c"
      if ($577) { __label__ = 170; break; } else { __label__ = 171; break; } //@line 1860 "./dtoa.c"
    case 170: 
      __label__ = 300; break; //@line 1861 "./dtoa.c"
    case 171: 
      __label__ = 301; break; //@line 1862 "./dtoa.c"
    case 172: 
      __label__ = 173; break; //@line 1872 "./dtoa.c"
    case 173: 
      __label__ = 174; break; //@line 1873 "./dtoa.c"
    case 174: 
      __label__ = 175; break;
    case 175: 
      var $584=$1; //@line 1879 "./dtoa.c"
      var $585=$s0; //@line 1879 "./dtoa.c"
      var $586=$nd0; //@line 1879 "./dtoa.c"
      var $587=$nd; //@line 1879 "./dtoa.c"
      var $588=$y; //@line 1879 "./dtoa.c"
      var $589=_s2b($584, $585, $586, $587, $588); //@line 1879 "./dtoa.c"
      $bd0=$589; //@line 1879 "./dtoa.c"
      __label__ = 176; break; //@line 1881 "./dtoa.c"
    case 176: 
      var $591=$1; //@line 1882 "./dtoa.c"
      var $592=$bd0; //@line 1882 "./dtoa.c"
      var $593=(($592+4)|0); //@line 1882 "./dtoa.c"
      var $594=HEAP32[(($593)>>2)]; //@line 1882 "./dtoa.c"
      var $595=_Balloc($591, $594); //@line 1882 "./dtoa.c"
      $bd=$595; //@line 1882 "./dtoa.c"
      var $596=$bd; //@line 1883 "./dtoa.c"
      var $597=(($596+12)|0); //@line 1883 "./dtoa.c"
      var $598=$597; //@line 1883 "./dtoa.c"
      var $599=$bd0; //@line 1883 "./dtoa.c"
      var $600=(($599+12)|0); //@line 1883 "./dtoa.c"
      var $601=$600; //@line 1883 "./dtoa.c"
      var $602=$bd0; //@line 1883 "./dtoa.c"
      var $603=(($602+16)|0); //@line 1883 "./dtoa.c"
      var $604=HEAP32[(($603)>>2)]; //@line 1883 "./dtoa.c"
      var $605=((($604<<2))|0); //@line 1883 "./dtoa.c"
      var $606=(($605+8)|0); //@line 1883 "./dtoa.c"
      assert($606 % 1 === 0, 'memcpy given ' + $606 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($598, $601, $606, 1); //@line 1883 "./dtoa.c"
      var $607=$1; //@line 1884 "./dtoa.c"
      var $608=$4; //@line 1884 "./dtoa.c"
      var $609=$rv; //@line 1884 "./dtoa.c"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($608)>>2)]=HEAP32[(($609)>>2)];HEAP32[(($608+4)>>2)]=HEAP32[(($609+4)>>2)]; //@line 1884 "./dtoa.c"
      var $610=_d2b($607, $4, $bbe, $bbbits); //@line 1884 "./dtoa.c"
      $bb=$610; //@line 1884 "./dtoa.c"
      var $611=$1; //@line 1885 "./dtoa.c"
      var $612=_i2b($611, 1); //@line 1885 "./dtoa.c"
      $bs=$612; //@line 1885 "./dtoa.c"
      var $613=$e; //@line 1887 "./dtoa.c"
      var $614=(($613)|0) >= 0; //@line 1887 "./dtoa.c"
      if ($614) { __label__ = 177; break; } else { __label__ = 178; break; } //@line 1887 "./dtoa.c"
    case 177: 
      $bb5=0; //@line 1888 "./dtoa.c"
      $bb2=0; //@line 1888 "./dtoa.c"
      var $616=$e; //@line 1889 "./dtoa.c"
      $bd5=$616; //@line 1889 "./dtoa.c"
      $bd2=$616; //@line 1889 "./dtoa.c"
      __label__ = 179; break; //@line 1890 "./dtoa.c"
    case 178: 
      var $618=$e; //@line 1892 "./dtoa.c"
      var $619=(((-$618))|0); //@line 1892 "./dtoa.c"
      $bb5=$619; //@line 1892 "./dtoa.c"
      $bb2=$619; //@line 1892 "./dtoa.c"
      $bd5=0; //@line 1893 "./dtoa.c"
      $bd2=0; //@line 1893 "./dtoa.c"
      __label__ = 179; break;
    case 179: 
      var $621=HEAP32[(($bbe)>>2)]; //@line 1895 "./dtoa.c"
      var $622=(($621)|0) >= 0; //@line 1895 "./dtoa.c"
      if ($622) { __label__ = 180; break; } else { __label__ = 181; break; } //@line 1895 "./dtoa.c"
    case 180: 
      var $624=HEAP32[(($bbe)>>2)]; //@line 1896 "./dtoa.c"
      var $625=$bb2; //@line 1896 "./dtoa.c"
      var $626=(($625+$624)|0); //@line 1896 "./dtoa.c"
      $bb2=$626; //@line 1896 "./dtoa.c"
      __label__ = 182; break; //@line 1896 "./dtoa.c"
    case 181: 
      var $628=HEAP32[(($bbe)>>2)]; //@line 1898 "./dtoa.c"
      var $629=$bd2; //@line 1898 "./dtoa.c"
      var $630=(($629-$628)|0); //@line 1898 "./dtoa.c"
      $bd2=$630; //@line 1898 "./dtoa.c"
      __label__ = 182; break;
    case 182: 
      var $632=$bb2; //@line 1899 "./dtoa.c"
      $bs2=$632; //@line 1899 "./dtoa.c"
      var $633=HEAP32[(($bbe)>>2)]; //@line 1905 "./dtoa.c"
      var $634=$scale; //@line 1905 "./dtoa.c"
      var $635=(($633-$634)|0); //@line 1905 "./dtoa.c"
      $j=$635; //@line 1905 "./dtoa.c"
      var $636=$j; //@line 1906 "./dtoa.c"
      var $637=HEAP32[(($bbbits)>>2)]; //@line 1906 "./dtoa.c"
      var $638=(($636+$637)|0); //@line 1906 "./dtoa.c"
      var $639=(($638-1)|0); //@line 1906 "./dtoa.c"
      $i=$639; //@line 1906 "./dtoa.c"
      var $640=$i; //@line 1907 "./dtoa.c"
      var $641=(($640)|0) < -1022; //@line 1907 "./dtoa.c"
      if ($641) { __label__ = 183; break; } else { __label__ = 184; break; } //@line 1907 "./dtoa.c"
    case 183: 
      var $643=$j; //@line 1908 "./dtoa.c"
      var $644=(($643+1075)|0); //@line 1908 "./dtoa.c"
      $j=$644; //@line 1908 "./dtoa.c"
      __label__ = 185; break; //@line 1908 "./dtoa.c"
    case 184: 
      var $646=HEAP32[(($bbbits)>>2)]; //@line 1910 "./dtoa.c"
      var $647=((54-$646)|0); //@line 1910 "./dtoa.c"
      $j=$647; //@line 1910 "./dtoa.c"
      __label__ = 185; break;
    case 185: 
      var $649=$j; //@line 1927 "./dtoa.c"
      var $650=$bb2; //@line 1927 "./dtoa.c"
      var $651=(($650+$649)|0); //@line 1927 "./dtoa.c"
      $bb2=$651; //@line 1927 "./dtoa.c"
      var $652=$j; //@line 1928 "./dtoa.c"
      var $653=$bd2; //@line 1928 "./dtoa.c"
      var $654=(($653+$652)|0); //@line 1928 "./dtoa.c"
      $bd2=$654; //@line 1928 "./dtoa.c"
      var $655=$scale; //@line 1930 "./dtoa.c"
      var $656=$bd2; //@line 1930 "./dtoa.c"
      var $657=(($656+$655)|0); //@line 1930 "./dtoa.c"
      $bd2=$657; //@line 1930 "./dtoa.c"
      var $658=$bb2; //@line 1932 "./dtoa.c"
      var $659=$bd2; //@line 1932 "./dtoa.c"
      var $660=(($658)|0) < (($659)|0); //@line 1932 "./dtoa.c"
      var $661=$bb2; //@line 1932 "./dtoa.c"
      var $662=$bd2; //@line 1932 "./dtoa.c"
      var $663=$660 ? $661 : $662; //@line 1932 "./dtoa.c"
      $i=$663; //@line 1932 "./dtoa.c"
      var $664=$i; //@line 1933 "./dtoa.c"
      var $665=$bs2; //@line 1933 "./dtoa.c"
      var $666=(($664)|0) > (($665)|0); //@line 1933 "./dtoa.c"
      if ($666) { __label__ = 186; break; } else { __label__ = 187; break; } //@line 1933 "./dtoa.c"
    case 186: 
      var $668=$bs2; //@line 1934 "./dtoa.c"
      $i=$668; //@line 1934 "./dtoa.c"
      __label__ = 187; break; //@line 1934 "./dtoa.c"
    case 187: 
      var $670=$i; //@line 1935 "./dtoa.c"
      var $671=(($670)|0) > 0; //@line 1935 "./dtoa.c"
      if ($671) { __label__ = 188; break; } else { __label__ = 189; break; } //@line 1935 "./dtoa.c"
    case 188: 
      var $673=$i; //@line 1936 "./dtoa.c"
      var $674=$bb2; //@line 1936 "./dtoa.c"
      var $675=(($674-$673)|0); //@line 1936 "./dtoa.c"
      $bb2=$675; //@line 1936 "./dtoa.c"
      var $676=$i; //@line 1937 "./dtoa.c"
      var $677=$bd2; //@line 1937 "./dtoa.c"
      var $678=(($677-$676)|0); //@line 1937 "./dtoa.c"
      $bd2=$678; //@line 1937 "./dtoa.c"
      var $679=$i; //@line 1938 "./dtoa.c"
      var $680=$bs2; //@line 1938 "./dtoa.c"
      var $681=(($680-$679)|0); //@line 1938 "./dtoa.c"
      $bs2=$681; //@line 1938 "./dtoa.c"
      __label__ = 189; break; //@line 1939 "./dtoa.c"
    case 189: 
      var $683=$bb5; //@line 1940 "./dtoa.c"
      var $684=(($683)|0) > 0; //@line 1940 "./dtoa.c"
      if ($684) { __label__ = 190; break; } else { __label__ = 191; break; } //@line 1940 "./dtoa.c"
    case 190: 
      var $686=$1; //@line 1941 "./dtoa.c"
      var $687=$bs; //@line 1941 "./dtoa.c"
      var $688=$bb5; //@line 1941 "./dtoa.c"
      var $689=_pow5mult($686, $687, $688); //@line 1941 "./dtoa.c"
      $bs=$689; //@line 1941 "./dtoa.c"
      var $690=$1; //@line 1942 "./dtoa.c"
      var $691=$bs; //@line 1942 "./dtoa.c"
      var $692=$bb; //@line 1942 "./dtoa.c"
      var $693=_mult($690, $691, $692); //@line 1942 "./dtoa.c"
      $bb1=$693; //@line 1942 "./dtoa.c"
      var $694=$1; //@line 1943 "./dtoa.c"
      var $695=$bb; //@line 1943 "./dtoa.c"
      _Bfree($694, $695); //@line 1943 "./dtoa.c"
      var $696=$bb1; //@line 1944 "./dtoa.c"
      $bb=$696; //@line 1944 "./dtoa.c"
      __label__ = 191; break; //@line 1945 "./dtoa.c"
    case 191: 
      var $698=$bb2; //@line 1946 "./dtoa.c"
      var $699=(($698)|0) > 0; //@line 1946 "./dtoa.c"
      if ($699) { __label__ = 192; break; } else { __label__ = 193; break; } //@line 1946 "./dtoa.c"
    case 192: 
      var $701=$1; //@line 1947 "./dtoa.c"
      var $702=$bb; //@line 1947 "./dtoa.c"
      var $703=$bb2; //@line 1947 "./dtoa.c"
      var $704=_lshift($701, $702, $703); //@line 1947 "./dtoa.c"
      $bb=$704; //@line 1947 "./dtoa.c"
      __label__ = 193; break; //@line 1947 "./dtoa.c"
    case 193: 
      var $706=$bd5; //@line 1948 "./dtoa.c"
      var $707=(($706)|0) > 0; //@line 1948 "./dtoa.c"
      if ($707) { __label__ = 194; break; } else { __label__ = 195; break; } //@line 1948 "./dtoa.c"
    case 194: 
      var $709=$1; //@line 1949 "./dtoa.c"
      var $710=$bd; //@line 1949 "./dtoa.c"
      var $711=$bd5; //@line 1949 "./dtoa.c"
      var $712=_pow5mult($709, $710, $711); //@line 1949 "./dtoa.c"
      $bd=$712; //@line 1949 "./dtoa.c"
      __label__ = 195; break; //@line 1949 "./dtoa.c"
    case 195: 
      var $714=$bd2; //@line 1950 "./dtoa.c"
      var $715=(($714)|0) > 0; //@line 1950 "./dtoa.c"
      if ($715) { __label__ = 196; break; } else { __label__ = 197; break; } //@line 1950 "./dtoa.c"
    case 196: 
      var $717=$1; //@line 1951 "./dtoa.c"
      var $718=$bd; //@line 1951 "./dtoa.c"
      var $719=$bd2; //@line 1951 "./dtoa.c"
      var $720=_lshift($717, $718, $719); //@line 1951 "./dtoa.c"
      $bd=$720; //@line 1951 "./dtoa.c"
      __label__ = 197; break; //@line 1951 "./dtoa.c"
    case 197: 
      var $722=$bs2; //@line 1952 "./dtoa.c"
      var $723=(($722)|0) > 0; //@line 1952 "./dtoa.c"
      if ($723) { __label__ = 198; break; } else { __label__ = 199; break; } //@line 1952 "./dtoa.c"
    case 198: 
      var $725=$1; //@line 1953 "./dtoa.c"
      var $726=$bs; //@line 1953 "./dtoa.c"
      var $727=$bs2; //@line 1953 "./dtoa.c"
      var $728=_lshift($725, $726, $727); //@line 1953 "./dtoa.c"
      $bs=$728; //@line 1953 "./dtoa.c"
      __label__ = 199; break; //@line 1953 "./dtoa.c"
    case 199: 
      var $730=$1; //@line 1954 "./dtoa.c"
      var $731=$bb; //@line 1954 "./dtoa.c"
      var $732=$bd; //@line 1954 "./dtoa.c"
      var $733=_diff($730, $731, $732); //@line 1954 "./dtoa.c"
      $delta=$733; //@line 1954 "./dtoa.c"
      var $734=$delta; //@line 1955 "./dtoa.c"
      var $735=(($734+12)|0); //@line 1955 "./dtoa.c"
      var $736=HEAP32[(($735)>>2)]; //@line 1955 "./dtoa.c"
      $dsign=$736; //@line 1955 "./dtoa.c"
      var $737=$delta; //@line 1956 "./dtoa.c"
      var $738=(($737+12)|0); //@line 1956 "./dtoa.c"
      HEAP32[(($738)>>2)]=0; //@line 1956 "./dtoa.c"
      var $739=$delta; //@line 1957 "./dtoa.c"
      var $740=$bs; //@line 1957 "./dtoa.c"
      var $741=_cmp($739, $740); //@line 1957 "./dtoa.c"
      $i=$741; //@line 1957 "./dtoa.c"
      var $742=$i; //@line 2049 "./dtoa.c"
      var $743=(($742)|0) < 0; //@line 2049 "./dtoa.c"
      if ($743) { __label__ = 200; break; } else { __label__ = 211; break; } //@line 2049 "./dtoa.c"
    case 200: 
      var $745=$dsign; //@line 2053 "./dtoa.c"
      var $746=(($745)|0)!=0; //@line 2053 "./dtoa.c"
      if ($746) { __label__ = 204; break; } else { __label__ = 201; break; } //@line 2053 "./dtoa.c"
    case 201: 
      var $748=$rv; //@line 2053 "./dtoa.c"
      var $749=(($748)|0); //@line 2053 "./dtoa.c"
      var $750=HEAP32[(($749)>>2)]; //@line 2053 "./dtoa.c"
      var $751=(($750)|0)!=0; //@line 2053 "./dtoa.c"
      if ($751) { __label__ = 204; break; } else { __label__ = 202; break; } //@line 2053 "./dtoa.c"
    case 202: 
      var $753=$rv; //@line 2053 "./dtoa.c"
      var $754=(($753+4)|0); //@line 2053 "./dtoa.c"
      var $755=HEAP32[(($754)>>2)]; //@line 2053 "./dtoa.c"
      var $756=$755 & 1048575; //@line 2053 "./dtoa.c"
      var $757=(($756)|0)!=0; //@line 2053 "./dtoa.c"
      if ($757) { __label__ = 204; break; } else { __label__ = 203; break; } //@line 2053 "./dtoa.c"
    case 203: 
      var $759=$rv; //@line 2053 "./dtoa.c"
      var $760=(($759+4)|0); //@line 2053 "./dtoa.c"
      var $761=HEAP32[(($760)>>2)]; //@line 2053 "./dtoa.c"
      var $762=$761 & 2146435072; //@line 2053 "./dtoa.c"
      var $763=(($762)>>>0) <= 112197632; //@line 2053 "./dtoa.c"
      if ($763) { __label__ = 204; break; } else { __label__ = 205; break; } //@line 2053 "./dtoa.c"
    case 204: 
      __label__ = 294; break; //@line 2066 "./dtoa.c"
    case 205: 
      var $766=$delta; //@line 2068 "./dtoa.c"
      var $767=(($766+20)|0); //@line 2068 "./dtoa.c"
      var $768=(($767)|0); //@line 2068 "./dtoa.c"
      var $769=HEAP32[(($768)>>2)]; //@line 2068 "./dtoa.c"
      var $770=(($769)|0)!=0; //@line 2068 "./dtoa.c"
      if ($770) { __label__ = 208; break; } else { __label__ = 206; break; } //@line 2068 "./dtoa.c"
    case 206: 
      var $772=$delta; //@line 2068 "./dtoa.c"
      var $773=(($772+16)|0); //@line 2068 "./dtoa.c"
      var $774=HEAP32[(($773)>>2)]; //@line 2068 "./dtoa.c"
      var $775=(($774)|0) <= 1; //@line 2068 "./dtoa.c"
      if ($775) { __label__ = 207; break; } else { __label__ = 208; break; } //@line 2068 "./dtoa.c"
    case 207: 
      __label__ = 294; break; //@line 2073 "./dtoa.c"
    case 208: 
      var $778=$1; //@line 2075 "./dtoa.c"
      var $779=$delta; //@line 2075 "./dtoa.c"
      var $780=_lshift($778, $779, 1); //@line 2075 "./dtoa.c"
      $delta=$780; //@line 2075 "./dtoa.c"
      var $781=$delta; //@line 2076 "./dtoa.c"
      var $782=$bs; //@line 2076 "./dtoa.c"
      var $783=_cmp($781, $782); //@line 2076 "./dtoa.c"
      var $784=(($783)|0) > 0; //@line 2076 "./dtoa.c"
      if ($784) { __label__ = 209; break; } else { __label__ = 210; break; } //@line 2076 "./dtoa.c"
    case 209: 
      __label__ = 224; break; //@line 2077 "./dtoa.c"
    case 210: 
      __label__ = 294; break; //@line 2078 "./dtoa.c"
    case 211: 
      var $788=$i; //@line 2080 "./dtoa.c"
      var $789=(($788)|0)==0; //@line 2080 "./dtoa.c"
      if ($789) { __label__ = 212; break; } else { __label__ = 240; break; } //@line 2080 "./dtoa.c"
    case 212: 
      var $791=$dsign; //@line 2082 "./dtoa.c"
      var $792=(($791)|0)!=0; //@line 2082 "./dtoa.c"
      if ($792) { __label__ = 213; break; } else { __label__ = 221; break; } //@line 2082 "./dtoa.c"
    case 213: 
      var $794=$rv; //@line 2083 "./dtoa.c"
      var $795=(($794+4)|0); //@line 2083 "./dtoa.c"
      var $796=HEAP32[(($795)>>2)]; //@line 2083 "./dtoa.c"
      var $797=$796 & 1048575; //@line 2083 "./dtoa.c"
      var $798=(($797)|0)==1048575; //@line 2083 "./dtoa.c"
      if ($798) { __label__ = 214; break; } else { __label__ = 220; break; } //@line 2083 "./dtoa.c"
    case 214: 
      var $800=$rv; //@line 2083 "./dtoa.c"
      var $801=(($800)|0); //@line 2083 "./dtoa.c"
      var $802=HEAP32[(($801)>>2)]; //@line 2083 "./dtoa.c"
      var $803=$scale; //@line 2083 "./dtoa.c"
      var $804=(($803)|0)!=0; //@line 2083 "./dtoa.c"
      if ($804) { __label__ = 215; break; } else { __label__ = 217; break; } //@line 2083 "./dtoa.c"
    case 215: 
      var $806=$rv; //@line 2083 "./dtoa.c"
      var $807=(($806+4)|0); //@line 2083 "./dtoa.c"
      var $808=HEAP32[(($807)>>2)]; //@line 2083 "./dtoa.c"
      var $809=$808 & 2146435072; //@line 2083 "./dtoa.c"
      $y=$809; //@line 2083 "./dtoa.c"
      var $810=(($809)>>>0) <= 111149056; //@line 2083 "./dtoa.c"
      if ($810) { __label__ = 216; break; } else { __label__ = 217; break; } //@line 2083 "./dtoa.c"
    case 216: 
      var $812=$y; //@line 2083 "./dtoa.c"
      var $813=$812 >>> 20; //@line 2083 "./dtoa.c"
      var $814=((107-$813)|0); //@line 2083 "./dtoa.c"
      var $815=-1 << $814; //@line 2083 "./dtoa.c"
      var $816=-1 & $815; //@line 2083 "./dtoa.c"
      var $819 = $816;__label__ = 218; break; //@line 2083 "./dtoa.c"
    case 217: 
      var $819 = -1;__label__ = 218; break; //@line 2083 "./dtoa.c"
    case 218: 
      var $819; //@line 2083 "./dtoa.c"
      var $820=(($802)|0)==(($819)|0); //@line 2083 "./dtoa.c"
      if ($820) { __label__ = 219; break; } else { __label__ = 220; break; } //@line 2083 "./dtoa.c"
    case 219: 
      var $822=$rv; //@line 2091 "./dtoa.c"
      var $823=(($822+4)|0); //@line 2091 "./dtoa.c"
      var $824=HEAP32[(($823)>>2)]; //@line 2091 "./dtoa.c"
      var $825=$824 & 2146435072; //@line 2091 "./dtoa.c"
      var $826=(($825+1048576)|0); //@line 2091 "./dtoa.c"
      var $827=$rv; //@line 2091 "./dtoa.c"
      var $828=(($827+4)|0); //@line 2091 "./dtoa.c"
      HEAP32[(($828)>>2)]=$826; //@line 2091 "./dtoa.c"
      var $829=$rv; //@line 2097 "./dtoa.c"
      var $830=(($829)|0); //@line 2097 "./dtoa.c"
      HEAP32[(($830)>>2)]=0; //@line 2097 "./dtoa.c"
      $dsign=0; //@line 2099 "./dtoa.c"
      __label__ = 294; break; //@line 2101 "./dtoa.c"
    case 220: 
      __label__ = 232; break; //@line 2103 "./dtoa.c"
    case 221: 
      var $833=$rv; //@line 2104 "./dtoa.c"
      var $834=(($833+4)|0); //@line 2104 "./dtoa.c"
      var $835=HEAP32[(($834)>>2)]; //@line 2104 "./dtoa.c"
      var $836=$835 & 1048575; //@line 2104 "./dtoa.c"
      var $837=(($836)|0)!=0; //@line 2104 "./dtoa.c"
      if ($837) { __label__ = 231; break; } else { __label__ = 222; break; } //@line 2104 "./dtoa.c"
    case 222: 
      var $839=$rv; //@line 2104 "./dtoa.c"
      var $840=(($839)|0); //@line 2104 "./dtoa.c"
      var $841=HEAP32[(($840)>>2)]; //@line 2104 "./dtoa.c"
      var $842=(($841)|0)!=0; //@line 2104 "./dtoa.c"
      if ($842) { __label__ = 231; break; } else { __label__ = 223; break; } //@line 2104 "./dtoa.c"
    case 223: 
      __label__ = 224; break; //@line 2104 "./dtoa.c"
    case 224: 
      var $845=$scale; //@line 2122 "./dtoa.c"
      var $846=(($845)|0)!=0; //@line 2122 "./dtoa.c"
      if ($846) { __label__ = 225; break; } else { __label__ = 230; break; } //@line 2122 "./dtoa.c"
    case 225: 
      var $848=$rv; //@line 2123 "./dtoa.c"
      var $849=(($848+4)|0); //@line 2123 "./dtoa.c"
      var $850=HEAP32[(($849)>>2)]; //@line 2123 "./dtoa.c"
      var $851=$850 & 2146435072; //@line 2123 "./dtoa.c"
      $L=$851; //@line 2123 "./dtoa.c"
      var $852=$L; //@line 2124 "./dtoa.c"
      var $853=(($852)|0) <= 112197632; //@line 2124 "./dtoa.c"
      if ($853) { __label__ = 226; break; } else { __label__ = 229; break; } //@line 2124 "./dtoa.c"
    case 226: 
      var $855=$L; //@line 2125 "./dtoa.c"
      var $856=(($855)|0) > 57671680; //@line 2125 "./dtoa.c"
      if ($856) { __label__ = 227; break; } else { __label__ = 228; break; } //@line 2125 "./dtoa.c"
    case 227: 
      __label__ = 294; break; //@line 2128 "./dtoa.c"
    case 228: 
      __label__ = 169; break; //@line 2130 "./dtoa.c"
    case 229: 
      __label__ = 230; break; //@line 2132 "./dtoa.c"
    case 230: 
      var $861=$rv; //@line 2134 "./dtoa.c"
      var $862=(($861+4)|0); //@line 2134 "./dtoa.c"
      var $863=HEAP32[(($862)>>2)]; //@line 2134 "./dtoa.c"
      var $864=$863 & 2146435072; //@line 2134 "./dtoa.c"
      var $865=(($864-1048576)|0); //@line 2134 "./dtoa.c"
      $L=$865; //@line 2134 "./dtoa.c"
      var $866=$L; //@line 2136 "./dtoa.c"
      var $867=$866 | 1048575; //@line 2136 "./dtoa.c"
      var $868=$rv; //@line 2136 "./dtoa.c"
      var $869=(($868+4)|0); //@line 2136 "./dtoa.c"
      HEAP32[(($869)>>2)]=$867; //@line 2136 "./dtoa.c"
      var $870=$rv; //@line 2137 "./dtoa.c"
      var $871=(($870)|0); //@line 2137 "./dtoa.c"
      HEAP32[(($871)>>2)]=-1; //@line 2137 "./dtoa.c"
      __label__ = 294; break; //@line 2141 "./dtoa.c"
    case 231: 
      __label__ = 232; break;
    case 232: 
      var $874=$rv; //@line 2145 "./dtoa.c"
      var $875=(($874)|0); //@line 2145 "./dtoa.c"
      var $876=HEAP32[(($875)>>2)]; //@line 2145 "./dtoa.c"
      var $877=$876 & 1; //@line 2145 "./dtoa.c"
      var $878=(($877)|0)!=0; //@line 2145 "./dtoa.c"
      if ($878) { __label__ = 234; break; } else { __label__ = 233; break; } //@line 2145 "./dtoa.c"
    case 233: 
      __label__ = 294; break; //@line 2146 "./dtoa.c"
    case 234: 
      var $881=$dsign; //@line 2148 "./dtoa.c"
      var $882=(($881)|0)!=0; //@line 2148 "./dtoa.c"
      if ($882) { __label__ = 235; break; } else { __label__ = 236; break; } //@line 2148 "./dtoa.c"
    case 235: 
      var $884=$5; //@line 2149 "./dtoa.c"
      var $885=$rv; //@line 2149 "./dtoa.c"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($884)>>2)]=HEAP32[(($885)>>2)];HEAP32[(($884+4)>>2)]=HEAP32[(($885+4)>>2)]; //@line 2149 "./dtoa.c"
      var $886=_ulp($5); //@line 2149 "./dtoa.c"
      var $887=$rv; //@line 2149 "./dtoa.c"
      var $888=(tempDoubleI32[0]=HEAP32[(($887)>>2)],tempDoubleI32[1]=HEAP32[(($887+4)>>2)],tempDoubleF64[0]); //@line 2149 "./dtoa.c"
      var $889=$888+$886; //@line 2149 "./dtoa.c"
      (tempDoubleF64[0]=$889,HEAP32[(($887)>>2)]=tempDoubleI32[0],HEAP32[(($887+4)>>2)]=tempDoubleI32[1]); //@line 2149 "./dtoa.c"
      __label__ = 239; break; //@line 2149 "./dtoa.c"
    case 236: 
      var $891=$6; //@line 2152 "./dtoa.c"
      var $892=$rv; //@line 2152 "./dtoa.c"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($891)>>2)]=HEAP32[(($892)>>2)];HEAP32[(($891+4)>>2)]=HEAP32[(($892+4)>>2)]; //@line 2152 "./dtoa.c"
      var $893=_ulp($6); //@line 2152 "./dtoa.c"
      var $894=$rv; //@line 2152 "./dtoa.c"
      var $895=(tempDoubleI32[0]=HEAP32[(($894)>>2)],tempDoubleI32[1]=HEAP32[(($894+4)>>2)],tempDoubleF64[0]); //@line 2152 "./dtoa.c"
      var $896=$895-$893; //@line 2152 "./dtoa.c"
      (tempDoubleF64[0]=$896,HEAP32[(($894)>>2)]=tempDoubleI32[0],HEAP32[(($894+4)>>2)]=tempDoubleI32[1]); //@line 2152 "./dtoa.c"
      var $897=$rv; //@line 2154 "./dtoa.c"
      var $898=(tempDoubleI32[0]=HEAP32[(($897)>>2)],tempDoubleI32[1]=HEAP32[(($897+4)>>2)],tempDoubleF64[0]); //@line 2154 "./dtoa.c"
      var $899=$898 != 0; //@line 2154 "./dtoa.c"
      if ($899) { __label__ = 238; break; } else { __label__ = 237; break; } //@line 2154 "./dtoa.c"
    case 237: 
      __label__ = 169; break; //@line 2155 "./dtoa.c"
    case 238: 
      __label__ = 239; break;
    case 239: 
      var $903=$dsign; //@line 2159 "./dtoa.c"
      var $904=((1-$903)|0); //@line 2159 "./dtoa.c"
      $dsign=$904; //@line 2159 "./dtoa.c"
      __label__ = 294; break; //@line 2162 "./dtoa.c"
    case 240: 
      var $906=$delta; //@line 2164 "./dtoa.c"
      var $907=$bs; //@line 2164 "./dtoa.c"
      var $908=_ratio($906, $907); //@line 2164 "./dtoa.c"
      $aadj=$908; //@line 2164 "./dtoa.c"
      var $909=$908 <= 2; //@line 2164 "./dtoa.c"
      if ($909) { __label__ = 241; break; } else { __label__ = 255; break; } //@line 2164 "./dtoa.c"
    case 241: 
      var $911=$dsign; //@line 2165 "./dtoa.c"
      var $912=(($911)|0)!=0; //@line 2165 "./dtoa.c"
      if ($912) { __label__ = 242; break; } else { __label__ = 243; break; } //@line 2165 "./dtoa.c"
    case 242: 
      var $914=$aadj1; //@line 2166 "./dtoa.c"
      (tempDoubleF64[0]=1,HEAP32[(($914)>>2)]=tempDoubleI32[0],HEAP32[(($914+4)>>2)]=tempDoubleI32[1]); //@line 2166 "./dtoa.c"
      $aadj=1; //@line 2166 "./dtoa.c"
      __label__ = 254; break; //@line 2166 "./dtoa.c"
    case 243: 
      var $916=$rv; //@line 2167 "./dtoa.c"
      var $917=(($916)|0); //@line 2167 "./dtoa.c"
      var $918=HEAP32[(($917)>>2)]; //@line 2167 "./dtoa.c"
      var $919=(($918)|0)!=0; //@line 2167 "./dtoa.c"
      if ($919) { __label__ = 245; break; } else { __label__ = 244; break; } //@line 2167 "./dtoa.c"
    case 244: 
      var $921=$rv; //@line 2167 "./dtoa.c"
      var $922=(($921+4)|0); //@line 2167 "./dtoa.c"
      var $923=HEAP32[(($922)>>2)]; //@line 2167 "./dtoa.c"
      var $924=$923 & 1048575; //@line 2167 "./dtoa.c"
      var $925=(($924)|0)!=0; //@line 2167 "./dtoa.c"
      if ($925) { __label__ = 245; break; } else { __label__ = 249; break; } //@line 2167 "./dtoa.c"
    case 245: 
      var $927=$rv; //@line 2169 "./dtoa.c"
      var $928=(($927)|0); //@line 2169 "./dtoa.c"
      var $929=HEAP32[(($928)>>2)]; //@line 2169 "./dtoa.c"
      var $930=(($929)|0)==1; //@line 2169 "./dtoa.c"
      if ($930) { __label__ = 246; break; } else { __label__ = 248; break; } //@line 2169 "./dtoa.c"
    case 246: 
      var $932=$rv; //@line 2169 "./dtoa.c"
      var $933=(($932+4)|0); //@line 2169 "./dtoa.c"
      var $934=HEAP32[(($933)>>2)]; //@line 2169 "./dtoa.c"
      var $935=(($934)|0)!=0; //@line 2169 "./dtoa.c"
      if ($935) { __label__ = 248; break; } else { __label__ = 247; break; } //@line 2169 "./dtoa.c"
    case 247: 
      __label__ = 169; break; //@line 2170 "./dtoa.c"
    case 248: 
      $aadj=1; //@line 2172 "./dtoa.c"
      var $938=$aadj1; //@line 2173 "./dtoa.c"
      (tempDoubleF64[0]=-1,HEAP32[(($938)>>2)]=tempDoubleI32[0],HEAP32[(($938+4)>>2)]=tempDoubleI32[1]); //@line 2173 "./dtoa.c"
      __label__ = 253; break; //@line 2174 "./dtoa.c"
    case 249: 
      var $940=$aadj; //@line 2179 "./dtoa.c"
      var $941=$940 < 1; //@line 2179 "./dtoa.c"
      if ($941) { __label__ = 250; break; } else { __label__ = 251; break; } //@line 2179 "./dtoa.c"
    case 250: 
      $aadj=0.5; //@line 2180 "./dtoa.c"
      __label__ = 252; break; //@line 2180 "./dtoa.c"
    case 251: 
      var $944=$aadj; //@line 2182 "./dtoa.c"
      var $945=$944*0.5; //@line 2182 "./dtoa.c"
      $aadj=$945; //@line 2182 "./dtoa.c"
      __label__ = 252; break;
    case 252: 
      var $947=$aadj; //@line 2183 "./dtoa.c"
      var $948=(-$947); //@line 2183 "./dtoa.c"
      var $949=$aadj1; //@line 2183 "./dtoa.c"
      (tempDoubleF64[0]=$948,HEAP32[(($949)>>2)]=tempDoubleI32[0],HEAP32[(($949+4)>>2)]=tempDoubleI32[1]); //@line 2183 "./dtoa.c"
      __label__ = 253; break;
    case 253: 
      __label__ = 254; break;
    case 254: 
      __label__ = 259; break; //@line 2185 "./dtoa.c"
    case 255: 
      var $953=$aadj; //@line 2187 "./dtoa.c"
      var $954=$953*0.5; //@line 2187 "./dtoa.c"
      $aadj=$954; //@line 2187 "./dtoa.c"
      var $955=$dsign; //@line 2188 "./dtoa.c"
      var $956=(($955)|0)!=0; //@line 2188 "./dtoa.c"
      if ($956) { __label__ = 256; break; } else { __label__ = 257; break; } //@line 2188 "./dtoa.c"
    case 256: 
      var $958=$aadj; //@line 2188 "./dtoa.c"
      var $963 = $958;__label__ = 258; break; //@line 2188 "./dtoa.c"
    case 257: 
      var $960=$aadj; //@line 2188 "./dtoa.c"
      var $961=(-$960); //@line 2188 "./dtoa.c"
      var $963 = $961;__label__ = 258; break; //@line 2188 "./dtoa.c"
    case 258: 
      var $963; //@line 2188 "./dtoa.c"
      var $964=$aadj1; //@line 2188 "./dtoa.c"
      (tempDoubleF64[0]=$963,HEAP32[(($964)>>2)]=tempDoubleI32[0],HEAP32[(($964+4)>>2)]=tempDoubleI32[1]); //@line 2188 "./dtoa.c"
      __label__ = 259; break;
    case 259: 
      var $966=$rv; //@line 2203 "./dtoa.c"
      var $967=(($966+4)|0); //@line 2203 "./dtoa.c"
      var $968=HEAP32[(($967)>>2)]; //@line 2203 "./dtoa.c"
      var $969=$968 & 2146435072; //@line 2203 "./dtoa.c"
      $y=$969; //@line 2203 "./dtoa.c"
      var $970=$y; //@line 2207 "./dtoa.c"
      var $971=(($970)|0)==2145386496; //@line 2207 "./dtoa.c"
      if ($971) { __label__ = 260; break; } else { __label__ = 267; break; } //@line 2207 "./dtoa.c"
    case 260: 
      var $973=$rv; //@line 2208 "./dtoa.c"
      var $974=(tempDoubleI32[0]=HEAP32[(($973)>>2)],tempDoubleI32[1]=HEAP32[(($973+4)>>2)],tempDoubleF64[0]); //@line 2208 "./dtoa.c"
      var $975=$rv0; //@line 2208 "./dtoa.c"
      (tempDoubleF64[0]=$974,HEAP32[(($975)>>2)]=tempDoubleI32[0],HEAP32[(($975+4)>>2)]=tempDoubleI32[1]); //@line 2208 "./dtoa.c"
      var $976=$rv; //@line 2209 "./dtoa.c"
      var $977=(($976+4)|0); //@line 2209 "./dtoa.c"
      var $978=HEAP32[(($977)>>2)]; //@line 2209 "./dtoa.c"
      var $979=(($978-55574528)|0); //@line 2209 "./dtoa.c"
      HEAP32[(($977)>>2)]=$979; //@line 2209 "./dtoa.c"
      var $980=$aadj1; //@line 2210 "./dtoa.c"
      var $981=(tempDoubleI32[0]=HEAP32[(($980)>>2)],tempDoubleI32[1]=HEAP32[(($980+4)>>2)],tempDoubleF64[0]); //@line 2210 "./dtoa.c"
      var $982=$7; //@line 2210 "./dtoa.c"
      var $983=$rv; //@line 2210 "./dtoa.c"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($982)>>2)]=HEAP32[(($983)>>2)];HEAP32[(($982+4)>>2)]=HEAP32[(($983+4)>>2)]; //@line 2210 "./dtoa.c"
      var $984=_ulp($7); //@line 2210 "./dtoa.c"
      var $985=$981*$984; //@line 2210 "./dtoa.c"
      $adj=$985; //@line 2210 "./dtoa.c"
      var $986=$adj; //@line 2211 "./dtoa.c"
      var $987=$rv; //@line 2211 "./dtoa.c"
      var $988=(tempDoubleI32[0]=HEAP32[(($987)>>2)],tempDoubleI32[1]=HEAP32[(($987+4)>>2)],tempDoubleF64[0]); //@line 2211 "./dtoa.c"
      var $989=$988+$986; //@line 2211 "./dtoa.c"
      (tempDoubleF64[0]=$989,HEAP32[(($987)>>2)]=tempDoubleI32[0],HEAP32[(($987+4)>>2)]=tempDoubleI32[1]); //@line 2211 "./dtoa.c"
      var $990=$rv; //@line 2212 "./dtoa.c"
      var $991=(($990+4)|0); //@line 2212 "./dtoa.c"
      var $992=HEAP32[(($991)>>2)]; //@line 2212 "./dtoa.c"
      var $993=$992 & 2146435072; //@line 2212 "./dtoa.c"
      var $994=(($993)>>>0) >= 2090860544; //@line 2212 "./dtoa.c"
      if ($994) { __label__ = 261; break; } else { __label__ = 265; break; } //@line 2212 "./dtoa.c"
    case 261: 
      var $996=$rv0; //@line 2214 "./dtoa.c"
      var $997=(($996+4)|0); //@line 2214 "./dtoa.c"
      var $998=HEAP32[(($997)>>2)]; //@line 2214 "./dtoa.c"
      var $999=(($998)|0)==2146435071; //@line 2214 "./dtoa.c"
      if ($999) { __label__ = 262; break; } else { __label__ = 264; break; } //@line 2214 "./dtoa.c"
    case 262: 
      var $1001=$rv0; //@line 2214 "./dtoa.c"
      var $1002=(($1001)|0); //@line 2214 "./dtoa.c"
      var $1003=HEAP32[(($1002)>>2)]; //@line 2214 "./dtoa.c"
      var $1004=(($1003)|0)==-1; //@line 2214 "./dtoa.c"
      if ($1004) { __label__ = 263; break; } else { __label__ = 264; break; } //@line 2214 "./dtoa.c"
    case 263: 
      __label__ = 128; break; //@line 2215 "./dtoa.c"
    case 264: 
      var $1007=$rv; //@line 2216 "./dtoa.c"
      var $1008=(($1007+4)|0); //@line 2216 "./dtoa.c"
      HEAP32[(($1008)>>2)]=2146435071; //@line 2216 "./dtoa.c"
      var $1009=$rv; //@line 2217 "./dtoa.c"
      var $1010=(($1009)|0); //@line 2217 "./dtoa.c"
      HEAP32[(($1010)>>2)]=-1; //@line 2217 "./dtoa.c"
      __label__ = 293; break; //@line 2218 "./dtoa.c"
    case 265: 
      var $1012=$rv; //@line 2221 "./dtoa.c"
      var $1013=(($1012+4)|0); //@line 2221 "./dtoa.c"
      var $1014=HEAP32[(($1013)>>2)]; //@line 2221 "./dtoa.c"
      var $1015=(($1014+55574528)|0); //@line 2221 "./dtoa.c"
      HEAP32[(($1013)>>2)]=$1015; //@line 2221 "./dtoa.c"
      __label__ = 266; break;
    case 266: 
      __label__ = 278; break; //@line 2222 "./dtoa.c"
    case 267: 
      var $1018=$scale; //@line 2225 "./dtoa.c"
      var $1019=(($1018)|0)!=0; //@line 2225 "./dtoa.c"
      if ($1019) { __label__ = 268; break; } else { __label__ = 277; break; } //@line 2225 "./dtoa.c"
    case 268: 
      var $1021=$y; //@line 2225 "./dtoa.c"
      var $1022=(($1021)>>>0) <= 111149056; //@line 2225 "./dtoa.c"
      if ($1022) { __label__ = 269; break; } else { __label__ = 277; break; } //@line 2225 "./dtoa.c"
    case 269: 
      var $1024=$aadj; //@line 2226 "./dtoa.c"
      var $1025=$1024 <= 2147483647; //@line 2226 "./dtoa.c"
      if ($1025) { __label__ = 270; break; } else { __label__ = 276; break; } //@line 2226 "./dtoa.c"
    case 270: 
      var $1027=$aadj; //@line 2227 "./dtoa.c"
      var $1028=($1027 >= 0 ? Math.floor($1027) : Math.ceil($1027)); //@line 2227 "./dtoa.c"
      $z=$1028; //@line 2227 "./dtoa.c"
      var $1029=(($1028)>>>0) <= 0; //@line 2227 "./dtoa.c"
      if ($1029) { __label__ = 271; break; } else { __label__ = 272; break; } //@line 2227 "./dtoa.c"
    case 271: 
      $z=1; //@line 2228 "./dtoa.c"
      __label__ = 272; break; //@line 2228 "./dtoa.c"
    case 272: 
      var $1032=$z; //@line 2229 "./dtoa.c"
      var $1033=(($1032)>>>0); //@line 2229 "./dtoa.c"
      $aadj=$1033; //@line 2229 "./dtoa.c"
      var $1034=$dsign; //@line 2230 "./dtoa.c"
      var $1035=(($1034)|0)!=0; //@line 2230 "./dtoa.c"
      if ($1035) { __label__ = 273; break; } else { __label__ = 274; break; } //@line 2230 "./dtoa.c"
    case 273: 
      var $1037=$aadj; //@line 2230 "./dtoa.c"
      var $1042 = $1037;__label__ = 275; break; //@line 2230 "./dtoa.c"
    case 274: 
      var $1039=$aadj; //@line 2230 "./dtoa.c"
      var $1040=(-$1039); //@line 2230 "./dtoa.c"
      var $1042 = $1040;__label__ = 275; break; //@line 2230 "./dtoa.c"
    case 275: 
      var $1042; //@line 2230 "./dtoa.c"
      var $1043=$aadj1; //@line 2230 "./dtoa.c"
      (tempDoubleF64[0]=$1042,HEAP32[(($1043)>>2)]=tempDoubleI32[0],HEAP32[(($1043+4)>>2)]=tempDoubleI32[1]); //@line 2230 "./dtoa.c"
      __label__ = 276; break; //@line 2231 "./dtoa.c"
    case 276: 
      var $1045=$y; //@line 2232 "./dtoa.c"
      var $1046=((112197632-$1045)|0); //@line 2232 "./dtoa.c"
      var $1047=$aadj1; //@line 2232 "./dtoa.c"
      var $1048=(($1047+4)|0); //@line 2232 "./dtoa.c"
      var $1049=HEAP32[(($1048)>>2)]; //@line 2232 "./dtoa.c"
      var $1050=(($1049+$1046)|0); //@line 2232 "./dtoa.c"
      HEAP32[(($1048)>>2)]=$1050; //@line 2232 "./dtoa.c"
      __label__ = 277; break; //@line 2233 "./dtoa.c"
    case 277: 
      var $1052=$aadj1; //@line 2234 "./dtoa.c"
      var $1053=(tempDoubleI32[0]=HEAP32[(($1052)>>2)],tempDoubleI32[1]=HEAP32[(($1052+4)>>2)],tempDoubleF64[0]); //@line 2234 "./dtoa.c"
      var $1054=$8; //@line 2234 "./dtoa.c"
      var $1055=$rv; //@line 2234 "./dtoa.c"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1054)>>2)]=HEAP32[(($1055)>>2)];HEAP32[(($1054+4)>>2)]=HEAP32[(($1055+4)>>2)]; //@line 2234 "./dtoa.c"
      var $1056=_ulp($8); //@line 2234 "./dtoa.c"
      var $1057=$1053*$1056; //@line 2234 "./dtoa.c"
      $adj=$1057; //@line 2234 "./dtoa.c"
      var $1058=$adj; //@line 2235 "./dtoa.c"
      var $1059=$rv; //@line 2235 "./dtoa.c"
      var $1060=(tempDoubleI32[0]=HEAP32[(($1059)>>2)],tempDoubleI32[1]=HEAP32[(($1059+4)>>2)],tempDoubleF64[0]); //@line 2235 "./dtoa.c"
      var $1061=$1060+$1058; //@line 2235 "./dtoa.c"
      (tempDoubleF64[0]=$1061,HEAP32[(($1059)>>2)]=tempDoubleI32[0],HEAP32[(($1059+4)>>2)]=tempDoubleI32[1]); //@line 2235 "./dtoa.c"
      __label__ = 278; break;
    case 278: 
      var $1063=$rv; //@line 2281 "./dtoa.c"
      var $1064=(($1063+4)|0); //@line 2281 "./dtoa.c"
      var $1065=HEAP32[(($1064)>>2)]; //@line 2281 "./dtoa.c"
      var $1066=$1065 & 2146435072; //@line 2281 "./dtoa.c"
      $z=$1066; //@line 2281 "./dtoa.c"
      var $1067=$scale; //@line 2284 "./dtoa.c"
      var $1068=(($1067)|0)!=0; //@line 2284 "./dtoa.c"
      if ($1068) { __label__ = 292; break; } else { __label__ = 279; break; } //@line 2284 "./dtoa.c"
    case 279: 
      var $1070=$y; //@line 2286 "./dtoa.c"
      var $1071=$z; //@line 2286 "./dtoa.c"
      var $1072=(($1070)|0)==(($1071)|0); //@line 2286 "./dtoa.c"
      if ($1072) { __label__ = 280; break; } else { __label__ = 291; break; } //@line 2286 "./dtoa.c"
    case 280: 
      var $1074=$aadj; //@line 2288 "./dtoa.c"
      var $1075=(($1074)&-1); //@line 2288 "./dtoa.c"
      $L=$1075; //@line 2288 "./dtoa.c"
      var $1076=$L; //@line 2289 "./dtoa.c"
      var $1077=(($1076)|0); //@line 2289 "./dtoa.c"
      var $1078=$aadj; //@line 2289 "./dtoa.c"
      var $1079=$1078-$1077; //@line 2289 "./dtoa.c"
      $aadj=$1079; //@line 2289 "./dtoa.c"
      var $1080=$dsign; //@line 2291 "./dtoa.c"
      var $1081=(($1080)|0)!=0; //@line 2291 "./dtoa.c"
      if ($1081) { __label__ = 283; break; } else { __label__ = 281; break; } //@line 2291 "./dtoa.c"
    case 281: 
      var $1083=$rv; //@line 2291 "./dtoa.c"
      var $1084=(($1083)|0); //@line 2291 "./dtoa.c"
      var $1085=HEAP32[(($1084)>>2)]; //@line 2291 "./dtoa.c"
      var $1086=(($1085)|0)!=0; //@line 2291 "./dtoa.c"
      if ($1086) { __label__ = 283; break; } else { __label__ = 282; break; } //@line 2291 "./dtoa.c"
    case 282: 
      var $1088=$rv; //@line 2291 "./dtoa.c"
      var $1089=(($1088+4)|0); //@line 2291 "./dtoa.c"
      var $1090=HEAP32[(($1089)>>2)]; //@line 2291 "./dtoa.c"
      var $1091=$1090 & 1048575; //@line 2291 "./dtoa.c"
      var $1092=(($1091)|0)!=0; //@line 2291 "./dtoa.c"
      if ($1092) { __label__ = 283; break; } else { __label__ = 287; break; } //@line 2291 "./dtoa.c"
    case 283: 
      var $1094=$aadj; //@line 2292 "./dtoa.c"
      var $1095=$1094 < 0.4999999; //@line 2292 "./dtoa.c"
      if ($1095) { __label__ = 285; break; } else { __label__ = 284; break; } //@line 2292 "./dtoa.c"
    case 284: 
      var $1097=$aadj; //@line 2292 "./dtoa.c"
      var $1098=$1097 > 0.5000001; //@line 2292 "./dtoa.c"
      if ($1098) { __label__ = 285; break; } else { __label__ = 286; break; } //@line 2292 "./dtoa.c"
    case 285: 
      __label__ = 294; break; //@line 2293 "./dtoa.c"
    case 286: 
      __label__ = 290; break; //@line 2294 "./dtoa.c"
    case 287: 
      var $1102=$aadj; //@line 2295 "./dtoa.c"
      var $1103=$1102 < 0.24999995; //@line 2295 "./dtoa.c"
      if ($1103) { __label__ = 288; break; } else { __label__ = 289; break; } //@line 2295 "./dtoa.c"
    case 288: 
      __label__ = 294; break; //@line 2296 "./dtoa.c"
    case 289: 
      __label__ = 290; break;
    case 290: 
      __label__ = 291; break; //@line 2297 "./dtoa.c"
    case 291: 
      __label__ = 292; break; //@line 2297 "./dtoa.c"
    case 292: 
      __label__ = 293; break; //@line 2297 "./dtoa.c"
    case 293: 
      var $1110=$1; //@line 2300 "./dtoa.c"
      var $1111=$bb; //@line 2300 "./dtoa.c"
      _Bfree($1110, $1111); //@line 2300 "./dtoa.c"
      var $1112=$1; //@line 2301 "./dtoa.c"
      var $1113=$bd; //@line 2301 "./dtoa.c"
      _Bfree($1112, $1113); //@line 2301 "./dtoa.c"
      var $1114=$1; //@line 2302 "./dtoa.c"
      var $1115=$bs; //@line 2302 "./dtoa.c"
      _Bfree($1114, $1115); //@line 2302 "./dtoa.c"
      var $1116=$1; //@line 2303 "./dtoa.c"
      var $1117=$delta; //@line 2303 "./dtoa.c"
      _Bfree($1116, $1117); //@line 2303 "./dtoa.c"
      __label__ = 176; break; //@line 2304 "./dtoa.c"
    case 294: 
      var $1119=$scale; //@line 2317 "./dtoa.c"
      var $1120=(($1119)|0)!=0; //@line 2317 "./dtoa.c"
      if ($1120) { __label__ = 295; break; } else { __label__ = 299; break; } //@line 2317 "./dtoa.c"
    case 295: 
      var $1122=$rv0; //@line 2318 "./dtoa.c"
      var $1123=(($1122+4)|0); //@line 2318 "./dtoa.c"
      HEAP32[(($1123)>>2)]=961544192; //@line 2318 "./dtoa.c"
      var $1124=$rv0; //@line 2319 "./dtoa.c"
      var $1125=(($1124)|0); //@line 2319 "./dtoa.c"
      HEAP32[(($1125)>>2)]=0; //@line 2319 "./dtoa.c"
      var $1126=$rv0; //@line 2320 "./dtoa.c"
      var $1127=(tempDoubleI32[0]=HEAP32[(($1126)>>2)],tempDoubleI32[1]=HEAP32[(($1126+4)>>2)],tempDoubleF64[0]); //@line 2320 "./dtoa.c"
      var $1128=$rv; //@line 2320 "./dtoa.c"
      var $1129=(tempDoubleI32[0]=HEAP32[(($1128)>>2)],tempDoubleI32[1]=HEAP32[(($1128+4)>>2)],tempDoubleF64[0]); //@line 2320 "./dtoa.c"
      var $1130=$1129*$1127; //@line 2320 "./dtoa.c"
      (tempDoubleF64[0]=$1130,HEAP32[(($1128)>>2)]=tempDoubleI32[0],HEAP32[(($1128+4)>>2)]=tempDoubleI32[1]); //@line 2320 "./dtoa.c"
      var $1131=$rv; //@line 2323 "./dtoa.c"
      var $1132=(($1131+4)|0); //@line 2323 "./dtoa.c"
      var $1133=HEAP32[(($1132)>>2)]; //@line 2323 "./dtoa.c"
      var $1134=(($1133)|0)==0; //@line 2323 "./dtoa.c"
      if ($1134) { __label__ = 296; break; } else { __label__ = 298; break; } //@line 2323 "./dtoa.c"
    case 296: 
      var $1136=$rv; //@line 2323 "./dtoa.c"
      var $1137=(($1136)|0); //@line 2323 "./dtoa.c"
      var $1138=HEAP32[(($1137)>>2)]; //@line 2323 "./dtoa.c"
      var $1139=(($1138)|0)==0; //@line 2323 "./dtoa.c"
      if ($1139) { __label__ = 297; break; } else { __label__ = 298; break; } //@line 2323 "./dtoa.c"
    case 297: 
      var $1141=___errno(); //@line 2324 "./dtoa.c"
      HEAP32[(($1141)>>2)]=34; //@line 2324 "./dtoa.c"
      __label__ = 298; break; //@line 2324 "./dtoa.c"
    case 298: 
      __label__ = 299; break; //@line 2326 "./dtoa.c"
    case 299: 
      __label__ = 300; break; //@line 2326 "./dtoa.c"
    case 300: 
      var $1145=$1; //@line 2336 "./dtoa.c"
      var $1146=$bb; //@line 2336 "./dtoa.c"
      _Bfree($1145, $1146); //@line 2336 "./dtoa.c"
      var $1147=$1; //@line 2337 "./dtoa.c"
      var $1148=$bd; //@line 2337 "./dtoa.c"
      _Bfree($1147, $1148); //@line 2337 "./dtoa.c"
      var $1149=$1; //@line 2338 "./dtoa.c"
      var $1150=$bs; //@line 2338 "./dtoa.c"
      _Bfree($1149, $1150); //@line 2338 "./dtoa.c"
      var $1151=$1; //@line 2339 "./dtoa.c"
      var $1152=$bd0; //@line 2339 "./dtoa.c"
      _Bfree($1151, $1152); //@line 2339 "./dtoa.c"
      var $1153=$1; //@line 2340 "./dtoa.c"
      var $1154=$delta; //@line 2340 "./dtoa.c"
      _Bfree($1153, $1154); //@line 2340 "./dtoa.c"
      __label__ = 301; break; //@line 2340 "./dtoa.c"
    case 301: 
      var $1156=$3; //@line 2342 "./dtoa.c"
      var $1157=(($1156)|0)!=0; //@line 2342 "./dtoa.c"
      if ($1157) { __label__ = 302; break; } else { __label__ = 303; break; } //@line 2342 "./dtoa.c"
    case 302: 
      var $1159=$s; //@line 2343 "./dtoa.c"
      var $1160=$3; //@line 2343 "./dtoa.c"
      HEAP32[(($1160)>>2)]=$1159; //@line 2343 "./dtoa.c"
      __label__ = 303; break; //@line 2343 "./dtoa.c"
    case 303: 
      var $1162=$sign; //@line 2344 "./dtoa.c"
      var $1163=(($1162)|0)!=0; //@line 2344 "./dtoa.c"
      if ($1163) { __label__ = 304; break; } else { __label__ = 305; break; } //@line 2344 "./dtoa.c"
    case 304: 
      var $1165=$rv; //@line 2344 "./dtoa.c"
      var $1166=(tempDoubleI32[0]=HEAP32[(($1165)>>2)],tempDoubleI32[1]=HEAP32[(($1165+4)>>2)],tempDoubleF64[0]); //@line 2344 "./dtoa.c"
      var $1167=(-$1166); //@line 2344 "./dtoa.c"
      var $1172 = $1167;__label__ = 306; break; //@line 2344 "./dtoa.c"
    case 305: 
      var $1169=$rv; //@line 2344 "./dtoa.c"
      var $1170=(tempDoubleI32[0]=HEAP32[(($1169)>>2)],tempDoubleI32[1]=HEAP32[(($1169+4)>>2)],tempDoubleF64[0]); //@line 2344 "./dtoa.c"
      var $1172 = $1170;__label__ = 306; break; //@line 2344 "./dtoa.c"
    case 306: 
      var $1172; //@line 2344 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $1172; //@line 2344 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
__strtod["X"]=1;

function _js_dtostr($state, $buffer, $bufferSize, $mode, $precision, $dinput) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $d=__stackBase__;
      var $decPt=__stackBase__+8;
      var $sign=__stackBase__+12;
      var $nDigits;
      var $numBegin;
      var $numEnd=__stackBase__+16;
      var $8=__stackBase__+20;
      var $exponentialNotation;
      var $minNDigits;
      var $p;
      var $q;
      $2=$state;
      $3=$buffer;
      $4=$bufferSize;
      $5=$mode;
      $6=$precision;
      $7=$dinput;
      HEAP32[(($numEnd)>>2)]=0; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $9=$5; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $10=(($9)|0)==2; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 2: 
      var $12=$7; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $13=$12 >= 1e+21; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 3: 
      var $15=$7; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $16=$15 <= -1e+21; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 4: 
      $5=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 5; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 5: 
      var $19=$7; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $20=$d; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      (tempDoubleF64[0]=$19,HEAP32[(($20)>>2)]=tempDoubleI32[0],HEAP32[(($20+4)>>2)]=tempDoubleI32[1]); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $21=$2; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $22=$8; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $23=$d; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $24=$5; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $25=((STRING_TABLE.__ZL9dtoaModes+$24)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $26=HEAPU8[($25)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $27=(($26)&255); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $28=$6; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $29=_dtoa($21, $8, $27, $28, $decPt, $sign, $numEnd); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $numBegin=$29; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $30=$numBegin; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $31=(($30)|0)!=0; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 6: 
      $1=0; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 60; break; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 7: 
      var $34=HEAP32[(($numEnd)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $35=$numBegin; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $36=$34; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $37=$35; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $38=(($36-$37)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $nDigits=$38; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $39=$nDigits; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $40=$4; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $41=(($40-2)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $42=(($39)>>>0) > (($41)>>>0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 8: 
      $1=0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 60; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 9: 
      var $45=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $46=(($45+2)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $47=$numBegin; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $48=$nDigits; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      assert($48 % 1 === 0, 'memcpy given ' + $48 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($46, $47, $48, 1); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $49=$2; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $50=$numBegin; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _freedtoa($49, $50); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $51=$3; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $52=(($51+2)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $numBegin=$52; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $53=$numBegin; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $54=$nDigits; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $55=(($53+$54)|0); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($numEnd)>>2)]=$55; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $56=HEAP32[(($numEnd)>>2)]; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($56)]=0; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $57=HEAP32[(($decPt)>>2)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $58=(($57)|0)!=9999; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($58) { __label__ = 10; break; } else { __label__ = 52; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 10: 
      $exponentialNotation=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $minNDigits=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $60=$5; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ((($60)|0) == 0) {
        __label__ = 11; break;
      }
      else if ((($60)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($60)|0) == 3) {
        __label__ = 20; break;
      }
      else if ((($60)|0) == 1) {
        __label__ = 21; break;
      }
      else if ((($60)|0) == 4) {
        __label__ = 22; break;
      }
      else {
      __label__ = 26; break;
      }
      
    case 11: 
      var $62=HEAP32[(($decPt)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $63=(($62)|0) < -5; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 12: 
      var $65=HEAP32[(($decPt)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $66=(($65)|0) > 21; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 13: 
      $exponentialNotation=1; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 15; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 14: 
      var $69=HEAP32[(($decPt)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $minNDigits=$69; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 26; break; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 16: 
      var $72=$6; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $73=(($72)|0) >= 0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($73) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 17: 
      var $75=HEAP32[(($decPt)>>2)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $76=$6; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $77=(($75+$76)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $minNDigits=$77; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 19; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 18: 
      var $79=HEAP32[(($decPt)>>2)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $minNDigits=$79; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 19; break;
    case 19: 
      __label__ = 26; break; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 20: 
      var $82=$6; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $minNDigits=$82; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 21; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 21: 
      $exponentialNotation=1; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 26; break; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 22: 
      var $85=$6; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $minNDigits=$85; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $86=HEAP32[(($decPt)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $87=(($86)|0) < -5; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($87) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 23: 
      var $89=HEAP32[(($decPt)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $90=$6; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $91=(($89)|0) > (($90)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($91) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 24: 
      $exponentialNotation=1; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 25; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 25: 
      __label__ = 26; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 26: 
      var $95=$nDigits; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $96=$minNDigits; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $97=(($95)|0) < (($96)|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($97) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 27: 
      var $99=$numBegin; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $100=$minNDigits; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $101=(($99+$100)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$101; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $102=$minNDigits; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $nDigits=$102; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 28; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 28: 
      var $104=HEAP32[(($numEnd)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $105=(($104+1)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($numEnd)>>2)]=$105; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($104)]=48; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 29; break; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 29: 
      var $107=HEAP32[(($numEnd)>>2)]; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $108=$p; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $109=(($107)|0)!=(($108)|0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($109) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 30: 
      var $111=HEAP32[(($numEnd)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($111)]=0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 31; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 31: 
      var $113=$exponentialNotation; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $114=(($113)|0)!=0; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($114) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 32: 
      var $116=$nDigits; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $117=(($116)|0)!=1; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($117) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 33: 
      var $119=$numBegin; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $120=(($119-1)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $numBegin=$120; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $121=$numBegin; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $122=(($121+1)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $123=HEAP8[($122)]; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $124=$numBegin; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $125=(($124)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($125)]=$123; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $126=$numBegin; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $127=(($126+1)|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($127)]=46; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 34; break; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 34: 
      var $129=HEAP32[(($numEnd)>>2)]; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $130=$4; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $131=HEAP32[(($numEnd)>>2)]; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $132=$3; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $133=$131; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $134=$132; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $135=(($133-$134)|0); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $136=(($130-$135)|0); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $137=HEAP32[(($decPt)>>2)]; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $138=(($137-1)|0); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $139=_JS_snprintf($129, $136, ((STRING_TABLE.__str1096)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$138,tempInt)); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 51; break; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 35: 
      var $141=HEAP32[(($decPt)>>2)]; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $142=$nDigits; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $143=(($141)|0)!=(($142)|0); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($143) { __label__ = 36; break; } else { __label__ = 50; break; } //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 36: 
      var $145=HEAP32[(($decPt)>>2)]; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $146=(($145)|0) > 0; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($146) { __label__ = 37; break; } else { __label__ = 41; break; } //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 37: 
      var $148=$numBegin; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $149=(($148-1)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $numBegin=$149; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$149; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 38; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 38: 
      var $151=$p; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $152=(($151+1)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $153=HEAP8[($152)]; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $154=$p; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($154)]=$153; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $155=$p; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $156=(($155+1)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$156; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 39; break; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 39: 
      var $158=HEAP32[(($decPt)>>2)]; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $159=(($158-1)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($decPt)>>2)]=$159; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $160=(($159)|0)!=0; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($160) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 40: 
      var $162=$p; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($162)]=46; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 49; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 41: 
      var $164=HEAP32[(($numEnd)>>2)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$164; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $165=HEAP32[(($decPt)>>2)]; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $166=((1-$165)|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $167=HEAP32[(($numEnd)>>2)]; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $168=(($167+$166)|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($numEnd)>>2)]=$168; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $169=HEAP32[(($numEnd)>>2)]; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $q=$169; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $170=HEAP32[(($numEnd)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($170)]=0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 42; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 42: 
      var $172=$p; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $173=$numBegin; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $174=(($172)|0)!=(($173)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($174) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 43: 
      var $176=$p; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $177=(($176-1)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$177; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $178=HEAP8[($177)]; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $179=$q; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $180=(($179-1)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $q=$180; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($180)]=$178; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 42; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 44: 
      var $182=$numBegin; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $183=(($182+1)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$183; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 45; break; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 45: 
      var $185=$p; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $186=$q; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $187=(($185)|0)!=(($186)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($187) { __label__ = 46; break; } else { __label__ = 48; break; } //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 46: 
      var $189=$p; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($189)]=48; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 47; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 47: 
      var $191=$p; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $192=(($191+1)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$192; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 45; break; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 48: 
      var $194=$numBegin; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($194)]=46; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $195=$numBegin; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $196=(($195-1)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $numBegin=$196; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($196)]=48; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 49; break;
    case 49: 
      __label__ = 50; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 50: 
      __label__ = 51; break;
    case 51: 
      __label__ = 52; break; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 52: 
      var $201=HEAP32[(($sign)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $202=(($201)|0)!=0; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($202) { __label__ = 53; break; } else { __label__ = 59; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 53: 
      var $204=$d; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $205=(($204+4)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $206=HEAP32[(($205)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $207=(($206)|0)==-2147483648; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($207) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 54: 
      var $209=$d; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $210=(($209)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $211=HEAP32[(($210)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $212=(($211)|0)==0; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($212) { __label__ = 59; break; } else { __label__ = 55; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 55: 
      var $214=$d; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $215=(($214+4)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $216=HEAP32[(($215)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $217=$216 & 2146435072; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $218=(($217)|0)==2146435072; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($218) { __label__ = 56; break; } else { __label__ = 58; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 56: 
      var $220=$d; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $221=(($220)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $223=(($222)|0)!=0; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($223) { __label__ = 59; break; } else { __label__ = 57; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 57: 
      var $225=$d; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $226=(($225+4)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $228=$227 & 1048575; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $229=(($228)|0)!=0; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($229) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 58: 
      var $231=$numBegin; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $232=(($231-1)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $numBegin=$232; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($232)]=45; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 59; break; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 59: 
      var $234=$numBegin; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $1=$234; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 60; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 60: 
      var $236=$1; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      STACKTOP = __stackBase__;
      return $236; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_dtostr["X"]=1;

function _dtoa($state, $d, $mode, $ndigits, $decpt, $sign, $rve) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $d; $d = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($d)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($d+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $bbits=__stackBase__;
      var $b2;
      var $b5;
      var $be=__stackBase__+4;
      var $dig;
      var $i;
      var $ieps;
      var $ilim;
      var $ilim0;
      var $ilim1;
      var $j;
      var $j1;
      var $k;
      var $k0;
      var $k_check;
      var $leftright;
      var $m2;
      var $m5;
      var $s2;
      var $s5;
      var $spec_case;
      var $try_quick;
      var $L;
      var $denorm;
      var $x;
      var $b;
      var $b1;
      var $delta;
      var $mlo;
      var $mhi;
      var $S;
      var $d2=__stackBase__+8;
      var $eps=__stackBase__+16;
      var $ds;
      var $s;
      var $s0;
      var $8=__stackBase__+24;
      $2=$state;
      $3=$mode;
      $4=$ndigits;
      $5=$decpt;
      $6=$sign;
      $7=$rve;
      $ilim1=0; //@line 2628 "./dtoa.c"
      $ilim=0; //@line 2628 "./dtoa.c"
      $mlo=0; //@line 2629 "./dtoa.c"
      var $9=$d; //@line 2639 "./dtoa.c"
      var $10=(($9+4)|0); //@line 2639 "./dtoa.c"
      var $11=HEAP32[(($10)>>2)]; //@line 2639 "./dtoa.c"
      var $12=$11 & -2147483648; //@line 2639 "./dtoa.c"
      var $13=(($12)|0)!=0; //@line 2639 "./dtoa.c"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2639 "./dtoa.c"
    case 2: 
      var $15=$6; //@line 2641 "./dtoa.c"
      HEAP32[(($15)>>2)]=1; //@line 2641 "./dtoa.c"
      var $16=$d; //@line 2642 "./dtoa.c"
      var $17=(($16+4)|0); //@line 2642 "./dtoa.c"
      var $18=HEAP32[(($17)>>2)]; //@line 2642 "./dtoa.c"
      var $19=$18 & 2147483647; //@line 2642 "./dtoa.c"
      HEAP32[(($17)>>2)]=$19; //@line 2642 "./dtoa.c"
      __label__ = 4; break; //@line 2643 "./dtoa.c"
    case 3: 
      var $21=$6; //@line 2645 "./dtoa.c"
      HEAP32[(($21)>>2)]=0; //@line 2645 "./dtoa.c"
      __label__ = 4; break;
    case 4: 
      var $23=$d; //@line 2649 "./dtoa.c"
      var $24=(($23+4)|0); //@line 2649 "./dtoa.c"
      var $25=HEAP32[(($24)>>2)]; //@line 2649 "./dtoa.c"
      var $26=$25 & 2146435072; //@line 2649 "./dtoa.c"
      var $27=(($26)|0)==2146435072; //@line 2649 "./dtoa.c"
      if ($27) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 2649 "./dtoa.c"
    case 5: 
      var $29=$5; //@line 2655 "./dtoa.c"
      HEAP32[(($29)>>2)]=9999; //@line 2655 "./dtoa.c"
      var $30=$d; //@line 2657 "./dtoa.c"
      var $31=(($30)|0); //@line 2657 "./dtoa.c"
      var $32=HEAP32[(($31)>>2)]; //@line 2657 "./dtoa.c"
      var $33=(($32)|0)!=0; //@line 2657 "./dtoa.c"
      if ($33) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 2657 "./dtoa.c"
    case 6: 
      var $35=$d; //@line 2657 "./dtoa.c"
      var $36=(($35+4)|0); //@line 2657 "./dtoa.c"
      var $37=HEAP32[(($36)>>2)]; //@line 2657 "./dtoa.c"
      var $38=$37 & 1048575; //@line 2657 "./dtoa.c"
      var $39=(($38)|0)!=0; //@line 2657 "./dtoa.c"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2657 "./dtoa.c"
    case 7: 
      var $41=$2; //@line 2658 "./dtoa.c"
      var $42=$7; //@line 2658 "./dtoa.c"
      var $43=_nrv_alloc($41, ((STRING_TABLE.__str11097)|0), $42, 8); //@line 2658 "./dtoa.c"
      $1=$43; //@line 2658 "./dtoa.c"
      __label__ = 266; break; //@line 2658 "./dtoa.c"
    case 8: 
      var $45=$2; //@line 2660 "./dtoa.c"
      var $46=$7; //@line 2660 "./dtoa.c"
      var $47=_nrv_alloc($45, ((STRING_TABLE.__str21098)|0), $46, 3); //@line 2660 "./dtoa.c"
      $1=$47; //@line 2660 "./dtoa.c"
      __label__ = 266; break; //@line 2660 "./dtoa.c"
    case 9: 
      var $49=$d; //@line 2666 "./dtoa.c"
      var $50=(tempDoubleI32[0]=HEAP32[(($49)>>2)],tempDoubleI32[1]=HEAP32[(($49+4)>>2)],tempDoubleF64[0]); //@line 2666 "./dtoa.c"
      var $51=$50 != 0; //@line 2666 "./dtoa.c"
      if ($51) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2666 "./dtoa.c"
    case 10: 
      var $53=$5; //@line 2667 "./dtoa.c"
      HEAP32[(($53)>>2)]=1; //@line 2667 "./dtoa.c"
      var $54=$2; //@line 2668 "./dtoa.c"
      var $55=$7; //@line 2668 "./dtoa.c"
      var $56=_nrv_alloc($54, ((STRING_TABLE.__str31099)|0), $55, 1); //@line 2668 "./dtoa.c"
      $1=$56; //@line 2668 "./dtoa.c"
      __label__ = 266; break; //@line 2668 "./dtoa.c"
    case 11: 
      var $58=$2; //@line 2685 "./dtoa.c"
      var $59=$8; //@line 2685 "./dtoa.c"
      var $60=$d; //@line 2685 "./dtoa.c"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 2685 "./dtoa.c"
      var $61=_d2b($58, $8, $be, $bbits); //@line 2685 "./dtoa.c"
      $b=$61; //@line 2685 "./dtoa.c"
      var $62=$d; //@line 2689 "./dtoa.c"
      var $63=(($62+4)|0); //@line 2689 "./dtoa.c"
      var $64=HEAPU32[(($63)>>2)]; //@line 2689 "./dtoa.c"
      var $65=$64 >>> 20; //@line 2689 "./dtoa.c"
      var $66=$65 & 2047; //@line 2689 "./dtoa.c"
      $i=$66; //@line 2689 "./dtoa.c"
      var $67=(($66)|0)!=0; //@line 2689 "./dtoa.c"
      if ($67) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2689 "./dtoa.c"
    case 12: 
      var $69=$d; //@line 2691 "./dtoa.c"
      var $70=(tempDoubleI32[0]=HEAP32[(($69)>>2)],tempDoubleI32[1]=HEAP32[(($69+4)>>2)],tempDoubleF64[0]); //@line 2691 "./dtoa.c"
      var $71=$d2; //@line 2691 "./dtoa.c"
      (tempDoubleF64[0]=$70,HEAP32[(($71)>>2)]=tempDoubleI32[0],HEAP32[(($71+4)>>2)]=tempDoubleI32[1]); //@line 2691 "./dtoa.c"
      var $72=$d2; //@line 2692 "./dtoa.c"
      var $73=(($72+4)|0); //@line 2692 "./dtoa.c"
      var $74=HEAP32[(($73)>>2)]; //@line 2692 "./dtoa.c"
      var $75=$74 & 1048575; //@line 2692 "./dtoa.c"
      HEAP32[(($73)>>2)]=$75; //@line 2692 "./dtoa.c"
      var $76=$d2; //@line 2693 "./dtoa.c"
      var $77=(($76+4)|0); //@line 2693 "./dtoa.c"
      var $78=HEAP32[(($77)>>2)]; //@line 2693 "./dtoa.c"
      var $79=$78 | 1072693248; //@line 2693 "./dtoa.c"
      HEAP32[(($77)>>2)]=$79; //@line 2693 "./dtoa.c"
      var $80=$i; //@line 2721 "./dtoa.c"
      var $81=(($80-1023)|0); //@line 2721 "./dtoa.c"
      $i=$81; //@line 2721 "./dtoa.c"
      $denorm=0; //@line 2727 "./dtoa.c"
      __label__ = 17; break; //@line 2728 "./dtoa.c"
    case 13: 
      var $83=HEAP32[(($bbits)>>2)]; //@line 2732 "./dtoa.c"
      var $84=HEAP32[(($be)>>2)]; //@line 2732 "./dtoa.c"
      var $85=(($83+$84)|0); //@line 2732 "./dtoa.c"
      var $86=(($85+1074)|0); //@line 2732 "./dtoa.c"
      $i=$86; //@line 2732 "./dtoa.c"
      var $87=$i; //@line 2733 "./dtoa.c"
      var $88=(($87)|0) > 32; //@line 2733 "./dtoa.c"
      if ($88) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2733 "./dtoa.c"
    case 14: 
      var $90=$d; //@line 2733 "./dtoa.c"
      var $91=(($90+4)|0); //@line 2733 "./dtoa.c"
      var $92=HEAP32[(($91)>>2)]; //@line 2733 "./dtoa.c"
      var $93=$i; //@line 2733 "./dtoa.c"
      var $94=((64-$93)|0); //@line 2733 "./dtoa.c"
      var $95=$92 << $94; //@line 2733 "./dtoa.c"
      var $96=$d; //@line 2733 "./dtoa.c"
      var $97=(($96)|0); //@line 2733 "./dtoa.c"
      var $98=HEAPU32[(($97)>>2)]; //@line 2733 "./dtoa.c"
      var $99=$i; //@line 2733 "./dtoa.c"
      var $100=(($99-32)|0); //@line 2733 "./dtoa.c"
      var $101=$98 >>> (($100)>>>0); //@line 2733 "./dtoa.c"
      var $102=$95 | $101; //@line 2733 "./dtoa.c"
      var $111 = $102;__label__ = 16; break; //@line 2733 "./dtoa.c"
    case 15: 
      var $104=$d; //@line 2733 "./dtoa.c"
      var $105=(($104)|0); //@line 2733 "./dtoa.c"
      var $106=HEAP32[(($105)>>2)]; //@line 2733 "./dtoa.c"
      var $107=$i; //@line 2733 "./dtoa.c"
      var $108=((32-$107)|0); //@line 2733 "./dtoa.c"
      var $109=$106 << $108; //@line 2733 "./dtoa.c"
      var $111 = $109;__label__ = 16; break; //@line 2733 "./dtoa.c"
    case 16: 
      var $111; //@line 2733 "./dtoa.c"
      $x=$111; //@line 2733 "./dtoa.c"
      var $112=$x; //@line 2735 "./dtoa.c"
      var $113=(($112)>>>0); //@line 2735 "./dtoa.c"
      var $114=$d2; //@line 2735 "./dtoa.c"
      (tempDoubleF64[0]=$113,HEAP32[(($114)>>2)]=tempDoubleI32[0],HEAP32[(($114+4)>>2)]=tempDoubleI32[1]); //@line 2735 "./dtoa.c"
      var $115=$d2; //@line 2736 "./dtoa.c"
      var $116=(($115+4)|0); //@line 2736 "./dtoa.c"
      var $117=HEAP32[(($116)>>2)]; //@line 2736 "./dtoa.c"
      var $118=(($117-32505856)|0); //@line 2736 "./dtoa.c"
      HEAP32[(($116)>>2)]=$118; //@line 2736 "./dtoa.c"
      var $119=$i; //@line 2737 "./dtoa.c"
      var $120=(($119-1075)|0); //@line 2737 "./dtoa.c"
      $i=$120; //@line 2737 "./dtoa.c"
      $denorm=1; //@line 2738 "./dtoa.c"
      __label__ = 17; break;
    case 17: 
      var $122=$d2; //@line 2741 "./dtoa.c"
      var $123=(tempDoubleI32[0]=HEAP32[(($122)>>2)],tempDoubleI32[1]=HEAP32[(($122+4)>>2)],tempDoubleF64[0]); //@line 2741 "./dtoa.c"
      var $124=$123-1.5; //@line 2741 "./dtoa.c"
      var $125=$124*0.289529654602168; //@line 2741 "./dtoa.c"
      var $126=$125+0.1760912590558; //@line 2741 "./dtoa.c"
      var $127=$i; //@line 2741 "./dtoa.c"
      var $128=(($127)|0); //@line 2741 "./dtoa.c"
      var $129=$128*0.301029995663981; //@line 2741 "./dtoa.c"
      var $130=$126+$129; //@line 2741 "./dtoa.c"
      $ds=$130; //@line 2741 "./dtoa.c"
      var $131=$ds; //@line 2742 "./dtoa.c"
      var $132=(($131)&-1); //@line 2742 "./dtoa.c"
      $k=$132; //@line 2742 "./dtoa.c"
      var $133=$ds; //@line 2743 "./dtoa.c"
      var $134=$133 < 0; //@line 2743 "./dtoa.c"
      if ($134) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 2743 "./dtoa.c"
    case 18: 
      var $136=$ds; //@line 2743 "./dtoa.c"
      var $137=$k; //@line 2743 "./dtoa.c"
      var $138=(($137)|0); //@line 2743 "./dtoa.c"
      var $139=$136 != $138; //@line 2743 "./dtoa.c"
      if ($139) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2743 "./dtoa.c"
    case 19: 
      var $141=$k; //@line 2744 "./dtoa.c"
      var $142=(($141-1)|0); //@line 2744 "./dtoa.c"
      $k=$142; //@line 2744 "./dtoa.c"
      __label__ = 20; break; //@line 2744 "./dtoa.c"
    case 20: 
      $k_check=1; //@line 2745 "./dtoa.c"
      var $144=$k; //@line 2746 "./dtoa.c"
      var $145=(($144)|0) >= 0; //@line 2746 "./dtoa.c"
      if ($145) { __label__ = 21; break; } else { __label__ = 25; break; } //@line 2746 "./dtoa.c"
    case 21: 
      var $147=$k; //@line 2746 "./dtoa.c"
      var $148=(($147)|0) <= 22; //@line 2746 "./dtoa.c"
      if ($148) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 2746 "./dtoa.c"
    case 22: 
      var $150=$d; //@line 2747 "./dtoa.c"
      var $151=(tempDoubleI32[0]=HEAP32[(($150)>>2)],tempDoubleI32[1]=HEAP32[(($150+4)>>2)],tempDoubleF64[0]); //@line 2747 "./dtoa.c"
      var $152=$k; //@line 2747 "./dtoa.c"
      var $153=((_tens+($152<<3))|0); //@line 2747 "./dtoa.c"
      var $154=(tempDoubleI32[0]=HEAP32[(($153)>>2)],tempDoubleI32[1]=HEAP32[(($153+4)>>2)],tempDoubleF64[0]); //@line 2747 "./dtoa.c"
      var $155=$151 < $154; //@line 2747 "./dtoa.c"
      if ($155) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2747 "./dtoa.c"
    case 23: 
      var $157=$k; //@line 2748 "./dtoa.c"
      var $158=(($157-1)|0); //@line 2748 "./dtoa.c"
      $k=$158; //@line 2748 "./dtoa.c"
      __label__ = 24; break; //@line 2748 "./dtoa.c"
    case 24: 
      $k_check=0; //@line 2749 "./dtoa.c"
      __label__ = 25; break; //@line 2750 "./dtoa.c"
    case 25: 
      var $161=HEAP32[(($bbits)>>2)]; //@line 2751 "./dtoa.c"
      var $162=$i; //@line 2751 "./dtoa.c"
      var $163=(($161-$162)|0); //@line 2751 "./dtoa.c"
      var $164=(($163-1)|0); //@line 2751 "./dtoa.c"
      $j=$164; //@line 2751 "./dtoa.c"
      var $165=$j; //@line 2752 "./dtoa.c"
      var $166=(($165)|0) >= 0; //@line 2752 "./dtoa.c"
      if ($166) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 2752 "./dtoa.c"
    case 26: 
      $b2=0; //@line 2753 "./dtoa.c"
      var $168=$j; //@line 2754 "./dtoa.c"
      $s2=$168; //@line 2754 "./dtoa.c"
      __label__ = 28; break; //@line 2755 "./dtoa.c"
    case 27: 
      var $170=$j; //@line 2757 "./dtoa.c"
      var $171=(((-$170))|0); //@line 2757 "./dtoa.c"
      $b2=$171; //@line 2757 "./dtoa.c"
      $s2=0; //@line 2758 "./dtoa.c"
      __label__ = 28; break;
    case 28: 
      var $173=$k; //@line 2760 "./dtoa.c"
      var $174=(($173)|0) >= 0; //@line 2760 "./dtoa.c"
      if ($174) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2760 "./dtoa.c"
    case 29: 
      $b5=0; //@line 2761 "./dtoa.c"
      var $176=$k; //@line 2762 "./dtoa.c"
      $s5=$176; //@line 2762 "./dtoa.c"
      var $177=$k; //@line 2763 "./dtoa.c"
      var $178=$s2; //@line 2763 "./dtoa.c"
      var $179=(($178+$177)|0); //@line 2763 "./dtoa.c"
      $s2=$179; //@line 2763 "./dtoa.c"
      __label__ = 31; break; //@line 2764 "./dtoa.c"
    case 30: 
      var $181=$k; //@line 2766 "./dtoa.c"
      var $182=$b2; //@line 2766 "./dtoa.c"
      var $183=(($182-$181)|0); //@line 2766 "./dtoa.c"
      $b2=$183; //@line 2766 "./dtoa.c"
      var $184=$k; //@line 2767 "./dtoa.c"
      var $185=(((-$184))|0); //@line 2767 "./dtoa.c"
      $b5=$185; //@line 2767 "./dtoa.c"
      $s5=0; //@line 2768 "./dtoa.c"
      __label__ = 31; break;
    case 31: 
      var $187=$3; //@line 2770 "./dtoa.c"
      var $188=(($187)|0) < 0; //@line 2770 "./dtoa.c"
      if ($188) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 2770 "./dtoa.c"
    case 32: 
      var $190=$3; //@line 2770 "./dtoa.c"
      var $191=(($190)|0) > 9; //@line 2770 "./dtoa.c"
      if ($191) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 2770 "./dtoa.c"
    case 33: 
      $3=0; //@line 2771 "./dtoa.c"
      __label__ = 34; break; //@line 2771 "./dtoa.c"
    case 34: 
      $try_quick=1; //@line 2777 "./dtoa.c"
      var $194=$3; //@line 2781 "./dtoa.c"
      var $195=(($194)|0) > 5; //@line 2781 "./dtoa.c"
      if ($195) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2781 "./dtoa.c"
    case 35: 
      var $197=$3; //@line 2782 "./dtoa.c"
      var $198=(($197-4)|0); //@line 2782 "./dtoa.c"
      $3=$198; //@line 2782 "./dtoa.c"
      $try_quick=0; //@line 2783 "./dtoa.c"
      __label__ = 36; break; //@line 2784 "./dtoa.c"
    case 36: 
      $leftright=1; //@line 2785 "./dtoa.c"
      var $200=$3; //@line 2786 "./dtoa.c"
      if ((($200)|0) == 0 || (($200)|0) == 1) {
        __label__ = 37; break;
      }
      else if ((($200)|0) == 2) {
        __label__ = 38; break;
      }
      else if ((($200)|0) == 4) {
        __label__ = 39; break;
      }
      else if ((($200)|0) == 3) {
        __label__ = 42; break;
      }
      else if ((($200)|0) == 5) {
        __label__ = 43; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 37: 
      $ilim1=-1; //@line 2789 "./dtoa.c"
      $ilim=-1; //@line 2789 "./dtoa.c"
      $i=18; //@line 2790 "./dtoa.c"
      $4=0; //@line 2791 "./dtoa.c"
      __label__ = 46; break; //@line 2792 "./dtoa.c"
    case 38: 
      $leftright=0; //@line 2794 "./dtoa.c"
      __label__ = 39; break; //@line 2794 "./dtoa.c"
    case 39: 
      var $204=$4; //@line 2797 "./dtoa.c"
      var $205=(($204)|0) <= 0; //@line 2797 "./dtoa.c"
      if ($205) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 2797 "./dtoa.c"
    case 40: 
      $4=1; //@line 2798 "./dtoa.c"
      __label__ = 41; break; //@line 2798 "./dtoa.c"
    case 41: 
      var $208=$4; //@line 2799 "./dtoa.c"
      $i=$208; //@line 2799 "./dtoa.c"
      $ilim1=$208; //@line 2799 "./dtoa.c"
      $ilim=$208; //@line 2799 "./dtoa.c"
      __label__ = 46; break; //@line 2800 "./dtoa.c"
    case 42: 
      $leftright=0; //@line 2802 "./dtoa.c"
      __label__ = 43; break; //@line 2802 "./dtoa.c"
    case 43: 
      var $211=$4; //@line 2805 "./dtoa.c"
      var $212=$k; //@line 2805 "./dtoa.c"
      var $213=(($211+$212)|0); //@line 2805 "./dtoa.c"
      var $214=(($213+1)|0); //@line 2805 "./dtoa.c"
      $i=$214; //@line 2805 "./dtoa.c"
      var $215=$i; //@line 2806 "./dtoa.c"
      $ilim=$215; //@line 2806 "./dtoa.c"
      var $216=$i; //@line 2807 "./dtoa.c"
      var $217=(($216-1)|0); //@line 2807 "./dtoa.c"
      $ilim1=$217; //@line 2807 "./dtoa.c"
      var $218=$i; //@line 2808 "./dtoa.c"
      var $219=(($218)|0) <= 0; //@line 2808 "./dtoa.c"
      if ($219) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2808 "./dtoa.c"
    case 44: 
      $i=1; //@line 2809 "./dtoa.c"
      __label__ = 45; break; //@line 2809 "./dtoa.c"
    case 45: 
      __label__ = 46; break; //@line 2810 "./dtoa.c"
    case 46: 
      var $223=$2; //@line 2811 "./dtoa.c"
      var $224=$i; //@line 2811 "./dtoa.c"
      var $225=_rv_alloc($223, $224); //@line 2811 "./dtoa.c"
      $s0=$225; //@line 2811 "./dtoa.c"
      $s=$225; //@line 2811 "./dtoa.c"
      var $226=$ilim; //@line 2818 "./dtoa.c"
      var $227=(($226)|0) >= 0; //@line 2818 "./dtoa.c"
      if ($227) { __label__ = 47; break; } else { __label__ = 108; break; } //@line 2818 "./dtoa.c"
    case 47: 
      var $229=$ilim; //@line 2818 "./dtoa.c"
      var $230=(($229)|0) <= 14; //@line 2818 "./dtoa.c"
      if ($230) { __label__ = 48; break; } else { __label__ = 108; break; } //@line 2818 "./dtoa.c"
    case 48: 
      var $232=$try_quick; //@line 2818 "./dtoa.c"
      var $233=(($232)|0)!=0; //@line 2818 "./dtoa.c"
      if ($233) { __label__ = 49; break; } else { __label__ = 108; break; } //@line 2818 "./dtoa.c"
    case 49: 
      $i=0; //@line 2822 "./dtoa.c"
      var $235=$d; //@line 2823 "./dtoa.c"
      var $236=(tempDoubleI32[0]=HEAP32[(($235)>>2)],tempDoubleI32[1]=HEAP32[(($235+4)>>2)],tempDoubleF64[0]); //@line 2823 "./dtoa.c"
      var $237=$d2; //@line 2823 "./dtoa.c"
      (tempDoubleF64[0]=$236,HEAP32[(($237)>>2)]=tempDoubleI32[0],HEAP32[(($237+4)>>2)]=tempDoubleI32[1]); //@line 2823 "./dtoa.c"
      var $238=$k; //@line 2824 "./dtoa.c"
      $k0=$238; //@line 2824 "./dtoa.c"
      var $239=$ilim; //@line 2825 "./dtoa.c"
      $ilim0=$239; //@line 2825 "./dtoa.c"
      $ieps=2; //@line 2826 "./dtoa.c"
      var $240=$k; //@line 2827 "./dtoa.c"
      var $241=(($240)|0) > 0; //@line 2827 "./dtoa.c"
      if ($241) { __label__ = 50; break; } else { __label__ = 59; break; } //@line 2827 "./dtoa.c"
    case 50: 
      var $243=$k; //@line 2828 "./dtoa.c"
      var $244=$243 & 15; //@line 2828 "./dtoa.c"
      var $245=((_tens+($244<<3))|0); //@line 2828 "./dtoa.c"
      var $246=(tempDoubleI32[0]=HEAP32[(($245)>>2)],tempDoubleI32[1]=HEAP32[(($245+4)>>2)],tempDoubleF64[0]); //@line 2828 "./dtoa.c"
      $ds=$246; //@line 2828 "./dtoa.c"
      var $247=$k; //@line 2829 "./dtoa.c"
      var $248=$247 >> 4; //@line 2829 "./dtoa.c"
      $j=$248; //@line 2829 "./dtoa.c"
      var $249=$j; //@line 2830 "./dtoa.c"
      var $250=$249 & 16; //@line 2830 "./dtoa.c"
      var $251=(($250)|0)!=0; //@line 2830 "./dtoa.c"
      if ($251) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 2830 "./dtoa.c"
    case 51: 
      var $253=$j; //@line 2832 "./dtoa.c"
      var $254=$253 & 15; //@line 2832 "./dtoa.c"
      $j=$254; //@line 2832 "./dtoa.c"
      var $255=(tempDoubleI32[0]=HEAP32[((((_bigtens+32)|0))>>2)],tempDoubleI32[1]=HEAP32[((((_bigtens+32)|0)+4)>>2)],tempDoubleF64[0]); //@line 2833 "./dtoa.c"
      var $256=$d; //@line 2833 "./dtoa.c"
      var $257=(tempDoubleI32[0]=HEAP32[(($256)>>2)],tempDoubleI32[1]=HEAP32[(($256+4)>>2)],tempDoubleF64[0]); //@line 2833 "./dtoa.c"
      var $258=$257/$255; //@line 2833 "./dtoa.c"
      (tempDoubleF64[0]=$258,HEAP32[(($256)>>2)]=tempDoubleI32[0],HEAP32[(($256+4)>>2)]=tempDoubleI32[1]); //@line 2833 "./dtoa.c"
      var $259=$ieps; //@line 2834 "./dtoa.c"
      var $260=(($259+1)|0); //@line 2834 "./dtoa.c"
      $ieps=$260; //@line 2834 "./dtoa.c"
      __label__ = 52; break; //@line 2835 "./dtoa.c"
    case 52: 
      __label__ = 53; break; //@line 2836 "./dtoa.c"
    case 53: 
      var $263=$j; //@line 2836 "./dtoa.c"
      var $264=(($263)|0)!=0; //@line 2836 "./dtoa.c"
      if ($264) { __label__ = 54; break; } else { __label__ = 58; break; } //@line 2836 "./dtoa.c"
    case 54: 
      var $266=$j; //@line 2837 "./dtoa.c"
      var $267=$266 & 1; //@line 2837 "./dtoa.c"
      var $268=(($267)|0)!=0; //@line 2837 "./dtoa.c"
      if ($268) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 2837 "./dtoa.c"
    case 55: 
      var $270=$ieps; //@line 2838 "./dtoa.c"
      var $271=(($270+1)|0); //@line 2838 "./dtoa.c"
      $ieps=$271; //@line 2838 "./dtoa.c"
      var $272=$i; //@line 2839 "./dtoa.c"
      var $273=((_bigtens+($272<<3))|0); //@line 2839 "./dtoa.c"
      var $274=(tempDoubleI32[0]=HEAP32[(($273)>>2)],tempDoubleI32[1]=HEAP32[(($273+4)>>2)],tempDoubleF64[0]); //@line 2839 "./dtoa.c"
      var $275=$ds; //@line 2839 "./dtoa.c"
      var $276=$275*$274; //@line 2839 "./dtoa.c"
      $ds=$276; //@line 2839 "./dtoa.c"
      __label__ = 56; break; //@line 2840 "./dtoa.c"
    case 56: 
      __label__ = 57; break; //@line 2840 "./dtoa.c"
    case 57: 
      var $279=$j; //@line 2836 "./dtoa.c"
      var $280=$279 >> 1; //@line 2836 "./dtoa.c"
      $j=$280; //@line 2836 "./dtoa.c"
      var $281=$i; //@line 2836 "./dtoa.c"
      var $282=(($281+1)|0); //@line 2836 "./dtoa.c"
      $i=$282; //@line 2836 "./dtoa.c"
      __label__ = 53; break; //@line 2836 "./dtoa.c"
    case 58: 
      var $284=$ds; //@line 2841 "./dtoa.c"
      var $285=$d; //@line 2841 "./dtoa.c"
      var $286=(tempDoubleI32[0]=HEAP32[(($285)>>2)],tempDoubleI32[1]=HEAP32[(($285+4)>>2)],tempDoubleF64[0]); //@line 2841 "./dtoa.c"
      var $287=$286/$284; //@line 2841 "./dtoa.c"
      (tempDoubleF64[0]=$287,HEAP32[(($285)>>2)]=tempDoubleI32[0],HEAP32[(($285+4)>>2)]=tempDoubleI32[1]); //@line 2841 "./dtoa.c"
      __label__ = 68; break; //@line 2842 "./dtoa.c"
    case 59: 
      var $289=$k; //@line 2843 "./dtoa.c"
      var $290=(((-$289))|0); //@line 2843 "./dtoa.c"
      $j1=$290; //@line 2843 "./dtoa.c"
      var $291=(($290)|0)!=0; //@line 2843 "./dtoa.c"
      if ($291) { __label__ = 60; break; } else { __label__ = 67; break; } //@line 2843 "./dtoa.c"
    case 60: 
      var $293=$j1; //@line 2844 "./dtoa.c"
      var $294=$293 & 15; //@line 2844 "./dtoa.c"
      var $295=((_tens+($294<<3))|0); //@line 2844 "./dtoa.c"
      var $296=(tempDoubleI32[0]=HEAP32[(($295)>>2)],tempDoubleI32[1]=HEAP32[(($295+4)>>2)],tempDoubleF64[0]); //@line 2844 "./dtoa.c"
      var $297=$d; //@line 2844 "./dtoa.c"
      var $298=(tempDoubleI32[0]=HEAP32[(($297)>>2)],tempDoubleI32[1]=HEAP32[(($297+4)>>2)],tempDoubleF64[0]); //@line 2844 "./dtoa.c"
      var $299=$298*$296; //@line 2844 "./dtoa.c"
      (tempDoubleF64[0]=$299,HEAP32[(($297)>>2)]=tempDoubleI32[0],HEAP32[(($297+4)>>2)]=tempDoubleI32[1]); //@line 2844 "./dtoa.c"
      var $300=$j1; //@line 2845 "./dtoa.c"
      var $301=$300 >> 4; //@line 2845 "./dtoa.c"
      $j=$301; //@line 2845 "./dtoa.c"
      __label__ = 61; break; //@line 2845 "./dtoa.c"
    case 61: 
      var $303=$j; //@line 2845 "./dtoa.c"
      var $304=(($303)|0)!=0; //@line 2845 "./dtoa.c"
      if ($304) { __label__ = 62; break; } else { __label__ = 66; break; } //@line 2845 "./dtoa.c"
    case 62: 
      var $306=$j; //@line 2846 "./dtoa.c"
      var $307=$306 & 1; //@line 2846 "./dtoa.c"
      var $308=(($307)|0)!=0; //@line 2846 "./dtoa.c"
      if ($308) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 2846 "./dtoa.c"
    case 63: 
      var $310=$ieps; //@line 2847 "./dtoa.c"
      var $311=(($310+1)|0); //@line 2847 "./dtoa.c"
      $ieps=$311; //@line 2847 "./dtoa.c"
      var $312=$i; //@line 2848 "./dtoa.c"
      var $313=((_bigtens+($312<<3))|0); //@line 2848 "./dtoa.c"
      var $314=(tempDoubleI32[0]=HEAP32[(($313)>>2)],tempDoubleI32[1]=HEAP32[(($313+4)>>2)],tempDoubleF64[0]); //@line 2848 "./dtoa.c"
      var $315=$d; //@line 2848 "./dtoa.c"
      var $316=(tempDoubleI32[0]=HEAP32[(($315)>>2)],tempDoubleI32[1]=HEAP32[(($315+4)>>2)],tempDoubleF64[0]); //@line 2848 "./dtoa.c"
      var $317=$316*$314; //@line 2848 "./dtoa.c"
      (tempDoubleF64[0]=$317,HEAP32[(($315)>>2)]=tempDoubleI32[0],HEAP32[(($315+4)>>2)]=tempDoubleI32[1]); //@line 2848 "./dtoa.c"
      __label__ = 64; break; //@line 2849 "./dtoa.c"
    case 64: 
      __label__ = 65; break; //@line 2849 "./dtoa.c"
    case 65: 
      var $320=$j; //@line 2845 "./dtoa.c"
      var $321=$320 >> 1; //@line 2845 "./dtoa.c"
      $j=$321; //@line 2845 "./dtoa.c"
      var $322=$i; //@line 2845 "./dtoa.c"
      var $323=(($322+1)|0); //@line 2845 "./dtoa.c"
      $i=$323; //@line 2845 "./dtoa.c"
      __label__ = 61; break; //@line 2845 "./dtoa.c"
    case 66: 
      __label__ = 67; break; //@line 2850 "./dtoa.c"
    case 67: 
      __label__ = 68; break;
    case 68: 
      var $327=$k_check; //@line 2851 "./dtoa.c"
      var $328=(($327)|0)!=0; //@line 2851 "./dtoa.c"
      if ($328) { __label__ = 69; break; } else { __label__ = 74; break; } //@line 2851 "./dtoa.c"
    case 69: 
      var $330=$d; //@line 2851 "./dtoa.c"
      var $331=(tempDoubleI32[0]=HEAP32[(($330)>>2)],tempDoubleI32[1]=HEAP32[(($330+4)>>2)],tempDoubleF64[0]); //@line 2851 "./dtoa.c"
      var $332=$331 < 1; //@line 2851 "./dtoa.c"
      if ($332) { __label__ = 70; break; } else { __label__ = 74; break; } //@line 2851 "./dtoa.c"
    case 70: 
      var $334=$ilim; //@line 2851 "./dtoa.c"
      var $335=(($334)|0) > 0; //@line 2851 "./dtoa.c"
      if ($335) { __label__ = 71; break; } else { __label__ = 74; break; } //@line 2851 "./dtoa.c"
    case 71: 
      var $337=$ilim1; //@line 2852 "./dtoa.c"
      var $338=(($337)|0) <= 0; //@line 2852 "./dtoa.c"
      if ($338) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 2852 "./dtoa.c"
    case 72: 
      __label__ = 107; break; //@line 2853 "./dtoa.c"
    case 73: 
      var $341=$ilim1; //@line 2854 "./dtoa.c"
      $ilim=$341; //@line 2854 "./dtoa.c"
      var $342=$k; //@line 2855 "./dtoa.c"
      var $343=(($342-1)|0); //@line 2855 "./dtoa.c"
      $k=$343; //@line 2855 "./dtoa.c"
      var $344=$d; //@line 2856 "./dtoa.c"
      var $345=(tempDoubleI32[0]=HEAP32[(($344)>>2)],tempDoubleI32[1]=HEAP32[(($344+4)>>2)],tempDoubleF64[0]); //@line 2856 "./dtoa.c"
      var $346=$345*10; //@line 2856 "./dtoa.c"
      (tempDoubleF64[0]=$346,HEAP32[(($344)>>2)]=tempDoubleI32[0],HEAP32[(($344+4)>>2)]=tempDoubleI32[1]); //@line 2856 "./dtoa.c"
      var $347=$ieps; //@line 2857 "./dtoa.c"
      var $348=(($347+1)|0); //@line 2857 "./dtoa.c"
      $ieps=$348; //@line 2857 "./dtoa.c"
      __label__ = 74; break; //@line 2858 "./dtoa.c"
    case 74: 
      var $350=$ieps; //@line 2859 "./dtoa.c"
      var $351=(($350)|0); //@line 2859 "./dtoa.c"
      var $352=$d; //@line 2859 "./dtoa.c"
      var $353=(tempDoubleI32[0]=HEAP32[(($352)>>2)],tempDoubleI32[1]=HEAP32[(($352+4)>>2)],tempDoubleF64[0]); //@line 2859 "./dtoa.c"
      var $354=$351*$353; //@line 2859 "./dtoa.c"
      var $355=$354+7; //@line 2859 "./dtoa.c"
      var $356=$eps; //@line 2859 "./dtoa.c"
      (tempDoubleF64[0]=$355,HEAP32[(($356)>>2)]=tempDoubleI32[0],HEAP32[(($356+4)>>2)]=tempDoubleI32[1]); //@line 2859 "./dtoa.c"
      var $357=$eps; //@line 2860 "./dtoa.c"
      var $358=(($357+4)|0); //@line 2860 "./dtoa.c"
      var $359=HEAP32[(($358)>>2)]; //@line 2860 "./dtoa.c"
      var $360=(($359-54525952)|0); //@line 2860 "./dtoa.c"
      HEAP32[(($358)>>2)]=$360; //@line 2860 "./dtoa.c"
      var $361=$ilim; //@line 2861 "./dtoa.c"
      var $362=(($361)|0)==0; //@line 2861 "./dtoa.c"
      if ($362) { __label__ = 75; break; } else { __label__ = 80; break; } //@line 2861 "./dtoa.c"
    case 75: 
      $mhi=0; //@line 2862 "./dtoa.c"
      $S=0; //@line 2862 "./dtoa.c"
      var $364=$d; //@line 2863 "./dtoa.c"
      var $365=(tempDoubleI32[0]=HEAP32[(($364)>>2)],tempDoubleI32[1]=HEAP32[(($364+4)>>2)],tempDoubleF64[0]); //@line 2863 "./dtoa.c"
      var $366=$365-5; //@line 2863 "./dtoa.c"
      (tempDoubleF64[0]=$366,HEAP32[(($364)>>2)]=tempDoubleI32[0],HEAP32[(($364+4)>>2)]=tempDoubleI32[1]); //@line 2863 "./dtoa.c"
      var $367=$d; //@line 2864 "./dtoa.c"
      var $368=(tempDoubleI32[0]=HEAP32[(($367)>>2)],tempDoubleI32[1]=HEAP32[(($367+4)>>2)],tempDoubleF64[0]); //@line 2864 "./dtoa.c"
      var $369=$eps; //@line 2864 "./dtoa.c"
      var $370=(tempDoubleI32[0]=HEAP32[(($369)>>2)],tempDoubleI32[1]=HEAP32[(($369+4)>>2)],tempDoubleF64[0]); //@line 2864 "./dtoa.c"
      var $371=$368 > $370; //@line 2864 "./dtoa.c"
      if ($371) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 2864 "./dtoa.c"
    case 76: 
      __label__ = 188; break; //@line 2865 "./dtoa.c"
    case 77: 
      var $374=$d; //@line 2866 "./dtoa.c"
      var $375=(tempDoubleI32[0]=HEAP32[(($374)>>2)],tempDoubleI32[1]=HEAP32[(($374+4)>>2)],tempDoubleF64[0]); //@line 2866 "./dtoa.c"
      var $376=$eps; //@line 2866 "./dtoa.c"
      var $377=(tempDoubleI32[0]=HEAP32[(($376)>>2)],tempDoubleI32[1]=HEAP32[(($376+4)>>2)],tempDoubleF64[0]); //@line 2866 "./dtoa.c"
      var $378=(-$377); //@line 2866 "./dtoa.c"
      var $379=$375 < $378; //@line 2866 "./dtoa.c"
      if ($379) { __label__ = 78; break; } else { __label__ = 79; break; } //@line 2866 "./dtoa.c"
    case 78: 
      __label__ = 186; break; //@line 2867 "./dtoa.c"
    case 79: 
      __label__ = 107; break; //@line 2868 "./dtoa.c"
    case 80: 
      var $383=$leftright; //@line 2871 "./dtoa.c"
      var $384=(($383)|0)!=0; //@line 2871 "./dtoa.c"
      if ($384) { __label__ = 81; break; } else { __label__ = 90; break; } //@line 2871 "./dtoa.c"
    case 81: 
      var $386=$ilim; //@line 2875 "./dtoa.c"
      var $387=(($386-1)|0); //@line 2875 "./dtoa.c"
      var $388=((_tens+($387<<3))|0); //@line 2875 "./dtoa.c"
      var $389=(tempDoubleI32[0]=HEAP32[(($388)>>2)],tempDoubleI32[1]=HEAP32[(($388+4)>>2)],tempDoubleF64[0]); //@line 2875 "./dtoa.c"
      var $390=0.5/$389; //@line 2875 "./dtoa.c"
      var $391=$eps; //@line 2875 "./dtoa.c"
      var $392=(tempDoubleI32[0]=HEAP32[(($391)>>2)],tempDoubleI32[1]=HEAP32[(($391+4)>>2)],tempDoubleF64[0]); //@line 2875 "./dtoa.c"
      var $393=$390-$392; //@line 2875 "./dtoa.c"
      var $394=$eps; //@line 2875 "./dtoa.c"
      (tempDoubleF64[0]=$393,HEAP32[(($394)>>2)]=tempDoubleI32[0],HEAP32[(($394+4)>>2)]=tempDoubleI32[1]); //@line 2875 "./dtoa.c"
      $i=0; //@line 2876 "./dtoa.c"
      __label__ = 82; break; //@line 2876 "./dtoa.c"
    case 82: 
      var $396=$d; //@line 2877 "./dtoa.c"
      var $397=(tempDoubleI32[0]=HEAP32[(($396)>>2)],tempDoubleI32[1]=HEAP32[(($396+4)>>2)],tempDoubleF64[0]); //@line 2877 "./dtoa.c"
      var $398=($397 >= 0 ? Math.floor($397) : Math.ceil($397)); //@line 2877 "./dtoa.c"
      $L=$398; //@line 2877 "./dtoa.c"
      var $399=$L; //@line 2878 "./dtoa.c"
      var $400=(($399)|0); //@line 2878 "./dtoa.c"
      var $401=$d; //@line 2878 "./dtoa.c"
      var $402=(tempDoubleI32[0]=HEAP32[(($401)>>2)],tempDoubleI32[1]=HEAP32[(($401+4)>>2)],tempDoubleF64[0]); //@line 2878 "./dtoa.c"
      var $403=$402-$400; //@line 2878 "./dtoa.c"
      (tempDoubleF64[0]=$403,HEAP32[(($401)>>2)]=tempDoubleI32[0],HEAP32[(($401+4)>>2)]=tempDoubleI32[1]); //@line 2878 "./dtoa.c"
      var $404=$L; //@line 2879 "./dtoa.c"
      var $405=(($404+48)|0); //@line 2879 "./dtoa.c"
      var $406=(($405) & 255); //@line 2879 "./dtoa.c"
      var $407=$s; //@line 2879 "./dtoa.c"
      var $408=(($407+1)|0); //@line 2879 "./dtoa.c"
      $s=$408; //@line 2879 "./dtoa.c"
      HEAP8[($407)]=$406; //@line 2879 "./dtoa.c"
      var $409=$d; //@line 2880 "./dtoa.c"
      var $410=(tempDoubleI32[0]=HEAP32[(($409)>>2)],tempDoubleI32[1]=HEAP32[(($409+4)>>2)],tempDoubleF64[0]); //@line 2880 "./dtoa.c"
      var $411=$eps; //@line 2880 "./dtoa.c"
      var $412=(tempDoubleI32[0]=HEAP32[(($411)>>2)],tempDoubleI32[1]=HEAP32[(($411+4)>>2)],tempDoubleF64[0]); //@line 2880 "./dtoa.c"
      var $413=$410 < $412; //@line 2880 "./dtoa.c"
      if ($413) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 2880 "./dtoa.c"
    case 83: 
      __label__ = 263; break; //@line 2881 "./dtoa.c"
    case 84: 
      var $416=$d; //@line 2882 "./dtoa.c"
      var $417=(tempDoubleI32[0]=HEAP32[(($416)>>2)],tempDoubleI32[1]=HEAP32[(($416+4)>>2)],tempDoubleF64[0]); //@line 2882 "./dtoa.c"
      var $418=1-$417; //@line 2882 "./dtoa.c"
      var $419=$eps; //@line 2882 "./dtoa.c"
      var $420=(tempDoubleI32[0]=HEAP32[(($419)>>2)],tempDoubleI32[1]=HEAP32[(($419+4)>>2)],tempDoubleF64[0]); //@line 2882 "./dtoa.c"
      var $421=$418 < $420; //@line 2882 "./dtoa.c"
      if ($421) { __label__ = 85; break; } else { __label__ = 86; break; } //@line 2882 "./dtoa.c"
    case 85: 
      __label__ = 124; break; //@line 2883 "./dtoa.c"
    case 86: 
      var $424=$i; //@line 2884 "./dtoa.c"
      var $425=(($424+1)|0); //@line 2884 "./dtoa.c"
      $i=$425; //@line 2884 "./dtoa.c"
      var $426=$ilim; //@line 2884 "./dtoa.c"
      var $427=(($425)|0) >= (($426)|0); //@line 2884 "./dtoa.c"
      if ($427) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 2884 "./dtoa.c"
    case 87: 
      __label__ = 89; break; //@line 2885 "./dtoa.c"
    case 88: 
      var $430=$eps; //@line 2886 "./dtoa.c"
      var $431=(tempDoubleI32[0]=HEAP32[(($430)>>2)],tempDoubleI32[1]=HEAP32[(($430+4)>>2)],tempDoubleF64[0]); //@line 2886 "./dtoa.c"
      var $432=$431*10; //@line 2886 "./dtoa.c"
      (tempDoubleF64[0]=$432,HEAP32[(($430)>>2)]=tempDoubleI32[0],HEAP32[(($430+4)>>2)]=tempDoubleI32[1]); //@line 2886 "./dtoa.c"
      var $433=$d; //@line 2887 "./dtoa.c"
      var $434=(tempDoubleI32[0]=HEAP32[(($433)>>2)],tempDoubleI32[1]=HEAP32[(($433+4)>>2)],tempDoubleF64[0]); //@line 2887 "./dtoa.c"
      var $435=$434*10; //@line 2887 "./dtoa.c"
      (tempDoubleF64[0]=$435,HEAP32[(($433)>>2)]=tempDoubleI32[0],HEAP32[(($433+4)>>2)]=tempDoubleI32[1]); //@line 2887 "./dtoa.c"
      __label__ = 82; break; //@line 2888 "./dtoa.c"
    case 89: 
      __label__ = 106; break; //@line 2889 "./dtoa.c"
    case 90: 
      var $438=$ilim; //@line 2893 "./dtoa.c"
      var $439=(($438-1)|0); //@line 2893 "./dtoa.c"
      var $440=((_tens+($439<<3))|0); //@line 2893 "./dtoa.c"
      var $441=(tempDoubleI32[0]=HEAP32[(($440)>>2)],tempDoubleI32[1]=HEAP32[(($440+4)>>2)],tempDoubleF64[0]); //@line 2893 "./dtoa.c"
      var $442=$eps; //@line 2893 "./dtoa.c"
      var $443=(tempDoubleI32[0]=HEAP32[(($442)>>2)],tempDoubleI32[1]=HEAP32[(($442+4)>>2)],tempDoubleF64[0]); //@line 2893 "./dtoa.c"
      var $444=$443*$441; //@line 2893 "./dtoa.c"
      (tempDoubleF64[0]=$444,HEAP32[(($442)>>2)]=tempDoubleI32[0],HEAP32[(($442+4)>>2)]=tempDoubleI32[1]); //@line 2893 "./dtoa.c"
      $i=1; //@line 2894 "./dtoa.c"
      __label__ = 91; break; //@line 2894 "./dtoa.c"
    case 91: 
      var $446=$d; //@line 2895 "./dtoa.c"
      var $447=(tempDoubleI32[0]=HEAP32[(($446)>>2)],tempDoubleI32[1]=HEAP32[(($446+4)>>2)],tempDoubleF64[0]); //@line 2895 "./dtoa.c"
      var $448=(($447)&-1); //@line 2895 "./dtoa.c"
      $L=$448; //@line 2895 "./dtoa.c"
      var $449=$L; //@line 2896 "./dtoa.c"
      var $450=(($449)|0); //@line 2896 "./dtoa.c"
      var $451=$d; //@line 2896 "./dtoa.c"
      var $452=(tempDoubleI32[0]=HEAP32[(($451)>>2)],tempDoubleI32[1]=HEAP32[(($451+4)>>2)],tempDoubleF64[0]); //@line 2896 "./dtoa.c"
      var $453=$452-$450; //@line 2896 "./dtoa.c"
      (tempDoubleF64[0]=$453,HEAP32[(($451)>>2)]=tempDoubleI32[0],HEAP32[(($451+4)>>2)]=tempDoubleI32[1]); //@line 2896 "./dtoa.c"
      var $454=$453 != 0; //@line 2896 "./dtoa.c"
      if ($454) { __label__ = 93; break; } else { __label__ = 92; break; } //@line 2896 "./dtoa.c"
    case 92: 
      var $456=$i; //@line 2897 "./dtoa.c"
      $ilim=$456; //@line 2897 "./dtoa.c"
      __label__ = 93; break; //@line 2897 "./dtoa.c"
    case 93: 
      var $458=$L; //@line 2898 "./dtoa.c"
      var $459=(($458+48)|0); //@line 2898 "./dtoa.c"
      var $460=(($459) & 255); //@line 2898 "./dtoa.c"
      var $461=$s; //@line 2898 "./dtoa.c"
      var $462=(($461+1)|0); //@line 2898 "./dtoa.c"
      $s=$462; //@line 2898 "./dtoa.c"
      HEAP8[($461)]=$460; //@line 2898 "./dtoa.c"
      var $463=$i; //@line 2899 "./dtoa.c"
      var $464=$ilim; //@line 2899 "./dtoa.c"
      var $465=(($463)|0)==(($464)|0); //@line 2899 "./dtoa.c"
      if ($465) { __label__ = 94; break; } else { __label__ = 103; break; } //@line 2899 "./dtoa.c"
    case 94: 
      var $467=$d; //@line 2900 "./dtoa.c"
      var $468=(tempDoubleI32[0]=HEAP32[(($467)>>2)],tempDoubleI32[1]=HEAP32[(($467+4)>>2)],tempDoubleF64[0]); //@line 2900 "./dtoa.c"
      var $469=$eps; //@line 2900 "./dtoa.c"
      var $470=(tempDoubleI32[0]=HEAP32[(($469)>>2)],tempDoubleI32[1]=HEAP32[(($469+4)>>2)],tempDoubleF64[0]); //@line 2900 "./dtoa.c"
      var $471=$470+0.5; //@line 2900 "./dtoa.c"
      var $472=$468 > $471; //@line 2900 "./dtoa.c"
      if ($472) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 2900 "./dtoa.c"
    case 95: 
      __label__ = 124; break; //@line 2901 "./dtoa.c"
    case 96: 
      var $475=$d; //@line 2902 "./dtoa.c"
      var $476=(tempDoubleI32[0]=HEAP32[(($475)>>2)],tempDoubleI32[1]=HEAP32[(($475+4)>>2)],tempDoubleF64[0]); //@line 2902 "./dtoa.c"
      var $477=$eps; //@line 2902 "./dtoa.c"
      var $478=(tempDoubleI32[0]=HEAP32[(($477)>>2)],tempDoubleI32[1]=HEAP32[(($477+4)>>2)],tempDoubleF64[0]); //@line 2902 "./dtoa.c"
      var $479=0.5-$478; //@line 2902 "./dtoa.c"
      var $480=$476 < $479; //@line 2902 "./dtoa.c"
      if ($480) { __label__ = 97; break; } else { __label__ = 101; break; } //@line 2902 "./dtoa.c"
    case 97: 
      __label__ = 98; break; //@line 2903 "./dtoa.c"
    case 98: 
      var $483=$s; //@line 2903 "./dtoa.c"
      var $484=(($483-1)|0); //@line 2903 "./dtoa.c"
      $s=$484; //@line 2903 "./dtoa.c"
      var $485=HEAP8[($484)]; //@line 2903 "./dtoa.c"
      var $486=(($485 << 24) >> 24); //@line 2903 "./dtoa.c"
      var $487=(($486)|0)==48; //@line 2903 "./dtoa.c"
      if ($487) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 2903 "./dtoa.c"
    case 99: 
      __label__ = 98; break; //@line 2903 "./dtoa.c"
    case 100: 
      var $490=$s; //@line 2904 "./dtoa.c"
      var $491=(($490+1)|0); //@line 2904 "./dtoa.c"
      $s=$491; //@line 2904 "./dtoa.c"
      __label__ = 263; break; //@line 2905 "./dtoa.c"
    case 101: 
      __label__ = 102; break;
    case 102: 
      __label__ = 105; break; //@line 2907 "./dtoa.c"
    case 103: 
      __label__ = 104; break; //@line 2909 "./dtoa.c"
    case 104: 
      var $496=$i; //@line 2894 "./dtoa.c"
      var $497=(($496+1)|0); //@line 2894 "./dtoa.c"
      $i=$497; //@line 2894 "./dtoa.c"
      var $498=$d; //@line 2894 "./dtoa.c"
      var $499=(tempDoubleI32[0]=HEAP32[(($498)>>2)],tempDoubleI32[1]=HEAP32[(($498+4)>>2)],tempDoubleF64[0]); //@line 2894 "./dtoa.c"
      var $500=$499*10; //@line 2894 "./dtoa.c"
      (tempDoubleF64[0]=$500,HEAP32[(($498)>>2)]=tempDoubleI32[0],HEAP32[(($498+4)>>2)]=tempDoubleI32[1]); //@line 2894 "./dtoa.c"
      __label__ = 91; break; //@line 2894 "./dtoa.c"
    case 105: 
      __label__ = 106; break;
    case 106: 
      __label__ = 107; break;
    case 107: 
      var $504=$s0; //@line 2914 "./dtoa.c"
      $s=$504; //@line 2914 "./dtoa.c"
      var $505=$d2; //@line 2915 "./dtoa.c"
      var $506=(tempDoubleI32[0]=HEAP32[(($505)>>2)],tempDoubleI32[1]=HEAP32[(($505+4)>>2)],tempDoubleF64[0]); //@line 2915 "./dtoa.c"
      var $507=$d; //@line 2915 "./dtoa.c"
      (tempDoubleF64[0]=$506,HEAP32[(($507)>>2)]=tempDoubleI32[0],HEAP32[(($507+4)>>2)]=tempDoubleI32[1]); //@line 2915 "./dtoa.c"
      var $508=$k0; //@line 2916 "./dtoa.c"
      $k=$508; //@line 2916 "./dtoa.c"
      var $509=$ilim0; //@line 2917 "./dtoa.c"
      $ilim=$509; //@line 2917 "./dtoa.c"
      __label__ = 108; break; //@line 2918 "./dtoa.c"
    case 108: 
      var $511=HEAP32[(($be)>>2)]; //@line 2922 "./dtoa.c"
      var $512=(($511)|0) >= 0; //@line 2922 "./dtoa.c"
      if ($512) { __label__ = 109; break; } else { __label__ = 134; break; } //@line 2922 "./dtoa.c"
    case 109: 
      var $514=$k; //@line 2922 "./dtoa.c"
      var $515=(($514)|0) <= 14; //@line 2922 "./dtoa.c"
      if ($515) { __label__ = 110; break; } else { __label__ = 134; break; } //@line 2922 "./dtoa.c"
    case 110: 
      var $517=$k; //@line 2924 "./dtoa.c"
      var $518=((_tens+($517<<3))|0); //@line 2924 "./dtoa.c"
      var $519=(tempDoubleI32[0]=HEAP32[(($518)>>2)],tempDoubleI32[1]=HEAP32[(($518+4)>>2)],tempDoubleF64[0]); //@line 2924 "./dtoa.c"
      $ds=$519; //@line 2924 "./dtoa.c"
      var $520=$4; //@line 2925 "./dtoa.c"
      var $521=(($520)|0) < 0; //@line 2925 "./dtoa.c"
      if ($521) { __label__ = 111; break; } else { __label__ = 116; break; } //@line 2925 "./dtoa.c"
    case 111: 
      var $523=$ilim; //@line 2925 "./dtoa.c"
      var $524=(($523)|0) <= 0; //@line 2925 "./dtoa.c"
      if ($524) { __label__ = 112; break; } else { __label__ = 116; break; } //@line 2925 "./dtoa.c"
    case 112: 
      $mhi=0; //@line 2926 "./dtoa.c"
      $S=0; //@line 2926 "./dtoa.c"
      var $526=$ilim; //@line 2927 "./dtoa.c"
      var $527=(($526)|0) < 0; //@line 2927 "./dtoa.c"
      if ($527) { __label__ = 114; break; } else { __label__ = 113; break; } //@line 2927 "./dtoa.c"
    case 113: 
      var $529=$d; //@line 2927 "./dtoa.c"
      var $530=(tempDoubleI32[0]=HEAP32[(($529)>>2)],tempDoubleI32[1]=HEAP32[(($529+4)>>2)],tempDoubleF64[0]); //@line 2927 "./dtoa.c"
      var $531=$ds; //@line 2927 "./dtoa.c"
      var $532=$531*5; //@line 2927 "./dtoa.c"
      var $533=$530 < $532; //@line 2927 "./dtoa.c"
      if ($533) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 2927 "./dtoa.c"
    case 114: 
      __label__ = 186; break; //@line 2928 "./dtoa.c"
    case 115: 
      __label__ = 188; break; //@line 2929 "./dtoa.c"
    case 116: 
      $i=1; //@line 2931 "./dtoa.c"
      __label__ = 117; break; //@line 2931 "./dtoa.c"
    case 117: 
      var $538=$d; //@line 2932 "./dtoa.c"
      var $539=(tempDoubleI32[0]=HEAP32[(($538)>>2)],tempDoubleI32[1]=HEAP32[(($538+4)>>2)],tempDoubleF64[0]); //@line 2932 "./dtoa.c"
      var $540=$ds; //@line 2932 "./dtoa.c"
      var $541=$539/$540; //@line 2932 "./dtoa.c"
      var $542=(($541)&-1); //@line 2932 "./dtoa.c"
      $L=$542; //@line 2932 "./dtoa.c"
      var $543=$L; //@line 2933 "./dtoa.c"
      var $544=(($543)|0); //@line 2933 "./dtoa.c"
      var $545=$ds; //@line 2933 "./dtoa.c"
      var $546=$544*$545; //@line 2933 "./dtoa.c"
      var $547=$d; //@line 2933 "./dtoa.c"
      var $548=(tempDoubleI32[0]=HEAP32[(($547)>>2)],tempDoubleI32[1]=HEAP32[(($547+4)>>2)],tempDoubleF64[0]); //@line 2933 "./dtoa.c"
      var $549=$548-$546; //@line 2933 "./dtoa.c"
      (tempDoubleF64[0]=$549,HEAP32[(($547)>>2)]=tempDoubleI32[0],HEAP32[(($547+4)>>2)]=tempDoubleI32[1]); //@line 2933 "./dtoa.c"
      var $550=$L; //@line 2941 "./dtoa.c"
      var $551=(($550+48)|0); //@line 2941 "./dtoa.c"
      var $552=(($551) & 255); //@line 2941 "./dtoa.c"
      var $553=$s; //@line 2941 "./dtoa.c"
      var $554=(($553+1)|0); //@line 2941 "./dtoa.c"
      $s=$554; //@line 2941 "./dtoa.c"
      HEAP8[($553)]=$552; //@line 2941 "./dtoa.c"
      var $555=$d; //@line 2942 "./dtoa.c"
      var $556=(tempDoubleI32[0]=HEAP32[(($555)>>2)],tempDoubleI32[1]=HEAP32[(($555+4)>>2)],tempDoubleF64[0]); //@line 2942 "./dtoa.c"
      var $557=$556 != 0; //@line 2942 "./dtoa.c"
      if ($557) { __label__ = 119; break; } else { __label__ = 118; break; } //@line 2942 "./dtoa.c"
    case 118: 
      __label__ = 133; break; //@line 2946 "./dtoa.c"
    case 119: 
      var $560=$i; //@line 2948 "./dtoa.c"
      var $561=$ilim; //@line 2948 "./dtoa.c"
      var $562=(($560)|0)==(($561)|0); //@line 2948 "./dtoa.c"
      if ($562) { __label__ = 120; break; } else { __label__ = 131; break; } //@line 2948 "./dtoa.c"
    case 120: 
      var $564=$d; //@line 2956 "./dtoa.c"
      var $565=(tempDoubleI32[0]=HEAP32[(($564)>>2)],tempDoubleI32[1]=HEAP32[(($564+4)>>2)],tempDoubleF64[0]); //@line 2956 "./dtoa.c"
      var $566=$d; //@line 2956 "./dtoa.c"
      var $567=(tempDoubleI32[0]=HEAP32[(($566)>>2)],tempDoubleI32[1]=HEAP32[(($566+4)>>2)],tempDoubleF64[0]); //@line 2956 "./dtoa.c"
      var $568=$567+$565; //@line 2956 "./dtoa.c"
      (tempDoubleF64[0]=$568,HEAP32[(($566)>>2)]=tempDoubleI32[0],HEAP32[(($566+4)>>2)]=tempDoubleI32[1]); //@line 2956 "./dtoa.c"
      var $569=$d; //@line 2957 "./dtoa.c"
      var $570=(tempDoubleI32[0]=HEAP32[(($569)>>2)],tempDoubleI32[1]=HEAP32[(($569+4)>>2)],tempDoubleF64[0]); //@line 2957 "./dtoa.c"
      var $571=$ds; //@line 2957 "./dtoa.c"
      var $572=$570 > $571; //@line 2957 "./dtoa.c"
      if ($572) { __label__ = 123; break; } else { __label__ = 121; break; } //@line 2957 "./dtoa.c"
    case 121: 
      var $574=$d; //@line 2957 "./dtoa.c"
      var $575=(tempDoubleI32[0]=HEAP32[(($574)>>2)],tempDoubleI32[1]=HEAP32[(($574+4)>>2)],tempDoubleF64[0]); //@line 2957 "./dtoa.c"
      var $576=$ds; //@line 2957 "./dtoa.c"
      var $577=$575 == $576; //@line 2957 "./dtoa.c"
      if ($577) { __label__ = 122; break; } else { __label__ = 130; break; } //@line 2957 "./dtoa.c"
    case 122: 
      var $579=$L; //@line 2957 "./dtoa.c"
      var $580=$579 & 1; //@line 2957 "./dtoa.c"
      var $581=(($580)|0)!=0; //@line 2957 "./dtoa.c"
      if ($581) { __label__ = 123; break; } else { __label__ = 130; break; } //@line 2957 "./dtoa.c"
    case 123: 
      __label__ = 124; break; //@line 2957 "./dtoa.c"
    case 124: 
      __label__ = 125; break; //@line 2959 "./dtoa.c"
    case 125: 
      var $585=$s; //@line 2959 "./dtoa.c"
      var $586=(($585-1)|0); //@line 2959 "./dtoa.c"
      $s=$586; //@line 2959 "./dtoa.c"
      var $587=HEAP8[($586)]; //@line 2959 "./dtoa.c"
      var $588=(($587 << 24) >> 24); //@line 2959 "./dtoa.c"
      var $589=(($588)|0)==57; //@line 2959 "./dtoa.c"
      if ($589) { __label__ = 126; break; } else { __label__ = 129; break; } //@line 2959 "./dtoa.c"
    case 126: 
      var $591=$s; //@line 2960 "./dtoa.c"
      var $592=$s0; //@line 2960 "./dtoa.c"
      var $593=(($591)|0)==(($592)|0); //@line 2960 "./dtoa.c"
      if ($593) { __label__ = 127; break; } else { __label__ = 128; break; } //@line 2960 "./dtoa.c"
    case 127: 
      var $595=$k; //@line 2961 "./dtoa.c"
      var $596=(($595+1)|0); //@line 2961 "./dtoa.c"
      $k=$596; //@line 2961 "./dtoa.c"
      var $597=$s; //@line 2962 "./dtoa.c"
      HEAP8[($597)]=48; //@line 2962 "./dtoa.c"
      __label__ = 129; break; //@line 2963 "./dtoa.c"
    case 128: 
      __label__ = 125; break; //@line 2964 "./dtoa.c"
    case 129: 
      var $600=$s; //@line 2965 "./dtoa.c"
      var $601=(($600+1)|0); //@line 2965 "./dtoa.c"
      $s=$601; //@line 2965 "./dtoa.c"
      var $602=HEAP8[($600)]; //@line 2965 "./dtoa.c"
      var $603=(($602+1)&255); //@line 2965 "./dtoa.c"
      HEAP8[($600)]=$603; //@line 2965 "./dtoa.c"
      __label__ = 130; break; //@line 2966 "./dtoa.c"
    case 130: 
      __label__ = 133; break; //@line 2967 "./dtoa.c"
    case 131: 
      __label__ = 132; break; //@line 2969 "./dtoa.c"
    case 132: 
      var $607=$i; //@line 2931 "./dtoa.c"
      var $608=(($607+1)|0); //@line 2931 "./dtoa.c"
      $i=$608; //@line 2931 "./dtoa.c"
      var $609=$d; //@line 2931 "./dtoa.c"
      var $610=(tempDoubleI32[0]=HEAP32[(($609)>>2)],tempDoubleI32[1]=HEAP32[(($609+4)>>2)],tempDoubleF64[0]); //@line 2931 "./dtoa.c"
      var $611=$610*10; //@line 2931 "./dtoa.c"
      (tempDoubleF64[0]=$611,HEAP32[(($609)>>2)]=tempDoubleI32[0],HEAP32[(($609+4)>>2)]=tempDoubleI32[1]); //@line 2931 "./dtoa.c"
      __label__ = 117; break; //@line 2931 "./dtoa.c"
    case 133: 
      __label__ = 263; break; //@line 2970 "./dtoa.c"
    case 134: 
      var $614=$b2; //@line 2973 "./dtoa.c"
      $m2=$614; //@line 2973 "./dtoa.c"
      var $615=$b5; //@line 2974 "./dtoa.c"
      $m5=$615; //@line 2974 "./dtoa.c"
      $mlo=0; //@line 2975 "./dtoa.c"
      $mhi=0; //@line 2975 "./dtoa.c"
      var $616=$leftright; //@line 2976 "./dtoa.c"
      var $617=(($616)|0)!=0; //@line 2976 "./dtoa.c"
      if ($617) { __label__ = 135; break; } else { __label__ = 139; break; } //@line 2976 "./dtoa.c"
    case 135: 
      var $619=$denorm; //@line 2977 "./dtoa.c"
      var $620=(($619)|0)!=0; //@line 2977 "./dtoa.c"
      if ($620) { __label__ = 136; break; } else { __label__ = 137; break; } //@line 2977 "./dtoa.c"
    case 136: 
      var $622=HEAP32[(($be)>>2)]; //@line 2977 "./dtoa.c"
      var $623=(($622+1075)|0); //@line 2977 "./dtoa.c"
      var $628 = $623;__label__ = 138; break; //@line 2977 "./dtoa.c"
    case 137: 
      var $625=HEAP32[(($bbits)>>2)]; //@line 2977 "./dtoa.c"
      var $626=((54-$625)|0); //@line 2977 "./dtoa.c"
      var $628 = $626;__label__ = 138; break; //@line 2977 "./dtoa.c"
    case 138: 
      var $628; //@line 2977 "./dtoa.c"
      $i=$628; //@line 2977 "./dtoa.c"
      var $629=$i; //@line 2986 "./dtoa.c"
      var $630=$b2; //@line 2986 "./dtoa.c"
      var $631=(($630+$629)|0); //@line 2986 "./dtoa.c"
      $b2=$631; //@line 2986 "./dtoa.c"
      var $632=$i; //@line 2987 "./dtoa.c"
      var $633=$s2; //@line 2987 "./dtoa.c"
      var $634=(($633+$632)|0); //@line 2987 "./dtoa.c"
      $s2=$634; //@line 2987 "./dtoa.c"
      var $635=$2; //@line 2988 "./dtoa.c"
      var $636=_i2b($635, 1); //@line 2988 "./dtoa.c"
      $mhi=$636; //@line 2988 "./dtoa.c"
      __label__ = 139; break; //@line 2989 "./dtoa.c"
    case 139: 
      var $638=$m2; //@line 2990 "./dtoa.c"
      var $639=(($638)|0) > 0; //@line 2990 "./dtoa.c"
      if ($639) { __label__ = 140; break; } else { __label__ = 142; break; } //@line 2990 "./dtoa.c"
    case 140: 
      var $641=$s2; //@line 2990 "./dtoa.c"
      var $642=(($641)|0) > 0; //@line 2990 "./dtoa.c"
      if ($642) { __label__ = 141; break; } else { __label__ = 142; break; } //@line 2990 "./dtoa.c"
    case 141: 
      var $644=$m2; //@line 2991 "./dtoa.c"
      var $645=$s2; //@line 2991 "./dtoa.c"
      var $646=(($644)|0) < (($645)|0); //@line 2991 "./dtoa.c"
      var $647=$m2; //@line 2991 "./dtoa.c"
      var $648=$s2; //@line 2991 "./dtoa.c"
      var $649=$646 ? $647 : $648; //@line 2991 "./dtoa.c"
      $i=$649; //@line 2991 "./dtoa.c"
      var $650=$i; //@line 2992 "./dtoa.c"
      var $651=$b2; //@line 2992 "./dtoa.c"
      var $652=(($651-$650)|0); //@line 2992 "./dtoa.c"
      $b2=$652; //@line 2992 "./dtoa.c"
      var $653=$i; //@line 2993 "./dtoa.c"
      var $654=$m2; //@line 2993 "./dtoa.c"
      var $655=(($654-$653)|0); //@line 2993 "./dtoa.c"
      $m2=$655; //@line 2993 "./dtoa.c"
      var $656=$i; //@line 2994 "./dtoa.c"
      var $657=$s2; //@line 2994 "./dtoa.c"
      var $658=(($657-$656)|0); //@line 2994 "./dtoa.c"
      $s2=$658; //@line 2994 "./dtoa.c"
      __label__ = 142; break; //@line 2995 "./dtoa.c"
    case 142: 
      var $660=$b5; //@line 2996 "./dtoa.c"
      var $661=(($660)|0) > 0; //@line 2996 "./dtoa.c"
      if ($661) { __label__ = 143; break; } else { __label__ = 151; break; } //@line 2996 "./dtoa.c"
    case 143: 
      var $663=$leftright; //@line 2997 "./dtoa.c"
      var $664=(($663)|0)!=0; //@line 2997 "./dtoa.c"
      if ($664) { __label__ = 144; break; } else { __label__ = 149; break; } //@line 2997 "./dtoa.c"
    case 144: 
      var $666=$m5; //@line 2998 "./dtoa.c"
      var $667=(($666)|0) > 0; //@line 2998 "./dtoa.c"
      if ($667) { __label__ = 145; break; } else { __label__ = 146; break; } //@line 2998 "./dtoa.c"
    case 145: 
      var $669=$2; //@line 2999 "./dtoa.c"
      var $670=$mhi; //@line 2999 "./dtoa.c"
      var $671=$m5; //@line 2999 "./dtoa.c"
      var $672=_pow5mult($669, $670, $671); //@line 2999 "./dtoa.c"
      $mhi=$672; //@line 2999 "./dtoa.c"
      var $673=$2; //@line 3000 "./dtoa.c"
      var $674=$mhi; //@line 3000 "./dtoa.c"
      var $675=$b; //@line 3000 "./dtoa.c"
      var $676=_mult($673, $674, $675); //@line 3000 "./dtoa.c"
      $b1=$676; //@line 3000 "./dtoa.c"
      var $677=$2; //@line 3001 "./dtoa.c"
      var $678=$b; //@line 3001 "./dtoa.c"
      _Bfree($677, $678); //@line 3001 "./dtoa.c"
      var $679=$b1; //@line 3002 "./dtoa.c"
      $b=$679; //@line 3002 "./dtoa.c"
      __label__ = 146; break; //@line 3003 "./dtoa.c"
    case 146: 
      var $681=$b5; //@line 3004 "./dtoa.c"
      var $682=$m5; //@line 3004 "./dtoa.c"
      var $683=(($681-$682)|0); //@line 3004 "./dtoa.c"
      $j=$683; //@line 3004 "./dtoa.c"
      var $684=(($683)|0)!=0; //@line 3004 "./dtoa.c"
      if ($684) { __label__ = 147; break; } else { __label__ = 148; break; } //@line 3004 "./dtoa.c"
    case 147: 
      var $686=$2; //@line 3005 "./dtoa.c"
      var $687=$b; //@line 3005 "./dtoa.c"
      var $688=$j; //@line 3005 "./dtoa.c"
      var $689=_pow5mult($686, $687, $688); //@line 3005 "./dtoa.c"
      $b=$689; //@line 3005 "./dtoa.c"
      __label__ = 148; break; //@line 3005 "./dtoa.c"
    case 148: 
      __label__ = 150; break; //@line 3006 "./dtoa.c"
    case 149: 
      var $692=$2; //@line 3008 "./dtoa.c"
      var $693=$b; //@line 3008 "./dtoa.c"
      var $694=$b5; //@line 3008 "./dtoa.c"
      var $695=_pow5mult($692, $693, $694); //@line 3008 "./dtoa.c"
      $b=$695; //@line 3008 "./dtoa.c"
      __label__ = 150; break;
    case 150: 
      __label__ = 151; break; //@line 3009 "./dtoa.c"
    case 151: 
      var $698=$2; //@line 3010 "./dtoa.c"
      var $699=_i2b($698, 1); //@line 3010 "./dtoa.c"
      $S=$699; //@line 3010 "./dtoa.c"
      var $700=$s5; //@line 3011 "./dtoa.c"
      var $701=(($700)|0) > 0; //@line 3011 "./dtoa.c"
      if ($701) { __label__ = 152; break; } else { __label__ = 153; break; } //@line 3011 "./dtoa.c"
    case 152: 
      var $703=$2; //@line 3012 "./dtoa.c"
      var $704=$S; //@line 3012 "./dtoa.c"
      var $705=$s5; //@line 3012 "./dtoa.c"
      var $706=_pow5mult($703, $704, $705); //@line 3012 "./dtoa.c"
      $S=$706; //@line 3012 "./dtoa.c"
      __label__ = 153; break; //@line 3012 "./dtoa.c"
    case 153: 
      $spec_case=0; //@line 3016 "./dtoa.c"
      var $708=$3; //@line 3017 "./dtoa.c"
      var $709=(($708)|0) < 2; //@line 3017 "./dtoa.c"
      if ($709) { __label__ = 155; break; } else { __label__ = 154; break; } //@line 3017 "./dtoa.c"
    case 154: 
      var $711=$leftright; //@line 3017 "./dtoa.c"
      var $712=(($711)|0)!=0; //@line 3017 "./dtoa.c"
      if ($712) { __label__ = 155; break; } else { __label__ = 160; break; } //@line 3017 "./dtoa.c"
    case 155: 
      var $714=$d; //@line 3022 "./dtoa.c"
      var $715=(($714)|0); //@line 3022 "./dtoa.c"
      var $716=HEAP32[(($715)>>2)]; //@line 3022 "./dtoa.c"
      var $717=(($716)|0)!=0; //@line 3022 "./dtoa.c"
      if ($717) { __label__ = 159; break; } else { __label__ = 156; break; } //@line 3022 "./dtoa.c"
    case 156: 
      var $719=$d; //@line 3022 "./dtoa.c"
      var $720=(($719+4)|0); //@line 3022 "./dtoa.c"
      var $721=HEAP32[(($720)>>2)]; //@line 3022 "./dtoa.c"
      var $722=$721 & 1048575; //@line 3022 "./dtoa.c"
      var $723=(($722)|0)!=0; //@line 3022 "./dtoa.c"
      if ($723) { __label__ = 159; break; } else { __label__ = 157; break; } //@line 3022 "./dtoa.c"
    case 157: 
      var $725=$d; //@line 3022 "./dtoa.c"
      var $726=(($725+4)|0); //@line 3022 "./dtoa.c"
      var $727=HEAP32[(($726)>>2)]; //@line 3022 "./dtoa.c"
      var $728=$727 & 2145386496; //@line 3022 "./dtoa.c"
      var $729=(($728)|0)!=0; //@line 3022 "./dtoa.c"
      if ($729) { __label__ = 158; break; } else { __label__ = 159; break; } //@line 3022 "./dtoa.c"
    case 158: 
      var $731=$b2; //@line 3028 "./dtoa.c"
      var $732=(($731+1)|0); //@line 3028 "./dtoa.c"
      $b2=$732; //@line 3028 "./dtoa.c"
      var $733=$s2; //@line 3029 "./dtoa.c"
      var $734=(($733+1)|0); //@line 3029 "./dtoa.c"
      $s2=$734; //@line 3029 "./dtoa.c"
      $spec_case=1; //@line 3030 "./dtoa.c"
      __label__ = 159; break; //@line 3031 "./dtoa.c"
    case 159: 
      __label__ = 160; break; //@line 3032 "./dtoa.c"
    case 160: 
      var $737=$s5; //@line 3042 "./dtoa.c"
      var $738=(($737)|0)!=0; //@line 3042 "./dtoa.c"
      if ($738) { __label__ = 161; break; } else { __label__ = 162; break; } //@line 3042 "./dtoa.c"
    case 161: 
      var $740=$S; //@line 3042 "./dtoa.c"
      var $741=(($740+16)|0); //@line 3042 "./dtoa.c"
      var $742=HEAP32[(($741)>>2)]; //@line 3042 "./dtoa.c"
      var $743=(($742-1)|0); //@line 3042 "./dtoa.c"
      var $744=$S; //@line 3042 "./dtoa.c"
      var $745=(($744+20)|0); //@line 3042 "./dtoa.c"
      var $746=(($745+($743<<2))|0); //@line 3042 "./dtoa.c"
      var $747=HEAP32[(($746)>>2)]; //@line 3042 "./dtoa.c"
      var $748=_hi0bits($747); //@line 3042 "./dtoa.c"
      var $749=((32-$748)|0); //@line 3042 "./dtoa.c"
      var $752 = $749;__label__ = 163; break; //@line 3042 "./dtoa.c"
    case 162: 
      var $752 = 1;__label__ = 163; break; //@line 3042 "./dtoa.c"
    case 163: 
      var $752; //@line 3042 "./dtoa.c"
      var $753=$s2; //@line 3042 "./dtoa.c"
      var $754=(($752+$753)|0); //@line 3042 "./dtoa.c"
      var $755=$754 & 31; //@line 3042 "./dtoa.c"
      $i=$755; //@line 3042 "./dtoa.c"
      var $756=(($755)|0)!=0; //@line 3042 "./dtoa.c"
      if ($756) { __label__ = 164; break; } else { __label__ = 165; break; } //@line 3042 "./dtoa.c"
    case 164: 
      var $758=$i; //@line 3043 "./dtoa.c"
      var $759=((32-$758)|0); //@line 3043 "./dtoa.c"
      $i=$759; //@line 3043 "./dtoa.c"
      __label__ = 165; break; //@line 3043 "./dtoa.c"
    case 165: 
      var $761=$i; //@line 3048 "./dtoa.c"
      var $762=(($761)|0) > 4; //@line 3048 "./dtoa.c"
      if ($762) { __label__ = 166; break; } else { __label__ = 167; break; } //@line 3048 "./dtoa.c"
    case 166: 
      var $764=$i; //@line 3049 "./dtoa.c"
      var $765=(($764-4)|0); //@line 3049 "./dtoa.c"
      $i=$765; //@line 3049 "./dtoa.c"
      var $766=$i; //@line 3050 "./dtoa.c"
      var $767=$b2; //@line 3050 "./dtoa.c"
      var $768=(($767+$766)|0); //@line 3050 "./dtoa.c"
      $b2=$768; //@line 3050 "./dtoa.c"
      var $769=$i; //@line 3051 "./dtoa.c"
      var $770=$m2; //@line 3051 "./dtoa.c"
      var $771=(($770+$769)|0); //@line 3051 "./dtoa.c"
      $m2=$771; //@line 3051 "./dtoa.c"
      var $772=$i; //@line 3052 "./dtoa.c"
      var $773=$s2; //@line 3052 "./dtoa.c"
      var $774=(($773+$772)|0); //@line 3052 "./dtoa.c"
      $s2=$774; //@line 3052 "./dtoa.c"
      __label__ = 170; break; //@line 3053 "./dtoa.c"
    case 167: 
      var $776=$i; //@line 3054 "./dtoa.c"
      var $777=(($776)|0) < 4; //@line 3054 "./dtoa.c"
      if ($777) { __label__ = 168; break; } else { __label__ = 169; break; } //@line 3054 "./dtoa.c"
    case 168: 
      var $779=$i; //@line 3055 "./dtoa.c"
      var $780=(($779+28)|0); //@line 3055 "./dtoa.c"
      $i=$780; //@line 3055 "./dtoa.c"
      var $781=$i; //@line 3056 "./dtoa.c"
      var $782=$b2; //@line 3056 "./dtoa.c"
      var $783=(($782+$781)|0); //@line 3056 "./dtoa.c"
      $b2=$783; //@line 3056 "./dtoa.c"
      var $784=$i; //@line 3057 "./dtoa.c"
      var $785=$m2; //@line 3057 "./dtoa.c"
      var $786=(($785+$784)|0); //@line 3057 "./dtoa.c"
      $m2=$786; //@line 3057 "./dtoa.c"
      var $787=$i; //@line 3058 "./dtoa.c"
      var $788=$s2; //@line 3058 "./dtoa.c"
      var $789=(($788+$787)|0); //@line 3058 "./dtoa.c"
      $s2=$789; //@line 3058 "./dtoa.c"
      __label__ = 169; break; //@line 3059 "./dtoa.c"
    case 169: 
      __label__ = 170; break;
    case 170: 
      var $792=$b2; //@line 3060 "./dtoa.c"
      var $793=(($792)|0) > 0; //@line 3060 "./dtoa.c"
      if ($793) { __label__ = 171; break; } else { __label__ = 172; break; } //@line 3060 "./dtoa.c"
    case 171: 
      var $795=$2; //@line 3061 "./dtoa.c"
      var $796=$b; //@line 3061 "./dtoa.c"
      var $797=$b2; //@line 3061 "./dtoa.c"
      var $798=_lshift($795, $796, $797); //@line 3061 "./dtoa.c"
      $b=$798; //@line 3061 "./dtoa.c"
      __label__ = 172; break; //@line 3061 "./dtoa.c"
    case 172: 
      var $800=$s2; //@line 3062 "./dtoa.c"
      var $801=(($800)|0) > 0; //@line 3062 "./dtoa.c"
      if ($801) { __label__ = 173; break; } else { __label__ = 174; break; } //@line 3062 "./dtoa.c"
    case 173: 
      var $803=$2; //@line 3063 "./dtoa.c"
      var $804=$S; //@line 3063 "./dtoa.c"
      var $805=$s2; //@line 3063 "./dtoa.c"
      var $806=_lshift($803, $804, $805); //@line 3063 "./dtoa.c"
      $S=$806; //@line 3063 "./dtoa.c"
      __label__ = 174; break; //@line 3063 "./dtoa.c"
    case 174: 
      var $808=$k_check; //@line 3064 "./dtoa.c"
      var $809=(($808)|0)!=0; //@line 3064 "./dtoa.c"
      if ($809) { __label__ = 175; break; } else { __label__ = 180; break; } //@line 3064 "./dtoa.c"
    case 175: 
      var $811=$b; //@line 3065 "./dtoa.c"
      var $812=$S; //@line 3065 "./dtoa.c"
      var $813=_cmp($811, $812); //@line 3065 "./dtoa.c"
      var $814=(($813)|0) < 0; //@line 3065 "./dtoa.c"
      if ($814) { __label__ = 176; break; } else { __label__ = 179; break; } //@line 3065 "./dtoa.c"
    case 176: 
      var $816=$k; //@line 3066 "./dtoa.c"
      var $817=(($816-1)|0); //@line 3066 "./dtoa.c"
      $k=$817; //@line 3066 "./dtoa.c"
      var $818=$2; //@line 3067 "./dtoa.c"
      var $819=$b; //@line 3067 "./dtoa.c"
      var $820=_multadd($818, $819, 10, 0); //@line 3067 "./dtoa.c"
      $b=$820; //@line 3067 "./dtoa.c"
      var $821=$leftright; //@line 3068 "./dtoa.c"
      var $822=(($821)|0)!=0; //@line 3068 "./dtoa.c"
      if ($822) { __label__ = 177; break; } else { __label__ = 178; break; } //@line 3068 "./dtoa.c"
    case 177: 
      var $824=$2; //@line 3069 "./dtoa.c"
      var $825=$mhi; //@line 3069 "./dtoa.c"
      var $826=_multadd($824, $825, 10, 0); //@line 3069 "./dtoa.c"
      $mhi=$826; //@line 3069 "./dtoa.c"
      __label__ = 178; break; //@line 3069 "./dtoa.c"
    case 178: 
      var $828=$ilim1; //@line 3070 "./dtoa.c"
      $ilim=$828; //@line 3070 "./dtoa.c"
      __label__ = 179; break; //@line 3071 "./dtoa.c"
    case 179: 
      __label__ = 180; break; //@line 3072 "./dtoa.c"
    case 180: 
      var $831=$ilim; //@line 3073 "./dtoa.c"
      var $832=(($831)|0) <= 0; //@line 3073 "./dtoa.c"
      if ($832) { __label__ = 181; break; } else { __label__ = 189; break; } //@line 3073 "./dtoa.c"
    case 181: 
      var $834=$3; //@line 3073 "./dtoa.c"
      var $835=(($834)|0)==3; //@line 3073 "./dtoa.c"
      if ($835) { __label__ = 183; break; } else { __label__ = 182; break; } //@line 3073 "./dtoa.c"
    case 182: 
      var $837=$3; //@line 3073 "./dtoa.c"
      var $838=(($837)|0)==5; //@line 3073 "./dtoa.c"
      if ($838) { __label__ = 183; break; } else { __label__ = 189; break; } //@line 3073 "./dtoa.c"
    case 183: 
      var $840=$ilim; //@line 3074 "./dtoa.c"
      var $841=(($840)|0) < 0; //@line 3074 "./dtoa.c"
      if ($841) { __label__ = 185; break; } else { __label__ = 184; break; } //@line 3074 "./dtoa.c"
    case 184: 
      var $843=$b; //@line 3074 "./dtoa.c"
      var $844=$2; //@line 3074 "./dtoa.c"
      var $845=$S; //@line 3074 "./dtoa.c"
      var $846=_multadd($844, $845, 5, 0); //@line 3074 "./dtoa.c"
      $S=$846; //@line 3074 "./dtoa.c"
      var $847=_cmp($843, $846); //@line 3074 "./dtoa.c"
      var $848=(($847)|0) < 0; //@line 3074 "./dtoa.c"
      if ($848) { __label__ = 185; break; } else { __label__ = 187; break; } //@line 3074 "./dtoa.c"
    case 185: 
      __label__ = 186; break; //@line 3074 "./dtoa.c"
    case 186: 
      var $851=$s; //@line 3078 "./dtoa.c"
      var $852=(($851+1)|0); //@line 3078 "./dtoa.c"
      $s=$852; //@line 3078 "./dtoa.c"
      HEAP8[($851)]=48; //@line 3078 "./dtoa.c"
      $k=0; //@line 3079 "./dtoa.c"
      __label__ = 257; break; //@line 3080 "./dtoa.c"
    case 187: 
      __label__ = 188; break; //@line 3081 "./dtoa.c"
    case 188: 
      var $855=$s; //@line 3083 "./dtoa.c"
      var $856=(($855+1)|0); //@line 3083 "./dtoa.c"
      $s=$856; //@line 3083 "./dtoa.c"
      HEAP8[($855)]=49; //@line 3083 "./dtoa.c"
      var $857=$k; //@line 3084 "./dtoa.c"
      var $858=(($857+1)|0); //@line 3084 "./dtoa.c"
      $k=$858; //@line 3084 "./dtoa.c"
      __label__ = 257; break; //@line 3085 "./dtoa.c"
    case 189: 
      var $860=$leftright; //@line 3087 "./dtoa.c"
      var $861=(($860)|0)!=0; //@line 3087 "./dtoa.c"
      if ($861) { __label__ = 190; break; } else { __label__ = 235; break; } //@line 3087 "./dtoa.c"
    case 190: 
      var $863=$m2; //@line 3088 "./dtoa.c"
      var $864=(($863)|0) > 0; //@line 3088 "./dtoa.c"
      if ($864) { __label__ = 191; break; } else { __label__ = 192; break; } //@line 3088 "./dtoa.c"
    case 191: 
      var $866=$2; //@line 3089 "./dtoa.c"
      var $867=$mhi; //@line 3089 "./dtoa.c"
      var $868=$m2; //@line 3089 "./dtoa.c"
      var $869=_lshift($866, $867, $868); //@line 3089 "./dtoa.c"
      $mhi=$869; //@line 3089 "./dtoa.c"
      __label__ = 192; break; //@line 3089 "./dtoa.c"
    case 192: 
      var $871=$mhi; //@line 3095 "./dtoa.c"
      $mlo=$871; //@line 3095 "./dtoa.c"
      var $872=$spec_case; //@line 3096 "./dtoa.c"
      var $873=(($872)|0)!=0; //@line 3096 "./dtoa.c"
      if ($873) { __label__ = 193; break; } else { __label__ = 194; break; } //@line 3096 "./dtoa.c"
    case 193: 
      var $875=$2; //@line 3097 "./dtoa.c"
      var $876=$mhi; //@line 3097 "./dtoa.c"
      var $877=(($876+4)|0); //@line 3097 "./dtoa.c"
      var $878=HEAP32[(($877)>>2)]; //@line 3097 "./dtoa.c"
      var $879=_Balloc($875, $878); //@line 3097 "./dtoa.c"
      $mhi=$879; //@line 3097 "./dtoa.c"
      var $880=$mhi; //@line 3098 "./dtoa.c"
      var $881=(($880+12)|0); //@line 3098 "./dtoa.c"
      var $882=$881; //@line 3098 "./dtoa.c"
      var $883=$mlo; //@line 3098 "./dtoa.c"
      var $884=(($883+12)|0); //@line 3098 "./dtoa.c"
      var $885=$884; //@line 3098 "./dtoa.c"
      var $886=$mlo; //@line 3098 "./dtoa.c"
      var $887=(($886+16)|0); //@line 3098 "./dtoa.c"
      var $888=HEAP32[(($887)>>2)]; //@line 3098 "./dtoa.c"
      var $889=((($888<<2))|0); //@line 3098 "./dtoa.c"
      var $890=(($889+8)|0); //@line 3098 "./dtoa.c"
      assert($890 % 1 === 0, 'memcpy given ' + $890 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($882, $885, $890, 1); //@line 3098 "./dtoa.c"
      var $891=$2; //@line 3099 "./dtoa.c"
      var $892=$mhi; //@line 3099 "./dtoa.c"
      var $893=_lshift($891, $892, 1); //@line 3099 "./dtoa.c"
      $mhi=$893; //@line 3099 "./dtoa.c"
      __label__ = 194; break; //@line 3100 "./dtoa.c"
    case 194: 
      $i=1; //@line 3102 "./dtoa.c"
      __label__ = 195; break; //@line 3102 "./dtoa.c"
    case 195: 
      var $896=$b; //@line 3103 "./dtoa.c"
      var $897=$S; //@line 3103 "./dtoa.c"
      var $898=_quorem($896, $897); //@line 3103 "./dtoa.c"
      var $899=(($898+48)|0); //@line 3103 "./dtoa.c"
      $dig=$899; //@line 3103 "./dtoa.c"
      var $900=$b; //@line 3107 "./dtoa.c"
      var $901=$mlo; //@line 3107 "./dtoa.c"
      var $902=_cmp($900, $901); //@line 3107 "./dtoa.c"
      $j=$902; //@line 3107 "./dtoa.c"
      var $903=$2; //@line 3108 "./dtoa.c"
      var $904=$S; //@line 3108 "./dtoa.c"
      var $905=$mhi; //@line 3108 "./dtoa.c"
      var $906=_diff($903, $904, $905); //@line 3108 "./dtoa.c"
      $delta=$906; //@line 3108 "./dtoa.c"
      var $907=$delta; //@line 3109 "./dtoa.c"
      var $908=(($907+12)|0); //@line 3109 "./dtoa.c"
      var $909=HEAP32[(($908)>>2)]; //@line 3109 "./dtoa.c"
      var $910=(($909)|0)!=0; //@line 3109 "./dtoa.c"
      if ($910) { __label__ = 196; break; } else { __label__ = 197; break; } //@line 3109 "./dtoa.c"
    case 196: 
      var $917 = 1;__label__ = 198; break; //@line 3109 "./dtoa.c"
    case 197: 
      var $913=$b; //@line 3109 "./dtoa.c"
      var $914=$delta; //@line 3109 "./dtoa.c"
      var $915=_cmp($913, $914); //@line 3109 "./dtoa.c"
      var $917 = $915;__label__ = 198; break; //@line 3109 "./dtoa.c"
    case 198: 
      var $917; //@line 3109 "./dtoa.c"
      $j1=$917; //@line 3109 "./dtoa.c"
      var $918=$2; //@line 3110 "./dtoa.c"
      var $919=$delta; //@line 3110 "./dtoa.c"
      _Bfree($918, $919); //@line 3110 "./dtoa.c"
      var $920=$j1; //@line 3112 "./dtoa.c"
      var $921=(($920)|0)==0; //@line 3112 "./dtoa.c"
      if ($921) { __label__ = 199; break; } else { __label__ = 206; break; } //@line 3112 "./dtoa.c"
    case 199: 
      var $923=$3; //@line 3112 "./dtoa.c"
      var $924=(($923)|0)!=1; //@line 3112 "./dtoa.c"
      if ($924) { __label__ = 200; break; } else { __label__ = 206; break; } //@line 3112 "./dtoa.c"
    case 200: 
      var $926=$d; //@line 3112 "./dtoa.c"
      var $927=(($926)|0); //@line 3112 "./dtoa.c"
      var $928=HEAP32[(($927)>>2)]; //@line 3112 "./dtoa.c"
      var $929=$928 & 1; //@line 3112 "./dtoa.c"
      var $930=(($929)|0)!=0; //@line 3112 "./dtoa.c"
      if ($930) { __label__ = 206; break; } else { __label__ = 201; break; } //@line 3112 "./dtoa.c"
    case 201: 
      var $932=$dig; //@line 3117 "./dtoa.c"
      var $933=(($932)|0)==57; //@line 3117 "./dtoa.c"
      if ($933) { __label__ = 202; break; } else { __label__ = 203; break; } //@line 3117 "./dtoa.c"
    case 202: 
      __label__ = 225; break; //@line 3118 "./dtoa.c"
    case 203: 
      var $936=$j; //@line 3119 "./dtoa.c"
      var $937=(($936)|0) > 0; //@line 3119 "./dtoa.c"
      if ($937) { __label__ = 204; break; } else { __label__ = 205; break; } //@line 3119 "./dtoa.c"
    case 204: 
      var $939=$dig; //@line 3120 "./dtoa.c"
      var $940=(($939+1)|0); //@line 3120 "./dtoa.c"
      $dig=$940; //@line 3120 "./dtoa.c"
      __label__ = 205; break; //@line 3120 "./dtoa.c"
    case 205: 
      var $942=$dig; //@line 3125 "./dtoa.c"
      var $943=(($942) & 255); //@line 3125 "./dtoa.c"
      var $944=$s; //@line 3125 "./dtoa.c"
      var $945=(($944+1)|0); //@line 3125 "./dtoa.c"
      $s=$945; //@line 3125 "./dtoa.c"
      HEAP8[($944)]=$943; //@line 3125 "./dtoa.c"
      __label__ = 257; break; //@line 3126 "./dtoa.c"
    case 206: 
      var $947=$j; //@line 3129 "./dtoa.c"
      var $948=(($947)|0) < 0; //@line 3129 "./dtoa.c"
      if ($948) { __label__ = 210; break; } else { __label__ = 207; break; } //@line 3129 "./dtoa.c"
    case 207: 
      var $950=$j; //@line 3129 "./dtoa.c"
      var $951=(($950)|0)==0; //@line 3129 "./dtoa.c"
      if ($951) { __label__ = 208; break; } else { __label__ = 222; break; } //@line 3129 "./dtoa.c"
    case 208: 
      var $953=$3; //@line 3129 "./dtoa.c"
      var $954=(($953)|0)!=1; //@line 3129 "./dtoa.c"
      if ($954) { __label__ = 209; break; } else { __label__ = 222; break; } //@line 3129 "./dtoa.c"
    case 209: 
      var $956=$d; //@line 3129 "./dtoa.c"
      var $957=(($956)|0); //@line 3129 "./dtoa.c"
      var $958=HEAP32[(($957)>>2)]; //@line 3129 "./dtoa.c"
      var $959=$958 & 1; //@line 3129 "./dtoa.c"
      var $960=(($959)|0)!=0; //@line 3129 "./dtoa.c"
      if ($960) { __label__ = 222; break; } else { __label__ = 210; break; } //@line 3129 "./dtoa.c"
    case 210: 
      var $962=$b; //@line 3134 "./dtoa.c"
      var $963=(($962+20)|0); //@line 3134 "./dtoa.c"
      var $964=(($963)|0); //@line 3134 "./dtoa.c"
      var $965=HEAP32[(($964)>>2)]; //@line 3134 "./dtoa.c"
      var $966=(($965)|0)!=0; //@line 3134 "./dtoa.c"
      if ($966) { __label__ = 213; break; } else { __label__ = 211; break; } //@line 3134 "./dtoa.c"
    case 211: 
      var $968=$b; //@line 3134 "./dtoa.c"
      var $969=(($968+16)|0); //@line 3134 "./dtoa.c"
      var $970=HEAP32[(($969)>>2)]; //@line 3134 "./dtoa.c"
      var $971=(($970)|0) <= 1; //@line 3134 "./dtoa.c"
      if ($971) { __label__ = 212; break; } else { __label__ = 213; break; } //@line 3134 "./dtoa.c"
    case 212: 
      __label__ = 221; break; //@line 3138 "./dtoa.c"
    case 213: 
      var $974=$j1; //@line 3147 "./dtoa.c"
      var $975=(($974)|0) > 0; //@line 3147 "./dtoa.c"
      if ($975) { __label__ = 214; break; } else { __label__ = 220; break; } //@line 3147 "./dtoa.c"
    case 214: 
      var $977=$2; //@line 3148 "./dtoa.c"
      var $978=$b; //@line 3148 "./dtoa.c"
      var $979=_lshift($977, $978, 1); //@line 3148 "./dtoa.c"
      $b=$979; //@line 3148 "./dtoa.c"
      var $980=$b; //@line 3149 "./dtoa.c"
      var $981=$S; //@line 3149 "./dtoa.c"
      var $982=_cmp($980, $981); //@line 3149 "./dtoa.c"
      $j1=$982; //@line 3149 "./dtoa.c"
      var $983=$j1; //@line 3150 "./dtoa.c"
      var $984=(($983)|0) > 0; //@line 3150 "./dtoa.c"
      if ($984) { __label__ = 217; break; } else { __label__ = 215; break; } //@line 3150 "./dtoa.c"
    case 215: 
      var $986=$j1; //@line 3150 "./dtoa.c"
      var $987=(($986)|0)==0; //@line 3150 "./dtoa.c"
      if ($987) { __label__ = 216; break; } else { __label__ = 219; break; } //@line 3150 "./dtoa.c"
    case 216: 
      var $989=$dig; //@line 3150 "./dtoa.c"
      var $990=$989 & 1; //@line 3150 "./dtoa.c"
      var $991=(($990)|0)!=0; //@line 3150 "./dtoa.c"
      if ($991) { __label__ = 217; break; } else { __label__ = 219; break; } //@line 3150 "./dtoa.c"
    case 217: 
      var $993=$dig; //@line 3150 "./dtoa.c"
      var $994=(($993+1)|0); //@line 3150 "./dtoa.c"
      $dig=$994; //@line 3150 "./dtoa.c"
      var $995=(($993)|0)==57; //@line 3150 "./dtoa.c"
      if ($995) { __label__ = 218; break; } else { __label__ = 219; break; } //@line 3150 "./dtoa.c"
    case 218: 
      __label__ = 225; break; //@line 3152 "./dtoa.c"
    case 219: 
      __label__ = 220; break; //@line 3153 "./dtoa.c"
    case 220: 
      __label__ = 221; break; //@line 3153 "./dtoa.c"
    case 221: 
      var $1000=$dig; //@line 3155 "./dtoa.c"
      var $1001=(($1000) & 255); //@line 3155 "./dtoa.c"
      var $1002=$s; //@line 3155 "./dtoa.c"
      var $1003=(($1002+1)|0); //@line 3155 "./dtoa.c"
      $s=$1003; //@line 3155 "./dtoa.c"
      HEAP8[($1002)]=$1001; //@line 3155 "./dtoa.c"
      __label__ = 257; break; //@line 3156 "./dtoa.c"
    case 222: 
      var $1005=$j1; //@line 3158 "./dtoa.c"
      var $1006=(($1005)|0) > 0; //@line 3158 "./dtoa.c"
      if ($1006) { __label__ = 223; break; } else { __label__ = 227; break; } //@line 3158 "./dtoa.c"
    case 223: 
      var $1008=$dig; //@line 3163 "./dtoa.c"
      var $1009=(($1008)|0)==57; //@line 3163 "./dtoa.c"
      if ($1009) { __label__ = 224; break; } else { __label__ = 226; break; } //@line 3163 "./dtoa.c"
    case 224: 
      __label__ = 225; break; //@line 3163 "./dtoa.c"
    case 225: 
      var $1012=$s; //@line 3165 "./dtoa.c"
      var $1013=(($1012+1)|0); //@line 3165 "./dtoa.c"
      $s=$1013; //@line 3165 "./dtoa.c"
      HEAP8[($1012)]=57; //@line 3165 "./dtoa.c"
      __label__ = 246; break; //@line 3166 "./dtoa.c"
    case 226: 
      var $1015=$dig; //@line 3168 "./dtoa.c"
      var $1016=(($1015+1)|0); //@line 3168 "./dtoa.c"
      var $1017=(($1016) & 255); //@line 3168 "./dtoa.c"
      var $1018=$s; //@line 3168 "./dtoa.c"
      var $1019=(($1018+1)|0); //@line 3168 "./dtoa.c"
      $s=$1019; //@line 3168 "./dtoa.c"
      HEAP8[($1018)]=$1017; //@line 3168 "./dtoa.c"
      __label__ = 257; break; //@line 3169 "./dtoa.c"
    case 227: 
      var $1021=$dig; //@line 3174 "./dtoa.c"
      var $1022=(($1021) & 255); //@line 3174 "./dtoa.c"
      var $1023=$s; //@line 3174 "./dtoa.c"
      var $1024=(($1023+1)|0); //@line 3174 "./dtoa.c"
      $s=$1024; //@line 3174 "./dtoa.c"
      HEAP8[($1023)]=$1022; //@line 3174 "./dtoa.c"
      var $1025=$i; //@line 3175 "./dtoa.c"
      var $1026=$ilim; //@line 3175 "./dtoa.c"
      var $1027=(($1025)|0)==(($1026)|0); //@line 3175 "./dtoa.c"
      if ($1027) { __label__ = 228; break; } else { __label__ = 229; break; } //@line 3175 "./dtoa.c"
    case 228: 
      __label__ = 234; break; //@line 3176 "./dtoa.c"
    case 229: 
      var $1030=$2; //@line 3177 "./dtoa.c"
      var $1031=$b; //@line 3177 "./dtoa.c"
      var $1032=_multadd($1030, $1031, 10, 0); //@line 3177 "./dtoa.c"
      $b=$1032; //@line 3177 "./dtoa.c"
      var $1033=$mlo; //@line 3178 "./dtoa.c"
      var $1034=$mhi; //@line 3178 "./dtoa.c"
      var $1035=(($1033)|0)==(($1034)|0); //@line 3178 "./dtoa.c"
      if ($1035) { __label__ = 230; break; } else { __label__ = 231; break; } //@line 3178 "./dtoa.c"
    case 230: 
      var $1037=$2; //@line 3179 "./dtoa.c"
      var $1038=$mhi; //@line 3179 "./dtoa.c"
      var $1039=_multadd($1037, $1038, 10, 0); //@line 3179 "./dtoa.c"
      $mhi=$1039; //@line 3179 "./dtoa.c"
      $mlo=$1039; //@line 3179 "./dtoa.c"
      __label__ = 232; break; //@line 3179 "./dtoa.c"
    case 231: 
      var $1041=$2; //@line 3181 "./dtoa.c"
      var $1042=$mlo; //@line 3181 "./dtoa.c"
      var $1043=_multadd($1041, $1042, 10, 0); //@line 3181 "./dtoa.c"
      $mlo=$1043; //@line 3181 "./dtoa.c"
      var $1044=$2; //@line 3182 "./dtoa.c"
      var $1045=$mhi; //@line 3182 "./dtoa.c"
      var $1046=_multadd($1044, $1045, 10, 0); //@line 3182 "./dtoa.c"
      $mhi=$1046; //@line 3182 "./dtoa.c"
      __label__ = 232; break;
    case 232: 
      __label__ = 233; break; //@line 3184 "./dtoa.c"
    case 233: 
      var $1049=$i; //@line 3102 "./dtoa.c"
      var $1050=(($1049+1)|0); //@line 3102 "./dtoa.c"
      $i=$1050; //@line 3102 "./dtoa.c"
      __label__ = 195; break; //@line 3102 "./dtoa.c"
    case 234: 
      __label__ = 244; break; //@line 3185 "./dtoa.c"
    case 235: 
      $i=1; //@line 3187 "./dtoa.c"
      __label__ = 236; break; //@line 3187 "./dtoa.c"
    case 236: 
      var $1054=$b; //@line 3188 "./dtoa.c"
      var $1055=$S; //@line 3188 "./dtoa.c"
      var $1056=_quorem($1054, $1055); //@line 3188 "./dtoa.c"
      var $1057=(($1056+48)|0); //@line 3188 "./dtoa.c"
      $dig=$1057; //@line 3188 "./dtoa.c"
      var $1058=(($1057) & 255); //@line 3188 "./dtoa.c"
      var $1059=$s; //@line 3188 "./dtoa.c"
      var $1060=(($1059+1)|0); //@line 3188 "./dtoa.c"
      $s=$1060; //@line 3188 "./dtoa.c"
      HEAP8[($1059)]=$1058; //@line 3188 "./dtoa.c"
      var $1061=$b; //@line 3189 "./dtoa.c"
      var $1062=(($1061+20)|0); //@line 3189 "./dtoa.c"
      var $1063=(($1062)|0); //@line 3189 "./dtoa.c"
      var $1064=HEAP32[(($1063)>>2)]; //@line 3189 "./dtoa.c"
      var $1065=(($1064)|0)!=0; //@line 3189 "./dtoa.c"
      if ($1065) { __label__ = 239; break; } else { __label__ = 237; break; } //@line 3189 "./dtoa.c"
    case 237: 
      var $1067=$b; //@line 3189 "./dtoa.c"
      var $1068=(($1067+16)|0); //@line 3189 "./dtoa.c"
      var $1069=HEAP32[(($1068)>>2)]; //@line 3189 "./dtoa.c"
      var $1070=(($1069)|0) <= 1; //@line 3189 "./dtoa.c"
      if ($1070) { __label__ = 238; break; } else { __label__ = 239; break; } //@line 3189 "./dtoa.c"
    case 238: 
      __label__ = 257; break; //@line 3193 "./dtoa.c"
    case 239: 
      var $1073=$i; //@line 3195 "./dtoa.c"
      var $1074=$ilim; //@line 3195 "./dtoa.c"
      var $1075=(($1073)|0) >= (($1074)|0); //@line 3195 "./dtoa.c"
      if ($1075) { __label__ = 240; break; } else { __label__ = 241; break; } //@line 3195 "./dtoa.c"
    case 240: 
      __label__ = 243; break; //@line 3196 "./dtoa.c"
    case 241: 
      var $1078=$2; //@line 3197 "./dtoa.c"
      var $1079=$b; //@line 3197 "./dtoa.c"
      var $1080=_multadd($1078, $1079, 10, 0); //@line 3197 "./dtoa.c"
      $b=$1080; //@line 3197 "./dtoa.c"
      __label__ = 242; break; //@line 3198 "./dtoa.c"
    case 242: 
      var $1082=$i; //@line 3187 "./dtoa.c"
      var $1083=(($1082+1)|0); //@line 3187 "./dtoa.c"
      $i=$1083; //@line 3187 "./dtoa.c"
      __label__ = 236; break; //@line 3187 "./dtoa.c"
    case 243: 
      __label__ = 244; break;
    case 244: 
      var $1086=$2; //@line 3208 "./dtoa.c"
      var $1087=$b; //@line 3208 "./dtoa.c"
      var $1088=_lshift($1086, $1087, 1); //@line 3208 "./dtoa.c"
      $b=$1088; //@line 3208 "./dtoa.c"
      var $1089=$b; //@line 3209 "./dtoa.c"
      var $1090=$S; //@line 3209 "./dtoa.c"
      var $1091=_cmp($1089, $1090); //@line 3209 "./dtoa.c"
      $j=$1091; //@line 3209 "./dtoa.c"
      var $1092=$j; //@line 3210 "./dtoa.c"
      var $1093=(($1092)|0) >= 0; //@line 3210 "./dtoa.c"
      if ($1093) { __label__ = 245; break; } else { __label__ = 252; break; } //@line 3210 "./dtoa.c"
    case 245: 
      __label__ = 246; break; //@line 3210 "./dtoa.c"
    case 246: 
      __label__ = 247; break; //@line 3212 "./dtoa.c"
    case 247: 
      var $1097=$s; //@line 3212 "./dtoa.c"
      var $1098=(($1097-1)|0); //@line 3212 "./dtoa.c"
      $s=$1098; //@line 3212 "./dtoa.c"
      var $1099=HEAP8[($1098)]; //@line 3212 "./dtoa.c"
      var $1100=(($1099 << 24) >> 24); //@line 3212 "./dtoa.c"
      var $1101=(($1100)|0)==57; //@line 3212 "./dtoa.c"
      if ($1101) { __label__ = 248; break; } else { __label__ = 251; break; } //@line 3212 "./dtoa.c"
    case 248: 
      var $1103=$s; //@line 3213 "./dtoa.c"
      var $1104=$s0; //@line 3213 "./dtoa.c"
      var $1105=(($1103)|0)==(($1104)|0); //@line 3213 "./dtoa.c"
      if ($1105) { __label__ = 249; break; } else { __label__ = 250; break; } //@line 3213 "./dtoa.c"
    case 249: 
      var $1107=$k; //@line 3214 "./dtoa.c"
      var $1108=(($1107+1)|0); //@line 3214 "./dtoa.c"
      $k=$1108; //@line 3214 "./dtoa.c"
      var $1109=$s; //@line 3215 "./dtoa.c"
      var $1110=(($1109+1)|0); //@line 3215 "./dtoa.c"
      $s=$1110; //@line 3215 "./dtoa.c"
      HEAP8[($1109)]=49; //@line 3215 "./dtoa.c"
      __label__ = 257; break; //@line 3216 "./dtoa.c"
    case 250: 
      __label__ = 247; break; //@line 3217 "./dtoa.c"
    case 251: 
      var $1113=$s; //@line 3218 "./dtoa.c"
      var $1114=(($1113+1)|0); //@line 3218 "./dtoa.c"
      $s=$1114; //@line 3218 "./dtoa.c"
      var $1115=HEAP8[($1113)]; //@line 3218 "./dtoa.c"
      var $1116=(($1115+1)&255); //@line 3218 "./dtoa.c"
      HEAP8[($1113)]=$1116; //@line 3218 "./dtoa.c"
      __label__ = 256; break; //@line 3219 "./dtoa.c"
    case 252: 
      __label__ = 253; break; //@line 3224 "./dtoa.c"
    case 253: 
      var $1119=$s; //@line 3224 "./dtoa.c"
      var $1120=(($1119-1)|0); //@line 3224 "./dtoa.c"
      $s=$1120; //@line 3224 "./dtoa.c"
      var $1121=HEAP8[($1120)]; //@line 3224 "./dtoa.c"
      var $1122=(($1121 << 24) >> 24); //@line 3224 "./dtoa.c"
      var $1123=(($1122)|0)==48; //@line 3224 "./dtoa.c"
      if ($1123) { __label__ = 254; break; } else { __label__ = 255; break; } //@line 3224 "./dtoa.c"
    case 254: 
      __label__ = 253; break; //@line 3224 "./dtoa.c"
    case 255: 
      var $1126=$s; //@line 3225 "./dtoa.c"
      var $1127=(($1126+1)|0); //@line 3225 "./dtoa.c"
      $s=$1127; //@line 3225 "./dtoa.c"
      __label__ = 256; break;
    case 256: 
      __label__ = 257; break;
    case 257: 
      var $1130=$2; //@line 3228 "./dtoa.c"
      var $1131=$S; //@line 3228 "./dtoa.c"
      _Bfree($1130, $1131); //@line 3228 "./dtoa.c"
      var $1132=$mhi; //@line 3229 "./dtoa.c"
      var $1133=(($1132)|0)!=0; //@line 3229 "./dtoa.c"
      if ($1133) { __label__ = 258; break; } else { __label__ = 262; break; } //@line 3229 "./dtoa.c"
    case 258: 
      var $1135=$mlo; //@line 3230 "./dtoa.c"
      var $1136=(($1135)|0)!=0; //@line 3230 "./dtoa.c"
      if ($1136) { __label__ = 259; break; } else { __label__ = 261; break; } //@line 3230 "./dtoa.c"
    case 259: 
      var $1138=$mlo; //@line 3230 "./dtoa.c"
      var $1139=$mhi; //@line 3230 "./dtoa.c"
      var $1140=(($1138)|0)!=(($1139)|0); //@line 3230 "./dtoa.c"
      if ($1140) { __label__ = 260; break; } else { __label__ = 261; break; } //@line 3230 "./dtoa.c"
    case 260: 
      var $1142=$2; //@line 3231 "./dtoa.c"
      var $1143=$mlo; //@line 3231 "./dtoa.c"
      _Bfree($1142, $1143); //@line 3231 "./dtoa.c"
      __label__ = 261; break; //@line 3231 "./dtoa.c"
    case 261: 
      var $1145=$2; //@line 3232 "./dtoa.c"
      var $1146=$mhi; //@line 3232 "./dtoa.c"
      _Bfree($1145, $1146); //@line 3232 "./dtoa.c"
      __label__ = 262; break; //@line 3233 "./dtoa.c"
    case 262: 
      __label__ = 263; break; //@line 3233 "./dtoa.c"
    case 263: 
      var $1149=$2; //@line 3246 "./dtoa.c"
      var $1150=$b; //@line 3246 "./dtoa.c"
      _Bfree($1149, $1150); //@line 3246 "./dtoa.c"
      var $1151=$s; //@line 3247 "./dtoa.c"
      HEAP8[($1151)]=0; //@line 3247 "./dtoa.c"
      var $1152=$k; //@line 3248 "./dtoa.c"
      var $1153=(($1152+1)|0); //@line 3248 "./dtoa.c"
      var $1154=$5; //@line 3248 "./dtoa.c"
      HEAP32[(($1154)>>2)]=$1153; //@line 3248 "./dtoa.c"
      var $1155=$7; //@line 3249 "./dtoa.c"
      var $1156=(($1155)|0)!=0; //@line 3249 "./dtoa.c"
      if ($1156) { __label__ = 264; break; } else { __label__ = 265; break; } //@line 3249 "./dtoa.c"
    case 264: 
      var $1158=$s; //@line 3250 "./dtoa.c"
      var $1159=$7; //@line 3250 "./dtoa.c"
      HEAP32[(($1159)>>2)]=$1158; //@line 3250 "./dtoa.c"
      __label__ = 265; break; //@line 3250 "./dtoa.c"
    case 265: 
      var $1161=$s0; //@line 3251 "./dtoa.c"
      $1=$1161; //@line 3251 "./dtoa.c"
      __label__ = 266; break; //@line 3251 "./dtoa.c"
    case 266: 
      var $1163=$1; //@line 3252 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $1163; //@line 3252 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_dtoa["X"]=1;

function _freedtoa($state, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  var $b;
  $1=$state;
  $2=$s;
  var $3=$2; //@line 2522 "./dtoa.c"
  var $4=$3; //@line 2522 "./dtoa.c"
  var $5=(($4-4)|0); //@line 2522 "./dtoa.c"
  var $6=$5; //@line 2522 "./dtoa.c"
  $b=$6; //@line 2522 "./dtoa.c"
  var $7=$b; //@line 2523 "./dtoa.c"
  var $8=$7; //@line 2523 "./dtoa.c"
  var $9=HEAP32[(($8)>>2)]; //@line 2523 "./dtoa.c"
  var $10=$b; //@line 2523 "./dtoa.c"
  var $11=(($10+4)|0); //@line 2523 "./dtoa.c"
  HEAP32[(($11)>>2)]=$9; //@line 2523 "./dtoa.c"
  var $12=1 << $9; //@line 2523 "./dtoa.c"
  var $13=$b; //@line 2523 "./dtoa.c"
  var $14=(($13+8)|0); //@line 2523 "./dtoa.c"
  HEAP32[(($14)>>2)]=$12; //@line 2523 "./dtoa.c"
  var $15=$1; //@line 2524 "./dtoa.c"
  var $16=$b; //@line 2524 "./dtoa.c"
  _Bfree($15, $16); //@line 2524 "./dtoa.c"
  ;
  return; //@line 2529 "./dtoa.c"
}


function _js_dtobasestr($state, $base, $dinput) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      var $buffer;
      var $p;
      var $pInt;
      var $q;
      var $digit;
      var $di=__stackBase__+8;
      var $df=__stackBase__+16;
      var $n;
      var $m;
      var $e=__stackBase__+24;
      var $bits=__stackBase__+28;
      var $b;
      var $5=__stackBase__+32;
      var $ch;
      var $e1=__stackBase__+40;
      var $bbits=__stackBase__+44;
      var $s2;
      var $done;
      var $b2;
      var $s;
      var $mlo;
      var $mhi;
      var $6=__stackBase__+48;
      var $j;
      var $j1;
      var $delta;
      $2=$state;
      $3=$base;
      $4=$dinput;
      var $7=$4; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $8=$d; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $9=__ZN2js11OffTheBooks7malloc_Ej(1078); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $buffer=$9; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $10=$buffer; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $11=(($10)|0)!=0; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 2: 
      $1=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 102; break; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 3: 
      var $14=$buffer; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$14; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $15=$d; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $16=(tempDoubleI32[0]=HEAP32[(($15)>>2)],tempDoubleI32[1]=HEAP32[(($15+4)>>2)],tempDoubleF64[0]); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $17=$16 < 0; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 4: 
      var $19=$p; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $20=(($19+1)|0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$20; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($19)]=45; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $21=$d; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $22=(tempDoubleI32[0]=HEAP32[(($21)>>2)],tempDoubleI32[1]=HEAP32[(($21+4)>>2)],tempDoubleF64[0]); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $23=(-$22); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $24=$d; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      (tempDoubleF64[0]=$23,HEAP32[(($24)>>2)]=tempDoubleI32[0],HEAP32[(($24+4)>>2)]=tempDoubleI32[1]); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 5; break; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 5: 
      var $26=$d; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $27=(($26+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $29=$28 & 2146435072; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $30=(($29)|0)==2146435072; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 6: 
      var $32=$p; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $33=$d; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $34=(($33)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $36=(($35)|0)!=0; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($36) { var $45 = 0;__label__ = 8; break; } else { __label__ = 7; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 7: 
      var $38=$d; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $39=(($38+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $41=$40 & 1048575; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $42=(($41)|0)!=0; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $43=$42 ^ 1; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $45 = $43;__label__ = 8; break;
    case 8: 
      var $45;
      var $46=$45 ? (((STRING_TABLE.__str11097)|0)) : (((STRING_TABLE.__str21098)|0));
      var $47=_strcpy($32, $46);
      var $48=$buffer; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $1=$48; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 102; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 9: 
      var $50=$p; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $pInt=$50; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $51=$d; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $52=(tempDoubleI32[0]=HEAP32[(($51)>>2)],tempDoubleI32[1]=HEAP32[(($51+4)>>2)],tempDoubleF64[0]); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $53=_floor($52); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $54=$di; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      (tempDoubleF64[0]=$53,HEAP32[(($54)>>2)]=tempDoubleI32[0],HEAP32[(($54+4)>>2)]=tempDoubleI32[1]); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $55=$di; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $56=(tempDoubleI32[0]=HEAP32[(($55)>>2)],tempDoubleI32[1]=HEAP32[(($55+4)>>2)],tempDoubleF64[0]); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $57=$56 <= 4294967295; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 20; break; } //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 10: 
      var $59=$di; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $60=(tempDoubleI32[0]=HEAP32[(($59)>>2)],tempDoubleI32[1]=HEAP32[(($59+4)>>2)],tempDoubleF64[0]); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $61=($60 >= 0 ? Math.floor($60) : Math.ceil($60)); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $n=$61; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $62=$n; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $63=(($62)|0)!=0; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($63) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 11: 
      __label__ = 12; break; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 12: 
      var $66=$n; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $67=$3; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $68=Math.floor((($66)>>>0)/(($67)>>>0)); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $m=$68; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $69=$n; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $70=$m; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $71=$3; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $72=(($70*$71)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $73=(($69-$72)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $digit=$73; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $74=$m; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $n=$74; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $75=$digit; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $76=(($75)>>>0) >= 10; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($76) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 13: 
      var $78=$digit; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $79=(($78+87)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $84 = $79;__label__ = 15; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 14: 
      var $81=$digit; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $82=(($81+48)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $84 = $82;__label__ = 15; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 15: 
      var $84; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $85=(($84) & 255); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $86=$p; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $87=(($86+1)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$87; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($86)]=$85; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 16; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 16: 
      var $89=$n; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $90=(($89)|0)!=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($90) { __label__ = 12; break; } else { __label__ = 17; break; } //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 17: 
      __label__ = 19; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 18: 
      var $93=$p; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $94=(($93+1)|0); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$94; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($93)]=48; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 19; break;
    case 19: 
      __label__ = 32; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 20: 
      var $97=$2; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $98=$5; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $99=$di; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($98)>>2)]=HEAP32[(($99)>>2)];HEAP32[(($98+4)>>2)]=HEAP32[(($99+4)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $100=_d2b($97, $5, $e, $bits); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $b=$100; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $101=$b; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $102=(($101)|0)!=0; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($102) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 21: 
      __label__ = 24; break; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 22: 
      var $105=$2; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $106=$b; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $107=HEAP32[(($e)>>2)]; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $108=_lshift($105, $106, $107); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $b=$108; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $109=$b; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $110=(($109)|0)!=0; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($110) { __label__ = 25; break; } else { __label__ = 23; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 23: 
      __label__ = 24; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 24: 
      var $113=$2; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $114=$b; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($113, $114); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $115=$buffer; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __ZN2js10Foreground5free_EPv($115); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $1=0; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 102; break; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 25: 
      __label__ = 26; break; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 26: 
      var $118=$b; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $119=$3; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $120=__ZL6divremP6Bigintj($118, $119); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $digit=$120; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $121=$digit; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $122=(($121)>>>0) >= 10; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($122) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 27: 
      var $124=$digit; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $125=(($124+87)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $130 = $125;__label__ = 29; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 28: 
      var $127=$digit; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $128=(($127+48)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $130 = $128;__label__ = 29; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 29: 
      var $130; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $131=(($130) & 255); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $132=$p; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $133=(($132+1)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$133; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($132)]=$131; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 30; break; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 30: 
      var $135=$b; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $136=(($135+16)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $138=(($137)|0)!=0; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($138) { __label__ = 26; break; } else { __label__ = 31; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 31: 
      var $140=$2; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $141=$b; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($140, $141); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 32; break;
    case 32: 
      var $143=$p; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $144=(($143-1)|0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $q=$144; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 33; break; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 33: 
      var $146=$q; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $147=$pInt; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $148=(($146)>>>0) > (($147)>>>0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($148) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 34: 
      var $150=$pInt; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $151=HEAP8[($150)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $ch=$151; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $152=$q; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $153=HEAP8[($152)]; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $154=$pInt; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $155=(($154+1)|0); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $pInt=$155; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($154)]=$153; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $156=$ch; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $157=$q; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $158=(($157-1)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $q=$158; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($157)]=$156; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 33; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 35: 
      var $160=$d; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $161=(tempDoubleI32[0]=HEAP32[(($160)>>2)],tempDoubleI32[1]=HEAP32[(($160+4)>>2)],tempDoubleF64[0]); //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $162=$di; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $163=(tempDoubleI32[0]=HEAP32[(($162)>>2)],tempDoubleI32[1]=HEAP32[(($162+4)>>2)],tempDoubleF64[0]); //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $164=$161-$163; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $165=$df; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      (tempDoubleF64[0]=$164,HEAP32[(($165)>>2)]=tempDoubleI32[0],HEAP32[(($165+4)>>2)]=tempDoubleI32[1]); //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $166=$df; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $167=(tempDoubleI32[0]=HEAP32[(($166)>>2)],tempDoubleI32[1]=HEAP32[(($166+4)>>2)],tempDoubleF64[0]); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $168=$167 != 0; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($168) { __label__ = 36; break; } else { __label__ = 101; break; } //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 36: 
      $mhi=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mlo=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $s=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $b2=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $170=$p; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $171=(($170+1)|0); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$171; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($170)]=46; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $172=$2; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $173=$6; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $174=$df; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($173)>>2)]=HEAP32[(($174)>>2)];HEAP32[(($173+4)>>2)]=HEAP32[(($174+4)>>2)]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $175=_d2b($172, $6, $e1, $bbits); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $b2=$175; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $176=$b2; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $177=(($176)|0)!=0; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($177) { __label__ = 41; break; } else { __label__ = 37; break; } //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 37: 
      __label__ = 38; break; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 38: 
      var $180=$2; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $181=$b2; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($180, $181); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $182=$2; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $183=$s; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($182, $183); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $184=$mlo; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $185=$mhi; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $186=(($184)|0)!=(($185)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($186) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 39: 
      var $188=$2; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $189=$mlo; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($188, $189); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 40; break; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 40: 
      var $191=$2; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $192=$mhi; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($191, $192); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $193=$buffer; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __ZN2js10Foreground5free_EPv($193); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $1=0; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 102; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 41: 
      var $195=$d; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $196=(($195+4)|0); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $197=HEAPU32[(($196)>>2)]; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $198=$197 >>> 20; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $199=$198 & 2047; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $200=(((-$199))|0); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $s2=$200; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $201=$s2; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $202=(($201)|0)!=0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($202) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 42: 
      $s2=-1; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 43; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 43: 
      var $205=$s2; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $206=(($205+1076)|0); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $s2=$206; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $207=$2; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $208=_i2b($207, 1); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mlo=$208; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $209=$mlo; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $210=(($209)|0)!=0; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($210) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 44: 
      __label__ = 38; break; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 45: 
      var $213=$mlo; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mhi=$213; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $214=$d; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $215=(($214)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $216=HEAP32[(($215)>>2)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $217=(($216)|0)!=0; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($217) { __label__ = 51; break; } else { __label__ = 46; break; } //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 46: 
      var $219=$d; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $220=(($219+4)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $221=HEAP32[(($220)>>2)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $222=$221 & 1048575; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $223=(($222)|0)!=0; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($223) { __label__ = 51; break; } else { __label__ = 47; break; } //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 47: 
      var $225=$d; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $226=(($225+4)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $228=$227 & 2145386496; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $229=(($228)|0)!=0; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($229) { __label__ = 48; break; } else { __label__ = 51; break; } //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 48: 
      var $231=$s2; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $232=(($231+1)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $s2=$232; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $233=$2; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $234=_i2b($233, 2); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mhi=$234; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $235=$mhi; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $236=(($235)|0)!=0; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($236) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 49: 
      __label__ = 38; break; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 50: 
      __label__ = 51; break; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 51: 
      var $240=$2; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $241=$b2; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $242=HEAP32[(($e1)>>2)]; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $243=$s2; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $244=(($242+$243)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $245=_lshift($240, $241, $244); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $b2=$245; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $246=$b2; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $247=(($246)|0)!=0; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($247) { __label__ = 53; break; } else { __label__ = 52; break; } //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 52: 
      __label__ = 38; break; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 53: 
      var $250=$2; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $251=_i2b($250, 1); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $s=$251; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $252=$s; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $253=(($252)|0)!=0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($253) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 54: 
      __label__ = 38; break; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 55: 
      var $256=$2; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $257=$s; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $258=$s2; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $259=_lshift($256, $257, $258); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $s=$259; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $260=$s; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $261=(($260)|0)!=0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($261) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 56: 
      __label__ = 38; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 57: 
      $done=0; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 58; break; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 58: 
      var $265=$2; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $266=$b2; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $267=$3; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $268=_multadd($265, $266, $267, 0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $b2=$268; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $269=$b2; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $270=(($269)|0)!=0; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($270) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 59: 
      __label__ = 38; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 60: 
      var $273=$b2; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $274=$s2; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $275=__ZL7quorem2P6Biginti($273, $274); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $digit=$275; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $276=$mlo; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $277=$mhi; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $278=(($276)|0)==(($277)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($278) { __label__ = 61; break; } else { __label__ = 64; break; } //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 61: 
      var $280=$2; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $281=$mlo; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $282=$3; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $283=_multadd($280, $281, $282, 0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mhi=$283; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mlo=$283; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $284=$mhi; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $285=(($284)|0)!=0; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($285) { __label__ = 63; break; } else { __label__ = 62; break; } //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 62: 
      __label__ = 38; break; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 63: 
      __label__ = 69; break; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 64: 
      var $289=$2; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $290=$mlo; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $291=$3; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $292=_multadd($289, $290, $291, 0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mlo=$292; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $293=$mlo; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $294=(($293)|0)!=0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($294) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 65: 
      __label__ = 38; break; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 66: 
      var $297=$2; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $298=$mhi; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $299=$3; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $300=_multadd($297, $298, $299, 0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mhi=$300; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $301=$mhi; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $302=(($301)|0)!=0; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($302) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 67: 
      __label__ = 38; break; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 68: 
      __label__ = 69; break;
    case 69: 
      var $306=$b2; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $307=$mlo; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $308=_cmp($306, $307); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $j=$308; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $309=$2; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $310=$s; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $311=$mhi; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $312=_diff($309, $310, $311); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $delta=$312; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $313=$delta; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $314=(($313)|0)!=0; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($314) { __label__ = 71; break; } else { __label__ = 70; break; } //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 70: 
      __label__ = 38; break; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 71: 
      var $317=$delta; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $318=(($317+12)|0); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $319=HEAP32[(($318)>>2)]; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $320=(($319)|0)!=0; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($320) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 72: 
      var $327 = 1;__label__ = 74; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 73: 
      var $323=$b2; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $324=$delta; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $325=_cmp($323, $324); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $327 = $325;__label__ = 74; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 74: 
      var $327; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $j1=$327; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $328=$2; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $329=$delta; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($328, $329); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $330=$j1; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $331=(($330)|0)==0; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($331) { __label__ = 75; break; } else { __label__ = 79; break; } //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 75: 
      var $333=$d; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $334=(($333)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $335=HEAP32[(($334)>>2)]; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $336=$335 & 1; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $337=(($336)|0)!=0; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($337) { __label__ = 79; break; } else { __label__ = 76; break; } //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 76: 
      var $339=$j; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $340=(($339)|0) > 0; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($340) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 77: 
      var $342=$digit; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $343=(($342+1)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $digit=$343; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 78; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 78: 
      $done=1; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 93; break; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 79: 
      var $346=$j; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $347=(($346)|0) < 0; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($347) { __label__ = 82; break; } else { __label__ = 80; break; } //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 80: 
      var $349=$j; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $350=(($349)|0)==0; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($350) { __label__ = 81; break; } else { __label__ = 89; break; } //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 81: 
      var $352=$d; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $353=(($352)|0); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $354=HEAP32[(($353)>>2)]; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $355=$354 & 1; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $356=(($355)|0)!=0; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($356) { __label__ = 89; break; } else { __label__ = 82; break; } //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 82: 
      var $358=$j1; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $359=(($358)|0) > 0; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($359) { __label__ = 83; break; } else { __label__ = 88; break; } //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 83: 
      var $361=$2; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $362=$b2; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $363=_lshift($361, $362, 1); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $b2=$363; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $364=$b2; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $365=(($364)|0)!=0; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($365) { __label__ = 85; break; } else { __label__ = 84; break; } //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 84: 
      __label__ = 38; break; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 85: 
      var $368=$b2; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $369=$s; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $370=_cmp($368, $369); //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $j1=$370; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $371=$j1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $372=(($371)|0) > 0; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($372) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 86: 
      var $374=$digit; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $375=(($374+1)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $digit=$375; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 87; break; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 87: 
      __label__ = 88; break; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 88: 
      $done=1; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 92; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 89: 
      var $379=$j1; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $380=(($379)|0) > 0; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($380) { __label__ = 90; break; } else { __label__ = 91; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 90: 
      var $382=$digit; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $383=(($382+1)|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $digit=$383; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $done=1; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 91; break; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 91: 
      __label__ = 92; break;
    case 92: 
      __label__ = 93; break;
    case 93: 
      var $387=$digit; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $388=(($387)>>>0) >= 10; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($388) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 94: 
      var $390=$digit; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $391=(($390+87)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $396 = $391;__label__ = 96; break; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 95: 
      var $393=$digit; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $394=(($393+48)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $396 = $394;__label__ = 96; break; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 96: 
      var $396; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $397=(($396) & 255); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $398=$p; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $399=(($398+1)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $p=$399; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($398)]=$397; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 97; break; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 97: 
      var $401=$done; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $402=(($401)|0)!=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $403=$402 ^ 1; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($403) { __label__ = 58; break; } else { __label__ = 98; break; } //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 98: 
      var $405=$2; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $406=$b2; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($405, $406); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $407=$2; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $408=$s; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($407, $408); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $409=$mlo; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $410=$mhi; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $411=(($409)|0)!=(($410)|0); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($411) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 99: 
      var $413=$2; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $414=$mlo; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($413, $414); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 100; break; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 100: 
      var $416=$2; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $417=$mhi; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      _Bfree($416, $417); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 101; break; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 101: 
      var $419=$p; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP8[($419)]=0; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $420=$buffer; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $1=$420; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 102; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 102: 
      var $422=$1; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      STACKTOP = __stackBase__;
      return $422; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_dtobasestr["X"]=1;

function _d2b($state, $d, $e, $bits) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $d; $d = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($d)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($d+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $b;
      var $de;
      var $k;
      var $x;
      var $y=__stackBase__;
      var $z=__stackBase__+4;
      var $i;
      $1=$state;
      $2=$e;
      $3=$bits;
      var $4=$1; //@line 1291 "./dtoa.c"
      var $5=_Balloc($4, 1); //@line 1291 "./dtoa.c"
      $b=$5; //@line 1291 "./dtoa.c"
      var $6=$b; //@line 1295 "./dtoa.c"
      var $7=(($6+20)|0); //@line 1295 "./dtoa.c"
      var $8=(($7)|0); //@line 1295 "./dtoa.c"
      $x=$8; //@line 1295 "./dtoa.c"
      var $9=$d; //@line 1297 "./dtoa.c"
      var $10=(($9+4)|0); //@line 1297 "./dtoa.c"
      var $11=HEAP32[(($10)>>2)]; //@line 1297 "./dtoa.c"
      var $12=$11 & 1048575; //@line 1297 "./dtoa.c"
      HEAP32[(($z)>>2)]=$12; //@line 1297 "./dtoa.c"
      var $13=$d; //@line 1298 "./dtoa.c"
      var $14=(($13+4)|0); //@line 1298 "./dtoa.c"
      var $15=HEAP32[(($14)>>2)]; //@line 1298 "./dtoa.c"
      var $16=$15 & 2147483647; //@line 1298 "./dtoa.c"
      HEAP32[(($14)>>2)]=$16; //@line 1298 "./dtoa.c"
      var $17=$d; //@line 1305 "./dtoa.c"
      var $18=(($17+4)|0); //@line 1305 "./dtoa.c"
      var $19=HEAPU32[(($18)>>2)]; //@line 1305 "./dtoa.c"
      var $20=$19 >>> 20; //@line 1305 "./dtoa.c"
      $de=$20; //@line 1305 "./dtoa.c"
      var $21=(($20)|0)!=0; //@line 1305 "./dtoa.c"
      if ($21) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1305 "./dtoa.c"
    case 2: 
      var $23=HEAP32[(($z)>>2)]; //@line 1306 "./dtoa.c"
      var $24=$23 | 1048576; //@line 1306 "./dtoa.c"
      HEAP32[(($z)>>2)]=$24; //@line 1306 "./dtoa.c"
      __label__ = 3; break; //@line 1306 "./dtoa.c"
    case 3: 
      var $26=$d; //@line 1309 "./dtoa.c"
      var $27=(($26)|0); //@line 1309 "./dtoa.c"
      var $28=HEAP32[(($27)>>2)]; //@line 1309 "./dtoa.c"
      HEAP32[(($y)>>2)]=$28; //@line 1309 "./dtoa.c"
      var $29=(($28)|0)!=0; //@line 1309 "./dtoa.c"
      if ($29) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 1309 "./dtoa.c"
    case 4: 
      var $31=_lo0bits($y); //@line 1310 "./dtoa.c"
      $k=$31; //@line 1310 "./dtoa.c"
      var $32=(($31)|0)!=0; //@line 1310 "./dtoa.c"
      if ($32) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1310 "./dtoa.c"
    case 5: 
      var $34=HEAP32[(($y)>>2)]; //@line 1311 "./dtoa.c"
      var $35=HEAP32[(($z)>>2)]; //@line 1311 "./dtoa.c"
      var $36=$k; //@line 1311 "./dtoa.c"
      var $37=((32-$36)|0); //@line 1311 "./dtoa.c"
      var $38=$35 << $37; //@line 1311 "./dtoa.c"
      var $39=$34 | $38; //@line 1311 "./dtoa.c"
      var $40=$x; //@line 1311 "./dtoa.c"
      var $41=(($40)|0); //@line 1311 "./dtoa.c"
      HEAP32[(($41)>>2)]=$39; //@line 1311 "./dtoa.c"
      var $42=$k; //@line 1312 "./dtoa.c"
      var $43=HEAPU32[(($z)>>2)]; //@line 1312 "./dtoa.c"
      var $44=$43 >>> (($42)>>>0); //@line 1312 "./dtoa.c"
      HEAP32[(($z)>>2)]=$44; //@line 1312 "./dtoa.c"
      __label__ = 7; break; //@line 1313 "./dtoa.c"
    case 6: 
      var $46=HEAP32[(($y)>>2)]; //@line 1315 "./dtoa.c"
      var $47=$x; //@line 1315 "./dtoa.c"
      var $48=(($47)|0); //@line 1315 "./dtoa.c"
      HEAP32[(($48)>>2)]=$46; //@line 1315 "./dtoa.c"
      __label__ = 7; break;
    case 7: 
      var $50=HEAP32[(($z)>>2)]; //@line 1317 "./dtoa.c"
      var $51=$x; //@line 1317 "./dtoa.c"
      var $52=(($51+4)|0); //@line 1317 "./dtoa.c"
      HEAP32[(($52)>>2)]=$50; //@line 1317 "./dtoa.c"
      var $53=(($50)|0)!=0; //@line 1317 "./dtoa.c"
      var $54=$53 ? 2 : 1; //@line 1317 "./dtoa.c"
      var $55=$b; //@line 1317 "./dtoa.c"
      var $56=(($55+16)|0); //@line 1317 "./dtoa.c"
      HEAP32[(($56)>>2)]=$54; //@line 1317 "./dtoa.c"
      $i=$54; //@line 1317 "./dtoa.c"
      __label__ = 9; break; //@line 1320 "./dtoa.c"
    case 8: 
      var $58=_lo0bits($z); //@line 1322 "./dtoa.c"
      $k=$58; //@line 1322 "./dtoa.c"
      var $59=HEAP32[(($z)>>2)]; //@line 1323 "./dtoa.c"
      var $60=$x; //@line 1323 "./dtoa.c"
      var $61=(($60)|0); //@line 1323 "./dtoa.c"
      HEAP32[(($61)>>2)]=$59; //@line 1323 "./dtoa.c"
      var $62=$b; //@line 1325 "./dtoa.c"
      var $63=(($62+16)|0); //@line 1325 "./dtoa.c"
      HEAP32[(($63)>>2)]=1; //@line 1325 "./dtoa.c"
      $i=1; //@line 1325 "./dtoa.c"
      var $64=$k; //@line 1328 "./dtoa.c"
      var $65=(($64+32)|0); //@line 1328 "./dtoa.c"
      $k=$65; //@line 1328 "./dtoa.c"
      __label__ = 9; break;
    case 9: 
      var $67=$de; //@line 1376 "./dtoa.c"
      var $68=(($67)|0)!=0; //@line 1376 "./dtoa.c"
      if ($68) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1376 "./dtoa.c"
    case 10: 
      var $70=$de; //@line 1382 "./dtoa.c"
      var $71=(($70-1023)|0); //@line 1382 "./dtoa.c"
      var $72=(($71-52)|0); //@line 1382 "./dtoa.c"
      var $73=$k; //@line 1382 "./dtoa.c"
      var $74=(($72+$73)|0); //@line 1382 "./dtoa.c"
      var $75=$2; //@line 1382 "./dtoa.c"
      HEAP32[(($75)>>2)]=$74; //@line 1382 "./dtoa.c"
      var $76=$k; //@line 1383 "./dtoa.c"
      var $77=((53-$76)|0); //@line 1383 "./dtoa.c"
      var $78=$3; //@line 1383 "./dtoa.c"
      HEAP32[(($78)>>2)]=$77; //@line 1383 "./dtoa.c"
      __label__ = 12; break; //@line 1386 "./dtoa.c"
    case 11: 
      var $80=$de; //@line 1388 "./dtoa.c"
      var $81=(($80-1023)|0); //@line 1388 "./dtoa.c"
      var $82=(($81-52)|0); //@line 1388 "./dtoa.c"
      var $83=(($82+1)|0); //@line 1388 "./dtoa.c"
      var $84=$k; //@line 1388 "./dtoa.c"
      var $85=(($83+$84)|0); //@line 1388 "./dtoa.c"
      var $86=$2; //@line 1388 "./dtoa.c"
      HEAP32[(($86)>>2)]=$85; //@line 1388 "./dtoa.c"
      var $87=$i; //@line 1390 "./dtoa.c"
      var $88=((($87<<5))|0); //@line 1390 "./dtoa.c"
      var $89=$i; //@line 1390 "./dtoa.c"
      var $90=(($89-1)|0); //@line 1390 "./dtoa.c"
      var $91=$x; //@line 1390 "./dtoa.c"
      var $92=(($91+($90<<2))|0); //@line 1390 "./dtoa.c"
      var $93=HEAP32[(($92)>>2)]; //@line 1390 "./dtoa.c"
      var $94=_hi0bits($93); //@line 1390 "./dtoa.c"
      var $95=(($88-$94)|0); //@line 1390 "./dtoa.c"
      var $96=$3; //@line 1390 "./dtoa.c"
      HEAP32[(($96)>>2)]=$95; //@line 1390 "./dtoa.c"
      __label__ = 12; break;
    case 12: 
      var $98=$b; //@line 1396 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $98; //@line 1396 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_d2b["X"]=1;

function __ZL6divremP6Bigintj($b, $divisor) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      var $remainder;
      var $bx;
      var $bp;
      var $a;
      var $dividend;
      var $quotientHi;
      var $quotientLo;
      $2=$b;
      $3=$divisor;
      var $4=$2; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $5=(($4+16)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $n=$6; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $remainder=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $7=$n; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $8=(($7)|0)!=0; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 2: 
      $1=0; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 9; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 3: 
      var $11=$2; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $12=(($11+20)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $13=(($12)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $bx=$13; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $14=$bx; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $15=$n; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $16=(($14+($15<<2))|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $bp=$16; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 4; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 4: 
      var $18=$bp; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $19=(($18-4)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $bp=$19; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $a=$20; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $21=$remainder; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $22=$21 << 16; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $23=$a; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $24=$23 >>> 16; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $25=$22 | $24; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $dividend=$25; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $26=$dividend; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $27=$3; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $28=Math.floor((($26)>>>0)/(($27)>>>0)); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $quotientHi=$28; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $29=$dividend; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $30=$quotientHi; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $31=$3; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $32=(($30*$31)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $33=(($29-$32)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $remainder=$33; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $34=$remainder; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $35=$34 << 16; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $36=$a; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $37=$36 & 65535; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $38=$35 | $37; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $dividend=$38; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $39=$dividend; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $40=$3; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $41=Math.floor((($39)>>>0)/(($40)>>>0)); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $quotientLo=$41; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $42=$dividend; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $43=$quotientLo; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $44=$3; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $45=(($43*$44)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $46=(($42-$45)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $remainder=$46; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $47=$quotientHi; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $48=$47 << 16; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $49=$quotientLo; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $50=$48 | $49; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $51=$bp; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($51)>>2)]=$50; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 5; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 5: 
      var $53=$bp; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $54=$bx; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $55=(($53)|0)!=(($54)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($55) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 6: 
      var $57=$n; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $58=(($57-1)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $59=$bx; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $60=(($59+($58<<2))|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $62=(($61)|0)==0; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($62) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 7: 
      var $64=$2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $65=(($64+16)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $67=(($66-1)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($65)>>2)]=$67; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 8; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 8: 
      var $69=$remainder; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $1=$69; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 9; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 9: 
      var $71=$1; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      ;
      return $71; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6divremP6Bigintj["X"]=1;

function __ZL7quorem2P6Biginti($b, $k) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $mask;
      var $result;
      var $bx;
      var $bxe;
      var $w;
      var $n;
      $2=$b;
      $3=$k;
      var $4=$3; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $5=$4 >> 5; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $n=$5; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $6=$3; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $7=$6 & 31; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $3=$7; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $8=$3; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $9=1 << $8; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $10=(($9-1)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $mask=$10; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $11=$2; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $12=(($11+16)|0); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $14=$n; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $15=(($13-$14)|0); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $w=$15; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $16=$w; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $17=(($16)|0) <= 0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 2: 
      $1=0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 13; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 3: 
      var $20=$2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $21=(($20+20)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $22=(($21)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $bx=$22; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $23=$bx; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $24=$n; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $25=(($23+($24<<2))|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $bxe=$25; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $26=$bxe; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $27=HEAPU32[(($26)>>2)]; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $28=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $29=$27 >>> (($28)>>>0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $result=$29; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $30=$mask; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $31=$bxe; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $33=$32 & $30; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($31)>>2)]=$33; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $34=$w; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $35=(($34)|0)==2; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($35) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 4: 
      var $37=$3; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $38=(($37)|0)!=0; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($38) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 5: 
      var $40=$bxe; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $41=(($40+4)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $43=$3; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $44=((32-$43)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $45=$42 << $44; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $46=$result; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $47=$46 | $45; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $result=$47; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 6; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 6: 
      __label__ = 7; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 7: 
      var $50=$n; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $51=(($50+1)|0); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $n=$51; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 8; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 8: 
      var $53=$bxe; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $55=(($54)|0)!=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      if ($55) { var $61 = 0;__label__ = 10; break; } else { __label__ = 9; break; } //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 9: 
      var $57=$bxe; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $58=$bx; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $59=(($57)|0)!=(($58)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $61 = $59;__label__ = 10; break;
    case 10: 
      var $61;
      if ($61) { __label__ = 11; break; } else { __label__ = 12; break; }
    case 11: 
      var $63=$n; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $64=(($63-1)|0); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $n=$64; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $65=$bxe; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $66=(($65-4)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $bxe=$66; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 8; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 12: 
      var $68=$n; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $69=$2; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $70=(($69+16)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      HEAP32[(($70)>>2)]=$68; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      var $71=$result; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      $1=$71; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      __label__ = 13; break; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    case 13: 
      var $73=$1; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
      ;
      return $73; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7quorem2P6Biginti["X"]=1;

function _cmp($a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $xa;
      var $xa0;
      var $xb;
      var $xb0;
      var $i;
      var $j;
      $2=$a;
      $3=$b;
      var $4=$2; //@line 1038 "./dtoa.c"
      var $5=(($4+16)|0); //@line 1038 "./dtoa.c"
      var $6=HEAP32[(($5)>>2)]; //@line 1038 "./dtoa.c"
      $i=$6; //@line 1038 "./dtoa.c"
      var $7=$3; //@line 1039 "./dtoa.c"
      var $8=(($7+16)|0); //@line 1039 "./dtoa.c"
      var $9=HEAP32[(($8)>>2)]; //@line 1039 "./dtoa.c"
      $j=$9; //@line 1039 "./dtoa.c"
      var $10=$j; //@line 1046 "./dtoa.c"
      var $11=$i; //@line 1046 "./dtoa.c"
      var $12=(($11-$10)|0); //@line 1046 "./dtoa.c"
      $i=$12; //@line 1046 "./dtoa.c"
      var $13=(($12)|0)!=0; //@line 1046 "./dtoa.c"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1046 "./dtoa.c"
    case 2: 
      var $15=$i; //@line 1047 "./dtoa.c"
      $1=$15; //@line 1047 "./dtoa.c"
      __label__ = 10; break; //@line 1047 "./dtoa.c"
    case 3: 
      var $17=$2; //@line 1048 "./dtoa.c"
      var $18=(($17+20)|0); //@line 1048 "./dtoa.c"
      var $19=(($18)|0); //@line 1048 "./dtoa.c"
      $xa0=$19; //@line 1048 "./dtoa.c"
      var $20=$xa0; //@line 1049 "./dtoa.c"
      var $21=$j; //@line 1049 "./dtoa.c"
      var $22=(($20+($21<<2))|0); //@line 1049 "./dtoa.c"
      $xa=$22; //@line 1049 "./dtoa.c"
      var $23=$3; //@line 1050 "./dtoa.c"
      var $24=(($23+20)|0); //@line 1050 "./dtoa.c"
      var $25=(($24)|0); //@line 1050 "./dtoa.c"
      $xb0=$25; //@line 1050 "./dtoa.c"
      var $26=$xb0; //@line 1051 "./dtoa.c"
      var $27=$j; //@line 1051 "./dtoa.c"
      var $28=(($26+($27<<2))|0); //@line 1051 "./dtoa.c"
      $xb=$28; //@line 1051 "./dtoa.c"
      __label__ = 4; break; //@line 1052 "./dtoa.c"
    case 4: 
      var $30=$xa; //@line 1053 "./dtoa.c"
      var $31=(($30-4)|0); //@line 1053 "./dtoa.c"
      $xa=$31; //@line 1053 "./dtoa.c"
      var $32=HEAP32[(($31)>>2)]; //@line 1053 "./dtoa.c"
      var $33=$xb; //@line 1053 "./dtoa.c"
      var $34=(($33-4)|0); //@line 1053 "./dtoa.c"
      $xb=$34; //@line 1053 "./dtoa.c"
      var $35=HEAP32[(($34)>>2)]; //@line 1053 "./dtoa.c"
      var $36=(($32)|0)!=(($35)|0); //@line 1053 "./dtoa.c"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1053 "./dtoa.c"
    case 5: 
      var $38=$xa; //@line 1054 "./dtoa.c"
      var $39=HEAPU32[(($38)>>2)]; //@line 1054 "./dtoa.c"
      var $40=$xb; //@line 1054 "./dtoa.c"
      var $41=HEAPU32[(($40)>>2)]; //@line 1054 "./dtoa.c"
      var $42=(($39)>>>0) < (($41)>>>0); //@line 1054 "./dtoa.c"
      var $43=$42 ? -1 : 1; //@line 1054 "./dtoa.c"
      $1=$43; //@line 1054 "./dtoa.c"
      __label__ = 10; break; //@line 1054 "./dtoa.c"
    case 6: 
      var $45=$xa; //@line 1055 "./dtoa.c"
      var $46=$xa0; //@line 1055 "./dtoa.c"
      var $47=(($45)>>>0) <= (($46)>>>0); //@line 1055 "./dtoa.c"
      if ($47) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1055 "./dtoa.c"
    case 7: 
      __label__ = 9; break; //@line 1056 "./dtoa.c"
    case 8: 
      __label__ = 4; break; //@line 1057 "./dtoa.c"
    case 9: 
      $1=0; //@line 1058 "./dtoa.c"
      __label__ = 10; break; //@line 1058 "./dtoa.c"
    case 10: 
      var $52=$1; //@line 1059 "./dtoa.c"
      ;
      return $52; //@line 1059 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_cmp["X"]=1;

function _lshift($state, $b, $k) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $k1;
      var $n;
      var $n1;
      var $b1;
      var $x;
      var $x1;
      var $xe;
      var $z;
      $1=$state;
      $2=$b;
      $3=$k;
      var $4=$3; //@line 980 "./dtoa.c"
      var $5=$4 >> 5; //@line 980 "./dtoa.c"
      $n=$5; //@line 980 "./dtoa.c"
      var $6=$2; //@line 984 "./dtoa.c"
      var $7=(($6+4)|0); //@line 984 "./dtoa.c"
      var $8=HEAP32[(($7)>>2)]; //@line 984 "./dtoa.c"
      $k1=$8; //@line 984 "./dtoa.c"
      var $9=$n; //@line 985 "./dtoa.c"
      var $10=$2; //@line 985 "./dtoa.c"
      var $11=(($10+16)|0); //@line 985 "./dtoa.c"
      var $12=HEAP32[(($11)>>2)]; //@line 985 "./dtoa.c"
      var $13=(($9+$12)|0); //@line 985 "./dtoa.c"
      var $14=(($13+1)|0); //@line 985 "./dtoa.c"
      $n1=$14; //@line 985 "./dtoa.c"
      var $15=$2; //@line 986 "./dtoa.c"
      var $16=(($15+8)|0); //@line 986 "./dtoa.c"
      var $17=HEAP32[(($16)>>2)]; //@line 986 "./dtoa.c"
      $i=$17; //@line 986 "./dtoa.c"
      __label__ = 2; break; //@line 986 "./dtoa.c"
    case 2: 
      var $19=$n1; //@line 986 "./dtoa.c"
      var $20=$i; //@line 986 "./dtoa.c"
      var $21=(($19)|0) > (($20)|0); //@line 986 "./dtoa.c"
      if ($21) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 986 "./dtoa.c"
    case 3: 
      var $23=$k1; //@line 987 "./dtoa.c"
      var $24=(($23+1)|0); //@line 987 "./dtoa.c"
      $k1=$24; //@line 987 "./dtoa.c"
      __label__ = 4; break; //@line 987 "./dtoa.c"
    case 4: 
      var $26=$i; //@line 986 "./dtoa.c"
      var $27=$26 << 1; //@line 986 "./dtoa.c"
      $i=$27; //@line 986 "./dtoa.c"
      __label__ = 2; break; //@line 986 "./dtoa.c"
    case 5: 
      var $29=$1; //@line 988 "./dtoa.c"
      var $30=$k1; //@line 988 "./dtoa.c"
      var $31=_Balloc($29, $30); //@line 988 "./dtoa.c"
      $b1=$31; //@line 988 "./dtoa.c"
      var $32=$b1; //@line 989 "./dtoa.c"
      var $33=(($32+20)|0); //@line 989 "./dtoa.c"
      var $34=(($33)|0); //@line 989 "./dtoa.c"
      $x1=$34; //@line 989 "./dtoa.c"
      $i=0; //@line 990 "./dtoa.c"
      __label__ = 6; break; //@line 990 "./dtoa.c"
    case 6: 
      var $36=$i; //@line 990 "./dtoa.c"
      var $37=$n; //@line 990 "./dtoa.c"
      var $38=(($36)|0) < (($37)|0); //@line 990 "./dtoa.c"
      if ($38) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 990 "./dtoa.c"
    case 7: 
      var $40=$x1; //@line 991 "./dtoa.c"
      var $41=(($40+4)|0); //@line 991 "./dtoa.c"
      $x1=$41; //@line 991 "./dtoa.c"
      HEAP32[(($40)>>2)]=0; //@line 991 "./dtoa.c"
      __label__ = 8; break; //@line 991 "./dtoa.c"
    case 8: 
      var $43=$i; //@line 990 "./dtoa.c"
      var $44=(($43+1)|0); //@line 990 "./dtoa.c"
      $i=$44; //@line 990 "./dtoa.c"
      __label__ = 6; break; //@line 990 "./dtoa.c"
    case 9: 
      var $46=$2; //@line 992 "./dtoa.c"
      var $47=(($46+20)|0); //@line 992 "./dtoa.c"
      var $48=(($47)|0); //@line 992 "./dtoa.c"
      $x=$48; //@line 992 "./dtoa.c"
      var $49=$x; //@line 993 "./dtoa.c"
      var $50=$2; //@line 993 "./dtoa.c"
      var $51=(($50+16)|0); //@line 993 "./dtoa.c"
      var $52=HEAP32[(($51)>>2)]; //@line 993 "./dtoa.c"
      var $53=(($49+($52<<2))|0); //@line 993 "./dtoa.c"
      $xe=$53; //@line 993 "./dtoa.c"
      var $54=$3; //@line 995 "./dtoa.c"
      var $55=$54 & 31; //@line 995 "./dtoa.c"
      $3=$55; //@line 995 "./dtoa.c"
      var $56=(($55)|0)!=0; //@line 995 "./dtoa.c"
      if ($56) { __label__ = 10; break; } else { __label__ = 16; break; } //@line 995 "./dtoa.c"
    case 10: 
      var $58=$3; //@line 996 "./dtoa.c"
      var $59=((32-$58)|0); //@line 996 "./dtoa.c"
      $k1=$59; //@line 996 "./dtoa.c"
      $z=0; //@line 997 "./dtoa.c"
      __label__ = 11; break; //@line 998 "./dtoa.c"
    case 11: 
      var $61=$x; //@line 999 "./dtoa.c"
      var $62=HEAP32[(($61)>>2)]; //@line 999 "./dtoa.c"
      var $63=$3; //@line 999 "./dtoa.c"
      var $64=$62 << $63; //@line 999 "./dtoa.c"
      var $65=$z; //@line 999 "./dtoa.c"
      var $66=$64 | $65; //@line 999 "./dtoa.c"
      var $67=$x1; //@line 999 "./dtoa.c"
      var $68=(($67+4)|0); //@line 999 "./dtoa.c"
      $x1=$68; //@line 999 "./dtoa.c"
      HEAP32[(($67)>>2)]=$66; //@line 999 "./dtoa.c"
      var $69=$x; //@line 1000 "./dtoa.c"
      var $70=(($69+4)|0); //@line 1000 "./dtoa.c"
      $x=$70; //@line 1000 "./dtoa.c"
      var $71=HEAPU32[(($69)>>2)]; //@line 1000 "./dtoa.c"
      var $72=$k1; //@line 1000 "./dtoa.c"
      var $73=$71 >>> (($72)>>>0); //@line 1000 "./dtoa.c"
      $z=$73; //@line 1000 "./dtoa.c"
      __label__ = 12; break; //@line 1001 "./dtoa.c"
    case 12: 
      var $75=$x; //@line 1001 "./dtoa.c"
      var $76=$xe; //@line 1001 "./dtoa.c"
      var $77=(($75)>>>0) < (($76)>>>0); //@line 1001 "./dtoa.c"
      if ($77) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 1001 "./dtoa.c"
    case 13: 
      var $79=$z; //@line 1003 "./dtoa.c"
      var $80=$x1; //@line 1003 "./dtoa.c"
      HEAP32[(($80)>>2)]=$79; //@line 1003 "./dtoa.c"
      var $81=(($79)|0)!=0; //@line 1003 "./dtoa.c"
      if ($81) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1003 "./dtoa.c"
    case 14: 
      var $83=$n1; //@line 1004 "./dtoa.c"
      var $84=(($83+1)|0); //@line 1004 "./dtoa.c"
      $n1=$84; //@line 1004 "./dtoa.c"
      __label__ = 15; break; //@line 1004 "./dtoa.c"
    case 15: 
      __label__ = 20; break; //@line 1005 "./dtoa.c"
    case 16: 
      __label__ = 17; break; //@line 1019 "./dtoa.c"
    case 17: 
      var $88=$x; //@line 1020 "./dtoa.c"
      var $89=(($88+4)|0); //@line 1020 "./dtoa.c"
      $x=$89; //@line 1020 "./dtoa.c"
      var $90=HEAP32[(($88)>>2)]; //@line 1020 "./dtoa.c"
      var $91=$x1; //@line 1020 "./dtoa.c"
      var $92=(($91+4)|0); //@line 1020 "./dtoa.c"
      $x1=$92; //@line 1020 "./dtoa.c"
      HEAP32[(($91)>>2)]=$90; //@line 1020 "./dtoa.c"
      __label__ = 18; break; //@line 1020 "./dtoa.c"
    case 18: 
      var $94=$x; //@line 1020 "./dtoa.c"
      var $95=$xe; //@line 1020 "./dtoa.c"
      var $96=(($94)>>>0) < (($95)>>>0); //@line 1020 "./dtoa.c"
      if ($96) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 1020 "./dtoa.c"
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $99=$n1; //@line 1022 "./dtoa.c"
      var $100=(($99-1)|0); //@line 1022 "./dtoa.c"
      var $101=$b1; //@line 1022 "./dtoa.c"
      var $102=(($101+16)|0); //@line 1022 "./dtoa.c"
      HEAP32[(($102)>>2)]=$100; //@line 1022 "./dtoa.c"
      var $103=$1; //@line 1023 "./dtoa.c"
      var $104=$2; //@line 1023 "./dtoa.c"
      _Bfree($103, $104); //@line 1023 "./dtoa.c"
      var $105=$b1; //@line 1024 "./dtoa.c"
      ;
      return $105; //@line 1024 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_lshift["X"]=1;

function _Bfree($state, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$state;
      $2=$v;
      var $3=$2; //@line 592 "./dtoa.c"
      var $4=(($3)|0)!=0; //@line 592 "./dtoa.c"
      if ($4) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 592 "./dtoa.c"
    case 2: 
      var $6=$2; //@line 593 "./dtoa.c"
      var $7=(($6+4)|0); //@line 593 "./dtoa.c"
      var $8=HEAP32[(($7)>>2)]; //@line 593 "./dtoa.c"
      var $9=(($8)|0) > 7; //@line 593 "./dtoa.c"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 593 "./dtoa.c"
    case 3: 
      var $11=$2; //@line 594 "./dtoa.c"
      var $12=$11; //@line 594 "./dtoa.c"
      __Z9dtoa_freePv($12); //@line 594 "./dtoa.c"
      __label__ = 5; break; //@line 594 "./dtoa.c"
    case 4: 
      var $14=$2; //@line 597 "./dtoa.c"
      var $15=(($14+4)|0); //@line 597 "./dtoa.c"
      var $16=HEAP32[(($15)>>2)]; //@line 597 "./dtoa.c"
      var $17=$1; //@line 597 "./dtoa.c"
      var $18=(($17)|0); //@line 597 "./dtoa.c"
      var $19=(($18+($16<<2))|0); //@line 597 "./dtoa.c"
      var $20=HEAP32[(($19)>>2)]; //@line 597 "./dtoa.c"
      var $21=$2; //@line 597 "./dtoa.c"
      var $22=(($21)|0); //@line 597 "./dtoa.c"
      HEAP32[(($22)>>2)]=$20; //@line 597 "./dtoa.c"
      var $23=$2; //@line 598 "./dtoa.c"
      var $24=$2; //@line 598 "./dtoa.c"
      var $25=(($24+4)|0); //@line 598 "./dtoa.c"
      var $26=HEAP32[(($25)>>2)]; //@line 598 "./dtoa.c"
      var $27=$1; //@line 598 "./dtoa.c"
      var $28=(($27)|0); //@line 598 "./dtoa.c"
      var $29=(($28+($26<<2))|0); //@line 598 "./dtoa.c"
      HEAP32[(($29)>>2)]=$23; //@line 598 "./dtoa.c"
      __label__ = 5; break;
    case 5: 
      __label__ = 6; break; //@line 601 "./dtoa.c"
    case 6: 
      ;
      return; //@line 602 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}


function _i2b($state, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  var $b;
  $1=$state;
  $2=$i;
  var $3=$1; //@line 794 "./dtoa.c"
  var $4=_Balloc($3, 1); //@line 794 "./dtoa.c"
  $b=$4; //@line 794 "./dtoa.c"
  var $5=$2; //@line 795 "./dtoa.c"
  var $6=$b; //@line 795 "./dtoa.c"
  var $7=(($6+20)|0); //@line 795 "./dtoa.c"
  var $8=(($7)|0); //@line 795 "./dtoa.c"
  HEAP32[(($8)>>2)]=$5; //@line 795 "./dtoa.c"
  var $9=$b; //@line 796 "./dtoa.c"
  var $10=(($9+16)|0); //@line 796 "./dtoa.c"
  HEAP32[(($10)>>2)]=1; //@line 796 "./dtoa.c"
  var $11=$b; //@line 797 "./dtoa.c"
  ;
  return $11; //@line 797 "./dtoa.c"
}


function _multadd($state, $b, $m, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $wds;
      var $x;
      var $carry=__stackBase__;
      var $y=__stackBase__+8;
      var $b1;
      $1=$state;
      $2=$b;
      $3=$m;
      $4=$a;
      var $5=$2; //@line 627 "./dtoa.c"
      var $6=(($5+16)|0); //@line 627 "./dtoa.c"
      var $7=HEAP32[(($6)>>2)]; //@line 627 "./dtoa.c"
      $wds=$7; //@line 627 "./dtoa.c"
      var $8=$2; //@line 628 "./dtoa.c"
      var $9=(($8+20)|0); //@line 628 "./dtoa.c"
      var $10=(($9)|0); //@line 628 "./dtoa.c"
      $x=$10; //@line 628 "./dtoa.c"
      $i=0; //@line 629 "./dtoa.c"
      var $11=$4; //@line 630 "./dtoa.c"
      var $12$0=$11;
      var $12$1=(($11|0) < 0 ? -1 : 0);
      var $st$26$0=(($carry)|0);
      HEAP32[(($st$26$0)>>2)]=$12$0;
      var $st$26$1=(($carry+4)|0);
      HEAP32[(($st$26$1)>>2)]=$12$1;
      __label__ = 2; break; //@line 631 "./dtoa.c"
    case 2: 
      var $14=$x; //@line 633 "./dtoa.c"
      var $15=HEAP32[(($14)>>2)]; //@line 633 "./dtoa.c"
      var $16$0=$15;
      var $16$1=0;
      var $17=$3; //@line 633 "./dtoa.c"
      var $18$0=$17;
      var $18$1=(($17|0) < 0 ? -1 : 0);
      var $19$0 = (i64Math.multiply($16$0,$16$1,$18$0,$18$1),i64Math.result[0]); var $19$1 = i64Math.result[1]; //@line 633 "./dtoa.c"
      var $st$8$0=(($carry)|0);
      var $20$0=HEAP32[(($st$8$0)>>2)];
      var $st$8$1=(($carry+4)|0);
      var $20$1=HEAP32[(($st$8$1)>>2)];
      var $21$0 = (i64Math.add($19$0,$19$1,$20$0,$20$1),i64Math.result[0]); var $21$1 = i64Math.result[1]; //@line 633 "./dtoa.c"
      var $st$13$0=(($y)|0);
      HEAP32[(($st$13$0)>>2)]=$21$0;
      var $st$13$1=(($y+4)|0);
      HEAP32[(($st$13$1)>>2)]=$21$1;
      var $st$17$0=(($y)|0);
      var $22$0=HEAP32[(($st$17$0)>>2)];
      var $st$17$1=(($y+4)|0);
      var $22$1=HEAP32[(($st$17$1)>>2)];
      var $23$0=$22$1;
      var $23$1=0;
      var $st$23$0=(($carry)|0);
      HEAP32[(($st$23$0)>>2)]=$23$0;
      var $st$23$1=(($carry+4)|0);
      HEAP32[(($st$23$1)>>2)]=$23$1;
      var $st$27$0=(($y)|0);
      var $24$0=HEAP32[(($st$27$0)>>2)];
      var $st$27$1=(($y+4)|0);
      var $24$1=HEAP32[(($st$27$1)>>2)];
      var $25$0=$24$0;
      var $25=$25$0;
      var $26=$x; //@line 635 "./dtoa.c"
      var $27=(($26+4)|0); //@line 635 "./dtoa.c"
      $x=$27; //@line 635 "./dtoa.c"
      HEAP32[(($26)>>2)]=$25; //@line 635 "./dtoa.c"
      __label__ = 3; break; //@line 649 "./dtoa.c"
    case 3: 
      var $29=$i; //@line 649 "./dtoa.c"
      var $30=(($29+1)|0); //@line 649 "./dtoa.c"
      $i=$30; //@line 649 "./dtoa.c"
      var $31=$wds; //@line 649 "./dtoa.c"
      var $32=(($30)|0) < (($31)|0); //@line 649 "./dtoa.c"
      if ($32) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 649 "./dtoa.c"
    case 4: 
      var $st$0$0=(($carry)|0);
      var $34$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($carry+4)|0);
      var $34$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $35=$34$0 != $$emscripten$temp$0$0 || $34$1 != $$emscripten$temp$0$1; //@line 651 "./dtoa.c"
      if ($35) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 651 "./dtoa.c"
    case 5: 
      var $37=$wds; //@line 652 "./dtoa.c"
      var $38=$2; //@line 652 "./dtoa.c"
      var $39=(($38+8)|0); //@line 652 "./dtoa.c"
      var $40=HEAP32[(($39)>>2)]; //@line 652 "./dtoa.c"
      var $41=(($37)|0) >= (($40)|0); //@line 652 "./dtoa.c"
      if ($41) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 652 "./dtoa.c"
    case 6: 
      var $43=$1; //@line 653 "./dtoa.c"
      var $44=$2; //@line 653 "./dtoa.c"
      var $45=(($44+4)|0); //@line 653 "./dtoa.c"
      var $46=HEAP32[(($45)>>2)]; //@line 653 "./dtoa.c"
      var $47=(($46+1)|0); //@line 653 "./dtoa.c"
      var $48=_Balloc($43, $47); //@line 653 "./dtoa.c"
      $b1=$48; //@line 653 "./dtoa.c"
      var $49=$b1; //@line 654 "./dtoa.c"
      var $50=(($49+12)|0); //@line 654 "./dtoa.c"
      var $51=$50; //@line 654 "./dtoa.c"
      var $52=$2; //@line 654 "./dtoa.c"
      var $53=(($52+12)|0); //@line 654 "./dtoa.c"
      var $54=$53; //@line 654 "./dtoa.c"
      var $55=$2; //@line 654 "./dtoa.c"
      var $56=(($55+16)|0); //@line 654 "./dtoa.c"
      var $57=HEAP32[(($56)>>2)]; //@line 654 "./dtoa.c"
      var $58=((($57<<2))|0); //@line 654 "./dtoa.c"
      var $59=(($58+8)|0); //@line 654 "./dtoa.c"
      assert($59 % 1 === 0, 'memcpy given ' + $59 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($51, $54, $59, 1); //@line 654 "./dtoa.c"
      var $60=$1; //@line 655 "./dtoa.c"
      var $61=$2; //@line 655 "./dtoa.c"
      _Bfree($60, $61); //@line 655 "./dtoa.c"
      var $62=$b1; //@line 656 "./dtoa.c"
      $2=$62; //@line 656 "./dtoa.c"
      __label__ = 7; break; //@line 657 "./dtoa.c"
    case 7: 
      var $st$0$0=(($carry)|0);
      var $64$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($carry+4)|0);
      var $64$1=HEAP32[(($st$0$1)>>2)];
      var $65$0=$64$0;
      var $65=$65$0;
      var $66=$wds; //@line 658 "./dtoa.c"
      var $67=(($66+1)|0); //@line 658 "./dtoa.c"
      $wds=$67; //@line 658 "./dtoa.c"
      var $68=$2; //@line 658 "./dtoa.c"
      var $69=(($68+20)|0); //@line 658 "./dtoa.c"
      var $70=(($69+($66<<2))|0); //@line 658 "./dtoa.c"
      HEAP32[(($70)>>2)]=$65; //@line 658 "./dtoa.c"
      var $71=$wds; //@line 659 "./dtoa.c"
      var $72=$2; //@line 659 "./dtoa.c"
      var $73=(($72+16)|0); //@line 659 "./dtoa.c"
      HEAP32[(($73)>>2)]=$71; //@line 659 "./dtoa.c"
      __label__ = 8; break; //@line 660 "./dtoa.c"
    case 8: 
      var $75=$2; //@line 661 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $75; //@line 661 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_multadd["X"]=1;

function _diff($state, $a, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $c;
      var $i;
      var $wa;
      var $wb;
      var $xa;
      var $xae;
      var $xb;
      var $xbe;
      var $xc;
      var $borrow=__stackBase__;
      var $y=__stackBase__+8;
      $2=$state;
      $3=$a;
      $4=$b;
      var $5=$3; //@line 1081 "./dtoa.c"
      var $6=$4; //@line 1081 "./dtoa.c"
      var $7=_cmp($5, $6); //@line 1081 "./dtoa.c"
      $i=$7; //@line 1081 "./dtoa.c"
      var $8=$i; //@line 1082 "./dtoa.c"
      var $9=(($8)|0)!=0; //@line 1082 "./dtoa.c"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1082 "./dtoa.c"
    case 2: 
      var $11=$2; //@line 1083 "./dtoa.c"
      var $12=_Balloc($11, 0); //@line 1083 "./dtoa.c"
      $c=$12; //@line 1083 "./dtoa.c"
      var $13=$c; //@line 1084 "./dtoa.c"
      var $14=(($13+16)|0); //@line 1084 "./dtoa.c"
      HEAP32[(($14)>>2)]=1; //@line 1084 "./dtoa.c"
      var $15=$c; //@line 1085 "./dtoa.c"
      var $16=(($15+20)|0); //@line 1085 "./dtoa.c"
      var $17=(($16)|0); //@line 1085 "./dtoa.c"
      HEAP32[(($17)>>2)]=0; //@line 1085 "./dtoa.c"
      var $18=$c; //@line 1086 "./dtoa.c"
      $1=$18; //@line 1086 "./dtoa.c"
      __label__ = 16; break; //@line 1086 "./dtoa.c"
    case 3: 
      var $20=$i; //@line 1088 "./dtoa.c"
      var $21=(($20)|0) < 0; //@line 1088 "./dtoa.c"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1088 "./dtoa.c"
    case 4: 
      var $23=$3; //@line 1089 "./dtoa.c"
      $c=$23; //@line 1089 "./dtoa.c"
      var $24=$4; //@line 1090 "./dtoa.c"
      $3=$24; //@line 1090 "./dtoa.c"
      var $25=$c; //@line 1091 "./dtoa.c"
      $4=$25; //@line 1091 "./dtoa.c"
      $i=1; //@line 1092 "./dtoa.c"
      __label__ = 6; break; //@line 1093 "./dtoa.c"
    case 5: 
      $i=0; //@line 1095 "./dtoa.c"
      __label__ = 6; break;
    case 6: 
      var $28=$2; //@line 1096 "./dtoa.c"
      var $29=$3; //@line 1096 "./dtoa.c"
      var $30=(($29+4)|0); //@line 1096 "./dtoa.c"
      var $31=HEAP32[(($30)>>2)]; //@line 1096 "./dtoa.c"
      var $32=_Balloc($28, $31); //@line 1096 "./dtoa.c"
      $c=$32; //@line 1096 "./dtoa.c"
      var $33=$i; //@line 1097 "./dtoa.c"
      var $34=$c; //@line 1097 "./dtoa.c"
      var $35=(($34+12)|0); //@line 1097 "./dtoa.c"
      HEAP32[(($35)>>2)]=$33; //@line 1097 "./dtoa.c"
      var $36=$3; //@line 1098 "./dtoa.c"
      var $37=(($36+16)|0); //@line 1098 "./dtoa.c"
      var $38=HEAP32[(($37)>>2)]; //@line 1098 "./dtoa.c"
      $wa=$38; //@line 1098 "./dtoa.c"
      var $39=$3; //@line 1099 "./dtoa.c"
      var $40=(($39+20)|0); //@line 1099 "./dtoa.c"
      var $41=(($40)|0); //@line 1099 "./dtoa.c"
      $xa=$41; //@line 1099 "./dtoa.c"
      var $42=$xa; //@line 1100 "./dtoa.c"
      var $43=$wa; //@line 1100 "./dtoa.c"
      var $44=(($42+($43<<2))|0); //@line 1100 "./dtoa.c"
      $xae=$44; //@line 1100 "./dtoa.c"
      var $45=$4; //@line 1101 "./dtoa.c"
      var $46=(($45+16)|0); //@line 1101 "./dtoa.c"
      var $47=HEAP32[(($46)>>2)]; //@line 1101 "./dtoa.c"
      $wb=$47; //@line 1101 "./dtoa.c"
      var $48=$4; //@line 1102 "./dtoa.c"
      var $49=(($48+20)|0); //@line 1102 "./dtoa.c"
      var $50=(($49)|0); //@line 1102 "./dtoa.c"
      $xb=$50; //@line 1102 "./dtoa.c"
      var $51=$xb; //@line 1103 "./dtoa.c"
      var $52=$wb; //@line 1103 "./dtoa.c"
      var $53=(($51+($52<<2))|0); //@line 1103 "./dtoa.c"
      $xbe=$53; //@line 1103 "./dtoa.c"
      var $54=$c; //@line 1104 "./dtoa.c"
      var $55=(($54+20)|0); //@line 1104 "./dtoa.c"
      var $56=(($55)|0); //@line 1104 "./dtoa.c"
      $xc=$56; //@line 1104 "./dtoa.c"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$40$0=(($borrow)|0);
      HEAP32[(($st$40$0)>>2)]=$$emscripten$temp$0$0;
      var $st$40$1=(($borrow+4)|0);
      HEAP32[(($st$40$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 7; break; //@line 1107 "./dtoa.c"
    case 7: 
      var $58=$xa; //@line 1108 "./dtoa.c"
      var $59=(($58+4)|0); //@line 1108 "./dtoa.c"
      $xa=$59; //@line 1108 "./dtoa.c"
      var $60=HEAP32[(($58)>>2)]; //@line 1108 "./dtoa.c"
      var $61$0=$60;
      var $61$1=0;
      var $62=$xb; //@line 1108 "./dtoa.c"
      var $63=(($62+4)|0); //@line 1108 "./dtoa.c"
      $xb=$63; //@line 1108 "./dtoa.c"
      var $64=HEAP32[(($62)>>2)]; //@line 1108 "./dtoa.c"
      var $65$0=$64;
      var $65$1=0;
      var $66$0 = (i64Math.subtract($61$0,$61$1,$65$0,$65$1),i64Math.result[0]); var $66$1 = i64Math.result[1]; //@line 1108 "./dtoa.c"
      var $st$13$0=(($borrow)|0);
      var $67$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($borrow+4)|0);
      var $67$1=HEAP32[(($st$13$1)>>2)];
      var $68$0 = (i64Math.subtract($66$0,$66$1,$67$0,$67$1),i64Math.result[0]); var $68$1 = i64Math.result[1]; //@line 1108 "./dtoa.c"
      var $st$18$0=(($y)|0);
      HEAP32[(($st$18$0)>>2)]=$68$0;
      var $st$18$1=(($y+4)|0);
      HEAP32[(($st$18$1)>>2)]=$68$1;
      var $st$22$0=(($y)|0);
      var $69$0=HEAP32[(($st$22$0)>>2)];
      var $st$22$1=(($y+4)|0);
      var $69$1=HEAP32[(($st$22$1)>>2)];
      var $70$0=$69$1;
      var $70$1=0;
      var $$emscripten$temp$1$0=1;
      var $$emscripten$temp$1$1=0;
      var $71$0=$70$0 & $$emscripten$temp$1$0;
      var $71$1=$70$1 & $$emscripten$temp$1$1;
      var $st$32$0=(($borrow)|0);
      HEAP32[(($st$32$0)>>2)]=$71$0;
      var $st$32$1=(($borrow+4)|0);
      HEAP32[(($st$32$1)>>2)]=$71$1;
      var $st$36$0=(($y)|0);
      var $72$0=HEAP32[(($st$36$0)>>2)];
      var $st$36$1=(($y+4)|0);
      var $72$1=HEAP32[(($st$36$1)>>2)];
      var $73$0=$72$0;
      var $73=$73$0;
      var $74=$xc; //@line 1110 "./dtoa.c"
      var $75=(($74+4)|0); //@line 1110 "./dtoa.c"
      $xc=$75; //@line 1110 "./dtoa.c"
      HEAP32[(($74)>>2)]=$73; //@line 1110 "./dtoa.c"
      __label__ = 8; break; //@line 1111 "./dtoa.c"
    case 8: 
      var $77=$xb; //@line 1111 "./dtoa.c"
      var $78=$xbe; //@line 1111 "./dtoa.c"
      var $79=(($77)>>>0) < (($78)>>>0); //@line 1111 "./dtoa.c"
      if ($79) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1111 "./dtoa.c"
    case 9: 
      __label__ = 10; break; //@line 1113 "./dtoa.c"
    case 10: 
      var $82=$xa; //@line 1113 "./dtoa.c"
      var $83=$xae; //@line 1113 "./dtoa.c"
      var $84=(($82)>>>0) < (($83)>>>0); //@line 1113 "./dtoa.c"
      if ($84) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1113 "./dtoa.c"
    case 11: 
      var $86=$xa; //@line 1114 "./dtoa.c"
      var $87=(($86+4)|0); //@line 1114 "./dtoa.c"
      $xa=$87; //@line 1114 "./dtoa.c"
      var $88=HEAP32[(($86)>>2)]; //@line 1114 "./dtoa.c"
      var $89$0=$88;
      var $89$1=0;
      var $st$6$0=(($borrow)|0);
      var $90$0=HEAP32[(($st$6$0)>>2)];
      var $st$6$1=(($borrow+4)|0);
      var $90$1=HEAP32[(($st$6$1)>>2)];
      var $91$0 = (i64Math.subtract($89$0,$89$1,$90$0,$90$1),i64Math.result[0]); var $91$1 = i64Math.result[1]; //@line 1114 "./dtoa.c"
      var $st$11$0=(($y)|0);
      HEAP32[(($st$11$0)>>2)]=$91$0;
      var $st$11$1=(($y+4)|0);
      HEAP32[(($st$11$1)>>2)]=$91$1;
      var $st$15$0=(($y)|0);
      var $92$0=HEAP32[(($st$15$0)>>2)];
      var $st$15$1=(($y+4)|0);
      var $92$1=HEAP32[(($st$15$1)>>2)];
      var $93$0=$92$1;
      var $93$1=0;
      var $$emscripten$temp$2$0=1;
      var $$emscripten$temp$2$1=0;
      var $94$0=$93$0 & $$emscripten$temp$2$0;
      var $94$1=$93$1 & $$emscripten$temp$2$1;
      var $st$25$0=(($borrow)|0);
      HEAP32[(($st$25$0)>>2)]=$94$0;
      var $st$25$1=(($borrow+4)|0);
      HEAP32[(($st$25$1)>>2)]=$94$1;
      var $st$29$0=(($y)|0);
      var $95$0=HEAP32[(($st$29$0)>>2)];
      var $st$29$1=(($y+4)|0);
      var $95$1=HEAP32[(($st$29$1)>>2)];
      var $96$0=$95$0;
      var $96=$96$0;
      var $97=$xc; //@line 1116 "./dtoa.c"
      var $98=(($97+4)|0); //@line 1116 "./dtoa.c"
      $xc=$98; //@line 1116 "./dtoa.c"
      HEAP32[(($97)>>2)]=$96; //@line 1116 "./dtoa.c"
      __label__ = 10; break; //@line 1117 "./dtoa.c"
    case 12: 
      __label__ = 13; break; //@line 1149 "./dtoa.c"
    case 13: 
      var $101=$xc; //@line 1149 "./dtoa.c"
      var $102=(($101-4)|0); //@line 1149 "./dtoa.c"
      $xc=$102; //@line 1149 "./dtoa.c"
      var $103=HEAP32[(($102)>>2)]; //@line 1149 "./dtoa.c"
      var $104=(($103)|0)!=0; //@line 1149 "./dtoa.c"
      var $105=$104 ^ 1; //@line 1149 "./dtoa.c"
      if ($105) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1149 "./dtoa.c"
    case 14: 
      var $107=$wa; //@line 1150 "./dtoa.c"
      var $108=(($107-1)|0); //@line 1150 "./dtoa.c"
      $wa=$108; //@line 1150 "./dtoa.c"
      __label__ = 13; break; //@line 1150 "./dtoa.c"
    case 15: 
      var $110=$wa; //@line 1151 "./dtoa.c"
      var $111=$c; //@line 1151 "./dtoa.c"
      var $112=(($111+16)|0); //@line 1151 "./dtoa.c"
      HEAP32[(($112)>>2)]=$110; //@line 1151 "./dtoa.c"
      var $113=$c; //@line 1152 "./dtoa.c"
      $1=$113; //@line 1152 "./dtoa.c"
      __label__ = 16; break; //@line 1152 "./dtoa.c"
    case 16: 
      var $115=$1; //@line 1153 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $115; //@line 1153 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_diff["X"]=1;

function _js_NewDtoaState() {
  ;
  var __label__;

  var $1=_newdtoa(); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
  ;
  return $1; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
}


function _newdtoa() {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $state;
      var $1=__Z11dtoa_mallocj(2344); //@line 502 "./dtoa.c"
      var $2=$1; //@line 502 "./dtoa.c"
      $state=$2; //@line 502 "./dtoa.c"
      var $3=$state; //@line 503 "./dtoa.c"
      var $4=(($3)|0)!=0; //@line 503 "./dtoa.c"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 503 "./dtoa.c"
    case 2: 
      var $6=$state; //@line 504 "./dtoa.c"
      var $7=$6; //@line 504 "./dtoa.c"
      _memset($7, 0, 2344, 1); //@line 504 "./dtoa.c"
      var $8=$state; //@line 506 "./dtoa.c"
      var $9=(($8+36)|0); //@line 506 "./dtoa.c"
      var $10=(($9)|0); //@line 506 "./dtoa.c"
      var $11=$state; //@line 506 "./dtoa.c"
      var $12=(($11+2340)|0); //@line 506 "./dtoa.c"
      HEAP32[(($12)>>2)]=$10; //@line 506 "./dtoa.c"
      __label__ = 3; break; //@line 508 "./dtoa.c"
    case 3: 
      var $14=$state; //@line 509 "./dtoa.c"
      ;
      return $14; //@line 509 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}


function _lo0bits($y) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $k;
      var $x;
      $2=$y;
      var $3=$2; //@line 745 "./dtoa.c"
      var $4=HEAP32[(($3)>>2)]; //@line 745 "./dtoa.c"
      $x=$4; //@line 745 "./dtoa.c"
      var $5=$x; //@line 747 "./dtoa.c"
      var $6=$5 & 7; //@line 747 "./dtoa.c"
      var $7=(($6)|0)!=0; //@line 747 "./dtoa.c"
      if ($7) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 747 "./dtoa.c"
    case 2: 
      var $9=$x; //@line 748 "./dtoa.c"
      var $10=$9 & 1; //@line 748 "./dtoa.c"
      var $11=(($10)|0)!=0; //@line 748 "./dtoa.c"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 748 "./dtoa.c"
    case 3: 
      $1=0; //@line 749 "./dtoa.c"
      __label__ = 20; break; //@line 749 "./dtoa.c"
    case 4: 
      var $14=$x; //@line 750 "./dtoa.c"
      var $15=$14 & 2; //@line 750 "./dtoa.c"
      var $16=(($15)|0)!=0; //@line 750 "./dtoa.c"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 750 "./dtoa.c"
    case 5: 
      var $18=$x; //@line 751 "./dtoa.c"
      var $19=$18 >>> 1; //@line 751 "./dtoa.c"
      var $20=$2; //@line 751 "./dtoa.c"
      HEAP32[(($20)>>2)]=$19; //@line 751 "./dtoa.c"
      $1=1; //@line 752 "./dtoa.c"
      __label__ = 20; break; //@line 752 "./dtoa.c"
    case 6: 
      var $22=$x; //@line 754 "./dtoa.c"
      var $23=$22 >>> 2; //@line 754 "./dtoa.c"
      var $24=$2; //@line 754 "./dtoa.c"
      HEAP32[(($24)>>2)]=$23; //@line 754 "./dtoa.c"
      $1=2; //@line 755 "./dtoa.c"
      __label__ = 20; break; //@line 755 "./dtoa.c"
    case 7: 
      $k=0; //@line 757 "./dtoa.c"
      var $26=$x; //@line 758 "./dtoa.c"
      var $27=$26 & 65535; //@line 758 "./dtoa.c"
      var $28=(($27)|0)!=0; //@line 758 "./dtoa.c"
      if ($28) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 758 "./dtoa.c"
    case 8: 
      $k=16; //@line 759 "./dtoa.c"
      var $30=$x; //@line 760 "./dtoa.c"
      var $31=$30 >>> 16; //@line 760 "./dtoa.c"
      $x=$31; //@line 760 "./dtoa.c"
      __label__ = 9; break; //@line 761 "./dtoa.c"
    case 9: 
      var $33=$x; //@line 762 "./dtoa.c"
      var $34=$33 & 255; //@line 762 "./dtoa.c"
      var $35=(($34)|0)!=0; //@line 762 "./dtoa.c"
      if ($35) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 762 "./dtoa.c"
    case 10: 
      var $37=$k; //@line 763 "./dtoa.c"
      var $38=(($37+8)|0); //@line 763 "./dtoa.c"
      $k=$38; //@line 763 "./dtoa.c"
      var $39=$x; //@line 764 "./dtoa.c"
      var $40=$39 >>> 8; //@line 764 "./dtoa.c"
      $x=$40; //@line 764 "./dtoa.c"
      __label__ = 11; break; //@line 765 "./dtoa.c"
    case 11: 
      var $42=$x; //@line 766 "./dtoa.c"
      var $43=$42 & 15; //@line 766 "./dtoa.c"
      var $44=(($43)|0)!=0; //@line 766 "./dtoa.c"
      if ($44) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 766 "./dtoa.c"
    case 12: 
      var $46=$k; //@line 767 "./dtoa.c"
      var $47=(($46+4)|0); //@line 767 "./dtoa.c"
      $k=$47; //@line 767 "./dtoa.c"
      var $48=$x; //@line 768 "./dtoa.c"
      var $49=$48 >>> 4; //@line 768 "./dtoa.c"
      $x=$49; //@line 768 "./dtoa.c"
      __label__ = 13; break; //@line 769 "./dtoa.c"
    case 13: 
      var $51=$x; //@line 770 "./dtoa.c"
      var $52=$51 & 3; //@line 770 "./dtoa.c"
      var $53=(($52)|0)!=0; //@line 770 "./dtoa.c"
      if ($53) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 770 "./dtoa.c"
    case 14: 
      var $55=$k; //@line 771 "./dtoa.c"
      var $56=(($55+2)|0); //@line 771 "./dtoa.c"
      $k=$56; //@line 771 "./dtoa.c"
      var $57=$x; //@line 772 "./dtoa.c"
      var $58=$57 >>> 2; //@line 772 "./dtoa.c"
      $x=$58; //@line 772 "./dtoa.c"
      __label__ = 15; break; //@line 773 "./dtoa.c"
    case 15: 
      var $60=$x; //@line 774 "./dtoa.c"
      var $61=$60 & 1; //@line 774 "./dtoa.c"
      var $62=(($61)|0)!=0; //@line 774 "./dtoa.c"
      if ($62) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 774 "./dtoa.c"
    case 16: 
      var $64=$k; //@line 775 "./dtoa.c"
      var $65=(($64+1)|0); //@line 775 "./dtoa.c"
      $k=$65; //@line 775 "./dtoa.c"
      var $66=$x; //@line 776 "./dtoa.c"
      var $67=$66 >>> 1; //@line 776 "./dtoa.c"
      $x=$67; //@line 776 "./dtoa.c"
      var $68=$x; //@line 777 "./dtoa.c"
      var $69=(($68)|0)!=0; //@line 777 "./dtoa.c"
      if ($69) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 777 "./dtoa.c"
    case 17: 
      $1=32; //@line 778 "./dtoa.c"
      __label__ = 20; break; //@line 778 "./dtoa.c"
    case 18: 
      __label__ = 19; break; //@line 779 "./dtoa.c"
    case 19: 
      var $73=$x; //@line 780 "./dtoa.c"
      var $74=$2; //@line 780 "./dtoa.c"
      HEAP32[(($74)>>2)]=$73; //@line 780 "./dtoa.c"
      var $75=$k; //@line 781 "./dtoa.c"
      $1=$75; //@line 781 "./dtoa.c"
      __label__ = 20; break; //@line 781 "./dtoa.c"
    case 20: 
      var $77=$1; //@line 782 "./dtoa.c"
      ;
      return $77; //@line 782 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_lo0bits["X"]=1;

function _hi0bits($x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $k;
      $2=$x;
      $k=0; //@line 710 "./dtoa.c"
      var $3=$2; //@line 712 "./dtoa.c"
      var $4=$3 & -65536; //@line 712 "./dtoa.c"
      var $5=(($4)|0)!=0; //@line 712 "./dtoa.c"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 712 "./dtoa.c"
    case 2: 
      $k=16; //@line 713 "./dtoa.c"
      var $7=$2; //@line 714 "./dtoa.c"
      var $8=$7 << 16; //@line 714 "./dtoa.c"
      $2=$8; //@line 714 "./dtoa.c"
      __label__ = 3; break; //@line 715 "./dtoa.c"
    case 3: 
      var $10=$2; //@line 716 "./dtoa.c"
      var $11=$10 & -16777216; //@line 716 "./dtoa.c"
      var $12=(($11)|0)!=0; //@line 716 "./dtoa.c"
      if ($12) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 716 "./dtoa.c"
    case 4: 
      var $14=$k; //@line 717 "./dtoa.c"
      var $15=(($14+8)|0); //@line 717 "./dtoa.c"
      $k=$15; //@line 717 "./dtoa.c"
      var $16=$2; //@line 718 "./dtoa.c"
      var $17=$16 << 8; //@line 718 "./dtoa.c"
      $2=$17; //@line 718 "./dtoa.c"
      __label__ = 5; break; //@line 719 "./dtoa.c"
    case 5: 
      var $19=$2; //@line 720 "./dtoa.c"
      var $20=$19 & -268435456; //@line 720 "./dtoa.c"
      var $21=(($20)|0)!=0; //@line 720 "./dtoa.c"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 720 "./dtoa.c"
    case 6: 
      var $23=$k; //@line 721 "./dtoa.c"
      var $24=(($23+4)|0); //@line 721 "./dtoa.c"
      $k=$24; //@line 721 "./dtoa.c"
      var $25=$2; //@line 722 "./dtoa.c"
      var $26=$25 << 4; //@line 722 "./dtoa.c"
      $2=$26; //@line 722 "./dtoa.c"
      __label__ = 7; break; //@line 723 "./dtoa.c"
    case 7: 
      var $28=$2; //@line 724 "./dtoa.c"
      var $29=$28 & -1073741824; //@line 724 "./dtoa.c"
      var $30=(($29)|0)!=0; //@line 724 "./dtoa.c"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 724 "./dtoa.c"
    case 8: 
      var $32=$k; //@line 725 "./dtoa.c"
      var $33=(($32+2)|0); //@line 725 "./dtoa.c"
      $k=$33; //@line 725 "./dtoa.c"
      var $34=$2; //@line 726 "./dtoa.c"
      var $35=$34 << 2; //@line 726 "./dtoa.c"
      $2=$35; //@line 726 "./dtoa.c"
      __label__ = 9; break; //@line 727 "./dtoa.c"
    case 9: 
      var $37=$2; //@line 728 "./dtoa.c"
      var $38=$37 & -2147483648; //@line 728 "./dtoa.c"
      var $39=(($38)|0)!=0; //@line 728 "./dtoa.c"
      if ($39) { __label__ = 13; break; } else { __label__ = 10; break; } //@line 728 "./dtoa.c"
    case 10: 
      var $41=$k; //@line 729 "./dtoa.c"
      var $42=(($41+1)|0); //@line 729 "./dtoa.c"
      $k=$42; //@line 729 "./dtoa.c"
      var $43=$2; //@line 730 "./dtoa.c"
      var $44=$43 & 1073741824; //@line 730 "./dtoa.c"
      var $45=(($44)|0)!=0; //@line 730 "./dtoa.c"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 730 "./dtoa.c"
    case 11: 
      $1=32; //@line 731 "./dtoa.c"
      __label__ = 14; break; //@line 731 "./dtoa.c"
    case 12: 
      __label__ = 13; break; //@line 732 "./dtoa.c"
    case 13: 
      var $49=$k; //@line 733 "./dtoa.c"
      $1=$49; //@line 733 "./dtoa.c"
      __label__ = 14; break; //@line 733 "./dtoa.c"
    case 14: 
      var $51=$1; //@line 734 "./dtoa.c"
      ;
      return $51; //@line 734 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_hi0bits["X"]=1;

function _js_DestroyDtoaState($state) {
  ;
  var __label__;

  var $1;
  $1=$state;
  var $2=$1; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
  _destroydtoa($2); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
  ;
  return; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
}


function _destroydtoa($state) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i;
      var $v;
      var $next;
      $1=$state;
      $i=0; //@line 523 "./dtoa.c"
      __label__ = 2; break; //@line 523 "./dtoa.c"
    case 2: 
      var $3=$i; //@line 523 "./dtoa.c"
      var $4=(($3)|0) <= 7; //@line 523 "./dtoa.c"
      if ($4) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 523 "./dtoa.c"
    case 3: 
      var $6=$i; //@line 524 "./dtoa.c"
      var $7=$1; //@line 524 "./dtoa.c"
      var $8=(($7)|0); //@line 524 "./dtoa.c"
      var $9=(($8+($6<<2))|0); //@line 524 "./dtoa.c"
      var $10=HEAP32[(($9)>>2)]; //@line 524 "./dtoa.c"
      $v=$10; //@line 524 "./dtoa.c"
      __label__ = 4; break; //@line 524 "./dtoa.c"
    case 4: 
      var $12=$v; //@line 524 "./dtoa.c"
      var $13=(($12)|0)!=0; //@line 524 "./dtoa.c"
      if ($13) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 524 "./dtoa.c"
    case 5: 
      var $15=$v; //@line 525 "./dtoa.c"
      var $16=(($15)|0); //@line 525 "./dtoa.c"
      var $17=HEAP32[(($16)>>2)]; //@line 525 "./dtoa.c"
      $next=$17; //@line 525 "./dtoa.c"
      var $18=$v; //@line 527 "./dtoa.c"
      var $19=$18; //@line 527 "./dtoa.c"
      var $20=$1; //@line 527 "./dtoa.c"
      var $21=(($20+36)|0); //@line 527 "./dtoa.c"
      var $22=(($21)|0); //@line 527 "./dtoa.c"
      var $23=(($19)>>>0) < (($22)>>>0); //@line 527 "./dtoa.c"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 527 "./dtoa.c"
    case 6: 
      var $25=$v; //@line 527 "./dtoa.c"
      var $26=$25; //@line 527 "./dtoa.c"
      var $27=$1; //@line 527 "./dtoa.c"
      var $28=(($27+36)|0); //@line 527 "./dtoa.c"
      var $29=(($28)|0); //@line 527 "./dtoa.c"
      var $30=(($29+2304)|0); //@line 527 "./dtoa.c"
      var $31=(($26)>>>0) >= (($30)>>>0); //@line 527 "./dtoa.c"
      if ($31) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 527 "./dtoa.c"
    case 7: 
      var $33=$v; //@line 530 "./dtoa.c"
      var $34=$33; //@line 530 "./dtoa.c"
      __Z9dtoa_freePv($34); //@line 530 "./dtoa.c"
      __label__ = 8; break; //@line 530 "./dtoa.c"
    case 8: 
      __label__ = 9; break; //@line 531 "./dtoa.c"
    case 9: 
      var $37=$next; //@line 524 "./dtoa.c"
      $v=$37; //@line 524 "./dtoa.c"
      __label__ = 4; break; //@line 524 "./dtoa.c"
    case 10: 
      __label__ = 11; break; //@line 532 "./dtoa.c"
    case 11: 
      var $40=$i; //@line 523 "./dtoa.c"
      var $41=(($40+1)|0); //@line 523 "./dtoa.c"
      $i=$41; //@line 523 "./dtoa.c"
      __label__ = 2; break; //@line 523 "./dtoa.c"
    case 12: 
      var $43=$1; //@line 533 "./dtoa.c"
      var $44=$43; //@line 533 "./dtoa.c"
      __Z9dtoa_freePv($44); //@line 533 "./dtoa.c"
      ;
      return; //@line 534 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_destroydtoa["X"]=1;

function __Z9dtoa_freePv($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
  __ZN2js10Foreground5free_EPv($2); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
  ;
  return; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
}


function __Z11dtoa_mallocj($size) {
  ;
  var __label__;

  var $1;
  $1=$size;
  var $2=$1; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
  var $3=__ZN2js11OffTheBooks7malloc_Ej($2); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
  ;
  return $3; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsdtoa.cpp"
}


function _Balloc($state, $k) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x;
      var $rv;
      var $len;
      $1=$state;
      $2=$k;
      var $3=$2; //@line 560 "./dtoa.c"
      var $4=(($3)|0) <= 7; //@line 560 "./dtoa.c"
      if ($4) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 560 "./dtoa.c"
    case 2: 
      var $6=$2; //@line 560 "./dtoa.c"
      var $7=$1; //@line 560 "./dtoa.c"
      var $8=(($7)|0); //@line 560 "./dtoa.c"
      var $9=(($8+($6<<2))|0); //@line 560 "./dtoa.c"
      var $10=HEAP32[(($9)>>2)]; //@line 560 "./dtoa.c"
      $rv=$10; //@line 560 "./dtoa.c"
      var $11=(($10)|0)!=0; //@line 560 "./dtoa.c"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 560 "./dtoa.c"
    case 3: 
      var $13=$rv; //@line 561 "./dtoa.c"
      var $14=(($13)|0); //@line 561 "./dtoa.c"
      var $15=HEAP32[(($14)>>2)]; //@line 561 "./dtoa.c"
      var $16=$2; //@line 561 "./dtoa.c"
      var $17=$1; //@line 561 "./dtoa.c"
      var $18=(($17)|0); //@line 561 "./dtoa.c"
      var $19=(($18+($16<<2))|0); //@line 561 "./dtoa.c"
      HEAP32[(($19)>>2)]=$15; //@line 561 "./dtoa.c"
      __label__ = 9; break; //@line 561 "./dtoa.c"
    case 4: 
      var $21=$2; //@line 563 "./dtoa.c"
      var $22=1 << $21; //@line 563 "./dtoa.c"
      $x=$22; //@line 563 "./dtoa.c"
      var $23=$x; //@line 567 "./dtoa.c"
      var $24=(($23-1)|0); //@line 567 "./dtoa.c"
      var $25=((($24<<2))|0); //@line 567 "./dtoa.c"
      var $26=(($25+24)|0); //@line 567 "./dtoa.c"
      var $27=(($26+8)|0); //@line 567 "./dtoa.c"
      var $28=(($27-1)|0); //@line 567 "./dtoa.c"
      var $29=Math.floor((($28)>>>0)/8); //@line 567 "./dtoa.c"
      $len=$29; //@line 567 "./dtoa.c"
      var $30=$2; //@line 569 "./dtoa.c"
      var $31=(($30)|0) <= 7; //@line 569 "./dtoa.c"
      if ($31) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 569 "./dtoa.c"
    case 5: 
      var $33=$1; //@line 569 "./dtoa.c"
      var $34=(($33+2340)|0); //@line 569 "./dtoa.c"
      var $35=HEAP32[(($34)>>2)]; //@line 569 "./dtoa.c"
      var $36=$1; //@line 569 "./dtoa.c"
      var $37=(($36+36)|0); //@line 569 "./dtoa.c"
      var $38=(($37)|0); //@line 569 "./dtoa.c"
      var $39=$35; //@line 569 "./dtoa.c"
      var $40=$38; //@line 569 "./dtoa.c"
      var $41=(($39-$40)|0); //@line 569 "./dtoa.c"
      var $42=(((($41)|0)/8)&-1); //@line 569 "./dtoa.c"
      var $43=$len; //@line 569 "./dtoa.c"
      var $44=(($42+$43)|0); //@line 569 "./dtoa.c"
      var $45=(($44)>>>0) <= 288; //@line 569 "./dtoa.c"
      if ($45) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 569 "./dtoa.c"
    case 6: 
      var $47=$1; //@line 570 "./dtoa.c"
      var $48=(($47+2340)|0); //@line 570 "./dtoa.c"
      var $49=HEAP32[(($48)>>2)]; //@line 570 "./dtoa.c"
      var $50=$49; //@line 570 "./dtoa.c"
      $rv=$50; //@line 570 "./dtoa.c"
      var $51=$len; //@line 571 "./dtoa.c"
      var $52=$1; //@line 571 "./dtoa.c"
      var $53=(($52+2340)|0); //@line 571 "./dtoa.c"
      var $54=HEAP32[(($53)>>2)]; //@line 571 "./dtoa.c"
      var $55=(($54+($51<<3))|0); //@line 571 "./dtoa.c"
      HEAP32[(($53)>>2)]=$55; //@line 571 "./dtoa.c"
      __label__ = 8; break; //@line 572 "./dtoa.c"
    case 7: 
      var $57=$len; //@line 574 "./dtoa.c"
      var $58=((($57<<3))|0); //@line 574 "./dtoa.c"
      var $59=__Z11dtoa_mallocj($58); //@line 574 "./dtoa.c"
      var $60=$59; //@line 574 "./dtoa.c"
      $rv=$60; //@line 574 "./dtoa.c"
      __label__ = 8; break;
    case 8: 
      var $62=$2; //@line 576 "./dtoa.c"
      var $63=$rv; //@line 576 "./dtoa.c"
      var $64=(($63+4)|0); //@line 576 "./dtoa.c"
      HEAP32[(($64)>>2)]=$62; //@line 576 "./dtoa.c"
      var $65=$x; //@line 577 "./dtoa.c"
      var $66=$rv; //@line 577 "./dtoa.c"
      var $67=(($66+8)|0); //@line 577 "./dtoa.c"
      HEAP32[(($67)>>2)]=$65; //@line 577 "./dtoa.c"
      __label__ = 9; break;
    case 9: 
      var $69=$rv; //@line 580 "./dtoa.c"
      var $70=(($69+16)|0); //@line 580 "./dtoa.c"
      HEAP32[(($70)>>2)]=0; //@line 580 "./dtoa.c"
      var $71=$rv; //@line 580 "./dtoa.c"
      var $72=(($71+12)|0); //@line 580 "./dtoa.c"
      HEAP32[(($72)>>2)]=0; //@line 580 "./dtoa.c"
      var $73=$rv; //@line 581 "./dtoa.c"
      ;
      return $73; //@line 581 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_Balloc["X"]=1;

function _js_free1104($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc1105($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _nrv_alloc($state, $s, $rve, $n) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rv;
      var $t;
      $1=$state;
      $2=$s;
      $3=$rve;
      $4=$n;
      var $5=$1; //@line 2502 "./dtoa.c"
      var $6=$4; //@line 2502 "./dtoa.c"
      var $7=_rv_alloc($5, $6); //@line 2502 "./dtoa.c"
      $rv=$7; //@line 2502 "./dtoa.c"
      $t=$7; //@line 2502 "./dtoa.c"
      __label__ = 2; break; //@line 2503 "./dtoa.c"
    case 2: 
      var $9=$2; //@line 2503 "./dtoa.c"
      var $10=(($9+1)|0); //@line 2503 "./dtoa.c"
      $2=$10; //@line 2503 "./dtoa.c"
      var $11=HEAP8[($9)]; //@line 2503 "./dtoa.c"
      var $12=$t; //@line 2503 "./dtoa.c"
      HEAP8[($12)]=$11; //@line 2503 "./dtoa.c"
      var $13=(($11 << 24) >> 24)!=0; //@line 2503 "./dtoa.c"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2503 "./dtoa.c"
    case 3: 
      var $15=$t; //@line 2503 "./dtoa.c"
      var $16=(($15+1)|0); //@line 2503 "./dtoa.c"
      $t=$16; //@line 2503 "./dtoa.c"
      __label__ = 2; break; //@line 2503 "./dtoa.c"
    case 4: 
      var $18=$3; //@line 2504 "./dtoa.c"
      var $19=(($18)|0)!=0; //@line 2504 "./dtoa.c"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2504 "./dtoa.c"
    case 5: 
      var $21=$t; //@line 2505 "./dtoa.c"
      var $22=$3; //@line 2505 "./dtoa.c"
      HEAP32[(($22)>>2)]=$21; //@line 2505 "./dtoa.c"
      __label__ = 6; break; //@line 2505 "./dtoa.c"
    case 6: 
      var $24=$rv; //@line 2506 "./dtoa.c"
      ;
      return $24; //@line 2506 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}


function _rv_alloc($state, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $j;
      var $k;
      var $r;
      $1=$state;
      $2=$i;
      $j=4; //@line 2479 "./dtoa.c"
      $k=0; //@line 2480 "./dtoa.c"
      __label__ = 2; break; //@line 2480 "./dtoa.c"
    case 2: 
      var $4=$j; //@line 2480 "./dtoa.c"
      var $5=(($4+16)|0); //@line 2480 "./dtoa.c"
      var $6=$2; //@line 2480 "./dtoa.c"
      var $7=(($5)>>>0) <= (($6)>>>0); //@line 2480 "./dtoa.c"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 2480 "./dtoa.c"
    case 3: 
      var $9=$k; //@line 2483 "./dtoa.c"
      var $10=(($9+1)|0); //@line 2483 "./dtoa.c"
      $k=$10; //@line 2483 "./dtoa.c"
      __label__ = 4; break; //@line 2483 "./dtoa.c"
    case 4: 
      var $12=$j; //@line 2482 "./dtoa.c"
      var $13=$12 << 1; //@line 2482 "./dtoa.c"
      $j=$13; //@line 2482 "./dtoa.c"
      __label__ = 2; break; //@line 2482 "./dtoa.c"
    case 5: 
      var $15=$1; //@line 2484 "./dtoa.c"
      var $16=$k; //@line 2484 "./dtoa.c"
      var $17=_Balloc($15, $16); //@line 2484 "./dtoa.c"
      var $18=$17; //@line 2484 "./dtoa.c"
      $r=$18; //@line 2484 "./dtoa.c"
      var $19=$k; //@line 2485 "./dtoa.c"
      var $20=$r; //@line 2485 "./dtoa.c"
      HEAP32[(($20)>>2)]=$19; //@line 2485 "./dtoa.c"
      var $21=$r; //@line 2486 "./dtoa.c"
      var $22=(($21+4)|0); //@line 2486 "./dtoa.c"
      var $23=$22; //@line 2486 "./dtoa.c"
      ;
      return $23; //@line 2486 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}


function _pow5mult($state, $b, $k) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $b1;
      var $p5;
      var $p51;
      var $i;
      $2=$state;
      $3=$b;
      $4=$k;
      var $5=$4; //@line 922 "./dtoa.c"
      var $6=$5 & 3; //@line 922 "./dtoa.c"
      $i=$6; //@line 922 "./dtoa.c"
      var $7=(($6)|0)!=0; //@line 922 "./dtoa.c"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 922 "./dtoa.c"
    case 2: 
      var $9=$2; //@line 923 "./dtoa.c"
      var $10=$3; //@line 923 "./dtoa.c"
      var $11=$i; //@line 923 "./dtoa.c"
      var $12=(($11-1)|0); //@line 923 "./dtoa.c"
      var $13=((_p05+($12<<2))|0); //@line 923 "./dtoa.c"
      var $14=HEAP32[(($13)>>2)]; //@line 923 "./dtoa.c"
      var $15=_multadd($9, $10, $14, 0); //@line 923 "./dtoa.c"
      $3=$15; //@line 923 "./dtoa.c"
      __label__ = 3; break; //@line 923 "./dtoa.c"
    case 3: 
      var $17=$4; //@line 925 "./dtoa.c"
      var $18=$17 >> 2; //@line 925 "./dtoa.c"
      $4=$18; //@line 925 "./dtoa.c"
      var $19=(($18)|0)!=0; //@line 925 "./dtoa.c"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 925 "./dtoa.c"
    case 4: 
      var $21=$3; //@line 926 "./dtoa.c"
      $1=$21; //@line 926 "./dtoa.c"
      __label__ = 16; break; //@line 926 "./dtoa.c"
    case 5: 
      var $23=$2; //@line 927 "./dtoa.c"
      var $24=(($23+32)|0); //@line 927 "./dtoa.c"
      var $25=HEAP32[(($24)>>2)]; //@line 927 "./dtoa.c"
      $p5=$25; //@line 927 "./dtoa.c"
      var $26=(($25)|0)!=0; //@line 927 "./dtoa.c"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 927 "./dtoa.c"
    case 6: 
      var $28=$2; //@line 937 "./dtoa.c"
      var $29=_i2b($28, 625); //@line 937 "./dtoa.c"
      var $30=$2; //@line 937 "./dtoa.c"
      var $31=(($30+32)|0); //@line 937 "./dtoa.c"
      HEAP32[(($31)>>2)]=$29; //@line 937 "./dtoa.c"
      $p5=$29; //@line 937 "./dtoa.c"
      var $32=$p5; //@line 938 "./dtoa.c"
      var $33=(($32)|0); //@line 938 "./dtoa.c"
      HEAP32[(($33)>>2)]=0; //@line 938 "./dtoa.c"
      __label__ = 7; break; //@line 940 "./dtoa.c"
    case 7: 
      __label__ = 8; break; //@line 941 "./dtoa.c"
    case 8: 
      var $36=$4; //@line 942 "./dtoa.c"
      var $37=$36 & 1; //@line 942 "./dtoa.c"
      var $38=(($37)|0)!=0; //@line 942 "./dtoa.c"
      if ($38) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 942 "./dtoa.c"
    case 9: 
      var $40=$2; //@line 943 "./dtoa.c"
      var $41=$3; //@line 943 "./dtoa.c"
      var $42=$p5; //@line 943 "./dtoa.c"
      var $43=_mult($40, $41, $42); //@line 943 "./dtoa.c"
      $b1=$43; //@line 943 "./dtoa.c"
      var $44=$2; //@line 944 "./dtoa.c"
      var $45=$3; //@line 944 "./dtoa.c"
      _Bfree($44, $45); //@line 944 "./dtoa.c"
      var $46=$b1; //@line 945 "./dtoa.c"
      $3=$46; //@line 945 "./dtoa.c"
      __label__ = 10; break; //@line 946 "./dtoa.c"
    case 10: 
      var $48=$4; //@line 947 "./dtoa.c"
      var $49=$48 >> 1; //@line 947 "./dtoa.c"
      $4=$49; //@line 947 "./dtoa.c"
      var $50=(($49)|0)!=0; //@line 947 "./dtoa.c"
      if ($50) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 947 "./dtoa.c"
    case 11: 
      __label__ = 15; break; //@line 948 "./dtoa.c"
    case 12: 
      var $53=$p5; //@line 949 "./dtoa.c"
      var $54=(($53)|0); //@line 949 "./dtoa.c"
      var $55=HEAP32[(($54)>>2)]; //@line 949 "./dtoa.c"
      $p51=$55; //@line 949 "./dtoa.c"
      var $56=(($55)|0)!=0; //@line 949 "./dtoa.c"
      if ($56) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 949 "./dtoa.c"
    case 13: 
      var $58=$2; //@line 958 "./dtoa.c"
      var $59=$p5; //@line 958 "./dtoa.c"
      var $60=$p5; //@line 958 "./dtoa.c"
      var $61=_mult($58, $59, $60); //@line 958 "./dtoa.c"
      var $62=$p5; //@line 958 "./dtoa.c"
      var $63=(($62)|0); //@line 958 "./dtoa.c"
      HEAP32[(($63)>>2)]=$61; //@line 958 "./dtoa.c"
      $p51=$61; //@line 958 "./dtoa.c"
      var $64=$p51; //@line 959 "./dtoa.c"
      var $65=(($64)|0); //@line 959 "./dtoa.c"
      HEAP32[(($65)>>2)]=0; //@line 959 "./dtoa.c"
      __label__ = 14; break; //@line 961 "./dtoa.c"
    case 14: 
      var $67=$p51; //@line 962 "./dtoa.c"
      $p5=$67; //@line 962 "./dtoa.c"
      __label__ = 8; break; //@line 963 "./dtoa.c"
    case 15: 
      var $69=$3; //@line 964 "./dtoa.c"
      $1=$69; //@line 964 "./dtoa.c"
      __label__ = 16; break; //@line 964 "./dtoa.c"
    case 16: 
      var $71=$1; //@line 965 "./dtoa.c"
      ;
      return $71; //@line 965 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_pow5mult["X"]=1;

function _mult($state, $a, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $c;
      var $k;
      var $wa;
      var $wb;
      var $wc;
      var $x;
      var $xa;
      var $xae;
      var $xb;
      var $xbe;
      var $xc;
      var $xc0;
      var $y;
      var $carry=__stackBase__;
      var $z=__stackBase__+8;
      $1=$state;
      $2=$a;
      $3=$b;
      var $4=$2; //@line 821 "./dtoa.c"
      var $5=(($4+16)|0); //@line 821 "./dtoa.c"
      var $6=HEAP32[(($5)>>2)]; //@line 821 "./dtoa.c"
      var $7=$3; //@line 821 "./dtoa.c"
      var $8=(($7+16)|0); //@line 821 "./dtoa.c"
      var $9=HEAP32[(($8)>>2)]; //@line 821 "./dtoa.c"
      var $10=(($6)|0) < (($9)|0); //@line 821 "./dtoa.c"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 821 "./dtoa.c"
    case 2: 
      var $12=$2; //@line 822 "./dtoa.c"
      $c=$12; //@line 822 "./dtoa.c"
      var $13=$3; //@line 823 "./dtoa.c"
      $2=$13; //@line 823 "./dtoa.c"
      var $14=$c; //@line 824 "./dtoa.c"
      $3=$14; //@line 824 "./dtoa.c"
      __label__ = 3; break; //@line 825 "./dtoa.c"
    case 3: 
      var $16=$2; //@line 826 "./dtoa.c"
      var $17=(($16+4)|0); //@line 826 "./dtoa.c"
      var $18=HEAP32[(($17)>>2)]; //@line 826 "./dtoa.c"
      $k=$18; //@line 826 "./dtoa.c"
      var $19=$2; //@line 827 "./dtoa.c"
      var $20=(($19+16)|0); //@line 827 "./dtoa.c"
      var $21=HEAP32[(($20)>>2)]; //@line 827 "./dtoa.c"
      $wa=$21; //@line 827 "./dtoa.c"
      var $22=$3; //@line 828 "./dtoa.c"
      var $23=(($22+16)|0); //@line 828 "./dtoa.c"
      var $24=HEAP32[(($23)>>2)]; //@line 828 "./dtoa.c"
      $wb=$24; //@line 828 "./dtoa.c"
      var $25=$wa; //@line 829 "./dtoa.c"
      var $26=$wb; //@line 829 "./dtoa.c"
      var $27=(($25+$26)|0); //@line 829 "./dtoa.c"
      $wc=$27; //@line 829 "./dtoa.c"
      var $28=$wc; //@line 830 "./dtoa.c"
      var $29=$2; //@line 830 "./dtoa.c"
      var $30=(($29+8)|0); //@line 830 "./dtoa.c"
      var $31=HEAP32[(($30)>>2)]; //@line 830 "./dtoa.c"
      var $32=(($28)|0) > (($31)|0); //@line 830 "./dtoa.c"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 830 "./dtoa.c"
    case 4: 
      var $34=$k; //@line 831 "./dtoa.c"
      var $35=(($34+1)|0); //@line 831 "./dtoa.c"
      $k=$35; //@line 831 "./dtoa.c"
      __label__ = 5; break; //@line 831 "./dtoa.c"
    case 5: 
      var $37=$1; //@line 832 "./dtoa.c"
      var $38=$k; //@line 832 "./dtoa.c"
      var $39=_Balloc($37, $38); //@line 832 "./dtoa.c"
      $c=$39; //@line 832 "./dtoa.c"
      var $40=$c; //@line 833 "./dtoa.c"
      var $41=(($40+20)|0); //@line 833 "./dtoa.c"
      var $42=(($41)|0); //@line 833 "./dtoa.c"
      $x=$42; //@line 833 "./dtoa.c"
      var $43=$x; //@line 833 "./dtoa.c"
      var $44=$wc; //@line 833 "./dtoa.c"
      var $45=(($43+($44<<2))|0); //@line 833 "./dtoa.c"
      $xa=$45; //@line 833 "./dtoa.c"
      __label__ = 6; break; //@line 833 "./dtoa.c"
    case 6: 
      var $47=$x; //@line 833 "./dtoa.c"
      var $48=$xa; //@line 833 "./dtoa.c"
      var $49=(($47)>>>0) < (($48)>>>0); //@line 833 "./dtoa.c"
      if ($49) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 833 "./dtoa.c"
    case 7: 
      var $51=$x; //@line 834 "./dtoa.c"
      HEAP32[(($51)>>2)]=0; //@line 834 "./dtoa.c"
      __label__ = 8; break; //@line 834 "./dtoa.c"
    case 8: 
      var $53=$x; //@line 833 "./dtoa.c"
      var $54=(($53+4)|0); //@line 833 "./dtoa.c"
      $x=$54; //@line 833 "./dtoa.c"
      __label__ = 6; break; //@line 833 "./dtoa.c"
    case 9: 
      var $56=$2; //@line 835 "./dtoa.c"
      var $57=(($56+20)|0); //@line 835 "./dtoa.c"
      var $58=(($57)|0); //@line 835 "./dtoa.c"
      $xa=$58; //@line 835 "./dtoa.c"
      var $59=$xa; //@line 836 "./dtoa.c"
      var $60=$wa; //@line 836 "./dtoa.c"
      var $61=(($59+($60<<2))|0); //@line 836 "./dtoa.c"
      $xae=$61; //@line 836 "./dtoa.c"
      var $62=$3; //@line 837 "./dtoa.c"
      var $63=(($62+20)|0); //@line 837 "./dtoa.c"
      var $64=(($63)|0); //@line 837 "./dtoa.c"
      $xb=$64; //@line 837 "./dtoa.c"
      var $65=$xb; //@line 838 "./dtoa.c"
      var $66=$wb; //@line 838 "./dtoa.c"
      var $67=(($65+($66<<2))|0); //@line 838 "./dtoa.c"
      $xbe=$67; //@line 838 "./dtoa.c"
      var $68=$c; //@line 839 "./dtoa.c"
      var $69=(($68+20)|0); //@line 839 "./dtoa.c"
      var $70=(($69)|0); //@line 839 "./dtoa.c"
      $xc0=$70; //@line 839 "./dtoa.c"
      __label__ = 10; break; //@line 841 "./dtoa.c"
    case 10: 
      var $72=$xb; //@line 841 "./dtoa.c"
      var $73=$xbe; //@line 841 "./dtoa.c"
      var $74=(($72)>>>0) < (($73)>>>0); //@line 841 "./dtoa.c"
      if ($74) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 841 "./dtoa.c"
    case 11: 
      var $76=$xb; //@line 842 "./dtoa.c"
      var $77=(($76+4)|0); //@line 842 "./dtoa.c"
      $xb=$77; //@line 842 "./dtoa.c"
      var $78=HEAP32[(($76)>>2)]; //@line 842 "./dtoa.c"
      $y=$78; //@line 842 "./dtoa.c"
      var $79=(($78)|0)!=0; //@line 842 "./dtoa.c"
      if ($79) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 842 "./dtoa.c"
    case 12: 
      var $81=$xa; //@line 843 "./dtoa.c"
      $x=$81; //@line 843 "./dtoa.c"
      var $82=$xc0; //@line 844 "./dtoa.c"
      $xc=$82; //@line 844 "./dtoa.c"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$6$0=(($carry)|0);
      HEAP32[(($st$6$0)>>2)]=$$emscripten$temp$0$0;
      var $st$6$1=(($carry+4)|0);
      HEAP32[(($st$6$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 13; break; //@line 846 "./dtoa.c"
    case 13: 
      var $84=$x; //@line 847 "./dtoa.c"
      var $85=(($84+4)|0); //@line 847 "./dtoa.c"
      $x=$85; //@line 847 "./dtoa.c"
      var $86=HEAP32[(($84)>>2)]; //@line 847 "./dtoa.c"
      var $87$0=$86;
      var $87$1=0;
      var $88=$y; //@line 847 "./dtoa.c"
      var $89$0=$88;
      var $89$1=0;
      var $90$0 = (i64Math.multiply($87$0,$87$1,$89$0,$89$1),i64Math.result[0]); var $90$1 = i64Math.result[1]; //@line 847 "./dtoa.c"
      var $91=$xc; //@line 847 "./dtoa.c"
      var $92=HEAP32[(($91)>>2)]; //@line 847 "./dtoa.c"
      var $93$0=$92;
      var $93$1=0;
      var $94$0 = (i64Math.add($90$0,$90$1,$93$0,$93$1),i64Math.result[0]); var $94$1 = i64Math.result[1]; //@line 847 "./dtoa.c"
      var $st$15$0=(($carry)|0);
      var $95$0=HEAP32[(($st$15$0)>>2)];
      var $st$15$1=(($carry+4)|0);
      var $95$1=HEAP32[(($st$15$1)>>2)];
      var $96$0 = (i64Math.add($94$0,$94$1,$95$0,$95$1),i64Math.result[0]); var $96$1 = i64Math.result[1]; //@line 847 "./dtoa.c"
      var $st$20$0=(($z)|0);
      HEAP32[(($st$20$0)>>2)]=$96$0;
      var $st$20$1=(($z+4)|0);
      HEAP32[(($st$20$1)>>2)]=$96$1;
      var $st$24$0=(($z)|0);
      var $97$0=HEAP32[(($st$24$0)>>2)];
      var $st$24$1=(($z+4)|0);
      var $97$1=HEAP32[(($st$24$1)>>2)];
      var $98$0=$97$1;
      var $98$1=0;
      var $st$30$0=(($carry)|0);
      HEAP32[(($st$30$0)>>2)]=$98$0;
      var $st$30$1=(($carry+4)|0);
      HEAP32[(($st$30$1)>>2)]=$98$1;
      var $st$34$0=(($z)|0);
      var $99$0=HEAP32[(($st$34$0)>>2)];
      var $st$34$1=(($z+4)|0);
      var $99$1=HEAP32[(($st$34$1)>>2)];
      var $100$0=$99$0;
      var $100=$100$0;
      var $101=$xc; //@line 849 "./dtoa.c"
      var $102=(($101+4)|0); //@line 849 "./dtoa.c"
      $xc=$102; //@line 849 "./dtoa.c"
      HEAP32[(($101)>>2)]=$100; //@line 849 "./dtoa.c"
      __label__ = 14; break; //@line 850 "./dtoa.c"
    case 14: 
      var $104=$x; //@line 850 "./dtoa.c"
      var $105=$xae; //@line 850 "./dtoa.c"
      var $106=(($104)>>>0) < (($105)>>>0); //@line 850 "./dtoa.c"
      if ($106) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 850 "./dtoa.c"
    case 15: 
      var $st$0$0=(($carry)|0);
      var $108$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($carry+4)|0);
      var $108$1=HEAP32[(($st$0$1)>>2)];
      var $109$0=$108$0;
      var $109=$109$0;
      var $110=$xc; //@line 852 "./dtoa.c"
      HEAP32[(($110)>>2)]=$109; //@line 852 "./dtoa.c"
      __label__ = 16; break; //@line 853 "./dtoa.c"
    case 16: 
      __label__ = 17; break; //@line 854 "./dtoa.c"
    case 17: 
      var $113=$xc0; //@line 841 "./dtoa.c"
      var $114=(($113+4)|0); //@line 841 "./dtoa.c"
      $xc0=$114; //@line 841 "./dtoa.c"
      __label__ = 10; break; //@line 841 "./dtoa.c"
    case 18: 
      var $116=$c; //@line 905 "./dtoa.c"
      var $117=(($116+20)|0); //@line 905 "./dtoa.c"
      var $118=(($117)|0); //@line 905 "./dtoa.c"
      $xc0=$118; //@line 905 "./dtoa.c"
      var $119=$xc0; //@line 905 "./dtoa.c"
      var $120=$wc; //@line 905 "./dtoa.c"
      var $121=(($119+($120<<2))|0); //@line 905 "./dtoa.c"
      $xc=$121; //@line 905 "./dtoa.c"
      __label__ = 19; break; //@line 905 "./dtoa.c"
    case 19: 
      var $123=$wc; //@line 905 "./dtoa.c"
      var $124=(($123)|0) > 0; //@line 905 "./dtoa.c"
      if ($124) { __label__ = 20; break; } else { var $132 = 0;__label__ = 21; break; } //@line 905 "./dtoa.c"
    case 20: 
      var $126=$xc; //@line 905 "./dtoa.c"
      var $127=(($126-4)|0); //@line 905 "./dtoa.c"
      $xc=$127; //@line 905 "./dtoa.c"
      var $128=HEAP32[(($127)>>2)]; //@line 905 "./dtoa.c"
      var $129=(($128)|0)!=0; //@line 905 "./dtoa.c"
      var $130=$129 ^ 1; //@line 905 "./dtoa.c"
      var $132 = $130;__label__ = 21; break;
    case 21: 
      var $132;
      if ($132) { __label__ = 22; break; } else { __label__ = 24; break; }
    case 22: 
      __label__ = 23; break;
    case 23: 
      var $135=$wc; //@line 905 "./dtoa.c"
      var $136=(($135-1)|0); //@line 905 "./dtoa.c"
      $wc=$136; //@line 905 "./dtoa.c"
      __label__ = 19; break; //@line 905 "./dtoa.c"
    case 24: 
      var $138=$wc; //@line 906 "./dtoa.c"
      var $139=$c; //@line 906 "./dtoa.c"
      var $140=(($139+16)|0); //@line 906 "./dtoa.c"
      HEAP32[(($140)>>2)]=$138; //@line 906 "./dtoa.c"
      var $141=$c; //@line 907 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $141; //@line 907 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_mult["X"]=1;

function _ulp($x) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $x; $x = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($x)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($x+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $L;
  var $a=__stackBase__;
  var $1=$x; //@line 1166 "./dtoa.c"
  var $2=(($1+4)|0); //@line 1166 "./dtoa.c"
  var $3=HEAP32[(($2)>>2)]; //@line 1166 "./dtoa.c"
  var $4=$3 & 2146435072; //@line 1166 "./dtoa.c"
  var $5=(($4-54525952)|0); //@line 1166 "./dtoa.c"
  $L=$5; //@line 1166 "./dtoa.c"
  var $6=$L; //@line 1175 "./dtoa.c"
  var $7=$a; //@line 1175 "./dtoa.c"
  var $8=(($7+4)|0); //@line 1175 "./dtoa.c"
  HEAP32[(($8)>>2)]=$6; //@line 1175 "./dtoa.c"
  var $9=$a; //@line 1176 "./dtoa.c"
  var $10=(($9)|0); //@line 1176 "./dtoa.c"
  HEAP32[(($10)>>2)]=0; //@line 1176 "./dtoa.c"
  var $11=$a; //@line 1194 "./dtoa.c"
  var $12=(tempDoubleI32[0]=HEAP32[(($11)>>2)],tempDoubleI32[1]=HEAP32[(($11+4)>>2)],tempDoubleF64[0]); //@line 1194 "./dtoa.c"
  STACKTOP = __stackBase__;
  return $12; //@line 1194 "./dtoa.c"
}


function _quorem($b, $S) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      var $bx;
      var $bxe;
      var $q;
      var $sx;
      var $sxe;
      var $borrow=__stackBase__;
      var $carry=__stackBase__+8;
      var $y=__stackBase__+16;
      var $ys=__stackBase__+24;
      $2=$b;
      $3=$S;
      var $4=$3; //@line 2366 "./dtoa.c"
      var $5=(($4+16)|0); //@line 2366 "./dtoa.c"
      var $6=HEAP32[(($5)>>2)]; //@line 2366 "./dtoa.c"
      $n=$6; //@line 2366 "./dtoa.c"
      var $7=$2; //@line 2371 "./dtoa.c"
      var $8=(($7+16)|0); //@line 2371 "./dtoa.c"
      var $9=HEAP32[(($8)>>2)]; //@line 2371 "./dtoa.c"
      var $10=$n; //@line 2371 "./dtoa.c"
      var $11=(($9)|0) < (($10)|0); //@line 2371 "./dtoa.c"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2371 "./dtoa.c"
    case 2: 
      $1=0; //@line 2372 "./dtoa.c"
      __label__ = 28; break; //@line 2372 "./dtoa.c"
    case 3: 
      var $14=$3; //@line 2373 "./dtoa.c"
      var $15=(($14+20)|0); //@line 2373 "./dtoa.c"
      var $16=(($15)|0); //@line 2373 "./dtoa.c"
      $sx=$16; //@line 2373 "./dtoa.c"
      var $17=$sx; //@line 2374 "./dtoa.c"
      var $18=$n; //@line 2374 "./dtoa.c"
      var $19=(($18-1)|0); //@line 2374 "./dtoa.c"
      $n=$19; //@line 2374 "./dtoa.c"
      var $20=(($17+($19<<2))|0); //@line 2374 "./dtoa.c"
      $sxe=$20; //@line 2374 "./dtoa.c"
      var $21=$2; //@line 2375 "./dtoa.c"
      var $22=(($21+20)|0); //@line 2375 "./dtoa.c"
      var $23=(($22)|0); //@line 2375 "./dtoa.c"
      $bx=$23; //@line 2375 "./dtoa.c"
      var $24=$bx; //@line 2376 "./dtoa.c"
      var $25=$n; //@line 2376 "./dtoa.c"
      var $26=(($24+($25<<2))|0); //@line 2376 "./dtoa.c"
      $bxe=$26; //@line 2376 "./dtoa.c"
      var $27=$bxe; //@line 2377 "./dtoa.c"
      var $28=HEAPU32[(($27)>>2)]; //@line 2377 "./dtoa.c"
      var $29=$sxe; //@line 2377 "./dtoa.c"
      var $30=HEAP32[(($29)>>2)]; //@line 2377 "./dtoa.c"
      var $31=(($30+1)|0); //@line 2377 "./dtoa.c"
      var $32=Math.floor((($28)>>>0)/(($31)>>>0)); //@line 2377 "./dtoa.c"
      $q=$32; //@line 2377 "./dtoa.c"
      var $33=$q; //@line 2382 "./dtoa.c"
      var $34=(($33)|0)!=0; //@line 2382 "./dtoa.c"
      if ($34) { __label__ = 4; break; } else { __label__ = 15; break; } //@line 2382 "./dtoa.c"
    case 4: 
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$2$0=(($borrow)|0);
      HEAP32[(($st$2$0)>>2)]=$$emscripten$temp$0$0;
      var $st$2$1=(($borrow+4)|0);
      HEAP32[(($st$2$1)>>2)]=$$emscripten$temp$0$1;
      var $$emscripten$temp$1$0=0;
      var $$emscripten$temp$1$1=0;
      var $st$8$0=(($carry)|0);
      HEAP32[(($st$8$0)>>2)]=$$emscripten$temp$1$0;
      var $st$8$1=(($carry+4)|0);
      HEAP32[(($st$8$1)>>2)]=$$emscripten$temp$1$1;
      __label__ = 5; break; //@line 2385 "./dtoa.c"
    case 5: 
      var $37=$sx; //@line 2387 "./dtoa.c"
      var $38=(($37+4)|0); //@line 2387 "./dtoa.c"
      $sx=$38; //@line 2387 "./dtoa.c"
      var $39=HEAP32[(($37)>>2)]; //@line 2387 "./dtoa.c"
      var $40$0=$39;
      var $40$1=0;
      var $41=$q; //@line 2387 "./dtoa.c"
      var $42$0=$41;
      var $42$1=0;
      var $43$0 = (i64Math.multiply($40$0,$40$1,$42$0,$42$1),i64Math.result[0]); var $43$1 = i64Math.result[1]; //@line 2387 "./dtoa.c"
      var $st$10$0=(($carry)|0);
      var $44$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($carry+4)|0);
      var $44$1=HEAP32[(($st$10$1)>>2)];
      var $45$0 = (i64Math.add($43$0,$43$1,$44$0,$44$1),i64Math.result[0]); var $45$1 = i64Math.result[1]; //@line 2387 "./dtoa.c"
      var $st$15$0=(($ys)|0);
      HEAP32[(($st$15$0)>>2)]=$45$0;
      var $st$15$1=(($ys+4)|0);
      HEAP32[(($st$15$1)>>2)]=$45$1;
      var $st$19$0=(($ys)|0);
      var $46$0=HEAP32[(($st$19$0)>>2)];
      var $st$19$1=(($ys+4)|0);
      var $46$1=HEAP32[(($st$19$1)>>2)];
      var $47$0=$46$1;
      var $47$1=0;
      var $st$25$0=(($carry)|0);
      HEAP32[(($st$25$0)>>2)]=$47$0;
      var $st$25$1=(($carry+4)|0);
      HEAP32[(($st$25$1)>>2)]=$47$1;
      var $48=$bx; //@line 2389 "./dtoa.c"
      var $49=HEAP32[(($48)>>2)]; //@line 2389 "./dtoa.c"
      var $50$0=$49;
      var $50$1=0;
      var $st$33$0=(($ys)|0);
      var $51$0=HEAP32[(($st$33$0)>>2)];
      var $st$33$1=(($ys+4)|0);
      var $51$1=HEAP32[(($st$33$1)>>2)];
      var $$emscripten$temp$2$0=-1;
      var $$emscripten$temp$2$1=0;
      var $52$0=$51$0 & $$emscripten$temp$2$0;
      var $52$1=$51$1 & $$emscripten$temp$2$1;
      var $53$0 = (i64Math.subtract($50$0,$50$1,$52$0,$52$1),i64Math.result[0]); var $53$1 = i64Math.result[1]; //@line 2389 "./dtoa.c"
      var $st$42$0=(($borrow)|0);
      var $54$0=HEAP32[(($st$42$0)>>2)];
      var $st$42$1=(($borrow+4)|0);
      var $54$1=HEAP32[(($st$42$1)>>2)];
      var $55$0 = (i64Math.subtract($53$0,$53$1,$54$0,$54$1),i64Math.result[0]); var $55$1 = i64Math.result[1]; //@line 2389 "./dtoa.c"
      var $st$47$0=(($y)|0);
      HEAP32[(($st$47$0)>>2)]=$55$0;
      var $st$47$1=(($y+4)|0);
      HEAP32[(($st$47$1)>>2)]=$55$1;
      var $st$51$0=(($y)|0);
      var $56$0=HEAP32[(($st$51$0)>>2)];
      var $st$51$1=(($y+4)|0);
      var $56$1=HEAP32[(($st$51$1)>>2)];
      var $57$0=$56$1;
      var $57$1=0;
      var $$emscripten$temp$3$0=1;
      var $$emscripten$temp$3$1=0;
      var $58$0=$57$0 & $$emscripten$temp$3$0;
      var $58$1=$57$1 & $$emscripten$temp$3$1;
      var $st$61$0=(($borrow)|0);
      HEAP32[(($st$61$0)>>2)]=$58$0;
      var $st$61$1=(($borrow+4)|0);
      HEAP32[(($st$61$1)>>2)]=$58$1;
      var $st$65$0=(($y)|0);
      var $59$0=HEAP32[(($st$65$0)>>2)];
      var $st$65$1=(($y+4)|0);
      var $59$1=HEAP32[(($st$65$1)>>2)];
      var $60$0=$59$0;
      var $60=$60$0;
      var $61=$bx; //@line 2391 "./dtoa.c"
      var $62=(($61+4)|0); //@line 2391 "./dtoa.c"
      $bx=$62; //@line 2391 "./dtoa.c"
      HEAP32[(($61)>>2)]=$60; //@line 2391 "./dtoa.c"
      __label__ = 6; break; //@line 2411 "./dtoa.c"
    case 6: 
      var $64=$sx; //@line 2411 "./dtoa.c"
      var $65=$sxe; //@line 2411 "./dtoa.c"
      var $66=(($64)>>>0) <= (($65)>>>0); //@line 2411 "./dtoa.c"
      if ($66) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 2411 "./dtoa.c"
    case 7: 
      var $68=$bxe; //@line 2413 "./dtoa.c"
      var $69=HEAP32[(($68)>>2)]; //@line 2413 "./dtoa.c"
      var $70=(($69)|0)!=0; //@line 2413 "./dtoa.c"
      if ($70) { __label__ = 14; break; } else { __label__ = 8; break; } //@line 2413 "./dtoa.c"
    case 8: 
      var $72=$2; //@line 2414 "./dtoa.c"
      var $73=(($72+20)|0); //@line 2414 "./dtoa.c"
      var $74=(($73)|0); //@line 2414 "./dtoa.c"
      $bx=$74; //@line 2414 "./dtoa.c"
      __label__ = 9; break; //@line 2415 "./dtoa.c"
    case 9: 
      var $76=$bxe; //@line 2415 "./dtoa.c"
      var $77=(($76-4)|0); //@line 2415 "./dtoa.c"
      $bxe=$77; //@line 2415 "./dtoa.c"
      var $78=$bx; //@line 2415 "./dtoa.c"
      var $79=(($77)>>>0) > (($78)>>>0); //@line 2415 "./dtoa.c"
      if ($79) { __label__ = 10; break; } else { var $86 = 0;__label__ = 11; break; } //@line 2415 "./dtoa.c"
    case 10: 
      var $81=$bxe; //@line 2415 "./dtoa.c"
      var $82=HEAP32[(($81)>>2)]; //@line 2415 "./dtoa.c"
      var $83=(($82)|0)!=0; //@line 2415 "./dtoa.c"
      var $84=$83 ^ 1; //@line 2415 "./dtoa.c"
      var $86 = $84;__label__ = 11; break;
    case 11: 
      var $86;
      if ($86) { __label__ = 12; break; } else { __label__ = 13; break; }
    case 12: 
      var $88=$n; //@line 2416 "./dtoa.c"
      var $89=(($88-1)|0); //@line 2416 "./dtoa.c"
      $n=$89; //@line 2416 "./dtoa.c"
      __label__ = 9; break; //@line 2416 "./dtoa.c"
    case 13: 
      var $91=$n; //@line 2417 "./dtoa.c"
      var $92=$2; //@line 2417 "./dtoa.c"
      var $93=(($92+16)|0); //@line 2417 "./dtoa.c"
      HEAP32[(($93)>>2)]=$91; //@line 2417 "./dtoa.c"
      __label__ = 14; break; //@line 2418 "./dtoa.c"
    case 14: 
      __label__ = 15; break; //@line 2419 "./dtoa.c"
    case 15: 
      var $96=$2; //@line 2420 "./dtoa.c"
      var $97=$3; //@line 2420 "./dtoa.c"
      var $98=_cmp($96, $97); //@line 2420 "./dtoa.c"
      var $99=(($98)|0) >= 0; //@line 2420 "./dtoa.c"
      if ($99) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 2420 "./dtoa.c"
    case 16: 
      var $101=$q; //@line 2421 "./dtoa.c"
      var $102=(($101+1)|0); //@line 2421 "./dtoa.c"
      $q=$102; //@line 2421 "./dtoa.c"
      var $$emscripten$temp$4$0=0;
      var $$emscripten$temp$4$1=0;
      var $st$5$0=(($borrow)|0);
      HEAP32[(($st$5$0)>>2)]=$$emscripten$temp$4$0;
      var $st$5$1=(($borrow+4)|0);
      HEAP32[(($st$5$1)>>2)]=$$emscripten$temp$4$1;
      var $$emscripten$temp$5$0=0;
      var $$emscripten$temp$5$1=0;
      var $st$11$0=(($carry)|0);
      HEAP32[(($st$11$0)>>2)]=$$emscripten$temp$5$0;
      var $st$11$1=(($carry+4)|0);
      HEAP32[(($st$11$1)>>2)]=$$emscripten$temp$5$1;
      var $103=$2; //@line 2424 "./dtoa.c"
      var $104=(($103+20)|0); //@line 2424 "./dtoa.c"
      var $105=(($104)|0); //@line 2424 "./dtoa.c"
      $bx=$105; //@line 2424 "./dtoa.c"
      var $106=$3; //@line 2425 "./dtoa.c"
      var $107=(($106+20)|0); //@line 2425 "./dtoa.c"
      var $108=(($107)|0); //@line 2425 "./dtoa.c"
      $sx=$108; //@line 2425 "./dtoa.c"
      __label__ = 17; break; //@line 2426 "./dtoa.c"
    case 17: 
      var $110=$sx; //@line 2428 "./dtoa.c"
      var $111=(($110+4)|0); //@line 2428 "./dtoa.c"
      $sx=$111; //@line 2428 "./dtoa.c"
      var $112=HEAP32[(($110)>>2)]; //@line 2428 "./dtoa.c"
      var $113$0=$112;
      var $113$1=0;
      var $st$6$0=(($carry)|0);
      var $114$0=HEAP32[(($st$6$0)>>2)];
      var $st$6$1=(($carry+4)|0);
      var $114$1=HEAP32[(($st$6$1)>>2)];
      var $115$0 = (i64Math.add($113$0,$113$1,$114$0,$114$1),i64Math.result[0]); var $115$1 = i64Math.result[1]; //@line 2428 "./dtoa.c"
      var $st$11$0=(($ys)|0);
      HEAP32[(($st$11$0)>>2)]=$115$0;
      var $st$11$1=(($ys+4)|0);
      HEAP32[(($st$11$1)>>2)]=$115$1;
      var $st$15$0=(($ys)|0);
      var $116$0=HEAP32[(($st$15$0)>>2)];
      var $st$15$1=(($ys+4)|0);
      var $116$1=HEAP32[(($st$15$1)>>2)];
      var $117$0=$116$1;
      var $117$1=0;
      var $st$21$0=(($carry)|0);
      HEAP32[(($st$21$0)>>2)]=$117$0;
      var $st$21$1=(($carry+4)|0);
      HEAP32[(($st$21$1)>>2)]=$117$1;
      var $118=$bx; //@line 2430 "./dtoa.c"
      var $119=HEAP32[(($118)>>2)]; //@line 2430 "./dtoa.c"
      var $120$0=$119;
      var $120$1=0;
      var $st$29$0=(($ys)|0);
      var $121$0=HEAP32[(($st$29$0)>>2)];
      var $st$29$1=(($ys+4)|0);
      var $121$1=HEAP32[(($st$29$1)>>2)];
      var $$emscripten$temp$6$0=-1;
      var $$emscripten$temp$6$1=0;
      var $122$0=$121$0 & $$emscripten$temp$6$0;
      var $122$1=$121$1 & $$emscripten$temp$6$1;
      var $123$0 = (i64Math.subtract($120$0,$120$1,$122$0,$122$1),i64Math.result[0]); var $123$1 = i64Math.result[1]; //@line 2430 "./dtoa.c"
      var $st$38$0=(($borrow)|0);
      var $124$0=HEAP32[(($st$38$0)>>2)];
      var $st$38$1=(($borrow+4)|0);
      var $124$1=HEAP32[(($st$38$1)>>2)];
      var $125$0 = (i64Math.subtract($123$0,$123$1,$124$0,$124$1),i64Math.result[0]); var $125$1 = i64Math.result[1]; //@line 2430 "./dtoa.c"
      var $st$43$0=(($y)|0);
      HEAP32[(($st$43$0)>>2)]=$125$0;
      var $st$43$1=(($y+4)|0);
      HEAP32[(($st$43$1)>>2)]=$125$1;
      var $st$47$0=(($y)|0);
      var $126$0=HEAP32[(($st$47$0)>>2)];
      var $st$47$1=(($y+4)|0);
      var $126$1=HEAP32[(($st$47$1)>>2)];
      var $127$0=$126$1;
      var $127$1=0;
      var $$emscripten$temp$7$0=1;
      var $$emscripten$temp$7$1=0;
      var $128$0=$127$0 & $$emscripten$temp$7$0;
      var $128$1=$127$1 & $$emscripten$temp$7$1;
      var $st$57$0=(($borrow)|0);
      HEAP32[(($st$57$0)>>2)]=$128$0;
      var $st$57$1=(($borrow+4)|0);
      HEAP32[(($st$57$1)>>2)]=$128$1;
      var $st$61$0=(($y)|0);
      var $129$0=HEAP32[(($st$61$0)>>2)];
      var $st$61$1=(($y+4)|0);
      var $129$1=HEAP32[(($st$61$1)>>2)];
      var $130$0=$129$0;
      var $130=$130$0;
      var $131=$bx; //@line 2432 "./dtoa.c"
      var $132=(($131+4)|0); //@line 2432 "./dtoa.c"
      $bx=$132; //@line 2432 "./dtoa.c"
      HEAP32[(($131)>>2)]=$130; //@line 2432 "./dtoa.c"
      __label__ = 18; break; //@line 2452 "./dtoa.c"
    case 18: 
      var $134=$sx; //@line 2452 "./dtoa.c"
      var $135=$sxe; //@line 2452 "./dtoa.c"
      var $136=(($134)>>>0) <= (($135)>>>0); //@line 2452 "./dtoa.c"
      if ($136) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 2452 "./dtoa.c"
    case 19: 
      var $138=$2; //@line 2454 "./dtoa.c"
      var $139=(($138+20)|0); //@line 2454 "./dtoa.c"
      var $140=(($139)|0); //@line 2454 "./dtoa.c"
      $bx=$140; //@line 2454 "./dtoa.c"
      var $141=$bx; //@line 2455 "./dtoa.c"
      var $142=$n; //@line 2455 "./dtoa.c"
      var $143=(($141+($142<<2))|0); //@line 2455 "./dtoa.c"
      $bxe=$143; //@line 2455 "./dtoa.c"
      var $144=$bxe; //@line 2456 "./dtoa.c"
      var $145=HEAP32[(($144)>>2)]; //@line 2456 "./dtoa.c"
      var $146=(($145)|0)!=0; //@line 2456 "./dtoa.c"
      if ($146) { __label__ = 26; break; } else { __label__ = 20; break; } //@line 2456 "./dtoa.c"
    case 20: 
      __label__ = 21; break; //@line 2457 "./dtoa.c"
    case 21: 
      var $149=$bxe; //@line 2457 "./dtoa.c"
      var $150=(($149-4)|0); //@line 2457 "./dtoa.c"
      $bxe=$150; //@line 2457 "./dtoa.c"
      var $151=$bx; //@line 2457 "./dtoa.c"
      var $152=(($150)>>>0) > (($151)>>>0); //@line 2457 "./dtoa.c"
      if ($152) { __label__ = 22; break; } else { var $159 = 0;__label__ = 23; break; } //@line 2457 "./dtoa.c"
    case 22: 
      var $154=$bxe; //@line 2457 "./dtoa.c"
      var $155=HEAP32[(($154)>>2)]; //@line 2457 "./dtoa.c"
      var $156=(($155)|0)!=0; //@line 2457 "./dtoa.c"
      var $157=$156 ^ 1; //@line 2457 "./dtoa.c"
      var $159 = $157;__label__ = 23; break;
    case 23: 
      var $159;
      if ($159) { __label__ = 24; break; } else { __label__ = 25; break; }
    case 24: 
      var $161=$n; //@line 2458 "./dtoa.c"
      var $162=(($161-1)|0); //@line 2458 "./dtoa.c"
      $n=$162; //@line 2458 "./dtoa.c"
      __label__ = 21; break; //@line 2458 "./dtoa.c"
    case 25: 
      var $164=$n; //@line 2459 "./dtoa.c"
      var $165=$2; //@line 2459 "./dtoa.c"
      var $166=(($165+16)|0); //@line 2459 "./dtoa.c"
      HEAP32[(($166)>>2)]=$164; //@line 2459 "./dtoa.c"
      __label__ = 26; break; //@line 2460 "./dtoa.c"
    case 26: 
      __label__ = 27; break; //@line 2461 "./dtoa.c"
    case 27: 
      var $169=$q; //@line 2462 "./dtoa.c"
      $1=$169; //@line 2462 "./dtoa.c"
      __label__ = 28; break; //@line 2462 "./dtoa.c"
    case 28: 
      var $171=$1; //@line 2463 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $171; //@line 2463 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_quorem["X"]=1;

function _s2b($state, $s, $nd0, $nd, $y9) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $b;
      var $i;
      var $k;
      var $x;
      var $y;
      $1=$state;
      $2=$s;
      $3=$nd0;
      $4=$nd;
      $5=$y9;
      var $6=$4; //@line 676 "./dtoa.c"
      var $7=(($6+8)|0); //@line 676 "./dtoa.c"
      var $8=(((($7)|0)/9)&-1); //@line 676 "./dtoa.c"
      $x=$8; //@line 676 "./dtoa.c"
      $k=0; //@line 677 "./dtoa.c"
      $y=1; //@line 677 "./dtoa.c"
      __label__ = 2; break; //@line 677 "./dtoa.c"
    case 2: 
      var $10=$x; //@line 677 "./dtoa.c"
      var $11=$y; //@line 677 "./dtoa.c"
      var $12=(($10)|0) > (($11)|0); //@line 677 "./dtoa.c"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 677 "./dtoa.c"
    case 3: 
      __label__ = 4; break; //@line 677 "./dtoa.c"
    case 4: 
      var $15=$y; //@line 677 "./dtoa.c"
      var $16=$15 << 1; //@line 677 "./dtoa.c"
      $y=$16; //@line 677 "./dtoa.c"
      var $17=$k; //@line 677 "./dtoa.c"
      var $18=(($17+1)|0); //@line 677 "./dtoa.c"
      $k=$18; //@line 677 "./dtoa.c"
      __label__ = 2; break; //@line 677 "./dtoa.c"
    case 5: 
      var $20=$1; //@line 679 "./dtoa.c"
      var $21=$k; //@line 679 "./dtoa.c"
      var $22=_Balloc($20, $21); //@line 679 "./dtoa.c"
      $b=$22; //@line 679 "./dtoa.c"
      var $23=$5; //@line 680 "./dtoa.c"
      var $24=$b; //@line 680 "./dtoa.c"
      var $25=(($24+20)|0); //@line 680 "./dtoa.c"
      var $26=(($25)|0); //@line 680 "./dtoa.c"
      HEAP32[(($26)>>2)]=$23; //@line 680 "./dtoa.c"
      var $27=$b; //@line 681 "./dtoa.c"
      var $28=(($27+16)|0); //@line 681 "./dtoa.c"
      HEAP32[(($28)>>2)]=1; //@line 681 "./dtoa.c"
      $i=9; //@line 688 "./dtoa.c"
      var $29=$3; //@line 689 "./dtoa.c"
      var $30=9 < (($29)|0); //@line 689 "./dtoa.c"
      if ($30) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 689 "./dtoa.c"
    case 6: 
      var $32=$2; //@line 690 "./dtoa.c"
      var $33=(($32+9)|0); //@line 690 "./dtoa.c"
      $2=$33; //@line 690 "./dtoa.c"
      __label__ = 7; break; //@line 691 "./dtoa.c"
    case 7: 
      var $35=$1; //@line 691 "./dtoa.c"
      var $36=$b; //@line 691 "./dtoa.c"
      var $37=$2; //@line 691 "./dtoa.c"
      var $38=(($37+1)|0); //@line 691 "./dtoa.c"
      $2=$38; //@line 691 "./dtoa.c"
      var $39=HEAP8[($37)]; //@line 691 "./dtoa.c"
      var $40=(($39 << 24) >> 24); //@line 691 "./dtoa.c"
      var $41=(($40-48)|0); //@line 691 "./dtoa.c"
      var $42=_multadd($35, $36, 10, $41); //@line 691 "./dtoa.c"
      $b=$42; //@line 691 "./dtoa.c"
      __label__ = 8; break; //@line 691 "./dtoa.c"
    case 8: 
      var $44=$i; //@line 691 "./dtoa.c"
      var $45=(($44+1)|0); //@line 691 "./dtoa.c"
      $i=$45; //@line 691 "./dtoa.c"
      var $46=$3; //@line 691 "./dtoa.c"
      var $47=(($45)|0) < (($46)|0); //@line 691 "./dtoa.c"
      if ($47) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 691 "./dtoa.c"
    case 9: 
      var $49=$2; //@line 693 "./dtoa.c"
      var $50=(($49+1)|0); //@line 693 "./dtoa.c"
      $2=$50; //@line 693 "./dtoa.c"
      __label__ = 11; break; //@line 694 "./dtoa.c"
    case 10: 
      var $52=$2; //@line 696 "./dtoa.c"
      var $53=(($52+10)|0); //@line 696 "./dtoa.c"
      $2=$53; //@line 696 "./dtoa.c"
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break; //@line 697 "./dtoa.c"
    case 12: 
      var $56=$i; //@line 697 "./dtoa.c"
      var $57=$4; //@line 697 "./dtoa.c"
      var $58=(($56)|0) < (($57)|0); //@line 697 "./dtoa.c"
      if ($58) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 697 "./dtoa.c"
    case 13: 
      var $60=$1; //@line 698 "./dtoa.c"
      var $61=$b; //@line 698 "./dtoa.c"
      var $62=$2; //@line 698 "./dtoa.c"
      var $63=(($62+1)|0); //@line 698 "./dtoa.c"
      $2=$63; //@line 698 "./dtoa.c"
      var $64=HEAP8[($62)]; //@line 698 "./dtoa.c"
      var $65=(($64 << 24) >> 24); //@line 698 "./dtoa.c"
      var $66=(($65-48)|0); //@line 698 "./dtoa.c"
      var $67=_multadd($60, $61, 10, $66); //@line 698 "./dtoa.c"
      $b=$67; //@line 698 "./dtoa.c"
      __label__ = 14; break; //@line 698 "./dtoa.c"
    case 14: 
      var $69=$i; //@line 697 "./dtoa.c"
      var $70=(($69+1)|0); //@line 697 "./dtoa.c"
      $i=$70; //@line 697 "./dtoa.c"
      __label__ = 12; break; //@line 697 "./dtoa.c"
    case 15: 
      var $72=$b; //@line 699 "./dtoa.c"
      ;
      return $72; //@line 699 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_s2b["X"]=1;

function _ratio($a, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $da=__stackBase__;
      var $db=__stackBase__+8;
      var $k;
      var $ka=__stackBase__+16;
      var $kb=__stackBase__+20;
      $1=$a;
      $2=$b;
      var $3=$1; //@line 1412 "./dtoa.c"
      var $4=_b2d($3, $ka); //@line 1412 "./dtoa.c"
      var $5=$da; //@line 1412 "./dtoa.c"
      (tempDoubleF64[0]=$4,HEAP32[(($5)>>2)]=tempDoubleI32[0],HEAP32[(($5+4)>>2)]=tempDoubleI32[1]); //@line 1412 "./dtoa.c"
      var $6=$2; //@line 1413 "./dtoa.c"
      var $7=_b2d($6, $kb); //@line 1413 "./dtoa.c"
      var $8=$db; //@line 1413 "./dtoa.c"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 1413 "./dtoa.c"
      var $9=HEAP32[(($ka)>>2)]; //@line 1415 "./dtoa.c"
      var $10=HEAP32[(($kb)>>2)]; //@line 1415 "./dtoa.c"
      var $11=(($9-$10)|0); //@line 1415 "./dtoa.c"
      var $12=$1; //@line 1415 "./dtoa.c"
      var $13=(($12+16)|0); //@line 1415 "./dtoa.c"
      var $14=HEAP32[(($13)>>2)]; //@line 1415 "./dtoa.c"
      var $15=$2; //@line 1415 "./dtoa.c"
      var $16=(($15+16)|0); //@line 1415 "./dtoa.c"
      var $17=HEAP32[(($16)>>2)]; //@line 1415 "./dtoa.c"
      var $18=(($14-$17)|0); //@line 1415 "./dtoa.c"
      var $19=((($18<<5))|0); //@line 1415 "./dtoa.c"
      var $20=(($11+$19)|0); //@line 1415 "./dtoa.c"
      $k=$20; //@line 1415 "./dtoa.c"
      var $21=$k; //@line 1432 "./dtoa.c"
      var $22=(($21)|0) > 0; //@line 1432 "./dtoa.c"
      if ($22) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1432 "./dtoa.c"
    case 2: 
      var $24=$k; //@line 1433 "./dtoa.c"
      var $25=((($24<<20))|0); //@line 1433 "./dtoa.c"
      var $26=$da; //@line 1433 "./dtoa.c"
      var $27=(($26+4)|0); //@line 1433 "./dtoa.c"
      var $28=HEAP32[(($27)>>2)]; //@line 1433 "./dtoa.c"
      var $29=(($28+$25)|0); //@line 1433 "./dtoa.c"
      HEAP32[(($27)>>2)]=$29; //@line 1433 "./dtoa.c"
      __label__ = 4; break; //@line 1433 "./dtoa.c"
    case 3: 
      var $31=$k; //@line 1435 "./dtoa.c"
      var $32=(((-$31))|0); //@line 1435 "./dtoa.c"
      $k=$32; //@line 1435 "./dtoa.c"
      var $33=$k; //@line 1436 "./dtoa.c"
      var $34=((($33<<20))|0); //@line 1436 "./dtoa.c"
      var $35=$db; //@line 1436 "./dtoa.c"
      var $36=(($35+4)|0); //@line 1436 "./dtoa.c"
      var $37=HEAP32[(($36)>>2)]; //@line 1436 "./dtoa.c"
      var $38=(($37+$34)|0); //@line 1436 "./dtoa.c"
      HEAP32[(($36)>>2)]=$38; //@line 1436 "./dtoa.c"
      __label__ = 4; break;
    case 4: 
      var $40=$da; //@line 1439 "./dtoa.c"
      var $41=(tempDoubleI32[0]=HEAP32[(($40)>>2)],tempDoubleI32[1]=HEAP32[(($40+4)>>2)],tempDoubleF64[0]); //@line 1439 "./dtoa.c"
      var $42=$db; //@line 1439 "./dtoa.c"
      var $43=(tempDoubleI32[0]=HEAP32[(($42)>>2)],tempDoubleI32[1]=HEAP32[(($42+4)>>2)],tempDoubleF64[0]); //@line 1439 "./dtoa.c"
      var $44=$41/$43; //@line 1439 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $44; //@line 1439 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_ratio["X"]=1;

function _b2d($a, $e) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $xa;
      var $xa0;
      var $w;
      var $y;
      var $z;
      var $k;
      var $d=__stackBase__;
      $1=$a;
      $2=$e;
      var $3=$1; //@line 1215 "./dtoa.c"
      var $4=(($3+20)|0); //@line 1215 "./dtoa.c"
      var $5=(($4)|0); //@line 1215 "./dtoa.c"
      $xa0=$5; //@line 1215 "./dtoa.c"
      var $6=$xa0; //@line 1216 "./dtoa.c"
      var $7=$1; //@line 1216 "./dtoa.c"
      var $8=(($7+16)|0); //@line 1216 "./dtoa.c"
      var $9=HEAP32[(($8)>>2)]; //@line 1216 "./dtoa.c"
      var $10=(($6+($9<<2))|0); //@line 1216 "./dtoa.c"
      $xa=$10; //@line 1216 "./dtoa.c"
      var $11=$xa; //@line 1217 "./dtoa.c"
      var $12=(($11-4)|0); //@line 1217 "./dtoa.c"
      $xa=$12; //@line 1217 "./dtoa.c"
      var $13=HEAP32[(($12)>>2)]; //@line 1217 "./dtoa.c"
      $y=$13; //@line 1217 "./dtoa.c"
      var $14=$y; //@line 1221 "./dtoa.c"
      var $15=_hi0bits($14); //@line 1221 "./dtoa.c"
      $k=$15; //@line 1221 "./dtoa.c"
      var $16=$k; //@line 1222 "./dtoa.c"
      var $17=((32-$16)|0); //@line 1222 "./dtoa.c"
      var $18=$2; //@line 1222 "./dtoa.c"
      HEAP32[(($18)>>2)]=$17; //@line 1222 "./dtoa.c"
      var $19=$k; //@line 1224 "./dtoa.c"
      var $20=(($19)|0) < 11; //@line 1224 "./dtoa.c"
      if ($20) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1224 "./dtoa.c"
    case 2: 
      var $22=$y; //@line 1225 "./dtoa.c"
      var $23=$k; //@line 1225 "./dtoa.c"
      var $24=((11-$23)|0); //@line 1225 "./dtoa.c"
      var $25=$22 >>> (($24)>>>0); //@line 1225 "./dtoa.c"
      var $26=1072693248 | $25; //@line 1225 "./dtoa.c"
      var $27=$d; //@line 1225 "./dtoa.c"
      var $28=(($27+4)|0); //@line 1225 "./dtoa.c"
      HEAP32[(($28)>>2)]=$26; //@line 1225 "./dtoa.c"
      var $29=$xa; //@line 1226 "./dtoa.c"
      var $30=$xa0; //@line 1226 "./dtoa.c"
      var $31=(($29)>>>0) > (($30)>>>0); //@line 1226 "./dtoa.c"
      if ($31) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1226 "./dtoa.c"
    case 3: 
      var $33=$xa; //@line 1226 "./dtoa.c"
      var $34=(($33-4)|0); //@line 1226 "./dtoa.c"
      $xa=$34; //@line 1226 "./dtoa.c"
      var $35=HEAP32[(($34)>>2)]; //@line 1226 "./dtoa.c"
      var $38 = $35;__label__ = 5; break; //@line 1226 "./dtoa.c"
    case 4: 
      var $38 = 0;__label__ = 5; break; //@line 1226 "./dtoa.c"
    case 5: 
      var $38; //@line 1226 "./dtoa.c"
      $w=$38; //@line 1226 "./dtoa.c"
      var $39=$y; //@line 1227 "./dtoa.c"
      var $40=$k; //@line 1227 "./dtoa.c"
      var $41=(($40+21)|0); //@line 1227 "./dtoa.c"
      var $42=$39 << $41; //@line 1227 "./dtoa.c"
      var $43=$w; //@line 1227 "./dtoa.c"
      var $44=$k; //@line 1227 "./dtoa.c"
      var $45=((11-$44)|0); //@line 1227 "./dtoa.c"
      var $46=$43 >>> (($45)>>>0); //@line 1227 "./dtoa.c"
      var $47=$42 | $46; //@line 1227 "./dtoa.c"
      var $48=$d; //@line 1227 "./dtoa.c"
      var $49=(($48)|0); //@line 1227 "./dtoa.c"
      HEAP32[(($49)>>2)]=$47; //@line 1227 "./dtoa.c"
      __label__ = 16; break; //@line 1228 "./dtoa.c"
    case 6: 
      var $51=$xa; //@line 1230 "./dtoa.c"
      var $52=$xa0; //@line 1230 "./dtoa.c"
      var $53=(($51)>>>0) > (($52)>>>0); //@line 1230 "./dtoa.c"
      if ($53) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1230 "./dtoa.c"
    case 7: 
      var $55=$xa; //@line 1230 "./dtoa.c"
      var $56=(($55-4)|0); //@line 1230 "./dtoa.c"
      $xa=$56; //@line 1230 "./dtoa.c"
      var $57=HEAP32[(($56)>>2)]; //@line 1230 "./dtoa.c"
      var $60 = $57;__label__ = 9; break; //@line 1230 "./dtoa.c"
    case 8: 
      var $60 = 0;__label__ = 9; break; //@line 1230 "./dtoa.c"
    case 9: 
      var $60; //@line 1230 "./dtoa.c"
      $z=$60; //@line 1230 "./dtoa.c"
      var $61=$k; //@line 1231 "./dtoa.c"
      var $62=(($61-11)|0); //@line 1231 "./dtoa.c"
      $k=$62; //@line 1231 "./dtoa.c"
      var $63=(($62)|0)!=0; //@line 1231 "./dtoa.c"
      if ($63) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1231 "./dtoa.c"
    case 10: 
      var $65=$y; //@line 1232 "./dtoa.c"
      var $66=$k; //@line 1232 "./dtoa.c"
      var $67=$65 << $66; //@line 1232 "./dtoa.c"
      var $68=1072693248 | $67; //@line 1232 "./dtoa.c"
      var $69=$z; //@line 1232 "./dtoa.c"
      var $70=$k; //@line 1232 "./dtoa.c"
      var $71=((32-$70)|0); //@line 1232 "./dtoa.c"
      var $72=$69 >>> (($71)>>>0); //@line 1232 "./dtoa.c"
      var $73=$68 | $72; //@line 1232 "./dtoa.c"
      var $74=$d; //@line 1232 "./dtoa.c"
      var $75=(($74+4)|0); //@line 1232 "./dtoa.c"
      HEAP32[(($75)>>2)]=$73; //@line 1232 "./dtoa.c"
      var $76=$xa; //@line 1233 "./dtoa.c"
      var $77=$xa0; //@line 1233 "./dtoa.c"
      var $78=(($76)>>>0) > (($77)>>>0); //@line 1233 "./dtoa.c"
      if ($78) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1233 "./dtoa.c"
    case 11: 
      var $80=$xa; //@line 1233 "./dtoa.c"
      var $81=(($80-4)|0); //@line 1233 "./dtoa.c"
      $xa=$81; //@line 1233 "./dtoa.c"
      var $82=HEAP32[(($81)>>2)]; //@line 1233 "./dtoa.c"
      var $85 = $82;__label__ = 13; break; //@line 1233 "./dtoa.c"
    case 12: 
      var $85 = 0;__label__ = 13; break; //@line 1233 "./dtoa.c"
    case 13: 
      var $85; //@line 1233 "./dtoa.c"
      $y=$85; //@line 1233 "./dtoa.c"
      var $86=$z; //@line 1234 "./dtoa.c"
      var $87=$k; //@line 1234 "./dtoa.c"
      var $88=$86 << $87; //@line 1234 "./dtoa.c"
      var $89=$y; //@line 1234 "./dtoa.c"
      var $90=$k; //@line 1234 "./dtoa.c"
      var $91=((32-$90)|0); //@line 1234 "./dtoa.c"
      var $92=$89 >>> (($91)>>>0); //@line 1234 "./dtoa.c"
      var $93=$88 | $92; //@line 1234 "./dtoa.c"
      var $94=$d; //@line 1234 "./dtoa.c"
      var $95=(($94)|0); //@line 1234 "./dtoa.c"
      HEAP32[(($95)>>2)]=$93; //@line 1234 "./dtoa.c"
      __label__ = 15; break; //@line 1235 "./dtoa.c"
    case 14: 
      var $97=$y; //@line 1237 "./dtoa.c"
      var $98=1072693248 | $97; //@line 1237 "./dtoa.c"
      var $99=$d; //@line 1237 "./dtoa.c"
      var $100=(($99+4)|0); //@line 1237 "./dtoa.c"
      HEAP32[(($100)>>2)]=$98; //@line 1237 "./dtoa.c"
      var $101=$z; //@line 1238 "./dtoa.c"
      var $102=$d; //@line 1238 "./dtoa.c"
      var $103=(($102)|0); //@line 1238 "./dtoa.c"
      HEAP32[(($103)>>2)]=$101; //@line 1238 "./dtoa.c"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      var $106=$d; //@line 1264 "./dtoa.c"
      var $107=(tempDoubleI32[0]=HEAP32[(($106)>>2)],tempDoubleI32[1]=HEAP32[(($106+4)>>2)],tempDoubleF64[0]); //@line 1264 "./dtoa.c"
      STACKTOP = __stackBase__;
      return $107; //@line 1264 "./dtoa.c"
    default: assert(0, "bad label: " + __label__);
  }
}
_b2d["X"]=1;

function __ZN13JSTreeContext5traceEP8JSTracer($this, $trc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$trc;
  var $3=$1;
  var $4=(($3+92)|0); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $5=$2; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js8Bindings5traceEP8JSTracer($4, $5); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZN15JSCodeGeneratorC2EPN2js6ParserEj($this, $parser, $lineno) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  var $5=__stackBase__+4;
  var $6=__stackBase__+8;
  var $7=__stackBase__+12;
  var $8=__stackBase__+16;
  $1=$this;
  $2=$parser;
  $3=$lineno;
  var $9=$1;
  var $10=$9; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $11=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN13JSTreeContextC2EPN2js6ParserE($10, $11); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $12=(($9+108)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $13=(($9+140)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $14=(($9+176)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $15=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $16=(($15+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $17=HEAP32[(($16)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEEC1EP9JSContext($14, $17); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $18=(($9+184)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $19=(($9+192)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($19)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $20=(($9+196)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($20)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $21=(($9+200)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($21)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $22=(($9+204)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($22)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $23=(($9+208)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($23)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $24=(($9+212)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($24)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $25=(($9+216)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($25)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $26=(($9+220)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($26)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $27=(($9+224)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($27)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $28=(($9+228)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($28)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $29=(($9+232)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($29)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $30=(($9+236)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($30)>>2)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $31=(($9+240)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $32=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $33=(($32+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $34=HEAP32[(($33)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js15TempAllocPolicyC1EP9JSContext($4, $34); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES7_($31, $4); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $35=(($9+268)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $36=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $37=(($36+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $38=HEAP32[(($37)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN13JSGCConstListC1EP9JSContext($35, $38); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $39=(($9+292)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN14JSCGObjectListC1Ev($39); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $40=(($9+300)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN14JSCGObjectListC1Ev($40); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $41=(($9+308)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $42=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $43=(($42+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $44=HEAP32[(($43)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEEC1EP9JSContext($41, $44); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $45=(($9+316)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $46=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $47=(($46+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $48=HEAP32[(($47)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js15TempAllocPolicyC1EP9JSContext($5, $48); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEC1ES2_($45, $5); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $49=(($9+364)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $50=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $51=(($50+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $52=HEAP32[(($51)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js15TempAllocPolicyC1EP9JSContext($6, $52); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEC1ES3_($49, $6); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $53=(($9+508)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $54=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $55=(($54+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $56=HEAP32[(($55)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEEC1EP9JSContext($53, $56); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $57=(($9+516)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $58=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $59=(($58+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $60=HEAP32[(($59)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js15TempAllocPolicyC1EP9JSContext($7, $60); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEC1ES1_($57, $7); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $61=(($9+564)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $62=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $63=(($62+12)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $64=HEAP32[(($63)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js15TempAllocPolicyC1EP9JSContext($8, $64); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEC1ES1_($61, $8); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $65=(($9+612)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP16[(($65)>>1)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $66=(($9+614)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP16[(($66)>>1)]=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $67=$9; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $68=(($67)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($68)>>2)]=1; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $69=(($9+108)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $70=$69; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  _memset($70, 0, 32, 1); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $71=(($9+140)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $72=$71; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  _memset($72, 0, 32, 1); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $73=(($9+140)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $74=(($9+172)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($74)>>2)]=$73; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $75=$3; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $76=(($9+140)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $77=(($76+28)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($77)>>2)]=$75; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $78=(($9+108)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $79=(($78+28)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($79)>>2)]=$75; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $80=(($9+188)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($80)>>2)]=$75; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  STACKTOP = __stackBase__;
  return; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}
__ZN15JSCodeGeneratorC2EPN2js6ParserEj["X"]=1;

function __ZN13JSTreeContextC2EPN2js6ParserE($this, $prs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$prs;
  var $3=$1;
  var $4=(($3)|0); //@line 374 "./jsemit.h"
  HEAP32[(($4)>>2)]=0; //@line 374 "./jsemit.h"
  var $5=(($3+4)|0); //@line 374 "./jsemit.h"
  HEAP32[(($5)>>2)]=0; //@line 374 "./jsemit.h"
  var $6=(($3+8)|0); //@line 374 "./jsemit.h"
  HEAP32[(($6)>>2)]=0; //@line 374 "./jsemit.h"
  var $7=(($3+12)|0); //@line 374 "./jsemit.h"
  HEAP32[(($7)>>2)]=0; //@line 374 "./jsemit.h"
  var $8=(($3+16)|0); //@line 374 "./jsemit.h"
  HEAP32[(($8)>>2)]=0; //@line 374 "./jsemit.h"
  var $9=(($3+20)|0); //@line 374 "./jsemit.h"
  HEAP32[(($9)>>2)]=0; //@line 374 "./jsemit.h"
  var $10=(($3+24)|0); //@line 374 "./jsemit.h"
  HEAP32[(($10)>>2)]=0; //@line 374 "./jsemit.h"
  var $11=(($3+28)|0); //@line 374 "./jsemit.h"
  HEAP32[(($11)>>2)]=0; //@line 374 "./jsemit.h"
  var $12=(($3+32)|0); //@line 374 "./jsemit.h"
  HEAP32[(($12)>>2)]=0; //@line 374 "./jsemit.h"
  var $13=(($3+36)|0); //@line 374 "./jsemit.h"
  HEAP32[(($13)>>2)]=0; //@line 374 "./jsemit.h"
  var $14=(($3+40)|0); //@line 374 "./jsemit.h"
  var $15=$2; //@line 374 "./jsemit.h"
  var $16=(($15+12)|0); //@line 374 "./jsemit.h"
  var $17=HEAP32[(($16)>>2)]; //@line 374 "./jsemit.h"
  __ZN2js9AtomDeclsC1EP9JSContext($14, $17); //@line 374 "./jsemit.h"
  var $18=(($3+48)|0); //@line 374 "./jsemit.h"
  var $19=$2; //@line 374 "./jsemit.h"
  HEAP32[(($18)>>2)]=$19; //@line 374 "./jsemit.h"
  var $20=(($3+52)|0); //@line 374 "./jsemit.h"
  HEAP32[(($20)>>2)]=0; //@line 374 "./jsemit.h"
  var $21=(($3+56)|0); //@line 374 "./jsemit.h"
  HEAP32[(($21)>>2)]=0; //@line 374 "./jsemit.h"
  var $22=(($3+60)|0); //@line 374 "./jsemit.h"
  var $23=$22; //@line 374 "./jsemit.h"
  HEAP32[(($23)>>2)]=0; //@line 374 "./jsemit.h"
  var $24=(($3+64)|0); //@line 374 "./jsemit.h"
  var $25=$2; //@line 374 "./jsemit.h"
  var $26=(($25+12)|0); //@line 374 "./jsemit.h"
  var $27=HEAP32[(($26)>>2)]; //@line 374 "./jsemit.h"
  __ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEEC1EP9JSContext($24, $27); //@line 374 "./jsemit.h"
  var $28=(($3+72)|0); //@line 374 "./jsemit.h"
  var $29=$2; //@line 374 "./jsemit.h"
  var $30=(($29+980)|0); //@line 374 "./jsemit.h"
  var $31=HEAP32[(($30)>>2)]; //@line 374 "./jsemit.h"
  HEAP32[(($28)>>2)]=$31; //@line 374 "./jsemit.h"
  var $32=(($3+76)|0); //@line 374 "./jsemit.h"
  HEAP32[(($32)>>2)]=0; //@line 374 "./jsemit.h"
  var $33=(($3+80)|0); //@line 374 "./jsemit.h"
  HEAP32[(($33)>>2)]=0; //@line 374 "./jsemit.h"
  var $34=(($3+84)|0); //@line 374 "./jsemit.h"
  HEAP32[(($34)>>2)]=0; //@line 374 "./jsemit.h"
  var $35=(($3+88)|0); //@line 374 "./jsemit.h"
  HEAP32[(($35)>>2)]=0; //@line 374 "./jsemit.h"
  var $36=(($3+92)|0); //@line 374 "./jsemit.h"
  var $37=$2; //@line 374 "./jsemit.h"
  var $38=(($37+12)|0); //@line 374 "./jsemit.h"
  var $39=HEAP32[(($38)>>2)]; //@line 374 "./jsemit.h"
  __ZN2js8BindingsC1EP9JSContext($36, $39); //@line 374 "./jsemit.h"
  var $40=(($3+104)|0); //@line 374 "./jsemit.h"
  HEAP32[(($40)>>2)]=-1; //@line 374 "./jsemit.h"
  var $41=$2; //@line 375 "./jsemit.h"
  var $42=(($41+980)|0); //@line 375 "./jsemit.h"
  HEAP32[(($42)>>2)]=$3; //@line 375 "./jsemit.h"
  ;
  return; //@line 376 "./jsemit.h"
}
__ZN13JSTreeContextC2EPN2js6ParserE["X"]=1;

function __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEEC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 175 "./frontend/ParseMaps.h"
  __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEEC2EP9JSContext($3, $4); //@line 175 "./frontend/ParseMaps.h"
  ;
  return; //@line 175 "./frontend/ParseMaps.h"
}


function __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES7_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES7_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN13JSGCConstListC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 595 "./jsemit.h"
  __ZN13JSGCConstListC2EP9JSContext($3, $4); //@line 595 "./jsemit.h"
  ;
  return; //@line 595 "./jsemit.h"
}


function __ZN14JSCGObjectListC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN14JSCGObjectListC2Ev($2); //@line 586 "./jsemit.h"
  ;
  return; //@line 586 "./jsemit.h"
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEC1ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEC2ES2_($2, $ap); //@line 493 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsprvtd.h"
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEC1ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEC2ES1_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN15JSCodeGenerator4initEP9JSContextN13JSTreeContext12InitBehaviorE($this, $cx, $ib) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$ib;
      var $4=$1;
      var $5=(($4+184)|0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$5; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE4initEv($6); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$4; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$2; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$3; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=__ZN13JSTreeContext4initEP9JSContextNS_12InitBehaviorE($7, $8, $9); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 2; break; } else { var $20 = 0;__label__ = 4; break; } //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $12=(($4+240)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($12, 0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($13) { __label__ = 3; break; } else { var $20 = 0;__label__ = 4; break; } //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $15=(($4+176)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$15; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$2; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE9ensureMapEP9JSContext($16, $17); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20 = $18;__label__ = 4; break;
    case 4: 
      var $20;
      ;
      return $20; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE4initEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE8clearMapEv($2); //@line 137 "./frontend/ParseMaps.h"
  ;
  return; //@line 137 "./frontend/ParseMaps.h"
}


function __ZN13JSTreeContext4initEP9JSContextNS_12InitBehaviorE($this, $cx, $ib) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$cx;
      $4=$ib;
      var $5=$2;
      var $6=$4; //@line 399 "./jsemit.h"
      var $7=(($6)|0)==1; //@line 399 "./jsemit.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 399 "./jsemit.h"
    case 2: 
      $1=1; //@line 400 "./jsemit.h"
      __label__ = 6; break; //@line 400 "./jsemit.h"
    case 3: 
      var $10=(($5+40)|0); //@line 401 "./jsemit.h"
      var $11=__ZN2js9AtomDecls4initEv($10); //@line 401 "./jsemit.h"
      if ($11) { __label__ = 4; break; } else { var $18 = 0;__label__ = 5; break; } //@line 401 "./jsemit.h"
    case 4: 
      var $13=(($5+64)|0); //@line 401 "./jsemit.h"
      var $14=$13; //@line 401 "./jsemit.h"
      var $15=$3; //@line 401 "./jsemit.h"
      var $16=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE9ensureMapEP9JSContext($14, $15); //@line 401 "./jsemit.h"
      var $18 = $16;__label__ = 5; break;
    case 5: 
      var $18;
      $1=$18;
      __label__ = 6; break;
    case 6: 
      var $20=$1; //@line 402 "./jsemit.h"
      ;
      return $20; //@line 402 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE9ensureMapEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=(($4)|0); //@line 128 "./frontend/ParseMaps-inl.h"
      var $6=HEAP32[(($5)>>2)]; //@line 128 "./frontend/ParseMaps-inl.h"
      var $7=(($6)|0)!=0; //@line 128 "./frontend/ParseMaps-inl.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 128 "./frontend/ParseMaps-inl.h"
    case 2: 
      $1=1; //@line 129 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 129 "./frontend/ParseMaps-inl.h"
    case 3: 
      var $10=$3; //@line 130 "./frontend/ParseMaps-inl.h"
      var $11=__ZN9JSContext12parseMapPoolEv($10); //@line 130 "./frontend/ParseMaps-inl.h"
      var $12=__ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomjLj24EEEEEPT_v($11); //@line 130 "./frontend/ParseMaps-inl.h"
      var $13=(($4)|0); //@line 130 "./frontend/ParseMaps-inl.h"
      HEAP32[(($13)>>2)]=$12; //@line 130 "./frontend/ParseMaps-inl.h"
      var $14=(($4)|0); //@line 131 "./frontend/ParseMaps-inl.h"
      var $15=HEAP32[(($14)>>2)]; //@line 131 "./frontend/ParseMaps-inl.h"
      var $16=(($15)|0)!=0; //@line 131 "./frontend/ParseMaps-inl.h"
      var $17=$16 ^ 1; //@line 131 "./frontend/ParseMaps-inl.h"
      var $18=$17 ^ 1; //@line 131 "./frontend/ParseMaps-inl.h"
      $1=$18; //@line 131 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 131 "./frontend/ParseMaps-inl.h"
    case 4: 
      var $20=$1; //@line 132 "./frontend/ParseMaps-inl.h"
      ;
      return $20; //@line 132 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN15JSCodeGeneratorD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $cx;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4=(($3+48)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+12)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cx=$7; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$cx; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($2+108)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext5free_EPv($8, $11); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$cx; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($2+108)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+12)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext5free_EPv($12, $15); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$cx; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($2+140)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext5free_EPv($16, $19); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$cx; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($2+140)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+12)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext5free_EPv($20, $23); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($2+208)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25)|0)!=0; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($26) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $28=$cx; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($2+208)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$30; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext5free_EPv($28, $31); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $33=(($2+564)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEED1Ev($33); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($2+516)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEED1Ev($34); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($2+508)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEED1Ev($35); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($2+364)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEED1Ev($36); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($2+316)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEED1Ev($37); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($2+308)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEED1Ev($38); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($2+268)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN13JSGCConstListD1Ev($39); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($2+240)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($40); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($2+176)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEED1Ev($41); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$2; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN13JSTreeContextD2Ev($42); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN15JSCodeGeneratorD2Ev["X"]=1;

function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEED2Ev($2); //@line 177 "./frontend/ParseMaps.h"
  ;
  return; //@line 179 "./frontend/ParseMaps.h"
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsprvtd.h"
  ;
  return; //@line 549 "./jsprvtd.h"
}


function __ZN13JSGCConstListD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN13JSGCConstListD2Ev($2); //@line 592 "./jsemit.h"
  ;
  return; //@line 592 "./jsemit.h"
}


function __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN13JSTreeContextD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+72)|0); //@line 384 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 384 "./jsemit.h"
  var $5=(($2+48)|0); //@line 384 "./jsemit.h"
  var $6=HEAP32[(($5)>>2)]; //@line 384 "./jsemit.h"
  var $7=(($6+980)|0); //@line 384 "./jsemit.h"
  HEAP32[(($7)>>2)]=$4; //@line 384 "./jsemit.h"
  var $8=(($2+64)|0); //@line 385 "./jsemit.h"
  __ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEED1Ev($8); //@line 385 "./jsemit.h"
  var $9=(($2+40)|0); //@line 385 "./jsemit.h"
  __ZN2js9AtomDeclsD1Ev($9); //@line 385 "./jsemit.h"
  ;
  return; //@line 385 "./jsemit.h"
}


function _js_Emit1($cx, $cg, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $offset;
      $1=$cx;
      $2=$cg;
      $3=$op;
      var $4=$1; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=$2; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=__ZL9EmitCheckP9JSContextP15JSCodeGeneratori($4, $5, 1); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$6; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$offset; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0) >= 0; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $10=$3; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10) & 255); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+172)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+1)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($15)>>2)]=$17; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($16)]=$11; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$1; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$2; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$offset; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL11UpdateDepthP9JSContextP15JSCodeGeneratori($18, $19, $20); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $22=$offset; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $22; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9EmitCheckP9JSContextP15JSCodeGeneratori($cx, $cg, $delta) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $base;
      var $newbase;
      var $next;
      var $limit;
      var $offset;
      var $minlength;
      var $newlength;
      $2=$cx;
      $3=$cg;
      $4=$delta;
      var $5=$3; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+172)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $base=$9; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$3; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+172)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+8)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$14; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+172)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+4)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $limit=$19; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$next; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$base; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$20; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$21; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($22-$23)|0); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$24; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$offset; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$4; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($25+$26)|0); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $minlength=$27; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$next; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$4; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($28+$29)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$limit; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($30)>>>0) > (($31)>>>0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($32) { __label__ = 2; break; } else { __label__ = 12; break; } //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $34=$base; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34)|0)!=0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $newlength=1024; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$newlength; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$minlength; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($37)>>>0) < (($38)>>>0); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($39) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $41=$minlength; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=__ZN2js11RoundUpPow2Ej($41); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newlength=$42; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $44=$2; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$newlength; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=__ZN9JSContext7malloc_Ej($44, $46); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newbase=$47; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $49=$limit; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$base; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$49; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$50; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($51-$52)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=((($53<<1))|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newlength=$54; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$newlength; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$minlength; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($55)>>>0) < (($56)>>>0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($57) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $59=$minlength; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=__ZN2js11RoundUpPow2Ej($59); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newlength=$60; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $62=$2; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$base; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$newlength; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=__ZN9JSContext8realloc_EPvj($62, $63, $65); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newbase=$66; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break;
    case 9: 
      var $68=$newbase; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68)|0)!=0; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($69) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $71=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($71); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=-1; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $73=$newbase; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$3; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74+172)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($76)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($77)>>2)]=$73; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$newbase; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$newlength; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($78+$79)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=$3; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=(($81+172)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83+4)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($84)>>2)]=$80; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$newbase; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$offset; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($85+$86)|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=$3; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=(($88+172)|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+8)|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($91)>>2)]=$87; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $93=$offset; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$93; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $95=$1; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $95; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9EmitCheckP9JSContextP15JSCodeGeneratori["X"]=1;

function __ZL11UpdateDepthP9JSContextP15JSCodeGeneratori($cx, $cg, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pc;
      var $op;
      var $cs;
      var $extra;
      var $nuses;
      var $ndefs;
      var $depth;
      var $numBuf=__stackBase__;
      var $ts;
      var $blockObj;
      var $4=__stackBase__+12;
      $1=$cx;
      $2=$cg;
      $3=$target;
      var $5=$2; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+172)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$3; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($9+$10)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$11; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$pc; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAPU8[($12)]; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)&255); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $op=$14; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$op; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=((_js_CodeSpec+($15<<3))|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cs=$16; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $extra=0; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$cs; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+4)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19 & 12582912; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20)|0)!=0; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $23=$extra; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0)!=0; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $26=$2; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26+192)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$cs; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+4)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$31 & 12582912; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$32 >>> 22; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($28+$33)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$extra; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($34+$35)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $depth=$36; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$depth; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$2; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+196)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=HEAPU32[(($39)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($37)>>>0) > (($40)>>>0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($41) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $43=$depth; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$2; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44+196)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      __label__ = 6; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $48=$cs; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$op; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$pc; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=_js_GetStackUses($48, $49, $50); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $nuses=$51; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$nuses; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$2; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53+192)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($55-$52)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($54)>>2)]=$56; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$2; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57+192)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59)|0) < 0; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($60) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $62=(($numBuf)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$3; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=_JS_snprintf($62, 12, ((STRING_TABLE.__str391147)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$63,tempInt)); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$2; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$65; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66+48)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68+40)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ts=$69; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$1; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$ts; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=__ZNK2js11TokenStream11getFilenameEv($71); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=(($72)|0)!=0; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($73) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $75=$ts; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=__ZNK2js11TokenStream11getFilenameEv($75); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79 = $76;__label__ = 10; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $79 = ((STRING_TABLE.__str401148)|0);__label__ = 10; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $79; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($numBuf)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=_JS_ReportErrorFlagsAndNumber($70, 1, 2, 0, 16, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$79,HEAP32[((tempInt+4)>>2)]=$80,tempInt)); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $83=$cs; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83+2)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=HEAP8[($84)]; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85 << 24) >> 24); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ndefs=$86; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$ndefs; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=(($87)|0) < 0; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($88) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $90=$2; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+292)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=(($91+4)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=(($93+8)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $blockObj=$95; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=$blockObj; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=$2; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97+192)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JSL10Int32ValueEi1190($4, $99); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($96, 0, $4); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$blockObj; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=__ZNK8JSObject13propertyCountEv($100); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ndefs=$101; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $103=$ndefs; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=$2; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=(($104+192)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(($106+$103)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($105)>>2)]=$107; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$2; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=(($108+192)|0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=HEAPU32[(($109)>>2)]; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$2; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111+196)|0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=HEAPU32[(($112)>>2)]; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=(($110)>>>0) > (($113)>>>0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($114) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $116=$2; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=(($116+192)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=$2; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(($119+196)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($120)>>2)]=$118; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      STACKTOP = __stackBase__;
      return; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11UpdateDepthP9JSContextP15JSCodeGeneratori["X"]=1;

function _js_Emit2($cx, $cg, $op, $op1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $offset;
      var $next;
      $1=$cx;
      $2=$cg;
      $3=$op;
      $4=$op1;
      var $5=$1; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$2; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=__ZL9EmitCheckP9JSContextP15JSCodeGeneratori($5, $6, 2); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$7; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$offset; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0) >= 0; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $11=$2; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+172)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+8)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$15; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$3; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16) & 255); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$next; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($19)]=$17; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$4; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$next; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+1)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($22)]=$20; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$next; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+2)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$2; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+172)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27+8)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($28)>>2)]=$24; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$1; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$2; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$offset; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL11UpdateDepthP9JSContextP15JSCodeGeneratori($29, $30, $31); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $33=$offset; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_Emit3($cx, $cg, $op, $op1, $op2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $offset;
      var $next;
      $1=$cx;
      $2=$cg;
      $3=$op;
      $4=$op1;
      $5=$op2;
      var $6=$1; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$2; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=__ZL9EmitCheckP9JSContextP15JSCodeGeneratori($6, $7, 3); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$8; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$offset; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0) >= 0; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $12=$2; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+172)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+8)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$16; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$3; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17) & 255); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$next; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($20)]=$18; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$4; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$next; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+1)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($23)]=$21; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$5; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$next; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+2)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($26)]=$24; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$next; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27+3)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$2; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+172)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+8)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($32)>>2)]=$28; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$1; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$offset; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL11UpdateDepthP9JSContextP15JSCodeGeneratori($33, $34, $35); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $37=$offset; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $37; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_Emit3["X"]=1;

function _js_Emit5($cx, $cg, $op, $op1, $op2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $offset;
      var $next;
      $1=$cx;
      $2=$cg;
      $3=$op;
      $4=$op1;
      $5=$op2;
      var $6=$1; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$2; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=__ZL9EmitCheckP9JSContextP15JSCodeGeneratori($6, $7, 5); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$8; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$offset; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0) >= 0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $12=$2; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+172)|0); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+8)|0); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$16; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$3; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17) & 255); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$next; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($20)]=$18; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$4; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21)&65535); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$22 >> 8; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23) & 255); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$next; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+1)|0); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($26)]=$24; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$4; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27) & 255); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$next; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+2)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($30)]=$28; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$5; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)&65535); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$32 >> 8; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33) & 255); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$next; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+3)|0); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($36)]=$34; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$5; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37) & 255); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$next; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($40)]=$38; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$next; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41+5)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$2; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43+172)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45+8)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($46)>>2)]=$42; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$1; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$2; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$offset; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL11UpdateDepthP9JSContextP15JSCodeGeneratori($47, $48, $49); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $51=$offset; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $51; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_Emit5["X"]=1;

function _js_EmitN($cx, $cg, $op, $extra) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $length;
      var $offset;
      var $next;
      $1=$cx;
      $2=$cg;
      $3=$op;
      $4=$extra;
      var $5=$4; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+1)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $length=$6; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$1; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$2; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$length; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=__ZL9EmitCheckP9JSContextP15JSCodeGeneratori($7, $8, $9); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$10; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$offset; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0) >= 0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $14=$2; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+172)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$18; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$3; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19) & 255); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$next; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($21)]=$20; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$next; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+1)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$4; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _memset($23, 0, $25, 1); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$next; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$length; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($26+$27)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$2; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+172)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+8)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($32)>>2)]=$28; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$3; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=((_js_CodeSpec+($33<<3))|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34+1)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=HEAP8[($35)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36 << 24) >> 24); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0) >= 0; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $40=$1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$2; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$offset; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL11UpdateDepthP9JSContextP15JSCodeGeneratori($40, $41, $42); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $45=$offset; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $45; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_EmitN["X"]=1;

function __ZL10GetSpanDepP15JSCodeGeneratorPh($cg, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $index;
      var $offset;
      var $lo;
      var $hi;
      var $mid;
      var $sd;
      $2=$cg;
      $3=$pc;
      var $4=$3; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4+1)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAPU8[($5)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)&255); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$7 << 8; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$3; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+2)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAPU8[($10)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)&255); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$8 | $12; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13) & 65535); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)&65535); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$15; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$index; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0)!=65535; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $19=$2; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+208)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$index; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($21+($22<<4))|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$23; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $25=$3; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$2; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26+172)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$25; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$30; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($31-$32)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$33; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $lo=0; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$2; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34+220)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36-1)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $hi=$37; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $39=$lo; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$hi; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($39)|0) <= (($40)|0); //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($41) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $43=$lo; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$hi; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($43+$44)|0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(((($45)|0)/2)&-1); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $mid=$46; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$2; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+208)|0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$mid; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($49+($50<<4))|0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$51; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$sd; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+8)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$offset; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($54)|0)==(($55)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($56) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $58=$sd; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$58; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $60=$sd; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60+8)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$offset; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($62)|0) < (($63)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($64) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $66=$mid; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66+1)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $lo=$67; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $69=$mid; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69-1)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $hi=$70; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 4; break; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=0; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $74=$1; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $74; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10GetSpanDepP15JSCodeGeneratorPh["X"]=1;

function __ZN13JSTreeContext11inStatementE10JSStmtType($this, $type) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stmt;
      $2=$this;
      $3=$type;
      var $4=$2;
      var $5=(($4+24)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$6; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $8=$stmt; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0)!=0; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $11=$stmt; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAPU16[(($12)>>1)]; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)&65535); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($14)|0)==(($15)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=1; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      __label__ = 6; break; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $20=$stmt; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+24)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$22; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $1=0; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $25=$1; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $25; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK13JSTreeContext10inFunctionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 444 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 444 "./jsemit.h"
  var $5=$4 & 2; //@line 444 "./jsemit.h"
  var $6=(($5)|0)!=0; //@line 444 "./jsemit.h"
  ;
  return $6; //@line 444 "./jsemit.h"
}


function __ZNK2js8Bindings9countVarsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+6)|0); //@line 197 "./jsscript.h"
  var $4=HEAP16[(($3)>>1)]; //@line 197 "./jsscript.h"
  ;
  return $4; //@line 197 "./jsscript.h"
}


function __ZN13JSTreeContext18skipSpansGeneratorEj($this, $skip) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $tc;
      var $i;
      $2=$this;
      $3=$skip;
      var $4=$2;
      $tc=$4; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=0; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $6=$i; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($6)>>>0) < (($7)>>>0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $10=$tc; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)|0)!=0; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $14=$tc; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$16 & 512; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=1; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $22=$i; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+1)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$23; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$tc; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+72)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tc=$26; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $29=$1; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $29; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSTreeContext7blockidEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 404 "./jsemit.h"
      var $4=HEAP32[(($3)>>2)]; //@line 404 "./jsemit.h"
      var $5=(($4)|0)!=0; //@line 404 "./jsemit.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 404 "./jsemit.h"
    case 2: 
      var $7=(($2+24)|0); //@line 404 "./jsemit.h"
      var $8=HEAP32[(($7)>>2)]; //@line 404 "./jsemit.h"
      var $9=(($8+4)|0); //@line 404 "./jsemit.h"
      var $10=HEAP32[(($9)>>2)]; //@line 404 "./jsemit.h"
      var $15 = $10;__label__ = 4; break; //@line 404 "./jsemit.h"
    case 3: 
      var $12=(($2+4)|0); //@line 404 "./jsemit.h"
      var $13=HEAP32[(($12)>>2)]; //@line 404 "./jsemit.h"
      var $15 = $13;__label__ = 4; break; //@line 404 "./jsemit.h"
    case 4: 
      var $15; //@line 404 "./jsemit.h"
      ;
      return $15; //@line 404 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSTreeContext10blockChainEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+32)|0); //@line 407 "./jsemit.h"
      var $4=HEAP32[(($3)>>2)]; //@line 407 "./jsemit.h"
      var $5=(($4)|0)!=0; //@line 407 "./jsemit.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 407 "./jsemit.h"
    case 2: 
      var $7=(($2+32)|0); //@line 407 "./jsemit.h"
      var $8=HEAP32[(($7)>>2)]; //@line 407 "./jsemit.h"
      var $9=(($8+8)|0); //@line 407 "./jsemit.h"
      var $10=HEAP32[(($9)>>2)]; //@line 407 "./jsemit.h"
      var $13 = $10;__label__ = 4; break; //@line 407 "./jsemit.h"
    case 3: 
      var $13 = 0;__label__ = 4; break; //@line 407 "./jsemit.h"
    case 4: 
      var $13; //@line 407 "./jsemit.h"
      ;
      return $13; //@line 407 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_PopStatement($tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $stmt;
      $1=$tc;
      var $2=$1; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3=(($2+24)|0); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$4; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=$stmt; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+24)|0); //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$1; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8+24)|0); //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($9)>>2)]=$7; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$stmt; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAPU16[(($11)>>1)]; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12)&65535); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13-6)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)>>>0) <= 1; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $17=$stmt; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+2)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAPU16[(($18)>>1)]; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)&65535); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$20 & 1; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21)|0)!=0; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $24=$stmt; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+28)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27+28)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($28)>>2)]=$26; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$stmt; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+2)|0); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAPU16[(($30)>>1)]; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)&65535); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$32 & 1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $36=$stmt; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36+20)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$37; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+12)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$1; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+32)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($43)>>2)]=$41; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      __label__ = 6; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      ;
      return; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_PopStatement["X"]=1;

function _js_SetJumpOffset($cx, $cg, $pc, $off) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$cg;
      $4=$pc;
      $5=$off;
      var $6=$3; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+208)|0); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0)!=0; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $11=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=-32768 <= (($11)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $14=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0) <= 32767; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $17=$5; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$17 >> 8; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18) & 255); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$4; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+1)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($21)]=$19; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$5; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22) & 255); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$4; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+2)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($25)]=$23; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $27=$2; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$3; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=__ZL17BuildSpanDepTableP9JSContextP15JSCodeGenerator($27, $28); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29)|0)!=0; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $34=$2; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$3; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$3; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$4; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=__ZL10GetSpanDepP15JSCodeGeneratorPh($36, $37); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$5; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=__ZL16SetSpanDepTargetP9JSContextP15JSCodeGeneratorP9JSSpanDepi($34, $35, $38, $39); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$40; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $42=$1; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $42; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_SetJumpOffset["X"]=1;

function __ZL17BuildSpanDepTableP9JSContextP15JSCodeGenerator($cx, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pc;
      var $end;
      var $op;
      var $cs;
      var $off;
      $2=$cx;
      $3=$cg;
      var $4=$3; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4+172)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$3; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+228)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($8+$11)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$12; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$3; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+172)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+8)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $end=$17; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $19=$pc; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$end; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($19)|0)!=(($20)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $23=$pc; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=HEAPU8[($23)]; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)&255); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $op=$25; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$op; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=((_js_CodeSpec+($26<<3))|0); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cs=$27; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$cs; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28+4)|0); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$30 & 31; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($31)|0) == 4 || (($31)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($31)|0) == 1) {
        __label__ = 7; break;
      }
      else {
      __label__ = 10; break;
      }
      
    case 4: 
      var $33=$2; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$3; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$pc; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=__ZL17AddSwitchSpanDepsP9JSContextP15JSCodeGeneratorPh($33, $34, $35); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$36; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$pc; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0)!=0; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 11; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $42=$pc; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+1)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=HEAPU8[($43)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)&255); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$45 << 8; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$pc; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+2)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=HEAPU8[($48)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=(($49)&255); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$46 | $50; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51) & 65535); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52 << 16) >> 16); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$53; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$2; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$3; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$pc; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$pc; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$off; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=__ZL10AddSpanDepP9JSContextP15JSCodeGeneratorPhS3_i($54, $55, $56, $57, $58); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59)|0)!=0; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($60) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=0; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      __label__ = 10; break; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $64=$cs; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64)|0); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=HEAP8[($65)]; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66 << 24) >> 24); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=$pc; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68+$67)|0); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$69; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 2; break; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      $1=1; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $73=$1; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $73; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17BuildSpanDepTableP9JSContextP15JSCodeGenerator["X"]=1;

function __ZL16SetSpanDepTargetP9JSContextP15JSCodeGeneratorP9JSSpanDepi($cx, $cg, $sd, $off) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $args=__stackBase__;
      $2=$cx;
      $3=$cg;
      $4=$sd;
      $5=$off;
      var $6=$5; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0) < -2147483648; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$5; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=2147483647 < (($9)|0); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $12=$2; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$3; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL23ReportStatementTooLargeP9JSContextP15JSCodeGenerator($12, $13); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $15=$2; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($args)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$3; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($args+4)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$4; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$5; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($21+$22)|0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($args+8)|0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($args+12)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($25)>>2)]=0; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$3; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26+212)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=__ZL13AddJumpTargetP17AddJumpTargetArgsPP12JSJumpTarget($args, $27); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($args+12)|0); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30)|0)!=0; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $34=(($args+12)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$35; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$36 | 1; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$37; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$4; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+12)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($40)>>2)]=$38; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $42=$1; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $42; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16SetSpanDepTargetP9JSContextP15JSCodeGeneratorP9JSSpanDepi["X"]=1;

function __ZN13JSTreeContext16ensureSharpSlotsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cx;
      var $sharpArrayAtom;
      var $sharpDepthAtom;
      $2=$this;
      var $3=$2;
      var $4=(($3+104)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5)|0) >= 0; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=1; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $9=__ZNK13JSTreeContext10inFunctionEv($3); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $11=(($3+48)|0); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+12)|0); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cx=$14; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$cx; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($15, ((STRING_TABLE.__str1106)|0), 6, 0, 0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sharpArrayAtom=$16; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$cx; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($17, ((STRING_TABLE.__str11107)|0), 6, 0, 0); //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sharpDepthAtom=$18; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$sharpArrayAtom; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0)!=0; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $22=$sharpDepthAtom; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22)|0)!=0; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $26=(($3+92)|0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=__ZNK2js8Bindings9countVarsEv($26); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)&65535); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($3+104)|0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($29)>>2)]=$28; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($3+92)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$cx; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$sharpArrayAtom; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=__ZN2js8Bindings11addVariableEP9JSContextP6JSAtom($30, $31, $32); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=0; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $36=(($3+92)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$cx; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$sharpDepthAtom; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=__ZN2js8Bindings11addVariableEP9JSContextP6JSAtom($36, $37, $38); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 13; break; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $43=(($3+104)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($43)>>2)]=0; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break;
    case 13: 
      var $45=(($3)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$46 | 32768; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($45)>>2)]=$47; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $49=$1; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $49; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN13JSTreeContext16ensureSharpSlotsEv["X"]=1;

function __ZN2js8Bindings11addVariableEP9JSContextP6JSAtom($this, $cx, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$name;
  var $4=$1;
  var $5=$2; //@line 241 "./jsscript.h"
  var $6=$3; //@line 241 "./jsscript.h"
  var $7=__ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE($4, $5, $6, 2); //@line 241 "./jsscript.h"
  ;
  return $7; //@line 241 "./jsscript.h"
}


function _js_PushStatement($tc, $stmt, $type, $top) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$tc;
      $2=$stmt;
      $3=$type;
      $4=$top;
      var $5=$3; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5) & 65535); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$2; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($8)>>1)]=$6; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$2; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+2)|0); //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($10)>>1)]=0; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$1; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=__ZN13JSTreeContext7blockidEv($11); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$2; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+4)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($14)>>2)]=$12; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$4; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$2; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+8)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($17)>>2)]=$15; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$2; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+16)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($19)>>2)]=-1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$2; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+12)|0); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($21)>>2)]=-1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+20)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$23; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($24)>>2)]=0; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$1; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+24)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$2; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28+24)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($29)>>2)]=$27; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$1; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+24)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($32)>>2)]=$30; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$2; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=HEAPU16[(($34)>>1)]; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35)&65535); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36-6)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)>>>0) <= 1; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $40=$2; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40+2)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=HEAPU16[(($41)>>1)]; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42)&65535); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$43 & 1; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)|0)!=0; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($45) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $47=$1; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+28)|0); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$2; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50+28)|0); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($51)>>2)]=$49; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$2; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$1; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53+28)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($54)>>2)]=$52; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $56=$2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56+28)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($57)>>2)]=0; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break;
    case 5: 
      ;
      return; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_PushStatement["X"]=1;

function _js_PushBlockScope($tc, $stmt, $blockBox, $top) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$tc;
  $2=$stmt;
  $3=$blockBox;
  $4=$top;
  var $5=$1; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $6=$2; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $7=$4; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  _js_PushStatement($5, $6, 4, $7); //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $8=$2; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $9=(($8+2)|0); //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $10=HEAPU16[(($9)>>1)]; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $11=(($10)&65535); //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $12=$11 | 1; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $13=(($12) & 65535); //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP16[(($9)>>1)]=$13; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $14=$1; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $15=(($14+32)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $16=HEAP32[(($15)>>2)]; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $17=$3; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $18=(($17+12)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($18)>>2)]=$16; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $19=$3; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $20=(($19+8)|0); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $21=HEAP32[(($20)>>2)]; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $22=$1; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $23=__ZN13JSTreeContext10blockChainEv($22); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN8JSObject9setParentEPS_($21, $23); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $24=$1; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $25=(($24+28)|0); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $26=HEAP32[(($25)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $27=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $28=(($27+28)|0); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($28)>>2)]=$26; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $29=$2; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $30=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $31=(($30+28)|0); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($31)>>2)]=$29; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $32=$3; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $33=$1; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $34=(($33+32)|0); //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($34)>>2)]=$32; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $35=$3; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $36=$2; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $37=(($36+20)|0); //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $38=$37; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($38)>>2)]=$35; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}
_js_PushBlockScope["X"]=1;

function _js_PopStatementCG($cx, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stmt;
      $2=$cx;
      $3=$cg;
      var $4=$3; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=$4; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+24)|0); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$7; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$stmt; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAPU16[(($9)>>1)]; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)&65535); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11-8)|0); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12)>>>0) <= 2; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $15=$2; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$3; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$stmt; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+12)|0); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$3; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+172)|0); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+8)|0); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=__ZL9BackPatchP9JSContextP15JSCodeGeneratoriPhh($15, $16, $19, $24, 6); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25)|0)!=0; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($26) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $28=$2; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$3; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$stmt; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30+16)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$3; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33+172)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$stmt; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+8)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($37+$40)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=__ZL9BackPatchP9JSContextP15JSCodeGeneratoriPhh($28, $29, $32, $41, 6); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42)|0)!=0; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($43) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $46=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$46; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PopStatement($47); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $49=$1; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $49; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_PopStatementCG["X"]=1;

function __ZNK11JSParseNode6isDefnEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 375 "./jsparse.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 375 "./jsparse.h"
  var $5=$4 >>> 31; //@line 375 "./jsparse.h"
  var $6=$5 & 1; //@line 375 "./jsparse.h"
  var $7=(($6)|0)!=0; //@line 375 "./jsparse.h"
  ;
  return $7; //@line 375 "./jsparse.h"
}


function __ZNK13JSTreeContext9callsEvalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 458 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 458 "./jsemit.h"
  var $5=$4 & 8388608; //@line 458 "./jsemit.h"
  var $6=(($5)|0)!=0; //@line 458 "./jsemit.h"
  ;
  return $6; //@line 458 "./jsemit.h"
}


function __ZN15JSCodeGenerator7contextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 667 "./jsemit.h"
  var $4=(($3+48)|0); //@line 667 "./jsemit.h"
  var $5=HEAP32[(($4)>>2)]; //@line 667 "./jsemit.h"
  var $6=(($5+12)|0); //@line 667 "./jsemit.h"
  var $7=HEAP32[(($6)>>2)]; //@line 667 "./jsemit.h"
  ;
  return $7; //@line 667 "./jsemit.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 147 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "./frontend/ParseMaps.h"
  ;
  return $4; //@line 147 "./frontend/ParseMaps.h"
}


function __ZN2js11UpvarCookie3setEtt($this, $newLevel, $newSlot) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$newLevel;
  $3=$newSlot;
  var $4=$1;
  var $5=$2; //@line 110 "./jsscript.h"
  var $6=(($5)&65535); //@line 110 "./jsscript.h"
  var $7=$6 << 16; //@line 110 "./jsscript.h"
  var $8=$3; //@line 110 "./jsscript.h"
  var $9=(($8)&65535); //@line 110 "./jsscript.h"
  var $10=$7 | $9; //@line 110 "./jsscript.h"
  var $11=(($4)|0); //@line 110 "./jsscript.h"
  HEAP32[(($11)>>2)]=$10; //@line 110 "./jsscript.h"
  ;
  return; //@line 110 "./jsscript.h"
}


function __ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZL9BackPatchP9JSContextP15JSCodeGeneratoriPhh($cx, $cg, $last, $target, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $pc;
      var $stop;
      var $delta;
      var $span;
      $2=$cx;
      $3=$cg;
      $4=$last;
      $5=$target;
      $6=$op;
      var $7=$3; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+172)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$4; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($11+$12)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$13; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$3; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+172)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18-1)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stop=$19; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $21=$pc; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$stop; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($21)|0)!=(($22)|0); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $25=$3; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$pc; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=__ZL13GetJumpOffsetP15JSCodeGeneratorPh($25, $26); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$27; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$5; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$pc; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$28; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$29; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($30-$31)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $span=$32; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $34=$2; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$3; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$pc; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$span; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=_js_SetJumpOffset($34, $35, $36, $37); //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38)|0)!=0; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 7; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $43=$6; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$pc; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($44)]=$43; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$delta; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$pc; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(((-$45))|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($46+$47)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$48; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=1; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $51=$1; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $51; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9BackPatchP9JSContextP15JSCodeGeneratoriPhh["X"]=1;

function _js_DefineCompileTimeConstant($cx, $cg, $atom, $pn) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6=__stackBase__+4;
      $2=$cx;
      $3=$cg;
      HEAP32[(($4)>>2)]=$atom;
      $5=$pn;
      var $7=$5; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=__ZNK11JSParseNode6isKindEN2js9TokenKindE($7, 30); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $10=$3; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+240)|0); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$5; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+32)|0); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$13; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(tempDoubleI32[0]=HEAP32[(($14)>>2)],tempDoubleI32[1]=HEAP32[(($14+4)>>2)],tempDoubleF64[0]); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JSL11NumberValueEd1149($6, $15); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3putERKS2_RKS4_($11, $4, $6); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0)!=0; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $1=0; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=1; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $22=$1; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK11JSParseNode6isKindEN2js9TokenKindE($this, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$kind;
  var $3=$1;
  var $4=__ZNK11JSParseNode7getKindEv($3); //@line 368 "./jsparse.h"
  var $5=$2; //@line 368 "./jsparse.h"
  var $6=(($4)|0)==(($5)|0); //@line 368 "./jsparse.h"
  ;
  return $6; //@line 368 "./jsparse.h"
}


function __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3putERKS2_RKS4_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$k;
      $4=$v;
      var $6=$2;
      var $7=$3; //@line 1140 "./jshashtable.h"
      __ZNK2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($p, $6, $7); //@line 1140 "./jshashtable.h"
      var $8=$p; //@line 1141 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $8); //@line 1141 "./jshashtable.h"
      var $9={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1141 "./jshashtable.h"
      var $10=$9.f0; //@line 1141 "./jshashtable.h"
      var $11=(($10)|0)!=0; //@line 1141 "./jshashtable.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1141 "./jshashtable.h"
    case 2: 
      var $13=$p; //@line 1142 "./jshashtable.h"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($13); //@line 1142 "./jshashtable.h"
      var $15=(($14+8)|0); //@line 1142 "./jshashtable.h"
      var $16=$4; //@line 1142 "./jshashtable.h"
      var $17=$15; //@line 1142 "./jshashtable.h"
      var $18=$16; //@line 1142 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1142 "./jshashtable.h"
      var $19=$p; //@line 1143 "./jshashtable.h"
      var $20=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($19); //@line 1143 "./jshashtable.h"
      $1=$20; //@line 1143 "./jshashtable.h"
      __label__ = 7; break; //@line 1143 "./jshashtable.h"
    case 3: 
      var $22=$3; //@line 1145 "./jshashtable.h"
      var $23=$4; //@line 1145 "./jshashtable.h"
      var $24=__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($6, $p, $22, $23); //@line 1145 "./jshashtable.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1145 "./jshashtable.h"
    case 4: 
      var $26=$p; //@line 1145 "./jshashtable.h"
      var $27=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($26); //@line 1145 "./jshashtable.h"
      var $30 = $27;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 5: 
      var $30 = 0;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 6: 
      var $30; //@line 1145 "./jshashtable.h"
      $1=$30; //@line 1145 "./jshashtable.h"
      __label__ = 7; break; //@line 1145 "./jshashtable.h"
    case 7: 
      var $32=$1; //@line 1146 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $32; //@line 1146 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11NumberValueEd1149($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function _js_LexicalLookup($tc, $atom, $slotp, $stmt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $shape;
      $2=$tc;
      $3=$atom;
      $4=$slotp;
      $5=$stmt;
      var $6=$5; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0)!=0; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+28)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=$11; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      __label__ = 4; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $14=$5; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0)!=0; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $17=$5; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAPU16[(($18)>>1)]; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)&65535); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20)|0)==6; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 15; break; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $24=$5; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+2)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAPU16[(($25)>>1)]; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)&65535); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27 & 1; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28)|0)!=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      __label__ = 14; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $32=$5; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32+20)|0); //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$33; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+8)|0); //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $obj=$37; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$obj; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$2; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+48)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41+12)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$3; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=__ZL12ATOM_TO_JSIDP6JSAtom1150($44); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=__ZN8JSObject12nativeLookupEP9JSContexti($38, $43, $45); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $shape=$46; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$shape; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47)|0)!=0; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $50=$4; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50)|0)!=0; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($51) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $53=$obj; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=__ZNK8JSObject7getSlotEj($53, 0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=__ZNK2JS5Value7toInt32Ev($54); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$shape; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56+30)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=HEAP16[(($57)>>1)]; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58 << 16) >> 16); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($55+$59)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$4; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($61)>>2)]=$60; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $63=$5; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$63; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      __label__ = 14; break; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $66=$5; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66+28)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=$68; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $70=$4; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=(($70)|0)!=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($71) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $73=$4; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($73)>>2)]=-1; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $75=$5; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$75; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $77=$1; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $77; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_LexicalLookup["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom1150($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj1189($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN15JSCodeGenerator20shouldNoteClosedNameEP11JSParseNode($this, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$pn;
      var $3=$1;
      var $4=$3; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=__ZNK13JSTreeContext9callsEvalEv($4); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5) { var $13 = 0;__label__ = 4; break; } else { __label__ = 2; break; } //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $7=$2; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=__ZNK11JSParseNode6isDefnEv($7); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 3; break; } else { var $13 = 0;__label__ = 4; break; } //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $10=$2; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZNK11JSParseNode8isClosedEv($10); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13 = $11;__label__ = 4; break;
    case 4: 
      var $13;
      ;
      return $13; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK11JSParseNode8isClosedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 2048); //@line 576 "./jsparse.h"
  ;
  return $3; //@line 576 "./jsparse.h"
}


function __ZN15JSCodeGenerator12addGlobalUseEP6JSAtomjPN2js11UpvarCookieE($this, $atom, $slot, $cookie) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $p=__stackBase__+4;
      var $index;
      var $allAtomIndex=__stackBase__+20;
      var $globalUseIndex=__stackBase__+24;
      var $entry=__stackBase__+28;
      var $6=__stackBase__+36;
      $2=$this;
      HEAP32[(($3)>>2)]=$atom;
      $4=$slot;
      $5=$cookie;
      var $7=$2;
      var $8=(($7+508)|0); //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=__ZN15JSCodeGenerator7contextEv($7); //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE9ensureMapEP9JSContext($9, $10); //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $14=(($7+508)|0); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$14; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($15); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js9InlineMapIP6JSAtomjLj24EE12lookupForAddERKS2_($p, $16, $3); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=__ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtrcvPPPPPPPS4_Ev($p); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)|0)!=0; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $20=__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtr5valueEv($p); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$21; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$5; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$index; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23) & 65535); //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js11UpvarCookie3setEtt($22, 0, $24); //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $26=(($7+364)|0); //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6lengthEv($26); //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)>>>0) >= 65536; //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $30=$5; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($30); //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $32=HEAP32[(($3)>>2)]; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($7, $32, $allAtomIndex); //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=0; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $36=(($7+364)|0); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6lengthEv($36); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($globalUseIndex)>>2)]=$37; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$5; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=HEAP32[(($globalUseIndex)>>2)]; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39) & 65535); //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js11UpvarCookie3setEtt($38, 0, $40); //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($entry)|0); //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=HEAP32[(($allAtomIndex)>>2)]; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($41)>>2)]=$42; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($entry+4)|0); //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$4; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($43)>>2)]=$44; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($7+364)|0); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$6; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$entry; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_($45, $6); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $51=(($7+508)|0); //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$51; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($52); //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=__ZN2js9InlineMapIP6JSAtomjLj24EE3addERNS3_6AddPtrERKS2_RKj($53, $p, $3, $globalUseIndex); //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$54; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $56=$1; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN15JSCodeGenerator12addGlobalUseEP6JSAtomjPN2js11UpvarCookieE["X"]=1;

function __ZN2js9InlineMapIP6JSAtomjLj24EE12lookupForAddERKS2_($agg_result, $this, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $it;
      var $end;
      $1=$this;
      $2=$key;
      var $4=$1;
      var $5=__ZNK2js9InlineMapIP6JSAtomjLj24EE8usingMapEv($4); //@line 264 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 264 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($4+200)|0); //@line 265 "./mfbt/InlineMap.h"
      var $8=$2; //@line 265 "./mfbt/InlineMap.h"
      __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($3, $7, $8); //@line 265 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E6AddPtrE($agg_result, $3); //@line 265 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 265 "./mfbt/InlineMap.h"
    case 3: 
      var $10=(($4+8)|0); //@line 267 "./mfbt/InlineMap.h"
      var $11=(($10)|0); //@line 267 "./mfbt/InlineMap.h"
      $it=$11; //@line 267 "./mfbt/InlineMap.h"
      var $12=(($4+8)|0); //@line 267 "./mfbt/InlineMap.h"
      var $13=(($12)|0); //@line 267 "./mfbt/InlineMap.h"
      var $14=(($4)|0); //@line 267 "./mfbt/InlineMap.h"
      var $15=HEAP32[(($14)>>2)]; //@line 267 "./mfbt/InlineMap.h"
      var $16=(($13+($15<<3))|0); //@line 267 "./mfbt/InlineMap.h"
      $end=$16; //@line 267 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 267 "./mfbt/InlineMap.h"
    case 4: 
      var $18=$it; //@line 267 "./mfbt/InlineMap.h"
      var $19=$end; //@line 267 "./mfbt/InlineMap.h"
      var $20=(($18)|0)!=(($19)|0); //@line 267 "./mfbt/InlineMap.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 267 "./mfbt/InlineMap.h"
    case 5: 
      var $22=$it; //@line 268 "./mfbt/InlineMap.h"
      var $23=(($22)|0); //@line 268 "./mfbt/InlineMap.h"
      var $24=HEAP32[(($23)>>2)]; //@line 268 "./mfbt/InlineMap.h"
      var $25=$2; //@line 268 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 268 "./mfbt/InlineMap.h"
      var $27=(($24)|0)==(($26)|0); //@line 268 "./mfbt/InlineMap.h"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 268 "./mfbt/InlineMap.h"
    case 6: 
      var $29=$it; //@line 269 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC1EPNS3_10InlineElemEb($agg_result, $29, 1); //@line 269 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 269 "./mfbt/InlineMap.h"
    case 7: 
      __label__ = 8; break; //@line 270 "./mfbt/InlineMap.h"
    case 8: 
      var $32=$it; //@line 267 "./mfbt/InlineMap.h"
      var $33=(($32+8)|0); //@line 267 "./mfbt/InlineMap.h"
      $it=$33; //@line 267 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 267 "./mfbt/InlineMap.h"
    case 9: 
      var $35=(($4+8)|0); //@line 277 "./mfbt/InlineMap.h"
      var $36=(($35)|0); //@line 277 "./mfbt/InlineMap.h"
      var $37=(($4)|0); //@line 277 "./mfbt/InlineMap.h"
      var $38=HEAP32[(($37)>>2)]; //@line 277 "./mfbt/InlineMap.h"
      var $39=(($36+($38<<3))|0); //@line 277 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC1EPNS3_10InlineElemEb($agg_result, $39, 0); //@line 277 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 277 "./mfbt/InlineMap.h"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 278 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomjLj24EE12lookupForAddERKS2_["X"]=1;

function __ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtrcvPPPPPPPS4_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtr5foundEv($2); //@line 206 "./mfbt/InlineMap.h"
  var $4=$3 ? 1 : 0; //@line 206 "./mfbt/InlineMap.h"
  ;
  return $4; //@line 206 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtr5valueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+12)|0); //@line 211 "./mfbt/InlineMap.h"
      var $5=HEAP8[($4)]; //@line 211 "./mfbt/InlineMap.h"
      var $6=(($5) & 1); //@line 211 "./mfbt/InlineMap.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 211 "./mfbt/InlineMap.h"
    case 2: 
      var $8=(($3+8)|0); //@line 212 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 212 "./mfbt/InlineMap.h"
      var $10=(($9+4)|0); //@line 212 "./mfbt/InlineMap.h"
      $1=$10; //@line 212 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 212 "./mfbt/InlineMap.h"
    case 3: 
      var $12=(($3)|0); //@line 213 "./mfbt/InlineMap.h"
      var $13=$12; //@line 213 "./mfbt/InlineMap.h"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($13); //@line 213 "./mfbt/InlineMap.h"
      var $15=(($14+4)|0); //@line 213 "./mfbt/InlineMap.h"
      $1=$15; //@line 213 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 213 "./mfbt/InlineMap.h"
    case 4: 
      var $17=$1; //@line 214 "./mfbt/InlineMap.h"
      ;
      return $17; //@line 214 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11UpvarCookie8makeFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js11UpvarCookie3setEtt($2, -1, -1); //@line 111 "./jsscript.h"
  ;
  return; //@line 111 "./jsscript.h"
}


function __ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($this, $atom, $indexp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $p=__stackBase__+4;
      var $index=__stackBase__+20;
      $2=$this;
      HEAP32[(($3)>>2)]=$atom;
      $4=$indexp;
      var $5=$2;
      var $6=(($5+176)|0); //@line 716 "./jsemit.h"
      var $7=$6; //@line 716 "./jsemit.h"
      var $8=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($7); //@line 716 "./jsemit.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EE12lookupForAddERKS2_($p, $8, $3); //@line 716 "./jsemit.h"
      var $9=__ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtrcvPPPPPPPS4_Ev($p); //@line 717 "./jsemit.h"
      var $10=(($9)|0)!=0; //@line 717 "./jsemit.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 717 "./jsemit.h"
    case 2: 
      var $12=__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtr5valueEv($p); //@line 718 "./jsemit.h"
      var $13=HEAP32[(($12)>>2)]; //@line 718 "./jsemit.h"
      var $14=$4; //@line 718 "./jsemit.h"
      HEAP32[(($14)>>2)]=$13; //@line 718 "./jsemit.h"
      $1=1; //@line 719 "./jsemit.h"
      __label__ = 6; break; //@line 719 "./jsemit.h"
    case 3: 
      var $16=(($5+176)|0); //@line 722 "./jsemit.h"
      var $17=$16; //@line 722 "./jsemit.h"
      var $18=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($17); //@line 722 "./jsemit.h"
      var $19=__ZN2js9InlineMapIP6JSAtomjLj24EE5countEv($18); //@line 722 "./jsemit.h"
      HEAP32[(($index)>>2)]=$19; //@line 722 "./jsemit.h"
      var $20=(($5+176)|0); //@line 723 "./jsemit.h"
      var $21=$20; //@line 723 "./jsemit.h"
      var $22=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($21); //@line 723 "./jsemit.h"
      var $23=__ZN2js9InlineMapIP6JSAtomjLj24EE3addERNS3_6AddPtrERKS2_RKj($22, $p, $3, $index); //@line 723 "./jsemit.h"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 723 "./jsemit.h"
    case 4: 
      $1=0; //@line 724 "./jsemit.h"
      __label__ = 6; break; //@line 724 "./jsemit.h"
    case 5: 
      var $26=HEAP32[(($index)>>2)]; //@line 726 "./jsemit.h"
      var $27=$4; //@line 726 "./jsemit.h"
      HEAP32[(($27)>>2)]=$26; //@line 726 "./jsemit.h"
      $1=1; //@line 727 "./jsemit.h"
      __label__ = 6; break; //@line 727 "./jsemit.h"
    case 6: 
      var $29=$1; //@line 728 "./jsemit.h"
      STACKTOP = __stackBase__;
      return $29; //@line 728 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $g=__stackBase__;
      var $3;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$4; //@line 765 "./jsvector.h"
      var $16=$t; //@line 765 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 765 "./jsvector.h"
      __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $4); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $18=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $18; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE3addERNS3_6AddPtrERKS2_RKj($this, $p, $key, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $addPtr;
      $2=$this;
      $3=$p;
      $4=$key;
      $5=$value;
      var $6=$2;
      var $7=$3; //@line 284 "./mfbt/InlineMap.h"
      var $8=(($7+12)|0); //@line 284 "./mfbt/InlineMap.h"
      var $9=HEAP8[($8)]; //@line 284 "./mfbt/InlineMap.h"
      var $10=(($9) & 1); //@line 284 "./mfbt/InlineMap.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 284 "./mfbt/InlineMap.h"
    case 2: 
      var $12=$3; //@line 285 "./mfbt/InlineMap.h"
      var $13=(($12+8)|0); //@line 285 "./mfbt/InlineMap.h"
      var $14=HEAP32[(($13)>>2)]; //@line 285 "./mfbt/InlineMap.h"
      $addPtr=$14; //@line 285 "./mfbt/InlineMap.h"
      var $15=$addPtr; //@line 289 "./mfbt/InlineMap.h"
      var $16=(($6+8)|0); //@line 289 "./mfbt/InlineMap.h"
      var $17=(($16)|0); //@line 289 "./mfbt/InlineMap.h"
      var $18=(($17+192)|0); //@line 289 "./mfbt/InlineMap.h"
      var $19=(($15)|0)==(($18)|0); //@line 289 "./mfbt/InlineMap.h"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 289 "./mfbt/InlineMap.h"
    case 3: 
      var $21=$4; //@line 290 "./mfbt/InlineMap.h"
      var $22=$5; //@line 290 "./mfbt/InlineMap.h"
      var $23=__ZN2js9InlineMapIP6JSAtomjLj24EE12switchAndAddERKS2_RKj($6, $21, $22); //@line 290 "./mfbt/InlineMap.h"
      $1=$23; //@line 290 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 290 "./mfbt/InlineMap.h"
    case 4: 
      var $25=$4; //@line 294 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 294 "./mfbt/InlineMap.h"
      var $27=$3; //@line 294 "./mfbt/InlineMap.h"
      var $28=(($27+8)|0); //@line 294 "./mfbt/InlineMap.h"
      var $29=HEAP32[(($28)>>2)]; //@line 294 "./mfbt/InlineMap.h"
      var $30=(($29)|0); //@line 294 "./mfbt/InlineMap.h"
      HEAP32[(($30)>>2)]=$26; //@line 294 "./mfbt/InlineMap.h"
      var $31=$5; //@line 295 "./mfbt/InlineMap.h"
      var $32=HEAP32[(($31)>>2)]; //@line 295 "./mfbt/InlineMap.h"
      var $33=$3; //@line 295 "./mfbt/InlineMap.h"
      var $34=(($33+8)|0); //@line 295 "./mfbt/InlineMap.h"
      var $35=HEAP32[(($34)>>2)]; //@line 295 "./mfbt/InlineMap.h"
      var $36=(($35+4)|0); //@line 295 "./mfbt/InlineMap.h"
      HEAP32[(($36)>>2)]=$32; //@line 295 "./mfbt/InlineMap.h"
      var $37=(($6+4)|0); //@line 296 "./mfbt/InlineMap.h"
      var $38=HEAP32[(($37)>>2)]; //@line 296 "./mfbt/InlineMap.h"
      var $39=(($38+1)|0); //@line 296 "./mfbt/InlineMap.h"
      HEAP32[(($37)>>2)]=$39; //@line 296 "./mfbt/InlineMap.h"
      var $40=(($6)|0); //@line 297 "./mfbt/InlineMap.h"
      var $41=HEAP32[(($40)>>2)]; //@line 297 "./mfbt/InlineMap.h"
      var $42=(($41+1)|0); //@line 297 "./mfbt/InlineMap.h"
      HEAP32[(($40)>>2)]=$42; //@line 297 "./mfbt/InlineMap.h"
      $1=1; //@line 298 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 298 "./mfbt/InlineMap.h"
    case 5: 
      var $44=(($6+200)|0); //@line 301 "./mfbt/InlineMap.h"
      var $45=$3; //@line 301 "./mfbt/InlineMap.h"
      var $46=(($45)|0); //@line 301 "./mfbt/InlineMap.h"
      var $47=$4; //@line 301 "./mfbt/InlineMap.h"
      var $48=$5; //@line 301 "./mfbt/InlineMap.h"
      var $49=__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKj($44, $46, $47, $48); //@line 301 "./mfbt/InlineMap.h"
      $1=$49; //@line 301 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 301 "./mfbt/InlineMap.h"
    case 6: 
      var $51=$1; //@line 302 "./mfbt/InlineMap.h"
      ;
      return $51; //@line 302 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomjLj24EE3addERNS3_6AddPtrERKS2_RKj["X"]=1;

function _js_EmitFunctionScript($cx, $cg, $body) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$cg;
      $4=$body;
      var $5=$3; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$5; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8 & 512; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0)!=0; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $12=$3; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+108)|0); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$3; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+172)|0); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($15)>>2)]=$13; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$2; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$3; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=_js_Emit1($16, $17, 205); //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0) < 0; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $1=0; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $22=$3; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+140)|0); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$3; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+172)|0); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($25)>>2)]=$23; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $27=$3; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=__ZNK13JSTreeContext19needsEagerArgumentsEv($28); //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $31=$3; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+108)|0); //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$3; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33+172)|0); //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($34)>>2)]=$32; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$2; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$3; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=_js_Emit1($35, $36, 9); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0) < 0; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $40=$2; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$3; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=_js_Emit1($40, $41, 81); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42)|0) < 0; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=0; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $46=$3; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($46+140)|0); //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$3; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48+172)|0); //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($49)>>2)]=$47; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $51=$3; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$51; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52)|0); //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$54 & 1048576; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($55)|0)!=0; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $58=$3; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58+108)|0); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$3; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60+172)|0); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($61)>>2)]=$59; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$2; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$3; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=_js_Emit1($62, $63, 229); //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64)|0) < 0; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      $1=0; //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $68=$3; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68+140)|0); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$3; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=(($70+172)|0); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($71)>>2)]=$69; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 3959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $73=$2; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$3; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$4; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=_js_EmitTree($73, $74, $75); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($76)|0)!=0; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($77) { __label__ = 15; break; } else { var $89 = 0;__label__ = 17; break; } //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $79=$2; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$3; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=_js_Emit1($79, $80, 197); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=(($81)|0) >= 0; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($82) { __label__ = 16; break; } else { var $89 = 0;__label__ = 17; break; } //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $84=$2; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$3; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=__ZN8JSScript15NewScriptFromCGEP9JSContextP15JSCodeGenerator($84, $85); //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86)|0)!=0; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89 = $87;__label__ = 17; break;
    case 17: 
      var $89;
      var $90=(($89)&1);
      $1=$90;
      __label__ = 18; break;
    case 18: 
      var $92=$1; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $92; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_EmitFunctionScript["X"]=1;

function __ZNK13JSTreeContext19needsEagerArgumentsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK13JSTreeContext12inStrictModeEv($2); //@line 494 "./jsemit.h"
      if ($3) { __label__ = 2; break; } else { var $13 = 0;__label__ = 6; break; } //@line 494 "./jsemit.h"
    case 2: 
      var $5=__ZNK13JSTreeContext13usesArgumentsEv($2); //@line 494 "./jsemit.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 494 "./jsemit.h"
    case 3: 
      var $7=__ZNK13JSTreeContext16mutatesParameterEv($2); //@line 494 "./jsemit.h"
      if ($7) { var $11 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 494 "./jsemit.h"
    case 4: 
      var $9=__ZNK13JSTreeContext9callsEvalEv($2); //@line 494 "./jsemit.h"
      var $11 = $9;__label__ = 5; break; //@line 494 "./jsemit.h"
    case 5: 
      var $11;
      var $13 = $11;__label__ = 6; break;
    case 6: 
      var $13;
      ;
      return $13; //@line 495 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_EmitTree($cx, $cg, $pn) {
  var __stackBase__  = STACKTOP; STACKTOP += 132; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ok;
      var $useful=__stackBase__;
      var $wantval;
      var $stmt;
      var $stmtInfo=__stackBase__+4;
      var $top;
      var $off;
      var $tmp;
      var $beq;
      var $jmp;
      var $tmp2;
      var $tmp3;
      var $pn2;
      var $pn3;
      var $atom;
      var $atomIndex;
      var $index;
      var $noteIndex=__stackBase__+36;
      var $noteIndex2;
      var $noteType;
      var $pc;
      var $op=__stackBase__+40;
      var $type;
      var $argc;
      var $elm=__stackBase__+44;
      var $sharpnum;
      var $stackDummy_=__stackBase__+48;
      var $5;
      var $line_;
      var $delta_;
      var $fun;
      var $slot=__stackBase__+52;
      var $cg2;
      var $kind=__stackBase__+56;
      var $6=__stackBase__+60;
      var $pnlast;
      var $pn21;
      var $forLet;
      var $decl;
      var $tps=__stackBase__+64;
      var $labelIndex=__stackBase__+76;
      var $labelIndex2=__stackBase__+80;
      var $loop;
      var $tryStart;
      var $tryEnd;
      var $catchJump=__stackBase__+84;
      var $finallyStart;
      var $depth;
      var $lastCatch;
      var $prevBox;
      var $count;
      var $guardJump;
      var $catchNote;
      var $catchStart;
      var $guardJump3;
      var $pnchild;
      var $index4=__stackBase__+88;
      var $oldflags;
      var $oldflags5;
      var $callop;
      var $oldflags6;
      var $objbox;
      var $tps7=__stackBase__+92;
      var $popScope;
      var $slot8;
      var $saveDepth;
      var $off9;
      var $offset;
      var $obj;
      var $kind10;
      var $methodInits;
      var $slowMethodInits;
      var $index11=__stackBase__+104;
      var $init;
      var $lambda;
      var $7=__stackBase__+108;
      var $objbox12;
      var $index13;
      var $off_;
      var $pc_;
      var $off_14;
      var $pc_15;
      var $index16=__stackBase__+116;
      var $i;
      var $index17=__stackBase__+120;
      var $tmp18;
      var $index19=__stackBase__+124;
      var $tmp20;
      var $index21=__stackBase__+128;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      var $8=$3; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN16EmitLevelManagerC1EP15JSCodeGenerator($elm, $8); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $10=$stackDummy_; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$2; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+48)|0); //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $16=$2; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __Z21js_ReportOverRecursedP9JSContext($16); //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      __label__ = 6; break; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $ok=1; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$3; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+172)|0); //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+8)|0); //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$3; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+172)|0); //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)|0); //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$24; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$29; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($30-$31)|0); //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$32; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$4; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33+20)|0); //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($34)>>2)]=$32; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $36=$4; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36+4)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+4)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $line_=$40; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$line_; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$3; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+172)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44+28)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($41-$46)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta_=$47; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$delta_; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48)|0)!=0; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 19; break; } //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $51=$line_; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$3; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+172)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54+28)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($55)>>2)]=$51; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$delta_; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$line_; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57)>>>0) > 127; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58)&1); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$59 << 1; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60+2)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($56)>>>0) >= (($61)>>>0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($62) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $64=$2; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$3; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$line_; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=_js_NewSrcNote2($64, $65, 23, $66); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67)|0) < 0; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($68) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 18; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      __label__ = 13; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $73=$2; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$3; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=_js_NewSrcNote($73, $74, 22); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75)|0) < 0; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($76) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=0; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      __label__ = 16; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $80=$delta_; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80-1)|0); //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta_=$81; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=(($81)|0)!=0; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($82) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      __label__ = 20; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      __label__ = 21; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $88=$4; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=__ZNK11JSParseNode7getKindEv($88); //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($89)|0) == 34) {
        __label__ = 22; break;
      }
      else if ((($89)|0) == 84) {
        __label__ = 81; break;
      }
      else if ((($89)|0) == 85) {
        __label__ = 95; break;
      }
      else if ((($89)|0) == 35) {
        __label__ = 96; break;
      }
      else if ((($89)|0) == 37) {
        __label__ = 134; break;
      }
      else if ((($89)|0) == 40) {
        __label__ = 135; break;
      }
      else if ((($89)|0) == 41) {
        __label__ = 159; break;
      }
      else if ((($89)|0) == 42) {
        __label__ = 182; break;
      }
      else if ((($89)|0) == 43) {
        __label__ = 314; break;
      }
      else if ((($89)|0) == 44) {
        __label__ = 332; break;
      }
      else if ((($89)|0) == 47) {
        __label__ = 350; break;
      }
      else if ((($89)|0) == 53) {
        __label__ = 361; break;
      }
      else if ((($89)|0) == 54) {
        __label__ = 448; break;
      }
      else if ((($89)|0) == 46) {
        __label__ = 481; break;
      }
      else if ((($89)|0) == 48) {
        __label__ = 484; break;
      }
      else if ((($89)|0) == 77) {
        __label__ = 502; break;
      }
      else if ((($89)|0) == 25) {
        __label__ = 515; break;
      }
      else if ((($89)|0) == 82) {
        __label__ = 553; break;
      }
      else if ((($89)|0) == 2) {
        __label__ = 560; break;
      }
      else if ((($89)|0) == 6) {
        __label__ = 596; break;
      }
      else if ((($89)|0) == 3) {
        __label__ = 615; break;
      }
      else if ((($89)|0) == 4) {
        __label__ = 630; break;
      }
      else if ((($89)|0) == 5) {
        __label__ = 633; break;
      }
      else if ((($89)|0) == 7 || (($89)|0) == 8) {
        __label__ = 657; break;
      }
      else if ((($89)|0) == 15 || (($89)|0) == 9 || (($89)|0) == 10 || (($89)|0) == 11 || (($89)|0) == 12 || (($89)|0) == 13 || (($89)|0) == 45 || (($89)|0) == 57 || (($89)|0) == 14 || (($89)|0) == 16 || (($89)|0) == 17 || (($89)|0) == 18) {
        __label__ = 695; break;
      }
      else if ((($89)|0) == 71) {
        __label__ = 707; break;
      }
      else if ((($89)|0) == 56 || (($89)|0) == 70 || (($89)|0) == 39) {
        __label__ = 721; break;
      }
      else if ((($89)|0) == 19) {
        __label__ = 722; break;
      }
      else if ((($89)|0) == 20 || (($89)|0) == 21) {
        __label__ = 734; break;
      }
      else if ((($89)|0) == 50) {
        __label__ = 793; break;
      }
      else if ((($89)|0) == 74) {
        __label__ = 831; break;
      }
      else if ((($89)|0) == 22) {
        __label__ = 849; break;
      }
      else if ((($89)|0) == 23 || (($89)|0) == 73) {
        __label__ = 850; break;
      }
      else if ((($89)|0) == 49 || (($89)|0) == 27) {
        __label__ = 851; break;
      }
      else if ((($89)|0) == 80) {
        __label__ = 896; break;
      }
      else if ((($89)|0) == 81) {
        __label__ = 920; break;
      }
      else if ((($89)|0) == 79) {
        __label__ = 940; break;
      }
      else if ((($89)|0) == 24 || (($89)|0) == 78) {
        __label__ = 950; break;
      }
      else if ((($89)|0) == 26) {
        __label__ = 996; break;
      }
      else if ((($89)|0) == 51) {
        __label__ = 1076; break;
      }
      else if ((($89)|0) == 52) {
        __label__ = 1090; break;
      }
      else if ((($89)|0) == 29) {
        __label__ = 1096; break;
      }
      else if ((($89)|0) == 64 || (($89)|0) == 65 || (($89)|0) == 66 || (($89)|0) == 68 || (($89)|0) == 67 || (($89)|0) == 31) {
        __label__ = 1101; break;
      }
      else if ((($89)|0) == 30) {
        __label__ = 1102; break;
      }
      else if ((($89)|0) == 32) {
        __label__ = 1103; break;
      }
      else if ((($89)|0) == 72 || (($89)|0) == 33) {
        __label__ = 1104; break;
      }
      else if ((($89)|0) == 58) {
        __label__ = 1107; break;
      }
      else if ((($89)|0) == 75 || (($89)|0) == 76) {
        __label__ = 1110; break;
      }
      else if ((($89)|0) == 61 || (($89)|0) == 59 || (($89)|0) == 60) {
        __label__ = 1145; break;
      }
      else if ((($89)|0) == 63) {
        __label__ = 1196; break;
      }
      else if ((($89)|0) == 69) {
        __label__ = 1215; break;
      }
      else {
      __label__ = 1222; break;
      }
      
    case 22: 
      var $91=$4; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=__ZNK11JSParseNode7isArityE16JSParseNodeArity($91, 0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($92) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $94=$2; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$3; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=_js_Emit1($94, $95, 208); //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=(($96)|0) < 0; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($97) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      $1=0; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      __label__ = 1223; break; //@line 4980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $101=$4; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101+32)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=$102; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=(($103)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$104; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=__ZNK13JSFunctionBox8functionEv($106); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $fun=$107; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$fun; //@line 4986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=__ZNK10JSFunction6scriptEv($108); //@line 4986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=(($109)|0)!=0; //@line 4986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($110) { __label__ = 27; break; } else { __label__ = 30; break; } //@line 4986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $112=$2; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=$3; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=$4; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=(($114+32)|0); //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=$115; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$116; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($117+12)|0); //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=$118; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=HEAPU32[(($119)>>2)]; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$120 >>> 12; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$121 & 1048575; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=__ZL18EmitFunctionDefNopP9JSContextP15JSCodeGeneratorj($112, $113, $122); //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123)|0)!=0; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($124) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      $1=0; //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      __label__ = 1223; break; //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $128=$2; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=$3; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=$129; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=(($130+48)|0); //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=$4; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=(($133+4)|0); //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=(($134)|0); //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=(($135+4)|0); //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=__ZN9JSContext4new_I15JSCodeGeneratorPN2js6ParserEjEEPT_T0_T1_($128, $132, $137); //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cg2=$138; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=$cg2; //@line 5004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=(($139)|0)!=0; //@line 5004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($140) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 5004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $142=$2; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($142); //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $144=$cg2; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=$2; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=__ZN15JSCodeGenerator4initEP9JSContextN13JSTreeContext12InitBehaviorE($144, $145, 1); //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($146) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      $1=0; //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $149=$4; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=(($149+32)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $151=$150; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=(($151)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=$152; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=(($154+60)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $157=$156 | 1; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $158=$157 | 2; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $159=$3; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $160=$159; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $161=(($160)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $163=$162 & 67108864; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $164=$158 | $163; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $165=$cg2; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $166=$165; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=(($166)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($167)>>2)]=$164; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=$cg2; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $169=$168; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $170=(($169+92)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $171=$2; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $172=$4; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=(($172+32)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $174=$173; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $175=(($174)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $176=$175; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $178=(($177+44)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js8Bindings8transferEP9JSContextPS0_($170, $171, $178); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $179=$cg2; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $180=$179; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $181=(($180)|0); //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $183=$182 & 32768; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $184=(($183)|0)!=0; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($184) { __label__ = 35; break; } else { __label__ = 38; break; } //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      var $186=$cg2; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $187=$186; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $188=(($187+92)|0); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $189=$2; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $190=__ZN2js8Bindings13sharpSlotBaseEP9JSContext($188, $189); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $191=$cg2; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $192=$191; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $193=(($192+104)|0); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($193)>>2)]=$190; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $194=$cg2; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $195=$194; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $196=(($195+104)|0); //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $198=(($197)|0) < 0; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($198) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      $1=0; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      __label__ = 38; break; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      var $202=$cg2; //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $203=$202; //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $204=$fun; //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN13JSTreeContext11setFunctionEP10JSFunction($203, $204); //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $205=$4; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $206=(($205+32)|0); //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $207=$206; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $208=(($207)|0); //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $209=$208; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $210=HEAP32[(($209)>>2)]; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $211=$cg2; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=$211; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $213=(($212+80)|0); //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($213)>>2)]=$210; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $214=$3; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $215=$214; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $216=$cg2; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $217=$216; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $218=(($217+72)|0); //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($218)>>2)]=$215; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $219=$3; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $220=$219; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $221=(($220+76)|0); //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $223=(($222+1)|0); //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $224=$cg2; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=$224; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=(($225+76)|0); //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($226)>>2)]=$223; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=$2; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $228=$cg2; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $229=$4; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $230=(($229+32)|0); //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $231=$230; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $232=(($231+4)|0); //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $233=$232; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $234=HEAP32[(($233)>>2)]; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $235=_js_EmitFunctionScript($227, $228, $234); //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $236=(($235)|0)!=0; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($236) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      $4=0; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 40; break; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      var $239=$2; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=$cg2; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext7delete_I15JSCodeGeneratorEEvPT_($239, $240); //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cg2=0; //@line 5038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $241=$4; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $242=(($241)|0)!=0; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($242) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      $1=0; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      var $245=$3; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $246=(($245+292)|0); //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $247=$4; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $248=(($247+32)|0); //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $249=$248; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $250=(($249)|0); //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $251=$250; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $252=HEAP32[(($251)>>2)]; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $253=$252; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $254=__ZN14JSCGObjectList5indexEP11JSObjectBox($246, $253); //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$254; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $255=$4; //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $256=__ZNK11JSParseNode5getOpEv($255); //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$256; //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $257=HEAP32[(($op)>>2)]; //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $258=(($257)|0)!=0; //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($258) { __label__ = 43; break; } else { __label__ = 54; break; } //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      var $260=$4; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $261=(($260+32)|0); //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $262=$261; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $263=(($262)|0); //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $264=$263; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $265=HEAP32[(($264)>>2)]; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $266=(($265+60)|0); //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $267=HEAP32[(($266)>>2)]; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $268=$267 & 4096; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $269=(($268)|0)!=0; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($269) { __label__ = 44; break; } else { __label__ = 46; break; } //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $271=$2; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $272=$3; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $273=_js_NewSrcNote($271, $272, 1); //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $274=(($273)|0) < 0; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($274) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      $1=0; //@line 5050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 46: 
      __label__ = 47; break; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 47: 
      var $278=$2; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $279=HEAP32[(($op)>>2)]; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $280=$index; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $281=$3; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $282=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($278, $279, $280, $281, 0); //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($282) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 48: 
      $1=0; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      __label__ = 50; break; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      __label__ = 51; break; //@line 5052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 51: 
      var $287=$2; //@line 5055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $288=$3; //@line 5055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $289=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($287, $288); //@line 5055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $290=(($289)|0) < 0; //@line 5055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($290) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 5055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 52: 
      $1=0; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 53: 
      __label__ = 1223; break; //@line 5057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 54: 
      var $294=$3; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $295=$294; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $296=__ZNK13JSTreeContext10inFunctionEv($295); //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($296) { __label__ = 69; break; } else { __label__ = 55; break; } //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 55: 
      var $298=$2; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $299=$3; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $300=$4; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $301=$fun; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $302=(($301+72)|0); //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $303=HEAP32[(($302)>>2)]; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $304=__ZL10BindGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeP6JSAtom($298, $299, $300, $303); //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($304) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 56: 
      $1=0; //@line 5072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 57: 
      var $307=$4; //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $308=(($307+32)|0); //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $309=$308; //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $310=(($309+8)|0); //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $311=__ZNK2js11UpvarCookie6isFreeEv($310); //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($311) { __label__ = 58; break; } else { __label__ = 66; break; } //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 58: 
      var $313=$3; //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $314=(($313+108)|0); //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $315=$3; //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $316=(($315+172)|0); //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($316)>>2)]=$314; //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $317=$fun; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $318=__ZNK10JSFunction13isFlatClosureEv($317); //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $319=$318 ? 222 : 127; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$319; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 59; break; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 59: 
      var $321=$2; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $322=HEAP32[(($op)>>2)]; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $323=$index; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $324=$3; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $325=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($321, $322, $323, $324, 0); //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($325) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 60: 
      $1=0; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 61: 
      __label__ = 62; break; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 62: 
      __label__ = 63; break; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 63: 
      var $330=$2; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $331=$3; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $332=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($330, $331); //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $333=(($332)|0) < 0; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($333) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 64: 
      $1=0; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 65: 
      var $336=$3; //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $337=(($336+140)|0); //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $338=$3; //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $339=(($338+172)|0); //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($339)>>2)]=$337; //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 66; break; //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 66: 
      var $341=$2; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $342=$3; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $343=$index; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $344=__ZL18EmitFunctionDefNopP9JSContextP15JSCodeGeneratorj($341, $342, $343); //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $345=(($344)|0)!=0; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($345) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 67: 
      $1=0; //@line 5086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 68: 
      __label__ = 80; break; //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 69: 
      var $349=$3; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $350=$349; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $351=(($350+92)|0); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $352=$2; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $353=$fun; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $354=(($353+72)|0); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $355=HEAP32[(($354)>>2)]; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $356=__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj($351, $352, $355, $slot); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($6)>>2)]=$356; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN7mozilla9DebugOnlyIN2js11BindingKindEEC1ERKS2_($kind, $6); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $357=$index; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $358=$4; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $359=(($358+32)|0); //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $360=$359; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $361=$357 & 1048575; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $362=$360; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $363=(($362+12)|0); //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $364=$363; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $365=$361 & 1048575; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $366=$365 << 12; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $367=HEAP32[(($364)>>2)]; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $368=$367 & 4095; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $369=$368 | $366; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($364)>>2)]=$369; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $370=$fun; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $371=__ZNK10JSFunction13isFlatClosureEv($370); //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $372=$371 ? 223 : 140; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$372; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $373=$4; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $374=__ZNK11JSParseNode8isClosedEv($373); //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($374) { __label__ = 70; break; } else { __label__ = 73; break; } //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 70: 
      var $376=$3; //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $377=$376; //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $378=__ZNK13JSTreeContext9callsEvalEv($377); //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($378) { __label__ = 73; break; } else { __label__ = 71; break; } //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 71: 
      var $380=$3; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $381=(($380+564)|0); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $382=$4; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $383=(($382+32)|0); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $384=$383; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $385=(($384+8)|0); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $386=__ZNK2js11UpvarCookie4slotEv($385); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $387=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE6appendItEEbT_($381, $386); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($387) { __label__ = 73; break; } else { __label__ = 72; break; } //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 72: 
      $1=0; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 78; break; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 73: 
      var $390=$2; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $391=HEAP32[(($op)>>2)]; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $392=HEAP32[(($slot)>>2)]; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $393=$index; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $394=$3; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $395=__ZL15EmitSlotIndexOpP9JSContext4JSOpjjP15JSCodeGenerator($390, $391, $392, $393, $394); //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $396=(($395)|0)!=0; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($396) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 74: 
      $1=0; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 78; break; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 75: 
      var $399=$2; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $400=$3; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $401=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($399, $400); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $402=(($401)|0) < 0; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($402) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 76: 
      $1=0; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 78; break; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 77: 
      $5=0; //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 78; break; //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 78: 
      __ZN7mozilla9DebugOnlyIN2js11BindingKindEED1Ev($kind); //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 79; break;
      }
      else {
      __label__ = 1231; break;
      }
      
    case 79: 
      __label__ = 80; break;
    case 80: 
      __label__ = 1223; break; //@line 5105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 81: 
      var $409=$4; //@line 5110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $410=__ZNK11JSParseNode4lastEv($409); //@line 5110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pnlast=$410; //@line 5110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $411=$4; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $412=(($411+32)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $413=$412; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $414=(($413)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $415=HEAP32[(($414)>>2)]; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn21=$415; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 82; break; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 82: 
      var $417=$pn21; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $418=$pnlast; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $419=(($417)|0)!=(($418)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($419) { __label__ = 83; break; } else { __label__ = 94; break; } //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 83: 
      var $421=$pn21; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $422=__ZNK11JSParseNode6isDefnEv($421); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($422) { __label__ = 85; break; } else { __label__ = 84; break; } //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 84: 
      __label__ = 93; break; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 85: 
      var $425=$2; //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $426=$3; //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $427=$pn21; //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $428=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($425, $426, $427); //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $429=(($428)|0)!=0; //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($429) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 86: 
      $1=0; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 87: 
      var $432=$pn21; //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $433=__ZNK11JSParseNode5getOpEv($432); //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $434=((_js_CodeSpec+($433<<3))|0); //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $435=(($434+4)|0); //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $436=HEAP32[(($435)>>2)]; //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $437=$436 & 31; //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $438=(($437)|0)==6; //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($438) { __label__ = 88; break; } else { __label__ = 92; break; } //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 88: 
      var $440=$3; //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $441=$pn21; //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $442=__ZN15JSCodeGenerator20shouldNoteClosedNameEP11JSParseNode($440, $441); //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($442) { __label__ = 89; break; } else { __label__ = 92; break; } //@line 5116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 89: 
      var $444=$3; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $445=(($444+516)|0); //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $446=$pn21; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $447=(($446+32)|0); //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $448=$447; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $449=(($448+8)|0); //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $450=__ZNK2js11UpvarCookie4slotEv($449); //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $451=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE6appendItEEbT_($445, $450); //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($451) { __label__ = 91; break; } else { __label__ = 90; break; } //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 90: 
      $1=0; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 91: 
      __label__ = 92; break; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 92: 
      __label__ = 93; break; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 93: 
      var $456=$pn21; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $457=(($456+24)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $458=HEAP32[(($457)>>2)]; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn21=$458; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 82; break; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 94: 
      var $460=$2; //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $461=$3; //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $462=$pnlast; //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $463=_js_EmitTree($460, $461, $462); //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$463; //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 95: 
      var $465=$3; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $466=(($465+184)|0); //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $467=$4; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $468=(($467+32)|0); //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $469=$468; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $470=(($469)|0); //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $471=$466; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $472=$470; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($471)>>2)]=HEAP32[(($472)>>2)]; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $473=$2; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $474=$3; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $475=$4; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $476=(($475+32)|0); //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $477=$476; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $478=(($477+4)|0); //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $479=HEAP32[(($478)>>2)]; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $480=_js_EmitTree($473, $474, $479); //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$480; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $481=$3; //@line 5129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $482=(($481+184)|0); //@line 5129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $483=$482; //@line 5129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE8clearMapEv($483); //@line 5129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $484=$4; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $485=(($484+32)|0); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $486=$485; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $487=(($486)|0); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $488=$487; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $489=$2; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE10releaseMapEP9JSContext($488, $489); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 96: 
      var $491=(($stmtInfo)|0); //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($491)>>1)]=1; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=-1; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $beq=-1; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=-1; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 97; break; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 97: 
      var $493=$2; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $494=$3; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $495=$4; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $496=(($495+32)|0); //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $497=$496; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $498=(($497)|0); //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $499=HEAP32[(($498)>>2)]; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $500=_js_EmitTree($493, $494, $499); //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $501=(($500)|0)!=0; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($501) { __label__ = 99; break; } else { __label__ = 98; break; } //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 98: 
      $1=0; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 99: 
      var $504=$3; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $505=(($504+172)|0); //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $506=HEAP32[(($505)>>2)]; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $507=(($506+8)|0); //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $508=HEAP32[(($507)>>2)]; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $509=$3; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $510=(($509+172)|0); //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $511=HEAP32[(($510)>>2)]; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $512=(($511)|0); //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $513=HEAP32[(($512)>>2)]; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $514=$508; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $515=$513; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $516=(($514-$515)|0); //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$516; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $517=(($stmtInfo)|0); //@line 5144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $518=HEAPU16[(($517)>>1)]; //@line 5144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $519=(($518)&65535); //@line 5144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $520=(($519)|0)==1; //@line 5144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($520) { __label__ = 100; break; } else { __label__ = 101; break; } //@line 5144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 100: 
      var $522=$3; //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $523=$522; //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $524=$top; //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($523, $stmtInfo, 1, $524); //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 106; break; //@line 5146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 101: 
      var $526=(($stmtInfo)|0); //@line 5157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($526)>>1)]=1; //@line 5157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $527=$top; //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $528=(($stmtInfo+8)|0); //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($528)>>2)]=$527; //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $529=$2; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $530=$3; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $531=HEAP32[(($noteIndex)>>2)]; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $532=$jmp; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $533=$beq; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $534=(($532-$533)|0); //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $535=_js_SetSrcNoteOffset($529, $530, $531, 0, $534); //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $536=(($535)|0)!=0; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($536) { __label__ = 103; break; } else { __label__ = 102; break; } //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 102: 
      $1=0; //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 103: 
      var $539=$2; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $540=$3; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $541=HEAP32[(($noteIndex)>>2)]; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $542=$top; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $543=$beq; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $544=(($542-$543)|0); //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $545=_js_SetSrcNoteOffset($539, $540, $541, 1, $544); //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $546=(($545)|0)!=0; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($546) { __label__ = 105; break; } else { __label__ = 104; break; } //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 104: 
      $1=0; //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 105: 
      __label__ = 106; break;
    case 106: 
      var $550=$4; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $551=(($550+32)|0); //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $552=$551; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $553=(($552+8)|0); //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $554=HEAP32[(($553)>>2)]; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$554; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $555=$2; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $556=$3; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $557=$pn3; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $558=(($557)|0)!=0; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $559=$558 ? 2 : 1; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $560=_js_NewSrcNote($555, $556, $559); //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$560; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $561=HEAP32[(($noteIndex)>>2)]; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $562=(($561)|0) < 0; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($562) { __label__ = 107; break; } else { __label__ = 108; break; } //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 107: 
      $1=0; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 108: 
      var $565=$2; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $566=$3; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $567=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($565, $566, 7, 0); //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $beq=$567; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $568=$beq; //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $569=(($568)|0) < 0; //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($569) { __label__ = 109; break; } else { __label__ = 110; break; } //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 109: 
      $1=0; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 110: 
      var $572=$2; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $573=$3; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $574=$4; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $575=(($574+32)|0); //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $576=$575; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $577=(($576+4)|0); //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $578=HEAP32[(($577)>>2)]; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $579=_js_EmitTree($572, $573, $578); //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $580=(($579)|0)!=0; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($580) { __label__ = 112; break; } else { __label__ = 111; break; } //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 111: 
      $1=0; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 112: 
      var $583=$pn3; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $584=(($583)|0)!=0; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($584) { __label__ = 113; break; } else { __label__ = 127; break; } //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 113: 
      var $586=(($stmtInfo)|0); //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($586)>>1)]=2; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $587=$2; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $588=$3; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $589=(($stmtInfo+12)|0); //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $590=__ZL8EmitGotoP9JSContextP15JSCodeGeneratorP10JSStmtInfoPij13JSSrcNoteType($587, $588, $stmtInfo, $589, -1, 0); //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$590; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $591=$jmp; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $592=(($591)|0) < 0; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($592) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 114: 
      $1=0; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 115: 
      __label__ = 116; break; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 116: 
      var $596=$2; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $597=$3; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $598=$3; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $599=(($598+172)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $600=HEAP32[(($599)>>2)]; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $601=(($600)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $602=HEAP32[(($601)>>2)]; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $603=$beq; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $604=(($602+$603)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $605=$3; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $606=(($605+172)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $607=HEAP32[(($606)>>2)]; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $608=(($607+8)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $609=HEAP32[(($608)>>2)]; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $610=$3; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $611=(($610+172)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $612=HEAP32[(($611)>>2)]; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $613=(($612)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $614=HEAP32[(($613)>>2)]; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $615=$609; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $616=$614; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $617=(($615-$616)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $618=$beq; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $619=(($617-$618)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $620=_js_SetJumpOffset($596, $597, $604, $619); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $621=(($620)|0)!=0; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($621) { __label__ = 118; break; } else { __label__ = 117; break; } //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 117: 
      $1=0; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 118: 
      __label__ = 119; break; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 119: 
      __label__ = 120; break; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 120: 
      var $626=$pn3; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $627=__ZNK11JSParseNode6isKindEN2js9TokenKindE($626, 35); //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($627) { __label__ = 121; break; } else { __label__ = 122; break; } //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 121: 
      var $629=$pn3; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $4=$629; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 97; break; //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 122: 
      var $631=$2; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $632=$3; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $633=$pn3; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $634=_js_EmitTree($631, $632, $633); //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $635=(($634)|0)!=0; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($635) { __label__ = 124; break; } else { __label__ = 123; break; } //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 123: 
      $1=0; //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 124: 
      var $638=$2; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $639=$3; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $640=HEAP32[(($noteIndex)>>2)]; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $641=$jmp; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $642=$beq; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $643=(($641-$642)|0); //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $644=_js_SetSrcNoteOffset($638, $639, $640, 0, $643); //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $645=(($644)|0)!=0; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($645) { __label__ = 126; break; } else { __label__ = 125; break; } //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 125: 
      $1=0; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 126: 
      __label__ = 133; break; //@line 5210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 127: 
      __label__ = 128; break; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 128: 
      var $650=$2; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $651=$3; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $652=$3; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $653=(($652+172)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $654=HEAP32[(($653)>>2)]; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $655=(($654)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $656=HEAP32[(($655)>>2)]; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $657=$beq; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $658=(($656+$657)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $659=$3; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $660=(($659+172)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $661=HEAP32[(($660)>>2)]; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $662=(($661+8)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $663=HEAP32[(($662)>>2)]; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $664=$3; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $665=(($664+172)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $666=HEAP32[(($665)>>2)]; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $667=(($666)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $668=HEAP32[(($667)>>2)]; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $669=$663; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $670=$668; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $671=(($669-$670)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $672=$beq; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $673=(($671-$672)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $674=_js_SetJumpOffset($650, $651, $658, $673); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $675=(($674)|0)!=0; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($675) { __label__ = 130; break; } else { __label__ = 129; break; } //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 129: 
      $1=0; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 130: 
      __label__ = 131; break; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 131: 
      __label__ = 132; break; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 132: 
      __label__ = 133; break;
    case 133: 
      var $681=$2; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $682=$3; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $683=_js_PopStatementCG($681, $682); //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$683; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 134: 
      var $685=$2; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $686=$3; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $687=$4; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $688=__ZL10EmitSwitchP9JSContextP15JSCodeGeneratorP11JSParseNodeP10JSStmtInfo($685, $686, $687, $stmtInfo); //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$688; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 135: 
      var $690=$3; //@line 5243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $691=$690; //@line 5243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $692=$top; //@line 5243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($691, $stmtInfo, 14, $692); //@line 5243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $693=$2; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $694=$3; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $695=_js_NewSrcNote($693, $694, 4); //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$695; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $696=HEAP32[(($noteIndex)>>2)]; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $697=(($696)|0) < 0; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($697) { __label__ = 136; break; } else { __label__ = 137; break; } //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 136: 
      $1=0; //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 137: 
      var $700=$2; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $701=$3; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $702=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($700, $701, 6, 0); //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$702; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $703=$jmp; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $704=(($703)|0) < 0; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($704) { __label__ = 138; break; } else { __label__ = 139; break; } //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 138: 
      $1=0; //@line 5249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 139: 
      var $707=$2; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $708=$3; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $709=_js_NewSrcNote($707, $708, 4); //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteIndex2=$709; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $710=$noteIndex2; //@line 5251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $711=(($710)|0) < 0; //@line 5251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($711) { __label__ = 140; break; } else { __label__ = 141; break; } //@line 5251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 140: 
      $1=0; //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 141: 
      var $714=$2; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $715=$3; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $716=$4; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $717=(($716+32)|0); //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $718=$717; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $719=(($718+4)|0); //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $720=HEAP32[(($719)>>2)]; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $721=__ZL11EmitTraceOpP9JSContextP15JSCodeGeneratorP11JSParseNode($714, $715, $720); //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$721; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $722=$top; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $723=(($722)|0) < 0; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($723) { __label__ = 142; break; } else { __label__ = 143; break; } //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 142: 
      $1=0; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 143: 
      var $726=$2; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $727=$3; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $728=$4; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $729=(($728+32)|0); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $730=$729; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $731=(($730+4)|0); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $732=HEAP32[(($731)>>2)]; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $733=_js_EmitTree($726, $727, $732); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $734=(($733)|0)!=0; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($734) { __label__ = 145; break; } else { __label__ = 144; break; } //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 144: 
      $1=0; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 145: 
      __label__ = 146; break; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 146: 
      var $738=$2; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $739=$3; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $740=$3; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $741=(($740+172)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $742=HEAP32[(($741)>>2)]; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $743=(($742)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $744=HEAP32[(($743)>>2)]; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $745=$jmp; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $746=(($744+$745)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $747=$3; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $748=(($747+172)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $749=HEAP32[(($748)>>2)]; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $750=(($749+8)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $751=HEAP32[(($750)>>2)]; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $752=$3; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $753=(($752+172)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $754=HEAP32[(($753)>>2)]; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $755=(($754)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $756=HEAP32[(($755)>>2)]; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $757=$751; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $758=$756; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $759=(($757-$758)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $760=$jmp; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $761=(($759-$760)|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $762=_js_SetJumpOffset($738, $739, $746, $761); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $763=(($762)|0)!=0; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($763) { __label__ = 148; break; } else { __label__ = 147; break; } //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 147: 
      $1=0; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 148: 
      __label__ = 149; break; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 149: 
      __label__ = 150; break; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 150: 
      var $768=$2; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $769=$3; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $770=$4; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $771=(($770+32)|0); //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $772=$771; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $773=(($772)|0); //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $774=HEAP32[(($773)>>2)]; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $775=_js_EmitTree($768, $769, $774); //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $776=(($775)|0)!=0; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($776) { __label__ = 152; break; } else { __label__ = 151; break; } //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 151: 
      $1=0; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 152: 
      var $779=$2; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $780=$3; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $781=$top; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $782=$3; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $783=(($782+172)|0); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $784=HEAP32[(($783)>>2)]; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $785=(($784+8)|0); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $786=HEAP32[(($785)>>2)]; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $787=$3; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $788=(($787+172)|0); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $789=HEAP32[(($788)>>2)]; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $790=(($789)|0); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $791=HEAP32[(($790)>>2)]; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $792=$786; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $793=$791; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $794=(($792-$793)|0); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $795=(($781-$794)|0); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $796=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($779, $780, 8, $795); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $beq=$796; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $797=$beq; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $798=(($797)|0) < 0; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($798) { __label__ = 153; break; } else { __label__ = 154; break; } //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 153: 
      $1=0; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 154: 
      var $801=$2; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $802=$3; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $803=$noteIndex2; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $804=$beq; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $805=$top; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $806=(($804-$805)|0); //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $807=_js_SetSrcNoteOffset($801, $802, $803, 0, $806); //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $808=(($807)|0)!=0; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($808) { __label__ = 156; break; } else { __label__ = 155; break; } //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 155: 
      $1=0; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 156: 
      var $811=$2; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $812=$3; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $813=HEAP32[(($noteIndex)>>2)]; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $814=$beq; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $815=$jmp; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $816=(($814-$815)|0); //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $817=_js_SetSrcNoteOffset($811, $812, $813, 0, $816); //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $818=(($817)|0)!=0; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($818) { __label__ = 158; break; } else { __label__ = 157; break; } //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 157: 
      $1=0; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 158: 
      var $821=$2; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $822=$3; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $823=_js_PopStatementCG($821, $822); //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$823; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 159: 
      var $825=$2; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $826=$3; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $827=_js_NewSrcNote($825, $826, 4); //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$827; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $828=HEAP32[(($noteIndex)>>2)]; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $829=(($828)|0) < 0; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($829) { __label__ = 161; break; } else { __label__ = 160; break; } //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 160: 
      var $831=$2; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $832=$3; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $833=_js_Emit1($831, $832, 0); //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $834=(($833)|0) < 0; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($834) { __label__ = 161; break; } else { __label__ = 162; break; } //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 161: 
      $1=0; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 162: 
      var $837=$2; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $838=$3; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $839=_js_NewSrcNote($837, $838, 4); //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteIndex2=$839; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $840=$noteIndex2; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $841=(($840)|0) < 0; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($841) { __label__ = 163; break; } else { __label__ = 164; break; } //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 163: 
      $1=0; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 164: 
      var $844=$2; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $845=$3; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $846=$4; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $847=(($846+32)|0); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $848=$847; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $849=(($848)|0); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $850=HEAP32[(($849)>>2)]; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $851=__ZL11EmitTraceOpP9JSContextP15JSCodeGeneratorP11JSParseNode($844, $845, $850); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$851; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $852=$top; //@line 5287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $853=(($852)|0) < 0; //@line 5287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($853) { __label__ = 165; break; } else { __label__ = 166; break; } //@line 5287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 165: 
      $1=0; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 166: 
      var $856=$3; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $857=$856; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $858=$top; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($857, $stmtInfo, 11, $858); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $859=$2; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $860=$3; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $861=$4; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $862=(($861+32)|0); //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $863=$862; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $864=(($863)|0); //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $865=HEAP32[(($864)>>2)]; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $866=_js_EmitTree($859, $860, $865); //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $867=(($866)|0)!=0; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($867) { __label__ = 168; break; } else { __label__ = 167; break; } //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 167: 
      $1=0; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 168: 
      var $870=$3; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $871=(($870+172)|0); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $872=HEAP32[(($871)>>2)]; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $873=(($872+8)|0); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $874=HEAP32[(($873)>>2)]; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $875=$3; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $876=(($875+172)|0); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $877=HEAP32[(($876)>>2)]; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $878=(($877)|0); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $879=HEAP32[(($878)>>2)]; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $880=$874; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $881=$879; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $882=(($880-$881)|0); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$882; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$stmtInfo; //@line 5295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 169; break; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 169: 
      var $884=$off; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $885=$stmt; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $886=(($885+8)|0); //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($886)>>2)]=$884; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 170; break; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 170: 
      var $888=$stmt; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $889=(($888+24)|0); //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $890=HEAP32[(($889)>>2)]; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$890; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $891=(($890)|0)!=0; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($891) { __label__ = 171; break; } else { var $899 = 0;__label__ = 172; break; } //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 171: 
      var $893=$stmt; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $894=(($893)|0); //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $895=HEAPU16[(($894)>>1)]; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $896=(($895)&65535); //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $897=(($896)|0)==0; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $899 = $897;__label__ = 172; break;
    case 172: 
      var $899;
      if ($899) { __label__ = 169; break; } else { __label__ = 173; break; }
    case 173: 
      var $901=$2; //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $902=$3; //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $903=$4; //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $904=(($903+32)|0); //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $905=$904; //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $906=(($905+4)|0); //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $907=HEAP32[(($906)>>2)]; //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $908=_js_EmitTree($901, $902, $907); //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $909=(($908)|0)!=0; //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($909) { __label__ = 175; break; } else { __label__ = 174; break; } //@line 5301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 174: 
      $1=0; //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 175: 
      var $912=$2; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $913=$3; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $914=$top; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $915=$3; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $916=(($915+172)|0); //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $917=HEAP32[(($916)>>2)]; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $918=(($917+8)|0); //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $919=HEAP32[(($918)>>2)]; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $920=$3; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $921=(($920+172)|0); //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $922=HEAP32[(($921)>>2)]; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $923=(($922)|0); //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $924=HEAP32[(($923)>>2)]; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $925=$919; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $926=$924; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $927=(($925-$926)|0); //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $928=(($914-$927)|0); //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $929=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($912, $913, 8, $928); //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $beq=$929; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $930=$beq; //@line 5310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $931=(($930)|0) < 0; //@line 5310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($931) { __label__ = 176; break; } else { __label__ = 177; break; } //@line 5310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 176: 
      $1=0; //@line 5311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 177: 
      var $934=$2; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $935=$3; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $936=$noteIndex2; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $937=$beq; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $938=$top; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $939=(($937-$938)|0); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $940=_js_SetSrcNoteOffset($934, $935, $936, 0, $939); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $941=(($940)|0)!=0; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($941) { __label__ = 179; break; } else { __label__ = 178; break; } //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 178: 
      $1=0; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 179: 
      var $944=$2; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $945=$3; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $946=HEAP32[(($noteIndex)>>2)]; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $947=$off; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $948=$top; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $949=(($947-$948)|0); //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $950=(($949+1)|0); //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $951=_js_SetSrcNoteOffset($944, $945, $946, 0, $950); //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $952=(($951)|0)!=0; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($952) { __label__ = 181; break; } else { __label__ = 180; break; } //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 180: 
      $1=0; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 181: 
      var $955=$2; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $956=$3; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $957=_js_PopStatementCG($955, $956); //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$957; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 5321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 182: 
      $beq=0; //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=-1; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $959=$4; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $960=(($959+32)|0); //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $961=$960; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $962=(($961)|0); //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $963=HEAP32[(($962)>>2)]; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$963; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $964=$3; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $965=$964; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $966=$top; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($965, $stmtInfo, 12, $966); //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $967=$pn2; //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $968=__ZNK11JSParseNode6isKindEN2js9TokenKindE($967, 45); //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($968) { __label__ = 183; break; } else { __label__ = 235; break; } //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 183: 
      var $970=(($stmtInfo)|0); //@line 5331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($970)>>1)]=13; //@line 5331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $forLet=0; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $971=$pn2; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $972=(($971+32)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $973=$972; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $974=(($973)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $975=HEAP32[(($974)>>2)]; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $decl=$975; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $976=$decl; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $977=(($976)|0)!=0; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($977) { __label__ = 184; break; } else { __label__ = 187; break; } //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 184: 
      var $979=$decl; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $980=__ZNK11JSParseNode6isKindEN2js9TokenKindE($979, 81); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $981=(($980)&1); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $forLet=$981; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $982=$3; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $983=$982; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $984=(($983)|0); //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $985=HEAP32[(($984)>>2)]; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $986=$985 | 16; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($984)>>2)]=$986; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $987=$2; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $988=$3; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $989=$decl; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $990=_js_EmitTree($987, $988, $989); //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $991=(($990)|0)!=0; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($991) { __label__ = 186; break; } else { __label__ = 185; break; } //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 185: 
      $1=0; //@line 5346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 186: 
      var $994=$3; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $995=$994; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $996=(($995)|0); //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $997=HEAP32[(($996)>>2)]; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $998=$997 & -17; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($996)>>2)]=$998; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 187; break; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 187: 
      __ZN12TempPopScopeC1Ev($tps); //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1000=$forLet; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1001=(($1000) & 1); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1001) { __label__ = 188; break; } else { __label__ = 190; break; } //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 188: 
      var $1003=$2; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1004=$3; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1005=__ZN12TempPopScope8popBlockEP9JSContextP15JSCodeGenerator($tps, $1003, $1004); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1005) { __label__ = 190; break; } else { __label__ = 189; break; } //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 189: 
      $1=0; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 190: 
      var $1008=$2; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1009=$3; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1010=$pn2; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1011=(($1010+32)|0); //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1012=$1011; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1013=(($1012+8)|0); //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1014=HEAP32[(($1013)>>2)]; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1015=_js_EmitTree($1008, $1009, $1014); //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1016=(($1015)|0)!=0; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1016) { __label__ = 192; break; } else { __label__ = 191; break; } //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 191: 
      $1=0; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 192: 
      var $1019=$forLet; //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1020=(($1019) & 1); //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1020) { __label__ = 193; break; } else { __label__ = 195; break; } //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 193: 
      var $1022=$2; //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1023=$3; //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1024=__ZN12TempPopScope11repushBlockEP9JSContextP15JSCodeGenerator($tps, $1022, $1023); //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1024) { __label__ = 195; break; } else { __label__ = 194; break; } //@line 5357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 194: 
      $1=0; //@line 5358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 195: 
      var $1027=$2; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1028=$3; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1029=$4; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1030=(($1029+32)|0); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1031=$1030; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1032=(($1031+12)|0); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1033=HEAP32[(($1032)>>2)]; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1034=(($1033) & 255); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1035=_js_Emit2($1027, $1028, 75, $1034); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1036=(($1035)|0) < 0; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1036) { __label__ = 196; break; } else { __label__ = 197; break; } //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 196: 
      $1=0; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 197: 
      var $1039=$2; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1040=$3; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1041=_js_NewSrcNote($1039, $1040, 2); //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$1041; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1042=HEAP32[(($noteIndex)>>2)]; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1043=(($1042)|0) < 0; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1043) { __label__ = 198; break; } else { __label__ = 199; break; } //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 198: 
      $1=0; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 199: 
      var $1046=$2; //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1047=$3; //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1048=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($1046, $1047, 6, 0); //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$1048; //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1049=$jmp; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1050=(($1049)|0) < 0; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1050) { __label__ = 200; break; } else { __label__ = 201; break; } //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 200: 
      $1=0; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 201: 
      var $1053=$2; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1054=$3; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1055=_js_NewSrcNote($1053, $1054, 4); //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteIndex2=$1055; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1056=$noteIndex2; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1057=(($1056)|0) < 0; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1057) { __label__ = 202; break; } else { __label__ = 203; break; } //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 202: 
      $1=0; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 203: 
      var $1060=$3; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1061=(($1060+172)|0); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1062=HEAP32[(($1061)>>2)]; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1063=(($1062+8)|0); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1064=HEAP32[(($1063)>>2)]; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1065=$3; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1066=(($1065+172)|0); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1067=HEAP32[(($1066)>>2)]; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1068=(($1067)|0); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1069=HEAP32[(($1068)>>2)]; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1070=$1064; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1071=$1069; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1072=(($1070-$1071)|0); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$1072; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1073=$top; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1074=(($stmtInfo+8)|0); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1074)>>2)]=$1073; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1075=(($stmtInfo+16)|0); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1075)>>2)]=-1; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1076=(($stmtInfo+12)|0); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1076)>>2)]=-1; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1077=$2; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1078=$3; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1079=__ZL11EmitTraceOpP9JSContextP15JSCodeGeneratorP11JSParseNode($1077, $1078, 0); //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1080=(($1079)|0) < 0; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1080) { __label__ = 204; break; } else { __label__ = 205; break; } //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 204: 
      $1=0; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 205: 
      var $1083=$2; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1084=$3; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1085=$pn2; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1086=(($1085+32)|0); //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1087=$1086; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1088=(($1087+4)|0); //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1089=HEAP32[(($1088)>>2)]; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1090=__ZL14EmitAssignmentP9JSContextP15JSCodeGeneratorP11JSParseNode4JSOpS4_($1083, $1084, $1089, 0, 0); //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1090) { __label__ = 207; break; } else { __label__ = 206; break; } //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 206: 
      $1=0; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 207: 
      var $1093=$3; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1094=(($1093+172)|0); //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1095=HEAP32[(($1094)>>2)]; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1096=(($1095+8)|0); //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1097=HEAP32[(($1096)>>2)]; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1098=$3; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1099=(($1098+172)|0); //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1100=HEAP32[(($1099)>>2)]; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1101=(($1100)|0); //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1102=HEAP32[(($1101)>>2)]; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1103=$1097; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1104=$1102; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1105=(($1103-$1104)|0); //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp2=$1105; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1106=$pn2; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1107=(($1106+32)|0); //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1108=$1107; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1109=(($1108)|0); //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1110=HEAP32[(($1109)>>2)]; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1111=(($1110)|0)!=0; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1111) { __label__ = 208; break; } else { __label__ = 210; break; } //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 208: 
      var $1113=$2; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1114=$3; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1115=$pn2; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1116=(($1115+32)|0); //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1117=$1116; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1118=(($1117)|0); //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1119=HEAP32[(($1118)>>2)]; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1120=__ZNK11JSParseNode4isOpE4JSOp($1119, 129); //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1121=$1120 ? 0 : 2; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1122=_js_NewSrcNote2($1113, $1114, 6, $1121); //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1123=(($1122)|0) < 0; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1123) { __label__ = 209; break; } else { __label__ = 210; break; } //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 209: 
      $1=0; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 210: 
      var $1126=$2; //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1127=$3; //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1128=_js_Emit1($1126, $1127, 81); //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1129=(($1128)|0) < 0; //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1129) { __label__ = 211; break; } else { __label__ = 212; break; } //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 211: 
      $1=0; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 212: 
      var $1132=$2; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1133=$3; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1134=$4; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1135=(($1134+32)|0); //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1136=$1135; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1137=(($1136+4)|0); //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1138=HEAP32[(($1137)>>2)]; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1139=_js_EmitTree($1132, $1133, $1138); //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1140=(($1139)|0)!=0; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1140) { __label__ = 214; break; } else { __label__ = 213; break; } //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 213: 
      $1=0; //@line 5419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 214: 
      $stmt=$stmtInfo; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 215; break; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 215: 
      var $1144=$3; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1145=(($1144+172)|0); //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1146=HEAP32[(($1145)>>2)]; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1147=(($1146+8)|0); //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1148=HEAP32[(($1147)>>2)]; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1149=$3; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1150=(($1149+172)|0); //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1151=HEAP32[(($1150)>>2)]; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1152=(($1151)|0); //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1153=HEAP32[(($1152)>>2)]; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1154=$1148; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1155=$1153; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1156=(($1154-$1155)|0); //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1157=$stmt; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1158=(($1157+8)|0); //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1158)>>2)]=$1156; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 216; break; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 216: 
      var $1160=$stmt; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1161=(($1160+24)|0); //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1162=HEAP32[(($1161)>>2)]; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1162; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1163=(($1162)|0)!=0; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1163) { __label__ = 217; break; } else { var $1171 = 0;__label__ = 218; break; } //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 217: 
      var $1165=$stmt; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1166=(($1165)|0); //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1167=HEAPU16[(($1166)>>1)]; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1168=(($1167)&65535); //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1169=(($1168)|0)==0; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1171 = $1169;__label__ = 218; break;
    case 218: 
      var $1171;
      if ($1171) { __label__ = 215; break; } else { __label__ = 219; break; }
    case 219: 
      __label__ = 220; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 220: 
      var $1174=$2; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1175=$3; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1176=$3; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1177=(($1176+172)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1178=HEAP32[(($1177)>>2)]; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1179=(($1178)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1180=HEAP32[(($1179)>>2)]; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1181=$jmp; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1182=(($1180+$1181)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1183=$3; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1184=(($1183+172)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1185=HEAP32[(($1184)>>2)]; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1186=(($1185+8)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1187=HEAP32[(($1186)>>2)]; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1188=$3; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1189=(($1188+172)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1190=HEAP32[(($1189)>>2)]; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1191=(($1190)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1192=HEAP32[(($1191)>>2)]; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1193=$1187; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1194=$1192; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1195=(($1193-$1194)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1196=$jmp; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1197=(($1195-$1196)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1198=_js_SetJumpOffset($1174, $1175, $1182, $1197); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1199=(($1198)|0)!=0; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1199) { __label__ = 222; break; } else { __label__ = 221; break; } //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 221: 
      $1=0; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 222: 
      __label__ = 223; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 223: 
      __label__ = 224; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 224: 
      var $1204=$2; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1205=$3; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1206=_js_Emit1($1204, $1205, 76); //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1207=(($1206)|0) < 0; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1207) { __label__ = 225; break; } else { __label__ = 226; break; } //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 225: 
      $1=0; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 226: 
      var $1210=$2; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1211=$3; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1212=$top; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1213=$3; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1214=(($1213+172)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1215=HEAP32[(($1214)>>2)]; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1216=(($1215+8)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1217=HEAP32[(($1216)>>2)]; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1218=$3; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1219=(($1218+172)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1220=HEAP32[(($1219)>>2)]; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1221=(($1220)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1222=HEAP32[(($1221)>>2)]; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1223=$1217; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1224=$1222; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1225=(($1223-$1224)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1226=(($1212-$1225)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1227=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($1210, $1211, 8, $1226); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $beq=$1227; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1228=$beq; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1229=(($1228)|0) < 0; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1229) { __label__ = 227; break; } else { __label__ = 228; break; } //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 227: 
      $1=0; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 228: 
      var $1232=$2; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1233=$3; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1234=$noteIndex2; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1235=$beq; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1236=$top; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1237=(($1235-$1236)|0); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1238=_js_SetSrcNoteOffset($1232, $1233, $1234, 0, $1237); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1239=(($1238)|0)!=0; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1239) { __label__ = 230; break; } else { __label__ = 229; break; } //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 229: 
      $1=0; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 230: 
      var $1242=$2; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1243=$3; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1244=HEAP32[(($noteIndex)>>2)]; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1245=$tmp2; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1246=$jmp; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1247=(($1245-$1246)|0); //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1248=_js_SetSrcNoteOffset($1242, $1243, $1244, 0, $1247); //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1249=(($1248)|0)!=0; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1249) { __label__ = 232; break; } else { __label__ = 231; break; } //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 231: 
      $1=0; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 232: 
      var $1252=$2; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1253=$3; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1254=HEAP32[(($noteIndex)>>2)]; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1255=$beq; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1256=$jmp; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1257=(($1255-$1256)|0); //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1258=_js_SetSrcNoteOffset($1252, $1253, $1254, 1, $1257); //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1259=(($1258)|0)!=0; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1259) { __label__ = 234; break; } else { __label__ = 233; break; } //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 233: 
      $1=0; //@line 5448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 234: 
      __label__ = 306; break; //@line 5449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 235: 
      HEAP32[(($op)>>2)]=81; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1263=$pn2; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1264=(($1263+32)|0); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1265=$1264; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1266=(($1265)|0); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1267=HEAP32[(($1266)>>2)]; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$1267; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1268=$pn3; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1269=(($1268)|0)!=0; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1269) { __label__ = 237; break; } else { __label__ = 236; break; } //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 236: 
      HEAP32[(($op)>>2)]=0; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 249; break; //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 237: 
      var $1272=$3; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1273=$1272; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1274=(($1273)|0); //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1275=HEAP32[(($1274)>>2)]; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1276=$1275 | 16; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1274)>>2)]=$1276; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1277=$pn3; //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1278=__ZNK11JSParseNode6isKindEN2js9TokenKindE($1277, 4); //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1278) { __label__ = 238; break; } else { __label__ = 240; break; } //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 238: 
      var $1280=$2; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1281=$3; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1282=HEAP32[(($op)>>2)]; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1283=$pn3; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1284=__ZL24MaybeEmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePS3_($1280, $1281, $1282, $1283, $op); //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1285=(($1284)|0)!=0; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1285) { __label__ = 240; break; } else { __label__ = 239; break; } //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 239: 
      $1=0; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 240: 
      var $1288=HEAP32[(($op)>>2)]; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1289=(($1288)|0)==81; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1289) { __label__ = 241; break; } else { __label__ = 248; break; } //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 241: 
      var $1291=$2; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1292=$3; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1293=$pn3; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1294=_js_EmitTree($1291, $1292, $1293); //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1295=(($1294)|0)!=0; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1295) { __label__ = 243; break; } else { __label__ = 242; break; } //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 242: 
      $1=0; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 243: 
      var $1298=$pn3; //@line 5467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1299=__ZNK11JSParseNode7getKindEv($1298); //@line 5467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1300=__ZN2jsL15TokenKindIsDeclENS_9TokenKindE($1299); //@line 5467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1300) { __label__ = 244; break; } else { __label__ = 247; break; } //@line 5467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 244: 
      var $1302=$pn3; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1303=(($1302+32)|0); //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1304=$1303; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1305=$1304; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1306=(($1305+12)|0); //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1307=$1306; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1308=HEAP32[(($1307)>>2)]; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1309=$1308 & 4095; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1310=$1309 & 64; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1311=(($1310)|0)!=0; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1311) { __label__ = 245; break; } else { __label__ = 246; break; } //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 245: 
      HEAP32[(($op)>>2)]=0; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 246; break; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 246: 
      __label__ = 247; break; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 247: 
      __label__ = 248; break; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 248: 
      var $1316=$3; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1317=$1316; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1318=(($1317)|0); //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1319=HEAP32[(($1318)>>2)]; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1320=$1319 & -17; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1318)>>2)]=$1320; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 249; break;
    case 249: 
      var $1322=$2; //@line 5488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1323=$3; //@line 5488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1324=_js_NewSrcNote($1322, $1323, 3); //@line 5488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$1324; //@line 5488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1325=HEAP32[(($noteIndex)>>2)]; //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1326=(($1325)|0) < 0; //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1326) { __label__ = 251; break; } else { __label__ = 250; break; } //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 250: 
      var $1328=$2; //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1329=$3; //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1330=HEAP32[(($op)>>2)]; //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1331=_js_Emit1($1328, $1329, $1330); //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1332=(($1331)|0) < 0; //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1332) { __label__ = 251; break; } else { __label__ = 252; break; } //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 251: 
      $1=0; //@line 5490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 252: 
      var $1335=$3; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1336=(($1335+172)|0); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1337=HEAP32[(($1336)>>2)]; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1338=(($1337+8)|0); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1339=HEAP32[(($1338)>>2)]; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1340=$3; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1341=(($1340+172)|0); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1342=HEAP32[(($1341)>>2)]; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1343=(($1342)|0); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1344=HEAP32[(($1343)>>2)]; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1345=$1339; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1346=$1344; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1347=(($1345-$1346)|0); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp=$1347; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1348=$pn2; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1349=(($1348+32)|0); //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1350=$1349; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1351=(($1350+4)|0); //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1352=HEAP32[(($1351)>>2)]; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1353=(($1352)|0)!=0; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1353) { __label__ = 253; break; } else { __label__ = 256; break; } //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 253: 
      var $1355=$2; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1356=$3; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1357=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($1355, $1356, 6, 0); //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$1357; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1358=$jmp; //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1359=(($1358)|0) < 0; //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1359) { __label__ = 254; break; } else { __label__ = 255; break; } //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 254: 
      $1=0; //@line 5497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 255: 
      __label__ = 256; break; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 256: 
      var $1363=$3; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1364=(($1363+172)|0); //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1365=HEAP32[(($1364)>>2)]; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1366=(($1365+8)|0); //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1367=HEAP32[(($1366)>>2)]; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1368=$3; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1369=(($1368+172)|0); //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1370=HEAP32[(($1369)>>2)]; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1371=(($1370)|0); //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1372=HEAP32[(($1371)>>2)]; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1373=$1367; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1374=$1372; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1375=(($1373-$1374)|0); //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$1375; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1376=$top; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1377=(($stmtInfo+8)|0); //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1377)>>2)]=$1376; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1378=(($stmtInfo+16)|0); //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1378)>>2)]=-1; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1379=(($stmtInfo+12)|0); //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1379)>>2)]=-1; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1380=$2; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1381=$3; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1382=_js_NewSrcNote($1380, $1381, 4); //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteIndex2=$1382; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1383=$noteIndex2; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1384=(($1383)|0) < 0; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1384) { __label__ = 257; break; } else { __label__ = 258; break; } //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 257: 
      $1=0; //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 258: 
      var $1387=$2; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1388=$3; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1389=$4; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1390=(($1389+32)|0); //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1391=$1390; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1392=(($1391+4)|0); //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1393=HEAP32[(($1392)>>2)]; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1394=__ZL11EmitTraceOpP9JSContextP15JSCodeGeneratorP11JSParseNode($1387, $1388, $1393); //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1395=(($1394)|0) < 0; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1395) { __label__ = 259; break; } else { __label__ = 260; break; } //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 259: 
      $1=0; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 260: 
      var $1398=$2; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1399=$3; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1400=$4; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1401=(($1400+32)|0); //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1402=$1401; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1403=(($1402+4)|0); //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1404=HEAP32[(($1403)>>2)]; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1405=_js_EmitTree($1398, $1399, $1404); //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1406=(($1405)|0)!=0; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1406) { __label__ = 262; break; } else { __label__ = 261; break; } //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 261: 
      $1=0; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 262: 
      var $1409=$3; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1410=(($1409+172)|0); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1411=HEAP32[(($1410)>>2)]; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1412=(($1411+8)|0); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1413=HEAP32[(($1412)>>2)]; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1414=$3; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1415=(($1414+172)|0); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1416=HEAP32[(($1415)>>2)]; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1417=(($1416)|0); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1418=HEAP32[(($1417)>>2)]; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1419=$1413; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1420=$1418; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1421=(($1419-$1420)|0); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp2=$1421; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$stmtInfo; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 263; break; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 263: 
      var $1423=$3; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1424=(($1423+172)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1425=HEAP32[(($1424)>>2)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1426=(($1425+8)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1427=HEAP32[(($1426)>>2)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1428=$3; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1429=(($1428+172)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1430=HEAP32[(($1429)>>2)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1431=(($1430)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1432=HEAP32[(($1431)>>2)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1433=$1427; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1434=$1432; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1435=(($1433-$1434)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1436=$stmt; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1437=(($1436+8)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1437)>>2)]=$1435; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 264; break; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 264: 
      var $1439=$stmt; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1440=(($1439+24)|0); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1441=HEAP32[(($1440)>>2)]; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1441; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1442=(($1441)|0)!=0; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1442) { __label__ = 265; break; } else { var $1450 = 0;__label__ = 266; break; } //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 265: 
      var $1444=$stmt; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1445=(($1444)|0); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1446=HEAPU16[(($1445)>>1)]; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1447=(($1446)&65535); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1448=(($1447)|0)==0; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1450 = $1448;__label__ = 266; break;
    case 266: 
      var $1450;
      if ($1450) { __label__ = 263; break; } else { __label__ = 267; break; }
    case 267: 
      var $1452=$pn2; //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1453=(($1452+32)|0); //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1454=$1453; //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1455=(($1454+8)|0); //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1456=HEAP32[(($1455)>>2)]; //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$1456; //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1457=$pn3; //@line 5525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1458=(($1457)|0)!=0; //@line 5525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1458) { __label__ = 268; break; } else { __label__ = 281; break; } //@line 5525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 268: 
      HEAP32[(($op)>>2)]=81; //@line 5526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1460=$pn3; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1461=__ZNK11JSParseNode6isKindEN2js9TokenKindE($1460, 4); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1461) { __label__ = 269; break; } else { __label__ = 271; break; } //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 269: 
      var $1463=$2; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1464=$3; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1465=HEAP32[(($op)>>2)]; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1466=$pn3; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1467=__ZL24MaybeEmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePS3_($1463, $1464, $1465, $1466, $op); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1468=(($1467)|0)!=0; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1468) { __label__ = 271; break; } else { __label__ = 270; break; } //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 270: 
      $1=0; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 271: 
      var $1471=HEAP32[(($op)>>2)]; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1472=(($1471)|0)==81; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1472) { __label__ = 272; break; } else { __label__ = 274; break; } //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 272: 
      var $1474=$2; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1475=$3; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1476=$pn3; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1477=_js_EmitTree($1474, $1475, $1476); //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1478=(($1477)|0)!=0; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1478) { __label__ = 274; break; } else { __label__ = 273; break; } //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 273: 
      $1=0; //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 274: 
      var $1481=$2; //@line 5537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1482=$3; //@line 5537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1483=HEAP32[(($op)>>2)]; //@line 5537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1484=_js_Emit1($1481, $1482, $1483); //@line 5537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1485=(($1484)|0) < 0; //@line 5537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1485) { __label__ = 275; break; } else { __label__ = 276; break; } //@line 5537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 275: 
      $1=0; //@line 5538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 276: 
      var $1488=$4; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1489=(($1488+4)|0); //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1490=(($1489+8)|0); //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1491=(($1490+4)|0); //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1492=HEAP32[(($1491)>>2)]; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$1492; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1493=$3; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1494=(($1493+172)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1495=HEAP32[(($1494)>>2)]; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1496=(($1495+28)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1497=HEAP32[(($1496)>>2)]; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1498=$off; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1499=(($1497)|0)!=(($1498)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1499) { __label__ = 277; break; } else { __label__ = 280; break; } //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 277: 
      var $1501=$2; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1502=$3; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1503=$off; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1504=_js_NewSrcNote2($1501, $1502, 23, $1503); //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1505=(($1504)|0) < 0; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1505) { __label__ = 278; break; } else { __label__ = 279; break; } //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 278: 
      $1=0; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 279: 
      var $1508=$off; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1509=$3; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1510=(($1509+172)|0); //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1511=HEAP32[(($1510)>>2)]; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1512=(($1511+28)|0); //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($1512)>>2)]=$1508; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 280; break; //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 280: 
      __label__ = 281; break; //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 281: 
      var $1515=$3; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1516=(($1515+172)|0); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1517=HEAP32[(($1516)>>2)]; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1518=(($1517+8)|0); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1519=HEAP32[(($1518)>>2)]; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1520=$3; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1521=(($1520+172)|0); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1522=HEAP32[(($1521)>>2)]; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1523=(($1522)|0); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1524=HEAP32[(($1523)>>2)]; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1525=$1519; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1526=$1524; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1527=(($1525-$1526)|0); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp3=$1527; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1528=$pn2; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1529=(($1528+32)|0); //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1530=$1529; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1531=(($1530+4)|0); //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1532=HEAP32[(($1531)>>2)]; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1533=(($1532)|0)!=0; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1533) { __label__ = 282; break; } else { __label__ = 290; break; } //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 282: 
      __label__ = 283; break; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 283: 
      var $1536=$2; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1537=$3; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1538=$3; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1539=(($1538+172)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1540=HEAP32[(($1539)>>2)]; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1541=(($1540)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1542=HEAP32[(($1541)>>2)]; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1543=$jmp; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1544=(($1542+$1543)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1545=$3; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1546=(($1545+172)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1547=HEAP32[(($1546)>>2)]; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1548=(($1547+8)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1549=HEAP32[(($1548)>>2)]; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1550=$3; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1551=(($1550+172)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1552=HEAP32[(($1551)>>2)]; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1553=(($1552)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1554=HEAP32[(($1553)>>2)]; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1555=$1549; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1556=$1554; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1557=(($1555-$1556)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1558=$jmp; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1559=(($1557-$1558)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1560=_js_SetJumpOffset($1536, $1537, $1544, $1559); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1561=(($1560)|0)!=0; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1561) { __label__ = 285; break; } else { __label__ = 284; break; } //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 284: 
      $1=0; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 285: 
      __label__ = 286; break; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 286: 
      __label__ = 287; break; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 287: 
      var $1566=$2; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1567=$3; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1568=$pn2; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1569=(($1568+32)|0); //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1570=$1569; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1571=(($1570+4)|0); //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1572=HEAP32[(($1571)>>2)]; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1573=_js_EmitTree($1566, $1567, $1572); //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1574=(($1573)|0)!=0; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1574) { __label__ = 289; break; } else { __label__ = 288; break; } //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 288: 
      $1=0; //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 289: 
      __label__ = 290; break; //@line 5558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 290: 
      var $1578=$2; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1579=$3; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1580=$noteIndex2; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1581=$3; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1582=(($1581+172)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1583=HEAP32[(($1582)>>2)]; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1584=(($1583+8)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1585=HEAP32[(($1584)>>2)]; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1586=$3; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1587=(($1586+172)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1588=HEAP32[(($1587)>>2)]; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1589=(($1588)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1590=HEAP32[(($1589)>>2)]; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1591=$1585; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1592=$1590; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1593=(($1591-$1592)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1594=$top; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1595=(($1593-$1594)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1596=_js_SetSrcNoteOffset($1578, $1579, $1580, 0, $1595); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1597=(($1596)|0)!=0; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1597) { __label__ = 292; break; } else { __label__ = 291; break; } //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 291: 
      $1=0; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 292: 
      var $1600=$2; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1601=$3; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1602=HEAP32[(($noteIndex)>>2)]; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1603=$tmp3; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1604=$tmp; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1605=(($1603-$1604)|0); //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1606=_js_SetSrcNoteOffset($1600, $1601, $1602, 0, $1605); //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1607=(($1606)|0)!=0; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1607) { __label__ = 294; break; } else { __label__ = 293; break; } //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 293: 
      $1=0; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 294: 
      var $1610=$2; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1611=$3; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1612=HEAP32[(($noteIndex)>>2)]; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1613=$tmp2; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1614=$tmp; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1615=(($1613-$1614)|0); //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1616=_js_SetSrcNoteOffset($1610, $1611, $1612, 1, $1615); //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1617=(($1616)|0)!=0; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1617) { __label__ = 296; break; } else { __label__ = 295; break; } //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 295: 
      $1=0; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 296: 
      var $1620=$2; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1621=$3; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1622=HEAP32[(($noteIndex)>>2)]; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1623=$3; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1624=(($1623+172)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1625=HEAP32[(($1624)>>2)]; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1626=(($1625+8)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1627=HEAP32[(($1626)>>2)]; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1628=$3; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1629=(($1628+172)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1630=HEAP32[(($1629)>>2)]; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1631=(($1630)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1632=HEAP32[(($1631)>>2)]; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1633=$1627; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1634=$1632; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1635=(($1633-$1634)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1636=$tmp; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1637=(($1635-$1636)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1638=_js_SetSrcNoteOffset($1620, $1621, $1622, 2, $1637); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1639=(($1638)|0)!=0; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1639) { __label__ = 298; break; } else { __label__ = 297; break; } //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 297: 
      $1=0; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 298: 
      var $1642=$pn2; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1643=(($1642+32)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1644=$1643; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1645=(($1644+4)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1646=HEAP32[(($1645)>>2)]; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1647=(($1646)|0)!=0; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1647) { __label__ = 299; break; } else { __label__ = 302; break; } //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 299: 
      var $1649=$2; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1650=$3; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1651=$top; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1652=$3; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1653=(($1652+172)|0); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1654=HEAP32[(($1653)>>2)]; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1655=(($1654+8)|0); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1656=HEAP32[(($1655)>>2)]; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1657=$3; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1658=(($1657+172)|0); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1659=HEAP32[(($1658)>>2)]; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1660=(($1659)|0); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1661=HEAP32[(($1660)>>2)]; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1662=$1656; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1663=$1661; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1664=(($1662-$1663)|0); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1665=(($1651-$1664)|0); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1666=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($1649, $1650, 8, $1665); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $beq=$1666; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1667=$beq; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1668=(($1667)|0) < 0; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1668) { __label__ = 300; break; } else { __label__ = 301; break; } //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 300: 
      $1=0; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 301: 
      __label__ = 305; break; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 302: 
      var $1672=$2; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1673=$3; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1674=$top; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1675=$3; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1676=(($1675+172)|0); //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1677=HEAP32[(($1676)>>2)]; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1678=(($1677+8)|0); //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1679=HEAP32[(($1678)>>2)]; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1680=$3; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1681=(($1680+172)|0); //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1682=HEAP32[(($1681)>>2)]; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1683=(($1682)|0); //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1684=HEAP32[(($1683)>>2)]; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1685=$1679; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1686=$1684; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1687=(($1685-$1686)|0); //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1688=(($1674-$1687)|0); //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1689=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($1672, $1673, 6, $1688); //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$1689; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1690=$jmp; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1691=(($1690)|0) < 0; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1691) { __label__ = 303; break; } else { __label__ = 304; break; } //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 303: 
      $1=0; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 304: 
      __label__ = 305; break;
    case 305: 
      __label__ = 306; break;
    case 306: 
      var $1696=$2; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1697=$3; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1698=_js_PopStatementCG($1696, $1697); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1699=(($1698)|0)!=0; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1699) { __label__ = 308; break; } else { __label__ = 307; break; } //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 307: 
      $1=0; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 308: 
      var $1702=$pn2; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1703=__ZNK11JSParseNode6isKindEN2js9TokenKindE($1702, 45); //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1703) { __label__ = 309; break; } else { __label__ = 313; break; } //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 309: 
      var $1705=$2; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1706=$3; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1707=$3; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1708=(($1707+192)|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1709=HEAP32[(($1708)>>2)]; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1710=$top; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1711=$3; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1712=(($1711+172)|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1713=HEAP32[(($1712)>>2)]; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1714=(($1713+8)|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1715=HEAP32[(($1714)>>2)]; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1716=$3; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1717=(($1716+172)|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1718=HEAP32[(($1717)>>2)]; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1719=(($1718)|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1720=HEAP32[(($1719)>>2)]; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1721=$1715; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1722=$1720; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1723=(($1721-$1722)|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1724=__ZL10NewTryNoteP9JSContextP15JSCodeGenerator13JSTryNoteKindjjj($1705, $1706, 2, $1709, $1710, $1723); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1725=(($1724)|0)!=0; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1725) { __label__ = 310; break; } else { __label__ = 311; break; } //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 310: 
      var $1727=$2; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1728=$3; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1729=_js_Emit1($1727, $1728, 78); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1730=(($1729)|0) < 0; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1730) { __label__ = 311; break; } else { __label__ = 312; break; } //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 311: 
      $1=0; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 312: 
      __label__ = 313; break; //@line 5604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 313: 
      __label__ = 1223; break; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 314: 
      var $1735=$3; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1736=$1735; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1737=(($1736+24)|0); //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1738=HEAP32[(($1737)>>2)]; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1738; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1739=$4; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1740=(($1739+32)|0); //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1741=$1740; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1742=(($1741)|0); //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1743=$1742; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1744=HEAP32[(($1743)>>2)]; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $atom=$1744; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1745=$atom; //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1746=(($1745)|0)!=0; //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1746) { __label__ = 315; break; } else { __label__ = 323; break; } //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 315: 
      var $1748=$3; //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1749=$atom; //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1750=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($1748, $1749, $labelIndex); //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1750) { __label__ = 317; break; } else { __label__ = 316; break; } //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 316: 
      $1=0; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 317: 
      __label__ = 318; break; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 318: 
      var $1754=$stmt; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1755=(($1754)|0); //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1756=HEAPU16[(($1755)>>1)]; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1757=(($1756)&65535); //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1758=(($1757)|0)!=0; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1758) { var $1767 = 1;__label__ = 320; break; } else { __label__ = 319; break; } //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 319: 
      var $1760=$stmt; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1761=(($1760+20)|0); //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1762=$1761; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1763=HEAP32[(($1762)>>2)]; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1764=$atom; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1765=(($1763)|0)!=(($1764)|0); //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1767 = $1765;__label__ = 320; break; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 320: 
      var $1767;
      if ($1767) { __label__ = 321; break; } else { __label__ = 322; break; } //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 321: 
      var $1769=$stmt; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1770=(($1769+24)|0); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1771=HEAP32[(($1770)>>2)]; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1771; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 318; break; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 322: 
      $noteType=16; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 329; break; //@line 5619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 323: 
      HEAP32[(($labelIndex)>>2)]=-1; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 324; break; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 324: 
      var $1775=$stmt; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1776=(($1775)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1777=HEAPU16[(($1776)>>1)]; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1778=(($1777)&65535); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1779=(($1778)|0) >= 11; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1779) { var $1787 = 0;__label__ = 326; break; } else { __label__ = 325; break; } //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 325: 
      var $1781=$stmt; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1782=(($1781)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1783=HEAPU16[(($1782)>>1)]; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1784=(($1783)&65535); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1785=(($1784)|0)!=5; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1787 = $1785;__label__ = 326; break;
    case 326: 
      var $1787;
      if ($1787) { __label__ = 327; break; } else { __label__ = 328; break; }
    case 327: 
      var $1789=$stmt; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1790=(($1789+24)|0); //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1791=HEAP32[(($1790)>>2)]; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1791; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 324; break; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 328: 
      var $1793=$stmt; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1794=(($1793)|0); //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1795=HEAPU16[(($1794)>>1)]; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1796=(($1795)&65535); //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1797=(($1796)|0)==5; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1798=$1797 ? 18 : 1; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteType=$1798; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 329; break;
    case 329: 
      var $1800=$2; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1801=$3; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1802=$stmt; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1803=$stmt; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1804=(($1803+12)|0); //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1805=HEAP32[(($labelIndex)>>2)]; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1806=$noteType; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1807=__ZL8EmitGotoP9JSContextP15JSCodeGeneratorP10JSStmtInfoPij13JSSrcNoteType($1800, $1801, $1802, $1804, $1805, $1806); //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1808=(($1807)|0) < 0; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1808) { __label__ = 330; break; } else { __label__ = 331; break; } //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 330: 
      $1=0; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 331: 
      __label__ = 1223; break; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 332: 
      var $1812=$3; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1813=$1812; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1814=(($1813+24)|0); //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1815=HEAP32[(($1814)>>2)]; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1815; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1816=$4; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1817=(($1816+32)|0); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1818=$1817; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1819=(($1818)|0); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1820=$1819; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1821=HEAP32[(($1820)>>2)]; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $atom=$1821; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1822=$atom; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1823=(($1822)|0)!=0; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1823) { __label__ = 333; break; } else { __label__ = 343; break; } //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 333: 
      $loop=0; //@line 5638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1825=$3; //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1826=$atom; //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1827=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($1825, $1826, $labelIndex2); //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1827) { __label__ = 335; break; } else { __label__ = 334; break; } //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 334: 
      $1=0; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 335: 
      __label__ = 336; break; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 336: 
      var $1831=$stmt; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1832=(($1831)|0); //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1833=HEAPU16[(($1832)>>1)]; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1834=(($1833)&65535); //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1835=(($1834)|0)!=0; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1835) { var $1844 = 1;__label__ = 338; break; } else { __label__ = 337; break; } //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 337: 
      var $1837=$stmt; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1838=(($1837+20)|0); //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1839=$1838; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1840=HEAP32[(($1839)>>2)]; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1841=$atom; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1842=(($1840)|0)!=(($1841)|0); //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1844 = $1842;__label__ = 338; break; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 338: 
      var $1844;
      if ($1844) { __label__ = 339; break; } else { __label__ = 342; break; } //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 339: 
      var $1846=$stmt; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1847=(($1846)|0); //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1848=HEAPU16[(($1847)>>1)]; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1849=(($1848)&65535); //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1850=(($1849)|0) >= 11; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1850) { __label__ = 340; break; } else { __label__ = 341; break; } //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 340: 
      var $1852=$stmt; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $loop=$1852; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 341; break; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 341: 
      var $1854=$stmt; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1855=(($1854+24)|0); //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1856=HEAP32[(($1855)>>2)]; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1856; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 336; break; //@line 5645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 342: 
      var $1858=$loop; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1858; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteType=17; //@line 5647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 347; break; //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 343: 
      HEAP32[(($labelIndex2)>>2)]=-1; //@line 5649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 344; break; //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 344: 
      var $1861=$stmt; //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1862=(($1861)|0); //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1863=HEAPU16[(($1862)>>1)]; //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1864=(($1863)&65535); //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1865=(($1864)|0) >= 11; //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1866=$1865 ^ 1; //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1866) { __label__ = 345; break; } else { __label__ = 346; break; } //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 345: 
      var $1868=$stmt; //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1869=(($1868+24)|0); //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1870=HEAP32[(($1869)>>2)]; //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$1870; //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 344; break; //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 346: 
      $noteType=5; //@line 5652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 347; break;
    case 347: 
      var $1873=$2; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1874=$3; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1875=$stmt; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1876=$stmt; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1877=(($1876+16)|0); //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1878=HEAP32[(($labelIndex2)>>2)]; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1879=$noteType; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1880=__ZL8EmitGotoP9JSContextP15JSCodeGeneratorP10JSStmtInfoPij13JSSrcNoteType($1873, $1874, $1875, $1877, $1878, $1879); //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1881=(($1880)|0) < 0; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1881) { __label__ = 348; break; } else { __label__ = 349; break; } //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 348: 
      $1=0; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 349: 
      __label__ = 1223; break; //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 350: 
      var $1885=$2; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1886=$3; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1887=$4; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1888=(($1887+32)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1889=$1888; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1890=(($1889)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1891=HEAP32[(($1890)>>2)]; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1892=_js_EmitTree($1885, $1886, $1891); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1893=(($1892)|0)!=0; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1893) { __label__ = 352; break; } else { __label__ = 351; break; } //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 351: 
      $1=0; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 352: 
      var $1896=$3; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1897=$1896; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1898=$3; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1899=(($1898+172)|0); //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1900=HEAP32[(($1899)>>2)]; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1901=(($1900+8)|0); //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1902=HEAP32[(($1901)>>2)]; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1903=$3; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1904=(($1903+172)|0); //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1905=HEAP32[(($1904)>>2)]; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1906=(($1905)|0); //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1907=HEAP32[(($1906)>>2)]; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1908=$1902; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1909=$1907; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1910=(($1908-$1909)|0); //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($1897, $stmtInfo, 6, $1910); //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1911=$2; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1912=$3; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1913=_js_Emit1($1911, $1912, 3); //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1914=(($1913)|0) < 0; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1914) { __label__ = 353; break; } else { __label__ = 354; break; } //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 353: 
      $1=0; //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 354: 
      var $1917=$2; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1918=$3; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1919=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($1917, $1918); //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1920=(($1919)|0) < 0; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1920) { __label__ = 355; break; } else { __label__ = 356; break; } //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 355: 
      $1=0; //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 356: 
      var $1923=$2; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1924=$3; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1925=$4; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1926=(($1925+32)|0); //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1927=$1926; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1928=(($1927+4)|0); //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1929=HEAP32[(($1928)>>2)]; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1930=_js_EmitTree($1923, $1924, $1929); //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1931=(($1930)|0)!=0; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1931) { __label__ = 358; break; } else { __label__ = 357; break; } //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 357: 
      $1=0; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 358: 
      var $1934=$2; //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1935=$3; //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1936=_js_Emit1($1934, $1935, 4); //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1937=(($1936)|0) < 0; //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1937) { __label__ = 359; break; } else { __label__ = 360; break; } //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 359: 
      $1=0; //@line 5673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 360: 
      var $1940=$2; //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1941=$3; //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1942=_js_PopStatementCG($1940, $1941); //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$1942; //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 5675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 361: 
      HEAP32[(($catchJump)>>2)]=-1; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1944=$3; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1945=$1944; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1946=$4; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1947=(($1946+32)|0); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1948=$1947; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1949=(($1948+8)|0); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1950=HEAP32[(($1949)>>2)]; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1951=(($1950)|0)!=0; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1952=$1951 ? 9 : 8; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1953=$3; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1954=(($1953+172)|0); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1955=HEAP32[(($1954)>>2)]; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1956=(($1955+8)|0); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1957=HEAP32[(($1956)>>2)]; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1958=$3; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1959=(($1958+172)|0); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1960=HEAP32[(($1959)>>2)]; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1961=(($1960)|0); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1962=HEAP32[(($1961)>>2)]; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1963=$1957; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1964=$1962; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1965=(($1963-$1964)|0); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($1945, $stmtInfo, $1952, $1965); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1966=$3; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1967=(($1966+192)|0); //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1968=HEAP32[(($1967)>>2)]; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $depth=$1968; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1969=$2; //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1970=$3; //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1971=_js_Emit1($1969, $1970, 134); //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1972=(($1971)|0) < 0; //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1972) { __label__ = 362; break; } else { __label__ = 363; break; } //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 362: 
      $1=0; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 363: 
      var $1975=$3; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1976=(($1975+172)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1977=HEAP32[(($1976)>>2)]; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1978=(($1977+8)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1979=HEAP32[(($1978)>>2)]; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1980=$3; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1981=(($1980+172)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1982=HEAP32[(($1981)>>2)]; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1983=(($1982)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1984=HEAP32[(($1983)>>2)]; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1985=$1979; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1986=$1984; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1987=(($1985-$1986)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tryStart=$1987; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1988=$2; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1989=$3; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1990=$4; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1991=(($1990+32)|0); //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1992=$1991; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1993=(($1992)|0); //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1994=HEAP32[(($1993)>>2)]; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1995=_js_EmitTree($1988, $1989, $1994); //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1996=(($1995)|0)!=0; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1996) { __label__ = 365; break; } else { __label__ = 364; break; } //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 364: 
      $1=0; //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 365: 
      var $1999=$4; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2000=(($1999+32)|0); //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2001=$2000; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2002=(($2001+8)|0); //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2003=HEAP32[(($2002)>>2)]; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2004=(($2003)|0)!=0; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2004) { __label__ = 366; break; } else { __label__ = 371; break; } //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 366: 
      var $2006=$2; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2007=$3; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2008=_js_NewSrcNote($2006, $2007, 11); //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2009=(($2008)|0) < 0; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2009) { __label__ = 367; break; } else { __label__ = 368; break; } //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 367: 
      $1=0; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 368: 
      var $2012=$2; //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2013=$3; //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2014=(($stmtInfo+12)|0); //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2015=__ZL15EmitBackPatchOpP9JSContextP15JSCodeGenerator4JSOpPi($2012, $2013, 151, $2014); //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$2015; //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2016=$jmp; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2017=(($2016)|0) < 0; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2017) { __label__ = 369; break; } else { __label__ = 370; break; } //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 369: 
      $1=0; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 370: 
      __label__ = 371; break; //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 371: 
      var $2021=$2; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2022=$3; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2023=_js_NewSrcNote($2021, $2022, 11); //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2024=(($2023)|0) < 0; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2024) { __label__ = 372; break; } else { __label__ = 373; break; } //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 372: 
      $1=0; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 373: 
      var $2027=$2; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2028=$3; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2029=__ZL15EmitBackPatchOpP9JSContextP15JSCodeGenerator4JSOpPi($2027, $2028, 151, $catchJump); //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$2029; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2030=$jmp; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2031=(($2030)|0) < 0; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2031) { __label__ = 374; break; } else { __label__ = 375; break; } //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 374: 
      $1=0; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 375: 
      var $2034=$3; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2035=(($2034+172)|0); //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2036=HEAP32[(($2035)>>2)]; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2037=(($2036+8)|0); //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2038=HEAP32[(($2037)>>2)]; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2039=$3; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2040=(($2039+172)|0); //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2041=HEAP32[(($2040)>>2)]; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2042=(($2041)|0); //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2043=HEAP32[(($2042)>>2)]; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2044=$2038; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2045=$2043; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2046=(($2044-$2045)|0); //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tryEnd=$2046; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $prevBox=0; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2047=$4; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2048=(($2047+32)|0); //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2049=$2048; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2050=(($2049+4)|0); //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2051=HEAP32[(($2050)>>2)]; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2051; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $lastCatch=0; //@line 5738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2052=$pn2; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2053=(($2052)|0)!=0; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2053) { __label__ = 376; break; } else { __label__ = 409; break; } //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 376: 
      $count=0; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2055=$pn2; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2056=(($2055+32)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2057=$2056; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2058=(($2057)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2059=HEAP32[(($2058)>>2)]; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$2059; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 377; break; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 377: 
      var $2061=$pn3; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2062=(($2061)|0)!=0; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2062) { __label__ = 378; break; } else { __label__ = 408; break; } //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 378: 
      var $2064=(($stmtInfo+16)|0); //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2065=HEAP32[(($2064)>>2)]; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $guardJump=$2065; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2066=$guardJump; //@line 5770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2067=(($2066)|0)!=-1; //@line 5770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2067) { __label__ = 379; break; } else { __label__ = 394; break; } //@line 5770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 379: 
      var $2069=$2; //@line 5771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2070=$3; //@line 5771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2071=$prevBox; //@line 5771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2072=__ZL19EmitKnownBlockChainP9JSContextP15JSCodeGeneratorP11JSObjectBox($2069, $2070, $2071); //@line 5771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2073=(($2072)|0) < 0; //@line 5771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2073) { __label__ = 380; break; } else { __label__ = 381; break; } //@line 5771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 380: 
      $1=0; //@line 5772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 381: 
      __label__ = 382; break; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 382: 
      var $2077=$2; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2078=$3; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2079=$3; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2080=(($2079+172)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2081=HEAP32[(($2080)>>2)]; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2082=(($2081)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2083=HEAP32[(($2082)>>2)]; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2084=$guardJump; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2085=(($2083+$2084)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2086=$3; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2087=(($2086+172)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2088=HEAP32[(($2087)>>2)]; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2089=(($2088+8)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2090=HEAP32[(($2089)>>2)]; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2091=$3; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2092=(($2091+172)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2093=HEAP32[(($2092)>>2)]; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2094=(($2093)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2095=HEAP32[(($2094)>>2)]; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2096=$2090; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2097=$2095; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2098=(($2096-$2097)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2099=$guardJump; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2100=(($2098-$2099)|0); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2101=_js_SetJumpOffset($2077, $2078, $2085, $2100); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2102=(($2101)|0)!=0; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2102) { __label__ = 384; break; } else { __label__ = 383; break; } //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 383: 
      $1=0; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 384: 
      __label__ = 385; break; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 385: 
      __label__ = 386; break; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 386: 
      var $2107=$depth; //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2108=$count; //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2109=(($2107+$2108)|0); //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2110=(($2109+1)|0); //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2111=$3; //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2112=(($2111+192)|0); //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($2112)>>2)]=$2110; //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2113=$2; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2114=$3; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2115=_js_NewSrcNote($2113, $2114, 11); //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2116=(($2115)|0) < 0; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2116) { __label__ = 388; break; } else { __label__ = 387; break; } //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 387: 
      var $2118=$2; //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2119=$3; //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2120=_js_Emit1($2118, $2119, 153); //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2121=(($2120)|0) < 0; //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2121) { __label__ = 388; break; } else { __label__ = 389; break; } //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 388: 
      $1=0; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 389: 
      var $2124=$2; //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2125=$3; //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2126=_js_NewSrcNote($2124, $2125, 11); //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2127=(($2126)|0) < 0; //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2127) { __label__ = 390; break; } else { __label__ = 391; break; } //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 390: 
      $1=0; //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 391: 
      var $2130=$2; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2131=$3; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2132=$prevBox; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2133=__ZL14EmitLeaveBlockP9JSContextP15JSCodeGenerator4JSOpP11JSObjectBox($2130, $2131, 202, $2132); //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2134=(($2133)|0)!=0; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2134) { __label__ = 393; break; } else { __label__ = 392; break; } //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 392: 
      $1=0; //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 393: 
      __label__ = 394; break; //@line 5799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 394: 
      var $2138=$2; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2139=$3; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2140=_js_NewSrcNote2($2138, $2139, 20, 0); //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $catchNote=$2140; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2141=$catchNote; //@line 5809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2142=(($2141)|0) < 0; //@line 5809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2142) { __label__ = 395; break; } else { __label__ = 396; break; } //@line 5809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 395: 
      $1=0; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 396: 
      var $2145=$catchNote; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2146=(($stmtInfo+8)|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($2146)>>2)]=$2145; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2147=$pn3; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2148=(($2147+32)|0); //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2149=$2148; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2150=(($2149)|0); //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2151=$2150; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2152=HEAP32[(($2151)>>2)]; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2153=(($2152+8)|0); //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2154=HEAP32[(($2153)>>2)]; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2155=__ZNK8JSObject13propertyCountEv($2154); //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $count=$2155; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2156=$pn3; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2157=(($2156+32)|0); //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2158=$2157; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2159=(($2158)|0); //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2160=$2159; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2161=HEAP32[(($2160)>>2)]; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $prevBox=$2161; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2162=$2; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2163=$3; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2164=$pn3; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2165=_js_EmitTree($2162, $2163, $2164); //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2166=(($2165)|0)!=0; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2166) { __label__ = 398; break; } else { __label__ = 397; break; } //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 397: 
      $1=0; //@line 5822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 398: 
      var $2169=$4; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2170=(($2169+32)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2171=$2170; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2172=(($2171+8)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2173=HEAP32[(($2172)>>2)]; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2174=(($2173)|0)!=0; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2174) { __label__ = 399; break; } else { __label__ = 402; break; } //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 399: 
      var $2176=$2; //@line 5826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2177=$3; //@line 5826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2178=(($stmtInfo+12)|0); //@line 5826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2179=__ZL15EmitBackPatchOpP9JSContextP15JSCodeGenerator4JSOpPi($2176, $2177, 151, $2178); //@line 5826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$2179; //@line 5826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2180=$jmp; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2181=(($2180)|0) < 0; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2181) { __label__ = 400; break; } else { __label__ = 401; break; } //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 400: 
      $1=0; //@line 5829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 401: 
      __label__ = 402; break; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 402: 
      var $2185=$2; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2186=$3; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2187=_js_NewSrcNote($2185, $2186, 11); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2188=(($2187)|0) < 0; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2188) { __label__ = 403; break; } else { __label__ = 404; break; } //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 403: 
      $1=0; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 404: 
      var $2191=$2; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2192=$3; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2193=__ZL15EmitBackPatchOpP9JSContextP15JSCodeGenerator4JSOpPi($2191, $2192, 151, $catchJump); //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$2193; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2194=$jmp; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2195=(($2194)|0) < 0; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2195) { __label__ = 405; break; } else { __label__ = 406; break; } //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 405: 
      $1=0; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 406: 
      var $2198=$pn3; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2199=__ZNK11JSParseNode4exprEv($2198); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $lastCatch=$2199; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 407; break; //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 407: 
      var $2201=$pn3; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2202=(($2201+24)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2203=HEAP32[(($2202)>>2)]; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$2203; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 377; break; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 408: 
      __label__ = 409; break; //@line 5849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 409: 
      var $2206=$lastCatch; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2207=(($2206)|0)!=0; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2207) { __label__ = 410; break; } else { __label__ = 424; break; } //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 410: 
      var $2209=$lastCatch; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2210=(($2209+32)|0); //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2211=$2210; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2212=(($2211+4)|0); //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2213=HEAP32[(($2212)>>2)]; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2214=(($2213)|0)!=0; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2214) { __label__ = 411; break; } else { __label__ = 424; break; } //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 411: 
      var $2216=$2; //@line 5858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2217=$3; //@line 5858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2218=$prevBox; //@line 5858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2219=__ZL19EmitKnownBlockChainP9JSContextP15JSCodeGeneratorP11JSObjectBox($2216, $2217, $2218); //@line 5858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2220=(($2219)|0) < 0; //@line 5858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2220) { __label__ = 412; break; } else { __label__ = 413; break; } //@line 5858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 412: 
      $1=0; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 413: 
      __label__ = 414; break; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 414: 
      var $2224=$2; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2225=$3; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2226=$3; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2227=(($2226+172)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2228=HEAP32[(($2227)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2229=(($2228)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2230=HEAP32[(($2229)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2231=(($stmtInfo+16)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2232=HEAP32[(($2231)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2233=(($2230+$2232)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2234=$3; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2235=(($2234+172)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2236=HEAP32[(($2235)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2237=(($2236+8)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2238=HEAP32[(($2237)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2239=$3; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2240=(($2239+172)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2241=HEAP32[(($2240)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2242=(($2241)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2243=HEAP32[(($2242)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2244=$2238; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2245=$2243; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2246=(($2244-$2245)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2247=(($stmtInfo+16)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2248=HEAP32[(($2247)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2249=(($2246-$2248)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2250=_js_SetJumpOffset($2224, $2225, $2233, $2249); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2251=(($2250)|0)!=0; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2251) { __label__ = 416; break; } else { __label__ = 415; break; } //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 415: 
      $1=0; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 416: 
      __label__ = 417; break; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 417: 
      __label__ = 418; break; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 418: 
      var $2256=$depth; //@line 5865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2257=(($2256+1)|0); //@line 5865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2258=$3; //@line 5865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2259=(($2258+192)|0); //@line 5865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($2259)>>2)]=$2257; //@line 5865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2260=$2; //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2261=$3; //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2262=_js_NewSrcNote($2260, $2261, 11); //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2263=(($2262)|0) < 0; //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2263) { __label__ = 420; break; } else { __label__ = 419; break; } //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 419: 
      var $2265=$2; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2266=$3; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2267=_js_Emit1($2265, $2266, 112); //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2268=(($2267)|0) < 0; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2268) { __label__ = 420; break; } else { __label__ = 421; break; } //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 420: 
      $1=0; //@line 5873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 421: 
      var $2271=$2; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2272=$3; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2273=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($2271, $2272); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2274=(($2273)|0) < 0; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2274) { __label__ = 422; break; } else { __label__ = 423; break; } //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 422: 
      $1=0; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 423: 
      __label__ = 424; break; //@line 5878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 424: 
      $finallyStart=0; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2278=$4; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2279=(($2278+32)|0); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2280=$2279; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2281=(($2280+8)|0); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2282=HEAP32[(($2281)>>2)]; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2283=(($2282)|0)!=0; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2283) { __label__ = 425; break; } else { __label__ = 434; break; } //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 425: 
      var $2285=$2; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2286=$3; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2287=(($stmtInfo+12)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2288=HEAP32[(($2287)>>2)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2289=$3; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2290=(($2289+172)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2291=HEAP32[(($2290)>>2)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2292=(($2291+8)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2293=HEAP32[(($2292)>>2)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2294=__ZL9BackPatchP9JSContextP15JSCodeGeneratoriPhh($2285, $2286, $2288, $2293, 116); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2295=(($2294)|0)!=0; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2295) { __label__ = 427; break; } else { __label__ = 426; break; } //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 426: 
      $1=0; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 427: 
      var $2298=$3; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2299=(($2298+172)|0); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2300=HEAP32[(($2299)>>2)]; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2301=(($2300+8)|0); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2302=HEAP32[(($2301)>>2)]; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2303=$3; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2304=(($2303+172)|0); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2305=HEAP32[(($2304)>>2)]; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2306=(($2305)|0); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2307=HEAP32[(($2306)>>2)]; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2308=$2302; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2309=$2307; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2310=(($2308-$2309)|0); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $finallyStart=$2310; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2311=(($stmtInfo)|0); //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($2311)>>1)]=10; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2312=$2; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2313=$3; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2314=$4; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2315=(($2314+32)|0); //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2316=$2315; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2317=(($2316+8)|0); //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2318=HEAP32[(($2317)>>2)]; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2319=(($2318+4)|0); //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2320=(($2319)|0); //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2321=(($2320+4)|0); //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2322=HEAP32[(($2321)>>2)]; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2323=__ZL21UpdateLineNumberNotesP9JSContextP15JSCodeGeneratorj($2312, $2313, $2322); //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2324=(($2323)|0)!=0; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2324) { __label__ = 429; break; } else { __label__ = 428; break; } //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 428: 
      $1=0; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 429: 
      var $2327=$2; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2328=$3; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2329=_js_Emit1($2327, $2328, 135); //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2330=(($2329)|0) < 0; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2330) { __label__ = 432; break; } else { __label__ = 430; break; } //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 430: 
      var $2332=$2; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2333=$3; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2334=$4; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2335=(($2334+32)|0); //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2336=$2335; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2337=(($2336+8)|0); //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2338=HEAP32[(($2337)>>2)]; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2339=_js_EmitTree($2332, $2333, $2338); //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2340=(($2339)|0)!=0; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2340) { __label__ = 431; break; } else { __label__ = 432; break; } //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 431: 
      var $2342=$2; //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2343=$3; //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2344=_js_Emit1($2342, $2343, 117); //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2345=(($2344)|0) < 0; //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2345) { __label__ = 432; break; } else { __label__ = 433; break; } //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 432: 
      $1=0; //@line 5901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 433: 
      __label__ = 434; break; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 434: 
      var $2349=$2; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2350=$3; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2351=_js_PopStatementCG($2349, $2350); //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2352=(($2351)|0)!=0; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2352) { __label__ = 436; break; } else { __label__ = 435; break; } //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 435: 
      $1=0; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 436: 
      var $2355=$2; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2356=$3; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2357=_js_NewSrcNote($2355, $2356, 15); //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2358=(($2357)|0) < 0; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2358) { __label__ = 438; break; } else { __label__ = 437; break; } //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 437: 
      var $2360=$2; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2361=$3; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2362=_js_Emit1($2360, $2361, 0); //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2363=(($2362)|0) < 0; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2363) { __label__ = 438; break; } else { __label__ = 439; break; } //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 438: 
      $1=0; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 439: 
      var $2366=$2; //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2367=$3; //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2368=HEAP32[(($catchJump)>>2)]; //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2369=$3; //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2370=(($2369+172)|0); //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2371=HEAP32[(($2370)>>2)]; //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2372=(($2371+8)|0); //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2373=HEAP32[(($2372)>>2)]; //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2374=__ZL9BackPatchP9JSContextP15JSCodeGeneratoriPhh($2366, $2367, $2368, $2373, 6); //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2375=(($2374)|0)!=0; //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2375) { __label__ = 441; break; } else { __label__ = 440; break; } //@line 5914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 440: 
      $1=0; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 441: 
      var $2378=$4; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2379=(($2378+32)|0); //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2380=$2379; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2381=(($2380+4)|0); //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2382=HEAP32[(($2381)>>2)]; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2383=(($2382)|0)!=0; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2383) { __label__ = 442; break; } else { __label__ = 444; break; } //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 442: 
      var $2385=$2; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2386=$3; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2387=$depth; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2388=$tryStart; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2389=$tryEnd; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2390=__ZL10NewTryNoteP9JSContextP15JSCodeGenerator13JSTryNoteKindjjj($2385, $2386, 0, $2387, $2388, $2389); //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2391=(($2390)|0)!=0; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2391) { __label__ = 444; break; } else { __label__ = 443; break; } //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 443: 
      $1=0; //@line 5923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 444: 
      var $2394=$4; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2395=(($2394+32)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2396=$2395; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2397=(($2396+8)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2398=HEAP32[(($2397)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2399=(($2398)|0)!=0; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2399) { __label__ = 445; break; } else { __label__ = 447; break; } //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 445: 
      var $2401=$2; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2402=$3; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2403=$depth; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2404=$tryStart; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2405=$finallyStart; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2406=__ZL10NewTryNoteP9JSContextP15JSCodeGenerator13JSTryNoteKindjjj($2401, $2402, 1, $2403, $2404, $2405); //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2407=(($2406)|0)!=0; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2407) { __label__ = 447; break; } else { __label__ = 446; break; } //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 446: 
      $1=0; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 447: 
      __label__ = 1223; break; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 448: 
      var $2411=$3; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2412=$2411; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2413=(($2412+24)|0); //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2414=HEAP32[(($2413)>>2)]; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$2414; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2415=$stmt; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2416=(($2415)|0); //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($2416)>>1)]=7; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2417=$stmt; //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2418=(($2417+8)|0); //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2419=HEAP32[(($2418)>>2)]; //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $catchStart=$2419; //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2420=$stmt; //@line 5952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2421=(($2420+24)|0); //@line 5952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2422=HEAP32[(($2421)>>2)]; //@line 5952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$2422; //@line 5952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2423=$2; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2424=$3; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2425=_js_Emit1($2423, $2424, 118); //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2426=(($2425)|0) < 0; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2426) { __label__ = 449; break; } else { __label__ = 450; break; } //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 449: 
      $1=0; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 450: 
      var $2429=$4; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2430=(($2429+32)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2431=$2430; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2432=(($2431+4)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2433=HEAP32[(($2432)>>2)]; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2434=(($2433)|0)!=0; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2434) { __label__ = 451; break; } else { __label__ = 453; break; } //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 451: 
      var $2436=$2; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2437=$3; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2438=_js_Emit1($2436, $2437, 12); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2439=(($2438)|0) < 0; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2439) { __label__ = 452; break; } else { __label__ = 453; break; } //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 452: 
      $1=0; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 453: 
      var $2442=$4; //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2443=(($2442+32)|0); //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2444=$2443; //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2445=(($2444)|0); //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2446=HEAP32[(($2445)>>2)]; //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2446; //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2447=$pn2; //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2448=__ZNK11JSParseNode7getKindEv($2447); //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($2448)|0) == 24 || (($2448)|0) == 26) {
        __label__ = 454; break;
      }
      else if ((($2448)|0) == 29) {
        __label__ = 459; break;
      }
      else {
      __label__ = 465; break;
      }
      
    case 454: 
      var $2450=$2; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2451=$3; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2452=$pn2; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2453=__ZL20EmitDestructuringOpsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode($2450, $2451, 0, $2452); //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2454=(($2453)|0)!=0; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2454) { __label__ = 456; break; } else { __label__ = 455; break; } //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 455: 
      $1=0; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 456: 
      var $2457=$2; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2458=$3; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2459=_js_Emit1($2457, $2458, 81); //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2460=(($2459)|0) < 0; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2460) { __label__ = 457; break; } else { __label__ = 458; break; } //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 457: 
      $1=0; //@line 5974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 458: 
      __label__ = 466; break; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 459: 
      __label__ = 460; break; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 460: 
      var $2465=$2; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2466=$3; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2467=$pn2; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2468=(($2467+32)|0); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2469=$2468; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2470=(($2469+8)|0); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2471=__ZNK2js11UpvarCookie9asIntegerEv($2470); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2472=$2471 >>> 8; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2473=(($2472) & 255); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2474=$pn2; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2475=(($2474+32)|0); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2476=$2475; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2477=(($2476+8)|0); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2478=__ZNK2js11UpvarCookie9asIntegerEv($2477); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2479=(($2478) & 255); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2480=_js_Emit3($2465, $2466, 132, $2473, $2479); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2481=(($2480)|0) < 0; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2481) { __label__ = 461; break; } else { __label__ = 462; break; } //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 461: 
      $1=0; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 462: 
      var $2484=$2; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2485=$3; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($2484, $2485, 132); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 463; break; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 463: 
      __label__ = 464; break; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 464: 
      __label__ = 466; break; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 465: 
      __label__ = 466; break; //@line 5986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 466: 
      var $2490=$4; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2491=(($2490+32)|0); //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2492=$2491; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2493=(($2492+4)|0); //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2494=HEAP32[(($2493)>>2)]; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2495=(($2494)|0)!=0; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2495) { __label__ = 467; break; } else { __label__ = 476; break; } //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 467: 
      var $2497=$2; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2498=$3; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2499=$4; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2500=(($2499+32)|0); //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2501=$2500; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2502=(($2501+4)|0); //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2503=HEAP32[(($2502)>>2)]; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2504=_js_EmitTree($2497, $2498, $2503); //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2505=(($2504)|0)!=0; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2505) { __label__ = 469; break; } else { __label__ = 468; break; } //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 468: 
      $1=0; //@line 5991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 469: 
      var $2508=$2; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2509=$3; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2510=$stmt; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2511=(($2510+8)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2512=HEAP32[(($2511)>>2)]; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2513=$3; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2514=(($2513+172)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2515=HEAP32[(($2514)>>2)]; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2516=(($2515+8)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2517=HEAP32[(($2516)>>2)]; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2518=$3; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2519=(($2518+172)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2520=HEAP32[(($2519)>>2)]; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2521=(($2520)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2522=HEAP32[(($2521)>>2)]; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2523=$2517; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2524=$2522; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2525=(($2523-$2524)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2526=$catchStart; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2527=(($2525-$2526)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2528=_js_SetSrcNoteOffset($2508, $2509, $2512, 0, $2527); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2529=(($2528)|0)!=0; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2529) { __label__ = 471; break; } else { __label__ = 470; break; } //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 470: 
      $1=0; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 471: 
      var $2532=$2; //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2533=$3; //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2534=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($2532, $2533, 7, 0); //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $guardJump3=$2534; //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2535=$guardJump3; //@line 5998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2536=(($2535)|0) < 0; //@line 5998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2536) { __label__ = 472; break; } else { __label__ = 473; break; } //@line 5998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 472: 
      $1=0; //@line 5999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 5999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 473: 
      var $2539=$guardJump3; //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2540=$stmt; //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2541=(($2540+16)|0); //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($2541)>>2)]=$2539; //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2542=$2; //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2543=$3; //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2544=_js_Emit1($2542, $2543, 81); //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2545=(($2544)|0) < 0; //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2545) { __label__ = 474; break; } else { __label__ = 475; break; } //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 474: 
      $1=0; //@line 6004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 475: 
      __label__ = 476; break; //@line 6005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 476: 
      var $2549=$2; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2550=$3; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2551=$4; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2552=(($2551+32)|0); //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2553=$2552; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2554=(($2553+8)|0); //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2555=HEAP32[(($2554)>>2)]; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2556=_js_EmitTree($2549, $2550, $2555); //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2557=(($2556)|0)!=0; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2557) { __label__ = 478; break; } else { __label__ = 477; break; } //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 477: 
      $1=0; //@line 6009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 478: 
      var $2560=$3; //@line 6015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2561=(($2560+192)|0); //@line 6015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2562=HEAP32[(($2561)>>2)]; //@line 6015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$2562; //@line 6015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2563=$2; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2564=$3; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2565=$off; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2566=_js_NewSrcNote2($2563, $2564, 20, $2565); //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2567=(($2566)|0) < 0; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2567) { __label__ = 479; break; } else { __label__ = 480; break; } //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 479: 
      $1=0; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 480: 
      __label__ = 1223; break; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 481: 
      var $2571=$2; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2572=$3; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2573=$4; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2574=__ZL13EmitVariablesP9JSContextP15JSCodeGeneratorP11JSParseNodeiPi($2571, $2572, $2573, 0, $noteIndex); //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2575=(($2574)|0)!=0; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2575) { __label__ = 483; break; } else { __label__ = 482; break; } //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 482: 
      $1=0; //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 483: 
      __label__ = 1223; break; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 484: 
      var $2579=$4; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2580=(($2579+32)|0); //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2581=$2580; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2582=(($2581)|0); //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2583=HEAP32[(($2582)>>2)]; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2583; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2584=$pn2; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2585=(($2584)|0)!=0; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2585) { __label__ = 485; break; } else { __label__ = 488; break; } //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 485: 
      var $2587=$2; //@line 6030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2588=$3; //@line 6030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2589=$pn2; //@line 6030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2590=_js_EmitTree($2587, $2588, $2589); //@line 6030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2591=(($2590)|0)!=0; //@line 6030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2591) { __label__ = 487; break; } else { __label__ = 486; break; } //@line 6030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 486: 
      $1=0; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 487: 
      __label__ = 491; break; //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 488: 
      var $2595=$2; //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2596=$3; //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2597=_js_Emit1($2595, $2596, 1); //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2598=(($2597)|0) < 0; //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2598) { __label__ = 489; break; } else { __label__ = 490; break; } //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 489: 
      $1=0; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 490: 
      __label__ = 491; break;
    case 491: 
      var $2602=$3; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2603=(($2602+172)|0); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2604=HEAP32[(($2603)>>2)]; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2605=(($2604+8)|0); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2606=HEAP32[(($2605)>>2)]; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2607=$3; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2608=(($2607+172)|0); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2609=HEAP32[(($2608)>>2)]; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2610=(($2609)|0); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2611=HEAP32[(($2610)>>2)]; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2612=$2606; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2613=$2611; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2614=(($2612-$2613)|0); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$2614; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2615=$2; //@line 6049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2616=$3; //@line 6049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2617=_js_Emit1($2615, $2616, 5); //@line 6049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2618=(($2617)|0) < 0; //@line 6049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2618) { __label__ = 492; break; } else { __label__ = 493; break; } //@line 6049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 492: 
      $1=0; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 493: 
      var $2621=$2; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2622=$3; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2623=__ZL21EmitNonLocalJumpFixupP9JSContextP15JSCodeGeneratorP10JSStmtInfo($2621, $2622, 0); //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2624=(($2623)|0)!=0; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2624) { __label__ = 495; break; } else { __label__ = 494; break; } //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 494: 
      $1=0; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 495: 
      var $2627=$top; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2628=(($2627+1)|0); //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2629=$3; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2630=(($2629+172)|0); //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2631=HEAP32[(($2630)>>2)]; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2632=(($2631+8)|0); //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2633=HEAP32[(($2632)>>2)]; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2634=$3; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2635=(($2634+172)|0); //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2636=HEAP32[(($2635)>>2)]; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2637=(($2636)|0); //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2638=HEAP32[(($2637)>>2)]; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2639=$2633; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2640=$2638; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2641=(($2639-$2640)|0); //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2642=(($2628)|0)!=(($2641)|0); //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2642) { __label__ = 496; break; } else { __label__ = 501; break; } //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 496: 
      var $2644=$top; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2645=$3; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2646=(($2645+172)|0); //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2647=HEAP32[(($2646)>>2)]; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2648=(($2647)|0); //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2649=HEAP32[(($2648)>>2)]; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2650=(($2649+$2644)|0); //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($2650)]=-102; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2651=$2; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2652=$3; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2653=_js_Emit1($2651, $2652, 155); //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2654=(($2653)|0) < 0; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2654) { __label__ = 497; break; } else { __label__ = 498; break; } //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 497: 
      $1=0; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 498: 
      var $2657=$2; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2658=$3; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2659=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($2657, $2658); //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2660=(($2659)|0) < 0; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2660) { __label__ = 499; break; } else { __label__ = 500; break; } //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 499: 
      $1=0; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 500: 
      __label__ = 501; break; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 501: 
      __label__ = 1223; break; //@line 6060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 502: 
      var $2665=$4; //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2666=(($2665+32)|0); //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2667=$2666; //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2668=(($2667)|0); //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2669=HEAP32[(($2668)>>2)]; //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2670=(($2669)|0)!=0; //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2670) { __label__ = 503; break; } else { __label__ = 506; break; } //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 503: 
      var $2672=$2; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2673=$3; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2674=$4; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2675=(($2674+32)|0); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2676=$2675; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2677=(($2676)|0); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2678=HEAP32[(($2677)>>2)]; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2679=_js_EmitTree($2672, $2673, $2678); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2680=(($2679)|0)!=0; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2680) { __label__ = 505; break; } else { __label__ = 504; break; } //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 504: 
      $1=0; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 505: 
      __label__ = 509; break; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 506: 
      var $2684=$2; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2685=$3; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2686=_js_Emit1($2684, $2685, 1); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2687=(($2686)|0) < 0; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2687) { __label__ = 507; break; } else { __label__ = 508; break; } //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 507: 
      $1=0; //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 508: 
      __label__ = 509; break;
    case 509: 
      var $2691=$4; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2692=(($2691+32)|0); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2693=$2692; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2694=(($2693+8)|0); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2695=HEAP32[(($2694)>>2)]; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2696=(($2695)|0)!=0; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2696) { __label__ = 510; break; } else { __label__ = 512; break; } //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 510: 
      var $2698=$2; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2699=$3; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2700=_js_NewSrcNote($2698, $2699, 11); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2701=(($2700)|0) < 0; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2701) { __label__ = 511; break; } else { __label__ = 512; break; } //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 511: 
      $1=0; //@line 6073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 512: 
      var $2704=$2; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2705=$3; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2706=_js_Emit1($2704, $2705, 206); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2707=(($2706)|0) < 0; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2707) { __label__ = 513; break; } else { __label__ = 514; break; } //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 513: 
      $1=0; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 514: 
      __label__ = 1223; break; //@line 6076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 515: 
      var $2711=$4; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2712=__ZNK11JSParseNode7isArityE16JSParseNodeArity($2711, 1); //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2712) { __label__ = 516; break; } else { __label__ = 521; break; } //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 516: 
      var $2714=$2; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2715=$3; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2716=$4; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2717=(($2716+32)|0); //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2718=$2717; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2719=(($2718)|0); //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2720=HEAP32[(($2719)>>2)]; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2721=_js_EmitTree($2714, $2715, $2720); //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2722=(($2721)|0)!=0; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2722) { __label__ = 518; break; } else { __label__ = 517; break; } //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 517: 
      $1=0; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 518: 
      var $2725=$2; //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2726=$3; //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2727=$4; //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2728=__ZNK11JSParseNode5getOpEv($2727); //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2729=_js_Emit1($2725, $2726, $2728); //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2730=(($2729)|0) < 0; //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2730) { __label__ = 519; break; } else { __label__ = 520; break; } //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 519: 
      $1=0; //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 520: 
      __label__ = 1223; break; //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 521: 
      HEAP32[(($noteIndex)>>2)]=-1; //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2734=$3; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2735=(($2734+172)|0); //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2736=HEAP32[(($2735)>>2)]; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2737=(($2736+8)|0); //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2738=HEAP32[(($2737)>>2)]; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2739=$3; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2740=(($2739+172)|0); //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2741=HEAP32[(($2740)>>2)]; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2742=(($2741)|0); //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2743=HEAP32[(($2742)>>2)]; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2744=$2738; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2745=$2743; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2746=(($2744-$2745)|0); //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp=$2746; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2747=$4; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2748=(($2747+32)|0); //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2749=$2748; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2750=$2749; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2751=(($2750+12)|0); //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2752=$2751; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2753=HEAP32[(($2752)>>2)]; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2754=$2753 & 4095; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2755=$2754 & 128; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2756=(($2755)|0)!=0; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2756) { __label__ = 522; break; } else { __label__ = 526; break; } //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 522: 
      var $2758=$2; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2759=$3; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2760=_js_NewSrcNote2($2758, $2759, 10, 0); //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$2760; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2761=HEAP32[(($noteIndex)>>2)]; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2762=(($2761)|0) < 0; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2762) { __label__ = 524; break; } else { __label__ = 523; break; } //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 523: 
      var $2764=$2; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2765=$3; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2766=_js_Emit1($2764, $2765, 0); //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2767=(($2766)|0) < 0; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2767) { __label__ = 524; break; } else { __label__ = 525; break; } //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 524: 
      $1=0; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 525: 
      __label__ = 526; break; //@line 6099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 526: 
      var $2771=$3; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2772=$2771; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2773=$top; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($2772, $stmtInfo, 4, $2773); //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2774=$4; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2775=(($2774+32)|0); //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2776=$2775; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2777=(($2776)|0); //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2778=HEAP32[(($2777)>>2)]; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pnchild=$2778; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2779=$4; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2780=(($2779+32)|0); //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2781=$2780; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2782=$2781; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2783=(($2782+12)|0); //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2784=$2783; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2785=HEAP32[(($2784)>>2)]; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2786=$2785 & 4095; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2787=$2786 & 256; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2788=(($2787)|0)!=0; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2788) { __label__ = 527; break; } else { __label__ = 543; break; } //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 527: 
      var $2790=$4; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2791=(($2790+32)|0); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2792=$2791; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2793=$2792; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2794=(($2793+12)|0); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2795=$2794; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2796=HEAP32[(($2795)>>2)]; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2797=$2796 & 4095; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2798=$2797 & 512; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2799=(($2798)|0)!=0; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2799) { __label__ = 528; break; } else { __label__ = 531; break; } //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 528: 
      var $2801=$2; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2802=$3; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2803=$pnchild; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2804=_js_EmitTree($2801, $2802, $2803); //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2805=(($2804)|0)!=0; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2805) { __label__ = 530; break; } else { __label__ = 529; break; } //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 529: 
      $1=0; //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 530: 
      var $2808=$pnchild; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2809=(($2808+24)|0); //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2810=HEAP32[(($2809)>>2)]; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pnchild=$2810; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 531; break; //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 531: 
      var $2812=$pnchild; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2812; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 532; break; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 532: 
      var $2814=$pn2; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2815=(($2814)|0)!=0; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2815) { __label__ = 533; break; } else { __label__ = 542; break; } //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 533: 
      var $2817=$pn2; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2818=__ZNK11JSParseNode6isKindEN2js9TokenKindE($2817, 34); //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2818) { __label__ = 534; break; } else { __label__ = 540; break; } //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 534: 
      var $2820=$pn2; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2821=__ZNK11JSParseNode4isOpE4JSOp($2820, 0); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2821) { __label__ = 535; break; } else { __label__ = 538; break; } //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 535: 
      var $2823=$2; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2824=$3; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2825=$pn2; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2826=_js_EmitTree($2823, $2824, $2825); //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2827=(($2826)|0)!=0; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2827) { __label__ = 537; break; } else { __label__ = 536; break; } //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 536: 
      $1=0; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 537: 
      __label__ = 539; break; //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 538: 
      __label__ = 539; break;
    case 539: 
      __label__ = 540; break; //@line 6143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 540: 
      __label__ = 541; break; //@line 6144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 541: 
      var $2834=$pn2; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2835=(($2834+24)|0); //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2836=HEAP32[(($2835)>>2)]; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2836; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 532; break; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 542: 
      __label__ = 543; break; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 543: 
      var $2839=$pnchild; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2839; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 544; break; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 544: 
      var $2841=$pn2; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2842=(($2841)|0)!=0; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2842) { __label__ = 545; break; } else { __label__ = 549; break; } //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 545: 
      var $2844=$2; //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2845=$3; //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2846=$pn2; //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2847=_js_EmitTree($2844, $2845, $2846); //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2848=(($2847)|0)!=0; //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2848) { __label__ = 547; break; } else { __label__ = 546; break; } //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 546: 
      $1=0; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 547: 
      __label__ = 548; break; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 548: 
      var $2852=$pn2; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2853=(($2852+24)|0); //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2854=HEAP32[(($2853)>>2)]; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2854; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 544; break; //@line 6146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 549: 
      var $2856=HEAP32[(($noteIndex)>>2)]; //@line 6151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2857=(($2856)|0) >= 0; //@line 6151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2857) { __label__ = 550; break; } else { __label__ = 552; break; } //@line 6151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 550: 
      var $2859=$2; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2860=$3; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2861=HEAP32[(($noteIndex)>>2)]; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2862=$3; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2863=(($2862+172)|0); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2864=HEAP32[(($2863)>>2)]; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2865=(($2864+8)|0); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2866=HEAP32[(($2865)>>2)]; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2867=$3; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2868=(($2867+172)|0); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2869=HEAP32[(($2868)>>2)]; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2870=(($2869)|0); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2871=HEAP32[(($2870)>>2)]; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2872=$2866; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2873=$2871; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2874=(($2872-$2873)|0); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2875=$tmp; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2876=(($2874-$2875)|0); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2877=_js_SetSrcNoteOffset($2859, $2860, $2861, 0, $2876); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2878=(($2877)|0)!=0; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2878) { __label__ = 552; break; } else { __label__ = 551; break; } //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 551: 
      $1=0; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 552: 
      var $2881=$2; //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2882=$3; //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2883=_js_PopStatementCG($2881, $2882); //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$2883; //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 553: 
      var $2885=$3; //@line 6163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2886=$2885; //@line 6163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2887=$top; //@line 6163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($2886, $stmtInfo, 3, $2887); //@line 6163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2888=$4; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2889=(($2888+32)|0); //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2890=$2889; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2891=(($2890)|0); //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2892=HEAP32[(($2891)>>2)]; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2892; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 554; break; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 554: 
      var $2894=$pn2; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2895=(($2894)|0)!=0; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2895) { __label__ = 555; break; } else { __label__ = 559; break; } //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 555: 
      var $2897=$2; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2898=$3; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2899=$pn2; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2900=_js_EmitTree($2897, $2898, $2899); //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2901=(($2900)|0)!=0; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2901) { __label__ = 557; break; } else { __label__ = 556; break; } //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 556: 
      $1=0; //@line 6166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 557: 
      __label__ = 558; break; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 558: 
      var $2905=$pn2; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2906=(($2905+24)|0); //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2907=HEAP32[(($2906)>>2)]; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2907; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 554; break; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 559: 
      var $2909=$2; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2910=$3; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2911=_js_PopStatementCG($2909, $2910); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$2911; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 560: 
      var $2913=$4; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2914=(($2913+32)|0); //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2915=$2914; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2916=(($2915)|0); //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2917=HEAP32[(($2916)>>2)]; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$2917; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2918=$pn2; //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2919=(($2918)|0)!=0; //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2919) { __label__ = 561; break; } else { __label__ = 595; break; } //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 561: 
      var $2921=$3; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2922=$2921; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2923=(($2922)|0); //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2924=HEAP32[(($2923)>>2)]; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2925=$2924 & 16386; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2926=(($2925)|0)!=0; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2927=$2926 ^ 1; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2928=(($2927)&1); //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $wantval=$2928; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($useful)>>2)]=$2928; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2929=HEAP32[(($useful)>>2)]; //@line 6186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2930=(($2929)|0)!=0; //@line 6186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2930) { __label__ = 565; break; } else { __label__ = 562; break; } //@line 6186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 562: 
      var $2932=$2; //@line 6187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2933=$3; //@line 6187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2934=$pn2; //@line 6187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2935=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($2932, $2933, $2934, $useful); //@line 6187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2936=(($2935)|0)!=0; //@line 6187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2936) { __label__ = 564; break; } else { __label__ = 563; break; } //@line 6187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 563: 
      $1=0; //@line 6188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 564: 
      __label__ = 565; break; //@line 6189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 565: 
      var $2940=HEAP32[(($useful)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2941=(($2940)|0)!=0; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2941) { __label__ = 570; break; } else { __label__ = 566; break; } //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 566: 
      var $2943=$3; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2944=$2943; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2945=(($2944+24)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2946=HEAP32[(($2945)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2947=(($2946)|0)!=0; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2947) { __label__ = 567; break; } else { __label__ = 570; break; } //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 567: 
      var $2949=$3; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2950=$2949; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2951=(($2950+24)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2952=HEAP32[(($2951)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2953=(($2952)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2954=HEAPU16[(($2953)>>1)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2955=(($2954)&65535); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2956=(($2955)|0)==0; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2956) { __label__ = 568; break; } else { __label__ = 570; break; } //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 568: 
      var $2958=$3; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2959=$2958; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2960=(($2959+24)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2961=HEAP32[(($2960)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2962=(($2961+8)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2963=HEAP32[(($2962)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2964=$3; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2965=(($2964+172)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2966=HEAP32[(($2965)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2967=(($2966+8)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2968=HEAP32[(($2967)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2969=$3; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2970=(($2969+172)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2971=HEAP32[(($2970)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2972=(($2971)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2973=HEAP32[(($2972)>>2)]; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2974=$2968; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2975=$2973; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2976=(($2974-$2975)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2977=(($2963)|0) >= (($2976)|0); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2977) { __label__ = 569; break; } else { __label__ = 570; break; } //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 569: 
      HEAP32[(($useful)>>2)]=1; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 570; break; //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 570: 
      var $2980=HEAP32[(($useful)>>2)]; //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2981=(($2980)|0)!=0; //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2981) { __label__ = 576; break; } else { __label__ = 571; break; } //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 571: 
      var $2983=$4; //@line 6206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2984=__ZNK11JSParseNode25isDirectivePrologueMemberEv($2983); //@line 6206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($2984) { __label__ = 575; break; } else { __label__ = 572; break; } //@line 6206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 572: 
      var $2986=$pn2; //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2987=(($2986+4)|0); //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2988=(($2987)|0); //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2989=(($2988+4)|0); //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2990=HEAP32[(($2989)>>2)]; //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2991=$3; //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2992=(($2991+172)|0); //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2993=HEAP32[(($2992)>>2)]; //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2994=(($2993+28)|0); //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($2994)>>2)]=$2990; //@line 6207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2995=$2; //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2996=$3; //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2997=$2996; //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2998=(($2997+48)|0); //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $2999=HEAP32[(($2998)>>2)]; //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3000=(($2999+40)|0); //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3001=$pn2; //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3002=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($2995, $3000, $3001, 5, 163, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3002) { __label__ = 574; break; } else { __label__ = 573; break; } //@line 6208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 573: 
      $1=0; //@line 6211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 574: 
      __label__ = 575; break; //@line 6213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 575: 
      __label__ = 594; break; //@line 6214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 576: 
      var $3007=$wantval; //@line 6215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3008=(($3007)|0)!=0; //@line 6215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3009=$3008 ? 2 : 81; //@line 6215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$3009; //@line 6215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3010=$wantval; //@line 6217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3011=(($3010)|0)!=0; //@line 6217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3011) { __label__ = 580; break; } else { __label__ = 577; break; } //@line 6217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 577: 
      var $3013=$pn2; //@line 6218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3014=__ZNK11JSParseNode6isKindEN2js9TokenKindE($3013, 4); //@line 6218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3014) { __label__ = 578; break; } else { __label__ = 580; break; } //@line 6218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 578: 
      var $3016=$2; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3017=$3; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3018=HEAP32[(($op)>>2)]; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3019=$pn2; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3020=__ZL24MaybeEmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePS3_($3016, $3017, $3018, $3019, $op); //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3021=(($3020)|0)!=0; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3021) { __label__ = 580; break; } else { __label__ = 579; break; } //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 579: 
      $1=0; //@line 6220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 580: 
      var $3024=HEAP32[(($op)>>2)]; //@line 6223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3025=(($3024)|0)!=0; //@line 6223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3025) { __label__ = 581; break; } else { __label__ = 593; break; } //@line 6223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 581: 
      var $3027=$wantval; //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3028=(($3027)|0)!=0; //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3028) { __label__ = 588; break; } else { __label__ = 582; break; } //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 582: 
      var $3030=$pn2; //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3031=__ZNK11JSParseNode6isKindEN2js9TokenKindE($3030, 4); //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3031) { __label__ = 583; break; } else { __label__ = 588; break; } //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 583: 
      var $3033=$pn2; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3034=__ZNK11JSParseNode4isOpE4JSOp($3033, 0); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3034) { __label__ = 584; break; } else { __label__ = 588; break; } //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 584: 
      var $3036=$pn2; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3037=(($3036+32)|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3038=$3037; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3039=(($3038)|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3040=HEAP32[(($3039)>>2)]; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3041=__ZNK11JSParseNode4isOpE4JSOp($3040, 54); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3041) { __label__ = 585; break; } else { __label__ = 588; break; } //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 585: 
      var $3043=$pn2; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3044=(($3043+32)|0); //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3045=$3044; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3046=(($3045+4)|0); //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3047=HEAP32[(($3046)>>2)]; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3048=__ZNK11JSParseNode4isOpE4JSOp($3047, 130); //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3048) { __label__ = 586; break; } else { __label__ = 588; break; } //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 586: 
      var $3050=$pn2; //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3051=(($3050+32)|0); //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3052=$3051; //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3053=(($3052+4)|0); //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3054=HEAP32[(($3053)>>2)]; //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3055=(($3054+32)|0); //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3056=$3055; //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3057=(($3056)|0); //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3058=$3057; //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3059=HEAP32[(($3058)>>2)]; //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3060=__ZNK13JSFunctionBox8joinableEv($3059); //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3060) { __label__ = 587; break; } else { __label__ = 588; break; } //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 587: 
      var $3062=$pn2; //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3063=(($3062+32)|0); //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3064=$3063; //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3065=(($3064)|0); //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3066=HEAP32[(($3065)>>2)]; //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($3066, 226); //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 588; break; //@line 6238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 588: 
      var $3068=$2; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3069=$3; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3070=$pn2; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3071=_js_EmitTree($3068, $3069, $3070); //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3072=(($3071)|0)!=0; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3072) { __label__ = 590; break; } else { __label__ = 589; break; } //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 589: 
      $1=0; //@line 6240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 590: 
      var $3075=$2; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3076=$3; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3077=HEAP32[(($op)>>2)]; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3078=_js_Emit1($3075, $3076, $3077); //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3079=(($3078)|0) < 0; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3079) { __label__ = 591; break; } else { __label__ = 592; break; } //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 591: 
      $1=0; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 592: 
      __label__ = 593; break; //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 593: 
      __label__ = 594; break;
    case 594: 
      __label__ = 595; break; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 595: 
      __label__ = 1223; break; //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 596: 
      var $3086=$4; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3087=(($3086+32)|0); //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3088=$3087; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3089=(($3088)|0); //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3090=$3089; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3091=HEAP32[(($3090)>>2)]; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $atom=$3091; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3092=$3; //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3093=$atom; //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3094=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($3092, $3093, $index4); //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3094) { __label__ = 598; break; } else { __label__ = 597; break; } //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 597: 
      $1=0; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 598: 
      var $3097=$4; //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3098=__ZNK11JSParseNode4exprEv($3097); //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3098; //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3099=$pn2; //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3100=__ZNK11JSParseNode6isKindEN2js9TokenKindE($3099, 25); //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3100) { var $3111 = 1;__label__ = 602; break; } else { __label__ = 599; break; } //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 599: 
      var $3102=$pn2; //@line 6258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3103=__ZNK11JSParseNode6isKindEN2js9TokenKindE($3102, 80); //@line 6258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3103) { __label__ = 600; break; } else { var $3109 = 0;__label__ = 601; break; } //@line 6258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 600: 
      var $3105=$pn2; //@line 6259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3106=__ZNK11JSParseNode4exprEv($3105); //@line 6259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3107=__ZNK11JSParseNode6isKindEN2js9TokenKindE($3106, 25); //@line 6259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3109 = $3107;__label__ = 601; break;
    case 601: 
      var $3109;
      var $3111 = $3109;__label__ = 602; break;
    case 602: 
      var $3111;
      var $3112=$3111 ? 14 : 13;
      $noteType=$3112;
      var $3113=$2; //@line 6262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3114=$3; //@line 6262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3115=$noteType; //@line 6262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3116=HEAP32[(($index4)>>2)]; //@line 6262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3117=_js_NewSrcNote2($3113, $3114, $3115, $3116); //@line 6262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$3117; //@line 6262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3118=HEAP32[(($noteIndex)>>2)]; //@line 6263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3119=(($3118)|0) < 0; //@line 6263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3119) { __label__ = 604; break; } else { __label__ = 603; break; } //@line 6263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 603: 
      var $3121=$2; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3122=$3; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3123=_js_Emit1($3121, $3122, 0); //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3124=(($3123)|0) < 0; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3124) { __label__ = 604; break; } else { __label__ = 605; break; } //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 604: 
      $1=0; //@line 6265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 605: 
      var $3127=$3; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3128=$3127; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3129=$3; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3130=(($3129+172)|0); //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3131=HEAP32[(($3130)>>2)]; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3132=(($3131+8)|0); //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3133=HEAP32[(($3132)>>2)]; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3134=$3; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3135=(($3134+172)|0); //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3136=HEAP32[(($3135)>>2)]; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3137=(($3136)|0); //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3138=HEAP32[(($3137)>>2)]; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3139=$3133; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3140=$3138; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3141=(($3139-$3140)|0); //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($3128, $stmtInfo, 0, $3141); //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3142=$atom; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3143=(($stmtInfo+20)|0); //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3144=$3143; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($3144)>>2)]=$3142; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3145=$2; //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3146=$3; //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3147=$pn2; //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3148=_js_EmitTree($3145, $3146, $3147); //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3149=(($3148)|0)!=0; //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3149) { __label__ = 607; break; } else { __label__ = 606; break; } //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 606: 
      $1=0; //@line 6272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 607: 
      var $3152=$2; //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3153=$3; //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3154=_js_PopStatementCG($3152, $3153); //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3155=(($3154)|0)!=0; //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3155) { __label__ = 609; break; } else { __label__ = 608; break; } //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 608: 
      $1=0; //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 609: 
      var $3158=$noteType; //@line 6277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3159=(($3158)|0)==14; //@line 6277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3159) { __label__ = 610; break; } else { __label__ = 614; break; } //@line 6277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 610: 
      var $3161=$2; //@line 6278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3162=$3; //@line 6278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3163=_js_NewSrcNote($3161, $3162, 15); //@line 6278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3164=(($3163)|0) < 0; //@line 6278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3164) { __label__ = 612; break; } else { __label__ = 611; break; } //@line 6278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 611: 
      var $3166=$2; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3167=$3; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3168=_js_Emit1($3166, $3167, 0); //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3169=(($3168)|0) < 0; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3169) { __label__ = 612; break; } else { __label__ = 613; break; } //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 612: 
      $1=0; //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 613: 
      __label__ = 614; break; //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 614: 
      __label__ = 1223; break; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 615: 
      HEAP32[(($noteIndex)>>2)]=-1; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=-1; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3174=$4; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3175=(($3174+32)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3176=$3175; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3177=(($3176)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3178=HEAP32[(($3177)>>2)]; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3178; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 616; break; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 616: 
      var $3180=$2; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3181=$3; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3182=$pn2; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3183=_js_EmitTree($3180, $3181, $3182); //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3184=(($3183)|0)!=0; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3184) { __label__ = 618; break; } else { __label__ = 617; break; } //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 617: 
      $1=0; //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 618: 
      var $3187=$3; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3188=(($3187+172)|0); //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3189=HEAP32[(($3188)>>2)]; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3190=(($3189+8)|0); //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3191=HEAP32[(($3190)>>2)]; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3192=$3; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3193=(($3192+172)|0); //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3194=HEAP32[(($3193)>>2)]; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3195=(($3194)|0); //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3196=HEAP32[(($3195)>>2)]; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3197=$3191; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3198=$3196; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3199=(($3197-$3198)|0); //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp=$3199; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3200=HEAP32[(($noteIndex)>>2)]; //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3201=(($3200)|0) >= 0; //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3201) { __label__ = 619; break; } else { __label__ = 622; break; } //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 619: 
      var $3203=$2; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3204=$3; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3205=HEAP32[(($noteIndex)>>2)]; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3206=$tmp; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3207=$off; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3208=(($3206-$3207)|0); //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3209=_js_SetSrcNoteOffset($3203, $3204, $3205, 0, $3208); //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3210=(($3209)|0)!=0; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3210) { __label__ = 621; break; } else { __label__ = 620; break; } //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 620: 
      $1=0; //@line 6298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 621: 
      __label__ = 622; break; //@line 6299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 622: 
      var $3214=$pn2; //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3215=(($3214+24)|0); //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3216=HEAP32[(($3215)>>2)]; //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3217=(($3216)|0)!=0; //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3217) { __label__ = 624; break; } else { __label__ = 623; break; } //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 623: 
      __label__ = 629; break; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 624: 
      var $3220=$tmp; //@line 6302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$3220; //@line 6302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3221=$2; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3222=$3; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3223=_js_NewSrcNote2($3221, $3222, 7, 0); //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$3223; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3224=HEAP32[(($noteIndex)>>2)]; //@line 6304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3225=(($3224)|0) < 0; //@line 6304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3225) { __label__ = 626; break; } else { __label__ = 625; break; } //@line 6304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 625: 
      var $3227=$2; //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3228=$3; //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3229=_js_Emit1($3227, $3228, 81); //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3230=(($3229)|0) < 0; //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3230) { __label__ = 626; break; } else { __label__ = 627; break; } //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 626: 
      $1=0; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 627: 
      __label__ = 628; break; //@line 6308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 628: 
      var $3234=$pn2; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3235=(($3234+24)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3236=HEAP32[(($3235)>>2)]; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3236; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 616; break; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 629: 
      __label__ = 1223; break; //@line 6309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 630: 
      var $3239=$2; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3240=$3; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3241=$4; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3242=(($3241+32)|0); //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3243=$3242; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3244=(($3243)|0); //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3245=HEAP32[(($3244)>>2)]; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3246=$4; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3247=__ZNK11JSParseNode5getOpEv($3246); //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3248=$4; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3249=(($3248+32)|0); //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3250=$3249; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3251=(($3250+4)|0); //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3252=HEAP32[(($3251)>>2)]; //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3253=__ZL14EmitAssignmentP9JSContextP15JSCodeGeneratorP11JSParseNode4JSOpS4_($3239, $3240, $3245, $3247, $3252); //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3253) { __label__ = 632; break; } else { __label__ = 631; break; } //@line 6312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 631: 
      $1=0; //@line 6313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 632: 
      __label__ = 1223; break; //@line 6314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 633: 
      var $3257=$2; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3258=$3; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3259=$4; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3260=(($3259+32)|0); //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3261=$3260; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3262=(($3261)|0); //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3263=HEAP32[(($3262)>>2)]; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3264=_js_EmitTree($3257, $3258, $3263); //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3265=(($3264)|0)!=0; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3265) { __label__ = 635; break; } else { __label__ = 634; break; } //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 634: 
      $1=0; //@line 6319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 635: 
      var $3268=$2; //@line 6320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3269=$3; //@line 6320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3270=_js_NewSrcNote($3268, $3269, 9); //@line 6320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$3270; //@line 6320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3271=HEAP32[(($noteIndex)>>2)]; //@line 6321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3272=(($3271)|0) < 0; //@line 6321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3272) { __label__ = 636; break; } else { __label__ = 637; break; } //@line 6321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 636: 
      $1=0; //@line 6322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 637: 
      var $3275=$2; //@line 6323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3276=$3; //@line 6323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3277=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($3275, $3276, 7, 0); //@line 6323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $beq=$3277; //@line 6323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3278=$beq; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3279=(($3278)|0) < 0; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3279) { __label__ = 639; break; } else { __label__ = 638; break; } //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 638: 
      var $3281=$2; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3282=$3; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3283=$4; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3284=(($3283+32)|0); //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3285=$3284; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3286=(($3285+4)|0); //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3287=HEAP32[(($3286)>>2)]; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3288=_js_EmitTree($3281, $3282, $3287); //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3289=(($3288)|0)!=0; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3289) { __label__ = 640; break; } else { __label__ = 639; break; } //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 639: 
      $1=0; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 640: 
      var $3292=$2; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3293=$3; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3294=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($3292, $3293, 6, 0); //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$3294; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3295=$jmp; //@line 6329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3296=(($3295)|0) < 0; //@line 6329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3296) { __label__ = 641; break; } else { __label__ = 642; break; } //@line 6329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 641: 
      $1=0; //@line 6330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 642: 
      __label__ = 643; break; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 643: 
      var $3300=$2; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3301=$3; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3302=$3; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3303=(($3302+172)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3304=HEAP32[(($3303)>>2)]; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3305=(($3304)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3306=HEAP32[(($3305)>>2)]; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3307=$beq; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3308=(($3306+$3307)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3309=$3; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3310=(($3309+172)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3311=HEAP32[(($3310)>>2)]; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3312=(($3311+8)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3313=HEAP32[(($3312)>>2)]; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3314=$3; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3315=(($3314+172)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3316=HEAP32[(($3315)>>2)]; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3317=(($3316)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3318=HEAP32[(($3317)>>2)]; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3319=$3313; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3320=$3318; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3321=(($3319-$3320)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3322=$beq; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3323=(($3321-$3322)|0); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3324=_js_SetJumpOffset($3300, $3301, $3308, $3323); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3325=(($3324)|0)!=0; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3325) { __label__ = 645; break; } else { __label__ = 644; break; } //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 644: 
      $1=0; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 645: 
      __label__ = 646; break; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 646: 
      __label__ = 647; break; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 647: 
      var $3330=$3; //@line 6346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3331=(($3330+192)|0); //@line 6346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3332=HEAP32[(($3331)>>2)]; //@line 6346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3333=(($3332-1)|0); //@line 6346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($3331)>>2)]=$3333; //@line 6346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3334=$2; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3335=$3; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3336=$4; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3337=(($3336+32)|0); //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3338=$3337; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3339=(($3338+8)|0); //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3340=HEAP32[(($3339)>>2)]; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3341=_js_EmitTree($3334, $3335, $3340); //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3342=(($3341)|0)!=0; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3342) { __label__ = 649; break; } else { __label__ = 648; break; } //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 648: 
      $1=0; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 649: 
      __label__ = 650; break; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 650: 
      var $3346=$2; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3347=$3; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3348=$3; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3349=(($3348+172)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3350=HEAP32[(($3349)>>2)]; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3351=(($3350)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3352=HEAP32[(($3351)>>2)]; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3353=$jmp; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3354=(($3352+$3353)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3355=$3; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3356=(($3355+172)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3357=HEAP32[(($3356)>>2)]; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3358=(($3357+8)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3359=HEAP32[(($3358)>>2)]; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3360=$3; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3361=(($3360+172)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3362=HEAP32[(($3361)>>2)]; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3363=(($3362)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3364=HEAP32[(($3363)>>2)]; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3365=$3359; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3366=$3364; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3367=(($3365-$3366)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3368=$jmp; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3369=(($3367-$3368)|0); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3370=_js_SetJumpOffset($3346, $3347, $3354, $3369); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3371=(($3370)|0)!=0; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3371) { __label__ = 652; break; } else { __label__ = 651; break; } //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 651: 
      $1=0; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 652: 
      __label__ = 653; break; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 653: 
      __label__ = 654; break; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 654: 
      var $3376=$2; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3377=$3; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3378=HEAP32[(($noteIndex)>>2)]; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3379=$jmp; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3380=$beq; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3381=(($3379-$3380)|0); //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3382=_js_SetSrcNoteOffset($3376, $3377, $3378, 0, $3381); //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3383=(($3382)|0)!=0; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3383) { __label__ = 656; break; } else { __label__ = 655; break; } //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 655: 
      $1=0; //@line 6351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 656: 
      __label__ = 1223; break; //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 657: 
      var $3387=$4; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3388=__ZNK11JSParseNode7isArityE16JSParseNodeArity($3387, 2); //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3388) { __label__ = 658; break; } else { __label__ = 670; break; } //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 658: 
      var $3390=$2; //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3391=$3; //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3392=$4; //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3393=(($3392+32)|0); //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3394=$3393; //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3395=(($3394)|0); //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3396=HEAP32[(($3395)>>2)]; //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3397=_js_EmitTree($3390, $3391, $3396); //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3398=(($3397)|0)!=0; //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3398) { __label__ = 660; break; } else { __label__ = 659; break; } //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 659: 
      $1=0; //@line 6368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 660: 
      var $3401=$2; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3402=$3; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3403=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($3401, $3402, 152, 0); //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$3403; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3404=$top; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3405=(($3404)|0) < 0; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3405) { __label__ = 661; break; } else { __label__ = 662; break; } //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 661: 
      $1=0; //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 662: 
      var $3408=$2; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3409=$3; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3410=$4; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3411=(($3410+32)|0); //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3412=$3411; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3413=(($3412+4)|0); //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3414=HEAP32[(($3413)>>2)]; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3415=_js_EmitTree($3408, $3409, $3414); //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3416=(($3415)|0)!=0; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3416) { __label__ = 664; break; } else { __label__ = 663; break; } //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 663: 
      $1=0; //@line 6373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 664: 
      var $3419=$3; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3420=(($3419+172)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3421=HEAP32[(($3420)>>2)]; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3422=(($3421+8)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3423=HEAP32[(($3422)>>2)]; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3424=$3; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3425=(($3424+172)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3426=HEAP32[(($3425)>>2)]; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3427=(($3426)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3428=HEAP32[(($3427)>>2)]; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3429=$3423; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3430=$3428; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3431=(($3429-$3430)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$3431; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3432=$3; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3433=(($3432+172)|0); //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3434=HEAP32[(($3433)>>2)]; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3435=(($3434)|0); //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3436=HEAP32[(($3435)>>2)]; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3437=$top; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3438=(($3436+$3437)|0); //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$3438; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 665; break; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 665: 
      var $3440=$2; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3441=$3; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3442=$pc; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3443=$off; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3444=$top; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3445=(($3443-$3444)|0); //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3446=_js_SetJumpOffset($3440, $3441, $3442, $3445); //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3447=(($3446)|0)!=0; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3447) { __label__ = 667; break; } else { __label__ = 666; break; } //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 666: 
      $1=0; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 667: 
      __label__ = 668; break; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 668: 
      __label__ = 669; break; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 669: 
      var $3452=$4; //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3453=__ZNK11JSParseNode5getOpEv($3452); //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3454=(($3453) & 255); //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3455=$pc; //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($3455)]=$3454; //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 694; break; //@line 6378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 670: 
      var $3457=$4; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3458=(($3457+32)|0); //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3459=$3458; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3460=(($3459)|0); //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3461=HEAP32[(($3460)>>2)]; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3461; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3462=$2; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3463=$3; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3464=$pn2; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3465=_js_EmitTree($3462, $3463, $3464); //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3466=(($3465)|0)!=0; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3466) { __label__ = 672; break; } else { __label__ = 671; break; } //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 671: 
      $1=0; //@line 6385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 672: 
      var $3469=$2; //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3470=$3; //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3471=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($3469, $3470, 152, 0); //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$3471; //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3472=$top; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3473=(($3472)|0) < 0; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3473) { __label__ = 673; break; } else { __label__ = 674; break; } //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 673: 
      $1=0; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 674: 
      var $3476=$top; //@line 6391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$3476; //@line 6391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 675; break; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 675: 
      var $3478=$pn2; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3479=(($3478+24)|0); //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3480=HEAP32[(($3479)>>2)]; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3480; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3481=(($3480+24)|0); //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3482=HEAP32[(($3481)>>2)]; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3483=(($3482)|0)!=0; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3483) { __label__ = 676; break; } else { __label__ = 683; break; } //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 676: 
      var $3485=$2; //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3486=$3; //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3487=$pn2; //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3488=_js_EmitTree($3485, $3486, $3487); //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3489=(($3488)|0)!=0; //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3489) { __label__ = 678; break; } else { __label__ = 677; break; } //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 677: 
      $1=0; //@line 6394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 678: 
      var $3492=$2; //@line 6395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3493=$3; //@line 6395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3494=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($3492, $3493, 152, 0); //@line 6395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$3494; //@line 6395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3495=$off; //@line 6396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3496=(($3495)|0) < 0; //@line 6396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3496) { __label__ = 679; break; } else { __label__ = 680; break; } //@line 6396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 679: 
      $1=0; //@line 6397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 680: 
      var $3499=$2; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3500=$3; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3501=$3; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3502=(($3501+172)|0); //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3503=HEAP32[(($3502)>>2)]; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3504=(($3503)|0); //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3505=HEAP32[(($3504)>>2)]; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3506=$jmp; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3507=(($3505+$3506)|0); //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3508=$off; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3509=$jmp; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3510=(($3508-$3509)|0); //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3511=__ZL17SetBackPatchDeltaP9JSContextP15JSCodeGeneratorPhi($3499, $3500, $3507, $3510); //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3512=(($3511)|0)!=0; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3512) { __label__ = 682; break; } else { __label__ = 681; break; } //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 681: 
      $1=0; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 682: 
      var $3515=$off; //@line 6400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$3515; //@line 6400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 675; break; //@line 6402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 683: 
      var $3517=$2; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3518=$3; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3519=$pn2; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3520=_js_EmitTree($3517, $3518, $3519); //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3521=(($3520)|0)!=0; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3521) { __label__ = 685; break; } else { __label__ = 684; break; } //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 684: 
      $1=0; //@line 6404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 685: 
      var $3524=$4; //@line 6406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3525=(($3524+32)|0); //@line 6406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3526=$3525; //@line 6406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3527=(($3526)|0); //@line 6406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3528=HEAP32[(($3527)>>2)]; //@line 6406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3528; //@line 6406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3529=$3; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3530=(($3529+172)|0); //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3531=HEAP32[(($3530)>>2)]; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3532=(($3531+8)|0); //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3533=HEAP32[(($3532)>>2)]; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3534=$3; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3535=(($3534+172)|0); //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3536=HEAP32[(($3535)>>2)]; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3537=(($3536)|0); //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3538=HEAP32[(($3537)>>2)]; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3539=$3533; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3540=$3538; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3541=(($3539-$3540)|0); //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$3541; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 686; break; //@line 6408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 686: 
      var $3543=$3; //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3544=(($3543+172)|0); //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3545=HEAP32[(($3544)>>2)]; //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3546=(($3545)|0); //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3547=HEAP32[(($3546)>>2)]; //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3548=$top; //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3549=(($3547+$3548)|0); //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$3549; //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3550=$3; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3551=$pc; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3552=__ZL13GetJumpOffsetP15JSCodeGeneratorPh($3550, $3551); //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp=$3552; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 687; break; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 687: 
      var $3554=$2; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3555=$3; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3556=$pc; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3557=$off; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3558=$top; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3559=(($3557-$3558)|0); //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3560=_js_SetJumpOffset($3554, $3555, $3556, $3559); //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3561=(($3560)|0)!=0; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3561) { __label__ = 689; break; } else { __label__ = 688; break; } //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 688: 
      $1=0; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 689: 
      __label__ = 690; break; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 690: 
      __label__ = 691; break; //@line 6411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 691: 
      var $3566=$4; //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3567=__ZNK11JSParseNode5getOpEv($3566); //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3568=(($3567) & 255); //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3569=$pc; //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($3569)]=$3568; //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3570=$tmp; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3571=$top; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3572=(($3571+$3570)|0); //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$3572; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 692; break; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 692: 
      var $3574=$pn2; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3575=(($3574+24)|0); //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3576=HEAP32[(($3575)>>2)]; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3576; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3577=(($3576+24)|0); //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3578=HEAP32[(($3577)>>2)]; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3579=(($3578)|0)!=0; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3579) { __label__ = 686; break; } else { __label__ = 693; break; } //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 693: 
      __label__ = 694; break;
    case 694: 
      __label__ = 1223; break; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 695: 
      var $3583=$4; //@line 6430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3584=__ZNK11JSParseNode7isArityE16JSParseNodeArity($3583, 5); //@line 6430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3584) { __label__ = 696; break; } else { __label__ = 706; break; } //@line 6430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 696: 
      var $3586=$4; //@line 6432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3587=(($3586+32)|0); //@line 6432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3588=$3587; //@line 6432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3589=(($3588)|0); //@line 6432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3590=HEAP32[(($3589)>>2)]; //@line 6432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3590; //@line 6432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3591=$2; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3592=$3; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3593=$pn2; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3594=_js_EmitTree($3591, $3592, $3593); //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3595=(($3594)|0)!=0; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3595) { __label__ = 698; break; } else { __label__ = 697; break; } //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 697: 
      $1=0; //@line 6434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 698: 
      var $3598=$4; //@line 6435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3599=__ZNK11JSParseNode5getOpEv($3598); //@line 6435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$3599; //@line 6435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 699; break; //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 699: 
      var $3601=$pn2; //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3602=(($3601+24)|0); //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3603=HEAP32[(($3602)>>2)]; //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3603; //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3604=(($3603)|0)!=0; //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3604) { __label__ = 700; break; } else { __label__ = 705; break; } //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 700: 
      var $3606=$2; //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3607=$3; //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3608=$pn2; //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3609=_js_EmitTree($3606, $3607, $3608); //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3610=(($3609)|0)!=0; //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3610) { __label__ = 702; break; } else { __label__ = 701; break; } //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 701: 
      $1=0; //@line 6438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 702: 
      var $3613=$2; //@line 6439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3614=$3; //@line 6439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3615=HEAP32[(($op)>>2)]; //@line 6439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3616=_js_Emit1($3613, $3614, $3615); //@line 6439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3617=(($3616)|0) < 0; //@line 6439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3617) { __label__ = 703; break; } else { __label__ = 704; break; } //@line 6439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 703: 
      $1=0; //@line 6440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 704: 
      __label__ = 699; break; //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 705: 
      __label__ = 720; break; //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 706: 
      __label__ = 707; break; //@line 6444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 707: 
      var $3623=$4; //@line 6447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3624=__ZNK11JSParseNode7isArityE16JSParseNodeArity($3623, 6); //@line 6447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3624) { __label__ = 708; break; } else { __label__ = 713; break; } //@line 6447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 708: 
      var $3626=$2; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3627=$3; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3628=$4; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3629=__ZNK11JSParseNode4exprEv($3628); //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3630=_js_EmitTree($3626, $3627, $3629); //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3631=(($3630)|0)!=0; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3631) { __label__ = 710; break; } else { __label__ = 709; break; } //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 709: 
      $1=0; //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 710: 
      var $3634=$2; //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3635=$4; //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3636=$4; //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3637=__ZNK11JSParseNode5getOpEv($3636); //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3638=$3; //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3639=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($3634, $3635, $3637, $3638, 0); //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3639) { __label__ = 712; break; } else { __label__ = 711; break; } //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 711: 
      $1=0; //@line 6451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 712: 
      __label__ = 1223; break; //@line 6452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 713: 
      var $3643=$3; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3644=$3643; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3645=(($3644)|0); //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3646=HEAP32[(($3645)>>2)]; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $oldflags=$3646; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3647=$3; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3648=$3647; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3649=(($3648)|0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3650=HEAP32[(($3649)>>2)]; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3651=$3650 & -17; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($3649)>>2)]=$3651; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3652=$2; //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3653=$3; //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3654=$4; //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3655=(($3654+32)|0); //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3656=$3655; //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3657=(($3656)|0); //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3658=HEAP32[(($3657)>>2)]; //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3659=_js_EmitTree($3652, $3653, $3658); //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3660=(($3659)|0)!=0; //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3660) { __label__ = 715; break; } else { __label__ = 714; break; } //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 714: 
      $1=0; //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 715: 
      var $3663=$2; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3664=$3; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3665=$4; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3666=(($3665+32)|0); //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3667=$3666; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3668=(($3667+4)|0); //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3669=HEAP32[(($3668)>>2)]; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3670=_js_EmitTree($3663, $3664, $3669); //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3671=(($3670)|0)!=0; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3671) { __label__ = 717; break; } else { __label__ = 716; break; } //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 716: 
      $1=0; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 717: 
      var $3674=$oldflags; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3675=$3674 & 16; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3676=$3; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3677=$3676; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3678=(($3677)|0); //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3679=HEAP32[(($3678)>>2)]; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3680=$3679 | $3675; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($3678)>>2)]=$3680; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3681=$2; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3682=$3; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3683=$4; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3684=__ZNK11JSParseNode5getOpEv($3683); //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3685=_js_Emit1($3681, $3682, $3684); //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3686=(($3685)|0) < 0; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3686) { __label__ = 718; break; } else { __label__ = 719; break; } //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 718: 
      $1=0; //@line 6473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 719: 
      __label__ = 720; break;
    case 720: 
      __label__ = 1223; break; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 721: 
      __label__ = 722; break; //@line 6481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 722: 
      var $3692=$4; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3693=__ZNK11JSParseNode5getOpEv($3692); //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$3693; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3694=HEAP32[(($op)>>2)]; //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3695=(($3694)|0)==174; //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3695) { __label__ = 723; break; } else { __label__ = 726; break; } //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 723: 
      var $3697=$2; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3698=$4; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3699=HEAP32[(($op)>>2)]; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3700=$3; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3701=__ZL11EmitXMLNameP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($3697, $3698, $3699, $3700); //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3702=(($3701)|0)!=0; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3702) { __label__ = 725; break; } else { __label__ = 724; break; } //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 724: 
      $1=0; //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 725: 
      __label__ = 1223; break; //@line 6494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 726: 
      var $3706=$4; //@line 6497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3707=(($3706+32)|0); //@line 6497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3708=$3707; //@line 6497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3709=(($3708)|0); //@line 6497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3710=HEAP32[(($3709)>>2)]; //@line 6497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3710; //@line 6497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3711=HEAP32[(($op)>>2)]; //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3712=(($3711)|0)==39; //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3712) { __label__ = 727; break; } else { __label__ = 729; break; } //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 727: 
      var $3714=$pn2; //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3715=__ZNK11JSParseNode6isKindEN2js9TokenKindE($3714, 29); //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3715) { __label__ = 729; break; } else { __label__ = 728; break; } //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 728: 
      HEAP32[(($op)>>2)]=200; //@line 6500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 729; break; //@line 6500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 729: 
      var $3718=$3; //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3719=$3718; //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3720=(($3719)|0); //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3721=HEAP32[(($3720)>>2)]; //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $oldflags5=$3721; //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3722=$3; //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3723=$3722; //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3724=(($3723)|0); //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3725=HEAP32[(($3724)>>2)]; //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3726=$3725 & -17; //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($3724)>>2)]=$3726; //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3727=$2; //@line 6504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3728=$3; //@line 6504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3729=$pn2; //@line 6504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3730=_js_EmitTree($3727, $3728, $3729); //@line 6504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3731=(($3730)|0)!=0; //@line 6504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3731) { __label__ = 731; break; } else { __label__ = 730; break; } //@line 6504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 730: 
      $1=0; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 731: 
      var $3734=$oldflags5; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3735=$3734 & 16; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3736=$3; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3737=$3736; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3738=(($3737)|0); //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3739=HEAP32[(($3738)>>2)]; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3740=$3739 | $3735; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($3738)>>2)]=$3740; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3741=$2; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3742=$3; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3743=HEAP32[(($op)>>2)]; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3744=_js_Emit1($3741, $3742, $3743); //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3745=(($3744)|0) < 0; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3745) { __label__ = 732; break; } else { __label__ = 733; break; } //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 732: 
      $1=0; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 733: 
      __label__ = 1223; break; //@line 6509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 734: 
      var $3749=$4; //@line 6515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3750=(($3749+32)|0); //@line 6515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3751=$3750; //@line 6515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3752=(($3751)|0); //@line 6515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3753=HEAP32[(($3752)>>2)]; //@line 6515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3753; //@line 6515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3754=$4; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3755=__ZNK11JSParseNode5getOpEv($3754); //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$3755; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3756=$pn2; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3757=__ZNK11JSParseNode7getKindEv($3756); //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($3757)|0) == 22) {
        __label__ = 768; break;
      }
      else if ((($3757)|0) == 23) {
        __label__ = 771; break;
      }
      else if ((($3757)|0) == 27) {
        __label__ = 774; break;
      }
      else if ((($3757)|0) == 19) {
        __label__ = 785; break;
      }
      else {
      __label__ = 735; break;
      }
      
    case 735: 
      var $3759=$pn2; //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3760=HEAP32[(($op)>>2)]; //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($3759, $3760); //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3761=$2; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3762=$3; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3763=$pn2; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3764=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($3761, $3762, $3763); //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3765=(($3764)|0)!=0; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3765) { __label__ = 737; break; } else { __label__ = 736; break; } //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 736: 
      $1=0; //@line 6523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 737: 
      var $3768=$pn2; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3769=__ZNK11JSParseNode5getOpEv($3768); //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$3769; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3770=HEAP32[(($op)>>2)]; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3771=(($3770)|0)==131; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3771) { __label__ = 738; break; } else { __label__ = 741; break; } //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 738: 
      var $3773=$2; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3774=$3; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3775=HEAP32[(($op)>>2)]; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3776=_js_Emit1($3773, $3774, $3775); //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3777=(($3776)|0) < 0; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3777) { __label__ = 739; break; } else { __label__ = 740; break; } //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 739: 
      $1=0; //@line 6527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 740: 
      __label__ = 757; break; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 741: 
      var $3781=$pn2; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3782=(($3781+32)|0); //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3783=$3782; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3784=(($3783+8)|0); //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3785=__ZNK2js11UpvarCookie6isFreeEv($3784); //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3785) { __label__ = 748; break; } else { __label__ = 742; break; } //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 742: 
      var $3787=$pn2; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3788=(($3787+32)|0); //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3789=$3788; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3790=(($3789+8)|0); //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3791=__ZNK2js11UpvarCookie9asIntegerEv($3790); //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $atomIndex=$3791; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 743; break; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 743: 
      var $3793=$2; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3794=$3; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3795=HEAP32[(($op)>>2)]; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3796=$atomIndex; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3797=$3796 >>> 8; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3798=(($3797) & 255); //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3799=$atomIndex; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3800=(($3799) & 255); //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3801=_js_Emit3($3793, $3794, $3795, $3798, $3800); //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3802=(($3801)|0) < 0; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3802) { __label__ = 744; break; } else { __label__ = 745; break; } //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 744: 
      $1=0; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 745: 
      var $3805=$2; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3806=$3; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3807=HEAP32[(($op)>>2)]; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($3805, $3806, $3807); //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 746; break; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 746: 
      __label__ = 747; break; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 747: 
      __label__ = 756; break; //@line 6531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 748: 
      var $3811=HEAP32[(($op)>>2)]; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3812=((_js_CodeSpec+($3811<<3))|0); //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3813=(($3812+4)|0); //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3814=HEAP32[(($3813)>>2)]; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3815=$3814 & 3072; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3816=(($3815)|0)!=0; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3816) { __label__ = 749; break; } else { __label__ = 752; break; } //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 749: 
      var $3818=$2; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3819=$pn2; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3820=HEAP32[(($op)>>2)]; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3821=$3; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3822=__ZL14EmitNameIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($3818, $3819, $3820, $3821); //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3822) { __label__ = 751; break; } else { __label__ = 750; break; } //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 750: 
      $1=0; //@line 6535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 751: 
      __label__ = 755; break; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 752: 
      var $3826=$2; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3827=$pn2; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3828=HEAP32[(($op)>>2)]; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3829=$3; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3830=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($3826, $3827, $3828, $3829, 0); //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3830) { __label__ = 754; break; } else { __label__ = 753; break; } //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 753: 
      $1=0; //@line 6538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 754: 
      __label__ = 755; break;
    case 755: 
      __label__ = 792; break; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 756: 
      __label__ = 757; break;
    case 757: 
      var $3836=$pn2; //@line 6542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3837=__ZNK11JSParseNode7isConstEv($3836); //@line 6542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3837) { __label__ = 758; break; } else { __label__ = 767; break; } //@line 6542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 758: 
      var $3839=$2; //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3840=$3; //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3841=_js_Emit1($3839, $3840, 35); //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3842=(($3841)|0) < 0; //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3842) { __label__ = 759; break; } else { __label__ = 760; break; } //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 759: 
      $1=0; //@line 6544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 760: 
      var $3845=$4; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3846=__ZNK11JSParseNode5getOpEv($3845); //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$3846; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3847=HEAP32[(($op)>>2)]; //@line 6546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3848=((_js_CodeSpec+($3847<<3))|0); //@line 6546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3849=(($3848+4)|0); //@line 6546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3850=HEAP32[(($3849)>>2)]; //@line 6546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3851=$3850 & 4096; //@line 6546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3852=(($3851)|0)!=0; //@line 6546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3852) { __label__ = 766; break; } else { __label__ = 761; break; } //@line 6546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 761: 
      var $3854=$2; //@line 6547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3855=$3; //@line 6547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3856=_js_Emit1($3854, $3855, 63); //@line 6547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3857=(($3856)|0) < 0; //@line 6547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3857) { __label__ = 762; break; } else { __label__ = 763; break; } //@line 6547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 762: 
      $1=0; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 763: 
      var $3860=HEAP32[(($op)>>2)]; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3861=((_js_CodeSpec+($3860<<3))|0); //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3862=(($3861+4)|0); //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3863=HEAP32[(($3862)>>2)]; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3864=$3863 & 2048; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3865=(($3864)|0)!=0; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3866=$3865 ? 27 : 28; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$3866; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3867=$2; //@line 6550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3868=$3; //@line 6550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3869=HEAP32[(($op)>>2)]; //@line 6550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3870=_js_Emit1($3867, $3868, $3869); //@line 6550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3871=(($3870)|0) < 0; //@line 6550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3871) { __label__ = 764; break; } else { __label__ = 765; break; } //@line 6550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 764: 
      $1=0; //@line 6551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 765: 
      __label__ = 766; break; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 766: 
      __label__ = 767; break; //@line 6553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 767: 
      __label__ = 792; break; //@line 6554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 768: 
      var $3877=$2; //@line 6556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3878=$pn2; //@line 6556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3879=HEAP32[(($op)>>2)]; //@line 6556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3880=$3; //@line 6556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3881=__ZL14EmitPropIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($3877, $3878, $3879, $3880); //@line 6556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3881) { __label__ = 770; break; } else { __label__ = 769; break; } //@line 6556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 769: 
      $1=0; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 770: 
      __label__ = 792; break; //@line 6558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 771: 
      var $3885=$2; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3886=$pn2; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3887=HEAP32[(($op)>>2)]; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3888=$3; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3889=__ZL14EmitElemIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($3885, $3886, $3887, $3888); //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3889) { __label__ = 773; break; } else { __label__ = 772; break; } //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 772: 
      $1=0; //@line 6561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 773: 
      __label__ = 792; break; //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 774: 
      var $3893=$2; //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3894=$3; //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3895=$pn2; //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3896=_js_EmitTree($3893, $3894, $3895); //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3897=(($3896)|0)!=0; //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3897) { __label__ = 776; break; } else { __label__ = 775; break; } //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 775: 
      $1=0; //@line 6565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 776: 
      var $3900=$2; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3901=$3; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3902=$3; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3903=(($3902+172)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3904=HEAP32[(($3903)>>2)]; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3905=(($3904+8)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3906=HEAP32[(($3905)>>2)]; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3907=$3; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3908=(($3907+172)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3909=HEAP32[(($3908)>>2)]; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3910=(($3909)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3911=HEAP32[(($3910)>>2)]; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3912=$3906; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3913=$3911; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3914=(($3912-$3913)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3915=$pn2; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3916=(($3915+20)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3917=HEAP32[(($3916)>>2)]; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3918=(($3914-$3917)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3919=_js_NewSrcNote2($3900, $3901, 12, $3918); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3920=(($3919)|0) < 0; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3920) { __label__ = 777; break; } else { __label__ = 778; break; } //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 777: 
      $1=0; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 778: 
      var $3923=$2; //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3924=$3; //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3925=HEAP32[(($op)>>2)]; //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3926=_js_Emit1($3923, $3924, $3925); //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3927=(($3926)|0) < 0; //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3927) { __label__ = 779; break; } else { __label__ = 780; break; } //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 779: 
      $1=0; //@line 6571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 780: 
      var $3930=$2; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3931=$3; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3932=_js_Emit1($3930, $3931, 1); //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3933=(($3932)|0) < 0; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3933) { __label__ = 781; break; } else { __label__ = 782; break; } //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 781: 
      $1=0; //@line 6580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 782: 
      var $3936=$2; //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3937=$3; //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3938=_js_Emit1($3936, $3937, 81); //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3939=(($3938)|0) < 0; //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3939) { __label__ = 783; break; } else { __label__ = 784; break; } //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 783: 
      $1=0; //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 784: 
      __label__ = 792; break; //@line 6583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 785: 
      var $3943=$2; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3944=$3; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3945=$pn2; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3946=(($3945+32)|0); //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3947=$3946; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3948=(($3947)|0); //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3949=HEAP32[(($3948)>>2)]; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3950=_js_EmitTree($3943, $3944, $3949); //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3951=(($3950)|0)!=0; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3951) { __label__ = 787; break; } else { __label__ = 786; break; } //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 786: 
      $1=0; //@line 6588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 787: 
      var $3954=$2; //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3955=$3; //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3956=_js_Emit1($3954, $3955, 172); //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3957=(($3956)|0) < 0; //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3957) { __label__ = 788; break; } else { __label__ = 789; break; } //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 788: 
      $1=0; //@line 6590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 789: 
      var $3960=$2; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3961=HEAP32[(($op)>>2)]; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3962=$3; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3963=__ZL14EmitElemIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($3960, 0, $3961, $3962); //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3963) { __label__ = 791; break; } else { __label__ = 790; break; } //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 790: 
      $1=0; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 791: 
      __label__ = 792; break; //@line 6593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 792: 
      __label__ = 1223; break; //@line 6596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 793: 
      var $3968=$4; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3969=(($3968+32)|0); //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3970=$3969; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3971=(($3970)|0); //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3972=HEAP32[(($3971)>>2)]; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$3972; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3973=$pn2; //@line 6604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3974=__ZNK11JSParseNode7getKindEv($3973); //@line 6604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($3974)|0) == 29) {
        __label__ = 794; break;
      }
      else if ((($3974)|0) == 22) {
        __label__ = 804; break;
      }
      else if ((($3974)|0) == 73) {
        __label__ = 807; break;
      }
      else if ((($3974)|0) == 23) {
        __label__ = 810; break;
      }
      else {
      __label__ = 813; break;
      }
      
    case 794: 
      var $3976=$2; //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3977=$3; //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3978=$pn2; //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3979=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($3976, $3977, $3978); //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3980=(($3979)|0)!=0; //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3980) { __label__ = 796; break; } else { __label__ = 795; break; } //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 795: 
      $1=0; //@line 6607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 796: 
      var $3983=$pn2; //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3984=__ZNK11JSParseNode5getOpEv($3983); //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$3984; //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3985=HEAP32[(($op)>>2)]; //@line 6609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3986=(($3985)|0)==66; //@line 6609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3986) { __label__ = 797; break; } else { __label__ = 800; break; } //@line 6609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 797: 
      var $3988=$2; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3989=$3; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3990=HEAP32[(($op)>>2)]; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3991=_js_Emit1($3988, $3989, $3990); //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3992=(($3991)|0) < 0; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($3992) { __label__ = 798; break; } else { __label__ = 799; break; } //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 798: 
      $1=0; //@line 6611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 799: 
      __label__ = 803; break; //@line 6612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 800: 
      var $3996=$2; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3997=$pn2; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3998=HEAP32[(($op)>>2)]; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3999=$3; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4000=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($3996, $3997, $3998, $3999, 0); //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4000) { __label__ = 802; break; } else { __label__ = 801; break; } //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 801: 
      $1=0; //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 802: 
      __label__ = 803; break;
    case 803: 
      __label__ = 830; break; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 804: 
      var $4005=$2; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4006=$pn2; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4007=$3; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4008=__ZL10EmitPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratoriPS3_($4005, $4006, 37, $4007, 0, 0); //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4009=(($4008)|0)!=0; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4009) { __label__ = 806; break; } else { __label__ = 805; break; } //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 805: 
      $1=0; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 806: 
      __label__ = 830; break; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 807: 
      var $4013=$2; //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4014=$pn2; //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4015=$3; //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4016=__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($4013, $4014, 186, $4015); //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4017=(($4016)|0)!=0; //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4017) { __label__ = 809; break; } else { __label__ = 808; break; } //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 808: 
      $1=0; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 809: 
      __label__ = 830; break; //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 810: 
      var $4021=$2; //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4022=$pn2; //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4023=$3; //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4024=__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($4021, $4022, 38, $4023); //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4025=(($4024)|0)!=0; //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4025) { __label__ = 812; break; } else { __label__ = 811; break; } //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 811: 
      $1=0; //@line 6629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 812: 
      __label__ = 830; break; //@line 6630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 813: 
      HEAP32[(($useful)>>2)]=0; //@line 6636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4029=$2; //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4030=$3; //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4031=$pn2; //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4032=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($4029, $4030, $4031, $useful); //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4033=(($4032)|0)!=0; //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4033) { __label__ = 815; break; } else { __label__ = 814; break; } //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 814: 
      $1=0; //@line 6638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 815: 
      var $4036=HEAP32[(($useful)>>2)]; //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4037=(($4036)|0)!=0; //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4037) { __label__ = 817; break; } else { __label__ = 816; break; } //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 816: 
      HEAP32[(($noteIndex)>>2)]=-1; //@line 6640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=-1; //@line 6640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 823; break; //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 817: 
      var $4040=$2; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4041=$3; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4042=$pn2; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4043=_js_EmitTree($4040, $4041, $4042); //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4044=(($4043)|0)!=0; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4044) { __label__ = 819; break; } else { __label__ = 818; break; } //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 818: 
      $1=0; //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 819: 
      var $4047=$3; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4048=(($4047+172)|0); //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4049=HEAP32[(($4048)>>2)]; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4050=(($4049+8)|0); //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4051=HEAP32[(($4050)>>2)]; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4052=$3; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4053=(($4052+172)|0); //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4054=HEAP32[(($4053)>>2)]; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4055=(($4054)|0); //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4056=HEAP32[(($4055)>>2)]; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4057=$4051; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4058=$4056; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4059=(($4057-$4058)|0); //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$4059; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4060=$2; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4061=$3; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4062=_js_NewSrcNote2($4060, $4061, 7, 0); //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$4062; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4063=HEAP32[(($noteIndex)>>2)]; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4064=(($4063)|0) < 0; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4064) { __label__ = 821; break; } else { __label__ = 820; break; } //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 820: 
      var $4066=$2; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4067=$3; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4068=_js_Emit1($4066, $4067, 81); //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4069=(($4068)|0) < 0; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4069) { __label__ = 821; break; } else { __label__ = 822; break; } //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 821: 
      $1=0; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 822: 
      __label__ = 823; break;
    case 823: 
      var $4073=$2; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4074=$3; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4075=_js_Emit1($4073, $4074, 67); //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4076=(($4075)|0) < 0; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4076) { __label__ = 824; break; } else { __label__ = 825; break; } //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 824: 
      $1=0; //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 825: 
      var $4079=HEAP32[(($noteIndex)>>2)]; //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4080=(($4079)|0) >= 0; //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4080) { __label__ = 826; break; } else { __label__ = 829; break; } //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 826: 
      var $4082=$3; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4083=(($4082+172)|0); //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4084=HEAP32[(($4083)>>2)]; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4085=(($4084+8)|0); //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4086=HEAP32[(($4085)>>2)]; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4087=$3; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4088=(($4087+172)|0); //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4089=HEAP32[(($4088)>>2)]; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4090=(($4089)|0); //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4091=HEAP32[(($4090)>>2)]; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4092=$4086; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4093=$4091; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4094=(($4092-$4093)|0); //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp=$4094; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4095=$2; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4096=$3; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4097=HEAP32[(($noteIndex)>>2)]; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4098=$tmp; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4099=$off; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4100=(($4098-$4099)|0); //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4101=_js_SetSrcNoteOffset($4095, $4096, $4097, 0, $4100); //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4102=(($4101)|0)!=0; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4102) { __label__ = 828; break; } else { __label__ = 827; break; } //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 827: 
      $1=0; //@line 6655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 828: 
      __label__ = 829; break; //@line 6656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 829: 
      __label__ = 830; break; //@line 6657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 830: 
      __label__ = 1223; break; //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 831: 
      var $4108=$2; //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4109=$3; //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4110=$4; //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4111=(($4110+32)|0); //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4112=$4111; //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4113=(($4112)|0); //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4114=HEAP32[(($4113)>>2)]; //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4115=_js_EmitTree($4108, $4109, $4114); //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4116=(($4115)|0)!=0; //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4116) { __label__ = 833; break; } else { __label__ = 832; break; } //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 832: 
      $1=0; //@line 6663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 833: 
      var $4119=$2; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4120=$3; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4121=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($4119, $4120, 176, 0); //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$4121; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4122=$jmp; //@line 6665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4123=(($4122)|0) < 0; //@line 6665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4123) { __label__ = 834; break; } else { __label__ = 835; break; } //@line 6665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 834: 
      $1=0; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 835: 
      var $4126=$2; //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4127=$3; //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4128=$4; //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4129=(($4128+32)|0); //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4130=$4129; //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4131=(($4130+4)|0); //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4132=HEAP32[(($4131)>>2)]; //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4133=__ZL11EmitTraceOpP9JSContextP15JSCodeGeneratorP11JSParseNode($4126, $4127, $4132); //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$4133; //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4134=$top; //@line 6668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4135=(($4134)|0) < 0; //@line 6668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4135) { __label__ = 836; break; } else { __label__ = 837; break; } //@line 6668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 836: 
      $1=0; //@line 6669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 837: 
      var $4138=$2; //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4139=$3; //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4140=$4; //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4141=(($4140+32)|0); //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4142=$4141; //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4143=(($4142+4)|0); //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4144=HEAP32[(($4143)>>2)]; //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4145=_js_EmitTree($4138, $4139, $4144); //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4146=(($4145)|0)!=0; //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4146) { __label__ = 839; break; } else { __label__ = 838; break; } //@line 6670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 838: 
      $1=0; //@line 6671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 839: 
      __label__ = 840; break; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 840: 
      var $4150=$2; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4151=$3; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4152=$3; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4153=(($4152+172)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4154=HEAP32[(($4153)>>2)]; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4155=(($4154)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4156=HEAP32[(($4155)>>2)]; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4157=$jmp; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4158=(($4156+$4157)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4159=$3; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4160=(($4159+172)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4161=HEAP32[(($4160)>>2)]; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4162=(($4161+8)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4163=HEAP32[(($4162)>>2)]; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4164=$3; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4165=(($4164+172)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4166=HEAP32[(($4165)>>2)]; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4167=(($4166)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4168=HEAP32[(($4167)>>2)]; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4169=$4163; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4170=$4168; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4171=(($4169-$4170)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4172=$jmp; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4173=(($4171-$4172)|0); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4174=_js_SetJumpOffset($4150, $4151, $4158, $4173); //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4175=(($4174)|0)!=0; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4175) { __label__ = 842; break; } else { __label__ = 841; break; } //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 841: 
      $1=0; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 842: 
      __label__ = 843; break; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 843: 
      __label__ = 844; break; //@line 6672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 844: 
      var $4180=$2; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4181=$3; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4182=$top; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4183=$3; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4184=(($4183+172)|0); //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4185=HEAP32[(($4184)>>2)]; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4186=(($4185+8)|0); //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4187=HEAP32[(($4186)>>2)]; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4188=$3; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4189=(($4188+172)|0); //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4190=HEAP32[(($4189)>>2)]; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4191=(($4190)|0); //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4192=HEAP32[(($4191)>>2)]; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4193=$4187; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4194=$4192; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4195=(($4193-$4194)|0); //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4196=(($4182-$4195)|0); //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4197=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($4180, $4181, 177, $4196); //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4198=(($4197)|0) < 0; //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4198) { __label__ = 845; break; } else { __label__ = 846; break; } //@line 6673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 845: 
      $1=0; //@line 6674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 846: 
      var $4201=$2; //@line 6677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4202=$3; //@line 6677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4203=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($4201, $4202); //@line 6677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4204=(($4203)|0) < 0; //@line 6677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4204) { __label__ = 847; break; } else { __label__ = 848; break; } //@line 6677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 847: 
      $1=0; //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 848: 
      __label__ = 1223; break; //@line 6679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 849: 
      var $4208=$2; //@line 6688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4209=$4; //@line 6688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4210=$4; //@line 6688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4211=__ZNK11JSParseNode5getOpEv($4210); //@line 6688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4212=$3; //@line 6688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4213=__ZL10EmitPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratoriPS3_($4208, $4209, $4211, $4212, 0, 0); //@line 6688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$4213; //@line 6688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 6689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 850: 
      var $4215=$2; //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4216=$4; //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4217=$4; //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4218=__ZNK11JSParseNode5getOpEv($4217); //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4219=$3; //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4220=__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($4215, $4216, $4218, $4219); //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$4220; //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 851: 
      var $4222=$4; //@line 6707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4223=__ZNK11JSParseNode6isKindEN2js9TokenKindE($4222, 27); //@line 6707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4224=(($4223)&1); //@line 6707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $callop=$4224; //@line 6707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4225=$4; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4226=(($4225+32)|0); //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4227=$4226; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4228=(($4227)|0); //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4229=HEAP32[(($4228)>>2)]; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$4229; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4230=$pn2; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4231=__ZNK11JSParseNode7getKindEv($4230); //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($4231)|0) == 29) {
        __label__ = 852; break;
      }
      else if ((($4231)|0) == 22) {
        __label__ = 855; break;
      }
      else if ((($4231)|0) == 23) {
        __label__ = 858; break;
      }
      else if ((($4231)|0) == 19) {
        __label__ = 861; break;
      }
      else {
      __label__ = 866; break;
      }
      
    case 852: 
      var $4233=$2; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4234=$3; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4235=$pn2; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4236=$callop; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4237=(($4236) & 1); //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4238=(($4237)&1); //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4239=__ZL10EmitNameOpP9JSContextP15JSCodeGeneratorP11JSParseNodei($4233, $4234, $4235, $4238); //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4240=(($4239)|0)!=0; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4240) { __label__ = 854; break; } else { __label__ = 853; break; } //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 853: 
      $1=0; //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 854: 
      __label__ = 869; break; //@line 6729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 855: 
      var $4244=$2; //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4245=$pn2; //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4246=$pn2; //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4247=__ZNK11JSParseNode5getOpEv($4246); //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4248=$3; //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4249=$callop; //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4250=(($4249) & 1); //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4251=(($4250)&1); //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4252=__ZL10EmitPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratoriPS3_($4244, $4245, $4247, $4248, $4251, 0); //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4253=(($4252)|0)!=0; //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4253) { __label__ = 857; break; } else { __label__ = 856; break; } //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 856: 
      $1=0; //@line 6732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 857: 
      __label__ = 869; break; //@line 6733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 858: 
      var $4257=$2; //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4258=$pn2; //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4259=$callop; //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4260=(($4259) & 1); //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4261=$4260 ? 196 : 55; //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4262=$3; //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4263=__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($4257, $4258, $4261, $4262); //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4264=(($4263)|0)!=0; //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4264) { __label__ = 860; break; } else { __label__ = 859; break; } //@line 6736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 859: 
      $1=0; //@line 6737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 860: 
      __label__ = 869; break; //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 861: 
      var $4268=$pn2; //@line 6741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4269=__ZNK11JSParseNode4isOpE4JSOp($4268, 174); //@line 6741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4269) { __label__ = 862; break; } else { __label__ = 865; break; } //@line 6741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 862: 
      var $4271=$2; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4272=$pn2; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4273=$3; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4274=__ZL11EmitXMLNameP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($4271, $4272, 199, $4273); //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4275=(($4274)|0)!=0; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4275) { __label__ = 864; break; } else { __label__ = 863; break; } //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 863: 
      $1=0; //@line 6743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 864: 
      $callop=1; //@line 6744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 869; break; //@line 6745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 865: 
      __label__ = 866; break; //@line 6746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 866: 
      var $4280=$2; //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4281=$3; //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4282=$pn2; //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4283=_js_EmitTree($4280, $4281, $4282); //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4284=(($4283)|0)!=0; //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4284) { __label__ = 868; break; } else { __label__ = 867; break; } //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 867: 
      $1=0; //@line 6751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 868: 
      $callop=0; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 869; break; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 869: 
      var $4288=$callop; //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4289=(($4288) & 1); //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4289) { __label__ = 872; break; } else { __label__ = 870; break; } //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 870: 
      var $4291=$2; //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4292=$3; //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4293=_js_Emit1($4291, $4292, 1); //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4294=(($4293)|0) < 0; //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4294) { __label__ = 871; break; } else { __label__ = 872; break; } //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 871: 
      $1=0; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 872: 
      var $4297=$top; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$4297; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4298=$3; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4299=$4298; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4300=(($4299)|0); //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4301=HEAP32[(($4300)>>2)]; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $oldflags6=$4301; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4302=$3; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4303=$4302; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4304=(($4303)|0); //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4305=HEAP32[(($4304)>>2)]; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4306=$4305 & -17; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($4304)>>2)]=$4306; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4307=$pn2; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4308=(($4307+24)|0); //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4309=HEAP32[(($4308)>>2)]; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$4309; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 873; break; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 873: 
      var $4311=$pn3; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4312=(($4311)|0)!=0; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4312) { __label__ = 874; break; } else { __label__ = 878; break; } //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 874: 
      var $4314=$2; //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4315=$3; //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4316=$pn3; //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4317=_js_EmitTree($4314, $4315, $4316); //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4318=(($4317)|0)!=0; //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4318) { __label__ = 876; break; } else { __label__ = 875; break; } //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 875: 
      $1=0; //@line 6770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 876: 
      __label__ = 877; break; //@line 6771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 877: 
      var $4322=$pn3; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4323=(($4322+24)|0); //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4324=HEAP32[(($4323)>>2)]; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$4324; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 873; break; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 878: 
      var $4326=$oldflags6; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4327=$4326 & 16; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4328=$3; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4329=$4328; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4330=(($4329)|0); //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4331=HEAP32[(($4330)>>2)]; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4332=$4331 | $4327; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($4330)>>2)]=$4332; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4333=$2; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4334=$3; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4335=$3; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4336=(($4335+172)|0); //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4337=HEAP32[(($4336)>>2)]; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4338=(($4337+8)|0); //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4339=HEAP32[(($4338)>>2)]; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4340=$3; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4341=(($4340+172)|0); //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4342=HEAP32[(($4341)>>2)]; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4343=(($4342)|0); //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4344=HEAP32[(($4343)>>2)]; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4345=$4339; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4346=$4344; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4347=(($4345-$4346)|0); //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4348=$off; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4349=(($4347-$4348)|0); //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4350=_js_NewSrcNote2($4333, $4334, 12, $4349); //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4351=(($4350)|0) < 0; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4351) { __label__ = 879; break; } else { __label__ = 880; break; } //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 879: 
      $1=0; //@line 6774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 880: 
      var $4354=$4; //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4355=(($4354+32)|0); //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4356=$4355; //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4357=(($4356+8)|0); //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4358=HEAP32[(($4357)>>2)]; //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4359=(($4358-1)|0); //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $argc=$4359; //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4360=$2; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4361=$3; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4362=$4; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4363=__ZNK11JSParseNode5getOpEv($4362); //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4364=$argc; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4365=$4364 >>> 8; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4366=(($4365) & 255); //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4367=$argc; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4368=(($4367) & 255); //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4369=_js_Emit3($4360, $4361, $4363, $4366, $4368); //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4370=(($4369)|0) < 0; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4370) { __label__ = 881; break; } else { __label__ = 882; break; } //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 881: 
      $1=0; //@line 6778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 882: 
      var $4373=$2; //@line 6779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4374=$3; //@line 6779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4375=$4; //@line 6779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4376=__ZNK11JSParseNode5getOpEv($4375); //@line 6779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($4373, $4374, $4376); //@line 6779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4377=$4; //@line 6780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4378=__ZNK11JSParseNode4isOpE4JSOp($4377, 123); //@line 6780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4378) { __label__ = 883; break; } else { __label__ = 891; break; } //@line 6780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 883: 
      __label__ = 884; break; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 884: 
      var $4381=$2; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4382=$3; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4383=$4; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4384=(($4383+4)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4385=(($4384)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4386=(($4385+4)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4387=HEAPU32[(($4386)>>2)]; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4388=$4387 >>> 8; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4389=(($4388) & 255); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4390=$4; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4391=(($4390+4)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4392=(($4391)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4393=(($4392+4)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4394=HEAP32[(($4393)>>2)]; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4395=(($4394) & 255); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4396=_js_Emit3($4381, $4382, 119, $4389, $4395); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4397=(($4396)|0) < 0; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4397) { __label__ = 885; break; } else { __label__ = 886; break; } //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 885: 
      $1=0; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 886: 
      var $4400=$2; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4401=$3; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($4400, $4401, 119); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 887; break; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 887: 
      __label__ = 888; break; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 888: 
      var $4404=$2; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4405=$3; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4406=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($4404, $4405); //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4407=(($4406)|0) < 0; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4407) { __label__ = 889; break; } else { __label__ = 890; break; } //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 889: 
      $1=0; //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 890: 
      __label__ = 891; break; //@line 6784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 891: 
      var $4411=$4; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4412=(($4411+32)|0); //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4413=$4412; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4414=$4413; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4415=(($4414+12)|0); //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4416=$4415; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4417=HEAP32[(($4416)>>2)]; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4418=$4417 & 4095; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4419=$4418 & 256; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4420=(($4419)|0)!=0; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4420) { __label__ = 892; break; } else { __label__ = 895; break; } //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 892: 
      var $4422=$2; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4423=$3; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4424=_js_Emit1($4422, $4423, 74); //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4425=(($4424)|0) < 0; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4425) { __label__ = 893; break; } else { __label__ = 894; break; } //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 893: 
      $1=0; //@line 6787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 894: 
      __label__ = 895; break; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 895: 
      __label__ = 1223; break; //@line 6789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 896: 
      var $4430=$4; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4431=(($4430+32)|0); //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4432=$4431; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4433=(($4432)|0); //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4434=$4433; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4435=HEAP32[(($4434)>>2)]; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $objbox=$4435; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4436=$3; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4437=$4436; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4438=$objbox; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4439=$3; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4440=(($4439+172)|0); //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4441=HEAP32[(($4440)>>2)]; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4442=(($4441+8)|0); //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4443=HEAP32[(($4442)>>2)]; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4444=$3; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4445=(($4444+172)|0); //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4446=HEAP32[(($4445)>>2)]; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4447=(($4446)|0); //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4448=HEAP32[(($4447)>>2)]; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4449=$4443; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4450=$4448; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4451=(($4449-$4450)|0); //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushBlockScope($4437, $stmtInfo, $4438, $4451); //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=-1; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4452=$4; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4453=__ZNK11JSParseNode4exprEv($4452); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4454=__ZNK11JSParseNode7getKindEv($4453); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $type=$4454; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4455=$type; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4456=(($4455)|0)!=54; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4456) { __label__ = 897; break; } else { __label__ = 905; break; } //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 897: 
      var $4458=$type; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4459=(($4458)|0)!=81; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4459) { __label__ = 898; break; } else { __label__ = 905; break; } //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 898: 
      var $4461=$type; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4462=(($4461)|0)!=42; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4462) { __label__ = 899; break; } else { __label__ = 905; break; } //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 899: 
      var $4464=(($stmtInfo+24)|0); //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4465=HEAP32[(($4464)>>2)]; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$4465; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4466=(($4465)|0)!=0; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4466) { __label__ = 901; break; } else { __label__ = 900; break; } //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 900: 
      var $4468=$3; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4469=$4468; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4470=__ZNK13JSTreeContext10inFunctionEv($4469); //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4470) { __label__ = 905; break; } else { __label__ = 902; break; } //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 901: 
      var $4472=$stmt; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4473=(($4472)|0); //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4474=HEAPU16[(($4473)>>1)]; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4475=(($4474)&65535); //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4476=(($4475)|0)==4; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4476) { __label__ = 902; break; } else { __label__ = 905; break; } //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 902: 
      var $4478=$2; //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4479=$3; //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4480=_js_NewSrcNote2($4478, $4479, 10, 0); //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($noteIndex)>>2)]=$4480; //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4481=HEAP32[(($noteIndex)>>2)]; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4482=(($4481)|0) < 0; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4482) { __label__ = 903; break; } else { __label__ = 904; break; } //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 903: 
      $1=0; //@line 6821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 904: 
      __label__ = 905; break; //@line 6822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 905: 
      var $4486=$2; //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4487=$4; //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4488=$3; //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4489=__ZL14EmitEnterBlockP9JSContextP11JSParseNodeP15JSCodeGenerator($4486, $4487, $4488); //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4489) { __label__ = 907; break; } else { __label__ = 906; break; } //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 906: 
      $1=0; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 907: 
      var $4492=$2; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4493=$3; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4494=$4; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4495=(($4494+32)|0); //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4496=$4495; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4497=(($4496+4)|0); //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4498=$4497; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4499=HEAP32[(($4498)>>2)]; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4500=_js_EmitTree($4492, $4493, $4499); //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4501=(($4500)|0)!=0; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4501) { __label__ = 909; break; } else { __label__ = 908; break; } //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 908: 
      $1=0; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 909: 
      var $4504=$4; //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4505=__ZNK11JSParseNode5getOpEv($4504); //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$4505; //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4506=HEAP32[(($op)>>2)]; //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4507=(($4506)|0)==210; //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4507) { __label__ = 910; break; } else { __label__ = 913; break; } //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 910: 
      var $4509=$2; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4510=$3; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4511=$3; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4512=(($4511+172)|0); //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4513=HEAP32[(($4512)>>2)]; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4514=(($4513+8)|0); //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4515=HEAP32[(($4514)>>2)]; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4516=$3; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4517=(($4516+172)|0); //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4518=HEAP32[(($4517)>>2)]; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4519=(($4518)|0); //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4520=HEAP32[(($4519)>>2)]; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4521=$4515; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4522=$4520; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4523=(($4521-$4522)|0); //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4524=$top; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4525=(($4523-$4524)|0); //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4526=_js_NewSrcNote2($4509, $4510, 12, $4525); //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4527=(($4526)|0) < 0; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4527) { __label__ = 911; break; } else { __label__ = 912; break; } //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 911: 
      $1=0; //@line 6834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 912: 
      __label__ = 917; break; //@line 6835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 913: 
      var $4531=HEAP32[(($noteIndex)>>2)]; //@line 6836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4532=(($4531)|0) >= 0; //@line 6836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4532) { __label__ = 914; break; } else { __label__ = 916; break; } //@line 6836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 914: 
      var $4534=$2; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4535=$3; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4536=HEAP32[(($noteIndex)>>2)]; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4537=$3; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4538=(($4537+172)|0); //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4539=HEAP32[(($4538)>>2)]; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4540=(($4539+8)|0); //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4541=HEAP32[(($4540)>>2)]; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4542=$3; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4543=(($4542+172)|0); //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4544=HEAP32[(($4543)>>2)]; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4545=(($4544)|0); //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4546=HEAP32[(($4545)>>2)]; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4547=$4541; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4548=$4546; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4549=(($4547-$4548)|0); //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4550=$top; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4551=(($4549-$4550)|0); //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4552=_js_SetSrcNoteOffset($4534, $4535, $4536, 0, $4551); //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4553=(($4552)|0)!=0; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4553) { __label__ = 916; break; } else { __label__ = 915; break; } //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 915: 
      $1=0; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 916: 
      __label__ = 917; break;
    case 917: 
      var $4557=$2; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4558=$3; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4559=HEAP32[(($op)>>2)]; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4560=$objbox; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4561=__ZL14EmitLeaveBlockP9JSContextP15JSCodeGenerator4JSOpP11JSObjectBox($4557, $4558, $4559, $4560); //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4562=(($4561)|0)!=0; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4562) { __label__ = 919; break; } else { __label__ = 918; break; } //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 918: 
      $1=0; //@line 6845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 919: 
      var $4565=$2; //@line 6847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4566=$3; //@line 6847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4567=_js_PopStatementCG($4565, $4566); //@line 6847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$4567; //@line 6847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 6848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 920: 
      var $4569=$4; //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4570=__ZNK11JSParseNode7isArityE16JSParseNodeArity($4569, 2); //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4570) { __label__ = 921; break; } else { __label__ = 922; break; } //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 921: 
      var $4572=$4; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4573=(($4572+32)|0); //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4574=$4573; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4575=(($4574+4)|0); //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4576=HEAP32[(($4575)>>2)]; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$4576; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4577=$4; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4578=(($4577+32)|0); //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4579=$4578; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4580=(($4579)|0); //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4581=HEAP32[(($4580)>>2)]; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $4=$4581; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 923; break; //@line 6867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 922: 
      $pn2=0; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 923; break;
    case 923: 
      __ZN12TempPopScopeC1Ev($tps7); //@line 6881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4584=$pn2; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4585=(($4584)|0)!=0; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4585) { var $4594 = 1;__label__ = 925; break; } else { __label__ = 924; break; } //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 924: 
      var $4587=$3; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4588=$4587; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4589=(($4588)|0); //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4590=HEAP32[(($4589)>>2)]; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4591=$4590 & 16; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4592=(($4591)|0)!=0; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4594 = $4592;__label__ = 925; break; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 925: 
      var $4594;
      var $4595=(($4594)&1); //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $popScope=$4595; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4596=$popScope; //@line 6883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4597=(($4596) & 1); //@line 6883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4597) { __label__ = 926; break; } else { __label__ = 928; break; } //@line 6883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 926: 
      var $4599=$2; //@line 6883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4600=$3; //@line 6883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4601=__ZN12TempPopScope8popBlockEP9JSContextP15JSCodeGenerator($tps7, $4599, $4600); //@line 6883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4601) { __label__ = 928; break; } else { __label__ = 927; break; } //@line 6883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 927: 
      $1=0; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 928: 
      var $4604=$2; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4605=$3; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4606=$4; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4607=$pn2; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4608=(($4607)|0)!=0; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4609=(($4608)&1); //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4610=__ZL13EmitVariablesP9JSContextP15JSCodeGeneratorP11JSParseNodeiPi($4604, $4605, $4606, $4609, $noteIndex); //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4611=(($4610)|0)!=0; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4611) { __label__ = 930; break; } else { __label__ = 929; break; } //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 929: 
      $1=0; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 930: 
      var $4614=$3; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4615=(($4614+172)|0); //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4616=HEAP32[(($4615)>>2)]; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4617=(($4616+8)|0); //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4618=HEAP32[(($4617)>>2)]; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4619=$3; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4620=(($4619+172)|0); //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4621=HEAP32[(($4620)>>2)]; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4622=(($4621)|0); //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4623=HEAP32[(($4622)>>2)]; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4624=$4618; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4625=$4623; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4626=(($4624-$4625)|0); //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp=$4626; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4627=$popScope; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4628=(($4627) & 1); //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4628) { __label__ = 931; break; } else { __label__ = 933; break; } //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 931: 
      var $4630=$2; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4631=$3; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4632=__ZN12TempPopScope11repushBlockEP9JSContextP15JSCodeGenerator($tps7, $4630, $4631); //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4632) { __label__ = 933; break; } else { __label__ = 932; break; } //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 932: 
      $1=0; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 933: 
      var $4635=$pn2; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4636=(($4635)|0)!=0; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4636) { __label__ = 934; break; } else { __label__ = 936; break; } //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 934: 
      var $4638=$2; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4639=$3; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4640=$pn2; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4641=_js_EmitTree($4638, $4639, $4640); //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4642=(($4641)|0)!=0; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4642) { __label__ = 936; break; } else { __label__ = 935; break; } //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 935: 
      $1=0; //@line 6893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 936: 
      var $4645=HEAP32[(($noteIndex)>>2)]; //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4646=(($4645)|0) >= 0; //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4646) { __label__ = 937; break; } else { __label__ = 939; break; } //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 937: 
      var $4648=$2; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4649=$3; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4650=HEAP32[(($noteIndex)>>2)]; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4651=$3; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4652=(($4651+172)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4653=HEAP32[(($4652)>>2)]; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4654=(($4653+8)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4655=HEAP32[(($4654)>>2)]; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4656=$3; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4657=(($4656+172)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4658=HEAP32[(($4657)>>2)]; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4659=(($4658)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4660=HEAP32[(($4659)>>2)]; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4661=$4655; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4662=$4660; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4663=(($4661-$4662)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4664=$tmp; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4665=(($4663-$4664)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4666=_js_SetSrcNoteOffset($4648, $4649, $4650, 0, $4665); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4667=(($4666)|0)!=0; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4667) { __label__ = 939; break; } else { __label__ = 938; break; } //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 938: 
      $1=0; //@line 6898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 939: 
      __label__ = 1223; break; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 940: 
      var $4671=$2; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4672=$3; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4673=$4; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4674=(($4673+32)|0); //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4675=$4674; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4676=(($4675)|0); //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4677=HEAP32[(($4676)>>2)]; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4678=_js_EmitTree($4671, $4672, $4677); //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4679=(($4678)|0)!=0; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4679) { __label__ = 942; break; } else { __label__ = 941; break; } //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 941: 
      $1=0; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 942: 
      var $4682=$2; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4683=$3; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4684=$3; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4685=(($4684+232)|0); //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4686=HEAP32[(($4685)>>2)]; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4687=__ZL15AdjustBlockSlotP9JSContextP15JSCodeGeneratori($4682, $4683, $4686); //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slot8=$4687; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4688=$slot8; //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4689=(($4688)|0) < 0; //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4689) { __label__ = 943; break; } else { __label__ = 944; break; } //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 943: 
      $1=0; //@line 6917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 944: 
      __label__ = 945; break; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 945: 
      var $4693=$2; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4694=$3; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4695=$4; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4696=__ZNK11JSParseNode5getOpEv($4695); //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4697=$slot8; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4698=$4697 >> 8; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4699=(($4698) & 255); //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4700=$slot8; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4701=(($4700) & 255); //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4702=_js_Emit3($4693, $4694, $4696, $4699, $4701); //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4703=(($4702)|0) < 0; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4703) { __label__ = 946; break; } else { __label__ = 947; break; } //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 946: 
      $1=0; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 947: 
      var $4706=$2; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4707=$3; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4708=$4; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4709=__ZNK11JSParseNode5getOpEv($4708); //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($4706, $4707, $4709); //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 948; break; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 948: 
      __label__ = 949; break; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 949: 
      __label__ = 1223; break; //@line 6919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 950: 
      $sharpnum=-1; //@line 6936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 951; break; //@line 6936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 951: 
      var $4714=$4; //@line 6941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4715=__ZNK11JSParseNode6isKindEN2js9TokenKindE($4714, 78); //@line 6941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4715) { __label__ = 952; break; } else { __label__ = 959; break; } //@line 6941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 952: 
      var $4717=$2; //@line 6944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4718=$3; //@line 6944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4719=$4; //@line 6944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4720=$sharpnum; //@line 6944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4721=__ZL11EmitNewInitP9JSContextP15JSCodeGenerator10JSProtoKeyP11JSParseNodei($4717, $4718, 3, $4719, $4720); //@line 6944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4721) { __label__ = 954; break; } else { __label__ = 953; break; } //@line 6944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 953: 
      $1=0; //@line 6945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 954: 
      var $4724=$3; //@line 6953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4725=(($4724+232)|0); //@line 6953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4726=HEAP32[(($4725)>>2)]; //@line 6953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $saveDepth=$4726; //@line 6953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4727=$3; //@line 6954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4728=(($4727+192)|0); //@line 6954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4729=HEAP32[(($4728)>>2)]; //@line 6954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4730=(($4729-1)|0); //@line 6954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4731=$3; //@line 6954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4732=(($4731+232)|0); //@line 6954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($4732)>>2)]=$4730; //@line 6954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4733=$2; //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4734=$3; //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4735=$4; //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4736=(($4735+32)|0); //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4737=$4736; //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4738=(($4737)|0); //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4739=HEAP32[(($4738)>>2)]; //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4740=_js_EmitTree($4733, $4734, $4739); //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4741=(($4740)|0)!=0; //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4741) { __label__ = 956; break; } else { __label__ = 955; break; } //@line 6955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 955: 
      $1=0; //@line 6956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 956: 
      var $4744=$saveDepth; //@line 6957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4745=$3; //@line 6957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4746=(($4745+232)|0); //@line 6957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($4746)>>2)]=$4744; //@line 6957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4747=$2; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4748=$3; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4749=__ZL11EmitEndInitP9JSContextP15JSCodeGeneratorj($4747, $4748, 1); //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4749) { __label__ = 958; break; } else { __label__ = 957; break; } //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 957: 
      $1=0; //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 958: 
      __label__ = 1223; break; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 959: 
      var $4753=$3; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4754=__ZNK15JSCodeGenerator9hasSharpsEv($4753); //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4754) { __label__ = 966; break; } else { __label__ = 960; break; } //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 960: 
      var $4756=$4; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4757=(($4756+32)|0); //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4758=$4757; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4759=$4758; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4760=(($4759+12)|0); //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4761=$4760; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4762=HEAP32[(($4761)>>2)]; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4763=$4762 & 4095; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4764=$4763 & 2048; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4765=(($4764)|0)!=0; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4765) { __label__ = 966; break; } else { __label__ = 961; break; } //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 961: 
      var $4767=$4; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4768=(($4767+32)|0); //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4769=$4768; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4770=(($4769)|0); //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4771=HEAP32[(($4770)>>2)]; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4772=(($4771)|0)!=0; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4772) { __label__ = 962; break; } else { __label__ = 966; break; } //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 962: 
      var $4774=$3; //@line 6967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4775=__ZN15JSCodeGenerator21checkSingletonContextEv($4774); //@line 6967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4775) { __label__ = 963; break; } else { __label__ = 966; break; } //@line 6967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 963: 
      var $4777=$2; //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4778=$3; //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4779=$4; //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4780=__ZL24EmitSingletonInitialiserP9JSContextP15JSCodeGeneratorP11JSParseNode($4777, $4778, $4779); //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4780) { __label__ = 965; break; } else { __label__ = 964; break; } //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 964: 
      $1=0; //@line 6969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 965: 
      __label__ = 1223; break; //@line 6970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 966: 
      var $4784=$3; //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4785=__ZNK15JSCodeGenerator9hasSharpsEv($4784); //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4785) { __label__ = 967; break; } else { __label__ = 970; break; } //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 967: 
      var $4787=$2; //@line 6975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4788=$3; //@line 6975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4789=$4; //@line 6975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4790=$sharpnum; //@line 6975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4791=__ZL11EmitNewInitP9JSContextP15JSCodeGenerator10JSProtoKeyP11JSParseNodei($4787, $4788, 3, $4789, $4790); //@line 6975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4791) { __label__ = 969; break; } else { __label__ = 968; break; } //@line 6975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 968: 
      $1=0; //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 969: 
      __label__ = 973; break; //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 970: 
      var $4795=$2; //@line 6978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4796=$3; //@line 6978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4797=_js_EmitN($4795, $4796, 90, 3); //@line 6978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off9=$4797; //@line 6978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4798=$off9; //@line 6979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4799=(($4798)|0) < 0; //@line 6979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4799) { __label__ = 971; break; } else { __label__ = 972; break; } //@line 6979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 971: 
      $1=0; //@line 6980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 972: 
      var $4802=$3; //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4803=(($4802+172)|0); //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4804=HEAP32[(($4803)>>2)]; //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4805=(($4804)|0); //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4806=HEAP32[(($4805)>>2)]; //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4807=$off9; //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4808=(($4806+$4807)|0); //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$4808; //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4809=$4; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4810=(($4809+32)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4811=$4810; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4812=(($4811+8)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4813=HEAPU32[(($4812)>>2)]; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4814=$4813 >>> 16; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4815=(($4814) & 255); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4816=$pc; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4817=(($4816+1)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($4817)]=$4815; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4818=$4; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4819=(($4818+32)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4820=$4819; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4821=(($4820+8)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4822=HEAPU32[(($4821)>>2)]; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4823=$4822 >>> 8; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4824=(($4823) & 255); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4825=$pc; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4826=(($4825+2)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($4826)]=$4824; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4827=$4; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4828=(($4827+32)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4829=$4828; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4830=(($4829+8)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4831=HEAP32[(($4830)>>2)]; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4832=(($4831) & 255); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4833=$pc; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4834=(($4833+3)|0); //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($4834)]=$4832; //@line 6982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 973; break;
    case 973: 
      var $4836=$4; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4837=(($4836+32)|0); //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4838=$4837; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4839=(($4838)|0); //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4840=HEAP32[(($4839)>>2)]; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$4840; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $atomIndex=0; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 974; break; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 974: 
      var $4842=$pn2; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4843=(($4842)|0)!=0; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4843) { __label__ = 975; break; } else { __label__ = 989; break; } //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 975: 
      var $4845=$2; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4846=$atomIndex; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4847=(($4846)>>>0); //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4848=$3; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4849=__ZL12EmitNumberOpP9JSContextdP15JSCodeGenerator($4845, $4847, $4848); //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4850=(($4849)|0)!=0; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4850) { __label__ = 977; break; } else { __label__ = 976; break; } //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 976: 
      $1=0; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 977: 
      var $4853=$pn2; //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4854=__ZNK11JSParseNode6isKindEN2js9TokenKindE($4853, 3); //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4854) { __label__ = 978; break; } else { __label__ = 982; break; } //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 978: 
      var $4856=$pn2; //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4857=__ZNK11JSParseNode7isArityE16JSParseNodeArity($4856, 0); //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4857) { __label__ = 979; break; } else { __label__ = 982; break; } //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 979: 
      var $4859=$2; //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4860=$3; //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4861=_js_Emit1($4859, $4860, 221); //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4862=(($4861)|0) < 0; //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4862) { __label__ = 980; break; } else { __label__ = 981; break; } //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 980: 
      $1=0; //@line 6991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 981: 
      __label__ = 985; break; //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 982: 
      var $4866=$2; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4867=$3; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4868=$pn2; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4869=_js_EmitTree($4866, $4867, $4868); //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4870=(($4869)|0)!=0; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4870) { __label__ = 984; break; } else { __label__ = 983; break; } //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 983: 
      $1=0; //@line 6994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 984: 
      __label__ = 985; break;
    case 985: 
      var $4874=$2; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4875=$3; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4876=_js_Emit1($4874, $4875, 94); //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4877=(($4876)|0) < 0; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4877) { __label__ = 986; break; } else { __label__ = 987; break; } //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 986: 
      $1=0; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 987: 
      __label__ = 988; break; //@line 6998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 988: 
      var $4881=$atomIndex; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4882=(($4881+1)|0); //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $atomIndex=$4882; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4883=$pn2; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4884=(($4883+24)|0); //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4885=HEAP32[(($4884)>>2)]; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$4885; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 974; break; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 989: 
      var $4887=$4; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4888=(($4887+32)|0); //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4889=$4888; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4890=$4889; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4891=(($4890+12)|0); //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4892=$4891; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4893=HEAP32[(($4892)>>2)]; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4894=$4893 & 4095; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4895=$4894 & 16; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4896=(($4895)|0)!=0; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4896) { __label__ = 990; break; } else { __label__ = 993; break; } //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 990: 
      var $4898=$2; //@line 7003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4899=$3; //@line 7003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4900=_js_NewSrcNote($4898, $4899, 5); //@line 7003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4901=(($4900)|0) < 0; //@line 7003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4901) { __label__ = 991; break; } else { __label__ = 992; break; } //@line 7003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 991: 
      $1=0; //@line 7004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 992: 
      __label__ = 993; break; //@line 7005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 993: 
      var $4905=$2; //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4906=$3; //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4907=$atomIndex; //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4908=__ZL11EmitEndInitP9JSContextP15JSCodeGeneratorj($4905, $4906, $4907); //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4908) { __label__ = 995; break; } else { __label__ = 994; break; } //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 994: 
      $1=0; //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 995: 
      __label__ = 1223; break; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 996: 
      $sharpnum=-1; //@line 7017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 997; break; //@line 7017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 997: 
      var $4913=$4; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4914=(($4913+32)|0); //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4915=$4914; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4916=$4915; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4917=(($4916+12)|0); //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4918=$4917; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4919=HEAP32[(($4918)>>2)]; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4920=$4919 & 4095; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4921=$4920 & 512; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4922=(($4921)|0)!=0; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4922) { __label__ = 998; break; } else { __label__ = 999; break; } //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 998: 
      var $4924=$2; //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4925=$3; //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4926=$4925; //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4927=(($4926+48)|0); //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4928=HEAP32[(($4927)>>2)]; //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4929=(($4928+40)|0); //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4930=$4; //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4931=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($4924, $4929, $4930, 0, 224, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 7023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 999: 
      var $4933=$3; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4934=__ZNK15JSCodeGenerator9hasSharpsEv($4933); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4934) { __label__ = 1006; break; } else { __label__ = 1000; break; } //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1000: 
      var $4936=$4; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4937=(($4936+32)|0); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4938=$4937; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4939=$4938; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4940=(($4939+12)|0); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4941=$4940; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4942=HEAP32[(($4941)>>2)]; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4943=$4942 & 4095; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4944=$4943 & 2048; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4945=(($4944)|0)!=0; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4945) { __label__ = 1006; break; } else { __label__ = 1001; break; } //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1001: 
      var $4947=$4; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4948=(($4947+32)|0); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4949=$4948; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4950=(($4949)|0); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4951=HEAP32[(($4950)>>2)]; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4952=(($4951)|0)!=0; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4952) { __label__ = 1002; break; } else { __label__ = 1006; break; } //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1002: 
      var $4954=$3; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4955=__ZN15JSCodeGenerator21checkSingletonContextEv($4954); //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4955) { __label__ = 1003; break; } else { __label__ = 1006; break; } //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1003: 
      var $4957=$2; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4958=$3; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4959=$4; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4960=__ZL24EmitSingletonInitialiserP9JSContextP15JSCodeGeneratorP11JSParseNode($4957, $4958, $4959); //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4960) { __label__ = 1005; break; } else { __label__ = 1004; break; } //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1004: 
      $1=0; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1005: 
      __label__ = 1223; break; //@line 7031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1006: 
      var $4964=$3; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4965=(($4964+172)|0); //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4966=HEAP32[(($4965)>>2)]; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4967=(($4966+8)|0); //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4968=HEAP32[(($4967)>>2)]; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4969=$3; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4970=(($4969+172)|0); //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4971=HEAP32[(($4970)>>2)]; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4972=(($4971)|0); //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4973=HEAP32[(($4972)>>2)]; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4974=$4968; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4975=$4973; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4976=(($4974-$4975)|0); //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$4976; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4977=$2; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4978=$3; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4979=$4; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4980=$sharpnum; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4981=__ZL11EmitNewInitP9JSContextP15JSCodeGenerator10JSProtoKeyP11JSParseNodei($4977, $4978, 1, $4979, $4980); //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4981) { __label__ = 1008; break; } else { __label__ = 1007; break; } //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1007: 
      $1=0; //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1008: 
      $obj=0; //@line 7050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4984=$3; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4985=__ZNK15JSCodeGenerator9hasSharpsEv($4984); //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4985) { __label__ = 1013; break; } else { __label__ = 1009; break; } //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1009: 
      var $4987=$3; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4988=$4987; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4989=__ZNK13JSTreeContext12compileAndGoEv($4988); //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($4989) { __label__ = 1010; break; } else { __label__ = 1013; break; } //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1010: 
      var $4991=$4; //@line 7052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4992=(($4991+32)|0); //@line 7052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4993=$4992; //@line 7052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4994=(($4993+8)|0); //@line 7052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4995=HEAP32[(($4994)>>2)]; //@line 7052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4996=__ZN2jsL17GuessObjectGCKindEjb1152($4995, 0); //@line 7052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $kind10=$4996; //@line 7052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4997=$2; //@line 7053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4998=$kind10; //@line 7053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4999=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1153($4997, __ZN2js11ObjectClassE, $4998); //@line 7053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $obj=$4999; //@line 7053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5000=$obj; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5001=(($5000)|0)!=0; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5001) { __label__ = 1012; break; } else { __label__ = 1011; break; } //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1011: 
      $1=0; //@line 7055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1012: 
      __label__ = 1013; break; //@line 7056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1013: 
      $methodInits=0; //@line 7058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slowMethodInits=0; //@line 7058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5005=$4; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5006=(($5005+32)|0); //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5007=$5006; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5008=(($5007)|0); //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5009=HEAP32[(($5008)>>2)]; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5009; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1014; break; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1014: 
      var $5011=$pn2; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5012=(($5011)|0)!=0; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5012) { __label__ = 1015; break; } else { __label__ = 1059; break; } //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1015: 
      var $5014=$pn2; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5015=(($5014+32)|0); //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5016=$5015; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5017=(($5016)|0); //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5018=HEAP32[(($5017)>>2)]; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$5018; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5019=$pn3; //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5020=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5019, 30); //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5020) { __label__ = 1016; break; } else { __label__ = 1019; break; } //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1016: 
      var $5022=$2; //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5023=$pn3; //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5024=(($5023+32)|0); //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5025=$5024; //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5026=(tempDoubleI32[0]=HEAP32[(($5025)>>2)],tempDoubleI32[1]=HEAP32[(($5025+4)>>2)],tempDoubleF64[0]); //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5027=$3; //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5028=__ZL12EmitNumberOpP9JSContextdP15JSCodeGenerator($5022, $5026, $5027); //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5029=(($5028)|0)!=0; //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5029) { __label__ = 1018; break; } else { __label__ = 1017; break; } //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1017: 
      $1=0; //@line 7064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1018: 
      __label__ = 1019; break; //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1019: 
      var $5033=$2; //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5034=$3; //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5035=$pn2; //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5036=(($5035+32)|0); //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5037=$5036; //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5038=(($5037+4)|0); //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5039=HEAP32[(($5038)>>2)]; //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5040=_js_EmitTree($5033, $5034, $5039); //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5041=(($5040)|0)!=0; //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5041) { __label__ = 1021; break; } else { __label__ = 1020; break; } //@line 7068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1020: 
      $1=0; //@line 7069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1021: 
      var $5044=$pn2; //@line 7071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5045=__ZNK11JSParseNode5getOpEv($5044); //@line 7071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$5045; //@line 7071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5046=HEAP32[(($op)>>2)]; //@line 7072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5047=(($5046)|0)==125; //@line 7072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5047) { __label__ = 1023; break; } else { __label__ = 1022; break; } //@line 7072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1022: 
      var $5049=HEAP32[(($op)>>2)]; //@line 7072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5050=(($5049)|0)==126; //@line 7072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5050) { __label__ = 1023; break; } else { __label__ = 1026; break; } //@line 7072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1023: 
      $obj=0; //@line 7073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5052=$2; //@line 7074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5053=$3; //@line 7074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5054=HEAP32[(($op)>>2)]; //@line 7074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5055=_js_Emit1($5052, $5053, $5054); //@line 7074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5056=(($5055)|0) < 0; //@line 7074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5056) { __label__ = 1024; break; } else { __label__ = 1025; break; } //@line 7074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1024: 
      $1=0; //@line 7075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1025: 
      __label__ = 1026; break; //@line 7076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1026: 
      var $5060=$pn3; //@line 7079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5061=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5060, 30); //@line 7079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5061) { __label__ = 1027; break; } else { __label__ = 1032; break; } //@line 7079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1027: 
      $obj=0; //@line 7080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5063=$2; //@line 7081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5064=$3; //@line 7081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5065=_js_NewSrcNote($5063, $5064, 1); //@line 7081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5066=(($5065)|0) < 0; //@line 7081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5066) { __label__ = 1028; break; } else { __label__ = 1029; break; } //@line 7081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1028: 
      $1=0; //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1029: 
      var $5069=$2; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5070=$3; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5071=_js_Emit1($5069, $5070, 94); //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5072=(($5071)|0) < 0; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5072) { __label__ = 1030; break; } else { __label__ = 1031; break; } //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1030: 
      $1=0; //@line 7084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1031: 
      __label__ = 1057; break; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1032: 
      var $5076=$3; //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5077=$pn3; //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5078=(($5077+32)|0); //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5079=$5078; //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5080=(($5079)|0); //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5081=$5080; //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5082=HEAP32[(($5081)>>2)]; //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5083=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($5076, $5082, $index11); //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5083) { __label__ = 1034; break; } else { __label__ = 1033; break; } //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1033: 
      $1=0; //@line 7090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1034: 
      var $5086=$pn2; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5087=(($5086+32)|0); //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5088=$5087; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5089=(($5088+4)|0); //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5090=HEAP32[(($5089)>>2)]; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $init=$5090; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5091=$init; //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5092=__ZNK11JSParseNode4isOpE4JSOp($5091, 130); //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5093=(($5092)&1); //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $lambda=$5093; //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5094=$lambda; //@line 7095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5095=(($5094) & 1); //@line 7095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5095) { __label__ = 1035; break; } else { __label__ = 1036; break; } //@line 7095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1035: 
      var $5097=$methodInits; //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5098=(($5097+1)|0); //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $methodInits=$5098; //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1036; break; //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1036: 
      var $5100=HEAP32[(($op)>>2)]; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5101=(($5100)|0)==93; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5101) { __label__ = 1037; break; } else { __label__ = 1040; break; } //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1037: 
      var $5103=$lambda; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5104=(($5103) & 1); //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5104) { __label__ = 1038; break; } else { __label__ = 1040; break; } //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1038: 
      var $5106=$init; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5107=(($5106+32)|0); //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5108=$5107; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5109=(($5108)|0); //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5110=$5109; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5111=HEAP32[(($5110)>>2)]; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5112=__ZNK13JSFunctionBox8joinableEv($5111); //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5112) { __label__ = 1039; break; } else { __label__ = 1040; break; } //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1039: 
      $obj=0; //@line 7098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=227; //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5114=$pn2; //@line 7100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5115=HEAP32[(($op)>>2)]; //@line 7100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($5114, $5115); //@line 7100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1045; break; //@line 7101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1040: 
      var $5117=$pn3; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5118=(($5117+32)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5119=$5118; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5120=(($5119)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5121=$5120; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5122=HEAP32[(($5121)>>2)]; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5123=$2; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5124=(($5123+52)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5125=HEAP32[(($5124)>>2)]; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5126=(($5125+209948)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5127=(($5126+344)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5128=HEAP32[(($5127)>>2)]; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5129=$5128; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5130=(($5122)|0)==(($5129)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5130) { __label__ = 1041; break; } else { __label__ = 1042; break; } //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1041: 
      $obj=0; //@line 7107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1042; break; //@line 7107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1042: 
      HEAP32[(($op)>>2)]=93; //@line 7108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5133=$lambda; //@line 7109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5134=(($5133) & 1); //@line 7109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5134) { __label__ = 1043; break; } else { __label__ = 1044; break; } //@line 7109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1043: 
      var $5136=$slowMethodInits; //@line 7110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5137=(($5136+1)|0); //@line 7110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slowMethodInits=$5137; //@line 7110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1044; break; //@line 7110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1044: 
      __label__ = 1045; break;
    case 1045: 
      var $5140=$obj; //@line 7113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5141=(($5140)|0)!=0; //@line 7113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5141) { __label__ = 1046; break; } else { __label__ = 1051; break; } //@line 7113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1046: 
      var $5143=$2; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5144=$obj; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5145=$pn3; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5146=(($5145+32)|0); //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5147=$5146; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5148=(($5147)|0); //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5149=$5148; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5150=HEAP32[(($5149)>>2)]; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5151=__ZL12ATOM_TO_JSIDP6JSAtom1150($5150); //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JSL14UndefinedValueEv1154($7); //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5152=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($5143, $5144, $5151, $7, 0, 0, 1, 0, 0, 0); //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5153=(($5152)|0)!=0; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5153) { __label__ = 1048; break; } else { __label__ = 1047; break; } //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1047: 
      $1=0; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1048: 
      var $5156=$obj; //@line 7120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5157=__ZNK8JSObject16inDictionaryModeEv($5156); //@line 7120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5157) { __label__ = 1049; break; } else { __label__ = 1050; break; } //@line 7120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1049: 
      $obj=0; //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1050; break; //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1050: 
      __label__ = 1051; break; //@line 7122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1051: 
      __label__ = 1052; break; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1052: 
      var $5162=$2; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5163=HEAP32[(($op)>>2)]; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5164=HEAP32[(($index11)>>2)]; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5165=$3; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5166=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($5162, $5163, $5164, $5165, 0); //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5166) { __label__ = 1054; break; } else { __label__ = 1053; break; } //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1053: 
      $1=0; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1054: 
      __label__ = 1055; break; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1055: 
      __label__ = 1056; break; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1056: 
      __label__ = 1057; break;
    case 1057: 
      __label__ = 1058; break; //@line 7126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1058: 
      var $5173=$pn2; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5174=(($5173+24)|0); //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5175=HEAP32[(($5174)>>2)]; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5175; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1014; break; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1059: 
      var $5177=$3; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5178=$5177; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5179=(($5178+80)|0); //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5180=HEAP32[(($5179)>>2)]; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5181=(($5180)|0)!=0; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5181) { __label__ = 1060; break; } else { __label__ = 1064; break; } //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1060: 
      var $5183=$3; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5184=$5183; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5185=(($5184+80)|0); //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5186=HEAP32[(($5185)>>2)]; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5187=$methodInits; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5188=$slowMethodInits; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5189=__ZNK13JSFunctionBox13shouldUnbrandEjj($5186, $5187, $5188); //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5189) { __label__ = 1061; break; } else { __label__ = 1064; break; } //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1061: 
      $obj=0; //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5191=$2; //@line 7130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5192=$3; //@line 7130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5193=_js_Emit1($5191, $5192, 228); //@line 7130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5194=(($5193)|0) < 0; //@line 7130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5194) { __label__ = 1062; break; } else { __label__ = 1063; break; } //@line 7130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1062: 
      $1=0; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1063: 
      __label__ = 1064; break; //@line 7132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1064: 
      var $5198=$2; //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5199=$3; //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5200=$4; //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5201=(($5200+32)|0); //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5202=$5201; //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5203=(($5202+8)|0); //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5204=HEAP32[(($5203)>>2)]; //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5205=__ZL11EmitEndInitP9JSContextP15JSCodeGeneratorj($5198, $5199, $5204); //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5205) { __label__ = 1066; break; } else { __label__ = 1065; break; } //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1065: 
      $1=0; //@line 7134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1066: 
      var $5208=$obj; //@line 7136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5209=(($5208)|0)!=0; //@line 7136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5209) { __label__ = 1067; break; } else { __label__ = 1075; break; } //@line 7136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1067: 
      var $5211=$3; //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5212=$5211; //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5213=(($5212+48)|0); //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5214=HEAP32[(($5213)>>2)]; //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5215=$obj; //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5216=__ZN2js6Parser12newObjectBoxEP8JSObject($5214, $5215); //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $objbox12=$5216; //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5217=$objbox12; //@line 7142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5218=(($5217)|0)!=0; //@line 7142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5218) { __label__ = 1069; break; } else { __label__ = 1068; break; } //@line 7142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1068: 
      $1=0; //@line 7143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1069: 
      var $5221=$3; //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5222=(($5221+292)|0); //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5223=$objbox12; //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5224=__ZN14JSCGObjectList5indexEP11JSObjectBox($5222, $5223); //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index13=$5224; //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5225=$index13; //@line 7145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5226=__ZL19FitsWithoutBigIndexj($5225); //@line 7145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5226) { __label__ = 1070; break; } else { __label__ = 1074; break; } //@line 7145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1070: 
      __label__ = 1071; break; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1071: 
      var $5229=$3; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5230=(($5229+172)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5231=HEAP32[(($5230)>>2)]; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5232=(($5231)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5233=HEAP32[(($5232)>>2)]; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5234=$offset; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5235=(($5233+$5234)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5236=(($5235)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5236)]=91; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5237=$index13; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5238=(($5237) & 65535); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5239=(($5238)&65535); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5240=$5239 >> 8; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5241=(($5240) & 255); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5242=$3; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5243=(($5242+172)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5244=HEAP32[(($5243)>>2)]; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5245=(($5244)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5246=HEAP32[(($5245)>>2)]; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5247=$offset; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5248=(($5246+$5247)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5249=(($5248+1)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5249)]=$5241; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5250=$index13; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5251=(($5250) & 65535); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5252=(($5251) & 255); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5253=$3; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5254=(($5253+172)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5255=HEAP32[(($5254)>>2)]; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5256=(($5255)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5257=HEAP32[(($5256)>>2)]; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5258=$offset; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5259=(($5257+$5258)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5260=(($5259+2)|0); //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5260)]=$5252; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1072; break; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1072: 
      __label__ = 1073; break; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1073: 
      __label__ = 1074; break; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1074: 
      __label__ = 1075; break; //@line 7147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1075: 
      __label__ = 1223; break; //@line 7149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1076: 
      var $5266=$4; //@line 7155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5267=(($5266+32)|0); //@line 7155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5268=$5267; //@line 7155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5269=(($5268+4)|0); //@line 7155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5270=HEAP32[(($5269)>>2)]; //@line 7155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sharpnum=$5270; //@line 7155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5271=$4; //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5272=(($5271+32)|0); //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5273=$5272; //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5274=(($5273)|0); //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5275=HEAP32[(($5274)>>2)]; //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $4=$5275; //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5276=$4; //@line 7157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5277=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5276, 24); //@line 7157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5277) { __label__ = 1077; break; } else { __label__ = 1078; break; } //@line 7157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1077: 
      __label__ = 951; break; //@line 7158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1078: 
      var $5280=$4; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5281=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5280, 78); //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5281) { __label__ = 1079; break; } else { __label__ = 1080; break; } //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1079: 
      __label__ = 951; break; //@line 7161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1080: 
      var $5284=$4; //@line 7163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5285=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5284, 26); //@line 7163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5285) { __label__ = 1081; break; } else { __label__ = 1082; break; } //@line 7163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1081: 
      __label__ = 997; break; //@line 7164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1082: 
      var $5288=$2; //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5289=$3; //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5290=$4; //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5291=_js_EmitTree($5288, $5289, $5290); //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5292=(($5291)|0)!=0; //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5292) { __label__ = 1084; break; } else { __label__ = 1083; break; } //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1083: 
      $1=0; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1084: 
      __label__ = 1085; break; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1085: 
      var $5296=$2; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5297=$3; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5298=_js_EmitN($5296, $5297, 95, 4); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off_=$5298; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5299=$off_; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5300=(($5299)|0) < 0; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5300) { __label__ = 1086; break; } else { __label__ = 1087; break; } //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1086: 
      $1=0; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1087: 
      var $5303=$3; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5304=(($5303+172)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5305=HEAP32[(($5304)>>2)]; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5306=(($5305)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5307=HEAP32[(($5306)>>2)]; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5308=$off_; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5309=(($5307+$5308)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc_=$5309; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5310=$3; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5311=$5310; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5312=(($5311+104)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5313=HEAP32[(($5312)>>2)]; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5314=$5313 >> 8; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5315=(($5314) & 255); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5316=$pc_; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5317=(($5316+1)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5317)]=$5315; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5318=$3; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5319=$5318; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5320=(($5319+104)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5321=HEAP32[(($5320)>>2)]; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5322=(($5321) & 255); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5323=$pc_; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5324=(($5323+2)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5324)]=$5322; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5325=$pc_; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5326=(($5325+2)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc_=$5326; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5327=$sharpnum; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5328=$5327 >>> 8; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5329=(($5328) & 255); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5330=$pc_; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5331=(($5330+1)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5331)]=$5329; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5332=$sharpnum; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5333=(($5332) & 255); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5334=$pc_; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5335=(($5334+2)|0); //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5335)]=$5333; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1088; break; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1088: 
      __label__ = 1089; break; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1089: 
      __label__ = 1223; break; //@line 7169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1090: 
      __label__ = 1091; break; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1091: 
      var $5340=$2; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5341=$3; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5342=_js_EmitN($5340, $5341, 96, 4); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off_14=$5342; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5343=$off_14; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5344=(($5343)|0) < 0; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5344) { __label__ = 1092; break; } else { __label__ = 1093; break; } //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1092: 
      $1=0; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1093: 
      var $5347=$3; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5348=(($5347+172)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5349=HEAP32[(($5348)>>2)]; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5350=(($5349)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5351=HEAP32[(($5350)>>2)]; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5352=$off_14; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5353=(($5351+$5352)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc_15=$5353; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5354=$3; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5355=$5354; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5356=(($5355+104)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5357=HEAP32[(($5356)>>2)]; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5358=$5357 >> 8; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5359=(($5358) & 255); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5360=$pc_15; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5361=(($5360+1)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5361)]=$5359; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5362=$3; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5363=$5362; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5364=(($5363+104)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5365=HEAP32[(($5364)>>2)]; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5366=(($5365) & 255); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5367=$pc_15; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5368=(($5367+2)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5368)]=$5366; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5369=$pc_15; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5370=(($5369+2)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc_15=$5370; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5371=$4; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5372=(($5371+32)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5373=$5372; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5374=(($5373+4)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5375=HEAPU32[(($5374)>>2)]; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5376=$5375 >>> 8; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5377=(($5376) & 255); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5378=$pc_15; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5379=(($5378+1)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5379)]=$5377; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5380=$4; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5381=(($5380+32)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5382=$5381; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5383=(($5382+4)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5384=HEAP32[(($5383)>>2)]; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5385=(($5384) & 255); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5386=$pc_15; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5387=(($5386+2)|0); //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($5387)]=$5385; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1094; break; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1094: 
      __label__ = 1095; break; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1095: 
      __label__ = 1223; break; //@line 7174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1096: 
      var $5391=$4; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5392=__ZNK11JSParseNode4isOpE4JSOp($5391, 0); //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5392) { __label__ = 1097; break; } else { __label__ = 1098; break; } //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1097: 
      __label__ = 1223; break; //@line 7184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1098: 
      var $5395=$2; //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5396=$3; //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5397=$4; //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5398=__ZL10EmitNameOpP9JSContextP15JSCodeGeneratorP11JSParseNodei($5395, $5396, $5397, 0); //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5399=(($5398)|0)!=0; //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5399) { __label__ = 1100; break; } else { __label__ = 1099; break; } //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1099: 
      $1=0; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1100: 
      __label__ = 1223; break; //@line 7187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1101: 
      var $5403=$2; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5404=$4; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5405=$4; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5406=__ZNK11JSParseNode5getOpEv($5405); //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5407=$3; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5408=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($5403, $5404, $5406, $5407, 0); //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5409=(($5408)&1); //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$5409; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1102: 
      var $5411=$2; //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5412=$4; //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5413=(($5412+32)|0); //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5414=$5413; //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5415=(tempDoubleI32[0]=HEAP32[(($5414)>>2)],tempDoubleI32[1]=HEAP32[(($5414+4)>>2)],tempDoubleF64[0]); //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5416=$3; //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5417=__ZL12EmitNumberOpP9JSContextdP15JSCodeGenerator($5411, $5415, $5416); //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$5417; //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1103: 
      var $5419=$2; //@line 7206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5420=$3; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5421=(($5420+300)|0); //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5422=$4; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5423=(($5422+32)|0); //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5424=$5423; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5425=(($5424)|0); //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5426=$5425; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5427=HEAP32[(($5426)>>2)]; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5428=__ZN14JSCGObjectList5indexEP11JSObjectBox($5421, $5427); //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5429=$3; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5430=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($5419, 162, $5428, $5429, 0); //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5431=(($5430)&1); //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$5431; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1223; break; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1104: 
      var $5433=$2; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5434=$3; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5435=$4; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5436=__ZNK11JSParseNode5getOpEv($5435); //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5437=_js_Emit1($5433, $5434, $5436); //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5438=(($5437)|0) < 0; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5438) { __label__ = 1105; break; } else { __label__ = 1106; break; } //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1105: 
      $1=0; //@line 7217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1106: 
      __label__ = 1223; break; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1107: 
      var $5442=$2; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5443=$3; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5444=_js_Emit1($5442, $5443, 115); //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5445=(($5444)|0) < 0; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5445) { __label__ = 1108; break; } else { __label__ = 1109; break; } //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1108: 
      $1=0; //@line 7222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1109: 
      __label__ = 1223; break; //@line 7223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1110: 
      var $5449=$4; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5450=(($5449+32)|0); //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5451=$5450; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5452=(($5451)|0); //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5453=HEAP32[(($5452)>>2)]; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5454=(($5453)|0)!=0; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5454) { __label__ = 1111; break; } else { __label__ = 1112; break; } //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1111: 
      var $5456=$4; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5457=(($5456+32)|0); //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5458=$5457; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5459=(($5458)|0); //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5460=HEAP32[(($5459)>>2)]; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5461=__ZNK11JSParseNode7getKindEv($5460); //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5464 = $5461;__label__ = 1113; break; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1112: 
      var $5464 = 76;__label__ = 1113; break; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1113: 
      var $5464; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($5464)|0) == 60) {
        __label__ = 1114; break;
      }
      else if ((($5464)|0) == 61 || (($5464)|0) == 59) {
        __label__ = 1115; break;
      }
      else {
      __label__ = 1116; break;
      }
      
    case 1114: 
      __label__ = 1115; break; //@line 7231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1115: 
      __label__ = 1119; break; //@line 7235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1116: 
      var $5468=$2; //@line 7237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5469=$3; //@line 7237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5470=_js_Emit1($5468, $5469, 194); //@line 7237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5471=(($5470)|0) < 0; //@line 7237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5471) { __label__ = 1117; break; } else { __label__ = 1118; break; } //@line 7237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1117: 
      $1=0; //@line 7238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1118: 
      __label__ = 1119; break; //@line 7239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1119: 
      var $5475=$4; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5476=(($5475+32)|0); //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5477=$5476; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5478=(($5477)|0); //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5479=HEAP32[(($5478)>>2)]; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5479; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1120; break; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1120: 
      var $5481=$pn2; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5482=(($5481)|0)!=0; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5482) { __label__ = 1121; break; } else { __label__ = 1131; break; } //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1121: 
      var $5484=$pn2; //@line 7242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5485=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5484, 25); //@line 7242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5485) { __label__ = 1122; break; } else { __label__ = 1124; break; } //@line 7242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1122: 
      var $5487=$2; //@line 7243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5488=$3; //@line 7243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5489=_js_Emit1($5487, $5488, 195); //@line 7243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5490=(($5489)|0) < 0; //@line 7243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5490) { __label__ = 1123; break; } else { __label__ = 1124; break; } //@line 7243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1123: 
      $1=0; //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1124: 
      var $5493=$2; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5494=$3; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5495=$pn2; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5496=_js_EmitTree($5493, $5494, $5495); //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5497=(($5496)|0)!=0; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5497) { __label__ = 1126; break; } else { __label__ = 1125; break; } //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1125: 
      $1=0; //@line 7247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1126: 
      var $5500=$pn2; //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5501=$4; //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5502=(($5501+32)|0); //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5503=$5502; //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5504=(($5503)|0); //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5505=HEAP32[(($5504)>>2)]; //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5506=(($5500)|0)!=(($5505)|0); //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5506) { __label__ = 1127; break; } else { __label__ = 1129; break; } //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1127: 
      var $5508=$2; //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5509=$3; //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5510=_js_Emit1($5508, $5509, 27); //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5511=(($5510)|0) < 0; //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5511) { __label__ = 1128; break; } else { __label__ = 1129; break; } //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1128: 
      $1=0; //@line 7249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1129: 
      __label__ = 1130; break; //@line 7250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1130: 
      var $5515=$pn2; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5516=(($5515+24)|0); //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5517=HEAP32[(($5516)>>2)]; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5517; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1120; break; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1131: 
      var $5519=$4; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5520=(($5519+32)|0); //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5521=$5520; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5522=$5521; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5523=(($5522+12)|0); //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5524=$5523; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5525=HEAP32[(($5524)>>2)]; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5526=$5525 & 4095; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5527=$5526 & 32; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5528=(($5527)|0)!=0; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5528) { __label__ = 1132; break; } else { __label__ = 1144; break; } //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1132: 
      var $5530=$4; //@line 7253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5531=(($5530+32)|0); //@line 7253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5532=$5531; //@line 7253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5533=(($5532+8)|0); //@line 7253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5534=HEAP32[(($5533)>>2)]; //@line 7253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5535=(($5534)|0)==0; //@line 7253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5535) { __label__ = 1133; break; } else { __label__ = 1141; break; } //@line 7253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1133: 
      var $5537=$2; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5538=(($5537+52)|0); //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5539=HEAP32[(($5538)>>2)]; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5540=(($5539+209948)|0); //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5541=(($5540+24)|0); //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5542=HEAP32[(($5541)>>2)]; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5543=$5542; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $atom=$5543; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5544=$3; //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5545=$atom; //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5546=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($5544, $5545, $index16); //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5546) { __label__ = 1135; break; } else { __label__ = 1134; break; } //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1134: 
      $1=0; //@line 7258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1135: 
      __label__ = 1136; break; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1136: 
      var $5550=$2; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5551=HEAP32[(($index16)>>2)]; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5552=$3; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5553=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($5550, 61, $5551, $5552, 0); //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5553) { __label__ = 1138; break; } else { __label__ = 1137; break; } //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1137: 
      $1=0; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1138: 
      __label__ = 1139; break; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1139: 
      __label__ = 1140; break; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1140: 
      __label__ = 1141; break; //@line 7260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1141: 
      var $5559=$2; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5560=$3; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5561=$4; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5562=__ZNK11JSParseNode5getOpEv($5561); //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5563=_js_Emit1($5559, $5560, $5562); //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5564=(($5563)|0) < 0; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5564) { __label__ = 1142; break; } else { __label__ = 1143; break; } //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1142: 
      $1=0; //@line 7262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1143: 
      __label__ = 1144; break; //@line 7263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1144: 
      __label__ = 1223; break; //@line 7268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1145: 
      var $5569=$2; //@line 7276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5570=$3; //@line 7276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5571=_js_Emit1($5569, $5570, 194); //@line 7276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5572=(($5571)|0) < 0; //@line 7276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5572) { __label__ = 1146; break; } else { __label__ = 1147; break; } //@line 7276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1146: 
      $1=0; //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1147: 
      var $5575=$4; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5576=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5575, 60); //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5576) { __label__ = 1148; break; } else { __label__ = 1149; break; } //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1148: 
      var $5578=$2; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5579=(($5578+52)|0); //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5580=HEAP32[(($5579)>>2)]; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5581=(($5580+209948)|0); //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5582=(($5581+440)|0); //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5583=HEAP32[(($5582)>>2)]; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5592 = $5583;__label__ = 1150; break; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1149: 
      var $5585=$2; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5586=(($5585+52)|0); //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5587=HEAP32[(($5586)>>2)]; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5588=(($5587+209948)|0); //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5589=(($5588+460)|0); //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5590=HEAP32[(($5589)>>2)]; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5592 = $5590;__label__ = 1150; break; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1150: 
      var $5592; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5593=$5592; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp18=$5593; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5594=$3; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5595=$tmp18; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5596=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($5594, $5595, $index17); //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5596) { __label__ = 1152; break; } else { __label__ = 1151; break; } //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1151: 
      $1=0; //@line 7284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1152: 
      __label__ = 1153; break; //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1153: 
      var $5600=$2; //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5601=HEAP32[(($index17)>>2)]; //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5602=$3; //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5603=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($5600, 61, $5601, $5602, 0); //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5603) { __label__ = 1155; break; } else { __label__ = 1154; break; } //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1154: 
      $1=0; //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1155: 
      __label__ = 1156; break; //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1156: 
      __label__ = 1157; break; //@line 7285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1157: 
      var $5608=$4; //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5609=(($5608+32)|0); //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5610=$5609; //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5611=(($5610)|0); //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5612=HEAP32[(($5611)>>2)]; //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5612; //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5613=$pn2; //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5614=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5613, 25); //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5614) { __label__ = 1158; break; } else { __label__ = 1160; break; } //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1158: 
      var $5616=$2; //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5617=$3; //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5618=_js_Emit1($5616, $5617, 195); //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5619=(($5618)|0) < 0; //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5619) { __label__ = 1159; break; } else { __label__ = 1160; break; } //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1159: 
      $1=0; //@line 7291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1160: 
      var $5622=$2; //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5623=$3; //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5624=$pn2; //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5625=_js_EmitTree($5622, $5623, $5624); //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5626=(($5625)|0)!=0; //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5626) { __label__ = 1162; break; } else { __label__ = 1161; break; } //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1161: 
      $1=0; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1162: 
      var $5629=$2; //@line 7294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5630=$3; //@line 7294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5631=_js_Emit1($5629, $5630, 27); //@line 7294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5632=(($5631)|0) < 0; //@line 7294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5632) { __label__ = 1163; break; } else { __label__ = 1164; break; } //@line 7294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1163: 
      $1=0; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1164: 
      var $5635=$pn2; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5636=(($5635+24)|0); //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5637=HEAP32[(($5636)>>2)]; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5637; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=0; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1165; break; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1165: 
      var $5639=$pn2; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5640=(($5639)|0)!=0; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5640) { __label__ = 1166; break; } else { __label__ = 1180; break; } //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1166: 
      var $5642=$pn2; //@line 7298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5643=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5642, 25); //@line 7298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5643) { __label__ = 1167; break; } else { __label__ = 1169; break; } //@line 7298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1167: 
      var $5645=$2; //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5646=$3; //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5647=_js_Emit1($5645, $5646, 195); //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5648=(($5647)|0) < 0; //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5648) { __label__ = 1168; break; } else { __label__ = 1169; break; } //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1168: 
      $1=0; //@line 7300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1169: 
      var $5651=$2; //@line 7302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5652=$3; //@line 7302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5653=$pn2; //@line 7302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5654=_js_EmitTree($5651, $5652, $5653); //@line 7302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5655=(($5654)|0)!=0; //@line 7302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5655) { __label__ = 1171; break; } else { __label__ = 1170; break; } //@line 7302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1170: 
      $1=0; //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1171: 
      var $5658=$i; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5659=$5658 & 1; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5660=(($5659)|0)!=0; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5660) { __label__ = 1172; break; } else { __label__ = 1176; break; } //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1172: 
      var $5662=$pn2; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5663=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5662, 25); //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5663) { __label__ = 1173; break; } else { __label__ = 1176; break; } //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1173: 
      var $5665=$2; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5666=$3; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5667=_js_Emit1($5665, $5666, 169); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5668=(($5667)|0) < 0; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5668) { __label__ = 1174; break; } else { __label__ = 1175; break; } //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1174: 
      $1=0; //@line 7306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1175: 
      __label__ = 1176; break; //@line 7307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1176: 
      var $5672=$2; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5673=$3; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5674=$i; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5675=$5674 & 1; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5676=(($5675)|0)!=0; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5677=$5676 ? 171 : 170; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5678=_js_Emit1($5672, $5673, $5677); //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5679=(($5678)|0) < 0; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5679) { __label__ = 1177; break; } else { __label__ = 1178; break; } //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1177: 
      $1=0; //@line 7310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1178: 
      __label__ = 1179; break; //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1179: 
      var $5683=$pn2; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5684=(($5683+24)|0); //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5685=HEAP32[(($5684)>>2)]; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5685; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5686=$i; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5687=(($5686+1)|0); //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$5687; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1165; break; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1180: 
      var $5689=$4; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5690=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5689, 61); //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5690) { __label__ = 1181; break; } else { __label__ = 1182; break; } //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1181: 
      var $5692=$2; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5693=(($5692+52)|0); //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5694=HEAP32[(($5693)>>2)]; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5695=(($5694+209948)|0); //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5696=(($5695+448)|0); //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5697=HEAP32[(($5696)>>2)]; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5706 = $5697;__label__ = 1183; break; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1182: 
      var $5699=$2; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5700=(($5699+52)|0); //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5701=HEAP32[(($5700)>>2)]; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5702=(($5701+209948)|0); //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5703=(($5702+472)|0); //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5704=HEAP32[(($5703)>>2)]; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5706 = $5704;__label__ = 1183; break; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1183: 
      var $5706; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5707=$5706; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp20=$5707; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5708=$3; //@line 7318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5709=$tmp20; //@line 7318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5710=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($5708, $5709, $index19); //@line 7318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5710) { __label__ = 1185; break; } else { __label__ = 1184; break; } //@line 7318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1184: 
      $1=0; //@line 7319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1185: 
      __label__ = 1186; break; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1186: 
      var $5714=$2; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5715=HEAP32[(($index19)>>2)]; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5716=$3; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5717=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($5714, 61, $5715, $5716, 0); //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5717) { __label__ = 1188; break; } else { __label__ = 1187; break; } //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1187: 
      $1=0; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1188: 
      __label__ = 1189; break; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1189: 
      __label__ = 1190; break; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1190: 
      var $5722=$2; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5723=$3; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5724=_js_Emit1($5722, $5723, 27); //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5725=(($5724)|0) < 0; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5725) { __label__ = 1191; break; } else { __label__ = 1192; break; } //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1191: 
      $1=0; //@line 7323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1192: 
      var $5728=$4; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5729=(($5728+32)|0); //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5730=$5729; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5731=$5730; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5732=(($5731+12)|0); //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5733=$5732; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5734=HEAP32[(($5733)>>2)]; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5735=$5734 & 4095; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5736=$5735 & 32; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5737=(($5736)|0)!=0; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5737) { __label__ = 1193; break; } else { __label__ = 1195; break; } //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1193: 
      var $5739=$2; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5740=$3; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5741=$4; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5742=__ZNK11JSParseNode5getOpEv($5741); //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5743=_js_Emit1($5739, $5740, $5742); //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5744=(($5743)|0) < 0; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5744) { __label__ = 1194; break; } else { __label__ = 1195; break; } //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1194: 
      $1=0; //@line 7326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1195: 
      __label__ = 1223; break; //@line 7327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1196: 
      var $5748=$4; //@line 7331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5749=__ZNK11JSParseNode7isArityE16JSParseNodeArity($5748, 5); //@line 7331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5749) { __label__ = 1197; break; } else { __label__ = 1210; break; } //@line 7331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1197: 
      var $5751=$4; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5752=(($5751+32)|0); //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5753=$5752; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5754=(($5753)|0); //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5755=HEAP32[(($5754)>>2)]; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5755; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1198; break; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1198: 
      var $5757=$pn2; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5758=(($5757)|0)!=0; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5758) { __label__ = 1199; break; } else { __label__ = 1209; break; } //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1199: 
      var $5760=$pn2; //@line 7334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5761=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5760, 25); //@line 7334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5761) { __label__ = 1200; break; } else { __label__ = 1202; break; } //@line 7334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1200: 
      var $5763=$2; //@line 7335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5764=$3; //@line 7335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5765=_js_Emit1($5763, $5764, 195); //@line 7335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5766=(($5765)|0) < 0; //@line 7335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5766) { __label__ = 1201; break; } else { __label__ = 1202; break; } //@line 7335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1201: 
      $1=0; //@line 7336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1202: 
      var $5769=$2; //@line 7338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5770=$3; //@line 7338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5771=$pn2; //@line 7338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5772=_js_EmitTree($5769, $5770, $5771); //@line 7338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5773=(($5772)|0)!=0; //@line 7338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5773) { __label__ = 1204; break; } else { __label__ = 1203; break; } //@line 7338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1203: 
      $1=0; //@line 7339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1204: 
      var $5776=$pn2; //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5777=$4; //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5778=(($5777+32)|0); //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5779=$5778; //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5780=(($5779)|0); //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5781=HEAP32[(($5780)>>2)]; //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5782=(($5776)|0)!=(($5781)|0); //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5782) { __label__ = 1205; break; } else { __label__ = 1207; break; } //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1205: 
      var $5784=$2; //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5785=$3; //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5786=_js_Emit1($5784, $5785, 27); //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5787=(($5786)|0) < 0; //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5787) { __label__ = 1206; break; } else { __label__ = 1207; break; } //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1206: 
      $1=0; //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1207: 
      __label__ = 1208; break; //@line 7342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1208: 
      var $5791=$pn2; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5792=(($5791+24)|0); //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5793=HEAP32[(($5792)>>2)]; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$5793; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1198; break; //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1209: 
      __label__ = 1214; break; //@line 7343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1210: 
      var $5796=$4; //@line 7345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5797=__ZNK11JSParseNode4isOpE4JSOp($5796, 80); //@line 7345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5797) { __label__ = 1211; break; } else { __label__ = 1212; break; } //@line 7345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1211: 
      var $5799=$2; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5800=$4; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5801=(($5800+32)|0); //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5802=$5801; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5803=(($5802)|0); //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5804=$5803; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5805=HEAP32[(($5804)>>2)]; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5806=$4; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5807=__ZNK11JSParseNode5getOpEv($5806); //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5808=$3; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5809=__ZL12EmitObjectOpP9JSContextP11JSObjectBox4JSOpP15JSCodeGenerator($5799, $5805, $5807, $5808); //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5819 = $5809;__label__ = 1213; break; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1212: 
      var $5811=$2; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5812=$4; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5813=$4; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5814=__ZNK11JSParseNode5getOpEv($5813); //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5815=$3; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5816=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($5811, $5812, $5814, $5815, 0); //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5817=(($5816)&1); //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5819 = $5817;__label__ = 1213; break; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1213: 
      var $5819; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$5819; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1214; break;
    case 1214: 
      __label__ = 1223; break; //@line 7349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1215: 
      var $5822=$3; //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5823=$4; //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5824=(($5823+32)|0); //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5825=$5824; //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5826=(($5825+4)|0); //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5827=HEAP32[(($5826)>>2)]; //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5828=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($5822, $5827, $index21); //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5828) { __label__ = 1217; break; } else { __label__ = 1216; break; } //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1216: 
      $1=0; //@line 7354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1217: 
      var $5831=$2; //@line 7355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5832=HEAP32[(($index21)>>2)]; //@line 7355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5833=$3; //@line 7355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5834=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($5831, 165, $5832, $5833, 0); //@line 7355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5834) { __label__ = 1219; break; } else { __label__ = 1218; break; } //@line 7355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1218: 
      $1=0; //@line 7356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1219: 
      var $5837=$2; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5838=$4; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5839=$3; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5840=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($5837, $5838, 185, $5839, 0); //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5840) { __label__ = 1221; break; } else { __label__ = 1220; break; } //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1220: 
      $1=0; //@line 7358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1221: 
      __label__ = 1223; break; //@line 7359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1222: 
      __label__ = 1223; break; //@line 7365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1223: 
      var $5845=$ok; //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5846=(($5845)|0)!=0; //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5846) { __label__ = 1224; break; } else { __label__ = 1230; break; } //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1224: 
      var $5848=$3; //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5849=(($5848+236)|0); //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5850=HEAP32[(($5849)>>2)]; //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5851=(($5850)|0)==1; //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5851) { __label__ = 1225; break; } else { __label__ = 1230; break; } //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1225: 
      var $5853=$3; //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5854=(($5853+208)|0); //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5855=HEAP32[(($5854)>>2)]; //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5856=(($5855)|0)!=0; //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5856) { __label__ = 1226; break; } else { __label__ = 1227; break; } //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1226: 
      var $5858=$2; //@line 7370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5859=$3; //@line 7370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5860=__ZL16OptimizeSpanDepsP9JSContextP15JSCodeGenerator($5858, $5859); //@line 7370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$5860; //@line 7370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 1227; break; //@line 7370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1227: 
      var $5862=$2; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5863=$3; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5864=$4; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5865=(($5864+4)|0); //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5866=(($5865+8)|0); //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5867=(($5866+4)|0); //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5868=HEAP32[(($5867)>>2)]; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5869=__ZL21UpdateLineNumberNotesP9JSContextP15JSCodeGeneratorj($5862, $5863, $5868); //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5870=(($5869)|0)!=0; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($5870) { __label__ = 1229; break; } else { __label__ = 1228; break; } //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1228: 
      $1=0; //@line 7372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1229: 
      __label__ = 1230; break; //@line 7373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1230: 
      var $5874=$ok; //@line 7375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$5874; //@line 7375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 1231; break; //@line 7375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 1231: 
      __ZN16EmitLevelManagerD1Ev($elm); //@line 7376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5876=$1; //@line 7376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $5876; //@line 7376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_EmitTree["X"]=1;

function _INT_TO_JSID1151($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function _INT_FITS_IN_JSID($i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$1; //@line 1542 "./jsapi.h"
  var $3=(($2+1073741824)|0); //@line 1542 "./jsapi.h"
  var $4=(($3)>>>0) <= 2147483647; //@line 1542 "./jsapi.h"
  var $5=(($4)&1); //@line 1542 "./jsapi.h"
  ;
  return $5; //@line 1542 "./jsapi.h"
}


function __ZNK11JSParseNode7getKindEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jsparse.h"
  var $4=HEAP32[(($3)>>2)]; //@line 366 "./jsparse.h"
  var $5=$4 & 65535; //@line 366 "./jsparse.h"
  ;
  return $5; //@line 366 "./jsparse.h"
}


function __ZNK11JSParseNode5getOpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 363 "./jsparse.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 363 "./jsparse.h"
  var $5=$4 >>> 16; //@line 363 "./jsparse.h"
  var $6=$5 & 255; //@line 363 "./jsparse.h"
  ;
  return $6; //@line 363 "./jsparse.h"
}


function __ZNK13JSFunctionBox8functionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1036 "./jsparse.h"
  var $4=(($3+8)|0); //@line 1036 "./jsparse.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1036 "./jsparse.h"
  var $6=$5; //@line 1036 "./jsparse.h"
  ;
  return $6; //@line 1036 "./jsparse.h"
}


function __ZN13JSTreeContext11setFunctionEP10JSFunction($this, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$fun;
  var $3=$1;
  var $4=$2; //@line 341 "./jsemit.h"
  var $5=(($3+60)|0); //@line 341 "./jsemit.h"
  var $6=$5; //@line 341 "./jsemit.h"
  HEAP32[(($6)>>2)]=$4; //@line 341 "./jsemit.h"
  ;
  return; //@line 342 "./jsemit.h"
}


function __ZN11JSParseNode16getConstantValueEP9JSContextbPN2JS5ValueE($this, $cx, $strictChecks, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $idx;
      var $pn;
      var $value=__stackBase__;
      var $kind;
      var $obj1;
      var $pn2;
      var $value3=__stackBase__+8;
      var $pnid;
      var $idvalue=__stackBase__+16;
      var $id=__stackBase__+24;
      var $id4;
      $2=$this;
      $3=$cx;
      var $6=(($strictChecks)&1);
      $4=$6;
      $5=$vp;
      var $7=$2;
      var $8=__ZNK11JSParseNode7getKindEv($7); //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($8)|0) == 30) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 31) {
        __label__ = 3; break;
      }
      else if ((($8)|0) == 33) {
        __label__ = 4; break;
      }
      else if ((($8)|0) == 24) {
        __label__ = 9; break;
      }
      else if ((($8)|0) == 26) {
        __label__ = 20; break;
      }
      else {
      __label__ = 42; break;
      }
      
    case 2: 
      var $10=$5; //@line 4825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($7+32)|0); //@line 4825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$11; //@line 4825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(tempDoubleI32[0]=HEAP32[(($12)>>2)],tempDoubleI32[1]=HEAP32[(($12+4)>>2)],tempDoubleF64[0]); //@line 4825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=__ZN2JS5Value9setNumberEd($10, $13); //@line 4825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $16=$5; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($7+32)|0); //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$17; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0); //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$21; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JS5Value9setStringEP8JSString($16, $22); //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $24=__ZNK11JSParseNode5getOpEv($7); //@line 4831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($24)|0) == 64) {
        __label__ = 5; break;
      }
      else if ((($24)|0) == 66) {
        __label__ = 6; break;
      }
      else if ((($24)|0) == 67) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 5: 
      var $26=$5; //@line 4833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JS5Value7setNullEv($26); //@line 4833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $28=$5; //@line 4836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JS5Value10setBooleanEb($28, 0); //@line 4836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $30=$5; //@line 4839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JS5Value10setBooleanEb($30, 1); //@line 4839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 4840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=0; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $33=$3; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($7+32)|0); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$34; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+8)|0); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=__ZN2js22NewDenseAllocatedArrayEP9JSContextjP8JSObject($33, $37, 0); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $obj=$38; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$obj; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)|0)!=0; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $idx=0; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($7+32)|0); //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$43; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)|0); //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn=$46; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $48=$pn; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48)|0)!=0; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 19; break; } //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $51=$pn; //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$3; //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$4; //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53) & 1); //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=__ZN11JSParseNode16getConstantValueEP9JSContextbPN2JS5ValueE($51, $52, $54, $value); //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=0; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $58=$obj; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$3; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$idx; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=_INT_TO_JSID1151($60); //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($58, $59, $61, $value, 0, 0, 1); //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62)|0)!=0; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      $1=0; //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      __label__ = 18; break; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $67=$idx; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+1)|0); //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $idx=$68; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=$pn; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69+24)|0); //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn=$71; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $73=$3; //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$obj; //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js5types12FixArrayTypeEP9JSContextP8JSObject($73, $74); //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$5; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$obj; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JS5Value9setObjectER8JSObject($75, $76); //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $78=(($7+32)|0); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$78; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79+8)|0); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=__ZN2jsL17GuessObjectGCKindEjb1152($81, 0); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $kind=$82; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$3; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$kind; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1153($83, __ZN2js11ObjectClassE, $84); //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $obj1=$85; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$obj1; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86)|0)!=0; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      $1=0; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $90=(($7+32)|0); //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=$90; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=(($91)|0); //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$93; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 23; break; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $95=$pn2; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=(($95)|0)!=0; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($96) { __label__ = 24; break; } else { __label__ = 41; break; } //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $98=$pn2; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=(($98+32)|0); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$99; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100+4)|0); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=$3; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=$4; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=(($104) & 1); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=__ZN11JSParseNode16getConstantValueEP9JSContextbPN2JS5ValueE($102, $103, $105, $value3); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($106) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      $1=0; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $109=$pn2; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=(($109+32)|0); //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$110; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111)|0); //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pnid=$113; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=$pnid; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=__ZNK11JSParseNode6isKindEN2js9TokenKindE($114, 30); //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($115) { __label__ = 27; break; } else { __label__ = 36; break; } //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $117=$pnid; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($117+32)|0); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=$118; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(tempDoubleI32[0]=HEAP32[(($119)>>2)],tempDoubleI32[1]=HEAP32[(($119+4)>>2)],tempDoubleF64[0]); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JSL11NumberValueEd1149($idvalue, $120); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=__ZNK2JS5Value7isInt32Ev($idvalue); //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($121) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $123=__ZNK2JS5Value7toInt32Ev($idvalue); //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=_INT_FITS_IN_JSID($123); //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=(($124)|0)!=0; //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($125) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $127=__ZNK2JS5Value7toInt32Ev($idvalue); //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=_INT_TO_JSID1151($127); //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($id)>>2)]=$128; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 33; break; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $130=$3; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=$obj1; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPi($130, $131, $idvalue, $id); //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($132) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      $1=0; //@line 4886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      __label__ = 33; break;
    case 33: 
      var $136=$obj1; //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=$3; //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=HEAP32[(($id)>>2)]; //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($136, $137, $138, $value3, 0, 0, 1); //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=(($139)|0)!=0; //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($140) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      $1=0; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      __label__ = 39; break; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $144=$pnid; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=(($144+32)|0); //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=$145; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=(($146)|0); //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $148=$147; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=__ZL12ATOM_TO_JSIDP6JSAtom1150($149); //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $id4=$150; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $151=$3; //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=$obj1; //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=$id4; //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($151, $152, $153, $value3, 0, 0, 1, 0, 0, 0); //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=(($154)|0)!=0; //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($155) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      $1=0; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      __label__ = 39; break;
    case 39: 
      __label__ = 40; break; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      var $160=$pn2; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $161=(($160+24)|0); //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$162; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 23; break; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      var $164=$3; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $165=$obj1; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js5types13FixObjectTypeEP9JSContextP8JSObject($164, $165); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $166=$5; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=$obj1; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JS5Value9setObjectER8JSObject($166, $167); //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      __label__ = 43; break; //@line 4907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      $1=0; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $171=$1; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $171; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11JSParseNode16getConstantValueEP9JSContextbPN2JS5ValueE["X"]=1;

function __ZN2js5types12FixArrayTypeEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 435 "./jsinferinlines.h"
      var $4=__ZN9JSContext20typeInferenceEnabledEv($3); //@line 435 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 435 "./jsinferinlines.h"
    case 2: 
      var $6=$1; //@line 436 "./jsinferinlines.h"
      var $7=(($6+56)|0); //@line 436 "./jsinferinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 436 "./jsinferinlines.h"
      var $9=(($8+376)|0); //@line 436 "./jsinferinlines.h"
      var $10=$1; //@line 436 "./jsinferinlines.h"
      var $11=$2; //@line 436 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment12fixArrayTypeEP9JSContextP8JSObject($9, $10, $11); //@line 436 "./jsinferinlines.h"
      __label__ = 3; break; //@line 436 "./jsinferinlines.h"
    case 3: 
      ;
      return; //@line 437 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL17GuessObjectGCKindEjb1152($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 1573 "./jsobjinlines.h"
      var $6=(($5)|0)!=0; //@line 1573 "./jsobjinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1573 "./jsobjinlines.h"
    case 2: 
      var $8=$2; //@line 1574 "./jsobjinlines.h"
      var $9=$3; //@line 1574 "./jsobjinlines.h"
      var $10=(($9) & 1); //@line 1574 "./jsobjinlines.h"
      var $11=__ZN2js2gcL15GetGCObjectKindEjb1183($8, $10); //@line 1574 "./jsobjinlines.h"
      $1=$11; //@line 1574 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1574 "./jsobjinlines.h"
    case 3: 
      var $13=$3; //@line 1575 "./jsobjinlines.h"
      var $14=(($13) & 1); //@line 1575 "./jsobjinlines.h"
      var $15=$14 ? 6 : 4; //@line 1575 "./jsobjinlines.h"
      $1=$15; //@line 1575 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1575 "./jsobjinlines.h"
    case 4: 
      var $17=$1; //@line 1576 "./jsobjinlines.h"
      ;
      return $17; //@line 1576 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1153($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1177($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1153["X"]=1;

function __Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPi($cx, $obj, $idval, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$idval;
      $5=$idp;
      var $6=$4; //@line 91 "./jsatominlines.h"
      var $7=__ZNK2JS5Value8isObjectEv($6); //@line 91 "./jsatominlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 91 "./jsatominlines.h"
    case 2: 
      var $9=$2; //@line 92 "./jsatominlines.h"
      var $10=$3; //@line 92 "./jsatominlines.h"
      var $11=$4; //@line 92 "./jsatominlines.h"
      var $12=$5; //@line 92 "./jsatominlines.h"
      var $13=__Z28js_InternNonIntElementIdSlowP9JSContextP8JSObjectRKN2JS5ValueEPi($9, $10, $11, $12); //@line 92 "./jsatominlines.h"
      $1=$13; //@line 92 "./jsatominlines.h"
      __label__ = 4; break; //@line 92 "./jsatominlines.h"
    case 3: 
      var $15=$2; //@line 95 "./jsatominlines.h"
      var $16=$4; //@line 95 "./jsatominlines.h"
      var $17=$5; //@line 95 "./jsatominlines.h"
      var $18=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($15, $16, $17); //@line 95 "./jsatominlines.h"
      $1=$18; //@line 95 "./jsatominlines.h"
      __label__ = 4; break; //@line 95 "./jsatominlines.h"
    case 4: 
      var $20=$1; //@line 96 "./jsatominlines.h"
      ;
      return $20; //@line 96 "./jsatominlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types13FixObjectTypeEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 442 "./jsinferinlines.h"
      var $4=__ZN9JSContext20typeInferenceEnabledEv($3); //@line 442 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 442 "./jsinferinlines.h"
    case 2: 
      var $6=$1; //@line 443 "./jsinferinlines.h"
      var $7=(($6+56)|0); //@line 443 "./jsinferinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 443 "./jsinferinlines.h"
      var $9=(($8+376)|0); //@line 443 "./jsinferinlines.h"
      var $10=$1; //@line 443 "./jsinferinlines.h"
      var $11=$2; //@line 443 "./jsinferinlines.h"
      __ZN2js5types15TypeCompartment13fixObjectTypeEP9JSContextP8JSObject($9, $10, $11); //@line 443 "./jsinferinlines.h"
      __label__ = 3; break; //@line 443 "./jsinferinlines.h"
    case 3: 
      ;
      return; //@line 444 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16EmitLevelManagerC1EP15JSCodeGenerator($this, $cg) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cg;
  var $3=$1;
  var $4=$2; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  __ZN16EmitLevelManagerC2EP15JSCodeGenerator($3, $4); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function _js_NewSrcNote2($cx, $cg, $type, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $index;
      $2=$cx;
      $3=$cg;
      $4=$type;
      $5=$offset;
      var $6=$2; //@line 7495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 7495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$4; //@line 7495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=_js_NewSrcNote($6, $7, $8); //@line 7495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$9; //@line 7495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$index; //@line 7496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)|0) >= 0; //@line 7496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 7496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $13=$2; //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$3; //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$index; //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$5; //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=_js_SetSrcNoteOffset($13, $14, $15, 0, $16); //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)|0)!=0; //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $1=-1; //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 7499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $22=$index; //@line 7500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$22; //@line 7500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 7500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $24=$1; //@line 7501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $24; //@line 7501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_NewSrcNote($cx, $cg, $type) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $index;
      var $n;
      var $sn;
      var $offset;
      var $delta;
      var $xdelta;
      $2=$cx;
      $3=$cg;
      $4=$type;
      var $5=$2; //@line 7452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$3; //@line 7452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=__ZL12AllocSrcNoteP9JSContextP15JSCodeGenerator($5, $6); //@line 7452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$7; //@line 7452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$index; //@line 7453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0) < 0; //@line 7453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=-1; //@line 7454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 7454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $12=$index; //@line 7455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$3; //@line 7455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+172)|0); //@line 7455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+12)|0); //@line 7455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 7455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+$12)|0); //@line 7455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$18; //@line 7455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$3; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+172)|0); //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+8)|0); //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$3; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+172)|0); //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0); //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$23; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$28; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($29-$30)|0); //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$31; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$offset; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$3; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33+172)|0); //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+24)|0); //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($32-$37)|0); //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$38; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$offset; //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$3; //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40+172)|0); //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+24)|0); //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($43)>>2)]=$39; //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$delta; //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)|0) >= 8; //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($45) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 7465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $48=$delta; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48)|0) < 63; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($49) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $51=$delta; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54 = $51;__label__ = 8; break; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $54 = 63;__label__ = 8; break; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $54; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $xdelta=$54; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$xdelta; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$55 & 63; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=192 | $56; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57) & 255); //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$sn; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($59)]=$58; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$xdelta; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$delta; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($61-$60)|0); //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$62; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$2; //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$3; //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=__ZL12AllocSrcNoteP9JSContextP15JSCodeGenerator($63, $64); //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$65; //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$index; //@line 7470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66)|0) < 0; //@line 7470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($67) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 7470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=-1; //@line 7471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 7471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $70=$index; //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$3; //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=(($71+172)|0); //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73+12)|0); //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75+$70)|0); //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$76; //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $78=$delta; //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78)|0) >= 8; //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($79) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      __label__ = 13; break; //@line 7474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $82=$4; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$82 << 3; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$delta; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$84 & 7; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$83 | $85; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86) & 255); //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=$sn; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($88)]=$87; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=$4; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=((_js_SrcNoteSpec+($89<<3))|0); //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+4)|0); //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=HEAP8[($91)]; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=(($92 << 24) >> 24); //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $n=$93; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $95=$n; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=(($95)|0) > 0; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($96) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $98=$2; //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=$3; //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=_js_NewSrcNote($98, $99, 0); //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100)|0) < 0; //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($101) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      $1=-1; //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      __label__ = 18; break; //@line 7485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $105=$n; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=(($105-1)|0); //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $n=$106; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 7482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $108=$index; //@line 7486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$108; //@line 7486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 7486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $110=$1; //@line 7487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $110; //@line 7487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_NewSrcNote["X"]=1;

function __ZNK11JSParseNode7isArityE16JSParseNodeArity($this, $a) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$a;
  var $3=$1;
  var $4=__ZNK11JSParseNode8getArityEv($3); //@line 370 "./jsparse.h"
  var $5=$2; //@line 370 "./jsparse.h"
  var $6=(($4)|0)==(($5)|0); //@line 370 "./jsparse.h"
  ;
  return $6; //@line 370 "./jsparse.h"
}


function __ZL18EmitFunctionDefNopP9JSContextP15JSCodeGeneratorj($cx, $cg, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$cg;
      $3=$index;
      var $4=$1; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=$2; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$3; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=_js_NewSrcNote2($4, $5, 19, $6); //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0) >= 0; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $10=$1; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$2; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=_js_Emit1($10, $11, 0); //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12)|0) >= 0; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      var $16=(($15)&1);
      ;
      return $16; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_I15JSCodeGeneratorPN2js6ParserEjEEPT_T0_T1_($this, $p1, $p2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $memory;
      $1=$this;
      $2=$p1;
      $3=$p2;
      var $4=$1;
      var $5=__ZN9JSContext7malloc_Ej($4, 616); //@line 1291 "./jscntxt.h"
      $memory=$5; //@line 1291 "./jscntxt.h"
      var $6=$memory; //@line 1291 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 1291 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 1291 "./jscntxt.h"
      if ($10) { var $16 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 1291 "./jscntxt.h"
      var $13=$2; //@line 1291 "./jscntxt.h"
      var $14=$3; //@line 1291 "./jscntxt.h"
      FUNCTION_TABLE[__ZN15JSCodeGeneratorC1EPN2js6ParserEj]($12, $13, $14); //@line 1291 "./jscntxt.h"
      var $16 = $12;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $16; //@line 1291 "./jscntxt.h"
      var $19 = $16;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $19 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $19; //@line 1291 "./jscntxt.h"
      ;
      return $19; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Bindings8transferEP9JSContextPS0_($this, $cx, $bindings) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$bindings;
      var $4=$1;
      var $5=$3; //@line 69 "./jsscriptinlines.h"
      var $6=$4; //@line 69 "./jsscriptinlines.h"
      var $7=$5; //@line 69 "./jsscriptinlines.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];HEAP32[(($6+8)>>2)]=HEAP32[(($7+8)>>2)]; //@line 69 "./jsscriptinlines.h"
      var $8=(($4)|0); //@line 75 "./jsscriptinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 75 "./jsscriptinlines.h"
      var $10=(($9)|0)!=0; //@line 75 "./jsscriptinlines.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 75 "./jsscriptinlines.h"
    case 2: 
      var $12=(($4)|0); //@line 75 "./jsscriptinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 75 "./jsscriptinlines.h"
      var $14=__ZNK2js5Shape12inDictionaryEv($13); //@line 75 "./jsscriptinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 75 "./jsscriptinlines.h"
    case 3: 
      var $16=(($4)|0); //@line 76 "./jsscriptinlines.h"
      var $17=(($4)|0); //@line 76 "./jsscriptinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 76 "./jsscriptinlines.h"
      var $19=(($18+36)|0); //@line 76 "./jsscriptinlines.h"
      var $20=$19; //@line 76 "./jsscriptinlines.h"
      HEAP32[(($20)>>2)]=$16; //@line 76 "./jsscriptinlines.h"
      __label__ = 4; break; //@line 76 "./jsscriptinlines.h"
    case 4: 
      ;
      return; //@line 77 "./jsscriptinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN14JSCGObjectList5indexEP11JSObjectBox($this, $objbox) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$objbox;
  var $3=$1;
  var $4=(($3+4)|0); //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $6=$2; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $7=(($6+4)|0); //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($7)>>2)]=$5; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $8=$2; //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $9=(($3+4)|0); //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($9)>>2)]=$8; //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $10=(($3)|0); //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $12=(($11+1)|0); //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($10)>>2)]=$12; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $13=$2; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $14=(($13+16)|0); //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($14)>>2)]=$11; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $15=$2; //@line 7842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $16=(($15+16)|0); //@line 7842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $17=HEAP32[(($16)>>2)]; //@line 7842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return $17; //@line 7842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZNK2js11UpvarCookie6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 103 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 103 "./jsscript.h"
  var $5=(($4)|0)==-1; //@line 103 "./jsscript.h"
  ;
  return $5; //@line 103 "./jsscript.h"
}


function __ZNK2js11UpvarCookie4slotEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 107 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 107 "./jsscript.h"
  var $5=(($4) & 65535); //@line 107 "./jsscript.h"
  ;
  return $5; //@line 107 "./jsscript.h"
}


function __ZNK11JSParseNode4lastEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 686 "./jsparse.h"
  var $4=$3; //@line 686 "./jsparse.h"
  var $5=(($4+4)|0); //@line 686 "./jsparse.h"
  var $6=HEAP32[(($5)>>2)]; //@line 686 "./jsparse.h"
  var $7=$6; //@line 686 "./jsparse.h"
  var $8=(($7-24)|0); //@line 686 "./jsparse.h"
  var $9=$8; //@line 686 "./jsparse.h"
  ;
  return $9; //@line 686 "./jsparse.h"
}


function __ZN9JSContext7delete_I15JSCodeGeneratorEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      FUNCTION_TABLE[__ZN15JSCodeGeneratorD1Ev]($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($cx, $op, $index, $cg, $psuffix) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $bigSuffix;
      $2=$cx;
      $3=$op;
      $4=$index;
      $5=$cg;
      $6=$psuffix;
      var $7=$2; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$5; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$4; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=__ZL18EmitBigIndexPrefixP9JSContextP15JSCodeGeneratorj($7, $8, $9); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $bigSuffix=$10; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$bigSuffix; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0)==66; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      __label__ = 4; break; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $16=$2; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$5; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$3; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$4; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19 >>> 8; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20) & 255); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$4; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22) & 255); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=_js_Emit3($16, $17, $18, $21, $23); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)|0) < 0; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $28=$2; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$5; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$3; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($28, $29, $30); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $32=$6; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32)|0)!=0; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $35=$bigSuffix; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$6; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $38=$bigSuffix; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38)|0)==0; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($39) { var $47 = 1;__label__ = 11; break; } else { __label__ = 10; break; } //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $41=$2; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$5; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$bigSuffix; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=_js_Emit1($41, $42, $43); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)|0) >= 0; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47 = $45;__label__ = 11; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $47;
      $1=$47; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $49=$1; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $49; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_["X"]=1;

function __ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($cx, $cg) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$cg;
  var $3=$1; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $4=$2; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $5=$2; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $6=$5; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $7=(($6+32)|0); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $9=__ZL19EmitKnownBlockChainP9JSContextP15JSCodeGeneratorP11JSObjectBox($3, $4, $8); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return $9; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZL10BindGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeP6JSAtom($cx, $cg, $pn, $atom) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dn;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      $5=$atom;
      var $6=$4; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+32)|0); //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$7; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8+8)|0); //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($9); //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$4; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZNK11JSParseNode6isUsedEv($10); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $13=$4; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+32)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$14; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+4)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$16; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $dn=$18; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $20=$4; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=__ZNK11JSParseNode6isDefnEv($20); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=1; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $24=$4; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$24; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $dn=$25; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break;
    case 6: 
      var $27=$dn; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=__ZNK12JSDefinition8isGlobalEv($27); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $1=1; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $31=$2; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$3; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$dn; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$33; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$4; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$5; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=__ZL15BindKnownGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeS4_P6JSAtom($31, $32, $34, $35, $36); //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$37; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $39=$1; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $39; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10BindGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeP6JSAtom["X"]=1;

function __ZN7mozilla9DebugOnlyIN2js11BindingKindEEC1ERKS2_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 182 "./dist/include/mozilla/Util.h"
  __ZN7mozilla9DebugOnlyIN2js11BindingKindEEC2ERKS2_($4, $5); //@line 182 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE6appendItEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE14internalAppendItEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15EmitSlotIndexOpP9JSContext4JSOpjjP15JSCodeGenerator($cx, $op, $slot, $index, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $bigSuffix;
      var $off;
      var $pc;
      $2=$cx;
      $3=$op;
      $4=$slot;
      $5=$index;
      $6=$cg;
      var $7=$2; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$6; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$5; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=__ZL18EmitBigIndexPrefixP9JSContextP15JSCodeGeneratorj($7, $8, $9); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $bigSuffix=$10; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$bigSuffix; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0)==66; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $15=$2; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$6; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$3; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=_js_EmitN($15, $16, $17, 4); //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$18; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$off; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0) < 0; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $23=$6; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+172)|0); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25)|0); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$off; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($27+$28)|0); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$29; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$4; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$30 >>> 8; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31) & 255); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$pc; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33+1)|0); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($34)]=$32; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$4; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35) & 255); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$pc; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37+2)|0); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($38)]=$36; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$pc; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+2)|0); //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$40; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$5; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$41 >>> 8; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42) & 255); //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$pc; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44+1)|0); //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($45)]=$43; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$5; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($46) & 255); //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$pc; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48+2)|0); //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($49)]=$47; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$bigSuffix; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50)|0)==0; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($51) { var $59 = 1;__label__ = 7; break; } else { __label__ = 6; break; } //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $53=$2; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$6; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$bigSuffix; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=_js_Emit1($53, $54, $55); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56)|0) >= 0; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59 = $57;__label__ = 7; break; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $59;
      var $60=(($59)&1); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$60; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $62=$1; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $62; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15EmitSlotIndexOpP9JSContext4JSOpjjP15JSCodeGenerator["X"]=1;

function __ZN7mozilla9DebugOnlyIN2js11BindingKindEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIN2js11BindingKindEED2Ev($2); //@line 193 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($cx, $cg, $pn) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $dn;
      var $op=__stackBase__;
      var $atom=__stackBase__+4;
      var $dn_kind;
      var $cookie=__stackBase__+8;
      var $name=__stackBase__+12;
      var $5;
      var $caller;
      var $_=__stackBase__+16;
      var $_1=__stackBase__+20;
      var $level;
      var $skip;
      var $p=__stackBase__+24;
      var $index=__stackBase__+40;
      var $upvarMap;
      var $lexdepCount;
      var $buf;
      var $i;
      var $6=__stackBase__+44;
      var $slot;
      var $tc;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      var $7=$4; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+32)|0); //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$9; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+12)|0); //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$11; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$13 & 4095; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$14 & 512; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0)!=0; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=1; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $19=$4; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=__ZNK11JSParseNode6isUsedEv($19); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $22=$4; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+32)|0); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$23; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+4)|0); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$25; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $dn=$27; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$4; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=__ZNK11JSParseNode13isDeoptimizedEv($28); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=1; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $32=$dn; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$32; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33+32)|0); //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$34; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$35; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36+12)|0); //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$37; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$39 & 4095; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$40 & 2; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$4; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+32)|0); //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$43; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$44; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45+12)|0); //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$46; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$48 & 4095; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$49 | $41; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$50 & 4095; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$44; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+12)|0); //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$53; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$51 & 4095; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=HEAP32[(($54)>>2)]; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$56 & -4096; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$57 | $55; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($54)>>2)]=$58; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $60=$4; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=__ZNK11JSParseNode6isDefnEv($60); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($61) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=1; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $64=$4; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$64; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $dn=$65; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break;
    case 10: 
      var $67=$4; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=__ZNK11JSParseNode5getOpEv($67); //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$68; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=HEAP32[(($op)>>2)]; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69)|0)==0; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($70) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=1; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $73=$4; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73+32)|0); //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$74; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75)|0); //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$76; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($atom)>>2)]=$78; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$dn; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$79; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80+32)|0); //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$81; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82+8)|0); //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$cookie; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$83; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($84)>>2)]=HEAP32[(($85)>>2)]; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$dn; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=__ZN12JSDefinition4kindEv($86); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $dn_kind=$87; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=HEAP32[(($op)>>2)]; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($88)|0) == 59 || (($88)|0) == 14) {
        __label__ = 13; break;
      }
      else if ((($88)|0) == 36) {
        __label__ = 14; break;
      }
      else {
      __label__ = 21; break;
      }
      
    case 13: 
      __label__ = 31; break; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $91=$dn_kind; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=(($91)|0)!=5; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($92) { __label__ = 15; break; } else { __label__ = 20; break; } //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $94=$3; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$94; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=(($95+48)|0); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97+960)|0); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=(($99)|0)!=0; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($100) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $102=$dn; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=$102; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=__ZNK11JSParseNode10isTopLevelEv($103); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($104) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      __label__ = 19; break; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $107=$4; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($107, 66); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break;
    case 19: 
      var $109=$4; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=(($109+32)|0); //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$110; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=$111; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=(($112+12)|0); //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=$113; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=$115 & 4095; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$116 | 512; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=$117 & 4095; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=$111; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(($119+12)|0); //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$120; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$118 & 4095; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=HEAP32[(($121)>>2)]; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=$123 & -4096; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=$124 | $122; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($121)>>2)]=$125; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      __label__ = 31; break; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $128=$4; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=__ZNK11JSParseNode7isConstEv($128); //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($129) { __label__ = 22; break; } else { __label__ = 30; break; } //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $131=$3; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$131; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=__ZN13JSTreeContext16needStrictChecksEv($132); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($133) { __label__ = 23; break; } else { __label__ = 29; break; } //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      __ZN16JSAutoByteStringC1Ev($name); //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=$2; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=HEAP32[(($atom)>>2)]; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($135, $136, $name); //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=(($137)|0)!=0; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($138) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $140=$2; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=$3; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=$141; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($142+48)|0); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=(($144+40)|0); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=$3; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=$146; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $148=$4; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=__ZNK16JSAutoByteString3ptrEv($name); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($140, $145, $147, $148, 19, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$149,tempInt)); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($150) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      $1=0; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 27; break; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      $5=0; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      __ZN16JSAutoByteStringD1Ev($name); //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 28; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 127; break;
      }
      else {
      __label__ = 128; break;
      }
      
    case 28: 
      __label__ = 29; break; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $156=$4; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=59; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($156, 59); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 30; break; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      __label__ = 31; break; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $159=$dn; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $160=__ZNK12JSDefinition8isGlobalEv($159); //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($160) { __label__ = 32; break; } else { __label__ = 37; break; } //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $162=HEAP32[(($op)>>2)]; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $163=(($162)|0)==59; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($163) { __label__ = 33; break; } else { __label__ = 36; break; } //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      var $165=$4; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $166=(($165+32)|0); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=$166; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=(($167+8)|0); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $169=__ZNK2js11UpvarCookie6isFreeEv($168); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($169) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $171=$4; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($171, 156); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $172=$4; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=(($172+32)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $174=$173; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $175=$174; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $176=(($175+12)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $177=$176; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $178=HEAP32[(($177)>>2)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $179=$178 & 4095; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $180=$179 | 512; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $181=$180 & 4095; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $182=$174; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $183=(($182+12)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $184=$183; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $185=$181 & 4095; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $186=HEAP32[(($184)>>2)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $187=$186 & -4096; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $188=$187 | $185; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($184)>>2)]=$188; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      __label__ = 36; break; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      __ZN2js11UpvarCookie8makeFreeEv($cookie); //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 37; break; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      var $192=__ZNK2js11UpvarCookie6isFreeEv($cookie); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($192) { __label__ = 38; break; } else { __label__ = 53; break; } //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      var $194=$3; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $195=$194; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $196=(($195+48)|0); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $198=(($197+960)|0); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $199=HEAP32[(($198)>>2)]; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $caller=$199; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $200=$caller; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $201=(($200)|0)!=0; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($201) { __label__ = 39; break; } else { __label__ = 47; break; } //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      var $203=$3; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $204=$203; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $205=(($204)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $206=HEAP32[(($205)>>2)]; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $207=$206 & 16; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $208=(($207)|0)!=0; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($208) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      $1=1; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      var $211=$caller; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=__ZNK2js10StackFrame13isGlobalFrameEv($211); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($212) { __label__ = 42; break; } else { __label__ = 46; break; } //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      var $214=$3; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $215=$4; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $216=__ZL17TryConvertToGnameP15JSCodeGeneratorP11JSParseNodeP4JSOp($214, $215, $op); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($216) { __label__ = 43; break; } else { __label__ = 46; break; } //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      var $218=$3; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $219=HEAP32[(($atom)>>2)]; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $220=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($218, $219, $_); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($220) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      $1=0; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      var $223=$4; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $224=HEAP32[(($op)>>2)]; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($223, $224); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=$4; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=(($225+32)|0); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=$226; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $228=$227; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $229=(($228+12)|0); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $230=$229; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $231=HEAP32[(($230)>>2)]; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $232=$231 & 4095; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $233=$232 | 512; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $234=$233 & 4095; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $235=$227; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $236=(($235+12)|0); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $237=$236; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $238=$234 & 4095; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $239=HEAP32[(($237)>>2)]; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=$239 & -4096; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $241=$240 | $238; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($237)>>2)]=$241; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 46: 
      $1=1; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 47: 
      var $244=$3; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $245=$244; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $246=__ZNK13JSTreeContext16mightAliasLocalsEv($245); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($246) { __label__ = 50; break; } else { __label__ = 48; break; } //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 48: 
      var $248=$3; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $249=$4; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $250=__ZL17TryConvertToGnameP15JSCodeGeneratorP11JSParseNodeP4JSOp($248, $249, $op); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($250) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      $1=1; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      var $253=$3; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $254=HEAP32[(($atom)>>2)]; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $255=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($253, $254, $_1); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($255) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 51: 
      $1=0; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 52: 
      var $258=$4; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $259=HEAP32[(($op)>>2)]; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($258, $259); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $260=$4; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $261=(($260+32)|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $262=$261; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $263=$262; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $264=(($263+12)|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $265=$264; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $266=HEAP32[(($265)>>2)]; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $267=$266 & 4095; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $268=$267 | 512; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $269=$268 & 4095; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $270=$262; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $271=(($270+12)|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $272=$271; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $273=$269 & 4095; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $274=HEAP32[(($272)>>2)]; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $275=$274 & -4096; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $276=$275 | $273; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($272)>>2)]=$276; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 53: 
      var $278=__ZNK2js11UpvarCookie5levelEv($cookie); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $level=$278; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $279=$3; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $280=$279; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $281=(($280+76)|0); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $282=HEAP32[(($281)>>2)]; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $283=$level; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $284=(($283)&65535); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $285=(($282-$284)|0); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $skip=$285; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $286=$skip; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $287=(($286)|0)!=0; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($287) { __label__ = 54; break; } else { __label__ = 91; break; } //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 54: 
      var $289=HEAP32[(($op)>>2)]; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $290=(($289)|0)!=59; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($290) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 55: 
      $1=1; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 56: 
      var $293=$skip; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $294=(($293)>>>0) >= 16; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($294) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 57: 
      $1=1; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 58: 
      var $297=$3; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $298=$297; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $299=(($298)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $300=HEAP32[(($299)>>2)]; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $301=$300 & 256; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $302=(($301)|0)!=0; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($302) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 59: 
      $1=1; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 60: 
      var $305=$3; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $306=$305; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $307=__ZNK13JSTreeContext3funEv($306); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $308=__ZNK10JSFunction13isFlatClosureEv($307); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($308) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 61: 
      $1=1; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 62: 
      var $311=$3; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $312=(($311+308)|0); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $313=$312; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $314=$2; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $315=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE9ensureMapEP9JSContext($313, $314); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($315) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 63: 
      $1=0; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 64: 
      var $318=$3; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $319=(($318+308)|0); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $320=$319; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $321=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($320); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js9InlineMapIP6JSAtomjLj24EE12lookupForAddERKS2_($p, $321, $atom); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $322=__ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtrcvPPPPPPPS4_Ev($p); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $323=(($322)|0)!=0; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($323) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 65: 
      var $325=__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtr5valueEv($p); //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $326=HEAP32[(($325)>>2)]; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($index)>>2)]=$326; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 90; break; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 66: 
      var $328=$3; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $329=$328; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $330=(($329+92)|0); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $331=$2; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $332=HEAP32[(($atom)>>2)]; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $333=__ZN2js8Bindings8addUpvarEP9JSContextP6JSAtom($330, $331, $332); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($333) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 67: 
      $1=0; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 68: 
      var $336=$3; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $337=(($336+308)|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $338=$337; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $339=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($338); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $340=__ZN2js9InlineMapIP6JSAtomjLj24EE5countEv($339); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($index)>>2)]=$340; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $341=$3; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $342=(($341+308)|0); //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $343=$342; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $344=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($343); //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $345=__ZN2js9InlineMapIP6JSAtomjLj24EE3addERNS3_6AddPtrERKS2_RKj($344, $p, $atom, $index); //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($345) { __label__ = 70; break; } else { __label__ = 69; break; } //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 69: 
      $1=0; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 70: 
      var $348=$3; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $349=(($348+316)|0); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $upvarMap=$349; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $350=$3; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $351=(($350+184)|0); //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $352=$351; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $353=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($352); //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $354=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5countEv($353); //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $lexdepCount=$354; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $355=$upvarMap; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $356=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5emptyEv($355); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($356) { __label__ = 71; break; } else { __label__ = 81; break; } //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 71: 
      var $358=$lexdepCount; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $359=$upvarMap; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $360=(($358)>>>0) <= 8; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($360) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 72: 
      var $362=$upvarMap; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $363=$lexdepCount; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $364=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE19growByUninitializedEj($362, $363); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 76; break; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 73: 
      var $366=$upvarMap; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $367=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE11allocPolicyEv($366); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $368=$lexdepCount; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $369=((($368<<2))|0); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $370=__ZN2js15TempAllocPolicy7malloc_Ej($367, $369); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $buf=$370; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $371=$buf; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $372=(($371)|0)!=0; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($372) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 74: 
      $1=0; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 75: 
      var $375=$upvarMap; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $376=$buf; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $377=$376; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $378=$lexdepCount; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE16replaceRawBufferEPS1_j($375, $377, $378); //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 76; break;
    case 76: 
      $i=0; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 77; break; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 77: 
      var $381=$i; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $382=$lexdepCount; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $383=(($381)>>>0) < (($382)>>>0); //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($383) { __label__ = 78; break; } else { __label__ = 80; break; } //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 78: 
      var $385=$upvarMap; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $386=$i; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $387=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEixEj($385, $386); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $388=$6; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($388)>>2)]=0; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $389=$387; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $390=$6; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($389)>>2)]=HEAP32[(($390)>>2)]; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 79; break; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 79: 
      var $392=$i; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $393=(($392+1)|0); //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$393; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 77; break; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 80: 
      __label__ = 81; break; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 81: 
      var $396=__ZNK2js11UpvarCookie4slotEv($cookie); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $397=(($396)&65535); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slot=$397; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $398=$slot; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $399=(($398)|0)!=65535; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($399) { __label__ = 82; break; } else { __label__ = 89; break; } //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 82: 
      var $401=$dn_kind; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $402=(($401)|0)!=4; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($402) { __label__ = 83; break; } else { __label__ = 89; break; } //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 83: 
      var $404=$3; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $405=$404; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tc=$405; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 84; break; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 84: 
      var $407=$tc; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $408=(($407+72)|0); //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $409=HEAP32[(($408)>>2)]; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tc=$409; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 85; break; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 85: 
      var $411=$tc; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $412=(($411+76)|0); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $413=HEAP32[(($412)>>2)]; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $414=$level; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $415=(($414)&65535); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $416=(($413)|0)!=(($415)|0); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($416) { __label__ = 84; break; } else { __label__ = 86; break; } //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 86: 
      var $418=$tc; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $419=__ZNK13JSTreeContext10inFunctionEv($418); //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($419) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 87: 
      var $421=$tc; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $422=__ZNK13JSTreeContext3funEv($421); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $423=(($422+56)|0); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $424=HEAPU16[(($423)>>1)]; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $425=(($424)&65535); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $426=$slot; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $427=(($426+$425)|0); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slot=$427; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 88; break; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 88: 
      __label__ = 89; break; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 89: 
      var $430=$upvarMap; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $431=HEAP32[(($index)>>2)]; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $432=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEixEj($430, $431); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $433=$skip; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $434=(($433) & 65535); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $435=$slot; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $436=(($435) & 65535); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js11UpvarCookie3setEtt($432, $434, $436); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 90; break;
    case 90: 
      var $438=$4; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($438, 136); //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $439=$4; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $440=(($439+32)|0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $441=$440; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $442=(($441+8)|0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $443=HEAP32[(($index)>>2)]; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $444=(($443) & 65535); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js11UpvarCookie3setEtt($442, 0, $444); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $445=$4; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $446=(($445+32)|0); //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $447=$446; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $448=$447; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $449=(($448+12)|0); //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $450=$449; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $451=HEAP32[(($450)>>2)]; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $452=$451 & 4095; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $453=$452 | 512; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $454=$453 & 4095; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $455=$447; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $456=(($455+12)|0); //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $457=$456; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $458=$454 & 4095; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $459=HEAP32[(($457)>>2)]; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $460=$459 & -4096; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $461=$460 | $458; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($457)>>2)]=$461; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 91: 
      var $463=$dn_kind; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($463)|0) == 5) {
        __label__ = 92; break;
      }
      else if ((($463)|0) == 2) {
        __label__ = 93; break;
      }
      else if ((($463)|0) == 4) {
        __label__ = 102; break;
      }
      else if ((($463)|0) == 0) {
        __label__ = 111; break;
      }
      else {
      __label__ = 116; break;
      }
      
    case 92: 
      $1=1; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 93: 
      var $466=HEAP32[(($op)>>2)]; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($466)|0) == 59) {
        __label__ = 94; break;
      }
      else if ((($466)|0) == 111) {
        __label__ = 95; break;
      }
      else if ((($466)|0) == 41) {
        __label__ = 96; break;
      }
      else if ((($466)|0) == 47) {
        __label__ = 97; break;
      }
      else if ((($466)|0) == 44) {
        __label__ = 98; break;
      }
      else if ((($466)|0) == 50) {
        __label__ = 99; break;
      }
      else {
      __label__ = 100; break;
      }
      
    case 94: 
      HEAP32[(($op)>>2)]=86; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 101; break; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 95: 
      HEAP32[(($op)>>2)]=87; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 101; break; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 96: 
      HEAP32[(($op)>>2)]=101; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 101; break; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 97: 
      HEAP32[(($op)>>2)]=103; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 101; break; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 98: 
      HEAP32[(($op)>>2)]=102; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 101; break; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 99: 
      HEAP32[(($op)>>2)]=104; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 101; break; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 100: 
      __label__ = 101; break; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 101: 
      __label__ = 126; break; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 102: 
      var $476=HEAP32[(($op)>>2)]; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($476)|0) == 59) {
        __label__ = 103; break;
      }
      else if ((($476)|0) == 111) {
        __label__ = 104; break;
      }
      else if ((($476)|0) == 41) {
        __label__ = 105; break;
      }
      else if ((($476)|0) == 47) {
        __label__ = 106; break;
      }
      else if ((($476)|0) == 44) {
        __label__ = 107; break;
      }
      else if ((($476)|0) == 50) {
        __label__ = 108; break;
      }
      else {
      __label__ = 109; break;
      }
      
    case 103: 
      HEAP32[(($op)>>2)]=84; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 110; break; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 104: 
      HEAP32[(($op)>>2)]=85; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 110; break; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 105: 
      HEAP32[(($op)>>2)]=97; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 110; break; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 106: 
      HEAP32[(($op)>>2)]=99; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 110; break; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 107: 
      HEAP32[(($op)>>2)]=98; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 110; break; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 108: 
      HEAP32[(($op)>>2)]=100; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 110; break; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 109: 
      __label__ = 110; break; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 110: 
      __label__ = 126; break; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 111: 
      var $486=$dn; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $487=$486; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $488=__ZNK11JSParseNode4isOpE4JSOp($487, 131); //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($488) { __label__ = 112; break; } else { __label__ = 115; break; } //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 112: 
      var $490=$3; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $491=$490; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $492=(($491)|0); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $493=HEAP32[(($492)>>2)]; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $494=$493 & 256; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $495=(($494)|0)!=0; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($495) { __label__ = 114; break; } else { __label__ = 113; break; } //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 113: 
      HEAP32[(($op)>>2)]=131; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $497=$4; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $498=(($497+32)|0); //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $499=$498; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $500=$499; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $501=(($500+12)|0); //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $502=$501; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $503=HEAP32[(($502)>>2)]; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $504=$503 & 4095; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $505=$504 | 2; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $506=$505 & 4095; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $507=$499; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $508=(($507+12)|0); //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $509=$508; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $510=$506 & 4095; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $511=HEAP32[(($509)>>2)]; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $512=$511 & -4096; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $513=$512 | $510; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($509)>>2)]=$513; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 114; break; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 114: 
      var $515=$4; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $516=HEAP32[(($op)>>2)]; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($515, $516); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $517=$4; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $518=(($517+32)|0); //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $519=$518; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $520=$519; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $521=(($520+12)|0); //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $522=$521; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $523=HEAP32[(($522)>>2)]; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $524=$523 & 4095; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $525=$524 | 512; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $526=$525 & 4095; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $527=$519; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $528=(($527+12)|0); //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $529=$528; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $530=$526 & 4095; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $531=HEAP32[(($529)>>2)]; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $532=$531 & -4096; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $533=$532 | $530; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($529)>>2)]=$533; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 115: 
      __label__ = 116; break; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 116: 
      var $536=HEAP32[(($op)>>2)]; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($536)|0) == 59) {
        __label__ = 117; break;
      }
      else if ((($536)|0) == 111) {
        __label__ = 118; break;
      }
      else if ((($536)|0) == 14) {
        __label__ = 119; break;
      }
      else if ((($536)|0) == 41) {
        __label__ = 120; break;
      }
      else if ((($536)|0) == 47) {
        __label__ = 121; break;
      }
      else if ((($536)|0) == 44) {
        __label__ = 122; break;
      }
      else if ((($536)|0) == 50) {
        __label__ = 123; break;
      }
      else {
      __label__ = 124; break;
      }
      
    case 117: 
      HEAP32[(($op)>>2)]=86; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 125; break; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 118: 
      HEAP32[(($op)>>2)]=87; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 125; break; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 119: 
      HEAP32[(($op)>>2)]=87; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 125; break; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 120: 
      HEAP32[(($op)>>2)]=101; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 125; break; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 121: 
      HEAP32[(($op)>>2)]=103; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 125; break; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 122: 
      HEAP32[(($op)>>2)]=102; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 125; break; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 123: 
      HEAP32[(($op)>>2)]=104; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 125; break; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 124: 
      __label__ = 125; break; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 125: 
      __label__ = 126; break; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 126: 
      var $547=$4; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $548=HEAP32[(($op)>>2)]; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($547, $548); //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $549=$4; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $550=(($549+32)|0); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $551=$550; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $552=(($551+8)|0); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $553=__ZNK2js11UpvarCookie4slotEv($cookie); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js11UpvarCookie3setEtt($552, 0, $553); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $554=$4; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $555=(($554+32)|0); //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $556=$555; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $557=$556; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $558=(($557+12)|0); //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $559=$558; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $560=HEAP32[(($559)>>2)]; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $561=$560 & 4095; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $562=$561 | 512; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $563=$562 & 4095; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $564=$556; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $565=(($564+12)|0); //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $566=$565; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $567=$563 & 4095; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $568=HEAP32[(($566)>>2)]; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $569=$568 & -4096; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $570=$569 | $567; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($566)>>2)]=$570; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 127; break; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 127: 
      var $572=$1; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $572; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 128: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode["X"]=1;

function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE8clearMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 145 "./frontend/ParseMaps.h"
  HEAP32[(($3)>>2)]=0; //@line 145 "./frontend/ParseMaps.h"
  ;
  return; //@line 145 "./frontend/ParseMaps.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE10releaseMapEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 138 "./frontend/ParseMaps-inl.h"
      var $5=HEAP32[(($4)>>2)]; //@line 138 "./frontend/ParseMaps-inl.h"
      var $6=(($5)|0)!=0; //@line 138 "./frontend/ParseMaps-inl.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 138 "./frontend/ParseMaps-inl.h"
    case 2: 
      __label__ = 4; break; //@line 139 "./frontend/ParseMaps-inl.h"
    case 3: 
      var $9=$2; //@line 140 "./frontend/ParseMaps-inl.h"
      var $10=__ZN9JSContext12parseMapPoolEv($9); //@line 140 "./frontend/ParseMaps-inl.h"
      var $11=(($3)|0); //@line 140 "./frontend/ParseMaps-inl.h"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "./frontend/ParseMaps-inl.h"
      __ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEE($10, $12); //@line 140 "./frontend/ParseMaps-inl.h"
      var $13=(($3)|0); //@line 141 "./frontend/ParseMaps-inl.h"
      HEAP32[(($13)>>2)]=0; //@line 141 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 142 "./frontend/ParseMaps-inl.h"
    case 4: 
      ;
      return; //@line 142 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_SetSrcNoteOffset($cx, $cg, $index, $which, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $sn;
      var $diff;
      $2=$cx;
      $3=$cg;
      $4=$index;
      $5=$which;
      $6=$offset;
      var $7=$6; //@line 7607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)>>>0) >= 8388608; //@line 7607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $10=$2; //@line 7608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$3; //@line 7608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL23ReportStatementTooLargeP9JSContextP15JSCodeGenerator($10, $11); //@line 7608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 7609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 7609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $13=$4; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$3; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+172)|0); //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+12)|0); //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+$13)|0); //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$19; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$sn; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+1)|0); //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$21; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $23=$5; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0)!=0; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $26=$sn; //@line 7617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAPU8[($26)]; //@line 7617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)&255); //@line 7617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$28 & 128; //@line 7617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29)|0)!=0; //@line 7617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $32=$sn; //@line 7618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32+2)|0); //@line 7618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$33; //@line 7618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 7618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break; //@line 7619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $36=$sn; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36+1)|0); //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$37; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$5; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38-1)|0); //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=$39; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $41=$6; //@line 7622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41)|0) > 127; //@line 7622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 7622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $44=$sn; //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=HEAPU8[($44)]; //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45)&255); //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$46 & 128; //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47)|0)!=0; //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 18; break; } else { __label__ = 11; break; } //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $50=$sn; //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$3; //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51+172)|0); //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53+12)|0); //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$50; //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$55; //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($56-$57)|0); //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $4=$58; //@line 7626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$3; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59+172)|0); //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($61+16)|0); //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($63+1)|0); //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$3; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65+172)|0); //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+20)|0); //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=HEAPU32[(($68)>>2)]; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($64)>>>0) >= (($69)>>>0); //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($70) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $72=$2; //@line 7634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$3; //@line 7634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=__ZL12GrowSrcNotesP9JSContextP15JSCodeGenerator($72, $73); //@line 7634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74)|0)!=0; //@line 7634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 7634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      $1=0; //@line 7635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 7635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $78=$3; //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78+172)|0); //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80+12)|0); //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$4; //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($82+$83)|0); //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$84; //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 7637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $86=$3; //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86+172)|0); //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=(($88+16)|0); //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+2)|0); //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($89)>>2)]=$91; //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=$3; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=(($92+172)|0); //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94+16)|0); //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=$4; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97+3)|0); //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=(($96-$98)|0); //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $diff=$99; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$diff; //@line 7642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100)|0) > 0; //@line 7642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($101) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 7642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $103=$sn; //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=(($103+3)|0); //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$sn; //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=(($105+1)|0); //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=$diff; //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=(($107)|0); //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _llvm_memmove_p0i8_p0i8_i32($104, $106, $108, 1, 0); //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break; //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      __label__ = 18; break; //@line 7644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $111=$6; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=$111 >> 16; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=128 | $112; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=(($113) & 255); //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=$sn; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=(($115+1)|0); //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$116; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($115)]=$114; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$6; //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=$117 >> 8; //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=(($118) & 255); //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=$sn; //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=(($120+1)|0); //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$121; //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($120)]=$119; //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break; //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $123=$6; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123) & 255); //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=$sn; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($125)]=$124; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $127=$1; //@line 7650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $127; //@line 7650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_SetSrcNoteOffset["X"]=1;

function __ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($cx, $cg, $op, $off) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $extend;
      var $jmp;
      var $pc;
      $2=$cx;
      $3=$cg;
      $4=$op;
      $5=$off;
      var $6=$5; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0) < -32768; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { var $12 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$5; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=32767 < (($9)|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12 = $10;__label__ = 3; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $12;
      var $13=(($12)&1); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $extend=$13; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$extend; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0)!=0; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $17=$3; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+208)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0)!=0; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $22=$2; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$3; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=__ZL17BuildSpanDepTableP9JSContextP15JSCodeGenerator($22, $23); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)|0)!=0; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=-1; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $28=$2; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$3; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$4; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$5; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$31 >> 8; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32) & 255); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$5; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34) & 255); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=_js_Emit3($28, $29, $30, $33, $35); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jmp=$36; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$jmp; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0) >= 0; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $40=$extend; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40)|0)!=0; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $43=$3; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43+208)|0); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45)|0)!=0; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $48=$3; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48+172)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$jmp; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($52+$53)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$54; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$2; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$3; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$pc; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$pc; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$5; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=__ZL10AddSpanDepP9JSContextP15JSCodeGeneratorPhS3_i($55, $56, $57, $58, $59); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60)|0)!=0; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=-1; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      __label__ = 13; break; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $65=$jmp; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$65; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $67=$1; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $67; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi["X"]=1;

function __ZL8EmitGotoP9JSContextP15JSCodeGeneratorP10JSStmtInfoPij13JSSrcNoteType($cx, $cg, $toStmt, $lastp, $labelIndex, $noteType) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $index;
      var $result;
      $2=$cx;
      $3=$cg;
      $4=$toStmt;
      $5=$lastp;
      $6=$labelIndex;
      $7=$noteType;
      var $8=$2; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$3; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$4; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZL21EmitNonLocalJumpFixupP9JSContextP15JSCodeGeneratorP10JSStmtInfo($8, $9, $10); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0)!=0; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=-1; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $15=$6; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0)!=-1; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $18=$2; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$3; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$7; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$6; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=_js_NewSrcNote2($18, $19, $20, $21); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$22; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $24=$7; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)|0)!=0; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $27=$2; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$3; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$7; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=_js_NewSrcNote($27, $28, $29); //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$30; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $index=0; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $34=$index; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34)|0) < 0; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=-1; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $38=$2; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$3; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$5; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=__ZL15EmitBackPatchOpP9JSContextP15JSCodeGenerator4JSOpPi($38, $39, 151, $40); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $result=$41; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$result; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42)|0) < 0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $45=$result; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$45; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $47=$2; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$3; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($47, $48); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=(($49)|0)!=0; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($50) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=-1; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $53=$result; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$53; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $55=$1; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $55; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8EmitGotoP9JSContextP15JSCodeGeneratorP10JSStmtInfoPij13JSSrcNoteType["X"]=1;

function __ZL10EmitSwitchP9JSContextP15JSCodeGeneratorP11JSParseNodeP10JSStmtInfo($cx, $cg, $pn, $stmtInfo) {
  var __stackBase__  = STACKTOP; STACKTOP += 1060; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $switchOp;
      var $ok;
      var $hasDefault;
      var $constPropagated;
      var $top;
      var $off;
      var $defaultOffset;
      var $pn2;
      var $pn3;
      var $pn4;
      var $caseCount;
      var $tableLength;
      var $table;
      var $i;
      var $low;
      var $high;
      var $noteIndex;
      var $switchSize;
      var $tableSize;
      var $pc;
      var $savepc;
      var $box;
      var $tps=__stackBase__;
      var $intmap_space=__stackBase__+12;
      var $intmap;
      var $intmap_bitlen;
      var $constVal=__stackBase__+1036;
      var $caseNoteIndex;
      var $beforeCases;
      var $noteCount;
      var $noteCountDelta;
      var $index=__stackBase__+1044;
      var $index1=__stackBase__+1048;
      var $6=__stackBase__+1052;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      $5=$stmtInfo;
      $switchOp=70; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=1; //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $constPropagated=0; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $hasDefault=0; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $defaultOffset=-1; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$4; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+32)|0); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+4)|0); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$11; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN12TempPopScopeC1Ev($tps); //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$pn2; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=__ZNK11JSParseNode6isKindEN2js9TokenKindE($12, 80); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $15=$pn2; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+32)|0); //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$16; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)|0); //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$18; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $box=$20; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$3; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$21; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$5; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$box; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushBlockScope($22, $23, $24, -1); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$5; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25)|0); //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($26)>>1)]=5; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$2; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$pn2; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$3; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=__ZL14EmitEnterBlockP9JSContextP11JSParseNodeP15JSCodeGenerator($27, $28, $29); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $1=0; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $33=$2; //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$3; //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=__ZN12TempPopScope8popBlockEP9JSContextP15JSCodeGenerator($tps, $33, $34); //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 8; break; //@line 3424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $box=0; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break;
    case 8: 
      var $40=$2; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$3; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$4; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+32)|0); //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$43; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)|0); //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=_js_EmitTree($40, $41, $46); //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47)|0)!=0; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $51=$3; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51+172)|0); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53+8)|0); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$3; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56+172)|0); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58)|0); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$55; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$60; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($61-$62)|0); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$63; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$pn2; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=__ZNK11JSParseNode6isKindEN2js9TokenKindE($64, 25); //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($65) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $67=$3; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=$67; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=$5; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$top; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PushStatement($68, $69, 5, $70); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $72=$2; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$3; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=__ZN12TempPopScope11repushBlockEP9JSContextP15JSCodeGenerator($tps, $72, $73); //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($74) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      $1=0; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $77=$3; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=(($77+172)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79+8)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$3; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82+172)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=(($84)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$81; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=$86; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=(($87-$88)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$89; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=$5; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+8)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($91)>>2)]=$89; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=$pn2; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=__ZNK11JSParseNode4exprEv($92); //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$93; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break;
    case 15: 
      var $95=$pn2; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=(($95+32)|0); //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=$96; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97+8)|0); //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $caseCount=$99; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tableLength=0; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $table=0; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$caseCount; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100)|0)==0; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($101) { __label__ = 18; break; } else { __label__ = 16; break; } //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $103=$caseCount; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=(($103)|0)==1; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($104) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $106=$pn2; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(($106+32)|0); //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$107; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=(($108)|0); //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=__ZNK11JSParseNode6isKindEN2js9TokenKindE($110, 39); //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111)&1); //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $hasDefault=$112; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($111) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      $caseCount=0; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $low=0; //@line 3470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $high=-1; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 91; break; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      $intmap=0; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $intmap_bitlen=0; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $low=2147483647; //@line 3478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $high=-2147483648; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=$pn2; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=(($115+32)|0); //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$116; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($117)|0); //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$119; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $121=$pn3; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=(($121)|0)!=0; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($122) { __label__ = 21; break; } else { __label__ = 74; break; } //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $124=$pn3; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=__ZNK11JSParseNode6isKindEN2js9TokenKindE($124, 39); //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($125) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $hasDefault=1; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $127=$caseCount; //@line 3484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=(($127-1)|0); //@line 3484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $caseCount=$128; //@line 3484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 73; break; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $130=$switchOp; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=(($130)|0)==120; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($131) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      __label__ = 73; break; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $134=$pn3; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=(($134+32)|0); //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=$135; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=(($136)|0); //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn4=$138; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $140=$pn4; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=__ZNK11JSParseNode6isKindEN2js9TokenKindE($140, 28); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($141) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $143=$pn4; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=(($143+32)|0); //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=$144; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=(($145)|0); //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn4=$147; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $149=$pn4; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=__ZNK11JSParseNode7getKindEv($149); //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($150)|0) == 30) {
        __label__ = 29; break;
      }
      else if ((($150)|0) == 31) {
        __label__ = 30; break;
      }
      else if ((($150)|0) == 29) {
        __label__ = 31; break;
      }
      else if ((($150)|0) == 33) {
        __label__ = 40; break;
      }
      else {
      __label__ = 47; break;
      }
      
    case 29: 
      var $152=$pn4; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=(($152+32)|0); //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=$153; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=(tempDoubleI32[0]=HEAP32[(($154)>>2)],tempDoubleI32[1]=HEAP32[(($154+4)>>2)],tempDoubleF64[0]); //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=__ZN2JS5Value9setNumberEd($constVal, $155); //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $158=$pn4; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $159=(($158+32)|0); //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $160=$159; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $161=(($160)|0); //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=$161; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $164=$163; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JS5Value9setStringEP8JSString($constVal, $164); //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $166=$pn4; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=__ZN11JSParseNode9maybeExprEv($166); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=(($167)|0)!=0; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($168) { __label__ = 39; break; } else { __label__ = 32; break; } //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $170=$2; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $171=$3; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $172=$pn4; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=(($172+32)|0); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $174=$173; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $175=(($174)|0); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $176=$175; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $178=__ZL25LookupCompileTimeConstantP9JSContextP15JSCodeGeneratorP6JSAtomPN2JS5ValueE($170, $171, $177, $constVal); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$178; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $179=$ok; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $180=(($179)|0)!=0; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($180) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      __label__ = 75; break; //@line 3508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $183=__ZNK2JS5Value7isMagicE10JSWhyMagic($constVal, 5); //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($183) { __label__ = 38; break; } else { __label__ = 35; break; } //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      var $185=__ZNK2JS5Value8isObjectEv($constVal); //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($185) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      $switchOp=120; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 73; break; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      $constPropagated=1; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      __label__ = 39; break; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      __label__ = 40; break; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      var $191=$pn4; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $192=__ZNK11JSParseNode4isOpE4JSOp($191, 67); //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($192) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      __ZN2JS5Value10setBooleanEb($constVal, 1); //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      var $195=$pn4; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $196=__ZNK11JSParseNode4isOpE4JSOp($195, 66); //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($196) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      __ZN2JS5Value10setBooleanEb($constVal, 0); //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $199=$pn4; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $200=__ZNK11JSParseNode4isOpE4JSOp($199, 64); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($200) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      __ZN2JS5Value7setNullEv($constVal); //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 46: 
      __label__ = 47; break; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 47: 
      $switchOp=120; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 73; break; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 48: 
      var $205=$2; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $206=__ZL22AllocateSwitchConstantP9JSContext($205); //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $207=$pn3; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $208=(($207+32)|0); //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $209=$208; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $210=(($209+8)|0); //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($210)>>2)]=$206; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $211=$pn3; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=(($211+32)|0); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $213=$212; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $214=(($213+8)|0); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $216=(($215)|0)!=0; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($216) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      $ok=0; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 75; break; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      var $219=$pn3; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $220=(($219+32)|0); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $221=$220; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $222=(($221+8)|0); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $223=HEAP32[(($222)>>2)]; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $224=$223; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=$constVal; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($224)>>2)]=HEAP32[(($225)>>2)];HEAP32[(($224+4)>>2)]=HEAP32[(($225+4)>>2)]; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=$switchOp; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=(($226)|0)!=70; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($227) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 51: 
      __label__ = 73; break; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 52: 
      var $230=$pn3; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $231=(($230+32)|0); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $232=$231; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $233=(($232+8)|0); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $234=HEAP32[(($233)>>2)]; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $235=__ZNK2JS5Value7isInt32Ev($234); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($235) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 53: 
      $switchOp=71; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 73; break; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 54: 
      var $238=$pn3; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $239=(($238+32)|0); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=$239; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $241=(($240+8)|0); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $242=HEAP32[(($241)>>2)]; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $243=__ZNK2JS5Value7toInt32Ev($242); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$243; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $244=$i; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $245=(($244+32768)|0); //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $246=(($245)>>>0) >= 65536; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($246) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 55: 
      $switchOp=71; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 73; break; //@line 3560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 56: 
      var $249=$i; //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $250=$low; //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $251=(($249)|0) < (($250)|0); //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($251) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 57: 
      var $253=$i; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $low=$253; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 58; break; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 58: 
      var $255=$high; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $256=$i; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $257=(($255)|0) < (($256)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($257) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 59: 
      var $259=$i; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $high=$259; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 60; break; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 60: 
      var $261=$i; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $262=(($261)|0) < 0; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($262) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 61: 
      var $264=$i; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $265=(($264+65536)|0); //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$265; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 62; break; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 62: 
      var $267=$i; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $268=$intmap_bitlen; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $269=(($267)|0) >= (($268)|0); //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($269) { __label__ = 63; break; } else { __label__ = 70; break; } //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 63: 
      var $271=$intmap; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $272=(($271)|0)!=0; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($272) { __label__ = 66; break; } else { __label__ = 64; break; } //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 64: 
      var $274=$i; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $275=(($274)|0) < 8192; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($275) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 65: 
      var $277=(($intmap_space)|0); //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $intmap=$277; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $intmap_bitlen=8192; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 69; break; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 66: 
      $intmap_bitlen=65536; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $279=$2; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $280=__ZN9JSContext7malloc_Ej($279, 8192); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $281=$280; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $intmap=$281; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $282=$intmap; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $283=(($282)|0)!=0; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($283) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 67: 
      var $285=$2; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _JS_ReportOutOfMemory($285); //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 68: 
      __label__ = 69; break;
    case 69: 
      var $288=$intmap; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $289=$288; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $290=$intmap_bitlen; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $291=$290 >> 3; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _memset($289, 0, $291, 1); //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 70; break; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 70: 
      var $293=$i; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $294=$293 >> 5; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $295=$intmap; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $296=(($295+($294<<2))|0); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $297=HEAP32[(($296)>>2)]; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $298=$i; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $299=$298 & 31; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $300=1 << $299; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $301=$297 & $300; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $302=(($301)|0)!=0; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($302) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 71: 
      $switchOp=71; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 73; break; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 72: 
      var $305=$i; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $306=$305 & 31; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $307=1 << $306; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $308=$i; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $309=$308 >> 5; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $310=$intmap; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $311=(($310+($309<<2))|0); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $312=HEAP32[(($311)>>2)]; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $313=$312 | $307; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($311)>>2)]=$313; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 73; break; //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 73: 
      var $315=$pn3; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $316=(($315+24)|0); //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $317=HEAP32[(($316)>>2)]; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$317; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 74: 
      __label__ = 75; break; //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 75: 
      var $320=$intmap; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $321=(($320)|0)!=0; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($321) { __label__ = 76; break; } else { __label__ = 78; break; } //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 76: 
      var $323=$intmap; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $324=(($intmap_space)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $325=(($323)|0)!=(($324)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($325) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 77: 
      var $327=$2; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $328=$intmap; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $329=$328; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext5free_EPv($327, $329); //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 78; break; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 78: 
      var $331=$ok; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $332=(($331)|0)!=0; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($332) { __label__ = 80; break; } else { __label__ = 79; break; } //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 79: 
      $1=0; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 80: 
      var $335=$switchOp; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $336=(($335)|0)==70; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($336) { __label__ = 81; break; } else { __label__ = 85; break; } //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 81: 
      var $338=$high; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $339=$low; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $340=(($338-$339)|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $341=(($340+1)|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tableLength=$341; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $342=$tableLength; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $343=(($342)>>>0) >= 65536; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($343) { __label__ = 83; break; } else { __label__ = 82; break; } //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 82: 
      var $345=$tableLength; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $346=$caseCount; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $347=((($346<<1))|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $348=(($345)>>>0) > (($347)>>>0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($348) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 83: 
      $switchOp=71; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 84; break; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 84: 
      __label__ = 90; break; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 85: 
      var $352=$switchOp; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $353=(($352)|0)==71; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($353) { __label__ = 86; break; } else { __label__ = 89; break; } //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 86: 
      var $355=$caseCount; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $356=$3; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $357=(($356+268)|0); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $358=__ZNK13JSGCConstList6lengthEv($357); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $359=(($355+$358)|0); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $360=(($359)>>>0) > 65536; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($360) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 87: 
      $switchOp=120; //@line 3621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 88; break; //@line 3621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 88: 
      __label__ = 89; break; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 89: 
      __label__ = 90; break;
    case 90: 
      __label__ = 91; break;
    case 91: 
      var $366=$2; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $367=$3; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $368=_js_NewSrcNote3($366, $367, 18, 0, 0); //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteIndex=$368; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $369=$noteIndex; //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $370=(($369)|0) < 0; //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($370) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 92: 
      $1=0; //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 93: 
      var $373=$switchOp; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $374=(($373)|0)==120; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($374) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 94: 
      $switchSize=0; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 99; break; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 95: 
      var $377=$switchOp; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $378=(($377)|0)==70; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($378) { __label__ = 96; break; } else { __label__ = 97; break; } //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 96: 
      var $380=$tableLength; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $381=(($380+3)|0); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $382=((($381<<1))|0); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $switchSize=$382; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 98; break; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 97: 
      var $384=$caseCount; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $385=((($384<<2))|0); //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $386=(($385+4)|0); //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $switchSize=$386; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 98; break;
    case 98: 
      __label__ = 99; break;
    case 99: 
      var $389=$2; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $390=$3; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $391=$switchOp; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $392=$switchSize; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $393=_js_EmitN($389, $390, $391, $392); //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $394=(($393)|0) < 0; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($394) { __label__ = 100; break; } else { __label__ = 101; break; } //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 100: 
      $1=0; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 101: 
      $off=-1; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $397=$switchOp; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $398=(($397)|0)==120; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($398) { __label__ = 102; break; } else { __label__ = 132; break; } //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 102: 
      $caseNoteIndex=-1; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $beforeCases=1; //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $400=$pn2; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $401=(($400+32)|0); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $402=$401; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $403=(($402)|0); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $404=HEAP32[(($403)>>2)]; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$404; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 103; break; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 103: 
      var $406=$pn3; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $407=(($406)|0)!=0; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($407) { __label__ = 104; break; } else { __label__ = 125; break; } //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 104: 
      var $409=$pn3; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $410=(($409+32)|0); //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $411=$410; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $412=(($411)|0); //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $413=HEAP32[(($412)>>2)]; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn4=$413; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $414=$pn4; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $415=(($414)|0)!=0; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($415) { __label__ = 105; break; } else { __label__ = 107; break; } //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 105: 
      var $417=$2; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $418=$3; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $419=$pn4; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $420=_js_EmitTree($417, $418, $419); //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $421=(($420)|0)!=0; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($421) { __label__ = 107; break; } else { __label__ = 106; break; } //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 106: 
      $1=0; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 107: 
      var $424=$caseNoteIndex; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $425=(($424)|0) >= 0; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($425) { __label__ = 108; break; } else { __label__ = 111; break; } //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 108: 
      var $427=$2; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $428=$3; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $429=$caseNoteIndex; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $430=$3; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $431=(($430+172)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $432=HEAP32[(($431)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $433=(($432+8)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $434=HEAP32[(($433)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $435=$3; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $436=(($435+172)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $437=HEAP32[(($436)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $438=(($437)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $439=HEAP32[(($438)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $440=$434; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $441=$439; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $442=(($440-$441)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $443=$off; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $444=(($442-$443)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $445=_js_SetSrcNoteOffset($427, $428, $429, 0, $444); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $446=(($445)|0)!=0; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($446) { __label__ = 110; break; } else { __label__ = 109; break; } //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 109: 
      $1=0; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 110: 
      __label__ = 111; break; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 111: 
      var $450=$pn4; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $451=(($450)|0)!=0; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($451) { __label__ = 113; break; } else { __label__ = 112; break; } //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 112: 
      __label__ = 124; break; //@line 3686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 113: 
      var $454=$2; //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $455=$3; //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $456=_js_NewSrcNote2($454, $455, 7, 0); //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $caseNoteIndex=$456; //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $457=$caseNoteIndex; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $458=(($457)|0) < 0; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($458) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 114: 
      $1=0; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 115: 
      var $461=$2; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $462=$3; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $463=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($461, $462, 121, 0); //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$463; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $464=$off; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $465=(($464)|0) < 0; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($465) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 116: 
      $1=0; //@line 3693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 117: 
      var $468=$off; //@line 3694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $469=$pn3; //@line 3694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $470=(($469+20)|0); //@line 3694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($470)>>2)]=$468; //@line 3694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $471=$beforeCases; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $472=(($471)|0)!=0; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($472) { __label__ = 118; break; } else { __label__ = 123; break; } //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 118: 
      var $474=$3; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $475=(($474+172)|0); //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $476=HEAP32[(($475)>>2)]; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $477=(($476+16)|0); //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $478=HEAP32[(($477)>>2)]; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteCount=$478; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $479=$2; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $480=$3; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $481=$noteIndex; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $482=$off; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $483=$top; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $484=(($482-$483)|0); //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $485=_js_SetSrcNoteOffset($479, $480, $481, 1, $484); //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $486=(($485)|0)!=0; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($486) { __label__ = 120; break; } else { __label__ = 119; break; } //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 119: 
      $1=0; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 120: 
      var $489=$3; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $490=(($489+172)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $491=HEAP32[(($490)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $492=(($491+16)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $493=HEAP32[(($492)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $494=$noteCount; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $495=(($493-$494)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteCountDelta=$495; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $496=$noteCountDelta; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $497=(($496)|0)!=0; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($497) { __label__ = 121; break; } else { __label__ = 122; break; } //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 121: 
      var $499=$noteCountDelta; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $500=$caseNoteIndex; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $501=(($500+$499)|0); //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $caseNoteIndex=$501; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 122; break; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 122: 
      $beforeCases=0; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 123; break; //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 123: 
      __label__ = 124; break; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 124: 
      var $505=$pn3; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $506=(($505+24)|0); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $507=HEAP32[(($506)>>2)]; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$507; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 103; break; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 125: 
      var $509=$hasDefault; //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $510=(($509)|0)!=0; //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($510) { __label__ = 129; break; } else { __label__ = 126; break; } //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 126: 
      var $512=$caseNoteIndex; //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $513=(($512)|0) >= 0; //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($513) { __label__ = 127; break; } else { __label__ = 129; break; } //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 127: 
      var $515=$2; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $516=$3; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $517=$caseNoteIndex; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $518=$3; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $519=(($518+172)|0); //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $520=HEAP32[(($519)>>2)]; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $521=(($520+8)|0); //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $522=HEAP32[(($521)>>2)]; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $523=$3; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $524=(($523+172)|0); //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $525=HEAP32[(($524)>>2)]; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $526=(($525)|0); //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $527=HEAP32[(($526)>>2)]; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $528=$522; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $529=$527; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $530=(($528-$529)|0); //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $531=$off; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $532=(($530-$531)|0); //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $533=_js_SetSrcNoteOffset($515, $516, $517, 0, $532); //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $534=(($533)|0)!=0; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($534) { __label__ = 129; break; } else { __label__ = 128; break; } //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 128: 
      $1=0; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 129: 
      var $537=$2; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $538=$3; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $539=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($537, $538, 122, 0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $defaultOffset=$539; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $540=$defaultOffset; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $541=(($540)|0) < 0; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($541) { __label__ = 130; break; } else { __label__ = 131; break; } //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 130: 
      $1=0; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 131: 
      __label__ = 178; break; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 132: 
      var $545=$3; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $546=(($545+172)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $547=HEAP32[(($546)>>2)]; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $548=(($547)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $549=HEAP32[(($548)>>2)]; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $550=$top; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $551=(($550+2)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $552=(($549+$551)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$552; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $553=$switchOp; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $554=(($553)|0)==70; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($554) { __label__ = 133; break; } else { __label__ = 144; break; } //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 133: 
      var $556=$low; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $557=$556 >> 8; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $558=(($557) & 255); //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $559=$pc; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $560=(($559+1)|0); //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($560)]=$558; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $561=$low; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $562=(($561) & 255); //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $563=$pc; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $564=(($563+2)|0); //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($564)]=$562; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $565=$pc; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $566=(($565+2)|0); //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$566; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $567=$high; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $568=$567 >> 8; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $569=(($568) & 255); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $570=$pc; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $571=(($570+1)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($571)]=$569; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $572=$high; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $573=(($572) & 255); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $574=$pc; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $575=(($574+2)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($575)]=$573; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $576=$pc; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $577=(($576+2)|0); //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$577; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $578=$tableLength; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $579=(($578)|0)!=0; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($579) { __label__ = 134; break; } else { __label__ = 143; break; } //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 134: 
      var $581=$tableLength; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $582=((($581<<2))|0); //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tableSize=$582; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $583=$2; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $584=$tableSize; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $585=__ZN9JSContext7malloc_Ej($583, $584); //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $586=$585; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $table=$586; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $587=$table; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $588=(($587)|0)!=0; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($588) { __label__ = 136; break; } else { __label__ = 135; break; } //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 135: 
      $1=0; //@line 3746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 136: 
      var $591=$table; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $592=$591; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $593=$tableSize; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _memset($592, 0, $593, 1); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $594=$pn2; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $595=(($594+32)|0); //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $596=$595; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $597=(($596)|0); //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $598=HEAP32[(($597)>>2)]; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$598; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 137; break; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 137: 
      var $600=$pn3; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $601=(($600)|0)!=0; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($601) { __label__ = 138; break; } else { __label__ = 142; break; } //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 138: 
      var $603=$pn3; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $604=__ZNK11JSParseNode6isKindEN2js9TokenKindE($603, 39); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($604) { __label__ = 139; break; } else { __label__ = 140; break; } //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 139: 
      __label__ = 141; break; //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 140: 
      var $607=$pn3; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $608=(($607+32)|0); //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $609=$608; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $610=(($609+8)|0); //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $611=HEAP32[(($610)>>2)]; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $612=__ZNK2JS5Value7toInt32Ev($611); //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$612; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $613=$low; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $614=$i; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $615=(($614-$613)|0); //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$615; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $616=$pn3; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $617=$i; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $618=$table; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $619=(($618+($617<<2))|0); //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($619)>>2)]=$616; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 141; break; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 141: 
      var $621=$pn3; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $622=(($621+24)|0); //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $623=HEAP32[(($622)>>2)]; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$623; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 137; break; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 142: 
      __label__ = 143; break; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 143: 
      __label__ = 145; break; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 144: 
      var $627=$caseCount; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $628=$627 >>> 8; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $629=(($628) & 255); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $630=$pc; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $631=(($630+1)|0); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($631)]=$629; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $632=$caseCount; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $633=(($632) & 255); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $634=$pc; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $635=(($634+2)|0); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($635)]=$633; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $636=$pc; //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $637=(($636+2)|0); //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$637; //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 145; break;
    case 145: 
      var $639=$3; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $640=(($639+208)|0); //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $641=HEAP32[(($640)>>2)]; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $642=(($641)|0)!=0; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($642) { __label__ = 146; break; } else { __label__ = 149; break; } //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 146: 
      var $644=$2; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $645=$3; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $646=$3; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $647=(($646+172)|0); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $648=HEAP32[(($647)>>2)]; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $649=(($648)|0); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $650=HEAP32[(($649)>>2)]; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $651=$top; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $652=(($650+$651)|0); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $653=__ZL17AddSwitchSpanDepsP9JSContextP15JSCodeGeneratorPh($644, $645, $652); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $654=(($653)|0)!=0; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($654) { __label__ = 148; break; } else { __label__ = 147; break; } //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 147: 
      __label__ = 237; break; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 148: 
      __label__ = 149; break; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 149: 
      var $658=$constPropagated; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $659=(($658)|0)!=0; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($659) { __label__ = 150; break; } else { __label__ = 177; break; } //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 150: 
      var $661=$3; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $662=(($661+172)|0); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $663=HEAP32[(($662)>>2)]; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $664=(($663+8)|0); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $665=HEAP32[(($664)>>2)]; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $savepc=$665; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $666=$pc; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $667=(($666+1)|0); //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $668=$3; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $669=(($668+172)|0); //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $670=HEAP32[(($669)>>2)]; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $671=(($670+8)|0); //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($671)>>2)]=$667; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $672=$switchOp; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $673=(($672)|0)==70; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($673) { __label__ = 151; break; } else { __label__ = 164; break; } //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 151: 
      $i=0; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 152; break; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 152: 
      var $676=$i; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $677=$tableLength; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $678=(($676)|0) < (($677)|0); //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($678) { __label__ = 153; break; } else { __label__ = 163; break; } //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 153: 
      var $680=$i; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $681=$table; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $682=(($681+($680<<2))|0); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $683=HEAP32[(($682)>>2)]; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$683; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $684=$pn3; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $685=(($684)|0)!=0; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($685) { __label__ = 154; break; } else { __label__ = 161; break; } //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 154: 
      var $687=$pn3; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $688=(($687+32)|0); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $689=$688; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $690=(($689)|0); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $691=HEAP32[(($690)>>2)]; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn4=$691; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $692=(($691)|0)!=0; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($692) { __label__ = 155; break; } else { __label__ = 161; break; } //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 155: 
      var $694=$pn4; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $695=__ZNK11JSParseNode6isKindEN2js9TokenKindE($694, 29); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($695) { __label__ = 156; break; } else { __label__ = 161; break; } //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 156: 
      var $697=$3; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $698=$pn4; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $699=(($698+32)|0); //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $700=$699; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $701=(($700)|0); //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $702=$701; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $703=HEAP32[(($702)>>2)]; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $704=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($697, $703, $index); //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($704) { __label__ = 158; break; } else { __label__ = 157; break; } //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 157: 
      __label__ = 237; break; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 158: 
      var $707=$pc; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $708=$3; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $709=(($708+172)|0); //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $710=HEAP32[(($709)>>2)]; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $711=(($710+8)|0); //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($711)>>2)]=$707; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $712=$2; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $713=$3; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $714=HEAP32[(($index)>>2)]; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $715=_js_NewSrcNote2($712, $713, 13, $714); //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $716=(($715)|0) < 0; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($716) { __label__ = 159; break; } else { __label__ = 160; break; } //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 159: 
      __label__ = 237; break; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 160: 
      __label__ = 161; break; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 161: 
      var $720=$pc; //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $721=(($720+2)|0); //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$721; //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 162; break; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 162: 
      var $723=$i; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $724=(($723+1)|0); //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$724; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 152; break; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 163: 
      __label__ = 176; break; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 164: 
      var $727=$pn2; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $728=(($727+32)|0); //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $729=$728; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $730=(($729)|0); //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $731=HEAP32[(($730)>>2)]; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$731; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 165; break; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 165: 
      var $733=$pn3; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $734=(($733)|0)!=0; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($734) { __label__ = 166; break; } else { __label__ = 175; break; } //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 166: 
      var $736=$pn3; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $737=(($736+32)|0); //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $738=$737; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $739=(($738)|0); //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $740=HEAP32[(($739)>>2)]; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn4=$740; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $741=$pn4; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $742=(($741)|0)!=0; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($742) { __label__ = 167; break; } else { __label__ = 173; break; } //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 167: 
      var $744=$pn4; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $745=__ZNK11JSParseNode6isKindEN2js9TokenKindE($744, 29); //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($745) { __label__ = 168; break; } else { __label__ = 173; break; } //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 168: 
      var $747=$3; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $748=$pn4; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $749=(($748+32)|0); //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $750=$749; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $751=(($750)|0); //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $752=$751; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $753=HEAP32[(($752)>>2)]; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $754=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($747, $753, $index1); //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($754) { __label__ = 170; break; } else { __label__ = 169; break; } //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 169: 
      __label__ = 237; break; //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 170: 
      var $757=$pc; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $758=$3; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $759=(($758+172)|0); //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $760=HEAP32[(($759)>>2)]; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $761=(($760+8)|0); //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($761)>>2)]=$757; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $762=$2; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $763=$3; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $764=HEAP32[(($index1)>>2)]; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $765=_js_NewSrcNote2($762, $763, 13, $764); //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $766=(($765)|0) < 0; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($766) { __label__ = 171; break; } else { __label__ = 172; break; } //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 171: 
      __label__ = 237; break; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 172: 
      __label__ = 173; break; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 173: 
      var $770=$pc; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $771=(($770+4)|0); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$771; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 174; break; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 174: 
      var $773=$pn3; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $774=(($773+24)|0); //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $775=HEAP32[(($774)>>2)]; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$775; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 165; break; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 175: 
      __label__ = 176; break;
    case 176: 
      var $778=$savepc; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $779=$3; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $780=(($779+172)|0); //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $781=HEAP32[(($780)>>2)]; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $782=(($781+8)|0); //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($782)>>2)]=$778; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 177; break; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 177: 
      __label__ = 178; break;
    case 178: 
      var $785=$pn2; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $786=(($785+32)|0); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $787=$786; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $788=(($787)|0); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $789=HEAP32[(($788)>>2)]; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$789; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 179; break; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 179: 
      var $791=$pn3; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $792=(($791)|0)!=0; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($792) { __label__ = 180; break; } else { __label__ = 193; break; } //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 180: 
      var $794=$switchOp; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $795=(($794)|0)==120; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($795) { __label__ = 181; break; } else { __label__ = 187; break; } //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 181: 
      var $797=$pn3; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $798=__ZNK11JSParseNode6isKindEN2js9TokenKindE($797, 39); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($798) { __label__ = 187; break; } else { __label__ = 182; break; } //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 182: 
      __label__ = 183; break; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 183: 
      var $801=$2; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $802=$3; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $803=$3; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $804=(($803+172)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $805=HEAP32[(($804)>>2)]; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $806=(($805)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $807=HEAP32[(($806)>>2)]; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $808=$pn3; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $809=(($808+20)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $810=HEAP32[(($809)>>2)]; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $811=(($807+$810)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $812=$3; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $813=(($812+172)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $814=HEAP32[(($813)>>2)]; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $815=(($814+8)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $816=HEAP32[(($815)>>2)]; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $817=$3; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $818=(($817+172)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $819=HEAP32[(($818)>>2)]; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $820=(($819)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $821=HEAP32[(($820)>>2)]; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $822=$816; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $823=$821; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $824=(($822-$823)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $825=$pn3; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $826=(($825+20)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $827=HEAP32[(($826)>>2)]; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $828=(($824-$827)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $829=_js_SetJumpOffset($801, $802, $811, $828); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $830=(($829)|0)!=0; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($830) { __label__ = 185; break; } else { __label__ = 184; break; } //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 184: 
      __label__ = 237; break; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 185: 
      __label__ = 186; break; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 186: 
      __label__ = 187; break; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 187: 
      var $835=$pn3; //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $836=(($835+32)|0); //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $837=$836; //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $838=(($837+4)|0); //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $839=HEAP32[(($838)>>2)]; //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn4=$839; //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $840=$2; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $841=$3; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $842=$pn4; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $843=_js_EmitTree($840, $841, $842); //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$843; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $844=$ok; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $845=(($844)|0)!=0; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($845) { __label__ = 189; break; } else { __label__ = 188; break; } //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 188: 
      __label__ = 229; break; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 189: 
      var $848=$pn4; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $849=(($848+20)|0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $850=HEAP32[(($849)>>2)]; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $851=$pn3; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $852=(($851+20)|0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($852)>>2)]=$850; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $853=$pn3; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $854=__ZNK11JSParseNode6isKindEN2js9TokenKindE($853, 39); //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($854) { __label__ = 190; break; } else { __label__ = 191; break; } //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 190: 
      var $856=$pn3; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $857=(($856+20)|0); //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $858=HEAP32[(($857)>>2)]; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $859=$top; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $860=(($858-$859)|0); //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$860; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 191; break; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 191: 
      __label__ = 192; break; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 192: 
      var $863=$pn3; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $864=(($863+24)|0); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $865=HEAP32[(($864)>>2)]; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$865; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 179; break; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 193: 
      var $867=$hasDefault; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $868=(($867)|0)!=0; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($868) { __label__ = 195; break; } else { __label__ = 194; break; } //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 194: 
      var $870=$3; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $871=(($870+172)|0); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $872=HEAP32[(($871)>>2)]; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $873=(($872+8)|0); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $874=HEAP32[(($873)>>2)]; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $875=$3; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $876=(($875+172)|0); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $877=HEAP32[(($876)>>2)]; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $878=(($877)|0); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $879=HEAP32[(($878)>>2)]; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $880=$874; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $881=$879; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $882=(($880-$881)|0); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $883=$top; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $884=(($882-$883)|0); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$884; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 195; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 195: 
      var $886=$switchOp; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $887=(($886)|0)==120; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($887) { __label__ = 196; break; } else { __label__ = 199; break; } //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 196: 
      $pc=0; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $889=$2; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $890=$3; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $891=$3; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $892=(($891+172)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $893=HEAP32[(($892)>>2)]; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $894=(($893)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $895=HEAP32[(($894)>>2)]; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $896=$defaultOffset; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $897=(($895+$896)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $898=$off; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $899=$defaultOffset; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $900=$top; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $901=(($899-$900)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $902=(($898-$901)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $903=_js_SetJumpOffset($889, $890, $897, $902); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$903; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $904=$ok; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $905=(($904)|0)!=0; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($905) { __label__ = 198; break; } else { __label__ = 197; break; } //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 197: 
      __label__ = 229; break; //@line 3855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 198: 
      __label__ = 202; break; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 199: 
      var $909=$3; //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $910=(($909+172)|0); //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $911=HEAP32[(($910)>>2)]; //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $912=(($911)|0); //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $913=HEAP32[(($912)>>2)]; //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $914=$top; //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $915=(($913+$914)|0); //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$915; //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $916=$2; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $917=$3; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $918=$pc; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $919=$off; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $920=_js_SetJumpOffset($916, $917, $918, $919); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$920; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $921=$ok; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $922=(($921)|0)!=0; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($922) { __label__ = 201; break; } else { __label__ = 200; break; } //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 200: 
      __label__ = 229; break; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 201: 
      var $925=$pc; //@line 3861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $926=(($925+2)|0); //@line 3861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$926; //@line 3861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 202; break;
    case 202: 
      var $928=$3; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $929=(($928+172)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $930=HEAP32[(($929)>>2)]; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $931=(($930+8)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $932=HEAP32[(($931)>>2)]; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $933=$3; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $934=(($933+172)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $935=HEAP32[(($934)>>2)]; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $936=(($935)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $937=HEAP32[(($936)>>2)]; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $938=$932; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $939=$937; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $940=(($938-$939)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $941=$top; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $942=(($940-$941)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$942; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $943=$2; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $944=$3; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $945=$noteIndex; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $946=$off; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $947=_js_SetSrcNoteOffset($943, $944, $945, 0, $946); //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$947; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $948=$ok; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $949=(($948)|0)!=0; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($949) { __label__ = 204; break; } else { __label__ = 203; break; } //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 203: 
      __label__ = 229; break; //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 204: 
      var $952=$switchOp; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $953=(($952)|0)==70; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($953) { __label__ = 205; break; } else { __label__ = 215; break; } //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 205: 
      var $955=$pc; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $956=(($955+4)|0); //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$956; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=0; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 206; break; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 206: 
      var $958=$i; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $959=$tableLength; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $960=(($958)|0) < (($959)|0); //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($960) { __label__ = 207; break; } else { __label__ = 214; break; } //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 207: 
      var $962=$i; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $963=$table; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $964=(($963+($962<<2))|0); //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $965=HEAP32[(($964)>>2)]; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$965; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $966=$pn3; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $967=(($966)|0)!=0; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($967) { __label__ = 208; break; } else { __label__ = 209; break; } //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 208: 
      var $969=$pn3; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $970=(($969+20)|0); //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $971=HEAP32[(($970)>>2)]; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $972=$top; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $973=(($971-$972)|0); //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $976 = $973;__label__ = 210; break; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 209: 
      var $976 = 0;__label__ = 210; break; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 210: 
      var $976; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$976; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $977=$2; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $978=$3; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $979=$pc; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $980=$off; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $981=_js_SetJumpOffset($977, $978, $979, $980); //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$981; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $982=$ok; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $983=(($982)|0)!=0; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($983) { __label__ = 212; break; } else { __label__ = 211; break; } //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 211: 
      __label__ = 229; break; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 212: 
      var $986=$pc; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $987=(($986+2)|0); //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$987; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 213; break; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 213: 
      var $989=$i; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $990=(($989+1)|0); //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$990; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 206; break; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 214: 
      __label__ = 228; break; //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 215: 
      var $993=$switchOp; //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $994=(($993)|0)==71; //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($994) { __label__ = 216; break; } else { __label__ = 227; break; } //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 216: 
      var $996=$pc; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $997=(($996+2)|0); //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$997; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $998=$pn2; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $999=(($998+32)|0); //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1000=$999; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1001=(($1000)|0); //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1002=HEAP32[(($1001)>>2)]; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$1002; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 217; break; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 217: 
      var $1004=$pn3; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1005=(($1004)|0)!=0; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1005) { __label__ = 218; break; } else { __label__ = 226; break; } //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 218: 
      var $1007=$pn3; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1008=__ZNK11JSParseNode6isKindEN2js9TokenKindE($1007, 39); //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1008) { __label__ = 219; break; } else { __label__ = 220; break; } //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 219: 
      __label__ = 225; break; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 220: 
      var $1011=$3; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1012=(($1011+268)|0); //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1013=$pn3; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1014=(($1013+32)|0); //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1015=$1014; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1016=(($1015+8)|0); //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1017=HEAP32[(($1016)>>2)]; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1018=$6; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1019=$1017; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1018)>>2)]=HEAP32[(($1019)>>2)];HEAP32[(($1018+4)>>2)]=HEAP32[(($1019+4)>>2)]; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1020=__ZN13JSGCConstList6appendEN2JS5ValueE($1012, $6); //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1020) { __label__ = 222; break; } else { __label__ = 221; break; } //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 221: 
      __label__ = 237; break; //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 222: 
      var $1023=$3; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1024=(($1023+268)|0); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1025=__ZNK13JSGCConstList6lengthEv($1024); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1026=(($1025-1)|0); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1027=$1026 >>> 8; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1028=(($1027) & 255); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1029=$pc; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1030=(($1029+1)|0); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($1030)]=$1028; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1031=$3; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1032=(($1031+268)|0); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1033=__ZNK13JSGCConstList6lengthEv($1032); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1034=(($1033-1)|0); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1035=(($1034) & 255); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1036=$pc; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1037=(($1036+2)|0); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($1037)]=$1035; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1038=$pc; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1039=(($1038+2)|0); //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$1039; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1040=$pn3; //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1041=(($1040+20)|0); //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1042=HEAP32[(($1041)>>2)]; //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1043=$top; //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1044=(($1042-$1043)|0); //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$1044; //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1045=$2; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1046=$3; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1047=$pc; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1048=$off; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1049=_js_SetJumpOffset($1045, $1046, $1047, $1048); //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$1049; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1050=$ok; //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1051=(($1050)|0)!=0; //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1051) { __label__ = 224; break; } else { __label__ = 223; break; } //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 223: 
      __label__ = 229; break; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 224: 
      var $1054=$pc; //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1055=(($1054+2)|0); //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$1055; //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 225; break; //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 225: 
      var $1057=$pn3; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1058=(($1057+24)|0); //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1059=HEAP32[(($1058)>>2)]; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$1059; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 217; break; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 226: 
      __label__ = 227; break; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 227: 
      __label__ = 228; break;
    case 228: 
      __label__ = 229; break;
    case 229: 
      var $1064=$table; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1065=(($1064)|0)!=0; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1065) { __label__ = 230; break; } else { __label__ = 231; break; } //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 230: 
      var $1067=$2; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1068=$table; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1069=$1068; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext5free_EPv($1067, $1069); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 231; break; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 231: 
      var $1071=$ok; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1072=(($1071)|0)!=0; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1072) { __label__ = 232; break; } else { __label__ = 236; break; } //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 232: 
      var $1074=$2; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1075=$3; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1076=_js_PopStatementCG($1074, $1075); //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$1076; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1077=$ok; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1078=(($1077)|0)!=0; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1078) { __label__ = 233; break; } else { __label__ = 235; break; } //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 233: 
      var $1080=$4; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1081=(($1080+32)|0); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1082=$1081; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1083=(($1082+4)|0); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1084=HEAP32[(($1083)>>2)]; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1085=__ZNK11JSParseNode6isKindEN2js9TokenKindE($1084, 80); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($1085) { __label__ = 234; break; } else { __label__ = 235; break; } //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 234: 
      var $1087=$2; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1088=$3; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1089=$box; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $1090=__ZL14EmitLeaveBlockP9JSContextP15JSCodeGenerator4JSOpP11JSObjectBox($1087, $1088, 202, $1089); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$1090; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 235; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 235: 
      __label__ = 236; break; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 236: 
      var $1093=$ok; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$1093; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 238; break; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 237: 
      $ok=0; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 229; break; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 238: 
      var $1096=$1; //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $1096; //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10EmitSwitchP9JSContextP15JSCodeGeneratorP11JSParseNodeP10JSStmtInfo["X"]=1;

function __ZL11EmitTraceOpP9JSContextP15JSCodeGeneratorP11JSParseNode($cx, $cg, $nextpn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $index;
      $2=$cx;
      $3=$cg;
      $4=$nextpn;
      var $5=$4; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5)|0)!=0; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $8=$4; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZNK11JSParseNode6isKindEN2js9TokenKindE($8, 25); //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $11=$4; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=__ZNK11JSParseNode7isArityE16JSParseNodeArity($11, 5); //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $14=$4; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+32)|0); //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$15; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0); //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0)!=0; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $21=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+32)|0); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$22; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $4=$25; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $27=$2; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$3; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$4; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+4)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+4)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=__ZL21UpdateLineNumberNotesP9JSContextP15JSCodeGeneratorj($27, $28, $33); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34)|0)!=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $1=-1; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      __label__ = 9; break; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $39=$3; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+612)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=HEAPU16[(($40)>>1)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41)&65535); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$42; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$index; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43)>>>0) < 65535; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $46=$3; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($46+612)|0); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=HEAP16[(($47)>>1)]; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48+1)&65535); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($47)>>1)]=$49; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $51=$2; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$3; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$index; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$53 >>> 8; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54) & 255); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$index; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56) & 255); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=_js_Emit3($51, $52, 109, $55, $57); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$58; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $60=$1; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $60; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11EmitTraceOpP9JSContextP15JSCodeGeneratorP11JSParseNode["X"]=1;

function __ZN12TempPopScopeC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN12TempPopScopeC2Ev($2); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZN12TempPopScope8popBlockEP9JSContextP15JSCodeGenerator($this, $cx, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$cg;
      var $4=$1;
      var $5=$3; //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$5; //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+24)|0); //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($4)|0); //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($9)>>2)]=$8; //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$3; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$10; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+28)|0); //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($4+4)|0); //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$15; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+32)|0); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($4+8)|0); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$3; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$20; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+24)|0); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=HEAPU16[(($24)>>1)]; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25)&65535); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0)==12; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($27) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $29=$3; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$29; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30+24)|0); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32)|0); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=HEAPU16[(($33)>>1)]; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34)&65535); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35)|0)==13; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($36) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $38=$3; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$38; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PopStatement($39); //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $41=$3; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$41; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _js_PopStatement($42); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$2; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$3; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=_js_Emit1($43, $44, 0); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45)|0) >= 0; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($46) { __label__ = 5; break; } else { var $53 = 0;__label__ = 6; break; } //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $48=$2; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$3; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($48, $49); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50)|0)!=0; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53 = $51;__label__ = 6; break;
    case 6: 
      var $53;
      ;
      return $53; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN12TempPopScope8popBlockEP9JSContextP15JSCodeGenerator["X"]=1;

function __ZN12TempPopScope11repushBlockEP9JSContextP15JSCodeGenerator($this, $cx, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$cg;
      var $4=$1;
      var $5=(($4)|0); //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$7; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8+24)|0); //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($9)>>2)]=$6; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($4+4)|0); //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$3; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$12; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+28)|0); //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($14)>>2)]=$11; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($4+8)|0); //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$3; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$17; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+32)|0); //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($19)>>2)]=$16; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$2; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$3; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=_js_Emit1($20, $21, 0); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22)|0) >= 0; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 2; break; } else { var $30 = 0;__label__ = 3; break; } //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $25=$2; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$3; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator($25, $26); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)|0)!=0; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30 = $28;__label__ = 3; break;
    case 3: 
      var $30;
      ;
      return $30; //@line 3367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15TokenKindIsDeclENS_9TokenKindE($tt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$tt;
      var $2=$1; //@line 169 "./jsscan.h"
      var $3=(($2)|0)==46; //@line 169 "./jsscan.h"
      if ($3) { var $8 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 169 "./jsscan.h"
    case 2: 
      var $5=$1; //@line 169 "./jsscan.h"
      var $6=(($5)|0)==81; //@line 169 "./jsscan.h"
      var $8 = $6;__label__ = 3; break; //@line 169 "./jsscan.h"
    case 3: 
      var $8;
      ;
      return $8; //@line 169 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14EmitAssignmentP9JSContextP15JSCodeGeneratorP11JSParseNode4JSOpS4_($cx, $cg, $lhs, $op, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $top;
      var $atomIndex=__stackBase__;
      var $offset;
      var $op1;
      var $isLength;
      $2=$cx;
      $3=$cg;
      $4=$lhs;
      $5=$op;
      $6=$rhs;
      var $7=$3; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+172)|0); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+8)|0); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$3; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+172)|0); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$11; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$16; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($17-$18)|0); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$19; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($atomIndex)>>2)]=-1; //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=1; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$4; //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=__ZNK11JSParseNode7getKindEv($20); //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($21)|0) == 29) {
        __label__ = 2; break;
      }
      else if ((($21)|0) == 22) {
        __label__ = 16; break;
      }
      else if ((($21)|0) == 23) {
        __label__ = 21; break;
      }
      else if ((($21)|0) == 24 || (($21)|0) == 26) {
        __label__ = 26; break;
      }
      else if ((($21)|0) == 27) {
        __label__ = 27; break;
      }
      else if ((($21)|0) == 19) {
        __label__ = 30; break;
      }
      else {
      __label__ = 35; break;
      }
      
    case 2: 
      var $23=$2; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$3; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$4; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($23, $24, $25); //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0)!=0; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $1=0; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $30=$4; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30+32)|0); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$31; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32+8)|0); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=__ZNK2js11UpvarCookie6isFreeEv($33); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $36=$4; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36+32)|0); //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$37; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+8)|0); //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=__ZNK2js11UpvarCookie9asIntegerEv($39); //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($atomIndex)>>2)]=$40; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 4591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $42=$3; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$4; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43+32)|0); //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$44; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45)|0); //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$46; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($42, $48, $atomIndex); //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $1=0; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $52=$4; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=__ZNK11JSParseNode7isConstEv($52); //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 9; break; } //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $55=$4; //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=__ZNK11JSParseNode4isOpE4JSOp($55, 157); //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$56 ? 217 : 110; //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $op1=$57; //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $59=$2; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$op1; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=HEAP32[(($atomIndex)>>2)]; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$3; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($59, $60, $61, $62, 0); //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=0; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      __label__ = 13; break; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $67=$offset; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+1)&255); //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$68; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 4598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 36; break; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $72=$2; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$3; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$4; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=__ZNK11JSParseNode4exprEv($74); //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=_js_EmitTree($72, $73, $75); //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($76)|0)!=0; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($77) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      $1=0; //@line 4603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $80=$offset; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80+1)&255); //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$81; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$3; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$4; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83+32)|0); //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$84; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85)|0); //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$86; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($82, $88, $atomIndex); //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($89) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      $1=0; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      __label__ = 36; break; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $93=$2; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$3; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$4; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=(($95+32)|0); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=$96; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97)|0); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=_js_EmitTree($93, $94, $99); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100)|0)!=0; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($101) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $1=0; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $104=$2; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$3; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=$4; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(($106+32)|0); //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$107; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=(($108+4)|0); //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=_js_EmitTree($104, $105, $110); //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111)|0)!=0; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($112) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      $1=0; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $115=$offset; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=(($115)&255); //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=(($116+2)|0); //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($117) & 255); //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$118; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 4615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      __label__ = 36; break; //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $121=$2; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$3; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$4; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=_js_EmitTree($121, $122, $123); //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=(($124)|0)!=0; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($125) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      $1=0; //@line 4623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $128=$offset; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=(($128+1)&255); //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$129; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 4625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $131=$2; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$3; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=$4; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=(($133+32)|0); //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=$134; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=(($135)|0); //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=_js_EmitTree($131, $132, $137); //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=(($138)|0)!=0; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($139) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      $1=0; //@line 4630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $142=$2; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=$3; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=_js_Emit1($142, $143, 172); //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=(($144)|0) < 0; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($145) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      $1=0; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $148=$offset; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=(($148+1)&255); //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$149; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      __label__ = 36; break; //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $152=$5; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=(($152)|0)!=0; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($153) { __label__ = 37; break; } else { __label__ = 90; break; } //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      var $155=$4; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=__ZNK11JSParseNode7getKindEv($155); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($156)|0) == 29) {
        __label__ = 38; break;
      }
      else if ((($156)|0) == 22) {
        __label__ = 69; break;
      }
      else if ((($156)|0) == 23 || (($156)|0) == 27 || (($156)|0) == 19) {
        __label__ = 83; break;
      }
      else {
      __label__ = 88; break;
      }
      
    case 38: 
      var $158=$4; //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $159=__ZNK11JSParseNode7isConstEv($158); //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($159) { __label__ = 39; break; } else { __label__ = 49; break; } //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      var $161=$4; //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=__ZNK11JSParseNode4isOpE4JSOp($161, 131); //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($162) { __label__ = 40; break; } else { __label__ = 43; break; } //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      var $164=$2; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $165=$3; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $166=_js_Emit1($164, $165, 131); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=(($166)|0) < 0; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($167) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      $1=0; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      __label__ = 48; break; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      __label__ = 44; break; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $172=$2; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=$4; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $174=__ZNK11JSParseNode5getOpEv($173); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $175=HEAP32[(($atomIndex)>>2)]; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $176=$3; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $177=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($172, $174, $175, $176, 0); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($177) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      $1=0; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 46: 
      __label__ = 47; break; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 47: 
      __label__ = 48; break;
    case 48: 
      __label__ = 68; break; //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      var $183=$4; //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $184=__ZNK11JSParseNode4isOpE4JSOp($183, 111); //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($184) { __label__ = 50; break; } else { __label__ = 57; break; } //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      var $186=$2; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $187=$3; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $188=_js_Emit1($186, $187, 12); //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $189=(($188)|0) < 0; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($189) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 51: 
      $1=0; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 52: 
      __label__ = 53; break; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 53: 
      var $193=$2; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $194=HEAP32[(($atomIndex)>>2)]; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $195=$3; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $196=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($193, 198, $194, $195, 0); //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($196) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 54: 
      $1=0; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 55: 
      __label__ = 56; break; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 56: 
      __label__ = 67; break; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 57: 
      var $201=$4; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $202=__ZNK11JSParseNode4isOpE4JSOp($201, 157); //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($202) { __label__ = 58; break; } else { __label__ = 61; break; } //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 58: 
      var $204=$2; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $205=$3; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $206=$4; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $207=$4; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $208=(($207+32)|0); //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $209=$208; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $210=(($209)|0); //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $211=$210; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=HEAP32[(($211)>>2)]; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $213=__ZL10BindGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeP6JSAtom($204, $205, $206, $212); //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($213) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 59: 
      $1=0; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 60: 
      var $216=$2; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $217=$4; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $218=$3; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $219=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($216, $217, 156, $218, 0); //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 66; break; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 61: 
      __label__ = 62; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 62: 
      var $222=$2; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $223=$3; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $224=$4; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=__ZNK11JSParseNode4isOpE4JSOp($224, 85); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=$225 ? 84 : 86; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=HEAPU32[(($atomIndex)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $228=$227 >>> 8; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $229=(($228) & 255); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $230=HEAP32[(($atomIndex)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $231=(($230) & 255); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $232=_js_Emit3($222, $223, $226, $229, $231); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $233=(($232)|0) < 0; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($233) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 63: 
      $1=0; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 64: 
      var $236=$2; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $237=$3; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $238=$4; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $239=__ZNK11JSParseNode4isOpE4JSOp($238, 85); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=$239 ? 84 : 86; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($236, $237, $240); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 65; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 65: 
      __label__ = 66; break;
    case 66: 
      __label__ = 67; break;
    case 67: 
      __label__ = 68; break;
    case 68: 
      __label__ = 89; break; //@line 4662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 69: 
      var $246=$2; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $247=$3; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $248=_js_Emit1($246, $247, 12); //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $249=(($248)|0) < 0; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($249) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 70: 
      $1=0; //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 71: 
      var $252=$4; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $253=(($252+32)|0); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $254=$253; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $255=(($254)|0); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $256=$255; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $257=HEAP32[(($256)>>2)]; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $258=$2; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $259=(($258+52)|0); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $260=HEAP32[(($259)>>2)]; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $261=(($260+209948)|0); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $262=(($261+344)|0); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $263=HEAP32[(($262)>>2)]; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $264=$263; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $265=(($257)|0)==(($264)|0); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($265) { __label__ = 72; break; } else { __label__ = 77; break; } //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 72: 
      var $267=$2; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $268=HEAP32[(($atomIndex)>>2)]; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $269=$3; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $270=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($267, 165, $268, $269, 0); //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($270) { __label__ = 74; break; } else { __label__ = 73; break; } //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 73: 
      $1=0; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 74: 
      var $273=$2; //@line 4669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $274=$3; //@line 4669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $275=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($273, $274, 55); //@line 4669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($275) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 4669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 75: 
      $1=0; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 76: 
      __label__ = 82; break; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 77: 
      var $279=$4; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $280=(($279+32)|0); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $281=$280; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $282=(($281)|0); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $283=$282; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $284=HEAP32[(($283)>>2)]; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $285=$2; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $286=(($285+52)|0); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $287=HEAP32[(($286)>>2)]; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $288=(($287+209948)|0); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $289=(($288+308)|0); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $290=HEAP32[(($289)>>2)]; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $291=$290; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $292=(($284)|0)==(($291)|0); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $293=(($292)&1); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $isLength=$293; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 78; break; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 78: 
      var $295=$2; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $296=$isLength; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $297=(($296) & 1); //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $298=$297 ? 220 : 53; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $299=HEAP32[(($atomIndex)>>2)]; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $300=$3; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $301=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($295, $298, $299, $300, 0); //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($301) { __label__ = 80; break; } else { __label__ = 79; break; } //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 79: 
      $1=0; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 80: 
      __label__ = 81; break; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 81: 
      __label__ = 82; break;
    case 82: 
      __label__ = 89; break; //@line 4675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 83: 
      var $307=$2; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $308=$3; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $309=_js_Emit1($307, $308, 13); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $310=(($309)|0) < 0; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($310) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 84: 
      $1=0; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 85: 
      var $313=$2; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $314=$3; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $315=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($313, $314, 55); //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($315) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 86: 
      $1=0; //@line 4684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 87: 
      __label__ = 89; break; //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 88: 
      __label__ = 89; break; //@line 4687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 89: 
      __label__ = 90; break; //@line 4688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 90: 
      var $321=$6; //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $322=(($321)|0)!=0; //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($322) { __label__ = 91; break; } else { __label__ = 94; break; } //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 91: 
      var $324=$2; //@line 4692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $325=$3; //@line 4692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $326=$6; //@line 4692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $327=_js_EmitTree($324, $325, $326); //@line 4692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $328=(($327)|0)!=0; //@line 4692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($328) { __label__ = 93; break; } else { __label__ = 92; break; } //@line 4692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 92: 
      $1=0; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 93: 
      __label__ = 97; break; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 94: 
      var $332=$2; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $333=$3; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $334=$offset; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $335=_js_Emit2($332, $333, 77, $334); //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $336=(($335)|0) < 0; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($336) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 95: 
      $1=0; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 96: 
      __label__ = 97; break;
    case 97: 
      var $340=$5; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $341=(($340)|0)!=0; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($341) { __label__ = 98; break; } else { __label__ = 106; break; } //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 98: 
      var $343=$4; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $344=__ZNK11JSParseNode6isKindEN2js9TokenKindE($343, 29); //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($344) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 99: 
      var $346=$4; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $347=__ZNK11JSParseNode7isConstEv($346); //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($347) { __label__ = 103; break; } else { __label__ = 100; break; } //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 100: 
      var $349=$2; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $350=$3; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $351=_js_NewSrcNote($349, $350, 8); //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $352=(($351)|0) < 0; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($352) { __label__ = 101; break; } else { __label__ = 102; break; } //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 101: 
      $1=0; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 102: 
      __label__ = 103; break; //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 103: 
      var $356=$2; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $357=$3; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $358=$5; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $359=_js_Emit1($356, $357, $358); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $360=(($359)|0) < 0; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($360) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 104: 
      $1=0; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 105: 
      __label__ = 106; break; //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 106: 
      var $364=$4; //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $365=__ZNK11JSParseNode6isKindEN2js9TokenKindE($364, 29); //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($365) { __label__ = 111; break; } else { __label__ = 107; break; } //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 107: 
      var $367=$4; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $368=__ZNK11JSParseNode6isKindEN2js9TokenKindE($367, 24); //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($368) { __label__ = 111; break; } else { __label__ = 108; break; } //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 108: 
      var $370=$4; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $371=__ZNK11JSParseNode6isKindEN2js9TokenKindE($370, 26); //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($371) { __label__ = 111; break; } else { __label__ = 109; break; } //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 109: 
      var $373=$2; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $374=$3; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $375=$3; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $376=(($375+172)|0); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $377=HEAP32[(($376)>>2)]; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $378=(($377+8)|0); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $379=HEAP32[(($378)>>2)]; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $380=$3; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $381=(($380+172)|0); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $382=HEAP32[(($381)>>2)]; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $383=(($382)|0); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $384=HEAP32[(($383)>>2)]; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $385=$379; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $386=$384; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $387=(($385-$386)|0); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $388=$top; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $389=(($387-$388)|0); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $390=_js_NewSrcNote2($373, $374, 12, $389); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $391=(($390)|0) < 0; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($391) { __label__ = 110; break; } else { __label__ = 111; break; } //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 110: 
      $1=0; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 111: 
      var $394=$4; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $395=__ZNK11JSParseNode7getKindEv($394); //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($395)|0) == 29) {
        __label__ = 112; break;
      }
      else if ((($395)|0) == 22) {
        __label__ = 117; break;
      }
      else if ((($395)|0) == 23 || (($395)|0) == 27) {
        __label__ = 122; break;
      }
      else if ((($395)|0) == 24 || (($395)|0) == 26) {
        __label__ = 125; break;
      }
      else if ((($395)|0) == 19) {
        __label__ = 128; break;
      }
      else {
      __label__ = 131; break;
      }
      
    case 112: 
      var $397=$4; //@line 4728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $398=__ZNK11JSParseNode7isConstEv($397); //@line 4728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($398) { __label__ = 113; break; } else { __label__ = 116; break; } //@line 4728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 113: 
      var $400=$6; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $401=(($400)|0)!=0; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($401) { __label__ = 115; break; } else { __label__ = 114; break; } //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 114: 
      var $403=$2; //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $404=$3; //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $405=$404; //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $406=(($405+48)|0); //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $407=HEAP32[(($406)>>2)]; //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $408=(($407+40)|0); //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $409=$4; //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $410=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($403, $408, $409, 0, 117, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 115: 
      __label__ = 132; break; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 116: 
      __label__ = 117; break; //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 117: 
      __label__ = 118; break; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 118: 
      var $415=$2; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $416=$4; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $417=__ZNK11JSParseNode5getOpEv($416); //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $418=HEAP32[(($atomIndex)>>2)]; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $419=$3; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $420=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($415, $417, $418, $419, 0); //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($420) { __label__ = 120; break; } else { __label__ = 119; break; } //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 119: 
      $1=0; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 120: 
      __label__ = 121; break; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 121: 
      __label__ = 132; break; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 122: 
      var $425=$2; //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $426=$3; //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $427=_js_Emit1($425, $426, 56); //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $428=(($427)|0) < 0; //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($428) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 123: 
      $1=0; //@line 4743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 124: 
      __label__ = 132; break; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 125: 
      var $432=$2; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $433=$3; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $434=$4; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $435=__ZL20EmitDestructuringOpsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode($432, $433, 111, $434); //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $436=(($435)|0)!=0; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($436) { __label__ = 127; break; } else { __label__ = 126; break; } //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 126: 
      $1=0; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 127: 
      __label__ = 132; break; //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 128: 
      var $440=$2; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $441=$3; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $442=_js_Emit1($440, $441, 173); //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $443=(($442)|0) < 0; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($443) { __label__ = 129; break; } else { __label__ = 130; break; } //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 129: 
      $1=0; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 130: 
      __label__ = 132; break; //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 131: 
      __label__ = 132; break; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 132: 
      $1=1; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 133; break; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 133: 
      var $449=$1; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $449; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14EmitAssignmentP9JSContextP15JSCodeGeneratorP11JSParseNode4JSOpS4_["X"]=1;

function __ZNK11JSParseNode4isOpE4JSOp($this, $op) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$op;
  var $3=$1;
  var $4=__ZNK11JSParseNode5getOpEv($3); //@line 365 "./jsparse.h"
  var $5=$2; //@line 365 "./jsparse.h"
  var $6=(($4)|0)==(($5)|0); //@line 365 "./jsparse.h"
  ;
  return $6; //@line 365 "./jsparse.h"
}


function __ZL24MaybeEmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePS3_($cx, $cg, $prologOp, $pn, $pop) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $lhs;
      var $rhs;
      $2=$cx;
      $3=$cg;
      $4=$prologOp;
      $5=$pn;
      $6=$pop;
      var $7=$5; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+32)|0); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $lhs=$11; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$5; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+32)|0); //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$13; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+4)|0); //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $rhs=$16; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$lhs; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=__ZNK11JSParseNode6isKindEN2js9TokenKindE($17, 24); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $20=$rhs; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=__ZNK11JSParseNode6isKindEN2js9TokenKindE($20, 24); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $23=$rhs; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+32)|0); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$24; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$25; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26+12)|0); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$29 & 4095; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$30 & 1024; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)|0)!=0; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 4; break; } //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $34=$lhs; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34+32)|0); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$35; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36+8)|0); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=HEAPU32[(($37)>>2)]; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$rhs; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+32)|0); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$40; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41+8)|0); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=HEAPU32[(($42)>>2)]; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($38)>>>0) <= (($43)>>>0); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($44) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $46=$2; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$3; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$4; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$lhs; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$rhs; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=__ZL19EmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodeS5_($46, $47, $48, $49, $50); //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51)|0)!=0; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($52) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $55=$6; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($55)>>2)]=0; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=1; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $58=$1; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $58; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL24MaybeEmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePS3_["X"]=1;

function __ZNK11JSParseNode4exprEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 503 "./jsparse.h"
  var $4=$3; //@line 503 "./jsparse.h"
  var $5=(($4+4)|0); //@line 503 "./jsparse.h"
  var $6=$5; //@line 503 "./jsparse.h"
  var $7=HEAP32[(($6)>>2)]; //@line 503 "./jsparse.h"
  ;
  return $7; //@line 503 "./jsparse.h"
}


function __ZNK2js11UpvarCookie9asIntegerEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 104 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 104 "./jsscript.h"
  ;
  return $4; //@line 104 "./jsscript.h"
}


function __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($cx, $cg, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$cg;
      $3=$op;
      var $4=$3; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=((_js_CodeSpec+($4<<3))|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+4)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$7 & 67108864; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0)!=0; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $11=$2; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+614)|0); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAPU16[(($12)>>1)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)&65535); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0) < 65535; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $17=$2; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+614)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP16[(($18)>>1)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+1)&65535); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($18)>>1)]=$20; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      ;
      return; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10NewTryNoteP9JSContextP15JSCodeGenerator13JSTryNoteKindjjj($cx, $cg, $kind, $stackDepth, $start, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $tryNode;
      var $_a;
      var $_nb;
      var $_p;
      $2=$cx;
      $3=$cg;
      $4=$kind;
      $5=$stackDepth;
      $6=$start;
      $7=$end;
      __label__ = 2; break; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$2; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+72)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+16)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_a=$12; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$2; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+72)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+24)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+16)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$2; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+72)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+24)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$21 ^ -1; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$17 & $22; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_nb=$23; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$_a; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+12)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_p=$26; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$_p; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$_a; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28+8)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$_nb; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($30-$31)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $35=$2; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+72)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$_nb; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=_JS_ArenaAllocate($36, $37); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$38; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_p=$39; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $41=$_p; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$_nb; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($41+$42)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$_a; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44+12)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break;
    case 5: 
      var $47=$_p; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$47; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tryNode=$48; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 7; break; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $52=$tryNode; //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52)|0)!=0; //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $55=$2; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($55); //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $57=$4; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57) & 255); //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$tryNode; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59)|0); //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60)|0); //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($61)]=$58; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$5; //@line 7769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62) & 65535); //@line 7769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$tryNode; //@line 7769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64)|0); //@line 7769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65+2)|0); //@line 7769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP16[(($66)>>1)]=$63; //@line 7769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$6; //@line 7770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=$tryNode; //@line 7770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68)|0); //@line 7770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69+4)|0); //@line 7770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($70)>>2)]=$67; //@line 7770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$7; //@line 7771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=$6; //@line 7771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=(($71-$72)|0); //@line 7771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$tryNode; //@line 7771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74)|0); //@line 7771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75+8)|0); //@line 7771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($76)>>2)]=$73; //@line 7771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$3; //@line 7772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=(($77+204)|0); //@line 7772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 7772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$tryNode; //@line 7772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80+12)|0); //@line 7772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($81)>>2)]=$79; //@line 7772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$tryNode; //@line 7773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$3; //@line 7773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83+204)|0); //@line 7773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($84)>>2)]=$82; //@line 7773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$3; //@line 7774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85+200)|0); //@line 7774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 7774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=(($87+1)|0); //@line 7774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($86)>>2)]=$88; //@line 7774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 7775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 7775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $90=$1; //@line 7776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $90; //@line 7776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10NewTryNoteP9JSContextP15JSCodeGenerator13JSTryNoteKindjjj["X"]=1;

function __ZL15EmitBackPatchOpP9JSContextP15JSCodeGenerator4JSOpPi($cx, $cg, $op, $lastp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $offset;
  var $delta;
  $1=$cx;
  $2=$cg;
  $3=$op;
  $4=$lastp;
  var $5=$2; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $6=(($5+172)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $8=(($7+8)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $10=$2; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $11=(($10+172)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $13=(($12)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $14=HEAP32[(($13)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $15=$9; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $16=$14; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $17=(($15-$16)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  $offset=$17; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $18=$offset; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $19=$4; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $20=HEAP32[(($19)>>2)]; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $21=(($18-$20)|0); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  $delta=$21; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $22=$offset; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $23=$4; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($23)>>2)]=$22; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $24=$1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $25=$2; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $26=$3; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $27=$delta; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $28=__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi($24, $25, $26, $27); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return $28; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZL19EmitKnownBlockChainP9JSContextP15JSCodeGeneratorP11JSObjectBox($cx, $cg, $box) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$cg;
      $4=$box;
      var $5=$4; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5)|0)!=0; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $8=$2; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$4; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+16)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$3; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($8, 188, $11, $12, 0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)&1); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$14; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $16=$2; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$3; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=_js_Emit1($16, $17, 189); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0) >= 0; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)&1); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$20; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $22=$1; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $22; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14EmitLeaveBlockP9JSContextP15JSCodeGenerator4JSOpP11JSObjectBox($cx, $cg, $op, $box) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $bigSuffix;
      var $count;
      $2=$cx;
      $3=$cg;
      $4=$op;
      $5=$box;
      var $6=$5; //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+8)|0); //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZNK8JSObject13propertyCountEv($8); //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $count=$9; //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$2; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$3; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$5; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+16)|0); //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=__ZL18EmitBigIndexPrefixP9JSContextP15JSCodeGeneratorj($10, $11, $14); //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $bigSuffix=$15; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$bigSuffix; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0)==66; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $20=$2; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$3; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$4; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$count; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23) & 65535); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$5; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+16)|0); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27) & 65535); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=_js_Emit5($20, $21, $22, $24, $28); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29)|0) < 0; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $33=$bigSuffix; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0)==0; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { var $42 = 1;__label__ = 7; break; } else { __label__ = 6; break; } //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $36=$2; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$3; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$bigSuffix; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=_js_Emit1($36, $37, $38); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)|0) >= 0; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42 = $40;__label__ = 7; break; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $42;
      var $43=(($42)&1); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$43; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $45=$1; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $45; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14EmitLeaveBlockP9JSContextP15JSCodeGenerator4JSOpP11JSObjectBox["X"]=1;

function __ZL21UpdateLineNumberNotesP9JSContextP15JSCodeGeneratorj($cx, $cg, $line) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $line_;
      var $delta_;
      $2=$cx;
      $3=$cg;
      $4=$line;
      __label__ = 2; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $6=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $line_=$6; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$line_; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$3; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8+172)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+28)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($7-$12)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta_=$13; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$delta_; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0)!=0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 14; break; } //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $17=$line_; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$3; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+172)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+28)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($21)>>2)]=$17; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$delta_; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$line_; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)>>>0) > 127; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)&1); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$25 << 1; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26+2)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($22)>>>0) >= (($27)>>>0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $30=$2; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$3; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$line_; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=_js_NewSrcNote2($30, $31, 23, $32); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0) < 0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 13; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $39=$2; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$3; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=_js_NewSrcNote($39, $40, 22); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41)|0) < 0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      __label__ = 11; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $46=$delta_; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($46-1)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta_=$47; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47)|0)!=0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      __label__ = 15; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $54=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $54; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21UpdateLineNumberNotesP9JSContextP15JSCodeGeneratorj["X"]=1;

function __ZL20EmitDestructuringOpsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode($cx, $cg, $prologOp, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$cg;
      $4=$prologOp;
      $5=$pn;
      var $6=$2; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$4; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZL12OpToDeclType4JSOp($8); //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=_js_NewSrcNote2($6, $7, 6, $9); //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)|0) < 0; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $14=$2; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$5; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=__ZL26EmitDestructuringOpsHelperP9JSContextP15JSCodeGeneratorP11JSParseNode($14, $15, $16); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$17; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $19=$1; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $19; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13EmitVariablesP9JSContextP15JSCodeGeneratorP11JSParseNodeiPi($cx, $cg, $pn, $inLetHead, $headNoteIndex) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $forInVar;
      var $first;
      var $off;
      var $noteIndex;
      var $tmp;
      var $pn2;
      var $pn3;
      var $next;
      var $op=__stackBase__;
      var $atomIndex=__stackBase__+4;
      var $oldflags;
      var $let=__stackBase__+8;
      var $7=__stackBase__+12;
      var $8;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      $5=$inLetHead;
      $6=$headNoteIndex;
      var $9=$6; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($9)>>2)]=-1; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$4; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZNK11JSParseNode4isOpE4JSOp($10, 0); //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)&1); //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($7)]=$12; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN7mozilla9DebugOnlyIbEC1ERKb($let, $7); //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$4; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+32)|0); //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$14; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$15; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+12)|0); //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$17; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19 & 4095; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$20 & 8; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21)|0)!=0; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22)&1); //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $forInVar=$23; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteIndex=-1; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=-1; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$4; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+32)|0); //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$25; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0); //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$28; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $30=$pn2; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$4; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+32)|0); //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$32; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0); //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($30)|0)==(($35)|0); //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36)&1); //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $first=$37; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$pn2; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+24)|0); //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$40; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$pn2; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=__ZNK11JSParseNode6isKindEN2js9TokenKindE($41, 29); //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($42) { __label__ = 29; break; } else { __label__ = 3; break; } //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $44=$pn2; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=__ZNK11JSParseNode6isKindEN2js9TokenKindE($44, 24); //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($45) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $47=$pn2; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=__ZNK11JSParseNode6isKindEN2js9TokenKindE($47, 26); //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $50=$2; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$3; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$4; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=__ZNK11JSParseNode5getOpEv($52); //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$pn2; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=__ZL22EmitDestructuringDeclsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode($50, $51, $53, $54); //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($55)|0)!=0; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($56) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 98; break; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $60=$pn2; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60+32)|0); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$61; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62)|0); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=__ZNK11JSParseNode6isKindEN2js9TokenKindE($64, 29); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($65) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $67=$pn2; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+32)|0); //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=$68; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69+4)|0); //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$71; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=$pn2; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=(($72+32)|0); //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$73; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74)|0); //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$76; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 30; break; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $78=$4; //@line 4421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78+32)|0); //@line 4421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$79; //@line 4421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80+8)|0); //@line 4421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 4421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82)|0)==1; //@line 4421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($83) { __label__ = 11; break; } else { __label__ = 19; break; } //@line 4421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      HEAP32[(($op)>>2)]=81; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$2; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$3; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$5; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=(($87)|0)!=0; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($88) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $94 = 81;__label__ = 14; break; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $91=$4; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=__ZNK11JSParseNode5getOpEv($91); //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94 = $92;__label__ = 14; break; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $94; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$pn2; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=__ZL24MaybeEmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePS3_($85, $86, $94, $95, $op); //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=(($96)|0)!=0; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($97) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      $1=0; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $100=HEAP32[(($op)>>2)]; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100)|0)==0; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($101) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $103=$4; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=(($103+32)|0); //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$104; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=$105; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(($106+12)|0); //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$107; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=$109 & 4095; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$110 & -5; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=$111 | 64; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=$4; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=(($113+32)|0); //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=$114; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=$112 & 4095; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$115; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($117+12)|0); //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=$118; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=$116 & 4095; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=HEAP32[(($119)>>2)]; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$121 & -4096; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$122 | $120; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($119)>>2)]=$123; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 98; break; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      __label__ = 19; break; //@line 4439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $126=$pn2; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $127=(($126+32)|0); //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=$127; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=(($128)|0); //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$130; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=$2; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$3; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=$4; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=__ZNK11JSParseNode5getOpEv($133); //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=$pn3; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=__ZL22EmitDestructuringDeclsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode($131, $132, $134, $135); //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=(($136)|0)!=0; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($137) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      $1=0; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $140=$2; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=$3; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=$pn2; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($142+32)|0); //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=$143; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=(($144+4)|0); //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=_js_EmitTree($140, $141, $146); //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $148=(($147)|0)!=0; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($148) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $1=0; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $151=$2; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=$3; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=$5; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=(($153)|0)!=0; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($154) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $160 = 81;__label__ = 26; break; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $157=$4; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $158=__ZNK11JSParseNode5getOpEv($157); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $160 = $158;__label__ = 26; break; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $160; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $161=$pn3; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=__ZL20EmitDestructuringOpsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode($151, $152, $160, $161); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $163=(($162)|0)!=0; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($163) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      $1=0; //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      __label__ = 87; break; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $167=$pn2; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=__ZN11JSParseNode9maybeExprEv($167); //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$168; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 30; break; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $170=$2; //@line 4471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $171=$3; //@line 4471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $172=$pn2; //@line 4471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($170, $171, $172); //@line 4471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $174=(($173)|0)!=0; //@line 4471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($174) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 4471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      $1=0; //@line 4472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $177=$pn2; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $178=__ZNK11JSParseNode5getOpEv($177); //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($op)>>2)]=$178; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $179=HEAP32[(($op)>>2)]; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $180=(($179)|0)==9; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($180) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      $pn3=0; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($atomIndex)>>2)]=0; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 59; break; //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $183=$2; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $184=$3; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $185=$4; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $186=__ZNK11JSParseNode5getOpEv($185); //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $187=$pn2; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $188=__ZL16MaybeEmitVarDeclP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePj($183, $184, $186, $187, $atomIndex); //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($188) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      $1=0; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $191=$pn3; //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $192=(($191)|0)!=0; //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($192) { __label__ = 37; break; } else { __label__ = 58; break; } //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      var $194=HEAP32[(($op)>>2)]; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $195=(($194)|0)==111; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($195) { __label__ = 38; break; } else { __label__ = 44; break; } //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      __label__ = 39; break; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      var $198=$2; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $199=HEAP32[(($atomIndex)>>2)]; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $200=$3; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $201=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($198, 110, $199, $200, 0); //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($201) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      $1=0; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      __label__ = 42; break; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      __label__ = 43; break; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      __label__ = 52; break; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $207=HEAP32[(($op)>>2)]; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $208=(($207)|0)==157; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($208) { __label__ = 45; break; } else { __label__ = 51; break; } //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      __label__ = 46; break; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 46: 
      var $211=$2; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=HEAP32[(($atomIndex)>>2)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $213=$3; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $214=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($211, 217, $212, $213, 0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($214) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 47: 
      $1=0; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 48: 
      __label__ = 49; break; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      __label__ = 50; break; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      __label__ = 51; break; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 51: 
      __label__ = 52; break;
    case 52: 
      var $221=$4; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $222=__ZNK11JSParseNode4isOpE4JSOp($221, 128); //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($222) { __label__ = 53; break; } else { __label__ = 55; break; } //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 53: 
      var $224=$2; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=$3; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=$pn2; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=(($226+32)|0); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $228=$227; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $229=(($228)|0); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $230=$229; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $231=HEAP32[(($230)>>2)]; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $232=$pn3; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $233=_js_DefineCompileTimeConstant($224, $225, $231, $232); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $234=(($233)|0)!=0; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($234) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 54: 
      $1=0; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 55: 
      var $237=$3; //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $238=$237; //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $239=(($238)|0); //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=HEAP32[(($239)>>2)]; //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $oldflags=$240; //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $241=$3; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $242=$241; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $243=(($242)|0); //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $244=HEAP32[(($243)>>2)]; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $245=$244 & -17; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($243)>>2)]=$245; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $246=$2; //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $247=$3; //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $248=$pn3; //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $249=_js_EmitTree($246, $247, $248); //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $250=(($249)|0)!=0; //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($250) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 56: 
      $1=0; //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 57: 
      var $253=$oldflags; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $254=$253 & 16; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $255=$3; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $256=$255; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $257=(($256)|0); //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $259=$258 | $254; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($257)>>2)]=$259; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 58; break; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 58: 
      __label__ = 59; break;
    case 59: 
      var $262=$forInVar; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $263=(($262) & 1); //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($263) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 60: 
      __label__ = 98; break; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 61: 
      var $266=$first; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $267=(($266) & 1); //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($267) { __label__ = 62; break; } else { __label__ = 68; break; } //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 62: 
      var $269=$5; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $270=(($269)|0)!=0; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($270) { __label__ = 68; break; } else { __label__ = 63; break; } //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 63: 
      var $272=$2; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $273=$3; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $274=$4; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $275=__ZNK11JSParseNode4isOpE4JSOp($274, 128); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($275) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 64: 
      var $282 = 1;__label__ = 66; break; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 65: 
      var $278=$4; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $279=__ZNK11JSParseNode4isOpE4JSOp($278, 129); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $280=$279 ? 0 : 2; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $282 = $280;__label__ = 66; break; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 66: 
      var $282; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $283=_js_NewSrcNote2($272, $273, 6, $282); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $284=(($283)|0) < 0; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($284) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 67: 
      $1=0; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 68: 
      var $287=HEAP32[(($op)>>2)]; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $288=(($287)|0)==9; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($288) { __label__ = 69; break; } else { __label__ = 72; break; } //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 69: 
      var $290=$2; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $291=$3; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $292=HEAP32[(($op)>>2)]; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $293=_js_Emit1($290, $291, $292); //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $294=(($293)|0) < 0; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($294) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 70: 
      $1=0; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 71: 
      __label__ = 86; break; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 72: 
      var $298=$pn2; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $299=(($298+32)|0); //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $300=$299; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $301=(($300+8)|0); //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $302=__ZNK2js11UpvarCookie6isFreeEv($301); //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($302) { __label__ = 79; break; } else { __label__ = 73; break; } //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 73: 
      __label__ = 74; break; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 74: 
      var $305=$2; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $306=$3; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $307=HEAP32[(($op)>>2)]; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $308=HEAPU32[(($atomIndex)>>2)]; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $309=$308 >>> 8; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $310=(($309) & 255); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $311=HEAP32[(($atomIndex)>>2)]; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $312=(($311) & 255); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $313=_js_Emit3($305, $306, $307, $310, $312); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $314=(($313)|0) < 0; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($314) { __label__ = 75; break; } else { __label__ = 76; break; } //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 75: 
      $1=0; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 76: 
      var $317=$2; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $318=$3; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $319=HEAP32[(($op)>>2)]; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($317, $318, $319); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 77; break; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 77: 
      __label__ = 78; break; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 78: 
      __label__ = 85; break; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 79: 
      __label__ = 80; break; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 80: 
      var $324=$2; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $325=HEAP32[(($op)>>2)]; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $326=HEAP32[(($atomIndex)>>2)]; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $327=$3; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $328=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($324, $325, $326, $327, 0); //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($328) { __label__ = 82; break; } else { __label__ = 81; break; } //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 81: 
      $1=0; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 82: 
      __label__ = 83; break; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 83: 
      __label__ = 84; break; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 84: 
      __label__ = 85; break;
    case 85: 
      __label__ = 86; break;
    case 86: 
      __label__ = 87; break;
    case 87: 
      var $336=$3; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $337=(($336+172)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $338=HEAP32[(($337)>>2)]; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $339=(($338+8)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $340=HEAP32[(($339)>>2)]; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $341=$3; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $342=(($341+172)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $343=HEAP32[(($342)>>2)]; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $344=(($343)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $345=HEAP32[(($344)>>2)]; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $346=$340; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $347=$345; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $348=(($346-$347)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tmp=$348; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $349=$noteIndex; //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $350=(($349)|0) >= 0; //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($350) { __label__ = 88; break; } else { __label__ = 91; break; } //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 88: 
      var $352=$2; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $353=$3; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $354=$noteIndex; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $355=$tmp; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $356=$off; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $357=(($355-$356)|0); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $358=_js_SetSrcNoteOffset($352, $353, $354, 0, $357); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $359=(($358)|0)!=0; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($359) { __label__ = 90; break; } else { __label__ = 89; break; } //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 89: 
      $1=0; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 90: 
      __label__ = 91; break; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 91: 
      var $363=$next; //@line 4552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $364=(($363)|0)!=0; //@line 4552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($364) { __label__ = 93; break; } else { __label__ = 92; break; } //@line 4552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 92: 
      __label__ = 98; break; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 93: 
      var $367=$tmp; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$367; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $368=$2; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $369=$3; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $370=_js_NewSrcNote2($368, $369, 7, 0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteIndex=$370; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $371=$noteIndex; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $372=(($371)|0) < 0; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($372) { __label__ = 95; break; } else { __label__ = 94; break; } //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 94: 
      var $374=$2; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $375=$3; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $376=_js_Emit1($374, $375, 81); //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $377=(($376)|0) < 0; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($377) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 95: 
      $1=0; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 96: 
      __label__ = 97; break; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 97: 
      var $381=$next; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$381; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 98: 
      var $383=$5; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $384=(($383)|0)!=0; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($384) { __label__ = 99; break; } else { __label__ = 104; break; } //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 99: 
      var $386=$2; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $387=$3; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $388=_js_NewSrcNote($386, $387, 6); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $389=$6; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($389)>>2)]=$388; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $390=$6; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $391=HEAP32[(($390)>>2)]; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $392=(($391)|0) < 0; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($392) { __label__ = 100; break; } else { __label__ = 101; break; } //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 100: 
      $1=0; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 101: 
      var $395=$4; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $396=(($395+32)|0); //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $397=$396; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $398=$397; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $399=(($398+12)|0); //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $400=$399; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $401=HEAP32[(($400)>>2)]; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $402=$401 & 4095; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $403=$402 & 4; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $404=(($403)|0)!=0; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($404) { __label__ = 103; break; } else { __label__ = 102; break; } //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 102: 
      var $406=$2; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $407=$3; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $408=_js_Emit1($406, $407, 0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $409=(($408)|0) >= 0; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $410=(($409)&1); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$410; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 103: 
      __label__ = 104; break; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 104: 
      var $413=$4; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $414=(($413+32)|0); //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $415=$414; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $416=$415; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $417=(($416+12)|0); //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $418=$417; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $419=HEAP32[(($418)>>2)]; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $420=$419 & 4095; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $421=$420 & 4; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $422=(($421)|0)!=0; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($422) { __label__ = 105; break; } else { var $429 = 1;__label__ = 106; break; } //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 105: 
      var $424=$2; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $425=$3; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $426=_js_Emit1($424, $425, 81); //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $427=(($426)|0) >= 0; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $429 = $427;__label__ = 106; break; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 106: 
      var $429;
      var $430=(($429)&1); //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$430; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $8=1;
      __label__ = 107; break; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 107: 
      __ZN7mozilla9DebugOnlyIbED1Ev($let); //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $432=$1; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $432; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13EmitVariablesP9JSContextP15JSCodeGeneratorP11JSParseNodeiPi["X"]=1;

function __ZN11JSParseNode5setOpE4JSOp($this, $op) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$op;
  var $3=$1;
  var $4=$2; //@line 364 "./jsparse.h"
  var $5=$4 & 255; //@line 364 "./jsparse.h"
  var $6=$3; //@line 364 "./jsparse.h"
  var $7=$5 & 255; //@line 364 "./jsparse.h"
  var $8=$7 << 16; //@line 364 "./jsparse.h"
  var $9=HEAP32[(($6)>>2)]; //@line 364 "./jsparse.h"
  var $10=$9 & -16711681; //@line 364 "./jsparse.h"
  var $11=$10 | $8; //@line 364 "./jsparse.h"
  HEAP32[(($6)>>2)]=$11; //@line 364 "./jsparse.h"
  ;
  return; //@line 364 "./jsparse.h"
}


function __ZNK11JSParseNode25isDirectivePrologueMemberEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 648 "./jsparse.h"
  var $4=$3; //@line 648 "./jsparse.h"
  var $5=(($4+8)|0); //@line 648 "./jsparse.h"
  var $6=HEAP32[(($5)>>2)]; //@line 648 "./jsparse.h"
  var $7=(($6)|0)!=0; //@line 648 "./jsparse.h"
  ;
  return $7; //@line 648 "./jsparse.h"
}


function __ZL21EmitNonLocalJumpFixupP9JSContextP15JSCodeGeneratorP10JSStmtInfo($cx, $cg, $toStmt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $depth;
      var $npops=__stackBase__;
      var $stmt;
      $2=$cx;
      $3=$cg;
      $4=$toStmt;
      var $5=$3; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+192)|0); //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $depth=$7; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($npops)>>2)]=0; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+24)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$11; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $13=$stmt; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$4; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($13)|0)!=(($14)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 41; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $17=$stmt; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)|0); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAPU16[(($18)>>1)]; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)&65535); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($20)|0) == 9) {
        __label__ = 4; break;
      }
      else if ((($20)|0) == 6) {
        __label__ = 12; break;
      }
      else if ((($20)|0) == 13) {
        __label__ = 20; break;
      }
      else if ((($20)|0) == 10) {
        __label__ = 28; break;
      }
      else {
      __label__ = 29; break;
      }
      
    case 4: 
      var $22=HEAP32[(($npops)>>2)]; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22)|0)!=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $25=$2; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$3; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=__ZL9FlushPopsP9JSContextP15JSCodeGeneratorPi($25, $26, $npops); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)|0)!=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $31=$2; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$3; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=_js_NewSrcNote($31, $32, 11); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0) < 0; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=0; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $37=$2; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$3; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$stmt; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+12)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=__ZL15EmitBackPatchOpP9JSContextP15JSCodeGenerator4JSOpPi($37, $38, 151, $40); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41)|0) < 0; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 30; break; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $46=HEAP32[(($npops)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($46)|0)!=0; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $49=$2; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$3; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=__ZL9FlushPopsP9JSContextP15JSCodeGeneratorPi($49, $50, $npops); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51)|0)!=0; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($52) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=0; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $55=$2; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$3; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=_js_NewSrcNote($55, $56, 11); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57)|0) < 0; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($58) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      $1=0; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $61=$2; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$3; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=_js_Emit1($61, $62, 4); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($63)|0) < 0; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($64) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      __label__ = 30; break; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $68=HEAP32[(($npops)>>2)]; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68)|0)!=0; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($69) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $71=$2; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=$3; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=__ZL9FlushPopsP9JSContextP15JSCodeGeneratorPi($71, $72, $npops); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73)|0)!=0; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($74) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $1=0; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $77=$2; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$3; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=_js_NewSrcNote($77, $78, 11); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79)|0) < 0; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($80) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      $1=0; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $83=$2; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$3; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=_js_Emit1($83, $84, 78); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85)|0) < 0; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($86) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      $1=0; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      __label__ = 30; break; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $90=HEAP32[(($npops)>>2)]; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+2)|0); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($npops)>>2)]=$91; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 30; break; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      __label__ = 30; break; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $94=$stmt; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94+2)|0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=HEAPU16[(($95)>>1)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=(($96)&65535); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=$97 & 1; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=(($98)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($99) { __label__ = 31; break; } else { __label__ = 39; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $101=HEAP32[(($npops)>>2)]; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101)|0)!=0; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($102) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $104=$2; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$3; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=__ZL9FlushPopsP9JSContextP15JSCodeGeneratorPi($104, $105, $npops); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(($106)|0)!=0; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($107) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      $1=0; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $110=$2; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$3; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=_js_NewSrcNote($110, $111, 11); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=(($112)|0) < 0; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($113) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      $1=0; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $116=$2; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$3; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=$stmt; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=(($118+20)|0); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=$119; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=__ZL14EmitLeaveBlockP9JSContextP15JSCodeGenerator4JSOpP11JSObjectBox($116, $117, 202, $121); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=(($122)|0)!=0; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($123) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      $1=0; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      __label__ = 39; break; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      __label__ = 40; break; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      var $128=$stmt; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=(($128+24)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$130; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      var $132=HEAP32[(($npops)>>2)]; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=(($132)|0)!=0; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($133) { __label__ = 42; break; } else { __label__ = 44; break; } //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      var $135=$2; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=$3; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=__ZL9FlushPopsP9JSContextP15JSCodeGeneratorPi($135, $136, $npops); //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=(($137)|0)!=0; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($138) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      $1=0; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $141=$depth; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=$3; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($142+192)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($143)>>2)]=$141; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 45; break; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      var $145=$1; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $145; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21EmitNonLocalJumpFixupP9JSContextP15JSCodeGeneratorP10JSStmtInfo["X"]=1;

function __ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($cx, $cg, $pn, $answer) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $ok;
      var $pn2;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      $5=$answer;
      $ok=1; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$4; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0)!=0; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$5; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)|0)!=0; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $13=$ok; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$13; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 83; break; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $15=$4; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=__ZNK11JSParseNode8getArityEv($15); //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($16)|0) == 4) {
        __label__ = 5; break;
      }
      else if ((($16)|0) == 5) {
        __label__ = 6; break;
      }
      else if ((($16)|0) == 3) {
        __label__ = 18; break;
      }
      else if ((($16)|0) == 2) {
        __label__ = 22; break;
      }
      else if ((($16)|0) == 1) {
        __label__ = 45; break;
      }
      else if ((($16)|0) == 6) {
        __label__ = 60; break;
      }
      else if ((($16)|0) == 7) {
        __label__ = 78; break;
      }
      else if ((($16)|0) == 0) {
        __label__ = 79; break;
      }
      else {
      __label__ = 82; break;
      }
      
    case 5: 
      var $18=$5; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($18)>>2)]=0; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 82; break; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $20=$4; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=__ZNK11JSParseNode4isOpE4JSOp($20, 0); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 11; break; } else { __label__ = 7; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $23=$4; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=__ZNK11JSParseNode4isOpE4JSOp($23, 68); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($24) { __label__ = 11; break; } else { __label__ = 8; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $26=$4; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=__ZNK11JSParseNode4isOpE4JSOp($26, 69); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($27) { __label__ = 11; break; } else { __label__ = 9; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $29=$4; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=__ZNK11JSParseNode4isOpE4JSOp($29, 72); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($30) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $32=$4; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=__ZNK11JSParseNode4isOpE4JSOp($32, 73); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $35=$4; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+32)|0); //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$36; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0); //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$39; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $41=$pn2; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41)|0)!=0; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $44=$2; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$3; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$pn2; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$5; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($44, $45, $46, $47); //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$ok; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$49 & $48; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$50; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $52=$pn2; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+24)|0); //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$54; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      __label__ = 17; break; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $57=$5; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($57)>>2)]=1; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break;
    case 17: 
      __label__ = 82; break; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $60=$2; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$3; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$4; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62+32)|0); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$63; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64)|0); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$5; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($60, $61, $66, $67); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68)|0)!=0; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($69) { __label__ = 19; break; } else { var $93 = 0;__label__ = 21; break; } //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $71=$2; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=$3; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$4; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73+32)|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$74; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75+4)|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$5; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($71, $72, $77, $78); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79)|0)!=0; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($80) { __label__ = 20; break; } else { var $93 = 0;__label__ = 21; break; } //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $82=$2; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$3; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$4; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=(($84+32)|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$85; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86+8)|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=$5; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($82, $83, $88, $89); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90)|0)!=0; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93 = $91;__label__ = 21; break;
    case 21: 
      var $93;
      var $94=(($93)&1);
      $ok=$94;
      __label__ = 82; break; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $96=$4; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=__ZNK11JSParseNode6isKindEN2js9TokenKindE($96, 4); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($97) { __label__ = 23; break; } else { __label__ = 35; break; } //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $99=$4; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=(($99+32)|0); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=$100; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101)|0); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$103; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=$pn2; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=__ZNK11JSParseNode6isKindEN2js9TokenKindE($104, 29); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($105) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $107=$5; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($107)>>2)]=1; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $109=$2; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=$3; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$pn2; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($109, $110, $111); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=(($112)|0)!=0; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($113) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      $1=0; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 83; break; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $116=$2; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$3; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=$4; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=(($118+32)|0); //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=$119; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=(($120+4)|0); //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$5; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($116, $117, $122, $123); //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=(($124)|0)!=0; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($125) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      $1=0; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 83; break; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $128=$5; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=(($129)|0)!=0; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($130) { __label__ = 33; break; } else { __label__ = 30; break; } //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $132=$4; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=__ZNK11JSParseNode4isOpE4JSOp($132, 0); //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($133) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $135=$pn2; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=__ZNK11JSParseNode7isConstEv($135); //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($136) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $138=$5; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($138)>>2)]=1; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 33; break; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      __label__ = 34; break;
    case 34: 
      __label__ = 44; break; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      var $142=$4; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=__ZNK11JSParseNode4isOpE4JSOp($142, 68); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($143) { __label__ = 39; break; } else { __label__ = 36; break; } //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $145=$4; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=__ZNK11JSParseNode4isOpE4JSOp($145, 69); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($146) { __label__ = 39; break; } else { __label__ = 37; break; } //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      var $148=$4; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=__ZNK11JSParseNode4isOpE4JSOp($148, 72); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($149) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      var $151=$4; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=__ZNK11JSParseNode4isOpE4JSOp($151, 73); //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($152) { __label__ = 39; break; } else { __label__ = 42; break; } //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      var $154=$2; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=$3; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=$4; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $157=(($156+32)|0); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $158=$157; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $159=(($158)|0); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $161=$5; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($154, $155, $160, $161); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $163=(($162)|0)!=0; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($163) { __label__ = 40; break; } else { var $176 = 0;__label__ = 41; break; } //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      var $165=$2; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $166=$3; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=$4; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=(($167+32)|0); //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $169=$168; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $170=(($169+4)|0); //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $171=HEAP32[(($170)>>2)]; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $172=$5; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($165, $166, $171, $172); //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $174=(($173)|0)!=0; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $176 = $174;__label__ = 41; break;
    case 41: 
      var $176;
      var $177=(($176)&1);
      $ok=$177;
      __label__ = 43; break; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      var $179=$5; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($179)>>2)]=1; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 43; break;
    case 43: 
      __label__ = 44; break;
    case 44: 
      __label__ = 82; break; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      var $183=$4; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $184=__ZNK11JSParseNode7getKindEv($183); //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($184)|0) == 50) {
        __label__ = 46; break;
      }
      else if ((($184)|0) == 19) {
        __label__ = 55; break;
      }
      else {
      __label__ = 58; break;
      }
      
    case 46: 
      var $186=$4; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $187=(($186+32)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $188=$187; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $189=(($188)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$190; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $191=$pn2; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $192=__ZNK11JSParseNode7getKindEv($191); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($192)|0) == 29) {
        __label__ = 47; break;
      }
      else if ((($192)|0) == 22 || (($192)|0) == 73 || (($192)|0) == 27 || (($192)|0) == 23) {
        __label__ = 52; break;
      }
      else {
      __label__ = 53; break;
      }
      
    case 47: 
      var $194=$2; //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $195=$3; //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $196=$pn2; //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $197=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($194, $195, $196); //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $198=(($197)|0)!=0; //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($198) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 48: 
      $1=0; //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 83; break; //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      var $201=$pn2; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $202=__ZNK11JSParseNode7isConstEv($201); //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($202) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      var $204=$5; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($204)>>2)]=0; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 54; break; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 51: 
      __label__ = 52; break; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 52: 
      var $207=$5; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($207)>>2)]=1; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 54; break; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 53: 
      var $209=$2; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $210=$3; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $211=$pn2; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=$5; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $213=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($209, $210, $211, $212); //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$213; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 54; break; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 54: 
      __label__ = 59; break; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 55: 
      var $216=$4; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $217=__ZNK11JSParseNode4isOpE4JSOp($216, 32); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($217) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 56: 
      var $219=$2; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $220=$3; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $221=$4; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $222=(($221+32)|0); //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $223=$222; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $224=(($223)|0); //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=HEAP32[(($224)>>2)]; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=$5; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($219, $220, $225, $226); //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$227; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 59; break; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 57: 
      __label__ = 58; break; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 58: 
      var $230=$5; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($230)>>2)]=1; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 59; break; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 59: 
      __label__ = 82; break; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 60: 
      var $233=$4; //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $234=__ZNK11JSParseNode6isKindEN2js9TokenKindE($233, 29); //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($234) { __label__ = 61; break; } else { __label__ = 69; break; } //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 61: 
      var $236=$4; //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $237=__ZNK11JSParseNode4isOpE4JSOp($236, 0); //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($237) { __label__ = 69; break; } else { __label__ = 62; break; } //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 62: 
      var $239=$2; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=$3; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $241=$4; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $242=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($239, $240, $241); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $243=(($242)|0)!=0; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($243) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 63: 
      $1=0; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 83; break; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 64: 
      var $246=$4; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $247=__ZNK11JSParseNode4isOpE4JSOp($246, 9); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($247) { __label__ = 68; break; } else { __label__ = 65; break; } //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 65: 
      var $249=$4; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $250=__ZNK11JSParseNode4isOpE4JSOp($249, 131); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($250) { __label__ = 68; break; } else { __label__ = 66; break; } //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 66: 
      var $252=$4; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $253=(($252+32)|0); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $254=$253; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $255=(($254+8)|0); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $256=__ZNK2js11UpvarCookie6isFreeEv($255); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($256) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 67: 
      var $258=$5; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($258)>>2)]=1; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 68; break; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 68: 
      __label__ = 69; break; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 69: 
      var $261=$4; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $262=__ZN11JSParseNode9maybeExprEv($261); //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$262; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $263=$4; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $264=__ZNK11JSParseNode6isKindEN2js9TokenKindE($263, 22); //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($264) { __label__ = 70; break; } else { __label__ = 77; break; } //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 70: 
      var $266=$pn2; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $267=__ZNK11JSParseNode6isKindEN2js9TokenKindE($266, 29); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($267) { __label__ = 71; break; } else { __label__ = 73; break; } //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 71: 
      var $269=$2; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $270=$3; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $271=$pn2; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $272=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($269, $270, $271); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $273=(($272)|0)!=0; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($273) { __label__ = 73; break; } else { __label__ = 72; break; } //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 72: 
      $1=0; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 83; break; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 73: 
      var $276=$pn2; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $277=__ZNK11JSParseNode4isOpE4JSOp($276, 9); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($277) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 74: 
      var $279=$4; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $280=(($279+32)|0); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $281=$280; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $282=(($281)|0); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $283=$282; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $284=HEAP32[(($283)>>2)]; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $285=$2; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $286=(($285+52)|0); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $287=HEAP32[(($286)>>2)]; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $288=(($287+209948)|0); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $289=(($288+308)|0); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $290=HEAP32[(($289)>>2)]; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $291=$290; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $292=(($284)|0)==(($291)|0); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($292) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 75: 
      var $294=$5; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($294)>>2)]=1; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 76; break; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 76: 
      __label__ = 77; break; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 77: 
      var $297=$2; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $298=$3; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $299=$pn2; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $300=$5; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $301=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($297, $298, $299, $300); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$301; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 82; break; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 78: 
      var $303=$2; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $304=$3; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $305=$4; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $306=(($305+32)|0); //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $307=$306; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $308=(($307+4)|0); //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $309=HEAP32[(($308)>>2)]; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $310=$5; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $311=__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi($303, $304, $309, $310); //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $ok=$311; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 82; break; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 79: 
      var $313=$4; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $314=__ZNK11JSParseNode6isKindEN2js9TokenKindE($313, 58); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($314) { __label__ = 80; break; } else { __label__ = 81; break; } //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 80: 
      var $316=$5; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($316)>>2)]=1; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 81; break; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 81: 
      __label__ = 82; break; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 82: 
      var $319=$ok; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$319; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 83; break; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 83: 
      var $321=$1; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $321; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi["X"]=1;

function __ZL17SetBackPatchDeltaP9JSContextP15JSCodeGeneratorPhi($cx, $cg, $pc, $delta) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $sd;
      $2=$cx;
      $3=$cg;
      $4=$pc;
      $5=$delta;
      var $6=$3; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+208)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0)!=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $11=$5; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0) < 32767; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $14=$5; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$14 >> 8; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15) & 255); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$4; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+1)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($18)]=$16; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$5; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19) & 255); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$4; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+2)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($22)]=$20; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $24=$5; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)|0) > 1073741823; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $27=$2; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$3; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL23ReportStatementTooLargeP9JSContextP15JSCodeGenerator($27, $28); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $30=$3; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30+208)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32)|0)!=0; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $35=$2; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$3; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=__ZL17BuildSpanDepTableP9JSContextP15JSCodeGenerator($35, $36); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0)!=0; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $1=0; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $41=$3; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$4; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=__ZL10GetSpanDepP15JSCodeGeneratorPh($41, $42); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$43; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$5; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$44 << 1; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$45; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$sd; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+12)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $50=$1; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $50; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17SetBackPatchDeltaP9JSContextP15JSCodeGeneratorPhi["X"]=1;

function __ZL13GetJumpOffsetP15JSCodeGeneratorPh($cg, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $sd;
      var $jt;
      var $top;
      $2=$cg;
      $3=$pc;
      var $4=$2; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4+208)|0); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0)!=0; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$3; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+1)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAPU8[($10)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)&255); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$12 << 8; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$3; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+2)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAPU8[($15)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)&255); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$13 | $17; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18) & 65535); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19 << 16) >> 16); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$20; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $22=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$3; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=__ZL10GetSpanDepP15JSCodeGeneratorPh($22, $23); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$24; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$sd; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+12)|0); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jt=$27; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$jt; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$28; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$29 & 1; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30)|0)!=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $33=$jt; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$33; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$34 >> 1; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$35; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $37=$sd; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$39; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $41=$sd; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41-16)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$42; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$2; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43+208)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=HEAPU32[(($44)>>2)]; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($42)>>>0) >= (($45)>>>0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($46) { __label__ = 7; break; } else { var $54 = 0;__label__ = 8; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $48=$sd; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$top; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($50)|0)==(($51)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54 = $52;__label__ = 8; break;
    case 8: 
      var $54;
      if ($54) { __label__ = 9; break; } else { __label__ = 10; break; }
    case 9: 
      __label__ = 6; break; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $57=$sd; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57+16)|0); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$58; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$jt; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$59; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$60 & -2; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$61; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62)|0); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$sd; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65+4)|0); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($64-$67)|0); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$68; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $70=$1; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $70; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13GetJumpOffsetP15JSCodeGeneratorPh["X"]=1;

function __ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($cx, $pn, $op, $cg, $psuffix) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $index=__stackBase__;
      $2=$cx;
      $3=$pn;
      $4=$op;
      $5=$cg;
      $6=$psuffix;
      var $7=$4; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0)==53; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $10=$3; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+32)|0); //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$11; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12)|0); //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$13; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$2; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+52)|0); //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+209948)|0); //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+308)|0); //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$21; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($15)|0)==(($22)|0); //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $4=220; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $26=$5; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$3; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27+32)|0); //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$28; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29)|0); //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$30; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($26, $32, $index); //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $36=$2; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$4; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=HEAP32[(($index)>>2)]; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$5; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$6; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($36, $37, $38, $39, $40); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$41; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $43=$1; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_["X"]=1;

function __ZL11EmitXMLNameP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($cx, $pn, $op, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pn2;
      var $oldflags;
      $2=$cx;
      $3=$pn;
      $4=$op;
      $5=$cg;
      var $6=$3; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+32)|0); //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$7; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0); //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$10; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$5; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$11; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12)|0); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $oldflags=$14; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$5; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$15; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0); //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$18 & -17; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($17)>>2)]=$19; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$2; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$5; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$pn2; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=_js_EmitTree($20, $21, $22); //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0)!=0; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $27=$oldflags; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27 & 16; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$5; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$29; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30)|0); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$32 | $28; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($31)>>2)]=$33; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$2; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$5; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$5; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36+172)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+8)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$5; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41+172)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$40; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$45; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($46-$47)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$pn2; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=(($49+20)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($48-$51)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=_js_NewSrcNote2($34, $35, 12, $52); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53)|0) < 0; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($54) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $57=$2; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$5; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$4; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=_js_Emit1($57, $58, $59); //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60)|0) >= 0; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($61)&1); //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$62; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $64=$1; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $64; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11EmitXMLNameP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator["X"]=1;

function __ZL14EmitNameIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($cx, $pn, $op, $cg) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $suffix=__stackBase__;
      var $start;
      var $cs;
      var $global;
      var $post;
      var $binop;
      $2=$cx;
      $3=$pn;
      $4=$op;
      $5=$cg;
      HEAP32[(($suffix)>>2)]=0; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$2; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$4; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$5; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($6, $7, $8, $9, $suffix); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $13=$2; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$5; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=_js_Emit1($13, $14, 0); //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0) < 0; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $19=$5; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+192)|0); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21-1)|0); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($20)>>2)]=$22; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$5; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+172)|0); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+8)|0); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$5; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28+172)|0); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30)|0); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$27; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$32; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($33-$34)|0); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $start=$35; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=HEAP32[(($suffix)>>2)]; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36)|0)!=0; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $39=$2; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$5; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=HEAP32[(($suffix)>>2)]; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=_js_Emit1($39, $40, $41); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42)|0) < 0; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $1=0; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $46=$4; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=((_js_CodeSpec+($46<<3))|0); //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cs=$47; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$cs; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48+4)|0); //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$50 & 33554432; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51)|0)!=0; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52)&1); //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $global=$53; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$cs; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54+4)|0); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$56 & 4096; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57)|0)!=0; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58)&1); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $post=$59; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$cs; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60+4)|0); //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$62 & 2048; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($63)|0)!=0; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$64 ? 27 : 28; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $binop=$65; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$2; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$3; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=$global; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68) & 1); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$69 ? 217 : 110; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$5; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($66, $67, $70, $71, 0); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($72) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $75=$2; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$3; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$global; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=(($77) & 1); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$78 ? 156 : 59; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$5; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($75, $76, $79, $80, 0); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($81) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=0; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $84=$2; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$5; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=_js_Emit1($84, $85, 35); //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86)|0) < 0; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($87) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      $1=0; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $90=$post; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90) & 1); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($91) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $93=$2; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$5; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=_js_Emit1($93, $94, 12); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=(($95)|0) < 0; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($96) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      $1=0; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $99=$2; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$5; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=_js_Emit1($99, $100, 63); //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101)|0) < 0; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($102) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      $1=0; //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $105=$2; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=$5; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=$binop; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=_js_Emit1($105, $106, $107); //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=(($108)|0) < 0; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($109) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      $1=0; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $112=$post; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=(($112) & 1); //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($113) { __label__ = 22; break; } else { __label__ = 27; break; } //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $115=$2; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=$5; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=_js_Emit2($115, $116, 133, 2); //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($117)|0) < 0; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($118) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      $1=0; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $121=$2; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$5; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=_js_Emit1($121, $122, 10); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123)|0) < 0; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($124) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      $1=0; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      __label__ = 27; break; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $128=$2; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=$3; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=$global; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=(($130) & 1); //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$131 ? 157 : 111; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=$5; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($128, $129, $132, $133, 0); //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($134) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      $1=0; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $137=$post; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=(($137) & 1); //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($138) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $140=$2; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=$5; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=_js_Emit1($140, $141, 81); //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($142)|0) < 0; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($143) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      $1=0; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $146=$5; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=$start; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL21UpdateDecomposeLengthP15JSCodeGeneratorj($146, $147); //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $148=HEAP32[(($suffix)>>2)]; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=(($148)|0)!=0; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($149) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      var $151=$2; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=$5; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=HEAP32[(($suffix)>>2)]; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=_js_Emit1($151, $152, $153); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=(($154)|0) < 0; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($155) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      $1=0; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      $1=1; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $159=$1; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $159; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14EmitNameIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator["X"]=1;

function __ZNK11JSParseNode7isConstEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 2); //@line 569 "./jsparse.h"
  ;
  return $3; //@line 569 "./jsparse.h"
}


function __ZL14EmitPropIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($cx, $pn, $op, $cg) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $suffix=__stackBase__;
      var $start;
      var $cs;
      var $post;
      var $binop;
      $2=$cx;
      $3=$pn;
      $4=$op;
      $5=$cg;
      HEAP32[(($suffix)>>2)]=0; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$2; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$4; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$5; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=__ZL10EmitPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratoriPS3_($6, $7, $8, $9, 0, $suffix); //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)|0)!=0; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $14=$2; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$5; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=_js_Emit1($14, $15, 0); //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0) < 0; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $20=$5; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+172)|0); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+8)|0); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$5; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+172)|0); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)|0); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$24; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$29; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($30-$31)|0); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $start=$32; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=HEAP32[(($suffix)>>2)]; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0)!=0; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $36=$2; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$5; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=HEAP32[(($suffix)>>2)]; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=_js_Emit1($36, $37, $38); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)|0) < 0; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $1=0; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $43=$4; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=((_js_CodeSpec+($43<<3))|0); //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cs=$44; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$cs; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45+4)|0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$47 & 4096; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48)|0)!=0; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=(($49)&1); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $post=$50; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$cs; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51+4)|0); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$53 & 2048; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54)|0)!=0; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$55 ? 27 : 28; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $binop=$56; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$2; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$5; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=_js_Emit1($57, $58, 12); //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59)|0) < 0; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($60) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $63=$2; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$3; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$5; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($63, $64, 53, $65, 0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($66) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=0; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $69=$2; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$5; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=_js_Emit1($69, $70, 35); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=(($71)|0) < 0; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($72) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      $1=0; //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $75=$post; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75) & 1); //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $78=$2; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$5; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=_js_Emit1($78, $79, 12); //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80)|0) < 0; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($81) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      $1=0; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $84=$2; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$5; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=_js_Emit1($84, $85, 63); //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86)|0) < 0; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($87) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      $1=0; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $90=$2; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=$5; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=$binop; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=_js_Emit1($90, $91, $92); //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=(($93)|0) < 0; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($94) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      $1=0; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $97=$post; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97) & 1); //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($98) { __label__ = 22; break; } else { __label__ = 27; break; } //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $100=$2; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=$5; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=_js_Emit2($100, $101, 133, 2); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=(($102)|0) < 0; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($103) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      $1=0; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $106=$2; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=$5; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=_js_Emit1($106, $107, 10); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=(($108)|0) < 0; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($109) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      $1=0; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      __label__ = 27; break; //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $113=$2; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=$3; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=$5; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($113, $114, 54, $115, 0); //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($116) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      $1=0; //@line 3000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $119=$post; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(($119) & 1); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($120) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $122=$2; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$5; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=_js_Emit1($122, $123, 81); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=(($124)|0) < 0; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($125) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      $1=0; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $128=$5; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=$start; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL21UpdateDecomposeLengthP15JSCodeGeneratorj($128, $129); //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=HEAP32[(($suffix)>>2)]; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=(($130)|0)!=0; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($131) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      var $133=$2; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=$5; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=HEAP32[(($suffix)>>2)]; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=_js_Emit1($133, $134, $135); //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=(($136)|0) < 0; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($137) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      $1=0; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      $1=1; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $141=$1; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $141; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14EmitPropIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator["X"]=1;

function __ZL14EmitElemIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($cx, $pn, $op, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $start;
      var $cs;
      var $post;
      var $binop;
      $2=$cx;
      $3=$pn;
      $4=$op;
      $5=$cg;
      var $6=$3; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0)!=0; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$2; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$3; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$4; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$5; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($9, $10, $11, $12); //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)|0)!=0; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $1=0; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 8; break; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $18=$2; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$5; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$4; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($18, $19, $20); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $25=$2; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$5; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=_js_Emit1($25, $26, 0); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)|0) < 0; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $31=$5; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+192)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33+1)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($32)>>2)]=$34; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$5; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+172)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37+8)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$5; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40+172)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$39; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$44; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($45-$46)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $start=$47; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$4; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=((_js_CodeSpec+($48<<3))|0); //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cs=$49; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$cs; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50+4)|0); //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$52 & 4096; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53)|0)!=0; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54)&1); //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $post=$55; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$cs; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56+4)|0); //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$58 & 2048; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59)|0)!=0; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$60 ? 27 : 28; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $binop=$61; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$2; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$5; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=_js_Emit1($62, $63, 231); //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64)|0) < 0; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($65) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=0; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $68=$2; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=$5; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=_js_Emit1($68, $69, 13); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=(($70)|0) < 0; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      $1=0; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $74=$2; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$5; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($74, $75, 55); //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($76) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      $1=0; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $79=$2; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$5; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=_js_Emit1($79, $80, 35); //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=(($81)|0) < 0; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($82) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      $1=0; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $85=$post; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85) & 1); //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($86) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $88=$2; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=$5; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=_js_Emit1($88, $89, 12); //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90)|0) < 0; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($91) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      $1=0; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $94=$2; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$5; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=_js_Emit1($94, $95, 63); //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=(($96)|0) < 0; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($97) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $1=0; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $100=$2; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=$5; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=$binop; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=_js_Emit1($100, $101, $102); //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=(($103)|0) < 0; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($104) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      $1=0; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $107=$post; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=(($107) & 1); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($108) { __label__ = 26; break; } else { __label__ = 33; break; } //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $110=$2; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$5; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=_js_Emit2($110, $111, 133, 3); //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=(($112)|0) < 0; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($113) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      $1=0; //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $116=$2; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$5; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=_js_Emit2($116, $117, 133, 3); //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=(($118)|0) < 0; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($119) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      $1=0; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $122=$2; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$5; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=_js_Emit2($122, $123, 133, 2); //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=(($124)|0) < 0; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($125) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      $1=0; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      __label__ = 33; break; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      var $129=$2; //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=$5; //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($129, $130, 56); //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($131) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      $1=0; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      var $134=$post; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=(($134) & 1); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($135) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $137=$2; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=$5; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=_js_Emit1($137, $138, 81); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=(($139)|0) < 0; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($140) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      $1=0; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      var $143=$5; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=$start; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL21UpdateDecomposeLengthP15JSCodeGeneratorj($143, $144); //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      var $146=$1; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $146; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14EmitElemIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator["X"]=1;

function __ZL10EmitPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratoriPS3_($cx, $pn, $op, $cg, $callContext, $psuffix) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $pn2;
      var $pndot;
      var $pnup;
      var $pndown;
      var $top;
      $2=$cx;
      $3=$pn;
      $4=$op;
      $5=$cg;
      $6=$callContext;
      $7=$psuffix;
      var $8=$3; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZN11JSParseNode9maybeExprEv($8); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$9; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$4; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)|0)==53; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $13=$4; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)|0)==187; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $16=$3; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+32)|0); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$17; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$2; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+52)|0); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+209948)|0); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+344)|0); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($21)|0)==(($28)|0); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $31=$pn2; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)|0)!=0; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $34=$2; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$5; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$pn2; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=_js_EmitTree($34, $35, $36); //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0)!=0; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $41=$2; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$3; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$6; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43)|0)!=0; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$44 ? 196 : 55; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$5; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=__ZL17EmitSpecialPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($41, $42, $45, $46); //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47)&1); //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$48; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $50=$6; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50)|0)!=0; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $4=187; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 23; break; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $54=$4; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54)|0)==53; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 22; break; } //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $57=$3; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=__ZNK11JSParseNode6isKindEN2js9TokenKindE($57, 22); //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 22; break; } //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $60=$pn2; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=__ZNK11JSParseNode6isKindEN2js9TokenKindE($60, 29); //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 21; break; } //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $63=$2; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$5; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$pn2; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($63, $64, $65); //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66)|0)!=0; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=0; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $70=$2; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=__ZN9JSContext20typeInferenceEnabledEv($70); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($71) { __label__ = 20; break; } else { __label__ = 16; break; } //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $73=$3; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73+32)|0); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$74; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75)|0); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$76; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$2; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79+52)|0); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=(($81+209948)|0); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82+308)|0); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$84; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($78)|0)==(($85)|0); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($86) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $88=$pn2; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=__ZNK11JSParseNode4isOpE4JSOp($88, 9); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($89) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $91=$2; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=$5; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=_js_Emit1($91, $92, 139); //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=(($93)|0) >= 0; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94)&1); //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$95; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      __label__ = 20; break; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      __label__ = 21; break; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      __label__ = 22; break; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      __label__ = 23; break;
    case 23: 
      var $101=$pn2; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=__ZNK11JSParseNode6isKindEN2js9TokenKindE($101, 22); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($102) { __label__ = 24; break; } else { __label__ = 44; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $104=$pn2; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pndot=$104; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pnup=0; //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$5; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=(($105+172)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=(($107+8)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=$5; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=(($110+172)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=(($112)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=$109; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=$114; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=(($115-$116)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$117; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 25; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $119=$top; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=$pndot; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=(($120+20)|0); //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($121)>>2)]=$119; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$pndot; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=(($122+32)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=$123; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=(($124+4)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $126=$125; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pndown=$127; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=$pnup; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=$pndot; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=(($129+32)|0); //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=$130; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=(($131+4)|0); //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=$132; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($133)>>2)]=$128; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=$pndown; //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=__ZNK11JSParseNode6isKindEN2js9TokenKindE($134, 22); //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($135) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      __label__ = 28; break; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $138=$pndot; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pnup=$138; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=$pndown; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pndot=$139; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 25; break; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $141=$2; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=$5; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=$pndown; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=_js_EmitTree($141, $142, $143); //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=(($144)|0)!=0; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($145) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      $1=0; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      __label__ = 31; break; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $149=$2; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=$5; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $151=$5; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=(($151+172)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=(($153+8)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=$5; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $157=(($156+172)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $159=(($158)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $161=$155; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=$160; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $163=(($161-$162)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $164=$pndown; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $165=(($164+20)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=(($163-$166)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=_js_NewSrcNote2($149, $150, 12, $167); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $169=(($168)|0) < 0; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($169) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      $1=0; //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      var $172=$pndot; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=__ZNK11JSParseNode7isArityE16JSParseNodeArity($172, 6); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($173) { __label__ = 34; break; } else { __label__ = 38; break; } //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $175=$pndot; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $176=(($175+32)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $177=$176; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $178=(($177)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $179=$178; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $181=$2; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $182=(($181+52)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $184=(($183+209948)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $185=(($184+344)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $187=$186; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $188=(($180)|0)==(($187)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($188) { __label__ = 35; break; } else { __label__ = 38; break; } //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      var $190=$2; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $191=$pndot; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $192=$5; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $193=__ZL17EmitSpecialPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($190, $191, 55, $192); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($193) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      $1=0; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      __label__ = 41; break; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      var $197=$2; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $198=$pndot; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $199=$pndot; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $200=__ZNK11JSParseNode5getOpEv($199); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $201=$5; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $202=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($197, $198, $200, $201, 0); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($202) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      $1=0; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      __label__ = 41; break;
    case 41: 
      var $206=$pndot; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $207=(($206+32)|0); //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $208=$207; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $209=(($208+4)|0); //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $210=$209; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $211=HEAP32[(($210)>>2)]; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pnup=$211; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=$pndown; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $213=$pndot; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $214=(($213+32)|0); //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $215=$214; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $216=(($215+4)|0); //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $217=$216; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($217)>>2)]=$212; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $218=$pndot; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pndown=$218; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 42; break; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      var $220=$pnup; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pndot=$220; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $221=(($220)|0)!=0; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($221) { __label__ = 31; break; } else { __label__ = 43; break; } //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      __label__ = 47; break; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $224=$2; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=$5; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=$pn2; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=_js_EmitTree($224, $225, $226); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $228=(($227)|0)!=0; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($228) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      $1=0; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 46: 
      __label__ = 47; break;
    case 47: 
      var $232=$2; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $233=$5; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $234=$5; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $235=(($234+172)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $236=HEAP32[(($235)>>2)]; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $237=(($236+8)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $238=HEAP32[(($237)>>2)]; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $239=$5; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=(($239+172)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $242=(($241)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $243=HEAP32[(($242)>>2)]; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $244=$238; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $245=$243; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $246=(($244-$245)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $247=$pn2; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $248=(($247+20)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $249=HEAP32[(($248)>>2)]; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $250=(($246-$249)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $251=_js_NewSrcNote2($232, $233, 12, $250); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $252=(($251)|0) < 0; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($252) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 48: 
      $1=0; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      var $255=$2; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $256=$3; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $257=$4; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $258=$5; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $259=$7; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $260=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($255, $256, $257, $258, $259); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $261=(($260)&1); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$261; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 50; break; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      var $263=$1; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $263; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10EmitPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratoriPS3_["X"]=1;

function __ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($cx, $pn, $op, $cg) {
  var __stackBase__  = STACKTOP; STACKTOP += 100; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $top;
      var $left;
      var $right;
      var $next;
      var $ltmp=__stackBase__;
      var $rtmp=__stackBase__+48;
      var $slot=__stackBase__+96;
      $2=$cx;
      $3=$pn;
      $4=$op;
      $5=$cg;
      var $6=$5; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+172)|0); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8+8)|0); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$5; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+172)|0); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)|0); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$10; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$15; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($16-$17)|0); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$18; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$3; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=__ZNK11JSParseNode7isArityE16JSParseNodeArity($19, 5); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 33; break; } //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $22=$3; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+32)|0); //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$23; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)|0); //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $left=$26; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$3; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=__ZNK11JSParseNode4lastEv($27); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $right=$28; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$left; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+24)|0); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$31; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$left; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=__ZNK11JSParseNode6isKindEN2js9TokenKindE($32, 29); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 3; break; } else { __label__ = 19; break; } //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $35=$next; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=__ZNK11JSParseNode6isKindEN2js9TokenKindE($35, 30); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($36) { __label__ = 4; break; } else { __label__ = 19; break; } //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $38=$2; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$5; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$left; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($38, $39, $40); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41)|0)!=0; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($42) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $45=$left; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=__ZNK11JSParseNode4isOpE4JSOp($45, 9); //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($46) { __label__ = 7; break; } else { __label__ = 18; break; } //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $48=$next; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48+32)|0); //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$49; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(tempDoubleI32[0]=HEAP32[(($50)>>2)],tempDoubleI32[1]=HEAP32[(($50+4)>>2)],tempDoubleF64[0]); //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=_JSDOUBLE_IS_INT321163($51, $slot); //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52)|0)!=0; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($53) { __label__ = 8; break; } else { __label__ = 18; break; } //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $55=HEAPU32[(($slot)>>2)]; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($55)>>>0) < 65536; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($56) { __label__ = 9; break; } else { __label__ = 18; break; } //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $58=$2; //@line 3098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=__ZN9JSContext20typeInferenceEnabledEv($58); //@line 3098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($59) { __label__ = 18; break; } else { __label__ = 10; break; } //@line 3098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $61=$5; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$61; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=__ZNK13JSTreeContext12inStrictModeEv($62); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($63) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $65=$5; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$65; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=__ZNK13JSTreeContext16mutatesParameterEv($66); //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($67) { __label__ = 18; break; } else { __label__ = 12; break; } //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $69=$5; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$69; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=__ZNK13JSTreeContext9callsEvalEv($70); //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 13; break; } //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $73=$top; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$next; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74+20)|0); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($75)>>2)]=$73; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$left; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($76+20)|0); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($77)>>2)]=$73; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $79=$2; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$5; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=HEAPU32[(($slot)>>2)]; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$81 >>> 8; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82) & 255); //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=HEAP32[(($slot)>>2)]; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=(($84) & 255); //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=_js_Emit3($79, $80, 138, $83, $85); //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86)|0) < 0; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($87) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      $1=0; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $90=$2; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=$5; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($90, $91, 138); //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $93=$next; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $left=$93; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$left; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94+24)|0); //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$96; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      __label__ = 19; break; //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $99=$left; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$3; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100+32)|0); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=$101; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=(($102)|0); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=(($99)|0)==(($104)|0); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($105) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $107=$2; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$5; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=$left; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=_js_EmitTree($107, $108, $109); //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=(($110)|0)!=0; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($111) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      $1=0; //@line 3123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      __label__ = 23; break; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      __label__ = 24; break; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $116=$next; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$right; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($116)|0)!=(($117)|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($118) { __label__ = 25; break; } else { __label__ = 32; break; } //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $120=$2; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$5; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$next; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=_js_EmitTree($120, $121, $122); //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123)|0)!=0; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($124) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      $1=0; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $127=$2; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=$5; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=$5; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=(($129+172)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=(($131+8)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=$5; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=(($134+172)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=(($136)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=$133; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=$138; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=(($139-$140)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=$top; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($141-$142)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=_js_NewSrcNote2($127, $128, 12, $143); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=(($144)|0) < 0; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($145) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      $1=0; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $148=$2; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=$5; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($148, $149, 55); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($150) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      $1=0; //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $153=$next; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=(($153+24)|0); //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$155; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 24; break; //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      __label__ = 59; break; //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      var $158=$3; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $159=__ZNK11JSParseNode7isArityE16JSParseNodeArity($158, 6); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($159) { __label__ = 34; break; } else { __label__ = 37; break; } //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $161=$3; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=__ZN11JSParseNode9maybeExprEv($161); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $left=$162; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $163=$left; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $164=(($163)|0)!=0; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($164) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      $left=$ltmp; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $166=$left; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($166, 31); //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=$left; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($167, 110); //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=$left; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($168, 0); //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $169=$left; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $170=(($169+4)|0); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $171=$3; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $172=(($171+4)|0); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=$170; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $174=$172; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($173)>>2)]=HEAP32[(($174)>>2)];HEAP32[(($173+4)>>2)]=HEAP32[(($174+4)>>2)];HEAP32[(($173+8)>>2)]=HEAP32[(($174+8)>>2)];HEAP32[(($173+12)>>2)]=HEAP32[(($174+12)>>2)]; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $175=$3; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $176=(($175+32)|0); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $177=$176; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $178=(($177)|0); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $179=$178; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $181=$left; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $182=(($181+32)|0); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $183=$182; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $184=(($183)|0); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $185=$184; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($185)>>2)]=$180; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      $right=$rtmp; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $187=$right; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($187, 31); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $188=$right; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $189=$3; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $190=(($189+32)|0); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $191=$190; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $192=(($191)|0); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $193=$192; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $195=$194; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $196=__Z15js_IsIdentifierP14JSLinearString($195); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $197=(($196)|0)!=0; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $198=$197 ? 165 : 61; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode5setOpE4JSOp($188, $198); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $199=$right; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($199, 0); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $200=$right; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $201=(($200+4)|0); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $202=$3; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $203=(($202+4)|0); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $204=$201; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $205=$203; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($204)>>2)]=HEAP32[(($205)>>2)];HEAP32[(($204+4)>>2)]=HEAP32[(($205+4)>>2)];HEAP32[(($204+8)>>2)]=HEAP32[(($205+8)>>2)];HEAP32[(($204+12)>>2)]=HEAP32[(($205+12)>>2)]; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $206=$3; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $207=(($206+32)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $208=$207; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $209=(($208)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $210=$209; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $211=HEAP32[(($210)>>2)]; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=$right; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $213=(($212+32)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $214=$213; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $215=(($214)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $216=$215; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($216)>>2)]=$211; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 38; break; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      var $218=$3; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $219=(($218+32)|0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $220=$219; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $221=(($220)|0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $left=$222; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $223=$3; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $224=(($223+32)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=$224; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=(($225+4)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $right=$227; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 38; break;
    case 38: 
      var $229=$4; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $230=(($229)|0)==55; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($230) { __label__ = 39; break; } else { __label__ = 56; break; } //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      var $232=$left; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $233=__ZNK11JSParseNode6isKindEN2js9TokenKindE($232, 29); //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($233) { __label__ = 40; break; } else { __label__ = 56; break; } //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      var $235=$right; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $236=__ZNK11JSParseNode6isKindEN2js9TokenKindE($235, 30); //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($236) { __label__ = 41; break; } else { __label__ = 56; break; } //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      var $238=$2; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $239=$5; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=$left; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $241=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($238, $239, $240); //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $242=(($241)|0)!=0; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($242) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      $1=0; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      var $245=$left; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $246=__ZNK11JSParseNode4isOpE4JSOp($245, 9); //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($246) { __label__ = 44; break; } else { __label__ = 55; break; } //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $248=$right; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $249=(($248+32)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $250=$249; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $251=(tempDoubleI32[0]=HEAP32[(($250)>>2)],tempDoubleI32[1]=HEAP32[(($250+4)>>2)],tempDoubleF64[0]); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $252=_JSDOUBLE_IS_INT321163($251, $slot); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $253=(($252)|0)!=0; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($253) { __label__ = 45; break; } else { __label__ = 55; break; } //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      var $255=HEAPU32[(($slot)>>2)]; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $256=(($255)>>>0) < 65536; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($256) { __label__ = 46; break; } else { __label__ = 55; break; } //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 46: 
      var $258=$2; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $259=__ZN9JSContext20typeInferenceEnabledEv($258); //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($259) { __label__ = 55; break; } else { __label__ = 47; break; } //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 47: 
      var $261=$5; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $262=$261; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $263=__ZNK13JSTreeContext12inStrictModeEv($262); //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($263) { __label__ = 48; break; } else { __label__ = 50; break; } //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 48: 
      var $265=$5; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $266=$265; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $267=__ZNK13JSTreeContext16mutatesParameterEv($266); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($267) { __label__ = 55; break; } else { __label__ = 49; break; } //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      var $269=$5; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $270=$269; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $271=__ZNK13JSTreeContext9callsEvalEv($270); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($271) { __label__ = 55; break; } else { __label__ = 50; break; } //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      var $273=$top; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $274=$right; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $275=(($274+20)|0); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($275)>>2)]=$273; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $276=$left; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $277=(($276+20)|0); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($277)>>2)]=$273; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 51; break; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 51: 
      var $279=$2; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $280=$5; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $281=HEAPU32[(($slot)>>2)]; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $282=$281 >>> 8; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $283=(($282) & 255); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $284=HEAP32[(($slot)>>2)]; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $285=(($284) & 255); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $286=_js_Emit3($279, $280, 138, $283, $285); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $287=(($286)|0) < 0; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($287) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 52: 
      $1=0; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 53: 
      var $290=$2; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $291=$5; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($290, $291, 138); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 54; break; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 54: 
      $1=1; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 55: 
      __label__ = 56; break; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 56: 
      var $295=$2; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $296=$5; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $297=$left; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $298=_js_EmitTree($295, $296, $297); //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $299=(($298)|0)!=0; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($299) { __label__ = 58; break; } else { __label__ = 57; break; } //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 57: 
      $1=0; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 58: 
      __label__ = 59; break;
    case 59: 
      var $303=$2; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $304=$5; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $305=$right; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $306=_js_EmitTree($303, $304, $305); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $307=(($306)|0)!=0; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($307) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 60: 
      $1=0; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 61: 
      var $310=$2; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $311=$5; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $312=$5; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $313=(($312+172)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $314=HEAP32[(($313)>>2)]; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $315=(($314+8)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $316=HEAP32[(($315)>>2)]; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $317=$5; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $318=(($317+172)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $319=HEAP32[(($318)>>2)]; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $320=(($319)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $321=HEAP32[(($320)>>2)]; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $322=$316; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $323=$321; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $324=(($322-$323)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $325=$top; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $326=(($324-$325)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $327=_js_NewSrcNote2($310, $311, 12, $326); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $328=(($327)|0) < 0; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($328) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 62: 
      $1=0; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 63: 
      var $331=$2; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $332=$5; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $333=$4; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $334=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($331, $332, $333); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $335=(($334)&1); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$335; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 64: 
      var $337=$1; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $337; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator["X"]=1;

function __ZL10EmitNameOpP9JSContextP15JSCodeGeneratorP11JSParseNodei($cx, $cg, $pn, $callContext) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $op;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      $5=$callContext;
      var $6=$2; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$4; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($6, $7, $8); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0)!=0; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 31; break; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $13=$4; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=__ZNK11JSParseNode5getOpEv($13); //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $op=$14; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$5; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0)!=0; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $18=$op; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($18)|0) == 59) {
        __label__ = 5; break;
      }
      else if ((($18)|0) == 156) {
        __label__ = 6; break;
      }
      else if ((($18)|0) == 84) {
        __label__ = 7; break;
      }
      else if ((($18)|0) == 86) {
        __label__ = 8; break;
      }
      else if ((($18)|0) == 136) {
        __label__ = 9; break;
      }
      else {
      __label__ = 10; break;
      }
      
    case 5: 
      $op=57; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $op=214; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $op=216; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      $op=215; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $op=137; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 11; break; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      __label__ = 11; break; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 12; break; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $27=$op; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)|0)==9; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($28) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $30=$op; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30)|0)==131; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($31) { __label__ = 14; break; } else { __label__ = 20; break; } //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $33=$2; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$3; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$op; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=_js_Emit1($33, $34, $35); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36)|0) < 0; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($37) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      $1=0; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 31; break; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $40=$5; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40)|0)!=0; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($41) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $43=$2; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$3; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=_js_Emit1($43, $44, 1); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45)|0) < 0; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($46) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      $1=0; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 31; break; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      __label__ = 30; break; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $50=$4; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50+32)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$51; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+8)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=__ZNK2js11UpvarCookie6isFreeEv($53); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($54) { __label__ = 26; break; } else { __label__ = 21; break; } //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      __label__ = 22; break; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $57=$2; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$3; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$op; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$4; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60+32)|0); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$61; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62+8)|0); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=__ZNK2js11UpvarCookie9asIntegerEv($63); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$64 >>> 8; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65) & 255); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$4; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+32)|0); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=$68; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69+8)|0); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=__ZNK2js11UpvarCookie9asIntegerEv($70); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=(($71) & 255); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=_js_Emit3($57, $58, $59, $66, $72); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73)|0) < 0; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($74) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      $1=0; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 31; break; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $77=$2; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$3; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$op; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($77, $78, $79); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 25; break; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      __label__ = 29; break; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $82=$2; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$4; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$op; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$3; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($82, $83, $84, $85, 0); //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($86) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      $1=0; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 31; break; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      __label__ = 30; break;
    case 30: 
      $1=1; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 31; break; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $92=$1; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $92; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10EmitNameOpP9JSContextP15JSCodeGeneratorP11JSParseNodei["X"]=1;

function __ZL14EmitEnterBlockP9JSContextP11JSParseNodeP15JSCodeGenerator($cx, $pn, $cg) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $blockObj;
      var $depth;
      var $base;
      var $slot;
      var $limit;
      var $v;
      var $dn;
      var $isClosed;
      var $5=__stackBase__;
      $2=$cx;
      $3=$pn;
      $4=$cg;
      var $6=$2; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+32)|0); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$10; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$4; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=__ZL12EmitObjectOpP9JSContextP11JSObjectBox4JSOpP15JSCodeGenerator($6, $12, 201, $13); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0)!=0; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $18=$3; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+32)|0); //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20)|0); //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$21; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+8)|0); //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $blockObj=$25; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$2; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$4; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$blockObj; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=__ZNK8JSObject12getFixedSlotEj($28, 0); //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=__ZNK2JS5Value7toInt32Ev($29); //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=__ZL15AdjustBlockSlotP9JSContextP15JSCodeGeneratori($26, $27, $30); //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $depth=$31; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$depth; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32)|0) < 0; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $36=HEAPU32[((((__ZN2js10BlockClassE+4)|0))>>2)]; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$36 >>> 8; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$37 & 255; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $base=$38; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$base; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slot=$39; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$base; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$blockObj; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=__ZNK8JSObject13propertyCountEv($41); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($40+$42)|0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $limit=$43; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $45=$slot; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$limit; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($45)>>>0) < (($46)>>>0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($47) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $49=$blockObj; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$slot; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=__ZNK8JSObject7getSlotEj($49, $50); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $v=$51; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$v; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=__ZNK2JS5Value11isUndefinedEv($52); //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($53) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      __label__ = 10; break; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $56=$v; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=__ZNK2JS5Value9toPrivateEv($56); //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$57; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $dn=$58; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$dn; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$59; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60+32)|0); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$61; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62+8)|0); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$dn; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$64; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65+32)|0); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$66; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+8)|0); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=__ZNK2js11UpvarCookie5levelEv($68); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$dn; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$70; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=__ZNK11JSParseNode9frameSlotEv($71); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$depth; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($72+$73)|0); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74) & 65535); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js11UpvarCookie3setEtt($63, $69, $75); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$4; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$dn; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$77; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=__ZN15JSCodeGenerator20shouldNoteClosedNameEP11JSParseNode($76, $78); //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79)&1); //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $isClosed=$80; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=$blockObj; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$slot; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$isClosed; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83) & 1); //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JSL12BooleanValueEb1168($5, $84); //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($81, $82, $5); //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $86=$slot; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86+1)|0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slot=$87; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $89=$4; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=$89; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90)|0); //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=$92 & 536870912; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=(($93)|0)!=0; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($94) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $96=$4; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=$96; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97+92)|0); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=__ZNK2js8Bindings17extensibleParentsEv($98); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($99) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $101=$blockObj; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=$2; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN8JSObject16setBlockOwnShapeEP9JSContext($101, $102); //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=1; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $105=$1; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $105; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14EmitEnterBlockP9JSContextP11JSParseNodeP15JSCodeGenerator["X"]=1;

function __ZL15AdjustBlockSlotP9JSContextP15JSCodeGeneratori($cx, $cg, $slot) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$cg;
      $3=$slot;
      var $4=$2; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=$4; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=__ZNK13JSTreeContext10inFunctionEv($5); //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $8=$2; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+92)|0); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZNK2js8Bindings9countVarsEv($10); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)&65535); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$3; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+$12)|0); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $3=$14; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)>>>0) >= 65536; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $18=$1; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$2; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+48)|0); //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+40)|0); //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($18, $23, 0, 0, 199, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $3=-1; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $27=$3; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $27; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19FitsWithoutBigIndexj($index) {
  ;
  var __label__;

  var $1;
  $1=$index;
  var $2=$1; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $3=(($2)>>>0) < 65536; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return $3; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZNK15JSCodeGenerator9hasSharpsEv($this) {
  ;
  var __label__;

  var $1;
  var $rv;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 700 "./jsemit.h"
  var $4=(($3)|0); //@line 700 "./jsemit.h"
  var $5=HEAP32[(($4)>>2)]; //@line 700 "./jsemit.h"
  var $6=$5 & 32768; //@line 700 "./jsemit.h"
  var $7=(($6)|0)!=0; //@line 700 "./jsemit.h"
  var $8=$7 ^ 1; //@line 700 "./jsemit.h"
  var $9=$8 ^ 1; //@line 700 "./jsemit.h"
  var $10=(($9)&1); //@line 700 "./jsemit.h"
  $rv=$10; //@line 700 "./jsemit.h"
  var $11=$rv; //@line 702 "./jsemit.h"
  var $12=(($11) & 1); //@line 702 "./jsemit.h"
  ;
  return $12; //@line 702 "./jsemit.h"
}


function __ZNK13JSTreeContext12compileAndGoEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 443 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 443 "./jsemit.h"
  var $5=$4 & 8192; //@line 443 "./jsemit.h"
  var $6=(($5)|0)!=0; //@line 443 "./jsemit.h"
  ;
  return $6; //@line 443 "./jsemit.h"
}


function __ZL11EmitNewInitP9JSContextP15JSCodeGenerator10JSProtoKeyP11JSParseNodei($cx, $cg, $key, $pn, $sharpnum) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $off_;
      var $pc_;
      $2=$cx;
      $3=$cg;
      $4=$key;
      $5=$pn;
      $6=$sharpnum;
      var $7=$2; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$3; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$4; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9) & 255); //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=_js_Emit3($7, $8, 89, $10, 0); //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0) < 0; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 4795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break; //@line 4795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $15=$3; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=__ZNK15JSCodeGenerator9hasSharpsEv($15); //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 17; break; } //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $18=$5; //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+32)|0); //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19; //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+8)|0); //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22)|0)!=0; //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      __label__ = 6; break; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $26=$2; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$3; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$3; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$28; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+104)|0); //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$31 >> 8; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32) & 255); //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$3; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$34; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+104)|0); //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37) & 255); //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=_js_Emit3($26, $27, 230, $33, $38); //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)|0) < 0; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      $1=0; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $43=$2; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$3; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($43, $44, 230); //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      __label__ = 10; break; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $47=$6; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47)|0) >= 0; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 12; break; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $51=$2; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$3; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=_js_EmitN($51, $52, 95, 4); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off_=$53; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$off_; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54)|0) < 0; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      $1=0; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $58=$3; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58+172)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$off_; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($62+$63)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc_=$64; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$3; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$65; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66+104)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=$68 >> 8; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69) & 255); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$pc_; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=(($71+1)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($72)]=$70; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$3; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$73; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74+104)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($76) & 255); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$pc_; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78+2)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($79)]=$77; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$pc_; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80+2)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc_=$81; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$6; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$82 >> 8; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83) & 255); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$pc_; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85+1)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($86)]=$84; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$6; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=(($87) & 255); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=$pc_; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=(($89+2)|0); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($90)]=$88; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      __label__ = 16; break; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      __label__ = 18; break; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      $1=1; //@line 4806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break; //@line 4806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $96=$1; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $96; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11EmitNewInitP9JSContextP15JSCodeGenerator10JSProtoKeyP11JSParseNodei["X"]=1;

function __ZL11EmitEndInitP9JSContextP15JSCodeGeneratorj($cx, $cg, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$cg;
      $4=$count;
      var $5=$3; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=__ZNK15JSCodeGenerator9hasSharpsEv($5); //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $8=$4; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0)!=0; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      __label__ = 4; break; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $12=$2; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$3; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$3; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$14; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+104)|0); //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$17 >> 8; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18) & 255); //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$3; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$20; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+104)|0); //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23) & 255); //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=_js_Emit3($12, $13, 230, $19, $24); //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25)|0) < 0; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $29=$2; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$3; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($29, $30, 230); //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $33=$2; //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$3; //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=_js_Emit1($33, $34, 92); //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35)|0) >= 0; //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$36; //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $38=$1; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $38; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN15JSCodeGenerator21checkSingletonContextEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $stmt;
      $2=$this;
      var $3=$2;
      var $4=$3; //@line 731 "./jsemit.h"
      var $5=__ZNK13JSTreeContext12compileAndGoEv($4); //@line 731 "./jsemit.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 731 "./jsemit.h"
    case 2: 
      var $7=$3; //@line 731 "./jsemit.h"
      var $8=__ZNK13JSTreeContext10inFunctionEv($7); //@line 731 "./jsemit.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 731 "./jsemit.h"
    case 3: 
      $1=0; //@line 732 "./jsemit.h"
      __label__ = 11; break; //@line 732 "./jsemit.h"
    case 4: 
      var $11=$3; //@line 733 "./jsemit.h"
      var $12=(($11+24)|0); //@line 733 "./jsemit.h"
      var $13=HEAP32[(($12)>>2)]; //@line 733 "./jsemit.h"
      $stmt=$13; //@line 733 "./jsemit.h"
      __label__ = 5; break; //@line 733 "./jsemit.h"
    case 5: 
      var $15=$stmt; //@line 733 "./jsemit.h"
      var $16=(($15)|0)!=0; //@line 733 "./jsemit.h"
      if ($16) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 733 "./jsemit.h"
    case 6: 
      var $18=$stmt; //@line 734 "./jsemit.h"
      var $19=(($18)|0); //@line 734 "./jsemit.h"
      var $20=HEAPU16[(($19)>>1)]; //@line 734 "./jsemit.h"
      var $21=(($20)&65535); //@line 734 "./jsemit.h"
      var $22=(($21)|0) >= 11; //@line 734 "./jsemit.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 734 "./jsemit.h"
    case 7: 
      $1=0; //@line 735 "./jsemit.h"
      __label__ = 11; break; //@line 735 "./jsemit.h"
    case 8: 
      __label__ = 9; break; //@line 736 "./jsemit.h"
    case 9: 
      var $26=$stmt; //@line 733 "./jsemit.h"
      var $27=(($26+24)|0); //@line 733 "./jsemit.h"
      var $28=HEAP32[(($27)>>2)]; //@line 733 "./jsemit.h"
      $stmt=$28; //@line 733 "./jsemit.h"
      __label__ = 5; break; //@line 733 "./jsemit.h"
    case 10: 
      var $30=$3; //@line 737 "./jsemit.h"
      var $31=(($30)|0); //@line 737 "./jsemit.h"
      var $32=HEAP32[(($31)>>2)]; //@line 737 "./jsemit.h"
      var $33=$32 | 134217728; //@line 737 "./jsemit.h"
      HEAP32[(($31)>>2)]=$33; //@line 737 "./jsemit.h"
      $1=1; //@line 738 "./jsemit.h"
      __label__ = 11; break; //@line 738 "./jsemit.h"
    case 11: 
      var $35=$1; //@line 739 "./jsemit.h"
      ;
      return $35; //@line 739 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL24EmitSingletonInitialiserP9JSContextP15JSCodeGeneratorP11JSParseNode($cx, $cg, $pn) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $value=__stackBase__;
      var $objbox;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      var $5=$4; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$2; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$7; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZN13JSTreeContext16needStrictChecksEv($8); //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=__ZN11JSParseNode16getConstantValueEP9JSContextbPN2JS5ValueE($5, $6, $9, $value); //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $13=$3; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$13; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+48)|0); //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=__ZNK2JS5Value8toObjectEv($value); //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=__ZN2js6Parser12newObjectBoxEP8JSObject($16, $17); //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $objbox=$18; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$objbox; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0)!=0; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $23=$2; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$objbox; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$3; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=__ZL12EmitObjectOpP9JSContextP11JSObjectBox4JSOpP15JSCodeGenerator($23, $24, 80, $25); //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0)!=0; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$27; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $29=$1; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12EmitNumberOpP9JSContextdP15JSCodeGenerator($cx, $dval, $cg) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ival=__stackBase__;
      var $u;
      var $off;
      var $pc;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$dval;
      $4=$cg;
      var $6=$3; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=_JSDOUBLE_IS_INT321163($6, $ival); //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0)!=0; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 23; break; } //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $10=HEAP32[(($ival)>>2)]; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)|0)==0; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $13=$2; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$4; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=_js_Emit1($13, $14, 62); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0) >= 0; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)&1); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$17; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $19=HEAP32[(($ival)>>2)]; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0)==1; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $22=$2; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$4; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=_js_Emit1($22, $23, 63); //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)|0) >= 0; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25)&1); //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$26; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $28=HEAP32[(($ival)>>2)]; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28) & 255); //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29 << 24) >> 24); //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAP32[(($ival)>>2)]; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($30)|0)==(($31)|0); //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $34=$2; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$4; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=HEAP32[(($ival)>>2)]; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36) & 255); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=_js_Emit2($34, $35, 218, $37); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38)|0) >= 0; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)&1); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$40; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $42=HEAP32[(($ival)>>2)]; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $u=$42; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$u; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43)>>>0) < 65536; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      __label__ = 10; break; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $47=$2; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$4; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$u; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$49 >>> 8; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50) & 255); //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$u; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52) & 255); //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=_js_Emit3($47, $48, 88, $51, $53); //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54)|0) < 0; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=0; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $58=$2; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$4; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($58, $59, 88); //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      __label__ = 22; break; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $62=$u; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62)>>>0) < 16777216; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $65=$2; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$4; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=_js_EmitN($65, $66, 190, 3); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$67; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=$off; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68)|0) < 0; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($69) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      $1=0; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $72=$4; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=(($72+172)|0); //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74)|0); //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$off; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=(($76+$77)|0); //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$78; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$u; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$79 >>> 16; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80) & 255); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$pc; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82+1)|0); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($83)]=$81; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$u; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$84 >>> 8; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85) & 255); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$pc; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=(($87+2)|0); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($88)]=$86; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=$u; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=(($89) & 255); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=$pc; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=(($91+3)|0); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($92)]=$90; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 21; break; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $94=$2; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$4; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=_js_EmitN($94, $95, 219, 4); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$96; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=$off; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97)|0) < 0; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($98) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      $1=0; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $101=$4; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101+172)|0); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=(($103)|0); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=$off; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(($105+$106)|0); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$107; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=HEAPU32[(($ival)>>2)]; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=$108 >>> 24; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=(($109) & 255); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$pc; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111+1)|0); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($112)]=$110; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=HEAPU32[(($ival)>>2)]; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=$113 >>> 16; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=(($114) & 255); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=$pc; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=(($116+2)|0); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($117)]=$115; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=HEAPU32[(($ival)>>2)]; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=$118 >>> 8; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(($119) & 255); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$pc; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=(($121+3)|0); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($122)]=$120; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=HEAP32[(($ival)>>2)]; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123) & 255); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=$pc; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $126=(($125+4)|0); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($126)]=$124; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break;
    case 22: 
      $1=1; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $130=$4; //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=(($130+268)|0); //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$3; //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JSL11DoubleValueEd1164($5, $132); //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=__ZN13JSGCConstList6appendEN2JS5ValueE($131, $5); //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($133) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      $1=0; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $136=$2; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=$4; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=(($137+268)|0); //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=__ZNK13JSGCConstList6lengthEv($138); //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=(($139-1)|0); //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=$4; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($136, 60, $140, $141, 0); //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($142)&1); //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$143; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $145=$1; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $145; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12EmitNumberOpP9JSContextdP15JSCodeGenerator["X"]=1;

function __ZN2JSL14UndefinedValueEv1154($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZNK8JSObject16inDictionaryModeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject12lastPropertyEv($2); //@line 1062 "./jsobjinlines.h"
  var $4=__ZNK2js5Shape12inDictionaryEv($3); //@line 1062 "./jsobjinlines.h"
  ;
  return $4; //@line 1062 "./jsobjinlines.h"
}


function __ZL12EmitObjectOpP9JSContextP11JSObjectBox4JSOpP15JSCodeGenerator($cx, $objbox, $op, $cg) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$objbox;
  $3=$op;
  $4=$cg;
  var $5=$1; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $6=$3; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $7=$4; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $8=(($7+292)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $9=$2; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $10=__ZN14JSCGObjectList5indexEP11JSObjectBox($8, $9); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $11=$4; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $12=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($5, $6, $10, $11, 0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $13=(($12)&1); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return $13; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZL16OptimizeSpanDepsP9JSContextP15JSCodeGenerator($cx, $cg) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pc;
      var $oldpc;
      var $base;
      var $limit;
      var $next;
      var $sd;
      var $sd2;
      var $sdbase;
      var $sdlimit;
      var $sdtop;
      var $guard=__stackBase__;
      var $offset;
      var $growth;
      var $delta;
      var $top;
      var $pivot;
      var $span;
      var $length;
      var $target;
      var $done;
      var $op;
      var $type;
      var $sn;
      var $snlimit;
      var $spec;
      var $i;
      var $n;
      var $noteIndex;
      var $tryNode;
      var $passes=__stackBase__+16;
      var $4=__stackBase__+20;
      var $deltaFromTop;
      var $5;
      var $size;
      $2=$cx;
      $3=$cg;
      HEAP32[(($4)>>2)]=0; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN7mozilla9DebugOnlyIiEC1ERKi($passes, $4); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$3; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+172)|0); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $base=$10; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$3; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+208)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sdbase=$13; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$sdbase; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+220)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($14+($17<<4))|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sdlimit=$18; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$3; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+172)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+8)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$3; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+172)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$23; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$28; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($29-$30)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$31; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $growth=0; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $done=1; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=0; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pivot=-1; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=-1; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sdtop=0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=0; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $op=0; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $type=0; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$sdbase; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$33; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $35=$sd; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$sdlimit; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($37) { __label__ = 4; break; } else { __label__ = 39; break; } //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $39=$delta; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$sd; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40+4)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+$39)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($41)>>2)]=$43; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$sd; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$top; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($46)|0)!=(($47)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $50=$sd; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sdtop=$50; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$sd; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$53; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$sd; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54+4)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pivot=$56; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$base; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$top; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($57+$58)|0); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$59; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$pc; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=HEAPU8[($60)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($61)&255); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $op=$62; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$op; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=((_js_CodeSpec+($63<<3))|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64+4)|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$66 & 31; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $type=$67; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=$type; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68-9)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69)>>>0) <= 2; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($70) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 38; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $74=$type; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=(($74-9)|0); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75)>>>0) <= 2; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($76) { __label__ = 37; break; } else { __label__ = 9; break; } //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $78=$sd; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78+12)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=$80; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$81 & -2; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$82; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83)|0)!=0; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($84) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $86=$sd; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86+12)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=$88; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=$89 & -2; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=$90; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=(($91)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$pivot; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($93-$94)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98 = $95;__label__ = 12; break; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $98 = 0;__label__ = 12; break; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $98; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $span=$98; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=$span; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=(($99)|0) < -32768; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($100) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $102=$span; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=32767 < (($102)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($103) { __label__ = 14; break; } else { __label__ = 36; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $deltaFromTop=0; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $done=0; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$op; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($105)|0) == 6) {
        __label__ = 15; break;
      }
      else if ((($105)|0) == 7) {
        __label__ = 16; break;
      }
      else if ((($105)|0) == 8) {
        __label__ = 17; break;
      }
      else if ((($105)|0) == 68) {
        __label__ = 18; break;
      }
      else if ((($105)|0) == 69) {
        __label__ = 19; break;
      }
      else if ((($105)|0) == 116) {
        __label__ = 20; break;
      }
      else if ((($105)|0) == 121) {
        __label__ = 21; break;
      }
      else if ((($105)|0) == 122) {
        __label__ = 22; break;
      }
      else if ((($105)|0) == 70) {
        __label__ = 23; break;
      }
      else if ((($105)|0) == 71) {
        __label__ = 24; break;
      }
      else {
      __label__ = 25; break;
      }
      
    case 15: 
      $op=141; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      $op=142; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      $op=143; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      $op=144; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      $op=145; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      $op=146; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      $op=147; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $op=148; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      $op=149; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      $op=150; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $117=$2; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=$3; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL23ReportStatementTooLargeP9JSContextP15JSCodeGenerator($117, $118); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 114; break; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $120=$op; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=(($120) & 255); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$pc; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($122)]=$121; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$sdtop; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd2=$123; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $125=$sd2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $126=$sdlimit; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $127=(($125)>>>0) < (($126)>>>0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($127) { __label__ = 28; break; } else { var $135 = 0;__label__ = 29; break; } //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $129=$sd2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=(($129)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$top; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=(($131)|0)==(($132)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135 = $133;__label__ = 29; break;
    case 29: 
      var $135;
      if ($135) { __label__ = 30; break; } else { __label__ = 35; break; }
    case 30: 
      var $137=$sd2; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=$sd; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=(($137)>>>0) <= (($138)>>>0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($139) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $141=$deltaFromTop; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=$sd2; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($142+4)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=(($144+$141)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($143)>>2)]=$145; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=$deltaFromTop; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=(($146+2)|0); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $deltaFromTop=$147; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 33; break; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $149=$delta; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=$sd2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $151=(($150+4)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=(($152+$149)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($151)>>2)]=$153; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 33; break;
    case 33: 
      var $155=$delta; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=(($155+2)|0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$156; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $157=$3; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $158=(($157+212)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $160=$sd2; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $161=(($160+4)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL17UpdateJumpTargetsP12JSJumpTargetii($159, $162, 2); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $164=$sd2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $165=(($164+16)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd2=$165; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      var $167=$sd2; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=(($167-16)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$168; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 36; break; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      __label__ = 37; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      __label__ = 38; break; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      var $172=$sd; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $173=(($172+16)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$173; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      var $175=$delta; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $176=$growth; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $177=(($176+$175)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $growth=$177; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 40; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      var $179=$done; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $180=(($179)|0)!=0; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $181=$180 ^ 1; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($181) { __label__ = 2; break; } else { __label__ = 41; break; } //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      var $183=$growth; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $184=(($183)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($184) { __label__ = 42; break; } else { __label__ = 47; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      var $186=$3; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $187=(($186+172)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $188=HEAP32[(($187)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $189=(($188+4)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $limit=$190; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $191=$offset; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $192=$growth; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $193=(($191+$192)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $length=$193; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $194=$base; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $195=$length; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $196=(($194+$195)|0); //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$196; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $197=$next; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $198=$limit; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $199=(($197)>>>0) > (($198)>>>0); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($199) { __label__ = 43; break; } else { __label__ = 46; break; } //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 43: 
      var $201=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $202=$base; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $203=$length; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $204=(($203)|0); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $205=__ZN9JSContext8realloc_EPvj($201, $202, $204); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $base=$205; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $206=$base; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $207=(($206)|0)!=0; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($207) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $209=$2; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($209); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 114; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 45: 
      var $211=$base; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $212=$3; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $213=(($212+172)|0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $215=(($214)|0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($215)>>2)]=$211; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $216=$base; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $217=$length; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $218=(($216+$217)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $next=$218; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $219=$3; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $220=(($219+172)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $221=HEAP32[(($220)>>2)]; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $222=(($221+4)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($222)>>2)]=$218; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 46; break; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 46: 
      var $224=$next; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $225=$3; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $226=(($225+172)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $228=(($227+8)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($228)>>2)]=$224; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $229=(($guard)|0); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($229)>>2)]=-1; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $230=$offset; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $231=$growth; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $232=(($230+$231)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $233=(($guard+4)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($233)>>2)]=$232; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $234=$offset; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $235=(($guard+8)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($235)>>2)]=$234; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $236=(($guard+12)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($236)>>2)]=0; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 47; break; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 47: 
      $top=-1; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 48: 
      var $239=$sd; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $240=(($239-16)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$240; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $241=$sdbase; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $242=(($240)>>>0) >= (($241)>>>0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($242) { __label__ = 49; break; } else { __label__ = 65; break; } //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 49: 
      var $244=$sd; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $245=(($244)|0); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $246=HEAP32[(($245)>>2)]; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $247=$top; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $248=(($246)|0)!=(($247)|0); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($248) { __label__ = 50; break; } else { __label__ = 57; break; } //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 50: 
      var $250=$sd; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $251=(($250)|0); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $252=HEAP32[(($251)>>2)]; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$252; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $253=$top; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $254=$base; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $255=(($254+$253)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $256=HEAPU8[($255)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $257=(($256)&255); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $op=$257; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $258=$op; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $259=((_js_CodeSpec+($258<<3))|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $260=(($259+4)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $262=$261 & 31; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $type=$262; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $263=$sd; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $264=(($263-16)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd2=$264; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 51; break; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 51: 
      var $266=$sd2; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $267=$sdbase; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $268=(($266)>>>0) >= (($267)>>>0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($268) { __label__ = 52; break; } else { var $276 = 0;__label__ = 53; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 52: 
      var $270=$sd2; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $271=(($270)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $272=HEAP32[(($271)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $273=$top; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $274=(($272)|0)==(($273)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $276 = $274;__label__ = 53; break;
    case 53: 
      var $276;
      if ($276) { __label__ = 54; break; } else { __label__ = 56; break; }
    case 54: 
      __label__ = 55; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 55: 
      var $279=$sd2; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $280=(($279-16)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd2=$280; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 51; break; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 56: 
      var $282=$sd2; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $283=(($282+16)|0); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd2=$283; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $284=$sd2; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $285=(($284+4)|0); //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $286=HEAP32[(($285)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pivot=$286; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 57; break; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 57: 
      var $288=$base; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $289=$sd; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $290=(($289+8)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $291=HEAP32[(($290)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $292=(($288+$291)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $oldpc=$292; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $293=$sd; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $294=(($293+12)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $295=HEAP32[(($294)>>2)]; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $296=$295; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $297=$296 & -2; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $298=$297; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $299=(($298)|0)!=0; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($299) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 58: 
      var $301=$sd; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $302=(($301+12)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $303=HEAP32[(($302)>>2)]; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $304=$303; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $305=$304 & -2; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $306=$305; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $307=(($306)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $308=HEAP32[(($307)>>2)]; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $309=$pivot; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $310=(($308-$309)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $313 = $310;__label__ = 60; break; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 59: 
      var $313 = 0;__label__ = 60; break; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 60: 
      var $313; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $span=$313; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $314=$type; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $315=(($314-9)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $316=(($315)>>>0) <= 2; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($316) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 61: 
      var $318=$span; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $319=$318 >> 8; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $320=(($319) & 255); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $321=$oldpc; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $322=(($321+1)|0); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($322)]=$320; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $323=$span; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $324=(($323) & 255); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $325=$oldpc; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $326=(($325+2)|0); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($326)]=$324; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 62: 
      var $328=$base; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $329=$sd; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $330=(($329+4)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $331=HEAP32[(($330)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $332=(($328+$331)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc=$332; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $333=$offset; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $334=$sd; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $335=(($334+8)|0); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $336=HEAP32[(($335)>>2)]; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $337=(($333-$336)|0); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$337; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $338=$sd; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $339=(($338+8)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $340=HEAP32[(($339)>>2)]; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $341=(($340+1)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$341; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $342=$delta; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $343=(($342-3)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $344=(($343)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $size=$344; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $345=$size; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $346=(($345)|0)!=0; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($346) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 63: 
      var $348=$pc; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $349=(($348+1)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $350=(($349+4)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $351=$oldpc; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $352=(($351+1)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $353=(($352+2)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $354=$size; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _llvm_memmove_p0i8_p0i8_i32($350, $353, $354, 1, 0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 64; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 64: 
      var $356=$span; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $357=$356 >> 24; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $358=(($357) & 255); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $359=$pc; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $360=(($359+1)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($360)]=$358; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $361=$span; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $362=$361 >> 16; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $363=(($362) & 255); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $364=$pc; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $365=(($364+2)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($365)]=$363; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $366=$span; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $367=$366 >> 8; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $368=(($367) & 255); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $369=$pc; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $370=(($369+3)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($370)]=$368; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $371=$span; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $372=(($371) & 255); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $373=$pc; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $374=(($373+4)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($374)]=$372; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 48; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 65: 
      var $376=$growth; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $377=(($376)|0)!=0; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($377) { __label__ = 66; break; } else { __label__ = 113; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 66: 
      $growth=0; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=0; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $379=$sdbase; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$379; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $380=$3; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $381=(($380+140)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $382=(($381+12)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $383=HEAP32[(($382)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$383; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $384=$sn; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $385=$3; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $386=(($385+140)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $387=(($386+16)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $388=HEAP32[(($387)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $389=(($384+$388)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $snlimit=$389; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 67; break; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 67: 
      var $391=$sn; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $392=$snlimit; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $393=(($391)>>>0) < (($392)>>>0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($393) { __label__ = 68; break; } else { __label__ = 106; break; } //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 68: 
      var $395=$sn; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $396=HEAPU8[($395)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $397=(($396)&255); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $398=$397 >> 3; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $399=(($398)|0) >= 24; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($399) { __label__ = 69; break; } else { __label__ = 70; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 69: 
      var $401=$sn; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $402=HEAPU8[($401)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $403=(($402)&255); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $404=$403 & 63; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $411 = $404;__label__ = 71; break; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 70: 
      var $406=$sn; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $407=HEAPU8[($406)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $408=(($407)&255); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $409=$408 & 7; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $411 = $409;__label__ = 71; break; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 71: 
      var $411; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $412=$offset; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $413=(($412+$411)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$413; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 72; break; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 72: 
      var $415=$sd; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $416=$sdlimit; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $417=(($415)>>>0) < (($416)>>>0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($417) { __label__ = 73; break; } else { var $425 = 0;__label__ = 74; break; } //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 73: 
      var $419=$sd; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $420=(($419+8)|0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $421=HEAP32[(($420)>>2)]; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $422=$offset; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $423=(($421)|0) < (($422)|0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $425 = $423;__label__ = 74; break;
    case 74: 
      var $425;
      if ($425) { __label__ = 75; break; } else { __label__ = 82; break; }
    case 75: 
      var $427=$sd; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $428=(($427+16)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd2=$428; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $429=$sd2; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $430=$sdlimit; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $431=(($429)|0)==(($430)|0); //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($431) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 76: 
      $sd2=$guard; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 77; break; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 77: 
      var $434=$sd2; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $435=(($434+4)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $436=HEAP32[(($435)>>2)]; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $437=$sd2; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $438=(($437+8)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $439=HEAP32[(($438)>>2)]; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $440=$growth; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $441=(($439+$440)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $442=(($436-$441)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$442; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $443=$delta; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $444=(($443)|0) > 0; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($444) { __label__ = 78; break; } else { __label__ = 81; break; } //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 78: 
      var $446=$2; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $447=$3; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $448=$sn; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $449=$delta; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $450=_js_AddToSrcNoteDelta($446, $447, $448, $449); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$450; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $451=$sn; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $452=(($451)|0)!=0; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($452) { __label__ = 80; break; } else { __label__ = 79; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 79: 
      $1=0; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 114; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 80: 
      var $455=$3; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $456=(($455+140)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $457=(($456+12)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $458=HEAP32[(($457)>>2)]; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $459=$3; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $460=(($459+140)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $461=(($460+16)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $462=HEAP32[(($461)>>2)]; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $463=(($458+$462)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $snlimit=$463; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $464=$delta; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $465=$growth; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $466=(($465+$464)|0); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $growth=$466; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 81; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 81: 
      var $468=$sd; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $469=(($468+16)|0); //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$469; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 72; break; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 82: 
      var $471=$sn; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $472=HEAPU8[($471)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $473=(($472)&255); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $474=$473 >> 3; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $475=(($474)|0) >= 24; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($475) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 83: 
      var $483 = 24;__label__ = 85; break; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 84: 
      var $478=$sn; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $479=HEAPU8[($478)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $480=(($479)&255); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $481=$480 >> 3; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $483 = $481;__label__ = 85; break; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 85: 
      var $483; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $484=((_js_SrcNoteSpec+($483<<3))|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $spec=$484; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $485=$spec; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $486=(($485+6)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $487=HEAP8[($486)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $488=(($487 << 24) >> 24)!=0; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($488) { __label__ = 86; break; } else { __label__ = 98; break; } //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 86: 
      var $490=$offset; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $491=$spec; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $492=(($491+5)|0); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $493=HEAPU8[($492)]; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $494=(($493)&255); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $495=(($490+$494)|0); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pivot=$495; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $496=$spec; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $497=(($496+4)|0); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $498=HEAP8[($497)]; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $499=(($498 << 24) >> 24); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $n=$499; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=0; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 87; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 87: 
      var $501=$i; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $502=$n; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $503=(($501)>>>0) < (($502)>>>0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($503) { __label__ = 88; break; } else { __label__ = 97; break; } //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 88: 
      var $505=$sn; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $506=$i; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $507=_js_GetSrcNoteOffset($505, $506); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $span=$507; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $508=$span; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $509=(($508)|0)==0; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($509) { __label__ = 89; break; } else { __label__ = 90; break; } //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 89: 
      __label__ = 96; break; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 90: 
      var $512=$pivot; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $513=$span; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $514=$spec; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $515=(($514+6)|0); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $516=HEAP8[($515)]; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $517=(($516 << 24) >> 24); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $518=(($513*$517)|0); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $519=(($512+$518)|0); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $target=$519; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $520=$3; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $521=$target; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $522=$target; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $523=$pivot; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $524=(($522)|0) >= (($523)|0); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($524) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 91: 
      var $526=$sd; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $527=$sdbase; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $528=$526; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $529=$527; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $530=(($528-$529)|0); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $531=(((($530)|0)/16)&-1); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $534 = $531;__label__ = 93; break; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 92: 
      var $534 = 0;__label__ = 93; break; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 93: 
      var $534; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $535=__ZL18FindNearestSpanDepP15JSCodeGeneratoriiP9JSSpanDep($520, $521, $534, $guard); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd2=$535; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $536=$sd2; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $537=(($536+4)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $538=HEAP32[(($537)>>2)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $539=$sd2; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $540=(($539+8)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $541=HEAP32[(($540)>>2)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $542=(($538-$541)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $543=$target; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $544=(($543+$542)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $target=$544; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $545=$target; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $546=$pivot; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $547=$growth; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $548=(($546+$547)|0); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $549=(($545-$548)|0); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $span=$549; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $550=$spec; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $551=(($550+6)|0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $552=HEAP8[($551)]; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $553=(($552 << 24) >> 24); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $554=$span; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $555=(($554*$553)|0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $span=$555; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $556=$sn; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $557=$3; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $558=(($557+140)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $559=(($558+12)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $560=HEAP32[(($559)>>2)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $561=$556; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $562=$560; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $563=(($561-$562)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $noteIndex=$563; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $564=$2; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $565=$3; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $566=$noteIndex; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $567=$i; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $568=$span; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $569=_js_SetSrcNoteOffset($564, $565, $566, $567, $568); //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $570=(($569)|0)!=0; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($570) { __label__ = 95; break; } else { __label__ = 94; break; } //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 94: 
      $1=0; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 114; break; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 95: 
      var $573=$3; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $574=(($573+140)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $575=(($574+12)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $576=HEAP32[(($575)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $577=$noteIndex; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $578=(($576+$577)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$578; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $579=$3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $580=(($579+140)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $581=(($580+12)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $582=HEAP32[(($581)>>2)]; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $583=$3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $584=(($583+140)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $585=(($584+16)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $586=HEAP32[(($585)>>2)]; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $587=(($582+$586)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $snlimit=$587; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 96; break; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 96: 
      var $589=$i; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $590=(($589+1)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$590; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 87; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 97: 
      __label__ = 98; break; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 98: 
      __label__ = 99; break; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 99: 
      var $594=$sn; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $595=$sn; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $596=HEAPU8[($595)]; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $597=(($596)&255); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $598=$597 >> 3; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $599=(($598)|0) >= 24; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($599) { __label__ = 100; break; } else { __label__ = 101; break; } //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 100: 
      var $607 = 24;__label__ = 102; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 101: 
      var $602=$sn; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $603=HEAPU8[($602)]; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $604=(($603)&255); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $605=$604 >> 3; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $607 = $605;__label__ = 102; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 102: 
      var $607; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $608=((_js_SrcNoteSpec+($607<<3))|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $609=(($608+4)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $610=HEAP8[($609)]; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $611=(($610 << 24) >> 24); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $612=(($611)|0)==0; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($612) { __label__ = 103; break; } else { __label__ = 104; break; } //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 103: 
      var $618 = 1;__label__ = 105; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 104: 
      var $615=$sn; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $616=_js_SrcNoteLength($615); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $618 = $616;__label__ = 105; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 105: 
      var $618; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $619=(($594+$618)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$619; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 67; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 106: 
      var $621=$growth; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $622=$3; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $623=(($622+140)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $624=(($623+24)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $625=HEAP32[(($624)>>2)]; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $626=(($625+$621)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($624)>>2)]=$626; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $627=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $628=(($627+204)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $629=HEAP32[(($628)>>2)]; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tryNode=$629; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 107; break; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 107: 
      var $631=$tryNode; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $632=(($631)|0)!=0; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($632) { __label__ = 108; break; } else { __label__ = 112; break; } //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 108: 
      var $634=$tryNode; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $635=(($634)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $636=(($635+4)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $637=HEAP32[(($636)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$637; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $638=$3; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $639=$offset; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $640=__ZL18FindNearestSpanDepP15JSCodeGeneratoriiP9JSSpanDep($638, $639, 0, $guard); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$640; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $641=$sd; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $642=(($641+4)|0); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $643=HEAP32[(($642)>>2)]; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $644=$sd; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $645=(($644+8)|0); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $646=HEAP32[(($645)>>2)]; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $647=(($643-$646)|0); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$647; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $648=$offset; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $649=$delta; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $650=(($648+$649)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $651=$tryNode; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $652=(($651)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $653=(($652+4)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($653)>>2)]=$650; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $654=$tryNode; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $655=(($654)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $656=(($655+8)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $657=HEAP32[(($656)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $length=$657; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $658=$3; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $659=$offset; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $660=$length; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $661=(($659+$660)|0); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $662=$sd; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $663=$sdbase; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $664=$662; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $665=$663; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $666=(($664-$665)|0); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $667=(((($666)|0)/16)&-1); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $668=__ZL18FindNearestSpanDepP15JSCodeGeneratoriiP9JSSpanDep($658, $661, $667, $guard); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd2=$668; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $669=$sd2; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $670=$sd; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $671=(($669)|0)!=(($670)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($671) { __label__ = 109; break; } else { __label__ = 110; break; } //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 109: 
      var $673=$length; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $674=$sd2; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $675=(($674+4)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $676=HEAP32[(($675)>>2)]; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $677=(($673+$676)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $678=$sd2; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $679=(($678+8)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $680=HEAP32[(($679)>>2)]; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $681=(($677-$680)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $682=$delta; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $683=(($681-$682)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $684=$tryNode; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $685=(($684)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $686=(($685+8)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($686)>>2)]=$683; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 110; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 110: 
      __label__ = 111; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 111: 
      var $689=$tryNode; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $690=(($689+12)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $691=HEAP32[(($690)>>2)]; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tryNode=$691; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 107; break; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 112: 
      __label__ = 113; break; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 113: 
      var $694=$2; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $695=$3; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $696=(($695+208)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $697=HEAP32[(($696)>>2)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $698=$697; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN9JSContext5free_EPv($694, $698); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $699=$3; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $700=(($699+208)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($700)>>2)]=0; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $701=$3; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $702=$3; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $703=(($702+212)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $704=HEAP32[(($703)>>2)]; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL15FreeJumpTargetsP15JSCodeGeneratorP12JSJumpTarget($701, $704); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $705=$3; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $706=(($705+212)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($706)>>2)]=0; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $707=$3; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $708=(($707+224)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($708)>>2)]=0; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $709=$3; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $710=(($709+220)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($710)>>2)]=0; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $711=$3; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $712=(($711+172)|0); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $713=HEAP32[(($712)>>2)]; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $714=(($713+8)|0); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $715=HEAP32[(($714)>>2)]; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $716=$3; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $717=(($716+172)|0); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $718=HEAP32[(($717)>>2)]; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $719=(($718)|0); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $720=HEAP32[(($719)>>2)]; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $721=$715; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $722=$720; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $723=(($721-$722)|0); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $724=$3; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $725=(($724+228)|0); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($725)>>2)]=$723; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $5=1;
      __label__ = 114; break; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 114: 
      __ZN7mozilla9DebugOnlyIiED1Ev($passes); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $727=$1; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $727; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16OptimizeSpanDepsP9JSContextP15JSCodeGenerator["X"]=1;

function _js_SrcNoteLength($sn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $arity;
      var $base;
      $1=$sn;
      var $2=$1; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $3=HEAPU8[($2)]; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4=(($3)&255); //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=$4 >> 3; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5)|0) >= 24; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $14 = 24;__label__ = 4; break; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $9=$1; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAPU8[($9)]; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10)&255); //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$11 >> 3; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14 = $12;__label__ = 4; break; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $14; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=((_js_SrcNoteSpec+($14<<3))|0); //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+4)|0); //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=HEAP8[($16)]; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17 << 24) >> 24); //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $arity=$18; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$1; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+1)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$20; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $base=$19; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $22=$arity; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22)|0)!=0; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $25=$1; //@line 7576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAPU8[($25)]; //@line 7576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)&255); //@line 7576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27 & 128; //@line 7576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28)|0)!=0; //@line 7576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 7576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $31=$1; //@line 7577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+2)|0); //@line 7577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$32; //@line 7577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 7577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      __label__ = 9; break; //@line 7578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $35=$1; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+1)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$36; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$arity; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37-1)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $arity=$38; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $40=$1; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$base; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$40; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$41; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($42-$43)|0); //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $44; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_SrcNoteLength["X"]=1;

function _js_GetSrcNoteOffset($sn, $which) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$sn;
      $3=$which;
      var $4=$2; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4+1)|0); //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $2=$5; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $7=$3; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0)!=0; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $10=$2; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAPU8[($10)]; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)&255); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$12 & 128; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)|0)!=0; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $16=$2; //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+2)|0); //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $2=$17; //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      __label__ = 6; break; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $20=$2; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20+1)|0); //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $2=$21; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$3; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22-1)|0); //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $3=$23; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $25=$2; //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAPU8[($25)]; //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)&255); //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27 & 128; //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28)|0)!=0; //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $31=$2; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)|0); //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=HEAPU8[($32)]; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)&255); //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$34 & 127; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$35 << 16; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$2; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37+1)|0); //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=HEAPU8[($38)]; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)&255); //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$40 << 8; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$36 | $41; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$2; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43+2)|0); //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=HEAPU8[($44)]; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45)&255); //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$42 | $46; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$47; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $49=$2; //@line 7597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=HEAPU8[($49)]; //@line 7597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50)&255); //@line 7597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$51; //@line 7597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 7597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $53=$1; //@line 7598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $53; //@line 7598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_GetSrcNoteOffset["X"]=1;

function __ZN14JSCGObjectList6finishEP13JSObjectArray($this, $array) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cursor;
      var $objbox;
      $1=$this;
      $2=$array;
      var $3=$1;
      var $4=$2; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4)|0); //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$2; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+4)|0); //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($6+($9<<2))|0); //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cursor=$10; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($3+4)|0); //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $objbox=$12; //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $14=$cursor; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14-4)|0); //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cursor=$15; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$objbox; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+8)|0); //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$cursor; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $21=$objbox; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+4)|0); //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $objbox=$23; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0)!=0; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($24) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      ;
      return; //@line 7862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16EmitLevelManagerD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN16EmitLevelManagerD2Ev($2); //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZL12AllocSrcNoteP9JSContextP15JSCodeGenerator($cx, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $notes;
      var $newnotes;
      var $index;
      var $max;
      var $newlength;
      $2=$cx;
      $3=$cg;
      var $4=$3; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4+172)|0); //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+12)|0); //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $notes=$8; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$3; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+172)|0); //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+16)|0); //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$13; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$3; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+172)|0); //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+20)|0); //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $max=$18; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$index; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$max; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($19)|0)==(($20)|0); //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $23=$notes; //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0)!=0; //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $newlength=1024; //@line 7422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$2; //@line 7423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$newlength; //@line 7423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)|0); //@line 7423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=__ZN9JSContext7malloc_Ej($26, $28); //@line 7423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newnotes=$29; //@line 7423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 7424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $31=$max; //@line 7426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=((($31<<1))|0); //@line 7426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newlength=$32; //@line 7426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$2; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$notes; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$newlength; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35)|0); //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=__ZN9JSContext8realloc_EPvj($33, $34, $36); //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newnotes=$37; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break;
    case 5: 
      var $39=$newnotes; //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)|0)!=0; //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $42=$2; //@line 7430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($42); //@line 7430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=-1; //@line 7431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 7431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $44=$newnotes; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$3; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45+172)|0); //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+12)|0); //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($48)>>2)]=$44; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$newlength; //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$3; //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50+172)|0); //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+20)|0); //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($53)>>2)]=$49; //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 7435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $55=$index; //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($55+1)|0); //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$3; //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57+172)|0); //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59+16)|0); //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($60)>>2)]=$56; //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$index; //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$61; //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $63=$1; //@line 7439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $63; //@line 7439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12AllocSrcNoteP9JSContextP15JSCodeGenerator["X"]=1;

function _js_NewSrcNote3($cx, $cg, $type, $offset1, $offset2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $index;
      $2=$cx;
      $3=$cg;
      $4=$type;
      $5=$offset1;
      $6=$offset2;
      var $7=$2; //@line 7509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$3; //@line 7509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$4; //@line 7509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=_js_NewSrcNote($7, $8, $9); //@line 7509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$10; //@line 7509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$index; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0) >= 0; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $14=$2; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$index; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$5; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=_js_SetSrcNoteOffset($14, $15, $16, 0, $17); //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0)!=0; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $1=-1; //@line 7512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 7512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $22=$2; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$3; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$index; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$6; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=_js_SetSrcNoteOffset($22, $23, $24, 1, $25); //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0)!=0; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=-1; //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 7; break; //@line 7515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $31=$index; //@line 7516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$31; //@line 7516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 7516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $33=$1; //@line 7517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $33; //@line 7517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_AddToSrcNoteDelta($cx, $cg, $sn, $delta) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $base;
      var $limit;
      var $newdelta;
      var $diff;
      var $index;
      $2=$cx;
      $3=$cg;
      $4=$sn;
      $5=$delta;
      var $6=$4; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAPU8[($6)]; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)&255); //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8 >> 3; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0) >= 24; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $12=$4; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAPU8[($12)]; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)&255); //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$14 & 63; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22 = $15;__label__ = 4; break; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $17=$4; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAPU8[($17)]; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)&255); //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$19 & 7; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22 = $20;__label__ = 4; break; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $22; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $base=$22; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$4; //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=HEAPU8[($23)]; //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)&255); //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$25 >> 3; //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0) >= 24; //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27 ? 64 : 8; //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $limit=$28; //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$base; //@line 7549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$5; //@line 7549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($29+$30)|0); //@line 7549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newdelta=$31; //@line 7549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$newdelta; //@line 7550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$limit; //@line 7550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($32)|0) < (($33)|0); //@line 7550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 7550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $36=$4; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAPU8[($36)]; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)&255); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$38 >> 3; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)|0) >= 24; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($40) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $42=$newdelta; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$42 & 63; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=192 | $43; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44) & 255); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$4; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($46)]=$45; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68 = $46;__label__ = 11; break; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $48=$4; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=HEAPU8[($48)]; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=(($49)&255); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$50 >> 3; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51)|0) >= 24; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($52) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $60 = 24;__label__ = 10; break; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $55=$4; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=HEAPU8[($55)]; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56)&255); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$57 >> 3; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60 = $58;__label__ = 10; break; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $60; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$60 << 3; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$newdelta; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$62 & 7; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$61 | $63; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64) & 255); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$4; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($66)]=$65; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68 = $66;__label__ = 11; break; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $68; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break; //@line 7552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $70=$4; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$3; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=(($71+140)|0); //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=(($72+12)|0); //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$70; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$74; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($75-$76)|0); //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$77; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$3; //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78+140)|0); //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79+16)|0); //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$3; //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82+140)|0); //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83+20)|0); //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($81)|0)==(($85)|0); //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($86) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $88=$2; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=$3; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=__ZL12GrowSrcNotesP9JSContextP15JSCodeGenerator($88, $89); //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90)|0)!=0; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($91) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=0; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $94=$3; //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94+140)|0); //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=(($95+12)|0); //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=$index; //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=(($97+$98)|0); //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $4=$99; //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 16; break; //@line 7558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $101=$3; //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101+140)|0); //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=(($102+16)|0); //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$index; //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=(($104-$105)|0); //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $diff=$106; //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=$3; //@line 7560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=(($107+140)|0); //@line 7560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=(($108+16)|0); //@line 7560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 7560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=(($110+1)|0); //@line 7560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($109)>>2)]=$111; //@line 7560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=$4; //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=(($112+1)|0); //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=$4; //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=$diff; //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=(($115)|0); //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _llvm_memmove_p0i8_p0i8_i32($113, $114, $116, 1, 0); //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$5; //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=$117 & 63; //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=192 | $118; //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(($119) & 255); //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$4; //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($121)]=$120; //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$4; //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=(($122+1)|0); //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $4=$123; //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break;
    case 17: 
      var $125=$4; //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$125; //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $127=$1; //@line 7566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $127; //@line 7566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_AddToSrcNoteDelta["X"]=1;

function __ZL12GrowSrcNotesP9JSContextP15JSCodeGenerator($cx, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newlength;
      var $newnotes;
      $2=$cx;
      $3=$cg;
      var $4=$3; //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4+172)|0); //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+20)|0); //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=((($8<<1))|0); //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newlength=$9; //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$2; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$3; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+172)|0); //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+12)|0); //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$newlength; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=__ZN9JSContext8realloc_EPvj($10, $15, $16); //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $newnotes=$17; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$newnotes; //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0)!=0; //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $21=$2; //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($21); //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $23=$newnotes; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$3; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+172)|0); //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26+12)|0); //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($27)>>2)]=$23; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$newlength; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$3; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+172)|0); //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31+20)|0); //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($32)>>2)]=$28; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 7530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 7530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $34=$1; //@line 7531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $34; //@line 7531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23ReportStatementTooLargeP9JSContextP15JSCodeGenerator($cx, $cg) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$cg;
  var $3=$1; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $4=$2; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $5=__ZL13StatementNameP15JSCodeGenerator($4); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  _JS_ReportErrorNumber($3, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5,tempInt)); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  STACKTOP = __stackBase__;
  return; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function _js_FinishTakingSrcNotes($cx, $cg, $notes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $prologCount;
      var $mainCount;
      var $totalCount;
      var $offset;
      var $delta;
      var $sn;
      $2=$cx;
      $3=$cg;
      $4=$notes;
      var $5=$3; //@line 7697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+108)|0); //@line 7697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+16)|0); //@line 7697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 7697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $prologCount=$8; //@line 7697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$prologCount; //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0)!=0; //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $12=$3; //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+108)|0); //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+28)|0); //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$3; //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+188)|0); //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($15)|0)!=(($18)|0); //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 7698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $21=$3; //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+108)|0); //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$3; //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+172)|0); //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($24)>>2)]=$22; //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$2; //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$3; //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$3; //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27+188)|0); //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=_js_NewSrcNote2($25, $26, 23, $29); //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30)|0) < 0; //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 7701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 7701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $34=$3; //@line 7702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34+108)|0); //@line 7702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+16)|0); //@line 7702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 7702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $prologCount=$37; //@line 7702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$3; //@line 7703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+140)|0); //@line 7703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$3; //@line 7703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40+172)|0); //@line 7703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 7703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 24; break; //@line 7704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $43=$3; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43+108)|0); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44+8)|0); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$3; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+108)|0); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48)|0); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$46; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$50; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($51-$52)|0); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$3; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54+108)|0); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($55+24)|0); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($53-$57)|0); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$58; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$offset; //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59)|0) > 0; //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($60) { __label__ = 7; break; } else { __label__ = 23; break; } //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $62=$3; //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62+140)|0); //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($63+16)|0); //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65)|0)!=0; //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($66) { __label__ = 8; break; } else { __label__ = 23; break; } //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $68=$3; //@line 7716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68+140)|0); //@line 7716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69+12)|0); //@line 7716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 7716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$71; //@line 7716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=$sn; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=HEAPU8[($72)]; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73)&255); //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$74 >> 3; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75)|0) >= 24; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($76) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $78=$sn; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=HEAPU8[($78)]; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79)&255); //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=$80 & 63; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=((63-$81)|0); //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90 = $82;__label__ = 11; break; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $84=$sn; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=HEAPU8[($84)]; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85)&255); //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$86 & 7; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=((7-$87)|0); //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90 = $88;__label__ = 11; break; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $90; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$90; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=$offset; //@line 7720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=$delta; //@line 7720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=(($91)|0) < (($92)|0); //@line 7720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($93) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 7720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $95=$offset; //@line 7721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$95; //@line 7721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 7721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      __label__ = 14; break; //@line 7722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $98=$2; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=$3; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$sn; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=$delta; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=_js_AddToSrcNoteDelta($98, $99, $100, $101); //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=(($102)|0)!=0; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($103) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      $1=0; //@line 7724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 7724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $106=$delta; //@line 7725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=$offset; //@line 7725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=(($107-$106)|0); //@line 7725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $offset=$108; //@line 7725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=$offset; //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=(($109)|0)==0; //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($110) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      __label__ = 22; break; //@line 7727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $113=$offset; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=(($113)|0) < 63; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($114) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $116=$offset; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119 = $116;__label__ = 21; break; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $119 = 63;__label__ = 21; break; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $119; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $delta=$119; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=$3; //@line 7729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=(($120+140)|0); //@line 7729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=(($121+12)|0); //@line 7729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 7729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sn=$123; //@line 7729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 14; break; //@line 7730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      __label__ = 23; break; //@line 7731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $127=$3; //@line 7734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=(($127+140)|0); //@line 7734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=(($128+16)|0); //@line 7734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 7734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $mainCount=$130; //@line 7734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=$prologCount; //@line 7735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$mainCount; //@line 7735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=(($131+$132)|0); //@line 7735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $totalCount=$133; //@line 7735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=$prologCount; //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=(($134)|0)!=0; //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($135) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $137=$4; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=$3; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=(($138+108)|0); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=(($139+12)|0); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=$prologCount; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($142)|0); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert($143 % 1 === 0, 'memcpy given ' + $143 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($137, $141, $143, 1); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $145=$4; //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=$prologCount; //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=(($145+$146)|0); //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $148=$3; //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=(($148+140)|0); //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=(($149+12)|0); //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=$mainCount; //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=(($152)|0); //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert($153 % 1 === 0, 'memcpy given ' + $153 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($147, $151, $153, 1); //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=$totalCount; //@line 7739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=$4; //@line 7739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=(($155+$154)|0); //@line 7739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($156)]=0; //@line 7739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 7748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 7748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $158=$1; //@line 7749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $158; //@line 7749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_FinishTakingSrcNotes["X"]=1;

function _js_FinishTakingTryNotes($cg, $array) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $tryNode;
      var $tn;
      $1=$cg;
      $2=$array;
      var $3=$2; //@line 7785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4=(($3)|0); //@line 7785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 7785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$2; //@line 7785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+4)|0); //@line 7785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 7785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($5+$8*12)|0); //@line 7785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tn=$9; //@line 7785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$1; //@line 7786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+204)|0); //@line 7786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 7786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tryNode=$12; //@line 7786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 7787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $14=$tn; //@line 7788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14-12)|0); //@line 7788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tn=$15; //@line 7788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$tryNode; //@line 7788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0); //@line 7788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$15; //@line 7788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$17; //@line 7788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];HEAP32[(($18+8)>>2)]=HEAP32[(($19+8)>>2)]; //@line 7788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 7789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $21=$tryNode; //@line 7789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+12)|0); //@line 7789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 7789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $tryNode=$23; //@line 7789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0)!=0; //@line 7789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($24) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 7789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      ;
      return; //@line 7791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9DebugOnlyIN2js11BindingKindEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIN2js11BindingKindEEC2ERKS2_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE7destroyEPjS3_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN9JSContext12parseMapPoolEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+100)|0); //@line 1036 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1036 "./jscntxt.h"
  ;
  return $4; //@line 1036 "./jscntxt.h"
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE13copyConstructIjEEvPjPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZNK2js7MoveRefINS_15GlobalSlotArray5EntryEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+8)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_15GlobalSlotArray5EntryEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN13JSGCConstList6finishEP12JSConstArray($this, $array) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $src;
      var $srcend;
      var $dst;
      $1=$this;
      $2=$array;
      var $3=$1;
      var $4=(($3)|0); //@line 7868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE5beginEv($4); //@line 7868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $src=$5; //@line 7868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($3)|0); //@line 7868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE3endEv($6); //@line 7868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $srcend=$7; //@line 7868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$2; //@line 7869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0); //@line 7869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 7869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $dst=$10; //@line 7869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $12=$src; //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$srcend; //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($12)|0)!=(($13)|0); //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $16=$dst; //@line 7871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$src; //@line 7871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$16; //@line 7871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$17; //@line 7871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 7871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 7871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $21=$src; //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+8)|0); //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $src=$22; //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$dst; //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+8)|0); //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $dst=$24; //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 7870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      ;
      return; //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEE($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 120 "./frontend/ParseMaps.h"
  var $5=$4; //@line 120 "./frontend/ParseMaps.h"
  __ZN2js12ParseMapPool7recycleEPv($3, $5); //@line 120 "./frontend/ParseMaps.h"
  ;
  return; //@line 121 "./frontend/ParseMaps.h"
}


function __ZN2js12ParseMapPool7recycleEPv($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  HEAP32[(($2)>>2)]=$map;
  var $3=$1;
  var $4=(($3+140)|0); //@line 83 "./frontend/ParseMaps.h"
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE16infallibleAppendERKS1_($4, $2); //@line 83 "./frontend/ParseMaps.h"
  STACKTOP = __stackBase__;
  return; //@line 84 "./frontend/ParseMaps.h"
}


function _js_malloc1159($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE14internalAppendItEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $12 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      var $10=(($9)&65535); //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$10; //@line 776 "./jsvector.h"
      var $12 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $12; //@line 776 "./jsvector.h"
      var $13=(($3+8)|0); //@line 777 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 777 "./jsvector.h"
      var $15=(($14+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($13)>>2)]=$15; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj32EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE13moveConstructIjEEvPjPKT_S7_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE7destroyEPjS3_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIjLj8ES1_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIjLj8ES1_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc1160($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE13moveConstructIjEEvPjPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE13copyConstructIjEEvPjPKT_S7_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 776 "./jsvector.h"
      var $4=$3; //@line 776 "./jsvector.h"
      var $5=(($4)|0)==0; //@line 776 "./jsvector.h"
      if ($5) { var $12 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $7=$4; //@line 776 "./jsvector.h"
      var $8=$7; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=0; HEAP32[(($8+4)>>2)]=0; //@line 776 "./jsvector.h"
      var $9=$7; //@line 776 "./jsvector.h"
      var $10=$t; //@line 776 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 776 "./jsvector.h"
      var $12 = $7;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $12; //@line 776 "./jsvector.h"
      var $13=(($2+8)|0); //@line 777 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 777 "./jsvector.h"
      var $15=(($14+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($13)>>2)]=$15; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj128EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<3))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj16ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -268435456; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -268435456; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj16ES3_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=((($7<<3))|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $35 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$28; //@line 118 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; HEAP32[(($29+4)>>2)]=0; //@line 118 "./jsvector.h"
      var $30=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveINS_15GlobalSlotArray5EntryEEENS_7MoveRefIT_EERS4_($4, $30); //@line 118 "./jsvector.h"
      var $31=__ZNK2js7MoveRefINS_15GlobalSlotArray5EntryEEcvRS2_Ev($4); //@line 118 "./jsvector.h"
      var $32=$28; //@line 118 "./jsvector.h"
      var $33=$31; //@line 118 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 118 "./jsvector.h"
      var $35 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $35; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $37=$dst; //@line 117 "./jsvector.h"
      var $38=(($37+8)|0); //@line 117 "./jsvector.h"
      $dst=$38; //@line 117 "./jsvector.h"
      var $39=$src; //@line 117 "./jsvector.h"
      var $40=(($39+8)|0); //@line 117 "./jsvector.h"
      $src=$40; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $42=$2; //@line 119 "./jsvector.h"
      var $43=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($42); //@line 119 "./jsvector.h"
      var $44=$2; //@line 119 "./jsvector.h"
      var $45=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE10endNoCheckEv($44); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($43, $45); //@line 119 "./jsvector.h"
      var $46=$2; //@line 120 "./jsvector.h"
      var $47=$46; //@line 120 "./jsvector.h"
      var $48=$2; //@line 120 "./jsvector.h"
      var $49=(($48+4)|0); //@line 120 "./jsvector.h"
      var $50=HEAP32[(($49)>>2)]; //@line 120 "./jsvector.h"
      var $51=$50; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($47, $51); //@line 120 "./jsvector.h"
      var $52=$newbuf; //@line 121 "./jsvector.h"
      var $53=$2; //@line 121 "./jsvector.h"
      var $54=(($53+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($54)>>2)]=$52; //@line 121 "./jsvector.h"
      var $55=$3; //@line 123 "./jsvector.h"
      var $56=$2; //@line 123 "./jsvector.h"
      var $57=(($56+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($57)>>2)]=$55; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $59=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $59; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj16ES3_EEj["X"]=1;

function __ZN2js4MoveINS_15GlobalSlotArray5EntryEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_15GlobalSlotArray5EntryEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function _js_free1161($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_15GlobalSlotArray5EntryEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_15GlobalSlotArray5EntryEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+8)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+8)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEC2ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $22 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$15; //@line 93 "./jsvector.h"
      HEAP32[(($16)>>2)]=0; HEAP32[(($16+4)>>2)]=0; //@line 93 "./jsvector.h"
      var $17=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveINS_15GlobalSlotArray5EntryEEENS_7MoveRefIT_EERKS4_($4, $17); //@line 93 "./jsvector.h"
      var $18=__ZNK2js7MoveRefINS_15GlobalSlotArray5EntryEEcvRS2_Ev($4); //@line 93 "./jsvector.h"
      var $19=$15; //@line 93 "./jsvector.h"
      var $20=$18; //@line 93 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 93 "./jsvector.h"
      var $22 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $22; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $24=$p; //@line 92 "./jsvector.h"
      var $25=(($24+8)|0); //@line 92 "./jsvector.h"
      $p=$25; //@line 92 "./jsvector.h"
      var $26=$1; //@line 92 "./jsvector.h"
      var $27=(($26+8)|0); //@line 92 "./jsvector.h"
      $1=$27; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_15GlobalSlotArray5EntryEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_15GlobalSlotArray5EntryEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZNK2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 98, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $17=(($16+8)|0); //@line 1053 "./jshashtable.h"
      var $18=$5; //@line 1053 "./jshashtable.h"
      var $19=$17; //@line 1053 "./jshashtable.h"
      var $20=$18; //@line 1053 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $22=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $22; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+8)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*24)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEENS_7MoveRefIT_EERSB_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEaSENS_7MoveRefIS8_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+24)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*24)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*24)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*24)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*24)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+24)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEaSENS_7MoveRefIS8_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+8)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+8)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEENS_7MoveRefIT_EERS8_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEaSENS_7MoveRefIS5_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEENS_7MoveRefIT_EERSB_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEC1ERS9_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*24)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+24)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEC1ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEC2ERS9_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP6JSAtomEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP6JSAtomEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=(($4+8)|0); //@line 917 "./jshashtable.h"
  var $11=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $12=(($11+8)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERS4_($3, $12); //@line 917 "./jshashtable.h"
  var $13=__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $14=$10; //@line 917 "./jshashtable.h"
  var $15=$13; //@line 917 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 911 "./jshashtable.h"
  var $5=$4; //@line 911 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; HEAP32[(($5+4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 226 "./mfbt/InlineMap.h"
  HEAP32[(($3)>>2)]=0; //@line 226 "./mfbt/InlineMap.h"
  var $4=(($2+4)|0); //@line 227 "./mfbt/InlineMap.h"
  HEAP32[(($4)>>2)]=0; //@line 227 "./mfbt/InlineMap.h"
  ;
  return; //@line 228 "./mfbt/InlineMap.h"
}


function __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+4)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE8clearMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 145 "./frontend/ParseMaps.h"
  HEAP32[(($3)>>2)]=0; //@line 145 "./frontend/ParseMaps.h"
  ;
  return; //@line 145 "./frontend/ParseMaps.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP6JSAtomLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*24)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*24)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+8)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP6JSAtomLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomjLj24EEEEEPT_v($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js12ParseMapPool8allocateEv($2); //@line 62 "./frontend/ParseMaps-inl.h"
  var $4=$3; //@line 62 "./frontend/ParseMaps-inl.h"
  ;
  return $4; //@line 62 "./frontend/ParseMaps-inl.h"
}


function __ZN2js12ParseMapPool8allocateEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $map;
      $2=$this;
      var $3=$2;
      var $4=(($3+140)|0); //@line 75 "./frontend/ParseMaps-inl.h"
      var $5=__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5emptyEv($4); //@line 75 "./frontend/ParseMaps-inl.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./frontend/ParseMaps-inl.h"
    case 2: 
      var $7=__ZN2js12ParseMapPool13allocateFreshEv($3); //@line 76 "./frontend/ParseMaps-inl.h"
      $1=$7; //@line 76 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 76 "./frontend/ParseMaps-inl.h"
    case 3: 
      var $9=(($3+140)|0); //@line 78 "./frontend/ParseMaps-inl.h"
      var $10=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7popCopyEv($9); //@line 78 "./frontend/ParseMaps-inl.h"
      $map=$10; //@line 78 "./frontend/ParseMaps-inl.h"
      var $11=$map; //@line 79 "./frontend/ParseMaps-inl.h"
      var $12=__ZN2js12ParseMapPool9asAtomMapEPv($11); //@line 79 "./frontend/ParseMaps-inl.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EE5clearEv($12); //@line 79 "./frontend/ParseMaps-inl.h"
      var $13=$map; //@line 80 "./frontend/ParseMaps-inl.h"
      $1=$13; //@line 80 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 80 "./frontend/ParseMaps-inl.h"
    case 4: 
      var $15=$1; //@line 81 "./frontend/ParseMaps-inl.h"
      ;
      return $15; //@line 81 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7popCopyEv($this) {
  ;
  var __label__;

  var $1;
  var $ret;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE4backEv($2); //@line 906 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 906 "./jsvector.h"
  $ret=$4; //@line 906 "./jsvector.h"
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7popBackEv($2); //@line 907 "./jsvector.h"
  var $5=$ret; //@line 908 "./jsvector.h"
  ;
  return $5; //@line 908 "./jsvector.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-4)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+4)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E4initEj["X"]=1;

function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE7destroyEPjS3_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj32EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 178 "./frontend/ParseMaps.h"
  var $4=(($2+4)|0); //@line 178 "./frontend/ParseMaps.h"
  var $5=HEAP32[(($4)>>2)]; //@line 178 "./frontend/ParseMaps.h"
  __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE10releaseMapEP9JSContext($3, $5); //@line 178 "./frontend/ParseMaps.h"
  ;
  return; //@line 179 "./frontend/ParseMaps.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE10releaseMapEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 138 "./frontend/ParseMaps-inl.h"
      var $5=HEAP32[(($4)>>2)]; //@line 138 "./frontend/ParseMaps-inl.h"
      var $6=(($5)|0)!=0; //@line 138 "./frontend/ParseMaps-inl.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 138 "./frontend/ParseMaps-inl.h"
    case 2: 
      __label__ = 4; break; //@line 139 "./frontend/ParseMaps-inl.h"
    case 3: 
      var $9=$2; //@line 140 "./frontend/ParseMaps-inl.h"
      var $10=__ZN9JSContext12parseMapPoolEv($9); //@line 140 "./frontend/ParseMaps-inl.h"
      var $11=(($3)|0); //@line 140 "./frontend/ParseMaps-inl.h"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "./frontend/ParseMaps-inl.h"
      __ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomjLj24EEE($10, $12); //@line 140 "./frontend/ParseMaps-inl.h"
      var $13=(($3)|0); //@line 141 "./frontend/ParseMaps-inl.h"
      HEAP32[(($13)>>2)]=0; //@line 141 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 142 "./frontend/ParseMaps-inl.h"
    case 4: 
      ;
      return; //@line 142 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomjLj24EEE($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 116 "./frontend/ParseMaps.h"
  var $5=$4; //@line 116 "./frontend/ParseMaps.h"
  __ZN2js12ParseMapPool7recycleEPv($3, $5); //@line 116 "./frontend/ParseMaps.h"
  ;
  return; //@line 117 "./frontend/ParseMaps.h"
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEC2ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj32EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=8; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj128EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=16; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEC2ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsprvtd.h"
  var $4=$3; //@line 493 "./jsprvtd.h"
  var $5=$ap; //@line 493 "./jsprvtd.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsprvtd.h"
  var $6=(($2+4)|0); //@line 493 "./jsprvtd.h"
  var $7=(($2+16)|0); //@line 488 "./jsprvtd.h"
  var $8=__ZN7mozilla14AlignedStorageILj32EE4addrEv($7); //@line 488 "./jsprvtd.h"
  var $9=$8; //@line 488 "./jsprvtd.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsprvtd.h"
  var $10=(($2+8)|0); //@line 488 "./jsprvtd.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsprvtd.h"
  var $11=(($2+12)|0); //@line 488 "./jsprvtd.h"
  HEAP32[(($11)>>2)]=8; //@line 488 "./jsprvtd.h"
  var $12=(($2+16)|0); //@line 488 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES7_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  var $5=$2; //@line 985 "./jshashtable.h"
  var $6=$a; //@line 985 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EC1ESB_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EC1ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EC2ESB_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EC2ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEEC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$3; //@line 173 "./frontend/ParseMaps.h"
  var $5=(($3+4)|0); //@line 173 "./frontend/ParseMaps.h"
  var $6=$2; //@line 173 "./frontend/ParseMaps.h"
  HEAP32[(($5)>>2)]=$6; //@line 173 "./frontend/ParseMaps.h"
  var $7=$3; //@line 174 "./frontend/ParseMaps.h"
  __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE4initEv($7); //@line 174 "./frontend/ParseMaps.h"
  ;
  return; //@line 175 "./frontend/ParseMaps.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE4initEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE8clearMapEv($2); //@line 137 "./frontend/ParseMaps.h"
  ;
  return; //@line 137 "./frontend/ParseMaps.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE12switchAndAddERKS2_RKj($this, $key, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$key;
      $4=$value;
      var $5=$2;
      var $6=__ZN2js9InlineMapIP6JSAtomjLj24EE11switchToMapEv($5); //@line 109 "./mfbt/InlineMap.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 109 "./mfbt/InlineMap.h"
    case 2: 
      $1=0; //@line 110 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 110 "./mfbt/InlineMap.h"
    case 3: 
      var $9=(($5+200)|0); //@line 112 "./mfbt/InlineMap.h"
      var $10=$3; //@line 112 "./mfbt/InlineMap.h"
      var $11=$4; //@line 112 "./mfbt/InlineMap.h"
      var $12=__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKj($9, $10, $11); //@line 112 "./mfbt/InlineMap.h"
      $1=$12; //@line 112 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 112 "./mfbt/InlineMap.h"
    case 4: 
      var $14=$1; //@line 113 "./mfbt/InlineMap.h"
      ;
      return $14; //@line 113 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKj($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEC2ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP6JSAtomjEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP6JSAtomjEEEENS_7MoveRefIT_EERS6_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomjEaSENS_7MoveRefIS3_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP6JSAtomjEaSENS_7MoveRefIS3_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP6JSAtomEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP6JSAtomEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIjEENS_7MoveRefIT_EERS2_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIjEcvRjEv($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP6JSAtomjEEEENS_7MoveRefIT_EERS6_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEC1ERS4_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEC1ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEC2ERS4_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomjEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtomjEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP6JSAtomjEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE11switchToMapEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $it;
      var $end;
      $2=$this;
      var $3=$2;
      var $4=(($3+200)|0); //@line 88 "./mfbt/InlineMap.h"
      var $5=__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv($4); //@line 88 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 88 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($3+200)|0); //@line 89 "./mfbt/InlineMap.h"
      __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv($7); //@line 89 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 90 "./mfbt/InlineMap.h"
    case 3: 
      var $9=(($3+200)|0); //@line 91 "./mfbt/InlineMap.h"
      var $10=__ZN2js9InlineMapIP6JSAtomjLj24EE5countEv($3); //@line 91 "./mfbt/InlineMap.h"
      var $11=__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($9, $10); //@line 91 "./mfbt/InlineMap.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 91 "./mfbt/InlineMap.h"
    case 4: 
      $1=0; //@line 92 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 92 "./mfbt/InlineMap.h"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $15=(($3+8)|0); //@line 96 "./mfbt/InlineMap.h"
      var $16=(($15)|0); //@line 96 "./mfbt/InlineMap.h"
      $it=$16; //@line 96 "./mfbt/InlineMap.h"
      var $17=(($3+8)|0); //@line 96 "./mfbt/InlineMap.h"
      var $18=(($17)|0); //@line 96 "./mfbt/InlineMap.h"
      var $19=(($3)|0); //@line 96 "./mfbt/InlineMap.h"
      var $20=HEAP32[(($19)>>2)]; //@line 96 "./mfbt/InlineMap.h"
      var $21=(($18+($20<<3))|0); //@line 96 "./mfbt/InlineMap.h"
      $end=$21; //@line 96 "./mfbt/InlineMap.h"
      __label__ = 7; break; //@line 96 "./mfbt/InlineMap.h"
    case 7: 
      var $23=$it; //@line 96 "./mfbt/InlineMap.h"
      var $24=$end; //@line 96 "./mfbt/InlineMap.h"
      var $25=(($23)|0)!=(($24)|0); //@line 96 "./mfbt/InlineMap.h"
      if ($25) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 96 "./mfbt/InlineMap.h"
    case 8: 
      var $27=$it; //@line 97 "./mfbt/InlineMap.h"
      var $28=(($27)|0); //@line 97 "./mfbt/InlineMap.h"
      var $29=HEAP32[(($28)>>2)]; //@line 97 "./mfbt/InlineMap.h"
      var $30=(($29)|0)!=0; //@line 97 "./mfbt/InlineMap.h"
      if ($30) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 97 "./mfbt/InlineMap.h"
    case 9: 
      var $32=(($3+200)|0); //@line 97 "./mfbt/InlineMap.h"
      var $33=$it; //@line 97 "./mfbt/InlineMap.h"
      var $34=(($33)|0); //@line 97 "./mfbt/InlineMap.h"
      var $35=$it; //@line 97 "./mfbt/InlineMap.h"
      var $36=(($35+4)|0); //@line 97 "./mfbt/InlineMap.h"
      var $37=__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKj($32, $34, $36); //@line 97 "./mfbt/InlineMap.h"
      if ($37) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 97 "./mfbt/InlineMap.h"
    case 10: 
      $1=0; //@line 98 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 98 "./mfbt/InlineMap.h"
    case 11: 
      __label__ = 12; break; //@line 99 "./mfbt/InlineMap.h"
    case 12: 
      var $41=$it; //@line 96 "./mfbt/InlineMap.h"
      var $42=(($41+8)|0); //@line 96 "./mfbt/InlineMap.h"
      $it=$42; //@line 96 "./mfbt/InlineMap.h"
      __label__ = 7; break; //@line 96 "./mfbt/InlineMap.h"
    case 13: 
      var $44=(($3)|0); //@line 101 "./mfbt/InlineMap.h"
      HEAP32[(($44)>>2)]=25; //@line 101 "./mfbt/InlineMap.h"
      $1=1; //@line 104 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 104 "./mfbt/InlineMap.h"
    case 14: 
      var $46=$1; //@line 105 "./mfbt/InlineMap.h"
      ;
      return $46; //@line 105 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomjLj24EE11switchToMapEv["X"]=1;

function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKj($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $p=__stackBase__;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 1150 "./jshashtable.h"
  __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($p, $4, $5); //@line 1150 "./jshashtable.h"
  var $6=$2; //@line 1152 "./jshashtable.h"
  var $7=$3; //@line 1152 "./jshashtable.h"
  var $8=__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKj($4, $p, $6, $7); //@line 1152 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1152 "./jshashtable.h"
}


function __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP6JSAtomLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 144 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_jEE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 646 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 646 "./jshashtable.h"
  ;
  return $4; //@line 646 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 407 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 407 "./jshashtable.h"
  var $5=(($4)|0)!=0; //@line 407 "./jshashtable.h"
  var $6=$5 ^ 1; //@line 407 "./jshashtable.h"
  var $7=$6 ^ 1; //@line 407 "./jshashtable.h"
  ;
  return $7; //@line 407 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZL13StatementNameP15JSCodeGenerator($cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$cg;
      var $3=$2; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4=$3; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4+24)|0); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0)!=0; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=((STRING_TABLE.__ZL13js_script_str)|0); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $10=$2; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$10; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+24)|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAPU16[(($14)>>1)]; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)&65535); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=((__ZL13statementName+($16<<2))|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$18; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $20=$1; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $20; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16EmitLevelManagerD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $5=(($4+236)|0); //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $7=(($6-1)|0); //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($5)>>2)]=$7; //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZL18FindNearestSpanDepP15JSCodeGeneratoriiP9JSSpanDep($cg, $offset, $lo, $guard) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $num;
      var $hi;
      var $mid;
      var $sdbase;
      var $sd;
      $2=$cg;
      $3=$offset;
      $4=$lo;
      $5=$guard;
      var $6=$2; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6+220)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $num=$8; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$num; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9-1)|0); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $hi=$10; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$2; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+208)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sdbase=$13; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $15=$4; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$hi; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($15)|0) <= (($16)|0); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $19=$4; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$hi; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($19+$20)|0); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(((($21)|0)/2)&-1); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $mid=$22; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$sdbase; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$mid; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($23+($24<<4))|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$25; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$sd; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26+8)|0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$3; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($28)|0)==(($29)|0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $32=$sd; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$32; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $34=$sd; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34+8)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$3; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($36)|0) < (($37)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $40=$mid; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40+1)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $4=$41; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $43=$mid; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43-1)|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $hi=$44; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 2; break; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $47=$4; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$num; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($47)|0)==(($48)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $51=$5; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$51; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $53=$sdbase; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$4; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($53+($54<<4))|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$55; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$sd; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$56; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $58=$1; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $58; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18FindNearestSpanDepP15JSCodeGeneratoriiP9JSSpanDep["X"]=1;

function __ZNK2js5Shape12inDictionaryEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+29)|0); //@line 523 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 523 "./jsscope.h"
  var $5=(($4)&255); //@line 523 "./jsscope.h"
  var $6=$5 & 2; //@line 523 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 523 "./jsscope.h"
  ;
  return $7; //@line 523 "./jsscope.h"
}


function _BUILD_JSVAL1162($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_jEE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP6JSAtomLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 987 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11initializedEv($3); //@line 987 "./jshashtable.h"
  ;
  return $4; //@line 987 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1112 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5clearEv($3); //@line 1112 "./jshashtable.h"
  ;
  return; //@line 1112 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE5countEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomjLj24EE8usingMapEv($2); //@line 218 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 218 "./mfbt/InlineMap.h"
    case 2: 
      var $5=(($2+200)|0); //@line 218 "./mfbt/InlineMap.h"
      var $6=__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($5); //@line 218 "./mfbt/InlineMap.h"
      var $11 = $6;__label__ = 4; break; //@line 218 "./mfbt/InlineMap.h"
    case 3: 
      var $8=(($2+4)|0); //@line 218 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 218 "./mfbt/InlineMap.h"
      var $11 = $9;__label__ = 4; break; //@line 218 "./mfbt/InlineMap.h"
    case 4: 
      var $11; //@line 218 "./mfbt/InlineMap.h"
      ;
      return $11; //@line 218 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1090 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5countEv($3); //@line 1090 "./jshashtable.h"
  ;
  return $4; //@line 1090 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 608 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 608 "./jshashtable.h"
  var $5=$4; //@line 608 "./jshashtable.h"
  var $6=(($2+8)|0); //@line 608 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 608 "./jshashtable.h"
  var $8=(($7*12)|0); //@line 608 "./jshashtable.h"
  _memset($5, 0, $8, 1); //@line 608 "./jshashtable.h"
  var $9=(($2+20)|0); //@line 613 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 613 "./jshashtable.h"
  var $10=(($2+12)|0); //@line 614 "./jshashtable.h"
  HEAP32[(($10)>>2)]=0; //@line 614 "./jshashtable.h"
  ;
  return; //@line 618 "./jshashtable.h"
}


function __ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtr5foundEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 202 "./mfbt/InlineMap.h"
      var $4=HEAP8[($3)]; //@line 202 "./mfbt/InlineMap.h"
      var $5=(($4) & 1); //@line 202 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 202 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($2+13)|0); //@line 202 "./mfbt/InlineMap.h"
      var $8=HEAP8[($7)]; //@line 202 "./mfbt/InlineMap.h"
      var $9=(($8) & 1); //@line 202 "./mfbt/InlineMap.h"
      var $15 = $9;__label__ = 4; break; //@line 202 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 202 "./mfbt/InlineMap.h"
      var $12=$11; //@line 202 "./mfbt/InlineMap.h"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($12); //@line 202 "./mfbt/InlineMap.h"
      var $15 = $13;__label__ = 4; break; //@line 202 "./mfbt/InlineMap.h"
    case 4: 
      var $15; //@line 202 "./mfbt/InlineMap.h"
      ;
      return $15; //@line 202 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E6AddPtrE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 192 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E6AddPtrE($3, $4); //@line 192 "./jsprvtd.h"
  ;
  return; //@line 192 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC1EPNS3_10InlineElemEb($this, $ptr, $found) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ptr;
  var $4=(($found)&1);
  $3=$4;
  var $5=$1;
  var $6=$2; //@line 190 "./jsprvtd.h"
  var $7=$3; //@line 190 "./jsprvtd.h"
  var $8=(($7) & 1); //@line 190 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC2EPNS3_10InlineElemEb($5, $6, $8); //@line 190 "./jsprvtd.h"
  ;
  return; //@line 190 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC2EPNS3_10InlineElemEb($this, $ptr, $found) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ptr;
  var $4=(($found)&1);
  $3=$4;
  var $5=$1;
  var $6=(($5)|0); //@line 190 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1Ev($6); //@line 190 "./jsprvtd.h"
  var $7=(($5+8)|0); //@line 190 "./jsprvtd.h"
  var $8=$2; //@line 190 "./jsprvtd.h"
  HEAP32[(($7)>>2)]=$8; //@line 190 "./jsprvtd.h"
  var $9=(($5+12)|0); //@line 190 "./jsprvtd.h"
  HEAP8[($9)]=1; //@line 190 "./jsprvtd.h"
  var $10=(($5+13)|0); //@line 190 "./jsprvtd.h"
  var $11=$3; //@line 190 "./jsprvtd.h"
  var $12=(($11) & 1); //@line 190 "./jsprvtd.h"
  var $13=(($12)&1); //@line 190 "./jsprvtd.h"
  HEAP8[($10)]=$13; //@line 190 "./jsprvtd.h"
  ;
  return; //@line 190 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2Ev($2); //@line 170 "./jshashtable.h"
  ;
  return; //@line 170 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 170 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2Ev($3); //@line 170 "./jshashtable.h"
  ;
  return; //@line 170 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E6AddPtrE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=(($3)|0); //@line 192 "./jsprvtd.h"
  var $5=$2; //@line 192 "./jsprvtd.h"
  var $6=$4; //@line 192 "./jsprvtd.h"
  var $7=$5; //@line 192 "./jsprvtd.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 192 "./jsprvtd.h"
  var $8=(($3+12)|0); //@line 192 "./jsprvtd.h"
  HEAP8[($8)]=0; //@line 192 "./jsprvtd.h"
  ;
  return; //@line 192 "./mfbt/InlineMap.h"
}


function __ZL17UpdateJumpTargetsP12JSJumpTargetii($jt, $pivot, $delta) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$jt;
      $2=$pivot;
      $3=$delta;
      var $4=$1; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$2; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($6)|0) > (($7)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $10=$3; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$1; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+$10)|0); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($12)>>2)]=$14; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$1; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+8)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0)!=0; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $21=$1; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+8)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$2; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$3; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL17UpdateJumpTargetsP12JSJumpTargetii($24, $25, $26); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $29=$1; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+8)|0); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30+4)|0); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32)|0)!=0; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $35=$1; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+8)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36+4)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$2; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$3; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL17UpdateJumpTargetsP12JSJumpTargetii($38, $39, $40); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      ;
      return; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15FreeJumpTargetsP15JSCodeGeneratorP12JSJumpTarget($cg, $jt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cg;
      $2=$jt;
      var $3=$2; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4=(($3+8)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0)!=0; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$1; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$2; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+8)|0); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL15FreeJumpTargetsP15JSCodeGeneratorP12JSJumpTarget($9, $13); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $15=$2; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+8)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+4)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18)|0)!=0; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $21=$1; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$2; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+8)|0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+4)|0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL15FreeJumpTargetsP15JSCodeGeneratorP12JSJumpTarget($21, $25); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $27=$1; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27+216)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$2; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30+8)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($32)>>2)]=$29; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$2; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$1; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34+216)|0); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($35)>>2)]=$33; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSDOUBLE_IS_INT321163($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO1166($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSGCConstList6appendEN2JS5ValueE($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $v=__stackBase__;
  var $3=__stackBase__+8;
  $2=$this;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$2;
  var $7=(($6)|0); //@line 596 "./jsemit.h"
  var $8=$3; //@line 596 "./jsemit.h"
  var $9=$v; //@line 596 "./jsemit.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 596 "./jsemit.h"
  var $10=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($7, $3); //@line 596 "./jsemit.h"
  STACKTOP = __stackBase__;
  return $10; //@line 596 "./jsemit.h"
}


function __ZN2JSL11DoubleValueEd1164($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 710 "./jsapi.h"
  __ZN2JS5Value9setDoubleEd($agg_result, $2); //@line 710 "./jsapi.h"
  ;
  return; //@line 711 "./jsapi.h"
}


function __ZNK13JSGCConstList6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 597 "./jsemit.h"
  var $4=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6lengthEv($3); //@line 597 "./jsemit.h"
  ;
  return $4; //@line 597 "./jsemit.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function _DOUBLE_TO_JSVAL_IMPL1165($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZN11JSParseNode7setKindEN2js9TokenKindE($this, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$kind;
  var $3=$1;
  var $4=$2; //@line 367 "./jsparse.h"
  var $5=$4 & 65535; //@line 367 "./jsparse.h"
  var $6=$3; //@line 367 "./jsparse.h"
  var $7=$5 & 65535; //@line 367 "./jsparse.h"
  var $8=HEAP32[(($6)>>2)]; //@line 367 "./jsparse.h"
  var $9=$8 & -65536; //@line 367 "./jsparse.h"
  var $10=$9 | $7; //@line 367 "./jsparse.h"
  HEAP32[(($6)>>2)]=$10; //@line 367 "./jsparse.h"
  ;
  return; //@line 367 "./jsparse.h"
}


function __ZN11JSParseNode8setArityE16JSParseNodeArity($this, $a) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$a;
  var $3=$1;
  var $4=$2; //@line 371 "./jsparse.h"
  var $5=$4 & 31; //@line 371 "./jsparse.h"
  var $6=$3; //@line 371 "./jsparse.h"
  var $7=$5 & 31; //@line 371 "./jsparse.h"
  var $8=$7 << 24; //@line 371 "./jsparse.h"
  var $9=HEAP32[(($6)>>2)]; //@line 371 "./jsparse.h"
  var $10=$9 & -520093697; //@line 371 "./jsparse.h"
  var $11=$10 | $8; //@line 371 "./jsparse.h"
  HEAP32[(($6)>>2)]=$11; //@line 371 "./jsparse.h"
  ;
  return; //@line 371 "./jsparse.h"
}


function __ZNK11JSParseNode8getArityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 369 "./jsparse.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 369 "./jsparse.h"
  var $5=$4 >>> 24; //@line 369 "./jsparse.h"
  var $6=$5 & 31; //@line 369 "./jsparse.h"
  ;
  return $6; //@line 369 "./jsparse.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+8)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSDOUBLE_IS_NEGZERO1166($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_OBJECT_IMPL1167($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZNK13JSTreeContext12inStrictModeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 424 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 424 "./jsemit.h"
  var $5=$4 & 262144; //@line 424 "./jsemit.h"
  var $6=(($5)|0)!=0; //@line 424 "./jsemit.h"
  ;
  return $6; //@line 424 "./jsemit.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL1169($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL1170($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function __ZNK13JSTreeContext16mutatesParameterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 476 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 476 "./jsemit.h"
  var $5=$4 & 16777216; //@line 476 "./jsemit.h"
  var $6=(($5)|0)!=0; //@line 476 "./jsemit.h"
  ;
  return $6; //@line 476 "./jsemit.h"
}


function __ZL21UpdateDecomposeLengthP15JSCodeGeneratorj($cg, $start) {
  ;
  var __label__;

  var $1;
  var $2;
  var $end;
  $1=$cg;
  $2=$start;
  var $3=$1; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $4=(($3+172)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $6=(($5+8)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $8=$1; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $9=(($8+172)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $11=(($10)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $13=$7; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $14=$12; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $15=(($13-$14)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  $end=$15; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $16=$end; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $17=$2; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $18=(($16-$17)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $19=(($18) & 255); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $20=$1; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $21=(($20+172)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $22=HEAP32[(($21)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $23=(($22)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $24=HEAP32[(($23)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $25=$2; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $26=(($24+$25)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $27=(($26-1)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP8[($27)]=$19; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZNK11JSParseNode4testEj($this, $flag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$flag;
  var $3=$1;
  var $4=(($3+32)|0); //@line 986 "./jsparse.h"
  var $5=$4; //@line 986 "./jsparse.h"
  var $6=$5; //@line 986 "./jsparse.h"
  var $7=(($6+12)|0); //@line 986 "./jsparse.h"
  var $8=$7; //@line 986 "./jsparse.h"
  var $9=HEAP32[(($8)>>2)]; //@line 986 "./jsparse.h"
  var $10=$9 & 4095; //@line 986 "./jsparse.h"
  var $11=$2; //@line 986 "./jsparse.h"
  var $12=$10 & $11; //@line 986 "./jsparse.h"
  var $13=(($12)|0)!=0; //@line 986 "./jsparse.h"
  var $14=$13 ^ 1; //@line 986 "./jsparse.h"
  var $15=$14 ^ 1; //@line 986 "./jsparse.h"
  ;
  return $15; //@line 986 "./jsparse.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $t=__stackBase__;
      var $g=__stackBase__+8;
      var $4;
      var $5=__stackBase__+12;
      $3=$this;
      var $6=$t;
      var $7=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
      var $8=$3;
      __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEEEERT_($g, $8); //@line 757 "./jsvector.h"
      var $9=(($8+8)|0); //@line 758 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 758 "./jsvector.h"
      var $11=(($8+12)|0); //@line 758 "./jsvector.h"
      var $12=HEAP32[(($11)>>2)]; //@line 758 "./jsvector.h"
      var $13=(($10)|0)==(($12)|0); //@line 758 "./jsvector.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $15=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE13growStorageByEj($8, 1); //@line 758 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $2=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $18=$5; //@line 765 "./jsvector.h"
      var $19=$t; //@line 765 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 765 "./jsvector.h"
      __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($8, $5); //@line 765 "./jsvector.h"
      $2=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $21=$2; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $21; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $t=__stackBase__;
      $2=$this;
      var $3=$t;
      var $4=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
      var $5=$2;
      var $6=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 776 "./jsvector.h"
      var $7=$6; //@line 776 "./jsvector.h"
      var $8=(($7)|0)==0; //@line 776 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $10=$7; //@line 776 "./jsvector.h"
      var $11=$10; //@line 776 "./jsvector.h"
      HEAP32[(($11)>>2)]=0; HEAP32[(($11+4)>>2)]=0; //@line 776 "./jsvector.h"
      var $12=$10; //@line 776 "./jsvector.h"
      var $13=$t; //@line 776 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 776 "./jsvector.h"
      var $15 = $10;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $15; //@line 776 "./jsvector.h"
      var $16=(($5+8)|0); //@line 777 "./jsvector.h"
      var $17=HEAP32[(($16)>>2)]; //@line 777 "./jsvector.h"
      var $18=(($17+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($16)>>2)]=$18; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<3))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -268435456; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -268435456; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=((($7<<3))|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $35 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$28; //@line 118 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; HEAP32[(($29+4)>>2)]=0; //@line 118 "./jsvector.h"
      var $30=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERS4_($4, $30); //@line 118 "./jsvector.h"
      var $31=__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($4); //@line 118 "./jsvector.h"
      var $32=$28; //@line 118 "./jsvector.h"
      var $33=$31; //@line 118 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 118 "./jsvector.h"
      var $35 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $35; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $37=$dst; //@line 117 "./jsvector.h"
      var $38=(($37+8)|0); //@line 117 "./jsvector.h"
      $dst=$38; //@line 117 "./jsvector.h"
      var $39=$src; //@line 117 "./jsvector.h"
      var $40=(($39+8)|0); //@line 117 "./jsvector.h"
      $src=$40; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $42=$2; //@line 119 "./jsvector.h"
      var $43=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($42); //@line 119 "./jsvector.h"
      var $44=$2; //@line 119 "./jsvector.h"
      var $45=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($44); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($43, $45); //@line 119 "./jsvector.h"
      var $46=$2; //@line 120 "./jsvector.h"
      var $47=$46; //@line 120 "./jsvector.h"
      var $48=$2; //@line 120 "./jsvector.h"
      var $49=(($48+4)|0); //@line 120 "./jsvector.h"
      var $50=HEAP32[(($49)>>2)]; //@line 120 "./jsvector.h"
      var $51=$50; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($47, $51); //@line 120 "./jsvector.h"
      var $52=$newbuf; //@line 121 "./jsvector.h"
      var $53=$2; //@line 121 "./jsvector.h"
      var $54=(($53+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($54)>>2)]=$52; //@line 121 "./jsvector.h"
      var $55=$3; //@line 123 "./jsvector.h"
      var $56=$2; //@line 123 "./jsvector.h"
      var $57=(($56+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($57)>>2)]=$55; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $59=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $59; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj["X"]=1;

function __ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $22 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$15; //@line 93 "./jsvector.h"
      HEAP32[(($16)>>2)]=0; HEAP32[(($16+4)>>2)]=0; //@line 93 "./jsvector.h"
      var $17=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERKS4_($4, $17); //@line 93 "./jsvector.h"
      var $18=__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($4); //@line 93 "./jsvector.h"
      var $19=$15; //@line 93 "./jsvector.h"
      var $20=$18; //@line 93 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 93 "./jsvector.h"
      var $22 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $22; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $24=$p; //@line 92 "./jsvector.h"
      var $25=(($24+8)|0); //@line 92 "./jsvector.h"
      $p=$25; //@line 92 "./jsvector.h"
      var $26=$1; //@line 92 "./jsvector.h"
      var $27=(($26+8)|0); //@line 92 "./jsvector.h"
      $1=$27; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSTreeContext16needStrictChecksEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+48)|0); //@line 511 "./jsemit.h"
      var $4=HEAP32[(($3)>>2)]; //@line 511 "./jsemit.h"
      var $5=(($4+12)|0); //@line 511 "./jsemit.h"
      var $6=HEAP32[(($5)>>2)]; //@line 511 "./jsemit.h"
      var $7=__ZNK9JSContext15hasStrictOptionEv($6); //@line 511 "./jsemit.h"
      if ($7) { var $11 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 511 "./jsemit.h"
    case 2: 
      var $9=__ZNK13JSTreeContext12inStrictModeEv($2); //@line 511 "./jsemit.h"
      var $11 = $9;__label__ = 3; break; //@line 511 "./jsemit.h"
    case 3: 
      var $11;
      ;
      return $11; //@line 511 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK11JSParseNode9frameSlotEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 563 "./jsparse.h"
  var $4=$3; //@line 563 "./jsparse.h"
  var $5=(($4+8)|0); //@line 563 "./jsparse.h"
  var $6=__ZNK2js11UpvarCookie4slotEv($5); //@line 563 "./jsparse.h"
  var $7=(($6)&65535); //@line 563 "./jsparse.h"
  ;
  return $7; //@line 563 "./jsparse.h"
}


function __ZN2JSL12BooleanValueEb1168($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN8JSObject16setBlockOwnShapeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 255 "./jsobjinlines.h"
  var $5=__Z16js_GenerateShapeP9JSContext($4); //@line 255 "./jsobjinlines.h"
  __ZN8JSObject11setOwnShapeEj($3, $5); //@line 255 "./jsobjinlines.h"
  ;
  return; //@line 256 "./jsobjinlines.h"
}


function __ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($cx, $cg, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$cg;
      $4=$op;
      var $5=$2; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$3; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$4; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=_js_Emit1($5, $6, $7); //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8)|0) < 0; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $12=$2; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$3; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$4; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($12, $13, $14); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $16=$1; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $16; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSParseNode9maybeExprEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 512 "./jsparse.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 512 "./jsparse.h"
      var $5=$4 >>> 30; //@line 512 "./jsparse.h"
      var $6=$5 & 1; //@line 512 "./jsparse.h"
      var $7=(($6)|0)!=0; //@line 512 "./jsparse.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 512 "./jsparse.h"
    case 2: 
      var $12 = 0;__label__ = 4; break; //@line 512 "./jsparse.h"
    case 3: 
      var $10=__ZNK11JSParseNode4exprEv($2); //@line 512 "./jsparse.h"
      var $12 = $10;__label__ = 4; break; //@line 512 "./jsparse.h"
    case 4: 
      var $12; //@line 512 "./jsparse.h"
      ;
      return $12; //@line 512 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17EmitSpecialPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($cx, $pn, $op, $cg) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $index=__stackBase__;
      $2=$cx;
      $3=$pn;
      $4=$op;
      $5=$cg;
      var $6=$5; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+32)|0); //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0); //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$10; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($6, $12, $index); //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $16=$2; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=HEAP32[(($index)>>2)]; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$5; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($16, 165, $17, $18, 0); //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $22=$2; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$5; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$4; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($22, $23, $24); //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$25; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $27=$1; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9FlushPopsP9JSContextP15JSCodeGeneratorPi($cx, $cg, $npops) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$cg;
      $4=$npops;
      var $5=$2; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$3; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=_js_NewSrcNote($5, $6, 11); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0) < 0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      __label__ = 4; break; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $12=$2; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$3; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$4; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$15 >> 8; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16) & 255); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$4; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19) & 255); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=_js_Emit3($12, $13, 11, $17, $20); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21)|0) < 0; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $25=$2; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$3; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($25, $26, 11); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $28=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($28)>>2)]=0; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $30=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $30; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12OpToDeclType4JSOp($op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$op;
      var $3=$2; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($3)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 128) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 129) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 2: 
      $1=2; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      $1=1; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=3; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $9=$1; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $9; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL22EmitDestructuringDeclsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode($cx, $cg, $prologOp, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pn2;
      var $pn3;
      var $emitter;
      $2=$cx;
      $3=$cg;
      $4=$prologOp;
      $5=$pn;
      var $6=$5; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=__ZNK11JSParseNode6isKindEN2js9TokenKindE($6, 24); //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 14; break; } //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$5; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+32)|0); //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$10; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0); //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$13; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $15=$pn2; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0)!=0; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $18=$pn2; //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=__ZNK11JSParseNode6isKindEN2js9TokenKindE($18, 3); //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      __label__ = 12; break; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $22=$pn2; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=__ZNK11JSParseNode6isKindEN2js9TokenKindE($22, 29); //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $27 = 100;__label__ = 9; break; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $27 = 102;__label__ = 9; break; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $27; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $emitter=$27; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$emitter; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$2; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$3; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$4; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$pn2; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=FUNCTION_TABLE[$28]($29, $30, $31, $32); //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0)!=0; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 25; break; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 12; break; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $38=$pn2; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+24)|0); //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$40; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 3; break; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      __label__ = 24; break; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $43=$5; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43+32)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$44; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$47; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $49=$pn2; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=(($49)|0)!=0; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($50) { __label__ = 16; break; } else { __label__ = 23; break; } //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $52=$pn2; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+32)|0); //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$53; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54+4)|0); //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$56; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$pn3; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=__ZNK11JSParseNode6isKindEN2js9TokenKindE($57, 29); //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($58) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $62 = 100;__label__ = 19; break; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $62 = 102;__label__ = 19; break; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $62; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $emitter=$62; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$emitter; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$2; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$3; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$4; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$pn3; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=FUNCTION_TABLE[$63]($64, $65, $66, $67); //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68)|0)!=0; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($69) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      $1=0; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 25; break; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      __label__ = 22; break; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $73=$pn2; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73+24)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$75; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      __label__ = 24; break;
    case 24: 
      $1=1; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 25; break; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $79=$1; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $79; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22EmitDestructuringDeclsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode["X"]=1;

function __ZL16MaybeEmitVarDeclP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePj($cx, $cg, $prologOp, $pn, $result) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $atomIndex=__stackBase__;
      $2=$cx;
      $3=$cg;
      $4=$prologOp;
      $5=$pn;
      $6=$result;
      var $7=$5; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+32)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$8; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+8)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZNK2js11UpvarCookie6isFreeEv($10); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $13=$5; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+32)|0); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$14; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15+8)|0); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=__ZNK2js11UpvarCookie4slotEv($16); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)&65535); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($atomIndex)>>2)]=$18; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $20=$3; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$5; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21+32)|0); //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$22; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23)|0); //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$24; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($20, $26, $atomIndex); //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $31=$5; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=__ZNK11JSParseNode5getOpEv($31); //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=((_js_CodeSpec+($32<<3))|0); //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33+4)|0); //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$35 & 31; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($36)|0)==2; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 17; break; } //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $39=$3; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$39; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=__ZNK13JSTreeContext10inFunctionEv($40); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $43=$3; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$43; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)|0); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$46 & 256; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47)|0)!=0; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 17; break; } //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $50=$5; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50+32)|0); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$51; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$52; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53+12)|0); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$54; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$56 & 4095; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$57 & 64; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58)|0)!=0; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($59) { __label__ = 17; break; } else { __label__ = 10; break; } //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $61=$3; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($61+108)|0); //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$3; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($63+172)|0); //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($64)>>2)]=$62; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$2; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$3; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$5; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+4)|0); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68)|0); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69+4)|0); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=__ZL21UpdateLineNumberNotesP9JSContextP15JSCodeGeneratorj($65, $66, $71); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=(($72)|0)!=0; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($73) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=0; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      __label__ = 13; break; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $77=$2; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$4; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=HEAP32[(($atomIndex)>>2)]; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=$3; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_($77, $78, $79, $80, 0); //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($81) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=0; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      __label__ = 16; break; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $85=$3; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85+140)|0); //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$3; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=(($87+172)|0); //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($88)>>2)]=$86; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $90=$3; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=$90; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=__ZNK13JSTreeContext10inFunctionEv($91); //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($92) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $94=$5; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=__ZNK11JSParseNode5getOpEv($94); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=((_js_CodeSpec+($95<<3))|0); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=(($96+4)|0); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=$98 & 31; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=(($99)|0)==7; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($100) { __label__ = 19; break; } else { __label__ = 24; break; } //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $102=$5; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=(($102+32)|0); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=$103; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=(($104+8)|0); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=__ZNK2js11UpvarCookie4slotEv($105); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(($106)&65535); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$3; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=$108; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=(($109+92)|0); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=__ZNK2js8Bindings9countVarsEv($110); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111)&65535); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=(($107)|0) < (($112)|0); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($113) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $115=$3; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=$5; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=__ZN15JSCodeGenerator20shouldNoteClosedNameEP11JSParseNode($115, $116); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($117) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $119=$3; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(($119+564)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$5; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=(($121+32)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$122; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123+8)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=__ZNK2js11UpvarCookie4slotEv($124); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $126=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE6appendItEEbT_($120, $125); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($126) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $1=0; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      __label__ = 24; break; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $130=$6; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=(($130)|0)!=0; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($131) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $133=HEAP32[(($atomIndex)>>2)]; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=$6; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($134)>>2)]=$133; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      $1=1; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $137=$1; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $137; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16MaybeEmitVarDeclP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePj["X"]=1;

function __ZL21EmitDestructuringDeclP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode($cx, $cg, $prologOp, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$cg;
      $4=$prologOp;
      $5=$pn;
      var $6=$2; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$3; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$5; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($6, $7, $8); //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0)!=0; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $13=$2; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$3; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$4; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$5; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=__ZL16MaybeEmitVarDeclP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePj($13, $14, $15, $16, 0); //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17)&1); //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$18; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 4; break; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $20=$1; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $20; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26EmitDestructuringOpsHelperP9JSContextP15JSCodeGeneratorP11JSParseNode($cx, $cg, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $index;
      var $pn2;
      var $pn3;
      var $doElemOp;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      var $5=$4; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+32)|0); //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$6; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+8)|0); //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9)|0)==0; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $12=$2; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$3; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=_js_Emit1($12, $13, 12); //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0) >= 0; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 3; break; } else { var $22 = 0;__label__ = 4; break; } //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $17=$2; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$3; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=_js_Emit1($17, $18, 81); //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0) >= 0; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22 = $20;__label__ = 4; break;
    case 4: 
      var $22;
      var $23=(($22)&1);
      $1=$23;
      __label__ = 41; break;
    case 5: 
      $index=0; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$4; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+32)|0); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=$26; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27)|0); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$29; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $31=$pn2; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)|0)!=0; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 40; break; } //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $34=$pn2; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$4; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+32)|0); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$36; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($34)|0)!=(($39)|0); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $42=$2; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$3; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=_js_NewSrcNote($42, $43, 5); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)|0) < 0; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $48=$2; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$3; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=_js_Emit1($48, $49, 12); //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=(($50)|0) < 0; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($51) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=0; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      $doElemOp=1; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$4; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=__ZNK11JSParseNode6isKindEN2js9TokenKindE($54, 24); //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $57=$2; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$index; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58)>>>0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$3; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=__ZL12EmitNumberOpP9JSContextdP15JSCodeGenerator($57, $59, $60); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($61)|0)!=0; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($62) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=0; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $65=$pn2; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$65; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $67=$pn2; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+32)|0); //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=$68; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69)|0); //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$71; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=$pn3; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=__ZNK11JSParseNode6isKindEN2js9TokenKindE($72, 30); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($73) { __label__ = 17; break; } else { __label__ = 22; break; } //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $75=$2; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$3; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=_js_NewSrcNote($75, $76, 1); //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=(($77)|0) < 0; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($78) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      $1=0; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $81=$2; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$pn3; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82+32)|0); //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$83; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=(tempDoubleI32[0]=HEAP32[(($84)>>2)],tempDoubleI32[1]=HEAP32[(($84+4)>>2)],tempDoubleF64[0]); //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$3; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=__ZL12EmitNumberOpP9JSContextdP15JSCodeGenerator($81, $85, $86); //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=(($87)|0)!=0; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($88) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      $1=0; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      __label__ = 25; break; //@line 4194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $92=$2; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=$pn3; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$3; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_($92, $93, 53, $94, 0); //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($95) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      $1=0; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      $doElemOp=0; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 25; break;
    case 25: 
      var $99=$pn2; //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=(($99+32)|0); //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=$100; //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101+4)|0); //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn3=$103; //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break;
    case 26: 
      var $105=$doElemOp; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=(($105)|0)!=0; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($106) { __label__ = 27; break; } else { __label__ = 30; break; } //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $108=$2; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=$3; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($108, $109, 55); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($110) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      $1=0; //@line 4210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      __label__ = 30; break; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $114=$pn3; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=__ZNK11JSParseNode6isKindEN2js9TokenKindE($114, 3); //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($115) { __label__ = 31; break; } else { __label__ = 35; break; } //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $117=$pn3; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=__ZNK11JSParseNode7isArityE16JSParseNodeArity($117, 0); //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($118) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $120=$2; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$3; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=_js_Emit1($120, $121, 81); //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=(($122)|0) < 0; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($123) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      $1=0; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      __label__ = 38; break; //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      var $127=$2; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=$3; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=$pn3; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=__ZL20EmitDestructuringLHSP9JSContextP15JSCodeGeneratorP11JSParseNode($127, $128, $129); //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=(($130)|0)!=0; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($131) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      $1=0; //@line 4222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      __label__ = 38; break;
    case 38: 
      var $135=$index; //@line 4226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=(($135+1)|0); //@line 4226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$136; //@line 4226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 39; break; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      var $138=$pn2; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=(($138+24)|0); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn2=$140; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      $1=1; //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 41; break; //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      var $143=$1; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $143; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL26EmitDestructuringOpsHelperP9JSContextP15JSCodeGeneratorP11JSParseNode["X"]=1;

function __ZL20EmitDestructuringLHSP9JSContextP15JSCodeGeneratorP11JSParseNode($cx, $cg, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $slot;
      var $slot1;
      var $top;
      $2=$cx;
      $3=$cg;
      $4=$pn;
      var $5=$4; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=__ZNK11JSParseNode6isKindEN2js9TokenKindE($5, 24); //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $8=$4; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZNK11JSParseNode6isKindEN2js9TokenKindE($8, 26); //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $11=$2; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$3; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$4; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=__ZL26EmitDestructuringOpsHelperP9JSContextP15JSCodeGeneratorP11JSParseNode($11, $12, $13); //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14)|0)!=0; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $1=0; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $18=$2; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$3; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=_js_Emit1($18, $19, 81); //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20)|0) < 0; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 4067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 43; break; //@line 4068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $25=$4; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=__ZNK11JSParseNode6isKindEN2js9TokenKindE($25, 29); //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $28=$2; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$3; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$4; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode($28, $29, $30); //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)|0)!=0; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($32) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 4071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $35=$4; //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=__ZNK11JSParseNode7isConstEv($35); //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($36) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $38=$4; //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=__ZNK11JSParseNode13isInitializedEv($38); //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($39) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $41=$2; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$3; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=_js_Emit1($41, $42, 81); //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($43)|0) >= 0; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44)&1); //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$45; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      __label__ = 15; break; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $48=$4; //@line 4076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=__ZNK11JSParseNode5getOpEv($48); //@line 4076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($49)|0) == 111 || (($49)|0) == 157) {
        __label__ = 16; break;
      }
      else if ((($49)|0) == 14) {
        __label__ = 19; break;
      }
      else if ((($49)|0) == 87) {
        __label__ = 22; break;
      }
      else if ((($49)|0) == 85) {
        __label__ = 27; break;
      }
      else if ((($49)|0) == 124) {
        __label__ = 41; break;
      }
      else {
      __label__ = 34; break;
      }
      
    case 16: 
      var $51=$2; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$4; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$3; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($51, $52, 124, $53); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54)|0)!=0; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($55) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      $1=0; //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      __label__ = 42; break; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $59=$2; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$4; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$3; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator($59, $60, 209, $61); //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62)|0)!=0; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($63) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      $1=0; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      __label__ = 42; break; //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      var $67=$4; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+32)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=$68; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=(($69+8)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=__ZNK2js11UpvarCookie9asIntegerEv($70); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slot=$71; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 23; break; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $73=$2; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$3; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$slot; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$75 >>> 8; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($76) & 255); //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$slot; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78) & 255); //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=_js_Emit3($73, $74, 132, $77, $79); //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=(($80)|0) < 0; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($81) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      $1=0; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $84=$2; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=$3; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($84, $85, 132); //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      __label__ = 42; break; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $88=$4; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=(($88+32)|0); //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=$89; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+8)|0); //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=__ZNK2js11UpvarCookie9asIntegerEv($91); //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slot1=$92; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $94=$2; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$3; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=$4; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=__ZNK11JSParseNode5getOpEv($96); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=$slot1; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=$98 >>> 8; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=(($99) & 255); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=$slot1; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101) & 255); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=_js_Emit3($94, $95, $97, $100, $102); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=(($103)|0) < 0; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($104) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      $1=0; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $107=$2; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$3; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=$4; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=__ZNK11JSParseNode5getOpEv($109); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($107, $108, $110); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 31; break; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      var $112=$2; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=$3; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=_js_Emit1($112, $113, 81); //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=(($114)|0) < 0; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($115) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      $1=0; //@line 4105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      __label__ = 42; break; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $119=$3; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(($119+172)|0); //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=(($121+8)|0); //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=$3; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=(($124+172)|0); //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $127=(($126)|0); //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=$123; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=$128; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=(($129-$130)|0); //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $top=$131; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$2; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=$3; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=$4; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=_js_EmitTree($132, $133, $134); //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=(($135)|0)!=0; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($136) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 35: 
      $1=0; //@line 4115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 36: 
      var $139=$2; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=$3; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=$3; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=(($141+172)|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=(($143+8)|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=$3; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=(($146+172)|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=(($148)|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $151=$145; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=$150; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $153=(($151-$152)|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=$top; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=(($153-$154)|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=_js_NewSrcNote2($139, $140, 12, $155); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $157=(($156)|0) < 0; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($157) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 37: 
      $1=0; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 38: 
      var $160=$2; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $161=$3; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp($160, $161, 124); //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($162) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 39: 
      $1=0; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 40: 
      __label__ = 42; break; //@line 4120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 41: 
      __label__ = 42; break; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 42: 
      __label__ = 43; break;
    case 43: 
      $1=1; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 44; break; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 44: 
      var $169=$1; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $169; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20EmitDestructuringLHSP9JSContextP15JSCodeGeneratorP11JSParseNode["X"]=1;

function __ZN12TempPopScopeC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($3)>>2)]=0; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $4=(($2+4)|0); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($4)>>2)]=0; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $5=(($2+8)|0); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($5)>>2)]=0; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function __ZNK11JSParseNode13isInitializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 4); //@line 570 "./jsparse.h"
  ;
  return $3; //@line 570 "./jsparse.h"
}


function __ZL18EmitBigIndexPrefixP9JSContextP15JSCodeGeneratorj($cx, $cg, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $indexBase;
      $2=$cx;
      $3=$cg;
      $4=$index;
      var $5=$4; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=__ZL19FitsWithoutBigIndexj($5); //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $9=$4; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$9 >>> 16; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $indexBase=$10; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=$indexBase; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)>>>0) <= 3; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $14=$2; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$indexBase; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16+211)|0); //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17-1)|0); //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=_js_Emit1($14, $15, $18); //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0) < 0; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=66; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=193; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $24=$4; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24)>>>0) >= 8388608; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $27=$2; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      _JS_ReportErrorNumber($27, 2, 0, 14, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=66; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $29=$2; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$indexBase; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31) & 255); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=_js_Emit2($29, $30, 191, $32); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=(($33)|0) < 0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=66; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      $1=192; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $38=$1; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $38; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18EmitBigIndexPrefixP9JSContextP15JSCodeGeneratorj["X"]=1;

function __ZL19EmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodeS5_($cx, $cg, $prologOp, $lhs, $rhs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $depth;
      var $limit;
      var $i;
      var $nslots;
      var $pn;
      var $slot;
      $2=$cx;
      $3=$cg;
      $4=$prologOp;
      $5=$lhs;
      $6=$rhs;
      var $7=$3; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+192)|0); //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $limit=$9; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $depth=$9; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$6; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+32)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$11; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn=$14; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $16=$pn; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)|0)!=0; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $19=$limit; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0)==65536; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $22=$2; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$3; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$23; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+48)|0); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26+40)|0); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$6; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($22, $27, $28, 0, 200, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $31=$2; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$3; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$pn; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=_js_EmitTree($31, $32, $33); //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34)|0)!=0; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      $1=0; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $38=$limit; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+1)|0); //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $limit=$39; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $41=$pn; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41+24)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn=$43; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $45=$2; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$3; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$4; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=__ZL12OpToDeclType4JSOp($47); //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=_js_NewSrcNote2($45, $46, 7, $48); //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=(($49)|0) < 0; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $53=$depth; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$53; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$5; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54+32)|0); //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$55; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56)|0); //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn=$58; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $60=$pn; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($60)|0)!=0; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 29; break; } //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $63=$2; //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$3; //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$i; //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=__ZL15AdjustBlockSlotP9JSContextP15JSCodeGeneratori($63, $64, $65); //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $slot=$66; //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$slot; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67)|0) < 0; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      $1=0; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      __label__ = 16; break; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $72=$2; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$3; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$slot; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$74 >> 8; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75) & 255); //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$slot; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=(($77) & 255); //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=_js_Emit3($72, $73, 86, $76, $78); //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79)|0) < 0; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($80) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      $1=0; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $83=$2; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$3; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($83, $84, 86); //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $86=$pn; //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=__ZNK11JSParseNode6isKindEN2js9TokenKindE($86, 3); //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($87) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $89=$pn; //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=__ZNK11JSParseNode7isArityE16JSParseNodeArity($89, 0); //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($90) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      var $92=$2; //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=$3; //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=_js_Emit1($92, $93, 81); //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94)|0) < 0; //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $1=0; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      __label__ = 27; break; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $99=$2; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$3; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=$pn; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=__ZL20EmitDestructuringLHSP9JSContextP15JSCodeGeneratorP11JSParseNode($99, $100, $101); //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=(($102)|0)!=0; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($103) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      $1=0; //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $108=$pn; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=(($108+24)|0); //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pn=$110; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$i; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111+1)|0); //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $i=$112; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 29: 
      var $114=$limit; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=$depth; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=(($114-$115)|0); //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $nslots=$116; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 30; break; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 30: 
      var $118=$2; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=$3; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=$nslots; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$120 >>> 8; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=(($121) & 255); //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$nslots; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123) & 255); //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=_js_Emit3($118, $119, 11, $122, $124); //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $126=(($125)|0) < 0; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($126) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 31: 
      $1=0; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 32: 
      var $129=$2; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=$3; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp($129, $130, 11); //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 33; break; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 33: 
      var $132=$depth; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=$3; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=(($133+192)|0); //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($134)>>2)]=$132; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 34; break; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 34: 
      var $136=$1; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $136; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19EmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodeS5_["X"]=1;

function __ZL25LookupCompileTimeConstantP9JSContextP15JSCodeGeneratorP6JSAtomPN2JS5ValueE($cx, $cg, $atom, $constp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $stmt;
      var $obj;
      var $p=__stackBase__+4;
      var $6=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$cg;
      HEAP32[(($4)>>2)]=$atom;
      $5=$constp;
      var $7=$5; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($7, 5); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 2; break; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$3; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$9; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZNK13JSTreeContext10inFunctionEv($10); //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $13=$3; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$13; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=__ZNK13JSTreeContext12compileAndGoEv($14); //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 23; break; } //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $17=$3; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$17; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=HEAP32[(($4)>>2)]; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=_js_LexicalLookup($18, $19, 0, 0); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $stmt=$20; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$stmt; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21)|0)!=0; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=1; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $25=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+240)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZNK2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($p, $26, $4); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($6, $p); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27={ f0: HEAP32[(($6)>>2)], f1: HEAP32[(($6+4)>>2)] }; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=$27.f0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28)|0)!=0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $31=$5; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($p); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32+8)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=$31; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=$33; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $37=$3; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$37; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=__ZNK13JSTreeContext10inFunctionEv($38); //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($39) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $41=$3; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$41; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+92)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$2; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=HEAP32[(($4)>>2)]; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=__ZNK2js8Bindings10hasBindingEP9JSContextP6JSAtom($43, $44, $45); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      __label__ = 27; break; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 22; break; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $50=$3; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$50; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=__ZNK13JSTreeContext10scopeChainEv($51); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $obj=$52; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$obj; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$2; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=HEAP32[(($4)>>2)]; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=__ZL12ATOM_TO_JSIDP6JSAtom1150($55); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=__ZN8JSObject12nativeLookupEP9JSContexti($53, $54, $56); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $shape=$57; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$shape; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58)|0)!=0; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 19; break; } //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $61=$shape; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=__ZNK2js5Shape8writableEv($61); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 14; break; } //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $64=$shape; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=__ZNK2js5Shape12configurableEv($64); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 15; break; } //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $67=$shape; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=__ZNK2js5Shape16hasDefaultGetterEv($67); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($68) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $70=$obj; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$shape; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=(($71+24)|0); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=__ZNK8JSObject12containsSlotEj($70, $73); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($74) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $76=$5; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$obj; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$shape; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78+24)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=__ZNK8JSObject7getSlotEj($77, $80); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$76; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=$81; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($82)>>2)]=HEAP32[(($83)>>2)];HEAP32[(($82+4)>>2)]=HEAP32[(($83+4)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 18; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      __label__ = 19; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $86=$shape; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86)|0)!=0; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($87) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      __label__ = 27; break; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      __label__ = 23; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      __label__ = 24; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $93=$3; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$93; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94+72)|0); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=(($96)|0)!=0; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($97) { __label__ = 25; break; } else { var $106 = 0;__label__ = 26; break; } //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $99=$3; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$99; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100+72)|0); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=__ZN13JSTreeContext15asCodeGeneratorEv($102); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $3=$103; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=(($103)|0)!=0; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106 = $104;__label__ = 26; break;
    case 26: 
      var $106;
      if ($106) { __label__ = 2; break; } else { __label__ = 27; break; }
    case 27: 
      $1=1; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $109=$1; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $109; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25LookupCompileTimeConstantP9JSContextP15JSCodeGeneratorP6JSAtomPN2JS5ValueE["X"]=1;

function __ZL22AllocateSwitchConstantP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pv;
      var $_a;
      var $_nb;
      var $_p;
      $1=$cx;
      __label__ = 2; break; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $3=$1; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4=(($3+72)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=(($4+16)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_a=$6; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=$1; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+72)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=(($8+24)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+8)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$1; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+72)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+24)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=$15 ^ -1; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$11 & $16; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_nb=$17; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$_a; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+12)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_p=$20; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$_p; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$_a; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+8)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$_nb; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($24-$25)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($21)>>>0) > (($26)>>>0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($27) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $29=$1; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+72)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$_nb; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=_JS_ArenaAllocate($30, $31); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=$32; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_p=$33; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $35=$_p; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=$_nb; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=(($35+$36)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=$_a; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=(($38+12)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($39)>>2)]=$37; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 5; break;
    case 5: 
      var $41=$_p; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$41; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pv=$42; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 7; break; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      __label__ = 8; break; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $46=$pv; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $46; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22AllocateSwitchConstantP9JSContext["X"]=1;

function __ZL17AddSwitchSpanDepsP9JSContextP15JSCodeGeneratorPh($cx, $cg, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      var $pc2;
      var $off;
      var $low;
      var $high;
      var $njumps;
      var $indexlen;
      $2=$cx;
      $3=$cg;
      $4=$pc;
      var $5=$4; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=HEAPU8[($5)]; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)&255); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $op=$7; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$4; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc2=$8; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=$pc2; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+1)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAPU8[($10)]; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)&255); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$12 << 8; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=$pc2; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+2)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAPU8[($15)]; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)&255); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$13 | $17; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18) & 65535); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19 << 16) >> 16); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$20; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=$2; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$3; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=$4; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$pc2; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=$off; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=__ZL10AddSpanDepP9JSContextP15JSCodeGeneratorPhS3_i($21, $22, $23, $24, $25); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0)!=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($27) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $30=$pc2; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30+2)|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc2=$31; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$op; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32)|0)==70; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $35=$pc2; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+1)|0); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAPU8[($36)]; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)&255); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$38 << 8; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$pc2; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=(($40+2)|0); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=HEAPU8[($41)]; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42)&255); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$39 | $43; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=(($44) & 65535); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45 << 16) >> 16); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $low=$46; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$pc2; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+2)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc2=$48; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=$pc2; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=(($49+1)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=HEAPU8[($50)]; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51)&255); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$52 << 8; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$pc2; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=(($54+2)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=HEAPU8[($55)]; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=(($56)&255); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$53 | $57; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58) & 65535); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59 << 16) >> 16); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $high=$60; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$pc2; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($61+2)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc2=$62; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=$high; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$low; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($63-$64)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65+1)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $njumps=$66; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $indexlen=0; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $68=$pc2; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=(($68+1)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=HEAPU8[($69)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=(($70)&255); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=$71 << 8; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$pc2; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73+2)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=HEAPU8[($74)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75)&255); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$72 | $76; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $njumps=$77; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=$pc2; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78+2)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc2=$79; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $indexlen=2; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $82=$njumps; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($82)|0)!=0; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($83) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $85=$njumps; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=(($85-1)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $njumps=$86; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=$indexlen; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=$pc2; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=(($88+$87)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc2=$89; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=$pc2; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+1)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=HEAPU8[($91)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=(($92)&255); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$93 << 8; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$pc2; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=(($95+2)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=HEAPU8[($96)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97)&255); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=$94 | $98; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=(($99) & 65535); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100 << 16) >> 16); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $off=$101; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=$2; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=$3; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=$4; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$pc2; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=$off; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=__ZL10AddSpanDepP9JSContextP15JSCodeGeneratorPhS3_i($102, $103, $104, $105, $106); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=(($107)|0)!=0; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($108) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $111=$pc2; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111+2)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $pc2=$112; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $114=$pc2; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=(($114+1)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$115; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $117=$1; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $117; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17AddSwitchSpanDepsP9JSContextP15JSCodeGeneratorPh["X"]=1;

function __ZN13JSTreeContext15asCodeGeneratorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 769 "./jsemit.h"
  ;
  return $3; //@line 769 "./jsemit.h"
}


function __ZNK11JSParseNode6isUsedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 377 "./jsparse.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 377 "./jsparse.h"
  var $5=$4 >>> 30; //@line 377 "./jsparse.h"
  var $6=$5 & 1; //@line 377 "./jsparse.h"
  var $7=(($6)|0)!=0; //@line 377 "./jsparse.h"
  ;
  return $7; //@line 377 "./jsparse.h"
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE11allocPolicyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 328 "./jsvector.h"
  ;
  return $3; //@line 328 "./jsvector.h"
}


function _JSVAL_IS_OBJECT_IMPL1171($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL1172($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function __ZNK13JSTreeContext10scopeChainEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 345 "./jsemit.h"
  var $4=$3; //@line 345 "./jsemit.h"
  var $5=HEAP32[(($4)>>2)]; //@line 345 "./jsemit.h"
  ;
  return $5; //@line 345 "./jsemit.h"
}


function __ZNK2js5Shape16hasDefaultGetterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 544 "./jsscope.h"
  var $4=$3; //@line 544 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 544 "./jsscope.h"
  var $6=(($5)|0)!=0; //@line 544 "./jsscope.h"
  var $7=$6 ^ 1; //@line 544 "./jsscope.h"
  ;
  return $7; //@line 544 "./jsscope.h"
}


function _MAGIC_TO_JSVAL_IMPL1173($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZNK13JSTreeContext16mightAliasLocalsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 466 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 466 "./jsemit.h"
  var $5=$4 & 67108864; //@line 466 "./jsemit.h"
  var $6=(($5)|0)!=0; //@line 466 "./jsemit.h"
  ;
  return $6; //@line 466 "./jsemit.h"
}


function __ZNK13JSTreeContext3funEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 337 "./jsemit.h"
  var $4=$3; //@line 337 "./jsemit.h"
  var $5=HEAP32[(($4)>>2)]; //@line 337 "./jsemit.h"
  ;
  return $5; //@line 337 "./jsemit.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 147 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "./frontend/ParseMaps.h"
  ;
  return $4; //@line 147 "./frontend/ParseMaps.h"
}


function __ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function __ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js7MoveRefINS_11UpvarCookieEEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_11UpvarCookieEEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZL10AddSpanDepP9JSContextP15JSCodeGeneratorPhS3_i($cx, $cg, $pc, $pc2, $off) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $index;
      var $sdbase;
      var $sd;
      var $size;
      $2=$cx;
      $3=$cg;
      $4=$pc;
      $5=$pc2;
      $6=$off;
      var $7=$3; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7+220)|0); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$9; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$index; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+1)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0)==0; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $14=$2; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$3; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL23ReportStatementTooLargeP9JSContextP15JSCodeGenerator($14, $15); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $17=$index; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=$index; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18-1)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=$17 & $19; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=(($20)|0)==0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $23=$3; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+208)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sdbase=$25; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25)|0)!=0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $28=$index; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28)>>>0) >= 256; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 12; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $31=$sdbase; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=(($31)|0)!=0; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $34=$index; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=((($34<<4))|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38 = $35;__label__ = 9; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $38 = 2048;__label__ = 9; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $38; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $size=$38; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$2; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=$sdbase; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$40; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=$size; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$size; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=(($42+$43)|0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=__ZN9JSContext8realloc_EPvj($39, $41, $44); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$45; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sdbase=$46; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$sdbase; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47)|0)!=0; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      $1=0; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $51=$sdbase; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$3; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+208)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $55=$index; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($55+1)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$3; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57+220)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=$3; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=(($59+208)|0); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$index; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($61+($62<<4))|0); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $sd=$63; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=$4; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$3; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65+172)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$64; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$69; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=(($70-$71)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$sd; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($73)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($74)>>2)]=$72; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$5; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$3; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($76+172)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=(($78)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=$75; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=$80; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $83=(($81-$82)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=$sd; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=(($84+8)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($85)>>2)]=$83; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$sd; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86+4)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($87)>>2)]=$83; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=$4; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89=HEAPU8[($88)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=(($89)&255); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=((_js_CodeSpec+($90<<3))|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=(($91+4)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$93 & 32768; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94)|0)!=0; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($95) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $97=$6; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=(($97)|0)!=0; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($98) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $100=$6; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100)|0) > 1073741823; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($101) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $103=$2; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=$3; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZL23ReportStatementTooLargeP9JSContextP15JSCodeGenerator($103, $104); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      __label__ = 17; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $107=$6; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$107 << 1; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=$108; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=$sd; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=(($110+12)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($111)>>2)]=$109; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 24; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $113=$6; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=(($113)|0)==0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($114) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $116=$sd; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=(($116+12)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($117)>>2)]=1; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 23; break; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $119=$2; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=$3; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$sd; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$6; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=__ZL16SetSpanDepTargetP9JSContextP15JSCodeGeneratorP9JSSpanDepi($119, $120, $121, $122); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123)|0)!=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($124) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 21: 
      $1=0; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $129=$index; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=(($129)>>>0) > 65534; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($130) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      $index=65535; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 26; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $133=$index; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=$133 >>> 8; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=(($134) & 255); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=$5; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=(($136+1)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($137)]=$135; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=$index; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=(($138) & 255); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=$5; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=(($140+2)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP8[($141)]=$139; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 27; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $143=$1; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $143; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10AddSpanDepP9JSContextP15JSCodeGeneratorPhS3_i["X"]=1;

function __ZNK2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js8Bindings10hasBindingEP9JSContextP6JSAtom($this, $cx, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$name;
  var $4=$1;
  var $5=$2; //@line 269 "./jsscript.h"
  var $6=$3; //@line 269 "./jsscript.h"
  var $7=__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj($4, $5, $6, 0); //@line 269 "./jsscript.h"
  var $8=(($7)|0)!=0; //@line 269 "./jsscript.h"
  ;
  return $8; //@line 269 "./jsscript.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK11JSParseNode13isDeoptimizedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 1024); //@line 573 "./jsparse.h"
  ;
  return $3; //@line 573 "./jsparse.h"
}


function __ZN12JSDefinition4kindEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=$3; //@line 959 "./jsparse.h"
      var $5=__ZNK11JSParseNode7getKindEv($4); //@line 959 "./jsparse.h"
      var $6=(($5)|0)==34; //@line 959 "./jsparse.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 959 "./jsparse.h"
    case 2: 
      $1=3; //@line 960 "./jsparse.h"
      __label__ = 12; break; //@line 960 "./jsparse.h"
    case 3: 
      var $9=$3; //@line 962 "./jsparse.h"
      var $10=__ZNK11JSParseNode4isOpE4JSOp($9, 0); //@line 962 "./jsparse.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 962 "./jsparse.h"
    case 4: 
      $1=5; //@line 963 "./jsparse.h"
      __label__ = 12; break; //@line 963 "./jsparse.h"
    case 5: 
      var $13=$3; //@line 964 "./jsparse.h"
      var $14=__ZNK11JSParseNode4isOpE4JSOp($13, 84); //@line 964 "./jsparse.h"
      if ($14) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 964 "./jsparse.h"
    case 6: 
      $1=4; //@line 965 "./jsparse.h"
      __label__ = 12; break; //@line 965 "./jsparse.h"
    case 7: 
      var $17=$3; //@line 966 "./jsparse.h"
      var $18=__ZNK11JSParseNode7isConstEv($17); //@line 966 "./jsparse.h"
      if ($18) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 966 "./jsparse.h"
    case 8: 
      $1=1; //@line 967 "./jsparse.h"
      __label__ = 12; break; //@line 967 "./jsparse.h"
    case 9: 
      var $21=$3; //@line 968 "./jsparse.h"
      var $22=__ZNK11JSParseNode5isLetEv($21); //@line 968 "./jsparse.h"
      if ($22) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 968 "./jsparse.h"
    case 10: 
      $1=2; //@line 969 "./jsparse.h"
      __label__ = 12; break; //@line 969 "./jsparse.h"
    case 11: 
      $1=0; //@line 970 "./jsparse.h"
      __label__ = 12; break; //@line 970 "./jsparse.h"
    case 12: 
      var $26=$1; //@line 971 "./jsparse.h"
      ;
      return $26; //@line 971 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK11JSParseNode10isTopLevelEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 16); //@line 590 "./jsparse.h"
  ;
  return $3; //@line 590 "./jsparse.h"
}


function __ZNK12JSDefinition8isGlobalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 949 "./jsparse.h"
  var $4=__ZNK11JSParseNode4testEj($3, 64); //@line 949 "./jsparse.h"
  ;
  return $4; //@line 949 "./jsparse.h"
}


function __ZL17TryConvertToGnameP15JSCodeGeneratorP11JSParseNodeP4JSOp($cg, $pn, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cg;
      $3=$pn;
      $4=$op;
      var $5=$2; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$5; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=__ZNK13JSTreeContext12compileAndGoEv($6); //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 16; break; } //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$2; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$9; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=__ZN13JSTreeContext8compilerEv($10); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11+992)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0)!=0; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 16; break; } //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $18=$2; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$18; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=__ZNK13JSTreeContext16mightAliasLocalsEv($19); //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($20) { __label__ = 16; break; } else { __label__ = 4; break; } //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $22=$3; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=__ZNK11JSParseNode13isDeoptimizedEv($22); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($23) { __label__ = 16; break; } else { __label__ = 5; break; } //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $25=$2; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=$25; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=$28 & 262144; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29)|0)!=0; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($30) { __label__ = 16; break; } else { __label__ = 6; break; } //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $32=$4; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ((($33)|0) == 59) {
        __label__ = 7; break;
      }
      else if ((($33)|0) == 111) {
        __label__ = 8; break;
      }
      else if ((($33)|0) == 41) {
        __label__ = 9; break;
      }
      else if ((($33)|0) == 47) {
        __label__ = 10; break;
      }
      else if ((($33)|0) == 44) {
        __label__ = 11; break;
      }
      else if ((($33)|0) == 50) {
        __label__ = 12; break;
      }
      else if ((($33)|0) == 14 || (($33)|0) == 36) {
        __label__ = 13; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 7: 
      var $35=$4; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($35)>>2)]=156; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $37=$4; //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($37)>>2)]=157; //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $39=$4; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($39)>>2)]=158; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $41=$4; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($41)>>2)]=160; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $43=$4; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($43)>>2)]=159; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $45=$4; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($45)>>2)]=161; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      $1=0; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      __label__ = 15; break; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      $1=1; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      $1=0; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 17; break; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $51=$1; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $51; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17TryConvertToGnameP15JSCodeGeneratorP11JSParseNodeP4JSOp["X"]=1;

function __ZN2js8Bindings8addUpvarEP9JSContextP6JSAtom($this, $cx, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$name;
  var $4=$1;
  var $5=$2; //@line 247 "./jsscript.h"
  var $6=$3; //@line 247 "./jsscript.h"
  var $7=__ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE($4, $5, $6, 4); //@line 247 "./jsscript.h"
  ;
  return $7; //@line 247 "./jsscript.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5countEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE8usingMapEv($2); //@line 218 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 218 "./mfbt/InlineMap.h"
    case 2: 
      var $5=(($2+200)|0); //@line 218 "./mfbt/InlineMap.h"
      var $6=__ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($5); //@line 218 "./mfbt/InlineMap.h"
      var $11 = $6;__label__ = 4; break; //@line 218 "./mfbt/InlineMap.h"
    case 3: 
      var $8=(($2+4)|0); //@line 218 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 218 "./mfbt/InlineMap.h"
      var $11 = $9;__label__ = 4; break; //@line 218 "./mfbt/InlineMap.h"
    case 4: 
      var $11; //@line 218 "./mfbt/InlineMap.h"
      ;
      return $11; //@line 218 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE19growByUninitializedEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 700 "./jsvector.h"
  var $5=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($3, $4); //@line 700 "./jsvector.h"
  ;
  return $5; //@line 700 "./jsvector.h"
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE16replaceRawBufferEPS1_j($this, $p, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      $1=$this;
      $2=$p;
      $3=$length;
      var $4=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_($g, $4); //@line 940 "./jsvector.h"
      var $5=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 943 "./jsvector.h"
      var $6=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 943 "./jsvector.h"
      __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($5, $6); //@line 943 "./jsvector.h"
      var $7=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($4); //@line 944 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 944 "./jsvector.h"
    case 2: 
      var $9=$4; //@line 945 "./jsvector.h"
      var $10=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 945 "./jsvector.h"
      var $11=$10; //@line 945 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($9, $11); //@line 945 "./jsvector.h"
      __label__ = 3; break; //@line 945 "./jsvector.h"
    case 3: 
      var $13=$3; //@line 948 "./jsvector.h"
      var $14=(($13)>>>0) <= 8; //@line 948 "./jsvector.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 948 "./jsvector.h"
    case 4: 
      var $16=(($4+16)|0); //@line 954 "./jsvector.h"
      var $17=__ZN7mozilla14AlignedStorageILj32EE4addrEv($16); //@line 954 "./jsvector.h"
      var $18=$17; //@line 954 "./jsvector.h"
      var $19=(($4+4)|0); //@line 954 "./jsvector.h"
      HEAP32[(($19)>>2)]=$18; //@line 954 "./jsvector.h"
      var $20=$3; //@line 955 "./jsvector.h"
      var $21=(($4+8)|0); //@line 955 "./jsvector.h"
      HEAP32[(($21)>>2)]=$20; //@line 955 "./jsvector.h"
      var $22=(($4+12)|0); //@line 956 "./jsvector.h"
      HEAP32[(($22)>>2)]=8; //@line 956 "./jsvector.h"
      var $23=(($4+4)|0); //@line 957 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 957 "./jsvector.h"
      var $25=$2; //@line 957 "./jsvector.h"
      var $26=$2; //@line 957 "./jsvector.h"
      var $27=$3; //@line 957 "./jsvector.h"
      var $28=(($26+($27<<2))|0); //@line 957 "./jsvector.h"
      __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($24, $25, $28); //@line 957 "./jsvector.h"
      var $29=$2; //@line 958 "./jsvector.h"
      var $30=$2; //@line 958 "./jsvector.h"
      var $31=$3; //@line 958 "./jsvector.h"
      var $32=(($30+($31<<2))|0); //@line 958 "./jsvector.h"
      __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($29, $32); //@line 958 "./jsvector.h"
      var $33=$4; //@line 959 "./jsvector.h"
      var $34=$2; //@line 959 "./jsvector.h"
      var $35=$34; //@line 959 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($33, $35); //@line 959 "./jsvector.h"
      __label__ = 6; break; //@line 960 "./jsvector.h"
    case 5: 
      var $37=$2; //@line 961 "./jsvector.h"
      var $38=(($4+4)|0); //@line 961 "./jsvector.h"
      HEAP32[(($38)>>2)]=$37; //@line 961 "./jsvector.h"
      var $39=$3; //@line 962 "./jsvector.h"
      var $40=(($4+8)|0); //@line 962 "./jsvector.h"
      HEAP32[(($40)>>2)]=$39; //@line 962 "./jsvector.h"
      var $41=$3; //@line 963 "./jsvector.h"
      var $42=(($4+12)|0); //@line 963 "./jsvector.h"
      HEAP32[(($42)>>2)]=$41; //@line 963 "./jsvector.h"
      __label__ = 6; break;
    case 6: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 968 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 968 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE16replaceRawBufferEPS1_j["X"]=1;

function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $22 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$15; //@line 93 "./jsvector.h"
      HEAP32[(($16)>>2)]=0; //@line 93 "./jsvector.h"
      var $17=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveINS_11UpvarCookieEEENS_7MoveRefIT_EERKS3_($4, $17); //@line 93 "./jsvector.h"
      var $18=__ZNK2js7MoveRefINS_11UpvarCookieEEcvRS1_Ev($4); //@line 93 "./jsvector.h"
      var $19=$15; //@line 93 "./jsvector.h"
      var $20=$18; //@line 93 "./jsvector.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)]; //@line 93 "./jsvector.h"
      var $22 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $22; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $24=$p; //@line 92 "./jsvector.h"
      var $25=(($24+4)|0); //@line 92 "./jsvector.h"
      $p=$25; //@line 92 "./jsvector.h"
      var $26=$1; //@line 92 "./jsvector.h"
      var $27=(($26+4)|0); //@line 92 "./jsvector.h"
      $1=$27; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_11UpvarCookieEEENS_7MoveRefIT_EERKS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_11UpvarCookieEEC1ERS1_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js7MoveRefINS_11UpvarCookieEEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_11UpvarCookieEEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<2))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=$3; //@line 681 "./jsvector.h"
      var $22=(($5+8)|0); //@line 681 "./jsvector.h"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "./jsvector.h"
      var $24=(($23+$21)|0); //@line 681 "./jsvector.h"
      HEAP32[(($22)>>2)]=$24; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $26=$1; //@line 687 "./jsprvtd.h"
      STACKTOP = __stackBase__;
      return $26; //@line 687 "./jsprvtd.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1178($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1179($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE8usingMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 82 "./mfbt/InlineMap.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 82 "./mfbt/InlineMap.h"
  var $5=(($4)>>>0) > 24; //@line 82 "./mfbt/InlineMap.h"
  ;
  return $5; //@line 82 "./mfbt/InlineMap.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 646 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 646 "./jshashtable.h"
  ;
  return $4; //@line 646 "./jshashtable.h"
}


function __ZN13JSTreeContext8compilerEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+48)|0); //@line 436 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 436 "./jsemit.h"
  var $5=$4; //@line 436 "./jsemit.h"
  ;
  return $5; //@line 436 "./jsemit.h"
}


function __ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN16EmitLevelManagerC2EP15JSCodeGenerator($this, $cg) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cg;
  var $3=$1;
  var $4=(($3)|0); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $5=$2; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $6=$2; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $7=(($6+236)|0); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  var $9=(($8+1)|0); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  HEAP32[(($7)>>2)]=$9; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
  ;
  return; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
}


function _JSVAL_TO_STRING_IMPL1174($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL1175($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL1176($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj8ES2_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsprvtd.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj8ES2_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=((($7<<2))|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $35 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$28; //@line 118 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; //@line 118 "./jsvector.h"
      var $30=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveINS_11UpvarCookieEEENS_7MoveRefIT_EERS3_($4, $30); //@line 118 "./jsvector.h"
      var $31=__ZNK2js7MoveRefINS_11UpvarCookieEEcvRS1_Ev($4); //@line 118 "./jsvector.h"
      var $32=$28; //@line 118 "./jsvector.h"
      var $33=$31; //@line 118 "./jsvector.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)]; //@line 118 "./jsvector.h"
      var $35 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $35; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $37=$dst; //@line 117 "./jsvector.h"
      var $38=(($37+4)|0); //@line 117 "./jsvector.h"
      $dst=$38; //@line 117 "./jsvector.h"
      var $39=$src; //@line 117 "./jsvector.h"
      var $40=(($39+4)|0); //@line 117 "./jsvector.h"
      $src=$40; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $42=$2; //@line 119 "./jsvector.h"
      var $43=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($42); //@line 119 "./jsvector.h"
      var $44=$2; //@line 119 "./jsvector.h"
      var $45=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($44); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($43, $45); //@line 119 "./jsvector.h"
      var $46=$2; //@line 120 "./jsvector.h"
      var $47=$46; //@line 120 "./jsvector.h"
      var $48=$2; //@line 120 "./jsvector.h"
      var $49=(($48+4)|0); //@line 120 "./jsvector.h"
      var $50=HEAP32[(($49)>>2)]; //@line 120 "./jsvector.h"
      var $51=$50; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($47, $51); //@line 120 "./jsvector.h"
      var $52=$newbuf; //@line 121 "./jsvector.h"
      var $53=$2; //@line 121 "./jsvector.h"
      var $54=(($53+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($54)>>2)]=$52; //@line 121 "./jsvector.h"
      var $55=$3; //@line 123 "./jsvector.h"
      var $56=$2; //@line 123 "./jsvector.h"
      var $57=(($56+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($57)>>2)]=$55; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $59=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $59; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj8ES2_EEj["X"]=1;

function __ZN2js4MoveINS_11UpvarCookieEEENS_7MoveRefIT_EERS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_11UpvarCookieEEC1ERS1_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1090 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5countEv($3); //@line 1090 "./jshashtable.h"
  ;
  return $4; //@line 1090 "./jshashtable.h"
}


function __ZNK11JSParseNode5isLetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 1); //@line 568 "./jsparse.h"
  ;
  return $3; //@line 568 "./jsparse.h"
}


function __ZL15BindKnownGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeS4_P6JSAtom($cx, $cg, $dn, $pn, $atom) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $globalScope;
      var $index;
      var $p=__stackBase__+4;
      var $globalcg;
      $2=$cx;
      $3=$cg;
      $4=$dn;
      $5=$pn;
      HEAP32[(($6)>>2)]=$atom;
      var $7=$3; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=$7; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $9=__ZNK13JSTreeContext16mightAliasLocalsEv($8); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $1=1; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $12=$3; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=$12; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=__ZN13JSTreeContext8compilerEv($13); //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=(($14+992)|0); //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $globalScope=$16; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=$4; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $18=(($17+32)|0); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=$18; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+8)|0); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=__ZNK2js11UpvarCookie6isFreeEv($20); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      var $23=$globalScope; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=(($23+216)|0); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __ZN2js9InlineMapIP6JSAtomjLj24EE6lookupERKS2_($p, $24, $6); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=__ZN2js9InlineMapIP6JSAtomjLj24EE3Ptr5valueEv($p); //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$26; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $28=$globalScope; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28+4)|0); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $globalcg=$30; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=$globalcg; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$3; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($31)|0)==(($32)|0); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $35=$5; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+32)|0); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$36; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37+8)|0); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$4; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39+32)|0); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$40; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41+8)|0); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=$38; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=$42; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)]; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$5; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=(($45+32)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$46; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=$47; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=(($48+12)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$49; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$51 & 4095; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=$52 | 512; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=$53 & 4095; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=$47; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=(($55+12)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$56; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=$54 & 4095; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=HEAP32[(($57)>>2)]; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$59 & -4096; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$60 | $58; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($57)>>2)]=$61; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $63=$globalcg; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($63+364)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$4; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=(($65+32)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=$66; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+8)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=__ZNK2js11UpvarCookie9asIntegerEv($68); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEixEj($64, $69); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=(($70+4)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $index=$72; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 8; break;
    case 8: 
      var $74=$3; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=HEAP32[(($6)>>2)]; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$index; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=$5; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=(($77+32)|0); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$78; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79+8)|0); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=__ZN15JSCodeGenerator12addGlobalUseEP6JSAtomjPN2js11UpvarCookieE($74, $75, $76, $80); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($81) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      $1=0; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $84=$5; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=(($84+32)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=$85; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86+8)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=__ZNK2js11UpvarCookie6isFreeEv($87); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($88) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $90=$5; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=(($90+32)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=$91; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=$92; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=(($93+12)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=$94; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=$96 & 4095; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=$97 | 512; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=$98 & 4095; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=$92; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=(($100+12)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=$101; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=$99 & 4095; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=HEAP32[(($102)>>2)]; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=$104 & -4096; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=$105 | $103; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($102)>>2)]=$106; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 12; break; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      $1=1; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 13; break; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $109=$1; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      STACKTOP = __stackBase__;
      return $109; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15BindKnownGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeS4_P6JSAtom["X"]=1;

function __ZN2js9InlineMapIP6JSAtomjLj24EE6lookupERKS2_($agg_result, $this, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $it;
      var $end;
      $1=$this;
      $2=$key;
      var $4=$1;
      var $5=__ZNK2js9InlineMapIP6JSAtomjLj24EE8usingMapEv($4); //@line 251 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 251 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($4+200)|0); //@line 252 "./mfbt/InlineMap.h"
      var $8=$2; //@line 252 "./mfbt/InlineMap.h"
      __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($3, $7, $8); //@line 252 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E3PtrE($agg_result, $3); //@line 252 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 252 "./mfbt/InlineMap.h"
    case 3: 
      var $10=(($4+8)|0); //@line 254 "./mfbt/InlineMap.h"
      var $11=(($10)|0); //@line 254 "./mfbt/InlineMap.h"
      $it=$11; //@line 254 "./mfbt/InlineMap.h"
      var $12=(($4+8)|0); //@line 254 "./mfbt/InlineMap.h"
      var $13=(($12)|0); //@line 254 "./mfbt/InlineMap.h"
      var $14=(($4)|0); //@line 254 "./mfbt/InlineMap.h"
      var $15=HEAP32[(($14)>>2)]; //@line 254 "./mfbt/InlineMap.h"
      var $16=(($13+($15<<3))|0); //@line 254 "./mfbt/InlineMap.h"
      $end=$16; //@line 254 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 254 "./mfbt/InlineMap.h"
    case 4: 
      var $18=$it; //@line 254 "./mfbt/InlineMap.h"
      var $19=$end; //@line 254 "./mfbt/InlineMap.h"
      var $20=(($18)|0)!=(($19)|0); //@line 254 "./mfbt/InlineMap.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 254 "./mfbt/InlineMap.h"
    case 5: 
      var $22=$it; //@line 255 "./mfbt/InlineMap.h"
      var $23=(($22)|0); //@line 255 "./mfbt/InlineMap.h"
      var $24=HEAP32[(($23)>>2)]; //@line 255 "./mfbt/InlineMap.h"
      var $25=$2; //@line 255 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 255 "./mfbt/InlineMap.h"
      var $27=(($24)|0)==(($26)|0); //@line 255 "./mfbt/InlineMap.h"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 255 "./mfbt/InlineMap.h"
    case 6: 
      var $29=$it; //@line 256 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC1EPNS3_10InlineElemE($agg_result, $29); //@line 256 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 256 "./mfbt/InlineMap.h"
    case 7: 
      __label__ = 8; break; //@line 257 "./mfbt/InlineMap.h"
    case 8: 
      var $32=$it; //@line 254 "./mfbt/InlineMap.h"
      var $33=(($32+8)|0); //@line 254 "./mfbt/InlineMap.h"
      $it=$33; //@line 254 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 254 "./mfbt/InlineMap.h"
    case 9: 
      __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC1EPNS3_10InlineElemE($agg_result, 0); //@line 259 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 259 "./mfbt/InlineMap.h"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 260 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE3Ptr5valueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 174 "./mfbt/InlineMap.h"
      var $4=HEAP8[($3)]; //@line 174 "./mfbt/InlineMap.h"
      var $5=(($4) & 1); //@line 174 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 174 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($2+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $8=HEAP32[(($7)>>2)]; //@line 174 "./mfbt/InlineMap.h"
      var $9=(($8+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $15 = $9;__label__ = 4; break; //@line 174 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 174 "./mfbt/InlineMap.h"
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($11); //@line 174 "./mfbt/InlineMap.h"
      var $13=(($12+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $15 = $13;__label__ = 4; break; //@line 174 "./mfbt/InlineMap.h"
    case 4: 
      var $15; //@line 174 "./mfbt/InlineMap.h"
      ;
      return $15; //@line 174 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<3))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E3PtrE($2, $p); //@line 144 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 144 "./jsprvtd.h"
}


function __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC1EPNS3_10InlineElemE($this, $ie) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ie;
  var $3=$1;
  var $4=$2; //@line 145 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC2EPNS3_10InlineElemE($3, $4); //@line 145 "./jsprvtd.h"
  ;
  return; //@line 145 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC2EPNS3_10InlineElemE($this, $ie) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ie;
  var $3=$1;
  var $4=(($3)|0); //@line 145 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC1Ev($4); //@line 145 "./jsprvtd.h"
  var $5=(($3+4)|0); //@line 145 "./jsprvtd.h"
  var $6=$2; //@line 145 "./jsprvtd.h"
  HEAP32[(($5)>>2)]=$6; //@line 145 "./jsprvtd.h"
  var $7=(($3+8)|0); //@line 145 "./jsprvtd.h"
  HEAP8[($7)]=1; //@line 145 "./jsprvtd.h"
  ;
  return; //@line 145 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2Ev($2); //@line 144 "./jshashtable.h"
  ;
  return; //@line 144 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 144 "./jsprvtd.h"
  var $4=$3; //@line 144 "./jsprvtd.h"
  var $5=$p; //@line 144 "./jsprvtd.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 144 "./jsprvtd.h"
  var $6=(($2+8)|0); //@line 144 "./jsprvtd.h"
  HEAP8[($6)]=0; //@line 144 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 144 "./mfbt/InlineMap.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1177($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1178($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1179($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1177["X"]=1;

function _js_calloc1180($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1181($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1182($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj1189($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb1183($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _OBJECT_TO_JSVAL_IMPL1184($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL1185($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL1186($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL1187($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZNK13JSTreeContext13usesArgumentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 450 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 450 "./jsemit.h"
  var $5=$4 & 128; //@line 450 "./jsemit.h"
  var $6=(($5)|0)!=0; //@line 450 "./jsemit.h"
  ;
  return $6; //@line 450 "./jsemit.h"
}


function _JSVAL_TO_INT32_IMPL1188($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function __ZL18BalanceJumpTargetsPP12JSJumpTarget($jtp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $jt;
      var $jt2;
      var $root;
      var $dir;
      var $otherDir;
      var $heightChanged;
      var $doubleRotate;
      $2=$jtp;
      var $3=$2; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jt=$4; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=$jt; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=(($5+4)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $8=(($7)|0) < -1; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      $dir=1; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=$jt; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=(($10+8)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=(($11)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=(($13+4)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0) > 0; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $17=(($16)&1); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $doubleRotate=$17; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 7; break; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $19=$jt; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19+4)|0); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=(($21)|0) > 1; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      $dir=0; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $24=$jt; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $25=(($24+8)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $26=(($25+4)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=(($27+4)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29)|0) < 0; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=(($30)&1); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $doubleRotate=$31; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 6; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      $1=0; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      var $35=$dir; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=((1-$35)|0); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $otherDir=$36; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=$doubleRotate; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37)|0)!=0; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $40=$otherDir; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=$jt; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41+8)|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+($40<<2))|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jt2=$44; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$dir; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$jt2; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=(($46+8)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+($45<<2))|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $root=$49; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$2; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($50)>>2)]=$49; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$dir; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=$root; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=(($52+8)|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($53+($51<<2))|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $56=$otherDir; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$jt; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57+8)|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=(($58+($56<<2))|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($59)>>2)]=$55; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$jt; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=$dir; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=$root; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $63=(($62+8)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $64=(($63+($61<<2))|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($64)>>2)]=$60; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=$otherDir; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=$root; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66+8)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=(($67+($65<<2))|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$dir; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $71=$jt2; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $72=(($71+8)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=(($72+($70<<2))|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($73)>>2)]=$69; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=$jt2; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$otherDir; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=$root; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $77=(($76+8)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $78=(($77+($75<<2))|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($78)>>2)]=$74; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $heightChanged=1; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$root; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $80=(($79+4)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $82=(($81)|0) > 0; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($82) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 9: 
      var $84=$root; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $85=(($84+4)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $89 = $86;__label__ = 11; break; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      var $89 = 0;__label__ = 11; break; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      var $89; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $90=(((-$89))|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $91=$root; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=(($91+8)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=(($92)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94+4)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($95)>>2)]=$90; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=$root; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=(($96+4)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=(($98)|0) < 0; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($99) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $101=$root; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101+4)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106 = $103;__label__ = 14; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $106 = 0;__label__ = 14; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      var $106; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(((-$106))|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$root; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=(($108+8)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=(($109+4)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=(($111+4)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($112)>>2)]=$107; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $113=$root; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $114=(($113+4)|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($114)>>2)]=0; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 15: 
      var $116=$otherDir; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$jt; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($117+8)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=(($118+($116<<2))|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $root=$120; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $121=$2; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($121)>>2)]=$120; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $122=$dir; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$root; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123+8)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $125=(($124+($122<<2))|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $127=$otherDir; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=$jt; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=(($128+8)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=(($129+($127<<2))|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($130)>>2)]=$126; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=$jt; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=$dir; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $133=$root; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $134=(($133+8)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=(($134+($132<<2))|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($135)>>2)]=$131; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=$root; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=(($136+4)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=(($138)|0)!=0; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $140=(($139)&1); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $heightChanged=$140; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $141=$dir; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=(($141)|0)==0; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($142) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $144=$root; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=(($144+4)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $147=(($146-1)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($145)>>2)]=$147; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154 = $147;__label__ = 18; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $149=$root; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=(($149+4)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $152=(($151+1)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($150)>>2)]=$152; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154 = $152;__label__ = 18; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $154; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=(((-$154))|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=$jt; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $157=(($156+4)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($157)>>2)]=$155; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 19; break;
    case 19: 
      var $159=$heightChanged; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$159; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 20; break; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $161=$1; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $161; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18BalanceJumpTargetsPP12JSJumpTarget["X"]=1;

function __ZNK2js11TokenStream11getFilenameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+172)|0); //@line 344 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 344 "./jsscan.h"
  ;
  return $4; //@line 344 "./jsscan.h"
}


function __ZN14JSCGObjectListC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 586 "./jsemit.h"
  HEAP32[(($3)>>2)]=0; //@line 586 "./jsemit.h"
  var $4=(($2+4)|0); //@line 586 "./jsemit.h"
  HEAP32[(($4)>>2)]=0; //@line 586 "./jsemit.h"
  ;
  return; //@line 586 "./jsemit.h"
}


function __ZL13AddJumpTargetP17AddJumpTargetArgsPP12JSJumpTarget($args, $jtp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $jt;
      var $balanceDelta;
      var $cg;
      var $_a;
      var $_nb;
      var $_p;
      $2=$args;
      $3=$jtp;
      var $4=$3; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jt=$5; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $6=$jt; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $7=(($6)|0)!=0; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($7) { __label__ = 16; break; } else { __label__ = 2; break; } //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 2: 
      var $9=$2; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $10=(($9+4)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $cg=$11; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $12=$cg; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $13=(($12+216)|0); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jt=$14; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $15=$jt; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $16=(($15)|0)!=0; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 3: 
      var $18=$jt; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $19=(($18+8)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $20=(($19)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $22=$cg; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $23=(($22+216)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($23)>>2)]=$21; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 15; break; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 4: 
      __label__ = 5; break; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 5: 
      var $26=$2; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $27=(($26)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $29=(($28+72)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $30=(($29+16)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_a=$31; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $32=$2; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $33=(($32)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $35=(($34+72)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $36=(($35+24)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $38=(($37+16)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $39=$2; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $40=(($39)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $42=(($41+72)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $43=(($42+24)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $45=$44 ^ -1; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $46=$38 & $45; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_nb=$46; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $47=$_a; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $48=(($47+12)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_p=$49; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $50=$_nb; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $51=$_a; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $52=(($51+8)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $53=HEAPU32[(($52)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $54=(($50)>>>0) > (($53)>>>0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($54) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 6: 
      var $56=$_p; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $57=$_a; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $58=(($57+8)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $60=$_nb; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $61=(($59-$60)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $62=(($56)>>>0) > (($61)>>>0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($62) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 7: 
      var $64=$2; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $65=(($64)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $67=(($66+72)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $68=$_nb; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $69=_JS_ArenaAllocate($67, $68); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $70=$69; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $_p=$70; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 8: 
      var $72=$_p; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $73=$_nb; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $74=(($72+$73)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $75=$_a; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $76=(($75+12)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($76)>>2)]=$74; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 9; break;
    case 9: 
      var $78=$_p; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $79=$78; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $jt=$79; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 10; break; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 10: 
      __label__ = 11; break; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 11: 
      __label__ = 12; break; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 12: 
      var $83=$jt; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $84=(($83)|0)!=0; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($84) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 13: 
      var $86=$2; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $87=(($86)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($88); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $91=$2; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $92=(($91+8)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $94=$jt; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $95=(($94)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($95)>>2)]=$93; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $96=$jt; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $97=(($96+4)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($97)>>2)]=0; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $98=$jt; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $99=(($98+8)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $100=(($99+4)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($100)>>2)]=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $101=$jt; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $102=(($101+8)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $103=(($102)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($103)>>2)]=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $104=$cg; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $105=(($104+224)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $107=(($106+1)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($105)>>2)]=$107; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $108=$jt; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $109=$2; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $110=(($109+12)|0); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($110)>>2)]=$108; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $111=$jt; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $112=$3; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($112)>>2)]=$111; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=1; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 16: 
      var $114=$jt; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $115=(($114)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $117=$2; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $118=(($117+8)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $120=(($116)|0)==(($119)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($120) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 17: 
      var $122=$jt; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $123=$2; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $124=(($123+12)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($124)>>2)]=$122; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=0; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 18: 
      var $126=$2; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $127=(($126+8)|0); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $129=$jt; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $130=(($129)|0); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $132=(($128)|0) < (($131)|0); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($132) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 19: 
      var $134=$2; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $135=$jt; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $136=(($135+8)|0); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $137=(($136)|0); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $138=__ZL13AddJumpTargetP17AddJumpTargetArgsPP12JSJumpTarget($134, $137); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $139=(((-$138))|0); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $balanceDelta=$139; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 21; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 20: 
      var $141=$2; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $142=$jt; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $143=(($142+8)|0); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $144=(($143+4)|0); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $145=__ZL13AddJumpTargetP17AddJumpTargetArgsPP12JSJumpTarget($141, $144); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $balanceDelta=$145; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 21; break;
    case 21: 
      var $147=$2; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $148=(($147+12)|0); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $150=(($149)|0)!=0; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($150) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 22: 
      $1=0; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 23: 
      var $153=$balanceDelta; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $154=$jt; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $155=(($154+4)|0); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $157=(($156+$153)|0); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      HEAP32[(($155)>>2)]=$157; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $158=$balanceDelta; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $159=(($158)|0)!=0; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($159) { __label__ = 24; break; } else { __label__ = 26; break; } //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 24: 
      var $161=$jt; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $162=(($161+4)|0); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $164=(($163)|0)!=0; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      if ($164) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 25: 
      var $166=$3; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $167=__ZL18BalanceJumpTargetsPP12JSJumpTarget($166); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $168=((1-$167)|0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      var $171 = $168;__label__ = 27; break; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 26: 
      var $171 = 0;__label__ = 27; break; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 27: 
      var $171; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      $1=$171; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      __label__ = 28; break; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    case 28: 
      var $173=$1; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
      ;
      return $173; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsemit.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13AddJumpTargetP17AddJumpTargetArgsPP12JSJumpTarget["X"]=1;

function _js_GetStackUses($cs, $op, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cs;
      $3=$op;
      $4=$pc;
      var $5=$2; //@line 403 "./jsopcode.h"
      var $6=(($5+1)|0); //@line 403 "./jsopcode.h"
      var $7=HEAP8[($6)]; //@line 403 "./jsopcode.h"
      var $8=(($7 << 24) >> 24); //@line 403 "./jsopcode.h"
      var $9=(($8)|0) >= 0; //@line 403 "./jsopcode.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 403 "./jsopcode.h"
    case 2: 
      var $11=$2; //@line 404 "./jsopcode.h"
      var $12=(($11+1)|0); //@line 404 "./jsopcode.h"
      var $13=HEAP8[($12)]; //@line 404 "./jsopcode.h"
      var $14=(($13 << 24) >> 24); //@line 404 "./jsopcode.h"
      $1=$14; //@line 404 "./jsopcode.h"
      __label__ = 4; break; //@line 404 "./jsopcode.h"
    case 3: 
      var $16=$3; //@line 405 "./jsopcode.h"
      var $17=$4; //@line 405 "./jsopcode.h"
      var $18=_js_GetVariableStackUses($16, $17); //@line 405 "./jsopcode.h"
      $1=$18; //@line 405 "./jsopcode.h"
      __label__ = 4; break; //@line 405 "./jsopcode.h"
    case 4: 
      var $20=$1; //@line 406 "./jsopcode.h"
      ;
      return $20; //@line 406 "./jsopcode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL10Int32ValueEi1190($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEED2Ev($2); //@line 177 "./frontend/ParseMaps.h"
  ;
  return; //@line 179 "./frontend/ParseMaps.h"
}


function __ZN2js9AtomDeclsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9AtomDeclsD2Ev($2); //@line 153 "./frontend/ParseMaps.h"
  ;
  return; //@line 156 "./frontend/ParseMaps.h"
}


function __ZN2js9AtomDeclsD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 154 "./frontend/ParseMaps-inl.h"
      var $4=HEAP32[(($3)>>2)]; //@line 154 "./frontend/ParseMaps-inl.h"
      var $5=(($4)|0)!=0; //@line 154 "./frontend/ParseMaps-inl.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 154 "./frontend/ParseMaps-inl.h"
    case 2: 
      var $7=(($2)|0); //@line 155 "./frontend/ParseMaps-inl.h"
      var $8=HEAP32[(($7)>>2)]; //@line 155 "./frontend/ParseMaps-inl.h"
      var $9=__ZN9JSContext12parseMapPoolEv($8); //@line 155 "./frontend/ParseMaps-inl.h"
      var $10=(($2+4)|0); //@line 155 "./frontend/ParseMaps-inl.h"
      var $11=HEAP32[(($10)>>2)]; //@line 155 "./frontend/ParseMaps-inl.h"
      __ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EEE($9, $11); //@line 155 "./frontend/ParseMaps-inl.h"
      __label__ = 3; break; //@line 155 "./frontend/ParseMaps-inl.h"
    case 3: 
      ;
      return; //@line 156 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EEE($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 124 "./frontend/ParseMaps.h"
  var $5=$4; //@line 124 "./frontend/ParseMaps.h"
  __ZN2js12ParseMapPool7recycleEPv($3, $5); //@line 124 "./frontend/ParseMaps.h"
  ;
  return; //@line 125 "./frontend/ParseMaps.h"
}


function __ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 178 "./frontend/ParseMaps.h"
  var $4=$3; //@line 178 "./frontend/ParseMaps.h"
  var $5=(($2+4)|0); //@line 178 "./frontend/ParseMaps.h"
  var $6=HEAP32[(($5)>>2)]; //@line 178 "./frontend/ParseMaps.h"
  __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE10releaseMapEP9JSContext($4, $6); //@line 178 "./frontend/ParseMaps.h"
  ;
  return; //@line 179 "./frontend/ParseMaps.h"
}


function __ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSGCConstListD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 592 "./jsemit.h"
  __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED1Ev($3); //@line 592 "./jsemit.h"
  ;
  return; //@line 592 "./jsemit.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9AtomDecls4initEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 147 "./frontend/ParseMaps-inl.h"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "./frontend/ParseMaps-inl.h"
  var $5=__ZN9JSContext12parseMapPoolEv($4); //@line 147 "./frontend/ParseMaps-inl.h"
  var $6=__ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EEEEEPT_v($5); //@line 147 "./frontend/ParseMaps-inl.h"
  var $7=(($2+4)|0); //@line 147 "./frontend/ParseMaps-inl.h"
  HEAP32[(($7)>>2)]=$6; //@line 147 "./frontend/ParseMaps-inl.h"
  var $8=(($2+4)|0); //@line 148 "./frontend/ParseMaps-inl.h"
  var $9=HEAP32[(($8)>>2)]; //@line 148 "./frontend/ParseMaps-inl.h"
  var $10=(($9)|0)!=0; //@line 148 "./frontend/ParseMaps-inl.h"
  ;
  return $10; //@line 148 "./frontend/ParseMaps-inl.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE9ensureMapEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=(($4)|0); //@line 128 "./frontend/ParseMaps-inl.h"
      var $6=HEAP32[(($5)>>2)]; //@line 128 "./frontend/ParseMaps-inl.h"
      var $7=(($6)|0)!=0; //@line 128 "./frontend/ParseMaps-inl.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 128 "./frontend/ParseMaps-inl.h"
    case 2: 
      $1=1; //@line 129 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 129 "./frontend/ParseMaps-inl.h"
    case 3: 
      var $10=$3; //@line 130 "./frontend/ParseMaps-inl.h"
      var $11=__ZN9JSContext12parseMapPoolEv($10); //@line 130 "./frontend/ParseMaps-inl.h"
      var $12=__ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEEPT_v($11); //@line 130 "./frontend/ParseMaps-inl.h"
      var $13=(($4)|0); //@line 130 "./frontend/ParseMaps-inl.h"
      HEAP32[(($13)>>2)]=$12; //@line 130 "./frontend/ParseMaps-inl.h"
      var $14=(($4)|0); //@line 131 "./frontend/ParseMaps-inl.h"
      var $15=HEAP32[(($14)>>2)]; //@line 131 "./frontend/ParseMaps-inl.h"
      var $16=(($15)|0)!=0; //@line 131 "./frontend/ParseMaps-inl.h"
      var $17=$16 ^ 1; //@line 131 "./frontend/ParseMaps-inl.h"
      var $18=$17 ^ 1; //@line 131 "./frontend/ParseMaps-inl.h"
      $1=$18; //@line 131 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 131 "./frontend/ParseMaps-inl.h"
    case 4: 
      var $20=$1; //@line 132 "./frontend/ParseMaps-inl.h"
      ;
      return $20; //@line 132 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEEPT_v($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js12ParseMapPool8allocateEv($2); //@line 55 "./frontend/ParseMaps-inl.h"
  var $4=$3; //@line 55 "./frontend/ParseMaps-inl.h"
  ;
  return $4; //@line 55 "./frontend/ParseMaps-inl.h"
}


function __ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EEEEEPT_v($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js12ParseMapPool8allocateEv($2); //@line 69 "./frontend/ParseMaps-inl.h"
  var $4=$3; //@line 69 "./frontend/ParseMaps-inl.h"
  ;
  return $4; //@line 69 "./frontend/ParseMaps-inl.h"
}


function __ZN13JSGCConstListC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=(($4)|0); //@line 595 "./jsemit.h"
  var $6=$2; //@line 595 "./jsemit.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $6); //@line 595 "./jsemit.h"
  __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC1ES3_($5, $3); //@line 595 "./jsemit.h"
  STACKTOP = __stackBase__;
  return; //@line 595 "./jsemit.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js9AtomDeclsC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 282 "./frontend/ParseMaps.h"
  var $5=$2; //@line 282 "./frontend/ParseMaps.h"
  HEAP32[(($4)>>2)]=$5; //@line 282 "./frontend/ParseMaps.h"
  var $6=(($3+4)|0); //@line 282 "./frontend/ParseMaps.h"
  HEAP32[(($6)>>2)]=0; //@line 282 "./frontend/ParseMaps.h"
  ;
  return; //@line 282 "./frontend/ParseMaps.h"
}


function __ZNK8JSObject7isErrorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1557 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1557 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js10ErrorClassE)|0); //@line 1557 "./jsobj.h"
  ;
  return $5; //@line 1557 "./jsobj.h"
}


function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js9AtomDeclsC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 282 "./frontend/ParseMaps.h"
  __ZN2js9AtomDeclsC2EP9JSContext($3, $4); //@line 282 "./frontend/ParseMaps.h"
  ;
  return; //@line 282 "./frontend/ParseMaps.h"
}


function __ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEEC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 175 "./frontend/ParseMaps.h"
  __ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEEC2EP9JSContext($3, $4); //@line 175 "./frontend/ParseMaps.h"
  ;
  return; //@line 175 "./frontend/ParseMaps.h"
}


function __ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEEC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$3; //@line 173 "./frontend/ParseMaps.h"
  var $5=(($3+4)|0); //@line 173 "./frontend/ParseMaps.h"
  var $6=$2; //@line 173 "./frontend/ParseMaps.h"
  HEAP32[(($5)>>2)]=$6; //@line 173 "./frontend/ParseMaps.h"
  var $7=$3; //@line 174 "./frontend/ParseMaps.h"
  var $8=$7; //@line 174 "./frontend/ParseMaps.h"
  __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE4initEv($8); //@line 174 "./frontend/ParseMaps.h"
  ;
  return; //@line 175 "./frontend/ParseMaps.h"
}


function __ZL11exn_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $priv;
      var $str;
      var $atom;
      var $stack;
      var $prop;
      var $v=__stackBase__;
      var $attrs;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $11=__stackBase__+40;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $12=$6; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($12)>>2)]=0; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=$3; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=__ZL13GetExnPrivateP8JSObject($13); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $priv=$14; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=$priv; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=(($15)|0)!=0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 16; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $18=$4; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=__ZL12JSID_IS_ATOMi1253($18); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=(($19)|0)!=0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 16; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $22=$4; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=_JSID_TO_STRING1254($22); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $str=$23; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=$2; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=(($24+52)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $27=(($26+209948)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=(($27+316)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=$29; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $atom=$30; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=$str; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=$atom; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=$32; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=(($31)|0)==(($33)|0); //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($34) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      $prop=((STRING_TABLE._js_message_str)|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=$priv; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $37=(($36+4)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=(($38)|0)!=0; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      $1=1; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 20; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $42=$priv; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=(($42+4)|0); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _STRING_TO_JSVAL1211($7, $44); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=$v; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $46=$7; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $attrs=0; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 17; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $48=$2; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=(($48+52)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $51=(($50+209948)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $52=(($51+268)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=$53; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $atom=$54; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=$str; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $56=$atom; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=$56; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $58=(($55)|0)==(($57)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($58) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      $prop=((STRING_TABLE._js_fileName_str)|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=$priv; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=(($60+8)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _STRING_TO_JSVAL1211($8, $62); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $63=$v; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $64=$8; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($63)>>2)]=HEAP32[(($64)>>2)];HEAP32[(($63+4)>>2)]=HEAP32[(($64+4)>>2)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $attrs=1; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 17; break; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      var $66=$2; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $67=(($66+52)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $69=(($68+209948)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70=(($69+312)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=$71; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $atom=$72; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=$str; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $74=$atom; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=$74; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=(($73)|0)==(($75)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($76) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      $prop=((STRING_TABLE._js_lineNumber_str)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=$priv; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=(($78+12)|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _INT_TO_JSVAL($9, $80); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $81=$v; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $82=$9; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($81)>>2)]=HEAP32[(($82)>>2)];HEAP32[(($81+4)>>2)]=HEAP32[(($82+4)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $attrs=1; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 17; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      var $84=$2; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=(($84+52)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $87=(($86+209948)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $88=(($87+356)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $90=$89; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $atom=$90; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=$str; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $92=$atom; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $93=$92; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=(($91)|0)==(($93)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($94) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      var $96=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $97=$priv; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $98=__ZL18StackTraceToStringP9JSContextP12JSExnPrivate($96, $97); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stack=$98; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $99=$stack; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $100=(($99)|0)!=0; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($100) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      $1=0; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 20; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $103=$priv; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=(($103+16)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($104)>>2)]=0; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $prop=((STRING_TABLE._js_stack_str)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=$stack; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _STRING_TO_JSVAL1211($10, $105); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $106=$v; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $107=$10; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($106)>>2)]=HEAP32[(($107)>>2)];HEAP32[(($106+4)>>2)]=HEAP32[(($107+4)>>2)]; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $attrs=1; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 17; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      __label__ = 16; break; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      $1=1; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 20; break; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      var $111=$2; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=$3; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=$prop; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $114=$11; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115=$v; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($114)>>2)]=HEAP32[(($115)>>2)];HEAP32[(($114+4)>>2)]=HEAP32[(($115+4)>>2)]; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $116=$attrs; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=_JS_DefineProperty($111, $112, $113, $11, 0, 0, $116); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=(($117)|0)!=0; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($118) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      $1=0; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 20; break; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      var $121=$3; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $122=$6; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($122)>>2)]=$121; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=1; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 20; break; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      var $124=$1; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $124; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11exn_resolveP9JSContextP8JSObjectijPS2_["X"]=1;

function __ZL12exn_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $priv;
      var $report;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $4=__ZL13GetExnPrivateP8JSObject($3); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $priv=$4; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $5=$priv; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $6=(($5)|0)!=0; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $8=$priv; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=(($8)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $report=$10; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=$report; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=(($11)|0)!=0; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $14=$1; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=$report; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=$15; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9JSContext5free_EPv($14, $16); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 4; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $18=$1; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=$priv; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=$19; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9JSContext5free_EPv($18, $20); //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 5; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      ;
      return; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9exn_traceP8JSTracerP8JSObject($trc, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $priv;
      var $elem;
      var $vcount;
      var $i;
      var $vp;
      var $v=__stackBase__;
      var $3=__stackBase__+8;
      var $4=__stackBase__+16;
      var $5=__stackBase__+24;
      $1=$trc;
      $2=$obj;
      var $6=$2; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $7=__ZL13GetExnPrivateP8JSObject($6); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $priv=$7; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $8=$priv; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=(($8)|0)!=0; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 28; break; } //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $11=$priv; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=(($11+4)|0); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=(($13)|0)!=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $16=$1; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=$priv; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=(($17+4)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($16, $19, ((STRING_TABLE.__str51198)|0)); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 4; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $21=$priv; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=(($21+8)|0); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=(($23)|0)!=0; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $26=$1; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $27=$priv; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=(($27+8)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($26, $29, ((STRING_TABLE.__str61199)|0)); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 6; break; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $31=$priv; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=(($31+24)|0); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=(($32)|0); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $elem=$33; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=0; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $vcount=0; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 7; break; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $35=$i; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=$priv; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $37=(($36+16)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=(($35)|0)!=(($38)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $41=$elem; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $42=(($41)|0); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=(($43)|0)!=0; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      var $46=$1; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47=$elem; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=(($47)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($46, $49, ((STRING_TABLE.__str71200)|0)); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 10; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      var $51=$1; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $52=(($51+4)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=(($53)|0)==0; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      var $56=$elem; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=(($56+8)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $59=(($58)|0)!=0; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($59) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      var $61=$elem; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $62=(($61+8)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __Z21js_MarkScriptFilenamePKc($63); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 13; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      var $65=$elem; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $66=(($65+4)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $68=$vcount; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $69=(($68+$67)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $vcount=$69; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $71=$i; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=(($71+1)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=$72; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=$elem; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $74=(($73+16)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $elem=$74; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 7; break; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      var $76=$priv; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=__ZL24GetStackTraceValueBufferP12JSExnPrivate($76); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $vp=$77; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=0; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 16; break; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      var $79=$i; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=$vcount; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $81=(($79)|0)!=(($80)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($81) { __label__ = 17; break; } else { __label__ = 27; break; } //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      var $83=$vp; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $84=$v; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=$83; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($84)>>2)]=HEAP32[(($85)>>2)];HEAP32[(($84+4)>>2)]=HEAP32[(($85+4)>>2)]; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 18; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      var $87=$3; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $88=$v; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[(($88+4)>>2)]; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89=_JSVAL_IS_TRACEABLE($3); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $90=(($89)|0)!=0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($90) { __label__ = 19; break; } else { __label__ = 24; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      __label__ = 20; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      __label__ = 21; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      __label__ = 22; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 22: 
      var $95=$1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=$4; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $97=$v; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($96)>>2)]=HEAP32[(($97)>>2)];HEAP32[(($96+4)>>2)]=HEAP32[(($97+4)>>2)]; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $98=_JSVAL_TO_GCTHING($4); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $99=$5; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $100=$v; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($99)>>2)]=HEAP32[(($100)>>2)];HEAP32[(($99+4)>>2)]=HEAP32[(($100+4)>>2)]; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $101=_JSVAL_TRACE_KIND($5); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _JS_CallTracer($95, $98, $101); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 23; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 23: 
      __label__ = 24; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      __label__ = 25; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      __label__ = 26; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 26: 
      var $106=$i; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $107=(($106+1)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=$107; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $108=$vp; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $109=(($108+8)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $vp=$109; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 16; break; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 27: 
      __label__ = 28; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 28: 
      STACKTOP = __stackBase__;
      return; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9exn_traceP8JSTracerP8JSObject["X"]=1;

function __Z21js_ErrorFromExceptionP9JSContextN2JS5ValueE($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $exn=__stackBase__;
      var $obj;
      var $priv;
      var $4=__stackBase__+8;
      var $5=__stackBase__+16;
      $3=$cx;
      var $6=$exn;
      var $7=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
      var $8=$4; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=$exn; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=_JSVAL_IS_PRIMITIVE($4); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=(($10)|0)!=0; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      $2=0; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 8; break; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $14=$5; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=$exn; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=_JSVAL_TO_OBJECT1203($5); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $obj=$16; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=$obj; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=__ZNK8JSObject7isErrorEv($17); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      $2=0; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 8; break; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $21=$obj; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=__ZL13GetExnPrivateP8JSObject($21); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $priv=$22; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=$priv; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=(($23)|0)!=0; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      $2=0; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 8; break; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $27=$priv; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=(($27)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $2=$29; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 8; break; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $31=$2; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_PRIMITIVE($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1421 "./jsapi.h"
  var $7=$v; //@line 1421 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1421 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE1218($2, $3); //@line 1421 "./jsapi.h"
  var $8=_JSVAL_IS_PRIMITIVE_IMPL1252($2); //@line 1421 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1421 "./jsapi.h"
}


function _JSVAL_TO_OBJECT1203($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1388 "./jsapi.h"
  var $7=$v; //@line 1388 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1388 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE1218($2, $3); //@line 1388 "./jsapi.h"
  var $8=_JSVAL_TO_OBJECT_IMPL1225($2); //@line 1388 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1388 "./jsapi.h"
}


function __ZL13GetExnPrivateP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $4=$3; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return $4; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZL12exn_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $name;
      var $message;
      var $filename;
      var $lineno_as_str;
      var $result;
      var $localroots=__stackBase__;
      var $lineno_length;
      var $name_length;
      var $message_length;
      var $filename_length;
      var $length;
      var $chars;
      var $cp;
      var $obj;
      var $tvr=__stackBase__+24;
      var $5;
      var $6=__stackBase__+40;
      var $7=__stackBase__+48;
      var $lineno=__stackBase__+56;
      var $name_chars;
      var $message_chars;
      var $filename_chars;
      var $lineno_chars;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=(($localroots)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=$8; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=(($8+8)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=$10; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=(($10+8)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=$12; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=$2; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=$4; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=(($15+8)|0); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($14, $16); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $obj=$17; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=$obj; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=(($18)|0)!=0; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      $1=0; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 52; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $22=$obj; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=$2; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=$2; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=(($24+52)|0); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $27=(($26+209948)|0); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=(($27+324)|0); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=$4; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($22, $23, $29, $30); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=(($31)|0)!=0; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      $1=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 52; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $35=$2; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=$4; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $37=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($35, $36); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $name=$37; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=$name; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=(($38)|0)!=0; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      $1=0; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 52; break; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $42=$4; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=$name; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS5Value9setStringEP8JSString($42, $43); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=$2; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=(($localroots)|0); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $44, 3, $45); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filename=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $message=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $46=$2; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47=$obj; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=(($localroots)|0); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=_JS_GetProperty($46, $47, ((STRING_TABLE._js_message_str)|0), $48); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $50=(($49)|0)!=0; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($50) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $52=$2; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=(($localroots)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($52, $53); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $message=$54; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=(($54)|0)!=0; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($55) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      $1=0; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      var $58=(($localroots)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $59=$message; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _STRING_TO_JSVAL1211($6, $59); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=$58; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=$6; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[(($61+4)>>2)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $62=$2; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $63=$obj; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $64=(($localroots+8)|0); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $65=_JS_GetProperty($62, $63, ((STRING_TABLE._js_fileName_str)|0), $64); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $66=(($65)|0)!=0; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($66) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      var $68=$2; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $69=(($localroots+8)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($68, $69); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filename=$70; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=(($70)|0)!=0; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      $1=0; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      var $74=(($localroots+8)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=$filename; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _STRING_TO_JSVAL1211($7, $75); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=$74; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=$7; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($76)>>2)]=HEAP32[(($77)>>2)];HEAP32[(($76+4)>>2)]=HEAP32[(($77+4)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=$2; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=$obj; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=(($localroots+16)|0); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $81=_JS_GetProperty($78, $79, ((STRING_TABLE._js_lineNumber_str)|0), $80); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $82=(($81)|0)!=0; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($82) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      $1=0; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      var $85=$2; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86=(($localroots+16)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $87=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($85, $86, $lineno); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($87) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      $1=0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      var $90=HEAP32[(($lineno)>>2)]; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=(($90)|0)!=0; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($91) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      var $93=$2; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=(($localroots+16)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $95=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($93, $94); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $lineno_as_str=$95; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=$lineno_as_str; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $97=(($96)|0)!=0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($97) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      $1=0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      var $100=$lineno_as_str; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $101=__ZNK8JSString6lengthEv($100); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $lineno_length=$101; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 22; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      $lineno_as_str=0; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $lineno_length=0; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 22; break;
    case 22: 
      var $104=$name; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=__ZNK8JSString6lengthEv($104); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $name_length=$105; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $106=$message; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $107=__ZNK8JSString6lengthEv($106); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $message_length=$107; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $108=$name_length; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $109=(($108+8)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $110=$message_length; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $111=(($109+$110)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $length=$111; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=$filename; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=__ZNK8JSString6lengthEv($112); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filename_length=$113; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $114=$filename_length; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115=(($114)|0)!=0; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($115) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 23: 
      var $117=$filename_length; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=(($117+2)|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $119=$length; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $120=(($119+$118)|0); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $length=$120; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=$lineno_as_str; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $122=(($121)|0)!=0; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($122) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      var $124=$lineno_length; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $125=(($124+2)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $126=$length; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $127=(($126+$125)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $length=$127; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 25; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      __label__ = 29; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 26: 
      var $130=$lineno_as_str; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $131=(($130)|0)!=0; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($131) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 27: 
      var $133=$lineno_length; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $134=(($133+6)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $135=$length; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $136=(($135+$134)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $length=$136; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 28; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      var $139=$2; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $140=$length; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $141=(($140+1)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $142=((($141<<1))|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $143=__ZN9JSContext7malloc_Ej($139, $142); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $144=$143; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $chars=$144; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$144; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $145=$chars; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $146=(($145)|0)!=0; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($146) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 30: 
      $1=0; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 31: 
      var $149=$cp; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $150=(($149+2)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$150; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($149)>>1)]=40; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $151=$cp; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $152=(($151+2)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$152; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($151)>>1)]=110; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $153=$cp; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $154=(($153+2)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$154; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($153)>>1)]=101; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $155=$cp; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $156=(($155+2)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$156; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($155)>>1)]=119; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $157=$cp; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $158=(($157+2)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$158; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($157)>>1)]=32; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $159=$name; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $160=$2; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $161=__ZN8JSString8getCharsEP9JSContext($159, $160); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $name_chars=$161; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $162=$name_chars; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $163=(($162)|0)!=0; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($163) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 32: 
      $1=0; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 33: 
      var $166=$cp; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $167=$166; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $168=$name_chars; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $169=$168; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $170=$name_length; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $171=((($170<<1))|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($171 % 1 === 0, 'memcpy given ' + $171 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($167, $169, $171, 1); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $172=$name_length; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $173=$cp; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $174=(($173+($172<<1))|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$174; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $175=$cp; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $176=(($175+2)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$176; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($175)>>1)]=40; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $177=$message; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $178=$2; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $179=__ZN8JSString8getCharsEP9JSContext($177, $178); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $message_chars=$179; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $180=$message_chars; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $181=(($180)|0)!=0; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($181) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 34: 
      $1=0; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 35: 
      var $184=$message_length; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $185=(($184)|0)!=0; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($185) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 36: 
      var $187=$cp; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $188=$187; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $189=$message_chars; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $190=$189; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $191=$message_length; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $192=((($191<<1))|0); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($192 % 1 === 0, 'memcpy given ' + $192 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($188, $190, $192, 1); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $193=$message_length; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $194=$cp; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $195=(($194+($193<<1))|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$195; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 37; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 37: 
      var $197=$filename_length; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $198=(($197)|0)!=0; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($198) { __label__ = 38; break; } else { __label__ = 41; break; } //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 38: 
      var $200=$cp; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $201=(($200+2)|0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$201; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($200)>>1)]=44; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $202=$cp; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $203=(($202+2)|0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$203; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($202)>>1)]=32; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $204=$filename; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $205=$2; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $206=__ZN8JSString8getCharsEP9JSContext($204, $205); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filename_chars=$206; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $207=$filename_chars; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $208=(($207)|0)!=0; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($208) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 39: 
      $1=0; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 40: 
      var $211=$cp; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $212=$211; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $213=$filename_chars; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $214=$213; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $215=$filename_length; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $216=((($215<<1))|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($216 % 1 === 0, 'memcpy given ' + $216 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($212, $214, $216, 1); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $217=$filename_length; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $218=$cp; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $219=(($218+($217<<1))|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$219; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 44; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 41: 
      var $221=$lineno_as_str; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $222=(($221)|0)!=0; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($222) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 42: 
      var $224=$cp; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $225=(($224+2)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$225; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($224)>>1)]=44; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $226=$cp; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $227=(($226+2)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$227; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($226)>>1)]=32; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $228=$cp; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $229=(($228+2)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$229; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($228)>>1)]=34; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $230=$cp; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $231=(($230+2)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$231; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($230)>>1)]=34; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 43; break; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 43: 
      __label__ = 44; break;
    case 44: 
      var $234=$lineno_as_str; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $235=(($234)|0)!=0; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($235) { __label__ = 45; break; } else { __label__ = 48; break; } //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 45: 
      var $237=$cp; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $238=(($237+2)|0); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$238; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($237)>>1)]=44; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $239=$cp; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $240=(($239+2)|0); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$240; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($239)>>1)]=32; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $241=$lineno_as_str; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $242=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $243=__ZN8JSString8getCharsEP9JSContext($241, $242); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $lineno_chars=$243; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $244=$lineno_chars; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $245=(($244)|0)!=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($245) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 46: 
      $1=0; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 47: 
      var $248=$cp; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $249=$248; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $250=$lineno_chars; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $251=$250; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $252=$lineno_length; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $253=((($252<<1))|0); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($253 % 1 === 0, 'memcpy given ' + $253 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($249, $251, $253, 1); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $254=$lineno_length; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $255=$cp; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $256=(($255+($254<<1))|0); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$256; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 48; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 48: 
      var $258=$cp; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $259=(($258+2)|0); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$259; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($258)>>1)]=41; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $260=$cp; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $261=(($260+2)|0); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$261; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($260)>>1)]=41; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $262=$cp; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($262)>>1)]=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $263=$2; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $264=$chars; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $265=$length; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $266=__Z12js_NewStringP9JSContextPtj($263, $264, $265); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $267=$266; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $result=$267; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $268=$result; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $269=(($268)|0)!=0; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($269) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 49: 
      var $271=$2; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $272=$chars; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $273=$272; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9JSContext5free_EPv($271, $273); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=0; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 50: 
      var $275=$4; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $276=$result; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS5Value9setStringEP8JSString($275, $276); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=1; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 51; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 51: 
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 52; break;
    case 52: 
      var $279=$1; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $279; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12exn_toSourceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12exn_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $name;
      var $message;
      var $result;
      var $chars;
      var $cp;
      var $name_length;
      var $message_length;
      var $length;
      var $obj;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $name_chars;
      var $message_chars;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$2; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=$4; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=(($10+8)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($9, $11); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $obj=$12; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=$obj; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=(($13)|0)!=0; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      $1=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 30; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $17=$obj; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=$2; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=$2; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=(($19+52)|0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=(($21+209948)|0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=(($22+324)|0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($17, $18, $24, $v); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=(($25)|0)!=0; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      $1=0; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 30; break; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $29=$5; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=$v; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=_JSVAL_IS_STRING($5); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=(($31)|0)!=0; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $34=$6; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $35=$v; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=_JSVAL_TO_STRING($6); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45 = $36;__label__ = 8; break; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $38=$2; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=(($38+52)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $41=(($40+144136)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=$42; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45 = $43;__label__ = 8; break; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $45; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $name=$45; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $46=$4; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47=$name; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS5Value9setStringEP8JSString($46, $47); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=$2; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=$obj; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $50=_JS_GetProperty($48, $49, ((STRING_TABLE._js_message_str)|0), $v); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $51=(($50)|0)!=0; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      $1=0; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 30; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      var $54=$7; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=$v; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $56=_JSVAL_IS_STRING($7); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=(($56)|0)!=0; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      var $59=$8; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=$v; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=_JSVAL_TO_STRING($8); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70 = $61;__label__ = 13; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      var $63=$2; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $64=(($63+52)|0); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $66=(($65+144136)|0); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $68=$67; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70 = $68;__label__ = 13; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      var $70; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $message=$70; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=$message; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=__ZNK8JSString6lengthEv($71); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=(($72)|0)!=0; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($73) { __label__ = 14; break; } else { __label__ = 28; break; } //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $75=$name; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=__ZNK8JSString6lengthEv($75); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $name_length=$76; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=$message; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=__ZNK8JSString6lengthEv($77); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $message_length=$78; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=$name_length; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=(($79)|0)!=0; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($80) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      var $82=$name_length; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $83=(($82+2)|0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86 = $83;__label__ = 17; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      var $86 = 0;__label__ = 17; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      var $86; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $87=$message_length; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $88=(($86+$87)|0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $length=$88; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89=$2; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $90=$length; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=(($90+1)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $92=((($91<<1))|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $93=__ZN9JSContext7malloc_Ej($89, $92); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=$93; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $chars=$94; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$94; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $95=$chars; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=(($95)|0)!=0; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($96) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      $1=0; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 30; break; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      var $99=$name_length; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $100=(($99)|0)!=0; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($100) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      var $102=$name; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $103=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=__ZN8JSString8getCharsEP9JSContext($102, $103); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $name_chars=$104; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=$name_chars; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $106=(($105)|0)!=0; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($106) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      $1=0; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 30; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 22: 
      var $109=$cp; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $110=$109; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $111=$name_chars; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=$111; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=$name_length; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $114=((($113<<1))|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($114 % 1 === 0, 'memcpy given ' + $114 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($110, $112, $114, 1); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115=$name_length; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $116=$cp; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=(($116+($115<<1))|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$117; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=$cp; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $119=(($118+2)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$119; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($118)>>1)]=58; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $120=$cp; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=(($120+2)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$121; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($120)>>1)]=32; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 23; break; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 23: 
      var $123=$message; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $124=$2; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $125=__ZN8JSString8getCharsEP9JSContext($123, $124); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $message_chars=$125; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $126=$message_chars; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $127=(($126)|0)!=0; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($127) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      $1=0; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 30; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      var $130=$cp; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $131=$130; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $132=$message_chars; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $133=$132; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $134=$message_length; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $135=((($134<<1))|0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($135 % 1 === 0, 'memcpy given ' + $135 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($131, $133, $135, 1); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $136=$message_length; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $137=$cp; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $138=(($137+($136<<1))|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$138; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $139=$cp; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($139)>>1)]=0; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $140=$2; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $141=$chars; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $142=$length; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $143=__Z12js_NewStringP9JSContextPtj($140, $141, $142); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $144=$143; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $result=$144; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $145=$result; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $146=(($145)|0)!=0; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($146) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 26: 
      var $148=$2; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $149=$chars; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $150=$149; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9JSContext5free_EPv($148, $150); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=0; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 30; break; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 27: 
      __label__ = 29; break; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 28: 
      var $153=$name; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $result=$153; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 29; break;
    case 29: 
      var $155=$4; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $156=$result; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS5Value9setStringEP8JSString($155, $156); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=1; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 30; break; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 30: 
      var $158=$1; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $158; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12exn_toStringP9JSContextjPN2JS5ValueE["X"]=1;

function __Z23js_InitExceptionClassesP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $objectProto=__stackBase__;
      var $errorProto;
      var $i;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $global=$5; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $6=$2; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $7=$global; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $8=$7; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($6, $8, 1, $objectProto, 0); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=(($9)|0)!=0; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      $1=0; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $13=$2; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=$global; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=HEAP32[(($objectProto)>>2)]; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=__ZL14InitErrorClassP9JSContextPN2js12GlobalObjectEiR8JSObject($13, $14, 0, $15); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errorProto=$16; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=$errorProto; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=(($17)|0)!=0; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      $1=0; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $21=$2; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=$errorProto; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($21, $22, 0, ((__ZL17exception_methods)|0)); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      $1=0; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      $i=1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 8; break; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $27=$i; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=(($27)|0) < 8; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      var $30=$2; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=$global; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=$i; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=$errorProto; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=__ZL14InitErrorClassP9JSContextPN2js12GlobalObjectEiR8JSObject($30, $31, $32, $33); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $35=(($34)|0)!=0; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      $1=0; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      __label__ = 12; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      var $39=$i; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $40=(($39+1)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=$40; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 8; break; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      var $42=$errorProto; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$42; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $44=$1; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z23js_InitExceptionClassesP9JSContextP8JSObject["X"]=1;

function __ZL20GetExceptionProtoKeyi($exn) {
  ;
  var __label__;

  var $1;
  $1=$exn;
  var $2=$1; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $3=(($2+14)|0); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return $3; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZL14InitErrorClassP9JSContextPN2js12GlobalObjectEiR8JSObject($cx, $global, $type, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $key;
      var $name;
      var $errorProto;
      var $empty=__stackBase__;
      var $nameId;
      var $messageId;
      var $fileNameId;
      var $lineNumberId;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $ctor;
      var $8=__stackBase__+24;
      $2=$cx;
      $3=$global;
      $4=$type;
      $5=$proto;
      var $9=$4; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=__ZL20GetExceptionProtoKeyi($9); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $key=$10; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=$key; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=$2; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=(($12+52)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=(($14+209948)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=(($15+72)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=(($16+($11<<2))|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=$18; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $name=$19; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=$3; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $21=$2; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=$5; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=__ZN2js12GlobalObject30createBlankPrototypeInheritingEP9JSContextPNS_5ClassER8JSObject($20, $21, __ZN2js10ErrorClassE, $22); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errorProto=$23; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=$errorProto; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=(($24)|0)!=0; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      $1=0; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 15; break; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $28=$2; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29=(($28+52)|0); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=(($30+144136)|0); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=$32; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JSL11StringValueEP8JSString1239($empty, $33); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=$2; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $35=(($34+52)|0); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $37=(($36+209948)|0); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=(($37+324)|0); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $40=$39; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom1223($40); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $nameId=$41; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $42=$2; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=(($42+52)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=(($44+209948)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $46=(($45+316)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=$47; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=__ZL12ATOM_TO_JSIDP6JSAtom1223($48); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $messageId=$49; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $50=$2; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $51=(($50+52)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=(($52+209948)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=(($53+268)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $56=$55; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=__ZL12ATOM_TO_JSIDP6JSAtom1223($56); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $fileNameId=$57; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $58=$2; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $59=(($58+52)|0); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=(($60+209948)|0); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $62=(($61+312)|0); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $64=$63; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $65=__ZL12ATOM_TO_JSIDP6JSAtom1223($64); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $lineNumberId=$65; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $66=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $67=$errorProto; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $68=$nameId; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $69=$name; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70=$69; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JSL11StringValueEP8JSString1239($6, $70); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($66, $67, $68, $6, 8, 10, 0, 0, 0, 0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=(($71)|0)!=0; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($72) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $74=$2; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=$errorProto; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=$messageId; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($74, $75, $76, $empty, 8, 10, 0, 0, 0, 0); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=(($77)|0)!=0; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($78) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $80=$2; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $81=$errorProto; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $82=$fileNameId; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $83=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($80, $81, $82, $empty, 8, 10, 1, 0, 0, 0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $84=(($83)|0)!=0; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($84) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $86=$2; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $87=$errorProto; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $88=$lineNumberId; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JSL10Int32ValueEi1240($7, 0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($86, $87, $88, $7, 8, 10, 1, 0, 0, 0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $90=(($89)|0)!=0; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($90) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      $1=0; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 15; break; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $93=$3; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=$2; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $95=$name; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($93, $94, 104, __ZN2js10ErrorClassE, $95, 1); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ctor=$96; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $97=$ctor; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $98=(($97)|0)!=0; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($98) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      $1=0; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 15; break; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      var $101=$ctor; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $102=$101; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $103=$4; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JSL10Int32ValueEi1240($8, $103); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($102, 0, $8); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=$2; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=$ctor; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $106=$105; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $107=$errorProto; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $108=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($104, $106, $107); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($108) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      $1=0; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 15; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      var $111=$2; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=$3; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=$key; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $114=$ctor; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115=$114; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $116=$errorProto; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($111, $112, $113, $115, $116); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($117) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      $1=0; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 15; break; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $120=$errorProto; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$120; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 15; break; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      var $122=$1; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $122; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14InitErrorClassP9JSContextPN2js12GlobalObjectEiR8JSObject["X"]=1;

function __Z27js_GetLocalizedErrorMessageP9JSContextPvPKcj($cx, $userRef, $locale, $errorNumber) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $errorString;
      $1=$cx;
      $2=$userRef;
      $3=$locale;
      $4=$errorNumber;
      $errorString=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $5=$1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $6=(($5+36)|0); //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $8=(($7)|0)!=0; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $10=$1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=(($10+36)|0); //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=(($12+16)|0); //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=(($14)|0)!=0; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $17=$1; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=(($17+36)|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=(($19+16)|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=$2; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=$3; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=$4; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=FUNCTION_TABLE[$21]($22, $23, $24); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errorString=$25; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 4; break; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $27=$errorString; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=(($27)|0)!=0; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $30=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=$3; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=__Z18js_GetErrorMessagePvPKcj($30, $31, $32); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errorString=$33; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 6; break; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $35=$errorString; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      ;
      return $35; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z19js_ErrorToExceptionP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_($cx, $message, $reportp, $callback, $userRef) {
  var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $errorNumber;
      var $errorString;
      var $exn;
      var $tv=__stackBase__;
      var $ok;
      var $errProto=__stackBase__+32;
      var $errObject;
      var $messageStr;
      var $filenameStr;
      var $tvr=__stackBase__+36;
      var $7=__stackBase__+52;
      var $8=__stackBase__+60;
      var $9=__stackBase__+68;
      var $10=__stackBase__+76;
      var $11=__stackBase__+84;
      var $12;
      $2=$cx;
      $3=$message;
      $4=$reportp;
      $5=$callback;
      $6=$userRef;
      var $13=$4; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=(($13+24)|0); //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=$15 & 1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=(($16)|0)!=0; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      $1=0; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 26; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $20=$4; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $21=(($20+28)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errorNumber=$22; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=$5; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=(($23)|0)!=0; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $26=$5; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $27=(($26)|0)==2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $29=$2; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=$errorNumber; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=__Z27js_GetLocalizedErrorMessageP9JSContextPvPKcj($29, 0, 0, $30); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errorString=$31; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 7; break; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $33=$5; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=$6; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $35=$errorNumber; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=FUNCTION_TABLE[$33]($34, 0, $35); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errorString=$36; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 7; break;
    case 7: 
      var $38=$errorString; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=(($38)|0)!=0; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $41=$errorString; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $42=(($41+6)|0); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=HEAP16[(($42)>>1)]; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=(($43 << 16) >> 16); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47 = $44;__label__ = 10; break; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      var $47 = -1;__label__ = 10; break; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      var $47; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $exn=$47; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=$exn; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=(($48)|0)==-1; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      $1=0; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 26; break; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      var $52=$2; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=(($52+44)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=HEAP8[($53)]; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=(($54 << 24) >> 24)!=0; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      $1=0; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 26; break; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $58=$2; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $59=(($58+44)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP8[($59)]=1; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2jsL12PodArrayZeroIN2JS5ValueELj4EEEvRAT0__T_($tv); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=$2; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=(($tv)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $60, 4, $61); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $62=$2; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $63=$exn; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $64=__ZL20GetExceptionProtoKeyi($63); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $65=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($62, 0, $64, $errProto, 0); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ok=$65; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $66=$ok; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $67=(($66)|0)!=0; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      __label__ = 25; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      var $70=(($tv)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=HEAP32[(($errProto)>>2)]; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _OBJECT_TO_JSVAL1210($7, $71); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=$70; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=$7; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($72)>>2)]=HEAP32[(($73)>>2)];HEAP32[(($72+4)>>2)]=HEAP32[(($73+4)>>2)]; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $74=$2; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=HEAP32[(($errProto)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=HEAP32[(($errProto)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=__ZNK8JSObject9getParentEv($76); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_($74, __ZN2js10ErrorClassE, $75, $77); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errObject=$78; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=$errObject; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=(($79)|0)!=0; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($80) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      $ok=0; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 25; break; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      var $83=(($tv+8)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $84=$errObject; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _OBJECT_TO_JSVAL1210($8, $84); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=$83; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($85)>>2)]=HEAP32[(($86)>>2)];HEAP32[(($85+4)>>2)]=HEAP32[(($86+4)>>2)]; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $87=$2; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $88=$3; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89=_JS_NewStringCopyZ($87, $88); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $messageStr=$89; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $90=$messageStr; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=(($90)|0)!=0; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($91) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      $ok=0; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 25; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      var $94=(($tv+16)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $95=$messageStr; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _STRING_TO_JSVAL1211($9, $95); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=$94; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $97=$9; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($96)>>2)]=HEAP32[(($97)>>2)];HEAP32[(($96+4)>>2)]=HEAP32[(($97+4)>>2)]; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $98=$2; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $99=$4; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $100=(($99)|0); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $102=_JS_NewStringCopyZ($98, $101); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filenameStr=$102; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $103=$filenameStr; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=(($103)|0)!=0; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($104) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      $ok=0; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 25; break; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 22: 
      var $107=(($tv+24)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $108=$filenameStr; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _STRING_TO_JSVAL1211($10, $108); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $109=$107; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $110=$10; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($109)>>2)]=HEAP32[(($110)>>2)];HEAP32[(($109+4)>>2)]=HEAP32[(($110+4)>>2)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $111=$2; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=$errObject; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=$messageStr; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $114=$filenameStr; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115=$4; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $116=(($115+4)|0); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=$4; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $119=$exn; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $120=__ZL14InitExnPrivateP9JSContextP8JSObjectP8JSStringS4_jP13JSErrorReporti($111, $112, $113, $114, $117, $118, $119); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=(($120)&1); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ok=$121; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $122=$ok; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $123=(($122)|0)!=0; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($123) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 23: 
      __label__ = 25; break; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      var $126=$2; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $127=$errObject; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _OBJECT_TO_JSVAL1210($11, $127); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _JS_SetPendingException($126, $11); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $128=$4; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $129=(($128+24)|0); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $131=$130 | 2; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($129)>>2)]=$131; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 25; break; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      var $133=$2; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $134=(($133+44)|0); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP8[($134)]=0; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $135=$ok; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$135; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $12=1;
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 26; break;
    case 26: 
      var $137=$1; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $137; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_ErrorToExceptionP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_["X"]=1;

function __ZN2jsL12PodArrayZeroIN2JS5ValueELj4EEEvRAT0__T_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  var $4=$3; //@line 684 "./jsutil.h"
  _memset($4, 0, 32, 1); //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function _OBJECT_TO_JSVAL1210($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL1238($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout1228($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1309 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1309 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1309 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1309 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1309 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb1230($9, 0); //@line 1309 "./jsobjinlines.h"
  $kind=$10; //@line 1309 "./jsobjinlines.h"
  var $11=$1; //@line 1310 "./jsobjinlines.h"
  var $12=$2; //@line 1310 "./jsobjinlines.h"
  var $13=$3; //@line 1310 "./jsobjinlines.h"
  var $14=$4; //@line 1310 "./jsobjinlines.h"
  var $15=$kind; //@line 1310 "./jsobjinlines.h"
  var $16=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1231($11, $12, $13, $14, $15); //@line 1310 "./jsobjinlines.h"
  ;
  return $16; //@line 1310 "./jsobjinlines.h"
}


function _STRING_TO_JSVAL1211($agg_result, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$str;
  var $3=$1; //@line 1375 "./jsapi.h"
  _STRING_TO_JSVAL_IMPL1229($2, $3); //@line 1375 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout1228($agg_result, $2); //@line 1375 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1375 "./jsapi.h"
}


function __ZL14InitExnPrivateP9JSContextP8JSObjectP8JSStringS4_jP13JSErrorReporti($cx, $exnObject, $message, $filename, $lineno, $report, $exnType) {
  var __stackBase__  = STACKTOP; STACKTOP += 120; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $callbacks;
      var $checkAccess;
      var $frames=__stackBase__;
      var $9=__stackBase__+24;
      var $values=__stackBase__+28;
      var $10=__stackBase__+52;
      var $seg=__stackBase__+56;
      var $i=__stackBase__+68;
      var $fp;
      var $v=__stackBase__+108;
      var $callerid;
      var $11;
      var $frame;
      var $12=__stackBase__+116;
      var $nbytes;
      var $priv;
      var $framesDest;
      var $valuesDest;
      $2=$cx;
      $3=$exnObject;
      $4=$message;
      $5=$filename;
      $6=$lineno;
      $7=$report;
      $8=$exnType;
      var $13=$2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=_JS_GetSecurityCallbacks($13); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $callbacks=$14; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=$callbacks; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=(($15)|0)!=0; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $18=$callbacks; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=(($18)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23 = $20;__label__ = 4; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $23 = 0;__label__ = 4; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $23; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $checkAccess=$23; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=$2; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($9, $24); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEC1ES2_($frames, $9); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=$2; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($10, $25); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC1ES3_($values, $10); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=$2; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN19SuppressErrorsGuardC1EP9JSContext($seg, $26); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $27=$2; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($i, $27, 0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 5; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $29=__ZNK2js13FrameRegsIter4doneEv($i); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=$29 ^ 1; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 28; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $32=__ZNK2js13FrameRegsIter2fpEv($i); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $fp=$32; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=$fp; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=__ZNK2js10StackFrame11compartmentEv($33); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $35=$2; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=(($35+56)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=(($34)|0)!=(($37)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      __label__ = 28; break; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $41=$checkAccess; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $42=(($41)|0)!=0; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      var $44=$fp; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($44); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      __ZN2JSL9NullValueEv1222($v); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47=$2; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=(($47+52)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $50=(($49+209948)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $51=(($50+248)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=$52; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=__ZL12ATOM_TO_JSIDP6JSAtom1223($53); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $callerid=$54; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=$checkAccess; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $56=$2; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=$fp; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $58=__ZNK2js10StackFrame6calleeEv($57); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $59=$callerid; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=FUNCTION_TABLE[$55]($56, $58, $59, 4, $v); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=(($60)|0)!=0; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      __label__ = 28; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      __label__ = 13; break; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      var $65=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6growByEj($frames, 1); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      $1=0; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $11=1;
      __label__ = 29; break; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      var $68=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE4backEv($frames); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $frame=$68; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $69=$fp; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($69); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($70) { __label__ = 16; break; } else { __label__ = 22; break; } //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      var $72=$fp; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=__ZNK2js10StackFrame3funEv($72); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $74=(($73+72)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=(($75)|0)!=0; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($76) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      var $78=$fp; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=__ZNK2js10StackFrame3funEv($78); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=(($79+72)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89 = $81;__label__ = 19; break; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      var $83=$2; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $84=(($83+52)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86=(($85+144136)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89 = $87;__label__ = 19; break; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      var $89; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $90=$89; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=$frame; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $92=(($91)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($92)>>2)]=$90; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $93=$fp; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=__ZNK2js10StackFrame13numActualArgsEv($93); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $95=$frame; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=(($95+4)|0); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($96)>>2)]=$94; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $97=$fp; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9AppendArgC1ERN2js6VectorIN2JS5ValueELj0ENS0_15TempAllocPolicyEEE($12, $values); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $98=__ZN2js10StackFrame25forEachCanonicalActualArgI9AppendArgEEbT_jj($97, $12, 0, -1); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($98) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      $1=0; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $11=1;
      __label__ = 29; break; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      __label__ = 23; break; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 22: 
      var $102=$frame; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $103=(($102)|0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($103)>>2)]=0; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=$frame; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=(($104+4)|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($105)>>2)]=0; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 23; break;
    case 23: 
      var $107=$fp; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $108=__ZNK2js10StackFrame13isScriptFrameEv($107); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($108) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      var $110=$fp; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $111=__ZNK2js10StackFrame6scriptEv($110); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=(($111+52)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $114=$frame; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115=(($114+8)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($115)>>2)]=$113; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $116=$2; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=$fp; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=__ZNK2js13FrameRegsIter2pcEv($i); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $119=__Z22js_FramePCToLineNumberP9JSContextPN2js10StackFrameEPh($116, $117, $118); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $120=$frame; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=(($120+12)|0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($121)>>2)]=$119; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 26; break; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      var $123=$frame; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $124=(($123+12)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($124)>>2)]=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $125=$frame; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $126=(($125+8)|0); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($126)>>2)]=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 27: 
      var $129=__ZN2js13FrameRegsIterppEv($i); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 5; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 28: 
      $11=0; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 29; break; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 29: 
      __ZN19SuppressErrorsGuardD1Ev($seg); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $cleanup_dest=$11;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 30; break;
      }
      else {
      __label__ = 38; break;
      }
      
    case 30: 
      var $133=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6lengthEv($frames); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $134=((($133<<4))|0); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $135=(($134+24)|0); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $136=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6lengthEv($values); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $137=((($136<<3))|0); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $138=(($135+$137)|0); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $nbytes=$138; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $139=$2; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $140=$nbytes; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $141=__ZN9JSContext7malloc_Ej($139, $140); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $142=$141; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $priv=$142; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $143=$priv; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $144=(($143)|0)!=0; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($144) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 31: 
      $1=0; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $11=1;
      __label__ = 38; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 32: 
      var $147=$7; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $148=(($147)|0)!=0; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($148) { __label__ = 33; break; } else { __label__ = 36; break; } //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 33: 
      var $150=$2; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $151=$7; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $152=__ZL15CopyErrorReportP9JSContextP13JSErrorReport($150, $151); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $153=$priv; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $154=(($153)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($154)>>2)]=$152; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $155=$priv; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $156=(($155)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $157=HEAP32[(($156)>>2)]; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $158=(($157)|0)!=0; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($158) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 34: 
      var $160=$2; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $161=$priv; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $162=$161; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9JSContext5free_EPv($160, $162); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=0; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $11=1;
      __label__ = 38; break; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 35: 
      __label__ = 37; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 36: 
      var $165=$priv; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $166=(($165)|0); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($166)>>2)]=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 37; break;
    case 37: 
      var $168=$4; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $169=$priv; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $170=(($169+4)|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($170)>>2)]=$168; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $171=$5; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $172=$priv; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $173=(($172+8)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($173)>>2)]=$171; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $174=$6; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $175=$priv; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $176=(($175+12)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($176)>>2)]=$174; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $177=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6lengthEv($frames); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $178=$priv; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $179=(($178+16)|0); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($179)>>2)]=$177; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $180=$8; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $181=$priv; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $182=(($181+20)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($182)>>2)]=$180; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $183=$priv; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $184=(($183+24)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $185=(($184)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $framesDest=$185; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $186=$framesDest; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $187=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6lengthEv($frames); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $188=(($186+($187<<4))|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $189=$188; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $valuesDest=$189; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $190=$framesDest; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $191=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE5beginEv($frames); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $192=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6lengthEv($frames); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2jsL7PodCopyI16JSStackTraceElemEEvPT_PKS2_j($190, $191, $192); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $193=$valuesDest; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $194=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE5beginEv($values); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $195=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6lengthEv($values); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j1224($193, $194, $195); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $196=$3; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $197=$priv; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $198=$197; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN8JSObject10setPrivateEPv($196, $198); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=1; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $11=1;
      __label__ = 38; break; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 38: 
      __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED1Ev($values); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEED1Ev($frames); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $200=$1; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $200; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14InitExnPrivateP9JSContextP8JSObjectP8JSStringS4_jP13JSErrorReporti["X"]=1;

function __Z26js_ReportUncaughtExceptionP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 180; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $exn=__stackBase__;
      var $exnObject;
      var $roots=__stackBase__+8;
      var $reportp;
      var $report=__stackBase__+48;
      var $str;
      var $bytes;
      var $tvr=__stackBase__+88;
      var $3=__stackBase__+104;
      var $4=__stackBase__+112;
      var $5=__stackBase__+120;
      var $bytesStorage=__stackBase__+128;
      var $6=__stackBase__+132;
      var $7;
      var $filename=__stackBase__+140;
      var $8=__stackBase__+144;
      var $lineno=__stackBase__+152;
      var $9=__stackBase__+156;
      var $fixed;
      var $10=__stackBase__+164;
      var $11=__stackBase__+172;
      $2=$cx;
      var $12=$2; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=_JS_IsExceptionPending($12); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=(($13)|0)!=0; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      $1=1; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 42; break; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $17=$2; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=_JS_GetPendingException($17, $exn); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=(($18)|0)!=0; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      $1=0; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 42; break; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      __ZN2jsL12PodArrayZeroIN2JS5ValueELj5EEEvRAT0__T_($roots); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=$2; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=(($roots)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $22, 5, $23); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=$3; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=$exn; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=_JSVAL_IS_PRIMITIVE($3); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $27=(($26)|0)!=0; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      $exnObject=0; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 8; break; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $30=$4; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=$exn; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=_JSVAL_TO_OBJECT1203($4); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $exnObject=$32; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=(($roots)|0); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=$33; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $35=$exn; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 8; break;
    case 8: 
      var $37=$2; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _JS_ClearPendingException($37); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=$2; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=$5; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $40=$exn; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $41=__Z21js_ErrorFromExceptionP9JSContextN2JS5ValueE($38, $5); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $reportp=$41; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $42=$2; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($42, $exn); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $str=$43; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN16JSAutoByteStringC1Ev($bytesStorage); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=$str; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=(($44)|0)!=0; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      $bytes=((STRING_TABLE.__str1193)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 13; break; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      var $48=(($roots+8)|0); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=$str; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _STRING_TO_JSVAL1211($6, $49); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $50=$48; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $51=$6; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $52=$2; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=$str; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=__ZN16JSAutoByteString6encodeEP9JSContextP8JSString($bytesStorage, $52, $53); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=(($54)|0)!=0; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      $1=0; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 41; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      var $58=__ZNK16JSAutoByteString3ptrEv($bytesStorage); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $bytes=$58; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 13; break;
    case 13: 
      __ZN16JSAutoByteStringC1Ev($filename); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=$reportp; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=(($60)|0)!=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($61) { __label__ = 36; break; } else { __label__ = 14; break; } //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $63=$exnObject; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $64=(($63)|0)!=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($64) { __label__ = 15; break; } else { __label__ = 36; break; } //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      var $66=$exnObject; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $67=__ZNK8JSObject7isErrorEv($66); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 36; break; } //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      var $69=$2; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70=$exnObject; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=(($roots+16)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=_JS_GetProperty($69, $70, ((STRING_TABLE._js_message_str)|0), $71); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=(($72)|0)!=0; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($73) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      $1=0; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 40; break; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      var $76=(($roots+16)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=$8; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=$76; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($77)>>2)]=HEAP32[(($78)>>2)];HEAP32[(($77+4)>>2)]=HEAP32[(($78+4)>>2)]; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=_JSVAL_IS_STRING($8); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=(($79)|0)!=0; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      __ZN16JSAutoByteString5clearEv($bytesStorage); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $82=$2; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $83=$str; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $84=__ZN16JSAutoByteString6encodeEP9JSContextP8JSString($bytesStorage, $82, $83); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=(($84)|0)!=0; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($85) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      $1=0; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 40; break; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      var $88=__ZNK16JSAutoByteString3ptrEv($bytesStorage); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $bytes=$88; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 22; break; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 22: 
      var $90=$2; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=$exnObject; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $92=(($roots+24)|0); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $93=_JS_GetProperty($90, $91, ((STRING_TABLE._js_fileName_str)|0), $92); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=(($93)|0)!=0; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($94) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 23: 
      $1=0; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 40; break; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      var $97=$2; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $98=(($roots+24)|0); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $99=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($97, $98); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $str=$99; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $100=$str; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $101=(($100)|0)!=0; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($101) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      var $103=$2; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=$str; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=__ZN16JSAutoByteString6encodeEP9JSContextP8JSString($filename, $103, $104); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $106=(($105)|0)!=0; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($106) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 26: 
      $1=0; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 40; break; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 27: 
      var $109=$2; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $110=$exnObject; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $111=(($roots+32)|0); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=_JS_GetProperty($109, $110, ((STRING_TABLE._js_lineNumber_str)|0), $111); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=(($112)|0)!=0; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($113) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 28: 
      $1=0; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 40; break; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 29: 
      var $116=$2; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=(($roots+32)|0); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($116, $117, $lineno); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($118) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 30: 
      $1=0; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 40; break; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 31: 
      $reportp=$report; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2jsL7PodZeroI13JSErrorReportEEvPT_1214($report); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=__ZNK16JSAutoByteString3ptrEv($filename); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $122=(($report)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($122)>>2)]=$121; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $123=HEAP32[(($lineno)>>2)]; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $124=(($report+4)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($124)>>2)]=$123; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $125=(($roots+16)|0); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $126=$9; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $127=$125; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($126)>>2)]=HEAP32[(($127)>>2)];HEAP32[(($126+4)>>2)]=HEAP32[(($127+4)>>2)]; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $128=_JSVAL_IS_STRING($9); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $129=(($128)|0)!=0; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($129) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 32: 
      var $131=(($roots+16)|0); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $132=$10; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $133=$131; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($132)>>2)]=HEAP32[(($133)>>2)];HEAP32[(($132+4)>>2)]=HEAP32[(($133+4)>>2)]; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $134=_JSVAL_TO_STRING($10); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $135=$2; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $136=__ZN8JSString11ensureFixedEP9JSContext($134, $135); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $fixed=$136; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $137=$fixed; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $138=(($137)|0)!=0; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($138) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 33: 
      $1=0; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 40; break; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 34: 
      var $141=$fixed; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $142=$141; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $143=__ZNK14JSLinearString5charsEv($142); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $144=(($report+32)|0); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($144)>>2)]=$143; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 35; break; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 35: 
      __label__ = 36; break; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 36: 
      var $147=$reportp; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $148=(($147)|0)!=0; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($148) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 37: 
      var $150=$2; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $151=$bytes; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _JS_ReportErrorNumber($150, 2, 0, 147, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$151,tempInt)); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 38: 
      var $153=$reportp; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $154=(($153+24)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $156=$155 | 2; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($154)>>2)]=$156; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $157=$2; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $158=$11; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $159=$exn; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($158)>>2)]=HEAP32[(($159)>>2)];HEAP32[(($158+4)>>2)]=HEAP32[(($159+4)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _JS_SetPendingException($157, $11); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $160=$2; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $161=$bytes; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $162=$reportp; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __Z19js_ReportErrorAgainP9JSContextPKcP13JSErrorReport($160, $161, $162); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $163=$2; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _JS_ClearPendingException($163); //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break;
    case 39: 
      $1=1; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $7=1;
      __label__ = 40; break; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 40: 
      __ZN16JSAutoByteStringD1Ev($filename); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 41; break;
    case 41: 
      __ZN16JSAutoByteStringD1Ev($bytesStorage); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 42; break;
    case 42: 
      var $168=$1; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $168; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z26js_ReportUncaughtExceptionP9JSContext["X"]=1;

function __ZN2jsL12PodArrayZeroIN2JS5ValueELj5EEEvRAT0__T_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  var $4=$3; //@line 684 "./jsutil.h"
  _memset($4, 0, 40, 1); //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function _JSVAL_IS_STRING($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1362 "./jsapi.h"
  var $7=$v; //@line 1362 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1362 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE1218($2, $3); //@line 1362 "./jsapi.h"
  var $8=_JSVAL_IS_STRING_IMPL1221($2); //@line 1362 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1362 "./jsapi.h"
}


function __ZN16JSAutoByteString5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 4309 "./jsapi.h"
  var $4=HEAP32[(($3)>>2)]; //@line 4309 "./jsapi.h"
  __ZN2js10Foreground5free_EPv($4); //@line 4309 "./jsapi.h"
  var $5=(($2)|0); //@line 4310 "./jsapi.h"
  HEAP32[(($5)>>2)]=0; //@line 4310 "./jsapi.h"
  ;
  return; //@line 4311 "./jsapi.h"
}


function __ZN2jsL7PodZeroI13JSErrorReportEEvPT_1214($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 40, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function _JSVAL_TO_STRING($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1369 "./jsapi.h"
  var $7=$v; //@line 1369 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1369 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE1218($2, $3); //@line 1369 "./jsapi.h"
  var $8=_JSVAL_TO_STRING_IMPL1217($2); //@line 1369 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1369 "./jsapi.h"
}


function __Z18js_CopyErrorObjectP9JSContextP8JSObjectS2_($cx, $errobj, $scope) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $priv;
      var $stackDepth;
      var $valueCount;
      var $i;
      var $size;
      var $copy;
      var $autoFree=__stackBase__;
      var $5;
      var $messageAnchor=__stackBase__+8;
      var $filenameAnchor=__stackBase__+12;
      var $proto=__stackBase__+16;
      var $copyobj;
      $2=$cx;
      $3=$errobj;
      $4=$scope;
      var $6=$2; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $7=$4; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($6, $7); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $8=$3; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=__ZL13GetExnPrivateP8JSObject($8); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $priv=$9; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=$priv; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=(($10+16)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackDepth=$12; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $valueCount=0; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=0; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 2; break; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $14=$i; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=$stackDepth; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=(($14)>>>0) < (($15)>>>0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $18=$i; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=$priv; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=(($19+24)|0); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $21=(($20+($18<<4))|0); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=(($21+4)|0); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=$valueCount; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=(($24+$23)|0); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $valueCount=$25; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 4; break; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $27=$i; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=(($27+1)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=$28; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 2; break; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $30=$stackDepth; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=((($30<<4))|0); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=(($31+24)|0); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=$valueCount; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=((($33<<3))|0); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $35=(($32+$34)|0); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $size=$35; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=$2; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $37=$size; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=__ZN9JSContext7malloc_Ej($36, $37); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=$38; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $copy=$39; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $40=$copy; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $41=(($40)|0)!=0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      $1=0; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 22; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $44=(($autoFree)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=$2; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($44)>>2)]=$45; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $46=(($autoFree+4)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47=$copy; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($46)>>2)]=$47; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=$priv; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=(($48)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $51=(($50)|0)!=0; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($51) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $53=$2; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=$priv; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=(($54)|0); //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=__ZL15CopyErrorReportP9JSContextP13JSErrorReport($53, $56); //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $58=$copy; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $59=(($58)|0); //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($59)>>2)]=$57; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=$copy; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=(($60)|0); //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $63=(($62)|0)!=0; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($63) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      $1=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 21; break; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      __label__ = 12; break; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      var $67=$copy; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $68=(($67)|0); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($68)>>2)]=0; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 12; break;
    case 12: 
      var $70=$priv; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=(($70+4)|0); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=$copy; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $74=(($73+4)|0); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($74)>>2)]=$72; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=(($75+56)|0); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=$copy; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=(($79+4)|0); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $81=__ZN13JSCompartment4wrapEP9JSContextPP8JSString($77, $78, $80); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($81) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      $1=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 21; break; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $84=$copy; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=(($84+4)|0); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($messageAnchor, $86); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $87=$priv; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $88=(($87+8)|0); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $90=$copy; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=(($90+8)|0); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($91)>>2)]=$89; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $92=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $93=(($92+56)|0); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $95=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=$copy; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $97=(($96+8)|0); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $98=__ZN13JSCompartment4wrapEP9JSContextPP8JSString($94, $95, $97); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($98) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      $1=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 20; break; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      var $101=$copy; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $102=(($101+8)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($filenameAnchor, $103); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=$priv; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=(($104+12)|0); //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $107=$copy; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $108=(($107+12)|0); //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($108)>>2)]=$106; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $109=$copy; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $110=(($109+16)|0); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($110)>>2)]=0; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $111=$priv; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=(($111+20)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $114=$copy; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115=(($114+20)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($115)>>2)]=$113; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $116=$2; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=$4; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=__ZNK8JSObject9getGlobalEv($117); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $119=$118; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $120=$copy; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=(($120+20)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $123=__ZL20GetExceptionProtoKeyi($122); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $124=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($116, $119, $123, $proto, 0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $125=(($124)|0)!=0; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($125) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      $1=0; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 19; break; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      var $128=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $129=HEAP32[(($proto)>>2)]; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $130=HEAP32[(($proto)>>2)]; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $131=__ZNK8JSObject9getParentEv($130); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $132=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_($128, __ZN2js10ErrorClassE, $129, $131); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $copyobj=$132; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $133=$copyobj; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $134=$copy; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $135=$134; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN8JSObject10setPrivateEPv($133, $135); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $136=(($autoFree+4)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($136)>>2)]=0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $137=$copyobj; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$137; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $5=1;
      __label__ = 19; break; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      __ZN2JS6AnchorIP8JSStringED1Ev($filenameAnchor); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 20; break;
    case 20: 
      __ZN2JS6AnchorIP8JSStringED1Ev($messageAnchor); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 21; break;
    case 21: 
      FUNCTION_TABLE[__ZZ18js_CopyErrorObjectP9JSContextP8JSObjectS2_EN8AutoFreeD1Ev]($autoFree); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 22; break;
    case 22: 
      var $142=$1; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $142; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_CopyErrorObjectP9JSContextP8JSObjectS2_["X"]=1;

function _JSVAL_TO_STRING_IMPL1217($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL1219($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL1220($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL1221($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function __ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZL15CopyErrorReportP9JSContextP13JSErrorReport($cx, $report) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $filenameSize;
      var $linebufSize;
      var $uclinebufSize;
      var $ucmessageSize;
      var $i;
      var $argsArraySize;
      var $argsCopySize;
      var $argSize;
      var $mallocSize;
      var $copy;
      var $cursor;
      $2=$cx;
      $3=$report;
      var $4=$3; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $5=(($4)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $7=(($6)|0)!=0; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $9=$3; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=(($9)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=_strlen($11); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=(($12+1)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16 = $13;__label__ = 4; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $16 = 0;__label__ = 4; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $16; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filenameSize=$16; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=$3; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=(($17+8)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=(($19)|0)!=0; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $22=$3; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=(($22+8)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=_strlen($24); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=(($25+1)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29 = $26;__label__ = 7; break; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $29 = 0;__label__ = 7; break; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $29; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $linebufSize=$29; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=$3; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=(($30+16)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=(($32)|0)!=0; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $35=$3; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=(($35+16)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=__Z9js_strlenPKt($37); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=(($38+1)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $40=((($39<<1))|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43 = $40;__label__ = 10; break; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      var $43 = 0;__label__ = 10; break; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      var $43; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $uclinebufSize=$43; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ucmessageSize=0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $argsArraySize=0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $argsCopySize=0; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=$3; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=(($44+32)|0); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47=(($46)|0)!=0; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      var $49=$3; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $50=(($49+32)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $52=__Z9js_strlenPKt($51); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=(($52+1)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=((($53<<1))|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ucmessageSize=$54; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=$3; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $56=(($55+36)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $58=(($57)|0)!=0; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 17; break; } //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      $i=0; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 13; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      var $61=$i; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $62=$3; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $63=(($62+36)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $65=(($64+($61<<2))|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $67=(($66)|0)!=0; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $69=$i; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70=$3; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=(($70+36)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=(($72+($69<<2))|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=__Z9js_strlenPKt($74); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=(($75+1)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=((($76<<1))|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=$argsCopySize; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=(($78+$77)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $argsCopySize=$79; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 15; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      var $81=$i; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $82=(($81+1)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=$82; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 13; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      var $84=$i; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=(($84+1)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86=((($85<<2))|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $argsArraySize=$86; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 17; break; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      __label__ = 18; break; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      var $89=$argsArraySize; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $90=(($89+40)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=$argsCopySize; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $92=(($90+$91)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $93=$ucmessageSize; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=(($92+$93)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $95=$uclinebufSize; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=(($94+$95)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $97=$linebufSize; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $98=(($96+$97)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $99=$filenameSize; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $100=(($98+$99)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $mallocSize=$100; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $101=$2; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $102=$mallocSize; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $103=__ZN9JSContext7malloc_Ej($101, $102); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cursor=$103; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=$cursor; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=(($104)|0)!=0; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($105) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      $1=0; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      var $108=$cursor; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $109=$108; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $copy=$109; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $110=$cursor; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _memset($110, 0, 40, 1); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $111=$cursor; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=(($111+40)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cursor=$112; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=$argsArraySize; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $114=(($113)|0)!=0; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($114) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      var $116=$cursor; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=$116; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=$copy; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $119=(($118+36)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($119)>>2)]=$117; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $120=$argsArraySize; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=$cursor; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $122=(($121+$120)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cursor=$122; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=0; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 22; break; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 22: 
      var $124=$i; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $125=$3; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $126=(($125+36)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $128=(($127+($124<<2))|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $130=(($129)|0)!=0; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($130) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 23: 
      var $132=$cursor; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $133=$132; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $134=$i; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $135=$copy; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $136=(($135+36)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $138=(($137+($134<<2))|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($138)>>2)]=$133; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $139=$i; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $140=$3; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $141=(($140+36)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $143=(($142+($139<<2))|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $145=__Z9js_strlenPKt($144); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $146=(($145+1)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $147=((($146<<1))|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $argSize=$147; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $148=$cursor; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $149=$i; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $150=$3; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $151=(($150+36)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $153=(($152+($149<<2))|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $155=$154; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $156=$argSize; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($156 % 1 === 0, 'memcpy given ' + $156 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($148, $155, $156, 1); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $157=$argSize; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $158=$cursor; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $159=(($158+$157)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cursor=$159; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 24; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      var $161=$i; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $162=(($161+1)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=$162; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 22; break; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      var $164=$i; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $165=$copy; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $166=(($165+36)|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $168=(($167+($164<<2))|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($168)>>2)]=0; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 26; break; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 26: 
      var $170=$3; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $171=(($170+32)|0); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $172=HEAP32[(($171)>>2)]; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $173=(($172)|0)!=0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($173) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 27: 
      var $175=$cursor; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $176=$175; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $177=$copy; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $178=(($177+32)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($178)>>2)]=$176; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $179=$cursor; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $180=$3; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $181=(($180+32)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $183=$182; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $184=$ucmessageSize; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($184 % 1 === 0, 'memcpy given ' + $184 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($179, $183, $184, 1); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $185=$ucmessageSize; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $186=$cursor; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $187=(($186+$185)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cursor=$187; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 28; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 28: 
      var $189=$3; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $190=(($189+16)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $192=(($191)|0)!=0; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($192) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 29: 
      var $194=$cursor; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $195=$194; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $196=$copy; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $197=(($196+16)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($197)>>2)]=$195; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $198=$cursor; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $199=$3; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $200=(($199+16)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $202=$201; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $203=$uclinebufSize; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($203 % 1 === 0, 'memcpy given ' + $203 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($198, $202, $203, 1); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $204=$uclinebufSize; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $205=$cursor; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $206=(($205+$204)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cursor=$206; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $207=$3; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $208=(($207+20)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $209=HEAP32[(($208)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $210=(($209)|0)!=0; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($210) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 30: 
      var $212=$copy; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $213=(($212+16)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $215=$3; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $216=(($215+20)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $218=$3; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $219=(($218+16)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $221=$217; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $222=$220; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $223=(($221-$222)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $224=(((($223)|0)/2)&-1); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $225=(($214+($224<<1))|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $226=$copy; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $227=(($226+20)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($227)>>2)]=$225; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 31; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 31: 
      __label__ = 32; break; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 32: 
      var $230=$3; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $231=(($230+8)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $233=(($232)|0)!=0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($233) { __label__ = 33; break; } else { __label__ = 36; break; } //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 33: 
      var $235=$cursor; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $236=$copy; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $237=(($236+8)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($237)>>2)]=$235; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $238=$cursor; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $239=$3; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $240=(($239+8)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $242=$linebufSize; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($242 % 1 === 0, 'memcpy given ' + $242 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($238, $241, $242, 1); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $243=$linebufSize; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $244=$cursor; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $245=(($244+$243)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cursor=$245; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $246=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $247=(($246+12)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $249=(($248)|0)!=0; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($249) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 34: 
      var $251=$copy; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $252=(($251+8)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $253=HEAP32[(($252)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $254=$3; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $255=(($254+12)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $257=$3; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $258=(($257+8)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $259=HEAP32[(($258)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $260=$256; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $261=$259; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $262=(($260-$261)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $263=(($253+$262)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $264=$copy; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $265=(($264+12)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($265)>>2)]=$263; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 35; break; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 35: 
      __label__ = 36; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 36: 
      var $268=$3; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $269=(($268)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $270=HEAP32[(($269)>>2)]; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $271=(($270)|0)!=0; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($271) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 37: 
      var $273=$cursor; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $274=$copy; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $275=(($274)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($275)>>2)]=$273; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $276=$cursor; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $277=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $278=(($277)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $279=HEAP32[(($278)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $280=$filenameSize; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($280 % 1 === 0, 'memcpy given ' + $280 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($276, $279, $280, 1); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 38; break; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 38: 
      var $282=$3; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $283=(($282+4)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $284=HEAP32[(($283)>>2)]; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $285=$copy; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $286=(($285+4)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($286)>>2)]=$284; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $287=$3; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $288=(($287+28)|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $289=HEAP32[(($288)>>2)]; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $290=$copy; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $291=(($290+28)|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($291)>>2)]=$289; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $292=$3; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $293=(($292+24)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $294=HEAP32[(($293)>>2)]; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $295=$copy; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $296=(($295+24)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($296)>>2)]=$294; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $297=$copy; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$297; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 39: 
      var $299=$1; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      ;
      return $299; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15CopyErrorReportP9JSContextP13JSErrorReport["X"]=1;

function __ZZ18js_CopyErrorObjectP9JSContextP8JSObjectS2_EN8AutoFreeD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $5=(($4)|0)!=0; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $7=(($2)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=(($2+4)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=(($10)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=$12; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9JSContext5free_EPv($8, $13); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=(($2)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=(($2+4)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=$17; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9JSContext5free_EPv($15, $18); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 3; break; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      ;
      return; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free1215($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc1216($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE1218($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "./jsapi.h"
  var $5=$agg_result; //@line 822 "./jsapi.h"
  var $6=$4; //@line 822 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "./jsapi.h"
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEC1ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEC2ES2_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN19SuppressErrorsGuardC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  __ZN19SuppressErrorsGuardC2EP9JSContext($3, $4); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZNK2js10StackFrame11compartmentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame10scopeChainEv($2); //@line 911 "./vm/Stack.h"
  var $4=$3; //@line 911 "./vm/Stack.h"
  var $5=__ZNK2js2gc4Cell11compartmentEv($4); //@line 911 "./vm/Stack.h"
  ;
  return $5; //@line 911 "./vm/Stack.h"
}


function __ZN2JSL9NullValueEv1222($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZL12ATOM_TO_JSIDP6JSAtom1223($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj1226($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6growByEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 693 "./jsvector.h"
  var $5=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10growByImplILb1EEEbj($3, $4); //@line 693 "./jsvector.h"
  ;
  return $5; //@line 693 "./jsvector.h"
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-16)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js10StackFrame25forEachCanonicalActualArgI9AppendArgEEbT_jj($this, $op, $start, $count) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $op; $op = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($op)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nformal;
      var $formals;
      var $nactual;
      var $end;
      var $p;
      var $p1;
      var $actuals;
      var $p2;
      $2=$this;
      $3=$start;
      $4=$count;
      var $5=$2;
      var $6=__ZNK2js10StackFrame3funEv($5); //@line 219 "./vm/Stack-inl.h"
      var $7=(($6+56)|0); //@line 219 "./vm/Stack-inl.h"
      var $8=HEAPU16[(($7)>>1)]; //@line 219 "./vm/Stack-inl.h"
      var $9=(($8)&65535); //@line 219 "./vm/Stack-inl.h"
      $nformal=$9; //@line 219 "./vm/Stack-inl.h"
      var $10=__ZNK2js10StackFrame13formalArgsEndEv($5); //@line 222 "./vm/Stack-inl.h"
      var $11=$nformal; //@line 222 "./vm/Stack-inl.h"
      var $12=(((-$11))|0); //@line 222 "./vm/Stack-inl.h"
      var $13=(($10+($12<<3))|0); //@line 222 "./vm/Stack-inl.h"
      $formals=$13; //@line 222 "./vm/Stack-inl.h"
      var $14=__ZNK2js10StackFrame13numActualArgsEv($5); //@line 223 "./vm/Stack-inl.h"
      $nactual=$14; //@line 223 "./vm/Stack-inl.h"
      var $15=$4; //@line 224 "./vm/Stack-inl.h"
      var $16=(($15)|0)==-1; //@line 224 "./vm/Stack-inl.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 224 "./vm/Stack-inl.h"
    case 2: 
      var $18=$nactual; //@line 225 "./vm/Stack-inl.h"
      var $19=$3; //@line 225 "./vm/Stack-inl.h"
      var $20=(($18-$19)|0); //@line 225 "./vm/Stack-inl.h"
      $4=$20; //@line 225 "./vm/Stack-inl.h"
      __label__ = 3; break; //@line 225 "./vm/Stack-inl.h"
    case 3: 
      var $22=$3; //@line 227 "./vm/Stack-inl.h"
      var $23=$4; //@line 227 "./vm/Stack-inl.h"
      var $24=(($22+$23)|0); //@line 227 "./vm/Stack-inl.h"
      $end=$24; //@line 227 "./vm/Stack-inl.h"
      var $25=$end; //@line 231 "./vm/Stack-inl.h"
      var $26=$nformal; //@line 231 "./vm/Stack-inl.h"
      var $27=(($25)>>>0) <= (($26)>>>0); //@line 231 "./vm/Stack-inl.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 231 "./vm/Stack-inl.h"
    case 4: 
      var $29=$formals; //@line 232 "./vm/Stack-inl.h"
      var $30=$3; //@line 232 "./vm/Stack-inl.h"
      var $31=(($29+($30<<3))|0); //@line 232 "./vm/Stack-inl.h"
      $p=$31; //@line 232 "./vm/Stack-inl.h"
      __label__ = 5; break; //@line 233 "./vm/Stack-inl.h"
    case 5: 
      var $33=$3; //@line 233 "./vm/Stack-inl.h"
      var $34=$end; //@line 233 "./vm/Stack-inl.h"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 233 "./vm/Stack-inl.h"
      if ($35) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 233 "./vm/Stack-inl.h"
    case 6: 
      var $37=$3; //@line 234 "./vm/Stack-inl.h"
      var $38=$p; //@line 234 "./vm/Stack-inl.h"
      var $39=__ZN9AppendArgclEjPN2JS5ValueE($op, $37, $38); //@line 234 "./vm/Stack-inl.h"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 234 "./vm/Stack-inl.h"
    case 7: 
      $1=0; //@line 235 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 235 "./vm/Stack-inl.h"
    case 8: 
      __label__ = 9; break; //@line 236 "./vm/Stack-inl.h"
    case 9: 
      var $43=$p; //@line 233 "./vm/Stack-inl.h"
      var $44=(($43+8)|0); //@line 233 "./vm/Stack-inl.h"
      $p=$44; //@line 233 "./vm/Stack-inl.h"
      var $45=$3; //@line 233 "./vm/Stack-inl.h"
      var $46=(($45+1)|0); //@line 233 "./vm/Stack-inl.h"
      $3=$46; //@line 233 "./vm/Stack-inl.h"
      __label__ = 5; break; //@line 233 "./vm/Stack-inl.h"
    case 10: 
      __label__ = 24; break; //@line 237 "./vm/Stack-inl.h"
    case 11: 
      var $49=$formals; //@line 238 "./vm/Stack-inl.h"
      var $50=$3; //@line 238 "./vm/Stack-inl.h"
      var $51=(($49+($50<<3))|0); //@line 238 "./vm/Stack-inl.h"
      $p1=$51; //@line 238 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 238 "./vm/Stack-inl.h"
    case 12: 
      var $53=$3; //@line 238 "./vm/Stack-inl.h"
      var $54=$nformal; //@line 238 "./vm/Stack-inl.h"
      var $55=(($53)>>>0) < (($54)>>>0); //@line 238 "./vm/Stack-inl.h"
      if ($55) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 238 "./vm/Stack-inl.h"
    case 13: 
      var $57=$3; //@line 239 "./vm/Stack-inl.h"
      var $58=$p1; //@line 239 "./vm/Stack-inl.h"
      var $59=__ZN9AppendArgclEjPN2JS5ValueE($op, $57, $58); //@line 239 "./vm/Stack-inl.h"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 239 "./vm/Stack-inl.h"
    case 14: 
      $1=0; //@line 240 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 240 "./vm/Stack-inl.h"
    case 15: 
      __label__ = 16; break; //@line 241 "./vm/Stack-inl.h"
    case 16: 
      var $63=$p1; //@line 238 "./vm/Stack-inl.h"
      var $64=(($63+8)|0); //@line 238 "./vm/Stack-inl.h"
      $p1=$64; //@line 238 "./vm/Stack-inl.h"
      var $65=$3; //@line 238 "./vm/Stack-inl.h"
      var $66=(($65+1)|0); //@line 238 "./vm/Stack-inl.h"
      $3=$66; //@line 238 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 238 "./vm/Stack-inl.h"
    case 17: 
      var $68=$formals; //@line 243 "./vm/Stack-inl.h"
      var $69=$nactual; //@line 243 "./vm/Stack-inl.h"
      var $70=(($69+2)|0); //@line 243 "./vm/Stack-inl.h"
      var $71=(((-$70))|0); //@line 243 "./vm/Stack-inl.h"
      var $72=(($68+($71<<3))|0); //@line 243 "./vm/Stack-inl.h"
      var $73=$3; //@line 243 "./vm/Stack-inl.h"
      var $74=(($72+($73<<3))|0); //@line 243 "./vm/Stack-inl.h"
      $actuals=$74; //@line 243 "./vm/Stack-inl.h"
      var $75=$actuals; //@line 244 "./vm/Stack-inl.h"
      $p2=$75; //@line 244 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 244 "./vm/Stack-inl.h"
    case 18: 
      var $77=$3; //@line 244 "./vm/Stack-inl.h"
      var $78=$end; //@line 244 "./vm/Stack-inl.h"
      var $79=(($77)>>>0) < (($78)>>>0); //@line 244 "./vm/Stack-inl.h"
      if ($79) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 244 "./vm/Stack-inl.h"
    case 19: 
      var $81=$3; //@line 245 "./vm/Stack-inl.h"
      var $82=$p2; //@line 245 "./vm/Stack-inl.h"
      var $83=__ZN9AppendArgclEjPN2JS5ValueE($op, $81, $82); //@line 245 "./vm/Stack-inl.h"
      if ($83) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 245 "./vm/Stack-inl.h"
    case 20: 
      $1=0; //@line 246 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 246 "./vm/Stack-inl.h"
    case 21: 
      __label__ = 22; break; //@line 247 "./vm/Stack-inl.h"
    case 22: 
      var $87=$p2; //@line 244 "./vm/Stack-inl.h"
      var $88=(($87+8)|0); //@line 244 "./vm/Stack-inl.h"
      $p2=$88; //@line 244 "./vm/Stack-inl.h"
      var $89=$3; //@line 244 "./vm/Stack-inl.h"
      var $90=(($89+1)|0); //@line 244 "./vm/Stack-inl.h"
      $3=$90; //@line 244 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 244 "./vm/Stack-inl.h"
    case 23: 
      __label__ = 24; break;
    case 24: 
      $1=1; //@line 249 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 249 "./vm/Stack-inl.h"
    case 25: 
      var $94=$1; //@line 250 "./vm/Stack-inl.h"
      STACKTOP = __stackBase__;
      return $94; //@line 250 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10StackFrame25forEachCanonicalActualArgI9AppendArgEEbT_jj["X"]=1;

function __ZN9AppendArgC1ERN2js6VectorIN2JS5ValueELj0ENS0_15TempAllocPolicyEEE($this, $values) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$values;
  var $3=$1;
  var $4=$2; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  __ZN9AppendArgC2ERN2js6VectorIN2JS5ValueELj0ENS0_15TempAllocPolicyEEE($3, $4); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZN19SuppressErrorsGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN19SuppressErrorsGuardD2Ev($2); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZN2jsL7PodCopyI16JSStackTraceElemEEvPT_PKS2_j($dst, $src, $nelem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $srcend;
      $1=$dst;
      $2=$src;
      $3=$nelem;
      var $4=$3; //@line 695 "./jsutil.h"
      var $5=(($4)>>>0) < 128; //@line 695 "./jsutil.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 695 "./jsutil.h"
    case 2: 
      var $7=$2; //@line 696 "./jsutil.h"
      var $8=$3; //@line 696 "./jsutil.h"
      var $9=(($7+($8<<4))|0); //@line 696 "./jsutil.h"
      $srcend=$9; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 3: 
      var $11=$2; //@line 696 "./jsutil.h"
      var $12=$srcend; //@line 696 "./jsutil.h"
      var $13=(($11)|0)!=(($12)|0); //@line 696 "./jsutil.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 696 "./jsutil.h"
    case 4: 
      var $15=$1; //@line 697 "./jsutil.h"
      var $16=$2; //@line 697 "./jsutil.h"
      var $17=$15; //@line 697 "./jsutil.h"
      var $18=$16; //@line 697 "./jsutil.h"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];HEAP32[(($17+8)>>2)]=HEAP32[(($18+8)>>2)];HEAP32[(($17+12)>>2)]=HEAP32[(($18+12)>>2)]; //@line 697 "./jsutil.h"
      __label__ = 5; break; //@line 697 "./jsutil.h"
    case 5: 
      var $20=$2; //@line 696 "./jsutil.h"
      var $21=(($20+16)|0); //@line 696 "./jsutil.h"
      $2=$21; //@line 696 "./jsutil.h"
      var $22=$1; //@line 696 "./jsutil.h"
      var $23=(($22+16)|0); //@line 696 "./jsutil.h"
      $1=$23; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 6: 
      __label__ = 8; break; //@line 698 "./jsutil.h"
    case 7: 
      var $26=$1; //@line 699 "./jsutil.h"
      var $27=$26; //@line 699 "./jsutil.h"
      var $28=$2; //@line 699 "./jsutil.h"
      var $29=$28; //@line 699 "./jsutil.h"
      var $30=$3; //@line 699 "./jsutil.h"
      var $31=((($30<<4))|0); //@line 699 "./jsutil.h"
      assert($31 % 1 === 0, 'memcpy given ' + $31 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($27, $29, $31, 1); //@line 699 "./jsutil.h"
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 701 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j1224($dst, $src, $nelem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $srcend;
      $1=$dst;
      $2=$src;
      $3=$nelem;
      var $4=$3; //@line 695 "./jsutil.h"
      var $5=(($4)>>>0) < 128; //@line 695 "./jsutil.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 695 "./jsutil.h"
    case 2: 
      var $7=$2; //@line 696 "./jsutil.h"
      var $8=$3; //@line 696 "./jsutil.h"
      var $9=(($7+($8<<3))|0); //@line 696 "./jsutil.h"
      $srcend=$9; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 3: 
      var $11=$2; //@line 696 "./jsutil.h"
      var $12=$srcend; //@line 696 "./jsutil.h"
      var $13=(($11)|0)!=(($12)|0); //@line 696 "./jsutil.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 696 "./jsutil.h"
    case 4: 
      var $15=$1; //@line 697 "./jsutil.h"
      var $16=$2; //@line 697 "./jsutil.h"
      var $17=$15; //@line 697 "./jsutil.h"
      var $18=$16; //@line 697 "./jsutil.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 697 "./jsutil.h"
      __label__ = 5; break; //@line 697 "./jsutil.h"
    case 5: 
      var $20=$2; //@line 696 "./jsutil.h"
      var $21=(($20+8)|0); //@line 696 "./jsutil.h"
      $2=$21; //@line 696 "./jsutil.h"
      var $22=$1; //@line 696 "./jsutil.h"
      var $23=(($22+8)|0); //@line 696 "./jsutil.h"
      $1=$23; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 6: 
      __label__ = 8; break; //@line 698 "./jsutil.h"
    case 7: 
      var $26=$1; //@line 699 "./jsutil.h"
      var $27=$26; //@line 699 "./jsutil.h"
      var $28=$2; //@line 699 "./jsutil.h"
      var $29=$28; //@line 699 "./jsutil.h"
      var $30=$3; //@line 699 "./jsutil.h"
      var $31=((($30<<3))|0); //@line 699 "./jsutil.h"
      assert($31 % 1 === 0, 'memcpy given ' + $31 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($27, $29, $31, 1); //@line 699 "./jsutil.h"
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 701 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZL14JSID_FROM_BITSj1226($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1232($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1233($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+16)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<4))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN9AppendArgC2ERN2js6VectorIN2JS5ValueELj0ENS0_15TempAllocPolicyEEE($this, $values) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$values;
  var $3=$1;
  var $4=(($3)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $5=$2; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<4))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js7MoveRefI16JSStackTraceElemEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefI16JSStackTraceElemEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function _JSVAL_TO_OBJECT_IMPL1225($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _BUILD_JSVAL1227($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL1229($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb1230($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL1236($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN19SuppressErrorsGuardD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $5=(($2+8)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  _JS_RestoreExceptionState($4, $6); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $7=(($2)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $9=(($2+4)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $11=_JS_SetErrorReporter($8, $10); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZN9AppendArgclEjPN2JS5ValueE($this, $0, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $2=$this;
  $3=$0;
  $4=$vp;
  var $6=$2;
  var $7=(($6)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $9=$4; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $10=$5; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $11=$9; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $12=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($8, $5); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10growByImplILb1EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<4))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 680 "./jsvector.h"
      var $22=$newend; //@line 680 "./jsvector.h"
      __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE10initializeEPS1_S4_($21, $22); //@line 680 "./jsvector.h"
      var $23=$3; //@line 681 "./jsvector.h"
      var $24=(($5+8)|0); //@line 681 "./jsvector.h"
      var $25=HEAP32[(($24)>>2)]; //@line 681 "./jsvector.h"
      var $26=(($25+$23)|0); //@line 681 "./jsvector.h"
      HEAP32[(($24)>>2)]=$26; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $28=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $28; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE10initializeEPS1_S4_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 72 "./jsvector.h"
      $p=$3; //@line 72 "./jsvector.h"
      __label__ = 2; break; //@line 72 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 72 "./jsvector.h"
      var $6=$2; //@line 72 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 72 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 72 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 73 "./jsvector.h"
      var $10=$9; //@line 73 "./jsvector.h"
      var $11=(($10)|0)==0; //@line 73 "./jsvector.h"
      if ($11) { var $16 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 73 "./jsvector.h"
    case 4: 
      var $13=$10; //@line 73 "./jsvector.h"
      var $14=$13; //@line 73 "./jsvector.h"
      HEAP32[(($14)>>2)]=0; HEAP32[(($14+4)>>2)]=0; HEAP32[(($14+8)>>2)]=0; HEAP32[(($14+12)>>2)]=0; //@line 73 "./jsvector.h"
      var $16 = $13;__label__ = 5; break; //@line 73 "./jsvector.h"
    case 5: 
      var $16; //@line 73 "./jsvector.h"
      __label__ = 6; break; //@line 73 "./jsvector.h"
    case 6: 
      var $18=$p; //@line 72 "./jsvector.h"
      var $19=(($18+16)|0); //@line 72 "./jsvector.h"
      $p=$19; //@line 72 "./jsvector.h"
      __label__ = 2; break; //@line 72 "./jsvector.h"
    case 7: 
      ;
      return; //@line 74 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<4))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj0ES2_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -134217728; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -134217728; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj0ES2_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=((($7<<4))|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $35 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$28; //@line 118 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; HEAP32[(($29+4)>>2)]=0; HEAP32[(($29+8)>>2)]=0; HEAP32[(($29+12)>>2)]=0; //@line 118 "./jsvector.h"
      var $30=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveI16JSStackTraceElemEENS_7MoveRefIT_EERS3_($4, $30); //@line 118 "./jsvector.h"
      var $31=__ZNK2js7MoveRefI16JSStackTraceElemEcvRS1_Ev($4); //@line 118 "./jsvector.h"
      var $32=$28; //@line 118 "./jsvector.h"
      var $33=$31; //@line 118 "./jsvector.h"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)];HEAP32[(($32+8)>>2)]=HEAP32[(($33+8)>>2)];HEAP32[(($32+12)>>2)]=HEAP32[(($33+12)>>2)]; //@line 118 "./jsvector.h"
      var $35 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $35; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $37=$dst; //@line 117 "./jsvector.h"
      var $38=(($37+16)|0); //@line 117 "./jsvector.h"
      $dst=$38; //@line 117 "./jsvector.h"
      var $39=$src; //@line 117 "./jsvector.h"
      var $40=(($39+16)|0); //@line 117 "./jsvector.h"
      $src=$40; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $42=$2; //@line 119 "./jsvector.h"
      var $43=__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($42); //@line 119 "./jsvector.h"
      var $44=$2; //@line 119 "./jsvector.h"
      var $45=__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv($44); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($43, $45); //@line 119 "./jsvector.h"
      var $46=$2; //@line 120 "./jsvector.h"
      var $47=$46; //@line 120 "./jsvector.h"
      var $48=$2; //@line 120 "./jsvector.h"
      var $49=(($48+4)|0); //@line 120 "./jsvector.h"
      var $50=HEAP32[(($49)>>2)]; //@line 120 "./jsvector.h"
      var $51=$50; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($47, $51); //@line 120 "./jsvector.h"
      var $52=$newbuf; //@line 121 "./jsvector.h"
      var $53=$2; //@line 121 "./jsvector.h"
      var $54=(($53+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($54)>>2)]=$52; //@line 121 "./jsvector.h"
      var $55=$3; //@line 123 "./jsvector.h"
      var $56=$2; //@line 123 "./jsvector.h"
      var $57=(($56+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($57)>>2)]=$55; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $59=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $59; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj0ES2_EEj["X"]=1;

function __ZN2js4MoveI16JSStackTraceElemEENS_7MoveRefIT_EERS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefI16JSStackTraceElemEC1ERS1_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefI16JSStackTraceElemEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefI16JSStackTraceElemEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $22 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$15; //@line 93 "./jsvector.h"
      HEAP32[(($16)>>2)]=0; HEAP32[(($16+4)>>2)]=0; HEAP32[(($16+8)>>2)]=0; HEAP32[(($16+12)>>2)]=0; //@line 93 "./jsvector.h"
      var $17=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveI16JSStackTraceElemEENS_7MoveRefIT_EERKS3_($4, $17); //@line 93 "./jsvector.h"
      var $18=__ZNK2js7MoveRefI16JSStackTraceElemEcvRS1_Ev($4); //@line 93 "./jsvector.h"
      var $19=$15; //@line 93 "./jsvector.h"
      var $20=$18; //@line 93 "./jsvector.h"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)];HEAP32[(($19+8)>>2)]=HEAP32[(($20+8)>>2)];HEAP32[(($19+12)>>2)]=HEAP32[(($20+12)>>2)]; //@line 93 "./jsvector.h"
      var $22 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $22; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $24=$p; //@line 92 "./jsvector.h"
      var $25=(($24+16)|0); //@line 92 "./jsvector.h"
      $p=$25; //@line 92 "./jsvector.h"
      var $26=$1; //@line 92 "./jsvector.h"
      var $27=(($26+16)|0); //@line 92 "./jsvector.h"
      $1=$27; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveI16JSStackTraceElemEENS_7MoveRefIT_EERKS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefI16JSStackTraceElemEC1ERS1_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN19SuppressErrorsGuardC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $5=$2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $6=(($3+4)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $7=$2; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $8=_JS_SetErrorReporter($7, 0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  HEAP32[(($6)>>2)]=$8; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $9=(($3+8)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $10=$2; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $11=_JS_SaveExceptionState($10); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  HEAP32[(($9)>>2)]=$11; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEC2ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout1228($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1231($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1232($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1233($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1231["X"]=1;

function _js_calloc1234($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1235($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1237($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_INT1246($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING1247($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING1248($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _JSID_TO_STRING1254($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _OBJECT_TO_JSVAL_IMPL1238($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL1249($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL1250($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL1251($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL1252($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function __ZN2JSL11StringValueEP8JSString1239($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2JSL10Int32ValueEi1240($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZL9ExceptionP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $protov=__stackBase__+8;
      var $errProto;
      var $obj;
      var $message;
      var $iter=__stackBase__+16;
      var $filename;
      var $lineno=__stackBase__+56;
      var $exnType;
      var $5=__stackBase__+60;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $7=$4; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($args, $6, $7); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $8=$args; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=__ZNK2js12CallReceiver6calleeEv($8); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=$2; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=$2; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=(($11+52)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=(($13+209948)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=(($14+252)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($9, $10, $16, $protov); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $18=(($17)|0)!=0; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      $1=0; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $21=__ZNK2JS5Value8isObjectEv($protov); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      var $23=$2; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _JS_ReportErrorNumber($23, 2, 0, 135, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str11194)|0),tempInt)); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=0; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $25=__ZNK2JS5Value8toObjectEv($protov); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $errProto=$25; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=$2; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $27=$errProto; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=$errProto; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29=__ZNK8JSObject9getParentEv($28); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_($26, __ZN2js10ErrorClassE, $27, $29); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $obj=$30; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=$obj; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=(($31)|0)!=0; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      $1=0; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $35=__ZNK2js8CallArgs4argcEv($args); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $36=(($35)|0)!=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $38=__ZNK2js8CallArgsixEj($args, 0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=__ZNK2JS5Value11isUndefinedEv($38); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($39) { __label__ = 12; break; } else { __label__ = 9; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      var $41=$2; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $42=__ZNK2js8CallArgsixEj($args, 0); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($41, $42); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $message=$43; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=$message; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=(($44)|0)!=0; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      $1=0; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      var $48=__ZNK2js8CallArgsixEj($args, 0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=$message; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS5Value9setStringEP8JSString($48, $49); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 13; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      $message=0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 13; break;
    case 13: 
      var $52=$2; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($iter, $52, 0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $54=__ZNK2js13FrameRegsIter4doneEv($iter); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($54) { var $60 = 0;__label__ = 16; break; } else { __label__ = 15; break; } //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      var $56=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=__ZNK2js10StackFrame13isScriptFrameEv($56); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $58=$57 ^ 1; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60 = $58;__label__ = 16; break;
    case 16: 
      var $60;
      if ($60) { __label__ = 17; break; } else { __label__ = 18; break; }
    case 17: 
      var $62=__ZN2js13FrameRegsIterppEv($iter); //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      var $64=__ZNK2js8CallArgs4argcEv($args); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $65=(($64)>>>0) > 1; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($65) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      var $67=$2; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $68=__ZNK2js8CallArgsixEj($args, 1); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $69=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($67, $68); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filename=$69; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $70=$filename; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $71=(($70)|0)!=0; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      $1=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      var $74=__ZNK2js8CallArgsixEj($args, 1); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=$filename; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS5Value9setStringEP8JSString($74, $75); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 28; break; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 22: 
      var $77=__ZNK2js13FrameRegsIter4doneEv($iter); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($77) { __label__ = 26; break; } else { __label__ = 23; break; } //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 23: 
      var $79=$2; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $81=__ZNK2js10StackFrame6scriptEv($80); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $82=(($81+52)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $84=__ZL16FilenameToStringP9JSContextPKc($79, $83); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filename=$84; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=$filename; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86=(($85)|0)!=0; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($86) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      $1=0; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      __label__ = 27; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 26: 
      var $90=$2; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $91=(($90+52)|0); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $93=(($92+144136)|0); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $95=$94; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $filename=$95; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $98=__ZNK2js8CallArgs4argcEv($args); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $99=(($98)>>>0) > 2; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($99) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 29: 
      var $101=$2; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $102=__ZNK2js8CallArgsixEj($args, 2); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $103=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($101, $102, $lineno); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($103) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 30: 
      $1=0; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 31: 
      __label__ = 36; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 32: 
      var $107=__ZNK2js13FrameRegsIter4doneEv($iter); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($107) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 33: 
      var $115 = 0;__label__ = 35; break; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 34: 
      var $110=$2; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $111=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=__ZNK2js13FrameRegsIter2pcEv($iter); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $113=__Z22js_FramePCToLineNumberP9JSContextPN2js10StackFrameEPh($110, $111, $112); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115 = $113;__label__ = 35; break; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 35: 
      var $115; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($lineno)>>2)]=$115; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 36; break;
    case 36: 
      var $117=$args; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $118=__ZNK2js12CallReceiver6calleeEv($117); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZNK8JSObject15getReservedSlotEj($5, $118, 0); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $119=__ZNK2JS5Value7toInt32Ev($5); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $exnType=$119; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $120=$2; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=$obj; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $122=$message; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $123=$filename; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $124=HEAP32[(($lineno)>>2)]; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $125=$exnType; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $126=__ZL14InitExnPrivateP9JSContextP8JSObjectP8JSStringS4_jP13JSErrorReporti($120, $121, $122, $123, $124, 0, $125); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($126) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 37: 
      $1=0; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 38: 
      var $129=$args; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $130=__ZNK2js12CallReceiver4rvalEv($129); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $131=$obj; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN2JS5Value9setObjectER8JSObject($130, $131); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=1; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 39: 
      var $133=$1; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $133; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9ExceptionP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2JSL11ObjectValueER8JSObject1241($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv1242($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1243($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1244($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1245($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1243["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj1244($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1245($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZL16FilenameToStringP9JSContextPKc($cx, $filename) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$filename;
  var $3=$1; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $4=$2; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $5=_JS_NewStringCopyZ($3, $4); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return $5; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZL12JSID_IS_ATOMi1253($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING1247($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function _INT_TO_JSVAL($agg_result, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$i;
  var $3=$1; //@line 1311 "./jsapi.h"
  _INT32_TO_JSVAL_IMPL1251($2, $3); //@line 1311 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout1228($agg_result, $2); //@line 1311 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1311 "./jsapi.h"
}


function __ZL24GetStackTraceValueBufferP12JSExnPrivate($priv) {
  ;
  var __label__;

  var $1;
  $1=$priv;
  var $2=$1; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $3=(($2+24)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $4=(($3)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $5=$1; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $6=(($5+16)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $8=(($4+($7<<4))|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  var $9=$8; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
  ;
  return $9; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
}


function __ZL18StackTraceToStringP9JSContextP12JSExnPrivate($cx, $priv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stackbuf;
      var $stacklen;
      var $stackmax;
      var $elem;
      var $endElem;
      var $values;
      var $i;
      var $str;
      var $cp;
      var $ulnbuf=__stackBase__;
      var $str_;
      var $length_;
      var $chars_;
      var $ptr_;
      var $ptr_1;
      var $ptr_2;
      var $str_3;
      var $length_4;
      var $chars_5;
      var $ptr_6;
      var $ptr_7;
      var $ptr_8;
      var $ptr_9;
      var $ptr_10;
      var $ptr_11;
      var $ptr_12;
      var $shrunk;
      $2=$cx;
      $3=$priv;
      $stackbuf=0; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=0; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=0; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $4=$3; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $5=__ZL24GetStackTraceValueBufferP12JSExnPrivate($4); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $values=$5; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $6=$3; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $7=(($6+24)|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $8=(($7)|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $elem=$8; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=$elem; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=$3; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $11=(($10+16)|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=(($9+($12<<4))|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $endElem=$13; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 2; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $15=$elem; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=$endElem; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $17=(($15)|0)!=(($16)|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 135; break; } //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $19=$elem; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=(($19)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $22=(($21)|0)!=0; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 68; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      __label__ = 5; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $25=$elem; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=(($25)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $str_=$27; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $28=$str_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29=__ZNK8JSString6lengthEv($28); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $length_=$29; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=$str_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=$2; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $32=__ZN8JSString8getCharsEP9JSContext($30, $31); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $chars_=$32; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $33=$chars_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=(($33)|0)!=0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      __label__ = 145; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $37=$length_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $38=$stackmax; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=$stacklen; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $40=(($38-$39)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $41=(($37)>>>0) > (($40)>>>0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $43=$stackmax; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=(($43)>>>0) >= 1048576; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      var $46=$length_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $47=$stacklen; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=((1048576-$47)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=(($46)>>>0) >= (($48)>>>0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      __label__ = 136; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 11: 
      var $52=$stacklen; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=$length_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=(($52+$53)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=_JS_CeilingLog2($54); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $56=1 << $55; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$56; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $57=$2; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $58=$stackbuf; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $59=$58; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $60=$stackmax; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $61=(($60+1)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $62=((($61<<1))|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $63=__ZN9JSContext8realloc_EPvj($57, $59, $62); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_=$63; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $64=$ptr_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $65=(($64)|0)!=0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($65) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      __label__ = 145; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      var $68=$ptr_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $69=$68; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$69; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 14; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $71=$stackbuf; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $72=$stacklen; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $73=(($71+($72<<1))|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $74=$73; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $75=$chars_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $76=$75; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $77=$length_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $78=((($77<<1))|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($78 % 1 === 0, 'memcpy given ' + $78 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($74, $76, $78, 1); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $79=$length_; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $80=$stacklen; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $81=(($80+$79)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$81; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 15; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      __label__ = 16; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 16: 
      var $84=$stacklen; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $85=$stackmax; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $86=(($84)|0)==(($85)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($86) { __label__ = 17; break; } else { __label__ = 25; break; } //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 17: 
      var $88=$stackmax; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $89=(($88)>>>0) >= 1048576; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($89) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 18: 
      __label__ = 136; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 19: 
      var $92=$stackmax; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $93=(($92)|0)!=0; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($93) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 20: 
      var $95=$stackmax; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $96=((($95<<1))|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $99 = $96;__label__ = 22; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 21: 
      var $99 = 64;__label__ = 22; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 22: 
      var $99; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$99; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $100=$2; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $101=$stackbuf; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $102=$101; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $103=$stackmax; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $104=(($103+1)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $105=((($104<<1))|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $106=__ZN9JSContext8realloc_EPvj($100, $102, $105); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_1=$106; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $107=$ptr_1; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $108=(($107)|0)!=0; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($108) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 23: 
      __label__ = 145; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 24: 
      var $111=$ptr_1; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $112=$111; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$112; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 25; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 25: 
      var $114=$stacklen; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $115=(($114+1)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$115; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $116=$stackbuf; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $117=(($116+($114<<1))|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($117)>>1)]=40; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 26; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 26: 
      $i=0; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 27; break; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 27: 
      var $120=$i; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $121=$elem; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $122=(($121+4)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $124=(($120)|0)!=(($123)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($124) { __label__ = 28; break; } else { __label__ = 56; break; } //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 28: 
      var $126=$i; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $127=(($126)>>>0) > 0; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($127) { __label__ = 29; break; } else { __label__ = 41; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 29: 
      __label__ = 30; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 30: 
      var $130=$stacklen; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $131=$stackmax; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $132=(($130)|0)==(($131)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($132) { __label__ = 31; break; } else { __label__ = 39; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 31: 
      var $134=$stackmax; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $135=(($134)>>>0) >= 1048576; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($135) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 32: 
      __label__ = 136; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 33: 
      var $138=$stackmax; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $139=(($138)|0)!=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($139) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 34: 
      var $141=$stackmax; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $142=((($141<<1))|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $145 = $142;__label__ = 36; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 35: 
      var $145 = 64;__label__ = 36; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 36: 
      var $145; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$145; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $146=$2; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $147=$stackbuf; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $148=$147; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $149=$stackmax; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $150=(($149+1)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $151=((($150<<1))|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $152=__ZN9JSContext8realloc_EPvj($146, $148, $151); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_2=$152; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $153=$ptr_2; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $154=(($153)|0)!=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($154) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 37: 
      __label__ = 145; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 38: 
      var $157=$ptr_2; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $158=$157; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$158; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 39; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 39: 
      var $160=$stacklen; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $161=(($160+1)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$161; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $162=$stackbuf; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $163=(($162+($160<<1))|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($163)>>1)]=44; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 40; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 40: 
      __label__ = 41; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 41: 
      var $166=$2; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $167=$values; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $168=__ZL18ValueToShortSourceP9JSContextRKN2JS5ValueE($166, $167); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $str=$168; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $169=$str; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $170=(($169)|0)!=0; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($170) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 42: 
      __label__ = 145; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 43: 
      __label__ = 44; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 44: 
      var $174=$str; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $str_3=$174; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $175=$str_3; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $176=__ZNK8JSString6lengthEv($175); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $length_4=$176; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $177=$str_3; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $178=$2; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $179=__ZN8JSString8getCharsEP9JSContext($177, $178); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $chars_5=$179; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $180=$chars_5; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $181=(($180)|0)!=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($181) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 45: 
      __label__ = 145; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 46: 
      var $184=$length_4; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $185=$stackmax; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $186=$stacklen; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $187=(($185-$186)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $188=(($184)>>>0) > (($187)>>>0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($188) { __label__ = 47; break; } else { __label__ = 53; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 47: 
      var $190=$stackmax; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $191=(($190)>>>0) >= 1048576; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($191) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 48: 
      var $193=$length_4; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $194=$stacklen; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $195=((1048576-$194)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $196=(($193)>>>0) >= (($195)>>>0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($196) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 49: 
      __label__ = 136; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 50: 
      var $199=$stacklen; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $200=$length_4; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $201=(($199+$200)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $202=_JS_CeilingLog2($201); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $203=1 << $202; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$203; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $204=$2; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $205=$stackbuf; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $206=$205; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $207=$stackmax; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $208=(($207+1)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $209=((($208<<1))|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $210=__ZN9JSContext8realloc_EPvj($204, $206, $209); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_6=$210; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $211=$ptr_6; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $212=(($211)|0)!=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($212) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 51: 
      __label__ = 145; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 52: 
      var $215=$ptr_6; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $216=$215; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$216; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 53; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 53: 
      var $218=$stackbuf; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $219=$stacklen; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $220=(($218+($219<<1))|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $221=$220; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $222=$chars_5; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $223=$222; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $224=$length_4; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $225=((($224<<1))|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      assert($225 % 1 === 0, 'memcpy given ' + $225 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($221, $223, $225, 1); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $226=$length_4; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $227=$stacklen; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $228=(($227+$226)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$228; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 54; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 54: 
      __label__ = 55; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 55: 
      var $231=$i; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $232=(($231+1)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $i=$232; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $233=$values; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $234=(($233+8)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $values=$234; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 27; break; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 56: 
      __label__ = 57; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 57: 
      var $237=$stacklen; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $238=$stackmax; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $239=(($237)|0)==(($238)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($239) { __label__ = 58; break; } else { __label__ = 66; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 58: 
      var $241=$stackmax; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $242=(($241)>>>0) >= 1048576; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($242) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 59: 
      __label__ = 136; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 60: 
      var $245=$stackmax; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $246=(($245)|0)!=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($246) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 61: 
      var $248=$stackmax; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $249=((($248<<1))|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $252 = $249;__label__ = 63; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 62: 
      var $252 = 64;__label__ = 63; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 63: 
      var $252; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$252; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $253=$2; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $254=$stackbuf; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $255=$254; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $256=$stackmax; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $257=(($256+1)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $258=((($257<<1))|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $259=__ZN9JSContext8realloc_EPvj($253, $255, $258); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_7=$259; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $260=$ptr_7; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $261=(($260)|0)!=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($261) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 64: 
      __label__ = 145; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 65: 
      var $264=$ptr_7; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $265=$264; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$265; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 66; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 66: 
      var $267=$stacklen; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $268=(($267+1)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$268; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $269=$stackbuf; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $270=(($269+($267<<1))|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($270)>>1)]=41; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 67; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 67: 
      __label__ = 68; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 68: 
      __label__ = 69; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 69: 
      var $274=$stacklen; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $275=$stackmax; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $276=(($274)|0)==(($275)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($276) { __label__ = 70; break; } else { __label__ = 78; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 70: 
      var $278=$stackmax; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $279=(($278)>>>0) >= 1048576; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($279) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 71: 
      __label__ = 136; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 72: 
      var $282=$stackmax; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $283=(($282)|0)!=0; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($283) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 73: 
      var $285=$stackmax; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $286=((($285<<1))|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $289 = $286;__label__ = 75; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 74: 
      var $289 = 64;__label__ = 75; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 75: 
      var $289; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$289; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $290=$2; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $291=$stackbuf; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $292=$291; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $293=$stackmax; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $294=(($293+1)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $295=((($294<<1))|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $296=__ZN9JSContext8realloc_EPvj($290, $292, $295); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_8=$296; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $297=$ptr_8; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $298=(($297)|0)!=0; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($298) { __label__ = 77; break; } else { __label__ = 76; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 76: 
      __label__ = 145; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 77: 
      var $301=$ptr_8; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $302=$301; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$302; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 78; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 78: 
      var $304=$stacklen; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $305=(($304+1)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$305; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $306=$stackbuf; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $307=(($306+($304<<1))|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($307)>>1)]=64; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 79; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 79: 
      var $309=$elem; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $310=(($309+8)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $311=HEAP32[(($310)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $312=(($311)|0)!=0; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($312) { __label__ = 80; break; } else { __label__ = 96; break; } //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 80: 
      var $314=$elem; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $315=(($314+8)|0); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $316=HEAP32[(($315)>>2)]; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$316; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 81; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 81: 
      var $318=$cp; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $319=HEAP8[($318)]; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $320=(($319 << 24) >> 24)!=0; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($320) { __label__ = 82; break; } else { __label__ = 95; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 82: 
      __label__ = 83; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 83: 
      var $323=$stacklen; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $324=$stackmax; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $325=(($323)|0)==(($324)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($325) { __label__ = 84; break; } else { __label__ = 92; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 84: 
      var $327=$stackmax; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $328=(($327)>>>0) >= 1048576; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($328) { __label__ = 85; break; } else { __label__ = 86; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 85: 
      __label__ = 136; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 86: 
      var $331=$stackmax; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $332=(($331)|0)!=0; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($332) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 87: 
      var $334=$stackmax; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $335=((($334<<1))|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $338 = $335;__label__ = 89; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 88: 
      var $338 = 64;__label__ = 89; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 89: 
      var $338; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$338; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $339=$2; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $340=$stackbuf; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $341=$340; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $342=$stackmax; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $343=(($342+1)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $344=((($343<<1))|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $345=__ZN9JSContext8realloc_EPvj($339, $341, $344); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_9=$345; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $346=$ptr_9; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $347=(($346)|0)!=0; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($347) { __label__ = 91; break; } else { __label__ = 90; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 90: 
      __label__ = 145; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 91: 
      var $350=$ptr_9; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $351=$350; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$351; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 92; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 92: 
      var $353=$cp; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $354=HEAP8[($353)]; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $355=(($354 << 24) >> 24); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $356=$stacklen; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $357=(($356+1)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$357; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $358=$stackbuf; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $359=(($358+($356<<1))|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($359)>>1)]=$355; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 93; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 93: 
      __label__ = 94; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 94: 
      var $362=$cp; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $363=(($362+1)|0); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$363; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 81; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 95: 
      __label__ = 96; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 96: 
      __label__ = 97; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 97: 
      var $367=$stacklen; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $368=$stackmax; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $369=(($367)|0)==(($368)|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($369) { __label__ = 98; break; } else { __label__ = 106; break; } //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 98: 
      var $371=$stackmax; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $372=(($371)>>>0) >= 1048576; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($372) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 99: 
      __label__ = 136; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 100: 
      var $375=$stackmax; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $376=(($375)|0)!=0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($376) { __label__ = 101; break; } else { __label__ = 102; break; } //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 101: 
      var $378=$stackmax; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $379=((($378<<1))|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $382 = $379;__label__ = 103; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 102: 
      var $382 = 64;__label__ = 103; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 103: 
      var $382; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$382; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $383=$2; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $384=$stackbuf; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $385=$384; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $386=$stackmax; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $387=(($386+1)|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $388=((($387<<1))|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $389=__ZN9JSContext8realloc_EPvj($383, $385, $388); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_10=$389; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $390=$ptr_10; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $391=(($390)|0)!=0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($391) { __label__ = 105; break; } else { __label__ = 104; break; } //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 104: 
      __label__ = 145; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 105: 
      var $394=$ptr_10; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $395=$394; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$395; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 106; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 106: 
      var $397=$stacklen; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $398=(($397+1)|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$398; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $399=$stackbuf; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $400=(($399+($397<<1))|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($400)>>1)]=58; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 107; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 107: 
      var $402=(($ulnbuf)|0); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $403=$elem; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $404=(($403+12)|0); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $405=HEAP32[(($404)>>2)]; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $406=_JS_snprintf($402, 11, ((STRING_TABLE.__str21195)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$405,tempInt)); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $407=(($ulnbuf)|0); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$407; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 108; break; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 108: 
      var $409=$cp; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $410=HEAP8[($409)]; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $411=(($410 << 24) >> 24)!=0; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($411) { __label__ = 109; break; } else { __label__ = 122; break; } //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 109: 
      __label__ = 110; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 110: 
      var $414=$stacklen; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $415=$stackmax; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $416=(($414)|0)==(($415)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($416) { __label__ = 111; break; } else { __label__ = 119; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 111: 
      var $418=$stackmax; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $419=(($418)>>>0) >= 1048576; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($419) { __label__ = 112; break; } else { __label__ = 113; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 112: 
      __label__ = 136; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 113: 
      var $422=$stackmax; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $423=(($422)|0)!=0; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($423) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 114: 
      var $425=$stackmax; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $426=((($425<<1))|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $429 = $426;__label__ = 116; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 115: 
      var $429 = 64;__label__ = 116; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 116: 
      var $429; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$429; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $430=$2; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $431=$stackbuf; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $432=$431; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $433=$stackmax; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $434=(($433+1)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $435=((($434<<1))|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $436=__ZN9JSContext8realloc_EPvj($430, $432, $435); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_11=$436; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $437=$ptr_11; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $438=(($437)|0)!=0; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($438) { __label__ = 118; break; } else { __label__ = 117; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 117: 
      __label__ = 145; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 118: 
      var $441=$ptr_11; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $442=$441; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$442; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 119; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 119: 
      var $444=$cp; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $445=HEAP8[($444)]; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $446=(($445 << 24) >> 24); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $447=$stacklen; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $448=(($447+1)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$448; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $449=$stackbuf; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $450=(($449+($447<<1))|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($450)>>1)]=$446; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 120; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 120: 
      __label__ = 121; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 121: 
      var $453=$cp; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $454=(($453+1)|0); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $cp=$454; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 108; break; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 122: 
      __label__ = 123; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 123: 
      var $457=$stacklen; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $458=$stackmax; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $459=(($457)|0)==(($458)|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($459) { __label__ = 124; break; } else { __label__ = 132; break; } //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 124: 
      var $461=$stackmax; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $462=(($461)>>>0) >= 1048576; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($462) { __label__ = 125; break; } else { __label__ = 126; break; } //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 125: 
      __label__ = 136; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 126: 
      var $465=$stackmax; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $466=(($465)|0)!=0; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($466) { __label__ = 127; break; } else { __label__ = 128; break; } //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 127: 
      var $468=$stackmax; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $469=((($468<<1))|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $472 = $469;__label__ = 129; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 128: 
      var $472 = 64;__label__ = 129; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 129: 
      var $472; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackmax=$472; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $473=$2; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $474=$stackbuf; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $475=$474; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $476=$stackmax; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $477=(($476+1)|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $478=((($477<<1))|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $479=__ZN9JSContext8realloc_EPvj($473, $475, $478); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $ptr_12=$479; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $480=$ptr_12; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $481=(($480)|0)!=0; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($481) { __label__ = 131; break; } else { __label__ = 130; break; } //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 130: 
      __label__ = 145; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 131: 
      var $484=$ptr_12; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $485=$484; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$485; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 132; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 132: 
      var $487=$stacklen; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $488=(($487+1)|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stacklen=$488; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $489=$stackbuf; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $490=(($489+($487<<1))|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($490)>>1)]=10; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 133; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 133: 
      __label__ = 134; break; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 134: 
      var $493=$elem; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $494=(($493+16)|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $elem=$494; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 2; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 135: 
      __label__ = 136; break; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 136: 
      var $497=$stacklen; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $498=(($497)|0)==0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($498) { __label__ = 137; break; } else { __label__ = 138; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 137: 
      var $500=$2; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $501=(($500+52)|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $502=HEAP32[(($501)>>2)]; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $503=(($502+144136)|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $504=HEAP32[(($503)>>2)]; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $505=$504; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$505; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 148; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 138: 
      var $507=$stacklen; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $508=$stackmax; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $509=(($507)>>>0) < (($508)>>>0); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($509) { __label__ = 139; break; } else { __label__ = 142; break; } //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 139: 
      var $511=$2; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $512=$stackbuf; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $513=$512; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $514=$stacklen; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $515=(($514+1)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $516=((($515<<1))|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $517=__ZN9JSContext8realloc_EPvj($511, $513, $516); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $shrunk=$517; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $518=$shrunk; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $519=(($518)|0)!=0; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($519) { __label__ = 140; break; } else { __label__ = 141; break; } //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 140: 
      var $521=$shrunk; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $522=$521; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $stackbuf=$522; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 141; break; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 141: 
      __label__ = 142; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 142: 
      var $525=$stacklen; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $526=$stackbuf; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $527=(($526+($525<<1))|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP16[(($527)>>1)]=0; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $528=$2; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $529=$stackbuf; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $530=$stacklen; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $531=__Z12js_NewStringP9JSContextPtj($528, $529, $530); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $532=$531; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $str=$532; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $533=$str; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $534=(($533)|0)!=0; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($534) { __label__ = 143; break; } else { __label__ = 144; break; } //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 143: 
      var $536=$str; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$536; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 148; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 144: 
      __label__ = 145; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 145: 
      var $539=$stackbuf; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $540=(($539)|0)!=0; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($540) { __label__ = 146; break; } else { __label__ = 147; break; } //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 146: 
      var $542=$2; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $543=$stackbuf; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $544=$543; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __ZN9JSContext5free_EPv($542, $544); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 147; break; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 147: 
      $1=0; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 148; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 148: 
      var $547=$1; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $547; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18StackTraceToStringP9JSContextP12JSExnPrivate["X"]=1;

function _JS_GetE4XObjectsCreated($0) {
  ;
  var __label__;

  var $2;
  $2=$0;
  var $3=HEAP32[((_sE4XObjectsCreated)>>2)]; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return $3; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function _JS_SetProtoCalled($0) {
  ;
  var __label__;

  var $2;
  $2=$0;
  var $3=HEAP32[((_sSetProtoCalled)>>2)]; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return $3; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function _JS_GetCustomIteratorCount($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=HEAP32[((_sCustomIteratorCount)>>2)]; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return $2; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function _JSVAL_TO_GCTHING_IMPL1256($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 590 "./jsval.h"
  var $2=(($1)|0); //@line 590 "./jsval.h"
  var $3=$2; //@line 590 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 590 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 590 "./jsval.h"
}


function _JSVAL_IS_TRACEABLE_IMPL1257($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=$l; //@line 596 "./jsval.h"
      var $2=(($1+4)|0); //@line 596 "./jsval.h"
      var $3=HEAP32[(($2)>>2)]; //@line 596 "./jsval.h"
      var $4=(($3)|0)==-123; //@line 596 "./jsval.h"
      if ($4) { var $11 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 596 "./jsval.h"
    case 2: 
      var $6=$l; //@line 596 "./jsval.h"
      var $7=(($6+4)|0); //@line 596 "./jsval.h"
      var $8=HEAP32[(($7)>>2)]; //@line 596 "./jsval.h"
      var $9=(($8)|0)==-121; //@line 596 "./jsval.h"
      var $11 = $9;__label__ = 3; break; //@line 596 "./jsval.h"
    case 3: 
      var $11;
      var $12=(($11)&1); //@line 596 "./jsval.h"
      STACKTOP = __stackBase__;
      return $12; //@line 596 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetAnonymousString($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $3=(($2+209948)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $4=(($3+220)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $6=$5; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return $6; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function _JS_GetCompartmentPrincipals($compartment) {
  ;
  var __label__;

  var $1;
  $1=$compartment;
  var $2=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $3=(($2+4)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return $4; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function __ZN2JS23AutoPreserveCompartmentC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 140 "./jsfriendapi.h"
      var $5=$2; //@line 140 "./jsfriendapi.h"
      HEAP32[(($4)>>2)]=$5; //@line 140 "./jsfriendapi.h"
      var $6=(($3+4)|0); //@line 140 "./jsfriendapi.h"
      var $7=$2; //@line 140 "./jsfriendapi.h"
      var $8=(($7+56)|0); //@line 140 "./jsfriendapi.h"
      var $9=HEAP32[(($8)>>2)]; //@line 140 "./jsfriendapi.h"
      HEAP32[(($6)>>2)]=$9; //@line 140 "./jsfriendapi.h"
      __label__ = 2; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 2: 
      __label__ = 3; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 3: 
      ;
      return; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS23AutoPreserveCompartmentD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $5=(($2)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $7=(($6+56)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function __ZN2JS21AutoSwitchCompartmentD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $5=(($2)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $7=(($6+56)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  HEAP32[(($7)>>2)]=$4; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function _JSVAL_TO_OBJECT_IMPL1258($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZNK2js10StackFrame17hasOverriddenArgsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1106 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1106 "./vm/Stack.h"
  var $5=$4 & 1024; //@line 1106 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1106 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1106 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1106 "./vm/Stack.h"
  ;
  return $8; //@line 1106 "./vm/Stack.h"
}


function __ZL18ValueToShortSourceP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 156; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $str=__stackBase__;
      var $obj;
      var $ac=__stackBase__+4;
      var $4;
      var $buf=__stackBase__+56;
      $2=$cx;
      $3=$v;
      var $5=$3; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $6=__ZNK2JS5Value8isObjectEv($5); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 2: 
      var $8=$2; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $9=$3; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $10=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($8, $9); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$10; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 16; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 3: 
      var $12=$3; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $13=__ZNK2JS5Value8toObjectEv($12); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $obj=$13; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $14=$2; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $15=$obj; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $14, $15); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $16=__ZN2js15AutoCompartment5enterEv($ac); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 4: 
      $1=0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $4=1;
      __label__ = 15; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 5: 
      var $19=$obj; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $20=__ZNK8JSObject10isFunctionEv($19); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 6: 
      var $22=$obj; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $23=__ZNK8JSObject18getFunctionPrivateEv($22); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $24=_JS_GetFunctionId($23); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($str)>>2)]=$24; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $25=HEAP32[(($str)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $26=(($25)|0)!=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 7: 
      var $28=$2; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $29=$3; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $30=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($28, $29); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($str)>>2)]=$30; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $31=(($30)|0)!=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 8: 
      var $33=$2; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      _JS_ClearPendingException($33); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $34=$2; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $35=_JS_NewStringCopyZ($34, ((STRING_TABLE.__str31196)|0)); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($str)>>2)]=$35; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 9; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 9: 
      __label__ = 11; break; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 10: 
      var $38=(($buf)|0); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $39=$obj; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $40=__ZNK8JSObject8getClassEv($39); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $41=(($40)|0); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $43=_JS_snprintf($38, 100, ((STRING_TABLE.__str41197)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$42,tempInt)); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $44=$2; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $45=(($buf)|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $46=_JS_NewStringCopyZ($44, $45); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      HEAP32[(($str)>>2)]=$46; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 11; break;
    case 11: 
      __ZN2js15AutoCompartment5leaveEv($ac); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $48=HEAP32[(($str)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $49=(($48)|0)!=0; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 12: 
      var $51=$2; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $52=(($51+56)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $54=$2; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      var $55=__ZN13JSCompartment4wrapEP9JSContextPP8JSString($53, $54, $str); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      if ($55) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 13: 
      $1=0; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $4=1;
      __label__ = 15; break; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 14: 
      var $58=HEAP32[(($str)>>2)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $1=$58; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      $4=1;
      __label__ = 15; break; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    case 15: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      __label__ = 16; break;
    case 16: 
      var $61=$1; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsexn.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18ValueToShortSourceP9JSContextRKN2JS5ValueE["X"]=1;

function _js_realloc1255($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_TRACEABLE($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 2621 "./jsapi.h"
  var $7=$v; //@line 2621 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 2621 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE1218($2, $3); //@line 2621 "./jsapi.h"
  var $8=_JSVAL_IS_TRACEABLE_IMPL1257($2); //@line 2621 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 2621 "./jsapi.h"
}


function _JSVAL_TO_GCTHING($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1434 "./jsapi.h"
  var $7=$v; //@line 1434 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1434 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE1218($2, $3); //@line 1434 "./jsapi.h"
  var $8=_JSVAL_TO_GCTHING_IMPL1256($2); //@line 1434 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1434 "./jsapi.h"
}


function _JSVAL_TRACE_KIND($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 2634 "./jsapi.h"
  var $7=$v; //@line 2634 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 2634 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE1218($2, $3); //@line 2634 "./jsapi.h"
  var $8=_JSVAL_TRACE_KIND_IMPL($2); //@line 2634 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 2634 "./jsapi.h"
}


function _JSVAL_TRACE_KIND_IMPL($l) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=__stackBase__;
  var $2=$1; //@line 602 "./jsval.h"
  var $3=$l; //@line 602 "./jsval.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 602 "./jsval.h"
  var $4=_JSVAL_IS_STRING_IMPL1221($1); //@line 602 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 602 "./jsval.h"
}


function _JS_FindCompilationScope($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $op;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $4=__ZNK8JSObject9isWrapperEv($3); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 2: 
      var $6=$2; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $7=__ZN8JSObject6unwrapEPj($6, 0); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      $2=$7; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __label__ = 3; break; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 3: 
      var $9=$2; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $10=__ZNK8JSObject8getClassEv($9); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $11=(($10+68)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $12=(($11+8)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      $op=$13; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $14=$op; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $15=(($14)|0)!=0; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 4: 
      var $17=$op; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $18=$1; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $19=$2; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $20=FUNCTION_TABLE[$17]($18, $19); //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      $2=$20; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __label__ = 5; break; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 5: 
      var $22=$2; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      ;
      return $22; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_UnwrapObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $3=__ZN8JSObject6unwrapEPj($2, 0); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return $3; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function _JS_GetFrameScopeChainRaw($fp) {
  ;
  var __label__;

  var $1;
  $1=$fp;
  var $2=$1; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $3=__ZN2js8ValueifyEP12JSStackFrame($2); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $4=__ZNK2js10StackFrame10scopeChainEv($3); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return $4; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function _JS_SplicePrototype($cx, $obj, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$obj;
      $4=$proto;
      var $5=$3; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $6=__ZNK8JSObject16hasSingletonTypeEv($5); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 2: 
      var $8=$2; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $9=$3; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $10=$4; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $11=_JS_SetPrototype($8, $9, $10); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      $1=$11; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __label__ = 4; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 3: 
      var $13=$3; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $14=$2; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $15=$4; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $16=__ZN8JSObject15splicePrototypeEP9JSContextPS_($13, $14, $15); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $17=(($16)&1); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      $1=$17; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __label__ = 4; break; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 4: 
      var $19=$1; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      ;
      return $19; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_NewObjectWithUniqueType($cx, $clasp, $proto, $parent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      var $6=$2; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $7=$3; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $8=$4; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $9=$5; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $10=_JS_NewObject($6, $7, $8, $9); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      $obj=$10; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $11=$obj; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $12=(($11)|0)!=0; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 2: 
      var $14=$obj; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $15=$2; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $16=__ZN8JSObject16setSingletonTypeEP9JSContext($14, $15); //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 3: 
      $1=0; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __label__ = 5; break; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 4: 
      var $19=$obj; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      $1=$19; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __label__ = 5; break; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 5: 
      var $21=$1; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      ;
      return $21; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_ObjectCountDynamicSlots($obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$obj;
      var $3=$2; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $4=__ZNK8JSObject13hasSlotsArrayEv($3); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 2: 
      var $6=$2; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $7=$2; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $8=__ZNK8JSObject8numSlotsEv($7); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $9=__ZNK8JSObject15numDynamicSlotsEj($6, $8); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      $1=$9; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __label__ = 4; break; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 3: 
      $1=0; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __label__ = 4; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 4: 
      var $12=$1; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      ;
      return $12; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject13hasSlotsArrayEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+32)|0); //@line 415 "./jsobjinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 415 "./jsobjinlines.h"
      var $5=(($4)|0)!=0; //@line 415 "./jsobjinlines.h"
      if ($5) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 415 "./jsobjinlines.h"
    case 2: 
      var $7=(($2+32)|0); //@line 415 "./jsobjinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 415 "./jsobjinlines.h"
      var $9=__ZNK8JSObject10fixedSlotsEv($2); //@line 415 "./jsobjinlines.h"
      var $10=(($8)|0)!=(($9)|0); //@line 415 "./jsobjinlines.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      ;
      return $12; //@line 416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject15numDynamicSlotsEj($this, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$capacity;
      var $3=$1;
      var $4=__ZNK8JSObject12isDenseArrayEv($3); //@line 361 "./jsobjinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 361 "./jsobjinlines.h"
    case 2: 
      var $6=$2; //@line 361 "./jsobjinlines.h"
      var $12 = $6;__label__ = 4; break; //@line 361 "./jsobjinlines.h"
    case 3: 
      var $8=$2; //@line 361 "./jsobjinlines.h"
      var $9=__ZNK8JSObject13numFixedSlotsEv($3); //@line 361 "./jsobjinlines.h"
      var $10=(($8-$9)|0); //@line 361 "./jsobjinlines.h"
      var $12 = $10;__label__ = 4; break; //@line 361 "./jsobjinlines.h"
    case 4: 
      var $12; //@line 361 "./jsobjinlines.h"
      ;
      return $12; //@line 361 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_WrapPropertyDescriptor($cx, $desc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$desc;
  var $3=$1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $4=(($3+56)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $6=$1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $7=$2; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $8=__ZN13JSCompartment4wrapEP9JSContextP20JSPropertyDescriptor($5, $6, $7); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  var $9=(($8)&1); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
  ;
  return $9; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
}


function __ZN2JS21AutoSwitchCompartmentC2EP9JSContextP13JSCompartment($this, $cx, $newCompartment) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$newCompartment;
      var $4=$1;
      var $5=(($4)|0); //@line 153 "./jsfriendapi.h"
      var $6=$2; //@line 153 "./jsfriendapi.h"
      HEAP32[(($5)>>2)]=$6; //@line 153 "./jsfriendapi.h"
      var $7=(($4+4)|0); //@line 153 "./jsfriendapi.h"
      var $8=$2; //@line 153 "./jsfriendapi.h"
      var $9=(($8+56)|0); //@line 153 "./jsfriendapi.h"
      var $10=HEAP32[(($9)>>2)]; //@line 153 "./jsfriendapi.h"
      HEAP32[(($7)>>2)]=$10; //@line 153 "./jsfriendapi.h"
      __label__ = 2; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 2: 
      __label__ = 3; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 3: 
      var $13=$2; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $14=$3; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __ZN9JSContext14setCompartmentEP13JSCompartment($13, $14); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      ;
      return; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS21AutoSwitchCompartmentC2EP9JSContextP8JSObject($this, $cx, $target) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$target;
      var $4=$1;
      var $5=(($4)|0); //@line 161 "./jsfriendapi.h"
      var $6=$2; //@line 161 "./jsfriendapi.h"
      HEAP32[(($5)>>2)]=$6; //@line 161 "./jsfriendapi.h"
      var $7=(($4+4)|0); //@line 161 "./jsfriendapi.h"
      var $8=$2; //@line 161 "./jsfriendapi.h"
      var $9=(($8+56)|0); //@line 161 "./jsfriendapi.h"
      var $10=HEAP32[(($9)>>2)]; //@line 161 "./jsfriendapi.h"
      HEAP32[(($7)>>2)]=$10; //@line 161 "./jsfriendapi.h"
      __label__ = 2; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 2: 
      __label__ = 3; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    case 3: 
      var $13=$2; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $14=$3; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $15=$14; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      var $16=__ZNK2js2gc4Cell11compartmentEv($15); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      __ZN9JSContext14setCompartmentEP13JSCompartment($13, $16); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
      ;
      return; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfriendapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z15js_GetArgsValueP9JSContextPN2js10StackFrameEPN2JS5ValueE($cx, $fp, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argsobj;
      $2=$cx;
      $3=$fp;
      $4=$vp;
      var $5=$3; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZNK2js10StackFrame17hasOverriddenArgsEv($5); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $8=$3; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK2js10StackFrame7callObjEv($8); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$9; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$2; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$2; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=(($12+52)|0); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=(($14+209948)|0); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15+228)|0); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$4; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($10, $11, $17, $18); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$19; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $21=$2; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$3; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=__Z16js_GetArgsObjectP9JSContextPN2js10StackFrameE($21, $22); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$23; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$argsobj; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($24)|0)!=0; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=0; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $28=$4; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$argsobj; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setObjectER8JSObject($28, $29); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $31=$1; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $31; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_GetArgsObjectP9JSContextPN2js10StackFrameE($cx, $fp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $argsobj;
      var $4=__stackBase__;
      $2=$cx;
      $3=$fp;
      __label__ = 2; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $6=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZNK2js10StackFrame16isEvalInFunctionEv($6); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $9=$3; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZNK2js10StackFrame4prevEv($9); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $3=$10; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 2; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $12=$3; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__ZNK2js10StackFrame6scriptEv($12); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$13; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=(($14+38)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=HEAPU8[($15)]; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16)&255) >>> 1; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$17 & 1; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18) & 1); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $21=$2; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=__ZNK2js10StackFrame6scriptEv($22); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js5types20MarkArgumentsCreatedEP9JSContextP8JSScript($21, $23); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $25=$3; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=__ZNK2js10StackFrame10hasArgsObjEv($25); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $28=$3; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=__ZNK2js10StackFrame7argsObjEv($28); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$29; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$30; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $32=$2; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=__ZNK2js10StackFrame13numActualArgsEv($33); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=__ZNK2js10StackFrame6calleeEv($35); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=__ZN2js15ArgumentsObject6createEP9JSContextjR8JSObject($32, $34, $36); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$37; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$argsobj; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=(($38)|0)!=0; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $41=$argsobj; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$41; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$42; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $44=$argsobj; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$44; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=__ZNK8JSObject17isStrictArgumentsEv($45); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $48=$3; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$argsobj; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=__ZNK2js15ArgumentsObject4dataEv($49); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=(($50+8)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=(($51)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN6PutArgC1EPN2JS5ValueE($4, $52); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=__ZN2js10StackFrame25forEachCanonicalActualArgI6PutArgEEbT_jj($48, $4, 0, -1); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 13; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $55=$argsobj; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$3; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15ArgumentsObject13setStackFrameEPNS_10StackFrameE($55, $56); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 13; break;
    case 13: 
      var $58=$3; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=$argsobj; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10StackFrame10setArgsObjERNS_15ArgumentsObjectE($58, $59); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$argsobj; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=$60; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$61; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $63=$1; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_GetArgsObjectP9JSContextPN2js10StackFrameE["X"]=1;

function _JSID_IS_INT1285($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT1286($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function __ZNK2js10StackFrame16isEvalInFunctionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 481 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 481 "./vm/Stack.h"
  var $5=$4 & 10; //@line 481 "./vm/Stack.h"
  var $6=(($5)|0)==10; //@line 481 "./vm/Stack.h"
  ;
  return $6; //@line 481 "./vm/Stack.h"
}


function __ZN2js10StackFrame10setArgsObjERNS_15ArgumentsObjectE($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=$2; //@line 319 "./vm/Stack-inl.h"
  var $5=(($3+8)|0); //@line 319 "./vm/Stack-inl.h"
  var $6=$5; //@line 319 "./vm/Stack-inl.h"
  HEAP32[(($6)>>2)]=$4; //@line 319 "./vm/Stack-inl.h"
  var $7=(($3)|0); //@line 320 "./vm/Stack-inl.h"
  var $8=HEAP32[(($7)>>2)]; //@line 320 "./vm/Stack-inl.h"
  var $9=$8 | 32768; //@line 320 "./vm/Stack-inl.h"
  HEAP32[(($7)>>2)]=$9; //@line 320 "./vm/Stack-inl.h"
  ;
  return; //@line 321 "./vm/Stack-inl.h"
}


function __Z18js_GetArgsPropertyP9JSContextPN2js10StackFrameEiPN2JS5ValueE($cx, $fp, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $v=__stackBase__;
      var $obj;
      var $arg;
      var $argsobj;
      var $v1;
      var $argsobj2;
      $2=$cx;
      $3=$fp;
      $4=$id;
      $5=$vp;
      var $6=$3; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZNK2js10StackFrame17hasOverriddenArgsEv($6); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 10; break; } //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $9=$3; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZNK2js10StackFrame7callObjEv($9); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$10; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$2; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$2; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=(($13+52)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15+209948)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16+228)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($11, $12, $18, $v); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=(($19)|0)!=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      $1=0; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $23=__ZNK2JS5Value11isPrimitiveEv($v); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $25=$2; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($25, $v); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $obj=$26; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$obj; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($27)|0)!=0; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      $1=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      __label__ = 9; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $32=__ZNK2JS5Value8toObjectEv($v); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $obj=$32; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break;
    case 9: 
      var $34=$obj; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$4; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=$5; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($34, $35, $36, $37); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$38; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $40=$5; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=$4; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=_JSID_IS_INT1285($41); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=(($42)|0)!=0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 23; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $45=$4; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=_JSID_TO_INT1286($45); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$46; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$3; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=__ZNK2js10StackFrame12maybeArgsObjEv($47); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$48; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$arg; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$3; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=__ZNK2js10StackFrame13numActualArgsEv($50); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=(($49)>>>0) < (($51)>>>0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 19; break; } //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $54=$argsobj; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=(($54)|0)!=0; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $57=$argsobj; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=$arg; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=__ZNK2js15ArgumentsObject7elementEj($57, $58); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $v1=$59; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$v1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=__ZNK2JS5Value7isMagicE10JSWhyMagic($60, 1); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $63=$argsobj; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=$63; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$2; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=$4; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=$5; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($64, $65, $66, $67); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$68; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $70=$3; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=__ZNK2js10StackFrame14functionScriptEv($70); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=$71; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=(($72+36)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=HEAPU8[($73)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=(($74)&255) >>> 3; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=$75 & 1; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=(($76) & 1); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($77) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $79=$5; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=$v1; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=$79; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=$80; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($81)>>2)]=HEAP32[(($82)>>2)];HEAP32[(($81+4)>>2)]=HEAP32[(($82+4)>>2)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      __label__ = 18; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $85=$5; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $86=$3; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=$arg; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $88=__ZNK2js10StackFrame18canonicalActualArgEj($86, $87); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $89=$85; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $90=$88; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($89)>>2)]=HEAP32[(($90)>>2)];HEAP32[(($89+4)>>2)]=HEAP32[(($90+4)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 22; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      var $92=$argsobj; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $93=(($92)|0)!=0; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($93) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      var $95=$argsobj; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $96=$95; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $97=$2; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $98=$4; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $99=$5; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $100=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($96, $97, $98, $99); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$100; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      __label__ = 29; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 23: 
      var $104=$4; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $105=$2; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $106=(($105+52)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $108=(($107+209948)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $109=(($108+308)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $111=$110; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $112=__ZL12JSID_IS_ATOMiP6JSAtom1287($104, $111); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $113=(($112)|0)!=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($113) { __label__ = 24; break; } else { __label__ = 28; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 24: 
      var $115=$3; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $116=__ZNK2js10StackFrame12maybeArgsObjEv($115); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj2=$116; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $117=$argsobj2; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $118=(($117)|0)!=0; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($118) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 25: 
      var $120=$argsobj2; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $121=__ZNK2js15ArgumentsObject19hasOverriddenLengthEv($120); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($121) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 26: 
      var $123=$argsobj2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $124=$123; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $125=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $126=$4; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $127=$5; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $128=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($124, $125, $126, $127); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$128; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 27: 
      var $130=$5; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $131=$3; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $132=__ZNK2js10StackFrame13numActualArgsEv($131); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value8setInt32Ei($130, $132); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 28; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      $1=1; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 30: 
      var $136=$1; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $136; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_GetArgsPropertyP9JSContextPN2js10StackFrameEiPN2JS5ValueE["X"]=1;

function __ZNK2js10StackFrame12maybeArgsObjEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame10hasArgsObjEv($2); //@line 711 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 711 "./vm/Stack.h"
    case 2: 
      var $5=__ZNK2js10StackFrame7argsObjEv($2); //@line 711 "./vm/Stack.h"
      var $8 = $5;__label__ = 4; break; //@line 711 "./vm/Stack.h"
    case 3: 
      var $8 = 0;__label__ = 4; break; //@line 711 "./vm/Stack.h"
    case 4: 
      var $8; //@line 711 "./vm/Stack.h"
      ;
      return $8; //@line 711 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame14functionScriptEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame11isEvalFrameEv($2); //@line 601 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 601 "./vm/Stack.h"
    case 2: 
      var $5=(($2+8)|0); //@line 601 "./vm/Stack.h"
      var $6=$5; //@line 601 "./vm/Stack.h"
      var $7=HEAP32[(($6)>>2)]; //@line 601 "./vm/Stack.h"
      var $12 = $7;__label__ = 4; break; //@line 601 "./vm/Stack.h"
    case 3: 
      var $9=__ZNK2js10StackFrame3funEv($2); //@line 601 "./vm/Stack.h"
      var $10=__ZNK10JSFunction6scriptEv($9); //@line 601 "./vm/Stack.h"
      var $12 = $10;__label__ = 4; break; //@line 601 "./vm/Stack.h"
    case 4: 
      var $12; //@line 601 "./vm/Stack.h"
      ;
      return $12; //@line 601 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12JSID_IS_ATOMiP6JSAtom1287($id, $atom) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$id;
  $2=$atom;
  var $3=$1; //@line 81 "./jsatom.h"
  var $4=$2; //@line 81 "./jsatom.h"
  var $5=__ZL12ATOM_TO_JSIDP6JSAtom1293($4); //@line 81 "./jsatom.h"
  var $6=(($3)|0)==(($5)|0); //@line 81 "./jsatom.h"
  var $7=(($6)&1); //@line 81 "./jsatom.h"
  ;
  return $7; //@line 81 "./jsatom.h"
}


function __ZN2js15ArgumentsObject6createEP9JSContextjR8JSObject($cx, $argc, $callee) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $proto=__stackBase__;
      var $type;
      var $obj;
      var $emptyArgumentsShape;
      var $data;
      var $argsobj;
      $2=$cx;
      $3=$argc;
      $4=$callee;
      var $5=$2; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$4; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZNK8JSObject9getGlobalEv($6); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$7; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($5, $8, 1, $proto, 0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)|0)!=0; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=0; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 12; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $13=HEAP32[(($proto)>>2)]; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$2; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($13, $14, 0, 0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $type=$15; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$type; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16)|0)!=0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=0; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 12; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $20=$2; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($20, 2); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $obj=$21; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$obj; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22)|0)!=0; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      $1=0; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 12; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $26=$2; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZN2js10EmptyShape22getEmptyArgumentsShapeEP9JSContext($26); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $emptyArgumentsShape=$27; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$emptyArgumentsShape; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=(($28)|0)!=0; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=0; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 12; break; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $32=$2; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$3; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=((($33<<3))|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=(($34+8)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=__ZN9JSContext7malloc_Ej($32, $35); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=$36; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $data=$37; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$data; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=(($38)|0)!=0; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      $1=0; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 12; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $42=$data; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=(($42+8)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=(($43)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$3; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj1288($44, $45); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=$obj; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$2; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$4; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=__ZNK8JSObject18getFunctionPrivateEv($48); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=__ZNK10JSFunction12inStrictModeEv($49); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=$50 ? __ZN2js26StrictArgumentsObjectClassE : __ZN2js26NormalArgumentsObjectClassE; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$type; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=HEAP32[(($proto)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=__ZNK8JSObject9getParentEv($53); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($46, $47, $51, $52, $54, 0, 0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$obj; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$emptyArgumentsShape; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=$56; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($55, $57); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=$obj; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=__ZN8JSObject11asArgumentsEv($58); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$59; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$argsobj; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=$3; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15ArgumentsObject16setInitialLengthEj($60, $61); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=$argsobj; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=$4; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=$data; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15ArgumentsObject16setCalleeAndDataER8JSObjectPNS_13ArgumentsDataE($62, $63, $64); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$argsobj; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$65; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 12; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $67=$1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $67; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js15ArgumentsObject6createEP9JSContextjR8JSObject["X"]=1;

function __ZN2js10EmptyShape22getEmptyArgumentsShapeEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 367 "./jsscopeinlines.h"
  var $3=$1; //@line 367 "./jsscopeinlines.h"
  var $4=(($3+56)|0); //@line 367 "./jsscopeinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 367 "./jsscopeinlines.h"
  var $6=(($5+748)|0); //@line 367 "./jsscopeinlines.h"
  var $7=__ZN2js10EmptyShape6ensureEP9JSContextPNS_5ClassEPPS0_($2, __ZN2js26NormalArgumentsObjectClassE, $6); //@line 367 "./jsscopeinlines.h"
  ;
  return $7; //@line 367 "./jsscopeinlines.h"
}


function __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj1288($vec, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$vec;
  $2=$len;
  var $3=$1; //@line 410 "./jsinterp.h"
  var $4=$1; //@line 410 "./jsinterp.h"
  var $5=$2; //@line 410 "./jsinterp.h"
  var $6=(($4+($5<<3))|0); //@line 410 "./jsinterp.h"
  __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_1378($3, $6); //@line 410 "./jsinterp.h"
  ;
  return; //@line 411 "./jsinterp.h"
}


function __ZN2js15ArgumentsObject16setInitialLengthEj($this, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$length;
  var $4=$1;
  var $5=$4; //@line 52 "./vm/ArgumentsObject-inl.h"
  var $6=$2; //@line 52 "./vm/ArgumentsObject-inl.h"
  var $7=$6 << 1; //@line 52 "./vm/ArgumentsObject-inl.h"
  __ZN2JSL10Int32ValueEi1375($3, $7); //@line 52 "./vm/ArgumentsObject-inl.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 0, $3); //@line 52 "./vm/ArgumentsObject-inl.h"
  STACKTOP = __stackBase__;
  return; //@line 55 "./vm/ArgumentsObject-inl.h"
}


function __ZN2js15ArgumentsObject16setCalleeAndDataER8JSObjectPNS_13ArgumentsDataE($this, $callee, $data) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$this;
  $2=$callee;
  $3=$data;
  var $5=$1;
  var $6=$5; //@line 83 "./vm/ArgumentsObject-inl.h"
  var $7=$3; //@line 83 "./vm/ArgumentsObject-inl.h"
  var $8=$7; //@line 83 "./vm/ArgumentsObject-inl.h"
  __ZN2JSL12PrivateValueEPv1335($4, $8); //@line 83 "./vm/ArgumentsObject-inl.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($6, 1, $4); //@line 83 "./vm/ArgumentsObject-inl.h"
  var $9=$3; //@line 84 "./vm/ArgumentsObject-inl.h"
  var $10=(($9)|0); //@line 84 "./vm/ArgumentsObject-inl.h"
  var $11=$2; //@line 84 "./vm/ArgumentsObject-inl.h"
  __ZN2JS5Value9setObjectER8JSObject($10, $11); //@line 84 "./vm/ArgumentsObject-inl.h"
  STACKTOP = __stackBase__;
  return; //@line 85 "./vm/ArgumentsObject-inl.h"
}


function __ZN2js10StackFrame25forEachCanonicalActualArgI6PutArgEEbT_jj($this, $op, $start, $count) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $op; $op = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($op)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nformal;
      var $formals;
      var $nactual;
      var $end;
      var $p;
      var $p1;
      var $actuals;
      var $p2;
      $2=$this;
      $3=$start;
      $4=$count;
      var $5=$2;
      var $6=__ZNK2js10StackFrame3funEv($5); //@line 219 "./vm/Stack-inl.h"
      var $7=(($6+56)|0); //@line 219 "./vm/Stack-inl.h"
      var $8=HEAPU16[(($7)>>1)]; //@line 219 "./vm/Stack-inl.h"
      var $9=(($8)&65535); //@line 219 "./vm/Stack-inl.h"
      $nformal=$9; //@line 219 "./vm/Stack-inl.h"
      var $10=__ZNK2js10StackFrame13formalArgsEndEv($5); //@line 222 "./vm/Stack-inl.h"
      var $11=$nformal; //@line 222 "./vm/Stack-inl.h"
      var $12=(((-$11))|0); //@line 222 "./vm/Stack-inl.h"
      var $13=(($10+($12<<3))|0); //@line 222 "./vm/Stack-inl.h"
      $formals=$13; //@line 222 "./vm/Stack-inl.h"
      var $14=__ZNK2js10StackFrame13numActualArgsEv($5); //@line 223 "./vm/Stack-inl.h"
      $nactual=$14; //@line 223 "./vm/Stack-inl.h"
      var $15=$4; //@line 224 "./vm/Stack-inl.h"
      var $16=(($15)|0)==-1; //@line 224 "./vm/Stack-inl.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 224 "./vm/Stack-inl.h"
    case 2: 
      var $18=$nactual; //@line 225 "./vm/Stack-inl.h"
      var $19=$3; //@line 225 "./vm/Stack-inl.h"
      var $20=(($18-$19)|0); //@line 225 "./vm/Stack-inl.h"
      $4=$20; //@line 225 "./vm/Stack-inl.h"
      __label__ = 3; break; //@line 225 "./vm/Stack-inl.h"
    case 3: 
      var $22=$3; //@line 227 "./vm/Stack-inl.h"
      var $23=$4; //@line 227 "./vm/Stack-inl.h"
      var $24=(($22+$23)|0); //@line 227 "./vm/Stack-inl.h"
      $end=$24; //@line 227 "./vm/Stack-inl.h"
      var $25=$end; //@line 231 "./vm/Stack-inl.h"
      var $26=$nformal; //@line 231 "./vm/Stack-inl.h"
      var $27=(($25)>>>0) <= (($26)>>>0); //@line 231 "./vm/Stack-inl.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 231 "./vm/Stack-inl.h"
    case 4: 
      var $29=$formals; //@line 232 "./vm/Stack-inl.h"
      var $30=$3; //@line 232 "./vm/Stack-inl.h"
      var $31=(($29+($30<<3))|0); //@line 232 "./vm/Stack-inl.h"
      $p=$31; //@line 232 "./vm/Stack-inl.h"
      __label__ = 5; break; //@line 233 "./vm/Stack-inl.h"
    case 5: 
      var $33=$3; //@line 233 "./vm/Stack-inl.h"
      var $34=$end; //@line 233 "./vm/Stack-inl.h"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 233 "./vm/Stack-inl.h"
      if ($35) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 233 "./vm/Stack-inl.h"
    case 6: 
      var $37=$3; //@line 234 "./vm/Stack-inl.h"
      var $38=$p; //@line 234 "./vm/Stack-inl.h"
      var $39=__ZN6PutArgclEjPN2JS5ValueE($op, $37, $38); //@line 234 "./vm/Stack-inl.h"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 234 "./vm/Stack-inl.h"
    case 7: 
      $1=0; //@line 235 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 235 "./vm/Stack-inl.h"
    case 8: 
      __label__ = 9; break; //@line 236 "./vm/Stack-inl.h"
    case 9: 
      var $43=$p; //@line 233 "./vm/Stack-inl.h"
      var $44=(($43+8)|0); //@line 233 "./vm/Stack-inl.h"
      $p=$44; //@line 233 "./vm/Stack-inl.h"
      var $45=$3; //@line 233 "./vm/Stack-inl.h"
      var $46=(($45+1)|0); //@line 233 "./vm/Stack-inl.h"
      $3=$46; //@line 233 "./vm/Stack-inl.h"
      __label__ = 5; break; //@line 233 "./vm/Stack-inl.h"
    case 10: 
      __label__ = 24; break; //@line 237 "./vm/Stack-inl.h"
    case 11: 
      var $49=$formals; //@line 238 "./vm/Stack-inl.h"
      var $50=$3; //@line 238 "./vm/Stack-inl.h"
      var $51=(($49+($50<<3))|0); //@line 238 "./vm/Stack-inl.h"
      $p1=$51; //@line 238 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 238 "./vm/Stack-inl.h"
    case 12: 
      var $53=$3; //@line 238 "./vm/Stack-inl.h"
      var $54=$nformal; //@line 238 "./vm/Stack-inl.h"
      var $55=(($53)>>>0) < (($54)>>>0); //@line 238 "./vm/Stack-inl.h"
      if ($55) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 238 "./vm/Stack-inl.h"
    case 13: 
      var $57=$3; //@line 239 "./vm/Stack-inl.h"
      var $58=$p1; //@line 239 "./vm/Stack-inl.h"
      var $59=__ZN6PutArgclEjPN2JS5ValueE($op, $57, $58); //@line 239 "./vm/Stack-inl.h"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 239 "./vm/Stack-inl.h"
    case 14: 
      $1=0; //@line 240 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 240 "./vm/Stack-inl.h"
    case 15: 
      __label__ = 16; break; //@line 241 "./vm/Stack-inl.h"
    case 16: 
      var $63=$p1; //@line 238 "./vm/Stack-inl.h"
      var $64=(($63+8)|0); //@line 238 "./vm/Stack-inl.h"
      $p1=$64; //@line 238 "./vm/Stack-inl.h"
      var $65=$3; //@line 238 "./vm/Stack-inl.h"
      var $66=(($65+1)|0); //@line 238 "./vm/Stack-inl.h"
      $3=$66; //@line 238 "./vm/Stack-inl.h"
      __label__ = 12; break; //@line 238 "./vm/Stack-inl.h"
    case 17: 
      var $68=$formals; //@line 243 "./vm/Stack-inl.h"
      var $69=$nactual; //@line 243 "./vm/Stack-inl.h"
      var $70=(($69+2)|0); //@line 243 "./vm/Stack-inl.h"
      var $71=(((-$70))|0); //@line 243 "./vm/Stack-inl.h"
      var $72=(($68+($71<<3))|0); //@line 243 "./vm/Stack-inl.h"
      var $73=$3; //@line 243 "./vm/Stack-inl.h"
      var $74=(($72+($73<<3))|0); //@line 243 "./vm/Stack-inl.h"
      $actuals=$74; //@line 243 "./vm/Stack-inl.h"
      var $75=$actuals; //@line 244 "./vm/Stack-inl.h"
      $p2=$75; //@line 244 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 244 "./vm/Stack-inl.h"
    case 18: 
      var $77=$3; //@line 244 "./vm/Stack-inl.h"
      var $78=$end; //@line 244 "./vm/Stack-inl.h"
      var $79=(($77)>>>0) < (($78)>>>0); //@line 244 "./vm/Stack-inl.h"
      if ($79) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 244 "./vm/Stack-inl.h"
    case 19: 
      var $81=$3; //@line 245 "./vm/Stack-inl.h"
      var $82=$p2; //@line 245 "./vm/Stack-inl.h"
      var $83=__ZN6PutArgclEjPN2JS5ValueE($op, $81, $82); //@line 245 "./vm/Stack-inl.h"
      if ($83) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 245 "./vm/Stack-inl.h"
    case 20: 
      $1=0; //@line 246 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 246 "./vm/Stack-inl.h"
    case 21: 
      __label__ = 22; break; //@line 247 "./vm/Stack-inl.h"
    case 22: 
      var $87=$p2; //@line 244 "./vm/Stack-inl.h"
      var $88=(($87+8)|0); //@line 244 "./vm/Stack-inl.h"
      $p2=$88; //@line 244 "./vm/Stack-inl.h"
      var $89=$3; //@line 244 "./vm/Stack-inl.h"
      var $90=(($89+1)|0); //@line 244 "./vm/Stack-inl.h"
      $3=$90; //@line 244 "./vm/Stack-inl.h"
      __label__ = 18; break; //@line 244 "./vm/Stack-inl.h"
    case 23: 
      __label__ = 24; break;
    case 24: 
      $1=1; //@line 249 "./vm/Stack-inl.h"
      __label__ = 25; break; //@line 249 "./vm/Stack-inl.h"
    case 25: 
      var $94=$1; //@line 250 "./vm/Stack-inl.h"
      STACKTOP = __stackBase__;
      return $94; //@line 250 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10StackFrame25forEachCanonicalActualArgI6PutArgEEbT_jj["X"]=1;

function __ZN6PutArgC1EPN2JS5ValueE($this, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$dst;
  var $3=$1;
  var $4=$2; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  __ZN6PutArgC2EPN2JS5ValueE($3, $4); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __Z16js_PutArgsObjectPN2js10StackFrameE($fp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $argsobj;
      var $2=__stackBase__;
      $1=$fp;
      var $3=$1; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $4=__ZNK2js10StackFrame7argsObjEv($3); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$4; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=$argsobj; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZNK8JSObject17isNormalArgumentsEv($6); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $9=$1; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$argsobj; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZNK2js15ArgumentsObject4dataEv($10); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($11+8)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=(($12)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN6PutArgC1EPN2JS5ValueE($2, $13); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZN2js10StackFrame25forEachCanonicalActualArgI6PutArgEEbT_jj($9, $2, 0, -1); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$argsobj; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15ArgumentsObject13setStackFrameEPNS_10StackFrameE($15, 0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      __label__ = 4; break;
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16args_delPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argsobj;
      var $arg;
      var $5=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $6=$2; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZN8JSObject11asArgumentsEv($6); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$7; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$3; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=_JSID_IS_INT1285($8); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)|0)!=0; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $12=$3; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=_JSID_TO_INT1286($12); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$13; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$arg; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$argsobj; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=__ZNK2js15ArgumentsObject13initialLengthEv($15); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($14)>>>0) < (($16)>>>0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $19=$argsobj; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$arg; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic1374($5, 1); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15ArgumentsObject10setElementEjRKN2JS5ValueE($19, $20, $5); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      __label__ = 11; break; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $23=$3; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$1; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($24+52)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=(($26+209948)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($27+308)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$29; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=__ZL12JSID_IS_ATOMiP6JSAtom1287($23, $30); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=(($31)|0)!=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $34=$argsobj; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15ArgumentsObject20markLengthOverriddenEv($34); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $36=$3; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=$1; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=(($37+52)|0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=(($39+209948)|0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=(($40+244)|0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$42; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=__ZL12JSID_IS_ATOMiP6JSAtom1287($36, $43); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=(($44)|0)!=0; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $47=$argsobj; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$47; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=__ZN8JSObject17asNormalArgumentsEv($48); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js21NormalArgumentsObject11clearCalleeEv($49); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      STACKTOP = __stackBase__;
      return 1; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16args_delPropertyP9JSContextP8JSObjectiPN2JS5ValueE["X"]=1;

function __ZL14args_enumerateP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $argsobj;
      var $argc;
      var $i;
      var $id;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=__ZN8JSObject17asNormalArgumentsEv($4); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$5; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$argsobj; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$6; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK2js15ArgumentsObject13initialLengthEv($7); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argc=$8; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=-2; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 2; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $10=$i; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$argc; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($10)|0)!=(($11)|0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 13; break; } //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $14=$i; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=(($14)|0)==-2; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $17=$2; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=(($17+52)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=(($19+209948)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=(($20+308)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$22; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=__ZL12ATOM_TO_JSIDP6JSAtom1293($23); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43 = $24;__label__ = 9; break; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $26=$i; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=(($26)|0)==-1; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $29=$2; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29+52)|0); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=(($31+209948)|0); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=(($32+244)|0); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$34; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=__ZL12ATOM_TO_JSIDP6JSAtom1293($35); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41 = $36;__label__ = 8; break; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $38=$i; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=_INT_TO_JSID1373($38); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41 = $39;__label__ = 8; break; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $41; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43 = $41;__label__ = 9; break; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $43; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $id=$43; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$2; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$argsobj; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=$45; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$id; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($44, $46, $47, $pobj, $prop); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=(($48)|0)!=0; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      $1=0; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      __label__ = 12; break; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $53=$i; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=(($53+1)|0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$54; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 2; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      $1=1; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $57=$1; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14args_enumerateP9JSContextP8JSObject["X"]=1;

function __ZN2jsL20CallObjectLambdaNameEP10JSFunction($fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$fun;
      var $2=$1; //@line 563 "./jsobjinlines.h"
      var $3=(($2+58)|0); //@line 563 "./jsobjinlines.h"
      var $4=HEAPU16[(($3)>>1)]; //@line 563 "./jsobjinlines.h"
      var $5=(($4)&65535); //@line 563 "./jsobjinlines.h"
      var $6=$5 & 8; //@line 563 "./jsobjinlines.h"
      var $7=(($6)|0)!=0; //@line 563 "./jsobjinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 563 "./jsobjinlines.h"
    case 2: 
      var $9=$1; //@line 563 "./jsobjinlines.h"
      var $10=(($9+72)|0); //@line 563 "./jsobjinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 563 "./jsobjinlines.h"
      var $14 = $11;__label__ = 4; break; //@line 563 "./jsobjinlines.h"
    case 3: 
      var $14 = 0;__label__ = 4; break; //@line 563 "./jsobjinlines.h"
    case 4: 
      var $14; //@line 563 "./jsobjinlines.h"
      ;
      return $14; //@line 563 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame27setScopeChainWithOwnCallObjERNS_10CallObjectE($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=$2; //@line 349 "./vm/Stack-inl.h"
  var $5=$4; //@line 349 "./vm/Stack-inl.h"
  var $6=(($3+12)|0); //@line 349 "./vm/Stack-inl.h"
  HEAP32[(($6)>>2)]=$5; //@line 349 "./vm/Stack-inl.h"
  var $7=(($3)|0); //@line 350 "./vm/Stack-inl.h"
  var $8=HEAP32[(($7)>>2)]; //@line 350 "./vm/Stack-inl.h"
  var $9=$8 | 540672; //@line 350 "./vm/Stack-inl.h"
  HEAP32[(($7)>>2)]=$9; //@line 350 "./vm/Stack-inl.h"
  ;
  return; //@line 351 "./vm/Stack-inl.h"
}


function __ZL12args_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $argsobj;
      var $attrs;
      var $arg;
      var $undef=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $7=$6; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($7)>>2)]=0; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$3; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZN8JSObject17asNormalArgumentsEv($8); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$9; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $attrs=192; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$4; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=_JSID_IS_INT1285($10); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($11)|0)!=0; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $14=$4; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=_JSID_TO_INT1286($14); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$15; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$arg; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$argsobj; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$17; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZNK2js15ArgumentsObject13initialLengthEv($18); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=(($16)>>>0) >= (($19)>>>0); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $22=$argsobj; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$22; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$arg; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=__ZNK2js15ArgumentsObject7elementEj($23, $24); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=__ZNK2JS5Value7isMagicE10JSWhyMagic($25, 1); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=1; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $29=$attrs; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$29 | 1; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $attrs=$30; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $32=$4; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$2; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=(($33+52)|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=(($35+209948)|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($36+308)|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$38; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=__ZL12JSID_IS_ATOMiP6JSAtom1287($32, $39); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=(($40)|0)!=0; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $43=$argsobj; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$43; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=__ZNK2js15ArgumentsObject19hasOverriddenLengthEv($44); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=1; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      __label__ = 15; break; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $49=$4; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$2; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=(($50+52)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=(($52+209948)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=(($53+244)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$55; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=__ZL12JSID_IS_ATOMiP6JSAtom1287($49, $56); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=(($57)|0)!=0; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      $1=1; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $61=$argsobj; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=__ZNK2js21NormalArgumentsObject6calleeEv($61); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=__ZNK2JS5Value7isMagicE10JSWhyMagic($62, 1); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      $1=1; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __ZN2JSL14UndefinedValueEv1350($undef); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=$2; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=$argsobj; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=$69; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$4; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=$attrs; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($68, $70, $71, $undef, 110, 112, $72); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=(($73)|0)!=0; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($74) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      $1=0; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $77=$argsobj; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $78=$77; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $79=$6; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($79)>>2)]=$78; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      var $81=$1; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $81; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12args_resolveP9JSContextP8JSObjectijPS2_["X"]=1;

function __ZL13args_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$1; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $4=$2; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $5=__ZN8JSObject11asArgumentsEv($4); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $6=__ZNK2js15ArgumentsObject4dataEv($5); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $7=$6; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  __ZN9JSContext5free_EPv($3, $7); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZL10args_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $argsobj;
      var $data;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $4=__ZN8JSObject11asArgumentsEv($3); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$4; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=$argsobj; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZNK2js15ArgumentsObject7onTraceEv($5); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      __label__ = 6; break; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $9=$argsobj; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZNK2js15ArgumentsObject4dataEv($9); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $data=$10; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$data; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($11)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__ZNK2JS5Value8isObjectEv($12); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $15=$1; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$data; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=__ZNK2JS5Value8toObjectEv($17); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($15, $18, ((STRING_TABLE._js_callee_str)|0)); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $20=$1; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$argsobj; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=__ZNK2js15ArgumentsObject13initialLengthEv($21); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$data; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=(($23+8)|0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($24)|0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc($20, $22, $25, ((STRING_TABLE._js_arguments_str)|0)); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$1; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$argsobj; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$27; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZL18MaybeMarkGeneratorP8JSTracerP8JSObject($26, $28); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      ;
      return; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20strictargs_enumerateP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $argsobj;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $i;
      var $argc;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=__ZN8JSObject17asStrictArgumentsEv($4); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$5; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$2; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$argsobj; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$7; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$2; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9+52)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($11+209948)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=(($12+308)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$14; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=__ZL12ATOM_TO_JSIDP6JSAtom1293($15); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($6, $8, $16, $pobj, $prop); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=(($17)|0)!=0; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=0; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $21=$2; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$argsobj; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$22; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$2; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($24+52)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=(($26+209948)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($27+244)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$29; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=__ZL12ATOM_TO_JSIDP6JSAtom1293($30); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($21, $23, $31, $pobj, $prop); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=(($32)|0)!=0; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=0; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $36=$2; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=$argsobj; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$37; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$2; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=(($39+52)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=(($41+209948)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=(($42+248)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$44; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=__ZL12ATOM_TO_JSIDP6JSAtom1293($45); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($36, $38, $46, $pobj, $prop); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=(($47)|0)!=0; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($48) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      $1=0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      $i=0; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=$argsobj; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$51; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=__ZNK2js15ArgumentsObject13initialLengthEv($52); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argc=$53; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $55=$i; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$argc; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=(($55)>>>0) < (($56)>>>0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($57) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $59=$2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$argsobj; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=$60; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=$i; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=_INT_TO_JSID1373($62); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($59, $61, $63, $pobj, $prop); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=(($64)|0)!=0; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($65) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      $1=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      __label__ = 12; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $69=$i; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=(($69+1)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$70; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      $1=1; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $73=$1; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20strictargs_enumerateP9JSContextP8JSObject["X"]=1;

function __ZL18strictargs_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $argsobj;
      var $attrs;
      var $getter;
      var $setter;
      var $arg;
      var $undef=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $7=$6; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($7)>>2)]=0; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$3; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZN8JSObject17asStrictArgumentsEv($8); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$9; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $attrs=192; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $getter=106; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $setter=108; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$4; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=_JSID_IS_INT1285($10); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($11)|0)!=0; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $14=$4; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=_JSID_TO_INT1286($14); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$15; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$arg; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$argsobj; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$17; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZNK2js15ArgumentsObject13initialLengthEv($18); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=(($16)>>>0) >= (($19)>>>0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $22=$argsobj; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$22; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$arg; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=__ZNK2js15ArgumentsObject7elementEj($23, $24); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=__ZNK2JS5Value7isMagicE10JSWhyMagic($25, 1); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=1; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $29=$attrs; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$29 | 1; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $attrs=$30; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 15; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $32=$4; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$2; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=(($33+52)|0); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=(($35+209948)|0); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($36+308)|0); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$38; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=__ZL12JSID_IS_ATOMiP6JSAtom1287($32, $39); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=(($40)|0)!=0; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $43=$argsobj; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$43; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=__ZNK2js15ArgumentsObject19hasOverriddenLengthEv($44); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=1; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      __label__ = 14; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $49=$4; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$2; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=(($50+52)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=(($52+209948)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=(($53+244)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$55; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=__ZL12JSID_IS_ATOMiP6JSAtom1287($49, $56); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=(($57)|0)!=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($58) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $60=$4; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=$2; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=(($61+52)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=(($63+209948)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=(($64+248)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=$66; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=__ZL12JSID_IS_ATOMiP6JSAtom1287($60, $67); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=(($68)|0)!=0; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($69) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      $1=1; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      $attrs=116; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=$argsobj; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=$72; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=__ZNK8JSObject17getThrowTypeErrorEv($73); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=__ZN2jsL16CastAsPropertyOpEP8JSObject1357($74); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $getter=$75; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=$argsobj; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=$76; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $78=__ZNK8JSObject17getThrowTypeErrorEv($77); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $79=__ZN2jsL22CastAsStrictPropertyOpEP8JSObject1358($78); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $setter=$79; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      __ZN2JSL14UndefinedValueEv1350($undef); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=$2; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $83=$argsobj; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $84=$83; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $85=$4; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $86=$getter; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=$setter; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $88=$attrs; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $89=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($82, $84, $85, $undef, $86, $87, $88); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $90=(($89)|0)!=0; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($90) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      $1=0; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      var $93=$argsobj; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $94=$93; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $95=$6; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($95)>>2)]=$94; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $97=$1; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $97; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18strictargs_resolveP9JSContextP8JSObjectijPS2_["X"]=1;

function __ZN2js19CreateFunCallObjectEP9JSContextPNS_10StackFrameE($cx, $fp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $scopeChain;
      var $lambdaName;
      var $4=__stackBase__;
      var $callobj;
      $2=$cx;
      $3=$fp;
      var $5=$3; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZNK2js10StackFrame10scopeChainEv($5); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $scopeChain=$6; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$3; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK2js10StackFrame3funEv($7); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZN2jsL20CallObjectLambdaNameEP10JSFunction($8); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $lambdaName=$9; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$lambdaName; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10)|0)!=0; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $13=$2; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$3; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZL16NewDeclEnvObjectP9JSContextPN2js10StackFrameE($13, $14); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $scopeChain=$15; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$scopeChain; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16)|0)!=0; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      $1=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $20=$2; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$scopeChain; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$lambdaName; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=__ZL12ATOM_TO_JSIDP6JSAtom1293($22); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$3; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=__ZNK2js10StackFrame6calleeEv($24); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL11ObjectValueER8JSObject1294($4, $25); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($20, $21, $23, $4, 0, 0, 6, 0, 0, 0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=(($26)|0)!=0; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $1=0; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      __label__ = 7; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $31=$2; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$3; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=__ZNK2js10StackFrame6scriptEv($32); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$scopeChain; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$3; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=__ZNK2js10StackFrame6calleeEv($35); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=__ZN2js10CallObject6createEP9JSContextP8JSScriptR8JSObjectPS5_($31, $33, $34, $36); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$37; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$callobj; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=(($38)|0)!=0; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($39) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=0; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $42=$callobj; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$3; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject13setStackFrameEPNS_10StackFrameE($42, $43); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$3; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$callobj; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10StackFrame27setScopeChainWithOwnCallObjERNS_10CallObjectE($44, $45); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=$callobj; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$46; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $48=$1; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js19CreateFunCallObjectEP9JSContextPNS_10StackFrameE["X"]=1;

function __ZL16NewDeclEnvObjectP9JSContextPN2js10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $envobj;
      var $emptyDeclEnvShape;
      $2=$cx;
      $3=$fp;
      var $4=$2; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($4, 2); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $envobj=$5; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$envobj; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6)|0)!=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=0; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $10=$2; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZN2js10EmptyShape20getEmptyDeclEnvShapeEP9JSContext($10); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $emptyDeclEnvShape=$11; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$emptyDeclEnvShape; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=(($12)|0)!=0; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=0; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $16=$envobj; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$2; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$3; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZNK2js10StackFrame10scopeChainEv($18); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$3; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$20; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($16, $17, __ZN2js12DeclEnvClassE, __ZN2js5types15emptyTypeObjectE, $19, $21, 0); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$envobj; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$emptyDeclEnvShape; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$23; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($22, $24); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$envobj; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$25; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $27=$1; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $27; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12ATOM_TO_JSIDP6JSAtom1293($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj1372($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2JSL11ObjectValueER8JSObject1294($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2js10CallObject13setStackFrameEPNS_10StackFrameE($this, $frame) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$frame;
  var $3=$1;
  var $4=$3; //@line 66 "./vm/CallObject-inl.h"
  var $5=$2; //@line 66 "./vm/CallObject-inl.h"
  var $6=$5; //@line 66 "./vm/CallObject-inl.h"
  __ZN8JSObject10setPrivateEPv($4, $6); //@line 66 "./vm/CallObject-inl.h"
  ;
  return; //@line 66 "./vm/CallObject-inl.h"
}


function __ZN2js20CreateEvalCallObjectEP9JSContextPNS_10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $callobj;
      $2=$cx;
      $3=$fp;
      var $4=$2; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=$3; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZNK2js10StackFrame6scriptEv($5); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$3; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZN2js10CallObject6createEP9JSContextP8JSScriptR8JSObjectPS5_($4, $6, $8, 0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$9; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$callobj; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10)|0)!=0; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=0; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $14=$callobj; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$3; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject13setStackFrameEPNS_10StackFrameE($14, $15); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$3; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$callobj; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10StackFrame27setScopeChainWithOwnCallObjERNS_10CallObjectE($16, $17); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$callobj; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$18; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $20=$1; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $20; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z26js_CreateCallObjectOnTraceP9JSContextP10JSFunctionP8JSObjectS4_($cx, $fun, $callee, $scopeChain) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$fun;
  $3=$callee;
  $4=$scopeChain;
  var $5=$1; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $6=$2; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $7=__ZNK10JSFunction6scriptEv($6); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $8=$4; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $9=$3; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $10=__ZN2js10CallObject6createEP9JSContextP8JSScriptR8JSObjectPS5_($5, $7, $8, $9); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $11=$10; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return $11; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZNK2js8Bindings9countArgsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 196 "./jsscript.h"
  var $4=HEAP16[(($3)>>1)]; //@line 196 "./jsscript.h"
  ;
  return $4; //@line 196 "./jsscript.h"
}


function __Z16js_PutCallObjectPN2js10StackFrameE($fp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $callobj;
      var $2=__stackBase__;
      var $script;
      var $bindings;
      var $fun;
      var $n;
      var $nvars;
      var $nargs;
      var $script1;
      var $nclosed;
      var $i;
      var $e;
      var $i2;
      var $e3;
      var $nesting;
      var $env;
      $1=$fp;
      var $3=$1; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $4=__ZNK2js10StackFrame7callObjEv($3); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=$4; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZN8JSObject6asCallEv($5); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$6; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$1; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK2js10StackFrame10hasArgsObjEv($7); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $10=$1; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZNK2js10StackFrame17hasOverriddenArgsEv($10); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $13=$callobj; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$1; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZNK2js10StackFrame7argsObjEv($14); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$15; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL11ObjectValueER8JSObject1294($2, $16); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject12setArgumentsERKN2JS5ValueE($13, $2); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $18=$1; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z16js_PutArgsObjectPN2js10StackFrameE($18); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $20=$1; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=__ZNK2js10StackFrame6scriptEv($20); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $script=$21; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$script; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22+64)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $bindings=$23; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$callobj; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=__ZNK2js10CallObject9isForEvalEv($24); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $27=$callobj; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$bindings; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=__ZNK2js8Bindings9countVarsEv($28); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29)&65535); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$1; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=__ZNK2js10StackFrame5slotsEv($31); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject10copyValuesEjPN2JS5ValueEjS3_($27, 0, 0, $30, $32); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 26; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $34=$1; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=__ZNK2js10StackFrame3funEv($34); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$35; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$bindings; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=__ZNK2js8Bindings16countArgsAndVarsEv($36); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $n=$37; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$n; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=(($38)>>>0) > 0; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 23; break; } //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $41=$bindings; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=__ZNK2js8Bindings9countVarsEv($41); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=(($42)&65535); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $nvars=$43; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$bindings; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=__ZNK2js8Bindings9countArgsEv($44); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=(($45)&65535); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $nargs=$46; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$fun; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=__ZNK10JSFunction6scriptEv($47); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $script1=$48; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$script1; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$49; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=(($50+36)|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=HEAPU8[($51)]; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=(($52)&255) >>> 5; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=$53 & 1; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=(($54) & 1); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($55) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $57=$callobj; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=$nargs; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=$1; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=__ZNK2js10StackFrame10formalArgsEv($59); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=$nvars; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=$1; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=__ZNK2js10StackFrame5slotsEv($62); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject10copyValuesEjPN2JS5ValueEjS3_($57, $58, $60, $61, $63); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $65=$script1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=(($65+48)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=HEAPU16[(($66)>>1)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=(($67)&65535); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $nclosed=$68; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $70=$i; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$nclosed; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=(($70)>>>0) < (($71)>>>0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($72) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $74=$script1; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=$i; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=__ZN8JSScript12getClosedArgEj($74, $75); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $e=$76; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=$callobj; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $78=$e; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $79=$1; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=$e; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=__ZNK2js10StackFrame9formalArgEj($79, $80); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject6setArgEjRKN2JS5ValueE($77, $78, $81); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 13; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $83=$i; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $84=(($83+1)|0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$84; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $86=$script1; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=(($86+50)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $88=HEAPU16[(($87)>>1)]; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $89=(($88)&65535); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $nclosed=$89; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i2=0; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 15; break; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $91=$i2; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $92=$nclosed; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $93=(($91)>>>0) < (($92)>>>0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($93) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $95=$script1; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $96=$i2; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $97=__ZN8JSScript12getClosedVarEj($95, $96); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $e3=$97; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $98=$callobj; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $99=$e3; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $100=$e3; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $101=$1; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $102=__ZNK2js10StackFrame5slotsEv($101); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $103=(($102+($100<<3))|0); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject6setVarEjRKN2JS5ValueE($98, $99, $103); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      var $105=$i2; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $106=(($105+1)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i2=$106; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 15; break; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $109=$script1; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $110=__ZNK8JSScript7nestingEv($109); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $nesting=$110; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $111=$nesting; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $112=(($111)|0)!=0; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($112) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      var $114=$script1; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $115=$114; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $116=(($115+37)|0); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $117=HEAPU8[($116)]; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $118=(($117)&255) >>> 4; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $119=$118 & 1; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $120=(($119) & 1); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($120) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 21: 
      var $122=$callobj; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $123=__ZN2js10CallObject8argArrayEv($122); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $124=$nesting; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $125=(($124+16)|0); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($125)>>2)]=$123; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $126=$callobj; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $127=__ZN2js10CallObject8varArrayEv($126); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $128=$nesting; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $129=(($128+20)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($129)>>2)]=$127; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 22; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 22: 
      __label__ = 23; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 23: 
      var $132=$fun; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $133=__Z16js_IsNamedLambdaP10JSFunction($132); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($133) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 24: 
      var $135=$callobj; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $136=$135; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $137=__ZNK8JSObject9getParentEv($136); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $env=$137; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $138=$env; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject10setPrivateEPv($138, 0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 25; break; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      var $141=$callobj; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject13setStackFrameEPNS_10StackFrameE($141, 0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_PutCallObjectPN2js10StackFrameE["X"]=1;

function __ZN2js10CallObject12setArgumentsERKN2JS5ValueE($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=$3; //@line 99 "./vm/CallObject-inl.h"
  var $5=$2; //@line 99 "./vm/CallObject-inl.h"
  __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($4, 1, $5); //@line 99 "./vm/CallObject-inl.h"
  ;
  return; //@line 100 "./vm/CallObject-inl.h"
}


function __ZNK2js10CallObject9isForEvalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 54 "./vm/CallObject-inl.h"
  var $4=__ZNK8JSObject12getFixedSlotEj($3, 0); //@line 54 "./vm/CallObject-inl.h"
  var $5=__ZNK2JS5Value6isNullEv($4); //@line 54 "./vm/CallObject-inl.h"
  ;
  return $5; //@line 54 "./vm/CallObject-inl.h"
}


function __ZN2js10CallObject10copyValuesEjPN2JS5ValueEjS3_($this, $nargs, $argv, $nvars, $slots) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$nargs;
  $3=$argv;
  $4=$nvars;
  $5=$slots;
  var $6=$1;
  var $7=$6; //@line 138 "./vm/CallObject-inl.h"
  var $8=$3; //@line 138 "./vm/CallObject-inl.h"
  var $9=$2; //@line 138 "./vm/CallObject-inl.h"
  __ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj($7, 2, $8, $9); //@line 138 "./vm/CallObject-inl.h"
  var $10=$6; //@line 139 "./vm/CallObject-inl.h"
  var $11=$2; //@line 139 "./vm/CallObject-inl.h"
  var $12=(($11+2)|0); //@line 139 "./vm/CallObject-inl.h"
  var $13=$5; //@line 139 "./vm/CallObject-inl.h"
  var $14=$4; //@line 139 "./vm/CallObject-inl.h"
  __ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj($10, $12, $13, $14); //@line 139 "./vm/CallObject-inl.h"
  ;
  return; //@line 140 "./vm/CallObject-inl.h"
}


function __ZN2js10CallObject6setArgEjRKN2JS5ValueE($this, $i, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$i;
  $3=$v;
  var $4=$1;
  var $5=$4; //@line 113 "./vm/CallObject-inl.h"
  var $6=$2; //@line 113 "./vm/CallObject-inl.h"
  var $7=(($6+2)|0); //@line 113 "./vm/CallObject-inl.h"
  var $8=$3; //@line 113 "./vm/CallObject-inl.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, $7, $8); //@line 113 "./vm/CallObject-inl.h"
  ;
  return; //@line 114 "./vm/CallObject-inl.h"
}


function __ZN2js10CallObject6setVarEjRKN2JS5ValueE($this, $i, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $fun;
  $1=$this;
  $2=$i;
  $3=$v;
  var $4=$1;
  var $5=__ZNK2js10CallObject17getCalleeFunctionEv($4); //@line 128 "./vm/CallObject-inl.h"
  $fun=$5; //@line 128 "./vm/CallObject-inl.h"
  var $6=$4; //@line 131 "./vm/CallObject-inl.h"
  var $7=$fun; //@line 131 "./vm/CallObject-inl.h"
  var $8=(($7+56)|0); //@line 131 "./vm/CallObject-inl.h"
  var $9=HEAPU16[(($8)>>1)]; //@line 131 "./vm/CallObject-inl.h"
  var $10=(($9)&65535); //@line 131 "./vm/CallObject-inl.h"
  var $11=(($10+2)|0); //@line 131 "./vm/CallObject-inl.h"
  var $12=$2; //@line 131 "./vm/CallObject-inl.h"
  var $13=(($11+$12)|0); //@line 131 "./vm/CallObject-inl.h"
  var $14=$3; //@line 131 "./vm/CallObject-inl.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($6, $13, $14); //@line 131 "./vm/CallObject-inl.h"
  ;
  return; //@line 132 "./vm/CallObject-inl.h"
}


function __ZN2js10CallObject8argArrayEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $fun=__stackBase__;
  var $3=__stackBase__+4;
  var $4;
  $2=$this;
  var $5=$2;
  var $6=__ZNK2js10CallObject17getCalleeFunctionEv($5); //@line 145 "./vm/CallObject-inl.h"
  HEAP32[(($3)>>2)]=$6; //@line 145 "./vm/CallObject-inl.h"
  __ZN7mozilla9DebugOnlyIP10JSFunctionEC1ERKS2_($fun, $3); //@line 145 "./vm/CallObject-inl.h"
  var $7=$5; //@line 147 "./vm/CallObject-inl.h"
  var $8=__ZN8JSObject14getSlotAddressEj($7, 2); //@line 147 "./vm/CallObject-inl.h"
  $1=$8; //@line 147 "./vm/CallObject-inl.h"
  $4=1;
  __ZN7mozilla9DebugOnlyIP10JSFunctionED1Ev($fun); //@line 148 "./vm/CallObject-inl.h"
  var $9=$1; //@line 148 "./vm/CallObject.h"
  STACKTOP = __stackBase__;
  return $9; //@line 148 "./vm/CallObject.h"
}


function __ZN2js10CallObject8varArrayEv($this) {
  ;
  var __label__;

  var $1;
  var $fun;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10CallObject17getCalleeFunctionEv($2); //@line 153 "./vm/CallObject-inl.h"
  $fun=$3; //@line 153 "./vm/CallObject-inl.h"
  var $4=$2; //@line 156 "./vm/CallObject-inl.h"
  var $5=$fun; //@line 156 "./vm/CallObject-inl.h"
  var $6=(($5+56)|0); //@line 156 "./vm/CallObject-inl.h"
  var $7=HEAPU16[(($6)>>1)]; //@line 156 "./vm/CallObject-inl.h"
  var $8=(($7)&65535); //@line 156 "./vm/CallObject-inl.h"
  var $9=(($8+2)|0); //@line 156 "./vm/CallObject-inl.h"
  var $10=__ZN8JSObject14getSlotAddressEj($4, $9); //@line 156 "./vm/CallObject-inl.h"
  ;
  return $10; //@line 156 "./vm/CallObject-inl.h"
}


function __Z23js_PutCallObjectOnTraceP8JSObjectjPN2JS5ValueEjS3_($obj, $nargs, $argv, $nvars, $slots) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $callobj;
      var $n;
      $1=$obj;
      $2=$nargs;
      $3=$argv;
      $4=$nvars;
      $5=$slots;
      var $6=$1; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZN8JSObject6asCallEv($6); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$7; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$2; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$4; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($8+$9)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $n=$10; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$n; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($11)|0)!=0; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $14=$callobj; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$2; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$3; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$4; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$5; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject10copyValuesEjPN2JS5ValueEjS3_($14, $15, $16, $17, $18); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 3; break; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      ;
      return 1; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10GetCallArgEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $callobj;
      var $i;
      var $fp;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $5=$2; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZN8JSObject6asCallEv($5); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$6; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$3; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=_JSID_TO_INT1286($7); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=(($8) & 65535); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)&65535); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$10; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$callobj; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=__ZNK2js10CallObject15maybeStackFrameEv($11); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$12; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$fp; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=(($13)|0)!=0; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $16=$4; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$fp; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$i; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZNK2js10StackFrame9formalArgEj($17, $18); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$16; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$19; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $23=$4; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$callobj; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$i; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=__ZNK2js10CallObject3argEj($24, $25); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$23; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$26; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return 1; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10CallObject15maybeStackFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 60 "./vm/CallObject-inl.h"
  var $4=__ZNK8JSObject10getPrivateEv($3); //@line 60 "./vm/CallObject-inl.h"
  var $5=$4; //@line 60 "./vm/CallObject-inl.h"
  ;
  return $5; //@line 60 "./vm/CallObject-inl.h"
}


function __ZNK2js10CallObject3argEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$3; //@line 106 "./vm/CallObject-inl.h"
  var $5=$2; //@line 106 "./vm/CallObject-inl.h"
  var $6=(($5+2)|0); //@line 106 "./vm/CallObject-inl.h"
  var $7=__ZNK8JSObject7getSlotEj($4, $6); //@line 106 "./vm/CallObject-inl.h"
  ;
  return $7; //@line 106 "./vm/CallObject-inl.h"
}


function __ZN2js10SetCallArgEP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $callobj;
      var $i;
      var $fp;
      var $fun;
      var $script;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $7=$3; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZN8JSObject6asCallEv($7); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$8; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$4; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=_JSID_TO_INT1286($9); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10) & 65535); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($11)&65535); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$12; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$callobj; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZNK2js10CallObject15maybeStackFrameEv($13); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$14; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$fp; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $18=$fp; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=$i; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=__ZNK2js10StackFrame9formalArgEj($18, $19); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$20; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$21; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $25=$callobj; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$i; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$6; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject6setArgEjRKN2JS5ValueE($25, $26, $27); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break;
    case 4: 
      var $29=$callobj; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=__ZNK2js10CallObject17getCalleeFunctionEv($29); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$30; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$fun; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=__ZNK10JSFunction6scriptEv($31); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $script=$32; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$script; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$2; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$fun; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=__ZN8JSScript14ensureHasTypesEP9JSContextP10JSFunction($33, $34, $35); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $1=0; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $39=$2; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$script; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=$i; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$6; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjRKN2JS5ValueE($39, $40, $41, $42); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $44=$1; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $44; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10SetCallArgEP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZNK2js10CallObject17getCalleeFunctionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 85 "./vm/CallObject-inl.h"
  var $4=__ZNK8JSObject12getFixedSlotEj($3, 0); //@line 85 "./vm/CallObject-inl.h"
  var $5=__ZNK2JS5Value8toObjectEv($4); //@line 85 "./vm/CallObject-inl.h"
  var $6=__ZNK8JSObject18getFunctionPrivateEv($5); //@line 85 "./vm/CallObject-inl.h"
  ;
  return $6; //@line 85 "./vm/CallObject-inl.h"
}


function __ZN8JSScript14ensureHasTypesEP9JSContextP10JSFunction($this, $cx, $fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$fun;
      var $4=$1;
      var $5=(($4+100)|0); //@line 1259 "./jsinferinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1259 "./jsinferinlines.h"
      var $7=(($6)|0)!=0; //@line 1259 "./jsinferinlines.h"
      if ($7) { var $13 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1259 "./jsinferinlines.h"
    case 2: 
      var $9=$2; //@line 1259 "./jsinferinlines.h"
      var $10=$3; //@line 1259 "./jsinferinlines.h"
      var $11=__ZN8JSScript9makeTypesEP9JSContextP10JSFunction($4, $9, $10); //@line 1259 "./jsinferinlines.h"
      var $13 = $11;__label__ = 3; break; //@line 1259 "./jsinferinlines.h"
    case 3: 
      var $13;
      ;
      return $13; //@line 1259 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjRKN2JS5ValueE($cx, $script, $arg, $value) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $type=__stackBase__;
      var $5=__stackBase__+4;
      $1=$cx;
      $2=$script;
      $3=$arg;
      $4=$value;
      var $6=$1; //@line 682 "./jsinferinlines.h"
      var $7=__ZN9JSContext20typeInferenceEnabledEv($6); //@line 682 "./jsinferinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 682 "./jsinferinlines.h"
    case 2: 
      var $9=$1; //@line 683 "./jsinferinlines.h"
      var $10=$4; //@line 683 "./jsinferinlines.h"
      __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($type, $9, $10); //@line 683 "./jsinferinlines.h"
      var $11=$1; //@line 684 "./jsinferinlines.h"
      var $12=$2; //@line 684 "./jsinferinlines.h"
      var $13=$3; //@line 684 "./jsinferinlines.h"
      var $14=$5; //@line 684 "./jsinferinlines.h"
      var $15=$type; //@line 684 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)]; //@line 684 "./jsinferinlines.h"
      __ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjNS0_4TypeE($11, $12, $13, $5); //@line 684 "./jsinferinlines.h"
      __label__ = 3; break; //@line 685 "./jsinferinlines.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 686 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12GetCallUpvarEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $callobj;
  var $i;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$2; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $6=__ZN8JSObject6asCallEv($5); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  $callobj=$6; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $7=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $8=_JSID_TO_INT1286($7); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $9=(($8) & 65535); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $10=(($9)&65535); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  $i=$10; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $11=$4; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $12=$callobj; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $13=__ZNK2js10CallObject9getCalleeEv($12); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $14=$i; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $15=__ZN8JSObject19getFlatClosureUpvarEj($13, $14); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $16=$11; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $17=$15; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return 1; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZNK2js10CallObject9getCalleeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 79 "./vm/CallObject-inl.h"
  var $4=__ZNK8JSObject12getFixedSlotEj($3, 0); //@line 79 "./vm/CallObject-inl.h"
  var $5=__ZNK2JS5Value14toObjectOrNullEv($4); //@line 79 "./vm/CallObject-inl.h"
  ;
  return $5; //@line 79 "./vm/CallObject-inl.h"
}


function __ZN8JSObject19getFlatClosureUpvarEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 635 "./jsobjinlines.h"
  var $5=__ZNK8JSObject20getFlatClosureUpvarsEv($3); //@line 635 "./jsobjinlines.h"
  var $6=(($5+($4<<3))|0); //@line 635 "./jsobjinlines.h"
  ;
  return $6; //@line 635 "./jsobjinlines.h"
}


function __ZN2js12SetCallUpvarEP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $callobj;
  var $i;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$strict;
  $5=$vp;
  var $6=$2; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $7=__ZN8JSObject6asCallEv($6); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  $callobj=$7; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $8=$3; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $9=_JSID_TO_INT1286($8); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $10=(($9) & 65535); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $11=(($10)&65535); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  $i=$11; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $12=$callobj; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $13=__ZNK2js10CallObject9getCalleeEv($12); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $14=$i; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $15=$5; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  __ZN8JSObject19setFlatClosureUpvarEjRKN2JS5ValueE($13, $14, $15); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return 1; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZN8JSObject19setFlatClosureUpvarEjRKN2JS5ValueE($this, $i, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$i;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 642 "./jsobjinlines.h"
  var $6=__ZNK8JSObject20getFlatClosureUpvarsEv($4); //@line 642 "./jsobjinlines.h"
  var $7=(($6+($5<<3))|0); //@line 642 "./jsobjinlines.h"
  var $8=$3; //@line 642 "./jsobjinlines.h"
  var $9=$7; //@line 642 "./jsobjinlines.h"
  var $10=$8; //@line 642 "./jsobjinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 642 "./jsobjinlines.h"
  ;
  return; //@line 643 "./jsobjinlines.h"
}


function __ZN2js10GetCallVarEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $callobj;
      var $i;
      var $fp;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $5=$2; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZN8JSObject6asCallEv($5); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$6; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$3; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=_JSID_TO_INT1286($7); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=(($8) & 65535); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)&65535); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$10; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$callobj; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=__ZNK2js10CallObject15maybeStackFrameEv($11); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$12; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$fp; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=(($13)|0)!=0; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $16=$4; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$fp; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$i; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZN2js10StackFrame7varSlotEj($17, $18); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$16; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$19; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $23=$4; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$callobj; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$i; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=__ZNK2js10CallObject3varEj($24, $25); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$23; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$26; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return 1; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame7varSlotEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 537 "./vm/Stack.h"
  var $5=__ZNK2js10StackFrame5slotsEv($3); //@line 537 "./vm/Stack.h"
  var $6=(($5+($4<<3))|0); //@line 537 "./vm/Stack.h"
  ;
  return $6; //@line 537 "./vm/Stack.h"
}


function __ZNK2js10CallObject3varEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  var $fun;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=__ZNK2js10CallObject17getCalleeFunctionEv($3); //@line 119 "./vm/CallObject-inl.h"
  $fun=$4; //@line 119 "./vm/CallObject-inl.h"
  var $5=$3; //@line 122 "./vm/CallObject-inl.h"
  var $6=$fun; //@line 122 "./vm/CallObject-inl.h"
  var $7=(($6+56)|0); //@line 122 "./vm/CallObject-inl.h"
  var $8=HEAPU16[(($7)>>1)]; //@line 122 "./vm/CallObject-inl.h"
  var $9=(($8)&65535); //@line 122 "./vm/CallObject-inl.h"
  var $10=(($9+2)|0); //@line 122 "./vm/CallObject-inl.h"
  var $11=$2; //@line 122 "./vm/CallObject-inl.h"
  var $12=(($10+$11)|0); //@line 122 "./vm/CallObject-inl.h"
  var $13=__ZNK8JSObject7getSlotEj($5, $12); //@line 122 "./vm/CallObject-inl.h"
  ;
  return $13; //@line 122 "./vm/CallObject-inl.h"
}


function __ZN2js10SetCallVarEP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $callobj;
      var $i;
      var $fp;
      var $fun;
      var $script;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $7=$3; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZN8JSObject6asCallEv($7); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$8; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$4; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=_JSID_TO_INT1286($9); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10) & 65535); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($11)&65535); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$12; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$callobj; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZNK2js10CallObject15maybeStackFrameEv($13); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$14; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$fp; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15)|0)!=0; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $18=$fp; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=$i; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=__ZN2js10StackFrame7varSlotEj($18, $19); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$6; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$20; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$21; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $25=$callobj; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$i; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$6; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject6setVarEjRKN2JS5ValueE($25, $26, $27); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break;
    case 4: 
      var $29=$callobj; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=__ZNK2js10CallObject17getCalleeFunctionEv($29); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$30; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$fun; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=__ZNK10JSFunction6scriptEv($31); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $script=$32; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$script; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$2; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$fun; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=__ZN8JSScript14ensureHasTypesEP9JSContextP10JSFunction($33, $34, $35); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $1=0; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $39=$2; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$script; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=$i; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$6; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js5types10TypeScript8SetLocalEP9JSContextP8JSScriptjRKN2JS5ValueE($39, $40, $41, $42); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $44=$1; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $44; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10SetCallVarEP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZeqRK8JSObjectS1_($lhs, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$lhs;
  $2=$rhs;
  var $3=$1; //@line 1596 "./jsobj.h"
  var $4=$2; //@line 1596 "./jsobj.h"
  var $5=(($3)|0)==(($4)|0); //@line 1596 "./jsobj.h"
  ;
  return $5; //@line 1596 "./jsobj.h"
}


function __ZN10JSFunction14compiledFunObjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 168 "./jsfun.h"
  ;
  return $3; //@line 168 "./jsfun.h"
}


function __ZN8JSObject16hasMethodBarrierEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 709 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 709 "./jsobj.h"
  var $5=$4 & 32; //@line 709 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 709 "./jsobj.h"
  var $7=$6 ^ 1; //@line 709 "./jsobj.h"
  var $8=$7 ^ 1; //@line 709 "./jsobj.h"
  ;
  return $8; //@line 709 "./jsobj.h"
}


function __ZNK2js5Shape7hasSlotEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 582 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 582 "./jsscope.h"
  var $5=(($4)&255); //@line 582 "./jsscope.h"
  var $6=$5 & 64; //@line 582 "./jsscope.h"
  var $7=(($6)|0)==0; //@line 582 "./jsscope.h"
  ;
  return $7; //@line 582 "./jsscope.h"
}


function __ZN8JSObject11clearParentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 977 "./jsobj.h"
  HEAP32[(($3)>>2)]=0; //@line 977 "./jsobj.h"
  ;
  return; //@line 978 "./jsobj.h"
}


function __ZN8JSObject9clearTypeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+36)|0); //@line 832 "./jsobjinlines.h"
  HEAP32[(($3)>>2)]=__ZN2js5types15emptyTypeObjectE; //@line 832 "./jsobjinlines.h"
  ;
  return; //@line 833 "./jsobjinlines.h"
}


function __ZN2js5types10TypeScript8SetLocalEP9JSContextP8JSScriptjRKN2JS5ValueE($cx, $script, $local, $value) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $type=__stackBase__;
      var $5=__stackBase__+4;
      $1=$cx;
      $2=$script;
      $3=$local;
      $4=$value;
      var $6=$1; //@line 657 "./jsinferinlines.h"
      var $7=__ZN9JSContext20typeInferenceEnabledEv($6); //@line 657 "./jsinferinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 657 "./jsinferinlines.h"
    case 2: 
      var $9=$1; //@line 658 "./jsinferinlines.h"
      var $10=$4; //@line 658 "./jsinferinlines.h"
      __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($type, $9, $10); //@line 658 "./jsinferinlines.h"
      var $11=$1; //@line 659 "./jsinferinlines.h"
      var $12=$2; //@line 659 "./jsinferinlines.h"
      var $13=$3; //@line 659 "./jsinferinlines.h"
      var $14=$5; //@line 659 "./jsinferinlines.h"
      var $15=$type; //@line 659 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)]; //@line 659 "./jsinferinlines.h"
      __ZN2js5types10TypeScript8SetLocalEP9JSContextP8JSScriptjNS0_4TypeE($11, $12, $13, $5); //@line 659 "./jsinferinlines.h"
      __label__ = 3; break; //@line 660 "./jsinferinlines.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 661 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12call_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $callee;
      var $7=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $8=$4; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZL12JSID_IS_ATOMi1319($8); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)|0)!=0; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=1; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $13=$3; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZN8JSObject6asCallEv($13); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZNK2js10CallObject9getCalleeEv($14); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callee=$15; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$callee; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16)|0)!=0; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $19=$4; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$2; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=(($20+52)|0); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22+209948)|0); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=(($23+228)|0); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$25; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZL12ATOM_TO_JSIDP6JSAtom1293($26); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($19)|0)==(($27)|0); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $30=$2; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$3; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$4; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL14UndefinedValueEv1350($7); //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($30, $31, $32, $7, 114, 116, 69, 0, 0, 2); //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=(($33)|0)!=0; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      $1=0; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $37=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$6; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=1; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $41=$1; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12call_resolveP9JSContextP8JSObjectijPS2_["X"]=1;

function __ZL10call_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$obj;
  var $3=$1; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $4=$2; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  __ZL18MaybeMarkGeneratorP8JSTracerP8JSObject($3, $4); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZN2js10StackFrame20getValidCalleeObjectEP9JSContextPN2JS5ValueE($this, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fun;
      var $funobj;
      var $thisv;
      var $thisp;
      var $first_barriered_thisp;
      var $shape;
      var $v=__stackBase__;
      var $clone=__stackBase__+8;
      var $newfunobj;
      $2=$this;
      $3=$cx;
      $4=$vp;
      var $5=$2;
      var $6=__ZNK2js10StackFrame15isFunctionFrameEv($5); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $8=$4; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value7setNullEv($8); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $10=__ZNK2js10StackFrame3funEv($5); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$10; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZNK2js10StackFrame6calleeEv($5); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $funobj=$11; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$4; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$funobj; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setObjectER8JSObject($12, $13); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZNK2js10StackFrame12functionThisEv($5); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $thisv=$14; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$thisv; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=__ZNK2JS5Value8isObjectEv($15); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 34; break; } //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $18=$fun; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZN10JSFunction14compiledFunObjEv($18); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$funobj; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=__ZeqRK8JSObjectS1_($19, $20); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 33; break; } //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $23=$fun; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=__ZNK10JSFunction10methodAtomEv($23); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($24)|0)!=0; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 33; break; } //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $27=$thisv; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=__ZNK2JS5Value8toObjectEv($27); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $thisp=$28; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $first_barriered_thisp=0; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $30=$thisp; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=__ZNK8JSObject8isNativeEv($30); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      __label__ = 27; break; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $34=$thisp; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=__ZN8JSObject16hasMethodBarrierEv($34); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 26; break; } //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $37=$thisp; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$3; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$fun; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=__ZNK10JSFunction10methodAtomEv($39); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom1293($40); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=__ZN8JSObject12nativeLookupEP9JSContexti($37, $38, $41); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $shape=$42; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$shape; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=(($43)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 23; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $46=$shape; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=__ZNK2js5Shape8isMethodEv($46); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $49=$shape; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=__ZNK2js5Shape12methodObjectEv($49); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=$funobj; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=__ZeqRK8JSObjectS1_($50, $51); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $54=$thisp; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$3; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$shape; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=$4; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE($54, $55, $56, $57); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=(($58)|0)!=0; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      $1=0; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $62=$4; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=__ZNK2JS5Value8toObjectEv($62); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10StackFrame15overwriteCalleeER8JSObject($5, $63); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $65=$shape; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=__ZNK2js5Shape7hasSlotEv($65); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($66) { __label__ = 17; break; } else { __label__ = 22; break; } //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      var $68=$thisp; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=$shape; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=(($69+24)|0); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=__ZNK8JSObject7getSlotEj($68, $71); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=$v; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=$72; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($73)>>2)]=HEAP32[(($74)>>2)];HEAP32[(($73+4)>>2)]=HEAP32[(($74+4)>>2)]; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1303($v, $clone); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($75) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $77=HEAP32[(($clone)>>2)]; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $78=__ZNK8JSObject18getFunctionPrivateEv($77); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $79=$fun; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=(($78)|0)==(($79)|0); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      var $82=HEAP32[(($clone)>>2)]; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $83=$thisp; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $84=__ZNK8JSObject12hasMethodObjERKS_($82, $83); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      var $86=$4; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=$86; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $88=$v; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[(($88+4)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $89=HEAP32[(($clone)>>2)]; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10StackFrame15overwriteCalleeER8JSObject($5, $89); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 21: 
      __label__ = 22; break; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 22: 
      __label__ = 23; break; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 23: 
      var $93=$first_barriered_thisp; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $94=(($93)|0)!=0; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($94) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 24: 
      var $96=$thisp; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $first_barriered_thisp=$96; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 25; break; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 25: 
      __label__ = 26; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 26: 
      __label__ = 27; break; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 27: 
      var $100=$thisp; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $101=__ZNK8JSObject8getProtoEv($100); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $thisp=$101; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $102=(($101)|0)!=0; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($102) { __label__ = 7; break; } else { __label__ = 28; break; } //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 28: 
      var $104=$first_barriered_thisp; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $105=(($104)|0)!=0; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($105) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 29: 
      $1=1; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 30: 
      var $108=$3; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $109=$fun; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $110=__Z19CloneFunctionObjectP9JSContextP10JSFunction($108, $109); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $newfunobj=$110; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $111=$newfunobj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $112=(($111)|0)!=0; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($112) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 31: 
      $1=0; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 32: 
      var $115=$newfunobj; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $116=$first_barriered_thisp; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject12setMethodObjERS_($115, $116); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $117=$newfunobj; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10StackFrame15overwriteCalleeER8JSObject($5, $117); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $118=$4; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $119=$newfunobj; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setObjectER8JSObject($118, $119); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 33: 
      __label__ = 34; break; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 34: 
      $1=1; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 35: 
      var $123=$1; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $123; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10StackFrame20getValidCalleeObjectEP9JSContextPN2JS5ValueE["X"]=1;

function __ZNK2js10StackFrame12functionThisEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js10StackFrame11isEvalFrameEv($3); //@line 732 "./vm/Stack.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 732 "./vm/Stack.h"
    case 2: 
      var $6=$3; //@line 733 "./vm/Stack.h"
      var $7=(($6-8)|0); //@line 733 "./vm/Stack.h"
      $1=$7; //@line 733 "./vm/Stack.h"
      __label__ = 4; break; //@line 733 "./vm/Stack.h"
    case 3: 
      var $9=__ZNK2js10StackFrame10formalArgsEv($3); //@line 734 "./vm/Stack.h"
      var $10=(($9-8)|0); //@line 734 "./vm/Stack.h"
      $1=$10; //@line 734 "./vm/Stack.h"
      __label__ = 4; break; //@line 734 "./vm/Stack.h"
    case 4: 
      var $12=$1; //@line 735 "./vm/Stack.h"
      ;
      return $12; //@line 735 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK10JSFunction10methodAtomEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK10JSFunction8joinableEv($2); //@line 191 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 191 "./jsfun.h"
    case 2: 
      var $5=$2; //@line 191 "./jsfun.h"
      var $6=__ZNK8JSObject7getSlotEj($5, 0); //@line 191 "./jsfun.h"
      var $7=__ZNK2JS5Value8isStringEv($6); //@line 191 "./jsfun.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 191 "./jsfun.h"
    case 3: 
      var $9=$2; //@line 192 "./jsfun.h"
      var $10=__ZNK8JSObject7getSlotEj($9, 0); //@line 192 "./jsfun.h"
      var $11=__ZNK2JS5Value8toStringEv($10); //@line 192 "./jsfun.h"
      var $12=__ZNK8JSString6asAtomEv($11); //@line 192 "./jsfun.h"
      var $15 = $12;__label__ = 5; break; //@line 192 "./jsfun.h"
    case 4: 
      var $15 = 0;__label__ = 5; break; //@line 192 "./jsfun.h"
    case 5: 
      var $15; //@line 192 "./jsfun.h"
      ;
      return $15; //@line 192 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame15overwriteCalleeER8JSObject($this, $newCallee) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newCallee;
  var $3=$1;
  var $4=__ZNK2js10StackFrame14mutableCalleevEv($3); //@line 788 "./vm/Stack.h"
  var $5=$2; //@line 788 "./vm/Stack.h"
  __ZN2JS5Value9setObjectER8JSObject($4, $5); //@line 788 "./vm/Stack.h"
  ;
  return; //@line 789 "./vm/Stack.h"
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1303($v, $funobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$v;
      $2=$funobj;
      var $3=$1; //@line 276 "./jsfun.h"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 276 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 276 "./jsfun.h"
    case 2: 
      var $6=$1; //@line 276 "./jsfun.h"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 276 "./jsfun.h"
      var $8=$2; //@line 276 "./jsfun.h"
      HEAP32[(($8)>>2)]=$7; //@line 276 "./jsfun.h"
      var $9=__ZNK8JSObject10isFunctionEv($7); //@line 276 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 277 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject12hasMethodObjERKS_($this, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$obj;
      var $3=$1;
      var $4=__ZNK8JSObject8numSlotsEv($3); //@line 656 "./jsobjinlines.h"
      var $5=1 < (($4)>>>0); //@line 656 "./jsobjinlines.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 4; break; } //@line 656 "./jsobjinlines.h"
    case 2: 
      var $7=__ZNK8JSObject12getFixedSlotEj($3, 1); //@line 657 "./jsobjinlines.h"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 657 "./jsobjinlines.h"
      if ($8) { __label__ = 3; break; } else { var $15 = 0;__label__ = 4; break; } //@line 657 "./jsobjinlines.h"
    case 3: 
      var $10=__ZNK8JSObject12getFixedSlotEj($3, 1); //@line 658 "./jsobjinlines.h"
      var $11=__ZNK2JS5Value8toObjectEv($10); //@line 658 "./jsobjinlines.h"
      var $12=$2; //@line 658 "./jsobjinlines.h"
      var $13=__ZeqRK8JSObjectS1_($11, $12); //@line 658 "./jsobjinlines.h"
      var $15 = $13;__label__ = 4; break;
    case 4: 
      var $15;
      ;
      return $15; //@line 659 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_XDRFunctionObjectP10JSXDRStatePP8JSObject($xdr, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cx;
      var $fun;
      var $firstword=__stackBase__;
      var $flagsword=__stackBase__+4;
      var $funNameBytes=__stackBase__+8;
      var $name;
      var $4;
      var $tvr=__stackBase__+12;
      var $script=__stackBase__+28;
      $2=$xdr;
      $3=$objp;
      var $5=$2; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=(($5+8)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $cx=$7; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$2; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=(($8)|0); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10)|0)==0; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $13=$3; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZNK8JSObject18getFunctionPrivateEv($14); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$15; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$fun; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=__ZNK10JSFunction13isInterpretedEv($16); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      __ZN16JSAutoByteStringC1Ev($funNameBytes); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=$cx; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$fun; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=__ZN2js20GetFunctionNameBytesEP9JSContextP10JSFunctionP16JSAutoByteString($19, $20, $funNameBytes); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $name=$21; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$name; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22)|0)!=0; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $25=$cx; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$name; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 11, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$26,tempInt)); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $1=0; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $4=1;
      __ZN16JSAutoByteStringD1Ev($funNameBytes); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 27; break;
    case 6: 
      var $29=$fun; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29+60)|0); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$30; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=(($31+4)|0); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=HEAPU16[(($32)>>1)]; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=(($33)&65535); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$34 << 2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$fun; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($36+72)|0); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=(($38)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$39 ^ 1; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=$40 ^ 1; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=(($41)&1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$35 | $42; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($firstword)>>2)]=$43; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$fun; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=(($44+56)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=HEAPU16[(($45)>>1)]; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=(($46)&65535); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$47 << 16; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$fun; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=(($49+58)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=HEAPU16[(($50)>>1)]; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=(($51)&65535); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=$48 | $52; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($flagsword)>>2)]=$53; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $55=$cx; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($55, 0, 0, 0, 16384, 0, 0); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$56; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=$fun; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=(($57)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $61=$fun; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=$61; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject11clearParentEv($62); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=$fun; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=$63; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject9clearTypeEv($64); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break;
    case 10: 
      var $66=$cx; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=$fun; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=$67; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $66, $68); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=$2; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=_JS_XDRUint32($69, $firstword); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=(($70)|0)!=0; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($71) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      $1=0; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $4=1;
      __label__ = 26; break; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $74=HEAP32[(($firstword)>>2)]; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=$74 & 1; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=(($75)|0)!=0; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($76) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $78=$2; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $79=$fun; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=(($79+72)|0); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=_js_XDRAtom($78, $80); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=(($81)|0)!=0; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($82) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      $1=0; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $4=1;
      __label__ = 26; break; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $85=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $86=_JS_XDRUint32($85, $flagsword); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=(($86)|0)!=0; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($87) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      $1=0; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $4=1;
      __label__ = 26; break; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      var $90=$2; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $91=(($90)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $93=(($92)|0)==1; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($93) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $95=HEAPU32[(($flagsword)>>2)]; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $96=$95 >>> 16; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $97=(($96) & 65535); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $98=$fun; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $99=(($98+56)|0); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($99)>>1)]=$97; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $100=HEAP32[(($flagsword)>>2)]; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $101=(($100) & 65535); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $102=$fun; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $103=(($102+58)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($103)>>1)]=$101; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $104=HEAPU32[(($firstword)>>2)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $105=$104 >>> 2; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $106=(($105) & 65535); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $107=$fun; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $108=(($107+60)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $109=$108; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $110=(($109+4)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($110)>>1)]=$106; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      var $112=$fun; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $113=(($112+60)|0); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $114=$113; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $115=(($114)|0); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($script)>>2)]=$116; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $117=$2; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $118=__Z12js_XDRScriptP10JSXDRStatePP8JSScript($117, $script); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $119=(($118)|0)!=0; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($119) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      $1=0; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $4=1;
      __label__ = 26; break; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 21: 
      var $122=HEAP32[(($script)>>2)]; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $123=$fun; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $124=(($123+60)|0); //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $125=$124; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $126=(($125)|0); //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($126)>>2)]=$122; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $127=$2; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $128=(($127)|0); //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $130=(($129)|0)==1; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($130) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 22: 
      var $132=$fun; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $133=$132; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $134=$3; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($134)>>2)]=$133; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $135=$fun; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $136=(($135+60)|0); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $137=$136; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $138=(($137)|0); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $140=$fun; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $141=$140; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSScript14setOwnerObjectEP8JSObject($139, $141); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $142=$fun; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $143=(($142+60)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $144=$143; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $145=(($144)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $147=$cx; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $148=$fun; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $149=__ZN8JSScript15typeSetFunctionEP9JSContextP10JSFunctionb($146, $147, $148, 0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($149) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 23: 
      $1=0; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $4=1;
      __label__ = 26; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 24: 
      var $152=$cx; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $153=$fun; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $154=__ZNK10JSFunction6scriptEv($153); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $155=$fun; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z20js_CallNewScriptHookP9JSContextP8JSScriptP10JSFunction($152, $154, $155); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 25; break; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 25: 
      $1=1; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $4=1;
      __label__ = 26; break; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 26: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 27; break;
    case 27: 
      var $159=$1; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $159; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_XDRFunctionObjectP10JSXDRStatePP8JSObject["X"]=1;

function __Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($cx, $funobj, $native, $nargs, $flags, $parent, $atom) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $fun;
      $2=$cx;
      $3=$funobj;
      $4=$native;
      $5=$nargs;
      $6=$flags;
      $7=$parent;
      $8=$atom;
      var $9=$3; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)|0)!=0; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $12=$3; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$7; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject9setParentEPS_($12, $13); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $15=$2; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$7; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=__ZN2jsL11NewFunctionEP9JSContextP8JSObject($15, $16); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $3=$17; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$3; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18)|0)!=0; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=0; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $22=$4; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22)|0)!=0; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $25=$3; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$2; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZN8JSObject16setSingletonTypeEP9JSContext($25, $26); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      $1=0; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $31=$3; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$31; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$32; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$5; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=(($33) & 65535); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$fun; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=(($35+56)|0); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($36)>>1)]=$34; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=$6; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$37 & 59384; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=(($38) & 65535); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$fun; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=(($40+58)|0); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($41)>>1)]=$39; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$6; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$42 & 49152; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=(($43)>>>0) >= 16384; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $46=$fun; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=(($46+60)|0); //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$47; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=(($48+4)|0); //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($49)>>1)]=0; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$fun; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=(($50+60)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$51; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=(($52)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($53)>>2)]=0; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 15; break; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $55=$fun; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=(($55+60)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=$56; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=(($57+4)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($58)>>2)]=0; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=$6; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$59 & 8192; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=(($60)|0)!=0; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $63=$fun; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=(($63+60)|0); //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$64; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=(($65+8)|0); //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($66)>>2)]=0; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $68=$4; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=$fun; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=(($69+60)|0); //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$70; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=(($71)|0); //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($72)>>2)]=$68; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=$fun; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=(($73+60)|0); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=$74; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=(($75+8)|0); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($76)>>2)]=0; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $79=$8; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=$fun; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=(($80+72)|0); //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($81)>>2)]=$79; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=$fun; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $83=$82; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $84=$fun; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $85=$84; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject10setPrivateEPv($83, $85); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $86=$fun; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$86; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $88=$1; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $88; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZL13fun_enumerateP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $id;
      var $found=__stackBase__;
      var $i;
      var $offset;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=__ZNK8JSObject15isBoundFunctionEv($4); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($5) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $7=$2; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=(($7+52)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9+209948)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10+252)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$12; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZL12ATOM_TO_JSIDP6JSAtom1293($13); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $id=$14; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$3; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$2; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$id; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=__ZN8JSObject11hasPropertyEP9JSContextiPbj($15, $16, $17, $found, 1); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      $1=0; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      __label__ = 5; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $22=$2; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22+52)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($24+209948)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=(($25+308)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$27; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=__ZL12ATOM_TO_JSIDP6JSAtom1293($28); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $id=$29; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$3; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$2; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$id; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=__ZN8JSObject11hasPropertyEP9JSContextiPbj($30, $31, $32, $found, 1); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      $1=0; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $36=$2; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($36+52)|0); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=(($38+209948)|0); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=(($39+324)|0); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$41; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=__ZL12ATOM_TO_JSIDP6JSAtom1293($42); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $id=$43; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$3; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$2; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=$id; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=__ZN8JSObject11hasPropertyEP9JSContextiPbj($44, $45, $46, $found, 1); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      $i=0; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $51=$i; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=(($51)>>>0) < 2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $54=$i; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=((__ZL15poisonPillProps+($54<<1))|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=HEAP16[(($55)>>1)]; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $offset=$56; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=$2; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=(($57+52)|0); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=(($59+209948)|0); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=$60; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=$offset; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=(($62)&65535); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=(($61+$63)|0); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$64; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=__ZL12ATOM_TO_JSIDP6JSAtom1293($66); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $id=$67; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=$3; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=$2; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=$id; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=__ZN8JSObject11hasPropertyEP9JSContextiPbj($68, $69, $70, $found, 1); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      $1=0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      __label__ = 14; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $75=$i; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=(($75+1)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$76; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      $1=1; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $79=$1; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13fun_enumerateP9JSContextP8JSObject["X"]=1;

function __ZL11fun_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $fun;
      var $v=__stackBase__;
      var $i;
      var $offset;
      var $getter;
      var $setter;
      var $attrs;
      var $throwTypeError;
      var $7=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $8=$4; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZL12JSID_IS_ATOMi1319($8); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)|0)!=0; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=1; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $13=$3; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZNK8JSObject18getFunctionPrivateEv($13); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$14; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$4; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$2; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16+52)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18+209948)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=(($19+252)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$21; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=__ZL12JSID_IS_ATOMiP6JSAtom1287($15, $22); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=(($23)|0)!=0; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $26=$fun; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZNK10JSFunction8isNativeEv($26); //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $29=$fun; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=__ZNK10JSFunction19isFunctionPrototypeEv($29); //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      $1=1; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $33=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$3; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=__ZL35ResolveInterpretedFunctionPrototypeP9JSContextP8JSObject($33, $34); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=(($35)|0)!=0; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=0; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $39=$3; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$6; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($40)>>2)]=$39; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $42=$4; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$2; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=(($43+52)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=(($45+209948)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=(($46+308)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$48; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=__ZL12JSID_IS_ATOMiP6JSAtom1287($42, $49); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=(($50)|0)!=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $53=$4; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=$2; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=(($54+52)|0); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=(($56+209948)|0); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=(($57+324)|0); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$59; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=__ZL12JSID_IS_ATOMiP6JSAtom1287($53, $60); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=(($61)|0)!=0; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 21; break; } //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $64=$4; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$2; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=(($65+52)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=(($67+209948)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=(($68+308)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$70; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=__ZL12JSID_IS_ATOMiP6JSAtom1287($64, $71); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=(($72)|0)!=0; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $75=$fun; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=(($75+56)|0); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=HEAPU16[(($76)>>1)]; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $78=(($77)&65535); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value8setInt32Ei($v, $78); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $80=$fun; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=(($80+72)|0); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $83=(($82)|0)!=0; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($83) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $85=$fun; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $86=(($85+72)|0); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $95 = $87;__label__ = 17; break; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $89=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $90=(($89+52)|0); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $92=(($91+144136)|0); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $95 = $93;__label__ = 17; break; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      var $95; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $96=$95; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setStringEP8JSString($v, $96); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break;
    case 18: 
      var $98=$2; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $99=$3; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $100=$4; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $101=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($98, $99, $100, $v, 8, 10, 6, 0, 0, 0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $102=(($101)|0)!=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($102) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      $1=0; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      var $105=$3; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $106=$6; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($106)>>2)]=$105; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 21: 
      $i=0; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 22; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 22: 
      var $109=$i; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $110=(($109)>>>0) < 2; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($110) { __label__ = 23; break; } else { __label__ = 34; break; } //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 23: 
      var $112=$i; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $113=((__ZL15poisonPillProps+($112<<1))|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $114=HEAP16[(($113)>>1)]; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $offset=$114; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $115=$4; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $116=$2; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $117=(($116+52)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $119=(($118+209948)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $120=$119; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $121=$offset; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $122=(($121)&65535); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $123=(($120+$122)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $124=$123; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $126=__ZL12JSID_IS_ATOMiP6JSAtom1287($115, $125); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $127=(($126)|0)!=0; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($127) { __label__ = 24; break; } else { __label__ = 32; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 24: 
      $attrs=4; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $129=$fun; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $130=__ZNK10JSFunction13isInterpretedEv($129); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($130) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 25: 
      var $132=$fun; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $133=__ZNK10JSFunction12inStrictModeEv($132); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($133) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 26: 
      var $135=$3; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $136=__ZNK8JSObject15isBoundFunctionEv($135); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($136) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 27: 
      var $138=$3; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $139=__ZNK8JSObject17getThrowTypeErrorEv($138); //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $throwTypeError=$139; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $140=$throwTypeError; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $141=__ZN2jsL16CastAsPropertyOpEP8JSObject1357($140); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $getter=$141; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $142=$throwTypeError; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $143=__ZN2jsL22CastAsStrictPropertyOpEP8JSObject1358($142); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $setter=$143; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $144=$attrs; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $145=$144 | 48; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $attrs=$145; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 29; break; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 28: 
      $getter=118; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $setter=10; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 29; break;
    case 29: 
      var $148=$2; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $149=$3; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $150=$4; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL14UndefinedValueEv1350($7); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $151=$getter; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $152=$setter; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $153=$attrs; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $154=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($148, $149, $150, $7, $151, $152, $153, 0, 0, 0); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $155=(($154)|0)!=0; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($155) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 30: 
      $1=0; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 31: 
      var $158=$3; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $159=$6; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($159)>>2)]=$158; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 32: 
      __label__ = 33; break; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 33: 
      var $162=$i; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $163=(($162+1)|0); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$163; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 22; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 34: 
      $1=1; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 35; break; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 35: 
      var $166=$1; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $166; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11fun_resolveP9JSContextP8JSObjectijPS2_["X"]=1;

function __ZL12fun_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  __ZN8JSObject27finalizeUpvarsIfFlatClosureEv($3); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZL15fun_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi($cx, $obj, $v, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pval=__stackBase__;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$v;
      $5=$bp;
      __label__ = 2; break; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $8=$3; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK8JSObject10isFunctionEv($8); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $11=$3; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=__ZNK8JSObject15isBoundFunctionEv($11); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      __label__ = 6; break; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $15=$3; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=__ZNK8JSObject22getBoundFunctionTargetEv($15); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $3=$16; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 2; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $18=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=$2; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$2; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=(($20+52)|0); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22+209948)|0); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=(($23+252)|0); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($18, $19, $25, $pval); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=(($26)|0)!=0; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      $1=0; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $30=__ZNK2JS5Value11isPrimitiveEv($pval); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $32=$2; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$3; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL11ObjectValueER8JSObject1294($6, $33); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($32, 0, 135, -1, $6, 0, 0, 0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $36=$2; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=__ZNK2JS5Value8toObjectEv($pval); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$4; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=__Z13js_IsDelegateP9JSContextP8JSObjectRKN2JS5ValueE($36, $37, $38); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=(($39)&1); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=$5; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($41)>>2)]=$40; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $43=$1; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15fun_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi["X"]=1;

function __ZL9fun_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fun;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=$4; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$5; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$fun; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6)|0)!=0; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      __label__ = 13; break; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $10=$fun; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$10; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$2; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=(($11)|0)!=(($12)|0); //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $15=$1; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$fun; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$16; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($15, $17, ((STRING_TABLE.__str51274)|0)); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$fun; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZNK10JSFunction13isFlatClosureEv($18); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $21=$fun; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=__ZNK10JSFunction6scriptEv($21); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22+64)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=__ZNK2js8Bindings9hasUpvarsEv($23); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $26=$1; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$fun; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=__ZNK10JSFunction6scriptEv($27); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=(($28+64)|0); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=__ZNK2js8Bindings11countUpvarsEv($29); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=(($30)&65535); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$2; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=__ZNK8JSObject20getFlatClosureUpvarsEv($32); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc($26, $31, $33, ((STRING_TABLE.__str61275)|0)); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      __label__ = 13; break; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $36=$fun; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($36+72)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=(($38)|0)!=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($39) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $41=$1; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$fun; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=(($42+72)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$44; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($41, $45, ((STRING_TABLE.__str71276)|0)); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $47=$fun; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=__ZNK10JSFunction13isInterpretedEv($47); //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $50=$fun; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=__ZNK10JSFunction6scriptEv($50); //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=(($51)|0)!=0; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $54=$fun; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=__ZNK10JSFunction6scriptEv($54); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$2; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js16CheckScriptOwnerEP8JSScriptP8JSObject($55, $56); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=$1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=$fun; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=__ZNK10JSFunction6scriptEv($58); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js2gc10MarkScriptEP8JSTracerP8JSScriptPKc($57, $59, ((STRING_TABLE.__str81277)|0)); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 13; break; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      ;
      return; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9fun_traceP8JSTracerP8JSObject["X"]=1;

function __Z18fun_toStringHelperP9JSContextP8JSObjectj($cx, $obj, $indent) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fun=__stackBase__;
      var $p=__stackBase__+4;
      var $5=__stackBase__+8;
      var $str=__stackBase__+16;
      var $lazy;
      $2=$cx;
      $3=$obj;
      $4=$indent;
      var $6=$3; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZNK8JSObject10isFunctionEv($6); //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($7) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $9=$3; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZNK8JSObject15isFunctionProxyEv($9); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $12=$2; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$3; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZN2js7JSProxy12fun_toStringEP9JSContextP8JSObjectj($12, $13, $14); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$15; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 23; break; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $17=$2; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      _JS_ReportErrorNumber($17, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_Function_str)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE._js_toString_str)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str21269)|0),tempInt)); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 23; break; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $19=$3; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=__ZNK8JSObject18getFunctionPrivateEv($19); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($fun)>>2)]=$20; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=HEAP32[(($fun)>>2)]; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=(($21)|0)!=0; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      $1=0; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 23; break; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $25=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=(($25)|0)!=0; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($26) { __label__ = 12; break; } else { __label__ = 8; break; } //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $28=$2; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=(($28+56)|0); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=(($30+1836)|0); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=__ZNK7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE5emptyEv($31); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($32) { __label__ = 12; break; } else { __label__ = 9; break; } //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $34=$2; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=(($34+56)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($36+1836)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3refEv($37); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZNK2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_($p, $38, $fun); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $p); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$39.f0; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=(($40)|0)!=0; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $43=__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($p); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=(($43+4)|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$45; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 23; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      __label__ = 12; break; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $48=$2; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=HEAP32[(($fun)>>2)]; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=_JS_DecompileFunction($48, $49, $50); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($str)>>2)]=$51; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=HEAP32[(($str)>>2)]; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=(($52)|0)!=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      $1=0; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 23; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $56=$4; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=(($56)|0)!=0; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($57) { __label__ = 22; break; } else { __label__ = 15; break; } //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $59=$2; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=(($59+56)|0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=(($61+1836)|0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $lazy=$62; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=$lazy; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=__ZNK7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE5emptyEv($63); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $66=$lazy; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE9constructEv($66); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=$lazy; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3refEv($67); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj($68, 0); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($69) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      $1=0; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 23; break; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      __label__ = 19; break; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      var $73=$lazy; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3refEv($73); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3putERKS2_RKS4_($74, $fun, $str); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=(($75)|0)!=0; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($76) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      $1=0; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 23; break; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 21: 
      __label__ = 22; break; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 22: 
      var $80=HEAP32[(($str)>>2)]; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$80; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 23; break; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 23: 
      var $82=$1; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $82; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18fun_toStringHelperP9JSContextP8JSObjectj["X"]=1;

function __ZNK2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 120, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE9constructEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=(($3)|0); //@line 261 "./dist/include/mozilla/Util.h"
      var $5=__ZN7mozilla15AlignedStorage2IN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE4addrEv($4); //@line 261 "./dist/include/mozilla/Util.h"
      var $6=$5; //@line 261 "./dist/include/mozilla/Util.h"
      var $7=(($6)|0)==0; //@line 261 "./dist/include/mozilla/Util.h"
      if ($7) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 261 "./dist/include/mozilla/Util.h"
    case 2: 
      var $9=$6; //@line 261 "./dist/include/mozilla/Util.h"
      __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES7_($9, $2); //@line 261 "./dist/include/mozilla/Util.h"
      var $11 = $9;__label__ = 3; break; //@line 261 "./dist/include/mozilla/Util.h"
    case 3: 
      var $11; //@line 261 "./dist/include/mozilla/Util.h"
      var $12=(($3+24)|0); //@line 262 "./dist/include/mozilla/Util.h"
      HEAP8[($12)]=1; //@line 262 "./dist/include/mozilla/Util.h"
      STACKTOP = __stackBase__;
      return; //@line 263 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3putERKS2_RKS4_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$k;
      $4=$v;
      var $6=$2;
      var $7=$3; //@line 1140 "./jshashtable.h"
      __ZNK2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_($p, $6, $7); //@line 1140 "./jshashtable.h"
      var $8=$p; //@line 1141 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $8); //@line 1141 "./jshashtable.h"
      var $9={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1141 "./jshashtable.h"
      var $10=$9.f0; //@line 1141 "./jshashtable.h"
      var $11=(($10)|0)!=0; //@line 1141 "./jshashtable.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1141 "./jshashtable.h"
    case 2: 
      var $13=$4; //@line 1142 "./jshashtable.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1142 "./jshashtable.h"
      var $15=$p; //@line 1142 "./jshashtable.h"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($15); //@line 1142 "./jshashtable.h"
      var $17=(($16+4)|0); //@line 1142 "./jshashtable.h"
      HEAP32[(($17)>>2)]=$14; //@line 1142 "./jshashtable.h"
      var $18=$p; //@line 1143 "./jshashtable.h"
      var $19=__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($18); //@line 1143 "./jshashtable.h"
      $1=$19; //@line 1143 "./jshashtable.h"
      __label__ = 7; break; //@line 1143 "./jshashtable.h"
    case 3: 
      var $21=$3; //@line 1145 "./jshashtable.h"
      var $22=$4; //@line 1145 "./jshashtable.h"
      var $23=__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($6, $p, $21, $22); //@line 1145 "./jshashtable.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1145 "./jshashtable.h"
    case 4: 
      var $25=$p; //@line 1145 "./jshashtable.h"
      var $26=__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($25); //@line 1145 "./jshashtable.h"
      var $29 = $26;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 5: 
      var $29 = 0;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 6: 
      var $29; //@line 1145 "./jshashtable.h"
      $1=$29; //@line 1145 "./jshashtable.h"
      __label__ = 7; break; //@line 1145 "./jshashtable.h"
    case 7: 
      var $31=$1; //@line 1146 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $31; //@line 1146 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z11js_fun_callP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fval=__stackBase__;
      var $argv;
      var $thisv=__stackBase__+8;
      var $args=__stackBase__+16;
      var $5;
      var $ok;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$4; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6+8)|0); //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$fval; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$7; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZL13js_IsCallableRKN2JS5ValueE1306($fval); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $12=$2; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($12, $13, __ZN2js13FunctionClassE); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $15=$4; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15+16)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argv=$16; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$3; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=(($17)|0)==0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      __ZN2JS5Value12setUndefinedEv($thisv); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $21=$argv; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=(($21)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$thisv; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$22; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$3; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=(($25-1)|0); //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $3=$26; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$argv; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($27+8)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argv=$28; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break;
    case 6: 
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$2; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=(($30+60)|0); //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$2; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$3; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($31, $32, $33, $args); //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      $1=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 9; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $37=$args; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=__ZNK2js12CallReceiver7calleevEv($37); //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$38; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$fval; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=$args; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=__ZNK2js12CallReceiver5thisvEv($41); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$42; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$thisv; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$args; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=__ZNK2js8CallArgs4argvEv($45); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$46; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$argv; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$48; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$3; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=((($50<<3))|0); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert($51 % 1 === 0, 'memcpy given ' + $51 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($47, $49, $51, 1); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$2; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($52, $args, 0); //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=(($53)&1); //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $ok=$54; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$4; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$args; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=__ZNK2js12CallReceiver4rvalEv($56); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=$55; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=$57; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$ok; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=(($60) & 1); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=(($61)&1); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$62; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 9; break; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break;
    case 10: 
      var $65=$1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $65; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z11js_fun_callP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13js_IsCallableRKN2JS5ValueE1306($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z12js_fun_applyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fval=__stackBase__;
      var $aobj;
      var $length=__stackBase__+8;
      var $args=__stackBase__+12;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$4; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6+8)|0); //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$fval; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$7; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZL13js_IsCallableRKN2JS5ValueE1306($fval); //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $12=$2; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$4; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($12, $13, __ZN2js13FunctionClassE); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $15=$3; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15)>>>0) < 2; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $18=$4; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18+24)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=__ZNK2JS5Value17isNullOrUndefinedEv($19); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $22=$2; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$3; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=(($23)>>>0) > 0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$24 ? 1 : 0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$4; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__Z11js_fun_callP9JSContextjPN2JS5ValueE($22, $25, $26); //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$27; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $29=$4; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29+24)|0); //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=__ZNK2JS5Value8isObjectEv($30); //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $33=$2; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      _JS_ReportErrorNumber($33, 2, 0, 154, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_apply_str)|0),tempInt)); //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $35=$4; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=(($35+24)|0); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=__ZNK2JS5Value8toObjectEv($36); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $aobj=$37; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$2; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$aobj; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($38, $39, $length); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=(($40)|0)!=0; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      $1=0; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $44=HEAPU32[(($length)>>2)]; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=(($44)>>>0) > 491520; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $47=$2; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 61, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$2; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=(($49+60)|0); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=$2; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=HEAP32[(($length)>>2)]; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($50, $51, $52, $args); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      $1=0; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 19; break; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $56=$args; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=__ZNK2js12CallReceiver7calleevEv($56); //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=$57; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=$fval; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$args; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=__ZNK2js12CallReceiver5thisvEv($60); //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=$4; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=(($62+16)|0); //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=$61; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$63; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=$2; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=$aobj; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=HEAP32[(($length)>>2)]; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=$args; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=__ZNK2js8CallArgs4argvEv($69); //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=__ZN2js11GetElementsEP9JSContextP8JSObjectjPN2JS5ValueE($66, $67, $68, $70); //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($71) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      $1=0; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 19; break; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $74=$2; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($74, $args, 0); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($75) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      $1=0; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 19; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $78=$4; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $79=$args; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=__ZNK2js12CallReceiver4rvalEv($79); //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=$78; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=$80; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($81)>>2)]=HEAP32[(($82)>>2)];HEAP32[(($81+4)>>2)]=HEAP32[(($82+4)>>2)]; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 19; break; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break;
    case 20: 
      var $85=$1; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_fun_applyP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js28CallOrConstructBoundFunctionEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $constructing;
      var $argslen;
      var $target;
      var $boundThis;
      var $args=__stackBase__;
      var $5;
      var $i;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$4; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6)|0); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK2JS5Value8toObjectEv($7); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $obj=$8; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$4; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZN2jsL14IsConstructingEPKN2JS5ValueE1307($9); //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10)&1); //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $constructing=$11; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$obj; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__ZNK8JSObject29getBoundFunctionArgumentCountEv($12); //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argslen=$13; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$3; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$argslen; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($14+$15)|0); //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16)>>>0) > 491520; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $19=$2; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($19); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $21=$obj; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=__ZNK8JSObject22getBoundFunctionTargetEv($21); //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $target=$22; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$obj; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=__ZNK8JSObject20getBoundFunctionThisEv($23); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $boundThis=$24; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$2; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=(($25+60)|0); //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$2; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$3; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$argslen; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($28+$29)|0); //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($26, $27, $30, $args); //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=0; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 16; break; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $i=0; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $35=$i; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$argslen; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $39=$args; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$i; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=__ZNK2js8CallArgsixEj($39, $40); //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$obj; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$i; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=__ZNK8JSObject24getBoundFunctionArgumentEj($42, $43); //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$41; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=$44; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $48=$i; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=(($48+1)|0); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$49; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $51=$args; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=__ZNK2js8CallArgs4argvEv($51); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=$argslen; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=(($52+($53<<3))|0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$54; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$4; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=(($56+16)|0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=$57; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=$3; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=((($59<<3))|0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert($60 % 1 === 0, 'memcpy given ' + $60 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($55, $58, $60, 1); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=$args; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=__ZNK2js12CallReceiver7calleevEv($61); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=$target; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setObjectER8JSObject($62, $63); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=$constructing; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=(($64) & 1); //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($65) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $67=$args; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=__ZNK2js12CallReceiver5thisvEv($67); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=$boundThis; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=$68; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$69; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[(($71)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[(($71+4)>>2)]; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $73=$constructing; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=(($73) & 1); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($74) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $76=$2; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=__ZN2js17InvokeConstructorEP9JSContextRNS_15InvokeArgsGuardE($76, $args); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($77) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $79=$2; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($79, $args, 0); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($80) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      $1=0; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 16; break; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $83=$4; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $84=$args; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $85=__ZNK2js12CallReceiver4rvalEv($84); //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $86=$83; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=$85; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($86)>>2)]=HEAP32[(($87)>>2)];HEAP32[(($86+4)>>2)]=HEAP32[(($87+4)>>2)]; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 16; break; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break;
    case 17: 
      var $90=$1; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $90; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js28CallOrConstructBoundFunctionEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2jsL14IsConstructingEPKN2JS5ValueE1307($vp) {
  ;
  var __label__;

  var $1;
  $1=$vp;
  var $2=$1; //@line 372 "./jsfun.h"
  var $3=(($2+8)|0); //@line 372 "./jsfun.h"
  var $4=__ZNK2JS5Value7isMagicEv($3); //@line 372 "./jsfun.h"
  ;
  return $4; //@line 372 "./jsfun.h"
}


function __ZNK8JSObject29getBoundFunctionArgumentCountEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 1); //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $4=__ZNK2JS5Value15toPrivateUint32Ev($3); //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return $4; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZNK8JSObject22getBoundFunctionTargetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject9getParentEv($2); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return $3; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZNK8JSObject20getBoundFunctionThisEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return $3; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZNK8JSObject24getBoundFunctionArgumentEj($this, $which) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$which;
  var $3=$1;
  var $4=$2; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $5=(($4+2)|0); //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $6=__ZNK8JSObject7getSlotEj($3, $5); //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return $6; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZL12fun_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$4; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6+8)|0); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $obj=$8; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$obj; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)|0)!=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=0; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $13=$2; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$obj; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__Z18fun_toStringHelperP9JSContextP8JSObjectj($13, $14, 32768); //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $str=$15; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$str; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16)|0)!=0; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=0; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $20=$4; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$str; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setStringEP8JSString($20, $21); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $23=$1; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $23; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12fun_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $indent=__stackBase__;
      var $obj;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      HEAP32[(($indent)>>2)]=0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=(($5)|0)!=0; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $8=$2; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9+16)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($8, $10, $indent); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      $1=0; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $14=$2; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$4; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15+8)|0); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($14, $16); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $obj=$17; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$obj; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18)|0)!=0; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $1=0; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $22=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$obj; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=HEAP32[(($indent)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=__Z18fun_toStringHelperP9JSContextP8JSObjectj($22, $23, $24); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $str=$25; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$str; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=(($26)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $30=$4; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$str; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setStringEP8JSString($30, $31); //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $33=$1; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8fun_bindP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisv;
      var $target;
      var $args;
      var $argslen;
      var $length;
      var $nargs;
      var $name;
      var $funobj;
      var $thisArg=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=(($5+8)|0); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $thisv=$6; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$thisv; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZL13js_IsCallableRKN2JS5ValueE1306($7); //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $10=$2; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$4; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($10, $11, __ZN2js13FunctionClassE); //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $13=$thisv; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZNK2JS5Value8toObjectEv($13); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $target=$14; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $args=0; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argslen=0; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$3; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15)>>>0) > 1; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $18=$4; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18+24)|0); //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $args=$19; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$3; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=(($20-1)|0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argslen=$21; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $length=0; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$target; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=__ZNK8JSObject10isFunctionEv($23); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $26=$target; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZNK8JSObject18getFunctionPrivateEv($26); //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($27+56)|0); //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=HEAPU16[(($28)>>1)]; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29)&65535); //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $nargs=$30; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$nargs; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$argslen; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=(($31)>>>0) > (($32)>>>0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $35=$nargs; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$argslen; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($35-$36)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $length=$37; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      __label__ = 9; break; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $40=$target; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=__ZNK8JSObject10isFunctionEv($40); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $43=$target; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=__ZNK8JSObject18getFunctionPrivateEv($43); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=(($44+72)|0); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49 = $46;__label__ = 12; break; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $49 = 0;__label__ = 12; break; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $49; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $name=$49; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$2; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=$length; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$target; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=$name; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($50, 0, 122, $51, 512, $52, $53); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$54; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $funobj=$55; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$funobj; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=(($56)|0)!=0; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($57) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      $1=0; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $60=$3; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=(($60)>>>0) >= 1; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $63=$4; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=(($63+16)|0); //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$thisArg; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=$64; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($65)>>2)]=HEAP32[(($66)>>2)];HEAP32[(($65+4)>>2)]=HEAP32[(($66+4)>>2)]; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      __ZN2JSL14UndefinedValueEv1350($thisArg); //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      var $69=$funobj; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=$2; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$args; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=$argslen; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=__ZN8JSObject17initBoundFunctionEP9JSContextRKN2JS5ValueEPS4_j($69, $70, $thisArg, $71, $72); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      $1=0; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      var $76=$4; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=$funobj; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setObjectER8JSObject($76, $77); //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 20; break; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      var $79=$1; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8fun_bindP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL15fun_isGeneratorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $funobj=__stackBase__;
      var $5=__stackBase__+4;
      var $fun;
      var $result;
      var $script;
      var $6=__stackBase__+12;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$4; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=(($7+8)|0); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1303($8, $funobj); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $11=$4; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL12BooleanValueEb1348($5, 0); //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$11; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$5; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $15=HEAP32[(($funobj)>>2)]; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=__ZNK8JSObject18getFunctionPrivateEv($15); //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$16; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $result=0; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$fun; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=__ZNK10JSFunction13isInterpretedEv($17); //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $20=$fun; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=__ZNK10JSFunction6scriptEv($20); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $script=$21; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$script; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($22)|0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($24)|0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=HEAPU8[($25)]; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=(($26)&255); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($27)|0)==205; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=(($28)&1); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $result=$29; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $31=$4; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$result; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=(($32) & 1); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL12BooleanValueEb1348($6, $33); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$31; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$6; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $37=$1; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15fun_isGeneratorP9JSContextjPN2JS5ValueE["X"]=1;

function __ZNK2js11TokenStream12currentTokenEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+132)|0); //@line 335 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 335 "./jsscan.h"
  var $5=(($2+4)|0); //@line 335 "./jsscan.h"
  var $6=(($5+($4<<5))|0); //@line 335 "./jsscan.h"
  ;
  return $6; //@line 335 "./jsscan.h"
}


function __ZN2JS6AnchorIP8JSStringE3setERKS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 143 "./jsapi.h"
  var $5=HEAP32[(($4)>>2)]; //@line 143 "./jsapi.h"
  var $6=(($3)|0); //@line 143 "./jsapi.h"
  HEAP32[(($6)>>2)]=$5; //@line 143 "./jsapi.h"
  ;
  return; //@line 143 "./jsapi.h"
}


function __ZN2js24CurrentScriptFileAndLineEP9JSContextPjNS_10LineOptionE($cx, $linenop, $opt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$linenop;
      $4=$opt;
      var $5=$4; //@line 120 "./jsscriptinlines.h"
      var $6=(($5)|0)==0; //@line 120 "./jsscriptinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 120 "./jsscriptinlines.h"
    case 2: 
      var $8=$2; //@line 123 "./jsscriptinlines.h"
      var $9=__ZNK9JSContext4regsEv($8); //@line 123 "./jsscriptinlines.h"
      var $10=(($9+4)|0); //@line 123 "./jsscriptinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 123 "./jsscriptinlines.h"
      var $12=(($11+3)|0); //@line 123 "./jsscriptinlines.h"
      var $13=(($12+1)|0); //@line 123 "./jsscriptinlines.h"
      var $14=HEAPU8[($13)]; //@line 123 "./jsscriptinlines.h"
      var $15=(($14)&255); //@line 123 "./jsscriptinlines.h"
      var $16=$15 << 8; //@line 123 "./jsscriptinlines.h"
      var $17=$2; //@line 123 "./jsscriptinlines.h"
      var $18=__ZNK9JSContext4regsEv($17); //@line 123 "./jsscriptinlines.h"
      var $19=(($18+4)|0); //@line 123 "./jsscriptinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 123 "./jsscriptinlines.h"
      var $21=(($20+3)|0); //@line 123 "./jsscriptinlines.h"
      var $22=(($21+2)|0); //@line 123 "./jsscriptinlines.h"
      var $23=HEAPU8[($22)]; //@line 123 "./jsscriptinlines.h"
      var $24=(($23)&255); //@line 123 "./jsscriptinlines.h"
      var $25=$16 | $24; //@line 123 "./jsscriptinlines.h"
      var $26=$3; //@line 123 "./jsscriptinlines.h"
      HEAP32[(($26)>>2)]=$25; //@line 123 "./jsscriptinlines.h"
      var $27=$2; //@line 124 "./jsscriptinlines.h"
      var $28=__ZNK9JSContext2fpEv($27); //@line 124 "./jsscriptinlines.h"
      var $29=__ZNK2js10StackFrame6scriptEv($28); //@line 124 "./jsscriptinlines.h"
      var $30=(($29+52)|0); //@line 124 "./jsscriptinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 124 "./jsscriptinlines.h"
      $1=$31; //@line 124 "./jsscriptinlines.h"
      __label__ = 4; break; //@line 124 "./jsscriptinlines.h"
    case 3: 
      var $33=$2; //@line 127 "./jsscriptinlines.h"
      var $34=$3; //@line 127 "./jsscriptinlines.h"
      var $35=__ZN2js28CurrentScriptFileAndLineSlowEP9JSContextPj($33, $34); //@line 127 "./jsscriptinlines.h"
      $1=$35; //@line 127 "./jsscriptinlines.h"
      __label__ = 4; break; //@line 127 "./jsscriptinlines.h"
    case 4: 
      var $37=$1; //@line 128 "./jsscriptinlines.h"
      ;
      return $37; //@line 128 "./jsscriptinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18AutoArenaAllocator5allocItEEPT_j($this, $elems) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ptr;
      var $_a;
      var $_nb;
      var $_p;
      $1=$this;
      $2=$elems;
      var $3=$1;
      __label__ = 2; break; //@line 1897 "./jscntxt.h"
    case 2: 
      var $5=(($3)|0); //@line 1897 "./jscntxt.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1897 "./jscntxt.h"
      var $7=(($6+16)|0); //@line 1897 "./jscntxt.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1897 "./jscntxt.h"
      $_a=$8; //@line 1897 "./jscntxt.h"
      var $9=$2; //@line 1897 "./jscntxt.h"
      var $10=((($9<<1))|0); //@line 1897 "./jscntxt.h"
      var $11=(($3)|0); //@line 1897 "./jscntxt.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1897 "./jscntxt.h"
      var $13=(($12+24)|0); //@line 1897 "./jscntxt.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1897 "./jscntxt.h"
      var $15=(($10+$14)|0); //@line 1897 "./jscntxt.h"
      var $16=(($3)|0); //@line 1897 "./jscntxt.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1897 "./jscntxt.h"
      var $18=(($17+24)|0); //@line 1897 "./jscntxt.h"
      var $19=HEAP32[(($18)>>2)]; //@line 1897 "./jscntxt.h"
      var $20=$19 ^ -1; //@line 1897 "./jscntxt.h"
      var $21=$15 & $20; //@line 1897 "./jscntxt.h"
      $_nb=$21; //@line 1897 "./jscntxt.h"
      var $22=$_a; //@line 1897 "./jscntxt.h"
      var $23=(($22+12)|0); //@line 1897 "./jscntxt.h"
      var $24=HEAP32[(($23)>>2)]; //@line 1897 "./jscntxt.h"
      $_p=$24; //@line 1897 "./jscntxt.h"
      var $25=$_nb; //@line 1897 "./jscntxt.h"
      var $26=$_a; //@line 1897 "./jscntxt.h"
      var $27=(($26+8)|0); //@line 1897 "./jscntxt.h"
      var $28=HEAPU32[(($27)>>2)]; //@line 1897 "./jscntxt.h"
      var $29=(($25)>>>0) > (($28)>>>0); //@line 1897 "./jscntxt.h"
      if ($29) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1897 "./jscntxt.h"
    case 3: 
      var $31=$_p; //@line 1897 "./jscntxt.h"
      var $32=$_a; //@line 1897 "./jscntxt.h"
      var $33=(($32+8)|0); //@line 1897 "./jscntxt.h"
      var $34=HEAP32[(($33)>>2)]; //@line 1897 "./jscntxt.h"
      var $35=$_nb; //@line 1897 "./jscntxt.h"
      var $36=(($34-$35)|0); //@line 1897 "./jscntxt.h"
      var $37=(($31)>>>0) > (($36)>>>0); //@line 1897 "./jscntxt.h"
      if ($37) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1897 "./jscntxt.h"
    case 4: 
      var $39=(($3)|0); //@line 1897 "./jscntxt.h"
      var $40=HEAP32[(($39)>>2)]; //@line 1897 "./jscntxt.h"
      var $41=$_nb; //@line 1897 "./jscntxt.h"
      var $42=_JS_ArenaAllocate($40, $41); //@line 1897 "./jscntxt.h"
      var $43=$42; //@line 1897 "./jscntxt.h"
      $_p=$43; //@line 1897 "./jscntxt.h"
      __label__ = 6; break; //@line 1897 "./jscntxt.h"
    case 5: 
      var $45=$_p; //@line 1897 "./jscntxt.h"
      var $46=$_nb; //@line 1897 "./jscntxt.h"
      var $47=(($45+$46)|0); //@line 1897 "./jscntxt.h"
      var $48=$_a; //@line 1897 "./jscntxt.h"
      var $49=(($48+12)|0); //@line 1897 "./jscntxt.h"
      HEAP32[(($49)>>2)]=$47; //@line 1897 "./jscntxt.h"
      __label__ = 6; break;
    case 6: 
      var $51=$_p; //@line 1897 "./jscntxt.h"
      var $52=$51; //@line 1897 "./jscntxt.h"
      $ptr=$52; //@line 1897 "./jscntxt.h"
      __label__ = 7; break; //@line 1897 "./jscntxt.h"
    case 7: 
      __label__ = 8; break; //@line 1897 "./jscntxt.h"
    case 8: 
      __label__ = 9; break; //@line 1897 "./jscntxt.h"
    case 9: 
      var $56=$ptr; //@line 1898 "./jscntxt.h"
      var $57=$56; //@line 1898 "./jscntxt.h"
      ;
      return $57; //@line 1898 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js18AutoArenaAllocator5allocItEEPT_j["X"]=1;

function __ZN2js11TokenStream8getTokenEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $tt;
      $2=$this;
      var $3=$2;
      var $4=(($3+136)|0); //@line 409 "./jsscan.h"
      var $5=HEAP32[(($4)>>2)]; //@line 409 "./jsscan.h"
      var $6=(($5)|0)!=0; //@line 409 "./jsscan.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 409 "./jsscan.h"
    case 2: 
      var $8=(($3+136)|0); //@line 411 "./jsscan.h"
      var $9=HEAP32[(($8)>>2)]; //@line 411 "./jsscan.h"
      var $10=(($9-1)|0); //@line 411 "./jsscan.h"
      HEAP32[(($8)>>2)]=$10; //@line 411 "./jsscan.h"
      var $11=(($3+132)|0); //@line 412 "./jsscan.h"
      var $12=HEAP32[(($11)>>2)]; //@line 412 "./jsscan.h"
      var $13=(($12+1)|0); //@line 412 "./jsscan.h"
      var $14=$13 & 3; //@line 412 "./jsscan.h"
      var $15=(($3+132)|0); //@line 412 "./jsscan.h"
      HEAP32[(($15)>>2)]=$14; //@line 412 "./jsscan.h"
      var $16=__ZNK2js11TokenStream12currentTokenEv($3); //@line 413 "./jsscan.h"
      var $17=(($16)|0); //@line 413 "./jsscan.h"
      var $18=HEAP32[(($17)>>2)]; //@line 413 "./jsscan.h"
      $tt=$18; //@line 413 "./jsscan.h"
      var $19=$tt; //@line 415 "./jsscan.h"
      $1=$19; //@line 415 "./jsscan.h"
      __label__ = 4; break; //@line 415 "./jsscan.h"
    case 3: 
      var $21=__ZN2js11TokenStream16getTokenInternalEv($3); //@line 418 "./jsscan.h"
      $1=$21; //@line 418 "./jsscan.h"
      __label__ = 4; break; //@line 418 "./jsscan.h"
    case 4: 
      var $23=$1; //@line 419 "./jsscan.h"
      ;
      return $23; //@line 419 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11OnBadFormalP9JSContextN2js9TokenKindE($cx, $tt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$tt;
      var $3=$2; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $4=(($3)|0)!=-1; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $6=$1; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      _JS_ReportErrorNumber($6, 2, 0, 20, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      __label__ = 4; break;
    case 4: 
      ;
      return 0; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js28IsBuiltinFunctionConstructorEP10JSFunction($fun) {
  ;
  var __label__;

  var $1;
  $1=$fun;
  var $2=$1; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $3=__ZNK10JSFunction11maybeNativeEv($2); //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $4=(($3)|0)==34; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return $4; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZN2js34LookupInterpretedFunctionPrototypeEP9JSContextP8JSObject($cx, $funobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $id;
      var $shape;
      $2=$cx;
      $3=$funobj;
      var $4=$2; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=(($4+52)|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6+209948)|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=(($7+252)|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$9; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZL12ATOM_TO_JSIDP6JSAtom1293($10); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $id=$11; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$3; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$2; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$id; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZN8JSObject12nativeLookupEP9JSContexti($12, $13, $14); //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $shape=$15; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$shape; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=(($16)|0)!=0; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $19=$2; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$3; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=__ZL35ResolveInterpretedFunctionPrototypeP9JSContextP8JSObject($19, $20); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=(($21)|0)!=0; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      $1=0; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $25=$3; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$2; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$id; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=__ZN8JSObject12nativeLookupEP9JSContexti($25, $26, $27); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $shape=$28; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $30=$shape; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$30; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $32=$1; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $32; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL35ResolveInterpretedFunctionPrototypeP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $parent;
      var $objProto=__stackBase__;
      var $proto;
      var $4=__stackBase__+4;
      var $5=__stackBase__+12;
      $2=$cx;
      $3=$obj;
      var $6=$3; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZNK8JSObject9getParentEv($6); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $parent=$7; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$2; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$parent; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, 1, $objProto, 0); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10)|0)!=0; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=0; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $14=$2; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=HEAP32[(($objProto)>>2)]; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$parent; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_1314($14, __ZN2js11ObjectClassE, $15, $16); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $proto=$17; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$proto; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18)|0)!=0; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $21=$proto; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$2; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=__ZN8JSObject16setSingletonTypeEP9JSContext($21, $22); //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $1=0; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $26=$3; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$2; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$2; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=(($28+52)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=(($30+209948)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=(($31+252)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$33; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=__ZL12ATOM_TO_JSIDP6JSAtom1293($34); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$proto; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL11ObjectValueER8JSObject1294($4, $36); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($26, $27, $35, $4, 8, 10, 4); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=(($37)|0)!=0; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $40=$proto; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=$2; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$2; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=(($42+52)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=(($44+209948)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=(($45+256)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$47; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=__ZL12ATOM_TO_JSIDP6JSAtom1293($48); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$3; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL11ObjectValueER8JSObject1294($5, $50); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($40, $41, $49, $5, 8, 10, 0); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=(($51)|0)!=0; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($52) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=0; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $55=$proto; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$55; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $57=$1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL35ResolveInterpretedFunctionPrototypeP9JSContextP8JSObject["X"]=1;

function __ZN2jsL11NewFunctionEP9JSContextP8JSObject($cx, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$parent;
  var $3=$1; //@line 1489 "./jsobjinlines.h"
  var $4=$2; //@line 1489 "./jsobjinlines.h"
  var $5=__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE1342($3, __ZN2js13FunctionClassE, 0, $4, 2); //@line 1489 "./jsobjinlines.h"
  ;
  return $5; //@line 1489 "./jsobjinlines.h"
}


function __ZN2js8FunctionEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 960; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $call=__stackBase__;
      var $global;
      var $bindings=__stackBase__+8;
      var $lineno=__stackBase__+20;
      var $filename;
      var $argv;
      var $n;
      var $args_length;
      var $i;
      var $arg;
      var $old_args_length;
      var $old_args_length1;
      var $aaa=__stackBase__+24;
      var $cp;
      var $5;
      var $collected_args;
      var $i2;
      var $arg3;
      var $arg_length;
      var $arg_chars;
      var $ts=__stackBase__+32;
      var $tt;
      var $atom;
      var $name=__stackBase__+944;
      var $dummy=__stackBase__+948;
      var $strAnchor=__stackBase__+952;
      var $chars;
      var $length;
      var $str=__stackBase__+956;
      var $fun;
      var $principals;
      var $ok;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$4; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($call, $6, $7); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$call; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK2js12CallReceiver6calleeEv($8); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZNK8JSObject9getGlobalEv($9); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $global=$10; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$global; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$2; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__ZN2js12GlobalObject23isRuntimeCodeGenEnabledEP9JSContext($11, $12); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $15=$2; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      _JS_ReportErrorNumber($15, 2, 0, 247, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 61; break; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $17=$2; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js8BindingsC1EP9JSContext($bindings, $17); //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$2; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZN2js24CurrentScriptFileAndLineEP9JSContextPjNS_10LineOptionE($18, $lineno, 1); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $filename=$19; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=__ZNK2js8CallArgs4argvEv($call); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argv=$20; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$3; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=(($21)|0)!=0; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $24=$3; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($24-1)|0); //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28 = $25;__label__ = 6; break; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $28 = 0;__label__ = 6; break; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $28; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $n=$28; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$n; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29)>>>0) > 0; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 52; break; } //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      $args_length=0; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=0; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $33=$i; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$n; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $37=$2; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$i; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$argv; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=(($39+($38<<3))|0); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($37, $40); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$41; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$arg; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=(($42)|0)!=0; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      $1=0; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 61; break; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $46=$i; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$argv; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=(($47+($46<<3))|0); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$arg; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setStringEP8JSString($48, $49); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$args_length; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $old_args_length=$50; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=$old_args_length; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$arg; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=__ZNK8JSString6lengthEv($52); //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=(($51+$53)|0); //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $args_length=$54; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$args_length; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$old_args_length; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=(($55)>>>0) < (($56)>>>0); //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($57) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $59=$2; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($59); //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 61; break; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      __label__ = 14; break; //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $62=$i; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=(($62+1)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$63; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $65=$args_length; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $old_args_length1=$65; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=$old_args_length1; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=$n; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=(($66+$67)|0); //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=(($68-1)|0); //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $args_length=$69; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=$args_length; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$old_args_length1; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=(($70)>>>0) < (($71)>>>0); //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($72) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      var $74=$args_length; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=(($74)>>>0) >= 2147483647; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      var $77=$2; //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($77); //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 61; break; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $79=$2; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=(($79+72)|0); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js18AutoArenaAllocatorC1EP11JSArenaPool($aaa, $80); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=$args_length; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=(($81+1)|0); //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $83=__ZN2js18AutoArenaAllocator5allocItEEPT_j($aaa, $82); //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $cp=$83; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $84=$cp; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $85=(($84)|0)!=0; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($85) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      var $87=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($87); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 50; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      var $89=$cp; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $collected_args=$89; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i2=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 21; break; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 21: 
      var $91=$i2; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $92=$n; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $93=(($91)>>>0) < (($92)>>>0); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($93) { __label__ = 22; break; } else { __label__ = 26; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 22: 
      var $95=$i2; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $96=$argv; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $97=(($96+($95<<3))|0); //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $98=__ZNK2JS5Value8toStringEv($97); //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg3=$98; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $99=$arg3; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $100=__ZNK8JSString6lengthEv($99); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg_length=$100; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $101=$arg3; //@line 2198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $102=$2; //@line 2198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $103=__ZN8JSString8getCharsEP9JSContext($101, $102); //@line 2198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg_chars=$103; //@line 2198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $104=$arg_chars; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $105=(($104)|0)!=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($105) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 23: 
      $1=0; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 50; break; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 24: 
      var $108=$cp; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $109=$108; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $110=$arg_chars; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $111=$110; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $112=$arg_length; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $113=((($112<<1))|0); //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert($113 % 1 === 0, 'memcpy given ' + $113 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($109, $111, $113, 1); //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $114=$arg_length; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $115=$cp; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $116=(($115+($114<<1))|0); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $cp=$116; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $117=$i2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $118=(($117+1)|0); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $119=$n; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $120=(($118)>>>0) < (($119)>>>0); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $121=$120 ? 44 : 0; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $122=(($121) & 65535); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $123=$cp; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $124=(($123+2)|0); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $cp=$124; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($123)>>1)]=$122; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 25; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 25: 
      var $126=$i2; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $127=(($126+1)|0); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i2=$127; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 21; break; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 26: 
      var $129=$2; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      FUNCTION_TABLE[__ZN2js11TokenStreamC1EP9JSContext]($ts, $129); //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $130=$collected_args; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $131=$args_length; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $132=$filename; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $133=HEAP32[(($lineno)>>2)]; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $134=$2; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $135=__ZNK9JSContext11findVersionEv($134); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $136=__ZN2js11TokenStream4initEPKtjPKcj9JSVersion($ts, $130, $131, $132, $133, $135); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($136) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 27: 
      $1=0; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 49; break; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 28: 
      var $139=__ZN2js11TokenStream8getTokenEv($ts); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $tt=$139; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $140=$tt; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $141=(($140)|0)!=0; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($141) { __label__ = 29; break; } else { __label__ = 48; break; } //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 29: 
      __label__ = 30; break; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 30: 
      var $144=$tt; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $145=(($144)|0)!=29; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($145) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 31: 
      var $147=$2; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $148=$tt; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $149=__ZL11OnBadFormalP9JSContextN2js9TokenKindE($147, $148); //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $150=(($149)&1); //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$150; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 49; break; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 32: 
      var $152=__ZNK2js11TokenStream12currentTokenEv($ts); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $153=(($152+24)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $154=$153; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $155=(($154+4)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $atom=$156; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $157=$2; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $158=$atom; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $159=__ZNK2js8Bindings10hasBindingEP9JSContextP6JSAtom($bindings, $157, $158); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($159) { __label__ = 33; break; } else { __label__ = 40; break; } //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 33: 
      __ZN16JSAutoByteStringC1Ev($name); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $161=$2; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $162=$atom; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $163=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($161, $162, $name); //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $164=(($163)|0)!=0; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($164) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 34: 
      $1=0; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 38; break; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 35: 
      var $167=$2; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $168=__ZNK16JSAutoByteString3ptrEv($name); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $169=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($167, $ts, 0, 5, 111, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$168,tempInt)); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($169) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 36: 
      $1=0; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 38; break; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 37: 
      $5=0; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 38; break; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 38: 
      __ZN16JSAutoByteStringD1Ev($name); //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 39; break;
      }
      else {
      __label__ = 49; break;
      }
      
    case 39: 
      __label__ = 40; break; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 40: 
      var $175=$2; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $176=$atom; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $177=__ZN2js8Bindings11addArgumentEP9JSContextP6JSAtomPt($bindings, $175, $176, $dummy); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($177) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 41: 
      $1=0; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 49; break; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 42: 
      var $180=__ZN2js11TokenStream8getTokenEv($ts); //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $tt=$180; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $181=$tt; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $182=(($181)|0)==0; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($182) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 43: 
      __label__ = 47; break; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 44: 
      var $185=$tt; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $186=(($185)|0)!=3; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($186) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 45: 
      var $188=$2; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $189=$tt; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $190=__ZL11OnBadFormalP9JSContextN2js9TokenKindE($188, $189); //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $191=(($190)&1); //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$191; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 49; break; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 46: 
      var $193=__ZN2js11TokenStream8getTokenEv($ts); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $tt=$193; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 30; break; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 47: 
      __label__ = 48; break; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 48: 
      $5=0; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 49; break; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 49: 
      FUNCTION_TABLE[__ZN2js11TokenStreamD1Ev]($ts); //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 50; break;
    case 50: 
      __ZN2js18AutoArenaAllocatorD1Ev($aaa); //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $cleanup_dest4=$5;
      if ((($cleanup_dest4)|0) == 0) {
        __label__ = 51; break;
      }
      else if ((($cleanup_dest4)|0) == 1) {
        __label__ = 61; break;
      }
      else {
      __label__ = 62; break;
      }
      
    case 51: 
      __label__ = 52; break; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 52: 
      __ZN2JS6AnchorIP8JSStringEC1ES2_($strAnchor, 0); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $200=$3; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $201=(($200)|0)!=0; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($201) { __label__ = 53; break; } else { __label__ = 56; break; } //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 53: 
      var $203=$2; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $204=$3; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $205=(($204-1)|0); //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $206=$argv; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $207=(($206+($205<<3))|0); //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $208=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($203, $207); //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($str)>>2)]=$208; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $209=HEAP32[(($str)>>2)]; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $210=(($209)|0)!=0; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($210) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 54: 
      $1=0; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 60; break; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 55: 
      __ZN2JS6AnchorIP8JSStringE3setERKS2_($strAnchor, $str); //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $213=HEAP32[(($str)>>2)]; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $214=$2; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $215=__ZN8JSString8getCharsEP9JSContext($213, $214); //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $chars=$215; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $216=HEAP32[(($str)>>2)]; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $217=__ZNK8JSString6lengthEv($216); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $length=$217; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 57; break; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 56: 
      var $219=$2; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $220=(($219+52)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $221=HEAP32[(($220)>>2)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $222=(($221+144136)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $223=HEAP32[(($222)>>2)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $224=$223; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $225=__ZNK14JSLinearString5charsEv($224); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $chars=$225; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $length=0; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 57; break;
    case 57: 
      var $227=$2; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $228=$global; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $229=$228; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $230=$2; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $231=(($230+52)|0); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $233=(($232+209948)|0); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $234=(($233+220)|0); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $235=HEAP32[(($234)>>2)]; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $236=$235; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $237=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($227, 0, 0, 0, 16392, $229, $236); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$237; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $238=$fun; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $239=(($238)|0)!=0; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($239) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 58: 
      $1=0; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 60; break; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 59: 
      var $242=$2; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $243=__ZN2js25PrincipalsForCompiledCodeERKNS_8CallArgsEP9JSContext($call, $242); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $principals=$243; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $244=$2; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $245=$fun; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $246=$principals; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $247=$chars; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $248=$length; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $249=$filename; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $250=HEAP32[(($lineno)>>2)]; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $251=$2; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $252=__ZNK9JSContext11findVersionEv($251); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $253=__ZN2js8Compiler19compileFunctionBodyEP9JSContextP10JSFunctionP12JSPrincipalsPNS_8BindingsEPKtjPKcj9JSVersion($244, $245, $246, $bindings, $247, $248, $249, $250, $252); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $254=(($253)&1); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $ok=$254; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $255=$call; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $256=__ZNK2js12CallReceiver4rvalEv($255); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $257=$fun; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $258=$257; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setObjectER8JSObject($256, $258); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $259=$ok; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $260=(($259) & 1); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $261=(($260)&1); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$261; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $5=1;
      __label__ = 60; break; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 60: 
      __ZN2JS6AnchorIP8JSStringED1Ev($strAnchor); //@line 2294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 61; break;
    case 61: 
      var $264=$1; //@line 2294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $264; //@line 2294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 62: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8FunctionEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2jsL3MinIPN2JS5ValueEEET_S4_S4_($t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t1;
  $2=$t2;
  var $3=$1; //@line 309 "./jstl.h"
  var $4=$2; //@line 309 "./jstl.h"
  var $5=(($3)>>>0) < (($4)>>>0); //@line 309 "./jstl.h"
  var $6=$1; //@line 309 "./jstl.h"
  var $7=$2; //@line 309 "./jstl.h"
  var $8=$5 ? $6 : $7; //@line 309 "./jstl.h"
  ;
  return $8; //@line 309 "./jstl.h"
}


function __ZNK2js8Bindings11countUpvarsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 198 "./jsscript.h"
  var $4=HEAP16[(($3)>>1)]; //@line 198 "./jsscript.h"
  ;
  return $4; //@line 198 "./jsscript.h"
}


function __ZNK2js8Bindings9hasUpvarsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 204 "./jsscript.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 204 "./jsscript.h"
  var $5=(($4)&65535); //@line 204 "./jsscript.h"
  var $6=(($5)|0) > 0; //@line 204 "./jsscript.h"
  ;
  return $6; //@line 204 "./jsscript.h"
}


function __ZNK8JSObject10isDelegateEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 576 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 576 "./jsobj.h"
  var $5=$4 & 1; //@line 576 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 576 "./jsobj.h"
  var $7=$6 ^ 1; //@line 576 "./jsobj.h"
  var $8=$7 ^ 1; //@line 576 "./jsobj.h"
  ;
  return $8; //@line 576 "./jsobj.h"
}


function __ZN8JSObject13clearDelegateEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 578 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 578 "./jsobj.h"
  var $5=$4 & -2; //@line 578 "./jsobj.h"
  HEAP32[(($3)>>2)]=$5; //@line 578 "./jsobj.h"
  ;
  return; //@line 578 "./jsobj.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __Z22js_CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectS4_($cx, $fun, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $clone;
      var $cfun;
      var $script;
      var $cscript;
      $2=$cx;
      $3=$fun;
      $4=$parent;
      $5=$proto;
      var $6=$2; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6+56)|0); //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$3; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$9; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZNK2js2gc4Cell11compartmentEv($10); //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=(($8)|0)==(($11)|0); //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $14=$2; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=$5; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$4; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_1314($14, __ZN2js13FunctionClassE, $15, $16); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $clone=$17; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$clone; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18)|0)!=0; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      $1=0; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $22=$3; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$22; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=__ZNK8JSObject8getProtoEv($23); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$5; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=(($24)|0)==(($25)|0); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $28=$3; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$28; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=__ZNK8JSObject16hasSingletonTypeEv($29); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $32=$clone; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$3; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$33; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=__ZNK8JSObject4typeEv($34); //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $35); //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $37=$clone; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$3; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$38; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject10setPrivateEPv($37, $39); //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break; //@line 2407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $41=$2; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=$4; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=__ZN2jsL11NewFunctionEP9JSContextP8JSObject($41, $42); //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $clone=$43; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$clone; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=(($44)|0)!=0; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      $1=0; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $48=$clone; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$48; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $cfun=$49; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$3; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=(($50+56)|0); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=HEAP16[(($51)>>1)]; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=$cfun; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=(($53+56)|0); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($54)>>1)]=$52; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$3; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=(($55+58)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=HEAP16[(($56)>>1)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=$cfun; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=(($58+58)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP16[(($59)>>1)]=$57; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$cfun; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=(($60+60)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=$3; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=$62; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=__ZNK8JSObject18getFunctionPrivateEv($63); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=(($64+60)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=$61; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=$65; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($66)>>2)]=HEAP32[(($67)>>2)];HEAP32[(($66+4)>>2)]=HEAP32[(($67+4)>>2)];HEAP32[(($66+8)>>2)]=HEAP32[(($67+8)>>2)]; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=$3; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=(($68+72)|0); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$cfun; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=(($71+72)|0); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($72)>>2)]=$70; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=$clone; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=$cfun; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=$74; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject10setPrivateEPv($73, $75); //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=$cfun; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=__ZNK10JSFunction13isInterpretedEv($76); //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($77) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $79=$cfun; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80=__ZNK10JSFunction6scriptEv($79); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $script=$80; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=$cfun; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=(($81+60)|0); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $83=$82; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $84=(($83)|0); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($84)>>2)]=0; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $85=$2; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $86=$script; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=__Z14js_CloneScriptP9JSContextP8JSScript($85, $86); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $cscript=$87; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $88=$cscript; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $89=(($88)|0)!=0; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($89) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      $1=0; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $92=$cscript; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $93=$cfun; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $94=(($93+60)|0); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $95=$94; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $96=(($95)|0); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($96)>>2)]=$92; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $97=$cfun; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $98=(($97+60)|0); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $99=$98; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $100=(($99)|0); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $102=$2; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $103=$cfun; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $104=__ZN8JSScript15typeSetFunctionEP9JSContextP10JSFunctionb($101, $102, $103, 0); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($104) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      $1=0; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $107=$cfun; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $108=__ZNK10JSFunction6scriptEv($107); //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $109=$cfun; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $110=$109; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSScript14setOwnerObjectEP8JSObject($108, $110); //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $111=$2; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $112=$cfun; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $113=__ZNK10JSFunction6scriptEv($112); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $114=$cfun; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z20js_CallNewScriptHookP9JSContextP8JSScriptP10JSFunction($111, $113, $114); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $115=$2; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $116=$cfun; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $117=__ZNK10JSFunction6scriptEv($116); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $118=$cfun; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $119=$118; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js8Debugger11onNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE($115, $117, $119, 1); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $122=$clone; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$122; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 18; break; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $124=$1; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $124; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z22js_CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectS4_["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_1314($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1309 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1309 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1309 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1309 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1309 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb1337($9, 0); //@line 1309 "./jsobjinlines.h"
  $kind=$10; //@line 1309 "./jsobjinlines.h"
  var $11=$1; //@line 1310 "./jsobjinlines.h"
  var $12=$2; //@line 1310 "./jsobjinlines.h"
  var $13=$3; //@line 1310 "./jsobjinlines.h"
  var $14=$4; //@line 1310 "./jsobjinlines.h"
  var $15=$kind; //@line 1310 "./jsobjinlines.h"
  var $16=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1338($11, $12, $13, $14, $15); //@line 1310 "./jsobjinlines.h"
  ;
  return $16; //@line 1310 "./jsobjinlines.h"
}


function __ZN2js8Debugger11onNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE($cx, $script, $obj, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$cx;
      $2=$script;
      $3=$obj;
      $4=$kind;
      var $5=$2; //@line 570 "./vm/Debugger.h"
      var $6=$5; //@line 570 "./vm/Debugger.h"
      var $7=__ZNK2js2gc4Cell11compartmentEv($6); //@line 570 "./vm/Debugger.h"
      var $8=__ZN13JSCompartment12getDebuggeesEv($7); //@line 570 "./vm/Debugger.h"
      var $9=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($8); //@line 570 "./vm/Debugger.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 570 "./vm/Debugger.h"
    case 2: 
      var $11=$1; //@line 571 "./vm/Debugger.h"
      var $12=$2; //@line 571 "./vm/Debugger.h"
      var $13=$3; //@line 571 "./vm/Debugger.h"
      var $14=$4; //@line 571 "./vm/Debugger.h"
      __ZN2js8Debugger19slowPathOnNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE($11, $12, $13, $14); //@line 571 "./vm/Debugger.h"
      __label__ = 3; break; //@line 571 "./vm/Debugger.h"
    case 3: 
      ;
      return; //@line 572 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z19js_AllocFlatClosureP9JSContextP10JSFunctionP8JSObject($cx, $fun, $scopeChain) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $closure;
      var $nslots;
      var $upvars;
      $2=$cx;
      $3=$fun;
      $4=$scopeChain;
      var $5=$2; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$3; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$4; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb($5, $6, $7, 1); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $closure=$8; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$closure; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=(($9)|0)!=0; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $12=$closure; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$12; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $14=$3; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZNK10JSFunction6scriptEv($14); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15+64)|0); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=__ZNK2js8Bindings11countUpvarsEv($16); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=(($17)&65535); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $nslots=$18; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=$nslots; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=(($19)|0)==0; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $22=$closure; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$22; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $24=$2; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$nslots; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=((($25<<3))|0); //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZN9JSContext7malloc_Ej($24, $26); //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$27; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $upvars=$28; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$upvars; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29)|0)!=0; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      $1=0; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $33=$closure; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$upvars; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject20setFlatClosureUpvarsEPN2JS5ValueE($33, $34); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$closure; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$35; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $37=$1; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $37; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_AllocFlatClosureP9JSContextP10JSFunctionP8JSObject["X"]=1;

function __ZN8JSObject20setFlatClosureUpvarsEPN2JS5ValueE($this, $upvars) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$upvars;
  var $4=$1;
  var $5=$2; //@line 650 "./jsobjinlines.h"
  var $6=$5; //@line 650 "./jsobjinlines.h"
  __ZN2JSL12PrivateValueEPv1335($3, $6); //@line 650 "./jsobjinlines.h"
  __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($4, 0, $3); //@line 650 "./jsobjinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 651 "./jsobjinlines.h"
}


function __Z17js_NewFlatClosureP9JSContextP10JSFunction4JSOpj($cx, $fun, $op, $oplen) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $scopeChain;
      var $closure;
      var $upvars;
      var $level;
      var $uva;
      var $i;
      var $n;
      var $6=__stackBase__;
      $2=$cx;
      $3=$fun;
      $4=$op;
      $5=$oplen;
      var $7=$2; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK9JSContext2fpEv($7); //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK2js10StackFrame10scopeChainEv($8); //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $scopeChain=$9; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$2; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$3; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$scopeChain; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__Z19js_AllocFlatClosureP9JSContextP10JSFunctionP8JSObject($10, $11, $12); //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $closure=$13; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$closure; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=(($14)|0)!=0; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $17=$3; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=__ZNK10JSFunction6scriptEv($17); //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18+64)|0); //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=__ZNK2js8Bindings9hasUpvarsEv($19); //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $22=$closure; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$22; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $24=$closure; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=__ZNK8JSObject20getFlatClosureUpvarsEv($24); //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $upvars=$25; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$3; //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZNK10JSFunction6scriptEv($26); //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($27+46)|0); //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=HEAPU16[(($28)>>1)]; //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29)&65535); //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $level=$30; //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$3; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=__ZNK10JSFunction6scriptEv($31); //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=__ZN8JSScript6upvarsEv($32); //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $uva=$33; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=0; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$uva; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=(($34+4)|0); //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $n=$36; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $38=$i; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$n; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=(($38)>>>0) < (($39)>>>0); //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($40) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $42=$i; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$upvars; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=(($43+($42<<3))|0); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$2; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=$level; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$i; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$uva; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=(($48)|0); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=(($50+($47<<2))|0); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$6; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=$51; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)]; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=__ZN2js8GetUpvarEP9JSContextjNS_11UpvarCookieE($45, $46, $6); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$44; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$54; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $58=$i; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $59=(($58+1)|0); //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $i=$59; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $61=$closure; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$61; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $63=$1; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_NewFlatClosureP9JSContextP10JSFunction4JSOpj["X"]=1;

function __Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj($cx, $obj, $id, $native, $nargs, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $gop;
      var $sop;
      var $fun;
      var $wasDelegate;
      var $8=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$native;
      $6=$nargs;
      $7=$attrs;
      var $9=$7; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$9 & 4096; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10)|0)!=0; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $13=$7; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$13 & -4097; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $7=$14; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $gop=8; //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $sop=10; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      $gop=0; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $sop=0; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break;
    case 4: 
      var $17=$3; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=__ZNK8JSObject10isDelegateEv($17); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=(($18)&1); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $wasDelegate=$19; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$2; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$5; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$6; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=$7; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$23 & 10232; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$3; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$4; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZL12JSID_IS_ATOMi1319($26); //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=(($27)|0)!=0; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $30=$4; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=__ZL12JSID_TO_ATOMi1320($30); //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34 = $31;__label__ = 7; break; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $34 = 0;__label__ = 7; break; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $34; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($20, 0, $21, $22, $24, $25, $34); //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$35; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$fun; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($36)|0)!=0; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      $1=0; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 15; break; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $40=$wasDelegate; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=(($40) & 1); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($41) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $43=$3; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=__ZNK8JSObject10isDelegateEv($43); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $46=$3; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject13clearDelegateEv($46); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 12; break; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $48=$3; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$2; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$4; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=$fun; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$51; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL11ObjectValueER8JSObject1294($8, $52); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=$gop; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=$sop; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$7; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$55 & -2041; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($48, $49, $50, $8, $53, $54, $56); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $58=(($57)|0)!=0; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      $1=0; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 15; break; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $61=$fun; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$61; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 15; break; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $63=$1; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj["X"]=1;

function __ZL12JSID_IS_ATOMi1319($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING1333($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZL12JSID_TO_ATOMi1320($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING1332($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __Z18js_ValueToFunctionP9JSContextPKN2JS5ValueEj($cx, $vp, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $funobj=__stackBase__;
      $2=$cx;
      $3=$vp;
      $4=$flags;
      var $5=$3; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1303($5, $funobj); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $8=$2; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$3; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$4; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($8, $9, $10); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $12=HEAP32[(($funobj)>>2)]; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__ZNK8JSObject18getFunctionPrivateEv($12); //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$13; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $15=$1; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $15; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($cx, $vp, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $name;
      var $source;
      var $tvr=__stackBase__;
      var $error;
      var $spindex;
      var $i=__stackBase__+24;
      var $depth;
      var $simsp;
      $1=$cx;
      $2=$vp;
      $3=$flags;
      $name=0; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $source=0; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $4=$1; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $4); //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=$3; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$5 & 128; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6)|0)!=0; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$7 ? 23 : 22; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $error=$8; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$1; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10LeaveTraceEP9JSContext($9); //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $spindex=0; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$1; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($i, $10, 0); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZNK2js13FrameRegsIter4doneEv($i); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $13=$1; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZNK2js13FrameRegsIter2fpEv($i); //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=__ZNK2js10StackFrame6scriptEv($14); //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=__ZNK2js13FrameRegsIter2pcEv($i); //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=_js_ReconstructStackDepth($13, $15, $16); //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $depth=$17; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=__ZNK2js13FrameRegsIter2fpEv($i); //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZNK2js10StackFrame4baseEv($18); //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$depth; //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=(($19+($20<<3))|0); //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $simsp=$21; //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=__ZNK2js13FrameRegsIter2fpEv($i); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=__ZNK2js10StackFrame4baseEv($22); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$2; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=(($23)>>>0) <= (($24)>>>0); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $27=$2; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$simsp; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=__ZNK2js13FrameRegsIter2spEv($i); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=__ZN2jsL3MinIPN2JS5ValueEEET_S4_S4_($28, $29); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=(($27)>>>0) < (($30)>>>0); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $33=$2; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$simsp; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$33; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$34; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=(($35-$36)|0); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=(((($37)|0)/8)&-1); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $spindex=$38; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 5; break; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      __label__ = 6; break; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $41=$spindex; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=(($41)|0)!=0; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $44=$3; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$44 & 65536; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=(($45)|0)!=0; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$46 ? 1 : 0; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $spindex=$47; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $49=$1; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$error; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=$spindex; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=$2; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=$name; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=$source; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($49, 0, $50, $51, $52, 0, $53, $54); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj["X"]=1;

function __Z24js_ValueToFunctionObjectP9JSContextPN2JS5ValueEj($cx, $vp, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $funobj=__stackBase__;
      $2=$cx;
      $3=$vp;
      $4=$flags;
      var $5=$3; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1303($5, $funobj); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $8=$2; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$3; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$4; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($8, $9, $10); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $12=HEAP32[(($funobj)>>2)]; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$12; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $14=$1; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $14; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z24js_ValueToCallableObjectP9JSContextPN2JS5ValueEj($cx, $vp, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $callable;
      $2=$cx;
      $3=$vp;
      $4=$flags;
      var $5=$3; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=__ZNK2JS5Value8isObjectEv($5); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $8=$3; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK2JS5Value8toObjectEv($8); //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callable=$9; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$callable; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=__ZN8JSObject10isCallableEv($10); //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $13=$callable; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$13; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      __label__ = 5; break; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $16=$2; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$3; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=$4; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($16, $17, $18); //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 6; break; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $20=$1; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $20; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13FrameRegsIter2spEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1883 "./vm/Stack.h"
  var $4=__ZNK2js9StackIter2spEv($3); //@line 1883 "./vm/Stack.h"
  ;
  return $4; //@line 1883 "./vm/Stack.h"
}


function __ZNK2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEC2ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIP10JSFunctionEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZNK2js7MoveRefIP8JSStringEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIP8JSStringEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefIP10JSFunctionEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP10JSFunctionP8JSStringEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEENS_7MoveRefIT_EERSB_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEaSENS_7MoveRefIS8_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEaSENS_7MoveRefIS8_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP10JSFunctionP8JSStringEEEENS_7MoveRefIT_EERS8_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP10JSFunctionP8JSStringEaSENS_7MoveRefIS5_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEENS_7MoveRefIT_EERSB_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEC1ERS9_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function _js_free1329($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEC1ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEC2ERS9_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP10JSFunctionP8JSStringEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP10JSFunctionEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP10JSFunctionEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIP8JSStringEENS_7MoveRefIT_EERS4_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIP8JSStringEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP10JSFunctionP8JSStringEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIP10JSFunctionEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefIP10JSFunctionEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js4MoveIP8JSStringEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIP8JSStringEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIP8JSStringEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIP8JSStringEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefIP10JSFunctionEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIP10JSFunctionEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP10JSFunctionP8JSStringEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP10JSFunctionP8JSStringEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP10JSFunctionP8JSStringEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function _js_malloc1330($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP10JSFunctionLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1339($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js13PointerHasherIP10JSFunctionLj2EE5matchERKS2_S5_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIP10JSFunctionLj2EE4hashERKS2_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 2; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function _JSID_TO_STRING1332($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_IS_STRING1333($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1340($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EC2ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZNK2js9StackIter2spEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 1855 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1855 "./vm/Stack.h"
  ;
  return $4; //@line 1855 "./vm/Stack.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL1334($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function _PRIVATE_PTR_TO_JSVAL_IMPL1336($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$agg_result; //@line 568 "./jsval.h"
  var $3=(($2+4)|0); //@line 568 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 568 "./jsval.h"
  var $4=$1; //@line 569 "./jsval.h"
  var $5=$agg_result; //@line 569 "./jsval.h"
  var $6=(($5)|0); //@line 569 "./jsval.h"
  var $7=$6; //@line 569 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 569 "./jsval.h"
  ;
  return; //@line 571 "./jsval.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb1337($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP10JSFunctionLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E4initEj["X"]=1;

function __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES7_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES7_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES7_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EC1ESB_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EC1ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EC2ESB_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN6PutArgclEjPN2JS5ValueE($this, $0, $src) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$0;
      $4=$src;
      var $5=$2;
      var $6=(($5)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK2JS5Value7isMagicE10JSWhyMagic($7, 1); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $10=(($5)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$4; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$11; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$12; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 3; break; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $16=(($5)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=(($17+8)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($16)>>2)]=$18; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return 1; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL9NullValueEv1331($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZN2JSL12PrivateValueEPv1335($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$1; //@line 766 "./jsapi.h"
  __ZN2JS5Value10setPrivateEPv($agg_result, $2); //@line 766 "./jsapi.h"
  ;
  return; //@line 767 "./jsapi.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1338($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1339($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1340($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1338["X"]=1;

function _js_calloc1341($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE1342($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_1343($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$2; //@line 1446 "./jsobjinlines.h"
      var $31=__Z16js_NewGCFunctionP9JSContext($30); //@line 1446 "./jsobjinlines.h"
      var $32=$31; //@line 1446 "./jsobjinlines.h"
      $obj=$32; //@line 1446 "./jsobjinlines.h"
      var $33=$obj; //@line 1447 "./jsobjinlines.h"
      var $34=(($33)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($34) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1447 "./jsobjinlines.h"
    case 11: 
      __label__ = 22; break; //@line 1448 "./jsobjinlines.h"
    case 12: 
      var $37=$obj; //@line 1457 "./jsobjinlines.h"
      var $38=$2; //@line 1457 "./jsobjinlines.h"
      var $39=$3; //@line 1457 "./jsobjinlines.h"
      var $40=$type; //@line 1457 "./jsobjinlines.h"
      var $41=$5; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 13: 
      var $44=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $45=(($44)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($45) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 14: 
      var $47=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $48=__ZNK8JSObject9getParentEv($47); //@line 1458 "./jsobjinlines.h"
      var $52 = $48;__label__ = 16; break; //@line 1458 "./jsobjinlines.h"
    case 15: 
      var $50=$5; //@line 1458 "./jsobjinlines.h"
      var $52 = $50;__label__ = 16; break; //@line 1458 "./jsobjinlines.h"
    case 16: 
      var $52; //@line 1458 "./jsobjinlines.h"
      var $53=$3; //@line 1458 "./jsobjinlines.h"
      var $54=(($53)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($37, $38, $39, $40, $52, 0, $54); //@line 1458 "./jsobjinlines.h"
      var $55=$3; //@line 1461 "./jsobjinlines.h"
      var $56=__ZNK2js5Class8isNativeEv($55); //@line 1461 "./jsobjinlines.h"
      if ($56) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 1461 "./jsobjinlines.h"
    case 17: 
      var $58=$2; //@line 1462 "./jsobjinlines.h"
      var $59=$obj; //@line 1462 "./jsobjinlines.h"
      var $60=$3; //@line 1462 "./jsobjinlines.h"
      var $61=$type; //@line 1462 "./jsobjinlines.h"
      var $62=$6; //@line 1462 "./jsobjinlines.h"
      var $63=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE1344($58, $59, $60, $61, $62); //@line 1462 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1462 "./jsobjinlines.h"
    case 18: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 22; break; //@line 1464 "./jsobjinlines.h"
    case 19: 
      __label__ = 21; break; //@line 1466 "./jsobjinlines.h"
    case 20: 
      var $67=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($67); //@line 1467 "./jsobjinlines.h"
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $70=$2; //@line 1471 "./jsobjinlines.h"
      var $71=$obj; //@line 1471 "./jsobjinlines.h"
      var $72=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($70, $71); //@line 1471 "./jsobjinlines.h"
      var $73=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$73; //@line 1472 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1472 "./jsobjinlines.h"
    case 23: 
      var $75=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $75; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE1342["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_1343($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE1345($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16CheckScriptOwnerEP8JSScriptP8JSObject($script, $owner) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$script;
  $2=$owner;
  ;
  return; //@line 886 "./jsscript.h"
}


function __ZN2jsL16CastAsPropertyOpEP8JSObject1357($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 80 "./jsobj.h"
  var $3=$2; //@line 80 "./jsobj.h"
  var $4=$3; //@line 80 "./jsobj.h"
  ;
  return $4; //@line 80 "./jsobj.h"
}


function __ZN2jsL22CastAsStrictPropertyOpEP8JSObject1358($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 86 "./jsobj.h"
  var $3=$2; //@line 86 "./jsobj.h"
  var $4=$3; //@line 86 "./jsobj.h"
  ;
  return $4; //@line 86 "./jsobj.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE1345($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_STRING_IMPL1346($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL1347($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL1349($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _PRIVATE_UINT32_TO_JSVAL_IMPL($agg_result, $ui) {
  ;
  var __label__;

  var $1;
  $1=$ui;
  var $2=$agg_result; //@line 646 "./jsval.h"
  var $3=(($2+4)|0); //@line 646 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 646 "./jsval.h"
  var $4=$1; //@line 647 "./jsval.h"
  var $5=$agg_result; //@line 647 "./jsval.h"
  var $6=(($5)|0); //@line 647 "./jsval.h"
  var $7=$6; //@line 647 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 647 "./jsval.h"
  ;
  return; //@line 649 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL1351($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL1352($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_UINT32_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 655 "./jsval.h"
  var $2=(($1)|0); //@line 655 "./jsval.h"
  var $3=$2; //@line 655 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 655 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 655 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL1353($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL1354($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL1355($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function __ZNK8JSObject15isBoundFunctionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 580 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 580 "./jsobj.h"
  var $5=$4 & 1024; //@line 580 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 580 "./jsobj.h"
  var $7=$6 ^ 1; //@line 580 "./jsobj.h"
  var $8=$7 ^ 1; //@line 580 "./jsobj.h"
  ;
  return $8; //@line 580 "./jsobj.h"
}


function _JSVAL_IS_DOUBLE_IMPL1356($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function __ZNK10JSFunction19isFunctionPrototypeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+58)|0); //@line 136 "./jsfun.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 136 "./jsfun.h"
  var $5=(($4)&65535); //@line 136 "./jsfun.h"
  var $6=$5 & 2048; //@line 136 "./jsfun.h"
  var $7=(($6)|0)!=0; //@line 136 "./jsfun.h"
  ;
  return $7; //@line 136 "./jsfun.h"
}


function __ZNK10JSFunction8joinableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+58)|0); //@line 164 "./jsfun.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 164 "./jsfun.h"
  var $5=(($4)&65535); //@line 164 "./jsfun.h"
  var $6=$5 & 1; //@line 164 "./jsfun.h"
  var $7=(($6)|0)!=0; //@line 164 "./jsfun.h"
  ;
  return $7; //@line 164 "./jsfun.h"
}


function _JSVAL_IS_STRING_IMPL1360($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL1361($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _BUILD_JSVAL1362($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZNK2js10StackFrame19isFloatingGeneratorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1047 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1047 "./vm/Stack.h"
  var $5=$4 & 64; //@line 1047 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1047 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1047 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1047 "./vm/Stack.h"
  ;
  return $8; //@line 1047 "./vm/Stack.h"
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE1344($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE1344["X"]=1;

function __ZN2JSL12BooleanValueEb1348($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv1350($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN8JSObject17initBoundFunctionEP9JSContextRKN2JS5ValueEPS4_j($this, $cx, $thisArg, $args, $argslen) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      var $empty;
      $2=$this;
      $3=$cx;
      $4=$thisArg;
      $5=$args;
      $6=$argslen;
      var $8=$2;
      var $9=(($8+8)|0); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=$10 | 1024; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($9)>>2)]=$11; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=$4; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($8, 0, $12); //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$6; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JSL18PrivateUint32ValueEj($7, $13); //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($8, 1, $7); //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$6; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=(($14)|0)!=0; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $17=$3; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=__ZNK8JSObject8getClassEv($8); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($17, $18); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $empty=$19; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$empty; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=(($20)|0)!=0; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      $1=0; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $24=$6; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$empty; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$25; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=(($26+4)|0); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=(($28+$24)|0); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP32[(($27)>>2)]=$29; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$empty; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$30; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($8, $31); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$3; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$6; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=__ZN8JSObject27ensureInstanceReservedSlotsEP9JSContextj($8, $32, $33); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      $1=0; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $37=$5; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=$6; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj($8, 2, $37, $38); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      $1=1; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $41=$1; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject17initBoundFunctionEP9JSContextRKN2JS5ValueEPS4_j["X"]=1;

function __ZN2JSL18PrivateUint32ValueEj($agg_result, $ui) {
  ;
  var __label__;

  var $1;
  $1=$ui;
  var $2=$1; //@line 774 "./jsapi.h"
  __ZN2JS5Value16setPrivateUint32Ej($agg_result, $2); //@line 774 "./jsapi.h"
  ;
  return; //@line 775 "./jsapi.h"
}


function __ZN2JS5Value16setPrivateUint32Ej($this, $ui) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$ui;
  var $4=$1;
  var $5=(($4)|0); //@line 626 "./jsapi.h"
  var $6=$2; //@line 626 "./jsapi.h"
  _PRIVATE_UINT32_TO_JSVAL_IMPL($3, $6); //@line 626 "./jsapi.h"
  var $7=$5; //@line 626 "./jsapi.h"
  var $8=$3; //@line 626 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 626 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 627 "./jsapi.h"
}


function __ZNK2JS5Value15toPrivateUint32Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 632 "./jsapi.h"
  var $5=$2; //@line 632 "./jsapi.h"
  var $6=$4; //@line 632 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 632 "./jsapi.h"
  var $7=_JSVAL_TO_PRIVATE_UINT32_IMPL($2); //@line 632 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 632 "./jsapi.h"
}


function __ZN8JSObject27finalizeUpvarsIfFlatClosureEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $fun;
      var $v;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject18getFunctionPrivateEv($2); //@line 616 "./jsobjinlines.h"
      $fun=$3; //@line 616 "./jsobjinlines.h"
      var $4=$fun; //@line 617 "./jsobjinlines.h"
      var $5=(($4)|0)!=0; //@line 617 "./jsobjinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 617 "./jsobjinlines.h"
    case 2: 
      var $7=$fun; //@line 617 "./jsobjinlines.h"
      var $8=$7; //@line 617 "./jsobjinlines.h"
      var $9=(($8)|0)!=(($2)|0); //@line 617 "./jsobjinlines.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 617 "./jsobjinlines.h"
    case 3: 
      var $11=$fun; //@line 617 "./jsobjinlines.h"
      var $12=__ZNK10JSFunction13isFlatClosureEv($11); //@line 617 "./jsobjinlines.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 617 "./jsobjinlines.h"
    case 4: 
      var $14=__ZNK8JSObject7getSlotEj($2, 0); //@line 618 "./jsobjinlines.h"
      $v=$14; //@line 618 "./jsobjinlines.h"
      var $15=$v; //@line 619 "./jsobjinlines.h"
      var $16=__ZNK2JS5Value8isDoubleEv($15); //@line 619 "./jsobjinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 619 "./jsobjinlines.h"
    case 5: 
      var $18=$v; //@line 620 "./jsobjinlines.h"
      var $19=__ZNK2JS5Value9toPrivateEv($18); //@line 620 "./jsobjinlines.h"
      __ZN2js10Foreground5free_EPv($19); //@line 620 "./jsobjinlines.h"
      __label__ = 6; break; //@line 620 "./jsobjinlines.h"
    case 6: 
      __label__ = 7; break; //@line 621 "./jsobjinlines.h"
    case 7: 
      ;
      return; //@line 622 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject17getThrowTypeErrorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject9getGlobalEv($2); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $4=__ZNK2js12GlobalObject17getThrowTypeErrorEv($3); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return $4; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function __ZL15fun_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $fun;
      var $fp;
      var $frame;
      var $caller;
      var $callerFun;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      __label__ = 2; break; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $7=$3; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK8JSObject10isFunctionEv($7); //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=$8 ^ 1; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $11=$3; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=__ZNK8JSObject8getProtoEv($11); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $3=$12; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$3; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=(($13)|0)!=0; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=1; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      __label__ = 2; break; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $18=$3; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=__ZNK8JSObject18getFunctionPrivateEv($18); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fun=$19; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$fun; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=__ZNK10JSFunction13isInterpretedEv($20); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $23=$fun; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=__ZNK10JSFunction6scriptEv($23); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $25=$24; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=(($25+38)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=HEAP8[($26)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$27 & -5; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$28 | 4; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      HEAP8[($26)]=$29; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$2; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $31=$fun; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$31; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($30, $32, 1048576); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $34=$5; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value7setNullEv($34); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$2; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1359($35, 0); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$36; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=$fp; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=(($37)|0)!=0; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      $1=1; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      __label__ = 11; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $42=$fp; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=__ZNK2js10StackFrame15isFunctionFrameEv($42); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($43) { __label__ = 12; break; } else { var $50 = 1;__label__ = 13; break; } //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $45=$fp; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=__ZNK2js10StackFrame3funEv($45); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$fun; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=(($46)|0)!=(($47)|0); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50 = $48;__label__ = 13; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $50;
      if ($50) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $52=$fp; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=__ZNK2js10StackFrame4prevEv($52); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$53; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=$fp; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=(($54)|0)!=0; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($55) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      $1=1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      __label__ = 11; break; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 17: 
      var $59=$4; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$2; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=(($60+52)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $63=(($62+209948)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=(($63+228)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=$65; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=__ZL12JSID_IS_ATOMiP6JSAtom1287($59, $66); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=(($67)|0)!=0; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($68) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 18: 
      var $70=$2; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=_JS_ReportErrorFlagsAndNumber($70, 5, 2, 0, 158, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_arguments_str)|0),tempInt)); //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=(($71)|0)!=0; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($72) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      $1=0; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 20: 
      var $75=$2; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=$fp; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=$5; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $78=__Z15js_GetArgsValueP9JSContextPN2js10StackFrameEPN2JS5ValueE($75, $76, $77); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=$78; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 21: 
      var $80=$4; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $81=$2; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $82=(($81+52)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $84=(($83+209948)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $85=(($84+248)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $87=$86; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $88=__ZL12JSID_IS_ATOMiP6JSAtom1287($80, $87); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $89=(($88)|0)!=0; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($89) { __label__ = 22; break; } else { __label__ = 38; break; } //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 22: 
      var $91=$fp; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $92=__ZNK2js10StackFrame4prevEv($91); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $93=(($92)|0)!=0; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 23: 
      $1=1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 24: 
      var $96=$2; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $97=$fp; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $98=__ZNK2js10StackFrame4prevEv($97); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $99=__Z20js_GetScriptedCallerP9JSContextPN2js10StackFrameE($96, $98); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $frame=$99; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $100=$frame; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $101=(($100)|0)!=0; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($101) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 25: 
      var $103=$frame; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $104=$2; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $105=$5; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $106=__ZN2js10StackFrame20getValidCalleeObjectEP9JSContextPN2JS5ValueE($103, $104, $105); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($106) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 26: 
      $1=0; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 27: 
      var $109=$5; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $110=__ZNK2JS5Value8isObjectEv($109); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($110) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 28: 
      $1=1; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 29: 
      var $113=$5; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $114=__ZNK2JS5Value8toObjectEv($113); //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $caller=$114; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $115=$caller; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $116=$115; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $117=__ZNK2js2gc4Cell11compartmentEv($116); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $118=$2; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $119=(($118+56)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $121=(($117)|0)!=(($120)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($121) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 30: 
      var $123=$5; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value7setNullEv($123); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 37; break; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 31: 
      var $125=$caller; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $126=__ZNK8JSObject10isFunctionEv($125); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($126) { __label__ = 32; break; } else { __label__ = 36; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 32: 
      var $128=$caller; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $129=__ZNK8JSObject18getFunctionPrivateEv($128); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callerFun=$129; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $130=$callerFun; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $131=__ZNK10JSFunction13isInterpretedEv($130); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($131) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 33: 
      var $133=$callerFun; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $134=__ZNK10JSFunction12inStrictModeEv($133); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($134) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 34: 
      var $136=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $137=_JS_ReportErrorFlagsAndNumber($136, 0, 2, 0, 256, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 35: 
      __label__ = 36; break; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 36: 
      __label__ = 37; break;
    case 37: 
      $1=1; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 38: 
      $1=0; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 39; break; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 39: 
      var $143=$1; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $143; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15fun_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE["X"]=1;

function __ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1359($cx, $expand) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$expand;
  var $3=$1; //@line 2346 "./jscntxt.h"
  __ZN2js10LeaveTraceEP9JSContext($3); //@line 2346 "./jscntxt.h"
  var $4=$1; //@line 2353 "./jscntxt.h"
  var $5=__ZNK9JSContext7maybefpEv($4); //@line 2353 "./jscntxt.h"
  ;
  return $5; //@line 2353 "./jscntxt.h"
}


function __ZNK2js12GlobalObject17getThrowTypeErrorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 207 "./vm/GlobalObject.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 111); //@line 207 "./vm/GlobalObject.h"
  var $5=__ZNK2JS5Value8toObjectEv($4); //@line 207 "./vm/GlobalObject.h"
  ;
  return $5; //@line 207 "./vm/GlobalObject.h"
}


function __ZN8JSObject11hasPropertyEP9JSContextiPbj($this, $cx, $id, $foundp, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $rf=__stackBase__+8;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$id;
      $5=$foundp;
      $6=$flags;
      var $8=$2;
      var $9=$3; //@line 921 "./jsobjinlines.h"
      var $10=$6; //@line 921 "./jsobjinlines.h"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $9, $10); //@line 921 "./jsobjinlines.h"
      var $11=$3; //@line 922 "./jsobjinlines.h"
      var $12=$4; //@line 922 "./jsobjinlines.h"
      var $13=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($8, $11, $12, $pobj, $prop); //@line 922 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 922 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 922 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 923 "./jsobjinlines.h"
      $7=1;
      __label__ = 4; break; //@line 923 "./jsobjinlines.h"
    case 3: 
      var $17=HEAP32[(($prop)>>2)]; //@line 924 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 924 "./jsobjinlines.h"
      var $19=$18 ^ 1; //@line 924 "./jsobjinlines.h"
      var $20=$19 ^ 1; //@line 924 "./jsobjinlines.h"
      var $21=$5; //@line 924 "./jsobjinlines.h"
      var $22=(($20)&1); //@line 924 "./jsobjinlines.h"
      HEAP8[($21)]=$22; //@line 924 "./jsobjinlines.h"
      $1=1; //@line 925 "./jsobjinlines.h"
      $7=1;
      __label__ = 4; break; //@line 925 "./jsobjinlines.h"
    case 4: 
      __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 926 "./jsobjinlines.h"
      var $24=$1; //@line 926 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $24; //@line 926 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18MaybeMarkGeneratorP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fp;
      var $genobj;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $5=$4; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$5; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $6=$fp; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=(($6)|0)!=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $9=$fp; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=__ZNK2js10StackFrame19isFloatingGeneratorEv($9); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $12=$fp; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__Z27js_FloatingFrameToGeneratorPN2js10StackFrameE($12); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=(($13)|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $genobj=$15; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$1; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$genobj; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($16, $17, ((STRING_TABLE.__str91278)|0)); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 4; break; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      ;
      return; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16GetCallArgumentsEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $callobj;
      var $fp;
      var $argsobj;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $6=$3; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZN8JSObject6asCallEv($6); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$7; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$callobj; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK2js10CallObject15maybeStackFrameEv($8); //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$9; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$fp; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10)|0)!=0; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $13=$fp; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=__ZNK2js10StackFrame17hasOverriddenArgsEv($13); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($14) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $16=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $17=$fp; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=__Z16js_GetArgsObjectP9JSContextPN2js10StackFrameE($16, $17); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$18; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=$argsobj; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=(($19)|0)!=0; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      $1=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $23=$5; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=$argsobj; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value9setObjectER8JSObject($23, $24); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $26=$5; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$callobj; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=__ZNK2js10CallObject12getArgumentsEv($27); //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$26; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=$28; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break;
    case 7: 
      $1=1; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $33=$1; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $33; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript2idEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 0; //@line 601 "./jsscript.h"
}


function __ZN2js10StackFrame17setOverriddenArgsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1114 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1114 "./vm/Stack.h"
  var $5=$4 | 1024; //@line 1114 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 1114 "./vm/Stack.h"
  ;
  return; //@line 1115 "./vm/Stack.h"
}


function _JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL1369($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $type;
  var $1=$l; //@line 661 "./jsval.h"
  var $2=(($1+4)|0); //@line 661 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 661 "./jsval.h"
  var $4=$3 & 15; //@line 661 "./jsval.h"
  $type=$4; //@line 661 "./jsval.h"
  var $5=$type; //@line 663 "./jsval.h"
  var $6=(($5) & 255); //@line 663 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 663 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL1370($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZN2jsL16SetCallArgumentsEP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $callobj;
      var $fp;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$strict;
      $5=$vp;
      var $6=$2; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=__ZN8JSObject6asCallEv($6); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $callobj=$7; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=$callobj; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK2js10CallObject15maybeStackFrameEv($8); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$9; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $10=$fp; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $11=(($10)|0)!=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      var $13=$fp; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10StackFrame17setOverriddenArgsEv($13); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 3; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $15=$callobj; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=$5; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10CallObject12setArgumentsERKN2JS5ValueE($15, $16); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return 1; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10CallObject12getArgumentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 92 "./vm/CallObject-inl.h"
  var $4=__ZNK8JSObject12getFixedSlotEj($3, 1); //@line 92 "./vm/CallObject-inl.h"
  ;
  return $4; //@line 92 "./vm/CallObject-inl.h"
}


function __ZN2js5types10TypeScript8SetLocalEP9JSContextP8JSScriptjNS0_4TypeE($cx, $script, $local, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $enter=__stackBase__+4;
      var $5=__stackBase__+12;
      var $6=__stackBase__+16;
      $1=$cx;
      $2=$script;
      $3=$local;
      var $7=$1; //@line 641 "./jsinferinlines.h"
      var $8=__ZN9JSContext20typeInferenceEnabledEv($7); //@line 641 "./jsinferinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 641 "./jsinferinlines.h"
    case 2: 
      __label__ = 5; break; //@line 642 "./jsinferinlines.h"
    case 3: 
      var $11=$2; //@line 645 "./jsinferinlines.h"
      var $12=$3; //@line 645 "./jsinferinlines.h"
      var $13=__ZN2js5types10TypeScript10LocalTypesEP8JSScriptj($11, $12); //@line 645 "./jsinferinlines.h"
      var $14=$4; //@line 645 "./jsinferinlines.h"
      var $15=$type; //@line 645 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)]; //@line 645 "./jsinferinlines.h"
      var $16=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($13, $4); //@line 645 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 645 "./jsinferinlines.h"
    case 4: 
      var $18=$1; //@line 646 "./jsinferinlines.h"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $18, 0); //@line 646 "./jsinferinlines.h"
      var $19=$2; //@line 649 "./jsinferinlines.h"
      var $20=__ZN8JSScript2idEv($19); //@line 649 "./jsinferinlines.h"
      var $21=$3; //@line 649 "./jsinferinlines.h"
      var $22=$5; //@line 649 "./jsinferinlines.h"
      var $23=$type; //@line 649 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)]; //@line 649 "./jsinferinlines.h"
      var $24=__ZN2js5types10TypeStringENS0_4TypeE($5); //@line 649 "./jsinferinlines.h"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str101279)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,HEAP32[((tempInt+4)>>2)]=$21,HEAP32[((tempInt+8)>>2)]=$24,tempInt)); //@line 649 "./jsinferinlines.h"
      var $25=$2; //@line 650 "./jsinferinlines.h"
      var $26=$3; //@line 650 "./jsinferinlines.h"
      var $27=__ZN2js5types10TypeScript10LocalTypesEP8JSScriptj($25, $26); //@line 650 "./jsinferinlines.h"
      var $28=$1; //@line 650 "./jsinferinlines.h"
      var $29=$6; //@line 650 "./jsinferinlines.h"
      var $30=$type; //@line 650 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)]; //@line 650 "./jsinferinlines.h"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($27, $28, $6); //@line 650 "./jsinferinlines.h"
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 651 "./jsinferinlines.h"
      __label__ = 5; break; //@line 651 "./jsinferinlines.h"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 652 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript10LocalTypesEP8JSScriptj($script, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$script;
  $2=$i;
  var $3=$1; //@line 497 "./jsinferinlines.h"
  var $4=(($3+100)|0); //@line 497 "./jsinferinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 497 "./jsinferinlines.h"
  var $6=__ZN2js5types10TypeScript9typeArrayEv($5); //@line 497 "./jsinferinlines.h"
  var $7=$1; //@line 497 "./jsinferinlines.h"
  var $8=(($7+22)|0); //@line 497 "./jsinferinlines.h"
  var $9=HEAPU16[(($8)>>1)]; //@line 497 "./jsinferinlines.h"
  var $10=(($9)&65535); //@line 497 "./jsinferinlines.h"
  var $11=(($6+$10*12)|0); //@line 497 "./jsinferinlines.h"
  var $12=$1; //@line 497 "./jsinferinlines.h"
  var $13=$2; //@line 497 "./jsinferinlines.h"
  var $14=__ZN2js7analyzeL9LocalSlotEP8JSScriptj1368($12, $13); //@line 497 "./jsinferinlines.h"
  var $15=(($11+$14*12)|0); //@line 497 "./jsinferinlines.h"
  ;
  return $15; //@line 497 "./jsinferinlines.h"
}


function __ZN2js5types7TypeSet7hasTypeENS0_4TypeE($this, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js5types7TypeSet7unknownEv($3); //@line 925 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 925 "./jsinferinlines.h"
    case 2: 
      $1=1; //@line 926 "./jsinferinlines.h"
      __label__ = 12; break; //@line 926 "./jsinferinlines.h"
    case 3: 
      var $7=__ZNK2js5types4Type9isUnknownEv($type); //@line 928 "./jsinferinlines.h"
      if ($7) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 928 "./jsinferinlines.h"
    case 4: 
      $1=0; //@line 929 "./jsinferinlines.h"
      __label__ = 12; break; //@line 929 "./jsinferinlines.h"
    case 5: 
      var $10=__ZNK2js5types4Type11isPrimitiveEv($type); //@line 930 "./jsinferinlines.h"
      if ($10) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 930 "./jsinferinlines.h"
    case 6: 
      var $12=(($3)|0); //@line 931 "./jsinferinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 931 "./jsinferinlines.h"
      var $14=__ZNK2js5types4Type9primitiveEv($type); //@line 931 "./jsinferinlines.h"
      var $15=__ZN2js5types17PrimitiveTypeFlagE11JSValueType($14); //@line 931 "./jsinferinlines.h"
      var $16=$13 & $15; //@line 931 "./jsinferinlines.h"
      var $17=(($16)|0)!=0; //@line 931 "./jsinferinlines.h"
      var $18=$17 ^ 1; //@line 931 "./jsinferinlines.h"
      var $19=$18 ^ 1; //@line 931 "./jsinferinlines.h"
      $1=$19; //@line 931 "./jsinferinlines.h"
      __label__ = 12; break; //@line 931 "./jsinferinlines.h"
    case 7: 
      var $21=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 932 "./jsinferinlines.h"
      if ($21) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 932 "./jsinferinlines.h"
    case 8: 
      var $23=(($3)|0); //@line 933 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 933 "./jsinferinlines.h"
      var $25=$24 & 128; //@line 933 "./jsinferinlines.h"
      var $26=(($25)|0)!=0; //@line 933 "./jsinferinlines.h"
      var $27=$26 ^ 1; //@line 933 "./jsinferinlines.h"
      var $28=$27 ^ 1; //@line 933 "./jsinferinlines.h"
      $1=$28; //@line 933 "./jsinferinlines.h"
      __label__ = 12; break; //@line 933 "./jsinferinlines.h"
    case 9: 
      var $30=(($3)|0); //@line 935 "./jsinferinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 935 "./jsinferinlines.h"
      var $32=$31 & 128; //@line 935 "./jsinferinlines.h"
      var $33=(($32)|0)!=0; //@line 935 "./jsinferinlines.h"
      if ($33) { var $42 = 1;__label__ = 11; break; } else { __label__ = 10; break; } //@line 935 "./jsinferinlines.h"
    case 10: 
      var $35=(($3+4)|0); //@line 936 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 936 "./jsinferinlines.h"
      var $37=__ZNK2js5types7TypeSet15baseObjectCountEv($3); //@line 937 "./jsinferinlines.h"
      var $38=__ZNK2js5types4Type9objectKeyEv($type); //@line 937 "./jsinferinlines.h"
      var $39=__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_($36, $37, $38); //@line 937 "./jsinferinlines.h"
      var $40=(($39)|0)!=0; //@line 937 "./jsinferinlines.h"
      var $42 = $40;__label__ = 11; break; //@line 937 "./jsinferinlines.h"
    case 11: 
      var $42;
      $1=$42; //@line 937 "./jsinferinlines.h"
      __label__ = 12; break; //@line 937 "./jsinferinlines.h"
    case 12: 
      var $44=$1; //@line 939 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return $44; //@line 939 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet7hasTypeENS0_4TypeE["X"]=1;

function __ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1363($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldData;
      var $i;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 853 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 853 "./jsinferinlines.h"
      var $8=(($7)|0)==0; //@line 853 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 853 "./jsinferinlines.h"
    case 2: 
      var $10=$4; //@line 855 "./jsinferinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 855 "./jsinferinlines.h"
      var $12=(($11+1)|0); //@line 855 "./jsinferinlines.h"
      HEAP32[(($10)>>2)]=$12; //@line 855 "./jsinferinlines.h"
      var $13=$3; //@line 856 "./jsinferinlines.h"
      var $14=$13; //@line 856 "./jsinferinlines.h"
      $1=$14; //@line 856 "./jsinferinlines.h"
      __label__ = 20; break; //@line 856 "./jsinferinlines.h"
    case 3: 
      var $16=$4; //@line 859 "./jsinferinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 859 "./jsinferinlines.h"
      var $18=(($17)|0)==1; //@line 859 "./jsinferinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 859 "./jsinferinlines.h"
    case 4: 
      var $20=$3; //@line 860 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 860 "./jsinferinlines.h"
      var $22=$21; //@line 860 "./jsinferinlines.h"
      $oldData=$22; //@line 860 "./jsinferinlines.h"
      var $23=$oldData; //@line 861 "./jsinferinlines.h"
      var $24=__ZN2js5types13TypeObjectKey6getKeyEPS1_($23); //@line 861 "./jsinferinlines.h"
      var $25=$5; //@line 861 "./jsinferinlines.h"
      var $26=(($24)|0)==(($25)|0); //@line 861 "./jsinferinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 861 "./jsinferinlines.h"
    case 5: 
      var $28=$3; //@line 862 "./jsinferinlines.h"
      var $29=$28; //@line 862 "./jsinferinlines.h"
      $1=$29; //@line 862 "./jsinferinlines.h"
      __label__ = 20; break; //@line 862 "./jsinferinlines.h"
    case 6: 
      var $31=$2; //@line 864 "./jsinferinlines.h"
      var $32=(($31+344)|0); //@line 864 "./jsinferinlines.h"
      var $33=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($32, 8); //@line 864 "./jsinferinlines.h"
      var $34=$3; //@line 864 "./jsinferinlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 864 "./jsinferinlines.h"
      var $35=$3; //@line 865 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 865 "./jsinferinlines.h"
      var $37=(($36)|0)!=0; //@line 865 "./jsinferinlines.h"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 865 "./jsinferinlines.h"
    case 7: 
      var $39=$oldData; //@line 866 "./jsinferinlines.h"
      var $40=$39; //@line 866 "./jsinferinlines.h"
      var $41=$3; //@line 866 "./jsinferinlines.h"
      HEAP32[(($41)>>2)]=$40; //@line 866 "./jsinferinlines.h"
      $1=0; //@line 867 "./jsinferinlines.h"
      __label__ = 20; break; //@line 867 "./jsinferinlines.h"
    case 8: 
      var $43=$3; //@line 869 "./jsinferinlines.h"
      var $44=HEAP32[(($43)>>2)]; //@line 869 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1364($44, 8); //@line 869 "./jsinferinlines.h"
      var $45=$4; //@line 870 "./jsinferinlines.h"
      var $46=HEAP32[(($45)>>2)]; //@line 870 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 870 "./jsinferinlines.h"
      HEAP32[(($45)>>2)]=$47; //@line 870 "./jsinferinlines.h"
      var $48=$oldData; //@line 872 "./jsinferinlines.h"
      var $49=$3; //@line 872 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 872 "./jsinferinlines.h"
      var $51=(($50)|0); //@line 872 "./jsinferinlines.h"
      HEAP32[(($51)>>2)]=$48; //@line 872 "./jsinferinlines.h"
      var $52=$3; //@line 873 "./jsinferinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 873 "./jsinferinlines.h"
      var $54=(($53+4)|0); //@line 873 "./jsinferinlines.h"
      $1=$54; //@line 873 "./jsinferinlines.h"
      __label__ = 20; break; //@line 873 "./jsinferinlines.h"
    case 9: 
      var $56=$4; //@line 876 "./jsinferinlines.h"
      var $57=HEAPU32[(($56)>>2)]; //@line 876 "./jsinferinlines.h"
      var $58=(($57)>>>0) <= 8; //@line 876 "./jsinferinlines.h"
      if ($58) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 876 "./jsinferinlines.h"
    case 10: 
      $i=0; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 11: 
      var $61=$i; //@line 877 "./jsinferinlines.h"
      var $62=$4; //@line 877 "./jsinferinlines.h"
      var $63=HEAPU32[(($62)>>2)]; //@line 877 "./jsinferinlines.h"
      var $64=(($61)>>>0) < (($63)>>>0); //@line 877 "./jsinferinlines.h"
      if ($64) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 877 "./jsinferinlines.h"
    case 12: 
      var $66=$i; //@line 878 "./jsinferinlines.h"
      var $67=$3; //@line 878 "./jsinferinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 878 "./jsinferinlines.h"
      var $69=(($68+($66<<2))|0); //@line 878 "./jsinferinlines.h"
      var $70=HEAP32[(($69)>>2)]; //@line 878 "./jsinferinlines.h"
      var $71=__ZN2js5types13TypeObjectKey6getKeyEPS1_($70); //@line 878 "./jsinferinlines.h"
      var $72=$5; //@line 878 "./jsinferinlines.h"
      var $73=(($71)|0)==(($72)|0); //@line 878 "./jsinferinlines.h"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 878 "./jsinferinlines.h"
    case 13: 
      var $75=$i; //@line 879 "./jsinferinlines.h"
      var $76=$3; //@line 879 "./jsinferinlines.h"
      var $77=HEAP32[(($76)>>2)]; //@line 879 "./jsinferinlines.h"
      var $78=(($77+($75<<2))|0); //@line 879 "./jsinferinlines.h"
      $1=$78; //@line 879 "./jsinferinlines.h"
      __label__ = 20; break; //@line 879 "./jsinferinlines.h"
    case 14: 
      __label__ = 15; break; //@line 880 "./jsinferinlines.h"
    case 15: 
      var $81=$i; //@line 877 "./jsinferinlines.h"
      var $82=(($81+1)|0); //@line 877 "./jsinferinlines.h"
      $i=$82; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 16: 
      var $84=$4; //@line 882 "./jsinferinlines.h"
      var $85=HEAPU32[(($84)>>2)]; //@line 882 "./jsinferinlines.h"
      var $86=(($85)>>>0) < 8; //@line 882 "./jsinferinlines.h"
      if ($86) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 882 "./jsinferinlines.h"
    case 17: 
      var $88=$4; //@line 883 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 883 "./jsinferinlines.h"
      var $90=(($89+1)|0); //@line 883 "./jsinferinlines.h"
      HEAP32[(($88)>>2)]=$90; //@line 883 "./jsinferinlines.h"
      var $91=$4; //@line 884 "./jsinferinlines.h"
      var $92=HEAP32[(($91)>>2)]; //@line 884 "./jsinferinlines.h"
      var $93=(($92-1)|0); //@line 884 "./jsinferinlines.h"
      var $94=$3; //@line 884 "./jsinferinlines.h"
      var $95=HEAP32[(($94)>>2)]; //@line 884 "./jsinferinlines.h"
      var $96=(($95+($93<<2))|0); //@line 884 "./jsinferinlines.h"
      $1=$96; //@line 884 "./jsinferinlines.h"
      __label__ = 20; break; //@line 884 "./jsinferinlines.h"
    case 18: 
      __label__ = 19; break; //@line 886 "./jsinferinlines.h"
    case 19: 
      var $99=$2; //@line 888 "./jsinferinlines.h"
      var $100=$3; //@line 888 "./jsinferinlines.h"
      var $101=$4; //@line 888 "./jsinferinlines.h"
      var $102=$5; //@line 888 "./jsinferinlines.h"
      var $103=__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1365($99, $100, $101, $102); //@line 888 "./jsinferinlines.h"
      $1=$103; //@line 888 "./jsinferinlines.h"
      __label__ = 20; break; //@line 888 "./jsinferinlines.h"
    case 20: 
      var $105=$1; //@line 889 "./jsinferinlines.h"
      ;
      return $105; //@line 889 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1363["X"]=1;

function __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1364($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1365($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $capacity;
      var $insertpos;
      var $converting;
      var $newCapacity;
      var $newValues;
      var $i;
      var $pos;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 801 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 801 "./jsinferinlines.h"
      var $8=__ZN2js5typesL15HashSetCapacityEj1366($7); //@line 801 "./jsinferinlines.h"
      $capacity=$8; //@line 801 "./jsinferinlines.h"
      var $9=$5; //@line 802 "./jsinferinlines.h"
      var $10=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1367($9); //@line 802 "./jsinferinlines.h"
      var $11=$capacity; //@line 802 "./jsinferinlines.h"
      var $12=(($11-1)|0); //@line 802 "./jsinferinlines.h"
      var $13=$10 & $12; //@line 802 "./jsinferinlines.h"
      $insertpos=$13; //@line 802 "./jsinferinlines.h"
      var $14=$4; //@line 805 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 805 "./jsinferinlines.h"
      var $16=(($15)|0)==8; //@line 805 "./jsinferinlines.h"
      var $17=(($16)&1); //@line 805 "./jsinferinlines.h"
      $converting=$17; //@line 805 "./jsinferinlines.h"
      var $18=$converting; //@line 807 "./jsinferinlines.h"
      var $19=(($18) & 1); //@line 807 "./jsinferinlines.h"
      if ($19) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 807 "./jsinferinlines.h"
    case 2: 
      __label__ = 3; break; //@line 808 "./jsinferinlines.h"
    case 3: 
      var $22=$insertpos; //@line 808 "./jsinferinlines.h"
      var $23=$3; //@line 808 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 808 "./jsinferinlines.h"
      var $25=(($24+($22<<2))|0); //@line 808 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 808 "./jsinferinlines.h"
      var $27=(($26)|0)!=0; //@line 808 "./jsinferinlines.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 808 "./jsinferinlines.h"
    case 4: 
      var $29=$insertpos; //@line 809 "./jsinferinlines.h"
      var $30=$3; //@line 809 "./jsinferinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 809 "./jsinferinlines.h"
      var $32=(($31+($29<<2))|0); //@line 809 "./jsinferinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 809 "./jsinferinlines.h"
      var $34=__ZN2js5types13TypeObjectKey6getKeyEPS1_($33); //@line 809 "./jsinferinlines.h"
      var $35=$5; //@line 809 "./jsinferinlines.h"
      var $36=(($34)|0)==(($35)|0); //@line 809 "./jsinferinlines.h"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 809 "./jsinferinlines.h"
    case 5: 
      var $38=$insertpos; //@line 810 "./jsinferinlines.h"
      var $39=$3; //@line 810 "./jsinferinlines.h"
      var $40=HEAP32[(($39)>>2)]; //@line 810 "./jsinferinlines.h"
      var $41=(($40+($38<<2))|0); //@line 810 "./jsinferinlines.h"
      $1=$41; //@line 810 "./jsinferinlines.h"
      __label__ = 25; break; //@line 810 "./jsinferinlines.h"
    case 6: 
      var $43=$insertpos; //@line 811 "./jsinferinlines.h"
      var $44=(($43+1)|0); //@line 811 "./jsinferinlines.h"
      var $45=$capacity; //@line 811 "./jsinferinlines.h"
      var $46=(($45-1)|0); //@line 811 "./jsinferinlines.h"
      var $47=$44 & $46; //@line 811 "./jsinferinlines.h"
      $insertpos=$47; //@line 811 "./jsinferinlines.h"
      __label__ = 3; break; //@line 812 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 813 "./jsinferinlines.h"
    case 8: 
      var $50=$4; //@line 815 "./jsinferinlines.h"
      var $51=HEAP32[(($50)>>2)]; //@line 815 "./jsinferinlines.h"
      var $52=(($51+1)|0); //@line 815 "./jsinferinlines.h"
      HEAP32[(($50)>>2)]=$52; //@line 815 "./jsinferinlines.h"
      var $53=$4; //@line 816 "./jsinferinlines.h"
      var $54=HEAP32[(($53)>>2)]; //@line 816 "./jsinferinlines.h"
      var $55=__ZN2js5typesL15HashSetCapacityEj1366($54); //@line 816 "./jsinferinlines.h"
      $newCapacity=$55; //@line 816 "./jsinferinlines.h"
      var $56=$newCapacity; //@line 818 "./jsinferinlines.h"
      var $57=$capacity; //@line 818 "./jsinferinlines.h"
      var $58=(($56)|0)==(($57)|0); //@line 818 "./jsinferinlines.h"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 818 "./jsinferinlines.h"
    case 9: 
      var $60=$insertpos; //@line 820 "./jsinferinlines.h"
      var $61=$3; //@line 820 "./jsinferinlines.h"
      var $62=HEAP32[(($61)>>2)]; //@line 820 "./jsinferinlines.h"
      var $63=(($62+($60<<2))|0); //@line 820 "./jsinferinlines.h"
      $1=$63; //@line 820 "./jsinferinlines.h"
      __label__ = 25; break; //@line 820 "./jsinferinlines.h"
    case 10: 
      var $65=$2; //@line 823 "./jsinferinlines.h"
      var $66=(($65+344)|0); //@line 823 "./jsinferinlines.h"
      var $67=$newCapacity; //@line 823 "./jsinferinlines.h"
      var $68=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($66, $67); //@line 823 "./jsinferinlines.h"
      $newValues=$68; //@line 823 "./jsinferinlines.h"
      var $69=$newValues; //@line 824 "./jsinferinlines.h"
      var $70=(($69)|0)!=0; //@line 824 "./jsinferinlines.h"
      if ($70) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 824 "./jsinferinlines.h"
    case 11: 
      $1=0; //@line 825 "./jsinferinlines.h"
      __label__ = 25; break; //@line 825 "./jsinferinlines.h"
    case 12: 
      var $73=$newValues; //@line 826 "./jsinferinlines.h"
      var $74=$newCapacity; //@line 826 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1364($73, $74); //@line 826 "./jsinferinlines.h"
      $i=0; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 13: 
      var $76=$i; //@line 828 "./jsinferinlines.h"
      var $77=$capacity; //@line 828 "./jsinferinlines.h"
      var $78=(($76)>>>0) < (($77)>>>0); //@line 828 "./jsinferinlines.h"
      if ($78) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 828 "./jsinferinlines.h"
    case 14: 
      var $80=$i; //@line 829 "./jsinferinlines.h"
      var $81=$3; //@line 829 "./jsinferinlines.h"
      var $82=HEAP32[(($81)>>2)]; //@line 829 "./jsinferinlines.h"
      var $83=(($82+($80<<2))|0); //@line 829 "./jsinferinlines.h"
      var $84=HEAP32[(($83)>>2)]; //@line 829 "./jsinferinlines.h"
      var $85=(($84)|0)!=0; //@line 829 "./jsinferinlines.h"
      if ($85) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 829 "./jsinferinlines.h"
    case 15: 
      var $87=$i; //@line 830 "./jsinferinlines.h"
      var $88=$3; //@line 830 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 830 "./jsinferinlines.h"
      var $90=(($89+($87<<2))|0); //@line 830 "./jsinferinlines.h"
      var $91=HEAP32[(($90)>>2)]; //@line 830 "./jsinferinlines.h"
      var $92=__ZN2js5types13TypeObjectKey6getKeyEPS1_($91); //@line 830 "./jsinferinlines.h"
      var $93=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1367($92); //@line 830 "./jsinferinlines.h"
      var $94=$newCapacity; //@line 830 "./jsinferinlines.h"
      var $95=(($94-1)|0); //@line 830 "./jsinferinlines.h"
      var $96=$93 & $95; //@line 830 "./jsinferinlines.h"
      $pos=$96; //@line 830 "./jsinferinlines.h"
      __label__ = 16; break; //@line 831 "./jsinferinlines.h"
    case 16: 
      var $98=$pos; //@line 831 "./jsinferinlines.h"
      var $99=$newValues; //@line 831 "./jsinferinlines.h"
      var $100=(($99+($98<<2))|0); //@line 831 "./jsinferinlines.h"
      var $101=HEAP32[(($100)>>2)]; //@line 831 "./jsinferinlines.h"
      var $102=(($101)|0)!=0; //@line 831 "./jsinferinlines.h"
      if ($102) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 831 "./jsinferinlines.h"
    case 17: 
      var $104=$pos; //@line 832 "./jsinferinlines.h"
      var $105=(($104+1)|0); //@line 832 "./jsinferinlines.h"
      var $106=$newCapacity; //@line 832 "./jsinferinlines.h"
      var $107=(($106-1)|0); //@line 832 "./jsinferinlines.h"
      var $108=$105 & $107; //@line 832 "./jsinferinlines.h"
      $pos=$108; //@line 832 "./jsinferinlines.h"
      __label__ = 16; break; //@line 832 "./jsinferinlines.h"
    case 18: 
      var $110=$i; //@line 833 "./jsinferinlines.h"
      var $111=$3; //@line 833 "./jsinferinlines.h"
      var $112=HEAP32[(($111)>>2)]; //@line 833 "./jsinferinlines.h"
      var $113=(($112+($110<<2))|0); //@line 833 "./jsinferinlines.h"
      var $114=HEAP32[(($113)>>2)]; //@line 833 "./jsinferinlines.h"
      var $115=$pos; //@line 833 "./jsinferinlines.h"
      var $116=$newValues; //@line 833 "./jsinferinlines.h"
      var $117=(($116+($115<<2))|0); //@line 833 "./jsinferinlines.h"
      HEAP32[(($117)>>2)]=$114; //@line 833 "./jsinferinlines.h"
      __label__ = 19; break; //@line 834 "./jsinferinlines.h"
    case 19: 
      __label__ = 20; break; //@line 835 "./jsinferinlines.h"
    case 20: 
      var $120=$i; //@line 828 "./jsinferinlines.h"
      var $121=(($120+1)|0); //@line 828 "./jsinferinlines.h"
      $i=$121; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 21: 
      var $123=$newValues; //@line 837 "./jsinferinlines.h"
      var $124=$3; //@line 837 "./jsinferinlines.h"
      HEAP32[(($124)>>2)]=$123; //@line 837 "./jsinferinlines.h"
      var $125=$5; //@line 839 "./jsinferinlines.h"
      var $126=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1367($125); //@line 839 "./jsinferinlines.h"
      var $127=$newCapacity; //@line 839 "./jsinferinlines.h"
      var $128=(($127-1)|0); //@line 839 "./jsinferinlines.h"
      var $129=$126 & $128; //@line 839 "./jsinferinlines.h"
      $insertpos=$129; //@line 839 "./jsinferinlines.h"
      __label__ = 22; break; //@line 840 "./jsinferinlines.h"
    case 22: 
      var $131=$insertpos; //@line 840 "./jsinferinlines.h"
      var $132=$3; //@line 840 "./jsinferinlines.h"
      var $133=HEAP32[(($132)>>2)]; //@line 840 "./jsinferinlines.h"
      var $134=(($133+($131<<2))|0); //@line 840 "./jsinferinlines.h"
      var $135=HEAP32[(($134)>>2)]; //@line 840 "./jsinferinlines.h"
      var $136=(($135)|0)!=0; //@line 840 "./jsinferinlines.h"
      if ($136) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 840 "./jsinferinlines.h"
    case 23: 
      var $138=$insertpos; //@line 841 "./jsinferinlines.h"
      var $139=(($138+1)|0); //@line 841 "./jsinferinlines.h"
      var $140=$newCapacity; //@line 841 "./jsinferinlines.h"
      var $141=(($140-1)|0); //@line 841 "./jsinferinlines.h"
      var $142=$139 & $141; //@line 841 "./jsinferinlines.h"
      $insertpos=$142; //@line 841 "./jsinferinlines.h"
      __label__ = 22; break; //@line 841 "./jsinferinlines.h"
    case 24: 
      var $144=$insertpos; //@line 842 "./jsinferinlines.h"
      var $145=$3; //@line 842 "./jsinferinlines.h"
      var $146=HEAP32[(($145)>>2)]; //@line 842 "./jsinferinlines.h"
      var $147=(($146+($144<<2))|0); //@line 842 "./jsinferinlines.h"
      $1=$147; //@line 842 "./jsinferinlines.h"
      __label__ = 25; break; //@line 842 "./jsinferinlines.h"
    case 25: 
      var $149=$1; //@line 843 "./jsinferinlines.h"
      ;
      return $149; //@line 843 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1365["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj1366($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1367($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types13TypeObjectKey7keyBitsEPS1_($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types13TypeObjectKey6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types13TypeObjectKey6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1366($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1367($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types13TypeObjectKey6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_["X"]=1;

function __ZN2js7analyzeL9LocalSlotEP8JSScriptj1368($script, $local) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$script;
      $2=$local;
      var $3=$1; //@line 425 "./jsanalyze.h"
      var $4=$3; //@line 425 "./jsanalyze.h"
      var $5=(($4+37)|0); //@line 425 "./jsanalyze.h"
      var $6=HEAPU8[($5)]; //@line 425 "./jsanalyze.h"
      var $7=(($6)&255) >>> 2; //@line 425 "./jsanalyze.h"
      var $8=$7 & 1; //@line 425 "./jsanalyze.h"
      var $9=(($8) & 1); //@line 425 "./jsanalyze.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 425 "./jsanalyze.h"
    case 2: 
      var $11=$1; //@line 425 "./jsanalyze.h"
      var $12=__ZNK8JSScript8functionEv($11); //@line 425 "./jsanalyze.h"
      var $13=(($12+56)|0); //@line 425 "./jsanalyze.h"
      var $14=HEAPU16[(($13)>>1)]; //@line 425 "./jsanalyze.h"
      var $15=(($14)&65535); //@line 425 "./jsanalyze.h"
      var $18 = $15;__label__ = 4; break; //@line 425 "./jsanalyze.h"
    case 3: 
      var $18 = 0;__label__ = 4; break; //@line 425 "./jsanalyze.h"
    case 4: 
      var $18; //@line 425 "./jsanalyze.h"
      var $19=(($18+2)|0); //@line 425 "./jsanalyze.h"
      var $20=$2; //@line 425 "./jsanalyze.h"
      var $21=(($19+$20)|0); //@line 425 "./jsanalyze.h"
      ;
      return $21; //@line 425 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjNS0_4TypeE($cx, $script, $arg, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $enter=__stackBase__+4;
      var $5=__stackBase__+12;
      var $6=__stackBase__+16;
      $1=$cx;
      $2=$script;
      $3=$arg;
      var $7=$1; //@line 666 "./jsinferinlines.h"
      var $8=__ZN9JSContext20typeInferenceEnabledEv($7); //@line 666 "./jsinferinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 666 "./jsinferinlines.h"
    case 2: 
      __label__ = 5; break; //@line 667 "./jsinferinlines.h"
    case 3: 
      var $11=$2; //@line 670 "./jsinferinlines.h"
      var $12=$3; //@line 670 "./jsinferinlines.h"
      var $13=__ZN2js5types10TypeScript8ArgTypesEP8JSScriptj($11, $12); //@line 670 "./jsinferinlines.h"
      var $14=$4; //@line 670 "./jsinferinlines.h"
      var $15=$type; //@line 670 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)]; //@line 670 "./jsinferinlines.h"
      var $16=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($13, $4); //@line 670 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 670 "./jsinferinlines.h"
    case 4: 
      var $18=$1; //@line 671 "./jsinferinlines.h"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $18, 0); //@line 671 "./jsinferinlines.h"
      var $19=$2; //@line 674 "./jsinferinlines.h"
      var $20=__ZN8JSScript2idEv($19); //@line 674 "./jsinferinlines.h"
      var $21=$3; //@line 674 "./jsinferinlines.h"
      var $22=$5; //@line 674 "./jsinferinlines.h"
      var $23=$type; //@line 674 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)]; //@line 674 "./jsinferinlines.h"
      var $24=__ZN2js5types10TypeStringENS0_4TypeE($5); //@line 674 "./jsinferinlines.h"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str151284)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,HEAP32[((tempInt+4)>>2)]=$21,HEAP32[((tempInt+8)>>2)]=$24,tempInt)); //@line 674 "./jsinferinlines.h"
      var $25=$2; //@line 675 "./jsinferinlines.h"
      var $26=$3; //@line 675 "./jsinferinlines.h"
      var $27=__ZN2js5types10TypeScript8ArgTypesEP8JSScriptj($25, $26); //@line 675 "./jsinferinlines.h"
      var $28=$1; //@line 675 "./jsinferinlines.h"
      var $29=$6; //@line 675 "./jsinferinlines.h"
      var $30=$type; //@line 675 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)]; //@line 675 "./jsinferinlines.h"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($27, $28, $6); //@line 675 "./jsinferinlines.h"
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 676 "./jsinferinlines.h"
      __label__ = 5; break; //@line 676 "./jsinferinlines.h"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 677 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc5Arena13staticAssertsEv() {
  ;
  var __label__;

  ;
  return; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN7mozilla9DebugOnlyIP10JSFunctionED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIP10JSFunctionEC2ERKS2_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZL14JSID_FROM_BITSj1372($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1379($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyzeL7ArgSlotEj1371($arg) {
  ;
  var __label__;

  var $1;
  $1=$arg;
  var $2=$1; //@line 422 "./jsanalyze.h"
  var $3=(($2+2)|0); //@line 422 "./jsanalyze.h"
  ;
  return $3; //@line 422 "./jsanalyze.h"
}


function _INT_TO_JSID1373($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZN8JSObject17asStrictArgumentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 291 "./vm/ArgumentsObject.h"
  ;
  return $3; //@line 291 "./vm/ArgumentsObject.h"
}


function __ZN8JSObject17asNormalArgumentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 284 "./vm/ArgumentsObject.h"
  ;
  return $3; //@line 284 "./vm/ArgumentsObject.h"
}


function _MAGIC_TO_JSVAL_IMPL1376($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN6PutArgC2EPN2JS5ValueE($this, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$dst;
  var $3=$1;
  var $4=(($3)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  var $5=$2; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
  ;
  return; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
}


function _INT32_TO_JSVAL_IMPL1380($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL1381($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL1382($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN2js5types10TypeScript8ArgTypesEP8JSScriptj($script, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$script;
  $2=$i;
  var $3=$1; //@line 490 "./jsinferinlines.h"
  var $4=(($3+100)|0); //@line 490 "./jsinferinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 490 "./jsinferinlines.h"
  var $6=__ZN2js5types10TypeScript9typeArrayEv($5); //@line 490 "./jsinferinlines.h"
  var $7=$1; //@line 490 "./jsinferinlines.h"
  var $8=(($7+22)|0); //@line 490 "./jsinferinlines.h"
  var $9=HEAPU16[(($8)>>1)]; //@line 490 "./jsinferinlines.h"
  var $10=(($9)&65535); //@line 490 "./jsinferinlines.h"
  var $11=(($6+$10*12)|0); //@line 490 "./jsinferinlines.h"
  var $12=$2; //@line 490 "./jsinferinlines.h"
  var $13=__ZN2js7analyzeL7ArgSlotEj1371($12); //@line 490 "./jsinferinlines.h"
  var $14=(($11+$13*12)|0); //@line 490 "./jsinferinlines.h"
  ;
  return $14; //@line 490 "./jsinferinlines.h"
}


function __ZN7mozilla9DebugOnlyIP10JSFunctionEC1ERKS2_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 182 "./dist/include/mozilla/Util.h"
  __ZN7mozilla9DebugOnlyIP10JSFunctionEC2ERKS2_($4, $5); //@line 182 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIP10JSFunctionED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIP10JSFunctionED2Ev($2); //@line 193 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN2js10EmptyShape20getEmptyDeclEnvShapeEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 385 "./jsscopeinlines.h"
  var $3=$1; //@line 385 "./jsscopeinlines.h"
  var $4=(($3+56)|0); //@line 385 "./jsscopeinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 385 "./jsscopeinlines.h"
  var $6=(($5+760)|0); //@line 385 "./jsscopeinlines.h"
  var $7=__ZN2js10EmptyShape6ensureEP9JSContextPNS_5ClassEPPS0_($2, __ZN2js12DeclEnvClassE, $6); //@line 385 "./jsscopeinlines.h"
  ;
  return $7; //@line 385 "./jsscopeinlines.h"
}


function __ZN2js10EmptyShape6ensureEP9JSContextPNS_5ClassEPPS0_($cx, $clasp, $shapep) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $shape;
      $2=$cx;
      $3=$clasp;
      $4=$shapep;
      var $5=$4; //@line 651 "./jsscope.h"
      var $6=HEAP32[(($5)>>2)]; //@line 651 "./jsscope.h"
      $shape=$6; //@line 651 "./jsscope.h"
      var $7=$shape; //@line 652 "./jsscope.h"
      var $8=(($7)|0)!=0; //@line 652 "./jsscope.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 652 "./jsscope.h"
    case 2: 
      var $10=$2; //@line 653 "./jsscope.h"
      var $11=$3; //@line 653 "./jsscope.h"
      var $12=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($10, $11); //@line 653 "./jsscope.h"
      $shape=$12; //@line 653 "./jsscope.h"
      var $13=(($12)|0)!=0; //@line 653 "./jsscope.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 653 "./jsscope.h"
    case 3: 
      $1=0; //@line 654 "./jsscope.h"
      __label__ = 6; break; //@line 654 "./jsscope.h"
    case 4: 
      var $16=$shape; //@line 655 "./jsscope.h"
      var $17=$4; //@line 655 "./jsscope.h"
      HEAP32[(($17)>>2)]=$16; //@line 655 "./jsscope.h"
      $1=$16; //@line 655 "./jsscope.h"
      __label__ = 6; break; //@line 655 "./jsscope.h"
    case 5: 
      var $19=$shape; //@line 657 "./jsscope.h"
      $1=$19; //@line 657 "./jsscope.h"
      __label__ = 6; break; //@line 657 "./jsscope.h"
    case 6: 
      var $21=$1; //@line 658 "./jsscope.h"
      ;
      return $21; //@line 658 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15StrictArgGetterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $argsobj;
      var $arg;
      var $v;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $6=$2; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10LeaveTraceEP9JSContext($6); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$3; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK8JSObject17isStrictArgumentsEv($7); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=1; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 13; break; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $11=$3; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=__ZN8JSObject17asStrictArgumentsEv($11); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$12; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$4; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=_JSID_IS_INT1285($13); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=(($14)|0)!=0; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $17=$4; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=_JSID_TO_INT1286($17); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$18; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=$arg; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$argsobj; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$20; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=__ZNK2js15ArgumentsObject13initialLengthEv($21); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($19)>>>0) < (($22)>>>0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $25=$argsobj; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$25; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$arg; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=__ZNK2js15ArgumentsObject7elementEj($26, $27); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $v=$28; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$v; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=__ZNK2JS5Value7isMagicE10JSWhyMagic($29, 1); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $32=$5; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$v; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$32; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$33; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 7; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      __label__ = 8; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      __label__ = 12; break; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $39=$argsobj; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$39; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=__ZNK2js15ArgumentsObject19hasOverriddenLengthEv($40); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $43=$5; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$argsobj; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$44; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=__ZNK2js15ArgumentsObject13initialLengthEv($45); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value8setInt32Ei($43, $46); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      $1=1; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 13; break; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      var $50=$1; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $50; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15StrictArgGetterP9JSContextP8JSObjectiPN2JS5ValueE["X"]=1;

function __ZL15StrictArgSetterP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $argsobj;
      var $arg;
      var $tvr=__stackBase__;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $8=$3; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK8JSObject17isStrictArgumentsEv($8); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=1; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $12=$3; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__ZN8JSObject17asStrictArgumentsEv($12); //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$13; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$4; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=_JSID_IS_INT1285($14); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15)|0)!=0; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $18=$4; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=_JSID_TO_INT1286($18); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$19; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$arg; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$argsobj; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$21; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=__ZNK2js15ArgumentsObject13initialLengthEv($22); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=(($20)>>>0) < (($23)>>>0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $26=$argsobj; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$26; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$arg; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$6; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15ArgumentsObject10setElementEjRKN2JS5ValueE($27, $28, $29); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $1=1; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      __label__ = 8; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $33=$2; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $33); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$2; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$argsobj; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$35; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=$4; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$5; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($34, $36, $37, $38, $39); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=(($40)|0)!=0; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($41) { __label__ = 9; break; } else { var $52 = 0;__label__ = 10; break; } //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $43=$2; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$argsobj; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=$44; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $46=$4; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $47=$6; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$5; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($43, $45, $46, 0, $47, $48); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=(($49)|0)!=0; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52 = $50;__label__ = 10; break;
    case 10: 
      var $52;
      var $53=(($52)&1);
      $1=$53;
      $7=1;
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 11; break;
    case 11: 
      var $55=$1; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $55; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15StrictArgSetterP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZN2js15ArgumentsObject10setElementEjRKN2JS5ValueE($this, $i, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$i;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 110 "./vm/ArgumentsObject-inl.h"
  var $6=__ZNK2js15ArgumentsObject4dataEv($4); //@line 110 "./vm/ArgumentsObject-inl.h"
  var $7=(($6+8)|0); //@line 110 "./vm/ArgumentsObject-inl.h"
  var $8=(($7+($5<<3))|0); //@line 110 "./vm/ArgumentsObject-inl.h"
  var $9=$3; //@line 110 "./vm/ArgumentsObject-inl.h"
  var $10=$8; //@line 110 "./vm/ArgumentsObject-inl.h"
  var $11=$9; //@line 110 "./vm/ArgumentsObject-inl.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 110 "./vm/ArgumentsObject-inl.h"
  ;
  return; //@line 111 "./vm/ArgumentsObject-inl.h"
}


function __ZNK2js21NormalArgumentsObject6calleeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 147 "./vm/ArgumentsObject-inl.h"
  var $4=__ZNK2js15ArgumentsObject4dataEv($3); //@line 147 "./vm/ArgumentsObject-inl.h"
  var $5=(($4)|0); //@line 147 "./vm/ArgumentsObject-inl.h"
  ;
  return $5; //@line 147 "./vm/ArgumentsObject-inl.h"
}


function __ZL9ArgGetterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $argsobj;
      var $arg;
      var $fp;
      var $v;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $6=$2; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js10LeaveTraceEP9JSContext($6); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $7=$3; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $8=__ZNK8JSObject17isNormalArgumentsEv($7); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=1; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $11=$3; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $12=__ZN8JSObject17asNormalArgumentsEv($11); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$12; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=$4; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=_JSID_IS_INT1285($13); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=(($14)|0)!=0; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $17=$4; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $18=_JSID_TO_INT1286($17); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$18; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=$arg; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$argsobj; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$20; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=__ZNK2js15ArgumentsObject13initialLengthEv($21); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=(($19)>>>0) < (($22)>>>0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $25=$argsobj; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $26=$25; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=__ZNK2js15ArgumentsObject15maybeStackFrameEv($26); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$27; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=$fp; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=(($28)|0)!=0; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $31=$5; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $32=$fp; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=$arg; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=__ZNK2js10StackFrame18canonicalActualArgEj($32, $33); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$31; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=$34; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $38=$5; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$argsobj; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=$39; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $41=$arg; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $42=__ZNK2js15ArgumentsObject7elementEj($40, $41); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$38; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=$42; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      __label__ = 18; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      var $48=$4; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$2; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=(($49+52)|0); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $52=(($51+209948)|0); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=(($52+308)|0); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$54; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=__ZL12JSID_IS_ATOMiP6JSAtom1287($48, $55); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=(($56)|0)!=0; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      var $59=$argsobj; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $60=$59; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $61=__ZNK2js15ArgumentsObject19hasOverriddenLengthEv($60); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      var $63=$5; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=$argsobj; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$64; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=__ZNK2js15ArgumentsObject13initialLengthEv($65); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2JS5Value8setInt32Ei($63, $66); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 13; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      __label__ = 17; break; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 14: 
      var $69=$argsobj; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=__ZNK2js21NormalArgumentsObject6calleeEv($69); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $v=$70; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $71=$v; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $72=__ZNK2JS5Value7isMagicE10JSWhyMagic($71, 1); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($72) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $74=$5; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=$v; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=$74; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=$75; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($76)>>2)]=HEAP32[(($77)>>2)];HEAP32[(($76+4)>>2)]=HEAP32[(($77+4)>>2)]; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 16; break; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      $1=1; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 19; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 19: 
      var $82=$1; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      ;
      return $82; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9ArgGetterP9JSContextP8JSObjectiPN2JS5ValueE["X"]=1;

function __ZL9ArgSetterP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $argsobj;
      var $arg;
      var $fp;
      var $script;
      var $tvr=__stackBase__;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $8=$3; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $9=__ZNK8JSObject17isNormalArgumentsEv($8); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 2: 
      $1=1; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 3: 
      var $12=$3; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $13=__ZN8JSObject17asNormalArgumentsEv($12); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $argsobj=$13; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $14=$4; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $15=_JSID_IS_INT1285($14); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $16=(($15)|0)!=0; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 4: 
      var $18=$4; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $19=_JSID_TO_INT1286($18); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $arg=$19; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $20=$arg; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $21=$argsobj; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $22=$21; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $23=__ZNK2js15ArgumentsObject13initialLengthEv($22); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $24=(($20)>>>0) < (($23)>>>0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 5: 
      var $26=$argsobj; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $27=$26; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $28=__ZNK2js15ArgumentsObject15maybeStackFrameEv($27); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $fp=$28; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $29=$fp; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $30=(($29)|0)!=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 6: 
      var $32=$fp; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $33=__ZNK2js10StackFrame14functionScriptEv($32); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      $script=$33; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $34=$script; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $35=$34; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $36=(($35+36)|0); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $37=HEAPU8[($36)]; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $38=(($37)&255) >>> 6; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $39=$38 & 1; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $40=(($39) & 1); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 7: 
      var $42=$arg; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $43=$fp; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $44=__ZNK2js10StackFrame13numFormalArgsEv($43); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $45=(($42)>>>0) < (($44)>>>0); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 8: 
      var $47=$2; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $48=$script; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $49=$arg; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $50=$6; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjRKN2JS5ValueE($47, $48, $49, $50); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 9; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 9: 
      var $52=$fp; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $53=$arg; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $54=__ZNK2js10StackFrame18canonicalActualArgEj($52, $53); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $55=$6; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $56=$54; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $57=$55; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($56)>>2)]=HEAP32[(($57)>>2)];HEAP32[(($56+4)>>2)]=HEAP32[(($57+4)>>2)]; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 10; break; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 10: 
      $1=1; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 11: 
      __label__ = 12; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 12: 
      __label__ = 14; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $63=$2; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $63); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $64=$2; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $65=$argsobj; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $66=$65; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $67=$4; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $68=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $69=__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($64, $66, $67, $68, 0); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $70=(($69)|0)!=0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      if ($70) { __label__ = 15; break; } else { var $80 = 0;__label__ = 16; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    case 15: 
      var $72=$2; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $73=$argsobj; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $74=$73; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $75=$4; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $76=$6; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $77=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($72, $74, $75, $76, 0, 0, 1); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $78=(($77)|0)!=0; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      var $80 = $78;__label__ = 16; break;
    case 16: 
      var $80;
      var $81=(($80)&1);
      $1=$81;
      $7=1;
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      __label__ = 17; break;
    case 17: 
      var $83=$1; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsfun.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9ArgSetterP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZN2JSL10MagicValueE10JSWhyMagic1374($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$1; //@line 742 "./jsapi.h"
  __ZN2JS5Value8setMagicE10JSWhyMagic($agg_result, $2); //@line 742 "./jsapi.h"
  ;
  return; //@line 743 "./jsapi.h"
}


function __ZN2js15ArgumentsObject20markLengthOverriddenEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $v;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=$3; //@line 68 "./vm/ArgumentsObject-inl.h"
  var $5=__ZNK8JSObject7getSlotEj($4, 0); //@line 68 "./vm/ArgumentsObject-inl.h"
  var $6=__ZNK2JS5Value7toInt32Ev($5); //@line 68 "./vm/ArgumentsObject-inl.h"
  var $7=$6 | 1; //@line 68 "./vm/ArgumentsObject-inl.h"
  $v=$7; //@line 68 "./vm/ArgumentsObject-inl.h"
  var $8=$3; //@line 69 "./vm/ArgumentsObject-inl.h"
  var $9=$v; //@line 69 "./vm/ArgumentsObject-inl.h"
  __ZN2JSL10Int32ValueEi1375($2, $9); //@line 69 "./vm/ArgumentsObject-inl.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($8, 0, $2); //@line 69 "./vm/ArgumentsObject-inl.h"
  STACKTOP = __stackBase__;
  return; //@line 70 "./vm/ArgumentsObject-inl.h"
}


function __ZN2js21NormalArgumentsObject11clearCalleeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=$3; //@line 153 "./vm/ArgumentsObject-inl.h"
  var $5=__ZNK2js15ArgumentsObject4dataEv($4); //@line 153 "./vm/ArgumentsObject-inl.h"
  var $6=(($5)|0); //@line 153 "./vm/ArgumentsObject-inl.h"
  __ZN2JSL10MagicValueE10JSWhyMagic1374($2, 1); //@line 153 "./vm/ArgumentsObject-inl.h"
  var $7=$6; //@line 153 "./vm/ArgumentsObject-inl.h"
  var $8=$2; //@line 153 "./vm/ArgumentsObject-inl.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 153 "./vm/ArgumentsObject-inl.h"
  STACKTOP = __stackBase__;
  return; //@line 154 "./vm/ArgumentsObject-inl.h"
}


function __ZN2JSL10Int32ValueEi1375($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1377($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_1378($beg, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      $1=$beg;
      $2=$end;
      var $3=$1; //@line 403 "./jsinterp.h"
      $v=$3; //@line 403 "./jsinterp.h"
      __label__ = 2; break; //@line 403 "./jsinterp.h"
    case 2: 
      var $5=$v; //@line 403 "./jsinterp.h"
      var $6=$2; //@line 403 "./jsinterp.h"
      var $7=(($5)|0)!=(($6)|0); //@line 403 "./jsinterp.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 403 "./jsinterp.h"
    case 3: 
      var $9=$v; //@line 404 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($9); //@line 404 "./jsinterp.h"
      __label__ = 4; break; //@line 404 "./jsinterp.h"
    case 4: 
      var $11=$v; //@line 403 "./jsinterp.h"
      var $12=(($11+8)|0); //@line 403 "./jsinterp.h"
      $v=$12; //@line 403 "./jsinterp.h"
      __label__ = 2; break; //@line 403 "./jsinterp.h"
    case 5: 
      ;
      return; //@line 405 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL16AssertValidColorEPKvj1422($thing, $color) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$thing;
  $2=$color;
  ;
  return; //@line 782 "./jsgc.h"
}


function __ZN2js6Probes10resizeHeapEP13JSCompartmentjj($compartment, $oldSize, $newSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $ok;
  $1=$compartment;
  $2=$oldSize;
  $3=$newSize;
  $ok=1; //@line 345 "./jsprobes.h"
  var $4=$ok; //@line 352 "./jsprobes.h"
  var $5=(($4) & 1); //@line 352 "./jsprobes.h"
  ;
  return $5; //@line 352 "./jsprobes.h"
}


function __ZN2js2gc11ArenaHeader17setAsNotAllocatedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 413 "./jsgc.h"
  var $4=(($3+12)|0); //@line 413 "./jsgc.h"
  var $5=$4; //@line 413 "./jsgc.h"
  var $6=HEAP32[(($5)>>2)]; //@line 413 "./jsgc.h"
  var $7=$6 & -256; //@line 413 "./jsgc.h"
  var $8=$7 | 20; //@line 413 "./jsgc.h"
  HEAP32[(($5)>>2)]=$8; //@line 413 "./jsgc.h"
  var $9=$2; //@line 414 "./jsgc.h"
  var $10=(($9+12)|0); //@line 414 "./jsgc.h"
  var $11=$10; //@line 414 "./jsgc.h"
  var $12=HEAP32[(($11)>>2)]; //@line 414 "./jsgc.h"
  var $13=$12 & -257; //@line 414 "./jsgc.h"
  HEAP32[(($11)>>2)]=$13; //@line 414 "./jsgc.h"
  var $14=$2; //@line 415 "./jsgc.h"
  var $15=(($14+12)|0); //@line 415 "./jsgc.h"
  var $16=$15; //@line 415 "./jsgc.h"
  var $17=HEAP32[(($16)>>2)]; //@line 415 "./jsgc.h"
  var $18=$17 & 511; //@line 415 "./jsgc.h"
  HEAP32[(($16)>>2)]=$18; //@line 415 "./jsgc.h"
  ;
  return; //@line 416 "./jsgc.h"
}


function __ZN2js2gc11ArenaHeader4initEP13JSCompartmentNS0_9AllocKindE($this, $comp, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$comp;
  $3=$kind;
  var $4=$1;
  var $5=$2; //@line 710 "./jsgc.h"
  var $6=(($4)|0); //@line 710 "./jsgc.h"
  HEAP32[(($6)>>2)]=$5; //@line 710 "./jsgc.h"
  var $7=$3; //@line 713 "./jsgc.h"
  var $8=$7 & 255; //@line 713 "./jsgc.h"
  var $9=$4; //@line 713 "./jsgc.h"
  var $10=(($9+12)|0); //@line 713 "./jsgc.h"
  var $11=$10; //@line 713 "./jsgc.h"
  var $12=$8 & 255; //@line 713 "./jsgc.h"
  var $13=HEAP32[(($11)>>2)]; //@line 713 "./jsgc.h"
  var $14=$13 & -256; //@line 713 "./jsgc.h"
  var $15=$14 | $12; //@line 713 "./jsgc.h"
  HEAP32[(($11)>>2)]=$15; //@line 713 "./jsgc.h"
  var $16=(($4+8)|0); //@line 716 "./jsgc.h"
  HEAP32[(($16)>>2)]=268374016; //@line 716 "./jsgc.h"
  ;
  return; //@line 717 "./jsgc.h"
}


function __ZNK2js2gc5Chunk18hasAvailableArenasEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+1048320)|0); //@line 651 "./jsgc.h"
  var $4=(($3+16)|0); //@line 651 "./jsgc.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 651 "./jsgc.h"
  var $6=(($5)>>>0) > 0; //@line 651 "./jsgc.h"
  ;
  return $6; //@line 651 "./jsgc.h"
}


function __ZN2js2gc5Chunk23removeFromAvailableListEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+1048320)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=(($3)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($2+1048320)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6+4)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($8)>>2)]=$5; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($2+1048320)|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9)|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $14=(($2+1048320)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14+4)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($2+1048320)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19+1048320)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20+4)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($21)>>2)]=$16; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $23=(($2+1048320)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23+4)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($24)>>2)]=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($2+1048320)|0); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=(($25)|0); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($26)>>2)]=0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js2gc5Chunk6unusedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+1048320)|0); //@line 647 "./jsgc.h"
  var $4=(($3+16)|0); //@line 647 "./jsgc.h"
  var $5=HEAP32[(($4)>>2)]; //@line 647 "./jsgc.h"
  var $6=(($5)|0)==252; //@line 647 "./jsgc.h"
  ;
  return $6; //@line 647 "./jsgc.h"
}


function __ZNK2JS5Value11payloadWordEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 659 "./jsapi.h"
  var $4=$3; //@line 659 "./jsapi.h"
  var $5=(($4)|0); //@line 659 "./jsapi.h"
  var $6=$5; //@line 659 "./jsapi.h"
  ;
  return $6; //@line 659 "./jsapi.h"
}


function __ZN2js2gc5Chunk4initEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $prevp;
      var $end;
      var $a;
      $1=$this;
      var $2=$1;
      var $3=(($2+1048320)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=(($3+8)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $prevp=$4; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($2)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+1032192)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $end=$6; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($2)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $a=$8; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $10=$a; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$end; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($10)|0)!=(($11)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$a; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14)|0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$prevp; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$a; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17)|0); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader17setAsNotAllocatedEv($18); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=$a; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)|0); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20+4)|0); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $prevp=$21; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $23=$a; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23+4096)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $a=$24; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$prevp; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($26)>>2)]=0; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($2+1032192)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ChunkBitmap5clearEv($27); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($2+1048320)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=(($28+12)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($29)>>2)]=0; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=(($2+1048320)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=(($30+16)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($31)>>2)]=252; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11ChunkBitmap5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 589 "./jsgc.h"
  __ZN2jsL12PodArrayZeroIjLj4032EEEvRAT0__T_($3); //@line 589 "./jsgc.h"
  ;
  return; //@line 590 "./jsgc.h"
}


function __ZN2js2gc5Chunk13allocateArenaEP13JSCompartmentNS0_9AllocKindE($this, $comp, $thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $aheader;
      var $rt;
      $1=$this;
      $2=$comp;
      $3=$thingKind;
      var $4=$1;
      var $5=(($4+1048320)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+8)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$7; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$aheader; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8+4)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($4+1048320)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11+8)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($12)>>2)]=$10; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$aheader; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=$2; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$3; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader4initEP13JSCompartmentNS0_9AllocKindE($13, $14, $15); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($4+1048320)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16+16)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18-1)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($17)>>2)]=$19; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=__ZNK2js2gc5Chunk18hasAvailableArenasEv($4); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __ZN2js2gc5Chunk23removeFromAvailableListEv($4); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $23=$2; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$25; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$2; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$rt; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27+140)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$rt; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=(($30+140)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=(($32+4096)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=__ZN2js6Probes10resizeHeapEP13JSCompartmentjj($26, $29, $33); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$rt; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+140)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($37+4096)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($36)>>2)]=$38; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$2; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($39+328)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=(($41+4096)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($40)>>2)]=$42; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$2; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43+328)|0); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=HEAPU32[(($44)>>2)]; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=$2; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+332)|0); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=HEAPU32[(($47)>>2)]; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=(($45)>>>0) >= (($48)>>>0); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($49) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $51=$2; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js20TriggerCompartmentGCEP13JSCompartment($51); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 5; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $53=$aheader; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return $53; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Chunk13allocateArenaEP13JSCompartmentNS0_9AllocKindE["X"]=1;

function __ZN2js20TriggerCompartmentGCEP13JSCompartment($comp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      $1=$comp;
      var $2=$1; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=(($2)|0); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$4; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5)|0)==10; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=4; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11 = __ZN2js8gcReasonE;__label__ = 4; break; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $9=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$9; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11 = __ZN2js8gcReasonE;__label__ = 4; break; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $11; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$rt; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=__ZN9JSRuntime6gcZealEv($12); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13)|0)!=0; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $16=$rt; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js9TriggerGCEP9JSRuntime($16); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 17; break; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $18=$rt; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18+192)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20)|0)!=1; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($21) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $23=$1; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$rt; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($23)|0)==(($26)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $29=$rt; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js9TriggerGCEP9JSRuntime($29); //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 17; break; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $31=$rt; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=(($31+196)|0); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=(($33)|0)!=0; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $36=$rt; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=(($36+144076)|0); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$1; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($38)|0)!=(($39)|0); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $42=$rt; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+144076)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($43)>>2)]=0; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 12; break; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      __label__ = 17; break; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $46=$rt; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+140)|0); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=HEAPU32[(($47)>>2)]; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=(($48)>>>0) > 8192; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $51=$rt; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=(($51+140)|0); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=HEAPU32[(($52)>>2)]; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$rt; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=(($54+144)|0); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=HEAPU32[(($55)>>2)]; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=Math.floor((($56)>>>0)/2); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57*3)|0); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=(($53)>>>0) >= (($58)>>>0); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      var $61=$rt; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js9TriggerGCEP9JSRuntime($61); //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 17; break; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 16: 
      var $63=$rt; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=(($63+196)|0); //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($64)>>2)]=1; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$1; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66=$rt; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=(($66+144076)|0); //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($67)>>2)]=$65; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $68=$1; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $69=(($68)|0); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js28TriggerAllOperationCallbacksEP9JSRuntime($70); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 17; break; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      ;
      return; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js20TriggerCompartmentGCEP13JSCompartment["X"]=1;

function __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($this, $aheader) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $comp;
      var $rt;
      var $3=__stackBase__;
      $1=$this;
      $2=$aheader;
      var $4=$1;
      var $5=$2; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $comp=$7; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$comp; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8)|0); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$10; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$comp; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$rt; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($12+140)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$rt; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($15+140)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17-4096)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js6Probes10resizeHeapEP13JSCompartmentjj($11, $14, $18); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=$rt; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20+140)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($22-4096)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($21)>>2)]=$23; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$comp; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+328)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26-4096)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($25)>>2)]=$27; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$2; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader17setAsNotAllocatedEv($28); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=(($4+1048320)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=(($29+8)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=$2; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=(($32+4)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($33)>>2)]=$31; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$2; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=(($4+1048320)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+8)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($36)>>2)]=$34; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=(($4+1048320)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($37+16)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($39+1)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$40; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=(($4+1048320)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=(($41+16)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)==1; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $46=$2; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk18addToAvailableListEP13JSCompartment($4, $48); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $50=__ZNK2js2gc5Chunk6unusedEv($4); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($50) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 6; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $53=$rt; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=(($53+48)|0); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($3)>>2)]=$4; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6removeERKS3_($54, $3); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk23removeFromAvailableListEv($4); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=(($4+1048320)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=(($55+12)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($56)>>2)]=0; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$rt; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+80)|0); //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($4+1048320)|0); //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=(($60)|0); //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($61)>>2)]=$59; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=$rt; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=(($62+80)|0); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($63)>>2)]=$4; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=$rt; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=(($64+84)|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=(($66+1)|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($65)>>2)]=$67; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break;
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE["X"]=1;

function __ZN2js2gc5Chunk18addToAvailableListEP13JSCompartment($this, $comp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $listHeadp;
      var $head;
      $1=$this;
      $2=$comp;
      var $3=$1;
      var $4=$2; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=__Z21GetAvailableChunkListP13JSCompartment($4); //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $listHeadp=$5; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$listHeadp; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($3+1048320)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7+4)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($8)>>2)]=$6; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$listHeadp; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $head=$10; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$head; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $14=(($3+1048320)|0); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14)|0); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$head; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16+1048320)|0); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17+4)|0); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($18)>>2)]=$15; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=$head; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($3+1048320)|0); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21)|0); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($22)>>2)]=$20; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$listHeadp; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($23)>>2)]=$3; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6removeERKS3_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+12;
      $1=$this;
      $2=$l;
      var $5=$1;
      var $6=$2; //@line 1354 "./jshashtable.h"
      __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6lookupERKS3_($p, $5, $6); //@line 1354 "./jshashtable.h"
      __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($3, $p); //@line 1354 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1354 "./jshashtable.h"
      var $8=$7.f0; //@line 1354 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1354 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1354 "./jshashtable.h"
    case 2: 
      var $11=$4; //@line 1355 "./jshashtable.h"
      var $12=$p; //@line 1355 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 1355 "./jshashtable.h"
      __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS3_NS6_6SetOpsES5_E3PtrE($5, $4); //@line 1355 "./jshashtable.h"
      __label__ = 3; break; //@line 1355 "./jshashtable.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1356 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20IsAboutToBeFinalizedP9JSContextPKv($cx, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $thingCompartment;
      var $rt;
      $2=$cx;
      $3=$thing;
      var $4=$3; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=$4; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=__ZNK2js2gc4Cell11compartmentEv($5); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingCompartment=$6; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$2; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7+52)|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$9; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$rt; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10+144080)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($12)|0)!=0; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$rt; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($15+144080)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingCompartment; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($17)|0)!=(($18)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      $1=0; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 5; break; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $22=$3; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$22; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=__ZNK2js2gc4Cell8isMarkedEj($23, 0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=$24 ^ 1; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$25; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 5; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $27=$1; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return $27; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js2gc4Cell8isMarkedEj($this, $color) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$color;
  var $3=$1;
  var $4=$3; //@line 787 "./jsgc.h"
  var $5=$2; //@line 787 "./jsgc.h"
  __ZN2js2gcL16AssertValidColorEPKvj1422($4, $5); //@line 787 "./jsgc.h"
  var $6=__ZNK2js2gc4Cell5chunkEv($3); //@line 788 "./jsgc.h"
  var $7=(($6+1032192)|0); //@line 788 "./jsgc.h"
  var $8=$2; //@line 788 "./jsgc.h"
  var $9=__ZN2js2gc11ChunkBitmap8isMarkedEPKNS0_4CellEj($7, $3, $8); //@line 788 "./jsgc.h"
  ;
  return $9; //@line 788 "./jsgc.h"
}


function __Z18js_GCThingIsMarkedPvj($thing, $color) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$thing;
  $2=$color;
  var $3=$1; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=$2; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gcL16AssertValidColorEPKvj1422($3, $4); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=$1; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$5; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=$2; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=__ZNK2js2gc4Cell8isMarkedEj($6, $7); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return $8; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __Z9js_InitGCP9JSRuntimej($rt, $maxbytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$rt;
      $3=$maxbytes;
      var $4=$2; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4+48)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE4initEj($5, 16); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      $1=0; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $9=$2; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9+88)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj($10, 256); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      $1=0; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $14=$2; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14+112)|0); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE4initEj($15, 256); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      $1=0; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $19=$3; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=$2; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20+152)|0); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$2; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$3; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN9JSRuntime19setGCMaxMallocBytesEj($22, $23); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$2; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+160)|0); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($25)>>2)]=30000; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$2; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN9JSRuntime14setGCLastBytesEj18JSGCInvocationKind($26, 8192, 0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=_PRMJ_Now();
      var $27$0=$27[0];
      var $27$1=$27[1];
      var $$emscripten$temp$0$0=60000000;
      var $$emscripten$temp$0$1=0;
      var $28$0 = (i64Math.add($27$0,$27$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $28$1 = i64Math.result[1]; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=$2; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=(($29+184)|0); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$20$0=(($30)|0);
      HEAP32[(($st$20$0)>>2)]=$28$0;
      var $st$20$1=(($30+4)|0);
      HEAP32[(($st$20$1)>>2)]=$28$1;
      $1=1; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $32=$1; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return $32; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9js_InitGCP9JSRuntimej["X"]=1;

function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN9JSRuntime14setGCLastBytesEj18JSGCInvocationKind($this, $lastBytes, $gckind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $base;
      var $trigger;
      $1=$this;
      $2=$lastBytes;
      $3=$gckind;
      var $4=$1;
      var $5=$2; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($4+148)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=$5; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7)|0)==2; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $10=$2; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15 = $10;__label__ = 4; break; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $12=$2; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=__ZN2jsL3MaxIjEET_S1_S1_($12, 31457280); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15 = $13;__label__ = 4; break; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $15; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $base=$15; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$base; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16)>>>0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$17*3; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $trigger=$18; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($4+152)|0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAPU32[(($19)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20)>>>0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$trigger; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=__ZN2jsL3MinIfEET_S1_S1_($21, $22); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=($23 >= 0 ? Math.floor($23) : Math.ceil($23)); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($4+144)|0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($25)>>2)]=$24; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js28MarkStackRangeConservativelyEP8JSTracerPN2JS5ValueES4_($trc, $beginv, $endv) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $begin;
  var $end;
  $1=$trc;
  $2=$beginv;
  $3=$endv;
  var $4=$2; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=__ZNK2JS5Value11payloadWordEv($4); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $begin=$5; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$3; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=__ZNK2JS5Value11payloadWordEv($6); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $end=$7; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=$1; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$begin; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=$end; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2jsL23MarkRangeConservativelyEP8JSTracerPKjS3_($8, $9, $10); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2jsL23MarkRangeConservativelyEP8JSTracerPKjS3_($trc, $begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $1=$trc;
      $2=$begin;
      $3=$end;
      var $4=$2; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $i=$4; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $6=$i; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$3; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($6)|0)!=(($7)|0); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $10=$1; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$i; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2jsL22MarkWordConservativelyEP8JSTracerj($10, $12); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $14=$i; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14+4)|0); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $i=$15; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      ;
      return; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js26MarkConservativeStackRootsEP8JSTracer($trc) {
  ;
  var __label__;

  var $1;
  $1=$trc;
  var $2=$1; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $3=$1; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=(($3)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=(($5+52)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=(($7+144280)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2jsL28MarkThreadDataConservativelyEP8JSTracerPNS_10ThreadDataE($2, $8); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2jsL28MarkThreadDataConservativelyEP8JSTracerPNS_10ThreadDataE($trc, $td) {
  ;
  var __label__;

  var $1;
  var $2;
  var $ctd;
  var $stackMin;
  var $stackEnd;
  $1=$trc;
  $2=$td;
  var $3=$2; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=(($3+65608)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $ctd=$4; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=$2; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=(($5+65600)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $stackMin=$7; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=$ctd; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=(($8)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $stackEnd=$10; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$1; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=$stackMin; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=$stackEnd; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2jsL23MarkRangeConservativelyEP8JSTracerPKjS3_($11, $12, $13); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $14=$1; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $15=$ctd; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $16=(($15+4)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $17=$16; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $18=(($17)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $19=$ctd; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $20=(($19+4)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $21=$20; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $22=(($21)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $23=(($22+40)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2jsL23MarkRangeConservativelyEP8JSTracerPKjS3_($14, $18, $23); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js24ConservativeGCThreadData14recordStackTopEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  var setjmpTable = {"1": function(value) { __label__ = 2; $7 = value },dummy: 0};
  while(1) try { switch(__label__) {
    case 1: 
      var $1;
      var $dummy=__stackBase__;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($3)>>2)]=$dummy; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=(($2+4)|0); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=$4; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5)|0); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(HEAP32[(($6)>>2)]=__label__, 0); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break;
    case 2: 
      STACKTOP = __stackBase__;
      return; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  } } catch(e) { if (!e.longjmp) throw(e); setjmpTable[e.label](e.value) }
}


function __ZN2jsL3MaxIjEET_S1_S1_($t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t1;
  $2=$t2;
  var $3=$1; //@line 316 "./jstl.h"
  var $4=$2; //@line 316 "./jstl.h"
  var $5=(($3)>>>0) > (($4)>>>0); //@line 316 "./jstl.h"
  var $6=$1; //@line 316 "./jstl.h"
  var $7=$2; //@line 316 "./jstl.h"
  var $8=$5 ? $6 : $7; //@line 316 "./jstl.h"
  ;
  return $8; //@line 316 "./jstl.h"
}


function __ZN2jsL3MinIfEET_S1_S1_($t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t1;
  $2=$t2;
  var $3=$1; //@line 309 "./jstl.h"
  var $4=$2; //@line 309 "./jstl.h"
  var $5=$3 < $4; //@line 309 "./jstl.h"
  var $6=$1; //@line 309 "./jstl.h"
  var $7=$2; //@line 309 "./jstl.h"
  var $8=$5 ? $6 : $7; //@line 309 "./jstl.h"
  ;
  return $8; //@line 309 "./jstl.h"
}


function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZN9JSRuntime20reduceGCTriggerBytesEj($this, $amount) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$amount;
      var $3=$1;
      var $4=(($3+144)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$2; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($5-$6)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7)>>>0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$8 < 94371840; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __label__ = 4; break; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $12=$2; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($3+144)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14-$12)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($13)>>2)]=$15; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      ;
      return; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSCompartment20reduceGCTriggerBytesEj($this, $amount) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$amount;
      var $3=$1;
      var $4=(($3+332)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$2; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($5-$6)|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7)>>>0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$8 < 94371840; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __label__ = 4; break; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $12=$2; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($3+332)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14-$12)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($13)>>2)]=$15; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      ;
      return; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z11js_FinishGCP9JSRuntime($rt) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $c;
      var $r=__stackBase__;
      var $chunk;
      var $next;
      $1=$rt;
      var $2=$1; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=(($2+4)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($3); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$4; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $6=$c; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$1; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7+4)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($8); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($6)|0)!=(($9)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $12=$c; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10Foreground7delete_I13JSCompartmentEEvPT_($13); //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $15=$c; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($15+4)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$16; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $18=$1; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18+4)|0); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5clearEv($19); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=$1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20)|0); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($21)>>2)]=0; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$1; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($22+72)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($23)>>2)]=0; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$1; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+76)|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($25)>>2)]=0; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$1; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26+48)|0); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3allEv($r, $27); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$29 ^ 1; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $32=$1; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z14ReleaseGCChunkP9JSRuntimePN2js2gc5ChunkE($32, $34); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $37=$1; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($37+48)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE5clearEv($38); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($39+80)|0); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $chunk=$41; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $43=$chunk; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $46=$chunk; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+1048320)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $next=$49; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$1; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=$chunk; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z14ReleaseGCChunkP9JSRuntimePN2js2gc5ChunkE($50, $51); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$next; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $chunk=$52; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $54=$1; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=(($54+80)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=0; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$1; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=(($56+84)|0); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($57)>>2)]=0; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=$1; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=(($58+88)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE5clearEv($59); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=$1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=(($60+112)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE5clearEv($61); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z11js_FinishGCP9JSRuntime["X"]=1;

function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 730 "./jsvector.h"
  var $3=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 731 "./jsvector.h"
  var $4=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 731 "./jsvector.h"
  __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 731 "./jsvector.h"
  var $5=(($2+4)|0); //@line 732 "./jsvector.h"
  HEAP32[(($5)>>2)]=0; //@line 732 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 733 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 733 "./jsvector.h"
}


function __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1291 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv($agg_result, $3); //@line 1291 "./jshashtable.h"
  ;
  return; //@line 1291 "./jshashtable.h"
}


function __Z14ReleaseGCChunkP9JSRuntimePN2js2gc5ChunkE($rt, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  $2=$p;
  var $3=$2; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=$3; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js11FreeGCChunkEPv($4); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+8)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1314 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5clearEv($3); //@line 1314 "./jshashtable.h"
  ;
  return; //@line 1314 "./jshashtable.h"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1112 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5clearEv($3); //@line 1112 "./jshashtable.h"
  ;
  return; //@line 1112 "./jshashtable.h"
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1112 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5clearEv($3); //@line 1112 "./jshashtable.h"
  ;
  return; //@line 1112 "./jshashtable.h"
}


function __Z10js_AddRootP9JSContextPN2JS5ValueEPKc($cx, $vp, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ok;
      $1=$cx;
      $2=$vp;
      $3=$name;
      var $4=$1; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4+52)|0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$3; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=_js_AddRootRT($6, $7, $8); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ok=$9; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$ok; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10)|0)!=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $13=$1; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      _JS_ReportOutOfMemory($13); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $15=$ok; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return $15; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_AddRootRT($rt, $vp, $name) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $lock=__stackBase__;
  var $5=__stackBase__+4;
  var $6=__stackBase__+8;
  var $7;
  $2=$rt;
  $3=$vp;
  $4=$name;
  var $8=$2; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $8); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$2; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=(($9+88)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=$11; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($5)>>2)]=$12; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js8RootInfoC1EPKc12JSGCRootType($6, $13, 0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $14=__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3putERKS1_RKS2_($10, $5, $6); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $15=(($14)|0)!=0; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $16=$15 ^ 1; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $17=$16 ^ 1; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $18=(($17)&1); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $1=$18; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $7=1;
  __ZN2js10AutoLockGCD1Ev($lock); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $19=$1; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  STACKTOP = __stackBase__;
  return $19; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __Z17js_AddGCThingRootP9JSContextPPvPKc($cx, $rp, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ok;
      $1=$cx;
      $2=$rp;
      $3=$name;
      var $4=$1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4+52)|0); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$2; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$3; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=_js_AddGCThingRootRT($6, $7, $8); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ok=$9; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$ok; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10)|0)!=0; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $13=$1; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      _JS_ReportOutOfMemory($13); //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $15=$ok; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return $15; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_AddGCThingRootRT($rt, $rp, $name) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $lock=__stackBase__;
  var $5=__stackBase__+4;
  var $6=__stackBase__+8;
  var $7;
  $2=$rt;
  $3=$rp;
  $4=$name;
  var $8=$2; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $8); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$2; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=(($9+88)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$3; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=$11; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($5)>>2)]=$12; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=$4; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js8RootInfoC1EPKc12JSGCRootType($6, $13, 1); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $14=__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3putERKS1_RKS2_($10, $5, $6); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $15=(($14)|0)!=0; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $16=$15 ^ 1; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $17=$16 ^ 1; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $18=(($17)&1); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $1=$18; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $7=1;
  __ZN2js10AutoLockGCD1Ev($lock); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $19=$1; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  STACKTOP = __stackBase__;
  return $19; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3putERKS1_RKS2_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$k;
      $4=$v;
      var $6=$2;
      var $7=$3; //@line 1140 "./jshashtable.h"
      __ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_($p, $6, $7); //@line 1140 "./jshashtable.h"
      var $8=$p; //@line 1141 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($5, $8); //@line 1141 "./jshashtable.h"
      var $9={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1141 "./jshashtable.h"
      var $10=$9.f0; //@line 1141 "./jshashtable.h"
      var $11=(($10)|0)!=0; //@line 1141 "./jshashtable.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1141 "./jshashtable.h"
    case 2: 
      var $13=$p; //@line 1142 "./jshashtable.h"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($13); //@line 1142 "./jshashtable.h"
      var $15=(($14+4)|0); //@line 1142 "./jshashtable.h"
      var $16=$4; //@line 1142 "./jshashtable.h"
      var $17=$15; //@line 1142 "./jshashtable.h"
      var $18=$16; //@line 1142 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1142 "./jshashtable.h"
      var $19=$p; //@line 1143 "./jshashtable.h"
      var $20=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrdeEv($19); //@line 1143 "./jshashtable.h"
      $1=$20; //@line 1143 "./jshashtable.h"
      __label__ = 7; break; //@line 1143 "./jshashtable.h"
    case 3: 
      var $22=$3; //@line 1145 "./jshashtable.h"
      var $23=$4; //@line 1145 "./jshashtable.h"
      var $24=__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS1_RKS2_($6, $p, $22, $23); //@line 1145 "./jshashtable.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1145 "./jshashtable.h"
    case 4: 
      var $26=$p; //@line 1145 "./jshashtable.h"
      var $27=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrdeEv($26); //@line 1145 "./jshashtable.h"
      var $30 = $27;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 5: 
      var $30 = 0;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 6: 
      var $30; //@line 1145 "./jshashtable.h"
      $1=$30; //@line 1145 "./jshashtable.h"
      __label__ = 7; break; //@line 1145 "./jshashtable.h"
    case 7: 
      var $32=$1; //@line 1146 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $32; //@line 1146 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8RootInfoC1EPKc12JSGCRootType($this, $name, $type) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$name;
  $3=$type;
  var $4=$1;
  var $5=$2; //@line 1135 "./jsgc.h"
  var $6=$3; //@line 1135 "./jsgc.h"
  __ZN2js8RootInfoC2EPKc12JSGCRootType($4, $5, $6); //@line 1135 "./jsgc.h"
  ;
  return; //@line 1135 "./jsgc.h"
}


function _js_RemoveRoot($rt, $rp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $lock=__stackBase__+4;
  var $4;
  $2=$rt;
  HEAP32[(($3)>>2)]=$rp;
  var $5=$2; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $5); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$2; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=(($6+88)|0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeERKS1_($7, $3); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=$2; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=(($8+144088)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP8[($9)]=1; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $1=1; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $4=1;
  __ZN2js10AutoLockGCD1Ev($lock); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=$1; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeERKS1_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+12;
      $1=$this;
      $2=$l;
      var $5=$1;
      var $6=$2; //@line 1166 "./jshashtable.h"
      __ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_($p, $5, $6); //@line 1166 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($3, $p); //@line 1166 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1166 "./jshashtable.h"
      var $8=$7.f0; //@line 1166 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1166 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1166 "./jshashtable.h"
    case 2: 
      var $11=$4; //@line 1167 "./jshashtable.h"
      var $12=$p; //@line 1167 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 1167 "./jshashtable.h"
      __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E3PtrE($5, $4); //@line 1167 "./jshashtable.h"
      __label__ = 3; break; //@line 1167 "./jshashtable.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1168 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z13js_MapGCRootsP9JSRuntimePFiPv12JSGCRootTypePKcS1_ES1_($rt, $map, $data) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $lock=__stackBase__;
      var $ct;
      var $e=__stackBase__+4;
      var $5;
      var $entry;
      var $mapflags;
      $2=$rt;
      $3=$map;
      $4=$data;
      var $6=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $6); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ct=0; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$2; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7+88)|0); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($e, $8); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $10=$e; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($10); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$11 ^ 1; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      $5=2;
      __label__ = 10; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $15=$e; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($15); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $entry=$16; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$ct; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17+1)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ct=$18; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=$entry; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$entry; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23+4)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$entry; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27+4)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=(($28)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=FUNCTION_TABLE[$19]($22, $26, $30, $31); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $mapflags=$32; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=$mapflags; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$33 & 2; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=(($34)|0)!=0; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($e); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $38=$mapflags; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$38 & 1; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($39)|0)!=0; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      $5=2;
      __label__ = 10; break; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      __label__ = 9; break; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $44=$e; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($44); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($e); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break;
    case 11: 
      var $47=$ct; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$47; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $5=1;
      __ZN2js10AutoLockGCD1Ev($lock); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=$1; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z13js_MapGCRootsP9JSRuntimePFiPv12JSGCRootTypePKcS1_ES1_["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+16)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN13JSCompartment14setGCLastBytesEj18JSGCInvocationKind($this, $lastBytes, $gckind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $base;
      var $trigger;
      $1=$this;
      $2=$lastBytes;
      $3=$gckind;
      var $4=$1;
      var $5=$2; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($4+336)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$3; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7)|0)==2; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $10=$2; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15 = $10;__label__ = 4; break; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $12=$2; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=__ZN2jsL3MaxIjEET_S1_S1_($12, 31457280); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15 = $13;__label__ = 4; break; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $15; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $base=$15; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$base; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16)>>>0); //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$17*3; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $trigger=$18; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($4)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20+152)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($22)>>>0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$trigger; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=__ZN2jsL3MinIfEET_S1_S1_($23, $24); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=($25 >= 0 ? Math.floor($25) : Math.ceil($25)); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($4+332)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists15finalizeObjectsEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $4, 0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=$2; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $5, 2); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $6, 4); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=$2; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $7, 6); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=$2; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $8, 8); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$2; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $9, 10); //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=$2; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists13finalizeLaterEP9JSContextNS0_9AllocKindE($3, $10, 12); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$2; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $11, 16); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($this, $cx, $thingKind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$thingKind;
  var $4=$1;
  var $5=$2; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$3; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=(($4+160)|0); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=(($7+($6<<3))|0); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$3; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gcL14FinalizeArenasEP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($5, $8, $9); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc10ArenaLists13finalizeLaterEP9JSContextNS0_9AllocKindE($this, $cx, $thingKind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$thingKind;
  var $4=$1;
  var $5=$2; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$3; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($4, $5, $6); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc10ArenaLists15finalizeStringsEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists13finalizeLaterEP9JSContextNS0_9AllocKindE($3, $4, 17); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=$2; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists13finalizeLaterEP9JSContextNS0_9AllocKindE($3, $5, 18); //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$2; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $6, 19); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc10ArenaLists14finalizeShapesEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $4, 14); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=$2; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $5, 15); //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc10ArenaLists15finalizeScriptsEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE($3, $4, 13); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN7mozilla9DebugOnlyIjEaSERKj($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return $4; //@line 183 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIjEppEi($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 184 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIjEmmEi($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 185 "./dist/include/mozilla/Util.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js2gc11ArenaHeader21getNextDelayedMarkingEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 753 "./jsgc.h"
  var $4=(($3+12)|0); //@line 753 "./jsgc.h"
  var $5=$4; //@line 753 "./jsgc.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 753 "./jsgc.h"
  var $7=$6 >>> 9; //@line 753 "./jsgc.h"
  var $8=$7 & 8388607; //@line 753 "./jsgc.h"
  var $9=$8 << 12; //@line 753 "./jsgc.h"
  var $10=$9; //@line 753 "./jsgc.h"
  ;
  return $10; //@line 753 "./jsgc.h"
}


function __ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($cx, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $comp;
      var $rt;
      var $runGC;
      var $thingSize;
      var $thing;
      var $thing1;
      var $lock=__stackBase__;
      var $4;
      $2=$cx;
      $3=$thingKind;
      var $5=$2; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+56)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $comp=$7; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$comp; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$10; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$rt; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11+196)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13)|0)!=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$14 ^ 1; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$15 ^ 1; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16)&1); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $runGC=$17; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $19=$runGC; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19) & 1); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $22=$2; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=__ZN2js2gc11IsGCAllowedEP9JSContext($22); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $25=$2; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gcL14RunLastDitchGCEP9JSContext($25); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$rt; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26+140)|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=HEAPU32[(($27)>>2)]; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=$rt; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=(($29+152)|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=HEAPU32[(($30)>>2)]; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=(($28)>>>0) > (($31)>>>0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      __label__ = 18; break; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$3; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($35); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$36; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=$comp; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($37+8)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$3; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$thingSize; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($38, $39, $40); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$41; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$thing; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42)|0)!=0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $45=$thing; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$45; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 19; break; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      __label__ = 9; break; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $48=$comp; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=(($48+8)|0); //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$comp; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=$3; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=__ZN2js2gc10ArenaLists17allocateFromArenaEP13JSCompartmentNS0_9AllocKindE($49, $50, $51); //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing1=$52; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=$thing1; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=(($53)|0)!=0; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $56=$thing1; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$56; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 19; break; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $58=$runGC; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=(($58) & 1); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $61=$2; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=__ZN2js2gc11IsGCAllowedEP9JSContext($61); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($62) { __label__ = 17; break; } else { __label__ = 13; break; } //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $64=$rt; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $64); //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66=(($65)|0)==10; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($66) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=8; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71 = __ZN2js8gcReasonE;__label__ = 16; break; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      var $69=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$69; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71 = __ZN2js8gcReasonE;__label__ = 16; break; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 16: 
      var $71; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $72=$rt; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js9TriggerGCEP9JSRuntime($72); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $4=2;
      __ZN2js10AutoLockGCD1Ev($lock); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 18; break;
    case 17: 
      $runGC=1; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $75=$2; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($75); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 19; break; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      var $77=$1; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return $77; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE["X"]=1;

function __ZN2js2gc11IsGCAllowedEP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=__ZL11JS_ON_TRACEPK9JSContext1453($2); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($3) { var $14 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $5=$1; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+52)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7+144280)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8+24)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP8[($9)]; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10) & 1); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$11 ^ 1; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      ;
      return $14; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL14RunLastDitchGCEP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $keep=__stackBase__;
      $1=$cx;
      var $2=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=(($2+52)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$4; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=$rt; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js13AutoKeepAtomsC1EP9JSRuntime($keep, $5); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6)|0)==10; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=5; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12 = __ZN2js8gcReasonE;__label__ = 4; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $10=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$10; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12 = __ZN2js8gcReasonE;__label__ = 4; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $12; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$1; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=$rt; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14+144076)|0); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($13, $16, 0); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js13AutoKeepAtomsD1Ev($keep); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists17allocateFromArenaEP13JSCompartmentNS0_9AllocKindE($this, $comp, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $chunk;
      var $al;
      var $maybeLock=__stackBase__;
      var $aheader;
      var $5=__stackBase__+4;
      var $6;
      var $aheader1;
      var $arenaAddr;
      $2=$this;
      $3=$comp;
      $4=$thingKind;
      var $7=$2;
      $chunk=0; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$4; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($7+160)|0); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9+($8<<3))|0); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $al=$10; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($maybeLock, 0); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$chunk; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 9; break; } else { __label__ = 2; break; } //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $14=$al; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14+4)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$17; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$aheader; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18)|0)!=0; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $21=$aheader; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21+4)|0); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$al; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23+4)|0); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($24)>>2)]=$22; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=$4; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=(($7)|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26+($25<<3))|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($5, $28); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=$27; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$5; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$aheader; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader14setAsFullyUsedEv($31); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=$4; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=(($7)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=(($33+($32<<3))|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$4; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($35); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=__ZN2js2gc8FreeSpan18infallibleAllocateEj($34, $36); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$37; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $6=1;
      __label__ = 12; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $39=__ZNK2js10AutoLockGC6lockedEv($maybeLock); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $41=$3; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=(($41)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGC4lockEP9JSRuntime($maybeLock, $43); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $45=$3; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=__ZL9PickChunkP13JSCompartment($45); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $chunk=$46; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$chunk; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0)!=0; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      $1=0; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $6=1;
      __label__ = 12; break; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      __label__ = 9; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $52=$chunk; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=$3; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$4; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=__ZN2js2gc5Chunk13allocateArenaEP13JSCompartmentNS0_9AllocKindE($52, $53, $54); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader1=$55; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$al; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=(($56)|0); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=$aheader1; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59+4)|0); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($60)>>2)]=$58; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=$al; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=(($61)|0); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=(($63)|0)!=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($64) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $66=$aheader1; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=(($66+4)|0); //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $68=$al; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $69=(($68+4)|0); //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($69)>>2)]=$67; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $71=$aheader1; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $72=$al; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $73=(($72)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($73)>>2)]=$71; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=$aheader1; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $75=__ZNK2js2gc11ArenaHeader12arenaAddressEv($74); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $arenaAddr=$75; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $76=$4; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $77=(($7)|0); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77+($76<<3))|0); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $79=$arenaAddr; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $80=$4; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $81=__ZN2js2gc5Arena16firstThingOffsetENS0_9AllocKindE($80); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $82=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($82); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $84=__ZN2js2gc8FreeSpan20allocateFromNewArenaEjjj($78, $79, $81, $83); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$84; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $6=1;
      __label__ = 12; break; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      __ZN2js10AutoLockGCD1Ev($maybeLock); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$1; //@line 1276 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $86; //@line 1276 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc10ArenaLists17allocateFromArenaEP13JSCompartmentNS0_9AllocKindE["X"]=1;

function __ZN2js9TriggerGCEP9JSRuntime($rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$rt;
      var $2=$1; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=(($2+196)|0); //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0)!=0; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __label__ = 4; break; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $8=$1; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8+196)|0); //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($9)>>2)]=1; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$1; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10+144076)|0); //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($11)>>2)]=0; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$1; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js28TriggerAllOperationCallbacksEP9JSRuntime($12); //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      ;
      return; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z22js_GetGCThingTraceKindPv($thing) {
  ;
  var __label__;

  var $1;
  $1=$thing;
  var $2=$1; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $3=__ZN2js2gc19GetGCThingTraceKindEPKv($2); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return $3; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc19GetGCThingTraceKindEPKv($thing) {
  ;
  var __label__;

  var $1;
  var $cell;
  $1=$thing;
  var $2=$1; //@line 62 "./jsgcinlines.h"
  var $3=$2; //@line 62 "./jsgcinlines.h"
  $cell=$3; //@line 62 "./jsgcinlines.h"
  var $4=$cell; //@line 63 "./jsgcinlines.h"
  var $5=__ZNK2js2gc4Cell12getAllocKindEv($4); //@line 63 "./jsgcinlines.h"
  var $6=__ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE($5); //@line 63 "./jsgcinlines.h"
  ;
  return $6; //@line 63 "./jsgcinlines.h"
}


function __Z16js_LockGCThingRTP9JSRuntimePv($rt, $thing) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $lock=__stackBase__+4;
      var $p=__stackBase__+8;
      var $4=__stackBase__+12;
      var $5=__stackBase__+16;
      var $6;
      $2=$rt;
      HEAP32[(($3)>>2)]=$thing;
      var $7=HEAP32[(($3)>>2)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7)|0)!=0; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      $1=1; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $11=$2; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $11); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$2; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($12+112)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($4)>>2)]=0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE17lookupWithDefaultERKS1_RKj($p, $13, $3, $4); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrcvMSB_FvvEEv($5, $p); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$14.f0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($15)|0)!=0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $18=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrptEv($p); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18+4)|0); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20+1)|0); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($19)>>2)]=$21; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=1; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $6=1;
      __label__ = 6; break; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $6=1;
      __label__ = 6; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      __ZN2js10AutoLockGCD1Ev($lock); //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break;
    case 7: 
      var $25=$1; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE17lookupWithDefaultERKS1_RKj($agg_result, $this, $k, $defaultValue) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p=__stackBase__;
      var $4=__stackBase__+8;
      $1=$this;
      $2=$k;
      $3=$defaultValue;
      var $5=$1;
      var $6=$2; //@line 1157 "./jshashtable.h"
      __ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE12lookupForAddERKS1_($p, $5, $6); //@line 1157 "./jshashtable.h"
      var $7=$p; //@line 1158 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrcvMSB_FvvEEv($4, $7); //@line 1158 "./jshashtable.h"
      var $8={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 1158 "./jshashtable.h"
      var $9=$8.f0; //@line 1158 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 1158 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1158 "./jshashtable.h"
    case 2: 
      var $12=$p; //@line 1159 "./jshashtable.h"
      var $13=$agg_result; //@line 1159 "./jshashtable.h"
      var $14=$12; //@line 1159 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)]; //@line 1159 "./jshashtable.h"
      __label__ = 4; break; //@line 1159 "./jshashtable.h"
    case 3: 
      var $16=$2; //@line 1160 "./jshashtable.h"
      var $17=$3; //@line 1160 "./jshashtable.h"
      var $18=__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_jEENS4_13MapHashPolicyES3_E6AddPtrERKS1_RKj($5, $p, $16, $17); //@line 1160 "./jshashtable.h"
      var $19=$p; //@line 1161 "./jshashtable.h"
      var $20=$agg_result; //@line 1161 "./jshashtable.h"
      var $21=$19; //@line 1161 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)]; //@line 1161 "./jshashtable.h"
      __label__ = 4; break; //@line 1161 "./jshashtable.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1162 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrcvMSB_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 124, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_UnlockGCThingRTP9JSRuntimePv($rt, $thing) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $lock=__stackBase__+4;
      var $p=__stackBase__+8;
      var $3=__stackBase__+12;
      var $4=__stackBase__+20;
      $1=$rt;
      HEAP32[(($2)>>2)]=$thing;
      var $5=HEAP32[(($2)>>2)]; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5)|0)!=0; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __label__ = 8; break; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $9=$1; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $9); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$1; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10+112)|0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE6lookupERKS1_($p, $11, $2); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrcvMSB_FvvEEv($3, $p); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$12.f0; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13)|0)!=0; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $16=$1; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16+144088)|0); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($17)]=1; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrptEv($p); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18+4)|0); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20-1)|0); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($19)>>2)]=$21; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21)|0)==0; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $24=$1; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+112)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$4; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$p; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)]; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_jEENS4_13MapHashPolicyES3_E3PtrE($25, $4); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      __label__ = 7; break; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      __ZN2js10AutoLockGCD1Ev($lock); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      STACKTOP = __stackBase__;
      return; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE6lookupERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6lookupERKS3_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_jEENS4_13MapHashPolicyES3_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6removeENSA_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN2js8GCMarkerC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=$4; //@line 1572 "./jsgc.h"
      var $6=(($4+24)|0); //@line 1572 "./jsgc.h"
      HEAP32[(($6)>>2)]=0; //@line 1572 "./jsgc.h"
      var $7=(($4+28)|0); //@line 1572 "./jsgc.h"
      HEAP32[(($7)>>2)]=0; //@line 1572 "./jsgc.h"
      var $8=(($4+32)|0); //@line 1572 "./jsgc.h"
      __ZN7mozilla9DebugOnlyIjEC1Ev($8); //@line 1572 "./jsgc.h"
      var $9=(($4+36)|0); //@line 1572 "./jsgc.h"
      var $10=$2; //@line 1572 "./jsgc.h"
      var $11=(($10+52)|0); //@line 1572 "./jsgc.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1572 "./jsgc.h"
      var $13=(($12+204)|0); //@line 1572 "./jsgc.h"
      var $14=(($13)|0); //@line 1572 "./jsgc.h"
      __ZN2js9MarkStackIP8JSObjectEC1EPPvj($9, $14, 131072); //@line 1572 "./jsgc.h"
      var $15=(($4+48)|0); //@line 1572 "./jsgc.h"
      var $16=$2; //@line 1572 "./jsgc.h"
      var $17=(($16+52)|0); //@line 1572 "./jsgc.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1572 "./jsgc.h"
      var $19=(($18+131276)|0); //@line 1572 "./jsgc.h"
      var $20=(($19)|0); //@line 1572 "./jsgc.h"
      __ZN2js9MarkStackIP6JSRopeEC1EPPvj($15, $20, 4096); //@line 1572 "./jsgc.h"
      var $21=(($4+60)|0); //@line 1572 "./jsgc.h"
      var $22=$2; //@line 1572 "./jsgc.h"
      var $23=(($22+52)|0); //@line 1572 "./jsgc.h"
      var $24=HEAP32[(($23)>>2)]; //@line 1572 "./jsgc.h"
      var $25=(($24+135372)|0); //@line 1572 "./jsgc.h"
      var $26=(($25)|0); //@line 1572 "./jsgc.h"
      __ZN2js9MarkStackIPNS_5types10TypeObjectEEC1EPPvj($21, $26, 4096); //@line 1572 "./jsgc.h"
      var $27=(($4+72)|0); //@line 1572 "./jsgc.h"
      var $28=$2; //@line 1572 "./jsgc.h"
      var $29=(($28+52)|0); //@line 1572 "./jsgc.h"
      var $30=HEAP32[(($29)>>2)]; //@line 1572 "./jsgc.h"
      var $31=(($30+139468)|0); //@line 1572 "./jsgc.h"
      var $32=(($31)|0); //@line 1572 "./jsgc.h"
      __ZN2js9MarkStackIP5JSXMLEC1EPPvj($27, $32, 4096); //@line 1572 "./jsgc.h"
      var $33=(($4+84)|0); //@line 1572 "./jsgc.h"
      var $34=$2; //@line 1572 "./jsgc.h"
      var $35=(($34+52)|0); //@line 1572 "./jsgc.h"
      var $36=HEAP32[(($35)>>2)]; //@line 1572 "./jsgc.h"
      var $37=(($36+143564)|0); //@line 1572 "./jsgc.h"
      var $38=(($37)|0); //@line 1572 "./jsgc.h"
      __ZN2js9MarkStackINS_13LargeMarkItemEEC1EPPvj($33, $38, 512); //@line 1572 "./jsgc.h"
      __label__ = 2; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $40=$2; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=$4; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=(($41)|0); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($42)>>2)]=$40; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$4; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43+4)|0); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=$4; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=(($45+8)|0); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($46)>>2)]=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$4; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47+12)|0); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$4; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=(($49+16)|0); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($50)>>2)]=-1; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=$4; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=(($51+20)|0); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=1; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $54=(($4+32)|0); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($3)>>2)]=0; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=__ZN7mozilla9DebugOnlyIjEaSERKj($54, $3); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=(($56+20)|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($57)>>2)]=0; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8GCMarkerC2EP9JSContext["X"]=1;

function __ZN7mozilla9DebugOnlyIjEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIjEC2Ev($2); //@line 181 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 181 "./dist/include/mozilla/Util.h"
}


function __ZN2js9MarkStackIP8JSObjectEC1EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=$2; //@line 1468 "./jsgc.h"
  var $6=$3; //@line 1468 "./jsgc.h"
  __ZN2js9MarkStackIP8JSObjectEC2EPPvj($4, $5, $6); //@line 1468 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js9MarkStackIP6JSRopeEC1EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=$2; //@line 1468 "./jsgc.h"
  var $6=$3; //@line 1468 "./jsgc.h"
  __ZN2js9MarkStackIP6JSRopeEC2EPPvj($4, $5, $6); //@line 1468 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js9MarkStackIPNS_5types10TypeObjectEEC1EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=$2; //@line 1468 "./jsgc.h"
  var $6=$3; //@line 1468 "./jsgc.h"
  __ZN2js9MarkStackIPNS_5types10TypeObjectEEC2EPPvj($4, $5, $6); //@line 1468 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js9MarkStackIP5JSXMLEC1EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=$2; //@line 1468 "./jsgc.h"
  var $6=$3; //@line 1468 "./jsgc.h"
  __ZN2js9MarkStackIP5JSXMLEC2EPPvj($4, $5, $6); //@line 1468 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js9MarkStackINS_13LargeMarkItemEEC1EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=$2; //@line 1468 "./jsgc.h"
  var $6=$3; //@line 1468 "./jsgc.h"
  __ZN2js9MarkStackINS_13LargeMarkItemEEC2EPPvj($4, $5, $6); //@line 1468 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js8GCMarkerD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN7mozilla9DebugOnlyIjED1Ev($3); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js8GCMarker20delayMarkingChildrenEPKv($this, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cell;
      var $aheader;
      $1=$this;
      $2=$thing;
      var $3=$1;
      var $4=$2; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=$4; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $cell=$5; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$cell; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZNK2js2gc4Cell11arenaHeaderEv($6); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$7; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$aheader; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$8; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9+12)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$10; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$12 >>> 8; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=$13 & 1; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14)|0)!=0; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __label__ = 4; break; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $18=$aheader; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($3+28)|0); //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader21setNextDelayedMarkingEPNS0_5ArenaE($18, $20); //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$aheader; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=__ZN2js2gc11ArenaHeader8getArenaEv($21); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($3+28)|0); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($3+32)|0); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($24, 0); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      ;
      return; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11ArenaHeader21setNextDelayedMarkingEPNS0_5ArenaE($this, $arena) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$arena;
  var $3=$1;
  var $4=$3; //@line 760 "./jsgc.h"
  var $5=(($4+12)|0); //@line 760 "./jsgc.h"
  var $6=$5; //@line 760 "./jsgc.h"
  var $7=HEAP32[(($6)>>2)]; //@line 760 "./jsgc.h"
  var $8=$7 & -257; //@line 760 "./jsgc.h"
  var $9=$8 | 256; //@line 760 "./jsgc.h"
  HEAP32[(($6)>>2)]=$9; //@line 760 "./jsgc.h"
  var $10=$2; //@line 761 "./jsgc.h"
  var $11=__ZNK2js2gc5Arena7addressEv($10); //@line 761 "./jsgc.h"
  var $12=$11 >>> 12; //@line 761 "./jsgc.h"
  var $13=$12 & 8388607; //@line 761 "./jsgc.h"
  var $14=$3; //@line 761 "./jsgc.h"
  var $15=(($14+12)|0); //@line 761 "./jsgc.h"
  var $16=$15; //@line 761 "./jsgc.h"
  var $17=$13 & 8388607; //@line 761 "./jsgc.h"
  var $18=$17 << 9; //@line 761 "./jsgc.h"
  var $19=HEAP32[(($16)>>2)]; //@line 761 "./jsgc.h"
  var $20=$19 & 511; //@line 761 "./jsgc.h"
  var $21=$20 | $18; //@line 761 "./jsgc.h"
  HEAP32[(($16)>>2)]=$21; //@line 761 "./jsgc.h"
  ;
  return; //@line 762 "./jsgc.h"
}


function __ZN2js2gc11ArenaHeader8getArenaEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc11ArenaHeader12arenaAddressEv($2); //@line 430 "./jsgc.h"
  var $4=$3; //@line 430 "./jsgc.h"
  ;
  return $4; //@line 430 "./jsgc.h"
}


function __ZN2js8GCMarker19markDelayedChildrenEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $a;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $4=(($2+28)|0); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5)|0)!=0; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $8=(($2+28)|0); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $a=$9; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$a; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=__ZNK2js2gc11ArenaHeader21getNextDelayedMarkingEv($11); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($2+28)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=$a; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14)|0); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$15; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16+12)|0); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$17; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=$19 & -257; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($18)>>2)]=$20; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($2+32)|0); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEmmEi($21, 0); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$a; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2jsL19MarkDelayedChildrenEPNS_8GCMarkerEPNS_2gc5ArenaE($2, $22); //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      ;
      return; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime6gcZealEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 0; //@line 502 "./jscntxt.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js2gc18GCCompartmentsIter4doneEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=(($2+4)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=(($4)|0)==(($6)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return $7; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc18GCCompartmentsIter4nextEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=(($4+4)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($3)>>2)]=$5; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2jsL19MarkDelayedChildrenEPNS_8GCMarkerEPNS_2gc5ArenaE($trc, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $allocKind;
      var $traceKind;
      var $thingSize;
      var $end;
      var $thing;
      var $t;
      $1=$trc;
      $2=$a;
      var $3=$2; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=(($3)|0); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=__ZNK2js2gc11ArenaHeader12getAllocKindEv($4); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allocKind=$5; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$allocKind; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE($6); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $traceKind=$7; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$allocKind; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($8); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$9; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$2; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($10); //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $end=$11; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$2; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$allocKind; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($12, $13); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$14; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $16=$thing; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$end; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($16)|0)!=(($17)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=$thing; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$20; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$21; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$t; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=__ZNK2js2gc4Cell8isMarkedEj($22, 0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $25=$1; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$25; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$t; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$27; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=$traceKind; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      _JS_TraceChildren($26, $28, $29); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 5; break; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      __label__ = 6; break; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $32=$thingSize; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=$thing; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=(($33+$32)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$34; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      ;
      return; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL19MarkDelayedChildrenEPNS_8GCMarkerEPNS_2gc5ArenaE["X"]=1;

function __Z18js_TraceStackFrameP8JSTracerPN2js10StackFrameE($trc, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$trc;
      $2=$fp;
      var $3=$1; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=__ZNK2js10StackFrame10scopeChainEv($4); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($3, $5, ((STRING_TABLE.__str1389)|0)); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$2; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZNK2js10StackFrame12isDummyFrameEv($6); //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __label__ = 6; break; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $10=$2; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZNK2js10StackFrame10hasArgsObjEv($10); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $13=$1; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=$2; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZNK2js10StackFrame7argsObjEv($14); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$15; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($13, $16, ((STRING_TABLE.__str11390)|0)); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 5; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $18=$1; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=$2; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=__ZNK2js10StackFrame6scriptEv($19); //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkScriptEP8JSTracerP8JSScriptPKc($18, $20, ((STRING_TABLE.__str21391)|0)); //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$2; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=__ZNK2js10StackFrame6scriptEv($21); //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$22; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=__ZNK2js2gc4Cell11compartmentEv($23); //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+712)|0); //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($25)]=1; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$1; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$2; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=__ZN2js10StackFrame11returnValueEv($27); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($26, $28, ((STRING_TABLE.__str31392)|0)); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      ;
      return; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js19AutoEnumStateRooter5traceEP8JSTracer($this, $trc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$trc;
  var $3=$1;
  var $4=$2; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=(($3+12)|0); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($4, $6, ((STRING_TABLE.__str41393)|0)); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js11MarkContextEP8JSTracerP9JSContext($trc, $acx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $gcr;
      $1=$trc;
      $2=$acx;
      var $4=$2; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4+132)|0); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6)|0)!=0; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$2; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZNK9JSContext12hasRunOptionEj($9, 8192); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $12=$1; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$2; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13+132)|0); //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($12, $15, ((STRING_TABLE.__str51394)|0)); //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $17=$2; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=__ZN9JSContext18isExceptionPendingEv($17); //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $20=$1; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$2; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN9JSContext19getPendingExceptionEv($3, $21); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($20, $3, ((STRING_TABLE.__str61395)|0)); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $23=$2; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23+196)|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $gcr=$25; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $27=$gcr; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27)|0)!=0; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $30=$gcr; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$1; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js12AutoGCRooter5traceEP8JSTracer($30, $31); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $33=$gcr; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=(($33)|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $gcr=$35; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $37=$2; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($37+136)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=(($38)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=(($40)|0) > 0; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $43=$1; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=$2; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=(($44+136)|0); //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z16js_TraceSharpMapP8JSTracerP16JSSharpObjectMap($43, $45); //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 12; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $47=$1; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=$2; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=(($48+224)|0); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($47, $49, ((STRING_TABLE.__str71396)|0)); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11MarkContextEP8JSTracerP9JSContext["X"]=1;

function __ZN2js12AutoGCRooter5traceEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ida;
      var $descriptors;
      var $i;
      var $len;
      var $desc;
      var $desc1;
      var $array;
      var $obj;
      var $vector;
      var $str;
      var $vector2;
      var $vector3;
      var $vector4;
      var $array5;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ((($5)|0) == -1) {
        __label__ = 2; break;
      }
      else if ((($5)|0) == -3) {
        __label__ = 3; break;
      }
      else if ((($5)|0) == -5) {
        __label__ = 4; break;
      }
      else if ((($5)|0) == -6) {
        __label__ = 5; break;
      }
      else if ((($5)|0) == -7) {
        __label__ = 6; break;
      }
      else if ((($5)|0) == -13) {
        __label__ = 11; break;
      }
      else if ((($5)|0) == -8) {
        __label__ = 20; break;
      }
      else if ((($5)|0) == -9) {
        __label__ = 21; break;
      }
      else if ((($5)|0) == -10) {
        __label__ = 22; break;
      }
      else if ((($5)|0) == -11) {
        __label__ = 25; break;
      }
      else if ((($5)|0) == -12) {
        __label__ = 26; break;
      }
      else if ((($5)|0) == -14) {
        __label__ = 27; break;
      }
      else if ((($5)|0) == -15) {
        __label__ = 30; break;
      }
      else if ((($5)|0) == -4) {
        __label__ = 31; break;
      }
      else if ((($5)|0) == -16) {
        __label__ = 32; break;
      }
      else if ((($5)|0) == -2) {
        __label__ = 33; break;
      }
      else {
      __label__ = 34; break;
      }
      
    case 2: 
      var $7=$2; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$3; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8+16)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($7, $9, ((STRING_TABLE.__str91398)|0)); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $11=$3; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$2; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js6Parser5traceEP8JSTracer($11, $12); //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $14=$3; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$2; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js19AutoEnumStateRooter5traceEP8JSTracer($14, $15); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $17=$3; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17+12)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ida=$19; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=$2; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$ida; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$ida; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=(($25)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11MarkIdRangeEP8JSTracerjPiPKc($20, $23, $26, ((STRING_TABLE.__str101399)|0)); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $28=$3; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=(($28+12)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $descriptors=$29; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $i=0; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$descriptors; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE6lengthEv($30); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $len=$31; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $33=$i; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$len; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$descriptors; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$i; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEixEj($37, $38); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $desc=$39; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$2; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=$desc; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=(($41)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($40, $42, ((STRING_TABLE.__str111400)|0)); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$2; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=$desc; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=(($44+8)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($43, $45, ((STRING_TABLE.__str121401)|0)); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=$2; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$desc; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47+16)|0); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($46, $48, ((STRING_TABLE.__str131402)|0)); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$2; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$desc; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($50+24)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($49, $51, ((STRING_TABLE.__str141403)|0)); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $53=$i; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=(($53+1)|0); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $i=$54; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      __label__ = 35; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $57=$3; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=$57; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=(($58+16)|0); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=$59; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $desc1=$60; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=$desc1; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=(($61)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=(($63)|0)!=0; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($64) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $66=$2; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=$desc1; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $68=(($67)|0); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($66, $69, ((STRING_TABLE.__str151404)|0)); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 13; break; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $71=$2; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $72=$desc1; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $73=(($72+16)|0); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($71, $73, ((STRING_TABLE.__str161405)|0)); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=$desc1; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $75=(($74+4)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $77=$76 & 16; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $80=$desc1; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $81=(($80+8)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=(($82)|0)!=0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($83) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      var $85=$2; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$desc1; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86+8)|0); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($88); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($85, $89, ((STRING_TABLE.__str171406)|0)); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 16: 
      var $91=$desc1; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $92=(($91+4)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $94=$93 & 32; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $95=(($94)|0)!=0; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($95) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $97=$desc1; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $98=(($97+12)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $100=(($99)|0)!=0; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($100) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $102=$2; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $103=$desc1; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $104=(($103+12)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $106=__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE($105); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($102, $106, ((STRING_TABLE.__str181407)|0)); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 19; break; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      __label__ = 35; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $109=$3; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $110=(($109+12)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $array=$110; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $111=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $112=$array; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $113=(($112)|0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $115=$array; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $116=(($115+8)|0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $118=$117; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc15MarkObjectRangeEP8JSTracerjPP8JSObjectPKc($111, $114, $118, ((STRING_TABLE.__str191408)|0)); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $119=$array; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $120=(($119+12)|0); //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $122=$2; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN16JSXMLArrayCursor5traceEP8JSTracer($121, $122); //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $124=$2; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $125=$3; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $126=(($125+12)|0); //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      _js_TraceXML($124, $127); //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $129=$3; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $130=(($129+12)|0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $obj=$131; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $132=$obj; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $133=(($132)|0)!=0; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($133) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $135=$2; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $136=$obj; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($135, $136, ((STRING_TABLE.__str201409)|0)); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 24; break; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __label__ = 35; break; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 25: 
      var $139=$2; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $140=$3; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $141=(($140+12)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc6MarkIdEP8JSTraceriPKc($139, $142, ((STRING_TABLE.__str211410)|0)); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 26: 
      var $144=$3; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $145=$144; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $146=(($145+12)|0); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $vector=$146; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $147=$2; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $148=$vector; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $149=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6lengthEv($148); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $150=$vector; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $151=__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5beginEv($150); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc($147, $149, $151, ((STRING_TABLE.__str221411)|0)); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 27: 
      var $153=$3; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $154=(($153+12)|0); //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $str=$155; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $156=$str; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $157=(($156)|0)!=0; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($157) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 28: 
      var $159=$2; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $160=$str; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($159, $160, ((STRING_TABLE.__str231412)|0)); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 29; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 29: 
      __label__ = 35; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 30: 
      var $163=$3; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $164=$163; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $165=(($164+12)|0); //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $vector2=$165; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $166=$2; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $167=$vector2; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $168=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE6lengthEv($167); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $169=$vector2; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $170=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE5beginEv($169); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11MarkIdRangeEP8JSTracerjPiPKc($166, $168, $170, ((STRING_TABLE.__str241413)|0)); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 31: 
      var $172=$3; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $173=$172; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $174=(($173+12)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $vector3=$174; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $175=$2; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $176=$vector3; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $177=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE6lengthEv($176); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $178=$vector3; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $179=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE5beginEv($178); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc14MarkShapeRangeEP8JSTracerjPPKNS_5ShapeEPKc($175, $177, $179, ((STRING_TABLE.__str251414)|0)); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 32: 
      var $181=$3; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $182=$181; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $183=(($182+12)|0); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $vector4=$183; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $184=$2; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $185=$vector4; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $186=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE6lengthEv($185); //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $187=$vector4; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $188=__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE5beginEv($187); //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc15MarkObjectRangeEP8JSTracerjPP8JSObjectPKc($184, $186, $188, ((STRING_TABLE.__str261415)|0)); //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 33: 
      var $190=$3; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $array5=$190; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $191=$2; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $192=$array5; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $193=__ZNK2js14AutoValueArray6lengthEv($192); //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $194=$array5; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $195=__ZNK2js14AutoValueArray5startEv($194); //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc($191, $193, $195, ((STRING_TABLE.__str271416)|0)); //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 34: 
      var $197=$2; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $198=(($3+4)|0); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $199=HEAP32[(($198)>>2)]; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $200=$3; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $201=(($200+12)|0); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $202=HEAP32[(($201)>>2)]; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc($197, $199, $202, ((STRING_TABLE.__str281417)|0)); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 35: 
      ;
      return; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12AutoGCRooter5traceEP8JSTracer["X"]=1;

function __ZN2js11MarkRuntimeEP8JSTracer($trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $r=__stackBase__;
      var $r1=__stackBase__+8;
      var $iter=__stackBase__+16;
      var $acx;
      var $c=__stackBase__+20;
      var $i=__stackBase__+28;
      $1=$trc;
      var $2=$1; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=(($2)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4+52)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$6; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$rt; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7+24)|0); //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9)|0)!=3; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $12=$1; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js26MarkConservativeStackRootsEP8JSTracer($12); //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$rt; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14+88)|0); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3allEv($r, $15); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $17=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($r); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$17 ^ 1; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $20=$1; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($r); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZL17gc_root_traversalP8JSTracerRKN2js12HashMapEntryIPvNS1_8RootInfoEEE($20, $21); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($r); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $24=$rt; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+112)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE3allEv($r1, $25); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $27=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range5emptyEv($r1); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$27 ^ 1; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $30=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range5frontEv($r1); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$1; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZL17gc_lock_traversalRKN2js12HashMapEntryIPvjEEP8JSTracer($30, $31); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range8popFrontEv($r1); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $34=$1; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z17js_TraceAtomStateP8JSTracer($34); //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$rt; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+210584)|0); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=$1; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js13StaticStrings5traceEP8JSTracer($36, $37); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($iter)>>2)]=0; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 12; break; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $39=$rt; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=__Z18js_ContextIteratorP9JSRuntimeiPP9JSContext($39, 1, $iter); //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $acx=$40; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=$acx; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=(($41)|0)!=0; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $44=$1; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=$acx; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js11MarkContextEP8JSTracerP9JSContext($44, $45); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 12; break; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $47=$rt; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c, $47); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      var $49=__ZNK2js2gc18GCCompartmentsIter4doneEv($c); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$49 ^ 1; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($50) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 16: 
      var $52=__ZNK2js2gc18GCCompartmentsIterptEv($c); //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+372)|0); //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP8[($53)]; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=(($54) & 1); //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($55) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $57=__ZNK2js2gc18GCCompartmentsIterptEv($c); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=$1; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN13JSCompartment9markTypesEP8JSTracer($57, $58); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 18; break; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      __label__ = 19; break; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $62=$rt; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js14ThreadDataIterC1EP9JSRuntime($i, $62); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 21; break; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $64=__ZNK2js14ThreadDataIter5emptyEv($i); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$64 ^ 1; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($65) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $67=__ZNK2js14ThreadDataIter10threadDataEv($i); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $68=$1; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10ThreadData4markEP8JSTracer($67, $68); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 23; break; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      __ZN2js14ThreadDataIter8popFrontEv($i); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 21; break; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      var $71=$rt; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $72=(($71+144100)|0); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73)|0)!=0; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 25: 
      var $76=$rt; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $77=(($76+144100)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $79=$1; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $80=$rt; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $81=(($80+144104)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[$78]($79, $82); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 26; break; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 26: 
      STACKTOP = __stackBase__;
      return; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11MarkRuntimeEP8JSTracer["X"]=1;

function __ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZL17gc_root_traversalP8JSTracerRKN2js12HashMapEntryIPvNS1_8RootInfoEEE($trc, $entry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$trc;
      $2=$entry;
      __label__ = 2; break; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __label__ = 3; break; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $5=$2; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+4)|0); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6+4)|0); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8)|0)==1; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $11=$1; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$2; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($12)|0); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$14; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11MarkGCThingEP8JSTracerPv($11, $16); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $18=$1; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=$2; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)|0); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$21; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc12MarkValueRawEP8JSTracerRKN2JS5ValueE($18, $22); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break;
    case 6: 
      ;
      return; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZL17gc_lock_traversalRKN2js12HashMapEntryIPvjEEP8JSTracer($entry, $trc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$entry;
  $2=$trc;
  var $3=$2; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=$1; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=(($4)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc11MarkGCThingEP8JSTracerPvPKc($3, $6, ((STRING_TABLE.__str81397)|0)); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+12)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=$2; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js2gc18GCCompartmentsIterC2EP9JSRuntime($3, $4); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZNK2js2gc18GCCompartmentsIterptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc18GCCompartmentsIter3getEv($2); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return $3; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js10ThreadData4markEP8JSTracer($this, $trc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$trc;
  var $3=$1;
  var $4=(($3+4)|0); //@line 223 "./jscntxt.h"
  var $5=$2; //@line 223 "./jscntxt.h"
  __ZN2js10StackSpace4markEP8JSTracer($4, $5); //@line 223 "./jscntxt.h"
  ;
  return; //@line 224 "./jscntxt.h"
}


function __ZL11JS_ON_TRACEPK9JSContext1453($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN13AutoGCSessionC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  var $rt;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=$2; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$2; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=(($6+52)|0); //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $rt=$8; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$rt; //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=(($9+144090)|0); //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP8[($10)]=1; //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN13AutoGCSessionD2Ev($this) {
  ;
  var __label__;

  var $1;
  var $rt;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=(($4+52)|0); //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $rt=$6; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=$rt; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=(($7+144090)|0); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP8[($8)]=0; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE($thingKind) {
  ;
  var __label__;

  var $1;
  $1=$thingKind;
  var $2=$1; //@line 854 "./jsgc.h"
  var $3=((__ZZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindEE3map+($2<<2))|0); //@line 854 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 854 "./jsgc.h"
  ;
  return $4; //@line 854 "./jsgc.h"
}


function __ZN2js7MaybeGCEP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $comp;
      var $now=__stackBase__;
      $1=$cx;
      var $2=$1; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=(($2+52)|0); //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$4; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=$rt; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=__ZN9JSRuntime6gcZealEv($5); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6)|0)!=0; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9)|0)==10; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=1; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15 = __ZN2js8gcReasonE;__label__ = 5; break; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $13=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$13; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15 = __ZN2js8gcReasonE;__label__ = 5; break; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $15; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($16, 0, 0); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 33; break; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $18=$1; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18+56)|0); //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $comp=$20; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$rt; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21+196)|0); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23)|0)!=0; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 14; break; } //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $26=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)==10; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=1; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32 = __ZN2js8gcReasonE;__label__ = 10; break; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $30=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$30; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32 = __ZN2js8gcReasonE;__label__ = 10; break; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $32; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=$1; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$comp; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$rt; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+144076)|0); //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($34)|0)==(($37)|0); //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $40=$comp; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43 = $40;__label__ = 13; break; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $43 = 0;__label__ = 13; break; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $43; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($33, $43, 0); //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 33; break; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $45=$comp; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=(($45+328)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=HEAPU32[(($46)>>2)]; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)>>>0) > 8192; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($48) { __label__ = 15; break; } else { __label__ = 23; break; } //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      var $50=$comp; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($50+328)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAPU32[(($51)>>2)]; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=$comp; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=(($53+332)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=HEAPU32[(($54)>>2)]; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=Math.floor((($55)>>>0)/4); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=(($56*3)|0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($52)>>>0) >= (($57)>>>0); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($58) { __label__ = 16; break; } else { __label__ = 23; break; } //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 16: 
      var $60=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=(($60)|0)==10; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($61) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=1; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66 = __ZN2js8gcReasonE;__label__ = 19; break; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $64=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$64; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66 = __ZN2js8gcReasonE;__label__ = 19; break; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      var $66; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=$1; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $68=$rt; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $69=(($68+192)|0); //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70)|0)==1; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($71) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $73=$comp; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $76 = $73;__label__ = 22; break; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $76 = 0;__label__ = 22; break; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $76; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($67, $76, 0); //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 33; break; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $78=_PRMJ_Now();
      var $78$0=$78[0];
      var $78$1=$78[1];
      var $st$3$0=(($now)|0);
      HEAP32[(($st$3$0)>>2)]=$78$0;
      var $st$3$1=(($now+4)|0);
      HEAP32[(($st$3$1)>>2)]=$78$1;
      var $79=$rt; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $80=(($79+176)|0); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$9$0=(($80)|0);
      var $81$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($80+4)|0);
      var $81$1=HEAP32[(($st$9$1)>>2)];
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $82=$81$0 != $$emscripten$temp$0$0 || $81$1 != $$emscripten$temp$0$1; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($82) { __label__ = 24; break; } else { __label__ = 33; break; } //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      var $84=$rt; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85=(($84+176)|0); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$2$0=(($85)|0);
      var $86$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($85+4)|0);
      var $86$1=HEAP32[(($st$2$1)>>2)];
      var $st$6$0=(($now)|0);
      var $87$0=HEAP32[(($st$6$0)>>2)];
      var $st$6$1=(($now+4)|0);
      var $87$1=HEAP32[(($st$6$1)>>2)];
      var $88=($86$1|0) <= ($87$1|0) && (($86$1|0) <  ($87$1|0) || ($86$0>>>0) <= ($87$0>>>0)); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($88) { __label__ = 25; break; } else { __label__ = 33; break; } //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 25: 
      var $90=$rt; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($90+172)|0); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $92=HEAP8[($91)]; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=(($92) & 1); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($93) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 26: 
      var $95=$rt; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $96=(($95+80)|0); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $98=(($97)|0)!=0; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($98) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 27: 
      var $100=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $101=(($100)|0)==10; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($101) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 28: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=1; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $106 = __ZN2js8gcReasonE;__label__ = 30; break; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 29: 
      var $104=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$104; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $106 = __ZN2js8gcReasonE;__label__ = 30; break; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 30: 
      var $106; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $107=$1; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($107, 0, 2); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 32; break; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 31: 
      var $st$0$0=(($now)|0);
      var $109$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($now+4)|0);
      var $109$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$1$0=20000000;
      var $$emscripten$temp$1$1=0;
      var $110$0 = (i64Math.add($109$0,$109$1,$$emscripten$temp$1$0,$$emscripten$temp$1$1),i64Math.result[0]); var $110$1 = i64Math.result[1]; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $111=$rt; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $112=(($111+176)|0); //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$9$0=(($112)|0);
      HEAP32[(($st$9$0)>>2)]=$110$0;
      var $st$9$1=(($112+4)|0);
      HEAP32[(($st$9$1)>>2)]=$110$1;
      __label__ = 32; break;
    case 32: 
      __label__ = 33; break; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 33: 
      STACKTOP = __stackBase__;
      return; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7MaybeGCEP9JSContext["X"]=1;

function __ZN2jsL25RecordNativeStackTopForGCEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  var $ctd;
  $1=$cx;
  var $2=$1; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $3=(($2+52)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=(($4+144280)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=(($5+65608)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $ctd=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=$ctd; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js24ConservativeGCThreadData14recordStackTopEv($7); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js12TraceRuntimeEP8JSTracer($trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $copy=__stackBase__;
  $1=$trc;
  var $2=$1; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $3=(($2)|0); //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js10LeaveTraceEP9JSContext($4); //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=$1; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=(($5)|0); //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=(($7+52)|0); //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js24AutoCopyFreeListToArenasC1EP9JSRuntime($copy, $9); //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=$1; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=(($10)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2jsL25RecordNativeStackTopForGCEP9JSContext($12); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=$1; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js11MarkRuntimeEP8JSTracer($13); //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js24AutoCopyFreeListToArenasD1Ev($copy); //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js24AutoCopyFreeListToArenasC1EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=$2; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js24AutoCopyFreeListToArenasC2EP9JSRuntime($3, $4); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js24AutoCopyFreeListToArenasD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js24AutoCopyFreeListToArenasD2Ev($2); //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js30IterateCompartmentsArenasCellsEP9JSContextPvPFvS1_S2_P13JSCompartmentEPFvS1_S2_PNS_2gc5ArenaE13JSGCTraceKindjEPFvS1_S2_S2_SA_jE($cx, $data, $compartmentCallback, $arenaCallback, $cellCallback) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $rt;
      var $lock=__stackBase__;
      var $gcsession=__stackBase__+4;
      var $unlock=__stackBase__+8;
      var $copy=__stackBase__+12;
      var $c;
      var $compartment;
      var $thingKind;
      var $traceKind;
      var $thingSize;
      var $arenaOp=__stackBase__+16;
      var $cellOp=__stackBase__+36;
      var $6=__stackBase__+56;
      var $7=__stackBase__+76;
      $1=$cx;
      $2=$data;
      $3=$compartmentCallback;
      $4=$arenaCallback;
      $5=$cellCallback;
      var $8=$1; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10LeaveTraceEP9JSContext($8); //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$1; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9+52)|0); //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$11; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$rt; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $12); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$1; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[__ZN13AutoGCSessionC1EP9JSContext]($gcsession, $13); //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=$rt; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js12AutoUnlockGCC1EP9JSRuntime($unlock, $14); //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$rt; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js24AutoCopyFreeListToArenasC1EP9JSRuntime($copy, $15); //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$rt; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16+4)|0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($17); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$18; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $20=$c; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$rt; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21+4)|0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($22); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($20)|0)!=(($23)|0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $26=$c; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $compartment=$27; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$3; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=$1; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$2; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$compartment; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[$28]($29, $30, $31); //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingKind=0; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $33=$thingKind; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=(($33)|0)!=20; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $36=$thingKind; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=__ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE($36); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $traceKind=$37; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$thingKind; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($38); //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$39; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$1; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=$2; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$4; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$traceKind; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=$thingSize; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js22IterateArenaCallbackOpC1EP9JSContextPvPFvS2_S3_PNS_2gc5ArenaE13JSGCTraceKindjES7_j($arenaOp, $40, $41, $42, $43, $44); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=$1; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=$2; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$5; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=$traceKind; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thingSize; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js21IterateCellCallbackOpC1EP9JSContextPvPFvS2_S3_S3_13JSGCTraceKindjES4_j($cellOp, $45, $46, $47, $48, $49); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$compartment; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=$thingKind; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$6; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=$arenaOp; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(20 % 1 === 0, 'memcpy given ' + 20 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)];HEAP32[(($52+8)>>2)]=HEAP32[(($53+8)>>2)];HEAP32[(($52+12)>>2)]=HEAP32[(($53+12)>>2)];HEAP32[(($52+16)>>2)]=HEAP32[(($53+16)>>2)]; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$7; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$cellOp; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(20 % 1 === 0, 'memcpy given ' + 20 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)];HEAP32[(($54+8)>>2)]=HEAP32[(($55+8)>>2)];HEAP32[(($54+12)>>2)]=HEAP32[(($55+12)>>2)];HEAP32[(($54+16)>>2)]=HEAP32[(($55+16)>>2)]; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19ForEachArenaAndCellINS_22IterateArenaCallbackOpENS_21IterateCellCallbackOpEEEvP13JSCompartmentNS0_9AllocKindET_T0_($50, $51, $6, $7); //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $57=$thingKind; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+1)|0); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingKind=$58; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      __label__ = 8; break; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $61=$c; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=(($61+4)|0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$62; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      __ZN2js24AutoCopyFreeListToArenasD1Ev($copy); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js12AutoUnlockGCD1Ev($unlock); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[__ZN13AutoGCSessionD1Ev]($gcsession); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCD1Ev($lock); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js30IterateCompartmentsArenasCellsEP9JSContextPvPFvS1_S2_P13JSCompartmentEPFvS1_S2_PNS_2gc5ArenaE13JSGCTraceKindjEPFvS1_S2_S2_SA_jE["X"]=1;

function __ZN2js12AutoUnlockGCC1EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=$2; //@line 1814 "./jscntxt.h"
  __ZN2js12AutoUnlockGCC2EP9JSRuntime($3, $4); //@line 1814 "./jscntxt.h"
  ;
  return; //@line 1814 "./jscntxt.h"
}


function __ZN2js22IterateArenaCallbackOpC1EP9JSContextPvPFvS2_S3_PNS_2gc5ArenaE13JSGCTraceKindjES7_j($this, $cx, $data, $callback, $traceKind, $thingSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$data;
  $4=$callback;
  $5=$traceKind;
  $6=$thingSize;
  var $7=$1;
  var $8=$2; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$3; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=$4; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$5; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=$6; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js22IterateArenaCallbackOpC2EP9JSContextPvPFvS2_S3_PNS_2gc5ArenaE13JSGCTraceKindjES7_j($7, $8, $9, $10, $11, $12); //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js21IterateCellCallbackOpC1EP9JSContextPvPFvS2_S3_S3_13JSGCTraceKindjES4_j($this, $cx, $data, $callback, $traceKind, $thingSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$data;
  $4=$callback;
  $5=$traceKind;
  $6=$thingSize;
  var $7=$1;
  var $8=$2; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$3; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=$4; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$5; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=$6; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js21IterateCellCallbackOpC2EP9JSContextPvPFvS2_S3_S3_13JSGCTraceKindjES4_j($7, $8, $9, $10, $11, $12); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc19ForEachArenaAndCellINS_22IterateArenaCallbackOpENS_21IterateCellCallbackOpEEEvP13JSCompartmentNS0_9AllocKindET_T0_($compartment, $thingKind, $arenaOp, $cellOp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $arenaOp; $arenaOp = STACKTOP;STACKTOP += 20;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($arenaOp)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($arenaOp+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($arenaOp+8)>>2)]=HEAP32[((tempParam+8)>>2)];HEAP32[(($arenaOp+12)>>2)]=HEAP32[((tempParam+12)>>2)];HEAP32[(($arenaOp+16)>>2)]=HEAP32[((tempParam+16)>>2)];
  var tempParam = $cellOp; $cellOp = STACKTOP;STACKTOP += 20;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($cellOp)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($cellOp+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($cellOp+8)>>2)]=HEAP32[((tempParam+8)>>2)];HEAP32[(($cellOp+12)>>2)]=HEAP32[((tempParam+12)>>2)];HEAP32[(($cellOp+16)>>2)]=HEAP32[((tempParam+16)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $thingSize;
      var $aheader;
      var $arena;
      var $firstSpan=__stackBase__;
      var $span;
      var $thing;
      var $t;
      $1=$compartment;
      $2=$thingKind;
      var $3=$2; //@line 184 "./jsgcinlines.h"
      var $4=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($3); //@line 184 "./jsgcinlines.h"
      $thingSize=$4; //@line 184 "./jsgcinlines.h"
      var $5=$1; //@line 185 "./jsgcinlines.h"
      var $6=(($5+8)|0); //@line 185 "./jsgcinlines.h"
      var $7=$2; //@line 185 "./jsgcinlines.h"
      var $8=__ZNK2js2gc10ArenaLists13getFirstArenaENS0_9AllocKindE($6, $7); //@line 185 "./jsgcinlines.h"
      $aheader=$8; //@line 185 "./jsgcinlines.h"
      __label__ = 2; break; //@line 187 "./jsgcinlines.h"
    case 2: 
      var $10=$aheader; //@line 187 "./jsgcinlines.h"
      var $11=(($10)|0)!=0; //@line 187 "./jsgcinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 13; break; } //@line 187 "./jsgcinlines.h"
    case 3: 
      var $13=$aheader; //@line 188 "./jsgcinlines.h"
      var $14=__ZN2js2gc11ArenaHeader8getArenaEv($13); //@line 188 "./jsgcinlines.h"
      $arena=$14; //@line 188 "./jsgcinlines.h"
      var $15=$arena; //@line 189 "./jsgcinlines.h"
      __ZN2js22IterateArenaCallbackOpclEPNS_2gc5ArenaE($arenaOp, $15); //@line 189 "./jsgcinlines.h"
      var $16=$aheader; //@line 190 "./jsgcinlines.h"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($firstSpan, $16); //@line 190 "./jsgcinlines.h"
      $span=$firstSpan; //@line 191 "./jsgcinlines.h"
      var $17=$arena; //@line 193 "./jsgcinlines.h"
      var $18=$2; //@line 193 "./jsgcinlines.h"
      var $19=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($17, $18); //@line 193 "./jsgcinlines.h"
      $thing=$19; //@line 193 "./jsgcinlines.h"
      __label__ = 4; break; //@line 193 "./jsgcinlines.h"
    case 4: 
      var $21=$thing; //@line 195 "./jsgcinlines.h"
      var $22=$span; //@line 195 "./jsgcinlines.h"
      var $23=(($22)|0); //@line 195 "./jsgcinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 195 "./jsgcinlines.h"
      var $25=(($21)|0)==(($24)|0); //@line 195 "./jsgcinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 195 "./jsgcinlines.h"
    case 5: 
      var $27=$span; //@line 196 "./jsgcinlines.h"
      var $28=__ZNK2js2gc8FreeSpan7hasNextEv($27); //@line 196 "./jsgcinlines.h"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 196 "./jsgcinlines.h"
    case 6: 
      __label__ = 11; break; //@line 197 "./jsgcinlines.h"
    case 7: 
      var $31=$span; //@line 198 "./jsgcinlines.h"
      var $32=(($31+4)|0); //@line 198 "./jsgcinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 198 "./jsgcinlines.h"
      $thing=$33; //@line 198 "./jsgcinlines.h"
      var $34=$span; //@line 199 "./jsgcinlines.h"
      var $35=__ZNK2js2gc8FreeSpan8nextSpanEv($34); //@line 199 "./jsgcinlines.h"
      $span=$35; //@line 199 "./jsgcinlines.h"
      __label__ = 9; break; //@line 200 "./jsgcinlines.h"
    case 8: 
      var $37=$thing; //@line 201 "./jsgcinlines.h"
      var $38=$37; //@line 201 "./jsgcinlines.h"
      $t=$38; //@line 201 "./jsgcinlines.h"
      var $39=$t; //@line 202 "./jsgcinlines.h"
      __ZN2js21IterateCellCallbackOpclEPNS_2gc4CellE($cellOp, $39); //@line 202 "./jsgcinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 204 "./jsgcinlines.h"
    case 10: 
      var $42=$thingSize; //@line 193 "./jsgcinlines.h"
      var $43=$thing; //@line 193 "./jsgcinlines.h"
      var $44=(($43+$42)|0); //@line 193 "./jsgcinlines.h"
      $thing=$44; //@line 193 "./jsgcinlines.h"
      __label__ = 4; break; //@line 193 "./jsgcinlines.h"
    case 11: 
      __label__ = 12; break; //@line 205 "./jsgcinlines.h"
    case 12: 
      var $47=$aheader; //@line 187 "./jsgcinlines.h"
      var $48=(($47+4)|0); //@line 187 "./jsgcinlines.h"
      var $49=HEAP32[(($48)>>2)]; //@line 187 "./jsgcinlines.h"
      $aheader=$49; //@line 187 "./jsgcinlines.h"
      __label__ = 2; break; //@line 187 "./jsgcinlines.h"
    case 13: 
      STACKTOP = __stackBase__;
      return; //@line 206 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19ForEachArenaAndCellINS_22IterateArenaCallbackOpENS_21IterateCellCallbackOpEEEvP13JSCompartmentNS0_9AllocKindET_T0_["X"]=1;

function __ZN2js12AutoUnlockGCD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12AutoUnlockGCD2Ev($2); //@line 1815 "./jscntxt.h"
  ;
  return; //@line 1815 "./jscntxt.h"
}


function __Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind($cx, $comp, $gckind) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rt;
      var $crashData=__stackBase__;
      var $gcTimer=__stackBase__+8;
      var $autoGCProbe=__stackBase__+88;
      var $callback;
      var $4;
      var $lock=__stackBase__+92;
      var $callback1;
      $1=$cx;
      $2=$comp;
      $3=$gckind;
      var $5=$1; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+52)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$7; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$rt; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8+24)|0); //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10)|0)!=2; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $13=$3; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13)|0)!=1; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      __label__ = 20; break; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $17=$1; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=__ZL11JS_ON_TRACEPK9JSContext1453($17); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      __label__ = 20; break; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $21=$1; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2jsL25RecordNativeStackTopForGCEP9JSContext($21); //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$rt; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($22+209944)|0); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=$24 & 16777216; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=(($crashData)|0); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($26)>>2)]=$25; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$2; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27)|0)!=0; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=$28 ^ 1; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$29 ^ 1; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=(($30)&1); //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=(($crashData+4)|0); //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=$crashData; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $$emscripten$temp$0$0=512;
      var $$emscripten$temp$0$1=0;
      __ZN2js5crash13SaveCrashDataEyPvj($$emscripten$temp$0$0, $$emscripten$temp$0$1, $33, 8);
      var $34=$rt; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$2; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[__ZN2js7GCTimerC1EP9JSRuntimeP13JSCompartment]($gcTimer, $34, $35); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=$2; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[__ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeC1ES2_]($autoGCProbe, $36); //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $38=$rt; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=(($38+144092)|0); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $callback=$40; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=$callback; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=(($41)|0)!=0; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $44=$callback; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=$1; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=FUNCTION_TABLE[$44]($45, 0); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46)|0)!=0; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 9; break; } //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $49=$3; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=(($49)|0)!=1; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      $4=1;
      __label__ = 19; break; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 12; break; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $54=$rt; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $54); //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$rt; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=(($55+144088)|0); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($56)]=0; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$1; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=$2; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=$3; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZL7GCCycleP9JSContextP13JSCompartment18JSGCInvocationKindRN2js7GCTimerE($57, $58, $59, $gcTimer); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCD1Ev($lock); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=$rt; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=(($60+144092)|0); //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $callback1=$62; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=$callback1; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=(($63)|0)!=0; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($64) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $66=$callback1; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=$1; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $68=FUNCTION_TABLE[$66]($67, 1); //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      __label__ = 15; break; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      var $71=$3; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $72=(($71)|0)==1; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($72) { __label__ = 16; break; } else { var $79 = 0;__label__ = 17; break; } //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 16: 
      var $74=$rt; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $75=(($74+144088)|0); //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $76=HEAP8[($75)]; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $77=(($76) & 1); //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $79 = $77;__label__ = 17; break;
    case 17: 
      var $79;
      if ($79) { __label__ = 7; break; } else { __label__ = 18; break; }
    case 18: 
      var $81=_PRMJ_Now();
      var $81$0=$81[0];
      var $81$1=$81[1];
      var $$emscripten$temp$1$0=20000000;
      var $$emscripten$temp$1$1=0;
      var $82$0 = (i64Math.add($81$0,$81$1,$$emscripten$temp$1$0,$$emscripten$temp$1$1),i64Math.result[0]); var $82$1 = i64Math.result[1]; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=$rt; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $84=(($83+176)|0); //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$8$0=(($84)|0);
      HEAP32[(($st$8$0)>>2)]=$82$0;
      var $st$8$1=(($84+4)|0);
      HEAP32[(($st$8$1)>>2)]=$82$1;
      var $85=$rt; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=(($85+172)|0); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($86)]=0; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=$3; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=(($87)|0)==1; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js7GCTimer6finishEb($gcTimer, $88); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js5crash15SnapshotGCStackEv(); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $4=0; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 19; break; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      FUNCTION_TABLE[__ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeD1Ev]($autoGCProbe); //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 20; break;
      }
      else {
      __label__ = 21; break;
      }
      
    case 20: 
      STACKTOP = __stackBase__;
      return; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind["X"]=1;

function __ZL7GCCycleP9JSContextP13JSCompartment18JSGCInvocationKindRN2js7GCTimerE($cx, $comp, $gckind, $gcTimer) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rt;
      var $gcsession=__stackBase__;
      var $5;
      var $sc=__stackBase__+4;
      var $unlock=__stackBase__+16;
      var $c;
      $1=$cx;
      $2=$comp;
      $3=$gckind;
      $4=$gcTimer;
      var $6=$1; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6+52)|0); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$8; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$rt; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9+144089)|0); //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=HEAP8[($10)]; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11) & 1); //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      __label__ = 11; break; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $15=$1; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[__ZN13AutoGCSessionC1EP9JSContext]($gcsession, $15); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$rt; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16+229028)|0); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18)|0)!=0; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      $5=1;
      __label__ = 10; break; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $22=$1; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js19SwitchToCompartmentC1EP9JSContextP13JSCompartment($sc, $22, 0); //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$2; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$rt; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+144080)|0); //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($25)>>2)]=$23; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$rt; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26+144089)|0); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($27)]=1; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$rt; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js12AutoUnlockGCC1EP9JSRuntime($unlock, $28); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=$1; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$3; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$4; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZL12MarkAndSweepP9JSContext18JSGCInvocationKindRN2js7GCTimerE($29, $30, $31); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js12AutoUnlockGCD1Ev($unlock); //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=$rt; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=(($32+144089)|0); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($33)]=0; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$rt; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=(($34+144091)|0); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($35)]=0; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=$rt; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=$rt; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($37+140)|0); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$3; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN9JSRuntime14setGCLastBytesEj18JSGCInvocationKind($36, $39, $40); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=$rt; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=(($41+144080)|0); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($42)>>2)]=0; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$rt; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43+200)|0); //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=0; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=$rt; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=(($45+4)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($46); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$47; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $49=$c; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$rt; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($50+4)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($51); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($49)|0)!=(($52)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($53) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $55=$c; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$c; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=(($58+328)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=$3; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN13JSCompartment14setGCLastBytesEj18JSGCInvocationKind($56, $60, $61); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $63=$c; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=(($63+4)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$64; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      __ZN2js19SwitchToCompartmentD1Ev($sc); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $5=0; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      FUNCTION_TABLE[__ZN13AutoGCSessionD1Ev]($gcsession); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 11; break;
      }
      else {
      __label__ = 12; break;
      }
      
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7GCCycleP9JSContextP13JSCompartment18JSGCInvocationKindRN2js7GCTimerE["X"]=1;

function __ZN2js2gc10RunDebugGCEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN7mozilla9DebugOnlyIjEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 181 "./dist/include/mozilla/Util.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js2gc12CellIterImpl7getCellEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 245 "./jsgcinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 245 "./jsgcinlines.h"
  ;
  return $4; //@line 245 "./jsgcinlines.h"
}


function __ZN2js9MarkStackINS_13LargeMarkItemEEC2EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=(($4+4)|0); //@line 1465 "./jsgc.h"
  HEAP32[(($5)>>2)]=0; //@line 1465 "./jsgc.h"
  var $6=$3; //@line 1466 "./jsgc.h"
  var $7=Math.floor((($6)>>>0)/8); //@line 1466 "./jsgc.h"
  var $8=(($7-1)|0); //@line 1466 "./jsgc.h"
  var $9=(($4+8)|0); //@line 1466 "./jsgc.h"
  HEAP32[(($9)>>2)]=$8; //@line 1466 "./jsgc.h"
  var $10=$2; //@line 1467 "./jsgc.h"
  var $11=$10; //@line 1467 "./jsgc.h"
  var $12=(($4)|0); //@line 1467 "./jsgc.h"
  HEAP32[(($12)>>2)]=$11; //@line 1467 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js9MarkStackIP5JSXMLEC2EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=(($4+4)|0); //@line 1465 "./jsgc.h"
  HEAP32[(($5)>>2)]=0; //@line 1465 "./jsgc.h"
  var $6=$3; //@line 1466 "./jsgc.h"
  var $7=Math.floor((($6)>>>0)/4); //@line 1466 "./jsgc.h"
  var $8=(($7-1)|0); //@line 1466 "./jsgc.h"
  var $9=(($4+8)|0); //@line 1466 "./jsgc.h"
  HEAP32[(($9)>>2)]=$8; //@line 1466 "./jsgc.h"
  var $10=$2; //@line 1467 "./jsgc.h"
  var $11=$10; //@line 1467 "./jsgc.h"
  var $12=(($4)|0); //@line 1467 "./jsgc.h"
  HEAP32[(($12)>>2)]=$11; //@line 1467 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js9MarkStackIPNS_5types10TypeObjectEEC2EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=(($4+4)|0); //@line 1465 "./jsgc.h"
  HEAP32[(($5)>>2)]=0; //@line 1465 "./jsgc.h"
  var $6=$3; //@line 1466 "./jsgc.h"
  var $7=Math.floor((($6)>>>0)/4); //@line 1466 "./jsgc.h"
  var $8=(($7-1)|0); //@line 1466 "./jsgc.h"
  var $9=(($4+8)|0); //@line 1466 "./jsgc.h"
  HEAP32[(($9)>>2)]=$8; //@line 1466 "./jsgc.h"
  var $10=$2; //@line 1467 "./jsgc.h"
  var $11=$10; //@line 1467 "./jsgc.h"
  var $12=(($4)|0); //@line 1467 "./jsgc.h"
  HEAP32[(($12)>>2)]=$11; //@line 1467 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js9MarkStackIP6JSRopeEC2EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=(($4+4)|0); //@line 1465 "./jsgc.h"
  HEAP32[(($5)>>2)]=0; //@line 1465 "./jsgc.h"
  var $6=$3; //@line 1466 "./jsgc.h"
  var $7=Math.floor((($6)>>>0)/4); //@line 1466 "./jsgc.h"
  var $8=(($7-1)|0); //@line 1466 "./jsgc.h"
  var $9=(($4+8)|0); //@line 1466 "./jsgc.h"
  HEAP32[(($9)>>2)]=$8; //@line 1466 "./jsgc.h"
  var $10=$2; //@line 1467 "./jsgc.h"
  var $11=$10; //@line 1467 "./jsgc.h"
  var $12=(($4)|0); //@line 1467 "./jsgc.h"
  HEAP32[(($12)>>2)]=$11; //@line 1467 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js9MarkStackIP8JSObjectEC2EPPvj($this, $buffer, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buffer;
  $3=$size;
  var $4=$1;
  var $5=(($4+4)|0); //@line 1465 "./jsgc.h"
  HEAP32[(($5)>>2)]=0; //@line 1465 "./jsgc.h"
  var $6=$3; //@line 1466 "./jsgc.h"
  var $7=Math.floor((($6)>>>0)/4); //@line 1466 "./jsgc.h"
  var $8=(($7-1)|0); //@line 1466 "./jsgc.h"
  var $9=(($4+8)|0); //@line 1466 "./jsgc.h"
  HEAP32[(($9)>>2)]=$8; //@line 1466 "./jsgc.h"
  var $10=$2; //@line 1467 "./jsgc.h"
  var $11=$10; //@line 1467 "./jsgc.h"
  var $12=(($4)|0); //@line 1467 "./jsgc.h"
  HEAP32[(($12)>>2)]=$11; //@line 1467 "./jsgc.h"
  ;
  return; //@line 1468 "./jsgc.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12IterateCellsEP9JSContextP13JSCompartmentNS_2gc9AllocKindEPvPFvS1_S6_S6_13JSGCTraceKindjE($cx, $compartment, $thingKind, $data, $cellCallback) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $rt;
      var $lock=__stackBase__;
      var $gcsession=__stackBase__+4;
      var $unlock=__stackBase__+8;
      var $copy=__stackBase__+12;
      var $traceKind;
      var $thingSize;
      var $i=__stackBase__+16;
      var $c;
      var $i1=__stackBase__+48;
      $1=$cx;
      $2=$compartment;
      $3=$thingKind;
      $4=$data;
      $5=$cellCallback;
      var $6=$1; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10LeaveTraceEP9JSContext($6); //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$1; //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7+52)|0); //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$9; //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$rt; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $10); //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$1; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[__ZN13AutoGCSessionC1EP9JSContext]($gcsession, $11); //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$rt; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js12AutoUnlockGCC1EP9JSRuntime($unlock, $12); //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$rt; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js24AutoCopyFreeListToArenasC1EP9JSRuntime($copy, $13); //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=$3; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE($14); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $traceKind=$15; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$3; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($16); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$17; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$2; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18)|0)!=0; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $21=$2; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$3; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE($i, $21, $22); //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $24=$i; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=__ZNK2js2gc12CellIterImpl4doneEv($24); //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$25 ^ 1; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $28=$5; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=$1; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$4; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$i; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=__ZNK2js2gc12CellIterImpl7getCellEv($31); //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=$32; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$traceKind; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$thingSize; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[$28]($29, $30, $33, $34, $35); //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 5; break; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $37=$i; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($37); //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      __label__ = 16; break; //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $40=$rt; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=(($40+4)|0); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($41); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$42; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $44=$c; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=$rt; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=(($45+4)|0); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($46); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($44)|0)!=(($47)|0); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $50=$c; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$3; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE($i1, $51, $52); //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $54=$i1; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=__ZNK2js2gc12CellIterImpl4doneEv($54); //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$55 ^ 1; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $58=$5; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=$1; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=$4; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=$i1; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=__ZNK2js2gc12CellIterImpl7getCellEv($61); //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=$62; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=$traceKind; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$thingSize; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[$58]($59, $60, $63, $64, $65); //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 12; break; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $67=$i1; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($67); //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      __label__ = 14; break; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $70=$c; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+4)|0); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$71; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      __ZN2js24AutoCopyFreeListToArenasD1Ev($copy); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js12AutoUnlockGCD1Ev($unlock); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[__ZN13AutoGCSessionD1Ev]($gcsession); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCD1Ev($lock); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12IterateCellsEP9JSContextP13JSCompartmentNS_2gc9AllocKindEPvPFvS1_S6_S6_13JSGCTraceKindjE["X"]=1;

function __ZN9JSContext4new_I13JSCompartmentP9JSRuntimeEEPT_T0_($this, $p1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      $1=$this;
      $2=$p1;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 1988); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $14 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      var $12=$2; //@line 1291 "./jscntxt.h"
      FUNCTION_TABLE[__ZN13JSCompartmentC1EP9JSRuntime]($11, $12); //@line 1291 "./jscntxt.h"
      var $14 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $14; //@line 1291 "./jscntxt.h"
      var $17 = $14;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $17 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $17; //@line 1291 "./jscntxt.h"
      ;
      return $17; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z11js_NewGCXMLP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=__ZNK9JSContext28runningWithTrustedPrincipalsEv($2); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($3) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $5=HEAP32[((_sE4XObjectsCreated)>>2)]; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+1)|0); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[((_sE4XObjectsCreated)>>2)]=$6; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $8=$1; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=__Z10NewGCThingI5JSXMLEPT_P9JSContextN2js2gc9AllocKindEj($8, 16, 72); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return $9; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z10NewGCThingI5JSXMLEPT_P9JSContextN2js2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc1460($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc1461($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js22IterateArenaCallbackOpclEPNS_2gc5ArenaE($this, $arena) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$arena;
  var $3=$1;
  var $4=(($3+8)|0); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=(($3)|0); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=(($3+4)|0); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=$2; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=(($3+12)|0); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=(($3+16)|0); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $14=HEAP32[(($13)>>2)]; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  FUNCTION_TABLE[$5]($7, $9, $10, $12, $14); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($this, $thingKind) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$thingKind;
  var $3=$1;
  var $4=__ZNK2js2gc5Arena7addressEv($3); //@line 527 "./jsgc.h"
  var $5=$2; //@line 527 "./jsgc.h"
  var $6=__ZN2js2gc5Arena16firstThingOffsetENS0_9AllocKindE($5); //@line 527 "./jsgc.h"
  var $7=$4 | $6; //@line 527 "./jsgc.h"
  ;
  return $7; //@line 527 "./jsgc.h"
}


function __ZN2js21IterateCellCallbackOpclEPNS_2gc4CellE($this, $cell) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cell;
  var $3=$1;
  var $4=(($3+8)|0); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=(($3)|0); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=(($3+4)|0); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=$2; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$10; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=(($3+12)|0); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=HEAP32[(($12)>>2)]; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $14=(($3+16)|0); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $15=HEAP32[(($14)>>2)]; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  FUNCTION_TABLE[$5]($7, $9, $11, $13, $15); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZNK2js2gc5Arena7addressEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 523 "./jsgc.h"
  var $4=__ZNK2js2gc11ArenaHeader7addressEv($3); //@line 523 "./jsgc.h"
  ;
  return $4; //@line 523 "./jsgc.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*12)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5RangeC1EPNS0_14HashTableEntryIS4_EESE_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5RangeC1EPNS0_14HashTableEntryIS4_EESE_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5RangeC2EPNS0_14HashTableEntryIS4_EESE_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5RangeC2EPNS0_14HashTableEntryIS4_EESE_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+12)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+($8<<4))|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+16)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6removeENSA_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6removeERNS0_14HashTableEntryIS4_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6removeERNS0_14HashTableEntryIS4_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc14NewCompartmentEP9JSContextP12JSPrincipals($cx, $principals) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rt;
      var $compartment;
      var $lock=__stackBase__;
      var $4;
      $2=$cx;
      $3=$principals;
      var $5=$2; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+52)|0); //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$7; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$2; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$rt; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN9JSContext4new_I13JSCompartmentP9JSRuntimeEEPT_T0_($8, $9); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $compartment=$10; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$compartment; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 12; break; } //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $14=$compartment; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$2; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=__ZN13JSCompartment4initEP9JSContext($14, $15); //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $18=$3; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18)|0)!=0; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($19) { __label__ = 4; break; } else { var $26 = 0;__label__ = 5; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $21=$rt; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=__ZNK9JSRuntime17trustedPrincipalsEv($21); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$3; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($22)|0)==(($23)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26 = $24;__label__ = 5; break;
    case 5: 
      var $26;
      var $27=$compartment;
      var $28=(($27+341)|0);
      var $29=(($26)&1);
      HEAP8[($28)]=$29;
      var $30=$3; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=(($30)|0)!=0; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $33=$3; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$compartment; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=(($34+4)|0); //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($35)>>2)]=$33; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=$3; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=(($36+12)|0); //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=(($38+1)|0); //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($37)>>2)]=$39; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $41=$compartment; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN13JSCompartment14setGCLastBytesEj18JSGCInvocationKind($41, 8192, 0); //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$rt; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $42); //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$rt; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43+4)|0); //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=$compartment; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($44, $45); //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $48=$compartment; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$48; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $4=1;
      __label__ = 10; break; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $4=0; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      __ZN2js10AutoLockGCD1Ev($lock); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 11; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 13; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 11: 
      var $52=$2; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($52); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 12; break; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $54=$compartment; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10Foreground7delete_I13JSCompartmentEEvPT_($54); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 13; break; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $56=$1; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc14NewCompartmentEP9JSContextP12JSPrincipals["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js11GCPtrHasher5matchEPvS1_($l, $k) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$l;
  $2=$k;
  var $3=$1; //@line 1128 "./jsgc.h"
  var $4=$2; //@line 1128 "./jsgc.h"
  var $5=(($3)|0)==(($4)|0); //@line 1128 "./jsgc.h"
  ;
  return $5; //@line 1128 "./jsgc.h"
}


function __ZN2js11GCPtrHasher4hashEPv($key) {
  ;
  var __label__;

  var $1;
  $1=$key;
  var $2=$1; //@line 1125 "./jsgc.h"
  var $3=$2; //@line 1125 "./jsgc.h"
  var $4=$3 >>> 3; //@line 1125 "./jsgc.h"
  ;
  return $4; //@line 1125 "./jsgc.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPvjEEEC2ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIPvjEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIPvEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIPvEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPvjEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPvjEaSERKS2_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=$2; //@line 907 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 907 "./jshashtable.h"
  var $10=HEAP32[(($9)>>2)]; //@line 907 "./jshashtable.h"
  var $11=(($3+4)|0); //@line 907 "./jshashtable.h"
  HEAP32[(($11)>>2)]=$10; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_jEE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11createTableERS7_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEENS_7MoveRefIT_EERS8_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEaSENS_7MoveRefIS5_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11createTableERS7_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIPvjEEEENS_7MoveRefIT_EERS5_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvjEaSENS_7MoveRefIS2_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function _js_free1462($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIPvjEaSENS_7MoveRefIS2_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIPvjEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIPvEENS_7MoveRefIT_EERKS3_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIPvEcvRS1_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIPvjEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIjEENS_7MoveRefIT_EERS2_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIjEcvRjEv($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIPvjEEEENS_7MoveRefIT_EERS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPvjEEEC1ERS3_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPvjEEEC1ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPvjEEEC2ERS3_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIPvEENS_7MoveRefIT_EERKS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefIPvEC1ERS1_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js7MoveRefIPvEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPvEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvjEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPvjEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIPvjEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvjEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvjEaSERKS2_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvjEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvjEaSERKS2_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6lookupERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11prepareHashERKS3_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6lookupERKS3_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrC1ERNS0_14HashTableEntryIS4_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11prepareHashERKS3_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=HEAP32[(($2)>>2)]; //@line 327 "./jshashtable.h"
      var $4=__ZN2js11GCPtrHasher4hashEPv($3); //@line 327 "./jshashtable.h"
      $keyHash=$4; //@line 327 "./jshashtable.h"
      var $5=$keyHash; //@line 330 "./jshashtable.h"
      var $6=(($5*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$6; //@line 330 "./jshashtable.h"
      var $7=$keyHash; //@line 333 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E10isLiveHashEj($7); //@line 333 "./jshashtable.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $10=$keyHash; //@line 334 "./jshashtable.h"
      var $11=(($10-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$11; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $13=$keyHash; //@line 335 "./jshashtable.h"
      var $14=$13 & -2; //@line 335 "./jshashtable.h"
      ;
      return $14; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrC1ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6lookupERKS3_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5matchERNS0_14HashTableEntryIS4_EERKS3_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5matchERNS0_14HashTableEntryIS4_EERKS3_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6lookupERKS3_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5matchERNS0_14HashTableEntryIS4_EERKS3_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_jEE($4); //@line 440 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 440 "./jshashtable.h"
  var $7=$2; //@line 440 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 440 "./jshashtable.h"
  var $9=__ZN2js11GCPtrHasher5matchEPvS1_($6, $8); //@line 440 "./jshashtable.h"
  ;
  return $9; //@line 440 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js8RootInfoC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 1134 "./jsgc.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEC2ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_8RootInfoEEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_8RootInfoEEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE12lookupForAddERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E12lookupForAddERKS3_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_jEENS4_13MapHashPolicyES3_E6AddPtrERKS1_RKj($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3addERNSA_6AddPtrEPPS4_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3addERNSA_6AddPtrEPPS4_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3addERNSA_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3addERNSA_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3addERNSA_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E12lookupForAddERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11prepareHashERKS3_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6lookupERKS3_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvNS_8RootInfoEEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvNS_8RootInfoEEaSERKS3_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvNS_8RootInfoEEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvNS_8RootInfoEEaSERKS3_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPvNS_8RootInfoEEaSERKS3_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 907 "./jshashtable.h"
  var $9=$2; //@line 907 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 907 "./jshashtable.h"
  var $11=$8; //@line 907 "./jshashtable.h"
  var $12=$10; //@line 907 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPvNS_8RootInfoEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIPvNS_8RootInfoEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPvNS_8RootInfoEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  __ZN2js8RootInfoC1Ev($4); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js8RootInfoC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js8RootInfoC2Ev($2); //@line 1134 "./jsgc.h"
  ;
  return; //@line 1134 "./jsgc.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<4))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+16)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<4))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<4))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+16)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<4))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<4))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIPvNS_8RootInfoEEEEENS_7MoveRefIT_EERS6_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvNS_8RootInfoEEaSENS_7MoveRefIS3_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIPvNS_8RootInfoEEaSENS_7MoveRefIS3_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIPvEENS_7MoveRefIT_EERKS3_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIPvEcvRS1_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=(($4+4)|0); //@line 917 "./jshashtable.h"
  var $11=__ZNK2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $12=(($11+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveINS_8RootInfoEEENS_7MoveRefIT_EERS3_($3, $12); //@line 917 "./jshashtable.h"
  var $13=__ZNK2js7MoveRefINS_8RootInfoEEcvRS1_Ev($3); //@line 917 "./jshashtable.h"
  var $14=$10; //@line 917 "./jshashtable.h"
  var $15=$13; //@line 917 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIPvNS_8RootInfoEEEEENS_7MoveRefIT_EERS6_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEC1ERS4_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEC1ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEC2ERS4_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveINS_8RootInfoEEENS_7MoveRefIT_EERS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_8RootInfoEEC1ERS1_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_8RootInfoEEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_8RootInfoEEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPvLj2EE5matchERKS1_S4_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPvLj2EE4hashERKS1_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 2; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S2_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIPvNS_8RootInfoEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 126, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeENSC_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeENSC_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS3_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS3_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIPvLj2EE4hashERKS1_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<4))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS3_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<4))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS3_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS3_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S2_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIPvLj2EE5matchERKS1_S4_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS3_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS1_RKS2_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $17=(($16+4)|0); //@line 1053 "./jshashtable.h"
      var $18=$5; //@line 1053 "./jshashtable.h"
      var $19=$17; //@line 1053 "./jshashtable.h"
      var $20=$18; //@line 1053 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $22=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $22; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS3_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 608 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 608 "./jshashtable.h"
  var $5=$4; //@line 608 "./jshashtable.h"
  var $6=(($2+4)|0); //@line 608 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 608 "./jshashtable.h"
  var $8=(($7*12)|0); //@line 608 "./jshashtable.h"
  _memset($5, 0, $8, 1); //@line 608 "./jshashtable.h"
  var $9=(($2+16)|0); //@line 613 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 613 "./jshashtable.h"
  var $10=(($2+8)|0); //@line 614 "./jshashtable.h"
  HEAP32[(($10)>>2)]=0; //@line 614 "./jshashtable.h"
  ;
  return; //@line 618 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $e;
      var $end;
      var $2=__stackBase__;
      var $3=__stackBase__+4;
      $1=$this;
      var $4=$1;
      var $5=(($4+20)|0); //@line 610 "./jshashtable.h"
      var $6=HEAP32[(($5)>>2)]; //@line 610 "./jshashtable.h"
      $e=$6; //@line 610 "./jshashtable.h"
      var $7=(($4+20)|0); //@line 610 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 610 "./jshashtable.h"
      var $9=(($4+4)|0); //@line 610 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 610 "./jshashtable.h"
      var $11=(($8+($10<<4))|0); //@line 610 "./jshashtable.h"
      $end=$11; //@line 610 "./jshashtable.h"
      __label__ = 2; break; //@line 610 "./jshashtable.h"
    case 2: 
      var $13=$e; //@line 610 "./jshashtable.h"
      var $14=$end; //@line 610 "./jshashtable.h"
      var $15=(($13)|0)!=(($14)|0); //@line 610 "./jshashtable.h"
      if ($15) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 610 "./jshashtable.h"
    case 3: 
      var $17=$e; //@line 611 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEC1Ev($3); //@line 611 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEENS_7MoveRefIT_EERKS9_($2, $3); //@line 611 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEaSENS_7MoveRefIS6_EE($17, $2); //@line 611 "./jshashtable.h"
      __label__ = 4; break; //@line 611 "./jshashtable.h"
    case 4: 
      var $19=$e; //@line 610 "./jshashtable.h"
      var $20=(($19+16)|0); //@line 610 "./jshashtable.h"
      $e=$20; //@line 610 "./jshashtable.h"
      __label__ = 2; break; //@line 610 "./jshashtable.h"
    case 5: 
      var $22=(($4+16)|0); //@line 613 "./jshashtable.h"
      HEAP32[(($22)>>2)]=0; //@line 613 "./jshashtable.h"
      var $23=(($4+8)|0); //@line 614 "./jshashtable.h"
      HEAP32[(($23)>>2)]=0; //@line 614 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 618 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEENS_7MoveRefIT_EERKS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEC1ERS7_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $e;
      var $end;
      var $2=__stackBase__;
      var $3=__stackBase__+4;
      $1=$this;
      var $4=$1;
      var $5=(($4+20)|0); //@line 610 "./jshashtable.h"
      var $6=HEAP32[(($5)>>2)]; //@line 610 "./jshashtable.h"
      $e=$6; //@line 610 "./jshashtable.h"
      var $7=(($4+20)|0); //@line 610 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 610 "./jshashtable.h"
      var $9=(($4+4)|0); //@line 610 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 610 "./jshashtable.h"
      var $11=(($8+($10<<3))|0); //@line 610 "./jshashtable.h"
      $end=$11; //@line 610 "./jshashtable.h"
      __label__ = 2; break; //@line 610 "./jshashtable.h"
    case 2: 
      var $13=$e; //@line 610 "./jshashtable.h"
      var $14=$end; //@line 610 "./jshashtable.h"
      var $15=(($13)|0)!=(($14)|0); //@line 610 "./jshashtable.h"
      if ($15) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 610 "./jshashtable.h"
    case 3: 
      var $17=$e; //@line 611 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEC1Ev($3); //@line 611 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEENS_7MoveRefIT_EERKS9_($2, $3); //@line 611 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEaSENS_7MoveRefIS6_EE($17, $2); //@line 611 "./jshashtable.h"
      __label__ = 4; break; //@line 611 "./jshashtable.h"
    case 4: 
      var $19=$e; //@line 610 "./jshashtable.h"
      var $20=(($19+8)|0); //@line 610 "./jshashtable.h"
      $e=$20; //@line 610 "./jshashtable.h"
      __label__ = 2; break; //@line 610 "./jshashtable.h"
    case 5: 
      var $22=(($4+16)|0); //@line 613 "./jshashtable.h"
      HEAP32[(($22)>>2)]=0; //@line 613 "./jshashtable.h"
      var $23=(($4+8)|0); //@line 614 "./jshashtable.h"
      HEAP32[(($23)>>2)]=0; //@line 614 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 618 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIPNS_2gc5ChunkEEcvRS3_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_2gc5ChunkEEC2ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveIPNS_2gc5ChunkEEENS_7MoveRefIT_EERS5_($2, $9); //@line 83 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefIPNS_2gc5ChunkEEcvRS3_Ev($2); //@line 83 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 83 "./jshashtable.h"
  var $12=(($3+4)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$11; //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEENS_7MoveRefIT_EERKS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEC1ERS7_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIPNS_2gc5ChunkEEENS_7MoveRefIT_EERS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIPNS_2gc5ChunkEEC1ERS3_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_2gc5ChunkEEC1ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPNS_2gc5ChunkEEC2ERS3_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+($8<<3))|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+8)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11createTableERS7_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E4initEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6lookupERKS3_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1228 "./jshashtable.h"
  var $5=$2; //@line 1228 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_($agg_result, $4, $5); //@line 1228 "./jshashtable.h"
  ;
  return; //@line 1228 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 128, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS3_NS6_6SetOpsES5_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1231 "./jshashtable.h"
  var $5=$2; //@line 1231 "./jshashtable.h"
  var $6=$p; //@line 1231 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1231 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE($4, $2); //@line 1231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS5_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS5_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj["X"]=1;

function __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS3_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js12AutoUnlockGCD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 1815 "./jscntxt.h"
}


function __ZN2js13GCChunkHasher5matchEPNS_2gc5ChunkES3_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 1382 "./jsgc.h"
  var $4=$2; //@line 1382 "./jsgc.h"
  var $5=(($3)|0)==(($4)|0); //@line 1382 "./jsgc.h"
  ;
  return $5; //@line 1382 "./jsgc.h"
}


function __ZN2js13GCChunkHasher4hashEPNS_2gc5ChunkE($chunk) {
  ;
  var __label__;

  var $1;
  $1=$chunk;
  var $2=$1; //@line 1376 "./jsgc.h"
  var $3=$2; //@line 1376 "./jsgc.h"
  var $4=$3 >>> 20; //@line 1376 "./jsgc.h"
  ;
  return $4; //@line 1376 "./jsgc.h"
}


function __ZN2js6Probes5GCEndEP13JSCompartment($compartment) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$compartment;
  $ok=1; //@line 540 "./jsprobes.h"
  var $2=$ok; //@line 547 "./jsprobes.h"
  var $3=(($2) & 1); //@line 547 "./jsprobes.h"
  ;
  return $3; //@line 547 "./jsprobes.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10setRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($3)>>2)]=1; //@line 90 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 90 "./jshashtable.h"
  ;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE7setFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 88 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  ;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js21IterateCellCallbackOpC2EP9JSContextPvPFvS2_S3_S3_13JSGCTraceKindjES4_j($this, $cx, $data, $callback, $traceKind, $thingSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$data;
  $4=$callback;
  $5=$traceKind;
  $6=$thingSize;
  var $7=$1;
  var $8=(($7)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$2; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=(($7+4)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$3; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=(($7+8)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=$4; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($12)>>2)]=$13; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $14=(($7+12)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $15=$5; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($14)>>2)]=$15; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $16=(($7+16)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $17=$6; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($16)>>2)]=$17; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js22IterateArenaCallbackOpC2EP9JSContextPvPFvS2_S3_PNS_2gc5ArenaE13JSGCTraceKindjES7_j($this, $cx, $data, $callback, $traceKind, $thingSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$data;
  $4=$callback;
  $5=$traceKind;
  $6=$thingSize;
  var $7=$1;
  var $8=(($7)|0); //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=$2; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=(($7+4)|0); //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$3; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=(($7+8)|0); //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=$4; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($12)>>2)]=$13; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $14=(($7+12)|0); //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $15=$5; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($14)>>2)]=$15; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $16=(($7+16)|0); //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $17=$6; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($16)>>2)]=$17; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js12AutoUnlockGCC2EP9JSRuntime($this, $rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$rt;
      var $3=$1;
      var $4=(($3)|0); //@line 1811 "./jscntxt.h"
      var $5=$2; //@line 1811 "./jscntxt.h"
      HEAP32[(($4)>>2)]=$5; //@line 1811 "./jscntxt.h"
      __label__ = 2; break; //@line 1812 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1812 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1814 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11ArenaHeader14setAsFullyUsedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 447 "./jsgc.h"
  HEAP32[(($3)>>2)]=268374016; //@line 447 "./jsgc.h"
  ;
  return; //@line 448 "./jsgc.h"
}


function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS5_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS5_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=HEAP32[(($2)>>2)]; //@line 327 "./jshashtable.h"
      var $4=__ZN2js13GCChunkHasher4hashEPNS_2gc5ChunkE($3); //@line 327 "./jshashtable.h"
      $keyHash=$4; //@line 327 "./jshashtable.h"
      var $5=$keyHash; //@line 330 "./jshashtable.h"
      var $6=(($5*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$6; //@line 330 "./jshashtable.h"
      var $7=$keyHash; //@line 333 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj($7); //@line 333 "./jshashtable.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $10=$keyHash; //@line 334 "./jshashtable.h"
      var $11=(($10-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$11; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $13=$keyHash; //@line 335 "./jshashtable.h"
      var $14=$13 & -2; //@line 335 "./jshashtable.h"
      ;
      return $14; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS5_EERS5_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS5_EERS5_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_jj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS5_EERS5_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS3_($4); //@line 440 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 440 "./jshashtable.h"
  var $7=$2; //@line 440 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 440 "./jshashtable.h"
  var $9=__ZN2js13GCChunkHasher5matchEPNS_2gc5ChunkES3_($6, $8); //@line 440 "./jshashtable.h"
  ;
  return $9; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js24AutoCopyFreeListToArenasD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $c;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4+4)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($5); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$6; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $8=$c; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($2)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10+4)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($11); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0)!=(($12)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $15=$c; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16+8)|0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10ArenaLists22clearFreeListsInArenasEv($17); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $19=$c; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19+4)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$20; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      ;
      return; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists22clearFreeListsInArenasEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i;
      $1=$this;
      var $2=$1;
      $i=0; //@line 1041 "./jsgc.h"
      __label__ = 2; break; //@line 1041 "./jsgc.h"
    case 2: 
      var $4=$i; //@line 1041 "./jsgc.h"
      var $5=(($4)|0)!=20; //@line 1041 "./jsgc.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1041 "./jsgc.h"
    case 3: 
      var $7=$i; //@line 1042 "./jsgc.h"
      __ZN2js2gc10ArenaLists20clearFreeListInArenaENS0_9AllocKindE($2, $7); //@line 1042 "./jsgc.h"
      __label__ = 4; break; //@line 1042 "./jsgc.h"
    case 4: 
      var $9=$i; //@line 1041 "./jsgc.h"
      var $10=(($9+1)|0); //@line 1041 "./jsgc.h"
      $i=$10; //@line 1041 "./jsgc.h"
      __label__ = 2; break; //@line 1041 "./jsgc.h"
    case 5: 
      ;
      return; //@line 1043 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists20clearFreeListInArenaENS0_9AllocKindE($this, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $headSpan;
      var $aheader;
      $1=$this;
      $2=$kind;
      var $3=$1;
      var $4=$2; //@line 1047 "./jsgc.h"
      var $5=(($3)|0); //@line 1047 "./jsgc.h"
      var $6=(($5+($4<<3))|0); //@line 1047 "./jsgc.h"
      $headSpan=$6; //@line 1047 "./jsgc.h"
      var $7=$headSpan; //@line 1048 "./jsgc.h"
      var $8=__ZNK2js2gc8FreeSpan7isEmptyEv($7); //@line 1048 "./jsgc.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1048 "./jsgc.h"
    case 2: 
      var $10=$headSpan; //@line 1049 "./jsgc.h"
      var $11=__ZNK2js2gc8FreeSpan11arenaHeaderEv($10); //@line 1049 "./jsgc.h"
      $aheader=$11; //@line 1049 "./jsgc.h"
      var $12=$aheader; //@line 1051 "./jsgc.h"
      __ZN2js2gc11ArenaHeader14setAsFullyUsedEv($12); //@line 1051 "./jsgc.h"
      __label__ = 3; break; //@line 1052 "./jsgc.h"
    case 3: 
      ;
      return; //@line 1053 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js24AutoCopyFreeListToArenasC2EP9JSRuntime($this, $rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $c;
      $1=$this;
      $2=$rt;
      var $3=$1;
      var $4=(($3)|0); //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=$2; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($4)>>2)]=$5; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$2; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6+4)|0); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($7); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$8; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $10=$c; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$2; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11+4)|0); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($12); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($10)|0)!=(($13)|0); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $16=$c; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17+8)|0); //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10ArenaLists21copyFreeListsToArenasEv($18); //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $20=$c; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20+4)|0); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c=$21; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      ;
      return; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists21copyFreeListsToArenasEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i;
      $1=$this;
      var $2=$1;
      $i=0; //@line 1023 "./jsgc.h"
      __label__ = 2; break; //@line 1023 "./jsgc.h"
    case 2: 
      var $4=$i; //@line 1023 "./jsgc.h"
      var $5=(($4)|0)!=20; //@line 1023 "./jsgc.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1023 "./jsgc.h"
    case 3: 
      var $7=$i; //@line 1024 "./jsgc.h"
      __ZN2js2gc10ArenaLists19copyFreeListToArenaENS0_9AllocKindE($2, $7); //@line 1024 "./jsgc.h"
      __label__ = 4; break; //@line 1024 "./jsgc.h"
    case 4: 
      var $9=$i; //@line 1023 "./jsgc.h"
      var $10=(($9+1)|0); //@line 1023 "./jsgc.h"
      $i=$10; //@line 1023 "./jsgc.h"
      __label__ = 2; break; //@line 1023 "./jsgc.h"
    case 5: 
      ;
      return; //@line 1025 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists19copyFreeListToArenaENS0_9AllocKindE($this, $thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $headSpan;
      var $aheader;
      $1=$this;
      $2=$thingKind;
      var $3=$1;
      var $4=$2; //@line 1028 "./jsgc.h"
      var $5=(($3)|0); //@line 1028 "./jsgc.h"
      var $6=(($5+($4<<3))|0); //@line 1028 "./jsgc.h"
      $headSpan=$6; //@line 1028 "./jsgc.h"
      var $7=$headSpan; //@line 1029 "./jsgc.h"
      var $8=__ZNK2js2gc8FreeSpan7isEmptyEv($7); //@line 1029 "./jsgc.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1029 "./jsgc.h"
    case 2: 
      var $10=$headSpan; //@line 1030 "./jsgc.h"
      var $11=__ZNK2js2gc8FreeSpan11arenaHeaderEv($10); //@line 1030 "./jsgc.h"
      $aheader=$11; //@line 1030 "./jsgc.h"
      var $12=$aheader; //@line 1032 "./jsgc.h"
      var $13=$headSpan; //@line 1032 "./jsgc.h"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($12, $13); //@line 1032 "./jsgc.h"
      __label__ = 3; break; //@line 1033 "./jsgc.h"
    case 3: 
      ;
      return; //@line 1034 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=__ZN2js6Probes5GCEndEP13JSCompartment($4); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZL12MarkAndSweepP9JSContext18JSGCInvocationKindRN2js7GCTimerE($cx, $gckind, $gcTimer) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $rt;
  var $gcmarker=__stackBase__;
  $1=$cx;
  $2=$gckind;
  $3=$gcTimer;
  var $4=$1; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=(($4+52)|0); //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $rt=$6; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=$rt; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $8=(($7+164)|0); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $10=(($9+1)|0); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($8)>>2)]=$10; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $11=$rt; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $12=(($11+196)|0); //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($12)>>2)]=0; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $13=$rt; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $14=(($13+144076)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($14)>>2)]=0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $15=$rt; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN9JSRuntime18resetGCMallocBytesEv($15); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $16=$1; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  FUNCTION_TABLE[__ZN2js8GCMarkerC1EP9JSContext]($gcmarker, $16); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $17=$rt; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $18=(($17+168)|0); //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($18)>>2)]=$gcmarker; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $19=$1; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $20=$2; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $21=$3; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZL14BeginMarkPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE($19, $gcmarker, $20, $21); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZN2js8GCMarker14drainMarkStackEv($gcmarker); //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $22=$1; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $23=$2; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $24=$3; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZL12EndMarkPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE($22, $gcmarker, $23, $24); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $25=$1; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $26=$2; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $27=$3; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  __ZL10SweepPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE($25, $gcmarker, $26, $27); //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  FUNCTION_TABLE[__ZN2js8GCMarkerD1Ev]($gcmarker); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZL14BeginMarkPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE($cx, $gcmarker, $gckind, $gcTimer) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rt;
      var $c=__stackBase__;
      var $iter=__stackBase__+8;
      var $acx;
      var $r=__stackBase__+12;
      var $c1;
      $1=$cx;
      $2=$gcmarker;
      $3=$gckind;
      $4=$gcTimer;
      var $5=$1; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+52)|0); //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$7; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$rt; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8+209944)|0); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$10 & 16777216; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $14=$rt; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN9JSRuntime6gcZealEv($14); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($15)|0)!=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $18=$rt; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18+144080)|0); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20)|0)!=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $23=$rt; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23+144091)|0); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($24)]=1; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=$rt; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=(($25+209944)|0); //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($26)>>2)]=0; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$rt; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27+44)|0); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($28)>>2)]=0; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 5; break; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $30=$rt; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c, $30); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $32=__ZNK2js2gc18GCCompartmentsIter4doneEv($c); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=$32 ^ 1; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $35=__ZNK2js2gc18GCCompartmentsIterptEv($c); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=$1; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN13JSCompartment5purgeEP9JSContext($35, $36); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $39=$1; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z15js_PurgeThreadsP9JSContext($39); //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($iter)>>2)]=0; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $41=$rt; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=__Z18js_ContextIteratorP9JSRuntimeiPP9JSContext($41, 1, $iter); //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $acx=$42; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$acx; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $46=$acx; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN9JSContext5purgeEv($46); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      __label__ = 13; break; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $49=$4; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=(($49+77)|0); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=HEAP8[($50)]; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=(($51) & 1); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($52) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $54=_PRMJ_Now();
      var $54$0=$54[0];
      var $54$1=$54[1];
      var $55=$4; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=(($55+12)|0); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$5$0=(($56)|0);
      HEAP32[(($st$5$0)>>2)]=$54$0;
      var $st$5$1=(($56+4)|0);
      HEAP32[(($st$5$1)>>2)]=$54$1;
      __label__ = 15; break; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      __label__ = 16; break; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 16: 
      var $59=$rt; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59+48)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3allEv($r, $60); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 17; break; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $62=__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv($r); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=$62 ^ 1; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($63) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $65=__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv($r); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=(($66+1032192)|0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ChunkBitmap5clearEv($67); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 19; break; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv($r); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 17; break; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $70=$rt; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+144080)|0); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $73=(($72)|0)!=0; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($73) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $75=$rt; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $76=(($75+4)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $77=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($76); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c1=$77; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 22; break; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $79=$c1; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $80=$rt; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $81=(($80+4)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $82=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($81); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=(($79)|0)!=(($82)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($83) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85=$c1; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=$2; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$87; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN13JSCompartment28markCrossCompartmentWrappersEP8JSTracer($86, $88); //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 24; break; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      var $90=$c1; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($90+4)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $c1=$91; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 22; break; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 25: 
      var $93=$2; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $94=$93; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js8Debugger43markCrossCompartmentDebuggerObjectReferentsEP8JSTracer($94); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 26; break; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 26: 
      var $96=$2; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $97=$96; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js11MarkRuntimeEP8JSTracer($97); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14BeginMarkPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE["X"]=1;

function __ZN2js2gc10ArenaLists19checkEmptyFreeListsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 1086 "./jsgc.h"
}


function __ZN2js6Probes17GCStartSweepPhaseEP13JSCompartment($compartment) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$compartment;
  $ok=1; //@line 579 "./jsprobes.h"
  var $2=$ok; //@line 586 "./jsprobes.h"
  var $3=(($2) & 1); //@line 586 "./jsprobes.h"
  ;
  return $3; //@line 586 "./jsprobes.h"
}


function __ZN2js6Probes15GCEndSweepPhaseEP13JSCompartment($compartment) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$compartment;
  $ok=1; //@line 592 "./jsprobes.h"
  var $2=$ok; //@line 599 "./jsprobes.h"
  var $3=(($2) & 1); //@line 599 "./jsprobes.h"
  ;
  return $3; //@line 599 "./jsprobes.h"
}


function __ZNK2js2gc10ArenaLists18arenaListsAreEmptyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      $2=$this;
      var $3=$2;
      $i=0; //@line 963 "./jsgc.h"
      __label__ = 2; break; //@line 963 "./jsgc.h"
    case 2: 
      var $5=$i; //@line 963 "./jsgc.h"
      var $6=(($5)|0)!=20; //@line 963 "./jsgc.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 963 "./jsgc.h"
    case 3: 
      var $8=$i; //@line 972 "./jsgc.h"
      var $9=(($3+160)|0); //@line 972 "./jsgc.h"
      var $10=(($9+($8<<3))|0); //@line 972 "./jsgc.h"
      var $11=(($10)|0); //@line 972 "./jsgc.h"
      var $12=HEAP32[(($11)>>2)]; //@line 972 "./jsgc.h"
      var $13=(($12)|0)!=0; //@line 972 "./jsgc.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 972 "./jsgc.h"
    case 4: 
      $1=0; //@line 973 "./jsgc.h"
      __label__ = 8; break; //@line 973 "./jsgc.h"
    case 5: 
      __label__ = 6; break; //@line 974 "./jsgc.h"
    case 6: 
      var $17=$i; //@line 963 "./jsgc.h"
      var $18=(($17+1)|0); //@line 963 "./jsgc.h"
      $i=$18; //@line 963 "./jsgc.h"
      __label__ = 2; break; //@line 963 "./jsgc.h"
    case 7: 
      $1=1; //@line 975 "./jsgc.h"
      __label__ = 8; break; //@line 975 "./jsgc.h"
    case 8: 
      var $21=$1; //@line 976 "./jsgc.h"
      ;
      return $21; //@line 976 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12EndMarkPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE($cx, $gcmarker, $gckind, $gcTimer) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rt;
      $1=$cx;
      $2=$gcmarker;
      $3=$gckind;
      $4=$gcTimer;
      var $5=$1; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+52)|0); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$7; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$2; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$9; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js13WatchpointMap18markAllIterativelyEP8JSTracer($10); //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($11) { var $20 = 1;__label__ = 5; break; } else { __label__ = 3; break; } //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $13=$2; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=$13; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js11WeakMapBase18markAllIterativelyEP8JSTracer($14); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($15) { var $20 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $17=$2; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=__ZN2js8Debugger18markAllIterativelyEPNS_8GCMarkerE($17); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20 = $18;__label__ = 5; break; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $20;
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $22=$2; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js8GCMarker14drainMarkStackEv($22); //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $24=$rt; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+168)|0); //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($25)>>2)]=0; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$rt; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26+144092)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=(($28)|0)!=0; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $31=$rt; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=(($31+144092)|0); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$1; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=FUNCTION_TABLE[$33]($34, 2); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      ;
      return; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10SweepPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE($cx, $gcmarker, $gckind, $gcTimer) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rt;
      var $c=__stackBase__;
      var $releaseInterval;
      var $c1=__stackBase__+8;
      var $c2=__stackBase__+16;
      var $c3=__stackBase__+24;
      var $c4=__stackBase__+32;
      var $c5=__stackBase__+40;
      var $c6=__stackBase__+48;
      var $c7=__stackBase__+56;
      $1=$cx;
      $2=$gcmarker;
      $3=$gckind;
      $4=$gcTimer;
      var $5=$1; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+52)|0); //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$7; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$4; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9+77)|0); //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=HEAP8[($10)]; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11) & 1); //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=_PRMJ_Now();
      var $14$0=$14[0];
      var $14$1=$14[1];
      var $15=$4; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($15+20)|0); //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$5$0=(($16)|0);
      HEAP32[(($st$5$0)>>2)]=$14$0;
      var $st$5$1=(($16+4)|0);
      HEAP32[(($st$5$1)>>2)]=$14$1;
      __label__ = 4; break; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 5; break; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $19=$2; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=$19; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js11WeakMapBase8sweepAllEP8JSTracer($20); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$1; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z17js_SweepAtomStateP9JSContext($21); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$1; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js13WatchpointMap8sweepAllEP9JSContext($22); //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=__ZN2js6Probes17GCStartSweepPhaseEP13JSCompartment(0); //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$rt; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c, $24); //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $26=__ZNK2js2gc18GCCompartmentsIter4doneEv($c); //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$26 ^ 1; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $29=__ZNK2js2gc18GCCompartmentsItercvP13JSCompartmentEv($c); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=__ZN2js6Probes17GCStartSweepPhaseEP13JSCompartment($29); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c); //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 6; break; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $33=$rt; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=(($33+144080)|0); //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35)|0)!=0; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $38=$1; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js8Debugger8sweepAllEP9JSContext($38); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $40=$rt; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=(($40+144080)|0); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42)|0)!=0; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $49 = 0;__label__ = 14; break; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $46=$1; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=__ZL25ComputeJitReleaseIntervalP9JSContext($46); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49 = $47;__label__ = 14; break; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $49; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $releaseInterval=$49; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$rt; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c1, $50); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      var $52=__ZNK2js2gc18GCCompartmentsIter4doneEv($c1); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=$52 ^ 1; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($53) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 16: 
      var $55=__ZNK2js2gc18GCCompartmentsIterptEv($c1); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$1; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$releaseInterval; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN13JSCompartment5sweepEP9JSContextj($55, $56, $57); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 17; break; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c1); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $60=$rt; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c2, $60); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 19; break; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      var $62=__ZNK2js2gc18GCCompartmentsIter4doneEv($c2); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=$62 ^ 1; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($63) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $65=__ZNK2js2gc18GCCompartmentsIterptEv($c2); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66=(($65+8)|0); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=$1; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10ArenaLists15finalizeObjectsEP9JSContext($66, $67); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 21; break; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c2); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 19; break; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      __label__ = 23; break; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $71=$4; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $72=(($71+77)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $73=HEAP8[($72)]; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      var $76=_PRMJ_Now();
      var $76$0=$76[0];
      var $76$1=$76[1];
      var $77=$4; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77+28)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$5$0=(($78)|0);
      HEAP32[(($st$5$0)>>2)]=$76$0;
      var $st$5$1=(($78+4)|0);
      HEAP32[(($st$5$1)>>2)]=$76$1;
      __label__ = 25; break; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 25: 
      __label__ = 26; break; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 26: 
      var $81=$rt; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c3, $81); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 27; break; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 27: 
      var $83=__ZNK2js2gc18GCCompartmentsIter4doneEv($c3); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $84=$83 ^ 1; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($84) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 28: 
      var $86=__ZNK2js2gc18GCCompartmentsIterptEv($c3); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86+8)|0); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$1; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10ArenaLists15finalizeStringsEP9JSContext($87, $88); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 29; break; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 29: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c3); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 27; break; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 30: 
      __label__ = 31; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 31: 
      var $92=$4; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=(($92+77)|0); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $94=HEAP8[($93)]; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $95=(($94) & 1); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($95) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 32: 
      var $97=_PRMJ_Now();
      var $97$0=$97[0];
      var $97$1=$97[1];
      var $98=$4; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $99=(($98+36)|0); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$5$0=(($99)|0);
      HEAP32[(($st$5$0)>>2)]=$97$0;
      var $st$5$1=(($99+4)|0);
      HEAP32[(($st$5$1)>>2)]=$97$1;
      __label__ = 33; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 33: 
      __label__ = 34; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 34: 
      var $102=$rt; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c4, $102); //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 35: 
      var $104=__ZNK2js2gc18GCCompartmentsIter4doneEv($c4); //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $105=$104 ^ 1; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($105) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 36: 
      var $107=__ZNK2js2gc18GCCompartmentsIterptEv($c4); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $108=(($107+8)|0); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $109=$1; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10ArenaLists15finalizeScriptsEP9JSContext($108, $109); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 37; break; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 37: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c4); //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 35; break; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 38: 
      __label__ = 39; break; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 39: 
      var $113=$4; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $114=(($113+77)|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $115=HEAP8[($114)]; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $116=(($115) & 1); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($116) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 40: 
      var $118=_PRMJ_Now();
      var $118$0=$118[0];
      var $118$1=$118[1];
      var $119=$4; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $120=(($119+44)|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$5$0=(($120)|0);
      HEAP32[(($st$5$0)>>2)]=$118$0;
      var $st$5$1=(($120+4)|0);
      HEAP32[(($st$5$1)>>2)]=$118$1;
      __label__ = 41; break; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 41: 
      __label__ = 42; break; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 42: 
      var $123=$rt; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c5, $123); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 43; break; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 43: 
      var $125=__ZNK2js2gc18GCCompartmentsIter4doneEv($c5); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $126=$125 ^ 1; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($126) { __label__ = 44; break; } else { __label__ = 46; break; } //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 44: 
      var $128=__ZNK2js2gc18GCCompartmentsIterptEv($c5); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $129=(($128+8)|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $130=$1; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10ArenaLists14finalizeShapesEP9JSContext($129, $130); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 45; break; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 45: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c5); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 43; break; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 46: 
      __label__ = 47; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 47: 
      var $134=$4; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $135=(($134+77)|0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $136=HEAP8[($135)]; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $137=(($136) & 1); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($137) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 48: 
      var $139=_PRMJ_Now();
      var $139$0=$139[0];
      var $139$1=$139[1];
      var $140=$4; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $141=(($140+52)|0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$5$0=(($141)|0);
      HEAP32[(($st$5$0)>>2)]=$139$0;
      var $st$5$1=(($141+4)|0);
      HEAP32[(($st$5$1)>>2)]=$139$1;
      __label__ = 49; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 49: 
      __label__ = 50; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 50: 
      var $144=$rt; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c6, $144); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 51; break; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 51: 
      var $146=__ZNK2js2gc18GCCompartmentsIter4doneEv($c6); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $147=$146 ^ 1; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($147) { __label__ = 52; break; } else { __label__ = 54; break; } //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 52: 
      var $149=__ZNK2js2gc18GCCompartmentsItercvP13JSCompartmentEv($c6); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $150=__ZN2js6Probes15GCEndSweepPhaseEP13JSCompartment($149); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 53; break; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 53: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c6); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 51; break; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 54: 
      var $153=__ZN2js6Probes15GCEndSweepPhaseEP13JSCompartment(0); //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $154=$rt; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime($c7, $154); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 55; break; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 55: 
      var $156=__ZNK2js2gc18GCCompartmentsIter4doneEv($c7); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $157=$156 ^ 1; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($157) { __label__ = 56; break; } else { __label__ = 58; break; } //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 56: 
      var $159=__ZNK2js2gc18GCCompartmentsItercvP13JSCompartmentEv($c7); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z23js_SweepScriptFilenamesP13JSCompartment($159); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 57; break; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 57: 
      __ZN2js2gc18GCCompartmentsIter4nextEv($c7); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 55; break; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 58: 
      var $162=$rt; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $163=(($162+144080)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $165=(($164)|0)!=0; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($165) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 59: 
      var $167=$1; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $168=$3; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZL17SweepCompartmentsP9JSContext18JSGCInvocationKind($167, $168); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 60; break; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 60: 
      var $170=$rt; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $171=$3; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZL14ExpireGCChunksP9JSRuntime18JSGCInvocationKind($170, $171); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 61; break; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 61: 
      var $173=$4; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $174=(($173+77)|0); //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $175=HEAP8[($174)]; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $176=(($175) & 1); //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($176) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 62: 
      var $178=_PRMJ_Now();
      var $178$0=$178[0];
      var $178$1=$178[1];
      var $179=$4; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $180=(($179+60)|0); //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$5$0=(($180)|0);
      HEAP32[(($st$5$0)>>2)]=$178$0;
      var $st$5$1=(($180+4)|0);
      HEAP32[(($st$5$1)>>2)]=$178$1;
      __label__ = 63; break; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 63: 
      __label__ = 64; break; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 64: 
      var $183=$rt; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $184=(($183+144092)|0); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $186=(($185)|0)!=0; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($186) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 65: 
      var $188=$rt; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $189=(($188+144092)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $191=$1; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $192=FUNCTION_TABLE[$190]($191, 3); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 66; break; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 66: 
      STACKTOP = __stackBase__;
      return; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10SweepPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE["X"]=1;

function __ZNK2js2gc18GCCompartmentsItercvP13JSCompartmentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc18GCCompartmentsIter3getEv($2); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return $3; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZL25ComputeJitReleaseIntervalP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $releaseInterval;
      var $now=__stackBase__;
      $1=$cx;
      var $2=$1; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=(($2+52)|0); //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$4; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $releaseInterval=0; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=_PRMJ_Now();
      var $5$0=$5[0];
      var $5$1=$5[1];
      var $st$13$0=(($now)|0);
      HEAP32[(($st$13$0)>>2)]=$5$0;
      var $st$13$1=(($now+4)|0);
      HEAP32[(($st$13$1)>>2)]=$5$1;
      var $st$17$0=(($now)|0);
      var $6$0=HEAP32[(($st$17$0)>>2)];
      var $st$17$1=(($now+4)|0);
      var $6$1=HEAP32[(($st$17$1)>>2)];
      var $7=$rt; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7+184)|0); //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$23$0=(($8)|0);
      var $9$0=HEAP32[(($st$23$0)>>2)];
      var $st$23$1=(($8+4)|0);
      var $9$1=HEAP32[(($st$23$1)>>2)];
      var $10=($6$1|0) >= ($9$1|0) && (($6$1|0) >  ($9$1|0) || ($6$0>>>0) >= ($9$0>>>0)); //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      $releaseInterval=8; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 3; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $st$0$0=(($now)|0);
      var $13$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($now+4)|0);
      var $13$1=HEAP32[(($st$0$1)>>2)];
      var $14=$rt; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($14+184)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$6$0=(($15)|0);
      var $16$0=HEAP32[(($st$6$0)>>2)];
      var $st$6$1=(($15+4)|0);
      var $16$1=HEAP32[(($st$6$1)>>2)];
      var $17=($13$1|0) >= ($16$1|0) && (($13$1|0) >  ($16$1|0) || ($13$0>>>0) >= ($16$0>>>0)); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $19=$releaseInterval; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19-1)|0); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $releaseInterval=$20; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($20)|0)==1; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $st$0$0=(($now)|0);
      var $23$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($now+4)|0);
      var $23$1=HEAP32[(($st$0$1)>>2)];
      var $24=$rt; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+184)|0); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$6$0=(($25)|0);
      HEAP32[(($st$6$0)>>2)]=$23$0;
      var $st$6$1=(($25+4)|0);
      HEAP32[(($st$6$1)>>2)]=$23$1;
      __label__ = 6; break; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $27=$rt; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27+184)|0); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$2$0=(($28)|0);
      var $29$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($28+4)|0);
      var $29$1=HEAP32[(($st$2$1)>>2)];
      var $$emscripten$temp$0$0=60000000;
      var $$emscripten$temp$0$1=0;
      var $30$0 = (i64Math.add($29$0,$29$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $30$1 = i64Math.result[1]; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $st$9$0=(($28)|0);
      HEAP32[(($st$9$0)>>2)]=$30$0;
      var $st$9$1=(($28+4)|0);
      HEAP32[(($st$9$1)>>2)]=$30$1;
      __label__ = 3; break; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      __label__ = 8; break; //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $33=$releaseInterval; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25ComputeJitReleaseIntervalP9JSContext["X"]=1;

function __ZL17SweepCompartmentsP9JSContext18JSGCInvocationKind($cx, $gckind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      var $callback;
      var $read;
      var $end;
      var $write;
      var $compartment;
      $1=$cx;
      $2=$gckind;
      var $3=$1; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=(($3+52)|0); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$5; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$rt; //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6+32)|0); //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $callback=$8; //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$rt; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9+4)|0); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($10); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11+4)|0); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $read=$12; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$rt; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13+4)|0); //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($14); //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $end=$15; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$read; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $write=$16; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $18=$read; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=$end; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 15; break; } //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $22=$read; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($22+4)|0); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $read=$23; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=HEAP32[(($22)>>2)]; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $compartment=$24; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=$compartment; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=(($25+340)|0); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=HEAP8[($26)]; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27) & 1); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($28) { __label__ = 14; break; } else { __label__ = 4; break; } //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $30=$compartment; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=(($30+8)|0); //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=__ZNK2js2gc10ArenaLists18arenaListsAreEmptyEv($31); //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $34=$2; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=(($34)|0)==1; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 14; break; } //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $37=$compartment; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($37+8)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc10ArenaLists19checkEmptyFreeListsEv($38); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$callback; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($39)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $42=$callback; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$1; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=$compartment; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=FUNCTION_TABLE[$42]($43, $44, 0); //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $47=$compartment; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47+4)|0); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=(($49)|0)!=0; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($50) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $52=$compartment; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=(($54+12)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=(($56-1)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$57; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57)|0)==0; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($58) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $60=$compartment; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $61=(($60+4)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=(($62+16)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$1; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66=$compartment; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $67=(($66+4)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      FUNCTION_TABLE[$64]($65, $68); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $76 = 0;__label__ = 12; break; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $70=$compartment; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+4)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $73=(($72+12)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $76 = $74;__label__ = 12; break; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $76; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 13; break; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $78=$1; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $79=$compartment; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN9JSContext7delete_I13JSCompartmentEEvPT_($78, $79); //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $81=$compartment; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $82=$write; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=(($82+4)|0); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $write=$83; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($82)>>2)]=$81; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 15: 
      var $85=$rt; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=(($85+4)|0); //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=$write; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$rt; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=(($88+4)|0); //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($89); //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=$87; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $92=$90; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=(($91-$92)|0); //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $94=(((($93)|0)/4)&-1); //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $95=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6resizeEj($86, $94); //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17SweepCompartmentsP9JSContext18JSGCInvocationKind["X"]=1;

function __ZL14ExpireGCChunksP9JSRuntime18JSGCInvocationKind($rt, $gckind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $lock=__stackBase__;
      var $chunkp;
      var $chunk;
      $1=$rt;
      $2=$gckind;
      var $3=$1; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js10AutoLockGCC1EP9JSRuntime($lock, $3); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$1; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4+80)|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $chunkp=$5; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $7=$chunkp; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=(($8)|0)!=0; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $11=$chunkp; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $chunk=$12; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13)|0)==2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $16=$chunk; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=(($16+1048320)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17+12)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)|0)==4; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $22=$chunk; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($22+1048320)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($23)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=$chunkp; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($26)>>2)]=$25; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$1; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27+84)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=(($29-1)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($28)>>2)]=$30; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$1; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=$chunk; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z14ReleaseGCChunkP9JSRuntimePN2js2gc5ChunkE($31, $32); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $34=$chunk; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=(($34+1048320)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+12)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=(($37+1)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($36)>>2)]=$38; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$chunk; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($39+1048320)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=(($40)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $chunkp=$41; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break;
    case 7: 
      __label__ = 2; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      __ZN2js10AutoLockGCD1Ev($lock); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14ExpireGCChunksP9JSRuntime18JSGCInvocationKind["X"]=1;

function __ZN9JSContext7delete_I13JSCompartmentEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      FUNCTION_TABLE[__ZN13JSCompartmentD1Ev]($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6resizeEj($this, $newLength) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $curLength;
      $2=$this;
      $3=$newLength;
      var $4=$2;
      var $5=(($4+4)|0); //@line 708 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 708 "./jsvector.h"
      $curLength=$6; //@line 708 "./jsvector.h"
      var $7=$3; //@line 709 "./jsvector.h"
      var $8=$curLength; //@line 709 "./jsvector.h"
      var $9=(($7)>>>0) > (($8)>>>0); //@line 709 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 709 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 710 "./jsvector.h"
      var $12=$curLength; //@line 710 "./jsvector.h"
      var $13=(($11-$12)|0); //@line 710 "./jsvector.h"
      var $14=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6growByEj($4, $13); //@line 710 "./jsvector.h"
      $1=$14; //@line 710 "./jsvector.h"
      __label__ = 4; break; //@line 710 "./jsvector.h"
    case 3: 
      var $16=$curLength; //@line 711 "./jsvector.h"
      var $17=$3; //@line 711 "./jsvector.h"
      var $18=(($16-$17)|0); //@line 711 "./jsvector.h"
      __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE8shrinkByEj($4, $18); //@line 711 "./jsvector.h"
      $1=1; //@line 712 "./jsvector.h"
      __label__ = 4; break; //@line 712 "./jsvector.h"
    case 4: 
      var $20=$1; //@line 713 "./jsvector.h"
      ;
      return $20; //@line 713 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6growByEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 693 "./jsvector.h"
  var $5=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10growByImplILb1EEEbj($3, $4); //@line 693 "./jsvector.h"
  ;
  return $5; //@line 693 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE8shrinkByEj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  $1=$this;
  $2=$incr;
  var $3=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_($g, $3); //@line 662 "./jsvector.h"
  var $4=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  var $5=$2; //@line 664 "./jsvector.h"
  var $6=(((-$5))|0); //@line 664 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 664 "./jsvector.h"
  var $8=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($7, $8); //@line 664 "./jsvector.h"
  var $9=$2; //@line 665 "./jsvector.h"
  var $10=(($3+4)|0); //@line 665 "./jsvector.h"
  var $11=HEAP32[(($10)>>2)]; //@line 665 "./jsvector.h"
  var $12=(($11-$9)|0); //@line 665 "./jsvector.h"
  HEAP32[(($10)>>2)]=$12; //@line 665 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 666 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 666 "./jsvector.h"
}


function __ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10growByImplILb1EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+8)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+4)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<2))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv($5); //@line 680 "./jsvector.h"
      var $22=$newend; //@line 680 "./jsvector.h"
      __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE10initializeEPS2_S5_($21, $22); //@line 680 "./jsvector.h"
      var $23=$3; //@line 681 "./jsvector.h"
      var $24=(($5+4)|0); //@line 681 "./jsvector.h"
      var $25=HEAP32[(($24)>>2)]; //@line 681 "./jsvector.h"
      var $26=(($25+$23)|0); //@line 681 "./jsvector.h"
      HEAP32[(($24)>>2)]=$26; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $28=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $28; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Probes7GCStartEP13JSCompartment($compartment) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$compartment;
  $ok=1; //@line 527 "./jsprobes.h"
  var $2=$ok; //@line 534 "./jsprobes.h"
  var $3=(($2) & 1); //@line 534 "./jsprobes.h"
  ;
  return $3; //@line 534 "./jsprobes.h"
}


function __ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE10initializeEPS2_S5_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 147 "./jsvector.h"
      $p=$3; //@line 147 "./jsvector.h"
      __label__ = 2; break; //@line 147 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 147 "./jsvector.h"
      var $6=$2; //@line 147 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 147 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 147 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 148 "./jsvector.h"
      var $10=$9; //@line 148 "./jsvector.h"
      var $11=(($10)|0)==0; //@line 148 "./jsvector.h"
      if ($11) { var $15 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 148 "./jsvector.h"
    case 4: 
      var $13=$10; //@line 148 "./jsvector.h"
      HEAP32[(($13)>>2)]=0; //@line 148 "./jsvector.h"
      var $15 = $13;__label__ = 5; break; //@line 148 "./jsvector.h"
    case 5: 
      var $15; //@line 148 "./jsvector.h"
      __label__ = 6; break; //@line 148 "./jsvector.h"
    case 6: 
      var $17=$p; //@line 147 "./jsvector.h"
      var $18=(($17+4)|0); //@line 147 "./jsvector.h"
      $p=$18; //@line 147 "./jsvector.h"
      __label__ = 2; break; //@line 147 "./jsvector.h"
    case 7: 
      ;
      return; //@line 149 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js2gc18GCCompartmentsIter3getEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return $5; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js14AutoValueArray6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 2519 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2519 "./jscntxt.h"
  ;
  return $4; //@line 2519 "./jscntxt.h"
}


function __ZNK2js14AutoValueArray5startEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2518 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2518 "./jscntxt.h"
  ;
  return $4; //@line 2518 "./jscntxt.h"
}


function _BUILD_JSVAL1463($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL1464($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZNK2js10AutoLockGC6lockedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1782 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1782 "./jscntxt.h"
  var $5=(($4)|0)!=0; //@line 1782 "./jscntxt.h"
  var $6=$5 ^ 1; //@line 1782 "./jscntxt.h"
  var $7=$6 ^ 1; //@line 1782 "./jscntxt.h"
  ;
  return $7; //@line 1782 "./jscntxt.h"
}


function __ZN2js10AutoLockGC4lockEP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=$2; //@line 1788 "./jscntxt.h"
  var $5=(($3)|0); //@line 1788 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$4; //@line 1788 "./jscntxt.h"
  ;
  return; //@line 1790 "./jscntxt.h"
}


function __Z21GetAvailableChunkListP13JSCompartment($comp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      $1=$comp;
      var $2=$1; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $3=(($2)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$4; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=$1; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5+341)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=HEAP8[($6)]; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=(($7) & 1); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $10=$rt; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10+72)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16 = $11;__label__ = 4; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $13=$rt; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13+76)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16 = $14;__label__ = 4; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $16; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      ;
      return $16; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js13AutoKeepAtomsD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1877 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1877 "./jscntxt.h"
  var $5=(($4+136)|0); //@line 1877 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1877 "./jscntxt.h"
  var $7=(($6-1)|0); //@line 1877 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$7; //@line 1877 "./jscntxt.h"
  ;
  return; //@line 1877 "./jscntxt.h"
}


function __ZN2js13AutoKeepAtomsC2EP9JSRuntime($this, $rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$rt;
      var $3=$1;
      var $4=(($3)|0); //@line 1873 "./jscntxt.h"
      var $5=$2; //@line 1873 "./jscntxt.h"
      HEAP32[(($4)>>2)]=$5; //@line 1873 "./jscntxt.h"
      __label__ = 2; break; //@line 1874 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1874 "./jscntxt.h"
    case 3: 
      var $8=$2; //@line 1875 "./jscntxt.h"
      var $9=(($8+136)|0); //@line 1875 "./jscntxt.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1875 "./jscntxt.h"
      var $11=(($10+1)|0); //@line 1875 "./jscntxt.h"
      HEAP32[(($9)>>2)]=$11; //@line 1875 "./jscntxt.h"
      ;
      return; //@line 1876 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeC2ES2_($this, $comp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$comp;
  var $3=$1;
  var $4=(($3)|0); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=$2; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $6=$2; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $7=__ZN2js6Probes7GCStartEP13JSCompartment($6); //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js2gc18GCCompartmentsIterC2EP9JSRuntime($this, $rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$rt;
      var $3=$1;
      var $4=$2; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4+144080)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=(($6)|0)!=0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=(($9+144080)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($3)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$2; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($12+144080)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13+4)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=(($3+4)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $17=$2; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17+4)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($18); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($3)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$2; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21+4)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($22); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=(($3+4)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc5Arena9thingsEndEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js2gc5Arena7addressEv($2); //@line 531 "./jsgc.h"
  var $4=(($3+4096)|0); //@line 531 "./jsgc.h"
  ;
  return $4; //@line 531 "./jsgc.h"
}


function __ZN2js2gc8FreeSpan18infallibleAllocateEj($this, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $thing;
      $1=$this;
      $2=$thingSize;
      var $3=$1;
      __ZNK2js2gc8FreeSpan9checkSpanEv($3); //@line 265 "./jsgc.h"
      var $4=(($3)|0); //@line 266 "./jsgc.h"
      var $5=HEAP32[(($4)>>2)]; //@line 266 "./jsgc.h"
      $thing=$5; //@line 266 "./jsgc.h"
      var $6=$thing; //@line 267 "./jsgc.h"
      var $7=(($3+4)|0); //@line 267 "./jsgc.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 267 "./jsgc.h"
      var $9=(($6)>>>0) < (($8)>>>0); //@line 267 "./jsgc.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 267 "./jsgc.h"
    case 2: 
      var $11=$thing; //@line 268 "./jsgc.h"
      var $12=$2; //@line 268 "./jsgc.h"
      var $13=(($11+$12)|0); //@line 268 "./jsgc.h"
      var $14=(($3)|0); //@line 268 "./jsgc.h"
      HEAP32[(($14)>>2)]=$13; //@line 268 "./jsgc.h"
      __label__ = 4; break; //@line 269 "./jsgc.h"
    case 3: 
      var $16=$thing; //@line 271 "./jsgc.h"
      var $17=$16; //@line 271 "./jsgc.h"
      var $18=$3; //@line 271 "./jsgc.h"
      var $19=$17; //@line 271 "./jsgc.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 271 "./jsgc.h"
      __label__ = 4; break;
    case 4: 
      __ZNK2js2gc8FreeSpan9checkSpanEv($3); //@line 273 "./jsgc.h"
      var $21=$thing; //@line 274 "./jsgc.h"
      var $22=$21; //@line 274 "./jsgc.h"
      ;
      return $22; //@line 274 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9PickChunkP13JSCompartment($comp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      var $listHeadp;
      var $chunk=__stackBase__;
      var $p=__stackBase__+4;
      $2=$comp;
      var $3=$2; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=(($3)|0); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $rt=$5; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$2; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__Z21GetAvailableChunkListP13JSCompartment($6); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $listHeadp=$7; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$listHeadp; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($chunk)>>2)]=$9; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($chunk)>>2)]; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=(($10)|0)!=0; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $13=HEAP32[(($chunk)>>2)]; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$13; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $15=$rt; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($15+80)|0); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($chunk)>>2)]=$17; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=HEAP32[(($chunk)>>2)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18)|0)!=0; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $21=HEAP32[(($chunk)>>2)]; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21+1048320)|0); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($22)|0); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=$rt; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=(($25+80)|0); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($26)>>2)]=$24; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$rt; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=(($27+84)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=(($29-1)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($28)>>2)]=$30; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$rt; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__Z15AllocateGCChunkP9JSRuntime($32); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($chunk)>>2)]=$33; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=HEAP32[(($chunk)>>2)]; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=(($34)|0)!=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      $1=0; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $38=HEAP32[(($chunk)>>2)]; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk4initEv($38); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$rt; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($39+172)|0); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP8[($40)]=1; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      var $42=$rt; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+48)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE12lookupForAddERKS3_($p, $43, $chunk); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=$rt; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $45=(($44+48)|0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $46=__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS3_NS6_6SetOpsES5_E6AddPtrERS9_($45, $p, $chunk); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $48=$rt; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=HEAP32[(($chunk)>>2)]; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __Z14ReleaseGCChunkP9JSRuntimePN2js2gc5ChunkE($48, $49); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=HEAP32[(($chunk)>>2)]; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=(($51+1048320)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=0; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($chunk)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=(($54+1048320)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=(($55)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($56)>>2)]=0; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=HEAP32[(($chunk)>>2)]; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=$2; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk18addToAvailableListEP13JSCompartment($57, $58); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $59=HEAP32[(($chunk)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=$59; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $61=$1; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9PickChunkP13JSCompartment["X"]=1;

function __ZN2js2gc8FreeSpan20allocateFromNewArenaEjjj($this, $arenaAddr, $firstThingOffset, $thingSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $thing;
  $1=$this;
  $2=$arenaAddr;
  $3=$firstThingOffset;
  $4=$thingSize;
  var $5=$1;
  var $6=$2; //@line 286 "./jsgc.h"
  var $7=$3; //@line 286 "./jsgc.h"
  var $8=$6 | $7; //@line 286 "./jsgc.h"
  $thing=$8; //@line 286 "./jsgc.h"
  var $9=$thing; //@line 287 "./jsgc.h"
  var $10=$4; //@line 287 "./jsgc.h"
  var $11=(($9+$10)|0); //@line 287 "./jsgc.h"
  var $12=(($5)|0); //@line 287 "./jsgc.h"
  HEAP32[(($12)>>2)]=$11; //@line 287 "./jsgc.h"
  var $13=$2; //@line 288 "./jsgc.h"
  var $14=$13 | 4095; //@line 288 "./jsgc.h"
  var $15=(($5+4)|0); //@line 288 "./jsgc.h"
  HEAP32[(($15)>>2)]=$14; //@line 288 "./jsgc.h"
  __ZNK2js2gc8FreeSpan9checkSpanEv($5); //@line 289 "./jsgc.h"
  var $16=$thing; //@line 290 "./jsgc.h"
  var $17=$16; //@line 290 "./jsgc.h"
  ;
  return $17; //@line 290 "./jsgc.h"
}


function __Z15AllocateGCChunkP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  var $p;
  $1=$rt;
  var $2=__ZN2js12AllocGCChunkEv(); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $3=$2; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  $p=$3; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=$p; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return $4; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE12lookupForAddERKS3_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS5_($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS3_NS6_6SetOpsES5_E6AddPtrERS9_($this, $p, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$t;
  var $4=$1;
  var $5=(($4)|0); //@line 1273 "./jshashtable.h"
  var $6=$2; //@line 1273 "./jshashtable.h"
  var $7=$3; //@line 1273 "./jshashtable.h"
  var $8=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS5_($5, $6, $7); //@line 1273 "./jshashtable.h"
  ;
  return $8; //@line 1273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS5_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$4; //@line 742 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 742 "./jshashtable.h"
      var $12=$3; //@line 742 "./jshashtable.h"
      var $13=$12; //@line 742 "./jshashtable.h"
      var $14=(($13)|0); //@line 742 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 742 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 742 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$11; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $18=$1; //@line 744 "./jshashtable.h"
      ;
      return $18; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS5_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS5_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js13AutoKeepAtomsC1EP9JSRuntime($this, $rt) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rt;
  var $3=$1;
  var $4=$2; //@line 1876 "./jscntxt.h"
  __ZN2js13AutoKeepAtomsC2EP9JSRuntime($3, $4); //@line 1876 "./jscntxt.h"
  ;
  return; //@line 1876 "./jscntxt.h"
}


function __ZN2js13AutoKeepAtomsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13AutoKeepAtomsD2Ev($2); //@line 1877 "./jscntxt.h"
  ;
  return; //@line 1877 "./jscntxt.h"
}


function __ZN2js2gcL14FinalizeArenasEP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      var $4=$3; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ((($4)|0) == 0 || (($4)|0) == 1 || (($4)|0) == 2 || (($4)|0) == 3 || (($4)|0) == 4 || (($4)|0) == 5 || (($4)|0) == 6 || (($4)|0) == 7 || (($4)|0) == 8 || (($4)|0) == 9 || (($4)|0) == 10 || (($4)|0) == 11 || (($4)|0) == 12) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 13) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 14) {
        __label__ = 4; break;
      }
      else if ((($4)|0) == 15) {
        __label__ = 5; break;
      }
      else if ((($4)|0) == 16) {
        __label__ = 6; break;
      }
      else if ((($4)|0) == 18) {
        __label__ = 7; break;
      }
      else if ((($4)|0) == 17) {
        __label__ = 8; break;
      }
      else if ((($4)|0) == 19) {
        __label__ = 9; break;
      }
      else {
      __label__ = 10; break;
      }
      
    case 2: 
      var $6=$1; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=$2; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $8=$3; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19FinalizeTypedArenasI8JSObjectEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($6, $7, $8); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $10=$1; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=$3; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19FinalizeTypedArenasI8JSScriptEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($10, $11, $12); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $14=$1; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=$2; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$3; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19FinalizeTypedArenasINS_5ShapeEEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($14, $15, $16); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $18=$1; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=$2; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=$3; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19FinalizeTypedArenasINS_5types10TypeObjectEEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($18, $19, $20); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $22=$1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=$2; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $24=$3; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19FinalizeTypedArenasI5JSXMLEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($22, $23, $24); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $26=$1; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$2; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$3; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19FinalizeTypedArenasI8JSStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($26, $27, $28); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $30=$1; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=$2; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=$3; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19FinalizeTypedArenasI13JSShortStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($30, $31, $32); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $34=$1; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$2; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=$3; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc19FinalizeTypedArenasI16JSExternalStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($34, $35, $36); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 10; break; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      ;
      return; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc19FinalizeTypedArenasI8JSObjectEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $available=__stackBase__;
      var $ap;
      var $thingSize;
      var $aheader;
      var $allClear;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($available); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$5; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($6); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$ap; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$10; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$aheader; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$aheader; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$3; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingSize; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js2gc5Arena8finalizeI8JSObjectEEbP9JSContextNS0_9AllocKindEj($15, $16, $17, $18); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)&1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=$20; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$allClear; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $24=$aheader; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$ap; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=__ZNK2js2gc11ArenaHeader5chunkEv($28); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($29, $30); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$aheader; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($32); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$aheader; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+4)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$ap; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$aheader; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($available+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$aheader; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($available+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $46=$aheader; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$47; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 2; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=(($available+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($available)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$ap; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$ap; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19FinalizeTypedArenasI8JSObjectEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE["X"]=1;

function __ZNK2js2gc11ArenaHeader13hasFreeThingsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 441 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 441 "./jsgc.h"
  var $5=(($4)|0)!=268374016; //@line 441 "./jsgc.h"
  ;
  return $5; //@line 441 "./jsgc.h"
}


function __ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($this, $thingSize) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$thingSize;
  var $3=$1;
  var $4=(($3+4)|0); //@line 203 "./jsgc.h"
  var $5=HEAP32[(($4)>>2)]; //@line 203 "./jsgc.h"
  var $6=$5; //@line 203 "./jsgc.h"
  ;
  return $6; //@line 203 "./jsgc.h"
}


function __ZN2js2gc19FinalizeTypedArenasI8JSScriptEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $available=__stackBase__;
      var $ap;
      var $thingSize;
      var $aheader;
      var $allClear;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($available); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$5; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($6); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$ap; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$10; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$aheader; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$aheader; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$3; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingSize; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js2gc5Arena8finalizeI8JSScriptEEbP9JSContextNS0_9AllocKindEj($15, $16, $17, $18); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)&1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=$20; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$allClear; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $24=$aheader; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$ap; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=__ZNK2js2gc11ArenaHeader5chunkEv($28); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($29, $30); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$aheader; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($32); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$aheader; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+4)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$ap; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$aheader; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($available+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$aheader; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($available+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $46=$aheader; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$47; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 2; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=(($available+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($available)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$ap; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$ap; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19FinalizeTypedArenasI8JSScriptEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE["X"]=1;

function __ZN2js2gc19FinalizeTypedArenasINS_5ShapeEEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $available=__stackBase__;
      var $ap;
      var $thingSize;
      var $aheader;
      var $allClear;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($available); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$5; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($6); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$ap; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$10; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$aheader; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$aheader; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$3; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingSize; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js2gc5Arena8finalizeINS_5ShapeEEEbP9JSContextNS0_9AllocKindEj($15, $16, $17, $18); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)&1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=$20; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$allClear; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $24=$aheader; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$ap; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=__ZNK2js2gc11ArenaHeader5chunkEv($28); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($29, $30); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$aheader; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($32); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$aheader; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+4)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$ap; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$aheader; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($available+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$aheader; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($available+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $46=$aheader; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$47; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 2; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=(($available+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($available)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$ap; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$ap; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19FinalizeTypedArenasINS_5ShapeEEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE["X"]=1;

function __ZN2js2gc19FinalizeTypedArenasINS_5types10TypeObjectEEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $available=__stackBase__;
      var $ap;
      var $thingSize;
      var $aheader;
      var $allClear;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($available); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$5; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($6); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$ap; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$10; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$aheader; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$aheader; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$3; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingSize; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js2gc5Arena8finalizeINS_5types10TypeObjectEEEbP9JSContextNS0_9AllocKindEj($15, $16, $17, $18); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)&1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=$20; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$allClear; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $24=$aheader; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$ap; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=__ZNK2js2gc11ArenaHeader5chunkEv($28); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($29, $30); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$aheader; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($32); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$aheader; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+4)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$ap; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$aheader; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($available+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$aheader; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($available+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $46=$aheader; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$47; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 2; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=(($available+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($available)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$ap; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$ap; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19FinalizeTypedArenasINS_5types10TypeObjectEEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE["X"]=1;

function __ZN2js2gc19FinalizeTypedArenasI5JSXMLEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $available=__stackBase__;
      var $ap;
      var $thingSize;
      var $aheader;
      var $allClear;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($available); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$5; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($6); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$ap; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$10; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$aheader; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$aheader; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$3; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingSize; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js2gc5Arena8finalizeI5JSXMLEEbP9JSContextNS0_9AllocKindEj($15, $16, $17, $18); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)&1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=$20; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$allClear; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $24=$aheader; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$ap; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=__ZNK2js2gc11ArenaHeader5chunkEv($28); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($29, $30); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$aheader; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($32); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$aheader; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+4)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$ap; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$aheader; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($available+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$aheader; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($available+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $46=$aheader; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$47; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 2; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=(($available+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($available)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$ap; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$ap; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19FinalizeTypedArenasI5JSXMLEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE["X"]=1;

function __ZN2js2gc19FinalizeTypedArenasI8JSStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $available=__stackBase__;
      var $ap;
      var $thingSize;
      var $aheader;
      var $allClear;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($available); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$5; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($6); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$ap; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$10; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$aheader; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$aheader; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$3; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingSize; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js2gc5Arena8finalizeI8JSStringEEbP9JSContextNS0_9AllocKindEj($15, $16, $17, $18); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)&1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=$20; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$allClear; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $24=$aheader; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$ap; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=__ZNK2js2gc11ArenaHeader5chunkEv($28); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($29, $30); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$aheader; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($32); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$aheader; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+4)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$ap; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$aheader; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($available+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$aheader; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($available+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $46=$aheader; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$47; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 2; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=(($available+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($available)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$ap; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$ap; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19FinalizeTypedArenasI8JSStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE["X"]=1;

function __ZN2js2gc19FinalizeTypedArenasI13JSShortStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $available=__stackBase__;
      var $ap;
      var $thingSize;
      var $aheader;
      var $allClear;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($available); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$5; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($6); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$ap; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$10; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$aheader; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$aheader; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$3; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingSize; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js2gc5Arena8finalizeI13JSShortStringEEbP9JSContextNS0_9AllocKindEj($15, $16, $17, $18); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)&1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=$20; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$allClear; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $24=$aheader; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$ap; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=__ZNK2js2gc11ArenaHeader5chunkEv($28); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($29, $30); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$aheader; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($32); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$aheader; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+4)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$ap; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$aheader; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($available+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$aheader; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($available+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $46=$aheader; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$47; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 2; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=(($available+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($available)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$ap; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$ap; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19FinalizeTypedArenasI13JSShortStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE["X"]=1;

function __ZN2js2gc19FinalizeTypedArenasI16JSExternalStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE($cx, $al, $thingKind) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $available=__stackBase__;
      var $ap;
      var $thingSize;
      var $aheader;
      var $allClear;
      $1=$cx;
      $2=$al;
      $3=$thingKind;
      __ZN2js2gc10ArenaLists9ArenaListC1Ev($available); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $4=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=(($4)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$5; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $7=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($6); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingSize=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $9=$ap; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$10; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$aheader; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0)!=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $14=$aheader; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=$1; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=$3; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$thingSize; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZN2js2gc5Arena8finalizeI16JSExternalStringEEbP9JSContextNS0_9AllocKindEj($15, $16, $17, $18); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=(($19)&1); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=$20; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=$allClear; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=(($21) & 1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $24=$aheader; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=(($24+4)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=$ap; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=__ZNK2js2gc11ArenaHeader5chunkEv($28); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=$aheader; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE($29, $30); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $32=$aheader; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($32); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $35=$aheader; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $36=(($35+4)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$ap; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$aheader; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=(($available+4)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$aheader; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=(($42+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($available+4)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $46=$aheader; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=(($46+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $ap=$47; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 2; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $51=(($available+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($52)>>2)]=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($available)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$ap; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$ap; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=(($57+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19FinalizeTypedArenasI16JSExternalStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE["X"]=1;

function __ZN2js2gc5Arena8finalizeI16JSExternalStringEEbP9JSContextNS0_9AllocKindEj($this, $cx, $thingKind, $thingSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thing;
      var $lastByte;
      var $nextFree=__stackBase__;
      var $newListHead=__stackBase__+8;
      var $newListTail;
      var $newFreeSpanStart;
      var $allClear;
      var $nmarked=__stackBase__+16;
      var $6=__stackBase__+20;
      var $t;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$thingKind;
      $5=$thingSize;
      var $8=$2;
      var $9=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($8, $9); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$10; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($8); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11-1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $lastByte=$12; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($nextFree, $13); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8FreeSpanC1Ev($newListHead); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$newListHead; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($nmarked, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$thing; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($nextFree)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=(($nextFree+4)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$lastByte; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 18; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$newFreeSpanStart; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=$thing; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$29; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $31=(($nextFree+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$32; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc8FreeSpan8nextSpanEv($nextFree); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$nextFree; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$thing; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$37; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$38; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$t; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$39; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZNK2js2gc4Cell8isMarkedEj($40, 0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $allClear=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($nmarked, 0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$newFreeSpanStart; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $46=$newFreeSpanStart; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$newListTail; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thing; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($49-$50)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$newListTail; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$newListTail; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($54, $55); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$56; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 15; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $59=$newFreeSpanStart; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $62=$thing; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$62; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $64=$t; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN16JSExternalString8finalizeEP9JSContext($64, $65); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $69=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=$thing; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+$69)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$71; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $73=$allClear; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $77=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $80=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $80;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $82=(($nextFree)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $83;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$newListTail; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$lastByte; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=$newListTail; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=(($89+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($90)>>2)]=$88; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($91, $newListHead); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __ZN7mozilla9DebugOnlyIjED1Ev($nmarked); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=$1; //@line 332 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $93; //@line 332 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Arena8finalizeI16JSExternalStringEEbP9JSContextNS0_9AllocKindEj["X"]=1;

function __ZN13JSShortString8finalizeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  ;
  return; //@line 336 "./vm/String-inl.h"
}


function __ZN2js5types10TypeObject8finalizeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  ;
  return; //@line 876 "./jsinfer.h"
}


function __ZNK16JSExternalString12externalTypeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 616 "./vm/String.h"
  var $4=(($3)|0); //@line 616 "./vm/String.h"
  var $5=(($4+8)|0); //@line 616 "./vm/String.h"
  var $6=$5; //@line 616 "./vm/String.h"
  var $7=(($6)|0); //@line 616 "./vm/String.h"
  var $8=$7; //@line 616 "./vm/String.h"
  var $9=HEAP32[(($8)>>2)]; //@line 616 "./vm/String.h"
  ;
  return $9; //@line 616 "./vm/String.h"
}


function __ZN16JSExternalString8finalizeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $finalizer;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK16JSExternalString12externalTypeEv($3); //@line 351 "./vm/String-inl.h"
      var $5=((__ZN16JSExternalString14str_finalizersE+($4<<2))|0); //@line 351 "./vm/String-inl.h"
      var $6=HEAP32[(($5)>>2)]; //@line 351 "./vm/String-inl.h"
      $finalizer=$6; //@line 351 "./vm/String-inl.h"
      var $7=$finalizer; //@line 351 "./vm/String-inl.h"
      var $8=(($7)|0)!=0; //@line 351 "./vm/String-inl.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 351 "./vm/String-inl.h"
    case 2: 
      var $10=$finalizer; //@line 352 "./vm/String-inl.h"
      var $11=$2; //@line 352 "./vm/String-inl.h"
      var $12=$3; //@line 352 "./vm/String-inl.h"
      FUNCTION_TABLE[$10]($11, $12); //@line 352 "./vm/String-inl.h"
      __label__ = 3; break; //@line 352 "./vm/String-inl.h"
    case 3: 
      ;
      return; //@line 353 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc5Arena8finalizeI13JSShortStringEEbP9JSContextNS0_9AllocKindEj($this, $cx, $thingKind, $thingSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thing;
      var $lastByte;
      var $nextFree=__stackBase__;
      var $newListHead=__stackBase__+8;
      var $newListTail;
      var $newFreeSpanStart;
      var $allClear;
      var $nmarked=__stackBase__+16;
      var $6=__stackBase__+20;
      var $t;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$thingKind;
      $5=$thingSize;
      var $8=$2;
      var $9=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($8, $9); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$10; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($8); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11-1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $lastByte=$12; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($nextFree, $13); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8FreeSpanC1Ev($newListHead); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$newListHead; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($nmarked, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$thing; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($nextFree)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=(($nextFree+4)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$lastByte; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 18; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$newFreeSpanStart; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=$thing; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$29; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $31=(($nextFree+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$32; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc8FreeSpan8nextSpanEv($nextFree); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$nextFree; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$thing; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$37; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$38; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$t; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$39; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZNK2js2gc4Cell8isMarkedEj($40, 0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $allClear=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($nmarked, 0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$newFreeSpanStart; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $46=$newFreeSpanStart; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$newListTail; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thing; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($49-$50)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$newListTail; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$newListTail; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($54, $55); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$56; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 15; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $59=$newFreeSpanStart; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $62=$thing; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$62; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $64=$t; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN13JSShortString8finalizeEP9JSContext($64, $65); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $69=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=$thing; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+$69)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$71; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $73=$allClear; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $77=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $80=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $80;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $82=(($nextFree)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $83;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$newListTail; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$lastByte; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=$newListTail; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=(($89+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($90)>>2)]=$88; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($91, $newListHead); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __ZN7mozilla9DebugOnlyIjED1Ev($nmarked); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=$1; //@line 332 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $93; //@line 332 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Arena8finalizeI13JSShortStringEEbP9JSContextNS0_9AllocKindEj["X"]=1;

function __ZN2js2gc5Arena8finalizeI8JSStringEEbP9JSContextNS0_9AllocKindEj($this, $cx, $thingKind, $thingSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thing;
      var $lastByte;
      var $nextFree=__stackBase__;
      var $newListHead=__stackBase__+8;
      var $newListTail;
      var $newFreeSpanStart;
      var $allClear;
      var $nmarked=__stackBase__+16;
      var $6=__stackBase__+20;
      var $t;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$thingKind;
      $5=$thingSize;
      var $8=$2;
      var $9=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($8, $9); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$10; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($8); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11-1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $lastByte=$12; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($nextFree, $13); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8FreeSpanC1Ev($newListHead); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$newListHead; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($nmarked, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$thing; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($nextFree)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=(($nextFree+4)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$lastByte; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 18; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$newFreeSpanStart; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=$thing; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$29; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $31=(($nextFree+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$32; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc8FreeSpan8nextSpanEv($nextFree); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$nextFree; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$thing; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$37; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$38; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$t; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$39; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZNK2js2gc4Cell8isMarkedEj($40, 0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $allClear=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($nmarked, 0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$newFreeSpanStart; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $46=$newFreeSpanStart; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$newListTail; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thing; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($49-$50)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$newListTail; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$newListTail; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($54, $55); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$56; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 15; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $59=$newFreeSpanStart; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $62=$thing; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$62; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $64=$t; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN8JSString8finalizeEP9JSContext($64, $65); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $69=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=$thing; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+$69)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$71; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $73=$allClear; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $77=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $80=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $80;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $82=(($nextFree)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $83;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$newListTail; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$lastByte; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=$newListTail; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=(($89+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($90)>>2)]=$88; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($91, $newListHead); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __ZN7mozilla9DebugOnlyIjED1Ev($nmarked); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=$1; //@line 332 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $93; //@line 332 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Arena8finalizeI8JSStringEEbP9JSContextNS0_9AllocKindEj["X"]=1;

function __ZN8JSString8finalizeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSString6isFlatEv($3); //@line 313 "./vm/String-inl.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 313 "./vm/String-inl.h"
    case 2: 
      var $6=__ZN8JSString6asFlatEv($3); //@line 314 "./vm/String-inl.h"
      var $7=$2; //@line 314 "./vm/String-inl.h"
      var $8=(($7+52)|0); //@line 314 "./vm/String-inl.h"
      var $9=HEAP32[(($8)>>2)]; //@line 314 "./vm/String-inl.h"
      __ZN12JSFlatString8finalizeEP9JSRuntime($6, $9); //@line 314 "./vm/String-inl.h"
      __label__ = 4; break; //@line 314 "./vm/String-inl.h"
    case 3: 
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 317 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc5Arena8finalizeI5JSXMLEEbP9JSContextNS0_9AllocKindEj($this, $cx, $thingKind, $thingSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thing;
      var $lastByte;
      var $nextFree=__stackBase__;
      var $newListHead=__stackBase__+8;
      var $newListTail;
      var $newFreeSpanStart;
      var $allClear;
      var $nmarked=__stackBase__+16;
      var $6=__stackBase__+20;
      var $t;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$thingKind;
      $5=$thingSize;
      var $8=$2;
      var $9=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($8, $9); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$10; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($8); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11-1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $lastByte=$12; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($nextFree, $13); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8FreeSpanC1Ev($newListHead); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$newListHead; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($nmarked, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$thing; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($nextFree)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=(($nextFree+4)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$lastByte; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 18; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$newFreeSpanStart; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=$thing; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$29; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $31=(($nextFree+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$32; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc8FreeSpan8nextSpanEv($nextFree); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$nextFree; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$thing; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$37; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$38; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$t; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$39; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZNK2js2gc4Cell8isMarkedEj($40, 0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $allClear=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($nmarked, 0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$newFreeSpanStart; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $46=$newFreeSpanStart; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$newListTail; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thing; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($49-$50)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$newListTail; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$newListTail; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($54, $55); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$56; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 15; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $59=$newFreeSpanStart; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $62=$thing; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$62; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $64=$t; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN5JSXML8finalizeEP9JSContext($64, $65); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $69=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=$thing; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+$69)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$71; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $73=$allClear; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $77=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $80=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $80;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $82=(($nextFree)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $83;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$newListTail; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$lastByte; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=$newListTail; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=(($89+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($90)>>2)]=$88; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($91, $newListHead); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __ZN7mozilla9DebugOnlyIjED1Ev($nmarked); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=$1; //@line 332 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $93; //@line 332 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Arena8finalizeI5JSXMLEEbP9JSContextNS0_9AllocKindEj["X"]=1;

function __ZN5JSXML8finalizeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+16)|0); //@line 194 "./jsxml.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 194 "./jsxml.h"
      var $6=(($5)>>>0) < 2; //@line 194 "./jsxml.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 194 "./jsxml.h"
    case 2: 
      var $8=(($3+24)|0); //@line 195 "./jsxml.h"
      var $9=$8; //@line 195 "./jsxml.h"
      var $10=(($9)|0); //@line 195 "./jsxml.h"
      var $11=$2; //@line 195 "./jsxml.h"
      __ZN10JSXMLArray6finishEP9JSContext($10, $11); //@line 195 "./jsxml.h"
      var $12=(($3+16)|0); //@line 196 "./jsxml.h"
      var $13=HEAP32[(($12)>>2)]; //@line 196 "./jsxml.h"
      var $14=(($13)|0)==1; //@line 196 "./jsxml.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 196 "./jsxml.h"
    case 3: 
      var $16=(($3+24)|0); //@line 197 "./jsxml.h"
      var $17=$16; //@line 197 "./jsxml.h"
      var $18=(($17+16)|0); //@line 197 "./jsxml.h"
      var $19=$2; //@line 197 "./jsxml.h"
      __ZN10JSXMLArray6finishEP9JSContext($18, $19); //@line 197 "./jsxml.h"
      var $20=(($3+24)|0); //@line 198 "./jsxml.h"
      var $21=$20; //@line 198 "./jsxml.h"
      var $22=(($21+32)|0); //@line 198 "./jsxml.h"
      var $23=$2; //@line 198 "./jsxml.h"
      __ZN10JSXMLArray6finishEP9JSContext($22, $23); //@line 198 "./jsxml.h"
      __label__ = 4; break; //@line 199 "./jsxml.h"
    case 4: 
      __label__ = 5; break; //@line 200 "./jsxml.h"
    case 5: 
      ;
      return; //@line 204 "./jsxml.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc5Arena8finalizeINS_5types10TypeObjectEEEbP9JSContextNS0_9AllocKindEj($this, $cx, $thingKind, $thingSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thing;
      var $lastByte;
      var $nextFree=__stackBase__;
      var $newListHead=__stackBase__+8;
      var $newListTail;
      var $newFreeSpanStart;
      var $allClear;
      var $nmarked=__stackBase__+16;
      var $6=__stackBase__+20;
      var $t;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$thingKind;
      $5=$thingSize;
      var $8=$2;
      var $9=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($8, $9); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$10; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($8); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11-1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $lastByte=$12; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($nextFree, $13); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8FreeSpanC1Ev($newListHead); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$newListHead; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($nmarked, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$thing; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($nextFree)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=(($nextFree+4)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$lastByte; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 18; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$newFreeSpanStart; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=$thing; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$29; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $31=(($nextFree+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$32; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc8FreeSpan8nextSpanEv($nextFree); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$nextFree; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$thing; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$37; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$38; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$t; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$39; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZNK2js2gc4Cell8isMarkedEj($40, 0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $allClear=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($nmarked, 0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$newFreeSpanStart; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $46=$newFreeSpanStart; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$newListTail; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thing; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($49-$50)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$newListTail; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$newListTail; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($54, $55); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$56; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 15; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $59=$newFreeSpanStart; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $62=$thing; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$62; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $64=$t; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js5types10TypeObject8finalizeEP9JSContext($64, $65); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $69=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=$thing; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+$69)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$71; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $73=$allClear; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $77=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $80=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $80;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $82=(($nextFree)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $83;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$newListTail; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$lastByte; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=$newListTail; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=(($89+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($90)>>2)]=$88; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($91, $newListHead); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __ZN7mozilla9DebugOnlyIjED1Ev($nmarked); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=$1; //@line 332 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $93; //@line 332 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Arena8finalizeINS_5types10TypeObjectEEEbP9JSContextNS0_9AllocKindEj["X"]=1;

function __ZN2js6Probes14finalizeObjectEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  var $ok;
  $1=$obj;
  $ok=1; //@line 389 "./jsprobes.h"
  var $2=$ok; //@line 404 "./jsprobes.h"
  var $3=(($2) & 1); //@line 404 "./jsprobes.h"
  ;
  return $3; //@line 404 "./jsprobes.h"
}


function __ZN2js2gc5Chunk17withinArenasRangeEj($addr) {
  ;
  var __label__;

  var $1;
  var $offset;
  $1=$addr;
  var $2=$1; //@line 629 "./jsgc.h"
  var $3=$2 & 1048575; //@line 629 "./jsgc.h"
  $offset=$3; //@line 629 "./jsgc.h"
  var $4=$offset; //@line 630 "./jsgc.h"
  var $5=(($4)>>>0) < 1032192; //@line 630 "./jsgc.h"
  ;
  return $5; //@line 630 "./jsgc.h"
}


function __ZN2js2gc5Chunk10arenaIndexEj($addr) {
  ;
  var __label__;

  var $1;
  $1=$addr;
  var $2=$1; //@line 635 "./jsgc.h"
  var $3=$2 & 1048575; //@line 635 "./jsgc.h"
  var $4=$3 >>> 12; //@line 635 "./jsgc.h"
  ;
  return $4; //@line 635 "./jsgc.h"
}


function __ZN2js8RootInfoC2EPKc12JSGCRootType($this, $name, $type) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$name;
  $3=$type;
  var $4=$1;
  var $5=(($4)|0); //@line 1135 "./jsgc.h"
  var $6=$2; //@line 1135 "./jsgc.h"
  HEAP32[(($5)>>2)]=$6; //@line 1135 "./jsgc.h"
  var $7=(($4+4)|0); //@line 1135 "./jsgc.h"
  var $8=$3; //@line 1135 "./jsgc.h"
  HEAP32[(($7)>>2)]=$8; //@line 1135 "./jsgc.h"
  ;
  return; //@line 1135 "./jsgc.h"
}


function __ZNK2js2gc11ArenaHeader9allocatedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 420 "./jsgc.h"
  var $4=(($3+12)|0); //@line 420 "./jsgc.h"
  var $5=$4; //@line 420 "./jsgc.h"
  var $6=HEAP32[(($5)>>2)]; //@line 420 "./jsgc.h"
  var $7=$6 & 255; //@line 420 "./jsgc.h"
  var $8=(($7)>>>0) < 20; //@line 420 "./jsgc.h"
  ;
  return $8; //@line 420 "./jsgc.h"
}


function __ZN2js2gc5Arena8finalizeINS_5ShapeEEEbP9JSContextNS0_9AllocKindEj($this, $cx, $thingKind, $thingSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thing;
      var $lastByte;
      var $nextFree=__stackBase__;
      var $newListHead=__stackBase__+8;
      var $newListTail;
      var $newFreeSpanStart;
      var $allClear;
      var $nmarked=__stackBase__+16;
      var $6=__stackBase__+20;
      var $t;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$thingKind;
      $5=$thingSize;
      var $8=$2;
      var $9=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($8, $9); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$10; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($8); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11-1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $lastByte=$12; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($nextFree, $13); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8FreeSpanC1Ev($newListHead); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$newListHead; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($nmarked, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$thing; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($nextFree)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=(($nextFree+4)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$lastByte; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 18; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$newFreeSpanStart; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=$thing; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$29; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $31=(($nextFree+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$32; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc8FreeSpan8nextSpanEv($nextFree); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$nextFree; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$thing; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$37; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$38; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$t; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$39; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZNK2js2gc4Cell8isMarkedEj($40, 0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $allClear=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($nmarked, 0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$newFreeSpanStart; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $46=$newFreeSpanStart; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$newListTail; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thing; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($49-$50)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$newListTail; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$newListTail; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($54, $55); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$56; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 15; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $59=$newFreeSpanStart; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $62=$thing; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$62; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $64=$t; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js5Shape8finalizeEP9JSContext($64, $65); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $69=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=$thing; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+$69)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$71; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $73=$allClear; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $77=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $80=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $80;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $82=(($nextFree)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $83;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$newListTail; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$lastByte; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=$newListTail; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=(($89+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($90)>>2)]=$88; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($91, $newListHead); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __ZN7mozilla9DebugOnlyIjED1Ev($nmarked); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=$1; //@line 332 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $93; //@line 332 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Arena8finalizeINS_5ShapeEEEbP9JSContextNS0_9AllocKindEj["X"]=1;

function __ZN2js2gc5Arena8finalizeI8JSScriptEEbP9JSContextNS0_9AllocKindEj($this, $cx, $thingKind, $thingSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thing;
      var $lastByte;
      var $nextFree=__stackBase__;
      var $newListHead=__stackBase__+8;
      var $newListTail;
      var $newFreeSpanStart;
      var $allClear;
      var $nmarked=__stackBase__+16;
      var $6=__stackBase__+20;
      var $t;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$thingKind;
      $5=$thingSize;
      var $8=$2;
      var $9=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($8, $9); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$10; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($8); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11-1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $lastByte=$12; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($nextFree, $13); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8FreeSpanC1Ev($newListHead); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$newListHead; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($nmarked, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$thing; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($nextFree)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=(($nextFree+4)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$lastByte; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 18; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$newFreeSpanStart; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=$thing; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$29; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $31=(($nextFree+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$32; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc8FreeSpan8nextSpanEv($nextFree); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$nextFree; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$thing; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$37; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$38; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$t; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$39; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZNK2js2gc4Cell8isMarkedEj($40, 0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $allClear=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($nmarked, 0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$newFreeSpanStart; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $46=$newFreeSpanStart; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$newListTail; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thing; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($49-$50)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$newListTail; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$newListTail; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($54, $55); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$56; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 15; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $59=$newFreeSpanStart; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $62=$thing; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$62; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $64=$t; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN8JSScript8finalizeEP9JSContext($64, $65); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $69=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=$thing; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+$69)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$71; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $73=$allClear; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $77=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $80=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $80;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $82=(($nextFree)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $83;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$newListTail; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$lastByte; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=$newListTail; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=(($89+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($90)>>2)]=$88; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($91, $newListHead); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __ZN7mozilla9DebugOnlyIjED1Ev($nmarked); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=$1; //@line 332 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $93; //@line 332 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Arena8finalizeI8JSScriptEEbP9JSContextNS0_9AllocKindEj["X"]=1;

function __ZN2js2gc5Arena8finalizeI8JSObjectEEbP9JSContextNS0_9AllocKindEj($this, $cx, $thingKind, $thingSize) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $thing;
      var $lastByte;
      var $nextFree=__stackBase__;
      var $newListHead=__stackBase__+8;
      var $newListTail;
      var $newFreeSpanStart;
      var $allClear;
      var $nmarked=__stackBase__+16;
      var $6=__stackBase__+20;
      var $t;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$thingKind;
      $5=$thingSize;
      var $8=$2;
      var $9=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($8, $9); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$10; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=__ZN2js2gc5Arena9thingsEndEv($8); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11-1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $lastByte=$12; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=(($8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($nextFree, $13); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8FreeSpanC1Ev($newListHead); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$newListHead; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $allClear=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($6)>>2)]=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($nmarked, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      var $15=$thing; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($nextFree)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $20=(($nextFree+4)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $22=$lastByte; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      __label__ = 18; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $26=$newFreeSpanStart; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=(($26)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $29=$thing; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$29; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 7; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $31=(($nextFree+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$32; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc8FreeSpan8nextSpanEv($nextFree); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $34=$nextFree; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $35=$33; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc8FreeSpan9checkSpanEv($nextFree); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 16; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $37=$thing; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$37; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $t=$38; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$t; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$39; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZNK2js2gc4Cell8isMarkedEj($40, 0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      $allClear=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN7mozilla9DebugOnlyIjEppEi($nmarked, 0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$newFreeSpanStart; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($43)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      var $46=$newFreeSpanStart; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $47=$newListTail; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=(($47)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=$thing; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$5; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=(($49-$50)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=$newListTail; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=(($52+4)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$newListTail; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj($54, $55); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newListTail=$56; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 11; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      __label__ = 15; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      var $59=$newFreeSpanStart; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $60=(($59)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $62=$thing; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $newFreeSpanStart=$62; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $64=$t; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN8JSObject8finalizeEP9JSContext($64, $65); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 17: 
      var $69=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $70=$thing; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $71=(($70+$69)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$71; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 2; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 18: 
      var $73=$allClear; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $74=(($73) & 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 19: 
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 20: 
      var $77=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $78=(($77)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 21: 
      var $80=$newFreeSpanStart; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $80;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 22: 
      var $82=(($nextFree)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $85 = $83;__label__ = 23; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 23: 
      var $85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $86=$newListTail; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $87=(($86)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $88=$lastByte; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $89=$newListTail; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $90=(($89+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($90)>>2)]=$88; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $91=(($8)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE($91, $newListHead); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $7=1;
      __label__ = 24; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 24: 
      __ZN7mozilla9DebugOnlyIjED1Ev($nmarked); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $93=$1; //@line 332 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $93; //@line 332 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc5Arena8finalizeI8JSObjectEEbP9JSContextNS0_9AllocKindEj["X"]=1;

function __ZN8JSObject8finalizeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $clasp;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSObject9isNewbornEv($3); //@line 192 "./jsobjinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 192 "./jsobjinlines.h"
    case 2: 
      __label__ = 6; break; //@line 193 "./jsobjinlines.h"
    case 3: 
      var $7=__ZN2js6Probes14finalizeObjectEP8JSObject($3); //@line 195 "./jsobjinlines.h"
      var $8=__ZNK8JSObject8getClassEv($3); //@line 198 "./jsobjinlines.h"
      $clasp=$8; //@line 198 "./jsobjinlines.h"
      var $9=$clasp; //@line 199 "./jsobjinlines.h"
      var $10=(($9+36)|0); //@line 199 "./jsobjinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 199 "./jsobjinlines.h"
      var $12=(($11)|0)!=0; //@line 199 "./jsobjinlines.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 199 "./jsobjinlines.h"
    case 4: 
      var $14=$clasp; //@line 200 "./jsobjinlines.h"
      var $15=(($14+36)|0); //@line 200 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 200 "./jsobjinlines.h"
      var $17=$2; //@line 200 "./jsobjinlines.h"
      FUNCTION_TABLE[$16]($17, $3); //@line 200 "./jsobjinlines.h"
      __label__ = 5; break; //@line 200 "./jsobjinlines.h"
    case 5: 
      var $19=$2; //@line 202 "./jsobjinlines.h"
      __ZN8JSObject6finishEP9JSContext($3, $19); //@line 202 "./jsobjinlines.h"
      __label__ = 6; break; //@line 203 "./jsobjinlines.h"
    case 6: 
      ;
      return; //@line 203 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject6finishEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSObject13hasSlotsArrayEv($3); //@line 892 "./jsobjinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 892 "./jsobjinlines.h"
    case 2: 
      var $6=$2; //@line 893 "./jsobjinlines.h"
      var $7=(($3+32)|0); //@line 893 "./jsobjinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 893 "./jsobjinlines.h"
      var $9=$8; //@line 893 "./jsobjinlines.h"
      __ZN9JSContext5free_EPv($6, $9); //@line 893 "./jsobjinlines.h"
      __label__ = 3; break; //@line 893 "./jsobjinlines.h"
    case 3: 
      ;
      return; //@line 894 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL22MarkWordConservativelyEP8JSTracerj($trc, $w) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$w;
  var $3=$1; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $4=$2; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  var $5=__ZN2js17MarkIfGCThingWordEP8JSTracerj($3, $4); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
  ;
  return; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
}


function __ZN2js17MarkIfGCThingWordEP8JSTracerj($trc, $w) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $JSID_PAYLOAD_MASK;
      var $addr;
      var $chunk=__stackBase__;
      var $aheader;
      var $thingKind;
      var $offset;
      var $minOffset;
      var $shift;
      var $thing;
      $2=$trc;
      $3=$w;
      var $4=$3; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=$4 & 3; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $6=(($5)|0)!=0; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      $1=1; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      $JSID_PAYLOAD_MASK=-8; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $9=$3; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $10=$9 & -8; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $addr=$10; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$addr; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=__ZN2js2gc5Chunk11fromAddressEj($11); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      HEAP32[(($chunk)>>2)]=$12; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=$2; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($13)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $16=(($15+52)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=(($17+48)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=__ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3hasERKS3_($18, $chunk); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      $1=3; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      var $22=$addr; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $23=__ZN2js2gc5Chunk17withinArenasRangeEj($22); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      $1=2; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      var $26=$addr; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $27=__ZN2js2gc5Chunk10arenaIndexEj($26); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $28=HEAP32[(($chunk)>>2)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $29=(($28)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $30=(($29+($27<<12))|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $31=(($30)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $aheader=$31; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $32=$aheader; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $33=__ZNK2js2gc11ArenaHeader9allocatedEv($32); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      $1=4; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $36=$aheader; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $37=__ZNK2js2gc11ArenaHeader12getAllocKindEv($36); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thingKind=$37; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $38=$addr; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $39=$38 & 4095; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $offset=$39; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $40=$thingKind; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $41=__ZN2js2gc5Arena16firstThingOffsetENS0_9AllocKindE($40); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $minOffset=$41; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $42=$offset; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $43=$minOffset; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $44=(($42)>>>0) < (($43)>>>0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 10: 
      $1=2; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 11: 
      var $47=$offset; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $48=$minOffset; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $49=(($47-$48)|0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $50=$thingKind; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $51=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($50); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $52=(($49)>>>0)%(($51)>>>0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $shift=$52; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $53=$shift; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $54=$addr; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $55=(($54-$53)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $addr=$55; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $56=$aheader; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $57=$addr; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $58=__ZN2js10InFreeListEPNS_2gc11ArenaHeaderEj($56, $57); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 12: 
      $1=5; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 13: 
      var $61=$addr; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $62=$61; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $thing=$62; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $63=$2; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $64=$thing; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $65=$thingKind; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $66=__ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE($65); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZN2js2gc8MarkKindEP8JSTracerPv13JSGCTraceKind($63, $64, $66); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $1=0; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 14; break; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 14: 
      var $68=$1; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return $68; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js17MarkIfGCThingWordEP8JSTracerj["X"]=1;

function __ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3hasERKS3_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$l;
  var $5=$1;
  var $6=(($5)|0); //@line 1337 "./jshashtable.h"
  var $7=$2; //@line 1337 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_($3, $6, $7); //@line 1337 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($4, $3); //@line 1337 "./jshashtable.h"
  var $8={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 1337 "./jshashtable.h"
  var $9=$8.f0; //@line 1337 "./jshashtable.h"
  var $10=(($9)|0)!=0; //@line 1337 "./jshashtable.h"
  var $11=(($9)|0)!=0; //@line 1337 "./jshashtable.h"
  var $12=$8.f1; //@line 1337 "./jshashtable.h"
  var $13=(($12)|0)!=0; //@line 1337 "./jshashtable.h"
  var $14=$11 & $13; //@line 1337 "./jshashtable.h"
  var $15=$10 | $14; //@line 1337 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $15; //@line 1337 "./jshashtable.h"
}


function __ZN2js10InFreeListEPNS_2gc11ArenaHeaderEj($aheader, $addr) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $firstSpan=__stackBase__;
      var $span;
      $2=$aheader;
      $3=$addr;
      var $4=$2; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $5=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($4); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 2: 
      $1=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 3: 
      var $8=$2; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($firstSpan, $8); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $span=$firstSpan; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 4: 
      var $10=$3; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $11=$span; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $12=(($11)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 5: 
      $1=0; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 6: 
      var $17=$3; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $18=$span; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $19=(($18+4)|0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $20=HEAPU32[(($19)>>2)]; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $21=(($17)>>>0) <= (($20)>>>0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 7: 
      $1=1; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 9; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 8: 
      var $24=$span; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      var $25=__ZNK2js2gc8FreeSpan8nextSpanEv($24); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      $span=$25; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      __label__ = 4; break; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    case 9: 
      var $27=$1; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgc.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11ChunkBitmap8isMarkedEPKNS0_4CellEj($this, $cell, $color) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $word=__stackBase__;
  var $mask=__stackBase__+4;
  $1=$this;
  $2=$cell;
  $3=$color;
  var $4=$1;
  var $5=$2; //@line 559 "./jsgc.h"
  var $6=$3; //@line 559 "./jsgc.h"
  __ZN2js2gc11ChunkBitmap18getMarkWordAndMaskEPKNS0_4CellEjPPjS5_($4, $5, $6, $word, $mask); //@line 559 "./jsgc.h"
  var $7=HEAP32[(($word)>>2)]; //@line 560 "./jsgc.h"
  var $8=HEAP32[(($7)>>2)]; //@line 560 "./jsgc.h"
  var $9=HEAP32[(($mask)>>2)]; //@line 560 "./jsgc.h"
  var $10=$8 & $9; //@line 560 "./jsgc.h"
  var $11=(($10)|0)!=0; //@line 560 "./jsgc.h"
  STACKTOP = __stackBase__;
  return $11; //@line 560 "./jsgc.h"
}


function __ZN2jsL12PodArrayZeroIjLj4032EEEvRAT0__T_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  var $4=$3; //@line 684 "./jsutil.h"
  _memset($4, 0, 16128, 1); //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function __ZN2js14FindChunkStartEPv($p) {
  ;
  var __label__;

  var $1;
  var $addr;
  $1=$p;
  var $2=$1; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $3=$2; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  $addr=$3; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $4=$addr; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $5=(($4+1048575)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $6=$5 & -1048576; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  $addr=$6; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $7=$addr; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $8=$7; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  ;
  return $8; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
}


function _JSID_IS_STRING1510($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function __ZN2js12AllocGCChunkEv() {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $p;
      var $2=__ZL8MapPagesPvj(0, 2097152); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $p=$2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $3=$p; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $4=$3; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $5=(($4+1048576)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $6=$p; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $7=$6; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $8=(($7)>>>0)%1048576; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $9=(($5-$8)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $10=$9; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $p=$10; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $11=$p; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $12=(($11)|0)!=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 2: 
      $1=0; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __label__ = 11; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 3: 
      var $15=$p; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $16=$15; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $17=$16 & 1048575; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $18=(($17)|0)!=0; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 4: 
      var $20=$p; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __ZL10UnmapPagesPvj($20, 1048576); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $21=$p; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $22=__ZN2js14FindChunkStartEPv($21); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $23=__ZL8MapPagesPvj($22, 1048576); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $p=$23; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __label__ = 5; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 5: 
      var $25=$p; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $26=(($25)|0)!=0; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $27=$26 ^ 1; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 6: 
      var $29=__ZL8MapPagesPvj(0, 2097152); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $p=$29; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $30=$p; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $31=(($30)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 7: 
      $1=0; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __label__ = 11; break; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 8: 
      var $34=$p; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __ZL10UnmapPagesPvj($34, 2097152); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $35=$p; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $36=__ZN2js14FindChunkStartEPv($35); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $37=__ZL8MapPagesPvj($36, 1048576); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $p=$37; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __label__ = 5; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 9: 
      __label__ = 10; break; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 10: 
      var $40=$p; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $1=$40; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __label__ = 11; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 11: 
      var $42=$1; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      ;
      return $42; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12AllocGCChunkEv["X"]=1;

function __ZL8MapPagesPvj($addr, $size) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $2=$addr;
      $3=$size;
      var $4=$2; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $5=$3; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $6=_mmap($4, $5, 3, 4098, -1, 0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $p=$6; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $7=$p; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $8=(($7)|0)==-1; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 2: 
      $1=0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __label__ = 7; break; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 3: 
      var $11=$2; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $12=(($11)|0)!=0; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 4: 
      var $14=$p; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $15=$2; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 5: 
      var $18=$p; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $19=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $20=_munmap($18, $19); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      var $21=(($20)|0)==0; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $1=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __label__ = 7; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 6: 
      var $23=$p; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      $1=$23; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      __label__ = 7; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    case 7: 
      var $25=$1; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
      ;
      return $25; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10UnmapPagesPvj($addr, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$addr;
  $2=$size;
  var $3=$1; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $4=$2; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $5=_munmap($3, $4); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  var $6=(($5)|0)==0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  ;
  return; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
}


function __ZN2js11FreeGCChunkEPv($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  __ZL10UnmapPagesPvj($2, 1048576); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
  ;
  return; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcchunk.cpp"
}


function __ZN2js2gc10MarkStringEP8JSTracerP8JSString($trc, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$str;
  var $3=$1; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $4=$2; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc4MarkI8JSStringEEvP8JSTracerPT_($3, $4); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc4MarkI8JSStringEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$trc;
      $2=$thing;
      var $3=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$2; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL16CheckMarkedThingI8JSStringEEvP8JSTracerPT_($3, $4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($17)|0)==(($20)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $23=$1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)==0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $28=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSString($29, $30); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $32=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$38; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=__ZN2js2gc19GetGCThingTraceKindEPKv($39); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$34]($35, $37, $40); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc4MarkI8JSStringEEvP8JSTracerPT_["X"]=1;

function __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($trc, $str, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$str;
      $3=$name;
      __label__ = 2; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$1; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSString($6, $7); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($trc, $obj, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$obj;
      $3=$name;
      __label__ = 2; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI8JSObjectEEvP8JSTracerPT_($6, $7); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc4MarkI8JSObjectEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$trc;
      $2=$thing;
      var $3=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$2; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL16CheckMarkedThingI8JSObjectEEvP8JSTracerPT_($3, $4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($17)|0)==(($20)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $23=$1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)==0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $28=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($29, $30); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $32=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$38; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=__ZN2js2gc19GetGCThingTraceKindEPKv($39); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$34]($35, $37, $40); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc4MarkI8JSObjectEEvP8JSTracerPT_["X"]=1;

function __ZN2js2gc26MarkCrossCompartmentObjectEP8JSTracerR8JSObjectPKc($trc, $obj, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rt;
      $1=$trc;
      $2=$obj;
      $3=$name;
      var $4=$1; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=(($4)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=(($6+52)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$8; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$rt; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=(($9+144080)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=(($11)|0)!=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $14=$rt; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=(($14+144080)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$17; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=__ZNK2js2gc4Cell11compartmentEv($18); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=(($16)|0)!=(($19)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      __label__ = 5; break; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $23=$1; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=$2; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=$3; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($23, $24, $25); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      ;
      return; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc21MarkObjectWithPrinterEP8JSTracerR8JSObjectPFvS2_PcjEPKvj($trc, $obj, $printer, $arg, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $1=$trc;
      $2=$obj;
      $3=$printer;
      $4=$arg;
      $5=$index;
      __label__ = 2; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $8=$1; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$2; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI8JSObjectEEvP8JSTracerPT_($8, $9); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10MarkScriptEP8JSTracerP8JSScriptPKc($trc, $script, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$script;
      $3=$name;
      __label__ = 2; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$1; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI8JSScriptEEvP8JSTracerPT_($6, $7); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc4MarkI8JSScriptEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$trc;
      $2=$thing;
      var $3=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$2; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL16CheckMarkedThingI8JSScriptEEvP8JSTracerPT_($3, $4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($17)|0)==(($20)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $23=$1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)==0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $28=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSScript($29, $30); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $32=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$38; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=__ZN2js2gc19GetGCThingTraceKindEPKv($39); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$34]($35, $37, $40); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc4MarkI8JSScriptEEvP8JSTracerPT_["X"]=1;

function __ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc($trc, $shape, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$shape;
      $3=$name;
      __label__ = 2; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$1; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkIKNS_5ShapeEEEvP8JSTracerPT_($6, $7); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc4MarkIKNS_5ShapeEEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$trc;
      $2=$thing;
      var $3=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$2; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL16CheckMarkedThingIKNS_5ShapeEEEvP8JSTracerPT_($3, $4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($17)|0)==(($20)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $23=$1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)==0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $28=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPKNS_5ShapeE($29, $30); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $32=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$38; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=__ZN2js2gc19GetGCThingTraceKindEPKv($39); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$34]($35, $37, $40); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc4MarkIKNS_5ShapeEEEvP8JSTracerPT_["X"]=1;

function __ZN2js2gc14MarkTypeObjectEP8JSTracerPNS_5types10TypeObjectEPKc($trc, $type, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$type;
      $3=$name;
      __label__ = 2; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$2; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=(($6)|0)==((__ZN2js5types15emptyTypeObjectE)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      __label__ = 11; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $10=$1; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$2; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkINS_5types10TypeObjectEEEvP8JSTracerPT_($10, $11); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12+4)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=(($14)|0)==0; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($15) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $17=$2; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=(($17+4)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=(($19)|0)!=0; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $22=$1; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=$2; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($22, $25, ((STRING_TABLE.__str1469)|0)); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $27=$2; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=(($27+28)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=(($29)|0)!=0; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $32=$1; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=$2; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=(($33+28)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$35; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($32, $36, ((STRING_TABLE.__str11470)|0)); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 10; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      __label__ = 11; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      ;
      return; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc4MarkINS_5types10TypeObjectEEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$trc;
      $2=$thing;
      var $3=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$2; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL16CheckMarkedThingINS_5types10TypeObjectEEEvP8JSTracerPT_($3, $4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($17)|0)==(($20)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $23=$1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)==0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $28=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPNS_5types10TypeObjectE($29, $30); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $32=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$38; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=__ZN2js2gc19GetGCThingTraceKindEPKv($39); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$34]($35, $37, $40); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc4MarkINS_5types10TypeObjectEEEvP8JSTracerPT_["X"]=1;

function __ZN2js2gc7MarkXMLEP8JSTracerP5JSXMLPKc($trc, $xml, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$xml;
      $3=$name;
      __label__ = 2; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$1; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI5JSXMLEEvP8JSTracerPT_($6, $7); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc4MarkI5JSXMLEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$trc;
      $2=$thing;
      var $3=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$2; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL16CheckMarkedThingI5JSXMLEEvP8JSTracerPT_($3, $4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($17)|0)==(($20)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $23=$1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)==0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $28=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP5JSXML($29, $30); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $32=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$38; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=__ZN2js2gc19GetGCThingTraceKindEPKv($39); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$34]($35, $37, $40); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc4MarkI5JSXMLEEvP8JSTracerPT_["X"]=1;

function __ZN2js2gc15MarkObjectRangeEP8JSTracerjPP8JSObjectPKc($trc, $len, $vec, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $obj;
      $1=$trc;
      $2=$len;
      $3=$vec;
      $4=$name;
      $i=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $6=$i; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($6)>>>0) < (($7)>>>0); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $10=$i; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$3; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=(($11+($10<<2))|0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $obj=$13; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=$obj; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=(($14)|0)!=0; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      __label__ = 5; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      __label__ = 6; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $19=$1; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$obj; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI8JSObjectEEvP8JSTracerPT_($19, $20); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      __label__ = 8; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $23=$i; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+1)|0); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$24; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      ;
      return; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc12MarkXMLRangeEP8JSTracerjPP5JSXMLPKc($trc, $len, $vec, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $xml;
      $1=$trc;
      $2=$len;
      $3=$vec;
      $4=$name;
      $i=0; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $6=$i; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($6)>>>0) < (($7)>>>0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $10=$i; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$3; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=(($11+($10<<2))|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $xml=$13; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=$xml; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=(($14)|0)!=0; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      __label__ = 5; break; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      __label__ = 6; break; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $19=$1; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$xml; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI5JSXMLEEvP8JSTracerPT_($19, $20); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      __label__ = 8; break; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $23=$i; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+1)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$24; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      ;
      return; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc6MarkIdEP8JSTraceri($trc, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$trc;
      $2=$id;
      var $3=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=_JSID_IS_STRING1510($3); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=(($4)|0)!=0; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $7=$1; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$2; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=_JSID_TO_STRING1511($8); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI8JSStringEEvP8JSTracerPT_($7, $9); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $11=$2; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=_JSID_IS_OBJECT1512($11); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $15=$1; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$2; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=_JSID_TO_OBJECT1513($16); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI8JSObjectEEvP8JSTracerPT_($15, $17); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      ;
      return; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_STRING1511($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_IS_OBJECT1512($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT1513($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function __ZNK8JSObject10typeFromGCEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+36)|0); //@line 945 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 945 "./jsobj.h"
  ;
  return $4; //@line 945 "./jsobj.h"
}


function __ZNK6JSRope10rightChildEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 433 "./vm/String.h"
  var $4=(($3)|0); //@line 433 "./vm/String.h"
  var $5=(($4+8)|0); //@line 433 "./vm/String.h"
  var $6=$5; //@line 433 "./vm/String.h"
  var $7=(($6)|0); //@line 433 "./vm/String.h"
  var $8=$7; //@line 433 "./vm/String.h"
  var $9=HEAP32[(($8)>>2)]; //@line 433 "./vm/String.h"
  ;
  return $9; //@line 433 "./vm/String.h"
}


function __ZN2js2gc6MarkIdEP8JSTraceriPKc($trc, $id, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$id;
      $3=$name;
      __label__ = 2; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc6MarkIdEP8JSTraceri($6, $7); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11MarkIdRangeEP8JSTracerPiS3_PKc($trc, $beg, $end, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $idp;
      $1=$trc;
      $2=$beg;
      $3=$end;
      $4=$name;
      var $5=$2; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $idp=$5; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $7=$idp; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$3; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=(($7)|0)!=(($8)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      __label__ = 4; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      __label__ = 5; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $13=$1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=$idp; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc6MarkIdEP8JSTraceri($13, $15); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $17=$idp; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=(($17+4)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $idp=$18; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11MarkIdRangeEP8JSTracerjPiPKc($trc, $len, $vec, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$trc;
  $2=$len;
  $3=$vec;
  $4=$name;
  var $5=$1; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $7=$3; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $8=$2; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $9=(($7+($8<<2))|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $10=$4; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc11MarkIdRangeEP8JSTracerPiS3_PKc($5, $6, $9, $10); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc8MarkKindEP8JSTracerPv13JSGCTraceKind($trc, $thing, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$thing;
      $3=$kind;
      var $4=$3; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ((($4)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 2) {
        __label__ = 4; break;
      }
      else if ((($4)|0) == 4) {
        __label__ = 5; break;
      }
      else if ((($4)|0) == 5) {
        __label__ = 6; break;
      }
      else if ((($4)|0) == 3) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      var $6=$1; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$7; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI8JSObjectEEvP8JSTracerPT_($6, $8); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $10=$1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$2; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$11; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSString($10, $12); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $14=$1; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=$2; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI8JSScriptEEvP8JSTracerPT_($14, $16); //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $18=$1; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=$2; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$19; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkINS_5ShapeEEEvP8JSTracerPT_($18, $20); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $22=$1; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=$2; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=$23; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc14MarkTypeObjectEP8JSTracerPNS_5types10TypeObjectEPKc($22, $24, ((STRING_TABLE.__str21471)|0)); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $26=$1; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $27=$2; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=$27; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI5JSXMLEEvP8JSTracerPT_($26, $28); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      ;
      return; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc4MarkINS_5ShapeEEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$trc;
      $2=$thing;
      var $3=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$2; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL16CheckMarkedThingINS_5ShapeEEEvP8JSTracerPT_($3, $4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($17)|0)==(($20)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $23=$1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)==0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $28=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPKNS_5ShapeE($29, $30); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $32=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$38; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=__ZN2js2gc19GetGCThingTraceKindEPKv($39); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$34]($35, $37, $40); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc4MarkINS_5ShapeEEEvP8JSTracerPT_["X"]=1;

function __ZN2js2gc12MarkValueRawEP8JSTracerRKN2JS5ValueE($trc, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$trc;
      $2=$v;
      var $3=$2; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=__ZNK2JS5Value10isMarkableEv($3); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $6=$1; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=__ZNK2JS5Value9toGCThingEv($7); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$2; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=__ZNK2JS5Value6gcKindEv($9); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc8MarkKindEP8JSTracerPv13JSGCTraceKind($6, $8, $10); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      ;
      return; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value6gcKindEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 472 "./jsapi.h"
  var $5=$2; //@line 472 "./jsapi.h"
  var $6=$4; //@line 472 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 472 "./jsapi.h"
  var $7=_JSVAL_TRACE_KIND_IMPL1545($2); //@line 472 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 472 "./jsapi.h"
}


function __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($trc, $v, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$v;
      $3=$name;
      __label__ = 2; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$1; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkValueRawEP8JSTracerRKN2JS5ValueE($6, $7); //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc25MarkCrossCompartmentValueEP8JSTracerRKN2JS5ValueEPKc($trc, $v, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cell;
      var $rt;
      $1=$trc;
      $2=$v;
      $3=$name;
      var $4=$2; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=__ZNK2JS5Value10isMarkableEv($4); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $7=$2; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=__ZNK2JS5Value9toGCThingEv($7); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$8; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $cell=$9; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$1; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10)|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12+52)|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$14; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=$rt; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=(($15+144080)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=(($17)|0)!=0; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $20=$cell; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=__ZNK2js2gc4Cell11compartmentEv($20); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=$rt; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=(($22+144080)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=(($21)|0)!=(($24)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      __label__ = 6; break; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $28=$1; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$2; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$3; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($28, $29, $30); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      ;
      return; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc14MarkValueRangeEP8JSTracerPKN2JS5ValueES6_PKc($trc, $beg, $end, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $vp;
      $1=$trc;
      $2=$beg;
      $3=$end;
      $4=$name;
      var $5=$2; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $vp=$5; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $7=$vp; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$3; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=(($7)>>>0) < (($8)>>>0); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      __label__ = 4; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      __label__ = 5; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $13=$1; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=$vp; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkValueRawEP8JSTracerRKN2JS5ValueE($13, $14); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $16=$vp; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=(($16+8)|0); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $vp=$17; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc($trc, $len, $vec, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$trc;
  $2=$len;
  $3=$vec;
  $4=$name;
  var $5=$1; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $7=$3; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $8=$2; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $9=(($7+($8<<3))|0); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $10=$4; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc14MarkValueRangeEP8JSTracerPKN2JS5ValueES6_PKc($5, $6, $9, $10); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc14MarkShapeRangeEP8JSTracerPPKNS_5ShapeES6_PKc($trc, $beg, $end, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $sp;
      $1=$trc;
      $2=$beg;
      $3=$end;
      $4=$name;
      var $5=$2; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $sp=$5; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $7=$sp; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$3; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=(($7)>>>0) < (($8)>>>0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      __label__ = 4; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      __label__ = 5; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $13=$1; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=$sp; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$4; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc($13, $15, $16); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $18=$sp; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+4)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $sp=$19; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc14MarkShapeRangeEP8JSTracerjPPKNS_5ShapeEPKc($trc, $len, $vec, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$trc;
  $2=$len;
  $3=$vec;
  $4=$name;
  var $5=$1; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $7=$3; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $8=$2; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $9=(($7+($8<<2))|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $10=$4; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc14MarkShapeRangeEP8JSTracerPPKNS_5ShapeES6_PKc($5, $6, $9, $10); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc11MarkGCThingEP8JSTracerPv13JSGCTraceKind($trc, $thing, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$thing;
      $3=$kind;
      var $4=$2; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=(($4)|0)!=0; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 4; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $8=$1; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$2; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$3; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc8MarkKindEP8JSTracerPv13JSGCTraceKind($8, $9, $10); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 4; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      ;
      return; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11MarkGCThingEP8JSTracerPv($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$trc;
      $2=$thing;
      var $3=$2; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=(($3)|0)!=0; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($4) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 4; break; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $7=$1; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$2; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$2; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=__ZN2js2gc19GetGCThingTraceKindEPKv($9); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc8MarkKindEP8JSTracerPv13JSGCTraceKind($7, $8, $10); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 4; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      ;
      return; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11MarkGCThingEP8JSTracerPvPKc($trc, $thing, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$thing;
      $3=$name;
      __label__ = 2; break; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $6=$1; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc11MarkGCThingEP8JSTracerPv($6, $7); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc11MarkGCThingEP8JSTracerPvPKcj($trc, $thing, $name, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$trc;
      $2=$thing;
      $3=$name;
      $4=$index;
      __label__ = 2; break; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $7=$1; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$2; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc11MarkGCThingEP8JSTracerPv($7, $8); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc4MarkEP8JSTracerPv13JSGCTraceKindPKc($trc, $thing, $kind, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$trc;
      $2=$thing;
      $3=$kind;
      $4=$name;
      __label__ = 2; break; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 3; break; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $7=$1; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$2; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$3; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc8MarkKindEP8JSTracerPv13JSGCTraceKind($7, $8, $9); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc8MarkRootEP8JSTracerP8JSObjectPKc($trc, $thing, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$trc;
  $2=$thing;
  $3=$name;
  var $4=$1; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $5=$2; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($4, $5, $6); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc8MarkRootEP8JSTracerP8JSStringPKc($trc, $thing, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$trc;
  $2=$thing;
  $3=$name;
  var $4=$1; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $5=$2; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($4, $5, $6); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc8MarkRootEP8JSTracerP8JSScriptPKc($trc, $thing, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$trc;
  $2=$thing;
  $3=$name;
  var $4=$1; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $5=$2; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc10MarkScriptEP8JSTracerP8JSScriptPKc($4, $5, $6); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc8MarkRootEP8JSTracerPKNS_5ShapeEPKc($trc, $thing, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$trc;
  $2=$thing;
  $3=$name;
  var $4=$1; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $5=$2; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc($4, $5, $6); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc8MarkRootEP8JSTracerPNS_5types10TypeObjectEPKc($trc, $thing, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$trc;
  $2=$thing;
  $3=$name;
  var $4=$1; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $5=$2; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc14MarkTypeObjectEP8JSTracerPNS_5types10TypeObjectEPKc($4, $5, $6); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc8MarkRootEP8JSTracerP5JSXMLPKc($trc, $thing, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$trc;
  $2=$thing;
  $3=$name;
  var $4=$1; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $5=$2; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $6=$3; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  __ZN2js2gc7MarkXMLEP8JSTracerP5JSXMLPKc($4, $5, $6); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gc12MarkChildrenEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $parent;
      var $clasp;
      var $nslots;
      var $i;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=__ZNK8JSObject9isNewbornEv($3); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 18; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $7=$1; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$2; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=__ZNK8JSObject10typeFromGCEv($8); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc14MarkTypeObjectEP8JSTracerPNS_5types10TypeObjectEPKc($7, $9, ((STRING_TABLE.__str31472)|0)); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=__ZNK8JSObject12isDenseArrayEv($10); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($11) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $13=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=(($13+16)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=$14; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=(($16)|0)!=0; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $19=$1; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$2; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($20+16)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=$21; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc14MarkTypeObjectEP8JSTracerPNS_5types10TypeObjectEPKc($19, $23, ((STRING_TABLE.__str41473)|0)); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $25=$2; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=__ZNK8JSObject9getParentEv($25); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $parent=$26; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $27=$parent; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=(($27)|0)!=0; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $30=$1; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $31=$parent; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($30, $31, ((STRING_TABLE.__str51474)|0)); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $33=$2; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=__ZNK8JSObject8getClassEv($33); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $clasp=$34; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$clasp; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=(($35+64)|0); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=(($37)|0)!=0; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $40=$clasp; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $41=(($40+64)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $43=$1; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $44=$2; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$42]($43, $44); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 10; break; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $46=$2; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $47=__ZNK8JSObject8isNativeEv($46); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      var $49=$1; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $50=$2; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $51=(($50)|0); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc($49, $52, ((STRING_TABLE.__str61475)|0)); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $53=$2; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54=__ZNK8JSObject8slotSpanEv($53); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $nslots=$54; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=0; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 12; break; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      var $56=$i; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $57=$nslots; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $58=(($56)>>>0) < (($57)>>>0); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($58) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      __label__ = 14; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 14: 
      __label__ = 15; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      var $62=$1; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $63=$2; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $64=$i; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $65=__ZNK8JSObject13nativeGetSlotEj($63, $64); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkValueRawEP8JSTracerRKN2JS5ValueE($62, $65); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 16; break; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 16: 
      var $67=$i; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $68=(($67+1)|0); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$68; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 12; break; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 17: 
      __label__ = 18; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 18: 
      ;
      return; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc12MarkChildrenEP8JSTracerP8JSObject["X"]=1;

function __ZN2js2gc12MarkChildrenEP8JSTracerP8JSString($trc, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rope;
      $1=$trc;
      $2=$str;
      var $3=$2; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=__ZNK8JSString11isDependentEv($3); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $6=$1; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=__ZN8JSString11asDependentEv($7); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=__ZNK17JSDependentString4baseEv($8); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$9; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($6, $10, ((STRING_TABLE.__str71476)|0)); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $12=$2; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=__ZNK8JSString6isRopeEv($12); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $15=$2; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=__ZN8JSString6asRopeEv($15); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rope=$16; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=$1; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rope; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=__ZNK6JSRope9leftChildEv($18); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($17, $19, ((STRING_TABLE.__str81477)|0)); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$1; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=$rope; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=__ZNK6JSRope10rightChildEv($21); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($20, $22, ((STRING_TABLE.__str91478)|0)); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      ;
      return; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11CheckScriptEP8JSScriptS1_($script, $prev) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$script;
  $2=$prev;
  ;
  return; //@line 891 "./jsscript.h"
}


function __ZN8JSScript6constsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 736 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 736 "./jsscript.h"
  var $5=(($2+21)|0); //@line 736 "./jsscript.h"
  var $6=HEAPU8[($5)]; //@line 736 "./jsscript.h"
  var $7=(($6)&255); //@line 736 "./jsscript.h"
  var $8=(($4+$7)|0); //@line 736 "./jsscript.h"
  var $9=$8; //@line 736 "./jsscript.h"
  ;
  return $9; //@line 736 "./jsscript.h"
}


function __ZNK2js5Shape14hasGetterValueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 591 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 591 "./jsscope.h"
  var $5=(($4)&255); //@line 591 "./jsscope.h"
  var $6=$5 & 16; //@line 591 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 591 "./jsscope.h"
  ;
  return $7; //@line 591 "./jsscope.h"
}


function __ZNK2js5Shape12getterObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 546 "./jsscope.h"
  var $4=$3; //@line 546 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 546 "./jsscope.h"
  ;
  return $5; //@line 546 "./jsscope.h"
}


function __ZNK2js5Shape14hasSetterValueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 592 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 592 "./jsscope.h"
  var $5=(($4)&255); //@line 592 "./jsscope.h"
  var $6=$5 & 32; //@line 592 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 592 "./jsscope.h"
  ;
  return $7; //@line 592 "./jsscope.h"
}


function __ZNK2js5Shape12setterObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 561 "./jsscope.h"
  var $4=$3; //@line 561 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 561 "./jsscope.h"
  ;
  return $5; //@line 561 "./jsscope.h"
}


function __ZN2js9MarkStackIP6JSRopeE7isEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1451 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1451 "./jsgc.h"
  var $5=(($4)|0)==0; //@line 1451 "./jsgc.h"
  ;
  return $5; //@line 1451 "./jsgc.h"
}


function __ZN2js2gc12MarkChildrenEP8JSTracerP8JSScript($trc, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $objarray;
      var $objarray1;
      var $constarray;
      $1=$trc;
      $2=$script;
      var $3=$2; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js11CheckScriptEP8JSScriptS1_($3, 0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$1; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$2; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5+40)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$2; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=(($8+56)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13MarkAtomRangeEP8JSTracerjPP6JSAtomPKc($4, $7, $10, ((STRING_TABLE.__str101479)|0)); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$2; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=(($11+16)|0); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=HEAP8[($12)]; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=__ZN8JSScript13isValidOffsetEh($13); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $16=$2; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZN8JSScript7objectsEv($16); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $objarray=$17; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$1; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=$objarray; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=(($19+4)|0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=$objarray; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=(($22)|0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc15MarkObjectRangeEP8JSTracerjPP8JSObjectPKc($18, $21, $24, ((STRING_TABLE.__str111480)|0)); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $26=$2; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $27=(($26+18)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=HEAP8[($27)]; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=__ZN8JSScript13isValidOffsetEh($28); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $31=$2; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $32=__ZN8JSScript7regexpsEv($31); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $objarray1=$32; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=$1; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=$objarray1; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=(($34+4)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$objarray1; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=(($37)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc15MarkObjectRangeEP8JSTracerjPP8JSObjectPKc($33, $36, $39, ((STRING_TABLE.__str111480)|0)); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $41=$2; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $42=(($41+21)|0); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $43=HEAP8[($42)]; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $44=__ZN8JSScript13isValidOffsetEh($43); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($44) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $46=$2; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $47=__ZN8JSScript6constsEv($46); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $constarray=$47; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $48=$1; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $49=$constarray; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $50=(($49+4)|0); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $52=$constarray; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $53=(($52)|0); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc($48, $51, $54, ((STRING_TABLE.__str121481)|0)); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $56=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $57=$56; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $58=(($57+37)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $59=HEAPU8[($58)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $60=(($59)&255) >>> 7; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $61=$60 & 1; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $62=(($61) & 1); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $64=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $65=(($64+84)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $66=$65; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $68=(($67)|0)!=0; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($68) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $70=$1; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $71=$2; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $72=(($71+84)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $73=$72; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($70, $74, ((STRING_TABLE.__str131482)|0)); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 10; break; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $76=$1; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $77=(($76+4)|0); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $79=(($78)|0)==0; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($79) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      var $81=$2; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $82=(($81+52)|0); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $84=(($83)|0)!=0; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($84) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      var $86=$2; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $87=(($86+52)|0); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __Z21js_MarkScriptFilenamePKc($88); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 13; break; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      var $90=$2; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $91=(($90+64)|0); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $92=$1; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js8Bindings5traceEP8JSTracer($91, $92); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $93=$2; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $94=(($93+100)|0); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $96=(($95)|0)!=0; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($96) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 14: 
      var $98=$2; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $99=(($98+100)|0); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $101=$1; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js5types10TypeScript5traceEP8JSTracer($100, $101); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 15; break; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      ;
      return; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc12MarkChildrenEP8JSTracerP8JSScript["X"]=1;

function __ZN2js2gcL13MarkAtomRangeEP8JSTracerjPP6JSAtomPKc($trc, $len, $vec, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $atom;
      $1=$trc;
      $2=$len;
      $3=$vec;
      $4=$name;
      $i=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $6=$i; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($6)>>>0) < (($7)>>>0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $10=$i; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$3; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=(($11+($10<<2))|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $atom=$13; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=$atom; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=(($14)|0)!=0; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      __label__ = 5; break; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      __label__ = 6; break; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $19=$1; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$atom; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc4MarkI6JSAtomEEvP8JSTracerPT_($19, $20); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      __label__ = 8; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $23=$i; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+1)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$24; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      ;
      return; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript5traceEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 691 "./jsinferinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 691 "./jsinferinlines.h"
      var $6=(($5)|0)!=0; //@line 691 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 691 "./jsinferinlines.h"
    case 2: 
      var $8=$2; //@line 692 "./jsinferinlines.h"
      var $9=(($3+4)|0); //@line 692 "./jsinferinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 692 "./jsinferinlines.h"
      var $11=$10; //@line 692 "./jsinferinlines.h"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $11, ((STRING_TABLE.__str241493)|0)); //@line 692 "./jsinferinlines.h"
      __label__ = 3; break; //@line 692 "./jsinferinlines.h"
    case 3: 
      var $13=__ZN2js5types10TypeScript8hasScopeEv($3); //@line 693 "./jsinferinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 693 "./jsinferinlines.h"
    case 4: 
      var $15=(($3+8)|0); //@line 693 "./jsinferinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 693 "./jsinferinlines.h"
      var $17=(($16)|0)!=0; //@line 693 "./jsinferinlines.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 693 "./jsinferinlines.h"
    case 5: 
      var $19=$2; //@line 694 "./jsinferinlines.h"
      var $20=(($3+8)|0); //@line 694 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 694 "./jsinferinlines.h"
      var $22=$21; //@line 694 "./jsinferinlines.h"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($19, $22, ((STRING_TABLE.__str251494)|0)); //@line 694 "./jsinferinlines.h"
      __label__ = 6; break; //@line 694 "./jsinferinlines.h"
    case 6: 
      ;
      return; //@line 697 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc12MarkChildrenEP8JSTracerPKNS_5ShapeE($trc, $shape) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$trc;
      $2=$shape;
      __label__ = 2; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $4=$1; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$2; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5+12)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc6MarkIdEP8JSTraceriPKc($4, $7, ((STRING_TABLE.__str141483)|0)); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$2; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=__ZNK2js5Shape14hasGetterValueEv($8); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $11=$2; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=__ZNK2js5Shape6getterEv($11); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $15=$1; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$2; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js5Shape12getterObjectEv($16); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$2; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=$18; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc21MarkObjectWithPrinterEP8JSTracerR8JSObjectPFvS2_PcjEPKvj($15, $17, 130, $19, 0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $21=$2; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=__ZNK2js5Shape14hasSetterValueEv($21); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $24=$2; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=__ZNK2js5Shape6setterEv($24); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)!=0; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $28=$1; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$2; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=__ZNK2js5Shape12setterObjectEv($29); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $31=$2; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $32=$31; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc21MarkObjectWithPrinterEP8JSTracerR8JSObjectPFvS2_PcjEPKvj($28, $30, 130, $32, 1); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $34=$2; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=__ZNK2js5Shape8isMethodEv($34); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $37=$1; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$2; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=__ZNK2js5Shape12methodObjectEv($38); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=$2; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $41=$40; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc21MarkObjectWithPrinterEP8JSTracerR8JSObjectPFvS2_PcjEPKvj($37, $39, 132, $41, 0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 10; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $43=$2; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $44=__ZNK2js5Shape8previousEv($43); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $2=$44; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $45=$2; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $46=(($45)|0)!=0; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      __label__ = 2; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      ;
      return; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc12MarkChildrenEP8JSTracerPKNS_5ShapeE["X"]=1;

function __ZN2js2gcL27PrintPropertyGetterOrSetterEP8JSTracerPcj($trc, $buf, $bufsize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $shape;
      var $propid;
      var $name;
      var $n;
      $1=$trc;
      $2=$buf;
      $3=$bufsize;
      var $4=$1; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=(($4+12)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$6; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $shape=$7; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$shape; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=(($8+12)|0); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $propid=$10; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$1; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=(($11+16)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=(($13)|0)!=0; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $18 = (STRING_TABLE._js_setter_str);__label__ = 4; break; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $18 = (STRING_TABLE._js_getter_str);__label__ = 4; break; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $18; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $name=$19; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$propid; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=__ZL12JSID_IS_ATOMi1541($20); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=(($21)|0)!=0; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $24=$2; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=$3; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=$propid; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $27=__ZL12JSID_TO_ATOMi1540($26); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=$27; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=__ZN2js16PutEscapedStringEPcjP14JSLinearStringj($24, $25, $28, 0); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $n=$29; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$n; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $31=$3; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $32=(($30)>>>0) < (($31)>>>0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $34=$2; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=$n; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=(($34+$35)|0); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$3; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$n; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=(($37-$38)|0); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=$name; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $41=_JS_snprintf($36, $39, ((STRING_TABLE.__str211490)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$40,tempInt)); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      __label__ = 12; break; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $44=$shape; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $45=(($44+12)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $47=_JSID_IS_INT1542($46); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $48=(($47)|0)!=0; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $50=$2; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $51=$3; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $52=$propid; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $53=_JSID_TO_INT1543($52); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54=$name; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $55=_JS_snprintf($50, $51, ((STRING_TABLE.__str221491)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$53,HEAP32[((tempInt+4)>>2)]=$54,tempInt)); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 11; break; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $57=$2; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $58=$3; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $59=$name; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $60=_JS_snprintf($57, $58, ((STRING_TABLE.__str231492)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$59,tempInt)); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gcL27PrintPropertyGetterOrSetterEP8JSTracerPcj["X"]=1;

function __ZN2js2gcL19PrintPropertyMethodEP8JSTracerPcj($trc, $buf, $bufsize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $shape;
      var $propid;
      var $n;
      $1=$trc;
      $2=$buf;
      $3=$bufsize;
      var $4=$1; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=(($4+12)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$6; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $shape=$7; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$shape; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=(($8+12)|0); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $propid=$10; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$2; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$3; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=$propid; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=__ZL12JSID_TO_ATOMi1540($13); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=$14; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=__ZN2js16PutEscapedStringEPcjP14JSLinearStringj($11, $12, $15, 0); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $n=$16; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=$n; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$3; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($17)>>>0) < (($18)>>>0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $21=$2; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=$n; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=(($21+$22)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=$3; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=$n; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($24-$25)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $27=_JS_snprintf($23, $26, ((STRING_TABLE.__str201489)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      ;
      return; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc12MarkChildrenEP8JSTracerPNS_5types10TypeObjectE($trc, $type) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $count;
      var $i;
      var $prop;
      var $count1;
      var $i2;
      $1=$trc;
      $2=$type;
      var $3=$2; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=(($3+4)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0)!=0; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($6) { __label__ = 9; break; } else { __label__ = 2; break; } //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $8=$2; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=__ZN2js5types10TypeObject16getPropertyCountEv($8); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $count=$9; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=0; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $11=$i; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$count; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($11)>>>0) < (($12)>>>0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $15=$2; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$i; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZN2js5types10TypeObject11getPropertyEj($15, $16); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $prop=$17; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$prop; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18)|0)!=0; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $21=$1; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=$prop; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=(($22)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc6MarkIdEP8JSTraceriPKc($21, $24, ((STRING_TABLE.__str151484)|0)); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      __label__ = 7; break; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $27=$i; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=(($27+1)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$28; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      __label__ = 9; break; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $31=$2; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $32=(($31+8)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=(($33)|0)!=0; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 17; break; } //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      $count1=12; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i2=0; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 11; break; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      var $37=$i2; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$count1; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=(($37)|0) < (($38)|0); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($39) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      var $41=$i2; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $42=$2; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $43=(($42+8)|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $45=(($44+($41<<2))|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $47=(($46)|0)!=0; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      var $49=$1; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $50=$i2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $51=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $52=(($51+8)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54=(($53+($50<<2))|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $56=$55; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc($49, $56, ((STRING_TABLE.__str161485)|0)); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 14; break; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 14: 
      __label__ = 15; break; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      var $59=$i2; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $60=(($59+1)|0); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i2=$60; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 11; break; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 16: 
      __label__ = 17; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 17: 
      var $63=$2; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $64=(($63)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $66=(($65)|0)!=0; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($66) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 18: 
      var $68=$1; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $69=$2; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $70=(($69)|0); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($68, $71, ((STRING_TABLE.__str171486)|0)); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 19; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 19: 
      var $73=$2; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $74=(($73+4)|0); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $76=(($75)|0)!=0; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($76) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 20: 
      var $78=$1; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $79=$2; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $80=(($79+4)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($78, $81, ((STRING_TABLE.__str1469)|0)); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 21; break; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 21: 
      var $83=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $84=(($83+16)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $86=(($85)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($86) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 22: 
      var $88=$1; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $89=$2; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $90=(($89+16)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $92=(($91)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $94=$93; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($88, $94, ((STRING_TABLE.__str181487)|0)); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $95=$1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $96=$2; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $97=(($96+16)|0); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $99=(($98+8)|0); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc($95, $100, ((STRING_TABLE.__str191488)|0)); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 23; break; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 23: 
      var $102=$2; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $103=(($102+28)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $105=(($104)|0)!=0; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($105) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 24: 
      var $107=$1; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $108=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $109=(($108+28)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $111=$110; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($107, $111, ((STRING_TABLE.__str11470)|0)); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 25; break; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 25: 
      ;
      return; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc12MarkChildrenEP8JSTracerPNS_5types10TypeObjectE["X"]=1;

function __ZN2js5types10TypeObject16getPropertyCountEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $count;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js5types10TypeObject17basePropertyCountEv($3); //@line 1187 "./jsinferinlines.h"
      $count=$4; //@line 1187 "./jsinferinlines.h"
      var $5=$count; //@line 1188 "./jsinferinlines.h"
      var $6=(($5)>>>0) > 8; //@line 1188 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1188 "./jsinferinlines.h"
    case 2: 
      var $8=$count; //@line 1189 "./jsinferinlines.h"
      var $9=__ZN2js5typesL15HashSetCapacityEj1539($8); //@line 1189 "./jsinferinlines.h"
      $1=$9; //@line 1189 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1189 "./jsinferinlines.h"
    case 3: 
      var $11=$count; //@line 1190 "./jsinferinlines.h"
      $1=$11; //@line 1190 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1190 "./jsinferinlines.h"
    case 4: 
      var $13=$1; //@line 1191 "./jsinferinlines.h"
      ;
      return $13; //@line 1191 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject11getPropertyEj($this, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$i;
      var $4=$2;
      var $5=__ZNK2js5types10TypeObject17basePropertyCountEv($4); //@line 1197 "./jsinferinlines.h"
      var $6=(($5)|0)==1; //@line 1197 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1197 "./jsinferinlines.h"
    case 2: 
      var $8=(($4+24)|0); //@line 1199 "./jsinferinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1199 "./jsinferinlines.h"
      var $10=$9; //@line 1199 "./jsinferinlines.h"
      $1=$10; //@line 1199 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1199 "./jsinferinlines.h"
    case 3: 
      var $12=$3; //@line 1201 "./jsinferinlines.h"
      var $13=(($4+24)|0); //@line 1201 "./jsinferinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1201 "./jsinferinlines.h"
      var $15=(($14+($12<<2))|0); //@line 1201 "./jsinferinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1201 "./jsinferinlines.h"
      $1=$16; //@line 1201 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1201 "./jsinferinlines.h"
    case 4: 
      var $18=$1; //@line 1202 "./jsinferinlines.h"
      ;
      return $18; //@line 1202 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc12MarkChildrenEP8JSTracerP5JSXML($trc, $xml) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$xml;
  var $3=$1; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  var $4=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  _js_TraceXML($3, $4); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
  ;
  return; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js8GCMarker14drainMarkStackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $item;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=$3; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=(($4)|0); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=(($6+52)|0); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$8; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$rt; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=(($9+144080)|0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$rt; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12+144084)|0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      HEAP32[(($13)>>2)]=$11; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=__ZN2js8GCMarker16isMarkStackEmptyEv($3); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15 ^ 1; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 22; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      __label__ = 4; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $19=(($3+48)|0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=__ZN2js9MarkStackIP6JSRopeE7isEmptyEv($19); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=$20 ^ 1; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $23=(($3+48)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=__ZN2js9MarkStackIP6JSRopeE3popEv($23); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL8ScanRopeEPNS_8GCMarkerEP6JSRope($3, $24); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 4; break; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      __label__ = 7; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $27=(($3+36)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=__ZN2js9MarkStackIP8JSObjectE7isEmptyEv($27); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28 ^ 1; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $31=(($3+36)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $32=__ZN2js9MarkStackIP8JSObjectE3popEv($31); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL10ScanObjectEPNS_8GCMarkerEP8JSObject($3, $32); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      __label__ = 10; break; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $35=(($3+60)|0); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=__ZN2js9MarkStackIPNS_5types10TypeObjectEE7isEmptyEv($35); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36 ^ 1; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      var $39=(($3+60)|0); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=__ZN2js9MarkStackIPNS_5types10TypeObjectEE3popEv($39); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL14ScanTypeObjectEPNS_8GCMarkerEPNS_5types10TypeObjectE($3, $40); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 10; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      __label__ = 13; break; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      var $43=(($3+72)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $44=__ZN2js9MarkStackIP5JSXMLE7isEmptyEv($43); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $45=$44 ^ 1; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($45) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 14: 
      var $47=$3; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $48=(($3+72)|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $49=__ZN2js9MarkStackIP5JSXMLE3popEv($48); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkChildrenEP8JSTracerP5JSXML($47, $49); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 13; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      var $51=(($3+84)|0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $52=__ZN2js9MarkStackINS_13LargeMarkItemEE7isEmptyEv($51); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($52) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 16: 
      var $54=(($3+84)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $55=__ZN2js9MarkStackINS_13LargeMarkItemEE4peekEv($54); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $item=$55; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $56=$item; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $57=__ZN2js2gcL15ScanLargeObjectEPNS_8GCMarkerERNS_13LargeMarkItemE($3, $56); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($57) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 17: 
      var $59=(($3+84)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js9MarkStackINS_13LargeMarkItemEE3popEv($2, $59); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 18; break; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 18: 
      __label__ = 19; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 19: 
      var $62=__ZN2js8GCMarker16isMarkStackEmptyEv($3); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($62) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 20: 
      __ZN2js8GCMarker19markDelayedChildrenEv($3); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 21; break; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 21: 
      __label__ = 2; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 22: 
      var $66=$rt; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $67=(($66+144084)|0); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      HEAP32[(($67)>>2)]=0; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      STACKTOP = __stackBase__;
      return; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8GCMarker14drainMarkStackEv["X"]=1;

function __ZN2js8GCMarker16isMarkStackEmptyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+36)|0); //@line 1528 "./jsgc.h"
      var $4=__ZN2js9MarkStackIP8JSObjectE7isEmptyEv($3); //@line 1528 "./jsgc.h"
      if ($4) { __label__ = 2; break; } else { var $18 = 0;__label__ = 6; break; } //@line 1528 "./jsgc.h"
    case 2: 
      var $6=(($2+48)|0); //@line 1529 "./jsgc.h"
      var $7=__ZN2js9MarkStackIP6JSRopeE7isEmptyEv($6); //@line 1529 "./jsgc.h"
      if ($7) { __label__ = 3; break; } else { var $18 = 0;__label__ = 6; break; } //@line 1529 "./jsgc.h"
    case 3: 
      var $9=(($2+60)|0); //@line 1530 "./jsgc.h"
      var $10=__ZN2js9MarkStackIPNS_5types10TypeObjectEE7isEmptyEv($9); //@line 1530 "./jsgc.h"
      if ($10) { __label__ = 4; break; } else { var $18 = 0;__label__ = 6; break; } //@line 1530 "./jsgc.h"
    case 4: 
      var $12=(($2+72)|0); //@line 1531 "./jsgc.h"
      var $13=__ZN2js9MarkStackIP5JSXMLE7isEmptyEv($12); //@line 1531 "./jsgc.h"
      if ($13) { __label__ = 5; break; } else { var $18 = 0;__label__ = 6; break; } //@line 1531 "./jsgc.h"
    case 5: 
      var $15=(($2+84)|0); //@line 1532 "./jsgc.h"
      var $16=__ZN2js9MarkStackINS_13LargeMarkItemEE7isEmptyEv($15); //@line 1532 "./jsgc.h"
      var $18 = $16;__label__ = 6; break;
    case 6: 
      var $18;
      ;
      return $18; //@line 1533 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL16CheckMarkedThingINS_5ShapeEEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$thing;
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js9MarkStackIP6JSRopeE3popEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1455 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1455 "./jsgc.h"
  var $5=(($4-1)|0); //@line 1455 "./jsgc.h"
  HEAP32[(($3)>>2)]=$5; //@line 1455 "./jsgc.h"
  var $6=(($2)|0); //@line 1455 "./jsgc.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1455 "./jsgc.h"
  var $8=(($7+($5<<2))|0); //@line 1455 "./jsgc.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1455 "./jsgc.h"
  ;
  return $9; //@line 1455 "./jsgc.h"
}


function __ZN2js9MarkStackIP8JSObjectE7isEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1451 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1451 "./jsgc.h"
  var $5=(($4)|0)==0; //@line 1451 "./jsgc.h"
  ;
  return $5; //@line 1451 "./jsgc.h"
}


function __ZN2js9MarkStackIP8JSObjectE3popEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1455 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1455 "./jsgc.h"
  var $5=(($4-1)|0); //@line 1455 "./jsgc.h"
  HEAP32[(($3)>>2)]=$5; //@line 1455 "./jsgc.h"
  var $6=(($2)|0); //@line 1455 "./jsgc.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1455 "./jsgc.h"
  var $8=(($7+($5<<2))|0); //@line 1455 "./jsgc.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1455 "./jsgc.h"
  ;
  return $9; //@line 1455 "./jsgc.h"
}


function __ZN2js9MarkStackIPNS_5types10TypeObjectEE7isEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1451 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1451 "./jsgc.h"
  var $5=(($4)|0)==0; //@line 1451 "./jsgc.h"
  ;
  return $5; //@line 1451 "./jsgc.h"
}


function __ZN2js9MarkStackIPNS_5types10TypeObjectEE3popEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1455 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1455 "./jsgc.h"
  var $5=(($4-1)|0); //@line 1455 "./jsgc.h"
  HEAP32[(($3)>>2)]=$5; //@line 1455 "./jsgc.h"
  var $6=(($2)|0); //@line 1455 "./jsgc.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1455 "./jsgc.h"
  var $8=(($7+($5<<2))|0); //@line 1455 "./jsgc.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1455 "./jsgc.h"
  ;
  return $9; //@line 1455 "./jsgc.h"
}


function __ZN2js9MarkStackIP5JSXMLE7isEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1451 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1451 "./jsgc.h"
  var $5=(($4)|0)==0; //@line 1451 "./jsgc.h"
  ;
  return $5; //@line 1451 "./jsgc.h"
}


function __ZN2js9MarkStackIP5JSXMLE3popEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1455 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1455 "./jsgc.h"
  var $5=(($4-1)|0); //@line 1455 "./jsgc.h"
  HEAP32[(($3)>>2)]=$5; //@line 1455 "./jsgc.h"
  var $6=(($2)|0); //@line 1455 "./jsgc.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1455 "./jsgc.h"
  var $8=(($7+($5<<2))|0); //@line 1455 "./jsgc.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1455 "./jsgc.h"
  ;
  return $9; //@line 1455 "./jsgc.h"
}


function __ZN2js9MarkStackINS_13LargeMarkItemEE7isEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1451 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1451 "./jsgc.h"
  var $5=(($4)|0)==0; //@line 1451 "./jsgc.h"
  ;
  return $5; //@line 1451 "./jsgc.h"
}


function __ZN2js9MarkStackINS_13LargeMarkItemEE4peekEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1460 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1460 "./jsgc.h"
  var $5=(($4-1)|0); //@line 1460 "./jsgc.h"
  var $6=(($2)|0); //@line 1460 "./jsgc.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1460 "./jsgc.h"
  var $8=(($7+($5<<3))|0); //@line 1460 "./jsgc.h"
  ;
  return $8; //@line 1460 "./jsgc.h"
}


function __ZNK2js8GCMarker12getMarkColorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 1514 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1514 "./jsgc.h"
  ;
  return $4; //@line 1514 "./jsgc.h"
}


function __ZN2js2gcL8ScanRopeEPNS_8GCMarkerEP6JSRope($gcmarker, $rope) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $leftChild;
      var $rightChild;
      $1=$gcmarker;
      $2=$rope;
      $leftChild=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 2; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $4=$2; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=__ZNK6JSRope10rightChildEv($4); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rightChild=$5; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=$rightChild; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZNK8JSString6isRopeEv($6); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $9=$rightChild; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$9; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=__ZNK2js2gc4Cell14markIfUnmarkedEj($10, 0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $13=$1; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=$rightChild; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=__ZN8JSString6asRopeEv($14); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js8GCMarker8pushRopeEP6JSRope($13, $15); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      __label__ = 7; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $18=$rightChild; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=__ZN8JSString8asLinearEv($18); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$1; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=$20; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN14JSLinearString4markEP8JSTracer($19, $21); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break;
    case 7: 
      var $23=$2; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=__ZNK6JSRope9leftChildEv($23); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $leftChild=$24; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=$leftChild; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=__ZNK8JSString8isLinearEv($25); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $28=$leftChild; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=__ZN8JSString8asLinearEv($28); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$1; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $31=$30; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN14JSLinearString4markEP8JSTracer($29, $31); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 11; break; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $33=$leftChild; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=__ZN8JSString6asRopeEv($33); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $2=$34; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 10; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $36=$leftChild; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$36; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=__ZNK2js2gc4Cell14markIfUnmarkedEj($37, 0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($38) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      ;
      return; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gcL8ScanRopeEPNS_8GCMarkerEP6JSRope["X"]=1;

function __ZN2js2gcL10ScanObjectEPNS_8GCMarkerEP8JSObject($gcmarker, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $type;
      var $parent;
      var $clasp;
      var $3=__stackBase__;
      var $shape;
      var $newShape;
      var $nslots;
      var $4=__stackBase__+8;
      $1=$gcmarker;
      $2=$obj;
      var $5=$2; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=__ZNK8JSObject9isNewbornEv($5); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      __label__ = 32; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $9=$2; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=__ZNK8JSObject10typeFromGCEv($9); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $type=$10; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$type; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=(($11)|0)!=((__ZN2js5types15emptyTypeObjectE)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $14=$1; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=$type; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPNS_5types10TypeObjectE($14, $15); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $17=$2; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=__ZNK8JSObject9getParentEv($17); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $parent=$18; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=$parent; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=(($19)|0)!=0; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $22=$1; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=$parent; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($22, $23); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $25=$2; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=__ZNK8JSObject8getClassEv($25); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $clasp=$26; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $27=$clasp; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=(($27+64)|0); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=(($29)|0)!=0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 19; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $32=$clasp; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32)|0)==((__ZN2js10ArrayClassE)|0); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $35=$2; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=__ZN8JSObject30getDenseArrayInitializedLengthEv($35); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=(($36)>>>0) > 2048; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $39=$1; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=(($39+84)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $41=$2; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js13LargeMarkItemC1EP8JSObject($3, $41); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $42=__ZN2js9MarkStackINS_13LargeMarkItemEE4pushES1_($40, $3); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      var $44=$clasp; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $45=(($44+64)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $47=$1; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $48=$47; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $49=$2; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$46]($48, $49); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 12; break; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      __label__ = 14; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      var $52=$clasp; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $53=(($52+64)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $55=$1; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $56=$55; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $57=$2; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$54]($56, $57); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 18; break; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      var $60=$2; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $61=(($60+16)|0); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $62=$61; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $64=(($63)|0)!=0; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 16: 
      var $66=$1; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $67=$2; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $68=(($67+16)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $69=$68; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPNS_5types10TypeObjectE($66, $70); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 17; break; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 17: 
      var $72=$clasp; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $73=(($72+64)|0); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $75=$1; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $76=$75; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $77=$2; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$74]($76, $77); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 18; break;
    case 18: 
      __label__ = 22; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 19: 
      var $80=$2; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $81=(($80+16)|0); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $82=$81; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $84=(($83)|0)!=0; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 20: 
      var $86=$1; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $87=$2; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $88=(($87+16)|0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $89=$88; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPNS_5types10TypeObjectE($86, $90); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 21; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $93=$2; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $94=__ZNK8JSObject8isNativeEv($93); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($94) { __label__ = 23; break; } else { __label__ = 32; break; } //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 23: 
      var $96=$2; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $97=(($96)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $shape=$98; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $99=$1; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $100=$shape; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPKNS_5ShapeE($99, $100); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $101=$1; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $102=$101; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $103=(($102)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $105=(($104+52)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $107=(($106+144091)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $108=HEAP8[($107)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $109=(($108) & 1); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($109) { __label__ = 24; break; } else { __label__ = 27; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 24: 
      var $111=$shape; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $112=(($111)|0); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $newShape=$113; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $114=$2; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $115=__ZNK8JSObject11hasOwnShapeEv($114); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($115) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 25: 
      var $117=$1; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $118=$117; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $119=(($118)|0); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $121=(($120+52)|0); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $123=__ZL23js_RegenerateShapeForGCP9JSRuntime($122); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $newShape=$123; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 26; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 26: 
      var $125=$newShape; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $126=$2; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $127=(($126+12)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      HEAP32[(($127)>>2)]=$125; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 27; break; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 27: 
      var $129=$2; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $130=__ZNK8JSObject8slotSpanEv($129); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $nslots=$130; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $131=$nslots; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $132=(($131)>>>0) > 2048; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($132) { __label__ = 28; break; } else { __label__ = 31; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 28: 
      var $134=$1; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $135=(($134+84)|0); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $136=$2; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js13LargeMarkItemC1EP8JSObject($4, $136); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $137=__ZN2js9MarkStackINS_13LargeMarkItemEE4pushES1_($135, $4); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($137) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 29: 
      __label__ = 32; break; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 30: 
      __label__ = 31; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 31: 
      var $141=$2; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $142=$1; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN8JSObject9scanSlotsEPN2js8GCMarkerE($141, $142); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 32; break; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 32: 
      STACKTOP = __stackBase__;
      return; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gcL10ScanObjectEPNS_8GCMarkerEP8JSObject["X"]=1;

function __ZN2js2gcL14ScanTypeObjectEPNS_8GCMarkerEPNS_5types10TypeObjectE($gcmarker, $type) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $count;
      var $i;
      var $prop;
      var $count1;
      var $i2;
      $1=$gcmarker;
      $2=$type;
      var $3=$2; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=(($3+4)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0)!=0; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($6) { __label__ = 10; break; } else { __label__ = 2; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $8=$2; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=__ZN2js5types10TypeObject16getPropertyCountEv($8); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $count=$9; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=0; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $11=$i; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$count; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($11)>>>0) < (($12)>>>0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $15=$2; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$i; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZN2js5types10TypeObject11getPropertyEj($15, $16); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $prop=$17; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$prop; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18)|0)!=0; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $21=$prop; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=(($21)|0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=_JSID_IS_STRING1510($23); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=(($24)|0)!=0; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $27=$1; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=$prop; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=(($28)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $31=_JSID_TO_STRING1511($30); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSString($27, $31); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 7; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      __label__ = 8; break; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $34=$i; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=(($34+1)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$35; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      __label__ = 10; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $38=$2; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=(($38+8)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $41=(($40)|0)!=0; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      $count1=12; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i2=0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 12; break; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      var $44=$i2; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $45=$count1; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $46=(($44)|0) < (($45)|0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($46) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      var $48=$i2; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $49=$2; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $50=(($49+8)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $52=(($51+($48<<2))|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54=(($53)|0)!=0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($54) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 14: 
      var $56=$1; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $57=$i2; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $58=$2; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $59=(($58+8)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $61=(($60+($57<<2))|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $63=$62; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPKNS_5ShapeE($56, $63); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 15; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      __label__ = 16; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 16: 
      var $66=$i2; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $67=(($66+1)|0); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i2=$67; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 12; break; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 17: 
      __label__ = 18; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 18: 
      var $70=$2; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $71=(($70)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $73=(($72)|0)!=0; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 19: 
      var $75=$1; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $76=$2; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $77=(($76)|0); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($75, $78); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 20; break; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 20: 
      var $80=$2; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $81=(($80+16)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $83=(($82)|0)!=0; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($83) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 21: 
      var $85=$1; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $86=$2; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $87=(($86+16)|0); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $89=(($88)|0); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP10JSFunction($85, $90); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $91=$1; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $92=$2; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $93=(($92+16)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $95=(($94+8)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPKNS_5ShapeE($91, $96); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 22; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 22: 
      ;
      return; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gcL14ScanTypeObjectEPNS_8GCMarkerEPNS_5types10TypeObjectE["X"]=1;

function __ZN2js2gcL15ScanLargeObjectEPNS_8GCMarkerERNS_13LargeMarkItemE($gcmarker, $item) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $start;
      var $stop;
      var $capacity;
      var $i;
      var $i1;
      $2=$gcmarker;
      $3=$item;
      var $4=$3; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=(($4)|0); //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $obj=$6; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$3; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+4)|0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $start=$9; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$obj; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=__ZNK8JSObject12isDenseArrayEv($10); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 10; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $13=$obj; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $14=__ZN8JSObject30getDenseArrayInitializedLengthEv($13); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $capacity=$14; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=$start; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=(($15+2048)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=$capacity; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=(($16)>>>0) < (($17)>>>0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $20=$start; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($20+2048)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25 = $21;__label__ = 5; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $23=$capacity; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25 = $23;__label__ = 5; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $25; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $stop=$25; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=$stop; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$26; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $28=$i; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$start; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=(($28)>>>0) > (($29)>>>0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $32=$2; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=$obj; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=$i; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=(($34-1)|0); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=__ZN8JSObject20getDenseArrayElementEj($33, $35); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL9ScanValueEPNS_8GCMarkerERKN2JS5ValueE($32, $36); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $38=$i; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=(($38-1)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$39; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      __label__ = 18; break; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $42=$obj; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $43=__ZNK8JSObject8slotSpanEv($42); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $capacity=$43; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $44=$start; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $45=(($44+2048)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $46=$capacity; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $47=(($45)>>>0) < (($46)>>>0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      var $49=$start; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $50=(($49+2048)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54 = $50;__label__ = 13; break; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      var $52=$capacity; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54 = $52;__label__ = 13; break; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      var $54; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $stop=$54; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $55=$stop; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i1=$55; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 14; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 14: 
      var $57=$i1; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $58=$start; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $59=(($57)>>>0) > (($58)>>>0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      var $61=$2; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $62=$obj; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $63=$i1; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $64=(($63-1)|0); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $65=__ZNK8JSObject13nativeGetSlotEj($62, $64); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL9ScanValueEPNS_8GCMarkerERKN2JS5ValueE($61, $65); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 16; break; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 16: 
      var $67=$i1; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $68=(($67-1)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i1=$68; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 14; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $71=$stop; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $72=$capacity; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $73=(($71)|0)==(($72)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 19: 
      $1=1; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 21; break; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 20: 
      var $76=$3; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $77=(($76+4)|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $79=(($78+2048)|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      HEAP32[(($77)>>2)]=$79; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $1=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 21; break; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 21: 
      var $81=$1; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      ;
      return $81; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gcL15ScanLargeObjectEPNS_8GCMarkerERNS_13LargeMarkItemE["X"]=1;

function __ZN2js9MarkStackINS_13LargeMarkItemEE3popEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1455 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1455 "./jsgc.h"
  var $5=(($4-1)|0); //@line 1455 "./jsgc.h"
  HEAP32[(($3)>>2)]=$5; //@line 1455 "./jsgc.h"
  var $6=(($2)|0); //@line 1455 "./jsgc.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1455 "./jsgc.h"
  var $8=(($7+($5<<3))|0); //@line 1455 "./jsgc.h"
  var $9=$agg_result; //@line 1455 "./jsgc.h"
  var $10=$8; //@line 1455 "./jsgc.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1455 "./jsgc.h"
  ;
  return; //@line 1455 "./jsgc.h"
}


function _JS_TraceChildren($trc, $thing, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$trc;
      $2=$thing;
      $3=$kind;
      var $4=$3; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ((($4)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 2) {
        __label__ = 4; break;
      }
      else if ((($4)|0) == 4) {
        __label__ = 5; break;
      }
      else if ((($4)|0) == 5) {
        __label__ = 6; break;
      }
      else if ((($4)|0) == 3) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      var $6=$1; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$7; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkChildrenEP8JSTracerP8JSObject($6, $8); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $10=$1; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$2; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$11; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkChildrenEP8JSTracerP8JSString($10, $12); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $14=$1; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $15=$2; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkChildrenEP8JSTracerP8JSScript($14, $16); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $18=$1; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=$19; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkChildrenEP8JSTracerPKNS_5ShapeE($18, $20); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $22=$1; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=$2; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=$23; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkChildrenEP8JSTracerPNS_5types10TypeObjectE($22, $24); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $26=$1; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $27=$2; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=$27; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkChildrenEP8JSTracerP5JSXML($26, $28); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      ;
      return; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPKNS_5ShapeE($gcmarker, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$gcmarker;
      $2=$thing;
      var $3=$2; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$3; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=__ZNK2js8GCMarker12getMarkColorEv($5); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZNK2js2gc4Cell14markIfUnmarkedEj($4, $6); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $9=$1; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$2; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL9ScanShapeEPNS_8GCMarkerEPKNS_5ShapeE($9, $10); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      ;
      return; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL16AssertValidColorEPKvj1536($thing, $color) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$thing;
  $2=$color;
  ;
  return; //@line 782 "./jsgc.h"
}


function __ZN2js2gcL16CheckMarkedThingI5JSXMLEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$thing;
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gcL16CheckMarkedThingINS_5types10TypeObjectEEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$thing;
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gcL16CheckMarkedThingIKNS_5ShapeEEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$thing;
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gcL16CheckMarkedThingI8JSScriptEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$thing;
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gcL16CheckMarkedThingI8JSObjectEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$thing;
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gcL16CheckMarkedThingI8JSStringEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$thing;
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function _JSID_IS_INT1542($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT1543($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function __ZL23js_RegenerateShapeForGCP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  var $shape;
  $1=$rt;
  var $2=$1; //@line 2373 "./jscntxt.h"
  var $3=(($2+209944)|0); //@line 2373 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2373 "./jscntxt.h"
  $shape=$4; //@line 2373 "./jscntxt.h"
  var $5=$shape; //@line 2374 "./jscntxt.h"
  var $6=(($5+1)|0); //@line 2374 "./jscntxt.h"
  var $7=$shape; //@line 2374 "./jscntxt.h"
  var $8=$7 & 16777216; //@line 2374 "./jscntxt.h"
  var $9=$6 | $8; //@line 2374 "./jscntxt.h"
  $shape=$9; //@line 2374 "./jscntxt.h"
  var $10=$shape; //@line 2375 "./jscntxt.h"
  var $11=$1; //@line 2375 "./jscntxt.h"
  var $12=(($11+209944)|0); //@line 2375 "./jscntxt.h"
  HEAP32[(($12)>>2)]=$10; //@line 2375 "./jscntxt.h"
  var $13=$shape; //@line 2376 "./jscntxt.h"
  ;
  return $13; //@line 2376 "./jscntxt.h"
}


function __ZN2js9MarkStackIP8JSObjectE4pushES2_($this, $item) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$item;
      var $4=$2;
      var $5=(($4+4)|0); //@line 1445 "./jsgc.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1445 "./jsgc.h"
      var $7=(($4+8)|0); //@line 1445 "./jsgc.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1445 "./jsgc.h"
      var $9=(($6)|0)==(($8)|0); //@line 1445 "./jsgc.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1445 "./jsgc.h"
    case 2: 
      $1=0; //@line 1446 "./jsgc.h"
      __label__ = 4; break; //@line 1446 "./jsgc.h"
    case 3: 
      var $12=$3; //@line 1447 "./jsgc.h"
      var $13=(($4+4)|0); //@line 1447 "./jsgc.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1447 "./jsgc.h"
      var $15=(($14+1)|0); //@line 1447 "./jsgc.h"
      HEAP32[(($13)>>2)]=$15; //@line 1447 "./jsgc.h"
      var $16=(($4)|0); //@line 1447 "./jsgc.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1447 "./jsgc.h"
      var $18=(($17+($14<<2))|0); //@line 1447 "./jsgc.h"
      HEAP32[(($18)>>2)]=$12; //@line 1447 "./jsgc.h"
      $1=1; //@line 1448 "./jsgc.h"
      __label__ = 4; break; //@line 1448 "./jsgc.h"
    case 4: 
      var $20=$1; //@line 1449 "./jsgc.h"
      ;
      return $20; //@line 1449 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9MarkStackIP5JSXMLE4pushES2_($this, $item) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$item;
      var $4=$2;
      var $5=(($4+4)|0); //@line 1445 "./jsgc.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1445 "./jsgc.h"
      var $7=(($4+8)|0); //@line 1445 "./jsgc.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1445 "./jsgc.h"
      var $9=(($6)|0)==(($8)|0); //@line 1445 "./jsgc.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1445 "./jsgc.h"
    case 2: 
      $1=0; //@line 1446 "./jsgc.h"
      __label__ = 4; break; //@line 1446 "./jsgc.h"
    case 3: 
      var $12=$3; //@line 1447 "./jsgc.h"
      var $13=(($4+4)|0); //@line 1447 "./jsgc.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1447 "./jsgc.h"
      var $15=(($14+1)|0); //@line 1447 "./jsgc.h"
      HEAP32[(($13)>>2)]=$15; //@line 1447 "./jsgc.h"
      var $16=(($4)|0); //@line 1447 "./jsgc.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1447 "./jsgc.h"
      var $18=(($17+($14<<2))|0); //@line 1447 "./jsgc.h"
      HEAP32[(($18)>>2)]=$12; //@line 1447 "./jsgc.h"
      $1=1; //@line 1448 "./jsgc.h"
      __label__ = 4; break; //@line 1448 "./jsgc.h"
    case 4: 
      var $20=$1; //@line 1449 "./jsgc.h"
      ;
      return $20; //@line 1449 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9MarkStackIPNS_5types10TypeObjectEE4pushES3_($this, $item) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$item;
      var $4=$2;
      var $5=(($4+4)|0); //@line 1445 "./jsgc.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1445 "./jsgc.h"
      var $7=(($4+8)|0); //@line 1445 "./jsgc.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1445 "./jsgc.h"
      var $9=(($6)|0)==(($8)|0); //@line 1445 "./jsgc.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1445 "./jsgc.h"
    case 2: 
      $1=0; //@line 1446 "./jsgc.h"
      __label__ = 4; break; //@line 1446 "./jsgc.h"
    case 3: 
      var $12=$3; //@line 1447 "./jsgc.h"
      var $13=(($4+4)|0); //@line 1447 "./jsgc.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1447 "./jsgc.h"
      var $15=(($14+1)|0); //@line 1447 "./jsgc.h"
      HEAP32[(($13)>>2)]=$15; //@line 1447 "./jsgc.h"
      var $16=(($4)|0); //@line 1447 "./jsgc.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1447 "./jsgc.h"
      var $18=(($17+($14<<2))|0); //@line 1447 "./jsgc.h"
      HEAP32[(($18)>>2)]=$12; //@line 1447 "./jsgc.h"
      $1=1; //@line 1448 "./jsgc.h"
      __label__ = 4; break; //@line 1448 "./jsgc.h"
    case 4: 
      var $20=$1; //@line 1449 "./jsgc.h"
      ;
      return $20; //@line 1449 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_OBJECT_IMPL1537($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL1538($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function __ZNK8JSObject11hasOwnShapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 646 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 646 "./jsobj.h"
  var $5=$4 & 128; //@line 646 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 646 "./jsobj.h"
  var $7=$6 ^ 1; //@line 646 "./jsobj.h"
  var $8=$7 ^ 1; //@line 646 "./jsobj.h"
  ;
  return $8; //@line 646 "./jsobj.h"
}


function __ZN2js13LargeMarkItemC2EP8JSObject($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=(($3)|0); //@line 1476 "./jsgc.h"
  var $5=$2; //@line 1476 "./jsgc.h"
  HEAP32[(($4)>>2)]=$5; //@line 1476 "./jsgc.h"
  var $6=(($3+4)|0); //@line 1476 "./jsgc.h"
  HEAP32[(($6)>>2)]=0; //@line 1476 "./jsgc.h"
  ;
  return; //@line 1476 "./jsgc.h"
}


function __ZN2js9MarkStackIP6JSRopeE4pushES2_($this, $item) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$item;
      var $4=$2;
      var $5=(($4+4)|0); //@line 1445 "./jsgc.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1445 "./jsgc.h"
      var $7=(($4+8)|0); //@line 1445 "./jsgc.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1445 "./jsgc.h"
      var $9=(($6)|0)==(($8)|0); //@line 1445 "./jsgc.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1445 "./jsgc.h"
    case 2: 
      $1=0; //@line 1446 "./jsgc.h"
      __label__ = 4; break; //@line 1446 "./jsgc.h"
    case 3: 
      var $12=$3; //@line 1447 "./jsgc.h"
      var $13=(($4+4)|0); //@line 1447 "./jsgc.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1447 "./jsgc.h"
      var $15=(($14+1)|0); //@line 1447 "./jsgc.h"
      HEAP32[(($13)>>2)]=$15; //@line 1447 "./jsgc.h"
      var $16=(($4)|0); //@line 1447 "./jsgc.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1447 "./jsgc.h"
      var $18=(($17+($14<<2))|0); //@line 1447 "./jsgc.h"
      HEAP32[(($18)>>2)]=$12; //@line 1447 "./jsgc.h"
      $1=1; //@line 1448 "./jsgc.h"
      __label__ = 4; break; //@line 1448 "./jsgc.h"
    case 4: 
      var $20=$1; //@line 1449 "./jsgc.h"
      ;
      return $20; //@line 1449 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript8hasScopeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1041 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1041 "./jsinfer.h"
  var $5=$4; //@line 1041 "./jsinfer.h"
  var $6=(($5)|0)!=1; //@line 1041 "./jsinfer.h"
  ;
  return $6; //@line 1041 "./jsinfer.h"
}


function __ZN2js2gcL9ScanShapeEPNS_8GCMarkerEPKNS_5ShapeE($gcmarker, $shape) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$gcmarker;
      $2=$shape;
      __label__ = 2; break; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $4=$1; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$4; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144091)|0); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP8[($11)]; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12) & 1); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $15=$rt; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=__ZL23js_RegenerateShapeForGCP9JSRuntime($15); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=$2; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=(($17)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      HEAP32[(($18)>>2)]=$16; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 4; break; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $20=$2; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($20+12)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $23=_JSID_IS_STRING1510($22); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23)|0)!=0; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $26=$1; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $27=$2; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $28=(($27+12)|0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=_JSID_TO_STRING1511($29); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSString($26, $30); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 9; break; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $32=$2; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($32+12)|0); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=_JSID_IS_OBJECT1512($34); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=(($35)|0)!=0; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $38=$1; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$2; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=(($39+12)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $42=_JSID_TO_OBJECT1513($41); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($38, $42); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $45=$2; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $46=__ZNK2js5Shape14hasGetterValueEv($45); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $48=$2; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $49=__ZNK2js5Shape6getterEv($48); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $50=(($49)|0)!=0; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      var $52=$1; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $53=$2; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $54=__ZNK2js5Shape12getterObjectEv($53); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($52, $54); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 12; break; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      var $56=$2; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $57=__ZNK2js5Shape14hasSetterValueEv($56); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      var $59=$2; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $60=__ZNK2js5Shape6setterEv($59); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $61=(($60)|0)!=0; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 14: 
      var $63=$1; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $64=$2; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $65=__ZNK2js5Shape12setterObjectEv($64); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($63, $65); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 15; break; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      var $67=$2; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $68=__ZNK2js5Shape8isMethodEv($67); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($68) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 16: 
      var $70=$1; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $71=$2; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $72=__ZNK2js5Shape12methodObjectEv($71); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($70, $72); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 17; break; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 17: 
      var $74=$2; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $75=__ZNK2js5Shape8previousEv($74); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $2=$75; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $76=$2; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $77=(($76)|0)!=0; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($77) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 18: 
      var $79=$2; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $80=$79; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $81=$1; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $82=__ZNK2js8GCMarker12getMarkColorEv($81); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $83=__ZNK2js2gc4Cell14markIfUnmarkedEj($80, $82); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($83) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 19: 
      __label__ = 2; break; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 20: 
      ;
      return; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gcL9ScanShapeEPNS_8GCMarkerEPKNS_5ShapeE["X"]=1;

function __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSString($gcmarker, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$gcmarker;
      $2=$str;
      var $3=$2; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=__ZNK8JSString8isLinearEv($3); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $6=$2; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZN8JSString8asLinearEv($6); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$1; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=$8; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN14JSLinearString4markEP8JSTracer($7, $9); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $11=$2; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$11; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=__ZNK2js2gc4Cell14markIfUnmarkedEj($12, 0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $15=$1; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$2; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZN8JSString6asRopeEv($16); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL8ScanRopeEPNS_8GCMarkerEP6JSRope($15, $17); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      ;
      return; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($gcmarker, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$gcmarker;
      $2=$thing;
      var $3=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$3; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=__ZNK2js8GCMarker12getMarkColorEv($5); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZNK2js2gc4Cell14markIfUnmarkedEj($4, $6); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $9=$1; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$2; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js8GCMarker10pushObjectEP8JSObject($9, $10); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      ;
      return; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8GCMarker10pushObjectEP8JSObject($this, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$obj;
      var $3=$1;
      var $4=(($3+36)|0); //@line 1538 "./jsgc.h"
      var $5=$2; //@line 1538 "./jsgc.h"
      var $6=__ZN2js9MarkStackIP8JSObjectE4pushES2_($4, $5); //@line 1538 "./jsgc.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1538 "./jsgc.h"
    case 2: 
      var $8=$2; //@line 1539 "./jsgc.h"
      var $9=$8; //@line 1539 "./jsgc.h"
      __ZN2js8GCMarker20delayMarkingChildrenEPKv($3, $9); //@line 1539 "./jsgc.h"
      __label__ = 3; break; //@line 1539 "./jsgc.h"
    case 3: 
      ;
      return; //@line 1540 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP5JSXML($gcmarker, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$gcmarker;
      $2=$thing;
      var $3=$2; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$3; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=__ZNK2js8GCMarker12getMarkColorEv($5); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZNK2js2gc4Cell14markIfUnmarkedEj($4, $6); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $9=$1; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$2; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js8GCMarker7pushXMLEP5JSXML($9, $10); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      ;
      return; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8GCMarker7pushXMLEP5JSXML($this, $xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$xml;
      var $3=$1;
      var $4=(($3+72)|0); //@line 1553 "./jsgc.h"
      var $5=$2; //@line 1553 "./jsgc.h"
      var $6=__ZN2js9MarkStackIP5JSXMLE4pushES2_($4, $5); //@line 1553 "./jsgc.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1553 "./jsgc.h"
    case 2: 
      var $8=$2; //@line 1554 "./jsgc.h"
      var $9=$8; //@line 1554 "./jsgc.h"
      __ZN2js8GCMarker20delayMarkingChildrenEPKv($3, $9); //@line 1554 "./jsgc.h"
      __label__ = 3; break; //@line 1554 "./jsgc.h"
    case 3: 
      ;
      return; //@line 1555 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPNS_5types10TypeObjectE($gcmarker, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$gcmarker;
      $2=$thing;
      var $3=$2; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$3; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=__ZNK2js8GCMarker12getMarkColorEv($5); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZNK2js2gc4Cell14markIfUnmarkedEj($4, $6); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $9=$1; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$2; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js8GCMarker8pushTypeEPNS_5types10TypeObjectE($9, $10); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      ;
      return; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8GCMarker8pushTypeEPNS_5types10TypeObjectE($this, $type) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$type;
      var $3=$1;
      var $4=(($3+60)|0); //@line 1548 "./jsgc.h"
      var $5=$2; //@line 1548 "./jsgc.h"
      var $6=__ZN2js9MarkStackIPNS_5types10TypeObjectEE4pushES3_($4, $5); //@line 1548 "./jsgc.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1548 "./jsgc.h"
    case 2: 
      var $8=$2; //@line 1549 "./jsgc.h"
      var $9=$8; //@line 1549 "./jsgc.h"
      __ZN2js8GCMarker20delayMarkingChildrenEPKv($3, $9); //@line 1549 "./jsgc.h"
      __label__ = 3; break; //@line 1549 "./jsgc.h"
    case 3: 
      ;
      return; //@line 1550 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSScript($gcmarker, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$gcmarker;
      $2=$thing;
      var $3=$2; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$3; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=__ZNK2js8GCMarker12getMarkColorEv($5); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZNK2js2gc4Cell14markIfUnmarkedEj($4, $6); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $9=$1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$9; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$2; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gc12MarkChildrenEP8JSTracerP8JSScript($10, $11); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      ;
      return; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL9ScanValueEPNS_8GCMarkerERKN2JS5ValueE($gcmarker, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $kind;
      $1=$gcmarker;
      $2=$v;
      var $3=$2; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=__ZNK2JS5Value10isMarkableEv($3); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $6=$2; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZNK2JS5Value6gcKindEv($6); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $kind=$7; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=$kind; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=(($8)|0)==1; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $11=$1; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=$2; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=__ZNK2JS5Value8toStringEv($12); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSString($11, $13); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $15=$1; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$2; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2JS5Value8toObjectEv($16); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject($15, $17); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 5; break;
    case 5: 
      __label__ = 6; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      ;
      return; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP10JSFunction($gcmarker, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$gcmarker;
      $2=$thing;
      var $3=$2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$3; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=__ZNK2js8GCMarker12getMarkColorEv($5); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=__ZNK2js2gc4Cell14markIfUnmarkedEj($4, $6); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $9=$1; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$2; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$10; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js8GCMarker10pushObjectEP8JSObject($9, $11); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 3; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      ;
      return; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9MarkStackINS_13LargeMarkItemEE4pushES1_($this, $item) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $item; $item = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($item)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($item+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+4)|0); //@line 1445 "./jsgc.h"
      var $5=HEAP32[(($4)>>2)]; //@line 1445 "./jsgc.h"
      var $6=(($3+8)|0); //@line 1445 "./jsgc.h"
      var $7=HEAP32[(($6)>>2)]; //@line 1445 "./jsgc.h"
      var $8=(($5)|0)==(($7)|0); //@line 1445 "./jsgc.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1445 "./jsgc.h"
    case 2: 
      $1=0; //@line 1446 "./jsgc.h"
      __label__ = 4; break; //@line 1446 "./jsgc.h"
    case 3: 
      var $11=(($3+4)|0); //@line 1447 "./jsgc.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1447 "./jsgc.h"
      var $13=(($12+1)|0); //@line 1447 "./jsgc.h"
      HEAP32[(($11)>>2)]=$13; //@line 1447 "./jsgc.h"
      var $14=(($3)|0); //@line 1447 "./jsgc.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1447 "./jsgc.h"
      var $16=(($15+($12<<3))|0); //@line 1447 "./jsgc.h"
      var $17=$16; //@line 1447 "./jsgc.h"
      var $18=$item; //@line 1447 "./jsgc.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1447 "./jsgc.h"
      $1=1; //@line 1448 "./jsgc.h"
      __label__ = 4; break; //@line 1448 "./jsgc.h"
    case 4: 
      var $20=$1; //@line 1449 "./jsgc.h"
      STACKTOP = __stackBase__;
      return $20; //@line 1449 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13LargeMarkItemC1EP8JSObject($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=$2; //@line 1476 "./jsgc.h"
  __ZN2js13LargeMarkItemC2EP8JSObject($3, $4); //@line 1476 "./jsgc.h"
  ;
  return; //@line 1476 "./jsgc.h"
}


function __ZN8JSObject9scanSlotsEPN2js8GCMarkerE($this, $gcmarker) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $nslots;
      var $nfixed;
      var $vp;
      var $vp1;
      $1=$this;
      $2=$gcmarker;
      var $3=$1;
      var $4=__ZNK8JSObject8slotSpanEv($3); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $nslots=$4; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=(($3+32)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=(($6)|0)!=0; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $9=__ZNK8JSObject13numFixedSlotsEv($3); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $nfixed=$9; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$nslots; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=$nfixed; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=(($10)>>>0) > (($11)>>>0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $14=__ZNK8JSObject10fixedSlotsEv($3); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $vp=$14; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=0; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 4; break; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $16=$i; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=$nfixed; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=(($16)>>>0) < (($17)>>>0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $20=$2; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=$vp; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL9ScanValueEPNS_8GCMarkerERKN2JS5ValueE($20, $21); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 6: 
      var $23=$i; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+1)|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$24; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=$vp; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25+8)|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $vp=$26; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 4; break; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      var $28=(($3+32)|0); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $vp=$29; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 8: 
      var $31=$i; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $32=$nslots; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $33=(($31)>>>0) < (($32)>>>0); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 9: 
      var $35=$2; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$vp; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL9ScanValueEPNS_8GCMarkerERKN2JS5ValueE($35, $36); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 10; break; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 10: 
      var $38=$i; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=(($38+1)|0); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$39; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=$vp; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $41=(($40+8)|0); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $vp=$41; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 8; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 11: 
      __label__ = 17; break; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 12: 
      __label__ = 13; break; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 13: 
      var $45=__ZNK8JSObject10fixedSlotsEv($3); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $vp1=$45; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=0; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 14; break; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 14: 
      var $47=$i; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $48=$nslots; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $49=(($47)>>>0) < (($48)>>>0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($49) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 15: 
      var $51=$2; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $52=$vp1; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL9ScanValueEPNS_8GCMarkerERKN2JS5ValueE($51, $52); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 16; break; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 16: 
      var $54=$i; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $55=(($54+1)|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $i=$55; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $56=$vp1; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $57=(($56+8)|0); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $vp1=$57; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 14; break; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 17: 
      ;
      return; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject9scanSlotsEPN2js8GCMarkerE["X"]=1;

function __ZN2js8GCMarker8pushRopeEP6JSRope($this, $rope) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$rope;
      var $3=$1;
      var $4=(($3+48)|0); //@line 1543 "./jsgc.h"
      var $5=$2; //@line 1543 "./jsgc.h"
      var $6=__ZN2js9MarkStackIP6JSRopeE4pushES2_($4, $5); //@line 1543 "./jsgc.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1543 "./jsgc.h"
    case 2: 
      var $8=$2; //@line 1544 "./jsgc.h"
      var $9=$8; //@line 1544 "./jsgc.h"
      __ZN2js8GCMarker20delayMarkingChildrenEPKv($3, $9); //@line 1544 "./jsgc.h"
      __label__ = 3; break; //@line 1544 "./jsgc.h"
    case 3: 
      ;
      return; //@line 1545 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL15HashSetCapacityEj1539($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12JSID_TO_ATOMi1540($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING1511($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZL12JSID_IS_ATOMi1541($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING1510($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZN2js2gcL16CheckMarkedThingI6JSAtomEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$thing;
  ;
  return; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
}


function __ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE1544($thingKind) {
  ;
  var __label__;

  var $1;
  $1=$thingKind;
  var $2=$1; //@line 854 "./jsgc.h"
  var $3=((__ZZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindEE3map1495+($2<<2))|0); //@line 854 "./jsgc.h"
  var $4=HEAP32[(($3)>>2)]; //@line 854 "./jsgc.h"
  ;
  return $4; //@line 854 "./jsgc.h"
}


function _JSVAL_IS_STRING_IMPL1546($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_TO_GCTHING_IMPL1547($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 590 "./jsval.h"
  var $2=(($1)|0); //@line 590 "./jsval.h"
  var $3=$2; //@line 590 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 590 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 590 "./jsval.h"
}


function _JSVAL_IS_TRACEABLE_IMPL1548($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=$l; //@line 596 "./jsval.h"
      var $2=(($1+4)|0); //@line 596 "./jsval.h"
      var $3=HEAP32[(($2)>>2)]; //@line 596 "./jsval.h"
      var $4=(($3)|0)==-123; //@line 596 "./jsval.h"
      if ($4) { var $11 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 596 "./jsval.h"
    case 2: 
      var $6=$l; //@line 596 "./jsval.h"
      var $7=(($6+4)|0); //@line 596 "./jsval.h"
      var $8=HEAP32[(($7)>>2)]; //@line 596 "./jsval.h"
      var $9=(($8)|0)==-121; //@line 596 "./jsval.h"
      var $11 = $9;__label__ = 3; break; //@line 596 "./jsval.h"
    case 3: 
      var $11;
      var $12=(($11)&1); //@line 596 "./jsval.h"
      STACKTOP = __stackBase__;
      return $12; //@line 596 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetGCInfoEnabled($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $3=(($2+229032)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $4=(($3+9)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $5=HEAP8[($4)]; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $6=(($5) & 1); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  ;
  return $6; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
}


function _JS_SetGCInfoEnabled($rt, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$rt;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$2; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $5=(($4) & 1); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $6=$1; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $7=(($6+229032)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $8=(($7+9)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $9=(($5)&1); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  HEAP8[($8)]=$9; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  ;
  return; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
}


function _JS_GCInfoFront($rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $data;
      $2=$rt;
      var $3=$2; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $4=(($3+229032)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $data=$4; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $5=$data; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $6=(($5+5904)|0); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $8=(($7)|0)!=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 2: 
      $1=0; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      __label__ = 4; break; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 3: 
      var $11=$data; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $12=(($11+5900)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $14=$data; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $15=(($14+12)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $16=(($15+$13*92)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $1=$16; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      __label__ = 4; break; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 4: 
      var $18=$1; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      ;
      return $18; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GCInfoPopFront($rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $data;
      $2=$rt;
      var $3=$2; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $4=(($3+229032)|0); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $data=$4; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $5=$data; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $6=(($5+5904)|0); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $7=HEAPU32[(($6)>>2)]; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $8=(($7)>>>0) >= 64; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 2: 
      var $10=$data; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $11=(($10+5900)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP32[(($11)>>2)]=0; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $12=$data; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $13=(($12+5904)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP32[(($13)>>2)]=0; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $1=1; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      __label__ = 4; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 3: 
      var $15=$data; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $16=(($15+5900)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $18=(($17+1)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $19=(($18)>>>0)%64; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $20=$data; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $21=(($20+5900)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $22=$data; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $23=(($22+5904)|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $25=(($24-1)|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP32[(($23)>>2)]=$25; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $1=0; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      __label__ = 4; break; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 4: 
      var $27=$1; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      ;
      return $27; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime6GCData14isTimerEnabledEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+9)|0); //@line 691 "./jscntxt.h"
  var $4=HEAP8[($3)]; //@line 691 "./jscntxt.h"
  var $5=(($4) & 1); //@line 691 "./jscntxt.h"
  ;
  return $5; //@line 691 "./jscntxt.h"
}


function __ZN9JSRuntime6GCData13setFirstEnterEy($this, $v$0, $v$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$v$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$v$1;
  var $3=$1;
  var $st$8$0=(($2)|0);
  var $4$0=HEAP32[(($st$8$0)>>2)];
  var $st$8$1=(($2+4)|0);
  var $4$1=HEAP32[(($st$8$1)>>2)];
  var $5=(($3)|0); //@line 683 "./jscntxt.h"
  var $st$13$0=(($5)|0);
  HEAP32[(($st$13$0)>>2)]=$4$0;
  var $st$13$1=(($5+4)|0);
  HEAP32[(($st$13$1)>>2)]=$4$1;
  var $6=(($3+8)|0); //@line 684 "./jscntxt.h"
  HEAP8[($6)]=1; //@line 684 "./jscntxt.h"
  STACKTOP = __stackBase__;
  return; //@line 685 "./jscntxt.h"
}


function __ZN2js2gc4MarkI6JSAtomEEvP8JSTracerPT_($trc, $thing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      $1=$trc;
      $2=$thing;
      var $3=$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $4=$2; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL16CheckMarkedThingI6JSAtomEEvP8JSTracerPT_($3, $4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $5=$1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $6=(($5)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $8=(($7+52)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      $rt=$9; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $10=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $11=(($10+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $13=(($12)|0)!=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 2: 
      var $15=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $16=$15; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $18=$rt; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $19=(($18+144080)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $21=(($17)|0)==(($20)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 3: 
      var $23=$1; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $24=(($23+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $26=(($25)|0)==0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 4: 
      var $28=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $29=$28; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $30=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $31=$30; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSString($29, $31); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 5: 
      var $33=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $34=(($33+4)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $36=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $37=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $38=$37; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $39=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $40=$39; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      var $41=__ZN2js2gc19GetGCThingTraceKindEPKv($40); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      FUNCTION_TABLE[$35]($36, $38, $41); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    case 7: 
      ;
      return; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcmark.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc4MarkI6JSAtomEEvP8JSTracerPT_["X"]=1;

function _JSVAL_TRACE_KIND_IMPL1545($l) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=__stackBase__;
  var $2=$1; //@line 602 "./jsval.h"
  var $3=$l; //@line 602 "./jsval.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 602 "./jsval.h"
  var $4=_JSVAL_IS_STRING_IMPL1546($1); //@line 602 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 602 "./jsval.h"
}


function __ZN2js7GCTimerC2EP9JSRuntimeP13JSCompartment($this, $rt, $comp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$rt;
  $3=$comp;
  var $4=$1;
  var $5=(($4)|0); //@line 218 "./jsgcstats.h"
  var $6=$2; //@line 218 "./jsgcstats.h"
  HEAP32[(($5)>>2)]=$6; //@line 218 "./jsgcstats.h"
  var $7=(($4+76)|0); //@line 218 "./jsgcstats.h"
  var $8=$3; //@line 218 "./jsgcstats.h"
  var $9=(($8)|0)!=0; //@line 218 "./jsgcstats.h"
  var $10=(($9)&1); //@line 218 "./jsgcstats.h"
  HEAP8[($7)]=$10; //@line 218 "./jsgcstats.h"
  var $11=(($4+77)|0); //@line 218 "./jsgcstats.h"
  var $12=$2; //@line 217 "./jsgcstats.h"
  var $13=(($12+229032)|0); //@line 217 "./jsgcstats.h"
  var $14=__ZN9JSRuntime6GCData14isTimerEnabledEv($13); //@line 217 "./jsgcstats.h"
  var $15=(($14)&1); //@line 217 "./jsgcstats.h"
  HEAP8[($11)]=$15; //@line 217 "./jsgcstats.h"
  __ZN2js7GCTimer15clearTimestampsEv($4); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $16=__ZN2js7GCTimer13getFirstEnterEv($4);
  var $16$0=$16[0];
  var $16$1=$16[1];
  var $17=_PRMJ_Now();
  var $17$0=$17[0];
  var $17$1=$17[1];
  var $18=(($4+4)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
  var $st$29$0=(($18)|0);
  HEAP32[(($st$29$0)>>2)]=$17$0;
  var $st$29$1=(($18+4)|0);
  HEAP32[(($st$29$1)>>2)]=$17$1;
  ;
  return; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
}


function __ZN2js7GCTimer15clearTimestampsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 150 "./jsgcstats.h"
  var $4=$3; //@line 150 "./jsgcstats.h"
  var $5=(($2+68)|0); //@line 150 "./jsgcstats.h"
  var $6=(($2+4)|0); //@line 150 "./jsgcstats.h"
  var $7=$5; //@line 150 "./jsgcstats.h"
  var $8=$6; //@line 150 "./jsgcstats.h"
  var $9=(($7-$8)|0); //@line 150 "./jsgcstats.h"
  var $10=(((($9)|0)/8)&-1); //@line 150 "./jsgcstats.h"
  var $11=(($10+8)|0); //@line 150 "./jsgcstats.h"
  _memset($4, 0, $11, 1); //@line 150 "./jsgcstats.h"
  ;
  return; //@line 151 "./jsgcstats.h"
}


function __ZN2js7GCTimer13getFirstEnterEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $data;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $5=(($4+229032)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $data=$5; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $6=(($2+77)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $7=HEAP8[($6)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $8=(($7) & 1); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 2: 
      var $10=$data; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $11=(($10+8)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $12=HEAP8[($11)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $13=(($12) & 1); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 3: 
      var $15=$data; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $16=_PRMJ_Now();
      var $16$0=$16[0];
      var $16$1=$16[1];
      __ZN9JSRuntime6GCData13setFirstEnterEy($15, $16$0, $16$1);
      __label__ = 4; break; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 4: 
      var $18=$data; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $19=(($18)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$2$0=(($19)|0);
      var $20$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($19+4)|0);
      var $20$1=HEAP32[(($st$2$1)>>2)];
      ;
      return [$20$0,$20$1]; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7GCTimer6finishEb($this, $lastGC) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $appTime;
      var $gcTime;
      var $waitTime;
      var $markTime;
      var $sweepTime;
      var $sweepObjTime;
      var $sweepStringTime;
      var $sweepScriptTime;
      var $sweepShapeTime;
      var $destroyTime;
      var $endTime;
      var $data;
      var $oldLimit;
      var $info;
      $1=$this;
      var $3=(($lastGC)&1);
      $2=$3;
      var $4=$1;
      var $5=(($4+77)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $6=HEAP8[($5)]; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $7=(($6) & 1); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 2: 
      HEAP32[((__ZN2js13newChunkCountE)>>2)]=0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP32[((__ZN2js17destroyChunkCountE)>>2)]=0; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      __label__ = 6; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 3: 
      var $10=_PRMJ_Now();
      var $10$0=$10[0];
      var $10$1=$10[1];
      var $11=(($4+68)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$4$0=(($11)|0);
      HEAP32[(($st$4$0)>>2)]=$10$0;
      var $st$4$1=(($11+4)|0);
      HEAP32[(($st$4$1)>>2)]=$10$1;
      var $12=(($4+12)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$9$0=(($12)|0);
      var $13$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($12+4)|0);
      var $13$1=HEAP32[(($st$9$1)>>2)];
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $14=($13$1>>>0) > ($$emscripten$temp$0$1>>>0) || (($13$1>>>0) == ($$emscripten$temp$0$1>>>0) && ($13$0>>>0) >  ($$emscripten$temp$0$0>>>0)); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 4: 
      var $16=(($4+4)|0); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$1$0=(($16)|0);
      var $17$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$1$1)>>2)];
      var $18=__ZN2js7GCTimer13getFirstEnterEv($4);
      var $18$0=$18[0];
      var $18$1=$18[1];
      var $19$0 = (i64Math.subtract($17$0,$17$1,$18$0,$18$1),i64Math.result[0]); var $19$1 = i64Math.result[1]; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $20=$19$0 + $19$1*4294967296; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $21=$20/1000; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $appTime=$21; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $22=(($4+68)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$13$0=(($22)|0);
      var $23$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($22+4)|0);
      var $23$1=HEAP32[(($st$13$1)>>2)];
      var $24=(($4+4)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$18$0=(($24)|0);
      var $25$0=HEAP32[(($st$18$0)>>2)];
      var $st$18$1=(($24+4)|0);
      var $25$1=HEAP32[(($st$18$1)>>2)];
      var $26$0 = (i64Math.subtract($23$0,$23$1,$25$0,$25$1),i64Math.result[0]); var $26$1 = i64Math.result[1]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $27=$26$0 + $26$1*4294967296; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $28=$27/1000; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $gcTime=$28; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $29=(($4+12)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$27$0=(($29)|0);
      var $30$0=HEAP32[(($st$27$0)>>2)];
      var $st$27$1=(($29+4)|0);
      var $30$1=HEAP32[(($st$27$1)>>2)];
      var $31=(($4+4)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$32$0=(($31)|0);
      var $32$0=HEAP32[(($st$32$0)>>2)];
      var $st$32$1=(($31+4)|0);
      var $32$1=HEAP32[(($st$32$1)>>2)];
      var $33$0 = (i64Math.subtract($30$0,$30$1,$32$0,$32$1),i64Math.result[0]); var $33$1 = i64Math.result[1]; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $34=$33$0 + $33$1*4294967296; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $35=$34/1000; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $waitTime=$35; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $36=(($4+20)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$41$0=(($36)|0);
      var $37$0=HEAP32[(($st$41$0)>>2)];
      var $st$41$1=(($36+4)|0);
      var $37$1=HEAP32[(($st$41$1)>>2)];
      var $38=(($4+12)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$46$0=(($38)|0);
      var $39$0=HEAP32[(($st$46$0)>>2)];
      var $st$46$1=(($38+4)|0);
      var $39$1=HEAP32[(($st$46$1)>>2)];
      var $40$0 = (i64Math.subtract($37$0,$37$1,$39$0,$39$1),i64Math.result[0]); var $40$1 = i64Math.result[1]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $41=$40$0 + $40$1*4294967296; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $42=$41/1000; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $markTime=$42; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $43=(($4+60)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$55$0=(($43)|0);
      var $44$0=HEAP32[(($st$55$0)>>2)];
      var $st$55$1=(($43+4)|0);
      var $44$1=HEAP32[(($st$55$1)>>2)];
      var $45=(($4+20)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$60$0=(($45)|0);
      var $46$0=HEAP32[(($st$60$0)>>2)];
      var $st$60$1=(($45+4)|0);
      var $46$1=HEAP32[(($st$60$1)>>2)];
      var $47$0 = (i64Math.subtract($44$0,$44$1,$46$0,$46$1),i64Math.result[0]); var $47$1 = i64Math.result[1]; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $48=$47$0 + $47$1*4294967296; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $49=$48/1000; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $sweepTime=$49; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $50=(($4+28)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$69$0=(($50)|0);
      var $51$0=HEAP32[(($st$69$0)>>2)];
      var $st$69$1=(($50+4)|0);
      var $51$1=HEAP32[(($st$69$1)>>2)];
      var $52=(($4+20)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$74$0=(($52)|0);
      var $53$0=HEAP32[(($st$74$0)>>2)];
      var $st$74$1=(($52+4)|0);
      var $53$1=HEAP32[(($st$74$1)>>2)];
      var $54$0 = (i64Math.subtract($51$0,$51$1,$53$0,$53$1),i64Math.result[0]); var $54$1 = i64Math.result[1]; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $55=$54$0 + $54$1*4294967296; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $56=$55/1000; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $sweepObjTime=$56; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $57=(($4+36)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$83$0=(($57)|0);
      var $58$0=HEAP32[(($st$83$0)>>2)];
      var $st$83$1=(($57+4)|0);
      var $58$1=HEAP32[(($st$83$1)>>2)];
      var $59=(($4+28)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$88$0=(($59)|0);
      var $60$0=HEAP32[(($st$88$0)>>2)];
      var $st$88$1=(($59+4)|0);
      var $60$1=HEAP32[(($st$88$1)>>2)];
      var $61$0 = (i64Math.subtract($58$0,$58$1,$60$0,$60$1),i64Math.result[0]); var $61$1 = i64Math.result[1]; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $62=$61$0 + $61$1*4294967296; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $63=$62/1000; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $sweepStringTime=$63; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $64=(($4+44)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$97$0=(($64)|0);
      var $65$0=HEAP32[(($st$97$0)>>2)];
      var $st$97$1=(($64+4)|0);
      var $65$1=HEAP32[(($st$97$1)>>2)];
      var $66=(($4+36)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$102$0=(($66)|0);
      var $67$0=HEAP32[(($st$102$0)>>2)];
      var $st$102$1=(($66+4)|0);
      var $67$1=HEAP32[(($st$102$1)>>2)];
      var $68$0 = (i64Math.subtract($65$0,$65$1,$67$0,$67$1),i64Math.result[0]); var $68$1 = i64Math.result[1]; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $69=$68$0 + $68$1*4294967296; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $70=$69/1000; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $sweepScriptTime=$70; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $71=(($4+52)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$111$0=(($71)|0);
      var $72$0=HEAP32[(($st$111$0)>>2)];
      var $st$111$1=(($71+4)|0);
      var $72$1=HEAP32[(($st$111$1)>>2)];
      var $73=(($4+44)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$116$0=(($73)|0);
      var $74$0=HEAP32[(($st$116$0)>>2)];
      var $st$116$1=(($73+4)|0);
      var $74$1=HEAP32[(($st$116$1)>>2)];
      var $75$0 = (i64Math.subtract($72$0,$72$1,$74$0,$74$1),i64Math.result[0]); var $75$1 = i64Math.result[1]; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $76=$75$0 + $75$1*4294967296; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $77=$76/1000; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $sweepShapeTime=$77; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $78=(($4+60)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$125$0=(($78)|0);
      var $79$0=HEAP32[(($st$125$0)>>2)];
      var $st$125$1=(($78+4)|0);
      var $79$1=HEAP32[(($st$125$1)>>2)];
      var $80=(($4+52)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$130$0=(($80)|0);
      var $81$0=HEAP32[(($st$130$0)>>2)];
      var $st$130$1=(($80+4)|0);
      var $81$1=HEAP32[(($st$130$1)>>2)];
      var $82$0 = (i64Math.subtract($79$0,$79$1,$81$0,$81$1),i64Math.result[0]); var $82$1 = i64Math.result[1]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $83=$82$0 + $82$1*4294967296; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $84=$83/1000; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $destroyTime=$84; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $85=(($4+68)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$139$0=(($85)|0);
      var $86$0=HEAP32[(($st$139$0)>>2)];
      var $st$139$1=(($85+4)|0);
      var $86$1=HEAP32[(($st$139$1)>>2)];
      var $87=(($4+60)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $st$144$0=(($87)|0);
      var $88$0=HEAP32[(($st$144$0)>>2)];
      var $st$144$1=(($87+4)|0);
      var $88$1=HEAP32[(($st$144$1)>>2)];
      var $89$0 = (i64Math.subtract($86$0,$86$1,$88$0,$88$1),i64Math.result[0]); var $89$1 = i64Math.result[1]; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $90=$89$0 + $89$1*4294967296; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $91=$90/1000; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $endTime=$91; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $92=(($4)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $94=(($93+229032)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $data=$94; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $95=$data; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $96=(($95+5900)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $98=$data; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $99=(($98+5904)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $101=(($97+$100)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $102=(($101)>>>0)%64; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $oldLimit=$102; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $103=$data; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $104=(($103+5904)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $106=(($105+1)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP32[(($104)>>2)]=$106; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $107=$oldLimit; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $108=$data; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $109=(($108+12)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $110=(($109+$107*92)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      $info=$110; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $111=$appTime; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $112=$info; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $113=(($112)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$111,HEAP32[(($113)>>2)]=tempDoubleI32[0],HEAP32[(($113+4)>>2)]=tempDoubleI32[1]); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $114=$gcTime; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $115=$info; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $116=(($115+8)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$114,HEAP32[(($116)>>2)]=tempDoubleI32[0],HEAP32[(($116+4)>>2)]=tempDoubleI32[1]); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $117=$waitTime; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $118=$info; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $119=(($118+16)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$117,HEAP32[(($119)>>2)]=tempDoubleI32[0],HEAP32[(($119+4)>>2)]=tempDoubleI32[1]); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $120=$markTime; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $121=$info; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $122=(($121+24)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$120,HEAP32[(($122)>>2)]=tempDoubleI32[0],HEAP32[(($122+4)>>2)]=tempDoubleI32[1]); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $123=$sweepTime; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $124=$info; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $125=(($124+32)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$123,HEAP32[(($125)>>2)]=tempDoubleI32[0],HEAP32[(($125+4)>>2)]=tempDoubleI32[1]); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $126=$sweepObjTime; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $127=$info; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $128=(($127+40)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$126,HEAP32[(($128)>>2)]=tempDoubleI32[0],HEAP32[(($128+4)>>2)]=tempDoubleI32[1]); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $129=$sweepStringTime; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $130=$info; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $131=(($130+48)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$129,HEAP32[(($131)>>2)]=tempDoubleI32[0],HEAP32[(($131+4)>>2)]=tempDoubleI32[1]); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $132=$sweepScriptTime; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $133=$info; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $134=(($133+56)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$132,HEAP32[(($134)>>2)]=tempDoubleI32[0],HEAP32[(($134+4)>>2)]=tempDoubleI32[1]); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $135=$sweepShapeTime; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $136=$info; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $137=(($136+64)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$135,HEAP32[(($137)>>2)]=tempDoubleI32[0],HEAP32[(($137+4)>>2)]=tempDoubleI32[1]); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $138=$destroyTime; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $139=$info; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $140=(($139+72)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$138,HEAP32[(($140)>>2)]=tempDoubleI32[0],HEAP32[(($140+4)>>2)]=tempDoubleI32[1]); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $141=$endTime; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $142=$info; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $143=(($142+80)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      (tempDoubleF64[0]=$141,HEAP32[(($143)>>2)]=tempDoubleI32[0],HEAP32[(($143+4)>>2)]=tempDoubleI32[1]); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $144=(($4+76)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $145=HEAP8[($144)]; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $146=(($145) & 1); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $147=$info; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $148=(($147+88)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      var $149=(($146)&1); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP8[($148)]=$149; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      __label__ = 5; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 5: 
      HEAP32[((__ZN2js13newChunkCountE)>>2)]=0; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP32[((__ZN2js17destroyChunkCountE)>>2)]=0; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=10; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
      __label__ = 6; break; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    case 6: 
      ;
      return; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsgcstats.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7GCTimer6finishEb["X"]=1;

function _JS_NewHashTable($n, $keyHash, $keyCompare, $valueCompare, $allocOps, $allocPriv) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $ht;
      var $nb;
      $2=$n;
      $3=$keyHash;
      $4=$keyCompare;
      $5=$valueCompare;
      $6=$allocOps;
      $7=$allocPriv;
      var $8=$2; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=(($8)>>>0) <= 16; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      $2=4; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 6; break; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $12=$2; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=_JS_CeilingLog2($12); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $2=$13; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $14=$2; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $15=(($14)|0) < 0; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      $1=0; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 13; break; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $19=$6; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $20=(($19)|0)!=0; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($20) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 7: 
      $6=__ZL19defaultHashAllocOps; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 8: 
      var $23=$6; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $24=(($23)|0); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $26=$7; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $27=FUNCTION_TABLE[$25]($26, 32); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $28=$27; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $ht=$28; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $29=$ht; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $30=(($29)|0)!=0; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 9: 
      $1=0; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 13; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 10: 
      var $33=$ht; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $34=$33; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      _memset($34, 0, 32, 1); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $35=$2; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $36=((32-$35)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $37=$ht; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $38=(($37+8)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($38)>>2)]=$36; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $39=$2; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $40=1 << $39; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $2=$40; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $41=$2; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $42=((($41<<2))|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $nb=$42; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $43=$6; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $44=(($43)|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $46=$7; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $47=$nb; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $48=FUNCTION_TABLE[$45]($46, $47); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $49=$48; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $50=$ht; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $51=(($50)|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($51)>>2)]=$49; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $52=$ht; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $53=(($52)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $55=(($54)|0)!=0; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 11: 
      var $57=$6; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $58=(($57+4)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $60=$7; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $61=$ht; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $62=$61; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $63=$nb; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      FUNCTION_TABLE[$59]($60, $62, $63); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=0; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 13; break; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 12: 
      var $65=$ht; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $66=(($65)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $68=$67; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $69=$nb; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      _memset($68, 0, $69, 1); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $70=$3; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $71=$ht; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $72=(($71+12)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($72)>>2)]=$70; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $73=$4; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $74=$ht; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $75=(($74+16)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($75)>>2)]=$73; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $76=$5; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $77=$ht; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $78=(($77+20)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($78)>>2)]=$76; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $79=$6; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $80=$ht; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $81=(($80+24)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($81)>>2)]=$79; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $82=$7; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $83=$ht; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $84=(($83+28)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($84)>>2)]=$82; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $85=$ht; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=$85; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 13; break; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 13: 
      var $87=$1; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return $87; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_NewHashTable["X"]=1;

function _JS_HashTableDestroy($ht) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $i;
      var $n;
      var $he;
      var $hep;
      var $allocOps;
      var $allocPriv;
      $1=$ht;
      var $2=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $3=(($2+24)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $allocOps=$4; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $5=$1; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=(($5+28)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $allocPriv=$7; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=$1; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=(($8+8)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=((32-$10)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=1 << $11; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $n=$12; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $i=0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 2; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $14=$i; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $15=$n; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $16=(($14)>>>0) < (($15)>>>0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $18=$i; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=$1; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $20=(($19)|0); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $22=(($21+($18<<2))|0); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$22; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 4; break; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $24=$hep; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$25; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $26=(($25)|0)!=0; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      var $28=$he; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $29=(($28)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $31=$hep; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($31)>>2)]=$30; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $32=$allocOps; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $33=(($32+12)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $35=$allocPriv; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $36=$he; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      FUNCTION_TABLE[$34]($35, $36, 1); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 4; break; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 6: 
      __label__ = 7; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 7: 
      var $39=$i; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $40=(($39+1)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $i=$40; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 2; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 8: 
      var $42=$allocOps; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $43=(($42+4)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $45=$allocPriv; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $46=$1; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $47=(($46)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $49=$48; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $50=$n; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $51=((($50<<2))|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      FUNCTION_TABLE[$44]($45, $49, $51); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $52=$allocOps; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $53=(($52+4)|0); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $55=$allocPriv; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $56=$1; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $57=$56; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      FUNCTION_TABLE[$54]($55, $57, 32); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_HashTableDestroy["X"]=1;

function _JS_HashTableRawLookup($ht, $keyHash, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $he;
      var $hep;
      var $hep0;
      $2=$ht;
      $3=$keyHash;
      $4=$key;
      var $5=$3; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=(($5*-1640531527)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $7=$2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=(($7+8)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=$6 >>> (($9)>>>0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=$2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=(($11)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $14=(($13+($10<<2))|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep0=$14; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$14; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 2; break; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $16=$hep; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$17; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $18=(($17)|0)!=0; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $20=$he; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $21=(($20+4)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $23=$3; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $24=(($22)|0)==(($23)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $26=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $27=(($26+16)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $29=$4; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $30=$he; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $31=(($30+8)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $33=FUNCTION_TABLE[$28]($29, $32); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $34=(($33)|0)!=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      var $36=$hep; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $37=$hep0; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $38=(($36)|0)!=(($37)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 6: 
      var $40=$he; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $41=(($40)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $43=$hep; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($43)>>2)]=$42; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $44=$hep0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $46=$he; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $47=(($46)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($47)>>2)]=$45; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $48=$he; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $49=$hep0; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($49)>>2)]=$48; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 7; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 7: 
      var $51=$hep0; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=$51; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 10; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 8: 
      var $53=$he; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $54=(($53)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$54; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 2; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 9: 
      var $56=$hep; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=$56; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 10; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 10: 
      var $58=$1; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return $58; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_HashTableRawLookup["X"]=1;

function _JS_CompareValues($v1, $v2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$v1;
  $2=$v2;
  var $3=$1; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $4=$2; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $5=(($3)|0)==(($4)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $6=(($5)&1); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  ;
  return $6; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
}


function _JS_HashString($key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $h;
      var $s;
      $1=$key;
      $h=0; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $2=$1; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $s=$2; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 2; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $4=$s; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $5=HEAP8[($4)]; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=(($5 << 24) >> 24)!=0; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $8=$h; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=$8 << 4; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=$h; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=$10 >>> 28; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=$9 | $11; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=$s; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $14=HEAPU8[($13)]; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $15=(($14)&255); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $16=$12 ^ $15; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $h=$16; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 4; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $18=$s; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=(($18+1)|0); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $s=$19; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 2; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      var $21=$h; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return $21; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_HashTableRawAdd($ht, $hep, $keyHash, $key, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $n;
      var $he;
      $2=$ht;
      $3=$hep;
      $4=$keyHash;
      $5=$key;
      $6=$value;
      var $7=$2; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=(($7+8)|0); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=((32-$9)|0); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=1 << $10; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $n=$11; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=$2; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=(($12+4)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $14=HEAPU32[(($13)>>2)]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $15=$n; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $16=$n; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $17=$16 >>> 3; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $18=(($15-$17)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=(($14)>>>0) >= (($18)>>>0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $21=$2; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $22=$2; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $23=(($22+8)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $25=(($24-1)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $26=__ZL6ResizeP11JSHashTablej($21, $25); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $27=(($26)|0)!=0; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      $1=0; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $30=$2; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $31=$4; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $32=$5; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $33=_JS_HashTableRawLookup($30, $31, $32); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $34=$3; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($34)>>2)]=$33; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 5; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      var $36=$2; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $37=(($36+24)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $39=(($38+8)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $41=$2; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $42=(($41+28)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $44=$5; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $45=FUNCTION_TABLE[$40]($43, $44); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$45; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $46=$he; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $47=(($46)|0)!=0; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($47) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 6: 
      $1=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 7: 
      var $50=$4; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $51=$he; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $52=(($51+4)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($52)>>2)]=$50; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $53=$5; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $54=$he; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $55=(($54+8)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($55)>>2)]=$53; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $56=$6; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $57=$he; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $58=(($57+12)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $59=$3; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $62=$he; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $63=(($62)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($63)>>2)]=$61; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $64=$he; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $65=$3; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($66)>>2)]=$64; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $67=$2; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $68=(($67+4)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $70=(($69+1)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($68)>>2)]=$70; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $71=$he; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=$71; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 8: 
      var $73=$1; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return $73; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_HashTableRawAdd["X"]=1;

function __ZL6ResizeP11JSHashTablej($ht, $newshift) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nb;
      var $nentries;
      var $i;
      var $oldbuckets;
      var $he;
      var $next;
      var $hep;
      var $nold;
      $2=$ht;
      $3=$newshift;
      var $4=$2; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $5=(($4+8)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $7=((32-$6)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=1 << $7; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $nold=$8; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=$3; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=((32-$9)|0); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=1 << $10; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $nb=$11; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=$nb; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=(($12)>>>0) > 1073741823; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      $1=0; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 17; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $16=$nb; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $17=((($16<<2))|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $nb=$17; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $18=$2; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=(($18)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $oldbuckets=$20; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $21=$2; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $22=(($21+24)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $24=(($23)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $26=$2; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $27=(($26+28)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $29=$nb; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $30=FUNCTION_TABLE[$25]($28, $29); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $31=$30; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $32=$2; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $33=(($32)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($33)>>2)]=$31; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $34=$2; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $35=(($34)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $37=(($36)|0)!=0; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($37) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $39=$oldbuckets; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $40=$2; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $41=(($40)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=0; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 17; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      var $43=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $44=(($43)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $46=$45; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $47=$nb; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      _memset($46, 0, $47, 1); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $48=$3; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $49=$2; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $50=(($49+8)|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($50)>>2)]=$48; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $51=$2; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $52=(($51+4)|0); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $nentries=$53; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $i=0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 6; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 6: 
      var $55=$nentries; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $56=(($55)|0)!=0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($56) { __label__ = 7; break; } else { __label__ = 16; break; } //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 7: 
      var $58=$i; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $59=$oldbuckets; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $60=(($59+($58<<2))|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$61; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 8: 
      var $63=$he; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $64=(($63)|0)!=0; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($64) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 9: 
      var $66=$nentries; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $67=(($66-1)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $nentries=$67; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $68=$he; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $69=(($68)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $next=$70; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $71=$he; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $72=(($71+4)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $74=(($73*-1640531527)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $75=$2; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $76=(($75+8)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $77=HEAPU32[(($76)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $78=$74 >>> (($77)>>>0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $79=$2; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $80=(($79)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $82=(($81+($78<<2))|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$82; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 10; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 10: 
      var $84=$hep; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $86=(($85)|0)!=0; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($86) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 11: 
      var $88=$hep; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $90=(($89)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$90; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 10; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 12: 
      var $92=$he; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $93=(($92)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($93)>>2)]=0; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $94=$he; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $95=$hep; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($95)>>2)]=$94; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 13; break; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 13: 
      var $97=$next; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$97; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 14: 
      __label__ = 15; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 15: 
      var $100=$i; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $101=(($100+1)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $i=$101; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 6; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 16: 
      var $103=$2; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $104=(($103+24)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $106=(($105+4)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $108=$2; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $109=(($108+28)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $111=$oldbuckets; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $112=$111; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $113=$nold; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $114=((($113<<2))|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      FUNCTION_TABLE[$107]($110, $112, $114); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=1; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 17; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 17: 
      var $116=$1; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return $116; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6ResizeP11JSHashTablej["X"]=1;

function _JS_HashTableAdd($ht, $key, $value) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $keyHash;
      var $he;
      var $hep=__stackBase__;
      $2=$ht;
      $3=$key;
      $4=$value;
      var $5=$2; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=(($5+12)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=$3; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=FUNCTION_TABLE[$7]($8); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $keyHash=$9; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=$2; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=$keyHash; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=$3; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=_JS_HashTableRawLookup($10, $11, $12); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($hep)>>2)]=$13; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $14=HEAP32[(($hep)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$15; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $16=(($15)|0)!=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $18=$2; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=(($18+20)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $21=$he; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $22=(($21+12)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $24=$4; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $25=FUNCTION_TABLE[$20]($23, $24); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $26=(($25)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($26) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $28=$he; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=$28; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $30=$he; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $31=(($30+12)|0); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $33=(($32)|0)!=0; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      var $35=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $36=(($35+24)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $38=(($37+12)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $40=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $41=(($40+28)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $43=$he; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      FUNCTION_TABLE[$39]($42, $43, 0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 6; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 6: 
      var $45=$4; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $46=$he; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $47=(($46+12)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($47)>>2)]=$45; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $48=$he; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=$48; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 7: 
      var $50=$2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $51=$keyHash; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $52=$3; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $53=$4; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $54=_JS_HashTableRawAdd($50, $hep, $51, $52, $53); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=$54; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 8: 
      var $56=$1; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_HashTableAdd["X"]=1;

function _JS_HashTableRawRemove($ht, $hep, $he) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      $1=$ht;
      $2=$hep;
      $3=$he;
      var $4=$3; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $5=(($4)|0); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $7=$2; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($7)>>2)]=$6; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=$1; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=(($8+24)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=(($10+12)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=$1; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $14=(($13+28)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $16=$3; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      FUNCTION_TABLE[$12]($15, $16, 1); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $17=$1; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $18=(($17+8)|0); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $20=((32-$19)|0); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $21=1 << $20; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $n=$21; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $22=$1; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $23=(($22+4)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $25=(($24-1)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($23)>>2)]=$25; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $26=$n; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $27=(($26)>>>0) > 16; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($27) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $29=$n; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $30=$29 >>> 2; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $33 = $30;__label__ = 4; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $33 = 0;__label__ = 4; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $33; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $34=(($25)>>>0) < (($33)>>>0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      var $36=$1; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $37=$1; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $38=(($37+8)|0); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $40=(($39+1)|0); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $41=__ZL6ResizeP11JSHashTablej($36, $40); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 6; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 6: 
      ;
      return; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_HashTableRawRemove["X"]=1;

function _JS_HashTableRemove($ht, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $keyHash;
      var $he;
      var $hep;
      $2=$ht;
      $3=$key;
      var $4=$2; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $5=(($4+12)|0); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $7=$3; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=FUNCTION_TABLE[$6]($7); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $keyHash=$8; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=$2; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=$keyHash; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=$3; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=_JS_HashTableRawLookup($9, $10, $11); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$12; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=$hep; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$14; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $15=(($14)|0)==0; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      $1=0; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 4; break; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $18=$2; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=$hep; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $20=$he; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      _JS_HashTableRawRemove($18, $19, $20); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=1; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 4; break; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $22=$1; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return $22; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_HashTableLookup($ht, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $keyHash;
      var $he;
      var $hep;
      $2=$ht;
      $3=$key;
      var $4=$2; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $5=(($4+12)|0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $7=$3; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=FUNCTION_TABLE[$6]($7); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $keyHash=$8; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=$2; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $10=$keyHash; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $11=$3; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=_JS_HashTableRawLookup($9, $10, $11); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$12; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=$hep; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$14; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $15=(($14)|0)!=0; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $17=$he; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $18=(($17+12)|0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $1=$19; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 4; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      $1=0; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 4; break; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $22=$1; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return $22; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_HashTableEnumerateEntries($ht, $f, $arg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $he;
      var $hep;
      var $bucket;
      var $nlimit;
      var $n;
      var $nbuckets;
      var $newlog2;
      var $rv;
      $1=$ht;
      $2=$f;
      $3=$arg;
      var $4=$1; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $5=(($4+4)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $nlimit=$6; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $n=0; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $7=$1; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=(($7)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $bucket=$9; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 2; break; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $11=$n; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $12=$nlimit; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $13=(($11)|0)!=(($12)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 13; break; } //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      var $15=$bucket; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$15; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 4; break; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 4: 
      var $17=$hep; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $he=$18; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $19=(($18)|0)!=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 5: 
      var $21=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $22=$he; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $23=$n; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $24=$3; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $25=FUNCTION_TABLE[$21]($22, $23, $24); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $rv=$25; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $26=$n; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $27=(($26+1)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $n=$27; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $28=$rv; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $29=$28 & 2; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $30=(($29)|0)!=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 6: 
      var $32=$he; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $33=(($32)|0); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $35=$hep; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($35)>>2)]=$34; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $36=$1; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $37=(($36+24)|0); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $39=(($38+12)|0); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $41=$1; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $42=(($41+28)|0); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $44=$he; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      FUNCTION_TABLE[$40]($43, $44, 1); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $45=$1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $46=(($45+4)|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $48=(($47-1)|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      HEAP32[(($46)>>2)]=$48; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 7: 
      var $50=$he; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $51=(($50)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $hep=$51; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 8; break;
    case 8: 
      var $53=$rv; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $54=$53 & 1; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $55=(($54)|0)!=0; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($55) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 9: 
      __label__ = 14; break; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 10: 
      __label__ = 4; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 11: 
      __label__ = 12; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 12: 
      var $60=$bucket; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $61=(($60+4)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $bucket=$61; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 2; break; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 13: 
      __label__ = 14; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 14: 
      var $64=$1; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $65=(($64+4)|0); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $67=$nlimit; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $68=(($66)|0)!=(($67)|0); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($68) { __label__ = 15; break; } else { __label__ = 24; break; } //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 15: 
      var $70=$1; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $71=(($70+8)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $73=((32-$72)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $74=1 << $73; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $nbuckets=$74; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $75=$nbuckets; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $76=16 < (($75)>>>0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($76) { __label__ = 16; break; } else { __label__ = 23; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 16: 
      var $78=$1; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $79=(($78+4)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $80=HEAPU32[(($79)>>2)]; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $81=$nbuckets; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $82=(($81)>>>0) > 16; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($82) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 17: 
      var $84=$nbuckets; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $85=$84 >>> 2; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $88 = $85;__label__ = 19; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 18: 
      var $88 = 0;__label__ = 19; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 19: 
      var $88; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $89=(($80)>>>0) < (($88)>>>0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($89) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 20: 
      var $91=$1; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $92=(($91+4)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $94=_JS_CeilingLog2($93); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      $newlog2=$94; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $95=$newlog2; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $96=(($95)>>>0) < 4; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($96) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 21: 
      $newlog2=4; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 22; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 22: 
      var $99=$1; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $100=$newlog2; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $101=((32-$100)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $102=__ZL6ResizeP11JSHashTablej($99, $101); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 23; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 23: 
      __label__ = 24; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 24: 
      var $105=$n; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      ;
      return $105; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_HashTableEnumerateEntries["X"]=1;

function _JS_HashTableDump($ht, $dump, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $count;
  $1=$ht;
  $2=$dump;
  $3=$fp;
  var $4=$1; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $5=$2; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $6=$3; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $7=$6; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $8=_JS_HashTableEnumerateEntries($4, $5, $7); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  $count=$8; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $9=$count; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  ;
  return $9; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
}


function __ZL17DefaultAllocTablePvj($pool, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$pool;
  $2=$size;
  var $3=$2; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $4=__ZN2js11OffTheBooks7malloc_Ej($3); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  ;
  return $4; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
}


function __ZL16DefaultFreeTablePvS_j($pool, $item, $size) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$pool;
  $2=$item;
  $3=$size;
  var $4=$2; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  __ZN2js10Foreground5free_EPv($4); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  ;
  return; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
}


function __ZL17DefaultAllocEntryPvPKv($pool, $key) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$pool;
  $2=$key;
  var $3=__ZN2js11OffTheBooks7malloc_Ej(16); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  var $4=$3; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
  ;
  return $4; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
}


function __ZL16DefaultFreeEntryPvP11JSHashEntryj($pool, $he, $flag) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$pool;
      $2=$he;
      $3=$flag;
      var $4=$3; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $5=(($4)|0)==1; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 2: 
      var $7=$2; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      var $8=$7; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __ZN2js10Foreground5free_EPv($8); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
      __label__ = 3; break; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    case 3: 
      ;
      return; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jshash.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free1566($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc1567($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types11TypeFailureEP9JSContextPKcz($cx, $fmt) {
  var __stackBase__  = STACKTOP; STACKTOP += 2052; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $msgbuf=__stackBase__;
  var $errbuf=__stackBase__+1024;
  var $ap=__stackBase__+2048;
  $1=$cx;
  $2=$fmt;
  var $3=$ap; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($3)>>2)]=arguments[__ZN2js5types11TypeFailureEP9JSContextPKcz.length]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=(($errbuf)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$2; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=HEAP32[(($ap)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=_JS_vsnprintf($4, 1024, $5, $6); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$ap; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($msgbuf)|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($errbuf)|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=_JS_snprintf($9, 1024, ((STRING_TABLE.__str1568)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$10,tempInt)); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$1; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=(($12+56)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=HEAP32[(($13)>>2)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=(($14+376)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $16=$1; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types15TypeCompartment5printEP9JSContextb($15, $16, 1); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $17=(($msgbuf)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  _JS_Assert($17, ((STRING_TABLE.__str11569)|0), 341); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZNK2js5types7TypeSet18isDefinitePropertyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 397 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 397 "./jsinfer.h"
  var $5=$4 & 1048576; //@line 397 "./jsinfer.h"
  var $6=(($5)|0)!=0; //@line 397 "./jsinfer.h"
  ;
  return $6; //@line 397 "./jsinfer.h"
}


function __ZNK2js5types7TypeSet12definiteSlotEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 400 "./jsinfer.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 400 "./jsinfer.h"
  var $5=$4 >>> 24; //@line 400 "./jsinfer.h"
  ;
  return $5; //@line 400 "./jsinfer.h"
}


function __ZN2js5types15TypeCompartment5printEP9JSContextb($this, $cx, $force) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $compartment;
      var $i=__stackBase__;
      var $4;
      var $script;
      var $count;
      $1=$this;
      $2=$cx;
      var $5=(($force)&1);
      $3=$5;
      var $6=$1;
      var $7=__ZN2js5types15TypeCompartment11compartmentEv($6); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $compartment=$7; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$3; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8) & 1); //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $11=__ZL15InferSpewActiveN2js5types11SpewChannelE(1); //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      __label__ = 19; break; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $14=$2; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$compartment; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js2gc8CellIterC1EP9JSContextP13JSCompartmentNS0_9AllocKindE($i, $14, $15, 13); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $17=$i; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=__ZNK2js2gc12CellIterImpl4doneEv($17); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$18 ^ 1; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      $4=2;
      __ZN2js2gc8CellIterD1Ev($i); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break;
    case 7: 
      var $22=$i; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZNK2js2gc12CellIterImpl3getI8JSScriptEEPT_v($22); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$23; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$script; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZN8JSScript11hasAnalysisEv($24); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $27=$script; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=__ZN8JSScript8analysisEv($27); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=__ZN2js7analyze14ScriptAnalysis12ranInferenceEv($28); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $31=$script; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=__ZN8JSScript8analysisEv($31); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$2; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis10printTypesEP9JSContext($32, $33); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 11; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $36=$i; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($36); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $38=_printf(((STRING_TABLE.__str231593)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=0; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $40=$count; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40)>>>0) < 4; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $43=$count; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43)|0)!=0; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($44) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $46=_printf(((STRING_TABLE.__str241594)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $48=$count; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=(($6+56)|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+($48<<2))|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=_printf(((STRING_TABLE.__str251595)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$51,tempInt)); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $54=$count; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54+1)|0); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$55; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $57=(($6+72)|0); //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=_printf(((STRING_TABLE.__str261596)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$58,tempInt)); //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=(($6+16)|0); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=_printf(((STRING_TABLE.__str271597)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$61,tempInt)); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 19; break; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      STACKTOP = __stackBase__;
      return; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment5printEP9JSContextb["X"]=1;

function __ZN2js5types7TypeSet4makeEP9JSContextPKc($cx, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $res;
      $2=$cx;
      $3=$name;
      var $4=$2; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=(($4+56)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6+344)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZN2js8ArenaNewINS_5types7TypeSetEEEPT_R11JSArenaPool($7); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $res=$8; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$res; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$2; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12+56)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14+376)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$2; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($15, $16); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $18=$res; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($18); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$res; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZN2js5types19InferSpewColorResetEv(); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$3; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str21570)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$19,HEAP32[((tempInt+4)>>2)]=$20,HEAP32[((tempInt+8)>>2)]=$21,HEAP32[((tempInt+12)>>2)]=$22,tempInt)); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$res; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$23; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $25=$1; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $25; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8ArenaNewINS_5types7TypeSetEEEPT_R11JSArenaPool($pool) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      __label__ = 2; break; //@line 244 "./jsarena.h"
    case 2: 
      var $3=$1; //@line 244 "./jsarena.h"
      var $4=(($3+16)|0); //@line 244 "./jsarena.h"
      var $5=HEAP32[(($4)>>2)]; //@line 244 "./jsarena.h"
      $_a=$5; //@line 244 "./jsarena.h"
      var $6=$1; //@line 244 "./jsarena.h"
      var $7=(($6+24)|0); //@line 244 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 244 "./jsarena.h"
      var $9=(($8+12)|0); //@line 244 "./jsarena.h"
      var $10=$1; //@line 244 "./jsarena.h"
      var $11=(($10+24)|0); //@line 244 "./jsarena.h"
      var $12=HEAP32[(($11)>>2)]; //@line 244 "./jsarena.h"
      var $13=$12 ^ -1; //@line 244 "./jsarena.h"
      var $14=$9 & $13; //@line 244 "./jsarena.h"
      $_nb=$14; //@line 244 "./jsarena.h"
      var $15=$_a; //@line 244 "./jsarena.h"
      var $16=(($15+12)|0); //@line 244 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 244 "./jsarena.h"
      $_p=$17; //@line 244 "./jsarena.h"
      var $18=$_nb; //@line 244 "./jsarena.h"
      var $19=$_a; //@line 244 "./jsarena.h"
      var $20=(($19+8)|0); //@line 244 "./jsarena.h"
      var $21=HEAPU32[(($20)>>2)]; //@line 244 "./jsarena.h"
      var $22=(($18)>>>0) > (($21)>>>0); //@line 244 "./jsarena.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 244 "./jsarena.h"
    case 3: 
      var $24=$_p; //@line 244 "./jsarena.h"
      var $25=$_a; //@line 244 "./jsarena.h"
      var $26=(($25+8)|0); //@line 244 "./jsarena.h"
      var $27=HEAP32[(($26)>>2)]; //@line 244 "./jsarena.h"
      var $28=$_nb; //@line 244 "./jsarena.h"
      var $29=(($27-$28)|0); //@line 244 "./jsarena.h"
      var $30=(($24)>>>0) > (($29)>>>0); //@line 244 "./jsarena.h"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 244 "./jsarena.h"
    case 4: 
      var $32=$1; //@line 244 "./jsarena.h"
      var $33=$_nb; //@line 244 "./jsarena.h"
      var $34=_JS_ArenaAllocate($32, $33); //@line 244 "./jsarena.h"
      var $35=$34; //@line 244 "./jsarena.h"
      $_p=$35; //@line 244 "./jsarena.h"
      __label__ = 6; break; //@line 244 "./jsarena.h"
    case 5: 
      var $37=$_p; //@line 244 "./jsarena.h"
      var $38=$_nb; //@line 244 "./jsarena.h"
      var $39=(($37+$38)|0); //@line 244 "./jsarena.h"
      var $40=$_a; //@line 244 "./jsarena.h"
      var $41=(($40+12)|0); //@line 244 "./jsarena.h"
      HEAP32[(($41)>>2)]=$39; //@line 244 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $43=$_p; //@line 244 "./jsarena.h"
      var $44=$43; //@line 244 "./jsarena.h"
      $v=$44; //@line 244 "./jsarena.h"
      __label__ = 7; break; //@line 244 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 244 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 244 "./jsarena.h"
    case 9: 
      var $48=$v; //@line 245 "./jsarena.h"
      var $49=(($48)|0)!=0; //@line 245 "./jsarena.h"
      if ($49) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 245 "./jsarena.h"
    case 10: 
      var $51=$v; //@line 245 "./jsarena.h"
      var $52=(($51)|0)==0; //@line 245 "./jsarena.h"
      if ($52) { var $56 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 245 "./jsarena.h"
    case 11: 
      var $54=$51; //@line 245 "./jsarena.h"
      __ZN2js5types7TypeSetC1Ev($54); //@line 245 "./jsarena.h"
      var $56 = $54;__label__ = 12; break; //@line 245 "./jsarena.h"
    case 12: 
      var $56; //@line 245 "./jsarena.h"
      var $59 = $56;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 13: 
      var $59 = 0;__label__ = 14; break; //@line 245 "./jsarena.h"
    case 14: 
      var $59; //@line 245 "./jsarena.h"
      ;
      return $59; //@line 245 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_5types7TypeSetEEEPT_R11JSArenaPool["X"]=1;

function __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+8)|0); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=HEAP8[($4)]; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5) & 1); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $8=$2; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8+56)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10)|0)!=0; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $13=$2; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($13); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $15=(($3+8)|0); //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($15)]=1; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      ;
      return; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types7TypeSet5printEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $objectCount;
      var $count;
      var $i;
      var $object;
      var $3=__stackBase__;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=(($4)|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$6 & 262144; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0)!=0; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=_printf(((STRING_TABLE.__str31571)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=(($4)|0); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$13 & 524288; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)|0)!=0; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=_printf(((STRING_TABLE.__str41572)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $19=__ZNK2js5types7TypeSet18isDefinitePropertyEv($4); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $21=__ZNK2js5types7TypeSet12definiteSlotEv($4); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=_printf(((STRING_TABLE.__str51573)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$21,tempInt)); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $24=__ZNK2js5types7TypeSet9baseFlagsEv($4); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24)|0)==0; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $27=__ZNK2js5types7TypeSet15baseObjectCountEv($4); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27)|0)!=0; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $30=_printf(((STRING_TABLE.__str61574)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 36; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $32=(($4)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$33 & 65536; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)|0)!=0; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $37=_printf(((STRING_TABLE.__str71575)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $39=(($4)|0); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$40 & 128; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41)|0)!=0; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $44=_printf(((STRING_TABLE.__str81576)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $46=(($4)|0); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$47 & 1; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=(($48)|0)!=0; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($49) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $51=_printf(((STRING_TABLE.__str91577)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $53=(($4)|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$54 & 2; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55)|0)!=0; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $58=_printf(((STRING_TABLE.__str101578)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $60=(($4)|0); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$61 & 4; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=(($62)|0)!=0; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($63) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $65=_printf(((STRING_TABLE.__str111579)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $67=(($4)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$68 & 8; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($69)|0)!=0; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($70) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $72=_printf(((STRING_TABLE.__str121580)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $74=(($4)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=$75 & 16; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=(($76)|0)!=0; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($77) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $79=_printf(((STRING_TABLE.__str131581)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 24; break; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $81=(($4)|0); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=$82 & 32; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=(($83)|0)!=0; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($84) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $86=_printf(((STRING_TABLE.__str141582)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 26; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $88=(($4)|0); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=$89 & 64; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=(($90)|0)!=0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($91) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $93=_printf(((STRING_TABLE.__str151583)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 28; break; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $95=__ZNK2js5types7TypeSet15baseObjectCountEv($4); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $objectCount=$95; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=$objectCount; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=(($96)|0)!=0; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($97) { __label__ = 29; break; } else { __label__ = 36; break; } //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $99=$objectCount; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=_printf(((STRING_TABLE.__str161584)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$99,tempInt)); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=__ZN2js5types7TypeSet14getObjectCountEv($4); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$101; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $103=$i; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=$count; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=(($103)>>>0) < (($104)>>>0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($105) { __label__ = 31; break; } else { __label__ = 35; break; } //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      var $107=$i; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=__ZN2js5types7TypeSet9getObjectEj($4, $107); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$108; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=$object; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=(($109)|0)!=0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($110) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      var $112=$object; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_13TypeObjectKeyE($3, $112); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=__ZN2js5types10TypeStringENS0_4TypeE($3); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=_printf(((STRING_TABLE.__str171585)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$113,tempInt)); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 33; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      __label__ = 34; break; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      var $117=$i; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=(($117+1)|0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$118; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      __label__ = 36; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      STACKTOP = __stackBase__;
      return; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet5printEP9JSContext["X"]=1;

function __ZN2js5types7TypeSet14getObjectCountEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $count;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js5types7TypeSet15baseObjectCountEv($3); //@line 1058 "./jsinferinlines.h"
      $count=$4; //@line 1058 "./jsinferinlines.h"
      var $5=$count; //@line 1059 "./jsinferinlines.h"
      var $6=(($5)>>>0) > 8; //@line 1059 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1059 "./jsinferinlines.h"
    case 2: 
      var $8=$count; //@line 1060 "./jsinferinlines.h"
      var $9=__ZN2js5typesL15HashSetCapacityEj1739($8); //@line 1060 "./jsinferinlines.h"
      $1=$9; //@line 1060 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1060 "./jsinferinlines.h"
    case 3: 
      var $11=$count; //@line 1061 "./jsinferinlines.h"
      $1=$11; //@line 1061 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1061 "./jsinferinlines.h"
    case 4: 
      var $13=$1; //@line 1062 "./jsinferinlines.h"
      ;
      return $13; //@line 1062 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types7TypeSet9getObjectEj($this, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$i;
      var $4=$2;
      var $5=__ZNK2js5types7TypeSet15baseObjectCountEv($4); //@line 1068 "./jsinferinlines.h"
      var $6=(($5)|0)==1; //@line 1068 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1068 "./jsinferinlines.h"
    case 2: 
      var $8=(($4+4)|0); //@line 1070 "./jsinferinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1070 "./jsinferinlines.h"
      var $10=$9; //@line 1070 "./jsinferinlines.h"
      $1=$10; //@line 1070 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1070 "./jsinferinlines.h"
    case 3: 
      var $12=$3; //@line 1072 "./jsinferinlines.h"
      var $13=(($4+4)|0); //@line 1072 "./jsinferinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1072 "./jsinferinlines.h"
      var $15=(($14+($12<<2))|0); //@line 1072 "./jsinferinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1072 "./jsinferinlines.h"
      $1=$16; //@line 1072 "./jsinferinlines.h"
      __label__ = 4; break; //@line 1072 "./jsinferinlines.h"
    case 4: 
      var $18=$1; //@line 1073 "./jsinferinlines.h"
      ;
      return $18; //@line 1073 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types4Type10ObjectTypeEPNS0_13TypeObjectKeyE($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 81 "./jsinferinlines.h"
  var $3=$2; //@line 81 "./jsinferinlines.h"
  __ZN2js5types4TypeC1Ej($agg_result, $3); //@line 81 "./jsinferinlines.h"
  ;
  return; //@line 81 "./jsinferinlines.h"
}


function __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($this, $cx, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$target;
  var $4=$1;
  var $5=$2; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$2; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($6+56)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($8+344)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=__ZN2js8ArenaNewI20TypeConstraintSubsetPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_($9, $3); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$10; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($4, $5, $11, 1); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($this, $cx, $constraint, $callExisting) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $flag;
      var $type=__stackBase__+4;
      var $6=__stackBase__+8;
      var $7=__stackBase__+12;
      var $count;
      var $i;
      var $object;
      var $8=__stackBase__+16;
      $1=$this;
      $2=$cx;
      $3=$constraint;
      var $9=(($callExisting)&1);
      $4=$9;
      var $10=$1;
      var $11=$3; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11)|0)!=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $14=$2; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14+56)|0); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16+376)|0); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$2; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($17, $18); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $20=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($10); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZN2js5types19InferSpewColorResetEv(); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$3; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN2js5types14InferSpewColorEPNS0_14TypeConstraintE($22); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$3; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZN2js5types19InferSpewColorResetEv(); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$3; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZNK2js5types14TypeConstraint4kindEv($26); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str851655)|0), (tempInt=STACKTOP,STACKTOP += 28,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,HEAP32[((tempInt+4)>>2)]=$10,HEAP32[((tempInt+8)>>2)]=$21,HEAP32[((tempInt+12)>>2)]=$23,HEAP32[((tempInt+16)>>2)]=$24,HEAP32[((tempInt+20)>>2)]=$25,HEAP32[((tempInt+24)>>2)]=$27,tempInt)); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($10+8)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$3; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30+4)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($31)>>2)]=$29; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$3; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($10+8)|0); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$4; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34) & 1); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 22; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $38=(($10)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$39 & 65536; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40)|0)!=0; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $43=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+56)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45+376)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$3; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($5); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment10addPendingEP9JSContextPNS0_14TypeConstraintEPNS0_7TypeSetENS0_4TypeE($46, $47, $48, $10, $5); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$2; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+56)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51+376)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$2; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment14resolvePendingEP9JSContext($52, $53); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $flag=1; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $56=$flag; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=(($56)>>>0) < 128; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($57) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $59=(($10)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=$flag; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$60 & $61; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=(($62)|0)!=0; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($63) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $65=$flag; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=__ZN2js5types17TypeFlagPrimitiveEj($65); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13PrimitiveTypeE11JSValueType($type, $66); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=$2; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67+56)|0); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($69+376)|0); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=$2; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$3; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=$6; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=$type; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($73)>>2)]=HEAP32[(($74)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment10addPendingEP9JSContextPNS0_14TypeConstraintEPNS0_7TypeSetENS0_4TypeE($70, $71, $72, $10, $6); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      __label__ = 12; break; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $77=$flag; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$77 << 1; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $flag=$78; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $80=(($10)|0); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=$81 & 128; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=(($82)|0)!=0; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($83) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $85=$2; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=(($85+56)|0); //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=(($87+376)|0); //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$2; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=$3; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13AnyObjectTypeEv($7); //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment10addPendingEP9JSContextPNS0_14TypeConstraintEPNS0_7TypeSetENS0_4TypeE($88, $89, $90, $10, $7); //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=$2; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=(($91+56)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=(($93+376)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=$2; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment14resolvePendingEP9JSContext($94, $95); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $97=__ZN2js5types7TypeSet14getObjectCountEv($10); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$97; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $99=$i; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=$count; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=(($99)>>>0) < (($100)>>>0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($101) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $103=$i; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=__ZN2js5types7TypeSet9getObjectEj($10, $103); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$104; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=$object; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=(($105)|0)!=0; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($106) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $108=$2; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=(($108+56)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=(($110+376)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=$2; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=$3; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=$object; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_13TypeObjectKeyE($8, $114); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment10addPendingEP9JSContextPNS0_14TypeConstraintEPNS0_7TypeSetENS0_4TypeE($111, $112, $113, $10, $8); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 19; break; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      __label__ = 20; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $117=$i; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=(($117+1)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$118; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $120=$2; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=(($120+56)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=(($122+376)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=$2; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment14resolvePendingEP9JSContext($123, $124); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      STACKTOP = __stackBase__;
      return; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb["X"]=1;

function __ZN2js8ArenaNewI20TypeConstraintSubsetPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+12)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN20TypeConstraintSubsetC1EPN2js5types7TypeSetE($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI20TypeConstraintSubsetPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN2js5types7TypeSet14addGetPropertyEP9JSContextP8JSScriptPhPS1_i($this, $cx, $script, $pc, $target, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  var $5=__stackBase__+8;
  var $6=__stackBase__+12;
  var $7=__stackBase__+16;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$script;
  HEAP32[(($4)>>2)]=$pc;
  HEAP32[(($5)>>2)]=$target;
  HEAP32[(($6)>>2)]=$id;
  var $8=$1;
  var $9=$2; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$2; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=(($10+56)|0); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=(($12+344)|0); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($7)]=0; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=__ZN2js8ArenaNewI18TypeConstraintPropP8JSScriptPhPNS_5types7TypeSetEibEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_($13, $3, $4, $5, $6, $7); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=$14; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($8, $9, $15, 1); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI18TypeConstraintPropP8JSScriptPhPNS_5types7TypeSetEibEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_($pool, $a, $b, $c, $d, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      $5=$d;
      $6=$e;
      __label__ = 2; break; //@line 289 "./jsarena.h"
    case 2: 
      var $8=$1; //@line 289 "./jsarena.h"
      var $9=(($8+16)|0); //@line 289 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 289 "./jsarena.h"
      $_a=$10; //@line 289 "./jsarena.h"
      var $11=$1; //@line 289 "./jsarena.h"
      var $12=(($11+24)|0); //@line 289 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 289 "./jsarena.h"
      var $14=(($13+28)|0); //@line 289 "./jsarena.h"
      var $15=$1; //@line 289 "./jsarena.h"
      var $16=(($15+24)|0); //@line 289 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 289 "./jsarena.h"
      var $18=$17 ^ -1; //@line 289 "./jsarena.h"
      var $19=$14 & $18; //@line 289 "./jsarena.h"
      $_nb=$19; //@line 289 "./jsarena.h"
      var $20=$_a; //@line 289 "./jsarena.h"
      var $21=(($20+12)|0); //@line 289 "./jsarena.h"
      var $22=HEAP32[(($21)>>2)]; //@line 289 "./jsarena.h"
      $_p=$22; //@line 289 "./jsarena.h"
      var $23=$_nb; //@line 289 "./jsarena.h"
      var $24=$_a; //@line 289 "./jsarena.h"
      var $25=(($24+8)|0); //@line 289 "./jsarena.h"
      var $26=HEAPU32[(($25)>>2)]; //@line 289 "./jsarena.h"
      var $27=(($23)>>>0) > (($26)>>>0); //@line 289 "./jsarena.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 289 "./jsarena.h"
    case 3: 
      var $29=$_p; //@line 289 "./jsarena.h"
      var $30=$_a; //@line 289 "./jsarena.h"
      var $31=(($30+8)|0); //@line 289 "./jsarena.h"
      var $32=HEAP32[(($31)>>2)]; //@line 289 "./jsarena.h"
      var $33=$_nb; //@line 289 "./jsarena.h"
      var $34=(($32-$33)|0); //@line 289 "./jsarena.h"
      var $35=(($29)>>>0) > (($34)>>>0); //@line 289 "./jsarena.h"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 289 "./jsarena.h"
    case 4: 
      var $37=$1; //@line 289 "./jsarena.h"
      var $38=$_nb; //@line 289 "./jsarena.h"
      var $39=_JS_ArenaAllocate($37, $38); //@line 289 "./jsarena.h"
      var $40=$39; //@line 289 "./jsarena.h"
      $_p=$40; //@line 289 "./jsarena.h"
      __label__ = 6; break; //@line 289 "./jsarena.h"
    case 5: 
      var $42=$_p; //@line 289 "./jsarena.h"
      var $43=$_nb; //@line 289 "./jsarena.h"
      var $44=(($42+$43)|0); //@line 289 "./jsarena.h"
      var $45=$_a; //@line 289 "./jsarena.h"
      var $46=(($45+12)|0); //@line 289 "./jsarena.h"
      HEAP32[(($46)>>2)]=$44; //@line 289 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $48=$_p; //@line 289 "./jsarena.h"
      var $49=$48; //@line 289 "./jsarena.h"
      $v=$49; //@line 289 "./jsarena.h"
      __label__ = 7; break; //@line 289 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 289 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 289 "./jsarena.h"
    case 9: 
      var $53=$v; //@line 290 "./jsarena.h"
      var $54=(($53)|0)!=0; //@line 290 "./jsarena.h"
      if ($54) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 290 "./jsarena.h"
    case 10: 
      var $56=$v; //@line 290 "./jsarena.h"
      var $57=(($56)|0)==0; //@line 290 "./jsarena.h"
      if ($57) { var $72 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 290 "./jsarena.h"
    case 11: 
      var $59=$56; //@line 290 "./jsarena.h"
      var $60=$2; //@line 290 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 290 "./jsarena.h"
      var $62=$3; //@line 290 "./jsarena.h"
      var $63=HEAP32[(($62)>>2)]; //@line 290 "./jsarena.h"
      var $64=$4; //@line 290 "./jsarena.h"
      var $65=HEAP32[(($64)>>2)]; //@line 290 "./jsarena.h"
      var $66=$5; //@line 290 "./jsarena.h"
      var $67=HEAP32[(($66)>>2)]; //@line 290 "./jsarena.h"
      var $68=$6; //@line 290 "./jsarena.h"
      var $69=HEAP8[($68)]; //@line 290 "./jsarena.h"
      var $70=(($69) & 1); //@line 290 "./jsarena.h"
      __ZN18TypeConstraintPropC1EP8JSScriptPhPN2js5types7TypeSetEib($59, $61, $63, $65, $67, $70); //@line 290 "./jsarena.h"
      var $72 = $59;__label__ = 12; break; //@line 290 "./jsarena.h"
    case 12: 
      var $72; //@line 290 "./jsarena.h"
      var $75 = $72;__label__ = 14; break; //@line 290 "./jsarena.h"
    case 13: 
      var $75 = 0;__label__ = 14; break; //@line 290 "./jsarena.h"
    case 14: 
      var $75; //@line 290 "./jsarena.h"
      ;
      return $75; //@line 290 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI18TypeConstraintPropP8JSScriptPhPNS_5types7TypeSetEibEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_["X"]=1;

function __ZN2js5types7TypeSet14addSetPropertyEP9JSContextP8JSScriptPhPS1_i($this, $cx, $script, $pc, $target, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  var $5=__stackBase__+8;
  var $6=__stackBase__+12;
  var $7=__stackBase__+16;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$script;
  HEAP32[(($4)>>2)]=$pc;
  HEAP32[(($5)>>2)]=$target;
  HEAP32[(($6)>>2)]=$id;
  var $8=$1;
  var $9=$2; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$2; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=(($10+56)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=(($12+344)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($7)]=1; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=__ZN2js8ArenaNewI18TypeConstraintPropP8JSScriptPhPNS_5types7TypeSetEibEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_($13, $3, $4, $5, $6, $7); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=$14; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($8, $9, $15, 1); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js7analyze14ScriptAnalysis9getCallPCEPh($this, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $uses;
  var $3=__stackBase__;
  $1=$this;
  $2=$pc;
  var $4=$1;
  var $5=$2; //@line 1139 "./jsanalyze.h"
  var $6=(($4)|0); //@line 1139 "./jsanalyze.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1139 "./jsanalyze.h"
  var $8=(($7)|0); //@line 1139 "./jsanalyze.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1139 "./jsanalyze.h"
  var $10=$5; //@line 1139 "./jsanalyze.h"
  var $11=$9; //@line 1139 "./jsanalyze.h"
  var $12=(($10-$11)|0); //@line 1139 "./jsanalyze.h"
  __ZN2js7analyze8SSAValue11PushedValueEjj($3, $12, 1); //@line 1139 "./jsanalyze.h"
  var $13=__ZN2js7analyze14ScriptAnalysis8useChainERKNS0_8SSAValueE($4, $3); //@line 1139 "./jsanalyze.h"
  var $14=HEAP32[(($13)>>2)]; //@line 1139 "./jsanalyze.h"
  $uses=$14; //@line 1139 "./jsanalyze.h"
  var $15=(($4)|0); //@line 1141 "./jsanalyze.h"
  var $16=HEAP32[(($15)>>2)]; //@line 1141 "./jsanalyze.h"
  var $17=(($16)|0); //@line 1141 "./jsanalyze.h"
  var $18=HEAP32[(($17)>>2)]; //@line 1141 "./jsanalyze.h"
  var $19=$uses; //@line 1141 "./jsanalyze.h"
  var $20=$19; //@line 1141 "./jsanalyze.h"
  var $21=HEAPU32[(($20)>>2)]; //@line 1141 "./jsanalyze.h"
  var $22=$21 >>> 1; //@line 1141 "./jsanalyze.h"
  var $23=$22 & 2147483647; //@line 1141 "./jsanalyze.h"
  var $24=(($18+$23)|0); //@line 1141 "./jsanalyze.h"
  STACKTOP = __stackBase__;
  return $24; //@line 1141 "./jsanalyze.h"
}


function __ZN2js8ArenaNewI22TypeConstraintCallPropP8JSScriptPhiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($pool, $a, $b, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      __label__ = 2; break; //@line 271 "./jsarena.h"
    case 2: 
      var $6=$1; //@line 271 "./jsarena.h"
      var $7=(($6+16)|0); //@line 271 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 271 "./jsarena.h"
      $_a=$8; //@line 271 "./jsarena.h"
      var $9=$1; //@line 271 "./jsarena.h"
      var $10=(($9+24)|0); //@line 271 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 271 "./jsarena.h"
      var $12=(($11+20)|0); //@line 271 "./jsarena.h"
      var $13=$1; //@line 271 "./jsarena.h"
      var $14=(($13+24)|0); //@line 271 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 271 "./jsarena.h"
      var $16=$15 ^ -1; //@line 271 "./jsarena.h"
      var $17=$12 & $16; //@line 271 "./jsarena.h"
      $_nb=$17; //@line 271 "./jsarena.h"
      var $18=$_a; //@line 271 "./jsarena.h"
      var $19=(($18+12)|0); //@line 271 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 271 "./jsarena.h"
      $_p=$20; //@line 271 "./jsarena.h"
      var $21=$_nb; //@line 271 "./jsarena.h"
      var $22=$_a; //@line 271 "./jsarena.h"
      var $23=(($22+8)|0); //@line 271 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 271 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 271 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 271 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 271 "./jsarena.h"
      var $28=$_a; //@line 271 "./jsarena.h"
      var $29=(($28+8)|0); //@line 271 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 271 "./jsarena.h"
      var $31=$_nb; //@line 271 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 271 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 271 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 271 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 271 "./jsarena.h"
      var $36=$_nb; //@line 271 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 271 "./jsarena.h"
      var $38=$37; //@line 271 "./jsarena.h"
      $_p=$38; //@line 271 "./jsarena.h"
      __label__ = 6; break; //@line 271 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 271 "./jsarena.h"
      var $41=$_nb; //@line 271 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 271 "./jsarena.h"
      var $43=$_a; //@line 271 "./jsarena.h"
      var $44=(($43+12)|0); //@line 271 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 271 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 271 "./jsarena.h"
      var $47=$46; //@line 271 "./jsarena.h"
      $v=$47; //@line 271 "./jsarena.h"
      __label__ = 7; break; //@line 271 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 271 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 271 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 272 "./jsarena.h"
      var $52=(($51)|0)!=0; //@line 272 "./jsarena.h"
      if ($52) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 272 "./jsarena.h"
    case 10: 
      var $54=$v; //@line 272 "./jsarena.h"
      var $55=(($54)|0)==0; //@line 272 "./jsarena.h"
      if ($55) { var $65 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 272 "./jsarena.h"
    case 11: 
      var $57=$54; //@line 272 "./jsarena.h"
      var $58=$2; //@line 272 "./jsarena.h"
      var $59=HEAP32[(($58)>>2)]; //@line 272 "./jsarena.h"
      var $60=$3; //@line 272 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 272 "./jsarena.h"
      var $62=$4; //@line 272 "./jsarena.h"
      var $63=HEAP32[(($62)>>2)]; //@line 272 "./jsarena.h"
      __ZN22TypeConstraintCallPropC1EP8JSScriptPhi($57, $59, $61, $63); //@line 272 "./jsarena.h"
      var $65 = $57;__label__ = 12; break; //@line 272 "./jsarena.h"
    case 12: 
      var $65; //@line 272 "./jsarena.h"
      var $68 = $65;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 13: 
      var $68 = 0;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 14: 
      var $68; //@line 272 "./jsarena.h"
      ;
      return $68; //@line 272 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI22TypeConstraintCallPropP8JSScriptPhiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_["X"]=1;

function __ZN2js5types7TypeSet13addSetElementEP9JSContextP8JSScriptPhPS1_S7_($this, $cx, $script, $pc, $objectTypes, $valueTypes) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  var $5=__stackBase__+8;
  var $6=__stackBase__+12;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$script;
  HEAP32[(($4)>>2)]=$pc;
  HEAP32[(($5)>>2)]=$objectTypes;
  HEAP32[(($6)>>2)]=$valueTypes;
  var $7=$1;
  var $8=$2; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($9+56)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=(($11+344)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=__ZN2js8ArenaNewI24TypeConstraintSetElementP8JSScriptPhPNS_5types7TypeSetES7_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_($12, $3, $4, $5, $6); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=$13; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($7, $8, $14, 1); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI24TypeConstraintSetElementP8JSScriptPhPNS_5types7TypeSetES7_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_($pool, $a, $b, $c, $d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      $5=$d;
      __label__ = 2; break; //@line 280 "./jsarena.h"
    case 2: 
      var $7=$1; //@line 280 "./jsarena.h"
      var $8=(($7+16)|0); //@line 280 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 280 "./jsarena.h"
      $_a=$9; //@line 280 "./jsarena.h"
      var $10=$1; //@line 280 "./jsarena.h"
      var $11=(($10+24)|0); //@line 280 "./jsarena.h"
      var $12=HEAP32[(($11)>>2)]; //@line 280 "./jsarena.h"
      var $13=(($12+24)|0); //@line 280 "./jsarena.h"
      var $14=$1; //@line 280 "./jsarena.h"
      var $15=(($14+24)|0); //@line 280 "./jsarena.h"
      var $16=HEAP32[(($15)>>2)]; //@line 280 "./jsarena.h"
      var $17=$16 ^ -1; //@line 280 "./jsarena.h"
      var $18=$13 & $17; //@line 280 "./jsarena.h"
      $_nb=$18; //@line 280 "./jsarena.h"
      var $19=$_a; //@line 280 "./jsarena.h"
      var $20=(($19+12)|0); //@line 280 "./jsarena.h"
      var $21=HEAP32[(($20)>>2)]; //@line 280 "./jsarena.h"
      $_p=$21; //@line 280 "./jsarena.h"
      var $22=$_nb; //@line 280 "./jsarena.h"
      var $23=$_a; //@line 280 "./jsarena.h"
      var $24=(($23+8)|0); //@line 280 "./jsarena.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 280 "./jsarena.h"
      var $26=(($22)>>>0) > (($25)>>>0); //@line 280 "./jsarena.h"
      if ($26) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 280 "./jsarena.h"
    case 3: 
      var $28=$_p; //@line 280 "./jsarena.h"
      var $29=$_a; //@line 280 "./jsarena.h"
      var $30=(($29+8)|0); //@line 280 "./jsarena.h"
      var $31=HEAP32[(($30)>>2)]; //@line 280 "./jsarena.h"
      var $32=$_nb; //@line 280 "./jsarena.h"
      var $33=(($31-$32)|0); //@line 280 "./jsarena.h"
      var $34=(($28)>>>0) > (($33)>>>0); //@line 280 "./jsarena.h"
      if ($34) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 280 "./jsarena.h"
    case 4: 
      var $36=$1; //@line 280 "./jsarena.h"
      var $37=$_nb; //@line 280 "./jsarena.h"
      var $38=_JS_ArenaAllocate($36, $37); //@line 280 "./jsarena.h"
      var $39=$38; //@line 280 "./jsarena.h"
      $_p=$39; //@line 280 "./jsarena.h"
      __label__ = 6; break; //@line 280 "./jsarena.h"
    case 5: 
      var $41=$_p; //@line 280 "./jsarena.h"
      var $42=$_nb; //@line 280 "./jsarena.h"
      var $43=(($41+$42)|0); //@line 280 "./jsarena.h"
      var $44=$_a; //@line 280 "./jsarena.h"
      var $45=(($44+12)|0); //@line 280 "./jsarena.h"
      HEAP32[(($45)>>2)]=$43; //@line 280 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $47=$_p; //@line 280 "./jsarena.h"
      var $48=$47; //@line 280 "./jsarena.h"
      $v=$48; //@line 280 "./jsarena.h"
      __label__ = 7; break; //@line 280 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 280 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 280 "./jsarena.h"
    case 9: 
      var $52=$v; //@line 281 "./jsarena.h"
      var $53=(($52)|0)!=0; //@line 281 "./jsarena.h"
      if ($53) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 281 "./jsarena.h"
    case 10: 
      var $55=$v; //@line 281 "./jsarena.h"
      var $56=(($55)|0)==0; //@line 281 "./jsarena.h"
      if ($56) { var $68 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 281 "./jsarena.h"
    case 11: 
      var $58=$55; //@line 281 "./jsarena.h"
      var $59=$2; //@line 281 "./jsarena.h"
      var $60=HEAP32[(($59)>>2)]; //@line 281 "./jsarena.h"
      var $61=$3; //@line 281 "./jsarena.h"
      var $62=HEAP32[(($61)>>2)]; //@line 281 "./jsarena.h"
      var $63=$4; //@line 281 "./jsarena.h"
      var $64=HEAP32[(($63)>>2)]; //@line 281 "./jsarena.h"
      var $65=$5; //@line 281 "./jsarena.h"
      var $66=HEAP32[(($65)>>2)]; //@line 281 "./jsarena.h"
      __ZN24TypeConstraintSetElementC1EP8JSScriptPhPN2js5types7TypeSetES6_($58, $60, $62, $64, $66); //@line 281 "./jsarena.h"
      var $68 = $58;__label__ = 12; break; //@line 281 "./jsarena.h"
    case 12: 
      var $68; //@line 281 "./jsarena.h"
      var $71 = $68;__label__ = 14; break; //@line 281 "./jsarena.h"
    case 13: 
      var $71 = 0;__label__ = 14; break; //@line 281 "./jsarena.h"
    case 14: 
      var $71; //@line 281 "./jsarena.h"
      ;
      return $71; //@line 281 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI24TypeConstraintSetElementP8JSScriptPhPNS_5types7TypeSetES7_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_["X"]=1;

function __ZN2js5types7TypeSet7addCallEP9JSContextPNS0_12TypeCallsiteE($this, $cx, $site) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$site;
  var $4=$1;
  var $5=$2; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$2; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($6+56)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($8+344)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=__ZN2js8ArenaNewI18TypeConstraintCallPNS_5types12TypeCallsiteEEEPT_R11JSArenaPoolRKT0_($9, $3); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$10; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($4, $5, $11, 1); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI18TypeConstraintCallPNS_5types12TypeCallsiteEEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+12)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN18TypeConstraintCallC1EPN2js5types12TypeCallsiteE($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI18TypeConstraintCallPNS_5types12TypeCallsiteEEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_($this, $cx, $target, $other) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$target;
  HEAP32[(($4)>>2)]=$other;
  var $5=$1;
  var $6=$2; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($7+56)|0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($9+344)|0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=__ZN2js8ArenaNewI19TypeConstraintArithPNS_5types7TypeSetES4_EEPT_R11JSArenaPoolRKT0_RKT1_($10, $3, $4); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$11; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($5, $6, $12, 1); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI19TypeConstraintArithPNS_5types7TypeSetES4_EEPT_R11JSArenaPoolRKT0_RKT1_($pool, $a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      __label__ = 2; break; //@line 262 "./jsarena.h"
    case 2: 
      var $5=$1; //@line 262 "./jsarena.h"
      var $6=(($5+16)|0); //@line 262 "./jsarena.h"
      var $7=HEAP32[(($6)>>2)]; //@line 262 "./jsarena.h"
      $_a=$7; //@line 262 "./jsarena.h"
      var $8=$1; //@line 262 "./jsarena.h"
      var $9=(($8+24)|0); //@line 262 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 262 "./jsarena.h"
      var $11=(($10+16)|0); //@line 262 "./jsarena.h"
      var $12=$1; //@line 262 "./jsarena.h"
      var $13=(($12+24)|0); //@line 262 "./jsarena.h"
      var $14=HEAP32[(($13)>>2)]; //@line 262 "./jsarena.h"
      var $15=$14 ^ -1; //@line 262 "./jsarena.h"
      var $16=$11 & $15; //@line 262 "./jsarena.h"
      $_nb=$16; //@line 262 "./jsarena.h"
      var $17=$_a; //@line 262 "./jsarena.h"
      var $18=(($17+12)|0); //@line 262 "./jsarena.h"
      var $19=HEAP32[(($18)>>2)]; //@line 262 "./jsarena.h"
      $_p=$19; //@line 262 "./jsarena.h"
      var $20=$_nb; //@line 262 "./jsarena.h"
      var $21=$_a; //@line 262 "./jsarena.h"
      var $22=(($21+8)|0); //@line 262 "./jsarena.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 262 "./jsarena.h"
      var $24=(($20)>>>0) > (($23)>>>0); //@line 262 "./jsarena.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 262 "./jsarena.h"
    case 3: 
      var $26=$_p; //@line 262 "./jsarena.h"
      var $27=$_a; //@line 262 "./jsarena.h"
      var $28=(($27+8)|0); //@line 262 "./jsarena.h"
      var $29=HEAP32[(($28)>>2)]; //@line 262 "./jsarena.h"
      var $30=$_nb; //@line 262 "./jsarena.h"
      var $31=(($29-$30)|0); //@line 262 "./jsarena.h"
      var $32=(($26)>>>0) > (($31)>>>0); //@line 262 "./jsarena.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 262 "./jsarena.h"
    case 4: 
      var $34=$1; //@line 262 "./jsarena.h"
      var $35=$_nb; //@line 262 "./jsarena.h"
      var $36=_JS_ArenaAllocate($34, $35); //@line 262 "./jsarena.h"
      var $37=$36; //@line 262 "./jsarena.h"
      $_p=$37; //@line 262 "./jsarena.h"
      __label__ = 6; break; //@line 262 "./jsarena.h"
    case 5: 
      var $39=$_p; //@line 262 "./jsarena.h"
      var $40=$_nb; //@line 262 "./jsarena.h"
      var $41=(($39+$40)|0); //@line 262 "./jsarena.h"
      var $42=$_a; //@line 262 "./jsarena.h"
      var $43=(($42+12)|0); //@line 262 "./jsarena.h"
      HEAP32[(($43)>>2)]=$41; //@line 262 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $45=$_p; //@line 262 "./jsarena.h"
      var $46=$45; //@line 262 "./jsarena.h"
      $v=$46; //@line 262 "./jsarena.h"
      __label__ = 7; break; //@line 262 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 262 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 262 "./jsarena.h"
    case 9: 
      var $50=$v; //@line 263 "./jsarena.h"
      var $51=(($50)|0)!=0; //@line 263 "./jsarena.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 263 "./jsarena.h"
    case 10: 
      var $53=$v; //@line 263 "./jsarena.h"
      var $54=(($53)|0)==0; //@line 263 "./jsarena.h"
      if ($54) { var $62 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 263 "./jsarena.h"
    case 11: 
      var $56=$53; //@line 263 "./jsarena.h"
      var $57=$2; //@line 263 "./jsarena.h"
      var $58=HEAP32[(($57)>>2)]; //@line 263 "./jsarena.h"
      var $59=$3; //@line 263 "./jsarena.h"
      var $60=HEAP32[(($59)>>2)]; //@line 263 "./jsarena.h"
      __ZN19TypeConstraintArithC1EPN2js5types7TypeSetES3_($56, $58, $60); //@line 263 "./jsarena.h"
      var $62 = $56;__label__ = 12; break; //@line 263 "./jsarena.h"
    case 12: 
      var $62; //@line 263 "./jsarena.h"
      var $65 = $62;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 13: 
      var $65 = 0;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 14: 
      var $65; //@line 263 "./jsarena.h"
      ;
      return $65; //@line 263 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI19TypeConstraintArithPNS_5types7TypeSetES4_EEPT_R11JSArenaPoolRKT0_RKT1_["X"]=1;

function __ZN2js5types7TypeSet16addTransformThisEP9JSContextP8JSScriptPS1_($this, $cx, $script, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$script;
  HEAP32[(($4)>>2)]=$target;
  var $5=$1;
  var $6=$2; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($7+56)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($9+344)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=__ZN2js8ArenaNewI27TypeConstraintTransformThisP8JSScriptPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_($10, $3, $4); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$11; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($5, $6, $12, 1); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI27TypeConstraintTransformThisP8JSScriptPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_($pool, $a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      __label__ = 2; break; //@line 262 "./jsarena.h"
    case 2: 
      var $5=$1; //@line 262 "./jsarena.h"
      var $6=(($5+16)|0); //@line 262 "./jsarena.h"
      var $7=HEAP32[(($6)>>2)]; //@line 262 "./jsarena.h"
      $_a=$7; //@line 262 "./jsarena.h"
      var $8=$1; //@line 262 "./jsarena.h"
      var $9=(($8+24)|0); //@line 262 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 262 "./jsarena.h"
      var $11=(($10+16)|0); //@line 262 "./jsarena.h"
      var $12=$1; //@line 262 "./jsarena.h"
      var $13=(($12+24)|0); //@line 262 "./jsarena.h"
      var $14=HEAP32[(($13)>>2)]; //@line 262 "./jsarena.h"
      var $15=$14 ^ -1; //@line 262 "./jsarena.h"
      var $16=$11 & $15; //@line 262 "./jsarena.h"
      $_nb=$16; //@line 262 "./jsarena.h"
      var $17=$_a; //@line 262 "./jsarena.h"
      var $18=(($17+12)|0); //@line 262 "./jsarena.h"
      var $19=HEAP32[(($18)>>2)]; //@line 262 "./jsarena.h"
      $_p=$19; //@line 262 "./jsarena.h"
      var $20=$_nb; //@line 262 "./jsarena.h"
      var $21=$_a; //@line 262 "./jsarena.h"
      var $22=(($21+8)|0); //@line 262 "./jsarena.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 262 "./jsarena.h"
      var $24=(($20)>>>0) > (($23)>>>0); //@line 262 "./jsarena.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 262 "./jsarena.h"
    case 3: 
      var $26=$_p; //@line 262 "./jsarena.h"
      var $27=$_a; //@line 262 "./jsarena.h"
      var $28=(($27+8)|0); //@line 262 "./jsarena.h"
      var $29=HEAP32[(($28)>>2)]; //@line 262 "./jsarena.h"
      var $30=$_nb; //@line 262 "./jsarena.h"
      var $31=(($29-$30)|0); //@line 262 "./jsarena.h"
      var $32=(($26)>>>0) > (($31)>>>0); //@line 262 "./jsarena.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 262 "./jsarena.h"
    case 4: 
      var $34=$1; //@line 262 "./jsarena.h"
      var $35=$_nb; //@line 262 "./jsarena.h"
      var $36=_JS_ArenaAllocate($34, $35); //@line 262 "./jsarena.h"
      var $37=$36; //@line 262 "./jsarena.h"
      $_p=$37; //@line 262 "./jsarena.h"
      __label__ = 6; break; //@line 262 "./jsarena.h"
    case 5: 
      var $39=$_p; //@line 262 "./jsarena.h"
      var $40=$_nb; //@line 262 "./jsarena.h"
      var $41=(($39+$40)|0); //@line 262 "./jsarena.h"
      var $42=$_a; //@line 262 "./jsarena.h"
      var $43=(($42+12)|0); //@line 262 "./jsarena.h"
      HEAP32[(($43)>>2)]=$41; //@line 262 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $45=$_p; //@line 262 "./jsarena.h"
      var $46=$45; //@line 262 "./jsarena.h"
      $v=$46; //@line 262 "./jsarena.h"
      __label__ = 7; break; //@line 262 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 262 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 262 "./jsarena.h"
    case 9: 
      var $50=$v; //@line 263 "./jsarena.h"
      var $51=(($50)|0)!=0; //@line 263 "./jsarena.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 263 "./jsarena.h"
    case 10: 
      var $53=$v; //@line 263 "./jsarena.h"
      var $54=(($53)|0)==0; //@line 263 "./jsarena.h"
      if ($54) { var $62 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 263 "./jsarena.h"
    case 11: 
      var $56=$53; //@line 263 "./jsarena.h"
      var $57=$2; //@line 263 "./jsarena.h"
      var $58=HEAP32[(($57)>>2)]; //@line 263 "./jsarena.h"
      var $59=$3; //@line 263 "./jsarena.h"
      var $60=HEAP32[(($59)>>2)]; //@line 263 "./jsarena.h"
      __ZN27TypeConstraintTransformThisC1EP8JSScriptPN2js5types7TypeSetE($56, $58, $60); //@line 263 "./jsarena.h"
      var $62 = $56;__label__ = 12; break; //@line 263 "./jsarena.h"
    case 12: 
      var $62; //@line 263 "./jsarena.h"
      var $65 = $62;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 13: 
      var $65 = 0;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 14: 
      var $65; //@line 263 "./jsarena.h"
      ;
      return $65; //@line 263 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI27TypeConstraintTransformThisP8JSScriptPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_["X"]=1;

function __ZN2js5types7TypeSet15addCallPropertyEP9JSContextP8JSScriptPhi($this, $cx, $script, $pc, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5=__stackBase__+4;
      var $callpc=__stackBase__+8;
      var $untrap=__stackBase__+12;
      var $6;
      $1=$this;
      $2=$cx;
      HEAP32[(($3)>>2)]=$script;
      $4=$pc;
      HEAP32[(($5)>>2)]=$id;
      var $7=$1;
      var $8=HEAP32[(($3)>>2)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZN8JSScript8analysisEv($8); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$4; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZN2js7analyze14ScriptAnalysis9getCallPCEPh($9, $10); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($callpc)>>2)]=$11; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$2; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($3)>>2)]; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($callpc)>>2)]; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $12, $13, $14); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($callpc)>>2)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAPU8[($15)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16)&255); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)==82; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $6=1;
      __label__ = 4; break; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $21=$2; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$2; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+56)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24+344)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZN2js8ArenaNewI22TypeConstraintCallPropP8JSScriptPhiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($25, $3, $callpc, $5); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$26; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($7, $21, $27, 1); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $6=0; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 5; break;
      }
      else {
      __label__ = 6; break;
      }
      
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8ArenaNewI27TypeConstraintPropagateThisP8JSScriptPhNS_5types4TypeEPNS5_7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_($pool, $a, $b, $c, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      var $6=__stackBase__;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      $5=$d;
      __label__ = 2; break; //@line 280 "./jsarena.h"
    case 2: 
      var $8=$1; //@line 280 "./jsarena.h"
      var $9=(($8+16)|0); //@line 280 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 280 "./jsarena.h"
      $_a=$10; //@line 280 "./jsarena.h"
      var $11=$1; //@line 280 "./jsarena.h"
      var $12=(($11+24)|0); //@line 280 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 280 "./jsarena.h"
      var $14=(($13+24)|0); //@line 280 "./jsarena.h"
      var $15=$1; //@line 280 "./jsarena.h"
      var $16=(($15+24)|0); //@line 280 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 280 "./jsarena.h"
      var $18=$17 ^ -1; //@line 280 "./jsarena.h"
      var $19=$14 & $18; //@line 280 "./jsarena.h"
      $_nb=$19; //@line 280 "./jsarena.h"
      var $20=$_a; //@line 280 "./jsarena.h"
      var $21=(($20+12)|0); //@line 280 "./jsarena.h"
      var $22=HEAP32[(($21)>>2)]; //@line 280 "./jsarena.h"
      $_p=$22; //@line 280 "./jsarena.h"
      var $23=$_nb; //@line 280 "./jsarena.h"
      var $24=$_a; //@line 280 "./jsarena.h"
      var $25=(($24+8)|0); //@line 280 "./jsarena.h"
      var $26=HEAPU32[(($25)>>2)]; //@line 280 "./jsarena.h"
      var $27=(($23)>>>0) > (($26)>>>0); //@line 280 "./jsarena.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 280 "./jsarena.h"
    case 3: 
      var $29=$_p; //@line 280 "./jsarena.h"
      var $30=$_a; //@line 280 "./jsarena.h"
      var $31=(($30+8)|0); //@line 280 "./jsarena.h"
      var $32=HEAP32[(($31)>>2)]; //@line 280 "./jsarena.h"
      var $33=$_nb; //@line 280 "./jsarena.h"
      var $34=(($32-$33)|0); //@line 280 "./jsarena.h"
      var $35=(($29)>>>0) > (($34)>>>0); //@line 280 "./jsarena.h"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 280 "./jsarena.h"
    case 4: 
      var $37=$1; //@line 280 "./jsarena.h"
      var $38=$_nb; //@line 280 "./jsarena.h"
      var $39=_JS_ArenaAllocate($37, $38); //@line 280 "./jsarena.h"
      var $40=$39; //@line 280 "./jsarena.h"
      $_p=$40; //@line 280 "./jsarena.h"
      __label__ = 6; break; //@line 280 "./jsarena.h"
    case 5: 
      var $42=$_p; //@line 280 "./jsarena.h"
      var $43=$_nb; //@line 280 "./jsarena.h"
      var $44=(($42+$43)|0); //@line 280 "./jsarena.h"
      var $45=$_a; //@line 280 "./jsarena.h"
      var $46=(($45+12)|0); //@line 280 "./jsarena.h"
      HEAP32[(($46)>>2)]=$44; //@line 280 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $48=$_p; //@line 280 "./jsarena.h"
      var $49=$48; //@line 280 "./jsarena.h"
      $v=$49; //@line 280 "./jsarena.h"
      __label__ = 7; break; //@line 280 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 280 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 280 "./jsarena.h"
    case 9: 
      var $53=$v; //@line 281 "./jsarena.h"
      var $54=(($53)|0)!=0; //@line 281 "./jsarena.h"
      if ($54) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 281 "./jsarena.h"
    case 10: 
      var $56=$v; //@line 281 "./jsarena.h"
      var $57=(($56)|0)==0; //@line 281 "./jsarena.h"
      if ($57) { var $70 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 281 "./jsarena.h"
    case 11: 
      var $59=$56; //@line 281 "./jsarena.h"
      var $60=$2; //@line 281 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 281 "./jsarena.h"
      var $62=$3; //@line 281 "./jsarena.h"
      var $63=HEAP32[(($62)>>2)]; //@line 281 "./jsarena.h"
      var $64=$4; //@line 281 "./jsarena.h"
      var $65=$6; //@line 281 "./jsarena.h"
      var $66=$64; //@line 281 "./jsarena.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($65)>>2)]=HEAP32[(($66)>>2)]; //@line 281 "./jsarena.h"
      var $67=$5; //@line 281 "./jsarena.h"
      var $68=HEAP32[(($67)>>2)]; //@line 281 "./jsarena.h"
      __ZN27TypeConstraintPropagateThisC1EP8JSScriptPhN2js5types4TypeEPNS4_7TypeSetE($59, $61, $63, $6, $68); //@line 281 "./jsarena.h"
      var $70 = $59;__label__ = 12; break; //@line 281 "./jsarena.h"
    case 12: 
      var $70; //@line 281 "./jsarena.h"
      var $73 = $70;__label__ = 14; break; //@line 281 "./jsarena.h"
    case 13: 
      var $73 = 0;__label__ = 14; break; //@line 281 "./jsarena.h"
    case 14: 
      var $73; //@line 281 "./jsarena.h"
      STACKTOP = __stackBase__;
      return $73; //@line 281 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI27TypeConstraintPropagateThisP8JSScriptPhNS_5types4TypeEPNS5_7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_["X"]=1;

function __ZN2js5types7TypeSet19addFilterPrimitivesEP9JSContextPS1_NS1_10FilterKindE($this, $cx, $target, $filter) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$target;
  HEAP32[(($4)>>2)]=$filter;
  var $5=$1;
  var $6=$2; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($7+56)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($9+344)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=__ZN2js8ArenaNewI29TypeConstraintFilterPrimitivePNS_5types7TypeSetENS3_10FilterKindEEEPT_R11JSArenaPoolRKT0_RKT1_($10, $3, $4); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$11; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($5, $6, $12, 1); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI29TypeConstraintFilterPrimitivePNS_5types7TypeSetENS3_10FilterKindEEEPT_R11JSArenaPoolRKT0_RKT1_($pool, $a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      __label__ = 2; break; //@line 262 "./jsarena.h"
    case 2: 
      var $5=$1; //@line 262 "./jsarena.h"
      var $6=(($5+16)|0); //@line 262 "./jsarena.h"
      var $7=HEAP32[(($6)>>2)]; //@line 262 "./jsarena.h"
      $_a=$7; //@line 262 "./jsarena.h"
      var $8=$1; //@line 262 "./jsarena.h"
      var $9=(($8+24)|0); //@line 262 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 262 "./jsarena.h"
      var $11=(($10+16)|0); //@line 262 "./jsarena.h"
      var $12=$1; //@line 262 "./jsarena.h"
      var $13=(($12+24)|0); //@line 262 "./jsarena.h"
      var $14=HEAP32[(($13)>>2)]; //@line 262 "./jsarena.h"
      var $15=$14 ^ -1; //@line 262 "./jsarena.h"
      var $16=$11 & $15; //@line 262 "./jsarena.h"
      $_nb=$16; //@line 262 "./jsarena.h"
      var $17=$_a; //@line 262 "./jsarena.h"
      var $18=(($17+12)|0); //@line 262 "./jsarena.h"
      var $19=HEAP32[(($18)>>2)]; //@line 262 "./jsarena.h"
      $_p=$19; //@line 262 "./jsarena.h"
      var $20=$_nb; //@line 262 "./jsarena.h"
      var $21=$_a; //@line 262 "./jsarena.h"
      var $22=(($21+8)|0); //@line 262 "./jsarena.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 262 "./jsarena.h"
      var $24=(($20)>>>0) > (($23)>>>0); //@line 262 "./jsarena.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 262 "./jsarena.h"
    case 3: 
      var $26=$_p; //@line 262 "./jsarena.h"
      var $27=$_a; //@line 262 "./jsarena.h"
      var $28=(($27+8)|0); //@line 262 "./jsarena.h"
      var $29=HEAP32[(($28)>>2)]; //@line 262 "./jsarena.h"
      var $30=$_nb; //@line 262 "./jsarena.h"
      var $31=(($29-$30)|0); //@line 262 "./jsarena.h"
      var $32=(($26)>>>0) > (($31)>>>0); //@line 262 "./jsarena.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 262 "./jsarena.h"
    case 4: 
      var $34=$1; //@line 262 "./jsarena.h"
      var $35=$_nb; //@line 262 "./jsarena.h"
      var $36=_JS_ArenaAllocate($34, $35); //@line 262 "./jsarena.h"
      var $37=$36; //@line 262 "./jsarena.h"
      $_p=$37; //@line 262 "./jsarena.h"
      __label__ = 6; break; //@line 262 "./jsarena.h"
    case 5: 
      var $39=$_p; //@line 262 "./jsarena.h"
      var $40=$_nb; //@line 262 "./jsarena.h"
      var $41=(($39+$40)|0); //@line 262 "./jsarena.h"
      var $42=$_a; //@line 262 "./jsarena.h"
      var $43=(($42+12)|0); //@line 262 "./jsarena.h"
      HEAP32[(($43)>>2)]=$41; //@line 262 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $45=$_p; //@line 262 "./jsarena.h"
      var $46=$45; //@line 262 "./jsarena.h"
      $v=$46; //@line 262 "./jsarena.h"
      __label__ = 7; break; //@line 262 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 262 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 262 "./jsarena.h"
    case 9: 
      var $50=$v; //@line 263 "./jsarena.h"
      var $51=(($50)|0)!=0; //@line 263 "./jsarena.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 263 "./jsarena.h"
    case 10: 
      var $53=$v; //@line 263 "./jsarena.h"
      var $54=(($53)|0)==0; //@line 263 "./jsarena.h"
      if ($54) { var $62 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 263 "./jsarena.h"
    case 11: 
      var $56=$53; //@line 263 "./jsarena.h"
      var $57=$2; //@line 263 "./jsarena.h"
      var $58=HEAP32[(($57)>>2)]; //@line 263 "./jsarena.h"
      var $59=$3; //@line 263 "./jsarena.h"
      var $60=HEAP32[(($59)>>2)]; //@line 263 "./jsarena.h"
      __ZN29TypeConstraintFilterPrimitiveC1EPN2js5types7TypeSetENS2_10FilterKindE($56, $58, $60); //@line 263 "./jsarena.h"
      var $62 = $56;__label__ = 12; break; //@line 263 "./jsarena.h"
    case 12: 
      var $62; //@line 263 "./jsarena.h"
      var $65 = $62;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 13: 
      var $65 = 0;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 14: 
      var $65; //@line 263 "./jsarena.h"
      ;
      return $65; //@line 263 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI29TypeConstraintFilterPrimitivePNS_5types7TypeSetENS3_10FilterKindEEEPT_R11JSArenaPoolRKT0_RKT1_["X"]=1;

function __ZN2js7analyze14ScriptAnalysis17pruneTypeBarriersEP9JSContextj($this, $cx, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pbarrier;
      var $barrier;
      var $4=__stackBase__;
      var $shape;
      $1=$this;
      $2=$cx;
      $3=$offset;
      var $5=$1;
      var $6=$3; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=__ZN2js7analyze14ScriptAnalysis7getCodeEj($5, $6); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7+40)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pbarrier=$8; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=$pbarrier; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11)|0)!=0; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $14=$pbarrier; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $barrier=$15; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$barrier; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16+4)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$barrier; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+8)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$4; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$20; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($18, $4); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $25=$barrier; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$pbarrier; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $30=$barrier; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30+12)|0); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32)|0)!=0; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $35=$2; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$barrier; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36+12)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$barrier; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39+16)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=__ZL17GetSingletonShapeP9JSContextP8JSObjecti($35, $38, $41); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$42; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$shape; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43)|0)!=0; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $46=$barrier; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46+12)|0); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$shape; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+24)|0); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=__ZNK8JSObject13nativeGetSlotEj($48, $51); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=__ZNK2JS5Value11isUndefinedEv($52); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($53) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $55=$barrier; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=$pbarrier; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($58)>>2)]=$57; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      __label__ = 10; break; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $61=$barrier; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=(($61)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pbarrier=$62; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis17pruneTypeBarriersEP9JSContextj["X"]=1;

function __ZL17GetSingletonShapeP9JSContextP8JSObjecti($cx, $obj, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$id;
      var $5=$3; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$2; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$4; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZN8JSObject12nativeLookupEP9JSContexti($5, $6, $7); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$8; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$shape; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$shape; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZNK2js5Shape26hasDefaultGetterOrIsMethodEv($12); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $15=$shape; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+24)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)!=-1; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $20=$shape; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$20; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $1=0; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $23=$1; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $23; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis17breakTypeBarriersEP9JSContextjb($this, $cx, $offset, $all) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $pbarrier;
      var $barrier;
      var $5=__stackBase__;
      var $6=__stackBase__+4;
      var $7=__stackBase__+8;
      $1=$this;
      $2=$cx;
      $3=$offset;
      var $8=(($all)&1);
      $4=$8;
      var $9=$1;
      var $10=$2; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$3; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis17pruneTypeBarriersEP9JSContextj($9, $10, $11); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$3; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZN2js7analyze14ScriptAnalysis7getCodeEj($9, $12); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+40)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pbarrier=$14; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $16=$pbarrier; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)!=0; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 16; break; } //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $20=$pbarrier; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $barrier=$21; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$barrier; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+4)|0); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$barrier; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+8)|0); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$5; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$26; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($24, $5); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $31=$barrier; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$pbarrier; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($34)>>2)]=$33; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $36=$4; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36) & 1); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $39=$barrier; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39+4)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$2; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$barrier; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+8)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=$6; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=$44; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($41, $42, $6); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$barrier; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47)|0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$pbarrier; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($50)>>2)]=$49; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $52=$barrier; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($52+8)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=__ZNK2js5types4Type9isUnknownEv($53); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 8; break; } //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $56=$barrier; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=(($56+8)|0); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=__ZNK2js5types4Type11isAnyObjectEv($57); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 9; break; } //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $60=$barrier; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60+8)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=__ZNK2js5types4Type8isObjectEv($61); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $64=$barrier; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($64+4)|0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=__ZN2js5types7TypeSet14getObjectCountEv($66); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67)>>>0) >= 10; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($68) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $70=$barrier; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=(($70+4)|0); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=$2; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=$barrier; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=(($74+8)|0); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=$7; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=$75; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($76)>>2)]=HEAP32[(($77)>>2)]; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($72, $73, $7); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$barrier; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($78)|0); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$pbarrier; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($81)>>2)]=$80; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $83=$barrier; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=(($83)|0); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pbarrier=$84; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 2; break; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      STACKTOP = __stackBase__;
      return; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis17breakTypeBarriersEP9JSContextjb["X"]=1;

function __ZN2js7analyze14ScriptAnalysis20breakTypeBarriersSSAEP9JSContextRKNS0_8SSAValueE($this, $cx, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $offset;
      $1=$this;
      $2=$cx;
      $3=$v;
      var $4=$1;
      var $5=$3; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=__ZNK2js7analyze8SSAValue4kindEv($5); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6)|0)!=1; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 6; break; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=$3; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZNK2js7analyze8SSAValue12pushedOffsetEv($10); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $offset=$11; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$offset; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($4)|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16+$12)|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAPU8[($17)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)&255); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19)|0)==53; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $22=$2; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$offset; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=__ZN2js7analyze14ScriptAnalysis11poppedValueEjj($4, $23, 0); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis20breakTypeBarriersSSAEP9JSContextRKNS0_8SSAValueE($4, $22, $24); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $26=$2; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$offset; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis17breakTypeBarriersEP9JSContextjb($4, $26, $27, 1); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      ;
      return; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types7TypeSet16addSubsetBarrierEP9JSContextP8JSScriptPhPS1_($this, $cx, $script, $pc, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  var $5=__stackBase__+8;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$script;
  HEAP32[(($4)>>2)]=$pc;
  HEAP32[(($5)>>2)]=$target;
  var $6=$1;
  var $7=$2; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$2; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($8+56)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=(($10+344)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=__ZN2js8ArenaNewI27TypeConstraintSubsetBarrierP8JSScriptPhPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($11, $3, $4, $5); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=$12; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($6, $7, $13, 1); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI27TypeConstraintSubsetBarrierP8JSScriptPhPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($pool, $a, $b, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      __label__ = 2; break; //@line 271 "./jsarena.h"
    case 2: 
      var $6=$1; //@line 271 "./jsarena.h"
      var $7=(($6+16)|0); //@line 271 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 271 "./jsarena.h"
      $_a=$8; //@line 271 "./jsarena.h"
      var $9=$1; //@line 271 "./jsarena.h"
      var $10=(($9+24)|0); //@line 271 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 271 "./jsarena.h"
      var $12=(($11+20)|0); //@line 271 "./jsarena.h"
      var $13=$1; //@line 271 "./jsarena.h"
      var $14=(($13+24)|0); //@line 271 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 271 "./jsarena.h"
      var $16=$15 ^ -1; //@line 271 "./jsarena.h"
      var $17=$12 & $16; //@line 271 "./jsarena.h"
      $_nb=$17; //@line 271 "./jsarena.h"
      var $18=$_a; //@line 271 "./jsarena.h"
      var $19=(($18+12)|0); //@line 271 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 271 "./jsarena.h"
      $_p=$20; //@line 271 "./jsarena.h"
      var $21=$_nb; //@line 271 "./jsarena.h"
      var $22=$_a; //@line 271 "./jsarena.h"
      var $23=(($22+8)|0); //@line 271 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 271 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 271 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 271 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 271 "./jsarena.h"
      var $28=$_a; //@line 271 "./jsarena.h"
      var $29=(($28+8)|0); //@line 271 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 271 "./jsarena.h"
      var $31=$_nb; //@line 271 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 271 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 271 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 271 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 271 "./jsarena.h"
      var $36=$_nb; //@line 271 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 271 "./jsarena.h"
      var $38=$37; //@line 271 "./jsarena.h"
      $_p=$38; //@line 271 "./jsarena.h"
      __label__ = 6; break; //@line 271 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 271 "./jsarena.h"
      var $41=$_nb; //@line 271 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 271 "./jsarena.h"
      var $43=$_a; //@line 271 "./jsarena.h"
      var $44=(($43+12)|0); //@line 271 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 271 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 271 "./jsarena.h"
      var $47=$46; //@line 271 "./jsarena.h"
      $v=$47; //@line 271 "./jsarena.h"
      __label__ = 7; break; //@line 271 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 271 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 271 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 272 "./jsarena.h"
      var $52=(($51)|0)!=0; //@line 272 "./jsarena.h"
      if ($52) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 272 "./jsarena.h"
    case 10: 
      var $54=$v; //@line 272 "./jsarena.h"
      var $55=(($54)|0)==0; //@line 272 "./jsarena.h"
      if ($55) { var $65 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 272 "./jsarena.h"
    case 11: 
      var $57=$54; //@line 272 "./jsarena.h"
      var $58=$2; //@line 272 "./jsarena.h"
      var $59=HEAP32[(($58)>>2)]; //@line 272 "./jsarena.h"
      var $60=$3; //@line 272 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 272 "./jsarena.h"
      var $62=$4; //@line 272 "./jsarena.h"
      var $63=HEAP32[(($62)>>2)]; //@line 272 "./jsarena.h"
      __ZN27TypeConstraintSubsetBarrierC1EP8JSScriptPhPN2js5types7TypeSetE($57, $59, $61, $63); //@line 272 "./jsarena.h"
      var $65 = $57;__label__ = 12; break; //@line 272 "./jsarena.h"
    case 12: 
      var $65; //@line 272 "./jsarena.h"
      var $68 = $65;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 13: 
      var $68 = 0;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 14: 
      var $68; //@line 272 "./jsarena.h"
      ;
      return $68; //@line 272 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI27TypeConstraintSubsetBarrierP8JSScriptPhPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_["X"]=1;

function __ZN2js5types7TypeSet16addLazyArgumentsEP9JSContextPS1_($this, $cx, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  HEAP32[(($3)>>2)]=$target;
  var $4=$1;
  var $5=$2; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$2; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($6+56)|0); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($8+344)|0); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=__ZN2js8ArenaNewI27TypeConstraintLazyArgumentsPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_($9, $3); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$10; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($4, $5, $11, 1); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI27TypeConstraintLazyArgumentsPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+12)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN27TypeConstraintLazyArgumentsC1EPN2js5types7TypeSetE($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI27TypeConstraintLazyArgumentsPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN2js5types7TypeSet16addPropagateThisEP9JSContextP8JSScriptPhNS0_4TypeEPS1_($this, $cx, $script, $pc, $type, $types) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5=__stackBase__+4;
      var $callpc=__stackBase__+8;
      var $untrap=__stackBase__+12;
      var $6;
      $1=$this;
      $2=$cx;
      HEAP32[(($3)>>2)]=$script;
      $4=$pc;
      HEAP32[(($5)>>2)]=$types;
      var $7=$1;
      var $8=HEAP32[(($3)>>2)]; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZN8JSScript8analysisEv($8); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$4; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZN2js7analyze14ScriptAnalysis9getCallPCEPh($9, $10); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($callpc)>>2)]=$11; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$2; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($3)>>2)]; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($callpc)>>2)]; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $12, $13, $14); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($callpc)>>2)]; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAPU8[($15)]; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16)&255); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)==82; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $6=1;
      __label__ = 4; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $21=$2; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$2; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+56)|0); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24+344)|0); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZN2js8ArenaNewI27TypeConstraintPropagateThisP8JSScriptPhNS_5types4TypeEPNS5_7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_($25, $3, $callpc, $type, $5); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$26; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($7, $21, $27, 1); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $6=0; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 5; break;
      }
      else {
      __label__ = 6; break;
      }
      
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5types4Type11isPrimitiveE11JSValueType($this, $type) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$type;
  var $3=$1;
  var $4=$2; //@line 95 "./jsinfer.h"
  var $5=(($4)&255); //@line 95 "./jsinfer.h"
  var $6=(($3)|0); //@line 95 "./jsinfer.h"
  var $7=HEAP32[(($6)>>2)]; //@line 95 "./jsinfer.h"
  var $8=(($5)|0)==(($7)|0); //@line 95 "./jsinfer.h"
  ;
  return $8; //@line 95 "./jsinfer.h"
}


function __ZN2js5types7TypeSet21hasPropagatedPropertyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 432 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 432 "./jsinfer.h"
  var $5=$4 & 131072; //@line 432 "./jsinfer.h"
  var $6=(($5)|0)!=0; //@line 432 "./jsinfer.h"
  var $7=$6 ^ 1; //@line 432 "./jsinfer.h"
  var $8=$7 ^ 1; //@line 432 "./jsinfer.h"
  ;
  return $8; //@line 432 "./jsinfer.h"
}


function __ZL21UnknownPropertyAccessP8JSScriptN2js5types4TypeE($script, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$script;
      var $2=__ZNK2js5types4Type9isUnknownEv($type); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($2) { var $14 = 1;__label__ = 6; break; } else { __label__ = 2; break; } //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $4=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($4) { var $14 = 1;__label__ = 6; break; } else { __label__ = 3; break; } //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $6=__ZNK2js5types4Type8isObjectEv($type); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { var $12 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $8=$1; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZNK8JSScript9hasGlobalEv($8); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$9 ^ 1; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12 = $10;__label__ = 5; break;
    case 5: 
      var $12;
      var $14 = $12;__label__ = 6; break;
    case 6: 
      var $14;
      STACKTOP = __stackBase__;
      return $14; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL25MarkPropertyAccessUnknownP9JSContextP8JSScriptPhPN2js5types7TypeSetE($cx, $script, $pc, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6=__stackBase__+4;
      $1=$cx;
      $2=$script;
      $3=$pc;
      $4=$target;
      var $7=$3; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZL22UsePropertyTypeBarrierPh($7); //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=$2; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZN8JSScript8analysisEv($10); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$1; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$3; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$4; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($5); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis14addTypeBarrierEP9JSContextPKhPNS_5types7TypeSetENS6_4TypeE($11, $12, $13, $14, $5); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $16=$4; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($6); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($16, $17, $6); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break;
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9id_lengthP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $3=(($2+52)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=(($4+209948)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($5+308)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$7; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=__ZL12ATOM_TO_JSIDP6JSAtom1694($8); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $9; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5types4Type9Int32TypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 1); //@line 151 "./jsinfer.h"
  ;
  return; //@line 151 "./jsinfer.h"
}


function __ZL17GetPropertyObjectP9JSContextP8JSScriptN2js5types4TypeE($cx, $script, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $object;
      $2=$cx;
      $3=$script;
      var $4=__ZNK2js5types4Type12isTypeObjectEv($type); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $6=__ZNK2js5types4Type10typeObjectEv($type); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$6; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $8=__ZNK2js5types4Type14isSingleObjectEv($type); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $10=__ZNK2js5types4Type12singleObjectEv($type); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$2; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN8JSObject7getTypeEP9JSContext($10, $11); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$12; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $object=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZNK2js5types4Type9primitiveEv($type); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)&255); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ((($15)|0) == 1 || (($15)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($15)|0) == 3) {
        __label__ = 7; break;
      }
      else if ((($15)|0) == 5) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 6: 
      var $17=$2; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$3; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey($17, $18, 8); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$19; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $21=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$3; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey($21, $22, 4); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$23; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $25=$2; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$3; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey($25, $26, 9); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$27; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      $1=0; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $30=$object; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30)|0)!=0; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $33=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+56)|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35+376)|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($36, $37); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $39=$object; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$39; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $41=$1; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17GetPropertyObjectP9JSContextP8JSScriptN2js5types4TypeE["X"]=1;

function __ZL14PropertyAccessP9JSContextP8JSScriptPhPN2js5types10TypeObjectEbPNS5_7TypeSetEi($cx, $script, $pc, $object, $assign, $target, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $types;
      var $shape;
      $1=$cx;
      $2=$script;
      $3=$pc;
      $4=$object;
      var $8=(($assign)&1);
      $5=$8;
      $6=$target;
      $7=$id;
      var $9=$4; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZN2js5types10TypeObject17unknownPropertiesEv($9); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$5; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12) & 1); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $15=$1; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$2; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$3; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$6; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL25MarkPropertyAccessUnknownP9JSContextP8JSScriptPhPN2js5types7TypeSetE($15, $16, $17, $18); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 21; break; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $21=$4; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$1; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$7; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$5; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24) & 1); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($21, $22, $23, $25); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$26; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$types; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27)|0)!=0; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      __label__ = 21; break; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $31=$5; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31) & 1); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $34=$6; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$types; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($34, $35, $36); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 21; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $38=$types; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=__ZN2js5types7TypeSet21hasPropagatedPropertyEv($38); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $41=$4; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$1; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$7; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$types; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject17getFromPrototypesEP9JSContextiPNS0_7TypeSetEb($41, $42, $43, $44, 0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $46=$3; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=__ZL22UsePropertyTypeBarrierPh($46); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 19; break; } //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $49=$types; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$1; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$2; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$3; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$6; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addSubsetBarrierEP9JSContextP8JSScriptPhPS1_($49, $50, $51, $52, $53); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$4; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54+4)|0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=(($56)|0)!=0; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $59=$7; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=_JSID_IS_VOID1691($59); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60)|0)!=0; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($61) { __label__ = 18; break; } else { __label__ = 14; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $63=$1; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$4; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($64+4)|0); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=$7; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=__ZL17GetSingletonShapeP9JSContextP8JSObjecti($63, $66, $67); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$68; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$shape; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($69)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $72=$4; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($72+4)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=$shape; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=(($75+24)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=__ZNK8JSObject13nativeGetSlotEj($74, $77); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=__ZNK2JS5Value11isUndefinedEv($78); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($79) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $81=$2; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=__ZN8JSScript8analysisEv($81); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=$1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=$3; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=$6; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=$4; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=(($86+4)|0); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$7; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis23addSingletonTypeBarrierEP9JSContextPKhPNS_5types7TypeSetEP8JSObjecti($82, $83, $84, $85, $88, $89); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      __label__ = 18; break; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      __label__ = 20; break; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $93=$types; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=$1; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($93, $94, $95); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break;
    case 20: 
      __label__ = 21; break;
    case 21: 
      ;
      return; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14PropertyAccessP9JSContextP8JSScriptPhPN2js5types10TypeObjectEbPNS5_7TypeSetEi["X"]=1;

function __ZN2js5types10TypeObject17getFromPrototypesEP9JSContextiPNS0_7TypeSetEb($this, $cx, $id, $types, $force) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $protoTypes;
      $1=$this;
      $2=$cx;
      $3=$id;
      $4=$types;
      var $7=(($force)&1);
      $5=$7;
      var $8=$1;
      var $9=$5; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9) & 1); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$4; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZN2js5types7TypeSet21hasPropagatedPropertyEv($12); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      __label__ = 11; break; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $16=$4; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet21setPropagatedPropertyEv($16); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($8)|0); //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)|0)!=0; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      __label__ = 11; break; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $22=(($8)|0); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$2; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZN8JSObject7getTypeEP9JSContext($23, $24); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZN2js5types10TypeObject17unknownPropertiesEv($25); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $28=$4; //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$2; //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($6); //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($28, $29, $6); //@line 2667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $31=(($8)|0); //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=__ZNK8JSObject4typeEv($32); //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$2; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$3; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($33, $34, $35, 0); //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $protoTypes=$36; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$protoTypes; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($37)|0)!=0; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      __label__ = 11; break; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $41=$protoTypes; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$2; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$4; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($41, $42, $43); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($8)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=__ZNK8JSObject4typeEv($45); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$2; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$3; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$protoTypes; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject17getFromPrototypesEP9JSContextiPNS0_7TypeSetEb($46, $47, $48, $49, 0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject17getFromPrototypesEP9JSContextiPNS0_7TypeSetEb["X"]=1;

function __ZN18TypeConstraintProp7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $untrap=__stackBase__;
      var $4=__stackBase__+8;
      var $5;
      var $6=__stackBase__+12;
      var $object;
      var $7=__stackBase__+16;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $8=$1;
      var $9=$2; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($8+8)|0); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($8+12)|0); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $9, $11, $13); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($8+8)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$4; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$type; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)]; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=__ZL21UnknownPropertyAccessP8JSScriptN2js5types4TypeE($15, $4); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $20=(($8+16)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP8[($20)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21) & 1); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $24=$2; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24+56)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+376)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$2; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($8+8)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($8+12)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($8+8)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$32; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$36; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($37-$38)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($27, $28, $30, $39, 0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $41=$2; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($8+8)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($8+12)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($8+20)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL25MarkPropertyAccessUnknownP9JSContextP8JSScriptPhPN2js5types7TypeSetE($41, $43, $45, $47); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break;
    case 5: 
      $5=1;
      __label__ = 18; break; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $50=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 4); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($50) { __label__ = 7; break; } else { __label__ = 15; break; } //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $52=(($8+16)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAP8[($52)]; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53) & 1); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $56=(($8+24)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57)|0)!=2; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $60=(($8+24)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$2; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=__ZL9id_lengthP9JSContext($62); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($61)|0)!=(($63)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($64) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      $5=1;
      __label__ = 18; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $67=(($8+24)|0); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($68)|0)==2; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($69) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $71=$2; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=(($8+8)|0); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=(($8+12)|0); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=(($8+20)|0); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL25MarkPropertyAccessUnknownP9JSContextP8JSScriptPhPN2js5types7TypeSetE($71, $73, $75, $77); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $79=(($8+20)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$2; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type9Int32TypeEv($6); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($80, $81, $6); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break;
    case 14: 
      $5=1;
      __label__ = 18; break; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $84=$2; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=(($8+8)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$7; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=$type; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)]; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=__ZL17GetPropertyObjectP9JSContextP8JSScriptN2js5types4TypeE($84, $86, $7); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$89; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=$object; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=(($90)|0)!=0; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($91) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $93=$2; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=(($8+8)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=(($8+12)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=$object; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=(($8+16)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=HEAP8[($99)]; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=(($100) & 1); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=(($8+20)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=(($8+24)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL14PropertyAccessP9JSContextP8JSScriptPhPN2js5types10TypeObjectEbPNS5_7TypeSetEi($93, $95, $97, $98, $101, $103, $105); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      $5=0; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 19; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 19: 
      STACKTOP = __stackBase__;
      return; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypeConstraintProp7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE["X"]=1;

function __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($this, $cx, $script, $offset, $returnOnly) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $analysis;
      var $pc;
      var $untrap=__stackBase__;
      var $code;
      var $6;
      $1=$this;
      $2=$cx;
      $3=$script;
      $4=$offset;
      var $7=(($returnOnly)&1);
      $5=$7;
      var $8=$1;
      var $9=$3; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZN8JSScript8analysisEv($9); //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $analysis=$10; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11)|0); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$4; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($13+$14)|0); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$15; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$2; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$3; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$pc; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $16, $17, $18); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$analysis; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$pc; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZN2js7analyze14ScriptAnalysis7getCodeEPKh($19, $20); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $code=$21; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$5; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22) & 1); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $25=$code; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$25; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+1)|0); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAPU8[($27)]; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28)&255) >>> 3; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$29 & 1; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30) & 1); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41 = $31;__label__ = 4; break; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $33=$code; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$33; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+1)|0); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAPU8[($35)]; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36)&255) >>> 2; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$37 & 1; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38) & 1); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41 = $39;__label__ = 4; break; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $41; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $6=1;
      __label__ = 14; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $44=$5; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44) & 1); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=$45 ? (((STRING_TABLE.__str191589)|0)) : (((__str201590)|0)); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$3; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=__ZN8JSScript2idEv($47); //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$4; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str181588)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$46,HEAP32[((tempInt+4)>>2)]=$48,HEAP32[((tempInt+8)>>2)]=$49,tempInt)); //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$pc; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAPU8[($50)]; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51)&255); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=((_js_CodeSpec+($52<<3))|0); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53+4)|0); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=$55 & 2097152; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=(($56)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($57) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $59=$code; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$59; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60+1)|0); //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=HEAP8[($61)]; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=$62 & -9; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$63 | 8; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($61)]=$64; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $66=$5; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=(($66) & 1); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($67) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $69=$code; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=$69; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=(($70+1)|0); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=HEAP8[($71)]; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=$72 & -5; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=$73 | 4; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($71)]=$74; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $76=$2; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=(($76+56)|0); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($78+376)|0); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=$2; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$3; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($79, $80, $81); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=$3; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=$82; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=(($83+37)|0); //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=HEAPU8[($84)]; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=(($85)&255) >>> 2; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$86 & 1; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=(($87) & 1); //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($88) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $90=$3; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=__ZNK8JSScript8functionEv($90); //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=$91; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=__ZNK8JSObject11hasLazyTypeEv($92); //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($93) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $95=$2; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=$3; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=__ZNK8JSScript8functionEv($96); //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=$97; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=__ZNK8JSObject4typeEv($98); //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb($95, $99, 0, 1); //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $6=0; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 15: 
      STACKTOP = __stackBase__;
      return; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb["X"]=1;

function __ZN22TypeConstraintCallProp7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $untrap=__stackBase__;
      var $4=__stackBase__+8;
      var $5;
      var $object;
      var $6=__stackBase__+12;
      var $types;
      var $7=__stackBase__+16;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $8=$1;
      var $9=$2; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($8+8)|0); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($8+12)|0); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $9, $11, $13); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($8+8)|0); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$4; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$type; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)]; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=__ZL21UnknownPropertyAccessP8JSScriptN2js5types4TypeE($15, $4); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $20=$2; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20+56)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+376)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$2; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($8+8)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($8+12)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($8+8)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$28; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$32; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($33-$34)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($23, $24, $26, $35, 0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 13; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $37=$2; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($8+8)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$6; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$type; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=__ZL17GetPropertyObjectP9JSContextP8JSScriptN2js5types4TypeE($37, $39, $6); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$42; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$object; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43)|0)!=0; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($44) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $46=$object; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=__ZN2js5types10TypeObject17unknownPropertiesEv($46); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($47) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $49=$2; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+56)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51+376)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$2; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($8+8)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($8+12)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($8+8)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=(($59)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$57; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=$61; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($62-$63)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($52, $53, $55, $64, 0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $66=$object; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=$2; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($8+16)|0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($66, $67, $69, 0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$70; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=$types; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=(($71)|0)!=0; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($72) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $5=1;
      __label__ = 13; break; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $75=$types; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=__ZN2js5types7TypeSet21hasPropagatedPropertyEv($75); //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($76) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $78=$object; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=$2; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=(($8+16)|0); //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=$types; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject17getFromPrototypesEP9JSContextiPNS0_7TypeSetEb($78, $79, $81, $82, 0); //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $84=$types; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=(($86+56)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=(($88+344)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=(($8+8)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=(($8+12)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($7)>>2)]=0; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=__ZN2js8ArenaNewI27TypeConstraintPropagateThisP8JSScriptPhNS_5types4TypeEPNS5_7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_($89, $90, $91, $type, $7); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=$92; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($84, $85, $93, 1); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      $5=0; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 14; break;
      }
      else {
      __label__ = 15; break;
      }
      
    case 14: 
      STACKTOP = __stackBase__;
      return; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22TypeConstraintCallProp7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE["X"]=1;

function __ZNK2js5types4Type12singleObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 131 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 131 "./jsinfer.h"
  var $5=$4 ^ 1; //@line 131 "./jsinfer.h"
  var $6=$5; //@line 131 "./jsinfer.h"
  ;
  return $6; //@line 131 "./jsinfer.h"
}


function __ZN24TypeConstraintSetElement7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $4=$1;
      var $5=__ZNK2js5types4Type9isUnknownEv($type); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($5) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $7=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 1); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $9=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 0); //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $11=(($4+16)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$2; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($4+8)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($4+12)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($4+20)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14addSetPropertyEP9JSContextP8JSScriptPhPS1_i($12, $13, $15, $17, $19, 2); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypeConstraintCall7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $script;
      var $pc;
      var $callee;
      var $obj;
      var $native;
      var $i;
      var $res;
      var $4=__stackBase__;
      var $i1;
      var $nargs;
      var $i2;
      var $argTypes;
      var $types;
      var $i3;
      var $types4;
      var $5=__stackBase__+4;
      var $thisTypes;
      var $returnTypes;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $6=$1;
      var $7=(($6+8)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$10; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($6+8)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12+4)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$14; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=__ZNK2js5types4Type9isUnknownEv($type); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $17=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $19=$2; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+56)|0); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+376)|0); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$script; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$pc; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$script; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26)|0); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$25; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$28; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($29-$30)|0); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($22, $23, $24, $31, 0); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 49; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $callee=0; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=__ZNK2js5types4Type14isSingleObjectEv($type); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 28; break; } //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $35=__ZNK2js5types4Type12singleObjectEv($type); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj=$35; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$obj; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=__ZNK8JSObject10isFunctionEv($36); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      __label__ = 49; break; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $40=$obj; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=__ZNK8JSObject18getFunctionPrivateEv($40); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=__ZNK10JSFunction8isNativeEv($41); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 27; break; } //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $44=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44+56)|0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46+376)|0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$script; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$pc; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$script; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51)|0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$50; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$53; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($54-$55)|0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($47, $48, $49, $56, 1); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=$obj; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=__ZNK8JSObject18getFunctionPrivateEv($57); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=__ZNK10JSFunction6nativeEv($58); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $native=$59; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$native; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60)|0)==134; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($61) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      $i=0; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $64=$i; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($6+8)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=(($66+16)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=HEAPU32[(($67)>>2)]; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($64)>>>0) < (($68)>>>0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($69) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $71=(($6+8)|0); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($72+20)|0); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=$2; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=$script; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=$pc; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$i; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($6+8)|0); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=(($80+12)|0); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=(($82+($78<<2))|0); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14addSetPropertyEP9JSContextP8JSScriptPhPS1_i($74, $75, $76, $77, $84, 2); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $86=$i; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=(($86+1)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$87; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __label__ = 14; break; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $90=$native; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=(($90)|0)==136; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($91) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $93=(($6+8)|0); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=(($94+20)|0); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=$2; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=$script; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=$pc; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($6+8)|0); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=(($101+24)|0); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14addGetPropertyEP9JSContextP8JSScriptPhPS1_i($96, $97, $98, $99, $103, 2); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $105=$native; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=(($105)|0)==66; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($106) { __label__ = 17; break; } else { __label__ = 26; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $108=$2; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=$script; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=$pc; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=__ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey($108, $109, $110, 3); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $res=$111; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=$res; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=(($112)|0)!=0; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($113) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      __label__ = 49; break; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $116=(($6+8)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=(($117+24)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=$2; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=$res; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($4, $121); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($119, $120, $4); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=(($6+8)|0); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=(($123+16)|0); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=HEAPU32[(($124)>>2)]; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=(($125)>>>0) >= 2; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($126) { __label__ = 20; break; } else { __label__ = 25; break; } //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      $i1=0; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 21; break; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $129=$i1; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $130=(($6+8)|0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=(($131+16)|0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $133=HEAPU32[(($132)>>2)]; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $134=(($129)>>>0) < (($133)>>>0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($134) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $136=$2; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $137=$script; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $138=$pc; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=$res; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=$i1; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=(($6+8)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $143=(($142+12)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $145=(($144+($140<<2))|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL14PropertyAccessP9JSContextP8JSScriptPhPN2js5types10TypeObjectEbPNS5_7TypeSetEi($136, $137, $138, $139, 1, $146, 2); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 23; break; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $148=$i1; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=(($148+1)|0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i1=$149; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 21; break; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      __label__ = 25; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      __label__ = 26; break; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      __label__ = 49; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $154=$obj; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=__ZNK8JSObject18getFunctionPrivateEv($154); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $callee=$155; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 34; break; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $157=__ZNK2js5types4Type12isTypeObjectEv($type); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($157) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $159=__ZNK2js5types4Type10typeObjectEv($type); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $160=(($159+28)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $callee=$161; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $162=$callee; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $163=(($162)|0)!=0; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($163) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      __label__ = 49; break; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      __label__ = 33; break; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      __label__ = 49; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      __label__ = 34; break;
    case 34: 
      var $169=$callee; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $170=__ZNK10JSFunction6scriptEv($169); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $171=$2; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $172=$callee; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $173=__ZN8JSScript14ensureHasTypesEP9JSContextP10JSFunction($170, $171, $172); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($173) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      __label__ = 49; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      var $176=$callee; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $177=(($176+56)|0); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $178=HEAPU16[(($177)>>1)]; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $179=(($178)&65535); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $nargs=$179; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i2=0; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      var $181=$i2; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $182=(($6+8)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $184=(($183+16)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $185=HEAPU32[(($184)>>2)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $186=(($181)>>>0) < (($185)>>>0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($186) { __label__ = 38; break; } else { var $192 = 0;__label__ = 39; break; } //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 38: 
      var $188=$i2; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $189=$nargs; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $190=(($188)>>>0) < (($189)>>>0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $192 = $190;__label__ = 39; break;
    case 39: 
      var $192;
      if ($192) { __label__ = 40; break; } else { __label__ = 42; break; }
    case 40: 
      var $194=$i2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $195=(($6+8)|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $196=HEAP32[(($195)>>2)]; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $197=(($196+12)|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $199=(($198+($194<<2))|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $200=HEAP32[(($199)>>2)]; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $argTypes=$200; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $201=$callee; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $202=__ZNK10JSFunction6scriptEv($201); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $203=$i2; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $204=__ZN2js5types10TypeScript8ArgTypesEP8JSScriptj($202, $203); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$204; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $205=$argTypes; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $206=$2; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $207=$script; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $208=$pc; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $209=$types; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addSubsetBarrierEP9JSContextP8JSScriptPhPS1_($205, $206, $207, $208, $209); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 41; break; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      var $211=$i2; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $212=(($211+1)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i2=$212; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      var $214=(($6+8)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $216=(($215+16)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i3=$217; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 43; break; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 43: 
      var $219=$i3; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $220=$nargs; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $221=(($219)>>>0) < (($220)>>>0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($221) { __label__ = 44; break; } else { __label__ = 46; break; } //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 44: 
      var $223=$callee; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $224=__ZNK10JSFunction6scriptEv($223); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $225=$i3; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $226=__ZN2js5types10TypeScript8ArgTypesEP8JSScriptj($224, $225); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types4=$226; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $227=$types4; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $228=$2; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($5); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($227, $228, $5); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 45; break; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 45: 
      var $230=$i3; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $231=(($230+1)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i3=$231; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 43; break; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 46: 
      var $233=$callee; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $234=__ZNK10JSFunction6scriptEv($233); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $235=__ZN2js5types10TypeScript9ThisTypesEP8JSScript($234); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $thisTypes=$235; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $236=$callee; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $237=__ZNK10JSFunction6scriptEv($236); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $238=__ZN2js5types10TypeScript11ReturnTypesEP8JSScript($237); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $returnTypes=$238; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $239=(($6+8)|0); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $240=HEAP32[(($239)>>2)]; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $241=(($240+8)|0); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $242=HEAP8[($241)]; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $243=(($242) & 1); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($243) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 47: 
      var $245=$thisTypes; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $246=$2; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $247=(($6+8)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $249=(($248+24)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $250=HEAP32[(($249)>>2)]; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($245, $246, $250); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $251=$returnTypes; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $252=$2; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $253=(($6+8)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $254=HEAP32[(($253)>>2)]; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $255=(($254+24)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet19addFilterPrimitivesEP9JSContextPS1_NS1_10FilterKindE($251, $252, $256, 0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 49; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 48: 
      var $258=$returnTypes; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $259=$2; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $260=(($6+8)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $262=(($261+24)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $263=HEAP32[(($262)>>2)]; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($258, $259, $263); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 49; break;
    case 49: 
      STACKTOP = __stackBase__;
      return; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypeConstraintCall7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE["X"]=1;

function __ZNK2js5types4Type14isSingleObjectEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js5types4Type8isObjectEv($2); //@line 126 "./jsinfer.h"
      if ($3) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 126 "./jsinfer.h"
    case 2: 
      var $5=(($2)|0); //@line 126 "./jsinfer.h"
      var $6=HEAP32[(($5)>>2)]; //@line 126 "./jsinfer.h"
      var $7=$6 & 1; //@line 126 "./jsinfer.h"
      var $8=(($7)|0)!=0; //@line 126 "./jsinfer.h"
      var $9=$8 ^ 1; //@line 126 "./jsinfer.h"
      var $10=$9 ^ 1; //@line 126 "./jsinfer.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      ;
      return $12; //@line 127 "./jsinfer.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($agg_result, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$obj;
      var $2=$1; //@line 73 "./jsinferinlines.h"
      var $3=(($2+4)|0); //@line 73 "./jsinferinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 73 "./jsinferinlines.h"
      var $5=(($4)|0)!=0; //@line 73 "./jsinferinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 73 "./jsinferinlines.h"
    case 2: 
      var $7=$1; //@line 74 "./jsinferinlines.h"
      var $8=(($7+4)|0); //@line 74 "./jsinferinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 74 "./jsinferinlines.h"
      var $10=$9; //@line 74 "./jsinferinlines.h"
      var $11=$10 | 1; //@line 74 "./jsinferinlines.h"
      __ZN2js5types4TypeC1Ej($agg_result, $11); //@line 74 "./jsinferinlines.h"
      __label__ = 4; break; //@line 74 "./jsinferinlines.h"
    case 3: 
      var $13=$1; //@line 75 "./jsinferinlines.h"
      var $14=$13; //@line 75 "./jsinferinlines.h"
      __ZN2js5types4TypeC1Ej($agg_result, $14); //@line 75 "./jsinferinlines.h"
      __label__ = 4; break; //@line 75 "./jsinferinlines.h"
    case 4: 
      ;
      return; //@line 76 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript9ThisTypesEP8JSScript($script) {
  ;
  var __label__;

  var $1;
  $1=$script;
  var $2=$1; //@line 477 "./jsinferinlines.h"
  var $3=(($2+100)|0); //@line 477 "./jsinferinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 477 "./jsinferinlines.h"
  var $5=__ZN2js5types10TypeScript9typeArrayEv($4); //@line 477 "./jsinferinlines.h"
  var $6=$1; //@line 477 "./jsinferinlines.h"
  var $7=(($6+22)|0); //@line 477 "./jsinferinlines.h"
  var $8=HEAPU16[(($7)>>1)]; //@line 477 "./jsinferinlines.h"
  var $9=(($8)&65535); //@line 477 "./jsinferinlines.h"
  var $10=(($5+$9*12)|0); //@line 477 "./jsinferinlines.h"
  var $11=__ZN2js7analyzeL8ThisSlotEv1761(); //@line 477 "./jsinferinlines.h"
  var $12=(($10+$11*12)|0); //@line 477 "./jsinferinlines.h"
  ;
  return $12; //@line 477 "./jsinferinlines.h"
}


function __ZN2js5types10TypeScript11ReturnTypesEP8JSScript($script) {
  ;
  var __label__;

  var $1;
  $1=$script;
  var $2=$1; //@line 471 "./jsinferinlines.h"
  var $3=(($2+100)|0); //@line 471 "./jsinferinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 471 "./jsinferinlines.h"
  var $5=__ZN2js5types10TypeScript9typeArrayEv($4); //@line 471 "./jsinferinlines.h"
  var $6=$1; //@line 471 "./jsinferinlines.h"
  var $7=(($6+22)|0); //@line 471 "./jsinferinlines.h"
  var $8=HEAPU16[(($7)>>1)]; //@line 471 "./jsinferinlines.h"
  var $9=(($8)&65535); //@line 471 "./jsinferinlines.h"
  var $10=(($5+$9*12)|0); //@line 471 "./jsinferinlines.h"
  var $11=__ZN2js7analyzeL10CalleeSlotEv(); //@line 471 "./jsinferinlines.h"
  var $12=(($10+$11*12)|0); //@line 471 "./jsinferinlines.h"
  ;
  return $12; //@line 471 "./jsinferinlines.h"
}


function __ZN27TypeConstraintPropagateThis7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $callee;
      var $object;
      var $object1;
      var $thisTypes;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $5=$1;
      var $6=__ZNK2js5types4Type9isUnknownEv($type); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $8=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=$2; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10+56)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12+376)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$2; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($5+8)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($5+12)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($5+8)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$18; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$22; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($23-$24)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($13, $14, $16, $25, 0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $callee=0; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZNK2js5types4Type14isSingleObjectEv($type); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $29=__ZNK2js5types4Type12singleObjectEv($type); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$29; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$object; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=__ZNK8JSObject10isFunctionEv($30); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $33=$object; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=__ZNK8JSObject18getFunctionPrivateEv($33); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=__ZNK10JSFunction13isInterpretedEv($34); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 20; break; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $38=$object; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=__ZNK8JSObject18getFunctionPrivateEv($38); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $callee=$39; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $41=__ZNK2js5types4Type12isTypeObjectEv($type); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $43=__ZNK2js5types4Type10typeObjectEv($type); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object1=$43; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$object1; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44+28)|0); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46)|0)!=0; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      __label__ = 20; break; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $50=$object1; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=(($50+28)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $callee=$52; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __label__ = 20; break; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $56=$callee; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=__ZNK10JSFunction6scriptEv($56); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=$2; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$callee; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=__ZN8JSScript14ensureHasTypesEP9JSContextP10JSFunction($57, $58, $59); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      __label__ = 20; break; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $63=$callee; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=__ZNK10JSFunction6scriptEv($63); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=__ZN2js5types10TypeScript9ThisTypesEP8JSScript($64); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $thisTypes=$65; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($5+20)|0); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67)|0)!=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($68) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $70=(($5+20)|0); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$2; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=$thisTypes; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($71, $72, $73); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $75=$thisTypes; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=$2; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=(($5+16)|0); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$4; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=$77; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[(($79)>>2)]; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($75, $76, $4); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break;
    case 20: 
      STACKTOP = __stackBase__;
      return; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN27TypeConstraintPropagateThis7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE["X"]=1;

function __ZN19TypeConstraintArith7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+4;
      var $6=__stackBase__+8;
      var $7=__stackBase__+12;
      var $8=__stackBase__+16;
      var $9=__stackBase__+20;
      var $10=__stackBase__+24;
      var $11=__stackBase__+28;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $12=$1;
      var $13=(($12+12)|0); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)|0)!=0; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 21; break; } //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $17=__ZNK2js5types4Type9isUnknownEv($type); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $19=(($12+12)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZNK2js5types7TypeSet7unknownEv($20); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $23=(($12+8)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$2; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($4); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($24, $25, $4); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $27=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 0); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $29=(($12+12)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=__ZNK2js5types7TypeSet10hasAnyFlagEj($30, 159); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $33=(($12+12)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=__ZN2js5types7TypeSet14getObjectCountEv($34); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35)|0)!=0; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $38=(($12+8)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$2; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10DoubleTypeEv($5); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($39, $40, $5); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      __label__ = 19; break; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $43=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 5); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $45=(($12+8)|0); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$2; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10StringTypeEv($6); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($46, $47, $6); //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $49=(($12+12)|0); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=__ZNK2js5types7TypeSet10hasAnyFlagEj($50, 143); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $53=(($12+12)|0); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=__ZN2js5types7TypeSet14getObjectCountEv($54); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55)|0)!=0; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $58=(($12+8)|0); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$2; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type9Int32TypeEv($7); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($59, $60, $7); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $62=(($12+12)|0); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=__ZNK2js5types7TypeSet10hasAnyFlagEj($63, 16); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $66=(($12+8)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10DoubleTypeEv($8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($67, $68, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      __label__ = 28; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $74=__ZNK2js5types4Type9isUnknownEv($type); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($74) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $76=(($12+8)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$2; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($9); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($77, $78, $9); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $80=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 0); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($80) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $82=(($12+8)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=$2; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10DoubleTypeEv($10); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($83, $84, $10); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 26; break; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $86=(($12+8)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=$2; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type9Int32TypeEv($11); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($87, $88, $11); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break;
    case 28: 
      STACKTOP = __stackBase__;
      return; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN19TypeConstraintArith7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE["X"]=1;

function __ZNK2js5types7TypeSet10hasAnyFlagEj($this, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$flags;
  var $3=$1;
  var $4=__ZNK2js5types7TypeSet9baseFlagsEv($3); //@line 391 "./jsinfer.h"
  var $5=$2; //@line 391 "./jsinfer.h"
  var $6=$4 & $5; //@line 391 "./jsinfer.h"
  var $7=(($6)|0)!=0; //@line 391 "./jsinfer.h"
  var $8=$7 ^ 1; //@line 391 "./jsinfer.h"
  var $9=$8 ^ 1; //@line 391 "./jsinfer.h"
  ;
  return $9; //@line 391 "./jsinfer.h"
}


function __ZN2js5types4Type10StringTypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 5); //@line 153 "./jsinfer.h"
  ;
  return; //@line 153 "./jsinfer.h"
}


function __ZL25GetValueTypeFromTypeFlagsj($flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$flags;
      var $3=$2; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ((($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 8) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 24) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 32) {
        __label__ = 7; break;
      }
      else if ((($3)|0) == 64) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 2: 
      $1=2; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=6; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $1=3; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $1=1; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      $1=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $1=5; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      $1=4; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      $1=32; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $13=$1; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $13; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5types7TypeSet13unknownObjectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 385 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 385 "./jsinfer.h"
  var $5=$4 & 65664; //@line 385 "./jsinfer.h"
  var $6=(($5)|0)!=0; //@line 385 "./jsinfer.h"
  var $7=$6 ^ 1; //@line 385 "./jsinfer.h"
  var $8=$7 ^ 1; //@line 385 "./jsinfer.h"
  ;
  return $8; //@line 385 "./jsinfer.h"
}


function __ZN2js5types10TypeObject11hasAnyFlagsEj($this, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$flags;
  var $3=$1;
  var $4=(($3+12)|0); //@line 801 "./jsinfer.h"
  var $5=HEAP32[(($4)>>2)]; //@line 801 "./jsinfer.h"
  var $6=$2; //@line 801 "./jsinfer.h"
  var $7=$5 & $6; //@line 801 "./jsinfer.h"
  var $8=(($7)|0)!=0; //@line 801 "./jsinfer.h"
  var $9=$8 ^ 1; //@line 801 "./jsinfer.h"
  var $10=$9 ^ 1; //@line 801 "./jsinfer.h"
  ;
  return $10; //@line 801 "./jsinfer.h"
}


function __ZN27TypeConstraintTransformThis7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+4;
      var $object;
      var $6=__stackBase__+8;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $7=$1;
      var $8=__ZNK2js5types4Type9isUnknownEv($type); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=__ZNK2js5types4Type8isObjectEv($type); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $14=(($7+8)|0); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16+36)|0); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAPU8[($17)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)&255) >>> 3; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$19 & 1; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20) & 1); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $23=(($7+12)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$2; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$4; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$type; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($24, $25, $4); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $29=(($7+8)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=__ZNK8JSScript9hasGlobalEv($30); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $33=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 6); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $35=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 2); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $37=(($7+12)|0); //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$2; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($5); //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($38, $39, $5); //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      $object=0; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=__ZNK2js5types4Type9primitiveEv($type); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41)&255); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ((($42)|0) == 1 || (($42)|0) == 0) {
        __label__ = 11; break;
      }
      else if ((($42)|0) == 3) {
        __label__ = 12; break;
      }
      else if ((($42)|0) == 5) {
        __label__ = 13; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 11: 
      var $44=$2; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($7+8)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=__ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey($44, $46, 8); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$47; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $49=$2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($7+8)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=__ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey($49, $51, 4); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$52; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $54=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($7+8)|0); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=__ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey($54, $56, 9); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$57; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 18; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $60=$object; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60)|0)!=0; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($61) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $63=$2; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($63+56)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65+376)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=$2; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($66, $67); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $69=(($7+12)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$object; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($6, $72); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($70, $71, $6); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      STACKTOP = __stackBase__;
      return; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN27TypeConstraintTransformThis7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE["X"]=1;

function __ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey($cx, $script, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $proto=__stackBase__;
      $2=$cx;
      $3=$script;
      $4=$key;
      var $5=$2; //@line 511 "./jsinferinlines.h"
      var $6=$3; //@line 511 "./jsinferinlines.h"
      var $7=__ZNK8JSScript6globalEv($6); //@line 511 "./jsinferinlines.h"
      var $8=$7; //@line 511 "./jsinferinlines.h"
      var $9=$4; //@line 511 "./jsinferinlines.h"
      var $10=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($5, $8, $9, $proto, 0); //@line 511 "./jsinferinlines.h"
      var $11=(($10)|0)!=0; //@line 511 "./jsinferinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 511 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 512 "./jsinferinlines.h"
      __label__ = 4; break; //@line 512 "./jsinferinlines.h"
    case 3: 
      var $14=HEAP32[(($proto)>>2)]; //@line 513 "./jsinferinlines.h"
      var $15=$2; //@line 513 "./jsinferinlines.h"
      var $16=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($14, $15, 0, 0); //@line 513 "./jsinferinlines.h"
      $1=$16; //@line 513 "./jsinferinlines.h"
      __label__ = 4; break; //@line 513 "./jsinferinlines.h"
    case 4: 
      var $18=$1; //@line 514 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return $18; //@line 514 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types7TypeSet9addFreezeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($5+56)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($7+344)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($9+56)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=(($11+376)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=(($12+24)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=__ZN2js8ArenaNewI20TypeConstraintFreezeP8JSScriptEEPT_R11JSArenaPoolRKT0_($8, $13); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=$14; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($3, $4, $15, 0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI20TypeConstraintFreezeP8JSScriptEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+16)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN20TypeConstraintFreezeC1EP8JSScript($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI20TypeConstraintFreezeP8JSScriptEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN2js5types7TypeSet15getKnownTypeTagEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $flags;
      var $type;
      var $empty;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK2js5types7TypeSet9baseFlagsEv($3); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $flags=$4; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=__ZNK2js5types7TypeSet15baseObjectCountEv($3); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5)|0)!=0; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $8=$flags; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0)!=0; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$9 ? 32 : 7; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $type=$10; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=$flags; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZL25GetValueTypeFromTypeFlagsj($12); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $type=$13; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break;
    case 4: 
      var $15=$flags; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15)|0)==0; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 5; break; } else { var $21 = 0;__label__ = 6; break; } //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $18=__ZNK2js5types7TypeSet15baseObjectCountEv($3); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)|0)==0; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21 = $19;__label__ = 6; break;
    case 6: 
      var $21;
      var $22=(($21)&1);
      $empty=$22;
      var $23=$2; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23+56)|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+376)|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+24)|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28)|0)!=0; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $31=$empty; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31) & 1); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $34=$type; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)&255); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35)|0)!=32; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $38=$2; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$2; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39+56)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41+344)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$2; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+56)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45+376)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46+24)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=__ZN2js8ArenaNewI27TypeConstraintFreezeTypeTagP8JSScriptEEPT_R11JSArenaPoolRKT0_($42, $47); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$48; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($3, $38, $49, 0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $51=$type; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $51; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet15getKnownTypeTagEP9JSContext["X"]=1;

function __ZN2js8ArenaNewI27TypeConstraintFreezeTypeTagP8JSScriptEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+16)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN27TypeConstraintFreezeTypeTagC1EP8JSScript($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI27TypeConstraintFreezeTypeTagP8JSScriptEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN2js5types7TypeSet14hasObjectFlagsEP9JSContextj($this, $cx, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $count;
      var $i;
      var $object;
      var $obj;
      $2=$this;
      $3=$cx;
      HEAP32[(($4)>>2)]=$flags;
      var $5=$2;
      var $6=__ZNK2js5types7TypeSet13unknownObjectEv($5); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=1; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $9=__ZNK2js5types7TypeSet15baseObjectCountEv($5); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)==0; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $1=1; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $13=__ZN2js5types7TypeSet14getObjectCountEv($5); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$13; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $15=$i; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$count; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($15)>>>0) < (($16)>>>0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 7; break; } else { __label__ = 16; break; } //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $19=$i; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=__ZN2js5types7TypeSet13getTypeObjectEj($5, $19); //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$20; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$object; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21)|0)!=0; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { __label__ = 11; break; } else { __label__ = 8; break; } //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $24=$i; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZN2js5types7TypeSet15getSingleObjectEj($5, $24); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj=$25; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$obj; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26)|0)!=0; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $29=$obj; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$3; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=__ZN8JSObject7getTypeEP9JSContext($29, $30); //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$31; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 11; break; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $34=$object; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)|0)!=0; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $37=$object; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=HEAP32[(($4)>>2)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=__ZN2js5types10TypeObject11hasAnyFlagsEj($37, $38); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $1=1; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $43=$i; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+1)|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$44; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $46=$3; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$3; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47+56)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+344)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$3; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51+56)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53+376)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54+24)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=__ZN2js8ArenaNewI34TypeConstraintFreezeObjectFlagsSetP8JSScriptjEEPT_R11JSArenaPoolRKT0_RKT1_($50, $55, $4); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=$56; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($5, $46, $57, 1); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $59=$1; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet14hasObjectFlagsEP9JSContextj["X"]=1;

function __ZN2js5types7TypeSet13getTypeObjectEj($this, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $1=$this;
      $2=$i;
      var $3=$1;
      var $4=$2; //@line 1085 "./jsinferinlines.h"
      var $5=__ZN2js5types7TypeSet9getObjectEj($3, $4); //@line 1085 "./jsinferinlines.h"
      $key=$5; //@line 1085 "./jsinferinlines.h"
      var $6=$key; //@line 1086 "./jsinferinlines.h"
      var $7=(($6)|0)!=0; //@line 1086 "./jsinferinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1086 "./jsinferinlines.h"
    case 2: 
      var $9=$key; //@line 1086 "./jsinferinlines.h"
      var $10=$9; //@line 1086 "./jsinferinlines.h"
      var $11=$10 & 1; //@line 1086 "./jsinferinlines.h"
      var $12=(($11)|0)!=0; //@line 1086 "./jsinferinlines.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1086 "./jsinferinlines.h"
    case 3: 
      var $14=$key; //@line 1086 "./jsinferinlines.h"
      var $15=$14; //@line 1086 "./jsinferinlines.h"
      var $18 = $15;__label__ = 5; break; //@line 1086 "./jsinferinlines.h"
    case 4: 
      var $18 = 0;__label__ = 5; break; //@line 1086 "./jsinferinlines.h"
    case 5: 
      var $18; //@line 1086 "./jsinferinlines.h"
      ;
      return $18; //@line 1086 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types7TypeSet15getSingleObjectEj($this, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $1=$this;
      $2=$i;
      var $3=$1;
      var $4=$2; //@line 1078 "./jsinferinlines.h"
      var $5=__ZN2js5types7TypeSet9getObjectEj($3, $4); //@line 1078 "./jsinferinlines.h"
      $key=$5; //@line 1078 "./jsinferinlines.h"
      var $6=$key; //@line 1079 "./jsinferinlines.h"
      var $7=$6; //@line 1079 "./jsinferinlines.h"
      var $8=$7 & 1; //@line 1079 "./jsinferinlines.h"
      var $9=(($8)|0)!=0; //@line 1079 "./jsinferinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1079 "./jsinferinlines.h"
    case 2: 
      var $11=$key; //@line 1079 "./jsinferinlines.h"
      var $12=$11; //@line 1079 "./jsinferinlines.h"
      var $13=$12 ^ 1; //@line 1079 "./jsinferinlines.h"
      var $14=$13; //@line 1079 "./jsinferinlines.h"
      var $17 = $14;__label__ = 4; break; //@line 1079 "./jsinferinlines.h"
    case 3: 
      var $17 = 0;__label__ = 4; break; //@line 1079 "./jsinferinlines.h"
    case 4: 
      var $17; //@line 1079 "./jsinferinlines.h"
      ;
      return $17; //@line 1079 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8ArenaNewI34TypeConstraintFreezeObjectFlagsSetP8JSScriptjEEPT_R11JSArenaPoolRKT0_RKT1_($pool, $a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      __label__ = 2; break; //@line 262 "./jsarena.h"
    case 2: 
      var $5=$1; //@line 262 "./jsarena.h"
      var $6=(($5+16)|0); //@line 262 "./jsarena.h"
      var $7=HEAP32[(($6)>>2)]; //@line 262 "./jsarena.h"
      $_a=$7; //@line 262 "./jsarena.h"
      var $8=$1; //@line 262 "./jsarena.h"
      var $9=(($8+24)|0); //@line 262 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 262 "./jsarena.h"
      var $11=(($10+20)|0); //@line 262 "./jsarena.h"
      var $12=$1; //@line 262 "./jsarena.h"
      var $13=(($12+24)|0); //@line 262 "./jsarena.h"
      var $14=HEAP32[(($13)>>2)]; //@line 262 "./jsarena.h"
      var $15=$14 ^ -1; //@line 262 "./jsarena.h"
      var $16=$11 & $15; //@line 262 "./jsarena.h"
      $_nb=$16; //@line 262 "./jsarena.h"
      var $17=$_a; //@line 262 "./jsarena.h"
      var $18=(($17+12)|0); //@line 262 "./jsarena.h"
      var $19=HEAP32[(($18)>>2)]; //@line 262 "./jsarena.h"
      $_p=$19; //@line 262 "./jsarena.h"
      var $20=$_nb; //@line 262 "./jsarena.h"
      var $21=$_a; //@line 262 "./jsarena.h"
      var $22=(($21+8)|0); //@line 262 "./jsarena.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 262 "./jsarena.h"
      var $24=(($20)>>>0) > (($23)>>>0); //@line 262 "./jsarena.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 262 "./jsarena.h"
    case 3: 
      var $26=$_p; //@line 262 "./jsarena.h"
      var $27=$_a; //@line 262 "./jsarena.h"
      var $28=(($27+8)|0); //@line 262 "./jsarena.h"
      var $29=HEAP32[(($28)>>2)]; //@line 262 "./jsarena.h"
      var $30=$_nb; //@line 262 "./jsarena.h"
      var $31=(($29-$30)|0); //@line 262 "./jsarena.h"
      var $32=(($26)>>>0) > (($31)>>>0); //@line 262 "./jsarena.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 262 "./jsarena.h"
    case 4: 
      var $34=$1; //@line 262 "./jsarena.h"
      var $35=$_nb; //@line 262 "./jsarena.h"
      var $36=_JS_ArenaAllocate($34, $35); //@line 262 "./jsarena.h"
      var $37=$36; //@line 262 "./jsarena.h"
      $_p=$37; //@line 262 "./jsarena.h"
      __label__ = 6; break; //@line 262 "./jsarena.h"
    case 5: 
      var $39=$_p; //@line 262 "./jsarena.h"
      var $40=$_nb; //@line 262 "./jsarena.h"
      var $41=(($39+$40)|0); //@line 262 "./jsarena.h"
      var $42=$_a; //@line 262 "./jsarena.h"
      var $43=(($42+12)|0); //@line 262 "./jsarena.h"
      HEAP32[(($43)>>2)]=$41; //@line 262 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $45=$_p; //@line 262 "./jsarena.h"
      var $46=$45; //@line 262 "./jsarena.h"
      $v=$46; //@line 262 "./jsarena.h"
      __label__ = 7; break; //@line 262 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 262 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 262 "./jsarena.h"
    case 9: 
      var $50=$v; //@line 263 "./jsarena.h"
      var $51=(($50)|0)!=0; //@line 263 "./jsarena.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 263 "./jsarena.h"
    case 10: 
      var $53=$v; //@line 263 "./jsarena.h"
      var $54=(($53)|0)==0; //@line 263 "./jsarena.h"
      if ($54) { var $62 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 263 "./jsarena.h"
    case 11: 
      var $56=$53; //@line 263 "./jsarena.h"
      var $57=$2; //@line 263 "./jsarena.h"
      var $58=HEAP32[(($57)>>2)]; //@line 263 "./jsarena.h"
      var $59=$3; //@line 263 "./jsarena.h"
      var $60=HEAP32[(($59)>>2)]; //@line 263 "./jsarena.h"
      __ZN34TypeConstraintFreezeObjectFlagsSetC1EP8JSScriptj($56, $58, $60); //@line 263 "./jsarena.h"
      var $62 = $56;__label__ = 12; break; //@line 263 "./jsarena.h"
    case 12: 
      var $62; //@line 263 "./jsarena.h"
      var $65 = $62;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 13: 
      var $65 = 0;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 14: 
      var $65; //@line 263 "./jsarena.h"
      ;
      return $65; //@line 263 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI34TypeConstraintFreezeObjectFlagsSetP8JSScriptjEEPT_R11JSArenaPoolRKT0_RKT1_["X"]=1;

function __ZN2js5types7TypeSet14HasObjectFlagsEP9JSContextPNS0_10TypeObjectEj($cx, $object, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $types;
      $2=$cx;
      $3=$object;
      HEAP32[(($4)>>2)]=$flags;
      var $5=$3; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP32[(($4)>>2)]; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=__ZN2js5types10TypeObject11hasAnyFlagsEj($5, $6); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=1; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=$3; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$2; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($10, $11, 4, 0); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$12; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$types; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0)!=0; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $1=1; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $17=$types; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$2; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$2; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+56)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+344)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23+56)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+376)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+24)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptjEEPT_R11JSArenaPoolRKT0_RKT1_($22, $27, $4); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$28; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($17, $18, $29, 0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $31=$1; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5types7TypeSet13isOwnPropertyEb($this, $configurable) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($configurable)&1);
  $2=$3;
  var $4=$1;
  var $5=(($4)|0); //@line 395 "./jsinfer.h"
  var $6=HEAP32[(($5)>>2)]; //@line 395 "./jsinfer.h"
  var $7=$2; //@line 395 "./jsinfer.h"
  var $8=(($7) & 1); //@line 395 "./jsinfer.h"
  var $9=$8 ? 524288 : 262144; //@line 395 "./jsinfer.h"
  var $10=$6 & $9; //@line 395 "./jsinfer.h"
  var $11=(($10)|0)!=0; //@line 395 "./jsinfer.h"
  ;
  return $11; //@line 395 "./jsinfer.h"
}


function __ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptjEEPT_R11JSArenaPoolRKT0_RKT1_($pool, $a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      __label__ = 2; break; //@line 262 "./jsarena.h"
    case 2: 
      var $5=$1; //@line 262 "./jsarena.h"
      var $6=(($5+16)|0); //@line 262 "./jsarena.h"
      var $7=HEAP32[(($6)>>2)]; //@line 262 "./jsarena.h"
      $_a=$7; //@line 262 "./jsarena.h"
      var $8=$1; //@line 262 "./jsarena.h"
      var $9=(($8+24)|0); //@line 262 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 262 "./jsarena.h"
      var $11=(($10+24)|0); //@line 262 "./jsarena.h"
      var $12=$1; //@line 262 "./jsarena.h"
      var $13=(($12+24)|0); //@line 262 "./jsarena.h"
      var $14=HEAP32[(($13)>>2)]; //@line 262 "./jsarena.h"
      var $15=$14 ^ -1; //@line 262 "./jsarena.h"
      var $16=$11 & $15; //@line 262 "./jsarena.h"
      $_nb=$16; //@line 262 "./jsarena.h"
      var $17=$_a; //@line 262 "./jsarena.h"
      var $18=(($17+12)|0); //@line 262 "./jsarena.h"
      var $19=HEAP32[(($18)>>2)]; //@line 262 "./jsarena.h"
      $_p=$19; //@line 262 "./jsarena.h"
      var $20=$_nb; //@line 262 "./jsarena.h"
      var $21=$_a; //@line 262 "./jsarena.h"
      var $22=(($21+8)|0); //@line 262 "./jsarena.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 262 "./jsarena.h"
      var $24=(($20)>>>0) > (($23)>>>0); //@line 262 "./jsarena.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 262 "./jsarena.h"
    case 3: 
      var $26=$_p; //@line 262 "./jsarena.h"
      var $27=$_a; //@line 262 "./jsarena.h"
      var $28=(($27+8)|0); //@line 262 "./jsarena.h"
      var $29=HEAP32[(($28)>>2)]; //@line 262 "./jsarena.h"
      var $30=$_nb; //@line 262 "./jsarena.h"
      var $31=(($29-$30)|0); //@line 262 "./jsarena.h"
      var $32=(($26)>>>0) > (($31)>>>0); //@line 262 "./jsarena.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 262 "./jsarena.h"
    case 4: 
      var $34=$1; //@line 262 "./jsarena.h"
      var $35=$_nb; //@line 262 "./jsarena.h"
      var $36=_JS_ArenaAllocate($34, $35); //@line 262 "./jsarena.h"
      var $37=$36; //@line 262 "./jsarena.h"
      $_p=$37; //@line 262 "./jsarena.h"
      __label__ = 6; break; //@line 262 "./jsarena.h"
    case 5: 
      var $39=$_p; //@line 262 "./jsarena.h"
      var $40=$_nb; //@line 262 "./jsarena.h"
      var $41=(($39+$40)|0); //@line 262 "./jsarena.h"
      var $42=$_a; //@line 262 "./jsarena.h"
      var $43=(($42+12)|0); //@line 262 "./jsarena.h"
      HEAP32[(($43)>>2)]=$41; //@line 262 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $45=$_p; //@line 262 "./jsarena.h"
      var $46=$45; //@line 262 "./jsarena.h"
      $v=$46; //@line 262 "./jsarena.h"
      __label__ = 7; break; //@line 262 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 262 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 262 "./jsarena.h"
    case 9: 
      var $50=$v; //@line 263 "./jsarena.h"
      var $51=(($50)|0)!=0; //@line 263 "./jsarena.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 263 "./jsarena.h"
    case 10: 
      var $53=$v; //@line 263 "./jsarena.h"
      var $54=(($53)|0)==0; //@line 263 "./jsarena.h"
      if ($54) { var $62 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 263 "./jsarena.h"
    case 11: 
      var $56=$53; //@line 263 "./jsarena.h"
      var $57=$2; //@line 263 "./jsarena.h"
      var $58=HEAP32[(($57)>>2)]; //@line 263 "./jsarena.h"
      var $59=$3; //@line 263 "./jsarena.h"
      var $60=HEAP32[(($59)>>2)]; //@line 263 "./jsarena.h"
      __ZN31TypeConstraintFreezeObjectFlagsC1EP8JSScriptj($56, $58, $60); //@line 263 "./jsarena.h"
      var $62 = $56;__label__ = 12; break; //@line 263 "./jsarena.h"
    case 12: 
      var $62; //@line 263 "./jsarena.h"
      var $65 = $62;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 13: 
      var $65 = 0;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 14: 
      var $65; //@line 263 "./jsarena.h"
      ;
      return $65; //@line 263 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptjEEPT_R11JSArenaPoolRKT0_RKT1_["X"]=1;

function __ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject($this, $cx, $fun, $scope) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$this;
      $3=$cx;
      $4=$fun;
      $5=$scope;
      var $6=$2;
      var $7=$3; //@line 1265 "./jsinferinlines.h"
      var $8=$4; //@line 1265 "./jsinferinlines.h"
      var $9=__ZN8JSScript14ensureHasTypesEP9JSContextP10JSFunction($6, $7, $8); //@line 1265 "./jsinferinlines.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1265 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 1266 "./jsinferinlines.h"
      __label__ = 10; break; //@line 1266 "./jsinferinlines.h"
    case 3: 
      var $12=(($6+100)|0); //@line 1267 "./jsinferinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1267 "./jsinferinlines.h"
      var $14=__ZN2js5types10TypeScript8hasScopeEv($13); //@line 1267 "./jsinferinlines.h"
      if ($14) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1267 "./jsinferinlines.h"
    case 4: 
      var $16=$3; //@line 1267 "./jsinferinlines.h"
      var $17=$5; //@line 1267 "./jsinferinlines.h"
      var $18=__ZN2js5types10TypeScript8SetScopeEP9JSContextP8JSScriptP8JSObject($16, $6, $17); //@line 1267 "./jsinferinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1267 "./jsinferinlines.h"
    case 5: 
      $1=0; //@line 1268 "./jsinferinlines.h"
      __label__ = 10; break; //@line 1268 "./jsinferinlines.h"
    case 6: 
      var $21=__ZN8JSScript11hasAnalysisEv($6); //@line 1269 "./jsinferinlines.h"
      if ($21) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 1269 "./jsinferinlines.h"
    case 7: 
      var $23=$3; //@line 1269 "./jsinferinlines.h"
      var $24=__ZN8JSScript12makeAnalysisEP9JSContext($6, $23); //@line 1269 "./jsinferinlines.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1269 "./jsinferinlines.h"
    case 8: 
      $1=0; //@line 1270 "./jsinferinlines.h"
      __label__ = 10; break; //@line 1270 "./jsinferinlines.h"
    case 9: 
      $1=1; //@line 1272 "./jsinferinlines.h"
      __label__ = 10; break; //@line 1272 "./jsinferinlines.h"
    case 10: 
      var $28=$1; //@line 1273 "./jsinferinlines.h"
      ;
      return $28; //@line 1273 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis7getCodeEPKh($this, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pc;
  var $3=$1;
  var $4=$2; //@line 979 "./jsanalyze.h"
  var $5=(($3)|0); //@line 979 "./jsanalyze.h"
  var $6=HEAP32[(($5)>>2)]; //@line 979 "./jsanalyze.h"
  var $7=(($6)|0); //@line 979 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 979 "./jsanalyze.h"
  var $9=$4; //@line 979 "./jsanalyze.h"
  var $10=$8; //@line 979 "./jsanalyze.h"
  var $11=(($9-$10)|0); //@line 979 "./jsanalyze.h"
  var $12=__ZN2js7analyze14ScriptAnalysis7getCodeEj($3, $11); //@line 979 "./jsanalyze.h"
  ;
  return $12; //@line 979 "./jsanalyze.h"
}


function __ZNK2JS5Value12isMagicCheckE10JSWhyMagic($this, $why) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$why;
      var $3=$1;
      var $4=__ZNK2JS5Value7isMagicEv($3); //@line 454 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 454 "./jsapi.h"
    case 2: 
      var $6=(($3)|0); //@line 454 "./jsapi.h"
      var $7=$6; //@line 454 "./jsapi.h"
      var $8=(($7)|0); //@line 454 "./jsapi.h"
      var $9=$8; //@line 454 "./jsapi.h"
      var $10=HEAP32[(($9)>>2)]; //@line 454 "./jsapi.h"
      var $11=$2; //@line 454 "./jsapi.h"
      var $12=(($10)|0)==(($11)|0); //@line 454 "./jsapi.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      ;
      return $14; //@line 455 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types7TypeSet22WatchObjectStateChangeEP9JSContextPNS0_10TypeObjectE($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $types;
      var $3=__stackBase__;
      $1=$cx;
      $2=$obj;
      var $4=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=$1; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($4, $5, 4, 0); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$6; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$types; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0)!=0; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 4; break; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $11=$types; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$1; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$1; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+56)|0); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+344)|0); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$1; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17+56)|0); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+376)|0); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20+24)|0); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($3)>>2)]=0; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptiEEPT_R11JSArenaPoolRKT0_RKT1_($16, $21, $3); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$22; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($11, $12, $23, 1); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptiEEPT_R11JSArenaPoolRKT0_RKT1_($pool, $a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      __label__ = 2; break; //@line 262 "./jsarena.h"
    case 2: 
      var $5=$1; //@line 262 "./jsarena.h"
      var $6=(($5+16)|0); //@line 262 "./jsarena.h"
      var $7=HEAP32[(($6)>>2)]; //@line 262 "./jsarena.h"
      $_a=$7; //@line 262 "./jsarena.h"
      var $8=$1; //@line 262 "./jsarena.h"
      var $9=(($8+24)|0); //@line 262 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 262 "./jsarena.h"
      var $11=(($10+24)|0); //@line 262 "./jsarena.h"
      var $12=$1; //@line 262 "./jsarena.h"
      var $13=(($12+24)|0); //@line 262 "./jsarena.h"
      var $14=HEAP32[(($13)>>2)]; //@line 262 "./jsarena.h"
      var $15=$14 ^ -1; //@line 262 "./jsarena.h"
      var $16=$11 & $15; //@line 262 "./jsarena.h"
      $_nb=$16; //@line 262 "./jsarena.h"
      var $17=$_a; //@line 262 "./jsarena.h"
      var $18=(($17+12)|0); //@line 262 "./jsarena.h"
      var $19=HEAP32[(($18)>>2)]; //@line 262 "./jsarena.h"
      $_p=$19; //@line 262 "./jsarena.h"
      var $20=$_nb; //@line 262 "./jsarena.h"
      var $21=$_a; //@line 262 "./jsarena.h"
      var $22=(($21+8)|0); //@line 262 "./jsarena.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 262 "./jsarena.h"
      var $24=(($20)>>>0) > (($23)>>>0); //@line 262 "./jsarena.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 262 "./jsarena.h"
    case 3: 
      var $26=$_p; //@line 262 "./jsarena.h"
      var $27=$_a; //@line 262 "./jsarena.h"
      var $28=(($27+8)|0); //@line 262 "./jsarena.h"
      var $29=HEAP32[(($28)>>2)]; //@line 262 "./jsarena.h"
      var $30=$_nb; //@line 262 "./jsarena.h"
      var $31=(($29-$30)|0); //@line 262 "./jsarena.h"
      var $32=(($26)>>>0) > (($31)>>>0); //@line 262 "./jsarena.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 262 "./jsarena.h"
    case 4: 
      var $34=$1; //@line 262 "./jsarena.h"
      var $35=$_nb; //@line 262 "./jsarena.h"
      var $36=_JS_ArenaAllocate($34, $35); //@line 262 "./jsarena.h"
      var $37=$36; //@line 262 "./jsarena.h"
      $_p=$37; //@line 262 "./jsarena.h"
      __label__ = 6; break; //@line 262 "./jsarena.h"
    case 5: 
      var $39=$_p; //@line 262 "./jsarena.h"
      var $40=$_nb; //@line 262 "./jsarena.h"
      var $41=(($39+$40)|0); //@line 262 "./jsarena.h"
      var $42=$_a; //@line 262 "./jsarena.h"
      var $43=(($42+12)|0); //@line 262 "./jsarena.h"
      HEAP32[(($43)>>2)]=$41; //@line 262 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $45=$_p; //@line 262 "./jsarena.h"
      var $46=$45; //@line 262 "./jsarena.h"
      $v=$46; //@line 262 "./jsarena.h"
      __label__ = 7; break; //@line 262 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 262 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 262 "./jsarena.h"
    case 9: 
      var $50=$v; //@line 263 "./jsarena.h"
      var $51=(($50)|0)!=0; //@line 263 "./jsarena.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 263 "./jsarena.h"
    case 10: 
      var $53=$v; //@line 263 "./jsarena.h"
      var $54=(($53)|0)==0; //@line 263 "./jsarena.h"
      if ($54) { var $62 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 263 "./jsarena.h"
    case 11: 
      var $56=$53; //@line 263 "./jsarena.h"
      var $57=$2; //@line 263 "./jsarena.h"
      var $58=HEAP32[(($57)>>2)]; //@line 263 "./jsarena.h"
      var $59=$3; //@line 263 "./jsarena.h"
      var $60=HEAP32[(($59)>>2)]; //@line 263 "./jsarena.h"
      __ZN31TypeConstraintFreezeObjectFlagsC1EP8JSScriptj($56, $58, $60); //@line 263 "./jsarena.h"
      var $62 = $56;__label__ = 12; break; //@line 263 "./jsarena.h"
    case 12: 
      var $62; //@line 263 "./jsarena.h"
      var $65 = $62;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 13: 
      var $65 = 0;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 14: 
      var $65; //@line 263 "./jsarena.h"
      ;
      return $65; //@line 263 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptiEEPT_R11JSArenaPoolRKT0_RKT1_["X"]=1;

function __ZN2js5types7TypeSet13isOwnPropertyEP9JSContextPNS0_10TypeObjectEb($this, $cx, $object, $configurable) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$object;
      var $6=(($configurable)&1);
      HEAP8[($5)]=$6;
      var $7=$2;
      var $8=$4; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8+12)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$10 & 4; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11)|0)!=0; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $14=$4; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14+16)|0); //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16)|0)!=0; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $19=$3; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$4; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$4; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+16)|0); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23)|0); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL24CheckNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunction($19, $20, $25); //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $27=$4; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+12)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$29 & -5; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($28)>>2)]=$30; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break;
    case 5: 
      __label__ = 6; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $33=HEAP8[($5)]; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33) & 1); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=__ZNK2js5types7TypeSet13isOwnPropertyEb($7, $34); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $1=1; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $38=$3; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$3; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39+56)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41+344)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$3; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+56)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45+376)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46+24)|0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=__ZN2js8ArenaNewI31TypeConstraintFreezeOwnPropertyP8JSScriptbEEPT_R11JSArenaPoolRKT0_RKT1_($42, $47, $5); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$48; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($7, $38, $49, 0); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $51=$1; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet13isOwnPropertyEP9JSContextPNS0_10TypeObjectEb["X"]=1;

function __ZN2js5types20MarkArgumentsCreatedEP9JSContextP8JSScript($cx, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $enter=__stackBase__;
      var $3;
      var $analysis;
      var $iter=__stackBase__+8;
      var $fp;
      var $sp;
      var $vp;
      $1=$cx;
      $2=$script;
      var $4=$2; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=$4; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5+38)|0); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP8[($6)]; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$7 & -3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$8 | 2; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($6)]=$9; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$2; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$10; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11+38)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP8[($12)]; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$13 & -5; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$14 | 4; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($12)]=$15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$1; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$2; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=__ZNK8JSScript8functionEv($17); //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$18; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($16, $19, 1572864); //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$2; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$20; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+38)|0); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=HEAP8[($22)]; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$23 & 1; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24) & 1); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 22; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $28=$1; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $28, 0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$2; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$1; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=__ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject($29, $30, 0, 0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $3=1;
      __label__ = 21; break; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $34=$2; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=__ZN8JSScript8analysisEv($34); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $analysis=$35; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$1; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($iter, $36, 0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $38=__ZNK2js13FrameRegsIter4doneEv($iter); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$38 ^ 1; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 20; break; } //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $41=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $fp=$41; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$fp; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZNK2js10StackFrame13isScriptFrameEv($42); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 18; break; } //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $45=$fp; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=__ZNK2js10StackFrame6scriptEv($45); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$2; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($46)|0)==(($47)|0); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 18; break; } //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $50=$fp; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=__ZNK2js10StackFrame4baseEv($50); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$analysis; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=__ZNK2js13FrameRegsIter2pcEv($iter); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=__ZN2js7analyze14ScriptAnalysis7getCodeEPKh($52, $53); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54+4)|0); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=(($51+($56<<3))|0); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $sp=$57; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=$fp; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=__ZNK2js10StackFrame5slotsEv($58); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $vp=$59; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $61=$vp; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$sp; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=(($61)>>>0) < (($62)>>>0); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($63) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $65=$vp; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=__ZNK2JS5Value12isMagicCheckE10JSWhyMagic($65, 9); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($66) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $68=$1; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$fp; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=$vp; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=__Z15js_GetArgsValueP9JSContextPN2js10StackFrameEPN2JS5ValueE($68, $69, $70); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=(($71)|0)!=0; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($72) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $74=$vp; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2JS5Value7setNullEv($74); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      __label__ = 16; break; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $78=$vp; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($78+8)|0); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $vp=$79; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      __label__ = 18; break; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      __label__ = 19; break; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $83=__ZN2js13FrameRegsIterppEv($iter); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      $3=0; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 21; break; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$3;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 22; break;
      }
      else {
      __label__ = 23; break;
      }
      
    case 22: 
      STACKTOP = __stackBase__;
      return; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types20MarkArgumentsCreatedEP9JSContextP8JSScript["X"]=1;

function __ZL24CheckNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunction($cx, $type, $fun) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $baseobj=__stackBase__;
      var $initializerList=__stackBase__+4;
      var $4=__stackBase__+28;
      var $5;
      var $kind;
      var $done=__stackBase__+32;
      var $6=__stackBase__+40;
      var $numBytes;
      $1=$cx;
      $2=$type;
      $3=$fun;
      var $7=$2; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZN2js5types10TypeObject17unknownPropertiesEv($7); //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=$3; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZNK10JSFunction6scriptEv($10); //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$11; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12+37)|0); //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAPU8[($13)]; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)&255) >>> 5; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$15 & 1; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16) & 1); //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      __label__ = 26; break; //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $20=$1; //@line 4598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1751($20, __ZN2js11ObjectClassE, 10); //@line 4598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($baseobj)>>2)]=$21; //@line 4598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($baseobj)>>2)]; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22)|0)!=0; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 5; break; } //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $25=$2; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+16)|0); //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27)|0)!=0; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $30=$2; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$1; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject14clearNewScriptEP9JSContext($30, $31); //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 26; break; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $34=$1; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $34); //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEC1ES4_($initializerList, $4); //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$1; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$2; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$3; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=__ZL26AnalyzeNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunctionPP8JSObjectPNS1_6VectorINS2_13TypeNewScript11InitializerELj0ENS1_15TempAllocPolicyEEE($35, $36, $37, $baseobj, $initializerList); //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAP32[(($baseobj)>>2)]; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39)|0)!=0; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $42=HEAP32[(($baseobj)>>2)]; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZNK8JSObject8slotSpanEv($42); //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43)|0)==0; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $46=$2; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46+12)|0); //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$48 & 2; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49)|0)!=0; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $52=$2; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($52+16)|0); //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54)|0)!=0; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $57=$2; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=$1; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject14clearNewScriptEP9JSContext($57, $58); //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $5=1;
      __label__ = 25; break; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $61=$2; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=(($61+16)|0); //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($63)|0)!=0; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($64) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $66=$2; //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=HEAP32[(($baseobj)>>2)]; //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=__ZN2js5types10TypeObject23matchDefinitePropertiesEP8JSObject($66, $67); //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($68) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $70=$2; //@line 4620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=$1; //@line 4620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject14clearNewScriptEP9JSContext($70, $71); //@line 4620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      $5=1;
      __label__ = 25; break; //@line 4621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $74=HEAP32[(($baseobj)>>2)]; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=__ZNK8JSObject8slotSpanEv($74); //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=__ZN2js2gcL15GetGCObjectKindEjb1752($75, 0); //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $kind=$76; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types13TypeNewScript11InitializerC1ENS2_4KindEj($done, 3, 0); //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=$1; //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$2; //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=HEAP32[(($baseobj)>>2)]; //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=__ZNK8JSObject9getParentEv($79); //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$kind; //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=HEAP32[(($baseobj)>>2)]; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=__ZNK8JSObject12lastPropertyEv($82); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=__ZN2js17NewReshapedObjectEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindEPKNS_5ShapeE($77, $78, $80, $81, $83); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($baseobj)>>2)]=$84; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=HEAP32[(($baseobj)>>2)]; //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=(($85)|0)!=0; //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($86) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $88=$2; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$1; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=HEAP32[(($baseobj)>>2)]; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=__ZN2js5types10TypeObject21addDefinitePropertiesEP9JSContextP8JSObject($88, $89, $90); //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($91) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $93=$6; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=$done; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($93)>>2)]=HEAP32[(($94)>>2)];HEAP32[(($93+4)>>2)]=HEAP32[(($94+4)>>2)]; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($initializerList, $6); //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $97=$1; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=(($97+56)|0); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($99+376)|0); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=$1; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($100, $101); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 25; break; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $103=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6lengthEv($initializerList); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=((($103<<3))|0); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=(($104+16)|0); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $numBytes=$105; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=$1; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=$numBytes; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=__ZN9JSContext7calloc_Ej($106, $107); //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=$108; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=$2; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=(($110+16)|0); //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($111)>>2)]=$109; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=$2; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=(($112+16)|0); //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=(($114)|0)!=0; //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($115) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 4648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $117=$1; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=(($117+56)|0); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=(($119+376)|0); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=$1; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($120, $121); //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 25; break; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $123=$3; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=$2; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=(($124+16)|0); //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $127=(($126)|0); //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($127)>>2)]=$123; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=$kind; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=$2; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $130=(($129+16)|0); //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=(($131+4)|0); //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($132)>>2)]=$128; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $133=HEAP32[(($baseobj)>>2)]; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $134=__ZNK8JSObject12lastPropertyEv($133); //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $135=$2; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=(($135+16)|0); //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $138=(($137+8)|0); //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($138)>>2)]=$134; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=$2; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=(($139+16)|0); //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $142=$141; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $143=(($142+16)|0); //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $144=$143; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $145=$2; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=(($145+16)|0); //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $148=(($147+12)|0); //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($148)>>2)]=$144; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=$2; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $150=(($149+16)|0); //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $152=(($151+12)|0); //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE5beginEv($initializerList); //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6lengthEv($initializerList); //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2jsL7PodCopyINS_5types13TypeNewScript11InitializerEEEvPT_PKS4_j($153, $154, $155); //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=0; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 25; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEED1Ev($initializerList); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 26; break;
      }
      else {
      __label__ = 27; break;
      }
      
    case 26: 
      STACKTOP = __stackBase__;
      return; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL24CheckNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunction["X"]=1;

function __ZN2js8ArenaNewI31TypeConstraintFreezeOwnPropertyP8JSScriptbEEPT_R11JSArenaPoolRKT0_RKT1_($pool, $a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      __label__ = 2; break; //@line 262 "./jsarena.h"
    case 2: 
      var $5=$1; //@line 262 "./jsarena.h"
      var $6=(($5+16)|0); //@line 262 "./jsarena.h"
      var $7=HEAP32[(($6)>>2)]; //@line 262 "./jsarena.h"
      $_a=$7; //@line 262 "./jsarena.h"
      var $8=$1; //@line 262 "./jsarena.h"
      var $9=(($8+24)|0); //@line 262 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 262 "./jsarena.h"
      var $11=(($10+16)|0); //@line 262 "./jsarena.h"
      var $12=$1; //@line 262 "./jsarena.h"
      var $13=(($12+24)|0); //@line 262 "./jsarena.h"
      var $14=HEAP32[(($13)>>2)]; //@line 262 "./jsarena.h"
      var $15=$14 ^ -1; //@line 262 "./jsarena.h"
      var $16=$11 & $15; //@line 262 "./jsarena.h"
      $_nb=$16; //@line 262 "./jsarena.h"
      var $17=$_a; //@line 262 "./jsarena.h"
      var $18=(($17+12)|0); //@line 262 "./jsarena.h"
      var $19=HEAP32[(($18)>>2)]; //@line 262 "./jsarena.h"
      $_p=$19; //@line 262 "./jsarena.h"
      var $20=$_nb; //@line 262 "./jsarena.h"
      var $21=$_a; //@line 262 "./jsarena.h"
      var $22=(($21+8)|0); //@line 262 "./jsarena.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 262 "./jsarena.h"
      var $24=(($20)>>>0) > (($23)>>>0); //@line 262 "./jsarena.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 262 "./jsarena.h"
    case 3: 
      var $26=$_p; //@line 262 "./jsarena.h"
      var $27=$_a; //@line 262 "./jsarena.h"
      var $28=(($27+8)|0); //@line 262 "./jsarena.h"
      var $29=HEAP32[(($28)>>2)]; //@line 262 "./jsarena.h"
      var $30=$_nb; //@line 262 "./jsarena.h"
      var $31=(($29-$30)|0); //@line 262 "./jsarena.h"
      var $32=(($26)>>>0) > (($31)>>>0); //@line 262 "./jsarena.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 262 "./jsarena.h"
    case 4: 
      var $34=$1; //@line 262 "./jsarena.h"
      var $35=$_nb; //@line 262 "./jsarena.h"
      var $36=_JS_ArenaAllocate($34, $35); //@line 262 "./jsarena.h"
      var $37=$36; //@line 262 "./jsarena.h"
      $_p=$37; //@line 262 "./jsarena.h"
      __label__ = 6; break; //@line 262 "./jsarena.h"
    case 5: 
      var $39=$_p; //@line 262 "./jsarena.h"
      var $40=$_nb; //@line 262 "./jsarena.h"
      var $41=(($39+$40)|0); //@line 262 "./jsarena.h"
      var $42=$_a; //@line 262 "./jsarena.h"
      var $43=(($42+12)|0); //@line 262 "./jsarena.h"
      HEAP32[(($43)>>2)]=$41; //@line 262 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $45=$_p; //@line 262 "./jsarena.h"
      var $46=$45; //@line 262 "./jsarena.h"
      $v=$46; //@line 262 "./jsarena.h"
      __label__ = 7; break; //@line 262 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 262 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 262 "./jsarena.h"
    case 9: 
      var $50=$v; //@line 263 "./jsarena.h"
      var $51=(($50)|0)!=0; //@line 263 "./jsarena.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 263 "./jsarena.h"
    case 10: 
      var $53=$v; //@line 263 "./jsarena.h"
      var $54=(($53)|0)==0; //@line 263 "./jsarena.h"
      if ($54) { var $63 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 263 "./jsarena.h"
    case 11: 
      var $56=$53; //@line 263 "./jsarena.h"
      var $57=$2; //@line 263 "./jsarena.h"
      var $58=HEAP32[(($57)>>2)]; //@line 263 "./jsarena.h"
      var $59=$3; //@line 263 "./jsarena.h"
      var $60=HEAP8[($59)]; //@line 263 "./jsarena.h"
      var $61=(($60) & 1); //@line 263 "./jsarena.h"
      __ZN31TypeConstraintFreezeOwnPropertyC1EP8JSScriptb($56, $58, $61); //@line 263 "./jsarena.h"
      var $63 = $56;__label__ = 12; break; //@line 263 "./jsarena.h"
    case 12: 
      var $63; //@line 263 "./jsarena.h"
      var $66 = $63;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 13: 
      var $66 = 0;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 14: 
      var $66; //@line 263 "./jsarena.h"
      ;
      return $66; //@line 263 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI31TypeConstraintFreezeOwnPropertyP8JSScriptbEEPT_R11JSArenaPoolRKT0_RKT1_["X"]=1;

function __ZN2js5types7TypeSet13knownNonEmptyEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=__ZNK2js5types7TypeSet9baseFlagsEv($4); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5)|0)!=0; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $8=__ZNK2js5types7TypeSet15baseObjectCountEv($4); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0)!=0; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=1; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $12=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+56)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+344)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17+56)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+376)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20+24)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=__ZN2js8ArenaNewI20TypeConstraintFreezeP8JSScriptEEPT_R11JSArenaPoolRKT0_($16, $21); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$22; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($4, $12, $23, 0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $25=$1; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $25; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types7TypeSet17getTypedArrayTypeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $arrayType;
      var $count;
      var $i;
      var $proto;
      var $object;
      var $object1;
      var $objArrayType;
      $2=$this;
      $3=$cx;
      var $4=$2;
      $arrayType=9; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=__ZN2js5types7TypeSet14getObjectCountEv($4); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$5; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $7=$i; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$count; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($7)>>>0) < (($8)>>>0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 17; break; } //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $proto=0; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$i; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js5types7TypeSet15getSingleObjectEj($4, $11); //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$12; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$object; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0)!=0; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $16=$object; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=__ZNK8JSObject8getProtoEv($16); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $proto=$17; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $19=$i; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=__ZN2js5types7TypeSet13getTypeObjectEj($4, $19); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object1=$20; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$object1; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21)|0)!=0; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $24=$object1; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24)|0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $proto=$26; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $29=$proto; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29)|0)!=0; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      __label__ = 16; break; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $33=$proto; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=__ZNK8JSObject8getClassEv($33); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$34; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35-__ZN2js10TypedArray11slowClassesE)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(((($36)|0)/232)&-1); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $objArrayType=$37; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$arrayType; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38)|0)==9; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $41=$objArrayType; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $arrayType=$41; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $43=$arrayType; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$objArrayType; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($43)|0)!=(($44)|0); //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $1=9; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $50=$i; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=(($50+1)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$51; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $53=$3; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addFreezeEP9JSContext($4, $53); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$arrayType; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$54; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $56=$1; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $56; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet17getTypedArrayTypeEP9JSContext["X"]=1;

function __ZN2js5types7TypeSet12getSingletonEP9JSContextb($this, $cx, $freeze) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$this;
      $3=$cx;
      var $5=(($freeze)&1);
      $4=$5;
      var $6=$2;
      var $7=__ZNK2js5types7TypeSet9baseFlagsEv($6); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0)!=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=__ZNK2js5types7TypeSet15baseObjectCountEv($6); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10)|0)!=1; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=0; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $14=__ZN2js5types7TypeSet15getSingleObjectEj($6, 0); //@line 1819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj=$14; //@line 1819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$obj; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15)|0)!=0; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $1=0; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $19=$4; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19) & 1); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $22=$3; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$3; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23+56)|0); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+344)|0); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$3; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+56)|0); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29+376)|0); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30+24)|0); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=__ZN2js8ArenaNewI20TypeConstraintFreezeP8JSScriptEEPT_R11JSArenaPoolRKT0_($26, $31); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$32; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($6, $22, $33, 0); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $35=$obj; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$35; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $37=$1; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $37; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types7TypeSet15hasGlobalObjectEP9JSContextP8JSObject($this, $cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $count;
      var $i;
      var $object;
      var $5=__stackBase__+4;
      $2=$this;
      $3=$cx;
      HEAP32[(($4)>>2)]=$global;
      var $6=$2;
      var $7=__ZNK2js5types7TypeSet13unknownObjectEv($6); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=0; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=__ZN2js5types7TypeSet14getObjectCountEv($6); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$10; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $12=$i; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$count; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $16=$i; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=__ZN2js5types7TypeSet9getObjectEj($6, $16); //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$17; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$object; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)|0)!=0; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $21=$object; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_13TypeObjectKeyE($5, $21); //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($4)>>2)]; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZL13TypeHasGlobalN2js5types4TypeEP8JSObject($5, $22); //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $1=0; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __label__ = 9; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $27=$i; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+1)|0); //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$28; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $30=$3; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$3; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31+56)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+344)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$3; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35+56)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($37+376)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38+24)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=__ZN2js8ArenaNewI26TypeConstraintFreezeGlobalP8JSScriptP8JSObjectEEPT_R11JSArenaPoolRKT0_RKT1_($34, $39, $4); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$40; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($6, $30, $41, 0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=1; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $43=$1; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet15hasGlobalObjectEP9JSContextP8JSObject["X"]=1;

function __ZL13TypeHasGlobalN2js5types4TypeEP8JSObject($type, $global) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$global;
      var $3=__ZNK2js5types4Type9isUnknownEv($type); //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($3) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $5=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=0; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $8=__ZNK2js5types4Type14isSingleObjectEv($type); //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $10=__ZNK2js5types4Type12singleObjectEv($type); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZNK8JSObject9getGlobalEv($10); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$11; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$2; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($12)|0)==(($13)|0); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$14; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $16=__ZNK2js5types4Type12isTypeObjectEv($type); //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $18=__ZNK2js5types4Type10typeObjectEv($type); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZN2js5types10TypeObject9getGlobalEv($18); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$2; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($19)|0)==(($20)|0); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$21; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      $1=1; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $24=$1; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8ArenaNewI26TypeConstraintFreezeGlobalP8JSScriptP8JSObjectEEPT_R11JSArenaPoolRKT0_RKT1_($pool, $a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      __label__ = 2; break; //@line 262 "./jsarena.h"
    case 2: 
      var $5=$1; //@line 262 "./jsarena.h"
      var $6=(($5+16)|0); //@line 262 "./jsarena.h"
      var $7=HEAP32[(($6)>>2)]; //@line 262 "./jsarena.h"
      $_a=$7; //@line 262 "./jsarena.h"
      var $8=$1; //@line 262 "./jsarena.h"
      var $9=(($8+24)|0); //@line 262 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 262 "./jsarena.h"
      var $11=(($10+16)|0); //@line 262 "./jsarena.h"
      var $12=$1; //@line 262 "./jsarena.h"
      var $13=(($12+24)|0); //@line 262 "./jsarena.h"
      var $14=HEAP32[(($13)>>2)]; //@line 262 "./jsarena.h"
      var $15=$14 ^ -1; //@line 262 "./jsarena.h"
      var $16=$11 & $15; //@line 262 "./jsarena.h"
      $_nb=$16; //@line 262 "./jsarena.h"
      var $17=$_a; //@line 262 "./jsarena.h"
      var $18=(($17+12)|0); //@line 262 "./jsarena.h"
      var $19=HEAP32[(($18)>>2)]; //@line 262 "./jsarena.h"
      $_p=$19; //@line 262 "./jsarena.h"
      var $20=$_nb; //@line 262 "./jsarena.h"
      var $21=$_a; //@line 262 "./jsarena.h"
      var $22=(($21+8)|0); //@line 262 "./jsarena.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 262 "./jsarena.h"
      var $24=(($20)>>>0) > (($23)>>>0); //@line 262 "./jsarena.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 262 "./jsarena.h"
    case 3: 
      var $26=$_p; //@line 262 "./jsarena.h"
      var $27=$_a; //@line 262 "./jsarena.h"
      var $28=(($27+8)|0); //@line 262 "./jsarena.h"
      var $29=HEAP32[(($28)>>2)]; //@line 262 "./jsarena.h"
      var $30=$_nb; //@line 262 "./jsarena.h"
      var $31=(($29-$30)|0); //@line 262 "./jsarena.h"
      var $32=(($26)>>>0) > (($31)>>>0); //@line 262 "./jsarena.h"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 262 "./jsarena.h"
    case 4: 
      var $34=$1; //@line 262 "./jsarena.h"
      var $35=$_nb; //@line 262 "./jsarena.h"
      var $36=_JS_ArenaAllocate($34, $35); //@line 262 "./jsarena.h"
      var $37=$36; //@line 262 "./jsarena.h"
      $_p=$37; //@line 262 "./jsarena.h"
      __label__ = 6; break; //@line 262 "./jsarena.h"
    case 5: 
      var $39=$_p; //@line 262 "./jsarena.h"
      var $40=$_nb; //@line 262 "./jsarena.h"
      var $41=(($39+$40)|0); //@line 262 "./jsarena.h"
      var $42=$_a; //@line 262 "./jsarena.h"
      var $43=(($42+12)|0); //@line 262 "./jsarena.h"
      HEAP32[(($43)>>2)]=$41; //@line 262 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $45=$_p; //@line 262 "./jsarena.h"
      var $46=$45; //@line 262 "./jsarena.h"
      $v=$46; //@line 262 "./jsarena.h"
      __label__ = 7; break; //@line 262 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 262 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 262 "./jsarena.h"
    case 9: 
      var $50=$v; //@line 263 "./jsarena.h"
      var $51=(($50)|0)!=0; //@line 263 "./jsarena.h"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 263 "./jsarena.h"
    case 10: 
      var $53=$v; //@line 263 "./jsarena.h"
      var $54=(($53)|0)==0; //@line 263 "./jsarena.h"
      if ($54) { var $62 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 263 "./jsarena.h"
    case 11: 
      var $56=$53; //@line 263 "./jsarena.h"
      var $57=$2; //@line 263 "./jsarena.h"
      var $58=HEAP32[(($57)>>2)]; //@line 263 "./jsarena.h"
      var $59=$3; //@line 263 "./jsarena.h"
      var $60=HEAP32[(($59)>>2)]; //@line 263 "./jsarena.h"
      __ZN26TypeConstraintFreezeGlobalC1EP8JSScriptP8JSObject($56, $58, $60); //@line 263 "./jsarena.h"
      var $62 = $56;__label__ = 12; break; //@line 263 "./jsarena.h"
    case 12: 
      var $62; //@line 263 "./jsarena.h"
      var $65 = $62;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 13: 
      var $65 = 0;__label__ = 14; break; //@line 263 "./jsarena.h"
    case 14: 
      var $65; //@line 263 "./jsarena.h"
      ;
      return $65; //@line 263 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI26TypeConstraintFreezeGlobalP8JSScriptP8JSObjectEEPT_R11JSArenaPoolRKT0_RKT1_["X"]=1;

function ___cxx_global_var_init1667() {
  ;
  var __label__;

  __ZN2js5types10TypeObjectC1EP8JSObjectbb(__ZN2js5types15emptyTypeObjectE, 0, 0, 1);
  ;
  return;
}


function __ZN2js5types10TypeObjectC1EP8JSObjectbb($this, $proto, $function, $unknown) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$proto;
  var $5=(($function)&1);
  $3=$5;
  var $6=(($unknown)&1);
  $4=$6;
  var $7=$1;
  var $8=$2; //@line 1119 "./jsinfer.h"
  var $9=$3; //@line 1119 "./jsinfer.h"
  var $10=(($9) & 1); //@line 1119 "./jsinfer.h"
  var $11=$4; //@line 1119 "./jsinfer.h"
  var $12=(($11) & 1); //@line 1119 "./jsinfer.h"
  __ZN2js5types10TypeObjectC2EP8JSObjectbb($7, $8, $10, $12); //@line 1119 "./jsinfer.h"
  ;
  return; //@line 1119 "./jsinfer.h"
}


function __ZN2js5types15TypeCompartment4initEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      __ZN2jsL7PodZeroINS_5types15TypeCompartmentEEEvPT_($3); //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=$2; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=(($4)|0)!=0; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $7=$2; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZNK9JSContext13getRunOptionsEv($7); //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$8 & 262144; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=(($3)|0); //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($12)]=1; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      ;
      return; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL7PodZeroINS_5types15TypeCompartmentEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 76, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb($this, $cx, $script, $key, $proto, $unknown) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $object;
      $2=$this;
      $3=$cx;
      $4=$script;
      $5=$key;
      $6=$proto;
      var $8=(($unknown)&1);
      $7=$8;
      var $9=$2;
      var $10=$3; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__Z10NewGCThingIN2js5types10TypeObjectEEPT_P9JSContextNS0_2gc9AllocKindEj($10, 15, 32); //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$11; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$object; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12)|0)!=0; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=0; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $16=$object; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$16; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)==0; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { var $27 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $20=$17; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$6; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$5; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22)|0)==2; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$7; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24) & 1); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObjectC1EP8JSObjectbb($20, $21, $23, $25); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27 = $20;__label__ = 5; break; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $27; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$3; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=__ZN9JSContext20typeInferenceEnabledEv($28); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $31=$object; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31+12)|0); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$33 | 33488904; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($32)>>2)]=$34; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $36=$object; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$3; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$5; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject15setFlagsFromKeyEP9JSContext10JSProtoKey($36, $37, $38); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break;
    case 8: 
      var $40=$object; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$40; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $42=$1; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $42; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb["X"]=1;

function __Z10NewGCThingIN2js5types10TypeObjectEEPT_P9JSContextNS0_2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject15setFlagsFromKeyEP9JSContext10JSProtoKey($this, $cx, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $flags;
      $1=$this;
      $2=$cx;
      $3=$key;
      var $4=$1;
      $flags=0; //@line 1207 "./jsinferinlines.h"
      var $5=$3; //@line 1209 "./jsinferinlines.h"
      if ((($5)|0) == 2) {
        __label__ = 2; break;
      }
      else if ((($5)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($5)|0) == 3) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 2: 
      __label__ = 3; break; //@line 1211 "./jsinferinlines.h"
    case 3: 
      $flags=458752; //@line 1215 "./jsinferinlines.h"
      __label__ = 6; break; //@line 1218 "./jsinferinlines.h"
    case 4: 
      $flags=262144; //@line 1221 "./jsinferinlines.h"
      __label__ = 6; break; //@line 1222 "./jsinferinlines.h"
    case 5: 
      $flags=196608; //@line 1235 "./jsinferinlines.h"
      __label__ = 6; break; //@line 1237 "./jsinferinlines.h"
    case 6: 
      var $11=$flags; //@line 1240 "./jsinferinlines.h"
      var $12=__ZN2js5types10TypeObject11hasAllFlagsEj($4, $11); //@line 1240 "./jsinferinlines.h"
      if ($12) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1240 "./jsinferinlines.h"
    case 7: 
      var $14=$2; //@line 1241 "./jsinferinlines.h"
      var $15=$flags; //@line 1241 "./jsinferinlines.h"
      __ZN2js5types10TypeObject8setFlagsEP9JSContextj($4, $14, $15); //@line 1241 "./jsinferinlines.h"
      __label__ = 8; break; //@line 1241 "./jsinferinlines.h"
    case 8: 
      ;
      return; //@line 1242 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($this, $cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$script;
  var $4=$1;
  ;
  return; //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2jsL3MaxIjEET_S1_S1_1674($t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t1;
  $2=$t2;
  var $3=$1; //@line 316 "./jstl.h"
  var $4=$2; //@line 316 "./jstl.h"
  var $5=(($3)>>>0) > (($4)>>>0); //@line 316 "./jstl.h"
  var $6=$1; //@line 316 "./jstl.h"
  var $7=$2; //@line 316 "./jstl.h"
  var $8=$5 ? $6 : $7; //@line 316 "./jstl.h"
  ;
  return $8; //@line 316 "./jstl.h"
}


function __ZNK8JSScript6globalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+100)|0); //@line 189 "./jsscriptinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 189 "./jsscriptinlines.h"
  var $5=(($4+8)|0); //@line 189 "./jsscriptinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 189 "./jsscriptinlines.h"
  ;
  return $6; //@line 189 "./jsscriptinlines.h"
}


function __ZN2js5types15TypeCompartment27newAllocationSiteTypeObjectEP9JSContextRKNS0_17AllocationSiteKeyE($this, $cx, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $enter=__stackBase__;
      var $5;
      var $p=__stackBase__+8;
      var $proto=__stackBase__+16;
      var $res=__stackBase__+20;
      var $pc;
      var $untrap=__stackBase__+24;
      var $baseobj;
      $2=$this;
      $3=$cx;
      $4=$key;
      var $6=$2;
      var $7=$3; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $7, 0); //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($6+28)|0); //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$3; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZN9JSContext4new_IN2js7HashMapINS1_5types17AllocationSiteKeyEPNS3_10TypeObjectES4_NS1_17SystemAllocPolicyEEEEEPT_v($12); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($6+28)|0); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($6+28)|0); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16)|0)!=0; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $19=(($6+28)|0); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE4initEj($20, 0); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $23=$3; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23+56)|0); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+376)|0); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$3; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($26, $27); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 18; break; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      __label__ = 6; break; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $30=(($6+28)|0); //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$4; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE12lookupForAddERKS2_($p, $31, $32); //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$3; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$4; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)|0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=__ZNK8JSScript6globalEv($36); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$37; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$4; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$39; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40+4)|0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$41; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=HEAPU32[(($42)>>2)]; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$43 >>> 24; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=$44 & 255; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($33, $38, $45, $proto, 0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46)|0)!=0; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $1=0; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 18; break; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $50=$3; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$4; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51)|0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$4; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$54; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55+4)|0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=$56; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=HEAPU32[(($57)>>2)]; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$58 >>> 24; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$59 & 255; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=HEAP32[(($proto)>>2)]; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=__ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb($6, $50, $53, $60, $61, 0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($res)>>2)]=$62; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=HEAP32[(($res)>>2)]; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($63)|0)!=0; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($64) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $66=$3; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=(($66+56)|0); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($68+376)|0); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=$3; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($69, $70); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 18; break; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $72=$4; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($72)|0); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=(($74)|0); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=$4; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$77; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($78+4)|0); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=$79; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=$81 & 16777215; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=(($76+$82)|0); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$83; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=$3; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=$4; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=(($85)|0); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=$pc; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $84, $87, $88); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$pc; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=HEAPU8[($89)]; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=(($90)&255); //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=(($91)|0)==91; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($92) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $94=$4; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=(($94)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=$pc; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=(($97+1)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=HEAPU8[($98)]; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($99)&255); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=$100 << 8; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=$pc; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=(($102+2)|0); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=HEAPU8[($103)]; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=(($104)&255); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=$101 | $105; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=__ZN8JSScript9getObjectEj($96, $106); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $baseobj=$107; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=HEAP32[(($res)>>2)]; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=$3; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=$baseobj; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=__ZN2js5types10TypeObject21addDefinitePropertiesEP9JSContextP8JSObject($108, $109, $110); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($111) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      $1=0; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 17; break; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __label__ = 14; break; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $115=(($6+28)|0); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=$4; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKS4_($116, $p, $117, $res); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($118) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $120=$3; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=(($120+56)|0); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=(($122+376)|0); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=$3; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($123, $124); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 17; break; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $126=HEAP32[(($res)>>2)]; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$126; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 17; break; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break;
    case 18: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=$1; //@line 1968 "./jsinfer.h"
      STACKTOP = __stackBase__;
      return $129; //@line 1968 "./jsinfer.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment27newAllocationSiteTypeObjectEP9JSContextRKNS0_17AllocationSiteKeyE["X"]=1;

function __ZN9JSContext4new_IN2js7HashMapINS1_5types17AllocationSiteKeyEPNS3_10TypeObjectES4_NS1_17SystemAllocPolicyEEEEEPT_v($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 24); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $13 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC1ES5_($11, $2); //@line 1291 "./jscntxt.h"
      var $13 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $13; //@line 1291 "./jscntxt.h"
      var $16 = $13;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $16 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $16; //@line 1291 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return $16; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js5types10TypeObject21addDefinitePropertiesEP9JSContextP8JSObject($this, $cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $enter=__stackBase__;
      var $shape;
      var $id;
      var $types;
      var $5;
      $2=$this;
      $3=$cx;
      $4=$obj;
      var $6=$2;
      var $7=__ZN2js5types10TypeObject17unknownPropertiesEv($6); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=1; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=$3; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $10, 0); //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$4; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZNK8JSObject12lastPropertyEv($11); //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$12; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $14=$shape; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14+12)|0); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=_JSID_IS_EMPTY($16); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)!=0; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$18 ^ 1; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $21=$3; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$shape; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+12)|0); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZN2js5types10MakeTypeIdEP9JSContexti($21, $24); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id=$25; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$id; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=_JSID_IS_VOID1691($26); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27)|0)!=0; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($28) { __label__ = 11; break; } else { __label__ = 6; break; } //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $30=$4; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$shape; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31+24)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=__ZN8JSObject11isFixedSlotEj($30, $33); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $36=$shape; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36+24)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=HEAPU32[(($37)>>2)]; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38)>>>0) <= 15; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $41=$3; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$id; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($6, $41, $42, 1); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$43; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$types; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44)|0)!=0; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      $1=0; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 13; break; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $48=$types; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$shape; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+24)|0); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet11setDefiniteEj($48, $51); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $53=$shape; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=__ZNK2js5Shape8previousEv($53); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$54; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      $1=1; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 13; break; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break;
    case 14: 
      var $58=$1; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $58; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject21addDefinitePropertiesEP9JSContextP8JSObject["X"]=1;

function __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKS4_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS7_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $13=(($12)|0); //@line 1052 "./jshashtable.h"
      var $14=$4; //@line 1052 "./jshashtable.h"
      var $15=$13; //@line 1052 "./jshashtable.h"
      var $16=$14; //@line 1052 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1052 "./jshashtable.h"
      var $17=$5; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $20=(($19+8)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($20)>>2)]=$18; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $22=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $22; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10UseNewTypeEP9JSContextP8JSScriptPh($cx, $script, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $untrap=__stackBase__;
      var $5;
      var $id;
      $2=$cx;
      $3=$script;
      $4=$pc;
      var $6=$2; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$3; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$4; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $6, $7, $8); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$4; //@line 2015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAPU8[($9)]; //@line 2015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10)&255); //@line 2015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11)|0)!=82; //@line 2015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=0; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 8; break; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $15=$4; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+3)|0); //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=$16; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$4; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAPU8[($17)]; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)&255); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19)|0)==54; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $22=$2; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$3; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$4; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZL9GetAtomIdP9JSContextP8JSScriptPKhj($22, $23, $24, 0); //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id=$25; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$id; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$2; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=__ZL12id_prototypeP9JSContext($27); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($26)|0)==(($28)|0); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $1=1; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 8; break; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      __label__ = 7; break; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $1=0; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 8; break; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$1; //@line 2025 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return $34; //@line 2025 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10UseNewTypeEP9JSContextP8JSScriptPh["X"]=1;

function __ZL9GetAtomIdP9JSContextP8JSScriptPKhj($cx, $script, $pc, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $index;
  $1=$cx;
  $2=$script;
  $3=$pc;
  $4=$offset;
  var $5=$1; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$2; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$3; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$4; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=_js_GetIndexFromBytecode($5, $6, $7, $8); //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  $index=$9; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$1; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$2; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$index; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=__ZN8JSScript7getAtomEj($11, $12); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=__ZL12ATOM_TO_JSIDP6JSAtom1694($13); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=__ZN2js5types10MakeTypeIdEP9JSContexti($10, $14); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $15; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZL12id_prototypeP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $3=(($2+52)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=(($4+209948)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($5+252)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$7; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=__ZL12ATOM_TO_JSIDP6JSAtom1694($8); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $9; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5types15TypeCompartment16growPendingArrayEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCapacity;
      var $newArray;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+48)|0); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=((($5<<1))|0); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=__ZN2jsL3MaxIjEET_S1_S1_1674(100, $6); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $newCapacity=$7; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$newCapacity; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8*12)|0); //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZN2js11OffTheBooks7calloc_Ej($9); //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$10; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $newArray=$11; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$newArray; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12)|0)!=0; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $15=$2; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+56)|0); //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17+376)|0); //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$2; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($18, $19); //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $21=$newArray; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$21; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($3+40)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$24; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($3+44)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27*12)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert($28 % 1 === 0, 'memcpy given ' + $28 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($22, $25, $28, 1); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$2; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($3+40)|0); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$31; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN9JSContext5free_EPv($29, $32); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$newArray; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($3+40)|0); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($34)>>2)]=$33; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$newCapacity; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($3+48)|0); //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      ;
      return; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types15TypeCompartment24processPendingRecompilesEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  var $pending;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  $pending=$5; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($3+12)|0); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=0; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$pending; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN9JSContext7delete_IN2js6VectorIP8JSScriptLj0ENS1_15TempAllocPolicyEEEEEvPT_($7, $8); //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN9JSContext7delete_IN2js6VectorIP8JSScriptLj0ENS1_15TempAllocPolicyEEEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEED1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types15TypeCompartment9nukeTypesEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cl;
      var $cx1;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+12)|0); //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5)|0)!=0; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $8=$2; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($3+12)|0); //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$10; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN9JSContext5free_EPv($8, $11); //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($3+12)|0); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($12)>>2)]=0; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $14=(($3)|0); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($14)]=0; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$2; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+52)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17+144140)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $cl=$20; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $22=$cl; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23+52)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+144140)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($22)|0)!=(($26)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $29=$cl; //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=__ZN9JSContext13fromLinkFieldEP10JSCListStr($29); //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $cx1=$30; //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$cx1; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$cx1; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32+56)|0); //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN9JSContext14setCompartmentEP13JSCompartment($31, $34); //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $36=$cl; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36)|0); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $cl=$38; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      ;
      return; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment9nukeTypesEP9JSContext["X"]=1;

function __ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb($cx, $object, $markingUnknown, $force) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $types;
      var $constraint;
      $1=$cx;
      $2=$object;
      var $5=(($markingUnknown)&1);
      $3=$5;
      var $6=(($force)&1);
      $4=$6;
      var $7=$2; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZN2js5types10TypeObject17unknownPropertiesEv($7); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 10; break; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $11=$2; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZN2js5types10TypeObject16maybeGetPropertyEP9JSContexti($11, $12, 4); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$13; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$3; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14) & 1); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=$2; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17+12)|0); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$19 | 33488896; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($18)>>2)]=$20; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $22=$types; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22)|0)!=0; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $25=$types; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+8)|0); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $constraint=$27; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $29=$constraint; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29)|0)!=0; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $32=$constraint; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$32; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+8)|0); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$1; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$2; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$4; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39) & 1); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      FUNCTION_TABLE[$36]($32, $37, $38, $40); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$constraint; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41+4)|0); //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $constraint=$43; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      __label__ = 10; break; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      ;
      return; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb["X"]=1;

function __ZN2js7analyzeL11ExtendedDefEPh1682($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$pc;
      var $3=$2; //@line 298 "./jsanalyze.h"
      var $4=HEAPU8[($3)]; //@line 298 "./jsanalyze.h"
      var $5=(($4)&255); //@line 298 "./jsanalyze.h"
      if ((($5)|0) == 85 || (($5)|0) == 97 || (($5)|0) == 98 || (($5)|0) == 99 || (($5)|0) == 100 || (($5)|0) == 87 || (($5)|0) == 132 || (($5)|0) == 140 || (($5)|0) == 223 || (($5)|0) == 101 || (($5)|0) == 102 || (($5)|0) == 103 || (($5)|0) == 104) {
        __label__ = 2; break;
      }
      else {
      __label__ = 3; break;
      }
      
    case 2: 
      $1=1; //@line 312 "./jsanalyze.h"
      __label__ = 4; break; //@line 312 "./jsanalyze.h"
    case 3: 
      $1=0; //@line 314 "./jsanalyze.h"
      __label__ = 4; break; //@line 314 "./jsanalyze.h"
    case 4: 
      var $9=$1; //@line 316 "./jsanalyze.h"
      ;
      return $9; //@line 316 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN8JSScript11hasAnalysisEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+100)|0); //@line 1290 "./jsinferinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1290 "./jsinferinlines.h"
      var $5=(($4)|0)!=0; //@line 1290 "./jsinferinlines.h"
      if ($5) { __label__ = 2; break; } else { var $13 = 0;__label__ = 3; break; } //@line 1290 "./jsinferinlines.h"
    case 2: 
      var $7=(($2+100)|0); //@line 1290 "./jsinferinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1290 "./jsinferinlines.h"
      var $9=(($8)|0); //@line 1290 "./jsinferinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1290 "./jsinferinlines.h"
      var $11=(($10)|0)!=0; //@line 1290 "./jsinferinlines.h"
      var $13 = $11;__label__ = 3; break;
    case 3: 
      var $13;
      ;
      return $13; //@line 1291 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis12ranInferenceEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+23)|0); //@line 927 "./jsanalyze.h"
  var $4=HEAP8[($3)]; //@line 927 "./jsanalyze.h"
  var $5=(($4) & 1); //@line 927 "./jsanalyze.h"
  ;
  return $5; //@line 927 "./jsanalyze.h"
}


function __ZNK2js5types4TypeeqES1_($this, $o) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $o; $o = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($o)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 145 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 145 "./jsinfer.h"
  var $5=(($o)|0); //@line 145 "./jsinfer.h"
  var $6=HEAP32[(($5)>>2)]; //@line 145 "./jsinfer.h"
  var $7=(($4)|0)==(($6)|0); //@line 145 "./jsinfer.h"
  STACKTOP = __stackBase__;
  return $7; //@line 145 "./jsinfer.h"
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEC1ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEC2ES4_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js2gc8CellIterC1EP9JSContextP13JSCompartmentNS0_9AllocKindE($this, $cx, $comp, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$comp;
  $4=$kind;
  var $5=$1;
  var $6=$2; //@line 310 "./jsgcinlines.h"
  var $7=$3; //@line 310 "./jsgcinlines.h"
  var $8=$4; //@line 310 "./jsgcinlines.h"
  __ZN2js2gc8CellIterC2EP9JSContextP13JSCompartmentNS0_9AllocKindE($5, $6, $7, $8); //@line 310 "./jsgcinlines.h"
  ;
  return; //@line 310 "./jsgcinlines.h"
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc8CellIterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js2gc8CellIterD2Ev($2); //@line 312 "./jsgcinlines.h"
  ;
  return; //@line 319 "./jsgcinlines.h"
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js5types10TypeScript11NumTypeSetsEP8JSScript($script) {
  ;
  var __label__;

  var $1;
  $1=$script;
  var $2=$1; //@line 465 "./jsinferinlines.h"
  var $3=(($2+22)|0); //@line 465 "./jsinferinlines.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 465 "./jsinferinlines.h"
  var $5=(($4)&65535); //@line 465 "./jsinferinlines.h"
  var $6=$1; //@line 465 "./jsinferinlines.h"
  var $7=__ZN2js7analyzeL10TotalSlotsEP8JSScript1710($6); //@line 465 "./jsinferinlines.h"
  var $8=(($5+$7)|0); //@line 465 "./jsinferinlines.h"
  ;
  return $8; //@line 465 "./jsinferinlines.h"
}


function __ZN2js7analyzeL11GetDefCountEP8JSScriptj1681($script, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pc;
      $2=$script;
      $3=$offset;
      var $4=$2; //@line 244 "./jsanalyze.h"
      var $5=(($4)|0); //@line 244 "./jsanalyze.h"
      var $6=HEAP32[(($5)>>2)]; //@line 244 "./jsanalyze.h"
      var $7=$3; //@line 244 "./jsanalyze.h"
      var $8=(($6+$7)|0); //@line 244 "./jsanalyze.h"
      $pc=$8; //@line 244 "./jsanalyze.h"
      var $9=$pc; //@line 247 "./jsanalyze.h"
      var $10=HEAPU8[($9)]; //@line 247 "./jsanalyze.h"
      var $11=(($10)&255); //@line 247 "./jsanalyze.h"
      var $12=((_js_CodeSpec+($11<<3))|0); //@line 247 "./jsanalyze.h"
      var $13=(($12+2)|0); //@line 247 "./jsanalyze.h"
      var $14=HEAP8[($13)]; //@line 247 "./jsanalyze.h"
      var $15=(($14 << 24) >> 24); //@line 247 "./jsanalyze.h"
      var $16=(($15)|0)==-1; //@line 247 "./jsanalyze.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 247 "./jsanalyze.h"
    case 2: 
      var $18=$2; //@line 248 "./jsanalyze.h"
      var $19=$pc; //@line 248 "./jsanalyze.h"
      var $20=_js_GetEnterBlockStackDefs(0, $18, $19); //@line 248 "./jsanalyze.h"
      $1=$20; //@line 248 "./jsanalyze.h"
      __label__ = 8; break; //@line 248 "./jsanalyze.h"
    case 3: 
      var $22=$pc; //@line 254 "./jsanalyze.h"
      var $23=HEAPU8[($22)]; //@line 254 "./jsanalyze.h"
      var $24=(($23)&255); //@line 254 "./jsanalyze.h"
      if ((($24)|0) == 68 || (($24)|0) == 144 || (($24)|0) == 69 || (($24)|0) == 145) {
        __label__ = 4; break;
      }
      else if ((($24)|0) == 176) {
        __label__ = 5; break;
      }
      else if ((($24)|0) == 133) {
        __label__ = 6; break;
      }
      else {
      __label__ = 7; break;
      }
      
    case 4: 
      $1=1; //@line 259 "./jsanalyze.h"
      __label__ = 8; break; //@line 259 "./jsanalyze.h"
    case 5: 
      $1=2; //@line 261 "./jsanalyze.h"
      __label__ = 8; break; //@line 261 "./jsanalyze.h"
    case 6: 
      var $28=$pc; //@line 269 "./jsanalyze.h"
      var $29=(($28+1)|0); //@line 269 "./jsanalyze.h"
      var $30=HEAPU8[($29)]; //@line 269 "./jsanalyze.h"
      var $31=(($30)&255); //@line 269 "./jsanalyze.h"
      var $32=(($31+1)|0); //@line 269 "./jsanalyze.h"
      $1=$32; //@line 269 "./jsanalyze.h"
      __label__ = 8; break; //@line 269 "./jsanalyze.h"
    case 7: 
      var $34=$pc; //@line 271 "./jsanalyze.h"
      var $35=HEAPU8[($34)]; //@line 271 "./jsanalyze.h"
      var $36=(($35)&255); //@line 271 "./jsanalyze.h"
      var $37=((_js_CodeSpec+($36<<3))|0); //@line 271 "./jsanalyze.h"
      var $38=(($37+2)|0); //@line 271 "./jsanalyze.h"
      var $39=HEAP8[($38)]; //@line 271 "./jsanalyze.h"
      var $40=(($39 << 24) >> 24); //@line 271 "./jsanalyze.h"
      $1=$40; //@line 271 "./jsanalyze.h"
      __label__ = 8; break; //@line 271 "./jsanalyze.h"
    case 8: 
      var $42=$1; //@line 273 "./jsanalyze.h"
      ;
      return $42; //@line 273 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyzeL11GetDefCountEP8JSScriptj1681["X"]=1;

function __ZN2js7analyze14ScriptAnalysis11pushedTypesEPKhj($this, $pc, $which) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$pc;
  $3=$which;
  var $4=$1;
  var $5=$2; //@line 1035 "./jsanalyze.h"
  var $6=(($4)|0); //@line 1035 "./jsanalyze.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1035 "./jsanalyze.h"
  var $8=(($7)|0); //@line 1035 "./jsanalyze.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1035 "./jsanalyze.h"
  var $10=$5; //@line 1035 "./jsanalyze.h"
  var $11=$9; //@line 1035 "./jsanalyze.h"
  var $12=(($10-$11)|0); //@line 1035 "./jsanalyze.h"
  var $13=$3; //@line 1035 "./jsanalyze.h"
  var $14=__ZN2js7analyze14ScriptAnalysis11pushedTypesEjj($4, $12, $13); //@line 1035 "./jsanalyze.h"
  ;
  return $14; //@line 1035 "./jsanalyze.h"
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js7analyze14ScriptAnalysis14addTypeBarrierEP9JSContextPKhPNS_5types7TypeSetENS6_4TypeE($this, $cx, $pc, $target, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $code;
      var $5=__stackBase__+4;
      var $barrier;
      var $6=__stackBase__+8;
      var $7=__stackBase__+12;
      var $8=__stackBase__+16;
      var $9=__stackBase__+20;
      $1=$this;
      $2=$cx;
      $3=$pc;
      HEAP32[(($4)>>2)]=$target;
      var $10=$1;
      var $11=$3; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js7analyze14ScriptAnalysis7getCodeEPKh($10, $11); //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $code=$12; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZNK2js5types4Type9isUnknownEv($type); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $15=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $17=__ZNK2js5types4Type8isObjectEv($type); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $19=HEAP32[(($4)>>2)]; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=__ZN2js5types7TypeSet14getObjectCountEv($19); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20)>>>0) >= 10; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $23=HEAP32[(($4)>>2)]; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$2; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$5; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$type; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)]; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($23, $24, $5); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 19; break; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $28=$code; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28+40)|0); //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30)|0)!=0; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 11; break; } else { __label__ = 7; break; } //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $33=$2; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+56)|0); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35+376)|0); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$2; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($10)|0); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($36, $37, $39); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($10)|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$41; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=(($42+37)|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=HEAPU8[($43)]; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44)&255) >>> 2; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=$45 & 1; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46) & 1); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $49=(($10)|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=__ZNK8JSScript8functionEv($50); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$51; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=__ZNK8JSObject11hasLazyTypeEv($52); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $55=$2; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($10)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=__ZNK8JSScript8functionEv($57); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$58; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=__ZNK8JSObject4typeEv($59); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb($55, $60, 0, 1); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 11; break; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $63=$code; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($63+40)|0); //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $barrier=$65; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $67=$barrier; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67)|0)!=0; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($68) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $70=$barrier; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=(($70+4)|0); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=HEAP32[(($4)>>2)]; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=(($72)|0)==(($73)|0); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($74) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $76=$barrier; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=(($76+8)|0); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$6; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=$type; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[(($79)>>2)]; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=__ZNK2js5types4TypeeqES1_($77, $6); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($80) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $82=$barrier; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=(($82+12)|0); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=(($84)|0)!=0; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($85) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      __label__ = 19; break; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $88=$barrier; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=(($88)|0); //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $barrier=$90; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $92=(($10)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=__ZN8JSScript2idEv($93); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=$3; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=(($10)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=(($97)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=$95; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=$99; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=(($100-$101)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=HEAP32[(($4)>>2)]; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($103); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=HEAP32[(($4)>>2)]; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=__ZN2js5types19InferSpewColorResetEv(); //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=$7; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=$type; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($107)>>2)]=HEAP32[(($108)>>2)]; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=__ZN2js5types10TypeStringENS0_4TypeE($7); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str211591)|0), (tempInt=STACKTOP,STACKTOP += 24,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$94,HEAP32[((tempInt+4)>>2)]=$102,HEAP32[((tempInt+8)>>2)]=$104,HEAP32[((tempInt+12)>>2)]=$105,HEAP32[((tempInt+16)>>2)]=$106,HEAP32[((tempInt+20)>>2)]=$109,tempInt)); //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=$2; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=(($110+56)|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=(($112+344)|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($8)>>2)]=0; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($9)>>2)]=2; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=__ZN2js8ArenaNewINS_5types11TypeBarrierEPNS1_7TypeSetENS1_4TypeEP8JSObjectiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_($113, $4, $type, $8, $9); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $barrier=$114; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=$code; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=(($115+40)|0); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=$barrier; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=(($118)|0); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($119)>>2)]=$117; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=$barrier; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=$code; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=(($121+40)|0); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($122)>>2)]=$120; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 19; break; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      STACKTOP = __stackBase__;
      return; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis14addTypeBarrierEP9JSContextPKhPNS_5types7TypeSetENS6_4TypeE["X"]=1;

function __ZN2js5types15TypeCompartment15markSetsUnknownEP9JSContextPNS0_10TypeObjectE($this, $cx, $target) {
  var __stackBase__  = STACKTOP; STACKTOP += 148; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $enter=__stackBase__;
      var $pending=__stackBase__+8;
      var $4=__stackBase__+32;
      var $i=__stackBase__+36;
      var $5;
      var $object;
      var $count;
      var $i1;
      var $prop;
      var $6=__stackBase__+76;
      var $i2;
      var $7=__stackBase__+80;
      var $i3=__stackBase__+84;
      var $script;
      var $count4;
      var $typeArray;
      var $i5;
      var $8=__stackBase__+124;
      var $9=__stackBase__+128;
      var $i6;
      var $pc;
      var $untrap=__stackBase__+132;
      var $defCount;
      var $j;
      var $types;
      var $10=__stackBase__+140;
      var $11=__stackBase__+144;
      $1=$this;
      $2=$cx;
      $3=$target;
      var $12=$1;
      var $13=$3; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+12)|0); //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$15 | 8; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($14)>>2)]=$16; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$2; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $17, 0); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$2; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $18); //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEC1ES4_($pending, $4); //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$2; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$2; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20+56)|0); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js2gc8CellIterC1EP9JSContextP13JSCompartmentNS0_9AllocKindE($i, $19, $22, 15); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $24=$i; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZNK2js2gc12CellIterImpl4doneEv($24); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$25 ^ 1; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $5=2;
      __ZN2js2gc8CellIterD1Ev($i); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break;
    case 4: 
      var $29=$i; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=__ZNK2js2gc12CellIterImpl3getINS_5types10TypeObjectEEEPT_v($29); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$30; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$object; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=__ZN2js5types10TypeObject16getPropertyCountEv($31); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$32; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i1=0; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $34=$i1; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$count; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($34)>>>0) < (($35)>>>0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 13; break; } //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $38=$object; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$i1; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=__ZN2js5types10TypeObject11getPropertyEj($38, $39); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop=$40; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$prop; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41)|0)!=0; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $44=$prop; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44+4)|0); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=$3; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($6, $46); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($45, $6); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $49=$prop; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+4)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($pending, $50); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $53=$2; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53+56)|0); //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55+376)|0); //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=$2; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($56, $57); //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 11; break; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      __label__ = 12; break; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $61=$i1; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=(($61+1)|0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i1=$62; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __label__ = 14; break; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $65=$i; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($65); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      $i2=0; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $68=$i2; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE6lengthEv($pending); //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($68)>>>0) < (($69)>>>0); //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($70) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $72=$i2; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEixEj($pending, $72); //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=$2; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13AnyObjectTypeEv($7); //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($74, $75, $7); //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $77=$i2; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=(($77+1)|0); //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i2=$78; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $80=$2; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$2; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=(($81+56)|0); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js2gc8CellIterC1EP9JSContextP13JSCompartmentNS0_9AllocKindE($i3, $80, $83, 13); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $85=$i3; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=__ZNK2js2gc12CellIterImpl4doneEv($85); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$86 ^ 1; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      $5=11;
      __ZN2js2gc8CellIterD1Ev($i3); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 53; break;
    case 22: 
      var $90=$i3; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=__ZNK2js2gc12CellIterImpl3getI8JSScriptEEPT_v($90); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$91; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=$script; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=(($92+100)|0); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=(($94)|0)!=0; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($95) { __label__ = 23; break; } else { __label__ = 30; break; } //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $97=$script; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=__ZN2js5types10TypeScript11NumTypeSetsEP8JSScript($97); //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count4=$98; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=$script; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($99+100)|0); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=__ZN2js5types10TypeScript9typeArrayEv($101); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $typeArray=$102; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i5=0; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 24; break; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $104=$i5; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=$count4; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=(($104)>>>0) < (($105)>>>0); //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($106) { __label__ = 25; break; } else { __label__ = 29; break; } //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $108=$i5; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=$typeArray; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=(($109+$108*12)|0); //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=$3; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($8, $111); //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($110, $8); //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($112) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $114=$i5; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=$typeArray; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=(($115+$114*12)|0); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=$2; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13AnyObjectTypeEv($9); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($116, $117, $9); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      __label__ = 28; break; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $120=$i5; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=(($120+1)|0); //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i5=$121; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 24; break; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      __label__ = 30; break; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $124=$script; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=__ZN8JSScript11hasAnalysisEv($124); //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($125) { __label__ = 31; break; } else { __label__ = 51; break; } //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      var $127=$script; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=__ZN8JSScript8analysisEv($127); //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=__ZN2js7analyze14ScriptAnalysis12ranInferenceEv($128); //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($129) { __label__ = 32; break; } else { __label__ = 51; break; } //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      $i6=0; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 33; break; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      var $132=$i6; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $133=$script; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $134=(($133+8)|0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $135=HEAPU32[(($134)>>2)]; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=(($132)>>>0) < (($135)>>>0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($136) { __label__ = 34; break; } else { __label__ = 50; break; } //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      var $138=$script; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=__ZN8JSScript8analysisEv($138); //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=$i6; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($139, $140); //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $142=(($141)|0)!=0; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($142) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      __label__ = 49; break; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      var $145=$script; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=(($145)|0); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $148=$i6; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=(($147+$148)|0); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$149; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $150=$2; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $151=$script; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $152=$pc; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $150, $151, $152); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $153=$pc; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=HEAPU8[($153)]; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=(($154)&255); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=((_js_CodeSpec+($155<<3))|0); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $157=(($156+4)|0); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $159=$158 & 134217728; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $160=(($159)|0)!=0; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($160) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      $5=19;
      __label__ = 47; break; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 38: 
      var $163=$script; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $164=$i6; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $165=__ZN2js7analyzeL11GetDefCountEP8JSScriptj1681($163, $164); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $defCount=$165; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $166=$pc; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $167=__ZN2js7analyzeL11ExtendedDefEPh1682($166); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($167) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      var $169=$defCount; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $170=(($169+1)|0); //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $defCount=$170; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 40; break; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 40: 
      $j=0; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 41; break; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      var $173=$j; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $174=$defCount; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $175=(($173)>>>0) < (($174)>>>0); //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($175) { __label__ = 42; break; } else { __label__ = 46; break; } //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      var $177=$script; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $178=__ZN8JSScript8analysisEv($177); //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $179=$pc; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $180=$j; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $181=__ZN2js7analyze14ScriptAnalysis11pushedTypesEPKhj($178, $179, $180); //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$181; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $182=$types; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $183=$3; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($10, $183); //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $184=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($182, $10); //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($184) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 43: 
      var $186=$types; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $187=$2; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13AnyObjectTypeEv($11); //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($186, $187, $11); //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 44; break; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 44: 
      __label__ = 45; break; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 45: 
      var $190=$j; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $191=(($190+1)|0); //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $j=$191; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 41; break; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 46: 
      $5=0; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 47; break; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 47: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 48; break;
      }
      else if ((($cleanup_dest)|0) == 19) {
        __label__ = 49; break;
      }
      else {
      __label__ = 54; break;
      }
      
    case 48: 
      __label__ = 49; break; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 49: 
      var $196=$i6; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $197=(($196+1)|0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i6=$197; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 33; break; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 50: 
      __label__ = 51; break; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 51: 
      __label__ = 52; break; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 52: 
      var $201=$i3; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($201); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 53: 
      __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEED1Ev($pending); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 54: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment15markSetsUnknownEP9JSContextPNS0_10TypeObjectE["X"]=1;

function __ZN2js5typesL12TypeIdStringEi($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  ;
  return ((STRING_TABLE.__str781648)|0); //@line 189 "./jsinferinlines.h"
}


function __ZN2js5types15TypeCompartment11compartmentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 706 "./jsinferinlines.h"
  var $4=(($3-376)|0); //@line 706 "./jsinferinlines.h"
  var $5=$4; //@line 706 "./jsinferinlines.h"
  ;
  return $5; //@line 706 "./jsinferinlines.h"
}


function __ZNK2js5types4TypeneES1_($this, $o) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $o; $o = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($o)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jsinfer.h"
  var $5=(($o)|0); //@line 146 "./jsinfer.h"
  var $6=HEAP32[(($5)>>2)]; //@line 146 "./jsinfer.h"
  var $7=(($4)|0)!=(($6)|0); //@line 146 "./jsinfer.h"
  STACKTOP = __stackBase__;
  return $7; //@line 146 "./jsinfer.h"
}


function __ZN2js8ArenaNewINS_5types11TypeBarrierEPNS1_7TypeSetENS1_4TypeEP8JSObjectiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_($pool, $a, $b, $c, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      var $6=__stackBase__;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      $5=$d;
      __label__ = 2; break; //@line 280 "./jsarena.h"
    case 2: 
      var $8=$1; //@line 280 "./jsarena.h"
      var $9=(($8+16)|0); //@line 280 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 280 "./jsarena.h"
      $_a=$10; //@line 280 "./jsarena.h"
      var $11=$1; //@line 280 "./jsarena.h"
      var $12=(($11+24)|0); //@line 280 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 280 "./jsarena.h"
      var $14=(($13+20)|0); //@line 280 "./jsarena.h"
      var $15=$1; //@line 280 "./jsarena.h"
      var $16=(($15+24)|0); //@line 280 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 280 "./jsarena.h"
      var $18=$17 ^ -1; //@line 280 "./jsarena.h"
      var $19=$14 & $18; //@line 280 "./jsarena.h"
      $_nb=$19; //@line 280 "./jsarena.h"
      var $20=$_a; //@line 280 "./jsarena.h"
      var $21=(($20+12)|0); //@line 280 "./jsarena.h"
      var $22=HEAP32[(($21)>>2)]; //@line 280 "./jsarena.h"
      $_p=$22; //@line 280 "./jsarena.h"
      var $23=$_nb; //@line 280 "./jsarena.h"
      var $24=$_a; //@line 280 "./jsarena.h"
      var $25=(($24+8)|0); //@line 280 "./jsarena.h"
      var $26=HEAPU32[(($25)>>2)]; //@line 280 "./jsarena.h"
      var $27=(($23)>>>0) > (($26)>>>0); //@line 280 "./jsarena.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 280 "./jsarena.h"
    case 3: 
      var $29=$_p; //@line 280 "./jsarena.h"
      var $30=$_a; //@line 280 "./jsarena.h"
      var $31=(($30+8)|0); //@line 280 "./jsarena.h"
      var $32=HEAP32[(($31)>>2)]; //@line 280 "./jsarena.h"
      var $33=$_nb; //@line 280 "./jsarena.h"
      var $34=(($32-$33)|0); //@line 280 "./jsarena.h"
      var $35=(($29)>>>0) > (($34)>>>0); //@line 280 "./jsarena.h"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 280 "./jsarena.h"
    case 4: 
      var $37=$1; //@line 280 "./jsarena.h"
      var $38=$_nb; //@line 280 "./jsarena.h"
      var $39=_JS_ArenaAllocate($37, $38); //@line 280 "./jsarena.h"
      var $40=$39; //@line 280 "./jsarena.h"
      $_p=$40; //@line 280 "./jsarena.h"
      __label__ = 6; break; //@line 280 "./jsarena.h"
    case 5: 
      var $42=$_p; //@line 280 "./jsarena.h"
      var $43=$_nb; //@line 280 "./jsarena.h"
      var $44=(($42+$43)|0); //@line 280 "./jsarena.h"
      var $45=$_a; //@line 280 "./jsarena.h"
      var $46=(($45+12)|0); //@line 280 "./jsarena.h"
      HEAP32[(($46)>>2)]=$44; //@line 280 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $48=$_p; //@line 280 "./jsarena.h"
      var $49=$48; //@line 280 "./jsarena.h"
      $v=$49; //@line 280 "./jsarena.h"
      __label__ = 7; break; //@line 280 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 280 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 280 "./jsarena.h"
    case 9: 
      var $53=$v; //@line 281 "./jsarena.h"
      var $54=(($53)|0)!=0; //@line 281 "./jsarena.h"
      if ($54) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 281 "./jsarena.h"
    case 10: 
      var $56=$v; //@line 281 "./jsarena.h"
      var $57=(($56)|0)==0; //@line 281 "./jsarena.h"
      if ($57) { var $70 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 281 "./jsarena.h"
    case 11: 
      var $59=$56; //@line 281 "./jsarena.h"
      var $60=$2; //@line 281 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 281 "./jsarena.h"
      var $62=$3; //@line 281 "./jsarena.h"
      var $63=$6; //@line 281 "./jsarena.h"
      var $64=$62; //@line 281 "./jsarena.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($63)>>2)]=HEAP32[(($64)>>2)]; //@line 281 "./jsarena.h"
      var $65=$4; //@line 281 "./jsarena.h"
      var $66=HEAP32[(($65)>>2)]; //@line 281 "./jsarena.h"
      var $67=$5; //@line 281 "./jsarena.h"
      var $68=HEAP32[(($67)>>2)]; //@line 281 "./jsarena.h"
      __ZN2js5types11TypeBarrierC1EPNS0_7TypeSetENS0_4TypeEP8JSObjecti($59, $61, $6, $66, $68); //@line 281 "./jsarena.h"
      var $70 = $59;__label__ = 12; break; //@line 281 "./jsarena.h"
    case 12: 
      var $70; //@line 281 "./jsarena.h"
      var $73 = $70;__label__ = 14; break; //@line 281 "./jsarena.h"
    case 13: 
      var $73 = 0;__label__ = 14; break; //@line 281 "./jsarena.h"
    case 14: 
      var $73; //@line 281 "./jsarena.h"
      STACKTOP = __stackBase__;
      return $73; //@line 281 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_5types11TypeBarrierEPNS1_7TypeSetENS1_4TypeEP8JSObjectiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_["X"]=1;

function __ZN2js7analyze14ScriptAnalysis23addSingletonTypeBarrierEP9JSContextPKhPNS_5types7TypeSetEP8JSObjecti($this, $cx, $pc, $target, $singleton, $singletonId) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+4;
      var $6=__stackBase__+8;
      var $code;
      var $barrier;
      var $7=__stackBase__+12;
      $1=$this;
      $2=$cx;
      $3=$pc;
      HEAP32[(($4)>>2)]=$target;
      HEAP32[(($5)>>2)]=$singleton;
      HEAP32[(($6)>>2)]=$singletonId;
      var $8=$1;
      var $9=$3; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZN2js7analyze14ScriptAnalysis7getCodeEPKh($8, $9); //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $code=$10; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$code; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11+40)|0); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0)!=0; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $16=$2; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16+56)|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18+376)|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$2; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($8)|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($19, $20, $22); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($8)|0); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$24; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+37)|0); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=HEAPU8[($26)]; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27)&255) >>> 2; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$28 & 1; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29) & 1); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($30) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $32=(($8)|0); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=__ZNK8JSScript8functionEv($33); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$34; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=__ZNK8JSObject11hasLazyTypeEv($35); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($36) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $38=$2; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($8)|0); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=__ZNK8JSScript8functionEv($40); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$41; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZNK8JSObject4typeEv($42); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb($38, $43, 0, 1); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      __label__ = 6; break; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $46=(($8)|0); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=__ZN8JSScript2idEv($47); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$3; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($8)|0); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51)|0); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$49; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$53; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($54-$55)|0); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=HEAP32[(($4)>>2)]; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($57); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=HEAP32[(($4)>>2)]; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=__ZN2js5types19InferSpewColorResetEv(); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=HEAP32[(($5)>>2)]; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$61; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=HEAP32[(($6)>>2)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=__ZN2js5typesL12TypeIdStringEi($63); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str221592)|0), (tempInt=STACKTOP,STACKTOP += 28,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$48,HEAP32[((tempInt+4)>>2)]=$56,HEAP32[((tempInt+8)>>2)]=$58,HEAP32[((tempInt+12)>>2)]=$59,HEAP32[((tempInt+16)>>2)]=$60,HEAP32[((tempInt+20)>>2)]=$62,HEAP32[((tempInt+24)>>2)]=$64,tempInt)); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=$2; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65+56)|0); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67+344)|0); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($7); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=__ZN2js8ArenaNewINS_5types11TypeBarrierEPNS1_7TypeSetENS1_4TypeEP8JSObjectiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_($68, $4, $7, $5, $6); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $barrier=$69; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=$code; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=(($70+40)|0); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=$barrier; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=(($73)|0); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($74)>>2)]=$72; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=$barrier; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=$code; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=(($76+40)|0); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($77)>>2)]=$75; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis23addSingletonTypeBarrierEP9JSContextPKhPNS_5types7TypeSetEP8JSObjecti["X"]=1;

function __ZL15InferSpewActiveN2js5types11SpewChannelE($channel) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $env;
      var $i;
      $2=$channel;
      var $3=HEAP8[(__ZZL15InferSpewActiveN2js5types11SpewChannelEE7checked)]; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=(($3) & 1); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($4) { __label__ = 15; break; } else { __label__ = 2; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      HEAP8[(__ZZL15InferSpewActiveN2js5types11SpewChannelEE7checked)]=1; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2jsL12PodArrayZeroIbLj2EEEvRAT0__T_(__ZZL15InferSpewActiveN2js5types11SpewChannelEE6active); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=_getenv(((STRING_TABLE.__str741644)|0)); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $env=$6; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$env; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0)!=0; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $11=$env; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=_strstr($11, ((STRING_TABLE.__str751645)|0)); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12)|0)!=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      HEAP8[(((__ZZL15InferSpewActiveN2js5types11SpewChannelEE6active)|0))]=1; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $16=$env; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=_strstr($16, ((STRING_TABLE.__str761646)|0)); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)!=0; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      HEAP8[(((__ZZL15InferSpewActiveN2js5types11SpewChannelEE6active+1)|0))]=1; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $21=$env; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=_strstr($21, ((STRING_TABLE.__str771647)|0)); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22)|0)!=0; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      $i=0; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $26=$i; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26)>>>0) < 2; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $29=$i; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=((__ZZL15InferSpewActiveN2js5types11SpewChannelEE6active+$29)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($30)]=1; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $32=$i; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32+1)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$33; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __label__ = 14; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $37=$2; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=((__ZZL15InferSpewActiveN2js5types11SpewChannelEE6active+$37)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAP8[($38)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39) & 1); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$40; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $42=$1; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $42; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15InferSpewActiveN2js5types11SpewChannelE["X"]=1;

function __ZN9JSContext4new_IN2js7HashMapINS1_5types13ArrayTableKeyEPNS3_10TypeObjectES4_NS1_17SystemAllocPolicyEEEEEPT_v($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 24); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $13 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC1ES5_($11, $2); //@line 1291 "./jscntxt.h"
      var $13 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $13; //@line 1291 "./jscntxt.h"
      var $16 = $13;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $16 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $16; //@line 1291 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return $16; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZL20GetValueTypeForTableP9JSContextRKN2JS5ValueE($agg_result, $cx, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$v;
  var $3=$1; //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=$2; //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($agg_result, $3, $4); //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZL11NumberTypesN2js5types4TypeES1_($a, $b) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var tempParam = $b; $b = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($b)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__ZNK2js5types4Type11isPrimitiveE11JSValueType($a, 1); //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $3=__ZNK2js5types4Type11isPrimitiveE11JSValueType($a, 0); //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($3) { __label__ = 3; break; } else { var $11 = 0;__label__ = 6; break; } //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $5=__ZNK2js5types4Type11isPrimitiveE11JSValueType($b, 1); //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($5) { var $9 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $7=__ZNK2js5types4Type11isPrimitiveE11JSValueType($b, 0); //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9 = $7;__label__ = 5; break; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $9;
      var $11 = $9;__label__ = 6; break;
    case 6: 
      var $11;
      STACKTOP = __stackBase__;
      return $11; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types13ArrayTableKeyC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js5types13ArrayTableKeyC2Ev($2); //@line 2422 "./jsinferinlines.h"
  ;
  return; //@line 2422 "./jsinferinlines.h"
}


function __ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 138, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis10printTypesEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $enter=__stackBase__;
      var $compartment;
      var $offset;
      var $pc;
      var $untrap=__stackBase__+8;
      var $3;
      var $defCount;
      var $i;
      var $types;
      var $typeCount;
      var $flag;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=$2; //@line 4669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze17AutoEnterAnalysisC1EP9JSContext($enter, $5); //@line 4669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($4)|0); //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$7; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZNK2js2gc4Cell11compartmentEv($8); //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9+376)|0); //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $compartment=$10; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $offset=0; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$offset; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($4)|0); //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14+8)|0); //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAPU32[(($15)>>2)]; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($12)>>>0) < (($16)>>>0); //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 36; break; } //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $19=$offset; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($4, $19); //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20)|0)!=0; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 35; break; //@line 4678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $24=(($4)|0); //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25)|0); //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$offset; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($27+$28)|0); //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$29; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$2; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($4)|0); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$pc; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $30, $32, $33); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$pc; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=HEAPU8[($34)]; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35)&255); //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=((_js_CodeSpec+($36<<3))|0); //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($37+4)|0); //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$39 & 134217728; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40)|0)!=0; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      $3=4;
      __label__ = 33; break; //@line 4684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $44=(($4)|0); //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=$offset; //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=__ZN2js7analyzeL11GetDefCountEP8JSScriptj1681($45, $46); //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $defCount=$47; //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$defCount; //@line 4687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=(($48)|0)!=0; //@line 4687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      $3=4;
      __label__ = 33; break; //@line 4688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      $i=0; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $53=$i; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$defCount; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($53)>>>0) < (($54)>>>0); //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 32; break; } //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $57=$offset; //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=$i; //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=__ZN2js7analyze14ScriptAnalysis11pushedTypesEjj($4, $57, $58); //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$59; //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$types; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=__ZNK2js5types7TypeSet7unknownEv($60); //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $63=$compartment; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($63+72)|0); //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65+1)|0); //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($64)>>2)]=$66; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 31; break; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $typeCount=0; //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=$types; //@line 4700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=__ZNK2js5types7TypeSet10hasAnyFlagEj($68, 128); //@line 4700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($69) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $71=$types; //@line 4700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=__ZN2js5types7TypeSet14getObjectCountEv($71); //@line 4700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($72)|0)!=0; //@line 4700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($73) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 4700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $75=$typeCount; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=(($75+1)|0); //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $typeCount=$76; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      $flag=1; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $79=$flag; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=(($79)>>>0) < 128; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($80) { __label__ = 18; break; } else { __label__ = 22; break; } //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $82=$types; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=$flag; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=__ZNK2js5types7TypeSet10hasAnyFlagEj($82, $83); //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($84) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $86=$typeCount; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=(($86+1)|0); //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $typeCount=$87; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      __label__ = 21; break; //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $90=$flag; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=$90 << 1; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $flag=$91; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $93=$types; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=__ZNK2js5types7TypeSet10hasAnyFlagEj($93, 16); //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($94) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $96=$typeCount; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=(($96-1)|0); //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $typeCount=$97; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 24; break; //@line 4715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $99=$typeCount; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($99)>>>0) > 4; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($100) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $102=$compartment; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=(($102+72)|0); //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=(($104+1)|0); //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($103)>>2)]=$105; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $107=$typeCount; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=(($107)|0)==0; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($108) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      __label__ = 29; break; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $111=$typeCount; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=(($111-1)|0); //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=$compartment; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=(($113+56)|0); //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=(($114+($112<<2))|0); //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=(($116+1)|0); //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($115)>>2)]=$117; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 29; break;
    case 29: 
      __label__ = 30; break;
    case 30: 
      __label__ = 31; break; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      var $121=$i; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=(($121+1)|0); //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$122; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      $3=0; //@line 4725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 33; break; //@line 4725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 4725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$3;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 34; break;
      }
      else if ((($cleanup_dest)|0) == 4) {
        __label__ = 35; break;
      }
      else {
      __label__ = 37; break;
      }
      
    case 34: 
      __label__ = 35; break; //@line 4725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      var $127=$offset; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=(($127+1)|0); //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $offset=$128; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      __ZN2js7analyze17AutoEnterAnalysisD1Ev($enter); //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis10printTypesEP9JSContext["X"]=1;

function __ZN2js5types15TypeCompartment12fixArrayTypeEP9JSContextP8JSObject($this, $cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $enter=__stackBase__;
      var $4;
      var $len;
      var $type=__stackBase__+8;
      var $i;
      var $ntype=__stackBase__+12;
      var $5=__stackBase__+16;
      var $6=__stackBase__+20;
      var $7=__stackBase__+24;
      var $8=__stackBase__+28;
      var $key=__stackBase__+32;
      var $p=__stackBase__+40;
      var $9=__stackBase__+48;
      var $objType=__stackBase__+56;
      var $10=__stackBase__+60;
      $1=$this;
      $2=$cx;
      $3=$obj;
      var $11=$1;
      var $12=$2; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $12, 0); //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($11+32)|0); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)|0)!=0; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $17=$2; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=__ZN9JSContext4new_IN2js7HashMapINS1_5types13ArrayTableKeyEPNS3_10TypeObjectES4_NS1_17SystemAllocPolicyEEEEEPT_v($17); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($11+32)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($11+32)|0); //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21)|0)!=0; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $24=(($11+32)|0); //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE4initEj($25, 0); //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $28=(($11+32)|0); //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($28)>>2)]=0; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$2; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29+56)|0); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31+376)|0); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$2; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($32, $33); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 27; break; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      __label__ = 6; break; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $36=$3; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=__ZN8JSObject30getDenseArrayInitializedLengthEv($36); //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $len=$37; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$len; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38)|0)==0; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $4=1;
      __label__ = 27; break; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $42=$2; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$3; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=__ZN8JSObject20getDenseArrayElementEj($43, 0); //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL20GetValueTypeForTableP9JSContextRKN2JS5ValueE($type, $42, $44); //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=1; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $46=$i; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$len; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 17; break; } //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $50=$2; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$3; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$i; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=__ZN8JSObject20getDenseArrayElementEj($51, $52); //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL20GetValueTypeForTableP9JSContextRKN2JS5ValueE($ntype, $50, $53); //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$5; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$type; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=__ZNK2js5types4TypeneES1_($ntype, $5); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $58=$6; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$type; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)]; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$7; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=$ntype; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)]; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=__ZL11NumberTypesN2js5types4TypeES1_($6, $7); //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      __ZN2js5types4Type10DoubleTypeEv($8); //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$type; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=$8; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)]; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $4=1;
      __label__ = 27; break; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      __label__ = 16; break; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $70=$i; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=(($70+1)|0); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$71; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      __ZN2js5types13ArrayTableKeyC1Ev($key); //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($key)|0); //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=$73; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=$type; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($74)>>2)]=HEAP32[(($75)>>2)]; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=$3; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=__ZNK8JSObject8getProtoEv($76); //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=(($key+4)|0); //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($78)>>2)]=$77; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($11+32)|0); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE12lookupForAddERKS2_($p, $80, $key); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$p; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($9, $81); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82={ f0: HEAP32[(($9)>>2)], f1: HEAP32[(($9+4)>>2)] }; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=$82.f0; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=(($83)|0)!=0; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($84) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $86=$3; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$p; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($87); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=(($88+8)|0); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($86, $90); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 26; break; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $92=$2; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=$3; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=__ZNK8JSObject8getProtoEv($93); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=__ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb($11, $92, 0, 3, $94, 0); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($objType)>>2)]=$95; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=HEAP32[(($objType)>>2)]; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=(($96)|0)!=0; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($97) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $99=$2; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($99+56)|0); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=(($101+376)|0); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=$2; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($102, $103); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 27; break; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $105=$3; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=HEAP32[(($objType)>>2)]; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($105, $106); //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=HEAP32[(($objType)>>2)]; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=__ZN2js5types10TypeObject17unknownPropertiesEv($107); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($108) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $110=HEAP32[(($objType)>>2)]; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=$2; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=$10; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=$type; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($112)>>2)]=HEAP32[(($113)>>2)]; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiNS0_4TypeE($110, $111, 2, $10); //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 23; break; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $115=(($11+32)|0); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKS4_($116, $p, $key, $objType); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($117) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $119=$2; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=(($119+56)|0); //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=(($121+376)|0); //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=$2; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($122, $123); //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 27; break; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      $4=0; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 28; break;
      }
      else {
      __label__ = 29; break;
      }
      
    case 28: 
      STACKTOP = __stackBase__;
      return; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment12fixArrayTypeEP9JSContextP8JSObject["X"]=1;

function _JSID_IS_EMPTY($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1628 "./jsapi.h"
  var $3=(($2)|0)==4; //@line 1628 "./jsapi.h"
  var $4=(($3)&1); //@line 1628 "./jsapi.h"
  ;
  return $4; //@line 1628 "./jsapi.h"
}


function _JSID_IS_VOID1691($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1622 "./jsapi.h"
  var $3=(($2)|0)==2; //@line 1622 "./jsapi.h"
  var $4=(($3)&1); //@line 1622 "./jsapi.h"
  ;
  return $4; //@line 1622 "./jsapi.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZN2js5types7TypeSet21setPropagatedPropertyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 433 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 433 "./jsinfer.h"
  var $5=$4 | 131072; //@line 433 "./jsinfer.h"
  HEAP32[(($3)>>2)]=$5; //@line 433 "./jsinfer.h"
  ;
  return; //@line 433 "./jsinfer.h"
}


function __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiNS0_4TypeE($this, $cx, $id, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$id;
  var $5=$1;
  var $6=$2; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$3; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$4; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$type; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)]; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __Z21InlineAddTypePropertyP9JSContextPN2js5types10TypeObjectEiNS2_4TypeE($6, $5, $7, $4); //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKS4_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$p;
  $3=$k;
  $4=$v;
  var $6=$1;
  var $7=(($6)|0); //@line 1075 "./jshashtable.h"
  var $8=$2; //@line 1075 "./jshashtable.h"
  var $9=$3; //@line 1075 "./jshashtable.h"
  var $10=$3; //@line 1075 "./jshashtable.h"
  var $11=$4; //@line 1075 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC1ERKS2_RKS4_($5, $10, $11); //@line 1075 "./jshashtable.h"
  var $12=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13relookupOrAddERNSC_6AddPtrERKS4_RKS7_($7, $8, $9, $5); //@line 1075 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $12; //@line 1075 "./jshashtable.h"
}


function __ZN9JSContext4new_IN2js7HashMapINS1_5types14ObjectTableKeyENS3_16ObjectTableEntryES4_NS1_17SystemAllocPolicyEEEEEPT_v($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 24); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $13 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEEC1ES4_($11, $2); //@line 1291 "./jscntxt.h"
      var $13 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $13; //@line 1291 "./jscntxt.h"
      var $16 = $13;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $16 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $16; //@line 1291 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return $16; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE12lookupForAddERKP8JSObject($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKP8JSObject($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 140, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS5_13MapHashPolicyES4_E6AddPtrERKS2_RKS3_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS6_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $13=(($12)|0); //@line 1052 "./jshashtable.h"
      var $14=$4; //@line 1052 "./jshashtable.h"
      var $15=$13; //@line 1052 "./jshashtable.h"
      var $16=$14; //@line 1052 "./jshashtable.h"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];HEAP32[(($15+8)>>2)]=HEAP32[(($16+8)>>2)];HEAP32[(($15+12)>>2)]=HEAP32[(($16+12)>>2)]; //@line 1052 "./jshashtable.h"
      var $17=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=(($17+16)|0); //@line 1053 "./jshashtable.h"
      var $19=$5; //@line 1053 "./jshashtable.h"
      var $20=$18; //@line 1053 "./jshashtable.h"
      var $21=$19; //@line 1053 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $23=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $23; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject11addPropertyEP9JSContextiPPNS0_8PropertyE($this, $cx, $id, $pprop) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $base;
      var $shape;
      var $shape1;
      $2=$this;
      $3=$cx;
      HEAP32[(($4)>>2)]=$id;
      $5=$pprop;
      var $6=$2;
      var $7=$3; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7+56)|0); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9+344)|0); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZN2js8ArenaNewINS_5types8PropertyEiEEPT_R11JSArenaPoolRKT0_($10, $4); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $base=$11; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$base; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12)|0)!=0; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $15=$3; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+56)|0); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17+376)|0); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$3; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($18, $19); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $21=(($6+4)|0); //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22)|0)!=0; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 15; break; } //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $25=HEAP32[(($4)>>2)]; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=_JSID_IS_VOID1691($25); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26)|0)!=0; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $29=(($6+4)|0); //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=__ZNK8JSObject12lastPropertyEv($30); //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$31; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $33=$shape; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+12)|0); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=_JSID_IS_EMPTY($35); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36)|0)!=0; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$37 ^ 1; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $40=$3; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$shape; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41+12)|0); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=__ZN2js5types10MakeTypeIdEP9JSContexti($40, $43); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=_JSID_IS_VOID1691($44); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45)|0)!=0; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $48=$3; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$base; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+4)|0); //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=(($6+4)|0); //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$shape; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL18UpdatePropertyTypeP9JSContextPN2js5types7TypeSetEP8JSObjectPKNS1_5ShapeEb($48, $50, $52, $53, 1); //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $55=$shape; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=__ZNK2js5Shape8previousEv($55); //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$56; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 14; break; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $59=(($6+4)|0); //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=$3; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=HEAP32[(($4)>>2)]; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=__ZN8JSObject12nativeLookupEP9JSContexti($60, $61, $62); //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape1=$63; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$shape1; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($64)|0)!=0; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $67=$3; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=$base; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($68+4)|0); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($6+4)|0); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$shape1; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL18UpdatePropertyTypeP9JSContextPN2js5types7TypeSetEP8JSObjectPKNS1_5ShapeEb($67, $69, $71, $72, 0); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $76=$base; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=$5; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($77)>>2)]=$76; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$base; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($78+4)|0); //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($79); //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$base; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=(($81+4)|0); //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=__ZN2js5types19InferSpewColorResetEv(); //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=__ZN2js5types16TypeObjectStringEPNS0_10TypeObjectE($6); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=HEAP32[(($4)>>2)]; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=__ZN2js5typesL12TypeIdStringEi($85); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str281598)|0), (tempInt=STACKTOP,STACKTOP += 20,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$80,HEAP32[((tempInt+4)>>2)]=$82,HEAP32[((tempInt+8)>>2)]=$83,HEAP32[((tempInt+12)>>2)]=$84,HEAP32[((tempInt+16)>>2)]=$86,tempInt)); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=1; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $88=$1; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $88; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject11addPropertyEP9JSContextiPPNS0_8PropertyE["X"]=1;

function __ZN2js8ArenaNewINS_5types8PropertyEiEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+16)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN2js5types8PropertyC1Ei($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_5types8PropertyEiEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN2js5types15TypeCompartment13fixObjectTypeEP9JSContextP8JSObject($this, $cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $enter=__stackBase__+4;
      var $4;
      var $p=__stackBase__+12;
      var $baseShape;
      var $5=__stackBase__+20;
      var $types;
      var $i;
      var $ntype=__stackBase__+28;
      var $6=__stackBase__+32;
      var $7=__stackBase__+36;
      var $8=__stackBase__+40;
      var $9=__stackBase__+44;
      var $shape;
      var $type=__stackBase__+48;
      var $id;
      var $10=__stackBase__+52;
      var $objType;
      var $ids;
      var $types1;
      var $shape2;
      var $11=__stackBase__+56;
      var $id3;
      var $12=__stackBase__+60;
      var $key=__stackBase__+64;
      var $entry=__stackBase__+80;
      var $13=__stackBase__+88;
      $1=$this;
      $2=$cx;
      HEAP32[(($3)>>2)]=$obj;
      var $14=$1;
      var $15=$2; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $15, 0); //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($14+36)|0); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)!=0; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $20=$2; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZN9JSContext4new_IN2js7HashMapINS1_5types14ObjectTableKeyENS3_16ObjectTableEntryES4_NS1_17SystemAllocPolicyEEEEEPT_v($20); //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($14+36)|0); //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($14+36)|0); //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24)|0)!=0; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $27=(($14+36)|0); //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE4initEj($28, 0); //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $31=(($14+36)|0); //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($31)>>2)]=0; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$2; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32+56)|0); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+376)|0); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$2; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($35, $36); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 45; break; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      __label__ = 6; break; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $39=HEAP32[(($3)>>2)]; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=__ZNK8JSObject8slotSpanEv($39); //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40)|0)==0; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $43=HEAP32[(($3)>>2)]; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=__ZNK8JSObject16inDictionaryModeEv($43); //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($44) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      $4=1;
      __label__ = 45; break; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $47=(($14+36)|0); //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE12lookupForAddERKP8JSObject($p, $48, $3); //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=HEAP32[(($3)>>2)]; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=__ZNK8JSObject12lastPropertyEv($49); //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $baseShape=$50; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$p; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($5, $51); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$52.f0; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53)|0)!=0; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 29; break; } //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $56=$p; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($56); //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57+16)|0); //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=(($58+4)|0); //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$60; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $62=$i; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=HEAP32[(($3)>>2)]; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=__ZNK8JSObject8slotSpanEv($63); //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($62)>>>0) < (($64)>>>0); //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 28; break; } //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $67=$2; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=HEAP32[(($3)>>2)]; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$i; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=__ZNK8JSObject7getSlotEj($68, $69); //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL20GetValueTypeForTableP9JSContextRKN2JS5ValueE($ntype, $67, $70); //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=$i; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$types; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($72+($71<<2))|0); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=$6; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=$73; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($74)>>2)]=HEAP32[(($75)>>2)]; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=__ZNK2js5types4TypeneES1_($ntype, $6); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($76) { __label__ = 13; break; } else { __label__ = 26; break; } //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $78=$7; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=$ntype; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[(($79)>>2)]; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=$i; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$types; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=(($81+($80<<2))|0); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=$8; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=$82; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($83)>>2)]=HEAP32[(($84)>>2)]; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=__ZL11NumberTypesN2js5types4TypeES1_($7, $8); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($85) { __label__ = 14; break; } else { __label__ = 24; break; } //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $87=$i; //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=$types; //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=(($88+($87<<2))|0); //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=__ZNK2js5types4Type11isPrimitiveE11JSValueType($89, 1); //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($90) { __label__ = 15; break; } else { __label__ = 23; break; } //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $92=$i; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=$types; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=(($93+($92<<2))|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10DoubleTypeEv($9); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=$94; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=$9; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($95)>>2)]=HEAP32[(($96)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=$baseShape; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$97; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $99=$shape; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($99+12)|0); //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=_JSID_IS_EMPTY($101); //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=(($102)|0)!=0; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=$103 ^ 1; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($104) { __label__ = 17; break; } else { __label__ = 22; break; } //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $106=$shape; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=(($106+24)|0); //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=$i; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=(($108)|0)==(($109)|0); //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($110) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      __ZN2js5types4Type10DoubleTypeEv($type); //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=$p; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($112); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=(($113+16)|0); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=(($114)|0); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=__ZN2js5types10TypeObject17unknownPropertiesEv($116); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($117) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $119=$2; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=$shape; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=(($120+12)|0); //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=__ZN2js5types10MakeTypeIdEP9JSContexti($119, $122); //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id=$123; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=$p; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($124); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=(($125+16)|0); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $127=(($126)|0); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=$2; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $130=$id; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $131=$10; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=$type; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($131)>>2)]=HEAP32[(($132)>>2)]; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiNS0_4TypeE($128, $129, $130, $10); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      __label__ = 22; break; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $135=$shape; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=__ZNK2js5Shape8previousEv($135); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$136; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      __label__ = 23; break; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      __label__ = 25; break; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      $4=1;
      __label__ = 45; break; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      __label__ = 26; break; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      __label__ = 27; break; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $143=$i; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $144=(($143+1)|0); //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$144; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $146=HEAP32[(($3)>>2)]; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $147=$p; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $148=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($147); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=(($148+16)|0); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $150=(($149)|0); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($146, $151); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 44; break; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $153=$2; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=HEAP32[(($3)>>2)]; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=__ZNK8JSObject8getProtoEv($154); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=__ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb($14, $153, 0, 1, $155, 0); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $objType=$156; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $157=$objType; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $158=(($157)|0)!=0; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($158) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $160=$objType; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $161=$2; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $162=HEAP32[(($3)>>2)]; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $163=__ZN2js5types10TypeObject21addDefinitePropertiesEP9JSContextP8JSObject($160, $161, $162); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($163) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      var $165=$2; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $166=(($165+56)|0); //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $168=(($167+376)|0); //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $169=$2; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($168, $169); //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 45; break; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      var $171=$2; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $172=HEAP32[(($3)>>2)]; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $173=__ZNK8JSObject8slotSpanEv($172); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $174=((($173<<2))|0); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $175=__ZN9JSContext7calloc_Ej($171, $174); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $176=$175; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $ids=$176; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $177=$ids; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $178=(($177)|0)!=0; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($178) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      var $180=$2; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $181=(($180+56)|0); //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $183=(($182+376)|0); //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $184=$2; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($183, $184); //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 45; break; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      var $186=$2; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $187=HEAP32[(($3)>>2)]; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $188=__ZNK8JSObject8slotSpanEv($187); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $189=((($188<<2))|0); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $190=__ZN9JSContext7calloc_Ej($186, $189); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $191=$190; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types1=$191; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $192=$types1; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $193=(($192)|0)!=0; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($193) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      var $195=$2; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $196=(($195+56)|0); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $198=(($197+376)|0); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $199=$2; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($198, $199); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 45; break; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      var $201=$baseShape; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape2=$201; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      var $203=$shape2; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $204=(($203+12)|0); //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $205=HEAP32[(($204)>>2)]; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $206=_JSID_IS_EMPTY($205); //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $207=(($206)|0)!=0; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $208=$207 ^ 1; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($208) { __label__ = 38; break; } else { __label__ = 41; break; } //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 38: 
      var $210=$shape2; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $211=(($210+12)|0); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $212=HEAP32[(($211)>>2)]; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $213=$shape2; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $214=(($213+24)|0); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $216=$ids; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $217=(($216+($215<<2))|0); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($217)>>2)]=$212; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $218=$shape2; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $219=(($218+24)|0); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $221=$types1; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $222=(($221+($220<<2))|0); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $223=$2; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $224=HEAP32[(($3)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $225=$shape2; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $226=(($225+24)|0); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $228=__ZNK8JSObject7getSlotEj($224, $227); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL20GetValueTypeForTableP9JSContextRKN2JS5ValueE($11, $223, $228); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $229=$222; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $230=$11; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($229)>>2)]=HEAP32[(($230)>>2)]; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $231=$objType; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $232=__ZN2js5types10TypeObject17unknownPropertiesEv($231); //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($232) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      var $234=$2; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $235=$shape2; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $236=(($235+12)|0); //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $237=HEAP32[(($236)>>2)]; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $238=__ZN2js5types10MakeTypeIdEP9JSContexti($234, $237); //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id3=$238; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $239=$objType; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $240=$2; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $241=$id3; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $242=$shape2; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $243=(($242+24)|0); //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $244=HEAP32[(($243)>>2)]; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $245=$types1; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $246=(($245+($244<<2))|0); //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $247=$12; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $248=$246; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($247)>>2)]=HEAP32[(($248)>>2)]; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiNS0_4TypeE($239, $240, $241, $12); //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 40; break; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 40: 
      var $250=$shape2; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $251=__ZNK2js5Shape8previousEv($250); //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape2=$251; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      var $253=$ids; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $254=(($key)|0); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($254)>>2)]=$253; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $255=HEAP32[(($3)>>2)]; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $256=__ZNK8JSObject8slotSpanEv($255); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $257=(($key+4)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($257)>>2)]=$256; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $258=HEAP32[(($3)>>2)]; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $259=__ZNK8JSObject13numFixedSlotsEv($258); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $260=(($key+8)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($260)>>2)]=$259; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $261=HEAP32[(($3)>>2)]; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $262=__ZNK8JSObject8getProtoEv($261); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $263=(($key+12)|0); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($263)>>2)]=$262; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $264=$objType; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $265=(($entry)|0); //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($265)>>2)]=$264; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $266=$types1; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $267=(($entry+4)|0); //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($267)>>2)]=$266; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $268=(($14+36)|0); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $269=HEAP32[(($268)>>2)]; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE12lookupForAddERKP8JSObject($13, $269, $3); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $270=$p; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $271=$13; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($270)>>2)]=HEAP32[(($271)>>2)];HEAP32[(($270+4)>>2)]=HEAP32[(($271+4)>>2)]; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $272=(($14+36)|0); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $273=HEAP32[(($272)>>2)]; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $274=__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS5_13MapHashPolicyES4_E6AddPtrERKS2_RKS3_($273, $p, $key, $entry); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($274) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      var $276=$2; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $277=(($276+56)|0); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $278=HEAP32[(($277)>>2)]; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $279=(($278+376)|0); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $280=$2; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($279, $280); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 45; break; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 43: 
      var $282=HEAP32[(($3)>>2)]; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $283=$objType; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($282, $283); //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 44; break;
    case 44: 
      $4=0; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 45; break; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 45: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 46; break;
      }
      else {
      __label__ = 47; break;
      }
      
    case 46: 
      STACKTOP = __stackBase__;
      return; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 47: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment13fixObjectTypeEP9JSContextP8JSObject["X"]=1;

function __ZN2js5types16TypeObjectStringEPNS0_10TypeObjectE($type) {
  ;
  var __label__;

  var $1;
  $1=$type;
  ;
  return 0; //@line 1257 "./jsinfer.h"
}


function __ZN2js5types7TypeSet11setDefiniteEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 429 "./jsinfer.h"
  var $5=$4 << 24; //@line 429 "./jsinfer.h"
  var $6=1048576 | $5; //@line 429 "./jsinfer.h"
  var $7=(($3)|0); //@line 429 "./jsinfer.h"
  var $8=HEAP32[(($7)>>2)]; //@line 429 "./jsinfer.h"
  var $9=$8 | $6; //@line 429 "./jsinfer.h"
  HEAP32[(($7)>>2)]=$9; //@line 429 "./jsinfer.h"
  ;
  return; //@line 430 "./jsinfer.h"
}


function __ZL18UpdatePropertyTypeP9JSContextPN2js5types7TypeSetEP8JSObjectPKNS1_5ShapeEb($cx, $types, $obj, $shape, $force) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $value;
      var $type=__stackBase__+4;
      var $7=__stackBase__+8;
      $1=$cx;
      $2=$types;
      $3=$obj;
      $4=$shape;
      var $8=(($force)&1);
      $5=$8;
      var $9=$4; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZNK2js5Shape14hasGetterValueEv($9); //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$4; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZNK2js5Shape14hasSetterValueEv($12); //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $15=$2; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$1; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($6); //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($15, $16, $6); //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $18=$4; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZNK2js5Shape26hasDefaultGetterOrIsMethodEv($18); //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $21=$4; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+24)|0); //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23)|0)!=-1; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $26=$3; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$4; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+24)|0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=__ZNK8JSObject13nativeGetSlotEj($26, $29); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $value=$30; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$5; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31) & 1); //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $34=$value; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=__ZNK2JS5Value11isUndefinedEv($34); //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __label__ = 11; break; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $38=$1; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$value; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($type, $38, $39); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$2; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$1; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$7; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$type; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)]; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($40, $41, $7); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 11; break;
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18UpdatePropertyTypeP9JSContextPN2js5types7TypeSetEP8JSObjectPKNS1_5ShapeEb["X"]=1;

function __ZN8JSObject11isFixedSlotEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 354 "./jsobjinlines.h"
  var $5=__ZNK8JSObject13numFixedSlotsEv($3); //@line 354 "./jsobjinlines.h"
  var $6=(($4)>>>0) < (($5)>>>0); //@line 354 "./jsobjinlines.h"
  ;
  return $6; //@line 354 "./jsobjinlines.h"
}


function __ZN2js5types10TypeObject23matchDefinitePropertiesEP8JSObject($this, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $count;
      var $i;
      var $prop;
      var $slot;
      var $found;
      var $shape;
      $2=$this;
      $3=$obj;
      var $4=$2;
      var $5=__ZN2js5types10TypeObject16getPropertyCountEv($4); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$5; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $7=$i; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$count; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($7)>>>0) < (($8)>>>0); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 17; break; } //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $11=$i; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js5types10TypeObject11getPropertyEj($4, $11); //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop=$12; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$prop; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0)!=0; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 16; break; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $17=$prop; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17+4)|0); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZNK2js5types7TypeSet18isDefinitePropertyEv($18); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 15; break; } //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $21=$prop; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+4)|0); //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZNK2js5types7TypeSet12definiteSlotEv($22); //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $slot=$23; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $found=0; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$3; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZNK8JSObject12lastPropertyEv($24); //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$25; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $27=$shape; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+12)|0); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=_JSID_IS_EMPTY($29); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30)|0)!=0; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$31 ^ 1; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $34=$shape; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+24)|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$slot; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($36)|0)==(($37)|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $40=$shape; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40+12)|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$prop; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43)|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($42)|0)==(($45)|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      $found=1; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $49=$shape; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=__ZNK2js5Shape8previousEv($49); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$50; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $52=$found; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($52) & 1); //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $1=0; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      __label__ = 16; break; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $58=$i; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=(($58+1)|0); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$59; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      $1=1; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $62=$1; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $62; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject23matchDefinitePropertiesEP8JSObject["X"]=1;

function __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiRKN2JS5ValueE($this, $cx, $id, $value) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$id;
  $4=$value;
  var $6=$1;
  var $7=$2; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$3; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$4; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($5, $9, $10); //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __Z21InlineAddTypePropertyP9JSContextPN2js5types10TypeObjectEiNS2_4TypeE($7, $6, $8, $5); //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextPKcNS0_4TypeE($this, $cx, $name, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $id;
      var $atom;
      var $enter=__stackBase__;
      var $4;
      var $5=__stackBase__+8;
      $1=$this;
      $2=$cx;
      $3=$name;
      var $6=$1;
      $id=2; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$3; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0)!=0; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=$2; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$3; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$3; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=_strlen($12); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($10, $11, $13, 0, 0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $atom=$14; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$atom; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15)|0)!=0; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $18=$2; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $18, 0); //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$2; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+56)|0); //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+376)|0); //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($22, $23); //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break;
    case 4: 
      var $25=$atom; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZL12ATOM_TO_JSIDP6JSAtom1694($25); //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id=$26; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $28=$2; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$id; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$5; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$type; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)]; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __Z21InlineAddTypePropertyP9JSContextPN2js5types10TypeObjectEiNS2_4TypeE($28, $6, $29, $5); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12ATOM_TO_JSIDP6JSAtom1694($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj1765($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextPKcRKN2JS5ValueE($this, $cx, $name, $value) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$name;
  $4=$value;
  var $6=$1;
  var $7=$2; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$3; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$4; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($5, $9, $10); //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextPKcNS0_4TypeE($6, $7, $8, $5); //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5types10TypeObject22markPropertyConfiguredEP9JSContexti($this, $cx, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $enter=__stackBase__;
      var $types;
      $1=$this;
      $2=$cx;
      $3=$id;
      var $4=$1;
      var $5=$2; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $5, 0); //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$2; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$3; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZN2js5types10MakeTypeIdEP9JSContexti($6, $7); //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $3=$8; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$2; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$3; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($4, $9, $10, 1); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$11; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$types; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12)|0)!=0; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $15=$types; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$2; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14setOwnPropertyEP9JSContextb($15, $16, 1); //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return; //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject15markStateChangeEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $enter=__stackBase__;
      var $types;
      var $constraint;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZN2js5types10TypeObject17unknownPropertiesEv($3); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 9; break; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $7=$2; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $7, 0); //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$2; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZN2js5types10TypeObject16maybeGetPropertyEP9JSContexti($3, $8, 4); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$9; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$types; //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10)|0)!=0; //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 2866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $13=$types; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+8)|0); //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $constraint=$15; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $17=$constraint; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)!=0; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $20=$constraint; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$20; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+8)|0); //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$2; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      FUNCTION_TABLE[$24]($20, $25, $3, 1); //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$constraint; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+4)|0); //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $constraint=$28; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 8; break; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject8setFlagsEP9JSContextj($this, $cx, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $enter=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$flags;
      var $4=$1;
      var $5=(($4+12)|0); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$3; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$6 & $7; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$3; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($8)|0)==(($9)|0); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 6; break; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $13=$2; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $13, 0); //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($4+4)|0); //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15)|0)!=0; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 5; break; //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $19=$3; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($4+12)|0); //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$21 | $19; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($20)>>2)]=$22; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN2js5types16TypeObjectStringEPNS0_10TypeObjectE($4); //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$3; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str291599)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$23,HEAP32[((tempInt+4)>>2)]=$24,tempInt)); //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$2; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb($25, $4, 0, 0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject11markUnknownEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $enter=__stackBase__;
      var $count;
      var $i;
      var $prop;
      var $3=__stackBase__+8;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=$2; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $5, 0); //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($4+12)|0); //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$7 & 2; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0)!=0; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $11=$2; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject14clearNewScriptEP9JSContext($4, $11); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $13=__ZN2js5types16TypeObjectStringEPNS0_10TypeObjectE($4); //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str301600)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$13,tempInt)); //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$2; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb($14, $4, 1, 1); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=__ZN2js5types10TypeObject16getPropertyCountEv($4); //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$15; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=$i; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$count; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($17)>>>0) < (($18)>>>0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $21=$i; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=__ZN2js5types10TypeObject11getPropertyEj($4, $21); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop=$22; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$prop; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23)|0)!=0; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $26=$prop; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+4)|0); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$2; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($3); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($27, $28, $3); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$prop; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29+4)|0); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$2; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14setOwnPropertyEP9JSContextb($30, $31, 1); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 8; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $34=$i; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+1)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$35; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject11markUnknownEP9JSContext["X"]=1;

function __Z21InlineAddTypePropertyP9JSContextPN2js5types10TypeObjectEiNS2_4TypeE($cx, $obj, $id, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $enter=__stackBase__;
      var $types;
      var $4=__stackBase__+8;
      var $5;
      var $6=__stackBase__+12;
      var $7=__stackBase__+16;
      $1=$cx;
      $2=$obj;
      $3=$id;
      var $8=$1; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $8, 0); //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$2; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$1; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$3; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($9, $10, $11, 1); //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$12; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$types; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0)!=0; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $16=$types; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$4; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$type; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)]; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($16, $4); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $5=1;
      __label__ = 5; break; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $22=$2; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN2js5types16TypeObjectStringEPNS0_10TypeObjectE($22); //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$3; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZN2js5typesL12TypeIdStringEi($24); //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$6; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$type; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)]; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=__ZN2js5types10TypeStringENS0_4TypeE($6); //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str731643)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$23,HEAP32[((tempInt+4)>>2)]=$25,HEAP32[((tempInt+8)>>2)]=$28,tempInt)); //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$types; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$1; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$7; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$type; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)]; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($29, $30, $7); //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=0; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 6; break;
      }
      else {
      __label__ = 7; break;
      }
      
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z21InlineAddTypePropertyP9JSContextPN2js5types10TypeObjectEiNS2_4TypeE["X"]=1;

function __ZN2js7analyzeL7ArgSlotEj1706($arg) {
  ;
  var __label__;

  var $1;
  $1=$arg;
  var $2=$1; //@line 422 "./jsanalyze.h"
  var $3=(($2+2)|0); //@line 422 "./jsanalyze.h"
  ;
  return $3; //@line 422 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis16addsScopeObjectsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 964 "./jsanalyze.h"
  var $4=(($3+24)|0); //@line 964 "./jsanalyze.h"
  var $5=HEAPU8[($4)]; //@line 964 "./jsanalyze.h"
  var $6=(($5)&255) >>> 6; //@line 964 "./jsanalyze.h"
  var $7=$6 & 1; //@line 964 "./jsanalyze.h"
  var $8=(($7) & 1); //@line 964 "./jsanalyze.h"
  ;
  return $8; //@line 964 "./jsanalyze.h"
}


function __ZN2jsL20CallObjectLambdaNameEP10JSFunction1708($fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$fun;
      var $2=$1; //@line 563 "./jsobjinlines.h"
      var $3=(($2+58)|0); //@line 563 "./jsobjinlines.h"
      var $4=HEAPU16[(($3)>>1)]; //@line 563 "./jsobjinlines.h"
      var $5=(($4)&65535); //@line 563 "./jsobjinlines.h"
      var $6=$5 & 8; //@line 563 "./jsobjinlines.h"
      var $7=(($6)|0)!=0; //@line 563 "./jsobjinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 563 "./jsobjinlines.h"
    case 2: 
      var $9=$1; //@line 563 "./jsobjinlines.h"
      var $10=(($9+72)|0); //@line 563 "./jsobjinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 563 "./jsobjinlines.h"
      var $14 = $11;__label__ = 4; break; //@line 563 "./jsobjinlines.h"
    case 3: 
      var $14 = 0;__label__ = 4; break; //@line 563 "./jsobjinlines.h"
    case 4: 
      var $14; //@line 563 "./jsobjinlines.h"
      ;
      return $14; //@line 563 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObject14clearNewScriptEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $enter=__stackBase__;
      var $i;
      var $prop;
      var $iter=__stackBase__+8;
      var $fp;
      var $obj;
      var $pc;
      var $finished;
      var $numProperties;
      var $depth;
      var $init;
      var $offset;
      var $seg;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+12)|0); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$5 | 2; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($4)>>2)]=$6; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($3+16)|0); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0)!=0; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 54; break; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=$2; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $12, 0); //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $14=$i; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=__ZN2js5types10TypeObject16getPropertyCountEv($3); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($14)>>>0) < (($15)>>>0); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $18=$i; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZN2js5types10TypeObject11getPropertyEj($3, $18); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop=$19; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$prop; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20)|0)!=0; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      __label__ = 10; break; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $24=$prop; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24+4)|0); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZNK2js5types7TypeSet18isDefinitePropertyEv($25); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $28=$prop; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28+4)|0); //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$2; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14setOwnPropertyEP9JSContextb($29, $30, 1); //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      __label__ = 10; break; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $33=$i; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+1)|0); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$34; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $36=$2; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($iter, $36, 0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $38=__ZNK2js13FrameRegsIter4doneEv($iter); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$38 ^ 1; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 53; break; } //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $41=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $fp=$41; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$fp; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZNK2js10StackFrame13isScriptFrameEv($42); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($43) { __label__ = 14; break; } else { __label__ = 51; break; } //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $45=$fp; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=__ZNK2js10StackFrame14isConstructingEv($45); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 15; break; } else { __label__ = 51; break; } //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $48=$fp; //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=__ZNK2js10StackFrame3funEv($48); //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($3+16)|0); //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51)|0); //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($49)|0)==(($53)|0); //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($54) { __label__ = 16; break; } else { __label__ = 51; break; } //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $56=$fp; //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=__ZNK2js10StackFrame9thisValueEv($56); //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=__ZNK2JS5Value8isObjectEv($57); //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 17; break; } else { __label__ = 51; break; } //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $60=$fp; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=__ZNK2js10StackFrame9thisValueEv($60); //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=__ZNK2JS5Value8toObjectEv($61); //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=__ZNK8JSObject11hasLazyTypeEv($62); //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($63) { __label__ = 51; break; } else { __label__ = 18; break; } //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $65=$fp; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=__ZNK2js10StackFrame9thisValueEv($65); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=__ZNK2JS5Value8toObjectEv($66); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=__ZNK8JSObject4typeEv($67); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($68)|0)==(($3)|0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($69) { __label__ = 19; break; } else { __label__ = 51; break; } //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $71=$fp; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=__ZNK2js10StackFrame9thisValueEv($71); //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=__ZNK2JS5Value8toObjectEv($72); //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj=$73; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=__ZNK2js13FrameRegsIter2pcEv($iter); //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$74; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $finished=0; //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $numProperties=0; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $depth=0; //@line 3000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=(($3+16)|0); //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=(($76+12)|0); //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $init=$78; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $80=$pc; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$fp; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=__ZNK2js10StackFrame6scriptEv($81); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=(($82)|0); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=$80; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=$84; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=(($85-$86)|0); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $offset=$87; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=$init; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=(($88)|0); //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=(($90)|0)==0; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($91) { __label__ = 21; break; } else { __label__ = 25; break; } //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $93=$depth; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=(($93)|0)!=0; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($94) { __label__ = 24; break; } else { __label__ = 22; break; } //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $96=$init; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=(($96+4)|0); //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=HEAPU32[(($97)>>2)]; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=$offset; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($98)>>>0) > (($99)>>>0); //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($100) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      __label__ = 48; break; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $103=$numProperties; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=(($103+1)|0); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $numProperties=$104; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 46; break; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $106=$init; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=(($106)|0); //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=(($108)|0)==1; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($109) { __label__ = 26; break; } else { __label__ = 38; break; } //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $111=$depth; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=(($111)|0)!=0; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($112) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $114=$depth; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=(($114+1)|0); //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $depth=$115; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $117=$init; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=(($117+4)|0); //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=HEAPU32[(($118)>>2)]; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=$offset; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=(($119)>>>0) > (($120)>>>0); //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($121) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      __label__ = 48; break; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $124=$init; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=(($124+4)|0); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $127=$offset; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=(($126)|0)==(($127)|0); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($128) { __label__ = 31; break; } else { __label__ = 34; break; } //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      var $130=$2; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $131=(($130+60)|0); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=__ZNK2js12ContextStack5spaceEv($131); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $133=$fp; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $134=__ZNK2js10StackSpace17containingSegmentEPKNS_10StackFrameE($132, $133); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $seg=$134; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $135=$seg; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=__ZNK2js12StackSegment7maybefpEv($135); //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $137=$fp; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $138=(($136)|0)==(($137)|0); //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($138) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      __label__ = 48; break; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      var $141=$seg; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $142=$fp; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $143=__ZNK2js12StackSegment16computeNextFrameEPKNS_10StackFrameE($141, $142); //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $fp=$143; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $144=$fp; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $145=$2; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=(($145+60)|0); //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $147=__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($144, $146, 0, 0); //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$147; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 35; break; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      $depth=1; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 35; break;
    case 35: 
      __label__ = 36; break;
    case 36: 
      __label__ = 37; break;
    case 37: 
      __label__ = 45; break; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 38: 
      var $153=$init; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=(($153)|0); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=(($155)|0)==2; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($156) { __label__ = 39; break; } else { __label__ = 43; break; } //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      var $158=$depth; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $159=(($158)|0)!=0; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($159) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 40: 
      var $161=$depth; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $162=(($161-1)|0); //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $depth=$162; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 42; break; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      __label__ = 48; break; //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      __label__ = 44; break; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 43: 
      $finished=1; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 48; break; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 44: 
      __label__ = 45; break;
    case 45: 
      __label__ = 46; break;
    case 46: 
      __label__ = 47; break; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 47: 
      var $170=$init; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $171=(($170+8)|0); //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $init=$171; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 48: 
      var $173=$finished; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $174=(($173) & 1); //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($174) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 49: 
      var $176=$obj; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $177=$2; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $178=$numProperties; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSObject18rollbackPropertiesEP9JSContextj($176, $177, $178); //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 50; break; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 50: 
      __label__ = 51; break; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 51: 
      __label__ = 52; break; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 52: 
      var $182=__ZN2js13FrameRegsIterppEv($iter); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 53: 
      var $184=$2; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $185=(($3+16)|0); //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $187=$186; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN9JSContext5free_EPv($184, $187); //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $188=(($3+16)|0); //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($188)>>2)]=0; //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $189=$2; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject15markStateChangeEP9JSContext($3, $189); //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 54; break; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 54: 
      STACKTOP = __stackBase__;
      return; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject14clearNewScriptEP9JSContext["X"]=1;

function __ZN2js5types10TypeObject5printEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $count;
      var $i;
      var $prop;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=__ZN2js5types16TypeObjectStringEPNS0_10TypeObjectE($4); //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($4)|0); //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0)!=0; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=(($4)|0); //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEP8JSObject($3, $11); //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js5types10TypeStringENS0_4TypeE($3); //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15 = $12;__label__ = 4; break; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $15 = ((STRING_TABLE.__str321602)|0);__label__ = 4; break; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $15; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=_printf(((STRING_TABLE.__str311601)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5,HEAP32[((tempInt+4)>>2)]=$15,tempInt)); //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=__ZN2js5types10TypeObject17unknownPropertiesEv($4); //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $19=_printf(((STRING_TABLE.__str71575)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 19; break; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $21=__ZN2js5types10TypeObject11hasAnyFlagsEj($4, 131072); //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $23=_printf(((STRING_TABLE.__str331603)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $25=__ZN2js5types10TypeObject11hasAnyFlagsEj($4, 65536); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($25) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $27=_printf(((STRING_TABLE.__str341604)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $29=__ZN2js5types10TypeObject11hasAnyFlagsEj($4, 262144); //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $31=_printf(((STRING_TABLE.__str351605)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $33=__ZN2js5types10TypeObject11hasAnyFlagsEj($4, 1048576); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($33) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $35=_printf(((STRING_TABLE.__str361606)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $37=__ZN2js5types10TypeObject11hasAnyFlagsEj($4, 2097152); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($37) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $39=_printf(((STRING_TABLE.__str371607)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $41=__ZN2js5types10TypeObject11hasAnyFlagsEj($4, 4194304); //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $43=_printf(((STRING_TABLE.__str381608)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $46=__ZN2js5types10TypeObject16getPropertyCountEv($4); //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$46; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$count; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47)|0)==0; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($48) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $50=_printf(((STRING_TABLE.__str391609)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 28; break; //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $52=_printf(((STRING_TABLE.__str401610)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $54=$i; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$count; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($54)>>>0) < (($55)>>>0); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($56) { __label__ = 23; break; } else { __label__ = 27; break; } //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $58=$i; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=__ZN2js5types10TypeObject11getPropertyEj($4, $58); //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop=$59; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$prop; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60)|0)!=0; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($61) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $63=$prop; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($63)|0); //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=__ZN2js5typesL12TypeIdStringEi($65); //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=_printf(((STRING_TABLE.__str411611)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$66,tempInt)); //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=$prop; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($68+4)|0); //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=$2; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet5printEP9JSContext($69, $70); //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 25; break; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      __label__ = 26; break; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $73=$i; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=(($73+1)|0); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$74; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $76=_printf(((STRING_TABLE.__str421612)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 28; break; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      STACKTOP = __stackBase__;
      return; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject5printEP9JSContext["X"]=1;

function __ZN2js7analyze14ScriptAnalysis17resolveNameAccessEP9JSContextib($agg_result, $this, $cx, $id, $addDependency) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      var $script;
      var $index=__stackBase__;
      var $kind;
      var $obj;
      $1=$this;
      $2=$cx;
      $3=$id;
      var $5=(($addDependency)&1);
      $4=$5;
      var $6=$1;
      __ZN2jsL7PodZeroINS_7analyze14ScriptAnalysis10NameAccessEEEvPT_($agg_result); //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$3; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZL12JSID_IS_ATOMi1703($7); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0)!=0; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 31; break; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=$3; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZL12JSID_TO_ATOMi1704($12); //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $atom=$13; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($6)|0); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$15; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=$script; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$17; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18+37)|0); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAPU8[($19)]; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20)&255) >>> 2; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$21 & 1; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22) & 1); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 5; break; } else { var $29 = 0;__label__ = 6; break; } //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $25=$script; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZNK8JSScript7nestingEv($25); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26)|0)!=0; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      if ($29) { __label__ = 7; break; } else { __label__ = 30; break; }
    case 7: 
      var $31=$script; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$2; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=__ZN8JSScript18ensureRanInferenceEP9JSContext($31, $32); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __label__ = 31; break; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $36=$script; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=__ZN8JSScript8analysisEv($36); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=__ZN2js7analyze14ScriptAnalysis16addsScopeObjectsEv($37); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $40=$2; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$script; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$script; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=(($42)|0); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1705($40, $41, $44); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45)|0)==205; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      __label__ = 31; break; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $49=$script; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+64)|0); //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$2; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$atom; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj($50, $51, $52, $index); //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $kind=$53; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$kind; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54)|0)==1; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($55) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $57=$kind; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57)|0)==2; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 22; break; } //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $60=$script; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=__ZNK8JSScript8functionEv($60); //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$61; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=$2; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=__ZN8JSObject7getTypeEP9JSContext($62, $63); //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj=$64; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=$4; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65) & 1); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($66) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $68=$2; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$obj; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=__ZN2js5types7TypeSet14HasObjectFlagsEP9JSContextPNS0_10TypeObjectEj($68, $69, 8388608); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($70) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      __label__ = 31; break; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      __label__ = 18; break; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $74=$script; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=(($agg_result)|0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($75)>>2)]=$74; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=$script; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=__ZNK8JSScript7nestingEv($76); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=(($agg_result+4)|0); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($78)>>2)]=$77; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=$kind; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=(($79)|0)==1; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $82=HEAP32[(($index)>>2)]; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=__ZN2js7analyzeL7ArgSlotEj1706($82); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89 = $83;__label__ = 21; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $85=$script; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=HEAP32[(($index)>>2)]; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=__ZN2js7analyzeL9LocalSlotEP8JSScriptj1707($85, $86); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89 = $87;__label__ = 21; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $89; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=(($agg_result+8)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($90)>>2)]=$89; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=$kind; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=(($91)|0)==1; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=(($agg_result+12)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=(($92)&1); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($93)]=$94; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=HEAP32[(($index)>>2)]; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=(($agg_result+16)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($96)>>2)]=$95; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 31; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $98=$kind; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=(($98)|0)!=0; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($99) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      __label__ = 31; break; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      var $103=$atom; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=$script; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=__ZNK8JSScript8functionEv($104); //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=__ZN2jsL20CallObjectLambdaNameEP10JSFunction1708($105); //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=(($103)|0)==(($106)|0); //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($107) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      __label__ = 31; break; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $110=$script; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=__ZNK8JSScript7nestingEv($110); //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=(($111)|0); //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=(($113)|0)!=0; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($114) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      __label__ = 31; break; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $117=$script; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=__ZNK8JSScript7nestingEv($117); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=(($118)|0); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$120; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      __label__ = 31; break; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      STACKTOP = __stackBase__;
      return; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis17resolveNameAccessEP9JSContextib["X"]=1;

function __ZN2jsL7PodZeroINS_7analyze14ScriptAnalysis10NameAccessEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 20, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZL12JSID_IS_ATOMi1703($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING1730($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZL12JSID_TO_ATOMi1704($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING1731($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZN8JSScript18ensureRanInferenceEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $enter=__stackBase__;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 1278 "./jsinferinlines.h"
      var $6=__ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject($4, $5, 0, 0); //@line 1278 "./jsinferinlines.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1278 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 1279 "./jsinferinlines.h"
      __label__ = 6; break; //@line 1279 "./jsinferinlines.h"
    case 3: 
      var $9=__ZN8JSScript8analysisEv($4); //@line 1280 "./jsinferinlines.h"
      var $10=__ZN2js7analyze14ScriptAnalysis12ranInferenceEv($9); //@line 1280 "./jsinferinlines.h"
      if ($10) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1280 "./jsinferinlines.h"
    case 4: 
      var $12=$3; //@line 1281 "./jsinferinlines.h"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $12, 0); //@line 1281 "./jsinferinlines.h"
      var $13=__ZN8JSScript8analysisEv($4); //@line 1282 "./jsinferinlines.h"
      var $14=$3; //@line 1282 "./jsinferinlines.h"
      __ZN2js7analyze14ScriptAnalysis12analyzeTypesEP9JSContext($13, $14); //@line 1282 "./jsinferinlines.h"
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 1283 "./jsinferinlines.h"
      __label__ = 5; break; //@line 1283 "./jsinferinlines.h"
    case 5: 
      var $16=__ZN8JSScript8analysisEv($4); //@line 1284 "./jsinferinlines.h"
      var $17=__ZN2js7analyze14ScriptAnalysis3OOMEv($16); //@line 1284 "./jsinferinlines.h"
      var $18=$17 ^ 1; //@line 1284 "./jsinferinlines.h"
      $1=$18; //@line 1284 "./jsinferinlines.h"
      __label__ = 6; break; //@line 1284 "./jsinferinlines.h"
    case 6: 
      var $20=$1; //@line 1285 "./jsinferinlines.h"
      STACKTOP = __stackBase__;
      return $20; //@line 1285 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12js_GetOpcodeP9JSContextP8JSScriptPh1705($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 954 "./jsscript.h"
      var $5=HEAPU8[($4)]; //@line 954 "./jsscript.h"
      var $6=(($5)&255); //@line 954 "./jsscript.h"
      $op=$6; //@line 954 "./jsscript.h"
      var $7=$op; //@line 955 "./jsscript.h"
      var $8=(($7)|0)==83; //@line 955 "./jsscript.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 955 "./jsscript.h"
    case 2: 
      var $10=$1; //@line 956 "./jsscript.h"
      var $11=$2; //@line 956 "./jsscript.h"
      var $12=$3; //@line 956 "./jsscript.h"
      var $13=_JS_GetTrapOpcode($10, $11, $12); //@line 956 "./jsscript.h"
      $op=$13; //@line 956 "./jsscript.h"
      __label__ = 3; break; //@line 956 "./jsscript.h"
    case 3: 
      var $15=$op; //@line 957 "./jsscript.h"
      ;
      return $15; //@line 957 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyzeL9LocalSlotEP8JSScriptj1707($script, $local) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$script;
      $2=$local;
      var $3=$1; //@line 425 "./jsanalyze.h"
      var $4=$3; //@line 425 "./jsanalyze.h"
      var $5=(($4+37)|0); //@line 425 "./jsanalyze.h"
      var $6=HEAPU8[($5)]; //@line 425 "./jsanalyze.h"
      var $7=(($6)&255) >>> 2; //@line 425 "./jsanalyze.h"
      var $8=$7 & 1; //@line 425 "./jsanalyze.h"
      var $9=(($8) & 1); //@line 425 "./jsanalyze.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 425 "./jsanalyze.h"
    case 2: 
      var $11=$1; //@line 425 "./jsanalyze.h"
      var $12=__ZNK8JSScript8functionEv($11); //@line 425 "./jsanalyze.h"
      var $13=(($12+56)|0); //@line 425 "./jsanalyze.h"
      var $14=HEAPU16[(($13)>>1)]; //@line 425 "./jsanalyze.h"
      var $15=(($14)&65535); //@line 425 "./jsanalyze.h"
      var $18 = $15;__label__ = 4; break; //@line 425 "./jsanalyze.h"
    case 3: 
      var $18 = 0;__label__ = 4; break; //@line 425 "./jsanalyze.h"
    case 4: 
      var $18; //@line 425 "./jsanalyze.h"
      var $19=(($18+2)|0); //@line 425 "./jsanalyze.h"
      var $20=$2; //@line 425 "./jsanalyze.h"
      var $21=(($19+$20)|0); //@line 425 "./jsanalyze.h"
      ;
      return $21; //@line 425 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis20analyzeTypesBytecodeEP9JSContextjRNS1_18TypeInferenceStateE($this, $cx, $offset, $state) {
  var __stackBase__  = STACKTOP; STACKTOP += 280; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $pc=__stackBase__+4;
      var $op;
      var $code;
      var $defCount;
      var $pushed;
      var $newv;
      var $types;
      var $i;
      var $6=__stackBase__+8;
      var $7=__stackBase__+12;
      var $8=__stackBase__+16;
      var $9=__stackBase__+20;
      var $10=__stackBase__+24;
      var $11=__stackBase__+28;
      var $object;
      var $12=__stackBase__+32;
      var $13=__stackBase__+36;
      var $obj;
      var $14=__stackBase__+40;
      var $15=__stackBase__+44;
      var $pickedDepth;
      var $i1;
      var $id;
      var $seen;
      var $16=__stackBase__+48;
      var $17=__stackBase__+52;
      var $18=__stackBase__+56;
      var $19=__stackBase__+60;
      var $20=__stackBase__+64;
      var $21=__stackBase__+68;
      var $seen2;
      var $id3;
      var $access=__stackBase__+72;
      var $types4;
      var $22=__stackBase__+92;
      var $23=__stackBase__+96;
      var $24=__stackBase__+100;
      var $id5;
      var $id6;
      var $access7=__stackBase__+104;
      var $types8;
      var $seen9;
      var $25=__stackBase__+124;
      var $26=__stackBase__+128;
      var $27=__stackBase__+132;
      var $slot;
      var $types10;
      var $28=__stackBase__+136;
      var $29=__stackBase__+140;
      var $30=__stackBase__+144;
      var $slot11;
      var $types12;
      var $slot13;
      var $types14;
      var $31=__stackBase__+148;
      var $funType;
      var $32=__stackBase__+152;
      var $types15;
      var $33=__stackBase__+156;
      var $id16;
      var $id17;
      var $seen18;
      var $34=__stackBase__+160;
      var $seen19;
      var $35=__stackBase__+164;
      var $36=__stackBase__+168;
      var $37=__stackBase__+172;
      var $off;
      var $obj20;
      var $res;
      var $slot21;
      var $38=__stackBase__+176;
      var $39=__stackBase__+180;
      var $seen22;
      var $argCount=__stackBase__+184;
      var $callsite;
      var $40=__stackBase__+188;
      var $i23;
      var $initializer;
      var $41=__stackBase__+192;
      var $42=__stackBase__+196;
      var $objv;
      var $initpc;
      var $initializer24;
      var $43=__stackBase__+200;
      var $types25;
      var $44=__stackBase__+204;
      var $45=__stackBase__+208;
      var $objv26;
      var $initpc27;
      var $initializer28;
      var $46=__stackBase__+212;
      var $id29;
      var $types30;
      var $47=__stackBase__+216;
      var $48=__stackBase__+220;
      var $49=__stackBase__+224;
      var $50=__stackBase__+228;
      var $51=__stackBase__+232;
      var $52=__stackBase__+236;
      var $53=__stackBase__+240;
      var $proto;
      var $object31;
      var $54=__stackBase__+244;
      var $55=__stackBase__+248;
      var $56=__stackBase__+252;
      var $57=__stackBase__+256;
      var $58=__stackBase__+260;
      var $59=__stackBase__+264;
      var $60=__stackBase__+268;
      var $61=__stackBase__+272;
      var $62=__stackBase__+276;
      $2=$this;
      HEAP32[(($3)>>2)]=$cx;
      $4=$offset;
      $5=$state;
      var $63=$2;
      var $64=(($63)|0); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65)|0); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=$4; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($67+$68)|0); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($pc)>>2)]=$69; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=HEAP32[(($pc)>>2)]; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=HEAPU8[($70)]; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=(($71)&255); //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $op=$72; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=$4; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=__ZN2js7analyze14ScriptAnalysis7getCodeEj($63, $73); //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $code=$74; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=(($63)|0); //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=__ZN8JSScript2idEv($76); //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$4; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str431613)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$77,HEAP32[((tempInt+4)>>2)]=$78,tempInt)); //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($63)|0); //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$4; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=__ZN2js7analyzeL11GetDefCountEP8JSScriptj1681($80, $81); //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $defCount=$82; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=HEAP32[(($pc)>>2)]; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=__ZN2js7analyzeL11ExtendedDefEPh1682($83); //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($84) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $86=$defCount; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=(($86+1)|0); //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $defCount=$87; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $89=HEAP32[(($3)>>2)]; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=(($89+56)|0); //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=(($91+344)|0); //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=$defCount; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=__ZN2js10ArenaArrayINS_5types7TypeSetEEEPT_R11JSArenaPoolj($92, $93); //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pushed=$94; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=$pushed; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $96=(($95)|0)!=0; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($96) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $1=0; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $99=$pushed; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=$defCount; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2jsL7PodZeroINS_5types7TypeSetEEEvPT_j($99, $100); //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=$pushed; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=$code; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=(($102+36)|0); //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($103)>>2)]=$101; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=$code; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=(($104+32)|0); //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=$105; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=(($107)|0)!=0; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($108) { __label__ = 6; break; } else { __label__ = 15; break; } //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $110=$code; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=(($110+32)|0); //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=$111; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $newv=$113; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $115=$newv; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=(($115)|0); //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=(($117)|0)!=0; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($118) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $120=$newv; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=(($120+4)|0); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=__ZNK2js7analyze8SSAValue4kindEv($121); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=(($122)|0)!=3; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($123) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $125=$newv; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=(($125+4)|0); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $127=__ZNK2js7analyze8SSAValue9phiOffsetEv($126); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=$4; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=(($127)|0)!=(($128)|0); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($129) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $131=$newv; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=(($131+12)|0); //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $newv=$132; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $134=$5; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $135=(($134)|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=$newv; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $137=(($136+4)|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $138=__ZNK2js7analyze8SSAValue7phiNodeEv($137); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($135, $138); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($139) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      $1=0; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $142=$newv; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $143=(($142+4)|0); //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $144=__ZNK2js7analyze8SSAValue7phiNodeEv($143); //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $145=(($144)|0); //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$145; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=$types; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $147=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($146); //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $148=$types; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=__ZN2js5types19InferSpewColorResetEv(); //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $150=(($63)|0); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $152=__ZN8JSScript2idEv($151); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $153=$4; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=$newv; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=(($154)|0); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str441614)|0), (tempInt=STACKTOP,STACKTOP += 24,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$147,HEAP32[((tempInt+4)>>2)]=$148,HEAP32[((tempInt+8)>>2)]=$149,HEAP32[((tempInt+12)>>2)]=$152,HEAP32[((tempInt+16)>>2)]=$153,HEAP32[((tempInt+20)>>2)]=$156,tempInt)); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $157=$newv; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $158=(($157+12)|0); //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $newv=$158; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $161=HEAP32[(($pc)>>2)]; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $162=HEAPU8[($161)]; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $163=(($162)&255); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $164=((_js_CodeSpec+($163<<3))|0); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $165=(($164+4)|0); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $167=$166 & 134217728; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $168=(($167)|0)!=0; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($168) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      $1=1; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      $i=0; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $172=$i; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $173=$defCount; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $174=(($172)>>>0) < (($173)>>>0); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($174) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $176=$i; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $177=$pushed; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $178=(($177+$176*12)|0); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $179=__ZN2js5types14InferSpewColorEPNS0_7TypeSetE($178); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $180=$i; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $181=$pushed; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $182=(($181+$180*12)|0); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $183=__ZN2js5types19InferSpewColorResetEv(); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $184=$i; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $185=(($63)|0); //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $187=__ZN8JSScript2idEv($186); //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $188=$4; //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str451615)|0), (tempInt=STACKTOP,STACKTOP += 24,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$179,HEAP32[((tempInt+4)>>2)]=$182,HEAP32[((tempInt+8)>>2)]=$183,HEAP32[((tempInt+12)>>2)]=$184,HEAP32[((tempInt+16)>>2)]=$187,HEAP32[((tempInt+20)>>2)]=$188,tempInt)); //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $190=$i; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $191=(($190+1)|0); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$191; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $193=$op; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ((($193)|0) == 81 || (($193)|0) == 0 || (($193)|0) == 109 || (($193)|0) == 182 || (($193)|0) == 6 || (($193)|0) == 141 || (($193)|0) == 7 || (($193)|0) == 142 || (($193)|0) == 8 || (($193)|0) == 143 || (($193)|0) == 119 || (($193)|0) == 128 || (($193)|0) == 4 || (($193)|0) == 202 || (($193)|0) == 155 || (($193)|0) == 78 || (($193)|0) == 153 || (($193)|0) == 116 || (($193)|0) == 146 || (($193)|0) == 117 || (($193)|0) == 120 || (($193)|0) == 122 || (($193)|0) == 148 || (($193)|0) == 11 || (($193)|0) == 229 || (($193)|0) == 194 || (($193)|0) == 195 || (($193)|0) == 163 || (($193)|0) == 230 || (($193)|0) == 191 || (($193)|0) == 211 || (($193)|0) == 212 || (($193)|0) == 213 || (($193)|0) == 192 || (($193)|0) == 193 || (($193)|0) == 188 || (($193)|0) == 189 || (($193)|0) == 2 || (($193)|0) == 115 || (($193)|0) == 74 || (($193)|0) == 70 || (($193)|0) == 149 || (($193)|0) == 71 || (($193)|0) == 150 || (($193)|0) == 134) {
        __label__ = 22; break;
      }
      else if ((($193)|0) == 40 || (($193)|0) == 1) {
        __label__ = 23; break;
      }
      else if ((($193)|0) == 62 || (($193)|0) == 63 || (($193)|0) == 218 || (($193)|0) == 219 || (($193)|0) == 88 || (($193)|0) == 190 || (($193)|0) == 17 || (($193)|0) == 15 || (($193)|0) == 16 || (($193)|0) == 33 || (($193)|0) == 25 || (($193)|0) == 24 || (($193)|0) == 26) {
        __label__ = 24; break;
      }
      else if ((($193)|0) == 66 || (($193)|0) == 67 || (($193)|0) == 18 || (($193)|0) == 19 || (($193)|0) == 20 || (($193)|0) == 21 || (($193)|0) == 22 || (($193)|0) == 23 || (($193)|0) == 32 || (($193)|0) == 72 || (($193)|0) == 73 || (($193)|0) == 113 || (($193)|0) == 114 || (($193)|0) == 186) {
        __label__ = 25; break;
      }
      else if ((($193)|0) == 60) {
        __label__ = 26; break;
      }
      else if ((($193)|0) == 61 || (($193)|0) == 39 || (($193)|0) == 200 || (($193)|0) == 165 || (($193)|0) == 180 || (($193)|0) == 169 || (($193)|0) == 170 || (($193)|0) == 171 || (($193)|0) == 181) {
        __label__ = 27; break;
      }
      else if ((($193)|0) == 64) {
        __label__ = 28; break;
      }
      else if ((($193)|0) == 162) {
        __label__ = 29; break;
      }
      else if ((($193)|0) == 80) {
        __label__ = 35; break;
      }
      else if ((($193)|0) == 197) {
        __label__ = 36; break;
      }
      else if ((($193)|0) == 68 || (($193)|0) == 144 || (($193)|0) == 69 || (($193)|0) == 145) {
        __label__ = 39; break;
      }
      else if ((($193)|0) == 12) {
        __label__ = 40; break;
      }
      else if ((($193)|0) == 13) {
        __label__ = 41; break;
      }
      else if ((($193)|0) == 10 || (($193)|0) == 133) {
        __label__ = 42; break;
      }
      else if ((($193)|0) == 156 || (($193)|0) == 214) {
        __label__ = 50; break;
      }
      else if ((($193)|0) == 59 || (($193)|0) == 57) {
        __label__ = 61; break;
      }
      else if ((($193)|0) == 217 || (($193)|0) == 110) {
        __label__ = 68; break;
      }
      else if ((($193)|0) == 157) {
        __label__ = 69; break;
      }
      else if ((($193)|0) == 111) {
        __label__ = 70; break;
      }
      else if ((($193)|0) == 14) {
        __label__ = 74; break;
      }
      else if ((($193)|0) == 198 || (($193)|0) == 136 || (($193)|0) == 137) {
        __label__ = 75; break;
      }
      else if ((($193)|0) == 84 || (($193)|0) == 216 || (($193)|0) == 86 || (($193)|0) == 215) {
        __label__ = 78; break;
      }
      else if ((($193)|0) == 85 || (($193)|0) == 87 || (($193)|0) == 132) {
        __label__ = 88; break;
      }
      else if ((($193)|0) == 97 || (($193)|0) == 98 || (($193)|0) == 99 || (($193)|0) == 100 || (($193)|0) == 101 || (($193)|0) == 102 || (($193)|0) == 103 || (($193)|0) == 104) {
        __label__ = 92; break;
      }
      else if ((($193)|0) == 9) {
        __label__ = 99; break;
      }
      else if ((($193)|0) == 54 || (($193)|0) == 226) {
        __label__ = 105; break;
      }
      else if ((($193)|0) == 220 || (($193)|0) == 53 || (($193)|0) == 187) {
        __label__ = 106; break;
      }
      else if ((($193)|0) == 55 || (($193)|0) == 196) {
        __label__ = 113; break;
      }
      else if ((($193)|0) == 56) {
        __label__ = 118; break;
      }
      else if ((($193)|0) == 231) {
        __label__ = 119; break;
      }
      else if ((($193)|0) == 65) {
        __label__ = 120; break;
      }
      else if ((($193)|0) == 5 || (($193)|0) == 154) {
        __label__ = 121; break;
      }
      else if ((($193)|0) == 27) {
        __label__ = 124; break;
      }
      else if ((($193)|0) == 28 || (($193)|0) == 29 || (($193)|0) == 31 || (($193)|0) == 30) {
        __label__ = 125; break;
      }
      else if ((($193)|0) == 34 || (($193)|0) == 35) {
        __label__ = 126; break;
      }
      else if ((($193)|0) == 130 || (($193)|0) == 224 || (($193)|0) == 127 || (($193)|0) == 222 || (($193)|0) == 140 || (($193)|0) == 223) {
        __label__ = 127; break;
      }
      else if ((($193)|0) == 58 || (($193)|0) == 123 || (($193)|0) == 108 || (($193)|0) == 79 || (($193)|0) == 82) {
        __label__ = 146; break;
      }
      else if ((($193)|0) == 89 || (($193)|0) == 90 || (($193)|0) == 91) {
        __label__ = 158; break;
      }
      else if ((($193)|0) == 94) {
        __label__ = 164; break;
      }
      else if ((($193)|0) == 125 || (($193)|0) == 126) {
        __label__ = 180; break;
      }
      else if ((($193)|0) == 221) {
        __label__ = 181; break;
      }
      else if ((($193)|0) == 93 || (($193)|0) == 227) {
        __label__ = 182; break;
      }
      else if ((($193)|0) == 3 || (($193)|0) == 201) {
        __label__ = 197; break;
      }
      else if ((($193)|0) == 75) {
        __label__ = 198; break;
      }
      else if ((($193)|0) == 77) {
        __label__ = 206; break;
      }
      else if ((($193)|0) == 76) {
        __label__ = 207; break;
      }
      else if ((($193)|0) == 124 || (($193)|0) == 209 || (($193)|0) == 207) {
        __label__ = 208; break;
      }
      else if ((($193)|0) == 118) {
        __label__ = 209; break;
      }
      else if ((($193)|0) == 37 || (($193)|0) == 38 || (($193)|0) == 36) {
        __label__ = 210; break;
      }
      else if ((($193)|0) == 210) {
        __label__ = 211; break;
      }
      else if ((($193)|0) == 121 || (($193)|0) == 147) {
        __label__ = 212; break;
      }
      else if ((($193)|0) == 228) {
        __label__ = 213; break;
      }
      else if ((($193)|0) == 205) {
        __label__ = 214; break;
      }
      else if ((($193)|0) == 206) {
        __label__ = 224; break;
      }
      else if ((($193)|0) == 199) {
        __label__ = 225; break;
      }
      else if ((($193)|0) == 174) {
        __label__ = 226; break;
      }
      else if ((($193)|0) == 173) {
        __label__ = 227; break;
      }
      else if ((($193)|0) == 178 || (($193)|0) == 179 || (($193)|0) == 185 || (($193)|0) == 183 || (($193)|0) == 184 || (($193)|0) == 175 || (($193)|0) == 168 || (($193)|0) == 166 || (($193)|0) == 167 || (($193)|0) == 164 || (($193)|0) == 208) {
        __label__ = 228; break;
      }
      else if ((($193)|0) == 176) {
        __label__ = 229; break;
      }
      else if ((($193)|0) == 177) {
        __label__ = 230; break;
      }
      else if ((($193)|0) == 96) {
        __label__ = 231; break;
      }
      else if ((($193)|0) == 131) {
        __label__ = 232; break;
      }
      else if ((($193)|0) == 129 || (($193)|0) == 92 || (($193)|0) == 112 || (($193)|0) == 135 || (($193)|0) == 172 || (($193)|0) == 95) {
        __label__ = 237; break;
      }
      else {
      __label__ = 236; break;
      }
      
    case 22: 
      __label__ = 237; break; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $196=$pushed; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $197=(($196)|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $198=HEAP32[(($3)>>2)]; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($6); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($197, $198, $6); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $200=$pushed; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $201=(($200)|0); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $202=HEAP32[(($3)>>2)]; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type9Int32TypeEv($7); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($201, $202, $7); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $204=$pushed; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $205=(($204)|0); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $206=HEAP32[(($3)>>2)]; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11BooleanTypeEv($8); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($205, $206, $8); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $208=$pushed; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $209=(($208)|0); //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $210=HEAP32[(($3)>>2)]; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10DoubleTypeEv($9); //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($209, $210, $9); //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $212=$pushed; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $213=(($212)|0); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $214=HEAP32[(($3)>>2)]; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10StringTypeEv($10); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($213, $214, $10); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $216=$pushed; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $217=(($216)|0); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $218=HEAP32[(($3)>>2)]; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type8NullTypeEv($11); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($217, $218, $11); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $220=(($63)|0); //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $221=HEAP32[(($220)>>2)]; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $222=__ZNK8JSScript9hasGlobalEv($221); //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($222) { __label__ = 30; break; } else { __label__ = 33; break; } //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $224=HEAP32[(($3)>>2)]; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $225=(($63)|0); //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $226=HEAP32[(($225)>>2)]; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $227=__ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey($224, $226, 10); //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$227; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $228=$object; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $229=(($228)|0)!=0; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($229) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      $1=0; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      var $232=$pushed; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $233=(($232)|0); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $234=HEAP32[(($3)>>2)]; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $235=$object; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($12, $235); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($233, $234, $12); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 34; break; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      var $237=$pushed; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $238=(($237)|0); //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $239=HEAP32[(($3)>>2)]; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($13); //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($238, $239, $13); //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 34; break;
    case 34: 
      __label__ = 237; break; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      var $242=HEAP32[(($3)>>2)]; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $243=(($63)|0); //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $244=HEAP32[(($243)>>2)]; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $245=HEAP32[(($pc)>>2)]; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $246=__ZL15GetScriptObjectP9JSContextP8JSScriptPKhj($242, $244, $245, 0); //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj=$246; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $247=$pushed; //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $248=(($247)|0); //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $249=HEAP32[(($3)>>2)]; //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $250=$obj; //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEP8JSObject($14, $250); //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($248, $249, $14); //@line 3419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      var $252=(($63)|0); //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $253=HEAP32[(($252)>>2)]; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $254=$253; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $255=(($254+37)|0); //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $256=HEAPU8[($255)]; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $257=(($256)&255) >>> 2; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $258=$257 & 1; //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $259=(($258) & 1); //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($259) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 3425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      var $261=(($63)|0); //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $262=HEAP32[(($261)>>2)]; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $263=__ZN2js5types10TypeScript11ReturnTypesEP8JSScript($262); //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $264=HEAP32[(($3)>>2)]; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($15); //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($263, $264, $15); //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 38; break; //@line 3426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 38: 
      __label__ = 237; break; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      var $267=HEAP32[(($pc)>>2)]; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $268=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $267, 0); //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $269=HEAP32[(($3)>>2)]; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $270=$pushed; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $271=(($270)|0); //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($268, $269, $271); //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 40: 
      var $273=HEAP32[(($pc)>>2)]; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $274=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $273, 0); //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $275=HEAP32[(($3)>>2)]; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $276=$pushed; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $277=(($276)|0); //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($274, $275, $277); //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $278=HEAP32[(($pc)>>2)]; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $279=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $278, 0); //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $280=HEAP32[(($3)>>2)]; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $281=$pushed; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $282=(($281+12)|0); //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($279, $280, $282); //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      var $284=HEAP32[(($pc)>>2)]; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $285=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $284, 1); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $286=HEAP32[(($3)>>2)]; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $287=$pushed; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $288=(($287)|0); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($285, $286, $288); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $289=HEAP32[(($pc)>>2)]; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $290=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $289, 0); //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $291=HEAP32[(($3)>>2)]; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $292=$pushed; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $293=(($292+12)|0); //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($290, $291, $293); //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $294=HEAP32[(($pc)>>2)]; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $295=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $294, 1); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $296=HEAP32[(($3)>>2)]; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $297=$pushed; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $298=(($297+24)|0); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($295, $296, $298); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $299=HEAP32[(($pc)>>2)]; //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $300=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $299, 0); //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $301=HEAP32[(($3)>>2)]; //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $302=$pushed; //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $303=(($302+36)|0); //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($300, $301, $303); //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      var $305=$op; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $306=(($305)|0)==10; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($306) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 43: 
      var $314 = 1;__label__ = 45; break; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 44: 
      var $309=HEAP32[(($pc)>>2)]; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $310=(($309+1)|0); //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $311=HEAPU8[($310)]; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $312=(($311)&255); //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $314 = $312;__label__ = 45; break; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 45: 
      var $314; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pickedDepth=$314; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $315=HEAP32[(($pc)>>2)]; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $316=$pickedDepth; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $317=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $315, $316); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $318=HEAP32[(($3)>>2)]; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $319=$pickedDepth; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $320=$pushed; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $321=(($320+$319*12)|0); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($317, $318, $321); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i1=0; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 46; break; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 46: 
      var $323=$i1; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $324=$pickedDepth; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $325=(($323)>>>0) < (($324)>>>0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($325) { __label__ = 47; break; } else { __label__ = 49; break; } //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 47: 
      var $327=HEAP32[(($pc)>>2)]; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $328=$i1; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $329=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $327, $328); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $330=HEAP32[(($3)>>2)]; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $331=$pickedDepth; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $332=(($331-1)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $333=$i1; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $334=(($332-$333)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $335=$pushed; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $336=(($335+$334*12)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($329, $330, $336); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 48; break; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 48: 
      var $338=$i1; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $339=(($338+1)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i1=$339; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 46; break; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 49: 
      __label__ = 237; break; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 50: 
      var $342=HEAP32[(($3)>>2)]; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $343=(($63)|0); //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $344=HEAP32[(($343)>>2)]; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $345=HEAP32[(($pc)>>2)]; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $346=__ZL9GetAtomIdP9JSContextP8JSScriptPKhj($342, $344, $345, 0); //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id=$346; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $347=HEAP32[(($pc)>>2)]; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $348=__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($63, $347); //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $seen=$348; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $349=$seen; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $350=HEAP32[(($3)>>2)]; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $351=$pushed; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $352=(($351)|0); //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($349, $350, $352); //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $353=$id; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $354=HEAP32[(($3)>>2)]; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $355=(($354+52)|0); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $356=HEAP32[(($355)>>2)]; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $357=(($356+209948)|0); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $358=(($357+36)|0); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $359=(($358)|0); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $360=HEAP32[(($359)>>2)]; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $361=$360; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $362=__ZL12ATOM_TO_JSIDP6JSAtom1694($361); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $363=(($353)|0)==(($362)|0); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($363) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 51: 
      var $365=$seen; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $366=HEAP32[(($3)>>2)]; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($16); //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($365, $366, $16); //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 52; break; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 52: 
      var $368=$id; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $369=HEAP32[(($3)>>2)]; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $370=(($369+52)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $371=HEAP32[(($370)>>2)]; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $372=(($371+209948)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $373=(($372+432)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $374=HEAP32[(($373)>>2)]; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $375=$374; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $376=__ZL12ATOM_TO_JSIDP6JSAtom1694($375); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $377=(($368)|0)==(($376)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($377) { __label__ = 53; break; } else { __label__ = 54; break; } //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 53: 
      var $379=$seen; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $380=HEAP32[(($3)>>2)]; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10DoubleTypeEv($17); //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($379, $380, $17); //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 54; break; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 54: 
      var $382=$id; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $383=HEAP32[(($3)>>2)]; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $384=(($383+52)|0); //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $385=HEAP32[(($384)>>2)]; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $386=(($385+209948)|0); //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $387=(($386+428)|0); //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $388=HEAP32[(($387)>>2)]; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $389=$388; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $390=__ZL12ATOM_TO_JSIDP6JSAtom1694($389); //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $391=(($382)|0)==(($390)|0); //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($391) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 55: 
      var $393=$seen; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $394=HEAP32[(($3)>>2)]; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10DoubleTypeEv($18); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($393, $394, $18); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 56; break; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 56: 
      var $396=HEAP32[(($3)>>2)]; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $397=(($63)|0); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $398=HEAP32[(($397)>>2)]; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $399=HEAP32[(($pc)>>2)]; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $400=(($63)|0); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $401=HEAP32[(($400)>>2)]; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $402=__ZNK8JSScript6globalEv($401); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $403=$402; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $404=HEAP32[(($3)>>2)]; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $405=__ZN8JSObject7getTypeEP9JSContext($403, $404); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $406=$seen; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $407=$id; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL14PropertyAccessP9JSContextP8JSScriptPhPN2js5types10TypeObjectEbPNS5_7TypeSetEi($396, $398, $399, $405, 0, $406, $407); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $408=$op; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $409=(($408)|0)==214; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($409) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 57: 
      var $411=$pushed; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $412=(($411+12)|0); //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $413=HEAP32[(($3)>>2)]; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($19); //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($412, $413, $19); //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $414=$pushed; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $415=(($414)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $416=HEAP32[(($3)>>2)]; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $417=(($63)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $418=HEAP32[(($417)>>2)]; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $419=HEAP32[(($pc)>>2)]; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($20); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addPropagateThisEP9JSContextP8JSScriptPhNS0_4TypeEPS1_($415, $416, $418, $419, $20, 0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 58; break; //@line 3484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 58: 
      var $421=HEAP32[(($pc)>>2)]; //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $422=__ZL13CheckNextTestPh($421); //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($422) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 59: 
      var $424=$pushed; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $425=(($424)|0); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $426=HEAP32[(($3)>>2)]; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($21); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($425, $426, $21); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 60; break; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 60: 
      __label__ = 237; break; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 61: 
      var $429=HEAP32[(($pc)>>2)]; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $430=__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($63, $429); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $seen2=$430; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $431=$seen2; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $432=HEAP32[(($3)>>2)]; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $433=$pushed; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $434=(($433)|0); //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($431, $432, $434); //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $435=HEAP32[(($3)>>2)]; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $436=(($63)|0); //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $437=HEAP32[(($436)>>2)]; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $438=HEAP32[(($pc)>>2)]; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $439=__ZL9GetAtomIdP9JSContextP8JSScriptPKhj($435, $437, $438, 0); //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id3=$439; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $440=HEAP32[(($3)>>2)]; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $441=$id3; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis17resolveNameAccessEP9JSContextib($access, $63, $440, $441, 0); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $442=(($access)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $443=HEAP32[(($442)>>2)]; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $444=(($443)|0)!=0; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($444) { __label__ = 62; break; } else { __label__ = 64; break; } //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 62: 
      var $446=(($access)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $447=HEAP32[(($446)>>2)]; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $448=$447; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $449=(($448+38)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $450=HEAPU8[($449)]; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $451=(($450)&255) >>> 4; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $452=$451 & 1; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $453=(($452) & 1); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($453) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 63: 
      var $455=(($access)|0); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $456=HEAP32[(($455)>>2)]; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $457=(($access+8)|0); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $458=HEAP32[(($457)>>2)]; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $459=__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($456, $458); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types4=$459; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $460=$types4; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $461=HEAP32[(($3)>>2)]; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $462=(($63)|0); //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $463=HEAP32[(($462)>>2)]; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $464=HEAP32[(($pc)>>2)]; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $465=$seen2; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addSubsetBarrierEP9JSContextP8JSScriptPhPS1_($460, $461, $463, $464, $465); //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 65; break; //@line 3508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 64: 
      var $467=HEAP32[(($3)>>2)]; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $468=HEAP32[(($pc)>>2)]; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $469=$seen2; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($22); //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis14addTypeBarrierEP9JSContextPKhPNS_5types7TypeSetENS6_4TypeE($63, $467, $468, $469, $22); //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 65; break;
    case 65: 
      var $471=$op; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $472=(($471)|0)==57; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($472) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 66: 
      var $474=$pushed; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $475=(($474+12)|0); //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $476=HEAP32[(($3)>>2)]; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($23); //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($475, $476, $23); //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $477=$pushed; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $478=(($477)|0); //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $479=HEAP32[(($3)>>2)]; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $480=(($63)|0); //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $481=HEAP32[(($480)>>2)]; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $482=HEAP32[(($pc)>>2)]; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($24); //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addPropagateThisEP9JSContextP8JSScriptPhNS0_4TypeEPS1_($478, $479, $481, $482, $24, 0); //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 67; break; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 67: 
      __label__ = 237; break; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 68: 
      __label__ = 237; break; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 69: 
      var $486=HEAP32[(($3)>>2)]; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $487=(($63)|0); //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $488=HEAP32[(($487)>>2)]; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $489=HEAP32[(($pc)>>2)]; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $490=__ZL9GetAtomIdP9JSContextP8JSScriptPKhj($486, $488, $489, 0); //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id5=$490; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $491=HEAP32[(($3)>>2)]; //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $492=(($63)|0); //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $493=HEAP32[(($492)>>2)]; //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $494=HEAP32[(($pc)>>2)]; //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $495=(($63)|0); //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $496=HEAP32[(($495)>>2)]; //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $497=__ZNK8JSScript6globalEv($496); //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $498=$497; //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $499=HEAP32[(($3)>>2)]; //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $500=__ZN8JSObject7getTypeEP9JSContext($498, $499); //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $501=HEAP32[(($pc)>>2)]; //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $502=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $501, 0); //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $503=$id5; //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL14PropertyAccessP9JSContextP8JSScriptPhPN2js5types10TypeObjectEbPNS5_7TypeSetEi($491, $493, $494, $500, 1, $502, $503); //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $504=HEAP32[(($pc)>>2)]; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $505=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $504, 0); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $506=HEAP32[(($3)>>2)]; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $507=$pushed; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $508=(($507)|0); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($505, $506, $508); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 70: 
      var $510=HEAP32[(($3)>>2)]; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $511=(($63)|0); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $512=HEAP32[(($511)>>2)]; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $513=HEAP32[(($pc)>>2)]; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $514=__ZL9GetAtomIdP9JSContextP8JSScriptPKhj($510, $512, $513, 0); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id6=$514; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $515=HEAP32[(($3)>>2)]; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $516=$id6; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis17resolveNameAccessEP9JSContextib($access7, $63, $515, $516, 0); //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $517=(($access7)|0); //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $518=HEAP32[(($517)>>2)]; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $519=(($518)|0)!=0; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($519) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 71: 
      var $521=(($access7)|0); //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $522=HEAP32[(($521)>>2)]; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $523=(($access7+8)|0); //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $524=HEAP32[(($523)>>2)]; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $525=__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($522, $524); //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types8=$525; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $526=HEAP32[(($pc)>>2)]; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $527=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $526, 0); //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $528=HEAP32[(($3)>>2)]; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $529=$types8; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($527, $528, $529); //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 73; break; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 72: 
      var $531=HEAP32[(($3)>>2)]; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $532=(($531+56)|0); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $533=HEAP32[(($532)>>2)]; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $534=(($533+376)|0); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $535=HEAP32[(($3)>>2)]; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $536=(($63)|0); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $537=HEAP32[(($536)>>2)]; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $538=$4; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($534, $535, $537, $538, 0); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 73; break;
    case 73: 
      var $540=HEAP32[(($pc)>>2)]; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $541=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $540, 0); //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $542=HEAP32[(($3)>>2)]; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $543=$pushed; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $544=(($543)|0); //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($541, $542, $544); //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 74: 
      var $546=HEAP32[(($3)>>2)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $547=(($546+56)|0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $548=HEAP32[(($547)>>2)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $549=(($548+376)|0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $550=HEAP32[(($3)>>2)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $551=(($63)|0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $552=HEAP32[(($551)>>2)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $553=$4; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($549, $550, $552, $553, 0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $554=HEAP32[(($pc)>>2)]; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $555=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $554, 0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $556=HEAP32[(($3)>>2)]; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $557=$pushed; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $558=(($557)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($555, $556, $558); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 75: 
      var $560=HEAP32[(($pc)>>2)]; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $561=__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($63, $560); //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $seen9=$561; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $562=HEAP32[(($3)>>2)]; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $563=HEAP32[(($pc)>>2)]; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $564=$seen9; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($25); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis14addTypeBarrierEP9JSContextPKhPNS_5types7TypeSetENS6_4TypeE($63, $562, $563, $564, $25); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $565=$seen9; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $566=HEAP32[(($3)>>2)]; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $567=$pushed; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $568=(($567)|0); //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($565, $566, $568); //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $569=$op; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $570=(($569)|0)==137; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($570) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 76: 
      var $572=$pushed; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $573=(($572+12)|0); //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $574=HEAP32[(($3)>>2)]; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($26); //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($573, $574, $26); //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $575=$pushed; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $576=(($575)|0); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $577=HEAP32[(($3)>>2)]; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $578=(($63)|0); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $579=HEAP32[(($578)>>2)]; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $580=HEAP32[(($pc)>>2)]; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($27); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addPropagateThisEP9JSContextP8JSScriptPhNS0_4TypeEPS1_($576, $577, $579, $580, $27, 0); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 77; break; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 77: 
      __label__ = 237; break; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 78: 
      var $583=(($63)|0); //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $584=HEAP32[(($583)>>2)]; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $585=HEAP32[(($pc)>>2)]; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $586=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh1709($584, $585); //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $slot=$586; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $587=$slot; //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $588=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($63, $587); //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($588) { __label__ = 79; break; } else { __label__ = 80; break; } //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 79: 
      var $590=HEAP32[(($pc)>>2)]; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $591=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $590, 0); //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $592=HEAP32[(($3)>>2)]; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $593=$pushed; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $594=(($593)|0); //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($591, $592, $594); //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 84; break; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 80: 
      var $596=$slot; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $597=(($63)|0); //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $598=HEAP32[(($597)>>2)]; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $599=__ZN2js7analyzeL10TotalSlotsEP8JSScript1710($598); //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $600=(($596)>>>0) < (($599)>>>0); //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($600) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 81: 
      var $602=(($63)|0); //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $603=HEAP32[(($602)>>2)]; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $604=$slot; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $605=__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($603, $604); //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types10=$605; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $606=$types10; //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $607=HEAP32[(($3)>>2)]; //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $608=$pushed; //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $609=(($608)|0); //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($606, $607, $609); //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 83; break; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 82: 
      var $611=$pushed; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $612=(($611)|0); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $613=HEAP32[(($3)>>2)]; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($28); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($612, $613, $28); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 83; break;
    case 83: 
      __label__ = 84; break;
    case 84: 
      var $616=$op; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $617=(($616)|0)==216; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($617) { __label__ = 86; break; } else { __label__ = 85; break; } //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 85: 
      var $619=$op; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $620=(($619)|0)==215; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($620) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 86: 
      var $622=$pushed; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $623=(($622+12)|0); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $624=HEAP32[(($3)>>2)]; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($29); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($623, $624, $29); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $625=$pushed; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $626=(($625)|0); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $627=HEAP32[(($3)>>2)]; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $628=(($63)|0); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $629=HEAP32[(($628)>>2)]; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $630=HEAP32[(($pc)>>2)]; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($30); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addPropagateThisEP9JSContextP8JSScriptPhNS0_4TypeEPS1_($626, $627, $629, $630, $30, 0); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 87; break; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 87: 
      __label__ = 237; break; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 88: 
      var $633=(($63)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $634=HEAP32[(($633)>>2)]; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $635=HEAP32[(($pc)>>2)]; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $636=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh1709($634, $635); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $slot11=$636; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $637=$slot11; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $638=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($63, $637); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($638) { __label__ = 91; break; } else { __label__ = 89; break; } //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 89: 
      var $640=$slot11; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $641=(($63)|0); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $642=HEAP32[(($641)>>2)]; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $643=__ZN2js7analyzeL10TotalSlotsEP8JSScript1710($642); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $644=(($640)>>>0) < (($643)>>>0); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($644) { __label__ = 90; break; } else { __label__ = 91; break; } //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 90: 
      var $646=(($63)|0); //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $647=HEAP32[(($646)>>2)]; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $648=$slot11; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $649=__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($647, $648); //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types12=$649; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $650=HEAP32[(($pc)>>2)]; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $651=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $650, 0); //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $652=HEAP32[(($3)>>2)]; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $653=$types12; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($651, $652, $653); //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 91; break; //@line 3595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 91: 
      var $655=HEAP32[(($pc)>>2)]; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $656=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $655, 0); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $657=HEAP32[(($3)>>2)]; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $658=$pushed; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $659=(($658)|0); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($656, $657, $659); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 92: 
      var $661=(($63)|0); //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $662=HEAP32[(($661)>>2)]; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $663=HEAP32[(($pc)>>2)]; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $664=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh1709($662, $663); //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $slot13=$664; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $665=$slot13; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $666=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($63, $665); //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($666) { __label__ = 93; break; } else { __label__ = 94; break; } //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 93: 
      var $668=HEAP32[(($pc)>>2)]; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $669=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $668, 0); //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $670=HEAP32[(($3)>>2)]; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $671=$pushed; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $672=(($671)|0); //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_($669, $670, $672, 0); //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 98; break; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 94: 
      var $674=$slot13; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $675=(($63)|0); //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $676=HEAP32[(($675)>>2)]; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $677=__ZN2js7analyzeL10TotalSlotsEP8JSScript1710($676); //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $678=(($674)>>>0) < (($677)>>>0); //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($678) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 95: 
      var $680=(($63)|0); //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $681=HEAP32[(($680)>>2)]; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $682=$slot13; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $683=__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($681, $682); //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types14=$683; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $684=$types14; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $685=HEAP32[(($3)>>2)]; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $686=$types14; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_($684, $685, $686, 0); //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $687=$types14; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $688=HEAP32[(($3)>>2)]; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $689=$pushed; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $690=(($689)|0); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($687, $688, $690); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 97; break; //@line 3621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 96: 
      var $692=$pushed; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $693=(($692)|0); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $694=HEAP32[(($3)>>2)]; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($31); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($693, $694, $31); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 97; break;
    case 97: 
      __label__ = 98; break;
    case 98: 
      __label__ = 237; break; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 99: 
      var $698=(($63)|0); //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $699=HEAP32[(($698)>>2)]; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $700=__ZNK8JSScript8functionEv($699); //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $701=$700; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $702=HEAP32[(($3)>>2)]; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $703=__ZN8JSObject7getTypeEP9JSContext($701, $702); //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $funType=$703; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $704=$funType; //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $705=__ZN2js5types10TypeObject17unknownPropertiesEv($704); //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($705) { __label__ = 101; break; } else { __label__ = 100; break; } //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 100: 
      var $707=$funType; //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $708=__ZN2js5types10TypeObject11hasAnyFlagsEj($707, 524288); //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($708) { __label__ = 101; break; } else { __label__ = 102; break; } //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 101: 
      var $710=$pushed; //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $711=(($710)|0); //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $712=HEAP32[(($3)>>2)]; //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($32); //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($711, $712, $32); //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 102: 
      var $714=$funType; //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $715=HEAP32[(($3)>>2)]; //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $716=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($714, $715, 4, 0); //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types15=$716; //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $717=$types15; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $718=(($717)|0)!=0; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($718) { __label__ = 104; break; } else { __label__ = 103; break; } //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 103: 
      __label__ = 237; break; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 104: 
      var $721=$types15; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $722=HEAP32[(($3)>>2)]; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $723=$pushed; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $724=(($723)|0); //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addLazyArgumentsEP9JSContextPS1_($721, $722, $724); //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $725=$pushed; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $726=(($725)|0); //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $727=HEAP32[(($3)>>2)]; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type12LazyArgsTypeEv($33); //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($726, $727, $33); //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 105: 
      var $729=HEAP32[(($3)>>2)]; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $730=(($63)|0); //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $731=HEAP32[(($730)>>2)]; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $732=HEAP32[(($pc)>>2)]; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $733=__ZL9GetAtomIdP9JSContextP8JSScriptPKhj($729, $731, $732, 0); //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id16=$733; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $734=HEAP32[(($pc)>>2)]; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $735=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $734, 1); //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $736=HEAP32[(($3)>>2)]; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $737=(($63)|0); //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $738=HEAP32[(($737)>>2)]; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $739=HEAP32[(($pc)>>2)]; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $740=HEAP32[(($pc)>>2)]; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $741=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $740, 0); //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $742=$id16; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14addSetPropertyEP9JSContextP8JSScriptPhPS1_i($735, $736, $738, $739, $741, $742); //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $743=HEAP32[(($pc)>>2)]; //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $744=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $743, 0); //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $745=HEAP32[(($3)>>2)]; //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $746=$pushed; //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $747=(($746)|0); //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($744, $745, $747); //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 106: 
      var $749=HEAP32[(($3)>>2)]; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $750=(($63)|0); //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $751=HEAP32[(($750)>>2)]; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $752=HEAP32[(($pc)>>2)]; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $753=__ZL9GetAtomIdP9JSContextP8JSScriptPKhj($749, $751, $752, 0); //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id17=$753; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $754=(($63)|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $755=HEAP32[(($754)>>2)]; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $756=__ZN8JSScript8analysisEv($755); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $757=HEAP32[(($pc)>>2)]; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $758=__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($756, $757); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $seen18=$758; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $759=HEAP32[(($pc)>>2)]; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $760=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $759, 0); //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $761=HEAP32[(($3)>>2)]; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $762=(($63)|0); //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $763=HEAP32[(($762)>>2)]; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $764=HEAP32[(($pc)>>2)]; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $765=$seen18; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $766=$id17; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14addGetPropertyEP9JSContextP8JSScriptPhPS1_i($760, $761, $763, $764, $765, $766); //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $767=$op; //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $768=(($767)|0)==187; //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($768) { __label__ = 107; break; } else { __label__ = 108; break; } //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 107: 
      var $770=HEAP32[(($pc)>>2)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $771=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $770, 0); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $772=HEAP32[(($3)>>2)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $773=(($63)|0); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $774=HEAP32[(($773)>>2)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $775=HEAP32[(($pc)>>2)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $776=$id17; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet15addCallPropertyEP9JSContextP8JSScriptPhi($771, $772, $774, $775, $776); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 108; break; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 108: 
      var $778=$seen18; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $779=HEAP32[(($3)>>2)]; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $780=$pushed; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $781=(($780)|0); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($778, $779, $781); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $782=$op; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $783=(($782)|0)==187; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($783) { __label__ = 109; break; } else { __label__ = 110; break; } //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 109: 
      var $785=HEAP32[(($pc)>>2)]; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $786=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $785, 0); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $787=HEAP32[(($3)>>2)]; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $788=$pushed; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $789=(($788+12)|0); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet19addFilterPrimitivesEP9JSContextPS1_NS1_10FilterKindE($786, $787, $789, 1); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 110; break; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 110: 
      var $791=HEAP32[(($pc)>>2)]; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $792=__ZL13CheckNextTestPh($791); //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($792) { __label__ = 111; break; } else { __label__ = 112; break; } //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 111: 
      var $794=$pushed; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $795=(($794)|0); //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $796=HEAP32[(($3)>>2)]; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($34); //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($795, $796, $34); //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 112; break; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 112: 
      __label__ = 237; break; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 113: 
      var $799=(($63)|0); //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $800=HEAP32[(($799)>>2)]; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $801=__ZN8JSScript8analysisEv($800); //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $802=HEAP32[(($pc)>>2)]; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $803=__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($801, $802); //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $seen19=$803; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $804=HEAP32[(($pc)>>2)]; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $805=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $804, 1); //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $806=HEAP32[(($3)>>2)]; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $807=(($63)|0); //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $808=HEAP32[(($807)>>2)]; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $809=HEAP32[(($pc)>>2)]; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $810=$seen19; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet14addGetPropertyEP9JSContextP8JSScriptPhPS1_i($805, $806, $808, $809, $810, 2); //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $811=$seen19; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $812=HEAP32[(($3)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $813=$pushed; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $814=(($813)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($811, $812, $814); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $815=$op; //@line 3680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $816=(($815)|0)==196; //@line 3680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($816) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 3680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 114: 
      var $818=HEAP32[(($pc)>>2)]; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $819=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $818, 1); //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $820=HEAP32[(($3)>>2)]; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $821=$pushed; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $822=(($821+12)|0); //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet19addFilterPrimitivesEP9JSContextPS1_NS1_10FilterKindE($819, $820, $822, 1); //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $823=$pushed; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $824=(($823)|0); //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $825=HEAP32[(($3)>>2)]; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $826=(($63)|0); //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $827=HEAP32[(($826)>>2)]; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $828=HEAP32[(($pc)>>2)]; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($35); //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $829=$pushed; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $830=(($829+12)|0); //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addPropagateThisEP9JSContextP8JSScriptPhNS0_4TypeEPS1_($824, $825, $827, $828, $35, $830); //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 115; break; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 115: 
      var $832=HEAP32[(($pc)>>2)]; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $833=__ZL13CheckNextTestPh($832); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($833) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 116: 
      var $835=$pushed; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $836=(($835)|0); //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $837=HEAP32[(($3)>>2)]; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($36); //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($836, $837, $36); //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 117; break; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 117: 
      __label__ = 237; break; //@line 3686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 118: 
      var $840=HEAP32[(($pc)>>2)]; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $841=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $840, 1); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $842=HEAP32[(($3)>>2)]; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $843=(($63)|0); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $844=HEAP32[(($843)>>2)]; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $845=HEAP32[(($pc)>>2)]; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $846=HEAP32[(($pc)>>2)]; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $847=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $846, 2); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $848=HEAP32[(($pc)>>2)]; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $849=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $848, 0); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet13addSetElementEP9JSContextP8JSScriptPhPS1_S7_($841, $842, $844, $845, $847, $849); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $850=HEAP32[(($pc)>>2)]; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $851=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $850, 0); //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $852=HEAP32[(($3)>>2)]; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $853=$pushed; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $854=(($853)|0); //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($851, $852, $854); //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 119: 
      var $856=$pushed; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $857=(($856)|0); //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $858=HEAP32[(($3)>>2)]; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type9Int32TypeEv($37); //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($857, $858, $37); //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 120: 
      var $860=(($63)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $861=HEAP32[(($860)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $862=__ZN2js5types10TypeScript9ThisTypesEP8JSScript($861); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $863=HEAP32[(($3)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $864=(($63)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $865=HEAP32[(($864)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $866=$pushed; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $867=(($866)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet16addTransformThisEP9JSContextP8JSScriptPS1_($862, $863, $865, $867); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 121: 
      var $869=(($63)|0); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $870=HEAP32[(($869)>>2)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $871=$870; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $872=(($871+37)|0); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $873=HEAPU8[($872)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $874=(($873)&255) >>> 2; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $875=$874 & 1; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $876=(($875) & 1); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($876) { __label__ = 122; break; } else { __label__ = 123; break; } //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 122: 
      var $878=HEAP32[(($pc)>>2)]; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $879=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $878, 0); //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $880=HEAP32[(($3)>>2)]; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $881=(($63)|0); //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $882=HEAP32[(($881)>>2)]; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $883=__ZN2js5types10TypeScript11ReturnTypesEP8JSScript($882); //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($879, $880, $883); //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 123; break; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 123: 
      __label__ = 237; break; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 124: 
      var $886=HEAP32[(($pc)>>2)]; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $887=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $886, 0); //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $888=HEAP32[(($3)>>2)]; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $889=$pushed; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $890=(($889)|0); //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $891=HEAP32[(($pc)>>2)]; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $892=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $891, 1); //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_($887, $888, $890, $892); //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $893=HEAP32[(($pc)>>2)]; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $894=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $893, 1); //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $895=HEAP32[(($3)>>2)]; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $896=$pushed; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $897=(($896)|0); //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $898=HEAP32[(($pc)>>2)]; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $899=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $898, 0); //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_($894, $895, $897, $899); //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 125: 
      var $901=HEAP32[(($pc)>>2)]; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $902=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $901, 0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $903=HEAP32[(($3)>>2)]; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $904=$pushed; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $905=(($904)|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_($902, $903, $905, 0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $906=HEAP32[(($pc)>>2)]; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $907=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $906, 1); //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $908=HEAP32[(($3)>>2)]; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $909=$pushed; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $910=(($909)|0); //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_($907, $908, $910, 0); //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 126: 
      var $912=HEAP32[(($pc)>>2)]; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $913=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $912, 0); //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $914=HEAP32[(($3)>>2)]; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $915=$pushed; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $916=(($915)|0); //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_($913, $914, $916, 0); //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 127: 
      var $918=$op; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $919=(($918)|0)==140; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($919) { var $924 = 1;__label__ = 129; break; } else { __label__ = 128; break; } //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 128: 
      var $921=$op; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $922=(($921)|0)==223; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $924 = $922;__label__ = 129; break; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 129: 
      var $924;
      var $925=$924 ? 2 : 0; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $off=$925; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $926=HEAP32[(($3)>>2)]; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $927=(($63)|0); //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $928=HEAP32[(($927)>>2)]; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $929=HEAP32[(($pc)>>2)]; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $930=$off; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $931=__ZL15GetScriptObjectP9JSContextP8JSScriptPKhj($926, $928, $929, $930); //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj20=$931; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $res=0; //@line 3739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $932=$op; //@line 3740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $933=(($932)|0)==130; //@line 3740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($933) { __label__ = 131; break; } else { __label__ = 130; break; } //@line 3740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 130: 
      var $935=$op; //@line 3740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $936=(($935)|0)==224; //@line 3740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($936) { __label__ = 131; break; } else { __label__ = 132; break; } //@line 3740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 131: 
      var $938=$pushed; //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $939=(($938)|0); //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $res=$939; //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 139; break; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 132: 
      var $941=$op; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $942=(($941)|0)==140; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($942) { __label__ = 134; break; } else { __label__ = 133; break; } //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 133: 
      var $944=$op; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $945=(($944)|0)==223; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($945) { __label__ = 134; break; } else { __label__ = 138; break; } //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 134: 
      var $947=(($63)|0); //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $948=HEAP32[(($947)>>2)]; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $949=HEAP32[(($pc)>>2)]; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $950=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh1709($948, $949); //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $slot21=$950; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $951=$slot21; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $952=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($63, $951); //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($952) { __label__ = 135; break; } else { __label__ = 136; break; } //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 135: 
      var $954=$pushed; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $955=(($954)|0); //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $res=$955; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 137; break; //@line 3746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 136: 
      var $957=(($63)|0); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $958=HEAP32[(($957)>>2)]; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $959=$slot21; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $960=__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($958, $959); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $res=$960; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 137; break;
    case 137: 
      __label__ = 138; break; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 138: 
      __label__ = 139; break;
    case 139: 
      var $964=$res; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $965=(($964)|0)!=0; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($965) { __label__ = 140; break; } else { __label__ = 144; break; } //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 140: 
      var $967=(($63)|0); //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $968=HEAP32[(($967)>>2)]; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $969=__ZNK8JSScript9hasGlobalEv($968); //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($969) { __label__ = 141; break; } else { __label__ = 142; break; } //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 141: 
      var $971=$res; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $972=HEAP32[(($3)>>2)]; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $973=$obj20; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEP8JSObject($38, $973); //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($971, $972, $38); //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 143; break; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 142: 
      var $975=$res; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $976=HEAP32[(($3)>>2)]; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($39); //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($975, $976, $39); //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 143; break;
    case 143: 
      __label__ = 145; break; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 144: 
      var $979=HEAP32[(($3)>>2)]; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $980=(($979+56)|0); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $981=HEAP32[(($980)>>2)]; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $982=(($981+376)|0); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $983=HEAP32[(($3)>>2)]; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $984=(($63)|0); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $985=HEAP32[(($984)>>2)]; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $986=$4; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($982, $983, $985, $986, 0); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 145; break;
    case 145: 
      __label__ = 237; break; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 146: 
      var $989=(($63)|0); //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $990=HEAP32[(($989)>>2)]; //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $991=__ZN8JSScript8analysisEv($990); //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $992=HEAP32[(($pc)>>2)]; //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $993=__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($991, $992); //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $seen22=$993; //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $994=$seen22; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $995=HEAP32[(($3)>>2)]; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $996=$pushed; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $997=(($996)|0); //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($994, $995, $997); //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $998=(($63)|0); //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $999=HEAP32[(($998)>>2)]; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1000=$4; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1001=__ZN2js7analyzeL11GetUseCountEP8JSScriptj1711($999, $1000); //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1002=(($1001-2)|0); //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($argCount)>>2)]=$1002; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1003=HEAP32[(($3)>>2)]; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1004=(($1003+56)|0); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1005=HEAP32[(($1004)>>2)]; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1006=(($1005+344)|0); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1007=(($63)|0); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1008=$op; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1009=(($1008)|0)==82; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1010=(($1009)&1); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($40)]=$1010; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1011=__ZN2js8ArenaNewINS_5types12TypeCallsiteEP9JSContextP8JSScriptPhbjEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_($1006, $3, $1007, $pc, $40, $argCount); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $callsite=$1011; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1012=$callsite; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1013=(($1012)|0)!=0; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1013) { __label__ = 147; break; } else { __label__ = 149; break; } //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 147: 
      var $1015=HEAP32[(($argCount)>>2)]; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1016=(($1015)|0)!=0; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1016) { __label__ = 148; break; } else { __label__ = 150; break; } //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 148: 
      var $1018=$callsite; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1019=(($1018+12)|0); //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1020=HEAP32[(($1019)>>2)]; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1021=(($1020)|0)!=0; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1021) { __label__ = 150; break; } else { __label__ = 149; break; } //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 149: 
      var $1023=HEAP32[(($3)>>2)]; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1024=(($1023+56)|0); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1025=HEAP32[(($1024)>>2)]; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1026=(($1025+376)|0); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1027=HEAP32[(($3)>>2)]; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($1026, $1027); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 150: 
      var $1029=HEAP32[(($pc)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1030=HEAP32[(($argCount)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1031=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1029, $1030); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1032=$callsite; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1033=(($1032+20)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($1033)>>2)]=$1031; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1034=$seen22; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1035=$callsite; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1036=(($1035+24)|0); //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($1036)>>2)]=$1034; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i23=0; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 151; break; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 151: 
      var $1038=$i23; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1039=HEAPU32[(($argCount)>>2)]; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1040=(($1038)>>>0) < (($1039)>>>0); //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1040) { __label__ = 152; break; } else { __label__ = 154; break; } //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 152: 
      var $1042=HEAP32[(($pc)>>2)]; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1043=HEAP32[(($argCount)>>2)]; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1044=(($1043-1)|0); //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1045=$i23; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1046=(($1044-$1045)|0); //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1047=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1042, $1046); //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1048=$i23; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1049=$callsite; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1050=(($1049+12)|0); //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1051=HEAP32[(($1050)>>2)]; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1052=(($1051+($1048<<2))|0); //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($1052)>>2)]=$1047; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 153; break; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 153: 
      var $1054=$i23; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1055=(($1054+1)|0); //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i23=$1055; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 151; break; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 154: 
      var $1057=$op; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1058=(($1057)|0)==108; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1058) { __label__ = 156; break; } else { __label__ = 155; break; } //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 155: 
      var $1060=$op; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1061=(($1060)|0)==79; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1061) { __label__ = 156; break; } else { __label__ = 157; break; } //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 156: 
      var $1063=HEAP32[(($3)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1064=(($1063+56)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1065=HEAP32[(($1064)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1066=(($1065+376)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1067=HEAP32[(($3)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1068=(($63)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1069=HEAP32[(($1068)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1070=HEAP32[(($pc)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1071=(($63)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1072=HEAP32[(($1071)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1073=(($1072)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1074=HEAP32[(($1073)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1075=$1070; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1076=$1074; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1077=(($1075-$1076)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($1066, $1067, $1069, $1077, 0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 157; break; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 157: 
      var $1079=HEAP32[(($pc)>>2)]; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1080=HEAP32[(($argCount)>>2)]; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1081=(($1080+1)|0); //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1082=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1079, $1081); //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1083=HEAP32[(($3)>>2)]; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1084=$callsite; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addCallEP9JSContextPNS0_12TypeCallsiteE($1082, $1083, $1084); //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 158: 
      var $1086=HEAP32[(($3)>>2)]; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1087=(($63)|0); //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1088=HEAP32[(($1087)>>2)]; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1089=HEAP32[(($pc)>>2)]; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1090=__ZL18GetInitializerTypeP9JSContextP8JSScriptPh($1086, $1088, $1089); //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $initializer=$1090; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1091=(($63)|0); //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1092=HEAP32[(($1091)>>2)]; //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1093=__ZNK8JSScript9hasGlobalEv($1092); //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1093) { __label__ = 159; break; } else { __label__ = 162; break; } //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 159: 
      var $1095=$initializer; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1096=(($1095)|0)!=0; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1096) { __label__ = 161; break; } else { __label__ = 160; break; } //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 160: 
      $1=0; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 161: 
      var $1099=$pushed; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1100=(($1099)|0); //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1101=HEAP32[(($3)>>2)]; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1102=$initializer; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($41, $1102); //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1100, $1101, $41); //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 163; break; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 162: 
      var $1104=$pushed; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1105=(($1104)|0); //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1106=HEAP32[(($3)>>2)]; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($42); //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1105, $1106, $42); //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 163; break;
    case 163: 
      __label__ = 237; break; //@line 3813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 164: 
      var $1109=HEAP32[(($pc)>>2)]; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1110=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($63, $1109, 2); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $objv=$1110; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1111=(($63)|0); //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1112=HEAP32[(($1111)>>2)]; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1113=(($1112)|0); //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1114=HEAP32[(($1113)>>2)]; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1115=$objv; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1116=__ZNK2js7analyze8SSAValue12pushedOffsetEv($1115); //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1117=(($1114+$1116)|0); //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $initpc=$1117; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1118=HEAP32[(($3)>>2)]; //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1119=(($63)|0); //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1120=HEAP32[(($1119)>>2)]; //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1121=$initpc; //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1122=__ZL18GetInitializerTypeP9JSContextP8JSScriptPh($1118, $1120, $1121); //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $initializer24=$1122; //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1123=$initializer24; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1124=(($1123)|0)!=0; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1124) { __label__ = 165; break; } else { __label__ = 178; break; } //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 165: 
      var $1126=$pushed; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1127=(($1126)|0); //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1128=HEAP32[(($3)>>2)]; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1129=$initializer24; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($43, $1129); //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1127, $1128, $43); //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1130=$initializer24; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1131=__ZN2js5types10TypeObject17unknownPropertiesEv($1130); //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1131) { __label__ = 177; break; } else { __label__ = 166; break; } //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 166: 
      var $1133=$initializer24; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1134=HEAP32[(($3)>>2)]; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1135=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($1133, $1134, 2, 1); //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types25=$1135; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1136=$types25; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1137=(($1136)|0)!=0; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1137) { __label__ = 168; break; } else { __label__ = 167; break; } //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 167: 
      $1=0; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 168: 
      var $1140=$5; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1141=(($1140+24)|0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1142=HEAP8[($1141)]; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1143=(($1142) & 1); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1143) { __label__ = 169; break; } else { __label__ = 170; break; } //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 169: 
      var $1145=$types25; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1146=HEAP32[(($3)>>2)]; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($44); //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1145, $1146, $44); //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 176; break; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 170: 
      var $1148=$5; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1149=(($1148+25)|0); //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1150=HEAP8[($1149)]; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1151=(($1150) & 1); //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1151) { __label__ = 171; break; } else { __label__ = 174; break; } //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 171: 
      var $1153=$initializer24; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1154=__ZN2js5types10TypeObject17unknownPropertiesEv($1153); //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1154) { __label__ = 173; break; } else { __label__ = 172; break; } //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 172: 
      var $1156=$initializer24; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1157=HEAP32[(($3)>>2)]; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject8setFlagsEP9JSContextj($1156, $1157, 131072); //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 173; break; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 173: 
      __label__ = 175; break; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 174: 
      var $1160=HEAP32[(($pc)>>2)]; //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1161=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1160, 0); //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1162=HEAP32[(($3)>>2)]; //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1163=$types25; //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1161, $1162, $1163); //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 175; break;
    case 175: 
      __label__ = 176; break;
    case 176: 
      __label__ = 177; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 177: 
      __label__ = 179; break; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 178: 
      var $1168=$pushed; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1169=(($1168)|0); //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1170=HEAP32[(($3)>>2)]; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($45); //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1169, $1170, $45); //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 179; break;
    case 179: 
      var $1172=$5; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1173=(($1172+24)|0); //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($1173)]=0; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1174=$5; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1175=(($1174+25)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($1175)]=0; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 180: 
      var $1177=$5; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1178=(($1177+24)|0); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($1178)]=1; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 181: 
      var $1180=$5; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1181=(($1180+25)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($1181)]=1; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 182: 
      var $1183=HEAP32[(($pc)>>2)]; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1184=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($63, $1183, 1); //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $objv26=$1184; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1185=(($63)|0); //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1186=HEAP32[(($1185)>>2)]; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1187=(($1186)|0); //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1188=HEAP32[(($1187)>>2)]; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1189=$objv26; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1190=__ZNK2js7analyze8SSAValue12pushedOffsetEv($1189); //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1191=(($1188+$1190)|0); //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $initpc27=$1191; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1192=HEAP32[(($3)>>2)]; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1193=(($63)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1194=HEAP32[(($1193)>>2)]; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1195=$initpc27; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1196=__ZL18GetInitializerTypeP9JSContextP8JSScriptPh($1192, $1194, $1195); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $initializer28=$1196; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1197=$initializer28; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1198=(($1197)|0)!=0; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1198) { __label__ = 183; break; } else { __label__ = 195; break; } //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 183: 
      var $1200=$pushed; //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1201=(($1200)|0); //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1202=HEAP32[(($3)>>2)]; //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1203=$initializer28; //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($46, $1203); //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1201, $1202, $46); //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1204=$initializer28; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1205=__ZN2js5types10TypeObject17unknownPropertiesEv($1204); //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1205) { __label__ = 194; break; } else { __label__ = 184; break; } //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 184: 
      var $1207=HEAP32[(($3)>>2)]; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1208=(($63)|0); //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1209=HEAP32[(($1208)>>2)]; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1210=HEAP32[(($pc)>>2)]; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1211=__ZL9GetAtomIdP9JSContextP8JSScriptPKhj($1207, $1209, $1210, 0); //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id29=$1211; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1212=$initializer28; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1213=HEAP32[(($3)>>2)]; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1214=$id29; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1215=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($1212, $1213, $1214, 1); //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types30=$1215; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1216=$types30; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1217=(($1216)|0)!=0; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1217) { __label__ = 186; break; } else { __label__ = 185; break; } //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 185: 
      $1=0; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 186: 
      var $1220=$id29; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1221=HEAP32[(($3)>>2)]; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1222=__ZL12id___proto__P9JSContext($1221); //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1223=(($1220)|0)==(($1222)|0); //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1223) { __label__ = 188; break; } else { __label__ = 187; break; } //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 187: 
      var $1225=$id29; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1226=HEAP32[(($3)>>2)]; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1227=__ZL12id_prototypeP9JSContext($1226); //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1228=(($1225)|0)==(($1227)|0); //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1228) { __label__ = 188; break; } else { __label__ = 189; break; } //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 188: 
      var $1230=HEAP32[(($3)>>2)]; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1231=(($1230+56)|0); //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1232=HEAP32[(($1231)>>2)]; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1233=(($1232+376)|0); //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1234=HEAP32[(($3)>>2)]; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1235=(($63)|0); //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1236=HEAP32[(($1235)>>2)]; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1237=$4; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($1233, $1234, $1236, $1237, 0); //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 193; break; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 189: 
      var $1239=$5; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1240=(($1239+24)|0); //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1241=HEAP8[($1240)]; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1242=(($1241) & 1); //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1242) { __label__ = 190; break; } else { __label__ = 191; break; } //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 190: 
      var $1244=$types30; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1245=HEAP32[(($3)>>2)]; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($47); //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1244, $1245, $47); //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 192; break; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 191: 
      var $1247=HEAP32[(($pc)>>2)]; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1248=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1247, 0); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1249=HEAP32[(($3)>>2)]; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1250=$types30; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1248, $1249, $1250); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 192; break;
    case 192: 
      __label__ = 193; break;
    case 193: 
      __label__ = 194; break; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 194: 
      __label__ = 196; break; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 195: 
      var $1255=$pushed; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1256=(($1255)|0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1257=HEAP32[(($3)>>2)]; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($48); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1256, $1257, $48); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 196; break;
    case 196: 
      var $1259=$5; //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1260=(($1259+24)|0); //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($1260)]=0; //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 197: 
      __label__ = 237; break; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 198: 
      var $1263=$5; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1264=(($1263+28)|0); //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1265=HEAP32[(($1264)>>2)]; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1266=(($1265)|0)!=0; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1266) { __label__ = 202; break; } else { __label__ = 199; break; } //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 199: 
      var $1268=HEAP32[(($3)>>2)]; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1269=__ZN2js5types7TypeSet4makeEP9JSContextPKc($1268, ((STRING_TABLE.__str461616)|0)); //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1270=$5; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1271=(($1270+28)|0); //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($1271)>>2)]=$1269; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1272=$5; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1273=(($1272+28)|0); //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1274=HEAP32[(($1273)>>2)]; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1275=(($1274)|0)!=0; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1275) { __label__ = 201; break; } else { __label__ = 200; break; } //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 200: 
      $1=0; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 201: 
      __label__ = 202; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 202: 
      var $1279=HEAP32[(($pc)>>2)]; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1280=(($1279+1)|0); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1281=HEAPU8[($1280)]; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1282=(($1281)&255); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1283=$1282 & 2; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1284=(($1283)|0)!=0; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1284) { __label__ = 203; break; } else { __label__ = 204; break; } //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 203: 
      var $1286=$5; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1287=(($1286+28)|0); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1288=HEAP32[(($1287)>>2)]; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1289=HEAP32[(($3)>>2)]; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($49); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1288, $1289, $49); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 205; break; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 204: 
      var $1291=$5; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1292=(($1291+28)|0); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1293=HEAP32[(($1292)>>2)]; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1294=HEAP32[(($3)>>2)]; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10StringTypeEv($50); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1293, $1294, $50); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 205; break;
    case 205: 
      __label__ = 237; break; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 206: 
      var $1297=$5; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1298=(($1297+28)|0); //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1299=HEAP32[(($1298)>>2)]; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1300=HEAP32[(($3)>>2)]; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1301=$pushed; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1302=(($1301)|0); //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1299, $1300, $1302); //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 207: 
      var $1304=$pushed; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1305=(($1304+12)|0); //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1306=HEAP32[(($3)>>2)]; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11BooleanTypeEv($51); //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1305, $1306, $51); //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 208: 
      var $1308=HEAP32[(($3)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1309=(($1308+56)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1310=HEAP32[(($1309)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1311=(($1310+376)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1312=HEAP32[(($3)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1313=(($63)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1314=HEAP32[(($1313)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1315=$4; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($1311, $1312, $1314, $1315, 0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 209: 
      var $1317=$pushed; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1318=(($1317)|0); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1319=HEAP32[(($3)>>2)]; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($52); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1318, $1319, $52); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 210: 
      var $1321=$pushed; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1322=(($1321)|0); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1323=HEAP32[(($3)>>2)]; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11BooleanTypeEv($53); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1322, $1323, $53); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 211: 
      var $1325=HEAP32[(($pc)>>2)]; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1326=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1325, 0); //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1327=HEAP32[(($3)>>2)]; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1328=$pushed; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1329=(($1328)|0); //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1326, $1327, $1329); //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 212: 
      var $1331=HEAP32[(($pc)>>2)]; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1332=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1331, 1); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1333=HEAP32[(($3)>>2)]; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1334=$pushed; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1335=(($1334)|0); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1332, $1333, $1335); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 213: 
      var $1337=HEAP32[(($pc)>>2)]; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1338=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1337, 0); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1339=HEAP32[(($3)>>2)]; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1340=$pushed; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1341=(($1340)|0); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1338, $1339, $1341); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 214: 
      var $1343=(($63)|0); //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1344=HEAP32[(($1343)>>2)]; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1345=$1344; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1346=(($1345+37)|0); //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1347=HEAPU8[($1346)]; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1348=(($1347)&255) >>> 2; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1349=$1348 & 1; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1350=(($1349) & 1); //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1350) { __label__ = 215; break; } else { __label__ = 223; break; } //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 215: 
      var $1352=(($63)|0); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1353=HEAP32[(($1352)>>2)]; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1354=__ZNK8JSScript9hasGlobalEv($1353); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1354) { __label__ = 216; break; } else { __label__ = 221; break; } //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 216: 
      var $1356=(($63)|0); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1357=HEAP32[(($1356)>>2)]; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1358=__ZNK8JSScript6globalEv($1357); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1359=HEAP32[(($3)>>2)]; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1360=__ZN2js12GlobalObject29getOrCreateGeneratorPrototypeEP9JSContext($1358, $1359); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $proto=$1360; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1361=$proto; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1362=(($1361)|0)!=0; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1362) { __label__ = 218; break; } else { __label__ = 217; break; } //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 217: 
      $1=0; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 218: 
      var $1365=$proto; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1366=HEAP32[(($3)>>2)]; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1367=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($1365, $1366, 0, 0); //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object31=$1367; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1368=$object31; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1369=(($1368)|0)!=0; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1369) { __label__ = 220; break; } else { __label__ = 219; break; } //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 219: 
      $1=0; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 220: 
      var $1372=(($63)|0); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1373=HEAP32[(($1372)>>2)]; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1374=__ZN2js5types10TypeScript11ReturnTypesEP8JSScript($1373); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1375=HEAP32[(($3)>>2)]; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1376=$object31; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE($54, $1376); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1374, $1375, $54); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 222; break; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 221: 
      var $1378=(($63)|0); //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1379=HEAP32[(($1378)>>2)]; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1380=__ZN2js5types10TypeScript11ReturnTypesEP8JSScript($1379); //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1381=HEAP32[(($3)>>2)]; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($55); //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1380, $1381, $55); //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 222; break;
    case 222: 
      __label__ = 223; break; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 223: 
      __label__ = 237; break; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 224: 
      var $1385=$pushed; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1386=(($1385)|0); //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1387=HEAP32[(($3)>>2)]; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($56); //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1386, $1387, $56); //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 225: 
      var $1389=$pushed; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1390=(($1389+12)|0); //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1391=HEAP32[(($3)>>2)]; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($57); //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1390, $1391, $57); //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 226; break; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 226: 
      var $1393=$pushed; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1394=(($1393)|0); //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1395=HEAP32[(($3)>>2)]; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($58); //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1394, $1395, $58); //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 227: 
      var $1397=HEAP32[(($3)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1398=(($1397+56)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1399=HEAP32[(($1398)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1400=(($1399+376)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1401=HEAP32[(($3)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1402=(($63)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1403=HEAP32[(($1402)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1404=$4; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb($1400, $1401, $1403, $1404, 0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1405=HEAP32[(($pc)>>2)]; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1406=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1405, 0); //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1407=HEAP32[(($3)>>2)]; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1408=$pushed; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1409=(($1408)|0); //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1406, $1407, $1409); //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 228: 
      var $1411=$pushed; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1412=(($1411)|0); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1413=HEAP32[(($3)>>2)]; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($59); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1412, $1413, $59); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 229: 
      var $1415=HEAP32[(($pc)>>2)]; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1416=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1415, 0); //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1417=HEAP32[(($3)>>2)]; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1418=$pushed; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1419=(($1418)|0); //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1416, $1417, $1419); //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 230: 
      var $1421=HEAP32[(($pc)>>2)]; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1422=__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($63, $1421, 1); //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1423=HEAP32[(($3)>>2)]; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1424=$pushed; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1425=(($1424)|0); //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($1422, $1423, $1425); //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 231: 
      var $1427=$pushed; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1428=(($1427)|0); //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1429=HEAP32[(($3)>>2)]; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($60); //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1428, $1429, $60); //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 232: 
      var $1431=(($63)|0); //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1432=HEAP32[(($1431)>>2)]; //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1433=__ZNK8JSScript9hasGlobalEv($1432); //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($1433) { __label__ = 233; break; } else { __label__ = 234; break; } //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 233: 
      var $1435=$pushed; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1436=(($1435)|0); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1437=HEAP32[(($3)>>2)]; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1438=(($63)|0); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1439=HEAP32[(($1438)>>2)]; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1440=__ZNK8JSScript8functionEv($1439); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1441=$1440; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type10ObjectTypeEP8JSObject($61, $1441); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1436, $1437, $61); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 235; break; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 234: 
      var $1443=$pushed; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1444=(($1443)|0); //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1445=HEAP32[(($3)>>2)]; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($62); //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($1444, $1445, $62); //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 235; break;
    case 235: 
      __label__ = 237; break; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 236: 
      var $1448=HEAP32[((_stderr)>>2)]; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1449=$op; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1450=(($63)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1451=HEAP32[(($1450)>>2)]; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1452=__ZN8JSScript2idEv($1451); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1453=$4; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1454=_fprintf($1448, ((STRING_TABLE.__str471617)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1449,HEAP32[((tempInt+4)>>2)]=$1452,HEAP32[((tempInt+8)>>2)]=$1453,tempInt)); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1455=HEAP32[(($3)>>2)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $1456=$op; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types11TypeFailureEP9JSContextPKcz($1455, ((STRING_TABLE.__str481618)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1456,tempInt)); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 237; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 237: 
      $1=1; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 238; break; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 238: 
      var $1459=$1; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $1459; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis20analyzeTypesBytecodeEP9JSContextjRNS1_18TypeInferenceStateE["X"]=1;

function __ZN2js10ArenaArrayINS_5types7TypeSetEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=(($7*12)|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayINS_5types7TypeSetEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2jsL7PodZeroINS_5types7TypeSetEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=(($5*12)|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types4Type11BooleanTypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 3); //@line 150 "./jsinfer.h"
  ;
  return; //@line 150 "./jsinfer.h"
}


function __ZN2js5types4Type8NullTypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 6); //@line 149 "./jsinfer.h"
  ;
  return; //@line 149 "./jsinfer.h"
}


function __ZL15GetScriptObjectP9JSContextP8JSScriptPKhj($cx, $script, $pc, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $index;
  $1=$cx;
  $2=$script;
  $3=$pc;
  $4=$offset;
  var $5=$1; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$2; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$3; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$4; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=_js_GetIndexFromBytecode($5, $6, $7, $8); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  $index=$9; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$2; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$index; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=__ZN8JSScript9getObjectEj($10, $11); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $12; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj($this, $pc, $which) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$pc;
  $3=$which;
  var $4=$1;
  var $5=$2; //@line 1098 "./jsanalyze.h"
  var $6=$3; //@line 1098 "./jsanalyze.h"
  var $7=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($4, $5, $6); //@line 1098 "./jsanalyze.h"
  var $8=__ZN2js7analyze14ScriptAnalysis13getValueTypesERKNS0_8SSAValueE($4, $7); //@line 1098 "./jsanalyze.h"
  ;
  return $8; //@line 1098 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($this, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pc;
  var $3=$1;
  var $4=$2; //@line 1005 "./jsanalyze.h"
  var $5=__ZN2js7analyze14ScriptAnalysis7getCodeEPKh($3, $4); //@line 1005 "./jsanalyze.h"
  var $6=(($5+16)|0); //@line 1005 "./jsanalyze.h"
  var $7=$6; //@line 1005 "./jsanalyze.h"
  var $8=HEAP32[(($7)>>2)]; //@line 1005 "./jsanalyze.h"
  ;
  return $8; //@line 1005 "./jsanalyze.h"
}


function __ZL13CheckNextTestPh($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $next;
      $2=$pc;
      var $3=$2; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=$2; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=__ZN2js7analyzeL17GetBytecodeLengthEPh1712($4); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($3+$5)|0); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $next=$6; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$next; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAPU8[($7)]; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)&255); //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ((($9)|0) == 7 || (($9)|0) == 8 || (($9)|0) == 32 || (($9)|0) == 68 || (($9)|0) == 144 || (($9)|0) == 69 || (($9)|0) == 145 || (($9)|0) == 39 || (($9)|0) == 200) {
        __label__ = 2; break;
      }
      else {
      __label__ = 3; break;
      }
      
    case 2: 
      $1=1; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=0; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $13=$1; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $13; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh1709($script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 437 "./jsanalyze.h"
      var $5=HEAPU8[($4)]; //@line 437 "./jsanalyze.h"
      var $6=(($5)&255); //@line 437 "./jsanalyze.h"
      if ((($6)|0) == 84 || (($6)|0) == 216 || (($6)|0) == 85 || (($6)|0) == 97 || (($6)|0) == 98 || (($6)|0) == 99 || (($6)|0) == 100) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 86 || (($6)|0) == 215 || (($6)|0) == 87 || (($6)|0) == 132 || (($6)|0) == 140 || (($6)|0) == 223 || (($6)|0) == 101 || (($6)|0) == 102 || (($6)|0) == 103 || (($6)|0) == 104) {
        __label__ = 3; break;
      }
      else if ((($6)|0) == 65) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 2: 
      var $8=$3; //@line 446 "./jsanalyze.h"
      var $9=(($8+1)|0); //@line 446 "./jsanalyze.h"
      var $10=HEAPU8[($9)]; //@line 446 "./jsanalyze.h"
      var $11=(($10)&255); //@line 446 "./jsanalyze.h"
      var $12=$11 << 8; //@line 446 "./jsanalyze.h"
      var $13=$3; //@line 446 "./jsanalyze.h"
      var $14=(($13+2)|0); //@line 446 "./jsanalyze.h"
      var $15=HEAPU8[($14)]; //@line 446 "./jsanalyze.h"
      var $16=(($15)&255); //@line 446 "./jsanalyze.h"
      var $17=$12 | $16; //@line 446 "./jsanalyze.h"
      var $18=__ZN2js7analyzeL7ArgSlotEj1706($17); //@line 446 "./jsanalyze.h"
      $1=$18; //@line 446 "./jsanalyze.h"
      __label__ = 6; break; //@line 446 "./jsanalyze.h"
    case 3: 
      var $20=$2; //@line 458 "./jsanalyze.h"
      var $21=$3; //@line 458 "./jsanalyze.h"
      var $22=(($21+1)|0); //@line 458 "./jsanalyze.h"
      var $23=HEAPU8[($22)]; //@line 458 "./jsanalyze.h"
      var $24=(($23)&255); //@line 458 "./jsanalyze.h"
      var $25=$24 << 8; //@line 458 "./jsanalyze.h"
      var $26=$3; //@line 458 "./jsanalyze.h"
      var $27=(($26+2)|0); //@line 458 "./jsanalyze.h"
      var $28=HEAPU8[($27)]; //@line 458 "./jsanalyze.h"
      var $29=(($28)&255); //@line 458 "./jsanalyze.h"
      var $30=$25 | $29; //@line 458 "./jsanalyze.h"
      var $31=__ZN2js7analyzeL9LocalSlotEP8JSScriptj1707($20, $30); //@line 458 "./jsanalyze.h"
      $1=$31; //@line 458 "./jsanalyze.h"
      __label__ = 6; break; //@line 458 "./jsanalyze.h"
    case 4: 
      var $33=__ZN2js7analyzeL8ThisSlotEv1761(); //@line 461 "./jsanalyze.h"
      $1=$33; //@line 461 "./jsanalyze.h"
      __label__ = 6; break; //@line 461 "./jsanalyze.h"
    case 5: 
      $1=0; //@line 465 "./jsanalyze.h"
      __label__ = 6; break; //@line 465 "./jsanalyze.h"
    case 6: 
      var $36=$1; //@line 467 "./jsanalyze.h"
      ;
      return $36; //@line 467 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyzeL10TotalSlotsEP8JSScript1710($script) {
  ;
  var __label__;

  var $1;
  $1=$script;
  var $2=$1; //@line 428 "./jsanalyze.h"
  var $3=__ZN2js7analyzeL9LocalSlotEP8JSScriptj1707($2, 0); //@line 428 "./jsanalyze.h"
  var $4=$1; //@line 428 "./jsanalyze.h"
  var $5=(($4+14)|0); //@line 428 "./jsanalyze.h"
  var $6=HEAPU16[(($5)>>1)]; //@line 428 "./jsanalyze.h"
  var $7=(($6)&65535); //@line 428 "./jsanalyze.h"
  var $8=(($3+$7)|0); //@line 428 "./jsanalyze.h"
  ;
  return $8; //@line 428 "./jsanalyze.h"
}


function __ZN2js5types4Type12LazyArgsTypeEv($agg_result) {
  ;
  var __label__;

  __ZN2js5types4TypeC1Ej($agg_result, 4); //@line 154 "./jsinfer.h"
  ;
  return; //@line 154 "./jsinfer.h"
}


function __ZN2js7analyzeL11GetUseCountEP8JSScriptj1711($script, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pc;
      $2=$script;
      $3=$offset;
      var $4=$2; //@line 279 "./jsanalyze.h"
      var $5=(($4)|0); //@line 279 "./jsanalyze.h"
      var $6=HEAP32[(($5)>>2)]; //@line 279 "./jsanalyze.h"
      var $7=$3; //@line 279 "./jsanalyze.h"
      var $8=(($6+$7)|0); //@line 279 "./jsanalyze.h"
      $pc=$8; //@line 279 "./jsanalyze.h"
      var $9=$pc; //@line 282 "./jsanalyze.h"
      var $10=HEAPU8[($9)]; //@line 282 "./jsanalyze.h"
      var $11=(($10)&255); //@line 282 "./jsanalyze.h"
      var $12=(($11)|0)==133; //@line 282 "./jsanalyze.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 282 "./jsanalyze.h"
    case 2: 
      var $14=$pc; //@line 283 "./jsanalyze.h"
      var $15=(($14+1)|0); //@line 283 "./jsanalyze.h"
      var $16=HEAPU8[($15)]; //@line 283 "./jsanalyze.h"
      var $17=(($16)&255); //@line 283 "./jsanalyze.h"
      var $18=(($17+1)|0); //@line 283 "./jsanalyze.h"
      $1=$18; //@line 283 "./jsanalyze.h"
      __label__ = 6; break; //@line 283 "./jsanalyze.h"
    case 3: 
      var $20=$pc; //@line 284 "./jsanalyze.h"
      var $21=HEAPU8[($20)]; //@line 284 "./jsanalyze.h"
      var $22=(($21)&255); //@line 284 "./jsanalyze.h"
      var $23=((_js_CodeSpec+($22<<3))|0); //@line 284 "./jsanalyze.h"
      var $24=(($23+1)|0); //@line 284 "./jsanalyze.h"
      var $25=HEAP8[($24)]; //@line 284 "./jsanalyze.h"
      var $26=(($25 << 24) >> 24); //@line 284 "./jsanalyze.h"
      var $27=(($26)|0)==-1; //@line 284 "./jsanalyze.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 284 "./jsanalyze.h"
    case 4: 
      var $29=$pc; //@line 285 "./jsanalyze.h"
      var $30=HEAPU8[($29)]; //@line 285 "./jsanalyze.h"
      var $31=(($30)&255); //@line 285 "./jsanalyze.h"
      var $32=$pc; //@line 285 "./jsanalyze.h"
      var $33=_js_GetVariableStackUses($31, $32); //@line 285 "./jsanalyze.h"
      $1=$33; //@line 285 "./jsanalyze.h"
      __label__ = 6; break; //@line 285 "./jsanalyze.h"
    case 5: 
      var $35=$pc; //@line 286 "./jsanalyze.h"
      var $36=HEAPU8[($35)]; //@line 286 "./jsanalyze.h"
      var $37=(($36)&255); //@line 286 "./jsanalyze.h"
      var $38=((_js_CodeSpec+($37<<3))|0); //@line 286 "./jsanalyze.h"
      var $39=(($38+1)|0); //@line 286 "./jsanalyze.h"
      var $40=HEAP8[($39)]; //@line 286 "./jsanalyze.h"
      var $41=(($40 << 24) >> 24); //@line 286 "./jsanalyze.h"
      $1=$41; //@line 286 "./jsanalyze.h"
      __label__ = 6; break; //@line 286 "./jsanalyze.h"
    case 6: 
      var $43=$1; //@line 287 "./jsanalyze.h"
      ;
      return $43; //@line 287 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyzeL11GetUseCountEP8JSScriptj1711["X"]=1;

function __ZN2js8ArenaNewINS_5types12TypeCallsiteEP9JSContextP8JSScriptPhbjEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_($pool, $a, $b, $c, $d, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      $5=$d;
      $6=$e;
      __label__ = 2; break; //@line 289 "./jsarena.h"
    case 2: 
      var $8=$1; //@line 289 "./jsarena.h"
      var $9=(($8+16)|0); //@line 289 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 289 "./jsarena.h"
      $_a=$10; //@line 289 "./jsarena.h"
      var $11=$1; //@line 289 "./jsarena.h"
      var $12=(($11+24)|0); //@line 289 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 289 "./jsarena.h"
      var $14=(($13+28)|0); //@line 289 "./jsarena.h"
      var $15=$1; //@line 289 "./jsarena.h"
      var $16=(($15+24)|0); //@line 289 "./jsarena.h"
      var $17=HEAP32[(($16)>>2)]; //@line 289 "./jsarena.h"
      var $18=$17 ^ -1; //@line 289 "./jsarena.h"
      var $19=$14 & $18; //@line 289 "./jsarena.h"
      $_nb=$19; //@line 289 "./jsarena.h"
      var $20=$_a; //@line 289 "./jsarena.h"
      var $21=(($20+12)|0); //@line 289 "./jsarena.h"
      var $22=HEAP32[(($21)>>2)]; //@line 289 "./jsarena.h"
      $_p=$22; //@line 289 "./jsarena.h"
      var $23=$_nb; //@line 289 "./jsarena.h"
      var $24=$_a; //@line 289 "./jsarena.h"
      var $25=(($24+8)|0); //@line 289 "./jsarena.h"
      var $26=HEAPU32[(($25)>>2)]; //@line 289 "./jsarena.h"
      var $27=(($23)>>>0) > (($26)>>>0); //@line 289 "./jsarena.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 289 "./jsarena.h"
    case 3: 
      var $29=$_p; //@line 289 "./jsarena.h"
      var $30=$_a; //@line 289 "./jsarena.h"
      var $31=(($30+8)|0); //@line 289 "./jsarena.h"
      var $32=HEAP32[(($31)>>2)]; //@line 289 "./jsarena.h"
      var $33=$_nb; //@line 289 "./jsarena.h"
      var $34=(($32-$33)|0); //@line 289 "./jsarena.h"
      var $35=(($29)>>>0) > (($34)>>>0); //@line 289 "./jsarena.h"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 289 "./jsarena.h"
    case 4: 
      var $37=$1; //@line 289 "./jsarena.h"
      var $38=$_nb; //@line 289 "./jsarena.h"
      var $39=_JS_ArenaAllocate($37, $38); //@line 289 "./jsarena.h"
      var $40=$39; //@line 289 "./jsarena.h"
      $_p=$40; //@line 289 "./jsarena.h"
      __label__ = 6; break; //@line 289 "./jsarena.h"
    case 5: 
      var $42=$_p; //@line 289 "./jsarena.h"
      var $43=$_nb; //@line 289 "./jsarena.h"
      var $44=(($42+$43)|0); //@line 289 "./jsarena.h"
      var $45=$_a; //@line 289 "./jsarena.h"
      var $46=(($45+12)|0); //@line 289 "./jsarena.h"
      HEAP32[(($46)>>2)]=$44; //@line 289 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $48=$_p; //@line 289 "./jsarena.h"
      var $49=$48; //@line 289 "./jsarena.h"
      $v=$49; //@line 289 "./jsarena.h"
      __label__ = 7; break; //@line 289 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 289 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 289 "./jsarena.h"
    case 9: 
      var $53=$v; //@line 290 "./jsarena.h"
      var $54=(($53)|0)!=0; //@line 290 "./jsarena.h"
      if ($54) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 290 "./jsarena.h"
    case 10: 
      var $56=$v; //@line 290 "./jsarena.h"
      var $57=(($56)|0)==0; //@line 290 "./jsarena.h"
      if ($57) { var $72 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 290 "./jsarena.h"
    case 11: 
      var $59=$56; //@line 290 "./jsarena.h"
      var $60=$2; //@line 290 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 290 "./jsarena.h"
      var $62=$3; //@line 290 "./jsarena.h"
      var $63=HEAP32[(($62)>>2)]; //@line 290 "./jsarena.h"
      var $64=$4; //@line 290 "./jsarena.h"
      var $65=HEAP32[(($64)>>2)]; //@line 290 "./jsarena.h"
      var $66=$5; //@line 290 "./jsarena.h"
      var $67=HEAP8[($66)]; //@line 290 "./jsarena.h"
      var $68=(($67) & 1); //@line 290 "./jsarena.h"
      var $69=$6; //@line 290 "./jsarena.h"
      var $70=HEAP32[(($69)>>2)]; //@line 290 "./jsarena.h"
      __ZN2js5types12TypeCallsiteC1EP9JSContextP8JSScriptPhbj($59, $61, $63, $65, $68, $70); //@line 290 "./jsarena.h"
      var $72 = $59;__label__ = 12; break; //@line 290 "./jsarena.h"
    case 12: 
      var $72; //@line 290 "./jsarena.h"
      var $75 = $72;__label__ = 14; break; //@line 290 "./jsarena.h"
    case 13: 
      var $75 = 0;__label__ = 14; break; //@line 290 "./jsarena.h"
    case 14: 
      var $75; //@line 290 "./jsarena.h"
      ;
      return $75; //@line 290 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_5types12TypeCallsiteEP9JSContextP8JSScriptPhbjEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_["X"]=1;

function __ZL18GetInitializerTypeP9JSContextP8JSScriptPh($cx, $script, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $untrap=__stackBase__;
      var $op;
      var $isArray;
      var $5;
      $2=$cx;
      $3=$script;
      $4=$pc;
      var $6=$3; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=__ZNK8JSScript9hasGlobalEv($6); //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=0; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=$2; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$3; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$4; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $10, $11, $12); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$4; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAPU8[($13)]; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)&255); //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $op=$15; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$op; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16)|0)==90; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { var $30 = 1;__label__ = 7; break; } else { __label__ = 4; break; } //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $19=$op; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19)|0)==89; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($20) { __label__ = 5; break; } else { var $28 = 0;__label__ = 6; break; } //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $22=$4; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+1)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAPU8[($23)]; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24)&255); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25)|0)==3; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28 = $26;__label__ = 6; break;
    case 6: 
      var $28;
      var $30 = $28;__label__ = 7; break;
    case 7: 
      var $30;
      var $31=(($30)&1);
      $isArray=$31;
      var $32=$2; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$3; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$4; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$isArray; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35) & 1); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$36 ? 3 : 1; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=__ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey($32, $33, $34, $37); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$38; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break;
    case 8: 
      var $40=$1; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18GetInitializerTypeP9JSContextP8JSScriptPh["X"]=1;

function __ZL12id___proto__P9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $3=(($2+52)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=(($4+209948)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($5+344)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$7; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=__ZL12ATOM_TO_JSIDP6JSAtom1694($8); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $9; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js12GlobalObject29getOrCreateGeneratorPrototypeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$4; //@line 211 "./vm/GlobalObject.h"
      var $6=__ZN8JSObject10getSlotRefEj($5, 112); //@line 211 "./vm/GlobalObject.h"
      $v=$6; //@line 211 "./vm/GlobalObject.h"
      var $7=$v; //@line 212 "./vm/GlobalObject.h"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 212 "./vm/GlobalObject.h"
      if ($8) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 212 "./vm/GlobalObject.h"
    case 2: 
      var $10=$3; //@line 212 "./vm/GlobalObject.h"
      var $11=$4; //@line 212 "./vm/GlobalObject.h"
      var $12=__Z22js_InitIteratorClassesP9JSContextP8JSObject($10, $11); //@line 212 "./vm/GlobalObject.h"
      var $13=(($12)|0)!=0; //@line 212 "./vm/GlobalObject.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 212 "./vm/GlobalObject.h"
    case 3: 
      $1=0; //@line 213 "./vm/GlobalObject.h"
      __label__ = 5; break; //@line 213 "./vm/GlobalObject.h"
    case 4: 
      var $16=$v; //@line 215 "./vm/GlobalObject.h"
      var $17=__ZNK2JS5Value8toObjectEv($16); //@line 215 "./vm/GlobalObject.h"
      $1=$17; //@line 215 "./vm/GlobalObject.h"
      __label__ = 5; break; //@line 215 "./vm/GlobalObject.h"
    case 5: 
      var $19=$1; //@line 216 "./vm/GlobalObject.h"
      ;
      return $19; //@line 216 "./vm/GlobalObject.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis3OOMEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 937 "./jsanalyze.h"
  var $4=HEAP8[($3)]; //@line 937 "./jsanalyze.h"
  var $5=(($4) & 1); //@line 937 "./jsanalyze.h"
  ;
  return $5; //@line 937 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis6ranSSAEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+21)|0); //@line 925 "./jsanalyze.h"
  var $4=HEAP8[($3)]; //@line 925 "./jsanalyze.h"
  var $5=(($4) & 1); //@line 925 "./jsanalyze.h"
  ;
  return $5; //@line 925 "./jsanalyze.h"
}


function __ZNK2js7analyze14ScriptAnalysis14usesScopeChainEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 945 "./jsanalyze.h"
  var $4=(($3+24)|0); //@line 945 "./jsanalyze.h"
  var $5=HEAPU8[($4)]; //@line 945 "./jsanalyze.h"
  var $6=(($5)&255) >>> 1; //@line 945 "./jsanalyze.h"
  var $7=$6 & 1; //@line 945 "./jsanalyze.h"
  var $8=(($7) & 1); //@line 945 "./jsanalyze.h"
  ;
  return $8; //@line 945 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysis12extendsScopeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 961 "./jsanalyze.h"
  var $4=(($3+24)|0); //@line 961 "./jsanalyze.h"
  var $5=HEAPU8[($4)]; //@line 961 "./jsanalyze.h"
  var $6=(($5)&255) >>> 5; //@line 961 "./jsanalyze.h"
  var $7=$6 & 1; //@line 961 "./jsanalyze.h"
  var $8=(($7) & 1); //@line 961 "./jsanalyze.h"
  ;
  return $8; //@line 961 "./jsanalyze.h"
}


function __ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN2js7analyze14ScriptAnalysis16localsAliasStackEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 970 "./jsanalyze.h"
  var $4=(($3+24)|0); //@line 970 "./jsanalyze.h"
  var $5=HEAPU8[($4)]; //@line 970 "./jsanalyze.h"
  var $6=(($5)&255) >>> 7; //@line 970 "./jsanalyze.h"
  var $7=$6 & 1; //@line 970 "./jsanalyze.h"
  var $8=(($7) & 1); //@line 970 "./jsanalyze.h"
  ;
  return $8; //@line 970 "./jsanalyze.h"
}


function __ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK8JSScript16hasClearedGlobalEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $obj;
      $1=$this;
      var $2=$1;
      var $3=(($2+100)|0); //@line 196 "./jsscriptinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 196 "./jsscriptinlines.h"
      var $5=(($4+8)|0); //@line 196 "./jsscriptinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 196 "./jsscriptinlines.h"
      $obj=$6; //@line 196 "./jsscriptinlines.h"
      var $7=$obj; //@line 197 "./jsscriptinlines.h"
      var $8=(($7)|0)!=0; //@line 197 "./jsscriptinlines.h"
      if ($8) { __label__ = 2; break; } else { var $13 = 0;__label__ = 3; break; } //@line 197 "./jsscriptinlines.h"
    case 2: 
      var $10=$obj; //@line 197 "./jsscriptinlines.h"
      var $11=__ZNK2js12GlobalObject9isClearedEv($10); //@line 197 "./jsscriptinlines.h"
      var $13 = $11;__label__ = 3; break;
    case 3: 
      var $13;
      ;
      return $13; //@line 198 "./jsscriptinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19DetachNestingParentP8JSScript($script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $nesting;
      var $pscript;
      $1=$script;
      var $2=$1; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $3=__ZNK8JSScript7nestingEv($2); //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $nesting=$3; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=$nesting; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=(($4)|0)!=0; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $7=$nesting; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0); //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      __label__ = 9; break; //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $13=$nesting; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=__ZNK8JSScript7nestingEv($15); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16+4)|0); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pscript=$17; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $19=$pscript; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZNK8JSScript7nestingEv($20); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$nesting; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($21)|0)!=(($22)|0); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $25=$pscript; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZNK8JSScript7nestingEv($26); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+8)|0); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pscript=$28; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $30=$nesting; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30+8)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$pscript; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$nesting; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)|0); //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($35)>>2)]=0; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$1; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$36; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($37+37)|0); //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAPU8[($38)]; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39)&255) >>> 4; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$40 & 1; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41) & 1); //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $44=$1; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSScript12clearNestingEv($44); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      ;
      return; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19DetachNestingParentP8JSScript["X"]=1;

function __ZN2js7analyze14ScriptAnalysis18TypeInferenceStateC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1252 "./jsanalyze.h"
  __ZN2js7analyze14ScriptAnalysis18TypeInferenceStateC2EP9JSContext($3, $4); //@line 1252 "./jsanalyze.h"
  ;
  return; //@line 1252 "./jsanalyze.h"
}


function __ZN2js7analyzeL17GetBytecodeLengthEPh1712($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $op;
      $2=$pc;
      var $3=$2; //@line 231 "./jsanalyze.h"
      var $4=HEAPU8[($3)]; //@line 231 "./jsanalyze.h"
      var $5=(($4)&255); //@line 231 "./jsanalyze.h"
      $op=$5; //@line 231 "./jsanalyze.h"
      var $6=$op; //@line 235 "./jsanalyze.h"
      var $7=((_js_CodeSpec+($6<<3))|0); //@line 235 "./jsanalyze.h"
      var $8=(($7)|0); //@line 235 "./jsanalyze.h"
      var $9=HEAP8[($8)]; //@line 235 "./jsanalyze.h"
      var $10=(($9 << 24) >> 24); //@line 235 "./jsanalyze.h"
      var $11=(($10)|0)!=-1; //@line 235 "./jsanalyze.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 235 "./jsanalyze.h"
    case 2: 
      var $13=$op; //@line 236 "./jsanalyze.h"
      var $14=((_js_CodeSpec+($13<<3))|0); //@line 236 "./jsanalyze.h"
      var $15=(($14)|0); //@line 236 "./jsanalyze.h"
      var $16=HEAP8[($15)]; //@line 236 "./jsanalyze.h"
      var $17=(($16 << 24) >> 24); //@line 236 "./jsanalyze.h"
      $1=$17; //@line 236 "./jsanalyze.h"
      __label__ = 4; break; //@line 236 "./jsanalyze.h"
    case 3: 
      var $19=$2; //@line 237 "./jsanalyze.h"
      var $20=__Z28js_GetVariableBytecodeLengthPh($19); //@line 237 "./jsanalyze.h"
      $1=$20; //@line 237 "./jsanalyze.h"
      __label__ = 4; break; //@line 237 "./jsanalyze.h"
    case 4: 
      var $22=$1; //@line 238 "./jsanalyze.h"
      ;
      return $22; //@line 238 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextRKNS0_8SSAValueEPNS_6VectorIS4_Lj0ENS_15TempAllocPolicyEEE($this, $cx, $v, $seen) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      var $6=__stackBase__;
      var $use;
      $2=$this;
      $3=$cx;
      $4=$v;
      $5=$seen;
      var $7=$2;
      var $8=$4; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZN2js7analyze14ScriptAnalysis13trackUseChainERKNS0_8SSAValueE($7, $8); //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=1; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $i=0; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $13=$i; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$5; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE6lengthEv($14); //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($13)>>>0) < (($15)>>>0); //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $18=$4; //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$5; //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$i; //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEixEj($19, $20); //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=__ZNK2js7analyze8SSAValue6equalsERKS1_($18, $21); //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      $1=1; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 8; break; //@line 4222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $26=$i; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+1)|0); //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$27; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $29=$5; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$4; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$6; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$30; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($29, $6); //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $35=$3; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35+56)|0); //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($37+376)|0); //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$3; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($38, $39); //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $41=$4; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=__ZN2js7analyze14ScriptAnalysis8useChainERKNS0_8SSAValueE($7, $41); //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $use=$43; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $45=$use; //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45)|0)!=0; //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $48=$3; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$use; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$5; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextPNS0_11SSAUseChainEPNS_6VectorINS0_8SSAValueELj0ENS_15TempAllocPolicyEEE($7, $48, $49, $50); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      $1=0; //@line 4231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $54=$use; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54+8)|0); //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $use=$56; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 4233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      $1=1; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $59=$1; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextRKNS0_8SSAValueEPNS_6VectorIS4_Lj0ENS_15TempAllocPolicyEEE["X"]=1;

function __ZN2js7analyze8SSAValue11PushedValueEjj($agg_result, $offset, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$offset;
  $2=$index;
  var $3=$1; //@line 751 "./jsanalyze.h"
  var $4=$2; //@line 751 "./jsanalyze.h"
  __ZN2js7analyze8SSAValue10initPushedEjj($agg_result, $3, $4); //@line 751 "./jsanalyze.h"
  ;
  return; //@line 752 "./jsanalyze.h"
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js7analyze14ScriptAnalysis18TypeInferenceStateD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7analyze14ScriptAnalysis18TypeInferenceStateD2Ev($2); //@line 1245 "./jsanalyze.h"
  ;
  return; //@line 1245 "./jsanalyze.h"
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<3))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js7analyze14ScriptAnalysis12analyzeTypesEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $3=__stackBase__;
      var $nesting;
      var $detached;
      var $state=__stackBase__+4;
      var $offset;
      var $code;
      var $pc;
      var $untrap=__stackBase__+36;
      var $4;
      var $i1;
      var $node;
      var $j;
      var $v;
      var $result;
      var $5=__stackBase__+44;
      var $6=__stackBase__+48;
      var $code2;
      var $pc3;
      var $seen=__stackBase__+52;
      var $7=__stackBase__+76;
      var $8=__stackBase__+80;
      $1=$this;
      $2=$cx;
      var $9=$1;
      var $10=__ZN2js7analyze14ScriptAnalysis3OOMEv($9); //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$2; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12+56)|0); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14+376)|0); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$2; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($15, $16); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 72; break; //@line 4053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $18=(($9)|0); //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=__ZNK8JSScript16hasClearedGlobalEv($19); //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 72; break; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $23=__ZN2js7analyze14ScriptAnalysis6ranSSAEv($9); //@line 4067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 9; break; } else { __label__ = 6; break; } //@line 4067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $25=$2; //@line 4068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContext($9, $25); //@line 4068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZN2js7analyze14ScriptAnalysis6failedEv($9); //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 72; break; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __label__ = 9; break; //@line 4071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $30=(($9+23)|0); //@line 4077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($30)]=1; //@line 4077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $32=$i; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($9)|0); //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+14)|0); //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAPU16[(($35)>>1)]; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36)&65535); //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($32)>>>0) < (($37)>>>0); //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $40=(($9)|0); //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$i; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZN2js5types10TypeScript10LocalTypesEP8JSScriptj($41, $42); //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$2; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type13UndefinedTypeEv($3); //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($43, $44, $3); //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $46=$i; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46+1)|0); //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$47; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $49=(($9)|0); //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$50; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51+37)|0); //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAPU8[($52)]; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53)&255) >>> 2; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$54 & 1; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55) & 1); //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $58=(($9)|0); //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=__ZNK8JSScript7nestingEv($59); //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63 = $60;__label__ = 16; break; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $63 = 0;__label__ = 16; break; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $63; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $nesting=$63; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$nesting; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($64)|0)!=0; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 31; break; } //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $67=$nesting; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67)|0); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($69)|0)!=0; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 31; break; } //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $72=$nesting; //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($72)|0); //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=$2; //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=__ZN8JSScript18ensureRanInferenceEP9JSContext($74, $75); //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($76) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      __label__ = 72; break; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      $detached=0; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=__ZNK2js7analyze14ScriptAnalysis14usesScopeChainEv($9); //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($79) { __label__ = 23; break; } else { __label__ = 21; break; } //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $81=(($9)|0); //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=$82; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=(($83+37)|0); //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=HEAPU8[($84)]; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=(($85)&255) >>> 4; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$86 & 1; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=(($87) & 1); //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($88) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $90=(($9)|0); //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL19DetachNestingParentP8JSScript($91); //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $detached=1; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 23; break; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $93=$detached; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=(($93) & 1); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($94) { __label__ = 26; break; } else { __label__ = 24; break; } //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $96=__ZN2js7analyze14ScriptAnalysis12extendsScopeEv($9); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($96) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $98=(($9)|0); //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL19DetachNestingParentP8JSScript($99); //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $detached=1; //@line 4108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 26; break; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $101=$detached; //@line 4115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=(($101) & 1); //@line 4115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($102) { __label__ = 30; break; } else { __label__ = 27; break; } //@line 4115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $104=$nesting; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=(($104)|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=__ZN8JSScript8analysisEv($106); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=__ZN2js7analyze14ScriptAnalysis16addsScopeObjectsEv($107); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($108) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $110=$2; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=$nesting; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=(($111)|0); //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=$nesting; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=(($114)|0); //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=(($116)|0); //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1705($110, $113, $118); //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=(($119)|0)==205; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($120) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $122=(($9)|0); //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL19DetachNestingParentP8JSScript($123); //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $detached=1; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 4120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      __label__ = 31; break; //@line 4121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      var $126=$2; //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis18TypeInferenceStateC1EP9JSContext($state, $126); //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $offset=0; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 32; break; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      var $128=$offset; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=(($9)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $131=(($130+8)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=HEAPU32[(($131)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $133=(($128)>>>0) < (($132)>>>0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($133) { __label__ = 33; break; } else { __label__ = 39; break; } //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      var $135=$offset; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($9, $135); //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $code=$136; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $137=(($9)|0); //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=(($138)|0); //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=$offset; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $142=(($140+$141)|0); //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$142; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $143=$2; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $144=(($9)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=$pc; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $143, $145, $146); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $147=$code; //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $148=(($147)|0)!=0; //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($148) { __label__ = 34; break; } else { __label__ = 36; break; } //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      var $150=$2; //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $151=$offset; //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $152=__ZN2js7analyze14ScriptAnalysis20analyzeTypesBytecodeEP9JSContextjRNS1_18TypeInferenceStateE($9, $150, $151, $state); //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($152) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      var $154=$2; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=(($154+56)|0); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $157=(($156+376)|0); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $158=$2; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($157, $158); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 37; break; //@line 4134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      var $160=$pc; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $161=__ZN2js7analyzeL17GetBytecodeLengthEPh1712($160); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $162=$offset; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $163=(($162+$161)|0); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $offset=$163; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=0; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 38; break;
      }
      else {
      __label__ = 71; break;
      }
      
    case 38: 
      __label__ = 32; break; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      $i1=0; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 40; break; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 40: 
      var $168=$i1; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $169=(($state)|0); //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $170=__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE6lengthEv($169); //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $171=(($168)>>>0) < (($170)>>>0); //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($171) { __label__ = 41; break; } else { __label__ = 47; break; } //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      var $173=(($state)|0); //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $174=$i1; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $175=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEixEj($173, $174); //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $176=HEAP32[(($175)>>2)]; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $node=$176; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $j=0; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 42; break; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      var $178=$j; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $179=$node; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $180=(($179+16)|0); //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $181=HEAPU32[(($180)>>2)]; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $182=(($178)>>>0) < (($181)>>>0); //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($182) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 43: 
      var $184=$j; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $185=$node; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $186=(($185+20)|0); //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $187=HEAP32[(($186)>>2)]; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $188=(($187+($184<<3))|0); //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $v=$188; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $189=$v; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $190=__ZN2js7analyze14ScriptAnalysis13getValueTypesERKNS0_8SSAValueE($9, $189); //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $191=$2; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $192=$node; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $193=(($192)|0); //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_($190, $191, $193); //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 44; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 44: 
      var $195=$j; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $196=(($195+1)|0); //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $j=$196; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 42; break; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 45: 
      __label__ = 46; break; //@line 4146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 46: 
      var $199=$i1; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $200=(($199+1)|0); //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i1=$200; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 40; break; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 47: 
      var $202=(($9)|0); //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $204=(($203+100)|0); //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $205=HEAP32[(($204)>>2)]; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $206=(($205+16)|0); //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$207; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 48; break; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 48: 
      var $209=$result; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $210=(($209)|0)!=0; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($210) { __label__ = 49; break; } else { __label__ = 53; break; } //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 49: 
      var $212=$result; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $213=(($212)|0); //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $215=(($214)|0)!=-1; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($215) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 50: 
      var $217=$result; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $218=(($217)|0); //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $219=HEAP32[(($218)>>2)]; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $220=__ZN2js7analyze14ScriptAnalysis11pushedTypesEjj($9, $219, 0); //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $221=$2; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $222=$result; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $223=(($222+4)|0); //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $224=$5; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $225=$223; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($224)>>2)]=HEAP32[(($225)>>2)]; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($220, $221, $5); //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 52; break; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 51: 
      var $227=(($state+28)|0); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $228=HEAP32[(($227)>>2)]; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $229=$2; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($6); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($228, $229, $6); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 52; break;
    case 52: 
      var $231=$result; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $232=(($231+8)|0); //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $233=HEAP32[(($232)>>2)]; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$233; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 48; break; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 53: 
      var $235=(($9)|0); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $236=HEAP32[(($235)>>2)]; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $237=$236; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $238=(($237+36)|0); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $239=HEAPU8[($238)]; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $240=(($239)&255) >>> 6; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $241=$240 & 1; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $242=(($241) & 1); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($242) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 54: 
      var $244=(($9)|0); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $245=HEAP32[(($244)>>2)]; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $246=$245; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $247=(($246+38)|0); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $248=HEAPU8[($247)]; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $249=(($248)&255) >>> 1; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $250=$249 & 1; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $251=(($250) & 1); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($251) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 55: 
      $4=1;
      __label__ = 71; break; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 56: 
      var $254=(($9)|0); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $255=HEAP32[(($254)>>2)]; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $256=__ZNK8JSScript8functionEv($255); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $257=__ZNK10JSFunction13isHeavyweightEv($256); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($257) { __label__ = 59; break; } else { __label__ = 57; break; } //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 57: 
      var $259=$2; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $260=(($259+56)|0); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $262=__ZNK13JSCompartment9debugModeEv($261); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($262) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 58: 
      var $264=__ZN2js7analyze14ScriptAnalysis16localsAliasStackEv($9); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($264) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 59: 
      var $266=$2; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $267=(($9)|0); //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $268=HEAP32[(($267)>>2)]; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types20MarkArgumentsCreatedEP9JSContextP8JSScript($266, $268); //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 71; break; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 60: 
      $offset=0; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 61; break; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 61: 
      var $271=$offset; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $272=(($9)|0); //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $273=HEAP32[(($272)>>2)]; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $274=(($273+8)|0); //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $275=HEAPU32[(($274)>>2)]; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $276=(($271)>>>0) < (($275)>>>0); //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($276) { __label__ = 62; break; } else { __label__ = 70; break; } //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 62: 
      var $278=$offset; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $279=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($9, $278); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $code2=$279; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $280=(($9)|0); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $281=HEAP32[(($280)>>2)]; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $282=(($281)|0); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $283=HEAP32[(($282)>>2)]; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $284=$offset; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $285=(($283+$284)|0); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc3=$285; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $286=$code2; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $287=(($286)|0)!=0; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($287) { __label__ = 63; break; } else { __label__ = 69; break; } //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 63: 
      var $289=$pc3; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $290=HEAPU8[($289)]; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $291=(($290)&255); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $292=(($291)|0)==9; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($292) { __label__ = 64; break; } else { __label__ = 69; break; } //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 64: 
      var $294=$2; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($7, $294); //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEC1ES3_($seen, $7); //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $295=$2; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $296=$offset; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze8SSAValue11PushedValueEjj($8, $296, 0); //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $297=__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextRKNS0_8SSAValueEPNS_6VectorIS4_Lj0ENS_15TempAllocPolicyEEE($9, $295, $8, $seen); //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($297) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 65: 
      var $299=$2; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $300=(($9)|0); //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $301=HEAP32[(($300)>>2)]; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types20MarkArgumentsCreatedEP9JSContextP8JSScript($299, $301); //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 67; break; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 66: 
      $4=0; //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 67; break; //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 67: 
      __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEED1Ev($seen); //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest4=$4;
      if ((($cleanup_dest4)|0) == 0) {
        __label__ = 68; break;
      }
      else {
      __label__ = 71; break;
      }
      
    case 68: 
      __label__ = 69; break; //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 69: 
      var $306=$pc3; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $307=__ZN2js7analyzeL17GetBytecodeLengthEPh1712($306); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $308=$offset; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $309=(($308+$307)|0); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $offset=$309; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 61; break; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 70: 
      var $311=(($9)|0); //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $312=HEAP32[(($311)>>2)]; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $313=$312; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $314=(($313+38)|0); //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $315=HEAP8[($314)]; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $316=$315 & -2; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $317=$316 | 1; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($314)]=$317; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=0; //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 71; break; //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 71: 
      __ZN2js7analyze14ScriptAnalysis18TypeInferenceStateD1Ev($state); //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest5=$4;
      if ((($cleanup_dest5)|0) == 0 || (($cleanup_dest5)|0) == 1) {
        __label__ = 72; break;
      }
      else {
      __label__ = 73; break;
      }
      
    case 72: 
      STACKTOP = __stackBase__;
      return; //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 73: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis12analyzeTypesEP9JSContext["X"]=1;

function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $g=__stackBase__;
      var $3;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$4; //@line 765 "./jsvector.h"
      var $16=$t; //@line 765 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 765 "./jsvector.h"
      __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $4); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $18=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $18; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextPNS0_11SSAUseChainEPNS_6VectorINS0_8SSAValueELj0ENS_15TempAllocPolicyEEE($this, $cx, $use, $seen) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $pc;
      var $which;
      var $op;
      var $slot;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      $2=$this;
      $3=$cx;
      $4=$use;
      $5=$seen;
      var $10=$2;
      var $11=$4; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$11; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP8[($12)]; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$13 & 1; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14) & 1); //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $17=$3; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$4; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$18; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAPU32[(($19)>>2)]; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$20 >>> 1; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$21 & 2147483647; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$4; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23+4)|0); //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$24; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze8SSAValue8PhiValueEjPNS0_10SSAPhiNodeE($6, $22, $26); //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$5; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextRKNS0_8SSAValueEPNS_6VectorIS4_Lj0ENS_15TempAllocPolicyEEE($10, $17, $6, $27); //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$28; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $30=(($10)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$4; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$34; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAPU32[(($35)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$36 >>> 1; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$37 & 2147483647; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($33+$38)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$39; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$4; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40+4)|0); //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$41; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $which=$43; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$pc; //@line 4247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAPU8[($44)]; //@line 4247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45)&255); //@line 4247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $op=$46; //@line 4247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$op; //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47)|0)==81; //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($48) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $50=$op; //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=(($50)|0)==11; //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($51) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $1=1; //@line 4251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $54=$op; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54)|0)==55; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($55) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $57=$which; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57)|0)==1; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      $1=1; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $61=$op; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=(($61)|0)==220; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      $1=1; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $65=$op; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65)|0)==87; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($66) { __label__ = 12; break; } else { __label__ = 17; break; } //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $68=(($10)|0); //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=$pc; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh1709($69, $70); //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $slot=$71; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$slot; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=__ZN2js7analyze14ScriptAnalysis9trackSlotEj($10, $72); //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($73) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $1=0; //@line 4270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $76=$3; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $77=$4; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$77; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=HEAPU32[(($78)>>2)]; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=$79 >>> 1; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$80 & 2147483647; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze8SSAValue11PushedValueEjj($7, $81, 0); //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=$5; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextRKNS0_8SSAValueEPNS_6VectorIS4_Lj0ENS_15TempAllocPolicyEEE($10, $76, $7, $82); //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($83) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      $1=0; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $86=$3; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$slot; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=$4; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$88; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=HEAPU32[(($89)>>2)]; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=$90 >>> 1; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=$91 & 2147483647; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze8SSAValue10WrittenVarEjj($8, $87, $92); //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=$5; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextRKNS0_8SSAValueEPNS_6VectorIS4_Lj0ENS_15TempAllocPolicyEEE($10, $86, $8, $93); //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$94; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $96=$op; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=(($96)|0)==86; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($97) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $99=$3; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=$4; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=$100; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=HEAPU32[(($101)>>2)]; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=$102 >>> 1; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=$103 & 2147483647; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze8SSAValue11PushedValueEjj($9, $104, 0); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=$5; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextRKNS0_8SSAValueEPNS_6VectorIS4_Lj0ENS_15TempAllocPolicyEEE($10, $99, $9, $105); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$106; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      $1=0; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $109=$1; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $109; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextPNS0_11SSAUseChainEPNS_6VectorINS0_8SSAValueELj0ENS_15TempAllocPolicyEEE["X"]=1;

function __ZN2js7analyze8SSAValue8PhiValueEjPNS0_10SSAPhiNodeE($agg_result, $offset, $node) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$offset;
  $2=$node;
  var $3=$1; //@line 785 "./jsanalyze.h"
  var $4=$2; //@line 785 "./jsanalyze.h"
  __ZN2js7analyze8SSAValue7initPhiEjPNS0_10SSAPhiNodeE($agg_result, $3, $4); //@line 785 "./jsanalyze.h"
  ;
  return; //@line 786 "./jsanalyze.h"
}


function __ZN2js7analyze8SSAValue10WrittenVarEjj($agg_result, $slot, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$slot;
  $2=$offset;
  var $3=$1; //@line 772 "./jsanalyze.h"
  var $4=$2; //@line 772 "./jsanalyze.h"
  __ZN2js7analyze8SSAValue11initWrittenEjj($agg_result, $3, $4); //@line 772 "./jsanalyze.h"
  ;
  return; //@line 773 "./jsanalyze.h"
}


function __ZN2js7analyze17AutoEnterAnalysisC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1272 "./jsanalyze.h"
  __ZN2js7analyze17AutoEnterAnalysisC2EP9JSContext($3, $4); //@line 1272 "./jsanalyze.h"
  ;
  return; //@line 1272 "./jsanalyze.h"
}


function __ZN2js7analyze17AutoEnterAnalysisD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7analyze17AutoEnterAnalysisD2Ev($2); //@line 1283 "./jsanalyze.h"
  ;
  return; //@line 1285 "./jsanalyze.h"
}


function __ZN9JSContext4new_IN2js5types10TypeResultEjNS2_4TypeEEEPT_T0_T1_($this, $p1, $p2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p2; $p2 = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p2)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      var $3=__stackBase__;
      $1=$this;
      $2=$p1;
      var $4=$1;
      var $5=__ZN9JSContext7malloc_Ej($4, 12); //@line 1291 "./jscntxt.h"
      $memory=$5; //@line 1291 "./jscntxt.h"
      var $6=$memory; //@line 1291 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 1291 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 1291 "./jscntxt.h"
      if ($10) { var $17 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 1291 "./jscntxt.h"
      var $13=$2; //@line 1291 "./jscntxt.h"
      var $14=$3; //@line 1291 "./jscntxt.h"
      var $15=$p2; //@line 1291 "./jscntxt.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)]; //@line 1291 "./jscntxt.h"
      __ZN2js5types10TypeResultC1EjNS0_4TypeE($12, $13, $3); //@line 1291 "./jscntxt.h"
      var $17 = $12;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $17; //@line 1291 "./jscntxt.h"
      var $20 = $17;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $20 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $20; //@line 1291 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return $20; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types19TypeMonitorCallSlowEP9JSContextP8JSObjectRKNS_8CallArgsEb($cx, $callee, $args, $constructing) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nargs;
      var $script;
      var $arg;
      var $5=__stackBase__;
      $1=$cx;
      $2=$callee;
      $3=$args;
      var $6=(($constructing)&1);
      $4=$6;
      var $7=$2; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZNK8JSObject18getFunctionPrivateEv($7); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8+56)|0); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAPU16[(($9)>>1)]; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10)&65535); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $nargs=$11; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$2; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZNK8JSObject18getFunctionPrivateEv($12); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZNK10JSFunction6scriptEv($13); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$14; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$4; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15) & 1); //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $18=$1; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$script; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$3; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$20; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=__ZNK2js12CallReceiver5thisvEv($21); //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptRKN2JS5ValueE($18, $19, $22); //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $arg=0; //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $25=$arg; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$3; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZNK2js8CallArgs4argcEv($26); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($25)>>>0) < (($27)>>>0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($28) { __label__ = 5; break; } else { var $34 = 0;__label__ = 6; break; } //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $30=$arg; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$nargs; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($30)>>>0) < (($31)>>>0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34 = $32;__label__ = 6; break;
    case 6: 
      var $34;
      if ($34) { __label__ = 7; break; } else { __label__ = 9; break; }
    case 7: 
      var $36=$1; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$script; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$arg; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$3; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$arg; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=__ZNK2js8CallArgsixEj($39, $40); //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjRKN2JS5ValueE($36, $37, $38, $41); //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $43=$arg; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+1)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $arg=$44; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      __label__ = 10; break; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $47=$arg; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$nargs; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=(($47)>>>0) < (($48)>>>0); //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $51=$1; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$script; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$arg; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2JSL14UndefinedValueEv1713($5); //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjRKN2JS5ValueE($51, $52, $53, $5); //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $55=$arg; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55+1)|0); //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $arg=$56; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      STACKTOP = __stackBase__;
      return; //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types19TypeMonitorCallSlowEP9JSContextP8JSObjectRKNS_8CallArgsEb["X"]=1;

function __ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptRKN2JS5ValueE($cx, $script, $value) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$cx;
      $2=$script;
      $3=$value;
      var $5=$1; //@line 634 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 634 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 634 "./jsinferinlines.h"
    case 2: 
      var $8=$1; //@line 635 "./jsinferinlines.h"
      var $9=$2; //@line 635 "./jsinferinlines.h"
      var $10=$1; //@line 635 "./jsinferinlines.h"
      var $11=$3; //@line 635 "./jsinferinlines.h"
      __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($4, $10, $11); //@line 635 "./jsinferinlines.h"
      __ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptNS0_4TypeE($8, $9, $4); //@line 635 "./jsinferinlines.h"
      __label__ = 3; break; //@line 635 "./jsinferinlines.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 636 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv1713($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js5types23MarkIteratorUnknownSlowEP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pc=__stackBase__;
      var $script;
      var $untrap=__stackBase__+4;
      var $2;
      var $enter=__stackBase__+12;
      var $result;
      var $3=__stackBase__+20;
      var $analysis;
      var $i;
      var $pc1;
      var $4=__stackBase__+24;
      $1=$cx;
      var $5=$1; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5+60)|0); //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=__ZNK2js12ContextStack13currentScriptEPPh($6, $pc); //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$7; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$script; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0)!=0; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $11=HEAP32[(($pc)>>2)]; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11)|0)!=0; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      __label__ = 30; break; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $15=$1; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$script; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($pc)>>2)]; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $15, $16, $17); //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($pc)>>2)]; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAPU8[($18)]; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19)&255); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20)|0)!=75; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $2=1;
      __label__ = 29; break; //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $24=$1; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $24, 0); //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$script; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+100)|0); //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+16)|0); //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$29; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 4835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $31=$result; //@line 4835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31)|0)!=0; //@line 4835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 4835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $34=$result; //@line 4836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)|0); //@line 4836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 4836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36)|0)==-1; //@line 4836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      $2=1;
      __label__ = 28; break; //@line 4839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $40=$result; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40+8)|0); //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$42; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 4842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $44=$script; //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=__ZN8JSScript2idEv($44); //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str491619)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$45,tempInt)); //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=$1; //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($3); //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=__ZN9JSContext4new_IN2js5types10TypeResultEjNS2_4TypeEEEPT_T0_T1_($46, -1, $3); //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$47; //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$result; //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=(($48)|0)!=0; //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $51=$1; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51+56)|0); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53+376)|0); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$1; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($54, $55); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $2=1;
      __label__ = 28; break; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $57=$script; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57+100)|0); //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=(($59+16)|0); //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$result; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=(($62+8)|0); //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($63)>>2)]=$61; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$result; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=$script; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65+100)|0); //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67+16)|0); //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($68)>>2)]=$64; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$script; //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=__ZN8JSScript11hasAnalysisEv($69); //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($70) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $72=$script; //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=__ZN8JSScript8analysisEv($72); //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=__ZN2js7analyze14ScriptAnalysis12ranInferenceEv($73); //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($74) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      $2=1;
      __label__ = 28; break; //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $77=$script; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=__ZN8JSScript8analysisEv($77); //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $analysis=$78; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $80=$i; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$script; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=(($81+8)|0); //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=HEAPU32[(($82)>>2)]; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=(($80)>>>0) < (($83)>>>0); //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($84) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $86=$script; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=(($86)|0); //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$i; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=(($88+$89)|0); //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc1=$90; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=$analysis; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=$pc1; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=__ZN2js7analyze14ScriptAnalysis9maybeCodeEPKh($91, $92); //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=(($93)|0)!=0; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($94) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      __label__ = 23; break; //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $97=$1; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=$script; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=$pc1; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1705($97, $98, $99); //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=(($100)|0)==77; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($101) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $103=$analysis; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=$pc1; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=__ZN2js7analyze14ScriptAnalysis11pushedTypesEPKhj($103, $104, 0); //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=$1; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($4); //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($105, $106, $4); //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      __label__ = 23; break; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $109=$i; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=(($109+1)|0); //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$110; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $112=$script; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=$112; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=(($113+37)|0); //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=HEAPU8[($114)]; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=(($115)&255) >>> 2; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=$116 & 1; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=(($117) & 1); //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($118) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $120=$script; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=__ZNK8JSScript8functionEv($120); //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=$121; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=__ZNK8JSObject11hasLazyTypeEv($122); //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($123) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $125=$1; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=$script; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $127=__ZNK8JSScript8functionEv($126); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=$127; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=__ZNK8JSObject4typeEv($128); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb($125, $129, 0, 1); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      $2=0; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 28; break; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 29; break;
    case 29: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$2;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 30; break;
      }
      else {
      __label__ = 31; break;
      }
      
    case 30: 
      STACKTOP = __stackBase__;
      return; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types23MarkIteratorUnknownSlowEP9JSContext["X"]=1;

function __ZN9JSContext4new_IN2js5types10TypeResultEiNS2_4TypeEEEPT_T0_T1_($this, $p1, $p2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p2; $p2 = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p2)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      var $3=__stackBase__;
      $1=$this;
      $2=$p1;
      var $4=$1;
      var $5=__ZN9JSContext7malloc_Ej($4, 12); //@line 1291 "./jscntxt.h"
      $memory=$5; //@line 1291 "./jscntxt.h"
      var $6=$memory; //@line 1291 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 1291 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 1291 "./jscntxt.h"
      if ($10) { var $17 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 1291 "./jscntxt.h"
      var $13=$2; //@line 1291 "./jscntxt.h"
      var $14=$3; //@line 1291 "./jscntxt.h"
      var $15=$p2; //@line 1291 "./jscntxt.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)]; //@line 1291 "./jscntxt.h"
      __ZN2js5types10TypeResultC1EjNS0_4TypeE($12, $13, $3); //@line 1291 "./jscntxt.h"
      var $17 = $12;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $17; //@line 1291 "./jscntxt.h"
      var $20 = $17;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $20 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $20; //@line 1291 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return $20; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript8SetScopeEP9JSContextP8JSScriptP8JSObject($cx, $script, $scope) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fun;
      var $call;
      var $parentFun;
      var $parent;
      $2=$cx;
      $3=$script;
      $4=$scope;
      var $5=$3; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5+100)|0); //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7+4)|0); //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $fun=$9; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$3; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$10; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11+36)|0); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAPU8[($12)]; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)&255) >>> 4; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$14 & 1; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15) & 1); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $18=$3; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18+100)|0); //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20+8)|0); //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($21)>>2)]=0; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=1; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $23=$fun; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23)|0)!=0; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $26=$fun; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$26; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=__ZNK8JSObject9getGlobalEv($27); //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33 = $28;__label__ = 6; break; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $30=$4; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=__ZNK8JSObject9getGlobalEv($30); //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33 = $31;__label__ = 6; break; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $33; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$3; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+100)|0); //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36+8)|0); //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($37)>>2)]=$33; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$2; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=__ZN9JSContext20typeInferenceEnabledEv($38); //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $1=1; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $42=$3; //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$42; //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+37)|0); //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAPU8[($44)]; //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45)&255) >>> 5; //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$46 & 1; //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47) & 1); //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $50=$fun; //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=__ZNK10JSFunction13isNullClosureEv($50); //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 5073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $53=$3; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$53; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54+37)|0); //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=HEAPU8[($55)]; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=(($56)&255) >>> 4; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=$57 & 1; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=(($58) & 1); //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($59) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $61=$2; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=__ZN9JSContext4new_IN2js5types17TypeScriptNestingEEEPT_v($61); //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=$3; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=(($63+100)|0); //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65+12)|0); //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($66)>>2)]=$62; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=$3; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67+100)|0); //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($69+12)|0); //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=(($71)|0)!=0; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($72) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      $1=0; //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __label__ = 14; break; //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      $1=1; //@line 5083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      __label__ = 16; break; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $78=$4; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=__ZNK8JSObject6isCallEv($78); //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=$79 ^ 1; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($80) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $82=$4; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=__ZNK8JSObject9getParentEv($82); //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=$83; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $85=$4; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=__ZN8JSObject6asCallEv($85); //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $call=$86; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$call; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=__ZNK2js10CallObject17getCalleeFunctionEv($87); //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $parentFun=$88; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$parentFun; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=(($89)|0)!=0; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($90) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $92=$parentFun; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=__ZNK10JSFunction13isHeavyweightEv($92); //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($93) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      $1=1; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $96=$parentFun; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=__ZNK10JSFunction6scriptEv($96); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $parent=$97; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=$parent; //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=$2; //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=$parentFun; //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=__ZN8JSScript14ensureHasTypesEP9JSContextP10JSFunction($98, $99, $100); //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($101) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      $1=0; //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $104=$parent; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=(($104+100)|0); //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=__ZN2js5types10TypeScript8hasScopeEv($106); //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($107) { __label__ = 27; break; } else { __label__ = 24; break; } //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $109=$2; //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=$parent; //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=$4; //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=__ZNK8JSObject9getParentEv($111); //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=__ZN2js5types10TypeScript8SetScopeEP9JSContextP8JSScriptP8JSObject($109, $110, $112); //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($113) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      $1=0; //@line 5125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $116=$4; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=$parent; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=__ZNK8JSScript7nestingEv($117); //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=(($118+12)|0); //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($119)>>2)]=$116; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=$call; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=__ZN2js10CallObject8argArrayEv($120); //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=$parent; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=__ZNK8JSScript7nestingEv($122); //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=(($123+16)|0); //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($124)>>2)]=$121; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=$call; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=__ZN2js10CallObject8varArrayEv($125); //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $127=$parent; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=__ZNK8JSScript7nestingEv($127); //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=(($128+20)|0); //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($129)>>2)]=$126; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break; //@line 5129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $131=$2; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=__ZN9JSContext4new_IN2js5types17TypeScriptNestingEEEPT_v($131); //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $133=$3; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $134=(($133+100)|0); //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=(($135+12)|0); //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($136)>>2)]=$132; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $137=$3; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $138=(($137+100)|0); //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=(($139+12)|0); //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $142=(($141)|0)!=0; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($142) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      $1=0; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $145=$parent; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=$3; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $147=__ZNK8JSScript7nestingEv($146); //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $148=(($147)|0); //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($148)>>2)]=$145; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=$parent; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $150=__ZNK8JSScript7nestingEv($149); //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $151=(($150+4)|0); //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $153=$3; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=__ZNK8JSScript7nestingEv($153); //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=(($154+8)|0); //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($155)>>2)]=$152; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=$3; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $157=$parent; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $158=__ZNK8JSScript7nestingEv($157); //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $159=(($158+4)|0); //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($159)>>2)]=$156; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=1; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 30; break; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $161=$1; //@line 5144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $161; //@line 5144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeScript8SetScopeEP9JSContextP8JSScriptP8JSObject["X"]=1;

function __ZNK10JSFunction13isNullClosureEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK10JSFunction4kindEv($2); //@line 134 "./jsfun.h"
  var $4=(($3)&65535); //@line 134 "./jsfun.h"
  var $5=(($4)|0)==49152; //@line 134 "./jsfun.h"
  ;
  return $5; //@line 134 "./jsfun.h"
}


function __ZN9JSContext4new_IN2js5types17TypeScriptNestingEEEPT_v($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      $1=$this;
      var $2=$1;
      var $3=__ZN9JSContext7malloc_Ej($2, 28); //@line 1291 "./jscntxt.h"
      $memory=$3; //@line 1291 "./jscntxt.h"
      var $4=$memory; //@line 1291 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $7=$memory; //@line 1291 "./jscntxt.h"
      var $8=(($7)|0)==0; //@line 1291 "./jscntxt.h"
      if ($8) { var $12 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $10=$7; //@line 1291 "./jscntxt.h"
      __ZN2js5types17TypeScriptNestingC1Ev($10); //@line 1291 "./jscntxt.h"
      var $12 = $10;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $12; //@line 1291 "./jscntxt.h"
      var $15 = $12;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $15 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $15; //@line 1291 "./jscntxt.h"
      ;
      return $15; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types17TypeScriptNestingD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pscript;
      var $child;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 5153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 5153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=(($4)|0)!=0; //@line 5153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 5153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $7=(($2)|0); //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZNK8JSScript7nestingEv($8); //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9+4)|0); //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pscript=$10; //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=$pscript; //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZNK8JSScript7nestingEv($13); //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)|0)!=(($2)|0); //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=$pscript; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZNK8JSScript7nestingEv($18); //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+8)|0); //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pscript=$20; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $22=(($2+8)|0); //@line 5157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 5157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$pscript; //@line 5157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 5157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      __label__ = 7; break; //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $27=(($2+4)|0); //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28)|0)!=0; //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $31=(($2+4)|0); //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=__ZNK8JSScript7nestingEv($32); //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $child=$33; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$child; //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+8)|0); //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($2+4)|0); //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($37)>>2)]=$36; //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$child; //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38)|0); //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($39)>>2)]=0; //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$child; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40+8)|0); //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($41)>>2)]=0; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      ;
      return; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types17TypeScriptNestingD2Ev["X"]=1;

function __ZN2js5types17TypeDynamicResultEP9JSContextP8JSScriptPhNS0_4TypeE($cx, $script, $pc, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $enter=__stackBase__;
      var $untrap=__stackBase__+8;
      var $4;
      var $types;
      var $5=__stackBase__+16;
      var $6=__stackBase__+20;
      var $7=__stackBase__+24;
      var $op;
      var $cs;
      var $slot;
      var $types1;
      var $8=__stackBase__+28;
      var $pushed;
      var $9=__stackBase__+32;
      var $result;
      var $pstart;
      var $presult;
      var $10=__stackBase__+36;
      var $11=__stackBase__+40;
      var $result2;
      var $12=__stackBase__+44;
      var $pushed3;
      var $13=__stackBase__+48;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $14=$1; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $14, 0); //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$1; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$2; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$3; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $15, $16, $17); //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$3; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAPU8[($18)]; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19)&255); //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=((_js_CodeSpec+($20<<3))|0); //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+4)|0); //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$23 & 67108864; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24)|0)!=0; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($25) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $27=$2; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$1; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=__ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject($27, $28, 0, 0); //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $31=$1; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31+56)|0); //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+376)|0); //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$1; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($34, $35); //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 37; break; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $37=$2; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=__ZN8JSScript8analysisEv($37); //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$3; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($38, $39); //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$40; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$types; //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$5; //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$type; //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)]; //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($41, $5); //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($44) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $46=$2; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=__ZN8JSScript2idEv($46); //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$3; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$2; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49)|0); //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$48; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$51; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($52-$53)|0); //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$6; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=$type; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)]; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=__ZN2js5types10TypeStringENS0_4TypeE($6); //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str501620)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$47,HEAP32[((tempInt+4)>>2)]=$54,HEAP32[((tempInt+8)>>2)]=$57,tempInt)); //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=$types; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$1; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$7; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=$type; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)]; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($58, $59, $7); //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      $4=1;
      __label__ = 37; break; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $64=$3; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=HEAPU8[($64)]; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=(($65)&255); //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $op=$66; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=$op; //@line 4941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=((_js_CodeSpec+($67<<3))|0); //@line 4941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $cs=$68; //@line 4941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$cs; //@line 4942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($69+4)|0); //@line 4942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 4942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$71 & 3072; //@line 4942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($72)|0)!=0; //@line 4942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($73) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 4942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $75=$op; //@line 4943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ((($75)|0) == 101 || (($75)|0) == 102 || (($75)|0) == 103 || (($75)|0) == 104 || (($75)|0) == 97 || (($75)|0) == 98 || (($75)|0) == 99 || (($75)|0) == 100) {
        __label__ = 9; break;
      }
      else {
      __label__ = 12; break;
      }
      
    case 9: 
      var $77=$2; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$3; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh1709($77, $78); //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $slot=$79; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=$slot; //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$2; //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=__ZN2js7analyzeL10TotalSlotsEP8JSScript1710($81); //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=(($80)>>>0) < (($82)>>>0); //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($83) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $85=$2; //@line 4960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=$slot; //@line 4960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj($85, $86); //@line 4960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types1=$87; //@line 4960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=$types1; //@line 4961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$1; //@line 4961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=$8; //@line 4961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=$type; //@line 4961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($90)>>2)]=HEAP32[(($91)>>2)]; //@line 4961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($88, $89, $8); //@line 4961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      __label__ = 13; break; //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      __label__ = 13; break; //@line 4967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      __label__ = 14; break; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $96=$2; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=__ZN8JSScript11hasAnalysisEv($96); //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($97) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $99=$2; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=__ZN8JSScript8analysisEv($99); //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=__ZN2js7analyze14ScriptAnalysis12ranInferenceEv($100); //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($101) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $103=$2; //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=__ZN8JSScript8analysisEv($103); //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=$3; //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=__ZN2js7analyze14ScriptAnalysis11pushedTypesEPKhj($104, $105, 0); //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pushed=$106; //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=$pushed; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=$9; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=$type; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($108)>>2)]=HEAP32[(($109)>>2)]; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($107, $9); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($110) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      $4=1;
      __label__ = 37; break; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      __label__ = 28; break; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $114=$2; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=(($114+100)|0); //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=(($116+16)|0); //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pstart=$117; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=$pstart; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $presult=$118; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $120=$presult; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=(($121)|0)!=0; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($122) { __label__ = 21; break; } else { __label__ = 27; break; } //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $124=$presult; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$125; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=$result; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $127=(($126)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=$3; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $130=$2; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $131=(($130)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $133=$129; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $134=$132; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $135=(($133-$134)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=(($128)|0)==(($135)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($136) { __label__ = 22; break; } else { __label__ = 26; break; } //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $138=$result; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=(($138+4)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=$10; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=$type; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($140)>>2)]=HEAP32[(($141)>>2)]; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $142=__ZNK2js5types4TypeeqES1_($139, $10); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($142) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $144=$presult; //@line 4985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $145=$pstart; //@line 4985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=(($144)|0)!=(($145)|0); //@line 4985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($146) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 4985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $148=$result; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=(($148+8)|0); //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $151=$presult; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($151)>>2)]=$150; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $152=$pstart; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=$result; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=(($154+8)|0); //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($155)>>2)]=$153; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=$result; //@line 4989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $157=$pstart; //@line 4989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($157)>>2)]=$156; //@line 4989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 25; break; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      $4=1;
      __label__ = 37; break; //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $160=$result; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $161=(($160+8)|0); //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $presult=$161; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $164=$2; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $165=__ZN8JSScript2idEv($164); //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $166=$3; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $167=$2; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $168=(($167)|0); //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $170=$166; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $171=$169; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $172=(($170-$171)|0); //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $173=$11; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $174=$type; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($173)>>2)]=HEAP32[(($174)>>2)]; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $175=__ZN2js5types10TypeStringENS0_4TypeE($11); //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str501620)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$165,HEAP32[((tempInt+4)>>2)]=$172,HEAP32[((tempInt+8)>>2)]=$175,tempInt)); //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $176=$1; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $177=$3; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $178=$2; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $179=(($178)|0); //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $181=$177; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $182=$180; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $183=(($181-$182)|0); //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $184=$12; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $185=$type; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($184)>>2)]=HEAP32[(($185)>>2)]; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $186=__ZN9JSContext4new_IN2js5types10TypeResultEiNS2_4TypeEEEPT_T0_T1_($176, $183, $12); //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result2=$186; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $187=$result2; //@line 5001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $188=(($187)|0)!=0; //@line 5001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($188) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 5001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $190=$1; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $191=(($190+56)|0); //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $192=HEAP32[(($191)>>2)]; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $193=(($192+376)|0); //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $194=$1; //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($193, $194); //@line 5002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $4=1;
      __label__ = 37; break; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $196=$2; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $197=(($196+100)|0); //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $199=(($198+16)|0); //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $200=HEAP32[(($199)>>2)]; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $201=$result2; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $202=(($201+8)|0); //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($202)>>2)]=$200; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $203=$result2; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $204=$2; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $205=(($204+100)|0); //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $206=HEAP32[(($205)>>2)]; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $207=(($206+16)|0); //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($207)>>2)]=$203; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $208=$2; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $209=__ZN8JSScript11hasAnalysisEv($208); //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($209) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      var $211=$2; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $212=__ZN8JSScript8analysisEv($211); //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $213=__ZN2js7analyze14ScriptAnalysis12ranInferenceEv($212); //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($213) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      var $215=$2; //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $216=__ZN8JSScript8analysisEv($215); //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $217=$3; //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $218=__ZN2js7analyze14ScriptAnalysis11pushedTypesEPKhj($216, $217, 0); //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pushed3=$218; //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $219=$pushed3; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $220=$1; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $221=$13; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $222=$type; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($221)>>2)]=HEAP32[(($222)>>2)]; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($219, $220, $13); //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 33; break; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      var $224=$2; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $225=$224; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $226=(($225+37)|0); //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $227=HEAPU8[($226)]; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $228=(($227)&255) >>> 2; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $229=$228 & 1; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $230=(($229) & 1); //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($230) { __label__ = 34; break; } else { __label__ = 36; break; } //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      var $232=$2; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $233=__ZNK8JSScript8functionEv($232); //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $234=$233; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $235=__ZNK8JSObject11hasLazyTypeEv($234); //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($235) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      var $237=$1; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $238=$2; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $239=__ZNK8JSScript8functionEv($238); //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $240=$239; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $241=__ZNK8JSObject4typeEv($240); //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb($237, $241, 0, 1); //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 36; break; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      $4=0; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 38; break;
      }
      else {
      __label__ = 39; break;
      }
      
    case 38: 
      STACKTOP = __stackBase__;
      return; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types17TypeDynamicResultEP9JSContextP8JSScriptPhNS0_4TypeE["X"]=1;

function __ZN2js5types17TypeMonitorResultEP9JSContextP8JSScriptPhRKN2JS5ValueE($cx, $script, $pc, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $untrap=__stackBase__;
      var $5;
      var $enter=__stackBase__+8;
      var $type=__stackBase__+16;
      var $types;
      var $6=__stackBase__+20;
      var $7=__stackBase__+24;
      var $8=__stackBase__+28;
      $1=$cx;
      $2=$script;
      $3=$pc;
      $4=$rval;
      var $9=$1; //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$2; //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$3; //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $9, $10, $11); //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$3; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAPU8[($12)]; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)&255); //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=((_js_CodeSpec+($14<<3))|0); //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+4)|0); //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$17 & 67108864; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)|0)!=0; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $5=1;
      __label__ = 9; break; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $22=$1; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $22, 0); //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$1; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=__ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject($23, $24, 0, 0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $27=$1; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+56)|0); //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29+376)|0); //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$1; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($30, $31); //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 8; break; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $33=$1; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$4; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE($type, $33, $34); //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$2; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=__ZN8JSScript8analysisEv($35); //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$3; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh($36, $37); //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$38; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$types; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$6; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$type; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)]; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($39, $6); //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($42) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      $5=1;
      __label__ = 8; break; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $45=$2; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=__ZN8JSScript2idEv($45); //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$3; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$2; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=(($48)|0); //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$47; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$50; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($51-$52)|0); //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$7; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$type; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)]; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=__ZN2js5types10TypeStringENS0_4TypeE($7); //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str511621)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$46,HEAP32[((tempInt+4)>>2)]=$53,HEAP32[((tempInt+8)>>2)]=$56,tempInt)); //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=$types; //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=$1; //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$8; //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$type; //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)]; //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($57, $58, $8); //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=0; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break;
    case 9: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 10; break;
      }
      else {
      __label__ = 11; break;
      }
      
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types17TypeMonitorResultEP9JSContextP8JSScriptPhRKN2JS5ValueE["X"]=1;

function __ZN2js5types18ClearActiveNestingEP8JSScript($start) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $script;
      var $traverseChildren;
      var $nesting;
      $2=$start;
      var $3=$2; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$3; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $traverseChildren=1; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $5=$script; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=__ZNK8JSScript7nestingEv($5); //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $nesting=$6; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$nesting; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7+4)|0); //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=$traverseChildren; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12) & 1); //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $15=$nesting; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+4)|0); //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$17; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $19=$nesting; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+24)|0); //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21)|0)!=0; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      $1=0; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $25=$script; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$25; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+37)|0); //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAPU8[($27)]; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28)&255) >>> 4; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$29 & 1; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30) & 1); //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $33=$nesting; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+12)|0); //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($34)>>2)]=0; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$nesting; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35+16)|0); //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($36)>>2)]=0; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$nesting; //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($37+20)|0); //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($38)>>2)]=0; //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $40=$script; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$2; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($40)|0)==(($41)|0); //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 15; break; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $45=$nesting; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45+8)|0); //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47)|0)!=0; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $50=$nesting; //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=(($50+8)|0); //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$52; //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $traverseChildren=1; //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $54=$nesting; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54)|0); //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$56; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $traverseChildren=0; //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 2; break; //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      $1=1; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $60=$1; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $60; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types18ClearActiveNestingEP8JSScript["X"]=1;

function __ZN2js5types15NestingPrologueEP9JSContextPNS_10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $script;
      var $nesting;
      $1=$cx;
      $2=$fp;
      var $3=$2; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=__ZNK2js10StackFrame3funEv($3); //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=__ZNK10JSFunction6scriptEv($4); //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$5; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$script; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=__ZNK8JSScript7nestingEv($6); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $nesting=$7; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$nesting; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0); //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10)|0)!=0; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $13=$1; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$2; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=__ZNK2js10StackFrame10scopeChainEv($14); //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$script; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5typesL18CheckNestingParentEP9JSContextP8JSObjectP8JSScript($13, $15, $16); //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $18=$script; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$18; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+37)|0); //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAPU8[($20)]; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21)&255) >>> 4; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$22 & 1; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23) & 1); //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $26=$script; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZN2js5types18ClearActiveNestingEP8JSScript($26); //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $29=$script; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$29; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30+38)|0); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP8[($31)]; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$32 & -9; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$33 | 8; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($31)]=$34; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$1; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$2; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=__ZNK2js10StackFrame3funEv($36); //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$37; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($35, $38, 8388608); //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $40=$2; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=__ZNK2js10StackFrame7callObjEv($40); //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$41; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$nesting; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+12)|0); //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($44)>>2)]=$42; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=$2; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=__ZNK2js10StackFrame10formalArgsEv($45); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=$nesting; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47+16)|0); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$2; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=__ZNK2js10StackFrame5slotsEv($49); //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$nesting; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51+20)|0); //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($52)>>2)]=$50; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $54=$nesting; //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54+24)|0); //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=(($56+1)|0); //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($55)>>2)]=$57; //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return; //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15NestingPrologueEP9JSContextPNS_10StackFrameE["X"]=1;

function __ZN2js5typesL18CheckNestingParentEP9JSContextP8JSObjectP8JSScript($cx, $scope, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $parent;
      $1=$cx;
      $2=$scope;
      $3=$script;
      __label__ = 2; break; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $5=$3; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=__ZNK8JSScript7nestingEv($5); //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6)|0); //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $parent=$8; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=$2; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZNK8JSObject6isCallEv($10); //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($11) { __label__ = 4; break; } else { var $20 = 1;__label__ = 5; break; } //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $13=$2; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZN8JSObject6asCallEv($13); //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=__ZNK2js10CallObject17getCalleeFunctionEv($14); //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=__ZNK10JSFunction6scriptEv($15); //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$parent; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($16)|0)!=(($17)|0); //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20 = $18;__label__ = 5; break; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $20;
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $22=$2; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZNK8JSObject9getParentEv($22); //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $2=$23; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $25=$2; //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$parent; //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZNK8JSScript7nestingEv($26); //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27+12)|0); //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($25)|0)!=(($29)|0); //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $32=$parent; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$32; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+38)|0); //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=HEAP8[($34)]; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=$35 & -9; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$36 | 8; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($34)]=$37; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$1; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$parent; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=__ZNK8JSScript8functionEv($39); //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$40; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($38, $41, 8388608); //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$parent; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZNK8JSScript7nestingEv($42); //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43)|0); //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45)|0)!=0; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $48=$2; //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=__ZNK8JSObject9getParentEv($48); //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $2=$49; //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$parent; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $3=$50; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 11; break; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      ;
      return; //@line 5239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL18CheckNestingParentEP9JSContextP8JSObjectP8JSScript["X"]=1;

function __ZN2js5types15NestingEpilogueEPNS_10StackFrameE($fp) {
  ;
  var __label__;

  var $1;
  var $script;
  var $nesting;
  $1=$fp;
  var $2=$1; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $3=__ZNK2js10StackFrame3funEv($2); //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=__ZNK10JSFunction6scriptEv($3); //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  $script=$4; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$script; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=__ZNK8JSScript7nestingEv($5); //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  $nesting=$6; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$nesting; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($7+24)|0); //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($9-1)|0); //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($8)>>2)]=$10; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN8JSScript9makeTypesEP9JSContextP10JSFunction($this, $cx, $fun) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $enter=__stackBase__;
      var $count;
      var $5;
      $2=$this;
      $3=$cx;
      $4=$fun;
      var $6=$2;
      var $7=$3; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZN9JSContext20typeInferenceEnabledEv($7); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=$3; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZN9JSContext7calloc_Ej($10, 20); //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$11; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($6+100)|0); //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($6+100)|0); //@line 5369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 5369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15)|0)!=0; //@line 5369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 5369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=0; //@line 5370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 5370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $19=(($6+100)|0); //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$20; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21)|0)==0; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { var $27 = 0;__label__ = 6; break; } else { __label__ = 5; break; } //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $24=$21; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$4; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeScriptC1EP10JSFunction($24, $25); //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27 = $24;__label__ = 6; break; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $27; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=1; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $29=$3; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $29, 0); //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$4; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30)|0)!=0; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $33=$4; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+56)|0); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=HEAPU16[(($34)>>1)]; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35)&65535); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39 = $36;__label__ = 10; break; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $39 = 0;__label__ = 10; break; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $39; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39+2)|0); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($6+14)|0); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=HEAPU16[(($41)>>1)]; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=(($42)&65535); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($40+$43)|0); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($6+22)|0); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=HEAPU16[(($45)>>1)]; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46)&65535); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($44+$47)|0); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$48; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$3; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$count; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=(($50*12)|0); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51+20)|0); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=__ZN9JSContext7calloc_Ej($49, $52); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$53; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($6+100)|0); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($6+100)|0); //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57)|0)!=0; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $60=$3; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60+56)|0); //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=(($62+376)|0); //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$3; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($63, $64); //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 15; break; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $66=(($6+100)|0); //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=$67; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($68)|0)==0; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($69) { var $74 = 0;__label__ = 14; break; } else { __label__ = 13; break; } //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $71=$68; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$4; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeScriptC1EP10JSFunction($71, $72); //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74 = $71;__label__ = 14; break; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $74; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=1; //@line 5417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 15; break; //@line 5417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break;
    case 16: 
      var $77=$1; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $77; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSScript9makeTypesEP9JSContextP10JSFunction["X"]=1;

function __ZN2js5types10TypeScriptC1EP10JSFunction($this, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$fun;
  var $3=$1;
  var $4=$2; //@line 1039 "./jsinfer.h"
  __ZN2js5types10TypeScriptC2EP10JSFunction($3, $4); //@line 1039 "./jsinfer.h"
  ;
  return; //@line 1039 "./jsinfer.h"
}


function __ZN8JSScript12makeAnalysisEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $enter=__stackBase__;
      var $4=__stackBase__+8;
      var $5;
      $2=$this;
      $3=$cx;
      var $6=$2;
      var $7=$3; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze17AutoEnterAnalysisC1EP9JSContext($enter, $7); //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$3; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8+56)|0); //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10+344)|0); //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($4)>>2)]=$6; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js8ArenaNewINS_7analyze14ScriptAnalysisEP8JSScriptEEPT_R11JSArenaPoolRKT0_($11, $4); //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($6+100)|0); //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)|0); //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($15)>>2)]=$12; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($6+100)|0); //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0); //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19)|0)!=0; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=0; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 6; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $23=(($6+100)|0); //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24)|0); //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$3; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis15analyzeBytecodeEP9JSContext($26, $27); //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($6+100)|0); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29)|0); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=__ZN2js7analyze14ScriptAnalysis3OOMEv($31); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $34=(($6+100)|0); //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35)|0); //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($36)>>2)]=0; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 5436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 6; break; //@line 5436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      $1=1; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 6; break; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      __ZN2js7analyze17AutoEnterAnalysisD1Ev($enter); //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$1; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSScript12makeAnalysisEP9JSContext["X"]=1;

function __ZN2js8ArenaNewINS_7analyze14ScriptAnalysisEP8JSScriptEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+40)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN2js7analyze14ScriptAnalysisC1EP8JSScript($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_7analyze14ScriptAnalysisEP8JSScriptEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN8JSScript15typeSetFunctionEP9JSContextP10JSFunctionb($this, $cx, $fun, $singleton) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $type;
      $2=$this;
      $3=$cx;
      $4=$fun;
      var $6=(($singleton)&1);
      $5=$6;
      var $7=$2;
      var $8=$7; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8+37)|0); //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAP8[($9)]; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$10 & -5; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$11 | 4; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($9)]=$12; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$4; //@line 5446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZNK10JSFunction13isHeavyweightEv($13); //@line 5446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $16=$7; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16+37)|0); //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP8[($17)]; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$18 & -9; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$19 | 8; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($17)]=$20; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $22=$3; //@line 5449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN9JSContext20typeInferenceEnabledEv($22); //@line 5449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $1=1; //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $26=$5; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26) & 1); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $29=$4; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=$29; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$3; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=__ZN8JSObject16setSingletonTypeEP9JSContext($30, $31); //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $1=0; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __label__ = 12; break; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $36=$3; //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36+56)|0); //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38+376)|0); //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$3; //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$4; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$41; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZNK8JSObject8getProtoEv($42); //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=__ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb($39, $40, $7, 2, $43, 0); //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $type=$44; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=$type; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45)|0)!=0; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      $1=0; //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $49=$4; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$49; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=$type; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($50, $51); //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$4; //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$type; //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53+28)|0); //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($54)>>2)]=$52; //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break;
    case 12: 
      $1=1; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $57=$1; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $57; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSScript15typeSetFunctionEP9JSContextP10JSFunctionb["X"]=1;

function __ZN8JSObject21shouldSplicePrototypeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=__ZNK8JSObject8getProtoEv($4); //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5)|0)!=0; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=0; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $9=$3; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZN9JSContext20typeInferenceEnabledEv($9); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 4; break; } else { var $14 = 1;__label__ = 5; break; } //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $12=__ZNK8JSObject16hasSingletonTypeEv($4); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14 = $12;__label__ = 5; break; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $14;
      $1=$14; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $16=$1; //@line 5522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $16; //@line 5522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject15splicePrototypeEP9JSContextPS_($this, $cx, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $type;
      var $protoType;
      var $type1;
      var $enter=__stackBase__;
      var $5;
      var $count;
      var $i;
      var $prop;
      $2=$this;
      $3=$cx;
      $4=$proto;
      var $6=$2;
      var $7=$3; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZN8JSObject7getTypeEP9JSContext($6, $7); //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $type=$8; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $protoType=0; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$4; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$4; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$3; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZN8JSObject7getTypeEP9JSContext($12, $13); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $protoType=$14; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$4; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$3; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($15, $16, 0, 0); //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)!=0; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=0; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 5; break; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $22=$3; //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN9JSContext20typeInferenceEnabledEv($22); //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 12; break; } else { __label__ = 6; break; } //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $25=$4; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25)|0)!=0; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $28=$4; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$3; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($28, $29, 0, 0); //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33 = $30;__label__ = 9; break; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $33 = __ZN2js5types15emptyTypeObjectE;__label__ = 9; break; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $33; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $type1=$33; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$type1; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)|0)!=0; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      $1=0; //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break; //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $38=$type1; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($6+36)|0); //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($39)>>2)]=$38; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=1; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $41=$4; //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$type; //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=(($42)|0); //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($43)>>2)]=$41; //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$3; //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $44, 0); //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=$protoType; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45)|0)!=0; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $48=$protoType; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=__ZN2js5types10TypeObject17unknownPropertiesEv($48); //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $51=$type; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=__ZN2js5types10TypeObject17unknownPropertiesEv($51); //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $54=$type; //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$3; //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject11markUnknownEP9JSContext($54, $55); //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=1; //@line 5561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 26; break; //@line 5561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $57=$type; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=__ZN2js5types10TypeObject17unknownPropertiesEv($57); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 25; break; } else { __label__ = 17; break; } //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $60=$type; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=__ZN2js5types10TypeObject16getPropertyCountEv($60); //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$61; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $63=$i; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$count; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($63)>>>0) < (($64)>>>0); //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($65) { __label__ = 19; break; } else { __label__ = 24; break; } //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $67=$type; //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=$i; //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=__ZN2js5types10TypeObject11getPropertyEj($67, $68); //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop=$69; //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=$prop; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=(($70)|0)!=0; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($71) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $73=$prop; //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=(($73+4)|0); //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=__ZN2js5types7TypeSet21hasPropagatedPropertyEv($74); //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($75) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 5569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $77=$type; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=$3; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=$prop; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=(($79)|0); //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=$prop; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=(($82+4)|0); //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject17getFromPrototypesEP9JSContextiPNS0_7TypeSetEb($77, $78, $81, $83, 1); //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      __label__ = 23; break; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $86=$i; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=(($86+1)|0); //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$87; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      __label__ = 25; break; //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      $1=1; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $5=1;
      __label__ = 26; break; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 27; break;
    case 27: 
      var $92=$1; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $92; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject15splicePrototypeEP9JSContextPS_["X"]=1;

function __ZN2js2gc12EmptyArenaOpEPNS0_5ArenaE($arena) {
  ;
  var __label__;

  var $1;
  $1=$arena;
  ;
  return; //@line 324 "./jsgcinlines.h"
}


function __ZNK8JSObject18hasSpecialEqualityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 617 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 617 "./jsobj.h"
  var $5=$4 & 2048; //@line 617 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 617 "./jsobj.h"
  var $7=$6 ^ 1; //@line 617 "./jsobj.h"
  var $8=$7 ^ 1; //@line 617 "./jsobj.h"
  ;
  return $8; //@line 617 "./jsobj.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZN8JSObject11makeNewTypeEP9JSContextP10JSFunctionb($this, $cx, $fun, $unknown) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $type;
      var $enter=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$fun;
      var $5=(($unknown)&1);
      $4=$5;
      var $6=$1;
      var $7=$2; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7+56)|0); //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9+376)|0); //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$2; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=$4; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12) & 1); //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb($10, $11, 0, 1, $6, $13); //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $type=$14; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$type; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15)|0)!=0; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 17; break; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $19=$type; //@line 5645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($6+16)|0); //@line 5645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$20; //@line 5645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 5645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSObject11setDelegateEv($6); //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$2; //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN9JSContext20typeInferenceEnabledEv($22); //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 17; break; //@line 5649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $26=$2; //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $26, 0); //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZNK8JSObject18hasSpecialEqualityEv($6); //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $29=$type; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29+12)|0); //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=$31 | 2097152; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($30)>>2)]=$32; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $34=$3; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34)|0)!=0; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $37=$2; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=$type; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$3; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL24CheckNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunction($37, $38, $39); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $41=__ZNK8JSObject5isXMLEv($6); //@line 5666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 5666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $43=$type; //@line 5666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=__ZN2js5types10TypeObject17unknownPropertiesEv($43); //@line 5666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $46=$type; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($46+12)|0); //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$48 | 33488904; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($47)>>2)]=$49; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $51=(($6+4)|0); //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($52+68)|0); //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53)|0); //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55)|0)!=0; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($56) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $58=$type; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=(($58+12)|0); //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=$60 | 2097152; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($59)>>2)]=$61; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $63=$type; //@line 5681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=__ZN2js5types10TypeObject17unknownPropertiesEv($63); //@line 5681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($64) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 5681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $66=$type; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=(($66+12)|0); //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$68 | 8; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($67)>>2)]=$69; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      STACKTOP = __stackBase__;
      return; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject11makeNewTypeEP9JSContextP10JSFunctionb["X"]=1;

function __Z16SweepTypeObjectsP9JSContextP13JSCompartment($cx, $compartment) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $op=__stackBase__;
  var $3=__stackBase__+4;
  $1=$cx;
  $2=$compartment;
  var $4=$1; //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN17SweepTypeObjectOpC1EP9JSContext($op, $4); //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$2; //@line 5882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$3; //@line 5882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$op; //@line 5882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)]; //@line 5882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js2gc19ForEachArenaAndCellIPFvPNS0_5ArenaEE17SweepTypeObjectOpEEvP13JSCompartmentNS0_9AllocKindET_T0_($5, 15, 142, $3); //@line 5882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN17SweepTypeObjectOpC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN17SweepTypeObjectOpC2EP9JSContext($3, $4); //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js2gc19ForEachArenaAndCellIPFvPNS0_5ArenaEE17SweepTypeObjectOpEEvP13JSCompartmentNS0_9AllocKindET_T0_($compartment, $thingKind, $arenaOp, $cellOp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $cellOp; $cellOp = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($cellOp)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $thingSize;
      var $aheader;
      var $arena;
      var $firstSpan=__stackBase__;
      var $span;
      var $thing;
      var $t;
      $1=$compartment;
      $2=$thingKind;
      $3=$arenaOp;
      var $4=$2; //@line 184 "./jsgcinlines.h"
      var $5=__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE($4); //@line 184 "./jsgcinlines.h"
      $thingSize=$5; //@line 184 "./jsgcinlines.h"
      var $6=$1; //@line 185 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 185 "./jsgcinlines.h"
      var $8=$2; //@line 185 "./jsgcinlines.h"
      var $9=__ZNK2js2gc10ArenaLists13getFirstArenaENS0_9AllocKindE($7, $8); //@line 185 "./jsgcinlines.h"
      $aheader=$9; //@line 185 "./jsgcinlines.h"
      __label__ = 2; break; //@line 187 "./jsgcinlines.h"
    case 2: 
      var $11=$aheader; //@line 187 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 187 "./jsgcinlines.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 13; break; } //@line 187 "./jsgcinlines.h"
    case 3: 
      var $14=$aheader; //@line 188 "./jsgcinlines.h"
      var $15=__ZN2js2gc11ArenaHeader8getArenaEv($14); //@line 188 "./jsgcinlines.h"
      $arena=$15; //@line 188 "./jsgcinlines.h"
      var $16=$3; //@line 189 "./jsgcinlines.h"
      var $17=$arena; //@line 189 "./jsgcinlines.h"
      FUNCTION_TABLE[$16]($17); //@line 189 "./jsgcinlines.h"
      var $18=$aheader; //@line 190 "./jsgcinlines.h"
      __ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv($firstSpan, $18); //@line 190 "./jsgcinlines.h"
      $span=$firstSpan; //@line 191 "./jsgcinlines.h"
      var $19=$arena; //@line 193 "./jsgcinlines.h"
      var $20=$2; //@line 193 "./jsgcinlines.h"
      var $21=__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE($19, $20); //@line 193 "./jsgcinlines.h"
      $thing=$21; //@line 193 "./jsgcinlines.h"
      __label__ = 4; break; //@line 193 "./jsgcinlines.h"
    case 4: 
      var $23=$thing; //@line 195 "./jsgcinlines.h"
      var $24=$span; //@line 195 "./jsgcinlines.h"
      var $25=(($24)|0); //@line 195 "./jsgcinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 195 "./jsgcinlines.h"
      var $27=(($23)|0)==(($26)|0); //@line 195 "./jsgcinlines.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 195 "./jsgcinlines.h"
    case 5: 
      var $29=$span; //@line 196 "./jsgcinlines.h"
      var $30=__ZNK2js2gc8FreeSpan7hasNextEv($29); //@line 196 "./jsgcinlines.h"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 196 "./jsgcinlines.h"
    case 6: 
      __label__ = 11; break; //@line 197 "./jsgcinlines.h"
    case 7: 
      var $33=$span; //@line 198 "./jsgcinlines.h"
      var $34=(($33+4)|0); //@line 198 "./jsgcinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 198 "./jsgcinlines.h"
      $thing=$35; //@line 198 "./jsgcinlines.h"
      var $36=$span; //@line 199 "./jsgcinlines.h"
      var $37=__ZNK2js2gc8FreeSpan8nextSpanEv($36); //@line 199 "./jsgcinlines.h"
      $span=$37; //@line 199 "./jsgcinlines.h"
      __label__ = 9; break; //@line 200 "./jsgcinlines.h"
    case 8: 
      var $39=$thing; //@line 201 "./jsgcinlines.h"
      var $40=$39; //@line 201 "./jsgcinlines.h"
      $t=$40; //@line 201 "./jsgcinlines.h"
      var $41=$t; //@line 202 "./jsgcinlines.h"
      __ZN17SweepTypeObjectOpclEPN2js2gc4CellE($cellOp, $41); //@line 202 "./jsgcinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 204 "./jsgcinlines.h"
    case 10: 
      var $44=$thingSize; //@line 193 "./jsgcinlines.h"
      var $45=$thing; //@line 193 "./jsgcinlines.h"
      var $46=(($45+$44)|0); //@line 193 "./jsgcinlines.h"
      $thing=$46; //@line 193 "./jsgcinlines.h"
      __label__ = 4; break; //@line 193 "./jsgcinlines.h"
    case 11: 
      __label__ = 12; break; //@line 205 "./jsgcinlines.h"
    case 12: 
      var $49=$aheader; //@line 187 "./jsgcinlines.h"
      var $50=(($49+4)|0); //@line 187 "./jsgcinlines.h"
      var $51=HEAP32[(($50)>>2)]; //@line 187 "./jsgcinlines.h"
      $aheader=$51; //@line 187 "./jsgcinlines.h"
      __label__ = 2; break; //@line 187 "./jsgcinlines.h"
    case 13: 
      STACKTOP = __stackBase__;
      return; //@line 206 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js2gc19ForEachArenaAndCellIPFvPNS0_5ArenaEE17SweepTypeObjectOpEEvP13JSCompartmentNS0_9AllocKindET_T0_["X"]=1;

function __ZN2js5types15TypeCompartment5sweepEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $compartment;
      var $e=__stackBase__;
      var $3;
      var $key;
      var $obj;
      var $remove;
      var $e1=__stackBase__+16;
      var $key2;
      var $entry;
      var $remove3;
      var $i;
      var $str;
      var $e4=__stackBase__+32;
      var $key5;
      var $object;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=__ZN2js5types15TypeCompartment11compartmentEv($4); //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $compartment=$5; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$2; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=$compartment; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __Z16SweepTypeObjectsP9JSContextP13JSCompartment($6, $7); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($4+32)|0); //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 15; break; } //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=(($4+32)|0); //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($e, $13); //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $15=$e; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($15); //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$16 ^ 1; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $3=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($e); //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break;
    case 5: 
      var $20=$e; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($20); //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21)|0); //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $key=$22; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$e; //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($23); //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24+8)|0); //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj=$26; //@line 5900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $remove=0; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$key; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27)|0); //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=__ZNK2js5types4Type12isTypeObjectEv($28); //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $31=$key; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31)|0); //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=__ZNK2js5types4Type10typeObjectEv($32); //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$33; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=__ZNK2js2gc4Cell8isMarkedEj($34, 0); //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $remove=1; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $38=$obj; //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$38; //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=__ZNK2js2gc4Cell8isMarkedEj($39, 0); //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      $remove=1; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $43=$remove; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43) & 1); //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($e); //@line 5911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 5911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      __label__ = 13; break; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $48=$e; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($48); //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 15; break; //@line 5913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $51=(($4+36)|0); //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($52)|0)!=0; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($53) { __label__ = 16; break; } else { __label__ = 39; break; } //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $55=(($4+36)|0); //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC1IS9_EERT_($e1, $56); //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $58=$e1; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5emptyEv($58); //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$59 ^ 1; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($60) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      $3=5;
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD1Ev($e1); //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 38; break;
    case 19: 
      var $63=$e1; //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv($63); //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($64)|0); //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $key2=$65; //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=$e1; //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv($66); //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67+16)|0); //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $entry=$68; //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $remove3=0; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=$entry; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($69)|0); //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=$71; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=__ZNK2js2gc4Cell8isMarkedEj($72, 0); //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($73) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      $remove3=1; //@line 5923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 21; break; //@line 5923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      $i=0; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $77=$remove3; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=(($77) & 1); //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($78) { var $86 = 0;__label__ = 24; break; } else { __label__ = 23; break; } //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      var $80=$i; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$key2; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=(($81+4)|0); //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=HEAPU32[(($82)>>2)]; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=(($80)>>>0) < (($83)>>>0); //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86 = $84;__label__ = 24; break;
    case 24: 
      var $86;
      if ($86) { __label__ = 25; break; } else { __label__ = 34; break; }
    case 25: 
      var $88=$i; //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=$key2; //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=(($89)|0); //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=(($91+($88<<2))|0); //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=_JSID_IS_STRING1730($93); //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=(($94)|0)!=0; //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($95) { __label__ = 26; break; } else { __label__ = 29; break; } //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $97=$i; //@line 5926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=$key2; //@line 5926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=(($98)|0); //@line 5926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 5926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=(($100+($97<<2))|0); //@line 5926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 5926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=_JSID_TO_STRING1731($102); //@line 5926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $str=$103; //@line 5926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=$str; //@line 5927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=$104; //@line 5927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=__ZNK2js2gc4Cell8isMarkedEj($105, 0); //@line 5927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($106) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 5927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      $remove3=1; //@line 5928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 28; break; //@line 5928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      __label__ = 29; break; //@line 5929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $110=$i; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=$entry; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=(($111+4)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=(($113+($110<<2))|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=__ZNK2js5types4Type12isTypeObjectEv($114); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($115) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $117=$i; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=$entry; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=(($118+4)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=(($120+($117<<2))|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=__ZNK2js5types4Type10typeObjectEv($121); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=$122; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=__ZNK2js2gc4Cell8isMarkedEj($123, 0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($124) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      $remove3=1; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 32; break; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      __label__ = 33; break; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      var $128=$i; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $129=(($128+1)|0); //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$129; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      var $131=$remove3; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=(($131) & 1); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($132) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      var $134=$key2; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $135=(($134)|0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $137=$136; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground5free_EPv($137); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $138=$entry; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=(($138+4)|0); //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=$140; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground5free_EPv($141); //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4Enum11removeFrontEv($e1); //@line 5938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 36; break; //@line 5939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      __label__ = 37; break; //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      var $144=$e1; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range8popFrontEv($144); //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 17; break; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 38: 
      __label__ = 39; break; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      var $147=(($4+28)|0); //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=(($148)|0)!=0; //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($149) { __label__ = 40; break; } else { __label__ = 49; break; } //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 40: 
      var $151=(($4+28)|0); //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($e4, $152); //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 41; break; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      var $154=$e4; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($154); //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=$155 ^ 1; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($156) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      $3=11;
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($e4); //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 48; break;
    case 43: 
      var $159=$e4; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $160=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($159); //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $161=(($160)|0); //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $key5=$161; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $162=$e4; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $163=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($162); //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $164=(($163+8)|0); //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$165; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $166=$2; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $167=$key5; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $168=(($167)|0); //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $170=$169; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $171=__Z20IsAboutToBeFinalizedP9JSContextPKv($166, $170); //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($171) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 44: 
      var $173=$object; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $174=$173; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $175=__ZNK2js2gc4Cell8isMarkedEj($174, 0); //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($175) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 45: 
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($e4); //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 46; break; //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 46: 
      __label__ = 47; break; //@line 5950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 47: 
      var $179=$e4; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($179); //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 41; break; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 48: 
      __label__ = 49; break; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 49: 
      var $182=(($4+40)|0); //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $184=(($183)|0)!=0; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($184) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 50: 
      var $186=$2; //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $187=(($4+40)|0); //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $188=HEAP32[(($187)>>2)]; //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $189=$188; //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN9JSContext5free_EPv($186, $189); //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 51; break; //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 51: 
      var $191=(($4+40)|0); //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($191)>>2)]=0; //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $192=(($4+48)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($192)>>2)]=0; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return; //@line 5962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types15TypeCompartment5sweepEP9JSContext["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS7_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+16)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC1IS9_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC2IS9_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN8JSObject12makeLazyTypeEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $enter=__stackBase__;
      var $type;
      var $3;
      var $script;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=$2; //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $5, 0); //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$2; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6+56)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8+376)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$2; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZNK8JSObject8getProtoEv($4); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb($9, $10, 0, 1, $11, 0); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $type=$12; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$type; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0)!=0; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $16=$2; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16+56)|0); //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18+376)|0); //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$2; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($19, $20); //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $3=1;
      __label__ = 23; break; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $22=$type; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+4)|0); //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($23)>>2)]=$4; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=__ZNK8JSObject10isFunctionEv($4); //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $26=__ZNK8JSObject18getFunctionPrivateEv($4); //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26)|0)!=0; //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 13; break; } //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $29=__ZNK8JSObject18getFunctionPrivateEv($4); //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=__ZNK10JSFunction13isInterpretedEv($29); //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 13; break; } //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $32=__ZNK8JSObject18getFunctionPrivateEv($4); //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$type; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33+28)|0); //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($34)>>2)]=$32; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$type; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35+28)|0); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=__ZNK10JSFunction6scriptEv($37); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$38; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$script; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$39; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40+38)|0); //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=HEAPU8[($41)]; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=(($42)&255) >>> 1; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=$43 & 1; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44) & 1); //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($45) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $47=$type; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47+12)|0); //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=$49 | 524288; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $52=$script; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=$52; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=(($53+38)|0); //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=HEAPU8[($54)]; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55)&255) >>> 2; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=$56 & 1; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57) & 1); //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $60=$type; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60+12)|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=$62 | 1048576; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($61)>>2)]=$63; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $65=$script; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=$65; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=(($66+38)|0); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=HEAPU8[($67)]; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69=(($68)&255) >>> 3; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=$69 & 1; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=(($70) & 1); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($71) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $73=$type; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=(($73+12)|0); //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=$75 | 8388608; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($74)>>2)]=$76; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      __label__ = 13; break; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $79=(($4+8)|0); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$80 & 32768; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=(($81)|0)!=0; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($82) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $84=$type; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $85=(($84+12)|0); //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$86 | 4194304; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($85)>>2)]=$87; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 15; break; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $89=__ZNK8JSObject5isXMLEv($4); //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($89) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $91=$type; //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=__ZN2js5types10TypeObject17unknownPropertiesEv($91); //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($92) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $94=$type; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $95=$2; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject11markUnknownEP9JSContext($94, $95); //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $97=(($4+4)|0); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=(($98+68)|0); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=(($99)|0); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=(($101)|0)!=0; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($102) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $104=$type; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=(($104+12)|0); //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=$106 | 2097152; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($105)>>2)]=$107; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $109=$type; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=__ZN2js5types10TypeObject17unknownPropertiesEv($109); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($110) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $112=$type; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=(($4+36)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($113)>>2)]=$112; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=(($4+8)|0); //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=$115 & -131073; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($114)>>2)]=$116; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $3=1;
      __label__ = 23; break; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $118=$type; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=(($118+12)|0); //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=$120 | 458752; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($119)>>2)]=$121; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=$type; //@line 5631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=(($4+36)|0); //@line 5631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($123)>>2)]=$122; //@line 5631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=(($4+8)|0); //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $126=$125 & -131073; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($124)>>2)]=$126; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $3=0; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 23; break; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$3;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 24; break;
      }
      else {
      __label__ = 25; break;
      }
      
    case 24: 
      STACKTOP = __stackBase__;
      return; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject12makeLazyTypeEP9JSContext["X"]=1;

function _JSID_IS_STRING1730($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_STRING1731($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZN2js18ArenaAllocatedSizeERK11JSArenaPool($pool) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $res;
      var $a;
      $1=$pool;
      $res=0; //@line 296 "./jsarena.h"
      var $2=$1; //@line 297 "./jsarena.h"
      var $3=(($2)|0); //@line 297 "./jsarena.h"
      $a=$3; //@line 297 "./jsarena.h"
      __label__ = 2; break; //@line 298 "./jsarena.h"
    case 2: 
      var $5=$a; //@line 298 "./jsarena.h"
      var $6=(($5)|0)!=0; //@line 298 "./jsarena.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 298 "./jsarena.h"
    case 3: 
      var $8=$a; //@line 299 "./jsarena.h"
      var $9=(($8+8)|0); //@line 299 "./jsarena.h"
      var $10=HEAP32[(($9)>>2)]; //@line 299 "./jsarena.h"
      var $11=$a; //@line 299 "./jsarena.h"
      var $12=$11; //@line 299 "./jsarena.h"
      var $13=(($10-$12)|0); //@line 299 "./jsarena.h"
      var $14=$res; //@line 299 "./jsarena.h"
      var $15=(($14+$13)|0); //@line 299 "./jsarena.h"
      $res=$15; //@line 299 "./jsarena.h"
      var $16=$a; //@line 300 "./jsarena.h"
      var $17=(($16)|0); //@line 300 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 300 "./jsarena.h"
      $a=$18; //@line 300 "./jsarena.h"
      __label__ = 2; break; //@line 301 "./jsarena.h"
    case 4: 
      var $20=$res; //@line 302 "./jsarena.h"
      ;
      return $20; //@line 302 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeERNS0_14HashTableEntryIS6_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+28)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS7_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+16)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN2js5types15TypeCompartmentD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+40)|0); //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=(($4)|0)!=0; //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $7=(($2+40)|0); //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$8; //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground5free_EPv($9); //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $11=(($2+32)|0); //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12)|0)!=0; //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $15=(($2+32)|0); //@line 5970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 5970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground7delete_INS_7HashMapINS_5types13ArrayTableKeyEPNS3_10TypeObjectES4_NS_17SystemAllocPolicyEEEEEvPT_($16); //@line 5970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 5970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $18=(($2+36)|0); //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19)|0)!=0; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $22=(($2+36)|0); //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground7delete_INS_7HashMapINS_5types14ObjectTableKeyENS3_16ObjectTableEntryES4_NS_17SystemAllocPolicyEEEEEvPT_($23); //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $25=(($2+28)|0); //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26)|0)!=0; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $29=(($2+28)|0); //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground7delete_INS_7HashMapINS_5types17AllocationSiteKeyEPNS3_10TypeObjectES4_NS_17SystemAllocPolicyEEEEEvPT_($30); //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      ;
      return; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_INS_7HashMapINS_5types13ArrayTableKeyEPNS3_10TypeObjectES4_NS_17SystemAllocPolicyEEEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED1Ev($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free1736($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_INS_7HashMapINS_5types14ObjectTableKeyENS3_16ObjectTableEntryES4_NS_17SystemAllocPolicyEEEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEED1Ev($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free1736($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_INS_7HashMapINS_5types17AllocationSiteKeyEPNS3_10TypeObjectES4_NS_17SystemAllocPolicyEEEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED1Ev($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free1736($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript5SweepEP9JSContextP8JSScript($cx, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $compartment;
      var $num;
      var $typeArray;
      var $i;
      var $presult;
      var $result;
      var $type=__stackBase__;
      $1=$cx;
      $2=$script;
      var $3=$2; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=$3; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=__ZNK2js2gc4Cell11compartmentEv($4); //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $compartment=$5; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$2; //@line 5985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=__ZN2js5types10TypeScript11NumTypeSetsEP8JSScript($6); //@line 5985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $num=$7; //@line 5985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$2; //@line 5986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8+100)|0); //@line 5986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 5986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZN2js5types10TypeScript9typeArrayEv($10); //@line 5986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $typeArray=$11; //@line 5986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $13=$i; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$num; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($13)>>>0) < (($14)>>>0); //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $17=$i; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$typeArray; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18+$17*12)|0); //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$1; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$compartment; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet5sweepEP9JSContextP13JSCompartment($19, $20, $21); //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $23=$i; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23+1)|0); //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$24; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $26=$2; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+100)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28+16)|0); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $presult=$29; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $31=$presult; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32)|0)!=0; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 14; break; } //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $35=$presult; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$36; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$result; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($37+4)|0); //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$type; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$38; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)]; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=__ZNK2js5types4Type9isUnknownEv($type); //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 12; break; } else { __label__ = 8; break; } //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $43=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 9; break; } //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $45=__ZNK2js5types4Type8isObjectEv($type); //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $47=$1; //@line 5998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=__ZNK2js5types4Type9objectKeyEv($type); //@line 5998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=__ZN2js5typesL20IsAboutToBeFinalizedEP9JSContextPNS0_13TypeObjectKeyE($47, $48); //@line 5998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $51=$result; //@line 5999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=(($51+8)|0); //@line 5999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 5999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$presult; //@line 5999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 5999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$1; //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=$result; //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN9JSContext7delete_IN2js5types10TypeResultEEEvPT_($55, $56); //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 6001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $58=$result; //@line 6002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=(($58+8)|0); //@line 6002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $presult=$59; //@line 6002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 6; break; //@line 6004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      STACKTOP = __stackBase__;
      return; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeScript5SweepEP9JSContextP8JSScript["X"]=1;

function __ZN2js5types7TypeSet5sweepEP9JSContextP13JSCompartment($this, $cx, $compartment) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $objectCount=__stackBase__;
      var $oldCapacity;
      var $oldArray;
      var $i;
      var $object;
      var $pentry;
      var $object1;
      $1=$this;
      $2=$cx;
      $3=$compartment;
      var $4=$1;
      var $5=__ZNK2js5types7TypeSet15baseObjectCountEv($4); //@line 5698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($objectCount)>>2)]=$5; //@line 5698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAPU32[(($objectCount)>>2)]; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6)>>>0) >= 2; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $9=HEAP32[(($objectCount)>>2)]; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZN2js5typesL15HashSetCapacityEj1739($9); //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $oldCapacity=$10; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($4+4)|0); //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $oldArray=$12; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet12clearObjectsEv($4); //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($objectCount)>>2)]=0; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $14=$i; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$oldCapacity; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($14)>>>0) < (($15)>>>0); //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $18=$i; //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$oldArray; //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+($18<<2))|0); //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$21; //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$object; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22)|0)!=0; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $25=$2; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$object; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZN2js5typesL20IsAboutToBeFinalizedEP9JSContextPNS0_13TypeObjectKeyE($25, $26); //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($27) { __label__ = 10; break; } else { __label__ = 6; break; } //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $29=$3; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($4+4)|0); //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=$object; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1745($29, $30, $objectCount, $31); //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pentry=$32; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$pentry; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=(($33)|0)!=0; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $36=$object; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=$pentry; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($37)>>2)]=$36; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $39=$3; //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39+376)|0); //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$2; //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($40, $41); //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 11; break; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $45=$i; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45+1)|0); //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$46; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $48=HEAP32[(($objectCount)>>2)]; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet18setBaseObjectCountEj($4, $48); //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $50=HEAP32[(($objectCount)>>2)]; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=(($50)|0)==1; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $53=(($4+4)|0); //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$54; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object1=$55; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=$2; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=$object1; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=__ZN2js5typesL20IsAboutToBeFinalizedEP9JSContextPNS0_13TypeObjectKeyE($56, $57); //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $60=(($4+4)|0); //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($60)>>2)]=0; //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet18setBaseObjectCountEj($4, 0); //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      __label__ = 17; break; //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $64=(($4+8)|0); //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($64)>>2)]=0; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($4)|0); //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=$66 & -131073; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($65)>>2)]=$67; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return; //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types7TypeSet5sweepEP9JSContextP13JSCompartment["X"]=1;

function __ZN2js5typesL20IsAboutToBeFinalizedEP9JSContextPNS0_13TypeObjectKeyE($cx, $key) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$key;
  var $3=$2; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=$3; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$4 & -2; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$5; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=__ZNK2js2gc4Cell8isMarkedEj($6, 0); //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$7 ^ 1; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $8; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN9JSContext7delete_IN2js5types10TypeResultEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript7destroyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $next;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $4=(($2+16)|0); //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5)|0)!=0; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $8=(($2+16)|0); //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9+8)|0); //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $next=$11; //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($2+16)|0); //@line 6036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 6036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground7delete_INS_5types10TypeResultEEEvPT_($13); //@line 6036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=$next; //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($2+16)|0); //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=(($2+12)|0); //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)|0)!=0; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $21=(($2+12)|0); //@line 6041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground7delete_INS_5types17TypeScriptNestingEEEvPT_($22); //@line 6041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 6041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $24=$2; //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground5free_EPv($24); //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return; //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_INS_5types10TypeResultEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free1736($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10Foreground7delete_INS_5types17TypeScriptNestingEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      FUNCTION_TABLE[__ZN2js5types17TypeScriptNestingD1Ev]($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free1736($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_GetTypeInferenceMemoryStats($cx, $compartment, $stats) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i=__stackBase__;
      var $4;
      var $e=__stackBase__+40;
      var $key;
      $1=$cx;
      $2=$compartment;
      $3=$stats;
      var $5=$2; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5+344)|0); //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=__ZN2js18ArenaAllocatedSizeERK11JSArenaPool($6); //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8$0=$7;
      var $8$1=0;
      var $9=$3; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9+24)|0); //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$17$0=(($10)|0);
      var $11$0=HEAP32[(($st$17$0)>>2)];
      var $st$17$1=(($10+4)|0);
      var $11$1=HEAP32[(($st$17$1)>>2)];
      var $12$0 = (i64Math.add($11$0,$11$1,$8$0,$8$1),i64Math.result[0]); var $12$1 = i64Math.result[1]; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$22$0=(($10)|0);
      HEAP32[(($st$22$0)>>2)]=$12$0;
      var $st$22$1=(($10+4)|0);
      HEAP32[(($st$22$1)>>2)]=$12$1;
      var $13=$2; //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+376)|0); //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14+48)|0); //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16*12)|0); //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18$0=$17;
      var $18$1=0;
      var $19=$3; //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+24)|0); //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$35$0=(($20)|0);
      var $21$0=HEAP32[(($st$35$0)>>2)];
      var $st$35$1=(($20+4)|0);
      var $21$1=HEAP32[(($st$35$1)>>2)];
      var $22$0 = (i64Math.add($21$0,$21$1,$18$0,$18$1),i64Math.result[0]); var $22$1 = i64Math.result[1]; //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$40$0=(($20)|0);
      HEAP32[(($st$40$0)>>2)]=$22$0;
      var $st$40$1=(($20+4)|0);
      HEAP32[(($st$40$1)>>2)]=$22$1;
      var $23=$1; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$2; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js2gc8CellIterC1EP9JSContextP13JSCompartmentNS0_9AllocKindE($i, $23, $24, 13); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $26=$i; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZNK2js2gc12CellIterImpl4doneEv($26); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$27 ^ 1; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $4=2;
      __ZN2js2gc8CellIterD1Ev($i); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break;
    case 4: 
      var $31=$i; //@line 6118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=__ZNK2js2gc12CellIterImpl3getI8JSScriptEEPT_v($31); //@line 6118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$3; //@line 6118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZL20GetScriptMemoryStatsP8JSScriptP24TypeInferenceMemoryStats($32, $33); //@line 6118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 6118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $35=$i; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js2gc12CellIterImpl4nextEv($35); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 2; break; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $37=$2; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=(($37+376)|0); //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38+28)|0); //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=(($40)|0)!=0; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $43=$2; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+376)|0); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44+28)|0); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=__ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13allocatedSizeEv($46); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48$0=$47;
      var $48$1=0;
      var $49=$3; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+16)|0); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$9$0=(($50)|0);
      var $51$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($50+4)|0);
      var $51$1=HEAP32[(($st$9$1)>>2)];
      var $52$0 = (i64Math.add($51$0,$51$1,$48$0,$48$1),i64Math.result[0]); var $52$1 = i64Math.result[1]; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$14$0=(($50)|0);
      HEAP32[(($st$14$0)>>2)]=$52$0;
      var $st$14$1=(($50+4)|0);
      HEAP32[(($st$14$1)>>2)]=$52$1;
      __label__ = 8; break; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $54=$2; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=(($54+376)|0); //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55+32)|0); //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57)|0)!=0; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $60=$2; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=(($60+376)|0); //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=(($61+32)|0); //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=__ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13allocatedSizeEv($63); //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65$0=$64;
      var $65$1=0;
      var $66=$3; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=(($66+16)|0); //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$9$0=(($67)|0);
      var $68$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($67+4)|0);
      var $68$1=HEAP32[(($st$9$1)>>2)];
      var $69$0 = (i64Math.add($68$0,$68$1,$65$0,$65$1),i64Math.result[0]); var $69$1 = i64Math.result[1]; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$14$0=(($67)|0);
      HEAP32[(($st$14$0)>>2)]=$69$0;
      var $st$14$1=(($67+4)|0);
      HEAP32[(($st$14$1)>>2)]=$69$1;
      __label__ = 10; break; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $71=$2; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=(($71+376)|0); //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=(($72+36)|0); //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=(($74)|0)!=0; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($75) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $77=$2; //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=(($77+376)|0); //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=(($78+36)|0); //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=__ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE13allocatedSizeEv($80); //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82$0=$81;
      var $82$1=0;
      var $83=$3; //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $84=(($83+16)|0); //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$9$0=(($84)|0);
      var $85$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($84+4)|0);
      var $85$1=HEAP32[(($st$9$1)>>2)];
      var $86$0 = (i64Math.add($85$0,$85$1,$82$0,$82$1),i64Math.result[0]); var $86$1 = i64Math.result[1]; //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$14$0=(($84)|0);
      HEAP32[(($st$14$0)>>2)]=$86$0;
      var $st$14$1=(($84+4)|0);
      HEAP32[(($st$14$1)>>2)]=$86$1;
      var $87=$2; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=(($87+376)|0); //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=(($88+36)|0); //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC1IS9_EERT_($e, $90); //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $92=$e; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $93=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5emptyEv($92); //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=$93 ^ 1; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($94) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      $4=5;
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD1Ev($e); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 16; break;
    case 14: 
      var $97=$e; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv($97); //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $99=(($98)|0); //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $key=$99; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $100=$key; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $101=(($100+4)|0); //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $103=((($102<<3))|0); //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104$0=$103;
      var $104$1=0;
      var $105=$3; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=(($105+16)|0); //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$12$0=(($106)|0);
      var $107$0=HEAP32[(($st$12$0)>>2)];
      var $st$12$1=(($106+4)|0);
      var $107$1=HEAP32[(($st$12$1)>>2)];
      var $108$0 = (i64Math.add($107$0,$107$1,$104$0,$104$1),i64Math.result[0]); var $108$1 = i64Math.result[1]; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$17$0=(($106)|0);
      HEAP32[(($st$17$0)>>2)]=$108$0;
      var $st$17$1=(($106+4)|0);
      HEAP32[(($st$17$1)>>2)]=$108$1;
      __label__ = 15; break; //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $110=$e; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range8popFrontEv($110); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 12; break; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      __label__ = 17; break; //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      STACKTOP = __stackBase__;
      return; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetTypeInferenceMemoryStats["X"]=1;

function __ZN2js5types14TypeConstraint16newPropertyStateEP9JSContextPNS0_7TypeSetE($this, $cx, $source) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$source;
  var $4=$1;
  ;
  return; //@line 222 "./jsinfer.h"
}


function __ZN2js5types14TypeConstraint14newObjectStateEP9JSContextPNS0_10TypeObjectEb($this, $cx, $object, $force) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$object;
  var $5=(($force)&1);
  $4=$5;
  var $6=$1;
  ;
  return; //@line 229 "./jsinfer.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E13allocatedSizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 418 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 418 "./jshashtable.h"
  var $5=(($4*28)|0); //@line 418 "./jshashtable.h"
  ;
  return $5; //@line 418 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13allocatedSizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 418 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 418 "./jshashtable.h"
  var $5=((($4<<4))|0); //@line 418 "./jshashtable.h"
  ;
  return $5; //@line 418 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13allocatedSizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 418 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 418 "./jshashtable.h"
  var $5=((($4<<4))|0); //@line 418 "./jshashtable.h"
  ;
  return $5; //@line 418 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20GetScriptMemoryStatsP8JSScriptP24TypeInferenceMemoryStats($script, $stats) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $count;
      var $result;
      var $typeArray;
      var $i;
      var $bytes;
      $1=$script;
      $2=$stats;
      var $3=$1; //@line 6078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=(($3+100)|0); //@line 6078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 6078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5)|0)!=0; //@line 6078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 12; break; //@line 6079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $9=$1; //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$9; //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=__ZNK2js2gc4Cell11compartmentEv($10); //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11+376)|0); //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12)|0); //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP8[($13)]; //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14) & 1); //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=$2; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0); //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$2$0=(($18)|0);
      var $19$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($18+4)|0);
      var $19$1=HEAP32[(($st$2$1)>>2)];
      var $$emscripten$temp$0$0=20;
      var $$emscripten$temp$0$1=0;
      var $20$0 = (i64Math.add($19$0,$19$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $20$1 = i64Math.result[1]; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$9$0=(($18)|0);
      HEAP32[(($st$9$0)>>2)]=$20$0;
      var $st$9$1=(($18+4)|0);
      HEAP32[(($st$9$1)>>2)]=$20$1;
      __label__ = 12; break; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $22=$1; //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=__ZN2js5types10TypeScript11NumTypeSetsEP8JSScript($22); //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$23; //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=$count; //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24*12)|0); //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+20)|0); //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27$0=$26;
      var $27$1=0;
      var $28=$2; //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28)|0); //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$10$0=(($29)|0);
      var $30$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($29+4)|0);
      var $30$1=HEAP32[(($st$10$1)>>2)];
      var $31$0 = (i64Math.add($30$0,$30$1,$27$0,$27$1),i64Math.result[0]); var $31$1 = i64Math.result[1]; //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$15$0=(($29)|0);
      HEAP32[(($st$15$0)>>2)]=$31$0;
      var $st$15$1=(($29+4)|0);
      HEAP32[(($st$15$1)>>2)]=$31$1;
      var $32=$1; //@line 6089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32+100)|0); //@line 6089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 6089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($34+16)|0); //@line 6089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 6089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$36; //@line 6089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $38=$result; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=(($38)|0)!=0; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $41=$2; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41)|0); //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$2$0=(($42)|0);
      var $43$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($42+4)|0);
      var $43$1=HEAP32[(($st$2$1)>>2)];
      var $$emscripten$temp$1$0=12;
      var $$emscripten$temp$1$1=0;
      var $44$0 = (i64Math.add($43$0,$43$1,$$emscripten$temp$1$0,$$emscripten$temp$1$1),i64Math.result[0]); var $44$1 = i64Math.result[1]; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$9$0=(($42)|0);
      HEAP32[(($st$9$0)>>2)]=$44$0;
      var $st$9$1=(($42+4)|0);
      HEAP32[(($st$9$1)>>2)]=$44$1;
      var $45=$result; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($45+8)|0); //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $result=$47; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $49=$1; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49+100)|0); //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=__ZN2js5types10TypeScript9typeArrayEv($51); //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $typeArray=$52; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $54=$i; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$count; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($54)>>>0) < (($55)>>>0); //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($56) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $58=$i; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$typeArray; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=(($59+$58*12)|0); //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=__ZN2js5types7TypeSet11dynamicSizeEv($60); //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $bytes=$61; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$bytes; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63$0=$62;
      var $63$1=0;
      var $64=$2; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=(($64)|0); //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$10$0=(($65)|0);
      var $66$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($65+4)|0);
      var $66$1=HEAP32[(($st$10$1)>>2)];
      var $67$0 = (i64Math.add($66$0,$66$1,$63$0,$63$1),i64Math.result[0]); var $67$1 = i64Math.result[1]; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$15$0=(($65)|0);
      HEAP32[(($st$15$0)>>2)]=$67$0;
      var $st$15$1=(($65+4)|0);
      HEAP32[(($st$15$1)>>2)]=$67$1;
      var $68=$bytes; //@line 6099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $69$0=$68;
      var $69$1=0;
      var $70=$2; //@line 6099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=(($70+24)|0); //@line 6099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$24$0=(($71)|0);
      var $72$0=HEAP32[(($st$24$0)>>2)];
      var $st$24$1=(($71+4)|0);
      var $72$1=HEAP32[(($st$24$1)>>2)];
      var $73$0 = (i64Math.subtract($72$0,$72$1,$69$0,$69$1),i64Math.result[0]); var $73$1 = i64Math.result[1]; //@line 6099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$29$0=(($71)|0);
      HEAP32[(($st$29$0)>>2)]=$73$0;
      var $st$29$1=(($71+4)|0);
      HEAP32[(($st$29$1)>>2)]=$73$1;
      __label__ = 11; break; //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $75=$i; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=(($75+1)|0); //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$76; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      ;
      return; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20GetScriptMemoryStatsP8JSScriptP24TypeInferenceMemoryStats["X"]=1;

function __ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13allocatedSizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1130 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13allocatedSizeEv($3); //@line 1130 "./jshashtable.h"
  ;
  return $4; //@line 1130 "./jshashtable.h"
}


function __ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13allocatedSizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1130 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13allocatedSizeEv($3); //@line 1130 "./jshashtable.h"
  ;
  return $4; //@line 1130 "./jshashtable.h"
}


function __ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE13allocatedSizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1130 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E13allocatedSizeEv($3); //@line 1130 "./jshashtable.h"
  ;
  return $4; //@line 1130 "./jshashtable.h"
}


function _JS_GetTypeInferenceObjectStats($object_, $stats) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $object;
      var $length;
      var $init;
      var $bytes;
      $1=$object_;
      $2=$stats;
      var $3=$1; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=$3; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$4; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=$2; //@line 6142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5+8)|0); //@line 6142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$13$0=(($6)|0);
      var $7$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($6+4)|0);
      var $7$1=HEAP32[(($st$13$1)>>2)];
      var $$emscripten$temp$0$0=32;
      var $$emscripten$temp$0$1=0;
      var $8$0 = (i64Math.add($7$0,$7$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $8$1 = i64Math.result[1]; //@line 6142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$20$0=(($6)|0);
      HEAP32[(($st$20$0)>>2)]=$8$0;
      var $st$20$1=(($6+4)|0);
      HEAP32[(($st$20$1)>>2)]=$8$1;
      var $9=$object; //@line 6144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9+4)|0); //@line 6144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 6144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11)|0)!=0; //@line 6144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 13; break; //@line 6151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $15=$object; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+16)|0); //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)|0)!=0; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $length=0; //@line 6155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$object; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20+16)|0); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($22+12)|0); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $init=$24; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $26=$length; //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+1)|0); //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $length=$27; //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$init; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30)|0)==3; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      __label__ = 9; break; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 8; break; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $35=$init; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35+8)|0); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $init=$36; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $38=$length; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=((($38<<3))|0); //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39+16)|0); //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41$0=$40;
      var $41$1=0;
      var $42=$2; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=(($42+8)|0); //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$7$0=(($43)|0);
      var $44$0=HEAP32[(($st$7$0)>>2)];
      var $st$7$1=(($43+4)|0);
      var $44$1=HEAP32[(($st$7$1)>>2)];
      var $45$0 = (i64Math.add($44$0,$44$1,$41$0,$41$1),i64Math.result[0]); var $45$1 = i64Math.result[1]; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$12$0=(($43)|0);
      HEAP32[(($st$12$0)>>2)]=$45$0;
      var $st$12$1=(($43+4)|0);
      HEAP32[(($st$12$1)>>2)]=$45$1;
      __label__ = 10; break; //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $47=$object; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=(($47+8)|0); //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49)|0)!=0; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $52=$2; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($52+32)|0); //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$2$0=(($53)|0);
      var $54$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($53+4)|0);
      var $54$1=HEAP32[(($st$2$1)>>2)];
      var $$emscripten$temp$1$0=48;
      var $$emscripten$temp$1$1=0;
      var $55$0 = (i64Math.add($54$0,$54$1,$$emscripten$temp$1$0,$$emscripten$temp$1$1),i64Math.result[0]); var $55$1 = i64Math.result[1]; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$9$0=(($53)|0);
      HEAP32[(($st$9$0)>>2)]=$55$0;
      var $st$9$1=(($53+4)|0);
      HEAP32[(($st$9$1)>>2)]=$55$1;
      __label__ = 12; break; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $57=$object; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=__ZN2js5types10TypeObject11dynamicSizeEv($57); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $bytes=$58; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$bytes; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60$0=$59;
      var $60$1=0;
      var $61=$2; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=(($61+8)|0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$8$0=(($62)|0);
      var $63$0=HEAP32[(($st$8$0)>>2)];
      var $st$8$1=(($62+4)|0);
      var $63$1=HEAP32[(($st$8$1)>>2)];
      var $64$0 = (i64Math.add($63$0,$63$1,$60$0,$60$1),i64Math.result[0]); var $64$1 = i64Math.result[1]; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$13$0=(($62)|0);
      HEAP32[(($st$13$0)>>2)]=$64$0;
      var $st$13$1=(($62+4)|0);
      HEAP32[(($st$13$1)>>2)]=$64$1;
      var $65=$bytes; //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66$0=$65;
      var $66$1=0;
      var $67=$2; //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67+24)|0); //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$22$0=(($68)|0);
      var $69$0=HEAP32[(($st$22$0)>>2)];
      var $st$22$1=(($68+4)|0);
      var $69$1=HEAP32[(($st$22$1)>>2)];
      var $70$0 = (i64Math.subtract($69$0,$69$1,$66$0,$66$1),i64Math.result[0]); var $70$1 = i64Math.result[1]; //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $st$27$0=(($68)|0);
      HEAP32[(($st$27$0)>>2)]=$70$0;
      var $st$27$1=(($68+4)|0);
      HEAP32[(($st$27$1)>>2)]=$70$1;
      __label__ = 13; break; //@line 6170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      ;
      return; //@line 6170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_GetTypeInferenceObjectStats["X"]=1;

function __ZN2js5types10TypeObject11dynamicSizeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $bytes;
      var $count;
      var $i;
      var $prop;
      $1=$this;
      var $2=$1;
      $bytes=0; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $3=__ZNK2js5types10TypeObject17basePropertyCountEv($2); //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$3; //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=$count; //@line 6062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=(($4)>>>0) >= 2; //@line 6062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $7=$count; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=__ZN2js5typesL15HashSetCapacityEj1739($7); //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=((($8<<2))|0); //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$bytes; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($10+$9)|0); //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $bytes=$11; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $13=__ZN2js5types10TypeObject16getPropertyCountEv($2); //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$13; //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $15=$i; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$count; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($15)>>>0) < (($16)>>>0); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $19=$i; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=__ZN2js5types10TypeObject11getPropertyEj($2, $19); //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop=$20; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$prop; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21)|0)!=0; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $24=$prop; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=(($24+4)|0); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZN2js5types7TypeSet11dynamicSizeEv($25); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=(($26+16)|0); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$bytes; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28+$27)|0); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $bytes=$29; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 8; break; //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $32=$i; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32+1)|0); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$33; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $35=$bytes; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $35; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free1736($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS7_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS7_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<4))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+16)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS6_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS6_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*28)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+28)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS7_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS7_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<4))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+16)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS7_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEaSERKS5_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEaSERKS5_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEaSERKS5_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=(($3)|0); //@line 906 "./jshashtable.h"
  var $5=$2; //@line 906 "./jshashtable.h"
  var $6=(($5)|0); //@line 906 "./jshashtable.h"
  var $7=$4; //@line 906 "./jshashtable.h"
  var $8=$6; //@line 906 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 906 "./jshashtable.h"
  var $9=$2; //@line 907 "./jshashtable.h"
  var $10=(($9+8)|0); //@line 907 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 907 "./jshashtable.h"
  var $12=(($3+8)|0); //@line 907 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$11; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  __ZN2js5types17AllocationSiteKeyC1Ev($3); //@line 911 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_1737($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; HEAP8[($3+2)]=0; HEAP8[($3+3)]=0; HEAP8[($3+4)]=0; HEAP8[($3+5)]=0; HEAP8[($3+6)]=0; HEAP8[($3+7)]=0; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<4))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEENS_7MoveRefIT_EERSB_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEaSENS_7MoveRefIS8_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+16)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS7_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEC2ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_5types17AllocationSiteKeyEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZNK2js7MoveRefIPNS_5types10TypeObjectEEcvRS3_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_5types10TypeObjectEEC2ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types17AllocationSiteKeyEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<4))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<4))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+16)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<4))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<4))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEaSENS_7MoveRefIS8_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEENS_7MoveRefIT_EERS8_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEaSENS_7MoveRefIS5_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEENS_7MoveRefIT_EERSB_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEC1ERS9_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEC1ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEC2ERS9_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=(($4)|0); //@line 916 "./jshashtable.h"
  var $6=__ZNK2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $7=(($6)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveINS_5types17AllocationSiteKeyEEENS_7MoveRefIT_EERKS4_($2, $7); //@line 916 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_5types17AllocationSiteKeyEEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $9=$5; //@line 916 "./jshashtable.h"
  var $10=$8; //@line 916 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 916 "./jshashtable.h"
  var $11=__ZNK2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $12=(($11+8)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIPNS_5types10TypeObjectEEENS_7MoveRefIT_EERS5_($3, $12); //@line 917 "./jshashtable.h"
  var $13=__ZNK2js7MoveRefIPNS_5types10TypeObjectEEcvRS3_Ev($3); //@line 917 "./jshashtable.h"
  var $14=HEAP32[(($13)>>2)]; //@line 917 "./jshashtable.h"
  var $15=(($4+8)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($15)>>2)]=$14; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveINS_5types17AllocationSiteKeyEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_5types17AllocationSiteKeyEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js4MoveIPNS_5types10TypeObjectEEENS_7MoveRefIT_EERS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIPNS_5types10TypeObjectEEC1ERS3_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_5types10TypeObjectEEC1ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPNS_5types10TypeObjectEEC2ERS3_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types17AllocationSiteKeyEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_5types17AllocationSiteKeyEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function _js_malloc1738($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+($8<<4))|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS7_EESG_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS7_EESG_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS7_EESG_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS7_EESG_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+16)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeERNS0_14HashTableEntryIS6_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEaSERKS4_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEaSERKS4_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEaSERKS4_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=(($3)|0); //@line 906 "./jshashtable.h"
  var $5=$2; //@line 906 "./jshashtable.h"
  var $6=(($5)|0); //@line 906 "./jshashtable.h"
  var $7=$4; //@line 906 "./jshashtable.h"
  var $8=$6; //@line 906 "./jshashtable.h"
  assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];HEAP32[(($7+8)>>2)]=HEAP32[(($8+8)>>2)];HEAP32[(($7+12)>>2)]=HEAP32[(($8+12)>>2)]; //@line 906 "./jshashtable.h"
  var $9=(($3+16)|0); //@line 907 "./jshashtable.h"
  var $10=$2; //@line 907 "./jshashtable.h"
  var $11=(($10+16)|0); //@line 907 "./jshashtable.h"
  var $12=$9; //@line 907 "./jshashtable.h"
  var $13=$11; //@line 907 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  var $4=$3; //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; HEAP32[(($4+4)>>2)]=0; HEAP32[(($4+8)>>2)]=0; HEAP32[(($4+12)>>2)]=0; //@line 911 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 911 "./jshashtable.h"
  var $6=$5; //@line 911 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; HEAP32[(($6+4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*28)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEENS_7MoveRefIT_EERSA_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEaSENS_7MoveRefIS7_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+28)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS6_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*28)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*28)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+28)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEC2ERS8_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEC2ERS5_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_5types14ObjectTableKeyEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_5types16ObjectTableEntryEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types16ObjectTableEntryEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types14ObjectTableKeyEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*28)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*28)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEaSENS_7MoveRefIS7_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEENS_7MoveRefIT_EERS7_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEaSENS_7MoveRefIS4_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEENS_7MoveRefIT_EERSA_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEC1ERS8_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEC1ERS8_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEC2ERS8_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEaSENS_7MoveRefIS4_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=(($4)|0); //@line 916 "./jshashtable.h"
  var $6=__ZNK2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $7=(($6)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveINS_5types14ObjectTableKeyEEENS_7MoveRefIT_EERKS4_($2, $7); //@line 916 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_5types14ObjectTableKeyEEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $9=$5; //@line 916 "./jshashtable.h"
  var $10=$8; //@line 916 "./jshashtable.h"
  assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];HEAP32[(($9+8)>>2)]=HEAP32[(($10+8)>>2)];HEAP32[(($9+12)>>2)]=HEAP32[(($10+12)>>2)]; //@line 916 "./jshashtable.h"
  var $11=(($4+16)|0); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $13=(($12+16)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveINS_5types16ObjectTableEntryEEENS_7MoveRefIT_EERS4_($3, $13); //@line 917 "./jshashtable.h"
  var $14=__ZNK2js7MoveRefINS_5types16ObjectTableEntryEEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $15=$11; //@line 917 "./jshashtable.h"
  var $16=$14; //@line 917 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEENS_7MoveRefIT_EERS7_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEC1ERS5_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEC1ERS5_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEC2ERS5_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveINS_5types14ObjectTableKeyEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_5types14ObjectTableKeyEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js4MoveINS_5types16ObjectTableEntryEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_5types16ObjectTableEntryEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types16ObjectTableEntryEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_5types16ObjectTableEntryEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types14ObjectTableKeyEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_5types14ObjectTableKeyEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC2IS9_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*28)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC1EPNS0_14HashTableEntryIS6_EESF_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC1EPNS0_14HashTableEntryIS6_EESF_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC2EPNS0_14HashTableEntryIS6_EESF_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC2EPNS0_14HashTableEntryIS6_EESF_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+28)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS7_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEaSERKS5_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEaSERKS5_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEaSERKS5_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=(($3)|0); //@line 906 "./jshashtable.h"
  var $5=$2; //@line 906 "./jshashtable.h"
  var $6=(($5)|0); //@line 906 "./jshashtable.h"
  var $7=$4; //@line 906 "./jshashtable.h"
  var $8=$6; //@line 906 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 906 "./jshashtable.h"
  var $9=$2; //@line 907 "./jshashtable.h"
  var $10=(($9+8)|0); //@line 907 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 907 "./jshashtable.h"
  var $12=(($3+8)|0); //@line 907 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$11; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  __ZN2js5types13ArrayTableKeyC1Ev($3); //@line 911 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<4))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEENS_7MoveRefIT_EERSB_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEaSENS_7MoveRefIS8_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+16)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS7_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<4))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<4))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+16)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<4))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<4))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEC2ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_5types13ArrayTableKeyEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types13ArrayTableKeyEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN8JSObject14revertLazyTypeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=$4 | 131072; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($3)>>2)]=$5; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($2+36)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=(($2+36)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+16)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$16; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21 = $18;__label__ = 4; break; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $21 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $21; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($2+36)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEaSENS_7MoveRefIS8_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEENS_7MoveRefIT_EERS8_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEaSENS_7MoveRefIS5_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEENS_7MoveRefIT_EERSB_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEC1ERS9_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEC1ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEC2ERS9_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=(($4)|0); //@line 916 "./jshashtable.h"
  var $6=__ZNK2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $7=(($6)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveINS_5types13ArrayTableKeyEEENS_7MoveRefIT_EERKS4_($2, $7); //@line 916 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_5types13ArrayTableKeyEEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $9=$5; //@line 916 "./jshashtable.h"
  var $10=$8; //@line 916 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 916 "./jshashtable.h"
  var $11=__ZNK2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $12=(($11+8)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIPNS_5types10TypeObjectEEENS_7MoveRefIT_EERS5_($3, $12); //@line 917 "./jshashtable.h"
  var $13=__ZNK2js7MoveRefIPNS_5types10TypeObjectEEcvRS3_Ev($3); //@line 917 "./jshashtable.h"
  var $14=HEAP32[(($13)>>2)]; //@line 917 "./jshashtable.h"
  var $15=(($4+8)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($15)>>2)]=$14; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveINS_5types13ArrayTableKeyEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_5types13ArrayTableKeyEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types13ArrayTableKeyEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_5types13ArrayTableKeyEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+($8<<4))|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS7_EESG_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS7_EESG_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS7_EESG_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS7_EESG_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+16)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN17SweepTypeObjectOpclEPN2js2gc4CellE($this, $cell) {
  ;
  var __label__;

  var $1;
  var $2;
  var $object;
  $1=$this;
  $2=$cell;
  var $3=$1;
  var $4=$2; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$4; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  $object=$5; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$object; //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($3)|0); //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types10TypeObject5sweepEP9JSContext($6, $8); //@line 5871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5types10TypeObject5sweepEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $compartment;
      var $propertyCount=__stackBase__;
      var $oldCapacity;
      var $oldArray;
      var $i;
      var $prop;
      var $newProp;
      var $pentry;
      var $prop1;
      var $newProp2;
      var $i3;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+20)|0); //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($4)>>2)]=0; //@line 5764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=(($3+4)|0); //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6)|0)!=0; //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __ZN2js5types10TypeObject15clearPropertiesEv($3); //@line 5774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$3; //@line 5776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZNK2js2gc4Cell8isMarkedEj($9, 0); //@line 5776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 5776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=(($3+4)|0); //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN8JSObject14revertLazyTypeEv($13); //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 43; break; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $16=$3; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=__ZNK2js2gc4Cell8isMarkedEj($16, 0); //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 11; break; } else { __label__ = 6; break; } //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $19=(($3+8)|0); //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20)|0)!=0; //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $23=(($3+8)|0); //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$24; //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground5free_EPv($25); //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 8; break; //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $27=(($3+16)|0); //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=(($28)|0)!=0; //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $31=(($3+16)|0); //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$32; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js10Foreground5free_EPv($33); //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 43; break; //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $36=$3; //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=__ZNK2js2gc4Cell11compartmentEv($36); //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $compartment=$37; //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=__ZNK2js5types10TypeObject17basePropertyCountEv($3); //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($propertyCount)>>2)]=$38; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=HEAPU32[(($propertyCount)>>2)]; //@line 5809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39)>>>0) >= 2; //@line 5809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 26; break; } //@line 5809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $42=HEAP32[(($propertyCount)>>2)]; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=__ZN2js5typesL15HashSetCapacityEj1739($42); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $oldCapacity=$43; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($3+24)|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $oldArray=$45; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject15clearPropertiesEv($3); //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($propertyCount)>>2)]=0; //@line 5814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=0; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $47=$i; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=$oldCapacity; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=(($47)>>>0) < (($48)>>>0); //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 25; break; } //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $51=$i; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$oldArray; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($52+($51<<2))|0); //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop=$54; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$prop; //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55)|0)!=0; //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 23; break; } //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $58=$prop; //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=(($58+4)|0); //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=__ZNK2js5types7TypeSet13isOwnPropertyEb($59, 0); //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($60) { __label__ = 16; break; } else { __label__ = 23; break; } //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $62=$compartment; //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=(($62+344)|0); //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$prop; //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=__ZN2js8ArenaNewINS_5types8PropertyES2_EEPT_R11JSArenaPoolRKT0_($63, $64); //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $newProp=$65; //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=$newProp; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=(($66)|0)!=0; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($67) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $69=$compartment; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $70=(($3+24)|0); //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $71=$prop; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=(($71)|0); //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $74=__ZN2js5typesL13HashSetInsertIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_1740($69, $70, $propertyCount, $73); //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pentry=$74; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=$pentry; //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $76=(($75)|0)!=0; //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($76) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $78=$newProp; //@line 5824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $79=$pentry; //@line 5824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($79)>>2)]=$78; //@line 5824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $80=$newProp; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=(($80+4)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=$2; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $83=$compartment; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet5sweepEP9JSContextP13JSCompartment($81, $82, $83); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break; //@line 5826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $85=$compartment; //@line 5827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $86=(($85+376)|0); //@line 5827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$2; //@line 5827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($86, $87); //@line 5827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 20; break;
    case 20: 
      __label__ = 22; break; //@line 5829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      var $90=$compartment; //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=(($90+376)|0); //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $92=$2; //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($91, $92); //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 22; break;
    case 22: 
      __label__ = 23; break; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      __label__ = 24; break; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $96=$i; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=(($96+1)|0); //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i=$97; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 13; break; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $99=HEAP32[(($propertyCount)>>2)]; //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject20setBasePropertyCountEj($3, $99); //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 35; break; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      var $101=HEAP32[(($propertyCount)>>2)]; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $102=(($101)|0)==1; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($102) { __label__ = 27; break; } else { __label__ = 34; break; } //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $104=(($3+24)|0); //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $106=$105; //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $prop1=$106; //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $107=$prop1; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=(($107+4)|0); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=__ZNK2js5types7TypeSet13isOwnPropertyEb($108, 0); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($109) { __label__ = 28; break; } else { __label__ = 32; break; } //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $111=$compartment; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=(($111+344)|0); //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=$prop1; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=__ZN2js8ArenaNewINS_5types8PropertyES2_EEPT_R11JSArenaPoolRKT0_($112, $113); //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $newProp2=$114; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $115=$newProp2; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $116=(($115)|0)!=0; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($116) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $118=$newProp2; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=$118; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=(($3+24)|0); //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($120)>>2)]=$119; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $121=$newProp2; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $122=(($121+4)|0); //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $123=$2; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=$compartment; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet5sweepEP9JSContextP13JSCompartment($122, $123, $124); //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 31; break; //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $126=$compartment; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $127=(($126+376)|0); //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $128=$2; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($127, $128); //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 31; break;
    case 31: 
      __label__ = 33; break; //@line 5845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      var $131=(($3+24)|0); //@line 5846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($131)>>2)]=0; //@line 5846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject20setBasePropertyCountEj($3, 0); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 33; break;
    case 33: 
      __label__ = 34; break; //@line 5849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      __label__ = 35; break;
    case 35: 
      var $135=__ZNK2js5types10TypeObject17basePropertyCountEv($3); //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=(($135)>>>0) <= 8; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($136) { __label__ = 36; break; } else { __label__ = 41; break; } //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      $i3=0; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      var $139=$i3; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=__ZNK2js5types10TypeObject17basePropertyCountEv($3); //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=(($139)>>>0) < (($140)>>>0); //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($141) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 38: 
      __label__ = 39; break; //@line 5853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      var $144=$i3; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $145=(($144+1)|0); //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $i3=$145; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 37; break; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 40: 
      __label__ = 41; break; //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      var $148=(($3+16)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $150=(($149)|0)!=0; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($150) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      var $152=(($3+12)|0); //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=$153 | 4; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($152)>>2)]=$154; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 43; break; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 43: 
      STACKTOP = __stackBase__;
      return; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeObject5sweepEP9JSContext["X"]=1;

function __ZN2js5types10TypeObject15clearPropertiesEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js5types10TypeObject20setBasePropertyCountEj($2, 0); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $3=(($2+24)|0); //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($3)>>2)]=0; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5typesL15HashSetCapacityEj1739($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8ArenaNewINS_5types8PropertyES2_EEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+16)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $58 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      __ZN2js5types8PropertyC1ERKS1_($55, $56); //@line 254 "./jsarena.h"
      var $58 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $58; //@line 254 "./jsarena.h"
      var $61 = $58;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $61 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $61; //@line 254 "./jsarena.h"
      ;
      return $61; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewINS_5types8PropertyES2_EEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZNK2js7MoveRefINS_7analyze8SSAValueEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+8)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL13HashSetInsertIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_1740($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldData;
      var $i;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 853 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 853 "./jsinferinlines.h"
      var $8=(($7)|0)==0; //@line 853 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 853 "./jsinferinlines.h"
    case 2: 
      var $10=$4; //@line 855 "./jsinferinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 855 "./jsinferinlines.h"
      var $12=(($11+1)|0); //@line 855 "./jsinferinlines.h"
      HEAP32[(($10)>>2)]=$12; //@line 855 "./jsinferinlines.h"
      var $13=$3; //@line 856 "./jsinferinlines.h"
      var $14=$13; //@line 856 "./jsinferinlines.h"
      $1=$14; //@line 856 "./jsinferinlines.h"
      __label__ = 20; break; //@line 856 "./jsinferinlines.h"
    case 3: 
      var $16=$4; //@line 859 "./jsinferinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 859 "./jsinferinlines.h"
      var $18=(($17)|0)==1; //@line 859 "./jsinferinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 859 "./jsinferinlines.h"
    case 4: 
      var $20=$3; //@line 860 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 860 "./jsinferinlines.h"
      var $22=$21; //@line 860 "./jsinferinlines.h"
      $oldData=$22; //@line 860 "./jsinferinlines.h"
      var $23=$oldData; //@line 861 "./jsinferinlines.h"
      var $24=__ZN2js5types8Property6getKeyEPS1_($23); //@line 861 "./jsinferinlines.h"
      var $25=$5; //@line 861 "./jsinferinlines.h"
      var $26=(($24)|0)==(($25)|0); //@line 861 "./jsinferinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 861 "./jsinferinlines.h"
    case 5: 
      var $28=$3; //@line 862 "./jsinferinlines.h"
      var $29=$28; //@line 862 "./jsinferinlines.h"
      $1=$29; //@line 862 "./jsinferinlines.h"
      __label__ = 20; break; //@line 862 "./jsinferinlines.h"
    case 6: 
      var $31=$2; //@line 864 "./jsinferinlines.h"
      var $32=(($31+344)|0); //@line 864 "./jsinferinlines.h"
      var $33=__ZN2js10ArenaArrayIPNS_5types8PropertyEEEPT_R11JSArenaPoolj($32, 8); //@line 864 "./jsinferinlines.h"
      var $34=$3; //@line 864 "./jsinferinlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 864 "./jsinferinlines.h"
      var $35=$3; //@line 865 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 865 "./jsinferinlines.h"
      var $37=(($36)|0)!=0; //@line 865 "./jsinferinlines.h"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 865 "./jsinferinlines.h"
    case 7: 
      var $39=$oldData; //@line 866 "./jsinferinlines.h"
      var $40=$39; //@line 866 "./jsinferinlines.h"
      var $41=$3; //@line 866 "./jsinferinlines.h"
      HEAP32[(($41)>>2)]=$40; //@line 866 "./jsinferinlines.h"
      $1=0; //@line 867 "./jsinferinlines.h"
      __label__ = 20; break; //@line 867 "./jsinferinlines.h"
    case 8: 
      var $43=$3; //@line 869 "./jsinferinlines.h"
      var $44=HEAP32[(($43)>>2)]; //@line 869 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types8PropertyEEEvPT_j1741($44, 8); //@line 869 "./jsinferinlines.h"
      var $45=$4; //@line 870 "./jsinferinlines.h"
      var $46=HEAP32[(($45)>>2)]; //@line 870 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 870 "./jsinferinlines.h"
      HEAP32[(($45)>>2)]=$47; //@line 870 "./jsinferinlines.h"
      var $48=$oldData; //@line 872 "./jsinferinlines.h"
      var $49=$3; //@line 872 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 872 "./jsinferinlines.h"
      var $51=(($50)|0); //@line 872 "./jsinferinlines.h"
      HEAP32[(($51)>>2)]=$48; //@line 872 "./jsinferinlines.h"
      var $52=$3; //@line 873 "./jsinferinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 873 "./jsinferinlines.h"
      var $54=(($53+4)|0); //@line 873 "./jsinferinlines.h"
      $1=$54; //@line 873 "./jsinferinlines.h"
      __label__ = 20; break; //@line 873 "./jsinferinlines.h"
    case 9: 
      var $56=$4; //@line 876 "./jsinferinlines.h"
      var $57=HEAPU32[(($56)>>2)]; //@line 876 "./jsinferinlines.h"
      var $58=(($57)>>>0) <= 8; //@line 876 "./jsinferinlines.h"
      if ($58) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 876 "./jsinferinlines.h"
    case 10: 
      $i=0; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 11: 
      var $61=$i; //@line 877 "./jsinferinlines.h"
      var $62=$4; //@line 877 "./jsinferinlines.h"
      var $63=HEAPU32[(($62)>>2)]; //@line 877 "./jsinferinlines.h"
      var $64=(($61)>>>0) < (($63)>>>0); //@line 877 "./jsinferinlines.h"
      if ($64) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 877 "./jsinferinlines.h"
    case 12: 
      var $66=$i; //@line 878 "./jsinferinlines.h"
      var $67=$3; //@line 878 "./jsinferinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 878 "./jsinferinlines.h"
      var $69=(($68+($66<<2))|0); //@line 878 "./jsinferinlines.h"
      var $70=HEAP32[(($69)>>2)]; //@line 878 "./jsinferinlines.h"
      var $71=__ZN2js5types8Property6getKeyEPS1_($70); //@line 878 "./jsinferinlines.h"
      var $72=$5; //@line 878 "./jsinferinlines.h"
      var $73=(($71)|0)==(($72)|0); //@line 878 "./jsinferinlines.h"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 878 "./jsinferinlines.h"
    case 13: 
      var $75=$i; //@line 879 "./jsinferinlines.h"
      var $76=$3; //@line 879 "./jsinferinlines.h"
      var $77=HEAP32[(($76)>>2)]; //@line 879 "./jsinferinlines.h"
      var $78=(($77+($75<<2))|0); //@line 879 "./jsinferinlines.h"
      $1=$78; //@line 879 "./jsinferinlines.h"
      __label__ = 20; break; //@line 879 "./jsinferinlines.h"
    case 14: 
      __label__ = 15; break; //@line 880 "./jsinferinlines.h"
    case 15: 
      var $81=$i; //@line 877 "./jsinferinlines.h"
      var $82=(($81+1)|0); //@line 877 "./jsinferinlines.h"
      $i=$82; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 16: 
      var $84=$4; //@line 882 "./jsinferinlines.h"
      var $85=HEAPU32[(($84)>>2)]; //@line 882 "./jsinferinlines.h"
      var $86=(($85)>>>0) < 8; //@line 882 "./jsinferinlines.h"
      if ($86) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 882 "./jsinferinlines.h"
    case 17: 
      var $88=$4; //@line 883 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 883 "./jsinferinlines.h"
      var $90=(($89+1)|0); //@line 883 "./jsinferinlines.h"
      HEAP32[(($88)>>2)]=$90; //@line 883 "./jsinferinlines.h"
      var $91=$4; //@line 884 "./jsinferinlines.h"
      var $92=HEAP32[(($91)>>2)]; //@line 884 "./jsinferinlines.h"
      var $93=(($92-1)|0); //@line 884 "./jsinferinlines.h"
      var $94=$3; //@line 884 "./jsinferinlines.h"
      var $95=HEAP32[(($94)>>2)]; //@line 884 "./jsinferinlines.h"
      var $96=(($95+($93<<2))|0); //@line 884 "./jsinferinlines.h"
      $1=$96; //@line 884 "./jsinferinlines.h"
      __label__ = 20; break; //@line 884 "./jsinferinlines.h"
    case 18: 
      __label__ = 19; break; //@line 886 "./jsinferinlines.h"
    case 19: 
      var $99=$2; //@line 888 "./jsinferinlines.h"
      var $100=$3; //@line 888 "./jsinferinlines.h"
      var $101=$4; //@line 888 "./jsinferinlines.h"
      var $102=$5; //@line 888 "./jsinferinlines.h"
      var $103=__ZN2js5typesL16HashSetInsertTryIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_1742($99, $100, $101, $102); //@line 888 "./jsinferinlines.h"
      $1=$103; //@line 888 "./jsinferinlines.h"
      __label__ = 20; break; //@line 888 "./jsinferinlines.h"
    case 20: 
      var $105=$1; //@line 889 "./jsinferinlines.h"
      ;
      return $105; //@line 889 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetInsertIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_1740["X"]=1;

function __ZN2jsL7PodZeroIPNS_5types8PropertyEEEvPT_j1741($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js5typesL16HashSetInsertTryIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_1742($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $capacity;
      var $insertpos;
      var $converting;
      var $newCapacity;
      var $newValues;
      var $i;
      var $pos;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 801 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 801 "./jsinferinlines.h"
      var $8=__ZN2js5typesL15HashSetCapacityEj1739($7); //@line 801 "./jsinferinlines.h"
      $capacity=$8; //@line 801 "./jsinferinlines.h"
      var $9=$5; //@line 802 "./jsinferinlines.h"
      var $10=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1743($9); //@line 802 "./jsinferinlines.h"
      var $11=$capacity; //@line 802 "./jsinferinlines.h"
      var $12=(($11-1)|0); //@line 802 "./jsinferinlines.h"
      var $13=$10 & $12; //@line 802 "./jsinferinlines.h"
      $insertpos=$13; //@line 802 "./jsinferinlines.h"
      var $14=$4; //@line 805 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 805 "./jsinferinlines.h"
      var $16=(($15)|0)==8; //@line 805 "./jsinferinlines.h"
      var $17=(($16)&1); //@line 805 "./jsinferinlines.h"
      $converting=$17; //@line 805 "./jsinferinlines.h"
      var $18=$converting; //@line 807 "./jsinferinlines.h"
      var $19=(($18) & 1); //@line 807 "./jsinferinlines.h"
      if ($19) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 807 "./jsinferinlines.h"
    case 2: 
      __label__ = 3; break; //@line 808 "./jsinferinlines.h"
    case 3: 
      var $22=$insertpos; //@line 808 "./jsinferinlines.h"
      var $23=$3; //@line 808 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 808 "./jsinferinlines.h"
      var $25=(($24+($22<<2))|0); //@line 808 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 808 "./jsinferinlines.h"
      var $27=(($26)|0)!=0; //@line 808 "./jsinferinlines.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 808 "./jsinferinlines.h"
    case 4: 
      var $29=$insertpos; //@line 809 "./jsinferinlines.h"
      var $30=$3; //@line 809 "./jsinferinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 809 "./jsinferinlines.h"
      var $32=(($31+($29<<2))|0); //@line 809 "./jsinferinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 809 "./jsinferinlines.h"
      var $34=__ZN2js5types8Property6getKeyEPS1_($33); //@line 809 "./jsinferinlines.h"
      var $35=$5; //@line 809 "./jsinferinlines.h"
      var $36=(($34)|0)==(($35)|0); //@line 809 "./jsinferinlines.h"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 809 "./jsinferinlines.h"
    case 5: 
      var $38=$insertpos; //@line 810 "./jsinferinlines.h"
      var $39=$3; //@line 810 "./jsinferinlines.h"
      var $40=HEAP32[(($39)>>2)]; //@line 810 "./jsinferinlines.h"
      var $41=(($40+($38<<2))|0); //@line 810 "./jsinferinlines.h"
      $1=$41; //@line 810 "./jsinferinlines.h"
      __label__ = 25; break; //@line 810 "./jsinferinlines.h"
    case 6: 
      var $43=$insertpos; //@line 811 "./jsinferinlines.h"
      var $44=(($43+1)|0); //@line 811 "./jsinferinlines.h"
      var $45=$capacity; //@line 811 "./jsinferinlines.h"
      var $46=(($45-1)|0); //@line 811 "./jsinferinlines.h"
      var $47=$44 & $46; //@line 811 "./jsinferinlines.h"
      $insertpos=$47; //@line 811 "./jsinferinlines.h"
      __label__ = 3; break; //@line 812 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 813 "./jsinferinlines.h"
    case 8: 
      var $50=$4; //@line 815 "./jsinferinlines.h"
      var $51=HEAP32[(($50)>>2)]; //@line 815 "./jsinferinlines.h"
      var $52=(($51+1)|0); //@line 815 "./jsinferinlines.h"
      HEAP32[(($50)>>2)]=$52; //@line 815 "./jsinferinlines.h"
      var $53=$4; //@line 816 "./jsinferinlines.h"
      var $54=HEAP32[(($53)>>2)]; //@line 816 "./jsinferinlines.h"
      var $55=__ZN2js5typesL15HashSetCapacityEj1739($54); //@line 816 "./jsinferinlines.h"
      $newCapacity=$55; //@line 816 "./jsinferinlines.h"
      var $56=$newCapacity; //@line 818 "./jsinferinlines.h"
      var $57=$capacity; //@line 818 "./jsinferinlines.h"
      var $58=(($56)|0)==(($57)|0); //@line 818 "./jsinferinlines.h"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 818 "./jsinferinlines.h"
    case 9: 
      var $60=$insertpos; //@line 820 "./jsinferinlines.h"
      var $61=$3; //@line 820 "./jsinferinlines.h"
      var $62=HEAP32[(($61)>>2)]; //@line 820 "./jsinferinlines.h"
      var $63=(($62+($60<<2))|0); //@line 820 "./jsinferinlines.h"
      $1=$63; //@line 820 "./jsinferinlines.h"
      __label__ = 25; break; //@line 820 "./jsinferinlines.h"
    case 10: 
      var $65=$2; //@line 823 "./jsinferinlines.h"
      var $66=(($65+344)|0); //@line 823 "./jsinferinlines.h"
      var $67=$newCapacity; //@line 823 "./jsinferinlines.h"
      var $68=__ZN2js10ArenaArrayIPNS_5types8PropertyEEEPT_R11JSArenaPoolj($66, $67); //@line 823 "./jsinferinlines.h"
      $newValues=$68; //@line 823 "./jsinferinlines.h"
      var $69=$newValues; //@line 824 "./jsinferinlines.h"
      var $70=(($69)|0)!=0; //@line 824 "./jsinferinlines.h"
      if ($70) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 824 "./jsinferinlines.h"
    case 11: 
      $1=0; //@line 825 "./jsinferinlines.h"
      __label__ = 25; break; //@line 825 "./jsinferinlines.h"
    case 12: 
      var $73=$newValues; //@line 826 "./jsinferinlines.h"
      var $74=$newCapacity; //@line 826 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types8PropertyEEEvPT_j1741($73, $74); //@line 826 "./jsinferinlines.h"
      $i=0; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 13: 
      var $76=$i; //@line 828 "./jsinferinlines.h"
      var $77=$capacity; //@line 828 "./jsinferinlines.h"
      var $78=(($76)>>>0) < (($77)>>>0); //@line 828 "./jsinferinlines.h"
      if ($78) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 828 "./jsinferinlines.h"
    case 14: 
      var $80=$i; //@line 829 "./jsinferinlines.h"
      var $81=$3; //@line 829 "./jsinferinlines.h"
      var $82=HEAP32[(($81)>>2)]; //@line 829 "./jsinferinlines.h"
      var $83=(($82+($80<<2))|0); //@line 829 "./jsinferinlines.h"
      var $84=HEAP32[(($83)>>2)]; //@line 829 "./jsinferinlines.h"
      var $85=(($84)|0)!=0; //@line 829 "./jsinferinlines.h"
      if ($85) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 829 "./jsinferinlines.h"
    case 15: 
      var $87=$i; //@line 830 "./jsinferinlines.h"
      var $88=$3; //@line 830 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 830 "./jsinferinlines.h"
      var $90=(($89+($87<<2))|0); //@line 830 "./jsinferinlines.h"
      var $91=HEAP32[(($90)>>2)]; //@line 830 "./jsinferinlines.h"
      var $92=__ZN2js5types8Property6getKeyEPS1_($91); //@line 830 "./jsinferinlines.h"
      var $93=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1743($92); //@line 830 "./jsinferinlines.h"
      var $94=$newCapacity; //@line 830 "./jsinferinlines.h"
      var $95=(($94-1)|0); //@line 830 "./jsinferinlines.h"
      var $96=$93 & $95; //@line 830 "./jsinferinlines.h"
      $pos=$96; //@line 830 "./jsinferinlines.h"
      __label__ = 16; break; //@line 831 "./jsinferinlines.h"
    case 16: 
      var $98=$pos; //@line 831 "./jsinferinlines.h"
      var $99=$newValues; //@line 831 "./jsinferinlines.h"
      var $100=(($99+($98<<2))|0); //@line 831 "./jsinferinlines.h"
      var $101=HEAP32[(($100)>>2)]; //@line 831 "./jsinferinlines.h"
      var $102=(($101)|0)!=0; //@line 831 "./jsinferinlines.h"
      if ($102) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 831 "./jsinferinlines.h"
    case 17: 
      var $104=$pos; //@line 832 "./jsinferinlines.h"
      var $105=(($104+1)|0); //@line 832 "./jsinferinlines.h"
      var $106=$newCapacity; //@line 832 "./jsinferinlines.h"
      var $107=(($106-1)|0); //@line 832 "./jsinferinlines.h"
      var $108=$105 & $107; //@line 832 "./jsinferinlines.h"
      $pos=$108; //@line 832 "./jsinferinlines.h"
      __label__ = 16; break; //@line 832 "./jsinferinlines.h"
    case 18: 
      var $110=$i; //@line 833 "./jsinferinlines.h"
      var $111=$3; //@line 833 "./jsinferinlines.h"
      var $112=HEAP32[(($111)>>2)]; //@line 833 "./jsinferinlines.h"
      var $113=(($112+($110<<2))|0); //@line 833 "./jsinferinlines.h"
      var $114=HEAP32[(($113)>>2)]; //@line 833 "./jsinferinlines.h"
      var $115=$pos; //@line 833 "./jsinferinlines.h"
      var $116=$newValues; //@line 833 "./jsinferinlines.h"
      var $117=(($116+($115<<2))|0); //@line 833 "./jsinferinlines.h"
      HEAP32[(($117)>>2)]=$114; //@line 833 "./jsinferinlines.h"
      __label__ = 19; break; //@line 834 "./jsinferinlines.h"
    case 19: 
      __label__ = 20; break; //@line 835 "./jsinferinlines.h"
    case 20: 
      var $120=$i; //@line 828 "./jsinferinlines.h"
      var $121=(($120+1)|0); //@line 828 "./jsinferinlines.h"
      $i=$121; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 21: 
      var $123=$newValues; //@line 837 "./jsinferinlines.h"
      var $124=$3; //@line 837 "./jsinferinlines.h"
      HEAP32[(($124)>>2)]=$123; //@line 837 "./jsinferinlines.h"
      var $125=$5; //@line 839 "./jsinferinlines.h"
      var $126=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1743($125); //@line 839 "./jsinferinlines.h"
      var $127=$newCapacity; //@line 839 "./jsinferinlines.h"
      var $128=(($127-1)|0); //@line 839 "./jsinferinlines.h"
      var $129=$126 & $128; //@line 839 "./jsinferinlines.h"
      $insertpos=$129; //@line 839 "./jsinferinlines.h"
      __label__ = 22; break; //@line 840 "./jsinferinlines.h"
    case 22: 
      var $131=$insertpos; //@line 840 "./jsinferinlines.h"
      var $132=$3; //@line 840 "./jsinferinlines.h"
      var $133=HEAP32[(($132)>>2)]; //@line 840 "./jsinferinlines.h"
      var $134=(($133+($131<<2))|0); //@line 840 "./jsinferinlines.h"
      var $135=HEAP32[(($134)>>2)]; //@line 840 "./jsinferinlines.h"
      var $136=(($135)|0)!=0; //@line 840 "./jsinferinlines.h"
      if ($136) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 840 "./jsinferinlines.h"
    case 23: 
      var $138=$insertpos; //@line 841 "./jsinferinlines.h"
      var $139=(($138+1)|0); //@line 841 "./jsinferinlines.h"
      var $140=$newCapacity; //@line 841 "./jsinferinlines.h"
      var $141=(($140-1)|0); //@line 841 "./jsinferinlines.h"
      var $142=$139 & $141; //@line 841 "./jsinferinlines.h"
      $insertpos=$142; //@line 841 "./jsinferinlines.h"
      __label__ = 22; break; //@line 841 "./jsinferinlines.h"
    case 24: 
      var $144=$insertpos; //@line 842 "./jsinferinlines.h"
      var $145=$3; //@line 842 "./jsinferinlines.h"
      var $146=HEAP32[(($145)>>2)]; //@line 842 "./jsinferinlines.h"
      var $147=(($146+($144<<2))|0); //@line 842 "./jsinferinlines.h"
      $1=$147; //@line 842 "./jsinferinlines.h"
      __label__ = 25; break; //@line 842 "./jsinferinlines.h"
    case 25: 
      var $149=$1; //@line 843 "./jsinferinlines.h"
      ;
      return $149; //@line 843 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL16HashSetInsertTryIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_1742["X"]=1;

function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1743($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js5types8PropertyC1ERKS1_($this, $o) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$o;
  var $3=$1;
  var $4=$2; //@line 642 "./jsinfer.h"
  __ZN2js5types8PropertyC2ERKS1_($3, $4); //@line 642 "./jsinfer.h"
  ;
  return; //@line 642 "./jsinfer.h"
}


function __ZN2js5types8PropertyC2ERKS1_($this, $o) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$o;
  var $3=$1;
  var $4=(($3)|0); //@line 642 "./jsinfer.h"
  var $5=$2; //@line 642 "./jsinfer.h"
  var $6=(($5)|0); //@line 642 "./jsinfer.h"
  var $7=HEAP32[(($6)>>2)]; //@line 642 "./jsinfer.h"
  HEAP32[(($4)>>2)]=$7; //@line 642 "./jsinfer.h"
  var $8=(($3+4)|0); //@line 642 "./jsinfer.h"
  var $9=$2; //@line 642 "./jsinfer.h"
  var $10=(($9+4)|0); //@line 642 "./jsinfer.h"
  var $11=$8; //@line 642 "./jsinfer.h"
  var $12=$10; //@line 642 "./jsinfer.h"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];HEAP32[(($11+8)>>2)]=HEAP32[(($12+8)>>2)]; //@line 642 "./jsinfer.h"
  ;
  return; //@line 642 "./jsinfer.h"
}


function __ZN2js7analyze14ScriptAnalysisC1EP8JSScript($this, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$script;
  var $3=$1;
  var $4=$2; //@line 922 "./jsanalyze.h"
  __ZN2js7analyze14ScriptAnalysisC2EP8JSScript($3, $4); //@line 922 "./jsanalyze.h"
  ;
  return; //@line 922 "./jsanalyze.h"
}


function __ZN2js7analyze14ScriptAnalysisC2EP8JSScript($this, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$script;
  var $3=$1;
  __ZN2jsL7PodZeroINS_7analyze14ScriptAnalysisEEEvPT_($3); //@line 922 "./jsanalyze.h"
  var $4=$2; //@line 922 "./jsanalyze.h"
  var $5=(($3)|0); //@line 922 "./jsanalyze.h"
  HEAP32[(($5)>>2)]=$4; //@line 922 "./jsanalyze.h"
  ;
  return; //@line 922 "./jsanalyze.h"
}


function __ZN2jsL7PodZeroINS_7analyze14ScriptAnalysisEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 40, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js5types17TypeScriptNestingC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js5types17TypeScriptNestingC2Ev($2); //@line 996 "./jsinfer.h"
  ;
  return; //@line 996 "./jsinfer.h"
}


function __ZN2js5types17TypeScriptNestingC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2jsL7PodZeroINS_5types17TypeScriptNestingEEEvPT_($2); //@line 996 "./jsinfer.h"
  ;
  return; //@line 996 "./jsinfer.h"
}


function __ZN2jsL7PodZeroINS_5types17TypeScriptNestingEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 28, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js5types10TypeResultC1EjNS0_4TypeE($this, $offset, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$offset;
  var $3=$1;
  var $4=$2; //@line 539 "./jsinfer.h"
  __ZN2js5types10TypeResultC2EjNS0_4TypeE($3, $4, $type); //@line 539 "./jsinfer.h"
  STACKTOP = __stackBase__;
  return; //@line 539 "./jsinfer.h"
}


function __ZN2js5types10TypeResultC2EjNS0_4TypeE($this, $offset, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$offset;
  var $3=$1;
  var $4=(($3)|0); //@line 539 "./jsinfer.h"
  var $5=$2; //@line 539 "./jsinfer.h"
  HEAP32[(($4)>>2)]=$5; //@line 539 "./jsinfer.h"
  var $6=(($3+4)|0); //@line 539 "./jsinfer.h"
  var $7=$6; //@line 539 "./jsinfer.h"
  var $8=$type; //@line 539 "./jsinfer.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)]; //@line 539 "./jsinfer.h"
  var $9=(($3+8)|0); //@line 539 "./jsinfer.h"
  HEAP32[(($9)>>2)]=0; //@line 539 "./jsinfer.h"
  STACKTOP = __stackBase__;
  return; //@line 539 "./jsinfer.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 776 "./jsvector.h"
      var $4=$3; //@line 776 "./jsvector.h"
      var $5=(($4)|0)==0; //@line 776 "./jsvector.h"
      if ($5) { var $12 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $7=$4; //@line 776 "./jsvector.h"
      var $8=$7; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=0; HEAP32[(($8+4)>>2)]=0; //@line 776 "./jsvector.h"
      var $9=$7; //@line 776 "./jsvector.h"
      var $10=$t; //@line 776 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 776 "./jsvector.h"
      var $12 = $7;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $12; //@line 776 "./jsvector.h"
      var $13=(($2+8)|0); //@line 777 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 777 "./jsvector.h"
      var $15=(($14+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($13)>>2)]=$15; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<3))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -268435456; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -268435456; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=((($7<<3))|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $35 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$28; //@line 118 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; HEAP32[(($29+4)>>2)]=0; //@line 118 "./jsvector.h"
      var $30=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveINS_7analyze8SSAValueEEENS_7MoveRefIT_EERS4_($4, $30); //@line 118 "./jsvector.h"
      var $31=__ZNK2js7MoveRefINS_7analyze8SSAValueEEcvRS2_Ev($4); //@line 118 "./jsvector.h"
      var $32=$28; //@line 118 "./jsvector.h"
      var $33=$31; //@line 118 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 118 "./jsvector.h"
      var $35 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $35; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $37=$dst; //@line 117 "./jsvector.h"
      var $38=(($37+8)|0); //@line 117 "./jsvector.h"
      $dst=$38; //@line 117 "./jsvector.h"
      var $39=$src; //@line 117 "./jsvector.h"
      var $40=(($39+8)|0); //@line 117 "./jsvector.h"
      $src=$40; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $42=$2; //@line 119 "./jsvector.h"
      var $43=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($42); //@line 119 "./jsvector.h"
      var $44=$2; //@line 119 "./jsvector.h"
      var $45=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($44); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($43, $45); //@line 119 "./jsvector.h"
      var $46=$2; //@line 120 "./jsvector.h"
      var $47=$46; //@line 120 "./jsvector.h"
      var $48=$2; //@line 120 "./jsvector.h"
      var $49=(($48+4)|0); //@line 120 "./jsvector.h"
      var $50=HEAP32[(($49)>>2)]; //@line 120 "./jsvector.h"
      var $51=$50; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($47, $51); //@line 120 "./jsvector.h"
      var $52=$newbuf; //@line 121 "./jsvector.h"
      var $53=$2; //@line 121 "./jsvector.h"
      var $54=(($53+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($54)>>2)]=$52; //@line 121 "./jsvector.h"
      var $55=$3; //@line 123 "./jsvector.h"
      var $56=$2; //@line 123 "./jsvector.h"
      var $57=(($56+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($57)>>2)]=$55; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $59=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $59; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj["X"]=1;

function __ZN2js4MoveINS_7analyze8SSAValueEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_7analyze8SSAValueEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_7analyze8SSAValueEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_7analyze8SSAValueEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_7analyze8SSAValueEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $22 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$15; //@line 93 "./jsvector.h"
      HEAP32[(($16)>>2)]=0; HEAP32[(($16+4)>>2)]=0; //@line 93 "./jsvector.h"
      var $17=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveINS_7analyze8SSAValueEEENS_7MoveRefIT_EERKS4_($4, $17); //@line 93 "./jsvector.h"
      var $18=__ZNK2js7MoveRefINS_7analyze8SSAValueEEcvRS2_Ev($4); //@line 93 "./jsvector.h"
      var $19=$15; //@line 93 "./jsvector.h"
      var $20=$18; //@line 93 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 93 "./jsvector.h"
      var $22 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $22; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $24=$p; //@line 92 "./jsvector.h"
      var $25=(($24+8)|0); //@line 92 "./jsvector.h"
      $p=$25; //@line 92 "./jsvector.h"
      var $26=$1; //@line 92 "./jsvector.h"
      var $27=(($26+8)|0); //@line 92 "./jsvector.h"
      $1=$27; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_7analyze8SSAValueEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_7analyze8SSAValueEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js5types12TypeCallsiteC1EP9JSContextP8JSScriptPhbj($this, $cx, $script, $pc, $isNew, $argumentCount) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$script;
  $4=$pc;
  var $7=(($isNew)&1);
  $5=$7;
  $6=$argumentCount;
  var $8=$1;
  var $9=$2; //@line 1101 "./jsinfer.h"
  var $10=$3; //@line 1101 "./jsinfer.h"
  var $11=$4; //@line 1101 "./jsinfer.h"
  var $12=$5; //@line 1101 "./jsinfer.h"
  var $13=(($12) & 1); //@line 1101 "./jsinfer.h"
  var $14=$6; //@line 1101 "./jsinfer.h"
  __ZN2js5types12TypeCallsiteC2EP9JSContextP8JSScriptPhbj($8, $9, $10, $11, $13, $14); //@line 1101 "./jsinfer.h"
  ;
  return; //@line 1101 "./jsinfer.h"
}


function __ZN2js5types12TypeCallsiteC2EP9JSContextP8JSScriptPhbj($this, $cx, $script, $pc, $isNew, $argumentCount) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$script;
  $4=$pc;
  var $7=(($isNew)&1);
  $5=$7;
  $6=$argumentCount;
  var $8=$1;
  var $9=(($8)|0); //@line 1098 "./jsinfer.h"
  var $10=$3; //@line 1098 "./jsinfer.h"
  HEAP32[(($9)>>2)]=$10; //@line 1098 "./jsinfer.h"
  var $11=(($8+4)|0); //@line 1098 "./jsinfer.h"
  var $12=$4; //@line 1098 "./jsinfer.h"
  HEAP32[(($11)>>2)]=$12; //@line 1098 "./jsinfer.h"
  var $13=(($8+8)|0); //@line 1098 "./jsinfer.h"
  var $14=$5; //@line 1098 "./jsinfer.h"
  var $15=(($14) & 1); //@line 1098 "./jsinfer.h"
  var $16=(($15)&1); //@line 1098 "./jsinfer.h"
  HEAP8[($13)]=$16; //@line 1098 "./jsinfer.h"
  var $17=(($8+16)|0); //@line 1098 "./jsinfer.h"
  var $18=$6; //@line 1098 "./jsinfer.h"
  HEAP32[(($17)>>2)]=$18; //@line 1098 "./jsinfer.h"
  var $19=(($8+20)|0); //@line 1098 "./jsinfer.h"
  HEAP32[(($19)>>2)]=0; //@line 1098 "./jsinfer.h"
  var $20=(($8+24)|0); //@line 1098 "./jsinfer.h"
  HEAP32[(($20)>>2)]=0; //@line 1098 "./jsinfer.h"
  var $21=$2; //@line 1100 "./jsinferinlines.h"
  var $22=(($21+56)|0); //@line 1100 "./jsinferinlines.h"
  var $23=HEAP32[(($22)>>2)]; //@line 1100 "./jsinferinlines.h"
  var $24=(($23+344)|0); //@line 1100 "./jsinferinlines.h"
  var $25=$6; //@line 1100 "./jsinferinlines.h"
  var $26=__ZN2js10ArenaArrayIPNS_5types7TypeSetEEEPT_R11JSArenaPoolj($24, $25); //@line 1100 "./jsinferinlines.h"
  var $27=(($8+12)|0); //@line 1100 "./jsinferinlines.h"
  HEAP32[(($27)>>2)]=$26; //@line 1100 "./jsinferinlines.h"
  ;
  return; //@line 1101 "./jsinferinlines.h"
}


function __ZN2js10ArenaArrayIPNS_5types7TypeSetEEEPT_R11JSArenaPoolj($pool, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$count;
      __label__ = 2; break; //@line 235 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 235 "./jsarena.h"
      var $5=(($4+16)|0); //@line 235 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 235 "./jsarena.h"
      $_a=$6; //@line 235 "./jsarena.h"
      var $7=$2; //@line 235 "./jsarena.h"
      var $8=((($7<<2))|0); //@line 235 "./jsarena.h"
      var $9=$1; //@line 235 "./jsarena.h"
      var $10=(($9+24)|0); //@line 235 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 235 "./jsarena.h"
      var $12=(($8+$11)|0); //@line 235 "./jsarena.h"
      var $13=$1; //@line 235 "./jsarena.h"
      var $14=(($13+24)|0); //@line 235 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 235 "./jsarena.h"
      var $16=$15 ^ -1; //@line 235 "./jsarena.h"
      var $17=$12 & $16; //@line 235 "./jsarena.h"
      $_nb=$17; //@line 235 "./jsarena.h"
      var $18=$_a; //@line 235 "./jsarena.h"
      var $19=(($18+12)|0); //@line 235 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 235 "./jsarena.h"
      $_p=$20; //@line 235 "./jsarena.h"
      var $21=$_nb; //@line 235 "./jsarena.h"
      var $22=$_a; //@line 235 "./jsarena.h"
      var $23=(($22+8)|0); //@line 235 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 235 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 235 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 235 "./jsarena.h"
      var $28=$_a; //@line 235 "./jsarena.h"
      var $29=(($28+8)|0); //@line 235 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 235 "./jsarena.h"
      var $31=$_nb; //@line 235 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 235 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 235 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 235 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 235 "./jsarena.h"
      var $36=$_nb; //@line 235 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 235 "./jsarena.h"
      var $38=$37; //@line 235 "./jsarena.h"
      $_p=$38; //@line 235 "./jsarena.h"
      __label__ = 6; break; //@line 235 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 235 "./jsarena.h"
      var $41=$_nb; //@line 235 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 235 "./jsarena.h"
      var $43=$_a; //@line 235 "./jsarena.h"
      var $44=(($43+12)|0); //@line 235 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 235 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 235 "./jsarena.h"
      var $47=$46; //@line 235 "./jsarena.h"
      $v=$47; //@line 235 "./jsarena.h"
      __label__ = 7; break; //@line 235 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 235 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 235 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 236 "./jsarena.h"
      var $52=$51; //@line 236 "./jsarena.h"
      ;
      return $52; //@line 236 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10ArenaArrayIPNS_5types7TypeSetEEEPT_R11JSArenaPoolj["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj0ES4_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj0ES4_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc1744($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js5types8PropertyC1Ei($this, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$id;
  var $3=$1;
  var $4=$2; //@line 638 "./jsinfer.h"
  __ZN2js5types8PropertyC2Ei($3, $4); //@line 638 "./jsinfer.h"
  ;
  return; //@line 638 "./jsinfer.h"
}


function __ZN2js5types8PropertyC2Ei($this, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$id;
  var $3=$1;
  var $4=(($3)|0); //@line 638 "./jsinfer.h"
  var $5=$2; //@line 638 "./jsinfer.h"
  HEAP32[(($4)>>2)]=$5; //@line 638 "./jsinfer.h"
  var $6=(($3+4)|0); //@line 638 "./jsinfer.h"
  __ZN2js5types7TypeSetC1Ev($6); //@line 638 "./jsinfer.h"
  ;
  return; //@line 638 "./jsinfer.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS6_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKP8JSObject($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKP8JSObject($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKP8JSObjectjj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS6_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S3_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKP8JSObject($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=HEAP32[(($2)>>2)]; //@line 327 "./jshashtable.h"
      var $4=__ZN2js5types14ObjectTableKey4hashEP8JSObject($3); //@line 327 "./jshashtable.h"
      $keyHash=$4; //@line 327 "./jshashtable.h"
      var $5=$keyHash; //@line 330 "./jshashtable.h"
      var $6=(($5*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$6; //@line 330 "./jshashtable.h"
      var $7=$keyHash; //@line 333 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj($7); //@line 333 "./jshashtable.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $10=$keyHash; //@line 334 "./jshashtable.h"
      var $11=(($10-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$11; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $13=$keyHash; //@line 335 "./jshashtable.h"
      var $14=$13 & -2; //@line 335 "./jshashtable.h"
      ;
      return $14; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKP8JSObjectjj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*28)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS6_EERKP8JSObject($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*28)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS6_EERKP8JSObject($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKP8JSObjectjj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS6_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS6_EERKP8JSObject($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S3_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 440 "./jshashtable.h"
  var $8=__ZN2js5types14ObjectTableKey5matchERKS1_P8JSObject($5, $7); //@line 440 "./jshashtable.h"
  ;
  return $8; //@line 440 "./jshashtable.h"
}


function __ZN2js5types14ObjectTableKey5matchERKS1_P8JSObject($v, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $shape;
      $2=$v;
      $3=$obj;
      var $4=$3; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=__ZNK8JSObject8slotSpanEv($4); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$2; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6+4)|0); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($5)|0)!=(($8)|0); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $11=$3; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZNK8JSObject13numFixedSlotsEv($11); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$2; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+8)|0); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($12)|0)!=(($15)|0); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $18=$3; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=__ZNK8JSObject8getProtoEv($18); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$2; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20+12)|0); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($19)|0)!=(($22)|0); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      $1=0; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $26=$3; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=__ZNK8JSObject12lastPropertyEv($26); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$27; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $29=$shape; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29+12)|0); //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=_JSID_IS_EMPTY($31); //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32)|0)!=0; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$33 ^ 1; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $36=$shape; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $37=(($36+12)|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $39=$shape; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=(($39+24)|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=$2; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=(($42)|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($44+($41<<2))|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($38)|0)!=(($46)|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      $1=0; //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $50=$shape; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=__ZNK2js5Shape8previousEv($50); //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $shape=$51; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      $1=1; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 11; break; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $54=$1; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $54; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types14ObjectTableKey5matchERKS1_P8JSObject["X"]=1;

function __ZN2js5types14ObjectTableKey4hashEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $3=__ZNK8JSObject12lastPropertyEv($2); //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=(($3+12)|0); //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$1; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=__ZNK8JSObject8slotSpanEv($6); //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$5 ^ $7; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$1; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=__ZNK8JSObject13numFixedSlotsEv($9); //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$8 ^ $10; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$1; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=__ZNK8JSObject8getProtoEv($12); //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=$13; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=$14 >>> 2; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $16=$11 ^ $15; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $16; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj["X"]=1;

function __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEEC1ES4_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEEC2ES4_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEEC2ES4_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13relookupOrAddERNSC_6AddPtrERKS4_RKS7_($this, $p, $l, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $g=__stackBase__;
      $1=$this;
      $2=$p;
      $3=$l;
      $4=$t;
      var $5=$1;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 752 "./jshashtable.h"
      var $6=$3; //@line 753 "./jshashtable.h"
      var $7=$2; //@line 753 "./jshashtable.h"
      var $8=(($7+4)|0); //@line 753 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 753 "./jshashtable.h"
      var $10=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($5, $6, $9, 1); //@line 753 "./jshashtable.h"
      var $11=$2; //@line 753 "./jshashtable.h"
      var $12=$11; //@line 753 "./jshashtable.h"
      var $13=(($12)|0); //@line 753 "./jshashtable.h"
      HEAP32[(($13)>>2)]=$10; //@line 753 "./jshashtable.h"
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 754 "./jshashtable.h"
      var $14=$2; //@line 755 "./jshashtable.h"
      var $15=$14; //@line 755 "./jshashtable.h"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($15); //@line 755 "./jshashtable.h"
      if ($16) { var $22 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 755 "./jshashtable.h"
    case 2: 
      var $18=$2; //@line 755 "./jshashtable.h"
      var $19=$4; //@line 755 "./jshashtable.h"
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrERKS7_($5, $18, $19); //@line 755 "./jshashtable.h"
      var $22 = $20;__label__ = 3; break; //@line 755 "./jshashtable.h"
    case 3: 
      var $22;
      STACKTOP = __stackBase__;
      return $22; //@line 755 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC1ERKS2_RKS4_($this, $k, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=$3; //@line 912 "./jshashtable.h"
  var $6=$2; //@line 912 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC2ERKS2_RKS4_($4, $6, $5); //@line 912 "./jshashtable.h"
  ;
  return; //@line 912 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC2ERKS2_RKS4_($this, $k, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=(($4)|0); //@line 912 "./jshashtable.h"
  var $6=$2; //@line 912 "./jshashtable.h"
  var $7=$5; //@line 912 "./jshashtable.h"
  var $8=$6; //@line 912 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 912 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 912 "./jshashtable.h"
  var $10=$3; //@line 912 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 912 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 912 "./jshashtable.h"
  ;
  return; //@line 912 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<4))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS7_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<4))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS7_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrERKS7_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 742 "./jshashtable.h"
      var $11=$10; //@line 742 "./jshashtable.h"
      var $12=(($11)|0); //@line 742 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 742 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 742 "./jshashtable.h"
      var $15=$4; //@line 742 "./jshashtable.h"
      __ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEaSERKS5_($14, $15); //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 744 "./jshashtable.h"
      ;
      return $17; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js10VectorImplIP8JSScriptLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js5types4Type3rawEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jsinfer.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jsinfer.h"
  ;
  return $4; //@line 87 "./jsinfer.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS7_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js5types13ArrayTableKey5matchERKS1_S3_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js5types13ArrayTableKey5matchERKS1_S3_($v1, $v2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$v1;
      $2=$v2;
      var $4=$1; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=(($4)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=$2; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$3; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$7; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZNK2js5types4TypeeqES1_($5, $3); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { var $20 = 0;__label__ = 3; break; } //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$1; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12+4)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$2; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($15+4)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($14)|0)==(($17)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20 = $18;__label__ = 3; break;
    case 3: 
      var $20;
      STACKTOP = __stackBase__;
      return $20; //@line 2432 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js5types13ArrayTableKey4hashERKS1_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS7_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js5types13ArrayTableKey4hashERKS1_($v) {
  ;
  var __label__;

  var $1;
  $1=$v;
  var $2=$1; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $3=(($2)|0); //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=__ZNK2js5types4Type3rawEv($3); //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$1; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($5+4)|0); //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$7; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$8 >>> 2; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$4 ^ $9; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $10; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj["X"]=1;

function __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js5types11TypeBarrierC1EPNS0_7TypeSetENS0_4TypeEP8JSObjecti($this, $target, $type, $singleton, $singletonId) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$target;
  $3=$singleton;
  $4=$singletonId;
  var $5=$1;
  var $6=$2; //@line 624 "./jsinfer.h"
  var $7=$3; //@line 624 "./jsinfer.h"
  var $8=$4; //@line 624 "./jsinfer.h"
  __ZN2js5types11TypeBarrierC2EPNS0_7TypeSetENS0_4TypeEP8JSObjecti($5, $6, $type, $7, $8); //@line 624 "./jsinfer.h"
  STACKTOP = __stackBase__;
  return; //@line 624 "./jsinfer.h"
}


function __ZN2js5types11TypeBarrierC2EPNS0_7TypeSetENS0_4TypeEP8JSObjecti($this, $target, $type, $singleton, $singletonId) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$target;
  $3=$singleton;
  $4=$singletonId;
  var $5=$1;
  var $6=(($5)|0); //@line 624 "./jsinfer.h"
  HEAP32[(($6)>>2)]=0; //@line 624 "./jsinfer.h"
  var $7=(($5+4)|0); //@line 624 "./jsinfer.h"
  var $8=$2; //@line 624 "./jsinfer.h"
  HEAP32[(($7)>>2)]=$8; //@line 624 "./jsinfer.h"
  var $9=(($5+8)|0); //@line 624 "./jsinfer.h"
  var $10=$9; //@line 624 "./jsinfer.h"
  var $11=$type; //@line 624 "./jsinfer.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)]; //@line 624 "./jsinfer.h"
  var $12=(($5+12)|0); //@line 624 "./jsinfer.h"
  var $13=$3; //@line 624 "./jsinfer.h"
  HEAP32[(($12)>>2)]=$13; //@line 624 "./jsinfer.h"
  var $14=(($5+16)|0); //@line 624 "./jsinfer.h"
  var $15=$4; //@line 624 "./jsinfer.h"
  HEAP32[(($14)>>2)]=$15; //@line 624 "./jsinfer.h"
  STACKTOP = __stackBase__;
  return; //@line 624 "./jsinfer.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj0ES4_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj0ES4_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEC2ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsprvtd.h"
  ;
  return; //@line 549 "./jsprvtd.h"
}


function __ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP8JSScriptLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN31TypeConstraintFreezeOwnProperty7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$source;
  var $4=$1;
  STACKTOP = __stackBase__;
  return; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN31TypeConstraintFreezeObjectFlags7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$source;
  var $4=$1;
  STACKTOP = __stackBase__;
  return; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js5types14TypeConstraintC2EPKc($this, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$kind;
  var $3=$1;
  var $4=$3; //@line 209 "./jsinfer.h"
  HEAP32[(($4)>>2)]=((__ZTVN2js5types14TypeConstraintE+8)|0); //@line 209 "./jsinfer.h"
  var $5=(($3+4)|0); //@line 209 "./jsinfer.h"
  HEAP32[(($5)>>2)]=0; //@line 209 "./jsinfer.h"
  ;
  return; //@line 213 "./jsinfer.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS7_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS7_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj["X"]=1;

function __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC2ES5_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN26TypeConstraintFreezeGlobalC1EP8JSScriptP8JSObject($this, $script, $global) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  $3=$global;
  var $4=$1;
  var $5=$2; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$3; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN26TypeConstraintFreezeGlobalC2EP8JSScriptP8JSObject($4, $5, $6); //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN26TypeConstraintFreezeGlobalC2EP8JSScriptP8JSObject($this, $script, $global) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  $3=$global;
  var $4=$1;
  var $5=$4; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($5, ((STRING_TABLE.__str521622)|0)); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$4; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=((__ZTV26TypeConstraintFreezeGlobal+8)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($4+8)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$2; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($4+12)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$3; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN26TypeConstraintFreezeGlobal7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $5=$1;
      var $6=(($5+12)|0); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7)|0)!=0; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $10=$4; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$type; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)]; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($5+12)|0); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZL13TypeHasGlobalN2js5types4TypeEP8JSObject($4, $13); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      __label__ = 5; break; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=(($5+12)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($17)>>2)]=0; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=$2; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18+56)|0); //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=(($20+376)|0); //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$2; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=(($5+8)|0); //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($21, $22, $24); //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN31TypeConstraintFreezeOwnPropertyC1EP8JSScriptb($this, $script, $configurable) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  var $4=(($configurable)&1);
  $3=$4;
  var $5=$1;
  var $6=$2; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$3; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($7) & 1); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN31TypeConstraintFreezeOwnPropertyC2EP8JSScriptb($5, $6, $8); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN31TypeConstraintFreezeOwnPropertyC2EP8JSScriptb($this, $script, $configurable) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  var $4=(($configurable)&1);
  $3=$4;
  var $5=$1;
  var $6=$5; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($6, ((STRING_TABLE.__str531623)|0)); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$5; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=((__ZTV31TypeConstraintFreezeOwnProperty+8)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($5+8)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($5+12)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($10)]=0; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=(($5+13)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$3; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=(($12) & 1); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=(($13)&1); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($11)]=$14; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN31TypeConstraintFreezeOwnProperty16newPropertyStateEP9JSContextPN2js5types7TypeSetE($this, $cx, $source) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $4=$1;
      var $5=(($4+12)|0); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP8[($5)]; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6) & 1); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 5; break; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=$3; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=(($4+13)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=HEAP8[($11)]; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=(($12) & 1); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZNK2js5types7TypeSet13isOwnPropertyEb($10, $13); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $16=(($4+12)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($16)]=1; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$2; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17+56)|0); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+376)|0); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$2; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($4+8)|0); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($20, $21, $23); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 5; break; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      ;
      return; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN31TypeConstraintFreezeObjectFlagsC1EP8JSScriptj($this, $script, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  $3=$flags;
  var $4=$1;
  var $5=$2; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$3; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN31TypeConstraintFreezeObjectFlagsC2EP8JSScriptj($4, $5, $6); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN31TypeConstraintFreezeObjectFlagsC2EP8JSScriptj($this, $script, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  $3=$flags;
  var $4=$1;
  var $5=$4; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($5, ((STRING_TABLE.__str541624)|0)); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$4; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=((__ZTV31TypeConstraintFreezeObjectFlags+8)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($4+8)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$2; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($4+12)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$3; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=(($4+16)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=(($4+20)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($11)>>2)]=$12; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=(($4+20)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($13)]=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN31TypeConstraintFreezeObjectFlags14newObjectStateEP9JSContextPN2js5types10TypeObjectEb($this, $cx, $object, $force) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$object;
      var $5=(($force)&1);
      $4=$5;
      var $6=$1;
      var $7=$3; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($6+12)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=__ZN2js5types10TypeObject11hasAnyFlagsEj($7, $9); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=(($6+16)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=HEAP8[($13)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14) & 1); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $17=(($6+16)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($18)]=1; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$2; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($19+56)|0); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=(($21+376)|0); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($6+8)|0); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($22, $23, $25); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 7; break; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $27=$4; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($27) & 1); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $30=$2; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=(($30+56)|0); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=(($32+376)|0); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=$2; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=(($6+8)|0); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($33, $34, $36); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      ;
      return; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN34TypeConstraintFreezeObjectFlagsSetC1EP8JSScriptj($this, $script, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  $3=$flags;
  var $4=$1;
  var $5=$2; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$3; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN34TypeConstraintFreezeObjectFlagsSetC2EP8JSScriptj($4, $5, $6); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN34TypeConstraintFreezeObjectFlagsSetC2EP8JSScriptj($this, $script, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  $3=$flags;
  var $4=$1;
  var $5=$4; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($5, ((STRING_TABLE.__str551625)|0)); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$4; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=((__ZTV34TypeConstraintFreezeObjectFlagsSet+8)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($4+8)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$2; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($4+12)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$3; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=(($4+16)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($11)]=0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN34TypeConstraintFreezeObjectFlagsSet7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $object;
      var $types;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $5=$1;
      var $6=(($5+16)|0); //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP8[($6)]; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=(($7) & 1); //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 18; break; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $11=__ZNK2js5types4Type9isUnknownEv($type); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $13=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      __label__ = 17; break; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $16=__ZNK2js5types4Type8isObjectEv($type); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 15; break; } //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      var $18=__ZNK2js5types4Type14isSingleObjectEv($type); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $20=__ZNK2js5types4Type12singleObjectEv($type); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$2; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=__ZN8JSObject7getTypeEP9JSContext($20, $21); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26 = $22;__label__ = 10; break; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $24=__ZNK2js5types4Type10typeObjectEv($type); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26 = $24;__label__ = 10; break; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $26; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $object=$26; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$object; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($5+12)|0); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=__ZN2js5types10TypeObject11hasAnyFlagsEj($27, $29); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($30) { __label__ = 14; break; } else { __label__ = 11; break; } //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      var $32=$object; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$2; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $34=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($32, $33, 4, 0); //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $types=$34; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $35=$types; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=(($35)|0)!=0; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($36) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      __label__ = 18; break; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $39=$types; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=$2; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $41=$2; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $42=(($41+56)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+344)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=(($5+8)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($5+12)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $47=(($5+16)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($4)>>2)]=$47; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $48=__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptjPbEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($44, $45, $46, $4); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$48; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($39, $40, $49, 0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      __label__ = 16; break; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      __label__ = 18; break; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $54=(($5+16)|0); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($54)]=1; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$2; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=(($55+56)|0); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=(($57+376)|0); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=$2; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=(($5+8)|0); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($58, $59, $61); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 18; break; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      STACKTOP = __stackBase__;
      return; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN34TypeConstraintFreezeObjectFlagsSet7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE["X"]=1;

function __ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptjPbEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_($pool, $a, $b, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      $3=$b;
      $4=$c;
      __label__ = 2; break; //@line 271 "./jsarena.h"
    case 2: 
      var $6=$1; //@line 271 "./jsarena.h"
      var $7=(($6+16)|0); //@line 271 "./jsarena.h"
      var $8=HEAP32[(($7)>>2)]; //@line 271 "./jsarena.h"
      $_a=$8; //@line 271 "./jsarena.h"
      var $9=$1; //@line 271 "./jsarena.h"
      var $10=(($9+24)|0); //@line 271 "./jsarena.h"
      var $11=HEAP32[(($10)>>2)]; //@line 271 "./jsarena.h"
      var $12=(($11+24)|0); //@line 271 "./jsarena.h"
      var $13=$1; //@line 271 "./jsarena.h"
      var $14=(($13+24)|0); //@line 271 "./jsarena.h"
      var $15=HEAP32[(($14)>>2)]; //@line 271 "./jsarena.h"
      var $16=$15 ^ -1; //@line 271 "./jsarena.h"
      var $17=$12 & $16; //@line 271 "./jsarena.h"
      $_nb=$17; //@line 271 "./jsarena.h"
      var $18=$_a; //@line 271 "./jsarena.h"
      var $19=(($18+12)|0); //@line 271 "./jsarena.h"
      var $20=HEAP32[(($19)>>2)]; //@line 271 "./jsarena.h"
      $_p=$20; //@line 271 "./jsarena.h"
      var $21=$_nb; //@line 271 "./jsarena.h"
      var $22=$_a; //@line 271 "./jsarena.h"
      var $23=(($22+8)|0); //@line 271 "./jsarena.h"
      var $24=HEAPU32[(($23)>>2)]; //@line 271 "./jsarena.h"
      var $25=(($21)>>>0) > (($24)>>>0); //@line 271 "./jsarena.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 271 "./jsarena.h"
    case 3: 
      var $27=$_p; //@line 271 "./jsarena.h"
      var $28=$_a; //@line 271 "./jsarena.h"
      var $29=(($28+8)|0); //@line 271 "./jsarena.h"
      var $30=HEAP32[(($29)>>2)]; //@line 271 "./jsarena.h"
      var $31=$_nb; //@line 271 "./jsarena.h"
      var $32=(($30-$31)|0); //@line 271 "./jsarena.h"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 271 "./jsarena.h"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 271 "./jsarena.h"
    case 4: 
      var $35=$1; //@line 271 "./jsarena.h"
      var $36=$_nb; //@line 271 "./jsarena.h"
      var $37=_JS_ArenaAllocate($35, $36); //@line 271 "./jsarena.h"
      var $38=$37; //@line 271 "./jsarena.h"
      $_p=$38; //@line 271 "./jsarena.h"
      __label__ = 6; break; //@line 271 "./jsarena.h"
    case 5: 
      var $40=$_p; //@line 271 "./jsarena.h"
      var $41=$_nb; //@line 271 "./jsarena.h"
      var $42=(($40+$41)|0); //@line 271 "./jsarena.h"
      var $43=$_a; //@line 271 "./jsarena.h"
      var $44=(($43+12)|0); //@line 271 "./jsarena.h"
      HEAP32[(($44)>>2)]=$42; //@line 271 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $46=$_p; //@line 271 "./jsarena.h"
      var $47=$46; //@line 271 "./jsarena.h"
      $v=$47; //@line 271 "./jsarena.h"
      __label__ = 7; break; //@line 271 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 271 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 271 "./jsarena.h"
    case 9: 
      var $51=$v; //@line 272 "./jsarena.h"
      var $52=(($51)|0)!=0; //@line 272 "./jsarena.h"
      if ($52) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 272 "./jsarena.h"
    case 10: 
      var $54=$v; //@line 272 "./jsarena.h"
      var $55=(($54)|0)==0; //@line 272 "./jsarena.h"
      if ($55) { var $65 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 272 "./jsarena.h"
    case 11: 
      var $57=$54; //@line 272 "./jsarena.h"
      var $58=$2; //@line 272 "./jsarena.h"
      var $59=HEAP32[(($58)>>2)]; //@line 272 "./jsarena.h"
      var $60=$3; //@line 272 "./jsarena.h"
      var $61=HEAP32[(($60)>>2)]; //@line 272 "./jsarena.h"
      var $62=$4; //@line 272 "./jsarena.h"
      var $63=HEAP32[(($62)>>2)]; //@line 272 "./jsarena.h"
      __ZN31TypeConstraintFreezeObjectFlagsC1EP8JSScriptjPb($57, $59, $61, $63); //@line 272 "./jsarena.h"
      var $65 = $57;__label__ = 12; break; //@line 272 "./jsarena.h"
    case 12: 
      var $65; //@line 272 "./jsarena.h"
      var $68 = $65;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 13: 
      var $68 = 0;__label__ = 14; break; //@line 272 "./jsarena.h"
    case 14: 
      var $68; //@line 272 "./jsarena.h"
      ;
      return $68; //@line 272 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptjPbEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_["X"]=1;

function __ZN27TypeConstraintLazyArguments7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$source;
  var $4=$1;
  STACKTOP = __stackBase__;
  return; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN31TypeConstraintFreezeObjectFlagsC1EP8JSScriptjPb($this, $script, $flags, $pmarked) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$script;
  $3=$flags;
  $4=$pmarked;
  var $5=$1;
  var $6=$2; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$3; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$4; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN31TypeConstraintFreezeObjectFlagsC2EP8JSScriptjPb($5, $6, $7, $8); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN31TypeConstraintFreezeObjectFlagsC2EP8JSScriptjPb($this, $script, $flags, $pmarked) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$script;
  $3=$flags;
  $4=$pmarked;
  var $5=$1;
  var $6=$5; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($6, ((STRING_TABLE.__str541624)|0)); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$5; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=((__ZTV31TypeConstraintFreezeObjectFlags+8)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($5+8)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($5+12)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$3; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=(($5+16)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=$4; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($12)>>2)]=$13; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=(($5+20)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($14)]=0; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintFreezeTypeTagC1EP8JSScript($this, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$script;
  var $3=$1;
  var $4=$2; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN27TypeConstraintFreezeTypeTagC2EP8JSScript($3, $4); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintFreezeTypeTagC2EP8JSScript($this, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$script;
  var $3=$1;
  var $4=$3; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($4, ((STRING_TABLE.__str561626)|0)); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$3; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($5)>>2)]=((__ZTV27TypeConstraintFreezeTypeTag+8)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($3+8)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($3+12)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($8)]=0; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintFreezeTypeTag7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $4=$1;
      var $5=(($4+12)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP8[($5)]; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6) & 1); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 10; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=__ZNK2js5types4Type9isUnknownEv($type); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 9; break; } else { __label__ = 4; break; } //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $12=__ZNK2js5types4Type11isAnyObjectEv($type); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 9; break; } else { __label__ = 5; break; } //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $14=__ZNK2js5types4Type8isObjectEv($type); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $16=$3; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=__ZN2js5types7TypeSet14getObjectCountEv($16); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($17)>>>0) >= 2; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 10; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __label__ = 9; break; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $22=(($4+12)|0); //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($22)]=1; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $24=(($23+56)|0); //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=(($25+376)|0); //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$2; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=(($4+8)|0); //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($26, $27, $29); //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 10; break; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN20TypeConstraintFreezeC1EP8JSScript($this, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$script;
  var $3=$1;
  var $4=$2; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN20TypeConstraintFreezeC2EP8JSScript($3, $4); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN20TypeConstraintFreezeC2EP8JSScript($this, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$script;
  var $3=$1;
  var $4=$3; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($4, ((STRING_TABLE.__str571627)|0)); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$3; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($5)>>2)]=((__ZTV20TypeConstraintFreeze+8)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($3+8)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($3+12)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($8)]=0; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN20TypeConstraintFreeze7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $4=$1;
      var $5=(($4+12)|0); //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP8[($5)]; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6) & 1); //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 4; break; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $10=(($4+12)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP8[($10)]=1; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$2; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=(($11+56)|0); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+376)|0); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$2; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=(($4+8)|0); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript($14, $15, $17); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN27TypeConstraintLazyArgumentsC1EPN2js5types7TypeSetE($this, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$target;
  var $3=$1;
  var $4=$2; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN27TypeConstraintLazyArgumentsC2EPN2js5types7TypeSetE($3, $4); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintLazyArgumentsC2EPN2js5types7TypeSetE($this, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$target;
  var $3=$1;
  var $4=$3; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($4, ((STRING_TABLE.__str581628)|0)); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$3; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($5)>>2)]=((__ZTV27TypeConstraintLazyArguments+8)|0); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($3+8)|0); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintLazyArguments14newObjectStateEP9JSContextPN2js5types10TypeObjectEb($this, $cx, $object, $force) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$object;
      var $6=(($force)&1);
      $4=$6;
      var $7=$1;
      var $8=$3; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZN2js5types10TypeObject11hasAnyFlagsEj($8, 524288); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $11=(($7+8)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$2; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types4Type11UnknownTypeEv($5); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($12, $13, $5); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 3; break; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN27TypeConstraintSubsetBarrierC1EP8JSScriptPhPN2js5types7TypeSetE($this, $script, $pc, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$script;
  $3=$pc;
  $4=$target;
  var $5=$1;
  var $6=$2; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$3; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$4; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN27TypeConstraintSubsetBarrierC2EP8JSScriptPhPN2js5types7TypeSetE($5, $6, $7, $8); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintSubsetBarrierC2EP8JSScriptPhPN2js5types7TypeSetE($this, $script, $pc, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$script;
  $3=$pc;
  $4=$target;
  var $5=$1;
  var $6=$5; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($6, ((STRING_TABLE.__str591629)|0)); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$5; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=((__ZTV27TypeConstraintSubsetBarrier+8)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($5+8)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($5+12)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$3; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=(($5+16)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=$4; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($12)>>2)]=$13; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintSubsetBarrier7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+4;
      var $6=__stackBase__+8;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $7=$1;
      var $8=(($7+16)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=$4; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $11=$type; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $12=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($9, $4); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $14=(($7+8)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=__ZN8JSScript8analysisEv($15); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=$2; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=(($7+12)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=(($7+16)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=$5; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$type; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis14addTypeBarrierEP9JSContextPKhPNS_5types7TypeSetENS6_4TypeE($16, $17, $19, $21, $5); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $25=(($7+16)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$2; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$6; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$type; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($26, $27, $6); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN29TypeConstraintFilterPrimitiveC1EPN2js5types7TypeSetENS2_10FilterKindE($this, $target, $filter) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$target;
  $3=$filter;
  var $4=$1;
  var $5=$2; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$3; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN29TypeConstraintFilterPrimitiveC2EPN2js5types7TypeSetENS2_10FilterKindE($4, $5, $6); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN29TypeConstraintFilterPrimitiveC2EPN2js5types7TypeSetENS2_10FilterKindE($this, $target, $filter) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$target;
  $3=$filter;
  var $4=$1;
  var $5=$4; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($5, ((STRING_TABLE.__str601630)|0)); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$4; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=((__ZTV29TypeConstraintFilterPrimitive+8)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($4+8)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$2; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($4+12)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$3; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN29TypeConstraintFilterPrimitive7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $5=$1;
      var $6=(($5+12)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ((($7)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($7)|0) == 1) {
        __label__ = 5; break;
      }
      else if ((($7)|0) == 2) {
        __label__ = 9; break;
      }
      else {
      __label__ = 12; break;
      }
      
    case 2: 
      var $9=__ZNK2js5types4Type11isPrimitiveEv($type); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      __label__ = 14; break; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      __label__ = 13; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $13=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 6); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($13) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $15=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 2); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      __label__ = 14; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      __label__ = 13; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $19=__ZNK2js5types4Type11isPrimitiveE11JSValueType($type, 2); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      __label__ = 14; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      __label__ = 13; break; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      __label__ = 13; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $24=(($5+8)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=$2; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $27=$4; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $28=$type; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)]; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($25, $26, $4); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 14; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      STACKTOP = __stackBase__;
      return; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN27TypeConstraintPropagateThisC1EP8JSScriptPhN2js5types4TypeEPNS4_7TypeSetE($this, $script, $callpc, $type, $types) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$script;
  $3=$callpc;
  $4=$types;
  var $5=$1;
  var $6=$2; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$3; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$4; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN27TypeConstraintPropagateThisC2EP8JSScriptPhN2js5types4TypeEPNS4_7TypeSetE($5, $6, $7, $type, $8); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintPropagateThisC2EP8JSScriptPhN2js5types4TypeEPNS4_7TypeSetE($this, $script, $callpc, $type, $types) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$script;
  $3=$callpc;
  $4=$types;
  var $5=$1;
  var $6=$5; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($6, ((STRING_TABLE.__str611631)|0)); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$5; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=((__ZTV27TypeConstraintPropagateThis+8)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($5+8)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($5+12)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$3; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=(($5+16)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=$12; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=$type; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=(($5+20)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $16=$4; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($15)>>2)]=$16; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintTransformThisC1EP8JSScriptPN2js5types7TypeSetE($this, $script, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  $3=$target;
  var $4=$1;
  var $5=$2; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$3; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN27TypeConstraintTransformThisC2EP8JSScriptPN2js5types7TypeSetE($4, $5, $6); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN27TypeConstraintTransformThisC2EP8JSScriptPN2js5types7TypeSetE($this, $script, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$script;
  $3=$target;
  var $4=$1;
  var $5=$4; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($5, ((STRING_TABLE.__str621632)|0)); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$4; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=((__ZTV27TypeConstraintTransformThis+8)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($4+8)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$2; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($4+12)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$3; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN19TypeConstraintArithC1EPN2js5types7TypeSetES3_($this, $target, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$target;
  $3=$other;
  var $4=$1;
  var $5=$2; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$3; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN19TypeConstraintArithC2EPN2js5types7TypeSetES3_($4, $5, $6); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN19TypeConstraintArithC2EPN2js5types7TypeSetES3_($this, $target, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$target;
  $3=$other;
  var $4=$1;
  var $5=$4; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($5, ((STRING_TABLE.__str631633)|0)); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=$4; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=((__ZTV19TypeConstraintArith+8)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=(($4+8)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$2; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($4+12)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$3; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN18TypeConstraintCallC1EPN2js5types12TypeCallsiteE($this, $callsite) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$callsite;
  var $3=$1;
  var $4=$2; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN18TypeConstraintCallC2EPN2js5types12TypeCallsiteE($3, $4); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN18TypeConstraintCallC2EPN2js5types12TypeCallsiteE($this, $callsite) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$callsite;
  var $3=$1;
  var $4=$3; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($4, ((STRING_TABLE.__str641634)|0)); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$3; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($5)>>2)]=((__ZTV18TypeConstraintCall+8)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($3+8)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN24TypeConstraintSetElementC1EP8JSScriptPhPN2js5types7TypeSetES6_($this, $script, $pc, $objectTypes, $valueTypes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$script;
  $3=$pc;
  $4=$objectTypes;
  $5=$valueTypes;
  var $6=$1;
  var $7=$2; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$3; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$4; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$5; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN24TypeConstraintSetElementC2EP8JSScriptPhPN2js5types7TypeSetES6_($6, $7, $8, $9, $10); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN24TypeConstraintSetElementC2EP8JSScriptPhPN2js5types7TypeSetES6_($this, $script, $pc, $objectTypes, $valueTypes) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$script;
  $3=$pc;
  $4=$objectTypes;
  $5=$valueTypes;
  var $6=$1;
  var $7=$6; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($7, ((STRING_TABLE.__str651635)|0)); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$6; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($8)>>2)]=((__ZTV24TypeConstraintSetElement+8)|0); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=(($6+8)|0); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$2; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=(($6+12)|0); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$3; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($11)>>2)]=$12; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=(($6+16)|0); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=$4; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($13)>>2)]=$14; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=(($6+20)|0); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $16=$5; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($15)>>2)]=$16; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN22TypeConstraintCallPropC1EP8JSScriptPhi($this, $script, $callpc, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$script;
  $3=$callpc;
  $4=$id;
  var $5=$1;
  var $6=$2; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$3; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$4; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN22TypeConstraintCallPropC2EP8JSScriptPhi($5, $6, $7, $8); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN22TypeConstraintCallPropC2EP8JSScriptPhi($this, $script, $callpc, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$script;
  $3=$callpc;
  $4=$id;
  var $5=$1;
  var $6=$5; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($6, ((STRING_TABLE.__str661636)|0)); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$5; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($7)>>2)]=((__ZTV22TypeConstraintCallProp+8)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=(($5+8)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$2; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=(($5+12)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$3; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=(($5+16)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=$4; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($12)>>2)]=$13; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN18TypeConstraintPropC1EP8JSScriptPhPN2js5types7TypeSetEib($this, $script, $pc, $target, $id, $assign) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$script;
  $3=$pc;
  $4=$target;
  $5=$id;
  var $7=(($assign)&1);
  $6=$7;
  var $8=$1;
  var $9=$2; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$3; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=$4; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$5; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=$6; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=(($13) & 1); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN18TypeConstraintPropC2EP8JSScriptPhPN2js5types7TypeSetEib($8, $9, $10, $11, $12, $14); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN18TypeConstraintPropC2EP8JSScriptPhPN2js5types7TypeSetEib($this, $script, $pc, $target, $id, $assign) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$script;
  $3=$pc;
  $4=$target;
  $5=$id;
  var $7=(($assign)&1);
  $6=$7;
  var $8=$1;
  var $9=$8; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($9, ((STRING_TABLE.__str671637)|0)); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$8; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($10)>>2)]=((__ZTV18TypeConstraintProp+8)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $11=(($8+8)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $12=$2; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($11)>>2)]=$12; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $13=(($8+12)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $14=$3; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($13)>>2)]=$14; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $15=(($8+16)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $16=$6; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $17=(($16) & 1); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $18=(($17)&1); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP8[($15)]=$18; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $19=(($8+20)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $20=$4; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($19)>>2)]=$20; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $21=(($8+24)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $22=$5; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($21)>>2)]=$22; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN20TypeConstraintSubsetC1EPN2js5types7TypeSetE($this, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$target;
  var $3=$1;
  var $4=$2; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN20TypeConstraintSubsetC2EPN2js5types7TypeSetE($3, $4); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN20TypeConstraintSubsetC2EPN2js5types7TypeSetE($this, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$target;
  var $3=$1;
  var $4=$3; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($4, ((STRING_TABLE.__str681638)|0)); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$3; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($5)>>2)]=((__ZTV20TypeConstraintSubset+8)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($3+8)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN20TypeConstraintSubset7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$source;
  var $5=$1;
  var $6=(($5+8)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$2; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=$4; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $10=$type; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)]; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($7, $8, $4); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  STACKTOP = __stackBase__;
  return; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5types7TypeSet11dynamicSizeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $count;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js5types7TypeSet15baseObjectCountEv($3); //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $count=$4; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=$count; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5)>>>0) >= 2; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $8=$count; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=__ZN2js5typesL15HashSetCapacityEj1739($8); //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=((($9<<2))|0); //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$10; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      $1=0; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 4; break; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $13=$1; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      ;
      return $13; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL16AssertValidColorEPKvj1749($thing, $color) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$thing;
  $2=$color;
  ;
  return; //@line 782 "./jsgc.h"
}


function __ZN17SweepTypeObjectOpC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$2; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js5types10TypeScriptC2EP10JSFunction($this, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$fun;
  var $3=$1;
  var $4=$2; //@line 1037 "./jsinfer.h"
  var $5=(($3+4)|0); //@line 1037 "./jsinfer.h"
  HEAP32[(($5)>>2)]=$4; //@line 1037 "./jsinfer.h"
  var $6=(($3+8)|0); //@line 1038 "./jsinfer.h"
  HEAP32[(($6)>>2)]=1; //@line 1038 "./jsinfer.h"
  ;
  return; //@line 1039 "./jsinfer.h"
}


function _BUILD_JSVAL1750($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZN2js7analyze17AutoEnterAnalysis5leaveEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+5)|0); //@line 1276 "./jsanalyze.h"
      var $4=HEAP8[($3)]; //@line 1276 "./jsanalyze.h"
      var $5=(($4) & 1); //@line 1276 "./jsanalyze.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1276 "./jsanalyze.h"
    case 2: 
      var $7=(($2+5)|0); //@line 1277 "./jsanalyze.h"
      HEAP8[($7)]=1; //@line 1277 "./jsanalyze.h"
      var $8=(($2+4)|0); //@line 1278 "./jsanalyze.h"
      var $9=HEAP8[($8)]; //@line 1278 "./jsanalyze.h"
      var $10=(($9) & 1); //@line 1278 "./jsanalyze.h"
      var $11=(($2)|0); //@line 1278 "./jsanalyze.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1278 "./jsanalyze.h"
      var $13=(($12+56)|0); //@line 1278 "./jsanalyze.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1278 "./jsanalyze.h"
      var $15=(($14+372)|0); //@line 1278 "./jsanalyze.h"
      var $16=(($10)&1); //@line 1278 "./jsanalyze.h"
      HEAP8[($15)]=$16; //@line 1278 "./jsanalyze.h"
      __label__ = 3; break; //@line 1279 "./jsanalyze.h"
    case 3: 
      ;
      return; //@line 1280 "./jsanalyze.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze17AutoEnterAnalysisC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 1270 "./jsanalyze.h"
  var $5=$2; //@line 1270 "./jsanalyze.h"
  HEAP32[(($4)>>2)]=$5; //@line 1270 "./jsanalyze.h"
  var $6=(($3+4)|0); //@line 1270 "./jsanalyze.h"
  var $7=$2; //@line 1270 "./jsanalyze.h"
  var $8=(($7+56)|0); //@line 1270 "./jsanalyze.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1270 "./jsanalyze.h"
  var $10=(($9+372)|0); //@line 1270 "./jsanalyze.h"
  var $11=HEAP8[($10)]; //@line 1270 "./jsanalyze.h"
  var $12=(($11) & 1); //@line 1270 "./jsanalyze.h"
  var $13=(($12)&1); //@line 1270 "./jsanalyze.h"
  HEAP8[($6)]=$13; //@line 1270 "./jsanalyze.h"
  var $14=(($3+5)|0); //@line 1270 "./jsanalyze.h"
  HEAP8[($14)]=0; //@line 1270 "./jsanalyze.h"
  var $15=$2; //@line 1271 "./jsanalyze.h"
  var $16=(($15+56)|0); //@line 1271 "./jsanalyze.h"
  var $17=HEAP32[(($16)>>2)]; //@line 1271 "./jsanalyze.h"
  var $18=(($17+372)|0); //@line 1271 "./jsanalyze.h"
  HEAP8[($18)]=1; //@line 1271 "./jsanalyze.h"
  ;
  return; //@line 1272 "./jsanalyze.h"
}


function __ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1745($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldData;
      var $i;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 853 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 853 "./jsinferinlines.h"
      var $8=(($7)|0)==0; //@line 853 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 853 "./jsinferinlines.h"
    case 2: 
      var $10=$4; //@line 855 "./jsinferinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 855 "./jsinferinlines.h"
      var $12=(($11+1)|0); //@line 855 "./jsinferinlines.h"
      HEAP32[(($10)>>2)]=$12; //@line 855 "./jsinferinlines.h"
      var $13=$3; //@line 856 "./jsinferinlines.h"
      var $14=$13; //@line 856 "./jsinferinlines.h"
      $1=$14; //@line 856 "./jsinferinlines.h"
      __label__ = 20; break; //@line 856 "./jsinferinlines.h"
    case 3: 
      var $16=$4; //@line 859 "./jsinferinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 859 "./jsinferinlines.h"
      var $18=(($17)|0)==1; //@line 859 "./jsinferinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 859 "./jsinferinlines.h"
    case 4: 
      var $20=$3; //@line 860 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 860 "./jsinferinlines.h"
      var $22=$21; //@line 860 "./jsinferinlines.h"
      $oldData=$22; //@line 860 "./jsinferinlines.h"
      var $23=$oldData; //@line 861 "./jsinferinlines.h"
      var $24=__ZN2js5types13TypeObjectKey6getKeyEPS1_($23); //@line 861 "./jsinferinlines.h"
      var $25=$5; //@line 861 "./jsinferinlines.h"
      var $26=(($24)|0)==(($25)|0); //@line 861 "./jsinferinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 861 "./jsinferinlines.h"
    case 5: 
      var $28=$3; //@line 862 "./jsinferinlines.h"
      var $29=$28; //@line 862 "./jsinferinlines.h"
      $1=$29; //@line 862 "./jsinferinlines.h"
      __label__ = 20; break; //@line 862 "./jsinferinlines.h"
    case 6: 
      var $31=$2; //@line 864 "./jsinferinlines.h"
      var $32=(($31+344)|0); //@line 864 "./jsinferinlines.h"
      var $33=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($32, 8); //@line 864 "./jsinferinlines.h"
      var $34=$3; //@line 864 "./jsinferinlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 864 "./jsinferinlines.h"
      var $35=$3; //@line 865 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 865 "./jsinferinlines.h"
      var $37=(($36)|0)!=0; //@line 865 "./jsinferinlines.h"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 865 "./jsinferinlines.h"
    case 7: 
      var $39=$oldData; //@line 866 "./jsinferinlines.h"
      var $40=$39; //@line 866 "./jsinferinlines.h"
      var $41=$3; //@line 866 "./jsinferinlines.h"
      HEAP32[(($41)>>2)]=$40; //@line 866 "./jsinferinlines.h"
      $1=0; //@line 867 "./jsinferinlines.h"
      __label__ = 20; break; //@line 867 "./jsinferinlines.h"
    case 8: 
      var $43=$3; //@line 869 "./jsinferinlines.h"
      var $44=HEAP32[(($43)>>2)]; //@line 869 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1746($44, 8); //@line 869 "./jsinferinlines.h"
      var $45=$4; //@line 870 "./jsinferinlines.h"
      var $46=HEAP32[(($45)>>2)]; //@line 870 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 870 "./jsinferinlines.h"
      HEAP32[(($45)>>2)]=$47; //@line 870 "./jsinferinlines.h"
      var $48=$oldData; //@line 872 "./jsinferinlines.h"
      var $49=$3; //@line 872 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 872 "./jsinferinlines.h"
      var $51=(($50)|0); //@line 872 "./jsinferinlines.h"
      HEAP32[(($51)>>2)]=$48; //@line 872 "./jsinferinlines.h"
      var $52=$3; //@line 873 "./jsinferinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 873 "./jsinferinlines.h"
      var $54=(($53+4)|0); //@line 873 "./jsinferinlines.h"
      $1=$54; //@line 873 "./jsinferinlines.h"
      __label__ = 20; break; //@line 873 "./jsinferinlines.h"
    case 9: 
      var $56=$4; //@line 876 "./jsinferinlines.h"
      var $57=HEAPU32[(($56)>>2)]; //@line 876 "./jsinferinlines.h"
      var $58=(($57)>>>0) <= 8; //@line 876 "./jsinferinlines.h"
      if ($58) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 876 "./jsinferinlines.h"
    case 10: 
      $i=0; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 11: 
      var $61=$i; //@line 877 "./jsinferinlines.h"
      var $62=$4; //@line 877 "./jsinferinlines.h"
      var $63=HEAPU32[(($62)>>2)]; //@line 877 "./jsinferinlines.h"
      var $64=(($61)>>>0) < (($63)>>>0); //@line 877 "./jsinferinlines.h"
      if ($64) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 877 "./jsinferinlines.h"
    case 12: 
      var $66=$i; //@line 878 "./jsinferinlines.h"
      var $67=$3; //@line 878 "./jsinferinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 878 "./jsinferinlines.h"
      var $69=(($68+($66<<2))|0); //@line 878 "./jsinferinlines.h"
      var $70=HEAP32[(($69)>>2)]; //@line 878 "./jsinferinlines.h"
      var $71=__ZN2js5types13TypeObjectKey6getKeyEPS1_($70); //@line 878 "./jsinferinlines.h"
      var $72=$5; //@line 878 "./jsinferinlines.h"
      var $73=(($71)|0)==(($72)|0); //@line 878 "./jsinferinlines.h"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 878 "./jsinferinlines.h"
    case 13: 
      var $75=$i; //@line 879 "./jsinferinlines.h"
      var $76=$3; //@line 879 "./jsinferinlines.h"
      var $77=HEAP32[(($76)>>2)]; //@line 879 "./jsinferinlines.h"
      var $78=(($77+($75<<2))|0); //@line 879 "./jsinferinlines.h"
      $1=$78; //@line 879 "./jsinferinlines.h"
      __label__ = 20; break; //@line 879 "./jsinferinlines.h"
    case 14: 
      __label__ = 15; break; //@line 880 "./jsinferinlines.h"
    case 15: 
      var $81=$i; //@line 877 "./jsinferinlines.h"
      var $82=(($81+1)|0); //@line 877 "./jsinferinlines.h"
      $i=$82; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 16: 
      var $84=$4; //@line 882 "./jsinferinlines.h"
      var $85=HEAPU32[(($84)>>2)]; //@line 882 "./jsinferinlines.h"
      var $86=(($85)>>>0) < 8; //@line 882 "./jsinferinlines.h"
      if ($86) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 882 "./jsinferinlines.h"
    case 17: 
      var $88=$4; //@line 883 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 883 "./jsinferinlines.h"
      var $90=(($89+1)|0); //@line 883 "./jsinferinlines.h"
      HEAP32[(($88)>>2)]=$90; //@line 883 "./jsinferinlines.h"
      var $91=$4; //@line 884 "./jsinferinlines.h"
      var $92=HEAP32[(($91)>>2)]; //@line 884 "./jsinferinlines.h"
      var $93=(($92-1)|0); //@line 884 "./jsinferinlines.h"
      var $94=$3; //@line 884 "./jsinferinlines.h"
      var $95=HEAP32[(($94)>>2)]; //@line 884 "./jsinferinlines.h"
      var $96=(($95+($93<<2))|0); //@line 884 "./jsinferinlines.h"
      $1=$96; //@line 884 "./jsinferinlines.h"
      __label__ = 20; break; //@line 884 "./jsinferinlines.h"
    case 18: 
      __label__ = 19; break; //@line 886 "./jsinferinlines.h"
    case 19: 
      var $99=$2; //@line 888 "./jsinferinlines.h"
      var $100=$3; //@line 888 "./jsinferinlines.h"
      var $101=$4; //@line 888 "./jsinferinlines.h"
      var $102=$5; //@line 888 "./jsinferinlines.h"
      var $103=__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1747($99, $100, $101, $102); //@line 888 "./jsinferinlines.h"
      $1=$103; //@line 888 "./jsinferinlines.h"
      __label__ = 20; break; //@line 888 "./jsinferinlines.h"
    case 20: 
      var $105=$1; //@line 889 "./jsinferinlines.h"
      ;
      return $105; //@line 889 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1745["X"]=1;

function __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1746($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1747($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $capacity;
      var $insertpos;
      var $converting;
      var $newCapacity;
      var $newValues;
      var $i;
      var $pos;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 801 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 801 "./jsinferinlines.h"
      var $8=__ZN2js5typesL15HashSetCapacityEj1739($7); //@line 801 "./jsinferinlines.h"
      $capacity=$8; //@line 801 "./jsinferinlines.h"
      var $9=$5; //@line 802 "./jsinferinlines.h"
      var $10=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1748($9); //@line 802 "./jsinferinlines.h"
      var $11=$capacity; //@line 802 "./jsinferinlines.h"
      var $12=(($11-1)|0); //@line 802 "./jsinferinlines.h"
      var $13=$10 & $12; //@line 802 "./jsinferinlines.h"
      $insertpos=$13; //@line 802 "./jsinferinlines.h"
      var $14=$4; //@line 805 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 805 "./jsinferinlines.h"
      var $16=(($15)|0)==8; //@line 805 "./jsinferinlines.h"
      var $17=(($16)&1); //@line 805 "./jsinferinlines.h"
      $converting=$17; //@line 805 "./jsinferinlines.h"
      var $18=$converting; //@line 807 "./jsinferinlines.h"
      var $19=(($18) & 1); //@line 807 "./jsinferinlines.h"
      if ($19) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 807 "./jsinferinlines.h"
    case 2: 
      __label__ = 3; break; //@line 808 "./jsinferinlines.h"
    case 3: 
      var $22=$insertpos; //@line 808 "./jsinferinlines.h"
      var $23=$3; //@line 808 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 808 "./jsinferinlines.h"
      var $25=(($24+($22<<2))|0); //@line 808 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 808 "./jsinferinlines.h"
      var $27=(($26)|0)!=0; //@line 808 "./jsinferinlines.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 808 "./jsinferinlines.h"
    case 4: 
      var $29=$insertpos; //@line 809 "./jsinferinlines.h"
      var $30=$3; //@line 809 "./jsinferinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 809 "./jsinferinlines.h"
      var $32=(($31+($29<<2))|0); //@line 809 "./jsinferinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 809 "./jsinferinlines.h"
      var $34=__ZN2js5types13TypeObjectKey6getKeyEPS1_($33); //@line 809 "./jsinferinlines.h"
      var $35=$5; //@line 809 "./jsinferinlines.h"
      var $36=(($34)|0)==(($35)|0); //@line 809 "./jsinferinlines.h"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 809 "./jsinferinlines.h"
    case 5: 
      var $38=$insertpos; //@line 810 "./jsinferinlines.h"
      var $39=$3; //@line 810 "./jsinferinlines.h"
      var $40=HEAP32[(($39)>>2)]; //@line 810 "./jsinferinlines.h"
      var $41=(($40+($38<<2))|0); //@line 810 "./jsinferinlines.h"
      $1=$41; //@line 810 "./jsinferinlines.h"
      __label__ = 25; break; //@line 810 "./jsinferinlines.h"
    case 6: 
      var $43=$insertpos; //@line 811 "./jsinferinlines.h"
      var $44=(($43+1)|0); //@line 811 "./jsinferinlines.h"
      var $45=$capacity; //@line 811 "./jsinferinlines.h"
      var $46=(($45-1)|0); //@line 811 "./jsinferinlines.h"
      var $47=$44 & $46; //@line 811 "./jsinferinlines.h"
      $insertpos=$47; //@line 811 "./jsinferinlines.h"
      __label__ = 3; break; //@line 812 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 813 "./jsinferinlines.h"
    case 8: 
      var $50=$4; //@line 815 "./jsinferinlines.h"
      var $51=HEAP32[(($50)>>2)]; //@line 815 "./jsinferinlines.h"
      var $52=(($51+1)|0); //@line 815 "./jsinferinlines.h"
      HEAP32[(($50)>>2)]=$52; //@line 815 "./jsinferinlines.h"
      var $53=$4; //@line 816 "./jsinferinlines.h"
      var $54=HEAP32[(($53)>>2)]; //@line 816 "./jsinferinlines.h"
      var $55=__ZN2js5typesL15HashSetCapacityEj1739($54); //@line 816 "./jsinferinlines.h"
      $newCapacity=$55; //@line 816 "./jsinferinlines.h"
      var $56=$newCapacity; //@line 818 "./jsinferinlines.h"
      var $57=$capacity; //@line 818 "./jsinferinlines.h"
      var $58=(($56)|0)==(($57)|0); //@line 818 "./jsinferinlines.h"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 818 "./jsinferinlines.h"
    case 9: 
      var $60=$insertpos; //@line 820 "./jsinferinlines.h"
      var $61=$3; //@line 820 "./jsinferinlines.h"
      var $62=HEAP32[(($61)>>2)]; //@line 820 "./jsinferinlines.h"
      var $63=(($62+($60<<2))|0); //@line 820 "./jsinferinlines.h"
      $1=$63; //@line 820 "./jsinferinlines.h"
      __label__ = 25; break; //@line 820 "./jsinferinlines.h"
    case 10: 
      var $65=$2; //@line 823 "./jsinferinlines.h"
      var $66=(($65+344)|0); //@line 823 "./jsinferinlines.h"
      var $67=$newCapacity; //@line 823 "./jsinferinlines.h"
      var $68=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($66, $67); //@line 823 "./jsinferinlines.h"
      $newValues=$68; //@line 823 "./jsinferinlines.h"
      var $69=$newValues; //@line 824 "./jsinferinlines.h"
      var $70=(($69)|0)!=0; //@line 824 "./jsinferinlines.h"
      if ($70) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 824 "./jsinferinlines.h"
    case 11: 
      $1=0; //@line 825 "./jsinferinlines.h"
      __label__ = 25; break; //@line 825 "./jsinferinlines.h"
    case 12: 
      var $73=$newValues; //@line 826 "./jsinferinlines.h"
      var $74=$newCapacity; //@line 826 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1746($73, $74); //@line 826 "./jsinferinlines.h"
      $i=0; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 13: 
      var $76=$i; //@line 828 "./jsinferinlines.h"
      var $77=$capacity; //@line 828 "./jsinferinlines.h"
      var $78=(($76)>>>0) < (($77)>>>0); //@line 828 "./jsinferinlines.h"
      if ($78) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 828 "./jsinferinlines.h"
    case 14: 
      var $80=$i; //@line 829 "./jsinferinlines.h"
      var $81=$3; //@line 829 "./jsinferinlines.h"
      var $82=HEAP32[(($81)>>2)]; //@line 829 "./jsinferinlines.h"
      var $83=(($82+($80<<2))|0); //@line 829 "./jsinferinlines.h"
      var $84=HEAP32[(($83)>>2)]; //@line 829 "./jsinferinlines.h"
      var $85=(($84)|0)!=0; //@line 829 "./jsinferinlines.h"
      if ($85) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 829 "./jsinferinlines.h"
    case 15: 
      var $87=$i; //@line 830 "./jsinferinlines.h"
      var $88=$3; //@line 830 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 830 "./jsinferinlines.h"
      var $90=(($89+($87<<2))|0); //@line 830 "./jsinferinlines.h"
      var $91=HEAP32[(($90)>>2)]; //@line 830 "./jsinferinlines.h"
      var $92=__ZN2js5types13TypeObjectKey6getKeyEPS1_($91); //@line 830 "./jsinferinlines.h"
      var $93=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1748($92); //@line 830 "./jsinferinlines.h"
      var $94=$newCapacity; //@line 830 "./jsinferinlines.h"
      var $95=(($94-1)|0); //@line 830 "./jsinferinlines.h"
      var $96=$93 & $95; //@line 830 "./jsinferinlines.h"
      $pos=$96; //@line 830 "./jsinferinlines.h"
      __label__ = 16; break; //@line 831 "./jsinferinlines.h"
    case 16: 
      var $98=$pos; //@line 831 "./jsinferinlines.h"
      var $99=$newValues; //@line 831 "./jsinferinlines.h"
      var $100=(($99+($98<<2))|0); //@line 831 "./jsinferinlines.h"
      var $101=HEAP32[(($100)>>2)]; //@line 831 "./jsinferinlines.h"
      var $102=(($101)|0)!=0; //@line 831 "./jsinferinlines.h"
      if ($102) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 831 "./jsinferinlines.h"
    case 17: 
      var $104=$pos; //@line 832 "./jsinferinlines.h"
      var $105=(($104+1)|0); //@line 832 "./jsinferinlines.h"
      var $106=$newCapacity; //@line 832 "./jsinferinlines.h"
      var $107=(($106-1)|0); //@line 832 "./jsinferinlines.h"
      var $108=$105 & $107; //@line 832 "./jsinferinlines.h"
      $pos=$108; //@line 832 "./jsinferinlines.h"
      __label__ = 16; break; //@line 832 "./jsinferinlines.h"
    case 18: 
      var $110=$i; //@line 833 "./jsinferinlines.h"
      var $111=$3; //@line 833 "./jsinferinlines.h"
      var $112=HEAP32[(($111)>>2)]; //@line 833 "./jsinferinlines.h"
      var $113=(($112+($110<<2))|0); //@line 833 "./jsinferinlines.h"
      var $114=HEAP32[(($113)>>2)]; //@line 833 "./jsinferinlines.h"
      var $115=$pos; //@line 833 "./jsinferinlines.h"
      var $116=$newValues; //@line 833 "./jsinferinlines.h"
      var $117=(($116+($115<<2))|0); //@line 833 "./jsinferinlines.h"
      HEAP32[(($117)>>2)]=$114; //@line 833 "./jsinferinlines.h"
      __label__ = 19; break; //@line 834 "./jsinferinlines.h"
    case 19: 
      __label__ = 20; break; //@line 835 "./jsinferinlines.h"
    case 20: 
      var $120=$i; //@line 828 "./jsinferinlines.h"
      var $121=(($120+1)|0); //@line 828 "./jsinferinlines.h"
      $i=$121; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 21: 
      var $123=$newValues; //@line 837 "./jsinferinlines.h"
      var $124=$3; //@line 837 "./jsinferinlines.h"
      HEAP32[(($124)>>2)]=$123; //@line 837 "./jsinferinlines.h"
      var $125=$5; //@line 839 "./jsinferinlines.h"
      var $126=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1748($125); //@line 839 "./jsinferinlines.h"
      var $127=$newCapacity; //@line 839 "./jsinferinlines.h"
      var $128=(($127-1)|0); //@line 839 "./jsinferinlines.h"
      var $129=$126 & $128; //@line 839 "./jsinferinlines.h"
      $insertpos=$129; //@line 839 "./jsinferinlines.h"
      __label__ = 22; break; //@line 840 "./jsinferinlines.h"
    case 22: 
      var $131=$insertpos; //@line 840 "./jsinferinlines.h"
      var $132=$3; //@line 840 "./jsinferinlines.h"
      var $133=HEAP32[(($132)>>2)]; //@line 840 "./jsinferinlines.h"
      var $134=(($133+($131<<2))|0); //@line 840 "./jsinferinlines.h"
      var $135=HEAP32[(($134)>>2)]; //@line 840 "./jsinferinlines.h"
      var $136=(($135)|0)!=0; //@line 840 "./jsinferinlines.h"
      if ($136) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 840 "./jsinferinlines.h"
    case 23: 
      var $138=$insertpos; //@line 841 "./jsinferinlines.h"
      var $139=(($138+1)|0); //@line 841 "./jsinferinlines.h"
      var $140=$newCapacity; //@line 841 "./jsinferinlines.h"
      var $141=(($140-1)|0); //@line 841 "./jsinferinlines.h"
      var $142=$139 & $141; //@line 841 "./jsinferinlines.h"
      $insertpos=$142; //@line 841 "./jsinferinlines.h"
      __label__ = 22; break; //@line 841 "./jsinferinlines.h"
    case 24: 
      var $144=$insertpos; //@line 842 "./jsinferinlines.h"
      var $145=$3; //@line 842 "./jsinferinlines.h"
      var $146=HEAP32[(($145)>>2)]; //@line 842 "./jsinferinlines.h"
      var $147=(($146+($144<<2))|0); //@line 842 "./jsinferinlines.h"
      $1=$147; //@line 842 "./jsinferinlines.h"
      __label__ = 25; break; //@line 842 "./jsinferinlines.h"
    case 25: 
      var $149=$1; //@line 843 "./jsinferinlines.h"
      ;
      return $149; //@line 843 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1747["X"]=1;

function __ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1748($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types13TypeObjectKey7keyBitsEPS1_($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptNS0_4TypeE($cx, $script, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $analyze;
      var $3=__stackBase__;
      var $enter=__stackBase__+4;
      var $4=__stackBase__+12;
      var $5=__stackBase__+16;
      $1=$cx;
      $2=$script;
      var $6=$1; //@line 612 "./jsinferinlines.h"
      var $7=__ZN9JSContext20typeInferenceEnabledEv($6); //@line 612 "./jsinferinlines.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsinferinlines.h"
    case 2: 
      __label__ = 9; break; //@line 613 "./jsinferinlines.h"
    case 3: 
      var $10=$1; //@line 617 "./jsinferinlines.h"
      var $11=__ZNK9JSContext12hasRunOptionEj($10, 65536); //@line 617 "./jsinferinlines.h"
      var $12=(($11)&1); //@line 617 "./jsinferinlines.h"
      $analyze=$12; //@line 617 "./jsinferinlines.h"
      var $13=$2; //@line 619 "./jsinferinlines.h"
      var $14=__ZN2js5types10TypeScript9ThisTypesEP8JSScript($13); //@line 619 "./jsinferinlines.h"
      var $15=$3; //@line 619 "./jsinferinlines.h"
      var $16=$type; //@line 619 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)]; //@line 619 "./jsinferinlines.h"
      var $17=__ZN2js5types7TypeSet7hasTypeENS0_4TypeE($14, $3); //@line 619 "./jsinferinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 619 "./jsinferinlines.h"
    case 4: 
      var $19=$analyze; //@line 619 "./jsinferinlines.h"
      var $20=(($19) & 1); //@line 619 "./jsinferinlines.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 619 "./jsinferinlines.h"
    case 5: 
      var $22=$1; //@line 620 "./jsinferinlines.h"
      __ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb($enter, $22, 0); //@line 620 "./jsinferinlines.h"
      var $23=$2; //@line 623 "./jsinferinlines.h"
      var $24=__ZN8JSScript2idEv($23); //@line 623 "./jsinferinlines.h"
      var $25=$4; //@line 623 "./jsinferinlines.h"
      var $26=$type; //@line 623 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)]; //@line 623 "./jsinferinlines.h"
      var $27=__ZN2js5types10TypeStringENS0_4TypeE($4); //@line 623 "./jsinferinlines.h"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str701640)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$24,HEAP32[((tempInt+4)>>2)]=$27,tempInt)); //@line 623 "./jsinferinlines.h"
      var $28=$2; //@line 624 "./jsinferinlines.h"
      var $29=__ZN2js5types10TypeScript9ThisTypesEP8JSScript($28); //@line 624 "./jsinferinlines.h"
      var $30=$1; //@line 624 "./jsinferinlines.h"
      var $31=$5; //@line 624 "./jsinferinlines.h"
      var $32=$type; //@line 624 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)]; //@line 624 "./jsinferinlines.h"
      __ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE($29, $30, $5); //@line 624 "./jsinferinlines.h"
      var $33=$analyze; //@line 626 "./jsinferinlines.h"
      var $34=(($33) & 1); //@line 626 "./jsinferinlines.h"
      if ($34) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 626 "./jsinferinlines.h"
    case 6: 
      var $36=$2; //@line 626 "./jsinferinlines.h"
      var $37=(($36+100)|0); //@line 626 "./jsinferinlines.h"
      var $38=HEAP32[(($37)>>2)]; //@line 626 "./jsinferinlines.h"
      var $39=__ZN2js5types10TypeScript8hasScopeEv($38); //@line 626 "./jsinferinlines.h"
      if ($39) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 626 "./jsinferinlines.h"
    case 7: 
      var $41=$2; //@line 627 "./jsinferinlines.h"
      var $42=$1; //@line 627 "./jsinferinlines.h"
      var $43=__ZN8JSScript18ensureRanInferenceEP9JSContext($41, $42); //@line 627 "./jsinferinlines.h"
      __label__ = 8; break; //@line 627 "./jsinferinlines.h"
    case 8: 
      __ZN2js5types22AutoEnterTypeInferenceD1Ev($enter); //@line 628 "./jsinferinlines.h"
      __label__ = 9; break; //@line 628 "./jsinferinlines.h"
    case 9: 
      STACKTOP = __stackBase__;
      return; //@line 629 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptNS0_4TypeE["X"]=1;

function __ZN2js7analyze17AutoEnterAnalysisD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7analyze17AutoEnterAnalysis5leaveEv($2); //@line 1284 "./jsanalyze.h"
  ;
  return; //@line 1285 "./jsanalyze.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1751($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1753($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1751["X"]=1;

function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEC1ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEC2ES4_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb1752($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js5types13TypeNewScript11InitializerC1ENS2_4KindEj($this, $kind, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$kind;
  $3=$offset;
  var $4=$1;
  var $5=$2; //@line 689 "./jsinfer.h"
  var $6=$3; //@line 689 "./jsinfer.h"
  __ZN2js5types13TypeNewScript11InitializerC2ENS2_4KindEj($4, $5, $6); //@line 689 "./jsinfer.h"
  ;
  return; //@line 689 "./jsinfer.h"
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $g=__stackBase__;
      var $3;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$4; //@line 765 "./jsvector.h"
      var $16=$t; //@line 765 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 765 "./jsvector.h"
      __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_($5, $4); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $18=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $18; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL7PodCopyINS_5types13TypeNewScript11InitializerEEEvPT_PKS4_j($dst, $src, $nelem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $srcend;
      $1=$dst;
      $2=$src;
      $3=$nelem;
      var $4=$3; //@line 695 "./jsutil.h"
      var $5=(($4)>>>0) < 128; //@line 695 "./jsutil.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 695 "./jsutil.h"
    case 2: 
      var $7=$2; //@line 696 "./jsutil.h"
      var $8=$3; //@line 696 "./jsutil.h"
      var $9=(($7+($8<<3))|0); //@line 696 "./jsutil.h"
      $srcend=$9; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 3: 
      var $11=$2; //@line 696 "./jsutil.h"
      var $12=$srcend; //@line 696 "./jsutil.h"
      var $13=(($11)|0)!=(($12)|0); //@line 696 "./jsutil.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 696 "./jsutil.h"
    case 4: 
      var $15=$1; //@line 697 "./jsutil.h"
      var $16=$2; //@line 697 "./jsutil.h"
      var $17=$15; //@line 697 "./jsutil.h"
      var $18=$16; //@line 697 "./jsutil.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 697 "./jsutil.h"
      __label__ = 5; break; //@line 697 "./jsutil.h"
    case 5: 
      var $20=$2; //@line 696 "./jsutil.h"
      var $21=(($20+8)|0); //@line 696 "./jsutil.h"
      $2=$21; //@line 696 "./jsutil.h"
      var $22=$1; //@line 696 "./jsutil.h"
      var $23=(($22+8)|0); //@line 696 "./jsutil.h"
      $1=$23; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 6: 
      __label__ = 8; break; //@line 698 "./jsutil.h"
    case 7: 
      var $26=$1; //@line 699 "./jsutil.h"
      var $27=$26; //@line 699 "./jsutil.h"
      var $28=$2; //@line 699 "./jsutil.h"
      var $29=$28; //@line 699 "./jsutil.h"
      var $30=$3; //@line 699 "./jsutil.h"
      var $31=((($30<<3))|0); //@line 699 "./jsutil.h"
      assert($31 % 1 === 0, 'memcpy given ' + $31 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($27, $29, $31, 1); //@line 699 "./jsutil.h"
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 701 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZL26AnalyzeNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunctionPP8JSObjectPNS1_6VectorINS2_13TypeNewScript11InitializerELj0ENS1_15TempAllocPolicyEEE($cx, $type, $fun, $pbaseobj, $initializerList) {
  var __stackBase__  = STACKTOP; STACKTOP += 100; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $script;
      var $analysis;
      var $lastThisPopped;
      var $nextOffset;
      var $offset;
      var $pc;
      var $untrap=__stackBase__+4;
      var $op;
      var $code;
      var $7;
      var $thisv=__stackBase__+12;
      var $uses;
      var $poppedCode;
      var $untrapUse=__stackBase__+20;
      var $obj;
      var $index;
      var $id;
      var $slotSpan;
      var $8=__stackBase__+28;
      var $setprop=__stackBase__+36;
      var $9=__stackBase__+44;
      var $parentObject;
      var $parentTypes;
      var $calleev=__stackBase__+52;
      var $calleepc;
      var $untrapCallee=__stackBase__+60;
      var $funcallTypes;
      var $scriptTypes;
      var $funcallObj;
      var $scriptObj;
      var $function;
      var $pushframe=__stackBase__+68;
      var $10=__stackBase__+76;
      var $popframe=__stackBase__+84;
      var $11=__stackBase__+92;
      $2=$cx;
      HEAP32[(($3)>>2)]=$type;
      $4=$fun;
      $5=$pbaseobj;
      $6=$initializerList;
      var $12=$6; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6lengthEv($12); //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)>>>0) > 50; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      $1=0; //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 84; break; //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $17=$4; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=__ZNK10JSFunction6scriptEv($17); //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $script=$18; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=$script; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $20=$2; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $21=$4; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=__ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject($19, $20, $21, 0); //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $24=$script; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $25=$2; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $26=__ZN8JSScript18ensureRanInferenceEP9JSContext($24, $25); //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $28=$5; //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($28)>>2)]=0; //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $29=$2; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $30=(($29+56)|0); //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $32=(($31+376)|0); //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $33=$2; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($32, $33); //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 84; break; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      var $35=$script; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $36=__ZNK8JSScript16hasClearedGlobalEv($35); //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 7: 
      $1=0; //@line 4362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 84; break; //@line 4362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 8: 
      var $39=$script; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $40=__ZN8JSScript8analysisEv($39); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $analysis=$40; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $lastThisPopped=0; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $nextOffset=0; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 9; break; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 9: 
      var $42=$nextOffset; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $43=$script; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $44=(($43+8)|0); //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $45=HEAPU32[(($44)>>2)]; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $46=(($42)>>>0) < (($45)>>>0); //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 83; break; } //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 10: 
      var $48=$nextOffset; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $offset=$48; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $49=$script; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $50=(($49)|0); //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $52=$offset; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $53=(($51+$52)|0); //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$53; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $54=$2; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $55=$script; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $56=$pc; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrap, $54, $55, $56); //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $57=$pc; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $58=HEAPU8[($57)]; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $59=(($58)&255); //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $op=$59; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $60=$pc; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $61=__ZN2js7analyzeL17GetBytecodeLengthEPh1712($60); //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $62=$nextOffset; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $63=(($62+$61)|0); //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $nextOffset=$63; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $64=$analysis; //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $65=$pc; //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $66=__ZN2js7analyze14ScriptAnalysis9maybeCodeEPKh($64, $65); //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $code=$66; //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $67=$code; //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $68=(($67)|0)!=0; //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($68) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 11: 
      $7=2;
      __label__ = 81; break; //@line 4388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 12: 
      var $71=$op; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $72=(($71)|0)==5; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($72) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 13: 
      var $74=$op; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $75=(($74)|0)==197; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($75) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 14: 
      var $77=$op; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $78=(($77)|0)==155; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($78) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 15: 
      var $80=$offset; //@line 4395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $81=$lastThisPopped; //@line 4395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $82=(($80)>>>0) < (($81)>>>0); //@line 4395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($82) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 4395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 16: 
      var $84=$5; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($84)>>2)]=0; //@line 4396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 81; break; //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 17: 
      var $86=$code; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $87=$86; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $88=HEAPU8[($87)]; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $89=(($88)&255) >>> 5; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $90=$89 & 1; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $91=(($90) & 1); //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=$91; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 81; break; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 18: 
      var $93=$op; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $94=(($93)|0)==123; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($94) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 19: 
      var $96=$offset; //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $97=$lastThisPopped; //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $98=(($96)>>>0) < (($97)>>>0); //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($98) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 20: 
      var $100=$5; //@line 4405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($100)>>2)]=0; //@line 4405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 21; break; //@line 4405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 21: 
      $1=0; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 81; break; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 22: 
      var $103=$op; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $104=(($103)|0)!=65; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($104) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 23: 
      $7=2;
      __label__ = 81; break; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 24: 
      var $107=$offset; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze8SSAValue11PushedValueEjj($thisv, $107, 0); //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $108=$analysis; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $109=__ZN2js7analyze14ScriptAnalysis8useChainERKNS0_8SSAValueE($108, $thisv); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $uses=$110; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $111=$uses; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $112=(($111+8)|0); //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $114=(($113)|0)!=0; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($114) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 25: 
      var $116=$uses; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $117=$116; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $118=HEAP8[($117)]; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $119=$118 & 1; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $120=(($119) & 1); //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($120) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 26: 
      $1=0; //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 81; break; //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 27: 
      var $123=$offset; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $124=$lastThisPopped; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $125=(($123)>>>0) < (($124)>>>0); //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($125) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 28: 
      var $127=$5; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($127)>>2)]=0; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 81; break; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 29: 
      var $129=$uses; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $130=$129; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $131=HEAPU32[(($130)>>2)]; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $132=$131 >>> 1; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $133=$132 & 2147483647; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $lastThisPopped=$133; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $134=$analysis; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $135=$uses; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $136=$135; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $137=HEAPU32[(($136)>>2)]; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $138=$137 >>> 1; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $139=$138 & 2147483647; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $140=__ZN2js7analyze14ScriptAnalysis9maybeCodeEj($134, $139); //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $poppedCode=$140; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $141=$poppedCode; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $142=(($141)|0)!=0; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($142) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 30: 
      var $144=$poppedCode; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $145=$144; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $146=HEAPU8[($145)]; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $147=(($146)&255) >>> 5; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $148=$147 & 1; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $149=(($148) & 1); //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($149) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 31: 
      $1=0; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 81; break; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 32: 
      var $152=$script; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $153=(($152)|0); //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $155=$uses; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $156=$155; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $157=HEAPU32[(($156)>>2)]; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $158=$157 >>> 1; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $159=$158 & 2147483647; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $160=(($154+$159)|0); //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $pc=$160; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $161=$2; //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $162=$script; //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $163=$pc; //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrapUse, $161, $162, $163); //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $164=$pc; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $165=HEAPU8[($164)]; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $166=(($165)&255); //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $op=$166; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $167=$5; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $obj=$168; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $169=$op; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $170=(($169)|0)==54; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($170) { __label__ = 33; break; } else { __label__ = 56; break; } //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 33: 
      var $172=$uses; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $173=(($172+4)|0); //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $174=$173; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $176=(($175)|0)==1; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($176) { __label__ = 34; break; } else { __label__ = 56; break; } //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 34: 
      var $178=$2; //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $179=$script; //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $180=$pc; //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $181=_js_GetIndexFromBytecode($178, $179, $180, 0); //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $index=$181; //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $182=$script; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $183=$index; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $184=__ZN8JSScript7getAtomEj($182, $183); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $185=__ZL12ATOM_TO_JSIDP6JSAtom1694($184); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $id=$185; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $186=$2; //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $187=$id; //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $188=__ZN2js5types10MakeTypeIdEP9JSContexti($186, $187); //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $189=$id; //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $190=(($188)|0)!=(($189)|0); //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($190) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 35: 
      $1=0; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 36: 
      var $193=$id; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $194=$2; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $195=__ZL12id_prototypeP9JSContext($194); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $196=(($193)|0)==(($195)|0); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($196) { __label__ = 39; break; } else { __label__ = 37; break; } //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 37: 
      var $198=$id; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $199=$2; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $200=__ZL12id___proto__P9JSContext($199); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $201=(($198)|0)==(($200)|0); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($201) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 38: 
      var $203=$id; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $204=$2; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $205=__ZL14id_constructorP9JSContext($204); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $206=(($203)|0)==(($205)|0); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($206) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 39: 
      $1=0; //@line 4455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 40: 
      var $209=$obj; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $210=__ZNK8JSObject8slotSpanEv($209); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $slotSpan=$210; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $211=$2; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $212=$obj; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $213=$id; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2JSL14UndefinedValueEv1713($8); //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $214=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($211, $212, $213, $8, 0, 0, 1, 0, 0, 16); //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $215=(($214)|0)!=0; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($215) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 41: 
      var $217=$2; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $218=(($217+56)|0); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $219=HEAP32[(($218)>>2)]; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $220=(($219+376)|0); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $221=$2; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($220, $221); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $222=$5; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($222)>>2)]=0; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 42: 
      var $224=$obj; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $225=__ZNK8JSObject16inDictionaryModeEv($224); //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($225) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 43: 
      var $227=$5; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($227)>>2)]=0; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 44: 
      var $229=$obj; //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $230=__ZNK8JSObject8slotSpanEv($229); //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $231=$slotSpan; //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $232=(($230)|0)==(($231)|0); //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($232) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 45: 
      $1=0; //@line 4472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 46: 
      var $235=$uses; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $236=$235; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $237=HEAPU32[(($236)>>2)]; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $238=$237 >>> 1; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $239=$238 & 2147483647; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types13TypeNewScript11InitializerC1ENS2_4KindEj($setprop, 0, $239); //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $240=$6; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $241=$9; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $242=$setprop; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($241)>>2)]=HEAP32[(($242)>>2)];HEAP32[(($241+4)>>2)]=HEAP32[(($242+4)>>2)]; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $243=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($240, $9); //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($243) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 47: 
      var $245=$2; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $246=(($245+56)|0); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $247=HEAP32[(($246)>>2)]; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $248=(($247+376)|0); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $249=$2; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($248, $249); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $250=$5; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($250)>>2)]=0; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 48: 
      var $252=$obj; //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $253=__ZNK8JSObject8slotSpanEv($252); //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $254=(($253)>>>0) >= 15; //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($254) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 49: 
      $1=0; //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 50: 
      var $257=HEAP32[(($3)>>2)]; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $258=(($257)|0); //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $259=HEAP32[(($258)>>2)]; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $260=$2; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $261=__ZN8JSObject7getTypeEP9JSContext($259, $260); //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $parentObject=$261; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $262=$parentObject; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $263=__ZN2js5types10TypeObject17unknownPropertiesEv($262); //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($263) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 51: 
      $1=0; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 52: 
      var $266=$parentObject; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $267=$2; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $268=$id; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $269=__ZN2js5types10TypeObject11getPropertyEP9JSContextib($266, $267, $268, 0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $parentTypes=$269; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $270=$parentTypes; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $271=(($270)|0)!=0; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($271) { __label__ = 53; break; } else { __label__ = 54; break; } //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 53: 
      var $273=$parentTypes; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $274=__ZNK2js5types7TypeSet7unknownEv($273); //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($274) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 54: 
      $1=0; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 55: 
      var $277=$parentObject; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $278=$2; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $279=$id; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $280=$parentTypes; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject17getFromPrototypesEP9JSContextiPNS0_7TypeSetEb($277, $278, $279, $280, 0); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $281=$parentTypes; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $282=$2; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $283=$2; //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $284=(($283+56)|0); //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $285=HEAP32[(($284)>>2)]; //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $286=(($285+344)|0); //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $287=__ZN2js8ArenaNewI33TypeConstraintClearDefiniteSetterPNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_($286, $3); //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $288=$287; //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($281, $282, $288, 1); //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 79; break; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 56: 
      var $290=$op; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $291=(($290)|0)==108; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($291) { __label__ = 57; break; } else { __label__ = 77; break; } //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 57: 
      var $293=$uses; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $294=(($293+4)|0); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $295=$294; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $296=HEAP32[(($295)>>2)]; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $297=$pc; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $298=(($297+1)|0); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $299=HEAPU8[($298)]; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $300=(($299)&255); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $301=$300 << 8; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $302=$pc; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $303=(($302+2)|0); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $304=HEAPU8[($303)]; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $305=(($304)&255); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $306=$301 | $305; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $307=(($306-1)|0); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $308=(($296)|0)==(($307)|0); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($308) { __label__ = 58; break; } else { __label__ = 77; break; } //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 58: 
      var $310=$analysis; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $311=$pc; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $312=$pc; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $313=(($312+1)|0); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $314=HEAPU8[($313)]; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $315=(($314)&255); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $316=$315 << 8; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $317=$pc; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $318=(($317+2)|0); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $319=HEAPU8[($318)]; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $320=(($319)&255); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $321=$316 | $320; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $322=(($321+1)|0); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $323=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($310, $311, $322); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $324=$calleev; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $325=$323; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($324)>>2)]=HEAP32[(($325)>>2)];HEAP32[(($324+4)>>2)]=HEAP32[(($325+4)>>2)]; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $326=__ZNK2js7analyze8SSAValue4kindEv($calleev); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $327=(($326)|0)!=1; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($327) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 59: 
      $1=0; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 60: 
      var $330=$script; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $331=(($330)|0); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $332=HEAP32[(($331)>>2)]; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $333=__ZNK2js7analyze8SSAValue12pushedOffsetEv($calleev); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $334=(($332+$333)|0); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $calleepc=$334; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $335=$2; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $336=$script; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $337=$calleepc; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh($untrapCallee, $335, $336, $337); //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $338=$calleepc; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $339=HEAPU8[($338)]; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $340=(($339)&255); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $341=(($340)|0)!=187; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($341) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 61: 
      var $343=__ZNK2js7analyze8SSAValue11pushedIndexEv($calleev); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $344=(($343)|0)!=0; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($344) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 62: 
      $1=0; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 75; break; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 63: 
      var $347=$analysis; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $348=$2; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $349=$analysis; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $350=$calleepc; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $351=__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj($349, $350, 0); //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis20breakTypeBarriersSSAEP9JSContextRKNS0_8SSAValueE($347, $348, $351); //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $352=$analysis; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $353=$2; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $354=$calleepc; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $355=$script; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $356=(($355)|0); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $357=HEAP32[(($356)>>2)]; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $358=$354; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $359=$357; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $360=(($358-$359)|0); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js7analyze14ScriptAnalysis17breakTypeBarriersEP9JSContextjb($352, $353, $360, 1); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $361=$analysis; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $362=$calleepc; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $363=__ZN2js7analyze14ScriptAnalysis11pushedTypesEPKhj($361, $362, 0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $funcallTypes=$363; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $364=$analysis; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $365=$calleepc; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $366=__ZN2js7analyze14ScriptAnalysis11pushedTypesEPKhj($364, $365, 1); //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $scriptTypes=$366; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $367=$funcallTypes; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $368=$2; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $369=__ZN2js5types7TypeSet12getSingletonEP9JSContextb($367, $368, 0); //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $funcallObj=$369; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $370=$scriptTypes; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $371=$2; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $372=__ZN2js5types7TypeSet12getSingletonEP9JSContextb($370, $371, 0); //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $scriptObj=$372; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $373=$funcallObj; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $374=(($373)|0)!=0; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($374) { __label__ = 64; break; } else { __label__ = 67; break; } //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 64: 
      var $376=$scriptObj; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $377=(($376)|0)!=0; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($377) { __label__ = 65; break; } else { __label__ = 67; break; } //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 65: 
      var $379=$scriptObj; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $380=__ZNK8JSObject10isFunctionEv($379); //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($380) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 66: 
      var $382=$scriptObj; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $383=__ZNK8JSObject18getFunctionPrivateEv($382); //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $384=__ZNK10JSFunction13isInterpretedEv($383); //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($384) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 67: 
      $1=0; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 75; break; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 68: 
      var $387=$scriptObj; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $388=__ZNK8JSObject18getFunctionPrivateEv($387); //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $function=$388; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $389=$analysis; //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $390=__ZNK2js7analyze8SSAValue12pushedOffsetEv($calleev); //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $391=__ZN2js7analyze14ScriptAnalysis11pushedTypesEjj($389, $390, 0); //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $392=$2; //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $393=$2; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $394=(($393+56)|0); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $395=HEAP32[(($394)>>2)]; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $396=(($395+344)|0); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $397=__ZN2js8ArenaNewI33TypeConstraintClearDefiniteSinglePNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_($396, $3); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $398=$397; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($391, $392, $398, 1); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $399=$analysis; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $400=__ZNK2js7analyze8SSAValue12pushedOffsetEv($calleev); //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $401=__ZN2js7analyze14ScriptAnalysis11pushedTypesEjj($399, $400, 1); //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $402=$2; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $403=$2; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $404=(($403+56)|0); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $405=HEAP32[(($404)>>2)]; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $406=(($405+344)|0); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $407=__ZN2js8ArenaNewI33TypeConstraintClearDefiniteSinglePNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_($406, $3); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $408=$407; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb($401, $402, $408, 1); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $409=$uses; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $410=$409; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $411=HEAPU32[(($410)>>2)]; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $412=$411 >>> 1; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $413=$412 & 2147483647; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types13TypeNewScript11InitializerC1ENS2_4KindEj($pushframe, 1, $413); //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $414=$6; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $415=$10; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $416=$pushframe; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($415)>>2)]=HEAP32[(($416)>>2)];HEAP32[(($415+4)>>2)]=HEAP32[(($416+4)>>2)]; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $417=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($414, $10); //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($417) { __label__ = 70; break; } else { __label__ = 69; break; } //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 69: 
      var $419=$2; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $420=(($419+56)|0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $421=HEAP32[(($420)>>2)]; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $422=(($421+376)|0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $423=$2; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($422, $423); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $424=$5; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($424)>>2)]=0; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 75; break; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 70: 
      var $426=$2; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $427=HEAP32[(($3)>>2)]; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $428=$function; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $429=$5; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $430=$6; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $431=__ZL26AnalyzeNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunctionPP8JSObjectPNS1_6VectorINS2_13TypeNewScript11InitializerELj0ENS1_15TempAllocPolicyEEE($426, $427, $428, $429, $430); //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($431) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 71: 
      $1=0; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 75; break; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 72: 
      __ZN2js5types13TypeNewScript11InitializerC1ENS2_4KindEj($popframe, 2, 0); //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $434=$6; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $435=$11; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $436=$popframe; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($435)>>2)]=HEAP32[(($436)>>2)];HEAP32[(($435+4)>>2)]=HEAP32[(($436+4)>>2)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $437=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_($434, $11); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($437) { __label__ = 74; break; } else { __label__ = 73; break; } //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 73: 
      var $439=$2; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $440=(($439+56)|0); //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $441=HEAP32[(($440)>>2)]; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $442=(($441+376)|0); //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $443=$2; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext($442, $443); //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $444=$5; //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      HEAP32[(($444)>>2)]=0; //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $1=0; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 75; break; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 74: 
      $7=0; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 75; break; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 75: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrapCallee); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 76; break;
      }
      else {
      __label__ = 80; break;
      }
      
    case 76: 
      __label__ = 78; break; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 77: 
      $1=0; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $7=1;
      __label__ = 80; break; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 78: 
      __label__ = 79; break;
    case 79: 
      $7=0; //@line 4580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 80; break; //@line 4580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 80: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrapUse); //@line 4580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 81; break;
    case 81: 
      __ZN2js7analyze12UntrapOpcodeD1Ev($untrap); //@line 4580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $cleanup_dest1=$7;
      if ((($cleanup_dest1)|0) == 2) {
        __label__ = 9; break;
      }
      else if ((($cleanup_dest1)|0) == 0) {
        __label__ = 82; break;
      }
      else if ((($cleanup_dest1)|0) == 1) {
        __label__ = 84; break;
      }
      else {
      __label__ = 85; break;
      }
      
    case 82: 
      __label__ = 9; break; //@line 4580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 83: 
      $1=1; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 84; break; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 84: 
      var $456=$1; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      STACKTOP = __stackBase__;
      return $456; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 85: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL26AnalyzeNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunctionPP8JSObjectPNS1_6VectorINS2_13TypeNewScript11InitializerELj0ENS1_15TempAllocPolicyEEE["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE7destroyEPS3_S6_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+8)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js7MoveRefINS_5types13TypeNewScript11InitializerEEcvRS3_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types13TypeNewScript11InitializerEEC2ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js5types13TypeNewScript11InitializerC2ENS2_4KindEj($this, $kind, $offset) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$kind;
  $3=$offset;
  var $4=$1;
  var $5=(($4)|0); //@line 689 "./jsinfer.h"
  var $6=$2; //@line 689 "./jsinfer.h"
  HEAP32[(($5)>>2)]=$6; //@line 689 "./jsinfer.h"
  var $7=(($4+4)|0); //@line 689 "./jsinfer.h"
  var $8=$3; //@line 689 "./jsinfer.h"
  HEAP32[(($7)>>2)]=$8; //@line 689 "./jsinfer.h"
  ;
  return; //@line 689 "./jsinfer.h"
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE7destroyEPS3_S6_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_($this, $t) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 776 "./jsvector.h"
      var $4=$3; //@line 776 "./jsvector.h"
      var $5=(($4)|0)==0; //@line 776 "./jsvector.h"
      if ($5) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $7=$4; //@line 776 "./jsvector.h"
      var $8=$7; //@line 776 "./jsvector.h"
      var $9=$t; //@line 776 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 776 "./jsvector.h"
      var $11 = $7;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($2+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<3))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS3_EEvPS3_PKT_SA_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE7destroyEPS3_S6_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS3_Lj0ES4_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -268435456; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -268435456; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS3_Lj0ES4_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=((($7<<3))|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $34 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveINS_5types13TypeNewScript11InitializerEEENS_7MoveRefIT_EERS5_($4, $29); //@line 118 "./jsvector.h"
      var $30=__ZNK2js7MoveRefINS_5types13TypeNewScript11InitializerEEcvRS3_Ev($4); //@line 118 "./jsvector.h"
      var $31=$28; //@line 118 "./jsvector.h"
      var $32=$30; //@line 118 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 118 "./jsvector.h"
      var $34 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $34; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $36=$dst; //@line 117 "./jsvector.h"
      var $37=(($36+8)|0); //@line 117 "./jsvector.h"
      $dst=$37; //@line 117 "./jsvector.h"
      var $38=$src; //@line 117 "./jsvector.h"
      var $39=(($38+8)|0); //@line 117 "./jsvector.h"
      $src=$39; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $41=$2; //@line 119 "./jsvector.h"
      var $42=__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($41); //@line 119 "./jsvector.h"
      var $43=$2; //@line 119 "./jsvector.h"
      var $44=__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE10endNoCheckEv($43); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE7destroyEPS3_S6_($42, $44); //@line 119 "./jsvector.h"
      var $45=$2; //@line 120 "./jsvector.h"
      var $46=$45; //@line 120 "./jsvector.h"
      var $47=$2; //@line 120 "./jsvector.h"
      var $48=(($47+4)|0); //@line 120 "./jsvector.h"
      var $49=HEAP32[(($48)>>2)]; //@line 120 "./jsvector.h"
      var $50=$49; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($46, $50); //@line 120 "./jsvector.h"
      var $51=$newbuf; //@line 121 "./jsvector.h"
      var $52=$2; //@line 121 "./jsvector.h"
      var $53=(($52+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($53)>>2)]=$51; //@line 121 "./jsvector.h"
      var $54=$3; //@line 123 "./jsvector.h"
      var $55=$2; //@line 123 "./jsvector.h"
      var $56=(($55+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($56)>>2)]=$54; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $58=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $58; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS3_Lj0ES4_EEj["X"]=1;

function __ZN2js4MoveINS_5types13TypeNewScript11InitializerEEENS_7MoveRefIT_EERS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_5types13TypeNewScript11InitializerEEC1ERS3_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_5types13TypeNewScript11InitializerEEC1ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_5types13TypeNewScript11InitializerEEC2ERS3_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS3_EEvPS3_PKT_SA_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $21 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveINS_5types13TypeNewScript11InitializerEEENS_7MoveRefIT_EERKS5_($4, $16); //@line 93 "./jsvector.h"
      var $17=__ZNK2js7MoveRefINS_5types13TypeNewScript11InitializerEEcvRS3_Ev($4); //@line 93 "./jsvector.h"
      var $18=$15; //@line 93 "./jsvector.h"
      var $19=$17; //@line 93 "./jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 93 "./jsvector.h"
      var $21 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $21; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $23=$p; //@line 92 "./jsvector.h"
      var $24=(($23+8)|0); //@line 92 "./jsvector.h"
      $p=$24; //@line 92 "./jsvector.h"
      var $25=$1; //@line 92 "./jsvector.h"
      var $26=(($25+8)|0); //@line 92 "./jsvector.h"
      $1=$26; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_5types13TypeNewScript11InitializerEEENS_7MoveRefIT_EERKS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_5types13TypeNewScript11InitializerEEC1ERS3_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZL14id_constructorP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $3=(($2+52)|0); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=(($4+209948)|0); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($5+256)|0); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $8=$7; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $9=__ZL12ATOM_TO_JSIDP6JSAtom1694($8); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return $9; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2js8ArenaNewI33TypeConstraintClearDefiniteSetterPNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+12)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN33TypeConstraintClearDefiniteSetterC1EPN2js5types10TypeObjectE($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI33TypeConstraintClearDefiniteSetterPNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN2js8ArenaNewI33TypeConstraintClearDefiniteSinglePNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_($pool, $a) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      var $_a;
      var $_nb;
      var $_p;
      $1=$pool;
      $2=$a;
      __label__ = 2; break; //@line 253 "./jsarena.h"
    case 2: 
      var $4=$1; //@line 253 "./jsarena.h"
      var $5=(($4+16)|0); //@line 253 "./jsarena.h"
      var $6=HEAP32[(($5)>>2)]; //@line 253 "./jsarena.h"
      $_a=$6; //@line 253 "./jsarena.h"
      var $7=$1; //@line 253 "./jsarena.h"
      var $8=(($7+24)|0); //@line 253 "./jsarena.h"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "./jsarena.h"
      var $10=(($9+12)|0); //@line 253 "./jsarena.h"
      var $11=$1; //@line 253 "./jsarena.h"
      var $12=(($11+24)|0); //@line 253 "./jsarena.h"
      var $13=HEAP32[(($12)>>2)]; //@line 253 "./jsarena.h"
      var $14=$13 ^ -1; //@line 253 "./jsarena.h"
      var $15=$10 & $14; //@line 253 "./jsarena.h"
      $_nb=$15; //@line 253 "./jsarena.h"
      var $16=$_a; //@line 253 "./jsarena.h"
      var $17=(($16+12)|0); //@line 253 "./jsarena.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsarena.h"
      $_p=$18; //@line 253 "./jsarena.h"
      var $19=$_nb; //@line 253 "./jsarena.h"
      var $20=$_a; //@line 253 "./jsarena.h"
      var $21=(($20+8)|0); //@line 253 "./jsarena.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 253 "./jsarena.h"
      var $23=(($19)>>>0) > (($22)>>>0); //@line 253 "./jsarena.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsarena.h"
    case 3: 
      var $25=$_p; //@line 253 "./jsarena.h"
      var $26=$_a; //@line 253 "./jsarena.h"
      var $27=(($26+8)|0); //@line 253 "./jsarena.h"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "./jsarena.h"
      var $29=$_nb; //@line 253 "./jsarena.h"
      var $30=(($28-$29)|0); //@line 253 "./jsarena.h"
      var $31=(($25)>>>0) > (($30)>>>0); //@line 253 "./jsarena.h"
      if ($31) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 253 "./jsarena.h"
    case 4: 
      var $33=$1; //@line 253 "./jsarena.h"
      var $34=$_nb; //@line 253 "./jsarena.h"
      var $35=_JS_ArenaAllocate($33, $34); //@line 253 "./jsarena.h"
      var $36=$35; //@line 253 "./jsarena.h"
      $_p=$36; //@line 253 "./jsarena.h"
      __label__ = 6; break; //@line 253 "./jsarena.h"
    case 5: 
      var $38=$_p; //@line 253 "./jsarena.h"
      var $39=$_nb; //@line 253 "./jsarena.h"
      var $40=(($38+$39)|0); //@line 253 "./jsarena.h"
      var $41=$_a; //@line 253 "./jsarena.h"
      var $42=(($41+12)|0); //@line 253 "./jsarena.h"
      HEAP32[(($42)>>2)]=$40; //@line 253 "./jsarena.h"
      __label__ = 6; break;
    case 6: 
      var $44=$_p; //@line 253 "./jsarena.h"
      var $45=$44; //@line 253 "./jsarena.h"
      $v=$45; //@line 253 "./jsarena.h"
      __label__ = 7; break; //@line 253 "./jsarena.h"
    case 7: 
      __label__ = 8; break; //@line 253 "./jsarena.h"
    case 8: 
      __label__ = 9; break; //@line 253 "./jsarena.h"
    case 9: 
      var $49=$v; //@line 254 "./jsarena.h"
      var $50=(($49)|0)!=0; //@line 254 "./jsarena.h"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 254 "./jsarena.h"
    case 10: 
      var $52=$v; //@line 254 "./jsarena.h"
      var $53=(($52)|0)==0; //@line 254 "./jsarena.h"
      if ($53) { var $59 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 254 "./jsarena.h"
    case 11: 
      var $55=$52; //@line 254 "./jsarena.h"
      var $56=$2; //@line 254 "./jsarena.h"
      var $57=HEAP32[(($56)>>2)]; //@line 254 "./jsarena.h"
      __ZN33TypeConstraintClearDefiniteSingleC1EPN2js5types10TypeObjectE($55, $57); //@line 254 "./jsarena.h"
      var $59 = $55;__label__ = 12; break; //@line 254 "./jsarena.h"
    case 12: 
      var $59; //@line 254 "./jsarena.h"
      var $62 = $59;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 13: 
      var $62 = 0;__label__ = 14; break; //@line 254 "./jsarena.h"
    case 14: 
      var $62; //@line 254 "./jsarena.h"
      ;
      return $62; //@line 254 "./jsarena.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8ArenaNewI33TypeConstraintClearDefiniteSinglePNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_["X"]=1;

function __ZN33TypeConstraintClearDefiniteSingleC1EPN2js5types10TypeObjectE($this, $object) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$object;
  var $3=$1;
  var $4=$2; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN33TypeConstraintClearDefiniteSingleC2EPN2js5types10TypeObjectE($3, $4); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN33TypeConstraintClearDefiniteSingleC2EPN2js5types10TypeObjectE($this, $object) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$object;
  var $3=$1;
  var $4=$3; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($4, ((STRING_TABLE.__str711641)|0)); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$3; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($5)>>2)]=((__ZTV33TypeConstraintClearDefiniteSingle+8)|0); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($3+8)|0); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN33TypeConstraintClearDefiniteSingle7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $4=$1;
      var $5=(($4+8)|0); //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6+12)|0); //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$8 & 2; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 6; break; //@line 4323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $13=$3; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=__ZNK2js5types7TypeSet9baseFlagsEv($13); //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=(($14)|0)!=0; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $17=$3; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $18=__ZN2js5types7TypeSet14getObjectCountEv($17); //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $19=(($18)>>>0) > 1; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $21=(($4+8)|0); //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject14clearNewScriptEP9JSContext($22, $23); //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN33TypeConstraintClearDefiniteSetterC1EPN2js5types10TypeObjectE($this, $object) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$object;
  var $3=$1;
  var $4=$2; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN33TypeConstraintClearDefiniteSetterC2EPN2js5types10TypeObjectE($3, $4); //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN33TypeConstraintClearDefiniteSetterC2EPN2js5types10TypeObjectE($this, $object) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$object;
  var $3=$1;
  var $4=$3; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  __ZN2js5types14TypeConstraintC2EPKc($4, ((STRING_TABLE.__str721642)|0)); //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $5=$3; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($5)>>2)]=((__ZTV33TypeConstraintClearDefiniteSetter+8)|0); //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $6=(($3+8)|0); //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  var $7=$2; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
  ;
  return; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN33TypeConstraintClearDefiniteSetter7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE($this, $cx, $source, $type) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$source;
      var $4=$1;
      var $5=(($4+8)|0); //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=(($6+16)|0); //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=(($8)|0)!=0; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      __label__ = 6; break; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 3: 
      var $12=(($4+8)|0); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13+12)|0); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $16=$15 & 2; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17=(($16)|0)!=0; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 4: 
      var $19=__ZNK2js5types4Type9isUnknownEv($type); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 5: 
      var $21=(($4+8)|0); //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $23=$2; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __ZN2js5types10TypeObject14clearNewScriptEP9JSContext($22, $23); //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      __label__ = 6; break; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEC2ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js7analyzeL8ThisSlotEv1761() {
  ;
  var __label__;

  ;
  return 1; //@line 419 "./jsanalyze.h"
}


function __ZN2js7analyzeL10CalleeSlotEv() {
  ;
  var __label__;

  ;
  return 0; //@line 416 "./jsanalyze.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1754($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1758($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj1765($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1755($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _JSID_IS_INT1769($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING1770($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _MAGIC_TO_JSVAL_IMPL1757($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL1760($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL1762($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL1763($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL1766($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $type;
  var $1=$l; //@line 661 "./jsval.h"
  var $2=(($1+4)|0); //@line 661 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 661 "./jsval.h"
  var $4=$3 & 15; //@line 661 "./jsval.h"
  $type=$4; //@line 661 "./jsval.h"
  var $5=$type; //@line 663 "./jsval.h"
  var $6=(($5) & 255); //@line 663 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 663 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL1767($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL1771($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function __ZL22UsePropertyTypeBarrierPh($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $format;
      $1=$pc;
      var $2=$1; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $3=HEAPU8[($2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $4=(($3)&255); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $5=((_js_CodeSpec+($4<<3))|0); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $6=(($5+4)|0); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      $format=$7; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $8=$format; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $9=$8 & 67108864; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $10=(($9)|0)!=0; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      if ($10) { __label__ = 2; break; } else { var $17 = 0;__label__ = 3; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    case 2: 
      var $12=$format; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $13=$12 & 2097152; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $14=(($13)|0)!=0; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $15=$14 ^ 1; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
      var $17 = $15;__label__ = 3; break;
    case 3: 
      var $17;
      ;
      return $17; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_UNDEFINED_IMPL1772($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1753($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1754($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1755($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1753["X"]=1;

function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1756($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL7PodZeroINS_7analyze8SSAValueEEEvPT_1759($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; HEAP8[($3+2)]=0; HEAP8[($3+3)]=0; HEAP8[($3+4)]=0; HEAP8[($3+5)]=0; HEAP8[($3+6)]=0; HEAP8[($3+7)]=0; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js7analyze14ScriptAnalysis18TypeInferenceStateD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1245 "./jsanalyze.h"
  __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEED1Ev($3); //@line 1245 "./jsanalyze.h"
  ;
  return; //@line 1245 "./jsanalyze.h"
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7analyze14ScriptAnalysis18TypeInferenceStateC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=(($4)|0); //@line 1252 "./jsanalyze.h"
  var $6=$2; //@line 1252 "./jsanalyze.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $6); //@line 1252 "./jsanalyze.h"
  __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEC1ES4_($5, $3); //@line 1252 "./jsanalyze.h"
  var $7=(($4+24)|0); //@line 1252 "./jsanalyze.h"
  HEAP8[($7)]=0; //@line 1252 "./jsanalyze.h"
  var $8=(($4+25)|0); //@line 1252 "./jsanalyze.h"
  HEAP8[($8)]=0; //@line 1252 "./jsanalyze.h"
  var $9=(($4+28)|0); //@line 1252 "./jsanalyze.h"
  HEAP32[(($9)>>2)]=0; //@line 1252 "./jsanalyze.h"
  STACKTOP = __stackBase__;
  return; //@line 1252 "./jsanalyze.h"
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEC1ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEC2ES4_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEC2ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN8JSScript12clearNestingEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $nesting;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSScript7nestingEv($2); //@line 217 "./jsscriptinlines.h"
      $nesting=$3; //@line 217 "./jsscriptinlines.h"
      var $4=$nesting; //@line 218 "./jsscriptinlines.h"
      var $5=(($4)|0)!=0; //@line 218 "./jsscriptinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 218 "./jsscriptinlines.h"
    case 2: 
      var $7=$nesting; //@line 219 "./jsscriptinlines.h"
      __ZN2js10Foreground7delete_INS_5types17TypeScriptNestingEEEvPT_($7); //@line 219 "./jsscriptinlines.h"
      var $8=(($2+100)|0); //@line 220 "./jsscriptinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 220 "./jsscriptinlines.h"
      var $10=(($9+12)|0); //@line 220 "./jsscriptinlines.h"
      HEAP32[(($10)>>2)]=0; //@line 220 "./jsscriptinlines.h"
      __label__ = 3; break; //@line 221 "./jsscriptinlines.h"
    case 3: 
      ;
      return; //@line 222 "./jsscriptinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1764($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1739($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1743($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1764["X"]=1;

function __ZNK2js5Shape26hasDefaultGetterOrIsMethodEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js5Shape16hasDefaultGetterEv($2); //@line 595 "./jsscope.h"
      if ($3) { var $7 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 595 "./jsscope.h"
    case 2: 
      var $5=__ZNK2js5Shape8isMethodEv($2); //@line 595 "./jsscope.h"
      var $7 = $5;__label__ = 3; break; //@line 595 "./jsscope.h"
    case 3: 
      var $7;
      ;
      return $7; //@line 595 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_calloc1768($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types13ArrayTableKeyC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2422 "./jsinferinlines.h"
  __ZN2js5types4Type13UndefinedTypeEv($3); //@line 2421 "./jsinferinlines.h"
  var $4=(($2+4)|0); //@line 2421 "./jsinferinlines.h"
  HEAP32[(($4)>>2)]=0; //@line 2421 "./jsinferinlines.h"
  ;
  return; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinfer.cpp"
}


function __ZN2jsL12PodArrayZeroIbLj2EEEvRAT0__T_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function __ZN2js2gc8CellIterD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+32)|0); //@line 317 "./jsgcinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 317 "./jsgcinlines.h"
      var $5=(($4)|0)!=0; //@line 317 "./jsgcinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 317 "./jsgcinlines.h"
    case 2: 
      var $7=(($2+32)|0); //@line 318 "./jsgcinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 318 "./jsgcinlines.h"
      var $9=(($2+36)|0); //@line 318 "./jsgcinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 318 "./jsgcinlines.h"
      __ZN2js2gc10ArenaLists20clearFreeListInArenaENS0_9AllocKindE($8, $10); //@line 318 "./jsgcinlines.h"
      __label__ = 3; break; //@line 318 "./jsgcinlines.h"
    case 3: 
      ;
      return; //@line 319 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc8CellIterC2EP9JSContextP13JSCompartmentNS0_9AllocKindE($this, $cx, $comp, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$comp;
      $4=$kind;
      var $5=$1;
      var $6=$5; //@line 295 "./jsgcinlines.h"
      __ZN2js2gc12CellIterImplC2Ev($6); //@line 295 "./jsgcinlines.h"
      var $7=(($5+32)|0); //@line 295 "./jsgcinlines.h"
      var $8=$3; //@line 295 "./jsgcinlines.h"
      var $9=(($8+8)|0); //@line 295 "./jsgcinlines.h"
      HEAP32[(($7)>>2)]=$9; //@line 295 "./jsgcinlines.h"
      var $10=(($5+36)|0); //@line 295 "./jsgcinlines.h"
      var $11=$4; //@line 295 "./jsgcinlines.h"
      HEAP32[(($10)>>2)]=$11; //@line 295 "./jsgcinlines.h"
      var $12=(($5+32)|0); //@line 299 "./jsgcinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 299 "./jsgcinlines.h"
      var $14=$4; //@line 299 "./jsgcinlines.h"
      var $15=__ZN2js2gc10ArenaLists22isSynchronizedFreeListENS0_9AllocKindE($13, $14); //@line 299 "./jsgcinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 299 "./jsgcinlines.h"
    case 2: 
      var $17=(($5+32)|0); //@line 300 "./jsgcinlines.h"
      HEAP32[(($17)>>2)]=0; //@line 300 "./jsgcinlines.h"
      __label__ = 4; break; //@line 301 "./jsgcinlines.h"
    case 3: 
      var $19=(($5+32)|0); //@line 303 "./jsgcinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 303 "./jsgcinlines.h"
      var $21=$4; //@line 303 "./jsgcinlines.h"
      __ZN2js2gc10ArenaLists19copyFreeListToArenaENS0_9AllocKindE($20, $21); //@line 303 "./jsgcinlines.h"
      __label__ = 4; break;
    case 4: 
      var $23=$5; //@line 309 "./jsgcinlines.h"
      var $24=$3; //@line 309 "./jsgcinlines.h"
      var $25=$4; //@line 309 "./jsgcinlines.h"
      __ZN2js2gc12CellIterImpl4initEP13JSCompartmentNS0_9AllocKindE($23, $24, $25); //@line 309 "./jsgcinlines.h"
      ;
      return; //@line 310 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gc10ArenaLists22isSynchronizedFreeListENS0_9AllocKindE($this, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $headSpan;
      var $aheader;
      $2=$this;
      $3=$kind;
      var $4=$2;
      var $5=$3; //@line 1060 "./jsgc.h"
      var $6=(($4)|0); //@line 1060 "./jsgc.h"
      var $7=(($6+($5<<3))|0); //@line 1060 "./jsgc.h"
      $headSpan=$7; //@line 1060 "./jsgc.h"
      var $8=$headSpan; //@line 1061 "./jsgc.h"
      var $9=__ZNK2js2gc8FreeSpan7isEmptyEv($8); //@line 1061 "./jsgc.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1061 "./jsgc.h"
    case 2: 
      $1=1; //@line 1062 "./jsgc.h"
      __label__ = 6; break; //@line 1062 "./jsgc.h"
    case 3: 
      var $12=$headSpan; //@line 1063 "./jsgc.h"
      var $13=__ZNK2js2gc8FreeSpan11arenaHeaderEv($12); //@line 1063 "./jsgc.h"
      $aheader=$13; //@line 1063 "./jsgc.h"
      var $14=$aheader; //@line 1064 "./jsgc.h"
      var $15=__ZNK2js2gc11ArenaHeader13hasFreeThingsEv($14); //@line 1064 "./jsgc.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1064 "./jsgc.h"
    case 4: 
      $1=1; //@line 1070 "./jsgc.h"
      __label__ = 6; break; //@line 1070 "./jsgc.h"
    case 5: 
      $1=0; //@line 1072 "./jsgc.h"
      __label__ = 6; break; //@line 1072 "./jsgc.h"
    case 6: 
      var $19=$1; //@line 1073 "./jsgc.h"
      ;
      return $19; //@line 1073 "./jsgc.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeObjectC2EP8JSObjectbb($this, $proto, $function, $unknown) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$proto;
      var $5=(($function)&1);
      $3=$5;
      var $6=(($unknown)&1);
      $4=$6;
      var $7=$1;
      var $8=$7; //@line 1108 "./jsinfer.h"
      __ZN2jsL7PodZeroINS_5types10TypeObjectEEEvPT_($7); //@line 1109 "./jsinferinlines.h"
      var $9=$2; //@line 1111 "./jsinferinlines.h"
      var $10=(($7)|0); //@line 1111 "./jsinferinlines.h"
      HEAP32[(($10)>>2)]=$9; //@line 1111 "./jsinferinlines.h"
      var $11=$3; //@line 1113 "./jsinferinlines.h"
      var $12=(($11) & 1); //@line 1113 "./jsinferinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1113 "./jsinferinlines.h"
    case 2: 
      var $14=(($7+12)|0); //@line 1114 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1114 "./jsinferinlines.h"
      var $16=$15 | 1; //@line 1114 "./jsinferinlines.h"
      HEAP32[(($14)>>2)]=$16; //@line 1114 "./jsinferinlines.h"
      __label__ = 3; break; //@line 1114 "./jsinferinlines.h"
    case 3: 
      var $18=$4; //@line 1115 "./jsinferinlines.h"
      var $19=(($18) & 1); //@line 1115 "./jsinferinlines.h"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1115 "./jsinferinlines.h"
    case 4: 
      var $21=(($7+12)|0); //@line 1116 "./jsinferinlines.h"
      var $22=HEAP32[(($21)>>2)]; //@line 1116 "./jsinferinlines.h"
      var $23=$22 | 33488904; //@line 1116 "./jsinferinlines.h"
      HEAP32[(($21)>>2)]=$23; //@line 1116 "./jsinferinlines.h"
      __label__ = 5; break; //@line 1116 "./jsinferinlines.h"
    case 5: 
      var $25=__ZN2js5types16TypeObjectStringEPNS0_10TypeObjectE($7); //@line 1118 "./jsinferinlines.h"
      __ZN2js5types9InferSpewENS0_11SpewChannelEPKcz(0, ((STRING_TABLE.__str791649)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$25,tempInt)); //@line 1118 "./jsinferinlines.h"
      ;
      return; //@line 1119 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL7PodZeroINS_5types10TypeObjectEEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 32, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js5types10TypeObject9getGlobalEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+4)|0); //@line 1247 "./jsinferinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 1247 "./jsinferinlines.h"
      var $6=(($5)|0)!=0; //@line 1247 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1247 "./jsinferinlines.h"
    case 2: 
      var $8=(($3+4)|0); //@line 1248 "./jsinferinlines.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1248 "./jsinferinlines.h"
      var $10=__ZNK8JSObject9getGlobalEv($9); //@line 1248 "./jsinferinlines.h"
      var $11=$10; //@line 1248 "./jsinferinlines.h"
      $1=$11; //@line 1248 "./jsinferinlines.h"
      __label__ = 7; break; //@line 1248 "./jsinferinlines.h"
    case 3: 
      var $13=(($3+28)|0); //@line 1249 "./jsinferinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1249 "./jsinferinlines.h"
      var $15=(($14)|0)!=0; //@line 1249 "./jsinferinlines.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1249 "./jsinferinlines.h"
    case 4: 
      var $17=(($3+28)|0); //@line 1249 "./jsinferinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1249 "./jsinferinlines.h"
      var $19=__ZNK10JSFunction6scriptEv($18); //@line 1249 "./jsinferinlines.h"
      var $20=$19; //@line 1249 "./jsinferinlines.h"
      var $21=(($20+36)|0); //@line 1249 "./jsinferinlines.h"
      var $22=HEAPU8[($21)]; //@line 1249 "./jsinferinlines.h"
      var $23=(($22)&255) >>> 4; //@line 1249 "./jsinferinlines.h"
      var $24=$23 & 1; //@line 1249 "./jsinferinlines.h"
      var $25=(($24) & 1); //@line 1249 "./jsinferinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1249 "./jsinferinlines.h"
    case 5: 
      var $27=(($3+28)|0); //@line 1250 "./jsinferinlines.h"
      var $28=HEAP32[(($27)>>2)]; //@line 1250 "./jsinferinlines.h"
      var $29=$28; //@line 1250 "./jsinferinlines.h"
      var $30=__ZNK8JSObject9getGlobalEv($29); //@line 1250 "./jsinferinlines.h"
      var $31=$30; //@line 1250 "./jsinferinlines.h"
      $1=$31; //@line 1250 "./jsinferinlines.h"
      __label__ = 7; break; //@line 1250 "./jsinferinlines.h"
    case 6: 
      $1=0; //@line 1251 "./jsinferinlines.h"
      __label__ = 7; break; //@line 1251 "./jsinferinlines.h"
    case 7: 
      var $34=$1; //@line 1252 "./jsinferinlines.h"
      ;
      return $34; //@line 1252 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5types14TypeConstraint4kindEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 0; //@line 201 "./jsinfer.h"
}


function __ZN2js5types17TypeFlagPrimitiveEj($flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$flags;
      var $3=$2; //@line 122 "./jsinferinlines.h"
      if ((($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 8) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 16) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 32) {
        __label__ = 7; break;
      }
      else if ((($3)|0) == 64) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 2: 
      $1=2; //@line 124 "./jsinferinlines.h"
      __label__ = 10; break; //@line 124 "./jsinferinlines.h"
    case 3: 
      $1=6; //@line 126 "./jsinferinlines.h"
      __label__ = 10; break; //@line 126 "./jsinferinlines.h"
    case 4: 
      $1=3; //@line 128 "./jsinferinlines.h"
      __label__ = 10; break; //@line 128 "./jsinferinlines.h"
    case 5: 
      $1=1; //@line 130 "./jsinferinlines.h"
      __label__ = 10; break; //@line 130 "./jsinferinlines.h"
    case 6: 
      $1=0; //@line 132 "./jsinferinlines.h"
      __label__ = 10; break; //@line 132 "./jsinferinlines.h"
    case 7: 
      $1=5; //@line 134 "./jsinferinlines.h"
      __label__ = 10; break; //@line 134 "./jsinferinlines.h"
    case 8: 
      $1=4; //@line 136 "./jsinferinlines.h"
      __label__ = 10; break; //@line 136 "./jsinferinlines.h"
    case 9: 
      $1=0; //@line 139 "./jsinferinlines.h"
      __label__ = 10; break; //@line 139 "./jsinferinlines.h"
    case 10: 
      var $13=$1; //@line 141 "./jsinferinlines.h"
      ;
      return $13; //@line 141 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_1773($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types13TypeObjectKey6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types13TypeObjectKey6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1739($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1748($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types13TypeObjectKey6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_1773["X"]=1;

function __GLOBAL__I_a1774() {
  ;
  var __label__;

  ___cxx_global_var_init1667();
  ;
  return;
}


function __ZN2js13GetScopeChainEP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fp;
      var $obj=__stackBase__;
      $2=$cx;
      var $3=$2; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4=__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1790($3, 0); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$4; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=$fp; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=(($5)|0)!=0; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $8=$2; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=(($8+132)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj)>>2)]=$10; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=HEAP32[(($obj)>>2)]; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=(($11)|0)!=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $14=$2; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($14, 2, 0, 2, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $16=$2; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($16, $obj); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=HEAP32[(($obj)>>2)]; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$17; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $19=$2; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$fp; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=__ZN2js13GetScopeChainEP9JSContextPNS_10StackFrameE($19, $20); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$21; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $23=$1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1790($cx, $expand) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$expand;
  var $3=$1; //@line 2346 "./jscntxt.h"
  __ZN2js10LeaveTraceEP9JSContext($3); //@line 2346 "./jscntxt.h"
  var $4=$1; //@line 2353 "./jscntxt.h"
  var $5=__ZNK9JSContext7maybefpEv($4); //@line 2353 "./jscntxt.h"
  ;
  return $5; //@line 2353 "./jscntxt.h"
}


function __ZN2js13GetScopeChainEP9JSContextPNS_10StackFrameE($cx, $fp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$fp;
  var $3=$1; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $4=$2; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $5=$1; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $6=$2; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $7=__ZN2js13GetBlockChainEP9JSContextPNS_10StackFrameE($5, $6); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $8=__ZL17GetScopeChainFullP9JSContextPN2js10StackFrameEP8JSObject($3, $4, $7); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return $8; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function __ZN2js13GetBlockChainEP9JSContextPNS_10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $target;
      var $script;
      var $start;
      var $op;
      var $blockChain;
      var $indexBase;
      var $oplen;
      var $pc;
      var $op1;
      var $cs;
      $2=$cx;
      $3=$fp;
      var $4=$3; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=__ZNK2js10StackFrame13isScriptFrameEv($4); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 47; break; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $8=$3; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=__ZNK2js10StackFrame11hasImacropcEv($8); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $11=$3; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=__ZNK2js10StackFrame8imacropcEv($11); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19 = $12;__label__ = 6; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $14=$3; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=$2; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=(($15+60)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($14, $16, 0, 0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19 = $17;__label__ = 6; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $19; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $target=$19; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$3; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=__ZNK2js10StackFrame6scriptEv($20); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $script=$21; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$script; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=(($22)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $start=$24; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$2; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$script; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=$target; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1793($25, $26, $27); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$28; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 7; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $30=$op; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=(($30)|0)==0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($31) { var $51 = 1;__label__ = 14; break; } else { __label__ = 8; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $33=$op; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=(($33)|0)==191; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($34) { var $51 = 1;__label__ = 14; break; } else { __label__ = 9; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $36=$op; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=(($36)|0)==211; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($37) { var $51 = 1;__label__ = 14; break; } else { __label__ = 10; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $39=$op; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=(($39)|0)==212; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($40) { var $51 = 1;__label__ = 14; break; } else { __label__ = 11; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $42=$op; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=(($42)|0)==213; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($43) { var $51 = 1;__label__ = 14; break; } else { __label__ = 12; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      var $45=$op; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $46=(($45)|0)==188; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($46) { var $51 = 1;__label__ = 14; break; } else { __label__ = 13; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      var $48=$op; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=(($48)|0)==189; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51 = $49;__label__ = 14; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      var $51;
      if ($51) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      var $53=$op; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54=((_js_CodeSpec+($53<<3))|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=(($54)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=HEAP8[($55)]; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=(($56 << 24) >> 24); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=$target; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=(($58+$57)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $target=$59; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=$2; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=$script; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $62=$target; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $63=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1793($60, $61, $62); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$63; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 7; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 16: 
      $blockChain=0; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $indexBase=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $65=$start; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc=$65; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 17: 
      var $67=$pc; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=$target; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=(($67)>>>0) < (($68)>>>0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($69) { __label__ = 18; break; } else { __label__ = 46; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 18: 
      var $71=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $72=$script; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $73=$pc; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $74=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1793($71, $72, $73); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op1=$74; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $75=$op1; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $76=((_js_CodeSpec+($75<<3))|0); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cs=$76; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $77=$cs; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $78=(($77)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $79=HEAP8[($78)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $80=(($79 << 24) >> 24); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $oplen=$80; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $81=$oplen; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $82=(($81)|0) < 0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 19: 
      var $84=$pc; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $85=__Z28js_GetVariableBytecodeLengthPh($84); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $oplen=$85; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 20; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 20: 
      var $87=$op1; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $88=(($87)|0)==191; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($88) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 21: 
      var $90=$pc; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $91=(($90+1)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $92=HEAPU8[($91)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $93=(($92)&255); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $94=$93 << 16; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $indexBase=$94; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 44; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 22: 
      var $96=$op1; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $97=(($96)|0)==211; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($97) { __label__ = 25; break; } else { __label__ = 23; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 23: 
      var $99=$op1; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $100=(($99)|0)==212; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($100) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 24: 
      var $102=$op1; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $103=(($102)|0)==213; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($103) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 25: 
      var $105=$op1; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $106=(($105-211)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $107=(($106+1)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $108=$107 << 16; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $indexBase=$108; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 26: 
      var $110=$op1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $111=(($110)|0)==192; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($111) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 27: 
      var $113=$op1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $114=(($113)|0)==193; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($114) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 28: 
      $indexBase=0; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 42; break; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 29: 
      var $117=$op1; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $118=(($117)|0)==201; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($118) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 30: 
      var $120=$script; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $121=$indexBase; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $122=$pc; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $123=(($122+1)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $124=HEAPU8[($123)]; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $125=(($124)&255); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $126=$125 << 8; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $127=$pc; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $128=(($127+2)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $129=HEAPU8[($128)]; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $130=(($129)&255); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $131=$126 | $130; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $132=(($121+$131)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $133=__ZN8JSScript9getObjectEj($120, $132); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $blockChain=$133; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 41; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 31: 
      var $135=$op1; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $136=(($135)|0)==202; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($136) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 32: 
      var $138=$op1; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $139=(($138)|0)==210; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($139) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 33: 
      var $141=$blockChain; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $142=__ZNK8JSObject9getParentEv($141); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $blockChain=$142; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 40; break; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 34: 
      var $144=$op1; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $145=(($144)|0)==188; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($145) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 35: 
      var $147=$script; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $148=$indexBase; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $149=$pc; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $150=(($149+1)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $151=HEAPU8[($150)]; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $152=(($151)&255); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $153=$152 << 8; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $154=$pc; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $155=(($154+2)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $156=HEAPU8[($155)]; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $157=(($156)&255); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $158=$153 | $157; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $159=(($148+$158)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $160=__ZN8JSScript9getObjectEj($147, $159); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $blockChain=$160; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 39; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 36: 
      var $162=$op1; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $163=(($162)|0)==189; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($163) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 37: 
      $blockChain=0; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 38: 
      __label__ = 39; break;
    case 39: 
      __label__ = 40; break;
    case 40: 
      __label__ = 41; break;
    case 41: 
      __label__ = 42; break;
    case 42: 
      __label__ = 43; break;
    case 43: 
      __label__ = 44; break;
    case 44: 
      __label__ = 45; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 45: 
      var $173=$oplen; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $174=$pc; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $175=(($174+$173)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc=$175; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 46: 
      var $177=$blockChain; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$177; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 47; break; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 47: 
      var $179=$1; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $179; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13GetBlockChainEP9JSContextPNS_10StackFrameE["X"]=1;

function __ZL12js_GetOpcodeP9JSContextP8JSScriptPh1793($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 954 "./jsscript.h"
      var $5=HEAPU8[($4)]; //@line 954 "./jsscript.h"
      var $6=(($5)&255); //@line 954 "./jsscript.h"
      $op=$6; //@line 954 "./jsscript.h"
      var $7=$op; //@line 955 "./jsscript.h"
      var $8=(($7)|0)==83; //@line 955 "./jsscript.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 955 "./jsscript.h"
    case 2: 
      var $10=$1; //@line 956 "./jsscript.h"
      var $11=$2; //@line 956 "./jsscript.h"
      var $12=$3; //@line 956 "./jsscript.h"
      var $13=_JS_GetTrapOpcode($10, $11, $12); //@line 956 "./jsscript.h"
      $op=$13; //@line 956 "./jsscript.h"
      __label__ = 3; break; //@line 956 "./jsscript.h"
    case 3: 
      var $15=$op; //@line 957 "./jsscript.h"
      ;
      return $15; //@line 957 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17GetBlockChainFastEP9JSContextPNS_10StackFrameE4JSOpj($cx, $fp, $op, $oplen) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pc;
      $2=$cx;
      $3=$fp;
      $4=$op;
      $5=$oplen;
      var $6=$3; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=$2; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=(($7+60)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($6, $8, 0, 0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc=$9; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$5; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=$pc; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=(($11+$10)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc=$12; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=$pc; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=HEAPU8[($13)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=(($14)&255); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $4=$15; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=$4; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=(($16)|0)==189; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $20=$4; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=(($20)|0)==188; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $23=$3; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=__ZNK2js10StackFrame6scriptEv($23); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$pc; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=(($25+1)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=HEAPU8[($26)]; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=(($27)&255); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$28 << 8; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$pc; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=(($30+2)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=HEAPU8[($31)]; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=(($32)&255); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=$29 | $33; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=__ZN8JSScript9getObjectEj($24, $34); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$35; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $37=$2; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=__ZN2js13GetBlockChainEP9JSContextPNS_10StackFrameE($37, $38); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$39; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $41=$1; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $41; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js17GetBlockChainFastEP9JSContextPNS_10StackFrameE4JSOpj["X"]=1;

function __ZL17GetScopeChainFullP9JSContextPN2js10StackFrameEP8JSObject($cx, $fp, $blockChain) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $sharedBlock;
      var $limitBlock;
      var $limitClone;
      var $innermostNewChild;
      var $tvr=__stackBase__;
      var $newChild;
      var $clone;
      var $5;
      $2=$cx;
      $3=$fp;
      $4=$blockChain;
      var $6=$4; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $sharedBlock=$6; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=$sharedBlock; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=(($7)|0)!=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $10=$3; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=__ZNK2js10StackFrame10scopeChainEv($10); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$11; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 25; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $13=$2; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10LeaveTraceEP9JSContext($13); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=$3; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($14); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $17=$3; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=__ZNK2js10StackFrame10hasCallObjEv($17); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($18) { __label__ = 8; break; } else { __label__ = 5; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $20=$2; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$3; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=__ZN2js19CreateFunCallObjectEP9JSContextPNS_10StackFrameE($20, $21); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=(($22)|0)!=0; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      $1=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 25; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      $limitClone=0; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $limitBlock=0; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 14; break; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $27=$3; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=__ZNK2js10StackFrame10scopeChainEv($27); //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $limitClone=$28; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $30=$limitClone; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=__ZNK8JSObject6isWithEv($30); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $33=$limitClone; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=__ZNK8JSObject9getParentEv($33); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $limitClone=$34; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $36=$limitClone; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=__ZNK8JSObject8getProtoEv($36); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $limitBlock=$37; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=$limitBlock; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=$sharedBlock; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=(($38)|0)==(($39)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      var $42=$3; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=__ZNK2js10StackFrame10scopeChainEv($42); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$43; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 25; break; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $46=$2; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $47=$sharedBlock; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=$3; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=__Z19js_CloneBlockObjectP9JSContextP8JSObjectPN2js10StackFrameE($46, $47, $48); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $innermostNewChild=$49; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=$innermostNewChild; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=(($50)|0)!=0; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($51) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      $1=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 25; break; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 16: 
      var $54=$2; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$innermostNewChild; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $54, $55); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=$innermostNewChild; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $newChild=$56; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 17: 
      var $58=$sharedBlock; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=__ZNK8JSObject9getParentEv($58); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $sharedBlock=$59; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=$sharedBlock; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=$limitBlock; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $62=(($60)|0)==(($61)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($62) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 18: 
      var $64=$sharedBlock; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $65=(($64)|0)!=0; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($65) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 19: 
      __label__ = 23; break; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 20: 
      var $68=$2; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=$sharedBlock; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $70=$3; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $71=__Z19js_CloneBlockObjectP9JSContextP8JSObjectPN2js10StackFrameE($68, $69, $70); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $clone=$71; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $72=$clone; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $73=(($72)|0)!=0; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($73) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 21: 
      $1=0; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $5=1;
      __label__ = 24; break; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 22: 
      var $76=$newChild; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $77=$clone; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject9setParentEPS_($76, $77); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $78=$clone; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $newChild=$78; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 23: 
      var $80=$newChild; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $81=$3; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $82=__ZNK2js10StackFrame10scopeChainEv($81); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject9setParentEPS_($80, $82); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $83=$3; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $84=$innermostNewChild; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame22setScopeChainNoCallObjER8JSObject($83, $84); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $85=$innermostNewChild; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$85; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $5=1;
      __label__ = 24; break; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 24: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 25; break;
    case 25: 
      var $88=$1; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $88; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17GetScopeChainFullP9JSContextPN2js10StackFrameEP8JSObject["X"]=1;

function __ZN2js17GetScopeChainFastEP9JSContextPNS_10StackFrameE4JSOpj($cx, $fp, $op, $oplen) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$fp;
  $3=$op;
  $4=$oplen;
  var $5=$1; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $6=$2; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $7=$1; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $8=$2; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $9=$3; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $10=$4; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $11=__ZN2js17GetBlockChainFastEP9JSContextPNS_10StackFrameE4JSOpj($7, $8, $9, $10); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $12=__ZL17GetScopeChainFullP9JSContextPN2js10StackFrameEP8JSObject($5, $6, $11); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return $12; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($cx, $vp, $clasp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $thisv;
      var $fun;
      var $funNameBytes=__stackBase__;
      var $funName;
      $1=$cx;
      $2=$vp;
      $3=$clasp;
      var $4=$2; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=(($4+8)|0); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $thisv=$5; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=$1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=$2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=(($7)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=__Z18js_ValueToFunctionP9JSContextPKN2JS5ValueEj($6, $8, 0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun=$9; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$fun; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=(($10)|0)!=0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      __ZN16JSAutoByteStringC1Ev($funNameBytes); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=$1; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=$fun; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=__ZN2js20GetFunctionNameBytesEP9JSContextP10JSFunctionP16JSAutoByteString($13, $14, $funNameBytes); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $funName=$15; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=$funName; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=(($16)|0)!=0; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $19=$1; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$3; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=(($20)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$funName; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=$thisv; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=__ZN2js21InformalValueTypeNameERKN2JS5ValueE($24); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($19, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$22,HEAP32[((tempInt+4)>>2)]=$23,HEAP32[((tempInt+8)>>2)]=$25,tempInt)); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 4; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      __ZN16JSAutoByteStringD1Ev($funNameBytes); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 5; break; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16BoxNonStrictThisEP9JSContextRKNS_12CallReceiverE($cx, $call) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $thisv;
      var $thisp;
      $2=$cx;
      $3=$call;
      var $4=$3; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=__ZNK2js12CallReceiver5thisvEv($4); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $thisv=$5; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=$thisv; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZNK2JS5Value17isNullOrUndefinedEv($6); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $9=$3; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=__ZNK2js12CallReceiver6calleeEv($9); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=__ZNK8JSObject9getGlobalEv($10); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=$11; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=$2; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZN8JSObject10thisObjectEP9JSContext($12, $13); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $thisp=$14; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=$thisp; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=(($15)|0)!=0; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      $1=0; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $19=$3; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=__ZNK2js12CallReceiver5thisvEv($19); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$thisp; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($20, $21); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $23=$thisv; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=__ZNK2JS5Value8isObjectEv($23); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $26=$2; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=$thisv; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=__Z20js_PrimitiveToObjectP9JSContextPN2JS5ValueE($26, $27); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=(($28)|0)!=0; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$29 ^ 1; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=$30 ^ 1; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$31; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      $1=1; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $34=$1; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $34; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject10thisObjectEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $op;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSObject6getOpsEv($3); //@line 1514 "./jsobj.h"
      var $5=(($4+124)|0); //@line 1514 "./jsobj.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1514 "./jsobj.h"
      $op=$6; //@line 1514 "./jsobj.h"
      var $7=$op; //@line 1515 "./jsobj.h"
      var $8=(($7)|0)!=0; //@line 1515 "./jsobj.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1515 "./jsobj.h"
    case 2: 
      var $10=$op; //@line 1515 "./jsobj.h"
      var $11=$2; //@line 1515 "./jsobj.h"
      var $12=FUNCTION_TABLE[$10]($11, $3); //@line 1515 "./jsobj.h"
      var $15 = $12;__label__ = 4; break; //@line 1515 "./jsobj.h"
    case 3: 
      var $15 = $3;__label__ = 4; break; //@line 1515 "./jsobj.h"
    case 4: 
      var $15; //@line 1515 "./jsobj.h"
      ;
      return $15; //@line 1515 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20no_such_method_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$obj;
  var $3=$1; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $4=$2; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $5=__ZNK8JSObject7getSlotEj($4, 0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($3, $5, ((STRING_TABLE.__str91786)|0)); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $6=$1; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $7=$2; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $8=__ZNK8JSObject7getSlotEj($7, 1); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($6, $8, ((STRING_TABLE.__str101787)|0)); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function __ZN2js15OnUnknownMethodEP9JSContextPN2JS5ValueE($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $id=__stackBase__;
      var $tvr=__stackBase__+4;
      var $4;
      var $5=__stackBase__+28;
      $2=$cx;
      $3=$vp;
      var $6=$3; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=(($6+8)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=__ZNK2JS5Value8toObjectEv($7); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj=$8; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$2; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=(($9+52)|0); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=(($11+209948)|0); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=(($12+332)|0); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=$14; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=__ZL12ATOM_TO_JSIDP6JSAtom1798($15); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id)>>2)]=$16; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=$2; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $17); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=$2; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=$obj; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=HEAP32[(($id)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($18, $19, $20, 2, $21); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=(($22)|0)!=0; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $4=1;
      __label__ = 13; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $26=$2; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=$2; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=__ZNK9JSContext2fpEv($27); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=__ZNK2js10StackFrame6scriptEv($28); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$2; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=__ZNK9JSContext4regsEv($30); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=(($31+4)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript14MonitorUnknownEP9JSContextP8JSScriptPh($26, $29, $33); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=__ZNK2JS5Value11isPrimitiveEv($34); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $37=$3; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=(($37)|0); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=$38; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $41=$39; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $43=$3; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $44=(($43)|0); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $45=__ZNK2JS5Value8isObjectEv($44); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($45) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $47=$3; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=(($47)|0); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=__ZNK2JS5Value8toObjectEv($48); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj=$49; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=$obj; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=$2; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=__Z32js_GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($50, $id, $51); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($52) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $54=$3; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=(($54)|0); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=HEAP32[(($id)>>2)]; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2jsL9IdToValueEi1799($5, $56); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=$55; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=$5; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      __label__ = 9; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $61=$2; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $62=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($61, 2); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj=$62; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $63=$obj; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $64=(($63)|0)!=0; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($64) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      $1=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $4=1;
      __label__ = 13; break; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $67=$obj; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=$2; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($67, $68, _js_NoSuchMethodClass, __ZN2js5types15emptyTypeObjectE, 0, 0, 0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=$obj; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($69); //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $70=$obj; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $71=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($70, 0, $71); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $72=$obj; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $73=$3; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $74=(($73)|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($72, 1, $74); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $75=$3; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $76=(($75)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $77=$obj; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($76, $77); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break;
    case 12: 
      $1=1; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $4=1;
      __label__ = 13; break; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $80=$1; //@line 557 "./jstypedarrayinlines.h"
      STACKTOP = __stackBase__;
      return $80; //@line 557 "./jstypedarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js15OnUnknownMethodEP9JSContextPN2JS5ValueE["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom1798($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj1904($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js5types10TypeScript14MonitorUnknownEP9JSContextP8JSScriptPh($cx, $script, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $5=$1; //@line 585 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 585 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 585 "./jsinferinlines.h"
    case 2: 
      var $8=$1; //@line 586 "./jsinferinlines.h"
      var $9=$2; //@line 586 "./jsinferinlines.h"
      var $10=$3; //@line 586 "./jsinferinlines.h"
      __ZN2js5types4Type11UnknownTypeEv($4); //@line 586 "./jsinferinlines.h"
      __ZN2js5types17TypeDynamicResultEP9JSContextP8JSScriptPhNS0_4TypeE($8, $9, $10, $4); //@line 586 "./jsinferinlines.h"
      __label__ = 3; break; //@line 586 "./jsinferinlines.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 587 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL9IdToValueEi1799($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING1834($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING1867($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString1846($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT1835($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT1836($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi1832($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT1900($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT1901($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject1804($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv1839($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9RunScriptEP9JSContextP8JSScriptPNS_10StackFrameE($cx, $script, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$script;
      $4=$fp;
      var $5=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=$5; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=(($6+36)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=HEAPU8[($7)]; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=(($8)&255) >>> 4; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$9 & 1; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=(($10) & 1); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $13=$4; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZNK2js10StackFrame10scopeChainEv($13); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=__ZNK8JSObject9getGlobalEv($14); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=__ZNK2js12GlobalObject9isClearedEv($15); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $18=$2; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($18, 2, 0, 269, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      __label__ = 5; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $21=$2; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$4; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=__ZN2js9InterpretEP9JSContextPNS_10StackFrameENS_10InterpModeE($21, $22, 0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$23; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $25=$1; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $25; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}

// WARNING: content after a branch in a label, line: 300966
// WARNING: content after a branch in a label, line: 301687
// WARNING: content after a branch in a label, line: 301752
// WARNING: content after a branch in a label, line: 301857
// WARNING: content after a branch in a label, line: 301965
// WARNING: content after a branch in a label, line: 302080
// WARNING: content after a branch in a label, line: 302195
// WARNING: content after a branch in a label, line: 302262
// WARNING: content after a branch in a label, line: 302379
// WARNING: content after a branch in a label, line: 302499
// WARNING: content after a branch in a label, line: 302626
// WARNING: content after a branch in a label, line: 302753
// WARNING: content after a branch in a label, line: 302922
// WARNING: content after a branch in a label, line: 302934
// WARNING: content after a branch in a label, line: 303859
// WARNING: content after a branch in a label, line: 303871
// WARNING: content after a branch in a label, line: 304003
// WARNING: content after a branch in a label, line: 304015
// WARNING: content after a branch in a label, line: 304231
// WARNING: content after a branch in a label, line: 304339
// WARNING: content after a branch in a label, line: 304537
// WARNING: content after a branch in a label, line: 304549
// WARNING: content after a branch in a label, line: 304769
// WARNING: content after a branch in a label, line: 304781
// WARNING: content after a branch in a label, line: 305001
// WARNING: content after a branch in a label, line: 305013
// WARNING: content after a branch in a label, line: 305233
// WARNING: content after a branch in a label, line: 305245
// WARNING: content after a branch in a label, line: 306798
// WARNING: content after a branch in a label, line: 306829
// WARNING: content after a branch in a label, line: 307014
// WARNING: content after a branch in a label, line: 307141
// WARNING: content after a branch in a label, line: 307456
// WARNING: content after a branch in a label, line: 307655
// WARNING: content after a branch in a label, line: 309046
// WARNING: content after a branch in a label, line: 309101
// WARNING: content after a branch in a label, line: 310154
// WARNING: content after a branch in a label, line: 310612
// WARNING: content after a branch in a label, line: 310672
// WARNING: content after a branch in a label, line: 311352
// WARNING: content after a branch in a label, line: 311509
// WARNING: content after a branch in a label, line: 314077
// WARNING: content after a branch in a label, line: 315353
// WARNING: content after a branch in a label, line: 316384
// WARNING: content after a branch in a label, line: 317312
// WARNING: content after a branch in a label, line: 317357

function __ZN2js9InterpretEP9JSContextPNS_10StackFrameENS_10InterpModeE($cx, $entryFrame, $interpMode) {
  var __stackBase__  = STACKTOP; STACKTOP += 1884; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rf=__stackBase__;
      var $switchMask=__stackBase__+8;
      var $switchOp;
      var $interruptEnabler=__stackBase__+12;
      var $regs=__stackBase__+24;
      var $interpGuard=__stackBase__+40;
      var $interpreterFrame=__stackBase__+52;
      var $rt;
      var $script;
      var $pcCounts;
      var $argv;
      var $atoms;
      var $fp;
      var $interpReturnOK;
      var $atomNotDefined;
      var $op;
      var $len;
      var $stackDummy_=__stackBase__+68;
      var $moreInterrupts;
      var $hook;
      var $rval=__stackBase__+72;
      var $status;
      var $5=__stackBase__+80;
      var $shiftResult;
      var $cond;
      var $_;
      var $cond1;
      var $_2;
      var $cond3;
      var $vp;
      var $6=__stackBase__+88;
      var $cond4;
      var $vp5;
      var $7=__stackBase__+96;
      var $cond6;
      var $_7;
      var $cond8;
      var $_9;
      var $cond10;
      var $vp11;
      var $8=__stackBase__+104;
      var $cond12;
      var $vp13;
      var $9=__stackBase__+112;
      var $rref;
      var $obj;
      var $id=__stackBase__+120;
      var $idval_;
      var $i_=__stackBase__+124;
      var $obj2=__stackBase__+128;
      var $prop=__stackBase__+132;
      var $cond14;
      var $diff_;
      var $flags;
      var $cond15=__stackBase__+136;
      var $itervp;
      var $ok;
      var $rref16;
      var $10=__stackBase__+140;
      var $lref;
      var $rref17;
      var $11=__stackBase__+148;
      var $12=__stackBase__+156;
      var $lref18;
      var $rref19;
      var $i;
      var $lval=__stackBase__+164;
      var $atom;
      var $obj20;
      var $ref;
      var $ref21;
      var $obj22;
      var $vp_;
      var $id23=__stackBase__+172;
      var $idval_24;
      var $i_25=__stackBase__+176;
      var $13=__stackBase__+180;
      var $obj26=__stackBase__+188;
      var $entry=__stackBase__+192;
      var $obj227=__stackBase__+196;
      var $atom28=__stackBase__+200;
      var $id29;
      var $14=__stackBase__+204;
      var $i30=__stackBase__+212;
      var $j=__stackBase__+216;
      var $i31=__stackBase__+220;
      var $j32=__stackBase__+224;
      var $i33=__stackBase__+228;
      var $j34=__stackBase__+232;
      var $rval35=__stackBase__+236;
      var $lval36=__stackBase__+244;
      var $cond37=__stackBase__+252;
      var $diff_38;
      var $rval39=__stackBase__+256;
      var $lval40=__stackBase__+264;
      var $cond41=__stackBase__+272;
      var $diff_42;
      var $cond43;
      var $rref44;
      var $lref45;
      var $equal=__stackBase__+276;
      var $cond46;
      var $rref47;
      var $lref48;
      var $equal49=__stackBase__+280;
      var $cond50;
      var $rref51;
      var $lref52;
      var $equal53=__stackBase__+284;
      var $cond54;
      var $rref55;
      var $lref56;
      var $equal57=__stackBase__+288;
      var $rval58;
      var $lval59;
      var $cond60;
      var $l;
      var $r;
      var $result=__stackBase__+292;
      var $l61=__stackBase__+296;
      var $r62=__stackBase__+304;
      var $diff_63;
      var $rval64;
      var $lval65;
      var $cond66;
      var $l67;
      var $r68;
      var $result69=__stackBase__+312;
      var $l70=__stackBase__+316;
      var $r71=__stackBase__+324;
      var $diff_72;
      var $rval73;
      var $lval74;
      var $cond75;
      var $l76;
      var $r77;
      var $result78=__stackBase__+332;
      var $l79=__stackBase__+336;
      var $r80=__stackBase__+344;
      var $diff_81;
      var $rval82;
      var $lval83;
      var $cond84;
      var $l85;
      var $r86;
      var $result87=__stackBase__+352;
      var $l88=__stackBase__+356;
      var $r89=__stackBase__+364;
      var $diff_90;
      var $i91=__stackBase__+372;
      var $j92=__stackBase__+376;
      var $i93=__stackBase__+380;
      var $j94=__stackBase__+384;
      var $u=__stackBase__+388;
      var $j95=__stackBase__+392;
      var $rval96=__stackBase__+396;
      var $lval97=__stackBase__+404;
      var $l98;
      var $r99;
      var $sum;
      var $lIsObject;
      var $rIsObject;
      var $lIsString;
      var $rIsString;
      var $lstr;
      var $rstr;
      var $str;
      var $l100=__stackBase__+412;
      var $r101=__stackBase__+420;
      var $rval102=__stackBase__+428;
      var $lval103=__stackBase__+436;
      var $d1=__stackBase__+444;
      var $d2=__stackBase__+452;
      var $d;
      var $rval104=__stackBase__+460;
      var $lval105=__stackBase__+468;
      var $d1106=__stackBase__+476;
      var $d2107=__stackBase__+484;
      var $d108;
      var $rval109=__stackBase__+492;
      var $lval110=__stackBase__+500;
      var $d1111=__stackBase__+508;
      var $d2112=__stackBase__+516;
      var $lref113;
      var $rref114;
      var $l115;
      var $r116;
      var $mod;
      var $d1117=__stackBase__+524;
      var $d2118=__stackBase__+532;
      var $_119;
      var $cond120;
      var $i121=__stackBase__+540;
      var $ref122=__stackBase__+544;
      var $i123;
      var $d124=__stackBase__+552;
      var $atom125;
      var $id126;
      var $obj127=__stackBase__+560;
      var $obj2128=__stackBase__+564;
      var $prop129=__stackBase__+568;
      var $atom130;
      var $id131;
      var $obj132;
      var $vp_133;
      var $rval134=__stackBase__+572;
      var $obj135;
      var $vp_136;
      var $id137=__stackBase__+580;
      var $idval_138;
      var $i_139=__stackBase__+584;
      var $obj140;
      var $vp_141;
      var $id142=__stackBase__+588;
      var $idval_143;
      var $i_144=__stackBase__+592;
      var $ref145;
      var $type;
      var $15=__stackBase__+596;
      var $atom146;
      var $obj147=__stackBase__+604;
      var $atom148=__stackBase__+608;
      var $id149=__stackBase__+612;
      var $i150;
      var $vp_151;
      var $idval_152;
      var $i_153=__stackBase__+616;
      var $global;
      var $obj2154=__stackBase__+620;
      var $entry155=__stackBase__+624;
      var $slot;
      var $rref156;
      var $tmp;
      var $inc;
      var $16=__stackBase__+628;
      var $prop157=__stackBase__+636;
      var $cs;
      var $format;
      var $setPropFlags;
      var $ref158;
      var $tmp159;
      var $incr;
      var $rf160=__stackBase__+640;
      var $17;
      var $rf161=__stackBase__+648;
      var $incr163;
      var $incr2;
      var $slot164;
      var $vp165;
      var $tmp166;
      var $18=__stackBase__+656;
      var $19=__stackBase__+664;
      var $thisv;
      var $obj167;
      var $rval168=__stackBase__+672;
      var $vp169;
      var $20=__stackBase__+680;
      var $21=__stackBase__+688;
      var $obj170;
      var $length;
      var $22=__stackBase__+696;
      var $argsobj;
      var $length171;
      var $23=__stackBase__+704;
      var $tarray;
      var $24=__stackBase__+712;
      var $obj172;
      var $aobj=__stackBase__+720;
      var $entry173=__stackBase__+724;
      var $obj2174=__stackBase__+728;
      var $atom175=__stackBase__+732;
      var $slot176;
      var $shape;
      var $id177;
      var $25=__stackBase__+736;
      var $lval178=__stackBase__+744;
      var $objv=__stackBase__+752;
      var $protoKey;
      var $pobj=__stackBase__+760;
      var $aobj179=__stackBase__+764;
      var $rval180=__stackBase__+768;
      var $entry181=__stackBase__+776;
      var $obj2182=__stackBase__+780;
      var $atom183=__stackBase__+784;
      var $slot184;
      var $shape185;
      var $26=__stackBase__+788;
      var $27=__stackBase__+796;
      var $id186;
      var $28=__stackBase__+804;
      var $29=__stackBase__+812;
      var $30=__stackBase__+820;
      var $31=__stackBase__+828;
      var $rval187=__stackBase__+836;
      var $lref188;
      var $obj189;
      var $cache;
      var $entry190=__stackBase__+844;
      var $obj2191=__stackBase__+848;
      var $atom192=__stackBase__+852;
      var $shape193;
      var $slot194=__stackBase__+856;
      var $id195;
      var $defineHow;
      var $newsp;
      var $lref196;
      var $rref197;
      var $str198;
      var $i199;
      var $obj200;
      var $copyFrom;
      var $rval201=__stackBase__+860;
      var $id202=__stackBase__+868;
      var $i203;
      var $idx;
      var $arg;
      var $argsobj204;
      var $afp;
      var $i205=__stackBase__+872;
      var $32=__stackBase__+876;
      var $thisv206=__stackBase__+884;
      var $thisObj;
      var $id207=__stackBase__+892;
      var $idval_208;
      var $i_209=__stackBase__+896;
      var $obj210;
      var $vp_211;
      var $id212=__stackBase__+900;
      var $idval_213;
      var $i_214=__stackBase__+904;
      var $rval215=__stackBase__+908;
      var $length216;
      var $i217;
      var $newsp218;
      var $obj219;
      var $vp_220;
      var $id221=__stackBase__+916;
      var $idval_222;
      var $i_223=__stackBase__+920;
      var $rval224=__stackBase__+924;
      var $args=__stackBase__+932;
      var $args225=__stackBase__+940;
      var $construct;
      var $callee=__stackBase__+948;
      var $fun=__stackBase__+952;
      var $initial;
      var $newScript;
      var $newType;
      var $obj226=__stackBase__+956;
      var $global227;
      var $shape228;
      var $rval229=__stackBase__+960;
      var $entry230=__stackBase__+968;
      var $obj2231=__stackBase__+972;
      var $atom232=__stackBase__+976;
      var $33=__stackBase__+980;
      var $slot233;
      var $34=__stackBase__+988;
      var $35=__stackBase__+996;
      var $v=__stackBase__+1004;
      var $36=__stackBase__+1012;
      var $id234;
      var $prop235=__stackBase__+1020;
      var $op2;
      var $normalized;
      var $37=__stackBase__+1024;
      var $v236=__stackBase__+1032;
      var $38=__stackBase__+1040;
      var $dbl;
      var $atom237;
      var $39=__stackBase__+1048;
      var $obj238;
      var $40=__stackBase__+1056;
      var $index;
      var $proto=__stackBase__+1064;
      var $obj239;
      var $41=__stackBase__+1068;
      var $pc2;
      var $rref240;
      var $i241;
      var $d242;
      var $low;
      var $high;
      var $off;
      var $pc2243;
      var $rref244;
      var $i245;
      var $low246;
      var $high247;
      var $off248;
      var $off249;
      var $pc2250;
      var $lval251=__stackBase__+1076;
      var $npairs;
      var $match;
      var $str252;
      var $str2;
      var $rval253=__stackBase__+1084;
      var $ldbl;
      var $rval254=__stackBase__+1092;
      var $rval255=__stackBase__+1100;
      var $rval256=__stackBase__+1108;
      var $status257;
      var $42=__stackBase__+1116;
      var $rval258=__stackBase__+1124;
      var $43=__stackBase__+1132;
      var $44=__stackBase__+1140;
      var $id259;
      var $rval260=__stackBase__+1148;
      var $45=__stackBase__+1156;
      var $id261;
      var $rval262=__stackBase__+1164;
      var $46=__stackBase__+1172;
      var $slot263;
      var $47=__stackBase__+1180;
      var $slot264;
      var $slot265;
      var $slot266;
      var $48=__stackBase__+1188;
      var $slot267;
      var $index268;
      var $obj269;
      var $49=__stackBase__+1196;
      var $index270;
      var $atom271;
      var $obj272;
      var $attrs;
      var $id273;
      var $shouldDefine;
      var $prop274=__stackBase__+1204;
      var $obj2275=__stackBase__+1208;
      var $50=__stackBase__+1212;
      var $fun276;
      var $obj277;
      var $obj2278;
      var $attrs279;
      var $parent;
      var $id280;
      var $prop281=__stackBase__+1220;
      var $pobj282=__stackBase__+1224;
      var $rval283=__stackBase__+1228;
      var $shape284;
      var $bytes=__stackBase__+1236;
      var $name;
      var $51=__stackBase__+1240;
      var $fun285;
      var $obj286;
      var $rval287=__stackBase__+1248;
      var $attrs288;
      var $parent289;
      var $id290;
      var $fun291;
      var $obj292;
      var $parent293;
      var $slot294;
      var $fun295;
      var $obj296;
      var $slot297;
      var $fun298;
      var $obj299;
      var $parent300;
      var $pc2301;
      var $op2302;
      var $lref303;
      var $iargc;
      var $cref;
      var $callee304=__stackBase__+1256;
      var $calleeFun;
      var $native;
      var $52=__stackBase__+1260;
      var $fun305;
      var $obj306;
      var $53=__stackBase__+1268;
      var $54=__stackBase__+1276;
      var $op2307;
      var $id308=__stackBase__+1284;
      var $rval309=__stackBase__+1288;
      var $i310;
      var $obj311;
      var $atom312;
      var $vp_313;
      var $atom314;
      var $lref315;
      var $idval_316;
      var $i_317=__stackBase__+1296;
      var $rtmp=__stackBase__+1300;
      var $attrs318=__stackBase__+1308;
      var $getter;
      var $setter;
      var $55=__stackBase__+1312;
      var $56=__stackBase__+1320;
      var $i319;
      var $obj320;
      var $kind;
      var $type321;
      var $57=__stackBase__+1328;
      var $count;
      var $obj322;
      var $type323;
      var $58=__stackBase__+1336;
      var $baseobj;
      var $type324;
      var $obj325;
      var $59=__stackBase__+1344;
      var $rval326=__stackBase__+1352;
      var $obj327;
      var $entry328=__stackBase__+1360;
      var $shape329=__stackBase__+1364;
      var $slot330=__stackBase__+1368;
      var $atom331;
      var $id332;
      var $defineHow333;
      var $rref334;
      var $lref335;
      var $obj336;
      var $id337=__stackBase__+1372;
      var $idval_338;
      var $i_339=__stackBase__+1376;
      var $slot340;
      var $lref341;
      var $obj342;
      var $i343;
      var $id344;
      var $rref345;
      var $numBuf=__stackBase__+1380;
      var $slot346;
      var $lref347;
      var $i348;
      var $rval349=__stackBase__+1392;
      var $obj350;
      var $id351;
      var $numBuf352=__stackBase__+1400;
      var $60=__stackBase__+1412;
      var $slot353;
      var $vp354;
      var $rval355=__stackBase__+1420;
      var $i356;
      var $i357;
      var $rval358=__stackBase__+1428;
      var $lval359=__stackBase__+1436;
      var $61=__stackBase__+1444;
      var $62=__stackBase__+1452;
      var $63=__stackBase__+1460;
      var $v360=__stackBase__+1468;
      var $64=__stackBase__+1476;
      var $v361=__stackBase__+1484;
      var $65=__stackBase__+1492;
      var $slot362;
      var $i363;
      var $rref364;
      var $obj365;
      var $lref366;
      var $cond367=__stackBase__+1500;
      var $st;
      var $rval368=__stackBase__+1504;
      var $handler;
      var $66=__stackBase__+1512;
      var $id369=__stackBase__+1520;
      var $67=__stackBase__+1524;
      var $68=__stackBase__+1532;
      var $atom370;
      var $69=__stackBase__+1540;
      var $atom371;
      var $rval372=__stackBase__+1548;
      var $lval373=__stackBase__+1556;
      var $obj374;
      var $rval375=__stackBase__+1564;
      var $lval376=__stackBase__+1572;
      var $obj377;
      var $rval378=__stackBase__+1580;
      var $rval379=__stackBase__+1588;
      var $str380;
      var $rval381=__stackBase__+1596;
      var $lval382=__stackBase__+1604;
      var $str383;
      var $str2384;
      var $lval385=__stackBase__+1612;
      var $obj386=__stackBase__+1620;
      var $id387=__stackBase__+1624;
      var $70=__stackBase__+1628;
      var $71=__stackBase__+1636;
      var $obj388;
      var $rval389=__stackBase__+1644;
      var $id390=__stackBase__+1652;
      var $idval_391;
      var $i_392=__stackBase__+1656;
      var $lval393=__stackBase__+1660;
      var $obj394=__stackBase__+1668;
      var $id395=__stackBase__+1672;
      var $rval396=__stackBase__+1676;
      var $v397=__stackBase__+1684;
      var $72=__stackBase__+1692;
      var $obj398;
      var $vp_399;
      var $rval400=__stackBase__+1700;
      var $73=__stackBase__+1708;
      var $74=__stackBase__+1716;
      var $cond401;
      var $rval402=__stackBase__+1724;
      var $obj403;
      var $rval404=__stackBase__+1732;
      var $obj405;
      var $rval406=__stackBase__+1740;
      var $str407;
      var $rval408=__stackBase__+1748;
      var $str409;
      var $atom410;
      var $str411;
      var $obj412;
      var $75=__stackBase__+1756;
      var $atom413;
      var $str414;
      var $obj415;
      var $76=__stackBase__+1764;
      var $atom416;
      var $str417;
      var $rval418=__stackBase__+1772;
      var $str2419;
      var $obj420;
      var $rval421=__stackBase__+1780;
      var $77=__stackBase__+1788;
      var $obj422;
      var $vp423;
      var $blockChain;
      var $obj424;
      var $vp425;
      var $obj426;
      var $78=__stackBase__+1796;
      var $slot427;
      var $obj428;
      var $numBuf429=__stackBase__+1804;
      var $handler431;
      var $tn;
      var $tnlimit;
      var $offset;
      var $rval432=__stackBase__+1816;
      var $st433;
      var $79=__stackBase__+1824;
      var $ok434;
      var $80=__stackBase__+1832;
      var $81=__stackBase__+1840;
      var $82=__stackBase__+1848;
      var $v435=__stackBase__+1856;
      var $83=__stackBase__+1864;
      var $84=__stackBase__+1872;
      var $printable=__stackBase__+1880;
      $2=$cx;
      $3=$entryFrame;
      $4=$interpMode;
      var $85=$2; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $85, 65535); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($switchMask)>>2)]=0; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN23GenericInterruptEnablerIiEC1EPii($interruptEnabler, $switchMask, -1); //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $86=$2; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $87=__ZNK9JSContext4regsEv($86); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $88=$regs; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $89=$87; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($88)>>2)]=HEAP32[(($89)>>2)];HEAP32[(($88+4)>>2)]=HEAP32[(($89+4)>>2)];HEAP32[(($88+8)>>2)]=HEAP32[(($89+8)>>2)];HEAP32[(($88+12)>>2)]=HEAP32[(($89+12)>>2)]; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $90=$2; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js17PreserveRegsGuardC1EP9JSContextRNS_9FrameRegsE($interpGuard, $90, $regs); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $91=$2; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $92=$interruptEnabler; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js17InterpreterFramesC1EP9JSContextPNS_9FrameRegsERKNS0_20InterruptEnablerBaseE($interpreterFrame, $91, $regs, $92); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $93=$2; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $94=(($93+52)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rt=$95; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2; break; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $97=__ZNK2js9FrameRegs2fpEv($regs); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $98=__ZNK2js10StackFrame6scriptEv($97); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $script=$98; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $99=$script; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $100=__ZN8JSScript15stepModeEnabledEv($99); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($100) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 4; break; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      __label__ = 5; break; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      __label__ = 6; break; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $105=$script; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $106=(($105+92)|0); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $107=__ZN12JSPCCounters3getEi($106, 0); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pcCounts=$107; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 7; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $109=$pcCounts; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $110=(($109)|0)!=0; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($110) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      __label__ = 10; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      __label__ = 11; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $115=__ZNK2js9FrameRegs2fpEv($regs); //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $116=__ZNK2js10StackFrame15maybeFormalArgsEv($115); //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $argv=$116; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      var $118=$2; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $119=(($118+200)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $121=(($120)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $123=(($122)|0)!=0; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($123) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 14; break; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      __label__ = 15; break; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      __label__ = 16; break; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 16: 
      var $128=$3; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $129=(($128)|0)!=0; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($129) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 17: 
      var $131=__ZNK2js9FrameRegs2fpEv($regs); //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $3=$131; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 18: 
      var $133=$script; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $134=(($133+56)|0); //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$135; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $136=__ZNK2js9FrameRegs2fpEv($regs); //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $137=__ZNK2js10StackFrame16isGeneratorFrameEv($136); //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($137) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 19: 
      var $139=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $140=__ZN9JSContext18isExceptionPendingEv($139); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($140) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 20: 
      __label__ = 2152; break; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 21: 
      __label__ = 22; break; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 22: 
      var $144=$4; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $145=(($144)|0)==0; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($145) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 23: 
      var $147=__ZNK2js9FrameRegs2fpEv($regs); //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$147; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $148=$2; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $149=$fp; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $150=$2; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $151=$fp; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $152=__ZN2js5types17UseNewTypeAtEntryEP9JSContextPNS_10StackFrameE($150, $151); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $153=__ZN2js31ScriptPrologueOrGeneratorResumeEP9JSContextPNS_10StackFrameEb($148, $149, $152); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($153) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 24: 
      __label__ = 2152; break; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 25: 
      __label__ = 26; break; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 26: 
      var $157=$4; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $158=(($157)|0)==4; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($158) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 27: 
      $4=0; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 28; break; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 28: 
      __label__ = 29; break; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 29: 
      var $162=$2; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $163=(($162+200)|0); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $165=(($164)|0); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $167=(($166)|0)!=0; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($167) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 30: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 31: 
      __label__ = 32; break; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 32: 
      __label__ = 33; break; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 33: 
      $len=0; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 34; break; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 34: 
      var $173=$stackDummy_; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $174=$2; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $175=(($174+48)|0); //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $176=HEAPU32[(($175)>>2)]; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $177=(($173)>>>0) < (($176)>>>0); //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($177) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 35: 
      var $179=$2; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z21js_ReportOverRecursedP9JSContext($179); //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 36: 
      __label__ = 37; break; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 37: 
      __label__ = 38; break; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 38: 
      __label__ = 39; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 39: 
      __label__ = 42; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 40: 
      __label__ = 41; break; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 41: 
      __label__ = 42; break; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 42: 
      var $188=$len; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $189=(($regs+4)|0); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $191=(($190+$188)|0); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($189)>>2)]=$191; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $192=(($regs+4)|0); //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $193=HEAP32[(($192)>>2)]; //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $194=HEAPU8[($193)]; //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $195=(($194)&255); //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$195; //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 43: 
      var $197=$op; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $198=HEAP32[(($switchMask)>>2)]; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $199=$197 | $198; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $switchOp=$199; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 44; break; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 44: 
      var $201=$switchOp; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ((($201)|0) == -1) {
        __label__ = 45; break;
      }
      else if ((($201)|0) == 0) {
        __label__ = 63; break;
      }
      else if ((($201)|0) == 120) {
        __label__ = 64; break;
      }
      else if ((($201)|0) == 134) {
        __label__ = 65; break;
      }
      else if ((($201)|0) == 194) {
        __label__ = 66; break;
      }
      else if ((($201)|0) == 195) {
        __label__ = 67; break;
      }
      else if ((($201)|0) == 189) {
        __label__ = 68; break;
      }
      else if ((($201)|0) == 109) {
        __label__ = 69; break;
      }
      else if ((($201)|0) == 182) {
        __label__ = 70; break;
      }
      else if ((($201)|0) == 119) {
        __label__ = 81; break;
      }
      else if ((($201)|0) == 188) {
        __label__ = 82; break;
      }
      else if ((($201)|0) == 1) {
        __label__ = 83; break;
      }
      else if ((($201)|0) == 81) {
        __label__ = 84; break;
      }
      else if ((($201)|0) == 11) {
        __label__ = 85; break;
      }
      else if ((($201)|0) == 154) {
        __label__ = 86; break;
      }
      else if ((($201)|0) == 2) {
        __label__ = 87; break;
      }
      else if ((($201)|0) == 3) {
        __label__ = 88; break;
      }
      else if ((($201)|0) == 4) {
        __label__ = 91; break;
      }
      else if ((($201)|0) == 5) {
        __label__ = 92; break;
      }
      else if ((($201)|0) == 155) {
        __label__ = 93; break;
      }
      else if ((($201)|0) == 197) {
        __label__ = 94; break;
      }
      else if ((($201)|0) == 122) {
        __label__ = 124; break;
      }
      else if ((($201)|0) == 6) {
        __label__ = 125; break;
      }
      else if ((($201)|0) == 7) {
        __label__ = 130; break;
      }
      else if ((($201)|0) == 8) {
        __label__ = 146; break;
      }
      else if ((($201)|0) == 68) {
        __label__ = 162; break;
      }
      else if ((($201)|0) == 69) {
        __label__ = 179; break;
      }
      else if ((($201)|0) == 148) {
        __label__ = 196; break;
      }
      else if ((($201)|0) == 141) {
        __label__ = 197; break;
      }
      else if ((($201)|0) == 142) {
        __label__ = 202; break;
      }
      else if ((($201)|0) == 143) {
        __label__ = 218; break;
      }
      else if ((($201)|0) == 144) {
        __label__ = 234; break;
      }
      else if ((($201)|0) == 145) {
        __label__ = 251; break;
      }
      else if ((($201)|0) == 113) {
        __label__ = 268; break;
      }
      else if ((($201)|0) == 75) {
        __label__ = 295; break;
      }
      else if ((($201)|0) == 76) {
        __label__ = 303; break;
      }
      else if ((($201)|0) == 77) {
        __label__ = 311; break;
      }
      else if ((($201)|0) == 78) {
        __label__ = 314; break;
      }
      else if ((($201)|0) == 12) {
        __label__ = 317; break;
      }
      else if ((($201)|0) == 13) {
        __label__ = 321; break;
      }
      else if ((($201)|0) == 10) {
        __label__ = 328; break;
      }
      else if ((($201)|0) == 133) {
        __label__ = 329; break;
      }
      else if ((($201)|0) == 14) {
        __label__ = 330; break;
      }
      else if ((($201)|0) == 209) {
        __label__ = 338; break;
      }
      else if ((($201)|0) == 217) {
        __label__ = 361; break;
      }
      else if ((($201)|0) == 110) {
        __label__ = 365; break;
      }
      else if ((($201)|0) == 105) {
        __label__ = 378; break;
      }
      else if ((($201)|0) == 15) {
        __label__ = 379; break;
      }
      else if ((($201)|0) == 16) {
        __label__ = 387; break;
      }
      else if ((($201)|0) == 17) {
        __label__ = 395; break;
      }
      else if ((($201)|0) == 18) {
        __label__ = 403; break;
      }
      else if ((($201)|0) == 19) {
        __label__ = 422; break;
      }
      else if ((($201)|0) == 72) {
        __label__ = 441; break;
      }
      else if ((($201)|0) == 73) {
        __label__ = 447; break;
      }
      else if ((($201)|0) == 121) {
        __label__ = 453; break;
      }
      else if ((($201)|0) == 147) {
        __label__ = 465; break;
      }
      else if ((($201)|0) == 20) {
        __label__ = 477; break;
      }
      else if ((($201)|0) == 21) {
        __label__ = 511; break;
      }
      else if ((($201)|0) == 22) {
        __label__ = 545; break;
      }
      else if ((($201)|0) == 23) {
        __label__ = 579; break;
      }
      else if ((($201)|0) == 24) {
        __label__ = 613; break;
      }
      else if ((($201)|0) == 25) {
        __label__ = 621; break;
      }
      else if ((($201)|0) == 26) {
        __label__ = 629; break;
      }
      else if ((($201)|0) == 27) {
        __label__ = 636; break;
      }
      else if ((($201)|0) == 28) {
        __label__ = 681; break;
      }
      else if ((($201)|0) == 29) {
        __label__ = 692; break;
      }
      else if ((($201)|0) == 30) {
        __label__ = 703; break;
      }
      else if ((($201)|0) == 31) {
        __label__ = 712; break;
      }
      else if ((($201)|0) == 32) {
        __label__ = 725; break;
      }
      else if ((($201)|0) == 33) {
        __label__ = 735; break;
      }
      else if ((($201)|0) == 34) {
        __label__ = 738; break;
      }
      else if ((($201)|0) == 35) {
        __label__ = 749; break;
      }
      else if ((($201)|0) == 36) {
        __label__ = 754; break;
      }
      else if ((($201)|0) == 37) {
        __label__ = 764; break;
      }
      else if ((($201)|0) == 38) {
        __label__ = 781; break;
      }
      else if ((($201)|0) == 231) {
        __label__ = 804; break;
      }
      else if ((($201)|0) == 200) {
        __label__ = 827; break;
      }
      else if ((($201)|0) == 39) {
        __label__ = 828; break;
      }
      else if ((($201)|0) == 40) {
        __label__ = 829; break;
      }
      else if ((($201)|0) == 43) {
        __label__ = 830; break;
      }
      else if ((($201)|0) == 46) {
        __label__ = 831; break;
      }
      else if ((($201)|0) == 49) {
        __label__ = 832; break;
      }
      else if ((($201)|0) == 52) {
        __label__ = 833; break;
      }
      else if ((($201)|0) == 42) {
        __label__ = 838; break;
      }
      else if ((($201)|0) == 45) {
        __label__ = 839; break;
      }
      else if ((($201)|0) == 48) {
        __label__ = 840; break;
      }
      else if ((($201)|0) == 51) {
        __label__ = 841; break;
      }
      else if ((($201)|0) == 41) {
        __label__ = 872; break;
      }
      else if ((($201)|0) == 44) {
        __label__ = 873; break;
      }
      else if ((($201)|0) == 47) {
        __label__ = 874; break;
      }
      else if ((($201)|0) == 50) {
        __label__ = 875; break;
      }
      else if ((($201)|0) == 158) {
        __label__ = 876; break;
      }
      else if ((($201)|0) == 159) {
        __label__ = 877; break;
      }
      else if ((($201)|0) == 160) {
        __label__ = 878; break;
      }
      else if ((($201)|0) == 161) {
        __label__ = 879; break;
      }
      else if ((($201)|0) == 98) {
        __label__ = 930; break;
      }
      else if ((($201)|0) == 100) {
        __label__ = 931; break;
      }
      else if ((($201)|0) == 97) {
        __label__ = 932; break;
      }
      else if ((($201)|0) == 99) {
        __label__ = 933; break;
      }
      else if ((($201)|0) == 102) {
        __label__ = 935; break;
      }
      else if ((($201)|0) == 104) {
        __label__ = 936; break;
      }
      else if ((($201)|0) == 101) {
        __label__ = 937; break;
      }
      else if ((($201)|0) == 103) {
        __label__ = 938; break;
      }
      else if ((($201)|0) == 65) {
        __label__ = 954; break;
      }
      else if ((($201)|0) == 229) {
        __label__ = 960; break;
      }
      else if ((($201)|0) == 53) {
        __label__ = 967; break;
      }
      else if ((($201)|0) == 198) {
        __label__ = 968; break;
      }
      else if ((($201)|0) == 220) {
        __label__ = 969; break;
      }
      else if ((($201)|0) == 187) {
        __label__ = 1023; break;
      }
      else if ((($201)|0) == 228) {
        __label__ = 1077; break;
      }
      else if ((($201)|0) == 157) {
        __label__ = 1078; break;
      }
      else if ((($201)|0) == 111) {
        __label__ = 1079; break;
      }
      else if ((($201)|0) == 54) {
        __label__ = 1080; break;
      }
      else if ((($201)|0) == 226) {
        __label__ = 1081; break;
      }
      else if ((($201)|0) == 55) {
        __label__ = 1146; break;
      }
      else if ((($201)|0) == 196) {
        __label__ = 1206; break;
      }
      else if ((($201)|0) == 56) {
        __label__ = 1226; break;
      }
      else if ((($201)|0) == 124) {
        __label__ = 1270; break;
      }
      else if ((($201)|0) == 123) {
        __label__ = 1293; break;
      }
      else if ((($201)|0) == 82) {
        __label__ = 1306; break;
      }
      else if ((($201)|0) == 58) {
        __label__ = 1307; break;
      }
      else if ((($201)|0) == 108) {
        __label__ = 1308; break;
      }
      else if ((($201)|0) == 79) {
        __label__ = 1309; break;
      }
      else if ((($201)|0) == 74) {
        __label__ = 1353; break;
      }
      else if ((($201)|0) == 156) {
        __label__ = 1354; break;
      }
      else if ((($201)|0) == 214) {
        __label__ = 1355; break;
      }
      else if ((($201)|0) == 59) {
        __label__ = 1356; break;
      }
      else if ((($201)|0) == 57) {
        __label__ = 1357; break;
      }
      else if ((($201)|0) == 88) {
        __label__ = 1445; break;
      }
      else if ((($201)|0) == 190) {
        __label__ = 1446; break;
      }
      else if ((($201)|0) == 218) {
        __label__ = 1447; break;
      }
      else if ((($201)|0) == 219) {
        __label__ = 1448; break;
      }
      else if ((($201)|0) == 191) {
        __label__ = 1449; break;
      }
      else if ((($201)|0) == 211) {
        __label__ = 1450; break;
      }
      else if ((($201)|0) == 212) {
        __label__ = 1451; break;
      }
      else if ((($201)|0) == 213) {
        __label__ = 1452; break;
      }
      else if ((($201)|0) == 193) {
        __label__ = 1453; break;
      }
      else if ((($201)|0) == 192) {
        __label__ = 1454; break;
      }
      else if ((($201)|0) == 60) {
        __label__ = 1455; break;
      }
      else if ((($201)|0) == 61) {
        __label__ = 1456; break;
      }
      else if ((($201)|0) == 80) {
        __label__ = 1463; break;
      }
      else if ((($201)|0) == 162) {
        __label__ = 1467; break;
      }
      else if ((($201)|0) == 62) {
        __label__ = 1475; break;
      }
      else if ((($201)|0) == 63) {
        __label__ = 1476; break;
      }
      else if ((($201)|0) == 64) {
        __label__ = 1477; break;
      }
      else if ((($201)|0) == 66) {
        __label__ = 1478; break;
      }
      else if ((($201)|0) == 67) {
        __label__ = 1479; break;
      }
      else if ((($201)|0) == 70) {
        __label__ = 1480; break;
      }
      else if ((($201)|0) == 149) {
        __label__ = 1493; break;
      }
      else if ((($201)|0) == 150) {
        __label__ = 1507; break;
      }
      else if ((($201)|0) == 71) {
        __label__ = 1508; break;
      }
      else if ((($201)|0) == 83) {
        __label__ = 1548; break;
      }
      else if ((($201)|0) == 9) {
        __label__ = 1561; break;
      }
      else if ((($201)|0) == 138) {
        __label__ = 1578; break;
      }
      else if ((($201)|0) == 139) {
        __label__ = 1584; break;
      }
      else if ((($201)|0) == 84) {
        __label__ = 1590; break;
      }
      else if ((($201)|0) == 216) {
        __label__ = 1591; break;
      }
      else if ((($201)|0) == 85) {
        __label__ = 1597; break;
      }
      else if ((($201)|0) == 86) {
        __label__ = 1600; break;
      }
      else if ((($201)|0) == 215) {
        __label__ = 1601; break;
      }
      else if ((($201)|0) == 87) {
        __label__ = 1605; break;
      }
      else if ((($201)|0) == 136) {
        __label__ = 1608; break;
      }
      else if ((($201)|0) == 137) {
        __label__ = 1609; break;
      }
      else if ((($201)|0) == 106) {
        __label__ = 1615; break;
      }
      else if ((($201)|0) == 107) {
        __label__ = 1616; break;
      }
      else if ((($201)|0) == 128) {
        __label__ = 1617; break;
      }
      else if ((($201)|0) == 129) {
        __label__ = 1618; break;
      }
      else if ((($201)|0) == 127) {
        __label__ = 1633; break;
      }
      else if ((($201)|0) == 222) {
        __label__ = 1667; break;
      }
      else if ((($201)|0) == 140) {
        __label__ = 1676; break;
      }
      else if ((($201)|0) == 223) {
        __label__ = 1688; break;
      }
      else if ((($201)|0) == 130) {
        __label__ = 1691; break;
      }
      else if ((($201)|0) == 224) {
        __label__ = 1732; break;
      }
      else if ((($201)|0) == 131) {
        __label__ = 1738; break;
      }
      else if ((($201)|0) == 125) {
        __label__ = 1742; break;
      }
      else if ((($201)|0) == 126) {
        __label__ = 1743; break;
      }
      else if ((($201)|0) == 221) {
        __label__ = 1800; break;
      }
      else if ((($201)|0) == 89) {
        __label__ = 1801; break;
      }
      else if ((($201)|0) == 90) {
        __label__ = 1817; break;
      }
      else if ((($201)|0) == 91) {
        __label__ = 1830; break;
      }
      else if ((($201)|0) == 92) {
        __label__ = 1843; break;
      }
      else if ((($201)|0) == 93) {
        __label__ = 1844; break;
      }
      else if ((($201)|0) == 227) {
        __label__ = 1845; break;
      }
      else if ((($201)|0) == 94) {
        __label__ = 1863; break;
      }
      else if ((($201)|0) == 95) {
        __label__ = 1881; break;
      }
      else if ((($201)|0) == 96) {
        __label__ = 1891; break;
      }
      else if ((($201)|0) == 230) {
        __label__ = 1902; break;
      }
      else if ((($201)|0) == 116) {
        __label__ = 1911; break;
      }
      else if ((($201)|0) == 146) {
        __label__ = 1912; break;
      }
      else if ((($201)|0) == 117) {
        __label__ = 1913; break;
      }
      else if ((($201)|0) == 118) {
        __label__ = 1916; break;
      }
      else if ((($201)|0) == 135) {
        __label__ = 1926; break;
      }
      else if ((($201)|0) == 153) {
        __label__ = 1933; break;
      }
      else if ((($201)|0) == 112) {
        __label__ = 1934; break;
      }
      else if ((($201)|0) == 132) {
        __label__ = 1941; break;
      }
      else if ((($201)|0) == 203) {
        __label__ = 1942; break;
      }
      else if ((($201)|0) == 204) {
        __label__ = 1949; break;
      }
      else if ((($201)|0) == 225) {
        __label__ = 1955; break;
      }
      else if ((($201)|0) == 114) {
        __label__ = 1958; break;
      }
      else if ((($201)|0) == 115) {
        __label__ = 1963; break;
      }
      else if ((($201)|0) == 163) {
        __label__ = 1978; break;
      }
      else if ((($201)|0) == 164) {
        __label__ = 1981; break;
      }
      else if ((($201)|0) == 165) {
        __label__ = 1987; break;
      }
      else if ((($201)|0) == 166) {
        __label__ = 1994; break;
      }
      else if ((($201)|0) == 167) {
        __label__ = 2000; break;
      }
      else if ((($201)|0) == 168) {
        __label__ = 2003; break;
      }
      else if ((($201)|0) == 169) {
        __label__ = 2006; break;
      }
      else if ((($201)|0) == 170) {
        __label__ = 2009; break;
      }
      else if ((($201)|0) == 171) {
        __label__ = 2010; break;
      }
      else if ((($201)|0) == 172) {
        __label__ = 2013; break;
      }
      else if ((($201)|0) == 173) {
        __label__ = 2019; break;
      }
      else if ((($201)|0) == 199) {
        __label__ = 2031; break;
      }
      else if ((($201)|0) == 174) {
        __label__ = 2032; break;
      }
      else if ((($201)|0) == 175) {
        __label__ = 2047; break;
      }
      else if ((($201)|0) == 186) {
        __label__ = 2048; break;
      }
      else if ((($201)|0) == 176) {
        __label__ = 2066; break;
      }
      else if ((($201)|0) == 177) {
        __label__ = 2067; break;
      }
      else if ((($201)|0) == 178) {
        __label__ = 2080; break;
      }
      else if ((($201)|0) == 179) {
        __label__ = 2083; break;
      }
      else if ((($201)|0) == 180) {
        __label__ = 2086; break;
      }
      else if ((($201)|0) == 181) {
        __label__ = 2089; break;
      }
      else if ((($201)|0) == 183) {
        __label__ = 2097; break;
      }
      else if ((($201)|0) == 184) {
        __label__ = 2106; break;
      }
      else if ((($201)|0) == 185) {
        __label__ = 2115; break;
      }
      else if ((($201)|0) == 208) {
        __label__ = 2121; break;
      }
      else if ((($201)|0) == 201) {
        __label__ = 2127; break;
      }
      else if ((($201)|0) == 210) {
        __label__ = 2128; break;
      }
      else if ((($201)|0) == 202) {
        __label__ = 2129; break;
      }
      else if ((($201)|0) == 205) {
        __label__ = 2139; break;
      }
      else if ((($201)|0) == 206) {
        __label__ = 2144; break;
      }
      else if ((($201)|0) == 207) {
        __label__ = 2147; break;
      }
      else {
      __label__ = 2150; break;
      }
      
    case 45: 
      $moreInterrupts=0; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $203=$pcCounts; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $204=(($203)|0)!=0; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($204) { __label__ = 46; break; } else { __label__ = 49; break; } //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 46: 
      var $206=__ZNK2js9FrameRegs2fpEv($regs); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $207=__ZNK2js10StackFrame11hasImacropcEv($206); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($207) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 47: 
      var $209=(($regs+4)|0); //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $210=HEAP32[(($209)>>2)]; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $211=$script; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $212=(($211)|0); //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $214=$210; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $215=$213; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $216=(($214-$215)|0); //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $217=$pcCounts; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $218=(($217+($216<<3))|0); //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $219=(tempDoubleI32[0]=HEAP32[(($218)>>2)],tempDoubleI32[1]=HEAP32[(($218+4)>>2)],tempDoubleF64[0]); //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $220=$219+1; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      (tempDoubleF64[0]=$220,HEAP32[(($218)>>2)]=tempDoubleI32[0],HEAP32[(($218+4)>>2)]=tempDoubleI32[1]); //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 48; break; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 48: 
      $moreInterrupts=1; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 49; break; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 49: 
      var $223=$2; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $224=(($223+200)|0); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $225=HEAP32[(($224)>>2)]; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $226=(($225)|0); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $hook=$227; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $228=$hook; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $229=(($228)|0)!=0; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($229) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 50: 
      var $231=$script; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $232=__ZN8JSScript15stepModeEnabledEv($231); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($232) { __label__ = 51; break; } else { __label__ = 62; break; } //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 51: 
      $status=1; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $234=$hook; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $235=(($234)|0)!=0; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($235) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 52: 
      var $237=$hook; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $238=$2; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $239=$script; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $240=(($regs+4)|0); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $242=$2; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $243=(($242+200)|0); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $244=HEAP32[(($243)>>2)]; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $245=(($244+4)|0); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $246=HEAP32[(($245)>>2)]; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $247=FUNCTION_TABLE[$237]($238, $239, $241, $rval, $246); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $status=$247; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 53; break; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 53: 
      var $249=$status; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $250=(($249)|0)==1; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($250) { __label__ = 54; break; } else { __label__ = 56; break; } //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 54: 
      var $252=$script; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $253=__ZN8JSScript15stepModeEnabledEv($252); //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($253) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 55: 
      var $255=$2; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $256=__ZN2js8Debugger12onSingleStepEP9JSContextPN2JS5ValueE($255, $rval); //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $status=$256; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 56; break; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 56: 
      var $258=$status; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ((($258)|0) == 0) {
        __label__ = 57; break;
      }
      else if ((($258)|0) == 2) {
        __label__ = 58; break;
      }
      else if ((($258)|0) == 3) {
        __label__ = 59; break;
      }
      else if ((($258)|0) == 1) {
        __label__ = 61; break;
      }
      else {
      __label__ = 60; break;
      }
      
    case 57: 
      __label__ = 2152; break; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 58: 
      var $261=__ZNK2js9FrameRegs2fpEv($regs); //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($261, $rval); //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=1; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2204; break; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 59: 
      var $263=$2; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $264=$5; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $265=$rval; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($264)>>2)]=HEAP32[(($265)>>2)];HEAP32[(($264+4)>>2)]=HEAP32[(($265+4)>>2)]; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($263, $5); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 60: 
      __label__ = 61; break; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 61: 
      $moreInterrupts=1; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 62; break; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 62: 
      var $269=$moreInterrupts; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $270=(($269) & 1); //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $271=$270 ? -1 : 0; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($switchMask)>>2)]=$271; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $272=$op; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $switchOp=$272; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 44; break; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 63: 
      __label__ = 64; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 64: 
      __label__ = 65; break; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 65: 
      __label__ = 66; break; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 66: 
      __label__ = 67; break; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 67: 
      __label__ = 68; break; //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 68: 
      $len=1; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 69: 
      __label__ = 70; break; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 70: 
      $len=3; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 71: 
      __label__ = 72; break; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 72: 
      var $283=$2; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $284=(($283+52)|0); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $285=HEAP32[(($284)>>2)]; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $286=(($285+144280)|0); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $287=(($286)|0); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $288=HEAP32[(($287)>>2)]; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $289=(($288)|0)!=0; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($289) { __label__ = 73; break; } else { __label__ = 75; break; } //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 73: 
      var $291=$2; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $292=__Z27js_HandleExecutionInterruptP9JSContext($291); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $293=(($292)|0)!=0; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($293) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 74: 
      __label__ = 2152; break; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 75: 
      __label__ = 76; break; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 76: 
      __label__ = 77; break; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 77: 
      var $298=$op; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $299=(($298)|0)!=182; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($299) { __label__ = 78; break; } else { __label__ = 80; break; } //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 78: 
      var $301=$op; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $302=(($301)|0)!=109; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($302) { __label__ = 79; break; } else { __label__ = 80; break; } //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 79: 
      __label__ = 43; break; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 80: 
      __label__ = 43; break; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 81: 
      $len=3; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 82: 
      $len=3; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 83: 
      var $308=(($regs)|0); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $309=HEAP32[(($308)>>2)]; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $310=(($309+8)|0); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($308)>>2)]=$310; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($309); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 84: 
      var $312=(($regs)|0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $313=HEAP32[(($312)>>2)]; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $314=(($313-8)|0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($312)>>2)]=$314; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 85: 
      var $316=(($regs+4)|0); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $317=HEAP32[(($316)>>2)]; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $318=(($317+1)|0); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $319=HEAPU8[($318)]; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $320=(($319)&255); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $321=$320 << 8; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $322=(($regs+4)|0); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $323=HEAP32[(($322)>>2)]; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $324=(($323+2)|0); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $325=HEAPU8[($324)]; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $326=(($325)&255); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $327=$321 | $326; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $328=(($regs)|0); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $329=HEAP32[(($328)>>2)]; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $330=(((-$327))|0); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $331=(($329+($330<<3))|0); //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($328)>>2)]=$331; //@line 2235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 86: 
      __label__ = 87; break; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 87: 
      var $334=__ZNK2js9FrameRegs2fpEv($regs); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $335=(($regs)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $336=HEAP32[(($335)>>2)]; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $337=(($336-8)|0); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($335)>>2)]=$337; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($334, $337); //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 88: 
      var $339=$2; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $340=__ZL9EnterWithP9JSContexti4JSOpj($339, -1, 3, 1); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($340) { __label__ = 90; break; } else { __label__ = 89; break; } //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 89: 
      __label__ = 2152; break; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 90: 
      var $343=(($regs)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $344=HEAP32[(($343)>>2)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $345=(($344-8)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $346=__ZNK2js9FrameRegs2fpEv($regs); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $347=__ZNK2js10StackFrame10scopeChainEv($346); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($345, $347); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 91: 
      var $349=(($regs)|0); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $350=HEAP32[(($349)>>2)]; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $351=(($350-8)|0); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($349)>>2)]=$351; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $352=$2; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZL9LeaveWithP9JSContext($352); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 92: 
      var $354=__ZNK2js9FrameRegs2fpEv($regs); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $355=(($regs)|0); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $356=HEAP32[(($355)>>2)]; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $357=(($356-8)|0); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($355)>>2)]=$357; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($354, $357); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 93; break; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 93: 
      __label__ = 94; break; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 94: 
      __label__ = 95; break; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 95: 
      var $361=$2; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $362=(($361+52)|0); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $363=HEAP32[(($362)>>2)]; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $364=(($363+144280)|0); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $365=(($364)|0); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $366=HEAP32[(($365)>>2)]; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $367=(($366)|0)!=0; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($367) { __label__ = 96; break; } else { __label__ = 98; break; } //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 96: 
      var $369=$2; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $370=__Z27js_HandleExecutionInterruptP9JSContext($369); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $371=(($370)|0)!=0; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($371) { __label__ = 98; break; } else { __label__ = 97; break; } //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 97: 
      __label__ = 2152; break; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 98: 
      __label__ = 99; break; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 99: 
      __label__ = 100; break; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 100: 
      $interpReturnOK=1; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $376=$3; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $377=__ZNK2js9FrameRegs2fpEv($regs); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $378=(($376)|0)!=(($377)|0); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($378) { __label__ = 101; break; } else { __label__ = 122; break; } //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 101: 
      __label__ = 102; break; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 102: 
      var $381=$2; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $382=__ZNK2js9FrameRegs2fpEv($regs); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $383=$interpReturnOK; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $384=(($383)|0)!=0; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $385=__ZN2js14ScriptEpilogueEP9JSContextPNS_10StackFrameEb($381, $382, $384); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $386=(($385)&1); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=$386; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $387=__ZNK2js9FrameRegs2fpEv($regs); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $388=__ZNK2js10StackFrame18loweredCallOrApplyEv($387); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $389=(($388)&1); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $shiftResult=$389; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $390=$2; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $391=(($390+60)|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js12ContextStack14popInlineFrameERNS_9FrameRegsE($391, $regs); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 103; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 103: 
      __label__ = 104; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 104: 
      var $394=__ZNK2js9FrameRegs2fpEv($regs); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $395=__ZNK2js10StackFrame6scriptEv($394); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $script=$395; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $396=$script; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $397=__ZN8JSScript15stepModeEnabledEv($396); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($397) { __label__ = 105; break; } else { __label__ = 106; break; } //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 105: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 106; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 106: 
      __label__ = 107; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 107: 
      __label__ = 108; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 108: 
      var $402=$script; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $403=(($402+92)|0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $404=__ZN12JSPCCounters3getEi($403, 0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pcCounts=$404; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 109; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 109: 
      var $406=$pcCounts; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $407=(($406)|0)!=0; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($407) { __label__ = 110; break; } else { __label__ = 111; break; } //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 110: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 111; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 111: 
      __label__ = 112; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 112: 
      __label__ = 113; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 113: 
      var $412=__ZNK2js9FrameRegs2fpEv($regs); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $413=__ZNK2js10StackFrame15maybeFormalArgsEv($412); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $argv=$413; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $414=$2; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $415=__ZNK2js9FrameRegs2fpEv($regs); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $416=__ZN2jsL13FrameAtomBaseEP9JSContextPNS_10StackFrameE($414, $415); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$416; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 114; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 114: 
      __label__ = 115; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 115: 
      var $419=$interpReturnOK; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $420=(($419)|0)!=0; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($420) { __label__ = 116; break; } else { __label__ = 121; break; } //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 116: 
      var $422=$2; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $423=$script; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $424=(($regs+4)|0); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $425=HEAP32[(($424)>>2)]; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $426=(($regs)|0); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $427=HEAP32[(($426)>>2)]; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $428=(($427-8)|0); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($422, $423, $425, $428); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $429=(($regs+4)|0); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $430=HEAP32[(($429)>>2)]; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $431=HEAPU8[($430)]; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $432=(($431)&255); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$432; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $433=$shiftResult; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $434=(($433) & 1); //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($434) { __label__ = 117; break; } else { __label__ = 118; break; } //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 117: 
      var $436=(($regs)|0); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $437=HEAP32[(($436)>>2)]; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $438=(($437-16)|0); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $439=(($regs)|0); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $440=HEAP32[(($439)>>2)]; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $441=(($440-8)|0); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $442=$438; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $443=$441; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($442)>>2)]=HEAP32[(($443)>>2)];HEAP32[(($442+4)>>2)]=HEAP32[(($443+4)>>2)]; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $444=(($regs)|0); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $445=HEAP32[(($444)>>2)]; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $446=(($445-8)|0); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($444)>>2)]=$446; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 118; break; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 118: 
      __label__ = 119; break; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 119: 
      __label__ = 42; break; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 120: 
      __label__ = 121; break; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 121: 
      var $452=(($regs+4)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $453=HEAP32[(($452)>>2)]; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $454=(($453+3)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($452)>>2)]=$454; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 122: 
      __label__ = 123; break;
    case 123: 
      $interpReturnOK=1; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2209; break; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 124: 
      var $458=(($regs)|0); //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $459=HEAP32[(($458)>>2)]; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $460=(($459-8)|0); //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($458)>>2)]=$460; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 125; break; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 125: 
      var $462=(($regs+4)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $463=HEAP32[(($462)>>2)]; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $464=(($463+1)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $465=HEAPU8[($464)]; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $466=(($465)&255); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $467=$466 << 8; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $468=(($regs+4)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $469=HEAP32[(($468)>>2)]; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $470=(($469+2)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $471=HEAPU8[($470)]; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $472=(($471)&255); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $473=$467 | $472; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $474=(($473) & 65535); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $475=(($474 << 16) >> 16); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$475; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 126; break; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 126: 
      var $477=$len; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $478=(($regs+4)|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $479=HEAP32[(($478)>>2)]; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $480=(($479+$477)|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($478)>>2)]=$480; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $481=(($regs+4)|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $482=HEAP32[(($481)>>2)]; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $483=HEAPU8[($482)]; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $484=(($483)&255); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$484; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $485=$len; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $486=(($485)|0) <= 0; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($486) { __label__ = 127; break; } else { __label__ = 128; break; } //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 127: 
      __label__ = 71; break; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 128: 
      __label__ = 43; break; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 129: 
      $len=3; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 130: 
      __label__ = 131; break; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 131: 
      var $493=(($regs)|0); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $494=HEAP32[(($493)>>2)]; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $495=(($494-8)|0); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $_=$495; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $496=$_; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $497=__ZNK2JS5Value6isNullEv($496); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($497) { __label__ = 132; break; } else { __label__ = 133; break; } //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 132: 
      $cond=0; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 137; break; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 133: 
      var $500=$_; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $501=__ZNK2JS5Value9isBooleanEv($500); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($501) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 134: 
      var $503=$_; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $504=__ZNK2JS5Value9toBooleanEv($503); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $505=(($504)&1); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond=$505; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 136; break; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 135: 
      var $507=$_; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $508=__Z17js_ValueToBooleanRKN2JS5ValueE($507); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $509=(($508)|0)!=0; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $510=$509 ^ 1; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $511=$510 ^ 1; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $512=(($511)&1); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond=$512; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 136; break;
    case 136: 
      __label__ = 137; break;
    case 137: 
      var $515=(($regs)|0); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $516=HEAP32[(($515)>>2)]; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $517=(($516-8)|0); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($515)>>2)]=$517; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 138; break; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 138: 
      __label__ = 139; break; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 139: 
      var $520=$cond; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $521=(($520) & 1); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $522=(($521)&1); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $523=(($522)|0)==0; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($523) { __label__ = 140; break; } else { __label__ = 145; break; } //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 140: 
      var $525=(($regs+4)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $526=HEAP32[(($525)>>2)]; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $527=(($526+1)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $528=HEAPU8[($527)]; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $529=(($528)&255); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $530=$529 << 8; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $531=(($regs+4)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $532=HEAP32[(($531)>>2)]; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $533=(($532+2)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $534=HEAPU8[($533)]; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $535=(($534)&255); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $536=$530 | $535; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $537=(($536) & 65535); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $538=(($537 << 16) >> 16); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$538; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 141; break; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 141: 
      var $540=$len; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $541=(($regs+4)|0); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $542=HEAP32[(($541)>>2)]; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $543=(($542+$540)|0); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($541)>>2)]=$543; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $544=(($regs+4)|0); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $545=HEAP32[(($544)>>2)]; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $546=HEAPU8[($545)]; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $547=(($546)&255); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$547; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $548=$len; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $549=(($548)|0) <= 0; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($549) { __label__ = 142; break; } else { __label__ = 143; break; } //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 142: 
      __label__ = 71; break; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 143: 
      __label__ = 43; break; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 144: 
      __label__ = 145; break; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 145: 
      $len=3; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 146: 
      __label__ = 147; break; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 147: 
      var $557=(($regs)|0); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $558=HEAP32[(($557)>>2)]; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $559=(($558-8)|0); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $_2=$559; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $560=$_2; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $561=__ZNK2JS5Value6isNullEv($560); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($561) { __label__ = 148; break; } else { __label__ = 149; break; } //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 148: 
      $cond1=0; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 153; break; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 149: 
      var $564=$_2; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $565=__ZNK2JS5Value9isBooleanEv($564); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($565) { __label__ = 150; break; } else { __label__ = 151; break; } //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 150: 
      var $567=$_2; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $568=__ZNK2JS5Value9toBooleanEv($567); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $569=(($568)&1); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond1=$569; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 152; break; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 151: 
      var $571=$_2; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $572=__Z17js_ValueToBooleanRKN2JS5ValueE($571); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $573=(($572)|0)!=0; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $574=$573 ^ 1; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $575=$574 ^ 1; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $576=(($575)&1); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond1=$576; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 152; break;
    case 152: 
      __label__ = 153; break;
    case 153: 
      var $579=(($regs)|0); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $580=HEAP32[(($579)>>2)]; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $581=(($580-8)|0); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($579)>>2)]=$581; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 154; break; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 154: 
      __label__ = 155; break; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 155: 
      var $584=$cond1; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $585=(($584) & 1); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $586=(($585)&1); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $587=(($586)|0)!=0; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($587) { __label__ = 156; break; } else { __label__ = 161; break; } //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 156: 
      var $589=(($regs+4)|0); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $590=HEAP32[(($589)>>2)]; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $591=(($590+1)|0); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $592=HEAPU8[($591)]; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $593=(($592)&255); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $594=$593 << 8; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $595=(($regs+4)|0); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $596=HEAP32[(($595)>>2)]; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $597=(($596+2)|0); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $598=HEAPU8[($597)]; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $599=(($598)&255); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $600=$594 | $599; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $601=(($600) & 65535); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $602=(($601 << 16) >> 16); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$602; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 157; break; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 157: 
      var $604=$len; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $605=(($regs+4)|0); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $606=HEAP32[(($605)>>2)]; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $607=(($606+$604)|0); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($605)>>2)]=$607; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $608=(($regs+4)|0); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $609=HEAP32[(($608)>>2)]; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $610=HEAPU8[($609)]; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $611=(($610)&255); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$611; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $612=$len; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $613=(($612)|0) <= 0; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($613) { __label__ = 158; break; } else { __label__ = 159; break; } //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 158: 
      __label__ = 71; break; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 159: 
      __label__ = 43; break; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 160: 
      __label__ = 161; break; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 161: 
      $len=3; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 162: 
      __label__ = 163; break; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 163: 
      var $621=(($regs)|0); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $622=HEAP32[(($621)>>2)]; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $623=(($622-8)|0); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp=$623; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $624=$vp; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $625=__ZNK2JS5Value6isNullEv($624); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($625) { __label__ = 164; break; } else { __label__ = 165; break; } //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 164: 
      $cond3=0; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 169; break; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 165: 
      var $628=$vp; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $629=__ZNK2JS5Value9isBooleanEv($628); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($629) { __label__ = 166; break; } else { __label__ = 167; break; } //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 166: 
      var $631=$vp; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $632=__ZNK2JS5Value9toBooleanEv($631); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $633=(($632)&1); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond3=$633; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 168; break; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 167: 
      var $635=$vp; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $636=__Z17js_ValueToBooleanRKN2JS5ValueE($635); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $637=(($636)|0)!=0; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $638=$637 ^ 1; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $639=$638 ^ 1; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $640=(($639)&1); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond3=$640; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 168; break;
    case 168: 
      __label__ = 169; break;
    case 169: 
      var $643=(($regs)|0); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $644=HEAP32[(($643)>>2)]; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $645=(($644-8)|0); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($643)>>2)]=$645; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 170; break; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 170: 
      __label__ = 171; break; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 171: 
      var $648=$cond3; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $649=(($648) & 1); //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $650=(($649)&1); //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $651=(($650)|0)==1; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($651) { __label__ = 172; break; } else { __label__ = 178; break; } //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 172: 
      var $653=(($regs+4)|0); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $654=HEAP32[(($653)>>2)]; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $655=(($654+1)|0); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $656=HEAPU8[($655)]; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $657=(($656)&255); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $658=$657 << 8; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $659=(($regs+4)|0); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $660=HEAP32[(($659)>>2)]; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $661=(($660+2)|0); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $662=HEAPU8[($661)]; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $663=(($662)&255); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $664=$658 | $663; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $665=(($664) & 65535); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $666=(($665 << 16) >> 16); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$666; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 173; break; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 173: 
      var $668=(($regs)|0); //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $669=HEAP32[(($668)>>2)]; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $670=(($669+8)|0); //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($668)>>2)]=$670; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $671=$vp; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $672=$669; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $673=$671; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($672)>>2)]=HEAP32[(($673)>>2)];HEAP32[(($672+4)>>2)]=HEAP32[(($673+4)>>2)]; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $674=$2; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $675=(($regs)|0); //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $676=HEAP32[(($675)>>2)]; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $677=(($676-8)|0); //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $678=$6; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $679=$677; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($678)>>2)]=HEAP32[(($679)>>2)];HEAP32[(($678+4)>>2)]=HEAP32[(($679+4)>>2)]; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($674, $6); //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 174; break; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 174: 
      __label__ = 175; break; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 175: 
      __label__ = 176; break; //@line 2407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 176: 
      __label__ = 42; break; //@line 2407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 177: 
      __label__ = 178; break; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 178: 
      $len=3; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 179: 
      __label__ = 180; break; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 180: 
      var $688=(($regs)|0); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $689=HEAP32[(($688)>>2)]; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $690=(($689-8)|0); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp5=$690; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $691=$vp5; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $692=__ZNK2JS5Value6isNullEv($691); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($692) { __label__ = 181; break; } else { __label__ = 182; break; } //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 181: 
      $cond4=0; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 186; break; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 182: 
      var $695=$vp5; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $696=__ZNK2JS5Value9isBooleanEv($695); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($696) { __label__ = 183; break; } else { __label__ = 184; break; } //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 183: 
      var $698=$vp5; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $699=__ZNK2JS5Value9toBooleanEv($698); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $700=(($699)&1); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond4=$700; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 185; break; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 184: 
      var $702=$vp5; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $703=__Z17js_ValueToBooleanRKN2JS5ValueE($702); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $704=(($703)|0)!=0; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $705=$704 ^ 1; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $706=$705 ^ 1; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $707=(($706)&1); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond4=$707; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 185; break;
    case 185: 
      __label__ = 186; break;
    case 186: 
      var $710=(($regs)|0); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $711=HEAP32[(($710)>>2)]; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $712=(($711-8)|0); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($710)>>2)]=$712; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 187; break; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 187: 
      __label__ = 188; break; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 188: 
      var $715=$cond4; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $716=(($715) & 1); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $717=(($716)&1); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $718=(($717)|0)==0; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($718) { __label__ = 189; break; } else { __label__ = 195; break; } //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 189: 
      var $720=(($regs+4)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $721=HEAP32[(($720)>>2)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $722=(($721+1)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $723=HEAPU8[($722)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $724=(($723)&255); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $725=$724 << 8; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $726=(($regs+4)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $727=HEAP32[(($726)>>2)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $728=(($727+2)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $729=HEAPU8[($728)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $730=(($729)&255); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $731=$725 | $730; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $732=(($731) & 65535); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $733=(($732 << 16) >> 16); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$733; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 190; break; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 190: 
      var $735=(($regs)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $736=HEAP32[(($735)>>2)]; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $737=(($736+8)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($735)>>2)]=$737; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $738=$vp5; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $739=$736; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $740=$738; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($739)>>2)]=HEAP32[(($740)>>2)];HEAP32[(($739+4)>>2)]=HEAP32[(($740+4)>>2)]; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $741=$2; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $742=(($regs)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $743=HEAP32[(($742)>>2)]; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $744=(($743-8)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $745=$7; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $746=$744; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($745)>>2)]=HEAP32[(($746)>>2)];HEAP32[(($745+4)>>2)]=HEAP32[(($746+4)>>2)]; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($741, $7); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 191; break; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 191: 
      __label__ = 192; break; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 192: 
      __label__ = 193; break; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 193: 
      __label__ = 42; break; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 194: 
      __label__ = 195; break; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 195: 
      $len=3; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 196: 
      var $754=(($regs)|0); //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $755=HEAP32[(($754)>>2)]; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $756=(($755-8)|0); //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($754)>>2)]=$756; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 197; break; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 197: 
      var $758=(($regs+4)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $759=HEAP32[(($758)>>2)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $760=(($759+1)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $761=HEAPU8[($760)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $762=(($761)&255); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $763=$762 << 24; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $764=(($regs+4)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $765=HEAP32[(($764)>>2)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $766=(($765+2)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $767=HEAPU8[($766)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $768=(($767)&255); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $769=$768 << 16; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $770=$763 | $769; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $771=(($regs+4)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $772=HEAP32[(($771)>>2)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $773=(($772+3)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $774=HEAPU8[($773)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $775=(($774)&255); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $776=$775 << 8; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $777=$770 | $776; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $778=(($regs+4)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $779=HEAP32[(($778)>>2)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $780=(($779+4)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $781=HEAPU8[($780)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $782=(($781)&255); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $783=$777 | $782; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$783; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 198; break; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 198: 
      var $785=$len; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $786=(($regs+4)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $787=HEAP32[(($786)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $788=(($787+$785)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($786)>>2)]=$788; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $789=(($regs+4)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $790=HEAP32[(($789)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $791=HEAPU8[($790)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $792=(($791)&255); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$792; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $793=$len; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $794=(($793)|0) <= 0; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($794) { __label__ = 199; break; } else { __label__ = 200; break; } //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 199: 
      __label__ = 71; break; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 200: 
      __label__ = 43; break; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 201: 
      $len=5; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 202: 
      __label__ = 203; break; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 203: 
      var $801=(($regs)|0); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $802=HEAP32[(($801)>>2)]; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $803=(($802-8)|0); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $_7=$803; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $804=$_7; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $805=__ZNK2JS5Value6isNullEv($804); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($805) { __label__ = 204; break; } else { __label__ = 205; break; } //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 204: 
      $cond6=0; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 209; break; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 205: 
      var $808=$_7; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $809=__ZNK2JS5Value9isBooleanEv($808); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($809) { __label__ = 206; break; } else { __label__ = 207; break; } //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 206: 
      var $811=$_7; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $812=__ZNK2JS5Value9toBooleanEv($811); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $813=(($812)&1); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond6=$813; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 208; break; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 207: 
      var $815=$_7; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $816=__Z17js_ValueToBooleanRKN2JS5ValueE($815); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $817=(($816)|0)!=0; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $818=$817 ^ 1; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $819=$818 ^ 1; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $820=(($819)&1); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond6=$820; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 208; break;
    case 208: 
      __label__ = 209; break;
    case 209: 
      var $823=(($regs)|0); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $824=HEAP32[(($823)>>2)]; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $825=(($824-8)|0); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($823)>>2)]=$825; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 210; break; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 210: 
      __label__ = 211; break; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 211: 
      var $828=$cond6; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $829=(($828) & 1); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $830=(($829)&1); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $831=(($830)|0)==0; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($831) { __label__ = 212; break; } else { __label__ = 217; break; } //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 212: 
      var $833=(($regs+4)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $834=HEAP32[(($833)>>2)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $835=(($834+1)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $836=HEAPU8[($835)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $837=(($836)&255); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $838=$837 << 24; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $839=(($regs+4)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $840=HEAP32[(($839)>>2)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $841=(($840+2)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $842=HEAPU8[($841)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $843=(($842)&255); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $844=$843 << 16; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $845=$838 | $844; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $846=(($regs+4)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $847=HEAP32[(($846)>>2)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $848=(($847+3)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $849=HEAPU8[($848)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $850=(($849)&255); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $851=$850 << 8; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $852=$845 | $851; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $853=(($regs+4)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $854=HEAP32[(($853)>>2)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $855=(($854+4)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $856=HEAPU8[($855)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $857=(($856)&255); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $858=$852 | $857; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$858; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 213; break; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 213: 
      var $860=$len; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $861=(($regs+4)|0); //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $862=HEAP32[(($861)>>2)]; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $863=(($862+$860)|0); //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($861)>>2)]=$863; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $864=(($regs+4)|0); //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $865=HEAP32[(($864)>>2)]; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $866=HEAPU8[($865)]; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $867=(($866)&255); //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$867; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $868=$len; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $869=(($868)|0) <= 0; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($869) { __label__ = 214; break; } else { __label__ = 215; break; } //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 214: 
      __label__ = 71; break; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 215: 
      __label__ = 43; break; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 216: 
      __label__ = 217; break; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 217: 
      $len=5; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 218: 
      __label__ = 219; break; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 219: 
      var $877=(($regs)|0); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $878=HEAP32[(($877)>>2)]; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $879=(($878-8)|0); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $_9=$879; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $880=$_9; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $881=__ZNK2JS5Value6isNullEv($880); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($881) { __label__ = 220; break; } else { __label__ = 221; break; } //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 220: 
      $cond8=0; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 225; break; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 221: 
      var $884=$_9; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $885=__ZNK2JS5Value9isBooleanEv($884); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($885) { __label__ = 222; break; } else { __label__ = 223; break; } //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 222: 
      var $887=$_9; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $888=__ZNK2JS5Value9toBooleanEv($887); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $889=(($888)&1); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond8=$889; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 224; break; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 223: 
      var $891=$_9; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $892=__Z17js_ValueToBooleanRKN2JS5ValueE($891); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $893=(($892)|0)!=0; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $894=$893 ^ 1; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $895=$894 ^ 1; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $896=(($895)&1); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond8=$896; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 224; break;
    case 224: 
      __label__ = 225; break;
    case 225: 
      var $899=(($regs)|0); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $900=HEAP32[(($899)>>2)]; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $901=(($900-8)|0); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($899)>>2)]=$901; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 226; break; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 226: 
      __label__ = 227; break; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 227: 
      var $904=$cond8; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $905=(($904) & 1); //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $906=(($905)&1); //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $907=(($906)|0)!=0; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($907) { __label__ = 228; break; } else { __label__ = 233; break; } //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 228: 
      var $909=(($regs+4)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $910=HEAP32[(($909)>>2)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $911=(($910+1)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $912=HEAPU8[($911)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $913=(($912)&255); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $914=$913 << 24; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $915=(($regs+4)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $916=HEAP32[(($915)>>2)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $917=(($916+2)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $918=HEAPU8[($917)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $919=(($918)&255); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $920=$919 << 16; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $921=$914 | $920; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $922=(($regs+4)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $923=HEAP32[(($922)>>2)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $924=(($923+3)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $925=HEAPU8[($924)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $926=(($925)&255); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $927=$926 << 8; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $928=$921 | $927; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $929=(($regs+4)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $930=HEAP32[(($929)>>2)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $931=(($930+4)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $932=HEAPU8[($931)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $933=(($932)&255); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $934=$928 | $933; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$934; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 229; break; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 229: 
      var $936=$len; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $937=(($regs+4)|0); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $938=HEAP32[(($937)>>2)]; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $939=(($938+$936)|0); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($937)>>2)]=$939; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $940=(($regs+4)|0); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $941=HEAP32[(($940)>>2)]; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $942=HEAPU8[($941)]; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $943=(($942)&255); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$943; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $944=$len; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $945=(($944)|0) <= 0; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($945) { __label__ = 230; break; } else { __label__ = 231; break; } //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 230: 
      __label__ = 71; break; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 231: 
      __label__ = 43; break; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 232: 
      __label__ = 233; break; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 233: 
      $len=5; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 234: 
      __label__ = 235; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 235: 
      var $953=(($regs)|0); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $954=HEAP32[(($953)>>2)]; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $955=(($954-8)|0); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp11=$955; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $956=$vp11; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $957=__ZNK2JS5Value6isNullEv($956); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($957) { __label__ = 236; break; } else { __label__ = 237; break; } //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 236: 
      $cond10=0; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 241; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 237: 
      var $960=$vp11; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $961=__ZNK2JS5Value9isBooleanEv($960); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($961) { __label__ = 238; break; } else { __label__ = 239; break; } //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 238: 
      var $963=$vp11; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $964=__ZNK2JS5Value9toBooleanEv($963); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $965=(($964)&1); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond10=$965; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 240; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 239: 
      var $967=$vp11; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $968=__Z17js_ValueToBooleanRKN2JS5ValueE($967); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $969=(($968)|0)!=0; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $970=$969 ^ 1; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $971=$970 ^ 1; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $972=(($971)&1); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond10=$972; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 240; break;
    case 240: 
      __label__ = 241; break;
    case 241: 
      var $975=(($regs)|0); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $976=HEAP32[(($975)>>2)]; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $977=(($976-8)|0); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($975)>>2)]=$977; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 242; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 242: 
      __label__ = 243; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 243: 
      var $980=$cond10; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $981=(($980) & 1); //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $982=(($981)&1); //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $983=(($982)|0)==1; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($983) { __label__ = 244; break; } else { __label__ = 250; break; } //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 244: 
      var $985=(($regs+4)|0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $986=HEAP32[(($985)>>2)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $987=(($986+1)|0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $988=HEAPU8[($987)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $989=(($988)&255); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $990=$989 << 24; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $991=(($regs+4)|0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $992=HEAP32[(($991)>>2)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $993=(($992+2)|0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $994=HEAPU8[($993)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $995=(($994)&255); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $996=$995 << 16; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $997=$990 | $996; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $998=(($regs+4)|0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $999=HEAP32[(($998)>>2)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1000=(($999+3)|0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1001=HEAPU8[($1000)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1002=(($1001)&255); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1003=$1002 << 8; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1004=$997 | $1003; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1005=(($regs+4)|0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1006=HEAP32[(($1005)>>2)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1007=(($1006+4)|0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1008=HEAPU8[($1007)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1009=(($1008)&255); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1010=$1004 | $1009; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$1010; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 245; break; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 245: 
      var $1012=(($regs)|0); //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1013=HEAP32[(($1012)>>2)]; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1014=(($1013+8)|0); //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1012)>>2)]=$1014; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1015=$vp11; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1016=$1013; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1017=$1015; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1016)>>2)]=HEAP32[(($1017)>>2)];HEAP32[(($1016+4)>>2)]=HEAP32[(($1017+4)>>2)]; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1018=$2; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1019=(($regs)|0); //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1020=HEAP32[(($1019)>>2)]; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1021=(($1020-8)|0); //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1022=$8; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1023=$1021; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1022)>>2)]=HEAP32[(($1023)>>2)];HEAP32[(($1022+4)>>2)]=HEAP32[(($1023+4)>>2)]; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($1018, $8); //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 246; break; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 246: 
      __label__ = 247; break; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 247: 
      __label__ = 248; break; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 248: 
      __label__ = 42; break; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 249: 
      __label__ = 250; break; //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 250: 
      $len=5; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 251: 
      __label__ = 252; break; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 252: 
      var $1032=(($regs)|0); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1033=HEAP32[(($1032)>>2)]; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1034=(($1033-8)|0); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp13=$1034; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1035=$vp13; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1036=__ZNK2JS5Value6isNullEv($1035); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1036) { __label__ = 253; break; } else { __label__ = 254; break; } //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 253: 
      $cond12=0; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 258; break; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 254: 
      var $1039=$vp13; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1040=__ZNK2JS5Value9isBooleanEv($1039); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1040) { __label__ = 255; break; } else { __label__ = 256; break; } //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 255: 
      var $1042=$vp13; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1043=__ZNK2JS5Value9toBooleanEv($1042); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1044=(($1043)&1); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond12=$1044; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 257; break; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 256: 
      var $1046=$vp13; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1047=__Z17js_ValueToBooleanRKN2JS5ValueE($1046); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1048=(($1047)|0)!=0; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1049=$1048 ^ 1; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1050=$1049 ^ 1; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1051=(($1050)&1); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond12=$1051; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 257; break;
    case 257: 
      __label__ = 258; break;
    case 258: 
      var $1054=(($regs)|0); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1055=HEAP32[(($1054)>>2)]; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1056=(($1055-8)|0); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1054)>>2)]=$1056; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 259; break; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 259: 
      __label__ = 260; break; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 260: 
      var $1059=$cond12; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1060=(($1059) & 1); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1061=(($1060)&1); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1062=(($1061)|0)==0; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1062) { __label__ = 261; break; } else { __label__ = 267; break; } //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 261: 
      var $1064=(($regs+4)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1065=HEAP32[(($1064)>>2)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1066=(($1065+1)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1067=HEAPU8[($1066)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1068=(($1067)&255); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1069=$1068 << 24; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1070=(($regs+4)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1071=HEAP32[(($1070)>>2)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1072=(($1071+2)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1073=HEAPU8[($1072)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1074=(($1073)&255); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1075=$1074 << 16; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1076=$1069 | $1075; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1077=(($regs+4)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1078=HEAP32[(($1077)>>2)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1079=(($1078+3)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1080=HEAPU8[($1079)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1081=(($1080)&255); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1082=$1081 << 8; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1083=$1076 | $1082; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1084=(($regs+4)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1085=HEAP32[(($1084)>>2)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1086=(($1085+4)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1087=HEAPU8[($1086)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1088=(($1087)&255); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1089=$1083 | $1088; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$1089; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 262; break; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 262: 
      var $1091=(($regs)|0); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1092=HEAP32[(($1091)>>2)]; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1093=(($1092+8)|0); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1091)>>2)]=$1093; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1094=$vp13; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1095=$1092; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1096=$1094; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1095)>>2)]=HEAP32[(($1096)>>2)];HEAP32[(($1095+4)>>2)]=HEAP32[(($1096+4)>>2)]; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1097=$2; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1098=(($regs)|0); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1099=HEAP32[(($1098)>>2)]; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1100=(($1099-8)|0); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1101=$9; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1102=$1100; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1101)>>2)]=HEAP32[(($1102)>>2)];HEAP32[(($1101+4)>>2)]=HEAP32[(($1102+4)>>2)]; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($1097, $9); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 263; break; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 263: 
      __label__ = 264; break; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 264: 
      __label__ = 265; break; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 265: 
      __label__ = 42; break; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 266: 
      __label__ = 267; break; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 267: 
      $len=5; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 268: 
      var $1110=(($regs)|0); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1111=HEAP32[(($1110)>>2)]; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1112=(($1111-8)|0); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref=$1112; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1113=$rref; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1114=__ZNK2JS5Value8isObjectEv($1113); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1114) { __label__ = 270; break; } else { __label__ = 269; break; } //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 269: 
      var $1116=$2; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1117=$rref; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1118=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($1116, 0, 27, -1, $1117, 0, 0, 0); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 270: 
      var $1120=$rref; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1121=__ZNK2JS5Value8toObjectEv($1120); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj=$1121; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 271; break; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 271: 
      var $1123=(($regs)|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1124=HEAP32[(($1123)>>2)]; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1125=(($1124-16)|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_=$1125; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1126=$idval_; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1127=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($1126, $i_); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1127) { __label__ = 272; break; } else { __label__ = 274; break; } //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 272: 
      var $1129=HEAP32[(($i_)>>2)]; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1130=_INT_FITS_IN_JSID1825($1129); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1131=(($1130)|0)!=0; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1131) { __label__ = 273; break; } else { __label__ = 274; break; } //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 273: 
      var $1133=HEAP32[(($i_)>>2)]; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1134=_INT_TO_JSID1826($1133); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id)>>2)]=$1134; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 277; break; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 274: 
      var $1136=$2; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1137=$obj; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1138=$idval_; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1139=(($regs)|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1140=HEAP32[(($1139)>>2)]; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1141=(($1140-16)|0); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1142=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($1136, $1137, $1138, $id, $1141); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1142) { __label__ = 276; break; } else { __label__ = 275; break; } //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 275: 
      __label__ = 2152; break; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 276: 
      __label__ = 277; break;
    case 277: 
      __label__ = 278; break; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 278: 
      __label__ = 279; break; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 279: 
      var $1148=$obj; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1149=$2; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1150=HEAP32[(($id)>>2)]; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1151=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($1148, $1149, $1150, $obj2, $prop); //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1152=(($1151)|0)!=0; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1152) { __label__ = 281; break; } else { __label__ = 280; break; } //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 280: 
      __label__ = 2152; break; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 281: 
      var $1155=HEAP32[(($prop)>>2)]; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1156=(($1155)|0)!=0; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1157=(($1156)&1); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond14=$1157; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 282; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 282: 
      var $1159=(($regs+4)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1160=HEAP32[(($1159)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1161=(($1160+1)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1162=HEAPU8[($1161)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1163=(($1162)&255); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1164=(($1163-7)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $diff_=$1164; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1165=$diff_; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1166=(($1165)>>>0) <= 1; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1166) { __label__ = 283; break; } else { __label__ = 292; break; } //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 283: 
      var $1168=(($regs)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1169=HEAP32[(($1168)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1170=(($1169-16)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1168)>>2)]=$1170; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1171=$cond14; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1172=(($1171) & 1); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1173=(($1172)&1); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1174=$diff_; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1175=(($1174)|0)!=0; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1176=(($1175)&1); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1177=(($1173)|0)==(($1176)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1177) { __label__ = 284; break; } else { __label__ = 289; break; } //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 284: 
      var $1179=(($regs+4)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1180=HEAP32[(($1179)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1181=(($1180+1)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1179)>>2)]=$1181; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1182=(($regs+4)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1183=HEAP32[(($1182)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1184=(($1183+1)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1185=HEAPU8[($1184)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1186=(($1185)&255); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1187=$1186 << 8; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1188=(($regs+4)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1189=HEAP32[(($1188)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1190=(($1189+2)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1191=HEAPU8[($1190)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1192=(($1191)&255); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1193=$1187 | $1192; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1194=(($1193) & 65535); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1195=(($1194 << 16) >> 16); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$1195; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 285; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 285: 
      var $1197=$len; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1198=(($regs+4)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1199=HEAP32[(($1198)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1200=(($1199+$1197)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1198)>>2)]=$1200; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1201=(($regs+4)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1202=HEAP32[(($1201)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1203=HEAPU8[($1202)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1204=(($1203)&255); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$1204; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1205=$len; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1206=(($1205)|0) <= 0; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1206) { __label__ = 286; break; } else { __label__ = 287; break; } //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 286: 
      __label__ = 71; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 287: 
      __label__ = 43; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 288: 
      __label__ = 289; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 289: 
      $len=4; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 290; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 290: 
      __label__ = 42; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 291: 
      __label__ = 292; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 292: 
      __label__ = 293; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 293: 
      __label__ = 294; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 294: 
      var $1218=(($regs)|0); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1219=HEAP32[(($1218)>>2)]; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1220=(($1219-8)|0); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1218)>>2)]=$1220; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1221=(($regs)|0); //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1222=HEAP32[(($1221)>>2)]; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1223=(($1222-8)|0); //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1224=$cond14; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1225=(($1224) & 1); //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($1223, $1225); //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 295: 
      var $1227=(($regs+4)|0); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1228=HEAP32[(($1227)>>2)]; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1229=(($1228+1)|0); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1230=HEAPU8[($1229)]; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1231=(($1230)&255); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $flags=$1231; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1232=$2; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1233=$flags; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1234=(($regs)|0); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1235=HEAP32[(($1234)>>2)]; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1236=(($1235-8)|0); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1237=__Z18js_ValueToIteratorP9JSContextjPN2JS5ValueE($1232, $1233, $1236); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1238=(($1237)|0)!=0; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1238) { __label__ = 297; break; } else { __label__ = 296; break; } //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 296: 
      __label__ = 2152; break; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 297: 
      __label__ = 298; break; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 298: 
      var $1242=$2; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1243=(($1242+200)|0); //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1244=HEAP32[(($1243)>>2)]; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1245=(($1244)|0); //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1246=HEAP32[(($1245)>>2)]; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1247=(($1246)|0)!=0; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1247) { __label__ = 299; break; } else { __label__ = 300; break; } //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 299: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 300; break; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 300: 
      __label__ = 301; break; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 301: 
      __label__ = 302; break; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 302: 
      $len=2; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 303: 
      var $1253=(($regs)|0); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1254=HEAP32[(($1253)>>2)]; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1255=(($1254+8)|0); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1253)>>2)]=$1255; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value7setNullEv($1254); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1256=$2; //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1257=(($regs)|0); //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1258=HEAP32[(($1257)>>2)]; //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1259=(($1258-16)|0); //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1260=__ZNK2JS5Value8toObjectEv($1259); //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1261=(($regs)|0); //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1262=HEAP32[(($1261)>>2)]; //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1263=(($1262-8)|0); //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1264=__ZL12IteratorMoreP9JSContextP8JSObjectPbPN2JS5ValueE($1256, $1260, $cond15, $1263); //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1264) { __label__ = 305; break; } else { __label__ = 304; break; } //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 304: 
      __label__ = 2152; break; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 305: 
      __label__ = 306; break; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 306: 
      var $1268=$2; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1269=(($1268+200)|0); //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1270=HEAP32[(($1269)>>2)]; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1271=(($1270)|0); //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1272=HEAP32[(($1271)>>2)]; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1273=(($1272)|0)!=0; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1273) { __label__ = 307; break; } else { __label__ = 308; break; } //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 307: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 308; break; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 308: 
      __label__ = 309; break; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 309: 
      __label__ = 310; break; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 310: 
      var $1278=(($regs)|0); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1279=HEAP32[(($1278)>>2)]; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1280=(($1279-8)|0); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1281=HEAP8[($cond15)]; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1282=(($1281) & 1); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($1280, $1282); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 311: 
      var $1284=(($regs)|0); //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1285=HEAP32[(($1284)>>2)]; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1286=(($regs+4)|0); //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1287=HEAP32[(($1286)>>2)]; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1288=(($1287+1)|0); //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1289=HEAP8[($1288)]; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1290=(($1289 << 24) >> 24); //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1291=(((-$1290))|0); //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1292=(($1285+($1291<<3))|0); //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $itervp=$1292; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1293=(($regs)|0); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1294=HEAP32[(($1293)>>2)]; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1295=(($1294+8)|0); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1293)>>2)]=$1295; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value7setNullEv($1294); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1296=$2; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1297=$itervp; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1298=__ZNK2JS5Value8toObjectEv($1297); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1299=(($regs)|0); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1300=HEAP32[(($1299)>>2)]; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1301=(($1300-8)|0); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1302=__ZL12IteratorNextP9JSContextP8JSObjectPN2JS5ValueE($1296, $1298, $1301); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1302) { __label__ = 313; break; } else { __label__ = 312; break; } //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 312: 
      __label__ = 2152; break; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 313: 
      $len=2; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 314: 
      var $1306=$2; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1307=(($regs)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1308=HEAP32[(($1307)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1309=(($1308-8)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1310=__ZNK2JS5Value8toObjectEv($1309); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1311=__Z16js_CloseIteratorP9JSContextP8JSObject($1306, $1310); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1312=(($1311)|0)!=0; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1313=$1312 ^ 1; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1314=$1313 ^ 1; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1315=(($1314)&1); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok=$1315; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1316=(($regs)|0); //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1317=HEAP32[(($1316)>>2)]; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1318=(($1317-8)|0); //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1316)>>2)]=$1318; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1319=$ok; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1320=(($1319) & 1); //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1320) { __label__ = 316; break; } else { __label__ = 315; break; } //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 315: 
      __label__ = 2152; break; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 316: 
      $len=1; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 317: 
      var $1324=(($regs)|0); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1325=HEAP32[(($1324)>>2)]; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1326=(($1325-8)|0); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref16=$1326; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 318; break; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 318: 
      var $1328=(($regs)|0); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1329=HEAP32[(($1328)>>2)]; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1330=(($1329+8)|0); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1328)>>2)]=$1330; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1331=$rref16; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1332=$1329; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1333=$1331; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1332)>>2)]=HEAP32[(($1333)>>2)];HEAP32[(($1332+4)>>2)]=HEAP32[(($1333+4)>>2)]; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1334=$2; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1335=(($regs)|0); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1336=HEAP32[(($1335)>>2)]; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1337=(($1336-8)|0); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1338=$10; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1339=$1337; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1338)>>2)]=HEAP32[(($1339)>>2)];HEAP32[(($1338+4)>>2)]=HEAP32[(($1339+4)>>2)]; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($1334, $10); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 319; break; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 319: 
      __label__ = 320; break; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 320: 
      $len=1; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 321: 
      var $1343=(($regs)|0); //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1344=HEAP32[(($1343)>>2)]; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1345=(($1344-16)|0); //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref=$1345; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1346=(($regs)|0); //@line 2597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1347=HEAP32[(($1346)>>2)]; //@line 2597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1348=(($1347-8)|0); //@line 2597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref17=$1348; //@line 2597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 322; break; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 322: 
      var $1350=(($regs)|0); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1351=HEAP32[(($1350)>>2)]; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1352=(($1351+8)|0); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1350)>>2)]=$1352; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1353=$lref; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1354=$1351; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1355=$1353; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1354)>>2)]=HEAP32[(($1355)>>2)];HEAP32[(($1354+4)>>2)]=HEAP32[(($1355+4)>>2)]; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1356=$2; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1357=(($regs)|0); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1358=HEAP32[(($1357)>>2)]; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1359=(($1358-8)|0); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1360=$11; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1361=$1359; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1360)>>2)]=HEAP32[(($1361)>>2)];HEAP32[(($1360+4)>>2)]=HEAP32[(($1361+4)>>2)]; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($1356, $11); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 323; break; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 323: 
      __label__ = 324; break; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 324: 
      __label__ = 325; break; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 325: 
      var $1365=(($regs)|0); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1366=HEAP32[(($1365)>>2)]; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1367=(($1366+8)|0); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1365)>>2)]=$1367; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1368=$rref17; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1369=$1366; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1370=$1368; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1369)>>2)]=HEAP32[(($1370)>>2)];HEAP32[(($1369+4)>>2)]=HEAP32[(($1370+4)>>2)]; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1371=$2; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1372=(($regs)|0); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1373=HEAP32[(($1372)>>2)]; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1374=(($1373-8)|0); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1375=$12; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1376=$1374; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1375)>>2)]=HEAP32[(($1376)>>2)];HEAP32[(($1375+4)>>2)]=HEAP32[(($1376+4)>>2)]; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($1371, $12); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 326; break; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 326: 
      __label__ = 327; break; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 327: 
      $len=1; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 328: 
      var $1380=(($regs)|0); //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1381=HEAP32[(($1380)>>2)]; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1382=(($1381-16)|0); //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref18=$1382; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1383=(($regs)|0); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1384=HEAP32[(($1383)>>2)]; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1385=(($1384-8)|0); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref19=$1385; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1386=$lref18; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1387=$rref19; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value4swapERS0_($1386, $1387); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 329: 
      var $1389=(($regs+4)|0); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1390=HEAP32[(($1389)>>2)]; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1391=(($1390+1)|0); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1392=HEAPU8[($1391)]; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1393=(($1392)&255); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i=$1393; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1394=$i; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1395=(($1394+1)|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1396=(((-$1395))|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1397=(($regs)|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1398=HEAP32[(($1397)>>2)]; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1399=(($1398+($1396<<3))|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1400=$lval; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1401=$1399; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1400)>>2)]=HEAP32[(($1401)>>2)];HEAP32[(($1400+4)>>2)]=HEAP32[(($1401+4)>>2)]; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1402=(($regs)|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1403=HEAP32[(($1402)>>2)]; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1404=$i; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1405=(($1404+1)|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1406=(((-$1405))|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1407=(($1403+($1406<<3))|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1408=$1407; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1409=(($regs)|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1410=HEAP32[(($1409)>>2)]; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1411=$i; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1412=(((-$1411))|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1413=(($1410+($1412<<3))|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1414=$1413; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1415=$i; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1416=((($1415<<3))|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _llvm_memmove_p0i8_p0i8_i32($1408, $1414, $1416, 1, 0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1417=(($regs)|0); //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1418=HEAP32[(($1417)>>2)]; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1419=(($1418-8)|0); //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1420=$1419; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1421=$lval; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1420)>>2)]=HEAP32[(($1421)>>2)];HEAP32[(($1420+4)>>2)]=HEAP32[(($1421+4)>>2)]; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=2; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 330: 
      __label__ = 331; break; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 331: 
      var $1424=(($regs+4)|0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1425=HEAP32[(($1424)>>2)]; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1426=(($1425)|0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1427=(($1426+1)|0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1428=HEAPU8[($1427)]; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1429=(($1428)&255); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1430=$1429 << 8; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1431=(($regs+4)|0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1432=HEAP32[(($1431)>>2)]; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1433=(($1432)|0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1434=(($1433+2)|0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1435=HEAPU8[($1434)]; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1436=(($1435)&255); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1437=$1430 | $1436; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1438=$atoms; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1439=(($1438+($1437<<2))|0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1440=HEAP32[(($1439)>>2)]; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom=$1440; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 332; break; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 332: 
      __label__ = 333; break; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 333: 
      var $1443=__ZNK2js9FrameRegs2fpEv($regs); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1444=__ZN2js10StackFrame6varObjEv($1443); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj20=$1444; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1445=(($regs)|0); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1446=HEAP32[(($1445)>>2)]; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1447=(($1446-8)|0); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ref=$1447; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1448=$obj20; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1449=$2; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1450=$atom; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1451=__ZL12ATOM_TO_JSIDP6JSAtom1798($1450); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1452=$ref; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1453=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($1448, $1449, $1451, $1452, 8, 10, 7); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1454=(($1453)|0)!=0; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1454) { __label__ = 335; break; } else { __label__ = 334; break; } //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 334: 
      __label__ = 2152; break; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 335: 
      var $1457=(($regs+4)|0); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1458=HEAP32[(($1457)>>2)]; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1459=(($1458+3)|0); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1460=HEAPU8[($1459)]; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1461=(($1460)&255); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1462=(($1461)|0)==81; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1462) { __label__ = 336; break; } else { __label__ = 337; break; } //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 336: 
      var $1464=(($regs)|0); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1465=HEAP32[(($1464)>>2)]; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1466=(($1465-8)|0); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1464)>>2)]=$1466; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1467=(($regs+4)|0); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1468=HEAP32[(($1467)>>2)]; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1469=(($1468+4)|0); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1467)>>2)]=$1469; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1470=(($regs+4)|0); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1471=HEAP32[(($1470)>>2)]; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1472=HEAPU8[($1471)]; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1473=(($1472)&255); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$1473; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 337: 
      $len=3; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 338: 
      var $1476=(($regs)|0); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1477=HEAP32[(($1476)>>2)]; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1478=(($1477-24)|0); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ref21=$1478; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 339; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 339: 
      var $1480=(($regs)|0); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1481=HEAP32[(($1480)>>2)]; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1482=(($1481-16)|0); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_=$1482; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 340; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 340: 
      var $1484=$vp_; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1485=__ZNK2JS5Value8isObjectEv($1484); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1485) { __label__ = 341; break; } else { __label__ = 342; break; } //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 341: 
      var $1487=$vp_; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1488=__ZNK2JS5Value8toObjectEv($1487); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj22=$1488; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 345; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 342: 
      var $1490=$2; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1491=$vp_; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1492=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($1490, $1491); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj22=$1492; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1493=$obj22; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1494=(($1493)|0)!=0; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1494) { __label__ = 344; break; } else { __label__ = 343; break; } //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 343: 
      __label__ = 2152; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 344: 
      var $1497=$vp_; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1498=$obj22; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($1497, $1498); //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 345; break;
    case 345: 
      __label__ = 346; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 346: 
      __label__ = 347; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 347: 
      __label__ = 348; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 348: 
      __label__ = 349; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 349: 
      __label__ = 350; break; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 350: 
      var $1505=(($regs)|0); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1506=HEAP32[(($1505)>>2)]; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1507=(($1506-8)|0); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_24=$1507; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1508=$idval_24; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1509=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($1508, $i_25); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1509) { __label__ = 351; break; } else { __label__ = 353; break; } //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 351: 
      var $1511=HEAP32[(($i_25)>>2)]; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1512=_INT_FITS_IN_JSID1825($1511); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1513=(($1512)|0)!=0; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1513) { __label__ = 352; break; } else { __label__ = 353; break; } //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 352: 
      var $1515=HEAP32[(($i_25)>>2)]; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1516=_INT_TO_JSID1826($1515); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id23)>>2)]=$1516; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 356; break; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 353: 
      var $1518=$2; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1519=$obj22; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1520=$idval_24; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1521=(($regs)|0); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1522=HEAP32[(($1521)>>2)]; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1523=(($1522-8)|0); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1524=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($1518, $1519, $1520, $id23, $1523); //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1524) { __label__ = 355; break; } else { __label__ = 354; break; } //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 354: 
      __label__ = 2152; break; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 355: 
      __label__ = 356; break;
    case 356: 
      __label__ = 357; break; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 357: 
      __label__ = 358; break; //@line 2704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 358: 
      var $1530=$obj22; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1531=$2; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1532=HEAP32[(($id23)>>2)]; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1533=$ref21; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1534=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($1530, $1531, $1532, $1533, 8, 10, 7); //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1535=(($1534)|0)!=0; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1535) { __label__ = 360; break; } else { __label__ = 359; break; } //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 359: 
      __label__ = 2152; break; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 360: 
      var $1538=(($regs)|0); //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1539=HEAP32[(($1538)>>2)]; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1540=(($1539-24)|0); //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1538)>>2)]=$1540; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 361: 
      __label__ = 362; break; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 362: 
      var $1543=(($regs)|0); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1544=HEAP32[(($1543)>>2)]; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1545=(($1544+8)|0); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1543)>>2)]=$1545; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1546=__ZNK2js9FrameRegs2fpEv($regs); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1547=__ZNK2js10StackFrame10scopeChainEv($1546); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1548=__ZNK8JSObject9getGlobalEv($1547); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1549=$1548; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($1544, $1549); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1550=$2; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1551=(($regs)|0); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1552=HEAP32[(($1551)>>2)]; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1553=(($1552-8)|0); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1554=$13; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1555=$1553; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1554)>>2)]=HEAP32[(($1555)>>2)];HEAP32[(($1554+4)>>2)]=HEAP32[(($1555+4)>>2)]; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($1550, $13); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 363; break; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 363: 
      __label__ = 364; break; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 364: 
      $len=3; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 365: 
      __label__ = 366; break; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 366: 
      var $1560=__ZNK2js9FrameRegs2fpEv($regs); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1561=__ZNK2js10StackFrame10scopeChainEv($1560); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj26)>>2)]=$1561; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1562=HEAP32[(($obj26)>>2)]; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1563=__ZNK8JSObject9getParentEv($1562); //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1564=(($1563)|0)!=0; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1564) { __label__ = 368; break; } else { __label__ = 367; break; } //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 367: 
      __label__ = 374; break; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 368: 
      var $1567=$2; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1568=(($1567+52)|0); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1569=HEAP32[(($1568)>>2)]; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1570=(($1569+144280)|0); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1571=(($1570+56)|0); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1572=$2; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1573=(($regs+4)|0); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1574=HEAP32[(($1573)>>2)]; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js13PropertyCache4testEP9JSContextPhRP8JSObjectS6_RPNS_18PropertyCacheEntryERP6JSAtom($1571, $1572, $1574, $obj26, $obj227, $entry, $atom28); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1575=HEAP32[(($atom28)>>2)]; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1576=(($1575)|0)!=0; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1576) { __label__ = 370; break; } else { __label__ = 369; break; } //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 369: 
      __label__ = 374; break; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 370: 
      var $1579=HEAP32[(($atom28)>>2)]; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1580=__ZL12ATOM_TO_JSIDP6JSAtom1798($1579); //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id29=$1580; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1581=$2; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1582=__ZNK2js9FrameRegs2fpEv($regs); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1583=__ZNK2js10StackFrame10scopeChainEv($1582); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1584=$id29; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1585=__Z21js_FindIdentifierBaseP9JSContextP8JSObjecti($1581, $1583, $1584); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj26)>>2)]=$1585; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1586=HEAP32[(($obj26)>>2)]; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1587=(($1586)|0)!=0; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1587) { __label__ = 372; break; } else { __label__ = 371; break; } //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 371: 
      __label__ = 2152; break; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 372: 
      __label__ = 373; break; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 373: 
      __label__ = 374; break; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 374: 
      __label__ = 375; break; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 375: 
      var $1593=(($regs)|0); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1594=HEAP32[(($1593)>>2)]; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1595=(($1594+8)|0); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1593)>>2)]=$1595; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1596=HEAP32[(($obj26)>>2)]; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($1594, $1596); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1597=$2; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1598=(($regs)|0); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1599=HEAP32[(($1598)>>2)]; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1600=(($1599-8)|0); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1601=$14; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1602=$1600; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1601)>>2)]=HEAP32[(($1602)>>2)];HEAP32[(($1601+4)>>2)]=HEAP32[(($1602+4)>>2)]; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($1597, $14); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 376; break; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 376: 
      __label__ = 377; break; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 377: 
      $len=3; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 378: 
      var $1606=__ZNK2js9FrameRegs2fpEv($regs); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1607=__ZNK2js10StackFrame8imacropcEv($1606); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1608=HEAPU8[($1607)]; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1609=(($1608)&255); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$1609; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 379: 
      __label__ = 380; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 380: 
      var $1612=$2; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1613=(($regs)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1614=HEAP32[(($1613)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1615=(($1614-16)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1616=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($1612, $1615, $i30); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1616) { __label__ = 382; break; } else { __label__ = 381; break; } //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 381: 
      __label__ = 2152; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 382: 
      var $1619=$2; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1620=(($regs)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1621=HEAP32[(($1620)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1622=(($1621-8)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1623=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($1619, $1622, $j); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1623) { __label__ = 384; break; } else { __label__ = 383; break; } //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 383: 
      __label__ = 2152; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 384: 
      var $1626=HEAP32[(($i30)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1627=HEAP32[(($j)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1628=$1626 | $1627; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($i30)>>2)]=$1628; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1629=(($regs)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1630=HEAP32[(($1629)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1631=(($1630-8)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1629)>>2)]=$1631; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1632=(($regs)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1633=HEAP32[(($1632)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1634=(($1633-8)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1635=HEAP32[(($i30)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($1634, $1635); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 385; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 385: 
      __label__ = 386; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 386: 
      $len=1; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 387: 
      __label__ = 388; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 388: 
      var $1640=$2; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1641=(($regs)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1642=HEAP32[(($1641)>>2)]; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1643=(($1642-16)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1644=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($1640, $1643, $i31); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1644) { __label__ = 390; break; } else { __label__ = 389; break; } //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 389: 
      __label__ = 2152; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 390: 
      var $1647=$2; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1648=(($regs)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1649=HEAP32[(($1648)>>2)]; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1650=(($1649-8)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1651=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($1647, $1650, $j32); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1651) { __label__ = 392; break; } else { __label__ = 391; break; } //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 391: 
      __label__ = 2152; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 392: 
      var $1654=HEAP32[(($i31)>>2)]; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1655=HEAP32[(($j32)>>2)]; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1656=$1654 ^ $1655; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($i31)>>2)]=$1656; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1657=(($regs)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1658=HEAP32[(($1657)>>2)]; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1659=(($1658-8)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1657)>>2)]=$1659; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1660=(($regs)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1661=HEAP32[(($1660)>>2)]; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1662=(($1661-8)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1663=HEAP32[(($i31)>>2)]; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($1662, $1663); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 393; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 393: 
      __label__ = 394; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 394: 
      $len=1; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 395: 
      __label__ = 396; break; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 396: 
      var $1668=$2; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1669=(($regs)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1670=HEAP32[(($1669)>>2)]; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1671=(($1670-16)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1672=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($1668, $1671, $i33); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1672) { __label__ = 398; break; } else { __label__ = 397; break; } //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 397: 
      __label__ = 2152; break; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 398: 
      var $1675=$2; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1676=(($regs)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1677=HEAP32[(($1676)>>2)]; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1678=(($1677-8)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1679=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($1675, $1678, $j34); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1679) { __label__ = 400; break; } else { __label__ = 399; break; } //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 399: 
      __label__ = 2152; break; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 400: 
      var $1682=HEAP32[(($i33)>>2)]; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1683=HEAP32[(($j34)>>2)]; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1684=$1682 & $1683; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($i33)>>2)]=$1684; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1685=(($regs)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1686=HEAP32[(($1685)>>2)]; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1687=(($1686-8)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1685)>>2)]=$1687; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1688=(($regs)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1689=HEAP32[(($1688)>>2)]; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1690=(($1689-8)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1691=HEAP32[(($i33)>>2)]; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($1690, $1691); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 401; break; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 401: 
      __label__ = 402; break; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 402: 
      $len=1; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 403: 
      __label__ = 404; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 404: 
      var $1696=(($regs)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1697=HEAP32[(($1696)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1698=(($1697-8)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1699=$rval35; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1700=$1698; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1699)>>2)]=HEAP32[(($1700)>>2)];HEAP32[(($1699+4)>>2)]=HEAP32[(($1700+4)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1701=(($regs)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1702=HEAP32[(($1701)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1703=(($1702-16)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1704=$lval36; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1705=$1703; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1704)>>2)]=HEAP32[(($1705)>>2)];HEAP32[(($1704+4)>>2)]=HEAP32[(($1705+4)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1706=$2; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1707=__ZN2js12LooselyEqualEP9JSContextRKN2JS5ValueES5_Pi($1706, $lval36, $rval35, $cond37); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1707) { __label__ = 406; break; } else { __label__ = 405; break; } //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 405: 
      __label__ = 2152; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 406: 
      var $1710=HEAP32[(($cond37)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1711=(($1710)|0)==1; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1712=(($1711)&1); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($cond37)>>2)]=$1712; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 407; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 407: 
      var $1714=(($regs+4)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1715=HEAP32[(($1714)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1716=(($1715+1)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1717=HEAPU8[($1716)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1718=(($1717)&255); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1719=(($1718-7)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $diff_38=$1719; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1720=$diff_38; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1721=(($1720)>>>0) <= 1; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1721) { __label__ = 408; break; } else { __label__ = 417; break; } //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 408: 
      var $1723=(($regs)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1724=HEAP32[(($1723)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1725=(($1724-16)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1723)>>2)]=$1725; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1726=HEAP32[(($cond37)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1727=$diff_38; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1728=(($1727)|0)!=0; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1729=(($1728)&1); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1730=(($1726)|0)==(($1729)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1730) { __label__ = 409; break; } else { __label__ = 414; break; } //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 409: 
      var $1732=(($regs+4)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1733=HEAP32[(($1732)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1734=(($1733+1)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1732)>>2)]=$1734; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1735=(($regs+4)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1736=HEAP32[(($1735)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1737=(($1736+1)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1738=HEAPU8[($1737)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1739=(($1738)&255); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1740=$1739 << 8; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1741=(($regs+4)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1742=HEAP32[(($1741)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1743=(($1742+2)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1744=HEAPU8[($1743)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1745=(($1744)&255); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1746=$1740 | $1745; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1747=(($1746) & 65535); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1748=(($1747 << 16) >> 16); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$1748; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 410; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 410: 
      var $1750=$len; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1751=(($regs+4)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1752=HEAP32[(($1751)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1753=(($1752+$1750)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1751)>>2)]=$1753; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1754=(($regs+4)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1755=HEAP32[(($1754)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1756=HEAPU8[($1755)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1757=(($1756)&255); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$1757; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1758=$len; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1759=(($1758)|0) <= 0; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1759) { __label__ = 411; break; } else { __label__ = 412; break; } //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 411: 
      __label__ = 71; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 412: 
      __label__ = 43; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 413: 
      __label__ = 414; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 414: 
      $len=4; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 415; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 415: 
      __label__ = 42; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 416: 
      __label__ = 417; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 417: 
      __label__ = 418; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 418: 
      __label__ = 419; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 419: 
      var $1771=(($regs)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1772=HEAP32[(($1771)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1773=(($1772-8)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1771)>>2)]=$1773; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1774=(($regs)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1775=HEAP32[(($1774)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1776=(($1775-8)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1777=HEAP32[(($cond37)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1778=(($1777)|0)!=0; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($1776, $1778); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 420; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 420: 
      __label__ = 421; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 421: 
      $len=1; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 422: 
      __label__ = 423; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 423: 
      var $1783=(($regs)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1784=HEAP32[(($1783)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1785=(($1784-8)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1786=$rval39; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1787=$1785; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1786)>>2)]=HEAP32[(($1787)>>2)];HEAP32[(($1786+4)>>2)]=HEAP32[(($1787+4)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1788=(($regs)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1789=HEAP32[(($1788)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1790=(($1789-16)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1791=$lval40; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1792=$1790; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1791)>>2)]=HEAP32[(($1792)>>2)];HEAP32[(($1791+4)>>2)]=HEAP32[(($1792+4)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1793=$2; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1794=__ZN2js12LooselyEqualEP9JSContextRKN2JS5ValueES5_Pi($1793, $lval40, $rval39, $cond41); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1794) { __label__ = 425; break; } else { __label__ = 424; break; } //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 424: 
      __label__ = 2152; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 425: 
      var $1797=HEAP32[(($cond41)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1798=(($1797)|0)!=1; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1799=(($1798)&1); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($cond41)>>2)]=$1799; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 426; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 426: 
      var $1801=(($regs+4)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1802=HEAP32[(($1801)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1803=(($1802+1)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1804=HEAPU8[($1803)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1805=(($1804)&255); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1806=(($1805-7)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $diff_42=$1806; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1807=$diff_42; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1808=(($1807)>>>0) <= 1; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1808) { __label__ = 427; break; } else { __label__ = 436; break; } //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 427: 
      var $1810=(($regs)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1811=HEAP32[(($1810)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1812=(($1811-16)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1810)>>2)]=$1812; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1813=HEAP32[(($cond41)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1814=$diff_42; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1815=(($1814)|0)!=0; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1816=(($1815)&1); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1817=(($1813)|0)==(($1816)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1817) { __label__ = 428; break; } else { __label__ = 433; break; } //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 428: 
      var $1819=(($regs+4)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1820=HEAP32[(($1819)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1821=(($1820+1)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1819)>>2)]=$1821; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1822=(($regs+4)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1823=HEAP32[(($1822)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1824=(($1823+1)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1825=HEAPU8[($1824)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1826=(($1825)&255); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1827=$1826 << 8; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1828=(($regs+4)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1829=HEAP32[(($1828)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1830=(($1829+2)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1831=HEAPU8[($1830)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1832=(($1831)&255); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1833=$1827 | $1832; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1834=(($1833) & 65535); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1835=(($1834 << 16) >> 16); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$1835; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 429; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 429: 
      var $1837=$len; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1838=(($regs+4)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1839=HEAP32[(($1838)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1840=(($1839+$1837)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1838)>>2)]=$1840; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1841=(($regs+4)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1842=HEAP32[(($1841)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1843=HEAPU8[($1842)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1844=(($1843)&255); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$1844; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1845=$len; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1846=(($1845)|0) <= 0; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1846) { __label__ = 430; break; } else { __label__ = 431; break; } //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 430: 
      __label__ = 71; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 431: 
      __label__ = 43; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 432: 
      __label__ = 433; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 433: 
      $len=4; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 434; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 434: 
      __label__ = 42; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 435: 
      __label__ = 436; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 436: 
      __label__ = 437; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 437: 
      __label__ = 438; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 438: 
      var $1858=(($regs)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1859=HEAP32[(($1858)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1860=(($1859-8)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1858)>>2)]=$1860; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1861=(($regs)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1862=HEAP32[(($1861)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1863=(($1862-8)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1864=HEAP32[(($cond41)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1865=(($1864)|0)!=0; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($1863, $1865); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 439; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 439: 
      __label__ = 440; break; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 440: 
      $len=1; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 441: 
      __label__ = 442; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 442: 
      var $1870=(($regs)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1871=HEAP32[(($1870)>>2)]; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1872=(($1871-8)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref44=$1872; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1873=(($regs)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1874=HEAP32[(($1873)>>2)]; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1875=(($1874-16)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref45=$1875; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1876=$2; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1877=$lref45; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1878=$rref44; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1879=__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi($1876, $1877, $1878, $equal); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1879) { __label__ = 444; break; } else { __label__ = 443; break; } //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 443: 
      __label__ = 2152; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 444: 
      var $1882=HEAP32[(($equal)>>2)]; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1883=(($1882)|0)==1; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1884=(($1883)&1); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond43=$1884; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1885=(($regs)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1886=HEAP32[(($1885)>>2)]; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1887=(($1886-8)|0); //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1885)>>2)]=$1887; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 445; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 445: 
      __label__ = 446; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 446: 
      var $1890=(($regs)|0); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1891=HEAP32[(($1890)>>2)]; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1892=(($1891-8)|0); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1893=$cond43; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1894=(($1893) & 1); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($1892, $1894); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 447: 
      __label__ = 448; break; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 448: 
      var $1897=(($regs)|0); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1898=HEAP32[(($1897)>>2)]; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1899=(($1898-8)|0); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref47=$1899; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1900=(($regs)|0); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1901=HEAP32[(($1900)>>2)]; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1902=(($1901-16)|0); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref48=$1902; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1903=$2; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1904=$lref48; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1905=$rref47; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1906=__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi($1903, $1904, $1905, $equal49); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1906) { __label__ = 450; break; } else { __label__ = 449; break; } //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 449: 
      __label__ = 2152; break; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 450: 
      var $1909=HEAP32[(($equal49)>>2)]; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1910=(($1909)|0)!=1; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1911=(($1910)&1); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond46=$1911; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1912=(($regs)|0); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1913=HEAP32[(($1912)>>2)]; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1914=(($1913-8)|0); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1912)>>2)]=$1914; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 451; break; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 451: 
      __label__ = 452; break; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 452: 
      var $1917=(($regs)|0); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1918=HEAP32[(($1917)>>2)]; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1919=(($1918-8)|0); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1920=$cond46; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1921=(($1920) & 1); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($1919, $1921); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 453: 
      __label__ = 454; break; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 454: 
      var $1924=(($regs)|0); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1925=HEAP32[(($1924)>>2)]; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1926=(($1925-8)|0); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref51=$1926; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1927=(($regs)|0); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1928=HEAP32[(($1927)>>2)]; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1929=(($1928-16)|0); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref52=$1929; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1930=$2; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1931=$lref52; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1932=$rref51; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1933=__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi($1930, $1931, $1932, $equal53); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1933) { __label__ = 456; break; } else { __label__ = 455; break; } //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 455: 
      __label__ = 2152; break; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 456: 
      var $1936=HEAP32[(($equal53)>>2)]; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1937=(($1936)|0)==1; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1938=(($1937)&1); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond50=$1938; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1939=(($regs)|0); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1940=HEAP32[(($1939)>>2)]; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1941=(($1940-8)|0); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1939)>>2)]=$1941; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 457; break; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 457: 
      __label__ = 458; break; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 458: 
      var $1944=$cond50; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1945=(($1944) & 1); //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1945) { __label__ = 459; break; } else { __label__ = 464; break; } //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 459: 
      var $1947=(($regs)|0); //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1948=HEAP32[(($1947)>>2)]; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1949=(($1948-8)|0); //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1947)>>2)]=$1949; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1950=(($regs+4)|0); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1951=HEAP32[(($1950)>>2)]; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1952=(($1951+1)|0); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1953=HEAPU8[($1952)]; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1954=(($1953)&255); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1955=$1954 << 8; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1956=(($regs+4)|0); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1957=HEAP32[(($1956)>>2)]; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1958=(($1957+2)|0); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1959=HEAPU8[($1958)]; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1960=(($1959)&255); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1961=$1955 | $1960; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1962=(($1961) & 65535); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1963=(($1962 << 16) >> 16); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$1963; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 460; break; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 460: 
      var $1965=$len; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1966=(($regs+4)|0); //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1967=HEAP32[(($1966)>>2)]; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1968=(($1967+$1965)|0); //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1966)>>2)]=$1968; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1969=(($regs+4)|0); //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1970=HEAP32[(($1969)>>2)]; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1971=HEAPU8[($1970)]; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1972=(($1971)&255); //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$1972; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1973=$len; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1974=(($1973)|0) <= 0; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1974) { __label__ = 461; break; } else { __label__ = 462; break; } //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 461: 
      __label__ = 71; break; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 462: 
      __label__ = 43; break; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 463: 
      __label__ = 464; break; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 464: 
      $len=3; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 465: 
      __label__ = 466; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 466: 
      var $1982=(($regs)|0); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1983=HEAP32[(($1982)>>2)]; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1984=(($1983-8)|0); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref55=$1984; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1985=(($regs)|0); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1986=HEAP32[(($1985)>>2)]; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1987=(($1986-16)|0); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref56=$1987; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1988=$2; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1989=$lref56; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1990=$rref55; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1991=__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi($1988, $1989, $1990, $equal57); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($1991) { __label__ = 468; break; } else { __label__ = 467; break; } //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 467: 
      __label__ = 2152; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 468: 
      var $1994=HEAP32[(($equal57)>>2)]; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1995=(($1994)|0)==1; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1996=(($1995)&1); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond54=$1996; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1997=(($regs)|0); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1998=HEAP32[(($1997)>>2)]; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $1999=(($1998-8)|0); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($1997)>>2)]=$1999; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 469; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 469: 
      __label__ = 470; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 470: 
      var $2002=$cond54; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2003=(($2002) & 1); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2003) { __label__ = 471; break; } else { __label__ = 476; break; } //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 471: 
      var $2005=(($regs)|0); //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2006=HEAP32[(($2005)>>2)]; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2007=(($2006-8)|0); //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2005)>>2)]=$2007; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2008=(($regs+4)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2009=HEAP32[(($2008)>>2)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2010=(($2009+1)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2011=HEAPU8[($2010)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2012=(($2011)&255); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2013=$2012 << 24; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2014=(($regs+4)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2015=HEAP32[(($2014)>>2)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2016=(($2015+2)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2017=HEAPU8[($2016)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2018=(($2017)&255); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2019=$2018 << 16; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2020=$2013 | $2019; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2021=(($regs+4)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2022=HEAP32[(($2021)>>2)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2023=(($2022+3)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2024=HEAPU8[($2023)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2025=(($2024)&255); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2026=$2025 << 8; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2027=$2020 | $2026; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2028=(($regs+4)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2029=HEAP32[(($2028)>>2)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2030=(($2029+4)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2031=HEAPU8[($2030)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2032=(($2031)&255); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2033=$2027 | $2032; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$2033; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 472; break; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 472: 
      var $2035=$len; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2036=(($regs+4)|0); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2037=HEAP32[(($2036)>>2)]; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2038=(($2037+$2035)|0); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2036)>>2)]=$2038; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2039=(($regs+4)|0); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2040=HEAP32[(($2039)>>2)]; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2041=HEAPU8[($2040)]; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2042=(($2041)&255); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$2042; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2043=$len; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2044=(($2043)|0) <= 0; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2044) { __label__ = 473; break; } else { __label__ = 474; break; } //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 473: 
      __label__ = 71; break; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 474: 
      __label__ = 43; break; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 475: 
      __label__ = 476; break; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 476: 
      $len=5; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 477: 
      __label__ = 478; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 478: 
      var $2052=(($regs)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2053=HEAP32[(($2052)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2054=(($2053-8)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rval58=$2054; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2055=(($regs)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2056=HEAP32[(($2055)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2057=(($2056-16)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lval59=$2057; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2058=$lval59; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2059=__ZNK2JS5Value7isInt32Ev($2058); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2059) { __label__ = 479; break; } else { __label__ = 481; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 479: 
      var $2061=$rval58; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2062=__ZNK2JS5Value7isInt32Ev($2061); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2062) { __label__ = 480; break; } else { __label__ = 481; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 480: 
      var $2064=$lval59; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2065=__ZNK2JS5Value7toInt32Ev($2064); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2066=$rval58; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2067=__ZNK2JS5Value7toInt32Ev($2066); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2068=(($2065)|0) < (($2067)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2069=(($2068)&1); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond60=$2069; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 495; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 481: 
      var $2071=$2; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2072=$lval59; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2073=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($2071, 4, $2072); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2073) { __label__ = 483; break; } else { __label__ = 482; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 482: 
      __label__ = 2152; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 483: 
      var $2076=$2; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2077=$rval58; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2078=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($2076, 4, $2077); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2078) { __label__ = 485; break; } else { __label__ = 484; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 484: 
      __label__ = 2152; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 485: 
      var $2081=$lval59; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2082=__ZNK2JS5Value8isStringEv($2081); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2082) { __label__ = 486; break; } else { __label__ = 490; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 486: 
      var $2084=$rval58; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2085=__ZNK2JS5Value8isStringEv($2084); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2085) { __label__ = 487; break; } else { __label__ = 490; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 487: 
      var $2087=$lval59; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2088=__ZNK2JS5Value8toStringEv($2087); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l=$2088; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2089=$rval58; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2090=__ZNK2JS5Value8toStringEv($2089); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r=$2090; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2091=$2; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2092=$l; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2093=$r; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2094=__ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi($2091, $2092, $2093, $result); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2094) { __label__ = 489; break; } else { __label__ = 488; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 488: 
      __label__ = 2152; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 489: 
      var $2097=HEAP32[(($result)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2098=(($2097)|0) < 0; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2099=(($2098)&1); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond60=$2099; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 494; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 490: 
      var $2101=$2; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2102=$lval59; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2103=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2101, $2102, $l61); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2103) { __label__ = 491; break; } else { __label__ = 492; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 491: 
      var $2105=$2; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2106=$rval58; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2107=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2105, $2106, $r62); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2107) { __label__ = 493; break; } else { __label__ = 492; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 492: 
      __label__ = 2152; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 493: 
      var $2110=(tempDoubleI32[0]=HEAP32[(($l61)>>2)],tempDoubleI32[1]=HEAP32[(($l61+4)>>2)],tempDoubleF64[0]); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2111=(tempDoubleI32[0]=HEAP32[(($r62)>>2)],tempDoubleI32[1]=HEAP32[(($r62+4)>>2)],tempDoubleF64[0]); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2112=$2110 < $2111; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2113=(($2112)&1); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond60=$2113; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 494; break;
    case 494: 
      __label__ = 495; break;
    case 495: 
      __label__ = 496; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 496: 
      var $2117=(($regs+4)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2118=HEAP32[(($2117)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2119=(($2118+1)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2120=HEAPU8[($2119)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2121=(($2120)&255); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2122=(($2121-7)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $diff_63=$2122; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2123=$diff_63; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2124=(($2123)>>>0) <= 1; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2124) { __label__ = 497; break; } else { __label__ = 506; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 497: 
      var $2126=(($regs)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2127=HEAP32[(($2126)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2128=(($2127-16)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2126)>>2)]=$2128; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2129=$cond60; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2130=(($2129) & 1); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2131=(($2130)&1); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2132=$diff_63; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2133=(($2132)|0)!=0; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2134=(($2133)&1); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2135=(($2131)|0)==(($2134)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2135) { __label__ = 498; break; } else { __label__ = 503; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 498: 
      var $2137=(($regs+4)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2138=HEAP32[(($2137)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2139=(($2138+1)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2137)>>2)]=$2139; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2140=(($regs+4)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2141=HEAP32[(($2140)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2142=(($2141+1)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2143=HEAPU8[($2142)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2144=(($2143)&255); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2145=$2144 << 8; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2146=(($regs+4)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2147=HEAP32[(($2146)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2148=(($2147+2)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2149=HEAPU8[($2148)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2150=(($2149)&255); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2151=$2145 | $2150; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2152=(($2151) & 65535); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2153=(($2152 << 16) >> 16); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$2153; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 499; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 499: 
      var $2155=$len; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2156=(($regs+4)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2157=HEAP32[(($2156)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2158=(($2157+$2155)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2156)>>2)]=$2158; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2159=(($regs+4)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2160=HEAP32[(($2159)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2161=HEAPU8[($2160)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2162=(($2161)&255); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$2162; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2163=$len; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2164=(($2163)|0) <= 0; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2164) { __label__ = 500; break; } else { __label__ = 501; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 500: 
      __label__ = 71; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 501: 
      __label__ = 43; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 502: 
      __label__ = 503; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 503: 
      $len=4; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 504; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 504: 
      __label__ = 42; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 505: 
      __label__ = 506; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 506: 
      __label__ = 507; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 507: 
      __label__ = 508; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 508: 
      var $2176=(($regs)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2177=HEAP32[(($2176)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2178=(($2177-16)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2179=$cond60; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2180=(($2179) & 1); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($2178, $2180); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2181=(($regs)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2182=HEAP32[(($2181)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2183=(($2182-8)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2181)>>2)]=$2183; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 509; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 509: 
      __label__ = 510; break; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 510: 
      $len=1; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 511: 
      __label__ = 512; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 512: 
      var $2188=(($regs)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2189=HEAP32[(($2188)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2190=(($2189-8)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rval64=$2190; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2191=(($regs)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2192=HEAP32[(($2191)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2193=(($2192-16)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lval65=$2193; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2194=$lval65; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2195=__ZNK2JS5Value7isInt32Ev($2194); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2195) { __label__ = 513; break; } else { __label__ = 515; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 513: 
      var $2197=$rval64; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2198=__ZNK2JS5Value7isInt32Ev($2197); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2198) { __label__ = 514; break; } else { __label__ = 515; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 514: 
      var $2200=$lval65; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2201=__ZNK2JS5Value7toInt32Ev($2200); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2202=$rval64; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2203=__ZNK2JS5Value7toInt32Ev($2202); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2204=(($2201)|0) <= (($2203)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2205=(($2204)&1); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond66=$2205; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 529; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 515: 
      var $2207=$2; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2208=$lval65; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2209=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($2207, 4, $2208); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2209) { __label__ = 517; break; } else { __label__ = 516; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 516: 
      __label__ = 2152; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 517: 
      var $2212=$2; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2213=$rval64; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2214=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($2212, 4, $2213); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2214) { __label__ = 519; break; } else { __label__ = 518; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 518: 
      __label__ = 2152; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 519: 
      var $2217=$lval65; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2218=__ZNK2JS5Value8isStringEv($2217); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2218) { __label__ = 520; break; } else { __label__ = 524; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 520: 
      var $2220=$rval64; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2221=__ZNK2JS5Value8isStringEv($2220); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2221) { __label__ = 521; break; } else { __label__ = 524; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 521: 
      var $2223=$lval65; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2224=__ZNK2JS5Value8toStringEv($2223); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l67=$2224; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2225=$rval64; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2226=__ZNK2JS5Value8toStringEv($2225); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r68=$2226; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2227=$2; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2228=$l67; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2229=$r68; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2230=__ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi($2227, $2228, $2229, $result69); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2230) { __label__ = 523; break; } else { __label__ = 522; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 522: 
      __label__ = 2152; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 523: 
      var $2233=HEAP32[(($result69)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2234=(($2233)|0) <= 0; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2235=(($2234)&1); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond66=$2235; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 528; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 524: 
      var $2237=$2; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2238=$lval65; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2239=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2237, $2238, $l70); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2239) { __label__ = 525; break; } else { __label__ = 526; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 525: 
      var $2241=$2; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2242=$rval64; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2243=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2241, $2242, $r71); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2243) { __label__ = 527; break; } else { __label__ = 526; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 526: 
      __label__ = 2152; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 527: 
      var $2246=(tempDoubleI32[0]=HEAP32[(($l70)>>2)],tempDoubleI32[1]=HEAP32[(($l70+4)>>2)],tempDoubleF64[0]); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2247=(tempDoubleI32[0]=HEAP32[(($r71)>>2)],tempDoubleI32[1]=HEAP32[(($r71+4)>>2)],tempDoubleF64[0]); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2248=$2246 <= $2247; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2249=(($2248)&1); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond66=$2249; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 528; break;
    case 528: 
      __label__ = 529; break;
    case 529: 
      __label__ = 530; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 530: 
      var $2253=(($regs+4)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2254=HEAP32[(($2253)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2255=(($2254+1)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2256=HEAPU8[($2255)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2257=(($2256)&255); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2258=(($2257-7)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $diff_72=$2258; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2259=$diff_72; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2260=(($2259)>>>0) <= 1; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2260) { __label__ = 531; break; } else { __label__ = 540; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 531: 
      var $2262=(($regs)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2263=HEAP32[(($2262)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2264=(($2263-16)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2262)>>2)]=$2264; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2265=$cond66; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2266=(($2265) & 1); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2267=(($2266)&1); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2268=$diff_72; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2269=(($2268)|0)!=0; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2270=(($2269)&1); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2271=(($2267)|0)==(($2270)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2271) { __label__ = 532; break; } else { __label__ = 537; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 532: 
      var $2273=(($regs+4)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2274=HEAP32[(($2273)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2275=(($2274+1)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2273)>>2)]=$2275; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2276=(($regs+4)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2277=HEAP32[(($2276)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2278=(($2277+1)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2279=HEAPU8[($2278)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2280=(($2279)&255); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2281=$2280 << 8; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2282=(($regs+4)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2283=HEAP32[(($2282)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2284=(($2283+2)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2285=HEAPU8[($2284)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2286=(($2285)&255); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2287=$2281 | $2286; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2288=(($2287) & 65535); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2289=(($2288 << 16) >> 16); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$2289; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 533; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 533: 
      var $2291=$len; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2292=(($regs+4)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2293=HEAP32[(($2292)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2294=(($2293+$2291)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2292)>>2)]=$2294; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2295=(($regs+4)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2296=HEAP32[(($2295)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2297=HEAPU8[($2296)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2298=(($2297)&255); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$2298; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2299=$len; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2300=(($2299)|0) <= 0; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2300) { __label__ = 534; break; } else { __label__ = 535; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 534: 
      __label__ = 71; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 535: 
      __label__ = 43; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 536: 
      __label__ = 537; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 537: 
      $len=4; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 538; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 538: 
      __label__ = 42; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 539: 
      __label__ = 540; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 540: 
      __label__ = 541; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 541: 
      __label__ = 542; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 542: 
      var $2312=(($regs)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2313=HEAP32[(($2312)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2314=(($2313-16)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2315=$cond66; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2316=(($2315) & 1); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($2314, $2316); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2317=(($regs)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2318=HEAP32[(($2317)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2319=(($2318-8)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2317)>>2)]=$2319; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 543; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 543: 
      __label__ = 544; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 544: 
      $len=1; //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 545: 
      __label__ = 546; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 546: 
      var $2324=(($regs)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2325=HEAP32[(($2324)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2326=(($2325-8)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rval73=$2326; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2327=(($regs)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2328=HEAP32[(($2327)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2329=(($2328-16)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lval74=$2329; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2330=$lval74; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2331=__ZNK2JS5Value7isInt32Ev($2330); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2331) { __label__ = 547; break; } else { __label__ = 549; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 547: 
      var $2333=$rval73; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2334=__ZNK2JS5Value7isInt32Ev($2333); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2334) { __label__ = 548; break; } else { __label__ = 549; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 548: 
      var $2336=$lval74; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2337=__ZNK2JS5Value7toInt32Ev($2336); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2338=$rval73; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2339=__ZNK2JS5Value7toInt32Ev($2338); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2340=(($2337)|0) > (($2339)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2341=(($2340)&1); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond75=$2341; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 563; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 549: 
      var $2343=$2; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2344=$lval74; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2345=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($2343, 4, $2344); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2345) { __label__ = 551; break; } else { __label__ = 550; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 550: 
      __label__ = 2152; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 551: 
      var $2348=$2; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2349=$rval73; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2350=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($2348, 4, $2349); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2350) { __label__ = 553; break; } else { __label__ = 552; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 552: 
      __label__ = 2152; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 553: 
      var $2353=$lval74; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2354=__ZNK2JS5Value8isStringEv($2353); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2354) { __label__ = 554; break; } else { __label__ = 558; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 554: 
      var $2356=$rval73; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2357=__ZNK2JS5Value8isStringEv($2356); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2357) { __label__ = 555; break; } else { __label__ = 558; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 555: 
      var $2359=$lval74; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2360=__ZNK2JS5Value8toStringEv($2359); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l76=$2360; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2361=$rval73; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2362=__ZNK2JS5Value8toStringEv($2361); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r77=$2362; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2363=$2; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2364=$l76; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2365=$r77; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2366=__ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi($2363, $2364, $2365, $result78); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2366) { __label__ = 557; break; } else { __label__ = 556; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 556: 
      __label__ = 2152; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 557: 
      var $2369=HEAP32[(($result78)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2370=(($2369)|0) > 0; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2371=(($2370)&1); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond75=$2371; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 562; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 558: 
      var $2373=$2; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2374=$lval74; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2375=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2373, $2374, $l79); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2375) { __label__ = 559; break; } else { __label__ = 560; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 559: 
      var $2377=$2; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2378=$rval73; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2379=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2377, $2378, $r80); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2379) { __label__ = 561; break; } else { __label__ = 560; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 560: 
      __label__ = 2152; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 561: 
      var $2382=(tempDoubleI32[0]=HEAP32[(($l79)>>2)],tempDoubleI32[1]=HEAP32[(($l79+4)>>2)],tempDoubleF64[0]); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2383=(tempDoubleI32[0]=HEAP32[(($r80)>>2)],tempDoubleI32[1]=HEAP32[(($r80+4)>>2)],tempDoubleF64[0]); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2384=$2382 > $2383; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2385=(($2384)&1); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond75=$2385; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 562; break;
    case 562: 
      __label__ = 563; break;
    case 563: 
      __label__ = 564; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 564: 
      var $2389=(($regs+4)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2390=HEAP32[(($2389)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2391=(($2390+1)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2392=HEAPU8[($2391)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2393=(($2392)&255); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2394=(($2393-7)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $diff_81=$2394; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2395=$diff_81; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2396=(($2395)>>>0) <= 1; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2396) { __label__ = 565; break; } else { __label__ = 574; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 565: 
      var $2398=(($regs)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2399=HEAP32[(($2398)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2400=(($2399-16)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2398)>>2)]=$2400; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2401=$cond75; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2402=(($2401) & 1); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2403=(($2402)&1); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2404=$diff_81; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2405=(($2404)|0)!=0; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2406=(($2405)&1); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2407=(($2403)|0)==(($2406)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2407) { __label__ = 566; break; } else { __label__ = 571; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 566: 
      var $2409=(($regs+4)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2410=HEAP32[(($2409)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2411=(($2410+1)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2409)>>2)]=$2411; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2412=(($regs+4)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2413=HEAP32[(($2412)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2414=(($2413+1)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2415=HEAPU8[($2414)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2416=(($2415)&255); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2417=$2416 << 8; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2418=(($regs+4)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2419=HEAP32[(($2418)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2420=(($2419+2)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2421=HEAPU8[($2420)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2422=(($2421)&255); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2423=$2417 | $2422; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2424=(($2423) & 65535); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2425=(($2424 << 16) >> 16); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$2425; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 567; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 567: 
      var $2427=$len; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2428=(($regs+4)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2429=HEAP32[(($2428)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2430=(($2429+$2427)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2428)>>2)]=$2430; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2431=(($regs+4)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2432=HEAP32[(($2431)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2433=HEAPU8[($2432)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2434=(($2433)&255); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$2434; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2435=$len; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2436=(($2435)|0) <= 0; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2436) { __label__ = 568; break; } else { __label__ = 569; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 568: 
      __label__ = 71; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 569: 
      __label__ = 43; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 570: 
      __label__ = 571; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 571: 
      $len=4; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 572; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 572: 
      __label__ = 42; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 573: 
      __label__ = 574; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 574: 
      __label__ = 575; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 575: 
      __label__ = 576; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 576: 
      var $2448=(($regs)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2449=HEAP32[(($2448)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2450=(($2449-16)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2451=$cond75; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2452=(($2451) & 1); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($2450, $2452); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2453=(($regs)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2454=HEAP32[(($2453)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2455=(($2454-8)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2453)>>2)]=$2455; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 577; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 577: 
      __label__ = 578; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 578: 
      $len=1; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 579: 
      __label__ = 580; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 580: 
      var $2460=(($regs)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2461=HEAP32[(($2460)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2462=(($2461-8)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rval82=$2462; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2463=(($regs)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2464=HEAP32[(($2463)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2465=(($2464-16)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lval83=$2465; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2466=$lval83; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2467=__ZNK2JS5Value7isInt32Ev($2466); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2467) { __label__ = 581; break; } else { __label__ = 583; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 581: 
      var $2469=$rval82; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2470=__ZNK2JS5Value7isInt32Ev($2469); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2470) { __label__ = 582; break; } else { __label__ = 583; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 582: 
      var $2472=$lval83; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2473=__ZNK2JS5Value7toInt32Ev($2472); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2474=$rval82; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2475=__ZNK2JS5Value7toInt32Ev($2474); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2476=(($2473)|0) >= (($2475)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2477=(($2476)&1); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond84=$2477; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 597; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 583: 
      var $2479=$2; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2480=$lval83; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2481=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($2479, 4, $2480); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2481) { __label__ = 585; break; } else { __label__ = 584; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 584: 
      __label__ = 2152; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 585: 
      var $2484=$2; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2485=$rval82; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2486=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($2484, 4, $2485); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2486) { __label__ = 587; break; } else { __label__ = 586; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 586: 
      __label__ = 2152; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 587: 
      var $2489=$lval83; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2490=__ZNK2JS5Value8isStringEv($2489); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2490) { __label__ = 588; break; } else { __label__ = 592; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 588: 
      var $2492=$rval82; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2493=__ZNK2JS5Value8isStringEv($2492); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2493) { __label__ = 589; break; } else { __label__ = 592; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 589: 
      var $2495=$lval83; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2496=__ZNK2JS5Value8toStringEv($2495); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l85=$2496; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2497=$rval82; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2498=__ZNK2JS5Value8toStringEv($2497); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r86=$2498; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2499=$2; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2500=$l85; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2501=$r86; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2502=__ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi($2499, $2500, $2501, $result87); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2502) { __label__ = 591; break; } else { __label__ = 590; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 590: 
      __label__ = 2152; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 591: 
      var $2505=HEAP32[(($result87)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2506=(($2505)|0) >= 0; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2507=(($2506)&1); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond84=$2507; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 596; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 592: 
      var $2509=$2; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2510=$lval83; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2511=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2509, $2510, $l88); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2511) { __label__ = 593; break; } else { __label__ = 594; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 593: 
      var $2513=$2; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2514=$rval82; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2515=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2513, $2514, $r89); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2515) { __label__ = 595; break; } else { __label__ = 594; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 594: 
      __label__ = 2152; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 595: 
      var $2518=(tempDoubleI32[0]=HEAP32[(($l88)>>2)],tempDoubleI32[1]=HEAP32[(($l88+4)>>2)],tempDoubleF64[0]); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2519=(tempDoubleI32[0]=HEAP32[(($r89)>>2)],tempDoubleI32[1]=HEAP32[(($r89+4)>>2)],tempDoubleF64[0]); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2520=$2518 >= $2519; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2521=(($2520)&1); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond84=$2521; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 596; break;
    case 596: 
      __label__ = 597; break;
    case 597: 
      __label__ = 598; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 598: 
      var $2525=(($regs+4)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2526=HEAP32[(($2525)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2527=(($2526+1)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2528=HEAPU8[($2527)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2529=(($2528)&255); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2530=(($2529-7)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $diff_90=$2530; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2531=$diff_90; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2532=(($2531)>>>0) <= 1; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2532) { __label__ = 599; break; } else { __label__ = 608; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 599: 
      var $2534=(($regs)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2535=HEAP32[(($2534)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2536=(($2535-16)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2534)>>2)]=$2536; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2537=$cond84; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2538=(($2537) & 1); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2539=(($2538)&1); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2540=$diff_90; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2541=(($2540)|0)!=0; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2542=(($2541)&1); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2543=(($2539)|0)==(($2542)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2543) { __label__ = 600; break; } else { __label__ = 605; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 600: 
      var $2545=(($regs+4)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2546=HEAP32[(($2545)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2547=(($2546+1)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2545)>>2)]=$2547; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2548=(($regs+4)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2549=HEAP32[(($2548)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2550=(($2549+1)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2551=HEAPU8[($2550)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2552=(($2551)&255); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2553=$2552 << 8; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2554=(($regs+4)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2555=HEAP32[(($2554)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2556=(($2555+2)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2557=HEAPU8[($2556)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2558=(($2557)&255); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2559=$2553 | $2558; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2560=(($2559) & 65535); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2561=(($2560 << 16) >> 16); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$2561; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 601; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 601: 
      var $2563=$len; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2564=(($regs+4)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2565=HEAP32[(($2564)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2566=(($2565+$2563)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2564)>>2)]=$2566; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2567=(($regs+4)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2568=HEAP32[(($2567)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2569=HEAPU8[($2568)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2570=(($2569)&255); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$2570; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2571=$len; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2572=(($2571)|0) <= 0; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2572) { __label__ = 602; break; } else { __label__ = 603; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 602: 
      __label__ = 71; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 603: 
      __label__ = 43; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 604: 
      __label__ = 605; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 605: 
      $len=4; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 606; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 606: 
      __label__ = 42; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 607: 
      __label__ = 608; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 608: 
      __label__ = 609; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 609: 
      __label__ = 610; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 610: 
      var $2584=(($regs)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2585=HEAP32[(($2584)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2586=(($2585-16)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2587=$cond84; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2588=(($2587) & 1); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($2586, $2588); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2589=(($regs)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2590=HEAP32[(($2589)>>2)]; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2591=(($2590-8)|0); //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2589)>>2)]=$2591; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 611; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 611: 
      __label__ = 612; break; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 612: 
      $len=1; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 613: 
      __label__ = 614; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 614: 
      var $2596=$2; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2597=(($regs)|0); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2598=HEAP32[(($2597)>>2)]; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2599=(($2598-16)|0); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2600=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($2596, $2599, $i91); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2600) { __label__ = 616; break; } else { __label__ = 615; break; } //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 615: 
      __label__ = 2152; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 616: 
      var $2603=$2; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2604=(($regs)|0); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2605=HEAP32[(($2604)>>2)]; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2606=(($2605-8)|0); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2607=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($2603, $2606, $j92); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2607) { __label__ = 618; break; } else { __label__ = 617; break; } //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 617: 
      __label__ = 2152; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 618: 
      var $2610=HEAP32[(($i91)>>2)]; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2611=HEAP32[(($j92)>>2)]; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2612=$2611 & 31; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2613=$2610 << $2612; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($i91)>>2)]=$2613; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2614=(($regs)|0); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2615=HEAP32[(($2614)>>2)]; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2616=(($2615-8)|0); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2614)>>2)]=$2616; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2617=(($regs)|0); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2618=HEAP32[(($2617)>>2)]; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2619=(($2618-8)|0); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2620=HEAP32[(($i91)>>2)]; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($2619, $2620); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 619; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 619: 
      __label__ = 620; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 620: 
      $len=1; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 621: 
      __label__ = 622; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 622: 
      var $2625=$2; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2626=(($regs)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2627=HEAP32[(($2626)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2628=(($2627-16)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2629=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($2625, $2628, $i93); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2629) { __label__ = 624; break; } else { __label__ = 623; break; } //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 623: 
      __label__ = 2152; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 624: 
      var $2632=$2; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2633=(($regs)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2634=HEAP32[(($2633)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2635=(($2634-8)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2636=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($2632, $2635, $j94); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2636) { __label__ = 626; break; } else { __label__ = 625; break; } //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 625: 
      __label__ = 2152; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 626: 
      var $2639=HEAP32[(($i93)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2640=HEAP32[(($j94)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2641=$2640 & 31; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2642=$2639 >> (($2641)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($i93)>>2)]=$2642; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2643=(($regs)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2644=HEAP32[(($2643)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2645=(($2644-8)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2643)>>2)]=$2645; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2646=(($regs)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2647=HEAP32[(($2646)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2648=(($2647-8)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2649=HEAP32[(($i93)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($2648, $2649); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 627; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 627: 
      __label__ = 628; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 628: 
      $len=1; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 629: 
      var $2653=$2; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2654=(($regs)|0); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2655=HEAP32[(($2654)>>2)]; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2656=(($2655-16)|0); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2657=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($2653, $2656, $u); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2657) { __label__ = 631; break; } else { __label__ = 630; break; } //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 630: 
      __label__ = 2152; break; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 631: 
      var $2660=$2; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2661=(($regs)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2662=HEAP32[(($2661)>>2)]; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2663=(($2662-8)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2664=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($2660, $2663, $j95); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2664) { __label__ = 633; break; } else { __label__ = 632; break; } //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 632: 
      __label__ = 2152; break; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 633: 
      var $2667=HEAP32[(($j95)>>2)]; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2668=$2667 & 31; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2669=HEAPU32[(($u)>>2)]; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2670=$2669 >>> (($2668)>>>0); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($u)>>2)]=$2670; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2671=(($regs)|0); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2672=HEAP32[(($2671)>>2)]; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2673=(($2672-8)|0); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2671)>>2)]=$2673; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2674=(($regs)|0); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2675=HEAP32[(($2674)>>2)]; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2676=(($2675-8)|0); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2677=HEAP32[(($u)>>2)]; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2678=__ZN2JS5Value9setNumberEj($2676, $2677); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2678) { __label__ = 635; break; } else { __label__ = 634; break; } //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 634: 
      var $2680=$2; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2681=$script; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2682=(($regs+4)|0); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2683=HEAP32[(($2682)>>2)]; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($2680, $2681, $2683); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 635; break; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 635: 
      $len=1; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 636: 
      var $2686=(($regs)|0); //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2687=HEAP32[(($2686)>>2)]; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2688=(($2687-8)|0); //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2689=$rval96; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2690=$2688; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2689)>>2)]=HEAP32[(($2690)>>2)];HEAP32[(($2689+4)>>2)]=HEAP32[(($2690+4)>>2)]; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2691=(($regs)|0); //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2692=HEAP32[(($2691)>>2)]; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2693=(($2692-16)|0); //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2694=$lval97; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2695=$2693; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2694)>>2)]=HEAP32[(($2695)>>2)];HEAP32[(($2694+4)>>2)]=HEAP32[(($2695+4)>>2)]; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2696=__ZNK2JS5Value7isInt32Ev($lval97); //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2696) { __label__ = 637; break; } else { __label__ = 642; break; } //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 637: 
      var $2698=__ZNK2JS5Value7isInt32Ev($rval96); //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2698) { __label__ = 638; break; } else { __label__ = 642; break; } //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 638: 
      var $2700=__ZNK2JS5Value7toInt32Ev($lval97); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l98=$2700; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2701=__ZNK2JS5Value7toInt32Ev($rval96); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r99=$2701; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2702=$l98; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2703=$r99; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2704=(($2702+$2703)|0); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $sum=$2704; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2705=$l98; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2706=$sum; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2707=$2705 ^ $2706; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2708=$r99; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2709=$sum; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2710=$2708 ^ $2709; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2711=$2707 & $2710; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2712=$2711 & -2147483648; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2713=(($2712)|0)!=0; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2713) { __label__ = 639; break; } else { __label__ = 640; break; } //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 639: 
      var $2715=(($regs)|0); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2716=HEAP32[(($2715)>>2)]; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2717=(($2716-16)|0); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2718=$l98; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2719=(($2718)|0); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2720=$r99; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2721=(($2720)|0); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2722=$2719+$2721; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setDoubleEd($2717, $2722); //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2723=$2; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2724=$script; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2725=(($regs+4)|0); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2726=HEAP32[(($2725)>>2)]; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($2723, $2724, $2726); //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 641; break; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 640: 
      var $2728=(($regs)|0); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2729=HEAP32[(($2728)>>2)]; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2730=(($2729-16)|0); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2731=$sum; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($2730, $2731); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 641; break;
    case 641: 
      var $2733=(($regs)|0); //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2734=HEAP32[(($2733)>>2)]; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2735=(($2734-8)|0); //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2733)>>2)]=$2735; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 680; break; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 642: 
      var $2737=__ZL5IsXMLRKN2JS5ValueE($lval97); //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2737) { __label__ = 643; break; } else { __label__ = 647; break; } //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 643: 
      var $2739=__ZL5IsXMLRKN2JS5ValueE($rval96); //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2739) { __label__ = 644; break; } else { __label__ = 647; break; } //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 644: 
      var $2741=$2; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2742=__ZNK2JS5Value8toObjectEv($lval97); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2743=__ZNK2JS5Value8toObjectEv($rval96); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2744=__Z17js_ConcatenateXMLP9JSContextP8JSObjectS2_PN2JS5ValueE($2741, $2742, $2743, $rval96); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2745=(($2744)|0)!=0; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2745) { __label__ = 646; break; } else { __label__ = 645; break; } //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 645: 
      __label__ = 2152; break; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 646: 
      var $2748=(($regs)|0); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2749=HEAP32[(($2748)>>2)]; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2750=(($2749-16)|0); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2751=$2750; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2752=$rval96; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2751)>>2)]=HEAP32[(($2752)>>2)];HEAP32[(($2751+4)>>2)]=HEAP32[(($2752+4)>>2)]; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2753=(($regs)|0); //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2754=HEAP32[(($2753)>>2)]; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2755=(($2754-8)|0); //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2753)>>2)]=$2755; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2756=$2; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2757=$script; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2758=(($regs+4)|0); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2759=HEAP32[(($2758)>>2)]; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript14MonitorUnknownEP9JSContextP8JSScriptPh($2756, $2757, $2759); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 679; break; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 647: 
      var $2761=__ZNK2JS5Value8isObjectEv($lval97); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2762=(($2761)&1); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lIsObject=$2762; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2763=__ZNK2JS5Value8isObjectEv($rval96); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2764=(($2763)&1); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rIsObject=$2764; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2765=$2; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2766=__ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE($2765, $lval97); //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2766) { __label__ = 649; break; } else { __label__ = 648; break; } //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 648: 
      __label__ = 2152; break; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 649: 
      var $2769=$2; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2770=__ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE($2769, $rval96); //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2770) { __label__ = 651; break; } else { __label__ = 650; break; } //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 650: 
      __label__ = 2152; break; //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 651: 
      var $2773=__ZNK2JS5Value8isStringEv($lval97); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2774=(($2773)&1); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lIsString=$2774; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2775=(($2773)&1); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2776=__ZNK2JS5Value8isStringEv($rval96); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2777=(($2776)&1); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rIsString=$2777; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2778=(($2776)&1); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2779=$2775 | $2778; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2780=(($2779)|0)!=0; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2780) { __label__ = 652; break; } else { __label__ = 668; break; } //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 652: 
      var $2782=$lIsString; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2783=(($2782) & 1); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2783) { __label__ = 653; break; } else { __label__ = 654; break; } //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 653: 
      var $2785=__ZNK2JS5Value8toStringEv($lval97); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lstr=$2785; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 657; break; //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 654: 
      var $2787=$2; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2788=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($2787, $lval97); //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lstr=$2788; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2789=$lstr; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2790=(($2789)|0)!=0; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2790) { __label__ = 656; break; } else { __label__ = 655; break; } //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 655: 
      __label__ = 2152; break; //@line 3000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 656: 
      var $2793=(($regs)|0); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2794=HEAP32[(($2793)>>2)]; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2795=(($2794-16)|0); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2796=$lstr; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($2795, $2796); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 657; break;
    case 657: 
      var $2798=$rIsString; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2799=(($2798) & 1); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2799) { __label__ = 658; break; } else { __label__ = 659; break; } //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 658: 
      var $2801=__ZNK2JS5Value8toStringEv($rval96); //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rstr=$2801; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 662; break; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 659: 
      var $2803=$2; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2804=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($2803, $rval96); //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rstr=$2804; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2805=$rstr; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2806=(($2805)|0)!=0; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2806) { __label__ = 661; break; } else { __label__ = 660; break; } //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 660: 
      __label__ = 2152; break; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 661: 
      var $2809=(($regs)|0); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2810=HEAP32[(($2809)>>2)]; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2811=(($2810-8)|0); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2812=$rstr; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($2811, $2812); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 662; break;
    case 662: 
      var $2814=$2; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2815=$lstr; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2816=$rstr; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2817=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($2814, $2815, $2816); //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str=$2817; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2818=$str; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2819=(($2818)|0)!=0; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2819) { __label__ = 664; break; } else { __label__ = 663; break; } //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 663: 
      __label__ = 2152; break; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 664: 
      var $2822=$lIsObject; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2823=(($2822) & 1); //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2823) { __label__ = 666; break; } else { __label__ = 665; break; } //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 665: 
      var $2825=$rIsObject; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2826=(($2825) & 1); //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2826) { __label__ = 666; break; } else { __label__ = 667; break; } //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 666: 
      var $2828=$2; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2829=$script; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2830=(($regs+4)|0); //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2831=HEAP32[(($2830)>>2)]; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript13MonitorStringEP9JSContextP8JSScriptPh($2828, $2829, $2831); //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 667; break; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 667: 
      var $2833=(($regs)|0); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2834=HEAP32[(($2833)>>2)]; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2835=(($2834-16)|0); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2836=$str; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($2835, $2836); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2837=(($regs)|0); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2838=HEAP32[(($2837)>>2)]; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2839=(($2838-8)|0); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2837)>>2)]=$2839; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 678; break; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 668: 
      var $2841=$2; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2842=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2841, $lval97, $l100); //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2842) { __label__ = 669; break; } else { __label__ = 670; break; } //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 669: 
      var $2844=$2; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2845=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2844, $rval96, $r101); //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2845) { __label__ = 671; break; } else { __label__ = 670; break; } //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 670: 
      __label__ = 2152; break; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 671: 
      var $2848=(tempDoubleI32[0]=HEAP32[(($r101)>>2)],tempDoubleI32[1]=HEAP32[(($r101+4)>>2)],tempDoubleF64[0]); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2849=(tempDoubleI32[0]=HEAP32[(($l100)>>2)],tempDoubleI32[1]=HEAP32[(($l100+4)>>2)],tempDoubleF64[0]); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2850=$2849+$2848; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      (tempDoubleF64[0]=$2850,HEAP32[(($l100)>>2)]=tempDoubleI32[0],HEAP32[(($l100+4)>>2)]=tempDoubleI32[1]); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2851=(($regs)|0); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2852=HEAP32[(($2851)>>2)]; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2853=(($2852-16)|0); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2854=(tempDoubleI32[0]=HEAP32[(($l100)>>2)],tempDoubleI32[1]=HEAP32[(($l100+4)>>2)],tempDoubleF64[0]); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2855=__ZN2JS5Value9setNumberEd($2853, $2854); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2855) { __label__ = 677; break; } else { __label__ = 672; break; } //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 672: 
      var $2857=$lIsObject; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2858=(($2857) & 1); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2858) { __label__ = 676; break; } else { __label__ = 673; break; } //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 673: 
      var $2860=$rIsObject; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2861=(($2860) & 1); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2861) { __label__ = 676; break; } else { __label__ = 674; break; } //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 674: 
      var $2863=__ZNK2JS5Value8isDoubleEv($lval97); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2863) { __label__ = 677; break; } else { __label__ = 675; break; } //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 675: 
      var $2865=__ZNK2JS5Value8isDoubleEv($rval96); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2865) { __label__ = 677; break; } else { __label__ = 676; break; } //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 676: 
      var $2867=$2; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2868=$script; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2869=(($regs+4)|0); //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2870=HEAP32[(($2869)>>2)]; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($2867, $2868, $2870); //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 677; break; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 677: 
      var $2872=(($regs)|0); //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2873=HEAP32[(($2872)>>2)]; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2874=(($2873-8)|0); //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2872)>>2)]=$2874; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 678; break;
    case 678: 
      __label__ = 679; break;
    case 679: 
      __label__ = 680; break;
    case 680: 
      $len=1; //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 681: 
      __label__ = 682; break; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 682: 
      var $2880=(($regs)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2881=HEAP32[(($2880)>>2)]; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2882=(($2881-8)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2883=$rval102; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2884=$2882; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2883)>>2)]=HEAP32[(($2884)>>2)];HEAP32[(($2883+4)>>2)]=HEAP32[(($2884+4)>>2)]; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2885=(($regs)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2886=HEAP32[(($2885)>>2)]; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2887=(($2886-16)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2888=$lval103; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2889=$2887; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2888)>>2)]=HEAP32[(($2889)>>2)];HEAP32[(($2888+4)>>2)]=HEAP32[(($2889+4)>>2)]; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2890=$2; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2891=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2890, $lval103, $d1); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2891) { __label__ = 683; break; } else { __label__ = 684; break; } //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 683: 
      var $2893=$2; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2894=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2893, $rval102, $d2); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2894) { __label__ = 685; break; } else { __label__ = 684; break; } //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 684: 
      __label__ = 2152; break; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 685: 
      var $2897=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2898=(tempDoubleI32[0]=HEAP32[(($d2)>>2)],tempDoubleI32[1]=HEAP32[(($d2+4)>>2)],tempDoubleF64[0]); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2899=$2897-$2898; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $d=$2899; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2900=(($regs)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2901=HEAP32[(($2900)>>2)]; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2902=(($2901-8)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2900)>>2)]=$2902; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2903=(($regs)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2904=HEAP32[(($2903)>>2)]; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2905=(($2904-8)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2906=$d; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2907=__ZN2JS5Value9setNumberEd($2905, $2906); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2907) { __label__ = 689; break; } else { __label__ = 686; break; } //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 686: 
      var $2909=__ZNK2JS5Value8isDoubleEv($lval103); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2909) { __label__ = 689; break; } else { __label__ = 687; break; } //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 687: 
      var $2911=__ZNK2JS5Value8isDoubleEv($rval102); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2911) { __label__ = 689; break; } else { __label__ = 688; break; } //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 688: 
      var $2913=$2; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2914=$script; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2915=(($regs+4)|0); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2916=HEAP32[(($2915)>>2)]; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($2913, $2914, $2916); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 689; break; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 689: 
      __label__ = 690; break; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 690: 
      __label__ = 691; break; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 691: 
      $len=1; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 692: 
      __label__ = 693; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 693: 
      var $2922=(($regs)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2923=HEAP32[(($2922)>>2)]; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2924=(($2923-8)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2925=$rval104; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2926=$2924; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2925)>>2)]=HEAP32[(($2926)>>2)];HEAP32[(($2925+4)>>2)]=HEAP32[(($2926+4)>>2)]; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2927=(($regs)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2928=HEAP32[(($2927)>>2)]; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2929=(($2928-16)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2930=$lval105; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2931=$2929; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2930)>>2)]=HEAP32[(($2931)>>2)];HEAP32[(($2930+4)>>2)]=HEAP32[(($2931+4)>>2)]; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2932=$2; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2933=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2932, $lval105, $d1106); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2933) { __label__ = 694; break; } else { __label__ = 695; break; } //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 694: 
      var $2935=$2; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2936=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2935, $rval104, $d2107); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2936) { __label__ = 696; break; } else { __label__ = 695; break; } //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 695: 
      __label__ = 2152; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 696: 
      var $2939=(tempDoubleI32[0]=HEAP32[(($d1106)>>2)],tempDoubleI32[1]=HEAP32[(($d1106+4)>>2)],tempDoubleF64[0]); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2940=(tempDoubleI32[0]=HEAP32[(($d2107)>>2)],tempDoubleI32[1]=HEAP32[(($d2107+4)>>2)],tempDoubleF64[0]); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2941=$2939*$2940; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $d108=$2941; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2942=(($regs)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2943=HEAP32[(($2942)>>2)]; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2944=(($2943-8)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2942)>>2)]=$2944; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2945=(($regs)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2946=HEAP32[(($2945)>>2)]; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2947=(($2946-8)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2948=$d108; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2949=__ZN2JS5Value9setNumberEd($2947, $2948); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2949) { __label__ = 700; break; } else { __label__ = 697; break; } //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 697: 
      var $2951=__ZNK2JS5Value8isDoubleEv($lval105); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2951) { __label__ = 700; break; } else { __label__ = 698; break; } //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 698: 
      var $2953=__ZNK2JS5Value8isDoubleEv($rval104); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2953) { __label__ = 700; break; } else { __label__ = 699; break; } //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 699: 
      var $2955=$2; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2956=$script; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2957=(($regs+4)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2958=HEAP32[(($2957)>>2)]; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($2955, $2956, $2958); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 700; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 700: 
      __label__ = 701; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 701: 
      __label__ = 702; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 702: 
      $len=1; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 703: 
      var $2963=(($regs)|0); //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2964=HEAP32[(($2963)>>2)]; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2965=(($2964-8)|0); //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2966=$rval109; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2967=$2965; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2966)>>2)]=HEAP32[(($2967)>>2)];HEAP32[(($2966+4)>>2)]=HEAP32[(($2967+4)>>2)]; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2968=(($regs)|0); //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2969=HEAP32[(($2968)>>2)]; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2970=(($2969-16)|0); //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2971=$lval110; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2972=$2970; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2971)>>2)]=HEAP32[(($2972)>>2)];HEAP32[(($2971+4)>>2)]=HEAP32[(($2972+4)>>2)]; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2973=$2; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2974=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2973, $lval110, $d1111); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2974) { __label__ = 704; break; } else { __label__ = 705; break; } //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 704: 
      var $2976=$2; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2977=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($2976, $rval109, $d2112); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2977) { __label__ = 706; break; } else { __label__ = 705; break; } //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 705: 
      __label__ = 2152; break; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 706: 
      var $2980=(($regs)|0); //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2981=HEAP32[(($2980)>>2)]; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2982=(($2981-8)|0); //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($2980)>>2)]=$2982; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2983=(($regs)|0); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2984=HEAP32[(($2983)>>2)]; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2985=(($2984-8)|0); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2986=(tempDoubleI32[0]=HEAP32[(($d1111)>>2)],tempDoubleI32[1]=HEAP32[(($d1111+4)>>2)],tempDoubleF64[0]); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2987=(tempDoubleI32[0]=HEAP32[(($d2112)>>2)],tempDoubleI32[1]=HEAP32[(($d2112+4)>>2)],tempDoubleF64[0]); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2988=__ZN2js9NumberDivEdd($2986, $2987); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2989=__ZN2JS5Value9setNumberEd($2985, $2988); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2990=(tempDoubleI32[0]=HEAP32[(($d2112)>>2)],tempDoubleI32[1]=HEAP32[(($d2112+4)>>2)],tempDoubleF64[0]); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2991=$2990 == 0; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2991) { __label__ = 710; break; } else { __label__ = 707; break; } //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 707: 
      var $2993=(($regs)|0); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2994=HEAP32[(($2993)>>2)]; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2995=(($2994-8)|0); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $2996=__ZNK2JS5Value8isDoubleEv($2995); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2996) { __label__ = 708; break; } else { __label__ = 711; break; } //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 708: 
      var $2998=__ZNK2JS5Value8isDoubleEv($lval110); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($2998) { __label__ = 711; break; } else { __label__ = 709; break; } //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 709: 
      var $3000=__ZNK2JS5Value8isDoubleEv($rval109); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3000) { __label__ = 711; break; } else { __label__ = 710; break; } //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 710: 
      var $3002=$2; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3003=$script; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3004=(($regs+4)|0); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3005=HEAP32[(($3004)>>2)]; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($3002, $3003, $3005); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 711; break; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 711: 
      $len=1; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 712: 
      var $3008=(($regs)|0); //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3009=HEAP32[(($3008)>>2)]; //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3010=(($3009-16)|0); //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref113=$3010; //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3011=(($regs)|0); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3012=HEAP32[(($3011)>>2)]; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3013=(($3012-8)|0); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref114=$3013; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3014=$lref113; //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3015=__ZNK2JS5Value7isInt32Ev($3014); //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3015) { __label__ = 713; break; } else { __label__ = 717; break; } //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 713: 
      var $3017=$rref114; //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3018=__ZNK2JS5Value7isInt32Ev($3017); //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3018) { __label__ = 714; break; } else { __label__ = 717; break; } //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 714: 
      var $3020=$lref113; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3021=__ZNK2JS5Value7toInt32Ev($3020); //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l115=$3021; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3022=(($3021)|0) >= 0; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3022) { __label__ = 715; break; } else { __label__ = 717; break; } //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 715: 
      var $3024=$rref114; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3025=__ZNK2JS5Value7toInt32Ev($3024); //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r116=$3025; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3026=(($3025)|0) > 0; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3026) { __label__ = 716; break; } else { __label__ = 717; break; } //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 716: 
      var $3028=$l115; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3029=$r116; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3030=(($3028)|0)%(($3029)|0); //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $mod=$3030; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3031=(($regs)|0); //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3032=HEAP32[(($3031)>>2)]; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3033=(($3032-8)|0); //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3031)>>2)]=$3033; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3034=(($regs)|0); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3035=HEAP32[(($3034)>>2)]; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3036=(($3035-8)|0); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3037=$mod; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($3036, $3037); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 724; break; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 717: 
      var $3039=$2; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3040=(($regs)|0); //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3041=HEAP32[(($3040)>>2)]; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3042=(($3041-16)|0); //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3043=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($3039, $3042, $d1117); //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3043) { __label__ = 718; break; } else { __label__ = 719; break; } //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 718: 
      var $3045=$2; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3046=(($regs)|0); //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3047=HEAP32[(($3046)>>2)]; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3048=(($3047-8)|0); //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3049=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($3045, $3048, $d2118); //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3049) { __label__ = 720; break; } else { __label__ = 719; break; } //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 719: 
      __label__ = 2152; break; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 720: 
      var $3052=(($regs)|0); //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3053=HEAP32[(($3052)>>2)]; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3054=(($3053-8)|0); //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3052)>>2)]=$3054; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3055=(tempDoubleI32[0]=HEAP32[(($d2118)>>2)],tempDoubleI32[1]=HEAP32[(($d2118+4)>>2)],tempDoubleF64[0]); //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3056=$3055 == 0; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3056) { __label__ = 721; break; } else { __label__ = 722; break; } //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 721: 
      var $3058=(($regs)|0); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3059=HEAP32[(($3058)>>2)]; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3060=(($3059-8)|0); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3061=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setDoubleEd($3060, $3061); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 723; break; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 722: 
      var $3063=(tempDoubleI32[0]=HEAP32[(($d1117)>>2)],tempDoubleI32[1]=HEAP32[(($d1117+4)>>2)],tempDoubleF64[0]); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3064=(tempDoubleI32[0]=HEAP32[(($d2118)>>2)],tempDoubleI32[1]=HEAP32[(($d2118+4)>>2)],tempDoubleF64[0]); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3065=__ZL7js_fmoddd($3063, $3064); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      (tempDoubleF64[0]=$3065,HEAP32[(($d1117)>>2)]=tempDoubleI32[0],HEAP32[(($d1117+4)>>2)]=tempDoubleI32[1]); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3066=(($regs)|0); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3067=HEAP32[(($3066)>>2)]; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3068=(($3067-8)|0); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3069=(tempDoubleI32[0]=HEAP32[(($d1117)>>2)],tempDoubleI32[1]=HEAP32[(($d1117+4)>>2)],tempDoubleF64[0]); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setDoubleEd($3068, $3069); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 723; break;
    case 723: 
      var $3071=$2; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3072=$script; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3073=(($regs+4)|0); //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3074=HEAP32[(($3073)>>2)]; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($3071, $3072, $3074); //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 724; break;
    case 724: 
      $len=1; //@line 3098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 725: 
      __label__ = 726; break; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 726: 
      var $3078=(($regs)|0); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3079=HEAP32[(($3078)>>2)]; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3080=(($3079-8)|0); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $_119=$3080; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3081=$_119; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3082=__ZNK2JS5Value6isNullEv($3081); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3082) { __label__ = 727; break; } else { __label__ = 728; break; } //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 727: 
      $cond120=0; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 732; break; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 728: 
      var $3085=$_119; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3086=__ZNK2JS5Value9isBooleanEv($3085); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3086) { __label__ = 729; break; } else { __label__ = 730; break; } //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 729: 
      var $3088=$_119; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3089=__ZNK2JS5Value9toBooleanEv($3088); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3090=(($3089)&1); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond120=$3090; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 731; break; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 730: 
      var $3092=$_119; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3093=__Z17js_ValueToBooleanRKN2JS5ValueE($3092); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3094=(($3093)|0)!=0; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3095=$3094 ^ 1; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3096=$3095 ^ 1; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3097=(($3096)&1); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond120=$3097; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 731; break;
    case 731: 
      __label__ = 732; break;
    case 732: 
      var $3100=(($regs)|0); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3101=HEAP32[(($3100)>>2)]; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3102=(($3101-8)|0); //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3100)>>2)]=$3102; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 733; break; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 733: 
      __label__ = 734; break; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 734: 
      var $3105=(($regs)|0); //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3106=HEAP32[(($3105)>>2)]; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3107=(($3106+8)|0); //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3105)>>2)]=$3107; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3108=$cond120; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3109=(($3108) & 1); //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3110=$3109 ^ 1; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($3106, $3110); //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 735: 
      var $3112=$2; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3113=(($regs)|0); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3114=HEAP32[(($3113)>>2)]; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3115=(($3114-8)|0); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3116=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($3112, $3115, $i121); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3116) { __label__ = 737; break; } else { __label__ = 736; break; } //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 736: 
      __label__ = 2152; break; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 737: 
      var $3119=HEAP32[(($i121)>>2)]; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3120=$3119 ^ -1; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($i121)>>2)]=$3120; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3121=(($regs)|0); //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3122=HEAP32[(($3121)>>2)]; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3123=(($3122-8)|0); //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3124=HEAP32[(($i121)>>2)]; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($3123, $3124); //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 738: 
      var $3126=(($regs)|0); //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3127=HEAP32[(($3126)>>2)]; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3128=(($3127-8)|0); //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3129=$ref122; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3130=$3128; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3129)>>2)]=HEAP32[(($3130)>>2)];HEAP32[(($3129+4)>>2)]=HEAP32[(($3130+4)>>2)]; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3131=__ZNK2JS5Value7isInt32Ev($ref122); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3131) { __label__ = 739; break; } else { __label__ = 742; break; } //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 739: 
      var $3133=__ZNK2JS5Value7toInt32Ev($ref122); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i123=$3133; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3134=(($3133)|0)!=0; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3134) { __label__ = 740; break; } else { __label__ = 742; break; } //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 740: 
      var $3136=$i123; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3137=(($3136)|0)!=-2147483648; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3137) { __label__ = 741; break; } else { __label__ = 742; break; } //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 741: 
      var $3139=$i123; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3140=(((-$3139))|0); //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i123=$3140; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3141=(($regs)|0); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3142=HEAP32[(($3141)>>2)]; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3143=(($3142-8)|0); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3144=$i123; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($3143, $3144); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 748; break; //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 742: 
      var $3146=$2; //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3147=(($regs)|0); //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3148=HEAP32[(($3147)>>2)]; //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3149=(($3148-8)|0); //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3150=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($3146, $3149, $d124); //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3150) { __label__ = 744; break; } else { __label__ = 743; break; } //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 743: 
      __label__ = 2152; break; //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 744: 
      var $3153=(tempDoubleI32[0]=HEAP32[(($d124)>>2)],tempDoubleI32[1]=HEAP32[(($d124+4)>>2)],tempDoubleF64[0]); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3154=(-$3153); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      (tempDoubleF64[0]=$3154,HEAP32[(($d124)>>2)]=tempDoubleI32[0],HEAP32[(($d124+4)>>2)]=tempDoubleI32[1]); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3155=(($regs)|0); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3156=HEAP32[(($3155)>>2)]; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3157=(($3156-8)|0); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3158=(tempDoubleI32[0]=HEAP32[(($d124)>>2)],tempDoubleI32[1]=HEAP32[(($d124+4)>>2)],tempDoubleF64[0]); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3159=__ZN2JS5Value9setNumberEd($3157, $3158); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3159) { __label__ = 747; break; } else { __label__ = 745; break; } //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 745: 
      var $3161=__ZNK2JS5Value8isDoubleEv($ref122); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3161) { __label__ = 747; break; } else { __label__ = 746; break; } //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 746: 
      var $3163=$2; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3164=$script; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3165=(($regs+4)|0); //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3166=HEAP32[(($3165)>>2)]; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($3163, $3164, $3166); //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 747; break; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 747: 
      __label__ = 748; break;
    case 748: 
      $len=1; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 749: 
      var $3170=$2; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3171=(($regs)|0); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3172=HEAP32[(($3171)>>2)]; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3173=(($3172-8)|0); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3174=__ZN2js8ToNumberEP9JSContextPN2JS5ValueE($3170, $3173); //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3174) { __label__ = 751; break; } else { __label__ = 750; break; } //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 750: 
      __label__ = 2152; break; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 751: 
      var $3177=(($regs)|0); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3178=HEAP32[(($3177)>>2)]; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3179=(($3178-8)|0); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3180=__ZNK2JS5Value7isInt32Ev($3179); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3180) { __label__ = 753; break; } else { __label__ = 752; break; } //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 752: 
      var $3182=$2; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3183=$script; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3184=(($regs+4)|0); //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3185=HEAP32[(($3184)>>2)]; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($3182, $3183, $3185); //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 753; break; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 753: 
      $len=1; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 754: 
      __label__ = 755; break; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 755: 
      var $3189=(($regs+4)|0); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3190=HEAP32[(($3189)>>2)]; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3191=(($3190)|0); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3192=(($3191+1)|0); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3193=HEAPU8[($3192)]; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3194=(($3193)&255); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3195=$3194 << 8; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3196=(($regs+4)|0); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3197=HEAP32[(($3196)>>2)]; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3198=(($3197)|0); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3199=(($3198+2)|0); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3200=HEAPU8[($3199)]; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3201=(($3200)&255); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3202=$3195 | $3201; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3203=$atoms; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3204=(($3203+($3202<<2))|0); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3205=HEAP32[(($3204)>>2)]; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom125=$3205; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 756; break; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 756: 
      __label__ = 757; break; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 757: 
      var $3208=$atom125; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3209=__ZL12ATOM_TO_JSIDP6JSAtom1798($3208); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id126=$3209; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3210=$2; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3211=$id126; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3212=__Z15js_FindPropertyP9JSContextibPP8JSObjectS3_PP10JSProperty($3210, $3211, 0, $obj127, $obj2128, $prop129); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3213=(($3212)|0)!=0; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3213) { __label__ = 759; break; } else { __label__ = 758; break; } //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 758: 
      __label__ = 2152; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 759: 
      var $3216=(($regs)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3217=HEAP32[(($3216)>>2)]; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3218=(($3217+8)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3216)>>2)]=$3218; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($3217, 1); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3219=HEAP32[(($prop129)>>2)]; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3220=(($3219)|0)!=0; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3220) { __label__ = 760; break; } else { __label__ = 763; break; } //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 760: 
      var $3222=HEAP32[(($obj127)>>2)]; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3223=$2; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3224=$id126; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3225=(($regs)|0); //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3226=HEAP32[(($3225)>>2)]; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3227=(($3226-8)|0); //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3228=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($3222, $3223, $3224, $3227, 0); //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3229=(($3228)|0)!=0; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3229) { __label__ = 762; break; } else { __label__ = 761; break; } //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 761: 
      __label__ = 2152; break; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 762: 
      __label__ = 763; break; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 763: 
      $len=3; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 764: 
      __label__ = 765; break; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 765: 
      var $3235=(($regs+4)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3236=HEAP32[(($3235)>>2)]; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3237=(($3236)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3238=(($3237+1)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3239=HEAPU8[($3238)]; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3240=(($3239)&255); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3241=$3240 << 8; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3242=(($regs+4)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3243=HEAP32[(($3242)>>2)]; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3244=(($3243)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3245=(($3244+2)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3246=HEAPU8[($3245)]; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3247=(($3246)&255); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3248=$3241 | $3247; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3249=$atoms; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3250=(($3249+($3248<<2))|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3251=HEAP32[(($3250)>>2)]; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom130=$3251; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 766; break; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 766: 
      __label__ = 767; break; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 767: 
      var $3254=$atom130; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3255=__ZL12ATOM_TO_JSIDP6JSAtom1798($3254); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id131=$3255; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 768; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 768: 
      var $3257=(($regs)|0); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3258=HEAP32[(($3257)>>2)]; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3259=(($3258-8)|0); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_133=$3259; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 769; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 769: 
      var $3261=$vp_133; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3262=__ZNK2JS5Value8isObjectEv($3261); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3262) { __label__ = 770; break; } else { __label__ = 771; break; } //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 770: 
      var $3264=$vp_133; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3265=__ZNK2JS5Value8toObjectEv($3264); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj132=$3265; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 774; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 771: 
      var $3267=$2; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3268=$vp_133; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3269=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($3267, $3268); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj132=$3269; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3270=$obj132; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3271=(($3270)|0)!=0; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3271) { __label__ = 773; break; } else { __label__ = 772; break; } //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 772: 
      __label__ = 2152; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 773: 
      var $3274=$vp_133; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3275=$obj132; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($3274, $3275); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 774; break;
    case 774: 
      __label__ = 775; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 775: 
      __label__ = 776; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 776: 
      __label__ = 777; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 777: 
      __label__ = 778; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 778: 
      var $3281=$obj132; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3282=$2; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3283=$id131; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3284=$script; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3285=$3284; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3286=(($3285+36)|0); //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3287=HEAPU8[($3286)]; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3288=(($3287)&255) >>> 3; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3289=$3288 & 1; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3290=(($3289) & 1); //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3291=(($3290)&1); //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3292=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($3281, $3282, $3283, $rval134, $3291); //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3293=(($3292)|0)!=0; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3293) { __label__ = 780; break; } else { __label__ = 779; break; } //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 779: 
      __label__ = 2152; break; //@line 3182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 780: 
      var $3296=(($regs)|0); //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3297=HEAP32[(($3296)>>2)]; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3298=(($3297-8)|0); //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3299=$3298; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3300=$rval134; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3299)>>2)]=HEAP32[(($3300)>>2)];HEAP32[(($3299+4)>>2)]=HEAP32[(($3300+4)>>2)]; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 781: 
      __label__ = 782; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 782: 
      var $3303=(($regs)|0); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3304=HEAP32[(($3303)>>2)]; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3305=(($3304-16)|0); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_136=$3305; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 783; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 783: 
      var $3307=$vp_136; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3308=__ZNK2JS5Value8isObjectEv($3307); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3308) { __label__ = 784; break; } else { __label__ = 785; break; } //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 784: 
      var $3310=$vp_136; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3311=__ZNK2JS5Value8toObjectEv($3310); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj135=$3311; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 788; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 785: 
      var $3313=$2; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3314=$vp_136; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3315=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($3313, $3314); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj135=$3315; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3316=$obj135; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3317=(($3316)|0)!=0; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3317) { __label__ = 787; break; } else { __label__ = 786; break; } //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 786: 
      __label__ = 2152; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 787: 
      var $3320=$vp_136; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3321=$obj135; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($3320, $3321); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 788; break;
    case 788: 
      __label__ = 789; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 789: 
      __label__ = 790; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 790: 
      __label__ = 791; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 791: 
      __label__ = 792; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 792: 
      __label__ = 793; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 793: 
      var $3328=(($regs)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3329=HEAP32[(($3328)>>2)]; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3330=(($3329-8)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_138=$3330; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3331=$idval_138; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3332=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($3331, $i_139); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3332) { __label__ = 794; break; } else { __label__ = 796; break; } //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 794: 
      var $3334=HEAP32[(($i_139)>>2)]; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3335=_INT_FITS_IN_JSID1825($3334); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3336=(($3335)|0)!=0; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3336) { __label__ = 795; break; } else { __label__ = 796; break; } //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 795: 
      var $3338=HEAP32[(($i_139)>>2)]; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3339=_INT_TO_JSID1826($3338); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id137)>>2)]=$3339; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 799; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 796: 
      var $3341=$2; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3342=$obj135; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3343=$idval_138; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3344=(($regs)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3345=HEAP32[(($3344)>>2)]; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3346=(($3345-8)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3347=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($3341, $3342, $3343, $id137, $3346); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3347) { __label__ = 798; break; } else { __label__ = 797; break; } //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 797: 
      __label__ = 2152; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 798: 
      __label__ = 799; break;
    case 799: 
      __label__ = 800; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 800: 
      __label__ = 801; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 801: 
      var $3353=$obj135; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3354=$2; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3355=HEAP32[(($id137)>>2)]; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3356=(($regs)|0); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3357=HEAP32[(($3356)>>2)]; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3358=(($3357-16)|0); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3359=$script; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3360=$3359; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3361=(($3360+36)|0); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3362=HEAPU8[($3361)]; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3363=(($3362)&255) >>> 3; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3364=$3363 & 1; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3365=(($3364) & 1); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3366=(($3365)&1); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3367=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($3353, $3354, $3355, $3358, $3366); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3368=(($3367)|0)!=0; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3368) { __label__ = 803; break; } else { __label__ = 802; break; } //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 802: 
      __label__ = 2152; break; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 803: 
      var $3371=(($regs)|0); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3372=HEAP32[(($3371)>>2)]; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3373=(($3372-8)|0); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3371)>>2)]=$3373; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 804: 
      __label__ = 805; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 805: 
      var $3376=(($regs)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3377=HEAP32[(($3376)>>2)]; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3378=(($3377-16)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_141=$3378; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 806; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 806: 
      var $3380=$vp_141; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3381=__ZNK2JS5Value8isObjectEv($3380); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3381) { __label__ = 807; break; } else { __label__ = 808; break; } //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 807: 
      var $3383=$vp_141; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3384=__ZNK2JS5Value8toObjectEv($3383); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj140=$3384; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 811; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 808: 
      var $3386=$2; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3387=$vp_141; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3388=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($3386, $3387); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj140=$3388; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3389=$obj140; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3390=(($3389)|0)!=0; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3390) { __label__ = 810; break; } else { __label__ = 809; break; } //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 809: 
      __label__ = 2152; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 810: 
      var $3393=$vp_141; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3394=$obj140; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($3393, $3394); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 811; break;
    case 811: 
      __label__ = 812; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 812: 
      __label__ = 813; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 813: 
      __label__ = 814; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 814: 
      __label__ = 815; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 815: 
      __label__ = 816; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 816: 
      var $3401=(($regs)|0); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3402=HEAP32[(($3401)>>2)]; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3403=(($3402-8)|0); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_143=$3403; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3404=$idval_143; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3405=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($3404, $i_144); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3405) { __label__ = 817; break; } else { __label__ = 819; break; } //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 817: 
      var $3407=HEAP32[(($i_144)>>2)]; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3408=_INT_FITS_IN_JSID1825($3407); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3409=(($3408)|0)!=0; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3409) { __label__ = 818; break; } else { __label__ = 819; break; } //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 818: 
      var $3411=HEAP32[(($i_144)>>2)]; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3412=_INT_TO_JSID1826($3411); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id142)>>2)]=$3412; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 822; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 819: 
      var $3414=$2; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3415=$obj140; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3416=$idval_143; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3417=(($regs)|0); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3418=HEAP32[(($3417)>>2)]; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3419=(($3418-8)|0); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3420=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($3414, $3415, $3416, $id142, $3419); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3420) { __label__ = 821; break; } else { __label__ = 820; break; } //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 820: 
      __label__ = 2152; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 821: 
      __label__ = 822; break;
    case 822: 
      __label__ = 823; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 823: 
      __label__ = 824; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 824: 
      var $3426=(($regs)|0); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3427=HEAP32[(($3426)>>2)]; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3428=(($3427-8)|0); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3429=__ZNK2JS5Value7isInt32Ev($3428); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3429) { __label__ = 826; break; } else { __label__ = 825; break; } //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 825: 
      var $3431=$2; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3432=$script; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3433=(($regs+4)|0); //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3434=HEAP32[(($3433)>>2)]; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript14MonitorUnknownEP9JSContextP8JSScriptPh($3431, $3432, $3434); //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 826; break; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 826: 
      $len=1; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 827: 
      __label__ = 828; break; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 828: 
      var $3438=(($regs)|0); //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3439=HEAP32[(($3438)>>2)]; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3440=(($3439-8)|0); //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ref145=$3440; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3441=$2; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3442=$ref145; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3443=$15; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3444=$3442; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3443)>>2)]=HEAP32[(($3444)>>2)];HEAP32[(($3443+4)>>2)]=HEAP32[(($3444+4)>>2)]; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3445=_JS_TypeOfValue($3441, $15); //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $type=$3445; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3446=$type; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3447=$rt; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3448=(($3447+209948)|0); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3449=(($3448+36)|0); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3450=(($3449+($3446<<2))|0); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3451=HEAP32[(($3450)>>2)]; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3452=$3451; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom146=$3452; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3453=(($regs)|0); //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3454=HEAP32[(($3453)>>2)]; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3455=(($3454-8)|0); //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3456=$atom146; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3457=$3456; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($3455, $3457); //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 829: 
      var $3459=(($regs)|0); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3460=HEAP32[(($3459)>>2)]; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3461=(($3460-8)|0); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($3461); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 830: 
      __label__ = 831; break; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 831: 
      __label__ = 832; break; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 832: 
      __label__ = 833; break; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 833: 
      var $3466=$2; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3467=__ZN9JSContext20typeInferenceEnabledEv($3466); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3467) { __label__ = 834; break; } else { __label__ = 837; break; } //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 834: 
      $len=2; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 835; break; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 835: 
      __label__ = 42; break; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 836: 
      __label__ = 837; break; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 837: 
      HEAP32[(($id149)>>2)]=2; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i150=-2; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 849; break; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 838: 
      __label__ = 839; break; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 839: 
      __label__ = 840; break; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 840: 
      __label__ = 841; break; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 841: 
      var $3477=$2; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3478=__ZN9JSContext20typeInferenceEnabledEv($3477); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3478) { __label__ = 842; break; } else { __label__ = 845; break; } //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 842: 
      $len=4; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 843; break; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 843: 
      __label__ = 42; break; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 844: 
      __label__ = 845; break; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 845: 
      __label__ = 846; break; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 846: 
      var $3485=(($regs+4)|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3486=HEAP32[(($3485)>>2)]; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3487=(($3486)|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3488=(($3487+1)|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3489=HEAPU8[($3488)]; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3490=(($3489)&255); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3491=$3490 << 8; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3492=(($regs+4)|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3493=HEAP32[(($3492)>>2)]; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3494=(($3493)|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3495=(($3494+2)|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3496=HEAPU8[($3495)]; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3497=(($3496)&255); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3498=$3491 | $3497; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3499=$atoms; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3500=(($3499+($3498<<2))|0); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3501=HEAP32[(($3500)>>2)]; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($atom148)>>2)]=$3501; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 847; break; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 847: 
      __label__ = 848; break; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 848: 
      var $3504=HEAP32[(($atom148)>>2)]; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3505=__ZL12ATOM_TO_JSIDP6JSAtom1798($3504); //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id149)>>2)]=$3505; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i150=-1; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 849; break; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 849: 
      __label__ = 850; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 850: 
      var $3508=$i150; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3509=(($regs)|0); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3510=HEAP32[(($3509)>>2)]; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3511=(($3510+($3508<<3))|0); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_151=$3511; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 851; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 851: 
      var $3513=$vp_151; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3514=__ZNK2JS5Value8isObjectEv($3513); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3514) { __label__ = 852; break; } else { __label__ = 853; break; } //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 852: 
      var $3516=$vp_151; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3517=__ZNK2JS5Value8toObjectEv($3516); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj147)>>2)]=$3517; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 856; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 853: 
      var $3519=$2; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3520=$vp_151; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3521=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($3519, $3520); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj147)>>2)]=$3521; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3522=HEAP32[(($obj147)>>2)]; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3523=(($3522)|0)!=0; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3523) { __label__ = 855; break; } else { __label__ = 854; break; } //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 854: 
      __label__ = 2152; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 855: 
      var $3526=$vp_151; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3527=HEAP32[(($obj147)>>2)]; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($3526, $3527); //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 856; break;
    case 856: 
      __label__ = 857; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 857: 
      __label__ = 858; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 858: 
      __label__ = 859; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 859: 
      __label__ = 860; break; //@line 3283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 860: 
      var $3533=HEAP32[(($id149)>>2)]; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3534=_JSID_IS_VOID1831($3533); //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3535=(($3534)|0)!=0; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3535) { __label__ = 861; break; } else { __label__ = 871; break; } //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 861: 
      __label__ = 862; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 862: 
      var $3538=(($regs)|0); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3539=HEAP32[(($3538)>>2)]; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3540=(($3539-8)|0); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_152=$3540; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3541=$idval_152; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3542=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($3541, $i_153); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3542) { __label__ = 863; break; } else { __label__ = 865; break; } //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 863: 
      var $3544=HEAP32[(($i_153)>>2)]; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3545=_INT_FITS_IN_JSID1825($3544); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3546=(($3545)|0)!=0; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3546) { __label__ = 864; break; } else { __label__ = 865; break; } //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 864: 
      var $3548=HEAP32[(($i_153)>>2)]; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3549=_INT_TO_JSID1826($3548); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id149)>>2)]=$3549; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 868; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 865: 
      var $3551=$2; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3552=HEAP32[(($obj147)>>2)]; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3553=$idval_152; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3554=(($regs)|0); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3555=HEAP32[(($3554)>>2)]; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3556=(($3555-8)|0); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3557=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($3551, $3552, $3553, $id149, $3556); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3557) { __label__ = 867; break; } else { __label__ = 866; break; } //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 866: 
      __label__ = 2152; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 867: 
      __label__ = 868; break;
    case 868: 
      __label__ = 869; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 869: 
      __label__ = 870; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 870: 
      __label__ = 871; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 871: 
      __label__ = 905; break; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 872: 
      __label__ = 873; break; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 873: 
      __label__ = 874; break; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 874: 
      __label__ = 875; break; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 875: 
      __label__ = 876; break; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 876: 
      __label__ = 877; break; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 877: 
      __label__ = 878; break; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 878: 
      __label__ = 879; break; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 879: 
      var $3572=$2; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3573=__ZN9JSContext20typeInferenceEnabledEv($3572); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3573) { __label__ = 880; break; } else { __label__ = 883; break; } //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 880: 
      $len=4; //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 881; break; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 881: 
      __label__ = 42; break; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 882: 
      __label__ = 883; break; //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 883: 
      var $3579=__ZNK2js9FrameRegs2fpEv($regs); //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3580=__ZNK2js10StackFrame10scopeChainEv($3579); //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj147)>>2)]=$3580; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3581=$op; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3582=((_js_CodeSpec+($3581<<3))|0); //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3583=(($3582+4)|0); //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3584=HEAP32[(($3583)>>2)]; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3585=$3584 & 33554432; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3586=(($3585)|0)!=0; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3587=(($3586)&1); //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $global=$3587; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3588=$global; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3589=(($3588) & 1); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3589) { __label__ = 884; break; } else { __label__ = 885; break; } //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 884: 
      var $3591=HEAP32[(($obj147)>>2)]; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3592=__ZNK8JSObject9getGlobalEv($3591); //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3593=$3592; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj147)>>2)]=$3593; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 885; break; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 885: 
      var $3595=$2; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3596=(($3595+52)|0); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3597=HEAP32[(($3596)>>2)]; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3598=(($3597+144280)|0); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3599=(($3598+56)|0); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3600=$2; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3601=(($regs+4)|0); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3602=HEAP32[(($3601)>>2)]; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js13PropertyCache4testEP9JSContextPhRP8JSObjectS6_RPNS_18PropertyCacheEntryERP6JSAtom($3599, $3600, $3602, $obj147, $obj2154, $entry155, $atom148); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3603=HEAP32[(($atom148)>>2)]; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3604=(($3603)|0)!=0; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3604) { __label__ = 900; break; } else { __label__ = 886; break; } //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 886: 
      var $3606=HEAP32[(($obj147)>>2)]; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3607=HEAP32[(($obj2154)>>2)]; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3608=(($3606)|0)==(($3607)|0); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3608) { __label__ = 887; break; } else { __label__ = 896; break; } //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 887: 
      var $3610=HEAP32[(($entry155)>>2)]; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3611=(($3610+12)|0); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3612=__ZNK2js5PCVal6isSlotEv($3611); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3612) { __label__ = 888; break; } else { __label__ = 896; break; } //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 888: 
      var $3614=HEAP32[(($entry155)>>2)]; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3615=(($3614+12)|0); //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3616=__ZNK2js5PCVal6toSlotEv($3615); //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot=$3616; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3617=HEAP32[(($obj147)>>2)]; //@line 3315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3618=$slot; //@line 3315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3619=__ZNK8JSObject13nativeGetSlotEj($3617, $3618); //@line 3315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref156=$3619; //@line 3315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3620=$rref156; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3621=__ZNK2JS5Value7isInt32Ev($3620); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3621) { __label__ = 889; break; } else { __label__ = 895; break; } //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 889: 
      var $3623=$rref156; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3624=__ZNK2JS5Value7toInt32Ev($3623); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tmp=$3624; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3625=__ZL24CanIncDecWithoutOverflowi($3624); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3625) { __label__ = 890; break; } else { __label__ = 895; break; } //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 890: 
      var $3627=$tmp; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3628=$op; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3629=((_js_CodeSpec+($3628<<3))|0); //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3630=(($3629+4)|0); //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3631=HEAP32[(($3630)>>2)]; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3632=$3631 & 2048; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3633=(($3632)|0)!=0; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3634=$3633 ? 1 : -1; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3635=(($3627+$3634)|0); //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $inc=$3635; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3636=$op; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3637=((_js_CodeSpec+($3636<<3))|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3638=(($3637+4)|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3639=HEAP32[(($3638)>>2)]; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3640=$3639 & 4096; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3641=(($3640)|0)!=0; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3641) { __label__ = 892; break; } else { __label__ = 891; break; } //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 891: 
      var $3643=$inc; //@line 3320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tmp=$3643; //@line 3320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 892; break; //@line 3320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 892: 
      var $3645=HEAP32[(($obj147)>>2)]; //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3646=$slot; //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3647=$inc; //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL10Int32ValueEi1832($16, $3647); //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE($3645, $3646, $16); //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3648=(($regs)|0); //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3649=HEAP32[(($3648)>>2)]; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3650=(($3649+8)|0); //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3648)>>2)]=$3650; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3651=$tmp; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($3649, $3651); //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3652=(($regs+4)|0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3653=HEAP32[(($3652)>>2)]; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3654=__ZN2jsL18GetDecomposeLengthEPhj($3653, 4); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3655=(($3654+4)|0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$3655; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 893; break; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 893: 
      __label__ = 42; break; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 894: 
      __label__ = 895; break; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 895: 
      __label__ = 896; break; //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 896: 
      __label__ = 897; break; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 897: 
      var $3662=(($regs+4)|0); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3663=HEAP32[(($3662)>>2)]; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3664=(($3663)|0); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3665=(($3664+1)|0); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3666=HEAPU8[($3665)]; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3667=(($3666)&255); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3668=$3667 << 8; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3669=(($regs+4)|0); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3670=HEAP32[(($3669)>>2)]; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3671=(($3670)|0); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3672=(($3671+2)|0); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3673=HEAPU8[($3672)]; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3674=(($3673)&255); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3675=$3668 | $3674; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3676=$atoms; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3677=(($3676+($3675<<2))|0); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3678=HEAP32[(($3677)>>2)]; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($atom148)>>2)]=$3678; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 898; break; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 898: 
      __label__ = 899; break; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 899: 
      __label__ = 900; break; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 900: 
      var $3682=HEAP32[(($atom148)>>2)]; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3683=__ZL12ATOM_TO_JSIDP6JSAtom1798($3682); //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id149)>>2)]=$3683; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3684=$2; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3685=HEAP32[(($id149)>>2)]; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3686=$global; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3687=(($3686) & 1); //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3688=__Z21js_FindPropertyHelperP9JSContextibbPP8JSObjectS3_PP10JSProperty($3684, $3685, 1, $3687, $obj147, $obj2154, $prop157); //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3689=(($3688)|0)!=0; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3689) { __label__ = 902; break; } else { __label__ = 901; break; } //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 901: 
      __label__ = 2152; break; //@line 3333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 902: 
      var $3692=HEAP32[(($prop157)>>2)]; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3693=(($3692)|0)!=0; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3693) { __label__ = 904; break; } else { __label__ = 903; break; } //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 903: 
      var $3695=HEAP32[(($atom148)>>2)]; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atomNotDefined=$3695; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2210; break; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 904: 
      __label__ = 905; break; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 905: 
      var $3698=(($regs)|0); //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3699=HEAP32[(($3698)>>2)]; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3700=(($3699+8)|0); //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3698)>>2)]=$3700; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value7setNullEv($3699); //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3701=HEAP32[(($obj147)>>2)]; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3702=$2; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3703=HEAP32[(($id149)>>2)]; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3704=(($regs)|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3705=HEAP32[(($3704)>>2)]; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3706=(($3705-8)|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3707=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($3701, $3702, $3703, $3706); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3708=(($3707)|0)!=0; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3708) { __label__ = 907; break; } else { __label__ = 906; break; } //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 906: 
      __label__ = 2152; break; //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 907: 
      var $3711=$op; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3712=((_js_CodeSpec+($3711<<3))|0); //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cs=$3712; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3713=$cs; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3714=(($3713+4)|0); //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3715=HEAP32[(($3714)>>2)]; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $format=$3715; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3716=$format; //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3717=$3716 & 224; //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3718=(($3717)|0)==32; //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3719=$3718 ? 2 : 3; //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $setPropFlags=$3719; //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3720=(($regs)|0); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3721=HEAP32[(($3720)>>2)]; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3722=(($3721-8)|0); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ref158=$3722; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3723=$ref158; //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3724=__ZNK2JS5Value7isInt32Ev($3723); //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3724) { __label__ = 908; break; } else { __label__ = 917; break; } //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 908: 
      var $3726=$ref158; //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3727=__ZNK2JS5Value7toInt32Ev($3726); //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tmp159=$3727; //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3728=__ZL24CanIncDecWithoutOverflowi($3727); //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3728) { __label__ = 909; break; } else { __label__ = 917; break; } //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 909: 
      var $3730=$format; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3731=$3730 & 2048; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3732=(($3731)|0)!=0; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3733=$3732 ? 1 : -1; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr=$3733; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3734=$format; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3735=$3734 & 4096; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3736=(($3735)|0)!=0; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3736) { __label__ = 910; break; } else { __label__ = 911; break; } //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 910: 
      var $3738=$tmp159; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3739=$incr; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3740=(($3738+$3739)|0); //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3741=$ref158; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3742=__ZN2JS5Value11getInt32RefEv($3741); //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3742)>>2)]=$3740; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 912; break; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 911: 
      var $3744=$incr; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3745=$tmp159; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3746=(($3745+$3744)|0); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tmp159=$3746; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3747=$ref158; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3748=__ZN2JS5Value11getInt32RefEv($3747); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3748)>>2)]=$3746; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 912; break;
    case 912: 
      var $3750=$2; //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3751=$setPropFlags; //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf160, $3750, $3751); //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3752=HEAP32[(($obj147)>>2)]; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3753=$2; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3754=HEAP32[(($id149)>>2)]; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3755=$ref158; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3756=$script; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3757=$3756; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3758=(($3757+36)|0); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3759=HEAPU8[($3758)]; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3760=(($3759)&255) >>> 3; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3761=$3760 & 1; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3762=(($3761) & 1); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3763=(($3762)&1); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3764=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($3752, $3753, $3754, $3755, $3763); //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3765=(($3764)|0)!=0; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3765) { __label__ = 914; break; } else { __label__ = 913; break; } //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 913: 
      $17=8;
      __label__ = 915; break; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 914: 
      $17=0; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 915; break; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 915: 
      __ZN18JSAutoResolveFlagsD1Ev($rf160); //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $cleanup_dest=$17;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 916; break;
      }
      else if ((($cleanup_dest)|0) == 8) {
        __label__ = 2152; break;
      }
      else {
      __label__ = 2213; break;
      }
      
    case 916: 
      var $3770=$ref158; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3771=$tmp159; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($3770, $3771); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 924; break; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 917: 
      var $3773=(($regs)|0); //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3774=HEAP32[(($3773)>>2)]; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3775=(($3774+8)|0); //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3773)>>2)]=$3775; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value7setNullEv($3774); //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3776=$2; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3777=$cs; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3778=(($regs)|0); //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3779=HEAP32[(($3778)>>2)]; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3780=(($3779-16)|0); //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3781=(($regs)|0); //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3782=HEAP32[(($3781)>>2)]; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3783=(($3782-8)|0); //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3784=__ZL8DoIncDecP9JSContextPK10JSCodeSpecPN2JS5ValueES6_($3776, $3777, $3780, $3783); //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3784) { __label__ = 919; break; } else { __label__ = 918; break; } //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 918: 
      __label__ = 2152; break; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 919: 
      var $3787=$2; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3788=$setPropFlags; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf161, $3787, $3788); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3789=HEAP32[(($obj147)>>2)]; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3790=$2; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3791=HEAP32[(($id149)>>2)]; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3792=(($regs)|0); //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3793=HEAP32[(($3792)>>2)]; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3794=(($3793-8)|0); //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3795=$script; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3796=$3795; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3797=(($3796+36)|0); //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3798=HEAPU8[($3797)]; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3799=(($3798)&255) >>> 3; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3800=$3799 & 1; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3801=(($3800) & 1); //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3802=(($3801)&1); //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3803=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($3789, $3790, $3791, $3794, $3802); //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3804=(($3803)|0)!=0; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3804) { __label__ = 921; break; } else { __label__ = 920; break; } //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 920: 
      $17=8;
      __label__ = 922; break; //@line 3388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 921: 
      $17=0; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 922; break; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 922: 
      __ZN18JSAutoResolveFlagsD1Ev($rf161); //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $cleanup_dest162=$17;
      if ((($cleanup_dest162)|0) == 0) {
        __label__ = 923; break;
      }
      else if ((($cleanup_dest162)|0) == 8) {
        __label__ = 2152; break;
      }
      else {
      __label__ = 2213; break;
      }
      
    case 923: 
      var $3809=(($regs)|0); //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3810=HEAP32[(($3809)>>2)]; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3811=(($3810-8)|0); //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3809)>>2)]=$3811; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 924; break;
    case 924: 
      var $3813=$cs; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3814=(($3813+1)|0); //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3815=HEAP8[($3814)]; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3816=(($3815 << 24) >> 24); //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3817=(($3816)|0)==0; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3817) { __label__ = 925; break; } else { __label__ = 926; break; } //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 925: 
      __label__ = 927; break; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 926: 
      var $3820=$cs; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3821=(($3820+1)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3822=HEAP8[($3821)]; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3823=(($3822 << 24) >> 24); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3824=((-1-$3823)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3825=(($regs)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3826=HEAP32[(($3825)>>2)]; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3827=(($3826+($3824<<3))|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3828=(($regs)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3829=HEAP32[(($3828)>>2)]; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3830=(($3829-8)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3831=$3827; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3832=$3830; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3831)>>2)]=HEAP32[(($3832)>>2)];HEAP32[(($3831+4)>>2)]=HEAP32[(($3832+4)>>2)]; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3833=$cs; //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3834=(($3833+1)|0); //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3835=HEAP8[($3834)]; //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3836=(($3835 << 24) >> 24); //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3837=(($regs)|0); //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3838=HEAP32[(($3837)>>2)]; //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3839=(((-$3836))|0); //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3840=(($3838+($3839<<3))|0); //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3837)>>2)]=$3840; //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 927; break;
    case 927: 
      var $3842=$cs; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3843=(($3842)|0); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3844=HEAP8[($3843)]; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3845=(($3844 << 24) >> 24); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3846=(($regs+4)|0); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3847=HEAP32[(($3846)>>2)]; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3848=$cs; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3849=(($3848)|0); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3850=HEAP8[($3849)]; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3851=(($3850 << 24) >> 24); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3852=__ZN2jsL18GetDecomposeLengthEPhj($3847, $3851); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3853=(($3845+$3852)|0); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$3853; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 928; break; //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 928: 
      __label__ = 42; break; //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 929: 
      __label__ = 930; break; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 930: 
      $incr163=-1; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr2=-1; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 934; break; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 931: 
      $incr163=-1; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr2=0; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 934; break; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 932: 
      $incr163=1; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr2=1; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 934; break; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 933: 
      $incr163=1; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr2=0; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 934; break; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 934: 
      var $3862=(($regs+4)|0); //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3863=HEAP32[(($3862)>>2)]; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3864=(($3863+1)|0); //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3865=HEAPU8[($3864)]; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3866=(($3865)&255); //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3867=$3866 << 8; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3868=(($regs+4)|0); //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3869=HEAP32[(($3868)>>2)]; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3870=(($3869+2)|0); //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3871=HEAPU8[($3870)]; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3872=(($3871)&255); //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3873=$3867 | $3872; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot164=$3873; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3874=$argv; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3875=$slot164; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3876=(($3874+($3875<<3))|0); //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp165=$3876; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 940; break; //@line 3424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 935: 
      $incr163=-1; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr2=-1; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 939; break; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 936: 
      $incr163=-1; //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr2=0; //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 939; break; //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 937: 
      $incr163=1; //@line 3431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr2=1; //@line 3431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 939; break; //@line 3431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 938: 
      $incr163=1; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $incr2=0; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 939; break; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 939: 
      var $3882=(($regs+4)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3883=HEAP32[(($3882)>>2)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3884=(($3883+1)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3885=HEAPU8[($3884)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3886=(($3885)&255); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3887=$3886 << 8; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3888=(($regs+4)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3889=HEAP32[(($3888)>>2)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3890=(($3889+2)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3891=HEAPU8[($3890)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3892=(($3891)&255); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3893=$3887 | $3892; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot164=$3893; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3894=__ZNK2js9FrameRegs2fpEv($regs); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3895=__ZNK2js10StackFrame5slotsEv($3894); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3896=$slot164; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3897=(($3895+($3896<<3))|0); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp165=$3897; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 940; break; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 940: 
      var $3899=$vp165; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3900=__ZNK2JS5Value7isInt32Ev($3899); //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3900) { __label__ = 941; break; } else { __label__ = 945; break; } //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 941: 
      var $3902=$vp165; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3903=__ZNK2JS5Value7toInt32Ev($3902); //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tmp166=$3903; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3904=__ZL24CanIncDecWithoutOverflowi($3903); //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3904) { __label__ = 942; break; } else { __label__ = 945; break; } //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 942: 
      var $3906=$tmp166; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3907=$incr163; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3908=(($3906+$3907)|0); //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3909=$vp165; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3910=__ZN2JS5Value11getInt32RefEv($3909); //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3910)>>2)]=$3908; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3911=(($regs+4)|0); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3912=HEAP32[(($3911)>>2)]; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3913=(($3912+3)|0); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3914=HEAPU8[($3913)]; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3915=(($3914)&255); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3916=(($3915)|0)==81; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3916) { __label__ = 943; break; } else { __label__ = 944; break; } //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 943: 
      var $3918=(($regs)|0); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3919=HEAP32[(($3918)>>2)]; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3920=(($3919)|0); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3918)>>2)]=$3920; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3921=(($regs+4)|0); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3922=HEAP32[(($3921)>>2)]; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3923=(($3922+4)|0); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3921)>>2)]=$3923; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3924=(($regs+4)|0); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3925=HEAP32[(($3924)>>2)]; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3926=HEAPU8[($3925)]; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3927=(($3926)&255); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$3927; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 944: 
      var $3929=(($regs)|0); //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3930=HEAPU32[(($3929)>>2)]; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3931=(($3930+8)|0); //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3929)>>2)]=$3931; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3932=$tmp166; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3933=$incr2; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3934=(($3932+$3933)|0); //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($3930, $3934); //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 951; break; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 945: 
      __label__ = 946; break; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 946: 
      var $3937=(($regs)|0); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3938=HEAP32[(($3937)>>2)]; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3939=(($3938+8)|0); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3937)>>2)]=$3939; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3940=$vp165; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3941=$3938; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3942=$3940; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3941)>>2)]=HEAP32[(($3942)>>2)];HEAP32[(($3941+4)>>2)]=HEAP32[(($3942+4)>>2)]; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3943=$2; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3944=(($regs)|0); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3945=HEAP32[(($3944)>>2)]; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3946=(($3945-8)|0); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3947=$18; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3948=$3946; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3947)>>2)]=HEAP32[(($3948)>>2)];HEAP32[(($3947+4)>>2)]=HEAP32[(($3948+4)>>2)]; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($3943, $18); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 947; break; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 947: 
      __label__ = 948; break; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 948: 
      var $3951=$2; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3952=$op; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3953=((_js_CodeSpec+($3952<<3))|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3954=(($regs)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3955=HEAP32[(($3954)>>2)]; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3956=(($3955-8)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3957=$vp165; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3958=__ZL8DoIncDecP9JSContextPK10JSCodeSpecPN2JS5ValueES6_($3951, $3953, $3956, $3957); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3958) { __label__ = 950; break; } else { __label__ = 949; break; } //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 949: 
      __label__ = 2152; break; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 950: 
      var $3961=$2; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3962=$script; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3963=(($regs+4)|0); //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3964=HEAP32[(($3963)>>2)]; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($3961, $3962, $3964); //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 951; break;
    case 951: 
      $len=3; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 952; break; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 952: 
      __label__ = 42; break; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 953: 
      __label__ = 954; break; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 954: 
      var $3970=$2; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3971=__ZNK2js9FrameRegs2fpEv($regs); //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3972=__ZN2js11ComputeThisEP9JSContextPNS_10StackFrameE($3970, $3971); //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3972) { __label__ = 956; break; } else { __label__ = 955; break; } //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 955: 
      __label__ = 2152; break; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 956: 
      __label__ = 957; break; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 957: 
      var $3976=(($regs)|0); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3977=HEAP32[(($3976)>>2)]; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3978=(($3977+8)|0); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($3976)>>2)]=$3978; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3979=__ZNK2js9FrameRegs2fpEv($regs); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3980=__ZNK2js10StackFrame9thisValueEv($3979); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3981=$3977; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3982=$3980; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3981)>>2)]=HEAP32[(($3982)>>2)];HEAP32[(($3981+4)>>2)]=HEAP32[(($3982+4)>>2)]; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3983=$2; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3984=(($regs)|0); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3985=HEAP32[(($3984)>>2)]; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3986=(($3985-8)|0); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3987=$19; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3988=$3986; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3987)>>2)]=HEAP32[(($3988)>>2)];HEAP32[(($3987+4)>>2)]=HEAP32[(($3988+4)>>2)]; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($3983, $19); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 958; break; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 958: 
      __label__ = 959; break; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 959: 
      $len=1; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 960: 
      var $3992=$2; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3993=__ZNK2js9FrameRegs2fpEv($regs); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3994=__ZN2js11ComputeThisEP9JSContextPNS_10StackFrameE($3992, $3993); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3994) { __label__ = 962; break; } else { __label__ = 961; break; } //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 961: 
      __label__ = 2152; break; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 962: 
      var $3997=__ZNK2js9FrameRegs2fpEv($regs); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3998=__ZNK2js10StackFrame9thisValueEv($3997); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $thisv=$3998; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3999=$thisv; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4000=__ZNK2JS5Value8isObjectEv($3999); //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4000) { __label__ = 963; break; } else { __label__ = 966; break; } //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 963: 
      var $4002=$thisv; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4003=__ZNK2JS5Value8toObjectEv($4002); //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj167=$4003; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4004=$obj167; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4005=__ZNK8JSObject8isNativeEv($4004); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4005) { __label__ = 964; break; } else { __label__ = 965; break; } //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 964: 
      var $4007=$obj167; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4008=$2; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4009=__ZN8JSObject7unbrandEP9JSContext($4007, $4008); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 965; break; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 965: 
      __label__ = 966; break; //@line 3478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 966: 
      $len=1; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 967: 
      __label__ = 968; break; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 968: 
      __label__ = 969; break; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 969: 
      __label__ = 970; break; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 970: 
      var $4016=(($regs)|0); //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4017=HEAP32[(($4016)>>2)]; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4018=(($4017-8)|0); //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp169=$4018; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4019=$op; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4020=(($4019)|0)==220; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4020) { __label__ = 971; break; } else { __label__ = 986; break; } //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 971: 
      var $4022=$vp169; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4023=__ZNK2JS5Value8isStringEv($4022); //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4023) { __label__ = 972; break; } else { __label__ = 973; break; } //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 972: 
      var $4025=$vp169; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4026=__ZNK2JS5Value8toStringEv($4025); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4027=__ZNK8JSString6lengthEv($4026); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL10Int32ValueEi1832($20, $4027); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4028=$rval168; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4029=$20; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4028)>>2)]=HEAP32[(($4029)>>2)];HEAP32[(($4028+4)>>2)]=HEAP32[(($4029+4)>>2)]; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1022; break; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 973: 
      var $4031=$vp169; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4032=__ZNK2JS5Value7isMagicE10JSWhyMagic($4031, 9); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4032) { __label__ = 974; break; } else { __label__ = 975; break; } //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 974: 
      var $4034=__ZNK2js9FrameRegs2fpEv($regs); //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4035=__ZNK2js10StackFrame13numActualArgsEv($4034); //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL10Int32ValueEi1832($21, $4035); //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4036=$rval168; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4037=$21; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4036)>>2)]=HEAP32[(($4037)>>2)];HEAP32[(($4036+4)>>2)]=HEAP32[(($4037+4)>>2)]; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1022; break; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 975: 
      var $4039=$vp169; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4040=__ZNK2JS5Value8isObjectEv($4039); //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4040) { __label__ = 976; break; } else { __label__ = 985; break; } //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 976: 
      var $4042=$vp169; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4043=__ZNK2JS5Value8toObjectEv($4042); //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj170=$4043; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4044=$obj170; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4045=__ZNK8JSObject7isArrayEv($4044); //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4045) { __label__ = 977; break; } else { __label__ = 978; break; } //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 977: 
      var $4047=$obj170; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4048=__ZNK8JSObject14getArrayLengthEv($4047); //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $length=$4048; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4049=$length; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4050=(($4049)>>>0); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL11NumberValueEd1833($22, $4050); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4051=$rval168; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4052=$22; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4051)>>2)]=HEAP32[(($4052)>>2)];HEAP32[(($4051+4)>>2)]=HEAP32[(($4052+4)>>2)]; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1022; break; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 978: 
      var $4054=$obj170; //@line 3508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4055=__ZNK8JSObject11isArgumentsEv($4054); //@line 3508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4055) { __label__ = 979; break; } else { __label__ = 982; break; } //@line 3508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 979: 
      var $4057=$obj170; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4058=__ZN8JSObject11asArgumentsEv($4057); //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $argsobj=$4058; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4059=$argsobj; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4060=__ZNK2js15ArgumentsObject19hasOverriddenLengthEv($4059); //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4060) { __label__ = 981; break; } else { __label__ = 980; break; } //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 980: 
      var $4062=$argsobj; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4063=__ZNK2js15ArgumentsObject13initialLengthEv($4062); //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $length171=$4063; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4064=$length171; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL10Int32ValueEi1832($23, $4064); //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4065=$rval168; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4066=$23; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4065)>>2)]=HEAP32[(($4066)>>2)];HEAP32[(($4065+4)>>2)]=HEAP32[(($4066+4)>>2)]; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1022; break; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 981: 
      __label__ = 982; break; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 982: 
      var $4069=$obj170; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4070=__Z15js_IsTypedArrayP8JSObject($4069); //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4071=(($4070)|0)!=0; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4071) { __label__ = 983; break; } else { __label__ = 984; break; } //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 983: 
      var $4073=$obj170; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4074=__ZN2js10TypedArray13getTypedArrayEP8JSObject($4073); //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tarray=$4074; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4075=$tarray; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4076=__ZN2js10TypedArray9getLengthEP8JSObject($4075); //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL10Int32ValueEi1832($24, $4076); //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4077=$rval168; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4078=$24; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4077)>>2)]=HEAP32[(($4078)>>2)];HEAP32[(($4077+4)>>2)]=HEAP32[(($4078+4)>>2)]; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1022; break; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 984: 
      __label__ = 985; break; //@line 3523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 985: 
      __label__ = 986; break; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 986: 
      __label__ = 987; break; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 987: 
      var $4083=$vp169; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4084=__ZNK2JS5Value8isObjectEv($4083); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4084) { __label__ = 988; break; } else { __label__ = 989; break; } //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 988: 
      var $4086=$vp169; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4087=__ZNK2JS5Value8toObjectEv($4086); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj172=$4087; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 992; break; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 989: 
      var $4089=$2; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4090=$vp169; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4091=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($4089, $4090); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj172=$4091; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4092=$obj172; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4093=(($4092)|0)!=0; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4093) { __label__ = 991; break; } else { __label__ = 990; break; } //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 990: 
      __label__ = 2152; break; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 991: 
      var $4096=$vp169; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4097=$obj172; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($4096, $4097); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 992; break;
    case 992: 
      __label__ = 993; break; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 993: 
      __label__ = 994; break; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 994: 
      var $4101=$obj172; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4102=__Z23js_GetProtoIfDenseArrayP8JSObject($4101); //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($aobj)>>2)]=$4102; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4103=$2; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4104=(($4103+52)|0); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4105=HEAP32[(($4104)>>2)]; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4106=(($4105+144280)|0); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4107=(($4106+56)|0); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4108=$2; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4109=(($regs+4)|0); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4110=HEAP32[(($4109)>>2)]; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js13PropertyCache4testEP9JSContextPhRP8JSObjectS6_RPNS_18PropertyCacheEntryERP6JSAtom($4107, $4108, $4110, $aobj, $obj2174, $entry173, $atom175); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4111=HEAP32[(($atom175)>>2)]; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4112=(($4111)|0)!=0; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4112) { __label__ = 1014; break; } else { __label__ = 995; break; } //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 995: 
      var $4114=HEAP32[(($entry173)>>2)]; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4115=(($4114+12)|0); //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4116=__ZNK2js5PCVal8isFunObjEv($4115); //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4116) { __label__ = 996; break; } else { __label__ = 997; break; } //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 996: 
      var $4118=HEAP32[(($entry173)>>2)]; //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4119=(($4118+12)|0); //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4120=__ZNK2js5PCVal8toFunObjEv($4119); //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($rval168, $4120); //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1013; break; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 997: 
      var $4122=HEAP32[(($entry173)>>2)]; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4123=(($4122+12)|0); //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4124=__ZNK2js5PCVal6isSlotEv($4123); //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4124) { __label__ = 998; break; } else { __label__ = 999; break; } //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 998: 
      var $4126=HEAP32[(($entry173)>>2)]; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4127=(($4126+12)|0); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4128=__ZNK2js5PCVal6toSlotEv($4127); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot176=$4128; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4129=HEAP32[(($obj2174)>>2)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4130=$slot176; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4131=__ZNK8JSObject13nativeGetSlotEj($4129, $4130); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4132=$rval168; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4133=$4131; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4132)>>2)]=HEAP32[(($4133)>>2)];HEAP32[(($4132+4)>>2)]=HEAP32[(($4133+4)>>2)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1012; break; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 999: 
      var $4135=HEAP32[(($entry173)>>2)]; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4136=(($4135+12)|0); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4137=__ZNK2js5PCVal7toShapeEv($4136); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $shape=$4137; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1000; break; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1000: 
      var $4139=$shape; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4140=__ZNK2js5Shape16isDataDescriptorEv($4139); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4140) { __label__ = 1001; break; } else { __label__ = 1006; break; } //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1001: 
      var $4142=$shape; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4143=__ZNK2js5Shape16hasDefaultGetterEv($4142); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4143) { __label__ = 1002; break; } else { __label__ = 1006; break; } //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1002: 
      var $4145=$shape; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4146=(($4145+24)|0); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4147=HEAP32[(($4146)>>2)]; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4148=(($4147)|0)!=-1; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4148) { __label__ = 1003; break; } else { __label__ = 1004; break; } //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1003: 
      var $4150=HEAP32[(($obj2174)>>2)]; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4151=$shape; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4152=(($4151+24)|0); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4153=HEAP32[(($4152)>>2)]; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4154=__ZNK8JSObject13nativeGetSlotEj($4150, $4153); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4155=$rval168; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4156=$4154; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4155)>>2)]=HEAP32[(($4156)>>2)];HEAP32[(($4155+4)>>2)]=HEAP32[(($4156+4)>>2)]; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1005; break; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1004: 
      __ZN2JS5Value12setUndefinedEv($rval168); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1005; break;
    case 1005: 
      __label__ = 1009; break; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1006: 
      var $4160=$2; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4161=$obj172; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4162=HEAP32[(($obj2174)>>2)]; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4163=$shape; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4164=__ZNK2js9FrameRegs2fpEv($regs); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4165=__ZNK2js10StackFrame11hasImacropcEv($4164); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4166=$4165 ? 2 : 0; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4167=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($4160, $4161, $4162, $4163, $4166, $rval168); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4168=(($4167)|0)!=0; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4168) { __label__ = 1008; break; } else { __label__ = 1007; break; } //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1007: 
      __label__ = 2152; break; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1008: 
      __label__ = 1009; break;
    case 1009: 
      __label__ = 1010; break; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1010: 
      __label__ = 1011; break; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1011: 
      __label__ = 1012; break;
    case 1012: 
      __label__ = 1013; break;
    case 1013: 
      __label__ = 1022; break; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1014: 
      var $4177=HEAP32[(($atom175)>>2)]; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4178=__ZL12ATOM_TO_JSIDP6JSAtom1798($4177); //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id177=$4178; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4179=HEAP32[(($aobj)>>2)]; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4180=__ZNK8JSObject6getOpsEv($4179); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4181=(($4180+36)|0); //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4182=HEAP32[(($4181)>>2)]; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4183=(($4182)|0)!=0; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4183) { __label__ = 1018; break; } else { __label__ = 1015; break; } //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1015: 
      var $4185=$2; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4186=$obj172; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4187=$id177; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4188=__ZNK2js9FrameRegs2fpEv($regs); //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4189=__ZNK2js10StackFrame11hasImacropcEv($4188); //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4189) { var $4198 = 1;__label__ = 1017; break; } else { __label__ = 1016; break; } //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1016: 
      var $4191=(($regs+4)|0); //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4192=HEAP32[(($4191)>>2)]; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4193=(($4192+3)|0); //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4194=HEAPU8[($4193)]; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4195=(($4194)&255); //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4196=(($4195)|0)==7; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4198 = $4196;__label__ = 1017; break; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1017: 
      var $4198;
      var $4199=$4198 ? 3 : 1; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4200=__Z20js_GetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueE($4185, $4186, $4187, $4199, $rval168); //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4201=(($4200)|0)!=0; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4201) { __label__ = 1020; break; } else { __label__ = 1019; break; } //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1018: 
      var $4203=$obj172; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4204=$2; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4205=$id177; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4206=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($4203, $4204, $4205, $rval168); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4207=(($4206)|0)!=0; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4207) { __label__ = 1020; break; } else { __label__ = 1019; break; } //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1019: 
      __label__ = 2152; break; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1020: 
      __label__ = 1021; break; //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1021: 
      __label__ = 1022; break; //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1022: 
      var $4212=$2; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4213=$script; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4214=(($regs+4)|0); //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4215=HEAP32[(($4214)>>2)]; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($4212, $4213, $4215, $rval168); //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4216=(($regs)|0); //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4217=HEAP32[(($4216)>>2)]; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4218=(($4217-8)|0); //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4219=$4218; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4220=$rval168; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4219)>>2)]=HEAP32[(($4220)>>2)];HEAP32[(($4219+4)>>2)]=HEAP32[(($4220+4)>>2)]; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4221=$2; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4222=(($regs)|0); //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4223=HEAP32[(($4222)>>2)]; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4224=(($4223-8)|0); //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4225=$25; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4226=$4224; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4225)>>2)]=HEAP32[(($4226)>>2)];HEAP32[(($4225+4)>>2)]=HEAP32[(($4226+4)>>2)]; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($4221, $25); //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1023: 
      var $4228=(($regs)|0); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4229=HEAP32[(($4228)>>2)]; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4230=(($4229-8)|0); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4231=$lval178; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4232=$4230; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4231)>>2)]=HEAP32[(($4232)>>2)];HEAP32[(($4231+4)>>2)]=HEAP32[(($4232+4)>>2)]; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4233=__ZNK2JS5Value8isObjectEv($lval178); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4233) { __label__ = 1024; break; } else { __label__ = 1025; break; } //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1024: 
      var $4235=$objv; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4236=$lval178; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4235)>>2)]=HEAP32[(($4236)>>2)];HEAP32[(($4235+4)>>2)]=HEAP32[(($4236+4)>>2)]; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1037; break; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1025: 
      var $4238=__ZNK2JS5Value8isStringEv($lval178); //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4238) { __label__ = 1026; break; } else { __label__ = 1027; break; } //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1026: 
      $protoKey=9; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1034; break; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1027: 
      var $4241=__ZNK2JS5Value8isNumberEv($lval178); //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4241) { __label__ = 1028; break; } else { __label__ = 1029; break; } //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1028: 
      $protoKey=8; //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1033; break; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1029: 
      var $4244=__ZNK2JS5Value9isBooleanEv($lval178); //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4244) { __label__ = 1030; break; } else { __label__ = 1031; break; } //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1030: 
      $protoKey=4; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1032; break; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1031: 
      var $4247=$2; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4248=__Z26js_ReportIsNullOrUndefinedP9JSContextiRKN2JS5ValueEP8JSString($4247, -1, $lval178, 0); //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 3595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1032: 
      __label__ = 1033; break;
    case 1033: 
      __label__ = 1034; break;
    case 1034: 
      var $4252=$2; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4253=$protoKey; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4254=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($4252, 0, $4253, $pobj, 0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4255=(($4254)|0)!=0; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4255) { __label__ = 1036; break; } else { __label__ = 1035; break; } //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1035: 
      __label__ = 2152; break; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1036: 
      var $4258=HEAP32[(($pobj)>>2)]; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($objv, $4258); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1037; break;
    case 1037: 
      var $4260=__ZNK2JS5Value8toObjectEv($objv); //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4261=__Z23js_GetProtoIfDenseArrayP8JSObject($4260); //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($aobj179)>>2)]=$4261; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4262=$2; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4263=(($4262+52)|0); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4264=HEAP32[(($4263)>>2)]; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4265=(($4264+144280)|0); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4266=(($4265+56)|0); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4267=$2; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4268=(($regs+4)|0); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4269=HEAP32[(($4268)>>2)]; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js13PropertyCache4testEP9JSContextPhRP8JSObjectS6_RPNS_18PropertyCacheEntryERP6JSAtom($4266, $4267, $4269, $aobj179, $obj2182, $entry181, $atom183); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4270=HEAP32[(($atom183)>>2)]; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4271=(($4270)|0)!=0; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4271) { __label__ = 1060; break; } else { __label__ = 1038; break; } //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1038: 
      var $4273=HEAP32[(($entry181)>>2)]; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4274=(($4273+12)|0); //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4275=__ZNK2js5PCVal8isFunObjEv($4274); //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4275) { __label__ = 1039; break; } else { __label__ = 1040; break; } //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1039: 
      var $4277=HEAP32[(($entry181)>>2)]; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4278=(($4277+12)|0); //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4279=__ZNK2js5PCVal8toFunObjEv($4278); //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($rval180, $4279); //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1056; break; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1040: 
      var $4281=HEAP32[(($entry181)>>2)]; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4282=(($4281+12)|0); //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4283=__ZNK2js5PCVal6isSlotEv($4282); //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4283) { __label__ = 1041; break; } else { __label__ = 1042; break; } //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1041: 
      var $4285=HEAP32[(($entry181)>>2)]; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4286=(($4285+12)|0); //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4287=__ZNK2js5PCVal6toSlotEv($4286); //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot184=$4287; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4288=HEAP32[(($obj2182)>>2)]; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4289=$slot184; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4290=__ZNK8JSObject13nativeGetSlotEj($4288, $4289); //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4291=$rval180; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4292=$4290; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4291)>>2)]=HEAP32[(($4292)>>2)];HEAP32[(($4291+4)>>2)]=HEAP32[(($4292+4)>>2)]; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1055; break; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1042: 
      var $4294=HEAP32[(($entry181)>>2)]; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4295=(($4294+12)|0); //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4296=__ZNK2js5PCVal7toShapeEv($4295); //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $shape185=$4296; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1043; break; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1043: 
      var $4298=$shape185; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4299=__ZNK2js5Shape16isDataDescriptorEv($4298); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4299) { __label__ = 1044; break; } else { __label__ = 1049; break; } //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1044: 
      var $4301=$shape185; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4302=__ZNK2js5Shape16hasDefaultGetterEv($4301); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4302) { __label__ = 1045; break; } else { __label__ = 1049; break; } //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1045: 
      var $4304=$shape185; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4305=(($4304+24)|0); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4306=HEAP32[(($4305)>>2)]; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4307=(($4306)|0)!=-1; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4307) { __label__ = 1046; break; } else { __label__ = 1047; break; } //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1046: 
      var $4309=HEAP32[(($obj2182)>>2)]; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4310=$shape185; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4311=(($4310+24)|0); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4312=HEAP32[(($4311)>>2)]; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4313=__ZNK8JSObject13nativeGetSlotEj($4309, $4312); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4314=$rval180; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4315=$4313; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4314)>>2)]=HEAP32[(($4315)>>2)];HEAP32[(($4314+4)>>2)]=HEAP32[(($4315+4)>>2)]; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1048; break; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1047: 
      __ZN2JS5Value12setUndefinedEv($rval180); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1048; break;
    case 1048: 
      __label__ = 1052; break; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1049: 
      var $4319=$2; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4320=__ZNK2JS5Value8toObjectEv($objv); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4321=HEAP32[(($obj2182)>>2)]; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4322=$shape185; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4323=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($4319, $4320, $4321, $4322, 2, $rval180); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4324=(($4323)|0)!=0; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4324) { __label__ = 1051; break; } else { __label__ = 1050; break; } //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1050: 
      __label__ = 2152; break; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1051: 
      __label__ = 1052; break;
    case 1052: 
      __label__ = 1053; break; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1053: 
      __label__ = 1054; break; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1054: 
      __label__ = 1055; break;
    case 1055: 
      __label__ = 1056; break;
    case 1056: 
      var $4332=(($regs)|0); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4333=HEAP32[(($4332)>>2)]; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4334=(($4333-8)|0); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4335=$4334; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4336=$rval180; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4335)>>2)]=HEAP32[(($4336)>>2)];HEAP32[(($4335+4)>>2)]=HEAP32[(($4336+4)>>2)]; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4337=$2; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4338=(($regs)|0); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4339=HEAP32[(($4338)>>2)]; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4340=(($4339-8)|0); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4341=$26; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4342=$4340; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4341)>>2)]=HEAP32[(($4342)>>2)];HEAP32[(($4341+4)>>2)]=HEAP32[(($4342+4)>>2)]; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($4337, $26); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1057; break; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1057: 
      var $4344=(($regs)|0); //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4345=HEAP32[(($4344)>>2)]; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4346=(($4345+8)|0); //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($4344)>>2)]=$4346; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4347=$4345; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4348=$lval178; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4347)>>2)]=HEAP32[(($4348)>>2)];HEAP32[(($4347+4)>>2)]=HEAP32[(($4348+4)>>2)]; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4349=$2; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4350=(($regs)|0); //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4351=HEAP32[(($4350)>>2)]; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4352=(($4351-8)|0); //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4353=$27; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4354=$4352; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4353)>>2)]=HEAP32[(($4354)>>2)];HEAP32[(($4353+4)>>2)]=HEAP32[(($4354+4)>>2)]; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($4349, $27); //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1058; break; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1058: 
      __label__ = 1059; break; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1059: 
      __label__ = 1068; break; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1060: 
      var $4358=HEAP32[(($atom183)>>2)]; //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4359=__ZL12ATOM_TO_JSIDP6JSAtom1798($4358); //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id186=$4359; //@line 3631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4360=(($regs)|0); //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4361=HEAP32[(($4360)>>2)]; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4362=(($4361+8)|0); //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($4360)>>2)]=$4362; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value7setNullEv($4361); //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4363=__ZNK2JS5Value8isObjectEv($lval178); //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4363) { __label__ = 1061; break; } else { __label__ = 1064; break; } //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1061: 
      var $4365=$2; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4366=__ZNK2JS5Value8toObjectEv($objv); //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4367=$id186; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4368=HEAP32[(($aobj179)>>2)]; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4369=__ZNK8JSObject6getOpsEv($4368); //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4370=(($4369+36)|0); //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4371=HEAP32[(($4370)>>2)]; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4372=(($4371)|0)!=0; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4373=$4372 ^ 1; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4374=$4373 ? 3 : 2; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4375=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($4365, $4366, $4367, $4374, $rval180); //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4376=(($4375)|0)!=0; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4376) { __label__ = 1063; break; } else { __label__ = 1062; break; } //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1062: 
      __label__ = 2152; break; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1063: 
      var $4379=(($regs)|0); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4380=HEAP32[(($4379)>>2)]; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4381=(($4380-8)|0); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4382=$4381; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4383=$objv; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4382)>>2)]=HEAP32[(($4383)>>2)];HEAP32[(($4382+4)>>2)]=HEAP32[(($4383+4)>>2)]; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4384=(($regs)|0); //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4385=HEAP32[(($4384)>>2)]; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4386=(($4385-16)|0); //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4387=$4386; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4388=$rval180; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4387)>>2)]=HEAP32[(($4388)>>2)];HEAP32[(($4387+4)>>2)]=HEAP32[(($4388+4)>>2)]; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4389=$2; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4390=(($regs)|0); //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4391=HEAP32[(($4390)>>2)]; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4392=(($4391-8)|0); //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4393=$28; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4394=$4392; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4393)>>2)]=HEAP32[(($4394)>>2)];HEAP32[(($4393+4)>>2)]=HEAP32[(($4394+4)>>2)]; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4395=(($regs)|0); //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4396=HEAP32[(($4395)>>2)]; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4397=(($4396-16)|0); //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4398=$29; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4399=$4397; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4398)>>2)]=HEAP32[(($4399)>>2)];HEAP32[(($4398+4)>>2)]=HEAP32[(($4399+4)>>2)]; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueES2_EEvP9JSContextT_T0_($4389, $28, $29); //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1067; break; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1064: 
      var $4401=$2; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4402=__ZNK2JS5Value8toObjectEv($objv); //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4403=$id186; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4404=__Z20js_GetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueE($4401, $4402, $4403, 3, $rval180); //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4405=(($4404)|0)!=0; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4405) { __label__ = 1066; break; } else { __label__ = 1065; break; } //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1065: 
      __label__ = 2152; break; //@line 3650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1066: 
      var $4408=(($regs)|0); //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4409=HEAP32[(($4408)>>2)]; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4410=(($4409-8)|0); //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4411=$4410; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4412=$lval178; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4411)>>2)]=HEAP32[(($4412)>>2)];HEAP32[(($4411+4)>>2)]=HEAP32[(($4412+4)>>2)]; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4413=(($regs)|0); //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4414=HEAP32[(($4413)>>2)]; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4415=(($4414-16)|0); //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4416=$4415; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4417=$rval180; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4416)>>2)]=HEAP32[(($4417)>>2)];HEAP32[(($4416+4)>>2)]=HEAP32[(($4417+4)>>2)]; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4418=$2; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4419=(($regs)|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4420=HEAP32[(($4419)>>2)]; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4421=(($4420-8)|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4422=$30; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4423=$4421; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4422)>>2)]=HEAP32[(($4423)>>2)];HEAP32[(($4422+4)>>2)]=HEAP32[(($4423+4)>>2)]; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4424=(($regs)|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4425=HEAP32[(($4424)>>2)]; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4426=(($4425-16)|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4427=$31; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4428=$4426; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4427)>>2)]=HEAP32[(($4428)>>2)];HEAP32[(($4427+4)>>2)]=HEAP32[(($4428+4)>>2)]; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueES2_EEvP9JSContextT_T0_($4418, $30, $31); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1067; break;
    case 1067: 
      __label__ = 1068; break;
    case 1068: 
      var $4431=__ZNK2JS5Value11isPrimitiveEv($rval180); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4431) { __label__ = 1069; break; } else { __label__ = 1076; break; } //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1069: 
      var $4433=(($regs)|0); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4434=HEAP32[(($4433)>>2)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4435=(($4434-8)|0); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4436=__ZNK2JS5Value8isObjectEv($4435); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4436) { __label__ = 1070; break; } else { __label__ = 1076; break; } //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1070: 
      __label__ = 1071; break; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1071: 
      var $4439=(($regs+4)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4440=HEAP32[(($4439)>>2)]; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4441=(($4440)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4442=(($4441+1)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4443=HEAPU8[($4442)]; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4444=(($4443)&255); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4445=$4444 << 8; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4446=(($regs+4)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4447=HEAP32[(($4446)>>2)]; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4448=(($4447)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4449=(($4448+2)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4450=HEAPU8[($4449)]; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4451=(($4450)&255); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4452=$4445 | $4451; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4453=$atoms; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4454=(($4453+($4452<<2))|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4455=HEAP32[(($4454)>>2)]; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($atom183)>>2)]=$4455; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1072; break; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1072: 
      __label__ = 1073; break; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1073: 
      var $4458=(($regs)|0); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4459=HEAP32[(($4458)>>2)]; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4460=(($4459-16)|0); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4461=HEAP32[(($atom183)>>2)]; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4462=$4461; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($4460, $4462); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4463=$2; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4464=(($regs)|0); //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4465=HEAP32[(($4464)>>2)]; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4466=(($4465-16)|0); //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4467=__ZN2js15OnUnknownMethodEP9JSContextPN2JS5ValueE($4463, $4466); //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4467) { __label__ = 1075; break; } else { __label__ = 1074; break; } //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1074: 
      __label__ = 2152; break; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1075: 
      __label__ = 1076; break; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1076: 
      var $4471=$2; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4472=$script; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4473=(($regs+4)|0); //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4474=HEAP32[(($4473)>>2)]; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($4471, $4472, $4474, $rval180); //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1077: 
      var $4476=(($regs)|0); //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4477=HEAP32[(($4476)>>2)]; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4478=(($4477-8)|0); //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4479=__ZNK2JS5Value8toObjectEv($4478); //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4480=$2; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4481=__ZN8JSObject7unbrandEP9JSContext($4479, $4480); //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1078: 
      __label__ = 1079; break; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1079: 
      __label__ = 1080; break; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1080: 
      __label__ = 1081; break; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1081: 
      var $4486=(($regs)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4487=HEAP32[(($4486)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4488=(($4487-8)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4489=$rval187; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4490=$4488; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4489)>>2)]=HEAP32[(($4490)>>2)];HEAP32[(($4489+4)>>2)]=HEAP32[(($4490+4)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4491=(($regs)|0); //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4492=HEAP32[(($4491)>>2)]; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4493=(($4492-16)|0); //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref188=$4493; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1082; break; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1082: 
      var $4495=$lref188; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4496=__ZNK2JS5Value8isObjectEv($4495); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4496) { __label__ = 1083; break; } else { __label__ = 1084; break; } //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1083: 
      var $4498=$lref188; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4499=__ZNK2JS5Value8toObjectEv($4498); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj189=$4499; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1087; break; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1084: 
      var $4501=$2; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4502=$lref188; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4503=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($4501, $4502); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj189=$4503; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4504=$obj189; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4505=(($4504)|0)!=0; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4505) { __label__ = 1086; break; } else { __label__ = 1085; break; } //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1085: 
      __label__ = 2152; break; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1086: 
      var $4508=$lref188; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4509=$obj189; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($4508, $4509); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1087; break;
    case 1087: 
      __label__ = 1088; break; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1088: 
      __label__ = 1089; break; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1089: 
      __label__ = 1090; break; //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1090: 
      var $4514=$2; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4515=(($4514+52)|0); //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4516=HEAP32[(($4515)>>2)]; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4517=(($4516+144280)|0); //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4518=(($4517+56)|0); //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cache=$4518; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4519=$cache; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4520=$2; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4521=(($regs+4)|0); //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4522=HEAP32[(($4521)>>2)]; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4523=$obj189; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4524=__ZN2js13PropertyCache10testForSetEP9JSContextPhP8JSObjectPPNS_18PropertyCacheEntryEPS5_PP6JSAtom($4519, $4520, $4522, $4523, $entry190, $obj2191, $atom192); //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4524) { __label__ = 1091; break; } else { __label__ = 1126; break; } //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1091: 
      var $4526=HEAP32[(($entry190)>>2)]; //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4527=(($4526+12)|0); //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4528=__ZNK2js5PCVal7toShapeEv($4527); //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $shape193=$4528; //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4529=HEAP32[(($entry190)>>2)]; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4530=__ZNK2js18PropertyCacheEntry6addingEv($4529); //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4530) { __label__ = 1107; break; } else { __label__ = 1092; break; } //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1092: 
      var $4532=HEAP32[(($entry190)>>2)]; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4533=__ZNK2js18PropertyCacheEntry7vcapTagEv($4532); //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4534=(($4533)|0)==0; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4534) { __label__ = 1095; break; } else { __label__ = 1093; break; } //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1093: 
      var $4536=$obj189; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4537=__ZNK8JSObject8getProtoEv($4536); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj2191)>>2)]=$4537; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4538=(($4537)|0)!=0; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4538) { __label__ = 1094; break; } else { __label__ = 1106; break; } //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1094: 
      var $4540=HEAP32[(($obj2191)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4541=__ZNK8JSObject5shapeEv($4540); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4542=HEAP32[(($entry190)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4543=__ZNK2js18PropertyCacheEntry6vshapeEv($4542); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4544=(($4541)|0)==(($4543)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4544) { __label__ = 1095; break; } else { __label__ = 1106; break; } //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1095: 
      __label__ = 1096; break; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1096: 
      var $4547=$shape193; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4548=__ZNK2js5Shape16hasDefaultSetterEv($4547); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4548) { __label__ = 1097; break; } else { __label__ = 1100; break; } //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1097: 
      var $4550=$shape193; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4551=(($4550+24)|0); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4552=HEAP32[(($4551)>>2)]; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4553=(($4552)|0)!=-1; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4553) { __label__ = 1098; break; } else { __label__ = 1100; break; } //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1098: 
      var $4555=$obj189; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4556=__ZN8JSObject25brandedOrHasMethodBarrierEv($4555); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4556) { __label__ = 1100; break; } else { __label__ = 1099; break; } //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1099: 
      var $4558=$obj189; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4559=$2; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4560=$shape193; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject21nativeSetSlotWithTypeEP9JSContextPKN2js5ShapeERKN2JS5ValueE($4558, $4559, $4560, $rval187); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1103; break; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1100: 
      var $4562=$2; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4563=$obj189; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4564=$shape193; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4565=$script; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4566=$4565; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4567=(($4566+36)|0); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4568=HEAPU8[($4567)]; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4569=(($4568)&255) >>> 3; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4570=$4569 & 1; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4571=(($4570) & 1); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4572=__Z12js_NativeSetP9JSContextP8JSObjectPKN2js5ShapeEbbPN2JS5ValueE($4562, $4563, $4564, 0, $4571, $rval187); //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4573=(($4572)|0)!=0; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4573) { __label__ = 1102; break; } else { __label__ = 1101; break; } //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1101: 
      __label__ = 2152; break; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1102: 
      __label__ = 1103; break;
    case 1103: 
      __label__ = 1104; break; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1104: 
      __label__ = 1105; break; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1105: 
      __label__ = 1143; break; //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1106: 
      __label__ = 1122; break; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1107: 
      var $4581=$obj189; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4582=__ZNK8JSObject11nativeEmptyEv($4581); //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4582) { __label__ = 1108; break; } else { __label__ = 1111; break; } //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1108: 
      var $4584=$obj189; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4585=$2; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4586=__ZN8JSObject38ensureClassReservedSlotsForEmptyObjectEP9JSContext($4584, $4585); //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4586) { __label__ = 1110; break; } else { __label__ = 1109; break; } //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1109: 
      __label__ = 2152; break; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1110: 
      __label__ = 1111; break; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1111: 
      var $4590=$shape193; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4591=__ZNK2js5Shape8previousEv($4590); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4592=$obj189; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4593=__ZNK8JSObject12lastPropertyEv($4592); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4594=(($4591)|0)==(($4593)|0); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4594) { __label__ = 1112; break; } else { __label__ = 1121; break; } //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1112: 
      var $4596=HEAP32[(($entry190)>>2)]; //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4597=__ZNK2js18PropertyCacheEntry6vshapeEv($4596); //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4598=$rt; //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4599=(($4598+44)|0); //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4600=HEAP32[(($4599)>>2)]; //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4601=(($4597)|0)==(($4600)|0); //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4601) { __label__ = 1113; break; } else { __label__ = 1121; break; } //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1113: 
      var $4603=$shape193; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4604=__ZNK2js5Shape16hasDefaultSetterEv($4603); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4604) { __label__ = 1114; break; } else { __label__ = 1121; break; } //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1114: 
      var $4606=$obj189; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4607=__ZNK8JSObject8getClassEv($4606); //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4608=(($4607+8)|0); //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4609=HEAP32[(($4608)>>2)]; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4610=(($4609)|0)==8; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4610) { __label__ = 1115; break; } else { __label__ = 1121; break; } //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1115: 
      var $4612=$shape193; //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4613=(($4612+24)|0); //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4614=HEAP32[(($4613)>>2)]; //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($slot194)>>2)]=$4614; //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4615=HEAPU32[(($slot194)>>2)]; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4616=$obj189; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4617=__ZNK8JSObject8numSlotsEv($4616); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4618=(($4615)>>>0) < (($4617)>>>0); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4618) { __label__ = 1116; break; } else { __label__ = 1117; break; } //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1116: 
      __label__ = 1120; break; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1117: 
      var $4621=$obj189; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4622=$2; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4623=__ZN8JSObject9allocSlotEP9JSContextPj($4621, $4622, $slot194); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4623) { __label__ = 1119; break; } else { __label__ = 1118; break; } //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1118: 
      __label__ = 2152; break; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1119: 
      __label__ = 1120; break;
    case 1120: 
      var $4627=$obj189; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4628=$2; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4629=$shape193; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject6extendEP9JSContextPKN2js5ShapeEb($4627, $4628, $4629, 0); //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4630=$obj189; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4631=$2; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4632=$shape193; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject21nativeSetSlotWithTypeEP9JSContextPKN2js5ShapeERKN2JS5ValueE($4630, $4631, $4632, $rval187); //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4633=$2; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4634=$obj189; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4635=$shape193; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4636=(($4635+12)|0); //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4637=HEAP32[(($4636)>>2)]; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z18js_PurgeScopeChainP9JSContextP8JSObjecti($4633, $4634, $4637); //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1143; break; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1121: 
      __label__ = 1122; break;
    case 1122: 
      __label__ = 1123; break; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1123: 
      var $4641=(($regs+4)|0); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4642=HEAP32[(($4641)>>2)]; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4643=(($4642)|0); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4644=(($4643+1)|0); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4645=HEAPU8[($4644)]; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4646=(($4645)&255); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4647=$4646 << 8; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4648=(($regs+4)|0); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4649=HEAP32[(($4648)>>2)]; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4650=(($4649)|0); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4651=(($4650+2)|0); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4652=HEAPU8[($4651)]; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4653=(($4652)&255); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4654=$4647 | $4653; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4655=$atoms; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4656=(($4655+($4654<<2))|0); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4657=HEAP32[(($4656)>>2)]; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($atom192)>>2)]=$4657; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1124; break; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1124: 
      __label__ = 1125; break; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1125: 
      __label__ = 1127; break; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1126: 
      __label__ = 1127; break;
    case 1127: 
      var $4662=HEAP32[(($atom192)>>2)]; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4663=__ZL12ATOM_TO_JSIDP6JSAtom1798($4662); //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id195=$4663; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4664=HEAP32[(($entry190)>>2)]; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4665=(($4664)|0)!=0; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4665) { __label__ = 1128; break; } else { __label__ = 1138; break; } //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1128: 
      var $4667=$obj189; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4668=__ZNK8JSObject6getOpsEv($4667); //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4669=(($4668+52)|0); //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4670=HEAP32[(($4669)>>2)]; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4671=(($4670)|0)!=0; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4671) { __label__ = 1138; break; } else { __label__ = 1129; break; } //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1129: 
      var $4673=$op; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4674=(($4673)|0)==226; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4674) { __label__ = 1130; break; } else { __label__ = 1131; break; } //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1130: 
      $defineHow=5; //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1135; break; //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1131: 
      var $4677=$op; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4678=(($4677)|0)==111; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4678) { __label__ = 1132; break; } else { __label__ = 1133; break; } //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1132: 
      $defineHow=9; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1134; break; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1133: 
      $defineHow=1; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1134; break;
    case 1134: 
      __label__ = 1135; break;
    case 1135: 
      var $4683=$2; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4684=$obj189; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4685=$id195; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4686=$defineHow; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4687=$script; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4688=$4687; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4689=(($4688+36)|0); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4690=HEAPU8[($4689)]; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4691=(($4690)&255) >>> 3; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4692=$4691 & 1; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4693=(($4692) & 1); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4694=(($4693)&1); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4695=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($4683, $4684, $4685, $4686, $rval187, $4694); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4696=(($4695)|0)!=0; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4696) { __label__ = 1137; break; } else { __label__ = 1136; break; } //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1136: 
      __label__ = 2152; break; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1137: 
      __label__ = 1141; break; //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1138: 
      var $4700=$obj189; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4701=$2; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4702=$id195; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4703=$script; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4704=$4703; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4705=(($4704+36)|0); //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4706=HEAPU8[($4705)]; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4707=(($4706)&255) >>> 3; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4708=$4707 & 1; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4709=(($4708) & 1); //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4710=(($4709)&1); //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4711=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($4700, $4701, $4702, $rval187, $4710); //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4712=(($4711)|0)!=0; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4712) { __label__ = 1140; break; } else { __label__ = 1139; break; } //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1139: 
      __label__ = 2152; break; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1140: 
      __label__ = 1141; break;
    case 1141: 
      __label__ = 1142; break; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1142: 
      __label__ = 1143; break; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1143: 
      var $4718=(($regs+4)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4719=HEAP32[(($4718)>>2)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4720=(($4719+3)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4721=HEAPU8[($4720)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4722=(($4721)&255); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4723=(($4722)|0)==81; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4723) { __label__ = 1144; break; } else { __label__ = 1145; break; } //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1144: 
      var $4725=(($regs)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4726=HEAP32[(($4725)>>2)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4727=(($4726-16)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($4725)>>2)]=$4727; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4728=(($regs+4)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4729=HEAP32[(($4728)>>2)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4730=(($4729+4)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($4728)>>2)]=$4730; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4731=(($regs+4)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4732=HEAP32[(($4731)>>2)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4733=HEAPU8[($4732)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4734=(($4733)&255); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$4734; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1145: 
      var $4736=(($regs)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4737=HEAP32[(($4736)>>2)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4738=(($4737-8)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $newsp=$4738; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4739=$newsp; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4740=(($4739-8)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4741=(($regs)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4742=HEAP32[(($4741)>>2)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4743=(($4742-8)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4744=$4740; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4745=$4743; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4744)>>2)]=HEAP32[(($4745)>>2)];HEAP32[(($4744+4)>>2)]=HEAP32[(($4745+4)>>2)]; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4746=$newsp; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4747=(($regs)|0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($4747)>>2)]=$4746; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1146: 
      var $4749=(($regs)|0); //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4750=HEAP32[(($4749)>>2)]; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4751=(($4750-16)|0); //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref196=$4751; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4752=(($regs)|0); //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4753=HEAP32[(($4752)>>2)]; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4754=(($4753-8)|0); //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref197=$4754; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4755=$lref196; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4756=__ZNK2JS5Value8isStringEv($4755); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4756) { __label__ = 1147; break; } else { __label__ = 1155; break; } //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1147: 
      var $4758=$rref197; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4759=__ZNK2JS5Value7isInt32Ev($4758); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4759) { __label__ = 1148; break; } else { __label__ = 1155; break; } //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1148: 
      var $4761=$lref196; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4762=__ZNK2JS5Value8toStringEv($4761); //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str198=$4762; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4763=$rref197; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4764=__ZNK2JS5Value7toInt32Ev($4763); //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i199=$4764; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4765=$i199; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4766=$str198; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4767=__ZNK8JSString6lengthEv($4766); //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4768=(($4765)>>>0) < (($4767)>>>0); //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4768) { __label__ = 1149; break; } else { __label__ = 1154; break; } //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1149: 
      var $4770=$2; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4771=(($4770+52)|0); //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4772=HEAP32[(($4771)>>2)]; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4773=(($4772+210584)|0); //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4774=$2; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4775=$str198; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4776=$i199; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4777=__ZN2js13StaticStrings23getUnitStringForElementEP9JSContextP8JSStringj($4773, $4774, $4775, $4776); //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4778=$4777; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str198=$4778; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4779=$str198; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4780=(($4779)|0)!=0; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4780) { __label__ = 1151; break; } else { __label__ = 1150; break; } //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1150: 
      __label__ = 2152; break; //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1151: 
      var $4783=(($regs)|0); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4784=HEAP32[(($4783)>>2)]; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4785=(($4784-8)|0); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($4783)>>2)]=$4785; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4786=(($regs)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4787=HEAP32[(($4786)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4788=(($4787-8)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4789=$str198; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($4788, $4789); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4790=$2; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4791=$script; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4792=(($regs+4)|0); //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4793=HEAP32[(($4792)>>2)]; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4794=(($regs)|0); //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4795=HEAP32[(($4794)>>2)]; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4796=(($4795-8)|0); //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($4790, $4791, $4793, $4796); //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1152; break; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1152: 
      __label__ = 42; break; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1153: 
      __label__ = 1154; break; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1154: 
      __label__ = 1155; break; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1155: 
      var $4802=$lref196; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4803=__ZNK2JS5Value7isMagicE10JSWhyMagic($4802, 9); //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4803) { __label__ = 1156; break; } else { __label__ = 1162; break; } //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1156: 
      var $4805=$rref197; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4806=__ZNK2JS5Value7isInt32Ev($4805); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4806) { __label__ = 1157; break; } else { __label__ = 1161; break; } //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1157: 
      var $4808=$rref197; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4809=__ZNK2JS5Value7toInt32Ev($4808); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4810=__ZNK2js9FrameRegs2fpEv($regs); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4811=__ZNK2js10StackFrame13numActualArgsEv($4810); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4812=(($4809)>>>0) < (($4811)>>>0); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4812) { __label__ = 1158; break; } else { __label__ = 1161; break; } //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1158: 
      var $4814=(($regs)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4815=HEAP32[(($4814)>>2)]; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4816=(($4815-8)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($4814)>>2)]=$4816; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4817=(($regs)|0); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4818=HEAP32[(($4817)>>2)]; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4819=(($4818-8)|0); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4820=__ZNK2js9FrameRegs2fpEv($regs); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4821=$rref197; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4822=__ZNK2JS5Value7toInt32Ev($4821); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4823=__ZNK2js10StackFrame18canonicalActualArgEj($4820, $4822); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4824=$4819; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4825=$4823; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4824)>>2)]=HEAP32[(($4825)>>2)];HEAP32[(($4824+4)>>2)]=HEAP32[(($4825+4)>>2)]; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4826=$2; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4827=$script; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4828=(($regs+4)|0); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4829=HEAP32[(($4828)>>2)]; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4830=(($regs)|0); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4831=HEAP32[(($4830)>>2)]; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4832=(($4831-8)|0); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($4826, $4827, $4829, $4832); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1159; break; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1159: 
      __label__ = 42; break; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1160: 
      __label__ = 1161; break; //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1161: 
      var $4837=$2; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4838=$script; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types20MarkArgumentsCreatedEP9JSContextP8JSScript($4837, $4838); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1162; break; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1162: 
      __label__ = 1163; break; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1163: 
      var $4841=$lref196; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4842=__ZNK2JS5Value8isObjectEv($4841); //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4842) { __label__ = 1164; break; } else { __label__ = 1165; break; } //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1164: 
      var $4844=$lref196; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4845=__ZNK2JS5Value8toObjectEv($4844); //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj200=$4845; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1168; break; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1165: 
      var $4847=$2; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4848=$lref196; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4849=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($4847, $4848); //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj200=$4849; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4850=$obj200; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4851=(($4850)|0)!=0; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4851) { __label__ = 1167; break; } else { __label__ = 1166; break; } //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1166: 
      __label__ = 2152; break; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1167: 
      var $4854=$lref196; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4855=$obj200; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($4854, $4855); //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1168; break;
    case 1168: 
      __label__ = 1169; break; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1169: 
      __label__ = 1170; break; //@line 3863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1170: 
      var $4859=$rref197; //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4860=__ZNK2JS5Value7isInt32Ev($4859); //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4860) { __label__ = 1171; break; } else { __label__ = 1190; break; } //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1171: 
      var $4862=$rref197; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4863=__ZNK2JS5Value7toInt32Ev($4862); //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i203=$4863; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4864=$obj200; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4865=__ZNK8JSObject12isDenseArrayEv($4864); //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4865) { __label__ = 1172; break; } else { __label__ = 1177; break; } //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1172: 
      var $4867=$i203; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idx=$4867; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4868=$idx; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4869=$obj200; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4870=__ZN8JSObject30getDenseArrayInitializedLengthEv($4869); //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4871=(($4868)>>>0) < (($4870)>>>0); //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4871) { __label__ = 1173; break; } else { __label__ = 1176; break; } //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1173: 
      var $4873=$obj200; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4874=$idx; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4875=__ZN8JSObject20getDenseArrayElementEj($4873, $4874); //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $copyFrom=$4875; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4876=$copyFrom; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4877=__ZNK2JS5Value7isMagicEv($4876); //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4877) { __label__ = 1175; break; } else { __label__ = 1174; break; } //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1174: 
      __label__ = 1205; break; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1175: 
      __label__ = 1176; break; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1176: 
      __label__ = 1186; break; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1177: 
      var $4882=$obj200; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4883=__ZNK8JSObject11isArgumentsEv($4882); //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4883) { __label__ = 1178; break; } else { __label__ = 1185; break; } //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1178: 
      var $4885=$i203; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $arg=$4885; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4886=$obj200; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4887=__ZN8JSObject11asArgumentsEv($4886); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $argsobj204=$4887; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4888=$arg; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4889=$argsobj204; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4890=__ZNK2js15ArgumentsObject13initialLengthEv($4889); //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4891=(($4888)>>>0) < (($4890)>>>0); //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4891) { __label__ = 1179; break; } else { __label__ = 1184; break; } //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1179: 
      var $4893=$argsobj204; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4894=$arg; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4895=__ZNK2js15ArgumentsObject7elementEj($4893, $4894); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $copyFrom=$4895; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4896=$copyFrom; //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4897=__ZNK2JS5Value7isMagicE10JSWhyMagic($4896, 1); //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4897) { __label__ = 1183; break; } else { __label__ = 1180; break; } //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1180: 
      var $4899=$argsobj204; //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4900=__ZNK2js15ArgumentsObject15maybeStackFrameEv($4899); //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $afp=$4900; //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4901=$afp; //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4902=(($4901)|0)!=0; //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4902) { __label__ = 1181; break; } else { __label__ = 1182; break; } //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1181: 
      var $4904=$afp; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4905=$arg; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4906=__ZNK2js10StackFrame18canonicalActualArgEj($4904, $4905); //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $copyFrom=$4906; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1182; break; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1182: 
      __label__ = 1205; break; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1183: 
      __label__ = 1184; break; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1184: 
      __label__ = 1185; break; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1185: 
      __label__ = 1186; break;
    case 1186: 
      var $4912=$i203; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4913=_INT_FITS_IN_JSID1825($4912); //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4914=(($4913)|0)!=0; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4914) { __label__ = 1187; break; } else { __label__ = 1188; break; } //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1187: 
      var $4916=$i203; //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4917=_INT_TO_JSID1826($4916); //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id202)>>2)]=$4917; //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1189; break; //@line 3891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1188: 
      __label__ = 1194; break; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1189: 
      __label__ = 1198; break; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1190: 
      var $4921=$rref197; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4922=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($4921, $i205); //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4922) { __label__ = 1191; break; } else { __label__ = 1193; break; } //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1191: 
      var $4924=HEAP32[(($i205)>>2)]; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4925=_INT_FITS_IN_JSID1825($4924); //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4926=(($4925)|0)!=0; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4926) { __label__ = 1192; break; } else { __label__ = 1193; break; } //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1192: 
      var $4928=HEAP32[(($i205)>>2)]; //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4929=_INT_TO_JSID1826($4928); //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id202)>>2)]=$4929; //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1197; break; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1193: 
      __label__ = 1194; break; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1194: 
      var $4932=$2; //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4933=$obj200; //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4934=$rref197; //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4935=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPi($4932, $4933, $4934, $id202); //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4935) { __label__ = 1196; break; } else { __label__ = 1195; break; } //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1195: 
      __label__ = 2152; break; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1196: 
      __label__ = 1197; break;
    case 1197: 
      __label__ = 1198; break;
    case 1198: 
      var $4940=HEAP32[(($id202)>>2)]; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4941=_JSID_IS_STRING1834($4940); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4942=(($4941)|0)!=0; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4942) { __label__ = 1199; break; } else { __label__ = 1202; break; } //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1199: 
      var $4944=$script; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4945=__ZN8JSScript11hasAnalysisEv($4944); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4945) { __label__ = 1200; break; } else { __label__ = 1202; break; } //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1200: 
      var $4947=__ZNK2js9FrameRegs2fpEv($regs); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4948=__ZNK2js10StackFrame11hasImacropcEv($4947); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4948) { __label__ = 1202; break; } else { __label__ = 1201; break; } //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1201: 
      var $4950=$script; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4951=__ZN8JSScript8analysisEv($4950); //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4952=(($regs+4)|0); //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4953=HEAP32[(($4952)>>2)]; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4954=__ZN2js7analyze14ScriptAnalysis7getCodeEPKh($4951, $4953); //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4955=$4954; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4956=(($4955+1)|0); //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4957=HEAP8[($4956)]; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4958=$4957 & -33; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4959=$4958 | 32; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP8[($4956)]=$4959; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1202; break; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1202: 
      var $4961=$obj200; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4962=$2; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4963=HEAP32[(($id202)>>2)]; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4964=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($4961, $4962, $4963, $rval201); //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4965=(($4964)|0)!=0; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($4965) { __label__ = 1204; break; } else { __label__ = 1203; break; } //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1203: 
      __label__ = 2152; break; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1204: 
      $copyFrom=$rval201; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1205; break; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1205: 
      var $4969=(($regs)|0); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4970=HEAP32[(($4969)>>2)]; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4971=(($4970-8)|0); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($4969)>>2)]=$4971; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4972=(($regs)|0); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4973=HEAP32[(($4972)>>2)]; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4974=(($4973-8)|0); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4975=$copyFrom; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4976=$4974; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4977=$4975; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4976)>>2)]=HEAP32[(($4977)>>2)];HEAP32[(($4976+4)>>2)]=HEAP32[(($4977+4)>>2)]; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4978=$2; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4979=(($regs)|0); //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4980=HEAP32[(($4979)>>2)]; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4981=(($4980-8)|0); //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4982=$32; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4983=$4981; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4982)>>2)]=HEAP32[(($4983)>>2)];HEAP32[(($4982+4)>>2)]=HEAP32[(($4983+4)>>2)]; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($4978, $32); //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4984=$2; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4985=$script; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4986=(($regs+4)|0); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4987=HEAP32[(($4986)>>2)]; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4988=(($regs)|0); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4989=HEAP32[(($4988)>>2)]; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4990=(($4989-8)|0); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($4984, $4985, $4987, $4990); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1206: 
      var $4992=(($regs)|0); //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4993=HEAP32[(($4992)>>2)]; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4994=(($4993-16)|0); //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4995=$thisv206; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4996=$4994; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4995)>>2)]=HEAP32[(($4996)>>2)];HEAP32[(($4995+4)>>2)]=HEAP32[(($4996+4)>>2)]; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4997=$2; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4998=__ZN2js19ValuePropertyBearerEP9JSContextRKN2JS5ValueEi($4997, $thisv206, -2); //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $thisObj=$4998; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4999=$thisObj; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5000=(($4999)|0)!=0; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5000) { __label__ = 1208; break; } else { __label__ = 1207; break; } //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1207: 
      __label__ = 2152; break; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1208: 
      __label__ = 1209; break; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1209: 
      var $5004=(($regs)|0); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5005=HEAP32[(($5004)>>2)]; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5006=(($5005-8)|0); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_208=$5006; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5007=$idval_208; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5008=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($5007, $i_209); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5008) { __label__ = 1210; break; } else { __label__ = 1212; break; } //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1210: 
      var $5010=HEAP32[(($i_209)>>2)]; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5011=_INT_FITS_IN_JSID1825($5010); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5012=(($5011)|0)!=0; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5012) { __label__ = 1211; break; } else { __label__ = 1212; break; } //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1211: 
      var $5014=HEAP32[(($i_209)>>2)]; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5015=_INT_TO_JSID1826($5014); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id207)>>2)]=$5015; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1215; break; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1212: 
      var $5017=$2; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5018=$thisObj; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5019=$idval_208; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5020=(($regs)|0); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5021=HEAP32[(($5020)>>2)]; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5022=(($5021-8)|0); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5023=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($5017, $5018, $5019, $id207, $5022); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5023) { __label__ = 1214; break; } else { __label__ = 1213; break; } //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1213: 
      __label__ = 2152; break; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1214: 
      __label__ = 1215; break;
    case 1215: 
      __label__ = 1216; break; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1216: 
      __label__ = 1217; break; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1217: 
      var $5029=$2; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5030=$thisObj; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5031=HEAP32[(($id207)>>2)]; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5032=(($regs)|0); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5033=HEAP32[(($5032)>>2)]; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5034=(($5033-16)|0); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5035=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($5029, $5030, $5031, 2, $5034); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5036=(($5035)|0)!=0; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5036) { __label__ = 1219; break; } else { __label__ = 1218; break; } //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1218: 
      __label__ = 2152; break; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1219: 
      var $5039=(($regs)|0); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5040=HEAP32[(($5039)>>2)]; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5041=(($5040-16)|0); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5042=__ZNK2JS5Value11isPrimitiveEv($5041); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5042) { __label__ = 1220; break; } else { __label__ = 1224; break; } //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1220: 
      var $5044=__ZNK2JS5Value8isObjectEv($thisv206); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5044) { __label__ = 1221; break; } else { __label__ = 1224; break; } //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1221: 
      var $5046=(($regs)|0); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5047=HEAP32[(($5046)>>2)]; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5048=(($5047-16)|0); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5049=(($regs)|0); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5050=HEAP32[(($5049)>>2)]; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5051=(($5050-8)|0); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5052=$5048; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5053=$5051; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5052)>>2)]=HEAP32[(($5053)>>2)];HEAP32[(($5052+4)>>2)]=HEAP32[(($5053+4)>>2)]; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5054=(($regs)|0); //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5055=HEAP32[(($5054)>>2)]; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5056=(($5055-8)|0); //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5057=$thisObj; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($5056, $5057); //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5058=$2; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5059=(($regs)|0); //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5060=HEAP32[(($5059)>>2)]; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5061=(($5060-16)|0); //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5062=__ZN2js15OnUnknownMethodEP9JSContextPN2JS5ValueE($5058, $5061); //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5062) { __label__ = 1223; break; } else { __label__ = 1222; break; } //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1222: 
      __label__ = 2152; break; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1223: 
      __label__ = 1225; break; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1224: 
      var $5066=(($regs)|0); //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5067=HEAP32[(($5066)>>2)]; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5068=(($5067-8)|0); //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5069=$5068; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5070=$thisv206; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5069)>>2)]=HEAP32[(($5070)>>2)];HEAP32[(($5069+4)>>2)]=HEAP32[(($5070+4)>>2)]; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1225; break;
    case 1225: 
      var $5072=$2; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5073=$script; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5074=(($regs+4)|0); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5075=HEAP32[(($5074)>>2)]; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5076=(($regs)|0); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5077=HEAP32[(($5076)>>2)]; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5078=(($5077-16)|0); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($5072, $5073, $5075, $5078); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1226: 
      __label__ = 1227; break; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1227: 
      var $5081=(($regs)|0); //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5082=HEAP32[(($5081)>>2)]; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5083=(($5082-24)|0); //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_211=$5083; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1228; break; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1228: 
      var $5085=$vp_211; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5086=__ZNK2JS5Value8isObjectEv($5085); //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5086) { __label__ = 1229; break; } else { __label__ = 1230; break; } //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1229: 
      var $5088=$vp_211; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5089=__ZNK2JS5Value8toObjectEv($5088); //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj210=$5089; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1233; break; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1230: 
      var $5091=$2; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5092=$vp_211; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5093=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($5091, $5092); //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj210=$5093; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5094=$obj210; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5095=(($5094)|0)!=0; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5095) { __label__ = 1232; break; } else { __label__ = 1231; break; } //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1231: 
      __label__ = 2152; break; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1232: 
      var $5098=$vp_211; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5099=$obj210; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($5098, $5099); //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1233; break;
    case 1233: 
      __label__ = 1234; break; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1234: 
      __label__ = 1235; break; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1235: 
      __label__ = 1236; break; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1236: 
      __label__ = 1237; break; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1237: 
      __label__ = 1238; break; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1238: 
      var $5106=(($regs)|0); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5107=HEAP32[(($5106)>>2)]; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5108=(($5107-16)|0); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_213=$5108; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5109=$idval_213; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5110=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($5109, $i_214); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5110) { __label__ = 1239; break; } else { __label__ = 1241; break; } //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1239: 
      var $5112=HEAP32[(($i_214)>>2)]; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5113=_INT_FITS_IN_JSID1825($5112); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5114=(($5113)|0)!=0; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5114) { __label__ = 1240; break; } else { __label__ = 1241; break; } //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1240: 
      var $5116=HEAP32[(($i_214)>>2)]; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5117=_INT_TO_JSID1826($5116); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id212)>>2)]=$5117; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1244; break; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1241: 
      var $5119=$2; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5120=$obj210; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5121=$idval_213; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5122=(($regs)|0); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5123=HEAP32[(($5122)>>2)]; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5124=(($5123-16)|0); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5125=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($5119, $5120, $5121, $id212, $5124); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5125) { __label__ = 1243; break; } else { __label__ = 1242; break; } //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1242: 
      __label__ = 2152; break; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1243: 
      __label__ = 1244; break;
    case 1244: 
      __label__ = 1245; break; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1245: 
      __label__ = 1246; break; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1246: 
      var $5131=$2; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5132=$script; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5133=(($regs+4)|0); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5134=HEAP32[(($5133)>>2)]; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5135=$obj210; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5136=HEAP32[(($id212)>>2)]; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5137=(($regs)|0); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5138=HEAP32[(($5137)>>2)]; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5139=(($5138-8)|0); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript13MonitorAssignEP9JSContextP8JSScriptPhP8JSObjectiRKN2JS5ValueE($5131, $5132, $5134, $5135, $5136, $5139); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1247; break; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1247: 
      var $5141=$obj210; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5142=__ZNK8JSObject12isDenseArrayEv($5141); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5142) { __label__ = 1248; break; } else { __label__ = 1262; break; } //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1248: 
      var $5144=HEAP32[(($id212)>>2)]; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5145=_JSID_IS_INT1835($5144); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5146=(($5145)|0)!=0; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5146) { __label__ = 1249; break; } else { __label__ = 1262; break; } //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1249: 
      var $5148=$obj210; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5149=__ZN8JSObject30getDenseArrayInitializedLengthEv($5148); //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $length216=$5149; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5150=HEAP32[(($id212)>>2)]; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5151=_JSID_TO_INT1836($5150); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i217=$5151; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5152=$i217; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5153=$length216; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5154=(($5152)>>>0) < (($5153)>>>0); //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5154) { __label__ = 1250; break; } else { __label__ = 1257; break; } //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1250: 
      var $5156=$obj210; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5157=$i217; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5158=__ZN8JSObject20getDenseArrayElementEj($5156, $5157); //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5159=__ZNK2JS5Value7isMagicE10JSWhyMagic($5158, 0); //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5159) { __label__ = 1251; break; } else { __label__ = 1256; break; } //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1251: 
      var $5161=$2; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5162=$obj210; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5163=__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject($5161, $5162); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5164=(($5163)|0)!=0; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5164) { __label__ = 1252; break; } else { __label__ = 1253; break; } //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1252: 
      __label__ = 1264; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1253: 
      var $5167=$i217; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5168=$obj210; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5169=__ZNK8JSObject14getArrayLengthEv($5168); //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5170=(($5167)>>>0) >= (($5169)>>>0); //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5170) { __label__ = 1254; break; } else { __label__ = 1255; break; } //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1254: 
      var $5172=$obj210; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5173=$2; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5174=$i217; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5175=(($5174+1)|0); //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($5172, $5173, $5175); //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1255; break; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1255: 
      __label__ = 1256; break; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1256: 
      var $5178=$obj210; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5179=$2; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5180=$i217; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5181=(($regs)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5182=HEAP32[(($5181)>>2)]; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5183=(($5182-8)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE($5178, $5179, $5180, $5183); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1267; break; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1257: 
      var $5185=$script; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5186=__ZN8JSScript11hasAnalysisEv($5185); //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5186) { __label__ = 1258; break; } else { __label__ = 1260; break; } //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1258: 
      var $5188=__ZNK2js9FrameRegs2fpEv($regs); //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5189=__ZNK2js10StackFrame11hasImacropcEv($5188); //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5189) { __label__ = 1260; break; } else { __label__ = 1259; break; } //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1259: 
      var $5191=$script; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5192=__ZN8JSScript8analysisEv($5191); //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5193=(($regs+4)|0); //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5194=HEAP32[(($5193)>>2)]; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5195=__ZN2js7analyze14ScriptAnalysis7getCodeEPKh($5192, $5194); //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5196=$5195; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5197=(($5196+1)|0); //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5198=HEAP8[($5197)]; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5199=$5198 & -17; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5200=$5199 | 16; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP8[($5197)]=$5200; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1260; break; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1260: 
      __label__ = 1261; break;
    case 1261: 
      __label__ = 1262; break; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1262: 
      __label__ = 1263; break; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1263: 
      __label__ = 1264; break; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1264: 
      var $5206=(($regs)|0); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5207=HEAP32[(($5206)>>2)]; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5208=(($5207-8)|0); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5209=$rval215; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5210=$5208; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5209)>>2)]=HEAP32[(($5210)>>2)];HEAP32[(($5209+4)>>2)]=HEAP32[(($5210+4)>>2)]; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5211=$obj210; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5212=$2; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5213=HEAP32[(($id212)>>2)]; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5214=$script; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5215=$5214; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5216=(($5215+36)|0); //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5217=HEAPU8[($5216)]; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5218=(($5217)&255) >>> 3; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5219=$5218 & 1; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5220=(($5219) & 1); //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5221=(($5220)&1); //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5222=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($5211, $5212, $5213, $rval215, $5221); //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5223=(($5222)|0)!=0; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5223) { __label__ = 1266; break; } else { __label__ = 1265; break; } //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1265: 
      __label__ = 2152; break; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1266: 
      __label__ = 1267; break; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1267: 
      var $5227=(($regs+4)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5228=HEAP32[(($5227)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5229=(($5228+1)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5230=HEAPU8[($5229)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5231=(($5230)&255); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5232=(($5231)|0)==81; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5232) { __label__ = 1268; break; } else { __label__ = 1269; break; } //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1268: 
      var $5234=(($regs)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5235=HEAP32[(($5234)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5236=(($5235-24)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5234)>>2)]=$5236; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5237=(($regs+4)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5238=HEAP32[(($5237)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5239=(($5238+2)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5237)>>2)]=$5239; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5240=(($regs+4)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5241=HEAP32[(($5240)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5242=HEAPU8[($5241)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5243=(($5242)&255); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$5243; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1269: 
      var $5245=(($regs)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5246=HEAP32[(($5245)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5247=(($5246-16)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $newsp218=$5247; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5248=$newsp218; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5249=(($5248-8)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5250=(($regs)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5251=HEAP32[(($5250)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5252=(($5251-8)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5253=$5249; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5254=$5252; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5253)>>2)]=HEAP32[(($5254)>>2)];HEAP32[(($5253+4)>>2)]=HEAP32[(($5254+4)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5255=$newsp218; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5256=(($regs)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5256)>>2)]=$5255; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1270: 
      __label__ = 1271; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1271: 
      var $5259=(($regs)|0); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5260=HEAP32[(($5259)>>2)]; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5261=(($5260-16)|0); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_220=$5261; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1272; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1272: 
      var $5263=$vp_220; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5264=__ZNK2JS5Value8isObjectEv($5263); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5264) { __label__ = 1273; break; } else { __label__ = 1274; break; } //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1273: 
      var $5266=$vp_220; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5267=__ZNK2JS5Value8toObjectEv($5266); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj219=$5267; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1277; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1274: 
      var $5269=$2; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5270=$vp_220; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5271=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($5269, $5270); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj219=$5271; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5272=$obj219; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5273=(($5272)|0)!=0; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5273) { __label__ = 1276; break; } else { __label__ = 1275; break; } //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1275: 
      __label__ = 2152; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1276: 
      var $5276=$vp_220; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5277=$obj219; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($5276, $5277); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1277; break;
    case 1277: 
      __label__ = 1278; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1278: 
      __label__ = 1279; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1279: 
      __label__ = 1280; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1280: 
      __label__ = 1281; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1281: 
      __label__ = 1282; break; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1282: 
      var $5284=(($regs)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5285=HEAP32[(($5284)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5286=(($5285-8)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_222=$5286; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5287=$idval_222; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5288=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($5287, $i_223); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5288) { __label__ = 1283; break; } else { __label__ = 1285; break; } //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1283: 
      var $5290=HEAP32[(($i_223)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5291=_INT_FITS_IN_JSID1825($5290); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5292=(($5291)|0)!=0; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5292) { __label__ = 1284; break; } else { __label__ = 1285; break; } //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1284: 
      var $5294=HEAP32[(($i_223)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5295=_INT_TO_JSID1826($5294); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id221)>>2)]=$5295; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1288; break; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1285: 
      var $5297=$2; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5298=$obj219; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5299=$idval_222; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5300=(($regs)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5301=HEAP32[(($5300)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5302=(($5301-8)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5303=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($5297, $5298, $5299, $id221, $5302); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5303) { __label__ = 1287; break; } else { __label__ = 1286; break; } //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1286: 
      __label__ = 2152; break; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1287: 
      __label__ = 1288; break;
    case 1288: 
      __label__ = 1289; break; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1289: 
      __label__ = 1290; break; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1290: 
      var $5309=(($regs)|0); //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5310=HEAP32[(($5309)>>2)]; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5311=(($5310-24)|0); //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5312=$rval224; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5313=$5311; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5312)>>2)]=HEAP32[(($5313)>>2)];HEAP32[(($5312+4)>>2)]=HEAP32[(($5313+4)>>2)]; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5314=$obj219; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5315=$2; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5316=HEAP32[(($id221)>>2)]; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5317=$script; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5318=$5317; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5319=(($5318+36)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5320=HEAPU8[($5319)]; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5321=(($5320)&255) >>> 3; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5322=$5321 & 1; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5323=(($5322) & 1); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5324=(($5323)&1); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5325=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($5314, $5315, $5316, $rval224, $5324); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5326=(($5325)|0)!=0; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5326) { __label__ = 1292; break; } else { __label__ = 1291; break; } //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1291: 
      __label__ = 2152; break; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1292: 
      var $5329=(($regs)|0); //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5330=HEAP32[(($5329)>>2)]; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5331=(($5330-24)|0); //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5329)>>2)]=$5331; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1293: 
      var $5333=(($regs+4)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5334=HEAP32[(($5333)>>2)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5335=(($5334+1)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5336=HEAPU8[($5335)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5337=(($5336)&255); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5338=$5337 << 8; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5339=(($regs+4)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5340=HEAP32[(($5339)>>2)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5341=(($5340+2)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5342=HEAPU8[($5341)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5343=(($5342)&255); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5344=$5338 | $5343; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5345=(($regs)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5346=HEAP32[(($5345)>>2)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js14CallArgsFromSpEjPN2JS5ValueE($args, $5344, $5346); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5347=__ZNK2js9FrameRegs2fpEv($regs); //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5348=__ZNK2js10StackFrame10scopeChainEv($5347); //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5349=$args; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5350=__ZNK2js12CallReceiver7calleevEv($5349); //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5351=__ZN2js21IsBuiltinEvalForScopeEP8JSObjectRKN2JS5ValueE($5348, $5350); //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5351) { __label__ = 1294; break; } else { __label__ = 1297; break; } //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1294: 
      var $5353=$2; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5354=__ZN2js10DirectEvalEP9JSContextRKNS_8CallArgsE($5353, $args); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5354) { __label__ = 1296; break; } else { __label__ = 1295; break; } //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1295: 
      __label__ = 2152; break; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1296: 
      __label__ = 1300; break; //@line 4007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1297: 
      var $5358=$2; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5359=__ZN2js12InvokeKernelEP9JSContextRKNS_8CallArgsENS_14MaybeConstructE($5358, $args, 0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5359) { __label__ = 1299; break; } else { __label__ = 1298; break; } //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1298: 
      __label__ = 2152; break; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1299: 
      __label__ = 1300; break;
    case 1300: 
      __label__ = 1301; break; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1301: 
      var $5364=$2; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5365=(($5364+200)|0); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5366=HEAP32[(($5365)>>2)]; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5367=(($5366)|0); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5368=HEAP32[(($5367)>>2)]; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5369=(($5368)|0)!=0; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5369) { __label__ = 1302; break; } else { __label__ = 1303; break; } //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1302: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1303; break; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1303: 
      __label__ = 1304; break; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1304: 
      __label__ = 1305; break; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1305: 
      var $5374=$args; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5375=__ZNK2js12CallReceiver11spAfterCallEv($5374); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5376=(($regs)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5376)>>2)]=$5375; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5377=$2; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5378=$script; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5379=(($regs+4)|0); //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5380=HEAP32[(($5379)>>2)]; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5381=(($regs)|0); //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5382=HEAP32[(($5381)>>2)]; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5383=(($5382-8)|0); //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($5377, $5378, $5380, $5383); //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1306: 
      __label__ = 1307; break; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1307: 
      __label__ = 1308; break; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1308: 
      __label__ = 1309; break; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1309: 
      var $5388=(($regs+4)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5389=HEAP32[(($5388)>>2)]; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5390=(($5389+1)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5391=HEAPU8[($5390)]; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5392=(($5391)&255); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5393=$5392 << 8; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5394=(($regs+4)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5395=HEAP32[(($5394)>>2)]; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5396=(($5395+2)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5397=HEAPU8[($5396)]; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5398=(($5397)&255); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5399=$5393 | $5398; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5400=(($regs)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5401=HEAP32[(($5400)>>2)]; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js14CallArgsFromSpEjPN2JS5ValueE($args225, $5399, $5401); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5402=(($regs+4)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5403=HEAP32[(($5402)>>2)]; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5404=HEAPU8[($5403)]; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5405=(($5404)&255); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5406=(($5405)|0)==82; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5407=(($5406)&1); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $construct=$5407; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5408=$args225; //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5409=__ZNK2js12CallReceiver7calleevEv($5408); //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5410=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction1837($5409, $callee, $fun); //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5410) { __label__ = 1310; break; } else { __label__ = 1311; break; } //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1310: 
      var $5412=HEAP32[(($fun)>>2)]; //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5413=__ZNK10JSFunction24isInterpretedConstructorEv($5412); //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5413) { __label__ = 1326; break; } else { __label__ = 1311; break; } //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1311: 
      var $5415=$construct; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5416=(($5415) & 1); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5416) { __label__ = 1312; break; } else { __label__ = 1315; break; } //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1312: 
      var $5418=$2; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5419=__ZN2js23InvokeConstructorKernelEP9JSContextRKNS_8CallArgsE($5418, $args225); //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5419) { __label__ = 1314; break; } else { __label__ = 1313; break; } //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1313: 
      __label__ = 2152; break; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1314: 
      __label__ = 1318; break; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1315: 
      var $5423=$2; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5424=__ZN2js12InvokeKernelEP9JSContextRKNS_8CallArgsENS_14MaybeConstructE($5423, $args225, 0); //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5424) { __label__ = 1317; break; } else { __label__ = 1316; break; } //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1316: 
      __label__ = 2152; break; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1317: 
      __label__ = 1318; break;
    case 1318: 
      var $5428=$args225; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5429=__ZNK2js12CallReceiver11spAfterCallEv($5428); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5430=(($regs)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5430)>>2)]=$5429; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5431=$2; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5432=$script; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5433=(($regs+4)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5434=HEAP32[(($5433)>>2)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5435=(($regs)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5436=HEAP32[(($5435)>>2)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5437=(($5436-8)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($5431, $5432, $5434, $5437); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1319; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1319: 
      var $5439=$2; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5440=(($5439+200)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5441=HEAP32[(($5440)>>2)]; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5442=(($5441)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5443=HEAP32[(($5442)>>2)]; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5444=(($5443)|0)!=0; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5444) { __label__ = 1320; break; } else { __label__ = 1321; break; } //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1320: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1321; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1321: 
      __label__ = 1322; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1322: 
      __label__ = 1323; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1323: 
      $len=3; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1324; break; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1324: 
      __label__ = 42; break; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1325: 
      __label__ = 1326; break; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1326: 
      var $5453=$2; //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5454=$construct; //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5455=(($5454) & 1); //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types15TypeMonitorCallEP9JSContextRKNS_8CallArgsEb($5453, $args225, $5455); //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5456=$construct; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5457=(($5456) & 1); //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5458=$5457 ? 128 : 0; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $initial=$5458; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5459=HEAP32[(($fun)>>2)]; //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5460=__ZNK10JSFunction6scriptEv($5459); //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $newScript=$5460; //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5461=$2; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5462=(($5461+60)|0); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5463=$2; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5464=HEAP32[(($callee)>>2)]; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5465=HEAP32[(($fun)>>2)]; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5466=$newScript; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5467=$initial; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5468=__ZN2js12ContextStack15pushInlineFrameEP9JSContextRNS_9FrameRegsERKNS_8CallArgsER8JSObjectP10JSFunctionP8JSScriptNS_17InitialFrameFlagsE($5462, $5463, $regs, $args225, $5464, $5465, $5466, $5467); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5468) { __label__ = 1328; break; } else { __label__ = 1327; break; } //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1327: 
      __label__ = 2152; break; //@line 4053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1328: 
      __label__ = 1329; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1329: 
      __label__ = 1330; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1330: 
      var $5473=__ZNK2js9FrameRegs2fpEv($regs); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5474=__ZNK2js10StackFrame6scriptEv($5473); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $script=$5474; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5475=$script; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5476=__ZN8JSScript15stepModeEnabledEv($5475); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5476) { __label__ = 1331; break; } else { __label__ = 1332; break; } //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1331: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1332; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1332: 
      __label__ = 1333; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1333: 
      __label__ = 1334; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1334: 
      var $5481=$script; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5482=(($5481+92)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5483=__ZN12JSPCCounters3getEi($5482, 0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pcCounts=$5483; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1335; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1335: 
      var $5485=$pcCounts; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5486=(($5485)|0)!=0; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5486) { __label__ = 1336; break; } else { __label__ = 1337; break; } //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1336: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1337; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1337: 
      __label__ = 1338; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1338: 
      __label__ = 1339; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1339: 
      var $5491=__ZNK2js9FrameRegs2fpEv($regs); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5492=__ZNK2js10StackFrame15maybeFormalArgsEv($5491); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $argv=$5492; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5493=$2; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5494=__ZNK2js9FrameRegs2fpEv($regs); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5495=__ZN2jsL13FrameAtomBaseEP9JSContextPNS_10StackFrameE($5493, $5494); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$5495; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1340; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1340: 
      __label__ = 1341; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1341: 
      var $5498=__ZNK2js9FrameRegs2fpEv($regs); //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5499=$2; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5500=__ZN2js10StackFrame16functionPrologueEP9JSContext($5498, $5499); //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5500) { __label__ = 1343; break; } else { __label__ = 1342; break; } //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1342: 
      __label__ = 2152; break; //@line 4058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1343: 
      var $5503=$2; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5504=__ZN9JSContext20typeInferenceEnabledEv($5503); //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5504) { __label__ = 1344; break; } else { var $5512 = 0;__label__ = 1345; break; } //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1344: 
      var $5506=$2; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5507=$script; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5508=(($regs+4)|0); //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5509=HEAP32[(($5508)>>2)]; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5510=__ZN2js5types10UseNewTypeEP9JSContextP8JSScriptPh($5506, $5507, $5509); //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5512 = $5510;__label__ = 1345; break;
    case 1345: 
      var $5512;
      var $5513=(($5512)&1);
      $newType=$5513;
      var $5514=$2; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5515=__ZNK2js9FrameRegs2fpEv($regs); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5516=$newType; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5517=(($5516) & 1); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5518=__ZN2js14ScriptPrologueEP9JSContextPNS_10StackFrameEb($5514, $5515, $5517); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5518) { __label__ = 1347; break; } else { __label__ = 1346; break; } //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1346: 
      __label__ = 2152; break; //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1347: 
      __label__ = 1348; break; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1348: 
      var $5522=$2; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5523=(($5522+200)|0); //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5524=HEAP32[(($5523)>>2)]; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5525=(($5524)|0); //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5526=HEAP32[(($5525)>>2)]; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5527=(($5526)|0)!=0; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5527) { __label__ = 1349; break; } else { __label__ = 1350; break; } //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1349: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1350; break; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1350: 
      __label__ = 1351; break; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1351: 
      __label__ = 1352; break; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1352: 
      var $5532=(($regs+4)|0); //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5533=HEAP32[(($5532)>>2)]; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5534=HEAPU8[($5533)]; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5535=(($5534)&255); //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$5535; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1353: 
      var $5537=$2; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($5537, 2, 0, 129, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1354: 
      __label__ = 1355; break; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1355: 
      __label__ = 1356; break; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1356: 
      __label__ = 1357; break; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1357: 
      var $5542=__ZNK2js9FrameRegs2fpEv($regs); //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5543=__ZNK2js10StackFrame10scopeChainEv($5542); //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj226)>>2)]=$5543; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5544=$op; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5545=((_js_CodeSpec+($5544<<3))|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5546=(($5545+4)|0); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5547=HEAP32[(($5546)>>2)]; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5548=$5547 & 33554432; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5549=(($5548)|0)!=0; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5550=(($5549)&1); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $global227=$5550; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5551=$global227; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5552=(($5551) & 1); //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5552) { __label__ = 1358; break; } else { __label__ = 1359; break; } //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1358: 
      var $5554=HEAP32[(($obj226)>>2)]; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5555=__ZNK8JSObject9getGlobalEv($5554); //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5556=$5555; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj226)>>2)]=$5556; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1359; break; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1359: 
      var $5558=$2; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5559=(($5558+52)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5560=HEAP32[(($5559)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5561=(($5560+144280)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5562=(($5561+56)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5563=$2; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5564=(($regs+4)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5565=HEAP32[(($5564)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js13PropertyCache4testEP9JSContextPhRP8JSObjectS6_RPNS_18PropertyCacheEntryERP6JSAtom($5562, $5563, $5565, $obj226, $obj2231, $entry230, $atom232); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5566=HEAP32[(($atom232)>>2)]; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5567=(($5566)|0)!=0; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5567) { __label__ = 1401; break; } else { __label__ = 1360; break; } //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1360: 
      var $5569=HEAP32[(($entry230)>>2)]; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5570=(($5569+12)|0); //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5571=__ZNK2js5PCVal8isFunObjEv($5570); //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5571) { __label__ = 1361; break; } else { __label__ = 1365; break; } //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1361: 
      __label__ = 1362; break; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1362: 
      var $5574=(($regs)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5575=HEAP32[(($5574)>>2)]; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5576=(($5575+8)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5574)>>2)]=$5576; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5577=HEAP32[(($entry230)>>2)]; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5578=(($5577+12)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5579=__ZNK2js5PCVal8toFunObjEv($5578); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($5575, $5579); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5580=$2; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5581=(($regs)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5582=HEAP32[(($5581)>>2)]; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5583=(($5582-8)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5584=$33; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5585=$5583; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5584)>>2)]=HEAP32[(($5585)>>2)];HEAP32[(($5584+4)>>2)]=HEAP32[(($5585+4)>>2)]; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($5580, $33); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1363; break; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1363: 
      __label__ = 1364; break; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1364: 
      __label__ = 1387; break; //@line 4131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1365: 
      var $5589=HEAP32[(($entry230)>>2)]; //@line 4131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5590=(($5589+12)|0); //@line 4131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5591=__ZNK2js5PCVal6isSlotEv($5590); //@line 4131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5591) { __label__ = 1366; break; } else { __label__ = 1370; break; } //@line 4131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1366: 
      var $5593=HEAP32[(($entry230)>>2)]; //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5594=(($5593+12)|0); //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5595=__ZNK2js5PCVal6toSlotEv($5594); //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot233=$5595; //@line 4132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1367; break; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1367: 
      var $5597=(($regs)|0); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5598=HEAP32[(($5597)>>2)]; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5599=(($5598+8)|0); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5597)>>2)]=$5599; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5600=HEAP32[(($obj2231)>>2)]; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5601=$slot233; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5602=__ZNK8JSObject13nativeGetSlotEj($5600, $5601); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5603=$5598; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5604=$5602; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5603)>>2)]=HEAP32[(($5604)>>2)];HEAP32[(($5603+4)>>2)]=HEAP32[(($5604+4)>>2)]; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5605=$2; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5606=(($regs)|0); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5607=HEAP32[(($5606)>>2)]; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5608=(($5607-8)|0); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5609=$34; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5610=$5608; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5609)>>2)]=HEAP32[(($5610)>>2)];HEAP32[(($5609+4)>>2)]=HEAP32[(($5610+4)>>2)]; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($5605, $34); //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1368; break; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1368: 
      __label__ = 1369; break; //@line 4133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1369: 
      __label__ = 1386; break; //@line 4134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1370: 
      var $5614=HEAP32[(($entry230)>>2)]; //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5615=(($5614+12)|0); //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5616=__ZNK2js5PCVal7toShapeEv($5615); //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $shape228=$5616; //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1371; break; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1371: 
      var $5618=$shape228; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5619=__ZNK2js5Shape16isDataDescriptorEv($5618); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5619) { __label__ = 1372; break; } else { __label__ = 1377; break; } //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1372: 
      var $5621=$shape228; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5622=__ZNK2js5Shape16hasDefaultGetterEv($5621); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5622) { __label__ = 1373; break; } else { __label__ = 1377; break; } //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1373: 
      var $5624=$shape228; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5625=(($5624+24)|0); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5626=HEAP32[(($5625)>>2)]; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5627=(($5626)|0)!=-1; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5627) { __label__ = 1374; break; } else { __label__ = 1375; break; } //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1374: 
      var $5629=HEAP32[(($obj2231)>>2)]; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5630=$shape228; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5631=(($5630+24)|0); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5632=HEAP32[(($5631)>>2)]; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5633=__ZNK8JSObject13nativeGetSlotEj($5629, $5632); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5634=$rval229; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5635=$5633; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5634)>>2)]=HEAP32[(($5635)>>2)];HEAP32[(($5634+4)>>2)]=HEAP32[(($5635+4)>>2)]; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1376; break; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1375: 
      __ZN2JS5Value12setUndefinedEv($rval229); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1376; break;
    case 1376: 
      __label__ = 1380; break; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1377: 
      var $5639=$2; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5640=HEAP32[(($obj226)>>2)]; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5641=HEAP32[(($obj2231)>>2)]; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5642=$shape228; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5643=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($5639, $5640, $5641, $5642, 0, $rval229); //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5644=(($5643)|0)!=0; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5644) { __label__ = 1379; break; } else { __label__ = 1378; break; } //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1378: 
      __label__ = 2152; break; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1379: 
      __label__ = 1380; break;
    case 1380: 
      __label__ = 1381; break; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1381: 
      __label__ = 1382; break; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1382: 
      __label__ = 1383; break; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1383: 
      var $5651=(($regs)|0); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5652=HEAP32[(($5651)>>2)]; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5653=(($5652+8)|0); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5651)>>2)]=$5653; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5654=$5652; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5655=$rval229; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5654)>>2)]=HEAP32[(($5655)>>2)];HEAP32[(($5654+4)>>2)]=HEAP32[(($5655+4)>>2)]; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5656=$2; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5657=(($regs)|0); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5658=HEAP32[(($5657)>>2)]; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5659=(($5658-8)|0); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5660=$35; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5661=$5659; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5660)>>2)]=HEAP32[(($5661)>>2)];HEAP32[(($5660+4)>>2)]=HEAP32[(($5661+4)>>2)]; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($5656, $35); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1384; break; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1384: 
      __label__ = 1385; break; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1385: 
      __label__ = 1386; break;
    case 1386: 
      __label__ = 1387; break;
    case 1387: 
      var $5666=$2; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5667=$script; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5668=(($regs+4)|0); //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5669=HEAP32[(($5668)>>2)]; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5670=(($regs)|0); //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5671=HEAP32[(($5670)>>2)]; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5672=(($5671-8)|0); //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($5666, $5667, $5669, $5672); //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5673=$op; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5674=(($5673)|0)==57; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5674) { __label__ = 1389; break; } else { __label__ = 1388; break; } //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1388: 
      var $5676=$op; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5677=(($5676)|0)==214; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5677) { __label__ = 1389; break; } else { __label__ = 1398; break; } //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1389: 
      __label__ = 1390; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1390: 
      var $5680=$2; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5681=HEAP32[(($obj226)>>2)]; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5682=(($regs)|0); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5683=HEAP32[(($5682)>>2)]; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5684=(($5683-8)|0); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5685=__ZN2js19ComputeImplicitThisEP9JSContextP8JSObjectRKN2JS5ValueEPS5_($5680, $5681, $5684, $v); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5685) { __label__ = 1392; break; } else { __label__ = 1391; break; } //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1391: 
      __label__ = 2152; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1392: 
      __label__ = 1393; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1393: 
      var $5689=(($regs)|0); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5690=HEAP32[(($5689)>>2)]; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5691=(($5690+8)|0); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5689)>>2)]=$5691; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5692=$5690; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5693=$v; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5692)>>2)]=HEAP32[(($5693)>>2)];HEAP32[(($5692+4)>>2)]=HEAP32[(($5693+4)>>2)]; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5694=$2; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5695=(($regs)|0); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5696=HEAP32[(($5695)>>2)]; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5697=(($5696-8)|0); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5698=$36; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5699=$5697; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5698)>>2)]=HEAP32[(($5699)>>2)];HEAP32[(($5698+4)>>2)]=HEAP32[(($5699+4)>>2)]; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($5694, $36); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1394; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1394: 
      __label__ = 1395; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1395: 
      __label__ = 1396; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1396: 
      __label__ = 1397; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1397: 
      __label__ = 1398; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1398: 
      $len=3; //@line 4146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1399; break; //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1399: 
      __label__ = 42; break; //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1400: 
      __label__ = 1401; break; //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1401: 
      var $5709=HEAP32[(($atom232)>>2)]; //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5710=__ZL12ATOM_TO_JSIDP6JSAtom1798($5709); //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id234=$5710; //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5711=$2; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5712=$id234; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5713=$global227; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5714=(($5713) & 1); //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5715=__Z21js_FindPropertyHelperP9JSContextibbPP8JSObjectS3_PP10JSProperty($5711, $5712, 1, $5714, $obj226, $obj2231, $prop235); //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5716=(($5715)|0)!=0; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5716) { __label__ = 1403; break; } else { __label__ = 1402; break; } //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1402: 
      __label__ = 2152; break; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1403: 
      var $5719=HEAP32[(($prop235)>>2)]; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5720=(($5719)|0)!=0; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5720) { __label__ = 1409; break; } else { __label__ = 1404; break; } //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1404: 
      var $5722=$2; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5723=$script; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5724=(($regs+4)|0); //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5725=HEAP32[(($5724)>>2)]; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5726=(($5725+3)|0); //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5727=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1793($5722, $5723, $5726); //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op2=$5727; //@line 4156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5728=$op2; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5729=(($5728)|0)==39; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5729) { __label__ = 1405; break; } else { __label__ = 1408; break; } //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1405: 
      var $5731=(($regs)|0); //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5732=HEAP32[(($5731)>>2)]; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5733=(($5732+8)|0); //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5731)>>2)]=$5733; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($5732); //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5734=$2; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5735=$script; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5736=(($regs+4)|0); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5737=HEAP32[(($5736)>>2)]; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5738=(($regs)|0); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5739=HEAP32[(($5738)>>2)]; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5740=(($5739-8)|0); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($5734, $5735, $5737, $5740); //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1406; break; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1406: 
      __label__ = 42; break; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1407: 
      __label__ = 1408; break; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1408: 
      var $5745=HEAP32[(($atom232)>>2)]; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atomNotDefined=$5745; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2210; break; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1409: 
      var $5747=HEAP32[(($obj226)>>2)]; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5748=__ZNK8JSObject8isNativeEv($5747); //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5748) { __label__ = 1410; break; } else { __label__ = 1411; break; } //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1410: 
      var $5750=HEAP32[(($obj2231)>>2)]; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5751=__ZNK8JSObject8isNativeEv($5750); //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5751) { __label__ = 1414; break; } else { __label__ = 1411; break; } //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1411: 
      var $5753=HEAP32[(($obj226)>>2)]; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5754=$2; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5755=$id234; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5756=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($5753, $5754, $5755, $rval229); //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5757=(($5756)|0)!=0; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5757) { __label__ = 1413; break; } else { __label__ = 1412; break; } //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1412: 
      __label__ = 2152; break; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1413: 
      __label__ = 1430; break; //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1414: 
      var $5761=HEAP32[(($prop235)>>2)]; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5762=$5761; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $shape228=$5762; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5763=HEAP32[(($obj226)>>2)]; //@line 4173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $normalized=$5763; //@line 4173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5764=$normalized; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5765=__ZNK8JSObject8getClassEv($5764); //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5766=(($5765)|0)==((__ZN2js9WithClassE)|0); //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5766) { __label__ = 1415; break; } else { __label__ = 1417; break; } //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1415: 
      var $5768=$shape228; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5769=__ZNK2js5Shape16hasDefaultGetterEv($5768); //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5769) { __label__ = 1417; break; } else { __label__ = 1416; break; } //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1416: 
      var $5771=$2; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5772=$normalized; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5773=__Z19js_UnwrapWithObjectP9JSContextP8JSObject($5771, $5772); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $normalized=$5773; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1417; break; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1417: 
      __label__ = 1418; break; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1418: 
      var $5776=$shape228; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5777=__ZNK2js5Shape16isDataDescriptorEv($5776); //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5777) { __label__ = 1419; break; } else { __label__ = 1424; break; } //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1419: 
      var $5779=$shape228; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5780=__ZNK2js5Shape16hasDefaultGetterEv($5779); //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5780) { __label__ = 1420; break; } else { __label__ = 1424; break; } //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1420: 
      var $5782=$shape228; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5783=(($5782+24)|0); //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5784=HEAP32[(($5783)>>2)]; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5785=(($5784)|0)!=-1; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5785) { __label__ = 1421; break; } else { __label__ = 1422; break; } //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1421: 
      var $5787=HEAP32[(($obj2231)>>2)]; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5788=$shape228; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5789=(($5788+24)|0); //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5790=HEAP32[(($5789)>>2)]; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5791=__ZNK8JSObject13nativeGetSlotEj($5787, $5790); //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5792=$rval229; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5793=$5791; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5792)>>2)]=HEAP32[(($5793)>>2)];HEAP32[(($5792+4)>>2)]=HEAP32[(($5793+4)>>2)]; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1423; break; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1422: 
      __ZN2JS5Value12setUndefinedEv($rval229); //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1423; break;
    case 1423: 
      __label__ = 1427; break; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1424: 
      var $5797=$2; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5798=$normalized; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5799=HEAP32[(($obj2231)>>2)]; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5800=$shape228; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5801=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($5797, $5798, $5799, $5800, 0, $rval229); //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5802=(($5801)|0)!=0; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5802) { __label__ = 1426; break; } else { __label__ = 1425; break; } //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1425: 
      __label__ = 2152; break; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1426: 
      __label__ = 1427; break;
    case 1427: 
      __label__ = 1428; break; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1428: 
      __label__ = 1429; break; //@line 4176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1429: 
      __label__ = 1430; break;
    case 1430: 
      __label__ = 1431; break; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1431: 
      var $5810=(($regs)|0); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5811=HEAP32[(($5810)>>2)]; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5812=(($5811+8)|0); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5810)>>2)]=$5812; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5813=$5811; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5814=$rval229; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5813)>>2)]=HEAP32[(($5814)>>2)];HEAP32[(($5813+4)>>2)]=HEAP32[(($5814+4)>>2)]; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5815=$2; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5816=(($regs)|0); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5817=HEAP32[(($5816)>>2)]; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5818=(($5817-8)|0); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5819=$37; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5820=$5818; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5819)>>2)]=HEAP32[(($5820)>>2)];HEAP32[(($5819+4)>>2)]=HEAP32[(($5820+4)>>2)]; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($5815, $37); //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1432; break; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1432: 
      __label__ = 1433; break; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1433: 
      var $5823=$2; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5824=$script; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5825=(($regs+4)|0); //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5826=HEAP32[(($5825)>>2)]; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($5823, $5824, $5826, $rval229); //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5827=$op; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5828=(($5827)|0)==57; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5828) { __label__ = 1435; break; } else { __label__ = 1434; break; } //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1434: 
      var $5830=$op; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5831=(($5830)|0)==214; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5831) { __label__ = 1435; break; } else { __label__ = 1444; break; } //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1435: 
      __label__ = 1436; break; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1436: 
      var $5834=$2; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5835=HEAP32[(($obj226)>>2)]; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5836=__ZN2js19ComputeImplicitThisEP9JSContextP8JSObjectRKN2JS5ValueEPS5_($5834, $5835, $rval229, $v236); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5836) { __label__ = 1438; break; } else { __label__ = 1437; break; } //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1437: 
      __label__ = 2152; break; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1438: 
      __label__ = 1439; break; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1439: 
      var $5840=(($regs)|0); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5841=HEAP32[(($5840)>>2)]; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5842=(($5841+8)|0); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5840)>>2)]=$5842; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5843=$5841; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5844=$v236; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5843)>>2)]=HEAP32[(($5844)>>2)];HEAP32[(($5843+4)>>2)]=HEAP32[(($5844+4)>>2)]; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5845=$2; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5846=(($regs)|0); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5847=HEAP32[(($5846)>>2)]; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5848=(($5847-8)|0); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5849=$38; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5850=$5848; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5849)>>2)]=HEAP32[(($5850)>>2)];HEAP32[(($5849+4)>>2)]=HEAP32[(($5850+4)>>2)]; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($5845, $38); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1440; break; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1440: 
      __label__ = 1441; break; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1441: 
      __label__ = 1442; break; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1442: 
      __label__ = 1443; break; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1443: 
      __label__ = 1444; break; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1444: 
      $len=3; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1445: 
      var $5857=(($regs)|0); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5858=HEAPU32[(($5857)>>2)]; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5859=(($5858+8)|0); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5857)>>2)]=$5859; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5860=(($regs+4)|0); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5861=HEAP32[(($5860)>>2)]; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5862=(($5861+1)|0); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5863=HEAPU8[($5862)]; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5864=(($5863)&255); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5865=$5864 << 8; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5866=(($regs+4)|0); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5867=HEAP32[(($5866)>>2)]; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5868=(($5867+2)|0); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5869=HEAPU8[($5868)]; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5870=(($5869)&255); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5871=$5865 | $5870; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($5858, $5871); //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1446: 
      var $5873=(($regs)|0); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5874=HEAPU32[(($5873)>>2)]; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5875=(($5874+8)|0); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5873)>>2)]=$5875; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5876=(($regs+4)|0); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5877=HEAP32[(($5876)>>2)]; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5878=(($5877+1)|0); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5879=HEAPU8[($5878)]; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5880=(($5879)&255); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5881=$5880 << 16; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5882=(($regs+4)|0); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5883=HEAP32[(($5882)>>2)]; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5884=(($5883+2)|0); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5885=HEAPU8[($5884)]; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5886=(($5885)&255); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5887=$5886 << 8; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5888=$5881 | $5887; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5889=(($regs+4)|0); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5890=HEAP32[(($5889)>>2)]; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5891=(($5890+3)|0); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5892=HEAPU8[($5891)]; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5893=(($5892)&255); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5894=$5888 | $5893; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($5874, $5894); //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=4; //@line 4194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1447: 
      var $5896=(($regs)|0); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5897=HEAPU32[(($5896)>>2)]; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5898=(($5897+8)|0); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5896)>>2)]=$5898; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5899=(($regs+4)|0); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5900=HEAP32[(($5899)>>2)]; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5901=(($5900+1)|0); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5902=HEAP8[($5901)]; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5903=(($5902 << 24) >> 24); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($5897, $5903); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=2; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1448: 
      var $5905=(($regs)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5906=HEAPU32[(($5905)>>2)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5907=(($5906+8)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5905)>>2)]=$5907; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5908=(($regs+4)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5909=HEAP32[(($5908)>>2)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5910=(($5909+1)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5911=HEAPU8[($5910)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5912=(($5911)&255); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5913=$5912 << 24; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5914=(($regs+4)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5915=HEAP32[(($5914)>>2)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5916=(($5915+2)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5917=HEAPU8[($5916)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5918=(($5917)&255); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5919=$5918 << 16; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5920=$5913 | $5919; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5921=(($regs+4)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5922=HEAP32[(($5921)>>2)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5923=(($5922+3)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5924=HEAPU8[($5923)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5925=(($5924)&255); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5926=$5925 << 8; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5927=$5920 | $5926; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5928=(($regs+4)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5929=HEAP32[(($5928)>>2)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5930=(($5929+4)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5931=HEAPU8[($5930)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5932=(($5931)&255); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5933=$5927 | $5932; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($5906, $5933); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=5; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1449: 
      var $5935=(($regs+4)|0); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5936=HEAP32[(($5935)>>2)]; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5937=(($5936+1)|0); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5938=HEAPU8[($5937)]; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5939=(($5938)&255); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5940=$5939 << 16; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5941=$atoms; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5942=(($5941+($5940<<2))|0); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$5942; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=2; //@line 4210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1450: 
      __label__ = 1451; break; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1451: 
      __label__ = 1452; break; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1452: 
      var $5946=$op; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5947=(($5946-211)|0); //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5948=(($5947+1)|0); //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5949=$5948 << 16; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5950=$atoms; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5951=(($5950+($5949<<2))|0); //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$5951; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1453: 
      __label__ = 1454; break; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1454: 
      var $5954=$script; //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5955=(($5954+56)|0); //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5956=HEAP32[(($5955)>>2)]; //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$5956; //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1455: 
      var $5958=$script; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5959=$atoms; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5960=$script; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5961=(($5960+56)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5962=HEAP32[(($5961)>>2)]; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5963=$5959; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5964=$5962; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5965=(($5963-$5964)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5966=(((($5965)|0)/4)&-1); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5967=(($regs+4)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5968=HEAP32[(($5967)>>2)]; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5969=(($5968)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5970=(($5969+1)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5971=HEAPU8[($5970)]; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5972=(($5971)&255); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5973=$5972 << 8; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5974=(($regs+4)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5975=HEAP32[(($5974)>>2)]; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5976=(($5975)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5977=(($5976+2)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5978=HEAPU8[($5977)]; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5979=(($5978)&255); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5980=$5973 | $5979; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5981=(($5966+$5980)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5982=__ZN8JSScript8getConstEj($5958, $5981); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5983=__ZNK2JS5Value8toDoubleEv($5982); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $dbl=$5983; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5984=(($regs)|0); //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5985=HEAP32[(($5984)>>2)]; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5986=(($5985+8)|0); //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($5984)>>2)]=$5986; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5987=$dbl; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setDoubleEd($5985, $5987); //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1456: 
      __label__ = 1457; break; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1457: 
      var $5990=(($regs+4)|0); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5991=HEAP32[(($5990)>>2)]; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5992=(($5991)|0); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5993=(($5992+1)|0); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5994=HEAPU8[($5993)]; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5995=(($5994)&255); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5996=$5995 << 8; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5997=(($regs+4)|0); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5998=HEAP32[(($5997)>>2)]; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5999=(($5998)|0); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6000=(($5999+2)|0); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6001=HEAPU8[($6000)]; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6002=(($6001)&255); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6003=$5996 | $6002; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6004=$atoms; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6005=(($6004+($6003<<2))|0); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6006=HEAP32[(($6005)>>2)]; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom237=$6006; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1458; break; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1458: 
      __label__ = 1459; break; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1459: 
      __label__ = 1460; break; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1460: 
      var $6010=(($regs)|0); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6011=HEAP32[(($6010)>>2)]; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6012=(($6011+8)|0); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6010)>>2)]=$6012; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6013=$atom237; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6014=$6013; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($6011, $6014); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6015=$2; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6016=(($regs)|0); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6017=HEAP32[(($6016)>>2)]; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6018=(($6017-8)|0); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6019=$39; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6020=$6018; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6019)>>2)]=HEAP32[(($6020)>>2)];HEAP32[(($6019+4)>>2)]=HEAP32[(($6020+4)>>2)]; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6015, $39); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1461; break; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1461: 
      __label__ = 1462; break; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1462: 
      $len=3; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1463: 
      var $6024=$script; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6025=$atoms; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6026=$script; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6027=(($6026+56)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6028=HEAP32[(($6027)>>2)]; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6029=$6025; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6030=$6028; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6031=(($6029-$6030)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6032=(((($6031)|0)/4)&-1); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6033=(($regs+4)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6034=HEAP32[(($6033)>>2)]; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6035=(($6034)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6036=(($6035+1)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6037=HEAPU8[($6036)]; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6038=(($6037)&255); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6039=$6038 << 8; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6040=(($regs+4)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6041=HEAP32[(($6040)>>2)]; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6042=(($6041)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6043=(($6042+2)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6044=HEAPU8[($6043)]; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6045=(($6044)&255); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6046=$6039 | $6045; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6047=(($6032+$6046)|0); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6048=__ZN8JSScript9getObjectEj($6024, $6047); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj238=$6048; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1464; break; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1464: 
      var $6050=(($regs)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6051=HEAP32[(($6050)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6052=(($6051+8)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6050)>>2)]=$6052; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6053=$obj238; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($6051, $6053); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6054=$2; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6055=(($regs)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6056=HEAP32[(($6055)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6057=(($6056-8)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6058=$40; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6059=$6057; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6058)>>2)]=HEAP32[(($6059)>>2)];HEAP32[(($6058+4)>>2)]=HEAP32[(($6059+4)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6054, $40); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1465; break; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1465: 
      __label__ = 1466; break; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1466: 
      $len=3; //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1467: 
      var $6063=$atoms; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6064=$script; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6065=(($6064+56)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6066=HEAP32[(($6065)>>2)]; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6067=$6063; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6068=$6066; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6069=(($6067-$6068)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6070=(((($6069)|0)/4)&-1); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6071=(($regs+4)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6072=HEAP32[(($6071)>>2)]; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6073=(($6072)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6074=(($6073+1)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6075=HEAPU8[($6074)]; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6076=(($6075)&255); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6077=$6076 << 8; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6078=(($regs+4)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6079=HEAP32[(($6078)>>2)]; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6080=(($6079)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6081=(($6080+2)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6082=HEAPU8[($6081)]; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6083=(($6082)&255); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6084=$6077 | $6083; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6085=(($6070+$6084)|0); //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $index=$6085; //@line 4258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6086=$2; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6087=__ZNK2js9FrameRegs2fpEv($regs); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6088=__ZNK2js10StackFrame10scopeChainEv($6087); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6089=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($6086, $6088, 10, $proto, 0); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6090=(($6089)|0)!=0; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6090) { __label__ = 1469; break; } else { __label__ = 1468; break; } //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1468: 
      __label__ = 2152; break; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1469: 
      var $6093=$2; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6094=$script; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6095=$index; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6096=__ZN8JSScript9getRegExpEj($6094, $6095); //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6097=HEAP32[(($proto)>>2)]; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6098=__Z20js_CloneRegExpObjectP9JSContextP8JSObjectS2_($6093, $6096, $6097); //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj239=$6098; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6099=$obj239; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6100=(($6099)|0)!=0; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6100) { __label__ = 1471; break; } else { __label__ = 1470; break; } //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1470: 
      __label__ = 2152; break; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1471: 
      __label__ = 1472; break; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1472: 
      var $6104=(($regs)|0); //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6105=HEAP32[(($6104)>>2)]; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6106=(($6105+8)|0); //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6104)>>2)]=$6106; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6107=$obj239; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($6105, $6107); //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6108=$2; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6109=(($regs)|0); //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6110=HEAP32[(($6109)>>2)]; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6111=(($6110-8)|0); //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6112=$41; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6113=$6111; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6112)>>2)]=HEAP32[(($6113)>>2)];HEAP32[(($6112+4)>>2)]=HEAP32[(($6113+4)>>2)]; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6108, $41); //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1473; break; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1473: 
      __label__ = 1474; break; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1474: 
      $len=3; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1475: 
      var $6117=(($regs)|0); //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6118=HEAP32[(($6117)>>2)]; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6119=(($6118+8)|0); //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6117)>>2)]=$6119; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($6118, 0); //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1476: 
      var $6121=(($regs)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6122=HEAP32[(($6121)>>2)]; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6123=(($6122+8)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6121)>>2)]=$6123; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($6122, 1); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1477: 
      var $6125=(($regs)|0); //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6126=HEAP32[(($6125)>>2)]; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6127=(($6126+8)|0); //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6125)>>2)]=$6127; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value7setNullEv($6126); //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1478: 
      var $6129=(($regs)|0); //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6130=HEAP32[(($6129)>>2)]; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6131=(($6130+8)|0); //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6129)>>2)]=$6131; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($6130, 0); //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1479: 
      var $6133=(($regs)|0); //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6134=HEAP32[(($6133)>>2)]; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6135=(($6134+8)|0); //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6133)>>2)]=$6135; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($6134, 1); //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1480: 
      var $6137=(($regs+4)|0); //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6138=HEAP32[(($6137)>>2)]; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2=$6138; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6139=$pc2; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6140=(($6139+1)|0); //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6141=HEAPU8[($6140)]; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6142=(($6141)&255); //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6143=$6142 << 8; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6144=$pc2; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6145=(($6144+2)|0); //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6146=HEAPU8[($6145)]; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6147=(($6146)&255); //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6148=$6143 | $6147; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6149=(($6148) & 65535); //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6150=(($6149 << 16) >> 16); //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$6150; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6151=(($regs)|0); //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6152=HEAP32[(($6151)>>2)]; //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6153=(($6152-8)|0); //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6151)>>2)]=$6153; //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref240=$6153; //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6154=$rref240; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6155=__ZNK2JS5Value7isInt32Ev($6154); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6155) { __label__ = 1481; break; } else { __label__ = 1482; break; } //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1481: 
      var $6157=$rref240; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6158=__ZNK2JS5Value7toInt32Ev($6157); //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i241=$6158; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1488; break; //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1482: 
      var $6160=$rref240; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6161=__ZNK2JS5Value8isDoubleEv($6160); //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6161) { __label__ = 1483; break; } else { __label__ = 1484; break; } //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1483: 
      var $6163=$rref240; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6164=__ZNK2JS5Value8toDoubleEv($6163); //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $d242=$6164; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6165=$rref240; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6166=__ZNK2JS5Value8toDoubleEv($6165); //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6167=(($6166)&-1); //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i241=$6167; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6168=(($6167)|0); //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6169=$6164 != $6168; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6169) { __label__ = 1484; break; } else { __label__ = 1487; break; } //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1484: 
      __label__ = 1485; break; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1485: 
      __label__ = 42; break; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1486: 
      __label__ = 1487; break; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1487: 
      __label__ = 1488; break;
    case 1488: 
      var $6176=$pc2; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6177=(($6176+2)|0); //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2=$6177; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6178=$pc2; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6179=(($6178+1)|0); //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6180=HEAPU8[($6179)]; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6181=(($6180)&255); //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6182=$6181 << 8; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6183=$pc2; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6184=(($6183+2)|0); //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6185=HEAPU8[($6184)]; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6186=(($6185)&255); //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6187=$6182 | $6186; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6188=(($6187) & 65535); //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6189=(($6188 << 16) >> 16); //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $low=$6189; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6190=$pc2; //@line 4314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6191=(($6190+2)|0); //@line 4314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2=$6191; //@line 4314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6192=$pc2; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6193=(($6192+1)|0); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6194=HEAPU8[($6193)]; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6195=(($6194)&255); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6196=$6195 << 8; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6197=$pc2; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6198=(($6197+2)|0); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6199=HEAPU8[($6198)]; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6200=(($6199)&255); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6201=$6196 | $6200; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6202=(($6201) & 65535); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6203=(($6202 << 16) >> 16); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $high=$6203; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6204=$low; //@line 4317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6205=$i241; //@line 4317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6206=(($6205-$6204)|0); //@line 4317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i241=$6206; //@line 4317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6207=$i241; //@line 4318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6208=$high; //@line 4318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6209=$low; //@line 4318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6210=(($6208-$6209)|0); //@line 4318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6211=(($6210+1)|0); //@line 4318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6212=(($6207)>>>0) < (($6211)>>>0); //@line 4318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6212) { __label__ = 1489; break; } else { __label__ = 1492; break; } //@line 4318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1489: 
      var $6214=$i241; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6215=((($6214<<1))|0); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6216=(($6215+2)|0); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6217=$pc2; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6218=(($6217+$6216)|0); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2=$6218; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6219=$pc2; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6220=(($6219+1)|0); //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6221=HEAPU8[($6220)]; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6222=(($6221)&255); //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6223=$6222 << 8; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6224=$pc2; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6225=(($6224+2)|0); //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6226=HEAPU8[($6225)]; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6227=(($6226)&255); //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6228=$6223 | $6227; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6229=(($6228) & 65535); //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6230=(($6229 << 16) >> 16); //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $off=$6230; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6231=$off; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6232=(($6231)|0)!=0; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6232) { __label__ = 1490; break; } else { __label__ = 1491; break; } //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1490: 
      var $6234=$off; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$6234; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1491; break; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1491: 
      __label__ = 1492; break; //@line 4323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1492: 
      __label__ = 2151; break; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1493: 
      var $6238=(($regs+4)|0); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6239=HEAP32[(($6238)>>2)]; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2243=$6239; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6240=$pc2243; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6241=(($6240+1)|0); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6242=HEAPU8[($6241)]; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6243=(($6242)&255); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6244=$6243 << 24; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6245=$pc2243; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6246=(($6245+2)|0); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6247=HEAPU8[($6246)]; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6248=(($6247)&255); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6249=$6248 << 16; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6250=$6244 | $6249; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6251=$pc2243; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6252=(($6251+3)|0); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6253=HEAPU8[($6252)]; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6254=(($6253)&255); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6255=$6254 << 8; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6256=$6250 | $6255; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6257=$pc2243; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6258=(($6257+4)|0); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6259=HEAPU8[($6258)]; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6260=(($6259)&255); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6261=$6256 | $6260; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$6261; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6262=(($regs)|0); //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6263=HEAP32[(($6262)>>2)]; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6264=(($6263-8)|0); //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6262)>>2)]=$6264; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref244=$6264; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6265=$rref244; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6266=__ZNK2JS5Value7isInt32Ev($6265); //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6266) { __label__ = 1494; break; } else { __label__ = 1495; break; } //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1494: 
      var $6268=$rref244; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6269=__ZNK2JS5Value7toInt32Ev($6268); //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i245=$6269; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1502; break; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1495: 
      var $6271=$rref244; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6272=__ZNK2JS5Value8isDoubleEv($6271); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6272) { __label__ = 1496; break; } else { __label__ = 1498; break; } //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1496: 
      var $6274=$rref244; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6275=__ZNK2JS5Value8toDoubleEv($6274); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6276=$6275 == 0; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6276) { __label__ = 1497; break; } else { __label__ = 1498; break; } //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1497: 
      $i245=0; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1501; break; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1498: 
      __label__ = 1499; break; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1499: 
      __label__ = 42; break; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1500: 
      __label__ = 1501; break;
    case 1501: 
      __label__ = 1502; break;
    case 1502: 
      var $6284=$pc2243; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6285=(($6284+4)|0); //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2243=$6285; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6286=$pc2243; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6287=(($6286+1)|0); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6288=HEAPU8[($6287)]; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6289=(($6288)&255); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6290=$6289 << 8; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6291=$pc2243; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6292=(($6291+2)|0); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6293=HEAPU8[($6292)]; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6294=(($6293)&255); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6295=$6290 | $6294; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6296=(($6295) & 65535); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6297=(($6296 << 16) >> 16); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $low246=$6297; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6298=$pc2243; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6299=(($6298+2)|0); //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2243=$6299; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6300=$pc2243; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6301=(($6300+1)|0); //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6302=HEAPU8[($6301)]; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6303=(($6302)&255); //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6304=$6303 << 8; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6305=$pc2243; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6306=(($6305+2)|0); //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6307=HEAPU8[($6306)]; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6308=(($6307)&255); //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6309=$6304 | $6308; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6310=(($6309) & 65535); //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6311=(($6310 << 16) >> 16); //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $high247=$6311; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6312=$low246; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6313=$i245; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6314=(($6313-$6312)|0); //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i245=$6314; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6315=$i245; //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6316=$high247; //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6317=$low246; //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6318=(($6316-$6317)|0); //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6319=(($6318+1)|0); //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6320=(($6315)>>>0) < (($6319)>>>0); //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6320) { __label__ = 1503; break; } else { __label__ = 1506; break; } //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1503: 
      var $6322=$i245; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6323=((($6322<<2))|0); //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6324=(($6323+2)|0); //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6325=$pc2243; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6326=(($6325+$6324)|0); //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2243=$6326; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6327=$pc2243; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6328=(($6327+1)|0); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6329=HEAPU8[($6328)]; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6330=(($6329)&255); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6331=$6330 << 24; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6332=$pc2243; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6333=(($6332+2)|0); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6334=HEAPU8[($6333)]; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6335=(($6334)&255); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6336=$6335 << 16; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6337=$6331 | $6336; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6338=$pc2243; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6339=(($6338+3)|0); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6340=HEAPU8[($6339)]; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6341=(($6340)&255); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6342=$6341 << 8; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6343=$6337 | $6342; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6344=$pc2243; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6345=(($6344+4)|0); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6346=HEAPU8[($6345)]; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6347=(($6346)&255); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6348=$6343 | $6347; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $off248=$6348; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6349=$off248; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6350=(($6349)|0)!=0; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6350) { __label__ = 1504; break; } else { __label__ = 1505; break; } //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1504: 
      var $6352=$off248; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$6352; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1505; break; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1505: 
      __label__ = 1506; break; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1506: 
      __label__ = 2151; break; //@line 4363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1507: 
      $off249=4; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1509; break; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1508: 
      $off249=2; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1509; break; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1509: 
      var $6358=(($regs+4)|0); //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6359=HEAP32[(($6358)>>2)]; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6359; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6360=(($regs)|0); //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6361=HEAP32[(($6360)>>2)]; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6362=(($6361-8)|0); //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6363=$lval251; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6364=$6362; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6363)>>2)]=HEAP32[(($6364)>>2)];HEAP32[(($6363+4)>>2)]=HEAP32[(($6364+4)>>2)]; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6365=(($regs)|0); //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6366=HEAP32[(($6365)>>2)]; //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6367=(($6366-8)|0); //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6365)>>2)]=$6367; //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6368=__ZNK2JS5Value11isPrimitiveEv($lval251); //@line 4388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6368) { __label__ = 1511; break; } else { __label__ = 1510; break; } //@line 4388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1510: 
      __label__ = 1544; break; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1511: 
      var $6371=$off249; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6372=$pc2250; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6373=(($6372+$6371)|0); //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6373; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6374=$pc2250; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6375=(($6374+1)|0); //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6376=HEAPU8[($6375)]; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6377=(($6376)&255); //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6378=$6377 << 8; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6379=$pc2250; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6380=(($6379+2)|0); //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6381=HEAPU8[($6380)]; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6382=(($6381)&255); //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6383=$6378 | $6382; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $npairs=$6383; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6384=$pc2250; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6385=(($6384+2)|0); //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6385; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6386=__ZNK2JS5Value8isStringEv($lval251); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6386) { __label__ = 1512; break; } else { __label__ = 1525; break; } //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1512: 
      var $6388=__ZNK2JS5Value8toStringEv($lval251); //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6389=$2; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6390=__ZN8JSString12ensureLinearEP9JSContext($6388, $6389); //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str252=$6390; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6391=$str252; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6392=(($6391)|0)!=0; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6392) { __label__ = 1514; break; } else { __label__ = 1513; break; } //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1513: 
      __label__ = 2152; break; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1514: 
      __label__ = 1515; break; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1515: 
      var $6396=$script; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6397=$pc2250; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6398=(($6397+1)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6399=HEAPU8[($6398)]; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6400=(($6399)&255); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6401=$6400 << 8; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6402=$pc2250; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6403=(($6402+2)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6404=HEAPU8[($6403)]; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6405=(($6404)&255); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6406=$6401 | $6405; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6407=__ZN8JSScript8getConstEj($6396, $6406); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6408=$rval253; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6409=$6407; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6408)>>2)]=HEAP32[(($6409)>>2)];HEAP32[(($6408+4)>>2)]=HEAP32[(($6409+4)>>2)]; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6410=__ZNK2JS5Value8isStringEv($rval253); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6410) { __label__ = 1516; break; } else { var $6423 = 0;__label__ = 1519; break; } //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1516: 
      var $6412=__ZNK2JS5Value8toStringEv($rval253); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6413=__ZN8JSString8asLinearEv($6412); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str2=$6413; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6414=$str252; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6415=(($6413)|0)==(($6414)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6415) { var $6421 = 1;__label__ = 1518; break; } else { __label__ = 1517; break; } //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1517: 
      var $6417=$str2; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6418=$str252; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6419=__ZN2js12EqualStringsEP14JSLinearStringS1_($6417, $6418); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6421 = $6419;__label__ = 1518; break; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1518: 
      var $6421;
      var $6423 = $6421;__label__ = 1519; break;
    case 1519: 
      var $6423;
      var $6424=(($6423)&1);
      $match=$6424;
      var $6425=$pc2250; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6426=(($6425+2)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6426; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6427=$match; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6428=(($6427) & 1); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6428) { __label__ = 1520; break; } else { __label__ = 1521; break; } //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1520: 
      __label__ = 1524; break; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1521: 
      var $6431=$off249; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6432=$pc2250; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6433=(($6432+$6431)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6433; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6434=$npairs; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6435=(($6434-1)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $npairs=$6435; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6436=(($6435)|0)==0; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6436) { __label__ = 1522; break; } else { __label__ = 1523; break; } //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1522: 
      var $6438=(($regs+4)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6439=HEAP32[(($6438)>>2)]; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6439; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1524; break; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1523: 
      __label__ = 1515; break; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1524: 
      __label__ = 1543; break; //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1525: 
      var $6443=__ZNK2JS5Value8isNumberEv($lval251); //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6443) { __label__ = 1526; break; } else { __label__ = 1535; break; } //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1526: 
      var $6445=__ZNK2JS5Value8toNumberEv($lval251); //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ldbl=$6445; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1527; break; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1527: 
      var $6447=$script; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6448=$pc2250; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6449=(($6448+1)|0); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6450=HEAPU8[($6449)]; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6451=(($6450)&255); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6452=$6451 << 8; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6453=$pc2250; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6454=(($6453+2)|0); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6455=HEAPU8[($6454)]; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6456=(($6455)&255); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6457=$6452 | $6456; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6458=__ZN8JSScript8getConstEj($6447, $6457); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6459=$rval254; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6460=$6458; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6459)>>2)]=HEAP32[(($6460)>>2)];HEAP32[(($6459+4)>>2)]=HEAP32[(($6460+4)>>2)]; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6461=__ZNK2JS5Value8isNumberEv($rval254); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6461) { __label__ = 1528; break; } else { var $6467 = 0;__label__ = 1529; break; } //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1528: 
      var $6463=$ldbl; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6464=__ZNK2JS5Value8toNumberEv($rval254); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6465=$6463 == $6464; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6467 = $6465;__label__ = 1529; break;
    case 1529: 
      var $6467;
      var $6468=(($6467)&1);
      $match=$6468;
      var $6469=$pc2250; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6470=(($6469+2)|0); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6470; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6471=$match; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6472=(($6471) & 1); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6472) { __label__ = 1530; break; } else { __label__ = 1531; break; } //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1530: 
      __label__ = 1534; break; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1531: 
      var $6475=$off249; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6476=$pc2250; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6477=(($6476+$6475)|0); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6477; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6478=$npairs; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6479=(($6478-1)|0); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $npairs=$6479; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6480=(($6479)|0)==0; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6480) { __label__ = 1532; break; } else { __label__ = 1533; break; } //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1532: 
      var $6482=(($regs+4)|0); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6483=HEAP32[(($6482)>>2)]; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6483; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1534; break; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1533: 
      __label__ = 1527; break; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1534: 
      __label__ = 1542; break; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1535: 
      __label__ = 1536; break; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1536: 
      var $6488=$script; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6489=$pc2250; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6490=(($6489+1)|0); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6491=HEAPU8[($6490)]; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6492=(($6491)&255); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6493=$6492 << 8; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6494=$pc2250; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6495=(($6494+2)|0); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6496=HEAPU8[($6495)]; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6497=(($6496)&255); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6498=$6493 | $6497; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6499=__ZN8JSScript8getConstEj($6488, $6498); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6500=$rval255; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6501=$6499; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6500)>>2)]=HEAP32[(($6501)>>2)];HEAP32[(($6500+4)>>2)]=HEAP32[(($6501+4)>>2)]; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6502=__ZNK2JS5ValueeqERKS0_($lval251, $rval255); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6503=(($6502)&1); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $match=$6503; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6504=$pc2250; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6505=(($6504+2)|0); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6505; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6506=$match; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6507=(($6506) & 1); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6507) { __label__ = 1537; break; } else { __label__ = 1538; break; } //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1537: 
      __label__ = 1541; break; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1538: 
      var $6510=$off249; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6511=$pc2250; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6512=(($6511+$6510)|0); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6512; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6513=$npairs; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6514=(($6513-1)|0); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $npairs=$6514; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6515=(($6514)|0)==0; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6515) { __label__ = 1539; break; } else { __label__ = 1540; break; } //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1539: 
      var $6517=(($regs+4)|0); //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6518=HEAP32[(($6517)>>2)]; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2250=$6518; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1541; break; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1540: 
      __label__ = 1536; break; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1541: 
      __label__ = 1542; break;
    case 1542: 
      __label__ = 1543; break;
    case 1543: 
      __label__ = 1544; break;
    case 1544: 
      var $6524=$op; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6525=(($6524)|0)==71; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6525) { __label__ = 1545; break; } else { __label__ = 1546; break; } //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1545: 
      var $6527=$pc2250; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6528=(($6527+1)|0); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6529=HEAPU8[($6528)]; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6530=(($6529)&255); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6531=$6530 << 8; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6532=$pc2250; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6533=(($6532+2)|0); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6534=HEAPU8[($6533)]; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6535=(($6534)&255); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6536=$6531 | $6535; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6537=(($6536) & 65535); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6538=(($6537 << 16) >> 16); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6563 = $6538;__label__ = 1547; break; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1546: 
      var $6540=$pc2250; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6541=(($6540+1)|0); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6542=HEAPU8[($6541)]; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6543=(($6542)&255); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6544=$6543 << 24; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6545=$pc2250; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6546=(($6545+2)|0); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6547=HEAPU8[($6546)]; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6548=(($6547)&255); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6549=$6548 << 16; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6550=$6544 | $6549; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6551=$pc2250; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6552=(($6551+3)|0); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6553=HEAPU8[($6552)]; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6554=(($6553)&255); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6555=$6554 << 8; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6556=$6550 | $6555; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6557=$pc2250; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6558=(($6557+4)|0); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6559=HEAPU8[($6558)]; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6560=(($6559)&255); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6561=$6556 | $6560; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6563 = $6561;__label__ = 1547; break; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1547: 
      var $6563; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$6563; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1548: 
      var $6565=$4; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6566=(($6565)|0)==5; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6566) { __label__ = 1549; break; } else { __label__ = 1550; break; } //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1549: 
      $4=0; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6568=$2; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6569=$script; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6570=(($regs+4)|0); //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6571=HEAP32[(($6570)>>2)]; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6572=_JS_GetTrapOpcode($6568, $6569, $6571); //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$6572; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1550: 
      var $6574=$2; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6575=__ZN2js8Debugger6onTrapEP9JSContextPN2JS5ValueE($6574, $rval256); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $status257=$6575; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6576=$status257; //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ((($6576)|0) == 0) {
        __label__ = 1551; break;
      }
      else if ((($6576)|0) == 2) {
        __label__ = 1552; break;
      }
      else if ((($6576)|0) == 3) {
        __label__ = 1553; break;
      }
      else {
      __label__ = 1554; break;
      }
      
    case 1551: 
      __label__ = 2152; break; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1552: 
      var $6579=__ZNK2js9FrameRegs2fpEv($regs); //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($6579, $rval256); //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=1; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2204; break; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1553: 
      var $6581=$2; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6582=$42; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6583=$rval256; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6582)>>2)]=HEAP32[(($6583)>>2)];HEAP32[(($6582+4)>>2)]=HEAP32[(($6583+4)>>2)]; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($6581, $42); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1554: 
      __label__ = 1555; break; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1555: 
      __label__ = 1556; break; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1556: 
      var $6587=$2; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6588=(($6587+200)|0); //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6589=HEAP32[(($6588)>>2)]; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6590=(($6589)|0); //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6591=HEAP32[(($6590)>>2)]; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6592=(($6591)|0)!=0; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6592) { __label__ = 1557; break; } else { __label__ = 1558; break; } //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1557: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1558; break; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1558: 
      __label__ = 1559; break; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1559: 
      __label__ = 1560; break; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1560: 
      var $6597=__ZNK2JS5Value7toInt32Ev($rval256); //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$6597; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1561: 
      var $6599=$2; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6600=__ZN9JSContext20typeInferenceEnabledEv($6599); //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6600) { __label__ = 1562; break; } else { __label__ = 1571; break; } //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1562: 
      var $6602=$script; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6603=$6602; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6604=(($6603+36)|0); //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6605=HEAPU8[($6604)]; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6606=(($6605)&255) >>> 3; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6607=$6606 & 1; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6608=(($6607) & 1); //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6608) { __label__ = 1571; break; } else { __label__ = 1563; break; } //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1563: 
      var $6610=$script; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6611=$2; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6612=__ZN8JSScript18ensureRanInferenceEP9JSContext($6610, $6611); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6612) { __label__ = 1565; break; } else { __label__ = 1564; break; } //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1564: 
      __label__ = 2152; break; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1565: 
      var $6615=$script; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6616=$6615; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6617=(($6616+38)|0); //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6618=HEAPU8[($6617)]; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6619=(($6618)&255) >>> 1; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6620=$6619 & 1; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6621=(($6620) & 1); //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6621) { __label__ = 1566; break; } else { __label__ = 1569; break; } //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1566: 
      var $6623=$2; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6624=__ZNK2js9FrameRegs2fpEv($regs); //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6625=__Z15js_GetArgsValueP9JSContextPN2js10StackFrameEPN2JS5ValueE($6623, $6624, $rval258); //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6626=(($6625)|0)!=0; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6626) { __label__ = 1568; break; } else { __label__ = 1567; break; } //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1567: 
      __label__ = 2152; break; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1568: 
      __label__ = 1570; break; //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1569: 
      __ZN2JSL10MagicValueE10JSWhyMagic1838($43, 9); //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6630=$rval258; //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6631=$43; //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6630)>>2)]=HEAP32[(($6631)>>2)];HEAP32[(($6630+4)>>2)]=HEAP32[(($6631+4)>>2)]; //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1570; break;
    case 1570: 
      __label__ = 1574; break; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1571: 
      var $6634=$2; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6635=__ZNK2js9FrameRegs2fpEv($regs); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6636=__Z15js_GetArgsValueP9JSContextPN2js10StackFrameEPN2JS5ValueE($6634, $6635, $rval258); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6637=(($6636)|0)!=0; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6637) { __label__ = 1573; break; } else { __label__ = 1572; break; } //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1572: 
      __label__ = 2152; break; //@line 4487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1573: 
      __label__ = 1574; break;
    case 1574: 
      __label__ = 1575; break; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1575: 
      var $6642=(($regs)|0); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6643=HEAP32[(($6642)>>2)]; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6644=(($6643+8)|0); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6642)>>2)]=$6644; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6645=$6643; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6646=$rval258; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6645)>>2)]=HEAP32[(($6646)>>2)];HEAP32[(($6645+4)>>2)]=HEAP32[(($6646+4)>>2)]; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6647=$2; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6648=(($regs)|0); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6649=HEAP32[(($6648)>>2)]; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6650=(($6649-8)|0); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6651=$44; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6652=$6650; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6651)>>2)]=HEAP32[(($6652)>>2)];HEAP32[(($6651+4)>>2)]=HEAP32[(($6652+4)>>2)]; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6647, $44); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1576; break; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1576: 
      __label__ = 1577; break; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1577: 
      $len=1; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1578: 
      var $6656=(($regs+4)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6657=HEAP32[(($6656)>>2)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6658=(($6657+1)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6659=HEAPU8[($6658)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6660=(($6659)&255); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6661=$6660 << 8; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6662=(($regs+4)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6663=HEAP32[(($6662)>>2)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6664=(($6663+2)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6665=HEAPU8[($6664)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6666=(($6665)&255); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6667=$6661 | $6666; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6668=_INT_TO_JSID1826($6667); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id259=$6668; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6669=$2; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6670=__ZNK2js9FrameRegs2fpEv($regs); //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6671=$id259; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6672=__Z18js_GetArgsPropertyP9JSContextPN2js10StackFrameEiPN2JS5ValueE($6669, $6670, $6671, $rval260); //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6673=(($6672)|0)!=0; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6673) { __label__ = 1580; break; } else { __label__ = 1579; break; } //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1579: 
      __label__ = 2152; break; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1580: 
      __label__ = 1581; break; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1581: 
      var $6677=(($regs)|0); //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6678=HEAP32[(($6677)>>2)]; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6679=(($6678+8)|0); //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6677)>>2)]=$6679; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6680=$6678; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6681=$rval260; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6680)>>2)]=HEAP32[(($6681)>>2)];HEAP32[(($6680+4)>>2)]=HEAP32[(($6681+4)>>2)]; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6682=$2; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6683=(($regs)|0); //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6684=HEAP32[(($6683)>>2)]; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6685=(($6684-8)|0); //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6686=$45; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6687=$6685; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6686)>>2)]=HEAP32[(($6687)>>2)];HEAP32[(($6686+4)>>2)]=HEAP32[(($6687+4)>>2)]; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6682, $45); //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1582; break; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1582: 
      __label__ = 1583; break; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1583: 
      $len=3; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1584: 
      var $6691=$rt; //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6692=(($6691+209948)|0); //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6693=(($6692+308)|0); //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6694=HEAP32[(($6693)>>2)]; //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6695=$6694; //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6696=__ZL12ATOM_TO_JSIDP6JSAtom1798($6695); //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id261=$6696; //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6697=$2; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6698=__ZNK2js9FrameRegs2fpEv($regs); //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6699=$id261; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6700=__Z18js_GetArgsPropertyP9JSContextPN2js10StackFrameEiPN2JS5ValueE($6697, $6698, $6699, $rval262); //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6701=(($6700)|0)!=0; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6701) { __label__ = 1586; break; } else { __label__ = 1585; break; } //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1585: 
      __label__ = 2152; break; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1586: 
      __label__ = 1587; break; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1587: 
      var $6705=(($regs)|0); //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6706=HEAP32[(($6705)>>2)]; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6707=(($6706+8)|0); //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6705)>>2)]=$6707; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6708=$6706; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6709=$rval262; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6708)>>2)]=HEAP32[(($6709)>>2)];HEAP32[(($6708+4)>>2)]=HEAP32[(($6709+4)>>2)]; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6710=$2; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6711=(($regs)|0); //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6712=HEAP32[(($6711)>>2)]; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6713=(($6712-8)|0); //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6714=$46; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6715=$6713; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6714)>>2)]=HEAP32[(($6715)>>2)];HEAP32[(($6714+4)>>2)]=HEAP32[(($6715+4)>>2)]; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6710, $46); //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1588; break; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1588: 
      __label__ = 1589; break; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1589: 
      $len=1; //@line 4511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1590: 
      __label__ = 1591; break; //@line 4513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1591: 
      var $6720=(($regs+4)|0); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6721=HEAP32[(($6720)>>2)]; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6722=(($6721+1)|0); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6723=HEAPU8[($6722)]; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6724=(($6723)&255); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6725=$6724 << 8; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6726=(($regs+4)|0); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6727=HEAP32[(($6726)>>2)]; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6728=(($6727+2)|0); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6729=HEAPU8[($6728)]; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6730=(($6729)&255); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6731=$6725 | $6730; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot263=$6731; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1592; break; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1592: 
      var $6733=(($regs)|0); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6734=HEAPU32[(($6733)>>2)]; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6735=(($6734+8)|0); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6733)>>2)]=$6735; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6736=$slot263; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6737=$argv; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6738=(($6737+($6736<<3))|0); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6739=$6734; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6740=$6738; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6739)>>2)]=HEAP32[(($6740)>>2)];HEAP32[(($6739+4)>>2)]=HEAP32[(($6740+4)>>2)]; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6741=$2; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6742=(($regs)|0); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6743=HEAP32[(($6742)>>2)]; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6744=(($6743-8)|0); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6745=$47; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6746=$6744; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6745)>>2)]=HEAP32[(($6746)>>2)];HEAP32[(($6745+4)>>2)]=HEAP32[(($6746+4)>>2)]; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6741, $47); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1593; break; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1593: 
      __label__ = 1594; break; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1594: 
      var $6749=$op; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6750=(($6749)|0)==216; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6750) { __label__ = 1595; break; } else { __label__ = 1596; break; } //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1595: 
      var $6752=(($regs)|0); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6753=HEAP32[(($6752)>>2)]; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6754=(($6753+8)|0); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6752)>>2)]=$6754; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($6753); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1596; break; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1596: 
      $len=3; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1597: 
      var $6757=(($regs+4)|0); //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6758=HEAP32[(($6757)>>2)]; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6759=(($6758+1)|0); //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6760=HEAPU8[($6759)]; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6761=(($6760)&255); //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6762=$6761 << 8; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6763=(($regs+4)|0); //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6764=HEAP32[(($6763)>>2)]; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6765=(($6764+2)|0); //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6766=HEAPU8[($6765)]; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6767=(($6766)&255); //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6768=$6762 | $6767; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot264=$6768; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6769=$slot264; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6770=$argv; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6771=(($6770+($6769<<3))|0); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6772=(($regs)|0); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6773=HEAP32[(($6772)>>2)]; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6774=(($6773-8)|0); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6775=$6771; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6776=$6774; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6775)>>2)]=HEAP32[(($6776)>>2)];HEAP32[(($6775+4)>>2)]=HEAP32[(($6776+4)>>2)]; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6777=(($regs+4)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6778=HEAP32[(($6777)>>2)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6779=(($6778+3)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6780=HEAPU8[($6779)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6781=(($6780)&255); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6782=(($6781)|0)==81; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6782) { __label__ = 1598; break; } else { __label__ = 1599; break; } //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1598: 
      var $6784=(($regs)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6785=HEAP32[(($6784)>>2)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6786=(($6785-8)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6784)>>2)]=$6786; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6787=(($regs+4)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6788=HEAP32[(($6787)>>2)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6789=(($6788+4)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6787)>>2)]=$6789; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6790=(($regs+4)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6791=HEAP32[(($6790)>>2)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6792=HEAPU8[($6791)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6793=(($6792)&255); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$6793; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1599: 
      $len=3; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1600: 
      var $6796=(($regs+4)|0); //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6797=HEAP32[(($6796)>>2)]; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6798=(($6797+1)|0); //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6799=HEAPU8[($6798)]; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6800=(($6799)&255); //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6801=$6800 << 8; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6802=(($regs+4)|0); //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6803=HEAP32[(($6802)>>2)]; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6804=(($6803+2)|0); //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6805=HEAPU8[($6804)]; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6806=(($6805)&255); //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6807=$6801 | $6806; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot265=$6807; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6808=(($regs)|0); //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6809=HEAPU32[(($6808)>>2)]; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6810=(($6809+8)|0); //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6808)>>2)]=$6810; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6811=$slot265; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6812=__ZNK2js9FrameRegs2fpEv($regs); //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6813=__ZNK2js10StackFrame5slotsEv($6812); //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6814=(($6813+($6811<<3))|0); //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6815=$6809; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6816=$6814; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6815)>>2)]=HEAP32[(($6816)>>2)];HEAP32[(($6815+4)>>2)]=HEAP32[(($6816+4)>>2)]; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1601: 
      var $6818=(($regs+4)|0); //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6819=HEAP32[(($6818)>>2)]; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6820=(($6819+1)|0); //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6821=HEAPU8[($6820)]; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6822=(($6821)&255); //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6823=$6822 << 8; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6824=(($regs+4)|0); //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6825=HEAP32[(($6824)>>2)]; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6826=(($6825+2)|0); //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6827=HEAPU8[($6826)]; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6828=(($6827)&255); //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6829=$6823 | $6828; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot266=$6829; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1602; break; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1602: 
      var $6831=(($regs)|0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6832=HEAPU32[(($6831)>>2)]; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6833=(($6832+8)|0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6831)>>2)]=$6833; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6834=$slot266; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6835=__ZNK2js9FrameRegs2fpEv($regs); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6836=__ZNK2js10StackFrame5slotsEv($6835); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6837=(($6836+($6834<<3))|0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6838=$6832; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6839=$6837; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6838)>>2)]=HEAP32[(($6839)>>2)];HEAP32[(($6838+4)>>2)]=HEAP32[(($6839+4)>>2)]; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6840=$2; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6841=(($regs)|0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6842=HEAP32[(($6841)>>2)]; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6843=(($6842-8)|0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6844=$48; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6845=$6843; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6844)>>2)]=HEAP32[(($6845)>>2)];HEAP32[(($6844+4)>>2)]=HEAP32[(($6845+4)>>2)]; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6840, $48); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1603; break; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1603: 
      __label__ = 1604; break; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1604: 
      var $6848=(($regs)|0); //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6849=HEAP32[(($6848)>>2)]; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6850=(($6849+8)|0); //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6848)>>2)]=$6850; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($6849); //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1605: 
      var $6852=(($regs+4)|0); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6853=HEAP32[(($6852)>>2)]; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6854=(($6853+1)|0); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6855=HEAPU8[($6854)]; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6856=(($6855)&255); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6857=$6856 << 8; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6858=(($regs+4)|0); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6859=HEAP32[(($6858)>>2)]; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6860=(($6859+2)|0); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6861=HEAPU8[($6860)]; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6862=(($6861)&255); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6863=$6857 | $6862; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot267=$6863; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6864=$slot267; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6865=__ZNK2js9FrameRegs2fpEv($regs); //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6866=__ZNK2js10StackFrame5slotsEv($6865); //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6867=(($6866+($6864<<3))|0); //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6868=(($regs)|0); //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6869=HEAP32[(($6868)>>2)]; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6870=(($6869-8)|0); //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6871=$6867; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6872=$6870; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6871)>>2)]=HEAP32[(($6872)>>2)];HEAP32[(($6871+4)>>2)]=HEAP32[(($6872+4)>>2)]; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6873=(($regs+4)|0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6874=HEAP32[(($6873)>>2)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6875=(($6874+3)|0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6876=HEAPU8[($6875)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6877=(($6876)&255); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6878=(($6877)|0)==81; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6878) { __label__ = 1606; break; } else { __label__ = 1607; break; } //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1606: 
      var $6880=(($regs)|0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6881=HEAP32[(($6880)>>2)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6882=(($6881-8)|0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6880)>>2)]=$6882; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6883=(($regs+4)|0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6884=HEAP32[(($6883)>>2)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6885=(($6884+4)|0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6883)>>2)]=$6885; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6886=(($regs+4)|0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6887=HEAP32[(($6886)>>2)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6888=HEAPU8[($6887)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6889=(($6888)&255); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$6889; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 43; break; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1607: 
      $len=3; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1608: 
      __label__ = 1609; break; //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1609: 
      var $6893=(($regs+4)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6894=HEAP32[(($6893)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6895=(($6894+1)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6896=HEAPU8[($6895)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6897=(($6896)&255); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6898=$6897 << 8; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6899=(($regs+4)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6900=HEAP32[(($6899)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6901=(($6900+2)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6902=HEAPU8[($6901)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6903=(($6902)&255); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6904=$6898 | $6903; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $index268=$6904; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6905=$argv; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6906=(($6905-16)|0); //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6907=__ZNK2JS5Value8toObjectEv($6906); //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj269=$6907; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1610; break; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1610: 
      var $6909=(($regs)|0); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6910=HEAP32[(($6909)>>2)]; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6911=(($6910+8)|0); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6909)>>2)]=$6911; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6912=$obj269; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6913=$index268; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6914=__ZN8JSObject19getFlatClosureUpvarEj($6912, $6913); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6915=$6910; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6916=$6914; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6915)>>2)]=HEAP32[(($6916)>>2)];HEAP32[(($6915+4)>>2)]=HEAP32[(($6916+4)>>2)]; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6917=$2; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6918=(($regs)|0); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6919=HEAP32[(($6918)>>2)]; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6920=(($6919-8)|0); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6921=$49; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6922=$6920; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6921)>>2)]=HEAP32[(($6922)>>2)];HEAP32[(($6921+4)>>2)]=HEAP32[(($6922+4)>>2)]; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($6917, $49); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1611; break; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1611: 
      __label__ = 1612; break; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1612: 
      var $6925=$2; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6926=$script; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6927=(($regs+4)|0); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6928=HEAP32[(($6927)>>2)]; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6929=(($regs)|0); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6930=HEAP32[(($6929)>>2)]; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6931=(($6930-8)|0); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($6925, $6926, $6928, $6931); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6932=$op; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6933=(($6932)|0)==137; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6933) { __label__ = 1613; break; } else { __label__ = 1614; break; } //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1613: 
      var $6935=(($regs)|0); //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6936=HEAP32[(($6935)>>2)]; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6937=(($6936+8)|0); //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($6935)>>2)]=$6937; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($6936); //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1614; break; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1614: 
      $len=3; //@line 4581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1615: 
      __label__ = 1616; break; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1616: 
      __label__ = 1617; break; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1617: 
      __label__ = 1618; break; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1618: 
      var $6943=(($regs+4)|0); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6944=HEAP32[(($6943)>>2)]; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6945=(($6944+1)|0); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6946=HEAPU8[($6945)]; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6947=(($6946)&255); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6948=$6947 << 8; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6949=(($regs+4)|0); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6950=HEAP32[(($6949)>>2)]; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6951=(($6950+2)|0); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6952=HEAPU8[($6951)]; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6953=(($6952)&255); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6954=$6948 | $6953; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $index270=$6954; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6955=$index270; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6956=$atoms; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6957=(($6956+($6955<<2))|0); //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6958=HEAP32[(($6957)>>2)]; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom271=$6958; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6959=__ZNK2js9FrameRegs2fpEv($regs); //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6960=__ZN2js10StackFrame6varObjEv($6959); //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj272=$6960; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $attrs=1; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6961=__ZNK2js9FrameRegs2fpEv($regs); //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6962=__ZNK2js10StackFrame11isEvalFrameEv($6961); //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6962) { __label__ = 1620; break; } else { __label__ = 1619; break; } //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1619: 
      var $6964=$attrs; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6965=$6964 | 4; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $attrs=$6965; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1620; break; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1620: 
      var $6967=$atom271; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6968=__ZL12ATOM_TO_JSIDP6JSAtom1798($6967); //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id273=$6968; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6969=$op; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6970=(($6969)|0)==129; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6970) { __label__ = 1621; break; } else { __label__ = 1626; break; } //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1621: 
      var $6972=$obj272; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6973=$2; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6974=$id273; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6975=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($6972, $6973, $6974, $obj2275, $prop274); //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6976=(($6975)|0)!=0; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6976) { __label__ = 1623; break; } else { __label__ = 1622; break; } //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1622: 
      __label__ = 2152; break; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1623: 
      var $6979=HEAP32[(($prop274)>>2)]; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6980=(($6979)|0)!=0; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6980) { __label__ = 1624; break; } else { var $6986 = 1;__label__ = 1625; break; } //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1624: 
      var $6982=HEAP32[(($obj2275)>>2)]; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6983=$obj272; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6984=(($6982)|0)!=(($6983)|0); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6986 = $6984;__label__ = 1625; break; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1625: 
      var $6986;
      var $6987=(($6986)&1); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $shouldDefine=$6987; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1629; break; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1626: 
      var $6989=$attrs; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6990=$6989 | 2; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $attrs=$6990; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6991=$2; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6992=$obj272; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6993=$id273; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6994=$attrs; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6995=__ZN2js18CheckRedeclarationEP9JSContextP8JSObjectij($6991, $6992, $6993, $6994); //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6995) { __label__ = 1628; break; } else { __label__ = 1627; break; } //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1627: 
      __label__ = 2152; break; //@line 4615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1628: 
      $shouldDefine=1; //@line 4621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1629; break;
    case 1629: 
      var $6999=$shouldDefine; //@line 4625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7000=(($6999) & 1); //@line 4625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7000) { __label__ = 1630; break; } else { __label__ = 1632; break; } //@line 4625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1630: 
      var $7002=$2; //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7003=$obj272; //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7004=$id273; //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL14UndefinedValueEv1839($50); //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7005=$attrs; //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7006=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($7002, $7003, $7004, $50, 8, 10, $7005, 0, 0, 0); //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7007=(($7006)|0)!=0; //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7007) { __label__ = 1632; break; } else { __label__ = 1631; break; } //@line 4626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1631: 
      __label__ = 2152; break; //@line 4628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1632: 
      $len=3; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1633: 
      var $7011=$script; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7012=$atoms; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7013=$script; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7014=(($7013+56)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7015=HEAP32[(($7014)>>2)]; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7016=$7012; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7017=$7015; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7018=(($7016-$7017)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7019=(((($7018)|0)/4)&-1); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7020=(($regs+4)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7021=HEAP32[(($7020)>>2)]; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7022=(($7021)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7023=(($7022+1)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7024=HEAPU8[($7023)]; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7025=(($7024)&255); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7026=$7025 << 8; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7027=(($regs+4)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7028=HEAP32[(($7027)>>2)]; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7029=(($7028)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7030=(($7029+2)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7031=HEAPU8[($7030)]; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7032=(($7031)&255); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7033=$7026 | $7032; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7034=(($7019+$7033)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7035=__ZN8JSScript11getFunctionEj($7011, $7034); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun276=$7035; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7036=$fun276; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7037=$7036; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj277=$7037; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7038=$fun276; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7039=__ZNK10JSFunction13isNullClosureEv($7038); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7039) { __label__ = 1634; break; } else { __label__ = 1635; break; } //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1634: 
      var $7041=__ZNK2js9FrameRegs2fpEv($regs); //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7042=__ZNK2js10StackFrame10scopeChainEv($7041); //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj2278=$7042; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1638; break; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1635: 
      var $7044=$2; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7045=__ZNK2js9FrameRegs2fpEv($regs); //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7046=__ZN2js17GetScopeChainFastEP9JSContextPNS_10StackFrameE4JSOpj($7044, $7045, 127, 3); //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj2278=$7046; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7047=$obj2278; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7048=(($7047)|0)!=0; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7048) { __label__ = 1637; break; } else { __label__ = 1636; break; } //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1636: 
      __label__ = 2152; break; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1637: 
      __label__ = 1638; break;
    case 1638: 
      var $7052=$obj277; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7053=__ZNK8JSObject9getParentEv($7052); //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7054=$obj2278; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7055=(($7053)|0)!=(($7054)|0); //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7055) { __label__ = 1639; break; } else { __label__ = 1642; break; } //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1639: 
      var $7057=$2; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7058=$fun276; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7059=$obj2278; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7060=__Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb($7057, $7058, $7059, 1); //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj277=$7060; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7061=$obj277; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7062=(($7061)|0)!=0; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7062) { __label__ = 1641; break; } else { __label__ = 1640; break; } //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1640: 
      __label__ = 2152; break; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1641: 
      __label__ = 1642; break; //@line 4675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1642: 
      var $7066=__ZNK2js9FrameRegs2fpEv($regs); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7067=__ZNK2js10StackFrame11isEvalFrameEv($7066); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7068=$7067 ? 1 : 5; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $attrs279=$7068; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7069=__ZNK2js9FrameRegs2fpEv($regs); //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7070=__ZN2js10StackFrame6varObjEv($7069); //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $parent=$7070; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7071=$fun276; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7072=(($7071+72)|0); //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7073=HEAP32[(($7072)>>2)]; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7074=__ZL12ATOM_TO_JSIDP6JSAtom1798($7073); //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id280=$7074; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($prop281)>>2)]=0; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7075=$parent; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7076=$2; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7077=$id280; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7078=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($7075, $7076, $7077, $pobj282, $prop281); //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7079=(($7078)|0)!=0; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7079) { __label__ = 1644; break; } else { __label__ = 1643; break; } //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1643: 
      __label__ = 2152; break; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1644: 
      var $7082=$obj277; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL11ObjectValueER8JSObject1804($rval283, $7082); //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1645; break; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1645: 
      var $7084=HEAP32[(($prop281)>>2)]; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7085=(($7084)|0)!=0; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7085) { __label__ = 1646; break; } else { __label__ = 1647; break; } //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1646: 
      var $7087=HEAP32[(($pobj282)>>2)]; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7088=$parent; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7089=(($7087)|0)!=(($7088)|0); //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7089) { __label__ = 1647; break; } else { __label__ = 1650; break; } //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1647: 
      var $7091=$parent; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7092=$2; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7093=$id280; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7094=$attrs279; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7095=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($7091, $7092, $7093, $rval283, 8, 10, $7094); //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7096=(($7095)|0)!=0; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7096) { __label__ = 1649; break; } else { __label__ = 1648; break; } //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1648: 
      __label__ = 2152; break; //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1649: 
      __label__ = 1666; break; //@line 4706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1650: 
      var $7100=HEAP32[(($prop281)>>2)]; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7101=$7100; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $shape284=$7101; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7102=$parent; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7103=__ZNK8JSObject8isGlobalEv($7102); //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7103) { __label__ = 1651; break; } else { __label__ = 1662; break; } //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1651: 
      var $7105=$shape284; //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7106=__ZNK2js5Shape12configurableEv($7105); //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7106) { __label__ = 1652; break; } else { __label__ = 1655; break; } //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1652: 
      var $7108=$parent; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7109=$2; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7110=$id280; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7111=$attrs279; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7112=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($7108, $7109, $7110, $rval283, 8, 10, $7111); //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7113=(($7112)|0)!=0; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7113) { __label__ = 1654; break; } else { __label__ = 1653; break; } //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1653: 
      __label__ = 2152; break; //@line 4715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1654: 
      __label__ = 1666; break; //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1655: 
      var $7117=$shape284; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7118=__ZNK2js5Shape20isAccessorDescriptorEv($7117); //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7118) { __label__ = 1658; break; } else { __label__ = 1656; break; } //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1656: 
      var $7120=$shape284; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7121=__ZNK2js5Shape8writableEv($7120); //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7121) { __label__ = 1657; break; } else { __label__ = 1658; break; } //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1657: 
      var $7123=$shape284; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7124=__ZNK2js5Shape10enumerableEv($7123); //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7124) { __label__ = 1661; break; } else { __label__ = 1658; break; } //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1658: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7126=$2; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7127=$id280; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2jsL9IdToValueEi1799($51, $7127); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7128=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($7126, $51, $bytes, 0); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $name=$7128; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7129=$name; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7130=(($7129)|0)!=0; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7130) { __label__ = 1659; break; } else { __label__ = 1660; break; } //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1659: 
      var $7132=$2; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7133=$name; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($7132, 2, 0, 240, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7133,tempInt)); //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1660; break; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1660: 
      $17=8;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $cleanup_dest430=$17;
      if ((($cleanup_dest430)|0) == 8) {
        __label__ = 2152; break;
      }
      else {
      __label__ = 2213; break;
      }
      
    case 1661: 
      __label__ = 1662; break; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1662: 
      var $7137=$parent; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7138=$2; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7139=$id280; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7140=$script; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7141=$7140; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7142=(($7141+36)|0); //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7143=HEAPU8[($7142)]; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7144=(($7143)&255) >>> 3; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7145=$7144 & 1; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7146=(($7145) & 1); //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7147=(($7146)&1); //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7148=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($7137, $7138, $7139, $rval283, $7147); //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7149=(($7148)|0)!=0; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7149) { __label__ = 1664; break; } else { __label__ = 1663; break; } //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1663: 
      __label__ = 2152; break; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1664: 
      __label__ = 1665; break; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1665: 
      __label__ = 1666; break; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1666: 
      $len=3; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1667: 
      var $7155=$script; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7156=$atoms; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7157=$script; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7158=(($7157+56)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7159=HEAP32[(($7158)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7160=$7156; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7161=$7159; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7162=(($7160-$7161)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7163=(((($7162)|0)/4)&-1); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7164=(($regs+4)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7165=HEAP32[(($7164)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7166=(($7165)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7167=(($7166+1)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7168=HEAPU8[($7167)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7169=(($7168)&255); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7170=$7169 << 8; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7171=(($regs+4)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7172=HEAP32[(($7171)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7173=(($7172)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7174=(($7173+2)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7175=HEAPU8[($7174)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7176=(($7175)&255); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7177=$7170 | $7176; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7178=(($7163+$7177)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7179=__ZN8JSScript11getFunctionEj($7155, $7178); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun285=$7179; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7180=$2; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7181=$fun285; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7182=__Z17js_NewFlatClosureP9JSContextP10JSFunction4JSOpj($7180, $7181, 222, 3); //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj286=$7182; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7183=$obj286; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7184=(($7183)|0)!=0; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7184) { __label__ = 1669; break; } else { __label__ = 1668; break; } //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1668: 
      __label__ = 2152; break; //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1669: 
      var $7187=$obj286; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL11ObjectValueER8JSObject1804($rval287, $7187); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7188=__ZNK2js9FrameRegs2fpEv($regs); //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7189=__ZNK2js10StackFrame11isEvalFrameEv($7188); //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7190=$7189 ? 1 : 5; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $attrs288=$7190; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7191=__ZNK2js9FrameRegs2fpEv($regs); //@line 4758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7192=__ZN2js10StackFrame6varObjEv($7191); //@line 4758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $parent289=$7192; //@line 4758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7193=$fun285; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7194=(($7193+72)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7195=HEAP32[(($7194)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7196=__ZL12ATOM_TO_JSIDP6JSAtom1798($7195); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id290=$7196; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7197=$2; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7198=$parent289; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7199=$id290; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7200=$attrs288; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7201=__ZN2js18CheckRedeclarationEP9JSContextP8JSObjectij($7197, $7198, $7199, $7200); //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7201) { __label__ = 1671; break; } else { __label__ = 1670; break; } //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1670: 
      __label__ = 2152; break; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1671: 
      var $7204=$attrs288; //@line 4764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7205=(($7204)|0)==1; //@line 4764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7205) { __label__ = 1672; break; } else { __label__ = 1673; break; } //@line 4764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1672: 
      var $7207=$parent289; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7208=$2; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7209=$id290; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7210=$script; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7211=$7210; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7212=(($7211+36)|0); //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7213=HEAPU8[($7212)]; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7214=(($7213)&255) >>> 3; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7215=$7214 & 1; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7216=(($7215) & 1); //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7217=(($7216)&1); //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7218=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($7207, $7208, $7209, $rval287, $7217); //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7219=(($7218)|0)!=0; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7219) { __label__ = 1675; break; } else { __label__ = 1674; break; } //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1673: 
      var $7221=$parent289; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7222=$2; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7223=$id290; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7224=$attrs288; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7225=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($7221, $7222, $7223, $rval287, 8, 10, $7224); //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7226=(($7225)|0)!=0; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7226) { __label__ = 1675; break; } else { __label__ = 1674; break; } //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1674: 
      __label__ = 2152; break; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1675: 
      $len=3; //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1676: 
      var $7230=$script; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7231=$atoms; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7232=$script; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7233=(($7232+56)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7234=HEAP32[(($7233)>>2)]; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7235=$7231; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7236=$7234; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7237=(($7235-$7236)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7238=(((($7237)|0)/4)&-1); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7239=(($regs+4)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7240=HEAP32[(($7239)>>2)]; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7241=(($7240+2)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7242=(($7241+1)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7243=HEAPU8[($7242)]; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7244=(($7243)&255); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7245=$7244 << 8; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7246=(($regs+4)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7247=HEAP32[(($7246)>>2)]; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7248=(($7247+2)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7249=(($7248+2)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7250=HEAPU8[($7249)]; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7251=(($7250)&255); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7252=$7245 | $7251; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7253=(($7238+$7252)|0); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7254=__ZN8JSScript11getFunctionEj($7230, $7253); //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun291=$7254; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7255=$fun291; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7256=$7255; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj292=$7256; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7257=$fun291; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7258=__ZNK10JSFunction13isNullClosureEv($7257); //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7258) { __label__ = 1677; break; } else { __label__ = 1680; break; } //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1677: 
      var $7260=$2; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7261=$fun291; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7262=__ZNK2js9FrameRegs2fpEv($regs); //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7263=__ZNK2js10StackFrame10scopeChainEv($7262); //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7264=__Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb($7260, $7261, $7263, 1); //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj292=$7264; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7265=$obj292; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7266=(($7265)|0)!=0; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7266) { __label__ = 1679; break; } else { __label__ = 1678; break; } //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1678: 
      __label__ = 2152; break; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1679: 
      __label__ = 1687; break; //@line 4791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1680: 
      var $7270=$2; //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7271=__ZNK2js9FrameRegs2fpEv($regs); //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7272=__ZN2js17GetScopeChainFastEP9JSContextPNS_10StackFrameE4JSOpj($7270, $7271, 140, 5); //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $parent293=$7272; //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7273=$parent293; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7274=(($7273)|0)!=0; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7274) { __label__ = 1682; break; } else { __label__ = 1681; break; } //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1681: 
      __label__ = 2152; break; //@line 4795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1682: 
      var $7277=$obj292; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7278=__ZNK8JSObject9getParentEv($7277); //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7279=$parent293; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7280=(($7278)|0)!=(($7279)|0); //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7280) { __label__ = 1683; break; } else { __label__ = 1686; break; } //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1683: 
      var $7282=$2; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7283=$fun291; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7284=$parent293; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7285=__Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb($7282, $7283, $7284, 1); //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj292=$7285; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7286=$obj292; //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7287=(($7286)|0)!=0; //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7287) { __label__ = 1685; break; } else { __label__ = 1684; break; } //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1684: 
      __label__ = 2152; break; //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1685: 
      __label__ = 1686; break; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1686: 
      __label__ = 1687; break;
    case 1687: 
      var $7292=(($regs+4)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7293=HEAP32[(($7292)>>2)]; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7294=(($7293+1)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7295=HEAPU8[($7294)]; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7296=(($7295)&255); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7297=$7296 << 8; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7298=(($regs+4)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7299=HEAP32[(($7298)>>2)]; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7300=(($7299+2)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7301=HEAPU8[($7300)]; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7302=(($7301)&255); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7303=$7297 | $7302; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot294=$7303; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7304=$slot294; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7305=__ZNK2js9FrameRegs2fpEv($regs); //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7306=__ZNK2js10StackFrame5slotsEv($7305); //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7307=(($7306+($7304<<3))|0); //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7308=$obj292; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($7307, $7308); //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=5; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1688: 
      var $7310=$script; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7311=$atoms; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7312=$script; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7313=(($7312+56)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7314=HEAP32[(($7313)>>2)]; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7315=$7311; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7316=$7314; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7317=(($7315-$7316)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7318=(((($7317)|0)/4)&-1); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7319=(($regs+4)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7320=HEAP32[(($7319)>>2)]; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7321=(($7320+2)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7322=(($7321+1)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7323=HEAPU8[($7322)]; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7324=(($7323)&255); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7325=$7324 << 8; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7326=(($regs+4)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7327=HEAP32[(($7326)>>2)]; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7328=(($7327+2)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7329=(($7328+2)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7330=HEAPU8[($7329)]; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7331=(($7330)&255); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7332=$7325 | $7331; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7333=(($7318+$7332)|0); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7334=__ZN8JSScript11getFunctionEj($7310, $7333); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun295=$7334; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7335=$2; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7336=$fun295; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7337=__Z17js_NewFlatClosureP9JSContextP10JSFunction4JSOpj($7335, $7336, 223, 5); //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj296=$7337; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7338=$obj296; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7339=(($7338)|0)!=0; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7339) { __label__ = 1690; break; } else { __label__ = 1689; break; } //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1689: 
      __label__ = 2152; break; //@line 4824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1690: 
      var $7342=(($regs+4)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7343=HEAP32[(($7342)>>2)]; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7344=(($7343+1)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7345=HEAPU8[($7344)]; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7346=(($7345)&255); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7347=$7346 << 8; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7348=(($regs+4)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7349=HEAP32[(($7348)>>2)]; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7350=(($7349+2)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7351=HEAPU8[($7350)]; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7352=(($7351)&255); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7353=$7347 | $7352; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot297=$7353; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7354=$slot297; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7355=__ZNK2js9FrameRegs2fpEv($regs); //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7356=__ZNK2js10StackFrame5slotsEv($7355); //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7357=(($7356+($7354<<3))|0); //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7358=$obj296; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($7357, $7358); //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=5; //@line 4831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1691: 
      var $7360=$script; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7361=$atoms; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7362=$script; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7363=(($7362+56)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7364=HEAP32[(($7363)>>2)]; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7365=$7361; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7366=$7364; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7367=(($7365-$7366)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7368=(((($7367)|0)/4)&-1); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7369=(($regs+4)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7370=HEAP32[(($7369)>>2)]; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7371=(($7370)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7372=(($7371+1)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7373=HEAPU8[($7372)]; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7374=(($7373)&255); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7375=$7374 << 8; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7376=(($regs+4)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7377=HEAP32[(($7376)>>2)]; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7378=(($7377)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7379=(($7378+2)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7380=HEAPU8[($7379)]; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7381=(($7380)&255); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7382=$7375 | $7381; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7383=(($7368+$7382)|0); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7384=__ZN8JSScript11getFunctionEj($7360, $7383); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun298=$7384; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7385=$fun298; //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7386=$7385; //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj299=$7386; //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1692; break; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1692: 
      var $7388=$fun298; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7389=__ZNK10JSFunction13isNullClosureEv($7388); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7389) { __label__ = 1693; break; } else { __label__ = 1721; break; } //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1693: 
      var $7391=__ZNK2js9FrameRegs2fpEv($regs); //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7392=__ZNK2js10StackFrame10scopeChainEv($7391); //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $parent300=$7392; //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7393=$fun298; //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7394=__ZNK10JSFunction8joinableEv($7393); //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7394) { __label__ = 1694; break; } else { __label__ = 1720; break; } //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1694: 
      var $7396=(($regs+4)|0); //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7397=HEAP32[(($7396)>>2)]; //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7398=(($7397+3)|0); //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7399=__ZN2js23AdvanceOverBlockchainOpEPh($7398); //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2301=$7399; //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7400=$pc2301; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7401=HEAPU8[($7400)]; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7402=(($7401)&255); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op2302=$7402; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7403=$op2302; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7404=(($7403)|0)==227; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7404) { __label__ = 1695; break; } else { __label__ = 1696; break; } //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1695: 
      var $7406=$fun298; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7407=$script; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7408=$atoms; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7409=$script; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7410=(($7409+56)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7411=HEAP32[(($7410)>>2)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7412=$7408; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7413=$7411; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7414=(($7412-$7413)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7415=(((($7414)|0)/4)&-1); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7416=(($regs+4)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7417=HEAP32[(($7416)>>2)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7418=$pc2301; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7419=(($regs+4)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7420=HEAP32[(($7419)>>2)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7421=$7418; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7422=$7420; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7423=(($7421-$7422)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7424=(($7417+$7423)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7425=(($7424+1)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7426=HEAPU8[($7425)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7427=(($7426)&255); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7428=$7427 << 8; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7429=(($regs+4)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7430=HEAP32[(($7429)>>2)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7431=$pc2301; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7432=(($regs+4)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7433=HEAP32[(($7432)>>2)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7434=$7431; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7435=$7433; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7436=(($7434-$7435)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7437=(($7430+$7436)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7438=(($7437+2)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7439=HEAPU8[($7438)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7440=(($7439)&255); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7441=$7428 | $7440; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7442=(($7415+$7441)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7443=__ZN8JSScript7getAtomEj($7407, $7442); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN10JSFunction13setMethodAtomEP6JSAtom($7406, $7443); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1728; break; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1696: 
      var $7445=$op2302; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7446=(($7445)|0)==226; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7446) { __label__ = 1697; break; } else { __label__ = 1701; break; } //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1697: 
      var $7448=(($regs)|0); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7449=HEAP32[(($7448)>>2)]; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7450=(($7449-8)|0); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref303=$7450; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7451=$lref303; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7452=__ZNK2JS5Value8isObjectEv($7451); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7452) { __label__ = 1698; break; } else { __label__ = 1700; break; } //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1698: 
      var $7454=$lref303; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7455=__ZNK2JS5Value8toObjectEv($7454); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7456=__ZNK8JSObject20canHaveMethodBarrierEv($7455); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7456) { __label__ = 1699; break; } else { __label__ = 1700; break; } //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1699: 
      var $7458=$fun298; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7459=$script; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7460=$atoms; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7461=$script; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7462=(($7461+56)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7463=HEAP32[(($7462)>>2)]; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7464=$7460; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7465=$7463; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7466=(($7464-$7465)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7467=(((($7466)|0)/4)&-1); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7468=(($regs+4)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7469=HEAP32[(($7468)>>2)]; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7470=$pc2301; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7471=(($regs+4)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7472=HEAP32[(($7471)>>2)]; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7473=$7470; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7474=$7472; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7475=(($7473-$7474)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7476=(($7469+$7475)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7477=(($7476+1)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7478=HEAPU8[($7477)]; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7479=(($7478)&255); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7480=$7479 << 8; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7481=(($regs+4)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7482=HEAP32[(($7481)>>2)]; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7483=$pc2301; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7484=(($regs+4)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7485=HEAP32[(($7484)>>2)]; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7486=$7483; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7487=$7485; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7488=(($7486-$7487)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7489=(($7482+$7488)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7490=(($7489+2)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7491=HEAPU8[($7490)]; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7492=(($7491)&255); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7493=$7480 | $7492; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7494=(($7467+$7493)|0); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7495=__ZN8JSScript7getAtomEj($7459, $7494); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN10JSFunction13setMethodAtomEP6JSAtom($7458, $7495); //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1728; break; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1700: 
      __label__ = 1719; break; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1701: 
      var $7498=$op2302; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7499=(($7498)|0)==58; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7499) { __label__ = 1702; break; } else { __label__ = 1712; break; } //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1702: 
      var $7501=$pc2301; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7502=(($7501+1)|0); //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7503=HEAPU8[($7502)]; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7504=(($7503)&255); //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7505=$7504 << 8; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7506=$pc2301; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7507=(($7506+2)|0); //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7508=HEAPU8[($7507)]; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7509=(($7508)&255); //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7510=$7505 | $7509; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $iargc=$7510; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7511=$iargc; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7512=(($7511+2)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7513=((1-$7512)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7514=(($regs)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7515=HEAP32[(($7514)>>2)]; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7516=(($7515+($7513<<3))|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cref=$7516; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7517=$cref; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7518=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1840($7517, $callee304); //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7518) { __label__ = 1703; break; } else { __label__ = 1711; break; } //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1703: 
      var $7520=HEAP32[(($callee304)>>2)]; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7521=__ZNK8JSObject18getFunctionPrivateEv($7520); //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $calleeFun=$7521; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7522=$calleeFun; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7523=__ZNK10JSFunction11maybeNativeEv($7522); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $native=$7523; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7524=$native; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7525=(($7524)|0)!=0; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7525) { __label__ = 1704; break; } else { __label__ = 1710; break; } //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1704: 
      var $7527=$iargc; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7528=(($7527)|0)==1; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7528) { __label__ = 1705; break; } else { __label__ = 1706; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1705: 
      var $7530=$native; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7531=(($7530)|0)==144; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7531) { __label__ = 1708; break; } else { __label__ = 1706; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1706: 
      var $7533=$iargc; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7534=(($7533)|0)==2; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7534) { __label__ = 1707; break; } else { __label__ = 1709; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1707: 
      var $7536=$native; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7537=(($7536)|0)==146; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7537) { __label__ = 1708; break; } else { __label__ = 1709; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1708: 
      __label__ = 1728; break; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1709: 
      __label__ = 1710; break; //@line 4906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1710: 
      __label__ = 1711; break; //@line 4907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1711: 
      __label__ = 1718; break; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1712: 
      var $7543=$op2302; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7544=(($7543)|0)==64; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7544) { __label__ = 1713; break; } else { __label__ = 1717; break; } //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1713: 
      var $7546=$pc2301; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7547=(($7546+1)|0); //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $pc2301=$7547; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7548=$pc2301; //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7549=HEAPU8[($7548)]; //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7550=(($7549)&255); //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op2302=$7550; //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7551=$op2302; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7552=(($7551)|0)==58; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7552) { __label__ = 1714; break; } else { __label__ = 1716; break; } //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1714: 
      var $7554=$pc2301; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7555=(($7554+1)|0); //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7556=HEAPU8[($7555)]; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7557=(($7556)&255); //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7558=$7557 << 8; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7559=$pc2301; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7560=(($7559+2)|0); //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7561=HEAPU8[($7560)]; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7562=(($7561)&255); //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7563=$7558 | $7562; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7564=(($7563)|0)==0; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7564) { __label__ = 1715; break; } else { __label__ = 1716; break; } //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1715: 
      __label__ = 1728; break; //@line 4913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1716: 
      __label__ = 1717; break; //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1717: 
      __label__ = 1718; break;
    case 1718: 
      __label__ = 1719; break;
    case 1719: 
      __label__ = 1720; break; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1720: 
      __label__ = 1724; break; //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1721: 
      var $7572=$2; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7573=__ZNK2js9FrameRegs2fpEv($regs); //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7574=__ZN2js17GetScopeChainFastEP9JSContextPNS_10StackFrameE4JSOpj($7572, $7573, 130, 3); //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $parent300=$7574; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7575=$parent300; //@line 4918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7576=(($7575)|0)!=0; //@line 4918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7576) { __label__ = 1723; break; } else { __label__ = 1722; break; } //@line 4918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1722: 
      __label__ = 2152; break; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1723: 
      __label__ = 1724; break;
    case 1724: 
      var $7580=$2; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7581=$fun298; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7582=$parent300; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7583=__Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb($7580, $7581, $7582, 1); //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj299=$7583; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7584=$obj299; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7585=(($7584)|0)!=0; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7585) { __label__ = 1726; break; } else { __label__ = 1725; break; } //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1725: 
      __label__ = 2152; break; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1726: 
      __label__ = 1727; break; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1727: 
      __label__ = 1728; break; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1728: 
      __label__ = 1729; break; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1729: 
      var $7591=(($regs)|0); //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7592=HEAP32[(($7591)>>2)]; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7593=(($7592+8)|0); //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($7591)>>2)]=$7593; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7594=$obj299; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($7592, $7594); //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7595=$2; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7596=(($regs)|0); //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7597=HEAP32[(($7596)>>2)]; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7598=(($7597-8)|0); //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7599=$52; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7600=$7598; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7599)>>2)]=HEAP32[(($7600)>>2)];HEAP32[(($7599+4)>>2)]=HEAP32[(($7600+4)>>2)]; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7595, $52); //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1730; break; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1730: 
      __label__ = 1731; break; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1731: 
      $len=3; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1732: 
      var $7604=$script; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7605=$atoms; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7606=$script; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7607=(($7606+56)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7608=HEAP32[(($7607)>>2)]; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7609=$7605; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7610=$7608; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7611=(($7609-$7610)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7612=(((($7611)|0)/4)&-1); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7613=(($regs+4)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7614=HEAP32[(($7613)>>2)]; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7615=(($7614)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7616=(($7615+1)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7617=HEAPU8[($7616)]; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7618=(($7617)&255); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7619=$7618 << 8; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7620=(($regs+4)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7621=HEAP32[(($7620)>>2)]; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7622=(($7621)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7623=(($7622+2)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7624=HEAPU8[($7623)]; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7625=(($7624)&255); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7626=$7619 | $7625; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7627=(($7612+$7626)|0); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7628=__ZN8JSScript11getFunctionEj($7604, $7627); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun305=$7628; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7629=$2; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7630=$fun305; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7631=__Z17js_NewFlatClosureP9JSContextP10JSFunction4JSOpj($7629, $7630, 224, 3); //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj306=$7631; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7632=$obj306; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7633=(($7632)|0)!=0; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7633) { __label__ = 1734; break; } else { __label__ = 1733; break; } //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1733: 
      __label__ = 2152; break; //@line 4941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1734: 
      __label__ = 1735; break; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1735: 
      var $7637=(($regs)|0); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7638=HEAP32[(($7637)>>2)]; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7639=(($7638+8)|0); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($7637)>>2)]=$7639; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7640=$obj306; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($7638, $7640); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7641=$2; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7642=(($regs)|0); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7643=HEAP32[(($7642)>>2)]; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7644=(($7643-8)|0); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7645=$53; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7646=$7644; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7645)>>2)]=HEAP32[(($7646)>>2)];HEAP32[(($7645+4)>>2)]=HEAP32[(($7646+4)>>2)]; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7641, $53); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1736; break; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1736: 
      __label__ = 1737; break; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1737: 
      $len=3; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1738: 
      __label__ = 1739; break; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1739: 
      var $7651=(($regs)|0); //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7652=HEAP32[(($7651)>>2)]; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7653=(($7652+8)|0); //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($7651)>>2)]=$7653; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7654=$argv; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7655=(($7654-16)|0); //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7656=$7652; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7657=$7655; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7656)>>2)]=HEAP32[(($7657)>>2)];HEAP32[(($7656+4)>>2)]=HEAP32[(($7657+4)>>2)]; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7658=$2; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7659=(($regs)|0); //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7660=HEAP32[(($7659)>>2)]; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7661=(($7660-8)|0); //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7662=$54; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7663=$7661; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7662)>>2)]=HEAP32[(($7663)>>2)];HEAP32[(($7662+4)>>2)]=HEAP32[(($7663+4)>>2)]; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7658, $54); //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1740; break; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1740: 
      __label__ = 1741; break; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1741: 
      $len=1; //@line 4951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 4951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1742: 
      __label__ = 1743; break; //@line 4953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1743: 
      __label__ = 1744; break; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1744: 
      var $7669=$2; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7670=$script; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7671=(($regs+4)|0); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7672=HEAP32[(($7671)>>2)]; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7673=(($7672+1)|0); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($7671)>>2)]=$7673; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7674=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1793($7669, $7670, $7673); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op2307=$7674; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7675=$op2307; //@line 4962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ((($7675)|0) == 191) {
        __label__ = 1745; break;
      }
      else if ((($7675)|0) == 211 || (($7675)|0) == 212 || (($7675)|0) == 213) {
        __label__ = 1746; break;
      }
      else if ((($7675)|0) == 111 || (($7675)|0) == 54) {
        __label__ = 1747; break;
      }
      else if ((($7675)|0) == 56) {
        __label__ = 1751; break;
      }
      else if ((($7675)|0) == 93) {
        __label__ = 1764; break;
      }
      else {
      __label__ = 1768; break;
      }
      
    case 1745: 
      var $7677=(($regs+4)|0); //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7678=HEAP32[(($7677)>>2)]; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7679=(($7678+1)|0); //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7680=HEAPU8[($7679)]; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7681=(($7680)&255); //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7682=$7681 << 16; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7683=$atoms; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7684=(($7683+($7682<<2))|0); //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$7684; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7685=(($regs+4)|0); //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7686=HEAP32[(($7685)>>2)]; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7687=(($7686+1)|0); //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($7685)>>2)]=$7687; //@line 4965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1744; break; //@line 4966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1746: 
      var $7689=$op2307; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7690=(($7689-211)|0); //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7691=(($7690+1)|0); //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7692=$7691 << 16; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7693=$atoms; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7694=(($7693+($7692<<2))|0); //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$7694; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1744; break; //@line 4971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1747: 
      __label__ = 1748; break; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1748: 
      var $7697=(($regs+4)|0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7698=HEAP32[(($7697)>>2)]; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7699=(($7698)|0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7700=(($7699+1)|0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7701=HEAPU8[($7700)]; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7702=(($7701)&255); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7703=$7702 << 8; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7704=(($regs+4)|0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7705=HEAP32[(($7704)>>2)]; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7706=(($7705)|0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7707=(($7706+2)|0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7708=HEAPU8[($7707)]; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7709=(($7708)&255); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7710=$7703 | $7709; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7711=$atoms; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7712=(($7711+($7710<<2))|0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7713=HEAP32[(($7712)>>2)]; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom312=$7713; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1749; break; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1749: 
      __label__ = 1750; break; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1750: 
      var $7716=$atom312; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7717=__ZL12ATOM_TO_JSIDP6JSAtom1798($7716); //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id308)>>2)]=$7717; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7718=(($regs)|0); //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7719=HEAP32[(($7718)>>2)]; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7720=(($7719-8)|0); //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7721=$rval309; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7722=$7720; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7721)>>2)]=HEAP32[(($7722)>>2)];HEAP32[(($7721+4)>>2)]=HEAP32[(($7722+4)>>2)]; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i310=-1; //@line 4980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1752; break; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1751: 
      var $7724=(($regs)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7725=HEAP32[(($7724)>>2)]; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7726=(($7725-8)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7727=$rval309; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7728=$7726; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7727)>>2)]=HEAP32[(($7728)>>2)];HEAP32[(($7727+4)>>2)]=HEAP32[(($7728+4)>>2)]; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id308)>>2)]=2; //@line 4985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i310=-2; //@line 4986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1752; break; //@line 4986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1752: 
      __label__ = 1753; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1753: 
      var $7731=$i310; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7732=(($7731-1)|0); //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7733=(($regs)|0); //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7734=HEAP32[(($7733)>>2)]; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7735=(($7734+($7732<<3))|0); //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_313=$7735; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1754; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1754: 
      var $7737=$vp_313; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7738=__ZNK2JS5Value8isObjectEv($7737); //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7738) { __label__ = 1755; break; } else { __label__ = 1756; break; } //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1755: 
      var $7740=$vp_313; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7741=__ZNK2JS5Value8toObjectEv($7740); //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj311=$7741; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1759; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1756: 
      var $7743=$2; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7744=$vp_313; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7745=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($7743, $7744); //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj311=$7745; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7746=$obj311; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7747=(($7746)|0)!=0; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7747) { __label__ = 1758; break; } else { __label__ = 1757; break; } //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1757: 
      __label__ = 2152; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1758: 
      var $7750=$vp_313; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7751=$obj311; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($7750, $7751); //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1759; break;
    case 1759: 
      __label__ = 1760; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1760: 
      __label__ = 1761; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1761: 
      __label__ = 1762; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1762: 
      __label__ = 1763; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1763: 
      __label__ = 1770; break; //@line 4989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1764: 
      var $7758=(($regs)|0); //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7759=HEAP32[(($7758)>>2)]; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7760=(($7759-8)|0); //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7761=$rval309; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7762=$7760; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7761)>>2)]=HEAP32[(($7762)>>2)];HEAP32[(($7761+4)>>2)]=HEAP32[(($7762+4)>>2)]; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i310=-1; //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1765; break; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1765: 
      var $7764=(($regs+4)|0); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7765=HEAP32[(($7764)>>2)]; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7766=(($7765)|0); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7767=(($7766+1)|0); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7768=HEAPU8[($7767)]; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7769=(($7768)&255); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7770=$7769 << 8; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7771=(($regs+4)|0); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7772=HEAP32[(($7771)>>2)]; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7773=(($7772)|0); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7774=(($7773+2)|0); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7775=HEAPU8[($7774)]; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7776=(($7775)&255); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7777=$7770 | $7776; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7778=$atoms; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7779=(($7778+($7777<<2))|0); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7780=HEAP32[(($7779)>>2)]; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom314=$7780; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1766; break; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1766: 
      __label__ = 1767; break; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1767: 
      var $7783=$atom314; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7784=__ZL12ATOM_TO_JSIDP6JSAtom1798($7783); //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id308)>>2)]=$7784; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1769; break; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1768: 
      var $7786=(($regs)|0); //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7787=HEAP32[(($7786)>>2)]; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7788=(($7787-8)|0); //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7789=$rval309; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7790=$7788; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7789)>>2)]=HEAP32[(($7790)>>2)];HEAP32[(($7789+4)>>2)]=HEAP32[(($7790+4)>>2)]; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id308)>>2)]=2; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i310=-2; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1769; break; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1769: 
      var $7792=$i310; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7793=(($7792-1)|0); //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7794=(($regs)|0); //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7795=HEAP32[(($7794)>>2)]; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7796=(($7795+($7793<<3))|0); //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref315=$7796; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7797=$lref315; //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7798=__ZNK2JS5Value8toObjectEv($7797); //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj311=$7798; //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1770; break; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1770: 
      var $7800=HEAP32[(($id308)>>2)]; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7801=_JSID_IS_VOID1831($7800); //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7802=(($7801)|0)!=0; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7802) { __label__ = 1771; break; } else { __label__ = 1781; break; } //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1771: 
      __label__ = 1772; break; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1772: 
      var $7805=$i310; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7806=(($regs)|0); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7807=HEAP32[(($7806)>>2)]; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7808=(($7807+($7805<<3))|0); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_316=$7808; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7809=$idval_316; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7810=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($7809, $i_317); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7810) { __label__ = 1773; break; } else { __label__ = 1775; break; } //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1773: 
      var $7812=HEAP32[(($i_317)>>2)]; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7813=_INT_FITS_IN_JSID1825($7812); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7814=(($7813)|0)!=0; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7814) { __label__ = 1774; break; } else { __label__ = 1775; break; } //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1774: 
      var $7816=HEAP32[(($i_317)>>2)]; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7817=_INT_TO_JSID1826($7816); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id308)>>2)]=$7817; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1778; break; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1775: 
      var $7819=$2; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7820=$obj311; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7821=$idval_316; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7822=$i310; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7823=(($regs)|0); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7824=HEAP32[(($7823)>>2)]; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7825=(($7824+($7822<<3))|0); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7826=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($7819, $7820, $7821, $id308, $7825); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7826) { __label__ = 1777; break; } else { __label__ = 1776; break; } //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1776: 
      __label__ = 2152; break; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1777: 
      __label__ = 1778; break;
    case 1778: 
      __label__ = 1779; break; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1779: 
      __label__ = 1780; break; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1780: 
      __label__ = 1781; break; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1781: 
      var $7833=__ZL13js_IsCallableRKN2JS5ValueE1841($rval309); //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7833) { __label__ = 1786; break; } else { __label__ = 1782; break; } //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1782: 
      var $7835=$2; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7836=$op; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7837=(($7836)|0)==125; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7837) { __label__ = 1783; break; } else { __label__ = 1784; break; } //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1783: 
      var $7841 = (STRING_TABLE._js_getter_str);__label__ = 1785; break; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1784: 
      var $7841 = (STRING_TABLE._js_setter_str);__label__ = 1785; break; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1785: 
      var $7841; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7842=(($7841)|0); //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($7835, 2, 0, 151, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7842,tempInt)); //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1786: 
      var $7844=$2; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7845=$obj311; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7846=HEAP32[(($id308)>>2)]; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7847=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($7844, $7845, $7846, 3, $rtmp, $attrs318); //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7848=(($7847)|0)!=0; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7848) { __label__ = 1788; break; } else { __label__ = 1787; break; } //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1787: 
      __label__ = 2152; break; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1788: 
      var $7851=$op; //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7852=(($7851)|0)==125; //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7852) { __label__ = 1789; break; } else { __label__ = 1790; break; } //@line 5041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1789: 
      var $7854=__ZNK2JS5Value8toObjectEv($rval309); //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7855=__ZN2jsL16CastAsPropertyOpEP8JSObject1842($7854); //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $getter=$7855; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $setter=10; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($attrs318)>>2)]=16; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1791; break; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1790: 
      $getter=8; //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7857=__ZNK2JS5Value8toObjectEv($rval309); //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7858=__ZN2jsL22CastAsStrictPropertyOpEP8JSObject1843($7857); //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $setter=$7858; //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($attrs318)>>2)]=32; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1791; break;
    case 1791: 
      var $7860=HEAP32[(($attrs318)>>2)]; //@line 5050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7861=$7860 | 65; //@line 5050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($attrs318)>>2)]=$7861; //@line 5050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7862=$2; //@line 5053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7863=$obj311; //@line 5053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7864=HEAP32[(($id308)>>2)]; //@line 5053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7865=HEAP32[(($attrs318)>>2)]; //@line 5053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7866=__ZN2js18CheckRedeclarationEP9JSContextP8JSObjectij($7862, $7863, $7864, $7865); //@line 5053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7866) { __label__ = 1793; break; } else { __label__ = 1792; break; } //@line 5053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1792: 
      __label__ = 2152; break; //@line 5054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1793: 
      var $7869=$obj311; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7870=$2; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7871=HEAP32[(($id308)>>2)]; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL14UndefinedValueEv1839($55); //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7872=$getter; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7873=$setter; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7874=HEAP32[(($attrs318)>>2)]; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7875=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($7869, $7870, $7871, $55, $7872, $7873, $7874); //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7876=(($7875)|0)!=0; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7876) { __label__ = 1795; break; } else { __label__ = 1794; break; } //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1794: 
      __label__ = 2152; break; //@line 5057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1795: 
      var $7879=$i310; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7880=(($regs)|0); //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7881=HEAP32[(($7880)>>2)]; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7882=(($7881+($7879<<3))|0); //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($7880)>>2)]=$7882; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7883=$op2307; //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7884=((_js_CodeSpec+($7883<<3))|0); //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7885=(($7884+2)|0); //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7886=HEAP8[($7885)]; //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7887=(($7886 << 24) >> 24); //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7888=$op2307; //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7889=((_js_CodeSpec+($7888<<3))|0); //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7890=(($7889+1)|0); //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7891=HEAP8[($7890)]; //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7892=(($7891 << 24) >> 24); //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7893=(($7887)|0) > (($7892)|0); //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7893) { __label__ = 1796; break; } else { __label__ = 1797; break; } //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1796: 
      var $7895=(($regs)|0); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7896=HEAP32[(($7895)>>2)]; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7897=(($7896-8)|0); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7898=$7897; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7899=$rval309; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7898)>>2)]=HEAP32[(($7899)>>2)];HEAP32[(($7898+4)>>2)]=HEAP32[(($7899+4)>>2)]; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7900=$2; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7901=(($regs)|0); //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7902=HEAP32[(($7901)>>2)]; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7903=(($7902-8)|0); //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7904=$56; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7905=$7903; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7904)>>2)]=HEAP32[(($7905)>>2)];HEAP32[(($7904+4)>>2)]=HEAP32[(($7905+4)>>2)]; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7900, $56); //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1797; break; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1797: 
      var $7907=$op2307; //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7908=((_js_CodeSpec+($7907<<3))|0); //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7909=(($7908)|0); //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7910=HEAP8[($7909)]; //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7911=(($7910 << 24) >> 24); //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$7911; //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1798; break; //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1798: 
      __label__ = 42; break; //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1799: 
      __label__ = 1800; break; //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1800: 
      var $7916=(($regs)|0); //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7917=HEAP32[(($7916)>>2)]; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7918=(($7917+8)|0); //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($7916)>>2)]=$7918; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($7917, 0); //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1801: 
      var $7920=(($regs+4)|0); //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7921=HEAP32[(($7920)>>2)]; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7922=(($7921+1)|0); //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7923=HEAPU8[($7922)]; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7924=(($7923)&255); //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i319=$7924; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7925=$i319; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7926=(($7925)|0)==3; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7926) { __label__ = 1802; break; } else { __label__ = 1803; break; } //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1802: 
      var $7928=$2; //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7929=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($7928, 0); //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj320=$7929; //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1804; break; //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1803: 
      var $7931=__ZN2jsL17GuessObjectGCKindEjb1844(0, 0); //@line 5083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $kind=$7931; //@line 5083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7932=$2; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7933=$kind; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7934=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1845($7932, __ZN2js11ObjectClassE, $7933); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj320=$7934; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1804; break;
    case 1804: 
      var $7936=$obj320; //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7937=(($7936)|0)!=0; //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7937) { __label__ = 1806; break; } else { __label__ = 1805; break; } //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1805: 
      __label__ = 2152; break; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1806: 
      var $7940=$2; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7941=$script; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7942=(($regs+4)|0); //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7943=HEAP32[(($7942)>>2)]; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7944=$i319; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7945=__ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey($7940, $7941, $7943, $7944); //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $type321=$7945; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7946=$type321; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7947=(($7946)|0)!=0; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7947) { __label__ = 1808; break; } else { __label__ = 1807; break; } //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1807: 
      __label__ = 2152; break; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1808: 
      var $7950=$obj320; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7951=$type321; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($7950, $7951); //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1809; break; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1809: 
      var $7953=(($regs)|0); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7954=HEAP32[(($7953)>>2)]; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7955=(($7954+8)|0); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($7953)>>2)]=$7955; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7956=$obj320; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($7954, $7956); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7957=$2; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7958=(($regs)|0); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7959=HEAP32[(($7958)>>2)]; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7960=(($7959-8)|0); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7961=$57; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7962=$7960; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7961)>>2)]=HEAP32[(($7962)>>2)];HEAP32[(($7961+4)>>2)]=HEAP32[(($7962+4)>>2)]; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($7957, $57); //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1810; break; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1810: 
      __label__ = 1811; break; //@line 5095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1811: 
      __label__ = 1812; break; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1812: 
      var $7966=$2; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7967=(($7966+200)|0); //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7968=HEAP32[(($7967)>>2)]; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7969=(($7968)|0); //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7970=HEAP32[(($7969)>>2)]; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7971=(($7970)|0)!=0; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7971) { __label__ = 1813; break; } else { __label__ = 1814; break; } //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1813: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1814; break; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1814: 
      __label__ = 1815; break; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1815: 
      __label__ = 1816; break; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1816: 
      $len=3; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1817: 
      var $7977=(($regs+4)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7978=HEAP32[(($7977)>>2)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7979=(($7978+1)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7980=HEAPU8[($7979)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7981=(($7980)&255); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7982=$7981 << 16; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7983=(($regs+4)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7984=HEAP32[(($7983)>>2)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7985=(($7984+2)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7986=HEAPU8[($7985)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7987=(($7986)&255); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7988=$7987 << 8; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7989=$7982 | $7988; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7990=(($regs+4)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7991=HEAP32[(($7990)>>2)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7992=(($7991+3)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7993=HEAPU8[($7992)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7994=(($7993)&255); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7995=$7989 | $7994; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $count=$7995; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7996=$2; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7997=$count; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7998=__ZN2js22NewDenseAllocatedArrayEP9JSContextjP8JSObject($7996, $7997, 0); //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj322=$7998; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7999=$obj322; //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8000=(($7999)|0)!=0; //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8000) { __label__ = 1819; break; } else { __label__ = 1818; break; } //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1818: 
      __label__ = 2152; break; //@line 5105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1819: 
      var $8003=$2; //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8004=$script; //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8005=(($regs+4)|0); //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8006=HEAP32[(($8005)>>2)]; //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8007=__ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey($8003, $8004, $8006, 3); //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $type323=$8007; //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8008=$type323; //@line 5108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8009=(($8008)|0)!=0; //@line 5108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8009) { __label__ = 1821; break; } else { __label__ = 1820; break; } //@line 5108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1820: 
      __label__ = 2152; break; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1821: 
      var $8012=$obj322; //@line 5110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8013=$type323; //@line 5110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($8012, $8013); //@line 5110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1822; break; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1822: 
      var $8015=(($regs)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8016=HEAP32[(($8015)>>2)]; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8017=(($8016+8)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8015)>>2)]=$8017; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8018=$obj322; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($8016, $8018); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8019=$2; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8020=(($regs)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8021=HEAP32[(($8020)>>2)]; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8022=(($8021-8)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8023=$58; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8024=$8022; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8023)>>2)]=HEAP32[(($8024)>>2)];HEAP32[(($8023+4)>>2)]=HEAP32[(($8024+4)>>2)]; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($8019, $58); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1823; break; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1823: 
      __label__ = 1824; break; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1824: 
      __label__ = 1825; break; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1825: 
      var $8028=$2; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8029=(($8028+200)|0); //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8030=HEAP32[(($8029)>>2)]; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8031=(($8030)|0); //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8032=HEAP32[(($8031)>>2)]; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8033=(($8032)|0)!=0; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8033) { __label__ = 1826; break; } else { __label__ = 1827; break; } //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1826: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1827; break; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1827: 
      __label__ = 1828; break; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1828: 
      __label__ = 1829; break; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1829: 
      $len=4; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1830: 
      var $8039=$script; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8040=$atoms; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8041=$script; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8042=(($8041+56)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8043=HEAP32[(($8042)>>2)]; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8044=$8040; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8045=$8043; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8046=(($8044-$8045)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8047=(((($8046)|0)/4)&-1); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8048=(($regs+4)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8049=HEAP32[(($8048)>>2)]; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8050=(($8049)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8051=(($8050+1)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8052=HEAPU8[($8051)]; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8053=(($8052)&255); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8054=$8053 << 8; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8055=(($regs+4)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8056=HEAP32[(($8055)>>2)]; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8057=(($8056)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8058=(($8057+2)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8059=HEAPU8[($8058)]; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8060=(($8059)&255); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8061=$8054 | $8060; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8062=(($8047+$8061)|0); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8063=__ZN8JSScript9getObjectEj($8039, $8062); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $baseobj=$8063; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8064=$2; //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8065=$script; //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8066=(($regs+4)|0); //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8067=HEAP32[(($8066)>>2)]; //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8068=__ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey($8064, $8065, $8067, 1); //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $type324=$8068; //@line 5122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8069=$type324; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8070=(($8069)|0)!=0; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8070) { __label__ = 1832; break; } else { __label__ = 1831; break; } //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1831: 
      __label__ = 2152; break; //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1832: 
      var $8073=$2; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8074=$baseobj; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8075=$type324; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8076=__ZN2jsL21CopyInitializerObjectEP9JSContextP8JSObjectPNS_5types10TypeObjectE($8073, $8074, $8075); //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj325=$8076; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8077=$obj325; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8078=(($8077)|0)!=0; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8078) { __label__ = 1834; break; } else { __label__ = 1833; break; } //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1833: 
      __label__ = 2152; break; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1834: 
      __label__ = 1835; break; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1835: 
      var $8082=(($regs)|0); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8083=HEAP32[(($8082)>>2)]; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8084=(($8083+8)|0); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8082)>>2)]=$8084; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8085=$obj325; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($8083, $8085); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8086=$2; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8087=(($regs)|0); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8088=HEAP32[(($8087)>>2)]; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8089=(($8088-8)|0); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8090=$59; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8091=$8089; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8090)>>2)]=HEAP32[(($8091)>>2)];HEAP32[(($8090+4)>>2)]=HEAP32[(($8091+4)>>2)]; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($8086, $59); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1836; break; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1836: 
      __label__ = 1837; break; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1837: 
      __label__ = 1838; break; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1838: 
      var $8095=$2; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8096=(($8095+200)|0); //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8097=HEAP32[(($8096)>>2)]; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8098=(($8097)|0); //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8099=HEAP32[(($8098)>>2)]; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8100=(($8099)|0)!=0; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8100) { __label__ = 1839; break; } else { __label__ = 1840; break; } //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1839: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1840; break; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1840: 
      __label__ = 1841; break; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1841: 
      __label__ = 1842; break; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1842: 
      $len=3; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1843: 
      $len=1; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1844: 
      __label__ = 1845; break; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1845: 
      var $8108=(($regs)|0); //@line 5148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8109=HEAP32[(($8108)>>2)]; //@line 5148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8110=(($8109-8)|0); //@line 5148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8111=$rval326; //@line 5148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8112=$8110; //@line 5148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8111)>>2)]=HEAP32[(($8112)>>2)];HEAP32[(($8111+4)>>2)]=HEAP32[(($8112+4)>>2)]; //@line 5148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8113=(($regs)|0); //@line 5151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8114=HEAP32[(($8113)>>2)]; //@line 5151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8115=(($8114-16)|0); //@line 5151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8116=__ZNK2JS5Value8toObjectEv($8115); //@line 5151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj327=$8116; //@line 5151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8117=$2; //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8118=(($8117+52)|0); //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8119=HEAP32[(($8118)>>2)]; //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8120=(($8119+144280)|0); //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8121=(($8120+56)|0); //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8122=$rt; //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8123=(($regs+4)|0); //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8124=HEAP32[(($8123)>>2)]; //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8125=$obj327; //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8126=__ZN2js13PropertyCache11testForInitEP9JSRuntimePhP8JSObjectPPKNS_5ShapeEPPNS_18PropertyCacheEntryE($8121, $8122, $8124, $8125, $shape329, $entry328); //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8126) { __label__ = 1846; break; } else { __label__ = 1854; break; } //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1846: 
      var $8128=HEAP32[(($shape329)>>2)]; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8129=__ZNK2js5Shape16hasDefaultSetterEv($8128); //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8129) { __label__ = 1847; break; } else { __label__ = 1854; break; } //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1847: 
      var $8131=HEAP32[(($shape329)>>2)]; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8132=__ZNK2js5Shape8previousEv($8131); //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8133=$obj327; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8134=__ZNK8JSObject12lastPropertyEv($8133); //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8135=(($8132)|0)==(($8134)|0); //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8135) { __label__ = 1848; break; } else { __label__ = 1854; break; } //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1848: 
      var $8137=HEAP32[(($shape329)>>2)]; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8138=(($8137+24)|0); //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8139=HEAP32[(($8138)>>2)]; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($slot330)>>2)]=$8139; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8140=HEAPU32[(($slot330)>>2)]; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8141=$obj327; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8142=__ZNK8JSObject8numSlotsEv($8141); //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8143=(($8140)>>>0) < (($8142)>>>0); //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8143) { __label__ = 1849; break; } else { __label__ = 1850; break; } //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1849: 
      __label__ = 1853; break; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1850: 
      var $8146=$obj327; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8147=$2; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8148=__ZN8JSObject9allocSlotEP9JSContextPj($8146, $8147, $slot330); //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8148) { __label__ = 1852; break; } else { __label__ = 1851; break; } //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1851: 
      __label__ = 2152; break; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1852: 
      __label__ = 1853; break;
    case 1853: 
      var $8152=$obj327; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8153=$2; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8154=HEAP32[(($shape329)>>2)]; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject6extendEP9JSContextPKN2js5ShapeEb($8152, $8153, $8154, 0); //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8155=$obj327; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8156=$2; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8157=HEAP32[(($shape329)>>2)]; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject21nativeSetSlotWithTypeEP9JSContextPKN2js5ShapeERKN2JS5ValueE($8155, $8156, $8157, $rval326); //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1862; break; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1854: 
      __label__ = 1855; break; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1855: 
      var $8160=(($regs+4)|0); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8161=HEAP32[(($8160)>>2)]; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8162=(($8161)|0); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8163=(($8162+1)|0); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8164=HEAPU8[($8163)]; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8165=(($8164)&255); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8166=$8165 << 8; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8167=(($regs+4)|0); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8168=HEAP32[(($8167)>>2)]; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8169=(($8168)|0); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8170=(($8169+2)|0); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8171=HEAPU8[($8170)]; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8172=(($8171)&255); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8173=$8166 | $8172; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8174=$atoms; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8175=(($8174+($8173<<2))|0); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8176=HEAP32[(($8175)>>2)]; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom331=$8176; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1856; break; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1856: 
      __label__ = 1857; break; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1857: 
      var $8179=$atom331; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8180=__ZL12ATOM_TO_JSIDP6JSAtom1798($8179); //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id332=$8180; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8181=$op; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8182=(($8181)|0)==227; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8183=$8182 ? 5 : 1; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $defineHow333=$8183; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8184=$atom331; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8185=$2; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8186=(($8185+52)|0); //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8187=HEAP32[(($8186)>>2)]; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8188=(($8187+209948)|0); //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8189=(($8188+344)|0); //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8190=HEAP32[(($8189)>>2)]; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8191=$8190; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8192=(($8184)|0)==(($8191)|0); //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8192) { __label__ = 1858; break; } else { __label__ = 1859; break; } //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1858: 
      var $8194=$2; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8195=$obj327; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8196=$id332; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8197=$defineHow333; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8198=$script; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8199=$8198; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8200=(($8199+36)|0); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8201=HEAPU8[($8200)]; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8202=(($8201)&255) >>> 3; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8203=$8202 & 1; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8204=(($8203) & 1); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8205=(($8204)&1); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8206=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($8194, $8195, $8196, $8197, $rval326, $8205); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8207=(($8206)|0)!=0; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8207) { __label__ = 1861; break; } else { __label__ = 1860; break; } //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1859: 
      var $8209=$2; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8210=$obj327; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8211=$id332; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8212=$defineHow333; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8213=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($8209, $8210, $8211, $rval326, 0, 0, 1, 0, 0, $8212); //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8214=(($8213)|0)!=0; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8214) { __label__ = 1861; break; } else { __label__ = 1860; break; } //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1860: 
      __label__ = 2152; break; //@line 5207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1861: 
      __label__ = 1862; break;
    case 1862: 
      var $8218=(($regs)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8219=HEAP32[(($8218)>>2)]; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8220=(($8219-8)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8218)>>2)]=$8220; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1863: 
      var $8222=(($regs)|0); //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8223=HEAP32[(($8222)>>2)]; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8224=(($8223-8)|0); //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref334=$8224; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8225=(($regs)|0); //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8226=HEAP32[(($8225)>>2)]; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8227=(($8226-24)|0); //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref335=$8227; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8228=$lref335; //@line 5225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8229=__ZNK2JS5Value8toObjectEv($8228); //@line 5225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj336=$8229; //@line 5225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1864; break; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1864: 
      var $8231=(($regs)|0); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8232=HEAP32[(($8231)>>2)]; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8233=(($8232-16)|0); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_338=$8233; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8234=$idval_338; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8235=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($8234, $i_339); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8235) { __label__ = 1865; break; } else { __label__ = 1867; break; } //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1865: 
      var $8237=HEAP32[(($i_339)>>2)]; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8238=_INT_FITS_IN_JSID1825($8237); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8239=(($8238)|0)!=0; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8239) { __label__ = 1866; break; } else { __label__ = 1867; break; } //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1866: 
      var $8241=HEAP32[(($i_339)>>2)]; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8242=_INT_TO_JSID1826($8241); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id337)>>2)]=$8242; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1870; break; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1867: 
      var $8244=$2; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8245=$obj336; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8246=$idval_338; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8247=(($regs)|0); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8248=HEAP32[(($8247)>>2)]; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8249=(($8248-16)|0); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8250=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($8244, $8245, $8246, $id337, $8249); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8250) { __label__ = 1869; break; } else { __label__ = 1868; break; } //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1868: 
      __label__ = 2152; break; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1869: 
      __label__ = 1870; break;
    case 1870: 
      __label__ = 1871; break; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1871: 
      __label__ = 1872; break; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1872: 
      var $8256=$rref334; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8257=__ZNK2JS5Value7isMagicE10JSWhyMagic($8256, 0); //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8257) { __label__ = 1873; break; } else { __label__ = 1877; break; } //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1873: 
      var $8259=$2; //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8260=$script; //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8261=(($regs+4)|0); //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8262=HEAP32[(($8261)>>2)]; //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8263=(($8262+1)|0); //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8264=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1793($8259, $8260, $8263); //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8265=(($8264)|0)==92; //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8265) { __label__ = 1874; break; } else { __label__ = 1876; break; } //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1874: 
      var $8267=$2; //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8268=$obj336; //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8269=HEAP32[(($id337)>>2)]; //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8270=_JSID_TO_INT1836($8269); //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8271=(($8270+1)|0); //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8272=(($8271)>>>0); //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8273=__Z20js_SetLengthPropertyP9JSContextP8JSObjectd($8267, $8268, $8272); //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8274=(($8273)|0)!=0; //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8274) { __label__ = 1876; break; } else { __label__ = 1875; break; } //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1875: 
      __label__ = 2152; break; //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1876: 
      __label__ = 1880; break; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1877: 
      var $8278=$obj336; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8279=$2; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8280=HEAP32[(($id337)>>2)]; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8281=$rref334; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8282=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($8278, $8279, $8280, $8281, 0, 0, 1); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8283=(($8282)|0)!=0; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8283) { __label__ = 1879; break; } else { __label__ = 1878; break; } //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1878: 
      __label__ = 2152; break; //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1879: 
      __label__ = 1880; break;
    case 1880: 
      var $8287=(($regs)|0); //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8288=HEAP32[(($8287)>>2)]; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8289=(($8288-16)|0); //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8287)>>2)]=$8289; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1881: 
      var $8291=(($regs+4)|0); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8292=HEAP32[(($8291)>>2)]; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8293=(($8292+1)|0); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8294=HEAPU8[($8293)]; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8295=(($8294)&255); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8296=$8295 << 8; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8297=(($regs+4)|0); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8298=HEAP32[(($8297)>>2)]; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8299=(($8298+2)|0); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8300=HEAPU8[($8299)]; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8301=(($8300)&255); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8302=$8296 | $8301; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot340=$8302; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8303=$slot340; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8304=__ZNK2js9FrameRegs2fpEv($regs); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8305=__ZNK2js10StackFrame5slotsEv($8304); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8306=(($8305+($8303<<3))|0); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref341=$8306; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8307=$lref341; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8308=__ZNK2JS5Value8isObjectEv($8307); //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8308) { __label__ = 1882; break; } else { __label__ = 1883; break; } //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1882: 
      var $8310=$lref341; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8311=__ZNK2JS5Value8toObjectEv($8310); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj342=$8311; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1886; break; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1883: 
      var $8313=$2; //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8314=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($8313, 0); //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj342=$8314; //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8315=$obj342; //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8316=(($8315)|0)!=0; //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8316) { __label__ = 1885; break; } else { __label__ = 1884; break; } //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1884: 
      __label__ = 2152; break; //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1885: 
      var $8319=$slot340; //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8320=__ZNK2js9FrameRegs2fpEv($regs); //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8321=__ZNK2js10StackFrame5slotsEv($8320); //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8322=(($8321+($8319<<3))|0); //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8323=$obj342; //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($8322, $8323); //@line 5267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1886; break;
    case 1886: 
      var $8325=(($regs+4)|0); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8326=HEAP32[(($8325)>>2)]; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8327=(($8326+2)|0); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8328=(($8327+1)|0); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8329=HEAPU8[($8328)]; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8330=(($8329)&255); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8331=$8330 << 8; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8332=(($regs+4)|0); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8333=HEAP32[(($8332)>>2)]; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8334=(($8333+2)|0); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8335=(($8334+2)|0); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8336=HEAPU8[($8335)]; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8337=(($8336)&255); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8338=$8331 | $8337; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i343=$8338; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8339=$i343; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8340=_INT_TO_JSID1826($8339); //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id344=$8340; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8341=(($regs)|0); //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8342=HEAP32[(($8341)>>2)]; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8343=(($8342-8)|0); //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref345=$8343; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8344=$rref345; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8345=__ZNK2JS5Value11isPrimitiveEv($8344); //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8345) { __label__ = 1887; break; } else { __label__ = 1888; break; } //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1887: 
      var $8347=(($numBuf)|0); //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8348=$i343; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8349=_JS_snprintf($8347, 12, ((STRING_TABLE.__str11778)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$8348,tempInt)); //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8350=$2; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8351=(($numBuf)|0); //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($8350, 2, 0, 29, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$8351,tempInt)); //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1888: 
      var $8353=$obj342; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8354=$2; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8355=$id344; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8356=$rref345; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8357=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($8353, $8354, $8355, $8356, 0, 0, 1); //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8358=(($8357)|0)!=0; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8358) { __label__ = 1890; break; } else { __label__ = 1889; break; } //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1889: 
      __label__ = 2152; break; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1890: 
      $len=5; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1891: 
      var $8362=(($regs+4)|0); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8363=HEAP32[(($8362)>>2)]; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8364=(($8363+1)|0); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8365=HEAPU8[($8364)]; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8366=(($8365)&255); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8367=$8366 << 8; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8368=(($regs+4)|0); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8369=HEAP32[(($8368)>>2)]; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8370=(($8369+2)|0); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8371=HEAPU8[($8370)]; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8372=(($8371)&255); //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8373=$8367 | $8372; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot346=$8373; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8374=$slot346; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8375=__ZNK2js9FrameRegs2fpEv($regs); //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8376=__ZNK2js10StackFrame5slotsEv($8375); //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8377=(($8376+($8374<<3))|0); //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref347=$8377; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8378=(($regs+4)|0); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8379=HEAP32[(($8378)>>2)]; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8380=(($8379+2)|0); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8381=(($8380+1)|0); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8382=HEAPU8[($8381)]; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8383=(($8382)&255); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8384=$8383 << 8; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8385=(($regs+4)|0); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8386=HEAP32[(($8385)>>2)]; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8387=(($8386+2)|0); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8388=(($8387+2)|0); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8389=HEAPU8[($8388)]; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8390=(($8389)&255); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8391=$8384 | $8390; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i348=$8391; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8392=$lref347; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8393=__ZNK2JS5Value11isUndefinedEv($8392); //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8393) { __label__ = 1892; break; } else { __label__ = 1893; break; } //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1892: 
      __ZN2JS5Value12setUndefinedEv($rval349); //@line 5292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1896; break; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1893: 
      var $8396=$slot346; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8397=__ZNK2js9FrameRegs2fpEv($regs); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8398=__ZNK2js10StackFrame5slotsEv($8397); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8399=(($8398+($8396<<3))|0); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8400=__ZNK2JS5Value8toObjectEv($8399); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj350=$8400; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8401=$i348; //@line 5295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8402=_INT_TO_JSID1826($8401); //@line 5295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id351=$8402; //@line 5295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8403=$obj350; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8404=$2; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8405=$id351; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8406=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($8403, $8404, $8405, $rval349); //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8407=(($8406)|0)!=0; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8407) { __label__ = 1895; break; } else { __label__ = 1894; break; } //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1894: 
      __label__ = 2152; break; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1895: 
      __label__ = 1896; break;
    case 1896: 
      var $8411=__ZNK2JS5Value14isObjectOrNullEv($rval349); //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8411) { __label__ = 1898; break; } else { __label__ = 1897; break; } //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1897: 
      var $8413=(($numBuf352)|0); //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8414=$i348; //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8415=_JS_snprintf($8413, 12, ((STRING_TABLE.__str11778)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$8414,tempInt)); //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8416=$2; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8417=(($numBuf352)|0); //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($8416, 2, 0, 30, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$8417,tempInt)); //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1898: 
      __label__ = 1899; break; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1899: 
      var $8420=(($regs)|0); //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8421=HEAP32[(($8420)>>2)]; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8422=(($8421+8)|0); //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8420)>>2)]=$8422; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8423=$8421; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8424=$rval349; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8423)>>2)]=HEAP32[(($8424)>>2)];HEAP32[(($8423+4)>>2)]=HEAP32[(($8424+4)>>2)]; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8425=$2; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8426=(($regs)|0); //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8427=HEAP32[(($8426)>>2)]; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8428=(($8427-8)|0); //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8429=$60; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8430=$8428; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8429)>>2)]=HEAP32[(($8430)>>2)];HEAP32[(($8429+4)>>2)]=HEAP32[(($8430+4)>>2)]; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($8425, $60); //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1900; break; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1900: 
      __label__ = 1901; break; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1901: 
      $len=5; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1902: 
      var $8434=(($regs+4)|0); //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8435=HEAP32[(($8434)>>2)]; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8436=(($8435+1)|0); //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8437=HEAPU8[($8436)]; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8438=(($8437)&255); //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8439=$8438 << 8; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8440=(($regs+4)|0); //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8441=HEAP32[(($8440)>>2)]; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8442=(($8441+2)|0); //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8443=HEAPU8[($8442)]; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8444=(($8443)&255); //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8445=$8439 | $8444; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot353=$8445; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8446=$slot353; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8447=__ZNK2js9FrameRegs2fpEv($regs); //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8448=__ZNK2js10StackFrame5slotsEv($8447); //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8449=(($8448+($8446<<3))|0); //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp354=$8449; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8450=$vp354; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8451=(($8450+8)|0); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8452=$rval355; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8453=$8451; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8452)>>2)]=HEAP32[(($8453)>>2)];HEAP32[(($8452+4)>>2)]=HEAP32[(($8453+4)>>2)]; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8454=(($regs+4)|0); //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8455=HEAP32[(($8454)>>2)]; //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8456=(($8455+3)|0); //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8457=HEAPU8[($8456)]; //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8458=(($8457)&255); //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8459=(($8458)|0)!=92; //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8459) { __label__ = 1903; break; } else { __label__ = 1907; break; } //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1903: 
      var $8461=__ZNK2JS5Value11isUndefinedEv($rval355); //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8461) { __label__ = 1904; break; } else { __label__ = 1905; break; } //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1904: 
      var $8467 = 1;__label__ = 1906; break; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1905: 
      var $8464=__ZNK2JS5Value7toInt32Ev($rval355); //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8465=(($8464+1)|0); //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8467 = $8465;__label__ = 1906; break; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1906: 
      var $8467; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($rval355, $8467); //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1910; break; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1907: 
      var $8469=__ZN2JS5Value11getInt32RefEv($rval355); //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8470=HEAP32[(($8469)>>2)]; //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8471=(($8470-1)|0); //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8469)>>2)]=$8471; //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8472=__ZNK2JS5Value7toInt32Ev($rval355); //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8473=(($8472)|0)==0; //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8473) { __label__ = 1908; break; } else { __label__ = 1909; break; } //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1908: 
      var $8475=$vp354; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8476=(($8475)|0); //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($8476); //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1909; break; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1909: 
      __label__ = 1910; break;
    case 1910: 
      var $8479=$vp354; //@line 5332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8480=(($8479+8)|0); //@line 5332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8481=$8480; //@line 5332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8482=$rval355; //@line 5332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8481)>>2)]=HEAP32[(($8482)>>2)];HEAP32[(($8481+4)>>2)]=HEAP32[(($8482+4)>>2)]; //@line 5332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 5334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1911: 
      var $8484=(($regs)|0); //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8485=HEAP32[(($8484)>>2)]; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8486=(($8485+8)|0); //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8484)>>2)]=$8486; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($8485, 0); //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8487=(($regs+4)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8488=HEAP32[(($8487)>>2)]; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8489=$script; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8490=(($8489)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8491=HEAP32[(($8490)>>2)]; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8492=$8488; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8493=$8491; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8494=(($8492-$8493)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8495=(($8494+3)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i356=$8495; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8496=(($regs)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8497=HEAP32[(($8496)>>2)]; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8498=(($8497+8)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8496)>>2)]=$8498; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8499=$i356; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($8497, $8499); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8500=(($regs+4)|0); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8501=HEAP32[(($8500)>>2)]; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8502=(($8501+1)|0); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8503=HEAPU8[($8502)]; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8504=(($8503)&255); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8505=$8504 << 8; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8506=(($regs+4)|0); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8507=HEAP32[(($8506)>>2)]; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8508=(($8507+2)|0); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8509=HEAPU8[($8508)]; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8510=(($8509)&255); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8511=$8505 | $8510; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8512=(($8511) & 65535); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8513=(($8512 << 16) >> 16); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$8513; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1912: 
      var $8515=(($regs)|0); //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8516=HEAP32[(($8515)>>2)]; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8517=(($8516+8)|0); //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8515)>>2)]=$8517; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($8516, 0); //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8518=(($regs+4)|0); //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8519=HEAP32[(($8518)>>2)]; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8520=$script; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8521=(($8520)|0); //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8522=HEAP32[(($8521)>>2)]; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8523=$8519; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8524=$8522; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8525=(($8523-$8524)|0); //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8526=(($8525+5)|0); //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i357=$8526; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8527=(($regs+4)|0); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8528=HEAP32[(($8527)>>2)]; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8529=(($8528+1)|0); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8530=HEAPU8[($8529)]; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8531=(($8530)&255); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8532=$8531 << 24; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8533=(($regs+4)|0); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8534=HEAP32[(($8533)>>2)]; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8535=(($8534+2)|0); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8536=HEAPU8[($8535)]; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8537=(($8536)&255); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8538=$8537 << 16; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8539=$8532 | $8538; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8540=(($regs+4)|0); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8541=HEAP32[(($8540)>>2)]; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8542=(($8541+3)|0); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8543=HEAPU8[($8542)]; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8544=(($8543)&255); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8545=$8544 << 8; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8546=$8539 | $8545; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8547=(($regs+4)|0); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8548=HEAP32[(($8547)>>2)]; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8549=(($8548+4)|0); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8550=HEAPU8[($8549)]; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8551=(($8550)&255); //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8552=$8546 | $8551; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$8552; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8553=(($regs)|0); //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8554=HEAPU32[(($8553)>>2)]; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8555=(($8554+8)|0); //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8553)>>2)]=$8555; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8556=$i357; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setInt32Ei($8554, $8556); //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1913: 
      var $8558=(($regs)|0); //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8559=HEAP32[(($8558)>>2)]; //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8560=(($8559-8)|0); //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8558)>>2)]=$8560; //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8561=$rval358; //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8562=$8560; //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8561)>>2)]=HEAP32[(($8562)>>2)];HEAP32[(($8561+4)>>2)]=HEAP32[(($8562+4)>>2)]; //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8563=(($regs)|0); //@line 5361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8564=HEAP32[(($8563)>>2)]; //@line 5361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8565=(($8564-8)|0); //@line 5361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8563)>>2)]=$8565; //@line 5361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8566=$lval359; //@line 5361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8567=$8565; //@line 5361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8566)>>2)]=HEAP32[(($8567)>>2)];HEAP32[(($8566+4)>>2)]=HEAP32[(($8567+4)>>2)]; //@line 5361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8568=__ZNK2JS5Value9toBooleanEv($lval359); //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8568) { __label__ = 1914; break; } else { __label__ = 1915; break; } //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1914: 
      var $8570=$2; //@line 5370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8571=$61; //@line 5370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8572=$rval358; //@line 5370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8571)>>2)]=HEAP32[(($8572)>>2)];HEAP32[(($8571+4)>>2)]=HEAP32[(($8572+4)>>2)]; //@line 5370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($8570, $61); //@line 5370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1915: 
      var $8574=__ZNK2JS5Value7toInt32Ev($rval358); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$8574; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8575=$script; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8576=(($8575)|0); //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8577=HEAP32[(($8576)>>2)]; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8578=(($regs+4)|0); //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8578)>>2)]=$8577; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1916: 
      __label__ = 1917; break; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1917: 
      var $8581=(($regs)|0); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8582=HEAP32[(($8581)>>2)]; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8583=(($8582+8)|0); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8581)>>2)]=$8583; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8584=$2; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19getPendingExceptionEv($62, $8584); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8585=$8582; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8586=$62; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8585)>>2)]=HEAP32[(($8586)>>2)];HEAP32[(($8585+4)>>2)]=HEAP32[(($8586+4)>>2)]; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8587=$2; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8588=(($regs)|0); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8589=HEAP32[(($8588)>>2)]; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8590=(($8589-8)|0); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8591=$63; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8592=$8590; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8591)>>2)]=HEAP32[(($8592)>>2)];HEAP32[(($8591+4)>>2)]=HEAP32[(($8592+4)>>2)]; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($8587, $63); //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1918; break; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1918: 
      __label__ = 1919; break; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1919: 
      var $8595=$2; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext21clearPendingExceptionEv($8595); //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1920; break; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1920: 
      var $8597=$2; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8598=(($8597+52)|0); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8599=HEAP32[(($8598)>>2)]; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8600=(($8599+144280)|0); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8601=(($8600)|0); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8602=HEAP32[(($8601)>>2)]; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8603=(($8602)|0)!=0; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8603) { __label__ = 1921; break; } else { __label__ = 1923; break; } //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1921: 
      var $8605=$2; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8606=__Z27js_HandleExecutionInterruptP9JSContext($8605); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8607=(($8606)|0)!=0; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8607) { __label__ = 1923; break; } else { __label__ = 1922; break; } //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1922: 
      __label__ = 2152; break; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1923: 
      __label__ = 1924; break; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1924: 
      __label__ = 1925; break; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1925: 
      $len=1; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1926: 
      __label__ = 1927; break; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1927: 
      var $8614=$2; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8615=(($8614+52)|0); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8616=HEAP32[(($8615)>>2)]; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8617=(($8616+144280)|0); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8618=(($8617)|0); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8619=HEAP32[(($8618)>>2)]; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8620=(($8619)|0)!=0; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8620) { __label__ = 1928; break; } else { __label__ = 1930; break; } //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1928: 
      var $8622=$2; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8623=__Z27js_HandleExecutionInterruptP9JSContext($8622); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8624=(($8623)|0)!=0; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8624) { __label__ = 1930; break; } else { __label__ = 1929; break; } //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1929: 
      __label__ = 2152; break; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1930: 
      __label__ = 1931; break; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1931: 
      __label__ = 1932; break; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1932: 
      $len=1; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1933: 
      var $8630=(($regs)|0); //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8631=HEAP32[(($8630)>>2)]; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8632=(($8631-8)|0); //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8630)>>2)]=$8632; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8633=$v360; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8634=$8632; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8633)>>2)]=HEAP32[(($8634)>>2)];HEAP32[(($8633+4)>>2)]=HEAP32[(($8634+4)>>2)]; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8635=$2; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8636=$64; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8637=$v360; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8636)>>2)]=HEAP32[(($8637)>>2)];HEAP32[(($8636+4)>>2)]=HEAP32[(($8637+4)>>2)]; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($8635, $64); //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1934: 
      __label__ = 1935; break; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1935: 
      var $8640=$2; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8641=(($8640+52)|0); //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8642=HEAP32[(($8641)>>2)]; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8643=(($8642+144280)|0); //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8644=(($8643)|0); //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8645=HEAP32[(($8644)>>2)]; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8646=(($8645)|0)!=0; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8646) { __label__ = 1936; break; } else { __label__ = 1938; break; } //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1936: 
      var $8648=$2; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8649=__Z27js_HandleExecutionInterruptP9JSContext($8648); //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8650=(($8649)|0)!=0; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8650) { __label__ = 1938; break; } else { __label__ = 1937; break; } //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1937: 
      __label__ = 2152; break; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1938: 
      __label__ = 1939; break; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1939: 
      __label__ = 1940; break; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1940: 
      var $8655=(($regs)|0); //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8656=HEAP32[(($8655)>>2)]; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8657=(($8656-8)|0); //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8655)>>2)]=$8657; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8658=$v361; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8659=$8657; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8658)>>2)]=HEAP32[(($8659)>>2)];HEAP32[(($8658+4)>>2)]=HEAP32[(($8659+4)>>2)]; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8660=$2; //@line 5410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8661=$65; //@line 5410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8662=$v361; //@line 5410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8661)>>2)]=HEAP32[(($8662)>>2)];HEAP32[(($8661+4)>>2)]=HEAP32[(($8662+4)>>2)]; //@line 5410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($8660, $65); //@line 5410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1941: 
      var $8664=(($regs+4)|0); //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8665=HEAP32[(($8664)>>2)]; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8666=(($8665+1)|0); //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8667=HEAPU8[($8666)]; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8668=(($8667)&255); //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8669=$8668 << 8; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8670=(($regs+4)|0); //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8671=HEAP32[(($8670)>>2)]; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8672=(($8671+2)|0); //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8673=HEAPU8[($8672)]; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8674=(($8673)&255); //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8675=$8669 | $8674; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot362=$8675; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8676=$slot362; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8677=__ZNK2js9FrameRegs2fpEv($regs); //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8678=__ZNK2js10StackFrame5slotsEv($8677); //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8679=(($8678+($8676<<3))|0); //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8680=(($regs)|0); //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8681=HEAP32[(($8680)>>2)]; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8682=(($8681-8)|0); //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8680)>>2)]=$8682; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8683=$8679; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8684=$8682; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8683)>>2)]=HEAP32[(($8684)>>2)];HEAP32[(($8683+4)>>2)]=HEAP32[(($8684+4)>>2)]; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1942: 
      var $8686=(($regs)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8687=HEAP32[(($8686)>>2)]; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8688=(($8687-8)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8689=__ZL13js_IsCallableRKN2JS5ValueE1841($8688); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8689) { __label__ = 1948; break; } else { __label__ = 1943; break; } //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1943: 
      var $8691=(($regs+4)|0); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8692=HEAP32[(($8691)>>2)]; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8693=(($8692+1)|0); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8694=HEAPU8[($8693)]; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8695=(($8694)&255); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8696=$8695 << 8; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8697=(($regs+4)|0); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8698=HEAP32[(($8697)>>2)]; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8699=(($8698+2)|0); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8700=HEAPU8[($8699)]; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8701=(($8700)&255); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8702=$8696 | $8701; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8703=(($8702) & 65535); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8704=(($8703 << 16) >> 16); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$8704; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1944; break; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1944: 
      var $8706=$len; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8707=(($regs+4)|0); //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8708=HEAP32[(($8707)>>2)]; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8709=(($8708+$8706)|0); //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8707)>>2)]=$8709; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8710=(($regs+4)|0); //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8711=HEAP32[(($8710)>>2)]; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8712=HEAPU8[($8711)]; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8713=(($8712)&255); //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$8713; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8714=$len; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8715=(($8714)|0) <= 0; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8715) { __label__ = 1945; break; } else { __label__ = 1946; break; } //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1945: 
      __label__ = 71; break; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1946: 
      __label__ = 43; break; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1947: 
      __label__ = 1948; break; //@line 5436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1948: 
      $len=3; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1949: 
      var $8722=(($regs)|0); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8723=HEAP32[(($8722)>>2)]; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8724=(($8723-8)|0); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8725=__ZNK2JS5Value8isObjectEv($8724); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8725) { __label__ = 1950; break; } else { __label__ = 1954; break; } //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1950: 
      var $8727=(($regs+4)|0); //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8728=HEAP32[(($8727)>>2)]; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8729=(($8728+1)|0); //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8730=HEAP8[($8729)]; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8731=(($8730 << 24) >> 24); //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $i363=$8731; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8732=$2; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8733=(($regs)|0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8734=HEAP32[(($8733)>>2)]; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8735=(($8734-16)|0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8736=$i363; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8737=(($8736)|0)==0; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8737) { __label__ = 1951; break; } else { __label__ = 1952; break; } //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1951: 
      var $8745 = ((STRING_TABLE.__str21779)|0);__label__ = 1953; break; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1952: 
      var $8740=$i363; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8741=(($8740+3)|0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8742=((_js_common_atom_names+($8741<<2))|0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8743=((((HEAPU8[($8742)])|(HEAPU8[($8742+1)]<<8)|(HEAPU8[($8742+2)]<<16)|(HEAPU8[($8742+3)]<<24))|0)); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8745 = $8743;__label__ = 1953; break; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1953: 
      var $8745; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8746=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($8732, 0, 38, -2, $8735, 0, $8745, 0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1954: 
      $len=2; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1955: 
      var $8749=(($regs)|0); //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8750=HEAP32[(($8749)>>2)]; //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8751=(($8750-8)|0); //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8752=__ZNK2JS5Value11isPrimitiveEv($8751); //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8752) { __label__ = 1956; break; } else { __label__ = 1957; break; } //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1956: 
      var $8754=$2; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8755=(($regs+4)|0); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8756=HEAP32[(($8755)>>2)]; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8757=(($8756+1)|0); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8758=HEAPU8[($8757)]; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8759=(($8758)&255); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8760=$8759 << 8; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8761=(($regs+4)|0); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8762=HEAP32[(($8761)>>2)]; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8763=(($8762+2)|0); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8764=HEAPU8[($8763)]; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8765=(($8764)&255); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8766=$8760 | $8765; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8767=(($regs)|0); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8768=HEAP32[(($8767)>>2)]; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8769=(($8768-8)|0); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8770=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($8754, 0, $8766, -1, $8769, 0, 0, 0); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1957: 
      $len=3; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1958: 
      var $8773=(($regs)|0); //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8774=HEAP32[(($8773)>>2)]; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8775=(($8774-8)|0); //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rref364=$8775; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8776=$rref364; //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8777=__ZNK2JS5Value11isPrimitiveEv($8776); //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8777) { __label__ = 1959; break; } else { __label__ = 1960; break; } //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1959: 
      var $8779=$2; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8780=$rref364; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8781=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($8779, 0, 31, -1, $8780, 0, 0, 0); //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1960: 
      var $8783=$rref364; //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8784=__ZNK2JS5Value8toObjectEv($8783); //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj365=$8784; //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8785=(($regs)|0); //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8786=HEAP32[(($8785)>>2)]; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8787=(($8786-16)|0); //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $lref366=$8787; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($cond367)>>2)]=0; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8788=$2; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8789=$obj365; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8790=$lref366; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8791=__ZN2js11HasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPi($8788, $8789, $8790, $cond367); //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8792=(($8791)|0)!=0; //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8792) { __label__ = 1962; break; } else { __label__ = 1961; break; } //@line 5466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1961: 
      __label__ = 2152; break; //@line 5467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1962: 
      var $8795=(($regs)|0); //@line 5468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8796=HEAP32[(($8795)>>2)]; //@line 5468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8797=(($8796-8)|0); //@line 5468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8795)>>2)]=$8797; //@line 5468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8798=(($regs)|0); //@line 5469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8799=HEAP32[(($8798)>>2)]; //@line 5469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8800=(($8799-8)|0); //@line 5469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8801=HEAP32[(($cond367)>>2)]; //@line 5469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8802=(($8801)|0)!=0; //@line 5469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($8800, $8802); //@line 5469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1963: 
      $st=1; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8804=$2; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8805=(($8804+200)|0); //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8806=HEAP32[(($8805)>>2)]; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8807=(($8806+24)|0); //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8808=HEAP32[(($8807)>>2)]; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $handler=$8808; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8809=$handler; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8810=(($8809)|0)!=0; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8810) { __label__ = 1964; break; } else { __label__ = 1965; break; } //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1964: 
      var $8812=$handler; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8813=$2; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8814=$script; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8815=(($regs+4)|0); //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8816=HEAP32[(($8815)>>2)]; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8817=$2; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8818=(($8817+200)|0); //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8819=HEAP32[(($8818)>>2)]; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8820=(($8819+28)|0); //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8821=HEAP32[(($8820)>>2)]; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8822=FUNCTION_TABLE[$8812]($8813, $8814, $8816, $rval368, $8821); //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $st=$8822; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1965; break; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1965: 
      var $8824=$st; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8825=(($8824)|0)==1; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8825) { __label__ = 1966; break; } else { __label__ = 1967; break; } //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1966: 
      var $8827=$2; //@line 5480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8828=__ZN2js8Debugger19onDebuggerStatementEP9JSContextPN2JS5ValueE($8827, $rval368); //@line 5480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $st=$8828; //@line 5480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1967; break; //@line 5480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1967: 
      var $8830=$st; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ((($8830)|0) == 0) {
        __label__ = 1968; break;
      }
      else if ((($8830)|0) == 2) {
        __label__ = 1969; break;
      }
      else if ((($8830)|0) == 3) {
        __label__ = 1970; break;
      }
      else if ((($8830)|0) == 1) {
        __label__ = 1972; break;
      }
      else {
      __label__ = 1971; break;
      }
      
    case 1968: 
      __label__ = 2152; break; //@line 5483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1969: 
      var $8833=__ZNK2js9FrameRegs2fpEv($regs); //@line 5487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($8833, $rval368); //@line 5487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=1; //@line 5488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2204; break; //@line 5489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1970: 
      var $8835=$2; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8836=$66; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8837=$rval368; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8836)>>2)]=HEAP32[(($8837)>>2)];HEAP32[(($8836+4)>>2)]=HEAP32[(($8837+4)>>2)]; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($8835, $66); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1971: 
      __label__ = 1972; break; //@line 5494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1972: 
      __label__ = 1973; break; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1973: 
      var $8841=$2; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8842=(($8841+200)|0); //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8843=HEAP32[(($8842)>>2)]; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8844=(($8843)|0); //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8845=HEAP32[(($8844)>>2)]; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8846=(($8845)|0)!=0; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8846) { __label__ = 1974; break; } else { __label__ = 1975; break; } //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1974: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1975; break; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1975: 
      __label__ = 1976; break; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1976: 
      __label__ = 1977; break; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1977: 
      $len=1; //@line 5497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1978: 
      var $8852=$2; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8853=(($regs)|0); //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8854=HEAP32[(($8853)>>2)]; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8855=(($8854-8)|0); //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8856=__Z25js_SetDefaultXMLNamespaceP9JSContextRKN2JS5ValueE($8852, $8855); //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8857=(($8856)|0)!=0; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8857) { __label__ = 1980; break; } else { __label__ = 1979; break; } //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1979: 
      __label__ = 2152; break; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1980: 
      var $8860=(($regs)|0); //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8861=HEAP32[(($8860)>>2)]; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8862=(($8861-8)|0); //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8860)>>2)]=$8862; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1981: 
      var $8864=$2; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8865=__Z13js_GetAnyNameP9JSContextPi($8864, $id369); //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8866=(($8865)|0)!=0; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8866) { __label__ = 1983; break; } else { __label__ = 1982; break; } //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1982: 
      __label__ = 2152; break; //@line 5512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1983: 
      __label__ = 1984; break; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1984: 
      var $8870=(($regs)|0); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8871=HEAP32[(($8870)>>2)]; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8872=(($8871+8)|0); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8870)>>2)]=$8872; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8873=HEAP32[(($id369)>>2)]; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2jsL9IdToValueEi1799($67, $8873); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8874=$8871; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8875=$67; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8874)>>2)]=HEAP32[(($8875)>>2)];HEAP32[(($8874+4)>>2)]=HEAP32[(($8875+4)>>2)]; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8876=$2; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8877=(($regs)|0); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8878=HEAP32[(($8877)>>2)]; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8879=(($8878-8)|0); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8880=$68; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8881=$8879; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8880)>>2)]=HEAP32[(($8881)>>2)];HEAP32[(($8880+4)>>2)]=HEAP32[(($8881+4)>>2)]; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($8876, $68); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1985; break; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1985: 
      __label__ = 1986; break; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1986: 
      $len=1; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1987: 
      __label__ = 1988; break; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1988: 
      var $8886=(($regs+4)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8887=HEAP32[(($8886)>>2)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8888=(($8887)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8889=(($8888+1)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8890=HEAPU8[($8889)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8891=(($8890)&255); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8892=$8891 << 8; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8893=(($regs+4)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8894=HEAP32[(($8893)>>2)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8895=(($8894)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8896=(($8895+2)|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8897=HEAPU8[($8896)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8898=(($8897)&255); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8899=$8892 | $8898; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8900=$atoms; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8901=(($8900+($8899<<2))|0); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8902=HEAP32[(($8901)>>2)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom370=$8902; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1989; break; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1989: 
      __label__ = 1990; break; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1990: 
      __label__ = 1991; break; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1991: 
      var $8906=(($regs)|0); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8907=HEAP32[(($8906)>>2)]; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8908=(($8907+8)|0); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8906)>>2)]=$8908; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8909=$atom370; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8910=$8909; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($8907, $8910); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8911=$2; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8912=(($regs)|0); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8913=HEAP32[(($8912)>>2)]; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8914=(($8913-8)|0); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8915=$69; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8916=$8914; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8915)>>2)]=HEAP32[(($8916)>>2)];HEAP32[(($8915+4)>>2)]=HEAP32[(($8916+4)>>2)]; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($8911, $69); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1992; break; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1992: 
      __label__ = 1993; break; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1993: 
      $len=3; //@line 5523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1994: 
      __label__ = 1995; break; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1995: 
      var $8921=(($regs+4)|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8922=HEAP32[(($8921)>>2)]; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8923=(($8922)|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8924=(($8923+1)|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8925=HEAPU8[($8924)]; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8926=(($8925)&255); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8927=$8926 << 8; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8928=(($regs+4)|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8929=HEAP32[(($8928)>>2)]; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8930=(($8929)|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8931=(($8930+2)|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8932=HEAPU8[($8931)]; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8933=(($8932)&255); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8934=$8927 | $8933; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8935=$atoms; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8936=(($8935+($8934<<2))|0); //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8937=HEAP32[(($8936)>>2)]; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom371=$8937; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 1996; break; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1996: 
      __label__ = 1997; break; //@line 5528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1997: 
      var $8940=$atom371; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8941=$8940; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL11StringValueEP8JSString1846($rval372, $8941); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8942=(($regs)|0); //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8943=HEAP32[(($8942)>>2)]; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8944=(($8943-8)|0); //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8945=$lval373; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8946=$8944; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8945)>>2)]=HEAP32[(($8946)>>2)];HEAP32[(($8945+4)>>2)]=HEAP32[(($8946+4)>>2)]; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8947=$2; //@line 5531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8948=__Z26js_ConstructXMLQNameObjectP9JSContextRKN2JS5ValueES4_($8947, $lval373, $rval372); //@line 5531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj374=$8948; //@line 5531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8949=$obj374; //@line 5532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8950=(($8949)|0)!=0; //@line 5532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8950) { __label__ = 1999; break; } else { __label__ = 1998; break; } //@line 5532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1998: 
      __label__ = 2152; break; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 1999: 
      var $8953=(($regs)|0); //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8954=HEAP32[(($8953)>>2)]; //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8955=(($8954-8)|0); //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8956=$obj374; //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($8955, $8956); //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 5536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2000: 
      var $8958=(($regs)|0); //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8959=HEAP32[(($8958)>>2)]; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8960=(($8959-8)|0); //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8961=$rval375; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8962=$8960; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8961)>>2)]=HEAP32[(($8962)>>2)];HEAP32[(($8961+4)>>2)]=HEAP32[(($8962+4)>>2)]; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8963=(($regs)|0); //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8964=HEAP32[(($8963)>>2)]; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8965=(($8964-16)|0); //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8966=$lval376; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8967=$8965; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8966)>>2)]=HEAP32[(($8967)>>2)];HEAP32[(($8966+4)>>2)]=HEAP32[(($8967+4)>>2)]; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8968=$2; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8969=__Z26js_ConstructXMLQNameObjectP9JSContextRKN2JS5ValueES4_($8968, $lval376, $rval375); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj377=$8969; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8970=$obj377; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8971=(($8970)|0)!=0; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8971) { __label__ = 2002; break; } else { __label__ = 2001; break; } //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2001: 
      __label__ = 2152; break; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2002: 
      var $8974=(($regs)|0); //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8975=HEAP32[(($8974)>>2)]; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8976=(($8975-8)|0); //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($8974)>>2)]=$8976; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8977=(($regs)|0); //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8978=HEAP32[(($8977)>>2)]; //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8979=(($8978-8)|0); //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8980=$obj377; //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($8979, $8980); //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2003: 
      var $8982=(($regs)|0); //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8983=HEAP32[(($8982)>>2)]; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8984=(($8983-8)|0); //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8985=$rval378; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8986=$8984; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8985)>>2)]=HEAP32[(($8986)>>2)];HEAP32[(($8985+4)>>2)]=HEAP32[(($8986+4)>>2)]; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8987=$2; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8988=__Z18js_ToAttributeNameP9JSContextPN2JS5ValueE($8987, $rval378); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8989=(($8988)|0)!=0; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8989) { __label__ = 2005; break; } else { __label__ = 2004; break; } //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2004: 
      __label__ = 2152; break; //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2005: 
      var $8992=(($regs)|0); //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8993=HEAP32[(($8992)>>2)]; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8994=(($8993-8)|0); //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8995=$8994; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8996=$rval378; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8995)>>2)]=HEAP32[(($8996)>>2)];HEAP32[(($8995+4)>>2)]=HEAP32[(($8996+4)>>2)]; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2006: 
      var $8998=(($regs)|0); //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8999=HEAP32[(($8998)>>2)]; //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9000=(($8999-8)|0); //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9001=$rval379; //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9002=$9000; //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9001)>>2)]=HEAP32[(($9002)>>2)];HEAP32[(($9001+4)>>2)]=HEAP32[(($9002+4)>>2)]; //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9003=$2; //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9004=__ZNK2JS5Value8toStringEv($rval379); //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9005=__Z23js_EscapeAttributeValueP9JSContextP8JSStringi($9003, $9004, 0); //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9006=$9005; //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str380=$9006; //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9007=$str380; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9008=(($9007)|0)!=0; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9008) { __label__ = 2008; break; } else { __label__ = 2007; break; } //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2007: 
      __label__ = 2152; break; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2008: 
      var $9011=(($regs)|0); //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9012=HEAP32[(($9011)>>2)]; //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9013=(($9012-8)|0); //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9014=$str380; //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($9013, $9014); //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2009: 
      __label__ = 2010; break; //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2010: 
      var $9017=(($regs)|0); //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9018=HEAP32[(($9017)>>2)]; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9019=(($9018-8)|0); //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9020=$rval381; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9021=$9019; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9020)>>2)]=HEAP32[(($9021)>>2)];HEAP32[(($9020+4)>>2)]=HEAP32[(($9021+4)>>2)]; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9022=(($regs)|0); //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9023=HEAP32[(($9022)>>2)]; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9024=(($9023-16)|0); //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9025=$lval382; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9026=$9024; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9025)>>2)]=HEAP32[(($9026)>>2)];HEAP32[(($9025+4)>>2)]=HEAP32[(($9026+4)>>2)]; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9027=__ZNK2JS5Value8toStringEv($lval382); //@line 5577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str383=$9027; //@line 5577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9028=__ZNK2JS5Value8toStringEv($rval381); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str2384=$9028; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9029=$2; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9030=$op; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9031=(($9030)|0)==170; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9032=(($9031)&1); //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9033=$str383; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9034=$str2384; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9035=__Z19js_AddAttributePartP9JSContextiP8JSStringS2_($9029, $9032, $9033, $9034); //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str383=$9035; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9036=$str383; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9037=(($9036)|0)!=0; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9037) { __label__ = 2012; break; } else { __label__ = 2011; break; } //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2011: 
      __label__ = 2152; break; //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2012: 
      var $9040=(($regs)|0); //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9041=HEAP32[(($9040)>>2)]; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9042=(($9041-8)|0); //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9040)>>2)]=$9042; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9043=(($regs)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9044=HEAP32[(($9043)>>2)]; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9045=(($9044-8)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9046=$str383; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($9045, $9046); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2013: 
      var $9048=(($regs)|0); //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9049=HEAP32[(($9048)>>2)]; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9050=(($9049-8)|0); //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9051=$lval385; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9052=$9050; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9051)>>2)]=HEAP32[(($9052)>>2)];HEAP32[(($9051+4)>>2)]=HEAP32[(($9052+4)>>2)]; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9053=$2; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9054=__Z18js_FindXMLPropertyP9JSContextRKN2JS5ValueEPP8JSObjectPi($9053, $lval385, $obj386, $id387); //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9055=(($9054)|0)!=0; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9055) { __label__ = 2015; break; } else { __label__ = 2014; break; } //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2014: 
      __label__ = 2152; break; //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2015: 
      var $9058=(($regs)|0); //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9059=HEAP32[(($9058)>>2)]; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9060=(($9059-8)|0); //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9061=HEAP32[(($obj386)>>2)]; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value15setObjectOrNullEP8JSObject($9060, $9061); //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2016; break; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2016: 
      var $9063=(($regs)|0); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9064=HEAP32[(($9063)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9065=(($9064+8)|0); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9063)>>2)]=$9065; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9066=HEAP32[(($id387)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2jsL9IdToValueEi1799($70, $9066); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9067=$9064; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9068=$70; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9067)>>2)]=HEAP32[(($9068)>>2)];HEAP32[(($9067+4)>>2)]=HEAP32[(($9068+4)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9069=$2; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9070=(($regs)|0); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9071=HEAP32[(($9070)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9072=(($9071-8)|0); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9073=$71; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9074=$9072; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9073)>>2)]=HEAP32[(($9074)>>2)];HEAP32[(($9073+4)>>2)]=HEAP32[(($9074+4)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9069, $71); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2017; break; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2017: 
      __label__ = 2018; break; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2018: 
      $len=1; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2019: 
      var $9078=(($regs)|0); //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9079=HEAP32[(($9078)>>2)]; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9080=(($9079-24)|0); //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9081=__ZNK2JS5Value8toObjectEv($9080); //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj388=$9081; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9082=(($regs)|0); //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9083=HEAP32[(($9082)>>2)]; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9084=(($9083-8)|0); //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9085=$rval389; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9086=$9084; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9085)>>2)]=HEAP32[(($9086)>>2)];HEAP32[(($9085+4)>>2)]=HEAP32[(($9086+4)>>2)]; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2020; break; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2020: 
      var $9088=(($regs)|0); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9089=HEAP32[(($9088)>>2)]; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9090=(($9089-16)|0); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $idval_391=$9090; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9091=$idval_391; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9092=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($9091, $i_392); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9092) { __label__ = 2021; break; } else { __label__ = 2023; break; } //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2021: 
      var $9094=HEAP32[(($i_392)>>2)]; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9095=_INT_FITS_IN_JSID1825($9094); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9096=(($9095)|0)!=0; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9096) { __label__ = 2022; break; } else { __label__ = 2023; break; } //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2022: 
      var $9098=HEAP32[(($i_392)>>2)]; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9099=_INT_TO_JSID1826($9098); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($id390)>>2)]=$9099; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2026; break; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2023: 
      var $9101=$2; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9102=$obj388; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9103=$idval_391; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9104=(($regs)|0); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9105=HEAP32[(($9104)>>2)]; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9106=(($9105-16)|0); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9107=__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($9101, $9102, $9103, $id390, $9106); //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9107) { __label__ = 2025; break; } else { __label__ = 2024; break; } //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2024: 
      __label__ = 2152; break; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2025: 
      __label__ = 2026; break;
    case 2026: 
      __label__ = 2027; break; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2027: 
      __label__ = 2028; break; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2028: 
      var $9113=$obj388; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9114=$2; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9115=HEAP32[(($id390)>>2)]; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9116=$script; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9117=$9116; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9118=(($9117+36)|0); //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9119=HEAPU8[($9118)]; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9120=(($9119)&255) >>> 3; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9121=$9120 & 1; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9122=(($9121) & 1); //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9123=(($9122)&1); //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9124=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($9113, $9114, $9115, $rval389, $9123); //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9125=(($9124)|0)!=0; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9125) { __label__ = 2030; break; } else { __label__ = 2029; break; } //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2029: 
      __label__ = 2152; break; //@line 5607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2030: 
      var $9128=(($regs)|0); //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9129=HEAP32[(($9128)>>2)]; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9130=(($9129-8)|0); //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9131=$rval389; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9132=$9130; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9131)>>2)]=HEAP32[(($9132)>>2)];HEAP32[(($9131+4)>>2)]=HEAP32[(($9132+4)>>2)]; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9133=(($regs)|0); //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9134=HEAP32[(($9133)>>2)]; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9135=(($9134-16)|0); //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9133)>>2)]=$9135; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9136=(($regs)|0); //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9137=HEAP32[(($9136)>>2)]; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9138=(($9137-8)|0); //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9139=$9138; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9140=$rval389; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9139)>>2)]=HEAP32[(($9140)>>2)];HEAP32[(($9139+4)>>2)]=HEAP32[(($9140+4)>>2)]; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2031: 
      __label__ = 2032; break; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2032: 
      var $9143=(($regs)|0); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9144=HEAP32[(($9143)>>2)]; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9145=(($9144-8)|0); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9146=$lval393; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9147=$9145; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9146)>>2)]=HEAP32[(($9147)>>2)];HEAP32[(($9146+4)>>2)]=HEAP32[(($9147+4)>>2)]; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9148=$2; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9149=__Z18js_FindXMLPropertyP9JSContextRKN2JS5ValueEPP8JSObjectPi($9148, $lval393, $obj394, $id395); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9150=(($9149)|0)!=0; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9150) { __label__ = 2034; break; } else { __label__ = 2033; break; } //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2033: 
      __label__ = 2152; break; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2034: 
      var $9153=HEAP32[(($obj394)>>2)]; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9154=$2; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9155=HEAP32[(($id395)>>2)]; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9156=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($9153, $9154, $9155, $rval396); //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9157=(($9156)|0)!=0; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9157) { __label__ = 2036; break; } else { __label__ = 2035; break; } //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2035: 
      __label__ = 2152; break; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2036: 
      var $9160=(($regs)|0); //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9161=HEAP32[(($9160)>>2)]; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9162=(($9161-8)|0); //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9163=$9162; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9164=$rval396; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9163)>>2)]=HEAP32[(($9164)>>2)];HEAP32[(($9163+4)>>2)]=HEAP32[(($9164+4)>>2)]; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9165=$op; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9166=(($9165)|0)==199; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9166) { __label__ = 2037; break; } else { __label__ = 2046; break; } //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2037: 
      __label__ = 2038; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2038: 
      var $9169=$2; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9170=HEAP32[(($obj394)>>2)]; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9171=__ZN2js19ComputeImplicitThisEP9JSContextP8JSObjectRKN2JS5ValueEPS5_($9169, $9170, $rval396, $v397); //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9171) { __label__ = 2040; break; } else { __label__ = 2039; break; } //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2039: 
      __label__ = 2152; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2040: 
      __label__ = 2041; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2041: 
      var $9175=(($regs)|0); //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9176=HEAP32[(($9175)>>2)]; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9177=(($9176+8)|0); //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9175)>>2)]=$9177; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9178=$9176; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9179=$v397; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9178)>>2)]=HEAP32[(($9179)>>2)];HEAP32[(($9178+4)>>2)]=HEAP32[(($9179+4)>>2)]; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9180=$2; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9181=(($regs)|0); //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9182=HEAP32[(($9181)>>2)]; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9183=(($9182-8)|0); //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9184=$72; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9185=$9183; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9184)>>2)]=HEAP32[(($9185)>>2)];HEAP32[(($9184+4)>>2)]=HEAP32[(($9185+4)>>2)]; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9180, $72); //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2042; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2042: 
      __label__ = 2043; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2043: 
      __label__ = 2044; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2044: 
      __label__ = 2045; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2045: 
      __label__ = 2046; break; //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2046: 
      $len=1; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2047: 
      __label__ = 2048; break; //@line 5631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2048: 
      __label__ = 2049; break; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2049: 
      var $9194=(($regs)|0); //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9195=HEAP32[(($9194)>>2)]; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9196=(($9195-16)|0); //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp_399=$9196; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2050; break; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2050: 
      var $9198=$vp_399; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9199=__ZNK2JS5Value8isObjectEv($9198); //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9199) { __label__ = 2051; break; } else { __label__ = 2052; break; } //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2051: 
      var $9201=$vp_399; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9202=__ZNK2JS5Value8toObjectEv($9201); //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj398=$9202; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2055; break; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2052: 
      var $9204=$2; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9205=$vp_399; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9206=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($9204, $9205); //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj398=$9206; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9207=$obj398; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9208=(($9207)|0)!=0; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9208) { __label__ = 2054; break; } else { __label__ = 2053; break; } //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2053: 
      __label__ = 2152; break; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2054: 
      var $9211=$vp_399; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9212=$obj398; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($9211, $9212); //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2055; break;
    case 2055: 
      __label__ = 2056; break; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2056: 
      __label__ = 2057; break; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2057: 
      __label__ = 2058; break; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2058: 
      __label__ = 2059; break; //@line 5635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2059: 
      var $9218=(($regs)|0); //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9219=HEAP32[(($9218)>>2)]; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9220=(($9219-8)|0); //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9221=$rval400; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9222=$9220; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9221)>>2)]=HEAP32[(($9222)>>2)];HEAP32[(($9221+4)>>2)]=HEAP32[(($9222+4)>>2)]; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9223=$2; //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9224=$obj398; //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9225=$73; //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9226=$rval400; //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9225)>>2)]=HEAP32[(($9226)>>2)];HEAP32[(($9225+4)>>2)]=HEAP32[(($9226+4)>>2)]; //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9227=__Z20js_GetXMLDescendantsP9JSContextP8JSObjectN2JS5ValueEPS4_($9223, $9224, $73, $rval400); //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9228=(($9227)|0)!=0; //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9228) { __label__ = 2061; break; } else { __label__ = 2060; break; } //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2060: 
      __label__ = 2152; break; //@line 5638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2061: 
      var $9231=$op; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9232=(($9231)|0)==186; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9232) { __label__ = 2062; break; } else { __label__ = 2065; break; } //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2062: 
      var $9234=(($regs)|0); //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9235=HEAP32[(($9234)>>2)]; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9236=(($9235-8)|0); //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9237=$9236; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9238=$rval400; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9237)>>2)]=HEAP32[(($9238)>>2)];HEAP32[(($9237+4)>>2)]=HEAP32[(($9238+4)>>2)]; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9239=$2; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9240=$74; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9241=$rval400; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9240)>>2)]=HEAP32[(($9241)>>2)];HEAP32[(($9240+4)>>2)]=HEAP32[(($9241+4)>>2)]; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9242=_JSVAL_TO_OBJECT1847($74); //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9243=__Z24js_DeleteXMLListElementsP9JSContextP8JSObject($9239, $9242); //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9244=(($9243)|0)!=0; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9244) { __label__ = 2064; break; } else { __label__ = 2063; break; } //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2063: 
      __label__ = 2152; break; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2064: 
      var $9247=$rval400; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9247)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($9247+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2065; break; //@line 5645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2065: 
      var $9249=(($regs)|0); //@line 5647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9250=HEAP32[(($9249)>>2)]; //@line 5647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9251=(($9250-8)|0); //@line 5647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9249)>>2)]=$9251; //@line 5647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9252=(($regs)|0); //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9253=HEAP32[(($9252)>>2)]; //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9254=(($9253-8)|0); //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9255=$9254; //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9256=$rval400; //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9255)>>2)]=HEAP32[(($9256)>>2)];HEAP32[(($9255+4)>>2)]=HEAP32[(($9256+4)>>2)]; //@line 5648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2066: 
      var $9258=(($regs)|0); //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9259=HEAP32[(($9258)>>2)]; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9260=(($9259+8)|0); //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9258)>>2)]=$9260; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($9259, 0); //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9261=(($regs+4)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9262=HEAP32[(($9261)>>2)]; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9263=(($9262+1)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9264=HEAPU8[($9263)]; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9265=(($9264)&255); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9266=$9265 << 8; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9267=(($regs+4)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9268=HEAP32[(($9267)>>2)]; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9269=(($9268+2)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9270=HEAPU8[($9269)]; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9271=(($9270)&255); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9272=$9266 | $9271; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9273=(($9272) & 65535); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9274=(($9273 << 16) >> 16); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$9274; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2067: 
      var $9276=(($regs)|0); //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9277=HEAP32[(($9276)>>2)]; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9278=(($9277-8)|0); //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9279=__ZNK2JS5Value7isMagicEv($9278); //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9280=$9279 ^ 1; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9281=(($9280)&1); //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $cond401=$9281; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9282=$cond401; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9283=(($9282) & 1); //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9283) { __label__ = 2068; break; } else { __label__ = 2069; break; } //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2068: 
      var $9285=$2; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZL9LeaveWithP9JSContext($9285); //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2069; break; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2069: 
      var $9287=$2; //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9288=$cond401; //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9289=(($9288) & 1); //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9290=(($9289)&1); //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9291=__Z20js_StepXMLListFilterP9JSContexti($9287, $9290); //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9292=(($9291)|0)!=0; //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9292) { __label__ = 2071; break; } else { __label__ = 2070; break; } //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2070: 
      __label__ = 2152; break; //@line 5673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2071: 
      var $9295=(($regs)|0); //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9296=HEAP32[(($9295)>>2)]; //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9297=(($9296-8)|0); //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9298=__ZNK2JS5Value6isNullEv($9297); //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9298) { __label__ = 2079; break; } else { __label__ = 2072; break; } //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2072: 
      var $9300=$2; //@line 5680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9301=__ZL9EnterWithP9JSContexti4JSOpj($9300, -2, 177, 3); //@line 5680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9301) { __label__ = 2074; break; } else { __label__ = 2073; break; } //@line 5680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2073: 
      __label__ = 2152; break; //@line 5681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2074: 
      var $9304=(($regs)|0); //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9305=HEAP32[(($9304)>>2)]; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9306=(($9305-8)|0); //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9304)>>2)]=$9306; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9307=(($regs+4)|0); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9308=HEAP32[(($9307)>>2)]; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9309=(($9308+1)|0); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9310=HEAPU8[($9309)]; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9311=(($9310)&255); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9312=$9311 << 8; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9313=(($regs+4)|0); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9314=HEAP32[(($9313)>>2)]; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9315=(($9314+2)|0); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9316=HEAPU8[($9315)]; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9317=(($9316)&255); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9318=$9312 | $9317; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9319=(($9318) & 65535); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9320=(($9319 << 16) >> 16); //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=$9320; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2075; break; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2075: 
      var $9322=$len; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9323=(($regs+4)|0); //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9324=HEAP32[(($9323)>>2)]; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9325=(($9324+$9322)|0); //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9323)>>2)]=$9325; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9326=(($regs+4)|0); //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9327=HEAP32[(($9326)>>2)]; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9328=HEAPU8[($9327)]; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9329=(($9328)&255); //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $op=$9329; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9330=$len; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9331=(($9330)|0) <= 0; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9331) { __label__ = 2076; break; } else { __label__ = 2077; break; } //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2076: 
      __label__ = 71; break; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2077: 
      __label__ = 43; break; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2078: 
      __label__ = 2079; break; //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2079: 
      var $9337=(($regs)|0); //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9338=HEAP32[(($9337)>>2)]; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9339=(($9338-8)|0); //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9337)>>2)]=$9339; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2080: 
      var $9341=(($regs)|0); //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9342=HEAP32[(($9341)>>2)]; //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9343=(($9342-8)|0); //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9344=$rval402; //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9345=$9343; //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9344)>>2)]=HEAP32[(($9345)>>2)];HEAP32[(($9344+4)>>2)]=HEAP32[(($9345+4)>>2)]; //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9346=$2; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9347=__Z19js_ValueToXMLObjectP9JSContextRKN2JS5ValueE($9346, $rval402); //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj403=$9347; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9348=$obj403; //@line 5695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9349=(($9348)|0)!=0; //@line 5695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9349) { __label__ = 2082; break; } else { __label__ = 2081; break; } //@line 5695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2081: 
      __label__ = 2152; break; //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2082: 
      var $9352=(($regs)|0); //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9353=HEAP32[(($9352)>>2)]; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9354=(($9353-8)|0); //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9355=$obj403; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($9354, $9355); //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2083: 
      var $9357=(($regs)|0); //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9358=HEAP32[(($9357)>>2)]; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9359=(($9358-8)|0); //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9360=$rval404; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9361=$9359; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9360)>>2)]=HEAP32[(($9361)>>2)];HEAP32[(($9360+4)>>2)]=HEAP32[(($9361+4)>>2)]; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9362=$2; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9363=__Z23js_ValueToXMLListObjectP9JSContextRKN2JS5ValueE($9362, $rval404); //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj405=$9363; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9364=$obj405; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9365=(($9364)|0)!=0; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9365) { __label__ = 2085; break; } else { __label__ = 2084; break; } //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2084: 
      __label__ = 2152; break; //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2085: 
      var $9368=(($regs)|0); //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9369=HEAP32[(($9368)>>2)]; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9370=(($9369-8)|0); //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9371=$obj405; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($9370, $9371); //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2086: 
      var $9373=(($regs)|0); //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9374=HEAP32[(($9373)>>2)]; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9375=(($9374-8)|0); //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9376=$rval406; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9377=$9375; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9376)>>2)]=HEAP32[(($9377)>>2)];HEAP32[(($9376+4)>>2)]=HEAP32[(($9377+4)>>2)]; //@line 5713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9378=$2; //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9379=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($9378, $rval406); //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str407=$9379; //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9380=$str407; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9381=(($9380)|0)!=0; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9381) { __label__ = 2088; break; } else { __label__ = 2087; break; } //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2087: 
      __label__ = 2152; break; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2088: 
      var $9384=(($regs)|0); //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9385=HEAP32[(($9384)>>2)]; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9386=(($9385-8)|0); //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9387=$str407; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($9386, $9387); //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2089: 
      var $9389=(($regs)|0); //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9390=HEAP32[(($9389)>>2)]; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9391=(($9390-8)|0); //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9392=$rval408; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9393=$9391; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9392)>>2)]=HEAP32[(($9393)>>2)];HEAP32[(($9392+4)>>2)]=HEAP32[(($9393+4)>>2)]; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9394=__ZL5IsXMLRKN2JS5ValueE($rval408); //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9394) { __label__ = 2090; break; } else { __label__ = 2091; break; } //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2090: 
      var $9396=$2; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9397=__Z19js_ValueToXMLStringP9JSContextRKN2JS5ValueE($9396, $rval408); //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str409=$9397; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2094; break; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2091: 
      var $9399=$2; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9400=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($9399, $rval408); //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str409=$9400; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9401=$str409; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9402=(($9401)|0)!=0; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9402) { __label__ = 2092; break; } else { __label__ = 2093; break; } //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2092: 
      var $9404=$2; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9405=$str409; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9406=__Z21js_EscapeElementValueP9JSContextP8JSString($9404, $9405); //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9407=$9406; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str409=$9407; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2093; break; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2093: 
      __label__ = 2094; break;
    case 2094: 
      var $9410=$str409; //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9411=(($9410)|0)!=0; //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9411) { __label__ = 2096; break; } else { __label__ = 2095; break; } //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2095: 
      __label__ = 2152; break; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2096: 
      var $9414=(($regs)|0); //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9415=HEAP32[(($9414)>>2)]; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9416=(($9415-8)|0); //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9417=$str409; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($9416, $9417); //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=1; //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2097: 
      __label__ = 2098; break; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2098: 
      var $9420=(($regs+4)|0); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9421=HEAP32[(($9420)>>2)]; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9422=(($9421)|0); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9423=(($9422+1)|0); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9424=HEAPU8[($9423)]; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9425=(($9424)&255); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9426=$9425 << 8; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9427=(($regs+4)|0); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9428=HEAP32[(($9427)>>2)]; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9429=(($9428)|0); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9430=(($9429+2)|0); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9431=HEAPU8[($9430)]; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9432=(($9431)&255); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9433=$9426 | $9432; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9434=$atoms; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9435=(($9434+($9433<<2))|0); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9436=HEAP32[(($9435)>>2)]; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom410=$9436; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2099; break; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2099: 
      __label__ = 2100; break; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2100: 
      var $9439=$atom410; //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9440=$9439; //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str411=$9440; //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9441=$2; //@line 5743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9442=$str411; //@line 5743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9443=__Z22js_NewXMLSpecialObjectP9JSContext10JSXMLClassP8JSStringS3_($9441, 4, 0, $9442); //@line 5743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj412=$9443; //@line 5743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9444=$obj412; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9445=(($9444)|0)!=0; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9445) { __label__ = 2102; break; } else { __label__ = 2101; break; } //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2101: 
      __label__ = 2152; break; //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2102: 
      __label__ = 2103; break; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2103: 
      var $9449=(($regs)|0); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9450=HEAP32[(($9449)>>2)]; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9451=(($9450+8)|0); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9449)>>2)]=$9451; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9452=$obj412; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($9450, $9452); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9453=$2; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9454=(($regs)|0); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9455=HEAP32[(($9454)>>2)]; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9456=(($9455-8)|0); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9457=$75; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9458=$9456; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9457)>>2)]=HEAP32[(($9458)>>2)];HEAP32[(($9457+4)>>2)]=HEAP32[(($9458+4)>>2)]; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9453, $75); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2104; break; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2104: 
      __label__ = 2105; break; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2105: 
      $len=3; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2106: 
      __label__ = 2107; break; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2107: 
      var $9463=(($regs+4)|0); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9464=HEAP32[(($9463)>>2)]; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9465=(($9464)|0); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9466=(($9465+1)|0); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9467=HEAPU8[($9466)]; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9468=(($9467)&255); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9469=$9468 << 8; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9470=(($regs+4)|0); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9471=HEAP32[(($9470)>>2)]; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9472=(($9471)|0); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9473=(($9472+2)|0); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9474=HEAPU8[($9473)]; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9475=(($9474)&255); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9476=$9469 | $9475; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9477=$atoms; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9478=(($9477+($9476<<2))|0); //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9479=HEAP32[(($9478)>>2)]; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom413=$9479; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2108; break; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2108: 
      __label__ = 2109; break; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2109: 
      var $9482=$atom413; //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9483=$9482; //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str414=$9483; //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9484=$2; //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9485=$str414; //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9486=__Z22js_NewXMLSpecialObjectP9JSContext10JSXMLClassP8JSStringS3_($9484, 5, 0, $9485); //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj415=$9486; //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9487=$obj415; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9488=(($9487)|0)!=0; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9488) { __label__ = 2111; break; } else { __label__ = 2110; break; } //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2110: 
      __label__ = 2152; break; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2111: 
      __label__ = 2112; break; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2112: 
      var $9492=(($regs)|0); //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9493=HEAP32[(($9492)>>2)]; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9494=(($9493+8)|0); //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9492)>>2)]=$9494; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9495=$obj415; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($9493, $9495); //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9496=$2; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9497=(($regs)|0); //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9498=HEAP32[(($9497)>>2)]; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9499=(($9498-8)|0); //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9500=$76; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9501=$9499; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9500)>>2)]=HEAP32[(($9501)>>2)];HEAP32[(($9500+4)>>2)]=HEAP32[(($9501+4)>>2)]; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9496, $76); //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2113; break; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2113: 
      __label__ = 2114; break; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2114: 
      $len=3; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2115: 
      __label__ = 2116; break; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2116: 
      var $9506=(($regs+4)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9507=HEAP32[(($9506)>>2)]; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9508=(($9507)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9509=(($9508+1)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9510=HEAPU8[($9509)]; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9511=(($9510)&255); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9512=$9511 << 8; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9513=(($regs+4)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9514=HEAP32[(($9513)>>2)]; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9515=(($9514)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9516=(($9515+2)|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9517=HEAPU8[($9516)]; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9518=(($9517)&255); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9519=$9512 | $9518; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9520=$atoms; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9521=(($9520+($9519<<2))|0); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9522=HEAP32[(($9521)>>2)]; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atom416=$9522; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2117; break; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2117: 
      __label__ = 2118; break; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2118: 
      var $9525=$atom416; //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9526=$9525; //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str417=$9526; //@line 5766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9527=(($regs)|0); //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9528=HEAP32[(($9527)>>2)]; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9529=(($9528-8)|0); //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9530=$rval418; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9531=$9529; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9530)>>2)]=HEAP32[(($9531)>>2)];HEAP32[(($9530+4)>>2)]=HEAP32[(($9531+4)>>2)]; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9532=__ZNK2JS5Value8toStringEv($rval418); //@line 5768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $str2419=$9532; //@line 5768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9533=$2; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9534=$str417; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9535=$str2419; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9536=__Z22js_NewXMLSpecialObjectP9JSContext10JSXMLClassP8JSStringS3_($9533, 3, $9534, $9535); //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj420=$9536; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9537=$obj420; //@line 5770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9538=(($9537)|0)!=0; //@line 5770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9538) { __label__ = 2120; break; } else { __label__ = 2119; break; } //@line 5770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2119: 
      __label__ = 2152; break; //@line 5771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2120: 
      var $9541=(($regs)|0); //@line 5772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9542=HEAP32[(($9541)>>2)]; //@line 5772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9543=(($9542-8)|0); //@line 5772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9544=$obj420; //@line 5772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($9543, $9544); //@line 5772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 5774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2121: 
      var $9546=$2; //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9547=__ZNK9JSContext2fpEv($9546); //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9548=__ZNK2js10StackFrame10scopeChainEv($9547); //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9549=__ZNK8JSObject9getGlobalEv($9548); //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9550=$2; //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9551=__ZN2js12GlobalObject20getFunctionNamespaceEP9JSContextPN2JS5ValueE($9549, $9550, $rval421); //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9551) { __label__ = 2123; break; } else { __label__ = 2122; break; } //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2122: 
      __label__ = 2152; break; //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2123: 
      __label__ = 2124; break; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2124: 
      var $9555=(($regs)|0); //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9556=HEAP32[(($9555)>>2)]; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9557=(($9556+8)|0); //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9555)>>2)]=$9557; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9558=$9556; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9559=$rval421; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9558)>>2)]=HEAP32[(($9559)>>2)];HEAP32[(($9558+4)>>2)]=HEAP32[(($9559+4)>>2)]; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9560=$2; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9561=(($regs)|0); //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9562=HEAP32[(($9561)>>2)]; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9563=(($9562-8)|0); //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9564=$77; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9565=$9563; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9564)>>2)]=HEAP32[(($9565)>>2)];HEAP32[(($9564+4)>>2)]=HEAP32[(($9565+4)>>2)]; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9560, $77); //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2125; break; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2125: 
      __label__ = 2126; break; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2126: 
      $len=1; //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2127: 
      var $9569=$script; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9570=$atoms; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9571=$script; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9572=(($9571+56)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9573=HEAP32[(($9572)>>2)]; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9574=$9570; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9575=$9573; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9576=(($9574-$9575)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9577=(((($9576)|0)/4)&-1); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9578=(($regs+4)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9579=HEAP32[(($9578)>>2)]; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9580=(($9579)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9581=(($9580+1)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9582=HEAPU8[($9581)]; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9583=(($9582)&255); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9584=$9583 << 8; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9585=(($regs+4)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9586=HEAP32[(($9585)>>2)]; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9587=(($9586)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9588=(($9587+2)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9589=HEAPU8[($9588)]; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9590=(($9589)&255); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9591=$9584 | $9590; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9592=(($9577+$9591)|0); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9593=__ZN8JSScript9getObjectEj($9569, $9592); //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj422=$9593; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9594=(($regs)|0); //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9595=HEAP32[(($9594)>>2)]; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9596=$obj422; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9597=__ZNK8JSObject13propertyCountEv($9596); //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9598=(($9595+($9597<<3))|0); //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp423=$9598; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9599=(($regs)|0); //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9600=HEAP32[(($9599)>>2)]; //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9601=$vp423; //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_1848($9600, $9601); //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9602=$vp423; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9603=(($regs)|0); //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9603)>>2)]=$9602; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2128: 
      __label__ = 2129; break; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2129: 
      var $9606=$script; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9607=$atoms; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9608=$script; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9609=(($9608+56)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9610=HEAP32[(($9609)>>2)]; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9611=$9607; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9612=$9610; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9613=(($9611-$9612)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9614=(((($9613)|0)/4)&-1); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9615=(($regs+4)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9616=HEAP32[(($9615)>>2)]; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9617=(($9616+2)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9618=(($9617+1)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9619=HEAPU8[($9618)]; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9620=(($9619)&255); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9621=$9620 << 8; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9622=(($regs+4)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9623=HEAP32[(($9622)>>2)]; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9624=(($9623+2)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9625=(($9624+2)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9626=HEAPU8[($9625)]; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9627=(($9626)&255); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9628=$9621 | $9627; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9629=(($9614+$9628)|0); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9630=__ZN8JSScript9getObjectEj($9606, $9629); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $blockChain=$9630; //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9631=__ZNK2js9FrameRegs2fpEv($regs); //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9632=__ZNK2js10StackFrame10scopeChainEv($9631); //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj424=$9632; //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9633=$obj424; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9634=__ZNK8JSObject8getProtoEv($9633); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9635=$blockChain; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9636=(($9634)|0)==(($9635)|0); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9636) { __label__ = 2130; break; } else { __label__ = 2133; break; } //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2130: 
      var $9638=$2; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9639=__Z17js_PutBlockObjectP9JSContexti($9638, 1); //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9640=(($9639)|0)!=0; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9640) { __label__ = 2132; break; } else { __label__ = 2131; break; } //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2131: 
      __label__ = 2152; break; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2132: 
      __label__ = 2133; break; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2133: 
      $vp425=0; //@line 5844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9644=$op; //@line 5845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9645=(($9644)|0)==210; //@line 5845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9645) { __label__ = 2134; break; } else { __label__ = 2135; break; } //@line 5845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2134: 
      var $9647=(($regs)|0); //@line 5846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9648=HEAP32[(($9647)>>2)]; //@line 5846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9649=(($9648-8)|0); //@line 5846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp425=$9649; //@line 5846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2135; break; //@line 5846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2135: 
      var $9651=(($regs+4)|0); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9652=HEAP32[(($9651)>>2)]; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9653=(($9652+1)|0); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9654=HEAPU8[($9653)]; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9655=(($9654)&255); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9656=$9655 << 8; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9657=(($regs+4)|0); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9658=HEAP32[(($9657)>>2)]; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9659=(($9658+2)|0); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9660=HEAPU8[($9659)]; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9661=(($9660)&255); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9662=$9656 | $9661; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9663=(($regs)|0); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9664=HEAP32[(($9663)>>2)]; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9665=(((-$9662))|0); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9666=(($9664+($9665<<3))|0); //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9663)>>2)]=$9666; //@line 5847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9667=$op; //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9668=(($9667)|0)==210; //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9668) { __label__ = 2136; break; } else { __label__ = 2137; break; } //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2136: 
      var $9670=(($regs)|0); //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9671=HEAP32[(($9670)>>2)]; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9672=(($9671-8)|0); //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9673=$vp425; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9674=$9672; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9675=$9673; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9674)>>2)]=HEAP32[(($9675)>>2)];HEAP32[(($9674+4)>>2)]=HEAP32[(($9675+4)>>2)]; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2138; break; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2137: 
      __label__ = 2138; break;
    case 2138: 
      $len=5; //@line 5855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2139: 
      var $9679=(($regs+4)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9680=HEAP32[(($9679)>>2)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9681=(($9680+1)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9679)>>2)]=$9681; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9682=$2; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9683=__Z15js_NewGeneratorP9JSContext($9682); //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj426=$9683; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9684=$obj426; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9685=(($9684)|0)!=0; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9685) { __label__ = 2141; break; } else { __label__ = 2140; break; } //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2140: 
      __label__ = 2152; break; //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2141: 
      var $9688=__ZNK2js9FrameRegs2fpEv($regs); //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9689=$obj426; //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL11ObjectValueER8JSObject1804($78, $9689); //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($9688, $78); //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=1; //@line 5867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9690=$3; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9691=__ZNK2js9FrameRegs2fpEv($regs); //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9692=(($9690)|0)!=(($9691)|0); //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9692) { __label__ = 2142; break; } else { __label__ = 2143; break; } //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2142: 
      __label__ = 102; break; //@line 5869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2143: 
      __label__ = 2209; break; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2144: 
      var $9696=$2; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9697=__ZNK2js9FrameRegs2fpEv($regs); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9698=__ZNK9JSContext12generatorForEPN2js10StackFrameE($9696, $9697); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9699=(($9698+4)|0); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9700=HEAP32[(($9699)>>2)]; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9701=(($9700)|0)==3; //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9701) { __label__ = 2145; break; } else { __label__ = 2146; break; } //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2145: 
      var $9703=$2; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9704=$argv; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9705=(($9704-16)|0); //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9706=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($9703, 0, 214, 1, $9705, 0, 0, 0); //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2146: 
      var $9708=__ZNK2js9FrameRegs2fpEv($regs); //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9709=(($regs)|0); //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9710=HEAP32[(($9709)>>2)]; //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9711=(($9710-8)|0); //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($9708, $9711); //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9712=__ZNK2js9FrameRegs2fpEv($regs); //@line 5882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame11setYieldingEv($9712); //@line 5882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9713=(($regs+4)|0); //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9714=HEAP32[(($9713)>>2)]; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9715=(($9714+1)|0); //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9713)>>2)]=$9715; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=1; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2209; break; //@line 5885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2147: 
      var $9717=(($regs+4)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9718=HEAP32[(($9717)>>2)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9719=(($9718+1)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9720=HEAPU8[($9719)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9721=(($9720)&255); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9722=$9721 << 8; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9723=(($regs+4)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9724=HEAP32[(($9723)>>2)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9725=(($9724+2)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9726=HEAPU8[($9725)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9727=(($9726)&255); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9728=$9722 | $9727; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot427=$9728; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9729=$slot427; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9730=__ZNK2js9FrameRegs2fpEv($regs); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9731=__ZNK2js10StackFrame5slotsEv($9730); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9732=(($9731+($9729<<3))|0); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9733=__ZNK2JS5Value8toObjectEv($9732); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj428=$9733; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9734=$2; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9735=$obj428; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9736=(($regs)|0); //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9737=HEAP32[(($9736)>>2)]; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9738=(($9737-8)|0); //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9739=__Z19js_NewbornArrayPushP9JSContextP8JSObjectRKN2JS5ValueE($9734, $9735, $9738); //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9740=(($9739)|0)!=0; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9740) { __label__ = 2149; break; } else { __label__ = 2148; break; } //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2148: 
      __label__ = 2152; break; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2149: 
      var $9743=(($regs)|0); //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9744=HEAP32[(($9743)>>2)]; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9745=(($9744-8)|0); //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9743)>>2)]=$9745; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=3; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2151; break; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2150: 
      var $9747=(($numBuf429)|0); //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9748=$op; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9749=_JS_snprintf($9747, 12, ((STRING_TABLE.__str31780)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$9748,tempInt)); //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9750=$2; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9751=(($numBuf429)|0); //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($9750, 2, 0, 32, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$9751,tempInt)); //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2151: 
      __label__ = 41; break; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2152: 
      var $9754=$2; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9755=__ZN9JSContext18isExceptionPendingEv($9754); //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9755) { __label__ = 2154; break; } else { __label__ = 2153; break; } //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2153: 
      $interpReturnOK=0; //@line 5996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2203; break; //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2154: 
      var $9758=$script; //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9759=(($9758+56)|0); //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9760=HEAP32[(($9759)>>2)]; //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $atoms=$9760; //@line 6003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9761=$2; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9762=(($9761+200)|0); //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9763=HEAP32[(($9762)>>2)]; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9764=(($9763+56)|0); //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9765=HEAP32[(($9764)>>2)]; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9766=(($9765)|0)!=0; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9766) { __label__ = 2156; break; } else { __label__ = 2155; break; } //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2155: 
      var $9768=$2; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9769=(($9768+56)|0); //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9770=HEAP32[(($9769)>>2)]; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9771=__ZN13JSCompartment12getDebuggeesEv($9770); //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9772=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($9771); //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9772) { __label__ = 2172; break; } else { __label__ = 2156; break; } //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2156: 
      var $9774=$2; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9775=__ZN2js8Debugger17onExceptionUnwindEP9JSContextPN2JS5ValueE($9774, $rval432); //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $st433=$9775; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9776=$st433; //@line 6009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9777=(($9776)|0)==1; //@line 6009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9777) { __label__ = 2157; break; } else { __label__ = 2160; break; } //@line 6009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2157: 
      var $9779=$2; //@line 6010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9780=(($9779+200)|0); //@line 6010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9781=HEAP32[(($9780)>>2)]; //@line 6010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9782=(($9781+56)|0); //@line 6010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9783=HEAP32[(($9782)>>2)]; //@line 6010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $handler431=$9783; //@line 6010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9784=$handler431; //@line 6011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9785=(($9784)|0)!=0; //@line 6011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9785) { __label__ = 2158; break; } else { __label__ = 2159; break; } //@line 6011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2158: 
      var $9787=$handler431; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9788=$2; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9789=$script; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9790=(($regs+4)|0); //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9791=HEAP32[(($9790)>>2)]; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9792=$2; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9793=(($9792+200)|0); //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9794=HEAP32[(($9793)>>2)]; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9795=(($9794+60)|0); //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9796=HEAP32[(($9795)>>2)]; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9797=FUNCTION_TABLE[$9787]($9788, $9789, $9791, $rval432, $9796); //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $st433=$9797; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2159; break; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2159: 
      __label__ = 2160; break; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2160: 
      var $9800=$st433; //@line 6015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ((($9800)|0) == 0) {
        __label__ = 2161; break;
      }
      else if ((($9800)|0) == 2) {
        __label__ = 2162; break;
      }
      else if ((($9800)|0) == 3) {
        __label__ = 2163; break;
      }
      else if ((($9800)|0) == 1) {
        __label__ = 2164; break;
      }
      else {
      __label__ = 2165; break;
      }
      
    case 2161: 
      var $9802=$2; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext21clearPendingExceptionEv($9802); //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2162: 
      var $9804=$2; //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext21clearPendingExceptionEv($9804); //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9805=__ZNK2js9FrameRegs2fpEv($regs); //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($9805, $rval432); //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=1; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2204; break; //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2163: 
      var $9807=$2; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9808=$79; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9809=$rval432; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9808)>>2)]=HEAP32[(($9809)>>2)];HEAP32[(($9808+4)>>2)]=HEAP32[(($9809+4)>>2)]; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($9807, $79); //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2164; break; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2164: 
      __label__ = 2165; break; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2165: 
      __label__ = 2166; break; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2166: 
      __label__ = 2167; break; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2167: 
      var $9814=$2; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9815=(($9814+200)|0); //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9816=HEAP32[(($9815)>>2)]; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9817=(($9816)|0); //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9818=HEAP32[(($9817)>>2)]; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9819=(($9818)|0)!=0; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9819) { __label__ = 2168; break; } else { __label__ = 2169; break; } //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2168: 
      __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($interruptEnabler); //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2169; break; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2169: 
      __label__ = 2170; break; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2170: 
      __label__ = 2171; break; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2171: 
      __label__ = 2172; break; //@line 6030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2172: 
      var $9825=$script; //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9826=(($9825+19)|0); //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9827=HEAP8[($9826)]; //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9828=__ZN8JSScript13isValidOffsetEh($9827); //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9828) { __label__ = 2174; break; } else { __label__ = 2173; break; } //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2173: 
      __label__ = 2199; break; //@line 6036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2174: 
      var $9831=(($regs+4)|0); //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9832=HEAP32[(($9831)>>2)]; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9833=$script; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9834=__ZN8JSScript4mainEv($9833); //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9835=$9832; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9836=$9834; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9837=(($9835-$9836)|0); //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $offset=$9837; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9838=$script; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9839=__ZN8JSScript8trynotesEv($9838); //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9840=(($9839)|0); //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9841=HEAP32[(($9840)>>2)]; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tn=$9841; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9842=$tn; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9843=$script; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9844=__ZN8JSScript8trynotesEv($9843); //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9845=(($9844+4)|0); //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9846=HEAP32[(($9845)>>2)]; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9847=(($9842+$9846*12)|0); //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tnlimit=$9847; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2175; break; //@line 6041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2175: 
      var $9849=$offset; //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9850=$tn; //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9851=(($9850+4)|0); //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9852=HEAP32[(($9851)>>2)]; //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9853=(($9849-$9852)|0); //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9854=$tn; //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9855=(($9854+8)|0); //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9856=HEAPU32[(($9855)>>2)]; //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9857=(($9853)>>>0) >= (($9856)>>>0); //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9857) { __label__ = 2176; break; } else { __label__ = 2177; break; } //@line 6042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2176: 
      __label__ = 2197; break; //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2177: 
      var $9860=$tn; //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9861=(($9860+2)|0); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9862=HEAPU16[(($9861)>>1)]; //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9863=(($9862)&65535); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9864=(($regs)|0); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9865=HEAP32[(($9864)>>2)]; //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9866=__ZNK2js9FrameRegs2fpEv($regs); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9867=__ZNK2js10StackFrame4baseEv($9866); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9868=$9865; //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9869=$9867; //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9870=(($9868-$9869)|0); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9871=(((($9870)|0)/8)&-1); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9872=(($9863)|0) > (($9871)|0); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9872) { __label__ = 2178; break; } else { __label__ = 2179; break; } //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2178: 
      __label__ = 2197; break; //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2179: 
      var $9875=$script; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9876=__ZN8JSScript4mainEv($9875); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9877=$tn; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9878=(($9877+4)|0); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9879=HEAP32[(($9878)>>2)]; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9880=(($9876+$9879)|0); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9881=$tn; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9882=(($9881+8)|0); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9883=HEAP32[(($9882)>>2)]; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9884=(($9880+$9883)|0); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9885=(($regs+4)|0); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9885)>>2)]=$9884; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9886=$2; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9887=$tn; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9888=(($9887+2)|0); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9889=HEAPU16[(($9888)>>1)]; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9890=(($9889)&65535); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9891=__ZN2js11UnwindScopeEP9JSContextii($9886, $9890, 1); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9892=(($9891)&1); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok434=$9892; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9893=$ok434; //@line 6076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9894=(($9893)|0)!=0; //@line 6076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9894) { __label__ = 2181; break; } else { __label__ = 2180; break; } //@line 6076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2180: 
      __label__ = 2152; break; //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2181: 
      var $9897=$tn; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9898=(($9897)|0); //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9899=HEAPU8[($9898)]; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9900=(($9899)&255); //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ((($9900)|0) == 0) {
        __label__ = 2182; break;
      }
      else if ((($9900)|0) == 1) {
        __label__ = 2187; break;
      }
      else if ((($9900)|0) == 2) {
        __label__ = 2193; break;
      }
      else {
      __label__ = 2196; break;
      }
      
    case 2182: 
      var $9902=$2; //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19getPendingExceptionEv($80, $9902); //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9903=__ZNK2JS5Value7isMagicE10JSWhyMagic($80, 4); //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9903) { __label__ = 2183; break; } else { __label__ = 2184; break; } //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2183: 
      __label__ = 2196; break; //@line 6089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2184: 
      $len=0; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2185; break; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2185: 
      __label__ = 42; break; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2186: 
      __label__ = 2187; break; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2187: 
      var $9910=(($regs)|0); //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9911=HEAP32[(($9910)>>2)]; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9912=(($9911+8)|0); //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9910)>>2)]=$9912; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value10setBooleanEb($9911, 1); //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2188; break; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2188: 
      var $9914=(($regs)|0); //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9915=HEAP32[(($9914)>>2)]; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9916=(($9915+8)|0); //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9914)>>2)]=$9916; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9917=$2; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19getPendingExceptionEv($81, $9917); //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9918=$9915; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9919=$81; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9918)>>2)]=HEAP32[(($9919)>>2)];HEAP32[(($9918+4)>>2)]=HEAP32[(($9919+4)>>2)]; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9920=$2; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9921=(($regs)|0); //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9922=HEAP32[(($9921)>>2)]; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9923=(($9922-8)|0); //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9924=$82; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9925=$9923; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9924)>>2)]=HEAP32[(($9925)>>2)];HEAP32[(($9924+4)>>2)]=HEAP32[(($9925+4)>>2)]; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($9920, $82); //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2189; break; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2189: 
      __label__ = 2190; break; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2190: 
      var $9928=$2; //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext21clearPendingExceptionEv($9928); //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $len=0; //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2191; break; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2191: 
      __label__ = 42; break; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2192: 
      __label__ = 2193; break; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2193: 
      var $9933=$2; //@line 6114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19getPendingExceptionEv($v435, $9933); //@line 6114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9934=$2; //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext21clearPendingExceptionEv($9934); //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9935=$2; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9936=(($regs)|0); //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9937=HEAP32[(($9936)>>2)]; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9938=(($9937-8)|0); //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9939=__ZNK2JS5Value8toObjectEv($9938); //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9940=__Z16js_CloseIteratorP9JSContextP8JSObject($9935, $9939); //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok434=$9940; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9941=(($regs)|0); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9942=HEAP32[(($9941)>>2)]; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9943=(($9942-8)|0); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($9941)>>2)]=$9943; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9944=$ok434; //@line 6118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9945=(($9944)|0)!=0; //@line 6118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9945) { __label__ = 2195; break; } else { __label__ = 2194; break; } //@line 6118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2194: 
      __label__ = 2152; break; //@line 6119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2195: 
      var $9948=$2; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9949=$83; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9950=$v435; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9949)>>2)]=HEAP32[(($9950)>>2)];HEAP32[(($9949+4)>>2)]=HEAP32[(($9950+4)>>2)]; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($9948, $83); //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2196; break; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2196: 
      __label__ = 2197; break; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2197: 
      var $9953=$tn; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9954=(($9953+12)|0); //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $tn=$9954; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9955=$tnlimit; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9956=(($9954)|0)!=(($9955)|0); //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9956) { __label__ = 2175; break; } else { __label__ = 2198; break; } //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2198: 
      __label__ = 2199; break; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2199: 
      $interpReturnOK=0; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9959=$2; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9960=__ZN9JSContext18isExceptionPendingEv($9959); //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9960) { __label__ = 2200; break; } else { __label__ = 2202; break; } //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2200: 
      var $9962=$2; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext19getPendingExceptionEv($84, $9962); //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9963=__ZNK2JS5Value7isMagicE10JSWhyMagic($84, 4); //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9963) { __label__ = 2201; break; } else { __label__ = 2202; break; } //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2201: 
      var $9965=$2; //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN9JSContext21clearPendingExceptionEv($9965); //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=1; //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9966=__ZNK2js9FrameRegs2fpEv($regs); //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame16clearReturnValueEv($9966); //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2202; break; //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2202: 
      __label__ = 2203; break;
    case 2203: 
      __label__ = 2204; break;
    case 2204: 
      var $9970=$2; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9971=$interpReturnOK; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9972=(($9971)|0)!=0; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9972) { var $9977 = 1;__label__ = 2206; break; } else { __label__ = 2205; break; } //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2205: 
      var $9974=$2; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9975=__ZN9JSContext18isExceptionPendingEv($9974); //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9977 = $9975;__label__ = 2206; break; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2206: 
      var $9977;
      var $9978=(($9977)&1); //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9979=__ZN2js11UnwindScopeEP9JSContextii($9970, 0, $9978); //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9980=(($9979)&1); //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9981=$interpReturnOK; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9982=$9981 & $9980; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=$9982; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9983=$3; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9984=__ZNK2js9FrameRegs2fpEv($regs); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9985=(($9983)|0)!=(($9984)|0); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9985) { __label__ = 2207; break; } else { __label__ = 2208; break; } //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2207: 
      __label__ = 102; break; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2208: 
      __label__ = 2209; break; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2209: 
      var $9989=$2; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9990=__ZNK2js9FrameRegs2fpEv($regs); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9991=$interpReturnOK; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9992=(($9991)|0)!=0; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9993=__ZN2js30ScriptEpilogueOrGeneratorYieldEP9JSContextPNS_10StackFrameEb($9989, $9990, $9992); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9994=(($9993)&1); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $interpReturnOK=$9994; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9995=__ZNK2js9FrameRegs2fpEv($regs); //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame24setFinishedInInterpreterEv($9995); //@line 6157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9996=$interpReturnOK; //@line 6193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9997=(($9996)|0)!=0; //@line 6193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$9997; //@line 6193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $17=1;
      __label__ = 2213; break; //@line 6193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2210: 
      __ZN16JSAutoByteStringC1Ev($printable); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9999=$2; //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10000=$atomNotDefined; //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10001=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($9999, $10000, $printable); //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10002=(($10001)|0)!=0; //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($10002) { __label__ = 2211; break; } else { __label__ = 2212; break; } //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2211: 
      var $10004=$2; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10005=__ZNK16JSAutoByteString3ptrEv($printable); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z21js_ReportIsNotDefinedP9JSContextPKc($10004, $10005); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2212; break; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2212: 
      __ZN16JSAutoByteStringD1Ev($printable); //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2152; break; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2213: 
      __ZN2js17InterpreterFramesD1Ev($interpreterFrame); //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js17PreserveRegsGuardD1Ev($interpGuard); //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10008=$1; //@line 6202 "./jstypedarrayinlines.h"
      STACKTOP = __stackBase__;
      return $10008; //@line 6202 "./jstypedarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InterpretEP9JSContextPNS_10StackFrameENS_10InterpModeE["X"]=1;

function __ZN2jsL13ToReportFlagsENS_17InitialFrameFlagsE($initial) {
  ;
  var __label__;

  var $1;
  $1=$initial;
  var $2=$1; //@line 1216 "./vm/Stack.h"
  var $3=$2 & 128; //@line 1216 "./vm/Stack.h"
  ;
  return $3; //@line 1216 "./vm/Stack.h"
}


function __ZN2js12InvokeKernelEP9JSContextRKNS_8CallArgsENS_14MaybeConstructE($cx, $argsRef, $construct) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $initial;
      var $callee;
      var $clasp;
      var $fun;
      var $ifg=__stackBase__+8;
      var $5;
      var $fp;
      var $ok;
      var $preserve=__stackBase__+36;
      $2=$cx;
      $3=$argsRef;
      $4=$construct;
      var $6=$3; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=$args; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=$6; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$4; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $initial=$9; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$args; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=__ZNK2js12CallReceiver7calleevEv($10); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=__ZNK2JS5Value11isPrimitiveEv($11); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $14=$2; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=$args; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=__ZNK2js12CallReceiver7calleevEv($15); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=$initial; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=__ZN2jsL13ToReportFlagsENS_17InitialFrameFlagsE($17); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($14, $16, $18); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $20=$args; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=__ZNK2js12CallReceiver6calleeEv($20); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $callee=$21; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$callee; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=__ZNK8JSObject8getClassEv($22); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $clasp=$23; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=$clasp; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=(($24)|0)!=((__ZN2js13FunctionClassE)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $27=$clasp; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=(($27)|0)==((_js_NoSuchMethodClass)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $30=$2; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=__ZNK2js8CallArgs4argcEv($args); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=$args; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=__ZNK2js12CallReceiver4baseEv($32); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=__ZL12NoSuchMethodP9JSContextjPN2JS5ValueE($30, $31, $33); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=(($34)|0)!=0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$35; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $37=$clasp; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=(($37+48)|0); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=(($39)|0)!=0; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $42=$2; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=$args; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $44=__ZNK2js12CallReceiver7calleevEv($43); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $45=$initial; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $46=__ZN2jsL13ToReportFlagsENS_17InitialFrameFlagsE($45); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($42, $44, $46); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $48=$2; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=$clasp; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=(($49+48)|0); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=__ZN2js12CallJSNativeEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($48, $51, $args); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$52; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $54=$callee; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=__ZNK8JSObject18getFunctionPrivateEv($54); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun=$55; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=$fun; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=__ZNK10JSFunction8isNativeEv($56); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $59=$2; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=$fun; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=(($60+60)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $62=$61; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $63=(($62)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $65=__ZN2js12CallJSNativeEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($59, $64, $args); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$65; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $67=$2; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=$4; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=(($68)|0)!=0; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types15TypeMonitorCallEP9JSContextRKNS_8CallArgsEb($67, $args, $69); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js16InvokeFrameGuardC1Ev($ifg); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $70=$2; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $71=(($70+60)|0); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $72=$2; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $73=$initial; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $74=__ZN2js12ContextStack15pushInvokeFrameEP9JSContextRKNS_8CallArgsENS_17InitialFrameFlagsEPNS_16InvokeFrameGuardE($71, $72, $args, $73, $ifg); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($74) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      $1=0; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $5=1;
      __label__ = 16; break; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      var $77=$ifg; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $78=__ZNK2js10FrameGuard2fpEv($77); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$78; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $79=$fp; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $80=$2; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $81=__ZN2js10StackFrame16functionPrologueEP9JSContext($79, $80); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($81) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      $1=0; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $5=1;
      __label__ = 16; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      var $84=$2; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js23AutoPreserveEnumeratorsC1EP9JSContext($preserve, $84); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $85=$2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $86=$fun; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $87=__ZNK10JSFunction6scriptEv($86); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $88=$fp; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $89=__ZN2js9RunScriptEP9JSContextP8JSScriptPNS_10StackFrameE($85, $87, $88); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $90=(($89)&1); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok=$90; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js23AutoPreserveEnumeratorsD1Ev($preserve); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $91=$args; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $92=__ZNK2js12CallReceiver4rvalEv($91); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $93=$fp; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $94=__ZN2js10StackFrame11returnValueEv($93); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $95=$92; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $96=$94; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($95)>>2)]=HEAP32[(($96)>>2)];HEAP32[(($95+4)>>2)]=HEAP32[(($96+4)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $97=$ok; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $98=(($97)|0)!=0; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$98; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $5=1;
      __label__ = 16; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 16: 
      __ZN2js16InvokeFrameGuardD1Ev($ifg); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 17; break;
    case 17: 
      var $101=$1; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $101; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12InvokeKernelEP9JSContextRKNS_8CallArgsENS_14MaybeConstructE["X"]=1;

function __ZL12NoSuchMethodP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $args=__stackBase__;
      var $5;
      var $obj;
      var $argsobj;
      var $ok;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=$2; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=(($6+60)|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=$2; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($7, $8, 2, $args); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $5=1;
      __label__ = 6; break; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $12=$4; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=(($12)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZNK2JS5Value8toObjectEv($13); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj=$14; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=$args; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=__ZNK2js12CallReceiver7calleevEv($15); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=$obj; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=__ZNK8JSObject7getSlotEj($17, 0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=$16; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$18; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$args; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=__ZNK2js12CallReceiver5thisvEv($21); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$4; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=(($23+8)|0); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$22; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$24; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=$args; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=__ZNK2js8CallArgsixEj($27, 0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$obj; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=__ZNK8JSObject7getSlotEj($29, 1); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=$28; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=$30; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=$2; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=$3; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=$4; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=(($35+16)|0); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($33, $34, $36, 0); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $argsobj=$37; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=$argsobj; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=(($38)|0)!=0; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($39) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      $1=0; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $5=1;
      __label__ = 6; break; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $42=$args; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=__ZNK2js8CallArgsixEj($42, 1); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $44=$argsobj; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($43, $44); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $45=$2; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $46=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($45, $args, 0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $47=(($46)&1); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok=$47; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=$4; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=(($48)|0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=$args; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=__ZNK2js12CallReceiver4rvalEv($50); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=$49; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $53=$51; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54=$ok; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$54; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $5=1;
      __label__ = 6; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=$1; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12NoSuchMethodP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js12CallJSNativeEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($cx, $native, $args) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $ok;
      var $5=__stackBase__+8;
      $1=$cx;
      $2=$native;
      $3=$args;
      var $6=$1; //@line 295 "./jscntxtinlines.h"
      var $7=$3; //@line 295 "./jscntxtinlines.h"
      var $8=$4; //@line 295 "./jscntxtinlines.h"
      var $9=$7; //@line 295 "./jscntxtinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 295 "./jscntxtinlines.h"
      __ZN2js21assertSameCompartmentINS_8CallArgsEEEvP9JSContextT_($6, $4); //@line 295 "./jscntxtinlines.h"
      var $10=$2; //@line 296 "./jscntxtinlines.h"
      var $11=$1; //@line 296 "./jscntxtinlines.h"
      var $12=$3; //@line 296 "./jscntxtinlines.h"
      var $13=__ZNK2js8CallArgs4argcEv($12); //@line 296 "./jscntxtinlines.h"
      var $14=$3; //@line 296 "./jscntxtinlines.h"
      var $15=$14; //@line 296 "./jscntxtinlines.h"
      var $16=__ZNK2js12CallReceiver4baseEv($15); //@line 296 "./jscntxtinlines.h"
      var $17=FUNCTION_TABLE[$10]($11, $13, $16); //@line 296 "./jscntxtinlines.h"
      $ok=$17; //@line 296 "./jscntxtinlines.h"
      var $18=$ok; //@line 297 "./jscntxtinlines.h"
      var $19=(($18)|0)!=0; //@line 297 "./jscntxtinlines.h"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 297 "./jscntxtinlines.h"
    case 2: 
      var $21=$1; //@line 298 "./jscntxtinlines.h"
      var $22=$3; //@line 298 "./jscntxtinlines.h"
      var $23=$22; //@line 298 "./jscntxtinlines.h"
      var $24=__ZNK2js12CallReceiver4rvalEv($23); //@line 298 "./jscntxtinlines.h"
      var $25=$5; //@line 298 "./jscntxtinlines.h"
      var $26=$24; //@line 298 "./jscntxtinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 298 "./jscntxtinlines.h"
      __ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_($21, $5); //@line 298 "./jscntxtinlines.h"
      __label__ = 3; break; //@line 300 "./jscntxtinlines.h"
    case 3: 
      var $28=$ok; //@line 301 "./jscntxtinlines.h"
      var $29=(($28)|0)!=0; //@line 301 "./jscntxtinlines.h"
      STACKTOP = __stackBase__;
      return $29; //@line 301 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types15TypeMonitorCallEP9JSContextRKNS_8CallArgsEb($cx, $args, $constructing) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $callee;
      var $fun;
      var $script;
      $1=$cx;
      $2=$args;
      var $4=(($constructing)&1);
      $3=$4;
      var $5=$2; //@line 322 "./jsinferinlines.h"
      var $6=$5; //@line 322 "./jsinferinlines.h"
      var $7=__ZNK2js12CallReceiver6calleeEv($6); //@line 322 "./jsinferinlines.h"
      $callee=$7; //@line 322 "./jsinferinlines.h"
      var $8=$callee; //@line 323 "./jsinferinlines.h"
      var $9=__ZNK8JSObject10isFunctionEv($8); //@line 323 "./jsinferinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 323 "./jsinferinlines.h"
    case 2: 
      var $11=$callee; //@line 324 "./jsinferinlines.h"
      var $12=__ZNK8JSObject18getFunctionPrivateEv($11); //@line 324 "./jsinferinlines.h"
      $fun=$12; //@line 324 "./jsinferinlines.h"
      var $13=$fun; //@line 325 "./jsinferinlines.h"
      var $14=__ZNK10JSFunction13isInterpretedEv($13); //@line 325 "./jsinferinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 325 "./jsinferinlines.h"
    case 3: 
      var $16=$fun; //@line 326 "./jsinferinlines.h"
      var $17=__ZNK10JSFunction6scriptEv($16); //@line 326 "./jsinferinlines.h"
      $script=$17; //@line 326 "./jsinferinlines.h"
      var $18=$script; //@line 327 "./jsinferinlines.h"
      var $19=$1; //@line 327 "./jsinferinlines.h"
      var $20=$fun; //@line 327 "./jsinferinlines.h"
      var $21=$callee; //@line 327 "./jsinferinlines.h"
      var $22=__ZNK8JSObject9getParentEv($21); //@line 327 "./jsinferinlines.h"
      var $23=__ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject($18, $19, $20, $22); //@line 327 "./jsinferinlines.h"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 327 "./jsinferinlines.h"
    case 4: 
      __label__ = 9; break; //@line 328 "./jsinferinlines.h"
    case 5: 
      var $26=$1; //@line 329 "./jsinferinlines.h"
      var $27=__ZN9JSContext20typeInferenceEnabledEv($26); //@line 329 "./jsinferinlines.h"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 329 "./jsinferinlines.h"
    case 6: 
      var $29=$1; //@line 330 "./jsinferinlines.h"
      var $30=$callee; //@line 330 "./jsinferinlines.h"
      var $31=$2; //@line 330 "./jsinferinlines.h"
      var $32=$3; //@line 330 "./jsinferinlines.h"
      var $33=(($32) & 1); //@line 330 "./jsinferinlines.h"
      __ZN2js5types19TypeMonitorCallSlowEP9JSContextP8JSObjectRKNS_8CallArgsEb($29, $30, $31, $33); //@line 330 "./jsinferinlines.h"
      __label__ = 7; break; //@line 330 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 331 "./jsinferinlines.h"
    case 8: 
      __label__ = 9; break; //@line 332 "./jsinferinlines.h"
    case 9: 
      ;
      return; //@line 333 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16InvokeFrameGuardC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js16InvokeFrameGuardC2Ev($2); //@line 1780 "./vm/Stack.h"
  ;
  return; //@line 1780 "./vm/Stack.h"
}


function __ZNK2js10FrameGuard2fpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1777 "./vm/Stack.h"
  var $4=__ZNK2js9FrameRegs2fpEv($3); //@line 1777 "./vm/Stack.h"
  ;
  return $4; //@line 1777 "./vm/Stack.h"
}


function __ZN2js10StackFrame16functionPrologueEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fun;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=__ZNK2js10StackFrame3funEv($4); //@line 381 "./vm/Stack-inl.h"
      $fun=$5; //@line 381 "./vm/Stack-inl.h"
      var $6=$fun; //@line 383 "./vm/Stack-inl.h"
      var $7=__ZNK10JSFunction13isHeavyweightEv($6); //@line 383 "./vm/Stack-inl.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 383 "./vm/Stack-inl.h"
    case 2: 
      var $9=$3; //@line 384 "./vm/Stack-inl.h"
      var $10=__ZN2js19CreateFunCallObjectEP9JSContextPNS_10StackFrameE($9, $4); //@line 384 "./vm/Stack-inl.h"
      var $11=(($10)|0)!=0; //@line 384 "./vm/Stack-inl.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 384 "./vm/Stack-inl.h"
    case 3: 
      $1=0; //@line 385 "./vm/Stack-inl.h"
      __label__ = 9; break; //@line 385 "./vm/Stack-inl.h"
    case 4: 
      __label__ = 6; break; //@line 386 "./vm/Stack-inl.h"
    case 5: 
      var $15=__ZNK2js10StackFrame10scopeChainEv($4); //@line 388 "./vm/Stack-inl.h"
      __label__ = 6; break;
    case 6: 
      var $17=__ZNK2js10StackFrame6scriptEv($4); //@line 391 "./vm/Stack-inl.h"
      var $18=__ZNK8JSScript7nestingEv($17); //@line 391 "./vm/Stack-inl.h"
      var $19=(($18)|0)!=0; //@line 391 "./vm/Stack-inl.h"
      if ($19) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 391 "./vm/Stack-inl.h"
    case 7: 
      var $21=$3; //@line 393 "./vm/Stack-inl.h"
      __ZN2js5types15NestingPrologueEP9JSContextPNS_10StackFrameE($21, $4); //@line 393 "./vm/Stack-inl.h"
      __label__ = 8; break; //@line 394 "./vm/Stack-inl.h"
    case 8: 
      $1=1; //@line 396 "./vm/Stack-inl.h"
      __label__ = 9; break; //@line 396 "./vm/Stack-inl.h"
    case 9: 
      var $24=$1; //@line 397 "./vm/Stack-inl.h"
      ;
      return $24; //@line 397 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js23AutoPreserveEnumeratorsC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 66 "./jsinterpinlines.h"
  __ZN2js23AutoPreserveEnumeratorsC2EP9JSContext($3, $4); //@line 66 "./jsinterpinlines.h"
  ;
  return; //@line 66 "./jsinterpinlines.h"
}


function __ZN2js23AutoPreserveEnumeratorsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js23AutoPreserveEnumeratorsD2Ev($2); //@line 69 "./jsinterpinlines.h"
  ;
  return; //@line 71 "./jsinterpinlines.h"
}


function __ZN2js16InvokeFrameGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js16InvokeFrameGuardD2Ev($2); //@line 1780 "./vm/Stack.h"
  ;
  return; //@line 1780 "./vm/Stack.h"
}


function __ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($cx, $thisv, $fval, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $args=__stackBase__;
      var $8;
      var $thisp;
      $2=$cx;
      $3=$thisv;
      $4=$fval;
      $5=$argc;
      $6=$argv;
      $7=$rval;
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=(($9+60)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=$5; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($10, $11, $12, $args); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $8=1;
      __label__ = 10; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $16=$args; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=__ZNK2js12CallReceiver7calleevEv($16); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=$4; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=$17; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$18; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$args; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=__ZNK2js12CallReceiver5thisvEv($21); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$3; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=$22; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$23; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$args; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=__ZNK2js8CallArgs4argvEv($26); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=$27; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$6; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$29; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=$5; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=((($31<<3))|0); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert($32 % 1 === 0, 'memcpy given ' + $32 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($28, $30, $32, 1); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=$args; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=__ZNK2js12CallReceiver5thisvEv($33); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=__ZNK2JS5Value8isObjectEv($34); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($35) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $37=$args; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=__ZNK2js12CallReceiver5thisvEv($37); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=__ZNK2JS5Value8toObjectEv($38); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=$2; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $41=__ZN8JSObject10thisObjectEP9JSContext($39, $40); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $thisp=$41; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $42=$thisp; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=(($42)|0)!=0; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($43) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      $1=0; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $8=1;
      __label__ = 10; break; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $46=$args; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $47=__ZNK2js12CallReceiver5thisvEv($46); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=$thisp; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($47, $48); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 7; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $50=$2; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($50, $args, 0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      $1=0; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $8=1;
      __label__ = 10; break; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $54=$7; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$args; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=__ZNK2js12CallReceiver4rvalEv($55); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=$54; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=$56; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $8=1;
      __label__ = 10; break; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=$1; //@line 715 "./jstypedarrayinlines.h"
      STACKTOP = __stackBase__;
      return $60; //@line 715 "./jstypedarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_["X"]=1;

function __ZN2js17InvokeConstructorEP9JSContextRKN2JS5ValueEjPS3_S6_($cx, $fval, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $args=__stackBase__;
      var $7;
      $2=$cx;
      $3=$fval;
      $4=$argc;
      $5=$argv;
      $6=$rval;
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=$2; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=(($8+60)|0); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$2; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=$4; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($9, $10, $11, $args); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $7=1;
      __label__ = 6; break; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $15=$args; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=__ZNK2js12CallReceiver7calleevEv($15); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=$3; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=$16; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=$17; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$args; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=__ZNK2js12CallReceiver5thisvEv($20); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($21, 6); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$args; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=__ZNK2js8CallArgs4argvEv($22); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=$23; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$5; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$25; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=$4; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=((($27<<3))|0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert($28 % 1 === 0, 'memcpy given ' + $28 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($24, $26, $28, 1); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$2; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=__ZN2js17InvokeConstructorEP9JSContextRNS_15InvokeArgsGuardE($29, $args); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      $1=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $7=1;
      __label__ = 6; break; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $33=$6; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=$args; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=__ZNK2js12CallReceiver4rvalEv($34); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=$33; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=$35; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $7=1;
      __label__ = 6; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=$1; //@line 733 "./jstypedarrayinlines.h"
      STACKTOP = __stackBase__;
      return $39; //@line 733 "./jstypedarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js17InvokeConstructorEP9JSContextRKN2JS5ValueEjPS3_S6_["X"]=1;

function __ZN2js20InvokeGetterOrSetterEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_($cx, $obj, $fval, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $stackDummy_=__stackBase__;
      var $8=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$fval;
      $5=$argc;
      $6=$argv;
      $7=$rval;
      var $9=$2; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10LeaveTraceEP9JSContext($9); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $11=$stackDummy_; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=$2; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=(($12+48)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=HEAPU32[(($13)>>2)]; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=(($11)>>>0) < (($14)>>>0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $17=$2; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z21js_ReportOverRecursedP9JSContext($17); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      __label__ = 5; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $20=$2; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$3; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL11ObjectValueER8JSObject1804($8, $21); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$4; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$5; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=$6; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$7; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($20, $8, $22, $23, $24, $25); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$26; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $28=$1; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11ObjectValueER8JSObject1804($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2js13ExecuteKernelEP9JSContextP8JSScriptR8JSObjectRKN2JS5ValueENS_11ExecuteTypeEPNS_10StackFrameEPS7_($cx, $script, $scopeChain, $thisv, $type, $evalInFrame, $result) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $efg=__stackBase__;
      var $9;
      var $fp;
      var $preserve=__stackBase__+28;
      var $ok;
      $2=$cx;
      $3=$script;
      $4=$scopeChain;
      $5=$thisv;
      $6=$type;
      $7=$evalInFrame;
      $8=$result;
      var $10=$3; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=__ZNK8JSScript7isEmptyEv($10); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $13=$8; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=(($13)|0)!=0; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $16=$8; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($16); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 4; break; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      $1=1; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 22; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $19=$2; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10LeaveTraceEP9JSContext($19); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js17ExecuteFrameGuardC1Ev($efg); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$2; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=(($20+60)|0); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$2; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$3; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=$5; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$4; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$6; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=$7; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=__ZN2js12ContextStack16pushExecuteFrameEP9JSContextP8JSScriptRKN2JS5ValueER8JSObjectNS_11ExecuteTypeEPNS_10StackFrameEPNS_17ExecuteFrameGuardE($21, $22, $23, $24, $25, $26, $27, $efg); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      $1=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $9=1;
      __label__ = 21; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $31=$efg; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=__ZNK2js10FrameGuard2fpEv($31); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$32; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=$fp; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=__ZNK2js10StackFrame17isStrictEvalFrameEv($33); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $36=$2; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=$fp; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=__ZN2js20CreateEvalCallObjectEP9JSContextPNS_10StackFrameE($36, $37); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=(($38)|0)!=0; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      $1=0; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $9=1;
      __label__ = 21; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $42=$3; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=$42; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $44=(($43+36)|0); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $45=HEAPU8[($44)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $46=(($45)&255) >>> 2; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $47=$46 & 1; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=(($47) & 1); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $50=$2; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=$fp; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=__ZL14InitSharpSlotsP9JSContextPN2js10StackFrameE($50, $51); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      $1=0; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $9=1;
      __label__ = 21; break; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      var $55=$2; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=$3; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=__ZN2js6Probes14startExecutionEP9JSContextP8JSScript($55, $56); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=$3; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=$2; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=$4; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=__ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject($58, $59, 0, $60); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      $1=0; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $9=1;
      __label__ = 21; break; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      var $64=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $65=$3; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $66=$fp; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $67=__ZNK2js10StackFrame9thisValueEv($66); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptRKN2JS5ValueE($64, $65, $67); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=$2; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js23AutoPreserveEnumeratorsC1EP9JSContext($preserve, $68); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $70=$3; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $71=$fp; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $72=__ZN2js9RunScriptEP9JSContextP8JSScriptPNS_10StackFrameE($69, $70, $71); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $73=(($72)&1); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok=$73; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $74=$8; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $75=(($74)|0)!=0; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($75) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 16: 
      var $77=$ok; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $78=(($77)|0)!=0; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($78) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 17: 
      var $80=$8; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $81=$fp; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $82=__ZN2js10StackFrame11returnValueEv($81); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $83=$80; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $84=$82; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($83)>>2)]=HEAP32[(($84)>>2)];HEAP32[(($83+4)>>2)]=HEAP32[(($84+4)>>2)]; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 18: 
      var $86=$fp; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $87=__ZNK2js10StackFrame17isStrictEvalFrameEv($86); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($87) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 19: 
      var $89=$fp; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z16js_PutCallObjectPN2js10StackFrameE($89); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 20; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 20: 
      var $91=$2; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $92=$3; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $93=__ZN2js6Probes13stopExecutionEP9JSContextP8JSScript($91, $92); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $94=$ok; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $95=(($94)|0)!=0; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $96=$95 ^ 1; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $97=$96 ^ 1; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$97; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $9=1;
      __ZN2js23AutoPreserveEnumeratorsD1Ev($preserve); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 21; break;
    case 21: 
      __ZN2js17ExecuteFrameGuardD1Ev($efg); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 22; break;
    case 22: 
      var $100=$1; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ExecuteKernelEP9JSContextP8JSScriptR8JSObjectRKN2JS5ValueENS_11ExecuteTypeEPNS_10StackFrameEPS7_["X"]=1;

function __ZNK8JSObject27assertSpecialEqualitySyncedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 620 "./jsobj.h"
}


function __ZN2js6Probes14startExecutionEP9JSContextP8JSScript($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  var $ok;
  $1=$cx;
  $2=$script;
  $ok=1; //@line 644 "./jsprobes.h"
  var $3=$ok; //@line 656 "./jsprobes.h"
  var $4=(($3) & 1); //@line 656 "./jsprobes.h"
  ;
  return $4; //@line 656 "./jsprobes.h"
}


function __ZN2js6Probes13stopExecutionEP9JSContextP8JSScript($cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  var $ok;
  $1=$cx;
  $2=$script;
  $ok=1; //@line 662 "./jsprobes.h"
  var $3=$ok; //@line 674 "./jsprobes.h"
  var $4=(($3) & 1); //@line 674 "./jsprobes.h"
  ;
  return $4; //@line 674 "./jsprobes.h"
}


function __ZNK8JSScript7isEmptyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pc;
      $2=$this;
      var $3=$2;
      var $4=(($3+8)|0); //@line 163 "./jsscriptinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 163 "./jsscriptinlines.h"
      var $6=(($5)>>>0) > 3; //@line 163 "./jsscriptinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 163 "./jsscriptinlines.h"
    case 2: 
      $1=0; //@line 164 "./jsscriptinlines.h"
      __label__ = 7; break; //@line 164 "./jsscriptinlines.h"
    case 3: 
      var $9=(($3)|0); //@line 166 "./jsscriptinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 166 "./jsscriptinlines.h"
      $pc=$10; //@line 166 "./jsscriptinlines.h"
      var $11=$3; //@line 167 "./jsscriptinlines.h"
      var $12=(($11+36)|0); //@line 167 "./jsscriptinlines.h"
      var $13=HEAP8[($12)]; //@line 167 "./jsscriptinlines.h"
      var $14=$13 & 1; //@line 167 "./jsscriptinlines.h"
      var $15=(($14) & 1); //@line 167 "./jsscriptinlines.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 167 "./jsscriptinlines.h"
    case 4: 
      var $17=$pc; //@line 167 "./jsscriptinlines.h"
      var $18=HEAPU8[($17)]; //@line 167 "./jsscriptinlines.h"
      var $19=(($18)&255); //@line 167 "./jsscriptinlines.h"
      var $20=(($19)|0)==66; //@line 167 "./jsscriptinlines.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 167 "./jsscriptinlines.h"
    case 5: 
      var $22=$pc; //@line 168 "./jsscriptinlines.h"
      var $23=(($22+1)|0); //@line 168 "./jsscriptinlines.h"
      $pc=$23; //@line 168 "./jsscriptinlines.h"
      __label__ = 6; break; //@line 168 "./jsscriptinlines.h"
    case 6: 
      var $25=$pc; //@line 169 "./jsscriptinlines.h"
      var $26=HEAPU8[($25)]; //@line 169 "./jsscriptinlines.h"
      var $27=(($26)&255); //@line 169 "./jsscriptinlines.h"
      var $28=(($27)|0)==197; //@line 169 "./jsscriptinlines.h"
      $1=$28; //@line 169 "./jsscriptinlines.h"
      __label__ = 7; break; //@line 169 "./jsscriptinlines.h"
    case 7: 
      var $30=$1; //@line 170 "./jsscriptinlines.h"
      ;
      return $30; //@line 170 "./jsscriptinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value18payloadAsRawUint32Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 548 "./jsapi.h"
  var $4=$3; //@line 548 "./jsapi.h"
  var $5=(($4)|0); //@line 548 "./jsapi.h"
  var $6=$5; //@line 548 "./jsapi.h"
  var $7=HEAP32[(($6)>>2)]; //@line 548 "./jsapi.h"
  ;
  return $7; //@line 548 "./jsapi.h"
}


function __ZN2js17ExecuteFrameGuardC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js17ExecuteFrameGuardC2Ev($2); //@line 1783 "./vm/Stack.h"
  ;
  return; //@line 1783 "./vm/Stack.h"
}


function __ZNK2js10StackFrame17isStrictEvalFrameEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame11isEvalFrameEv($2); //@line 489 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { var $13 = 0;__label__ = 3; break; } //@line 489 "./vm/Stack.h"
    case 2: 
      var $5=__ZNK2js10StackFrame6scriptEv($2); //@line 489 "./vm/Stack.h"
      var $6=$5; //@line 489 "./vm/Stack.h"
      var $7=(($6+36)|0); //@line 489 "./vm/Stack.h"
      var $8=HEAPU8[($7)]; //@line 489 "./vm/Stack.h"
      var $9=(($8)&255) >>> 3; //@line 489 "./vm/Stack.h"
      var $10=$9 & 1; //@line 489 "./vm/Stack.h"
      var $11=(($10) & 1); //@line 489 "./vm/Stack.h"
      var $13 = $11;__label__ = 3; break;
    case 3: 
      var $13;
      ;
      return $13; //@line 490 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14InitSharpSlotsP9JSContextPN2js10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $prev;
      var $script;
      var $sharps;
      var $base;
      $2=$cx;
      $3=$fp;
      var $4=$3; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=__ZNK2js10StackFrame4prevEv($4); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $prev=$5; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=$3; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZNK2js10StackFrame6scriptEv($6); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $script=$7; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=$script; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=(($8+14)|0); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=HEAPU16[(($9)>>1)]; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=(($10)&65535); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=(($11-2)|0); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=$3; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZNK2js10StackFrame5slotsEv($13); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=(($14+($12<<3))|0); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $sharps=$15; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=$3; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=__ZNK2js10StackFrame13isGlobalFrameEv($16); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($17) { __label__ = 9; break; } else { __label__ = 2; break; } //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $19=$prev; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=__ZNK2js10StackFrame6scriptEv($19); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$20; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=(($21+36)|0); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=HEAPU8[($22)]; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=(($23)&255) >>> 2; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$24 & 1; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=(($25) & 1); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($26) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $28=$prev; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($28); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $31=$prev; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=__ZNK2js10StackFrame3funEv($31); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=__ZNK10JSFunction6scriptEv($32); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=(($33+64)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=$2; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=__ZN2js8Bindings13sharpSlotBaseEP9JSContext($34, $35); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $42 = $36;__label__ = 6; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $38=$prev; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=__ZNK2js10StackFrame8numFixedEv($38); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=(($39-2)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $42 = $40;__label__ = 6; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $42; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $base=$42; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=$base; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $44=(($43)|0) < 0; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      $1=0; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 11; break; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $47=$sharps; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=(($47)|0); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=$base; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=$prev; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=__ZNK2js10StackFrame5slotsEv($50); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=(($51+($49<<3))|0); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $53=$48; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54=$52; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$sharps; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=(($55+8)|0); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=$base; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=(($57+1)|0); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=$prev; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=__ZNK2js10StackFrame5slotsEv($59); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=(($60+($58<<3))|0); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $62=$56; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $63=$61; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)]; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $65=$sharps; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $66=(($65)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($66); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $67=$sharps; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=(($67+8)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value12setUndefinedEv($68); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break;
    case 10: 
      $1=1; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 11; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $71=$1; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $71; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14InitSharpSlotsP9JSContextPN2js10StackFrameE["X"]=1;

function __ZN2js17ExecuteFrameGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js17ExecuteFrameGuardD2Ev($2); //@line 1783 "./vm/Stack.h"
  ;
  return; //@line 1783 "./vm/Stack.h"
}


function __ZN2js7ExecuteEP9JSContextP8JSScriptR8JSObjectPN2JS5ValueE($cx, $script, $scopeChainArg, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $scopeChain=__stackBase__;
      var $thisObj;
      var $thisv=__stackBase__+4;
      $2=$cx;
      $3=$script;
      $4=$scopeChainArg;
      $5=$rval;
      var $6=$4; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($scopeChain)>>2)]=$6; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=$2; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($7, $scopeChain); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=HEAP32[(($scopeChain)>>2)]; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=(($8)|0)!=0; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $12=HEAP32[(($scopeChain)>>2)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=__ZNK8JSObject8isNativeEv($12); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $15=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      _JS_ReportErrorNumber($15, 2, 0, 266, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $17=$2; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=__ZNK9JSContext12hasRunOptionEj($17, 4); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $20=HEAP32[(($scopeChain)>>2)]; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN8JSObject10makeVarObjEv($20); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 7; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $22=HEAP32[(($scopeChain)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$2; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=__ZN8JSObject10thisObjectEP9JSContext($22, $23); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $thisObj=$24; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$thisObj; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=(($25)|0)!=0; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      $1=0; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $29=$thisObj; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL11ObjectValueER8JSObject1804($thisv, $29); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$2; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=$3; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=HEAP32[(($scopeChain)>>2)]; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=$5; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=__ZN2js13ExecuteKernelEP9JSContextP8JSScriptR8JSObjectRKN2JS5ValueENS_11ExecuteTypeEPNS_10StackFrameEPS7_($30, $31, $32, $thisv, 1, 0, $33); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$34; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $36=$1; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7ExecuteEP9JSContextP8JSScriptR8JSObjectPN2JS5ValueE["X"]=1;

function __ZN2js18CheckRedeclarationEP9JSContextP8JSObjectij($cx, $obj, $id, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj2=__stackBase__;
      var $prop=__stackBase__+4;
      var $oldAttrs=__stackBase__+8;
      var $isFunction;
      var $type;
      var $name;
      var $value=__stackBase__+12;
      var $bytes=__stackBase__+20;
      var $6=__stackBase__+24;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$attrs;
      var $8=$3; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$2; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$4; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($8, $9, $10, $obj2, $prop); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=(($11)|0)!=0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $15=HEAP32[(($prop)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=(($15)|0)!=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      $1=1; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $19=HEAP32[(($obj2)>>2)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=__ZNK8JSObject8isNativeEv($19); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $22=HEAP32[(($prop)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$22; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=__ZNK2js5Shape10attributesEv($23); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=(($24)&255); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($oldAttrs)>>2)]=$25; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $27=HEAP32[(($obj2)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=$2; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$4; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=__ZN8JSObject13getAttributesEP9JSContextiPj($27, $28, $29, $oldAttrs); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=(($30)|0)!=0; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      $1=0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $35=HEAP32[(($oldAttrs)>>2)]; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=$5; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=$35 | $36; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=$37 & 2; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=(($38)|0)==0; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $41=$5; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $42=$41 & 48; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=(($42)|0)!=0; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($43) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      $1=1; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      var $46=HEAP32[(($oldAttrs)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $47=$5; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=$46 ^ $47; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=$48 ^ -1; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=$49 & 48; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=(($50)|0)==0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      $1=1; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      var $54=HEAP32[(($oldAttrs)>>2)]; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$54 & 4; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=(($55)|0)!=0; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 16: 
      $1=1; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 17: 
      __label__ = 18; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 18: 
      var $60=HEAP32[(($oldAttrs)>>2)]; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=$60 & 48; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $62=(($61)|0)!=0; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $63=(($62)&1); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $isFunction=$63; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $64=$isFunction; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $65=(($64) & 1); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($65) { __label__ = 22; break; } else { __label__ = 19; break; } //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 19: 
      var $67=$3; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=$2; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=$4; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $70=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($67, $68, $69, $value); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $71=(($70)|0)!=0; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 20: 
      $1=0; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 21: 
      var $74=__ZN2jsL16IsFunctionObjectERKN2JS5ValueE1809($value); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $75=(($74)&1); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $isFunction=$75; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 22; break; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 22: 
      var $77=HEAP32[(($oldAttrs)>>2)]; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $78=$5; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $79=$77 & $78; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $80=$79 & 16; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $81=(($80)|0)!=0; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($81) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 23: 
      var $107 = (STRING_TABLE._js_getter_str);__label__ = 34; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 24: 
      var $84=HEAP32[(($oldAttrs)>>2)]; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $85=$5; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $86=$84 & $85; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $87=$86 & 32; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $88=(($87)|0)!=0; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($88) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 25: 
      var $105 = (STRING_TABLE._js_setter_str);__label__ = 33; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 26: 
      var $91=HEAP32[(($oldAttrs)>>2)]; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $92=$91 & 2; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $93=(($92)|0)!=0; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($93) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 27: 
      var $103 = (STRING_TABLE._js_const_str);__label__ = 32; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 28: 
      var $96=$isFunction; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $97=(($96) & 1); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($97) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 29: 
      var $101 = (STRING_TABLE._js_function_str);__label__ = 31; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 30: 
      var $101 = (STRING_TABLE._js_var_str);__label__ = 31; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 31: 
      var $101; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $103 = $101;__label__ = 32; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 32: 
      var $103; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $105 = $103;__label__ = 33; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 33: 
      var $105; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $107 = $105;__label__ = 34; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 34: 
      var $107; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $108=(($107)|0); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $type=$108; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $109=$2; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $110=$4; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2jsL9IdToValueEi1799($6, $110); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $111=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($109, $6, $bytes, 0); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $name=$111; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $112=$name; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $113=(($112)|0)!=0; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($113) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 35: 
      $1=0; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $7=1;
      __label__ = 37; break; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 36: 
      var $116=$2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $117=$type; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $118=$name; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $119=_JS_ReportErrorFlagsAndNumber($116, 0, 2, 0, 155, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$117,HEAP32[((tempInt+4)>>2)]=$118,tempInt)); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $7=1;
      __label__ = 37; break; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 37: 
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 38; break;
    case 38: 
      var $122=$1; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $122; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js18CheckRedeclarationEP9JSContextP8JSObjectij["X"]=1;

function __ZN2jsL16IsFunctionObjectERKN2JS5ValueE1809($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 270 "./jsfun.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 270 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 270 "./jsfun.h"
    case 2: 
      var $5=$1; //@line 270 "./jsfun.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 270 "./jsfun.h"
      var $7=__ZNK8JSObject10isFunctionEv($6); //@line 270 "./jsfun.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 271 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11HasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPi($cx, $obj, $v, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $clasp;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$v;
      $5=$bp;
      var $7=$3; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=__ZNK8JSObject8getClassEv($7); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $clasp=$8; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$clasp; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=(($9+60)|0); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=(($11)|0)!=0; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $14=$clasp; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=(($14+60)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=$2; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=$3; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=$4; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$5; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=FUNCTION_TABLE[$16]($17, $18, $19, $20); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$21; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 4; break; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $23=$2; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=$3; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JSL11ObjectValueER8JSObject1804($6, $24); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($23, 0, 31, 1, $6, 0, 0, 0); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 4; break; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $27=$1; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12LooselyEqualEP9JSContextRKN2JS5ValueES5_Pi($cx, $lval, $rval, $result) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $l;
      var $r;
      var $l1;
      var $r2;
      var $l3;
      var $r4;
      var $eq;
      var $lvalue=__stackBase__;
      var $rvalue=__stackBase__+8;
      var $l5;
      var $r6;
      var $l7=__stackBase__+16;
      var $r8=__stackBase__+24;
      $2=$cx;
      $3=$lval;
      $4=$rval;
      $5=$result;
      var $6=$3; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZNK2JS5Value8isObjectEv($6); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $9=$3; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=__ZNK8JSObject5isXMLEv($10); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $13=$4; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZNK2JS5Value8isObjectEv($13); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $16=$4; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=__ZNK2JS5Value8toObjectEv($16); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=__ZNK8JSObject5isXMLEv($17); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $20=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$3; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$4; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=__Z18js_TestXMLEqualityP9JSContextRKN2JS5ValueES4_Pi($20, $21, $22, $23); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=(($24)|0)!=0; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$25; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $27=$3; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=$4; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=__ZN2JS8SameTypeERKNS_5ValueES2_($27, $28); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 16; break; } //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $31=$3; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=__ZNK2JS5Value8isStringEv($31); //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $34=$3; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=__ZNK2JS5Value8toStringEv($34); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l=$35; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=$4; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=__ZNK2JS5Value8toStringEv($36); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r=$37; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=$2; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=$l; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=$r; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $41=$5; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $42=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($38, $39, $40, $41); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$42; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $44=$3; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $45=__ZNK2JS5Value8isDoubleEv($44); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $47=$3; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=__ZNK2JS5Value8toDoubleEv($47); //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l1=$48; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=$4; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=__ZNK2JS5Value8toDoubleEv($49); //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r2=$50; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=$l1; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=$r2; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $53=$51 == $52; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54=(($53)&1); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$5; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $57=$3; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=__ZNK2JS5Value8isObjectEv($57); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      var $60=$3; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=__ZNK2JS5Value8toObjectEv($60); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l3=$61; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $62=$4; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $63=__ZNK2JS5Value8toObjectEv($62); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r4=$63; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $64=$l3; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZNK8JSObject27assertSpecialEqualitySyncedEv($64); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $65=$l3; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $66=__ZNK8JSObject8getClassEv($65); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $67=(($66+68)|0); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=(($67)|0); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $eq=$69; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $70=$eq; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $71=(($70)|0)!=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      var $73=$eq; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $74=$2; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $75=$l3; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $76=$4; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $77=$5; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $78=FUNCTION_TABLE[$73]($74, $75, $76, $77); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $79=(($78)|0)!=0; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$79; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      var $81=$l3; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $82=$r4; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $83=(($81)|0)==(($82)|0); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $84=(($83)&1); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $85=$5; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($85)>>2)]=$84; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      var $87=$3; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $88=__ZNK2JS5Value18payloadAsRawUint32Ev($87); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $89=$4; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $90=__ZNK2JS5Value18payloadAsRawUint32Ev($89); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $91=(($88)|0)==(($90)|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $92=(($91)&1); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $93=$5; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($93)>>2)]=$92; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 16: 
      var $95=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $96=__ZNK2JS5Value17isNullOrUndefinedEv($95); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($96) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 17: 
      var $98=$4; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $99=__ZNK2JS5Value17isNullOrUndefinedEv($98); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $100=(($99)&1); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $101=$5; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($101)>>2)]=$100; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 18: 
      var $103=$4; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $104=__ZNK2JS5Value17isNullOrUndefinedEv($103); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($104) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 19: 
      var $106=$5; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($106)>>2)]=0; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 20: 
      var $108=$3; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $109=$lvalue; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $110=$108; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($109)>>2)]=HEAP32[(($110)>>2)];HEAP32[(($109+4)>>2)]=HEAP32[(($110+4)>>2)]; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $111=$4; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $112=$rvalue; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $113=$111; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($112)>>2)]=HEAP32[(($113)>>2)];HEAP32[(($112+4)>>2)]=HEAP32[(($113+4)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $114=$2; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $115=__ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE($114, $lvalue); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($115) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 21: 
      $1=0; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 22: 
      var $118=$2; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $119=__ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE($118, $rvalue); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($119) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 23: 
      $1=0; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 24: 
      var $122=__ZNK2JS5Value8isStringEv($lvalue); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($122) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 25: 
      var $124=__ZNK2JS5Value8isStringEv($rvalue); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($124) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 26: 
      var $126=__ZNK2JS5Value8toStringEv($lvalue); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $l5=$126; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $127=__ZNK2JS5Value8toStringEv($rvalue); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $r6=$127; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $128=$2; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $129=$l5; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $130=$r6; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $131=$5; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $132=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($128, $129, $130, $131); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$132; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 27: 
      var $134=$2; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $135=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($134, $lvalue, $l7); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($135) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 28: 
      var $137=$2; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $138=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($137, $rvalue, $r8); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($138) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 29: 
      $1=0; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 30: 
      var $141=(tempDoubleI32[0]=HEAP32[(($l7)>>2)],tempDoubleI32[1]=HEAP32[(($l7+4)>>2)],tempDoubleF64[0]); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $142=(tempDoubleI32[0]=HEAP32[(($r8)>>2)],tempDoubleI32[1]=HEAP32[(($r8+4)>>2)],tempDoubleF64[0]); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $143=$141 == $142; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $144=(($143)&1); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $145=$5; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($145)>>2)]=$144; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 31; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 31: 
      var $147=$1; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $147; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12LooselyEqualEP9JSContextRKN2JS5ValueES5_Pi["X"]=1;

function __ZN2JS8SameTypeERKNS_5ValueES2_($lhs, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+8;
  $1=$lhs;
  $2=$rhs;
  var $5=$1; //@line 781 "./jsapi.h"
  var $6=(($5)|0); //@line 781 "./jsapi.h"
  var $7=$3; //@line 781 "./jsapi.h"
  var $8=$6; //@line 781 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 781 "./jsapi.h"
  var $9=$2; //@line 781 "./jsapi.h"
  var $10=(($9)|0); //@line 781 "./jsapi.h"
  var $11=$4; //@line 781 "./jsapi.h"
  var $12=$10; //@line 781 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 781 "./jsapi.h"
  var $13=_JSVAL_SAME_TYPE_IMPL($3, $4); //@line 781 "./jsapi.h"
  var $14=(($13)|0)!=0; //@line 781 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $14; //@line 781 "./jsapi.h"
}


function __ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$vp;
      var $4=$3; //@line 2136 "./jsobj.h"
      var $5=__ZNK2JS5Value11isPrimitiveEv($4); //@line 2136 "./jsobj.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2136 "./jsobj.h"
    case 2: 
      $1=1; //@line 2137 "./jsobj.h"
      __label__ = 4; break; //@line 2137 "./jsobj.h"
    case 3: 
      var $8=$3; //@line 2138 "./jsobj.h"
      var $9=__ZNK2JS5Value8toObjectEv($8); //@line 2138 "./jsobj.h"
      var $10=$2; //@line 2138 "./jsobj.h"
      var $11=$3; //@line 2138 "./jsobj.h"
      var $12=__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($9, $10, 0, $11); //@line 2138 "./jsobj.h"
      $1=$12; //@line 2138 "./jsobj.h"
      __label__ = 4; break; //@line 2138 "./jsobj.h"
    case 4: 
      var $14=$1; //@line 2139 "./jsobj.h"
      ;
      return $14; //@line 2139 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZeqRK8JSObjectS1_1816($lhs, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$lhs;
  $2=$rhs;
  var $3=$1; //@line 1596 "./jsobj.h"
  var $4=$2; //@line 1596 "./jsobj.h"
  var $5=(($3)|0)==(($4)|0); //@line 1596 "./jsobj.h"
  ;
  return $5; //@line 1596 "./jsobj.h"
}


function __ZN2js6Probes12calloutBeginEP9JSContextP10JSFunction($cx, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  var $ok;
  $1=$cx;
  $2=$fun;
  $ok=1; //@line 475 "./jsprobes.h"
  var $3=$ok; //@line 482 "./jsprobes.h"
  var $4=(($3) & 1); //@line 482 "./jsprobes.h"
  ;
  return $4; //@line 482 "./jsprobes.h"
}


function __ZN2js6Probes10calloutEndEP9JSContextP10JSFunction($cx, $fun) {
  ;
  var __label__;

  var $1;
  var $2;
  var $ok;
  $1=$cx;
  $2=$fun;
  $ok=1; //@line 488 "./jsprobes.h"
  var $3=$ok; //@line 495 "./jsprobes.h"
  var $4=(($3) & 1); //@line 495 "./jsprobes.h"
  ;
  return $4; //@line 495 "./jsprobes.h"
}


function _INT_FITS_IN_JSID1825($i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$1; //@line 1542 "./jsapi.h"
  var $3=(($2+1073741824)|0); //@line 1542 "./jsapi.h"
  var $4=(($3)>>>0) <= 2147483647; //@line 1542 "./jsapi.h"
  var $5=(($4)&1); //@line 1542 "./jsapi.h"
  ;
  return $5; //@line 1542 "./jsapi.h"
}


function _INT_TO_JSID1826($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function _OBJECT_TO_JSID1827($obj) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$obj;
  var $2=$1; //@line 1575 "./jsapi.h"
  var $3=$2; //@line 1575 "./jsapi.h"
  var $4=$3 | 4; //@line 1575 "./jsapi.h"
  $iden=$4; //@line 1575 "./jsapi.h"
  var $5=$iden; //@line 1576 "./jsapi.h"
  ;
  return $5; //@line 1576 "./jsapi.h"
}


function __ZNK10JSFunction13isConstructorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+58)|0); //@line 132 "./jsfun.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 132 "./jsfun.h"
  var $5=(($4)&65535); //@line 132 "./jsfun.h"
  var $6=$5 & 512; //@line 132 "./jsfun.h"
  var $7=(($6)|0)!=0; //@line 132 "./jsfun.h"
  ;
  return $7; //@line 132 "./jsfun.h"
}


function __ZNK8JSObject7isXMLIdEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 1565 "./jsobj.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1565 "./jsobj.h"
      var $5=(($4)|0)==((__ZN2js10QNameClassE)|0); //@line 1565 "./jsobj.h"
      if ($5) { var $15 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 1565 "./jsobj.h"
    case 2: 
      var $7=(($2+4)|0); //@line 1565 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1565 "./jsobj.h"
      var $9=(($8)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 1565 "./jsobj.h"
      if ($9) { var $15 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1565 "./jsobj.h"
    case 3: 
      var $11=(($2+4)|0); //@line 1565 "./jsobj.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1565 "./jsobj.h"
      var $13=(($12)|0)==((__ZN2js12AnyNameClassE)|0); //@line 1565 "./jsobj.h"
      var $15 = $13;__label__ = 4; break; //@line 1565 "./jsobj.h"
    case 4: 
      var $15;
      ;
      return $15; //@line 1565 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject6isWithEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1546 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1546 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js9WithClassE)|0); //@line 1546 "./jsobj.h"
  ;
  return $5; //@line 1546 "./jsobj.h"
}


function __ZNK8JSObject7isBlockEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1547 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1547 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js10BlockClassE)|0); //@line 1547 "./jsobj.h"
  ;
  return $5; //@line 1547 "./jsobj.h"
}


function __ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi($cx, $lref, $rref, $equal) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $lval=__stackBase__;
      var $rval=__stackBase__+8;
      var $ld;
      var $rd;
      var $ld1;
      var $rd2;
      $2=$cx;
      $3=$lref;
      $4=$rref;
      $5=$equal;
      var $6=$3; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=$lval; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=$6; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$4; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$rval; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=$9; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=__ZN2JS8SameTypeERKNS_5ValueES2_($lval, $rval); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $14=__ZNK2JS5Value8isStringEv($lval); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $16=$2; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=__ZNK2JS5Value8toStringEv($lval); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=__ZNK2JS5Value8toStringEv($rval); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=$5; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($16, $17, $18, $19); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$20; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $22=__ZNK2JS5Value8isDoubleEv($lval); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $24=__ZNK2JS5Value8toDoubleEv($lval); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=__ZNK2JS5Value8toDoubleEv($rval); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$24 == $25; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=(($26)&1); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=$5; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $30=__ZNK2JS5Value8isObjectEv($lval); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $32=__ZNK2JS5Value8toObjectEv($lval); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($rval); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=__ZeqRK8JSObjectS1_1816($32, $33); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=(($34)&1); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=$5; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $38=__ZNK2JS5Value11isUndefinedEv($lval); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $40=$5; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($40)>>2)]=1; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $42=__ZNK2JS5Value18payloadAsRawUint32Ev($lval); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=__ZNK2JS5Value18payloadAsRawUint32Ev($rval); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $44=(($42)|0)==(($43)|0); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $45=(($44)&1); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $46=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($46)>>2)]=$45; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $48=__ZNK2JS5Value8isDoubleEv($lval); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      var $50=__ZNK2JS5Value7isInt32Ev($rval); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($50) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      var $52=__ZNK2JS5Value8toDoubleEv($lval); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ld=$52; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $53=__ZNK2JS5Value7toInt32Ev($rval); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54=(($53)|0); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rd=$54; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$ld; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=$rd; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=$55 == $56; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=(($57)&1); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($59)>>2)]=$58; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      var $61=__ZNK2JS5Value7isInt32Ev($lval); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      var $63=__ZNK2JS5Value8isDoubleEv($rval); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($63) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 16: 
      var $65=__ZNK2JS5Value7toInt32Ev($lval); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $66=(($65)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ld1=$66; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $67=__ZNK2JS5Value8toDoubleEv($rval); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $rd2=$67; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=$ld1; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=$rd2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $70=$68 == $69; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $71=(($70)&1); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $72=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($72)>>2)]=$71; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 17: 
      var $74=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($74)>>2)]=0; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 18; break; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 18: 
      var $76=$1; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $76; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi["X"]=1;

function __ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi($cx, $v1, $v2, $same) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$v1;
      $4=$v2;
      $5=$same;
      var $6=$3; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZL14IsNegativeZeroRKN2JS5ValueE($6); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $9=$4; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=__ZL14IsNegativeZeroRKN2JS5ValueE($9); //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=(($10)&1); //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=$5; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $14=$4; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=__ZL14IsNegativeZeroRKN2JS5ValueE($14); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $17=$5; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($17)>>2)]=0; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $19=$3; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=__ZL5IsNaNRKN2JS5ValueE($19); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $22=$4; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=__ZL5IsNaNRKN2JS5ValueE($22); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $25=$5; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($25)>>2)]=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $27=$2; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=$3; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$4; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$5; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi($27, $28, $29, $30); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$31; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $33=$1; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $33; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14IsNegativeZeroRKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3=__ZNK2JS5Value8isDoubleEv($2); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3) { __label__ = 2; break; } else { var $10 = 0;__label__ = 3; break; } //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $5=$1; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=__ZNK2JS5Value8toDoubleEv($5); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=_JSDOUBLE_IS_NEGZERO1872($6); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=(($7)|0)!=0; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10 = $8;__label__ = 3; break;
    case 3: 
      var $10;
      ;
      return $10; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL5IsNaNRKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3=__ZNK2JS5Value8isDoubleEv($2); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3) { __label__ = 2; break; } else { var $10 = 0;__label__ = 3; break; } //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $5=$1; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=__ZNK2JS5Value8toDoubleEv($5); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZL15JSDOUBLE_IS_NaNd1870($6); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=(($7)|0)!=0; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10 = $8;__label__ = 3; break;
    case 3: 
      var $10;
      ;
      return $10; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TypeOfValueEP9JSContextRKN2JS5ValueE($cx, $vref) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v=__stackBase__;
      $2=$cx;
      $3=$vref;
      var $4=$3; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=$v; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZNK2JS5Value8isNumberEv($v); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=4; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $10=__ZNK2JS5Value8isStringEv($v); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      $1=3; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $13=__ZNK2JS5Value6isNullEv($v); //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($13) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      $1=1; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $16=__ZNK2JS5Value11isUndefinedEv($v); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($16) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      $1=0; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $19=__ZNK2JS5Value8isObjectEv($v); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($19) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $21=__ZNK2JS5Value8toObjectEv($v); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$2; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=__ZN8JSObject6typeOfEP9JSContext($21, $22); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$23; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      $1=5; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 12; break; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      var $26=$1; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject6typeOfEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $op;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSObject6getOpsEv($3); //@line 1508 "./jsobj.h"
      var $5=(($4+116)|0); //@line 1508 "./jsobj.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1508 "./jsobj.h"
      $op=$6; //@line 1508 "./jsobj.h"
      var $7=$op; //@line 1509 "./jsobj.h"
      var $8=(($7)|0)!=0; //@line 1509 "./jsobj.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1509 "./jsobj.h"
    case 2: 
      var $10=$op; //@line 1509 "./jsobj.h"
      var $13 = $10;__label__ = 4; break; //@line 1509 "./jsobj.h"
    case 3: 
      var $13 = 148;__label__ = 4; break; //@line 1509 "./jsobj.h"
    case 4: 
      var $13; //@line 1509 "./jsobj.h"
      var $14=$2; //@line 1509 "./jsobj.h"
      var $15=FUNCTION_TABLE[$13]($14, $3); //@line 1509 "./jsobj.h"
      ;
      return $15; //@line 1509 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js23InvokeConstructorKernelEP9JSContextRKNS_8CallArgsE($cx, $argsRef) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $args=__stackBase__;
      var $callee;
      var $clasp;
      var $fun;
      var $ok;
      $2=$cx;
      $3=$argsRef;
      var $4=$3; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=$args; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=$4; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=$args; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=__ZNK2js12CallReceiver7calleevEv($7); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=__ZNK2JS5Value8isObjectEv($8); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $11=$args; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=__ZNK2js12CallReceiver6calleeEv($11); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $callee=$12; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=$callee; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $clasp=$14; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=$clasp; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=(($15)|0)==((__ZN2js13FunctionClassE)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $18=$callee; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=__ZNK8JSObject18getFunctionPrivateEv($18); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun=$19; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$fun; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=__ZNK10JSFunction13isConstructorEv($20); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $23=$args; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=__ZNK2js12CallReceiver5thisvEv($23); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value31setMagicWithObjectOrNullPayloadEP8JSObject($24, 0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$2; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$fun; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=__ZN2js6Probes12calloutBeginEP9JSContextP10JSFunction($25, $26); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=$2; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$fun; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=(($29+60)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=$30; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=(($31)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=__ZN2js23CallJSNativeConstructorEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($28, $33, $args); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=(($34)&1); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok=$35; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=$2; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=$fun; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=__ZN2js6Probes10calloutEndEP9JSContextP10JSFunction($36, $37); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=$ok; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=(($39) & 1); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$40; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 15; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $42=$fun; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=__ZNK10JSFunction24isInterpretedConstructorEv($42); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($43) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      __label__ = 14; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $46=$2; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $47=__ZN2js12InvokeKernelEP9JSContextRKNS_8CallArgsENS_14MaybeConstructE($46, $args, 128); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      $1=0; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 15; break; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      $1=1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 15; break; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $51=$clasp; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=(($51+52)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54=(($53)|0)!=0; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $56=$args; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=__ZNK2js12CallReceiver5thisvEv($56); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value31setMagicWithObjectOrNullPayloadEP8JSObject($57, 0); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=$2; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=$clasp; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=(($59+52)|0); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $62=__ZN2js23CallJSNativeConstructorEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($58, $61, $args); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$62; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 15; break; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      __label__ = 13; break; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      __label__ = 14; break; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      var $66=$2; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $67=$args; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=__ZNK2js12CallReceiver7calleevEv($67); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($66, $68, 128); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=0; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 15; break; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 15: 
      var $70=$1; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $70; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js23InvokeConstructorKernelEP9JSContextRKNS_8CallArgsE["X"]=1;

function __ZN2JS5Value31setMagicWithObjectOrNullPayloadEP8JSObject($this, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$obj;
  var $4=$1;
  var $5=(($4)|0); //@line 310 "./jsapi.h"
  var $6=$2; //@line 310 "./jsapi.h"
  _MAGIC_OBJ_TO_JSVAL_IMPL($3, $6); //@line 310 "./jsapi.h"
  var $7=$5; //@line 310 "./jsapi.h"
  var $8=$3; //@line 310 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 310 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 311 "./jsapi.h"
}


function __ZN2js23CallJSNativeConstructorEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($cx, $native, $args) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$native;
      $4=$args;
      var $5=$2; //@line 315 "./jscntxtinlines.h"
      var $6=$3; //@line 315 "./jscntxtinlines.h"
      var $7=$4; //@line 315 "./jscntxtinlines.h"
      var $8=__ZN2js12CallJSNativeEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($5, $6, $7); //@line 315 "./jscntxtinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 315 "./jscntxtinlines.h"
    case 2: 
      $1=0; //@line 316 "./jscntxtinlines.h"
      __label__ = 4; break; //@line 316 "./jscntxtinlines.h"
    case 3: 
      $1=1; //@line 339 "./jscntxtinlines.h"
      __label__ = 4; break; //@line 339 "./jscntxtinlines.h"
    case 4: 
      var $12=$1; //@line 340 "./jscntxtinlines.h"
      ;
      return $12; //@line 340 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK10JSFunction24isInterpretedConstructorEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK10JSFunction13isInterpretedEv($2); //@line 137 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { var $8 = 0;__label__ = 3; break; } //@line 137 "./jsfun.h"
    case 2: 
      var $5=__ZNK10JSFunction19isFunctionPrototypeEv($2); //@line 137 "./jsfun.h"
      var $6=$5 ^ 1; //@line 137 "./jsfun.h"
      var $8 = $6;__label__ = 3; break;
    case 3: 
      var $8;
      ;
      return $8; //@line 137 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js30InvokeConstructorWithGivenThisEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_($cx, $thisobj, $fval, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $args=__stackBase__;
      var $8;
      var $callee;
      var $clasp;
      var $fun;
      var $ok;
      $2=$cx;
      $3=$thisobj;
      $4=$fval;
      $5=$argc;
      $6=$argv;
      $7=$rval;
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$2; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=(($9+60)|0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=$2; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=$5; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($10, $11, $12, $args); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      $1=0; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $8=1;
      __label__ = 11; break; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $16=$args; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=__ZNK2js12CallReceiver7calleevEv($16); //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=$4; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=$17; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$18; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$args; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=__ZNK2js8CallArgs4argvEv($21); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$22; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=$6; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$24; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$5; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=((($26<<3))|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert($27 % 1 === 0, 'memcpy given ' + $27 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($23, $25, $27, 1); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=__ZNK2JS5Value8toObjectEv($28); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $callee=$29; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$callee; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=__ZNK8JSObject8getClassEv($30); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $clasp=$31; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=$clasp; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=(($32)|0)==((__ZN2js13FunctionClassE)|0); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $35=$callee; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=__ZNK8JSObject18getFunctionPrivateEv($35); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fun=$36; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=__ZNK10JSFunction13isConstructorEv($36); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($37) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $39=$args; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=__ZNK2js12CallReceiver5thisvEv($39); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $41=$3; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value31setMagicWithObjectOrNullPayloadEP8JSObject($40, $41); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $42=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=$fun; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $44=__ZN2js6Probes12calloutBeginEP9JSContextP10JSFunction($42, $43); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $45=$2; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $46=$fun; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $47=(($46+60)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=$47; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=(($48)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=$args; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=__ZN2js23CallJSNativeConstructorEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($45, $50, $51); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $53=(($52)&1); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok=$53; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54=$2; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$fun; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=__ZN2js6Probes10calloutEndEP9JSContextP10JSFunction($54, $55); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $58=$clasp; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=(($58+52)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=(($60)|0)!=0; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($61) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $63=$args; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $64=__ZNK2js12CallReceiver5thisvEv($63); //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $65=$3; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value31setMagicWithObjectOrNullPayloadEP8JSObject($64, $65); //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $66=$2; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $67=$clasp; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $68=(($67+52)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $70=$args; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $71=__ZN2js23CallJSNativeConstructorEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE($66, $69, $70); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $72=(($71)&1); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok=$72; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $74=$args; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $75=__ZNK2js12CallReceiver5thisvEv($74); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $76=$3; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value15setObjectOrNullEP8JSObject($75, $76); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $77=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $78=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($77, $args, 128); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $79=(($78)&1); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ok=$79; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $82=$7; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $83=$args; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $84=__ZNK2js12CallReceiver4rvalEv($83); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $85=$82; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $86=$84; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($85)>>2)]=HEAP32[(($86)>>2)];HEAP32[(($85+4)>>2)]=HEAP32[(($86+4)>>2)]; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $87=$ok; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $88=(($87) & 1); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$88; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $8=1;
      __label__ = 11; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $90=$1; //@line 1169 "./jstypedarrayinlines.h"
      STACKTOP = __stackBase__;
      return $90; //@line 1169 "./jstypedarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js30InvokeConstructorWithGivenThisEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_["X"]=1;

function __ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($cx, $v, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i=__stackBase__;
      var $obj;
      $2=$cx;
      $3=$v;
      $4=$idp;
      var $5=$3; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($5, $i); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $8=HEAP32[(($i)>>2)]; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=_INT_FITS_IN_JSID1825($8); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=(($9)|0)!=0; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $12=HEAP32[(($i)>>2)]; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=_INT_TO_JSID1826($12); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=$4; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $16=$3; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=__ZNK2JS5Value8isObjectEv($16); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $19=$3; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=__ZNK2JS5Value8toObjectEv($19); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $obj=$20; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$obj; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=__ZNK8JSObject7isXMLIdEv($21); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $24=$obj; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=_OBJECT_TO_JSID1827($24); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$4; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($26)>>2)]=$25; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      __label__ = 8; break; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $29=$2; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$3; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=$4; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($29, $30, $31); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$32; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      var $34=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi($v, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$v;
      $3=$pi;
      var $4=$2; //@line 609 "./jsnum.h"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 609 "./jsnum.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 609 "./jsnum.h"
    case 2: 
      var $7=$2; //@line 610 "./jsnum.h"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 610 "./jsnum.h"
      var $9=$3; //@line 610 "./jsnum.h"
      HEAP32[(($9)>>2)]=$8; //@line 610 "./jsnum.h"
      $1=1; //@line 611 "./jsnum.h"
      __label__ = 6; break; //@line 611 "./jsnum.h"
    case 3: 
      var $11=$2; //@line 613 "./jsnum.h"
      var $12=__ZNK2JS5Value8isDoubleEv($11); //@line 613 "./jsnum.h"
      if ($12) { __label__ = 4; break; } else { var $20 = 0;__label__ = 5; break; } //@line 613 "./jsnum.h"
    case 4: 
      var $14=$2; //@line 613 "./jsnum.h"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 613 "./jsnum.h"
      var $16=$3; //@line 613 "./jsnum.h"
      var $17=_JSDOUBLE_IS_INT321871($15, $16); //@line 613 "./jsnum.h"
      var $18=(($17)|0)!=0; //@line 613 "./jsnum.h"
      var $20 = $18;__label__ = 5; break;
    case 5: 
      var $20;
      $1=$20;
      __label__ = 6; break;
    case 6: 
      var $22=$1; //@line 614 "./jsnum.h"
      ;
      return $22; //@line 614 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js19IsActiveWithOrBlockEP9JSContextR8JSObjecti($cx, $obj, $stackDepth) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$obj;
      $3=$stackDepth;
      var $4=$2; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=__ZNK8JSObject6isWithEv($4); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $7=$2; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=__ZNK8JSObject7isBlockEv($7); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($8) { __label__ = 3; break; } else { var $25 = 0;__label__ = 5; break; } //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $10=$2; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=__ZNK8JSObject10getPrivateEv($10); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=$1; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=$1; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZNK9JSContext2fpEv($13); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=__Z27js_FloatingFrameIfGeneratorP9JSContextPN2js10StackFrameE($12, $14); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=$15; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=(($11)|0)==(($16)|0); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($17) { __label__ = 4; break; } else { var $25 = 0;__label__ = 5; break; } //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $19=$2; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=__ZNK8JSObject12getFixedSlotEj($19, 0); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=__ZNK2JS5Value7toInt32Ev($20); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$3; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=(($21)|0) >= (($22)|0); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25 = $23;__label__ = 5; break;
    case 5: 
      var $25;
      ;
      return $25; //@line 1251 "./jstypedarrayinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript15stepModeEnabledEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 814 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 814 "./jsscript.h"
  var $5=(($4)|0)!=0; //@line 814 "./jsscript.h"
  var $6=$5 ^ 1; //@line 814 "./jsscript.h"
  var $7=$6 ^ 1; //@line 814 "./jsscript.h"
  ;
  return $7; //@line 814 "./jsscript.h"
}


function __ZNK23GenericInterruptEnablerIiE16enableInterruptsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $5=(($2+4)|0); //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  HEAP32[(($6)>>2)]=$4; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function __ZN12JSPCCounters3getEi($this, $runmode) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$runmode;
      var $3=$1;
      var $4=(($3+4)|0); //@line 416 "./jsscript.h"
      var $5=HEAP32[(($4)>>2)]; //@line 416 "./jsscript.h"
      var $6=(($5)|0)!=0; //@line 416 "./jsscript.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 416 "./jsscript.h"
    case 2: 
      var $8=(($3)|0); //@line 416 "./jsscript.h"
      var $9=HEAP32[(($8)>>2)]; //@line 416 "./jsscript.h"
      var $10=$2; //@line 416 "./jsscript.h"
      var $11=(($9*$10)|0); //@line 416 "./jsscript.h"
      var $12=(($3+4)|0); //@line 416 "./jsscript.h"
      var $13=HEAP32[(($12)>>2)]; //@line 416 "./jsscript.h"
      var $14=(($13+($11<<3))|0); //@line 416 "./jsscript.h"
      var $17 = $14;__label__ = 4; break; //@line 416 "./jsscript.h"
    case 3: 
      var $17 = 0;__label__ = 4; break; //@line 416 "./jsscript.h"
    case 4: 
      var $17; //@line 416 "./jsscript.h"
      ;
      return $17; //@line 416 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame18loweredCallOrApplyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1098 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1098 "./vm/Stack.h"
  var $5=$4 & 4194304; //@line 1098 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1098 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1098 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1098 "./vm/Stack.h"
  ;
  return $8; //@line 1098 "./vm/Stack.h"
}


function __ZN2JS5Value4swapERS0_($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $tmp=__stackBase__;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 359 "./jsapi.h"
  var $5=(($4)|0); //@line 359 "./jsapi.h"
  var $6=$5; //@line 359 "./jsapi.h"
  var $st$9$0=(($6)|0);
  var $7$0=HEAP32[(($st$9$0)>>2)];
  var $st$9$1=(($6+4)|0);
  var $7$1=HEAP32[(($st$9$1)>>2)];
  var $st$13$0=(($tmp)|0);
  HEAP32[(($st$13$0)>>2)]=$7$0;
  var $st$13$1=(($tmp+4)|0);
  HEAP32[(($st$13$1)>>2)]=$7$1;
  var $8=(($3)|0); //@line 360 "./jsapi.h"
  var $9=$8; //@line 360 "./jsapi.h"
  var $st$19$0=(($9)|0);
  var $10$0=HEAP32[(($st$19$0)>>2)];
  var $st$19$1=(($9+4)|0);
  var $10$1=HEAP32[(($st$19$1)>>2)];
  var $11=$2; //@line 360 "./jsapi.h"
  var $12=(($11)|0); //@line 360 "./jsapi.h"
  var $13=$12; //@line 360 "./jsapi.h"
  var $st$26$0=(($13)|0);
  HEAP32[(($st$26$0)>>2)]=$10$0;
  var $st$26$1=(($13+4)|0);
  HEAP32[(($st$26$1)>>2)]=$10$1;
  var $st$30$0=(($tmp)|0);
  var $14$0=HEAP32[(($st$30$0)>>2)];
  var $st$30$1=(($tmp+4)|0);
  var $14$1=HEAP32[(($st$30$1)>>2)];
  var $15=(($3)|0); //@line 361 "./jsapi.h"
  var $16=$15; //@line 361 "./jsapi.h"
  var $st$36$0=(($16)|0);
  HEAP32[(($st$36$0)>>2)]=$14$0;
  var $st$36$1=(($16+4)|0);
  HEAP32[(($st$36$1)>>2)]=$14$1;
  STACKTOP = __stackBase__;
  return; //@line 362 "./jsapi.h"
}


function __Z27js_FloatingFrameIfGeneratorP9JSContextPN2js10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$fp;
      var $4=$3; //@line 220 "./jsiter.h"
      var $5=__ZNK2js10StackFrame16isGeneratorFrameEv($4); //@line 220 "./jsiter.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 220 "./jsiter.h"
    case 2: 
      var $7=$2; //@line 221 "./jsiter.h"
      var $8=$3; //@line 221 "./jsiter.h"
      var $9=__ZNK9JSContext12generatorForEPN2js10StackFrameE($7, $8); //@line 221 "./jsiter.h"
      var $10=__ZN11JSGenerator13floatingFrameEv($9); //@line 221 "./jsiter.h"
      $1=$10; //@line 221 "./jsiter.h"
      __label__ = 4; break; //@line 221 "./jsiter.h"
    case 3: 
      var $12=$3; //@line 222 "./jsiter.h"
      $1=$12; //@line 222 "./jsiter.h"
      __label__ = 4; break; //@line 222 "./jsiter.h"
    case 4: 
      var $14=$1; //@line 223 "./jsiter.h"
      ;
      return $14; //@line 223 "./jsiter.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11UnwindScopeEP9JSContextii($cx, $stackDepth, $normalUnwind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fp;
      var $scopeChain;
      $1=$cx;
      $2=$stackDepth;
      $3=$normalUnwind;
      var $4=$1; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=__ZNK9JSContext2fpEv($4); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$5; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $7=$fp; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $scopeChain=$8; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$1; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$scopeChain; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=$2; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=__ZN2js19IsActiveWithOrBlockEP9JSContextR8JSObjecti($9, $10, $11); //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      __label__ = 8; break; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $15=$scopeChain; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=__ZNK8JSObject7isBlockEv($15); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $18=$1; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=$3; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=__Z17js_PutBlockObjectP9JSContexti($18, $19); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$3; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=$21 & $20; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $3=$22; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 7; break; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $24=$1; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZL9LeaveWithP9JSContext($24); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 7; break;
    case 7: 
      __label__ = 2; break; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $27=$fp; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=__ZNK2js10StackFrame4baseEv($27); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$2; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=(($28+($29<<3))|0); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=$1; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32=__ZNK9JSContext4regsEv($31); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=(($32)|0); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($33)>>2)]=$30; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=$3; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=(($34)|0)!=0; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $35; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9LeaveWithP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  var $withobj;
  $1=$cx;
  var $2=$1; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $3=__ZNK9JSContext2fpEv($2); //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $4=__ZNK2js10StackFrame10scopeChainEv($3); //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  $withobj=$4; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $5=$withobj; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  __ZN8JSObject10setPrivateEPv($5, 0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $6=$1; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $7=__ZNK9JSContext2fpEv($6); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $8=$withobj; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $9=__ZNK8JSObject9getParentEv($8); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  __ZN2js10StackFrame22setScopeChainNoCallObjER8JSObject($7, $9); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function __ZN2js8GetUpvarEP9JSContextjNS_11UpvarCookieE($cx, $closureLevel, $cookie) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $cookie; $cookie = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($cookie)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $targetLevel;
      var $fp;
      var $slot;
      var $vp;
      $1=$cx;
      $2=$closureLevel;
      var $3=$2; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4=__ZNK2js11UpvarCookie5levelEv($cookie); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $5=(($4)&65535); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=(($3-$5)|0); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $targetLevel=$6; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=$1; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=$targetLevel; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=__ZN2js14FindUpvarFrameEP9JSContextj($7, $8); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$9; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=__ZNK2js11UpvarCookie4slotEv($cookie); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=(($10)&65535); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot=$11; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=$fp; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=__ZNK2js10StackFrame15isFunctionFrameEv($12); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $15=$fp; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=__ZNK2js10StackFrame11isEvalFrameEv($15); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $18=$fp; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=__ZNK2js10StackFrame5slotsEv($18); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$fp; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=__ZNK2js10StackFrame8numFixedEv($20); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=(($19+($21<<3))|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp=$22; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 11; break; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $24=$slot; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=$fp; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=__ZNK2js10StackFrame13numFormalArgsEv($25); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=(($24)>>>0) < (($26)>>>0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $29=$fp; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=__ZNK2js10StackFrame10formalArgsEv($29); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp=$30; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 10; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $32=$slot; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=(($32)|0)==65535; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $35=$fp; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=__ZNK2js10StackFrame7calleevEv($35); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp=$36; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $38=$fp; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=__ZNK2js10StackFrame13numFormalArgsEv($38); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $40=$slot; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $41=(($40-$39)|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $slot=$41; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $42=$fp; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=__ZNK2js10StackFrame5slotsEv($42); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $vp=$43; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $47=$slot; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=$vp; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=(($48+($47<<3))|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8GetUpvarEP9JSContextjNS_11UpvarCookieE["X"]=1;

function __ZN2js14FindUpvarFrameEP9JSContextj($cx, $targetLevel) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fp;
      $1=$cx;
      $2=$targetLevel;
      var $3=$1; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $4=__ZNK9JSContext2fpEv($3); //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$4; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2; break; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $6=$fp; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZNK2js10StackFrame6scriptEv($6); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=(($7+46)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=HEAPU16[(($8)>>1)]; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=(($9)&65535); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=$2; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=(($10)|0)==(($11)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      __label__ = 5; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $15=$fp; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=__ZNK2js10StackFrame4prevEv($15); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$16; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 2; break; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $18=$fp; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $18; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10StackFrame8numFixedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame6scriptEv($2); //@line 614 "./vm/Stack.h"
  var $4=(($3+14)|0); //@line 614 "./vm/Stack.h"
  var $5=HEAPU16[(($4)>>1)]; //@line 614 "./vm/Stack.h"
  var $6=(($5)&65535); //@line 614 "./vm/Stack.h"
  ;
  return $6; //@line 614 "./vm/Stack.h"
}


function __ZN23GenericInterruptEnablerIiEC1EPii($this, $variable, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$variable;
  $3=$value;
  var $4=$1;
  var $5=$2; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $6=$3; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  __ZN23GenericInterruptEnablerIiEC2EPii($4, $5, $6); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function __ZN2js17PreserveRegsGuardC1EP9JSContextRNS_9FrameRegsE($this, $cx, $regs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$regs;
  var $4=$1;
  var $5=$2; //@line 60 "./jscntxtinlines.h"
  var $6=$3; //@line 60 "./jscntxtinlines.h"
  __ZN2js17PreserveRegsGuardC2EP9JSContextRNS_9FrameRegsE($4, $5, $6); //@line 60 "./jscntxtinlines.h"
  ;
  return; //@line 60 "./jscntxtinlines.h"
}


function __ZN2js17InterpreterFramesC1EP9JSContextPNS_9FrameRegsERKNS0_20InterruptEnablerBaseE($this, $cx, $regs, $enabler) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$regs;
  $4=$enabler;
  var $5=$1;
  var $6=$2; //@line 1434 "./jsinterp.h"
  var $7=$3; //@line 1434 "./jsinterp.h"
  var $8=$4; //@line 1434 "./jsinterp.h"
  __ZN2js17InterpreterFramesC2EP9JSContextPNS_9FrameRegsERKNS0_20InterruptEnablerBaseE($5, $6, $7, $8); //@line 1434 "./jsinterp.h"
  ;
  return; //@line 1434 "./jsinterp.h"
}


function __ZNK2js10StackFrame15maybeFormalArgsEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 686 "./vm/Stack.h"
      var $4=HEAP32[(($3)>>2)]; //@line 686 "./vm/Stack.h"
      var $5=$4 & 10; //@line 686 "./vm/Stack.h"
      var $6=(($5)|0)==2; //@line 686 "./vm/Stack.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 686 "./vm/Stack.h"
    case 2: 
      var $8=__ZNK2js10StackFrame10formalArgsEv($2); //@line 687 "./vm/Stack.h"
      var $11 = $8;__label__ = 4; break; //@line 687 "./vm/Stack.h"
    case 3: 
      var $11 = 0;__label__ = 4; break; //@line 687 "./vm/Stack.h"
    case 4: 
      var $11; //@line 687 "./vm/Stack.h"
      ;
      return $11; //@line 687 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js31ScriptPrologueOrGeneratorResumeEP9JSContextPNS_10StackFrameEb($cx, $fp, $newType) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$fp;
      var $5=(($newType)&1);
      $4=$5;
      var $6=$3; //@line 287 "./jsinterpinlines.h"
      var $7=__ZNK2js10StackFrame16isGeneratorFrameEv($6); //@line 287 "./jsinterpinlines.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 287 "./jsinterpinlines.h"
    case 2: 
      var $9=$2; //@line 288 "./jsinterpinlines.h"
      var $10=$3; //@line 288 "./jsinterpinlines.h"
      var $11=$4; //@line 288 "./jsinterpinlines.h"
      var $12=(($11) & 1); //@line 288 "./jsinterpinlines.h"
      var $13=__ZN2js14ScriptPrologueEP9JSContextPNS_10StackFrameEb($9, $10, $12); //@line 288 "./jsinterpinlines.h"
      $1=$13; //@line 288 "./jsinterpinlines.h"
      __label__ = 6; break; //@line 288 "./jsinterpinlines.h"
    case 3: 
      var $15=$2; //@line 289 "./jsinterpinlines.h"
      var $16=(($15+56)|0); //@line 289 "./jsinterpinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 289 "./jsinterpinlines.h"
      var $18=__ZNK13JSCompartment9debugModeEv($17); //@line 289 "./jsinterpinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 289 "./jsinterpinlines.h"
    case 4: 
      var $20=$2; //@line 290 "./jsinterpinlines.h"
      var $21=$3; //@line 290 "./jsinterpinlines.h"
      __ZN2js19ScriptDebugPrologueEP9JSContextPNS_10StackFrameE($20, $21); //@line 290 "./jsinterpinlines.h"
      __label__ = 5; break; //@line 290 "./jsinterpinlines.h"
    case 5: 
      $1=1; //@line 291 "./jsinterpinlines.h"
      __label__ = 6; break; //@line 291 "./jsinterpinlines.h"
    case 6: 
      var $24=$1; //@line 292 "./jsinterpinlines.h"
      ;
      return $24; //@line 292 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types17UseNewTypeAtEntryEP9JSContextPNS_10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$fp;
      var $3=$2; //@line 453 "./jsinferinlines.h"
      var $4=__ZNK2js10StackFrame14isConstructingEv($3); //@line 453 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { var $29 = 0;__label__ = 6; break; } //@line 453 "./jsinferinlines.h"
    case 2: 
      var $6=$1; //@line 453 "./jsinferinlines.h"
      var $7=__ZN9JSContext20typeInferenceEnabledEv($6); //@line 453 "./jsinferinlines.h"
      if ($7) { __label__ = 3; break; } else { var $29 = 0;__label__ = 6; break; } //@line 453 "./jsinferinlines.h"
    case 3: 
      var $9=$2; //@line 454 "./jsinferinlines.h"
      var $10=__ZNK2js10StackFrame4prevEv($9); //@line 454 "./jsinferinlines.h"
      var $11=(($10)|0)!=0; //@line 454 "./jsinferinlines.h"
      if ($11) { __label__ = 4; break; } else { var $29 = 0;__label__ = 6; break; } //@line 454 "./jsinferinlines.h"
    case 4: 
      var $13=$2; //@line 454 "./jsinferinlines.h"
      var $14=__ZNK2js10StackFrame4prevEv($13); //@line 454 "./jsinferinlines.h"
      var $15=__ZNK2js10StackFrame13isScriptFrameEv($14); //@line 454 "./jsinferinlines.h"
      if ($15) { __label__ = 5; break; } else { var $29 = 0;__label__ = 6; break; } //@line 454 "./jsinferinlines.h"
    case 5: 
      var $17=$1; //@line 455 "./jsinferinlines.h"
      var $18=$2; //@line 455 "./jsinferinlines.h"
      var $19=__ZNK2js10StackFrame4prevEv($18); //@line 455 "./jsinferinlines.h"
      var $20=__ZNK2js10StackFrame6scriptEv($19); //@line 455 "./jsinferinlines.h"
      var $21=$2; //@line 455 "./jsinferinlines.h"
      var $22=__ZNK2js10StackFrame4prevEv($21); //@line 455 "./jsinferinlines.h"
      var $23=$1; //@line 455 "./jsinferinlines.h"
      var $24=(($23+60)|0); //@line 455 "./jsinferinlines.h"
      var $25=$2; //@line 455 "./jsinferinlines.h"
      var $26=__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($22, $24, $25, 0); //@line 455 "./jsinferinlines.h"
      var $27=__ZN2js5types10UseNewTypeEP9JSContextP8JSScriptPh($17, $20, $26); //@line 455 "./jsinferinlines.h"
      var $29 = $27;__label__ = 6; break;
    case 6: 
      var $29;
      ;
      return $29; //@line 456 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9EnterWithP9JSContexti4JSOpj($cx, $stackIndex, $op, $oplen) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $fp;
      var $sp;
      var $obj=__stackBase__;
      var $parent;
      var $withobj;
      $2=$cx;
      $3=$stackIndex;
      $4=$op;
      $5=$oplen;
      var $6=$2; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZNK9JSContext2fpEv($6); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $fp=$7; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=$2; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=__ZNK9JSContext4regsEv($8); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=(($9)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $sp=$11; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=$sp; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=(($12-8)|0); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZNK2JS5Value8isObjectEv($13); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $16=$sp; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=(($16-8)|0); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=__ZNK2JS5Value8toObjectEv($17); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj)>>2)]=$18; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $20=$2; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$sp; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=(($21-8)|0); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($20, $22); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP32[(($obj)>>2)]=$23; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=HEAP32[(($obj)>>2)]; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $25=(($24)|0)!=0; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      $1=0; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 13; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $28=$sp; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=(($28-8)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=HEAP32[(($obj)>>2)]; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setObjectER8JSObject($29, $30); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 6; break;
    case 6: 
      var $32=$2; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=$fp; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=$4; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $36=__ZN2js17GetScopeChainFastEP9JSContextPNS_10StackFrameE4JSOpj($32, $33, $34, $35); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $parent=$36; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $37=$parent; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=(($37)|0)!=0; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      $1=0; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 13; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $41=$2; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($41, $obj); //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $42=HEAP32[(($obj)>>2)]; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=(($42)|0)!=0; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      $1=0; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 13; break; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $46=$2; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $47=HEAP32[(($obj)>>2)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $48=$parent; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=$sp; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $50=$3; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $51=(($49+($50<<3))|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=$fp; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $53=__ZNK2js10StackFrame4baseEv($52); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54=$51; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$53; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=(($54-$55)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=(((($56)|0)/8)&-1); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=__Z16js_NewWithObjectP9JSContextP8JSObjectS2_i($46, $47, $48, $57); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $withobj=$58; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=$withobj; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=(($59)|0)!=0; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($60) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      $1=0; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 13; break; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      var $63=$fp; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $64=$withobj; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js10StackFrame22setScopeChainNoCallObjER8JSObject($63, $64); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 13; break; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      var $66=$1; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $66; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9EnterWithP9JSContexti4JSOpj["X"]=1;

function __ZN2js14ScriptEpilogueEP9JSContextPNS_10StackFrameEb($cx, $fp, $ok) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$cx;
      $2=$fp;
      var $5=(($ok)&1);
      $3=$5;
      var $6=$1; //@line 268 "./jsinterpinlines.h"
      var $7=$2; //@line 268 "./jsinterpinlines.h"
      var $8=__ZNK2js10StackFrame8maybeFunEv($7); //@line 268 "./jsinterpinlines.h"
      var $9=$2; //@line 268 "./jsinterpinlines.h"
      var $10=__ZNK2js10StackFrame6scriptEv($9); //@line 268 "./jsinterpinlines.h"
      var $11=__ZN2js6Probes9exitJSFunEP9JSContextP10JSFunctionP8JSScripti($6, $8, $10, 0); //@line 268 "./jsinterpinlines.h"
      var $12=$1; //@line 269 "./jsinterpinlines.h"
      var $13=(($12+56)|0); //@line 269 "./jsinterpinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 269 "./jsinterpinlines.h"
      var $15=__ZNK13JSCompartment9debugModeEv($14); //@line 269 "./jsinterpinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 269 "./jsinterpinlines.h"
    case 2: 
      var $17=$1; //@line 270 "./jsinterpinlines.h"
      var $18=$2; //@line 270 "./jsinterpinlines.h"
      var $19=$3; //@line 270 "./jsinterpinlines.h"
      var $20=(($19) & 1); //@line 270 "./jsinterpinlines.h"
      var $21=__ZN2js19ScriptDebugEpilogueEP9JSContextPNS_10StackFrameEb($17, $18, $20); //@line 270 "./jsinterpinlines.h"
      var $22=(($21)&1); //@line 270 "./jsinterpinlines.h"
      $3=$22; //@line 270 "./jsinterpinlines.h"
      __label__ = 3; break; //@line 270 "./jsinterpinlines.h"
    case 3: 
      var $24=$2; //@line 276 "./jsinterpinlines.h"
      var $25=__ZNK2js10StackFrame14isConstructingEv($24); //@line 276 "./jsinterpinlines.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 276 "./jsinterpinlines.h"
    case 4: 
      var $27=$3; //@line 276 "./jsinterpinlines.h"
      var $28=(($27) & 1); //@line 276 "./jsinterpinlines.h"
      if ($28) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 276 "./jsinterpinlines.h"
    case 5: 
      var $30=$2; //@line 277 "./jsinterpinlines.h"
      var $31=__ZN2js10StackFrame11returnValueEv($30); //@line 277 "./jsinterpinlines.h"
      var $32=__ZNK2JS5Value11isPrimitiveEv($31); //@line 277 "./jsinterpinlines.h"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 277 "./jsinterpinlines.h"
    case 6: 
      var $34=$2; //@line 278 "./jsinterpinlines.h"
      var $35=$2; //@line 278 "./jsinterpinlines.h"
      var $36=__ZNK2js10StackFrame15constructorThisEv($35); //@line 278 "./jsinterpinlines.h"
      __ZN2JSL11ObjectValueER8JSObject1804($4, $36); //@line 278 "./jsinterpinlines.h"
      __ZN2js10StackFrame14setReturnValueERKN2JS5ValueE($34, $4); //@line 278 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 278 "./jsinterpinlines.h"
    case 7: 
      __label__ = 8; break; //@line 279 "./jsinterpinlines.h"
    case 8: 
      var $39=$3; //@line 281 "./jsinterpinlines.h"
      var $40=(($39) & 1); //@line 281 "./jsinterpinlines.h"
      STACKTOP = __stackBase__;
      return $40; //@line 281 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStack14popInlineFrameERNS_9FrameRegsE($this, $regs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $fp;
  var $newsp;
  $1=$this;
  $2=$regs;
  var $3=$1;
  var $4=$2; //@line 593 "./vm/Stack-inl.h"
  var $5=__ZNK2js9FrameRegs2fpEv($4); //@line 593 "./vm/Stack-inl.h"
  $fp=$5; //@line 593 "./vm/Stack-inl.h"
  var $6=$fp; //@line 594 "./vm/Stack-inl.h"
  __ZN2js10StackFrame16functionEpilogueEv($6); //@line 594 "./vm/Stack-inl.h"
  var $7=$fp; //@line 596 "./vm/Stack-inl.h"
  var $8=__ZNK2js10StackFrame10actualArgsEv($7); //@line 596 "./vm/Stack-inl.h"
  var $9=(($8-8)|0); //@line 596 "./vm/Stack-inl.h"
  $newsp=$9; //@line 596 "./vm/Stack-inl.h"
  var $10=$newsp; //@line 599 "./vm/Stack-inl.h"
  var $11=(($10-8)|0); //@line 599 "./vm/Stack-inl.h"
  var $12=$fp; //@line 599 "./vm/Stack-inl.h"
  var $13=__ZN2js10StackFrame11returnValueEv($12); //@line 599 "./vm/Stack-inl.h"
  var $14=$11; //@line 599 "./vm/Stack-inl.h"
  var $15=$13; //@line 599 "./vm/Stack-inl.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 599 "./vm/Stack-inl.h"
  var $16=$2; //@line 600 "./vm/Stack-inl.h"
  var $17=$newsp; //@line 600 "./vm/Stack-inl.h"
  __ZN2js9FrameRegs8popFrameEPN2JS5ValueE($16, $17); //@line 600 "./vm/Stack-inl.h"
  ;
  return; //@line 601 "./vm/Stack-inl.h"
}


function __ZN2jsL13FrameAtomBaseEP9JSContextPNS_10StackFrameE($cx, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$fp;
      var $3=$2; //@line 1396 "./jscntxt.h"
      var $4=__ZNK2js10StackFrame11hasImacropcEv($3); //@line 1396 "./jscntxt.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1396 "./jscntxt.h"
    case 2: 
      var $6=$1; //@line 1397 "./jscntxt.h"
      var $7=(($6+52)|0); //@line 1397 "./jscntxt.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1397 "./jscntxt.h"
      var $9=(($8+209948)|0); //@line 1397 "./jscntxt.h"
      var $10=__ZN11JSAtomState16commonAtomsStartEv($9); //@line 1397 "./jscntxt.h"
      var $17 = $10;__label__ = 4; break; //@line 1397 "./jscntxt.h"
    case 3: 
      var $12=$2; //@line 1398 "./jscntxt.h"
      var $13=__ZNK2js10StackFrame6scriptEv($12); //@line 1398 "./jscntxt.h"
      var $14=(($13+56)|0); //@line 1398 "./jscntxt.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1398 "./jscntxt.h"
      var $17 = $15;__label__ = 4; break; //@line 1398 "./jscntxt.h"
    case 4: 
      var $17; //@line 1398 "./jscntxt.h"
      ;
      return $17; //@line 1398 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE($cx, $script, $pc, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$cx;
      $2=$script;
      $3=$pc;
      $4=$rval;
      var $5=$1; //@line 564 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 564 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 564 "./jsinferinlines.h"
    case 2: 
      var $8=$1; //@line 565 "./jsinferinlines.h"
      var $9=$2; //@line 565 "./jsinferinlines.h"
      var $10=$3; //@line 565 "./jsinferinlines.h"
      var $11=$4; //@line 565 "./jsinferinlines.h"
      __ZN2js5types17TypeMonitorResultEP9JSContextP8JSScriptPhRKN2JS5ValueE($8, $9, $10, $11); //@line 565 "./jsinferinlines.h"
      __label__ = 3; break; //@line 565 "./jsinferinlines.h"
    case 3: 
      ;
      return; //@line 566 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($cx, $obj, $idval, $idp, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $atom=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$idval;
      $5=$idp;
      $6=$vp;
      var $7=$4; //@line 108 "./jsatominlines.h"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 108 "./jsatominlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 108 "./jsatominlines.h"
    case 2: 
      var $10=$2; //@line 109 "./jsatominlines.h"
      var $11=$3; //@line 109 "./jsatominlines.h"
      var $12=$4; //@line 109 "./jsatominlines.h"
      var $13=$5; //@line 109 "./jsatominlines.h"
      var $14=$6; //@line 109 "./jsatominlines.h"
      var $15=__Z28js_InternNonIntElementIdSlowP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_($10, $11, $12, $13, $14); //@line 109 "./jsatominlines.h"
      $1=$15; //@line 109 "./jsatominlines.h"
      __label__ = 6; break; //@line 109 "./jsatominlines.h"
    case 3: 
      var $17=$2; //@line 113 "./jsatominlines.h"
      var $18=$4; //@line 113 "./jsatominlines.h"
      var $19=__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($17, $18, $atom); //@line 113 "./jsatominlines.h"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 113 "./jsatominlines.h"
    case 4: 
      var $21=HEAP32[(($atom)>>2)]; //@line 114 "./jsatominlines.h"
      var $22=__ZL12ATOM_TO_JSIDP6JSAtom1798($21); //@line 114 "./jsatominlines.h"
      var $23=$5; //@line 114 "./jsatominlines.h"
      HEAP32[(($23)>>2)]=$22; //@line 114 "./jsatominlines.h"
      var $24=$6; //@line 115 "./jsatominlines.h"
      var $25=HEAP32[(($atom)>>2)]; //@line 115 "./jsatominlines.h"
      var $26=$25; //@line 115 "./jsatominlines.h"
      __ZN2JS5Value9setStringEP8JSString($24, $26); //@line 115 "./jsatominlines.h"
      $1=1; //@line 116 "./jsatominlines.h"
      __label__ = 6; break; //@line 116 "./jsatominlines.h"
    case 5: 
      $1=0; //@line 118 "./jsatominlines.h"
      __label__ = 6; break; //@line 118 "./jsatominlines.h"
    case 6: 
      var $29=$1; //@line 119 "./jsatominlines.h"
      STACKTOP = __stackBase__;
      return $29; //@line 119 "./jsatominlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12IteratorMoreP9JSContextP8JSObjectPbPN2JS5ValueE($cx, $iterobj, $cond, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $ni;
      $2=$cx;
      $3=$iterobj;
      $4=$cond;
      $5=$rval;
      var $6=$3; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=__ZNK8JSObject10isIteratorEv($6); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $9=$3; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=__ZNK8JSObject17getNativeIteratorEv($9); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ni=$10; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=$ni; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $12=__ZNK2js14NativeIterator9isKeyIterEv($11); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $14=$ni; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=(($14+8)|0); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=HEAPU32[(($15)>>2)]; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=$ni; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=(($17+12)|0); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=HEAPU32[(($18)>>2)]; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=(($16)>>>0) < (($19)>>>0); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$4; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=(($20)&1); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP8[($21)]=$22; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      __label__ = 5; break; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $25=$2; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $26=$3; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=$5; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=__Z15js_IteratorMoreP9JSContextP8JSObjectPN2JS5ValueE($25, $26, $27); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=(($28)|0)!=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      $1=0; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $32=$5; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=__ZNK2JS5Value6isTrueEv($32); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=$4; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=(($33)&1); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      HEAP8[($34)]=$35; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $37=$1; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $37; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12IteratorNextP9JSContextP8JSObjectPN2JS5ValueE($cx, $iterobj, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ni;
      var $id;
      $2=$cx;
      $3=$iterobj;
      $4=$rval;
      var $5=$3; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=__ZNK8JSObject10isIteratorEv($5); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $8=$3; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=__ZNK8JSObject17getNativeIteratorEv($8); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $ni=$9; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=$ni; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $11=__ZNK2js14NativeIterator9isKeyIterEv($10); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      var $13=$ni; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZNK2js14NativeIterator7currentEv($13); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $id=$15; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $16=$id; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $17=__ZL12JSID_IS_ATOMi1876($16); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=(($17)|0)!=0; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $20=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=$id; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=_JSID_TO_STRING1867($21); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2JS5Value9setStringEP8JSString($20, $22); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$ni; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __ZN2js14NativeIterator9incCursorEv($23); //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      __label__ = 6; break; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      __label__ = 7; break; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $27=$2; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $28=$3; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $29=$4; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=__Z15js_IteratorNextP9JSContextP8JSObjectPN2JS5ValueE($27, $28, $29); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $31=(($30)|0)!=0; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=$31; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 8; break; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $33=$1; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      ;
      return $33; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_VOID1831($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1622 "./jsapi.h"
  var $3=(($2)|0)==2; //@line 1622 "./jsapi.h"
  var $4=(($3)&1); //@line 1622 "./jsapi.h"
  ;
  return $4; //@line 1622 "./jsapi.h"
}


function __ZL24CanIncDecWithoutOverflowi($i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$i;
      var $2=$1; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $3=(($2)|0) > -2147483648; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($3) { __label__ = 2; break; } else { var $8 = 0;__label__ = 3; break; } //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $5=$1; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $6=(($5)|0) < 2147483647; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8 = $6;__label__ = 3; break;
    case 3: 
      var $8;
      ;
      return $8; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_STRING1834($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function __ZNK2js5PCVal6isSlotEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 106 "./jspropertycache.h"
  var $4=HEAP32[(($3)>>2)]; //@line 106 "./jspropertycache.h"
  var $5=$4 & 1; //@line 106 "./jspropertycache.h"
  var $6=(($5)|0)!=0; //@line 106 "./jspropertycache.h"
  ;
  return $6; //@line 106 "./jspropertycache.h"
}


function __ZNK2js5PCVal6toSlotEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 107 "./jspropertycache.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 107 "./jspropertycache.h"
  var $5=$4 >>> 1; //@line 107 "./jspropertycache.h"
  ;
  return $5; //@line 107 "./jspropertycache.h"
}


function __ZN2jsL18GetDecomposeLengthEPhj($pc, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$pc;
  $2=$len;
  var $3=$2; //@line 550 "./jsopcode.h"
  var $4=(($3-1)|0); //@line 550 "./jsopcode.h"
  var $5=$1; //@line 550 "./jsopcode.h"
  var $6=(($5+$4)|0); //@line 550 "./jsopcode.h"
  var $7=HEAPU8[($6)]; //@line 550 "./jsopcode.h"
  var $8=(($7)&255); //@line 550 "./jsopcode.h"
  ;
  return $8; //@line 550 "./jsopcode.h"
}


function __ZN2JS5Value11getInt32RefEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 264 "./jsapi.h"
  var $4=$3; //@line 264 "./jsapi.h"
  var $5=(($4)|0); //@line 264 "./jsapi.h"
  var $6=$5; //@line 264 "./jsapi.h"
  ;
  return $6; //@line 264 "./jsapi.h"
}


function __ZNK2js5PCVal8isFunObjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 97 "./jspropertycache.h"
  var $4=HEAP32[(($3)>>2)]; //@line 97 "./jspropertycache.h"
  var $5=$4 & 3; //@line 97 "./jspropertycache.h"
  var $6=(($5)|0)==0; //@line 97 "./jspropertycache.h"
  ;
  return $6; //@line 97 "./jspropertycache.h"
}


function __ZNK2js5PCVal8toFunObjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 100 "./jspropertycache.h"
  var $4=HEAP32[(($3)>>2)]; //@line 100 "./jspropertycache.h"
  var $5=$4; //@line 100 "./jspropertycache.h"
  ;
  return $5; //@line 100 "./jspropertycache.h"
}


function __ZNK2js5PCVal7toShapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 113 "./jspropertycache.h"
  var $4=HEAP32[(($3)>>2)]; //@line 113 "./jspropertycache.h"
  var $5=$4 & -4; //@line 113 "./jspropertycache.h"
  var $6=$5; //@line 113 "./jspropertycache.h"
  ;
  return $6; //@line 113 "./jspropertycache.h"
}


function __ZNK2js18PropertyCacheEntry7vcapTagEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 131 "./jspropertycache.h"
  var $4=HEAP32[(($3)>>2)]; //@line 131 "./jspropertycache.h"
  var $5=$4 & 255; //@line 131 "./jspropertycache.h"
  ;
  return $5; //@line 131 "./jspropertycache.h"
}


function __ZNK8JSObject5shapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 573 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 573 "./jsobj.h"
  ;
  return $4; //@line 573 "./jsobj.h"
}


function __ZNK2js18PropertyCacheEntry6vshapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 132 "./jspropertycache.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 132 "./jspropertycache.h"
  var $5=$4 >>> 8; //@line 132 "./jspropertycache.h"
  ;
  return $5; //@line 132 "./jspropertycache.h"
}


function __ZNK2js5Shape16hasDefaultSetterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 559 "./jsscope.h"
  var $4=$3; //@line 559 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 559 "./jsscope.h"
  var $6=(($5)|0)!=0; //@line 559 "./jsscope.h"
  var $7=$6 ^ 1; //@line 559 "./jsscope.h"
  ;
  return $7; //@line 559 "./jsscope.h"
}


function __ZN8JSObject25brandedOrHasMethodBarrierEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 718 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 718 "./jsobj.h"
  var $5=$4 & 40; //@line 718 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 718 "./jsobj.h"
  var $7=$6 ^ 1; //@line 718 "./jsobj.h"
  var $8=$7 ^ 1; //@line 718 "./jsobj.h"
  ;
  return $8; //@line 718 "./jsobj.h"
}


function __ZN2js10StackFrame6varObjEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $obj;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10StackFrame10scopeChainEv($2); //@line 896 "./vm/Stack.h"
      $obj=$3; //@line 896 "./vm/Stack.h"
      __label__ = 2; break; //@line 897 "./vm/Stack.h"
    case 2: 
      var $5=$obj; //@line 897 "./vm/Stack.h"
      var $6=__ZNK8JSObject8isVarObjEv($5); //@line 897 "./vm/Stack.h"
      var $7=$6 ^ 1; //@line 897 "./vm/Stack.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 897 "./vm/Stack.h"
    case 3: 
      var $9=$obj; //@line 898 "./vm/Stack.h"
      var $10=__ZNK8JSObject9getParentEv($9); //@line 898 "./vm/Stack.h"
      $obj=$10; //@line 898 "./vm/Stack.h"
      __label__ = 2; break; //@line 898 "./vm/Stack.h"
    case 4: 
      var $12=$obj; //@line 899 "./vm/Stack.h"
      ;
      return $12; //@line 899 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13PropertyCache4testEP9JSContextPhRP8JSObjectS6_RPNS_18PropertyCacheEntryERP6JSAtom($this, $cx, $pc, $obj, $pobj, $entry, $atom) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $kshape;
      var $tmp;
      $1=$this;
      $2=$cx;
      $3=$pc;
      $4=$obj;
      $5=$pobj;
      $6=$entry;
      $7=$atom;
      var $8=$1;
      var $9=$4; //@line 78 "./jspropertycacheinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 78 "./jspropertycacheinlines.h"
      var $11=__ZNK8JSObject5shapeEv($10); //@line 78 "./jspropertycacheinlines.h"
      $kshape=$11; //@line 78 "./jspropertycacheinlines.h"
      var $12=$3; //@line 79 "./jspropertycacheinlines.h"
      var $13=$kshape; //@line 79 "./jspropertycacheinlines.h"
      var $14=__ZN2js13PropertyCache4hashEPhj($12, $13); //@line 79 "./jspropertycacheinlines.h"
      var $15=(($8)|0); //@line 79 "./jspropertycacheinlines.h"
      var $16=(($15+($14<<4))|0); //@line 79 "./jspropertycacheinlines.h"
      var $17=$6; //@line 79 "./jspropertycacheinlines.h"
      HEAP32[(($17)>>2)]=$16; //@line 79 "./jspropertycacheinlines.h"
      var $18=$6; //@line 84 "./jspropertycacheinlines.h"
      var $19=HEAP32[(($18)>>2)]; //@line 84 "./jspropertycacheinlines.h"
      var $20=(($19)|0); //@line 84 "./jspropertycacheinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 84 "./jspropertycacheinlines.h"
      var $22=$3; //@line 84 "./jspropertycacheinlines.h"
      var $23=(($21)|0)==(($22)|0); //@line 84 "./jspropertycacheinlines.h"
      if ($23) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 84 "./jspropertycacheinlines.h"
    case 2: 
      var $25=$6; //@line 84 "./jspropertycacheinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 84 "./jspropertycacheinlines.h"
      var $27=(($26+4)|0); //@line 84 "./jspropertycacheinlines.h"
      var $28=HEAP32[(($27)>>2)]; //@line 84 "./jspropertycacheinlines.h"
      var $29=$kshape; //@line 84 "./jspropertycacheinlines.h"
      var $30=(($28)|0)==(($29)|0); //@line 84 "./jspropertycacheinlines.h"
      if ($30) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 84 "./jspropertycacheinlines.h"
    case 3: 
      var $32=$4; //@line 86 "./jspropertycacheinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 86 "./jspropertycacheinlines.h"
      var $34=$5; //@line 86 "./jspropertycacheinlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 86 "./jspropertycacheinlines.h"
      var $35=$6; //@line 87 "./jspropertycacheinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 87 "./jspropertycacheinlines.h"
      var $37=__ZNK2js18PropertyCacheEntry7vcapTagEv($36); //@line 87 "./jspropertycacheinlines.h"
      var $38=(($37)|0)==1; //@line 87 "./jspropertycacheinlines.h"
      if ($38) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 87 "./jspropertycacheinlines.h"
    case 4: 
      var $40=$5; //@line 88 "./jspropertycacheinlines.h"
      var $41=HEAP32[(($40)>>2)]; //@line 88 "./jspropertycacheinlines.h"
      var $42=__ZNK8JSObject8getProtoEv($41); //@line 88 "./jspropertycacheinlines.h"
      $tmp=$42; //@line 88 "./jspropertycacheinlines.h"
      var $43=(($42)|0)!=0; //@line 88 "./jspropertycacheinlines.h"
      if ($43) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 88 "./jspropertycacheinlines.h"
    case 5: 
      var $45=$tmp; //@line 89 "./jspropertycacheinlines.h"
      var $46=$5; //@line 89 "./jspropertycacheinlines.h"
      HEAP32[(($46)>>2)]=$45; //@line 89 "./jspropertycacheinlines.h"
      __label__ = 6; break; //@line 90 "./jspropertycacheinlines.h"
    case 6: 
      var $48=$2; //@line 92 "./jspropertycacheinlines.h"
      var $49=$5; //@line 92 "./jspropertycacheinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 92 "./jspropertycacheinlines.h"
      var $51=$6; //@line 92 "./jspropertycacheinlines.h"
      var $52=HEAP32[(($51)>>2)]; //@line 92 "./jspropertycacheinlines.h"
      var $53=__ZNK2js18PropertyCacheEntry6vshapeEv($52); //@line 92 "./jspropertycacheinlines.h"
      var $54=__ZN2js13PropertyCache10matchShapeEP9JSContextP8JSObjectj($48, $50, $53); //@line 92 "./jspropertycacheinlines.h"
      if ($54) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 92 "./jspropertycacheinlines.h"
    case 7: 
      var $56=$7; //@line 95 "./jspropertycacheinlines.h"
      HEAP32[(($56)>>2)]=0; //@line 95 "./jspropertycacheinlines.h"
      __label__ = 11; break; //@line 96 "./jspropertycacheinlines.h"
    case 8: 
      __label__ = 9; break; //@line 98 "./jspropertycacheinlines.h"
    case 9: 
      var $59=$2; //@line 99 "./jspropertycacheinlines.h"
      var $60=$3; //@line 99 "./jspropertycacheinlines.h"
      var $61=$4; //@line 99 "./jspropertycacheinlines.h"
      var $62=$5; //@line 99 "./jspropertycacheinlines.h"
      var $63=$6; //@line 99 "./jspropertycacheinlines.h"
      var $64=HEAP32[(($63)>>2)]; //@line 99 "./jspropertycacheinlines.h"
      var $65=__ZN2js13PropertyCache8fullTestEP9JSContextPhPP8JSObjectS6_PNS_18PropertyCacheEntryE($8, $59, $60, $61, $62, $64); //@line 99 "./jspropertycacheinlines.h"
      var $66=$7; //@line 99 "./jspropertycacheinlines.h"
      HEAP32[(($66)>>2)]=$65; //@line 99 "./jspropertycacheinlines.h"
      var $67=$7; //@line 100 "./jspropertycacheinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 100 "./jspropertycacheinlines.h"
      var $69=(($68)|0)!=0; //@line 100 "./jspropertycacheinlines.h"
      if ($69) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 100 "./jspropertycacheinlines.h"
    case 10: 
      __label__ = 11; break; //@line 101 "./jspropertycacheinlines.h"
    case 11: 
      ;
      return; //@line 102 "./jspropertycacheinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13PropertyCache4testEP9JSContextPhRP8JSObjectS6_RPNS_18PropertyCacheEntryERP6JSAtom["X"]=1;

function __ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830($cx, $preferredType, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$preferredType;
      $4=$vp;
      var $5=$4; //@line 2146 "./jsobj.h"
      var $6=__ZNK2JS5Value11isPrimitiveEv($5); //@line 2146 "./jsobj.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2146 "./jsobj.h"
    case 2: 
      $1=1; //@line 2147 "./jsobj.h"
      __label__ = 4; break; //@line 2147 "./jsobj.h"
    case 3: 
      var $9=$4; //@line 2148 "./jsobj.h"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 2148 "./jsobj.h"
      var $11=$2; //@line 2148 "./jsobj.h"
      var $12=$3; //@line 2148 "./jsobj.h"
      var $13=$4; //@line 2148 "./jsobj.h"
      var $14=__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($10, $11, $12, $13); //@line 2148 "./jsobj.h"
      $1=$14; //@line 2148 "./jsobj.h"
      __label__ = 4; break; //@line 2148 "./jsobj.h"
    case 4: 
      var $16=$1; //@line 2149 "./jsobj.h"
      ;
      return $16; //@line 2149 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh($cx, $script, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $5=$1; //@line 571 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 571 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 571 "./jsinferinlines.h"
    case 2: 
      var $8=$1; //@line 572 "./jsinferinlines.h"
      var $9=$2; //@line 572 "./jsinferinlines.h"
      var $10=$3; //@line 572 "./jsinferinlines.h"
      __ZN2js5types4Type10DoubleTypeEv($4); //@line 572 "./jsinferinlines.h"
      __ZN2js5types17TypeDynamicResultEP9JSContextP8JSScriptPhNS0_4TypeE($8, $9, $10, $4); //@line 572 "./jsinferinlines.h"
      __label__ = 3; break; //@line 572 "./jsinferinlines.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 573 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL5IsXMLRKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 231 "./jsxml.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 231 "./jsxml.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 231 "./jsxml.h"
    case 2: 
      var $5=$1; //@line 231 "./jsxml.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 231 "./jsxml.h"
      var $7=__ZNK8JSObject5isXMLEv($6); //@line 231 "./jsxml.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 232 "./jsxml.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types10TypeScript13MonitorStringEP9JSContextP8JSScriptPh($cx, $script, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $5=$1; //@line 578 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 578 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 578 "./jsinferinlines.h"
    case 2: 
      var $8=$1; //@line 579 "./jsinferinlines.h"
      var $9=$2; //@line 579 "./jsinferinlines.h"
      var $10=$3; //@line 579 "./jsinferinlines.h"
      __ZN2js5types4Type10StringTypeEv($4); //@line 579 "./jsinferinlines.h"
      __ZN2js5types17TypeDynamicResultEP9JSContextP8JSScriptPhNS0_4TypeE($8, $9, $10, $4); //@line 579 "./jsinferinlines.h"
      __label__ = 3; break; //@line 579 "./jsinferinlines.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 580 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9NumberDivEdd($a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$a;
      $3=$b;
      var $4=$3; //@line 94 "./jslibmath.h"
      var $5=$4 == 0; //@line 94 "./jslibmath.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 94 "./jslibmath.h"
    case 2: 
      var $7=$2; //@line 95 "./jslibmath.h"
      var $8=$7 == 0; //@line 95 "./jslibmath.h"
      if ($8) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 95 "./jslibmath.h"
    case 3: 
      var $10=$2; //@line 95 "./jslibmath.h"
      var $11=__ZL15JSDOUBLE_IS_NaNd1870($10); //@line 95 "./jslibmath.h"
      var $12=(($11)|0)!=0; //@line 95 "./jslibmath.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 95 "./jslibmath.h"
    case 4: 
      var $14=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 100 "./jslibmath.h"
      $1=$14; //@line 100 "./jslibmath.h"
      __label__ = 9; break; //@line 100 "./jslibmath.h"
    case 5: 
      var $16=$2; //@line 102 "./jslibmath.h"
      var $17=__ZL15JSDOUBLE_IS_NEGd($16); //@line 102 "./jslibmath.h"
      var $18=(($17)&1); //@line 102 "./jslibmath.h"
      var $19=$3; //@line 102 "./jslibmath.h"
      var $20=__ZL15JSDOUBLE_IS_NEGd($19); //@line 102 "./jslibmath.h"
      var $21=(($20)&1); //@line 102 "./jslibmath.h"
      var $22=(($18)|0)!=(($21)|0); //@line 102 "./jslibmath.h"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 102 "./jslibmath.h"
    case 6: 
      var $24=(tempDoubleI32[0]=HEAP32[((_js_NegativeInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_NegativeInfinity+4)>>2)],tempDoubleF64[0]); //@line 103 "./jslibmath.h"
      $1=$24; //@line 103 "./jslibmath.h"
      __label__ = 9; break; //@line 103 "./jslibmath.h"
    case 7: 
      var $26=(tempDoubleI32[0]=HEAP32[((_js_PositiveInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_PositiveInfinity+4)>>2)],tempDoubleF64[0]); //@line 104 "./jslibmath.h"
      $1=$26; //@line 104 "./jslibmath.h"
      __label__ = 9; break; //@line 104 "./jslibmath.h"
    case 8: 
      var $28=$2; //@line 107 "./jslibmath.h"
      var $29=$3; //@line 107 "./jslibmath.h"
      var $30=$28/$29; //@line 107 "./jslibmath.h"
      $1=$30; //@line 107 "./jslibmath.h"
      __label__ = 9; break; //@line 107 "./jslibmath.h"
    case 9: 
      var $32=$1; //@line 108 "./jslibmath.h"
      ;
      return $32; //@line 108 "./jslibmath.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7js_fmoddd($d, $d2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$d;
  $2=$d2;
  var $3=$1; //@line 87 "./jslibmath.h"
  var $4=$2; //@line 87 "./jslibmath.h"
  var $5=_fmod($3, $4); //@line 87 "./jslibmath.h"
  ;
  return $5; //@line 87 "./jslibmath.h"
}


function __ZN2js8ToNumberEP9JSContextPN2JS5ValueE($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d=__stackBase__;
      var $4=__stackBase__+8;
      $2=$cx;
      $3=$vp;
      var $5=$3; //@line 262 "./jsnum.h"
      var $6=__ZNK2JS5Value8isNumberEv($5); //@line 262 "./jsnum.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 262 "./jsnum.h"
    case 2: 
      $1=1; //@line 263 "./jsnum.h"
      __label__ = 6; break; //@line 263 "./jsnum.h"
    case 3: 
      var $9=$2; //@line 266 "./jsnum.h"
      var $10=$3; //@line 266 "./jsnum.h"
      var $11=$4; //@line 266 "./jsnum.h"
      var $12=$10; //@line 266 "./jsnum.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 266 "./jsnum.h"
      var $13=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($9, $4, $d); //@line 266 "./jsnum.h"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 266 "./jsnum.h"
    case 4: 
      $1=0; //@line 267 "./jsnum.h"
      __label__ = 6; break; //@line 267 "./jsnum.h"
    case 5: 
      var $16=$3; //@line 268 "./jsnum.h"
      var $17=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 268 "./jsnum.h"
      var $18=__ZN2JS5Value9setNumberEd($16, $17); //@line 268 "./jsnum.h"
      $1=1; //@line 269 "./jsnum.h"
      __label__ = 6; break; //@line 269 "./jsnum.h"
    case 6: 
      var $20=$1; //@line 270 "./jsnum.h"
      STACKTOP = __stackBase__;
      return $20; //@line 270 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL10Int32ValueEi1832($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZL8DoIncDecP9JSContextPK10JSCodeSpecPN2JS5ValueES6_($cx, $cs, $vp, $vp2) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $d=__stackBase__;
      var $d1=__stackBase__+8;
      $2=$cx;
      $3=$cs;
      $4=$vp;
      $5=$vp2;
      var $6=$3; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $7=(($6+4)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $9=$8 & 4096; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $10=(($9)|0)!=0; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 2: 
      var $12=$2; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $13=$4; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($12, $13, $d); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 3: 
      $1=0; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 14; break; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 4: 
      var $17=$4; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $18=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $19=__ZN2JS5Value9setNumberEd($17, $18); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $20=$3; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $21=(($20+4)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $23=$22 & 2048; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $24=(($23)|0)!=0; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 5: 
      var $26=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $27=$26+1; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      (tempDoubleF64[0]=$27,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32 = $d;__label__ = 7; break; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 6: 
      var $29=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $30=$29-1; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      (tempDoubleF64[0]=$30,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $32 = $d;__label__ = 7; break; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 7: 
      var $32; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $33=$5; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $34=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $35=__ZN2JS5Value9setNumberEd($33, $34); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 14; break; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 8: 
      var $37=$2; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $38=$4; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $39=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($37, $38, $d1); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 9: 
      $1=0; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 14; break; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 10: 
      var $42=$3; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $43=(($42+4)|0); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $45=$44 & 2048; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $46=(($45)|0)!=0; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 11: 
      var $48=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $49=$48+1; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      (tempDoubleF64[0]=$49,HEAP32[(($d1)>>2)]=tempDoubleI32[0],HEAP32[(($d1+4)>>2)]=tempDoubleI32[1]); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54 = $d1;__label__ = 13; break; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 12: 
      var $51=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $52=$51-1; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      (tempDoubleF64[0]=$52,HEAP32[(($d1)>>2)]=tempDoubleI32[0],HEAP32[(($d1+4)>>2)]=tempDoubleI32[1]); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $54 = $d1;__label__ = 13; break; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 13: 
      var $54; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $55=$4; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $56=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $57=__ZN2JS5Value9setNumberEd($55, $56); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $58=$5; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $59=$4; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $60=$58; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      var $61=$59; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[(($61+4)>>2)]; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      $1=1; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      __label__ = 14; break; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    case 14: 
      var $63=$1; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8DoIncDecP9JSContextPK10JSCodeSpecPN2JS5ValueES6_["X"]=1;

function __ZN2JSL11NumberValueEd1833($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function __Z23js_GetProtoIfDenseArrayP8JSObject($obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$obj;
      var $2=$1; //@line 1692 "./jsobjinlines.h"
      var $3=__ZNK8JSObject12isDenseArrayEv($2); //@line 1692 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1692 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1692 "./jsobjinlines.h"
      var $6=__ZNK8JSObject8getProtoEv($5); //@line 1692 "./jsobjinlines.h"
      var $10 = $6;__label__ = 4; break; //@line 1692 "./jsobjinlines.h"
    case 3: 
      var $8=$1; //@line 1692 "./jsobjinlines.h"
      var $10 = $8;__label__ = 4; break; //@line 1692 "./jsobjinlines.h"
    case 4: 
      var $10; //@line 1692 "./jsobjinlines.h"
      ;
      return $10; //@line 1692 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13PropertyCache10testForSetEP9JSContextPhP8JSObjectPPNS_18PropertyCacheEntryEPS5_PP6JSAtom($this, $cx, $pc, $obj, $entryp, $obj2p, $atomp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $7;
      var $8;
      var $shape;
      var $entry;
      var $atom;
      $2=$this;
      $3=$cx;
      $4=$pc;
      HEAP32[(($5)>>2)]=$obj;
      $6=$entryp;
      $7=$obj2p;
      $8=$atomp;
      var $9=$2;
      var $10=HEAP32[(($5)>>2)]; //@line 108 "./jspropertycacheinlines.h"
      var $11=__ZNK8JSObject5shapeEv($10); //@line 108 "./jspropertycacheinlines.h"
      $shape=$11; //@line 108 "./jspropertycacheinlines.h"
      var $12=$4; //@line 109 "./jspropertycacheinlines.h"
      var $13=$shape; //@line 109 "./jspropertycacheinlines.h"
      var $14=__ZN2js13PropertyCache4hashEPhj($12, $13); //@line 109 "./jspropertycacheinlines.h"
      var $15=(($9)|0); //@line 109 "./jspropertycacheinlines.h"
      var $16=(($15+($14<<4))|0); //@line 109 "./jspropertycacheinlines.h"
      $entry=$16; //@line 109 "./jspropertycacheinlines.h"
      var $17=$entry; //@line 110 "./jspropertycacheinlines.h"
      var $18=$6; //@line 110 "./jspropertycacheinlines.h"
      HEAP32[(($18)>>2)]=$17; //@line 110 "./jspropertycacheinlines.h"
      var $19=$entry; //@line 115 "./jspropertycacheinlines.h"
      var $20=(($19)|0); //@line 115 "./jspropertycacheinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 115 "./jspropertycacheinlines.h"
      var $22=$4; //@line 115 "./jspropertycacheinlines.h"
      var $23=(($21)|0)==(($22)|0); //@line 115 "./jspropertycacheinlines.h"
      if ($23) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 115 "./jspropertycacheinlines.h"
    case 2: 
      var $25=$entry; //@line 115 "./jspropertycacheinlines.h"
      var $26=(($25+4)|0); //@line 115 "./jspropertycacheinlines.h"
      var $27=HEAP32[(($26)>>2)]; //@line 115 "./jspropertycacheinlines.h"
      var $28=$shape; //@line 115 "./jspropertycacheinlines.h"
      var $29=(($27)|0)==(($28)|0); //@line 115 "./jspropertycacheinlines.h"
      if ($29) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 115 "./jspropertycacheinlines.h"
    case 3: 
      $1=1; //@line 116 "./jspropertycacheinlines.h"
      __label__ = 5; break; //@line 116 "./jspropertycacheinlines.h"
    case 4: 
      var $32=$3; //@line 118 "./jspropertycacheinlines.h"
      var $33=$4; //@line 118 "./jspropertycacheinlines.h"
      var $34=$7; //@line 118 "./jspropertycacheinlines.h"
      var $35=$entry; //@line 118 "./jspropertycacheinlines.h"
      var $36=__ZN2js13PropertyCache8fullTestEP9JSContextPhPP8JSObjectS6_PNS_18PropertyCacheEntryE($9, $32, $33, $5, $34, $35); //@line 118 "./jspropertycacheinlines.h"
      $atom=$36; //@line 118 "./jspropertycacheinlines.h"
      var $37=$atom; //@line 124 "./jspropertycacheinlines.h"
      var $38=$8; //@line 124 "./jspropertycacheinlines.h"
      HEAP32[(($38)>>2)]=$37; //@line 124 "./jspropertycacheinlines.h"
      $1=0; //@line 125 "./jspropertycacheinlines.h"
      __label__ = 5; break; //@line 125 "./jspropertycacheinlines.h"
    case 5: 
      var $40=$1; //@line 126 "./jspropertycacheinlines.h"
      STACKTOP = __stackBase__;
      return $40; //@line 126 "./jspropertycacheinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13PropertyCache10testForSetEP9JSContextPhP8JSObjectPPNS_18PropertyCacheEntryEPS5_PP6JSAtom["X"]=1;

function __ZNK2js18PropertyCacheEntry6addingEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js18PropertyCacheEntry7vcapTagEv($2); //@line 128 "./jspropertycache.h"
      var $4=(($3)|0)==0; //@line 128 "./jspropertycache.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 128 "./jspropertycache.h"
    case 2: 
      var $6=(($2+4)|0); //@line 128 "./jspropertycache.h"
      var $7=HEAP32[(($6)>>2)]; //@line 128 "./jspropertycache.h"
      var $8=__ZNK2js18PropertyCacheEntry6vshapeEv($2); //@line 128 "./jspropertycache.h"
      var $9=(($7)|0)!=(($8)|0); //@line 128 "./jspropertycache.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 128 "./jspropertycache.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject21nativeSetSlotWithTypeEP9JSContextPKN2js5ShapeERKN2JS5ValueE($this, $cx, $shape, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$shape;
  $4=$value;
  var $5=$1;
  var $6=$3; //@line 990 "./jsobjinlines.h"
  var $7=(($6+24)|0); //@line 990 "./jsobjinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 990 "./jsobjinlines.h"
  var $9=$4; //@line 990 "./jsobjinlines.h"
  __ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE($5, $8, $9); //@line 990 "./jsobjinlines.h"
  var $10=$2; //@line 991 "./jsobjinlines.h"
  var $11=$3; //@line 991 "./jsobjinlines.h"
  var $12=(($11+12)|0); //@line 991 "./jsobjinlines.h"
  var $13=HEAP32[(($12)>>2)]; //@line 991 "./jsobjinlines.h"
  var $14=$4; //@line 991 "./jsobjinlines.h"
  __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($10, $5, $13, $14); //@line 991 "./jsobjinlines.h"
  ;
  return; //@line 992 "./jsobjinlines.h"
}


function __ZN8JSObject6extendEP9JSContextPKN2js5ShapeEb($this, $cx, $shape, $isDefinitelyAtom) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$shape;
  var $5=(($isDefinitelyAtom)&1);
  $4=$5;
  var $6=$1;
  var $7=$3; //@line 145 "./jsscopeinlines.h"
  __ZN8JSObject15setLastPropertyEPKN2js5ShapeE($6, $7); //@line 145 "./jsscopeinlines.h"
  var $8=$3; //@line 146 "./jsscopeinlines.h"
  var $9=$4; //@line 146 "./jsscopeinlines.h"
  var $10=(($9) & 1); //@line 146 "./jsscopeinlines.h"
  __ZN8JSObject11updateFlagsEPKN2js5ShapeEb($6, $8, $10); //@line 146 "./jsscopeinlines.h"
  var $11=$2; //@line 147 "./jsscopeinlines.h"
  __ZN8JSObject11updateShapeEP9JSContext($6, $11); //@line 147 "./jsscopeinlines.h"
  ;
  return; //@line 148 "./jsscopeinlines.h"
}


function __Z18js_PurgeScopeChainP9JSContextP8JSObjecti($cx, $obj, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$obj;
      $3=$id;
      var $4=$2; //@line 1885 "./jsobj.h"
      var $5=__ZNK8JSObject10isDelegateEv($4); //@line 1885 "./jsobj.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1885 "./jsobj.h"
    case 2: 
      var $7=$1; //@line 1886 "./jsobj.h"
      var $8=$2; //@line 1886 "./jsobj.h"
      var $9=$3; //@line 1886 "./jsobj.h"
      __Z24js_PurgeScopeChainHelperP9JSContextP8JSObjecti($7, $8, $9); //@line 1886 "./jsobj.h"
      __label__ = 3; break; //@line 1886 "./jsobj.h"
    case 3: 
      ;
      return; //@line 1887 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13StaticStrings23getUnitStringForElementEP9JSContextP8JSStringj($this, $cx, $str, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $chars;
      var $c;
      $2=$this;
      $3=$cx;
      $4=$str;
      $5=$index;
      var $6=$2;
      var $7=$4; //@line 245 "./vm/String-inl.h"
      var $8=$3; //@line 245 "./vm/String-inl.h"
      var $9=__ZN8JSString8getCharsEP9JSContext($7, $8); //@line 245 "./vm/String-inl.h"
      $chars=$9; //@line 245 "./vm/String-inl.h"
      var $10=$chars; //@line 246 "./vm/String-inl.h"
      var $11=(($10)|0)!=0; //@line 246 "./vm/String-inl.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 246 "./vm/String-inl.h"
    case 2: 
      $1=0; //@line 247 "./vm/String-inl.h"
      __label__ = 6; break; //@line 247 "./vm/String-inl.h"
    case 3: 
      var $14=$5; //@line 248 "./vm/String-inl.h"
      var $15=$chars; //@line 248 "./vm/String-inl.h"
      var $16=(($15+($14<<1))|0); //@line 248 "./vm/String-inl.h"
      var $17=HEAP16[(($16)>>1)]; //@line 248 "./vm/String-inl.h"
      $c=$17; //@line 248 "./vm/String-inl.h"
      var $18=$c; //@line 249 "./vm/String-inl.h"
      var $19=(($18)&65535); //@line 249 "./vm/String-inl.h"
      var $20=(($19)>>>0) < 256; //@line 249 "./vm/String-inl.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 249 "./vm/String-inl.h"
    case 4: 
      var $22=$c; //@line 250 "./vm/String-inl.h"
      var $23=__ZN2js13StaticStrings7getUnitEt($6, $22); //@line 250 "./vm/String-inl.h"
      var $24=$23; //@line 250 "./vm/String-inl.h"
      $1=$24; //@line 250 "./vm/String-inl.h"
      __label__ = 6; break; //@line 250 "./vm/String-inl.h"
    case 5: 
      var $26=$3; //@line 251 "./vm/String-inl.h"
      var $27=$4; //@line 251 "./vm/String-inl.h"
      var $28=$5; //@line 251 "./vm/String-inl.h"
      var $29=__Z21js_NewDependentStringP9JSContextP8JSStringjj($26, $27, $28, 1); //@line 251 "./vm/String-inl.h"
      $1=$29; //@line 251 "./vm/String-inl.h"
      __label__ = 6; break; //@line 251 "./vm/String-inl.h"
    case 6: 
      var $31=$1; //@line 252 "./vm/String-inl.h"
      ;
      return $31; //@line 252 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_INT1835($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT1836($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function __ZN2jsL16CastAsPropertyOpEP8JSObject1842($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 80 "./jsobj.h"
  var $3=$2; //@line 80 "./jsobj.h"
  var $4=$3; //@line 80 "./jsobj.h"
  ;
  return $4; //@line 80 "./jsobj.h"
}


function __ZN2jsL22CastAsStrictPropertyOpEP8JSObject1843($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 86 "./jsobj.h"
  var $3=$2; //@line 86 "./jsobj.h"
  var $4=$3; //@line 86 "./jsobj.h"
  ;
  return $4; //@line 86 "./jsobj.h"
}


function __ZNK2js5Shape20isAccessorDescriptorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 602 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 602 "./jsscope.h"
  var $5=(($4)&255); //@line 602 "./jsscope.h"
  var $6=$5 & 48; //@line 602 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 602 "./jsscope.h"
  ;
  return $7; //@line 602 "./jsscope.h"
}


function __ZN2js23AdvanceOverBlockchainOpEPh($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$pc;
      var $3=$2; //@line 66 "./jsopcodeinlines.h"
      var $4=HEAPU8[($3)]; //@line 66 "./jsopcodeinlines.h"
      var $5=(($4)&255); //@line 66 "./jsopcodeinlines.h"
      var $6=(($5)|0)==189; //@line 66 "./jsopcodeinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 66 "./jsopcodeinlines.h"
    case 2: 
      var $8=$2; //@line 67 "./jsopcodeinlines.h"
      var $9=(($8+1)|0); //@line 67 "./jsopcodeinlines.h"
      $1=$9; //@line 67 "./jsopcodeinlines.h"
      __label__ = 6; break; //@line 67 "./jsopcodeinlines.h"
    case 3: 
      var $11=$2; //@line 68 "./jsopcodeinlines.h"
      var $12=HEAPU8[($11)]; //@line 68 "./jsopcodeinlines.h"
      var $13=(($12)&255); //@line 68 "./jsopcodeinlines.h"
      var $14=(($13)|0)==188; //@line 68 "./jsopcodeinlines.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 68 "./jsopcodeinlines.h"
    case 4: 
      var $16=$2; //@line 69 "./jsopcodeinlines.h"
      var $17=(($16+3)|0); //@line 69 "./jsopcodeinlines.h"
      $1=$17; //@line 69 "./jsopcodeinlines.h"
      __label__ = 6; break; //@line 69 "./jsopcodeinlines.h"
    case 5: 
      var $19=$2; //@line 70 "./jsopcodeinlines.h"
      $1=$19; //@line 70 "./jsopcodeinlines.h"
      __label__ = 6; break; //@line 70 "./jsopcodeinlines.h"
    case 6: 
      var $21=$1; //@line 71 "./jsopcodeinlines.h"
      ;
      return $21; //@line 71 "./jsopcodeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js19ValuePropertyBearerEP9JSContextRKN2JS5ValueEi($cx, $v, $spindex) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $pobj=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$spindex;
      var $5=$3; //@line 210 "./jsinterpinlines.h"
      var $6=__ZNK2JS5Value8isObjectEv($5); //@line 210 "./jsinterpinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 210 "./jsinterpinlines.h"
    case 2: 
      var $8=$3; //@line 211 "./jsinterpinlines.h"
      var $9=__ZNK2JS5Value8toObjectEv($8); //@line 211 "./jsinterpinlines.h"
      $1=$9; //@line 211 "./jsinterpinlines.h"
      __label__ = 15; break; //@line 211 "./jsinterpinlines.h"
    case 3: 
      var $11=$3; //@line 214 "./jsinterpinlines.h"
      var $12=__ZNK2JS5Value8isStringEv($11); //@line 214 "./jsinterpinlines.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 214 "./jsinterpinlines.h"
    case 4: 
      $protoKey=9; //@line 215 "./jsinterpinlines.h"
      __label__ = 12; break; //@line 216 "./jsinterpinlines.h"
    case 5: 
      var $15=$3; //@line 216 "./jsinterpinlines.h"
      var $16=__ZNK2JS5Value8isNumberEv($15); //@line 216 "./jsinterpinlines.h"
      if ($16) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 216 "./jsinterpinlines.h"
    case 6: 
      $protoKey=8; //@line 217 "./jsinterpinlines.h"
      __label__ = 11; break; //@line 218 "./jsinterpinlines.h"
    case 7: 
      var $19=$3; //@line 218 "./jsinterpinlines.h"
      var $20=__ZNK2JS5Value9isBooleanEv($19); //@line 218 "./jsinterpinlines.h"
      if ($20) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 218 "./jsinterpinlines.h"
    case 8: 
      $protoKey=4; //@line 219 "./jsinterpinlines.h"
      __label__ = 10; break; //@line 220 "./jsinterpinlines.h"
    case 9: 
      var $23=$2; //@line 222 "./jsinterpinlines.h"
      var $24=$4; //@line 222 "./jsinterpinlines.h"
      var $25=$3; //@line 222 "./jsinterpinlines.h"
      var $26=__Z26js_ReportIsNullOrUndefinedP9JSContextiRKN2JS5ValueEP8JSString($23, $24, $25, 0); //@line 222 "./jsinterpinlines.h"
      $1=0; //@line 223 "./jsinterpinlines.h"
      __label__ = 15; break; //@line 223 "./jsinterpinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $30=$2; //@line 227 "./jsinterpinlines.h"
      var $31=$protoKey; //@line 227 "./jsinterpinlines.h"
      var $32=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($30, 0, $31, $pobj, 0); //@line 227 "./jsinterpinlines.h"
      var $33=(($32)|0)!=0; //@line 227 "./jsinterpinlines.h"
      if ($33) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 227 "./jsinterpinlines.h"
    case 13: 
      $1=0; //@line 228 "./jsinterpinlines.h"
      __label__ = 15; break; //@line 228 "./jsinterpinlines.h"
    case 14: 
      var $36=HEAP32[(($pobj)>>2)]; //@line 229 "./jsinterpinlines.h"
      $1=$36; //@line 229 "./jsinterpinlines.h"
      __label__ = 15; break; //@line 229 "./jsinterpinlines.h"
    case 15: 
      var $38=$1; //@line 230 "./jsinterpinlines.h"
      STACKTOP = __stackBase__;
      return $38; //@line 230 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js19ValuePropertyBearerEP9JSContextRKN2JS5ValueEi["X"]=1;

function __ZN2js5types10TypeScript13MonitorAssignEP9JSContextP8JSScriptPhP8JSObjectiRKN2JS5ValueE($cx, $script, $pc, $obj, $id, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $i=__stackBase__;
      $1=$cx;
      $2=$script;
      $3=$pc;
      $4=$obj;
      $5=$id;
      $6=$rval;
      var $7=$1; //@line 593 "./jsinferinlines.h"
      var $8=__ZN9JSContext20typeInferenceEnabledEv($7); //@line 593 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 593 "./jsinferinlines.h"
    case 2: 
      var $10=$4; //@line 593 "./jsinferinlines.h"
      var $11=__ZNK8JSObject16hasSingletonTypeEv($10); //@line 593 "./jsinferinlines.h"
      if ($11) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 593 "./jsinferinlines.h"
    case 3: 
      var $13=$5; //@line 603 "./jsinferinlines.h"
      var $14=__Z12js_IdIsIndexiPj($13, $i); //@line 603 "./jsinferinlines.h"
      var $15=(($14)|0)!=0; //@line 603 "./jsinferinlines.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 603 "./jsinferinlines.h"
    case 4: 
      __label__ = 6; break; //@line 604 "./jsinferinlines.h"
    case 5: 
      var $18=$1; //@line 605 "./jsinferinlines.h"
      var $19=$4; //@line 605 "./jsinferinlines.h"
      var $20=__ZNK8JSObject4typeEv($19); //@line 605 "./jsinferinlines.h"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($18, $20, 0); //@line 605 "./jsinferinlines.h"
      __label__ = 6; break; //@line 606 "./jsinferinlines.h"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 607 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14CallArgsFromSpEjPN2JS5ValueE($agg_result, $argc, $sp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$argc;
  $2=$sp;
  var $3=$1; //@line 266 "./vm/Stack.h"
  var $4=$2; //@line 266 "./vm/Stack.h"
  var $5=$1; //@line 266 "./vm/Stack.h"
  var $6=(((-$5))|0); //@line 266 "./vm/Stack.h"
  var $7=(($4+($6<<3))|0); //@line 266 "./vm/Stack.h"
  __ZN2js16CallArgsFromArgvEjPN2JS5ValueE($agg_result, $3, $7); //@line 266 "./vm/Stack.h"
  ;
  return; //@line 266 "./vm/Stack.h"
}


function __ZNK2js12CallReceiver11spAfterCallEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZNK2js12CallReceiver11setUsedRvalEv($2); //@line 207 "./vm/Stack.h"
  var $3=(($2)|0); //@line 208 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 208 "./vm/Stack.h"
  var $5=(($4-8)|0); //@line 208 "./vm/Stack.h"
  ;
  return $5; //@line 208 "./vm/Stack.h"
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction1837($v, $funobj, $fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $b;
      $1=$v;
      $2=$funobj;
      $3=$fun;
      var $4=$1; //@line 282 "./jsfun.h"
      var $5=$2; //@line 282 "./jsfun.h"
      var $6=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1840($4, $5); //@line 282 "./jsfun.h"
      var $7=(($6)&1); //@line 282 "./jsfun.h"
      $b=$7; //@line 282 "./jsfun.h"
      var $8=$b; //@line 283 "./jsfun.h"
      var $9=(($8) & 1); //@line 283 "./jsfun.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 283 "./jsfun.h"
    case 2: 
      var $11=$2; //@line 284 "./jsfun.h"
      var $12=HEAP32[(($11)>>2)]; //@line 284 "./jsfun.h"
      var $13=__ZNK8JSObject18getFunctionPrivateEv($12); //@line 284 "./jsfun.h"
      var $14=$3; //@line 284 "./jsfun.h"
      HEAP32[(($14)>>2)]=$13; //@line 284 "./jsfun.h"
      __label__ = 3; break; //@line 284 "./jsfun.h"
    case 3: 
      var $16=$b; //@line 285 "./jsfun.h"
      var $17=(($16) & 1); //@line 285 "./jsfun.h"
      ;
      return $17; //@line 285 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ContextStack15pushInlineFrameEP9JSContextRNS_9FrameRegsERKNS_8CallArgsER8JSObjectP10JSFunctionP8JSScriptNS_17InitialFrameFlagsE($this, $cx, $regs, $args, $callee, $fun, $script, $initial) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $flags=__stackBase__;
      var $fp;
      $2=$this;
      $3=$cx;
      $4=$regs;
      $5=$args;
      $6=$callee;
      $7=$fun;
      $8=$script;
      $9=$initial;
      var $10=$2;
      var $11=$9; //@line 538 "./vm/Stack-inl.h"
      var $12=__ZN2jsL12ToFrameFlagsENS_17InitialFrameFlagsE1859($11); //@line 538 "./vm/Stack-inl.h"
      HEAP32[(($flags)>>2)]=$12; //@line 538 "./vm/Stack-inl.h"
      var $13=$3; //@line 539 "./vm/Stack-inl.h"
      var $14=$5; //@line 539 "./vm/Stack-inl.h"
      var $15=$7; //@line 539 "./vm/Stack-inl.h"
      var $16=$8; //@line 539 "./vm/Stack-inl.h"
      var $17=__ZNK2js12ContextStack12getCallFrameEP9JSContextNS_16MaybeReportErrorERKNS_8CallArgsEP10JSFunctionP8JSScriptPNS_10StackFrame5FlagsE($10, $13, 1, $14, $15, $16, $flags); //@line 539 "./vm/Stack-inl.h"
      $fp=$17; //@line 539 "./vm/Stack-inl.h"
      var $18=$fp; //@line 540 "./vm/Stack-inl.h"
      var $19=(($18)|0)!=0; //@line 540 "./vm/Stack-inl.h"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 540 "./vm/Stack-inl.h"
    case 2: 
      $1=0; //@line 541 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 541 "./vm/Stack-inl.h"
    case 3: 
      var $22=$fp; //@line 544 "./vm/Stack-inl.h"
      var $23=$3; //@line 544 "./vm/Stack-inl.h"
      var $24=$6; //@line 544 "./vm/Stack-inl.h"
      var $25=$7; //@line 544 "./vm/Stack-inl.h"
      var $26=$8; //@line 544 "./vm/Stack-inl.h"
      var $27=$5; //@line 544 "./vm/Stack-inl.h"
      var $28=__ZNK2js8CallArgs4argcEv($27); //@line 544 "./vm/Stack-inl.h"
      var $29=HEAP32[(($flags)>>2)]; //@line 544 "./vm/Stack-inl.h"
      __ZN2js10StackFrame13initCallFrameEP9JSContextR8JSObjectP10JSFunctionP8JSScriptjNS0_5FlagsE($22, $23, $24, $25, $26, $28, $29); //@line 544 "./vm/Stack-inl.h"
      var $30=$4; //@line 550 "./vm/Stack-inl.h"
      var $31=$fp; //@line 550 "./vm/Stack-inl.h"
      var $32=$8; //@line 550 "./vm/Stack-inl.h"
      __ZN2js9FrameRegs12prepareToRunERNS_10StackFrameEP8JSScript($30, $31, $32); //@line 550 "./vm/Stack-inl.h"
      $1=1; //@line 551 "./vm/Stack-inl.h"
      __label__ = 4; break; //@line 551 "./vm/Stack-inl.h"
    case 4: 
      var $34=$1; //@line 552 "./vm/Stack-inl.h"
      STACKTOP = __stackBase__;
      return $34; //@line 552 "./vm/Stack-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12ContextStack15pushInlineFrameEP9JSContextRNS_9FrameRegsERKNS_8CallArgsER8JSObjectP10JSFunctionP8JSScriptNS_17InitialFrameFlagsE["X"]=1;

function __ZN2js14ScriptPrologueEP9JSContextPNS_10StackFrameEb($cx, $fp, $newType) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$fp;
      var $5=(($newType)&1);
      $4=$5;
      var $6=$3; //@line 251 "./jsinterpinlines.h"
      var $7=__ZNK2js10StackFrame14isConstructingEv($6); //@line 251 "./jsinterpinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 251 "./jsinterpinlines.h"
    case 2: 
      var $9=$2; //@line 252 "./jsinterpinlines.h"
      var $10=$3; //@line 252 "./jsinterpinlines.h"
      var $11=__ZNK2js10StackFrame6calleeEv($10); //@line 252 "./jsinterpinlines.h"
      var $12=$4; //@line 252 "./jsinterpinlines.h"
      var $13=(($12) & 1); //@line 252 "./jsinterpinlines.h"
      var $14=__Z24js_CreateThisForFunctionP9JSContextP8JSObjectb($9, $11, $13); //@line 252 "./jsinterpinlines.h"
      $obj=$14; //@line 252 "./jsinterpinlines.h"
      var $15=$obj; //@line 253 "./jsinterpinlines.h"
      var $16=(($15)|0)!=0; //@line 253 "./jsinterpinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "./jsinterpinlines.h"
    case 3: 
      $1=0; //@line 254 "./jsinterpinlines.h"
      __label__ = 8; break; //@line 254 "./jsinterpinlines.h"
    case 4: 
      var $19=$3; //@line 255 "./jsinterpinlines.h"
      var $20=__ZNK2js10StackFrame12functionThisEv($19); //@line 255 "./jsinterpinlines.h"
      var $21=$obj; //@line 255 "./jsinterpinlines.h"
      __ZN2JS5Value9setObjectER8JSObject($20, $21); //@line 255 "./jsinterpinlines.h"
      __label__ = 5; break; //@line 256 "./jsinterpinlines.h"
    case 5: 
      var $23=$2; //@line 258 "./jsinterpinlines.h"
      var $24=$3; //@line 258 "./jsinterpinlines.h"
      var $25=__ZNK2js10StackFrame8maybeFunEv($24); //@line 258 "./jsinterpinlines.h"
      var $26=$3; //@line 258 "./jsinterpinlines.h"
      var $27=__ZNK2js10StackFrame6scriptEv($26); //@line 258 "./jsinterpinlines.h"
      var $28=__ZN2js6Probes10enterJSFunEP9JSContextP10JSFunctionP8JSScripti($23, $25, $27, 1); //@line 258 "./jsinterpinlines.h"
      var $29=$2; //@line 259 "./jsinterpinlines.h"
      var $30=(($29+56)|0); //@line 259 "./jsinterpinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 259 "./jsinterpinlines.h"
      var $32=__ZNK13JSCompartment9debugModeEv($31); //@line 259 "./jsinterpinlines.h"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 259 "./jsinterpinlines.h"
    case 6: 
      var $34=$2; //@line 260 "./jsinterpinlines.h"
      var $35=$3; //@line 260 "./jsinterpinlines.h"
      __ZN2js19ScriptDebugPrologueEP9JSContextPNS_10StackFrameE($34, $35); //@line 260 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 260 "./jsinterpinlines.h"
    case 7: 
      $1=1; //@line 262 "./jsinterpinlines.h"
      __label__ = 8; break; //@line 262 "./jsinterpinlines.h"
    case 8: 
      var $38=$1; //@line 263 "./jsinterpinlines.h"
      ;
      return $38; //@line 263 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js19ComputeImplicitThisEP9JSContextP8JSObjectRKN2JS5ValueEPS5_($cx, $obj, $funval, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$funval;
      $5=$vp;
      var $6=$5; //@line 156 "./jsinterpinlines.h"
      __ZN2JS5Value12setUndefinedEv($6); //@line 156 "./jsinterpinlines.h"
      var $7=$4; //@line 158 "./jsinterpinlines.h"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 158 "./jsinterpinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 158 "./jsinterpinlines.h"
    case 2: 
      $1=1; //@line 159 "./jsinterpinlines.h"
      __label__ = 10; break; //@line 159 "./jsinterpinlines.h"
    case 3: 
      var $11=$3; //@line 161 "./jsinterpinlines.h"
      var $12=__ZNK8JSObject8isGlobalEv($11); //@line 161 "./jsinterpinlines.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 161 "./jsinterpinlines.h"
    case 4: 
      $1=1; //@line 162 "./jsinterpinlines.h"
      __label__ = 10; break; //@line 162 "./jsinterpinlines.h"
    case 5: 
      var $15=$3; //@line 164 "./jsinterpinlines.h"
      var $16=__ZN2jsL25IsCacheableNonGlobalScopeEP8JSObject($15); //@line 164 "./jsinterpinlines.h"
      if ($16) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 164 "./jsinterpinlines.h"
    case 6: 
      $1=1; //@line 165 "./jsinterpinlines.h"
      __label__ = 10; break; //@line 165 "./jsinterpinlines.h"
    case 7: 
      var $19=$3; //@line 167 "./jsinterpinlines.h"
      var $20=$2; //@line 167 "./jsinterpinlines.h"
      var $21=__ZN8JSObject10thisObjectEP9JSContext($19, $20); //@line 167 "./jsinterpinlines.h"
      $3=$21; //@line 167 "./jsinterpinlines.h"
      var $22=$3; //@line 168 "./jsinterpinlines.h"
      var $23=(($22)|0)!=0; //@line 168 "./jsinterpinlines.h"
      if ($23) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 168 "./jsinterpinlines.h"
    case 8: 
      $1=0; //@line 169 "./jsinterpinlines.h"
      __label__ = 10; break; //@line 169 "./jsinterpinlines.h"
    case 9: 
      var $26=$5; //@line 171 "./jsinterpinlines.h"
      var $27=$3; //@line 171 "./jsinterpinlines.h"
      __ZN2JS5Value9setObjectER8JSObject($26, $27); //@line 171 "./jsinterpinlines.h"
      $1=1; //@line 172 "./jsinterpinlines.h"
      __label__ = 10; break; //@line 172 "./jsinterpinlines.h"
    case 10: 
      var $29=$1; //@line 173 "./jsinterpinlines.h"
      ;
      return $29; //@line 173 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z19js_UnwrapWithObjectP9JSContextP8JSObject($cx, $withobj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$withobj;
  var $3=$2; //@line 1156 "./jsobjinlines.h"
  var $4=__ZNK8JSObject8getProtoEv($3); //@line 1156 "./jsobjinlines.h"
  ;
  return $4; //@line 1156 "./jsobjinlines.h"
}


function __ZN8JSScript8getConstEj($this, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  var $arr;
  $1=$this;
  $2=$index;
  var $3=$1;
  var $4=__ZN8JSScript6constsEv($3); //@line 760 "./jsscript.h"
  $arr=$4; //@line 760 "./jsscript.h"
  var $5=$2; //@line 762 "./jsscript.h"
  var $6=$arr; //@line 762 "./jsscript.h"
  var $7=(($6)|0); //@line 762 "./jsscript.h"
  var $8=HEAP32[(($7)>>2)]; //@line 762 "./jsscript.h"
  var $9=(($8+($5<<3))|0); //@line 762 "./jsscript.h"
  ;
  return $9; //@line 762 "./jsscript.h"
}


function __ZN8JSScript9getRegExpEj($this, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  var $arr;
  var $obj;
  $1=$this;
  $2=$index;
  var $3=$1;
  var $4=__ZN8JSScript7regexpsEv($3); //@line 153 "./jsscriptinlines.h"
  $arr=$4; //@line 153 "./jsscriptinlines.h"
  var $5=$2; //@line 155 "./jsscriptinlines.h"
  var $6=$arr; //@line 155 "./jsscriptinlines.h"
  var $7=(($6)|0); //@line 155 "./jsscriptinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 155 "./jsscriptinlines.h"
  var $9=(($8+($5<<2))|0); //@line 155 "./jsscriptinlines.h"
  var $10=HEAP32[(($9)>>2)]; //@line 155 "./jsscriptinlines.h"
  $obj=$10; //@line 155 "./jsscriptinlines.h"
  var $11=$obj; //@line 157 "./jsscriptinlines.h"
  ;
  return $11; //@line 157 "./jsscriptinlines.h"
}


function __ZN2JSL10MagicValueE10JSWhyMagic1838($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$1; //@line 742 "./jsapi.h"
  __ZN2JS5Value8setMagicE10JSWhyMagic($agg_result, $2); //@line 742 "./jsapi.h"
  ;
  return; //@line 743 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv1839($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN10JSFunction13setMethodAtomEP6JSAtom($this, $atom) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$atom;
  var $4=$1;
  var $5=$4; //@line 64 "./jsfuninlines.h"
  var $6=$2; //@line 64 "./jsfuninlines.h"
  var $7=$6; //@line 64 "./jsfuninlines.h"
  __ZN2JSL11StringValueEP8JSString1846($3, $7); //@line 64 "./jsfuninlines.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 0, $3); //@line 64 "./jsfuninlines.h"
  STACKTOP = __stackBase__;
  return; //@line 65 "./jsfuninlines.h"
}


function __ZNK8JSObject20canHaveMethodBarrierEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject8isObjectEv($2); //@line 393 "./jsobjinlines.h"
      if ($3) { var $11 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 393 "./jsobjinlines.h"
    case 2: 
      var $5=__ZNK8JSObject10isFunctionEv($2); //@line 393 "./jsobjinlines.h"
      if ($5) { var $11 = 1;__label__ = 5; break; } else { __label__ = 3; break; } //@line 393 "./jsobjinlines.h"
    case 3: 
      var $7=__ZNK8JSObject11isPrimitiveEv($2); //@line 393 "./jsobjinlines.h"
      if ($7) { var $11 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 393 "./jsobjinlines.h"
    case 4: 
      var $9=__ZNK8JSObject6isDateEv($2); //@line 393 "./jsobjinlines.h"
      var $11 = $9;__label__ = 5; break; //@line 393 "./jsobjinlines.h"
    case 5: 
      var $11;
      ;
      return $11; //@line 393 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1840($v, $funobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$v;
      $2=$funobj;
      var $3=$1; //@line 276 "./jsfun.h"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 276 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 276 "./jsfun.h"
    case 2: 
      var $6=$1; //@line 276 "./jsfun.h"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 276 "./jsfun.h"
      var $8=$2; //@line 276 "./jsfun.h"
      HEAP32[(($8)>>2)]=$7; //@line 276 "./jsfun.h"
      var $9=__ZNK8JSObject10isFunctionEv($7); //@line 276 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 277 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13js_IsCallableRKN2JS5ValueE1841($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL17GuessObjectGCKindEjb1844($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 1573 "./jsobjinlines.h"
      var $6=(($5)|0)!=0; //@line 1573 "./jsobjinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1573 "./jsobjinlines.h"
    case 2: 
      var $8=$2; //@line 1574 "./jsobjinlines.h"
      var $9=$3; //@line 1574 "./jsobjinlines.h"
      var $10=(($9) & 1); //@line 1574 "./jsobjinlines.h"
      var $11=__ZN2js2gcL15GetGCObjectKindEjb1857($8, $10); //@line 1574 "./jsobjinlines.h"
      $1=$11; //@line 1574 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1574 "./jsobjinlines.h"
    case 3: 
      var $13=$3; //@line 1575 "./jsobjinlines.h"
      var $14=(($13) & 1); //@line 1575 "./jsobjinlines.h"
      var $15=$14 ? 6 : 4; //@line 1575 "./jsobjinlines.h"
      $1=$15; //@line 1575 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1575 "./jsobjinlines.h"
    case 4: 
      var $17=$1; //@line 1576 "./jsobjinlines.h"
      ;
      return $17; //@line 1576 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1845($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1852($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1845["X"]=1;

function __ZN2jsL21CopyInitializerObjectEP9JSContextP8JSObjectPNS_5types10TypeObjectE($cx, $baseobj, $type) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kind;
      var $obj;
      $2=$cx;
      $3=$baseobj;
      $4=$type;
      var $5=$3; //@line 1621 "./jsobjinlines.h"
      var $6=__ZNK8JSObject13numFixedSlotsEv($5); //@line 1621 "./jsobjinlines.h"
      var $7=__ZN2js2gcL25GetGCObjectFixedSlotsKindEj($6); //@line 1621 "./jsobjinlines.h"
      $kind=$7; //@line 1621 "./jsobjinlines.h"
      var $8=$2; //@line 1626 "./jsobjinlines.h"
      var $9=$kind; //@line 1626 "./jsobjinlines.h"
      var $10=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1845($8, __ZN2js11ObjectClassE, $9); //@line 1626 "./jsobjinlines.h"
      $obj=$10; //@line 1626 "./jsobjinlines.h"
      var $11=$obj; //@line 1628 "./jsobjinlines.h"
      var $12=(($11)|0)!=0; //@line 1628 "./jsobjinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1628 "./jsobjinlines.h"
    case 2: 
      var $14=$obj; //@line 1628 "./jsobjinlines.h"
      var $15=$2; //@line 1628 "./jsobjinlines.h"
      var $16=$3; //@line 1628 "./jsobjinlines.h"
      var $17=__ZNK8JSObject8numSlotsEv($16); //@line 1628 "./jsobjinlines.h"
      var $18=__ZN8JSObject11ensureSlotsEP9JSContextj($14, $15, $17); //@line 1628 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1628 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1629 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1629 "./jsobjinlines.h"
    case 4: 
      var $21=$obj; //@line 1631 "./jsobjinlines.h"
      var $22=$4; //@line 1631 "./jsobjinlines.h"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($21, $22); //@line 1631 "./jsobjinlines.h"
      var $23=$3; //@line 1632 "./jsobjinlines.h"
      var $24=(($23+8)|0); //@line 1632 "./jsobjinlines.h"
      var $25=HEAP32[(($24)>>2)]; //@line 1632 "./jsobjinlines.h"
      var $26=$obj; //@line 1632 "./jsobjinlines.h"
      var $27=(($26+8)|0); //@line 1632 "./jsobjinlines.h"
      HEAP32[(($27)>>2)]=$25; //@line 1632 "./jsobjinlines.h"
      var $28=$3; //@line 1633 "./jsobjinlines.h"
      var $29=(($28)|0); //@line 1633 "./jsobjinlines.h"
      var $30=HEAP32[(($29)>>2)]; //@line 1633 "./jsobjinlines.h"
      var $31=$obj; //@line 1633 "./jsobjinlines.h"
      var $32=(($31)|0); //@line 1633 "./jsobjinlines.h"
      HEAP32[(($32)>>2)]=$30; //@line 1633 "./jsobjinlines.h"
      var $33=$3; //@line 1634 "./jsobjinlines.h"
      var $34=(($33+12)|0); //@line 1634 "./jsobjinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 1634 "./jsobjinlines.h"
      var $36=$obj; //@line 1634 "./jsobjinlines.h"
      var $37=(($36+12)|0); //@line 1634 "./jsobjinlines.h"
      HEAP32[(($37)>>2)]=$35; //@line 1634 "./jsobjinlines.h"
      var $38=$obj; //@line 1636 "./jsobjinlines.h"
      $1=$38; //@line 1636 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1636 "./jsobjinlines.h"
    case 5: 
      var $40=$1; //@line 1637 "./jsobjinlines.h"
      ;
      return $40; //@line 1637 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL21CopyInitializerObjectEP9JSContextP8JSObjectPNS_5types10TypeObjectE["X"]=1;

function __ZN2js13PropertyCache11testForInitEP9JSRuntimePhP8JSObjectPPKNS_5ShapeEPPNS_18PropertyCacheEntryE($this, $rt, $pc, $obj, $shapep, $entryp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $kshape;
      var $entry;
      $2=$this;
      $3=$rt;
      $4=$pc;
      $5=$obj;
      $6=$shapep;
      $7=$entryp;
      var $8=$2;
      var $9=$5; //@line 133 "./jspropertycacheinlines.h"
      var $10=__ZNK8JSObject5shapeEv($9); //@line 133 "./jspropertycacheinlines.h"
      $kshape=$10; //@line 133 "./jspropertycacheinlines.h"
      var $11=$4; //@line 134 "./jspropertycacheinlines.h"
      var $12=$kshape; //@line 134 "./jspropertycacheinlines.h"
      var $13=__ZN2js13PropertyCache4hashEPhj($11, $12); //@line 134 "./jspropertycacheinlines.h"
      var $14=(($8)|0); //@line 134 "./jspropertycacheinlines.h"
      var $15=(($14+($13<<4))|0); //@line 134 "./jspropertycacheinlines.h"
      $entry=$15; //@line 134 "./jspropertycacheinlines.h"
      var $16=$entry; //@line 135 "./jspropertycacheinlines.h"
      var $17=$7; //@line 135 "./jspropertycacheinlines.h"
      HEAP32[(($17)>>2)]=$16; //@line 135 "./jspropertycacheinlines.h"
      var $18=$entry; //@line 141 "./jspropertycacheinlines.h"
      var $19=(($18)|0); //@line 141 "./jspropertycacheinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 141 "./jspropertycacheinlines.h"
      var $21=$4; //@line 141 "./jspropertycacheinlines.h"
      var $22=(($20)|0)==(($21)|0); //@line 141 "./jspropertycacheinlines.h"
      if ($22) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 141 "./jspropertycacheinlines.h"
    case 2: 
      var $24=$entry; //@line 141 "./jspropertycacheinlines.h"
      var $25=(($24+4)|0); //@line 141 "./jspropertycacheinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 141 "./jspropertycacheinlines.h"
      var $27=$kshape; //@line 141 "./jspropertycacheinlines.h"
      var $28=(($26)|0)==(($27)|0); //@line 141 "./jspropertycacheinlines.h"
      if ($28) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 141 "./jspropertycacheinlines.h"
    case 3: 
      var $30=$entry; //@line 143 "./jspropertycacheinlines.h"
      var $31=__ZNK2js18PropertyCacheEntry6vshapeEv($30); //@line 143 "./jspropertycacheinlines.h"
      var $32=$3; //@line 143 "./jspropertycacheinlines.h"
      var $33=(($32+44)|0); //@line 143 "./jspropertycacheinlines.h"
      var $34=HEAP32[(($33)>>2)]; //@line 143 "./jspropertycacheinlines.h"
      var $35=(($31)|0)==(($34)|0); //@line 143 "./jspropertycacheinlines.h"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 143 "./jspropertycacheinlines.h"
    case 4: 
      var $37=$entry; //@line 151 "./jspropertycacheinlines.h"
      var $38=(($37+12)|0); //@line 151 "./jspropertycacheinlines.h"
      var $39=__ZNK2js5PCVal7toShapeEv($38); //@line 151 "./jspropertycacheinlines.h"
      var $40=$6; //@line 151 "./jspropertycacheinlines.h"
      HEAP32[(($40)>>2)]=$39; //@line 151 "./jspropertycacheinlines.h"
      $1=1; //@line 153 "./jspropertycacheinlines.h"
      __label__ = 6; break; //@line 153 "./jspropertycacheinlines.h"
    case 5: 
      $1=0; //@line 155 "./jspropertycacheinlines.h"
      __label__ = 6; break; //@line 155 "./jspropertycacheinlines.h"
    case 6: 
      var $43=$1; //@line 156 "./jspropertycacheinlines.h"
      ;
      return $43; //@line 156 "./jspropertycacheinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13PropertyCache11testForInitEP9JSRuntimePhP8JSObjectPPKNS_5ShapeEPPNS_18PropertyCacheEntryE["X"]=1;

function __ZNK2JS5Value14isObjectOrNullEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 418 "./jsapi.h"
  var $5=$2; //@line 418 "./jsapi.h"
  var $6=$4; //@line 418 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 418 "./jsapi.h"
  var $7=_JSVAL_IS_OBJECT_OR_NULL_IMPL($2); //@line 418 "./jsapi.h"
  var $8=(($7)|0)!=0; //@line 418 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 418 "./jsapi.h"
}


function __ZN2js8Debugger19onDebuggerStatementEP9JSContextPN2JS5ValueE($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$vp;
      var $3=$1; //@line 553 "./vm/Debugger.h"
      var $4=(($3+56)|0); //@line 553 "./vm/Debugger.h"
      var $5=HEAP32[(($4)>>2)]; //@line 553 "./vm/Debugger.h"
      var $6=__ZN13JSCompartment12getDebuggeesEv($5); //@line 553 "./vm/Debugger.h"
      var $7=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($6); //@line 553 "./vm/Debugger.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./vm/Debugger.h"
    case 2: 
      var $14 = 1;__label__ = 4; break; //@line 553 "./vm/Debugger.h"
    case 3: 
      var $10=$1; //@line 555 "./vm/Debugger.h"
      var $11=$2; //@line 555 "./vm/Debugger.h"
      var $12=__ZN2js8Debugger12dispatchHookEP9JSContextPN2JS5ValueENS0_4HookE($10, $11, 0); //@line 555 "./vm/Debugger.h"
      var $14 = $12;__label__ = 4; break; //@line 555 "./vm/Debugger.h"
    case 4: 
      var $14; //@line 555 "./vm/Debugger.h"
      ;
      return $14; //@line 555 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11StringValueEP8JSString1846($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function _JSVAL_TO_OBJECT1847($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1388 "./jsapi.h"
  var $7=$v; //@line 1388 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1388 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE1850($2, $3); //@line 1388 "./jsapi.h"
  var $8=_JSVAL_TO_OBJECT_IMPL1849($2); //@line 1388 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1388 "./jsapi.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1853($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2jsL12ToFrameFlagsENS_17InitialFrameFlagsE1859($initial) {
  ;
  var __label__;

  var $1;
  $1=$initial;
  var $2=$1; //@line 1222 "./vm/Stack.h"
  ;
  return $2; //@line 1222 "./vm/Stack.h"
}


function __ZN2js13PropertyCache4hashEPhj($pc, $kshape) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$pc;
  $2=$kshape;
  var $3=$1; //@line 223 "./jspropertycache.h"
  var $4=$3; //@line 223 "./jspropertycache.h"
  var $5=$4 >>> 12; //@line 223 "./jspropertycache.h"
  var $6=$1; //@line 223 "./jspropertycache.h"
  var $7=$6; //@line 223 "./jspropertycache.h"
  var $8=$5 ^ $7; //@line 223 "./jspropertycache.h"
  var $9=$2; //@line 223 "./jspropertycache.h"
  var $10=(($8+$9)|0); //@line 223 "./jspropertycache.h"
  var $11=$10 & 4095; //@line 223 "./jspropertycache.h"
  ;
  return $11; //@line 223 "./jspropertycache.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1854($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js6Probes10enterJSFunEP9JSContextP10JSFunctionP8JSScripti($cx, $fun, $script, $counter) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $ok;
  $1=$cx;
  $2=$fun;
  $3=$script;
  $4=$counter;
  $ok=1; //@line 304 "./jsprobes.h"
  var $5=$ok; //@line 317 "./jsprobes.h"
  var $6=(($5) & 1); //@line 317 "./jsprobes.h"
  ;
  return $6; //@line 317 "./jsprobes.h"
}


function _JSID_TO_FLAT_STRING1865($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _JSID_TO_STRING1867($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZN2js17InterpreterFrames20InterruptEnablerBaseC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 314 "./jsinterp.h"
  HEAP32[(($3)>>2)]=((__ZTVN2js17InterpreterFrames20InterruptEnablerBaseE+8)|0); //@line 314 "./jsinterp.h"
  ;
  return; //@line 314 "./jsinterp.h"
}


function __ZN2js10StackFrame11setYieldingEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1122 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1122 "./vm/Stack.h"
  var $5=$4 | 256; //@line 1122 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 1122 "./vm/Stack.h"
  ;
  return; //@line 1123 "./vm/Stack.h"
}


function __ZN8JSScript4mainEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 691 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 691 "./jsscript.h"
  var $5=(($2+32)|0); //@line 691 "./jsscript.h"
  var $6=HEAP32[(($5)>>2)]; //@line 691 "./jsscript.h"
  var $7=(($4+$6)|0); //@line 691 "./jsscript.h"
  ;
  return $7; //@line 691 "./jsscript.h"
}


function __ZN2js10StackFrame24setFinishedInInterpreterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1130 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1130 "./vm/Stack.h"
  var $5=$4 | 512; //@line 1130 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 1130 "./vm/Stack.h"
  ;
  return; //@line 1131 "./vm/Stack.h"
}


function __ZN2js12StackSegment11repointRegsEPNS_9FrameRegsE($this, $regs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$regs;
  var $3=$1;
  var $4=$2; //@line 1408 "./vm/Stack.h"
  var $5=(($3+8)|0); //@line 1408 "./vm/Stack.h"
  HEAP32[(($5)>>2)]=$4; //@line 1408 "./vm/Stack.h"
  ;
  return; //@line 1409 "./vm/Stack.h"
}


function __ZN2js17InterpreterFramesD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $5=(($2+4)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $7=(($6+52)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $9=(($8+144280)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $10=(($9+65656)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  HEAP32[(($10)>>2)]=$4; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function __ZN2js10StackFrame10isYieldingEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1118 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1118 "./vm/Stack.h"
  var $5=$4 & 256; //@line 1118 "./vm/Stack.h"
  var $6=(($5)|0)!=0; //@line 1118 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1118 "./vm/Stack.h"
  var $8=$7 ^ 1; //@line 1118 "./vm/Stack.h"
  ;
  return $8; //@line 1118 "./vm/Stack.h"
}


function _JSVAL_TO_OBJECT_IMPL1849($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_OR_NULL_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 538 "./jsval.h"
  var $2=(($1+4)|0); //@line 538 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 538 "./jsval.h"
  var $4=(($3)>>>0) >= 4294967174; //@line 538 "./jsval.h"
  var $5=(($4)&1); //@line 538 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 538 "./jsval.h"
}


function __ZN2js2gcL25GetGCObjectFixedSlotsKindEj($numFixedSlots) {
  ;
  var __label__;

  var $1;
  $1=$numFixedSlots;
  var $2=$1; //@line 93 "./jsgcinlines.h"
  var $3=((__ZN2js2gc16slotsToThingKindE+($2<<2))|0); //@line 93 "./jsgcinlines.h"
  var $4=((((HEAPU8[($3)])|(HEAPU8[($3+1)]<<8)|(HEAPU8[($3+2)]<<16)|(HEAPU8[($3+3)]<<24))|0)); //@line 93 "./jsgcinlines.h"
  ;
  return $4; //@line 93 "./jsgcinlines.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb1857($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_PRIVATE_PTR_IMPL1858($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function __ZNK8JSObject9isDeclEnvEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1551 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1551 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js12DeclEnvClassE)|0); //@line 1551 "./jsobj.h"
  ;
  return $5; //@line 1551 "./jsobj.h"
}


function _JSVAL_IS_MAGIC_IMPL1868($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_1848($beg, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $v;
      $1=$beg;
      $2=$end;
      var $3=$1; //@line 403 "./jsinterp.h"
      $v=$3; //@line 403 "./jsinterp.h"
      __label__ = 2; break; //@line 403 "./jsinterp.h"
    case 2: 
      var $5=$v; //@line 403 "./jsinterp.h"
      var $6=$2; //@line 403 "./jsinterp.h"
      var $7=(($5)|0)!=(($6)|0); //@line 403 "./jsinterp.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 403 "./jsinterp.h"
    case 3: 
      var $9=$v; //@line 404 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($9); //@line 404 "./jsinterp.h"
      __label__ = 4; break; //@line 404 "./jsinterp.h"
    case 4: 
      var $11=$v; //@line 403 "./jsinterp.h"
      var $12=(($11+8)|0); //@line 403 "./jsinterp.h"
      $v=$12; //@line 403 "./jsinterp.h"
      __label__ = 2; break; //@line 403 "./jsinterp.h"
    case 5: 
      ;
      return; //@line 405 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger17onExceptionUnwindEP9JSContextPN2JS5ValueE($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$vp;
      var $3=$1; //@line 561 "./vm/Debugger.h"
      var $4=(($3+56)|0); //@line 561 "./vm/Debugger.h"
      var $5=HEAP32[(($4)>>2)]; //@line 561 "./vm/Debugger.h"
      var $6=__ZN13JSCompartment12getDebuggeesEv($5); //@line 561 "./vm/Debugger.h"
      var $7=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($6); //@line 561 "./vm/Debugger.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 561 "./vm/Debugger.h"
    case 2: 
      var $14 = 1;__label__ = 4; break; //@line 561 "./vm/Debugger.h"
    case 3: 
      var $10=$1; //@line 563 "./vm/Debugger.h"
      var $11=$2; //@line 563 "./vm/Debugger.h"
      var $12=__ZN2js8Debugger12dispatchHookEP9JSContextPN2JS5ValueENS0_4HookE($10, $11, 1); //@line 563 "./vm/Debugger.h"
      var $14 = $12;__label__ = 4; break; //@line 563 "./vm/Debugger.h"
    case 4: 
      var $14; //@line 563 "./vm/Debugger.h"
      ;
      return $14; //@line 563 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10StackFrame16clearReturnValueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 1015 "./vm/Stack.h"
  __ZN2JS5Value12setUndefinedEv($3); //@line 1015 "./vm/Stack.h"
  __ZN2js10StackFrame15markReturnValueEv($2); //@line 1016 "./vm/Stack.h"
  ;
  return; //@line 1017 "./vm/Stack.h"
}


function __ZN2js30ScriptEpilogueOrGeneratorYieldEP9JSContextPNS_10StackFrameEb($cx, $fp, $ok) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$fp;
      var $5=(($ok)&1);
      $4=$5;
      var $6=$3; //@line 297 "./jsinterpinlines.h"
      var $7=__ZN2js10StackFrame10isYieldingEv($6); //@line 297 "./jsinterpinlines.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 297 "./jsinterpinlines.h"
    case 2: 
      var $9=$2; //@line 298 "./jsinterpinlines.h"
      var $10=$3; //@line 298 "./jsinterpinlines.h"
      var $11=$4; //@line 298 "./jsinterpinlines.h"
      var $12=(($11) & 1); //@line 298 "./jsinterpinlines.h"
      var $13=__ZN2js14ScriptEpilogueEP9JSContextPNS_10StackFrameEb($9, $10, $12); //@line 298 "./jsinterpinlines.h"
      $1=$13; //@line 298 "./jsinterpinlines.h"
      __label__ = 6; break; //@line 298 "./jsinterpinlines.h"
    case 3: 
      var $15=$2; //@line 299 "./jsinterpinlines.h"
      var $16=(($15+56)|0); //@line 299 "./jsinterpinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 299 "./jsinterpinlines.h"
      var $18=__ZNK13JSCompartment9debugModeEv($17); //@line 299 "./jsinterpinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 299 "./jsinterpinlines.h"
    case 4: 
      var $20=$2; //@line 300 "./jsinterpinlines.h"
      var $21=$3; //@line 300 "./jsinterpinlines.h"
      var $22=$4; //@line 300 "./jsinterpinlines.h"
      var $23=(($22) & 1); //@line 300 "./jsinterpinlines.h"
      var $24=__ZN2js19ScriptDebugEpilogueEP9JSContextPNS_10StackFrameEb($20, $21, $23); //@line 300 "./jsinterpinlines.h"
      $1=$24; //@line 300 "./jsinterpinlines.h"
      __label__ = 6; break; //@line 300 "./jsinterpinlines.h"
    case 5: 
      var $26=$4; //@line 301 "./jsinterpinlines.h"
      var $27=(($26) & 1); //@line 301 "./jsinterpinlines.h"
      $1=$27; //@line 301 "./jsinterpinlines.h"
      __label__ = 6; break; //@line 301 "./jsinterpinlines.h"
    case 6: 
      var $29=$1; //@line 302 "./jsinterpinlines.h"
      ;
      return $29; //@line 302 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17InterpreterFramesD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js17InterpreterFramesD2Ev($2); //@line 1437 "./jsinterp.h"
  ;
  return; //@line 1439 "./jsinterp.h"
}


function __ZN2js17PreserveRegsGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js17PreserveRegsGuardD2Ev($2); //@line 61 "./jscntxtinlines.h"
  ;
  return; //@line 65 "./jscntxtinlines.h"
}


function __ZN23GenericInterruptEnablerIiEC2EPii($this, $variable, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$variable;
  $3=$value;
  var $4=$1;
  var $5=$4; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  __ZN2js17InterpreterFrames20InterruptEnablerBaseC2Ev($5); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $6=$4; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  HEAP32[(($6)>>2)]=((__ZTV23GenericInterruptEnablerIiE+8)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $7=(($4+4)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $8=$2; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $9=(($4+8)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $10=$3; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function __ZN2js17PreserveRegsGuardD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 63 "./jscntxtinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 63 "./jscntxtinlines.h"
  var $5=(($2+8)|0); //@line 63 "./jscntxtinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 63 "./jscntxtinlines.h"
  var $7=$4; //@line 63 "./jscntxtinlines.h"
  var $8=$6; //@line 63 "./jscntxtinlines.h"
  assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];HEAP32[(($7+8)>>2)]=HEAP32[(($8+8)>>2)];HEAP32[(($7+12)>>2)]=HEAP32[(($8+12)>>2)]; //@line 63 "./jscntxtinlines.h"
  var $9=(($2+4)|0); //@line 64 "./jscntxtinlines.h"
  var $10=HEAP32[(($9)>>2)]; //@line 64 "./jscntxtinlines.h"
  var $11=(($10+60)|0); //@line 64 "./jscntxtinlines.h"
  var $12=(($2)|0); //@line 64 "./jscntxtinlines.h"
  var $13=HEAP32[(($12)>>2)]; //@line 64 "./jscntxtinlines.h"
  __ZN2js12ContextStack11repointRegsEPNS_9FrameRegsE($11, $13); //@line 64 "./jscntxtinlines.h"
  ;
  return; //@line 65 "./jscntxtinlines.h"
}


function __ZN2js12ContextStack11repointRegsEPNS_9FrameRegsE($this, $regs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$regs;
  var $3=$1;
  var $4=(($3)|0); //@line 1731 "./vm/Stack.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1731 "./vm/Stack.h"
  var $6=$2; //@line 1731 "./vm/Stack.h"
  __ZN2js12StackSegment11repointRegsEPNS_9FrameRegsE($5, $6); //@line 1731 "./vm/Stack.h"
  ;
  return; //@line 1731 "./vm/Stack.h"
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE1850($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "./jsapi.h"
  var $5=$agg_result; //@line 822 "./jsapi.h"
  var $6=$4; //@line 822 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "./jsapi.h"
}


function __ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_1851($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; HEAP8[($3+2)]=0; HEAP8[($3+3)]=0; HEAP8[($3+4)]=0; HEAP8[($3+5)]=0; HEAP8[($3+6)]=0; HEAP8[($3+7)]=0; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1852($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1853($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1854($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1852["X"]=1;

function _js_free1855($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc1856($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject11isPrimitiveEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject8isNumberEv($2); //@line 1542 "./jsobj.h"
      if ($3) { var $9 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 1542 "./jsobj.h"
    case 2: 
      var $5=__ZNK8JSObject8isStringEv($2); //@line 1542 "./jsobj.h"
      if ($5) { var $9 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1542 "./jsobj.h"
    case 3: 
      var $7=__ZNK8JSObject9isBooleanEv($2); //@line 1542 "./jsobj.h"
      var $9 = $7;__label__ = 4; break; //@line 1542 "./jsobj.h"
    case 4: 
      var $9;
      ;
      return $9; //@line 1542 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL25IsCacheableNonGlobalScopeEP8JSObject($obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $cacheable;
      $1=$obj;
      var $2=$1; //@line 1979 "./jsobj.h"
      var $3=__ZNK8JSObject6isCallEv($2); //@line 1979 "./jsobj.h"
      if ($3) { var $11 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 1979 "./jsobj.h"
    case 2: 
      var $5=$1; //@line 1979 "./jsobj.h"
      var $6=__ZNK8JSObject7isBlockEv($5); //@line 1979 "./jsobj.h"
      if ($6) { var $11 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1979 "./jsobj.h"
    case 3: 
      var $8=$1; //@line 1979 "./jsobj.h"
      var $9=__ZNK8JSObject9isDeclEnvEv($8); //@line 1979 "./jsobj.h"
      var $11 = $9;__label__ = 4; break; //@line 1979 "./jsobj.h"
    case 4: 
      var $11;
      var $12=(($11)&1); //@line 1979 "./jsobj.h"
      $cacheable=$12; //@line 1979 "./jsobj.h"
      var $13=$cacheable; //@line 1982 "./jsobj.h"
      var $14=(($13) & 1); //@line 1982 "./jsobj.h"
      ;
      return $14; //@line 1982 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj1860($vec, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$vec;
  $2=$len;
  var $3=$1; //@line 410 "./jsinterp.h"
  var $4=$1; //@line 410 "./jsinterp.h"
  var $5=$2; //@line 410 "./jsinterp.h"
  var $6=(($4+($5<<3))|0); //@line 410 "./jsinterp.h"
  __ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_1848($3, $6); //@line 410 "./jsinterp.h"
  ;
  return; //@line 411 "./jsinterp.h"
}


function __ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j1861($dst, $src, $nelem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $srcend;
      $1=$dst;
      $2=$src;
      $3=$nelem;
      var $4=$3; //@line 695 "./jsutil.h"
      var $5=(($4)>>>0) < 128; //@line 695 "./jsutil.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 695 "./jsutil.h"
    case 2: 
      var $7=$2; //@line 696 "./jsutil.h"
      var $8=$3; //@line 696 "./jsutil.h"
      var $9=(($7+($8<<3))|0); //@line 696 "./jsutil.h"
      $srcend=$9; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 3: 
      var $11=$2; //@line 696 "./jsutil.h"
      var $12=$srcend; //@line 696 "./jsutil.h"
      var $13=(($11)|0)!=(($12)|0); //@line 696 "./jsutil.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 696 "./jsutil.h"
    case 4: 
      var $15=$1; //@line 697 "./jsutil.h"
      var $16=$2; //@line 697 "./jsutil.h"
      var $17=$15; //@line 697 "./jsutil.h"
      var $18=$16; //@line 697 "./jsutil.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 697 "./jsutil.h"
      __label__ = 5; break; //@line 697 "./jsutil.h"
    case 5: 
      var $20=$2; //@line 696 "./jsutil.h"
      var $21=(($20+8)|0); //@line 696 "./jsutil.h"
      $2=$21; //@line 696 "./jsutil.h"
      var $22=$1; //@line 696 "./jsutil.h"
      var $23=(($22+8)|0); //@line 696 "./jsutil.h"
      $1=$23; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 6: 
      __label__ = 8; break; //@line 698 "./jsutil.h"
    case 7: 
      var $26=$1; //@line 699 "./jsutil.h"
      var $27=$26; //@line 699 "./jsutil.h"
      var $28=$2; //@line 699 "./jsutil.h"
      var $29=$28; //@line 699 "./jsutil.h"
      var $30=$3; //@line 699 "./jsutil.h"
      var $31=((($30<<3))|0); //@line 699 "./jsutil.h"
      assert($31 % 1 === 0, 'memcpy given ' + $31 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($27, $29, $31, 1); //@line 699 "./jsutil.h"
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 701 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1862($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1863($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1864($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1862["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj1863($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1864($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZL12JSID_TO_ATOMi1866($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING1867($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZN8JSObject11updateFlagsEPKN2js5ShapeEb($this, $shape, $isDefinitelyAtom) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $index=__stackBase__;
      $1=$this;
      $2=$shape;
      var $4=(($isDefinitelyAtom)&1);
      $3=$4;
      var $5=$1;
      var $6=$3; //@line 135 "./jsscopeinlines.h"
      var $7=(($6) & 1); //@line 135 "./jsscopeinlines.h"
      if ($7) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 135 "./jsscopeinlines.h"
    case 2: 
      var $9=$2; //@line 135 "./jsscopeinlines.h"
      var $10=(($9+12)|0); //@line 135 "./jsscopeinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 135 "./jsscopeinlines.h"
      var $12=__Z12js_IdIsIndexiPj($11, $index); //@line 135 "./jsscopeinlines.h"
      var $13=(($12)|0)!=0; //@line 135 "./jsscopeinlines.h"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 135 "./jsscopeinlines.h"
    case 3: 
      __ZN8JSObject10setIndexedEv($5); //@line 136 "./jsscopeinlines.h"
      __label__ = 4; break; //@line 136 "./jsscopeinlines.h"
    case 4: 
      var $16=$2; //@line 138 "./jsscopeinlines.h"
      var $17=__ZNK2js5Shape8isMethodEv($16); //@line 138 "./jsscopeinlines.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 138 "./jsscopeinlines.h"
    case 5: 
      __ZN8JSObject16setMethodBarrierEv($5); //@line 139 "./jsscopeinlines.h"
      __label__ = 6; break; //@line 139 "./jsscopeinlines.h"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 140 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Probes9exitJSFunEP9JSContextP10JSFunctionP8JSScripti($cx, $fun, $script, $counter) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $ok;
  $1=$cx;
  $2=$fun;
  $3=$script;
  $4=$counter;
  $ok=1; //@line 323 "./jsprobes.h"
  var $5=$ok; //@line 339 "./jsprobes.h"
  var $6=(($5) & 1); //@line 339 "./jsprobes.h"
  ;
  return $6; //@line 339 "./jsprobes.h"
}


function _DOUBLE_TO_JSVAL_IMPL1874($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZN8JSObject10setIndexedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 738 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 738 "./jsobj.h"
  var $5=$4 | 64; //@line 738 "./jsobj.h"
  HEAP32[(($3)>>2)]=$5; //@line 738 "./jsobj.h"
  ;
  return; //@line 738 "./jsobj.h"
}


function __ZN8JSObject16setMethodBarrierEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 710 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 710 "./jsobj.h"
  var $5=$4 | 32; //@line 710 "./jsobj.h"
  HEAP32[(($3)>>2)]=$5; //@line 710 "./jsobj.h"
  ;
  return; //@line 710 "./jsobj.h"
}


function __ZL26js_IsPropertyCacheDisabledP9JSContext1869($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 2359 "./jscntxt.h"
  var $3=(($2+52)|0); //@line 2359 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2359 "./jscntxt.h"
  var $5=(($4+209944)|0); //@line 2359 "./jscntxt.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 2359 "./jscntxt.h"
  var $7=(($6)>>>0) >= 16777216; //@line 2359 "./jscntxt.h"
  var $8=(($7)&1); //@line 2359 "./jscntxt.h"
  ;
  return $8; //@line 2359 "./jscntxt.h"
}


function __ZL15JSDOUBLE_IS_NaNd1870($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZL15JSDOUBLE_IS_NEGd($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 116 "./jsnum.h"
  var $3=$u; //@line 116 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 116 "./jsnum.h"
  var $4=$u; //@line 117 "./jsnum.h"
  var $5=(($4+4)|0); //@line 117 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 117 "./jsnum.h"
  var $7=$6 & -2147483648; //@line 117 "./jsnum.h"
  var $8=(($7)|0)!=0; //@line 117 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 117 "./jsnum.h"
}


function _JSDOUBLE_IS_NEGZERO1872($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _STRING_TO_JSVAL_IMPL1873($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL1875($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZNK8JSObject8isVarObjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 635 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 635 "./jsobj.h"
  var $5=$4 & 4096; //@line 635 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 635 "./jsobj.h"
  ;
  return $6; //@line 635 "./jsobj.h"
}


function __ZNK8JSObject10isIteratorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1555 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1555 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js13IteratorClassE)|0); //@line 1555 "./jsobj.h"
  ;
  return $5; //@line 1555 "./jsobj.h"
}


function __ZNK2js14NativeIterator9isKeyIterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 82 "./jsiter.h"
  var $4=HEAP32[(($3)>>2)]; //@line 82 "./jsiter.h"
  var $5=$4 & 2; //@line 82 "./jsiter.h"
  var $6=(($5)|0)==0; //@line 82 "./jsiter.h"
  ;
  return $6; //@line 82 "./jsiter.h"
}


function __ZNK2js14NativeIterator7currentEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 98 "./jsiter.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jsiter.h"
  ;
  return $4; //@line 98 "./jsiter.h"
}


function __ZN2js14NativeIterator9incCursorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 102 "./jsiter.h"
  var $4=HEAP32[(($3)>>2)]; //@line 102 "./jsiter.h"
  var $5=(($4+4)|0); //@line 102 "./jsiter.h"
  var $6=(($2+8)|0); //@line 102 "./jsiter.h"
  HEAP32[(($6)>>2)]=$5; //@line 102 "./jsiter.h"
  ;
  return; //@line 103 "./jsiter.h"
}


function _JSVAL_IS_SPECIFIC_BOOLEAN1877($l, $b) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$b;
      var $2=$l; //@line 614 "./jsval.h"
      var $3=(($2+4)|0); //@line 614 "./jsval.h"
      var $4=HEAP32[(($3)>>2)]; //@line 614 "./jsval.h"
      var $5=(($4)|0)==-125; //@line 614 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 614 "./jsval.h"
    case 2: 
      var $7=$l; //@line 614 "./jsval.h"
      var $8=(($7)|0); //@line 614 "./jsval.h"
      var $9=$8; //@line 614 "./jsval.h"
      var $10=HEAP32[(($9)>>2)]; //@line 614 "./jsval.h"
      var $11=$1; //@line 614 "./jsval.h"
      var $12=(($10)|0)==(($11)|0); //@line 614 "./jsval.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      STACKTOP = __stackBase__;
      return $15; //@line 615 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL1878($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL1879($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _JSVAL_TO_BOOLEAN_IMPL1880($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL1881($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function __ZN2js17InterpreterFramesC2EP9JSContextPNS_9FrameRegsERKNS0_20InterruptEnablerBaseE($this, $cx, $regs, $enabler) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$regs;
  $4=$enabler;
  var $5=$1;
  var $6=(($5+4)|0); //@line 1431 "./jsinterp.h"
  var $7=$2; //@line 1431 "./jsinterp.h"
  HEAP32[(($6)>>2)]=$7; //@line 1431 "./jsinterp.h"
  var $8=(($5+8)|0); //@line 1431 "./jsinterp.h"
  var $9=$3; //@line 1431 "./jsinterp.h"
  HEAP32[(($8)>>2)]=$9; //@line 1431 "./jsinterp.h"
  var $10=(($5+12)|0); //@line 1431 "./jsinterp.h"
  var $11=$4; //@line 1431 "./jsinterp.h"
  HEAP32[(($10)>>2)]=$11; //@line 1431 "./jsinterp.h"
  var $12=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $13=(($12+52)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $14=HEAP32[(($13)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $15=(($14+144280)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $16=(($15+65656)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $17=HEAP32[(($16)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $18=(($5)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  HEAP32[(($18)>>2)]=$17; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $19=$2; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $20=(($19+52)|0); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $21=HEAP32[(($20)>>2)]; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $22=(($21+144280)|0); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  var $23=(($22+65656)|0); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  HEAP32[(($23)>>2)]=$5; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
  ;
  return; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsinterp.cpp"
}


function _MAGIC_OBJ_TO_JSVAL_IMPL($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 630 "./jsval.h"
  var $3=(($2+4)|0); //@line 630 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 630 "./jsval.h"
  var $4=$1; //@line 631 "./jsval.h"
  var $5=$agg_result; //@line 631 "./jsval.h"
  var $6=(($5)|0); //@line 631 "./jsval.h"
  var $7=$6; //@line 631 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 631 "./jsval.h"
  ;
  return; //@line 632 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL1882($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL1883($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL1884($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL1885($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL1886($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL1887($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL1888($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL1889($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_SAME_TYPE_IMPL($lhs, $rhs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $lhs; $lhs = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($lhs)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($lhs+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($rhs+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $ltag;
      var $rtag;
      var $1=$lhs; //@line 638 "./jsval.h"
      var $2=(($1+4)|0); //@line 638 "./jsval.h"
      var $3=HEAP32[(($2)>>2)]; //@line 638 "./jsval.h"
      $ltag=$3; //@line 638 "./jsval.h"
      var $4=$rhs; //@line 638 "./jsval.h"
      var $5=(($4+4)|0); //@line 638 "./jsval.h"
      var $6=HEAP32[(($5)>>2)]; //@line 638 "./jsval.h"
      $rtag=$6; //@line 638 "./jsval.h"
      var $7=$ltag; //@line 639 "./jsval.h"
      var $8=$rtag; //@line 639 "./jsval.h"
      var $9=(($7)|0)==(($8)|0); //@line 639 "./jsval.h"
      if ($9) { var $19 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 639 "./jsval.h"
    case 2: 
      var $11=$ltag; //@line 639 "./jsval.h"
      var $12=(($11)>>>0) < 4294967168; //@line 639 "./jsval.h"
      if ($12) { __label__ = 3; break; } else { var $17 = 0;__label__ = 4; break; } //@line 639 "./jsval.h"
    case 3: 
      var $14=$rtag; //@line 639 "./jsval.h"
      var $15=(($14)>>>0) < 4294967168; //@line 639 "./jsval.h"
      var $17 = $15;__label__ = 4; break;
    case 4: 
      var $17;
      var $19 = $17;__label__ = 5; break;
    case 5: 
      var $19;
      var $20=(($19)&1);
      STACKTOP = __stackBase__;
      return $20; //@line 640 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js10FrameGuard6pushedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1774 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1774 "./vm/Stack.h"
  var $5=(($4)|0)!=0; //@line 1774 "./vm/Stack.h"
  var $6=$5 ^ 1; //@line 1774 "./vm/Stack.h"
  var $7=$6 ^ 1; //@line 1774 "./vm/Stack.h"
  ;
  return $7; //@line 1774 "./vm/Stack.h"
}


function _JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL1890($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $type;
  var $1=$l; //@line 661 "./jsval.h"
  var $2=(($1+4)|0); //@line 661 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 661 "./jsval.h"
  var $4=$3 & 15; //@line 661 "./jsval.h"
  $type=$4; //@line 661 "./jsval.h"
  var $5=$type; //@line 663 "./jsval.h"
  var $6=(($5) & 255); //@line 663 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 663 "./jsval.h"
}


function __ZN8JSObject11updateShapeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$2; //@line 124 "./jsscopeinlines.h"
      __ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject($4, $3); //@line 124 "./jsscopeinlines.h"
      var $5=__ZNK8JSObject11hasOwnShapeEv($3); //@line 125 "./jsscopeinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 125 "./jsscopeinlines.h"
    case 2: 
      var $7=$2; //@line 126 "./jsscopeinlines.h"
      var $8=__Z16js_GenerateShapeP9JSContext($7); //@line 126 "./jsscopeinlines.h"
      __ZN8JSObject11setOwnShapeEj($3, $8); //@line 126 "./jsscopeinlines.h"
      __label__ = 4; break; //@line 126 "./jsscopeinlines.h"
    case 3: 
      var $10=(($3)|0); //@line 128 "./jsscopeinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 128 "./jsscopeinlines.h"
      var $12=(($11)|0); //@line 128 "./jsscopeinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 128 "./jsscopeinlines.h"
      var $14=(($3+12)|0); //@line 128 "./jsscopeinlines.h"
      HEAP32[(($14)>>2)]=$13; //@line 128 "./jsscopeinlines.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 129 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 390 "./jscntxtinlines.h"
      var $4=__ZNK8JSObject9getParentEv($3); //@line 390 "./jscntxtinlines.h"
      var $5=(($4)|0)!=0; //@line 390 "./jscntxtinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 390 "./jscntxtinlines.h"
    case 2: 
      var $7=$1; //@line 391 "./jscntxtinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($7); //@line 391 "./jscntxtinlines.h"
      __label__ = 3; break; //@line 391 "./jscntxtinlines.h"
    case 3: 
      ;
      return; //@line 392 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSDOUBLE_IS_INT321871($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO1872($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13PropertyCache10matchShapeEP9JSContextP8JSObjectj($cx, $obj, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$shape;
  var $4=$2; //@line 54 "./jspropertycacheinlines.h"
  var $5=__ZNK8JSObject5shapeEv($4); //@line 54 "./jspropertycacheinlines.h"
  var $6=$3; //@line 54 "./jspropertycacheinlines.h"
  var $7=(($5)|0)==(($6)|0); //@line 54 "./jspropertycacheinlines.h"
  ;
  return $7; //@line 54 "./jspropertycacheinlines.h"
}


function __ZNK8JSObject17getNativeIteratorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 670 "./jsobjinlines.h"
  var $4=$3; //@line 670 "./jsobjinlines.h"
  ;
  return $4; //@line 670 "./jsobjinlines.h"
}


function __ZL12JSID_IS_ATOMi1876($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING1834($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZN2js9FrameRegs8popFrameEPN2JS5ValueE($this, $newsp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newsp;
  var $3=$1;
  var $4=(($3+12)|0); //@line 1280 "./vm/Stack.h"
  var $5=HEAP32[(($4)>>2)]; //@line 1280 "./vm/Stack.h"
  var $6=(($3+8)|0); //@line 1280 "./vm/Stack.h"
  var $7=__ZN2js10StackFrame6prevpcEPPNS_13JSInlinedSiteE($5, $6); //@line 1280 "./vm/Stack.h"
  var $8=(($3+4)|0); //@line 1280 "./vm/Stack.h"
  HEAP32[(($8)>>2)]=$7; //@line 1280 "./vm/Stack.h"
  var $9=$2; //@line 1281 "./vm/Stack.h"
  var $10=(($3)|0); //@line 1281 "./vm/Stack.h"
  HEAP32[(($10)>>2)]=$9; //@line 1281 "./vm/Stack.h"
  var $11=(($3+12)|0); //@line 1282 "./vm/Stack.h"
  var $12=HEAP32[(($11)>>2)]; //@line 1282 "./vm/Stack.h"
  var $13=__ZNK2js10StackFrame4prevEv($12); //@line 1282 "./vm/Stack.h"
  var $14=(($3+12)|0); //@line 1282 "./vm/Stack.h"
  HEAP32[(($14)>>2)]=$13; //@line 1282 "./vm/Stack.h"
  ;
  return; //@line 1284 "./vm/Stack.h"
}


function __ZNK2js10StackFrame15constructorThisEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js10StackFrame10formalArgsEv($2); //@line 739 "./vm/Stack.h"
  var $4=(($3-8)|0); //@line 739 "./vm/Stack.h"
  var $5=__ZNK2JS5Value8toObjectEv($4); //@line 739 "./vm/Stack.h"
  ;
  return $5; //@line 739 "./vm/Stack.h"
}


function __ZN2js17PreserveRegsGuardC2EP9JSContextRNS_9FrameRegsE($this, $cx, $regs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$regs;
  var $4=$1;
  var $5=(($4)|0); //@line 58 "./jscntxtinlines.h"
  var $6=$2; //@line 58 "./jscntxtinlines.h"
  var $7=__ZNK9JSContext9maybeRegsEv($6); //@line 58 "./jscntxtinlines.h"
  HEAP32[(($5)>>2)]=$7; //@line 58 "./jscntxtinlines.h"
  var $8=(($4+4)|0); //@line 58 "./jscntxtinlines.h"
  var $9=$2; //@line 58 "./jscntxtinlines.h"
  HEAP32[(($8)>>2)]=$9; //@line 58 "./jscntxtinlines.h"
  var $10=(($4+8)|0); //@line 58 "./jscntxtinlines.h"
  var $11=$3; //@line 58 "./jscntxtinlines.h"
  HEAP32[(($10)>>2)]=$11; //@line 58 "./jscntxtinlines.h"
  var $12=$2; //@line 59 "./jscntxtinlines.h"
  var $13=(($12+60)|0); //@line 59 "./jscntxtinlines.h"
  var $14=(($4+8)|0); //@line 59 "./jscntxtinlines.h"
  var $15=HEAP32[(($14)>>2)]; //@line 59 "./jscntxtinlines.h"
  __ZN2js12ContextStack11repointRegsEPNS_9FrameRegsE($13, $15); //@line 59 "./jscntxtinlines.h"
  ;
  return; //@line 60 "./jscntxtinlines.h"
}


function __ZN2js17ExecuteFrameGuardD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1783 "./vm/Stack.h"
  __ZN2js10FrameGuardD2Ev($3); //@line 1783 "./vm/Stack.h"
  ;
  return; //@line 1783 "./vm/Stack.h"
}


function __ZN2js10FrameGuardD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js10FrameGuard6pushedEv($2); //@line 1773 "./vm/Stack.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1773 "./vm/Stack.h"
    case 2: 
      var $5=(($2)|0); //@line 1773 "./vm/Stack.h"
      var $6=HEAP32[(($5)>>2)]; //@line 1773 "./vm/Stack.h"
      __ZN2js12ContextStack8popFrameERKNS_10FrameGuardE($6, $2); //@line 1773 "./vm/Stack.h"
      __label__ = 3; break; //@line 1773 "./vm/Stack.h"
    case 3: 
      ;
      return; //@line 1773 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1891($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldData;
      var $i;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 853 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 853 "./jsinferinlines.h"
      var $8=(($7)|0)==0; //@line 853 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 853 "./jsinferinlines.h"
    case 2: 
      var $10=$4; //@line 855 "./jsinferinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 855 "./jsinferinlines.h"
      var $12=(($11+1)|0); //@line 855 "./jsinferinlines.h"
      HEAP32[(($10)>>2)]=$12; //@line 855 "./jsinferinlines.h"
      var $13=$3; //@line 856 "./jsinferinlines.h"
      var $14=$13; //@line 856 "./jsinferinlines.h"
      $1=$14; //@line 856 "./jsinferinlines.h"
      __label__ = 20; break; //@line 856 "./jsinferinlines.h"
    case 3: 
      var $16=$4; //@line 859 "./jsinferinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 859 "./jsinferinlines.h"
      var $18=(($17)|0)==1; //@line 859 "./jsinferinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 859 "./jsinferinlines.h"
    case 4: 
      var $20=$3; //@line 860 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 860 "./jsinferinlines.h"
      var $22=$21; //@line 860 "./jsinferinlines.h"
      $oldData=$22; //@line 860 "./jsinferinlines.h"
      var $23=$oldData; //@line 861 "./jsinferinlines.h"
      var $24=__ZN2js5types13TypeObjectKey6getKeyEPS1_($23); //@line 861 "./jsinferinlines.h"
      var $25=$5; //@line 861 "./jsinferinlines.h"
      var $26=(($24)|0)==(($25)|0); //@line 861 "./jsinferinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 861 "./jsinferinlines.h"
    case 5: 
      var $28=$3; //@line 862 "./jsinferinlines.h"
      var $29=$28; //@line 862 "./jsinferinlines.h"
      $1=$29; //@line 862 "./jsinferinlines.h"
      __label__ = 20; break; //@line 862 "./jsinferinlines.h"
    case 6: 
      var $31=$2; //@line 864 "./jsinferinlines.h"
      var $32=(($31+344)|0); //@line 864 "./jsinferinlines.h"
      var $33=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($32, 8); //@line 864 "./jsinferinlines.h"
      var $34=$3; //@line 864 "./jsinferinlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 864 "./jsinferinlines.h"
      var $35=$3; //@line 865 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 865 "./jsinferinlines.h"
      var $37=(($36)|0)!=0; //@line 865 "./jsinferinlines.h"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 865 "./jsinferinlines.h"
    case 7: 
      var $39=$oldData; //@line 866 "./jsinferinlines.h"
      var $40=$39; //@line 866 "./jsinferinlines.h"
      var $41=$3; //@line 866 "./jsinferinlines.h"
      HEAP32[(($41)>>2)]=$40; //@line 866 "./jsinferinlines.h"
      $1=0; //@line 867 "./jsinferinlines.h"
      __label__ = 20; break; //@line 867 "./jsinferinlines.h"
    case 8: 
      var $43=$3; //@line 869 "./jsinferinlines.h"
      var $44=HEAP32[(($43)>>2)]; //@line 869 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1892($44, 8); //@line 869 "./jsinferinlines.h"
      var $45=$4; //@line 870 "./jsinferinlines.h"
      var $46=HEAP32[(($45)>>2)]; //@line 870 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 870 "./jsinferinlines.h"
      HEAP32[(($45)>>2)]=$47; //@line 870 "./jsinferinlines.h"
      var $48=$oldData; //@line 872 "./jsinferinlines.h"
      var $49=$3; //@line 872 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 872 "./jsinferinlines.h"
      var $51=(($50)|0); //@line 872 "./jsinferinlines.h"
      HEAP32[(($51)>>2)]=$48; //@line 872 "./jsinferinlines.h"
      var $52=$3; //@line 873 "./jsinferinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 873 "./jsinferinlines.h"
      var $54=(($53+4)|0); //@line 873 "./jsinferinlines.h"
      $1=$54; //@line 873 "./jsinferinlines.h"
      __label__ = 20; break; //@line 873 "./jsinferinlines.h"
    case 9: 
      var $56=$4; //@line 876 "./jsinferinlines.h"
      var $57=HEAPU32[(($56)>>2)]; //@line 876 "./jsinferinlines.h"
      var $58=(($57)>>>0) <= 8; //@line 876 "./jsinferinlines.h"
      if ($58) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 876 "./jsinferinlines.h"
    case 10: 
      $i=0; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 11: 
      var $61=$i; //@line 877 "./jsinferinlines.h"
      var $62=$4; //@line 877 "./jsinferinlines.h"
      var $63=HEAPU32[(($62)>>2)]; //@line 877 "./jsinferinlines.h"
      var $64=(($61)>>>0) < (($63)>>>0); //@line 877 "./jsinferinlines.h"
      if ($64) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 877 "./jsinferinlines.h"
    case 12: 
      var $66=$i; //@line 878 "./jsinferinlines.h"
      var $67=$3; //@line 878 "./jsinferinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 878 "./jsinferinlines.h"
      var $69=(($68+($66<<2))|0); //@line 878 "./jsinferinlines.h"
      var $70=HEAP32[(($69)>>2)]; //@line 878 "./jsinferinlines.h"
      var $71=__ZN2js5types13TypeObjectKey6getKeyEPS1_($70); //@line 878 "./jsinferinlines.h"
      var $72=$5; //@line 878 "./jsinferinlines.h"
      var $73=(($71)|0)==(($72)|0); //@line 878 "./jsinferinlines.h"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 878 "./jsinferinlines.h"
    case 13: 
      var $75=$i; //@line 879 "./jsinferinlines.h"
      var $76=$3; //@line 879 "./jsinferinlines.h"
      var $77=HEAP32[(($76)>>2)]; //@line 879 "./jsinferinlines.h"
      var $78=(($77+($75<<2))|0); //@line 879 "./jsinferinlines.h"
      $1=$78; //@line 879 "./jsinferinlines.h"
      __label__ = 20; break; //@line 879 "./jsinferinlines.h"
    case 14: 
      __label__ = 15; break; //@line 880 "./jsinferinlines.h"
    case 15: 
      var $81=$i; //@line 877 "./jsinferinlines.h"
      var $82=(($81+1)|0); //@line 877 "./jsinferinlines.h"
      $i=$82; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 16: 
      var $84=$4; //@line 882 "./jsinferinlines.h"
      var $85=HEAPU32[(($84)>>2)]; //@line 882 "./jsinferinlines.h"
      var $86=(($85)>>>0) < 8; //@line 882 "./jsinferinlines.h"
      if ($86) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 882 "./jsinferinlines.h"
    case 17: 
      var $88=$4; //@line 883 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 883 "./jsinferinlines.h"
      var $90=(($89+1)|0); //@line 883 "./jsinferinlines.h"
      HEAP32[(($88)>>2)]=$90; //@line 883 "./jsinferinlines.h"
      var $91=$4; //@line 884 "./jsinferinlines.h"
      var $92=HEAP32[(($91)>>2)]; //@line 884 "./jsinferinlines.h"
      var $93=(($92-1)|0); //@line 884 "./jsinferinlines.h"
      var $94=$3; //@line 884 "./jsinferinlines.h"
      var $95=HEAP32[(($94)>>2)]; //@line 884 "./jsinferinlines.h"
      var $96=(($95+($93<<2))|0); //@line 884 "./jsinferinlines.h"
      $1=$96; //@line 884 "./jsinferinlines.h"
      __label__ = 20; break; //@line 884 "./jsinferinlines.h"
    case 18: 
      __label__ = 19; break; //@line 886 "./jsinferinlines.h"
    case 19: 
      var $99=$2; //@line 888 "./jsinferinlines.h"
      var $100=$3; //@line 888 "./jsinferinlines.h"
      var $101=$4; //@line 888 "./jsinferinlines.h"
      var $102=$5; //@line 888 "./jsinferinlines.h"
      var $103=__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1893($99, $100, $101, $102); //@line 888 "./jsinferinlines.h"
      $1=$103; //@line 888 "./jsinferinlines.h"
      __label__ = 20; break; //@line 888 "./jsinferinlines.h"
    case 20: 
      var $105=$1; //@line 889 "./jsinferinlines.h"
      ;
      return $105; //@line 889 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1891["X"]=1;

function __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1892($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js7analyzeL8ThisSlotEv1896() {
  ;
  var __label__;

  ;
  return 1; //@line 419 "./jsanalyze.h"
}


function __ZN2js21assertSameCompartmentINS_8CallArgsEEEvP9JSContextT_($cx, $t1) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t1; $t1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  $1=$cx;
  STACKTOP = __stackBase__;
  return; //@line 238 "./jscntxtinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1899($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj1904($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZL17iterator_iteratorP9JSContextP8JSObjecti($cx, $obj, $keysonly) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$keysonly;
  var $4=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $4; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function _JSID_IS_OBJECT1900($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT1901($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function __ZN2js10FrameGuardC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1772 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=0; //@line 1772 "./vm/Stack.h"
  var $4=(($2+4)|0); //@line 1772 "./vm/Stack.h"
  HEAP8[($4)]=0; //@line 1772 "./vm/Stack.h"
  var $5=(($2+8)|0); //@line 1772 "./vm/Stack.h"
  ;
  return; //@line 1772 "./vm/Stack.h"
}


function _MAGIC_TO_JSVAL_IMPL1897($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2js23AutoPreserveEnumeratorsD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 70 "./jsinterpinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 70 "./jsinterpinlines.h"
  var $5=(($2)|0); //@line 70 "./jsinterpinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 70 "./jsinterpinlines.h"
  var $7=(($6+284)|0); //@line 70 "./jsinterpinlines.h"
  HEAP32[(($7)>>2)]=$4; //@line 70 "./jsinterpinlines.h"
  ;
  return; //@line 71 "./jsinterpinlines.h"
}


function __ZN2js23AutoPreserveEnumeratorsC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 65 "./jsinterpinlines.h"
  var $5=$2; //@line 65 "./jsinterpinlines.h"
  HEAP32[(($4)>>2)]=$5; //@line 65 "./jsinterpinlines.h"
  var $6=(($3+4)|0); //@line 65 "./jsinterpinlines.h"
  var $7=$2; //@line 65 "./jsinterpinlines.h"
  var $8=(($7+284)|0); //@line 65 "./jsinterpinlines.h"
  var $9=HEAP32[(($8)>>2)]; //@line 65 "./jsinterpinlines.h"
  HEAP32[(($6)>>2)]=$9; //@line 65 "./jsinterpinlines.h"
  ;
  return; //@line 66 "./jsinterpinlines.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL1902($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL1905($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL1906($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZNK2js14NativeIterator5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 85 "./jsiter.h"
  var $4=HEAP32[(($3)>>2)]; //@line 85 "./jsiter.h"
  ;
  return $4; //@line 85 "./jsiter.h"
}


function __ZNK2js14NativeIterator3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 89 "./jsiter.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jsiter.h"
  ;
  return $4; //@line 89 "./jsiter.h"
}


function __ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1893($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $capacity;
      var $insertpos;
      var $converting;
      var $newCapacity;
      var $newValues;
      var $i;
      var $pos;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 801 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 801 "./jsinferinlines.h"
      var $8=__ZN2js5typesL15HashSetCapacityEj1863($7); //@line 801 "./jsinferinlines.h"
      $capacity=$8; //@line 801 "./jsinferinlines.h"
      var $9=$5; //@line 802 "./jsinferinlines.h"
      var $10=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1894($9); //@line 802 "./jsinferinlines.h"
      var $11=$capacity; //@line 802 "./jsinferinlines.h"
      var $12=(($11-1)|0); //@line 802 "./jsinferinlines.h"
      var $13=$10 & $12; //@line 802 "./jsinferinlines.h"
      $insertpos=$13; //@line 802 "./jsinferinlines.h"
      var $14=$4; //@line 805 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 805 "./jsinferinlines.h"
      var $16=(($15)|0)==8; //@line 805 "./jsinferinlines.h"
      var $17=(($16)&1); //@line 805 "./jsinferinlines.h"
      $converting=$17; //@line 805 "./jsinferinlines.h"
      var $18=$converting; //@line 807 "./jsinferinlines.h"
      var $19=(($18) & 1); //@line 807 "./jsinferinlines.h"
      if ($19) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 807 "./jsinferinlines.h"
    case 2: 
      __label__ = 3; break; //@line 808 "./jsinferinlines.h"
    case 3: 
      var $22=$insertpos; //@line 808 "./jsinferinlines.h"
      var $23=$3; //@line 808 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 808 "./jsinferinlines.h"
      var $25=(($24+($22<<2))|0); //@line 808 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 808 "./jsinferinlines.h"
      var $27=(($26)|0)!=0; //@line 808 "./jsinferinlines.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 808 "./jsinferinlines.h"
    case 4: 
      var $29=$insertpos; //@line 809 "./jsinferinlines.h"
      var $30=$3; //@line 809 "./jsinferinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 809 "./jsinferinlines.h"
      var $32=(($31+($29<<2))|0); //@line 809 "./jsinferinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 809 "./jsinferinlines.h"
      var $34=__ZN2js5types13TypeObjectKey6getKeyEPS1_($33); //@line 809 "./jsinferinlines.h"
      var $35=$5; //@line 809 "./jsinferinlines.h"
      var $36=(($34)|0)==(($35)|0); //@line 809 "./jsinferinlines.h"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 809 "./jsinferinlines.h"
    case 5: 
      var $38=$insertpos; //@line 810 "./jsinferinlines.h"
      var $39=$3; //@line 810 "./jsinferinlines.h"
      var $40=HEAP32[(($39)>>2)]; //@line 810 "./jsinferinlines.h"
      var $41=(($40+($38<<2))|0); //@line 810 "./jsinferinlines.h"
      $1=$41; //@line 810 "./jsinferinlines.h"
      __label__ = 25; break; //@line 810 "./jsinferinlines.h"
    case 6: 
      var $43=$insertpos; //@line 811 "./jsinferinlines.h"
      var $44=(($43+1)|0); //@line 811 "./jsinferinlines.h"
      var $45=$capacity; //@line 811 "./jsinferinlines.h"
      var $46=(($45-1)|0); //@line 811 "./jsinferinlines.h"
      var $47=$44 & $46; //@line 811 "./jsinferinlines.h"
      $insertpos=$47; //@line 811 "./jsinferinlines.h"
      __label__ = 3; break; //@line 812 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 813 "./jsinferinlines.h"
    case 8: 
      var $50=$4; //@line 815 "./jsinferinlines.h"
      var $51=HEAP32[(($50)>>2)]; //@line 815 "./jsinferinlines.h"
      var $52=(($51+1)|0); //@line 815 "./jsinferinlines.h"
      HEAP32[(($50)>>2)]=$52; //@line 815 "./jsinferinlines.h"
      var $53=$4; //@line 816 "./jsinferinlines.h"
      var $54=HEAP32[(($53)>>2)]; //@line 816 "./jsinferinlines.h"
      var $55=__ZN2js5typesL15HashSetCapacityEj1863($54); //@line 816 "./jsinferinlines.h"
      $newCapacity=$55; //@line 816 "./jsinferinlines.h"
      var $56=$newCapacity; //@line 818 "./jsinferinlines.h"
      var $57=$capacity; //@line 818 "./jsinferinlines.h"
      var $58=(($56)|0)==(($57)|0); //@line 818 "./jsinferinlines.h"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 818 "./jsinferinlines.h"
    case 9: 
      var $60=$insertpos; //@line 820 "./jsinferinlines.h"
      var $61=$3; //@line 820 "./jsinferinlines.h"
      var $62=HEAP32[(($61)>>2)]; //@line 820 "./jsinferinlines.h"
      var $63=(($62+($60<<2))|0); //@line 820 "./jsinferinlines.h"
      $1=$63; //@line 820 "./jsinferinlines.h"
      __label__ = 25; break; //@line 820 "./jsinferinlines.h"
    case 10: 
      var $65=$2; //@line 823 "./jsinferinlines.h"
      var $66=(($65+344)|0); //@line 823 "./jsinferinlines.h"
      var $67=$newCapacity; //@line 823 "./jsinferinlines.h"
      var $68=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($66, $67); //@line 823 "./jsinferinlines.h"
      $newValues=$68; //@line 823 "./jsinferinlines.h"
      var $69=$newValues; //@line 824 "./jsinferinlines.h"
      var $70=(($69)|0)!=0; //@line 824 "./jsinferinlines.h"
      if ($70) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 824 "./jsinferinlines.h"
    case 11: 
      $1=0; //@line 825 "./jsinferinlines.h"
      __label__ = 25; break; //@line 825 "./jsinferinlines.h"
    case 12: 
      var $73=$newValues; //@line 826 "./jsinferinlines.h"
      var $74=$newCapacity; //@line 826 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1892($73, $74); //@line 826 "./jsinferinlines.h"
      $i=0; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 13: 
      var $76=$i; //@line 828 "./jsinferinlines.h"
      var $77=$capacity; //@line 828 "./jsinferinlines.h"
      var $78=(($76)>>>0) < (($77)>>>0); //@line 828 "./jsinferinlines.h"
      if ($78) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 828 "./jsinferinlines.h"
    case 14: 
      var $80=$i; //@line 829 "./jsinferinlines.h"
      var $81=$3; //@line 829 "./jsinferinlines.h"
      var $82=HEAP32[(($81)>>2)]; //@line 829 "./jsinferinlines.h"
      var $83=(($82+($80<<2))|0); //@line 829 "./jsinferinlines.h"
      var $84=HEAP32[(($83)>>2)]; //@line 829 "./jsinferinlines.h"
      var $85=(($84)|0)!=0; //@line 829 "./jsinferinlines.h"
      if ($85) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 829 "./jsinferinlines.h"
    case 15: 
      var $87=$i; //@line 830 "./jsinferinlines.h"
      var $88=$3; //@line 830 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 830 "./jsinferinlines.h"
      var $90=(($89+($87<<2))|0); //@line 830 "./jsinferinlines.h"
      var $91=HEAP32[(($90)>>2)]; //@line 830 "./jsinferinlines.h"
      var $92=__ZN2js5types13TypeObjectKey6getKeyEPS1_($91); //@line 830 "./jsinferinlines.h"
      var $93=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1894($92); //@line 830 "./jsinferinlines.h"
      var $94=$newCapacity; //@line 830 "./jsinferinlines.h"
      var $95=(($94-1)|0); //@line 830 "./jsinferinlines.h"
      var $96=$93 & $95; //@line 830 "./jsinferinlines.h"
      $pos=$96; //@line 830 "./jsinferinlines.h"
      __label__ = 16; break; //@line 831 "./jsinferinlines.h"
    case 16: 
      var $98=$pos; //@line 831 "./jsinferinlines.h"
      var $99=$newValues; //@line 831 "./jsinferinlines.h"
      var $100=(($99+($98<<2))|0); //@line 831 "./jsinferinlines.h"
      var $101=HEAP32[(($100)>>2)]; //@line 831 "./jsinferinlines.h"
      var $102=(($101)|0)!=0; //@line 831 "./jsinferinlines.h"
      if ($102) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 831 "./jsinferinlines.h"
    case 17: 
      var $104=$pos; //@line 832 "./jsinferinlines.h"
      var $105=(($104+1)|0); //@line 832 "./jsinferinlines.h"
      var $106=$newCapacity; //@line 832 "./jsinferinlines.h"
      var $107=(($106-1)|0); //@line 832 "./jsinferinlines.h"
      var $108=$105 & $107; //@line 832 "./jsinferinlines.h"
      $pos=$108; //@line 832 "./jsinferinlines.h"
      __label__ = 16; break; //@line 832 "./jsinferinlines.h"
    case 18: 
      var $110=$i; //@line 833 "./jsinferinlines.h"
      var $111=$3; //@line 833 "./jsinferinlines.h"
      var $112=HEAP32[(($111)>>2)]; //@line 833 "./jsinferinlines.h"
      var $113=(($112+($110<<2))|0); //@line 833 "./jsinferinlines.h"
      var $114=HEAP32[(($113)>>2)]; //@line 833 "./jsinferinlines.h"
      var $115=$pos; //@line 833 "./jsinferinlines.h"
      var $116=$newValues; //@line 833 "./jsinferinlines.h"
      var $117=(($116+($115<<2))|0); //@line 833 "./jsinferinlines.h"
      HEAP32[(($117)>>2)]=$114; //@line 833 "./jsinferinlines.h"
      __label__ = 19; break; //@line 834 "./jsinferinlines.h"
    case 19: 
      __label__ = 20; break; //@line 835 "./jsinferinlines.h"
    case 20: 
      var $120=$i; //@line 828 "./jsinferinlines.h"
      var $121=(($120+1)|0); //@line 828 "./jsinferinlines.h"
      $i=$121; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 21: 
      var $123=$newValues; //@line 837 "./jsinferinlines.h"
      var $124=$3; //@line 837 "./jsinferinlines.h"
      HEAP32[(($124)>>2)]=$123; //@line 837 "./jsinferinlines.h"
      var $125=$5; //@line 839 "./jsinferinlines.h"
      var $126=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1894($125); //@line 839 "./jsinferinlines.h"
      var $127=$newCapacity; //@line 839 "./jsinferinlines.h"
      var $128=(($127-1)|0); //@line 839 "./jsinferinlines.h"
      var $129=$126 & $128; //@line 839 "./jsinferinlines.h"
      $insertpos=$129; //@line 839 "./jsinferinlines.h"
      __label__ = 22; break; //@line 840 "./jsinferinlines.h"
    case 22: 
      var $131=$insertpos; //@line 840 "./jsinferinlines.h"
      var $132=$3; //@line 840 "./jsinferinlines.h"
      var $133=HEAP32[(($132)>>2)]; //@line 840 "./jsinferinlines.h"
      var $134=(($133+($131<<2))|0); //@line 840 "./jsinferinlines.h"
      var $135=HEAP32[(($134)>>2)]; //@line 840 "./jsinferinlines.h"
      var $136=(($135)|0)!=0; //@line 840 "./jsinferinlines.h"
      if ($136) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 840 "./jsinferinlines.h"
    case 23: 
      var $138=$insertpos; //@line 841 "./jsinferinlines.h"
      var $139=(($138+1)|0); //@line 841 "./jsinferinlines.h"
      var $140=$newCapacity; //@line 841 "./jsinferinlines.h"
      var $141=(($140-1)|0); //@line 841 "./jsinferinlines.h"
      var $142=$139 & $141; //@line 841 "./jsinferinlines.h"
      $insertpos=$142; //@line 841 "./jsinferinlines.h"
      __label__ = 22; break; //@line 841 "./jsinferinlines.h"
    case 24: 
      var $144=$insertpos; //@line 842 "./jsinferinlines.h"
      var $145=$3; //@line 842 "./jsinferinlines.h"
      var $146=HEAP32[(($145)>>2)]; //@line 842 "./jsinferinlines.h"
      var $147=(($146+($144<<2))|0); //@line 842 "./jsinferinlines.h"
      $1=$147; //@line 842 "./jsinferinlines.h"
      __label__ = 25; break; //@line 842 "./jsinferinlines.h"
    case 25: 
      var $149=$1; //@line 843 "./jsinferinlines.h"
      ;
      return $149; //@line 843 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1893["X"]=1;

function __ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1894($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types13TypeObjectKey7keyBitsEPS1_($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_1895($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types13TypeObjectKey6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types13TypeObjectKey6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1863($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1894($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types13TypeObjectKey6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_1895["X"]=1;

function __ZN2js17ExecuteFrameGuardC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1783 "./vm/Stack.h"
  __ZN2js10FrameGuardC2Ev($3); //@line 1783 "./vm/Stack.h"
  ;
  return; //@line 1783 "./vm/Stack.h"
}


function __ZN2js16InvokeFrameGuardD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1780 "./vm/Stack.h"
  __ZN2js10FrameGuardD2Ev($3); //@line 1780 "./vm/Stack.h"
  ;
  return; //@line 1780 "./vm/Stack.h"
}


function __ZN2js16InvokeFrameGuardC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1780 "./vm/Stack.h"
  __ZN2js10FrameGuardC2Ev($3); //@line 1780 "./vm/Stack.h"
  ;
  return; //@line 1780 "./vm/Stack.h"
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1898($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL9NullValueEv1903($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZL17iterator_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ni;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $4=__ZNK8JSObject17getNativeIteratorEv($3); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$4; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=$ni; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5)|0)!=0; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $8=$1; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=$ni; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=$9; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN9JSContext5free_EPv($8, $10); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$2; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN8JSObject17setNativeIteratorEPN2js14NativeIteratorE($11, 0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 3; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      ;
      return; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14iterator_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ni;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $4=__ZNK8JSObject17getNativeIteratorEv($3); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$4; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=$ni; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5)|0)!=0; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $8=$ni; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=$1; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js14NativeIterator4markEP8JSTracer($8, $9); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 3; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      ;
      return; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14NativeIterator4markEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=__ZNK2js14NativeIterator5beginEv($3); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=__ZNK2js14NativeIterator3endEv($3); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js2gc11MarkIdRangeEP8JSTracerPiS3_PKc($4, $5, $6, ((STRING_TABLE.__str11910)|0)); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=(($3)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=(($8)|0)!=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $11=$2; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=(($3)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($11, $13, ((STRING_TABLE.__str21911)|0)); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 3; break; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      ;
      return; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15VectorToIdArrayEP9JSContextRNS_12AutoIdVectorEPP9JSIdArray($cx, $props, $idap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len;
      var $idsz;
      var $sz;
      var $ida;
      $2=$cx;
      $3=$props;
      $4=$idap;
      var $5=$3; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=$5; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=__ZNK2js16AutoVectorRooterIiE6lengthEv($6); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $len=$7; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$len; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=((($8<<2))|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $idsz=$9; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=$idsz; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=(($10+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $sz=$11; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$2; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=$sz; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=__ZN9JSContext7malloc_Ej($12, $13); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$14; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ida=$15; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=$ida; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=(($16)|0)!=0; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $20=$len; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$ida; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=(($21)|0); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($22)>>2)]=$20; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$ida; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=(($23+4)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=(($24)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=$25; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$3; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$27; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=__ZN2js16AutoVectorRooterIiE5beginEv($28); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=$29; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=$idsz; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert($31 % 1 === 0, 'memcpy given ' + $31 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($26, $30, $31, 1); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=$ida; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=$4; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $35=$1; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $35; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js15VectorToIdArrayEP9JSContextRNS_12AutoIdVectorEPP9JSIdArray["X"]=1;

function __ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($cx, $obj, $flags, $props) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$flags;
  $4=$props;
  var $5=$1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=$2; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=$3; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $8=$7 & 24; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $9=$4; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $10=__ZL8SnapshotP9JSContextP8JSObjectjPN2js12AutoIdVectorE($5, $6, $8, $9); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $10; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZN2js14NativeIterator4initEP8JSObjectjjj($this, $obj, $flags, $slength, $key) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$obj;
  $3=$flags;
  $4=$slength;
  $5=$key;
  var $6=$1;
  var $7=$2; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $8=(($6)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $9=$3; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $10=(($6+28)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($10)>>2)]=$9; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $11=(($6+12)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $13=(($6+16)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($13)>>2)]=$12; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $14=$4; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $15=(($6+20)|0); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($15)>>2)]=$14; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $16=$5; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $17=(($6+24)|0); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($17)>>2)]=$16; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL18RegisterEnumeratorP9JSContextP8JSObjectPN2js14NativeIteratorE($cx, $iterobj, $ni) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$iterobj;
      $3=$ni;
      var $4=$3; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=(($4+28)|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$6 & 1; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=(($7)|0)!=0; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $10=$1; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=(($10+284)|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=$3; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($13+32)|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($14)>>2)]=$12; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$2; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=$1; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=(($16+284)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($17)>>2)]=$15; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$3; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=(($18+28)|0); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$20 | 4096; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($19)>>2)]=$21; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 3; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      ;
      return; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8SnapshotP9JSContextP8JSObjectjPN2js12AutoIdVectorE($cx, $obj, $flags, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $ht=__stackBase__;
      var $6=__stackBase__+28;
      var $7;
      var $pobj;
      var $clasp;
      var $proxyProps=__stackBase__+32;
      var $n;
      var $len;
      var $state=__stackBase__+92;
      var $op;
      var $id=__stackBase__+100;
      $2=$cx;
      $3=$obj;
      $4=$flags;
      $5=$props;
      var $8=$2; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($6, $8); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEEC1ES2_($ht, $6); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE4initEj($ht, 32); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $12=$3; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $pobj=$12; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $14=$pobj; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=__ZNK8JSObject8getClassEv($14); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $clasp=$15; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=$pobj; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=__ZNK8JSObject8isNativeEv($16); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $19=$pobj; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=__ZNK8JSObject6getOpsEv($19); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=(($20+112)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=(($22)|0)!=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($23) { __label__ = 12; break; } else { __label__ = 6; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $25=$clasp; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=(($25+4)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$27 & 2; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=(($28)|0)!=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($29) { __label__ = 12; break; } else { __label__ = 7; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $31=$clasp; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=(($31+24)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$2; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$pobj; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=FUNCTION_TABLE[$33]($34, $35); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=(($36)|0)!=0; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      $1=0; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $40=$2; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=$3; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=$pobj; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=$5; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=__ZL25EnumerateNativePropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($40, $41, $42, $43, $ht, $44); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      $1=0; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      __label__ = 55; break; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $49=$pobj; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $50=__ZNK8JSObject12isDenseArrayEv($49); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($50) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      var $52=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=$3; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=$pobj; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=$4; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=$5; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=__ZL29EnumerateDenseArrayPropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($52, $53, $54, $55, $ht, $56); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($57) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      $1=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      __label__ = 54; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 16: 
      var $61=$pobj; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $62=__ZNK8JSObject7isProxyEv($61); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($62) { __label__ = 17; break; } else { __label__ = 37; break; } //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 17: 
      var $64=$2; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($proxyProps, $64); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $65=$4; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $66=$65 & 8; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $67=(($66)|0)!=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($67) { __label__ = 18; break; } else { __label__ = 26; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 18: 
      var $69=$4; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $70=$69 & 16; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $71=(($70)|0)!=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($71) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 19: 
      var $73=$2; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $74=$pobj; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $75=__ZN2js7JSProxy19getOwnPropertyNamesEP9JSContextP8JSObjectRNS_12AutoIdVectorE($73, $74, $proxyProps); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($75) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 20: 
      $1=0; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 36; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 21: 
      __label__ = 25; break; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 22: 
      var $79=$2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $80=$pobj; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $81=__ZN2js7JSProxy4keysEP9JSContextP8JSObjectRNS_12AutoIdVectorE($79, $80, $proxyProps); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($81) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 23: 
      $1=0; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 36; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      __label__ = 29; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 26: 
      var $86=$2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $87=$pobj; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $88=__ZN2js7JSProxy9enumerateEP9JSContextP8JSObjectRNS_12AutoIdVectorE($86, $87, $proxyProps); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($88) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 27: 
      $1=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 36; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      $n=0; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $92=$proxyProps; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $93=__ZNK2js16AutoVectorRooterIiE6lengthEv($92); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $len=$93; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 30: 
      var $95=$n; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $96=$len; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $97=(($95)>>>0) < (($96)>>>0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($97) { __label__ = 31; break; } else { __label__ = 35; break; } //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 31: 
      var $99=$2; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $100=$3; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $101=$pobj; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $102=$proxyProps; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $103=$n; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $104=__ZN2js16AutoVectorRooterIiEixEj($102, $103); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $106=$4; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $107=$5; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $108=__ZL9EnumerateP9JSContextP8JSObjectS2_ibjRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($99, $100, $101, $105, 1, $106, $ht, $107); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($108) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 32: 
      $1=0; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 36; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 33: 
      __label__ = 34; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 34: 
      var $112=$n; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $113=(($112+1)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $n=$113; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 35: 
      $7=2;
      __label__ = 36; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 36: 
      __ZN2js12AutoIdVectorD1Ev($proxyProps); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 2) {
        __label__ = 60; break;
      }
      else {
      __label__ = 61; break;
      }
      
    case 37: 
      var $117=$4; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $118=$117 & 16; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $119=(($118)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $120=$119 ? 1 : 0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $op=$120; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $121=$pobj; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $122=$2; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $123=$op; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $124=__ZN8JSObject9enumerateEP9JSContext11JSIterateOpPN2JS5ValueEPi($121, $122, $123, $state, 0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $125=(($124)|0)!=0; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($125) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 38: 
      $1=0; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 39: 
      var $128=__ZNK2JS5Value7isMagicE10JSWhyMagic($state, 2); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($128) { __label__ = 40; break; } else { __label__ = 43; break; } //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 40: 
      var $130=$2; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $131=$3; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $132=$pobj; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $133=$4; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $134=$5; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $135=__ZL25EnumerateNativePropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($130, $131, $132, $133, $ht, $134); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($135) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 41: 
      $1=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 42: 
      __label__ = 53; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 43: 
      __label__ = 44; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 44: 
      __label__ = 45; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 45: 
      var $141=$pobj; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $142=$2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $143=__ZN8JSObject9enumerateEP9JSContext11JSIterateOpPN2JS5ValueEPi($141, $142, 2, $state, $id); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $144=(($143)|0)!=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($144) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 46: 
      $1=0; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 47: 
      var $147=__ZNK2JS5Value6isNullEv($state); //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($147) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 48: 
      __label__ = 52; break; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 49: 
      var $150=$2; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $151=$3; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $152=$pobj; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $153=HEAP32[(($id)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $154=$4; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $155=$5; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $156=__ZL9EnumerateP9JSContextP8JSObjectS2_ibjRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($150, $151, $152, $153, 1, $154, $ht, $155); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($156) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 50: 
      $1=0; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 51: 
      __label__ = 44; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 52: 
      __label__ = 53; break;
    case 53: 
      __label__ = 54; break;
    case 54: 
      __label__ = 55; break;
    case 55: 
      var $163=$4; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $164=$163 & 8; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $165=(($164)|0)!=0; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($165) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 56: 
      var $167=$pobj; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $168=__ZNK8JSObject5isXMLEv($167); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($168) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 57: 
      __label__ = 60; break; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 58: 
      __label__ = 59; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 59: 
      var $172=$pobj; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $173=__ZNK8JSObject8getProtoEv($172); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $pobj=$173; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $174=(($173)|0)!=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($174) { __label__ = 4; break; } else { __label__ = 60; break; } //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 60: 
      $1=1; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 61; break; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 61: 
      __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEED1Ev($ht); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $177=$1; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $177; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8SnapshotP9JSContextP8JSObjectjPN2js12AutoIdVectorE["X"]=1;

function __ZN2js14NativeIterator16allocateIteratorEP9JSContextjRKNS_12AutoIdVectorE($cx, $slength, $props) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $plength;
      var $ni;
      $2=$cx;
      $3=$slength;
      $4=$props;
      var $5=$4; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=$5; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=__ZNK2js16AutoVectorRooterIiE6lengthEv($6); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $plength=$7; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$2; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=$plength; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=((($9<<2))|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=(($10+36)|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$3; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=((($12<<2))|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($11+$13)|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=__ZN9JSContext7malloc_Ej($8, $14); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=$15; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$16; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=$ni; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=(($17)|0)!=0; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 6; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $21=$ni; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=(($21+36)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$22; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=$ni; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=(($24+8)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($25)>>2)]=$23; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=$ni; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=(($26+4)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($27)>>2)]=$23; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$ni; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=(($28+4)|0); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=$plength; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=(($30+($31<<2))|0); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=$ni; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=(($33+12)|0); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($34)>>2)]=$32; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$plength; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=(($35)|0)!=0; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($36) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $38=$ni; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=(($38+4)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=$40; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=$4; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=$42; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=__ZNK2js16AutoVectorRooterIiE5beginEv($43); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=$44; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=$plength; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=((($46<<2))|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert($47 % 1 === 0, 'memcpy given ' + $47 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($41, $45, $47, 1); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 5; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $49=$ni; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$49; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 6; break; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $51=$1; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $51; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14NativeIterator16allocateIteratorEP9JSContextjRKNS_12AutoIdVectorE["X"]=1;

function __ZNK2js16AutoVectorRooterIiE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2431 "./jscntxt.h"
  var $4=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 2431 "./jscntxt.h"
  ;
  return $4; //@line 2431 "./jscntxt.h"
}


function __ZN2js19VectorToKeyIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($cx, $obj, $flags, $props, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$flags;
  $4=$props;
  $5=$vp;
  var $6=$1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=$2; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $8=$3; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $9=$4; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $10=$5; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $11=__ZL19VectorToKeyIteratorP9JSContextP8JSObjectjRN2js12AutoIdVectorEjjPN2JS5ValueE($6, $7, $8, $9, 0, 0, $10); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $11; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL19VectorToKeyIteratorP9JSContextP8JSObjectjRN2js12AutoIdVectorEjjPN2JS5ValueE($cx, $obj, $flags, $keys, $slength, $key, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $iterobj;
      var $ni;
      var $pobj;
      var $ind;
      $2=$cx;
      $3=$obj;
      $4=$flags;
      $5=$keys;
      $6=$slength;
      $7=$key;
      $8=$vp;
      var $9=$3; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=(($9)|0)!=0; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $12=$3; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=(($12+8)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$14 | 32768; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($13)>>2)]=$15; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=$2; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=$3; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($16, $17, 4194304); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 3; break; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $19=$2; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$4; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=__ZL17NewIteratorObjectP9JSContextj($19, $20); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj=$21; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$iterobj; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=(($22)|0)!=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      $1=0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 13; break; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $26=$2; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$6; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$5; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=__ZN2js14NativeIterator16allocateIteratorEP9JSContextjRKNS_12AutoIdVectorE($26, $27, $28); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$29; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=$ni; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=(($30)|0)!=0; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      $1=0; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 13; break; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $34=$ni; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$3; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=$4; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=$6; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=$7; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js14NativeIterator4initEP8JSObjectjjj($34, $35, $36, $37, $38); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=$6; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=(($39)|0)!=0; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $42=$3; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $pobj=$42; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ind=0; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $44=$pobj; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=__ZNK8JSObject5shapeEv($44); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=$ind; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=(($46+1)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ind=$47; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $48=$ni; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $49=(($48+16)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $51=(($50+($46<<2))|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($51)>>2)]=$45; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $52=$pobj; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=__ZNK8JSObject8getProtoEv($52); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $pobj=$53; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      var $55=$pobj; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=(($55)|0)!=0; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($56) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      __label__ = 12; break; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $59=$iterobj; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $60=$ni; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN8JSObject17setNativeIteratorEPN2js14NativeIteratorE($59, $60); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $61=$8; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $62=$iterobj; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value9setObjectER8JSObject($61, $62); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $63=$2; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $64=$iterobj; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $65=$ni; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZL18RegisterEnumeratorP9JSContextP8JSObjectPN2js14NativeIteratorE($63, $64, $65); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 13; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      var $67=$1; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $67; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19VectorToKeyIteratorP9JSContextP8JSObjectjRN2js12AutoIdVectorEjjPN2JS5ValueE["X"]=1;

function __ZN2js21VectorToValueIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($cx, $obj, $flags, $keys, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $iterobj;
      var $ni;
      $2=$cx;
      $3=$obj;
      $4=$flags;
      $5=$keys;
      $6=$vp;
      var $7=$3; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=(($7)|0)!=0; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $10=$3; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=(($10+8)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=$12 | 32768; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($11)>>2)]=$13; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=$2; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$3; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj($14, $15, 4194304); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 3; break; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $17=$2; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$4; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=__ZL17NewIteratorObjectP9JSContextj($17, $18); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj=$19; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$iterobj; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=(($20)|0)!=0; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      $1=0; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $24=$2; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=$5; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=__ZN2js14NativeIterator16allocateIteratorEP9JSContextjRKNS_12AutoIdVectorE($24, 0, $25); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$26; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$ni; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=(($27)|0)!=0; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      $1=0; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $31=$ni; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=$3; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=$4; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js14NativeIterator4initEP8JSObjectjjj($31, $32, $33, 0, 0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$iterobj; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$ni; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN8JSObject17setNativeIteratorEPN2js14NativeIteratorE($34, $35); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=$6; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=$iterobj; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value9setObjectER8JSObject($36, $37); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=$2; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=$iterobj; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=$ni; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZL18RegisterEnumeratorP9JSContextP8JSObjectPN2js14NativeIteratorE($38, $39, $40); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $42=$1; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $42; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js21VectorToValueIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE["X"]=1;

function __ZL17NewIteratorObjectP9JSContextj($cx, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $emptyEnumeratorShape;
      $2=$cx;
      $3=$flags;
      var $4=$3; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=$4 & 1; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5)|0)!=0; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $8=$2; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($8, 0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $obj=$9; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=$obj; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=(($10)|0)!=0; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      $1=0; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $14=$2; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=__ZN2js10EmptyShape23getEmptyEnumeratorShapeEP9JSContext($14); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $emptyEnumeratorShape=$15; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=$emptyEnumeratorShape; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=(($16)|0)!=0; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      $1=0; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $20=$obj; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$2; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($20, $21, __ZN2js13IteratorClassE, __ZN2js5types15emptyTypeObjectE, 0, 0, 0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$obj; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$emptyEnumeratorShape; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=$23; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($22, $24); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=$obj; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$25; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $27=$2; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE1991($27, __ZN2js13IteratorClassE); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$28; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $30=$1; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $30; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject17setNativeIteratorEPN2js14NativeIteratorE($this, $ni) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ni;
  var $3=$1;
  var $4=$2; //@line 676 "./jsobjinlines.h"
  var $5=$4; //@line 676 "./jsobjinlines.h"
  __ZN8JSObject10setPrivateEPv($3, $5); //@line 676 "./jsobjinlines.h"
  ;
  return; //@line 677 "./jsobjinlines.h"
}


function __ZN2js28EnumeratedIdVectorToIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($cx, $obj, $flags, $props, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$flags;
      $5=$props;
      $6=$vp;
      var $7=$4; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$7 & 2; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=(($8)|0)!=0; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $11=$2; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$3; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=$4; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=$5; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$6; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=__ZN2js19VectorToKeyIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($11, $12, $13, $14, $15); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$16; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $18=$2; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=$3; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$4; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$5; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$6; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=__ZN2js21VectorToValueIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($18, $19, $20, $21, $22); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$23; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $25=$1; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $25; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL20UpdateNativeIteratorEPNS_14NativeIteratorEP8JSObject($ni, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$ni;
  $2=$obj;
  var $3=$2; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $4=$1; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=(($4)|0); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($5)>>2)]=$3; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZL7CompareIjEbPT_S1_j($a, $b, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $n;
      $2=$a;
      $3=$b;
      $4=$c;
      var $5=$4; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5+7)|0); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=Math.floor((($6)>>>0)/8); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $n=$7; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$4; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=(($8)>>>0)%8; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ((($9)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($9)|0) == 7) {
        __label__ = 6; break;
      }
      else if ((($9)|0) == 6) {
        __label__ = 9; break;
      }
      else if ((($9)|0) == 5) {
        __label__ = 12; break;
      }
      else if ((($9)|0) == 4) {
        __label__ = 15; break;
      }
      else if ((($9)|0) == 3) {
        __label__ = 18; break;
      }
      else if ((($9)|0) == 2) {
        __label__ = 21; break;
      }
      else if ((($9)|0) == 1) {
        __label__ = 24; break;
      }
      else {
      __label__ = 29; break;
      }
      
    case 2: 
      __label__ = 3; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $12=$2; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=(($12+4)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $2=$13; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=HEAP32[(($12)>>2)]; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$3; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=(($15+4)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $3=$16; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=HEAP32[(($15)>>2)]; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=(($14)|0)!=(($17)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      $1=0; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      __label__ = 6; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $22=$2; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=(($22+4)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $2=$23; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=HEAP32[(($22)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=$3; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=(($25+4)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $3=$26; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=HEAP32[(($25)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=(($24)|0)!=(($27)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      $1=0; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      __label__ = 9; break; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $32=$2; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=(($32+4)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $2=$33; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=HEAP32[(($32)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$3; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=(($35+4)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $3=$36; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=HEAP32[(($35)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=(($34)|0)!=(($37)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      $1=0; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      __label__ = 12; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $42=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=(($42+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $2=$43; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=HEAP32[(($42)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=$3; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=(($45+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $3=$46; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=HEAP32[(($45)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $48=(($44)|0)!=(($47)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($48) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      $1=0; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      __label__ = 15; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      var $52=$2; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=(($52+4)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $2=$53; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=HEAP32[(($52)>>2)]; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=$3; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=(($55+4)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $3=$56; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=HEAP32[(($55)>>2)]; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=(($54)|0)!=(($57)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($58) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 16: 
      $1=0; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 17: 
      __label__ = 18; break; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 18: 
      var $62=$2; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $63=(($62+4)|0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $2=$63; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $64=HEAP32[(($62)>>2)]; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $65=$3; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $66=(($65+4)|0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $3=$66; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $67=HEAP32[(($65)>>2)]; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $68=(($64)|0)!=(($67)|0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($68) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 19: 
      $1=0; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 20: 
      __label__ = 21; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 21: 
      var $72=$2; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $73=(($72+4)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $2=$73; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $74=HEAP32[(($72)>>2)]; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $75=$3; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $76=(($75+4)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $3=$76; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $77=HEAP32[(($75)>>2)]; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $78=(($74)|0)!=(($77)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($78) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 22: 
      $1=0; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 23: 
      __label__ = 24; break; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 24: 
      var $82=$2; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $83=(($82+4)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $2=$83; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $84=HEAP32[(($82)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $85=$3; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $86=(($85+4)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $3=$86; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $87=HEAP32[(($85)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $88=(($84)|0)!=(($87)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($88) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 25: 
      $1=0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 26: 
      __label__ = 27; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 27: 
      var $92=$n; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $93=(($92-1)|0); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $n=$93; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $94=(($93)>>>0) > 0; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($94) { __label__ = 3; break; } else { __label__ = 28; break; } //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 28: 
      __label__ = 29; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 29: 
      $1=1; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 30: 
      var $98=$1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $98; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7CompareIjEbPT_S1_j["X"]=1;

function __ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js11GetIteratorEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $obj, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 112; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $shapes=__stackBase__;
      var $6=__stackBase__+48;
      var $key;
      var $keysOnly;
      var $op;
      var $iterobj;
      var $7;
      var $last;
      var $proto;
      var $lastni;
      var $pobj;
      var $shape;
      var $iterobj1;
      var $ni;
      var $keys=__stackBase__+52;
      var $iterobj2;
      $2=$cx;
      $3=$obj;
      $4=$flags;
      $5=$vp;
      var $8=$2; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($6, $8); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEC1ES1_($shapes, $6); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $key=0; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=$4; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=(($9)|0)==1; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=(($10)&1); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $keysOnly=$11; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$3; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=(($12)|0)!=0; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 46; break; } //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $15=$3; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=__ZNK8JSObject8getClassEv($15); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=(($16+68)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=(($17+12)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $op=$19; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$op; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=(($20)|0)!=0; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $23=$3; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=__ZNK8JSObject8getClassEv($23); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=(($24)|0)!=((__ZN2js13IteratorClassE)|0); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $27=$3; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=__ZNK8JSObject17getNativeIteratorEv($27); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=(($28)|0)!=0; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $31=$op; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=$2; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=$3; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$4; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$34 & 2; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=(($35)|0)!=0; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=$36 ^ 1; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=(($37)&1); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=FUNCTION_TABLE[$31]($32, $33, $38); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj=$39; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=$iterobj; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=(($40)|0)!=0; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      $1=0; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 65; break; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $44=$5; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=$iterobj; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value9setObjectER8JSObject($44, $45); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=$2; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js5types19MarkIteratorUnknownEP9JSContext($46); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 65; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $48=$keysOnly; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $49=(($48) & 1); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 38; break; } //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $51=$2; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $52=(($51+56)|0); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=(($53+808)|0); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=(($54+1024)|0); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $last=$56; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=$3; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=__ZNK8JSObject8getProtoEv($57); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $proto=$58; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $59=$last; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $60=(($59)|0)!=0; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($60) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      var $62=$last; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $63=__ZNK8JSObject17getNativeIteratorEv($62); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $lastni=$63; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $64=$lastni; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $65=(($64+28)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $67=$66 & 12288; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $68=(($67)|0)!=0; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($68) { __label__ = 18; break; } else { __label__ = 11; break; } //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      var $70=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $71=__ZNK8JSObject8isNativeEv($70); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($71) { __label__ = 12; break; } else { __label__ = 18; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $73=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $74=__ZNK8JSObject5shapeEv($73); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $75=$lastni; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $76=(($75+16)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $78=(($77)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $80=(($74)|0)==(($79)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($80) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      var $82=$proto; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $83=(($82)|0)!=0; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($83) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $85=$proto; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $86=__ZNK8JSObject8isNativeEv($85); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($86) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      var $88=$proto; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $89=__ZNK8JSObject5shapeEv($88); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $90=$lastni; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $91=(($90+16)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $93=(($92+4)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $95=(($89)|0)==(($94)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($95) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 16: 
      var $97=$proto; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $98=__ZNK8JSObject8getProtoEv($97); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $99=(($98)|0)!=0; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($99) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 17: 
      var $101=$5; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $102=$last; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value9setObjectER8JSObject($101, $102); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $103=$lastni; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $104=$3; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2jsL20UpdateNativeIteratorEPNS_14NativeIteratorEP8JSObject($103, $104); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $105=$2; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $106=$last; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $107=$lastni; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZL18RegisterEnumeratorP9JSContextP8JSObjectPN2js14NativeIteratorE($105, $106, $107); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 65; break; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 18: 
      __label__ = 19; break; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 19: 
      var $110=$3; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $pobj=$110; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 20; break; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 20: 
      var $112=$pobj; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $113=__ZNK8JSObject8isNativeEv($112); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($113) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 21: 
      var $115=$3; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $116=__ZNK8JSObject6getOpsEv($115); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $117=(($116+112)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $119=(($118)|0)!=0; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($119) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 22: 
      var $121=$pobj; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $122=__ZNK8JSObject8getClassEv($121); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $123=(($122+24)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $125=(($124)|0)!=150; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($125) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 23: 
      __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE5clearEv($shapes); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 39; break; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 24: 
      var $128=$pobj; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $129=__ZNK8JSObject5shapeEv($128); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $shape=$129; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $130=$key; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $131=$key; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $132=$131 << 16; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $133=(($130+$132)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $134=$shape; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $135=$133 ^ $134; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $key=$135; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $136=$shape; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $137=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE6appendIjEEbT_($shapes, $136); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($137) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 25: 
      $1=0; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 65; break; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 26: 
      var $140=$pobj; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $141=__ZNK8JSObject8getProtoEv($140); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $pobj=$141; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 27; break; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 27: 
      var $143=$pobj; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $144=(($143)|0)!=0; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($144) { __label__ = 20; break; } else { __label__ = 28; break; } //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 28: 
      var $146=$2; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $147=(($146+56)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $149=(($148+808)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $150=$key; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $151=__ZNK2js15NativeIterCache3getEj($149, $150); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj1=$151; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $152=$iterobj1; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $153=(($152)|0)!=0; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($153) { __label__ = 29; break; } else { __label__ = 37; break; } //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 29: 
      var $155=$iterobj1; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $156=__ZNK8JSObject17getNativeIteratorEv($155); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$156; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $157=$ni; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $158=(($157+28)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $160=$159 & 12288; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $161=(($160)|0)!=0; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($161) { __label__ = 36; break; } else { __label__ = 30; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 30: 
      var $163=$ni; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $164=(($163+24)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $166=$key; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $167=(($165)|0)==(($166)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($167) { __label__ = 31; break; } else { __label__ = 36; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 31: 
      var $169=$ni; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $170=(($169+20)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $171=HEAP32[(($170)>>2)]; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $172=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv($shapes); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $173=(($171)|0)==(($172)|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($173) { __label__ = 32; break; } else { __label__ = 36; break; } //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 32: 
      var $175=$ni; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $176=(($175+16)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $178=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE5beginEv($shapes); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $179=$ni; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $180=(($179+20)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $182=__ZL7CompareIjEbPT_S1_j($177, $178, $181); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($182) { __label__ = 33; break; } else { __label__ = 36; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 33: 
      var $184=$5; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $185=$iterobj1; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value9setObjectER8JSObject($184, $185); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $186=$ni; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $187=$3; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2jsL20UpdateNativeIteratorEPNS_14NativeIteratorEP8JSObject($186, $187); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $188=$2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $189=$iterobj1; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $190=$ni; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZL18RegisterEnumeratorP9JSContextP8JSObjectPN2js14NativeIteratorE($188, $189, $190); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $191=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv($shapes); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $192=(($191)|0)==2; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($192) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 34: 
      var $194=$iterobj1; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $195=$2; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $196=(($195+56)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $198=(($197+808)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $199=(($198+1024)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($199)>>2)]=$194; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 35: 
      $1=1; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 65; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 36: 
      __label__ = 37; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 37: 
      __label__ = 38; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 38: 
      __label__ = 39; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 39: 
      var $205=$3; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $206=__ZNK8JSObject7isProxyEv($205); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($206) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 40: 
      var $208=$2; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js5types19MarkIteratorUnknownEP9JSContext($208); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $209=$2; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $210=$3; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $211=$4; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $212=$5; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $213=__ZN2js7JSProxy7iterateEP9JSContextP8JSObjectjPN2JS5ValueE($209, $210, $211, $212); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$213; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 65; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 41: 
      var $215=$2; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $216=$3; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $217=$4; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $218=$5; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $219=__ZL17GetCustomIteratorP9JSContextP8JSObjectjPN2JS5ValueE($215, $216, $217, $218); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($219) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 42: 
      $1=0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 65; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 43: 
      var $222=$5; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $223=__ZNK2JS5Value11isUndefinedEv($222); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($223) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 44: 
      var $225=$2; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js5types19MarkIteratorUnknownEP9JSContext($225); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 65; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 45: 
      __label__ = 46; break; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 46: 
      var $228=$2; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($keys, $228); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $229=$4; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $230=$229 & 2; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $231=(($230)|0)!=0; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($231) { __label__ = 47; break; } else { __label__ = 53; break; } //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 47: 
      var $233=$3; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $234=(($233)|0)!=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($234) { __label__ = 48; break; } else { __label__ = 50; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 48: 
      var $236=$2; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $237=$3; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $238=$4; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $239=__ZL8SnapshotP9JSContextP8JSObjectjPN2js12AutoIdVectorE($236, $237, $238, $keys); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($239) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 49: 
      $1=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 64; break; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 50: 
      var $242=$2; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $243=$3; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $244=$4; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $245=$5; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $246=__ZN2js21VectorToValueIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($242, $243, $244, $keys, $245); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($246) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 51: 
      $1=0; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 64; break; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 52: 
      __label__ = 59; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 53: 
      var $250=$3; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $251=(($250)|0)!=0; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($251) { __label__ = 54; break; } else { __label__ = 56; break; } //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 54: 
      var $253=$2; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $254=$3; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $255=$4; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $256=__ZL8SnapshotP9JSContextP8JSObjectjPN2js12AutoIdVectorE($253, $254, $255, $keys); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($256) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 55: 
      $1=0; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 64; break; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 56: 
      var $259=$2; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $260=$3; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $261=$4; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $262=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv($shapes); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $263=$key; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $264=$5; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $265=__ZL19VectorToKeyIteratorP9JSContextP8JSObjectjRN2js12AutoIdVectorEjjPN2JS5ValueE($259, $260, $261, $keys, $262, $263, $264); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($265) { __label__ = 58; break; } else { __label__ = 57; break; } //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 57: 
      $1=0; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 64; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 58: 
      __label__ = 59; break;
    case 59: 
      var $269=$5; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $270=__ZNK2JS5Value8toObjectEv($269); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj2=$270; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $271=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv($shapes); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $272=(($271)|0)!=0; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($272) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 60: 
      var $274=$2; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $275=(($274+56)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $276=HEAP32[(($275)>>2)]; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $277=(($276+808)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $278=$key; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $279=$iterobj2; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js15NativeIterCache3setEjP8JSObject($277, $278, $279); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 61; break; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 61: 
      var $281=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv($shapes); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $282=(($281)|0)==2; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($282) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 62: 
      var $284=$iterobj2; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $285=$2; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $286=(($285+56)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $287=HEAP32[(($286)>>2)]; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $288=(($287+808)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $289=(($288+1024)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($289)>>2)]=$284; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 63; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 63: 
      $1=1; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 64; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 64: 
      __ZN2js12AutoIdVectorD1Ev($keys); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 65; break;
    case 65: 
      __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEED1Ev($shapes); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $293=$1; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $293; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11GetIteratorEP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function __ZN2js5types19MarkIteratorUnknownEP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 308 "./jsinferinlines.h"
      var $3=__ZN9JSContext20typeInferenceEnabledEv($2); //@line 308 "./jsinferinlines.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 308 "./jsinferinlines.h"
    case 2: 
      var $5=$1; //@line 309 "./jsinferinlines.h"
      __ZN2js5types23MarkIteratorUnknownSlowEP9JSContext($5); //@line 309 "./jsinferinlines.h"
      __label__ = 3; break; //@line 309 "./jsinferinlines.h"
    case 3: 
      ;
      return; //@line 310 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 730 "./jsvector.h"
  var $3=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 731 "./jsvector.h"
  var $4=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 731 "./jsvector.h"
  __ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE7destroyEPjS3_($3, $4); //@line 731 "./jsvector.h"
  var $5=(($2+8)|0); //@line 732 "./jsvector.h"
  HEAP32[(($5)>>2)]=0; //@line 732 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 733 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 733 "./jsvector.h"
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE6appendIjEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE14internalAppendIjEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js15NativeIterCache3getEj($this, $key) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$key;
  var $3=$1;
  var $4=$2; //@line 335 "./jscompartment.h"
  var $5=__ZN2js15NativeIterCache8getIndexEj($4); //@line 335 "./jscompartment.h"
  var $6=(($3)|0); //@line 335 "./jscompartment.h"
  var $7=(($6+($5<<2))|0); //@line 335 "./jscompartment.h"
  var $8=HEAP32[(($7)>>2)]; //@line 335 "./jscompartment.h"
  ;
  return $8; //@line 335 "./jscompartment.h"
}


function __ZL17GetCustomIteratorP9JSContextP8JSObjectjPN2JS5ValueE($cx, $obj, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      var $arg=__stackBase__;
      var $6=__stackBase__+8;
      var $bytes=__stackBase__+16;
      var $7;
      var $8=__stackBase__+20;
      $2=$cx;
      $3=$obj;
      $4=$flags;
      $5=$vp;
      var $9=$2; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=(($9+52)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=(($11+209948)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=(($12+296)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$14; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $atom=$15; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=$2; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=$3; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$atom; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=__ZL12ATOM_TO_JSIDP6JSAtom1935($18); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$5; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($16, $17, $19, 2, $20); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=(($21)|0)!=0; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $25=$5; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=__ZNK2JS5Value8isObjectEv($25); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $28=$5; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value12setUndefinedEv($28); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $30=$2; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=__ZNK9JSContext28runningWithTrustedPrincipalsEv($30); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $33=HEAP32[((_sCustomIteratorCount)>>2)]; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=(($33+1)|0); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[((_sCustomIteratorCount)>>2)]=$34; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 7; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $36=$2; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js10LeaveTraceEP9JSContext($36); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=$4; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=$37 & 2; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=(($38)|0)==0; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL12BooleanValueEb1988($arg, $39); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=$2; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=$3; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL11ObjectValueER8JSObject1936($6, $41); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=$5; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=$5; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($40, $6, $42, 1, $arg, $43); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      $1=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $47=$5; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $48=__ZNK2JS5Value11isPrimitiveEv($47); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $50=$2; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $51=$atom; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $52=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($50, $51, $bytes); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=(($52)|0)!=0; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($53) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      $1=0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 13; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $56=$2; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=$3; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL11ObjectValueER8JSObject1936($8, $57); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $59=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($56, 0, 212, -1, $8, 0, $58, 0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $7=1;
      __label__ = 13; break; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break;
    case 14: 
      $1=1; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      var $63=$1; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17GetCustomIteratorP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function __ZN2js15NativeIterCache3setEjP8JSObject($this, $key, $iterobj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$key;
  $3=$iterobj;
  var $4=$1;
  var $5=$3; //@line 339 "./jscompartment.h"
  var $6=$2; //@line 339 "./jscompartment.h"
  var $7=__ZN2js15NativeIterCache8getIndexEj($6); //@line 339 "./jscompartment.h"
  var $8=(($4)|0); //@line 339 "./jscompartment.h"
  var $9=(($8+($7<<2))|0); //@line 339 "./jscompartment.h"
  HEAP32[(($9)>>2)]=$5; //@line 339 "./jscompartment.h"
  ;
  return; //@line 340 "./jscompartment.h"
}


function __ZNK8JSObject11isGeneratorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1554 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1554 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js14GeneratorClassE)|0); //@line 1554 "./jsobj.h"
  ;
  return $5; //@line 1554 "./jsobj.h"
}


function __Z21js_ThrowStopIterationP9JSContext($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v=__stackBase__;
      var $2=__stackBase__+8;
      $1=$cx;
      var $3=$1; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $4=__Z18js_FindClassObjectP9JSContextP8JSObject10JSProtoKeyPN2JS5ValueEPN2js5ClassE($3, 0, 23, $v, 0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=(($4)|0)!=0; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $7=$1; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$2; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=$v; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($7, $2); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 3; break; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return 0; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13iterator_nextP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=$4; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=(($6+8)|0); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $obj=$8; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=$obj; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=(($9)|0)!=0; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $13=$obj; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=__ZNK8JSObject10isIteratorEv($13); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $16=$2; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=$4; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($16, $17, __ZN2js13IteratorClassE); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $19=$2; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$obj; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$4; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=__Z15js_IteratorMoreP9JSContextP8JSObjectPN2JS5ValueE($19, $20, $21); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=(($22)|0)!=0; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      $1=0; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $26=$4; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=__ZNK2JS5Value9toBooleanEv($26); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $29=$2; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=__Z21js_ThrowStopIterationP9JSContext($29); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $32=$2; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=$obj; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$4; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=__Z15js_IteratorNextP9JSContextP8JSObjectPN2JS5ValueE($32, $33, $34); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$35; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      var $37=$1; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $37; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_ValueToIteratorP9JSContextjPN2JS5ValueE($cx, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      $2=$cx;
      $3=$flags;
      $4=$vp;
      var $5=$2; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5+224)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($6, 3); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$4; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=__ZNK2JS5Value8isObjectEv($7); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $10=$4; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=__ZNK2JS5Value8toObjectEv($10); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($obj)>>2)]=$11; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 11; break; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $13=$3; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=$13 & 1; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=(($14)|0)!=0; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $17=$2; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$4; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=__Z22js_ValueToObjectOrNullP9JSContextRKN2JS5ValueEPP8JSObject($17, $18, $obj); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=(($19)|0)!=0; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      $1=0; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 12; break; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      __label__ = 10; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $24=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=$4; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($24, $25); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($obj)>>2)]=$26; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=HEAP32[(($obj)>>2)]; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=(($27)|0)!=0; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      $1=0; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 12; break; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $33=$2; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=HEAP32[(($obj)>>2)]; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$3; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=$4; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=__ZN2js11GetIteratorEP9JSContextP8JSObjectjPN2JS5ValueE($33, $34, $35, $36); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=(($37)&1); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$38; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 12; break; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $40=$1; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_ValueToIteratorP9JSContextjPN2JS5ValueE["X"]=1;

function __Z16js_CloseIteratorP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ni;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=(($4+224)|0); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($5, 3); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=$3; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=__ZNK8JSObject10isIteratorEv($6); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $9=$3; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=__ZNK8JSObject17getNativeIteratorEv($9); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$10; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$ni; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=(($11+28)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=$13 & 1; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=(($14)|0)!=0; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $17=$ni; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=(($17+32)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$2; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=(($20+284)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$ni; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=(($22+28)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=$24 & -4097; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($23)>>2)]=$25; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=$ni; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=(($26+4)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=$ni; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=(($29+8)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($30)>>2)]=$28; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      __label__ = 8; break; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $33=$3; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=__ZNK8JSObject11isGeneratorEv($33); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $36=$2; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=$3; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=__ZL14CloseGeneratorP9JSContextP8JSObject($36, $37); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$38; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      $1=1; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $42=$1; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $42; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_CloseIteratorP9JSContextP8JSObject["X"]=1;

function __ZL14CloseGeneratorP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $gen;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$3; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=__ZNK8JSObject10getPrivateEv($5); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$6; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $gen=$7; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$gen; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=(($8)|0)!=0; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=1; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 6; break; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $12=$gen; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=(($12+4)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=(($14)|0)==4; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      $1=1; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 6; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $18=$2; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=$3; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$gen; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL14UndefinedValueEv1961($4); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=__ZL15SendToGeneratorP9JSContext13JSGeneratorOpP8JSObjectP11JSGeneratorRKN2JS5ValueE($18, 3, $19, $20, $4); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$21; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 6; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $23=$1; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z26js_SuppressDeletedPropertyP9JSContextP8JSObjecti($cx, $obj, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$id;
  var $5=$3; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=__Z22js_CheckForStringIndexi($5); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  $3=$6; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=$1; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $8=$2; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $9=$3; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  __ZN17SingleIdPredicateC1Ei($4, $9); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $10=__ZL29SuppressDeletedPropertyHelperI17SingleIdPredicateEbP9JSContextP8JSObjectT_($7, $8, $4); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZN17SingleIdPredicateC1Ei($this, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$id;
  var $3=$1;
  var $4=$2; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  __ZN17SingleIdPredicateC2Ei($3, $4); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __Z25js_SuppressDeletedElementP9JSContextP8JSObjectj($cx, $obj, $index) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $id=__stackBase__;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$index;
      var $6=$2; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$4; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $11=$2; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$3; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN17SingleIdPredicateC1Ei($5, $13); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=__ZL29SuppressDeletedPropertyHelperI17SingleIdPredicateEbP9JSContextP8JSObjectT_($11, $12, $5); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$14; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $16=$1; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z33js_SuppressDeletedIndexPropertiesP9JSContextP8JSObjectii($cx, $obj, $begin, $end) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$begin;
  $4=$end;
  var $6=$1; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=$2; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $8=$3; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $9=$4; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  __ZN19IndexRangePredicateC1Eii($5, $8, $9); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $10=__ZL29SuppressDeletedPropertyHelperI19IndexRangePredicateEbP9JSContextP8JSObjectT_($6, $7, $5); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZN19IndexRangePredicateC1Eii($this, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$end;
  var $4=$1;
  var $5=$2; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  __ZN19IndexRangePredicateC2Eii($4, $5, $6); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL29SuppressDeletedPropertyHelperI17SingleIdPredicateEbP9JSContextP8JSObjectT_($cx, $obj, $predicate) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $predicate; $predicate = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($predicate)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $iterobj;
      var $ni;
      var $props_cursor;
      var $props_end;
      var $idp;
      var $proto=__stackBase__;
      var $obj2=__stackBase__+16;
      var $prop=__stackBase__+32;
      var $4;
      var $attrs=__stackBase__+36;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5+284)|0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj=$7; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 2; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $9=$iterobj; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=(($9)|0)!=0; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 38; break; } //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      __label__ = 4; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $13=$iterobj; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=__ZNK8JSObject17getNativeIteratorEv($13); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$14; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$ni; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=__ZNK2js14NativeIterator9isKeyIterEv($15); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 37; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $18=$ni; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=(($18)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$3; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=(($20)|0)==(($21)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 37; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $24=$ni; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=(($24+8)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=HEAPU32[(($25)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$ni; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=(($27+12)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=HEAPU32[(($28)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=(($26)>>>0) < (($29)>>>0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 37; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $32=$ni; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=__ZNK2js14NativeIterator7currentEv($32); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $props_cursor=$33; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$ni; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=__ZNK2js14NativeIterator3endEv($34); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $props_end=$35; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=$props_cursor; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $idp=$36; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $38=$idp; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=$props_end; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=(($38)>>>0) < (($39)>>>0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 36; break; } //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $42=$idp; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=__ZN17SingleIdPredicateclEi($predicate, $43); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 34; break; } //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      var $46=$3; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=__ZNK8JSObject8getProtoEv($46); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $48=(($47)|0)!=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 25; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      var $50=$2; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $51=$3; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $52=__ZNK8JSObject8getProtoEv($51); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($proto, $50, $52); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=$2; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($obj2, $53, 0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=__ZNK2js16AutoObjectRooter6objectEv($proto); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=$2; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=$idp; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=__ZN2js16AutoObjectRooter4addrEv($obj2); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $59=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($54, $55, $57, $58, $prop); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $60=(($59)|0)!=0; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      $1=0; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $4=1;
      __label__ = 23; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      var $63=HEAP32[(($prop)>>2)]; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $64=(($63)|0)!=0; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($64) { __label__ = 14; break; } else { __label__ = 22; break; } //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $66=__ZNK2js16AutoObjectRooter6objectEv($obj2); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $67=__ZNK8JSObject8isNativeEv($66); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      var $69=HEAP32[(($prop)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $70=$69; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $71=__ZNK2js5Shape10attributesEv($70); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $72=(($71)&255); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($attrs)>>2)]=$72; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 19; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 16: 
      var $74=__ZNK2js16AutoObjectRooter6objectEv($obj2); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $75=$2; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $76=$idp; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $78=__ZN8JSObject13getAttributesEP9JSContextiPj($74, $75, $77, $attrs); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $79=(($78)|0)!=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($79) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 17: 
      $1=0; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $4=1;
      __label__ = 23; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $83=HEAP32[(($attrs)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $84=$83 & 1; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $85=(($84)|0)!=0; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($85) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 20: 
      $4=7;
      __label__ = 23; break; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 21: 
      __label__ = 22; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 22: 
      $4=0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 23: 
      __ZN2js16AutoObjectRooterD1Ev($obj2); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js16AutoObjectRooterD1Ev($proto); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 24; break;
      }
      else if ((($cleanup_dest)|0) == 7) {
        __label__ = 35; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 39; break;
      }
      else {
      __label__ = 40; break;
      }
      
    case 24: 
      __label__ = 25; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 25: 
      var $92=$props_end; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $93=$ni; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $94=(($93+12)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $96=(($92)|0)!=(($95)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($96) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 26: 
      var $98=$props_cursor; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $99=$ni; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $100=(($99+8)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $102=(($98)|0)!=(($101)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($102) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 27: 
      __label__ = 4; break; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 28: 
      var $105=$idp; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $106=$props_cursor; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $107=(($105)|0)==(($106)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($107) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 29: 
      var $109=$ni; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js14NativeIterator9incCursorEv($109); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 31; break; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 30: 
      var $111=$idp; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $112=$111; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $113=$idp; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $114=(($113+4)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $115=$114; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $116=$props_end; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $117=$idp; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $118=(($117+4)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $119=$116; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $120=$118; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $121=(($119-$120)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $122=(((($121)|0)/4)&-1); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $123=((($122<<2))|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      _llvm_memmove_p0i8_p0i8_i32($112, $115, $123, 1, 0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $124=$ni; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $125=__ZNK2js14NativeIterator3endEv($124); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $126=(($125-4)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $127=$ni; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $128=(($127+12)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($128)>>2)]=$126; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 31; break;
    case 31: 
      var $130=$ni; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $131=(($130+28)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $133=$132 | 8192; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($131)>>2)]=$133; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $134=__ZN17SingleIdPredicate16matchesAtMostOneEv($predicate); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($134) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 32: 
      __label__ = 36; break; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 33: 
      __label__ = 34; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 34: 
      __label__ = 35; break; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 35: 
      var $139=$idp; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $140=(($139+4)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $idp=$140; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 36: 
      __label__ = 37; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 37: 
      var $143=$ni; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $144=(($143+32)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj=$145; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 2; break; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 38: 
      $1=1; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 39; break; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 39: 
      var $148=$1; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $148; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 40: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29SuppressDeletedPropertyHelperI17SingleIdPredicateEbP9JSContextP8JSObjectT_["X"]=1;

function __ZL29SuppressDeletedPropertyHelperI19IndexRangePredicateEbP9JSContextP8JSObjectT_($cx, $obj, $predicate) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $predicate; $predicate = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($predicate)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($predicate+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $iterobj;
      var $ni;
      var $props_cursor;
      var $props_end;
      var $idp;
      var $proto=__stackBase__;
      var $obj2=__stackBase__+16;
      var $prop=__stackBase__+32;
      var $4;
      var $attrs=__stackBase__+36;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5+284)|0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj=$7; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 2; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $9=$iterobj; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=(($9)|0)!=0; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 38; break; } //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      __label__ = 4; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $13=$iterobj; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=__ZNK8JSObject17getNativeIteratorEv($13); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$14; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$ni; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=__ZNK2js14NativeIterator9isKeyIterEv($15); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 37; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $18=$ni; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=(($18)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$3; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=(($20)|0)==(($21)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 37; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $24=$ni; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=(($24+8)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=HEAPU32[(($25)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$ni; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=(($27+12)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=HEAPU32[(($28)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=(($26)>>>0) < (($29)>>>0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 37; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $32=$ni; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=__ZNK2js14NativeIterator7currentEv($32); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $props_cursor=$33; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$ni; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=__ZNK2js14NativeIterator3endEv($34); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $props_end=$35; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=$props_cursor; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $idp=$36; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $38=$idp; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=$props_end; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=(($38)>>>0) < (($39)>>>0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 36; break; } //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $42=$idp; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=__ZN19IndexRangePredicateclEi($predicate, $43); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 34; break; } //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      var $46=$3; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=__ZNK8JSObject8getProtoEv($46); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $48=(($47)|0)!=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 25; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      var $50=$2; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $51=$3; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $52=__ZNK8JSObject8getProtoEv($51); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($proto, $50, $52); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=$2; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($obj2, $53, 0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=__ZNK2js16AutoObjectRooter6objectEv($proto); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=$2; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=$idp; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=__ZN2js16AutoObjectRooter4addrEv($obj2); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $59=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($54, $55, $57, $58, $prop); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $60=(($59)|0)!=0; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      $1=0; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $4=1;
      __label__ = 23; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      var $63=HEAP32[(($prop)>>2)]; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $64=(($63)|0)!=0; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($64) { __label__ = 14; break; } else { __label__ = 22; break; } //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $66=__ZNK2js16AutoObjectRooter6objectEv($obj2); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $67=__ZNK8JSObject8isNativeEv($66); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      var $69=HEAP32[(($prop)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $70=$69; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $71=__ZNK2js5Shape10attributesEv($70); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $72=(($71)&255); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($attrs)>>2)]=$72; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 19; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 16: 
      var $74=__ZNK2js16AutoObjectRooter6objectEv($obj2); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $75=$2; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $76=$idp; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $78=__ZN8JSObject13getAttributesEP9JSContextiPj($74, $75, $77, $attrs); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $79=(($78)|0)!=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($79) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 17: 
      $1=0; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $4=1;
      __label__ = 23; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $83=HEAP32[(($attrs)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $84=$83 & 1; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $85=(($84)|0)!=0; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($85) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 20: 
      $4=7;
      __label__ = 23; break; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 21: 
      __label__ = 22; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 22: 
      $4=0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 23: 
      __ZN2js16AutoObjectRooterD1Ev($obj2); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js16AutoObjectRooterD1Ev($proto); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 24; break;
      }
      else if ((($cleanup_dest)|0) == 7) {
        __label__ = 35; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 39; break;
      }
      else {
      __label__ = 40; break;
      }
      
    case 24: 
      __label__ = 25; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 25: 
      var $92=$props_end; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $93=$ni; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $94=(($93+12)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $96=(($92)|0)!=(($95)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($96) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 26: 
      var $98=$props_cursor; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $99=$ni; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $100=(($99+8)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $102=(($98)|0)!=(($101)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($102) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 27: 
      __label__ = 4; break; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 28: 
      var $105=$idp; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $106=$props_cursor; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $107=(($105)|0)==(($106)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($107) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 29: 
      var $109=$ni; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js14NativeIterator9incCursorEv($109); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 31; break; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 30: 
      var $111=$idp; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $112=$111; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $113=$idp; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $114=(($113+4)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $115=$114; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $116=$props_end; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $117=$idp; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $118=(($117+4)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $119=$116; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $120=$118; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $121=(($119-$120)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $122=(((($121)|0)/4)&-1); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $123=((($122<<2))|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      _llvm_memmove_p0i8_p0i8_i32($112, $115, $123, 1, 0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $124=$ni; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $125=__ZNK2js14NativeIterator3endEv($124); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $126=(($125-4)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $127=$ni; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $128=(($127+12)|0); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($128)>>2)]=$126; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 31; break;
    case 31: 
      var $130=$ni; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $131=(($130+28)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $133=$132 | 8192; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($131)>>2)]=$133; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $134=__ZN19IndexRangePredicate16matchesAtMostOneEv($predicate); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($134) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 32: 
      __label__ = 36; break; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 33: 
      __label__ = 34; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 34: 
      __label__ = 35; break; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 35: 
      var $139=$idp; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $140=(($139+4)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $idp=$140; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 36: 
      __label__ = 37; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 37: 
      var $143=$ni; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $144=(($143+32)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iterobj=$145; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 2; break; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 38: 
      $1=1; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 39; break; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 39: 
      var $148=$1; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $148; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 40: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29SuppressDeletedPropertyHelperI19IndexRangePredicateEbP9JSContextP8JSObjectT_["X"]=1;

function __ZN2js13StaticStrings6hasIntEi($i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$1; //@line 231 "./vm/String-inl.h"
  var $3=(($2)>>>0) < 256; //@line 231 "./vm/String-inl.h"
  ;
  return $3; //@line 231 "./vm/String-inl.h"
}


function __ZN2js10StackFrame21initFloatingGeneratorEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1052 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1052 "./vm/Stack.h"
  var $5=$4 | 96; //@line 1052 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 1052 "./vm/Stack.h"
  ;
  return; //@line 1053 "./vm/Stack.h"
}


function __Z15js_IteratorMoreP9JSContextP8JSObjectPN2JS5ValueE($cx, $iterobj, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ni;
      var $more;
      var $stackDummy_=__stackBase__;
      var $id;
      var $5=__stackBase__+4;
      var $6=__stackBase__+12;
      var $id1;
      $2=$cx;
      $3=$iterobj;
      $4=$rval;
      $ni=0; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$3; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=__ZNK8JSObject10isIteratorEv($7); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $10=$3; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=__ZNK8JSObject17getNativeIteratorEv($10); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$11; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$ni; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=(($12)|0)!=0; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $15=$ni; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=(($15+8)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=HEAPU32[(($16)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$ni; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=(($18+12)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=HEAPU32[(($19)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=(($17)>>>0) < (($20)>>>0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=(($21)&1); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $more=$22; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$ni; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=__ZNK2js14NativeIterator9isKeyIterEv($23); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $26=$more; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=(($26) & 1); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $29=$4; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=$more; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=(($30) & 1); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value10setBooleanEb($29, $31); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      __label__ = 7; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      __label__ = 8; break; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $35=$2; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=(($35+224)|0); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=__ZNK2JS5Value7isMagicE10JSWhyMagic($36, 3); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $39=$4; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value10setBooleanEb($39, 1); //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      __label__ = 11; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      var $42=$stackDummy_; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=$2; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=(($43+48)|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=HEAPU32[(($44)>>2)]; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=(($42)>>>0) < (($45)>>>0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($46) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $48=$2; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __Z21js_ReportOverRecursedP9JSContext($48); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      __label__ = 14; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $51=$ni; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $52=(($51)|0)!=0; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($52) { __label__ = 23; break; } else { __label__ = 15; break; } //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      var $54=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=(($54+52)|0); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=(($56+209948)|0); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=(($57+328)|0); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $60=$59; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $61=__ZL12ATOM_TO_JSIDP6JSAtom1935($60); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $id=$61; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $62=$2; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $63=$3; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $64=$id; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $65=$4; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $66=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($62, $63, $64, 0, $65); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $67=(($66)|0)!=0; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($67) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 16: 
      $1=0; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 17: 
      var $70=$2; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $71=$3; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL11ObjectValueER8JSObject1936($5, $71); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $72=$4; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $73=$4; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $74=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($70, $5, $72, 0, 0, $73); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($74) { __label__ = 22; break; } else { __label__ = 18; break; } //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 18: 
      var $76=$2; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $77=__ZN9JSContext18isExceptionPendingEv($76); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($77) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 19: 
      var $79=$2; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN9JSContext19getPendingExceptionEv($6, $79); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $80=__ZN2jsL15IsStopIterationERKN2JS5ValueE($6); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($80) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 20: 
      $1=0; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 21: 
      var $83=$2; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN9JSContext21clearPendingExceptionEv($83); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $84=$2; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $85=(($84+224)|0); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($85, 3); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $86=$4; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value10setBooleanEb($86, 0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 22: 
      __label__ = 29; break; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 23: 
      var $89=$ni; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $90=__ZNK2js14NativeIterator7currentEv($89); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $id1=$91; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $92=$ni; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js14NativeIterator9incCursorEv($92); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $93=$ni; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $94=(($93)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $96=$2; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $97=$id1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $98=$4; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $99=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($95, $96, $97, $98); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $100=(($99)|0)!=0; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($100) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 24: 
      $1=0; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 25: 
      var $103=$ni; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $104=(($103+28)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $106=$105 & 4; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $107=(($106)|0)!=0; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($107) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 26: 
      var $109=$2; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $110=$id1; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $111=$4; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $112=$4; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $113=__ZL15NewKeyValuePairP9JSContextiRKN2JS5ValueEPS2_($109, $110, $111, $112); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($113) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 27: 
      $1=0; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      var $117=$2; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $118=(($117+224)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $119=$4; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $120=$118; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $121=$119; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($120)>>2)]=HEAP32[(($121)>>2)];HEAP32[(($120+4)>>2)]=HEAP32[(($121+4)>>2)]; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $122=$4; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value10setBooleanEb($122, 1); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 30; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 30: 
      var $124=$1; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $124; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z15js_IteratorMoreP9JSContextP8JSObjectPN2JS5ValueE["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom1935($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj1979($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2JSL11ObjectValueER8JSObject1936($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2jsL15IsStopIterationERKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 242 "./jsiter.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 242 "./jsiter.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 242 "./jsiter.h"
    case 2: 
      var $5=$1; //@line 242 "./jsiter.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 242 "./jsiter.h"
      var $7=__ZNK8JSObject15isStopIterationEv($6); //@line 242 "./jsiter.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 243 "./jsiter.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15NewKeyValuePairP9JSContextiRKN2JS5ValueEPS2_($cx, $id, $val, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $vec=__stackBase__;
      var $tvr=__stackBase__+16;
      var $aobj;
      var $6;
      $2=$cx;
      $3=$id;
      $4=$val;
      $5=$rval;
      var $7=(($vec)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$3; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2jsL9IdToValueEi1939($7, $8); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=(($7+8)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=$4; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$9; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$10; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=$2; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($vec)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $13, 2, $14); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$2; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=(($vec)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($15, 2, $16, 0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $aobj=$17; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$aobj; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=(($18)|0)!=0; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $6=1;
      __label__ = 4; break; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $22=$5; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$aobj; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value9setObjectER8JSObject($22, $23); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $6=1;
      __label__ = 4; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=$1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z15js_IteratorNextP9JSContextP8JSObjectPN2JS5ValueE($cx, $iterobj, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ni;
      var $5=__stackBase__;
      var $str;
      var $i;
      $2=$cx;
      $3=$iterobj;
      $4=$rval;
      var $6=$3; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=__ZNK8JSObject10isIteratorEv($6); //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 14; break; } //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $9=$3; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=__ZNK8JSObject17getNativeIteratorEv($9); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ni=$10; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$ni; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=(($11)|0)!=0; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 13; break; } //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $14=$ni; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=__ZNK2js14NativeIterator9isKeyIterEv($14); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $17=$4; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$ni; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=__ZNK2js14NativeIterator7currentEv($18); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2jsL9IdToValueEi1939($5, $20); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$17; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$5; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$ni; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js14NativeIterator9incCursorEv($23); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=$4; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=__ZNK2JS5Value8isStringEv($24); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      $1=1; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $28=$4; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=__ZNK2JS5Value7isInt32Ev($28); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $31=$4; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=__ZNK2JS5Value7toInt32Ev($31); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $i=$32; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=__ZN2js13StaticStrings6hasIntEi($32); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $35=$2; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=(($35+52)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=(($37+210584)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=$i; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=__ZN2js13StaticStrings6getIntEi($38, $39); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=$40; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $str=$41; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 12; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $43=$2; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=$4; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($43, $44); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $str=$45; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=$str; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=(($46)|0)!=0; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      $1=0; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $51=$4; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $52=$str; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value9setStringEP8JSString($51, $52); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      __label__ = 14; break; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $55=$4; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=$2; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=(($56+224)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=$55; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $59=$57; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $60=$2; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $61=(($60+224)|0); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($61, 3); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      var $63=$1; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z15js_IteratorNextP9JSContextP8JSObjectPN2JS5ValueE["X"]=1;

function __ZN2jsL9IdToValueEi1939($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING1965($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING1974($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString1973($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT1957($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT1958($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi1975($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT1976($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT1977($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject1936($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv1961($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20stopiter_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi($cx, $obj, $v, $bp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$bp;
  var $5=$3; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=__ZN2jsL15IsStopIterationERKN2JS5ValueE($5); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=(($6)&1); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $8=$4; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return 1; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL18generator_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $gen;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=$4; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $gen=$5; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=$gen; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=(($6)|0)!=0; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      __label__ = 4; break; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $10=$1; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$gen; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$11; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN9JSContext5free_EPv($10, $12); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 4; break; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      ;
      return; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15generator_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $gen;
      var $fp;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=$4; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $gen=$5; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=$gen; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=(($6)|0)!=0; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      __label__ = 7; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $10=$gen; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=(($10+4)|0); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=(($12)|0)==2; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $15=$gen; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=(($15+4)|0); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=(($17)|0)==3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      __label__ = 7; break; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $21=$gen; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=__ZN11JSGenerator13floatingFrameEv($21); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $fp=$22; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$1; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=$gen; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=(($24+32)|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=(($25)|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$fp; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=__ZNK2js10StackFrame13formalArgsEndEv($27); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js28MarkStackRangeConservativelyEP8JSTracerPN2JS5ValueES4_($23, $26, $28); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=$fp; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __Z18js_TraceStackFrameP8JSTracerPN2js10StackFrameE($29, $30); //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=$1; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=$fp; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=__ZNK2js10StackFrame5slotsEv($32); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$gen; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=(($34+8)|0); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=(($35)|0); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js28MarkStackRangeConservativelyEP8JSTracerPN2JS5ValueES4_($31, $33, $37); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 7; break; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      ;
      return; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z15js_NewGeneratorP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $stackRegs;
      var $stackfp;
      var $global;
      var $proto;
      var $obj;
      var $stackvp;
      var $vplen;
      var $nbytes;
      var $gen;
      var $genvp;
      var $genfp;
      $2=$cx;
      var $3=$2; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $4=__ZNK9JSContext4regsEv($3); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $stackRegs=$4; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=$stackRegs; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=__ZNK2js9FrameRegs2fpEv($5); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $stackfp=$6; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$stackfp; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=__ZNK8JSObject9getGlobalEv($8); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $global=$9; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=$global; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$2; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=__ZN2js12GlobalObject29getOrCreateGeneratorPrototypeEP9JSContext($10, $11); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $proto=$12; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=$proto; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($13)|0)!=0; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $17=$2; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$proto; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=$global; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$19; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_1942($17, __ZN2js14GeneratorClassE, $18, $20); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $obj=$21; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$obj; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=(($22)|0)!=0; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      $1=0; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $26=$stackfp; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=__ZNK2js10StackFrame10actualArgsEv($26); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=(($27-16)|0); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $stackvp=$28; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=$stackfp; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=__ZNK2js10StackFrame13formalArgsEndEv($29); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=$stackvp; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=$30; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=$31; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=(($32-$33)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=(((($34)|0)/8)&-1); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $vplen=$35; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=$vplen; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=(($36-1)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=(($37+7)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=$stackfp; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=__ZNK2js10StackFrame8numSlotsEv($39); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=(($38+$40)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=((($41<<3))|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=(($42+40)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $nbytes=$43; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=$2; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=$nbytes; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=__ZN9JSContext7malloc_Ej($44, $45); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=$46; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $gen=$47; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $48=$gen; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $49=(($48)|0)!=0; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($49) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      $1=0; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $52=$gen; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=(($52+32)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=(($53)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $genvp=$54; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=$genvp; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=$vplen; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=(($55+($56<<3))|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=$57; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $genfp=$58; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $59=$obj; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $60=$gen; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $61=(($60)|0); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($61)>>2)]=$59; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $62=$gen; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $63=(($62+4)|0); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($63)>>2)]=0; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $64=$gen; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $65=(($64+24)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($65)>>2)]=0; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $66=$genfp; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $67=$gen; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $68=(($67+28)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($68)>>2)]=$66; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $69=$gen; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $70=(($69+8)|0); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $71=$stackRegs; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $72=$genfp; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js9FrameRegs12rebaseFromToERKS0_RNS_10StackFrameE($70, $71, $72); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $73=$genfp; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $74=$genvp; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $75=$stackfp; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $76=$stackvp; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $77=$stackRegs; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $78=(($77)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js10StackFrame18stealFrameAndSlotsEPN2JS5ValueEPS0_S3_S3_($73, $74, $75, $76, $79); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $80=$genfp; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js10StackFrame21initFloatingGeneratorEv($80); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $81=$obj; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $82=$gen; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $83=$82; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN8JSObject10setPrivateEPv($81, $83); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $84=$obj; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$84; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 8; break; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $86=$1; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $86; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z15js_NewGeneratorP9JSContext["X"]=1;

function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_1942($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb1947($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE1948($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __Z27js_FloatingFrameToGeneratorPN2js10StackFrameE($fp) {
  ;
  var __label__;

  var $1;
  var $floatingStackp;
  var $p;
  $1=$fp;
  var $2=$1; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $3=__ZNK2js10StackFrame10actualArgsEv($2); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $4=(($3-16)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=$4; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  $floatingStackp=$5; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=$floatingStackp; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=(($6-32)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  $p=$7; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $8=$p; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $9=$8; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $9; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL14generator_nextP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=$3; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=$2; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=__ZL12generator_opP9JSContext13JSGeneratorOpPN2JS5ValueEj($4, 0, $5, $6); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $7; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL14generator_sendP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=$3; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=$2; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=__ZL12generator_opP9JSContext13JSGeneratorOpPN2JS5ValueEj($4, 1, $5, $6); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $7; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL15generator_throwP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=$3; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=$2; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=__ZL12generator_opP9JSContext13JSGeneratorOpPN2JS5ValueEj($4, 2, $5, $6); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $7; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL15generator_closeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=$3; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=$2; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=__ZL12generator_opP9JSContext13JSGeneratorOpPN2JS5ValueEj($4, 3, $5, $6); //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $7; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZN2js12GlobalObject18initGeneratorClassEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $4=__stackBase__;
      $2=$this;
      $3=$cx;
      var $5=$2;
      var $6=$3; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($5, $6, __ZN2js14GeneratorClassE); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $proto=$7; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$proto; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=(($8)|0)!=0; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $11=$3; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$proto; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($11, $12, 0, ((__ZL17generator_methods)|0)); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      $1=0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 5; break; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $16=$5; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=$proto; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL11ObjectValueER8JSObject1936($4, $17); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN8JSObject15setReservedSlotEjRKN2JS5ValueE($16, 112, $4); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 5; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $19=$1; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z22js_InitIteratorClassesP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $iter=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $global=$5; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=$2; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$global; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=$7; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=__Z17js_GetClassObjectP9JSContextP8JSObject10JSProtoKeyPS2_($6, $8, 22, $iter); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=(($9)|0)!=0; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $13=HEAP32[(($iter)>>2)]; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($13)|0)!=0; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $16=HEAP32[(($iter)>>2)]; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$16; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $18=$2; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=$global; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=__ZL17InitIteratorClassP9JSContextPN2js12GlobalObjectE($18, $19); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $22=$global; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$2; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=__ZN2js12GlobalObject18initGeneratorClassEP9JSContext($22, $23); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      $1=0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $27=$2; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$global; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=__ZL22InitStopIterationClassP9JSContextPN2js12GlobalObjectE($27, $28); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$29; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $31=$1; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1949($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1956($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN19IndexRangePredicate16matchesAtMostOneEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 0; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZN17SingleIdPredicate16matchesAtMostOneEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 1; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1950($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _JSID_IS_INT1957($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT1958($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_STRING1965($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING1966($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb1947($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL1955($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZNK2js16AutoObjectRooter6objectEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1575 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1575 "./jscntxt.h"
  ;
  return $4; //@line 1575 "./jscntxt.h"
}


function __ZN2js16AutoObjectRooter4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1579 "./jscntxt.h"
  ;
  return $3; //@line 1579 "./jscntxt.h"
}


function __ZN17SingleIdPredicateclEi($this, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$id;
  var $3=$1;
  var $4=$2; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=(($3)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=(($4)|0)==(($6)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $7; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZL17InitIteratorClassP9JSContextPN2js12GlobalObjectE($cx, $global) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $iteratorProto;
      var $ctor;
      $2=$cx;
      $3=$global;
      var $4=$3; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=$2; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($4, $5, __ZN2js13IteratorClassE); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $iteratorProto=$6; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$iteratorProto; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=(($7)|0)!=0; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $11=$3; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$2; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=$2; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($13+52)|0); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=(($15+209948)|0); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=(($16+72)|0); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=(($17+88)|0); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$19; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($11, $12, 152, __ZN2js13IteratorClassE, $20, 2); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ctor=$21; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$ctor; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=(($22)|0)!=0; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      $1=0; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $26=$2; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$ctor; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$27; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=$iteratorProto; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($26, $28, $29); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      $1=0; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $33=$2; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$iteratorProto; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($33, $34, 0, ((__ZL16iterator_methods)|0)); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      $1=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $38=$2; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=$3; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=$ctor; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=$40; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=$iteratorProto; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($38, $39, 22, $41, $42); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$43; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 10; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      var $45=$1; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $45; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17InitIteratorClassP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL22InitStopIterationClassP9JSContextPN2js12GlobalObjectE($cx, $global) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      $2=$cx;
      $3=$global;
      var $4=$3; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=$2; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($4, $5, __ZN2js18StopIterationClassE); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $proto=$6; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$proto; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=(($7)|0)!=0; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $10=$proto; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$2; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=__ZN8JSObject6freezeEP9JSContext($10, $11); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      $1=0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 7; break; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $15=$2; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=$3; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=$proto; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$proto; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($15, $16, 23, $17, $18); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      $1=0; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 7; break; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $22=$3; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$22; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js35MarkStandardClassInitializedNoProtoEP8JSObjectPNS_5ClassE($23, __ZN2js18StopIterationClassE); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=$proto; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$24; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 7; break; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $26=$1; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $26; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE1948($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$6; //@line 1443 "./jsobjinlines.h"
      var $21=$3; //@line 1443 "./jsobjinlines.h"
      var $22=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1949($20, $21); //@line 1443 "./jsobjinlines.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1443 "./jsobjinlines.h"
    case 7: 
      var $24=$6; //@line 1444 "./jsobjinlines.h"
      var $25=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1950($24); //@line 1444 "./jsobjinlines.h"
      $6=$25; //@line 1444 "./jsobjinlines.h"
      __label__ = 8; break; //@line 1444 "./jsobjinlines.h"
    case 8: 
      var $27=$2; //@line 1446 "./jsobjinlines.h"
      var $28=$6; //@line 1446 "./jsobjinlines.h"
      var $29=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($27, $28); //@line 1446 "./jsobjinlines.h"
      $obj=$29; //@line 1446 "./jsobjinlines.h"
      var $30=$obj; //@line 1447 "./jsobjinlines.h"
      var $31=(($30)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1447 "./jsobjinlines.h"
    case 9: 
      __label__ = 20; break; //@line 1448 "./jsobjinlines.h"
    case 10: 
      var $34=$obj; //@line 1457 "./jsobjinlines.h"
      var $35=$2; //@line 1457 "./jsobjinlines.h"
      var $36=$3; //@line 1457 "./jsobjinlines.h"
      var $37=$type; //@line 1457 "./jsobjinlines.h"
      var $38=$5; //@line 1457 "./jsobjinlines.h"
      var $39=(($38)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($39) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 11: 
      var $41=$4; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 12: 
      var $44=$4; //@line 1458 "./jsobjinlines.h"
      var $45=__ZNK8JSObject9getParentEv($44); //@line 1458 "./jsobjinlines.h"
      var $49 = $45;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 13: 
      var $47=$5; //@line 1458 "./jsobjinlines.h"
      var $49 = $47;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 14: 
      var $49; //@line 1458 "./jsobjinlines.h"
      var $50=$3; //@line 1458 "./jsobjinlines.h"
      var $51=(($50)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($34, $35, $36, $37, $49, 0, $51); //@line 1458 "./jsobjinlines.h"
      var $52=$3; //@line 1461 "./jsobjinlines.h"
      var $53=__ZNK2js5Class8isNativeEv($52); //@line 1461 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1461 "./jsobjinlines.h"
    case 15: 
      var $55=$2; //@line 1462 "./jsobjinlines.h"
      var $56=$obj; //@line 1462 "./jsobjinlines.h"
      var $57=$3; //@line 1462 "./jsobjinlines.h"
      var $58=$type; //@line 1462 "./jsobjinlines.h"
      var $59=$6; //@line 1462 "./jsobjinlines.h"
      var $60=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE1951($55, $56, $57, $58, $59); //@line 1462 "./jsobjinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1462 "./jsobjinlines.h"
    case 16: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 20; break; //@line 1464 "./jsobjinlines.h"
    case 17: 
      __label__ = 19; break; //@line 1466 "./jsobjinlines.h"
    case 18: 
      var $64=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($64); //@line 1467 "./jsobjinlines.h"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $67=$2; //@line 1471 "./jsobjinlines.h"
      var $68=$obj; //@line 1471 "./jsobjinlines.h"
      var $69=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($67, $68); //@line 1471 "./jsobjinlines.h"
      var $70=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$70; //@line 1472 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1472 "./jsobjinlines.h"
    case 21: 
      var $72=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $72; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE1948["X"]=1;

function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE1951($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE1951["X"]=1;

function _js_free1952($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc1953($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1954($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN19IndexRangePredicateclEi($this, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$id;
      var $3=$1;
      var $4=$2; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $5=_JSID_IS_INT1957($4); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5)|0)!=0; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($6) { __label__ = 2; break; } else { var $20 = 0;__label__ = 4; break; } //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $8=(($3)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=$2; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=_JSID_TO_INT1958($10); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=(($9)|0) <= (($11)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($12) { __label__ = 3; break; } else { var $20 = 0;__label__ = 4; break; } //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $14=$2; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=_JSID_TO_INT1958($14); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=(($3+4)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=(($15)|0) < (($17)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20 = $18;__label__ = 4; break;
    case 4: 
      var $20;
      ;
      return $20; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE14internalAppendIjEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc1959($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc1960($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv1961($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1962($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj1963($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1964($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1962["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj1963($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1964($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js10StackFrame13clearYieldingEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1126 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1126 "./vm/Stack.h"
  var $5=$4 & -257; //@line 1126 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 1126 "./vm/Stack.h"
  ;
  return; //@line 1127 "./vm/Stack.h"
}


function __ZL8IteratorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $argv;
      var $keyonly;
      var $flags;
      var $4=__stackBase__;
      $1=$cx;
      $2=$argc;
      $3=$vp;
      var $5=$3; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $6=(($5+16)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $argv=$6; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $7=$2; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $8=(($7)>>>0) >= 2; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $10=$argv; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=(($10+8)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=__Z17js_ValueToBooleanRKN2JS5ValueE($11); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15 = $12;__label__ = 4; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $15 = 0;__label__ = 4; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $15; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=(($15)|0)!=0; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=(($16)&1); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $keyonly=$17; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$keyonly; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=(($18) & 1); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$19 ? 0 : 6; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=8 | $20; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $flags=$21; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$3; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$2; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=(($23)>>>0) >= 1; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $26=$argv; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=(($26)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$4; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=$27; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 7; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      __ZN2JSL14UndefinedValueEv1961($4); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 7; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $32=$22; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=$4; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$1; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$flags; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=$3; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=__Z18js_ValueToIteratorP9JSContextjPN2JS5ValueE($34, $35, $36); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8IteratorP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12generator_opP9JSContext13JSGeneratorOpPN2JS5ValueEj($cx, $op, $vp, $argc) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $gen;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $undef;
      var $9=__stackBase__+24;
      $2=$cx;
      $3=$op;
      $4=$vp;
      $5=$argc;
      var $10=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js10LeaveTraceEP9JSContext($10); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$2; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=$4; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=(($12+8)|0); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($11, $13); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $obj=$14; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$obj; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=(($15)|0)!=0; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $19=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=__ZNK8JSObject11isGeneratorEv($19); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $22=$2; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$4; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($22, $23, __ZN2js14GeneratorClassE); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $25=$obj; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=__ZNK8JSObject10getPrivateEv($25); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$26; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $gen=$27; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$gen; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=(($28)|0)!=0; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      __label__ = 18; break; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $32=$gen; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=(($32+4)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=(($34)|0)==0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 16; break; } //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $37=$3; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ((($37)|0) == 0 || (($37)|0) == 2) {
        __label__ = 9; break;
      }
      else if ((($37)|0) == 1) {
        __label__ = 10; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 9: 
      __label__ = 15; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      var $40=$5; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=(($40)>>>0) >= 1; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      var $43=$4; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=(($43+16)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=__ZNK2JS5Value11isUndefinedEv($44); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $47=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $48=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $49=(($48+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $50=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($47, 0, 182, 1, $49, 0, 0, 0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      __label__ = 15; break; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $53=$gen; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=(($53+4)|0); //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($54)>>2)]=4; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=$4; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL14UndefinedValueEv1961($6); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=$55; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=$6; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($56)>>2)]=HEAP32[(($57)>>2)];HEAP32[(($56+4)>>2)]=HEAP32[(($57+4)>>2)]; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      __label__ = 26; break; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 16: 
      var $60=$gen; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $61=(($60+4)|0); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $63=(($62)|0)==4; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 25; break; } //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 17: 
      __label__ = 18; break; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 18: 
      var $66=$3; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ((($66)|0) == 0 || (($66)|0) == 1) {
        __label__ = 19; break;
      }
      else if ((($66)|0) == 2) {
        __label__ = 20; break;
      }
      else {
      __label__ = 24; break;
      }
      
    case 19: 
      var $68=$2; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $69=__Z21js_ThrowStopIterationP9JSContext($68); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$69; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 20: 
      var $71=$2; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $72=$5; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $73=(($72)>>>0) >= 1; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($73) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 21: 
      var $75=$4; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $76=(($75+16)|0); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $77=$7; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $78=$76; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($77)>>2)]=HEAP32[(($78)>>2)];HEAP32[(($77+4)>>2)]=HEAP32[(($78+4)>>2)]; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 22: 
      __ZN2JSL14UndefinedValueEv1961($7); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 23: 
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($71, $7); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 24: 
      var $82=$4; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL14UndefinedValueEv1961($8); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $83=$82; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $84=$8; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($83)>>2)]=HEAP32[(($84)>>2)];HEAP32[(($83+4)>>2)]=HEAP32[(($84+4)>>2)]; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      var $87=$3; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $88=(($87)|0)==1; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($88) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 27: 
      var $90=$3; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $91=(($90)|0)==2; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($91) { __label__ = 28; break; } else { var $96 = 0;__label__ = 29; break; } //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 28: 
      var $93=$5; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $94=(($93)|0)!=0; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $96 = $94;__label__ = 29; break;
    case 29: 
      var $96;
      var $97=(($96)&1);
      $undef=$97;
      var $98=$2; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $99=$3; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $100=$obj; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $101=$gen; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $102=$undef; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $103=(($102) & 1); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($103) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 30: 
      var $105=$4; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $106=(($105+16)|0); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $107=$9; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $108=$106; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($107)>>2)]=HEAP32[(($108)>>2)];HEAP32[(($107+4)>>2)]=HEAP32[(($108+4)>>2)]; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 32; break; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 31: 
      __ZN2JSL14UndefinedValueEv1961($9); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 32; break; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 32: 
      var $111=__ZL15SendToGeneratorP9JSContext13JSGeneratorOpP8JSObjectP11JSGeneratorRKN2JS5ValueE($98, $99, $100, $101, $9); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $112=(($111)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($112) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 33: 
      $1=0; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 34: 
      var $115=$4; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $116=$gen; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $117=__ZN11JSGenerator13floatingFrameEv($116); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $118=__ZN2js10StackFrame11returnValueEv($117); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $119=$115; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $120=$118; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($119)>>2)]=HEAP32[(($120)>>2)];HEAP32[(($119+4)>>2)]=HEAP32[(($120+4)>>2)]; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 35; break; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 35: 
      var $122=$1; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $122; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12generator_opP9JSContext13JSGeneratorOpPN2JS5ValueEj["X"]=1;

function __ZN2JSL17ObjectOrNullValueEP8JSObject1967($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 758 "./jsapi.h"
  __ZN2JS5Value15setObjectOrNullEP8JSObject($agg_result, $2); //@line 758 "./jsapi.h"
  ;
  return; //@line 759 "./jsapi.h"
}


function __ZN9JSContext25ensureGeneratorStackSpaceEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $ok;
      $1=$this;
      var $2=$1;
      var $3=(($2+288)|0); //@line 413 "./jscntxtinlines.h"
      var $4=(($2+288)|0); //@line 413 "./jscntxtinlines.h"
      var $5=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE6lengthEv($4); //@line 413 "./jscntxtinlines.h"
      var $6=(($5+1)|0); //@line 413 "./jscntxtinlines.h"
      var $7=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE7reserveEj($3, $6); //@line 413 "./jscntxtinlines.h"
      var $8=(($7)&1); //@line 413 "./jscntxtinlines.h"
      $ok=$8; //@line 413 "./jscntxtinlines.h"
      var $9=$ok; //@line 414 "./jscntxtinlines.h"
      var $10=(($9) & 1); //@line 414 "./jscntxtinlines.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 414 "./jscntxtinlines.h"
    case 2: 
      __Z20js_ReportOutOfMemoryP9JSContext($2); //@line 415 "./jscntxtinlines.h"
      __label__ = 3; break; //@line 415 "./jscntxtinlines.h"
    case 3: 
      var $13=$ok; //@line 416 "./jscntxtinlines.h"
      var $14=(($13) & 1); //@line 416 "./jscntxtinlines.h"
      ;
      return $14; //@line 416 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL10MagicValueE10JSWhyMagic1968($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$1; //@line 742 "./jsapi.h"
  __ZN2JS5Value8setMagicE10JSWhyMagic($agg_result, $2); //@line 742 "./jsapi.h"
  ;
  return; //@line 743 "./jsapi.h"
}


function __ZN2js19GeneratorFrameGuardC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js19GeneratorFrameGuardC2Ev($2); //@line 1789 "./vm/Stack.h"
  ;
  return; //@line 1789 "./vm/Stack.h"
}


function __ZN9JSContext14enterGeneratorEP11JSGenerator($this, $gen) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$gen;
  var $3=$1;
  var $4=(($3+288)|0); //@line 1243 "./jscntxt.h"
  var $5=$2; //@line 1243 "./jscntxt.h"
  var $6=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($4, $5); //@line 1243 "./jscntxt.h"
  ;
  return $6; //@line 1243 "./jscntxt.h"
}


function __ZN9JSContext14leaveGeneratorEP11JSGenerator($this, $gen) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$gen;
  var $3=$1;
  var $4=(($3+288)|0); //@line 1248 "./jscntxt.h"
  __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE7popBackEv($4); //@line 1248 "./jscntxt.h"
  ;
  return; //@line 1249 "./jscntxt.h"
}


function __ZN2js19GeneratorFrameGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js19GeneratorFrameGuardD2Ev($2); //@line 1795 "./vm/Stack.h"
  ;
  return; //@line 1795 "./vm/Stack.h"
}


function __ZN2js19GeneratorFrameGuardD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 1795 "./vm/Stack.h"
      var $4=__ZNK2js10FrameGuard6pushedEv($3); //@line 1795 "./vm/Stack.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1795 "./vm/Stack.h"
    case 2: 
      var $6=$2; //@line 1795 "./vm/Stack.h"
      var $7=(($6)|0); //@line 1795 "./vm/Stack.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1795 "./vm/Stack.h"
      __ZN2js12ContextStack17popGeneratorFrameERKNS_19GeneratorFrameGuardE($8, $2); //@line 1795 "./vm/Stack.h"
      __label__ = 3; break; //@line 1795 "./vm/Stack.h"
    case 3: 
      var $10=$2; //@line 1795 "./vm/Stack.h"
      __ZN2js10FrameGuardD2Ev($10); //@line 1795 "./vm/Stack.h"
      ;
      return; //@line 1795 "./vm/Stack.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+4)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+4)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+8)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+4)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+4)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js17SystemAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+8)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj2ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj2ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+8)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js17SystemAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+8)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15SendToGeneratorP9JSContext13JSGeneratorOpP8JSObjectP11JSGeneratorRKN2JS5ValueE($cx, $op, $obj, $gen, $arg) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      var $8=__stackBase__+8;
      var $9=__stackBase__+16;
      var $genfp;
      var $ok;
      var $gfg=__stackBase__+24;
      var $10;
      var $fp;
      var $enumerators;
      $2=$cx;
      $3=$op;
      $4=$obj;
      $5=$gen;
      $6=$arg;
      var $11=$5; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=(($11+4)|0); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($13)|0)==2; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $16=$5; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=(($16+4)|0); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=(($18)|0)==3; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $21=$2; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=$4; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject1967($7, $22); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=$5; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $24=__ZN11JSGenerator13floatingFrameEv($23); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=__ZNK2js10StackFrame3funEv($24); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=_JS_GetFunctionId($25); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($21, 0, 175, 1, $7, $26, 0, 0); //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $29=$2; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=__ZN9JSContext25ensureGeneratorStackSpaceEv($29); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      $1=0; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $33=$3; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ((($33)|0) == 0 || (($33)|0) == 1) {
        __label__ = 7; break;
      }
      else if ((($33)|0) == 2) {
        __label__ = 10; break;
      }
      else {
      __label__ = 11; break;
      }
      
    case 7: 
      var $35=$5; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=(($35+4)|0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $38=(($37)|0)==1; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $40=$5; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=(($40+8)|0); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=(($41)|0); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=(($43-8)|0); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=$6; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=$44; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=$45; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $49=$5; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $50=(($49+4)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($50)>>2)]=2; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 12; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      var $52=$2; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $53=$6; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=$8; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=$53; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)]; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($52, $8); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=$5; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=(($56+4)|0); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($57)>>2)]=2; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 12; break; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      var $59=$2; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic1968($9, 4); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($59, $9); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $60=$5; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $61=(($60+4)|0); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($61)>>2)]=3; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 12; break; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $63=$5; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $64=__ZN11JSGenerator13floatingFrameEv($63); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $genfp=$64; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js19GeneratorFrameGuardC1Ev($gfg); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $65=$2; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $66=(($65+60)|0); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $67=$2; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $68=$5; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $69=__ZN2js12ContextStack18pushGeneratorFrameEP9JSContextP11JSGeneratorPNS_19GeneratorFrameGuardE($66, $67, $68, $gfg); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($69) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      var $71=$5; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $72=(($71+4)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($72)>>2)]=4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=0; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $10=1;
      __label__ = 15; break; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $74=$gfg; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $75=__ZNK2js10FrameGuard2fpEv($74); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $fp=$75; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $76=$5; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $77=(($76+8)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $78=$2; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $79=__ZNK9JSContext4regsEv($78); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $80=$77; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $81=$79; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($80)>>2)]=HEAP32[(($81)>>2)];HEAP32[(($80+4)>>2)]=HEAP32[(($81+4)>>2)];HEAP32[(($80+8)>>2)]=HEAP32[(($81+8)>>2)];HEAP32[(($80+12)>>2)]=HEAP32[(($81+12)>>2)]; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $82=$2; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $83=$5; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $84=__ZN9JSContext14enterGeneratorEP11JSGenerator($82, $83); //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $85=$2; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $86=(($85+284)|0); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $enumerators=$87; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $88=$5; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $89=(($88+24)|0); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $91=$2; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $92=(($91+284)|0); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($92)>>2)]=$90; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $93=$2; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $94=$fp; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $95=__ZNK2js10StackFrame6scriptEv($94); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $96=$fp; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $97=__ZN2js9RunScriptEP9JSContextP8JSScriptPNS_10StackFrameE($93, $95, $96); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $98=(($97)&1); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $ok=$98; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $99=$2; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $100=(($99+284)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $102=$5; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $103=(($102+24)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($103)>>2)]=$101; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $104=$enumerators; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $105=$2; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $106=(($105+284)|0); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($106)>>2)]=$104; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $107=$2; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $108=$5; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN9JSContext14leaveGeneratorEP11JSGenerator($107, $108); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $10=0; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 15; break; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      __ZN2js19GeneratorFrameGuardD1Ev($gfg); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $cleanup_dest=$10;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 16; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 23; break;
      }
      else {
      __label__ = 24; break;
      }
      
    case 16: 
      var $111=$5; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $112=__ZN11JSGenerator13floatingFrameEv($111); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $113=__ZN2js10StackFrame10isYieldingEv($112); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($113) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 17: 
      var $115=$genfp; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js10StackFrame13clearYieldingEv($115); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $116=$5; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $117=(($116+4)|0); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($117)>>2)]=1; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 18: 
      var $119=$genfp; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2js10StackFrame16clearReturnValueEv($119); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $120=$5; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $121=(($120+4)|0); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      HEAP32[(($121)>>2)]=4; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $122=$ok; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $123=(($122)|0)!=0; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($123) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 19: 
      var $125=$3; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $126=(($125)|0)==3; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($126) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 20: 
      $1=1; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 21: 
      var $129=$2; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $130=__Z21js_ThrowStopIterationP9JSContext($129); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$130; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 22: 
      $1=0; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 23; break; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 23: 
      var $133=$1; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $133; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 24: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15SendToGeneratorP9JSContext13JSGeneratorOpP8JSObjectP11JSGeneratorRKN2JS5ValueE["X"]=1;

function __ZL14JSID_FROM_BITSj1979($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _JSID_TO_STRING1974($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_IS_OBJECT1976($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT1977($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function _INT_TO_JSID1982($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZN2js15NativeIterCache8getIndexEj($key) {
  ;
  var __label__;

  var $1;
  $1=$key;
  var $2=$1; //@line 317 "./jscompartment.h"
  var $3=(($2)>>>0)%256; //@line 317 "./jscompartment.h"
  ;
  return $3; //@line 317 "./jscompartment.h"
}


function __ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _STRING_TO_JSVAL_IMPL1969($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL1970($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL1971($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL1972($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL1978($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL1980($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL1981($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZN19IndexRangePredicateC2Eii($this, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$end;
  var $4=$1;
  var $5=(($4)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $6=$2; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($5)>>2)]=$6; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $7=(($4+4)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $8=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZN17SingleIdPredicateC2Ei($this, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$id;
  var $3=$1;
  var $4=(($3)|0); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=$2; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function _JSVAL_IS_OBJECT_IMPL1983($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL1984($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_TO_BOOLEAN_IMPL1985($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL1986($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL1987($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL1989($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL1990($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js19GeneratorFrameGuardC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1789 "./vm/Stack.h"
  __ZN2js10FrameGuardC2Ev($3); //@line 1789 "./vm/Stack.h"
  ;
  return; //@line 1789 "./vm/Stack.h"
}


function __ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE7reserveEj($this, $request) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$request;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 645 "./jsvector.h"
      var $6=$3; //@line 646 "./jsvector.h"
      var $7=(($5+8)|0); //@line 646 "./jsvector.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 646 "./jsvector.h"
      var $9=(($6)>>>0) > (($8)>>>0); //@line 646 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 646 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 646 "./jsvector.h"
      var $12=(($5+4)|0); //@line 646 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 646 "./jsvector.h"
      var $14=(($11-$13)|0); //@line 646 "./jsvector.h"
      var $15=__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE13growStorageByEj($5, $14); //@line 646 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 646 "./jsvector.h"
    case 3: 
      $1=0; //@line 647 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 647 "./jsvector.h"
    case 4: 
      $1=1; //@line 655 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 655 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 656 "./jsvector.h"
      var $19=$1; //@line 656 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $19; //@line 656 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11StringValueEP8JSString1973($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2JSL10Int32ValueEi1975($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2JSL12BooleanValueEb1988($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2js10EmptyShape23getEmptyEnumeratorShapeEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 391 "./jsscopeinlines.h"
  var $3=$1; //@line 391 "./jsscopeinlines.h"
  var $4=(($3+56)|0); //@line 391 "./jsscopeinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 391 "./jsscopeinlines.h"
  var $6=(($5+764)|0); //@line 391 "./jsscopeinlines.h"
  var $7=__ZN2js10EmptyShape6ensureEP9JSContextPNS_5ClassEPPS0_($2, __ZN2js13IteratorClassE, $6); //@line 391 "./jsscopeinlines.h"
  ;
  return $7; //@line 391 "./jsscopeinlines.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE1991($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb1947($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1992($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1992($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1993($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1992["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1993($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1949($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1950($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1993["X"]=1;

function __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEEC1ES2_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEEC2ES2_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __ZL25EnumerateNativePropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($cx, $obj, $pobj, $flags, $ht, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $initialLength;
      var $r=__stackBase__;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$pobj;
      $5=$flags;
      $6=$ht;
      $7=$props;
      var $8=$7; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=$8; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=__ZNK2js16AutoVectorRooterIiE6lengthEv($9); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $initialLength=$10; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$4; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=__ZNK8JSObject12lastPropertyEv($11); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZNK2js5Shape3allEv($r, $12); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 2; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $14=__ZNK2js5Shape5Range5emptyEv($r); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=$14 ^ 1; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $17=__ZNK2js5Shape5Range5frontEv($r); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $shape=$17; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=$shape; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=(($18+12)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=_JSID_IS_DEFAULT_XML_NAMESPACE($20); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=(($21)|0)!=0; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $24=$2; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $25=$3; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=$4; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=$shape; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=(($27+12)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=$shape; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=__ZNK2js5Shape10enumerableEv($30); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=$5; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=$6; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=$7; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=__ZL9EnumerateP9JSContextP8JSObjectS2_ibjRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($24, $25, $26, $29, $31, $32, $33, $34); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      $1=0; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      __label__ = 7; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 2; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $40=$7; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=$40; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=__ZN2js16AutoVectorRooterIiE5beginEv($41); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=$initialLength; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=(($42+($43<<2))|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=$7; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=$45; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=__ZN2js16AutoVectorRooterIiE3endEv($46); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZN2jsL7ReverseIiEEvPT_S2_1995($44, $47); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=1; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 9; break; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $49=$1; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25EnumerateNativePropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE["X"]=1;

function __ZL29EnumerateDenseArrayPropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($cx, $obj, $pobj, $flags, $ht, $props) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $initlen;
      var $vp;
      var $i;
      $2=$cx;
      $3=$obj;
      $4=$pobj;
      $5=$flags;
      $6=$ht;
      $7=$props;
      var $8=$2; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $9=$3; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $10=$4; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $11=$2; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $12=(($11+52)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($13+209948)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $15=(($14+308)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=$16; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $18=__ZL12ATOM_TO_JSIDP6JSAtom1935($17); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $19=$5; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=$6; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=$7; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=__ZL9EnumerateP9JSContextP8JSObjectS2_ibjRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($8, $9, $10, $18, 0, $19, $20, $21); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      $1=0; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 14; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $25=$4; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=__ZNK8JSObject14getArrayLengthEv($25); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27=(($26)>>>0) > 0; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $29=$4; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $30=__ZN8JSObject30getDenseArrayInitializedLengthEv($29); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $initlen=$30; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $31=$4; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $32=__ZN8JSObject21getDenseArrayElementsEv($31); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $vp=$32; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $i=0; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 5; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      var $34=$i; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $35=$initlen; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $36=(($34)>>>0) < (($35)>>>0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 12; break; } //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $38=$vp; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $39=__ZNK2JS5Value7isMagicE10JSWhyMagic($38, 0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 7; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $41=$2; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=$3; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=$4; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $44=$i; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $45=_INT_TO_JSID1982($44); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=$5; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $47=$6; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $48=$7; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $49=__ZL9EnumerateP9JSContextP8JSObjectS2_ibjRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($41, $42, $43, $45, 1, $46, $47, $48); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      $1=0; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 14; break; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      __label__ = 10; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      __label__ = 11; break; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      var $54=$i; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=(($54+1)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $i=$55; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $56=$vp; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $57=(($56+8)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $vp=$57; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 5; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      __label__ = 13; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      $1=1; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 14; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $61=$1; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      ;
      return $61; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29EnumerateDenseArrayPropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE["X"]=1;

function __ZL9EnumerateP9JSContextP8JSObjectS2_ibjRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE($cx, $obj, $pobj, $id, $enumerable, $flags, $ht, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $7;
      var $8;
      var $9;
      var $p=__stackBase__+4;
      var $10=__stackBase__+12;
      $2=$cx;
      $3=$obj;
      $4=$pobj;
      HEAP32[(($5)>>2)]=$id;
      var $11=(($enumerable)&1);
      $6=$11;
      $7=$flags;
      $8=$ht;
      $9=$props;
      var $12=$7; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $13=$12 & 8; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $14=(($13)|0)!=0; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 2: 
      var $16=$4; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $17=__ZNK8JSObject7isProxyEv($16); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 3: 
      var $19=$4; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $20=__ZNK8JSObject6getOpsEv($19); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $21=(($20+112)|0); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $23=(($22)|0)!=0; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 4: 
      var $25=$8; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZNK2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE12lookupForAddERKi($p, $25, $5); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $26=$p; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3PtrcvMS9_FvvEEv($10, $26); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $27={ f0: HEAP32[(($10)>>2)], f1: HEAP32[(($10+4)>>2)] }; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $28=$27.f0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $29=(($28)|0)!=0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 5: 
      $1=1; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 16; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 6: 
      var $32=$4; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $33=__ZNK8JSObject8getProtoEv($32); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $34=(($33)|0)!=0; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 7: 
      var $36=$4; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $37=__ZNK8JSObject7isProxyEv($36); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 8: 
      var $39=$4; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $40=__ZNK8JSObject6getOpsEv($39); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $41=(($40+112)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $43=(($42)|0)!=0; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($43) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 9: 
      var $45=$8; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $46=__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKiNS3_6SetOpsES2_E6AddPtrERS6_($45, $p, $5); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 10: 
      $1=0; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 16; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 11: 
      __label__ = 12; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 12: 
      var $50=$6; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $51=(($50) & 1); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 13: 
      var $53=$7; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $54=$53 & 16; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $55=(($54)|0)!=0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      if ($55) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 14: 
      var $57=$9; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $58=$57; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      var $59=__ZN2js16AutoVectorRooterIiE6appendERKi($58, $5); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      $1=$59; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 16; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 15: 
      $1=1; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      __label__ = 16; break; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    case 16: 
      var $62=$1; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9EnumerateP9JSContextP8JSObjectS2_ibjRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE["X"]=1;

function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function _JSVAL_IS_NULL_IMPL1994($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE13copyConstructIiEEvPiPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryIKiE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKiE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKiE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN8JSObject9enumerateEP9JSContext11JSIterateOpPN2JS5ValueEPi($this, $cx, $iterop, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$iterop;
      $4=$statep;
      $5=$idp;
      var $6=$1;
      var $7=__ZNK8JSObject6getOpsEv($6); //@line 1496 "./jsobj.h"
      var $8=(($7+112)|0); //@line 1496 "./jsobj.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1496 "./jsobj.h"
      $op=$9; //@line 1496 "./jsobj.h"
      var $10=$op; //@line 1497 "./jsobj.h"
      var $11=(($10)|0)!=0; //@line 1497 "./jsobj.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1497 "./jsobj.h"
    case 2: 
      var $13=$op; //@line 1497 "./jsobj.h"
      var $16 = $13;__label__ = 4; break; //@line 1497 "./jsobj.h"
    case 3: 
      var $16 = 154;__label__ = 4; break; //@line 1497 "./jsobj.h"
    case 4: 
      var $16; //@line 1497 "./jsobj.h"
      var $17=$2; //@line 1497 "./jsobj.h"
      var $18=$3; //@line 1497 "./jsobj.h"
      var $19=$4; //@line 1497 "./jsobj.h"
      var $20=$5; //@line 1497 "./jsobj.h"
      var $21=FUNCTION_TABLE[$16]($17, $6, $18, $19, $20); //@line 1497 "./jsobj.h"
      ;
      return $21; //@line 1497 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E12destroyTableERS5_PNS0_14HashTableEntryIS2_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E12destroyTableERS5_PNS0_14HashTableEntryIS2_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE12lookupForAddERKi($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E12lookupForAddERS2_($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3PtrcvMS9_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 156, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKiNS3_6SetOpsES2_E6AddPtrERS6_($this, $p, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$t;
  var $4=$1;
  var $5=(($4)|0); //@line 1273 "./jshashtable.h"
  var $6=$2; //@line 1273 "./jshashtable.h"
  var $7=$3; //@line 1273 "./jshashtable.h"
  var $8=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3addERNS8_6AddPtrERS2_($5, $6, $7); //@line 1273 "./jshashtable.h"
  ;
  return $8; //@line 1273 "./jshashtable.h"
}


function __ZN2js16AutoVectorRooterIiE6appendERKi($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2394 "./jscntxt.h"
  var $5=$2; //@line 2394 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 2394 "./jscntxt.h"
  var $7=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE6appendIiEEbT_($4, $6); //@line 2394 "./jscntxt.h"
  ;
  return $7; //@line 2394 "./jscntxt.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE6appendIiEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE14internalAppendIiEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE14internalAppendIiEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE13moveConstructIiEEvPiPKT_S7_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE7destroyEPiS3_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIiLj8ES1_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIiLj8ES1_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE13moveConstructIiEEvPiPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE13copyConstructIiEEvPiPKT_S7_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3addERNS8_6AddPtrERS2_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3addERNS8_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$4; //@line 742 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 742 "./jshashtable.h"
      var $12=$3; //@line 742 "./jshashtable.h"
      var $13=$12; //@line 742 "./jshashtable.h"
      var $14=(($13)|0); //@line 742 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 742 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 742 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$11; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $18=$1; //@line 744 "./jshashtable.h"
      ;
      return $18; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3addERNS8_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKiE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3addERNS8_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E11createTableERS5_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKiE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKiE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKiEEEENS_7MoveRefIT_EERS6_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiEaSENS_7MoveRefIS3_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E12destroyTableERS5_PNS0_14HashTableEntryIS2_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKiE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKiE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E13findFreeEntryEj["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOps6getKeyERKi($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN12IdHashPolicy4hashEi($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKiE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN12IdHashPolicy5matchEii($id1, $id2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$id1;
  $2=$id2;
  var $3=$1; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $4=$2; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  var $5=(($3)|0)==(($4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
  ;
  return $5; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsiter.cpp"
}


function _JSID_IS_DEFAULT_XML_NAMESPACE($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1601 "./jsapi.h"
  var $3=(($2)|0)==6; //@line 1601 "./jsapi.h"
  var $4=(($3)&1); //@line 1601 "./jsapi.h"
  ;
  return $4; //@line 1601 "./jsapi.h"
}


function __ZN2js6detail14HashTableEntryIKiE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKiE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKiE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKiEEEC2ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryIKiEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIiEcvRiEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIiEC2ERi($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKiEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3PtrC2ERNS0_14HashTableEntryIS2_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKiE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKiE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2jsL7ReverseIiEEvPT_S2_1995($beg, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $tmp;
      $1=$beg;
      $2=$end;
      __label__ = 2; break; //@line 269 "./jstl.h"
    case 2: 
      var $4=$1; //@line 269 "./jstl.h"
      var $5=$2; //@line 269 "./jstl.h"
      var $6=(($4)|0)!=(($5)|0); //@line 269 "./jstl.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 269 "./jstl.h"
    case 3: 
      var $8=$2; //@line 270 "./jstl.h"
      var $9=(($8-4)|0); //@line 270 "./jstl.h"
      $2=$9; //@line 270 "./jstl.h"
      var $10=$1; //@line 270 "./jstl.h"
      var $11=(($9)|0)==(($10)|0); //@line 270 "./jstl.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 270 "./jstl.h"
    case 4: 
      __label__ = 6; break; //@line 271 "./jstl.h"
    case 5: 
      var $14=$1; //@line 272 "./jstl.h"
      var $15=HEAP32[(($14)>>2)]; //@line 272 "./jstl.h"
      $tmp=$15; //@line 272 "./jstl.h"
      var $16=$2; //@line 273 "./jstl.h"
      var $17=HEAP32[(($16)>>2)]; //@line 273 "./jstl.h"
      var $18=$1; //@line 273 "./jstl.h"
      HEAP32[(($18)>>2)]=$17; //@line 273 "./jstl.h"
      var $19=$tmp; //@line 274 "./jstl.h"
      var $20=$2; //@line 274 "./jstl.h"
      HEAP32[(($20)>>2)]=$19; //@line 274 "./jstl.h"
      var $21=$1; //@line 275 "./jstl.h"
      var $22=(($21+4)|0); //@line 275 "./jstl.h"
      $1=$22; //@line 275 "./jstl.h"
      __label__ = 2; break; //@line 276 "./jstl.h"
    case 6: 
      ;
      return; //@line 277 "./jstl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E11createTableERS5_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryIKiE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryIKiE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKiEaSENS_7MoveRefIS3_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKiEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKiEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveIiEENS_7MoveRefIT_EERS2_($2, $9); //@line 83 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefIiEcvRiEv($2); //@line 83 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 83 "./jshashtable.h"
  var $12=(($3+4)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$11; //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryIKiEEEENS_7MoveRefIT_EERS6_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKiEEEC1ERS4_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKiEEEC1ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKiEEEC2ERS4_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIiEENS_7MoveRefIT_EERS2_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIiEC1ERi($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIiEC1ERi($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIiEC2ERi($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKiEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryIKiEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKiE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E12lookupForAddERS2_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E11prepareHashERS2_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6lookupERS2_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6AddPtrC1ERNS0_14HashTableEntryIS2_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E11prepareHashERS2_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=HEAP32[(($2)>>2)]; //@line 327 "./jshashtable.h"
      var $4=__ZN12IdHashPolicy4hashEi($3); //@line 327 "./jshashtable.h"
      $keyHash=$4; //@line 327 "./jshashtable.h"
      var $5=$keyHash; //@line 330 "./jshashtable.h"
      var $6=(($5*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$6; //@line 330 "./jshashtable.h"
      var $7=$keyHash; //@line 333 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E10isLiveHashEj($7); //@line 333 "./jshashtable.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $10=$keyHash; //@line 334 "./jshashtable.h"
      var $11=(($10-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$11; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $13=$keyHash; //@line 335 "./jshashtable.h"
      var $14=$13 & -2; //@line 335 "./jshashtable.h"
      ;
      return $14; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6lookupERS2_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKiE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKiE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5matchERNS0_14HashTableEntryIS2_EERS2_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKiE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKiE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKiE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5matchERNS0_14HashTableEntryIS2_EERS2_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6lookupERS2_jj["X"]=1;

function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6AddPtrC1ERNS0_14HashTableEntryIS2_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6AddPtrC2ERNS0_14HashTableEntryIS2_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6AddPtrC2ERNS0_14HashTableEntryIS2_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3PtrC2ERNS0_14HashTableEntryIS2_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5matchERNS0_14HashTableEntryIS2_EERS2_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOps6getKeyERKi($4); //@line 440 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 440 "./jshashtable.h"
  var $7=$2; //@line 440 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 440 "./jshashtable.h"
  var $9=__ZN12IdHashPolicy5matchEii($6, $8); //@line 440 "./jshashtable.h"
  ;
  return $9; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKiE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E11createTableERS5_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E4initEj["X"]=1;

function __ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEEC2ES2_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  var $5=$2; //@line 1212 "./jshashtable.h"
  var $6=$a; //@line 1212 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_EC1ES5_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_EC1ES5_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_EC2ES5_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_EC2ES5_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function _JS_CeilingLog2($n) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $log2;
      var $j_;
      $1=$n;
      __label__ = 2; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    case 2: 
      var $3=$1; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      $j_=$3; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $4=$j_; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $5=(($4)>>>0) <= 1; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    case 3: 
      var $13 = 0;__label__ = 5; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    case 4: 
      var $8=$j_; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $9=(($8-1)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $10=_llvm_ctlz_i32($9); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $11=((32-$10)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $13 = $11;__label__ = 5; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    case 5: 
      var $13; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      $log2=$13; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      __label__ = 6; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    case 6: 
      var $15=$log2; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      ;
      return $15; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_FloorLog2($n) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $log2;
      $1=$n;
      __label__ = 2; break; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    case 2: 
      var $3=$1; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $4=$3 | 1; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $5=_llvm_ctlz_i32($4); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      var $6=((31-$5)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      $log2=$6; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      __label__ = 3; break; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    case 3: 
      var $8=$log2; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
      ;
      return $8; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jslog2.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9MathCacheC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 100 "./jsmath.h"
  var $4=(($2)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $5=(($4)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $6=$5; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  _memset($6, 0, 81920, 1); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __Z11js_math_absP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=_fabs($17); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$18; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$4; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=$z; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $21=__ZN2JS5Value9setNumberEd($19, $20); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $23=$1; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_math_ceil_impld($x) {
  ;
  var __label__;

  var $1;
  $1=$x;
  var $2=$1; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $3=_ceil($2); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return $3; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __ZL15JSDOUBLE_IS_NaNd2026($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZL18JSDOUBLE_IS_FINITEd2027($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZL14random_setSeedP9JSContextx($cx, $seed$0, $seed$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$cx;
  var $st$3$0=(($2)|0);
  HEAP32[(($st$3$0)>>2)]=$seed$0;
  var $st$3$1=(($2+4)|0);
  HEAP32[(($st$3$1)>>2)]=$seed$1;
  var $st$7$0=(($2)|0);
  var $3$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($2+4)|0);
  var $3$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=-554899859;
  var $$emscripten$temp$0$1=5;
  var $4$0=$3$0 ^ $$emscripten$temp$0$0;
  var $4$1=$3$1 ^ $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=-1;
  var $$emscripten$temp$1$1=65535;
  var $5$0=$4$0 & $$emscripten$temp$1$0;
  var $5$1=$4$1 & $$emscripten$temp$1$1;
  var $6=$1; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $7=(($6+212)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $st$21$0=(($7)|0);
  HEAP32[(($st$21$0)>>2)]=$5$0;
  var $st$21$1=(($7+4)|0);
  HEAP32[(($st$21$1)>>2)]=$5$1;
  STACKTOP = __stackBase__;
  return; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __Z12js_math_ceilP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__Z17js_math_ceil_impld($17); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$18; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$4; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=$z; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $21=__ZN2JS5Value9setNumberEd($19, $20); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $23=$1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_math_floor_impld($x) {
  ;
  var __label__;

  var $1;
  $1=$x;
  var $2=$1; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $3=_floor($2); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return $3; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __Z13js_math_floorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__Z18js_math_floor_impld($17); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$18; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$4; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=$z; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $21=__ZN2JS5Value9setNumberEd($19, $20); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $23=$1; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z11js_math_maxP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $argv;
      var $i;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=(tempDoubleI32[0]=HEAP32[((_js_NegativeInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_NegativeInfinity+4)>>2)],tempDoubleF64[0]); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$5; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=$3; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $7=(($6)|0)==0; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $9=$4; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $10=(tempDoubleI32[0]=HEAP32[((_js_NegativeInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_NegativeInfinity+4)>>2)],tempDoubleF64[0]); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($9, $10); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 18; break; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $12=$4; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $argv=$13; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $i=0; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 4; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      var $15=$i; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $16=$3; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $17=(($15)>>>0) < (($16)>>>0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 17; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $19=$2; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=$i; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $21=$argv; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $22=(($21+($20<<3))|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $23=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($19, $22, $x); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 18; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $26=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=__ZL15JSDOUBLE_IS_NaNd2026($26); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $28=(($27)|0)!=0; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $30=$4; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $31=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($30, $31); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 18; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 9: 
      var $33=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $34=$33 == 0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 10: 
      var $36=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $37=$z; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $38=$36 == $37; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 11: 
      var $40=$z; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $41=_copysign(1, $40); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $42=$41 == -1; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 12: 
      var $44=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$44; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 13; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 13: 
      __label__ = 15; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 14: 
      var $47=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $48=$z; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $49=$47 > $48; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $50=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $51=$z; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $52=$49 ? $50 : $51; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$52; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 16: 
      var $55=$i; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $56=(($55+1)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $i=$56; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 4; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 17: 
      var $58=$4; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $59=$z; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $60=__ZN2JS5Value9setNumberEd($58, $59); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 18; break; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 18: 
      var $62=$1; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z11js_math_maxP9JSContextjPN2JS5ValueE["X"]=1;

function __Z11js_math_minP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $argv;
      var $i;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=(tempDoubleI32[0]=HEAP32[((_js_PositiveInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_PositiveInfinity+4)>>2)],tempDoubleF64[0]); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$5; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=$3; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $7=(($6)|0)==0; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $9=$4; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $10=(tempDoubleI32[0]=HEAP32[((_js_PositiveInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_PositiveInfinity+4)>>2)],tempDoubleF64[0]); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($9, $10); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 18; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $12=$4; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $argv=$13; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $i=0; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 4; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      var $15=$i; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $16=$3; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $17=(($15)>>>0) < (($16)>>>0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 17; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $19=$2; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=$i; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $21=$argv; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $22=(($21+($20<<3))|0); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $23=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($19, $22, $x); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 18; break; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $26=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=__ZL15JSDOUBLE_IS_NaNd2026($26); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $28=(($27)|0)!=0; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $30=$4; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $31=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($30, $31); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 18; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 9: 
      var $33=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $34=$33 == 0; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 10: 
      var $36=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $37=$z; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $38=$36 == $37; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 11: 
      var $40=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $41=_copysign(1, $40); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $42=$41 == -1; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 12: 
      var $44=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$44; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 13; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 13: 
      __label__ = 15; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 14: 
      var $47=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $48=$z; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $49=$47 < $48; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $50=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $51=$z; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $52=$49 ? $50 : $51; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$52; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 16: 
      var $55=$i; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $56=(($55+1)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $i=$56; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 4; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 17: 
      var $58=$4; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $59=$z; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $60=__ZN2JS5Value9setNumberEd($58, $59); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 18; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 18: 
      var $62=$1; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z11js_math_minP9JSContextjPN2JS5ValueE["X"]=1;

function __Z11js_math_powP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $y=__stackBase__+8;
      var $z;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)>>>0) <= 1; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 23; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      var $16=$2; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $17=$4; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=(($17+24)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($16, $18, $y); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      $1=0; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 23; break; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $22=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $23=__ZL18JSDOUBLE_IS_FINITEd2027($22); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(($23)|0)!=0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 13; break; } //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $26=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$26 != 0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=(tempDoubleI32[0]=HEAP32[(($y)>>2)],tempDoubleI32[1]=HEAP32[(($y+4)>>2)],tempDoubleF64[0]); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $30=$29 == 0.5; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 9: 
      var $32=$4; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $33=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $34=_sqrt($33); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $35=__ZN2JS5Value9setNumberEd($32, $34); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 23; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 10: 
      var $37=(tempDoubleI32[0]=HEAP32[(($y)>>2)],tempDoubleI32[1]=HEAP32[(($y+4)>>2)],tempDoubleF64[0]); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $38=$37 == -0.5; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 11: 
      var $40=$4; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $41=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $42=_sqrt($41); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $43=1/$42; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $44=__ZN2JS5Value9setNumberEd($40, $43); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 23; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 12: 
      __label__ = 13; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 13: 
      var $47=(tempDoubleI32[0]=HEAP32[(($y)>>2)],tempDoubleI32[1]=HEAP32[(($y+4)>>2)],tempDoubleF64[0]); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $48=__ZL18JSDOUBLE_IS_FINITEd2027($47); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $49=(($48)|0)!=0; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($49) { __label__ = 17; break; } else { __label__ = 14; break; } //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 14: 
      var $51=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $52=$51 == 1; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 15: 
      var $54=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $55=$54 == -1; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($55) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 16: 
      var $57=$4; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $58=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($57, $58); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 23; break; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 17: 
      var $60=(tempDoubleI32[0]=HEAP32[(($y)>>2)],tempDoubleI32[1]=HEAP32[(($y+4)>>2)],tempDoubleF64[0]); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $61=$60 == 0; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($61) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 18: 
      var $63=$4; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value8setInt32Ei($63, 1); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 23; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 19: 
      var $65=$4; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $66=(($65+24)|0); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $67=__ZNK2JS5Value7isInt32Ev($66); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 20: 
      var $69=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $70=$4; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $71=(($70+24)|0); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $72=__ZNK2JS5Value7toInt32Ev($71); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $73=__ZL4powidi($69, $72); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$73; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 22; break; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 21: 
      var $75=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $76=(tempDoubleI32[0]=HEAP32[(($y)>>2)],tempDoubleI32[1]=HEAP32[(($y+4)>>2)],tempDoubleF64[0]); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $77=_llvm_pow_f64($75, $76); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$77; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 22; break;
    case 22: 
      var $79=$4; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $80=$z; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $81=__ZN2JS5Value9setNumberEd($79, $80); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 23; break; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 23: 
      var $83=$1; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z11js_math_powP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL4powidi($x, $y) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      var $m;
      var $p;
      var $result;
      $2=$x;
      $3=$y;
      var $4=$3; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $5=(($4)|0) < 0; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $7=$3; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $8=(((-$7))|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12 = $8;__label__ = 4; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $10=$3; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12 = $10;__label__ = 4; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      var $12; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $n=$12; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=$2; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $m=$13; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $p=1; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 5; break; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $15=$n; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $16=$15 & 1; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $17=(($16)|0)!=0; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $19=$m; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=$p; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $21=$20*$19; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $p=$21; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 7; break; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$n; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=$23 >>> 1; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $n=$24; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=$n; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=(($25)|0)==0; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $28=$3; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $29=(($28)|0) < 0; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 9: 
      var $31=$p; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $32=1/$31; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $result=$32; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $33=$result; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $34=$33 == 0; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 10: 
      var $36=$p; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $37=__ZL20JSDOUBLE_IS_INFINITEd($36); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $38=(($37)|0)!=0; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 11: 
      var $40=$2; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $41=$3; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $42=(($41)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $43=_llvm_pow_f64($40, $42); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $47 = $43;__label__ = 13; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 12: 
      var $45=$result; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $47 = $45;__label__ = 13; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 13: 
      var $47; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=$47; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 16; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 14: 
      var $49=$p; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=$49; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 16; break; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 15: 
      var $51=$m; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $52=$m; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $53=$52*$51; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $m=$53; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 5; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 16: 
      var $55=$1; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      ;
      return $55; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL4powidi["X"]=1;

function __Z13js_InitRandomP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $3=_PRMJ_Now();
  var $3$0=$3[0];
  var $3$1=$3[1];
  var $$emscripten$temp$0$0=1000;
  var $$emscripten$temp$0$1=0;
  var $4$0 = (i64Math.divide($3$0,$3$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $4$1 = i64Math.result[1]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $5=$1; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $6$0=$5;
  var $6$1=0;
  var $7$0=$4$0 ^ $6$0;
  var $7$1=$4$1 ^ $6$1;
  var $8=$1; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $9=(($8)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $10=(($9)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $12$0=$11;
  var $12$1=0;
  var $13$0=$7$0 ^ $12$0;
  var $13$1=$7$1 ^ $12$1;
  __ZL14random_setSeedP9JSContextx($2, $13$0, $13$1);
  ;
  return; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __Z18js_math_round_impld($x) {
  ;
  var __label__;

  var $1;
  $1=$x;
  var $2=$1; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $3=$2+0.5; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $4=_floor($3); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $5=$1; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $6=_copysign($4, $5); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return $6; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __Z13js_math_roundP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=$17+0.5; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=_floor($18); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $21=_copysign($19, $20); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$21; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $22=$4; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $23=$z; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=__ZN2JS5Value9setNumberEd($22, $23); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 6; break; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $26=$1; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z12js_math_sqrtP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 158, $24); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($26, $27); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=$1; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL12GetMathCacheEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 703 "./jscompartment.h"
  var $3=(($2+56)|0); //@line 703 "./jscompartment.h"
  var $4=HEAP32[(($3)>>2)]; //@line 703 "./jscompartment.h"
  var $5=$1; //@line 703 "./jscompartment.h"
  var $6=__ZN13JSCompartment12getMathCacheEP9JSContext($4, $5); //@line 703 "./jscompartment.h"
  ;
  return $6; //@line 703 "./jscompartment.h"
}


function __ZN2js9MathCache6lookupEPFddEd($this, $f, $x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $index;
      var $e;
      $2=$this;
      $3=$f;
      $4=$x;
      var $5=$2;
      var $6=$4; //@line 69 "./jsmath.h"
      var $7=__ZN2js9MathCache4hashEd($5, $6); //@line 69 "./jsmath.h"
      $index=$7; //@line 69 "./jsmath.h"
      var $8=$index; //@line 70 "./jsmath.h"
      var $9=(($5)|0); //@line 70 "./jsmath.h"
      var $10=(($9+$8*20)|0); //@line 70 "./jsmath.h"
      $e=$10; //@line 70 "./jsmath.h"
      var $11=$e; //@line 71 "./jsmath.h"
      var $12=(($11)|0); //@line 71 "./jsmath.h"
      var $13=(tempDoubleI32[0]=HEAP32[(($12)>>2)],tempDoubleI32[1]=HEAP32[(($12+4)>>2)],tempDoubleF64[0]); //@line 71 "./jsmath.h"
      var $14=$4; //@line 71 "./jsmath.h"
      var $15=$13 == $14; //@line 71 "./jsmath.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 71 "./jsmath.h"
    case 2: 
      var $17=$e; //@line 71 "./jsmath.h"
      var $18=(($17+8)|0); //@line 71 "./jsmath.h"
      var $19=HEAP32[(($18)>>2)]; //@line 71 "./jsmath.h"
      var $20=$3; //@line 71 "./jsmath.h"
      var $21=(($19)|0)==(($20)|0); //@line 71 "./jsmath.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 71 "./jsmath.h"
    case 3: 
      var $23=$e; //@line 72 "./jsmath.h"
      var $24=(($23+12)|0); //@line 72 "./jsmath.h"
      var $25=(tempDoubleI32[0]=HEAP32[(($24)>>2)],tempDoubleI32[1]=HEAP32[(($24+4)>>2)],tempDoubleF64[0]); //@line 72 "./jsmath.h"
      $1=$25; //@line 72 "./jsmath.h"
      __label__ = 5; break; //@line 72 "./jsmath.h"
    case 4: 
      var $27=$4; //@line 73 "./jsmath.h"
      var $28=$e; //@line 73 "./jsmath.h"
      var $29=(($28)|0); //@line 73 "./jsmath.h"
      (tempDoubleF64[0]=$27,HEAP32[(($29)>>2)]=tempDoubleI32[0],HEAP32[(($29+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsmath.h"
      var $30=$3; //@line 74 "./jsmath.h"
      var $31=$e; //@line 74 "./jsmath.h"
      var $32=(($31+8)|0); //@line 74 "./jsmath.h"
      HEAP32[(($32)>>2)]=$30; //@line 74 "./jsmath.h"
      var $33=$3; //@line 75 "./jsmath.h"
      var $34=$4; //@line 75 "./jsmath.h"
      var $35=FUNCTION_TABLE[$33]($34); //@line 75 "./jsmath.h"
      var $36=$e; //@line 75 "./jsmath.h"
      var $37=(($36+12)|0); //@line 75 "./jsmath.h"
      (tempDoubleF64[0]=$35,HEAP32[(($37)>>2)]=tempDoubleI32[0],HEAP32[(($37+4)>>2)]=tempDoubleI32[1]); //@line 75 "./jsmath.h"
      $1=$35; //@line 75 "./jsmath.h"
      __label__ = 5; break; //@line 75 "./jsmath.h"
    case 5: 
      var $39=$1; //@line 76 "./jsmath.h"
      ;
      return $39; //@line 76 "./jsmath.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9MathCache6lookupEPFddEd["X"]=1;

function __ZL13math_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $5=$1; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $6=(($5+52)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $8=(($7+209948)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $9=(($8+72)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $10=(($9+28)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $12=$11; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  __ZN2JS5Value9setStringEP8JSString($4, $12); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return 1; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __ZL9math_acosP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 160, $24); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($26, $27); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=$1; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2037($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2038($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __Z17js_IsMathFunctionPFiP9JSContextjPN2JS5ValueEE($native) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      $2=$native;
      $i=0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 2; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $4=$i; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $5=((__ZL19math_static_methods+$4*12)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $8=(($7)|0)!=0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $10=$2; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $11=$i; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=((__ZL19math_static_methods+$11*12)|0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+4)|0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $15=(($10)|0)==(($14)|0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=1; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      __label__ = 6; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $19=$i; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19+1)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $i=$20; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 2; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      $1=0; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $23=$1; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      ;
      return $23; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL15GetGCObjectKindEjb2034($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9math_asinP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 162, $24); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($26, $27); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=$1; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9math_atanP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 164, $24); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($26, $27); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=$1; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10math_atan2P9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $y=__stackBase__+8;
      var $z;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)>>>0) <= 1; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 7; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      var $16=$2; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $17=$4; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=(($17+24)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($16, $18, $y); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      $1=0; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 7; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $22=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $23=(tempDoubleI32[0]=HEAP32[(($y)>>2)],tempDoubleI32[1]=HEAP32[(($y+4)>>2)],tempDoubleF64[0]); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=__ZL17math_atan2_kerneldd($22, $23); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$24; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=$4; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$z; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($25, $26); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 7; break; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $28=$1; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8math_cosP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 166, $24); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($26, $27); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=$1; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8math_expP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 168, $24); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $28=__ZN2JS5Value9setNumberEd($26, $27); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $30=$1; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8math_logP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 170, $24); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $28=__ZN2JS5Value9setNumberEd($26, $27); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $30=$1; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11math_randomP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $z;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $5=__ZL17random_nextDoubleP9JSContext($4); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  $z=$5; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $6=$3; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $7=$z; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  __ZN2JS5Value9setDoubleEd($6, $7); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return 1; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __ZL8math_sinP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 172, $24); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($26, $27); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=$1; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8math_tanP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      var $z;
      var $mathCache;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=(($5)|0)==0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $8=$4; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      var $11=$2; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$4; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=(($12+16)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($11, $13, $x); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      $1=0; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      var $17=$2; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=__ZN2jsL12GetMathCacheEP9JSContext($17); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $mathCache=$18; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=$mathCache; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      $1=0; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      var $23=$mathCache; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=__ZN2js9MathCache6lookupEPFddEd($23, 174, $24); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $z=$25; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=$4; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $27=$z; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2JS5Value9setDoubleEd($26, $27); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=1; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 8; break; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=$1; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_InitMathClassP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $Math;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $6=$3; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $7=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2032($5, __ZN2js9MathClassE, 0, $6); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $Math=$7; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $8=$Math; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $9=(($8)|0)!=0; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 2: 
      var $11=$Math; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $12=$2; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $13=__ZN8JSObject16setSingletonTypeEP9JSContext($11, $12); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 3: 
      $1=0; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 11; break; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 4: 
      var $16=$2; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $17=$3; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $18=$Math; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      _OBJECT_TO_JSVAL2033($4, $18); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $19=_JS_DefineProperty($16, $17, ((STRING_TABLE._js_Math_str)|0), $4, 8, 10, 0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $20=(($19)|0)!=0; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 5: 
      $1=0; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 11; break; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 6: 
      var $23=$2; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $24=$Math; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $25=_JS_DefineFunctions($23, $24, ((__ZL19math_static_methods)|0)); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $26=(($25)|0)!=0; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 7: 
      $1=0; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 11; break; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 8: 
      var $29=$2; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $30=$Math; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $31=_JS_DefineConstDoubles($29, $30, ((__ZL14math_constants)|0)); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $32=(($31)|0)!=0; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      if ($32) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 9: 
      $1=0; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 11; break; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 10: 
      var $35=$3; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __ZN2js35MarkStandardClassInitializedNoProtoEP8JSObjectPNS_5ClassE($35, __ZN2js9MathClassE); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      var $36=$Math; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      $1=$36; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      __label__ = 11; break; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    case 11: 
      var $38=$1; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_InitMathClassP9JSContextP8JSObject["X"]=1;

function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2032($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb2034($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2035($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function _OBJECT_TO_JSVAL2033($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL2048($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout2047($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2035($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2036($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2037($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2038($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2039($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2035["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2036($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE2046($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2045($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _DOUBLE_TO_JSVAL_IMPL2057($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function _BUILD_JSVAL2043($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL2044($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE2046($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _OBJECT_TO_JSVAL_IMPL2048($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZL11random_nextP9JSContexti($cx, $bits) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $nextseed=__stackBase__;
  $1=$cx;
  $2=$bits;
  var $3=$1; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $4=(($3+212)|0); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=-554899859;
  var $$emscripten$temp$0$1=5;
  var $6$0 = (i64Math.multiply($5$0,$5$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $6$1 = i64Math.result[1]; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $st$14$0=(($nextseed)|0);
  HEAP32[(($st$14$0)>>2)]=$6$0;
  var $st$14$1=(($nextseed+4)|0);
  HEAP32[(($st$14$1)>>2)]=$6$1;
  var $st$18$0=(($nextseed)|0);
  var $7$0=HEAP32[(($st$18$0)>>2)];
  var $st$18$1=(($nextseed+4)|0);
  var $7$1=HEAP32[(($st$18$1)>>2)];
  var $$emscripten$temp$1$0=11;
  var $$emscripten$temp$1$1=0;
  var $8$0 = (i64Math.add($7$0,$7$1,$$emscripten$temp$1$0,$$emscripten$temp$1$1),i64Math.result[0]); var $8$1 = i64Math.result[1]; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $st$25$0=(($nextseed)|0);
  HEAP32[(($st$25$0)>>2)]=$8$0;
  var $st$25$1=(($nextseed+4)|0);
  HEAP32[(($st$25$1)>>2)]=$8$1;
  var $st$29$0=(($nextseed)|0);
  var $9$0=HEAP32[(($st$29$0)>>2)];
  var $st$29$1=(($nextseed+4)|0);
  var $9$1=HEAP32[(($st$29$1)>>2)];
  var $$emscripten$temp$2$0=-1;
  var $$emscripten$temp$2$1=65535;
  var $10$0=$9$0 & $$emscripten$temp$2$0;
  var $10$1=$9$1 & $$emscripten$temp$2$1;
  var $st$37$0=(($nextseed)|0);
  HEAP32[(($st$37$0)>>2)]=$10$0;
  var $st$37$1=(($nextseed+4)|0);
  HEAP32[(($st$37$1)>>2)]=$10$1;
  var $st$41$0=(($nextseed)|0);
  var $11$0=HEAP32[(($st$41$0)>>2)];
  var $st$41$1=(($nextseed+4)|0);
  var $11$1=HEAP32[(($st$41$1)>>2)];
  var $12=$1; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $13=(($12+212)|0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $st$47$0=(($13)|0);
  HEAP32[(($st$47$0)>>2)]=$11$0;
  var $st$47$1=(($13+4)|0);
  HEAP32[(($st$47$1)>>2)]=$11$1;
  var $st$51$0=(($nextseed)|0);
  var $14$0=HEAP32[(($st$51$0)>>2)];
  var $st$51$1=(($nextseed+4)|0);
  var $14$1=HEAP32[(($st$51$1)>>2)];
  var $15=$2; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $16=((48-$15)|0); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $17$0=$16;
  var $17$1=0;
  var $18=Runtime.bitshift64($14$0, $14$1,"lshr",$17$0);var $18$0 = $18[0], $18$1 = $18[1]; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  STACKTOP = __stackBase__;
  return [$18$0,$18$1]; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}
__ZL11random_nextP9JSContexti["X"]=1;

function _STRING_TO_JSVAL_IMPL2049($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZN2js9MathCache4hashEd($this, $x) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $u=__stackBase__;
  var $hash32;
  var $hash16;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$u; //@line 58 "./jsmath.h"
  var $5=$2; //@line 58 "./jsmath.h"
  (tempDoubleF64[0]=$5,HEAP32[(($4)>>2)]=tempDoubleI32[0],HEAP32[(($4+4)>>2)]=tempDoubleI32[1]); //@line 58 "./jsmath.h"
  var $6=$u; //@line 59 "./jsmath.h"
  var $7=(($6)|0); //@line 59 "./jsmath.h"
  var $8=HEAP32[(($7)>>2)]; //@line 59 "./jsmath.h"
  var $9=$u; //@line 59 "./jsmath.h"
  var $10=(($9+4)|0); //@line 59 "./jsmath.h"
  var $11=HEAP32[(($10)>>2)]; //@line 59 "./jsmath.h"
  var $12=$8 ^ $11; //@line 59 "./jsmath.h"
  $hash32=$12; //@line 59 "./jsmath.h"
  var $13=$hash32; //@line 60 "./jsmath.h"
  var $14=$hash32; //@line 60 "./jsmath.h"
  var $15=$14 >>> 16; //@line 60 "./jsmath.h"
  var $16=$13 ^ $15; //@line 60 "./jsmath.h"
  var $17=(($16) & 65535); //@line 60 "./jsmath.h"
  $hash16=$17; //@line 60 "./jsmath.h"
  var $18=$hash16; //@line 61 "./jsmath.h"
  var $19=(($18)&65535); //@line 61 "./jsmath.h"
  var $20=$19 & 4095; //@line 61 "./jsmath.h"
  var $21=$hash16; //@line 61 "./jsmath.h"
  var $22=(($21)&65535); //@line 61 "./jsmath.h"
  var $23=$22 >> 4; //@line 61 "./jsmath.h"
  var $24=$20 ^ $23; //@line 61 "./jsmath.h"
  STACKTOP = __stackBase__;
  return $24; //@line 61 "./jsmath.h"
}


function _JSVAL_TO_INT32_IMPL2050($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function __ZL20JSDOUBLE_IS_INFINITEd($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 108 "./jsnum.h"
  var $3=$u; //@line 108 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 108 "./jsnum.h"
  var $4=$u; //@line 109 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=-1;
  var $$emscripten$temp$0$1=2147483647;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 == $$emscripten$temp$1$0 && $6$1 == $$emscripten$temp$1$1; //@line 109 "./jsnum.h"
  var $8=(($7)&1); //@line 109 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 109 "./jsnum.h"
}


function _JSVAL_IS_INT32_IMPL2051($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL2052($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO2054($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_DOUBLE_IMPL2055($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL2056($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2039($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2039["X"]=1;

function _js_free2040($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc2041($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2042($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13IMPL_TO_JSVAL12jsval_layout2047($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function __ZL17random_nextDoubleP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $3=__ZL11random_nextP9JSContexti($2, 26);
  var $3$0=$3[0];
  var $3$1=$3[1];
  var $4$0=($3$0 << 27) | (0 >>> 5);
  var $4$1=($3$1 << 27) | ($3$0 >>> 5);
  var $5=$1; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $6=__ZL11random_nextP9JSContexti($5, 27);
  var $6$0=$6[0];
  var $6$1=$6[1];
  var $7$0 = (i64Math.add($4$0,$4$1,$6$0,$6$1),i64Math.result[0]); var $7$1 = i64Math.result[1]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $8=$7$0 + $7$1*4294967296; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $9=$8/9007199254740992; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return $9; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __ZL13math_exp_bodyd($d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $3=_exp($2); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return $3; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __ZL17math_atan2_kerneldd($x, $y) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$x;
  $2=$y;
  var $3=$1; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $4=$2; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  var $5=_atan2($3, $4); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
  ;
  return $5; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsmath.cpp"
}


function __ZN13JSCompartment12getMathCacheEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+1904)|0); //@line 569 "./jscompartment.h"
      var $5=HEAP32[(($4)>>2)]; //@line 569 "./jscompartment.h"
      var $6=(($5)|0)!=0; //@line 569 "./jscompartment.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 569 "./jscompartment.h"
    case 2: 
      var $8=(($3+1904)|0); //@line 569 "./jscompartment.h"
      var $9=HEAP32[(($8)>>2)]; //@line 569 "./jscompartment.h"
      var $14 = $9;__label__ = 4; break; //@line 569 "./jscompartment.h"
    case 3: 
      var $11=$2; //@line 569 "./jscompartment.h"
      var $12=__ZN13JSCompartment14allocMathCacheEP9JSContext($3, $11); //@line 569 "./jscompartment.h"
      var $14 = $12;__label__ = 4; break; //@line 569 "./jscompartment.h"
    case 4: 
      var $14; //@line 569 "./jscompartment.h"
      ;
      return $14; //@line 569 "./jscompartment.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSDOUBLE_IS_INT322053($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO2054($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js22GetNativeStackBaseImplEv() {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $thread;
  var $sattr=__stackBase__;
  var $stackBase=__stackBase__+32;
  var $stackSize=__stackBase__+36;
  var $1=_pthread_self(); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  $thread=$1; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  var $2=_pthread_attr_init($sattr); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  var $3=$thread; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  var $4=_pthread_getattr_np($3, $sattr); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  HEAP32[(($stackBase)>>2)]=0; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  HEAP32[(($stackSize)>>2)]=0; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  var $5=_pthread_attr_getstack($sattr, $stackBase, $stackSize); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  var $6=_pthread_attr_destroy($sattr); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  var $7=HEAP32[(($stackBase)>>2)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
  STACKTOP = __stackBase__;
  return $7; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnativestack.cpp"
}


function __ZN2js16GetPrefixIntegerEP9JSContextPKtS3_iPS3_Pd($cx, $start, $end, $base, $endp, $dp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $s;
      var $d;
      var $digit;
      var $c;
      $2=$cx;
      $3=$start;
      $4=$end;
      $5=$base;
      $6=$endp;
      $7=$dp;
      var $8=$3; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $s=$8; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $d=0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 2; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $10=$s; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=$4; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 19; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $14=$s; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=HEAP16[(($14)>>1)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $c=$15; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=$c; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16)&65535); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=48 <= (($17)|0); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $20=$c; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=(($20)&65535); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=(($21)|0) <= 57; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $24=$c; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=(($24)&65535); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=(($25-48)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $digit=$26; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 15; break; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $28=$c; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=(($28)&65535); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=97 <= (($29)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $32=$c; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=(($32)&65535); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33)|0) <= 122; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $36=$c; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=(($36)&65535); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=(($37-97)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($38+10)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $digit=$39; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $41=$c; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=(($41)&65535); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=65 <= (($42)|0); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $45=$c; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=(($45)&65535); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=(($46)|0) <= 90; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $49=$c; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=(($49)&65535); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=(($50-65)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=(($51+10)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $digit=$52; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      __label__ = 19; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $57=$digit; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=$5; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $59=(($57)|0) >= (($58)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($59) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      __label__ = 19; break; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      var $62=$d; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=$5; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=(($63)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=$62*$64; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=$digit; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $67=(($66)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=$65+$67; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $d=$68; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 18; break; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      var $70=$s; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $71=(($70+2)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $s=$71; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 2; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      var $73=$s; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $74=$6; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($74)>>2)]=$73; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $75=$d; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $76=$7; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$75,HEAP32[(($76)>>2)]=tempDoubleI32[0],HEAP32[(($76+4)>>2)]=tempDoubleI32[1]); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $77=$d; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $78=$77 < 9007199254740992; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 20: 
      $1=1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 26; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 21: 
      var $81=$5; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $82=(($81)|0)==10; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($82) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 22: 
      var $84=$2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $85=$3; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $86=$s; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $87=$7; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $88=__ZL29ComputeAccurateDecimalIntegerP9JSContextPKtS2_Pd($84, $85, $86, $87); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$88; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 26; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 23: 
      var $90=$5; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $91=$5; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $92=(($91-1)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $93=$90 & $92; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $94=(($93)|0)==0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($94) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 24: 
      var $96=$2; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $97=$3; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $98=$s; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $99=$5; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $100=__ZL32ComputeAccurateBinaryBaseIntegerP9JSContextPKtS2_i($96, $97, $98, $99); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $101=$7; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$100,HEAP32[(($101)>>2)]=tempDoubleI32[0],HEAP32[(($101+4)>>2)]=tempDoubleI32[1]); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 25; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 25: 
      $1=1; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 26; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 26: 
      var $104=$1; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $104; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js16GetPrefixIntegerEP9JSContextPKtS3_iPS3_Pd["X"]=1;

function __ZL29ComputeAccurateDecimalIntegerP9JSContextPKtS2_Pd($cx, $start, $end, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length;
      var $cstr;
      var $i;
      var $c;
      var $estr=__stackBase__;
      var $err=__stackBase__+4;
      $2=$cx;
      $3=$start;
      $4=$end;
      $5=$dp;
      var $6=$4; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=$3; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=$6; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=$7; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=(($8-$9)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=(((($10)|0)/2)&-1); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $length=$11; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$2; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$length; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=(($13+1)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=__ZN9JSContext7malloc_Ej($12, $14); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $cstr=$15; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=$cstr; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16)|0)!=0; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $1=0; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      $i=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 4; break; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $21=$i; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=$length; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=(($21)>>>0) < (($22)>>>0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $25=$i; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=$3; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=(($26+($25<<1))|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=HEAP16[(($27)>>1)]; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=(($28) & 255); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $c=$29; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=$c; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=$i; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=$cstr; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=(($32+$31)|0); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($33)]=$30; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $35=$i; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=(($35+1)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $i=$36; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 4; break; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $38=$length; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=$cstr; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=(($39+$38)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($40)]=0; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($err)>>2)]=0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=(($41+52)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=(($43+144280)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=(($44+65596)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=$cstr; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=_js_strtod_harder($46, $47, $estr, $err); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=$5; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$48,HEAP32[(($49)>>2)]=tempDoubleI32[0],HEAP32[(($49+4)>>2)]=tempDoubleI32[1]); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=HEAP32[(($err)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=(($50)|0)==2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($51) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $53=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      _JS_ReportOutOfMemory($53); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=$2; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=$cstr; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN9JSContext5free_EPv($54, $55); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $57=HEAP32[(($err)>>2)]; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=(($57)|0)==1; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($58) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $60=$5; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=(tempDoubleI32[0]=HEAP32[(($60)>>2)],tempDoubleI32[1]=HEAP32[(($60+4)>>2)],tempDoubleF64[0]); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=$61 == Infinity; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($62) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $64=(tempDoubleI32[0]=HEAP32[((_js_PositiveInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_PositiveInfinity+4)>>2)],tempDoubleF64[0]); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=$5; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$64,HEAP32[(($65)>>2)]=tempDoubleI32[0],HEAP32[(($65+4)>>2)]=tempDoubleI32[1]); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $67=$2; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=$cstr; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN9JSContext5free_EPv($67, $68); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $70=$1; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $70; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29ComputeAccurateDecimalIntegerP9JSContextPKtS2_Pd["X"]=1;

function __ZN2js12ToCStringBufC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+36)|0); //@line 627 "./jsnum.h"
  HEAP32[(($3)>>2)]=0; //@line 627 "./jsnum.h"
  ;
  return; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
}


function __ZN2js9DtoaCache6lookupEid($this, $base, $d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$base;
      $3=$d;
      var $4=$1;
      var $5=(($4+12)|0); //@line 361 "./jscompartment.h"
      var $6=HEAP32[(($5)>>2)]; //@line 361 "./jscompartment.h"
      var $7=(($6)|0)!=0; //@line 361 "./jscompartment.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 361 "./jscompartment.h"
    case 2: 
      var $9=$2; //@line 361 "./jscompartment.h"
      var $10=(($4+8)|0); //@line 361 "./jscompartment.h"
      var $11=HEAP32[(($10)>>2)]; //@line 361 "./jscompartment.h"
      var $12=(($9)|0)==(($11)|0); //@line 361 "./jscompartment.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 361 "./jscompartment.h"
    case 3: 
      var $14=$3; //@line 361 "./jscompartment.h"
      var $15=(($4)|0); //@line 361 "./jscompartment.h"
      var $16=(tempDoubleI32[0]=HEAP32[(($15)>>2)],tempDoubleI32[1]=HEAP32[(($15+4)>>2)],tempDoubleF64[0]); //@line 361 "./jscompartment.h"
      var $17=$14 == $16; //@line 361 "./jscompartment.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 361 "./jscompartment.h"
    case 4: 
      var $19=(($4+12)|0); //@line 361 "./jscompartment.h"
      var $20=HEAP32[(($19)>>2)]; //@line 361 "./jscompartment.h"
      var $23 = $20;__label__ = 6; break; //@line 361 "./jscompartment.h"
    case 5: 
      var $23 = 0;__label__ = 6; break; //@line 361 "./jscompartment.h"
    case 6: 
      var $23; //@line 361 "./jscompartment.h"
      ;
      return $23; //@line 361 "./jscompartment.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSShortString23inlineStorageBeforeInitEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 577 "./vm/String.h"
  var $4=(($3)|0); //@line 577 "./vm/String.h"
  var $5=(($4+8)|0); //@line 577 "./vm/String.h"
  var $6=$5; //@line 577 "./vm/String.h"
  var $7=(($6)|0); //@line 577 "./vm/String.h"
  ;
  return $7; //@line 577 "./vm/String.h"
}


function __ZN2js9DtoaCache5cacheEidP13JSFixedString($this, $base, $d, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$base;
  $3=$d;
  $4=$s;
  var $5=$1;
  var $6=$2; //@line 365 "./jscompartment.h"
  var $7=(($5+8)|0); //@line 365 "./jscompartment.h"
  HEAP32[(($7)>>2)]=$6; //@line 365 "./jscompartment.h"
  var $8=$3; //@line 366 "./jscompartment.h"
  var $9=(($5)|0); //@line 366 "./jscompartment.h"
  (tempDoubleF64[0]=$8,HEAP32[(($9)>>2)]=tempDoubleI32[0],HEAP32[(($9+4)>>2)]=tempDoubleI32[1]); //@line 366 "./jscompartment.h"
  var $10=$4; //@line 367 "./jscompartment.h"
  var $11=(($5+12)|0); //@line 367 "./jscompartment.h"
  HEAP32[(($11)>>2)]=$10; //@line 367 "./jscompartment.h"
  ;
  return; //@line 368 "./jscompartment.h"
}


function __ZL32ComputeAccurateBinaryBaseIntegerP9JSContextPKtS2_i($cx, $start, $end, $base) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $bdr=__stackBase__;
      var $bit;
      var $value;
      var $j;
      var $bit2;
      var $factor;
      var $sticky;
      var $bit3;
      $2=$cx;
      $3=$start;
      $4=$end;
      $5=$base;
      var $6=$5; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=$3; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=$4; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN17BinaryDigitReaderC1EiPKtS1_($bdr, $6, $7, $8); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 2; break; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $10=__ZN17BinaryDigitReader9nextDigitEv($bdr); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $bit=$10; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 3; break; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $12=$bit; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=(($12)|0)==0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $value=1; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $j=52; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 5; break; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $16=$j; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16)|0) > 0; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $19=__ZN17BinaryDigitReader9nextDigitEv($bdr); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $bit=$19; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=$bit; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=(($20)|0) < 0; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $23=$value; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$23; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $25=$value; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=$25*2; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=$bit; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=(($27)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=$26+$28; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $value=$29; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 9; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $31=$j; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=(($31-1)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $j=$32; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 5; break; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $34=__ZN17BinaryDigitReader9nextDigitEv($bdr); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $bit2=$34; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=$bit2; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=(($35)|0) >= 0; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      $factor=2; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $sticky=0; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $39=__ZN17BinaryDigitReader9nextDigitEv($bdr); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $bit3=$39; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=(($39)|0) >= 0; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($40) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $42=$bit3; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=$sticky; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=$43 | $42; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $sticky=$44; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=$factor; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=$45*2; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $factor=$46; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $48=$bit2; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=$bit; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=$sticky; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=$49 | $50; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=$48 & $51; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=(($52)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=$value; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=$54+$53; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $value=$55; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=$factor; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=$value; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=$57*$56; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $value=$58; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 15; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $60=$value; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$60; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $62=$1; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL32ComputeAccurateBinaryBaseIntegerP9JSContextPKtS2_i["X"]=1;

function __ZL9num_isNaNP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0)==0; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=$4; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value10setBooleanEb($8, 1); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $10=$2; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=$4; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=(($11+16)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($10, $12, $x); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $16=$4; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=__ZL15JSDOUBLE_IS_NaNd2114($17); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=(($18)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value10setBooleanEb($16, $19); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $21=$1; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12num_isFiniteP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $x=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0)==0; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=$4; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value10setBooleanEb($8, 0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $10=$2; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=$4; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=(($11+16)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($10, $12, $x); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $16=$4; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(tempDoubleI32[0]=HEAP32[(($x)>>2)],tempDoubleI32[1]=HEAP32[(($x+4)>>2)],tempDoubleF64[0]); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=__ZL18JSDOUBLE_IS_FINITEd2111($17); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=(($18)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value10setBooleanEb($16, $19); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $21=$1; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14num_parseFloatP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $d=__stackBase__;
      var $bp;
      var $end;
      var $ep=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0)==0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=$4; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $11=$2; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$4; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=(($12+16)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($11, $13); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$14; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$str; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=(($15)|0)!=0; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $19=$str; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=$2; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=__ZN8JSString8getCharsEP9JSContext($19, $20); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $bp=$21; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=$bp; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=(($22)|0)!=0; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      $1=0; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $26=$bp; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=$str; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=__ZNK8JSString6lengthEv($27); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=(($26+($28<<1))|0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $end=$29; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=$2; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=$bp; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=$end; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=__Z9js_strtodP9JSContextPKtS2_PS2_Pd($30, $31, $32, $ep, $d); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33)|0)!=0; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      $1=0; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $37=HEAP32[(($ep)>>2)]; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=$bp; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($37)|0)==(($38)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $41=$4; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setDoubleEd($41, $42); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $44=$4; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=__ZN2JS5Value9setNumberEd($44, $45); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $48=$1; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14num_parseFloatP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12num_parseIntP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $inputString;
      var $stripPrefix;
      var $radix=__stackBase__;
      var $ws;
      var $end;
      var $number=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0)==0; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=$4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setDoubleEd($8, $9); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $11=$3; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=(($11)|0)==1; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($12) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $14=$4; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=(($14+24)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=__ZNK2JS5Value7isInt32Ev($15); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $18=$4; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=(($18+24)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=__ZNK2JS5Value7toInt32Ev($19); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=(($20)|0)==0; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $23=$4; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=(($23+24)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=__ZNK2JS5Value7toInt32Ev($24); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=(($25)|0)==10; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 14; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $28=$4; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=(($28+16)|0); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=__ZNK2JS5Value7isInt32Ev($29); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $32=$4; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=$4; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33+16)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=$32; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=$34; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $38=$4; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($38+16)|0); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=__ZNK2JS5Value8isDoubleEv($39); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $42=$4; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=(($42+16)|0); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=__ZNK2JS5Value8toDoubleEv($43); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=$44 > -1e+21; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $47=$4; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=(($47+16)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=__ZNK2JS5Value8toDoubleEv($48); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=$49 < 1e+21; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $52=$4; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=$4; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=(($53+16)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=__ZNK2JS5Value8toDoubleEv($54); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=__ZL20ParseIntDoubleHelperd($55); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=__ZN2JS5Value9setNumberEd($52, $56); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      __label__ = 14; break; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $60=$2; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=$4; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=(($61+16)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($60, $62); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $inputString=$63; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=$inputString; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=(($64)|0)!=0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      $1=0; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $68=$4; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $69=(($68+16)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $70=$inputString; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setStringEP8JSString($69, $70); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $stripPrefix=1; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($radix)>>2)]=0; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $71=$3; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $72=(($71)>>>0) > 1; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($72) { __label__ = 17; break; } else { __label__ = 27; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      var $74=$2; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $75=$4; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $76=(($75+24)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $77=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($74, $76, $radix); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($77) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      $1=0; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      var $80=HEAP32[(($radix)>>2)]; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $81=(($80)|0)!=0; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($81) { __label__ = 20; break; } else { __label__ = 26; break; } //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 20: 
      var $83=HEAP32[(($radix)>>2)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $84=(($83)|0) < 2; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($84) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 21: 
      var $86=HEAP32[(($radix)>>2)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $87=(($86)|0) > 36; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 22: 
      var $89=$4; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $90=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setDoubleEd($89, $90); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 23: 
      var $92=HEAP32[(($radix)>>2)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $93=(($92)|0)!=16; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 24: 
      $stripPrefix=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 25; break; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 25: 
      __label__ = 26; break; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 26: 
      __label__ = 27; break; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 27: 
      var $98=$inputString; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $99=$2; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $100=__ZN8JSString8getCharsEP9JSContext($98, $99); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $ws=$100; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $101=$ws; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $102=(($101)|0)!=0; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($102) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 28: 
      $1=0; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 29: 
      var $105=$ws; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $106=$inputString; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $107=__ZNK8JSString6lengthEv($106); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $108=(($105+($107<<1))|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $end=$108; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $109=$2; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $110=$ws; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $111=$end; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $112=HEAP32[(($radix)>>2)]; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $113=$stripPrefix; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $114=(($113) & 1); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $115=__ZL20ParseIntStringHelperP9JSContextPKtS2_ibPd($109, $110, $111, $112, $114, $number); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($115) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 30: 
      $1=0; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 31: 
      var $118=$4; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $119=(tempDoubleI32[0]=HEAP32[(($number)>>2)],tempDoubleI32[1]=HEAP32[(($number+4)>>2)],tempDoubleF64[0]); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $120=__ZN2JS5Value9setNumberEd($118, $119); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 32; break; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 32: 
      var $122=$1; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $122; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12num_parseIntP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js12ToCStringBufD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+36)|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $5=(($4)|0)!=0; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $7=(($2+36)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2js10Foreground5free_EPv($8); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 3; break; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      ;
      return; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z14js_IntToStringP9JSContexti($cx, $si) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ui;
      var $c;
      var $str;
      var $str1;
      var $storage;
      var $end=__stackBase__;
      var $start=__stackBase__+4;
      var $4=__stackBase__+8;
      $2=$cx;
      $3=$si;
      var $5=$3; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0) >= 0; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=$3; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=__ZN2js13StaticStrings6hasIntEi($8); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $11=$2; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=(($11+52)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=(($13+210584)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$3; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=__ZN2js13StaticStrings6getIntEi($14, $15); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=$16; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$17; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $19=$3; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $ui=$19; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $21=$3; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=(((-$21))|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $ui=$22; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break;
    case 6: 
      var $24=$2; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=(($24+56)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $c=$26; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=$c; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=(($27+1888)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=$3; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=(($29)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=__ZN2js9DtoaCache6lookupEid($28, 10, $30); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=$31; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$32; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=$str; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33)|0)!=0; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $36=$str; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$36; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $38=$2; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=__Z19js_NewGCShortStringP9JSContext($38); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str1=$39; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$str1; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=(($40)|0)!=0; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      $1=0; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $44=$str1; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=__ZN13JSShortString23inlineStorageBeforeInitEv($44); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $storage=$45; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=$storage; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=(($46+22)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=$storage; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN7mozilla9RangedPtrItEC1EPtS2_j($end, $47, $48, 12); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=__ZNK7mozilla9RangedPtrItEdeEv($end); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP16[(($49)>>1)]=0; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=$ui; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=$4; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=$end; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2js25BackfillIndexInCharBufferItEEN7mozilla9RangedPtrIT_EEjS4_($start, $50, $4); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=$3; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=(($53)|0) < 0; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $56=__ZN7mozilla9RangedPtrItEmmEv($start); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=__ZNK7mozilla9RangedPtrItEdeEv($56); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP16[(($57)>>1)]=45; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $59=$str1; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $60=__ZNK7mozilla9RangedPtrItE3getEv($start); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=__ZNK7mozilla9RangedPtrItEmiERKS1_($end, $start); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN13JSShortString20initAtOffsetInBufferEPKtj($59, $60, $61); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=$c; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=(($62+1888)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=$3; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=(($64)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=$str1; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $67=$66; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2js9DtoaCache5cacheEidP13JSFixedString($63, 10, $65, $67); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=$str1; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $69=$68; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$69; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $71=$1; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $71; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z14js_IntToStringP9JSContexti["X"]=1;

function __ZN13JSShortString20initAtOffsetInBufferEPKtj($this, $chars, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$chars;
  $3=$length;
  var $4=$1;
  var $5=$4; //@line 169 "./vm/String-inl.h"
  var $6=$3; //@line 169 "./vm/String-inl.h"
  var $7=__ZN8JSString19buildLengthAndFlagsEjj($5, $6, 4); //@line 169 "./vm/String-inl.h"
  var $8=$4; //@line 169 "./vm/String-inl.h"
  var $9=(($8)|0); //@line 169 "./vm/String-inl.h"
  var $10=(($9)|0); //@line 169 "./vm/String-inl.h"
  HEAP32[(($10)>>2)]=$7; //@line 169 "./vm/String-inl.h"
  var $11=$2; //@line 170 "./vm/String-inl.h"
  var $12=$4; //@line 170 "./vm/String-inl.h"
  var $13=(($12)|0); //@line 170 "./vm/String-inl.h"
  var $14=(($13+4)|0); //@line 170 "./vm/String-inl.h"
  var $15=$14; //@line 170 "./vm/String-inl.h"
  HEAP32[(($15)>>2)]=$11; //@line 170 "./vm/String-inl.h"
  ;
  return; //@line 171 "./vm/String-inl.h"
}


function __Z14js_num_valueOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=$4; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=__ZN2js16GetPrimitiveThisIdEEbP9JSContextPN2JS5ValueEPT_($5, $6, $d); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $1=0; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 4; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $10=$4; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=__ZN2JS5Value9setNumberEd($10, $11); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 4; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $14=$1; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $14; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16GetPrimitiveThisIdEEbP9JSContextPN2JS5ValueEPT_($cx, $vp, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisv;
      $2=$cx;
      $3=$vp;
      $4=$v;
      var $5=$3; //@line 110 "./jsinterpinlines.h"
      var $6=(($5+8)|0); //@line 110 "./jsinterpinlines.h"
      $thisv=$6; //@line 110 "./jsinterpinlines.h"
      var $7=$thisv; //@line 111 "./jsinterpinlines.h"
      var $8=__ZN2js6detail17PrimitiveBehaviorIdE6isTypeERKN2JS5ValueE($7); //@line 111 "./jsinterpinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 111 "./jsinterpinlines.h"
    case 2: 
      var $10=$thisv; //@line 112 "./jsinterpinlines.h"
      var $11=__ZN2js6detail17PrimitiveBehaviorIdE7extractERKN2JS5ValueE($10); //@line 112 "./jsinterpinlines.h"
      var $12=$4; //@line 112 "./jsinterpinlines.h"
      (tempDoubleF64[0]=$11,HEAP32[(($12)>>2)]=tempDoubleI32[0],HEAP32[(($12+4)>>2)]=tempDoubleI32[1]); //@line 112 "./jsinterpinlines.h"
      $1=1; //@line 113 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 113 "./jsinterpinlines.h"
    case 3: 
      var $14=$thisv; //@line 116 "./jsinterpinlines.h"
      var $15=__ZNK2JS5Value8isObjectEv($14); //@line 116 "./jsinterpinlines.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 116 "./jsinterpinlines.h"
    case 4: 
      var $17=$thisv; //@line 116 "./jsinterpinlines.h"
      var $18=__ZNK2JS5Value8toObjectEv($17); //@line 116 "./jsinterpinlines.h"
      var $19=__ZNK8JSObject8getClassEv($18); //@line 116 "./jsinterpinlines.h"
      var $20=__ZN2js6detail17PrimitiveBehaviorIdE8getClassEv(); //@line 116 "./jsinterpinlines.h"
      var $21=(($19)|0)==(($20)|0); //@line 116 "./jsinterpinlines.h"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 116 "./jsinterpinlines.h"
    case 5: 
      var $23=$thisv; //@line 117 "./jsinterpinlines.h"
      var $24=__ZNK2JS5Value8toObjectEv($23); //@line 117 "./jsinterpinlines.h"
      var $25=__ZNK8JSObject16getPrimitiveThisEv($24); //@line 117 "./jsinterpinlines.h"
      var $26=__ZN2js6detail17PrimitiveBehaviorIdE7extractERKN2JS5ValueE($25); //@line 117 "./jsinterpinlines.h"
      var $27=$4; //@line 117 "./jsinterpinlines.h"
      (tempDoubleF64[0]=$26,HEAP32[(($27)>>2)]=tempDoubleI32[0],HEAP32[(($27+4)>>2)]=tempDoubleI32[1]); //@line 117 "./jsinterpinlines.h"
      $1=1; //@line 118 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 118 "./jsinterpinlines.h"
    case 6: 
      var $29=$2; //@line 121 "./jsinterpinlines.h"
      var $30=$3; //@line 121 "./jsinterpinlines.h"
      var $31=__ZN2js6detail17PrimitiveBehaviorIdE8getClassEv(); //@line 121 "./jsinterpinlines.h"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($29, $30, $31); //@line 121 "./jsinterpinlines.h"
      $1=0; //@line 122 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 122 "./jsinterpinlines.h"
    case 7: 
      var $33=$1; //@line 123 "./jsinterpinlines.h"
      ;
      return $33; //@line 123 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12num_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 112; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      var $cbuf=__stackBase__+8;
      var $numStr;
      var $5;
      var $buf=__stackBase__+48;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=$4; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=__ZN2js16GetPrimitiveThisIdEEbP9JSContextPN2JS5ValueEPT_($6, $7, $d); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $1=0; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 9; break; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufC1Ev]($cbuf); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=$2; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=__ZN2js15NumberToCStringEP9JSContextPNS_12ToCStringBufEdi($11, $cbuf, $12, 10); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numStr=$13; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=$numStr; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=(($14)|0)!=0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $17=$2; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      _JS_ReportOutOfMemory($17); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 8; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $19=(($buf)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=HEAP32[((((__ZN2js11NumberClassE)|0))>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=$numStr; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=_JS_snprintf($19, 64, ((STRING_TABLE.__str122090)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,HEAP32[((tempInt+4)>>2)]=$21,tempInt)); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=$2; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=(($buf)|0); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=__Z17js_NewStringCopyZP9JSContextPKc($23, $24); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=$25; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$26; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=$str; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=(($27)|0)!=0; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      $1=0; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 8; break; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $31=$4; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=$str; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setStringEP8JSString($31, $32); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 8; break; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufD1Ev]($cbuf); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 9; break;
    case 9: 
      var $35=$1; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12num_toSourceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12num_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      var $base;
      var $d2=__stackBase__+8;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=$4; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=__ZN2js16GetPrimitiveThisIdEEbP9JSContextPN2JS5ValueEPT_($5, $6, $d); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $1=0; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      $base=10; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=$3; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=(($10)|0)!=0; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $13=$4; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=(($13+16)|0); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=__ZNK2JS5Value11isUndefinedEv($14); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($15) { __label__ = 11; break; } else { __label__ = 5; break; } //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $17=$2; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=$4; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=(($18+16)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd2159($17, $19, $d2); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      $1=0; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $23=(tempDoubleI32[0]=HEAP32[(($d2)>>2)],tempDoubleI32[1]=HEAP32[(($d2+4)>>2)],tempDoubleF64[0]); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=$23 < 2; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($24) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $26=(tempDoubleI32[0]=HEAP32[(($d2)>>2)],tempDoubleI32[1]=HEAP32[(($d2+4)>>2)],tempDoubleF64[0]); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=$26 > 36; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $29=$2; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 33, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $31=(tempDoubleI32[0]=HEAP32[(($d2)>>2)],tempDoubleI32[1]=HEAP32[(($d2+4)>>2)],tempDoubleF64[0]); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=(($31)&-1); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $base=$32; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $34=$2; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=$base; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=__ZL25js_NumberToStringWithBaseP9JSContextdi($34, $35, $36); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$37; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=$str; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($38)|0)!=0; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $41=$2; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      _JS_ReportOutOfMemory($41); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $43=$4; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=$str; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setStringEP8JSString($43, $44); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $46=$1; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12num_toStringP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL18num_toLocaleStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thousandsLength;
      var $decimalLength;
      var $numGrouping;
      var $tmpGroup;
      var $rt;
      var $str;
      var $num;
      var $end;
      var $tmpSrc;
      var $buf;
      var $tmpDest;
      var $nint;
      var $digits;
      var $buflen;
      var $remainder;
      var $nrepeat;
      var $numBytes=__stackBase__;
      var $5;
      var $ok;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=$4; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=__ZL12num_toStringP9JSContextjPN2JS5ValueE($6, 0, $7); //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=(($8)|0)!=0; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $1=0; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 53; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $12=$2; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$4; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=__ZNK2JS5Value8toStringEv($13); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($numBytes, $12, $14); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=__ZNK16JSAutoByteStringntEv($numBytes); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 52; break; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $18=__ZNK16JSAutoByteString3ptrEv($numBytes); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $num=$18; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=$num; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=(($19)|0)!=0; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      $1=0; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 52; break; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $23=$num; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $nint=$23; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=$nint; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=HEAP8[($24)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=(($25 << 24) >> 24); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=(($26)|0)==45; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $29=$nint; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=(($29+1)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $nint=$30; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 9; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      __label__ = 10; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $33=$nint; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=HEAP8[($33)]; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=(($34 << 24) >> 24); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=(($35)|0) >= 48; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($36) { __label__ = 11; break; } else { var $43 = 0;__label__ = 12; break; } //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $38=$nint; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=HEAP8[($38)]; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=(($39 << 24) >> 24); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=(($40)|0) <= 57; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43 = $41;__label__ = 12; break;
    case 12: 
      var $43;
      if ($43) { __label__ = 13; break; } else { __label__ = 14; break; }
    case 13: 
      var $45=$nint; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=(($45+1)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $nint=$46; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 10; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $48=$nint; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=$num; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=$48; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=$49; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=(($50-$51)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $digits=$52; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=$num; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=$digits; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=(($53+$54)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $end=$55; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=$digits; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=(($56)|0)!=0; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($57) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      $1=1; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 52; break; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $60=$2; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=(($60+52)|0); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $rt=$62; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=$rt; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=(($63+144260)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=_strlen($65); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $thousandsLength=$66; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $67=$rt; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=(($67+144264)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $70=_strlen($69); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $decimalLength=$70; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $71=$num; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $72=_strlen($71); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $buflen=$72; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $73=$nint; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $74=HEAP8[($73)]; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $75=(($74 << 24) >> 24); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $76=(($75)|0)==46; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($76) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      var $78=$decimalLength; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $79=(($78-1)|0); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $80=$buflen; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $81=(($80+$79)|0); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $buflen=$81; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 18; break; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      var $83=$rt; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $84=(($83+144268)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpGroup=$85; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numGrouping=$85; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $86=$digits; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $remainder=$86; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $87=$num; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $88=HEAP8[($87)]; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $89=(($88 << 24) >> 24); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $90=(($89)|0)==45; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($90) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      var $92=$remainder; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $93=(($92-1)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $remainder=$93; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 20; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 20: 
      __label__ = 21; break; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 21: 
      var $96=$tmpGroup; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $97=HEAP8[($96)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $98=(($97 << 24) >> 24); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $99=(($98)|0)!=127; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($99) { __label__ = 22; break; } else { var $106 = 0;__label__ = 23; break; } //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 22: 
      var $101=$tmpGroup; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $102=HEAP8[($101)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $103=(($102 << 24) >> 24); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $104=(($103)|0)!=0; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $106 = $104;__label__ = 23; break;
    case 23: 
      var $106;
      if ($106) { __label__ = 24; break; } else { __label__ = 27; break; }
    case 24: 
      var $108=$tmpGroup; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $109=HEAP8[($108)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $110=(($109 << 24) >> 24); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $111=$remainder; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $112=(($110)|0) >= (($111)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($112) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 25: 
      __label__ = 27; break; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 26: 
      var $115=$thousandsLength; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $116=$buflen; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $117=(($116+$115)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $buflen=$117; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $118=$tmpGroup; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $119=HEAP8[($118)]; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $120=(($119 << 24) >> 24); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $121=$remainder; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $122=(($121-$120)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $remainder=$122; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $123=$tmpGroup; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $124=(($123+1)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpGroup=$124; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 27: 
      var $126=$tmpGroup; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $127=HEAP8[($126)]; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $128=(($127 << 24) >> 24); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $129=(($128)|0)==0; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($129) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 28: 
      var $131=$numGrouping; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $132=HEAP8[($131)]; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $133=(($132 << 24) >> 24); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $134=(($133)|0)!=0; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($134) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 29: 
      var $136=$remainder; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $137=(($136-1)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $138=$tmpGroup; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $139=(($138-1)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $140=HEAP8[($139)]; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $141=(($140 << 24) >> 24); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $142=(((($137)|0)/(($141)|0))&-1); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $nrepeat=$142; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $143=$thousandsLength; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $144=$nrepeat; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $145=(($143*$144)|0); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $146=$buflen; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $147=(($146+$145)|0); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $buflen=$147; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $148=$nrepeat; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $149=$tmpGroup; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $150=(($149-1)|0); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $151=HEAP8[($150)]; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $152=(($151 << 24) >> 24); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $153=(($148*$152)|0); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $154=$remainder; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $155=(($154-$153)|0); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $remainder=$155; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 31; break; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 30: 
      $nrepeat=0; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 31; break;
    case 31: 
      var $158=$tmpGroup; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $159=(($158-1)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpGroup=$159; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $160=$2; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $161=$buflen; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $162=(($161+1)|0); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $163=__ZN9JSContext7malloc_Ej($160, $162); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $buf=$163; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $164=$buf; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $165=(($164)|0)!=0; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($165) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 32: 
      $1=0; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 52; break; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 33: 
      var $168=$buf; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpDest=$168; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $169=$num; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpSrc=$169; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 34; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 34: 
      var $171=$tmpSrc; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $172=HEAP8[($171)]; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $173=(($172 << 24) >> 24); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $174=(($173)|0)==45; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($174) { var $180 = 1;__label__ = 36; break; } else { __label__ = 35; break; } //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 35: 
      var $176=$remainder; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $177=(($176-1)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $remainder=$177; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $178=(($176)|0)!=0; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $180 = $178;__label__ = 36; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 36: 
      var $180;
      if ($180) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 37: 
      var $182=$tmpSrc; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $183=(($182+1)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpSrc=$183; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $184=HEAP8[($182)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $185=$tmpDest; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $186=(($185+1)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpDest=$186; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($185)]=$184; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 34; break; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 38: 
      __label__ = 39; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 39: 
      var $189=$tmpSrc; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $190=$end; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $191=(($189)>>>0) < (($190)>>>0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($191) { __label__ = 40; break; } else { __label__ = 43; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 40: 
      var $193=$tmpDest; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $194=$rt; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $195=(($194+144260)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $196=HEAP32[(($195)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $197=_strcpy($193, $196); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $198=$thousandsLength; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $199=$tmpDest; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $200=(($199+$198)|0); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpDest=$200; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $201=$tmpDest; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $202=$tmpSrc; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $203=$tmpGroup; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $204=HEAP8[($203)]; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $205=(($204 << 24) >> 24); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert($205 % 1 === 0, 'memcpy given ' + $205 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($201, $202, $205, 1); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $206=$tmpGroup; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $207=HEAP8[($206)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $208=(($207 << 24) >> 24); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $209=$tmpDest; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $210=(($209+$208)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpDest=$210; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $211=$tmpGroup; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $212=HEAP8[($211)]; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $213=(($212 << 24) >> 24); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $214=$tmpSrc; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $215=(($214+$213)|0); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpSrc=$215; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $216=$nrepeat; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $217=(($216-1)|0); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $nrepeat=$217; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $218=(($217)|0) < 0; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($218) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 41: 
      var $220=$tmpGroup; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $221=(($220-1)|0); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpGroup=$221; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 42; break; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 42: 
      __label__ = 39; break; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 43: 
      var $224=$nint; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $225=HEAP8[($224)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $226=(($225 << 24) >> 24); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $227=(($226)|0)==46; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($227) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 44: 
      var $229=$tmpDest; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $230=$rt; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $231=(($230+144264)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $233=_strcpy($229, $232); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $234=$decimalLength; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $235=$tmpDest; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $236=(($235+$234)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $tmpDest=$236; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $237=$tmpDest; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $238=$nint; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $239=(($238+1)|0); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $240=_strcpy($237, $239); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 46; break; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 45: 
      var $242=$tmpDest; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $243=$nint; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $244=_strcpy($242, $243); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 46; break;
    case 46: 
      var $246=$2; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $247=(($246+36)|0); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $249=(($248)|0)!=0; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($249) { __label__ = 47; break; } else { __label__ = 49; break; } //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 47: 
      var $251=$2; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $252=(($251+36)|0); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $253=HEAP32[(($252)>>2)]; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $254=(($253+12)|0); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $255=HEAP32[(($254)>>2)]; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $256=(($255)|0)!=0; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($256) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 48: 
      var $258=$2; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $259=(($258+36)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $260=HEAP32[(($259)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $261=(($260+12)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $262=HEAP32[(($261)>>2)]; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $263=$2; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $264=$buf; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $265=$4; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $266=FUNCTION_TABLE[$262]($263, $264, $265); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $ok=$266; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $267=$2; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $268=$buf; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN9JSContext5free_EPv($267, $268); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $269=$ok; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$269; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 52; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 49: 
      var $271=$2; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $272=$buf; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $273=$buflen; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $274=__Z17js_NewStringCopyNP9JSContextPKcj($271, $272, $273); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $275=$274; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$275; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $276=$2; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $277=$buf; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN9JSContext5free_EPv($276, $277); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $278=$str; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $279=(($278)|0)!=0; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($279) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 50: 
      $1=0; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 52; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 51: 
      var $282=$4; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $283=$str; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setStringEP8JSString($282, $283); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 52; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 52: 
      __ZN16JSAutoByteStringD1Ev($numBytes); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 53; break;
    case 53: 
      var $286=$1; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $286; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18num_toLocaleStringP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11num_toFixedP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $5=$2; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $6=$3; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $7=__ZL6num_toP9JSContext12JSDToStrModeS1_iiijPN2JS5ValueE($4, 2, 2, -20, 100, 0, $5, $6); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  ;
  return $7; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
}


function __ZL17num_toExponentialP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $5=$2; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $6=$3; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $7=__ZL6num_toP9JSContext12JSDToStrModeS1_iiijPN2JS5ValueE($4, 1, 3, 0, 100, 1, $5, $6); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  ;
  return $7; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
}


function __ZL15num_toPrecisionP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0)==0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=$4; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=(($8+16)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=__ZNK2JS5Value11isUndefinedEv($9); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $12=$2; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$4; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=__ZL12num_toStringP9JSContextjPN2JS5ValueE($12, 0, $13); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$14; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 5; break; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $16=$2; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=$3; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=$4; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=__ZL6num_toP9JSContext12JSDToStrModeS1_iiijPN2JS5ValueE($16, 0, 4, 1, 100, 0, $17, $18); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$19; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 5; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $21=$1; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $21; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js22InitRuntimeNumberStateEP9JSRuntime($rt) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $u=__stackBase__;
      var $thousandsSeparator;
      var $decimalPoint;
      var $grouping;
      var $locale;
      var $thousandsSeparatorSize;
      var $decimalPointSize;
      var $groupingSize;
      var $storage;
      $2=$rt;
      var $3=$u; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $4=(($3+4)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($4)>>2)]=2146959360; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $5=$u; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($6)>>2)]=0; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=$u; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=(tempDoubleI32[0]=HEAP32[(($7)>>2)],tempDoubleI32[1]=HEAP32[(($7+4)>>2)],tempDoubleF64[0]); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$8,HEAP32[((_js_NaN)>>2)]=tempDoubleI32[0],HEAP32[((_js_NaN+4)>>2)]=tempDoubleI32[1]); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$8,HEAP32[((((__ZL16number_constants)|0))>>2)]=tempDoubleI32[0],HEAP32[((((__ZL16number_constants)|0)+4)>>2)]=tempDoubleI32[1]); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=$2; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=(($9+144112)|0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=$u; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=(tempDoubleI32[0]=HEAP32[(($11)>>2)],tempDoubleI32[1]=HEAP32[(($11+4)>>2)],tempDoubleF64[0]); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setDoubleEd($10, $12); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$u; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=(($13+4)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($14)>>2)]=2146435072; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$u; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=(($15)|0); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($16)>>2)]=0; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=$u; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=(tempDoubleI32[0]=HEAP32[(($17)>>2)],tempDoubleI32[1]=HEAP32[(($17+4)>>2)],tempDoubleF64[0]); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$18,HEAP32[((_js_PositiveInfinity)>>2)]=tempDoubleI32[0],HEAP32[((_js_PositiveInfinity+4)>>2)]=tempDoubleI32[1]); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$18,HEAP32[((((__ZL16number_constants+16)|0))>>2)]=tempDoubleI32[0],HEAP32[((((__ZL16number_constants+16)|0)+4)>>2)]=tempDoubleI32[1]); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=$2; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=(($19+144128)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=$u; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=(tempDoubleI32[0]=HEAP32[(($21)>>2)],tempDoubleI32[1]=HEAP32[(($21+4)>>2)],tempDoubleF64[0]); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setDoubleEd($20, $22); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=$u; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=(($23+4)|0); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($24)>>2)]=-1048576; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=$u; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=(($25)|0); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($26)>>2)]=0; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=$u; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=(tempDoubleI32[0]=HEAP32[(($27)>>2)],tempDoubleI32[1]=HEAP32[(($27+4)>>2)],tempDoubleF64[0]); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$28,HEAP32[((_js_NegativeInfinity)>>2)]=tempDoubleI32[0],HEAP32[((_js_NegativeInfinity+4)>>2)]=tempDoubleI32[1]); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$28,HEAP32[((((__ZL16number_constants+32)|0))>>2)]=tempDoubleI32[0],HEAP32[((((__ZL16number_constants+32)|0)+4)>>2)]=tempDoubleI32[1]); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=$2; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=(($29+144120)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=$u; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=(tempDoubleI32[0]=HEAP32[(($31)>>2)],tempDoubleI32[1]=HEAP32[(($31+4)>>2)],tempDoubleF64[0]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setDoubleEd($30, $32); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=$u; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33+4)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($34)>>2)]=0; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=$u; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=(($35)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($36)>>2)]=1; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=$u; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=(tempDoubleI32[0]=HEAP32[(($37)>>2)],tempDoubleI32[1]=HEAP32[(($37+4)>>2)],tempDoubleF64[0]); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$38,HEAP32[((((__ZL16number_constants+64)|0))>>2)]=tempDoubleI32[0],HEAP32[((((__ZL16number_constants+64)|0)+4)>>2)]=tempDoubleI32[1]); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=_localeconv(); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $locale=$39; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$locale; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=(($40+4)|0); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $thousandsSeparator=$42; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=$locale; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=(($43)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $decimalPoint=$45; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=$locale; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=(($46+8)|0); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $grouping=$48; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=$thousandsSeparator; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=(($49)|0)!=0; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($50) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $thousandsSeparator=((STRING_TABLE.__str32081)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 3; break; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $53=$decimalPoint; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=(($53)|0)!=0; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($54) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $decimalPoint=((STRING_TABLE.__str42082)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 5; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $57=$grouping; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=(($57)|0)!=0; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($58) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      $grouping=((STRING_TABLE.__str52083)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 7; break; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $61=$thousandsSeparator; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=_strlen($61); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=(($62+1)|0); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $thousandsSeparatorSize=$63; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=$decimalPoint; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=_strlen($64); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=(($65+1)|0); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $decimalPointSize=$66; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $67=$grouping; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=_strlen($67); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $69=(($68+1)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $groupingSize=$69; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $70=$thousandsSeparatorSize; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $71=$decimalPointSize; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $72=(($70+$71)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $73=$groupingSize; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $74=(($72+$73)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $75=__ZN2js11OffTheBooks7malloc_Ej($74); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $storage=$75; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $76=$storage; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $77=(($76)|0)!=0; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($77) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      $1=0; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 10; break; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $80=$storage; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $81=$thousandsSeparator; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $82=$thousandsSeparatorSize; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert($82 % 1 === 0, 'memcpy given ' + $82 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($80, $81, $82, 1); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $83=$storage; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $84=$2; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $85=(($84+144260)|0); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($85)>>2)]=$83; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $86=$thousandsSeparatorSize; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $87=$storage; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $88=(($87+$86)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $storage=$88; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $89=$storage; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $90=$decimalPoint; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $91=$decimalPointSize; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert($91 % 1 === 0, 'memcpy given ' + $91 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($89, $90, $91, 1); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $92=$storage; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $93=$2; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $94=(($93+144264)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($94)>>2)]=$92; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $95=$decimalPointSize; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $96=$storage; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $97=(($96+$95)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $storage=$97; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $98=$storage; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $99=$grouping; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $100=$groupingSize; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert($100 % 1 === 0, 'memcpy given ' + $100 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($98, $99, $100, 1); //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $101=$grouping; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $102=$2; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $103=(($102+144268)|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($103)>>2)]=$101; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 10; break; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $105=$1; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $105; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js22InitRuntimeNumberStateEP9JSRuntime["X"]=1;

function __ZN2js24FinishRuntimeNumberStateEP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  var $storage;
  $1=$rt;
  var $2=$1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $3=(($2+144260)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  $storage=$4; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $5=$storage; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  __ZN2js10Foreground5free_EPv($5); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  ;
  return; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
}


function __ZN2js13StaticStrings7hasUintEj($u) {
  ;
  var __label__;

  var $1;
  $1=$u;
  var $2=$1; //@line 218 "./vm/String-inl.h"
  var $3=(($2)>>>0) < 256; //@line 218 "./vm/String-inl.h"
  ;
  return $3; //@line 218 "./vm/String-inl.h"
}


function __ZN8JSObject8asNumberEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 50 "./vm/NumberObject-inl.h"
  ;
  return $3; //@line 50 "./vm/NumberObject-inl.h"
}


function __Z18js_InitNumberClassP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $numberProto;
      var $ctor;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $global=$5; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=$global; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=$2; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, __ZN2js11NumberClassE); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numberProto=$8; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=$numberProto; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=(($9)|0)!=0; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $1=0; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $13=$numberProto; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=__ZN8JSObject8asNumberEv($13); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2js12NumberObject17setPrimitiveValueEd($14, 0); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$global; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=$2; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=$2; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=(($17+52)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=(($19+209948)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=(($20+72)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=(($21+32)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=$23; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($15, $16, 176, __ZN2js11NumberClassE, $24, 1); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $ctor=$25; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=$ctor; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=(($26)|0)!=0; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $30=$2; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=$ctor; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=$31; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=$numberProto; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      $1=0; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $37=$2; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=$ctor; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=$38; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=_JS_DefineConstDoubles($37, $39, ((__ZL16number_constants)|0)); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=(($40)|0)!=0; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      $1=0; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $44=$2; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=$numberProto; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($44, $45, 0, ((__ZL14number_methods)|0)); //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      $1=0; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $49=$2; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=$global; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=$50; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=_JS_DefineFunctions($49, $51, ((__ZL16number_functions)|0)); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=(($52)|0)!=0; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($53) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      $1=0; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $56=$2; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=$global; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=$57; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $59=$2; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $60=(($59+52)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=(($61+209948)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=(($62+432)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=$64; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=__ZL12ATOM_TO_JSIDP6JSAtom2097($65); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $67=$2; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=(($67+52)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $70=(($69+144112)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $71=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($56, $58, $66, $70, 8, 10, 6, 0, 0, 0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $72=(($71)|0)!=0; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($72) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $74=$2; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $75=$global; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $76=$75; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $77=$2; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $78=(($77+52)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $80=(($79+209948)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $81=(($80+428)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $83=$82; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $84=__ZL12ATOM_TO_JSIDP6JSAtom2097($83); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $85=$2; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $86=(($85+52)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $88=(($87+144128)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $89=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($74, $76, $84, $88, 8, 10, 6, 0, 0, 0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $90=(($89)|0)!=0; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($90) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      $1=0; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $93=$2; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $94=$global; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $95=$ctor; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $96=$95; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $97=$numberProto; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $98=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($93, $94, 8, $96, $97); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($98) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      $1=0; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      var $101=$numberProto; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$101; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      var $103=$1; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $103; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_InitNumberClassP9JSContextP8JSObject["X"]=1;

function __ZN2js12NumberObject17setPrimitiveValueEd($this, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$d;
  var $4=$1;
  var $5=$4; //@line 75 "./vm/NumberObject.h"
  var $6=$2; //@line 75 "./vm/NumberObject.h"
  __ZN2JSL11NumberValueEd2157($3, $6); //@line 75 "./vm/NumberObject.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 0, $3); //@line 75 "./vm/NumberObject.h"
  STACKTOP = __stackBase__;
  return; //@line 76 "./vm/NumberObject.h"
}


function __ZL6NumberP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $isConstructing;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=__ZN2jsL14IsConstructingEPKN2JS5ValueE2144($5); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=(($6)&1); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $isConstructing=$7; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=$3; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=(($8)>>>0) > 0; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $11=$2; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$4; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=(($12+16)|0); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=__ZN2js8ToNumberEP9JSContextPN2JS5ValueE($11, $13); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      $1=0; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $17=$4; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=(($17)|0); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=$4; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=(($19+16)|0); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=$18; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=$20; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $24=$4; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=(($24)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value8setInt32Ei($25, 0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break;
    case 6: 
      var $27=$isConstructing; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=(($27) & 1); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      $1=1; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $31=$2; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2145($31, __ZN2js11NumberClassE); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $obj=$32; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=$obj; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33)|0)!=0; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      $1=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $37=$obj; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=$4; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($38)|0); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN8JSObject16setPrimitiveThisERKN2JS5ValueE($37, $39); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$4; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=$obj; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setObjectER8JSObject($40, $41); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $43=$1; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $43; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6NumberP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom2097($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj2143($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js15NumberToCStringEP9JSContextPNS_12ToCStringBufEdi($cx, $cbuf, $d, $base) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i=__stackBase__;
      $1=$cx;
      $2=$cbuf;
      $3=$d;
      $4=$base;
      var $5=$3; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=_JSDOUBLE_IS_INT322100($5, $i); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=(($6)|0)!=0; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=HEAP32[(($i)>>2)]; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=$4; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=__ZL12IntToCStringPN2js12ToCStringBufEii($9, $10, $11); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20 = $12;__label__ = 4; break; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $14=$1; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$2; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=$3; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=$4; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=__ZN2jsL19FracNumberToCStringEP9JSContextPNS_12ToCStringBufEdi($14, $15, $16, $17); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20 = $18;__label__ = 4; break; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $20; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $20; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSDOUBLE_IS_INT322100($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO2132($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12IntToCStringPN2js12ToCStringBufEii($cbuf, $i, $base) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $u;
      var $cp=__stackBase__;
      var $4=__stackBase__+4;
      var $5=__stackBase__+8;
      var $newu;
      var $newu1;
      $1=$cbuf;
      $2=$i;
      $3=$base;
      var $6=$2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=(($6)|0) < 0; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=$2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=(((-$9))|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14 = $10;__label__ = 4; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $12=$2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14 = $12;__label__ = 4; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $14; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $u=$14; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$1; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=(($15)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=$1; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=(($17+34)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=(($19-1)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=$1; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=(($21)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=(($22)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=$1; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN7mozilla9RangedPtrIcEC1EPcS2_j($cp, $20, $23, 34); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=__ZNK7mozilla9RangedPtrIcEdeEv($cp); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($25)]=0; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=$3; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ((($26)|0) == 10) {
        __label__ = 5; break;
      }
      else if ((($26)|0) == 16) {
        __label__ = 6; break;
      }
      else {
      __label__ = 10; break;
      }
      
    case 5: 
      var $28=$u; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=$5; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=$cp; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2js25BackfillIndexInCharBufferIcEEN7mozilla9RangedPtrIT_EEjS4_($4, $28, $5); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=__ZN7mozilla9RangedPtrIcEaSERKS1_($cp, $4); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      __label__ = 7; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $34=$u; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=Math.floor((($34)>>>0)/16); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $newu=$35; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=$u; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=$newu; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=((($37<<4))|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($36-$38)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=((STRING_TABLE.__str62084+$39)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=HEAP8[($40)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=__ZN7mozilla9RangedPtrIcEmmEv($cp); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=__ZNK7mozilla9RangedPtrIcEdeEv($42); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($43)]=$41; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=$newu; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $u=$44; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 8; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $46=$u; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=(($46)|0)!=0; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($47) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      __label__ = 14; break; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      __label__ = 11; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $51=$u; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=$3; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=Math.floor((($51)>>>0)/(($52)>>>0)); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $newu1=$53; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=$u; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=$newu1; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=$3; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=(($55*$56)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=(($54-$57)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $59=((STRING_TABLE.__str72085+$58)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $60=HEAP8[($59)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=__ZN7mozilla9RangedPtrIcEmmEv($cp); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=__ZNK7mozilla9RangedPtrIcEdeEv($61); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($62)]=$60; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=$newu1; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $u=$63; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $65=$u; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=(($65)|0)!=0; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($66) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      __label__ = 14; break; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $69=$2; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $70=(($69)|0) < 0; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $72=__ZN7mozilla9RangedPtrIcEmmEv($cp); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $73=__ZNK7mozilla9RangedPtrIcEdeEv($72); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($73)]=45; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $75=__ZNK7mozilla9RangedPtrIcE3getEv($cp); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $75; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12IntToCStringPN2js12ToCStringBufEii["X"]=1;

function __ZN2jsL19FracNumberToCStringEP9JSContextPNS_12ToCStringBufEdi($cx, $cbuf, $d, $base) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $numStr;
      $1=$cx;
      $2=$cbuf;
      $3=$d;
      $4=$base;
      var $5=$4; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0)==10; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=$3; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=$2; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=(($9)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=(($10)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$2; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=__ZN2v88internal15DoubleToCStringEdPci($8, $11, 34); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numStr=$13; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=$numStr; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=(($14)|0)!=0; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $17=$1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=(($17+52)|0); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=(($19+144280)|0); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=(($20+65596)|0); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=$2; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=(($23)|0); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=(($24)|0); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=$2; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=$3; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=_js_dtostr($22, $25, 34, 0, 0, $27); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numStr=$28; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      __label__ = 6; break; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $31=$1; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=(($31+52)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33+144280)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=(($34+65596)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=$4; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=$3; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=_js_dtobasestr($36, $37, $38); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$2; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=(($40+36)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numStr=$39; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break;
    case 6: 
      var $43=$numStr; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $43; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL19FracNumberToCStringEP9JSContextPNS_12ToCStringBufEdi["X"]=1;

function __Z17js_NumberToStringP9JSContextd($cx, $d) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$d;
  var $3=$1; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $4=$2; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $5=__ZL25js_NumberToStringWithBaseP9JSContextdi($3, $4, 10); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  ;
  return $5; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
}


function __ZL25js_NumberToStringWithBaseP9JSContextdi($cx, $d, $base) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cbuf=__stackBase__;
      var $numStr;
      var $5;
      var $c;
      var $i=__stackBase__+40;
      var $c1;
      var $str;
      var $str2;
      var $s;
      $2=$cx;
      $3=$d;
      $4=$base;
      FUNCTION_TABLE[__ZN2js12ToCStringBufC1Ev]($cbuf); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=$4; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=(($6)|0) < 2; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=$4; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=(($9)|0) > 36; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      $1=0; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 21; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $13=$2; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=(($13+56)|0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $c=$15; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=$3; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=_JSDOUBLE_IS_INT322100($16, $i); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=(($17)|0)!=0; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $20=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=(($20)|0)==10; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $23=HEAP32[(($i)>>2)]; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=__ZN2js13StaticStrings6hasIntEi($23); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $26=$2; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=(($26+52)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=(($28+210584)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=HEAP32[(($i)>>2)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=__ZN2js13StaticStrings6getIntEi($29, $30); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=$31; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$32; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 21; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $34=HEAPU32[(($i)>>2)]; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=(($34)>>>0) < (($35)>>>0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $38=HEAP32[(($i)>>2)]; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($38)|0) < 10; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $41=$2; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=(($41+52)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=(($43+210584)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=HEAP32[(($i)>>2)]; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=__ZN2js13StaticStrings6getIntEi($44, $45); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=$46; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$47; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 21; break; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $49=HEAP32[(($i)>>2)]; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=(($49+97)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=(($50-10)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=(($51) & 65535); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $c1=$52; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=$2; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=(($53+52)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=(($55+210584)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=$c1; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=__ZN2js13StaticStrings7getUnitEt($56, $57); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $59=$58; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$59; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 21; break; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $61=$c; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=(($61+1888)|0); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=$4; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=$3; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=__ZN2js9DtoaCache6lookupEid($62, $63, $64); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=$65; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$66; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $67=$str; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=(($67)|0)!=0; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($68) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $70=$str; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $71=$70; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$71; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 21; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $73=HEAP32[(($i)>>2)]; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $74=$4; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $75=__ZL12IntToCStringPN2js12ToCStringBufEii($cbuf, $73, $74); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numStr=$75; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 20; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $77=$c; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $78=(($77+1888)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $79=$4; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $80=$3; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $81=__ZN2js9DtoaCache6lookupEid($78, $79, $80); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $82=$81; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str2=$82; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $83=$str2; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $84=(($83)|0)!=0; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($84) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $86=$str2; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $87=$86; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$87; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 21; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      var $89=$2; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $90=$3; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $91=$4; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $92=__ZN2jsL19FracNumberToCStringEP9JSContextPNS_12ToCStringBufEdi($89, $cbuf, $90, $91); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numStr=$92; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $93=$numStr; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $94=(($93)|0)!=0; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($94) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      var $96=$2; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      _JS_ReportOutOfMemory($96); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 21; break; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $99=$2; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $100=$numStr; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $101=__Z17js_NewStringCopyZP9JSContextPKc($99, $100); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $s=$101; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $102=$c; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $103=(($102+1888)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $104=$4; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $105=$3; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $106=$s; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2js9DtoaCache5cacheEidP13JSFixedString($103, $104, $105, $106); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $107=$s; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $108=$107; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$108; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 21; break; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 21: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufD1Ev]($cbuf); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $110=$1; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $110; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25js_NumberToStringWithBaseP9JSContextdi["X"]=1;

function __ZN2js14NumberToStringEP9JSContextd($cx, $d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $str;
      $2=$cx;
      $3=$d;
      var $4=$2; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $5=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=__ZL25js_NumberToStringWithBaseP9JSContextdi($4, $5, 10); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$6; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=$str; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=(($7)|0)!=0; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $10=$str; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=__ZN8JSString7asFixedEv($10); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$11; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 4; break; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      $1=0; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 4; break; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $14=$1; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $14; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13IndexToStringEP9JSContextj($cx, $index) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $c;
      var $str;
      var $str1;
      var $storage;
      var $length;
      var $end=__stackBase__;
      var $start=__stackBase__+4;
      var $4=__stackBase__+8;
      $2=$cx;
      $3=$index;
      var $5=$3; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=__ZN2js13StaticStrings7hasUintEj($5); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=$2; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=(($8+52)|0); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=(($10+210584)|0); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$3; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=__ZN2js13StaticStrings7getUintEj($11, $12); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=$13; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$14; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 8; break; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $16=$2; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16+56)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $c=$18; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=$c; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=(($19+1888)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=$3; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=(($21)>>>0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=__ZN2js9DtoaCache6lookupEid($20, 10, $22); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$23; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=$str; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=(($24)|0)!=0; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $27=$str; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$27; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 8; break; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $29=$2; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=__Z19js_NewGCShortStringP9JSContext($29); //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str1=$30; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=$str1; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=(($31)|0)!=0; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      $1=0; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 8; break; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $35=$str1; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=__ZN13JSShortString23inlineStorageBeforeInitEv($35); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $storage=$36; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $length=11; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=$storage; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=$length; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($37+($38<<1))|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$storage; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=$length; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=(($41+1)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN7mozilla9RangedPtrItEC1EPtS2_j($end, $39, $40, $42); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=__ZNK7mozilla9RangedPtrItEdeEv($end); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP16[(($43)>>1)]=0; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=$3; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=$4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=$end; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2js25BackfillIndexInCharBufferItEEN7mozilla9RangedPtrIT_EEjS4_($start, $44, $4); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=$str1; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=__ZNK7mozilla9RangedPtrItE3getEv($start); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=__ZNK7mozilla9RangedPtrItEmiERKS1_($end, $start); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN13JSShortString20initAtOffsetInBufferEPKtj($47, $48, $49); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=$c; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=(($50+1888)|0); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=$3; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=(($52)>>>0); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=$str1; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=$54; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2js9DtoaCache5cacheEidP13JSFixedString($51, 10, $53, $55); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=$str1; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=$56; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$57; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 8; break; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $59=$1; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13IndexToStringEP9JSContextj["X"]=1;

function __ZN2js25NumberValueToStringBufferEP9JSContextRKN2JS5ValueERNS_12StringBufferE($cx, $v, $sb) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cbuf=__stackBase__;
      var $cstr;
      var $5;
      var $cstrlen;
      $2=$cx;
      $3=$v;
      $4=$sb;
      FUNCTION_TABLE[__ZN2js12ToCStringBufC1Ev]($cbuf); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=$3; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=__ZNK2JS5Value7isInt32Ev($6); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=__ZNK2JS5Value7toInt32Ev($9); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=__ZL12IntToCStringPN2js12ToCStringBufEii($cbuf, $10, 10); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $cstr=$11; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $13=$2; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=$3; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=__ZN2js15NumberToCStringEP9JSContextPNS_12ToCStringBufEdi($13, $cbuf, $15, 10); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $cstr=$16; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=$cstr; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=(($17)|0)!=0; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $20=$2; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      _JS_ReportOutOfMemory($20); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 7; break; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $23=$cstr; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=_strlen($23); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $cstrlen=$24; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=$4; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=$cstr; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=$cstrlen; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=__ZN2js12StringBuffer14appendInflatedEPKcj($25, $26, $27); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$28; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $5=1;
      __label__ = 7; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufD1Ev]($cbuf); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=$1; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}

// WARNING: content after a branch in a label, line: 341965

function __ZL18JSDOUBLE_IS_FINITEd2111($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZL15JSDOUBLE_IS_NaNd2114($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZN2js12StringBuffer14appendInflatedEPKcj($this, $cstr, $cstrlen) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $lengthBefore;
      $2=$this;
      $3=$cstr;
      HEAP32[(($4)>>2)]=$cstrlen;
      var $5=$2;
      var $6=__ZNK2js12StringBuffer6lengthEv($5); //@line 222 "./jsstrinlines.h"
      $lengthBefore=$6; //@line 222 "./jsstrinlines.h"
      var $7=(($5)|0); //@line 223 "./jsstrinlines.h"
      var $8=HEAP32[(($4)>>2)]; //@line 223 "./jsstrinlines.h"
      var $9=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE19growByUninitializedEj($7, $8); //@line 223 "./jsstrinlines.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 223 "./jsstrinlines.h"
    case 2: 
      $1=0; //@line 224 "./jsstrinlines.h"
      __label__ = 4; break; //@line 224 "./jsstrinlines.h"
    case 3: 
      var $12=__ZNK2js12StringBuffer7contextEv($5); //@line 229 "./jsstrinlines.h"
      var $13=$3; //@line 229 "./jsstrinlines.h"
      var $14=HEAP32[(($4)>>2)]; //@line 229 "./jsstrinlines.h"
      var $15=__ZN2js12StringBuffer5beginEv($5); //@line 229 "./jsstrinlines.h"
      var $16=$lengthBefore; //@line 229 "./jsstrinlines.h"
      var $17=(($15+($16<<1))|0); //@line 229 "./jsstrinlines.h"
      var $18=__ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj($12, $13, $14, $17, $4); //@line 229 "./jsstrinlines.h"
      $1=1; //@line 231 "./jsstrinlines.h"
      __label__ = 4; break; //@line 231 "./jsstrinlines.h"
    case 4: 
      var $20=$1; //@line 232 "./jsstrinlines.h"
      STACKTOP = __stackBase__;
      return $20; //@line 232 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($cx, $0, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      $3=$cx;
      var $5=$v;
      var $6=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
      $4=$out;
      __label__ = 5; break; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=__ZNK2JS5Value8isNumberEv($v); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $11=__ZNK2JS5Value8toNumberEv($v); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$4; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$11,HEAP32[(($12)>>2)]=tempDoubleI32[0],HEAP32[(($12+4)>>2)]=tempDoubleI32[1]); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=1; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      __label__ = 5; break; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $15=__ZNK2JS5Value8isStringEv($v); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($15) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $17=$3; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=__ZNK2JS5Value8toStringEv($v); //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=$4; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=__ZN2jsL18StringToNumberTypeIdEEbP9JSContextP8JSStringPT_($17, $18, $19); //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=$20; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $22=__ZNK2JS5Value9isBooleanEv($v); //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $24=__ZNK2JS5Value9toBooleanEv($v); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($24) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $26=$4; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=1,HEAP32[(($26)>>2)]=tempDoubleI32[0],HEAP32[(($26+4)>>2)]=tempDoubleI32[1]); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=1; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $28=$4; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=0,HEAP32[(($28)>>2)]=tempDoubleI32[0],HEAP32[(($28+4)>>2)]=tempDoubleI32[1]); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $30=__ZNK2JS5Value6isNullEv($v); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($30) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $32=$4; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=0,HEAP32[(($32)>>2)]=tempDoubleI32[0],HEAP32[(($32+4)>>2)]=tempDoubleI32[1]); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $34=__ZNK2JS5Value11isUndefinedEv($v); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($34) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      __label__ = 20; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $37=$3; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE2103($37, 4, $v); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($38) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      $2=0; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      var $41=__ZNK2JS5Value8isObjectEv($v); //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($41) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      __label__ = 20; break; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      __label__ = 2; break; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 20: 
      var $45=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=$4; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$45,HEAP32[(($46)>>2)]=tempDoubleI32[0],HEAP32[(($46+4)>>2)]=tempDoubleI32[1]); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=1; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 21: 
      var $48=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd["X"]=1;

function __ZN2jsL18StringToNumberTypeIdEEbP9JSContextP8JSStringPT_($cx, $str, $result) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $length;
      var $chars;
      var $c;
      var $end;
      var $bp;
      var $endptr=__stackBase__;
      var $d=__stackBase__+4;
      var $ep=__stackBase__+12;
      var $d1=__stackBase__+16;
      $2=$cx;
      $3=$str;
      $4=$result;
      var $5=$3; //@line 66 "./jsnuminlines.h"
      var $6=__ZNK8JSString6lengthEv($5); //@line 66 "./jsnuminlines.h"
      $length=$6; //@line 66 "./jsnuminlines.h"
      var $7=$3; //@line 67 "./jsnuminlines.h"
      var $8=__ZN8JSString8getCharsEP9JSContext($7, 0); //@line 67 "./jsnuminlines.h"
      $chars=$8; //@line 67 "./jsnuminlines.h"
      var $9=$chars; //@line 68 "./jsnuminlines.h"
      var $10=(($9)|0)!=0; //@line 68 "./jsnuminlines.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 68 "./jsnuminlines.h"
    case 2: 
      $1=0; //@line 69 "./jsnuminlines.h"
      __label__ = 22; break; //@line 69 "./jsnuminlines.h"
    case 3: 
      var $13=$length; //@line 71 "./jsnuminlines.h"
      var $14=(($13)|0)==1; //@line 71 "./jsnuminlines.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 71 "./jsnuminlines.h"
    case 4: 
      var $16=$chars; //@line 72 "./jsnuminlines.h"
      var $17=(($16)|0); //@line 72 "./jsnuminlines.h"
      var $18=HEAP16[(($17)>>1)]; //@line 72 "./jsnuminlines.h"
      $c=$18; //@line 72 "./jsnuminlines.h"
      var $19=$c; //@line 73 "./jsnuminlines.h"
      var $20=(($19)&65535); //@line 73 "./jsnuminlines.h"
      var $21=48 <= (($20)|0); //@line 73 "./jsnuminlines.h"
      if ($21) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 73 "./jsnuminlines.h"
    case 5: 
      var $23=$c; //@line 73 "./jsnuminlines.h"
      var $24=(($23)&65535); //@line 73 "./jsnuminlines.h"
      var $25=(($24)|0) <= 57; //@line 73 "./jsnuminlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 73 "./jsnuminlines.h"
    case 6: 
      var $27=$c; //@line 74 "./jsnuminlines.h"
      var $28=(($27)&65535); //@line 74 "./jsnuminlines.h"
      var $29=(($28-48)|0); //@line 74 "./jsnuminlines.h"
      var $30=(($29)|0); //@line 74 "./jsnuminlines.h"
      var $31=__ZN2js12NumberTraitsIdE10toSelfTypeEd($30); //@line 74 "./jsnuminlines.h"
      var $32=$4; //@line 74 "./jsnuminlines.h"
      (tempDoubleF64[0]=$31,HEAP32[(($32)>>2)]=tempDoubleI32[0],HEAP32[(($32+4)>>2)]=tempDoubleI32[1]); //@line 74 "./jsnuminlines.h"
      $1=1; //@line 75 "./jsnuminlines.h"
      __label__ = 22; break; //@line 75 "./jsnuminlines.h"
    case 7: 
      var $34=$c; //@line 77 "./jsnuminlines.h"
      var $35=__ZN2js7unicode7IsSpaceEt($34); //@line 77 "./jsnuminlines.h"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 77 "./jsnuminlines.h"
    case 8: 
      var $37=__ZN2js12NumberTraitsIdE10toSelfTypeEd(0); //@line 78 "./jsnuminlines.h"
      var $38=$4; //@line 78 "./jsnuminlines.h"
      (tempDoubleF64[0]=$37,HEAP32[(($38)>>2)]=tempDoubleI32[0],HEAP32[(($38+4)>>2)]=tempDoubleI32[1]); //@line 78 "./jsnuminlines.h"
      $1=1; //@line 79 "./jsnuminlines.h"
      __label__ = 22; break; //@line 79 "./jsnuminlines.h"
    case 9: 
      var $40=__ZN2js12NumberTraitsIdE3NaNEv(); //@line 81 "./jsnuminlines.h"
      var $41=$4; //@line 81 "./jsnuminlines.h"
      (tempDoubleF64[0]=$40,HEAP32[(($41)>>2)]=tempDoubleI32[0],HEAP32[(($41+4)>>2)]=tempDoubleI32[1]); //@line 81 "./jsnuminlines.h"
      $1=1; //@line 82 "./jsnuminlines.h"
      __label__ = 22; break; //@line 82 "./jsnuminlines.h"
    case 10: 
      var $43=$chars; //@line 85 "./jsnuminlines.h"
      var $44=$length; //@line 85 "./jsnuminlines.h"
      var $45=(($43+($44<<1))|0); //@line 85 "./jsnuminlines.h"
      $end=$45; //@line 85 "./jsnuminlines.h"
      var $46=$chars; //@line 86 "./jsnuminlines.h"
      var $47=$end; //@line 86 "./jsnuminlines.h"
      var $48=__ZN2jsL9SkipSpaceEPKtS1_($46, $47); //@line 86 "./jsnuminlines.h"
      $bp=$48; //@line 86 "./jsnuminlines.h"
      var $49=$end; //@line 89 "./jsnuminlines.h"
      var $50=$bp; //@line 89 "./jsnuminlines.h"
      var $51=$49; //@line 89 "./jsnuminlines.h"
      var $52=$50; //@line 89 "./jsnuminlines.h"
      var $53=(($51-$52)|0); //@line 89 "./jsnuminlines.h"
      var $54=(((($53)|0)/2)&-1); //@line 89 "./jsnuminlines.h"
      var $55=(($54)|0) >= 2; //@line 89 "./jsnuminlines.h"
      if ($55) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 89 "./jsnuminlines.h"
    case 11: 
      var $57=$bp; //@line 89 "./jsnuminlines.h"
      var $58=(($57)|0); //@line 89 "./jsnuminlines.h"
      var $59=HEAPU16[(($58)>>1)]; //@line 89 "./jsnuminlines.h"
      var $60=(($59)&65535); //@line 89 "./jsnuminlines.h"
      var $61=(($60)|0)==48; //@line 89 "./jsnuminlines.h"
      if ($61) { __label__ = 12; break; } else { __label__ = 18; break; } //@line 89 "./jsnuminlines.h"
    case 12: 
      var $63=$bp; //@line 89 "./jsnuminlines.h"
      var $64=(($63+2)|0); //@line 89 "./jsnuminlines.h"
      var $65=HEAPU16[(($64)>>1)]; //@line 89 "./jsnuminlines.h"
      var $66=(($65)&65535); //@line 89 "./jsnuminlines.h"
      var $67=(($66)|0)==120; //@line 89 "./jsnuminlines.h"
      if ($67) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 89 "./jsnuminlines.h"
    case 13: 
      var $69=$bp; //@line 89 "./jsnuminlines.h"
      var $70=(($69+2)|0); //@line 89 "./jsnuminlines.h"
      var $71=HEAPU16[(($70)>>1)]; //@line 89 "./jsnuminlines.h"
      var $72=(($71)&65535); //@line 89 "./jsnuminlines.h"
      var $73=(($72)|0)==88; //@line 89 "./jsnuminlines.h"
      if ($73) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 89 "./jsnuminlines.h"
    case 14: 
      var $75=$2; //@line 93 "./jsnuminlines.h"
      var $76=$bp; //@line 93 "./jsnuminlines.h"
      var $77=(($76+4)|0); //@line 93 "./jsnuminlines.h"
      var $78=$end; //@line 93 "./jsnuminlines.h"
      var $79=__ZN2js16GetPrefixIntegerEP9JSContextPKtS3_iPS3_Pd($75, $77, $78, 16, $endptr, $d); //@line 93 "./jsnuminlines.h"
      if ($79) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 93 "./jsnuminlines.h"
    case 15: 
      var $81=HEAP32[(($endptr)>>2)]; //@line 93 "./jsnuminlines.h"
      var $82=$end; //@line 93 "./jsnuminlines.h"
      var $83=__ZN2jsL9SkipSpaceEPKtS1_($81, $82); //@line 93 "./jsnuminlines.h"
      var $84=$end; //@line 93 "./jsnuminlines.h"
      var $85=(($83)|0)!=(($84)|0); //@line 93 "./jsnuminlines.h"
      if ($85) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 93 "./jsnuminlines.h"
    case 16: 
      var $87=__ZN2js12NumberTraitsIdE3NaNEv(); //@line 94 "./jsnuminlines.h"
      var $88=$4; //@line 94 "./jsnuminlines.h"
      (tempDoubleF64[0]=$87,HEAP32[(($88)>>2)]=tempDoubleI32[0],HEAP32[(($88+4)>>2)]=tempDoubleI32[1]); //@line 94 "./jsnuminlines.h"
      $1=1; //@line 95 "./jsnuminlines.h"
      __label__ = 22; break; //@line 95 "./jsnuminlines.h"
    case 17: 
      var $90=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 97 "./jsnuminlines.h"
      var $91=__ZN2js12NumberTraitsIdE10toSelfTypeEd($90); //@line 97 "./jsnuminlines.h"
      var $92=$4; //@line 97 "./jsnuminlines.h"
      (tempDoubleF64[0]=$91,HEAP32[(($92)>>2)]=tempDoubleI32[0],HEAP32[(($92+4)>>2)]=tempDoubleI32[1]); //@line 97 "./jsnuminlines.h"
      $1=1; //@line 98 "./jsnuminlines.h"
      __label__ = 22; break; //@line 98 "./jsnuminlines.h"
    case 18: 
      var $94=$2; //@line 110 "./jsnuminlines.h"
      var $95=$bp; //@line 110 "./jsnuminlines.h"
      var $96=$end; //@line 110 "./jsnuminlines.h"
      var $97=__Z9js_strtodP9JSContextPKtS2_PS2_Pd($94, $95, $96, $ep, $d1); //@line 110 "./jsnuminlines.h"
      var $98=(($97)|0)!=0; //@line 110 "./jsnuminlines.h"
      if ($98) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 110 "./jsnuminlines.h"
    case 19: 
      var $100=HEAP32[(($ep)>>2)]; //@line 110 "./jsnuminlines.h"
      var $101=$end; //@line 110 "./jsnuminlines.h"
      var $102=__ZN2jsL9SkipSpaceEPKtS1_($100, $101); //@line 110 "./jsnuminlines.h"
      var $103=$end; //@line 110 "./jsnuminlines.h"
      var $104=(($102)|0)!=(($103)|0); //@line 110 "./jsnuminlines.h"
      if ($104) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 110 "./jsnuminlines.h"
    case 20: 
      var $106=__ZN2js12NumberTraitsIdE3NaNEv(); //@line 111 "./jsnuminlines.h"
      var $107=$4; //@line 111 "./jsnuminlines.h"
      (tempDoubleF64[0]=$106,HEAP32[(($107)>>2)]=tempDoubleI32[0],HEAP32[(($107+4)>>2)]=tempDoubleI32[1]); //@line 111 "./jsnuminlines.h"
      $1=1; //@line 112 "./jsnuminlines.h"
      __label__ = 22; break; //@line 112 "./jsnuminlines.h"
    case 21: 
      var $109=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 114 "./jsnuminlines.h"
      var $110=__ZN2js12NumberTraitsIdE10toSelfTypeEd($109); //@line 114 "./jsnuminlines.h"
      var $111=$4; //@line 114 "./jsnuminlines.h"
      (tempDoubleF64[0]=$110,HEAP32[(($111)>>2)]=tempDoubleI32[0],HEAP32[(($111+4)>>2)]=tempDoubleI32[1]); //@line 114 "./jsnuminlines.h"
      $1=1; //@line 115 "./jsnuminlines.h"
      __label__ = 22; break; //@line 115 "./jsnuminlines.h"
    case 22: 
      var $113=$1; //@line 116 "./jsnuminlines.h"
      STACKTOP = __stackBase__;
      return $113; //@line 116 "./jsnuminlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18StringToNumberTypeIdEEbP9JSContextP8JSStringPT_["X"]=1;

function __ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE2103($cx, $preferredType, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$preferredType;
      $4=$vp;
      var $5=$4; //@line 2146 "./jsobj.h"
      var $6=__ZNK2JS5Value11isPrimitiveEv($5); //@line 2146 "./jsobj.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2146 "./jsobj.h"
    case 2: 
      $1=1; //@line 2147 "./jsobj.h"
      __label__ = 4; break; //@line 2147 "./jsobj.h"
    case 3: 
      var $9=$4; //@line 2148 "./jsobj.h"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 2148 "./jsobj.h"
      var $11=$2; //@line 2148 "./jsobj.h"
      var $12=$3; //@line 2148 "./jsobj.h"
      var $13=$4; //@line 2148 "./jsobj.h"
      var $14=__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($10, $11, $12, $13); //@line 2148 "./jsobj.h"
      $1=$14; //@line 2148 "./jsobj.h"
      __label__ = 4; break; //@line 2148 "./jsobj.h"
    case 4: 
      var $16=$1; //@line 2149 "./jsobj.h"
      ;
      return $16; //@line 2149 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js20ValueToECMAInt32SlowEP9JSContextRKN2JS5ValueEPi($cx, $v, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $6=$3; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=__ZNK2JS5Value8isDoubleEv($6); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=$3; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=__ZNK2JS5Value8toDoubleEv($9); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$10,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $12=$2; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$3; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=$5; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$13; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($12, $5, $d); //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 7; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $20=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=__ZL20js_DoubleToECMAInt32d2106($20); //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=$4; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 7; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $24=$1; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20js_DoubleToECMAInt32d2106($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $two32;
      var $two31;
      $2=$d;
      var $3=$2; //@line 547 "./jsnum.h"
      var $4=__ZL18JSDOUBLE_IS_FINITEd2111($3); //@line 547 "./jsnum.h"
      var $5=(($4)|0)!=0; //@line 547 "./jsnum.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsnum.h"
    case 2: 
      $1=0; //@line 548 "./jsnum.h"
      __label__ = 12; break; //@line 548 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 550 "./jsnum.h"
      var $9=(($8)&-1); //@line 550 "./jsnum.h"
      $i=$9; //@line 550 "./jsnum.h"
      var $10=$i; //@line 551 "./jsnum.h"
      var $11=(($10)|0); //@line 551 "./jsnum.h"
      var $12=$2; //@line 551 "./jsnum.h"
      var $13=$11 == $12; //@line 551 "./jsnum.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 551 "./jsnum.h"
    case 4: 
      var $15=$i; //@line 552 "./jsnum.h"
      $1=$15; //@line 552 "./jsnum.h"
      __label__ = 12; break; //@line 552 "./jsnum.h"
    case 5: 
      $two32=4294967296; //@line 554 "./jsnum.h"
      $two31=2147483648; //@line 555 "./jsnum.h"
      var $17=$2; //@line 556 "./jsnum.h"
      var $18=$two32; //@line 556 "./jsnum.h"
      var $19=_fmod($17, $18); //@line 556 "./jsnum.h"
      $2=$19; //@line 556 "./jsnum.h"
      var $20=$2; //@line 557 "./jsnum.h"
      var $21=$20 >= 0; //@line 557 "./jsnum.h"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 557 "./jsnum.h"
    case 6: 
      var $23=$2; //@line 557 "./jsnum.h"
      var $24=_floor($23); //@line 557 "./jsnum.h"
      var $31 = $24;__label__ = 8; break; //@line 557 "./jsnum.h"
    case 7: 
      var $26=$2; //@line 557 "./jsnum.h"
      var $27=_ceil($26); //@line 557 "./jsnum.h"
      var $28=$two32; //@line 557 "./jsnum.h"
      var $29=$27+$28; //@line 557 "./jsnum.h"
      var $31 = $29;__label__ = 8; break; //@line 557 "./jsnum.h"
    case 8: 
      var $31; //@line 557 "./jsnum.h"
      $2=$31; //@line 557 "./jsnum.h"
      var $32=$2; //@line 558 "./jsnum.h"
      var $33=$two31; //@line 558 "./jsnum.h"
      var $34=$32 >= $33; //@line 558 "./jsnum.h"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 558 "./jsnum.h"
    case 9: 
      var $36=$2; //@line 558 "./jsnum.h"
      var $37=$two32; //@line 558 "./jsnum.h"
      var $38=$36-$37; //@line 558 "./jsnum.h"
      var $42 = $38;__label__ = 11; break; //@line 558 "./jsnum.h"
    case 10: 
      var $40=$2; //@line 558 "./jsnum.h"
      var $42 = $40;__label__ = 11; break; //@line 558 "./jsnum.h"
    case 11: 
      var $42; //@line 558 "./jsnum.h"
      var $43=(($42)&-1); //@line 558 "./jsnum.h"
      $1=$43; //@line 558 "./jsnum.h"
      __label__ = 12; break; //@line 558 "./jsnum.h"
    case 12: 
      var $45=$1; //@line 560 "./jsnum.h"
      ;
      return $45; //@line 560 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20js_DoubleToECMAInt32d2106["X"]=1;

function __ZN2js21ValueToECMAUint32SlowEP9JSContextRKN2JS5ValueEPj($cx, $v, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $6=$3; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=__ZNK2JS5Value8isDoubleEv($6); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=$3; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=__ZNK2JS5Value8toDoubleEv($9); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$10,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $12=$2; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$3; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=$5; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$13; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($12, $5, $d); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 7; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $20=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=__Z21js_DoubleToECMAUint32d($20); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=$4; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 7; break; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $24=$1; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z21js_DoubleToECMAUint32d($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $neg;
      var $two32;
      $2=$d;
      var $3=$2; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $4=__ZL18JSDOUBLE_IS_FINITEd2111($3); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $5=(($4)|0)!=0; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $1=0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 15; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $8=$2; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=(($8)&-1); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $i=$9; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=$i; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=(($10)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$2; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$11 == $12; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $15=$i; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$15; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 15; break; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $17=$2; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=$17 < 0; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=(($18)&1); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $neg=$19; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=$neg; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=(($20)|0)!=0; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $23=$2; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=(-$23); //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28 = $24;__label__ = 8; break; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $26=$2; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28 = $26;__label__ = 8; break; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $28; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=_floor($28); //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=$29; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=$neg; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=(($30)|0)!=0; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $33=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(-$33); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38 = $34;__label__ = 11; break; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $36=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38 = $36;__label__ = 11; break; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $38; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=$38; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $two32=4294967296; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=$2; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$two32; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=_fmod($39, $40); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $2=$41; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=$2; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=$42 >= 0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $45=$2; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51 = $45;__label__ = 14; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $47=$2; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=$two32; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=$47+$48; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51 = $49;__label__ = 14; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $51; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=($51 >= 0 ? Math.floor($51) : Math.ceil($51)); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$52; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 15; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $54=$1; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $54; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z21js_DoubleToECMAUint32d["X"]=1;

function __ZN2js16ValueToInt32SlowEP9JSContextRKN2JS5ValueEPi($cx, $v, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $6=$3; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=__ZNK2JS5Value8isDoubleEv($6); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=$3; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=__ZNK2JS5Value8toDoubleEv($9); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$10,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $12=$2; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$3; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=$5; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$13; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($12, $5, $d); //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $20=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=__ZL15JSDOUBLE_IS_NaNd2114($20); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=(($21)|0)!=0; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($22) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $24=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=$24 <= -2147483649; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($25) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $27=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=2147483648 <= $27; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $30=$2; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=$3; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($30, 0, 35, 1, $31, 0, 0, 0); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $34=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=$34+0.5; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=_floor($35); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=(($36)&-1); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $40=$1; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js16ValueToInt32SlowEP9JSContextRKN2JS5ValueEPi["X"]=1;

function __ZN2js17ValueToUint16SlowEP9JSContextRKN2JS5ValueEPt($cx, $v, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      var $5=__stackBase__+8;
      var $u;
      var $neg;
      var $m;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $6=$3; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=__ZNK2JS5Value8isDoubleEv($6); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $9=$3; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=__ZNK2JS5Value8toDoubleEv($9); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$10,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $12=$2; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$3; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=$5; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=$13; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($12, $5, $d); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      $1=0; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 20; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $20=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=$20 == 0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($21) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $23=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=__ZL18JSDOUBLE_IS_FINITEd2111($23); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=(($24)|0)!=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($25) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $27=$4; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP16[(($27)>>1)]=0; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 20; break; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $29=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=($29 >= 0 ? Math.floor($29) : Math.ceil($29)); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $u=$30; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=$u; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=(($31)&65535); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=$32 == $33; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $36=$u; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=$4; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP16[(($37)>>1)]=$36; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 20; break; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $39=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$39 < 0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=(($40)&1); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $neg=$41; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=$neg; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=(($42) & 1); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $45=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=(-$45); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50 = $46;__label__ = 14; break; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $48=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50 = $48;__label__ = 14; break; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $50; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=_floor($50); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$51,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=$neg; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=(($52) & 1); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($53) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=(-$55); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $60 = $56;__label__ = 17; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $58=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $60 = $58;__label__ = 17; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      var $60; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$60,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $m=65536; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=$m; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=(($62)>>>0); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=_fmod($61, $63); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$64,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=$65 < 0; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($66) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      var $68=$m; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $69=(($68)>>>0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $70=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $71=$70+$69; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$71,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 19; break; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      var $73=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $74=($73 >= 0 ? Math.floor($73) : Math.ceil($73)); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $75=$4; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP16[(($75)>>1)]=$74; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 20; break; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 20: 
      var $77=$1; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $77; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js17ValueToUint16SlowEP9JSContextRKN2JS5ValueEPt["X"]=1;

function __ZN2js6detail17PrimitiveBehaviorIdE8getClassEv() {
  ;
  var __label__;

  ;
  return __ZN2js11NumberClassE; //@line 99 "./jsinterpinlines.h"
}


function __ZN2js12NumberTraitsIdE3NaNEv() {
  ;
  var __label__;

  var $1=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 57 "./jsnuminlines.h"
  ;
  return $1; //@line 57 "./jsnuminlines.h"
}


function __ZN2js12NumberTraitsIdE10toSelfTypeEd($d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 59 "./jsnuminlines.h"
  ;
  return $2; //@line 59 "./jsnuminlines.h"
}


function __ZN7mozilla9RangedPtrIcE11checkSanityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 82 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK2js7unicode13CharacterInfo7isSpaceEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 141 "./vm/Unicode.h"
  var $4=HEAPU8[($3)]; //@line 141 "./vm/Unicode.h"
  var $5=(($4)&255); //@line 141 "./vm/Unicode.h"
  var $6=$5 & 1; //@line 141 "./vm/Unicode.h"
  var $7=(($6)|0)!=0; //@line 141 "./vm/Unicode.h"
  ;
  return $7; //@line 141 "./vm/Unicode.h"
}


function _JSVAL_TO_OBJECT_IMPL2117($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL2119($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL2120($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL2121($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL2122($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL2123($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_TO_BOOLEAN_IMPL2124($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL2125($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL2126($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL2127($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL2128($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL2130($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL2131($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function __ZNK7mozilla9RangedPtrIcEdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 226 "./dist/include/mozilla/RangedPtr.h"
  var $4=HEAP32[(($3)>>2)]; //@line 226 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $4; //@line 226 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK7mozilla9RangedPtrIcE3getEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 138 "./dist/include/mozilla/RangedPtr.h"
  var $4=HEAP32[(($3)>>2)]; //@line 138 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $4; //@line 138 "./dist/include/mozilla/RangedPtr.h"
}


function _JSDOUBLE_IS_NEGZERO2132($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL2135($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __Z9js_strtodP9JSContextPKtS2_PS2_Pd($cx, $s, $send, $ep, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $i;
      var $cbuf=__stackBase__;
      var $cstr;
      var $istr;
      var $estr=__stackBase__+32;
      var $negative;
      var $d;
      var $s1;
      var $length;
      var $err=__stackBase__+36;
      $2=$cx;
      $3=$s;
      $4=$send;
      $5=$ep;
      $6=$dp;
      var $7=$3; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $8=$4; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=__ZN2jsL9SkipSpaceEPKtS1_($7, $8); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $s1=$9; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=$4; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=$s1; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$10; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$11; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=(($12-$13)|0); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=(((($14)|0)/2)&-1); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $length=$15; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=$length; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16)>>>0) >= 32; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $19=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=$length; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=(($20+1)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=__ZN9JSContext7malloc_Ej($19, $21); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $cstr=$22; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=$cstr; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=(($23)|0)!=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      $1=0; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 33; break; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      __label__ = 6; break; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $28=(($cbuf)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $cstr=$28; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break;
    case 6: 
      $i=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 7; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $31=$i; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=$length; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=(($31)|0)!=(($32)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $35=$i; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=$s1; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=(($36+($35<<1))|0); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=HEAPU16[(($37)>>1)]; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($38)&65535); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$39 >> 8; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=(($40)|0)!=0; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      __label__ = 12; break; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $44=$i; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=$s1; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=(($45+($44<<1))|0); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=HEAP16[(($46)>>1)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=(($47) & 255); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=$i; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=$cstr; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=(($50+$49)|0); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($51)]=$48; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $53=$i; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=(($53+1)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $i=$54; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 7; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $56=$i; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=$cstr; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=(($57+$56)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP8[($58)]=0; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $59=$cstr; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $istr=$59; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $60=$istr; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=HEAP8[($60)]; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=(($61 << 24) >> 24); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=(($62)|0)==45; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=(($63)&1); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $negative=$64; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=(($64)|0)!=0; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($65) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $67=$istr; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=HEAP8[($67)]; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $69=(($68 << 24) >> 24); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $70=(($69)|0)==43; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($70) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $72=$istr; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $73=(($72+1)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $istr=$73; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 15; break; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $75=$istr; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $76=HEAP8[($75)]; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $77=(($76 << 24) >> 24); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $78=(($77)|0)==73; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($78) { __label__ = 16; break; } else { __label__ = 21; break; } //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $80=$istr; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $81=_strncmp($80, ((STRING_TABLE._js_Infinity_str)|0), 8); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $82=(($81)|0)!=0; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($82) { __label__ = 21; break; } else { __label__ = 17; break; } //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      var $84=$negative; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $85=(($84)|0)!=0; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($85) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      var $87=(tempDoubleI32[0]=HEAP32[((_js_NegativeInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_NegativeInfinity+4)>>2)],tempDoubleF64[0]); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $91 = $87;__label__ = 20; break; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      var $89=(tempDoubleI32[0]=HEAP32[((_js_PositiveInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_PositiveInfinity+4)>>2)],tempDoubleF64[0]); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $91 = $89;__label__ = 20; break; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 20: 
      var $91; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $d=$91; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $92=$istr; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $93=(($92+8)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($estr)>>2)]=$93; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 27; break; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 21: 
      var $95=$2; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $96=(($95+52)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $98=(($97+144280)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $99=(($98+65596)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $101=$cstr; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $102=_js_strtod_harder($100, $101, $estr, $err); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $d=$102; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $103=$d; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $104=$103 == Infinity; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($104) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 22: 
      var $106=(tempDoubleI32[0]=HEAP32[((_js_PositiveInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_PositiveInfinity+4)>>2)],tempDoubleF64[0]); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $d=$106; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 26; break; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 23: 
      var $108=$d; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $109=$108 == -Infinity; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($109) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 24: 
      var $111=(tempDoubleI32[0]=HEAP32[((_js_NegativeInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_NegativeInfinity+4)>>2)],tempDoubleF64[0]); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $d=$111; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 25; break; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      var $115=HEAP32[(($estr)>>2)]; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $116=$cstr; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $117=$115; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $118=$116; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $119=(($117-$118)|0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $i=$119; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $120=$cstr; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $121=(($cbuf)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $122=(($120)|0)!=(($121)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($122) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 28: 
      var $124=$2; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $125=$cstr; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN9JSContext5free_EPv($124, $125); //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 29; break; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 29: 
      var $127=$i; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $128=(($127)|0)!=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($128) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 30: 
      var $130=$s1; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $131=$i; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $132=(($130+($131<<1))|0); //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $136 = $132;__label__ = 32; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 31: 
      var $134=$3; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $136 = $134;__label__ = 32; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 32: 
      var $136; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $137=$5; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($137)>>2)]=$136; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $138=$d; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $139=$6; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$138,HEAP32[(($139)>>2)]=tempDoubleI32[0],HEAP32[(($139+4)>>2)]=tempDoubleI32[1]); //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 33; break; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 33: 
      var $141=$1; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $141; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9js_strtodP9JSContextPKtS2_PS2_Pd["X"]=1;

function __ZN2jsL9SkipSpaceEPKtS1_($s, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$s;
      $2=$end;
      __label__ = 2; break; //@line 336 "./jsstrinlines.h"
    case 2: 
      var $4=$1; //@line 336 "./jsstrinlines.h"
      var $5=$2; //@line 336 "./jsstrinlines.h"
      var $6=(($4)>>>0) < (($5)>>>0); //@line 336 "./jsstrinlines.h"
      if ($6) { __label__ = 3; break; } else { var $12 = 0;__label__ = 4; break; } //@line 336 "./jsstrinlines.h"
    case 3: 
      var $8=$1; //@line 336 "./jsstrinlines.h"
      var $9=HEAP16[(($8)>>1)]; //@line 336 "./jsstrinlines.h"
      var $10=__ZN2js7unicode7IsSpaceEt($9); //@line 336 "./jsstrinlines.h"
      var $12 = $10;__label__ = 4; break;
    case 4: 
      var $12;
      if ($12) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $14=$1; //@line 337 "./jsstrinlines.h"
      var $15=(($14+2)|0); //@line 337 "./jsstrinlines.h"
      $1=$15; //@line 337 "./jsstrinlines.h"
      __label__ = 2; break; //@line 337 "./jsstrinlines.h"
    case 6: 
      var $17=$1; //@line 339 "./jsstrinlines.h"
      ;
      return $17; //@line 339 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7unicode7IsSpaceEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$ch;
      var $3=$2; //@line 224 "./vm/Unicode.h"
      var $4=(($3)&65535); //@line 224 "./vm/Unicode.h"
      var $5=(($4)|0) < 128; //@line 224 "./vm/Unicode.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 224 "./vm/Unicode.h"
    case 2: 
      var $7=$2; //@line 225 "./vm/Unicode.h"
      var $8=(($7)&65535); //@line 225 "./vm/Unicode.h"
      var $9=(((STRING_TABLE._js_isspace)+$8)|0); //@line 225 "./vm/Unicode.h"
      var $10=HEAP8[($9)]; //@line 225 "./vm/Unicode.h"
      var $11=(($10) & 1); //@line 225 "./vm/Unicode.h"
      $1=$11; //@line 225 "./vm/Unicode.h"
      __label__ = 6; break; //@line 225 "./vm/Unicode.h"
    case 3: 
      var $13=$2; //@line 227 "./vm/Unicode.h"
      var $14=(($13)&65535); //@line 227 "./vm/Unicode.h"
      var $15=(($14)|0)==160; //@line 227 "./vm/Unicode.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 227 "./vm/Unicode.h"
    case 4: 
      $1=1; //@line 228 "./vm/Unicode.h"
      __label__ = 6; break; //@line 228 "./vm/Unicode.h"
    case 5: 
      var $18=$2; //@line 230 "./vm/Unicode.h"
      var $19=__ZN2js7unicode8CharInfoEt($18); //@line 230 "./vm/Unicode.h"
      var $20=__ZNK2js7unicode13CharacterInfo7isSpaceEv($19); //@line 230 "./vm/Unicode.h"
      $1=$20; //@line 230 "./vm/Unicode.h"
      __label__ = 6; break; //@line 230 "./vm/Unicode.h"
    case 6: 
      var $22=$1; //@line 231 "./vm/Unicode.h"
      ;
      return $22; //@line 231 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail17PrimitiveBehaviorIdE6isTypeERKN2JS5ValueE($v) {
  ;
  var __label__;

  var $1;
  $1=$v;
  var $2=$1; //@line 97 "./jsinterpinlines.h"
  var $3=__ZNK2JS5Value8isNumberEv($2); //@line 97 "./jsinterpinlines.h"
  ;
  return $3; //@line 97 "./jsinterpinlines.h"
}


function __ZN2js6detail17PrimitiveBehaviorIdE7extractERKN2JS5ValueE($v) {
  ;
  var __label__;

  var $1;
  $1=$v;
  var $2=$1; //@line 98 "./jsinterpinlines.h"
  var $3=__ZNK2JS5Value8toNumberEv($2); //@line 98 "./jsinterpinlines.h"
  ;
  return $3; //@line 98 "./jsinterpinlines.h"
}


function _js_malloc2118($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE19growByUninitializedEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 700 "./jsvector.h"
  var $5=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10growByImplILb0EEEbj($3, $4); //@line 700 "./jsvector.h"
  ;
  return $5; //@line 700 "./jsvector.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10growByImplILb0EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<1))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=$3; //@line 681 "./jsvector.h"
      var $22=(($5+8)|0); //@line 681 "./jsvector.h"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "./jsvector.h"
      var $24=(($23+$21)|0); //@line 681 "./jsvector.h"
      HEAP32[(($22)>>2)]=$24; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $26=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $26; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc2129($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9RangedPtrIcEC1EPcS2_j($this, $p, $start, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$start;
  $4=$length;
  var $5=$1;
  var $6=$2; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  var $7=$3; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  var $8=$4; //@line 112 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIcEC2EPcS2_j($5, $6, $7, $8); //@line 112 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 112 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIcEaSERKS1_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 154 "./dist/include/mozilla/RangedPtr.h"
  var $5=(($4)|0); //@line 154 "./dist/include/mozilla/RangedPtr.h"
  var $6=HEAP32[(($5)>>2)]; //@line 154 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($3)|0); //@line 154 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($7)>>2)]=$6; //@line 154 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIcE11checkSanityEv($3); //@line 155 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $3; //@line 156 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2js25BackfillIndexInCharBufferIcEEN7mozilla9RangedPtrIT_EEjS4_($agg_result, $index, $end) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $end; $end = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($end)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $next;
      var $digit;
      $1=$index;
      __label__ = 2; break; //@line 158 "./jsatominlines.h"
    case 2: 
      var $3=$1; //@line 159 "./jsatominlines.h"
      var $4=Math.floor((($3)>>>0)/10); //@line 159 "./jsatominlines.h"
      $next=$4; //@line 159 "./jsatominlines.h"
      var $5=$1; //@line 159 "./jsatominlines.h"
      var $6=(($5)>>>0)%10; //@line 159 "./jsatominlines.h"
      $digit=$6; //@line 159 "./jsatominlines.h"
      var $7=$digit; //@line 160 "./jsatominlines.h"
      var $8=(($7+48)|0); //@line 160 "./jsatominlines.h"
      var $9=(($8) & 255); //@line 160 "./jsatominlines.h"
      var $10=__ZN7mozilla9RangedPtrIcEmmEv($end); //@line 160 "./jsatominlines.h"
      var $11=__ZNK7mozilla9RangedPtrIcEdeEv($10); //@line 160 "./jsatominlines.h"
      HEAP8[($11)]=$9; //@line 160 "./jsatominlines.h"
      var $12=$next; //@line 161 "./jsatominlines.h"
      $1=$12; //@line 161 "./jsatominlines.h"
      __label__ = 3; break; //@line 162 "./jsatominlines.h"
    case 3: 
      var $14=$1; //@line 162 "./jsatominlines.h"
      var $15=(($14)>>>0) > 0; //@line 162 "./jsatominlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 162 "./jsatominlines.h"
    case 4: 
      var $17=$agg_result; //@line 164 "./jsatominlines.h"
      var $18=$end; //@line 164 "./jsatominlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)]; //@line 164 "./jsatominlines.h"
      STACKTOP = __stackBase__;
      return; //@line 164 "./jsatominlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9RangedPtrIcEmmEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN7mozilla9RangedPtrIcEmIEj($2, 1); //@line 201 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $3; //@line 201 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIcEmIEj($this, $dec) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$dec;
  var $4=$1;
  var $5=$2; //@line 216 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIcEmiEj($3, $4, $5); //@line 216 "./dist/include/mozilla/RangedPtr.h"
  var $6=__ZN7mozilla9RangedPtrIcEaSIcEERS1_RKNS0_IT_EE($4, $3); //@line 216 "./dist/include/mozilla/RangedPtr.h"
  STACKTOP = __stackBase__;
  return $4; //@line 217 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIcEaSIcEERS1_RKNS0_IT_EE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $5=(($4)|0); //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $6=HEAP32[(($5)>>2)]; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($3)|0); //@line 185 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($7)>>2)]=$6; //@line 185 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIcE11checkSanityEv($3); //@line 186 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $3; //@line 187 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIcEmiEj($agg_result, $this, $dec) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$dec;
  var $3=$1;
  var $4=(($3)|0); //@line 168 "./dist/include/mozilla/RangedPtr.h"
  var $5=HEAP32[(($4)>>2)]; //@line 168 "./dist/include/mozilla/RangedPtr.h"
  var $6=$2; //@line 168 "./dist/include/mozilla/RangedPtr.h"
  var $7=(((-$6))|0); //@line 168 "./dist/include/mozilla/RangedPtr.h"
  var $8=(($5+$7)|0); //@line 168 "./dist/include/mozilla/RangedPtr.h"
  __ZNK7mozilla9RangedPtrIcE6createEPc($agg_result, $3, $8); //@line 168 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 168 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK7mozilla9RangedPtrIcE6createEPc($agg_result, $this, $ptr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ptr;
  var $3=$1;
  var $4=$2; //@line 89 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIcEC1EPcS2_j($agg_result, $4, 0, 0); //@line 89 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 89 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN7mozilla9RangedPtrIcEC2EPcS2_j($this, $p, $start, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$p;
  $3=$start;
  $4=$length;
  var $5=$1;
  var $6=(($5)|0); //@line 108 "./dist/include/mozilla/RangedPtr.h"
  var $7=$2; //@line 108 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($6)>>2)]=$7; //@line 108 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIcE11checkSanityEv($5); //@line 111 "./dist/include/mozilla/RangedPtr.h"
  ;
  return; //@line 112 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2JSL11ObjectValueER8JSObject2133($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv2134($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2136($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj2137($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2138($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2136["X"]=1;

function __ZL14JSID_FROM_BITSj2143($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2149($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2154($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_INT2139($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING2140($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING2141($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2150($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _DOUBLE_TO_JSVAL_IMPL2158($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL2142($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb2146($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL2153($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL2155($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL2156($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL2160($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZN2js5typesL15HashSetCapacityEj2137($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2138($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2jsL14IsConstructingEPKN2JS5ValueE2144($vp) {
  ;
  var __label__;

  var $1;
  $1=$vp;
  var $2=$1; //@line 372 "./jsfun.h"
  var $3=(($2+8)|0); //@line 372 "./jsfun.h"
  var $4=__ZNK2JS5Value7isMagicEv($3); //@line 372 "./jsfun.h"
  ;
  return $4; //@line 372 "./jsfun.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2145($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb2146($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2147($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2147($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2148($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2147["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2148($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2149($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2150($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2148["X"]=1;

function _js_calloc2151($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2152($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11NumberValueEd2157($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function __ZL6num_toP9JSContext12JSDToStrModeS1_iiijPN2JS5ValueE($cx, $zeroArgMode, $oneArgMode, $precisionMin, $precisionMax, $precisionOffset, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 184; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $buf=__stackBase__;
      var $numStr;
      var $d=__stackBase__+128;
      var $precision=__stackBase__+136;
      var $cbuf=__stackBase__+144;
      var $10;
      var $str;
      $2=$cx;
      $3=$zeroArgMode;
      $4=$oneArgMode;
      $5=$precisionMin;
      $6=$precisionMax;
      $7=$precisionOffset;
      $8=$argc;
      $9=$vp;
      var $11=$2; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$9; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=__ZN2js16GetPrimitiveThisIdEEbP9JSContextPN2JS5ValueEPT_($11, $12, $d); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      $1=0; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $16=$8; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16)|0)==0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      (tempDoubleF64[0]=0,HEAP32[(($precision)>>2)]=tempDoubleI32[0],HEAP32[(($precision+4)>>2)]=tempDoubleI32[1]); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=$3; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $4=$19; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $21=$2; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22=$9; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $23=(($22+16)|0); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd2159($21, $23, $precision); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      $1=0; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $27=(tempDoubleI32[0]=HEAP32[(($precision)>>2)],tempDoubleI32[1]=HEAP32[(($precision+4)>>2)],tempDoubleF64[0]); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=$5; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=(($28)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=$27 < $29; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $32=(tempDoubleI32[0]=HEAP32[(($precision)>>2)],tempDoubleI32[1]=HEAP32[(($precision+4)>>2)],tempDoubleF64[0]); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $33=$6; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=$32 > $34; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufC1Ev]($cbuf); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=(tempDoubleI32[0]=HEAP32[(($precision)>>2)],tempDoubleI32[1]=HEAP32[(($precision+4)>>2)],tempDoubleF64[0]); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=(($37)&-1); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=__ZL12IntToCStringPN2js12ToCStringBufEii($cbuf, $38, 10); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numStr=$39; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $40=$2; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=$numStr; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      _JS_ReportErrorNumber($40, 2, 0, 150, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$41,tempInt)); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $10=1;
      FUNCTION_TABLE[__ZN2js12ToCStringBufD1Ev]($cbuf); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$2; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=(($44+52)|0); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $47=(($46+144280)|0); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=(($47+65596)|0); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=(($buf)|0); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=$4; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=(tempDoubleI32[0]=HEAP32[(($precision)>>2)],tempDoubleI32[1]=HEAP32[(($precision+4)>>2)],tempDoubleF64[0]); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=(($52)&-1); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=$7; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=(($53+$54)|0); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=_js_dtostr($49, $50, 125, $51, $55, $56); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $numStr=$57; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=$numStr; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $59=(($58)|0)!=0; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      var $61=$2; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      _JS_ReportOutOfMemory($61); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=0; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $63=$2; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=$numStr; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=__Z17js_NewStringCopyZP9JSContextPKc($63, $64); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $66=$65; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $str=$66; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $67=$str; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=(($67)|0)!=0; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($68) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      $1=0; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $71=$9; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $72=$str; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __ZN2JS5Value9setStringEP8JSString($71, $72); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=1; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 16; break; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $74=$1; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $74; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6num_toP9JSContext12JSDToStrModeS1_iiijPN2JS5ValueE["X"]=1;

function __ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd2159($cx, $v, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$dp;
      var $6=$3; //@line 620 "./jsnum.h"
      var $7=__ZNK2JS5Value7isInt32Ev($6); //@line 620 "./jsnum.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 620 "./jsnum.h"
    case 2: 
      var $9=$3; //@line 621 "./jsnum.h"
      var $10=__ZNK2JS5Value7toInt32Ev($9); //@line 621 "./jsnum.h"
      var $11=(($10)|0); //@line 621 "./jsnum.h"
      var $12=$4; //@line 621 "./jsnum.h"
      (tempDoubleF64[0]=$11,HEAP32[(($12)>>2)]=tempDoubleI32[0],HEAP32[(($12+4)>>2)]=tempDoubleI32[1]); //@line 621 "./jsnum.h"
      $1=1; //@line 622 "./jsnum.h"
      __label__ = 9; break; //@line 622 "./jsnum.h"
    case 3: 
      var $14=$3; //@line 624 "./jsnum.h"
      var $15=__ZNK2JS5Value8isDoubleEv($14); //@line 624 "./jsnum.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 624 "./jsnum.h"
    case 4: 
      var $17=$3; //@line 625 "./jsnum.h"
      var $18=__ZNK2JS5Value8toDoubleEv($17); //@line 625 "./jsnum.h"
      var $19=$4; //@line 625 "./jsnum.h"
      (tempDoubleF64[0]=$18,HEAP32[(($19)>>2)]=tempDoubleI32[0],HEAP32[(($19+4)>>2)]=tempDoubleI32[1]); //@line 625 "./jsnum.h"
      __label__ = 8; break; //@line 626 "./jsnum.h"
    case 5: 
      var $21=$2; //@line 628 "./jsnum.h"
      var $22=$3; //@line 628 "./jsnum.h"
      var $23=$5; //@line 628 "./jsnum.h"
      var $24=$22; //@line 628 "./jsnum.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 628 "./jsnum.h"
      var $25=$4; //@line 628 "./jsnum.h"
      var $26=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($21, $5, $25); //@line 628 "./jsnum.h"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 628 "./jsnum.h"
    case 6: 
      $1=0; //@line 629 "./jsnum.h"
      __label__ = 9; break; //@line 629 "./jsnum.h"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $30=$4; //@line 631 "./jsnum.h"
      var $31=(tempDoubleI32[0]=HEAP32[(($30)>>2)],tempDoubleI32[1]=HEAP32[(($30+4)>>2)],tempDoubleF64[0]); //@line 631 "./jsnum.h"
      var $32=__ZL18js_DoubleToIntegerd2161($31); //@line 631 "./jsnum.h"
      var $33=$4; //@line 631 "./jsnum.h"
      (tempDoubleF64[0]=$32,HEAP32[(($33)>>2)]=tempDoubleI32[0],HEAP32[(($33+4)>>2)]=tempDoubleI32[1]); //@line 631 "./jsnum.h"
      $1=1; //@line 632 "./jsnum.h"
      __label__ = 9; break; //@line 632 "./jsnum.h"
    case 9: 
      var $35=$1; //@line 633 "./jsnum.h"
      STACKTOP = __stackBase__;
      return $35; //@line 633 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18js_DoubleToIntegerd2161($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $neg;
      $2=$d;
      var $3=$2; //@line 572 "./jsnum.h"
      var $4=$3 == 0; //@line 572 "./jsnum.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 572 "./jsnum.h"
    case 2: 
      var $6=$2; //@line 573 "./jsnum.h"
      $1=$6; //@line 573 "./jsnum.h"
      __label__ = 14; break; //@line 573 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 575 "./jsnum.h"
      var $9=__ZL18JSDOUBLE_IS_FINITEd2111($8); //@line 575 "./jsnum.h"
      var $10=(($9)|0)!=0; //@line 575 "./jsnum.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 575 "./jsnum.h"
    case 4: 
      var $12=$2; //@line 576 "./jsnum.h"
      var $13=__ZL15JSDOUBLE_IS_NaNd2114($12); //@line 576 "./jsnum.h"
      var $14=(($13)|0)!=0; //@line 576 "./jsnum.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 576 "./jsnum.h"
    case 5: 
      $1=0; //@line 577 "./jsnum.h"
      __label__ = 14; break; //@line 577 "./jsnum.h"
    case 6: 
      var $17=$2; //@line 578 "./jsnum.h"
      $1=$17; //@line 578 "./jsnum.h"
      __label__ = 14; break; //@line 578 "./jsnum.h"
    case 7: 
      var $19=$2; //@line 581 "./jsnum.h"
      var $20=$19 < 0; //@line 581 "./jsnum.h"
      var $21=(($20)&1); //@line 581 "./jsnum.h"
      $neg=$21; //@line 581 "./jsnum.h"
      var $22=$neg; //@line 582 "./jsnum.h"
      var $23=(($22)|0)!=0; //@line 582 "./jsnum.h"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 582 "./jsnum.h"
    case 8: 
      var $25=$2; //@line 582 "./jsnum.h"
      var $26=(-$25); //@line 582 "./jsnum.h"
      var $30 = $26;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 9: 
      var $28=$2; //@line 582 "./jsnum.h"
      var $30 = $28;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 10: 
      var $30; //@line 582 "./jsnum.h"
      var $31=_floor($30); //@line 582 "./jsnum.h"
      $2=$31; //@line 582 "./jsnum.h"
      var $32=$neg; //@line 584 "./jsnum.h"
      var $33=(($32)|0)!=0; //@line 584 "./jsnum.h"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 584 "./jsnum.h"
    case 11: 
      var $35=$2; //@line 584 "./jsnum.h"
      var $36=(-$35); //@line 584 "./jsnum.h"
      var $40 = $36;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 12: 
      var $38=$2; //@line 584 "./jsnum.h"
      var $40 = $38;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 13: 
      var $40; //@line 584 "./jsnum.h"
      $1=$40; //@line 584 "./jsnum.h"
      __label__ = 14; break; //@line 584 "./jsnum.h"
    case 14: 
      var $42=$1; //@line 585 "./jsnum.h"
      ;
      return $42; //@line 585 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_DoubleToIntegerd2161["X"]=1;

function _js_free2162($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZL20ParseIntDoubleHelperd($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$d;
      var $3=$2; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $4=$3 > 0; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $6=$2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $7=_floor($6); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$7; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      var $9=$2; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=$9 < 0; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $12=$2; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=(-$12); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=_floor($13); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $15=(-$14); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$15; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      $1=0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 6; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $18=$1; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $18; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14js_hash_objectPKv($key) {
  ;
  var __label__;

  var $1;
  $1=$key;
  var $2=$1; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $3=$2; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=$3 >>> 8; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $4; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function _BOOLEAN_TO_JSVAL_IMPL2163($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZN17BinaryDigitReader9nextDigitEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $c;
      var $bit;
      $2=$this;
      var $3=$2;
      var $4=(($3+8)|0); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $6=(($5)|0)==0; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $8=(($3+12)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=(($3+16)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 3: 
      $1=-1; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $15=(($3+12)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16+2)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($15)>>2)]=$17; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=HEAPU16[(($16)>>1)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=(($18)&65535); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $c=$19; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=$c; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $21=48 <= (($20)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $23=$c; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $24=(($23)|0) <= 57; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $26=$c; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $27=(($26-48)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $28=(($3+4)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 12; break; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $30=$c; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=97 <= (($30)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $33=$c; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $34=(($33)|0) <= 122; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $36=$c; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=(($36-97)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=(($37+10)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $39=(($3+4)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($39)>>2)]=$38; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $41=$c; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $42=(($41-65)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $43=(($42+10)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=(($3+4)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $47=(($3)|0); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=$48 >> 1; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=(($3+8)|0); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($50)>>2)]=$49; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 13; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      var $52=(($3+4)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $54=(($3+8)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=$53 & $55; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=(($56)|0)!=0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=(($57)&1); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $bit=$58; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $59=(($3+8)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $61=$60 >> 1; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      HEAP32[(($59)>>2)]=$61; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=$bit; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $1=$62; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 14: 
      var $64=$1; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      ;
      return $64; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN17BinaryDigitReader9nextDigitEv["X"]=1;

function __ZN17BinaryDigitReaderC2EiPKtS1_($this, $base, $start, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$base;
  $3=$start;
  $4=$end;
  var $5=$1;
  var $6=(($5)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $7=$2; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $8=(($5+4)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  HEAP32[(($8)>>2)]=0; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $9=(($5+8)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  HEAP32[(($9)>>2)]=0; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $10=(($5+12)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $11=$3; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $12=(($5+16)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $13=$4; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  HEAP32[(($12)>>2)]=$13; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  ;
  return; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
}


function __ZL20ParseIntStringHelperP9JSContextPKtS2_ibPd($cx, $ws, $end, $maybeRadix, $stripPrefix, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $s;
      var $negative;
      var $radix;
      var $actualEnd=__stackBase__;
      $2=$cx;
      $3=$ws;
      $4=$end;
      $5=$maybeRadix;
      var $8=(($stripPrefix)&1);
      $6=$8;
      $7=$dp;
      var $9=$3; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $10=$4; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $11=__ZN2jsL9SkipSpaceEPKtS1_($9, $10); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $s=$11; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $12=$s; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $13=$4; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $14=(($12)|0)!=(($13)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($14) { __label__ = 2; break; } else { var $22 = 0;__label__ = 3; break; } //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 2: 
      var $16=$s; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $17=(($16)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $18=HEAPU16[(($17)>>1)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $19=(($18)&65535); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $20=(($19)|0)==45; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $22 = $20;__label__ = 3; break;
    case 3: 
      var $22;
      var $23=(($22)&1);
      $negative=$23;
      var $24=$s; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $25=$4; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $26=(($24)|0)!=(($25)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 4: 
      var $28=$s; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $29=(($28)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $30=HEAPU16[(($29)>>1)]; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $31=(($30)&65535); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $32=(($31)|0)==45; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 5: 
      var $34=$s; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $35=(($34)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $36=HEAPU16[(($35)>>1)]; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $37=(($36)&65535); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $38=(($37)|0)==43; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 6: 
      var $40=$s; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $41=(($40+2)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $s=$41; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 7; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 7: 
      var $43=$5; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $radix=$43; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $44=$radix; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $45=(($44)|0)==0; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 8: 
      var $47=$4; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $48=$s; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $49=$47; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $50=$48; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $51=(($49-$50)|0); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $52=(((($51)|0)/2)&-1); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $53=(($52)|0) >= 2; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($53) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 9: 
      var $55=$s; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $56=(($55)|0); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $57=HEAPU16[(($56)>>1)]; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $58=(($57)&65535); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $59=(($58)|0)==48; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($59) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 10: 
      var $61=$s; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $62=(($61+2)|0); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $63=HEAPU16[(($62)>>1)]; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $64=(($63)&65535); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $65=(($64)|0)!=120; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($65) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 11: 
      var $67=$s; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $68=(($67+2)|0); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $69=HEAPU16[(($68)>>1)]; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $70=(($69)&65535); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $71=(($70)|0)!=88; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($71) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 12: 
      $radix=8; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 13: 
      $radix=10; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 15: 
      var $76=$6; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $77=(($76) & 1); //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($77) { __label__ = 16; break; } else { __label__ = 22; break; } //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 16: 
      var $79=$4; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $80=$s; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $81=$79; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $82=$80; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $83=(($81-$82)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $84=(((($83)|0)/2)&-1); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $85=(($84)|0) >= 2; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($85) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 17: 
      var $87=$s; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $88=(($87)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $89=HEAPU16[(($88)>>1)]; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $90=(($89)&65535); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $91=(($90)|0)==48; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($91) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 18: 
      var $93=$s; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $94=(($93+2)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $95=HEAPU16[(($94)>>1)]; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $96=(($95)&65535); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $97=(($96)|0)==120; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($97) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 19: 
      var $99=$s; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $100=(($99+2)|0); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $101=HEAPU16[(($100)>>1)]; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $102=(($101)&65535); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $103=(($102)|0)==88; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($103) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 20: 
      var $105=$s; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $106=(($105+4)|0); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $s=$106; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      $radix=16; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 21; break; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 21: 
      __label__ = 22; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 22: 
      var $109=$2; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $110=$s; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $111=$4; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $112=$radix; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $113=$7; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $114=__ZN2js16GetPrefixIntegerEP9JSContextPKtS3_iPS3_Pd($109, $110, $111, $112, $actualEnd, $113); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($114) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 23: 
      $1=0; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 30; break; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 24: 
      var $117=$s; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $118=HEAP32[(($actualEnd)>>2)]; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $119=(($117)|0)==(($118)|0); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($119) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 25: 
      var $121=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $122=$7; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$121,HEAP32[(($122)>>2)]=tempDoubleI32[0],HEAP32[(($122+4)>>2)]=tempDoubleI32[1]); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 29; break; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 26: 
      var $124=$negative; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $125=(($124) & 1); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      if ($125) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 27: 
      var $127=$7; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $128=(tempDoubleI32[0]=HEAP32[(($127)>>2)],tempDoubleI32[1]=HEAP32[(($127+4)>>2)],tempDoubleF64[0]); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $129=(-$128); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      var $130=$7; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      (tempDoubleF64[0]=$129,HEAP32[(($130)>>2)]=tempDoubleI32[0],HEAP32[(($130+4)>>2)]=tempDoubleI32[1]); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 28; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      $1=1; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      __label__ = 30; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    case 30: 
      var $134=$1; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
      STACKTOP = __stackBase__;
      return $134; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20ParseIntStringHelperP9JSContextPKtS2_ibPd["X"]=1;

function __ZN17BinaryDigitReaderC1EiPKtS1_($this, $base, $start, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$base;
  $3=$start;
  $4=$end;
  var $5=$1;
  var $6=$2; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $7=$3; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  var $8=$4; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  __ZN17BinaryDigitReaderC2EiPKtS1_($5, $6, $7, $8); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
  ;
  return; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsnum.cpp"
}


function ___cxx_global_var_init2253() {
  ;
  var __label__;

  __ZN2js5ShapeC1Ej(__ZN2js5Shape15sharedNonNativeE, -1);
  ;
  return;
}


function __ZN2js5ShapeC1Ej($this, $shapeid) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shapeid;
  var $3=$1;
  var $4=$2; //@line 226 "./jsscope.h"
  __ZN2js5ShapeC2Ej($3, $4); //@line 226 "./jsscope.h"
  ;
  return; //@line 226 "./jsscope.h"
}


function _js_ObjectToOuterObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$cx;
  HEAP32[(($2)>>2)]=$obj;
  var $3=$1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __Z19OBJ_TO_OUTER_OBJECTP9JSContextRP8JSObject($3, $2); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=HEAP32[(($2)>>2)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $4; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z19OBJ_TO_OUTER_OBJECTP9JSContextRP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $op;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 1661 "./jsobj.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1661 "./jsobj.h"
      var $5=__ZNK8JSObject8getClassEv($4); //@line 1661 "./jsobj.h"
      var $6=(($5+68)|0); //@line 1661 "./jsobj.h"
      var $7=(($6+4)|0); //@line 1661 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1661 "./jsobj.h"
      $op=$8; //@line 1661 "./jsobj.h"
      var $9=$op; //@line 1661 "./jsobj.h"
      var $10=(($9)|0)!=0; //@line 1661 "./jsobj.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1661 "./jsobj.h"
    case 2: 
      var $12=$op; //@line 1662 "./jsobj.h"
      var $13=$1; //@line 1662 "./jsobj.h"
      var $14=$2; //@line 1662 "./jsobj.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1662 "./jsobj.h"
      var $16=FUNCTION_TABLE[$12]($13, $15); //@line 1662 "./jsobj.h"
      var $17=$2; //@line 1662 "./jsobj.h"
      HEAP32[(($17)>>2)]=$16; //@line 1662 "./jsobj.h"
      __label__ = 3; break; //@line 1662 "./jsobj.h"
    case 3: 
      ;
      return; //@line 1663 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)|0)!=0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $8=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($8, 2, 0, 2, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $10=$2; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$3; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($10, $11); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$14 ^ 1; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$15 ^ 1; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$16; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$1; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $18; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12obj_getProtoP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $attrs=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=(($5+52)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=(($7+209948)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=(($8+344)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$10; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=__ZL12ATOM_TO_JSIDP6JSAtom2291($11); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  $3=$12; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=$1; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $14=$2; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $15=$3; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $16=$4; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $17=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($13, $14, $15, 0, $16, $attrs); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $17; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL12obj_setProtoP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $pobj=__stackBase__;
      var $attrs=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $7=$2; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK9JSContext28runningWithTrustedPrincipalsEv($7); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=HEAP32[((_sSetProtoCalled)>>2)]; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10+1)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[((_sSetProtoCalled)>>2)]=$11; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$3; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK8JSObject12isExtensibleEv($13); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$3; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZN8JSObject19reportNotExtensibleEP9JSContextj($16, $17, 0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $20=$6; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZNK2JS5Value14isObjectOrNullEv($20); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=1; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $24=$6; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZNK2JS5Value14toObjectOrNullEv($24); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($pobj)>>2)]=$25; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($pobj)>>2)]; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26)|0)!=0; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $29=$2; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($29, $pobj); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP32[(($pobj)>>2)]; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)|0)!=0; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      __label__ = 11; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $35=$2; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35+52)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37+209948)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38+344)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$40; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZL12ATOM_TO_JSIDP6JSAtom2291($41); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$42; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$2; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$3; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$4; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$6; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($43, $44, $45, 8, $46, $attrs); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=(($47)|0)!=0; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($48) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=0; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $51=$2; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$3; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=HEAP32[(($pobj)>>2)]; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=__ZN2js8SetProtoEP9JSContextP8JSObjectS3_b($51, $52, $53, 1); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($54)&1); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$55; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $57=$1; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12obj_setProtoP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __Z19js_EnterSharpObjectP9JSContextP8JSObjectPP9JSIdArrayPPt($cx, $obj, $idap, $sp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $map;
      var $table;
      var $ida=__stackBase__;
      var $hash;
      var $he;
      var $hep=__stackBase__+4;
      var $sharpid;
      var $buf=__stackBase__+8;
      var $len=__stackBase__+28;
      $2=$cx;
      $3=$obj;
      $4=$idap;
      $5=$sp;
      var $6=$2; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6+52)|0); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8+144280)|0); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 2; break; } else { var $18 = 1;__label__ = 3; break; } //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $14=$2; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__Z26js_InvokeOperationCallbackP9JSContext($14); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)|0)!=0; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18 = $16;__label__ = 3; break; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $18;
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 42; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $21=$5; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($21)>>2)]=0; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$2; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22+136)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $map=$23; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$map; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+8)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $table=$26; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$table; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27)|0)!=0; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 6; break; } //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $30=_JS_NewHashTable(8, 178, 180, 180, 0, 0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $table=$30; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$table; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31)|0)!=0; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $34=$2; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportOutOfMemory($34); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 42; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $36=$table; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$map; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37+8)|0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($38)>>2)]=$36; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$2; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39+52)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41+136)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=(($43+1)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($42)>>2)]=$44; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      HEAP32[(($ida)>>2)]=0; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$map; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=(($46)|0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)|0)==0; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $51=$map; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53+1)|0); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($52)>>2)]=$54; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$2; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$3; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=__ZL16MarkSharpObjectsP9JSContextP8JSObjectPP9JSIdArray($55, $56, $ida); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $he=$57; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$map; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($58)|0); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($60-1)|0); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($59)>>2)]=$61; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$he; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=(($62)|0)!=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      __label__ = 39; break; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $66=$4; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($66)|0)!=0; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $69=$2; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=HEAP32[(($ida)>>2)]; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_DestroyIdArray($69, $70); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($ida)>>2)]=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 20; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $73=$3; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$73; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=__ZL14js_hash_objectPKv($74); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $hash=$75; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$table; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=$hash; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=$3; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=$78; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=_JS_HashTableRawLookup($76, $77, $79); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($hep)>>2)]=$80; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=HEAP32[(($hep)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $he=$82; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$he; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=(($83)|0)!=0; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($84) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $86=$table; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$hash; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$3; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$88; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=_JS_HashTableRawAdd($86, $hep, $87, $89, 0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $he=$90; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=$he; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=(($91)|0)!=0; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($92) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $94=$2; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportOutOfMemory($94); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 39; break; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      $sharpid=0; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 27; break; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $98=$he; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=(($98+12)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$100; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $sharpid=$101; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$sharpid; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=(($102)|0)!=0; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($103) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $105=(($buf)|0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$sharpid; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$106 >>> 2; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=$sharpid; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=$108 & 1; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=(($109)|0)!=0; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=$110 ? 35 : 61; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=(($111 << 24) >> 24); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=_JS_snprintf($105, 20, ((STRING_TABLE.__str2177)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$107,HEAP32[((tempInt+4)>>2)]=$112,tempInt)); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($len)>>2)]=$113; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=$2; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=(($buf)|0); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($114, $115, $len, 0); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=$5; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($117)>>2)]=$116; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=$5; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=(($119)|0)!=0; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($120) { __label__ = 25; break; } else { __label__ = 22; break; } //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $122=HEAP32[(($ida)>>2)]; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=(($122)|0)!=0; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($123) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $125=$2; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=HEAP32[(($ida)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_DestroyIdArray($125, $126); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __label__ = 39; break; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      __label__ = 26; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      __label__ = 27; break; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $131=$sharpid; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=$131 & 1; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=(($132)|0)==0; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($133) { __label__ = 28; break; } else { __label__ = 36; break; } //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $135=$4; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=(($135)|0)!=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($136) { __label__ = 29; break; } else { __label__ = 35; break; } //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $138=HEAP32[(($ida)>>2)]; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=(($138)|0)!=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($139) { __label__ = 35; break; } else { __label__ = 30; break; } //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $141=$2; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=$3; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $143=_JS_Enumerate($141, $142); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($ida)>>2)]=$143; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $144=HEAP32[(($ida)>>2)]; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $145=(($144)|0)!=0; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($145) { __label__ = 34; break; } else { __label__ = 31; break; } //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $147=$5; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $149=(($148)|0)!=0; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($149) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $151=$2; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=$5; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $154=$153; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($151, $154); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $155=$5; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($155)>>2)]=0; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      __label__ = 39; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      __label__ = 35; break; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $159=$map; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=(($159)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=(($161+1)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($160)>>2)]=$162; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 36; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $164=$4; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=(($164)|0)!=0; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($165) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      var $167=HEAP32[(($ida)>>2)]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $168=$4; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($168)>>2)]=$167; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 38; break; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      var $170=$he; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$170; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 42; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      var $172=$map; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $173=(($172)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $175=(($174)|0)==0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($175) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      var $177=$2; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $178=(($177+52)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $180=(($179+136)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $182=(($181-1)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($180)>>2)]=$182; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $183=$map; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $184=(($183+4)|0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($184)>>2)]=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $185=$map; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $186=(($185+8)|0); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=HEAP32[(($186)>>2)]; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_HashTableDestroy($187); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $188=$map; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $189=(($188+8)|0); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($189)>>2)]=0; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      $1=0; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 42; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      var $192=$1; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $192; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_EnterSharpObjectP9JSContextP8JSObjectPP9JSIdArrayPPt["X"]=1;

function __Z19js_LeaveSharpObjectP9JSContextPP9JSIdArray($cx, $idap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $map;
      var $ida;
      $1=$cx;
      $2=$idap;
      var $3=$1; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=(($3+136)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $map=$4; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=$map; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7-1)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($6)>>2)]=$8; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)|0)==0; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $11=$1; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+52)|0); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+136)|0); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15-1)|0); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($14)>>2)]=$16; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$map; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+4)|0); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($18)>>2)]=0; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$map; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+8)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_HashTableDestroy($21); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$map; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22+8)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($23)>>2)]=0; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $25=$2; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25)|0)!=0; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $28=$2; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ida=$29; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$ida; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)|0)!=0; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $33=$1; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$ida; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_DestroyIdArray($33, $34); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$2; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($35)>>2)]=0; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 7; break; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      ;
      return; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_LeaveSharpObjectP9JSContextPP9JSIdArray["X"]=1;

function __Z16js_TraceSharpMapP8JSTracerP16JSSharpObjectMap($trc, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$map;
  var $3=$2; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=(($3+8)|0); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$1; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$6; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=_JS_HashTableEnumerateEntries($5, 182, $7); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL27gc_sharp_table_entry_markerP11JSHashEntryiPv($he, $i, $arg) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$he;
  $2=$i;
  $3=$arg;
  var $4=$3; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=$4; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$1; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=(($6+8)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$8; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($5, $9, ((STRING_TABLE.__str482251)|0)); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return 0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN2js18obj_toStringHelperEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $clazz;
      var $nchars;
      var $chars;
      var $prefix;
      var $str;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=__ZNK8JSObject7isProxyEv($4); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $7=$2; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js7JSProxy12obj_toStringEP9JSContextP8JSObject($7, $8); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$9; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$3; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK8JSObject8getClassEv($11); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clazz=$14; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$clazz; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=_strlen($15); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+9)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$17; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$2; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$nchars; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+1)|0); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=((($20<<1))|0); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZN9JSContext7malloc_Ej($18, $21); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $chars=$23; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$chars; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $prefix=((STRING_TABLE.__str12178)|0); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $29=$prefix; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP8[($29)]; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30 << 24) >> 24); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$nchars; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$chars; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33+($32<<1))|0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($34)>>1)]=$31; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($31)&65535); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35)|0)!=0; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $38=$nchars; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38+1)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$39; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$prefix; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40+1)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $prefix=$41; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $44=$clazz; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=HEAP8[($44)]; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45 << 24) >> 24); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$nchars; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$chars; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48+($47<<1))|0); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($49)>>1)]=$46; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=(($46)&65535); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($50)|0)!=0; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $53=$nchars; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53+1)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$54; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$clazz; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55+1)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clazz=$56; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $58=$nchars; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($58+1)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$59; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$chars; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($60+($58<<1))|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($61)>>1)]=93; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$nchars; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$chars; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63+($62<<1))|0); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($64)>>1)]=0; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$2; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$chars; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$nchars; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=__Z12js_NewStringP9JSContextPtj($65, $66, $67); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$68; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $str=$69; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$str; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=(($70)|0)!=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $73=$2; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$chars; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$74; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($73, $75); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $77=$str; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$77; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $79=$1; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $79; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js18obj_toStringHelperEP9JSContextP8JSObject["X"]=1;

function __ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE($cx, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=__ZNK2JS5Value11isPrimitiveEv($4); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $7=$2; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($7, 2, 0, 231, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $9=$3; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$10; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $12=$1; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $12; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21InformalValueTypeNameERKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$v;
      var $3=$2; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $6=$2; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK8JSObject8getClassEv($7); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$10; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK2JS5Value8isStringEv($12); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=((STRING_TABLE.__str22179)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $16=$2; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZNK2JS5Value8isNumberEv($16); //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=((STRING_TABLE.__str32180)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $20=$2; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZNK2JS5Value9isBooleanEv($20); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=((STRING_TABLE.__str42181)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $24=$2; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZNK2JS5Value6isNullEv($24); //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=((STRING_TABLE.__str52182)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $28=$2; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZNK2JS5Value11isUndefinedEv($28); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=((STRING_TABLE.__str62183)|0); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      $1=((STRING_TABLE.__str72184)|0); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $33=$1; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $33; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4evalEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $call=__stackBase__;
      $1=$cx;
      $2=$argc;
      $3=$vp;
      var $4=$2; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=$3; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($call, $4, $5); //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$1; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZL17WarnOnTooManyArgsP9JSContextRKN2js8CallArgsE($6, $call); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 2; break; } else { var $16 = 0;__label__ = 3; break; } //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=$1; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$call; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZNK2js12CallReceiver6calleeEv($10); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK8JSObject9getGlobalEv($11); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$12; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZL10EvalKernelP9JSContextRKN2js8CallArgsE8EvalTypePNS1_10StackFrameER8JSObject($9, $call, 9, 0, $13); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16 = $14;__label__ = 3; break;
    case 3: 
      var $16;
      var $17=(($16)&1);
      STACKTOP = __stackBase__;
      return $17; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17WarnOnTooManyArgsP9JSContextRKN2js8CallArgsE($cx, $call) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $script;
      $2=$cx;
      $3=$call;
      var $4=$3; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=__ZNK2js8CallArgs4argcEv($4); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)>>>0) > 1; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 10; break; } //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $8=$2; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8+60)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK2js12ContextStack13currentScriptEPPh($9, 0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $script=$10; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$script; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$script; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$14; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15+36)|0); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=HEAPU8[($16)]; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)&255) >>> 7; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18 & 1; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19) & 1); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $22=$2; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=_JS_ReportWarning($22, ((STRING_TABLE.__ZZL17WarnOnTooManyArgsP9JSContextRKN2js8CallArgsEE20TWO_ARGUMENT_WARNING)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23)|0)!=0; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $27=$script; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+36)|0); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP8[($29)]; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$30 & 127; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$31 | -128; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($29)]=$32; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 9; break; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $38=$1; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $38; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16MarkSharpObjectsP9JSContextP8JSObjectPP9JSIdArray($cx, $obj, $idap) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $map;
      var $table;
      var $hash;
      var $hep=__stackBase__;
      var $he;
      var $sharpid;
      var $ida;
      var $ok;
      var $i;
      var $length;
      var $id;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $stackDummy_=__stackBase__+12;
      var $hasGetter;
      var $hasSetter;
      var $v=__stackBase__+16;
      var $setter=__stackBase__+40;
      var $shape;
      var $5=__stackBase__+64;
      var $6=__stackBase__+72;
      var $7;
      var $8=__stackBase__+80;
      $2=$cx;
      $3=$obj;
      $4=$idap;
      __label__ = 2; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$stackDummy_; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$2; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+48)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $16=$2; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z21js_ReportOverRecursedP9JSContext($16); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 54; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      __label__ = 5; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $19=$2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+136)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $map=$20; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$map; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+8)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $table=$23; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$3; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$24; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZL14js_hash_objectPKv($25); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $hash=$26; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$table; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$hash; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$3; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$29; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=_JS_HashTableRawLookup($27, $28, $30); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($hep)>>2)]=$31; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($hep)>>2)]; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $he=$33; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$he; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34)|0)!=0; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 48; break; } else { __label__ = 6; break; } //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $sharpid=0; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$table; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$hash; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$3; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$39; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$sharpid; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=_JS_HashTableRawAdd($37, $hep, $38, $40, $42); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $he=$43; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$he; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44)|0)!=0; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $47=$2; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportOutOfMemory($47); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 54; break; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $49=$2; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$3; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=_JS_Enumerate($49, $50); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ida=$51; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$ida; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=(($52)|0)!=0; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 54; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $ok=1; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=0; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$ida; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $length=$58; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $60=$i; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$length; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=(($60)|0) < (($61)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 42; break; } //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $64=$i; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$ida; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65+4)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($66+($64<<2))|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$68; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$3; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$2; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$id; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($69, $70, $71, $obj2, $prop); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ok=$72; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=$ok; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=(($73)|0)!=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($74) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 42; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $77=HEAP32[(($prop)>>2)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=(($77)|0)!=0; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($78) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      __label__ = 41; break; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $81=$2; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($v, $81); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=$2; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($setter, $82); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=HEAP32[(($obj2)>>2)]; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=__ZNK8JSObject8isNativeEv($83); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($84) { __label__ = 17; break; } else { __label__ = 22; break; } //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $86=HEAP32[(($prop)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$86; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$87; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$shape; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=__ZNK2js5Shape14hasGetterValueEv($88); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=(($89)&1); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $hasGetter=$90; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=$shape; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=__ZNK2js5Shape14hasSetterValueEv($91); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($92)&1); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $hasSetter=$93; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$hasGetter; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=(($94) & 1); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($95) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $97=$shape; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape11getterValueEv($5, $97); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueRooter3setEN2JS5ValueE($v, $5); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 19; break; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $99=$hasSetter; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=(($99) & 1); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($100) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $102=$shape; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape11setterValueEv($6, $102); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueRooter3setEN2JS5ValueE($setter, $6); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 21; break; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      __label__ = 23; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      $hasSetter=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $hasGetter=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break;
    case 23: 
      var $106=$hasSetter; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=(($106) & 1); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($107) { __label__ = 24; break; } else { __label__ = 30; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $109=$hasGetter; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=(($109) & 1); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($110) { __label__ = 25; break; } else { __label__ = 29; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $112=__ZNK2js15AutoValueRooter5valueEv($v); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=__ZNK2JS5Value8isObjectEv($112); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($113) { __label__ = 26; break; } else { __label__ = 29; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $115=$2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=__ZNK2js15AutoValueRooter5valueEv($v); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=__ZNK2JS5Value8toObjectEv($116); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=__ZL16MarkSharpObjectsP9JSContextP8JSObjectPP9JSIdArray($115, $117, 0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=(($118)|0)!=0; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=$119 ^ 1; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=$120 ^ 1; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=(($121)&1); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ok=$122; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=$ok; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=(($123)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($124) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      $7=4;
      __label__ = 39; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      __label__ = 29; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $128=__ZNK2js15AutoValueRooter5valueEv($setter); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=$8; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=$128; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($129)>>2)]=HEAP32[(($130)>>2)];HEAP32[(($129+4)>>2)]=HEAP32[(($130+4)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueRooter3setEN2JS5ValueE($v, $8); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 35; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $132=$hasGetter; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=(($132) & 1); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($133) { __label__ = 34; break; } else { __label__ = 31; break; } //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $135=$3; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=$2; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=$id; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=__ZN2js15AutoValueRooter4addrEv($v); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($135, $136, $137, $138); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ok=$139; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $140=$ok; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=(($140)|0)!=0; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($141) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      $7=4;
      __label__ = 39; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      __label__ = 34; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      __label__ = 35; break;
    case 35: 
      var $146=__ZNK2js15AutoValueRooter5valueEv($v); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=__ZNK2JS5Value8isObjectEv($146); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($147) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $149=$2; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $150=__ZNK2js15AutoValueRooter5valueEv($v); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $151=__ZNK2JS5Value8toObjectEv($150); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=__ZL16MarkSharpObjectsP9JSContextP8JSObjectPP9JSIdArray($149, $151, 0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=(($152)|0)!=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($153) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      $ok=0; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=4;
      __label__ = 39; break; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      $7=0; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 39; break; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      __ZN2js15AutoValueRooterD1Ev($setter); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueRooterD1Ev($v); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 40; break;
      }
      else if ((($cleanup_dest)|0) == 4) {
        __label__ = 42; break;
      }
      else {
      __label__ = 55; break;
      }
      
    case 40: 
      __label__ = 41; break; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      var $159=$i; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=(($159+1)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$160; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      var $162=$ok; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $163=(($162)|0)!=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($163) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 43: 
      var $165=$4; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=(($165)|0)!=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($166) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 44: 
      var $168=$2; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $169=$ida; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_DestroyIdArray($168, $169); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 45: 
      var $171=$ok; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $172=(($171)|0)!=0; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($172) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 46: 
      $1=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 54; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 47: 
      __label__ = 51; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 48: 
      var $176=$he; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $177=(($176+12)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $178=HEAP32[(($177)>>2)]; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $179=$178; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $sharpid=$179; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $180=$sharpid; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $181=(($180)|0)==0; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($181) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 49: 
      var $183=$map; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $184=(($183+4)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $186=(($185+1)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($184)>>2)]=$186; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=$186 << 2; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $sharpid=$187; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $188=$sharpid; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $189=$188; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $190=$he; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $191=(($190+12)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($191)>>2)]=$189; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 50; break; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 50: 
      $ida=0; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 51; break;
    case 51: 
      var $194=$4; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $195=(($194)|0)!=0; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($195) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 52: 
      var $197=$ida; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $198=$4; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($198)>>2)]=$197; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 53; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 53: 
      var $200=$he; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$200; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 54; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 54: 
      var $202=$1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $202; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 55: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16MarkSharpObjectsP9JSContextP8JSObjectPP9JSIdArray["X"]=1;

function __ZL10EvalKernelP9JSContextRKN2js8CallArgsE8EvalTypePNS1_10StackFrameER8JSObject($cx, $call, $evalType, $caller, $scopeobj) {
  var __stackBase__  = STACKTOP; STACKTOP += 76; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $str;
      var $staticLevel;
      var $thisv=__stackBase__;
      var $thisobj;
      var $7=__stackBase__+8;
      var $linearStr;
      var $chars;
      var $length;
      var $cp;
      var $end;
      var $parser=__stackBase__+16;
      var $tmp=__stackBase__+48;
      var $esg=__stackBase__+56;
      var $principals;
      var $lineno=__stackBase__+72;
      var $filename;
      var $tcflags;
      var $compiled;
      var $8;
      $2=$cx;
      $3=$call;
      $4=$evalType;
      $5=$caller;
      $6=$scopeobj;
      var $9=$2; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$6; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZL25AssertInnerizedScopeChainP9JSContextR8JSObject($9, $10); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$6; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK8JSObject9getGlobalEv($11); //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$2; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZN2js12GlobalObject23isRuntimeCodeGenEnabledEP9JSContext($12, $13); //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $16=$2; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportError($16, ((STRING_TABLE.__str472250)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $18=$3; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK2js8CallArgs4argcEv($18); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19)>>>0) < 1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $22=$3; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZNK2js12CallReceiver4rvalEv($23); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $26=$3; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK2js8CallArgsixEj($26, 0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK2JS5Value8isStringEv($27); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $30=$3; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$30; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZNK2js12CallReceiver4rvalEv($31); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$3; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZNK2js8CallArgsixEj($33, 0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$32; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$34; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $38=$3; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=__ZNK2js8CallArgsixEj($38, 0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK2JS5Value8toStringEv($39); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $str=$40; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$4; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)|0)==8; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $44=$5; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=__ZNK2js10StackFrame6scriptEv($44); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45+46)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAPU16[(($46)>>1)]; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=(($47)&65535); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48+1)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $staticLevel=$49; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$2; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$5; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=__ZN2js11ComputeThisEP9JSContextPNS_10StackFrameE($50, $51); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $55=$5; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__ZNK2js10StackFrame9thisValueEv($55); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$thisv; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$56; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $staticLevel=0; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$6; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$2; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=__ZN8JSObject10thisObjectEP9JSContext($60, $61); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $thisobj=$62; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$thisobj; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63)|0)!=0; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($64) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=0; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $67=$thisobj; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($7, $67); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$thisv; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$7; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($68)>>2)]=HEAP32[(($69)>>2)];HEAP32[(($68+4)>>2)]=HEAP32[(($69+4)>>2)]; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break;
    case 14: 
      var $71=$str; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$2; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=__ZN8JSString12ensureLinearEP9JSContext($71, $72); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $linearStr=$73; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$linearStr; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($74)|0)!=0; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($75) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      $1=0; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $78=$linearStr; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=__ZNK14JSLinearString5charsEv($78); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $chars=$79; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=$linearStr; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$80; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=__ZNK8JSString6lengthEv($81); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $length=$82; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$length; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=(($83)>>>0) > 2; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($84) { __label__ = 17; break; } else { __label__ = 34; break; } //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $86=$chars; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=(($86)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=HEAPU16[(($87)>>1)]; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=(($88)&65535); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=(($89)|0)==40; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($90) { __label__ = 18; break; } else { __label__ = 34; break; } //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $92=$length; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($92-1)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$chars; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=(($94+($93<<1))|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=HEAPU16[(($95)>>1)]; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=(($96)&65535); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=(($97)|0)==41; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($98) { __label__ = 19; break; } else { __label__ = 34; break; } //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $100=$5; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=(($100)|0)!=0; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($101) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $103=$5; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=__ZNK2js10StackFrame6scriptEv($103); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$104; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=(($105+36)|0); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=HEAPU8[($106)]; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($107)&255) >>> 3; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=$108 & 1; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=(($109) & 1); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($110) { __label__ = 34; break; } else { __label__ = 21; break; } //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $112=$chars; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=(($112+2)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $cp=$113; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=$length; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=(($114-2)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=$chars; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=(($116+($115<<1))|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $end=$117; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $119=$cp; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=HEAPU16[(($119)>>1)]; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=(($120)&65535); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=(($121)|0)==8232; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($122) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $124=$cp; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=HEAPU16[(($124)>>1)]; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=(($125)&65535); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=(($126)|0)==8233; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($127) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __label__ = 33; break; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $130=$cp; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=$end; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=(($130)|0)==(($131)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($132) { __label__ = 26; break; } else { __label__ = 31; break; } //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $134=$2; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=$chars; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=(($135+2)|0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=$length; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=(($137-2)|0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN10JSONParserC1EP9JSContextPKtjNS_11ParsingModeENS_13ErrorHandlingE($parser, $134, $136, $138, 0, 1); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=__ZN10JSONParser5parseEPN2JS5ValueE($parser, $tmp); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($139) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      $1=0; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $142=__ZNK2JS5Value11isUndefinedEv($tmp); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($142) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      __label__ = 33; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $145=$3; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $146=$145; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=__ZNK2js12CallReceiver4rvalEv($146); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=$147; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $149=$tmp; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($148)>>2)]=HEAP32[(($149)>>2)];HEAP32[(($148+4)>>2)]=HEAP32[(($149+4)>>2)]; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      __label__ = 32; break; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $152=$cp; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=(($152+2)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $cp=$153; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      __label__ = 34; break; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $156=$2; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $157=$linearStr; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN15EvalScriptGuardC1EP9JSContextP14JSLinearString($esg, $156, $157); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=$3; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=$2; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=__ZN2js25PrincipalsForCompiledCodeERKNS_8CallArgsEP9JSContext($158, $159); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $principals=$160; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=$4; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=(($161)|0)==8; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($162) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $164=$5; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($164); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($165) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $167=$5; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $168=$staticLevel; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $169=$principals; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170=$6; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN15EvalScriptGuard17lookupInEvalCacheEPN2js10StackFrameEjP12JSPrincipalsR8JSObject($esg, $167, $168, $169, $170); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      var $172=__ZN15EvalScriptGuard11foundScriptEv($esg); //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($172) { __label__ = 41; break; } else { __label__ = 38; break; } //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      var $174=$2; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $175=$4; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $176=(($175)|0)==8; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $177=$176 ? 0 : 1; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $178=__ZN2js24CurrentScriptFileAndLineEP9JSContextPjNS_10LineOptionE($174, $lineno, $177); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $filename=$178; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $tcflags=33693696; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $179=$2; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $180=$6; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $181=$5; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $182=$principals; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $183=$tcflags; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $184=$chars; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $185=$length; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $186=$filename; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=HEAP32[(($lineno)>>2)]; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $188=$2; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $189=__ZNK9JSContext11findVersionEv($188); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $190=$linearStr; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $191=$190; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $192=$staticLevel; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $193=__ZN2js8Compiler13compileScriptEP9JSContextP8JSObjectPNS_10StackFrameEP12JSPrincipalsjPKtjPKcj9JSVersionP8JSStringj($179, $180, $181, $182, $183, $184, $185, $186, $187, $189, $191, $192); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $compiled=$193; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $194=$compiled; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $195=(($194)|0)!=0; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($195) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      $1=0; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 42; break; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      var $198=$compiled; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN15EvalScriptGuard12setNewScriptEP8JSScript($esg, $198); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      var $200=$2; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $201=__ZNK15EvalScriptGuard6scriptEv($esg); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $202=$6; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $203=$4; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $204=$3; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $205=$204; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $206=__ZNK2js12CallReceiver4rvalEv($205); //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $207=__ZN2js13ExecuteKernelEP9JSContextP8JSScriptR8JSObjectRKN2JS5ValueENS_11ExecuteTypeEPNS_10StackFrameEPS7_($200, $201, $202, $thisv, $203, 0, $206); //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$207; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 42; break; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      __ZN15EvalScriptGuardD1Ev($esg); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break;
    case 43: 
      var $210=$1; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $210; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10EvalKernelP9JSContextRKN2js8CallArgsE8EvalTypePNS1_10StackFrameER8JSObject["X"]=1;

function __ZNK8JSObject9getGlobalEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $obj;
      var $parent;
      $1=$this;
      var $2=$1;
      $obj=$2; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $4=$obj; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=__ZNK8JSObject9getParentEv($4); //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent=$5; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$parent; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6)|0)!=0; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $9=$parent; //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$9; //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $11=$obj; //@line 7045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZN8JSObject8asGlobalEv($11); //@line 7045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $12; //@line 7045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10DirectEvalEP9JSContextRKNS_8CallArgsE($cx, $call) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $caller;
      var $callProbe=__stackBase__;
      var $scopeChain;
      var $4;
      $2=$cx;
      $3=$call;
      var $5=$2; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK9JSContext2fpEv($5); //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $caller=$6; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$2; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$8; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK2js12CallReceiver6calleeEv($9); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZNK8JSObject18getFunctionPrivateEv($10); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$caller; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK2js10StackFrame6scriptEv($12); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js21AutoFunctionCallProbeC1EP9JSContextP10JSFunctionP8JSScript($callProbe, $7, $11, $13); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$2; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$caller; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZN2js17GetScopeChainFastEP9JSContextPNS_10StackFrameE4JSOpj($14, $15, 123, 6); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scopeChain=$16; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$scopeChain; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)|0)!=0; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 2; break; } else { var $30 = 0;__label__ = 4; break; } //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $20=$2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$3; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZL17WarnOnTooManyArgsP9JSContextRKN2js8CallArgsE($20, $21); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 3; break; } else { var $30 = 0;__label__ = 4; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $24=$2; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$3; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$caller; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$scopeChain; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZL10EvalKernelP9JSContextRKN2js8CallArgsE8EvalTypePNS1_10StackFrameER8JSObject($24, $25, 8, $26, $27); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30 = $28;__label__ = 4; break;
    case 4: 
      var $30;
      $1=$30;
      $4=1;
      __ZN2js21AutoFunctionCallProbeD1Ev($callProbe); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$1; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21AutoFunctionCallProbeC1EP9JSContextP10JSFunctionP8JSScript($this, $cx, $fun, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$fun;
  $4=$script;
  var $5=$1;
  var $6=$2; //@line 689 "./jsprobes.h"
  var $7=$3; //@line 689 "./jsprobes.h"
  var $8=$4; //@line 689 "./jsprobes.h"
  __ZN2js21AutoFunctionCallProbeC2EP9JSContextP10JSFunctionP8JSScript($5, $6, $7, $8); //@line 689 "./jsprobes.h"
  ;
  return; //@line 689 "./jsprobes.h"
}


function __ZN2js21AutoFunctionCallProbeD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js21AutoFunctionCallProbeD2Ev($2); //@line 691 "./jsprobes.h"
  ;
  return; //@line 693 "./jsprobes.h"
}


function __ZN2js21IsBuiltinEvalForScopeEP8JSObjectRKN2JS5ValueE($scopeChain, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$scopeChain;
  $2=$v;
  var $3=$1; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=__ZNK8JSObject9getGlobalEv($3); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=__ZNK2js12GlobalObject15getOriginalEvalEv($4); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZNK2JS5ValueeqERKS0_($5, $6); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $7; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZNK2js12GlobalObject15getOriginalEvalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 232 "./vm/GlobalObject.h"
  var $4=__ZNK8JSObject7getSlotEj($3, 116); //@line 232 "./vm/GlobalObject.h"
  ;
  return $4; //@line 232 "./vm/GlobalObject.h"
}


function __ZN2js16IsAnyBuiltinEvalEP10JSFunction($fun) {
  ;
  var __label__;

  var $1;
  $1=$fun;
  var $2=$1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $3=__ZNK10JSFunction11maybeNativeEv($2); //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=(($3)|0)==36; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $4; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN2js25PrincipalsForCompiledCodeERKNS_8CallArgsEP9JSContext($call, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$call;
  $2=$cx;
  var $3=$1; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=$3; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=__ZNK2js12CallReceiver6calleeEv($4); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZN8JSObject10principalsEP9JSContext($5, $6); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $7; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z23js_HasOwnPropertyHelperP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyEjPN2JS5ValueE($cx, $lookup, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      var $6=__stackBase__+4;
      var $obj;
      var $obj2=__stackBase__+12;
      var $prop=__stackBase__+16;
      var $has=__stackBase__+20;
      $2=$cx;
      $3=$lookup;
      $4=$argc;
      $5=$vp;
      var $7=$2; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)|0)!=0; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $11=$5; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+16)|0); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$6; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$12; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      __ZN2JSL14UndefinedValueEv2280($6); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($7, $6, $id); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$2; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$5; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+8)|0); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($20, $22); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$23; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $28=$obj; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZNK8JSObject7isProxyEv($28); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $31=$2; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$obj; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=HEAP32[(($id)>>2)]; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZN2js7JSProxy6hasOwnEP9JSContextP8JSObjectiPb($31, $32, $33, $has); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $37=$5; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=HEAP8[($has)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38) & 1); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($37, $39); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $41=$2; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$3; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$obj; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAP32[(($id)>>2)]; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=__Z17js_HasOwnPropertyP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyES2_iS3_S6_($41, $42, $43, $44, $obj2, $prop); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45)|0)!=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      $1=0; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $49=$5; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=HEAP32[(($prop)>>2)]; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($50)|0)!=0; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$51 ^ 1; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$52 ^ 1; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($49, $53); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $55=$1; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $55; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z23js_HasOwnPropertyHelperP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyEjPN2JS5ValueE["X"]=1;

function __ZN2JSL14UndefinedValueEv2280($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __Z17js_HasOwnPropertyP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyES2_iS3_S6_($cx, $lookup, $obj, $id, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $rf=__stackBase__;
      var $8;
      var $outer;
      var $op;
      $2=$cx;
      $3=$lookup;
      $4=$obj;
      $5=$id;
      $6=$objp;
      $7=$propp;
      var $9=$2; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $9, 5); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$3; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)|0)!=0; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$3; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16 = $13;__label__ = 4; break; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $16 = 46;__label__ = 4; break; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$2; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$4; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$5; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$6; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$7; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=FUNCTION_TABLE[$16]($17, $18, $19, $20, $21); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)|0)!=0; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 17; break; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $26=$7; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27)|0)!=0; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=1; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 17; break; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $31=$6; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$4; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($32)|0)==(($33)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=1; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 17; break; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $outer=0; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$6; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=__ZNK8JSObject8getClassEv($38); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39+68)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40+4)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $op=$42; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$op; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=(($43)|0)!=0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $46=$op; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$2; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$6; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=FUNCTION_TABLE[$46]($47, $49); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $outer=$50; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$outer; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=0; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 17; break; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 14; break; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $56=$outer; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$6; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($56)|0)!=(($58)|0); //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $61=$7; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($61)>>2)]=0; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=1; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 17; break; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$1; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_HasOwnPropertyP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyES2_iS3_S6_["X"]=1;

function __Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($cx, $obj, $id, $objp, $propp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$objp;
  $5=$propp;
  var $6=$3; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__Z22js_CheckForStringIndexi($6); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  $3=$7; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$1; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$2; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$3; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$1; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=(($11+208)|0); //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=HEAP32[(($12)>>2)]; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $14=$4; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $15=$5; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $16=__ZL29LookupPropertyWithFlagsInlineP9JSContextP8JSObjectijPS2_PP10JSProperty($8, $9, $10, $13, $14, $15); //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $17=(($16)&1); //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $17; //@line 5493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z23js_PropertyIsEnumerableP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $attrs=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $6=$3; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$2; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($6, $7, $8, $pobj, $prop); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)!=0; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=HEAP32[(($prop)>>2)]; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$5; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($16, 0); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $18=HEAP32[(($pobj)>>2)]; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($18)|0)!=(($19)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $22=$5; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($22, 0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $24=HEAP32[(($pobj)>>2)]; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$2; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$4; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZN8JSObject13getAttributesEP9JSContextiPj($24, $25, $26, $attrs); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27)|0)!=0; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $31=$5; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($attrs)>>2)]; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$32 & 1; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)|0)!=0; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($31, $34); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $36=$1; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z23js_PropertyIsEnumerableP9JSContextP8JSObjectiPN2JS5ValueE["X"]=1;

function __ZN2jsL16CastAsPropertyOpEP8JSObject2286($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 80 "./jsobj.h"
  var $3=$2; //@line 80 "./jsobj.h"
  var $4=$3; //@line 80 "./jsobj.h"
  ;
  return $4; //@line 80 "./jsobj.h"
}


function __ZN2jsL22CastAsStrictPropertyOpEP8JSObject2289($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 86 "./jsobj.h"
  var $3=$2; //@line 86 "./jsobj.h"
  var $4=$3; //@line 86 "./jsobj.h"
  ;
  return $4; //@line 86 "./jsobj.h"
}


function __Z19js_obj_defineGetterP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $call=__stackBase__;
      var $obj;
      var $getter;
      var $id=__stackBase__+8;
      var $junk=__stackBase__+12;
      var $attrs=__stackBase__+20;
      var $5=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($call, $6, $7); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$2; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$call; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN2js16BoxNonStrictThisEP9JSContextRKNS_12CallReceiverE($8, $9); //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$call; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK2js12CallReceiver5thisvEv($13); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZNK2JS5Value8toObjectEv($14); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$15; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16)>>>0) <= 1; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=__ZNK2js8CallArgsixEj($call, 1); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZL13js_IsCallableRKN2JS5ValueE2285($19); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $22=$2; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($22, 2, 0, 151, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_getter_str)|0),tempInt)); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $24=__ZNK2js8CallArgsixEj($call, 1); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZNK2JS5Value8toObjectEv($24); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN2jsL16CastAsPropertyOpEP8JSObject2286($25); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $getter=$26; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$2; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK2js8CallArgsixEj($call, 0); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($27, $28, $id); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $32=$2; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$obj; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZN2js18CheckRedeclarationEP9JSContextP8JSObjectij($32, $33, $34, 16); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $38=$2; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$obj; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=HEAP32[(($id)>>2)]; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($38, $39, $40, 3, $junk, $attrs); //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)|0)!=0; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $1=0; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $45=$call; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=__ZNK2js12CallReceiver4rvalEv($45); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($46); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$obj; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$2; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=HEAP32[(($id)>>2)]; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($5); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$getter; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($47, $48, $49, $5, $50, 10, 81); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$51; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $53=$1; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_obj_defineGetterP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13js_IsCallableRKN2JS5ValueE2285($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($cx, $obj, $id, $mode, $vp, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $writing;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $clasp;
      var $shape;
      var $callbacks;
      var $check;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$mode;
      $6=$vp;
      $7=$attrsp;
      __label__ = 2; break; //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=$3; //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject6isWithEv($9); //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$3; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK8JSObject8getProtoEv($12); //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$13; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $15=$5; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$15 & 8; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16)|0)!=0; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)&1); //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $writing=$18; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$5; //@line 6621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$19 & 7; //@line 6621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ((($20)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($20)|0) == 1) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 5: 
      var $22=$3; //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($pobj)>>2)]=$22; //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$writing; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23)|0)!=0; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $26=$6; //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$3; //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK8JSObject8getProtoEv($27); //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value15setObjectOrNullEP8JSObject($26, $28); //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $30=$7; //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($30)>>2)]=4; //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break; //@line 6627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $32=$3; //@line 6631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($pobj)>>2)]=$32; //@line 6631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$6; //@line 6632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$3; //@line 6632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZNK8JSObject9getParentEv($34); //@line 6632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($33, $35); //@line 6632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$7; //@line 6633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($36)>>2)]=6; //@line 6633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break; //@line 6634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $38=$3; //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$2; //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$4; //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($38, $39, $40, $pobj, $prop); //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)|0)!=0; //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 6638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 6638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $45=HEAP32[(($prop)>>2)]; //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45)|0)!=0; //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 15; break; } else { __label__ = 12; break; } //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $48=$writing; //@line 6640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)|0)!=0; //@line 6640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $51=$6; //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($51); //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $53=$7; //@line 6642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($53)>>2)]=0; //@line 6642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$3; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($pobj)>>2)]=$54; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break; //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $56=HEAP32[(($pobj)>>2)]; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=__ZNK8JSObject8isNativeEv($56); //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $59=$writing; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=(($59)|0)!=0; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($60) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $62=$6; //@line 6649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($62); //@line 6649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$7; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($63)>>2)]=0; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 18; break; //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 25; break; //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $66=HEAP32[(($prop)>>2)]; //@line 6655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$66; //@line 6655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$67; //@line 6655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$shape; //@line 6656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=__ZNK2js5Shape10attributesEv($68); //@line 6656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69)&255); //@line 6656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$7; //@line 6656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($71)>>2)]=$70; //@line 6656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$writing; //@line 6657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=(($72)|0)!=0; //@line 6657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($73) { __label__ = 24; break; } else { __label__ = 20; break; } //@line 6657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $75=HEAP32[(($pobj)>>2)]; //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$shape; //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=(($76+24)|0); //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=__ZNK8JSObject12containsSlotEj($75, $78); //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $81=$6; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=HEAP32[(($pobj)>>2)]; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$shape; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=(($83+24)|0); //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=__ZNK8JSObject13nativeGetSlotEj($82, $85); //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$81; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$86; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[(($88+4)>>2)]; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $90=$6; //@line 6661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($90); //@line 6661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break; //@line 6662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __label__ = 25; break; //@line 6663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $94=HEAP32[(($pobj)>>2)]; //@line 6677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=__ZNK8JSObject8getClassEv($94); //@line 6677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$95; //@line 6677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=$clasp; //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=(($96+44)|0); //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $check=$98; //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=$check; //@line 6679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=(($99)|0)!=0; //@line 6679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($100) { __label__ = 30; break; } else { __label__ = 26; break; } //@line 6679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $102=$2; //@line 6680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=_JS_GetSecurityCallbacks($102); //@line 6680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $callbacks=$103; //@line 6680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=$callbacks; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=(($104)|0)!=0; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($105) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $107=$callbacks; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($107)|0); //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112 = $109;__label__ = 29; break; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $112 = 0;__label__ = 29; break; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $112; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $check=$112; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 30; break; //@line 6682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $114=$check; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=(($114)|0)!=0; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($115) { __label__ = 31; break; } else { var $126 = 1;__label__ = 32; break; } //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $117=$check; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=$2; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=HEAP32[(($pobj)>>2)]; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=$4; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=$5; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=$6; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=FUNCTION_TABLE[$117]($118, $119, $120, $121, $122); //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=(($123)|0)!=0; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126 = $124;__label__ = 32; break; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $126;
      var $127=(($126)&1); //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$127; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $129=$1; //@line 6684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $129; //@line 6684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj["X"]=1;

function __Z19js_obj_defineSetterP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $call=__stackBase__;
      var $obj;
      var $setter;
      var $id=__stackBase__+8;
      var $junk=__stackBase__+12;
      var $attrs=__stackBase__+20;
      var $5=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js14CallArgsFromVpEjPN2JS5ValueE($call, $6, $7); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$2; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$call; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN2js16BoxNonStrictThisEP9JSContextRKNS_12CallReceiverE($8, $9); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$call; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK2js12CallReceiver5thisvEv($13); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZNK2JS5Value8toObjectEv($14); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$15; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16)>>>0) <= 1; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=__ZNK2js8CallArgsixEj($call, 1); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZL13js_IsCallableRKN2JS5ValueE2285($19); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $22=$2; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($22, 2, 0, 151, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_setter_str)|0),tempInt)); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $24=__ZNK2js8CallArgsixEj($call, 1); //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZNK2JS5Value8toObjectEv($24); //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN2jsL22CastAsStrictPropertyOpEP8JSObject2289($25); //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $setter=$26; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$2; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK2js8CallArgsixEj($call, 0); //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($27, $28, $id); //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $32=$2; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$obj; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZN2js18CheckRedeclarationEP9JSContextP8JSObjectij($32, $33, $34, 32); //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $38=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$obj; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=HEAP32[(($id)>>2)]; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($38, $39, $40, 3, $junk, $attrs); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $45=$call; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=__ZNK2js12CallReceiver4rvalEv($45); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($46); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$obj; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$2; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=HEAP32[(($id)>>2)]; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($5); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$setter; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($47, $48, $49, $5, 8, $50, 97); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$51; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $53=$1; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_obj_defineSetterP9JSContextjPN2JS5ValueE["X"]=1;

function __Z18obj_getPrototypeOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $bytes;
      var $obj;
      var $attrs=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)|0)==0; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $8=$2; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z19js_ReportMissingArgP9JSContextRKN2JS5ValueEj($8, $9, 0); //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$4; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+16)|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK2JS5Value11isPrimitiveEv($12); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $15=$2; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$4; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+16)|0); //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString2290($15, 1, $17, 0); //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $bytes=$18; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$bytes; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19)|0)!=0; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $23=$2; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$bytes; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($23, 2, 0, 222, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$24,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str82193)|0),tempInt)); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$2; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$bytes; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_free($25, $26); //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $28=$4; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+16)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZNK2JS5Value8toObjectEv($29); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$30; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$2; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$obj; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$2; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33+52)|0); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35+209948)|0); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36+344)|0); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$38; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZL12ATOM_TO_JSIDP6JSAtom2291($39); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$4; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($31, $32, $40, 0, $41, $attrs); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$42; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $44=$1; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18obj_getPrototypeOfP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString2290($cx, $spindex, $v, $fallback) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$cx;
  $2=$spindex;
  $3=$v;
  $4=$fallback;
  var $6=$1; //@line 500 "./jsopcode.h"
  var $7=$2; //@line 500 "./jsopcode.h"
  var $8=$3; //@line 500 "./jsopcode.h"
  var $9=$5; //@line 500 "./jsopcode.h"
  var $10=$8; //@line 500 "./jsopcode.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 500 "./jsopcode.h"
  var $11=$4; //@line 500 "./jsopcode.h"
  var $12=_js_DecompileValueGenerator($6, $7, $5, $11); //@line 500 "./jsopcode.h"
  STACKTOP = __stackBase__;
  return $12; //@line 500 "./jsopcode.h"
}


function __ZL12ATOM_TO_JSIDP6JSAtom2291($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj2517($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js27NewPropertyDescriptorObjectEP9JSContextPK20JSPropertyDescriptorPN2JS5ValueE($cx, $desc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      $2=$cx;
      $3=$desc;
      $4=$vp;
      var $5=$3; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)|0); //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0)!=0; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$4; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($10); //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      FUNCTION_TABLE[__ZN2js8PropDescC1Ev]($d); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js8PropDesc26initFromPropertyDescriptorERK20JSPropertyDescriptor($d, $12); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$2; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZN2js8PropDesc10makeObjectEP9JSContext($d, $13); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $17=$4; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($d)|0); //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$17; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$18; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $22=$1; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8PropDesc26initFromPropertyDescriptorERK20JSPropertyDescriptor($this, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+8;
      $1=$this;
      $2=$desc;
      var $5=$1;
      var $6=(($5)|0); //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($6); //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$2; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7+4)|0); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9) & 255); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($5+32)|0); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($11)]=$10; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$2; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12+4)|0); //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$14 & 48; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)|0)!=0; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $18=$5; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18+33)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAP8[($19)]; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$20 & -2; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$21 | 1; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($19)]=$22; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($5+16)|0); //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$2; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+4)|0); //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$26 & 16; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27)|0)!=0; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $30=$2; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30+8)|0); //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($32)|0)!=0; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $35=$2; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35+8)|0); //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($3, $37); //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __ZN2JSL14UndefinedValueEv2280($3); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $40=$23; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$3; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$5; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42+33)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAP8[($43)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$44 & -3; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$45 | 2; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($43)]=$46; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=(($5+24)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$2; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48+4)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$50 & 32; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0)!=0; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $54=$2; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($54+12)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)|0)!=0; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $59=$2; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=(($59+12)|0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE($4, $61); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      __ZN2JSL14UndefinedValueEv2280($4); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $64=$47; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$4; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$5; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($66+33)|0); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=HEAP8[($67)]; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$68 & -5; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($67)]=$69; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($5+8)|0); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($70); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$5; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=(($71+33)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=HEAP8[($72)]; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$73 & -9; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($72)]=$74; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $76=$5; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=(($76+33)|0); //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=HEAP8[($77)]; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=$78 & -2; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($77)]=$79; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=(($5+16)|0); //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($80); //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$5; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=(($81+33)|0); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=HEAP8[($82)]; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=$83 & -3; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($82)]=$84; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=(($5+24)|0); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($85); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=$5; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=(($86+33)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=HEAP8[($87)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$88 & -5; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$89 | 4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($87)]=$90; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($5+8)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=$2; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($92+16)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$91; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=$93; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($94)>>2)]=HEAP32[(($95)>>2)];HEAP32[(($94+4)>>2)]=HEAP32[(($95+4)>>2)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=$5; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=(($96+33)|0); //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=HEAP8[($97)]; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=$98 & -9; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=$99 | 8; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($97)]=$100; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break;
    case 12: 
      var $102=$5; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=(($102+33)|0); //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=HEAP8[($103)]; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$104 & -17; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$105 | 16; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($103)]=$106; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$5; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($107+33)|0); //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=HEAP8[($108)]; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=$109 & -33; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=$110 | 32; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($108)]=$111; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8PropDesc26initFromPropertyDescriptorERK20JSPropertyDescriptor["X"]=1;

function __ZN2js8PropDesc10makeObjectEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $atomState;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      $2=$this;
      $3=$cx;
      var $7=$2;
      var $8=$3; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2296($8, __ZN2js11ObjectClassE); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$9; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$obj; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)|0)!=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$3; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14+52)|0); //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+209948)|0); //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $atomState=$17; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$7; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18+33)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAPU8[($19)]; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)&255) >>> 5; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$21 & 1; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22) & 1); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $25=$obj; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$3; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$atomState; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27+400)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$29; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZL12ATOM_TO_JSIDP6JSAtom2291($30); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($7+32)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=HEAPU8[($32)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)&255); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$34 & 4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35)|0)==0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL12BooleanValueEb2297($4, $36); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($25, $26, $31, $4, 8, 10, 1); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37)|0)!=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($38) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $40=$7; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40+33)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=HEAPU8[($41)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42)&255) >>> 4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$43 & 1; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44) & 1); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $47=$obj; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$3; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$atomState; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=(($49+396)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$51; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=__ZL12ATOM_TO_JSIDP6JSAtom2291($52); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($7+32)|0); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=HEAPU8[($54)]; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55)&255); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$56 & 1; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=(($57)|0)!=0; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL12BooleanValueEb2297($5, $58); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($47, $48, $53, $5, 8, 10, 1); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=(($59)|0)!=0; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($60) { __label__ = 7; break; } else { __label__ = 15; break; } //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $62=$7; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=(($62+33)|0); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=HEAP8[($63)]; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$64 & 1; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65) & 1); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($66) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $68=$obj; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$3; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$atomState; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=(($70+272)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=$72; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=__ZL12ATOM_TO_JSIDP6JSAtom2291($73); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($7+16)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($68, $69, $74, $75, 8, 10, 1); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=(($76)|0)!=0; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($77) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $79=$7; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=(($79+33)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=HEAPU8[($80)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=(($81)&255) >>> 1; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$82 & 1; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=(($83) & 1); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($84) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $86=$obj; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$3; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$atomState; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=(($88+348)|0); //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=$90; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=__ZL12ATOM_TO_JSIDP6JSAtom2291($91); //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($7+24)|0); //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($86, $87, $92, $93, 8, 10, 1); //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=(($94)|0)!=0; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($95) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $97=$7; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=(($97+33)|0); //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=HEAPU8[($98)]; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=(($99)&255) >>> 2; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$100 & 1; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=(($101) & 1); //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($102) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $104=$obj; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$3; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$atomState; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=(($106+408)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=$108; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=__ZL12ATOM_TO_JSIDP6JSAtom2291($109); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=(($7+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($104, $105, $110, $111, 8, 10, 1); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=(($112)|0)!=0; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($113) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $115=$7; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=(($115+33)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=HEAPU8[($116)]; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=(($117)&255) >>> 3; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=$118 & 1; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=(($119) & 1); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($120) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $122=$obj; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=$3; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=$atomState; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=(($124+404)|0); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=$126; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $128=__ZL12ATOM_TO_JSIDP6JSAtom2291($127); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=(($7+32)|0); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=HEAPU8[($129)]; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=(($130)&255); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=$131 & 2; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=(($132)|0)==0; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL12BooleanValueEb2297($6, $133); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($122, $123, $128, $6, 8, 10, 1); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=(($134)|0)!=0; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($135) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      $1=0; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $138=(($7)|0); //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=$obj; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($138, $139); //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $141=$1; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $141; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8PropDesc10makeObjectEP9JSContext["X"]=1;

function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2296($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb2335($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2318($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2JSL12BooleanValueEb2297($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiP20JSPropertyDescriptor($cx, $obj, $id, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $doGet;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$desc;
      var $6=$3; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK8JSObject7isProxyEv($6); //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=$2; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$3; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$4; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$5; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($9, $10, $11, 0, $12); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$13; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $15=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZNK8JSObject6getOpsEv($16); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+4)|0); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$3; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$4; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__Z17js_HasOwnPropertyP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyES2_iS3_S6_($15, $19, $20, $21, $pobj, $prop); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)|0)!=0; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $26=HEAP32[(($prop)>>2)]; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26)|0)!=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $29=$5; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29)|0); //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($30)>>2)]=0; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $doGet=1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($pobj)>>2)]; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZNK8JSObject8isNativeEv($32); //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $35=HEAP32[(($prop)>>2)]; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$35; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$36; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$shape; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=__ZNK2js5Shape10attributesEv($37); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38)&255); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$5; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40+4)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$5; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42+4)|0); //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$44 & 48; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45)|0)!=0; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $doGet=0; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$5; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48+4)|0); //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$50 & 16; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0)!=0; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $54=$shape; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=__ZNK2js5Shape12getterObjectEv($54); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__ZN2jsL16CastAsPropertyOpEP8JSObject2286($55); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$5; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=(($57+8)|0); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($58)>>2)]=$56; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $60=$5; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($60+4)|0); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$62 & 32; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63)|0)!=0; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($64) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $66=$shape; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=__ZNK2js5Shape12setterObjectEv($66); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=__ZN2jsL22CastAsStrictPropertyOpEP8JSObject2289($67); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$5; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69+12)|0); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($70)>>2)]=$68; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 14; break; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 18; break; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $74=HEAP32[(($pobj)>>2)]; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$2; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$4; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=$5; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=(($77+4)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=__ZN8JSObject13getAttributesEP9JSContextiPj($74, $75, $76, $78); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=(($79)|0)!=0; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($80) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=0; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $84=$doGet; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=(($84) & 1); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($85) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $87=$3; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$2; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$4; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$5; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90+16)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($87, $88, $89, $91); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($92)|0)!=0; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($93) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      $1=0; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $96=$3; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=$5; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=(($97)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($98)>>2)]=$96; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $100=$1; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiP20JSPropertyDescriptor["X"]=1;

function __ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $desc=__stackBase__;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $7=$2; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $7); //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$2; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$3; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$4; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($desc)|0)==0; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$desc; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+16)|0); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$14; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18 = $15;__label__ = 4; break; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $18 = 0;__label__ = 4; break; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiP20JSPropertyDescriptor($8, $9, $10, $18); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 5; break; } else { var $33 = 0;__label__ = 9; break; } //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $21=$2; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($desc)|0)==0; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $24=$desc; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+16)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$25; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29 = $26;__label__ = 8; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $29 = 0;__label__ = 8; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $29; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$5; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZN2js27NewPropertyDescriptorObjectEP9JSContextPK20JSPropertyDescriptorPN2JS5ValueE($21, $29, $30); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33 = $31;__label__ = 9; break;
    case 9: 
      var $33;
      $1=$33;
      $6=1;
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$1; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8PropDescC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1989 "./jsobj.h"
  __ZN2JSL14UndefinedValueEv2280($3); //@line 1978 "./jsobj.h"
  var $4=(($2+8)|0); //@line 1978 "./jsobj.h"
  __ZN2JSL14UndefinedValueEv2280($4); //@line 1979 "./jsobj.h"
  var $5=(($2+16)|0); //@line 1979 "./jsobj.h"
  __ZN2JSL14UndefinedValueEv2280($5); //@line 1980 "./jsobj.h"
  var $6=(($2+24)|0); //@line 1980 "./jsobj.h"
  __ZN2JSL14UndefinedValueEv2280($6); //@line 1981 "./jsobj.h"
  var $7=(($2+32)|0); //@line 1981 "./jsobj.h"
  HEAP8[($7)]=0; //@line 1981 "./jsobj.h"
  var $8=$2; //@line 1981 "./jsobj.h"
  var $9=(($8+33)|0); //@line 1981 "./jsobj.h"
  var $10=HEAP8[($9)]; //@line 1981 "./jsobj.h"
  var $11=$10 & -2; //@line 1981 "./jsobj.h"
  HEAP8[($9)]=$11; //@line 1981 "./jsobj.h"
  var $12=$2; //@line 1981 "./jsobj.h"
  var $13=(($12+33)|0); //@line 1981 "./jsobj.h"
  var $14=HEAP8[($13)]; //@line 1981 "./jsobj.h"
  var $15=$14 & -3; //@line 1981 "./jsobj.h"
  HEAP8[($13)]=$15; //@line 1981 "./jsobj.h"
  var $16=$2; //@line 1981 "./jsobj.h"
  var $17=(($16+33)|0); //@line 1981 "./jsobj.h"
  var $18=HEAP8[($17)]; //@line 1981 "./jsobj.h"
  var $19=$18 & -5; //@line 1981 "./jsobj.h"
  HEAP8[($17)]=$19; //@line 1981 "./jsobj.h"
  var $20=$2; //@line 1981 "./jsobj.h"
  var $21=(($20+33)|0); //@line 1981 "./jsobj.h"
  var $22=HEAP8[($21)]; //@line 1981 "./jsobj.h"
  var $23=$22 & -9; //@line 1981 "./jsobj.h"
  HEAP8[($21)]=$23; //@line 1981 "./jsobj.h"
  var $24=$2; //@line 1981 "./jsobj.h"
  var $25=(($24+33)|0); //@line 1981 "./jsobj.h"
  var $26=HEAP8[($25)]; //@line 1981 "./jsobj.h"
  var $27=$26 & -17; //@line 1981 "./jsobj.h"
  HEAP8[($25)]=$27; //@line 1981 "./jsobj.h"
  var $28=$2; //@line 1981 "./jsobj.h"
  var $29=(($28+33)|0); //@line 1981 "./jsobj.h"
  var $30=HEAP8[($29)]; //@line 1981 "./jsobj.h"
  var $31=$30 & -33; //@line 1981 "./jsobj.h"
  HEAP8[($29)]=$31; //@line 1981 "./jsobj.h"
  ;
  return; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN2js8PropDesc10initializeEP9JSContextRKN2JS5ValueEb($this, $cx, $origval, $checkAccessors) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $v=__stackBase__;
      var $desc;
      var $found=__stackBase__+8;
      $2=$this;
      $3=$cx;
      $4=$origval;
      var $6=(($checkAccessors)&1);
      $5=$6;
      var $7=$2;
      var $8=$4; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$v; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$8; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZNK2JS5Value11isPrimitiveEv($v); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$3; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($13, 2, 0, 231, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $15=__ZNK2JS5Value8toObjectEv($v); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $desc=$15; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($7)|0); //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$16; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$v; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($7+32)|0); //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($19)]=6; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($found)]=0; //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$3; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$desc; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$3; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22+52)|0); //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+209948)|0); //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25+396)|0); //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZL12ATOM_TO_JSIDP6JSAtom2291($28); //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZL11HasPropertyP9JSContextP8JSObjectiPN2JS5ValueEPb($20, $21, $29, $v, $found); //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $33=HEAP8[($found)]; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33) & 1); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $36=$7; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36+33)|0); //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=HEAP8[($37)]; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$38 & -17; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$39 | 16; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($37)]=$40; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__Z17js_ValueToBooleanRKN2JS5ValueE($v); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)|0)!=0; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $44=(($7+32)|0); //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=HEAPU8[($44)]; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45)&255); //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$46 | 1; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=(($47) & 255); //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($44)]=$48; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $51=$3; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$desc; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$3; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53+52)|0); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55+209948)|0); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56+400)|0); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$58; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom2291($59); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=__ZL11HasPropertyP9JSContextP8JSObjectiPN2JS5ValueEPb($51, $52, $60, $v, $found); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($61) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $64=HEAP8[($found)]; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($64) & 1); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $67=$7; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=(($67+33)|0); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=HEAP8[($68)]; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$69 & -33; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$70 | 32; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($68)]=$71; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=__Z17js_ValueToBooleanRKN2JS5ValueE($v); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=(($72)|0)!=0; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $75=(($7+32)|0); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=HEAPU8[($75)]; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=(($76)&255); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=$77 & -5; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=(($78) & 255); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($75)]=$79; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 15; break; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $82=$3; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$desc; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=$3; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=(($84+52)|0); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=(($86+209948)|0); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=(($87+408)|0); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$89; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=__ZL12ATOM_TO_JSIDP6JSAtom2291($90); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=__ZL11HasPropertyP9JSContextP8JSObjectiPN2JS5ValueEPb($82, $83, $91, $v, $found); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($92) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=0; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $95=HEAP8[($found)]; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=(($95) & 1); //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($96) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $98=$7; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=(($98+33)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=HEAP8[($99)]; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$100 & -5; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$101 | 4; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($99)]=$102; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=(($7+8)|0); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=$103; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$v; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($104)>>2)]=HEAP32[(($105)>>2)];HEAP32[(($104+4)>>2)]=HEAP32[(($105+4)>>2)]; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 19; break; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $107=$3; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=$desc; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=$3; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=(($109+52)|0); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=(($111+209948)|0); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=(($112+404)|0); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=$114; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=__ZL12ATOM_TO_JSIDP6JSAtom2291($115); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=__ZL11HasPropertyP9JSContextP8JSObjectiPN2JS5ValueEPb($107, $108, $116, $v, $found); //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($117) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      $1=0; //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $120=HEAP8[($found)]; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=(($120) & 1); //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($121) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $123=$7; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=(($123+33)|0); //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=HEAP8[($124)]; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=$125 & -9; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=$126 | 8; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($124)]=$127; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $128=__Z17js_ValueToBooleanRKN2JS5ValueE($v); //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=(($128)|0)!=0; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($129) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $131=(($7+32)|0); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=HEAPU8[($131)]; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=(($132)&255); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=$133 & -3; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=(($134) & 255); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($131)]=$135; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __label__ = 25; break; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $138=$3; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=$desc; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $140=$3; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=(($140+52)|0); //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $143=(($142+209948)|0); //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $144=(($143+272)|0); //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $146=$145; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=__ZL12ATOM_TO_JSIDP6JSAtom2291($146); //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=__ZL11HasPropertyP9JSContextP8JSObjectiPN2JS5ValueEPb($138, $139, $147, $v, $found); //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($148) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      $1=0; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $151=HEAP8[($found)]; //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=(($151) & 1); //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($152) { __label__ = 28; break; } else { __label__ = 32; break; } //@line 2053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $154=$7; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $155=(($154+33)|0); //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $156=HEAP8[($155)]; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $157=$156 & -2; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=$157 | 1; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($155)]=$158; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=(($7+16)|0); //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=$159; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=$v; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($160)>>2)]=HEAP32[(($161)>>2)];HEAP32[(($160+4)>>2)]=HEAP32[(($161+4)>>2)]; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=(($7+32)|0); //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $163=HEAPU8[($162)]; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $164=(($163)&255); //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=$164 | 80; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=(($165) & 255); //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($162)]=$166; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $167=$5; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $168=(($167) & 1); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($168) { __label__ = 29; break; } else { __label__ = 31; break; } //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $170=$3; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $171=__ZN2js8PropDesc11checkGetterEP9JSContext($7, $170); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($171) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      $1=0; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      __label__ = 32; break; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $175=$3; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $176=$desc; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $177=$3; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $178=(($177+52)|0); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $180=(($179+209948)|0); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $181=(($180+348)|0); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $183=$182; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $184=__ZL12ATOM_TO_JSIDP6JSAtom2291($183); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $185=__ZL11HasPropertyP9JSContextP8JSObjectiPN2JS5ValueEPb($175, $176, $184, $v, $found); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($185) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      $1=0; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $188=HEAP8[($found)]; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $189=(($188) & 1); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($189) { __label__ = 35; break; } else { __label__ = 39; break; } //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $191=$7; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $192=(($191+33)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $193=HEAP8[($192)]; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $194=$193 & -3; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $195=$194 | 2; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($192)]=$195; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $196=(($7+24)|0); //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $197=$196; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $198=$v; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($197)>>2)]=HEAP32[(($198)>>2)];HEAP32[(($197+4)>>2)]=HEAP32[(($198+4)>>2)]; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $199=(($7+32)|0); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $200=HEAPU8[($199)]; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $201=(($200)&255); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $202=$201 | 96; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $203=(($202) & 255); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($199)]=$203; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $204=$5; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $205=(($204) & 1); //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($205) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $207=$3; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $208=__ZN2js8PropDesc11checkSetterEP9JSContext($7, $207); //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($208) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      $1=0; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      __label__ = 39; break; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      var $212=$7; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $213=(($212+33)|0); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $214=HEAP8[($213)]; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $215=$214 & 1; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $216=(($215) & 1); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($216) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      var $218=$7; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $219=(($218+33)|0); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $220=HEAPU8[($219)]; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $221=(($220)&255) >>> 1; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $222=$221 & 1; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $223=(($222) & 1); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($223) { __label__ = 41; break; } else { __label__ = 44; break; } //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      var $225=$7; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $226=(($225+33)|0); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $227=HEAPU8[($226)]; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $228=(($227)&255) >>> 2; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $229=$228 & 1; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $230=(($229) & 1); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($230) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      var $232=$7; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $233=(($232+33)|0); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $234=HEAPU8[($233)]; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $235=(($234)&255) >>> 3; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $236=$235 & 1; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $237=(($236) & 1); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($237) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 43: 
      var $239=$3; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($239, 2, 0, 238, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 44: 
      $1=1; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 45; break; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 45: 
      var $242=$1; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $242; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8PropDesc10initializeEP9JSContextRKN2JS5ValueEb["X"]=1;

function __ZL11HasPropertyP9JSContextP8JSObjectiPN2JS5ValueEPb($cx, $obj, $id, $vp, $foundp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$foundp;
      var $7=$3; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$2; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$6; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZN8JSObject11hasPropertyEP9JSContextiPbj($7, $8, $9, $10, 5); //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$6; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP8[($14)]; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15) & 1); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$5; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($18); //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $20=$3; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$2; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$4; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$5; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($20, $21, $22, $23); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$25 ^ 1; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$26 ^ 1; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$27; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $29=$1; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $29; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14DefinePropertyEP9JSContextP8JSObjectRKiRKNS_8PropDescEbPb($cx, $obj, $id, $desc, $throwError, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$desc;
      var $8=(($throwError)&1);
      $6=$8;
      $7=$rval;
      var $9=$3; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject7isArrayEv($9); //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $12=$2; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$4; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$5; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$6; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16) & 1); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$7; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZL21DefinePropertyOnArrayP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb($12, $13, $14, $15, $17, $18); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19)|0)!=0; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$20; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $22=$3; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZNK8JSObject6getOpsEv($22); //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23+4)|0); //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25)|0)!=0; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $28=$3; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZNK8JSObject7isProxyEv($28); //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $31=$2; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$3; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$4; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$5; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35)|0); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiRKN2JS5ValueE($31, $32, $34, $36); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$37; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $39=$2; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$3; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$6; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41) & 1); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$7; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=__ZL6RejectP9JSContextP8JSObjectjbPb($39, $40, 239, $42, $43); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44)|0)!=0; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$45; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $47=$2; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$3; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$4; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$5; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$6; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51) & 1); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$7; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=__ZL22DefinePropertyOnObjectP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb($47, $48, $49, $50, $52, $53); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($54)|0)!=0; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$55; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $57=$1; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $57; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14DefinePropertyEP9JSContextP8JSObjectRKiRKNS_8PropDescEbPb["X"]=1;

function __ZL21DefinePropertyOnArrayP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb($cx, $obj, $id, $desc, $throwError, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $oldLen;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$desc;
      var $8=(($throwError)&1);
      $6=$8;
      $7=$rval;
      var $9=$3; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject12isDenseArrayEv($9); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $12=$3; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$2; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZN8JSObject18makeDenseArraySlowEP9JSContext($12, $13); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=0; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$3; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK8JSObject14getArrayLengthEv($18); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldLen=$19; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$4; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$2; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22+52)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+209948)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25+308)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZL12JSID_IS_ATOMiP6JSAtom2491($21, $28); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29)|0)!=0; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $32=$2; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($32, 2, 0, 242, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $34=$4; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__Z12js_IdIsIndexiPj($35, $index); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36)|0)!=0; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 14; break; } //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $39=$2; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$3; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$4; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$5; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$7; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=__ZL22DefinePropertyOnObjectP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb($39, $40, $41, $42, 0, $43); //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44)|0)!=0; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $48=$7; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=HEAP8[($48)]; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=(($49) & 1); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $52=$2; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$3; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$6; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($54) & 1); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$7; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=__ZL6RejectP9JSContextP8JSObjectjbPb($52, $53, 243, $55, $56); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$57; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $59=HEAPU32[(($index)>>2)]; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$oldLen; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($59)>>>0) >= (($60)>>>0); //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $63=$3; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$2; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=HEAP32[(($index)>>2)]; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65+1)|0); //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject14setArrayLengthEP9JSContextj($63, $64, $66); //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $68=$7; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($68)]=1; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $70=$2; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$3; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$4; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=$5; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$6; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($74) & 1); //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$7; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=__ZL22DefinePropertyOnObjectP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb($70, $71, $72, $73, $75, $76); //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$77; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $79=$1; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21DefinePropertyOnArrayP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb["X"]=1;

function __ZL6RejectP9JSContextP8JSObjectjbPb($cx, $obj, $errorNumber, $throwError, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$errorNumber;
      var $8=(($throwError)&1);
      $5=$8;
      $6=$rval;
      var $9=$5; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9) & 1); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $12=$4; //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=((_js_ErrorFormatString+($12<<3))|0); //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+4)|0); //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAPU16[(($14)>>1)]; //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)&65535); //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16)|0)==1; //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $19=$2; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$4; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$3; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($7, $21); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($19, 0, $20, 0, $7, 0, 0, 0); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $24=$2; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($24, 2, 0, $25, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break;
    case 5: 
      $1=0; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $28=$6; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($28)]=0; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $30=$1; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL22DefinePropertyOnObjectP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb($cx, $obj, $id, $desc, $throwError, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 112; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $current=__stackBase__;
      var $obj2=__stackBase__+4;
      var $8;
      var $dummy=__stackBase__+8;
      var $dummyAttrs=__stackBase__+16;
      var $tmp=__stackBase__+20;
      var $9;
      var $v=__stackBase__+28;
      var $shape;
      var $same=__stackBase__+36;
      var $10=__stackBase__+40;
      var $same1=__stackBase__+48;
      var $11=__stackBase__+52;
      var $same2=__stackBase__+60;
      var $callDelProperty;
      var $same3=__stackBase__+64;
      var $same4=__stackBase__+68;
      var $12=__stackBase__+72;
      var $same5=__stackBase__+80;
      var $13=__stackBase__+84;
      var $attrs=__stackBase__+92;
      var $getter;
      var $setter;
      var $changed;
      var $unchanged;
      var $dummy6=__stackBase__+96;
      var $changed7;
      var $dummy8=__stackBase__+104;
      var $14;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$desc;
      var $15=(($throwError)&1);
      $6=$15;
      $7=$rval;
      var $16=$2; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$4; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__Z17js_HasOwnPropertyP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyES2_iS3_S6_($16, 0, $17, $19, $obj2, $current); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=0; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $24=HEAP32[(($current)>>2)]; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 12; break; } else { __label__ = 4; break; } //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $27=$3; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK8JSObject12isExtensibleEv($27); //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $30=$2; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$3; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$6; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($32) & 1); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$7; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZL6RejectP9JSContextP8JSObjectjbPb($30, $31, 239, $33, $34); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$35; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $37=$7; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($37)]=1; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$5; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=__ZNK2js8PropDesc19isGenericDescriptorEv($38); //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $41=$5; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZNK2js8PropDesc16isDataDescriptorEv($41); //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $44=$2; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$3; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$4; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$5; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48+8)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$5; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($50+32)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=HEAPU8[($51)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=(($52)&255); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=8; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$8; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$54; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($44, $45, $47, $49, $55, 10, $53); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$56; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $58=$2; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$3; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$4; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($58, $59, $61, 3, $dummy, $dummyAttrs); //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=(($62)|0)!=0; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($63) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      __ZN2JSL14UndefinedValueEv2280($tmp); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$2; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$3; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$4; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$5; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=__ZNK2js8PropDesc6getterEv($70); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$5; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=__ZNK2js8PropDesc6setterEv($72); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$5; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($74+32)|0); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=HEAPU8[($75)]; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=(($76)&255); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $9=$71; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=$9; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=$78; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($66, $67, $69, $tmp, $79, $73, $77); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$80; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      __ZN2JSL14UndefinedValueEv2280($v); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=HEAP32[(($current)>>2)]; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$82; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$83; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $85=$5; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=__ZNK2js8PropDesc20isAccessorDescriptorEv($85); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($86) { __label__ = 14; break; } else { __label__ = 29; break; } //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $88=$shape; //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=__ZNK2js5Shape20isAccessorDescriptorEv($88); //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($89) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      __label__ = 67; break; //@line 2169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $92=$5; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$92; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=(($93+33)|0); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=HEAP8[($94)]; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=$95 & 1; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=(($96) & 1); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($97) { __label__ = 17; break; } else { __label__ = 22; break; } //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $99=$2; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=$5; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=__ZNK2js8PropDesc11getterValueEv($100); //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$shape; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape17getterOrUndefinedEv($10, $102); //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=__ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi($99, $101, $10, $same); //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($103) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      $1=0; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $106=HEAP32[(($same)>>2)]; //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=(($106)|0)!=0; //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($107) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      __label__ = 67; break; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      __label__ = 22; break; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $111=$5; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=$111; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=(($112+33)|0); //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=HEAPU8[($113)]; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=(($114)&255) >>> 1; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=$115 & 1; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=(($116) & 1); //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($117) { __label__ = 23; break; } else { __label__ = 28; break; } //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $119=$2; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=$5; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=__ZNK2js8PropDesc11setterValueEv($120); //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=$shape; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape17setterOrUndefinedEv($11, $122); //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=__ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi($119, $121, $11, $same1); //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($123) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      $1=0; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $126=HEAP32[(($same1)>>2)]; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=(($126)|0)!=0; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($127) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      __label__ = 67; break; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      __label__ = 28; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      __label__ = 60; break; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $132=$shape; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=__ZNK2js5Shape16isDataDescriptorEv($132); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($133) { __label__ = 30; break; } else { __label__ = 41; break; } //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $135=$shape; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=__ZNK2js5Shape12configurableEv($135); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($136) { __label__ = 38; break; } else { __label__ = 31; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $138=$shape; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=__ZNK2js5Shape16hasDefaultGetterEv($138); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($139) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $141=$shape; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=__ZNK2js5Shape16hasDefaultSetterEv($141); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($142) { __label__ = 38; break; } else { __label__ = 33; break; } //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $144=$5; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $145=__ZNK2js8PropDesc16isDataDescriptorEv($144); //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($145) { __label__ = 34; break; } else { __label__ = 38; break; } //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $147=$5; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=$147; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $149=(($148+33)|0); //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $150=HEAPU8[($149)]; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $151=(($150)&255) >>> 3; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=$151 & 1; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=(($152) & 1); //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($153) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $155=$5; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $156=__ZNK2js8PropDesc8writableEv($155); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($156) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $158=$shape; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=__ZNK2js5Shape8writableEv($158); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($159) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      var $161=$2; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=$6; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $163=(($162) & 1); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $164=$4; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=$7; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $167=__ZL6RejectP9JSContextjbiPb($161, 240, $163, $165, $166); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$167; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      var $169=$2; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170=$3; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $171=HEAP32[(($obj2)>>2)]; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $172=$shape; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $173=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($169, $170, $171, $172, 2, $v); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $174=(($173)|0)!=0; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($174) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      $1=0; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      __label__ = 41; break; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      var $178=$5; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $179=__ZNK2js8PropDesc16isDataDescriptorEv($178); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($179) { __label__ = 42; break; } else { __label__ = 58; break; } //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      var $181=$shape; //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $182=__ZNK2js5Shape16isDataDescriptorEv($181); //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($182) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 43: 
      __label__ = 67; break; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 44: 
      var $185=$5; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $186=$185; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=(($186+33)|0); //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $188=HEAPU8[($187)]; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $189=(($188)&255) >>> 2; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $190=$189 & 1; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $191=(($190) & 1); //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($191) { __label__ = 45; break; } else { __label__ = 54; break; } //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 45: 
      var $193=$2; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $194=$5; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $195=(($194+8)|0); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $196=__ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi($193, $195, $v, $same2); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($196) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 46: 
      $1=0; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 47: 
      var $199=HEAP32[(($same2)>>2)]; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $200=(($199)|0)!=0; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($200) { __label__ = 53; break; } else { __label__ = 48; break; } //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 48: 
      var $202=$shape; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $203=__ZNK2js5Shape12configurableEv($202); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($203) { __label__ = 52; break; } else { __label__ = 49; break; } //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 49: 
      var $205=$shape; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $206=__ZNK2js5Shape16hasDefaultGetterEv($205); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($206) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 50: 
      var $208=$shape; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $209=__ZNK2js5Shape16hasDefaultSetterEv($208); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($209) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 51: 
      var $211=$2; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $212=$6; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $213=(($212) & 1); //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $214=$4; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $216=$7; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $217=__ZL6RejectP9JSContextjbiPb($211, 240, $213, $215, $216); //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$217; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 52: 
      __label__ = 67; break; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 53: 
      __label__ = 54; break; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 54: 
      var $221=$5; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $222=$221; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $223=(($222+33)|0); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $224=HEAPU8[($223)]; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $225=(($224)&255) >>> 3; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $226=$225 & 1; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $227=(($226) & 1); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($227) { __label__ = 55; break; } else { __label__ = 57; break; } //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 55: 
      var $229=$5; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $230=__ZNK2js8PropDesc8writableEv($229); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $231=(($230)&1); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $232=$shape; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $233=__ZNK2js5Shape8writableEv($232); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $234=(($233)&1); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $235=(($231)|0)!=(($234)|0); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($235) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 56: 
      __label__ = 67; break; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 57: 
      __label__ = 59; break; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 58: 
      __label__ = 59; break;
    case 59: 
      __label__ = 60; break;
    case 60: 
      var $241=$5; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $242=$241; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $243=(($242+33)|0); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $244=HEAPU8[($243)]; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $245=(($244)&255) >>> 5; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $246=$245 & 1; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $247=(($246) & 1); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($247) { __label__ = 61; break; } else { __label__ = 63; break; } //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 61: 
      var $249=$5; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $250=__ZNK2js8PropDesc12configurableEv($249); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $251=(($250)&1); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $252=$shape; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $253=__ZNK2js5Shape12configurableEv($252); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $254=(($253)&1); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $255=(($251)|0)!=(($254)|0); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($255) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 62: 
      __label__ = 67; break; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 63: 
      var $258=$5; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $259=$258; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $260=(($259+33)|0); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $261=HEAPU8[($260)]; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $262=(($261)&255) >>> 4; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $263=$262 & 1; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $264=(($263) & 1); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($264) { __label__ = 64; break; } else { __label__ = 66; break; } //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 64: 
      var $266=$5; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $267=__ZNK2js8PropDesc10enumerableEv($266); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $268=(($267)&1); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $269=$shape; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $270=__ZNK2js5Shape10enumerableEv($269); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $271=(($270)&1); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $272=(($268)|0)!=(($271)|0); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($272) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 65: 
      __label__ = 67; break; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 66: 
      var $275=$7; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($275)]=1; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 67: 
      var $277=$shape; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $278=__ZNK2js5Shape12configurableEv($277); //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($278) { __label__ = 73; break; } else { __label__ = 68; break; } //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 68: 
      var $280=$5; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $281=__ZNK2js8PropDesc12configurableEv($280); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($281) { __label__ = 71; break; } else { __label__ = 69; break; } //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 69: 
      var $283=$5; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $284=$283; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $285=(($284+33)|0); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $286=HEAPU8[($285)]; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $287=(($286)&255) >>> 4; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $288=$287 & 1; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $289=(($288) & 1); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($289) { __label__ = 70; break; } else { __label__ = 72; break; } //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 70: 
      var $291=$5; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $292=__ZNK2js8PropDesc10enumerableEv($291); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $293=(($292)&1); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $294=$shape; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $295=__ZNK2js5Shape10enumerableEv($294); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $296=(($295)&1); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $297=(($293)|0)!=(($296)|0); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($297) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 71: 
      var $299=$2; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $300=$6; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $301=(($300) & 1); //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $302=$4; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $303=HEAP32[(($302)>>2)]; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $304=$7; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $305=__ZL6RejectP9JSContextjbiPb($299, 240, $301, $303, $304); //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$305; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 72: 
      __label__ = 73; break; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 73: 
      $callDelProperty=0; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $308=$5; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $309=__ZNK2js8PropDesc19isGenericDescriptorEv($308); //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($309) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 74: 
      __label__ = 112; break; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 75: 
      var $312=$5; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $313=__ZNK2js8PropDesc16isDataDescriptorEv($312); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $314=(($313)&1); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $315=$shape; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $316=__ZNK2js5Shape16isDataDescriptorEv($315); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $317=(($316)&1); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $318=(($314)|0)!=(($317)|0); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($318) { __label__ = 76; break; } else { __label__ = 79; break; } //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 76: 
      var $320=$shape; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $321=__ZNK2js5Shape12configurableEv($320); //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($321) { __label__ = 78; break; } else { __label__ = 77; break; } //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 77: 
      var $323=$2; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $324=$6; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $325=(($324) & 1); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $326=$4; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $327=HEAP32[(($326)>>2)]; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $328=$7; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $329=__ZL6RejectP9JSContextjbiPb($323, 240, $325, $327, $328); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$329; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 78: 
      __label__ = 111; break; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 79: 
      var $332=$5; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $333=__ZNK2js8PropDesc16isDataDescriptorEv($332); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($333) { __label__ = 80; break; } else { __label__ = 95; break; } //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 80: 
      var $335=$shape; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $336=__ZNK2js5Shape12configurableEv($335); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($336) { __label__ = 92; break; } else { __label__ = 81; break; } //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 81: 
      var $338=$shape; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $339=__ZNK2js5Shape8writableEv($338); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($339) { __label__ = 92; break; } else { __label__ = 82; break; } //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 82: 
      var $341=$5; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $342=$341; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $343=(($342+33)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $344=HEAPU8[($343)]; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $345=(($344)&255) >>> 3; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $346=$345 & 1; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $347=(($346) & 1); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($347) { __label__ = 83; break; } else { __label__ = 85; break; } //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 83: 
      var $349=$5; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $350=__ZNK2js8PropDesc8writableEv($349); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($350) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 84: 
      var $352=$2; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $353=$6; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $354=(($353) & 1); //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $355=$4; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $356=HEAP32[(($355)>>2)]; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $357=$7; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $358=__ZL6RejectP9JSContextjbiPb($352, 240, $354, $356, $357); //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$358; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 85: 
      var $360=$5; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $361=$360; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $362=(($361+33)|0); //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $363=HEAPU8[($362)]; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $364=(($363)&255) >>> 2; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $365=$364 & 1; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $366=(($365) & 1); //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($366) { __label__ = 86; break; } else { __label__ = 91; break; } //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 86: 
      var $368=$2; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $369=$5; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $370=(($369+8)|0); //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $371=__ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi($368, $370, $v, $same3); //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($371) { __label__ = 88; break; } else { __label__ = 87; break; } //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 87: 
      $1=0; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 88: 
      var $374=HEAP32[(($same3)>>2)]; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $375=(($374)|0)!=0; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($375) { __label__ = 90; break; } else { __label__ = 89; break; } //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 89: 
      var $377=$2; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $378=$6; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $379=(($378) & 1); //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $380=$4; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $381=HEAP32[(($380)>>2)]; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $382=$7; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $383=__ZL6RejectP9JSContextjbiPb($377, 240, $379, $381, $382); //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$383; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 90: 
      __label__ = 91; break; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 91: 
      __label__ = 92; break; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 92: 
      var $387=$shape; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $388=__ZNK2js5Shape16hasDefaultGetterEv($387); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($388) { __label__ = 93; break; } else { var $394 = 1;__label__ = 94; break; } //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 93: 
      var $390=$shape; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $391=__ZNK2js5Shape16hasDefaultSetterEv($390); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $392=$391 ^ 1; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $394 = $392;__label__ = 94; break; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 94: 
      var $394;
      var $395=(($394)&1); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $callDelProperty=$395; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 110; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 95: 
      var $397=$shape; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $398=__ZNK2js5Shape12configurableEv($397); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($398) { __label__ = 109; break; } else { __label__ = 96; break; } //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 96: 
      var $400=$5; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $401=$400; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $402=(($401+33)|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $403=HEAPU8[($402)]; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $404=(($403)&255) >>> 1; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $405=$404 & 1; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $406=(($405) & 1); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($406) { __label__ = 97; break; } else { __label__ = 102; break; } //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 97: 
      var $408=$2; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $409=$5; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $410=__ZNK2js8PropDesc11setterValueEv($409); //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $411=$shape; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape17setterOrUndefinedEv($12, $411); //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $412=__ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi($408, $410, $12, $same4); //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($412) { __label__ = 99; break; } else { __label__ = 98; break; } //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 98: 
      $1=0; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 99: 
      var $415=HEAP32[(($same4)>>2)]; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $416=(($415)|0)!=0; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($416) { __label__ = 101; break; } else { __label__ = 100; break; } //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 100: 
      var $418=$2; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $419=$6; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $420=(($419) & 1); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $421=$4; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $422=HEAP32[(($421)>>2)]; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $423=$7; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $424=__ZL6RejectP9JSContextjbiPb($418, 240, $420, $422, $423); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$424; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 101: 
      __label__ = 102; break; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 102: 
      var $427=$5; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $428=$427; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $429=(($428+33)|0); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $430=HEAP8[($429)]; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $431=$430 & 1; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $432=(($431) & 1); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($432) { __label__ = 103; break; } else { __label__ = 108; break; } //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 103: 
      var $434=$2; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $435=$5; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $436=__ZNK2js8PropDesc11getterValueEv($435); //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $437=$shape; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape17getterOrUndefinedEv($13, $437); //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $438=__ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi($434, $436, $13, $same5); //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($438) { __label__ = 105; break; } else { __label__ = 104; break; } //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 104: 
      $1=0; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 105: 
      var $441=HEAP32[(($same5)>>2)]; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $442=(($441)|0)!=0; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($442) { __label__ = 107; break; } else { __label__ = 106; break; } //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 106: 
      var $444=$2; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $445=$6; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $446=(($445) & 1); //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $447=$4; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $448=HEAP32[(($447)>>2)]; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $449=$7; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $450=__ZL6RejectP9JSContextjbiPb($444, 240, $446, $448, $449); //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$450; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 107: 
      __label__ = 108; break; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 108: 
      __label__ = 109; break; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 109: 
      __label__ = 110; break;
    case 110: 
      __label__ = 111; break;
    case 111: 
      __label__ = 112; break;
    case 112: 
      var $457=$5; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $458=__ZNK2js8PropDesc19isGenericDescriptorEv($457); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($458) { __label__ = 113; break; } else { __label__ = 121; break; } //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 113: 
      $changed=0; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $460=$5; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $461=$460; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $462=(($461+33)|0); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $463=HEAPU8[($462)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $464=(($463)&255) >>> 5; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $465=$464 & 1; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $466=(($465) & 1); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($466) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 114: 
      var $468=$changed; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $469=$468 | 4; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $changed=$469; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 115; break; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 115: 
      var $471=$5; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $472=$471; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $473=(($472+33)|0); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $474=HEAPU8[($473)]; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $475=(($474)&255) >>> 4; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $476=$475 & 1; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $477=(($476) & 1); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($477) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 116: 
      var $479=$changed; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $480=$479 | 1; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $changed=$480; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 117; break; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 117: 
      var $482=$shape; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $483=__ZNK2js5Shape10attributesEv($482); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $484=(($483)&255); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $485=$changed; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $486=$485 ^ -1; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $487=$484 & $486; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $488=$5; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $489=(($488+32)|0); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $490=HEAPU8[($489)]; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $491=(($490)&255); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $492=$changed; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $493=$491 & $492; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $494=$487 | $493; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($attrs)>>2)]=$494; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $495=$shape; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $496=__ZNK2js5Shape8isMethodEv($495); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($496) { __label__ = 118; break; } else { __label__ = 119; break; } //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 118: 
      $getter=8; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $setter=10; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 120; break; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 119: 
      var $499=$shape; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $500=__ZNK2js5Shape6getterEv($499); //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $getter=$500; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $501=$shape; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $502=__ZNK2js5Shape6setterEv($501); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $setter=$502; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 120; break;
    case 120: 
      __label__ = 158; break; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 121: 
      var $505=$5; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $506=__ZNK2js8PropDesc16isDataDescriptorEv($505); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($506) { __label__ = 122; break; } else { __label__ = 131; break; } //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 122: 
      $unchanged=0; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $508=$5; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $509=$508; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $510=(($509+33)|0); //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $511=HEAPU8[($510)]; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $512=(($511)&255) >>> 5; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $513=$512 & 1; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $514=(($513) & 1); //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($514) { __label__ = 124; break; } else { __label__ = 123; break; } //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 123: 
      var $516=$unchanged; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $517=$516 | 4; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $unchanged=$517; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 124; break; //@line 2353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 124: 
      var $519=$5; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $520=$519; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $521=(($520+33)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $522=HEAPU8[($521)]; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $523=(($522)&255) >>> 4; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $524=$523 & 1; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $525=(($524) & 1); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($525) { __label__ = 126; break; } else { __label__ = 125; break; } //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 125: 
      var $527=$unchanged; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $528=$527 | 1; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $unchanged=$528; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 126; break; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 126: 
      var $530=$5; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $531=$530; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $532=(($531+33)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $533=HEAPU8[($532)]; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $534=(($533)&255) >>> 3; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $535=$534 & 1; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $536=(($535) & 1); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($536) { __label__ = 128; break; } else { __label__ = 127; break; } //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 127: 
      var $538=$unchanged; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $539=$538 | 2; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $unchanged=$539; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 128; break; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 128: 
      var $541=$5; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $542=$541; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $543=(($542+33)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $544=HEAPU8[($543)]; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $545=(($544)&255) >>> 2; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $546=$545 & 1; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $547=(($546) & 1); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($547) { __label__ = 129; break; } else { __label__ = 130; break; } //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 129: 
      var $549=$5; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $550=(($549+8)|0); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $551=$v; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $552=$550; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($551)>>2)]=HEAP32[(($552)>>2)];HEAP32[(($551+4)>>2)]=HEAP32[(($552+4)>>2)]; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 130; break; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 130: 
      var $554=$5; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $555=(($554+32)|0); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $556=HEAPU8[($555)]; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $557=(($556)&255); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $558=$unchanged; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $559=$558 ^ -1; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $560=$557 & $559; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $561=$shape; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $562=__ZNK2js5Shape10attributesEv($561); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $563=(($562)&255); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $564=$unchanged; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $565=$563 & $564; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $566=$560 | $565; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($attrs)>>2)]=$566; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $getter=8; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $setter=10; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 157; break; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 131: 
      var $568=$2; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $569=HEAP32[(($obj2)>>2)]; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $570=$4; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $571=HEAP32[(($570)>>2)]; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $572=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($568, $569, $571, 3, $dummy6, $attrs); //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $573=(($572)|0)!=0; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($573) { __label__ = 133; break; } else { __label__ = 132; break; } //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 132: 
      $1=0; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 133: 
      $changed7=0; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $576=$5; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $577=$576; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $578=(($577+33)|0); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $579=HEAPU8[($578)]; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $580=(($579)&255) >>> 5; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $581=$580 & 1; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $582=(($581) & 1); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($582) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 134: 
      var $584=$changed7; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $585=$584 | 4; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $changed7=$585; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 135; break; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 135: 
      var $587=$5; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $588=$587; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $589=(($588+33)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $590=HEAPU8[($589)]; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $591=(($590)&255) >>> 4; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $592=$591 & 1; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $593=(($592) & 1); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($593) { __label__ = 136; break; } else { __label__ = 137; break; } //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 136: 
      var $595=$changed7; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $596=$595 | 1; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $changed7=$596; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 137; break; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 137: 
      var $598=$5; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $599=$598; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $600=(($599+33)|0); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $601=HEAP8[($600)]; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $602=$601 & 1; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $603=(($602) & 1); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($603) { __label__ = 138; break; } else { __label__ = 139; break; } //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 138: 
      var $605=$changed7; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $606=$605 | 80; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $changed7=$606; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 139; break; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 139: 
      var $608=$5; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $609=$608; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $610=(($609+33)|0); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $611=HEAPU8[($610)]; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $612=(($611)&255) >>> 1; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $613=$612 & 1; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $614=(($613) & 1); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($614) { __label__ = 140; break; } else { __label__ = 141; break; } //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 140: 
      var $616=$changed7; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $617=$616 | 96; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $changed7=$617; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 141; break; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 141: 
      var $619=$5; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $620=(($619+32)|0); //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $621=HEAPU8[($620)]; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $622=(($621)&255); //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $623=$changed7; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $624=$622 & $623; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $625=$shape; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $626=__ZNK2js5Shape10attributesEv($625); //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $627=(($626)&255); //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $628=$changed7; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $629=$628 ^ -1; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $630=$627 & $629; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $631=$624 | $630; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($attrs)>>2)]=$631; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $632=$5; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $633=$632; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $634=(($633+33)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $635=HEAP8[($634)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $636=$635 & 1; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $637=(($636) & 1); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($637) { __label__ = 142; break; } else { __label__ = 143; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 142: 
      var $639=$5; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $640=__ZNK2js8PropDesc6getterEv($639); //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $getter=$640; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 149; break; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 143: 
      var $642=$shape; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $643=__ZNK2js5Shape8isMethodEv($642); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($643) { __label__ = 146; break; } else { __label__ = 144; break; } //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 144: 
      var $645=$shape; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $646=__ZNK2js5Shape16hasDefaultGetterEv($645); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($646) { __label__ = 145; break; } else { __label__ = 147; break; } //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 145: 
      var $648=$shape; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $649=__ZNK2js5Shape14hasGetterValueEv($648); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($649) { __label__ = 147; break; } else { __label__ = 146; break; } //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 146: 
      var $655 = 8;__label__ = 148; break; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 147: 
      var $652=$shape; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $653=__ZNK2js5Shape6getterEv($652); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $655 = $653;__label__ = 148; break; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 148: 
      var $655; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $getter=$655; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 149; break;
    case 149: 
      var $657=$5; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $658=$657; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $659=(($658+33)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $660=HEAPU8[($659)]; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $661=(($660)&255) >>> 1; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $662=$661 & 1; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $663=(($662) & 1); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($663) { __label__ = 150; break; } else { __label__ = 151; break; } //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 150: 
      var $665=$5; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $666=__ZNK2js8PropDesc6setterEv($665); //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $setter=$666; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 156; break; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 151: 
      var $668=$shape; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $669=__ZNK2js5Shape16hasDefaultSetterEv($668); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($669) { __label__ = 152; break; } else { __label__ = 154; break; } //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 152: 
      var $671=$shape; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $672=__ZNK2js5Shape14hasSetterValueEv($671); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($672) { __label__ = 154; break; } else { __label__ = 153; break; } //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 153: 
      var $678 = 10;__label__ = 155; break; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 154: 
      var $675=$shape; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $676=__ZNK2js5Shape6setterEv($675); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $678 = $676;__label__ = 155; break; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 155: 
      var $678; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $setter=$678; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 156; break;
    case 156: 
      __label__ = 157; break;
    case 157: 
      __label__ = 158; break;
    case 158: 
      var $682=$7; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($682)]=1; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $683=$callDelProperty; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $684=(($683) & 1); //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($684) { __label__ = 159; break; } else { __label__ = 162; break; } //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 159: 
      __ZN2JSL14UndefinedValueEv2280($dummy8); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $686=$2; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $687=HEAP32[(($obj2)>>2)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $688=__ZNK8JSObject8getClassEv($687); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $689=(($688+12)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $690=$689; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $691=HEAP32[(($690)>>2)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $692=HEAP32[(($obj2)>>2)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $693=$4; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $694=HEAP32[(($693)>>2)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $695=__ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_($686, $691, $692, $694, $dummy8); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($695) { __label__ = 161; break; } else { __label__ = 160; break; } //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 160: 
      $1=0; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 161: 
      __label__ = 162; break; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 162: 
      var $699=$2; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $700=$3; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $701=$4; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $702=HEAP32[(($701)>>2)]; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $703=$getter; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $704=$setter; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $705=HEAP32[(($attrs)>>2)]; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $14=$703; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $706=$14; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $707=$706; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $708=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($699, $700, $702, $v, $707, $704, $705); //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$708; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 163; break; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 163: 
      var $710=$1; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $710; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22DefinePropertyOnObjectP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb["X"]=1;

function __Z20js_DefineOwnPropertyP9JSContextP8JSObjectiRKN2JS5ValueEPi($cx, $obj, $id, $descriptor, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 76; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $descs=__stackBase__+4;
      var $desc;
      var $7;
      var $rval=__stackBase__+72;
      $2=$cx;
      $3=$obj;
      HEAP32[(($4)>>2)]=$id;
      $5=$descriptor;
      $6=$bp;
      var $8=$2; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js23AutoPropDescArrayRooterC1EP9JSContext($descs, $8); //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js23AutoPropDescArrayRooter6appendEv($descs); //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $desc=$9; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$desc; //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)|0)!=0; //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$desc; //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$2; //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$5; //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZN2js8PropDesc10initializeEP9JSContextRKN2JS5ValueEb($13, $14, $15, 1); //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __label__ = 7; break; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$2; //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$3; //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$desc; //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZN2js14DefinePropertyEP9JSContextP8JSObjectRKiRKNS_8PropDescEbPb($19, $20, $4, $21, 1, $rval); //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __label__ = 7; break; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $25=HEAP8[($rval)]; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25) & 1); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$26 ^ 1; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27 ^ 1; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28)&1); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$6; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($30)>>2)]=$29; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __label__ = 7; break; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __ZN2js23AutoPropDescArrayRooterD1Ev($descs); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$1; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_DefineOwnPropertyP9JSContextP8JSObjectiRKN2JS5ValueEPi["X"]=1;

function __ZN2js23ReadPropertyDescriptorsEP9JSContextP8JSObjectbPNS_12AutoIdVectorEPNS_23AutoPropDescArrayRooterE($cx, $props, $checkAccessors, $ids, $descs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $i;
      var $len;
      var $id;
      var $desc;
      var $v=__stackBase__;
      $2=$cx;
      $3=$props;
      var $7=(($checkAccessors)&1);
      $4=$7;
      $5=$ids;
      $6=$descs;
      var $8=$2; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$3; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$5; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($8, $9, 8, $10); //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $i=0; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$5; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$14; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZNK2js16AutoVectorRooterIiE6lengthEv($15); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $len=$16; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$i; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$len; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $22=$5; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$i; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZN2js16AutoVectorRooterIiEixEj($23, $24); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$26; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$6; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZN2js23AutoPropDescArrayRooter6appendEv($27); //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $desc=$28; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$desc; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29)|0)!=0; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $32=$3; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$2; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$id; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($32, $33, $34, $v); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35)|0)!=0; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $38=$desc; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$2; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$4; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40) & 1); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZN2js8PropDesc10initializeEP9JSContextRKN2JS5ValueEb($38, $39, $v, $41); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      __label__ = 10; break; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $46=$i; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=(($46+1)|0); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$47; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $1=1; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $50=$1; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js23ReadPropertyDescriptorsEP9JSContextP8JSObjectbPNS_12AutoIdVectorEPNS_23AutoPropDescArrayRooterE["X"]=1;

function __Z17js_PopulateObjectP9JSContextP8JSObjectS2_($cx, $newborn, $props) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$newborn;
  $3=$props;
  var $4=$1; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=$2; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$3; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZL16DefinePropertiesP9JSContextP8JSObjectS2_($4, $5, $6); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=(($7)&1); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $8; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL16DefinePropertiesP9JSContextP8JSObjectS2_($cx, $obj, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 132; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ids=__stackBase__;
      var $descs=__stackBase__+60;
      var $5;
      var $dummy=__stackBase__+128;
      var $i;
      var $len;
      $2=$cx;
      $3=$obj;
      $4=$props;
      var $6=$2; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($ids, $6); //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$2; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js23AutoPropDescArrayRooterC1EP9JSContext($descs, $7); //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$2; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN2js23ReadPropertyDescriptorsEP9JSContextP8JSObjectbPNS_12AutoIdVectorEPNS_23AutoPropDescArrayRooterE($8, $9, 1, $ids, $descs); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 10; break; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $i=0; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$ids; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK2js16AutoVectorRooterIiE6lengthEv($13); //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $len=$14; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$i; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$len; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($16)>>>0) < (($17)>>>0); //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $20=$2; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$3; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$ids; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$i; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZN2js16AutoVectorRooterIiEixEj($22, $23); //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$i; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN2js23AutoPropDescArrayRooterixEj($descs, $25); //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZN2js14DefinePropertyEP9JSContextP8JSObjectRKiRKNS_8PropDescEbPb($20, $21, $24, $26, 1, $dummy); //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 10; break; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $31=$i; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31+1)|0); //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$32; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=1; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 10; break; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      __ZN2js23AutoPropDescArrayRooterD1Ev($descs); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdVectorD1Ev($ids); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$1; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16DefinePropertiesP9JSContextP8JSObjectS2_["X"]=1;

function __ZN8JSObject16sizeOfSlotsArrayEPFjPvE($this, $usf) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $usable;
      $2=$this;
      $3=$usf;
      var $4=$2;
      var $5=__ZNK8JSObject13hasSlotsArrayEv($4); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $8=$3; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($4+32)|0); //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$10; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=FUNCTION_TABLE[$8]($11); //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $usable=$12; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$usable; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$usable; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21 = $16;__label__ = 6; break; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $18=__ZNK8JSObject8numSlotsEv($4); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=((($18<<3))|0); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21 = $19;__label__ = 6; break; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $21; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$21; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $23=$1; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $23; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject12sealOrFreezeEP9JSContextNS_16ImmutabilityTypeE($this, $cx, $it) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $props=__stackBase__;
      var $5;
      var $i;
      var $len;
      var $id;
      var $attrs=__stackBase__+60;
      var $new_attrs;
      $2=$this;
      $3=$cx;
      $4=$it;
      var $6=$2;
      var $7=$3; //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_($7, $6); //@line 2732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($props, $8); //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK8JSObject12isExtensibleEv($6); //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $11=$3; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZN8JSObject17preventExtensionsEP9JSContextPN2js12AutoIdVectorE($6, $11, $props); //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 23; break; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      __label__ = 8; break; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $16=$3; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($16, $6, 24, $props); //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 23; break; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      $i=0; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$props; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZNK2js16AutoVectorRooterIiE6lengthEv($21); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $len=$22; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $24=$i; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$len; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($24)>>>0) < (($25)>>>0); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 10; break; } else { __label__ = 22; break; } //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $28=$props; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$i; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZN2js16AutoVectorRooterIiEixEj($28, $29); //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$31; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$3; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$id; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZN8JSObject13getAttributesEP9JSContextiPj($6, $32, $33, $attrs); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34)|0)!=0; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $1=0; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 23; break; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $38=$4; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38)|0)==1; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $41=HEAP32[(($attrs)>>2)]; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41 & 48; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42)|0)!=0; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $new_attrs=6; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      $new_attrs=4; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break;
    case 16: 
      var $47=HEAP32[(($attrs)>>2)]; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$new_attrs; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$47 | $48; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=HEAP32[(($attrs)>>2)]; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($49)|0)==(($50)|0); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($51) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      __label__ = 21; break; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $54=$new_attrs; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=HEAP32[(($attrs)>>2)]; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$55 | $54; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($attrs)>>2)]=$56; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$3; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$id; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=__ZN8JSObject13setAttributesEP9JSContextiPj($6, $57, $58, $attrs); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=(($59)|0)!=0; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($60) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      $1=0; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 23; break; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      __label__ = 21; break; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $64=$i; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($64+1)|0); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$65; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      $1=1; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 23; break; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      __ZN2js12AutoIdVectorD1Ev($props); //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$1; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $68; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject12sealOrFreezeEP9JSContextNS_16ImmutabilityTypeE["X"]=1;

function __ZN8JSObject16isSealedOrFrozenEP9JSContextNS_16ImmutabilityTypeEPb($this, $cx, $it, $resultp) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $props=__stackBase__;
      var $6;
      var $i;
      var $len;
      var $id;
      var $attrs=__stackBase__+60;
      $2=$this;
      $3=$cx;
      $4=$it;
      $5=$resultp;
      var $7=$2;
      var $8=__ZNK8JSObject12isExtensibleEv($7); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$5; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($10)]=0; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$3; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($props, $12); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($13, $7, 24, $props); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 16; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $i=0; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$props; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK2js16AutoVectorRooterIiE6lengthEv($17); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $len=$18; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$i; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$len; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($20)>>>0) < (($21)>>>0); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 15; break; } //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $24=$props; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$i; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN2js16AutoVectorRooterIiEixEj($24, $25); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$27; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$3; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$id; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZN8JSObject13getAttributesEP9JSContextiPj($7, $28, $29, $attrs); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)|0)!=0; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 16; break; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $34=HEAP32[(($attrs)>>2)]; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$34 & 4; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35)|0)!=0; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $38=$4; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38)|0)==1; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $41=HEAP32[(($attrs)>>2)]; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41 & 50; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42)|0)!=0; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $45=$5; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($45)]=0; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 16; break; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 14; break; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $48=$i; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48+1)|0); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$49; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $51=$5; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($51)]=1; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 16; break; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      __ZN2js12AutoIdVectorD1Ev($props); //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break;
    case 17: 
      var $54=$1; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject16isSealedOrFrozenEP9JSContextNS_16ImmutabilityTypeEPb["X"]=1;

function __ZL12obj_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ok;
      var $he;
      var $ida=__stackBase__;
      var $chars=__stackBase__+4;
      var $ochars;
      var $vsharp=__stackBase__+8;
      var $idstrchars;
      var $vchars;
      var $nchars;
      var $idstrlength;
      var $gsoplength;
      var $vlength;
      var $vsharplength;
      var $curlen;
      var $comma;
      var $obj2=__stackBase__+12;
      var $prop=__stackBase__+16;
      var $val;
      var $gsop=__stackBase__+20;
      var $valstr;
      var $str;
      var $idstr;
      var $stackDummy_=__stackBase__+28;
      var $localroot=__stackBase__+32;
      var $tvr=__stackBase__+64;
      var $outermost;
      var $obj;
      var $5;
      var $i;
      var $length;
      var $id;
      var $s;
      var $6=__stackBase__+80;
      var $valcnt;
      var $doGet;
      var $shape;
      var $attrs;
      var $7=__stackBase__+88;
      var $8=__stackBase__+96;
      var $idIsLexicalIdentifier;
      var $j;
      var $start;
      var $end;
      var $parenChomp;
      var $n_;
      var $n_1;
      var $n_2;
      var $n_3;
      var $n_4;
      var $n_5;
      var $gsopchars;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$stackDummy_; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$2; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+48)|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $16=$2; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z21js_ReportOverRecursedP9JSContext($16); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 153; break; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      __label__ = 5; break; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __ZN2jsL12PodArrayZeroIN2JS5ValueELj4EEEvRAT0__T_2515($localroot); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$2; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($localroot)|0); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $19, 4, $20); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$2; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+136)|0); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)|0); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)==0; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25)&1); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $outermost=$26; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$2; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$4; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+8)|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($27, $29); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$30; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$obj; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31)|0)!=0; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 152; break; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $35=$2; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$obj; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__Z19js_EnterSharpObjectP9JSContextP8JSObjectPP9JSIdArrayPPt($35, $36, $ida, $chars); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $he=$37; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37)|0)!=0; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $ok=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 150; break; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $41=HEAP32[(($ida)>>2)]; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)|0)!=0; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $44=HEAP32[(($chars)>>2)]; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=__Z9js_strlenPKt($44); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$45; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 147; break; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $ok=1; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAP32[(($chars)>>2)]; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=(($47)|0)!=0; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($48) { __label__ = 17; break; } else { __label__ = 12; break; } //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $50=$2; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$outermost; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0)!=0; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$52 ? 4 : 2; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53+1)|0); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=((($54<<1))|0); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__ZN9JSContext7malloc_Ej($50, $55); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$56; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($chars)>>2)]=$57; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=0; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=HEAP32[(($chars)>>2)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($58)|0)!=0; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 140; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $62=$outermost; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=(($62)|0)!=0; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $65=$nchars; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65+1)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$66; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=HEAP32[(($chars)>>2)]; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=(($67+($65<<1))|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($68)>>1)]=40; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      __label__ = 22; break; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $71=$he; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=(($71+12)|0); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$73; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$74 | 1; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$75; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=$he; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=(($77+12)|0); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($78)>>2)]=$76; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=HEAP32[(($chars)>>2)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=__Z9js_strlenPKt($79); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$80; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$2; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=HEAP32[(($chars)>>2)]; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ochars=$82; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$82; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=$nchars; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=(($84+2)|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=(($85+1)|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=((($86<<1))|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=__ZN9JSContext8realloc_EPvj($81, $83, $87); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$88; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($chars)>>2)]=$89; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=HEAP32[(($chars)>>2)]; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90)|0)!=0; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($91) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $93=$ochars; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$93; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js10Foreground5free_EPv($94); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $96=$outermost; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=(($96)|0)!=0; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($97) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      $outermost=0; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 21; break; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $101=$nchars; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=(($101+1)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$102; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=HEAP32[(($chars)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=(($103+($101<<1))|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($104)>>1)]=123; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $comma=0; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=(($localroot)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=(($105+16)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $val=$106; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=0; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=HEAP32[(($ida)>>2)]; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($107)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $length=$109; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $111=$i; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=$length; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=(($111)|0) < (($112)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($113) { __label__ = 24; break; } else { __label__ = 137; break; } //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $115=$i; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=HEAP32[(($ida)>>2)]; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=(($116+4)|0); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=(($117+($115<<2))|0); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$119; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=$obj; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=$2; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=$id; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($120, $121, $122, $obj2, $prop); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ok=$123; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=$ok; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=(($124)|0)!=0; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($125) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      __label__ = 140; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $128=$2; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=$id; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL9IdToValueEi2416($6, $129); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($128, $6); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $s=$130; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=$s; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=(($131)|0)!=0; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($132) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $134=$s; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=$2; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=__ZN8JSString12ensureLinearEP9JSContext($134, $135); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $idstr=$136; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=(($136)|0)!=0; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($137) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      $ok=0; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $140=$4; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=$idstr; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=$141; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($140, $142); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $valcnt=0; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $143=HEAP32[(($prop)>>2)]; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $144=(($143)|0)!=0; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($144) { __label__ = 30; break; } else { __label__ = 41; break; } //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      $doGet=1; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $146=HEAP32[(($obj2)>>2)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=__ZNK8JSObject8isNativeEv($146); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($147) { __label__ = 31; break; } else { __label__ = 36; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $149=HEAP32[(($prop)>>2)]; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $150=$149; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$150; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $151=$shape; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=__ZNK2js5Shape10attributesEv($151); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=(($152)&255); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $attrs=$153; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $154=$attrs; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $155=$154 & 16; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $156=(($155)|0)!=0; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($156) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      $doGet=0; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=$valcnt; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=$val; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=(($159+($158<<3))|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=$shape; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape11getterValueEv($7, $161); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=$160; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $163=$7; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($162)>>2)]=HEAP32[(($163)>>2)];HEAP32[(($162+4)>>2)]=HEAP32[(($163+4)>>2)]; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $164=$2; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=(($164+52)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $167=(($166+209948)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $168=(($167+272)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170=$169; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $171=$valcnt; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $172=(($gsop+($171<<2))|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($172)>>2)]=$170; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $173=$valcnt; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $174=(($173+1)|0); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $valcnt=$174; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $176=$attrs; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $177=$176 & 32; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $178=(($177)|0)!=0; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($178) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      $doGet=0; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $180=$valcnt; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $181=$val; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $182=(($181+($180<<3))|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $183=$shape; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape11setterValueEv($8, $183); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $184=$182; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $185=$8; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($184)>>2)]=HEAP32[(($185)>>2)];HEAP32[(($184+4)>>2)]=HEAP32[(($185+4)>>2)]; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $186=$2; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=(($186+52)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $188=HEAP32[(($187)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $189=(($188+209948)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $190=(($189+348)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $192=$191; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $193=$valcnt; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $194=(($gsop+($193<<2))|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($194)>>2)]=$192; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $195=$valcnt; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $196=(($195+1)|0); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $valcnt=$196; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 35; break; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      __label__ = 36; break; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $199=$doGet; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $200=(($199) & 1); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($200) { __label__ = 37; break; } else { __label__ = 40; break; } //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      $valcnt=1; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $202=(($gsop)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($202)>>2)]=0; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $203=$obj; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $204=$2; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $205=$id; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $206=$val; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $207=(($206)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $208=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($203, $204, $205, $207); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ok=$208; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $209=$ok; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $210=(($209)|0)!=0; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($210) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      __label__ = 140; break; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      __label__ = 40; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      __label__ = 41; break; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      var $215=$idstr; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $216=__Z15js_IsIdentifierP14JSLinearString($215); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $217=(($216)|0)!=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $218=(($217)&1); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $idIsLexicalIdentifier=$218; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $219=$id; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $220=__ZL12JSID_IS_ATOMi2511($219); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $221=(($220)|0)!=0; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($221) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      var $223=$idIsLexicalIdentifier; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $224=(($223) & 1); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($224) { __label__ = 49; break; } else { __label__ = 45; break; } //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 43: 
      var $226=$id; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $227=_JSID_IS_INT2487($226); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $228=(($227)|0)!=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($228) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 44: 
      var $230=$id; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $231=_JSID_TO_INT2488($230); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $232=(($231)|0) < 0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($232) { __label__ = 45; break; } else { __label__ = 49; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 45: 
      var $234=$2; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $235=$idstr; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $236=$235; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $237=_js_QuoteString($234, $236, 39); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $s=$237; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $238=$s; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $239=(($238)|0)!=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($239) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 46: 
      var $241=$s; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $242=$2; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $243=__ZN8JSString12ensureLinearEP9JSContext($241, $242); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $idstr=$243; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $244=(($243)|0)!=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($244) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 47: 
      $ok=0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 48: 
      var $247=$4; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $248=$idstr; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $249=$248; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($247, $249); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 49; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 49: 
      var $251=$idstr; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $252=$251; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $253=__ZNK8JSString6lengthEv($252); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $idstrlength=$253; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $254=$idstr; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $255=$254; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $256=$2; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $257=__ZN8JSString8getCharsEP9JSContext($255, $256); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $idstrchars=$257; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $258=$idstrchars; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $259=(($258)|0)!=0; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($259) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 50: 
      $ok=0; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 51: 
      $j=0; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 52; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 52: 
      var $263=$j; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $264=$valcnt; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $265=(($263)|0) < (($264)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($265) { __label__ = 53; break; } else { __label__ = 135; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 53: 
      var $267=$j; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $268=(($gsop+($267<<2))|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $269=HEAP32[(($268)>>2)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $270=(($269)|0)!=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($270) { __label__ = 54; break; } else { __label__ = 56; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 54: 
      var $272=$j; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $273=$val; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $274=(($273+($272<<3))|0); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $275=__ZNK2JS5Value11isUndefinedEv($274); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($275) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 55: 
      __label__ = 134; break; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 56: 
      var $278=$2; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $279=$j; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $280=$val; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $281=(($280+($279<<3))|0); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $282=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($278, $281); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $valstr=$282; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $283=$valstr; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $284=(($283)|0)!=0; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($284) { __label__ = 58; break; } else { __label__ = 57; break; } //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 57: 
      $ok=0; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 58: 
      var $287=$j; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $288=(($localroot+($287<<3))|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $289=$valstr; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($288, $289); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $290=$valstr; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $291=$2; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $292=__ZN8JSString8getCharsEP9JSContext($290, $291); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vchars=$292; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $293=$vchars; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $294=(($293)|0)!=0; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($294) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 59: 
      $ok=0; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 60: 
      var $297=$valstr; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $298=__ZNK8JSString6lengthEv($297); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vlength=$298; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($vsharp)>>2)]=0; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vsharplength=0; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $299=$j; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $300=(($gsop+($299<<2))|0); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $301=HEAP32[(($300)>>2)]; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $302=(($301)|0)!=0; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($302) { __label__ = 71; break; } else { __label__ = 61; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 61: 
      var $304=$j; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $305=$val; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $306=(($305+($304<<3))|0); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $307=__ZNK2JS5Value8isObjectEv($306); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($307) { __label__ = 62; break; } else { __label__ = 71; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 62: 
      var $309=$vchars; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $310=(($309)|0); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $311=HEAPU16[(($310)>>1)]; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $312=(($311)&65535); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $313=(($312)|0)!=35; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($313) { __label__ = 63; break; } else { __label__ = 71; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 63: 
      var $315=$2; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $316=$j; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $317=$val; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $318=(($317+($316<<3))|0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $319=__ZNK2JS5Value8toObjectEv($318); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $320=__Z19js_EnterSharpObjectP9JSContextP8JSObjectPP9JSIdArrayPPt($315, $319, 0, $vsharp); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $he=$320; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $321=$he; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $322=(($321)|0)!=0; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($322) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 64: 
      $ok=0; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 65: 
      var $325=$he; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $326=(($325+12)|0); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $327=HEAP32[(($326)>>2)]; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $328=$327; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $329=$328 & 1; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $330=(($329)|0)!=0; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($330) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 66: 
      var $332=HEAP32[(($vsharp)>>2)]; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vchars=$332; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $333=$vchars; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $334=__Z9js_strlenPKt($333); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vlength=$334; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 70; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 67: 
      var $336=HEAP32[(($vsharp)>>2)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $337=(($336)|0)!=0; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($337) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 68: 
      var $339=HEAP32[(($vsharp)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $340=__Z9js_strlenPKt($339); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vsharplength=$340; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $341=$he; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $342=(($341+12)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $343=HEAP32[(($342)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $344=$343; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $345=$344 | 1; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $346=$345; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $347=$he; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $348=(($347+12)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($348)>>2)]=$346; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 69; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 69: 
      var $350=$2; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z19js_LeaveSharpObjectP9JSContextPP9JSIdArray($350, 0); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 70; break;
    case 70: 
      __label__ = 71; break; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 71: 
      var $353=$j; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $354=(($gsop+($353<<2))|0); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $355=HEAP32[(($354)>>2)]; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $356=(($355)|0)!=0; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($356) { __label__ = 72; break; } else { __label__ = 85; break; } //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 72: 
      var $358=$j; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $359=$val; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $360=(($359+($358<<3))|0); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $361=__ZN2jsL16IsFunctionObjectERKN2JS5ValueE2445($360); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($361) { __label__ = 73; break; } else { __label__ = 85; break; } //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 73: 
      var $363=$vchars; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $start=$363; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $364=$vchars; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $365=$vlength; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $366=(($364+($365<<1))|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $end=$366; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parenChomp=0; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $367=$vchars; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $368=(($367)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $369=HEAPU16[(($368)>>1)]; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $370=(($369)&65535); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $371=(($370)|0)==40; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($371) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 74: 
      var $373=$vchars; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $374=(($373+2)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vchars=$374; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parenChomp=1; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 75; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 75: 
      var $376=$vchars; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $377=(($376)|0)!=0; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($377) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 76: 
      var $379=$vchars; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $380=$end; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $381=__Z15js_strchr_limitPKttS0_($379, 32, $380); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vchars=$381; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 77; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 77: 
      var $383=$vchars; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $384=(($383)|0)!=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($384) { __label__ = 78; break; } else { __label__ = 79; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 78: 
      var $386=$vchars; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $387=$end; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $388=__Z15js_strchr_limitPKttS0_($386, 40, $387); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vchars=$388; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 79; break; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 79: 
      var $390=$vchars; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $391=(($390)|0)!=0; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($391) { __label__ = 80; break; } else { __label__ = 83; break; } //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 80: 
      var $393=$vchars; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $394=HEAPU16[(($393)>>1)]; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $395=(($394)&65535); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $396=(($395)|0)==32; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($396) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 81: 
      var $398=$vchars; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $399=(($398+2)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vchars=$399; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 82; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 82: 
      var $401=$end; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $402=$vchars; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $403=$401; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $404=$402; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $405=(($403-$404)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $406=(((($405)|0)/2)&-1); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $407=$parenChomp; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $408=(($407)&255); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $409=(($406-$408)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vlength=$409; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 84; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 83: 
      var $411=$j; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $412=(($gsop+($411<<2))|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($412)>>2)]=0; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $413=$start; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vchars=$413; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 84; break;
    case 84: 
      __label__ = 85; break; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 85: 
      var $416=$nchars; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $curlen=$416; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $417=$comma; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $418=(($417)|0)!=0; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($418) { __label__ = 86; break; } else { __label__ = 92; break; } //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 86: 
      __label__ = 87; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 87: 
      $n_=2; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $421=$n_; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $422=$curlen; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $423=(($422+$421)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $curlen=$423; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $424=$curlen; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $425=$n_; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $426=(($424)>>>0) < (($425)>>>0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($426) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 88: 
      __label__ = 151; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 89: 
      __label__ = 90; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 90: 
      __label__ = 91; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 91: 
      __label__ = 92; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 92: 
      __label__ = 93; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 93: 
      var $433=$idstrlength; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $434=(($433+1)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n_1=$434; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $435=$n_1; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $436=$curlen; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $437=(($436+$435)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $curlen=$437; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $438=$curlen; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $439=$n_1; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $440=(($438)>>>0) < (($439)>>>0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($440) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 94: 
      __label__ = 151; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 95: 
      __label__ = 96; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 96: 
      __label__ = 97; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 97: 
      var $445=$j; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $446=(($gsop+($445<<2))|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $447=HEAP32[(($446)>>2)]; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $448=(($447)|0)!=0; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($448) { __label__ = 98; break; } else { __label__ = 104; break; } //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 98: 
      __label__ = 99; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 99: 
      var $451=$j; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $452=(($gsop+($451<<2))|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $453=HEAP32[(($452)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $454=__ZNK8JSString6lengthEv($453); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $455=(($454+1)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n_2=$455; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $456=$n_2; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $457=$curlen; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $458=(($457+$456)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $curlen=$458; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $459=$curlen; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $460=$n_2; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $461=(($459)>>>0) < (($460)>>>0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($461) { __label__ = 100; break; } else { __label__ = 101; break; } //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 100: 
      __label__ = 151; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 101: 
      __label__ = 102; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 102: 
      __label__ = 103; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 103: 
      __label__ = 104; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 104: 
      __label__ = 105; break; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 105: 
      var $468=$vsharplength; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n_3=$468; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $469=$n_3; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $470=$curlen; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $471=(($470+$469)|0); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $curlen=$471; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $472=$curlen; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $473=$n_3; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $474=(($472)>>>0) < (($473)>>>0); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($474) { __label__ = 106; break; } else { __label__ = 107; break; } //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 106: 
      __label__ = 151; break; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 107: 
      __label__ = 108; break; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 108: 
      __label__ = 109; break; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 109: 
      __label__ = 110; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 110: 
      var $480=$vlength; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n_4=$480; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $481=$n_4; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $482=$curlen; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $483=(($482+$481)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $curlen=$483; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $484=$curlen; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $485=$n_4; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $486=(($484)>>>0) < (($485)>>>0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($486) { __label__ = 111; break; } else { __label__ = 112; break; } //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 111: 
      __label__ = 151; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 112: 
      __label__ = 113; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 113: 
      __label__ = 114; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 114: 
      __label__ = 115; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 115: 
      var $492=$outermost; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $493=(($492)|0)!=0; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $494=$493 ? 2 : 1; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $495=(($494+1)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n_5=$495; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $496=$n_5; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $497=$curlen; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $498=(($497+$496)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $curlen=$498; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $499=$curlen; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $500=$n_5; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $501=(($499)>>>0) < (($500)>>>0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($501) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 116: 
      __label__ = 151; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 117: 
      __label__ = 118; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 118: 
      __label__ = 119; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 119: 
      var $506=$curlen; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $507=(($506)>>>0) > 2147483647; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($507) { __label__ = 120; break; } else { __label__ = 121; break; } //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 120: 
      __label__ = 151; break; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 121: 
      var $510=$2; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $511=HEAP32[(($chars)>>2)]; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ochars=$511; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $512=$511; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $513=$curlen; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $514=((($513<<1))|0); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $515=__ZN9JSContext8realloc_EPvj($510, $512, $514); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $516=$515; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($chars)>>2)]=$516; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $517=HEAP32[(($chars)>>2)]; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $518=(($517)|0)!=0; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($518) { __label__ = 123; break; } else { __label__ = 122; break; } //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 122: 
      var $520=$ochars; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($chars)>>2)]=$520; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 151; break; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 123: 
      var $522=$comma; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $523=(($522)|0)!=0; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($523) { __label__ = 124; break; } else { __label__ = 125; break; } //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 124: 
      var $525=$comma; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $526=(($525)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $527=HEAP8[($526)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $528=(($527 << 24) >> 24); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $529=$nchars; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $530=(($529+1)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$530; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $531=HEAP32[(($chars)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $532=(($531+($529<<1))|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($532)>>1)]=$528; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $533=$comma; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $534=(($533+1)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $535=HEAP8[($534)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $536=(($535 << 24) >> 24); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $537=$nchars; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $538=(($537+1)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$538; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $539=HEAP32[(($chars)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $540=(($539+($537<<1))|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($540)>>1)]=$536; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 125; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 125: 
      $comma=((STRING_TABLE.__str462249)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $542=$j; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $543=(($gsop+($542<<2))|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $544=HEAP32[(($543)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $545=(($544)|0)!=0; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($545) { __label__ = 126; break; } else { __label__ = 129; break; } //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 126: 
      var $547=$j; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $548=(($gsop+($547<<2))|0); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $549=HEAP32[(($548)>>2)]; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $550=__ZNK8JSString6lengthEv($549); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $gsoplength=$550; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $551=$j; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $552=(($gsop+($551<<2))|0); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $553=HEAP32[(($552)>>2)]; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $554=$2; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $555=__ZN8JSString8getCharsEP9JSContext($553, $554); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $gsopchars=$555; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $556=$gsopchars; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $557=(($556)|0)!=0; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($557) { __label__ = 128; break; } else { __label__ = 127; break; } //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 127: 
      __label__ = 151; break; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 128: 
      var $560=$nchars; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $561=HEAP32[(($chars)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $562=(($561+($560<<1))|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $563=$562; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $564=$gsopchars; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $565=$564; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $566=$gsoplength; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $567=((($566<<1))|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($567 % 1 === 0, 'memcpy given ' + $567 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($563, $565, $567, 1); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $568=$gsoplength; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $569=$nchars; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $570=(($569+$568)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$570; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $571=$nchars; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $572=(($571+1)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$572; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $573=HEAP32[(($chars)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $574=(($573+($571<<1))|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($574)>>1)]=32; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 129; break; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 129: 
      var $576=$nchars; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $577=HEAP32[(($chars)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $578=(($577+($576<<1))|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $579=$578; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $580=$idstrchars; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $581=$580; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $582=$idstrlength; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $583=((($582<<1))|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($583 % 1 === 0, 'memcpy given ' + $583 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($579, $581, $583, 1); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $584=$idstrlength; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $585=$nchars; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $586=(($585+$584)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$586; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $587=$j; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $588=(($gsop+($587<<2))|0); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $589=HEAP32[(($588)>>2)]; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $590=(($589)|0)!=0; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $591=$590 ? 32 : 58; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $592=(($591 << 24) >> 24); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $593=$nchars; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $594=(($593+1)|0); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$594; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $595=HEAP32[(($chars)>>2)]; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $596=(($595+($593<<1))|0); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($596)>>1)]=$592; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $597=$vsharplength; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $598=(($597)|0)!=0; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($598) { __label__ = 130; break; } else { __label__ = 131; break; } //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 130: 
      var $600=$nchars; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $601=HEAP32[(($chars)>>2)]; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $602=(($601+($600<<1))|0); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $603=$602; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $604=HEAP32[(($vsharp)>>2)]; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $605=$604; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $606=$vsharplength; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $607=((($606<<1))|0); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($607 % 1 === 0, 'memcpy given ' + $607 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($603, $605, $607, 1); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $608=$vsharplength; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $609=$nchars; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $610=(($609+$608)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$610; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 131; break; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 131: 
      var $612=$nchars; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $613=HEAP32[(($chars)>>2)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $614=(($613+($612<<1))|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $615=$614; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $616=$vchars; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $617=$616; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $618=$vlength; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $619=((($618<<1))|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($619 % 1 === 0, 'memcpy given ' + $619 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($615, $617, $619, 1); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $620=$vlength; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $621=$nchars; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $622=(($621+$620)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$622; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $623=HEAP32[(($vsharp)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $624=(($623)|0)!=0; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($624) { __label__ = 132; break; } else { __label__ = 133; break; } //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 132: 
      var $626=$2; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $627=HEAP32[(($vsharp)>>2)]; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $628=$627; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($626, $628); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 133; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 133: 
      __label__ = 134; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 134: 
      var $631=$j; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $632=(($631+1)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $j=$632; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 52; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 135: 
      __label__ = 136; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 136: 
      var $635=$i; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $636=(($635+1)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$636; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 137: 
      var $638=$nchars; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $639=(($638+1)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$639; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $640=HEAP32[(($chars)>>2)]; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $641=(($640+($638<<1))|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($641)>>1)]=125; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $642=$outermost; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $643=(($642)|0)!=0; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($643) { __label__ = 138; break; } else { __label__ = 139; break; } //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 138: 
      var $645=$nchars; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $646=(($645+1)|0); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nchars=$646; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $647=HEAP32[(($chars)>>2)]; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $648=(($647+($645<<1))|0); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($648)>>1)]=41; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 139; break; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 139: 
      var $650=$nchars; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $651=HEAP32[(($chars)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $652=(($651+($650<<1))|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP16[(($652)>>1)]=0; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 140: 
      var $654=$2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z19js_LeaveSharpObjectP9JSContextPP9JSIdArray($654, $ida); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $655=$ok; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $656=(($655)|0)!=0; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($656) { __label__ = 144; break; } else { __label__ = 141; break; } //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 141: 
      var $658=HEAP32[(($chars)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $659=(($658)|0)!=0; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($659) { __label__ = 142; break; } else { __label__ = 143; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 142: 
      var $661=HEAP32[(($chars)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $662=$661; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js10Foreground5free_EPv($662); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 143; break; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 143: 
      __label__ = 150; break; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 144: 
      var $665=HEAP32[(($chars)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $666=(($665)|0)!=0; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($666) { __label__ = 146; break; } else { __label__ = 145; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 145: 
      var $668=$2; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportOutOfMemory($668); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ok=0; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 150; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 146: 
      __label__ = 147; break; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 147: 
      var $671=$2; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $672=HEAP32[(($chars)>>2)]; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $673=$nchars; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $674=__Z12js_NewStringP9JSContextPtj($671, $672, $673); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $675=$674; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $str=$675; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $676=$str; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $677=(($676)|0)!=0; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($677) { __label__ = 149; break; } else { __label__ = 148; break; } //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 148: 
      var $679=$2; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $680=HEAP32[(($chars)>>2)]; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $681=$680; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($679, $681); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ok=0; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 150; break; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 149: 
      var $683=$4; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $684=$str; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($683, $684); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ok=1; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 150; break; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 150: 
      var $686=$ok; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$686; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 152; break; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 151: 
      var $688=$2; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $689=HEAP32[(($vsharp)>>2)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $690=$689; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($688, $690); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $691=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $692=HEAP32[(($chars)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $693=$692; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($691, $693); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($chars)>>2)]=0; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 140; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 152: 
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 153; break;
    case 153: 
      var $696=$1; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $696; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12obj_toSourceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12obj_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisv;
      var $obj;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5+8)|0); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $thisv=$6; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$thisv; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK2JS5Value11isUndefinedEv($7); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$4; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$2; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+52)|0); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+209948)|0); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14+340)|0); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$16; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($10, $17); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $19=$thisv; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZNK2JS5Value6isNullEv($19); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $22=$4; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$2; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23+52)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25+209948)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26+336)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$28; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($22, $29); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $31=$2; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$thisv; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($31, $32); //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$33; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$obj; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34)|0)!=0; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $38=$2; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$obj; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZN2js18obj_toStringHelperEP9JSContextP8JSObject($38, $39); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $str=$40; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$str; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)|0)!=0; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $45=$4; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$str; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($45, $46); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $48=$1; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $48; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12obj_toStringP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL18obj_toLocaleStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      __label__ = 2; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $6=$stackDummy_; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$2; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7+48)|0); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($6)>>>0) < (($9)>>>0); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z21js_ReportOverRecursedP9JSContext($12); //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      __label__ = 5; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $15=$2; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$4; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+8)|0); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($15, $17); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$18; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$obj; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19)|0)!=0; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $23=$obj; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$2; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$2; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25+52)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27+209948)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+376)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$30; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZL12ATOM_TO_JSIDP6JSAtom2291($31); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$4; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZN8JSObject10callMethodEP9JSContextijPN2JS5ValueES4_($23, $24, $32, 0, 0, $33); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34)&1); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$35; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $37=$1; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11obj_valueOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$4; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6+8)|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$8; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$obj; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)!=0; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$4; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$obj; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($13, $14); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$1; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $16; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9obj_watchP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $callable;
      var $propid=__stackBase__;
      var $obj;
      var $tmp=__stackBase__+4;
      var $attrs=__stackBase__+12;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)>>>0) <= 1; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $8=$2; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z19js_ReportMissingArgP9JSContextRKN2JS5ValueEj($8, $9, 1); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$2; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$4; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12+24)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__Z24js_ValueToCallableObjectP9JSContextPN2JS5ValueEj($11, $13, 0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $callable=$14; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$callable; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)|0)!=0; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $19=$2; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$4; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20+16)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($19, $21, $propid); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $25=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$4; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26+8)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($25, $27); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$28; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$obj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $33=$2; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$obj; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($propid)>>2)]; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj($33, $34, $35, 3, $tmp, $attrs); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36)|0)!=0; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $40=$4; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=HEAP32[(($attrs)>>2)]; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41 & 2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42)|0)!=0; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=1; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $46=$obj; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=__ZNK8JSObject12isDenseArrayEv($46); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($47) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $49=$obj; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$2; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=__ZN8JSObject18makeDenseArraySlowEP9JSContext($49, $50); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0)!=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      $1=0; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $55=$2; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=HEAP32[(($propid)>>2)]; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$callable; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=_JS_SetWatchPoint($55, $56, $57, 184, $58); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$59; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $61=$1; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9obj_watchP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11obj_unwatchP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $id=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$4; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6+8)|0); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$8; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$obj; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$4; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($13); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$3; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=$2; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$4; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18+16)|0); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($17, $19, $id); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 8; break; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      HEAP32[(($id)>>2)]=2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break;
    case 8: 
      var $25=$2; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$obj; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($id)>>2)]; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=_JS_ClearWatchPoint($25, $26, $27, 0, 0); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$28; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $30=$1; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18obj_hasOwnPropertyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$4; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6+8)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$8; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$obj; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)!=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$2; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$obj; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZNK8JSObject6getOpsEv($14); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15+4)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$3; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$4; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__Z23js_HasOwnPropertyHelperP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyEjPN2JS5ValueE($13, $17, $18, $19); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$20; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $22=$1; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $22; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17obj_isPrototypeOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)>>>0) < 1; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $8=$4; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8+16)|0); //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK2JS5Value8isObjectEv($9); //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$4; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($12, 0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $14=$2; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$4; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15+8)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($14, $16); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$17; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$obj; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18)|0)!=0; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $22=$4; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$2; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$obj; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25+16)|0); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__Z13js_IsDelegateP9JSContextP8JSObjectRKN2JS5ValueE($23, $24, $26); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($22, $27); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $29=$1; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $29; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL24obj_propertyIsEnumerableP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $id=__stackBase__;
      var $5=__stackBase__+4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$3; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0)!=0; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$4; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10+16)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$5; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$11; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      __ZN2JSL14UndefinedValueEv2280($5); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($6, $5, $id); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $19=$2; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$4; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20+8)|0); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($19, $21); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$22; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$obj; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23)|0)!=0; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $27=$2; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$obj; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=HEAP32[(($id)>>2)]; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$4; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__Z23js_PropertyIsEnumerableP9JSContextP8JSObjectiPN2JS5ValueE($27, $28, $29, $30); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$31; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $33=$1; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16obj_lookupGetterP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $id=__stackBase__;
      var $5=__stackBase__+4;
      var $obj;
      var $pobj=__stackBase__+12;
      var $prop=__stackBase__+16;
      var $shape;
      var $6=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)|0)!=0; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $11=$4; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+16)|0); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$5; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$12; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      __ZN2JSL14UndefinedValueEv2280($5); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($7, $5, $id); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$2; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$4; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+8)|0); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($20, $22); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$23; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$obj; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $28=$obj; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP32[(($id)>>2)]; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($28, $29, $30, $pobj, $prop); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31)|0)!=0; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $35=$4; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($35); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=HEAP32[(($prop)>>2)]; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36)|0)!=0; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $39=HEAP32[(($pobj)>>2)]; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK8JSObject8isNativeEv($39); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $42=HEAP32[(($prop)>>2)]; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$42; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$43; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$shape; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=__ZNK2js5Shape14hasGetterValueEv($44); //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $47=$4; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$shape; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape11getterValueEv($6, $48); //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$47; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$6; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 15; break; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      __label__ = 16; break; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=1; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $55=$1; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $55; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16obj_lookupGetterP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL16obj_lookupSetterP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $id=__stackBase__;
      var $5=__stackBase__+4;
      var $obj;
      var $pobj=__stackBase__+12;
      var $prop=__stackBase__+16;
      var $shape;
      var $6=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)|0)!=0; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $11=$4; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+16)|0); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$5; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$12; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      __ZN2JSL14UndefinedValueEv2280($5); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($7, $5, $id); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$2; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+8)|0); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($20, $22); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$23; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$obj; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $28=$obj; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP32[(($id)>>2)]; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($28, $29, $30, $pobj, $prop); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31)|0)!=0; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $35=$4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($35); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=HEAP32[(($prop)>>2)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36)|0)!=0; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $39=HEAP32[(($pobj)>>2)]; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK8JSObject8isNativeEv($39); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $42=HEAP32[(($prop)>>2)]; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$42; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$43; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$shape; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=__ZNK2js5Shape14hasSetterValueEv($44); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $47=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$shape; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape11setterValueEv($6, $48); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$47; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$6; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 15; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      __label__ = 16; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=1; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $55=$1; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $55; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16obj_lookupSetterP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL28obj_getOwnPropertyDescriptorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $nameidr=__stackBase__+4;
      var $5=__stackBase__+20;
      var $6;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($7, $8, $9, ((STRING_TABLE.__str452248)|0), $obj); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$2; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=_INT_TO_JSID2431(0); //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdRooterC1EP9JSContexti($nameidr, $13, $14); //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$2; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16)>>>0) >= 2; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$4; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+24)|0); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$5; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$20; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __ZN2JSL14UndefinedValueEv2280($5); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $25=__ZN2js12AutoIdRooter4addrEv($nameidr); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($15, $5, $25); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 9; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $29=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP32[(($obj)>>2)]; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZN2js12AutoIdRooter2idEv($nameidr); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$4; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiPN2JS5ValueE($29, $30, $31, $32); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)&1); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$34; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 9; break; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      __ZN2js12AutoIdRooterD1Ev($nameidr); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break;
    case 10: 
      var $37=$1; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL28obj_getOwnPropertyDescriptorP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8obj_keysP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 172; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $props=__stackBase__+4;
      var $5;
      var $vals=__stackBase__+64;
      var $i;
      var $len;
      var $id;
      var $6=__stackBase__+156;
      var $str;
      var $7=__stackBase__+164;
      var $aobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$3; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$4; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($8, $9, $10, ((STRING_TABLE.__str442247)|0), $obj); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$2; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($props, $14); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$2; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($obj)>>2)]; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($15, $16, 8, $props); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 23; break; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $20=$2; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($vals, $20); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$vals; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$props; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZNK2js16AutoVectorRooterIiE6lengthEv($22); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($21, $23); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 22; break; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $i=0; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$props; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK2js16AutoVectorRooterIiE6lengthEv($27); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $len=$28; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $30=$i; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$len; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($30)>>>0) < (($31)>>>0); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 19; break; } //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $34=$props; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$i; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZN2js16AutoVectorRooterIiEixEj($34, $35); //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$37; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$id; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=_JSID_IS_STRING2486($38); //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39)|0)!=0; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $42=$vals; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$id; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=_JSID_TO_STRING2421($43); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11StringValueEP8JSString2480($6, $44); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($42, $6); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $47=$id; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=_JSID_IS_INT2487($47); //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)|0)!=0; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $51=$2; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$id; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=_JSID_TO_INT2488($52); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=__Z14js_IntToStringP9JSContexti($51, $53); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $str=$54; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$str; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55)|0)!=0; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      $1=0; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 22; break; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $59=$vals; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$str; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11StringValueEP8JSString2480($7, $60); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($59, $7); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $65=$i; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65+1)|0); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$66; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $68=$2; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$vals; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($69); //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$vals; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($71); //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($68, $70, $72, 0); //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $aobj=$73; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$aobj; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($74)|0)!=0; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($75) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      $1=0; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 22; break; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $78=$4; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=$aobj; //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($78, $79); //@line 1953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 22; break; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      __ZN2js15AutoValueVectorD1Ev($vals); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break;
    case 23: 
      __ZN2js12AutoIdVectorD1Ev($props); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break;
    case 24: 
      var $83=$1; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8obj_keysP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL18obj_definePropertyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $id=__stackBase__+4;
      var $5=__stackBase__+8;
      var $descval=__stackBase__+16;
      var $junk=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$3; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($6, $7, $8, ((STRING_TABLE.__str432246)|0), $obj); //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)>>>0) >= 2; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$4; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+24)|0); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$5; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$17; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __ZN2JSL14UndefinedValueEv2280($5); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $22=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($12, $5, $id); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $25=$3; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25)>>>0) >= 3; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $28=$4; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+32)|0); //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$descval; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$29; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      __ZN2JSL14UndefinedValueEv2280($descval); //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $34=$2; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($obj)>>2)]; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=HEAP32[(($id)>>2)]; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__Z20js_DefineOwnPropertyP9JSContextP8JSObjectiRKN2JS5ValueEPi($34, $35, $36, $descval, $junk); //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37)|0)!=0; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($38) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=0; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $41=$4; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=HEAP32[(($obj)>>2)]; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($41, $42); //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $44=$1; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18obj_definePropertyP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL20obj_definePropertiesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $props;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$3; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($5, $6, $7, ((STRING_TABLE.__str422245)|0), $obj); //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$4; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($obj)>>2)]; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($11, $12); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)>>>0) < 2; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$2; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($16, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str422245)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str332236)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str342237)|0),tempInt)); //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $18=$2; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$4; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+24)|0); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($18, $20); //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $props=$21; //@line 2594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$props; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)|0)!=0; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $26=$2; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($obj)>>2)]; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$props; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZL16DefinePropertiesP9JSContextP8JSObjectS2_($26, $27, $28); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29)&1); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$30; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $32=$1; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10obj_createP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v;
      var $bytes;
      var $proto;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)|0)==0; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $8=$2; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($8, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str402243)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str332236)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str342237)|0),tempInt)); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $10=$4; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10+16)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $v=$11; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$v; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK2JS5Value14isObjectOrNullEv($12); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $15=$2; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$v; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString2290($15, 1, $16, 0); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $bytes=$17; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$bytes; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18)|0)!=0; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $22=$2; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$bytes; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($22, 2, 0, 222, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$23,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str412244)|0),tempInt)); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$2; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$bytes; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_free($24, $25); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $27=$v; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK2JS5Value14toObjectOrNullEv($27); //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $proto=$28; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$proto; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29)|0)!=0; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $32=$proto; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZNK8JSObject5isXMLEv($32); //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $35=$2; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($35, 2, 0, 272, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $37=$2; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$proto; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$4; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK2JS5Value8toObjectEv($39); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__ZNK8JSObject9getGlobalEv($40); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2514($37, __ZN2js11ObjectClassE, $38, $42); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$43; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$obj; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44)|0)!=0; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $1=0; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $48=$4; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$obj; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($48, $49); //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$2; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$obj; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=__ZNK8JSObject4typeEv($51); //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($50, $52, 0); //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$3; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53)>>>0) > 1; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($54) { __label__ = 13; break; } else { __label__ = 19; break; } //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $56=$4; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56+24)|0); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=__ZNK2JS5Value11isUndefinedEv($57); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($58) { __label__ = 19; break; } else { __label__ = 14; break; } //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $60=$4; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($60+24)|0); //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=__ZNK2JS5Value11isPrimitiveEv($61); //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($62) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $64=$2; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($64, 2, 0, 231, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $66=$2; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$obj; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$4; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=(($68+24)|0); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=__ZNK2JS5Value8toObjectEv($69); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=__ZL16DefinePropertiesP9JSContextP8JSObjectS2_($66, $67, $70); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=0; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 19; break; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      $1=1; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $76=$1; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $76; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10obj_createP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL23obj_getOwnPropertyNamesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 164; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $keys=__stackBase__+4;
      var $5;
      var $vals=__stackBase__+64;
      var $i;
      var $len;
      var $id;
      var $str;
      var $6=__stackBase__+156;
      var $aobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($7, $8, $9, ((STRING_TABLE.__str392242)|0), $obj); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$2; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($keys, $13); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$2; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($obj)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($14, $15, 24, $keys); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 23; break; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $19=$2; //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($vals, $19); //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$vals; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$keys; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZNK2js16AutoVectorRooterIiE6lengthEv($21); //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZN2js16AutoVectorRooterIN2JS5ValueEE6resizeEj($20, $22); //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 22; break; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $i=0; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$keys; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK2js16AutoVectorRooterIiE6lengthEv($26); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $len=$27; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $29=$i; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$len; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($29)>>>0) < (($30)>>>0); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 19; break; } //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $33=$keys; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$i; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZN2js16AutoVectorRooterIiEixEj($33, $34); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$36; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$id; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=_JSID_IS_INT2487($37); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38)|0)!=0; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $41=$2; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$id; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=_JSID_TO_INT2488($42); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL10Int32ValueEi2332($6, $43); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($41, $6); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $str=$44; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$str; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45)|0)!=0; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $1=0; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 22; break; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $49=$vals; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$i; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($49, $50); //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$str; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($51, $52); //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $54=$id; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=__ZL12JSID_IS_ATOMi2511($54); //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55)|0)!=0; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $58=$vals; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$i; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($58, $59); //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$id; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=_JSID_TO_STRING2421($61); //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setStringEP8JSString($60, $62); //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $64=$vals; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$i; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($64, $65); //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$id; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=_JSID_TO_OBJECT2490($67); //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($66, $68); //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $72=$i; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=(($72+1)|0); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$73; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $75=$2; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$vals; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($76); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=$vals; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($78); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($75, $77, $79, 0); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $aobj=$80; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$aobj; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=(($81)|0)!=0; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($82) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      $1=0; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 22; break; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $85=$4; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=$aobj; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($85, $86); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 22; break; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      __ZN2js15AutoValueVectorD1Ev($vals); //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break;
    case 23: 
      __ZN2js12AutoIdVectorD1Ev($keys); //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break;
    case 24: 
      var $90=$1; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $90; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL23obj_getOwnPropertyNamesP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL16obj_isExtensibleP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$3; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($5, $6, $7, ((STRING_TABLE.__str382241)|0), $obj); //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$4; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($obj)>>2)]; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK8JSObject12isExtensibleEv($12); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($11, $13); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $15=$1; //@line 2703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $15; //@line 2703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21obj_preventExtensionsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $props=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$3; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($6, $7, $8, ((STRING_TABLE.__str362239)|0), $obj); //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$4; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($obj)>>2)]; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($12, $13); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($obj)>>2)]; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZNK8JSObject12isExtensibleEv($14); //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=1; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $18=$2; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($props, $18); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($obj)>>2)]; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$2; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZN8JSObject17preventExtensionsEP9JSContextPN2js12AutoIdVectorE($19, $20, $props); //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21)&1); //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$22; //@line 2717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __ZN2js12AutoIdVectorD1Ev($props); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break;
    case 6: 
      var $24=$1; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10obj_freezeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$3; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($5, $6, $7, ((STRING_TABLE.__str372240)|0), $obj); //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$4; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($obj)>>2)]; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($11, $12); //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($obj)>>2)]; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$2; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZN8JSObject6freezeEP9JSContext($13, $14); //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)&1); //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$16; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$1; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $18; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12obj_isFrozenP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $frozen=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$3; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($5, $6, $7, ((STRING_TABLE.__str362239)|0), $obj); //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=HEAP32[(($obj)>>2)]; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$2; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZN8JSObject8isFrozenEP9JSContextPb($11, $12, $frozen); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $16=$4; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=HEAP8[($frozen)]; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17) & 1); //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($16, $18); //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$1; //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $20; //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8obj_sealP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$3; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($5, $6, $7, ((STRING_TABLE.__str352238)|0), $obj); //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$4; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($obj)>>2)]; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($11, $12); //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($obj)>>2)]; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$2; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZN8JSObject4sealEP9JSContext($13, $14); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)&1); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$16; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$1; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $18; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12obj_isSealedP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $sealed=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$3; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($5, $6, $7, ((STRING_TABLE.__str322235)|0), $obj); //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=HEAP32[(($obj)>>2)]; //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$2; //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZN8JSObject8isSealedEP9JSContextPb($11, $12, $sealed); //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $16=$4; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=HEAP8[($sealed)]; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17) & 1); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($16, $18); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$1; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $20; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15NewObjectGCKindEP9JSContextPNS_5ClassE($cx, $clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$clasp;
      var $4=$3; //@line 1585 "./jsobjinlines.h"
      var $5=(($4)|0)==((__ZN2js10ArrayClassE)|0); //@line 1585 "./jsobjinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1585 "./jsobjinlines.h"
    case 2: 
      var $7=$3; //@line 1585 "./jsobjinlines.h"
      var $8=(($7)|0)==((__ZN2js14SlowArrayClassE)|0); //@line 1585 "./jsobjinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1585 "./jsobjinlines.h"
    case 3: 
      $1=6; //@line 1586 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1586 "./jsobjinlines.h"
    case 4: 
      var $11=$3; //@line 1587 "./jsobjinlines.h"
      var $12=(($11)|0)==((__ZN2js13FunctionClassE)|0); //@line 1587 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1587 "./jsobjinlines.h"
    case 5: 
      $1=2; //@line 1588 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1588 "./jsobjinlines.h"
    case 6: 
      $1=4; //@line 1589 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1589 "./jsobjinlines.h"
    case 7: 
      var $16=$1; //@line 1590 "./jsobjinlines.h"
      ;
      return $16; //@line 1590 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_EMPTY2321($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1628 "./jsapi.h"
  var $3=(($2)|0)==4; //@line 1628 "./jsapi.h"
  var $4=(($3)&1); //@line 1628 "./jsapi.h"
  ;
  return $4; //@line 1628 "./jsapi.h"
}


function __Z9js_ObjectP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $kind;
      var $type;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)|0)==0; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      HEAP32[(($obj)>>2)]=0; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $9=$2; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$4; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10+16)|0); //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__Z22js_ValueToObjectOrNullP9JSContextRKN2JS5ValueEPP8JSObject($9, $11, $obj); //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12)|0)!=0; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $17=HEAP32[(($obj)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)|0)!=0; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 12; break; } else { __label__ = 7; break; } //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $20=$2; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZN2jsL15NewObjectGCKindEP9JSContextPNS_5ClassE($20, __ZN2js11ObjectClassE); //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $kind=$21; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$2; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$kind; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2318($22, __ZN2js11ObjectClassE, $23); //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($obj)>>2)]=$24; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($obj)>>2)]; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25)|0)!=0; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $29=$2; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($29, 1); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $type=$30; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$type; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31)|0)!=0; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $35=HEAP32[(($obj)>>2)]; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$type; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($35, $36); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $38=$4; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=HEAP32[(($obj)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($38, $39); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $41=$1; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9js_ObjectP9JSContextjPN2JS5ValueE["X"]=1;

function __Z22js_ValueToObjectOrNullP9JSContextRKN2JS5ValueEPP8JSObject($cx, $v, $objp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$v;
      $4=$objp;
      var $5=$3; //@line 6795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK2JS5Value14isObjectOrNullEv($5); //@line 6795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $8=$3; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK2JS5Value14toObjectOrNullEv($8); //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$9; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$3; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK2JS5Value11isUndefinedEv($11); //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $obj=0; //@line 6798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $15=$2; //@line 6800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 6800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__Z17PrimitiveToObjectP9JSContextRKN2JS5ValueE($15, $16); //@line 6800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$17; //@line 6800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$obj; //@line 6801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18)|0)!=0; //@line 6801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 6802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 6802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $24=$obj; //@line 6804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 6804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($25)>>2)]=$24; //@line 6804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 6805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $27=$1; //@line 6806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $27; //@line 6806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2318($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2510($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2318["X"]=1;

function __ZN2js17NewReshapedObjectEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindEPKNS_5ShapeE($cx, $type, $parent, $kind, $shape) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $res;
      var $ids=__stackBase__;
      var $i;
      var $7=__stackBase__+60;
      var $8;
      var $nshape;
      var $i1;
      var $9=__stackBase__+64;
      $2=$cx;
      $3=$type;
      $4=$parent;
      $5=$kind;
      $6=$shape;
      var $10=$2; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$3; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$4; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$5; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZN2jsL17NewObjectWithTypeEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindE($10, $11, $12, $13); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $res=$14; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$res; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)|0)!=0; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $19=$6; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+12)|0); //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=_JSID_IS_EMPTY2321($21); //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)|0)!=0; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $25=$res; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$25; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $27=$2; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($ids, $27); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=0; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $29=$i; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$6; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30+24)|0); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAPU32[(($31)>>2)]; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($29)>>>0) <= (($32)>>>0); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $35=$ids; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($7)>>2)]=2; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZN2js16AutoVectorRooterIiE6appendERKi($35, $7); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 21; break; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      __label__ = 10; break; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $40=$i; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40+1)|0); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$41; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $43=$6; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nshape=$43; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $45=$nshape; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45+12)|0); //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=_JSID_IS_EMPTY2321($47); //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)|0)!=0; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$49 ^ 1; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($50) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $52=$nshape; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=(($52+12)|0); //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$ids; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$nshape; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56+24)|0); //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=__ZN2js16AutoVectorRooterIiEixEj($55, $58); //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($59)>>2)]=$54; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$nshape; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=__ZNK2js5Shape8previousEv($60); //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nshape=$61; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $i1=0; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $64=$i1; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$ids; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=__ZNK2js16AutoVectorRooterIiE6lengthEv($65); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($64)>>>0) < (($66)>>>0); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $69=$2; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$res; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$ids; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$i1; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=__ZN2js16AutoVectorRooterIiEixEj($71, $72); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($9); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($69, $70, $74, $9, 0, 0, 1, 0, 0, 16); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=(($75)|0)!=0; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($76) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=0; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 21; break; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 19; break; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $80=$i1; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=(($80+1)|0); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i1=$81; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $83=$res; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$83; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 21; break; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      __ZN2js12AutoIdVectorD1Ev($ids); //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break;
    case 22: 
      var $86=$1; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $86; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js17NewReshapedObjectEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindEPKNS_5ShapeE["X"]=1;

function __ZN2jsL17NewObjectWithTypeEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindE($cx, $type, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $1=$cx;
      $2=$type;
      $3=$parent;
      $4=$kind;
      var $5=$4; //@line 1536 "./jsobjinlines.h"
      var $6=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2466($5, __ZN2js11ObjectClassE); //@line 1536 "./jsobjinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1536 "./jsobjinlines.h"
    case 2: 
      var $8=$4; //@line 1537 "./jsobjinlines.h"
      var $9=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2467($8); //@line 1537 "./jsobjinlines.h"
      $4=$9; //@line 1537 "./jsobjinlines.h"
      __label__ = 3; break; //@line 1537 "./jsobjinlines.h"
    case 3: 
      var $11=$1; //@line 1539 "./jsobjinlines.h"
      var $12=$4; //@line 1539 "./jsobjinlines.h"
      var $13=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($11, $12); //@line 1539 "./jsobjinlines.h"
      $obj=$13; //@line 1539 "./jsobjinlines.h"
      var $14=$obj; //@line 1540 "./jsobjinlines.h"
      var $15=(($14)|0)!=0; //@line 1540 "./jsobjinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1540 "./jsobjinlines.h"
    case 4: 
      __label__ = 12; break; //@line 1541 "./jsobjinlines.h"
    case 5: 
      var $18=$obj; //@line 1547 "./jsobjinlines.h"
      var $19=$1; //@line 1547 "./jsobjinlines.h"
      var $20=$2; //@line 1547 "./jsobjinlines.h"
      var $21=$3; //@line 1547 "./jsobjinlines.h"
      var $22=(($21)|0)!=0; //@line 1547 "./jsobjinlines.h"
      if ($22) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 1547 "./jsobjinlines.h"
    case 6: 
      var $24=$2; //@line 1547 "./jsobjinlines.h"
      var $25=(($24)|0); //@line 1547 "./jsobjinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 1547 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1547 "./jsobjinlines.h"
      if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1547 "./jsobjinlines.h"
    case 7: 
      var $29=$2; //@line 1548 "./jsobjinlines.h"
      var $30=(($29)|0); //@line 1548 "./jsobjinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 1548 "./jsobjinlines.h"
      var $32=__ZNK8JSObject9getParentEv($31); //@line 1548 "./jsobjinlines.h"
      var $36 = $32;__label__ = 9; break; //@line 1548 "./jsobjinlines.h"
    case 8: 
      var $34=$3; //@line 1548 "./jsobjinlines.h"
      var $36 = $34;__label__ = 9; break; //@line 1548 "./jsobjinlines.h"
    case 9: 
      var $36; //@line 1548 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($18, $19, __ZN2js11ObjectClassE, $20, $36, 0, 0); //@line 1548 "./jsobjinlines.h"
      var $37=$1; //@line 1551 "./jsobjinlines.h"
      var $38=$obj; //@line 1551 "./jsobjinlines.h"
      var $39=$2; //@line 1551 "./jsobjinlines.h"
      var $40=$4; //@line 1551 "./jsobjinlines.h"
      var $41=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2468($37, $38, __ZN2js11ObjectClassE, $39, $40); //@line 1551 "./jsobjinlines.h"
      if ($41) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1551 "./jsobjinlines.h"
    case 10: 
      $obj=0; //@line 1552 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1553 "./jsobjinlines.h"
    case 11: 
      __label__ = 12; break; //@line 1554 "./jsobjinlines.h"
    case 12: 
      var $45=$1; //@line 1557 "./jsobjinlines.h"
      var $46=$obj; //@line 1557 "./jsobjinlines.h"
      var $47=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($45, $46); //@line 1557 "./jsobjinlines.h"
      var $48=$obj; //@line 1558 "./jsobjinlines.h"
      ;
      return $48; //@line 1558 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL17NewObjectWithTypeEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindE["X"]=1;

function __ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($cx, $obj, $id, $value, $getter, $setter, $attrs, $flags, $shortid, $defineHow) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11;
      var $shape;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $12=__stackBase__+8;
      var $clasp;
      var $valueCopy=__stackBase__+12;
      var $adding;
      var $funobj;
      var $existingShape;
      var $13=__stackBase__+20;
      var $oldShape;
      var $newshape=__stackBase__+28;
      var $14=__stackBase__+32;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$value;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      $9=$flags;
      $10=$shortid;
      $11=$defineHow;
      var $15=$2; //@line 5153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 5153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject2391($15, $16); //@line 5153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$4; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__Z22js_CheckForStringIndexi($17); //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$18; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=0; //@line 5163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$8; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$19 & 48; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=0; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $23=$2; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$3; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types4Type11UnknownTypeEv($12); //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiNS0_4TypeE($23, $24, $25, $12); //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$2; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$3; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$4; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types26MarkTypePropertyConfiguredEP9JSContextP8JSObjecti($26, $27, $28); //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$3; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$4; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($29, $30, $31, $pobj, $prop); //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($32)|0)!=0; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 71; break; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $36=HEAP32[(($prop)>>2)]; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36)|0)!=0; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 5; break; } else { __label__ = 18; break; } //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $39=HEAP32[(($pobj)>>2)]; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$3; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($39)|0)==(($40)|0); //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($41) { __label__ = 6; break; } else { __label__ = 18; break; } //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $43=HEAP32[(($prop)>>2)]; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$43; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$44; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$shape; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=__ZNK2js5Shape20isAccessorDescriptorEv($45); //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 7; break; } else { __label__ = 16; break; } //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $48=$3; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$2; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$shape; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$8; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$8; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$52 & 16; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53)|0)!=0; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($54) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $56=$6; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61 = $56;__label__ = 10; break; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $58=$shape; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=__ZNK2js5Shape6getterEv($58); //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61 = $59;__label__ = 10; break; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $61; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$8; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$62 & 32; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63)|0)!=0; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($64) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $66=$7; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71 = $66;__label__ = 13; break; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $68=$shape; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=__ZNK2js5Shape6setterEv($68); //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71 = $69;__label__ = 13; break; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $71; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=__ZN8JSObject14changePropertyEP9JSContextPKN2js5ShapeEjjPFiS1_PS_iPN2JS5ValueEEPFiS1_S6_iiS9_E($48, $49, $50, $51, 48, $61, $71); //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$72; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=$shape; //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=(($73)|0)!=0; //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($74) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $1=0; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 71; break; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      __label__ = 17; break; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $shape=0; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break; //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 19; break; //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $81=$11; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=$81 & 2; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=(($82)|0)!=0; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($83) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $85=$2; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=$3; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$4; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z18js_PurgeScopeChainP9JSContextP8JSObjecti($85, $86, $87); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 21; break; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $89=$3; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=__ZNK8JSObject10isDelegateEv($89); //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($90) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $92=$8; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$92 & 34; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=(($93)|0)!=0; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($94) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $96=$2; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=__Z16js_GenerateShapeP9JSContext($96); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=$2; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=(($98+52)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=(($100+44)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($101)>>2)]=$97; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $103=$3; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=__ZNK8JSObject8getClassEv($103); //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$104; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$11; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$105 & 4; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=(($106)|0)!=0; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($107) { __label__ = 32; break; } else { __label__ = 25; break; } //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $109=$6; //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=(($109)|0)!=0; //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($110) { __label__ = 28; break; } else { __label__ = 26; break; } //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $112=$8; //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=$112 & 16; //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=(($113)|0)!=0; //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($114) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $116=$clasp; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=(($116+16)|0); //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=$117; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=$119; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 28; break; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $121=$7; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=(($121)|0)!=0; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($122) { __label__ = 31; break; } else { __label__ = 29; break; } //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $124=$8; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=$124 & 32; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=(($125)|0)!=0; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($126) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $128=$clasp; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=(($128+20)|0); //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=$130; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      __label__ = 32; break; //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $133=$11; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=$133 & 4; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=(($134)|0)!=0; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($135) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $137=$6; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=(($137)|0)==8; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($138) { __label__ = 34; break; } else { __label__ = 38; break; } //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $140=$11; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=$140 & 16; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=(($141)|0)!=0; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($142) { __label__ = 38; break; } else { __label__ = 35; break; } //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $144=$2; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $145=$3; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $146=$4; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=$5; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($144, $145, $146, $147); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=$8; //@line 5230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $149=$148 & 2; //@line 5230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $150=(($149)|0)!=0; //@line 5230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($150) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 5230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $152=$2; //@line 5231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=$3; //@line 5231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $154=$4; //@line 5231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types26MarkTypePropertyConfiguredEP9JSContextP8JSObjecti($152, $153, $154); //@line 5231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 5231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      __label__ = 38; break; //@line 5232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      var $157=$3; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=$2; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($157, $158); //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($159) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      $1=0; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 71; break; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      var $162=$5; //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $163=$valueCopy; //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $164=$162; //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($163)>>2)]=HEAP32[(($164)>>2)];HEAP32[(($163+4)>>2)]=HEAP32[(($164+4)>>2)]; //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $adding=0; //@line 5243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=$shape; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=(($165)|0)!=0; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($166) { __label__ = 62; break; } else { __label__ = 41; break; } //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      var $168=$11; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $169=$168 & 4; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170=(($169)|0)!=0; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($170) { __label__ = 42; break; } else { __label__ = 45; break; } //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      var $172=$5; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $173=__ZNK2JS5Value8toObjectEv($172); //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $funobj=$173; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $174=$funobj; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $175=__ZNK8JSObject18getFunctionPrivateEv($174); //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $176=$175; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $177=$funobj; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $178=(($176)|0)==(($177)|0); //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($178) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 43: 
      var $180=$9; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $181=$180 | 128; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $9=$181; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $182=$funobj; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $183=__ZN2jsL16CastAsPropertyOpEP8JSObject2286($182); //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=$183; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 44: 
      __label__ = 45; break; //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 45: 
      var $186=$3; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=$2; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $188=$4; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $189=__ZN8JSObject12nativeLookupEP9JSContexti($186, $187, $188); //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $existingShape=$189; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $190=$existingShape; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $191=(($190)|0)!=0; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($191) { __label__ = 46; break; } else { __label__ = 54; break; } //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 46: 
      var $193=$existingShape; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $194=__ZNK2js5Shape7hasSlotEv($193); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($194) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 47: 
      var $196=$2; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $197=$3; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $198=$existingShape; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $199=(($198+24)|0); //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $200=HEAP32[(($199)>>2)]; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL37AbortRecordingIfUnexpectedGlobalWriteEP9JSContextP8JSObjectj($196, $197, $200); //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 48; break; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 48: 
      var $202=$existingShape; //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $203=__ZNK2js5Shape8isMethodEv($202); //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($203) { __label__ = 49; break; } else { __label__ = 53; break; } //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 49: 
      var $205=$existingShape; //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $206=__ZNK2js5Shape12methodObjectEv($205); //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($13, $206); //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $207=__ZNK2JS5ValueeqERKS0_($13, $valueCopy); //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($207) { __label__ = 50; break; } else { __label__ = 53; break; } //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 50: 
      var $209=$3; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $210=$2; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $211=$existingShape; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $212=__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE($209, $210, $211, $valueCopy); //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $213=(($212)|0)!=0; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($213) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 51: 
      $1=0; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 71; break; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 52: 
      __label__ = 53; break; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 53: 
      __label__ = 55; break; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 54: 
      $adding=1; //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 55; break;
    case 55: 
      var $219=$3; //@line 5287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $220=__ZNK8JSObject5shapeEv($219); //@line 5287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldShape=$220; //@line 5287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $221=$3; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $222=$2; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $223=$4; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $224=$6; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $225=$7; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $226=$8; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $227=$9; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $228=$10; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $229=__ZN8JSObject11putPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($221, $222, $223, $224, $225, -1, $226, $227, $228); //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$229; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $230=$shape; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $231=(($230)|0)!=0; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($231) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 56: 
      $1=0; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 71; break; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 57: 
      var $234=$3; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $235=__ZNK8JSObject5shapeEv($234); //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $236=$oldShape; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $237=(($235)|0)==(($236)|0); //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($237) { __label__ = 58; break; } else { __label__ = 61; break; } //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 58: 
      var $239=$3; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $240=__ZN8JSObject7brandedEv($239); //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($240) { __label__ = 59; break; } else { __label__ = 61; break; } //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 59: 
      var $242=$shape; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $243=(($242+24)|0); //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $244=HEAP32[(($243)>>2)]; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $245=(($244)|0)!=-1; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($245) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 60: 
      var $247=$3; //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $248=$2; //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $249=$shape; //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $250=__ZN8JSObject18methodWriteBarrierEP9JSContextRKN2js5ShapeERKN2JS5ValueE($247, $248, $249, $valueCopy); //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($14)>>2)]=$250; //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN7mozilla9DebugOnlyIPKN2js5ShapeEEC1ERKS4_($newshape, $14); //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN7mozilla9DebugOnlyIPKN2js5ShapeEED1Ev($newshape); //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 61; break; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 61: 
      __label__ = 62; break; //@line 5308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 62: 
      var $253=$3; //@line 5311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $254=$shape; //@line 5311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $255=(($254+24)|0); //@line 5311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 5311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $257=__ZNK8JSObject12containsSlotEj($253, $256); //@line 5311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($257) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 5311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 63: 
      var $259=$3; //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $260=$shape; //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $261=(($260+24)|0); //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $262=HEAP32[(($261)>>2)]; //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE($259, $262, $valueCopy); //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 64; break; //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 64: 
      var $264=$2; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $265=$clasp; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $266=$3; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $267=$shape; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $268=__ZL19CallAddPropertyHookP9JSContextPN2js5ClassEP8JSObjectPKNS1_5ShapeEPN2JS5ValueE($264, $265, $266, $267, $valueCopy); //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($268) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 65: 
      var $270=$3; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $271=$2; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $272=$4; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $273=__ZN8JSObject14removePropertyEP9JSContexti($270, $271, $272); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 71; break; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 66: 
      var $275=$11; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $276=$275 & 1; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $277=(($276)|0)!=0; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($277) { __label__ = 67; break; } else { __label__ = 70; break; } //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 67: 
      var $279=$adding; //@line 5322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $280=(($279) & 1); //@line 5322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($280) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 5322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 68: 
      var $282=$2; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $283=(($282+52)|0); //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $284=HEAP32[(($283)>>2)]; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $285=(($284+144280)|0); //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $286=(($285+56)|0); //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $287=$2; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $288=$3; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $289=$3; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $290=$shape; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $291=__ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi($286, $287, $288, 0, $289, $290, 1); //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 69; break; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 69: 
      __label__ = 70; break; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 70: 
      var $294=$shape; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$294; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 71; break; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 71: 
      var $296=$1; //@line 5334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $296; //@line 5334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij["X"]=1;

function __Z13js_CreateThisP9JSContextP8JSObject($cx, $callee) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $clasp;
      var $newclasp;
      var $fun;
      var $protov=__stackBase__;
      var $proto;
      var $parent;
      var $kind;
      var $obj;
      $2=$cx;
      $3=$callee;
      var $4=$3; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=__ZNK8JSObject8getClassEv($4); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$5; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $newclasp=__ZN2js11ObjectClassE; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$clasp; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6)|0)==((__ZN2js13FunctionClassE)|0); //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=$3; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject18getFunctionPrivateEv($9); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fun=$10; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$fun; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK10JSFunction8isNativeEv($11); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$fun; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14+60)|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$15; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+4)|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18)|0)!=0; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $21=$fun; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+60)|0); //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23+4)|0); //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $newclasp=$25; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 6; break; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $28=$3; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$2; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30+52)|0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($32+209948)|0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33+252)|0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($28, $29, $35, $protov); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36)|0)!=0; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $40=__ZNK2JS5Value14isObjectOrNullEv($protov); //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $42=__ZNK2JS5Value14toObjectOrNullEv($protov); //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45 = $42;__label__ = 11; break; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $45 = 0;__label__ = 11; break; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $45; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $proto=$45; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$3; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=__ZNK8JSObject9getParentEv($46); //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent=$47; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$2; //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$newclasp; //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=__ZN2jsL15NewObjectGCKindEP9JSContextPNS_5ClassE($48, $49); //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $kind=$50; //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$2; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$newclasp; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$proto; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$parent; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$kind; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE2326($51, $52, $53, $54, $55); //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$56; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$obj; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=(($57)|0)!=0; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $60=$obj; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($60); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $62=$obj; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$62; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $64=$1; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z13js_CreateThisP9JSContextP8JSObject["X"]=1;

function __ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE2326($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$3; //@line 1514 "./jsobjinlines.h"
      var $8=(($7)|0)==((__ZN2js13FunctionClassE)|0); //@line 1514 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1514 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1515 "./jsobjinlines.h"
      var $11=$3; //@line 1515 "./jsobjinlines.h"
      var $12=$4; //@line 1515 "./jsobjinlines.h"
      var $13=$5; //@line 1515 "./jsobjinlines.h"
      var $14=$6; //@line 1515 "./jsobjinlines.h"
      var $15=__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2471($10, $11, $12, $13, $14); //@line 1515 "./jsobjinlines.h"
      $1=$15; //@line 1515 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1515 "./jsobjinlines.h"
    case 3: 
      var $17=$2; //@line 1516 "./jsobjinlines.h"
      var $18=$3; //@line 1516 "./jsobjinlines.h"
      var $19=$4; //@line 1516 "./jsobjinlines.h"
      var $20=$5; //@line 1516 "./jsobjinlines.h"
      var $21=$6; //@line 1516 "./jsobjinlines.h"
      var $22=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2469($17, $18, $19, $20, $21); //@line 1516 "./jsobjinlines.h"
      $1=$22; //@line 1516 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1516 "./jsobjinlines.h"
    case 4: 
      var $24=$1; //@line 1517 "./jsobjinlines.h"
      ;
      return $24; //@line 1517 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z33js_CreateThisForFunctionWithProtoP9JSContextP8JSObjectS2_($cx, $callee, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $res;
      var $type;
      var $kind;
      var $5=__stackBase__;
      $2=$cx;
      $3=$callee;
      $4=$proto;
      var $6=$4; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6)|0)!=0; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=$4; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$2; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$3; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK8JSObject18getFunctionPrivateEv($11); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($9, $10, $12, 0); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $type=$13; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$type; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=0; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$2; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$type; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$3; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZNK8JSObject9getParentEv($20); //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZL29CreateThisForFunctionWithTypeP9JSContextPN2js5types10TypeObjectEP8JSObject($18, $19, $21); //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $res=$22; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $24=$2; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZN2jsL15NewObjectGCKindEP9JSContextPNS_5ClassE($24, __ZN2js11ObjectClassE); //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $kind=$25; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$2; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$4; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$3; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZNK8JSObject9getParentEv($28); //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$kind; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE($26, __ZN2js11ObjectClassE, $27, $29, $30); //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $res=$31; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break;
    case 6: 
      var $33=$res; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)|0)!=0; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $36=$2; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZN9JSContext20typeInferenceEnabledEv($36); //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $39=$2; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$3; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__ZNK8JSObject18getFunctionPrivateEv($40); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZNK10JSFunction6scriptEv($41); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$res; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types4Type10ObjectTypeEP8JSObject($5, $43); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptNS0_4TypeE($39, $42, $5); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $45=$res; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$45; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $47=$1; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $47; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z33js_CreateThisForFunctionWithProtoP9JSContextP8JSObjectS2_["X"]=1;

function __ZL29CreateThisForFunctionWithTypeP9JSContextPN2js5types10TypeObjectEP8JSObject($cx, $type, $parent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kind;
      var $res;
      var $kind1;
      $2=$cx;
      $3=$type;
      $4=$parent;
      var $5=$3; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5+16)|0); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0)!=0; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$3; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10+16)|0); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12+4)|0); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $kind=$14; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$2; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$4; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$kind; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZN2jsL17NewObjectWithTypeEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindE($15, $16, $17, $18); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $res=$19; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$res; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=0; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $23=$res; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$3; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+16)|0); //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26+8)|0); //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($23, $28); //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $30=$res; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$30; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $32=$2; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZN2jsL15NewObjectGCKindEP9JSContextPNS_5ClassE($32, __ZN2js11ObjectClassE); //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $kind1=$33; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$2; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$3; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$4; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$kind1; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=__ZN2jsL17NewObjectWithTypeEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindE($34, $35, $36, $37); //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$38; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $40=$1; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $40; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29CreateThisForFunctionWithTypeP9JSContextPN2js5types10TypeObjectEP8JSObject["X"]=1;

function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  $5=$kind;
  var $6=$1; //@line 1498 "./jsobjinlines.h"
  var $7=$2; //@line 1498 "./jsobjinlines.h"
  var $8=$3; //@line 1498 "./jsobjinlines.h"
  var $9=$4; //@line 1498 "./jsobjinlines.h"
  var $10=$5; //@line 1498 "./jsobjinlines.h"
  var $11=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2469($6, $7, $8, $9, $10); //@line 1498 "./jsobjinlines.h"
  ;
  return $11; //@line 1498 "./jsobjinlines.h"
}


function __Z24js_CreateThisForFunctionP9JSContextP8JSObjectb($cx, $callee, $newType) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protov=__stackBase__;
      var $proto;
      var $obj;
      var $calleeScript;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$callee;
      var $6=(($newType)&1);
      $4=$6;
      var $7=$3; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$2; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$2; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9+52)|0); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+209948)|0); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12+252)|0); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($7, $8, $14, $protov); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)|0)!=0; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $19=__ZNK2JS5Value8isObjectEv($protov); //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $21=__ZNK2JS5Value8toObjectEv($protov); //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $proto=$21; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $proto=0; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break;
    case 6: 
      var $24=$2; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$3; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$proto; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__Z33js_CreateThisForFunctionWithProtoP9JSContextP8JSObjectS2_($24, $25, $26); //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$27; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$obj; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28)|0)!=0; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $31=$4; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31) & 1); //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $34=$obj; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$2; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject5clearEP9JSContext($34, $35); //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$obj; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$2; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=__ZN8JSObject16setSingletonTypeEP9JSContext($36, $37); //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $41=$3; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZNK8JSObject18getFunctionPrivateEv($41); //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=__ZNK10JSFunction6scriptEv($42); //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $calleeScript=$43; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$2; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$calleeScript; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$obj; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types4Type10ObjectTypeEP8JSObject($5, $46); //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptNS0_4TypeE($44, $45, $5); //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $48=$obj; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$48; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $50=$1; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z24js_CreateThisForFunctionP9JSContextP8JSObjectb["X"]=1;

function __Z9DetectingP9JSContextPh($cx, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $endpc;
      var $op;
      var $atom;
      var $script;
      var $index_;
      $2=$cx;
      $3=$pc;
      var $4=$2; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=(($4+60)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK2js12ContextStack13currentScriptEPPh($5, 0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $script=$6; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$script; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0); //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$script; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10+8)|0); //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($9+$12)|0); //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $endpc=$13; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $15=$2; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$script; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2329($15, $16, $17); //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $op=$18; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$op; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=((_js_CodeSpec+($19<<3))|0); //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20+4)|0); //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22 & 16384; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23)|0)!=0; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=1; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $27=$op; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ((($27)|0) == 64) {
        __label__ = 5; break;
      }
      else if ((($27)|0) == 156 || (($27)|0) == 59) {
        __label__ = 10; break;
      }
      else {
      __label__ = 26; break;
      }
      
    case 5: 
      var $29=$3; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29+1)|0); //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$30; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$endpc; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($30)>>>0) < (($31)>>>0); //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $34=$2; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$script; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$3; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2329($34, $35, $36); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $op=$37; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$3; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=HEAPU8[($38)]; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39)&255); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40)|0)==18; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($41) { var $48 = 1;__label__ = 8; break; } else { __label__ = 7; break; } //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $43=$3; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAPU8[($43)]; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44)&255); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45)|0)==19; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48 = $46;__label__ = 8; break; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $48;
      var $49=(($48)&1); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$49; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      __label__ = 11; break; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $53=$2; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$script; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$3; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=_js_GetIndexFromBytecode($53, $54, $55, 0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $index_=$56; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $58=$3; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$script; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=(($59)|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=HEAPU32[(($60)>>2)]; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=(($58)>>>0) < (($61)>>>0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($62) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $64=$script; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($64)|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$script; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=(($67+8)|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($66+$69)|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$3; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=(($70)>>>0) <= (($71)>>>0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($72) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $74=$index_; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$2; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=(($75+52)|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=(($77+209948)|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=__ZN11JSAtomState16commonAtomsStartEv($78); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=(($79+($74<<2))|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $atom=$81; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $83=$script; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=$index_; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=__ZN8JSScript7getAtomEj($83, $84); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $atom=$85; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      __label__ = 18; break; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $89=$atom; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$2; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90+52)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($92+209948)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=(($93+36)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=(($94)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=$96; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=(($89)|0)==(($97)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($98) { __label__ = 19; break; } else { __label__ = 25; break; } //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $100=$op; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=((_js_CodeSpec+($100<<3))|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=(($101)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=HEAP8[($102)]; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=(($103 << 24) >> 24); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$3; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=(($105+$104)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$106; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$endpc; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($106)>>>0) < (($107)>>>0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($108) { __label__ = 20; break; } else { __label__ = 25; break; } //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $110=$2; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=$script; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=$3; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2329($110, $111, $112); //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $op=$113; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=$op; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=(($114)|0)==18; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($115) { var $126 = 1;__label__ = 24; break; } else { __label__ = 21; break; } //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $117=$op; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=(($117)|0)==19; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($118) { var $126 = 1;__label__ = 24; break; } else { __label__ = 22; break; } //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $120=$op; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=(($120)|0)==72; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($121) { var $126 = 1;__label__ = 24; break; } else { __label__ = 23; break; } //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $123=$op; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=(($123)|0)==73; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126 = $124;__label__ = 24; break; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $126;
      var $127=(($126)&1); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$127; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      $1=0; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $130=$op; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=((_js_CodeSpec+($130<<3))|0); //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=(($131+4)|0); //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=$133 & 262144; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=(($134)|0)!=0; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($135) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      $1=0; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      __label__ = 29; break; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      __label__ = 30; break; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $140=$op; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=((_js_CodeSpec+($140<<3))|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=(($141)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $143=HEAP8[($142)]; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $144=(($143 << 24) >> 24); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $145=$3; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $146=(($145+$144)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$146; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $148=$1; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $148; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9DetectingP9JSContextPh["X"]=1;

function __ZL12js_GetOpcodeP9JSContextP8JSScriptPh2329($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 954 "./jsscript.h"
      var $5=HEAPU8[($4)]; //@line 954 "./jsscript.h"
      var $6=(($5)&255); //@line 954 "./jsscript.h"
      $op=$6; //@line 954 "./jsscript.h"
      var $7=$op; //@line 955 "./jsscript.h"
      var $8=(($7)|0)==83; //@line 955 "./jsscript.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 955 "./jsscript.h"
    case 2: 
      var $10=$1; //@line 956 "./jsscript.h"
      var $11=$2; //@line 956 "./jsscript.h"
      var $12=$3; //@line 956 "./jsscript.h"
      var $13=_JS_GetTrapOpcode($10, $11, $12); //@line 956 "./jsscript.h"
      $op=$13; //@line 956 "./jsscript.h"
      __label__ = 3; break; //@line 956 "./jsscript.h"
    case 3: 
      var $15=$op; //@line 957 "./jsscript.h"
      ;
      return $15; //@line 957 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z13js_InferFlagsP9JSContextj($cx, $defaultFlags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cs;
      var $format;
      var $flags;
      var $pc=__stackBase__;
      var $script;
      $2=$cx;
      $3=$defaultFlags;
      $flags=0; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=$2; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=(($4+60)|0); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK2js12ContextStack13currentScriptEPPh($5, $pc); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $script=$6; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$script; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0)!=0; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=HEAP32[(($pc)>>2)]; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)|0)!=0; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$3; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$13; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $15=$2; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$script; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=HEAP32[(($pc)>>2)]; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2329($15, $16, $17); //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=((_js_CodeSpec+($18<<3))|0); //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $cs=$19; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$cs; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20+4)|0); //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $format=$22; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$format; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$23 & 224; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=32; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $27=$flags; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27 | 1; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=$28; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $30=$format; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$30 & 8448; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31)|0)!=0; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $34=$flags; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$34 | 2; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=$35; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $37=$cs; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37)|0); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=HEAP8[($38)]; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39 << 24) >> 24); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40)|0) >= 0; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $43=$cs; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=(($43)|0); //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=HEAP8[($44)]; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45 << 24) >> 24); //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAP32[(($pc)>>2)]; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=(($47+$46)|0); //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($pc)>>2)]=$48; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=HEAPU32[(($pc)>>2)]; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$script; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($50)|0); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$script; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53+8)|0); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($52+$55)|0); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($49)>>>0) < (($56)>>>0); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $59=$2; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=HEAP32[(($pc)>>2)]; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=__Z9DetectingP9JSContextPh($59, $60); //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=(($61)|0)!=0; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($62) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $64=$flags; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$64 | 4; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=$65; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      __label__ = 13; break; //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $69=$format; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$69 & 131072; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=(($70)|0)!=0; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($71) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $73=$flags; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$73 | 8; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=$74; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $76=$flags; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$76; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $78=$1; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $78; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z13js_InferFlagsP9JSContextj["X"]=1;

function __ZL19with_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($cx, $obj, $id, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $flags;
      var $rf=__stackBase__;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$objp;
      $6=$propp;
      var $8=$2; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8+208)|0); //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=$10; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$flags; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)==65535; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $14=$2; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$flags; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__Z13js_InferFlagsP9JSContextj($14, $15); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=$16; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $18=$flags; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18 | 32; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=$19; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$2; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$flags; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $20, $21); //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$3; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZNK8JSObject8getProtoEv($22); //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$2; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$5; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$6; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($23, $24, $25, $26, $27); //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$28; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$1; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18with_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty($cx, $obj, $index, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$objp;
      $6=$propp;
      var $7=$2; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$5; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$6; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZL19with_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($12, $13, $14, $15, $16); //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$17; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$1; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18with_LookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty($cx, $obj, $sid, $objp, $propp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$objp;
  $4=$propp;
  var $5=$1; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE2500($sid); //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$3; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__ZL19with_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($5, $6, $7, $8, $9); //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL15with_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$id;
  $5=$vp;
  var $6=$2; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZNK8JSObject8getProtoEv($6); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$1; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$5; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($7, $8, $9, $10); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $11; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL16with_GetPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$2; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$3; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$9; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom2291($10); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=$5; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=__ZL15with_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $13; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL15with_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$2; //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$5; //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$4; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($id)>>2)]; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$6; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZL15with_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($12, $13, $14, $15, $16); //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$17; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$1; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15with_GetSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$3; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE2500($sid); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__ZL15with_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL16with_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  $5=$strict;
  var $6=$2; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZNK8JSObject8getProtoEv($6); //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$1; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$3; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$4; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$5; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($7, $8, $9, $10, $11); //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $12; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL15with_SetElementP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$2; //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$5; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$6; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZL16with_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($12, $13, $14, $15, $16); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$17; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$1; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15with_SetSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE2500($sid); //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$3; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__ZL16with_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL18with_GetAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$attrsp;
  var $5=$2; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=__ZNK8JSObject8getProtoEv($5); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$1; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$3; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__ZN8JSObject13getAttributesEP9JSContextiPj($6, $7, $8, $9); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $10; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL25with_GetElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$2; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$5; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZL18with_GetAttributesP9JSContextP8JSObjectiPj($11, $12, $13, $14); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$15; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=$1; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL25with_GetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=$2; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE2500($sid); //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$3; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=__ZL18with_GetAttributesP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL18with_SetAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$attrsp;
  var $5=$2; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=__ZNK8JSObject8getProtoEv($5); //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$1; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$3; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__ZN8JSObject13setAttributesEP9JSContextiPj($6, $7, $8, $9); //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $10; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL25with_SetElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$2; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$5; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZL18with_SetAttributesP9JSContextP8JSObjectiPj($11, $12, $13, $14); //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$15; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=$1; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL25with_SetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=$2; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE2500($sid); //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$3; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=__ZL18with_SetAttributesP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 3371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL19with_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$rval;
  $5=$strict;
  var $6=$2; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZNK8JSObject8getProtoEv($6); //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$1; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$3; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$4; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$5; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($7, $8, $9, $10, $11); //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $12; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL18with_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$2; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$5; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$6; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZL19with_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($12, $13, $14, $15, $16); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$17; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$1; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18with_DeleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE2500($sid); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$3; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__ZL19with_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL11with_TypeOfP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN2js2gcL15GetGCObjectKindEjb2335($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14with_EnumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$enum_op;
  $4=$statep;
  $5=$idp;
  var $6=$2; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=__ZNK8JSObject8getProtoEv($6); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$1; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$3; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$4; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$5; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=__ZN8JSObject9enumerateEP9JSContext11JSIterateOpPN2JS5ValueEPi($7, $8, $9, $10, $11); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $12; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL15with_ThisObjectP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=__ZNK8JSObject11getWithThisEv($3); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $4; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z16js_NewWithObjectP9JSContextP8JSObjectS2_i($cx, $proto, $parent, $depth) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $type;
      var $priv;
      var $emptyWithShape;
      var $6=__stackBase__;
      var $tvr=__stackBase__+8;
      var $thisp;
      var $7;
      $2=$cx;
      $3=$proto;
      $4=$parent;
      $5=$depth;
      var $8=$3; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$2; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($8, $9, 0, 0); //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $type=$10; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$type; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $15=$2; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($15, 2); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$16; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$obj; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)|0)!=0; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $21=$2; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$2; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZNK9JSContext2fpEv($22); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__Z27js_FloatingFrameIfGeneratorP9JSContextPN2js10StackFrameE($21, $23); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $priv=$24; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$obj; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$2; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$type; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$4; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$priv; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$29; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($25, $26, __ZN2js9WithClassE, $27, $28, $30, 0); //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$2; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZN2js10EmptyShape17getEmptyWithShapeEP9JSContext($31); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $emptyWithShape=$32; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$emptyWithShape; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)|0)!=0; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $37=$obj; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$emptyWithShape; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$38; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($37, $39); //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$obj; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$5; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL10Int32ValueEi2332($6, $41); //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject12setFixedSlotEjRKN2JS5ValueE($40, 0, $6); //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$2; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$obj; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $42, $43); //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$3; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$2; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=__ZN8JSObject10thisObjectEP9JSContext($44, $45); //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $thisp=$46; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$thisp; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=(($47)|0)!=0; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __label__ = 10; break; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $51=$2; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$obj; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$thisp; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($51, $52, $53); //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$obj; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$thisp; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject11setWithThisEPS_($54, $55); //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$obj; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$56; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __label__ = 10; break; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break;
    case 11: 
      var $59=$1; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_NewWithObjectP9JSContextP8JSObjectS2_i["X"]=1;

function __ZN2js10EmptyShape17getEmptyWithShapeEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 397 "./jsscopeinlines.h"
  var $3=$1; //@line 397 "./jsscopeinlines.h"
  var $4=(($3+56)|0); //@line 397 "./jsscopeinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 397 "./jsscopeinlines.h"
  var $6=(($5+768)|0); //@line 397 "./jsscopeinlines.h"
  var $7=__ZN2js10EmptyShape6ensureEP9JSContextPNS_5ClassEPPS0_($2, __ZN2js9WithClassE, $6); //@line 397 "./jsscopeinlines.h"
  ;
  return $7; //@line 397 "./jsscopeinlines.h"
}


function __ZN2JSL10Int32ValueEi2332($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN8JSObject11setWithThisEPS_($this, $thisp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$thisp;
  var $3=$1;
  var $4=__ZN8JSObject15getFixedSlotRefEj($3, 1); //@line 775 "./jsobjinlines.h"
  var $5=$2; //@line 775 "./jsobjinlines.h"
  __ZN2JS5Value9setObjectER8JSObject($4, $5); //@line 775 "./jsobjinlines.h"
  ;
  return; //@line 776 "./jsobjinlines.h"
}


function __Z17js_NewBlockObjectP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $blockObj;
      var $emptyBlockShape;
      $2=$cx;
      var $3=$2; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($3, 2); //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $blockObj=$4; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=$blockObj; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5)|0)!=0; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $9=$2; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN2js10EmptyShape18getEmptyBlockShapeEP9JSContext($9); //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $emptyBlockShape=$10; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$emptyBlockShape; //@line 3517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 3517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $15=$blockObj; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$2; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($15, $16, __ZN2js10BlockClassE, __ZN2js5types15emptyTypeObjectE, 0, 0, 0); //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$blockObj; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$emptyBlockShape; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($17, $19); //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$blockObj; //@line 3522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$20; //@line 3522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $22=$1; //@line 3523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $22; //@line 3523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10EmptyShape18getEmptyBlockShapeEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 373 "./jsscopeinlines.h"
  var $3=$1; //@line 373 "./jsscopeinlines.h"
  var $4=(($3+56)|0); //@line 373 "./jsscopeinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 373 "./jsscopeinlines.h"
  var $6=(($5+752)|0); //@line 373 "./jsscopeinlines.h"
  var $7=__ZN2js10EmptyShape6ensureEP9JSContextPNS_5ClassEPPS0_($2, __ZN2js10BlockClassE, $6); //@line 373 "./jsscopeinlines.h"
  ;
  return $7; //@line 373 "./jsscopeinlines.h"
}


function __Z19js_CloneBlockObjectP9JSContextP8JSObjectPN2js10StackFrameE($cx, $proto, $fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $count;
      var $kind;
      var $type;
      var $clone;
      var $priv;
      $2=$cx;
      $3=$proto;
      $4=$fp;
      var $5=$3; //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK8JSObject13propertyCountEv($5); //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $count=$6; //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$count; //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7+1)|0); //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js2gcL15GetGCObjectKindEjb2335($8, 0); //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $kind=$9; //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$3; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$2; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $type=$12; //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$type; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $17=$2; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$kind; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($17, $18); //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clone=$19; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$clone; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=0; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $24=$2; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__Z27js_FloatingFrameIfGeneratorP9JSContextPN2js10StackFrameE($24, $25); //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $priv=$26; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$clone; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$2; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$type; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$priv; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject15initClonedBlockEP9JSContextPN2js5types10TypeObjectEPNS2_10StackFrameE($27, $28, $29, $30); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$clone; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$2; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$count; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33+1)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZN8JSObject27ensureInstanceReservedSlotsEP9JSContextj($31, $32, $34); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $38=$clone; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$3; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK8JSObject7getSlotEj($39, 0); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($38, 0, $40); //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$clone; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$41; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $43=$1; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $43; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_CloneBlockObjectP9JSContextP8JSObjectPN2js10StackFrameE["X"]=1;

function __ZN8JSObject15initClonedBlockEP9JSContextPN2js5types10TypeObjectEPNS2_10StackFrameE($this, $cx, $type, $frame) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$type;
      $4=$frame;
      var $5=$1;
      var $6=$2; //@line 232 "./jsobjinlines.h"
      var $7=$3; //@line 232 "./jsobjinlines.h"
      var $8=$4; //@line 232 "./jsobjinlines.h"
      var $9=$8; //@line 232 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($5, $6, __ZN2js10BlockClassE, $7, 0, $9, 0); //@line 232 "./jsobjinlines.h"
      var $10=__ZNK8JSObject8getProtoEv($5); //@line 236 "./jsobjinlines.h"
      var $11=(($10)|0); //@line 236 "./jsobjinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 236 "./jsobjinlines.h"
      var $13=(($5)|0); //@line 236 "./jsobjinlines.h"
      HEAP32[(($13)>>2)]=$12; //@line 236 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8getProtoEv($5); //@line 242 "./jsobjinlines.h"
      var $15=__ZNK8JSObject11hasOwnShapeEv($14); //@line 242 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 242 "./jsobjinlines.h"
    case 2: 
      var $17=$2; //@line 243 "./jsobjinlines.h"
      var $18=__Z16js_GenerateShapeP9JSContext($17); //@line 243 "./jsobjinlines.h"
      __ZN8JSObject11setOwnShapeEj($5, $18); //@line 243 "./jsobjinlines.h"
      __label__ = 4; break; //@line 243 "./jsobjinlines.h"
    case 3: 
      var $20=(($5)|0); //@line 245 "./jsobjinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 245 "./jsobjinlines.h"
      var $22=(($21)|0); //@line 245 "./jsobjinlines.h"
      var $23=HEAP32[(($22)>>2)]; //@line 245 "./jsobjinlines.h"
      var $24=(($5+12)|0); //@line 245 "./jsobjinlines.h"
      HEAP32[(($24)>>2)]=$23; //@line 245 "./jsobjinlines.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 246 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject27ensureInstanceReservedSlotsEP9JSContextj($this, $cx, $nreserved) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nslots;
      $1=$this;
      $2=$cx;
      $3=$nreserved;
      var $4=$1;
      var $5=__ZNK8JSObject8getClassEv($4); //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5+4)|0); //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=HEAPU32[(($6)>>2)]; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$7 >>> 8; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$8 & 255; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$3; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($9+$10)|0); //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nslots=$11; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$nslots; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK8JSObject8numSlotsEv($4); //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($12)>>>0) <= (($13)>>>0); //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { var $20 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $16=$2; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$nslots; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZN8JSObject10allocSlotsEP9JSContextj($4, $16, $17); //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20 = $18;__label__ = 3; break; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $20;
      ;
      return $20; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_PutBlockObjectP9JSContexti($cx, $normalUnwind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fp;
      var $obj;
      var $count;
      var $depth;
      var $slot;
      $1=$cx;
      $2=$normalUnwind;
      var $3=$1; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=__ZNK9JSContext2fpEv($3); //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$4; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=$fp; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK2js10StackFrame10scopeChainEv($5); //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$6; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$obj; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK8JSObject13propertyCountEv($7); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $count=$8; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$obj; //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject12getFixedSlotEj($9, 0); //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZNK2JS5Value7toInt32Ev($10); //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $depth=$11; //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$2; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12)|0)!=0; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $slot=1; //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$fp; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZNK2js10StackFrame8numFixedEv($15); //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$depth; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+$16)|0); //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $depth=$18; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$obj; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$slot; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$fp; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZNK2js10StackFrame5slotsEv($21); //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$depth; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($22+($23<<3))|0); //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$count; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj($19, $20, $24, $25); //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $27=$obj; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject10setPrivateEPv($27, 0); //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$fp; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$obj; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZNK8JSObject9getParentEv($29); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js10StackFrame22setScopeChainNoCallObjER8JSObject($28, $30); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$2; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $31; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj($this, $start, $vector, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $fixed;
      var $localCopy;
      $1=$this;
      $2=$start;
      $3=$vector;
      $4=$length;
      var $5=$1;
      var $6=__ZNK8JSObject12isDenseArrayEv($5); //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $8=(($5+32)|0); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$2; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($9+($10<<3))|0); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$11; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$13; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$4; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=((($15<<3))|0); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($16 % 1 === 0, 'memcpy given ' + $16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($12, $14, $16, 1); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $18=__ZNK8JSObject13numFixedSlotsEv($5); //@line 4459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fixed=$18; //@line 4459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$2; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$fixed; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($19)>>>0) < (($20)>>>0); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $23=$2; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$4; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($23+$24)|0); //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$fixed; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($25)>>>0) < (($26)>>>0); //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $29=__ZNK8JSObject10fixedSlotsEv($5); //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$2; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($29+($30<<3))|0); //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$31; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$3; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$33; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$4; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=((($35<<3))|0); //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $38=$fixed; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$2; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($38-$39)|0); //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $localCopy=$40; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__ZNK8JSObject10fixedSlotsEv($5); //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$2; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($41+($42<<3))|0); //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$43; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$3; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$45; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$localCopy; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=((($47<<3))|0); //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($48 % 1 === 0, 'memcpy given ' + $48 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($44, $46, $48, 1); //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($5+32)|0); //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$50; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$3; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$localCopy; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($52+($53<<3))|0); //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$54; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$4; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$localCopy; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=(($56-$57)|0); //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=((($58<<3))|0); //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($59 % 1 === 0, 'memcpy given ' + $59 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($51, $55, $59, 1); //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break;
    case 7: 
      __label__ = 9; break; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $62=(($5+32)|0); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$2; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($63+($64<<3))|0); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$fixed; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(((-$66))|0); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=(($65+($67<<3))|0); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$68; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$3; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$70; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$4; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=((($72<<3))|0); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($73 % 1 === 0, 'memcpy given ' + $73 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($69, $71, $73, 1); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break;
    case 10: 
      ;
      return; //@line 4472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj["X"]=1;

function __ZN8JSObject19defineBlockVariableEP9JSContextii($this, $cx, $id, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $slot;
      var $shape;
      $2=$this;
      $3=$cx;
      $4=$id;
      $5=$index;
      var $6=$2;
      var $7=HEAPU32[((((__ZN2js10BlockClassE+4)|0))>>2)]; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$7 >>> 8; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$8 & 255; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$5; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($9+$10)|0); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $slot=$11; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$4; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$slot; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$5; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZN8JSObject11addPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($6, $12, $13, 186, 188, $14, 5, 64, $15); //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$16; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$shape; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)|0)!=0; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $21=$slot; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZNK8JSObject8numSlotsEv($6); //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($21)>>>0) >= (($22)>>>0); //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $25=$3; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$slot; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26+1)|0); //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZN8JSObject9growSlotsEP9JSContextj($6, $25, $27); //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 3650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 3650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $31=$shape; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$31; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $33=$1; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $33; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17block_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $index;
      var $fp;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $6=$4; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=_JSID_TO_INT2488($6); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $index=$7; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK8JSObject10getPrivateEv($8); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$9; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$10; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$fp; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $14=$fp; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__Z23js_LiveFrameIfGeneratorPN2js10StackFrameE($14); //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$15; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$fp; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZNK2js10StackFrame8numFixedEv($16); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$3; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK8JSObject12getFixedSlotEj($18, 0); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZNK2JS5Value7toInt32Ev($19); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($17+$20)|0); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$index; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22+$21)|0); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $index=$23; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$5; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$index; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$fp; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK2js10StackFrame5slotsEv($26); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27+($25<<3))|0); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$24; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$28; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=1; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $33=$1; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $33; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17block_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $index;
      var $fp;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $7=$4; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=_JSID_TO_INT2488($7); //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $index=$8; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$3; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject10getPrivateEv($9); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$10; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$11; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$fp; //@line 3621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12)|0)!=0; //@line 3621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $15=$fp; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__Z23js_LiveFrameIfGeneratorPN2js10StackFrameE($15); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$16; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$fp; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK2js10StackFrame8numFixedEv($17); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$3; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZNK8JSObject12getFixedSlotEj($19, 0); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZNK2JS5Value7toInt32Ev($20); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($18+$21)|0); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$index; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23+$22)|0); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $index=$24; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$index; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$fp; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK2js10StackFrame5slotsEv($26); //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27+($25<<3))|0); //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$6; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$28; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$29; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=1; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $34=$1; //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $34; //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject7watchedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 625 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 625 "./jsobj.h"
  var $5=$4 & 8192; //@line 625 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 625 "./jsobj.h"
  var $7=$6 ^ 1; //@line 625 "./jsobj.h"
  var $8=$7 ^ 1; //@line 625 "./jsobj.h"
  ;
  return $8; //@line 625 "./jsobj.h"
}


function __ZN8JSObject9growSlotsEP9JSContextj($this, $cx, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $oldcap;
      var $oldSize;
      var $nextsize;
      var $actualCapacity;
      var $oldAllocCount;
      var $allocCount;
      var $tmpslots;
      var $changed;
      $2=$this;
      $3=$cx;
      $4=$newcap;
      var $5=$2;
      var $6=__ZNK8JSObject8numSlotsEv($5); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldcap=$6; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK8JSObject18slotsAndStructSizeEv($5); //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldSize=$7; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$oldcap; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)>>>0) <= 1048576; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $11=$oldcap; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=((($11<<1))|0); //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19 = $12;__label__ = 4; break; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$oldcap; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$oldcap; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$15 >>> 3; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($14+$16)|0); //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19 = $17;__label__ = 4; break; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nextsize=$19; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$4; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$nextsize; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($20)>>>0) > (($21)>>>0); //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$4; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$nextsize; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$22 ? $23 : $24; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $actualCapacity=$25; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$actualCapacity; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26)>>>0) >= 131072; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $29=$actualCapacity; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29+131072)|0); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30-1)|0); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=Math.floor((($31)>>>0)/131072); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=((($32<<17))|0); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $actualCapacity=$33; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $35=$actualCapacity; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35)>>>0) < 8; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $actualCapacity=8; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $40=$actualCapacity; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40)>>>0) >= 536870912; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $43=$3; //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportOutOfMemory($43); //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 4569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $45=__ZNK8JSObject13hasSlotsArrayEv($5); //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $47=$3; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$actualCapacity; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=__ZN8JSObject10allocSlotsEP9JSContextj($5, $47, $48); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$49; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $51=$oldcap; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=__ZNK8JSObject15numDynamicSlotsEj($5, $51); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldAllocCount=$52; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$actualCapacity; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=__ZNK8JSObject15numDynamicSlotsEj($5, $53); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $allocCount=$54; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$3; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($5+32)|0); //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$57; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$oldAllocCount; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=((($59<<3))|0); //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$allocCount; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=((($61<<3))|0); //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=__ZN9JSContext8realloc_EPvjj($55, $58, $60, $62); //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$63; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $tmpslots=$64; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$tmpslots; //@line 4581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65)|0)!=0; //@line 4581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($66) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $1=0; //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $69=(($5+32)|0); //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$tmpslots; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=(($70)|0)!=(($71)|0); //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=(($72)&1); //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $changed=$73; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$tmpslots; //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($5+32)|0); //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($75)>>2)]=$74; //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$actualCapacity; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=(($5+28)|0); //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($77)>>2)]=$76; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=__ZNK8JSObject12isDenseArrayEv($5); //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($78) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $80=$3; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=__ZN9JSContext20typeInferenceEnabledEv($80); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($81) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $83=$3; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject23backfillDenseArrayHolesEP9JSContext($5, $83); //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 18; break; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 20; break; //@line 4591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $86=(($5+32)|0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$oldAllocCount; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=(($87+($88<<3))|0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$allocCount; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=$oldAllocCount; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=(($90-$91)|0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364($89, $92, 0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break;
    case 20: 
      var $94=$changed; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=(($94) & 1); //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($95) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $97=__ZNK8JSObject8isGlobalEv($5); //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($97) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $99=$3; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types21MarkObjectStateChangeEP9JSContextP8JSObject($99, $5); //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $101=$3; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$oldSize; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=__ZNK8JSObject18slotsAndStructSizeEv($5); //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=__ZN2js6Probes12resizeObjectEP9JSContextP8JSObjectjj($101, $5, $102, $103); //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $106=$1; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $106; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject9growSlotsEP9JSContextj["X"]=1;

function __ZN8JSObject20nonNativeSetPropertyEP9JSContextiPN2JS5ValueEi($this, $cx, $id, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $wpmap;
      $2=$this;
      $3=$cx;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$2;
      var $8=__ZNK8JSObject7watchedEv($7); //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$4; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__Z22js_CheckForStringIndexi($10); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$11; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12+56)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14+1984)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $wpmap=$16; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$wpmap; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)|0)!=0; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $20=$wpmap; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$3; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$4; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$5; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZN2js13WatchpointMap17triggerWatchpointEP9JSContextP8JSObjectiPN2JS5ValueE($20, $21, $7, $22, $23); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 6; break; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $28=__ZNK8JSObject6getOpsEv($7); //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+52)|0); //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$3; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$4; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$5; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$6; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=FUNCTION_TABLE[$30]($31, $7, $32, $33, $34); //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$35; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $37=$1; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $37; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject19nonNativeSetElementEP9JSContextjPN2JS5ValueEi($this, $cx, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      var $wpmap;
      $2=$this;
      $3=$cx;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$2;
      var $8=__ZNK8JSObject7watchedEv($7); //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$3; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$4; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZN2js9IndexToIdEP9JSContextjPi($10, $11, $id); //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $15=$3; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15+56)|0); //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+1984)|0); //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $wpmap=$19; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$wpmap; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=0; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $23=$wpmap; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$3; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($id)>>2)]; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$5; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZN2js13WatchpointMap17triggerWatchpointEP9JSContextP8JSObjectiPN2JS5ValueE($23, $24, $7, $25, $26); //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $31=__ZNK8JSObject6getOpsEv($7); //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31+56)|0); //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$3; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$4; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$5; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$6; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=FUNCTION_TABLE[$33]($34, $7, $35, $36, $37); //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$38; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $40=$1; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject19nonNativeSetElementEP9JSContextjPN2JS5ValueEi["X"]=1;

function __ZN8JSObject18copyPropertiesFromEP9JSContextPS_($this, $cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $shapes=__stackBase__;
      var $r=__stackBase__+60;
      var $5=__stackBase__+68;
      var $6;
      var $n;
      var $shape;
      var $attrs;
      var $getter=__stackBase__+72;
      var $setter=__stackBase__+76;
      var $v=__stackBase__+80;
      $2=$this;
      $3=$cx;
      $4=$obj;
      var $7=$2;
      var $8=__ZNK8JSObject8isNativeEv($7); //@line 3686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=1; //@line 3687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 27; break; //@line 3687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$3; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoShapeVectorC1EP9JSContext($shapes, $11); //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$4; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK8JSObject12lastPropertyEv($12); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5Shape5RangeC1EPKS0_($r, $13); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $15=__ZNK2js5Shape5Range5emptyEv($r); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$15 ^ 1; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $18=$shapes; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK2js5Shape5Range5frontEv($r); //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($5)>>2)]=$19; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZN2js16AutoVectorRooterIPKNS_5ShapeEE6appendERKS3_($18, $5); //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 26; break; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break; //@line 3693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $25=$shapes; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZNK2js16AutoVectorRooterIPKNS_5ShapeEE6lengthEv($25); //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n=$26; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $28=$n; //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28)>>>0) > 0; //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 11; break; } else { __label__ = 25; break; } //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $31=$shapes; //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$n; //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($32-1)|0); //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n=$33; //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZN2js16AutoVectorRooterIPKNS_5ShapeEEixEj($31, $33); //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$35; //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$shape; //@line 3698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZNK2js5Shape10attributesEv($36); //@line 3698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37)&255); //@line 3698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $attrs=$38; //@line 3698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$shape; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK2js5Shape6getterEv($39); //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($getter)>>2)]=$40; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$attrs; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41 & 16; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42)|0)!=0; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $45=$3; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45+56)|0); //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$3; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=__ZN13JSCompartment4wrapEP9JSContextPPFiS1_P8JSObjectiPN2JS5ValueEE($47, $48, $getter); //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      $1=0; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 26; break; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $52=$shape; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=__ZNK2js5Shape6setterEv($52); //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($setter)>>2)]=$53; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$attrs; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$54 & 32; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55)|0)!=0; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $58=$3; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($58+56)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$3; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=__ZN13JSCompartment4wrapEP9JSContextPPFiS1_P8JSObjectiiPN2JS5ValueEE($60, $61, $setter); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($62) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=0; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 26; break; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $65=$shape; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=__ZNK2js5Shape7hasSlotEv($65); //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($66) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $68=$4; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$shape; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69+24)|0); //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=__ZNK8JSObject7getSlotEj($68, $71); //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=$v; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$72; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($73)>>2)]=HEAP32[(($74)>>2)];HEAP32[(($73+4)>>2)]=HEAP32[(($74+4)>>2)]; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      __ZN2JSL14UndefinedValueEv2280($v); //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $77=$3; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=(($77+56)|0); //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=$3; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($79, $80, $v); //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($81) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      $1=0; //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 26; break; //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $84=$3; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=$shape; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=(($85+12)|0); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=HEAP32[(($getter)>>2)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=HEAP32[(($setter)>>2)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$attrs; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($7, $84, $87, $v, $88, $89, $90); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=(($91)|0)!=0; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($92) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      $1=0; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 26; break; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __label__ = 10; break; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      $1=1; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 26; break; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      __ZN2js15AutoShapeVectorD1Ev($shapes); //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 27; break;
    case 27: 
      var $98=$1; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $98; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject18copyPropertiesFromEP9JSContextPS_["X"]=1;

function __ZN2js15AutoShapeVectorC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2500 "./jscntxt.h"
  __ZN2js15AutoShapeVectorC2EP9JSContext($3, $4); //@line 2500 "./jscntxt.h"
  ;
  return; //@line 2500 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIPKNS_5ShapeEE6appendERKS3_($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2394 "./jscntxt.h"
  var $5=$2; //@line 2394 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 2394 "./jscntxt.h"
  var $7=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE6appendIS3_EEbT_($4, $6); //@line 2394 "./jscntxt.h"
  ;
  return $7; //@line 2394 "./jscntxt.h"
}


function __ZNK2js16AutoVectorRooterIPKNS_5ShapeEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2392 "./jscntxt.h"
  var $4=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE6lengthEv($3); //@line 2392 "./jscntxt.h"
  ;
  return $4; //@line 2392 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIPKNS_5ShapeEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2428 "./jscntxt.h"
  var $5=$2; //@line 2428 "./jscntxt.h"
  var $6=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEixEj($4, $5); //@line 2428 "./jscntxt.h"
  ;
  return $6; //@line 2428 "./jscntxt.h"
}


function __ZN2js15AutoShapeVectorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15AutoShapeVectorD2Ev($2); //@line 2492 "./jscntxt.h"
  ;
  return; //@line 2492 "./jscntxt.h"
}


function __ZN8JSObject5cloneEP9JSContextPS_S2_($this, $cx, $proto, $parent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $clone;
      $2=$this;
      $3=$cx;
      $4=$proto;
      $5=$parent;
      var $6=$2;
      var $7=__ZNK8JSObject8isNativeEv($6); //@line 3746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 10; break; } else { __label__ = 2; break; } //@line 3746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=__ZNK8JSObject12isDenseArrayEv($6); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$3; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZN8JSObject18makeDenseArraySlowEP9JSContext($6, $11); //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12)|0)!=0; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 9; break; //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $17=__ZNK8JSObject7isProxyEv($6); //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $19=$3; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($19, 2, 0, 265, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $23=$3; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZNK8JSObject8getClassEv($6); //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$5; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$6; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK2js2gc4Cell12getAllocKindEv($27); //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE2346($23, $24, $25, $26, $28); //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clone=$29; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$clone; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)|0)!=0; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $1=0; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $34=__ZNK8JSObject8isNativeEv($6); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 13; break; } else { __label__ = 19; break; } //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $36=$clone; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZNK8JSObject10isFunctionEv($36); //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $39=$6; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK2js2gc4Cell11compartmentEv($39); //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$clone; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=__ZNK2js2gc4Cell11compartmentEv($42); //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=(($40)|0)!=(($43)|0); //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($44) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $46=$3; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($46, 2, 0, 265, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $48=__ZNK8JSObject8getClassEv($6); //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48+4)|0); //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$50 & 1; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0)!=0; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $54=$clone; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=__ZNK8JSObject10getPrivateEv($6); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject10setPrivateEPv($54, $55); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 18; break; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 22; break; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $58=$3; //@line 3770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$clone; //@line 3770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=__ZL9CopySlotsP9JSContextP8JSObjectS2_($58, $6, $59); //@line 3770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($60) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      $1=0; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $64=$clone; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$64; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $66=$1; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $66; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject5cloneEP9JSContextPS_S2_["X"]=1;

function __ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE2346($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$3; //@line 1514 "./jsobjinlines.h"
      var $8=(($7)|0)==((__ZN2js13FunctionClassE)|0); //@line 1514 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1514 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1515 "./jsobjinlines.h"
      var $11=$3; //@line 1515 "./jsobjinlines.h"
      var $12=$4; //@line 1515 "./jsobjinlines.h"
      var $13=$5; //@line 1515 "./jsobjinlines.h"
      var $14=$6; //@line 1515 "./jsobjinlines.h"
      var $15=__ZN2js6detailL9NewObjectILb1ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2464($10, $11, $12, $13, $14); //@line 1515 "./jsobjinlines.h"
      $1=$15; //@line 1515 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1515 "./jsobjinlines.h"
    case 3: 
      var $17=$2; //@line 1516 "./jsobjinlines.h"
      var $18=$3; //@line 1516 "./jsobjinlines.h"
      var $19=$4; //@line 1516 "./jsobjinlines.h"
      var $20=$5; //@line 1516 "./jsobjinlines.h"
      var $21=$6; //@line 1516 "./jsobjinlines.h"
      var $22=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2465($17, $18, $19, $20, $21); //@line 1516 "./jsobjinlines.h"
      $1=$22; //@line 1516 "./jsobjinlines.h"
      __label__ = 4; break; //@line 1516 "./jsobjinlines.h"
    case 4: 
      var $24=$1; //@line 1517 "./jsobjinlines.h"
      ;
      return $24; //@line 1517 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9CopySlotsP9JSContextP8JSObjectS2_($cx, $from, $to) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nslots;
      var $n;
      var $v=__stackBase__;
      $2=$cx;
      $3=$from;
      $4=$to;
      var $5=$3; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK8JSObject8numSlotsEv($5); //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nslots=$6; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$4; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$2; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$nslots; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN8JSObject11ensureSlotsEP9JSContextj($7, $8, $9); //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $n=0; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK8JSObject9isWrapperEv($13); //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$3; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZN9JSWrapper14wrapperHandlerEPK8JSObject($16); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK9JSWrapper5flagsEv($17); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18 & 1; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19)|0)!=0; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $22=$4; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$3; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZNK8JSObject7getSlotEj($23, 0); //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($22, 0, $24); //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$3; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK8JSObject7getSlotEj($26, 1); //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($25, 1, $27); //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n=2; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 7; break; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $30=$n; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$nslots; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($30)>>>0) < (($31)>>>0); //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $34=$3; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$n; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZNK8JSObject7getSlotEj($34, $35); //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$v; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$36; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$2; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39+56)|0); //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$2; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($41, $42, $v); //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $46=$4; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$n; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($46, $47, $v); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $49=$n; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=(($49+1)|0); //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n=$50; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=1; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $53=$1; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9CopySlotsP9JSContextP8JSObjectS2_["X"]=1;

function __ZN2jsL3MaxIjEET_S1_S1_2347($t1, $t2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t1;
  $2=$t2;
  var $3=$1; //@line 316 "./jstl.h"
  var $4=$2; //@line 316 "./jstl.h"
  var $5=(($3)>>>0) > (($4)>>>0); //@line 316 "./jstl.h"
  var $6=$1; //@line 316 "./jstl.h"
  var $7=$2; //@line 316 "./jstl.h"
  var $8=$5 ? $6 : $7; //@line 316 "./jstl.h"
  ;
  return $8; //@line 316 "./jstl.h"
}


function __ZN8JSObject16updateFixedSlotsEj($this, $fixed) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$fixed;
  var $3=$1;
  var $4=(($3+8)|0); //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$5 & 134217727; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$2; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$7 << 27; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$6 | $8; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=(($3+8)|0); //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  HEAP32[(($10)>>2)]=$9; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z15FindObjectIndexP13JSObjectArrayP8JSObject($array, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $2=$array;
      $3=$obj;
      var $4=$2; //@line 4010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=(($4)|0)!=0; //@line 4010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 4010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $7=$2; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7+4)|0); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$9; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$i; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11-1)|0); //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$12; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$2; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0); //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15+($12<<2))|0); //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$3; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($17)|0)==(($18)|0); //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $21=$i; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$21; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 6; break; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $24=$i; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=-1; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $29=$1; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $29; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject19ReserveForTradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE($cx, $a, $b, $reserved) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $acap;
      var $bcap;
      var $afixed;
      var $bfixed;
      $2=$cx;
      $3=$a;
      $4=$b;
      $5=$reserved;
      var $6=$3; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK8JSObject10structSizeEv($6); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK8JSObject10structSizeEv($8); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($7)|0)==(($9)|0); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=1; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$3; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $acap=$14; //@line 3812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$4; //@line 3813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZNK8JSObject8numSlotsEv($15); //@line 3813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $bcap=$16; //@line 3813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$5; //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+4)|0); //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$acap; //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE7reserveEj($18, $19); //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $23=$5; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23+28)|0); //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$bcap; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE7reserveEj($24, $25); //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $29=$3; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZNK8JSObject13numFixedSlotsEv($29); //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $afixed=$30; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$4; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZNK8JSObject13numFixedSlotsEv($31); //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $bfixed=$32; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$afixed; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$bcap; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $37=$2; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$bcap; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$afixed; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($38-$39)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=((($40<<3))|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZN9JSContext7malloc_Ej($37, $41); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$42; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$5; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44+52)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$5; //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=(($46+52)|0); //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)|0)!=0; //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 3832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      __label__ = 11; break; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $53=$bfixed; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$acap; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($53)>>>0) < (($54)>>>0); //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $57=$2; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$acap; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$bfixed; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=(($58-$59)|0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=((($60<<3))|0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=__ZN9JSContext7malloc_Ej($57, $61); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$62; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$5; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($64+56)|0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($65)>>2)]=$63; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$5; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($66+56)|0); //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=(($68)|0)!=0; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($69) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      $1=0; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 15; break; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      $1=1; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $74=$1; //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $74; //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject19ReserveForTradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE["X"]=1;

function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE7reserveEj($this, $request) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$request;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 645 "./jsvector.h"
      var $6=$3; //@line 646 "./jsvector.h"
      var $7=(($5+12)|0); //@line 646 "./jsvector.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 646 "./jsvector.h"
      var $9=(($6)>>>0) > (($8)>>>0); //@line 646 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 646 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 646 "./jsvector.h"
      var $12=(($5+8)|0); //@line 646 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 646 "./jsvector.h"
      var $14=(($11-$13)|0); //@line 646 "./jsvector.h"
      var $15=__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 646 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 646 "./jsvector.h"
    case 3: 
      $1=0; //@line 647 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 647 "./jsvector.h"
    case 4: 
      $1=1; //@line 655 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 655 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 656 "./jsvector.h"
      var $19=$1; //@line 656 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $19; //@line 656 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject9TradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE($cx, $a, $b, $reserved) {
  var __stackBase__  = STACKTOP; STACKTOP += 208; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $newTypeA;
      var $newTypeB;
      var $size;
      var $tmp=__stackBase__;
      var $acap;
      var $bcap;
      var $i;
      var $i1;
      var $afixed;
      var $bfixed;
      var $tmp2=__stackBase__+168;
      $1=$cx;
      $2=$a;
      $3=$b;
      $4=$reserved;
      var $5=$2; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=(($5+16)|0); //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$6; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $newTypeA=$8; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$3; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9+16)|0); //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$10; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $newTypeB=$12; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$2; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK8JSObject10structSizeEv($13); //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $size=$14; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$size; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZNK8JSObject10structSizeEv($16); //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($15)|0)==(($17)|0); //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $20=(($tmp)|0); //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$2; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$21; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$size; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($23 % 1 === 0, 'memcpy given ' + $23 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($20, $22, $23, 1); //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$2; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$24; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$3; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$26; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$size; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($28 % 1 === 0, 'memcpy given ' + $28 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($25, $27, $28, 1); //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$3; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$29; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($tmp)|0); //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$size; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($32 % 1 === 0, 'memcpy given ' + $32 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($30, $31, $32, 1); //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $34=$2; //@line 3902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZNK8JSObject8isNativeEv($34); //@line 3902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $37=$2; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$1; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject16generateOwnShapeEP9JSContext($37, $38); //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $40=$3; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__ZNK8JSObject8isNativeEv($40); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($41) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $43=$3; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$1; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject16generateOwnShapeEP9JSContext($43, $44); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $46=$2; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=__ZNK8JSObject8numSlotsEv($46); //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $acap=$47; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$3; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=__ZNK8JSObject8numSlotsEv($48); //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $bcap=$49; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=0; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $51=$i; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$acap; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=(($51)>>>0) < (($52)>>>0); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($53) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $55=$4; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55+4)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$2; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$i; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=__ZNK8JSObject7getSlotEj($57, $58); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE16infallibleAppendERKS2_($56, $59); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $61=$i; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=(($61+1)|0); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$62; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $i1=0; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $65=$i1; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$bcap; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($65)>>>0) < (($66)>>>0); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $69=$4; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69+28)|0); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$3; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$i1; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=__ZNK8JSObject7getSlotEj($71, $72); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE16infallibleAppendERKS2_($70, $73); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $75=$i1; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=(($75+1)|0); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i1=$76; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $78=$2; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=__ZNK8JSObject13hasSlotsArrayEv($78); //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($79) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $81=$1; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=$2; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=(($82+32)|0); //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=$84; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($81, $85); //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $87=$3; //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=__ZNK8JSObject13hasSlotsArrayEv($87); //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($88) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $90=$1; //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=$3; //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=(($91+32)|0); //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$93; //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($90, $94); //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 19; break; //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $96=$2; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=__ZNK8JSObject13numFixedSlotsEv($96); //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $afixed=$97; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=$3; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=__ZNK8JSObject13numFixedSlotsEv($98); //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $bfixed=$99; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=$tmp2; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$2; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$101; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($100, $102, 40, 1); //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=$2; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=$103; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$3; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$105; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($104, $106, 40, 1); //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$3; //@line 3928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=$107; //@line 3928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=$tmp2; //@line 3928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(40 % 1 === 0, 'memcpy given ' + 40 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($108, $109, 40, 1); //@line 3928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=$2; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=$afixed; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject16updateFixedSlotsEj($110, $111); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=$4; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=(($112+52)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=$2; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=(($115+32)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($116)>>2)]=$114; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=$afixed; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=$bcap; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=__ZN2jsL3MaxIjEET_S1_S1_2347($117, $118); //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=$2; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=(($120+28)|0); //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($121)>>2)]=$119; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=$2; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=$4; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=(($123+28)|0); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE5beginEv($124); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=$bcap; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj($122, 0, $125, $126); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=$2; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $128=$bcap; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=$2; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=(($129+28)|0); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=$bcap; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=(($131-$132)|0); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject14clearSlotRangeEjj($127, $128, $133); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=$3; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=$bfixed; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject16updateFixedSlotsEj($134, $135); //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=$4; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=(($136+56)|0); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=$3; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $140=(($139+32)|0); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($140)>>2)]=$138; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=$bfixed; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=$acap; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $143=__ZN2jsL3MaxIjEET_S1_S1_2347($141, $142); //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $144=$3; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $145=(($144+28)|0); //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($145)>>2)]=$143; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $146=$3; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=$4; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=(($147+4)|0); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $149=__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE5beginEv($148); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $150=$acap; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj($146, 0, $149, $150); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $151=$3; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=$acap; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=$3; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $154=(($153+28)|0); //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $156=$acap; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $157=(($155-$156)|0); //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject14clearSlotRangeEjj($151, $152, $157); //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=$4; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=(($158+52)|0); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($159)>>2)]=0; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=$4; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=(($160+56)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($161)>>2)]=0; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break;
    case 20: 
      var $163=$newTypeA; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $164=$2; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=(($164+16)|0); //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=$165; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($166)>>2)]=$163; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $167=$newTypeB; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $168=$3; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $169=(($168+16)|0); //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170=$169; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($170)>>2)]=$167; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject9TradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE["X"]=1;

function __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE16infallibleAppendERKS2_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$t;
  var $4=$1;
  var $5=$2; //@line 426 "./jsvector.h"
  var $6=$3; //@line 426 "./jsvector.h"
  var $7=$5; //@line 426 "./jsvector.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 426 "./jsvector.h"
  __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($4, $3); //@line 426 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 427 "./jsvector.h"
}


function __ZN8JSObject14clearSlotRangeEjj($this, $start, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fixed;
      var $localClear;
      $1=$this;
      $2=$start;
      $3=$length;
      var $4=$1;
      var $5=__ZNK8JSObject12isDenseArrayEv($4); //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $7=(($4+32)|0); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$2; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($8+($9<<3))|0); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$3; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364($10, $11, 1); //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=__ZNK8JSObject13numFixedSlotsEv($4); //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fixed=$13; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$2; //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$fixed; //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($14)>>>0) < (($15)>>>0); //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$2; //@line 4439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$3; //@line 4439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($18+$19)|0); //@line 4439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$fixed; //@line 4439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($20)>>>0) < (($21)>>>0); //@line 4439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $24=__ZNK8JSObject10fixedSlotsEv($4); //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$2; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($24+($25<<3))|0); //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$3; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364($26, $27, 0); //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $29=$fixed; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$2; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($29-$30)|0); //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $localClear=$31; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZNK8JSObject10fixedSlotsEv($4); //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$2; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($32+($33<<3))|0); //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$localClear; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364($34, $35, 0); //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($4+32)|0); //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$3; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$localClear; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($38-$39)|0); //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364($37, $40, 0); //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break;
    case 7: 
      __label__ = 9; break; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $43=(($4+32)|0); //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$2; //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($44+($45<<3))|0); //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$fixed; //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=(((-$47))|0); //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($46+($48<<3))|0); //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$3; //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364($49, $50, 0); //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break;
    case 10: 
      ;
      return; //@line 4450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject14clearSlotRangeEjj["X"]=1;

function __ZN8JSObject17TradeGutsReservedC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 3786 "./jsobj.h"
  __ZN8JSObject17TradeGutsReservedC2EP9JSContext($3, $4); //@line 3786 "./jsobj.h"
  ;
  return; //@line 3786 "./jsobj.h"
}


function __ZN8JSObject17TradeGutsReservedD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN8JSObject17TradeGutsReservedD2Ev($2); //@line 3789 "./jsobj.h"
  ;
  return; //@line 3794 "./jsobj.h"
}


function __ZN8JSObject4swapEP9JSContextPS_($this, $cx, $other) {
  var __stackBase__  = STACKTOP; STACKTOP += 284; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $reserved=__stackBase__;
      var $5;
      var $thisClone;
      var $otherClone;
      var $ac=__stackBase__+60;
      var $ac1=__stackBase__+112;
      var $reservedThis=__stackBase__+164;
      var $reservedOther=__stackBase__+224;
      $2=$this;
      $3=$cx;
      $4=$other;
      var $6=$2;
      var $7=$6; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK2js2gc4Cell11compartmentEv($7); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$9; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZNK2js2gc4Cell11compartmentEv($10); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($8)|0)==(($11)|0); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $14=$3; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject17TradeGutsReservedC1EP9JSContext($reserved, $14); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$3; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$4; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZN8JSObject19ReserveForTradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE($15, $6, $16, $reserved); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 5; break; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $20=$3; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$4; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject9TradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE($20, $6, $21, $reserved); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 5; break; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __ZN8JSObject17TradeGutsReservedD1Ev($reserved); //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break;
    case 6: 
      var $24=$3; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac, $24, $25); //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN2js15AutoCompartment5enterEv($ac); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 12; break; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $29=$3; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$4; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZNK8JSObject8getProtoEv($30); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$4; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZNK8JSObject9getParentEv($32); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZN8JSObject5cloneEP9JSContextPS_S2_($6, $29, $31, $33); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $thisClone=$34; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$thisClone; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35)|0)!=0; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $38=$thisClone; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$3; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZN8JSObject18copyPropertiesFromEP9JSContextPS_($38, $39, $6); //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 12; break; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $5=0; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac); //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 13; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 25; break;
      }
      else {
      __label__ = 26; break;
      }
      
    case 13: 
      var $45=$3; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($ac1, $45, $6); //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=__ZN2js15AutoCompartment5enterEv($ac1); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $1=0; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 19; break; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $49=$4; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$3; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$4; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=__ZNK8JSObject8getProtoEv($51); //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$4; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=__ZNK8JSObject9getParentEv($53); //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=__ZN8JSObject5cloneEP9JSContextPS_S2_($49, $50, $52, $54); //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $otherClone=$55; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$otherClone; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)|0)!=0; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $59=$otherClone; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$3; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$4; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=__ZN8JSObject18copyPropertiesFromEP9JSContextPS_($59, $60, $61); //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=0; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 19; break; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      $5=0; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 19; break; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($ac1); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $cleanup_dest2=$5;
      if ((($cleanup_dest2)|0) == 0) {
        __label__ = 20; break;
      }
      else if ((($cleanup_dest2)|0) == 1) {
        __label__ = 25; break;
      }
      else {
      __label__ = 26; break;
      }
      
    case 20: 
      var $67=$3; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject17TradeGutsReservedC1EP9JSContext($reservedThis, $67); //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$3; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject17TradeGutsReservedC1EP9JSContext($reservedOther, $68); //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$3; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$otherClone; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=__ZN8JSObject19ReserveForTradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE($69, $6, $70, $reservedThis); //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $73=$3; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$4; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$thisClone; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=__ZN8JSObject19ReserveForTradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE($73, $74, $75, $reservedOther); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($76) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      $1=0; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 24; break; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $79=$3; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=$otherClone; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject9TradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE($79, $6, $80, $reservedThis); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$3; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=$4; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$thisClone; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject9TradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE($81, $82, $83, $reservedOther); //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=1;
      __label__ = 24; break; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __ZN8JSObject17TradeGutsReservedD1Ev($reservedOther); //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject17TradeGutsReservedD1Ev($reservedThis); //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break;
    case 25: 
      var $86=$1; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $86; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject4swapEP9JSContextPS_["X"]=1;

function __Z17js_XDRBlockObjectP10JSXDRStatePP8JSObject($xdr, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cx;
      var $parentId=__stackBase__;
      var $obj;
      var $parent;
      var $depth;
      var $count;
      var $depthAndCount=__stackBase__+4;
      var $shape;
      var $tvr=__stackBase__+8;
      var $4;
      var $5=__stackBase__+24;
      var $i;
      var $atom=__stackBase__+32;
      var $shapes=__stackBase__+36;
      var $r=__stackBase__+96;
      var $i1;
      var $propid;
      var $atom2=__stackBase__+104;
      $2=$xdr;
      $3=$objp;
      var $6=$2; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6+8)|0); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $cx=$8; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=0; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$2; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0); //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)==0; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $14=$3; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$15; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$obj; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZNK8JSObject9getParentEv($16); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent=$17; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$2; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18+32)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20+16)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP8[($21)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZN8JSScript13isValidOffsetEh($22); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $25=$2; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25+32)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZN8JSScript7objectsEv($27); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$parent; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__Z15FindObjectIndexP13JSObjectArrayP8JSObject($28, $29); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33 = $30;__label__ = 5; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $33 = -1;__label__ = 5; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $33; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($parentId)>>2)]=$33; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$obj; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZNK8JSObject12getFixedSlotEj($34, 0); //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZNK2JS5Value7toInt32Ev($35); //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36) & 65535); //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37)&65535); //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $depth=$38; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$obj; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK8JSObject13propertyCountEv($39); //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40) & 65535); //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)&65535); //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $count=$42; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$depth; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$43 << 16; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$count; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$44 | $45; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($depthAndCount)>>2)]=$46; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $count=0; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break;
    case 7: 
      var $49=$2; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=_JS_XDRUint32($49, $parentId); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($50)|0)!=0; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 4053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 4053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $54=$2; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($54)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)|0)==1; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 16; break; } //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $59=$cx; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=__Z17js_NewBlockObjectP9JSContext($59); //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$60; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$obj; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=(($61)|0)!=0; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      $1=0; //@line 4058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 4058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $65=$obj; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$3; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($66)>>2)]=$65; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=HEAP32[(($parentId)>>2)]; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=(($67)|0)==-1; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($68) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      $parent=0; //@line 4067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 4067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $71=$2; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=(($71+32)|0); //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=HEAP32[(($parentId)>>2)]; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=__ZN8JSScript9getObjectEj($73, $74); //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent=$75; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break;
    case 15: 
      var $77=$obj; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=$parent; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject9setParentEPS_($77, $78); //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 4071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $80=$cx; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$obj; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $80, $81); //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=$2; //@line 4075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=_JS_XDRUint32($82, $depthAndCount); //@line 4075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=(($83)|0)!=0; //@line 4075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($84) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 4075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=0; //@line 4076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=1;
      __label__ = 42; break; //@line 4076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $87=$2; //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=(($87)|0); //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=(($89)|0)==1; //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($90) { __label__ = 19; break; } else { __label__ = 28; break; } //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $92=HEAPU32[(($depthAndCount)>>2)]; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$92 >>> 16; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=(($93) & 65535); //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=(($94)&65535); //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $depth=$95; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=HEAP32[(($depthAndCount)>>2)]; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=(($96) & 65535); //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=(($97)&65535); //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $count=$98; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=$obj; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=$depth; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL10Int32ValueEi2332($5, $100); //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($99, 0, $5); //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=0; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $102=$i; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=$count; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=(($102)>>>0) < (($103)>>>0); //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($104) { __label__ = 21; break; } else { __label__ = 27; break; } //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $106=$2; //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=_js_XDRAtom($106, $atom); //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($107)|0)!=0; //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($108) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      $1=0; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=1;
      __label__ = 42; break; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $111=$obj; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=$cx; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=HEAP32[(($atom)>>2)]; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=__ZL12ATOM_TO_JSIDP6JSAtom2291($113); //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=$i; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=__ZN8JSObject19defineBlockVariableEP9JSContextii($111, $112, $114, $115); //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=(($116)|0)!=0; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($117) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      $1=0; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=1;
      __label__ = 42; break; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      __label__ = 26; break; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $121=$i; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=(($121+1)|0); //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=$122; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      __label__ = 41; break; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $125=$cx; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoShapeVectorC1EP9JSContext($shapes, $125); //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=$shapes; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=$count; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $128=__ZN2js16AutoVectorRooterIPKNS_5ShapeEE6growByEj($126, $127); //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=$obj; //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=__ZNK8JSObject12lastPropertyEv($129); //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5Shape5RangeC1EPKS0_($r, $130); //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 29; break; //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $132=__ZNK2js5Shape5Range5emptyEv($r); //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=$132 ^ 1; //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($133) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $135=__ZNK2js5Shape5Range5frontEv($r); //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$135; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=$shape; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=$shapes; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=$shape; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=(($138+30)|0); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $140=HEAP16[(($139)>>1)]; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=(($140 << 16) >> 16); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=__ZN2js16AutoVectorRooterIPKNS_5ShapeEEixEj($137, $141); //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($142)>>2)]=$136; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 29; break; //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      $i1=0; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $146=$i1; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=$count; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=(($146)>>>0) < (($147)>>>0); //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($148) { __label__ = 34; break; } else { __label__ = 38; break; } //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $150=$shapes; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $151=$i1; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=__ZN2js16AutoVectorRooterIPKNS_5ShapeEEixEj($150, $151); //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$153; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $154=$shape; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $155=(($154+12)|0); //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $propid=$156; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $157=$propid; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=__ZL12JSID_TO_ATOMi2352($157); //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($atom2)>>2)]=$158; //@line 4116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=$2; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=_js_XDRAtom($159, $atom2); //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=(($160)|0)!=0; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($161) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      $1=0; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=1;
      __label__ = 39; break; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      __label__ = 37; break; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      var $165=$i1; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=(($165+1)|0); //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i1=$166; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      $4=0; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 39; break; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      __ZN2js15AutoShapeVectorD1Ev($shapes); //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 40; break;
      }
      else {
      __label__ = 42; break;
      }
      
    case 40: 
      __label__ = 41; break;
    case 41: 
      $1=1; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=1;
      __label__ = 42; break; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break;
    case 43: 
      var $173=$1; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $173; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_XDRBlockObjectP10JSXDRStatePP8JSObject["X"]=1;

function __ZN2js16AutoVectorRooterIPKNS_5ShapeEE6growByEj($this, $inc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldLength;
      $2=$this;
      $3=$inc;
      var $4=$2;
      var $5=(($4+12)|0); //@line 2403 "./jscntxt.h"
      var $6=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE6lengthEv($5); //@line 2403 "./jscntxt.h"
      $oldLength=$6; //@line 2403 "./jscntxt.h"
      var $7=(($4+12)|0); //@line 2404 "./jscntxt.h"
      var $8=$3; //@line 2404 "./jscntxt.h"
      var $9=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE19growByUninitializedEj($7, $8); //@line 2404 "./jscntxt.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2404 "./jscntxt.h"
    case 2: 
      $1=0; //@line 2405 "./jscntxt.h"
      __label__ = 4; break; //@line 2405 "./jscntxt.h"
    case 3: 
      var $12=(($4+12)|0); //@line 2406 "./jscntxt.h"
      var $13=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE5beginEv($12); //@line 2406 "./jscntxt.h"
      var $14=$oldLength; //@line 2406 "./jscntxt.h"
      var $15=(($13+($14<<2))|0); //@line 2406 "./jscntxt.h"
      var $16=(($4+12)|0); //@line 2406 "./jscntxt.h"
      var $17=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE3endEv($16); //@line 2406 "./jscntxt.h"
      __ZN2jsL15MakeRangeGCSafeEPPKNS_5ShapeES3_($15, $17); //@line 2406 "./jscntxt.h"
      $1=1; //@line 2407 "./jscntxt.h"
      __label__ = 4; break; //@line 2407 "./jscntxt.h"
    case 4: 
      var $19=$1; //@line 2408 "./jscntxt.h"
      ;
      return $19; //@line 2408 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12JSID_TO_ATOMi2352($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING2421($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2353($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1523 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1523 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1523 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1523 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1523 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb2335($9, 0); //@line 1523 "./jsobjinlines.h"
  $kind=$10; //@line 1523 "./jsobjinlines.h"
  var $11=$1; //@line 1524 "./jsobjinlines.h"
  var $12=$2; //@line 1524 "./jsobjinlines.h"
  var $13=$3; //@line 1524 "./jsobjinlines.h"
  var $14=$4; //@line 1524 "./jsobjinlines.h"
  var $15=$kind; //@line 1524 "./jsobjinlines.h"
  var $16=__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE2326($11, $12, $13, $14, $15); //@line 1524 "./jsobjinlines.h"
  ;
  return $16; //@line 1524 "./jsobjinlines.h"
}


function __ZN2js29DefineConstructorAndPrototypeEP9JSContextP8JSObject10JSProtoKeyP6JSAtomS3_PNS_5ClassEPFiS1_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSF_SH_PS3_($cx, $obj, $key, $atom, $protoProto, $clasp, $constructor, $nargs, $ps, $fs, $static_ps, $static_fs, $ctorp) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11;
      var $12;
      var $13;
      var $14;
      var $proto;
      var $type;
      var $ctor;
      var $named=__stackBase__;
      var $cached;
      var $attrs;
      var $15=__stackBase__+4;
      var $fun;
      var $tvr2=__stackBase__+12;
      var $16=__stackBase__+36;
      var $rval=__stackBase__+44;
      var $17=__stackBase__+52;
      var $18;
      var $rval1=__stackBase__+60;
      $2=$cx;
      $3=$obj;
      $4=$key;
      $5=$atom;
      $6=$protoProto;
      $7=$clasp;
      $8=$constructor;
      $9=$nargs;
      $10=$ps;
      $11=$fs;
      $12=$static_ps;
      $13=$static_fs;
      $14=$ctorp;
      var $19=$2; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$7; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$6; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$3; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2353($19, $20, $21, $22); //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $proto=$23; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$proto; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 69; break; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $28=$proto; //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZN8JSObject16setSingletonTypeEP9JSContext($28, $29); //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 4247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 69; break; //@line 4247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $33=$7; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)|0)==((__ZN2js10ArrayClassE)|0); //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $36=$proto; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$2; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=__ZN8JSObject18makeDenseArraySlowEP9JSContext($36, $37); //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38)|0)!=0; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 69; break; //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $42=$proto; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$2; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($42, $43, 0, 0); //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $type=$44; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$type; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45)|0)!=0; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $48=$type; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$2; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$proto; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=__ZNK8JSObject8getClassEv($50); //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($48, $49, $51, 0); //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=(($52)|0)!=0; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 69; break; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $56=$proto; //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($56); //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($named)]=0; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $cached=0; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$8; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=(($57)|0)!=0; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($58) { __label__ = 19; break; } else { __label__ = 12; break; } //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $60=$7; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($60+4)|0); //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$62 & 131072; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63)|0)!=0; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($64) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $66=$3; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=__ZNK8JSObject8isGlobalEv($66); //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $69=$4; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69)|0)==0; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $72=$7; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=(($72+4)|0); //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$74 & 131072; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=(($75)|0)!=0; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=$76 ? 6 : 0; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $attrs=$77; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=$2; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=$3; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=$4; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$5; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=$proto; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($15, $82); //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$attrs; //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=__ZL18DefineStandardSlotP9JSContextP8JSObject10JSProtoKeyP6JSAtomRKN2JS5ValueEjRb($78, $79, $80, $81, $15, $83, $named); //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($84) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      __label__ = 64; break; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      __label__ = 18; break; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $88=$proto; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ctor=$88; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 43; break; //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $90=$2; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=$8; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=$9; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$3; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$5; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($90, 0, $91, $92, 512, $93, $94); //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fun=$95; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=$fun; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=(($96)|0)!=0; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($97) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      __label__ = 64; break; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $100=$fun; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$7; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN10JSFunction19setConstructorClassEPN2js5ClassE($100, $101); //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$4; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=(($102)|0)!=0; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($103) { __label__ = 22; break; } else { __label__ = 26; break; } //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $105=$7; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=(($105+4)|0); //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=$107 & 64; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=(($108)|0)!=0; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($109) { __label__ = 26; break; } else { __label__ = 23; break; } //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $111=$2; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=$3; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=$4; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=$fun; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=$114; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=$proto; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=__ZN2jsL14SetClassObjectEP9JSContextP8JSObject10JSProtoKeyS3_S3_($111, $112, $113, $115, $116); //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($117) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __label__ = 64; break; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      $cached=1; //@line 4299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 26; break; //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $121=$2; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=$fun; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=$122; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($16, $123); //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr2, $121, $16); //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=$2; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=$3; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=$4; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=$5; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $128=__ZNK2js15AutoValueRooter5valueEv($tvr2); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=__ZL18DefineStandardSlotP9JSContextP8JSObject10JSProtoKeyP6JSAtomRKN2JS5ValueEjRb($124, $125, $126, $127, $128, 0, $named); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($129) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      $18=2;
      __label__ = 41; break; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $132=$fun; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=$132; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ctor=$133; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=$7; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=(($134+4)|0); //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=$136 & 64; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=(($137)|0)!=0; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($138) { __label__ = 29; break; } else { __label__ = 35; break; } //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $140=$2; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=$proto; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=$ctor; //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject2355($17, $142); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $143=__ZN2js30InvokeConstructorWithGivenThisEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_($140, $141, $17, 0, 0, $rval); //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($143) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 4315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      $18=2;
      __label__ = 41; break; //@line 4317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $146=__ZNK2JS5Value8isObjectEv($rval); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($146) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $148=__ZNK2JS5Value8toObjectEv($rval); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $149=$proto; //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $150=(($148)|0)!=(($149)|0); //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($150) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 4319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $152=__ZNK2JS5Value8toObjectEv($rval); //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $proto=$152; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 4320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      __label__ = 35; break; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $155=$2; //@line 4323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $156=$ctor; //@line 4323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $157=$proto; //@line 4323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($155, $156, $157); //@line 4323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($158) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 4323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      $18=2;
      __label__ = 41; break; //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      var $161=$ctor; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=__ZNK8JSObject8getClassEv($161); //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $163=$7; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $164=(($162)|0)==(($163)|0); //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($164) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      var $166=$ctor; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $167=$2; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $168=$proto; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $169=__ZN8JSObject15splicePrototypeEP9JSContextPS_($166, $167, $168); //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($169) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      $18=2;
      __label__ = 41; break; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      $18=0; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      __ZN2js15AutoValueRooterD1Ev($tvr2); //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $cleanup_dest=$18;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 42; break;
      }
      else if ((($cleanup_dest)|0) == 2) {
        __label__ = 64; break;
      }
      else {
      __label__ = 70; break;
      }
      
    case 42: 
      __label__ = 43; break;
    case 43: 
      var $175=$2; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $176=$proto; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $177=$10; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $178=$11; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $179=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($175, $176, $177, $178); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($179) { __label__ = 44; break; } else { __label__ = 46; break; } //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 44: 
      var $181=$ctor; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $182=$proto; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $183=(($181)|0)!=(($182)|0); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($183) { __label__ = 45; break; } else { __label__ = 47; break; } //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 45: 
      var $185=$2; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $186=$ctor; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=$12; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $188=$13; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $189=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($185, $186, $187, $188); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($189) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 46: 
      __label__ = 64; break; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 47: 
      var $192=$7; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $193=(($192+4)|0); //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $195=$194 & 6291456; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $196=(($195)|0)!=0; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($196) { __label__ = 48; break; } else { __label__ = 57; break; } //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 48: 
      var $198=$proto; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $199=(($198)|0)!=0; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($199) { __label__ = 49; break; } else { __label__ = 52; break; } //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 49: 
      var $201=$7; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $202=(($201+4)|0); //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $204=$203 & 2097152; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $205=(($204)|0)!=0; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($205) { __label__ = 50; break; } else { __label__ = 52; break; } //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 50: 
      var $207=$proto; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $208=$2; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $209=__ZN8JSObject6freezeEP9JSContext($207, $208); //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($209) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 51: 
      __label__ = 64; break; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 52: 
      var $212=$ctor; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $213=(($212)|0)!=0; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($213) { __label__ = 53; break; } else { __label__ = 56; break; } //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 53: 
      var $215=$7; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $216=(($215+4)|0); //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $218=$217 & 4194304; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $219=(($218)|0)!=0; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($219) { __label__ = 54; break; } else { __label__ = 56; break; } //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 54: 
      var $221=$ctor; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $222=$2; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $223=__ZN8JSObject6freezeEP9JSContext($221, $222); //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($223) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 55: 
      __label__ = 64; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 56: 
      __label__ = 57; break; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 57: 
      var $227=$cached; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $228=(($227) & 1); //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($228) { __label__ = 61; break; } else { __label__ = 58; break; } //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 58: 
      var $230=$4; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $231=(($230)|0)!=0; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($231) { __label__ = 59; break; } else { __label__ = 61; break; } //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 59: 
      var $233=$2; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $234=$3; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $235=$4; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $236=$ctor; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $237=$proto; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $238=__ZN2jsL14SetClassObjectEP9JSContextP8JSObject10JSProtoKeyS3_S3_($233, $234, $235, $236, $237); //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($238) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 60: 
      __label__ = 64; break; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 61: 
      var $241=$14; //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $242=(($241)|0)!=0; //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($242) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 62: 
      var $244=$ctor; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $245=$14; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($245)>>2)]=$244; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 63; break; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 63: 
      var $247=$proto; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$247; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 69; break; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 64: 
      var $249=HEAP8[($named)]; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $250=(($249) & 1); //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($250) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 65: 
      var $252=$3; //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $253=$2; //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $254=$5; //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $255=__ZL12ATOM_TO_JSIDP6JSAtom2291($254); //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $256=__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi($252, $253, $255, $rval1, 0); //@line 4356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 66; break; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 66: 
      var $258=$cached; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $259=(($258) & 1); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($259) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 67: 
      var $261=$2; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $262=$3; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $263=$4; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL16ClearClassObjectEP9JSContextP8JSObject10JSProtoKey($261, $262, $263); //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 68; break; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 68: 
      $1=0; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 69; break; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 69: 
      var $266=$1; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $266; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 70: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js29DefineConstructorAndPrototypeEP9JSContextP8JSObject10JSProtoKeyP6JSAtomS3_PNS_5ClassEPFiS1_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSF_SH_PS3_["X"]=1;

function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2367($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11JS_ON_TRACEPK9JSContext2368($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2js2gcL21TryIncrementAllocKindEPNS0_9AllocKindE($kindp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $next;
      $2=$kindp;
      var $3=$2; //@line 117 "./jsgcinlines.h"
      var $4=HEAP32[(($3)>>2)]; //@line 117 "./jsgcinlines.h"
      var $5=(($4+2)|0); //@line 117 "./jsgcinlines.h"
      $next=$5; //@line 117 "./jsgcinlines.h"
      var $6=$next; //@line 118 "./jsgcinlines.h"
      var $7=(($6)>>>0) > 11; //@line 118 "./jsgcinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 118 "./jsgcinlines.h"
    case 2: 
      $1=0; //@line 119 "./jsgcinlines.h"
      __label__ = 4; break; //@line 119 "./jsgcinlines.h"
    case 3: 
      var $10=$next; //@line 120 "./jsgcinlines.h"
      var $11=$2; //@line 120 "./jsgcinlines.h"
      HEAP32[(($11)>>2)]=$10; //@line 120 "./jsgcinlines.h"
      $1=1; //@line 121 "./jsgcinlines.h"
      __label__ = 4; break; //@line 121 "./jsgcinlines.h"
    case 4: 
      var $13=$1; //@line 122 "./jsgcinlines.h"
      ;
      return $13; //@line 122 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Probes12resizeObjectEP9JSContextP8JSObjectjj($cx, $obj, $oldSize, $newSize) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $ok;
  $1=$cx;
  $2=$obj;
  $3=$oldSize;
  $4=$newSize;
  $ok=1; //@line 410 "./jsprobes.h"
  var $5=$ok; //@line 417 "./jsprobes.h"
  var $6=(($5) & 1); //@line 417 "./jsprobes.h"
  ;
  return $6; //@line 417 "./jsprobes.h"
}


function __ZNK2JS5ValueneERKS0_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=(($3)|0); //@line 490 "./jsapi.h"
  var $5=$4; //@line 490 "./jsapi.h"
  var $st$7$0=(($5)|0);
  var $6$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($5+4)|0);
  var $6$1=HEAP32[(($st$7$1)>>2)];
  var $7=$2; //@line 490 "./jsapi.h"
  var $8=(($7)|0); //@line 490 "./jsapi.h"
  var $9=$8; //@line 490 "./jsapi.h"
  var $st$14$0=(($9)|0);
  var $10$0=HEAP32[(($st$14$0)>>2)];
  var $st$14$1=(($9+4)|0);
  var $10$1=HEAP32[(($st$14$1)>>2)];
  var $11=$6$0 != $10$0 || $6$1 != $10$1; //@line 490 "./jsapi.h"
  ;
  return $11; //@line 490 "./jsapi.h"
}


function __ZL18DefineStandardSlotP9JSContextP8JSObject10JSProtoKeyP6JSAtomRKN2JS5ValueEjRb($cx, $obj, $key, $atom, $v, $attrs, $named) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $id;
      var $shape;
      var $slot;
      $2=$cx;
      $3=$obj;
      $4=$key;
      $5=$atom;
      $6=$v;
      $7=$attrs;
      $8=$named;
      var $9=$5; //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZL12ATOM_TO_JSIDP6JSAtom2291($9); //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$10; //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$4; //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $14=$3; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$2; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($14, $15); //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$3; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$2; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$id; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZN8JSObject12nativeLookupEP9JSContexti($19, $20, $21); //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$22; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$shape; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23)|0)!=0; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 10; break; } else { __label__ = 5; break; } //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $26=$4; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26+74)|0); //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $slot=$27; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$2; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$3; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$slot; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$6; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($28, $29, $30, $31); //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $35=$3; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$2; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$id; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$slot; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$7; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZN8JSObject11addPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($35, $36, $37, 8, 10, $38, $39, 0, 0); //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40)|0)!=0; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $44=$2; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$3; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$id; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$6; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($44, $45, $46, $47); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$8; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($48)]=1; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 4173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      __label__ = 11; break; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $51=$3; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$2; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$id; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$6; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$7; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $53, $54, 8, 10, $55); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)|0)!=0; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$8; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($57)&1); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($58)]=$59; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$8; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=HEAP8[($60)]; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=(($61) & 1); //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$62; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $64=$1; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $64; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18DefineStandardSlotP9JSContextP8JSObject10JSProtoKeyP6JSAtomRKN2JS5ValueEjRb["X"]=1;

function __ZN2JSL11ObjectValueER8JSObject2354($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2jsL14SetClassObjectEP9JSContextP8JSObject10JSProtoKeyS3_S3_($cx, $obj, $key, $cobj, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      var $8=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$key;
      $5=$cobj;
      $6=$proto;
      var $9=$3; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject8isGlobalEv($9); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=1; //@line 4188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 4188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$2; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$3; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$4; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$5; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject2355($7, $16); //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($13, $14, $15, $7); //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 4; break; } else { var $26 = 0;__label__ = 5; break; } //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$2; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$3; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$4; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+37)|0); //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$6; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject2355($8, $23); //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($19, $20, $22, $8); //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26 = $24;__label__ = 5; break;
    case 5: 
      var $26;
      $1=$26;
      __label__ = 6; break;
    case 6: 
      var $28=$1; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL17ObjectOrNullValueEP8JSObject2355($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 758 "./jsapi.h"
  __ZN2JS5Value15setObjectOrNullEP8JSObject($agg_result, $2); //@line 758 "./jsapi.h"
  ;
  return; //@line 759 "./jsapi.h"
}


function __ZN2jsL16ClearClassObjectEP9JSContextP8JSObject10JSProtoKey($cx, $obj, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $1=$cx;
      $2=$obj;
      $3=$key;
      var $6=$2; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK8JSObject8isGlobalEv($6); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      __label__ = 4; break; //@line 4199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $10=$2; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$3; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($4); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($10, $11, $4); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$2; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+37)|0); //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($5); //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($12, $14, $5); //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js23IsStandardClassResolvedEP8JSObjectPNS_5ClassE($obj, $clasp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $key;
  var $3=__stackBase__;
  var $4=__stackBase__+8;
  $1=$obj;
  $2=$clasp;
  var $5=$2; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=(($5+4)|0); //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=HEAPU32[(($6)>>2)]; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$7 >>> 24; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$8 & 255; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  $key=$9; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$1; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$key; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __ZNK8JSObject15getReservedSlotEj($3, $10, $11); //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __ZN2JSL14UndefinedValueEv2280($4); //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=__ZNK2JS5ValueneERKS0_($3, $4); //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN2js35MarkStandardClassInitializedNoProtoEP8JSObjectPNS_5ClassE($obj, $clasp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      var $3=__stackBase__;
      var $4=__stackBase__+8;
      var $5=__stackBase__+16;
      $1=$obj;
      $2=$clasp;
      var $6=$2; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6+4)|0); //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=HEAPU32[(($7)>>2)]; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$8 >>> 24; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$9 & 255; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $key=$10; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$1; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$key; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK8JSObject15getReservedSlotEj($3, $11, $12); //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($4); //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK2JS5ValueeqERKS0_($3, $4); //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $15=$1; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$key; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL12BooleanValueEb2297($5, 1); //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($15, $16, $5); //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z12js_InitClassP9JSContextP8JSObjectS2_PN2js5ClassEPFiS0_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSC_SE_PS2_($cx, $obj, $protoProto, $clasp, $constructor, $nargs, $ps, $fs, $static_ps, $static_fs, $ctorp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11;
      var $12;
      var $atom;
      var $key;
      $2=$cx;
      $3=$obj;
      HEAP32[(($4)>>2)]=$protoProto;
      $5=$clasp;
      $6=$constructor;
      $7=$nargs;
      $8=$ps;
      $9=$fs;
      $10=$static_ps;
      $11=$static_fs;
      $12=$ctorp;
      var $13=$2; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$5; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0); //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$5; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)|0); //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=_strlen($19); //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($13, $16, $20, 0, 0); //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $atom=$21; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$atom; //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)|0)!=0; //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 4405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 4405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $26=$5; //@line 4419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26+4)|0); //@line 4419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=HEAPU32[(($27)>>2)]; //@line 4419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$28 >>> 24; //@line 4419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$29 & 255; //@line 4419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $key=$30; //@line 4419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$key; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31)|0)!=0; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($32) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $34=HEAP32[(($4)>>2)]; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34)|0)!=0; //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 4420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $37=$2; //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$3; //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($37, $38, 1, $4, 0); //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39)|0)!=0; //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $43=$2; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$3; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$key; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$atom; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAP32[(($4)>>2)]; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$5; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$6; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$7; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$8; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$9; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$10; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$11; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$12; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__ZN2js29DefineConstructorAndPrototypeEP9JSContextP8JSObject10JSProtoKeyP6JSAtomS3_PNS_5ClassEPFiS1_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSF_SH_PS3_($43, $44, $45, $46, $47, $48, $49, $50, $51, $52, $53, $54, $55); //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$56; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $58=$1; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $58; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_InitClassP9JSContextP8JSObjectS2_PN2js5ClassEPFiS0_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSC_SE_PS2_["X"]=1;

function __Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($cx, $scopeobj, $protoKey, $protop, $clasp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v;
      var $7=__stackBase__;
      $2=$cx;
      $3=$scopeobj;
      $4=$protoKey;
      $5=$protop;
      $6=$clasp;
      var $8=$4; //@line 6737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)|0)!=0; //@line 6737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 15; break; } //@line 6737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $11=$3; //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 10; break; } else { __label__ = 3; break; } //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$2; //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZNK9JSContext5hasfpEv($14); //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=$2; //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK9JSContext2fpEv($17); //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK2js10StackFrame10scopeChainEv($18); //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$19; //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break; //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $21=$3; //@line 6741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21)|0)!=0; //@line 6741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 9; break; } else { __label__ = 6; break; } //@line 6741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $24=$2; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+132)|0); //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$26; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$3; //@line 6743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27)|0)!=0; //@line 6743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $30=$5; //@line 6744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($30)>>2)]=0; //@line 6744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 6745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break; //@line 6747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      __label__ = 10; break; //@line 6748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $34=$3; //@line 6749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZNK8JSObject9getGlobalEv($34); //@line 6749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$35; //@line 6749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$36; //@line 6749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$3; //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=__ZNK8JSObject8isGlobalEv($37); //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 6750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $40=$3; //@line 6751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$4; //@line 6751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41+37)|0); //@line 6751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK8JSObject15getReservedSlotEj($7, $40, $42); //@line 6751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $v=$7; //@line 6751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$v; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=__ZNK2JS5Value8isObjectEv($43); //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $46=$v; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=__ZNK2JS5Value8toObjectEv($46); //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$5; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($48)>>2)]=$47; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 6754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 14; break; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 15; break; //@line 6757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $52=$2; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$3; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$4; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$5; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$6; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($52, $53, $54, $55, $56); //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=(($57)&1); //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$58; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 6759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $60=$1; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $60; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE["X"]=1;

function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject10allocSlotsEP9JSContextj($this, $cx, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $oldSize;
      var $kind=__stackBase__;
      var $newScriptSlots;
      var $obj;
      var $allocCount;
      var $tmpslots;
      $2=$this;
      $3=$cx;
      $4=$newcap;
      var $5=$2;
      var $6=__ZNK8JSObject18slotsAndStructSizeEv($5); //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldSize=$6; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK8JSObject11hasLazyTypeEv($5); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 9; break; } else { __label__ = 2; break; } //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=__ZNK8JSObject4typeEv($5); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9+16)|0); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=__ZNK8JSObject4typeEv($5); //@line 4487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14+16)|0); //@line 4487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 4487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+4)|0); //@line 4487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 4487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($kind)>>2)]=$18; //@line 4487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($kind)>>2)]; //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2367($19); //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $newScriptSlots=$20; //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$newScriptSlots; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZNK8JSObject13numFixedSlotsEv($5); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($21)|0)==(($22)|0); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $25=__ZN2js2gcL21TryIncrementAllocKindEPNS0_9AllocKindE($kind); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $27=$3; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK8JSObject4typeEv($5); //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZNK8JSObject9getParentEv($5); //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP32[(($kind)>>2)]; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZNK8JSObject4typeEv($5); //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31+16)|0); //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33+8)|0); //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZN2js17NewReshapedObjectEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindEPKNS_5ShapeE($27, $28, $29, $30, $35); //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$36; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$obj; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37)|0)!=0; //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 21; break; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $41=HEAP32[(($kind)>>2)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZNK8JSObject4typeEv($5); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42+16)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44+4)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($45)>>2)]=$41; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$obj; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=__ZNK8JSObject12lastPropertyEv($46); //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=__ZNK8JSObject4typeEv($5); //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48+16)|0); //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($50+8)|0); //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($51)>>2)]=$47; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=__ZNK8JSObject4typeEv($5); //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$3; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types10TypeObject15markStateChangeEP9JSContext($52, $53); //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $56=$4; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)>>>0) > 536870912; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $59=$3; //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=__ZL11JS_ON_TRACEPK9JSContext2368($59); //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($60) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $62=$3; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($62); //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=0; //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 21; break; //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $65=$4; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=__ZNK8JSObject15numDynamicSlotsEj($5, $65); //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $allocCount=$66; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$3; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$allocCount; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=((($68<<3))|0); //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=__ZN9JSContext7malloc_Ej($67, $69); //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$70; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $tmpslots=$71; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$tmpslots; //@line 4510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=(($72)|0)!=0; //@line 4510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($73) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $1=0; //@line 4511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 21; break; //@line 4511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $76=$tmpslots; //@line 4512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=(($5+32)|0); //@line 4512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($77)>>2)]=$76; //@line 4512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=$4; //@line 4513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=(($5+28)|0); //@line 4513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($79)>>2)]=$78; //@line 4513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=__ZNK8JSObject12isDenseArrayEv($5); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($80) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $82=(($5+32)|0); //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=$83; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=__ZNK8JSObject10fixedSlotsEv($5); //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=$85; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=__ZN8JSObject30getDenseArrayInitializedLengthEv($5); //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=((($87<<3))|0); //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert($88 % 1 === 0, 'memcpy given ' + $88 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($84, $86, $88, 1); //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$3; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=__ZN9JSContext20typeInferenceEnabledEv($89); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($90) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $92=$3; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject23backfillDenseArrayHolesEP9JSContext($5, $92); //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 18; break; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 20; break; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $95=(($5+32)|0); //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=$allocCount; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364($96, $97, 0); //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break;
    case 20: 
      var $99=$3; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=$oldSize; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=__ZNK8JSObject18slotsAndStructSizeEv($5); //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=__ZN2js6Probes12resizeObjectEP9JSContextP8JSObjectjj($99, $5, $100, $101); //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 21; break; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $104=$1; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject10allocSlotsEP9JSContextj["X"]=1;

function __ZN2js5types21MarkObjectStateChangeEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$1; //@line 423 "./jsinferinlines.h"
      var $4=__ZN9JSContext20typeInferenceEnabledEv($3); //@line 423 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 423 "./jsinferinlines.h"
    case 2: 
      var $6=$2; //@line 423 "./jsinferinlines.h"
      var $7=__ZNK8JSObject11hasLazyTypeEv($6); //@line 423 "./jsinferinlines.h"
      if ($7) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 423 "./jsinferinlines.h"
    case 3: 
      var $9=$2; //@line 423 "./jsinferinlines.h"
      var $10=__ZNK8JSObject4typeEv($9); //@line 423 "./jsinferinlines.h"
      var $11=__ZN2js5types10TypeObject17unknownPropertiesEv($10); //@line 423 "./jsinferinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 423 "./jsinferinlines.h"
    case 4: 
      var $13=$2; //@line 424 "./jsinferinlines.h"
      var $14=__ZNK8JSObject4typeEv($13); //@line 424 "./jsinferinlines.h"
      var $15=$1; //@line 424 "./jsinferinlines.h"
      __ZN2js5types10TypeObject15markStateChangeEP9JSContext($14, $15); //@line 424 "./jsinferinlines.h"
      __label__ = 5; break; //@line 424 "./jsinferinlines.h"
    case 5: 
      ;
      return; //@line 425 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject11shrinkSlotsEP9JSContextj($this, $cx, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldcap;
      var $oldSize;
      var $fill;
      var $tmpslots;
      var $changed;
      $1=$this;
      $2=$cx;
      $3=$newcap;
      var $4=$1;
      var $5=__ZNK8JSObject6isCallEv($4); //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      __label__ = 18; break; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $8=__ZNK8JSObject8numSlotsEv($4); //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldcap=$8; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK8JSObject18slotsAndStructSizeEv($4); //@line 4620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldSize=$9; //@line 4620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$oldcap; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)>>>0) <= 8; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $13=__ZNK8JSObject13hasSlotsArrayEv($4); //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 8; break; } else { __label__ = 5; break; } //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $15=__ZNK8JSObject12isDenseArrayEv($4); //@line 4628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $17=$3; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$oldcap; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$3; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($18-$19)|0); //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject14clearSlotRangeEjj($4, $17, $20); //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 18; break; //@line 4630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $23=$3; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fill=$23; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$3; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZN2jsL3MaxIjEET_S1_S1_2347($24, 8); //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$25; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$3; //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK8JSObject13numFixedSlotsEv($4); //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZN2jsL3MaxIjEET_S1_S1_2347($26, $27); //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$28; //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($4+32)|0); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$31; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$3; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=((($33<<3))|0); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZN9JSContext8realloc_EPvj($29, $32, $34); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$35; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $tmpslots=$36; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$tmpslots; //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37)|0)!=0; //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      __label__ = 18; break; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $41=(($4+32)|0); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$tmpslots; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=(($42)|0)!=(($43)|0); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44)&1); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $changed=$45; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$tmpslots; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=(($4+32)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($47)>>2)]=$46; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$3; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($4+28)|0); //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($49)>>2)]=$48; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$fill; //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$3; //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($50)>>>0) < (($51)>>>0); //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $54=__ZNK8JSObject12isDenseArrayEv($4); //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($54) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $56=$fill; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$3; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$fill; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($57-$58)|0); //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject14clearSlotRangeEjj($4, $56, $59); //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 14; break; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $62=$changed; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=(($62) & 1); //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $65=__ZNK8JSObject8isGlobalEv($4); //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $67=$2; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types21MarkObjectStateChangeEP9JSContextP8JSObject($67, $4); //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 17; break; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $69=$2; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$oldSize; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=__ZNK8JSObject18slotsAndStructSizeEv($4); //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=__ZN2js6Probes12resizeObjectEP9JSContextP8JSObjectjj($69, $4, $70, $71); //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 18; break; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      ;
      return; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject11shrinkSlotsEP9JSContextj["X"]=1;

function __ZN2js8SetProtoEP9JSContextP8JSObjectS3_b($cx, $obj, $proto, $checkForCycles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldproto;
      var $obj2;
      var $type;
      $2=$cx;
      $3=$obj;
      $4=$proto;
      var $6=(($checkForCycles)&1);
      $5=$6;
      var $7=$3; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK8JSObject8isNativeEv($7); //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$3; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$2; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($10, $11); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      __label__ = 5; break; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $16=$4; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16)|0)!=0; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $19=$4; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZNK8JSObject5isXMLEv($19); //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $22=$2; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($22, 2, 0, 272, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $24=$3; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldproto=$24; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $26=$oldproto; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26)|0)!=0; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 10; break; } else { var $32 = 0;__label__ = 11; break; } //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $29=$oldproto; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZNK8JSObject8isNativeEv($29); //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32 = $30;__label__ = 11; break;
    case 11: 
      var $32;
      if ($32) { __label__ = 12; break; } else { __label__ = 13; break; }
    case 12: 
      var $34=$oldproto; //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$2; //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject16protoShapeChangeEP9JSContext($34, $35); //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$oldproto; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZNK8JSObject8getProtoEv($36); //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $oldproto=$37; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 4715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $39=$5; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39) & 1); //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $42=$4; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj2=$42; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $44=$obj2; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44)|0)!=0; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $47=$obj2; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$3; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($47)|0)==(($48)|0); //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $51=$2; //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($51, 2, 0, 36, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_proto_str)|0),tempInt)); //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 4722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 19; break; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $54=$obj2; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=__ZNK8JSObject8getProtoEv($54); //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj2=$55; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      __label__ = 21; break; //@line 4725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $58=$3; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=__ZNK8JSObject16hasSingletonTypeEv($58); //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($59) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $61=$3; //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$2; //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$4; //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=__ZN8JSObject15splicePrototypeEP9JSContextPS_($61, $62, $63); //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($64) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      $1=0; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $67=$2; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$3; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=__ZNK8JSObject4typeEv($68); //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($67, $69, 0); //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $71=$4; //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=(($71)|0)!=0; //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($72) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $74=$4; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($74, $75, 0, 1); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79 = $76;__label__ = 28; break; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $79 = __ZN2js5types15emptyTypeObjectE;__label__ = 28; break; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $79; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $type=$79; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=$type; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=(($80)|0)!=0; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($81) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      $1=0; //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $84=$2; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=$3; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=__ZNK8JSObject4typeEv($85); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($84, $86, 1); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$2; //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$type; //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($87, $88, 1); //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$3; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$type; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($89, $90); //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $92=$1; //@line 4757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $92; //@line 4757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8SetProtoEP9JSContextP8JSObjectS3_b["X"]=1;

function __Z17js_GetClassObjectP9JSContextP8JSObject10JSProtoKeyPS2_($cx, $obj, $key, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $v=__stackBase__;
      var $resolving=__stackBase__+8;
      var $6;
      var $cobj;
      var $init;
      var $7=__stackBase__+28;
      $2=$cx;
      $3=$obj;
      $4=$key;
      $5=$objp;
      var $8=$3; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK8JSObject9getGlobalEv($8); //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$9; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$10; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$3; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK8JSObject8isGlobalEv($11); //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $14=$5; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($14)>>2)]=0; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $16=$3; //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$4; //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK8JSObject15getReservedSlotEj($v, $16, $17); //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK2JS5Value8isObjectEv($v); //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $20=__ZNK2JS5Value8toObjectEv($v); //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$5; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($21)>>2)]=$20; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break; //@line 4774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $23=$2; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$3; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$4; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$2; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26+52)|0); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+209948)|0); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29+72)|0); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30+($25<<2))|0); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$32; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZL12ATOM_TO_JSIDP6JSAtom2291($33); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js13AutoResolvingC1EP9JSContextP8JSObjectiNS0_4KindE($resolving, $23, $24, $34, 0); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZNK2js13AutoResolving14alreadyStartedEv($resolving); //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $37=$5; //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($37)>>2)]=0; //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 14; break; //@line 4781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $cobj=0; //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$4; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=((__ZL19lazy_prototype_init+($39<<2))|0); //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $init=$41; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$init; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42)|0)!=0; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $45=$init; //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$2; //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$3; //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=FUNCTION_TABLE[$45]($46, $47); //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)|0)!=0; //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 14; break; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $52=$3; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$4; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK8JSObject15getReservedSlotEj($7, $52, $53); //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$v; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$7; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)]; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($v); //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $58=__ZNK2JS5Value8toObjectEv($v); //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $cobj=$58; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      __label__ = 13; break; //@line 4791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $61=$cobj; //@line 4793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$5; //@line 4793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($62)>>2)]=$61; //@line 4793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __label__ = 14; break; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __ZN2js13AutoResolvingD1Ev($resolving); //@line 4795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 15; break;
    case 15: 
      var $65=$1; //@line 4795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $65; //@line 4795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_GetClassObjectP9JSContextP8JSObject10JSProtoKeyPS2_["X"]=1;

function __ZN2js13AutoResolvingC1EP9JSContextP8JSObjectiNS0_4KindE($this, $cx, $obj, $id, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$cx;
  $3=$obj;
  $4=$id;
  $5=$kind;
  var $6=$1;
  var $7=$2; //@line 1415 "./jscntxt.h"
  var $8=$3; //@line 1415 "./jscntxt.h"
  var $9=$4; //@line 1415 "./jscntxt.h"
  var $10=$5; //@line 1415 "./jscntxt.h"
  __ZN2js13AutoResolvingC2EP9JSContextP8JSObjectiNS0_4KindE($6, $7, $8, $9, $10); //@line 1415 "./jscntxt.h"
  ;
  return; //@line 1415 "./jscntxt.h"
}


function __ZNK2js13AutoResolving14alreadyStartedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+16)|0); //@line 1423 "./jscntxt.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1423 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1423 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1423 "./jscntxt.h"
    case 2: 
      var $7=__ZNK2js13AutoResolving18alreadyStartedSlowEv($2); //@line 1423 "./jscntxt.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1424 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13AutoResolvingD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13AutoResolvingD2Ev($2); //@line 1417 "./jscntxt.h"
  ;
  return; //@line 1420 "./jscntxt.h"
}


function __Z18js_FindClassObjectP9JSContextP8JSObject10JSProtoKeyPN2JS5ValueEPN2js5ClassE($cx, $start, $protoKey, $vp, $clasp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $fp;
      var $obj=__stackBase__;
      var $cobj=__stackBase__+4;
      var $pobj=__stackBase__+8;
      var $id;
      var $prop=__stackBase__+12;
      var $shape;
      var $atom;
      var $v=__stackBase__+16;
      $2=$cx;
      $3=$start;
      $4=$protoKey;
      $5=$vp;
      $6=$clasp;
      var $7=$3; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0)!=0; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$2; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZNK9JSContext7maybefpEv($10); //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$11; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$fp; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZNK2js10StackFrame10scopeChainEv($14); //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$15; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=$3; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17)|0)!=0; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 6; break; //@line 4818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $21=$3; //@line 4819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($obj)>>2)]=$21; //@line 4819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($obj)>>2)]; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZNK8JSObject9getParentEv($22); //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$23; //@line 4820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $25=$3; //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25)|0)!=0; //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 12; break; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $29=$2; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29+132)|0); //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($obj)>>2)]=$31; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($obj)>>2)]; //@line 4824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($32)|0)!=0; //@line 4824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $35=$5; //@line 4825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($35); //@line 4825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $38=$2; //@line 4830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($38, $obj); //@line 4830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=HEAP32[(($obj)>>2)]; //@line 4831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39)|0)!=0; //@line 4831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 4831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      $1=0; //@line 4832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $43=$4; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=(($43)|0)!=0; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($44) { __label__ = 15; break; } else { __label__ = 20; break; } //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $46=$2; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAP32[(($obj)>>2)]; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$4; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=__Z17js_GetClassObjectP9JSContextP8JSObject10JSProtoKeyPS2_($46, $47, $48, $cobj); //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=(($49)|0)!=0; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($50) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=0; //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $53=HEAP32[(($cobj)>>2)]; //@line 4839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53)|0)!=0; //@line 4839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($54) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 4839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $56=$5; //@line 4840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=HEAP32[(($cobj)>>2)]; //@line 4840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($56, $57); //@line 4840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $59=$4; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$2; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($60+52)|0); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=(($62+209948)|0); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63+72)|0); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($64+($59<<2))|0); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$66; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=__ZL12ATOM_TO_JSIDP6JSAtom2291($67); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$68; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $70=$2; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$6; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=(($71)|0); //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$6; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($74)|0); //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=_strlen($76); //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($70, $73, $77, 0, 0); //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $atom=$78; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=$atom; //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=(($79)|0)!=0; //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($80) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      $1=0; //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $83=$atom; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=__ZL12ATOM_TO_JSIDP6JSAtom2291($83); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $id=$84; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break;
    case 23: 
      var $86=$2; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=HEAP32[(($obj)>>2)]; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$id; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($86, $87, $88, 16, $pobj, $prop); //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($89) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      $1=0; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      __ZN2JSL14UndefinedValueEv2280($v); //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=HEAP32[(($prop)>>2)]; //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($92)|0)!=0; //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 32; break; } //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $95=HEAP32[(($pobj)>>2)]; //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=__ZNK8JSObject8isNativeEv($95); //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($96) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 4855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $98=HEAP32[(($prop)>>2)]; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=$98; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$99; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=HEAP32[(($pobj)>>2)]; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$shape; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=(($101+24)|0); //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=__ZNK8JSObject12containsSlotEj($100, $103); //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($104) { __label__ = 28; break; } else { __label__ = 31; break; } //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $106=HEAP32[(($pobj)>>2)]; //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$shape; //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($107+24)|0); //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=__ZNK8JSObject13nativeGetSlotEj($106, $109); //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=$v; //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=$110; //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($111)>>2)]=HEAP32[(($112)>>2)];HEAP32[(($111+4)>>2)]=HEAP32[(($112+4)>>2)]; //@line 4858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=__ZNK2JS5Value11isPrimitiveEv($v); //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($113) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      __ZN2JS5Value12setUndefinedEv($v); //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 30; break; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      __label__ = 31; break; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      __label__ = 32; break; //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $118=$5; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=$118; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=$v; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($119)>>2)]=HEAP32[(($120)>>2)];HEAP32[(($119+4)>>2)]=HEAP32[(($120+4)>>2)]; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $122=$1; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $122; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_FindClassObjectP9JSContextP8JSObject10JSProtoKeyPN2JS5ValueEPN2js5ClassE["X"]=1;

function __ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($cx, $obj, $id, $flags, $objp, $propp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$flags;
  $5=$objp;
  $6=$propp;
  var $7=$3; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=__Z22js_CheckForStringIndexi($7); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  $3=$8; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$1; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$2; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$3; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=$4; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=$5; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $14=$6; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $15=__ZL29LookupPropertyWithFlagsInlineP9JSContextP8JSObjectijPS2_PP10JSProperty($9, $10, $11, $12, $13, $14); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $15; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($cx, $clasp, $proto, $parent, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $argtvr=__stackBase__;
      var $protoKey;
      var $tvr=__stackBase__+16;
      var $8;
      var $cval;
      var $ctor;
      var $rval=__stackBase__+40;
      var $obj;
      var $rval1=__stackBase__+48;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$argc;
      $7=$argv;
      var $9=$2; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$6; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$7; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($argtvr, $9, $10, $11); //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE2381($12); //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $protoKey=$13; //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$2; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $14); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$2; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$5; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$protoKey; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$3; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__Z18js_FindClassObjectP9JSContextP8JSObject10JSProtoKeyPN2JS5ValueEPN2js5ClassE($15, $16, $17, $18, $19); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=0; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 24; break; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $24=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $cval=$24; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZNK2JS5Value11isPrimitiveEv($25); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $28=$2; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($28, $29, 65664); //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 24; break; //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $31=$cval; //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZNK2JS5Value8toObjectEv($31); //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ctor=$32; //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$5; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)|0)!=0; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $36=$ctor; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZNK8JSObject9getParentEv($36); //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=$37; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 4892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $39=$4; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39)|0)!=0; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 13; break; } else { __label__ = 8; break; } //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $42=$ctor; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$2; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$2; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=(($44+52)|0); //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=(($46+209948)|0); //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=(($47+252)|0); //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($42, $43, $49, $rval); //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($50)|0)!=0; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 24; break; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $54=__ZNK2JS5Value14isObjectOrNullEv($rval); //@line 4897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 4897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $56=__ZNK2JS5Value14toObjectOrNullEv($rval); //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$56; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      __label__ = 13; break; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $59=$2; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$3; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$4; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$5; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2353($59, $60, $61, $62); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$63; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$obj; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($64)|0)!=0; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $1=0; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 24; break; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $68=$obj; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($68); //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$2; //@line 4906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=$obj; //@line 4906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=__ZNK8JSObject4typeEv($70); //@line 4906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($69, $71, 0); //@line 4906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$2; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=$obj; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$cval; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$6; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$7; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=__ZN2js30InvokeConstructorWithGivenThisEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_($72, $73, $74, $75, $76, $rval1); //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=0; //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 24; break; //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $80=__ZNK2JS5Value11isPrimitiveEv($rval1); //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($80) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $82=$obj; //@line 4913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$82; //@line 4913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 24; break; //@line 4913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $84=__ZNK2JS5Value8toObjectEv($rval1); //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$84; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=$obj; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=__ZNK8JSObject8getClassEv($85); //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$3; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=(($86)|0)!=(($87)|0); //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($88) { __label__ = 22; break; } else { __label__ = 20; break; } //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $90=$3; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90+4)|0); //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$92 ^ -1; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$93 & 65; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=(($94)|0)!=0; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($95) { __label__ = 23; break; } else { __label__ = 21; break; } //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $97=$obj; //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=__ZNK8JSObject10getPrivateEv($97); //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=(($98)|0)!=0; //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($99) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $101=$2; //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$3; //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=(($102)|0); //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($101, 2, 0, 207, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$104,tempInt)); //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 24; break; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $106=$obj; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$106; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 24; break; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js15AutoArrayRooterD1Ev($argtvr); //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=$1; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE["X"]=1;

function __ZN2jsL37AbortRecordingIfUnexpectedGlobalWriteEP9JSContextP8JSObjectj($cx, $obj, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$slot;
  ;
  return; //@line 1884 "./jstracer.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE2381($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject9allocSlotEP9JSContextPj($this, $cx, $slotp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $slot;
      var $table;
      var $last;
      var $vref;
      var $5=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$slotp;
      var $6=$2;
      var $7=__ZNK8JSObject8slotSpanEv($6); //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $slot=$7; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK8JSObject16inDictionaryModeEv($6); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=(($6)|0); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK2js5Shape8hasTableEv($11); //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 4944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=(($6)|0); //@line 4945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 4945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZNK2js5Shape8getTableEv($15); //@line 4945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $table=$16; //@line 4945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$table; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+12)|0); //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $last=$19; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$last; //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=-1; //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $23=$last; //@line 4954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$4; //@line 4954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 4954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$last; //@line 4956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZNK8JSObject7getSlotEj($6, $25); //@line 4956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $vref=$26; //@line 4956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$vref; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK2JS5Value15toPrivateUint32Ev($27); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$table; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($29+12)|0); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($30)>>2)]=$28; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$last; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($5); //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($6, $31, $5); //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 6; break; //@line 4961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $34=$slot; //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZNK8JSObject8numSlotsEv($6); //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($34)>>>0) >= (($35)>>>0); //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $38=$3; //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$slot; //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39+1)|0); //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=__ZN8JSObject9growSlotsEP9JSContextj($6, $38, $40); //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $44=$slot; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$4; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($45)>>2)]=$44; //@line 4968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $47=$1; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $47; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject9allocSlotEP9JSContextPj["X"]=1;

function __ZN8JSObject8freeSlotEP9JSContextj($this, $cx, $slot) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $limit;
      var $last;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $2=$this;
      $3=$cx;
      $4=$slot;
      var $7=$2;
      var $8=__ZNK8JSObject8slotSpanEv($7); //@line 4975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $limit=$8; //@line 4975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK8JSObject16inDictionaryModeEv($7); //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $11=(($7)|0); //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK2js5Shape8hasTableEv($12); //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $15=(($7)|0); //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZNK2js5Shape8getTableEv($16); //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+12)|0); //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $last=$18; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK8JSObject8getClassEv($7); //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+4)|0); //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=HEAPU32[(($20)>>2)]; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$21 >>> 8; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22 & 255; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$4; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($23)>>>0) <= (($24)>>>0); //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $27=$4; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27+1)|0); //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$limit; //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $32=$4; //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$last; //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL18PrivateUint32ValueEj2384($5, $34); //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($7, $32, $5); //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$4; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$last; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 7; break; //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $39=$4; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($6); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($7, $39, $6); //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $41=$1; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject8freeSlotEP9JSContextj["X"]=1;

function __ZN2JSL18PrivateUint32ValueEj2384($agg_result, $ui) {
  ;
  var __label__;

  var $1;
  $1=$ui;
  var $2=$1; //@line 774 "./jsapi.h"
  __ZN2JS5Value16setPrivateUint32Ej($agg_result, $2); //@line 774 "./jsapi.h"
  ;
  return; //@line 775 "./jsapi.h"
}


function __Z24js_PurgeScopeChainHelperP9JSContextP8JSObjecti($cx, $obj, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$obj;
      $3=$id;
      var $4=$1; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=$2; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK8JSObject8getProtoEv($5); //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$3; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZL15PurgeProtoChainP9JSContextP8JSObjecti($4, $6, $7); //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$2; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject6isCallEv($9); //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      __label__ = 3; break; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$2; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK8JSObject9getParentEv($13); //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $2=$14; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=0; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=$1; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$2; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$3; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZL15PurgeProtoChainP9JSContextP8JSObjecti($17, $18, $19); //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=0; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 7; break; //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 3; break; //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      ;
      return; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15PurgeProtoChainP9JSContextP8JSObjecti($cx, $obj, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$id;
      __label__ = 2; break; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $6=$3; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6)|0)!=0; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $9=$3; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject8isNativeEv($9); //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $12=$3; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK8JSObject8getProtoEv($12); //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$13; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $15=$3; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$2; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$4; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZN8JSObject12nativeLookupEP9JSContexti($15, $16, $17); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$18; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$shape; //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19)|0)!=0; //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $22=$3; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$2; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$shape; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject20shadowingShapeChangeEP9JSContextRKN2js5ShapeE($22, $23, $24); //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$3; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZNK8JSObject9getParentEv($25); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26)|0)!=0; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $29=$2; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js10LeaveTraceEP9JSContext($29); //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=1; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $32=$3; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZNK8JSObject8getProtoEv($32); //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$33; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 5027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $36=$1; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $36; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_AddNativePropertyP9JSContextP8JSObjectiPFiS0_S2_iPN2JS5ValueEEPFiS0_S2_iiS5_Ejjji($cx, $obj, $id, $getter, $setter, $slot, $attrs, $flags, $shortid) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$getter;
      $6=$setter;
      $7=$slot;
      $8=$attrs;
      $9=$flags;
      $10=$shortid;
      var $11=$4; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__Z22js_CheckForStringIndexi($11); //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$12; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$2; //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$3; //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$4; //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z18js_PurgeScopeChainP9JSContextP8JSObjecti($13, $14, $15); //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$2; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($16, $17); //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $21=$3; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$2; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$4; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$5; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$6; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$7; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$8; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$9; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$10; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZN8JSObject11putPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($21, $22, $23, $24, $25, $26, $27, $28, $29); //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$30; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $32=$1; //@line 5072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $32; //@line 5072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z28js_ChangeNativePropertyAttrsP9JSContextP8JSObjectPKN2js5ShapeEjjPFiS0_S2_iPN2JS5ValueEEPFiS0_S2_iiS9_E($cx, $obj, $shape, $attrs, $mask, $getter, $setter) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $funobj;
      var $v=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$shape;
      $5=$attrs;
      $6=$mask;
      $7=$getter;
      $8=$setter;
      var $9=$3; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$2; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($9, $10); //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $14=$5; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$14 & 2; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)|0)!=0; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$4; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK2js5Shape8isMethodEv($18); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $21=$4; //@line 5089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=__ZNK2js5Shape12methodObjectEv($21); //@line 5089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $funobj=$22; //@line 5089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$funobj; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($v, $23); //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$3; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$2; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$4; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE($24, $25, $26, $v); //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$27; //@line 5092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$4; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28)|0)!=0; //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $32=$7; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($32); //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$funobj; //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($33)|0)==(($34)|0); //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $7=0; //@line 5098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      __label__ = 10; break; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $39=$3; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$2; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$4; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$5; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$6; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$7; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$8; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=__ZN8JSObject14changePropertyEP9JSContextPKN2js5ShapeEjjPFiS1_PS_iPN2JS5ValueEEPFiS1_S6_iiS9_E($39, $40, $41, $42, $43, $44, $45); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$46; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $48=$1; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z28js_ChangeNativePropertyAttrsP9JSContextP8JSObjectPKN2js5ShapeEjjPFiS0_S2_iPN2JS5ValueEEPFiS0_S2_iiS9_E["X"]=1;

function __Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($cx, $obj, $id, $value, $getter_coerce, $setter, $attrs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$value;
  var $9=$getter_coerce;
  $5=$9;
  var $getter=$5;
  $6=$getter;
  $7=$setter;
  $8=$attrs;
  var $10=$1; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$2; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=$3; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=$4; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $14=$6; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $15=$7; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $16=$8; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $17=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($10, $11, $12, $13, $14, $15, $16, 0, 0, 0); //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $18=(($17)|0)!=0; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $19=$18 ^ 1; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $20=$19 ^ 1; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $21=(($20)&1); //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $21; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z16js_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($cx, $obj, $index, $value, $getter_coerce, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$value;
      var $10=$getter_coerce;
      $6=$10;
      var $getter=$6;
      $7=$getter;
      $8=$setter;
      $9=$attrs;
      var $11=$2; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$4; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZN2js9IndexToIdEP9JSContextjPi($11, $12, $id); //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $16=$2; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=HEAP32[(($id)>>2)]; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$5; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$7; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$8; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$9; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($16, $17, $18, $19, $20, $21, $22, 0, 0, 0); //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23)|0)!=0; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$24 ^ 1; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$25 ^ 1; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26)&1); //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$27; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $29=$1; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject2391($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 390 "./jscntxtinlines.h"
      var $4=__ZNK8JSObject9getParentEv($3); //@line 390 "./jscntxtinlines.h"
      var $5=(($4)|0)!=0; //@line 390 "./jscntxtinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 390 "./jscntxtinlines.h"
    case 2: 
      var $7=$1; //@line 391 "./jscntxtinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($7); //@line 391 "./jscntxtinlines.h"
      __label__ = 3; break; //@line 391 "./jscntxtinlines.h"
    case 3: 
      ;
      return; //@line 392 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9DebugOnlyIPKN2js5ShapeEEC1ERKS4_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 182 "./dist/include/mozilla/Util.h"
  __ZN7mozilla9DebugOnlyIPKN2js5ShapeEEC2ERKS4_($4, $5); //@line 182 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN8JSObject18methodWriteBarrierEP9JSContextRKN2js5ShapeERKN2JS5ValueE($this, $cx, $shape, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $prev;
      $2=$this;
      $3=$cx;
      $4=$shape;
      $5=$v;
      var $6=$2;
      var $7=__ZN8JSObject25brandedOrHasMethodBarrierEv($6); //@line 312 "./jsobjinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 312 "./jsobjinlines.h"
    case 2: 
      var $9=$4; //@line 312 "./jsobjinlines.h"
      var $10=(($9+24)|0); //@line 312 "./jsobjinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 312 "./jsobjinlines.h"
      var $12=(($11)|0)!=-1; //@line 312 "./jsobjinlines.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 312 "./jsobjinlines.h"
    case 3: 
      var $14=$4; //@line 313 "./jsobjinlines.h"
      var $15=(($14+24)|0); //@line 313 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 313 "./jsobjinlines.h"
      var $17=__ZNK8JSObject13nativeGetSlotEj($6, $16); //@line 313 "./jsobjinlines.h"
      $prev=$17; //@line 313 "./jsobjinlines.h"
      var $18=$prev; //@line 315 "./jsobjinlines.h"
      var $19=$5; //@line 315 "./jsobjinlines.h"
      var $20=__ZL18ChangesMethodValueRKN2JS5ValueES2_($18, $19); //@line 315 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 315 "./jsobjinlines.h"
    case 4: 
      var $22=$3; //@line 316 "./jsobjinlines.h"
      var $23=$4; //@line 316 "./jsobjinlines.h"
      var $24=__ZN8JSObject17methodShapeChangeEP9JSContextRKN2js5ShapeE($6, $22, $23); //@line 316 "./jsobjinlines.h"
      $1=$24; //@line 316 "./jsobjinlines.h"
      __label__ = 7; break; //@line 316 "./jsobjinlines.h"
    case 5: 
      __label__ = 6; break; //@line 317 "./jsobjinlines.h"
    case 6: 
      var $27=$4; //@line 318 "./jsobjinlines.h"
      $1=$27; //@line 318 "./jsobjinlines.h"
      __label__ = 7; break; //@line 318 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 319 "./jsobjinlines.h"
      ;
      return $29; //@line 319 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9DebugOnlyIPKN2js5ShapeEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIPKN2js5ShapeEED2Ev($2); //@line 193 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZL19CallAddPropertyHookP9JSContextPN2js5ClassEP8JSObjectPKNS1_5ShapeEPN2JS5ValueE($cx, $clasp, $obj, $shape, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $nominal=__stackBase__;
      $2=$cx;
      $3=$clasp;
      $4=$obj;
      $5=$shape;
      $6=$vp;
      var $7=$3; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7+8)|0); //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$8; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)|0)!=8; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$6; //@line 5132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$nominal; //@line 5132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$13; //@line 5132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 5132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$2; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+8)|0); //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$4; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$5; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22+12)|0); //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$6; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_($16, $20, $21, $24, $25); //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $29=$6; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZNK2JS5ValueneERKS0_($29, $nominal); //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $32=$4; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$5; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33+24)|0); //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZNK8JSObject12containsSlotEj($32, $35); //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $38=$4; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$2; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$5; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$6; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject21nativeSetSlotWithTypeEP9JSContextPKN2js5ShapeERKN2JS5ValueE($38, $39, $40, $41); //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=1; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $46=$1; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19CallAddPropertyHookP9JSContextPN2js5ClassEP8JSObjectPKNS1_5ShapeEPN2JS5ValueE["X"]=1;

function __ZL29LookupPropertyWithFlagsInlineP9JSContextP8JSObjectijPS2_PP10JSProperty($cx, $obj, $id, $flags, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $start;
      var $shape;
      var $recursed=__stackBase__;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      $7=$propp;
      var $8=$3; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $start=$8; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$3; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$2; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$4; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZN8JSObject12nativeLookupEP9JSContexti($10, $11, $12); //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$13; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$shape; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=0; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $17=$3; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$6; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$shape; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$19; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$7; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($21)>>2)]=$20; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $23=$3; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZNK8JSObject8getClassEv($23); //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+28)|0); //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26)|0)!=190; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $29=$2; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$start; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$3; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$4; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$5; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$6; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$7; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=__ZL13CallResolveOpP9JSContextP8JSObjectS2_ijPS2_PP10JSPropertyPb($29, $30, $31, $32, $33, $34, $35, $recursed); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36)|0)!=0; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $40=HEAP8[($recursed)]; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40) & 1); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 19; break; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $44=$7; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45)|0)!=0; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=1; //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      __label__ = 12; break; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $50=$3; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=__ZNK8JSObject8getProtoEv($50); //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $proto=$51; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$proto; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=(($52)|0)!=0; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 19; break; //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $56=$proto; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=__ZNK8JSObject8isNativeEv($56); //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 18; break; } else { __label__ = 15; break; } //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $59=$proto; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$2; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$4; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$6; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$7; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($59, $60, $61, $62, $63); //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($64)|0)!=0; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=0; //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=1; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 5475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $69=$proto; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $3=$69; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $71=$6; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($71)>>2)]=0; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$7; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($72)>>2)]=0; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 5483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 5483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $74=$1; //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $74; //@line 5484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29LookupPropertyWithFlagsInlineP9JSContextP8JSObjectijPS2_PP10JSProperty["X"]=1;

function __Z16js_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty($cx, $obj, $index, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$objp;
      $6=$propp;
      var $7=$2; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$2; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15+208)|0); //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$5; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$6; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZL29LookupPropertyWithFlagsInlineP9JSContextP8JSObjectijPS2_PP10JSProperty($12, $13, $14, $17, $18, $19); //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)&1); //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$21; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $23=$1; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z21js_FindPropertyHelperP9JSContextibbPP8JSObjectS3_PP10JSProperty($cx, $id, $cacheResult, $global, $objp, $pobjp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $scopeChain;
      var $obj;
      var $parent;
      var $pobj=__stackBase__;
      var $entry;
      var $scopeIndex;
      var $prop=__stackBase__+4;
      $2=$cx;
      $3=$id;
      var $9=(($cacheResult)&1);
      $4=$9;
      var $10=(($global)&1);
      $5=$10;
      $6=$objp;
      $7=$pobjp;
      $8=$propp;
      var $11=$2; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+60)|0); //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK2js12ContextStack25currentScriptedScopeChainEv($12); //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scopeChain=$13; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$5; //@line 5532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14) & 1); //@line 5532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $17=$scopeChain; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK8JSObject9getGlobalEv($17); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scopeChain=$19; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $entry=((16)|0); //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$scopeChain; //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$21; //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$obj; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZNK8JSObject9getParentEv($22); //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent=$23; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scopeIndex=0; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $25=$parent; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25)|0)!=0; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $28=$obj; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZN2jsL25IsCacheableNonGlobalScopeEP8JSObject2396($28); //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38 = $29;__label__ = 7; break; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $31=$obj; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZNK8JSObject6getOpsEv($31); //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($32+4)|0); //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34)|0)!=0; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$35 ^ 1; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38 = $36;__label__ = 7; break; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $38; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 19; break; } //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $40=$2; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$obj; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$3; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$2; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=(($43+208)|0); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($40, $41, $42, $45, $pobj, $prop); //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 29; break; //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $49=HEAP32[(($prop)>>2)]; //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=(($49)|0)!=0; //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $52=$4; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=(($52) & 1); //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($53) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $55=HEAP32[(($pobj)>>2)]; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($56) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $58=$2; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($58+52)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($60+144280)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=(($61+56)|0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$2; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$scopeChain; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$scopeIndex; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=HEAP32[(($pobj)>>2)]; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=HEAP32[(($prop)>>2)]; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$67; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=__ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi($62, $63, $64, $65, $66, $68, 0); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $entry=$69; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 28; break; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $72=$parent; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=(($72)|0)!=0; //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($73) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 5589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      HEAP32[(($pobj)>>2)]=0; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 28; break; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $76=$parent; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$76; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=$obj; //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=__ZNK8JSObject9getParentEv($77); //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent=$78; //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 18; break; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $80=$scopeIndex; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=(($80+1)|0); //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scopeIndex=$81; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      __label__ = 20; break; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $84=$obj; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=$2; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=$3; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($84, $85, $86, $pobj, $prop); //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=(($87)|0)!=0; //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($88) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      $1=0; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 29; break; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $91=HEAP32[(($prop)>>2)]; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=(($91)|0)!=0; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($92) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      __label__ = 28; break; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $95=$obj; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=__ZNK8JSObject9getParentEv($95); //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent=$96; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=$parent; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=(($97)|0)!=0; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($98) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      HEAP32[(($pobj)>>2)]=0; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 27; break; //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $101=$parent; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$101; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 20; break; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      __label__ = 28; break; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $104=$obj; //@line 5619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$6; //@line 5619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($105)>>2)]=$104; //@line 5619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=HEAP32[(($pobj)>>2)]; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$7; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($107)>>2)]=$106; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=HEAP32[(($prop)>>2)]; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=$8; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($109)>>2)]=$108; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=$entry; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$110; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 29; break; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $112=$1; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $112; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z21js_FindPropertyHelperP9JSContextibbPP8JSObjectS3_PP10JSProperty["X"]=1;

function __ZNK2js12ContextStack25currentScriptedScopeChainEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js12ContextStack2fpEv($2); //@line 651 "./vm/Stack-inl.h"
  var $4=__ZNK2js10StackFrame10scopeChainEv($3); //@line 651 "./vm/Stack-inl.h"
  ;
  return $4; //@line 651 "./vm/Stack-inl.h"
}


function __ZN2jsL25IsCacheableNonGlobalScopeEP8JSObject2396($obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $cacheable;
      $1=$obj;
      var $2=$1; //@line 1979 "./jsobj.h"
      var $3=__ZNK8JSObject6isCallEv($2); //@line 1979 "./jsobj.h"
      if ($3) { var $11 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 1979 "./jsobj.h"
    case 2: 
      var $5=$1; //@line 1979 "./jsobj.h"
      var $6=__ZNK8JSObject7isBlockEv($5); //@line 1979 "./jsobj.h"
      if ($6) { var $11 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1979 "./jsobj.h"
    case 3: 
      var $8=$1; //@line 1979 "./jsobj.h"
      var $9=__ZNK8JSObject9isDeclEnvEv($8); //@line 1979 "./jsobj.h"
      var $11 = $9;__label__ = 4; break; //@line 1979 "./jsobj.h"
    case 4: 
      var $11;
      var $12=(($11)&1); //@line 1979 "./jsobj.h"
      $cacheable=$12; //@line 1979 "./jsobj.h"
      var $13=$cacheable; //@line 1982 "./jsobj.h"
      var $14=(($13) & 1); //@line 1982 "./jsobj.h"
      ;
      return $14; //@line 1982 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z15js_FindPropertyP9JSContextibPP8JSObjectS3_PP10JSProperty($cx, $id, $global, $objp, $pobjp, $propp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$id;
  var $7=(($global)&1);
  $3=$7;
  $4=$objp;
  $5=$pobjp;
  $6=$propp;
  var $8=$1; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$2; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$3; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=(($10) & 1); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=$4; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=$5; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $14=$6; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $15=__Z21js_FindPropertyHelperP9JSContextibbPP8JSObjectS3_PP10JSProperty($8, $9, 0, $11, $12, $13, $14); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $16=(($15)|0)!=0; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $17=$16 ^ 1; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $18=$17 ^ 1; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $19=(($18)&1); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $19; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z21js_FindIdentifierBaseP9JSContextP8JSObjecti($cx, $scopeChain, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $scopeIndex;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $entry=__stackBase__+8;
      var $5=__stackBase__+12;
      var $6;
      var $parent;
      var $pobj1=__stackBase__+16;
      var $prop2=__stackBase__+20;
      var $parent3;
      $2=$cx;
      $3=$scopeChain;
      $4=$id;
      var $7=$3; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$7; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scopeIndex=0; //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=$obj; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject9getParentEv($9); //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)|0)!=0; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 3; break; } else { var $16 = 1;__label__ = 4; break; } //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$obj; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZN2jsL25IsCacheableNonGlobalScopeEP8JSObject2396($13); //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16 = $14;__label__ = 4; break; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $18=$2; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$obj; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$4; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$2; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+208)|0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($18, $19, $20, $23, $pobj, $prop); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $27=HEAP32[(($prop)>>2)]; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27)|0)!=0; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $30=HEAP32[(($pobj)>>2)]; //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZNK8JSObject8isNativeEv($30); //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $33=$obj; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$33; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $35=$2; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35+52)|0); //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37+144280)|0); //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38+56)|0); //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$2; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$3; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$scopeIndex; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=HEAP32[(($pobj)>>2)]; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAP32[(($prop)>>2)]; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$44; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=__ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi($39, $40, $41, $42, $43, $45, 0); //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($5)>>2)]=$46; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEEC1ERKS3_($entry, $5); //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$obj; //@line 5673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$47; //@line 5673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=1;
      __ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEED1Ev($entry); //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break;
    case 11: 
      var $49=$obj; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=__ZNK8JSObject9getParentEv($49); //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent=$50; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$parent; //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0)!=0; //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $54=$obj; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$54; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $56=$parent; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$56; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 5680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $58=$scopeIndex; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($58+1)|0); //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scopeIndex=$59; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      __label__ = 16; break; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $62=$obj; //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$2; //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$4; //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($62, $63, $64, $pobj1, $prop2); //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65)|0)!=0; //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($66) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=0; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $69=HEAP32[(($prop2)>>2)]; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69)|0)!=0; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      __label__ = 24; break; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $73=$obj; //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=__ZNK8JSObject9getParentEv($73); //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $parent3=$74; //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$parent3; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=(($75)|0)!=0; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($76) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      __label__ = 24; break; //@line 5698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $79=$parent3; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$79; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $81=$obj; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=__ZNK8JSObject9getParentEv($81); //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=(($82)|0)!=0; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($83) { __label__ = 16; break; } else { __label__ = 24; break; } //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $85=$obj; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$85; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 25; break; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $87=$1; //@line 5702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $87; //@line 5702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z21js_FindIdentifierBaseP9JSContextP8JSObjecti["X"]=1;

function __ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEEC1ERKS3_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 182 "./dist/include/mozilla/Util.h"
  __ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEEC2ERKS3_($4, $5); //@line 182 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEED2Ev($2); //@line 193 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($cx, $obj, $pobj, $shape, $getHow, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$pobj;
  $4=$shape;
  $5=$getHow;
  $6=$vp;
  var $7=$1; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$2; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$2; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$3; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$4; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=$5; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=$6; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $14=__ZL18js_NativeGetInlineP9JSContextP8JSObjectS2_S2_PKN2js5ShapeEjPN2JS5ValueE($7, $8, $9, $10, $11, $12, $13); //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $14; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL18js_NativeGetInlineP9JSContextP8JSObjectS2_S2_PKN2js5ShapeEjPN2JS5ValueE($cx, $receiver, $obj, $pobj, $shape, $getHow, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $slot;
      var $sample;
      var $pc=__stackBase__;
      var $script;
      var $code;
      $2=$cx;
      $3=$receiver;
      $4=$obj;
      $5=$pobj;
      $6=$shape;
      $7=$getHow;
      $8=$vp;
      var $9=$2; //@line 5708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$5; //@line 5708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject2391($9, $10); //@line 5708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$6; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11+24)|0); //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $slot=$13; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$slot; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=-1; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $17=$8; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$5; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$slot; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZNK8JSObject13nativeGetSlotEj($18, $19); //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$17; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$20; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $24=$8; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break;
    case 4: 
      var $26=$6; //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK2js5Shape16hasDefaultGetterEv($26); //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=1; //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $30=$6; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZNK2js5Shape8isMethodEv($30); //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $33=$7; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$33 & 2; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34)|0)!=0; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=1; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $38=$2; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38+60)|0); //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK2js12ContextStack13currentScriptEPPh($39, $pc); //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $script=$40; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$script; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=(($41)|0)!=0; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $44=$script; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=__ZN8JSScript11hasAnalysisEv($44); //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $47=$2; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=__ZNK9JSContext2fpEv($47); //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=__ZNK2js10StackFrame11hasImacropcEv($48); //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 15; break; } else { __label__ = 12; break; } //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $51=$script; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=__ZN8JSScript8analysisEv($51); //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=HEAP32[(($pc)>>2)]; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=__ZN2js7analyze14ScriptAnalysis9maybeCodeEPKh($52, $53); //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $code=$54; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$code; //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55)|0)!=0; //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($56) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $58=$code; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$58; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=(($59+1)|0); //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=HEAP8[($60)]; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$61 & -65; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$62 | 64; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($60)]=$63; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 14; break; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __label__ = 15; break; //@line 5738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $66=$2; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($66+52)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=(($68+144252)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $sample=$70; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=$6; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=$2; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=$3; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$4; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$5; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$8; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=__ZNK2js5Shape3getEP9JSContextP8JSObjectS4_S4_PN2JS5ValueE($71, $72, $73, $74, $75, $76); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=0; //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $80=$5; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$slot; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=__ZNK8JSObject12containsSlotEj($80, $81); //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 23; break; } //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $84=$2; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=(($84+52)|0); //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=(($86+144252)|0); //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$sample; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=(($88)|0)==(($89)|0); //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($90) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $92=$5; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$2; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$6; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=__ZN8JSObject14nativeContainsEP9JSContextRKN2js5ShapeE($92, $93, $94); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($95) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $97=$5; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=$2; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=$6; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=$8; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=__ZN8JSObject18methodWriteBarrierEP9JSContextRKN2js5ShapeERKN2JS5ValueE($97, $98, $99, $100); //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=(($101)|0)!=0; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($102) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      $1=0; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $105=$5; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$slot; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$8; //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE($105, $106, $107); //@line 5749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 5750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      $1=1; //@line 5752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $110=$1; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $110; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_NativeGetInlineP9JSContextP8JSObjectS2_S2_PKN2js5ShapeEjPN2JS5ValueE["X"]=1;

function __Z12js_NativeSetP9JSContextP8JSObjectPKN2js5ShapeEbbPN2JS5ValueE($cx, $obj, $shape, $added, $strict, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $slot;
      var $sample;
      $2=$cx;
      $3=$obj;
      $4=$shape;
      var $8=(($added)&1);
      $5=$8;
      var $9=(($strict)&1);
      $6=$9;
      $7=$vp;
      var $10=$2; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$3; //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject2391($10, $11); //@line 5765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$2; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$4; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14+12)|0); //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$7; //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($12, $13, $16, $17); //@line 5767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$4; //@line 5774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18+24)|0); //@line 5774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $slot=$20; //@line 5774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$slot; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21)|0)!=-1; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $24=$4; //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZNK2js5Shape16hasDefaultSetterEv($24); //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 5779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $27=$5; //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27) & 1); //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $30=$2; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$3; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$slot; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL37AbortRecordingIfUnexpectedGlobalWriteEP9JSContextP8JSObjectj($30, $31, $32); //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$3; //@line 5784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$2; //@line 5784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$slot; //@line 5784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$7; //@line 5784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__ZN8JSObject18methodWriteBarrierEP9JSContextjRKN2JS5ValueE($33, $34, $35, $36); //@line 5784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 5784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 5785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 7; break; //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $41=$3; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$slot; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$7; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE($41, $42, $43); //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 13; break; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $46=$4; //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=__ZNK2js5Shape14hasGetterValueEv($46); //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $49=$4; //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=__ZNK2js5Shape16hasDefaultSetterEv($49); //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $52=$2; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=__Z29js_ReportGetterOnlyAssignmentP9JSContext($52); //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$53; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      var $56=$2; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56+52)|0); //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($58+144252)|0); //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $sample=$60; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$4; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$2; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$3; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$6; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=(($64) & 1); //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$7; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=__ZNK2js5Shape3setEP9JSContextP8JSObjectbPN2JS5ValueE($61, $62, $63, $65, $66); //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $1=0; //@line 5803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $70=$4; //@line 5806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=(($70+24)|0); //@line 5806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 5806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $slot=$72; //@line 5806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=$3; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$slot; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=__ZNK8JSObject12containsSlotEj($73, $74); //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($75) { __label__ = 16; break; } else { __label__ = 23; break; } //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $77=$2; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=(($77+52)|0); //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=(($79+144252)|0); //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=$sample; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=(($81)|0)==(($82)|0); //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($83) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $85=$3; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=$2; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$4; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=__ZN8JSObject14nativeContainsEP9JSContextRKN2js5ShapeE($85, $86, $87); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($88) { __label__ = 18; break; } else { __label__ = 23; break; } //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $90=$5; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90) & 1); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($91) { __label__ = 22; break; } else { __label__ = 19; break; } //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $93=$2; //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$3; //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=$slot; //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL37AbortRecordingIfUnexpectedGlobalWriteEP9JSContextP8JSObjectj($93, $94, $95); //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=$3; //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=$2; //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=$4; //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=$7; //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=__ZN8JSObject18methodWriteBarrierEP9JSContextRKN2js5ShapeERKN2JS5ValueE($96, $97, $98, $99); //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=(($100)|0)!=0; //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($101) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      $1=0; //@line 5814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      __label__ = 22; break; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $105=$3; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$slot; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$7; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($105, $106, $107); //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 23; break; //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      $1=1; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 24; break; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $110=$1; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $110; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_NativeSetP9JSContextP8JSObjectPKN2js5ShapeEbbPN2JS5ValueE["X"]=1;

function __ZN8JSObject18methodWriteBarrierEP9JSContextjRKN2JS5ValueE($this, $cx, $slot, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $prev;
      $2=$this;
      $3=$cx;
      $4=$slot;
      $5=$v;
      var $6=$2;
      var $7=__ZN8JSObject25brandedOrHasMethodBarrierEv($6); //@line 324 "./jsobjinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 324 "./jsobjinlines.h"
    case 2: 
      var $9=$4; //@line 325 "./jsobjinlines.h"
      var $10=__ZNK8JSObject13nativeGetSlotEj($6, $9); //@line 325 "./jsobjinlines.h"
      $prev=$10; //@line 325 "./jsobjinlines.h"
      var $11=$prev; //@line 327 "./jsobjinlines.h"
      var $12=$5; //@line 327 "./jsobjinlines.h"
      var $13=__ZL18ChangesMethodValueRKN2JS5ValueES2_($11, $12); //@line 327 "./jsobjinlines.h"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 327 "./jsobjinlines.h"
    case 3: 
      var $15=$3; //@line 328 "./jsobjinlines.h"
      var $16=$4; //@line 328 "./jsobjinlines.h"
      var $17=__ZN8JSObject17methodShapeChangeEP9JSContextj($6, $15, $16); //@line 328 "./jsobjinlines.h"
      $1=$17; //@line 328 "./jsobjinlines.h"
      __label__ = 6; break; //@line 328 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 329 "./jsobjinlines.h"
    case 5: 
      $1=1; //@line 330 "./jsobjinlines.h"
      __label__ = 6; break; //@line 330 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 331 "./jsobjinlines.h"
      ;
      return $21; //@line 331 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z29js_ReportGetterOnlyAssignmentP9JSContext($cx) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $3=_JS_ReportErrorFlagsAndNumber($2, 13, 2, 0, 160, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $3; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZNK2js5Shape3setEP9JSContextP8JSObjectbPN2JS5ValueE($this, $cx, $obj, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $fval=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$obj;
      var $7=(($strict)&1);
      $5=$7;
      $6=$vp;
      var $8=$2;
      var $9=(($8+28)|0); //@line 301 "./jsscopeinlines.h"
      var $10=HEAPU8[($9)]; //@line 301 "./jsscopeinlines.h"
      var $11=(($10)&255); //@line 301 "./jsscopeinlines.h"
      var $12=$11 & 32; //@line 301 "./jsscopeinlines.h"
      var $13=(($12)|0)!=0; //@line 301 "./jsscopeinlines.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 301 "./jsscopeinlines.h"
    case 2: 
      __ZNK2js5Shape11setterValueEv($fval, $8); //@line 302 "./jsscopeinlines.h"
      var $15=$3; //@line 303 "./jsscopeinlines.h"
      var $16=$4; //@line 303 "./jsscopeinlines.h"
      var $17=$6; //@line 303 "./jsscopeinlines.h"
      var $18=$6; //@line 303 "./jsscopeinlines.h"
      var $19=__ZN2js20InvokeGetterOrSetterEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_($15, $16, $fval, 1, $17, $18); //@line 303 "./jsscopeinlines.h"
      $1=$19; //@line 303 "./jsscopeinlines.h"
      __label__ = 11; break; //@line 303 "./jsscopeinlines.h"
    case 3: 
      var $21=(($8+28)|0); //@line 306 "./jsscopeinlines.h"
      var $22=HEAPU8[($21)]; //@line 306 "./jsscopeinlines.h"
      var $23=(($22)&255); //@line 306 "./jsscopeinlines.h"
      var $24=$23 & 16; //@line 306 "./jsscopeinlines.h"
      var $25=(($24)|0)!=0; //@line 306 "./jsscopeinlines.h"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 306 "./jsscopeinlines.h"
    case 4: 
      var $27=$3; //@line 307 "./jsscopeinlines.h"
      var $28=__Z29js_ReportGetterOnlyAssignmentP9JSContext($27); //@line 307 "./jsscopeinlines.h"
      var $29=(($28)|0)!=0; //@line 307 "./jsscopeinlines.h"
      $1=$29; //@line 307 "./jsscopeinlines.h"
      __label__ = 11; break; //@line 307 "./jsscopeinlines.h"
    case 5: 
      var $31=$4; //@line 310 "./jsscopeinlines.h"
      var $32=__ZNK8JSObject6isWithEv($31); //@line 310 "./jsscopeinlines.h"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 310 "./jsscopeinlines.h"
    case 6: 
      var $34=$3; //@line 311 "./jsscopeinlines.h"
      var $35=$4; //@line 311 "./jsscopeinlines.h"
      var $36=__Z19js_UnwrapWithObjectP9JSContextP8JSObject($34, $35); //@line 311 "./jsscopeinlines.h"
      $4=$36; //@line 311 "./jsscopeinlines.h"
      __label__ = 7; break; //@line 311 "./jsscopeinlines.h"
    case 7: 
      var $38=$3; //@line 312 "./jsscopeinlines.h"
      var $39=__ZNK2js5Shape8setterOpEv($8); //@line 312 "./jsscopeinlines.h"
      var $40=$4; //@line 312 "./jsscopeinlines.h"
      var $41=__ZNK2js5Shape10hasShortIDEv($8); //@line 312 "./jsscopeinlines.h"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 312 "./jsscopeinlines.h"
    case 8: 
      var $43=(($8+30)|0); //@line 312 "./jsscopeinlines.h"
      var $44=HEAP16[(($43)>>1)]; //@line 312 "./jsscopeinlines.h"
      var $45=(($44 << 16) >> 16); //@line 312 "./jsscopeinlines.h"
      var $46=_INT_TO_JSID2431($45); //@line 312 "./jsscopeinlines.h"
      var $51 = $46;__label__ = 10; break; //@line 312 "./jsscopeinlines.h"
    case 9: 
      var $48=(($8+12)|0); //@line 312 "./jsscopeinlines.h"
      var $49=HEAP32[(($48)>>2)]; //@line 312 "./jsscopeinlines.h"
      var $51 = $49;__label__ = 10; break; //@line 312 "./jsscopeinlines.h"
    case 10: 
      var $51; //@line 312 "./jsscopeinlines.h"
      var $52=$5; //@line 312 "./jsscopeinlines.h"
      var $53=(($52) & 1); //@line 312 "./jsscopeinlines.h"
      var $54=(($53)&1); //@line 312 "./jsscopeinlines.h"
      var $55=$6; //@line 312 "./jsscopeinlines.h"
      var $56=__ZN2js22CallJSPropertyOpSetterEP9JSContextPFiS1_P8JSObjectiiPN2JS5ValueEES3_iiS6_($38, $39, $40, $51, $54, $55); //@line 312 "./jsscopeinlines.h"
      $1=$56; //@line 312 "./jsscopeinlines.h"
      __label__ = 11; break; //@line 312 "./jsscopeinlines.h"
    case 11: 
      var $58=$1; //@line 313 "./jsscopeinlines.h"
      STACKTOP = __stackBase__;
      return $58; //@line 313 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js5Shape3setEP9JSContextP8JSObjectbPN2JS5ValueE["X"]=1;

function __ZN8JSObject14nativeContainsEP9JSContextRKN2js5ShapeE($this, $cx, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$shape;
  var $4=$1;
  var $5=$2; //@line 1042 "./jsobjinlines.h"
  var $6=$3; //@line 1042 "./jsobjinlines.h"
  var $7=(($6+12)|0); //@line 1042 "./jsobjinlines.h"
  var $8=HEAP32[(($7)>>2)]; //@line 1042 "./jsobjinlines.h"
  var $9=__ZN8JSObject12nativeLookupEP9JSContexti($4, $5, $8); //@line 1042 "./jsobjinlines.h"
  var $10=$3; //@line 1042 "./jsobjinlines.h"
  var $11=(($9)|0)==(($10)|0); //@line 1042 "./jsobjinlines.h"
  ;
  return $11; //@line 1042 "./jsobjinlines.h"
}


function __Z20js_GetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueE($cx, $obj, $id, $getHow, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$getHow;
  $5=$vp;
  var $6=$1; //@line 5930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$2; //@line 5930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$2; //@line 5930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$3; //@line 5930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$4; //@line 5930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$5; //@line 5930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=__ZL26js_GetPropertyHelperInlineP9JSContextP8JSObjectS2_ijPN2JS5ValueE($6, $7, $8, $9, $10, $11); //@line 5930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $12; //@line 5930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL26js_GetPropertyHelperInlineP9JSContextP8JSObjectS2_ijPN2JS5ValueE($cx, $obj, $receiver, $id, $getHow, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $aobj;
      var $obj2=__stackBase__;
      var $prop=__stackBase__+4;
      var $shape;
      var $pc;
      var $op;
      var $flags;
      var $8=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$getHow;
      $7=$vp;
      var $9=$5; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__Z22js_CheckForStringIndexi($9); //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=$10; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$3; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__Z23js_GetProtoIfDenseArrayP8JSObject($11); //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $aobj=$12; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$2; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$aobj; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$5; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$2; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+208)|0); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZL29LookupPropertyWithFlagsInlineP9JSContextP8JSObjectijPS2_PP10JSProperty($13, $14, $15, $18, $obj2, $prop); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $22=HEAP32[(($prop)>>2)]; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)|0)!=0; //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 34; break; } else { __label__ = 4; break; } //@line 5840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $25=$7; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($25); //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$2; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$3; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK8JSObject8getClassEv($27); //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+16)|0); //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$29; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$3; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$5; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$7; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=__ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_($26, $31, $32, $33, $34); //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 5844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $38=$7; //@line 5849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=__ZNK2JS5Value11isUndefinedEv($38); //@line 5849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $41=$2; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$3; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$5; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=$7; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($41, $42, $43, $44); //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $46=$7; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=__ZNK2JS5Value11isUndefinedEv($46); //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 33; break; } //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $49=$2; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=__Z23js_GetCurrentBytecodePCP9JSContext($49); //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $pc=$50; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=(($50)|0)!=0; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 33; break; } //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $53=$pc; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=HEAPU8[($53)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($54)&255); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $op=$55; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=$op; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)|0)==83; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $59=$2; //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$2; //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=__ZNK9JSContext2fpEv($60); //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=__ZNK2js10StackFrame6scriptEv($61); //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$pc; //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=_JS_GetTrapOpcode($59, $62, $63); //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $op=$64; //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 12; break; //@line 5865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $66=$op; //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($66)|0)==198; //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      $flags=0; //@line 5867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 30; break; //@line 5868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $70=$2; //@line 5869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=__ZNK9JSContext15hasStrictOptionEv($70); //@line 5869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($71) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 5869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $73=$2; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=(($73+60)|0); //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=__ZNK2js12ContextStack13currentScriptEPPh($74, 0); //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$75; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=(($76+37)|0); //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=HEAP8[($77)]; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=$78 & 1; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=(($79) & 1); //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $82=$op; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=(($82)|0)!=53; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($83) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $85=$op; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=(($85)|0)!=55; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($86) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $88=$2; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=__Z22js_CurrentPCIsInImacroP9JSContext($88); //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($89) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      $1=1; //@line 5873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $92=$5; //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$2; //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=(($93+52)|0); //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=(($95+209948)|0); //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=(($96+296)|0); //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=$98; //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=__ZL12JSID_IS_ATOMiP6JSAtom2491($92, $99); //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=(($100)|0)!=0; //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($101) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      $1=1; //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $104=$2; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=(($104+208)|0); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=(($106)|0)==65535; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($107) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $109=$2; //@line 5885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js10LeaveTraceEP9JSContext($109); //@line 5885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=$op; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=((_js_CodeSpec+($110<<3))|0); //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=(($111)|0); //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=HEAP8[($112)]; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=(($113 << 24) >> 24); //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=$pc; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=(($115+$114)|0); //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $pc=$116; //@line 5886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=$2; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=$pc; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=__Z9DetectingP9JSContextPh($117, $118); //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=(($119)|0)!=0; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($120) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      $1=1; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      __label__ = 29; break; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $124=$2; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=(($124+208)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=$126 & 4; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $128=(($127)|0)!=0; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($128) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      $1=1; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      $flags=5; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=$2; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=(($132+60)|0); //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=__ZNK2js12ContextStack13currentScriptEPPh($133, 0); //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=$134; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=(($135+37)|0); //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=HEAP8[($136)]; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=$137 & -2; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=$138 | 1; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($136)]=$139; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 30; break;
    case 30: 
      var $141=$2; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=$flags; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $143=$5; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL9IdToValueEi2416($8, $143); //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $144=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($141, $142, 162, 0, $8, 0, 0, 0); //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $145=(($144)|0)!=0; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($145) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      $1=0; //@line 5901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      __label__ = 33; break; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      $1=1; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $150=HEAP32[(($obj2)>>2)]; //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $151=__ZNK8JSObject8isNativeEv($150); //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($151) { __label__ = 39; break; } else { __label__ = 35; break; } //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $153=HEAP32[(($obj2)>>2)]; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $154=__ZNK8JSObject7isProxyEv($153); //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($154) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $156=$2; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $157=HEAP32[(($obj2)>>2)]; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=$4; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=$5; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=$7; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=__ZN2js7JSProxy3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE($156, $157, $158, $159, $160); //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=(($161)&1); //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170 = $162;__label__ = 38; break; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      var $164=HEAP32[(($obj2)>>2)]; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=$2; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=$5; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $167=$7; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $168=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($164, $165, $166, $167); //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170 = $168;__label__ = 38; break; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      var $170; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$170; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      var $172=HEAP32[(($prop)>>2)]; //@line 5913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $173=$172; //@line 5913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$173; //@line 5913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $174=$6; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $175=$174 & 1; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $176=(($175)|0)!=0; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($176) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      var $178=$2; //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $179=(($178+52)|0); //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $181=(($180+144280)|0); //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $182=(($181+56)|0); //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $183=$2; //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $184=$aobj; //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $185=HEAP32[(($obj2)>>2)]; //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $186=$shape; //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=__ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi($182, $183, $184, 0, $185, $186, 0); //@line 5917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      var $189=$2; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $190=$4; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $191=$3; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $192=HEAP32[(($obj2)>>2)]; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $193=$shape; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $194=$6; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $195=$7; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $196=__ZL18js_NativeGetInlineP9JSContextP8JSObjectS2_S2_PKN2js5ShapeEjPN2JS5ValueE($189, $190, $191, $192, $193, $194, $195); //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $197=(($196)|0)!=0; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($197) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      $1=0; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 43: 
      $1=1; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 44; break; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 44: 
      var $201=$1; //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $201; //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL26js_GetPropertyHelperInlineP9JSContextP8JSObjectS2_ijPN2JS5ValueE["X"]=1;

function __Z14js_GetPropertyP9JSContextP8JSObjectS2_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$id;
  $5=$vp;
  var $6=$1; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$2; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$3; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$4; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$5; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=__ZL26js_GetPropertyHelperInlineP9JSContextP8JSObjectS2_ijPN2JS5ValueE($6, $7, $8, $9, 0, $10); //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $11; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z13js_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$2; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$5; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$4; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($id)>>2)]; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$6; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZL26js_GetPropertyHelperInlineP9JSContextP8JSObjectS2_ijPN2JS5ValueE($12, $13, $14, $15, 0, $16); //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$17; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$1; //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18GetPropertyDefaultEP9JSContextP8JSObjectiRKN2JS5ValueEPS5_($cx, $obj, $id, $def, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $prop=__stackBase__;
      var $obj2=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$def;
      $6=$vp;
      var $7=$2; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($7, $8, $9, 1, $obj2, $prop); //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=HEAP32[(($prop)>>2)]; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$6; //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$5; //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$16; //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$17; //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $21=$2; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($obj2)>>2)]; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$4; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$6; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__Z14js_GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($21, $22, $23, $24); //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$25; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $27=$1; //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($cx, $obj, $id, $getHow, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $rf=__stackBase__;
      var $op;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$getHow;
      $6=$vp;
      var $8=$2; //@line 5970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN18JSAutoResolveFlagsC1EP9JSContextj($rf, $8, 1); //@line 5970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$3; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK8JSObject6getOpsEv($9); //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10+32)|0); //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $op=$12; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$op; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $16=$2; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$4; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$5; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$6; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__Z20js_GetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueE($16, $17, $18, $19, $20); //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$21; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __label__ = 6; break; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $23=$3; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZNK8JSObject5isXMLEv($23); //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $26=$2; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$3; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$4; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$6; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__Z15js_GetXMLMethodP9JSContextP8JSObjectiPN2JS5ValueE($26, $27, $28, $29); //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$30; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __label__ = 6; break; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $32=$op; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$2; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$3; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$3; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$4; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$6; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=FUNCTION_TABLE[$32]($33, $34, $35, $36, $37); //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$38; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $7=1;
      __label__ = 6; break; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __ZN18JSAutoResolveFlagsD1Ev($rf); //@line 5985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$1; //@line 5985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 5985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE["X"]=1;

function __Z31js_CheckUndeclaredVarAssignmentP9JSContextP8JSString($cx, $propname) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fp;
      var $bytes=__stackBase__;
      var $4;
      $2=$cx;
      $3=$propname;
      var $5=$2; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind2415($5, 1); //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$6; //@line 5990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$fp; //@line 5991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0)!=0; //@line 5991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=1; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$fp; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK2js10StackFrame13isScriptFrameEv($11); //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $14=$fp; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZNK2js10StackFrame6scriptEv($14); //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$15; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16+36)|0); //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=HEAPU8[($17)]; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18)&255) >>> 3; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$19 & 1; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20) & 1); //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $23=$2; //@line 5996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZNK9JSContext15hasStrictOptionEv($23); //@line 5996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=1; //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $27=$2; //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$3; //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($bytes, $27, $28); //@line 6000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZNK16JSAutoByteStringntEv($bytes); //@line 6001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { var $36 = 0;__label__ = 9; break; } else { __label__ = 8; break; } //@line 6001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $31=$2; //@line 6002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=_JS_ReportErrorFlagsAndNumber($31, 13, 2, 0, 156, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$32,tempInt)); //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)|0)!=0; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36 = $34;__label__ = 9; break;
    case 9: 
      var $36;
      $1=$36;
      $4=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break;
    case 10: 
      var $38=$1; //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z31js_CheckUndeclaredVarAssignmentP9JSContextP8JSString["X"]=1;

function __ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind2415($cx, $expand) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$expand;
  var $3=$1; //@line 2346 "./jscntxt.h"
  __ZN2js10LeaveTraceEP9JSContext($3); //@line 2346 "./jscntxt.h"
  var $4=$1; //@line 2353 "./jscntxt.h"
  var $5=__ZNK9JSContext7maybefpEv($4); //@line 2353 "./jscntxt.h"
  ;
  return $5; //@line 2353 "./jscntxt.h"
}


function __ZN8JSObject14reportReadOnlyEP9JSContextij($this, $cx, $id, $report) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$id;
  $4=$report;
  var $6=$1;
  var $7=$2; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$4; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$3; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __ZN2jsL9IdToValueEi2416($5, $9); //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($7, $8, 19, 0, $5, 0, 0, 0); //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=(($10)|0)!=0; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $11; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN2jsL9IdToValueEi2416($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING2486($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING2421($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString2480($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT2487($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT2488($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi2332($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT2489($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT2490($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject2354($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv2280($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject21reportNotConfigurableEP9JSContextij($this, $cx, $id, $report) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$id;
  $4=$report;
  var $6=$1;
  var $7=$2; //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$4; //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$3; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __ZN2jsL9IdToValueEi2416($5, $9); //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($7, $8, 21, 0, $5, 0, 0, 0); //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=(($10)|0)!=0; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $11; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN8JSObject19reportNotExtensibleEP9JSContextj($this, $cx, $report) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$report;
  var $5=$1;
  var $6=$2; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$3; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __ZN2JSL11ObjectValueER8JSObject2354($4, $5); //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($6, $7, 239, 0, $4, 0, 0, 0); //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=(($8)|0)!=0; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return $9; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN8JSObject10callMethodEP9JSContextijPN2JS5ValueES4_($this, $cx, $id, $argc, $argv, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $fval=__stackBase__;
      var $7=__stackBase__+8;
      $1=$this;
      $2=$cx;
      $3=$id;
      $4=$argc;
      $5=$argv;
      $6=$vp;
      var $8=$1;
      var $9=$2; //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$3; //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($9, $8, $10, 2, $fval); //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 2; break; } else { var $20 = 0;__label__ = 3; break; } //@line 6037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $14=$2; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($7, $8); //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$4; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$5; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$6; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($14, $7, $fval, $15, $16, $17); //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20 = $18;__label__ = 3; break;
    case 3: 
      var $20;
      STACKTOP = __stackBase__;
      return $20; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_STRING2421($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZeqRK8JSObjectS1_2422($lhs, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$lhs;
  $2=$rhs;
  var $3=$1; //@line 1596 "./jsobj.h"
  var $4=$2; //@line 1596 "./jsobj.h"
  var $5=(($3)|0)==(($4)|0); //@line 1596 "./jsobj.h"
  ;
  return $5; //@line 1596 "./jsobj.h"
}


function __ZNK2js5Shape10hasShortIDEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+29)|0); //@line 538 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 538 "./jsscope.h"
  var $5=(($4)&255); //@line 538 "./jsscope.h"
  var $6=$5 & 64; //@line 538 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 538 "./jsscope.h"
  ;
  return $7; //@line 538 "./jsscope.h"
}


function __ZN2js10CallSetterEP9JSContextP8JSObjectiPFiS1_S3_iiPN2JS5ValueEEjjiS6_($cx, $obj, $id, $op, $attrs, $shortid, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$op;
      $6=$attrs;
      $7=$shortid;
      $8=$strict;
      $9=$vp;
      var $11=$6; //@line 364 "./jscntxtinlines.h"
      var $12=$11 & 32; //@line 364 "./jscntxtinlines.h"
      var $13=(($12)|0)!=0; //@line 364 "./jscntxtinlines.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 364 "./jscntxtinlines.h"
    case 2: 
      var $15=$2; //@line 365 "./jscntxtinlines.h"
      var $16=$3; //@line 365 "./jscntxtinlines.h"
      var $17=$5; //@line 365 "./jscntxtinlines.h"
      __ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE($10, $17); //@line 365 "./jscntxtinlines.h"
      var $18=$9; //@line 365 "./jscntxtinlines.h"
      var $19=$9; //@line 365 "./jscntxtinlines.h"
      var $20=__ZN2js20InvokeGetterOrSetterEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_($15, $16, $10, 1, $18, $19); //@line 365 "./jscntxtinlines.h"
      $1=$20; //@line 365 "./jscntxtinlines.h"
      __label__ = 8; break; //@line 365 "./jscntxtinlines.h"
    case 3: 
      var $22=$6; //@line 367 "./jscntxtinlines.h"
      var $23=$22 & 16; //@line 367 "./jscntxtinlines.h"
      var $24=(($23)|0)!=0; //@line 367 "./jscntxtinlines.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 367 "./jscntxtinlines.h"
    case 4: 
      var $26=$2; //@line 368 "./jscntxtinlines.h"
      var $27=__Z29js_ReportGetterOnlyAssignmentP9JSContext($26); //@line 368 "./jscntxtinlines.h"
      var $28=(($27)|0)!=0; //@line 368 "./jscntxtinlines.h"
      $1=$28; //@line 368 "./jscntxtinlines.h"
      __label__ = 8; break; //@line 368 "./jscntxtinlines.h"
    case 5: 
      var $30=$6; //@line 370 "./jscntxtinlines.h"
      var $31=$30 & 256; //@line 370 "./jscntxtinlines.h"
      var $32=(($31)|0)!=0; //@line 370 "./jscntxtinlines.h"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 370 "./jscntxtinlines.h"
    case 6: 
      var $34=$7; //@line 371 "./jscntxtinlines.h"
      var $35=_INT_TO_JSID2431($34); //@line 371 "./jscntxtinlines.h"
      $4=$35; //@line 371 "./jscntxtinlines.h"
      __label__ = 7; break; //@line 371 "./jscntxtinlines.h"
    case 7: 
      var $37=$2; //@line 372 "./jscntxtinlines.h"
      var $38=$5; //@line 372 "./jscntxtinlines.h"
      var $39=$3; //@line 372 "./jscntxtinlines.h"
      var $40=$4; //@line 372 "./jscntxtinlines.h"
      var $41=$8; //@line 372 "./jscntxtinlines.h"
      var $42=$9; //@line 372 "./jscntxtinlines.h"
      var $43=__ZN2js22CallJSPropertyOpSetterEP9JSContextPFiS1_P8JSObjectiiPN2JS5ValueEES3_iiS6_($37, $38, $39, $40, $41, $42); //@line 372 "./jscntxtinlines.h"
      $1=$43; //@line 372 "./jscntxtinlines.h"
      __label__ = 8; break; //@line 372 "./jscntxtinlines.h"
    case 8: 
      var $45=$1; //@line 373 "./jscntxtinlines.h"
      STACKTOP = __stackBase__;
      return $45; //@line 373 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10CallSetterEP9JSContextP8JSObjectiPFiS1_S3_iiPN2JS5ValueEEjjiS6_["X"]=1;

function __ZNK2js5Shape10shadowableEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js5Shape7hasSlotEv($2); //@line 613 "./jsscope.h"
      if ($3) { var $11 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 613 "./jsscope.h"
    case 2: 
      var $5=(($2+28)|0); //@line 613 "./jsscope.h"
      var $6=HEAPU8[($5)]; //@line 613 "./jsscope.h"
      var $7=(($6)&255); //@line 613 "./jsscope.h"
      var $8=$7 & 128; //@line 613 "./jsscope.h"
      var $9=(($8)|0)!=0; //@line 613 "./jsscope.h"
      var $11 = $9;__label__ = 3; break; //@line 613 "./jsscope.h"
    case 3: 
      var $11;
      ;
      return $11; //@line 613 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL25CloneFunctionForSetMethodP9JSContextPN2JS5ValueE($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $funobj;
      var $fun;
      $2=$cx;
      $3=$vp;
      var $4=$3; //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=__ZNK2JS5Value8toObjectEv($4); //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $funobj=$5; //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$funobj; //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK8JSObject18getFunctionPrivateEv($6); //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fun=$7; //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$fun; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$8; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$funobj; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($9)|0)==(($10)|0); //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$2; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$fun; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__Z19CloneFunctionObjectP9JSContextP10JSFunction($13, $14); //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $funobj=$15; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$funobj; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16)|0)!=0; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $20=$3; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$funobj; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($20, $21); //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=1; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $24=$1; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $24; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($cx, $obj, $id, $defineHow, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $shape;
      var $attrs;
      var $flags;
      var $shortid;
      var $clasp;
      var $getter;
      var $setter;
      var $added;
      var $wpmap;
      var $pd=__stackBase__+8;
      var $8;
      var $identical;
      var $funobj;
      var $fun;
      var $9=__stackBase__+56;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$defineHow;
      $6=$vp;
      $7=$strict;
      var $10=$5; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$10 & 1; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      __label__ = 3; break; //@line 6076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $15=$4; //@line 6079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__Z22js_CheckForStringIndexi($15); //@line 6079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$16; //@line 6079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK8JSObject7watchedEv($17); //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $20=$2; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20+56)|0); //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22+1984)|0); //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $wpmap=$24; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$wpmap; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25)|0)!=0; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $28=$wpmap; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$3; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$4; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$6; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZN2js13WatchpointMap17triggerWatchpointEP9JSContextP8JSObjectiPN2JS5ValueE($28, $29, $30, $31, $32); //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $36=$5; //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$36 & -5; //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=$37; //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $39=$2; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=$3; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$4; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$2; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42+208)|0); //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($39, $40, $41, $44, $pobj, $prop); //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      $1=0; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $48=HEAP32[(($prop)>>2)]; //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)|0)!=0; //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 33; break; } //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $51=HEAP32[(($pobj)>>2)]; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=__ZNK8JSObject8isNativeEv($51); //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 32; break; } else { __label__ = 12; break; } //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $54=HEAP32[(($pobj)>>2)]; //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=__ZNK8JSObject7isProxyEv($54); //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 31; break; } //@line 6095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $57=$2; //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($pd, $57); //@line 6096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$2; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=HEAP32[(($pobj)>>2)]; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$4; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=(($pd)|0)==0; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $63=$pd; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63+16)|0); //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=$64; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68 = $65;__label__ = 16; break; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $68 = 0;__label__ = 16; break; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $68; //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=__ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($58, $59, $60, 1, $68); //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($69) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 6097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=0; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 29; break; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $72=$pd; //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=(($72+16)|0); //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$73; //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($74+4)|0); //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=$76 & 192; //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=(($77)|0)==64; //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $80=$pd; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=(($80+16)|0); //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=$81; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=(($82+12)|0); //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=(($84)|0)!=0; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($85) { __label__ = 20; break; } else { var $109 = 1;__label__ = 21; break; } //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $87=$2; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$3; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$4; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$pd; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90+16)|0); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=$91; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($92+12)|0); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=$pd; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=(($95+16)|0); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=$96; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=(($97+4)|0); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=$pd; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=(($100+16)|0); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$101; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=(($102+24)|0); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$7; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$6; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=__ZN2js10CallSetterEP9JSContextP8JSObjectiPFiS1_S3_iiPN2JS5ValueEEjjiS6_($87, $88, $89, $94, $99, $104, $105, $106); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109 = $107;__label__ = 21; break; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $109;
      var $110=(($109)&1); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$110; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 29; break; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $112=$pd; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=(($112+16)|0); //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=$113; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=(($114+4)|0); //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=$116 & 2; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=(($117)|0)!=0; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($118) { __label__ = 23; break; } else { __label__ = 28; break; } //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $120=$7; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=(($120)|0)!=0; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($121) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $123=$3; //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=$2; //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=$4; //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=__ZN8JSObject14reportReadOnlyEP9JSContextij($123, $124, $125, 0); //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=(($126)&1); //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$127; //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 29; break; //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $129=$2; //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=__ZNK9JSContext15hasStrictOptionEv($129); //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($130) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $132=$3; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=$2; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=$4; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=__ZN8JSObject14reportReadOnlyEP9JSContextij($132, $133, $134, 5); //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=(($135)&1); //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$136; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 29; break; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      $1=1; //@line 6110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 29; break; //@line 6110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      $8=0; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 29; break; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($pd); //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 30; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 108; break;
      }
      else {
      __label__ = 109; break;
      }
      
    case 30: 
      __label__ = 31; break; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      HEAP32[(($prop)>>2)]=0; //@line 6114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 32; break; //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      __label__ = 38; break; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $144=$3; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $145=__ZNK8JSObject9getParentEv($144); //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $146=(($145)|0)!=0; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($146) { __label__ = 37; break; } else { __label__ = 34; break; } //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $148=$5; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $149=$148 & 8; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $150=(($149)|0)!=0; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($150) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $152=$2; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=$4; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $154=_JSID_TO_STRING2421($153); //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $155=__Z31js_CheckUndeclaredVarAssignmentP9JSContextP8JSString($152, $154); //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($155) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      $1=0; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      __label__ = 38; break;
    case 38: 
      var $159=HEAP32[(($prop)>>2)]; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=$159; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$160; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $attrs=1; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=0; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shortid=0; //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=$3; //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=__ZNK8JSObject8getClassEv($161); //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$162; //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $163=$clasp; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $164=(($163+16)|0); //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=$164; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $getter=$166; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $167=$clasp; //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $168=(($167+20)|0); //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $setter=$169; //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170=$shape; //@line 6139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $171=(($170)|0)!=0; //@line 6139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($171) { __label__ = 39; break; } else { __label__ = 82; break; } //@line 6139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      var $173=$shape; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $174=__ZNK2js5Shape20isAccessorDescriptorEv($173); //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($174) { __label__ = 40; break; } else { __label__ = 43; break; } //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 40: 
      var $176=$shape; //@line 6142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $177=__ZNK2js5Shape16hasDefaultSetterEv($176); //@line 6142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($177) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 6142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 41: 
      var $179=$2; //@line 6143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $180=__Z29js_ReportGetterOnlyAssignmentP9JSContext($179); //@line 6143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$180; //@line 6143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 42: 
      __label__ = 50; break; //@line 6144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 43: 
      var $183=$shape; //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $184=__ZNK2js5Shape8writableEv($183); //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($184) { __label__ = 49; break; } else { __label__ = 44; break; } //@line 6147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 44: 
      var $186=$7; //@line 6151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $187=(($186)|0)!=0; //@line 6151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($187) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 6151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 45: 
      var $189=$3; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $190=$2; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $191=$4; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $192=__ZN8JSObject14reportReadOnlyEP9JSContextij($189, $190, $191, 0); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $193=(($192)&1); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$193; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 46: 
      var $195=$2; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $196=__ZNK9JSContext15hasStrictOptionEv($195); //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($196) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 47: 
      var $198=$3; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $199=$2; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $200=$4; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $201=__ZN8JSObject14reportReadOnlyEP9JSContextij($198, $199, $200, 5); //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $202=(($201)&1); //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$202; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 48: 
      $1=1; //@line 6155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 49: 
      __label__ = 50; break;
    case 50: 
      var $206=$shape; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $207=__ZNK2js5Shape10attributesEv($206); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $208=(($207)&255); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $attrs=$208; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $209=HEAP32[(($pobj)>>2)]; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $210=$3; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $211=(($209)|0)!=(($210)|0); //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($211) { __label__ = 51; break; } else { __label__ = 68; break; } //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 51: 
      var $213=$shape; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $214=__ZNK2js5Shape10shadowableEv($213); //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($214) { __label__ = 62; break; } else { __label__ = 52; break; } //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 52: 
      var $216=$5; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $217=$216 & 4; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $218=(($217)|0)!=0; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($218) { __label__ = 53; break; } else { __label__ = 56; break; } //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 53: 
      var $220=$2; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $221=$6; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $222=__ZL25CloneFunctionForSetMethodP9JSContextPN2JS5ValueE($220, $221); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($222) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 54: 
      $1=0; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 55: 
      __label__ = 56; break; //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 56: 
      var $226=$5; //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $227=$226 & 1; //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $228=(($227)|0)!=0; //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($228) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 57: 
      var $230=$2; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $231=(($230+52)|0); //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $233=(($232+144280)|0); //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $234=(($233+56)|0); //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $235=$2; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $236=$3; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $237=HEAP32[(($pobj)>>2)]; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $238=$shape; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $239=__ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi($234, $235, $236, 0, $237, $238, 0); //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 58; break; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 58: 
      var $241=$shape; //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $242=__ZNK2js5Shape16hasDefaultSetterEv($241); //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($242) { __label__ = 59; break; } else { __label__ = 61; break; } //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 59: 
      var $244=$shape; //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $245=__ZNK2js5Shape14hasGetterValueEv($244); //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($245) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 60: 
      $1=1; //@line 6175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 61: 
      var $248=$shape; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $249=$2; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $250=$3; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $251=$7; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $252=(($251)|0)!=0; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $253=$6; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $254=__ZNK2js5Shape3setEP9JSContextP8JSObjectbPN2JS5ValueE($248, $249, $250, $252, $253); //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $255=(($254)&1); //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$255; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 62: 
      var $257=$shape; //@line 6195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $258=__ZNK2js5Shape7hasSlotEv($257); //@line 6195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($258) { __label__ = 66; break; } else { __label__ = 63; break; } //@line 6195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 63: 
      var $260=$5; //@line 6196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $261=$260 & -5; //@line 6196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $5=$261; //@line 6196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $262=$shape; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $263=__ZNK2js5Shape10hasShortIDEv($262); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($263) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 64: 
      $flags=64; //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $265=$shape; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $266=(($265+30)|0); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $267=HEAP16[(($266)>>1)]; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $268=(($267 << 16) >> 16); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shortid=$268; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 65; break; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 65: 
      var $270=$attrs; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $271=$270 & -65; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $attrs=$271; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $272=$shape; //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $273=__ZNK2js5Shape6getterEv($272); //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $getter=$273; //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $274=$shape; //@line 6203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $275=__ZNK2js5Shape6setterEv($274); //@line 6203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $setter=$275; //@line 6203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 67; break; //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 66: 
      $attrs=1; //@line 6206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 67; break;
    case 67: 
      $shape=0; //@line 6213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 68; break; //@line 6214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 68: 
      var $279=$shape; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $280=(($279)|0)!=0; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($280) { __label__ = 69; break; } else { __label__ = 81; break; } //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 69: 
      var $282=$5; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $283=$282 & 4; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $284=(($283)|0)!=0; //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($284) { __label__ = 70; break; } else { __label__ = 81; break; } //@line 6219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 70: 
      var $286=$shape; //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $287=__ZNK2js5Shape8isMethodEv($286); //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($287) { __label__ = 71; break; } else { var $295 = 0;__label__ = 72; break; } //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 71: 
      var $289=$shape; //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $290=__ZNK2js5Shape12methodObjectEv($289); //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $291=$6; //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $292=__ZNK2JS5Value8toObjectEv($291); //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $293=__ZeqRK8JSObjectS1_2422($290, $292); //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $295 = $293;__label__ = 72; break;
    case 72: 
      var $295;
      var $296=(($295)&1);
      $identical=$296;
      var $297=$identical; //@line 6228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $298=(($297) & 1); //@line 6228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($298) { __label__ = 78; break; } else { __label__ = 73; break; } //@line 6228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 73: 
      var $300=$3; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $301=$2; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $302=$shape; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $303=__ZN8JSObject17methodShapeChangeEP9JSContextRKN2js5ShapeE($300, $301, $302); //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$303; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $304=$shape; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $305=(($304)|0)!=0; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($305) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 74: 
      $1=0; //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 75: 
      var $308=$2; //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $309=$6; //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $310=__ZL25CloneFunctionForSetMethodP9JSContextPN2JS5ValueE($308, $309); //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($310) { __label__ = 77; break; } else { __label__ = 76; break; } //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 76: 
      $1=0; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 77: 
      __label__ = 78; break; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 78: 
      var $314=$identical; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $315=(($314) & 1); //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($315) { var $326 = 1;__label__ = 80; break; } else { __label__ = 79; break; } //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 79: 
      var $317=$2; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $318=$3; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $319=$shape; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $320=$7; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $321=(($320)|0)!=0; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $322=$6; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $323=__Z12js_NativeSetP9JSContextP8JSObjectPKN2js5ShapeEbbPN2JS5ValueE($317, $318, $319, 0, $321, $322); //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $324=(($323)|0)!=0; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $326 = $324;__label__ = 80; break; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 80: 
      var $326;
      var $327=(($326)&1); //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$327; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 81: 
      __label__ = 82; break; //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 82: 
      $added=0; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $330=$shape; //@line 6240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $331=(($330)|0)!=0; //@line 6240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($331) { __label__ = 105; break; } else { __label__ = 83; break; } //@line 6240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 83: 
      var $333=$3; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $334=__ZNK8JSObject12isExtensibleEv($333); //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($334) { __label__ = 89; break; } else { __label__ = 84; break; } //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 84: 
      var $336=$7; //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $337=(($336)|0)!=0; //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($337) { __label__ = 85; break; } else { __label__ = 86; break; } //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 85: 
      var $339=$3; //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $340=$2; //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $341=__ZN8JSObject19reportNotExtensibleEP9JSContextj($339, $340, 0); //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $342=(($341)&1); //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$342; //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 86: 
      var $344=$2; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $345=__ZNK9JSContext15hasStrictOptionEv($344); //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($345) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 87: 
      var $347=$3; //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $348=$2; //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $349=__ZN8JSObject19reportNotExtensibleEP9JSContextj($347, $348, 5); //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $350=(($349)&1); //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$350; //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 88: 
      $1=1; //@line 6247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 89: 
      var $353=$2; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $354=$3; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $355=$4; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z18js_PurgeScopeChainP9JSContextP8JSObjecti($353, $354, $355); //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $356=$3; //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $357=$2; //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $358=__ZN8JSObject24ensureClassReservedSlotsEP9JSContext($356, $357); //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($358) { __label__ = 91; break; } else { __label__ = 90; break; } //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 90: 
      $1=0; //@line 6258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 91: 
      var $361=$5; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $362=$361 & 4; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $363=(($362)|0)!=0; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($363) { __label__ = 92; break; } else { __label__ = 96; break; } //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 92: 
      var $365=$3; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $366=__ZNK8JSObject20canHaveMethodBarrierEv($365); //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($366) { __label__ = 93; break; } else { __label__ = 96; break; } //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 93: 
      var $368=$6; //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $369=__ZNK2JS5Value8toObjectEv($368); //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $funobj=$369; //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $370=$funobj; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $371=__ZNK8JSObject18getFunctionPrivateEv($370); //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fun=$371; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $372=$fun; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $373=$372; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $374=$funobj; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $375=(($373)|0)==(($374)|0); //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($375) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 94: 
      var $377=$flags; //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $378=$377 | 128; //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $flags=$378; //@line 6271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $379=$funobj; //@line 6272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $380=__ZN2jsL16CastAsPropertyOpEP8JSObject2286($379); //@line 6272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $getter=$380; //@line 6272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 95; break; //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 95: 
      __label__ = 96; break; //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 96: 
      var $383=$3; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $384=$2; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $385=$4; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $386=$getter; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $387=$setter; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $388=$attrs; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $389=$flags; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $390=$shortid; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $391=__ZN8JSObject11putPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($383, $384, $385, $386, $387, -1, $388, $389, $390); //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$391; //@line 6276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $392=$shape; //@line 6278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $393=(($392)|0)!=0; //@line 6278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($393) { __label__ = 98; break; } else { __label__ = 97; break; } //@line 6278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 97: 
      $1=0; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 98: 
      var $396=$5; //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $397=$396 & 1; //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $398=(($397)|0)!=0; //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($398) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 99: 
      __label__ = 100; break; //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 100: 
      var $401=$3; //@line 6289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $402=$shape; //@line 6289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $403=(($402+24)|0); //@line 6289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $404=HEAP32[(($403)>>2)]; //@line 6289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $405=__ZNK8JSObject12containsSlotEj($401, $404); //@line 6289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($405) { __label__ = 101; break; } else { __label__ = 102; break; } //@line 6289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 101: 
      var $407=$3; //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $408=$shape; //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $409=(($408+24)|0); //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $410=HEAP32[(($409)>>2)]; //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($9); //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE($407, $410, $9); //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 102; break; //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 102: 
      var $412=$2; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $413=$clasp; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $414=$3; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $415=$shape; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $416=$6; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $417=__ZL19CallAddPropertyHookP9JSContextPN2js5ClassEP8JSObjectPKNS1_5ShapeEPN2JS5ValueE($412, $413, $414, $415, $416); //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($417) { __label__ = 104; break; } else { __label__ = 103; break; } //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 103: 
      var $419=$3; //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $420=$2; //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $421=$4; //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $422=__ZN8JSObject14removePropertyEP9JSContexti($419, $420, $421); //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 104: 
      $added=1; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 105; break; //@line 6298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 105: 
      var $425=$5; //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $426=$425 & 1; //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $427=(($426)|0)!=0; //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($427) { __label__ = 106; break; } else { __label__ = 107; break; } //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 106: 
      var $429=$2; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $430=(($429+52)|0); //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $431=HEAP32[(($430)>>2)]; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $432=(($431+144280)|0); //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $433=(($432+56)|0); //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $434=$2; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $435=$3; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $436=$3; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $437=$shape; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $438=$added; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $439=(($438) & 1); //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $440=(($439)&1); //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $441=__ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi($433, $434, $435, 0, $436, $437, $440); //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 107; break; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 107: 
      var $443=$2; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $444=$3; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $445=$shape; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $446=$added; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $447=(($446) & 1); //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $448=$7; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $449=(($448)|0)!=0; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $450=$6; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $451=__Z12js_NativeSetP9JSContextP8JSObjectPKN2js5ShapeEbbPN2JS5ValueE($443, $444, $445, $447, $449, $450); //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$451; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 108; break; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 108: 
      var $453=$1; //@line 6309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $453; //@line 6309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 109: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi["X"]=1;

function _INT_TO_JSID2431($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __Z19js_SetElementHelperP9JSContextP8JSObjectjjPN2JS5ValueEi($cx, $obj, $index, $defineHow, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$defineHow;
      $6=$vp;
      $7=$strict;
      var $8=$2; //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN2js9IndexToIdEP9JSContextjPi($8, $9, $id); //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 6317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$2; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$3; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($id)>>2)]; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$5; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$6; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$7; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($13, $14, $15, $16, $17, $18); //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$19; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 6318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $21=$1; //@line 6319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 6319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_GetAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $prop=__stackBase__+4;
      var $shape;
      $2=$cx;
      HEAP32[(($3)>>2)]=$obj;
      $4=$id;
      $5=$attrsp;
      var $6=$2; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=HEAP32[(($3)>>2)]; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($6, $7, $8, $3, $prop); //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)!=0; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=HEAP32[(($prop)>>2)]; //@line 6327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 6327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$5; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($16)>>2)]=0; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $18=HEAP32[(($3)>>2)]; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK8JSObject8isNativeEv($18); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $21=HEAP32[(($3)>>2)]; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$2; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$4; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$5; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZN8JSObject13getAttributesEP9JSContextiPj($21, $22, $23, $24); //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$25; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $27=HEAP32[(($prop)>>2)]; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$28; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$shape; //@line 6335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZNK2js5Shape10attributesEv($29); //@line 6335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)&255); //@line 6335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$5; //@line 6335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 6335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $34=$1; //@line 6337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 6337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z23js_GetElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $prop=__stackBase__+4;
      var $shape;
      $2=$cx;
      HEAP32[(($3)>>2)]=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=HEAP32[(($3)>>2)]; //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__Z16js_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty($6, $7, $8, $3, $prop); //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)!=0; //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=HEAP32[(($prop)>>2)]; //@line 6345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 6345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$5; //@line 6346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($16)>>2)]=0; //@line 6346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $18=HEAP32[(($3)>>2)]; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK8JSObject8isNativeEv($18); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $21=HEAP32[(($3)>>2)]; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$2; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$4; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$5; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZN8JSObject20getElementAttributesEP9JSContextjPj($21, $22, $23, $24); //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$25; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $27=HEAP32[(($prop)>>2)]; //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27; //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$28; //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$shape; //@line 6353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=__ZNK2js5Shape10attributesEv($29); //@line 6353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)&255); //@line 6353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$5; //@line 6353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 6353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $34=$1; //@line 6355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 6355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject20getElementAttributesEP9JSContextjPj($this, $cx, $index, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$index;
      $4=$attrsp;
      var $5=$1;
      var $6=__ZNK8JSObject6getOpsEv($5); //@line 1480 "./jsobj.h"
      var $7=(($6+72)|0); //@line 1480 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1480 "./jsobj.h"
      $op=$8; //@line 1480 "./jsobj.h"
      var $9=$op; //@line 1481 "./jsobj.h"
      var $10=(($9)|0)!=0; //@line 1481 "./jsobj.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1481 "./jsobj.h"
    case 2: 
      var $12=$op; //@line 1481 "./jsobj.h"
      var $15 = $12;__label__ = 4; break; //@line 1481 "./jsobj.h"
    case 3: 
      var $15 = 192;__label__ = 4; break; //@line 1481 "./jsobj.h"
    case 4: 
      var $15; //@line 1481 "./jsobj.h"
      var $16=$2; //@line 1481 "./jsobj.h"
      var $17=$3; //@line 1481 "./jsobj.h"
      var $18=$4; //@line 1481 "./jsobj.h"
      var $19=FUNCTION_TABLE[$15]($16, $5, $17, $18); //@line 1481 "./jsobj.h"
      ;
      return $19; //@line 1481 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z22js_SetNativeAttributesP9JSContextP8JSObjectPN2js5ShapeEj($cx, $obj, $shape, $attrs) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$shape;
  $4=$attrs;
  var $5=$1; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$3; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$4; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=$3; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=__ZNK2js5Shape6getterEv($9); //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$3; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=__ZNK2js5Shape6setterEv($11); //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=__Z28js_ChangeNativePropertyAttrsP9JSContextP8JSObjectPKN2js5ShapeEjjPFiS0_S2_iPN2JS5ValueEEPFiS0_S2_iiS9_E($5, $6, $7, $8, 0, $10, $12); //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $14=(($13)|0)!=0; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $15=$14 ^ 1; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $16=$15 ^ 1; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $17=(($16)&1); //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $17; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z16js_SetAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $prop=__stackBase__+4;
      $2=$cx;
      HEAP32[(($3)>>2)]=$obj;
      $4=$id;
      $5=$attrsp;
      var $6=$2; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=HEAP32[(($3)>>2)]; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($6, $7, $8, $3, $prop); //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)!=0; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=HEAP32[(($prop)>>2)]; //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=1; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $17=HEAP32[(($3)>>2)]; //@line 6373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK8JSObject8isNativeEv($17); //@line 6373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$2; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=HEAP32[(($3)>>2)]; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($prop)>>2)]; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$5; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__Z22js_SetNativeAttributesP9JSContextP8JSObjectPN2js5ShapeEj($20, $21, $23, $25); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34 = $26;__label__ = 8; break; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $28=HEAP32[(($3)>>2)]; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$4; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$5; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZN8JSObject13setAttributesEP9JSContextiPj($28, $29, $30, $31); //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34 = $32;__label__ = 8; break; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $34; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$34; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $36=$1; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z23js_SetElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $prop=__stackBase__+4;
      $2=$cx;
      HEAP32[(($3)>>2)]=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 6382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=HEAP32[(($3)>>2)]; //@line 6382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 6382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__Z16js_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty($6, $7, $8, $3, $prop); //@line 6382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)!=0; //@line 6382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=HEAP32[(($prop)>>2)]; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=1; //@line 6385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $17=HEAP32[(($3)>>2)]; //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK8JSObject8isNativeEv($17); //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$2; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=HEAP32[(($3)>>2)]; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($prop)>>2)]; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$5; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__Z22js_SetNativeAttributesP9JSContextP8JSObjectPN2js5ShapeEj($20, $21, $23, $25); //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34 = $26;__label__ = 8; break; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $28=HEAP32[(($3)>>2)]; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$2; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$4; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$5; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=__ZN8JSObject20setElementAttributesEP9JSContextjPj($28, $29, $30, $31); //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34 = $32;__label__ = 8; break; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $34; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$34; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $36=$1; //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject20setElementAttributesEP9JSContextjPj($this, $cx, $index, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$index;
      $4=$attrsp;
      var $5=$1;
      var $6=__ZNK8JSObject6getOpsEv($5); //@line 1487 "./jsobj.h"
      var $7=(($6+88)|0); //@line 1487 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1487 "./jsobj.h"
      $op=$8; //@line 1487 "./jsobj.h"
      var $9=$op; //@line 1488 "./jsobj.h"
      var $10=(($9)|0)!=0; //@line 1488 "./jsobj.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1488 "./jsobj.h"
    case 2: 
      var $12=$op; //@line 1488 "./jsobj.h"
      var $15 = $12;__label__ = 4; break; //@line 1488 "./jsobj.h"
    case 3: 
      var $15 = 194;__label__ = 4; break; //@line 1488 "./jsobj.h"
    case 4: 
      var $15; //@line 1488 "./jsobj.h"
      var $16=$2; //@line 1488 "./jsobj.h"
      var $17=$3; //@line 1488 "./jsobj.h"
      var $18=$4; //@line 1488 "./jsobj.h"
      var $19=FUNCTION_TABLE[$15]($16, $5, $17, $18); //@line 1488 "./jsobj.h"
      ;
      return $19; //@line 1488 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $proto=__stackBase__;
      var $prop=__stackBase__+4;
      var $shape;
      var $v;
      var $7=__stackBase__+8;
      var $funobj=__stackBase__+16;
      var $fun;
      var $fp;
      var $tmp;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $8=$5; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($8, 1); //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 6401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__Z22js_CheckForStringIndexi($9); //@line 6401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$10; //@line 6401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$2; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$4; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($11, $12, $13, $proto, $prop); //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=0; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 6404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $18=HEAP32[(($prop)>>2)]; //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18)|0)!=0; //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $21=HEAP32[(($proto)>>2)]; //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$3; //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($21)|0)!=(($22)|0); //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $25=$2; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$3; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK8JSObject8getClassEv($26); //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27+12)|0); //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$28; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$3; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$4; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$5; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_($25, $30, $31, $32, $33); //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34)&1); //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$35; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 6410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $37=HEAP32[(($prop)>>2)]; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$37; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$38; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$shape; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK2js5Shape12configurableEv($39); //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 7; break; } //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $42=$6; //@line 6415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42)|0)!=0; //@line 6415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 6415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $45=$3; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$2; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$4; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=__ZN8JSObject21reportNotConfigurableEP9JSContextij($45, $46, $47, 0); //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)&1); //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$49; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $51=$5; //@line 6417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value10setBooleanEb($51, 0); //@line 6417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 6418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $53=$2; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$3; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=__ZNK8JSObject8getClassEv($54); //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55+12)|0); //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$56; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$3; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$shape; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=__ZNK2js5Shape10hasShortIDEv($60); //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($61) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $63=$shape; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63+30)|0); //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=HEAP16[(($64)>>1)]; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65 << 16) >> 16); //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=_INT_TO_JSID2431($66); //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73 = $67;__label__ = 13; break; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $69=$shape; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69+12)|0); //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73 = $71;__label__ = 13; break; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $73; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$5; //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=__ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_($53, $58, $59, $73, $74); //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($75) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 6421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $1=0; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $78=$5; //@line 6423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=__ZNK2JS5Value7isFalseEv($78); //@line 6423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($79) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 6423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      $1=1; //@line 6424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 41; break; //@line 6424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $82=$3; //@line 6426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$shape; //@line 6426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=(($83+24)|0); //@line 6426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 6426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=__ZNK8JSObject12containsSlotEj($82, $85); //@line 6426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($86) { __label__ = 18; break; } else { __label__ = 38; break; } //@line 6426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $88=$3; //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$shape; //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=(($89+24)|0); //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=__ZNK8JSObject13nativeGetSlotEj($88, $91); //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $v=$92; //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$2; //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$v; //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=$7; //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=$94; //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($95)>>2)]=HEAP32[(($96)>>2)];HEAP32[(($95+4)>>2)]=HEAP32[(($96+4)>>2)]; //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js2gcL6GCPokeEP9JSContextN2JS5ValueE($93, $7); //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=$3; //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=__ZN8JSObject16hasMethodBarrierEv($97); //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($98) { __label__ = 19; break; } else { __label__ = 37; break; } //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $100=$v; //@line 6444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject2432($100, $funobj); //@line 6444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($101) { __label__ = 20; break; } else { __label__ = 36; break; } //@line 6444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $103=HEAP32[(($funobj)>>2)]; //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=__ZNK8JSObject18getFunctionPrivateEv($103); //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fun=$104; //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$fun; //@line 6447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=$105; //@line 6447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=HEAP32[(($funobj)>>2)]; //@line 6447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($106)|0)!=(($107)|0); //@line 6447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($108) { __label__ = 21; break; } else { __label__ = 35; break; } //@line 6447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $110=$2; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=__ZNK9JSContext7maybefpEv($110); //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$111; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $113=$fp; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=(($113)|0)!=0; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($114) { __label__ = 23; break; } else { __label__ = 34; break; } //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $116=$fp; //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=__ZNK2js10StackFrame15isFunctionFrameEv($116); //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($117) { __label__ = 24; break; } else { __label__ = 32; break; } //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $119=$fp; //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=__ZNK2js10StackFrame6calleeEv($119); //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=$fun; //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $122=__ZN10JSFunction14compiledFunObjEv($121); //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $123=__ZeqRK8JSObjectS1_2422($120, $122); //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($123) { __label__ = 25; break; } else { __label__ = 32; break; } //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $125=$fp; //@line 6451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=__ZNK2js10StackFrame9thisValueEv($125); //@line 6451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=__ZNK2JS5Value8isObjectEv($126); //@line 6451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($127) { __label__ = 26; break; } else { __label__ = 32; break; } //@line 6451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $129=$fp; //@line 6453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=__ZNK2js10StackFrame9thisValueEv($129); //@line 6453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=__ZNK2JS5Value8toObjectEv($130); //@line 6453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $tmp=$131; //@line 6453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 27; break; //@line 6454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $133=$tmp; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=$3; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=(($133)|0)==(($134)|0); //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($135) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $137=$fp; //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=HEAP32[(($funobj)>>2)]; //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js10StackFrame15overwriteCalleeER8JSObject($137, $138); //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 31; break; //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      __label__ = 30; break; //@line 6459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $141=$tmp; //@line 6459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $142=__ZNK8JSObject8getProtoEv($141); //@line 6459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $tmp=$142; //@line 6459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $143=(($142)|0)!=0; //@line 6459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($143) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 6459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      __label__ = 32; break; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      __label__ = 33; break; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $147=$fp; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=__ZNK2js10StackFrame4prevEv($147); //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fp=$148; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 6448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      __label__ = 35; break; //@line 6462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      __label__ = 36; break; //@line 6463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      __label__ = 37; break; //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      __label__ = 38; break; //@line 6465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 38: 
      var $154=$3; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $155=$2; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $156=$4; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $157=__ZN8JSObject14removePropertyEP9JSContexti($154, $155, $156); //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($157) { __label__ = 39; break; } else { var $164 = 0;__label__ = 40; break; } //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 39: 
      var $159=$2; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=$3; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=$4; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $162=__Z26js_SuppressDeletedPropertyP9JSContextP8JSObjecti($159, $160, $161); //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $164 = $162;__label__ = 40; break;
    case 40: 
      var $164;
      var $165=(($164)&1);
      $1=$165;
      __label__ = 41; break;
    case 41: 
      var $167=$1; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $167; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_($cx, $op, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $ok;
      var $7=__stackBase__+8;
      $1=$cx;
      $2=$op;
      $3=$receiver;
      $4=$id;
      $5=$vp;
      var $8=$1; //@line 345 "./jscntxtinlines.h"
      var $9=$3; //@line 345 "./jscntxtinlines.h"
      var $10=$4; //@line 345 "./jscntxtinlines.h"
      var $11=$5; //@line 345 "./jscntxtinlines.h"
      var $12=$6; //@line 345 "./jscntxtinlines.h"
      var $13=$11; //@line 345 "./jscntxtinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 345 "./jscntxtinlines.h"
      __ZN2js21assertSameCompartmentIP8JSObjectiN2JS5ValueEEEvP9JSContextT_T0_T1_($8, $9, $10, $6); //@line 345 "./jscntxtinlines.h"
      var $14=$2; //@line 346 "./jscntxtinlines.h"
      var $15=$1; //@line 346 "./jscntxtinlines.h"
      var $16=$3; //@line 346 "./jscntxtinlines.h"
      var $17=$4; //@line 346 "./jscntxtinlines.h"
      var $18=$5; //@line 346 "./jscntxtinlines.h"
      var $19=FUNCTION_TABLE[$14]($15, $16, $17, $18); //@line 346 "./jscntxtinlines.h"
      $ok=$19; //@line 346 "./jscntxtinlines.h"
      var $20=$ok; //@line 347 "./jscntxtinlines.h"
      var $21=(($20)|0)!=0; //@line 347 "./jscntxtinlines.h"
      if ($21) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 347 "./jscntxtinlines.h"
    case 2: 
      var $23=$1; //@line 348 "./jscntxtinlines.h"
      var $24=$3; //@line 348 "./jscntxtinlines.h"
      var $25=$5; //@line 348 "./jscntxtinlines.h"
      var $26=$7; //@line 348 "./jscntxtinlines.h"
      var $27=$25; //@line 348 "./jscntxtinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 348 "./jscntxtinlines.h"
      __ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueEEEvP9JSContextT_T0_($23, $24, $7); //@line 348 "./jscntxtinlines.h"
      __label__ = 3; break; //@line 348 "./jscntxtinlines.h"
    case 3: 
      var $29=$ok; //@line 349 "./jscntxtinlines.h"
      var $30=(($29)|0)!=0; //@line 349 "./jscntxtinlines.h"
      STACKTOP = __stackBase__;
      return $30; //@line 349 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL6GCPokeEP9JSContextN2JS5ValueE($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $oldval=__stackBase__;
  $2=$cx;
  var $3=$oldval;
  var $4=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
  var $5=$2; //@line 163 "./jsgcinlines.h"
  var $6=(($5+52)|0); //@line 163 "./jsgcinlines.h"
  var $7=HEAP32[(($6)>>2)]; //@line 163 "./jsgcinlines.h"
  var $8=(($7+144088)|0); //@line 163 "./jsgcinlines.h"
  HEAP8[($8)]=1; //@line 163 "./jsgcinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 173 "./jsgcinlines.h"
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject2432($v, $funobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$v;
      $2=$funobj;
      var $3=$1; //@line 276 "./jsfun.h"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 276 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 276 "./jsfun.h"
    case 2: 
      var $6=$1; //@line 276 "./jsfun.h"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 276 "./jsfun.h"
      var $8=$2; //@line 276 "./jsfun.h"
      HEAP32[(($8)>>2)]=$7; //@line 276 "./jsfun.h"
      var $9=__ZNK8JSObject10isFunctionEv($7); //@line 276 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 277 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$2; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$5; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$6; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($12, $13, $14, $15, $16); //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$17; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$1; //@line 6477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 6477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15HasDataPropertyEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $methodid, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$methodid;
      $5=$vp;
      var $6=$3; //@line 6484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$2; //@line 6484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$4; //@line 6484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZN8JSObject12nativeLookupEP9JSContexti($6, $7, $8); //@line 6484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$9; //@line 6484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$shape; //@line 6484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)|0)!=0; //@line 6484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 6484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$shape; //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK2js5Shape26hasDefaultGetterOrIsMethodEv($13); //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $16=$3; //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$shape; //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+24)|0); //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZNK8JSObject12containsSlotEj($16, $19); //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $22=$5; //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$3; //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$shape; //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24+24)|0); //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=__ZNK8JSObject13nativeGetSlotEj($23, $26); //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$22; //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$27; //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 6486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 6487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 6; break; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $33=$1; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $33; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12DefaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($cx, $obj, $hint, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $clasp;
      var $str;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$hint;
      $5=$vp;
      var $7=$3; //@line 6520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK8JSObject8getClassEv($7); //@line 6520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$8; //@line 6520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)==3; //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 14; break; } //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $12=$clasp; //@line 6523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12)|0)==((__ZN2js11StringClassE)|0); //@line 6523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 6523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $15=$2; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$2; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($17+52)|0); //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+209948)|0); //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20+376)|0); //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=__ZL12ATOM_TO_JSIDP6JSAtom2291($23); //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=__ZN2jsL19ClassMethodIsNativeEP9JSContextP8JSObjectPNS_5ClassEiPFiS1_jPN2JS5ValueEE($15, $16, __ZN2js11StringClassE, $24, 196); //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $27=$5; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$3; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZNK8JSObject16getPrimitiveThisEv($28); //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$27; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$29; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $33=$2; //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$3; //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$2; //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=(($35+52)|0); //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37+209948)|0); //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38+376)|0); //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=$40; //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=__ZL12ATOM_TO_JSIDP6JSAtom2291($41); //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$5; //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=__ZN2jsL15MaybeCallMethodEP9JSContextP8JSObjectiPN2JS5ValueE($33, $34, $42, $43); //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $47=$5; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=__ZNK2JS5Value11isPrimitiveEv($47); //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=1; //@line 6535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $51=$2; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$3; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$2; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=(($53+52)|0); //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($55+209948)|0); //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56+384)|0); //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$58; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom2291($59); //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$5; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=__ZN2jsL15MaybeCallMethodEP9JSContextP8JSObjectiPN2JS5ValueE($51, $52, $60, $61); //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($62) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 6538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $65=$5; //@line 6539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=__ZNK2JS5Value11isPrimitiveEv($65); //@line 6539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($66) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 6539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=1; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 28; break; //@line 6541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $70=$clasp; //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=(($70)|0)==((__ZN2js11StringClassE)|0); //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($71) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $73=$2; //@line 6544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$3; //@line 6544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$2; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=(($75+52)|0); //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=(($77+209948)|0); //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=(($78+384)|0); //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $81=$80; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=__ZL12ATOM_TO_JSIDP6JSAtom2291($81); //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=__ZN2jsL19ClassMethodIsNativeEP9JSContextP8JSObjectPNS_5ClassEiPFiS1_jPN2JS5ValueEE($73, $74, __ZN2js11StringClassE, $82, 196); //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($83) { __label__ = 18; break; } else { __label__ = 16; break; } //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $85=$clasp; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=(($85)|0)==((__ZN2js11NumberClassE)|0); //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($86) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $88=$2; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=$3; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$2; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90+52)|0); //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=(($92+209948)|0); //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=(($93+384)|0); //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=$95; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=__ZL12ATOM_TO_JSIDP6JSAtom2291($96); //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $98=__ZN2jsL19ClassMethodIsNativeEP9JSContextP8JSObjectPNS_5ClassEiPFiS1_jPN2JS5ValueEE($88, $89, __ZN2js11NumberClassE, $97, 198); //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($98) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $100=$5; //@line 6551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$3; //@line 6551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=__ZNK8JSObject16getPrimitiveThisEv($101); //@line 6551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=$100; //@line 6551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=$102; //@line 6551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($103)>>2)]=HEAP32[(($104)>>2)];HEAP32[(($103+4)>>2)]=HEAP32[(($104+4)>>2)]; //@line 6551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      var $106=$2; //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=$3; //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=$2; //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $109=(($108+52)|0); //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=(($110+209948)|0); //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=(($111+384)|0); //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=$113; //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $115=__ZL12ATOM_TO_JSIDP6JSAtom2291($114); //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=$5; //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=__ZN2jsL15MaybeCallMethodEP9JSContextP8JSObjectiPN2JS5ValueE($106, $107, $115, $116); //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($117) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      $1=0; //@line 6556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $120=$5; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=__ZNK2JS5Value11isPrimitiveEv($120); //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($121) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      $1=1; //@line 6558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      var $124=$2; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=$3; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=$2; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=(($126+52)|0); //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=(($128+209948)|0); //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=(($129+376)|0); //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=$131; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $133=__ZL12ATOM_TO_JSIDP6JSAtom2291($132); //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=$5; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=__ZN2jsL15MaybeCallMethodEP9JSContextP8JSObjectiPN2JS5ValueE($124, $125, $133, $134); //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($135) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      $1=0; //@line 6561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      var $138=$5; //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=__ZNK2JS5Value11isPrimitiveEv($138); //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($139) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      $1=1; //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $143=$4; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $144=(($143)|0)==3; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($144) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      var $146=$2; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=$clasp; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=(($147)|0); //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $150=_JS_InternString($146, $149); //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $str=$150; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $151=$str; //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=(($151)|0)!=0; //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($152) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      $1=0; //@line 6571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      __label__ = 33; break; //@line 6572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      $str=0; //@line 6573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 33; break;
    case 33: 
      var $157=$2; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $158=$3; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($6, $158); //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $159=$str; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $160=$4; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $161=(($160)|0)==0; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($161) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $169 = ((STRING_TABLE.__str242227)|0);__label__ = 36; break; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 35: 
      var $164=$4; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $165=(($164+3)|0); //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $166=((_js_common_atom_names+($165<<2))|0); //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $167=((((HEAPU8[($166)])|(HEAPU8[($166+1)]<<8)|(HEAPU8[($166+2)]<<16)|(HEAPU8[($166+3)]<<24))|0)); //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $169 = $167;__label__ = 36; break; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 36: 
      var $169; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $170=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($157, 0, 38, 1, $6, $159, $169, 0); //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 37; break; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 37: 
      var $172=$1; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $172; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12DefaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE["X"]=1;

function __ZN2jsL19ClassMethodIsNativeEP9JSContextP8JSObjectPNS_5ClassEiPFiS1_jPN2JS5ValueEE($cx, $obj, $clasp, $methodid, $native) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v=__stackBase__;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$methodid;
      $6=$native;
      var $7=$2; //@line 329 "./jsfun.h"
      var $8=$3; //@line 329 "./jsfun.h"
      var $9=$5; //@line 329 "./jsfun.h"
      var $10=__ZN2js15HasDataPropertyEP9JSContextP8JSObjectiPN2JS5ValueE($7, $8, $9, $v); //@line 329 "./jsfun.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 329 "./jsfun.h"
    case 2: 
      var $12=$3; //@line 330 "./jsfun.h"
      var $13=__ZNK8JSObject8getProtoEv($12); //@line 330 "./jsfun.h"
      $proto=$13; //@line 330 "./jsfun.h"
      var $14=$proto; //@line 331 "./jsfun.h"
      var $15=(($14)|0)!=0; //@line 331 "./jsfun.h"
      if ($15) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 331 "./jsfun.h"
    case 3: 
      var $17=$proto; //@line 331 "./jsfun.h"
      var $18=__ZNK8JSObject8getClassEv($17); //@line 331 "./jsfun.h"
      var $19=$4; //@line 331 "./jsfun.h"
      var $20=(($18)|0)!=(($19)|0); //@line 331 "./jsfun.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 331 "./jsfun.h"
    case 4: 
      var $22=$2; //@line 331 "./jsfun.h"
      var $23=$proto; //@line 331 "./jsfun.h"
      var $24=$5; //@line 331 "./jsfun.h"
      var $25=__ZN2js15HasDataPropertyEP9JSContextP8JSObjectiPN2JS5ValueE($22, $23, $24, $v); //@line 331 "./jsfun.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 331 "./jsfun.h"
    case 5: 
      $1=0; //@line 332 "./jsfun.h"
      __label__ = 8; break; //@line 332 "./jsfun.h"
    case 6: 
      __label__ = 7; break; //@line 333 "./jsfun.h"
    case 7: 
      var $29=$6; //@line 335 "./jsfun.h"
      var $30=__ZN2jsL16IsNativeFunctionERKN2JS5ValueEPFiP9JSContextjPS1_E($v, $29); //@line 335 "./jsfun.h"
      $1=$30; //@line 335 "./jsfun.h"
      __label__ = 8; break; //@line 335 "./jsfun.h"
    case 8: 
      var $32=$1; //@line 336 "./jsfun.h"
      STACKTOP = __stackBase__;
      return $32; //@line 336 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15MaybeCallMethodEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $8=$2; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$3; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$4; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$5; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($8, $9, $10, 2, $11); //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12)|0)!=0; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $16=$5; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZL13js_IsCallableRKN2JS5ValueE2285($16); //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $19=$5; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$3; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($6, $20); //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$19; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$6; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $24=$2; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$3; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($7, $25); //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$5; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$5; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($24, $7, $26, 0, 0, $27); //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$28; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $30=$1; //@line 6512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 6512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z12js_EnumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $clasp;
      var $enumerate;
      $2=$cx;
      $3=$obj;
      $4=$enum_op;
      $5=$statep;
      $6=$idp;
      var $7=$3; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK8JSObject8getClassEv($7); //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$8; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$clasp; //@line 6588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9+24)|0); //@line 6588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 6588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $enumerate=$11; //@line 6588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$clasp; //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=(($12+4)|0); //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$14 & 2; //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)|0)!=0; //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $18=$enumerate; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$2; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$3; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$4; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$5; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$6; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=FUNCTION_TABLE[$19]($20, $21, $22, $23, $24); //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$25; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $27=$enumerate; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$2; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$3; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=FUNCTION_TABLE[$27]($28, $29); //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)|0)!=0; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $34=$5; //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($34, 2); //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $36=$1; //@line 6601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $36; //@line 6601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_EnumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __Z9js_TypeOfP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=__ZN8JSObject10isCallableEv($3); //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=$4 ? 2 : 1; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $5; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __Z13js_IsDelegateP9JSContextP8JSObjectRKN2JS5ValueE($cx, $obj, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj2;
      $2=$cx;
      $3=$obj;
      $4=$v;
      var $5=$4; //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__ZNK2JS5Value11isPrimitiveEv($5); //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $9=$4; //@line 6699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 6699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj2=$10; //@line 6699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 6700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $12=$obj2; //@line 6700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK8JSObject8getProtoEv($12); //@line 6700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj2=$13; //@line 6700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 6700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 6700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $16=$obj2; //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=(($16)|0)==(($17)|0); //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=1; //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 4; break; //@line 6703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 6704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 6704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $23=$1; //@line 6705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $23; //@line 6705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($cx, $scopeobj, $protoKey, $protop, $clasp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v=__stackBase__;
      var $ctor;
      $2=$cx;
      $3=$scopeobj;
      $4=$protoKey;
      $5=$protop;
      $6=$clasp;
      var $7=$2; //@line 6712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 6712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$4; //@line 6712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$6; //@line 6712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__Z18js_FindClassObjectP9JSContextP8JSObject10JSProtoKeyPN2JS5ValueEPN2js5ClassE($7, $8, $9, $v, $10); //@line 6712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=(($11)|0)!=0; //@line 6712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 6713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $15=__ZN2jsL16IsFunctionObjectERKN2JS5ValueE2445($v); //@line 6715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 6715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=__ZNK2JS5Value8toObjectEv($v); //@line 6716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $ctor=$17; //@line 6716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$ctor; //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$2; //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$2; //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20+52)|0); //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22+209948)|0); //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($23+252)|0); //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($18, $19, $25, $v); //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26)|0)!=0; //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 6717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 6718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 6718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 7; break; //@line 6719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $31=__ZNK2JS5Value8isObjectEv($v); //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $33=__ZNK2JS5Value8toObjectEv($v); //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36 = $33;__label__ = 10; break; //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $36 = 0;__label__ = 10; break; //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $36; //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$5; //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($37)>>2)]=$36; //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 11; break; //@line 6722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $39=$1; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE["X"]=1;

function __ZN2jsL16IsFunctionObjectERKN2JS5ValueE2445($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 270 "./jsfun.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 270 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 270 "./jsfun.h"
    case 2: 
      var $5=$1; //@line 270 "./jsfun.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 270 "./jsfun.h"
      var $7=__ZNK8JSObject10isFunctionEv($6); //@line 270 "./jsfun.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 271 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17PrimitiveToObjectP9JSContextRKN2JS5ValueE($cx, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 6765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=__ZNK2JS5Value8isStringEv($4); //@line 6765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $7=$2; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK2JS5Value8toStringEv($8); //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=__ZN2js12StringObject6createEP9JSContextP8JSString($7, $9); //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$10; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$11; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$3; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK2JS5Value8isNumberEv($13); //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$2; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=__ZNK2JS5Value8toNumberEv($17); //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZN2js12NumberObject6createEP9JSContextd($16, $18); //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$19; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$20; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $22=$2; //@line 6771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2296($22, __ZN2js12BooleanClassE); //@line 6771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$23; //@line 6771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$obj; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      $1=0; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $28=$obj; //@line 6775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$3; //@line 6775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject16setPrimitiveThisERKN2JS5ValueE($28, $29); //@line 6775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$obj; //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$30; //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $32=$1; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $32; //@line 6777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringObject6createEP9JSContextP8JSString($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $strobj;
      $2=$cx;
      $3=$str;
      var $4=$2; //@line 58 "./vm/StringObject-inl.h"
      var $5=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2296($4, __ZN2js11StringClassE); //@line 58 "./vm/StringObject-inl.h"
      $obj=$5; //@line 58 "./vm/StringObject-inl.h"
      var $6=$obj; //@line 59 "./vm/StringObject-inl.h"
      var $7=(($6)|0)!=0; //@line 59 "./vm/StringObject-inl.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 59 "./vm/StringObject-inl.h"
    case 2: 
      $1=0; //@line 60 "./vm/StringObject-inl.h"
      __label__ = 6; break; //@line 60 "./vm/StringObject-inl.h"
    case 3: 
      var $10=$obj; //@line 61 "./vm/StringObject-inl.h"
      var $11=__ZN8JSObject8asStringEv($10); //@line 61 "./vm/StringObject-inl.h"
      $strobj=$11; //@line 61 "./vm/StringObject-inl.h"
      var $12=$strobj; //@line 62 "./vm/StringObject-inl.h"
      var $13=$2; //@line 62 "./vm/StringObject-inl.h"
      var $14=$3; //@line 62 "./vm/StringObject-inl.h"
      var $15=__ZN2js12StringObject4initEP9JSContextP8JSString($12, $13, $14); //@line 62 "./vm/StringObject-inl.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 62 "./vm/StringObject-inl.h"
    case 4: 
      $1=0; //@line 63 "./vm/StringObject-inl.h"
      __label__ = 6; break; //@line 63 "./vm/StringObject-inl.h"
    case 5: 
      var $18=$strobj; //@line 64 "./vm/StringObject-inl.h"
      $1=$18; //@line 64 "./vm/StringObject-inl.h"
      __label__ = 6; break; //@line 64 "./vm/StringObject-inl.h"
    case 6: 
      var $20=$1; //@line 65 "./vm/StringObject-inl.h"
      ;
      return $20; //@line 65 "./vm/StringObject-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12NumberObject6createEP9JSContextd($cx, $d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $numobj;
      $2=$cx;
      $3=$d;
      var $4=$2; //@line 58 "./vm/NumberObject-inl.h"
      var $5=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2296($4, __ZN2js11NumberClassE); //@line 58 "./vm/NumberObject-inl.h"
      $obj=$5; //@line 58 "./vm/NumberObject-inl.h"
      var $6=$obj; //@line 59 "./vm/NumberObject-inl.h"
      var $7=(($6)|0)!=0; //@line 59 "./vm/NumberObject-inl.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 59 "./vm/NumberObject-inl.h"
    case 2: 
      $1=0; //@line 60 "./vm/NumberObject-inl.h"
      __label__ = 4; break; //@line 60 "./vm/NumberObject-inl.h"
    case 3: 
      var $10=$obj; //@line 61 "./vm/NumberObject-inl.h"
      var $11=__ZN8JSObject8asNumberEv($10); //@line 61 "./vm/NumberObject-inl.h"
      $numobj=$11; //@line 61 "./vm/NumberObject-inl.h"
      var $12=$numobj; //@line 62 "./vm/NumberObject-inl.h"
      var $13=$3; //@line 62 "./vm/NumberObject-inl.h"
      __ZN2js12NumberObject17setPrimitiveValueEd($12, $13); //@line 62 "./vm/NumberObject-inl.h"
      var $14=$numobj; //@line 63 "./vm/NumberObject-inl.h"
      $1=$14; //@line 63 "./vm/NumberObject-inl.h"
      __label__ = 4; break; //@line 63 "./vm/NumberObject-inl.h"
    case 4: 
      var $16=$1; //@line 64 "./vm/NumberObject-inl.h"
      ;
      return $16; //@line 64 "./vm/NumberObject-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_PrimitiveToObjectP9JSContextPN2JS5ValueE($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      $2=$cx;
      $3=$vp;
      var $4=$2; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=$3; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__Z17PrimitiveToObjectP9JSContextRKN2JS5ValueE($4, $5); //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$6; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$obj; //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0)!=0; //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 6784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$3; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$obj; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($11, $12); //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 6787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 6787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $14=$1; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $14; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ToObjectSlowEP9JSContextPN2JS5ValueE($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      $2=$cx;
      $3=$vp;
      var $4=$3; //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=__ZNK2JS5Value17isNullOrUndefinedEv($4); //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $7=$2; //@line 6818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$3; //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=__ZNK2JS5Value6isNullEv($8); //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$9 ? (((STRING_TABLE.__str52182)|0)) : (((STRING_TABLE.__str62183)|0)); //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($7, 2, 0, 38, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$10,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str252228)|0),tempInt)); //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $12=$2; //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$3; //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__Z17PrimitiveToObjectP9JSContextRKN2JS5ValueE($12, $13); //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $obj=$14; //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$obj; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($15)|0)!=0; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$3; //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$obj; //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value9setObjectER8JSObject($18, $19); //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break; //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $21=$obj; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$21; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $23=$1; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $23; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$2; //@line 6836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=$3; //@line 6836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=__Z22js_ValueToObjectOrNullP9JSContextRKN2JS5ValueEPP8JSObject($4, $5, $obj); //@line 6836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=(($6)|0)!=0; //@line 6836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=0; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $10=HEAP32[(($obj)>>2)]; //@line 6838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10)|0)!=0; //@line 6838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $13=$2; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$3; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__Z26js_ReportIsNullOrUndefinedP9JSContextiRKN2JS5ValueEP8JSString($13, 1, $14, 0); //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $17=HEAP32[(($obj)>>2)]; //@line 6840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$17; //@line 6840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 6840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $19=$1; //@line 6841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 6841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEEC2ERKS3_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIPKN2js5ShapeEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 193 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla9DebugOnlyIPKN2js5ShapeEEC2ERKS4_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 182 "./dist/include/mozilla/Util.h"
}


function __ZN2jsL8JsvalifyEPNS_5ClassE2452($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 382 "./jsclass.h"
  var $3=$2; //@line 382 "./jsclass.h"
  ;
  return $3; //@line 382 "./jsclass.h"
}


function __ZN2jsL8ValueifyEP7JSClass2453($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 388 "./jsclass.h"
  var $3=$2; //@line 388 "./jsclass.h"
  ;
  return $3; //@line 388 "./jsclass.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __Z12js_XDRObjectP10JSXDRStatePP8JSObject($xdr, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cx;
      var $atom=__stackBase__;
      var $clasp;
      var $classId=__stackBase__+4;
      var $classDef=__stackBase__+8;
      var $protoKey;
      var $proto=__stackBase__+12;
      var $numBuf=__stackBase__+16;
      $2=$xdr;
      $3=$objp;
      var $4=$2; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=(($4+8)|0); //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $cx=$6; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($atom)>>2)]=0; //@line 6856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$2; //@line 6857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0); //@line 6857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 6857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=(($9)|0)==0; //@line 6857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 12; break; } //@line 6857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $12=$3; //@line 6858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 6858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 6858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$14; //@line 6858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$2; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$clasp; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($16)|0); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=_JS_XDRFindClassIdByName($15, $18); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($classId)>>2)]=$19; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAP32[(($classId)>>2)]; //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)|0)!=0; //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$21 ^ 1; //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)&1); //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($classDef)>>2)]=$23; //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=HEAP32[(($classDef)>>2)]; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $27=$2; //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$clasp; //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZN2jsL8JsvalifyEPNS_5ClassE2452($28); //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=_JS_XDRRegisterClass($27, $29, $classId); //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)|0)!=0; //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 6863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $34=$clasp; //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34+4)|0); //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=HEAPU32[(($35)>>2)]; //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$36 >>> 24; //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$37 & 255; //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $protoKey=$38; //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=$protoKey; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39)|0)!=0; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $42=$protoKey; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$42 << 1; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=HEAP32[(($classDef)>>2)]; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=$44 | $43; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($classDef)>>2)]=$45; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 10; break; //@line 6867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $47=$cx; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$clasp; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($48)|0); //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$clasp; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0); //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=_strlen($53); //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($47, $50, $54, 0, 0); //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($atom)>>2)]=$55; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=HEAP32[(($atom)>>2)]; //@line 6869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)|0)!=0; //@line 6869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 6869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      $1=0; //@line 6870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break; //@line 6872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      __label__ = 13; break; //@line 6873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $clasp=0; //@line 6874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($classDef)>>2)]=0; //@line 6875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break;
    case 13: 
      var $64=$2; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=_JS_XDRUint32($64, $classDef); //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65)|0)!=0; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($66) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      $1=0; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $69=HEAP32[(($classDef)>>2)]; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69)|0)==1; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($70) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $72=$2; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=_js_XDRAtom($72, $atom); //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=(($73)|0)!=0; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($74) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=0; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      var $77=$2; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=_JS_XDRUint32($77, $classId); //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=(($78)|0)!=0; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($79) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 19: 
      $1=0; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $82=$2; //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=(($82)|0); //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=(($84)|0)==1; //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($85) { __label__ = 21; break; } else { __label__ = 31; break; } //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $87=HEAP32[(($classDef)>>2)]; //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=(($87)|0)!=0; //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($88) { __label__ = 22; break; } else { __label__ = 27; break; } //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $90=HEAPU32[(($classDef)>>2)]; //@line 6897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=$90 >>> 1; //@line 6897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $protoKey=$91; //@line 6897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=$cx; //@line 6898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$protoKey; //@line 6898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$clasp; //@line 6898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($92, 0, $93, $proto, $94); //@line 6898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=(($95)|0)!=0; //@line 6898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($96) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 6898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      $1=0; //@line 6899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      var $99=HEAP32[(($proto)>>2)]; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=__ZNK8JSObject8getClassEv($99); //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$100; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$2; //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $102=$clasp; //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $103=__ZN2jsL8JsvalifyEPNS_5ClassE2452($102); //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=_JS_XDRRegisterClass($101, $103, $classId); //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=(($104)|0)!=0; //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($105) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      $1=0; //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      __label__ = 30; break; //@line 6903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      var $109=$2; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $110=HEAP32[(($classId)>>2)]; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=_JS_XDRFindClassById($109, $110); //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=__ZN2jsL8ValueifyEP7JSClass2453($111); //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$112; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=$clasp; //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $114=(($113)|0)!=0; //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($114) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $116=(($numBuf)|0); //@line 6907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $117=HEAP32[(($classId)>>2)]; //@line 6907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $118=_JS_snprintf($116, 12, ((STRING_TABLE.__str262229)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$117,tempInt)); //@line 6907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $119=$cx; //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $120=(($numBuf)|0); //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($119, 2, 0, 40, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$120,tempInt)); //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 6910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      __label__ = 30; break;
    case 30: 
      __label__ = 31; break; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 31: 
      var $124=$clasp; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=(($124+56)|0); //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=(($126)|0)!=0; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($127) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 32: 
      var $129=$cx; //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=$clasp; //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=(($130)|0); //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($129, 2, 0, 41, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$132,tempInt)); //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 33: 
      var $134=$clasp; //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=(($134+56)|0); //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=$2; //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=$3; //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=FUNCTION_TABLE[$136]($137, $138); //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$139; //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 34; break; //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 34: 
      var $141=$1; //@line 6921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $141; //@line 6921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_XDRObjectP10JSXDRStatePP8JSObject["X"]=1;

function __Z14js_ClearNativeP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $shape;
      var $r=__stackBase__;
      var $shape1;
      var $4=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      __label__ = 2; break; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $6=$3; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZL21LastConfigurableShapeP8JSObject($6); //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$7; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$shape; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)|0)!=0; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$3; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$2; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$shape; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+12)|0); //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZN8JSObject14removePropertyEP9JSContexti($11, $12, $15); //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      $1=0; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 2; break; //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $20=$3; //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZNK8JSObject12lastPropertyEv($20); //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape3allEv($r, $21); //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $23=__ZNK2js5Shape5Range5emptyEv($r); //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$23 ^ 1; //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $26=__ZNK2js5Shape5Range5frontEv($r); //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape1=$26; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$shape1; //@line 6994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=__ZNK2js5Shape16isDataDescriptorEv($27); //@line 6994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 6994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $30=$shape1; //@line 6995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZNK2js5Shape8writableEv($30); //@line 6995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 6995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $33=$shape1; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=__ZNK2js5Shape16hasDefaultSetterEv($33); //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $36=$3; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$shape1; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=(($37+24)|0); //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=__ZNK8JSObject12containsSlotEj($36, $39); //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $42=$3; //@line 6998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=$shape1; //@line 6998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $44=(($43+24)|0); //@line 6998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 6998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL14UndefinedValueEv2280($4); //@line 6998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($42, $45, $4); //@line 6998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 6999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      __label__ = 14; break; //@line 7000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      $1=1; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 16; break; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $50=$1; //@line 7002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 7002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z14js_ClearNativeP9JSContextP8JSObject["X"]=1;

function __ZL21LastConfigurableShapeP8JSObject($obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $r=__stackBase__;
      var $shape;
      $2=$obj;
      var $3=$2; //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=__ZNK8JSObject12lastPropertyEv($3); //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZNK2js5Shape3allEv($r, $4); //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $6=__ZNK2js5Shape5Range5emptyEv($r); //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=$6 ^ 1; //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $9=__ZNK2js5Shape5Range5frontEv($r); //@line 6975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$9; //@line 6975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$shape; //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZNK2js5Shape12configurableEv($10); //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $13=$shape; //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$13; //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      __label__ = 6; break; //@line 6978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 6974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      $1=0; //@line 6979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 6979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $18=$1; //@line 6980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $18; //@line 6980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_GetReservedSlotP9JSContextP8JSObjectjPN2JS5ValueE($cx, $obj, $slot, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$slot;
      $5=$vp;
      var $6=$3; //@line 7007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK8JSObject8isNativeEv($6); //@line 7007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $9=$5; //@line 7008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($9); //@line 7008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 7009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 7009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$4; //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=__ZNK8JSObject8numSlotsEv($12); //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($11)>>>0) < (($13)>>>0); //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $16=$5; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$3; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$4; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK8JSObject7getSlotEj($17, $18); //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$16; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$19; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $23=$5; //@line 7015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JS5Value12setUndefinedEv($23); //@line 7015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break;
    case 6: 
      $1=1; //@line 7016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 7; break; //@line 7016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $26=$1; //@line 7017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $26; //@line 7017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($cx, $obj, $slot, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $clasp;
      var $nslots;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$slot;
      $5=$v;
      var $7=$3; //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=__ZNK8JSObject8isNativeEv($7); //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $1=1; //@line 7023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 7023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $11=$3; //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK8JSObject8getClassEv($11); //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$12; //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$4; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$3; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__ZNK8JSObject8numSlotsEv($14); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=(($13)>>>0) >= (($15)>>>0); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$clasp; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18+4)|0); //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAPU32[(($19)>>2)]; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$20 >>> 8; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$21 & 255; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $nslots=$22; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$3; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$2; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$nslots; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZN8JSObject10allocSlotsEP9JSContextj($23, $24, $25); //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 7031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 7031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 7; break; //@line 7032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $30=$3; //@line 7034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$4; //@line 7034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$5; //@line 7034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($30, $31, $32); //@line 7034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$2; //@line 7035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL9NullValueEv2460($6); //@line 7035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js2gcL6GCPokeEP9JSContextN2JS5ValueE($33, $6); //@line 7035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 7036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 7036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $35=$1; //@line 7037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 7037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE["X"]=1;

function __ZN2JSL9NullValueEv2460($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __Z25js_GetterOnlyPropertyStubP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$strict;
  $5=$vp;
  var $6=$1; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  _JS_ReportErrorNumber($6, 2, 0, 160, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE19growByUninitializedEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 700 "./jsvector.h"
  var $5=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($3, $4); //@line 700 "./jsvector.h"
  ;
  return $5; //@line 700 "./jsvector.h"
}


function __ZN2jsL15MakeRangeGCSafeEPPKNS_5ShapeES3_($beg, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$beg;
  $2=$end;
  var $3=$1; //@line 391 "./jsinterp.h"
  var $4=$2; //@line 391 "./jsinterp.h"
  var $5=$1; //@line 391 "./jsinterp.h"
  var $6=$4; //@line 391 "./jsinterp.h"
  var $7=$5; //@line 391 "./jsinterp.h"
  var $8=(($6-$7)|0); //@line 391 "./jsinterp.h"
  var $9=(((($8)|0)/4)&-1); //@line 391 "./jsinterp.h"
  __ZN2jsL7PodZeroIPKNS_5ShapeEEEvPT_j($3, $9); //@line 391 "./jsinterp.h"
  ;
  return; //@line 392 "./jsinterp.h"
}


function __ZN2jsL7PodZeroIPKNS_5ShapeEEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<2))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=$3; //@line 681 "./jsvector.h"
      var $22=(($5+8)|0); //@line 681 "./jsvector.h"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "./jsvector.h"
      var $24=(($23+$21)|0); //@line 681 "./jsvector.h"
      HEAP32[(($22)>>2)]=$24; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $26=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $26; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj32EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj8ES4_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj8ES4_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc2461($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2466($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2467($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _DOUBLE_TO_JSVAL_IMPL2476($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL2472($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL2473($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function __ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function _js_malloc2462($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free2463($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js6detailL9NewObjectILb1ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2464($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 19; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$2; //@line 1446 "./jsobjinlines.h"
      var $21=__Z16js_NewGCFunctionP9JSContext($20); //@line 1446 "./jsobjinlines.h"
      var $22=$21; //@line 1446 "./jsobjinlines.h"
      $obj=$22; //@line 1446 "./jsobjinlines.h"
      var $23=$obj; //@line 1447 "./jsobjinlines.h"
      var $24=(($23)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1447 "./jsobjinlines.h"
    case 7: 
      __label__ = 18; break; //@line 1448 "./jsobjinlines.h"
    case 8: 
      var $27=$obj; //@line 1457 "./jsobjinlines.h"
      var $28=$2; //@line 1457 "./jsobjinlines.h"
      var $29=$3; //@line 1457 "./jsobjinlines.h"
      var $30=$type; //@line 1457 "./jsobjinlines.h"
      var $31=$5; //@line 1457 "./jsobjinlines.h"
      var $32=(($31)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 9; break; } //@line 1457 "./jsobjinlines.h"
    case 9: 
      var $34=$4; //@line 1457 "./jsobjinlines.h"
      var $35=(($34)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($35) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 10: 
      var $37=$4; //@line 1458 "./jsobjinlines.h"
      var $38=__ZNK8JSObject9getParentEv($37); //@line 1458 "./jsobjinlines.h"
      var $42 = $38;__label__ = 12; break; //@line 1458 "./jsobjinlines.h"
    case 11: 
      var $40=$5; //@line 1458 "./jsobjinlines.h"
      var $42 = $40;__label__ = 12; break; //@line 1458 "./jsobjinlines.h"
    case 12: 
      var $42; //@line 1458 "./jsobjinlines.h"
      var $43=$3; //@line 1458 "./jsobjinlines.h"
      var $44=(($43)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($27, $28, $29, $30, $42, 0, $44); //@line 1458 "./jsobjinlines.h"
      var $45=$3; //@line 1461 "./jsobjinlines.h"
      var $46=__ZNK2js5Class8isNativeEv($45); //@line 1461 "./jsobjinlines.h"
      if ($46) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 1461 "./jsobjinlines.h"
    case 13: 
      var $48=$2; //@line 1462 "./jsobjinlines.h"
      var $49=$obj; //@line 1462 "./jsobjinlines.h"
      var $50=$3; //@line 1462 "./jsobjinlines.h"
      var $51=$type; //@line 1462 "./jsobjinlines.h"
      var $52=$6; //@line 1462 "./jsobjinlines.h"
      var $53=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2468($48, $49, $50, $51, $52); //@line 1462 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1462 "./jsobjinlines.h"
    case 14: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 18; break; //@line 1464 "./jsobjinlines.h"
    case 15: 
      __label__ = 17; break; //@line 1466 "./jsobjinlines.h"
    case 16: 
      var $57=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($57); //@line 1467 "./jsobjinlines.h"
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $60=$2; //@line 1471 "./jsobjinlines.h"
      var $61=$obj; //@line 1471 "./jsobjinlines.h"
      var $62=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($60, $61); //@line 1471 "./jsobjinlines.h"
      var $63=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$63; //@line 1472 "./jsobjinlines.h"
      __label__ = 19; break; //@line 1472 "./jsobjinlines.h"
    case 19: 
      var $65=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $65; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2464["X"]=1;

function __ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2465($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$6; //@line 1443 "./jsobjinlines.h"
      var $21=$3; //@line 1443 "./jsobjinlines.h"
      var $22=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2466($20, $21); //@line 1443 "./jsobjinlines.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1443 "./jsobjinlines.h"
    case 7: 
      var $24=$6; //@line 1444 "./jsobjinlines.h"
      var $25=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2467($24); //@line 1444 "./jsobjinlines.h"
      $6=$25; //@line 1444 "./jsobjinlines.h"
      __label__ = 8; break; //@line 1444 "./jsobjinlines.h"
    case 8: 
      var $27=$2; //@line 1446 "./jsobjinlines.h"
      var $28=$6; //@line 1446 "./jsobjinlines.h"
      var $29=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($27, $28); //@line 1446 "./jsobjinlines.h"
      $obj=$29; //@line 1446 "./jsobjinlines.h"
      var $30=$obj; //@line 1447 "./jsobjinlines.h"
      var $31=(($30)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1447 "./jsobjinlines.h"
    case 9: 
      __label__ = 20; break; //@line 1448 "./jsobjinlines.h"
    case 10: 
      var $34=$obj; //@line 1457 "./jsobjinlines.h"
      var $35=$2; //@line 1457 "./jsobjinlines.h"
      var $36=$3; //@line 1457 "./jsobjinlines.h"
      var $37=$type; //@line 1457 "./jsobjinlines.h"
      var $38=$5; //@line 1457 "./jsobjinlines.h"
      var $39=(($38)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($39) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 11: 
      var $41=$4; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 12: 
      var $44=$4; //@line 1458 "./jsobjinlines.h"
      var $45=__ZNK8JSObject9getParentEv($44); //@line 1458 "./jsobjinlines.h"
      var $49 = $45;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 13: 
      var $47=$5; //@line 1458 "./jsobjinlines.h"
      var $49 = $47;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 14: 
      var $49; //@line 1458 "./jsobjinlines.h"
      var $50=$3; //@line 1458 "./jsobjinlines.h"
      var $51=(($50)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($34, $35, $36, $37, $49, 0, $51); //@line 1458 "./jsobjinlines.h"
      var $52=$3; //@line 1461 "./jsobjinlines.h"
      var $53=__ZNK2js5Class8isNativeEv($52); //@line 1461 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1461 "./jsobjinlines.h"
    case 15: 
      var $55=$2; //@line 1462 "./jsobjinlines.h"
      var $56=$obj; //@line 1462 "./jsobjinlines.h"
      var $57=$3; //@line 1462 "./jsobjinlines.h"
      var $58=$type; //@line 1462 "./jsobjinlines.h"
      var $59=$6; //@line 1462 "./jsobjinlines.h"
      var $60=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2468($55, $56, $57, $58, $59); //@line 1462 "./jsobjinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1462 "./jsobjinlines.h"
    case 16: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 20; break; //@line 1464 "./jsobjinlines.h"
    case 17: 
      __label__ = 19; break; //@line 1466 "./jsobjinlines.h"
    case 18: 
      var $64=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($64); //@line 1467 "./jsobjinlines.h"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $67=$2; //@line 1471 "./jsobjinlines.h"
      var $68=$obj; //@line 1471 "./jsobjinlines.h"
      var $69=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($67, $68); //@line 1471 "./jsobjinlines.h"
      var $70=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$70; //@line 1472 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1472 "./jsobjinlines.h"
    case 21: 
      var $72=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $72; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2465["X"]=1;

function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2468($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2468["X"]=1;

function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE6appendIS3_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2469($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2470($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2466($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2467($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2468($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2469["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2470($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE2381($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2471($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2470($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$2; //@line 1446 "./jsobjinlines.h"
      var $31=__Z16js_NewGCFunctionP9JSContext($30); //@line 1446 "./jsobjinlines.h"
      var $32=$31; //@line 1446 "./jsobjinlines.h"
      $obj=$32; //@line 1446 "./jsobjinlines.h"
      var $33=$obj; //@line 1447 "./jsobjinlines.h"
      var $34=(($33)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($34) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1447 "./jsobjinlines.h"
    case 11: 
      __label__ = 22; break; //@line 1448 "./jsobjinlines.h"
    case 12: 
      var $37=$obj; //@line 1457 "./jsobjinlines.h"
      var $38=$2; //@line 1457 "./jsobjinlines.h"
      var $39=$3; //@line 1457 "./jsobjinlines.h"
      var $40=$type; //@line 1457 "./jsobjinlines.h"
      var $41=$5; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 13: 
      var $44=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $45=(($44)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($45) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 14: 
      var $47=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $48=__ZNK8JSObject9getParentEv($47); //@line 1458 "./jsobjinlines.h"
      var $52 = $48;__label__ = 16; break; //@line 1458 "./jsobjinlines.h"
    case 15: 
      var $50=$5; //@line 1458 "./jsobjinlines.h"
      var $52 = $50;__label__ = 16; break; //@line 1458 "./jsobjinlines.h"
    case 16: 
      var $52; //@line 1458 "./jsobjinlines.h"
      var $53=$3; //@line 1458 "./jsobjinlines.h"
      var $54=(($53)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($37, $38, $39, $40, $52, 0, $54); //@line 1458 "./jsobjinlines.h"
      var $55=$3; //@line 1461 "./jsobjinlines.h"
      var $56=__ZNK2js5Class8isNativeEv($55); //@line 1461 "./jsobjinlines.h"
      if ($56) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 1461 "./jsobjinlines.h"
    case 17: 
      var $58=$2; //@line 1462 "./jsobjinlines.h"
      var $59=$obj; //@line 1462 "./jsobjinlines.h"
      var $60=$3; //@line 1462 "./jsobjinlines.h"
      var $61=$type; //@line 1462 "./jsobjinlines.h"
      var $62=$6; //@line 1462 "./jsobjinlines.h"
      var $63=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2468($58, $59, $60, $61, $62); //@line 1462 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1462 "./jsobjinlines.h"
    case 18: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 22; break; //@line 1464 "./jsobjinlines.h"
    case 19: 
      __label__ = 21; break; //@line 1466 "./jsobjinlines.h"
    case 20: 
      var $67=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($67); //@line 1467 "./jsobjinlines.h"
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $70=$2; //@line 1471 "./jsobjinlines.h"
      var $71=$obj; //@line 1471 "./jsobjinlines.h"
      var $72=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($70, $71); //@line 1471 "./jsobjinlines.h"
      var $73=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$73; //@line 1472 "./jsobjinlines.h"
      __label__ = 23; break; //@line 1472 "./jsobjinlines.h"
    case 23: 
      var $75=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $75; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2471["X"]=1;

function __ZN2JSL11NumberValueEd2474($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function _JSDOUBLE_IS_INT322475($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO2478($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_STRING2486($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_IS_INT2487($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT2488($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_OBJECT2489($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT2490($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function __ZN8JSObject8asStringEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 50 "./vm/StringObject-inl.h"
  ;
  return $3; //@line 50 "./vm/StringObject-inl.h"
}


function _INT32_TO_JSVAL_IMPL2477($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO2478($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_STRING_IMPL2479($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL2481($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL2482($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_IS_SPECIFIC_BOOLEAN2485($l, $b) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$b;
      var $2=$l; //@line 614 "./jsval.h"
      var $3=(($2+4)|0); //@line 614 "./jsval.h"
      var $4=HEAP32[(($3)>>2)]; //@line 614 "./jsval.h"
      var $5=(($4)|0)==-125; //@line 614 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 614 "./jsval.h"
    case 2: 
      var $7=$l; //@line 614 "./jsval.h"
      var $8=(($7)|0); //@line 614 "./jsval.h"
      var $9=$8; //@line 614 "./jsval.h"
      var $10=HEAP32[(($9)>>2)]; //@line 614 "./jsval.h"
      var $11=$1; //@line 614 "./jsval.h"
      var $12=(($10)|0)==(($11)|0); //@line 614 "./jsval.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      STACKTOP = __stackBase__;
      return $15; //@line 615 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5Shape8setterOpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 560 "./jsscope.h"
  var $4=$3; //@line 560 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 560 "./jsscope.h"
  ;
  return $5; //@line 560 "./jsscope.h"
}


function __ZNK2js5Shape8getterOpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 545 "./jsscope.h"
  var $4=$3; //@line 545 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 545 "./jsscope.h"
  ;
  return $5; //@line 545 "./jsscope.h"
}


function __ZN2js12StringObject4initEP9JSContextP8JSString($this, $cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $shapep;
      $2=$this;
      $3=$cx;
      $4=$str;
      var $5=$2;
      var $6=$3; //@line 157 "./jsscopeinlines.h"
      var $7=(($6+56)|0); //@line 157 "./jsscopeinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 157 "./jsscopeinlines.h"
      var $9=(($8+800)|0); //@line 157 "./jsscopeinlines.h"
      $shapep=$9; //@line 157 "./jsscopeinlines.h"
      var $10=$shapep; //@line 158 "./jsscopeinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 158 "./jsscopeinlines.h"
      var $12=(($11)|0)!=0; //@line 158 "./jsscopeinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 158 "./jsscopeinlines.h"
    case 2: 
      var $14=$5; //@line 159 "./jsscopeinlines.h"
      var $15=$shapep; //@line 159 "./jsscopeinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 159 "./jsscopeinlines.h"
      __ZN8JSObject15setLastPropertyEPKN2js5ShapeE($14, $16); //@line 159 "./jsscopeinlines.h"
      __label__ = 6; break; //@line 160 "./jsscopeinlines.h"
    case 3: 
      var $18=$3; //@line 161 "./jsscopeinlines.h"
      var $19=__ZN2js12StringObject18assignInitialShapeEP9JSContext($5, $18); //@line 161 "./jsscopeinlines.h"
      var $20=$shapep; //@line 161 "./jsscopeinlines.h"
      HEAP32[(($20)>>2)]=$19; //@line 161 "./jsscopeinlines.h"
      var $21=$shapep; //@line 162 "./jsscopeinlines.h"
      var $22=HEAP32[(($21)>>2)]; //@line 162 "./jsscopeinlines.h"
      var $23=(($22)|0)!=0; //@line 162 "./jsscopeinlines.h"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 162 "./jsscopeinlines.h"
    case 4: 
      $1=0; //@line 163 "./jsscopeinlines.h"
      __label__ = 7; break; //@line 163 "./jsscopeinlines.h"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $27=$4; //@line 169 "./jsscopeinlines.h"
      __ZN2js12StringObject13setStringThisEP8JSString($5, $27); //@line 169 "./jsscopeinlines.h"
      $1=1; //@line 170 "./jsscopeinlines.h"
      __label__ = 7; break; //@line 170 "./jsscopeinlines.h"
    case 7: 
      var $29=$1; //@line 171 "./jsscopeinlines.h"
      ;
      return $29; //@line 171 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringObject13setStringThisEP8JSString($this, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+8;
  $1=$this;
  $2=$str;
  var $5=$1;
  var $6=$5; //@line 82 "./vm/StringObject.h"
  var $7=$2; //@line 82 "./vm/StringObject.h"
  __ZN2JSL11StringValueEP8JSString2480($3, $7); //@line 82 "./vm/StringObject.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($6, 0, $3); //@line 82 "./vm/StringObject.h"
  var $8=$5; //@line 83 "./vm/StringObject.h"
  var $9=$2; //@line 83 "./vm/StringObject.h"
  var $10=__ZNK8JSString6lengthEv($9); //@line 83 "./vm/StringObject.h"
  __ZN2JSL10Int32ValueEi2332($4, $10); //@line 83 "./vm/StringObject.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($8, 1, $4); //@line 83 "./vm/StringObject.h"
  STACKTOP = __stackBase__;
  return; //@line 84 "./vm/StringObject.h"
}


function __ZN2JSL11StringValueEP8JSString2480($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2jsL16IsNativeFunctionERKN2JS5ValueEPFiP9JSContextjPS1_E($v, $native) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fun=__stackBase__;
      $1=$v;
      $2=$native;
      var $3=$1; //@line 312 "./jsfun.h"
      var $4=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction2483($3, $fun); //@line 312 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 312 "./jsfun.h"
    case 2: 
      var $6=HEAP32[(($fun)>>2)]; //@line 312 "./jsfun.h"
      var $7=__ZNK10JSFunction11maybeNativeEv($6); //@line 312 "./jsfun.h"
      var $8=$2; //@line 312 "./jsfun.h"
      var $9=(($7)|0)==(($8)|0); //@line 312 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      STACKTOP = __stackBase__;
      return $11; //@line 313 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction2483($v, $fun) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $funobj=__stackBase__;
  $1=$v;
  $2=$fun;
  var $3=$1; //@line 292 "./jsfun.h"
  var $4=$2; //@line 292 "./jsfun.h"
  var $5=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction2484($3, $funobj, $4); //@line 292 "./jsfun.h"
  STACKTOP = __stackBase__;
  return $5; //@line 292 "./jsfun.h"
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction2484($v, $funobj, $fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $b;
      $1=$v;
      $2=$funobj;
      $3=$fun;
      var $4=$1; //@line 282 "./jsfun.h"
      var $5=$2; //@line 282 "./jsfun.h"
      var $6=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject2432($4, $5); //@line 282 "./jsfun.h"
      var $7=(($6)&1); //@line 282 "./jsfun.h"
      $b=$7; //@line 282 "./jsfun.h"
      var $8=$b; //@line 283 "./jsfun.h"
      var $9=(($8) & 1); //@line 283 "./jsfun.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 283 "./jsfun.h"
    case 2: 
      var $11=$2; //@line 284 "./jsfun.h"
      var $12=HEAP32[(($11)>>2)]; //@line 284 "./jsfun.h"
      var $13=__ZNK8JSObject18getFunctionPrivateEv($12); //@line 284 "./jsfun.h"
      var $14=$3; //@line 284 "./jsfun.h"
      HEAP32[(($14)>>2)]=$13; //@line 284 "./jsfun.h"
      __label__ = 3; break; //@line 284 "./jsfun.h"
    case 3: 
      var $16=$b; //@line 285 "./jsfun.h"
      var $17=(($16) & 1); //@line 285 "./jsfun.h"
      ;
      return $17; //@line 285 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js22CallJSPropertyOpSetterEP9JSContextPFiS1_P8JSObjectiiPN2JS5ValueEES3_iiS6_($cx, $op, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7=__stackBase__;
  $1=$cx;
  $2=$op;
  $3=$obj;
  $4=$id;
  $5=$strict;
  $6=$vp;
  var $8=$1; //@line 356 "./jscntxtinlines.h"
  var $9=$3; //@line 356 "./jscntxtinlines.h"
  var $10=$4; //@line 356 "./jscntxtinlines.h"
  var $11=$6; //@line 356 "./jscntxtinlines.h"
  var $12=$7; //@line 356 "./jscntxtinlines.h"
  var $13=$11; //@line 356 "./jscntxtinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 356 "./jscntxtinlines.h"
  __ZN2js21assertSameCompartmentIP8JSObjectiN2JS5ValueEEEvP9JSContextT_T0_T1_($8, $9, $10, $7); //@line 356 "./jscntxtinlines.h"
  var $14=$2; //@line 357 "./jscntxtinlines.h"
  var $15=$1; //@line 357 "./jscntxtinlines.h"
  var $16=$3; //@line 357 "./jscntxtinlines.h"
  var $17=$4; //@line 357 "./jscntxtinlines.h"
  var $18=$5; //@line 357 "./jscntxtinlines.h"
  var $19=$6; //@line 357 "./jscntxtinlines.h"
  var $20=FUNCTION_TABLE[$14]($15, $16, $17, $18, $19); //@line 357 "./jscntxtinlines.h"
  var $21=(($20)|0)!=0; //@line 357 "./jscntxtinlines.h"
  STACKTOP = __stackBase__;
  return $21; //@line 357 "./jscntxtinlines.h"
}


function __ZL12JSID_IS_ATOMiP6JSAtom2491($id, $atom) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$id;
  $2=$atom;
  var $3=$1; //@line 81 "./jsatom.h"
  var $4=$2; //@line 81 "./jsatom.h"
  var $5=__ZL12ATOM_TO_JSIDP6JSAtom2291($4); //@line 81 "./jsatom.h"
  var $6=(($3)|0)==(($5)|0); //@line 81 "./jsatom.h"
  var $7=(($6)&1); //@line 81 "./jsatom.h"
  ;
  return $7; //@line 81 "./jsatom.h"
}


function __ZNK2js5Shape11setterValueEv($agg_result, $this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 566 "./jsscope.h"
      var $4=$3; //@line 566 "./jsscope.h"
      var $5=HEAP32[(($4)>>2)]; //@line 566 "./jsscope.h"
      var $6=(($5)|0)!=0; //@line 566 "./jsscope.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 566 "./jsscope.h"
    case 2: 
      var $8=(($2+20)|0); //@line 566 "./jsscope.h"
      var $9=$8; //@line 566 "./jsscope.h"
      var $10=HEAP32[(($9)>>2)]; //@line 566 "./jsscope.h"
      __ZN2JSL11ObjectValueER8JSObject2354($agg_result, $10); //@line 566 "./jsscope.h"
      __label__ = 4; break; //@line 566 "./jsscope.h"
    case 3: 
      __ZN2JSL14UndefinedValueEv2280($agg_result); //@line 566 "./jsscope.h"
      __label__ = 4; break; //@line 566 "./jsscope.h"
    case 4: 
      ;
      return; //@line 566 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18ChangesMethodValueRKN2JS5ValueES2_($prev, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $prevObj;
      $1=$prev;
      $2=$v;
      var $3=$1; //@line 305 "./jsobjinlines.h"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 305 "./jsobjinlines.h"
      if ($4) { __label__ = 2; break; } else { var $20 = 0;__label__ = 6; break; } //@line 305 "./jsobjinlines.h"
    case 2: 
      var $6=$1; //@line 305 "./jsobjinlines.h"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 305 "./jsobjinlines.h"
      $prevObj=$7; //@line 305 "./jsobjinlines.h"
      var $8=__ZNK8JSObject10isFunctionEv($7); //@line 305 "./jsobjinlines.h"
      if ($8) { __label__ = 3; break; } else { var $20 = 0;__label__ = 6; break; } //@line 305 "./jsobjinlines.h"
    case 3: 
      var $10=$2; //@line 306 "./jsobjinlines.h"
      var $11=__ZNK2JS5Value8isObjectEv($10); //@line 306 "./jsobjinlines.h"
      if ($11) { __label__ = 4; break; } else { var $18 = 1;__label__ = 5; break; } //@line 306 "./jsobjinlines.h"
    case 4: 
      var $13=$2; //@line 306 "./jsobjinlines.h"
      var $14=__ZNK2JS5Value8toObjectEv($13); //@line 306 "./jsobjinlines.h"
      var $15=$prevObj; //@line 306 "./jsobjinlines.h"
      var $16=(($14)|0)!=(($15)|0); //@line 306 "./jsobjinlines.h"
      var $18 = $16;__label__ = 5; break; //@line 306 "./jsobjinlines.h"
    case 5: 
      var $18;
      var $20 = $18;__label__ = 6; break;
    case 6: 
      var $20;
      ;
      return $20; //@line 307 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5Shape3getEP9JSContextP8JSObjectS4_S4_PN2JS5ValueE($this, $cx, $receiver, $obj, $pobj, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $fval=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$receiver;
      $5=$obj;
      $6=$pobj;
      $7=$vp;
      var $8=$2;
      var $9=__ZNK2js5Shape14hasGetterValueEv($8); //@line 276 "./jsscopeinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 276 "./jsscopeinlines.h"
    case 2: 
      __ZNK2js5Shape11getterValueEv($fval, $8); //@line 278 "./jsscopeinlines.h"
      var $11=$3; //@line 279 "./jsscopeinlines.h"
      var $12=$4; //@line 279 "./jsscopeinlines.h"
      var $13=$7; //@line 279 "./jsscopeinlines.h"
      var $14=__ZN2js20InvokeGetterOrSetterEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_($11, $12, $fval, 0, 0, $13); //@line 279 "./jsscopeinlines.h"
      $1=$14; //@line 279 "./jsscopeinlines.h"
      __label__ = 11; break; //@line 279 "./jsscopeinlines.h"
    case 3: 
      var $16=__ZNK2js5Shape8isMethodEv($8); //@line 282 "./jsscopeinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 282 "./jsscopeinlines.h"
    case 4: 
      var $18=$7; //@line 283 "./jsscopeinlines.h"
      var $19=__ZNK2js5Shape12methodObjectEv($8); //@line 283 "./jsscopeinlines.h"
      __ZN2JS5Value9setObjectER8JSObject($18, $19); //@line 283 "./jsscopeinlines.h"
      var $20=$6; //@line 284 "./jsscopeinlines.h"
      var $21=$3; //@line 284 "./jsscopeinlines.h"
      var $22=$7; //@line 284 "./jsscopeinlines.h"
      var $23=__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE($20, $21, $8, $22); //@line 284 "./jsscopeinlines.h"
      var $24=(($23)|0)!=0; //@line 284 "./jsscopeinlines.h"
      $1=$24; //@line 284 "./jsscopeinlines.h"
      __label__ = 11; break; //@line 284 "./jsscopeinlines.h"
    case 5: 
      var $26=$5; //@line 291 "./jsscopeinlines.h"
      var $27=__ZNK8JSObject6isWithEv($26); //@line 291 "./jsscopeinlines.h"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 291 "./jsscopeinlines.h"
    case 6: 
      var $29=$3; //@line 292 "./jsscopeinlines.h"
      var $30=$5; //@line 292 "./jsscopeinlines.h"
      var $31=__Z19js_UnwrapWithObjectP9JSContextP8JSObject($29, $30); //@line 292 "./jsscopeinlines.h"
      $5=$31; //@line 292 "./jsscopeinlines.h"
      __label__ = 7; break; //@line 292 "./jsscopeinlines.h"
    case 7: 
      var $33=$3; //@line 293 "./jsscopeinlines.h"
      var $34=__ZNK2js5Shape8getterOpEv($8); //@line 293 "./jsscopeinlines.h"
      var $35=$4; //@line 293 "./jsscopeinlines.h"
      var $36=__ZNK2js5Shape10hasShortIDEv($8); //@line 293 "./jsscopeinlines.h"
      if ($36) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 293 "./jsscopeinlines.h"
    case 8: 
      var $38=(($8+30)|0); //@line 293 "./jsscopeinlines.h"
      var $39=HEAP16[(($38)>>1)]; //@line 293 "./jsscopeinlines.h"
      var $40=(($39 << 16) >> 16); //@line 293 "./jsscopeinlines.h"
      var $41=_INT_TO_JSID2431($40); //@line 293 "./jsscopeinlines.h"
      var $46 = $41;__label__ = 10; break; //@line 293 "./jsscopeinlines.h"
    case 9: 
      var $43=(($8+12)|0); //@line 293 "./jsscopeinlines.h"
      var $44=HEAP32[(($43)>>2)]; //@line 293 "./jsscopeinlines.h"
      var $46 = $44;__label__ = 10; break; //@line 293 "./jsscopeinlines.h"
    case 10: 
      var $46; //@line 293 "./jsscopeinlines.h"
      var $47=$7; //@line 293 "./jsscopeinlines.h"
      var $48=__ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_($33, $34, $35, $46, $47); //@line 293 "./jsscopeinlines.h"
      $1=$48; //@line 293 "./jsscopeinlines.h"
      __label__ = 11; break; //@line 293 "./jsscopeinlines.h"
    case 11: 
      var $50=$1; //@line 294 "./jsscopeinlines.h"
      STACKTOP = __stackBase__;
      return $50; //@line 294 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js5Shape3getEP9JSContextP8JSObjectS4_S4_PN2JS5ValueE["X"]=1;

function __ZNK2js5Shape11getterValueEv($agg_result, $this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+16)|0); //@line 551 "./jsscope.h"
      var $4=$3; //@line 551 "./jsscope.h"
      var $5=HEAP32[(($4)>>2)]; //@line 551 "./jsscope.h"
      var $6=(($5)|0)!=0; //@line 551 "./jsscope.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 551 "./jsscope.h"
    case 2: 
      var $8=(($2+16)|0); //@line 551 "./jsscope.h"
      var $9=$8; //@line 551 "./jsscope.h"
      var $10=HEAP32[(($9)>>2)]; //@line 551 "./jsscope.h"
      __ZN2JSL11ObjectValueER8JSObject2354($agg_result, $10); //@line 551 "./jsscope.h"
      __label__ = 4; break; //@line 551 "./jsscope.h"
    case 3: 
      __ZN2JSL14UndefinedValueEv2280($agg_result); //@line 551 "./jsscope.h"
      __label__ = 4; break; //@line 551 "./jsscope.h"
    case 4: 
      ;
      return; //@line 551 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13CallResolveOpP9JSContextP8JSObjectS2_ijPS2_PP10JSPropertyPb($cx, $start, $obj, $id, $flags, $objp, $propp, $recursedp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $clasp;
      var $resolve;
      var $resolving=__stackBase__;
      var $10;
      var $newresolve;
      var $obj2=__stackBase__+20;
      var $shape;
      $2=$cx;
      $3=$start;
      $4=$obj;
      $5=$id;
      $6=$flags;
      $7=$objp;
      $8=$propp;
      $9=$recursedp;
      var $11=$4; //@line 5362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=__ZNK8JSObject8getClassEv($11); //@line 5362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $clasp=$12; //@line 5362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$clasp; //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+28)|0); //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $resolve=$15; //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$2; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$4; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$5; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js13AutoResolvingC1EP9JSContextP8JSObjectiNS0_4KindE($resolving, $16, $17, $18, 0); //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=__ZNK2js13AutoResolving14alreadyStartedEv($resolving); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $21=$9; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($21)]=1; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 5377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $10=1;
      __label__ = 24; break; //@line 5377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $23=$9; //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($23)]=0; //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$8; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($24)>>2)]=0; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$clasp; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25+4)|0); //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27 & 4; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28)|0)!=0; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 16; break; } //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $31=$resolve; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$31; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $newresolve=$32; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$6; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33)|0)==65535; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $36=$2; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=__Z13js_InferFlagsP9JSContextj($36, 0); //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $6=$37; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $39=$clasp; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39+4)|0); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41 & 32; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42)|0)!=0; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $45=$3; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48 = $45;__label__ = 9; break; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $48 = 0;__label__ = 9; break; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $48; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($obj2)>>2)]=$48; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=$newresolve; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $50=$2; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $51=$4; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$5; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=$6; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=FUNCTION_TABLE[$49]($50, $51, $52, $53, $obj2); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($54)|0)!=0; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $1=0; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $10=1;
      __label__ = 24; break; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $58=HEAP32[(($obj2)>>2)]; //@line 5397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=(($58)|0)!=0; //@line 5397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 5397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      $1=1; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $10=1;
      __label__ = 24; break; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $62=HEAP32[(($obj2)>>2)]; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=__ZNK8JSObject8isNativeEv($62); //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $65=HEAP32[(($obj2)>>2)]; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=$2; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=$5; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $68=$7; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $69=$8; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($65, $66, $67, $68, $69); //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$70; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $10=1;
      __label__ = 24; break; //@line 5403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $72=HEAP32[(($obj2)>>2)]; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $4=$72; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 19; break; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $74=$resolve; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=$2; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=$4; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=$5; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=FUNCTION_TABLE[$74]($75, $76, $77); //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=(($78)|0)!=0; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($79) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      $1=0; //@line 5408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $10=1;
      __label__ = 24; break; //@line 5408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $83=$4; //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=__ZNK8JSObject11nativeEmptyEv($83); //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 20; break; } //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $86=$4; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $87=$2; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $88=$5; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=__ZN8JSObject12nativeLookupEP9JSContexti($86, $87, $88); //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $shape=$89; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=$shape; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90)|0)!=0; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($91) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $93=$4; //@line 5413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$7; //@line 5413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($94)>>2)]=$93; //@line 5413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=$shape; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=$95; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $97=$8; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($97)>>2)]=$96; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 22; break; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      __label__ = 23; break; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      $1=1; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $10=1;
      __label__ = 24; break; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __ZN2js13AutoResolvingD1Ev($resolving); //@line 5419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=$1; //@line 5419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $101; //@line 5419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13CallResolveOpP9JSContextP8JSObjectS2_ijPS2_PP10JSPropertyPb["X"]=1;

function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2492($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj2493($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2494($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2492["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj2493($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16js_InitNullClassP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 0; //@line 4675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function _JSID_TO_FLAT_STRING2495($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _PRIVATE_UINT32_TO_JSVAL_IMPL2496($agg_result, $ui) {
  ;
  var __label__;

  var $1;
  $1=$ui;
  var $2=$agg_result; //@line 646 "./jsval.h"
  var $3=(($2+4)|0); //@line 646 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 646 "./jsval.h"
  var $4=$1; //@line 647 "./jsval.h"
  var $5=$agg_result; //@line 647 "./jsval.h"
  var $6=(($5)|0); //@line 647 "./jsval.h"
  var $7=$6; //@line 647 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 647 "./jsval.h"
  ;
  return; //@line 649 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_UINT32_IMPL2497($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 655 "./jsval.h"
  var $2=(($1)|0); //@line 655 "./jsval.h"
  var $3=$2; //@line 655 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 655 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 655 "./jsval.h"
}


function __ZN2js13AutoResolvingD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1419 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1419 "./jscntxt.h"
  var $5=(($2)|0); //@line 1419 "./jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1419 "./jscntxt.h"
  var $7=(($6+40)|0); //@line 1419 "./jscntxt.h"
  HEAP32[(($7)>>2)]=$4; //@line 1419 "./jscntxt.h"
  ;
  return; //@line 1420 "./jscntxt.h"
}


function __ZN2js13AutoResolvingC2EP9JSContextP8JSObjectiNS0_4KindE($this, $cx, $obj, $id, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $1=$this;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$kind;
      var $6=$1;
      var $7=(($6)|0); //@line 1411 "./jscntxt.h"
      var $8=$2; //@line 1411 "./jscntxt.h"
      HEAP32[(($7)>>2)]=$8; //@line 1411 "./jscntxt.h"
      var $9=(($6+4)|0); //@line 1411 "./jscntxt.h"
      var $10=$3; //@line 1411 "./jscntxt.h"
      HEAP32[(($9)>>2)]=$10; //@line 1411 "./jscntxt.h"
      var $11=(($6+8)|0); //@line 1411 "./jscntxt.h"
      var $12=$4; //@line 1411 "./jscntxt.h"
      HEAP32[(($11)>>2)]=$12; //@line 1411 "./jscntxt.h"
      var $13=(($6+12)|0); //@line 1411 "./jscntxt.h"
      var $14=$5; //@line 1411 "./jscntxt.h"
      HEAP32[(($13)>>2)]=$14; //@line 1411 "./jscntxt.h"
      var $15=(($6+16)|0); //@line 1411 "./jscntxt.h"
      var $16=$2; //@line 1411 "./jscntxt.h"
      var $17=(($16+40)|0); //@line 1411 "./jscntxt.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1411 "./jscntxt.h"
      HEAP32[(($15)>>2)]=$18; //@line 1411 "./jscntxt.h"
      __label__ = 2; break; //@line 1412 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1412 "./jscntxt.h"
    case 3: 
      var $21=$2; //@line 1414 "./jscntxt.h"
      var $22=(($21+40)|0); //@line 1414 "./jscntxt.h"
      HEAP32[(($22)>>2)]=$6; //@line 1414 "./jscntxt.h"
      ;
      return; //@line 1415 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_INT32_IMPL2499($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function __ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE2500($sid) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$sid;
  var $2=$1; //@line 147 "./jsclass.h"
  var $3=(($2)|0); //@line 147 "./jsclass.h"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "./jsclass.h"
  $id=$4; //@line 147 "./jsclass.h"
  var $5=$id; //@line 152 "./jsclass.h"
  ;
  return $5; //@line 152 "./jsclass.h"
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2494($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function _js_calloc2498($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject17TradeGutsReservedD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+52)|0); //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=(($4)|0)!=0; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $7=(($2)|0); //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($2+52)|0); //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$10; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($8, $11); //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=(($2+56)|0); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=0; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $17=(($2)|0); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($2+56)|0); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$20; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN9JSContext5free_EPv($18, $21); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 5; break; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $23=(($2+28)|0); //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED1Ev($23); //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($2+4)|0); //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED1Ev($24); //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject17TradeGutsReservedC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$cx;
  var $5=$1;
  var $6=(($5)|0); //@line 3786 "./jsobj.h"
  var $7=$2; //@line 3786 "./jsobj.h"
  HEAP32[(($6)>>2)]=$7; //@line 3786 "./jsobj.h"
  var $8=(($5+4)|0); //@line 3786 "./jsobj.h"
  var $9=$2; //@line 3786 "./jsobj.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $9); //@line 3786 "./jsobj.h"
  __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC1ES3_($8, $3); //@line 3786 "./jsobj.h"
  var $10=(($5+28)|0); //@line 3786 "./jsobj.h"
  var $11=$2; //@line 3786 "./jsobj.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($4, $11); //@line 3786 "./jsobj.h"
  __ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC1ES3_($10, $4); //@line 3786 "./jsobj.h"
  var $12=(($5+52)|0); //@line 3786 "./jsobj.h"
  HEAP32[(($12)>>2)]=0; //@line 3786 "./jsobj.h"
  var $13=(($5+56)|0); //@line 3786 "./jsobj.h"
  HEAP32[(($13)>>2)]=0; //@line 3786 "./jsobj.h"
  STACKTOP = __stackBase__;
  return; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN2js15AutoShapeVectorD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 2492 "./jscntxt.h"
  __ZN2js16AutoVectorRooterIPKNS_5ShapeEED2Ev($3); //@line 2492 "./jscntxt.h"
  ;
  return; //@line 2492 "./jscntxt.h"
}


function __ZN2js16AutoVectorRooterIPKNS_5ShapeEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2382 "./jscntxt.h"
  __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEED1Ev($3); //@line 2382 "./jscntxt.h"
  var $4=$2; //@line 2382 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($4); //@line 2382 "./jscntxt.h"
  ;
  return; //@line 2382 "./jscntxt.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15AutoShapeVectorC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$3; //@line 2498 "./jscntxt.h"
      var $5=$2; //@line 2498 "./jscntxt.h"
      __ZN2js16AutoVectorRooterIPKNS_5ShapeEEC2EP9JSContexti($4, $5, -4); //@line 2498 "./jscntxt.h"
      __label__ = 2; break; //@line 2499 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2499 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 2500 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoVectorRooterIPKNS_5ShapeEEC2EP9JSContexti($this, $cx, $tag) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$tag;
      var $5=$1;
      var $6=$5; //@line 2388 "./jscntxt.h"
      var $7=$2; //@line 2388 "./jscntxt.h"
      var $8=$3; //@line 2388 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($6, $7, $8); //@line 2388 "./jscntxt.h"
      var $9=(($5+12)|0); //@line 2388 "./jscntxt.h"
      var $10=$2; //@line 2388 "./jscntxt.h"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $10); //@line 2388 "./jscntxt.h"
      __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEC1ES4_($9, $4); //@line 2388 "./jscntxt.h"
      __label__ = 2; break; //@line 2389 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 2389 "./jscntxt.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 2390 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEC1ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEC2ES4_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEC2ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj32EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=8; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __Z23js_LiveFrameIfGeneratorPN2js10StackFrameE($fp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$fp;
      var $2=$1; //@line 232 "./jsiter.h"
      var $3=__ZNK2js10StackFrame16isGeneratorFrameEv($2); //@line 232 "./jsiter.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 232 "./jsiter.h"
    case 2: 
      var $5=$1; //@line 232 "./jsiter.h"
      var $6=__Z27js_FloatingFrameToGeneratorPN2js10StackFrameE($5); //@line 232 "./jsiter.h"
      var $7=__ZN11JSGenerator9liveFrameEv($6); //@line 232 "./jsiter.h"
      var $11 = $7;__label__ = 4; break; //@line 232 "./jsiter.h"
    case 3: 
      var $9=$1; //@line 232 "./jsiter.h"
      var $11 = $9;__label__ = 4; break; //@line 232 "./jsiter.h"
    case 4: 
      var $11; //@line 232 "./jsiter.h"
      ;
      return $11; //@line 232 "./jsiter.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject15getFixedSlotRefEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 895 "./jsobj.h"
  var $5=__ZNK8JSObject10fixedSlotsEv($3); //@line 895 "./jsobj.h"
  var $6=(($5+($4<<3))|0); //@line 895 "./jsobj.h"
  ;
  return $6; //@line 895 "./jsobj.h"
}


function __ZNK8JSObject11getWithThisEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 1); //@line 769 "./jsobjinlines.h"
  var $4=__ZNK2JS5Value8toObjectEv($3); //@line 769 "./jsobjinlines.h"
  ;
  return $4; //@line 769 "./jsobjinlines.h"
}


function __ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_2501($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldData;
      var $i;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 853 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 853 "./jsinferinlines.h"
      var $8=(($7)|0)==0; //@line 853 "./jsinferinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 853 "./jsinferinlines.h"
    case 2: 
      var $10=$4; //@line 855 "./jsinferinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 855 "./jsinferinlines.h"
      var $12=(($11+1)|0); //@line 855 "./jsinferinlines.h"
      HEAP32[(($10)>>2)]=$12; //@line 855 "./jsinferinlines.h"
      var $13=$3; //@line 856 "./jsinferinlines.h"
      var $14=$13; //@line 856 "./jsinferinlines.h"
      $1=$14; //@line 856 "./jsinferinlines.h"
      __label__ = 20; break; //@line 856 "./jsinferinlines.h"
    case 3: 
      var $16=$4; //@line 859 "./jsinferinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 859 "./jsinferinlines.h"
      var $18=(($17)|0)==1; //@line 859 "./jsinferinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 859 "./jsinferinlines.h"
    case 4: 
      var $20=$3; //@line 860 "./jsinferinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 860 "./jsinferinlines.h"
      var $22=$21; //@line 860 "./jsinferinlines.h"
      $oldData=$22; //@line 860 "./jsinferinlines.h"
      var $23=$oldData; //@line 861 "./jsinferinlines.h"
      var $24=__ZN2js5types13TypeObjectKey6getKeyEPS1_($23); //@line 861 "./jsinferinlines.h"
      var $25=$5; //@line 861 "./jsinferinlines.h"
      var $26=(($24)|0)==(($25)|0); //@line 861 "./jsinferinlines.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 861 "./jsinferinlines.h"
    case 5: 
      var $28=$3; //@line 862 "./jsinferinlines.h"
      var $29=$28; //@line 862 "./jsinferinlines.h"
      $1=$29; //@line 862 "./jsinferinlines.h"
      __label__ = 20; break; //@line 862 "./jsinferinlines.h"
    case 6: 
      var $31=$2; //@line 864 "./jsinferinlines.h"
      var $32=(($31+344)|0); //@line 864 "./jsinferinlines.h"
      var $33=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($32, 8); //@line 864 "./jsinferinlines.h"
      var $34=$3; //@line 864 "./jsinferinlines.h"
      HEAP32[(($34)>>2)]=$33; //@line 864 "./jsinferinlines.h"
      var $35=$3; //@line 865 "./jsinferinlines.h"
      var $36=HEAP32[(($35)>>2)]; //@line 865 "./jsinferinlines.h"
      var $37=(($36)|0)!=0; //@line 865 "./jsinferinlines.h"
      if ($37) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 865 "./jsinferinlines.h"
    case 7: 
      var $39=$oldData; //@line 866 "./jsinferinlines.h"
      var $40=$39; //@line 866 "./jsinferinlines.h"
      var $41=$3; //@line 866 "./jsinferinlines.h"
      HEAP32[(($41)>>2)]=$40; //@line 866 "./jsinferinlines.h"
      $1=0; //@line 867 "./jsinferinlines.h"
      __label__ = 20; break; //@line 867 "./jsinferinlines.h"
    case 8: 
      var $43=$3; //@line 869 "./jsinferinlines.h"
      var $44=HEAP32[(($43)>>2)]; //@line 869 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j2502($44, 8); //@line 869 "./jsinferinlines.h"
      var $45=$4; //@line 870 "./jsinferinlines.h"
      var $46=HEAP32[(($45)>>2)]; //@line 870 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 870 "./jsinferinlines.h"
      HEAP32[(($45)>>2)]=$47; //@line 870 "./jsinferinlines.h"
      var $48=$oldData; //@line 872 "./jsinferinlines.h"
      var $49=$3; //@line 872 "./jsinferinlines.h"
      var $50=HEAP32[(($49)>>2)]; //@line 872 "./jsinferinlines.h"
      var $51=(($50)|0); //@line 872 "./jsinferinlines.h"
      HEAP32[(($51)>>2)]=$48; //@line 872 "./jsinferinlines.h"
      var $52=$3; //@line 873 "./jsinferinlines.h"
      var $53=HEAP32[(($52)>>2)]; //@line 873 "./jsinferinlines.h"
      var $54=(($53+4)|0); //@line 873 "./jsinferinlines.h"
      $1=$54; //@line 873 "./jsinferinlines.h"
      __label__ = 20; break; //@line 873 "./jsinferinlines.h"
    case 9: 
      var $56=$4; //@line 876 "./jsinferinlines.h"
      var $57=HEAPU32[(($56)>>2)]; //@line 876 "./jsinferinlines.h"
      var $58=(($57)>>>0) <= 8; //@line 876 "./jsinferinlines.h"
      if ($58) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 876 "./jsinferinlines.h"
    case 10: 
      $i=0; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 11: 
      var $61=$i; //@line 877 "./jsinferinlines.h"
      var $62=$4; //@line 877 "./jsinferinlines.h"
      var $63=HEAPU32[(($62)>>2)]; //@line 877 "./jsinferinlines.h"
      var $64=(($61)>>>0) < (($63)>>>0); //@line 877 "./jsinferinlines.h"
      if ($64) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 877 "./jsinferinlines.h"
    case 12: 
      var $66=$i; //@line 878 "./jsinferinlines.h"
      var $67=$3; //@line 878 "./jsinferinlines.h"
      var $68=HEAP32[(($67)>>2)]; //@line 878 "./jsinferinlines.h"
      var $69=(($68+($66<<2))|0); //@line 878 "./jsinferinlines.h"
      var $70=HEAP32[(($69)>>2)]; //@line 878 "./jsinferinlines.h"
      var $71=__ZN2js5types13TypeObjectKey6getKeyEPS1_($70); //@line 878 "./jsinferinlines.h"
      var $72=$5; //@line 878 "./jsinferinlines.h"
      var $73=(($71)|0)==(($72)|0); //@line 878 "./jsinferinlines.h"
      if ($73) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 878 "./jsinferinlines.h"
    case 13: 
      var $75=$i; //@line 879 "./jsinferinlines.h"
      var $76=$3; //@line 879 "./jsinferinlines.h"
      var $77=HEAP32[(($76)>>2)]; //@line 879 "./jsinferinlines.h"
      var $78=(($77+($75<<2))|0); //@line 879 "./jsinferinlines.h"
      $1=$78; //@line 879 "./jsinferinlines.h"
      __label__ = 20; break; //@line 879 "./jsinferinlines.h"
    case 14: 
      __label__ = 15; break; //@line 880 "./jsinferinlines.h"
    case 15: 
      var $81=$i; //@line 877 "./jsinferinlines.h"
      var $82=(($81+1)|0); //@line 877 "./jsinferinlines.h"
      $i=$82; //@line 877 "./jsinferinlines.h"
      __label__ = 11; break; //@line 877 "./jsinferinlines.h"
    case 16: 
      var $84=$4; //@line 882 "./jsinferinlines.h"
      var $85=HEAPU32[(($84)>>2)]; //@line 882 "./jsinferinlines.h"
      var $86=(($85)>>>0) < 8; //@line 882 "./jsinferinlines.h"
      if ($86) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 882 "./jsinferinlines.h"
    case 17: 
      var $88=$4; //@line 883 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 883 "./jsinferinlines.h"
      var $90=(($89+1)|0); //@line 883 "./jsinferinlines.h"
      HEAP32[(($88)>>2)]=$90; //@line 883 "./jsinferinlines.h"
      var $91=$4; //@line 884 "./jsinferinlines.h"
      var $92=HEAP32[(($91)>>2)]; //@line 884 "./jsinferinlines.h"
      var $93=(($92-1)|0); //@line 884 "./jsinferinlines.h"
      var $94=$3; //@line 884 "./jsinferinlines.h"
      var $95=HEAP32[(($94)>>2)]; //@line 884 "./jsinferinlines.h"
      var $96=(($95+($93<<2))|0); //@line 884 "./jsinferinlines.h"
      $1=$96; //@line 884 "./jsinferinlines.h"
      __label__ = 20; break; //@line 884 "./jsinferinlines.h"
    case 18: 
      __label__ = 19; break; //@line 886 "./jsinferinlines.h"
    case 19: 
      var $99=$2; //@line 888 "./jsinferinlines.h"
      var $100=$3; //@line 888 "./jsinferinlines.h"
      var $101=$4; //@line 888 "./jsinferinlines.h"
      var $102=$5; //@line 888 "./jsinferinlines.h"
      var $103=__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_2503($99, $100, $101, $102); //@line 888 "./jsinferinlines.h"
      $1=$103; //@line 888 "./jsinferinlines.h"
      __label__ = 20; break; //@line 888 "./jsinferinlines.h"
    case 20: 
      var $105=$1; //@line 889 "./jsinferinlines.h"
      ;
      return $105; //@line 889 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_2501["X"]=1;

function __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j2502($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_2503($compartment, $values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $capacity;
      var $insertpos;
      var $converting;
      var $newCapacity;
      var $newValues;
      var $i;
      var $pos;
      $2=$compartment;
      $3=$values;
      $4=$count;
      $5=$key;
      var $6=$4; //@line 801 "./jsinferinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 801 "./jsinferinlines.h"
      var $8=__ZN2js5typesL15HashSetCapacityEj2493($7); //@line 801 "./jsinferinlines.h"
      $capacity=$8; //@line 801 "./jsinferinlines.h"
      var $9=$5; //@line 802 "./jsinferinlines.h"
      var $10=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_2504($9); //@line 802 "./jsinferinlines.h"
      var $11=$capacity; //@line 802 "./jsinferinlines.h"
      var $12=(($11-1)|0); //@line 802 "./jsinferinlines.h"
      var $13=$10 & $12; //@line 802 "./jsinferinlines.h"
      $insertpos=$13; //@line 802 "./jsinferinlines.h"
      var $14=$4; //@line 805 "./jsinferinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 805 "./jsinferinlines.h"
      var $16=(($15)|0)==8; //@line 805 "./jsinferinlines.h"
      var $17=(($16)&1); //@line 805 "./jsinferinlines.h"
      $converting=$17; //@line 805 "./jsinferinlines.h"
      var $18=$converting; //@line 807 "./jsinferinlines.h"
      var $19=(($18) & 1); //@line 807 "./jsinferinlines.h"
      if ($19) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 807 "./jsinferinlines.h"
    case 2: 
      __label__ = 3; break; //@line 808 "./jsinferinlines.h"
    case 3: 
      var $22=$insertpos; //@line 808 "./jsinferinlines.h"
      var $23=$3; //@line 808 "./jsinferinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 808 "./jsinferinlines.h"
      var $25=(($24+($22<<2))|0); //@line 808 "./jsinferinlines.h"
      var $26=HEAP32[(($25)>>2)]; //@line 808 "./jsinferinlines.h"
      var $27=(($26)|0)!=0; //@line 808 "./jsinferinlines.h"
      if ($27) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 808 "./jsinferinlines.h"
    case 4: 
      var $29=$insertpos; //@line 809 "./jsinferinlines.h"
      var $30=$3; //@line 809 "./jsinferinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 809 "./jsinferinlines.h"
      var $32=(($31+($29<<2))|0); //@line 809 "./jsinferinlines.h"
      var $33=HEAP32[(($32)>>2)]; //@line 809 "./jsinferinlines.h"
      var $34=__ZN2js5types13TypeObjectKey6getKeyEPS1_($33); //@line 809 "./jsinferinlines.h"
      var $35=$5; //@line 809 "./jsinferinlines.h"
      var $36=(($34)|0)==(($35)|0); //@line 809 "./jsinferinlines.h"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 809 "./jsinferinlines.h"
    case 5: 
      var $38=$insertpos; //@line 810 "./jsinferinlines.h"
      var $39=$3; //@line 810 "./jsinferinlines.h"
      var $40=HEAP32[(($39)>>2)]; //@line 810 "./jsinferinlines.h"
      var $41=(($40+($38<<2))|0); //@line 810 "./jsinferinlines.h"
      $1=$41; //@line 810 "./jsinferinlines.h"
      __label__ = 25; break; //@line 810 "./jsinferinlines.h"
    case 6: 
      var $43=$insertpos; //@line 811 "./jsinferinlines.h"
      var $44=(($43+1)|0); //@line 811 "./jsinferinlines.h"
      var $45=$capacity; //@line 811 "./jsinferinlines.h"
      var $46=(($45-1)|0); //@line 811 "./jsinferinlines.h"
      var $47=$44 & $46; //@line 811 "./jsinferinlines.h"
      $insertpos=$47; //@line 811 "./jsinferinlines.h"
      __label__ = 3; break; //@line 812 "./jsinferinlines.h"
    case 7: 
      __label__ = 8; break; //@line 813 "./jsinferinlines.h"
    case 8: 
      var $50=$4; //@line 815 "./jsinferinlines.h"
      var $51=HEAP32[(($50)>>2)]; //@line 815 "./jsinferinlines.h"
      var $52=(($51+1)|0); //@line 815 "./jsinferinlines.h"
      HEAP32[(($50)>>2)]=$52; //@line 815 "./jsinferinlines.h"
      var $53=$4; //@line 816 "./jsinferinlines.h"
      var $54=HEAP32[(($53)>>2)]; //@line 816 "./jsinferinlines.h"
      var $55=__ZN2js5typesL15HashSetCapacityEj2493($54); //@line 816 "./jsinferinlines.h"
      $newCapacity=$55; //@line 816 "./jsinferinlines.h"
      var $56=$newCapacity; //@line 818 "./jsinferinlines.h"
      var $57=$capacity; //@line 818 "./jsinferinlines.h"
      var $58=(($56)|0)==(($57)|0); //@line 818 "./jsinferinlines.h"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 818 "./jsinferinlines.h"
    case 9: 
      var $60=$insertpos; //@line 820 "./jsinferinlines.h"
      var $61=$3; //@line 820 "./jsinferinlines.h"
      var $62=HEAP32[(($61)>>2)]; //@line 820 "./jsinferinlines.h"
      var $63=(($62+($60<<2))|0); //@line 820 "./jsinferinlines.h"
      $1=$63; //@line 820 "./jsinferinlines.h"
      __label__ = 25; break; //@line 820 "./jsinferinlines.h"
    case 10: 
      var $65=$2; //@line 823 "./jsinferinlines.h"
      var $66=(($65+344)|0); //@line 823 "./jsinferinlines.h"
      var $67=$newCapacity; //@line 823 "./jsinferinlines.h"
      var $68=__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj($66, $67); //@line 823 "./jsinferinlines.h"
      $newValues=$68; //@line 823 "./jsinferinlines.h"
      var $69=$newValues; //@line 824 "./jsinferinlines.h"
      var $70=(($69)|0)!=0; //@line 824 "./jsinferinlines.h"
      if ($70) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 824 "./jsinferinlines.h"
    case 11: 
      $1=0; //@line 825 "./jsinferinlines.h"
      __label__ = 25; break; //@line 825 "./jsinferinlines.h"
    case 12: 
      var $73=$newValues; //@line 826 "./jsinferinlines.h"
      var $74=$newCapacity; //@line 826 "./jsinferinlines.h"
      __ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j2502($73, $74); //@line 826 "./jsinferinlines.h"
      $i=0; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 13: 
      var $76=$i; //@line 828 "./jsinferinlines.h"
      var $77=$capacity; //@line 828 "./jsinferinlines.h"
      var $78=(($76)>>>0) < (($77)>>>0); //@line 828 "./jsinferinlines.h"
      if ($78) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 828 "./jsinferinlines.h"
    case 14: 
      var $80=$i; //@line 829 "./jsinferinlines.h"
      var $81=$3; //@line 829 "./jsinferinlines.h"
      var $82=HEAP32[(($81)>>2)]; //@line 829 "./jsinferinlines.h"
      var $83=(($82+($80<<2))|0); //@line 829 "./jsinferinlines.h"
      var $84=HEAP32[(($83)>>2)]; //@line 829 "./jsinferinlines.h"
      var $85=(($84)|0)!=0; //@line 829 "./jsinferinlines.h"
      if ($85) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 829 "./jsinferinlines.h"
    case 15: 
      var $87=$i; //@line 830 "./jsinferinlines.h"
      var $88=$3; //@line 830 "./jsinferinlines.h"
      var $89=HEAP32[(($88)>>2)]; //@line 830 "./jsinferinlines.h"
      var $90=(($89+($87<<2))|0); //@line 830 "./jsinferinlines.h"
      var $91=HEAP32[(($90)>>2)]; //@line 830 "./jsinferinlines.h"
      var $92=__ZN2js5types13TypeObjectKey6getKeyEPS1_($91); //@line 830 "./jsinferinlines.h"
      var $93=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_2504($92); //@line 830 "./jsinferinlines.h"
      var $94=$newCapacity; //@line 830 "./jsinferinlines.h"
      var $95=(($94-1)|0); //@line 830 "./jsinferinlines.h"
      var $96=$93 & $95; //@line 830 "./jsinferinlines.h"
      $pos=$96; //@line 830 "./jsinferinlines.h"
      __label__ = 16; break; //@line 831 "./jsinferinlines.h"
    case 16: 
      var $98=$pos; //@line 831 "./jsinferinlines.h"
      var $99=$newValues; //@line 831 "./jsinferinlines.h"
      var $100=(($99+($98<<2))|0); //@line 831 "./jsinferinlines.h"
      var $101=HEAP32[(($100)>>2)]; //@line 831 "./jsinferinlines.h"
      var $102=(($101)|0)!=0; //@line 831 "./jsinferinlines.h"
      if ($102) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 831 "./jsinferinlines.h"
    case 17: 
      var $104=$pos; //@line 832 "./jsinferinlines.h"
      var $105=(($104+1)|0); //@line 832 "./jsinferinlines.h"
      var $106=$newCapacity; //@line 832 "./jsinferinlines.h"
      var $107=(($106-1)|0); //@line 832 "./jsinferinlines.h"
      var $108=$105 & $107; //@line 832 "./jsinferinlines.h"
      $pos=$108; //@line 832 "./jsinferinlines.h"
      __label__ = 16; break; //@line 832 "./jsinferinlines.h"
    case 18: 
      var $110=$i; //@line 833 "./jsinferinlines.h"
      var $111=$3; //@line 833 "./jsinferinlines.h"
      var $112=HEAP32[(($111)>>2)]; //@line 833 "./jsinferinlines.h"
      var $113=(($112+($110<<2))|0); //@line 833 "./jsinferinlines.h"
      var $114=HEAP32[(($113)>>2)]; //@line 833 "./jsinferinlines.h"
      var $115=$pos; //@line 833 "./jsinferinlines.h"
      var $116=$newValues; //@line 833 "./jsinferinlines.h"
      var $117=(($116+($115<<2))|0); //@line 833 "./jsinferinlines.h"
      HEAP32[(($117)>>2)]=$114; //@line 833 "./jsinferinlines.h"
      __label__ = 19; break; //@line 834 "./jsinferinlines.h"
    case 19: 
      __label__ = 20; break; //@line 835 "./jsinferinlines.h"
    case 20: 
      var $120=$i; //@line 828 "./jsinferinlines.h"
      var $121=(($120+1)|0); //@line 828 "./jsinferinlines.h"
      $i=$121; //@line 828 "./jsinferinlines.h"
      __label__ = 13; break; //@line 828 "./jsinferinlines.h"
    case 21: 
      var $123=$newValues; //@line 837 "./jsinferinlines.h"
      var $124=$3; //@line 837 "./jsinferinlines.h"
      HEAP32[(($124)>>2)]=$123; //@line 837 "./jsinferinlines.h"
      var $125=$5; //@line 839 "./jsinferinlines.h"
      var $126=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_2504($125); //@line 839 "./jsinferinlines.h"
      var $127=$newCapacity; //@line 839 "./jsinferinlines.h"
      var $128=(($127-1)|0); //@line 839 "./jsinferinlines.h"
      var $129=$126 & $128; //@line 839 "./jsinferinlines.h"
      $insertpos=$129; //@line 839 "./jsinferinlines.h"
      __label__ = 22; break; //@line 840 "./jsinferinlines.h"
    case 22: 
      var $131=$insertpos; //@line 840 "./jsinferinlines.h"
      var $132=$3; //@line 840 "./jsinferinlines.h"
      var $133=HEAP32[(($132)>>2)]; //@line 840 "./jsinferinlines.h"
      var $134=(($133+($131<<2))|0); //@line 840 "./jsinferinlines.h"
      var $135=HEAP32[(($134)>>2)]; //@line 840 "./jsinferinlines.h"
      var $136=(($135)|0)!=0; //@line 840 "./jsinferinlines.h"
      if ($136) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 840 "./jsinferinlines.h"
    case 23: 
      var $138=$insertpos; //@line 841 "./jsinferinlines.h"
      var $139=(($138+1)|0); //@line 841 "./jsinferinlines.h"
      var $140=$newCapacity; //@line 841 "./jsinferinlines.h"
      var $141=(($140-1)|0); //@line 841 "./jsinferinlines.h"
      var $142=$139 & $141; //@line 841 "./jsinferinlines.h"
      $insertpos=$142; //@line 841 "./jsinferinlines.h"
      __label__ = 22; break; //@line 841 "./jsinferinlines.h"
    case 24: 
      var $144=$insertpos; //@line 842 "./jsinferinlines.h"
      var $145=$3; //@line 842 "./jsinferinlines.h"
      var $146=HEAP32[(($145)>>2)]; //@line 842 "./jsinferinlines.h"
      var $147=(($146+($144<<2))|0); //@line 842 "./jsinferinlines.h"
      $1=$147; //@line 842 "./jsinferinlines.h"
      __label__ = 25; break; //@line 842 "./jsinferinlines.h"
    case 25: 
      var $149=$1; //@line 843 "./jsinferinlines.h"
      ;
      return $149; //@line 843 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_2503["X"]=1;

function __ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_2504($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types13TypeObjectKey7keyBitsEPS1_($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js7analyzeL8ThisSlotEv2506() {
  ;
  var __label__;

  ;
  return 1; //@line 419 "./jsanalyze.h"
}


function __ZL14JSID_FROM_BITSj2517($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZL25AssertInnerizedScopeChainP9JSContextR8JSObject($cx, $scopeobj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$scopeobj;
  ;
  return; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function _JSVAL_TO_OBJECT_IMPL2507($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_OR_NULL_IMPL2508($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 538 "./jsval.h"
  var $2=(($1+4)|0); //@line 538 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 538 "./jsval.h"
  var $4=(($3)>>>0) >= 4294967174; //@line 538 "./jsval.h"
  var $5=(($4)&1); //@line 538 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 538 "./jsval.h"
}


function __ZNK2js8PropDesc16isDataDescriptorEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 200 "./jsobj.h"
      var $4=(($3+33)|0); //@line 200 "./jsobj.h"
      var $5=HEAPU8[($4)]; //@line 200 "./jsobj.h"
      var $6=(($5)&255) >>> 2; //@line 200 "./jsobj.h"
      var $7=$6 & 1; //@line 200 "./jsobj.h"
      var $8=(($7) & 1); //@line 200 "./jsobj.h"
      if ($8) { var $17 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 200 "./jsobj.h"
    case 2: 
      var $10=$2; //@line 200 "./jsobj.h"
      var $11=(($10+33)|0); //@line 200 "./jsobj.h"
      var $12=HEAPU8[($11)]; //@line 200 "./jsobj.h"
      var $13=(($12)&255) >>> 3; //@line 200 "./jsobj.h"
      var $14=$13 & 1; //@line 200 "./jsobj.h"
      var $15=(($14) & 1); //@line 200 "./jsobj.h"
      var $17 = $15;__label__ = 3; break; //@line 200 "./jsobj.h"
    case 3: 
      var $17;
      ;
      return $17; //@line 200 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js8PropDesc20isAccessorDescriptorEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 195 "./jsobj.h"
      var $4=(($3+33)|0); //@line 195 "./jsobj.h"
      var $5=HEAP8[($4)]; //@line 195 "./jsobj.h"
      var $6=$5 & 1; //@line 195 "./jsobj.h"
      var $7=(($6) & 1); //@line 195 "./jsobj.h"
      if ($7) { var $16 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 195 "./jsobj.h"
    case 2: 
      var $9=$2; //@line 195 "./jsobj.h"
      var $10=(($9+33)|0); //@line 195 "./jsobj.h"
      var $11=HEAPU8[($10)]; //@line 195 "./jsobj.h"
      var $12=(($11)&255) >>> 1; //@line 195 "./jsobj.h"
      var $13=$12 & 1; //@line 195 "./jsobj.h"
      var $14=(($13) & 1); //@line 195 "./jsobj.h"
      var $16 = $14;__label__ = 3; break; //@line 195 "./jsobj.h"
    case 3: 
      var $16;
      ;
      return $16; //@line 195 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js8PropDesc11getterValueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 228 "./jsobj.h"
  ;
  return $3; //@line 228 "./jsobj.h"
}


function __ZNK2js8PropDesc11setterValueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 231 "./jsobj.h"
  ;
  return $3; //@line 231 "./jsobj.h"
}


function __ZNK2js8PropDesc8writableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 217 "./jsobj.h"
  var $4=HEAPU8[($3)]; //@line 217 "./jsobj.h"
  var $5=(($4)&255); //@line 217 "./jsobj.h"
  var $6=$5 & 2; //@line 217 "./jsobj.h"
  var $7=(($6)|0)==0; //@line 217 "./jsobj.h"
  ;
  return $7; //@line 217 "./jsobj.h"
}


function __ZNK2js8PropDesc12configurableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 209 "./jsobj.h"
  var $4=HEAPU8[($3)]; //@line 209 "./jsobj.h"
  var $5=(($4)&255); //@line 209 "./jsobj.h"
  var $6=$5 & 4; //@line 209 "./jsobj.h"
  var $7=(($6)|0)==0; //@line 209 "./jsobj.h"
  ;
  return $7; //@line 209 "./jsobj.h"
}


function __ZNK2js8PropDesc10enumerableEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 213 "./jsobj.h"
  var $4=HEAPU8[($3)]; //@line 213 "./jsobj.h"
  var $5=(($4)&255); //@line 213 "./jsobj.h"
  var $6=$5 & 1; //@line 213 "./jsobj.h"
  var $7=(($6)|0)!=0; //@line 213 "./jsobj.h"
  ;
  return $7; //@line 213 "./jsobj.h"
}


function _OBJECT_TO_JSVAL_IMPL2516($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL2518($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_2505($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types13TypeObjectKey6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types13TypeObjectKey6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj2493($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_2504($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types13TypeObjectKey6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_2505["X"]=1;

function __ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_2509($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; HEAP8[($3+2)]=0; HEAP8[($3+3)]=0; HEAP8[($3+4)]=0; HEAP8[($3+5)]=0; HEAP8[($3+6)]=0; HEAP8[($3+7)]=0; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2510($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2466($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2467($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2510["X"]=1;

function __ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject($cx, $argc, $vp, $method, $objp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v;
      var $bytes;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$method;
      $6=$objp;
      var $7=$3; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=(($7)|0)==0; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $10=$2; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$5; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($10, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$11,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str332236)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str342237)|0),tempInt)); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $13=$4; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+16)|0); //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $v=$14; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$v; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=__ZNK2JS5Value8isObjectEv($15); //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$2; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$v; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=__ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString2290($18, 1, $19, 0); //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $bytes=$20; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$bytes; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21)|0)!=0; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $25=$2; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=$bytes; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 222, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$26,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str82193)|0),tempInt)); //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=$2; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$bytes; //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_free($27, $28); //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $30=$v; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=__ZNK2JS5Value8toObjectEv($30); //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=$6; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 1905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 8; break; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $34=$1; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $34; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject["X"]=1;

function __ZL12JSID_IS_ATOMi2511($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING2486($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZN2jsL15MakeRangeGCSafeEPN2JS5ValueES2_2512($beg, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$beg;
  $2=$end;
  var $3=$1; //@line 372 "./jsinterp.h"
  var $4=$2; //@line 372 "./jsinterp.h"
  var $5=$1; //@line 372 "./jsinterp.h"
  var $6=$4; //@line 372 "./jsinterp.h"
  var $7=$5; //@line 372 "./jsinterp.h"
  var $8=(($6-$7)|0); //@line 372 "./jsinterp.h"
  var $9=(((($8)|0)/8)&-1); //@line 372 "./jsinterp.h"
  __ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j2513($3, $9); //@line 372 "./jsinterp.h"
  ;
  return; //@line 373 "./jsinterp.h"
}


function __ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j2513($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<3))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2514($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb2335($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2465($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZL17obj_watch_handlerP9JSContextP8JSObjectiN2JS5ValueEPS4_Pv($cx, $obj, $id, $0, $nvp, $closure) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $old=__stackBase__;
      var $6;
      var $7;
      var $callable;
      var $watcher;
      var $scopeChain;
      var $subject;
      var $resolving=__stackBase__+8;
      var $8;
      var $argv=__stackBase__+28;
      var $9=__stackBase__+52;
      var $10=__stackBase__+60;
      $3=$cx;
      $4=$obj;
      $5=$id;
      var $11=$old;
      var $12=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];
      $6=$nvp;
      $7=$closure;
      var $13=$7; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$13; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $callable=$14; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=$callable; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$3; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZN8JSObject10principalsEP9JSContext($15, $16); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $watcher=$17; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$watcher; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18)|0)!=0; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $21=$3; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=(($21+60)|0); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=__ZNK2js12ContextStack25currentScriptedScopeChainEv($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scopeChain=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$scopeChain; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($24)|0)!=0; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $27=$scopeChain; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$3; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=__ZN8JSObject10principalsEP9JSContext($27, $28); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $subject=$29; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$subject; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($30)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($31) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $33=$watcher; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=(($33+20)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$watcher; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$subject; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=FUNCTION_TABLE[$35]($36, $37); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38)|0)!=0; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $2=1; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      __label__ = 7; break; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __label__ = 8; break; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      __label__ = 9; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $45=$3; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=$4; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=$5; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2js13AutoResolvingC1EP9JSContextP8JSObjectiNS0_4KindE($resolving, $45, $46, $47, 1); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=__ZNK2js13AutoResolving14alreadyStartedEv($resolving); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      $2=1; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 12; break; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $51=(($argv)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=$5; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL9IdToValueEi2416($51, $52); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $53=(($51+8)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $54=$53; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=$old; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)]; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=(($53+8)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=$6; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $58=$56; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $59=$57; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=$3; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=$4; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL11ObjectValueER8JSObject2354($9, $61); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$callable; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject2355($10, $62); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=(($argv)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=$6; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($60, $9, $10, 3, $63, $64); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=(($65)&1); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $2=$66; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 12; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      __ZN2js13AutoResolvingD1Ev($resolving); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 13; break;
    case 13: 
      var $69=$2; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $69; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17obj_watch_handlerP9JSContextP8JSObjectiN2JS5ValueEPS4_Pv["X"]=1;

function __ZN2jsL12PodArrayZeroIN2JS5ValueELj4EEEvRAT0__T_2515($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  var $4=$3; //@line 684 "./jsutil.h"
  _memset($4, 0, 32, 1); //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function __ZNK2js8PropDesc19isGenericDescriptorEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js8PropDesc20isAccessorDescriptorEv($2); //@line 205 "./jsobj.h"
      if ($3) { var $8 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 205 "./jsobj.h"
    case 2: 
      var $5=__ZNK2js8PropDesc16isDataDescriptorEv($2); //@line 205 "./jsobj.h"
      var $6=$5 ^ 1; //@line 205 "./jsobj.h"
      var $8 = $6;__label__ = 3; break;
    case 3: 
      var $8;
      ;
      return $8; //@line 206 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js8PropDesc6getterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js8PropDesc12getterObjectEv($2); //@line 235 "./jsobj.h"
  var $4=__ZN2jsL16CastAsPropertyOpEP8JSObject2286($3); //@line 235 "./jsobj.h"
  ;
  return $4; //@line 235 "./jsobj.h"
}


function __ZNK2js8PropDesc6setterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js8PropDesc12setterObjectEv($2); //@line 238 "./jsobj.h"
  var $4=__ZN2jsL22CastAsStrictPropertyOpEP8JSObject2289($3); //@line 238 "./jsobj.h"
  ;
  return $4; //@line 238 "./jsobj.h"
}


function __ZNK2js5Shape17getterOrUndefinedEv($agg_result, $this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js5Shape14hasGetterValueEv($2); //@line 555 "./jsscope.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 555 "./jsscope.h"
    case 2: 
      var $5=(($2+16)|0); //@line 555 "./jsscope.h"
      var $6=$5; //@line 555 "./jsscope.h"
      var $7=HEAP32[(($6)>>2)]; //@line 555 "./jsscope.h"
      var $8=(($7)|0)!=0; //@line 555 "./jsscope.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 555 "./jsscope.h"
    case 3: 
      var $10=(($2+16)|0); //@line 555 "./jsscope.h"
      var $11=$10; //@line 555 "./jsscope.h"
      var $12=HEAP32[(($11)>>2)]; //@line 555 "./jsscope.h"
      __ZN2JSL11ObjectValueER8JSObject2354($agg_result, $12); //@line 555 "./jsscope.h"
      __label__ = 5; break; //@line 555 "./jsscope.h"
    case 4: 
      __ZN2JSL14UndefinedValueEv2280($agg_result); //@line 555 "./jsscope.h"
      __label__ = 5; break; //@line 555 "./jsscope.h"
    case 5: 
      ;
      return; //@line 555 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5Shape17setterOrUndefinedEv($agg_result, $this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js5Shape14hasSetterValueEv($2); //@line 570 "./jsscope.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 570 "./jsscope.h"
    case 2: 
      var $5=(($2+20)|0); //@line 570 "./jsscope.h"
      var $6=$5; //@line 570 "./jsscope.h"
      var $7=HEAP32[(($6)>>2)]; //@line 570 "./jsscope.h"
      var $8=(($7)|0)!=0; //@line 570 "./jsscope.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 570 "./jsscope.h"
    case 3: 
      var $10=(($2+20)|0); //@line 570 "./jsscope.h"
      var $11=$10; //@line 570 "./jsscope.h"
      var $12=HEAP32[(($11)>>2)]; //@line 570 "./jsscope.h"
      __ZN2JSL11ObjectValueER8JSObject2354($agg_result, $12); //@line 570 "./jsscope.h"
      __label__ = 5; break; //@line 570 "./jsscope.h"
    case 4: 
      __ZN2JSL14UndefinedValueEv2280($agg_result); //@line 570 "./jsscope.h"
      __label__ = 5; break; //@line 570 "./jsscope.h"
    case 5: 
      ;
      return; //@line 570 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6RejectP9JSContextjbiPb($cx, $errorNumber, $throwError, $id, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $idstr=__stackBase__;
      var $7=__stackBase__+4;
      var $bytes=__stackBase__+12;
      var $8;
      $2=$cx;
      $3=$errorNumber;
      var $9=(($throwError)&1);
      $4=$9;
      $5=$id;
      $6=$rval;
      var $10=$4; //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($10) & 1); //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$2; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$5; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN2jsL9IdToValueEi2416($7, $14); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($13, $7, $idstr); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $1=0; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $18=$2; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=HEAP32[(($idstr)>>2)]; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=_JSID_TO_STRING2421($19); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($bytes, $18, $20); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=__ZNK16JSAutoByteStringntEv($bytes); //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      $1=0; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 7; break; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $24=$2; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=$3; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      _JS_ReportErrorNumber($24, 2, 0, $25, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$26,tempInt)); //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=0; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $8=1;
      __label__ = 7; break; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break;
    case 8: 
      var $29=$6; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($29)]=0; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=1; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 9; break; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $31=$1; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6RejectP9JSContextjbiPb["X"]=1;

function __ZNK2js8PropDesc12setterObjectEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 224 "./jsobj.h"
      var $4=__ZNK2JS5Value11isUndefinedEv($3); //@line 224 "./jsobj.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 224 "./jsobj.h"
    case 2: 
      var $10 = 0;__label__ = 4; break; //@line 224 "./jsobj.h"
    case 3: 
      var $7=(($2+24)|0); //@line 224 "./jsobj.h"
      var $8=__ZNK2JS5Value8toObjectEv($7); //@line 224 "./jsobj.h"
      var $10 = $8;__label__ = 4; break; //@line 224 "./jsobj.h"
    case 4: 
      var $10; //@line 224 "./jsobj.h"
      ;
      return $10; //@line 224 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js8PropDesc12getterObjectEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+16)|0); //@line 221 "./jsobj.h"
      var $4=__ZNK2JS5Value11isUndefinedEv($3); //@line 221 "./jsobj.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 221 "./jsobj.h"
    case 2: 
      var $10 = 0;__label__ = 4; break; //@line 221 "./jsobj.h"
    case 3: 
      var $7=(($2+16)|0); //@line 221 "./jsobj.h"
      var $8=__ZNK2JS5Value8toObjectEv($7); //@line 221 "./jsobj.h"
      var $10 = $8;__label__ = 4; break; //@line 221 "./jsobj.h"
    case 4: 
      var $10; //@line 221 "./jsobj.h"
      ;
      return $10; //@line 221 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21AutoFunctionCallProbeD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 692 "./jsprobes.h"
  var $4=HEAP32[(($3)>>2)]; //@line 692 "./jsprobes.h"
  var $5=(($2+4)|0); //@line 692 "./jsprobes.h"
  var $6=HEAP32[(($5)>>2)]; //@line 692 "./jsprobes.h"
  var $7=(($2+8)|0); //@line 692 "./jsprobes.h"
  var $8=HEAP32[(($7)>>2)]; //@line 692 "./jsprobes.h"
  var $9=__ZN2js6Probes9exitJSFunEP9JSContextP10JSFunctionP8JSScripti($4, $6, $8, 0); //@line 692 "./jsprobes.h"
  ;
  return; //@line 693 "./jsprobes.h"
}


function __ZN2js21AutoFunctionCallProbeC2EP9JSContextP10JSFunctionP8JSScript($this, $cx, $fun, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$fun;
      $4=$script;
      var $5=$1;
      var $6=(($5)|0); //@line 686 "./jsprobes.h"
      var $7=$2; //@line 686 "./jsprobes.h"
      HEAP32[(($6)>>2)]=$7; //@line 686 "./jsprobes.h"
      var $8=(($5+4)|0); //@line 686 "./jsprobes.h"
      var $9=$3; //@line 686 "./jsprobes.h"
      HEAP32[(($8)>>2)]=$9; //@line 686 "./jsprobes.h"
      var $10=(($5+8)|0); //@line 686 "./jsprobes.h"
      var $11=$4; //@line 686 "./jsprobes.h"
      HEAP32[(($10)>>2)]=$11; //@line 686 "./jsprobes.h"
      __label__ = 2; break; //@line 687 "./jsprobes.h"
    case 2: 
      __label__ = 3; break; //@line 687 "./jsprobes.h"
    case 3: 
      var $14=$2; //@line 688 "./jsprobes.h"
      var $15=$3; //@line 688 "./jsprobes.h"
      var $16=$4; //@line 688 "./jsprobes.h"
      var $17=__ZN2js6Probes10enterJSFunEP9JSContextP10JSFunctionP8JSScripti($14, $15, $16, 1); //@line 688 "./jsprobes.h"
      ;
      return; //@line 689 "./jsprobes.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN15EvalScriptGuard11foundScriptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=(($4)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$5 ^ 1; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=$6 ^ 1; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $7; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZNK15EvalScriptGuard6scriptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return $4; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function _JSVAL_IS_UNDEFINED_IMPL2519($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL2520($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL2521($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL2522($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL2523($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL2524($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL2525($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function __ZN10JSONParserC1EP9JSContextPKtjNS_11ParsingModeENS_13ErrorHandlingE($this, $cx, $data, $length, $parsingMode, $errorHandling) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$data;
  $4=$length;
  $5=$parsingMode;
  $6=$errorHandling;
  var $7=$1;
  var $8=$2; //@line 101 "./jsonparser.h"
  var $9=$3; //@line 101 "./jsonparser.h"
  var $10=$4; //@line 101 "./jsonparser.h"
  var $11=$5; //@line 101 "./jsonparser.h"
  var $12=$6; //@line 101 "./jsonparser.h"
  __ZN10JSONParserC2EP9JSContextPKtjNS_11ParsingModeENS_13ErrorHandlingE($7, $8, $9, $10, $11, $12); //@line 101 "./jsonparser.h"
  ;
  return; //@line 101 "./jsonparser.h"
}


function __ZN15EvalScriptGuardC1EP9JSContextP14JSLinearString($this, $cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$str;
  var $4=$1;
  var $5=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$3; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __ZN15EvalScriptGuardC2EP9JSContextP14JSLinearString($4, $5, $6); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN15EvalScriptGuard17lookupInEvalCacheEPN2js10StackFrameEjP12JSPrincipalsR8JSObject($this, $caller, $staticLevel, $principals, $scopeobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $found;
      $1=$this;
      $2=$caller;
      $3=$staticLevel;
      $4=$principals;
      $5=$scopeobj;
      var $6=$1;
      var $7=(($6)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($6+4)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=$2; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=$3; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$4; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=$5; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($6+8)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=__ZL15EvalCacheLookupP9JSContextP14JSLinearStringPN2js10StackFrameEjP12JSPrincipalsR8JSObjectPP8JSScript($8, $10, $11, $12, $13, $14, $16); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $found=$17; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$found; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18)|0)!=0; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $21=(($6)|0); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$found; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z20js_CallNewScriptHookP9JSContextP8JSScriptP10JSFunction($22, $23, 0); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$found; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=(($6+12)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($25)>>2)]=$24; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($6+12)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$27; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+37)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=HEAP8[($29)]; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=$30 & 127; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($29)]=$31; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($6+12)|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$33; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($34+37)|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=HEAP8[($35)]; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=$36 & -65; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$37 | 64; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($35)]=$38; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      ;
      return; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN15EvalScriptGuard17lookupInEvalCacheEPN2js10StackFrameEjP12JSPrincipalsR8JSObject["X"]=1;

function __ZN15EvalScriptGuard12setNewScriptEP8JSScript($this, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$script;
  var $3=$1;
  var $4=$2; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $5=HEAP32[((__ZL16JS_CACHED_SCRIPT)>>2)]; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  __ZN8JSScript14setOwnerObjectEP8JSObject($4, $5); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=(($3+12)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  HEAP32[(($7)>>2)]=$6; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=(($3+12)|0); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$9; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=(($10+37)|0); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=HEAP8[($11)]; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=$12 & -65; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $14=$13 | 64; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  HEAP8[($11)]=$14; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN15EvalScriptGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN15EvalScriptGuardD2Ev($2); //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZN15EvalScriptGuardD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=(($4)|0)!=0; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $7=(($2)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($2+12)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __Z24js_CallDestroyScriptHookP9JSContextP8JSScript($8, $10); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=(($2+12)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $13=$12; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13+37)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=HEAP8[($14)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $16=$15 & -65; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($14)]=$16; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=(($2+12)|0); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=(($19+37)|0); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=HEAP8[($20)]; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$21 & 127; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=$22 | -128; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP8[($20)]=$23; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=(($2+8)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($2+12)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28+84)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=$29; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($30)>>2)]=$26; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $31=(($2+12)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=(($2+8)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($34)>>2)]=$32; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      ;
      return; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15EvalCacheLookupP9JSContextP14JSLinearStringPN2js10StackFrameEjP12JSPrincipalsR8JSObjectPP8JSScript($cx, $str, $caller, $staticLevel, $principals, $scopeobj, $bucket) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $count;
      var $scriptp;
      var $version;
      var $script;
      var $fun;
      var $src;
      var $objarray;
      var $i;
      $2=$cx;
      $3=$str;
      $4=$caller;
      $5=$staticLevel;
      $6=$principals;
      $7=$scopeobj;
      $8=$bucket;
      $count=0; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=$8; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scriptp=$9; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $10=$2; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $11=__ZNK9JSContext11findVersionEv($10); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $version=$11; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      var $13=$scriptp; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $script=$14; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $15=(($14)|0)!=0; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 29; break; } //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      var $17=$script; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$17; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=(($18+36)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=HEAPU8[($19)]; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=(($20)&255) >>> 1; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=$21 & 1; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22) & 1); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 26; break; } //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $25=$script; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $26=(($25+46)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=HEAPU16[(($26)>>1)]; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=(($27)&65535); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=$5; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $30=(($28)|0)==(($29)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 26; break; } //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $32=$script; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=__ZNK8JSScript10getVersionEv($32); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$version; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=(($33)|0)==(($34)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 26; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $37=$script; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=$37; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38+37)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=HEAPU8[($39)]; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $41=(($40)&255) >>> 1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $42=$41 & 1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $43=(($42) & 1); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($43) { __label__ = 26; break; } else { __label__ = 7; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $45=$script; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $46=(($45+76)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $48=$6; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $49=(($47)|0)==(($48)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 8; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 8: 
      var $51=$6; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $52=(($51)|0)!=0; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($52) { __label__ = 9; break; } else { __label__ = 26; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 9: 
      var $54=$script; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $55=(($54+76)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $57=(($56)|0)!=0; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 26; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 10: 
      var $59=$6; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $60=(($59+20)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $62=$6; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $63=$script; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $64=(($63+76)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $66=FUNCTION_TABLE[$61]($62, $65); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $67=(($66)|0)!=0; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($67) { __label__ = 11; break; } else { __label__ = 26; break; } //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 11: 
      var $69=$script; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $70=(($69+76)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $72=(($71+20)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $74=$script; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $75=(($74+76)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $77=$6; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $78=FUNCTION_TABLE[$73]($76, $77); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $79=(($78)|0)!=0; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($79) { __label__ = 12; break; } else { __label__ = 26; break; } //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 12: 
      var $81=$script; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $82=__ZN8JSScript17getCallerFunctionEv($81); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $fun=$82; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $83=$fun; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $84=$4; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $85=__ZNK2js10StackFrame3funEv($84); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $86=(($83)|0)==(($85)|0); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($86) { __label__ = 13; break; } else { __label__ = 25; break; } //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 13: 
      var $88=$script; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $89=(($88+56)|0); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $91=(($90)|0); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $src=$92; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $93=$src; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $94=$93; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $95=$3; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $96=(($94)|0)==(($95)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($96) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 14: 
      var $98=$src; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $99=$98; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $100=$3; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $101=__ZN2js12EqualStringsEP14JSLinearStringS1_($99, $100); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($101) { __label__ = 15; break; } else { __label__ = 24; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 15: 
      var $103=$script; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $104=__ZN8JSScript7objectsEv($103); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $objarray=$104; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=1; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $105=$objarray; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $106=(($105+4)|0); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $108=(($107)|0)==1; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($108) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 16: 
      var $110=$script; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $111=(($110+18)|0); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $112=HEAP8[($111)]; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $113=__ZN8JSScript13isValidOffsetEh($112); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($113) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 17: 
      var $115=$script; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $116=__ZN8JSScript7regexpsEv($115); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $objarray=$116; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $i=0; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 19; break; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 18: 
      $i=-1; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 20: 
      var $120=$i; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $121=(($120)|0) < 0; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($121) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 21: 
      var $123=$i; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $124=$objarray; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $125=(($124)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $127=(($126+($123<<2))|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $129=__ZNK8JSObject9getParentEv($128); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $130=$7; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $131=(($129)|0)==(($130)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($131) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 22: 
      var $133=$script; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $134=(($133+84)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $135=$134; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $137=$scriptp; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($137)>>2)]=$136; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $138=$script; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $139=(($138+84)|0); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $140=$139; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      HEAP32[(($140)>>2)]=0; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $141=$script; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $1=$141; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 30; break; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 23: 
      __label__ = 24; break; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 24: 
      __label__ = 25; break; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 25: 
      __label__ = 26; break; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 26: 
      var $146=$count; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $147=(($146+1)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $count=$147; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $148=(($147)|0)==4; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($148) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 27: 
      $1=0; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 30; break; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 28: 
      var $151=$script; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $152=(($151+84)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $153=$152; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $scriptp=$153; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 2; break; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 29: 
      $1=0; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 30; break; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 30: 
      var $156=$1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $156; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15EvalCacheLookupP9JSContextP14JSLinearStringPN2js10StackFrameEjP12JSPrincipalsR8JSObjectPP8JSScript["X"]=1;

function __ZN8JSScript17getCallerFunctionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN8JSScript11getFunctionEj($2, 0); //@line 147 "./jsscriptinlines.h"
  ;
  return $3; //@line 147 "./jsscriptinlines.h"
}


function __ZN15EvalScriptGuardC2EP9JSContextP14JSLinearString($this, $cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$str;
  var $4=$1;
  var $5=(($4)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $6=$2; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  HEAP32[(($5)>>2)]=$6; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $7=(($4+4)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $8=$3; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $9=(($4+12)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  HEAP32[(($9)>>2)]=0; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $10=$2; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $11=$3; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $12=__ZL13EvalCacheHashP9JSContextP14JSLinearString($10, $11); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  var $13=(($4+8)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  HEAP32[(($13)>>2)]=$12; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
  ;
  return; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
}


function __ZL13EvalCacheHashP9JSContextP14JSLinearString($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $s;
      var $n;
      var $h;
      $1=$cx;
      $2=$str;
      var $3=$2; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $4=__ZNK14JSLinearString5charsEv($3); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $s=$4; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $5=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $6=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $7=__ZNK8JSString6lengthEv($6); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n=$7; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $8=$n; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $9=(($8)>>>0) > 100; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 2: 
      $n=100; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 3; break; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 3: 
      $h=0; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 4: 
      var $13=$n; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $14=(($13)|0)!=0; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 5: 
      var $16=$h; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $17=$16 << 4; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $18=$h; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $19=$18 >>> 28; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $20=$17 | $19; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $21=$s; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $22=HEAPU16[(($21)>>1)]; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $23=(($22)&65535); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $24=$20 ^ $23; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $h=$24; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 6; break; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 6: 
      var $26=$s; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $27=(($26+2)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $s=$27; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $28=$n; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $29=(($28-1)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $n=$29; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      __label__ = 4; break; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    case 7: 
      var $31=$h; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $32=(($31*-1640531527)|0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $h=$32; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $33=$h; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $34=$33 >>> 26; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      $h=$34; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $35=$h; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $36=$1; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $37=(($36+56)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $39=(($38+452)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      var $40=(($39+($35<<2))|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
      ;
      return $40; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsobj.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13EvalCacheHashP9JSContextP14JSLinearString["X"]=1;

function __ZN10JSONParserC2EP9JSContextPKtjNS_11ParsingModeENS_13ErrorHandlingE($this, $cx, $data, $length, $parsingMode, $errorHandling) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$data;
  $4=$length;
  $5=$parsingMode;
  $6=$errorHandling;
  var $7=$1;
  var $8=(($7)|0); //@line 99 "./jsonparser.h"
  var $9=$2; //@line 99 "./jsonparser.h"
  HEAP32[(($8)>>2)]=$9; //@line 99 "./jsonparser.h"
  var $10=(($7+4)|0); //@line 99 "./jsonparser.h"
  var $11=$3; //@line 99 "./jsonparser.h"
  var $12=$4; //@line 99 "./jsonparser.h"
  __ZN7mozilla9RangedPtrIKtEC1EPS1_j($10, $11, $12); //@line 99 "./jsonparser.h"
  var $13=(($7+8)|0); //@line 99 "./jsonparser.h"
  var $14=$3; //@line 99 "./jsonparser.h"
  var $15=$4; //@line 99 "./jsonparser.h"
  var $16=(($14+($15<<1))|0); //@line 99 "./jsonparser.h"
  var $17=$3; //@line 99 "./jsonparser.h"
  var $18=$4; //@line 99 "./jsonparser.h"
  __ZN7mozilla9RangedPtrIKtEC1EPS1_S3_j($13, $16, $17, $18); //@line 99 "./jsonparser.h"
  var $19=(($7+16)|0); //@line 99 "./jsonparser.h"
  var $20=(($7+24)|0); //@line 99 "./jsonparser.h"
  var $21=$5; //@line 99 "./jsonparser.h"
  HEAP32[(($20)>>2)]=$21; //@line 99 "./jsonparser.h"
  var $22=(($7+28)|0); //@line 99 "./jsonparser.h"
  var $23=$6; //@line 99 "./jsonparser.h"
  HEAP32[(($22)>>2)]=$23; //@line 99 "./jsonparser.h"
  ;
  return; //@line 101 "./jsonparser.h"
}


function __ZN2js5ShapeC2Ej($this, $shapeid) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shapeid;
  var $3=$1;
  var $4=$3; //@line 224 "./jsscope.h"
  var $5=(($3)|0); //@line 224 "./jsscope.h"
  var $6=$2; //@line 224 "./jsscope.h"
  HEAP32[(($5)>>2)]=$6; //@line 224 "./jsscope.h"
  var $7=(($3+4)|0); //@line 224 "./jsscope.h"
  HEAP32[(($7)>>2)]=0; //@line 224 "./jsscope.h"
  var $8=(($3+8)|0); //@line 224 "./jsscope.h"
  var $9=$8; //@line 224 "./jsscope.h"
  HEAP32[(($9)>>2)]=0; //@line 224 "./jsscope.h"
  var $10=(($3+12)|0); //@line 224 "./jsscope.h"
  HEAP32[(($10)>>2)]=4; //@line 224 "./jsscope.h"
  var $11=(($3+16)|0); //@line 224 "./jsscope.h"
  var $12=$11; //@line 224 "./jsscope.h"
  HEAP32[(($12)>>2)]=0; //@line 224 "./jsscope.h"
  var $13=(($3+20)|0); //@line 224 "./jsscope.h"
  var $14=$13; //@line 224 "./jsscope.h"
  HEAP32[(($14)>>2)]=0; //@line 224 "./jsscope.h"
  var $15=(($3+24)|0); //@line 224 "./jsscope.h"
  HEAP32[(($15)>>2)]=-1; //@line 224 "./jsscope.h"
  var $16=(($3+28)|0); //@line 224 "./jsscope.h"
  HEAP8[($16)]=0; //@line 224 "./jsscope.h"
  var $17=(($3+29)|0); //@line 224 "./jsscope.h"
  HEAP8[($17)]=1; //@line 224 "./jsscope.h"
  var $18=(($3+30)|0); //@line 224 "./jsscope.h"
  HEAP16[(($18)>>1)]=0; //@line 224 "./jsscope.h"
  var $19=(($3+32)|0); //@line 224 "./jsscope.h"
  HEAP32[(($19)>>2)]=0; //@line 224 "./jsscope.h"
  var $20=(($3+36)|0); //@line 225 "./jsscopeinlines.h"
  var $21=$20; //@line 225 "./jsscopeinlines.h"
  __ZN2js11KidsPointer7setNullEv($21); //@line 225 "./jsscopeinlines.h"
  ;
  return; //@line 226 "./jsscopeinlines.h"
}


function __GLOBAL__I_a2526() {
  ;
  var __label__;

  ___cxx_global_var_init2253();
  ;
  return;
}


function __Z13js_json_parseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $linear;
      var $str;
      var $anchor=__stackBase__;
      var $reviver=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=(($6)>>>0) >= 1; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $9=$2; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $10=$4; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $11=(($10+16)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($9, $11); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $str=$12; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=$str; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $14=(($13)|0)!=0; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      $1=0; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $17=$str; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $18=$2; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=__ZN8JSString12ensureLinearEP9JSContext($17, $18); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $linear=$19; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=$linear; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $21=(($20)|0)!=0; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      $1=0; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      __label__ = 8; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      var $25=$2; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $26=(($25+52)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $28=(($27+209948)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $29=(($28+36)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $30=(($29)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $32=$31; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $linear=$32; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 8; break;
    case 8: 
      var $34=$linear; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $35=$34; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $35); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $36=$3; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $37=(($36)>>>0) >= 2; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $39=$4; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $40=(($39+24)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $41=$reviver; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $42=$40; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 11; break; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      __ZN2JSL14UndefinedValueEv2537($reviver); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 11; break; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      var $45=$2; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $46=$linear; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $47=__ZNK14JSLinearString5charsEv($46); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $48=$linear; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $49=$48; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $50=__ZNK8JSString6lengthEv($49); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $51=$4; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $52=__ZN2js20ParseJSONWithReviverEP9JSContextPKtjRKN2JS5ValueEPS5_12DecodingMode($45, $47, $50, $reviver, $51, 0); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$52; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break;
    case 12: 
      var $54=$1; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z13js_json_parseP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2JSL14UndefinedValueEv2537($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js20ParseJSONWithReviverEP9JSContextPKtjRKN2JS5ValueEPS5_12DecodingMode($cx, $chars, $length, $reviver, $vp, $decodingMode) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $parser=__stackBase__;
      $2=$cx;
      $3=$chars;
      $4=$length;
      $5=$reviver;
      $6=$vp;
      $7=$decodingMode;
      var $8=$2; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=$3; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $10=$4; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $11=$7; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=(($11)|0)==0; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=$12 ? 0 : 1; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN10JSONParserC1EP9JSContextPKtjNS_11ParsingModeENS_13ErrorHandlingE($parser, $8, $9, $10, $13, 0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $14=$6; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $15=__ZN10JSONParser5parseEPN2JS5ValueE($parser, $14); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      $1=0; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 6; break; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $18=$5; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=__ZL13js_IsCallableRKN2JS5ValueE2550($18); //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $21=$2; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $22=$5; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=$6; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=__ZL6ReviveP9JSContextRKN2JS5ValueEPS2_($21, $22, $23); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=(($24)&1); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$25; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 6; break; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      $1=1; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 6; break; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      var $28=$1; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _INT_FITS_IN_JSID2543($i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$1; //@line 1542 "./jsapi.h"
  var $3=(($2+1073741824)|0); //@line 1542 "./jsapi.h"
  var $4=(($3)>>>0) <= 2147483647; //@line 1542 "./jsapi.h"
  var $5=(($4)&1); //@line 1542 "./jsapi.h"
  ;
  return $5; //@line 1542 "./jsapi.h"
}


function _INT_TO_JSID2544($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __Z17js_json_stringifyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $replacer;
      var $space=__stackBase__+8;
      var $sb=__stackBase__+16;
      var $6=__stackBase__+96;
      var $7;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$4; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=$3; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $10=(($9)>>>0) >= 1; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $12=$4; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=(($12+16)|0); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $14=$5; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $15=$13; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 4; break; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      __ZN2JSL14UndefinedValueEv2537($5); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 4; break; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $18=$8; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=$5; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=$3; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $21=(($20)>>>0) >= 2; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $23=$4; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=(($23+24)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=__ZNK2JS5Value8isObjectEv($24); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      var $27=$4; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $28=(($27+24)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $29=__ZNK2JS5Value8toObjectEv($28); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $32 = $29;__label__ = 8; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      var $32 = 0;__label__ = 8; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      var $32; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $replacer=$32; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $33=$3; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $34=(($33)>>>0) >= 3; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $36=$4; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $37=(($36+32)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $38=$space; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $39=$37; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 11; break; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      __ZN2JSL14UndefinedValueEv2537($space); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 11; break; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      var $42=$2; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $42); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $43=$2; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $44=$4; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $45=$replacer; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $46=$6; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $47=$space; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $48=__Z12js_StringifyP9JSContextPN2JS5ValueEP8JSObjectS2_RN2js12StringBufferE($43, $44, $45, $6, $sb); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $49=(($48)|0)!=0; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      $1=0; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 19; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 13: 
      var $52=__ZNK2js12StringBuffer5emptyEv($sb); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($52) { __label__ = 17; break; } else { __label__ = 14; break; } //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      var $54=__ZN2js12StringBuffer12finishStringEv($sb); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $55=$54; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $str=$55; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $56=$str; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $57=(($56)|0)!=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($57) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      $1=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 19; break; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      var $60=$4; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $61=$str; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JS5Value9setStringEP8JSString($60, $61); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 18; break; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      var $63=$4; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JS5Value12setUndefinedEv($63); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 18; break;
    case 18: 
      $1=1; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 19; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      __ZN2js12StringBufferD1Ev($sb); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $66=$1; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $66; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_json_stringifyP9JSContextjPN2JS5ValueE["X"]=1;

function __Z12js_StringifyP9JSContextPN2JS5ValueEP8JSObjectS2_RN2js12StringBufferE($cx, $vp, $replacer, $0, $sb) {
  var __stackBase__  = STACKTOP; STACKTOP += 300; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $space=__stackBase__;
      var $6;
      var $propertyList=__stackBase__+8;
      var $len=__stackBase__+68;
      var $idSet=__stackBase__+72;
      var $7=__stackBase__+100;
      var $8;
      var $i;
      var $v=__stackBase__+104;
      var $id=__stackBase__+112;
      var $n=__stackBase__+116;
      var $p=__stackBase__+120;
      var $9=__stackBase__+128;
      var $spaceObj;
      var $d=__stackBase__+136;
      var $10=__stackBase__+144;
      var $str;
      var $11=__stackBase__+152;
      var $gap=__stackBase__+160;
      var $d1=__stackBase__+240;
      var $str2;
      var $anchor=__stackBase__+248;
      var $len3;
      var $wrapper;
      var $emptyId;
      var $scx=__stackBase__+252;
      $3=$cx;
      $4=$vp;
      $5=$replacer;
      var $12=$space;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      $6=$sb;
      var $14=$3; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($propertyList, $14); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $15=$5; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $16=(($15)|0)!=0; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 47; break; } //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $18=$5; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=__ZN8JSObject10isCallableEv($18); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      __label__ = 46; break; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $22=$3; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=$5; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=_JS_IsArrayObject($22, $23); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=(($24)|0)!=0; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 44; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $27=$3; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $28=$5; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $29=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($27, $28, $len); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $30=$5; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $31=__ZNK8JSObject12isDenseArrayEv($30); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      var $33=HEAPU32[(($len)>>2)]; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $34=$5; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $35=__ZN8JSObject21getDenseArrayCapacityEv($34); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $36=(($33)>>>0) < (($35)>>>0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      var $38=HEAP32[(($len)>>2)]; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $43 = $38;__label__ = 9; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      var $40=$5; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $41=__ZN8JSObject21getDenseArrayCapacityEv($40); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $43 = $41;__label__ = 9; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $43; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      HEAP32[(($len)>>2)]=$43; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 10; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      var $45=$3; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($7, $45); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEEC1ES3_($idSet, $7); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $46=HEAP32[(($len)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $47=__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE4initEj($idSet, $46); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      $2=0; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 42; break; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      $i=0; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 13; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 13: 
      var $51=$i; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $52=HEAPU32[(($len)>>2)]; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $53=(($51)>>>0) < (($52)>>>0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 41; break; } //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      var $55=$5; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $56=$3; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $57=$i; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $58=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($55, $56, $57, $v); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $59=(($58)|0)!=0; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($59) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      $2=0; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 42; break; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      var $62=__ZNK2JS5Value8isNumberEv($v); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($62) { __label__ = 17; break; } else { __label__ = 25; break; } //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      var $64=__ZNK2JS5Value8isNumberEv($v); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($64) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 18: 
      var $66=__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi2542($v, $n); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($66) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      var $68=HEAP32[(($n)>>2)]; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $69=_INT_FITS_IN_JSID2543($68); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $70=(($69)|0)!=0; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($70) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 20: 
      var $72=HEAP32[(($n)>>2)]; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $73=_INT_TO_JSID2544($72); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      HEAP32[(($id)>>2)]=$73; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 24; break; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 21: 
      var $75=$3; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $76=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($75, $v, $id); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($76) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 22: 
      $2=0; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 42; break; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 23: 
      var $79=HEAP32[(($id)>>2)]; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $80=__Z22js_CheckForStringIndexi($79); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      HEAP32[(($id)>>2)]=$80; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 24; break;
    case 24: 
      __label__ = 34; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 25: 
      var $83=__ZNK2JS5Value8isStringEv($v); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($83) { __label__ = 29; break; } else { __label__ = 26; break; } //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 26: 
      var $85=__ZNK2JS5Value8isObjectEv($v); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($85) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 27: 
      var $87=__ZNK2JS5Value8toObjectEv($v); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $88=__ZNK8JSObject8isStringEv($87); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($88) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 28: 
      var $90=__ZNK2JS5Value8toObjectEv($v); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $91=__ZNK8JSObject8isNumberEv($90); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($91) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 29: 
      var $93=$3; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $94=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($93, $v, $id); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($94) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 30: 
      $2=0; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 42; break; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 31: 
      var $97=HEAP32[(($id)>>2)]; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $98=__Z22js_CheckForStringIndexi($97); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      HEAP32[(($id)>>2)]=$98; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 33; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 32: 
      __label__ = 40; break; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 33: 
      __label__ = 34; break;
    case 34: 
      __ZNK2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE12lookupForAddERKi($p, $idSet, $id); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $102=$p; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3PtrcvMSA_FvvEEv($9, $102); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $103={ f0: HEAP32[(($9)>>2)], f1: HEAP32[(($9+4)>>2)] }; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $104=$103.f0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $105=(($104)|0)!=0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($105) { __label__ = 39; break; } else { __label__ = 35; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 35: 
      var $107=__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKiNS4_6SetOpsES3_E6AddPtrERS7_($idSet, $p, $id); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($107) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 36: 
      var $109=$propertyList; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $110=__ZN2js16AutoVectorRooterIiE6appendERKi($109, $id); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($110) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 37: 
      $2=0; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 42; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 38: 
      __label__ = 39; break; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 39: 
      __label__ = 40; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 40: 
      var $115=$i; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $116=(($115+1)|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=$116; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 13; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 41: 
      $8=0; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 42; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 42: 
      __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEED1Ev($idSet); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 43; break;
      }
      else {
      __label__ = 92; break;
      }
      
    case 43: 
      __label__ = 45; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 44: 
      $5=0; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 45; break;
    case 45: 
      __label__ = 46; break;
    case 46: 
      __label__ = 47; break; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 47: 
      var $124=__ZNK2JS5Value8isObjectEv($space); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($124) { __label__ = 48; break; } else { __label__ = 58; break; } //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 48: 
      var $126=__ZNK2JS5Value8toObjectEv($space); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $spaceObj=$126; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $127=$spaceObj; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $128=__ZNK8JSObject8isNumberEv($127); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($128) { __label__ = 49; break; } else { __label__ = 52; break; } //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 49: 
      var $130=$3; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $131=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($130, $space, $d); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($131) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 50: 
      $2=0; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 92; break; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 51: 
      var $134=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11NumberValueEd2545($10, $134); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $135=$space; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $136=$10; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($135)>>2)]=HEAP32[(($136)>>2)];HEAP32[(($135+4)>>2)]=HEAP32[(($136+4)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 57; break; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 52: 
      var $138=$spaceObj; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $139=__ZNK8JSObject8isStringEv($138); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($139) { __label__ = 53; break; } else { __label__ = 56; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 53: 
      var $141=$3; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $142=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($141, $space); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $str=$142; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $143=$str; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $144=(($143)|0)!=0; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($144) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 54: 
      $2=0; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 92; break; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 55: 
      var $147=$str; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11StringValueEP8JSString2546($11, $147); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $148=$space; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $149=$11; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($148)>>2)]=HEAP32[(($149)>>2)];HEAP32[(($148+4)>>2)]=HEAP32[(($149+4)>>2)]; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 56; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 56: 
      __label__ = 57; break;
    case 57: 
      __label__ = 58; break; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 58: 
      var $153=$3; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js12StringBufferC1EP9JSContext($gap, $153); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $154=__ZNK2JS5Value8isNumberEv($space); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($154) { __label__ = 59; break; } else { __label__ = 66; break; } //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 59: 
      var $156=$3; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $157=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd2547($156, $space, $d1); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $158=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $159=10 < $158; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($159) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 60: 
      var $164 = 10;__label__ = 62; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 61: 
      var $162=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $164 = $162;__label__ = 62; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 62: 
      var $164; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      (tempDoubleF64[0]=$164,HEAP32[(($d1)>>2)]=tempDoubleI32[0],HEAP32[(($d1+4)>>2)]=tempDoubleI32[1]); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $165=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $166=$165 >= 1; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($166) { __label__ = 63; break; } else { __label__ = 65; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 63: 
      var $168=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $169=($168 >= 0 ? Math.floor($168) : Math.ceil($168)); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $170=__ZN2js12StringBuffer7appendNEtj($gap, 32, $169); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($170) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 64: 
      $2=0; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 91; break; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 65: 
      __label__ = 79; break; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 66: 
      var $174=__ZNK2JS5Value8isStringEv($space); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($174) { __label__ = 67; break; } else { __label__ = 77; break; } //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 67: 
      var $176=__ZNK2JS5Value8toStringEv($space); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $177=$3; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $178=__ZN8JSString12ensureLinearEP9JSContext($176, $177); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $str2=$178; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $179=$str2; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $180=(($179)|0)!=0; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($180) { __label__ = 69; break; } else { __label__ = 68; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 68: 
      $2=0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 91; break; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 69: 
      var $183=$str2; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $184=$183; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $184); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $185=__ZNK2JS5Value8toStringEv($space); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $186=__ZNK8JSString6lengthEv($185); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $187=10 < (($186)>>>0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($187) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 70: 
      var $193 = 10;__label__ = 72; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 71: 
      var $190=__ZNK2JS5Value8toStringEv($space); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $191=__ZNK8JSString6lengthEv($190); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $193 = $191;__label__ = 72; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 72: 
      var $193; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $len3=$193; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $194=$str2; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $195=__ZNK14JSLinearString5charsEv($194); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $196=$len3; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $197=__ZN2js12StringBuffer6appendEPKtj($gap, $195, $196); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($197) { __label__ = 74; break; } else { __label__ = 73; break; } //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 73: 
      $2=0; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 75; break; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 74: 
      $8=0; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 75; break; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 75: 
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $cleanup_dest4=$8;
      if ((($cleanup_dest4)|0) == 0) {
        __label__ = 76; break;
      }
      else {
      __label__ = 91; break;
      }
      
    case 76: 
      __label__ = 78; break; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 77: 
      __label__ = 78; break;
    case 78: 
      __label__ = 79; break;
    case 79: 
      var $205=$3; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $206=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2548($205, __ZN2js11ObjectClassE); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $wrapper=$206; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $207=$wrapper; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $208=(($207)|0)!=0; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($208) { __label__ = 81; break; } else { __label__ = 80; break; } //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 80: 
      $2=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 91; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 81: 
      var $211=$3; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $212=(($211+52)|0); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $214=(($213+209948)|0); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $215=(($214+24)|0); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $216=HEAP32[(($215)>>2)]; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $217=$216; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $218=__ZL12ATOM_TO_JSIDP6JSAtom2549($217); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $emptyId=$218; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $219=$3; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $220=$wrapper; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $221=$emptyId; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $222=$4; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $223=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($219, $220, $221, $222, 8, 10, 1, 0, 0, 0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $224=(($223)|0)!=0; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($224) { __label__ = 83; break; } else { __label__ = 82; break; } //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 82: 
      $2=0; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 91; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 83: 
      var $227=$3; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $228=$6; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $229=$5; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN16StringifyContextC1EP9JSContextRN2js12StringBufferERKS3_P8JSObjectRKNS2_12AutoIdVectorE($scx, $227, $228, $gap, $229, $propertyList); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $230=__ZN16StringifyContext4initEv($scx); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($230) { __label__ = 85; break; } else { __label__ = 84; break; } //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 84: 
      $2=0; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 90; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 85: 
      var $233=$3; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $234=$wrapper; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $235=$emptyId; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $236=$4; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $237=__ZL15PreprocessValueIiEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext($233, $234, $235, $236, $scx); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($237) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 86: 
      $2=0; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 90; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 87: 
      var $240=$4; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $241=__ZL15IsFilteredValueRKN2JS5ValueE($240); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($241) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 88: 
      $2=1; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 90; break; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 89: 
      var $244=$3; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $245=$4; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $246=__ZL3StrP9JSContextRKN2JS5ValueEP16StringifyContext($244, $245, $scx); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $2=$246; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 90; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 90: 
      __ZN16StringifyContextD1Ev($scx); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 91; break;
    case 91: 
      __ZN2js12StringBufferD1Ev($gap); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 92; break;
    case 92: 
      __ZN2js12AutoIdVectorD1Ev($propertyList); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $250=$2; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $250; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_StringifyP9JSContextPN2JS5ValueEP8JSObjectS2_RN2js12StringBufferE["X"]=1;

function __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEEC1ES3_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEEC2ES3_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi2542($v, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$v;
      $3=$pi;
      var $4=$2; //@line 609 "./jsnum.h"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 609 "./jsnum.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 609 "./jsnum.h"
    case 2: 
      var $7=$2; //@line 610 "./jsnum.h"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 610 "./jsnum.h"
      var $9=$3; //@line 610 "./jsnum.h"
      HEAP32[(($9)>>2)]=$8; //@line 610 "./jsnum.h"
      $1=1; //@line 611 "./jsnum.h"
      __label__ = 6; break; //@line 611 "./jsnum.h"
    case 3: 
      var $11=$2; //@line 613 "./jsnum.h"
      var $12=__ZNK2JS5Value8isDoubleEv($11); //@line 613 "./jsnum.h"
      if ($12) { __label__ = 4; break; } else { var $20 = 0;__label__ = 5; break; } //@line 613 "./jsnum.h"
    case 4: 
      var $14=$2; //@line 613 "./jsnum.h"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 613 "./jsnum.h"
      var $16=$3; //@line 613 "./jsnum.h"
      var $17=_JSDOUBLE_IS_INT322570($15, $16); //@line 613 "./jsnum.h"
      var $18=(($17)|0)!=0; //@line 613 "./jsnum.h"
      var $20 = $18;__label__ = 5; break;
    case 5: 
      var $20;
      $1=$20;
      __label__ = 6; break;
    case 6: 
      var $22=$1; //@line 614 "./jsnum.h"
      ;
      return $22; //@line 614 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE12lookupForAddERKi($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E12lookupForAddERS2_($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3PtrcvMSA_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 200, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKiNS4_6SetOpsES3_E6AddPtrERS7_($this, $p, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$t;
  var $4=$1;
  var $5=(($4)|0); //@line 1273 "./jshashtable.h"
  var $6=$2; //@line 1273 "./jshashtable.h"
  var $7=$3; //@line 1273 "./jshashtable.h"
  var $8=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3addERNS9_6AddPtrERS2_($5, $6, $7); //@line 1273 "./jshashtable.h"
  ;
  return $8; //@line 1273 "./jshashtable.h"
}


function __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2JSL11NumberValueEd2545($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function __ZN2JSL11StringValueEP8JSString2546($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd2547($cx, $v, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$dp;
      var $6=$3; //@line 620 "./jsnum.h"
      var $7=__ZNK2JS5Value7isInt32Ev($6); //@line 620 "./jsnum.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 620 "./jsnum.h"
    case 2: 
      var $9=$3; //@line 621 "./jsnum.h"
      var $10=__ZNK2JS5Value7toInt32Ev($9); //@line 621 "./jsnum.h"
      var $11=(($10)|0); //@line 621 "./jsnum.h"
      var $12=$4; //@line 621 "./jsnum.h"
      (tempDoubleF64[0]=$11,HEAP32[(($12)>>2)]=tempDoubleI32[0],HEAP32[(($12+4)>>2)]=tempDoubleI32[1]); //@line 621 "./jsnum.h"
      $1=1; //@line 622 "./jsnum.h"
      __label__ = 9; break; //@line 622 "./jsnum.h"
    case 3: 
      var $14=$3; //@line 624 "./jsnum.h"
      var $15=__ZNK2JS5Value8isDoubleEv($14); //@line 624 "./jsnum.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 624 "./jsnum.h"
    case 4: 
      var $17=$3; //@line 625 "./jsnum.h"
      var $18=__ZNK2JS5Value8toDoubleEv($17); //@line 625 "./jsnum.h"
      var $19=$4; //@line 625 "./jsnum.h"
      (tempDoubleF64[0]=$18,HEAP32[(($19)>>2)]=tempDoubleI32[0],HEAP32[(($19+4)>>2)]=tempDoubleI32[1]); //@line 625 "./jsnum.h"
      __label__ = 8; break; //@line 626 "./jsnum.h"
    case 5: 
      var $21=$2; //@line 628 "./jsnum.h"
      var $22=$3; //@line 628 "./jsnum.h"
      var $23=$5; //@line 628 "./jsnum.h"
      var $24=$22; //@line 628 "./jsnum.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 628 "./jsnum.h"
      var $25=$4; //@line 628 "./jsnum.h"
      var $26=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($21, $5, $25); //@line 628 "./jsnum.h"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 628 "./jsnum.h"
    case 6: 
      $1=0; //@line 629 "./jsnum.h"
      __label__ = 9; break; //@line 629 "./jsnum.h"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $30=$4; //@line 631 "./jsnum.h"
      var $31=(tempDoubleI32[0]=HEAP32[(($30)>>2)],tempDoubleI32[1]=HEAP32[(($30+4)>>2)],tempDoubleF64[0]); //@line 631 "./jsnum.h"
      var $32=__ZL18js_DoubleToIntegerd2596($31); //@line 631 "./jsnum.h"
      var $33=$4; //@line 631 "./jsnum.h"
      (tempDoubleF64[0]=$32,HEAP32[(($33)>>2)]=tempDoubleI32[0],HEAP32[(($33+4)>>2)]=tempDoubleI32[1]); //@line 631 "./jsnum.h"
      $1=1; //@line 632 "./jsnum.h"
      __label__ = 9; break; //@line 632 "./jsnum.h"
    case 9: 
      var $35=$1; //@line 633 "./jsnum.h"
      STACKTOP = __stackBase__;
      return $35; //@line 633 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer7appendNEtj($this, $c, $n) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      $2=$this;
      HEAP16[(($3)>>1)]=$c;
      $4=$n;
      var $5=$2;
      var $6=(($5)|0); //@line 214 "./jsstrinlines.h"
      var $7=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($6); //@line 214 "./jsstrinlines.h"
      var $8=$4; //@line 214 "./jsstrinlines.h"
      var $9=(($7+$8)|0); //@line 214 "./jsstrinlines.h"
      var $10=__ZN2js12StringBuffer11checkLengthEj($5, $9); //@line 214 "./jsstrinlines.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 214 "./jsstrinlines.h"
    case 2: 
      $1=0; //@line 215 "./jsstrinlines.h"
      __label__ = 4; break; //@line 215 "./jsstrinlines.h"
    case 3: 
      var $13=(($5)|0); //@line 216 "./jsstrinlines.h"
      var $14=$4; //@line 216 "./jsstrinlines.h"
      var $15=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE7appendNERKtj($13, $3, $14); //@line 216 "./jsstrinlines.h"
      $1=$15; //@line 216 "./jsstrinlines.h"
      __label__ = 4; break; //@line 216 "./jsstrinlines.h"
    case 4: 
      var $17=$1; //@line 217 "./jsstrinlines.h"
      STACKTOP = __stackBase__;
      return $17; //@line 217 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2548($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb2555($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2593($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZL12ATOM_TO_JSIDP6JSAtom2549($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj2592($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb2555($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16StringifyContextC1EP9JSContextRN2js12StringBufferERKS3_P8JSObjectRKNS2_12AutoIdVectorE($this, $cx, $sb, $gap, $replacer, $propertyList) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$sb;
  $4=$gap;
  $5=$replacer;
  $6=$propertyList;
  var $7=$1;
  var $8=$2; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $9=$5; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $10=$3; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $11=$4; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $12=$6; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  __ZN16StringifyContextC2EP9JSContextRN2js12StringBufferERKS3_P8JSObjectRKNS2_12AutoIdVectorE($7, $8, $10, $11, $9, $12); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZN16StringifyContext4initEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $4=__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($3, 16); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return $4; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZL15IsFilteredValueRKN2JS5ValueE($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $3=__ZNK2JS5Value11isUndefinedEv($2); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($3) { var $17 = 1;__label__ = 6; break; } else { __label__ = 2; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $5=$1; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $6=__ZL13js_IsCallableRKN2JS5ValueE2550($5); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($6) { var $17 = 1;__label__ = 6; break; } else { __label__ = 3; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $8=$1; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=__ZNK2JS5Value8isObjectEv($8); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($9) { __label__ = 4; break; } else { var $15 = 0;__label__ = 5; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $11=$1; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=__ZNK2JS5Value8toObjectEv($11); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=__ZNK8JSObject5isXMLEv($12); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $15 = $13;__label__ = 5; break;
    case 5: 
      var $15;
      var $17 = $15;__label__ = 6; break;
    case 6: 
      var $17;
      ;
      return $17; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL3StrP9JSContextRKN2JS5ValueEP16StringifyContext($cx, $v, $scx) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $sb=__stackBase__+4;
      var $5;
      var $ok;
      $2=$cx;
      $3=$v;
      $4=$scx;
      __label__ = 2; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=$2; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=(($8+48)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $13=$2; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=0; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 27; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      __label__ = 5; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $16=$3; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $17=__ZNK2JS5Value8isStringEv($16); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      var $19=$2; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=$4; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $21=(($20)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=$3; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=__ZNK2JS5Value8toStringEv($23); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=__ZL5QuoteP9JSContextRN2js12StringBufferEP8JSString($19, $22, $24); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $26=(($25)&1); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$26; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 27; break; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      var $28=$3; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $29=__ZNK2JS5Value6isNullEv($28); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      var $31=$4; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $32=(($31)|0); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $34=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($33, STRING_TABLE.__str22533); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $35=(($34)&1); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$35; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 27; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $37=$3; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $38=__ZNK2JS5Value9isBooleanEv($37); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      var $40=$3; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $41=__ZNK2JS5Value9toBooleanEv($40); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      var $43=$4; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $44=(($43)|0); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $46=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($45, STRING_TABLE.__str32534); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $53 = $46;__label__ = 13; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      var $48=$4; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $49=(($48)|0); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $51=__ZN2js12StringBuffer6appendILj6EEEbRAT__Kc($50, STRING_TABLE.__str42535); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $53 = $51;__label__ = 13; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 13: 
      var $53; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $54=(($53)&1); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$54; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 27; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      var $56=$3; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $57=__ZNK2JS5Value8isNumberEv($56); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($57) { __label__ = 15; break; } else { __label__ = 23; break; } //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      var $59=$3; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $60=__ZNK2JS5Value8isDoubleEv($59); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($60) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      var $62=$3; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $63=__ZNK2JS5Value8toDoubleEv($62); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $64=__ZL18JSDOUBLE_IS_FINITEd2585($63); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $65=(($64)|0)!=0; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      var $67=$4; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $68=(($67)|0); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $70=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($69, STRING_TABLE.__str22533); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $71=(($70)&1); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$71; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 27; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 18: 
      __label__ = 19; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      var $74=$2; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $74); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $75=$2; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $76=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $77=__ZN2js25NumberValueToStringBufferEP9JSContextRKN2JS5ValueERNS_12StringBufferE($75, $76, $sb); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($77) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 20: 
      $1=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 22; break; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 21: 
      var $80=$4; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $81=(($80)|0); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $83=__ZN2js12StringBuffer5beginEv($sb); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $84=__ZNK2js12StringBuffer6lengthEv($sb); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $85=__ZN2js12StringBuffer6appendEPKtj($82, $83, $84); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $86=(($85)&1); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$86; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 22; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 22: 
      __ZN2js12StringBufferD1Ev($sb); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 27; break;
    case 23: 
      var $89=$4; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $90=(($89+16)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $92=(($91+1)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      HEAP32[(($90)>>2)]=$92; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $93=$2; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $94=$3; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $95=__ZNK2JS5Value8toObjectEv($94); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $96=_JS_IsArrayObject($93, $95); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $97=(($96)|0)!=0; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($97) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 24: 
      var $101 = 202;__label__ = 26; break; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 25: 
      var $101 = 204;__label__ = 26; break; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 26: 
      var $101; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $102=$2; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $103=$3; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $104=__ZNK2JS5Value8toObjectEv($103); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $105=$4; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $106=FUNCTION_TABLE[$101]($102, $104, $105); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $ok=$106; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $107=$4; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $108=(($107+16)|0); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $110=(($109-1)|0); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      HEAP32[(($108)>>2)]=$110; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $111=$ok; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$111; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 27; break; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 27: 
      var $113=$1; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $113; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL3StrP9JSContextRKN2JS5ValueEP16StringifyContext["X"]=1;

function __ZN16StringifyContextD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN16StringifyContextD2Ev($2); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZL13js_IsCallableRKN2JS5ValueE2550($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6ReviveP9JSContextRKN2JS5ValueEPS2_($cx, $reviver, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tvr=__stackBase__;
      var $5;
      $2=$cx;
      $3=$reviver;
      $4=$vp;
      var $6=$2; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2548($6, __ZN2js11ObjectClassE); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $obj=$7; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=$obj; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=(($8)|0)!=0; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      $1=0; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 7; break; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $12=$2; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=$obj; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $12, $13); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $14=$obj; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $15=$2; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $16=$2; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $17=(($16+52)|0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=(($18+209948)|0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=(($19+24)|0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $22=$21; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=__ZL12ATOM_TO_JSIDP6JSAtom2549($22); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=$4; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($14, $15, $23, $24, 0, 0, 1); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $26=(($25)|0)!=0; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      $1=0; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 6; break; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $29=$2; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $30=$obj; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $31=$2; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $32=(($31+52)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $34=(($33+209948)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $35=(($34+24)|0); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $37=$36; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $38=__ZL12ATOM_TO_JSIDP6JSAtom2549($37); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $39=$3; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $40=$4; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $41=__ZL4WalkP9JSContextP8JSObjectiRKN2JS5ValueEPS4_($29, $30, $38, $39, $40); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$41; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 6; break; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 7; break;
    case 7: 
      var $44=$1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6ReviveP9JSContextRKN2JS5ValueEPS2_["X"]=1;

function __ZL13json_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $5=$1; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $6=(($5+52)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $8=(($7+209948)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $9=(($8+72)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $10=(($9+20)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $12=$11; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  __ZN2JS5Value9setStringEP8JSString($4, $12); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return 1; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __Z16js_InitJSONClassP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $JSON;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $6=$3; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2553($5, __ZN2js9JSONClassE, 0, $6); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $JSON=$7; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=$JSON; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=(($8)|0)!=0; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $11=$JSON; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=$2; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=__ZN8JSObject16setSingletonTypeEP9JSContext($11, $12); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      $1=0; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 9; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $16=$2; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $17=$3; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $18=$JSON; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      _OBJECT_TO_JSVAL2554($4, $18); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=_JS_DefineProperty($16, $17, ((STRING_TABLE._js_JSON_str)|0), $4, 8, 10, 0); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=(($19)|0)!=0; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      $1=0; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 9; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      var $23=$2; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=$JSON; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=_JS_DefineFunctions($23, $24, ((__ZL19json_static_methods)|0)); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $26=(($25)|0)!=0; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      $1=0; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 9; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      var $29=$3; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js35MarkStandardClassInitializedNoProtoEP8JSObjectPNS_5ClassE($29, __ZN2js9JSONClassE); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $30=$JSON; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$30; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 9; break; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $32=$1; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2553($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb2555($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2556($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function _OBJECT_TO_JSVAL2554($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL2574($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout2583($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15PreprocessValueIiEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext($cx, $holder, $key, $vp, $scx) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $keyStr;
      var $toJSON=__stackBase__;
      var $id;
      var $args=__stackBase__+8;
      var $7;
      var $8=__stackBase__+32;
      var $args1=__stackBase__+40;
      var $9=__stackBase__+64;
      var $10=__stackBase__+72;
      var $11=__stackBase__+80;
      var $obj;
      var $clasp;
      var $d=__stackBase__+88;
      var $str;
      $2=$cx;
      $3=$holder;
      $4=$key;
      $5=$vp;
      $6=$scx;
      $keyStr=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=$5; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=__ZNK2JS5Value8isObjectEv($12); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 15; break; } //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $15=$2; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $16=(($15+52)|0); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $18=(($17+209948)|0); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=(($18+388)|0); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $21=$20; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $22=__ZL12ATOM_TO_JSIDP6JSAtom2549($21); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $id=$22; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=$2; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=$5; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=__ZNK2JS5Value8toObjectEv($24); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $26=$id; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $27=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($23, $25, $26, 2, $toJSON); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $28=(($27)|0)!=0; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      $1=0; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $31=__ZL13js_IsCallableRKN2JS5ValueE2550($toJSON); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $33=$2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $34=$4; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $35=__ZN14KeyStringifierIiE8toStringEP9JSContexti($33, $34); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $keyStr=$35; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $36=$keyStr; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $37=(($36)|0)!=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      $1=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $40=$2; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $41=(($40+60)|0); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $42=$2; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $43=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($41, $42, 1, $args); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($43) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      $1=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 12; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $46=$args; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $47=__ZNK2js12CallReceiver7calleevEv($46); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $48=$47; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $49=$toJSON; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $50=$args; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $51=__ZNK2js12CallReceiver5thisvEv($50); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $52=$5; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $53=$51; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $54=$52; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $55=$args; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $56=__ZNK2js8CallArgsixEj($55, 0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $57=$keyStr; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11StringValueEP8JSString2546($8, $57); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $58=$56; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $59=$8; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $60=$2; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $61=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($60, $args, 0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($61) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      $1=0; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 12; break; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      var $64=$5; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $65=$args; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $66=__ZNK2js12CallReceiver4rvalEv($65); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $67=$64; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $68=$66; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=0; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 13; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 43; break;
      }
      else {
      __label__ = 44; break;
      }
      
    case 13: 
      __label__ = 14; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      __label__ = 15; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      var $73=$6; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $74=(($73+8)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $76=(($75)|0)!=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($76) { __label__ = 16; break; } else { __label__ = 28; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      var $78=$6; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $79=(($78+8)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $81=__ZN8JSObject10isCallableEv($80); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($81) { __label__ = 17; break; } else { __label__ = 28; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      var $83=$keyStr; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $84=(($83)|0)!=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($84) { __label__ = 21; break; } else { __label__ = 18; break; } //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 18: 
      var $86=$2; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $87=$4; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $88=__ZN14KeyStringifierIiE8toStringEP9JSContexti($86, $87); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $keyStr=$88; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $89=$keyStr; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $90=(($89)|0)!=0; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($90) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      $1=0; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 20: 
      __label__ = 21; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 21: 
      var $94=$2; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js10LeaveTraceEP9JSContext($94); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js15InvokeArgsGuardC1Ev($args1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $95=$2; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $96=(($95+60)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $97=$2; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $98=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($96, $97, 2, $args1); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($98) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 22: 
      $1=0; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 26; break; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 23: 
      var $101=$args1; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $102=__ZNK2js12CallReceiver7calleevEv($101); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $103=$6; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $104=(($103+8)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11ObjectValueER8JSObject2569($9, $105); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $106=$102; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $107=$9; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($106)>>2)]=HEAP32[(($107)>>2)];HEAP32[(($106+4)>>2)]=HEAP32[(($107+4)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $108=$args1; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $109=__ZNK2js12CallReceiver5thisvEv($108); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $110=$3; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11ObjectValueER8JSObject2569($10, $110); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $111=$109; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $112=$10; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($111)>>2)]=HEAP32[(($112)>>2)];HEAP32[(($111+4)>>2)]=HEAP32[(($112+4)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $113=$args1; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $114=__ZNK2js8CallArgsixEj($113, 0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $115=$keyStr; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11StringValueEP8JSString2546($11, $115); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $116=$114; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $117=$11; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($116)>>2)]=HEAP32[(($117)>>2)];HEAP32[(($116+4)>>2)]=HEAP32[(($117+4)>>2)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $118=$args1; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $119=__ZNK2js8CallArgsixEj($118, 1); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $120=$5; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $121=$119; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $122=$120; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($121)>>2)]=HEAP32[(($122)>>2)];HEAP32[(($121+4)>>2)]=HEAP32[(($122+4)>>2)]; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $123=$2; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $124=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($123, $args1, 0); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($124) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 24: 
      $1=0; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 26; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 25: 
      var $127=$5; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $128=$args1; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $129=__ZNK2js12CallReceiver4rvalEv($128); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $130=$127; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $131=$129; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($130)>>2)]=HEAP32[(($131)>>2)];HEAP32[(($130+4)>>2)]=HEAP32[(($131+4)>>2)]; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=0; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 26; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 26: 
      __ZN2js15InvokeArgsGuardD1Ev($args1); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $cleanup_dest2=$7;
      if ((($cleanup_dest2)|0) == 0) {
        __label__ = 27; break;
      }
      else if ((($cleanup_dest2)|0) == 1) {
        __label__ = 43; break;
      }
      else {
      __label__ = 44; break;
      }
      
    case 27: 
      __label__ = 28; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 28: 
      var $135=$5; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $136=__ZNK2JS5Value8isObjectEv($135); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($136) { __label__ = 29; break; } else { __label__ = 42; break; } //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 29: 
      var $138=$5; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $139=__ZNK2JS5Value8toObjectEv($138); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $obj=$139; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $140=$obj; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $141=__ZNK8JSObject8getClassEv($140); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $clasp=$141; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $142=$clasp; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $143=(($142)|0)==((__ZN2js11NumberClassE)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($143) { __label__ = 30; break; } else { __label__ = 33; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 30: 
      var $145=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $146=$5; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $147=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($145, $146, $d); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($147) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 31: 
      $1=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 32: 
      var $150=$5; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $151=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $152=__ZN2JS5Value9setNumberEd($150, $151); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 41; break; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 33: 
      var $154=$clasp; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $155=(($154)|0)==((__ZN2js11StringClassE)|0); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($155) { __label__ = 34; break; } else { __label__ = 37; break; } //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 34: 
      var $157=$2; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $158=$5; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $159=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($157, $158); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $str=$159; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $160=$str; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $161=(($160)|0)!=0; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($161) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 35: 
      $1=0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 36: 
      var $164=$5; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $165=$str; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JS5Value9setStringEP8JSString($164, $165); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 40; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 37: 
      var $167=$clasp; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $168=(($167)|0)==((__ZN2js12BooleanClassE)|0); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($168) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 38: 
      var $170=$5; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $171=$obj; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $172=__ZNK8JSObject16getPrimitiveThisEv($171); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $173=$170; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $174=$172; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($173)>>2)]=HEAP32[(($174)>>2)];HEAP32[(($173+4)>>2)]=HEAP32[(($174+4)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 39; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 39: 
      __label__ = 40; break;
    case 40: 
      __label__ = 41; break;
    case 41: 
      __label__ = 42; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 42: 
      $1=1; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 43: 
      var $180=$1; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $180; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 44: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15PreprocessValueIiEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext["X"]=1;

function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2558($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2565($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2559($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function _MAGIC_TO_JSVAL_IMPL2564($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE2566($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2556($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2557($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2558($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2559($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2560($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2556["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2557($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE2566($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2560($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2560["X"]=1;

function _js_free2561($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc2562($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2563($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc2567($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc2568($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3addERNS9_6AddPtrERS2_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3addERNS9_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$4; //@line 742 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 742 "./jshashtable.h"
      var $12=$3; //@line 742 "./jshashtable.h"
      var $13=$12; //@line 742 "./jshashtable.h"
      var $14=(($13)|0); //@line 742 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 742 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 742 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$11; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $18=$1; //@line 744 "./jshashtable.h"
      ;
      return $18; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3addERNS9_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKiE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3addERNS9_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E11createTableERS6_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKiE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKiE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKiEEEENS_7MoveRefIT_EERS6_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiEaSENS_7MoveRefIS3_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E12destroyTableERS6_PNS0_14HashTableEntryIS2_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKiE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKiE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E13findFreeEntryEj["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOps6getKeyERKi($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN2js13DefaultHasherIiE4hashERKi($l) {
  ;
  var __label__;

  var $1;
  $1=$l;
  var $2=$1; //@line 138 "./jsatom.h"
  var $3=HEAP32[(($2)>>2)]; //@line 138 "./jsatom.h"
  ;
  return $3; //@line 138 "./jsatom.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js13DefaultHasherIiE5matchERKiS3_($id, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$id;
  $2=$l;
  var $3=$1; //@line 142 "./jsatom.h"
  var $4=HEAP32[(($3)>>2)]; //@line 142 "./jsatom.h"
  var $5=$2; //@line 142 "./jsatom.h"
  var $6=HEAP32[(($5)>>2)]; //@line 142 "./jsatom.h"
  var $7=(($4)|0)==(($6)|0); //@line 142 "./jsatom.h"
  ;
  return $7; //@line 142 "./jsatom.h"
}


function _JSID_IS_STRING2575($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_STRING2576($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_IS_INT2577($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT2578($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_OBJECT2581($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT2582($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function _DOUBLE_TO_JSVAL_IMPL2571($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3PtrC2ERNS0_14HashTableEntryIS2_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function _INT32_TO_JSVAL_IMPL2572($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO2573($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _OBJECT_TO_JSVAL_IMPL2574($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E11createTableERS6_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E12destroyTableERS6_PNS0_14HashTableEntryIS2_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKiE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E12lookupForAddERS2_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E11prepareHashERS2_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6lookupERS2_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6AddPtrC1ERNS0_14HashTableEntryIS2_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E11prepareHashERS2_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13DefaultHasherIiE4hashERKi($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6lookupERS2_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKiE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKiE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5matchERNS0_14HashTableEntryIS2_EERS2_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKiE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKiE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKiE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKiE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5matchERNS0_14HashTableEntryIS2_EERS2_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6lookupERS2_jj["X"]=1;

function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6AddPtrC1ERNS0_14HashTableEntryIS2_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6AddPtrC2ERNS0_14HashTableEntryIS2_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6AddPtrC2ERNS0_14HashTableEntryIS2_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3PtrC2ERNS0_14HashTableEntryIS2_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5matchERNS0_14HashTableEntryIS2_EERS2_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOps6getKeyERKi($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13DefaultHasherIiE5matchERKiS3_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKiE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E11createTableERS6_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E4initEj["X"]=1;

function __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEEC2ES3_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  var $5=$2; //@line 1212 "./jshashtable.h"
  var $6=$a; //@line 1212 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_EC1ES6_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_EC1ES6_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_EC2ES6_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_EC2ES6_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN14KeyStringifierIiE8toStringEP9JSContexti($cx, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$id;
  var $3=$1; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $4=$2; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $5=__ZN2jsL10IdToStringEP9JSContexti($3, $4); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return $5; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZN2JSL11ObjectValueER8JSObject2569($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function _JSDOUBLE_IS_INT322570($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO2573($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL10IdToStringEP9JSContexti($cx, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $2=$cx;
      $3=$id;
      var $5=$3; //@line 182 "./jsatominlines.h"
      var $6=_JSID_IS_STRING2575($5); //@line 182 "./jsatominlines.h"
      var $7=(($6)|0)!=0; //@line 182 "./jsatominlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 182 "./jsatominlines.h"
    case 2: 
      var $9=$3; //@line 183 "./jsatominlines.h"
      var $10=_JSID_TO_STRING2576($9); //@line 183 "./jsatominlines.h"
      $1=$10; //@line 183 "./jsatominlines.h"
      __label__ = 6; break; //@line 183 "./jsatominlines.h"
    case 3: 
      var $12=$3; //@line 184 "./jsatominlines.h"
      var $13=_JSID_IS_INT2577($12); //@line 184 "./jsatominlines.h"
      var $14=(($13)|0)!=0; //@line 184 "./jsatominlines.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 184 "./jsatominlines.h"
    case 4: 
      var $16=$2; //@line 185 "./jsatominlines.h"
      var $17=$3; //@line 185 "./jsatominlines.h"
      var $18=_JSID_TO_INT2578($17); //@line 185 "./jsatominlines.h"
      var $19=__Z14js_IntToStringP9JSContexti($16, $18); //@line 185 "./jsatominlines.h"
      $1=$19; //@line 185 "./jsatominlines.h"
      __label__ = 6; break; //@line 185 "./jsatominlines.h"
    case 5: 
      var $21=$2; //@line 186 "./jsatominlines.h"
      var $22=$3; //@line 186 "./jsatominlines.h"
      __ZN2jsL9IdToValueEi2579($4, $22); //@line 186 "./jsatominlines.h"
      var $23=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($21, $4); //@line 186 "./jsatominlines.h"
      $1=$23; //@line 186 "./jsatominlines.h"
      __label__ = 6; break; //@line 186 "./jsatominlines.h"
    case 6: 
      var $25=$1; //@line 187 "./jsatominlines.h"
      STACKTOP = __stackBase__;
      return $25; //@line 187 "./jsatominlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL9IdToValueEi2579($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING2575($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING2576($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString2546($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT2577($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT2578($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi2580($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT2581($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT2582($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject2569($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv2537($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL10Int32ValueEi2580($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout2583($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function _JSVAL_IS_UNDEFINED_IMPL2584($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function __ZL18JSDOUBLE_IS_FINITEd2585($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZN16StringifyContextD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($3); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL5QuoteP9JSContextRN2js12StringBufferEP8JSString($cx, $sb, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $anchor=__stackBase__;
      var $len;
      var $buf;
      var $5;
      var $i;
      var $mark;
      var $c;
      var $abbrev;
      var $x;
      var $y;
      $2=$cx;
      $3=$sb;
      $4=$str;
      var $6=$4; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $6); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=$4; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=__ZNK8JSString6lengthEv($7); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $len=$8; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=$4; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $10=$2; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $11=__ZN8JSString8getCharsEP9JSContext($9, $10); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $buf=$11; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=$buf; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=(($12)|0)!=0; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      $1=0; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 55; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $16=$3; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $17=__ZN2js12StringBuffer6appendEt($16, 34); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      $1=0; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 55; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      $i=0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 6; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      var $21=$i; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $22=$len; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=(($21)>>>0) < (($22)>>>0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 54; break; } //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      var $25=$i; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $mark=$25; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 8; break; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      var $27=$i; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $28=$buf; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $29=(($28+($27<<1))|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $30=HEAP16[(($29)>>1)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $31=__ZL23IsQuoteSpecialCharactert($30); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      __label__ = 12; break; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      __label__ = 11; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      var $35=$i; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $36=(($35+1)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=$36; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $37=$len; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $38=(($36)>>>0) < (($37)>>>0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      var $40=$i; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $41=$mark; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $42=(($40)>>>0) > (($41)>>>0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 13: 
      var $44=$3; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $45=$mark; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $46=$buf; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $47=(($46+($45<<1))|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $48=$i; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $49=$mark; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $50=(($48-$49)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $51=__ZN2js12StringBuffer6appendEPKtj($44, $47, $50); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      $1=0; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 55; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      var $54=$i; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $55=$len; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $56=(($54)|0)==(($55)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($56) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      __label__ = 54; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      __label__ = 18; break; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 18: 
      var $60=$i; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $61=$buf; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $62=(($61+($60<<1))|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $63=HEAP16[(($62)>>1)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $c=$63; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $64=$c; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $65=(($64)&65535); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $66=(($65)|0)==34; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($66) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      var $68=$c; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $69=(($68)&65535); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $70=(($69)|0)==92; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($70) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 20: 
      var $72=$3; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $73=__ZN2js12StringBuffer6appendEt($72, 92); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($73) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 21: 
      var $75=$3; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $76=$c; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $77=__ZN2js12StringBuffer6appendEt($75, $76); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($77) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 22: 
      $1=0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 55; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 23: 
      __label__ = 52; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 24: 
      var $81=$c; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $82=(($81)&65535); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $83=(($82)|0)==8; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($83) { __label__ = 29; break; } else { __label__ = 25; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 25: 
      var $85=$c; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $86=(($85)&65535); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $87=(($86)|0)==12; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($87) { __label__ = 29; break; } else { __label__ = 26; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 26: 
      var $89=$c; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $90=(($89)&65535); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $91=(($90)|0)==10; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($91) { __label__ = 29; break; } else { __label__ = 27; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 27: 
      var $93=$c; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $94=(($93)&65535); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $95=(($94)|0)==13; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($95) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 28: 
      var $97=$c; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $98=(($97)&65535); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $99=(($98)|0)==9; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($99) { __label__ = 29; break; } else { __label__ = 42; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 29: 
      var $101=$c; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $102=(($101)&65535); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $103=(($102)|0)==8; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($103) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 30: 
      var $125 = 98;__label__ = 38; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 31: 
      var $106=$c; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $107=(($106)&65535); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $108=(($107)|0)==12; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($108) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 32: 
      var $123 = 102;__label__ = 37; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 33: 
      var $111=$c; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $112=(($111)&65535); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $113=(($112)|0)==10; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($113) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 34: 
      var $121 = 110;__label__ = 36; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 35: 
      var $116=$c; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $117=(($116)&65535); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $118=(($117)|0)==13; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $119=$118 ? 114 : 116; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $121 = $119;__label__ = 36; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 36: 
      var $121; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $123 = $121;__label__ = 37; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 37: 
      var $123; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $125 = $123;__label__ = 38; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 38: 
      var $125; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $126=(($125 << 24) >> 24); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $abbrev=$126; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $127=$3; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $128=__ZN2js12StringBuffer6appendEt($127, 92); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($128) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 39: 
      var $130=$3; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $131=$abbrev; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $132=__ZN2js12StringBuffer6appendEt($130, $131); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($132) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 40: 
      $1=0; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 55; break; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 41: 
      var $135=$i; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $136=(($135+1)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $mark=$136; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 51; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 42: 
      var $138=$3; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $139=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($138, STRING_TABLE.__str52536); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($139) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 43: 
      $1=0; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 55; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 44: 
      var $142=$c; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $143=(($142)&65535); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $144=$143 >> 4; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $145=(($144) & 255); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $x=$145; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $146=$c; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $147=(($146)&65535); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $148=(($147)|0)%16; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $149=(($148) & 255); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $y=$149; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $150=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $151=$x; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $152=(($151)&255); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $153=(($152+48)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $154=(($153) & 65535); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $155=__ZN2js12StringBuffer6appendEt($150, $154); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($155) { __label__ = 45; break; } else { __label__ = 49; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 45: 
      var $157=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $158=$y; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $159=(($158)&255); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $160=(($159)|0) < 10; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($160) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 46: 
      var $162=$y; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $163=(($162)&255); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $164=(($163+48)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $171 = $164;__label__ = 48; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 47: 
      var $166=$y; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $167=(($166)&255); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $168=(($167-10)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $169=(($168+97)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $171 = $169;__label__ = 48; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 48: 
      var $171; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $172=(($171) & 65535); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $173=__ZN2js12StringBuffer6appendEt($157, $172); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($173) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 49: 
      $1=0; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 55; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 50: 
      __label__ = 51; break;
    case 51: 
      __label__ = 52; break;
    case 52: 
      __label__ = 53; break; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 53: 
      var $179=$i; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $180=(($179+1)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=$180; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 6; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 54: 
      var $182=$3; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $183=__ZN2js12StringBuffer6appendEt($182, 34); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$183; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 55; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 55: 
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $185=$1; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $185; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5QuoteP9JSContextRN2js12StringBufferEP8JSString["X"]=1;

function __ZL4WalkP9JSContextP8JSObjectiRKN2JS5ValueEPS4_($cx, $holder, $name, $reviver, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 132; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $stackDummy_=__stackBase__;
      var $val=__stackBase__+4;
      var $obj;
      var $length;
      var $i;
      var $id=__stackBase__+12;
      var $newElement=__stackBase__+16;
      var $7;
      var $keys=__stackBase__+24;
      var $8;
      var $i1;
      var $len;
      var $newElement2=__stackBase__+84;
      var $id3;
      var $key;
      var $args=__stackBase__+92;
      var $9=__stackBase__+116;
      var $10=__stackBase__+124;
      $2=$cx;
      $3=$holder;
      $4=$name;
      $5=$reviver;
      $6=$vp;
      __label__ = 2; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $12=$stackDummy_; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=$2; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $14=(($13+48)|0); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $15=HEAPU32[(($14)>>2)]; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $16=(($12)>>>0) < (($15)>>>0); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $18=$2; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __Z21js_ReportOverRecursedP9JSContext($18); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=0; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 48; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      __label__ = 5; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $21=$3; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $22=$2; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=$4; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($21, $22, $23, $val); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=(($24)|0)!=0; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      $1=0; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 48; break; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      var $28=__ZNK2JS5Value8isObjectEv($val); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 40; break; } //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      var $30=__ZNK2JS5Value8toObjectEv($val); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $obj=$30; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $31=$obj; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $32=__ZNK8JSObject7isArrayEv($31); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 21; break; } //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $34=$obj; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $35=__ZNK8JSObject14getArrayLengthEv($34); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $length=$35; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=0; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 10; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      var $37=$i; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $38=$length; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $39=(($37)>>>0) < (($38)>>>0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 20; break; } //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      var $41=$2; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $42=$i; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $43=__ZN2js9IndexToIdEP9JSContextjPi($41, $42, $id); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($43) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      $1=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 48; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 13: 
      var $46=$2; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $47=$obj; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $48=HEAP32[(($id)>>2)]; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $49=$5; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $50=__ZL4WalkP9JSContextP8JSObjectiRKN2JS5ValueEPS4_($46, $47, $48, $49, $newElement); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($50) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      $1=0; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 48; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      var $53=__ZNK2JS5Value11isUndefinedEv($newElement); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($53) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      var $55=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $56=$obj; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $57=HEAP32[(($id)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $58=__ZN2js20array_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($55, $56, $57, $newElement, 0); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 18; break; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      var $60=$2; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $61=$obj; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $62=HEAP32[(($id)>>2)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=8; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $63=$7; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $64=$63; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $65=__ZN2js20array_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej($60, $61, $62, $newElement, $64, 10, 1); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      var $68=$i; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $69=(($68+1)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=$69; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 10; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 20: 
      __label__ = 39; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 21: 
      var $72=$2; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($keys, $72); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $73=$2; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $74=$obj; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $75=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($73, $74, 8, $keys); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($75) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 22: 
      $1=0; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 37; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 23: 
      $i1=0; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $78=$keys; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $79=__ZNK2js16AutoVectorRooterIiE6lengthEv($78); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $len=$79; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 24; break; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 24: 
      var $81=$i1; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $82=$len; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $83=(($81)>>>0) < (($82)>>>0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 36; break; } //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 25: 
      var $85=$keys; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $86=$i1; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $87=__ZN2js16AutoVectorRooterIiEixEj($85, $86); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $id3=$88; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $89=$2; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $90=$obj; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $91=$id3; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $92=$5; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $93=__ZL4WalkP9JSContextP8JSObjectiRKN2JS5ValueEPS4_($89, $90, $91, $92, $newElement2); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($93) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 26: 
      $1=0; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 37; break; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 27: 
      var $96=__ZNK2JS5Value11isUndefinedEv($newElement2); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($96) { __label__ = 28; break; } else { __label__ = 31; break; } //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 28: 
      var $98=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $99=$obj; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $100=$id3; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $101=__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($98, $99, $100, $newElement2, 0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $102=(($101)|0)!=0; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($102) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 29: 
      $1=0; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 37; break; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 30: 
      __label__ = 34; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 31: 
      var $106=$2; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $107=$obj; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $108=$id3; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $109=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($106, $107, $108, $newElement2, 8, 10, 1, 0, 0, 0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $110=(($109)|0)!=0; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($110) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 32: 
      $1=0; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 37; break; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 33: 
      __label__ = 34; break;
    case 34: 
      __label__ = 35; break; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 35: 
      var $115=$i1; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $116=(($115+1)|0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i1=$116; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 24; break; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 36: 
      $8=0; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 37; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 37: 
      __ZN2js12AutoIdVectorD1Ev($keys); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 38; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 48; break;
      }
      else {
      __label__ = 49; break;
      }
      
    case 38: 
      __label__ = 39; break;
    case 39: 
      __label__ = 40; break; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 40: 
      var $122=$2; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $123=$4; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $124=__ZN2jsL10IdToStringEP9JSContexti($122, $123); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $key=$124; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $125=$key; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $126=(($125)|0)!=0; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($126) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 41: 
      $1=0; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 48; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 42: 
      var $129=$2; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js10LeaveTraceEP9JSContext($129); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $130=$2; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $131=(($130+60)|0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $132=$2; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $133=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($131, $132, 2, $args); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($133) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 43: 
      $1=0; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 47; break; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 44: 
      var $136=$args; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $137=__ZNK2js12CallReceiver7calleevEv($136); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $138=$5; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $139=$137; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $140=$138; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($139)>>2)]=HEAP32[(($140)>>2)];HEAP32[(($139+4)>>2)]=HEAP32[(($140+4)>>2)]; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $141=$args; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $142=__ZNK2js12CallReceiver5thisvEv($141); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $143=$3; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11ObjectValueER8JSObject2569($9, $143); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $144=$142; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $145=$9; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($144)>>2)]=HEAP32[(($145)>>2)];HEAP32[(($144+4)>>2)]=HEAP32[(($145+4)>>2)]; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $146=$args; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $147=__ZNK2js8CallArgsixEj($146, 0); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $148=$key; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11StringValueEP8JSString2546($10, $148); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $149=$147; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $150=$10; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($149)>>2)]=HEAP32[(($150)>>2)];HEAP32[(($149+4)>>2)]=HEAP32[(($150+4)>>2)]; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $151=$args; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $152=__ZNK2js8CallArgsixEj($151, 1); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $153=$152; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $154=$val; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($153)>>2)]=HEAP32[(($154)>>2)];HEAP32[(($153+4)>>2)]=HEAP32[(($154+4)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $155=$2; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $156=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($155, $args, 0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($156) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 45: 
      $1=0; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 47; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 46: 
      var $159=$6; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $160=$args; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $161=__ZNK2js12CallReceiver4rvalEv($160); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $162=$159; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $163=$161; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($162)>>2)]=HEAP32[(($163)>>2)];HEAP32[(($162+4)>>2)]=HEAP32[(($163+4)>>2)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=1; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $8=1;
      __label__ = 47; break; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 47: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 48; break;
    case 48: 
      var $166=$1; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $166; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 49: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL4WalkP9JSContextP8JSObjectiRKN2JS5ValueEPS4_["X"]=1;

function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+12)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL2JAP9JSContextP8JSObjectP16StringifyContext($cx, $obj, $scx) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $detect=__stackBase__;
      var $5;
      var $length=__stackBase__+8;
      var $outputValue=__stackBase__+12;
      var $i;
      $2=$cx;
      $3=$obj;
      $4=$scx;
      var $6=$4; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=$3; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN13CycleDetectorC1EP16StringifyContextP8JSObject($detect, $6, $7); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=$2; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=__ZN13CycleDetector4initEP9JSContext($detect, $8); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      $1=0; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $12=$4; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=(($12)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $15=__ZN2js12StringBuffer6appendEt($14, 91); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      $1=0; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $18=$2; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=$3; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($18, $19, $length); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $21=(($20)|0)!=0; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      $1=0; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      var $24=HEAP32[(($length)>>2)]; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=(($24)|0)!=0; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 34; break; } //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      var $27=$2; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $28=$4; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $29=$4; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $30=(($29+16)|0); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $32=__ZL11WriteIndentP9JSContextP16StringifyContextj($27, $28, $31); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $33=(($32)|0)!=0; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($33) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      $1=0; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      $i=0; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 11; break; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      var $37=$i; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $38=HEAPU32[(($length)>>2)]; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $39=(($37)>>>0) < (($38)>>>0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($39) { __label__ = 12; break; } else { __label__ = 31; break; } //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      var $41=$3; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $42=$2; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $43=$i; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $44=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($41, $42, $43, $outputValue); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $45=(($44)|0)!=0; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($45) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 13: 
      $1=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      var $48=$2; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $49=$3; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $50=$i; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $51=$4; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $52=__ZL15PreprocessValueIjEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext($48, $49, $50, $outputValue, $51); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      $1=0; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      var $55=__ZL15IsFilteredValueRKN2JS5ValueE($outputValue); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($55) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      var $57=$4; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $58=(($57)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $60=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($59, STRING_TABLE.__str22533); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($60) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 18: 
      $1=0; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      __label__ = 23; break; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 20: 
      var $64=$2; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $65=$4; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $66=__ZL3StrP9JSContextRKN2JS5ValueEP16StringifyContext($64, $outputValue, $65); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $67=(($66)|0)!=0; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($67) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 21: 
      $1=0; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 22: 
      __label__ = 23; break;
    case 23: 
      var $71=$i; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $72=HEAP32[(($length)>>2)]; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $73=(($72-1)|0); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $74=(($71)>>>0) < (($73)>>>0); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($74) { __label__ = 24; break; } else { __label__ = 29; break; } //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 24: 
      var $76=$4; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $77=(($76)|0); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $79=__ZN2js12StringBuffer6appendEt($78, 44); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($79) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 25: 
      $1=0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 26: 
      var $82=$2; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $83=$4; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $84=$4; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $85=(($84+16)|0); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $87=__ZL11WriteIndentP9JSContextP16StringifyContextj($82, $83, $86); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $88=(($87)|0)!=0; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($88) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 27: 
      $1=0; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 28: 
      __label__ = 29; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 29: 
      __label__ = 30; break; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 30: 
      var $93=$i; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $94=(($93+1)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=$94; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 11; break; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 31: 
      var $96=$2; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $97=$4; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $98=$4; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $99=(($98+16)|0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $101=(($100-1)|0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $102=__ZL11WriteIndentP9JSContextP16StringifyContextj($96, $97, $101); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $103=(($102)|0)!=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($103) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 32: 
      $1=0; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 33: 
      __label__ = 34; break; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 34: 
      var $107=$4; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $108=(($107)|0); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $110=__ZN2js12StringBuffer6appendEt($109, 93); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $111=(($110)&1); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$111; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 35; break; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 35: 
      __ZN13CycleDetectorD1Ev($detect); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $113=$1; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $113; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL2JAP9JSContextP8JSObjectP16StringifyContext["X"]=1;

function __ZL2JOP9JSContextP8JSObjectP16StringifyContext($cx, $obj, $scx) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $3;
      var $4;
      var $detect=__stackBase__+4;
      var $5;
      var $ids=__stackBase__+12;
      var $props;
      var $propertyList;
      var $wroteMember;
      var $i;
      var $len;
      var $id;
      var $outputValue=__stackBase__+76;
      var $s;
      HEAP32[(($2)>>2)]=$cx;
      $3=$obj;
      $4=$scx;
      var $6=$4; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=$3; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN13CycleDetectorC1EP16StringifyContextP8JSObject($detect, $6, $7); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=HEAP32[(($2)>>2)]; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=__ZN13CycleDetector4initEP9JSContext($detect, $8); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      $1=0; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 39; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $12=$4; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=(($12)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $15=__ZN2js12StringBuffer6appendEt($14, 123); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      $1=0; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 39; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      __ZN7mozilla5MaybeIN2js12AutoIdVectorEEC1Ev($ids); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $18=$4; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=(($18+8)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $21=(($20)|0)!=0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      var $23=$4; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=(($23+8)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $26=__ZN8JSObject10isCallableEv($25); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      var $28=$4; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $29=(($28+12)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $props=$30; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 11; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      __ZN7mozilla5MaybeIN2js12AutoIdVectorEE9constructIP9JSContextEEvRKT_($ids, $2); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $32=HEAP32[(($2)>>2)]; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $33=$3; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $34=__ZN7mozilla5MaybeIN2js12AutoIdVectorEE4addrEv($ids); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $35=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($32, $33, 8, $34); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      $1=0; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      var $38=__ZN7mozilla5MaybeIN2js12AutoIdVectorEE4addrEv($ids); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $props=$38; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 11; break;
    case 11: 
      var $40=$props; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $propertyList=$40; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $wroteMember=0; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=0; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $41=$propertyList; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $42=$41; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $43=__ZNK2js16AutoVectorRooterIiE6lengthEv($42); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $len=$43; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      var $45=$i; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $46=$len; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $47=(($45)>>>0) < (($46)>>>0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 34; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 13: 
      var $49=$propertyList; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $50=$49; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $51=$i; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $52=__ZNK2js16AutoVectorRooterIiEixEj($50, $51); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $id=$52; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $53=$3; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $54=HEAP32[(($2)>>2)]; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $55=$id; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $57=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($53, $54, $56, $outputValue); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $58=(($57)|0)!=0; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      $1=0; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      var $61=HEAP32[(($2)>>2)]; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $62=$3; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $63=$id; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $65=$4; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $66=__ZL15PreprocessValueIiEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext($61, $62, $64, $outputValue, $65); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($66) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      $1=0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      var $69=__ZL15IsFilteredValueRKN2JS5ValueE($outputValue); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($69) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 18: 
      __label__ = 33; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      var $72=$wroteMember; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $73=(($72) & 1); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($73) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 20: 
      var $75=$4; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $76=(($75)|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $78=__ZN2js12StringBuffer6appendEt($77, 44); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($78) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 21: 
      $1=0; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 22: 
      $wroteMember=1; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $81=HEAP32[(($2)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $82=$4; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $83=$4; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $84=(($83+16)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $86=__ZL11WriteIndentP9JSContextP16StringifyContextj($81, $82, $85); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $87=(($86)|0)!=0; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($87) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 23: 
      $1=0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 24: 
      var $90=HEAP32[(($2)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $91=$id; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $93=__ZN2jsL10IdToStringEP9JSContexti($90, $92); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $s=$93; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $94=$s; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $95=(($94)|0)!=0; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($95) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 25: 
      $1=0; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 26: 
      var $98=HEAP32[(($2)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $99=$4; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $100=(($99)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $102=$s; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $103=__ZL5QuoteP9JSContextRN2js12StringBufferEP8JSString($98, $101, $102); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($103) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 27: 
      var $105=$4; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $106=(($105)|0); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $108=__ZN2js12StringBuffer6appendEt($107, 58); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($108) { __label__ = 28; break; } else { __label__ = 31; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 28: 
      var $110=$4; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $111=(($110+4)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $113=__ZNK2js12StringBuffer5emptyEv($112); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($113) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 29: 
      var $115=$4; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $116=(($115)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $118=__ZN2js12StringBuffer6appendEt($117, 32); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($118) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 30: 
      var $120=HEAP32[(($2)>>2)]; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $121=$4; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $122=__ZL3StrP9JSContextRKN2JS5ValueEP16StringifyContext($120, $outputValue, $121); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $123=(($122)|0)!=0; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($123) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 31: 
      $1=0; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 32: 
      __label__ = 33; break; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 33: 
      var $127=$i; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $128=(($127+1)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=$128; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 34: 
      var $130=$wroteMember; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $131=(($130) & 1); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($131) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 35: 
      var $133=HEAP32[(($2)>>2)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $134=$4; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $135=$4; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $136=(($135+16)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $138=(($137-1)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $139=__ZL11WriteIndentP9JSContextP16StringifyContextj($133, $134, $138); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $140=(($139)|0)!=0; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($140) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 36: 
      $1=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 37: 
      var $143=$4; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $144=(($143)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $146=__ZN2js12StringBuffer6appendEt($145, 125); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $147=(($146)&1); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$147; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $5=1;
      __label__ = 38; break; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 38: 
      __ZN7mozilla5MaybeIN2js12AutoIdVectorEED1Ev($ids); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 39; break;
    case 39: 
      __ZN13CycleDetectorD1Ev($detect); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $150=$1; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $150; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL2JOP9JSContextP8JSObjectP16StringifyContext["X"]=1;

function __ZN13CycleDetectorC1EP16StringifyContextP8JSObject($this, $scx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$scx;
  $3=$obj;
  var $4=$1;
  var $5=$2; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $6=$3; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  __ZN13CycleDetectorC2EP16StringifyContextP8JSObject($4, $5, $6); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZN13CycleDetector4initEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ptr=__stackBase__;
      var $4=__stackBase__+8;
      $2=$this;
      $3=$cx;
      var $5=$2;
      var $6=(($5)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=(($5+4)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($ptr, $7, $8); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $9=$ptr; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($4, $9); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $10={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $11=$10.f0; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=(($11)|0)!=0; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $14=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      _JS_ReportErrorNumber($14, 2, 0, 36, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_object_str)|0),tempInt)); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=0; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 4; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $16=(($5)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $18=(($5+4)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_($17, $ptr, $18); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $1=$19; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 4; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $21=$1; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js12AutoIdVectorEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla5MaybeIN2js12AutoIdVectorEEC2Ev($2); //@line 254 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 254 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla5MaybeIN2js12AutoIdVectorEE9constructIP9JSContextEEvRKT_($this, $t1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t1;
      var $3=$1;
      var $4=(($3)|0); //@line 268 "./dist/include/mozilla/Util.h"
      var $5=__ZN7mozilla15AlignedStorage2IN2js12AutoIdVectorEE4addrEv($4); //@line 268 "./dist/include/mozilla/Util.h"
      var $6=$5; //@line 268 "./dist/include/mozilla/Util.h"
      var $7=(($6)|0)==0; //@line 268 "./dist/include/mozilla/Util.h"
      if ($7) { var $13 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 268 "./dist/include/mozilla/Util.h"
    case 2: 
      var $9=$6; //@line 268 "./dist/include/mozilla/Util.h"
      var $10=$2; //@line 268 "./dist/include/mozilla/Util.h"
      var $11=HEAP32[(($10)>>2)]; //@line 268 "./dist/include/mozilla/Util.h"
      __ZN2js12AutoIdVectorC1EP9JSContext($9, $11); //@line 268 "./dist/include/mozilla/Util.h"
      var $13 = $9;__label__ = 3; break; //@line 268 "./dist/include/mozilla/Util.h"
    case 3: 
      var $13; //@line 268 "./dist/include/mozilla/Util.h"
      var $14=(($3+60)|0); //@line 269 "./dist/include/mozilla/Util.h"
      HEAP8[($14)]=1; //@line 269 "./dist/include/mozilla/Util.h"
      ;
      return; //@line 270 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js12AutoIdVectorEE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN7mozilla5MaybeIN2js12AutoIdVectorEE3asTEv($2); //@line 295 "./dist/include/mozilla/Util.h"
  ;
  return $3; //@line 295 "./dist/include/mozilla/Util.h"
}


function __ZNK2js16AutoVectorRooterIiEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=(($3+12)|0); //@line 2429 "./jscntxt.h"
  var $5=$2; //@line 2429 "./jscntxt.h"
  var $6=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEEixEj($4, $5); //@line 2429 "./jscntxt.h"
  ;
  return $6; //@line 2429 "./jscntxt.h"
}


function __ZL11WriteIndentP9JSContextP16StringifyContextj($cx, $scx, $limit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      $2=$cx;
      $3=$scx;
      $4=$limit;
      var $5=$3; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $6=(($5+4)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=__ZNK2js12StringBuffer5emptyEv($7); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($8) { __label__ = 11; break; } else { __label__ = 2; break; } //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $10=$3; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $11=(($10)|0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=__ZN2js12StringBuffer6appendEt($12, 10); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      $1=0; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      $i=0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 5; break; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $17=$i; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $18=$4; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=(($17)>>>0) < (($18)>>>0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      var $21=$3; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $22=(($21)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=$3; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=(($24+4)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $27=__ZNK2js12StringBuffer5beginEv($26); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $28=$3; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $29=(($28+4)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $31=__ZNK2js12StringBuffer3endEv($30); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $32=__ZN2js12StringBuffer6appendEPKtS2_($23, $27, $31); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      $1=0; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      __label__ = 9; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $36=$i; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $37=(($36+1)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $i=$37; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 5; break; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      __label__ = 11; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      $1=1; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      var $41=$1; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      ;
      return $41; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11WriteIndentP9JSContextP16StringifyContextj["X"]=1;

function __ZN7mozilla5MaybeIN2js12AutoIdVectorEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla5MaybeIN2js12AutoIdVectorEED2Ev($2); //@line 255 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 255 "./dist/include/mozilla/Util.h"
}


function __ZN13CycleDetectorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN13CycleDetectorD2Ev($2); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZN13CycleDetectorD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $5=(($2+4)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeERKS2_($4, $5); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeERKS2_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+12;
      $1=$this;
      $2=$l;
      var $5=$1;
      var $6=$2; //@line 1354 "./jshashtable.h"
      __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($p, $5, $6); //@line 1354 "./jshashtable.h"
      __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($3, $p); //@line 1354 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1354 "./jshashtable.h"
      var $8=$7.f0; //@line 1354 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1354 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1354 "./jshashtable.h"
    case 2: 
      var $11=$4; //@line 1355 "./jshashtable.h"
      var $12=$p; //@line 1355 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 1355 "./jshashtable.h"
      __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE($5, $4); //@line 1355 "./jshashtable.h"
      __label__ = 3; break; //@line 1355 "./jshashtable.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1356 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1228 "./jshashtable.h"
  var $5=$2; //@line 1228 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6lookupERS4_($agg_result, $4, $5); //@line 1228 "./jshashtable.h"
  ;
  return; //@line 1228 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 206, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1231 "./jshashtable.h"
  var $5=$2; //@line 1231 "./jshashtable.h"
  var $6=$p; //@line 1231 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1231 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE($4, $2); //@line 1231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryIKP8JSObjectE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+20)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+12)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6SetOps6getKeyERKS2_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZL11JS_ON_TRACEPK9JSContext2587($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN7mozilla15AlignedStorage2IN2js12AutoIdVectorEE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 228 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 228 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 228 "./dist/include/mozilla/Util.h"
  var $6=$5; //@line 228 "./dist/include/mozilla/Util.h"
  ;
  return $6; //@line 228 "./dist/include/mozilla/Util.h"
}


function __ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 357 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 357 "./jsvector.h"
  var $5=(($2+8)|0); //@line 357 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 357 "./jsvector.h"
  var $7=(($4+($6<<1))|0); //@line 357 "./jsvector.h"
  ;
  return $7; //@line 357 "./jsvector.h"
}


function __ZN7mozilla5MaybeIN2js12AutoIdVectorEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 254 "./dist/include/mozilla/Util.h"
  var $4=(($2+60)|0); //@line 254 "./dist/include/mozilla/Util.h"
  HEAP8[($4)]=0; //@line 254 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 254 "./dist/include/mozilla/Util.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKP8JSObjectE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKP8JSObjectEEEENS_7MoveRefIT_EERS8_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectEaSENS_7MoveRefIS5_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E13findFreeEntryEj["X"]=1;

function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6lookupERS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP8JSObjectLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKP8JSObjectE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKP8JSObjectE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKP8JSObjectE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6lookupERS4_jj["X"]=1;

function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6SetOps6getKeyERKS2_($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP8JSObjectLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKP8JSObjectE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN7mozilla5MaybeIN2js12AutoIdVectorEED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+60)|0); //@line 255 "./dist/include/mozilla/Util.h"
      var $4=HEAP8[($3)]; //@line 255 "./dist/include/mozilla/Util.h"
      var $5=(($4) & 1); //@line 255 "./dist/include/mozilla/Util.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 255 "./dist/include/mozilla/Util.h"
    case 2: 
      var $7=__ZN7mozilla5MaybeIN2js12AutoIdVectorEE3asTEv($2); //@line 255 "./dist/include/mozilla/Util.h"
      __ZN2js12AutoIdVectorD1Ev($7); //@line 255 "./dist/include/mozilla/Util.h"
      __label__ = 3; break; //@line 255 "./dist/include/mozilla/Util.h"
    case 3: 
      ;
      return; //@line 255 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js12AutoIdVectorEE3asTEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 248 "./dist/include/mozilla/Util.h"
  var $4=__ZN7mozilla15AlignedStorage2IN2js12AutoIdVectorEE4addrEv($3); //@line 248 "./dist/include/mozilla/Util.h"
  ;
  return $4; //@line 248 "./dist/include/mozilla/Util.h"
}


function __ZN2js12StringBuffer6appendEPKtS2_($this, $begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$begin;
      $4=$end;
      var $5=$2;
      var $6=(($5)|0); //@line 185 "./jsstrinlines.h"
      var $7=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($6); //@line 185 "./jsstrinlines.h"
      var $8=$4; //@line 185 "./jsstrinlines.h"
      var $9=$3; //@line 185 "./jsstrinlines.h"
      var $10=$8; //@line 185 "./jsstrinlines.h"
      var $11=$9; //@line 185 "./jsstrinlines.h"
      var $12=(($10-$11)|0); //@line 185 "./jsstrinlines.h"
      var $13=(((($12)|0)/2)&-1); //@line 185 "./jsstrinlines.h"
      var $14=(($7+$13)|0); //@line 185 "./jsstrinlines.h"
      var $15=__ZN2js12StringBuffer11checkLengthEj($5, $14); //@line 185 "./jsstrinlines.h"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 185 "./jsstrinlines.h"
    case 2: 
      $1=0; //@line 186 "./jsstrinlines.h"
      __label__ = 4; break; //@line 186 "./jsstrinlines.h"
    case 3: 
      var $18=(($5)|0); //@line 187 "./jsstrinlines.h"
      var $19=$3; //@line 187 "./jsstrinlines.h"
      var $20=$4; //@line 187 "./jsstrinlines.h"
      var $21=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_S6_($18, $19, $20); //@line 187 "./jsstrinlines.h"
      $1=$21; //@line 187 "./jsstrinlines.h"
      __label__ = 4; break; //@line 187 "./jsstrinlines.h"
    case 4: 
      var $23=$1; //@line 188 "./jsstrinlines.h"
      ;
      return $23; //@line 188 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js12StringBuffer5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 125 "./jsstrinlines.h"
  var $4=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5beginEv($3); //@line 125 "./jsstrinlines.h"
  ;
  return $4; //@line 125 "./jsstrinlines.h"
}


function __ZNK2js12StringBuffer3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 126 "./jsstrinlines.h"
  var $4=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE3endEv($3); //@line 126 "./jsstrinlines.h"
  ;
  return $4; //@line 126 "./jsstrinlines.h"
}


function __ZN2jsL17CheckStringLengthEP9JSContextj2586($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext2587($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 367 "./jsvector.h"
  var $5=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 367 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 367 "./jsvector.h"
  ;
  return $6; //@line 367 "./jsvector.h"
}


function __ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_($this, $p, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$t;
  var $4=$1;
  var $5=(($4)|0); //@line 1273 "./jshashtable.h"
  var $6=$2; //@line 1273 "./jshashtable.h"
  var $7=$3; //@line 1273 "./jshashtable.h"
  var $8=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_($5, $6, $7); //@line 1273 "./jshashtable.h"
  ;
  return $8; //@line 1273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$4; //@line 742 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 742 "./jshashtable.h"
      var $12=$3; //@line 742 "./jshashtable.h"
      var $13=$12; //@line 742 "./jshashtable.h"
      var $14=(($13)|0); //@line 742 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 742 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 742 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$11; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $18=$1; //@line 744 "./jshashtable.h"
      ;
      return $18; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKP8JSObjectE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKP8JSObjectE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZL14JSID_FROM_BITSj2592($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZL23IsQuoteSpecialCharactert($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $3=(($2)&65535); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $4=(($3)|0)==34; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($4) { var $14 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $6=$1; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $7=(($6)&65535); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $8=(($7)|0)==92; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($8) { var $14 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      var $10=$1; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $11=(($10)&65535); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=(($11)|0) < 32; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $14 = $12;__label__ = 4; break; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $14;
      ;
      return $14; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN13CycleDetectorC2EP16StringifyContextP8JSObject($this, $scx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$scx;
  $3=$obj;
  var $4=$1;
  var $5=(($4)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $6=$2; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $7=(($6+20)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  HEAP32[(($5)>>2)]=$7; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $8=(($4+4)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $9=$3; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function _JSVAL_IS_DOUBLE_IMPL2588($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_TO_BOOLEAN_IMPL2589($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL2590($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL2591($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL2595($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function __ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11prepareHashERS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6lookupERS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN14KeyStringifierIjE8toStringEP9JSContextj($cx, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$index;
  var $3=$1; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $4=$2; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $5=__ZN2js13IndexToStringEP9JSContextj($3, $4); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $6=$5; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  ;
  return $6; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E4initEj["X"]=1;

function __ZN16StringifyContextC2EP9JSContextRN2js12StringBufferERKS3_P8JSObjectRKNS2_12AutoIdVectorE($this, $cx, $sb, $gap, $replacer, $propertyList) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$sb;
  $4=$gap;
  $5=$replacer;
  $6=$propertyList;
  var $8=$1;
  var $9=(($8)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $10=$3; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  HEAP32[(($9)>>2)]=$10; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $11=(($8+4)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $12=$4; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  HEAP32[(($11)>>2)]=$12; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $13=(($8+8)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $14=$5; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  HEAP32[(($13)>>2)]=$14; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $15=(($8+12)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $16=$6; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  HEAP32[(($15)>>2)]=$16; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $17=(($8+16)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  HEAP32[(($17)>>2)]=0; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $18=(($8+20)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  var $19=$2; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  __ZN2js15TempAllocPolicyC1EP9JSContext($7, $19); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_($18, $7); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
  STACKTOP = __stackBase__;
  return; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  var $5=$2; //@line 1212 "./jshashtable.h"
  var $6=$a; //@line 1212 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_EC1ES8_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_EC1ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_EC2ES8_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_EC2ES8_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2593($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2594($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2593["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2594($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2558($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2559($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2594["X"]=1;

function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE7appendNERKtj($this, $t, $needed) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $g=__stackBase__;
      var $5;
      $2=$this;
      $3=$t;
      $4=$needed;
      var $6=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $6); //@line 784 "./jsvector.h"
      var $7=(($6+8)|0); //@line 785 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 785 "./jsvector.h"
      var $9=$4; //@line 785 "./jsvector.h"
      var $10=(($8+$9)|0); //@line 785 "./jsvector.h"
      var $11=(($6+12)|0); //@line 785 "./jsvector.h"
      var $12=HEAPU32[(($11)>>2)]; //@line 785 "./jsvector.h"
      var $13=(($10)>>>0) > (($12)>>>0); //@line 785 "./jsvector.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 785 "./jsvector.h"
    case 2: 
      var $15=$4; //@line 785 "./jsvector.h"
      var $16=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj($6, $15); //@line 785 "./jsvector.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 785 "./jsvector.h"
    case 3: 
      $1=0; //@line 786 "./jsvector.h"
      $5=1;
      __label__ = 5; break; //@line 786 "./jsvector.h"
    case 4: 
      var $19=$3; //@line 792 "./jsvector.h"
      var $20=$4; //@line 792 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE15internalAppendNERKtj($6, $19, $20); //@line 792 "./jsvector.h"
      $1=1; //@line 793 "./jsvector.h"
      $5=1;
      __label__ = 5; break; //@line 793 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 794 "./jsvector.h"
      var $22=$1; //@line 794 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $22; //@line 794 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15PreprocessValueIjEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext($cx, $holder, $key, $vp, $scx) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $keyStr;
      var $toJSON=__stackBase__;
      var $id;
      var $args=__stackBase__+8;
      var $7;
      var $8=__stackBase__+32;
      var $args1=__stackBase__+40;
      var $9=__stackBase__+64;
      var $10=__stackBase__+72;
      var $11=__stackBase__+80;
      var $obj;
      var $clasp;
      var $d=__stackBase__+88;
      var $str;
      $2=$cx;
      $3=$holder;
      $4=$key;
      $5=$vp;
      $6=$scx;
      $keyStr=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $12=$5; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $13=__ZNK2JS5Value8isObjectEv($12); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 15; break; } //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 2: 
      var $15=$2; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $16=(($15+52)|0); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $18=(($17+209948)|0); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $19=(($18+388)|0); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $21=$20; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $22=__ZL12ATOM_TO_JSIDP6JSAtom2549($21); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $id=$22; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $23=$2; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $24=$5; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $25=__ZNK2JS5Value8toObjectEv($24); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $26=$id; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $27=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($23, $25, $26, 2, $toJSON); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $28=(($27)|0)!=0; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 3: 
      $1=0; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 4: 
      var $31=__ZL13js_IsCallableRKN2JS5ValueE2550($toJSON); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 5: 
      var $33=$2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $34=$4; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $35=__ZN14KeyStringifierIjE8toStringEP9JSContextj($33, $34); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $keyStr=$35; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $36=$keyStr; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $37=(($36)|0)!=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 6: 
      $1=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 7: 
      __ZN2js15InvokeArgsGuardC1Ev($args); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $40=$2; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $41=(($40+60)|0); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $42=$2; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $43=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($41, $42, 1, $args); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($43) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 8: 
      $1=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 12; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 9: 
      var $46=$args; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $47=__ZNK2js12CallReceiver7calleevEv($46); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $48=$47; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $49=$toJSON; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $50=$args; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $51=__ZNK2js12CallReceiver5thisvEv($50); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $52=$5; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $53=$51; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $54=$52; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $55=$args; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $56=__ZNK2js8CallArgsixEj($55, 0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $57=$keyStr; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11StringValueEP8JSString2546($8, $57); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $58=$56; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $59=$8; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $60=$2; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $61=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($60, $args, 0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($61) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 10: 
      $1=0; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 12; break; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 11: 
      var $64=$5; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $65=$args; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $66=__ZNK2js12CallReceiver4rvalEv($65); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $67=$64; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $68=$66; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=0; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 12; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 12: 
      __ZN2js15InvokeArgsGuardD1Ev($args); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 13; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 43; break;
      }
      else {
      __label__ = 44; break;
      }
      
    case 13: 
      __label__ = 14; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 14: 
      __label__ = 15; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 15: 
      var $73=$6; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $74=(($73+8)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $76=(($75)|0)!=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($76) { __label__ = 16; break; } else { __label__ = 28; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 16: 
      var $78=$6; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $79=(($78+8)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $81=__ZN8JSObject10isCallableEv($80); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($81) { __label__ = 17; break; } else { __label__ = 28; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 17: 
      var $83=$keyStr; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $84=(($83)|0)!=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($84) { __label__ = 21; break; } else { __label__ = 18; break; } //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 18: 
      var $86=$2; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $87=$4; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $88=__ZN14KeyStringifierIjE8toStringEP9JSContextj($86, $87); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $keyStr=$88; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $89=$keyStr; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $90=(($89)|0)!=0; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($90) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 19: 
      $1=0; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 20: 
      __label__ = 21; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 21: 
      var $94=$2; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js10LeaveTraceEP9JSContext($94); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2js15InvokeArgsGuardC1Ev($args1); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $95=$2; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $96=(($95+60)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $97=$2; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $98=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($96, $97, 2, $args1); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($98) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 22: 
      $1=0; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 26; break; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 23: 
      var $101=$args1; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $102=__ZNK2js12CallReceiver7calleevEv($101); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $103=$6; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $104=(($103+8)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11ObjectValueER8JSObject2569($9, $105); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $106=$102; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $107=$9; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($106)>>2)]=HEAP32[(($107)>>2)];HEAP32[(($106+4)>>2)]=HEAP32[(($107+4)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $108=$args1; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $109=__ZNK2js12CallReceiver5thisvEv($108); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $110=$3; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11ObjectValueER8JSObject2569($10, $110); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $111=$109; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $112=$10; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($111)>>2)]=HEAP32[(($112)>>2)];HEAP32[(($111+4)>>2)]=HEAP32[(($112+4)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $113=$args1; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $114=__ZNK2js8CallArgsixEj($113, 0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $115=$keyStr; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JSL11StringValueEP8JSString2546($11, $115); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $116=$114; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $117=$11; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($116)>>2)]=HEAP32[(($117)>>2)];HEAP32[(($116+4)>>2)]=HEAP32[(($117+4)>>2)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $118=$args1; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $119=__ZNK2js8CallArgsixEj($118, 1); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $120=$5; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $121=$119; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $122=$120; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($121)>>2)]=HEAP32[(($122)>>2)];HEAP32[(($121+4)>>2)]=HEAP32[(($122+4)>>2)]; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $123=$2; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $124=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($123, $args1, 0); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($124) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 24: 
      $1=0; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=1;
      __label__ = 26; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 25: 
      var $127=$5; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $128=$args1; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $129=__ZNK2js12CallReceiver4rvalEv($128); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $130=$127; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $131=$129; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($130)>>2)]=HEAP32[(($131)>>2)];HEAP32[(($130+4)>>2)]=HEAP32[(($131+4)>>2)]; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $7=0; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 26; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 26: 
      __ZN2js15InvokeArgsGuardD1Ev($args1); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $cleanup_dest2=$7;
      if ((($cleanup_dest2)|0) == 0) {
        __label__ = 27; break;
      }
      else if ((($cleanup_dest2)|0) == 1) {
        __label__ = 43; break;
      }
      else {
      __label__ = 44; break;
      }
      
    case 27: 
      __label__ = 28; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 28: 
      var $135=$5; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $136=__ZNK2JS5Value8isObjectEv($135); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($136) { __label__ = 29; break; } else { __label__ = 42; break; } //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 29: 
      var $138=$5; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $139=__ZNK2JS5Value8toObjectEv($138); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $obj=$139; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $140=$obj; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $141=__ZNK8JSObject8getClassEv($140); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $clasp=$141; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $142=$clasp; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $143=(($142)|0)==((__ZN2js11NumberClassE)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($143) { __label__ = 30; break; } else { __label__ = 33; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 30: 
      var $145=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $146=$5; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $147=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($145, $146, $d); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($147) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 31: 
      $1=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 32: 
      var $150=$5; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $151=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $152=__ZN2JS5Value9setNumberEd($150, $151); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 41; break; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 33: 
      var $154=$clasp; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $155=(($154)|0)==((__ZN2js11StringClassE)|0); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($155) { __label__ = 34; break; } else { __label__ = 37; break; } //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 34: 
      var $157=$2; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $158=$5; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $159=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($157, $158); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      $str=$159; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $160=$str; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $161=(($160)|0)!=0; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($161) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 35: 
      $1=0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 36: 
      var $164=$5; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $165=$str; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __ZN2JS5Value9setStringEP8JSString($164, $165); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 40; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 37: 
      var $167=$clasp; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $168=(($167)|0)==((__ZN2js12BooleanClassE)|0); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      if ($168) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 38: 
      var $170=$5; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $171=$obj; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $172=__ZNK8JSObject16getPrimitiveThisEv($171); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $173=$170; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      var $174=$172; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($173)>>2)]=HEAP32[(($174)>>2)];HEAP32[(($173+4)>>2)]=HEAP32[(($174+4)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 39; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 39: 
      __label__ = 40; break;
    case 40: 
      __label__ = 41; break;
    case 41: 
      __label__ = 42; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 42: 
      $1=1; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      __label__ = 43; break; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 43: 
      var $180=$1; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
      STACKTOP = __stackBase__;
      return $180; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/json.cpp"
    case 44: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15PreprocessValueIjEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext["X"]=1;

function __ZN10JSONParser5tokenENS_5TokenE($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 140 "./jsonparser.h"
  ;
  return $4; //@line 140 "./jsonparser.h"
}


function __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE14copyConstructNEPtjRKt($dst, $n, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $end;
      $1=$dst;
      $2=$n;
      $3=$t;
      var $4=$1; //@line 170 "./jsvector.h"
      $p=$4; //@line 170 "./jsvector.h"
      var $5=$1; //@line 170 "./jsvector.h"
      var $6=$2; //@line 170 "./jsvector.h"
      var $7=(($5+($6<<1))|0); //@line 170 "./jsvector.h"
      $end=$7; //@line 170 "./jsvector.h"
      __label__ = 2; break; //@line 170 "./jsvector.h"
    case 2: 
      var $9=$p; //@line 170 "./jsvector.h"
      var $10=$end; //@line 170 "./jsvector.h"
      var $11=(($9)|0)!=(($10)|0); //@line 170 "./jsvector.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 170 "./jsvector.h"
    case 3: 
      var $13=$3; //@line 171 "./jsvector.h"
      var $14=HEAP16[(($13)>>1)]; //@line 171 "./jsvector.h"
      var $15=$p; //@line 171 "./jsvector.h"
      HEAP16[(($15)>>1)]=$14; //@line 171 "./jsvector.h"
      __label__ = 4; break; //@line 171 "./jsvector.h"
    case 4: 
      var $17=$p; //@line 170 "./jsvector.h"
      var $18=(($17+2)|0); //@line 170 "./jsvector.h"
      $p=$18; //@line 170 "./jsvector.h"
      __label__ = 2; break; //@line 170 "./jsvector.h"
    case 5: 
      ;
      return; //@line 172 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15JSDOUBLE_IS_NaNd2597($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function _JSVAL_TO_INT32_IMPL2598($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL2599($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL2600($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL2601($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _BUILD_JSVAL2602($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL2603($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL2604($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL2605($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZN10JSONParser11errorReturnEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+28)|0); //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
  var $5=(($4)|0)==1; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
  ;
  return $5; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
}


function __ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=(($3)|0); //@line 249 "./dist/include/mozilla/RangedPtr.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 249 "./dist/include/mozilla/RangedPtr.h"
  var $6=$2; //@line 249 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($6)|0); //@line 249 "./dist/include/mozilla/RangedPtr.h"
  var $8=HEAPU32[(($7)>>2)]; //@line 249 "./dist/include/mozilla/RangedPtr.h"
  var $9=(($5)>>>0) < (($8)>>>0); //@line 249 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $9; //@line 249 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK7mozilla9RangedPtrIKtE3getEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 138 "./dist/include/mozilla/RangedPtr.h"
  var $4=HEAP32[(($3)>>2)]; //@line 138 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $4; //@line 138 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE15internalAppendNERKtj($this, $t, $needed) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$t;
  $3=$needed;
  var $4=$1;
  var $5=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($4); //@line 802 "./jsvector.h"
  var $6=$3; //@line 802 "./jsvector.h"
  var $7=$2; //@line 802 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE14copyConstructNEPtjRKt($5, $6, $7); //@line 802 "./jsvector.h"
  var $8=$3; //@line 803 "./jsvector.h"
  var $9=(($4+8)|0); //@line 803 "./jsvector.h"
  var $10=HEAP32[(($9)>>2)]; //@line 803 "./jsvector.h"
  var $11=(($10+$8)|0); //@line 803 "./jsvector.h"
  HEAP32[(($9)>>2)]=$11; //@line 803 "./jsvector.h"
  ;
  return; //@line 804 "./jsvector.h"
}


function __ZL18js_DoubleToIntegerd2596($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $neg;
      $2=$d;
      var $3=$2; //@line 572 "./jsnum.h"
      var $4=$3 == 0; //@line 572 "./jsnum.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 572 "./jsnum.h"
    case 2: 
      var $6=$2; //@line 573 "./jsnum.h"
      $1=$6; //@line 573 "./jsnum.h"
      __label__ = 14; break; //@line 573 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 575 "./jsnum.h"
      var $9=__ZL18JSDOUBLE_IS_FINITEd2585($8); //@line 575 "./jsnum.h"
      var $10=(($9)|0)!=0; //@line 575 "./jsnum.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 575 "./jsnum.h"
    case 4: 
      var $12=$2; //@line 576 "./jsnum.h"
      var $13=__ZL15JSDOUBLE_IS_NaNd2597($12); //@line 576 "./jsnum.h"
      var $14=(($13)|0)!=0; //@line 576 "./jsnum.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 576 "./jsnum.h"
    case 5: 
      $1=0; //@line 577 "./jsnum.h"
      __label__ = 14; break; //@line 577 "./jsnum.h"
    case 6: 
      var $17=$2; //@line 578 "./jsnum.h"
      $1=$17; //@line 578 "./jsnum.h"
      __label__ = 14; break; //@line 578 "./jsnum.h"
    case 7: 
      var $19=$2; //@line 581 "./jsnum.h"
      var $20=$19 < 0; //@line 581 "./jsnum.h"
      var $21=(($20)&1); //@line 581 "./jsnum.h"
      $neg=$21; //@line 581 "./jsnum.h"
      var $22=$neg; //@line 582 "./jsnum.h"
      var $23=(($22)|0)!=0; //@line 582 "./jsnum.h"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 582 "./jsnum.h"
    case 8: 
      var $25=$2; //@line 582 "./jsnum.h"
      var $26=(-$25); //@line 582 "./jsnum.h"
      var $30 = $26;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 9: 
      var $28=$2; //@line 582 "./jsnum.h"
      var $30 = $28;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 10: 
      var $30; //@line 582 "./jsnum.h"
      var $31=_floor($30); //@line 582 "./jsnum.h"
      $2=$31; //@line 582 "./jsnum.h"
      var $32=$neg; //@line 584 "./jsnum.h"
      var $33=(($32)|0)!=0; //@line 584 "./jsnum.h"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 584 "./jsnum.h"
    case 11: 
      var $35=$2; //@line 584 "./jsnum.h"
      var $36=(-$35); //@line 584 "./jsnum.h"
      var $40 = $36;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 12: 
      var $38=$2; //@line 584 "./jsnum.h"
      var $40 = $38;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 13: 
      var $40; //@line 584 "./jsnum.h"
      $1=$40; //@line 584 "./jsnum.h"
      __label__ = 14; break; //@line 584 "./jsnum.h"
    case 14: 
      var $42=$1; //@line 585 "./jsnum.h"
      ;
      return $42; //@line 585 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_DoubleToIntegerd2596["X"]=1;

function __ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E12destroyTableERS6_PNS0_14HashTableEntryIS2_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10JSONParser5errorEPKc($this, $msg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$msg;
      var $3=$1;
      var $4=(($3+28)|0); //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $6=(($5)|0)==0; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $8=(($3)|0); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $10=$2; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      _JS_ReportErrorNumber($9, 2, 0, 228, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$10,tempInt)); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 3; break; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      ;
      return; //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10JSONParser10readNumberEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $negative;
      var $digitStart=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+8;
      var $dummy=__stackBase__+12;
      var $d=__stackBase__+16;
      var $d1=__stackBase__+24;
      var $finish=__stackBase__+32;
      $2=$this;
      var $5=$2;
      var $6=(($5+4)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $7=__ZNK7mozilla9RangedPtrIKtEdeEv($6); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $8=HEAPU16[(($7)>>1)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $9=(($8)&65535); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $10=(($9)|0)==45; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $11=(($10)&1); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $negative=$11; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $12=$negative; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=(($12) & 1); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $15=(($5+4)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $16=__ZN7mozilla9RangedPtrIKtEppEv($15); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $17=(($5+8)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $18=__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($16, $17); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str2606)|0)); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $20=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$20; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 4: 
      var $22=(($5+4)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $23=$digitStart; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $24=$22; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $25=(($5+4)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $26=__ZNK7mozilla9RangedPtrIKtEdeEv($25); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=HEAPU16[(($26)>>1)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $28=(($27)&65535); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=(($28-48)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $30=(($29)>>>0) <= 9; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 5: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str12607)|0)); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $32=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$32; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $34=(($5+4)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($3, $34, 0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=__ZNK7mozilla9RangedPtrIKtEdeEv($3); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $36=HEAPU16[(($35)>>1)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $37=(($36)&65535); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $38=(($37)|0)!=48; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 14; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      __label__ = 8; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $41=(($5+4)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $42=(($5+8)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $43=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($41, $42); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($43) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $45=(($5+4)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $46=__ZNK7mozilla9RangedPtrIKtEdeEv($45); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $47=HEAPU16[(($46)>>1)]; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $48=(($47)&65535); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $49=(($48-48)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $50=(($49)>>>0) <= 9; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      __label__ = 13; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      __label__ = 12; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      var $54=(($5+4)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $54, 0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 8; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      __label__ = 14; break; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 14: 
      var $57=(($5+4)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $58=(($5+8)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $59=__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($57, $58); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($59) { __label__ = 18; break; } else { __label__ = 15; break; } //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 15: 
      var $61=(($5+4)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $62=__ZNK7mozilla9RangedPtrIKtEdeEv($61); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $63=HEAPU16[(($62)>>1)]; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $64=(($63)&65535); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $65=(($64)|0)!=46; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 24; break; } //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 16: 
      var $67=(($5+4)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $68=__ZNK7mozilla9RangedPtrIKtEdeEv($67); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $69=HEAPU16[(($68)>>1)]; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $70=(($69)&65535); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $71=(($70)|0)!=101; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($71) { __label__ = 17; break; } else { __label__ = 24; break; } //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 17: 
      var $73=(($5+4)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $74=__ZNK7mozilla9RangedPtrIKtEdeEv($73); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $75=HEAPU16[(($74)>>1)]; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $76=(($75)&65535); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $77=(($76)|0)!=69; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($77) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 18: 
      var $79=(($5)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $81=__ZNK7mozilla9RangedPtrIKtE3getEv($digitStart); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $82=(($5+4)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $83=__ZNK7mozilla9RangedPtrIKtE3getEv($82); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $84=__ZN2js16GetPrefixIntegerEP9JSContextPKtS3_iPS3_Pd($80, $81, $83, 10, $dummy, $d); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 19: 
      var $86=__ZN10JSONParser5tokenENS_5TokenE($5, 11); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$86; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 20: 
      var $88=$negative; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $89=(($88) & 1); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($89) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 21: 
      var $91=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $92=(-$91); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $96 = $92;__label__ = 23; break; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 22: 
      var $94=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $96 = $94;__label__ = 23; break; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 23: 
      var $96; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $97=__ZN10JSONParser11numberTokenEd($5, $96); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$97; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 24: 
      var $99=(($5+4)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $100=(($5+8)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $101=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($99, $100); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($101) { __label__ = 25; break; } else { __label__ = 36; break; } //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 25: 
      var $103=(($5+4)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $104=__ZNK7mozilla9RangedPtrIKtEdeEv($103); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $105=HEAPU16[(($104)>>1)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $106=(($105)&65535); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $107=(($106)|0)==46; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($107) { __label__ = 26; break; } else { __label__ = 36; break; } //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 26: 
      var $109=(($5+4)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $110=__ZN7mozilla9RangedPtrIKtEppEv($109); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $111=(($5+8)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $112=__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($110, $111); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($112) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 27: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str22608)|0)); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $114=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$114; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 28: 
      var $116=(($5+4)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $117=__ZNK7mozilla9RangedPtrIKtEdeEv($116); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $118=HEAPU16[(($117)>>1)]; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $119=(($118)&65535); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $120=(($119-48)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $121=(($120)>>>0) <= 9; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($121) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 29: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str32609)|0)); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $123=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$123; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 30: 
      __label__ = 31; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 31: 
      var $126=(($5+4)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $127=__ZN7mozilla9RangedPtrIKtEppEv($126); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $128=(($5+8)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $129=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($127, $128); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($129) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 32: 
      var $131=(($5+4)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $132=__ZNK7mozilla9RangedPtrIKtEdeEv($131); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $133=HEAPU16[(($132)>>1)]; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $134=(($133)&65535); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $135=(($134-48)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $136=(($135)>>>0) <= 9; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($136) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 33: 
      __label__ = 35; break; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 34: 
      __label__ = 31; break; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 35: 
      __label__ = 36; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 36: 
      var $141=(($5+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $142=(($5+8)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $143=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($141, $142); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($143) { __label__ = 37; break; } else { __label__ = 54; break; } //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 37: 
      var $145=(($5+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $146=__ZNK7mozilla9RangedPtrIKtEdeEv($145); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $147=HEAPU16[(($146)>>1)]; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $148=(($147)&65535); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $149=(($148)|0)==101; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($149) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 38: 
      var $151=(($5+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $152=__ZNK7mozilla9RangedPtrIKtEdeEv($151); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $153=HEAPU16[(($152)>>1)]; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $154=(($153)&65535); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $155=(($154)|0)==69; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($155) { __label__ = 39; break; } else { __label__ = 54; break; } //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 39: 
      var $157=(($5+4)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $158=__ZN7mozilla9RangedPtrIKtEppEv($157); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $159=(($5+8)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $160=__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($158, $159); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($160) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 40: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str42610)|0)); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $162=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$162; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 41: 
      var $164=(($5+4)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $165=__ZNK7mozilla9RangedPtrIKtEdeEv($164); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $166=HEAPU16[(($165)>>1)]; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $167=(($166)&65535); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $168=(($167)|0)==43; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($168) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 42: 
      var $170=(($5+4)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $171=__ZNK7mozilla9RangedPtrIKtEdeEv($170); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $172=HEAPU16[(($171)>>1)]; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $173=(($172)&65535); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $174=(($173)|0)==45; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($174) { __label__ = 43; break; } else { __label__ = 46; break; } //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 43: 
      var $176=(($5+4)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $177=__ZN7mozilla9RangedPtrIKtEppEv($176); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $178=(($5+8)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $179=__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($177, $178); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($179) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 44: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str52611)|0)); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $181=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$181; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 45: 
      __label__ = 46; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 46: 
      var $184=(($5+4)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $185=__ZNK7mozilla9RangedPtrIKtEdeEv($184); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $186=HEAPU16[(($185)>>1)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $187=(($186)&65535); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $188=(($187-48)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $189=(($188)>>>0) <= 9; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($189) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 47: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str62612)|0)); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $191=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$191; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 48: 
      __label__ = 49; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 49: 
      var $194=(($5+4)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $195=__ZN7mozilla9RangedPtrIKtEppEv($194); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $196=(($5+8)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $197=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($195, $196); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($197) { __label__ = 50; break; } else { __label__ = 53; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 50: 
      var $199=(($5+4)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $200=__ZNK7mozilla9RangedPtrIKtEdeEv($199); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $201=HEAPU16[(($200)>>1)]; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $202=(($201)&65535); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $203=(($202-48)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $204=(($203)>>>0) <= 9; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($204) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 51: 
      __label__ = 53; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 52: 
      __label__ = 49; break; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 53: 
      __label__ = 54; break; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 54: 
      var $209=(($5)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $210=HEAP32[(($209)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $211=__ZNK7mozilla9RangedPtrIKtE3getEv($digitStart); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $212=(($5+4)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $213=__ZNK7mozilla9RangedPtrIKtE3getEv($212); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $214=__Z9js_strtodP9JSContextPKtS2_PS2_Pd($210, $211, $213, $finish, $d1); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $215=(($214)|0)!=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($215) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 55: 
      var $217=__ZN10JSONParser5tokenENS_5TokenE($5, 11); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$217; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 56: 
      var $219=$negative; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $220=(($219) & 1); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($220) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 57: 
      var $222=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $223=(-$222); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $227 = $223;__label__ = 59; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 58: 
      var $225=(tempDoubleI32[0]=HEAP32[(($d1)>>2)],tempDoubleI32[1]=HEAP32[(($d1+4)>>2)],tempDoubleF64[0]); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $227 = $225;__label__ = 59; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 59: 
      var $227; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $228=__ZN10JSONParser11numberTokenEd($5, $227); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$228; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 60; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 60: 
      var $230=$1; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $230; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser10readNumberEv["X"]=1;

function __ZN10JSONParser11numberTokenEd($this, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$d;
  var $4=$1;
  var $5=(($4+16)|0); //@line 152 "./jsonparser.h"
  var $6=$2; //@line 152 "./jsonparser.h"
  __ZN2JSL11NumberValueEd2666($3, $6); //@line 152 "./jsonparser.h"
  var $7=$5; //@line 152 "./jsonparser.h"
  var $8=$3; //@line 152 "./jsonparser.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 152 "./jsonparser.h"
  STACKTOP = __stackBase__;
  return 1; //@line 156 "./jsonparser.h"
}


function __ZL16IsJSONWhitespacet($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $3=(($2)&65535); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $4=(($3)|0)==9; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($4) { var $18 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $6=$1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $7=(($6)&65535); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $8=(($7)|0)==13; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($8) { var $18 = 1;__label__ = 5; break; } else { __label__ = 3; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $10=$1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $11=(($10)&65535); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $12=(($11)|0)==10; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($12) { var $18 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 4: 
      var $14=$1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $15=(($14)&65535); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $16=(($15)|0)==32; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $18 = $16;__label__ = 5; break; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 5: 
      var $18;
      ;
      return $18; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=(($3)|0); //@line 262 "./dist/include/mozilla/RangedPtr.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 262 "./dist/include/mozilla/RangedPtr.h"
  var $6=$2; //@line 262 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($6)|0); //@line 262 "./dist/include/mozilla/RangedPtr.h"
  var $8=HEAPU32[(($7)>>2)]; //@line 262 "./dist/include/mozilla/RangedPtr.h"
  var $9=(($5)>>>0) >= (($8)>>>0); //@line 262 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $9; //@line 262 "./dist/include/mozilla/RangedPtr.h"
}


function __ZNK7mozilla9RangedPtrIKtEmiERKS2_($this, $other) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  var $2=__stackBase__+4;
  var $3;
  var $4;
  $3=$this;
  $4=$other;
  var $5=$3;
  var $6=$4; //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($6)|0); //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $8=HEAP32[(($7)>>2)]; //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $9=(($5)|0); //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $10=HEAP32[(($9)>>2)]; //@line 267 "./dist/include/mozilla/RangedPtr.h"
  var $11=$1;
  var $12=$2;
  HEAP32[(($1)>>2)]=$8;
  HEAP32[(($2)>>2)]=$10;
  var $13=HEAP32[(($2)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
  var $14=$13; //@line 330 "./dist/include/mozilla/Util.h"
  var $15=HEAP32[(($1)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
  var $16=$15; //@line 330 "./dist/include/mozilla/Util.h"
  var $17=(($14-$16)|0); //@line 330 "./dist/include/mozilla/Util.h"
  var $18=Math.floor((($17)>>>0)/2); //@line 330 "./dist/include/mozilla/Util.h"
  var $19=$1; //@line 330 "./dist/include/mozilla/Util.h"
  var $20=$2; //@line 330 "./dist/include/mozilla/Util.h"
  STACKTOP = __stackBase__;
  return $18; //@line 267 "./dist/include/mozilla/RangedPtr.h"
}


function __ZN10JSONParser7advanceEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+12;
      var $7=__stackBase__+16;
      var $8=__stackBase__+20;
      var $9=__stackBase__+24;
      $2=$this;
      var $10=$2;
      __label__ = 2; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $12=(($10+4)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=(($10+8)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $14=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($12, $13); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $16=(($10+4)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $17=__ZNK7mozilla9RangedPtrIKtEdeEv($16); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $18=HEAP16[(($17)>>1)]; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $19=__ZL16IsJSONWhitespacet($18); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($10+4)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($3, $23, 0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $25=(($10+4)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $26=(($10+8)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($25, $26); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      __ZN10JSONParser5errorEPKc($10, ((STRING_TABLE.__str72613)|0)); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=__ZN10JSONParser5tokenENS_5TokenE($10, 12); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$29; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $31=(($10+4)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $32=__ZNK7mozilla9RangedPtrIKtEdeEv($31); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $33=HEAPU16[(($32)>>1)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $34=(($33)&65535); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ((($34)|0) == 34) {
        __label__ = 9; break;
      }
      else if ((($34)|0) == 45 || (($34)|0) == 48 || (($34)|0) == 49 || (($34)|0) == 50 || (($34)|0) == 51 || (($34)|0) == 52 || (($34)|0) == 53 || (($34)|0) == 54 || (($34)|0) == 55 || (($34)|0) == 56 || (($34)|0) == 57) {
        __label__ = 10; break;
      }
      else if ((($34)|0) == 116) {
        __label__ = 11; break;
      }
      else if ((($34)|0) == 102) {
        __label__ = 17; break;
      }
      else if ((($34)|0) == 110) {
        __label__ = 24; break;
      }
      else if ((($34)|0) == 91) {
        __label__ = 30; break;
      }
      else if ((($34)|0) == 93) {
        __label__ = 31; break;
      }
      else if ((($34)|0) == 123) {
        __label__ = 32; break;
      }
      else if ((($34)|0) == 125) {
        __label__ = 33; break;
      }
      else if ((($34)|0) == 44) {
        __label__ = 34; break;
      }
      else if ((($34)|0) == 58) {
        __label__ = 35; break;
      }
      else {
      __label__ = 36; break;
      }
      
    case 9: 
      var $36=__ZN10JSONParser10readStringILNS_10StringTypeE1EEENS_5TokenEv($10); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$36; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      var $38=__ZN10JSONParser10readNumberEv($10); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$38; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $40=(($10+8)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $41=(($10+4)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $42=__ZNK7mozilla9RangedPtrIKtEmiERKS2_($40, $41); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $43=(($42)>>>0) < 4; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($43) { __label__ = 15; break; } else { __label__ = 12; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      var $45=(($10+4)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $46=__ZNK7mozilla9RangedPtrIKtEixEi($45, 1); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $47=HEAPU16[(($46)>>1)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $48=(($47)&65535); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $49=(($48)|0)!=114; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($49) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      var $51=(($10+4)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $52=__ZNK7mozilla9RangedPtrIKtEixEi($51, 2); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $53=HEAPU16[(($52)>>1)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $54=(($53)&65535); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $55=(($54)|0)!=117; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 14: 
      var $57=(($10+4)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $58=__ZNK7mozilla9RangedPtrIKtEixEi($57, 3); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $59=HEAPU16[(($58)>>1)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $60=(($59)&65535); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $61=(($60)|0)!=101; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 15: 
      __ZN10JSONParser5errorEPKc($10, ((STRING_TABLE.__str82614)|0)); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $63=__ZN10JSONParser5tokenENS_5TokenE($10, 12); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$63; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 16: 
      var $65=(($10+4)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $66=__ZN7mozilla9RangedPtrIKtEpLEj($65, 4); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $67=__ZN10JSONParser5tokenENS_5TokenE($10, 2); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$67; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 17: 
      var $69=(($10+8)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $70=(($10+4)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $71=__ZNK7mozilla9RangedPtrIKtEmiERKS2_($69, $70); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $72=(($71)>>>0) < 5; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($72) { __label__ = 22; break; } else { __label__ = 18; break; } //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 18: 
      var $74=(($10+4)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $75=__ZNK7mozilla9RangedPtrIKtEixEi($74, 1); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $76=HEAPU16[(($75)>>1)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $77=(($76)&65535); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $78=(($77)|0)!=97; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($78) { __label__ = 22; break; } else { __label__ = 19; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 19: 
      var $80=(($10+4)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $81=__ZNK7mozilla9RangedPtrIKtEixEi($80, 2); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $82=HEAPU16[(($81)>>1)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $83=(($82)&65535); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $84=(($83)|0)!=108; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($84) { __label__ = 22; break; } else { __label__ = 20; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 20: 
      var $86=(($10+4)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $87=__ZNK7mozilla9RangedPtrIKtEixEi($86, 3); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $88=HEAPU16[(($87)>>1)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $89=(($88)&65535); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $90=(($89)|0)!=115; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($90) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 21: 
      var $92=(($10+4)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $93=__ZNK7mozilla9RangedPtrIKtEixEi($92, 4); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $94=HEAPU16[(($93)>>1)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $95=(($94)&65535); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $96=(($95)|0)!=101; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($96) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 22: 
      __ZN10JSONParser5errorEPKc($10, ((STRING_TABLE.__str82614)|0)); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $98=__ZN10JSONParser5tokenENS_5TokenE($10, 12); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$98; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 23: 
      var $100=(($10+4)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $101=__ZN7mozilla9RangedPtrIKtEpLEj($100, 5); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $102=__ZN10JSONParser5tokenENS_5TokenE($10, 3); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$102; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 24: 
      var $104=(($10+8)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $105=(($10+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $106=__ZNK7mozilla9RangedPtrIKtEmiERKS2_($104, $105); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $107=(($106)>>>0) < 4; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($107) { __label__ = 28; break; } else { __label__ = 25; break; } //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 25: 
      var $109=(($10+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $110=__ZNK7mozilla9RangedPtrIKtEixEi($109, 1); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $111=HEAPU16[(($110)>>1)]; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $112=(($111)&65535); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $113=(($112)|0)!=117; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($113) { __label__ = 28; break; } else { __label__ = 26; break; } //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 26: 
      var $115=(($10+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $116=__ZNK7mozilla9RangedPtrIKtEixEi($115, 2); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $117=HEAPU16[(($116)>>1)]; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $118=(($117)&65535); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $119=(($118)|0)!=108; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($119) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 27: 
      var $121=(($10+4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $122=__ZNK7mozilla9RangedPtrIKtEixEi($121, 3); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $123=HEAPU16[(($122)>>1)]; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $124=(($123)&65535); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $125=(($124)|0)!=108; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($125) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 28: 
      __ZN10JSONParser5errorEPKc($10, ((STRING_TABLE.__str82614)|0)); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $127=__ZN10JSONParser5tokenENS_5TokenE($10, 12); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$127; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 29: 
      var $129=(($10+4)|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $130=__ZN7mozilla9RangedPtrIKtEpLEj($129, 4); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $131=__ZN10JSONParser5tokenENS_5TokenE($10, 4); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$131; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 30: 
      var $133=(($10+4)|0); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $133, 0); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $134=__ZN10JSONParser5tokenENS_5TokenE($10, 5); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$134; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 31: 
      var $136=(($10+4)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($5, $136, 0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $137=__ZN10JSONParser5tokenENS_5TokenE($10, 6); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$137; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 32: 
      var $139=(($10+4)|0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($6, $139, 0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $140=__ZN10JSONParser5tokenENS_5TokenE($10, 7); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$140; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 33: 
      var $142=(($10+4)|0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($7, $142, 0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $143=__ZN10JSONParser5tokenENS_5TokenE($10, 8); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$143; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 34: 
      var $145=(($10+4)|0); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($8, $145, 0); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $146=__ZN10JSONParser5tokenENS_5TokenE($10, 10); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$146; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 35: 
      var $148=(($10+4)|0); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($9, $148, 0); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $149=__ZN10JSONParser5tokenENS_5TokenE($10, 9); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$149; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 36: 
      __ZN10JSONParser5errorEPKc($10, ((STRING_TABLE.__str92615)|0)); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $151=__ZN10JSONParser5tokenENS_5TokenE($10, 12); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$151; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 37; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 37: 
      var $153=$1; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $153; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser7advanceEv["X"]=1;

function __ZN10JSONParser10readStringILNS_10StringTypeE1EEENS_5TokenEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $start=__stackBase__;
      var $length;
      var $3=__stackBase__+4;
      var $str;
      var $4=__stackBase__+8;
      var $buffer=__stackBase__+12;
      var $5;
      var $c;
      var $6=__stackBase__+92;
      var $str1;
      var $7=__stackBase__+96;
      var $8=__stackBase__+100;
      $2=$this;
      var $9=$2;
      var $10=(($9+4)|0); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $11=__ZN7mozilla9RangedPtrIKtEppEv($10); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $12=(($9+8)|0); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($11, $12); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str232629)|0)); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $15=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$15; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $17=(($9+4)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $18=$start; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $19=$17; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)]; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 4; break; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 4: 
      var $21=(($9+4)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $22=(($9+8)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $23=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($21, $22); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 5: 
      var $25=(($9+4)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $26=__ZNK7mozilla9RangedPtrIKtEdeEv($25); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=HEAPU16[(($26)>>1)]; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $28=(($27)&65535); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=(($28)|0)==34; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $31=(($9+4)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $32=__ZNK7mozilla9RangedPtrIKtEmiERKS2_($31, $start); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $length=$32; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $33=(($9+4)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($3, $33, 0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $34=(($9)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $36=__ZNK7mozilla9RangedPtrIKtE3getEv($start); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $37=$length; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $38=__Z17js_NewStringCopyNP9JSContextPKtj($35, $36, $37); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $39=$38; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $str=$39; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $40=$str; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $41=(($40)|0)!=0; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      var $43=__ZN10JSONParser5tokenENS_5TokenE($9, 11); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$43; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $45=$str; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $46=$45; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $47=__ZN10JSONParser11stringTokenEP8JSString($9, $46); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$47; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $49=(($9+4)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $50=__ZNK7mozilla9RangedPtrIKtEdeEv($49); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $51=HEAPU16[(($50)>>1)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $52=(($51)&65535); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $53=(($52)|0)==92; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      __label__ = 15; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $56=(($9+4)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $57=__ZNK7mozilla9RangedPtrIKtEdeEv($56); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $58=HEAPU16[(($57)>>1)]; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $59=(($58)&65535); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $60=(($59)|0) <= 31; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($60) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str242630)|0)); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $62=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$62; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      __label__ = 14; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 14: 
      var $65=(($9+4)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $65, 0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 4; break; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 15: 
      var $67=(($9)|0); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js12StringBufferC1EP9JSContext($buffer, $68); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 16; break; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 16: 
      var $70=(($9+4)|0); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $71=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($start, $70); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($71) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 17: 
      var $73=__ZNK7mozilla9RangedPtrIKtE3getEv($start); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $74=(($9+4)|0); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $75=__ZNK7mozilla9RangedPtrIKtE3getEv($74); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $76=__ZN2js12StringBuffer6appendEPKtS2_($buffer, $73, $75); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($76) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 18: 
      var $78=__ZN10JSONParser5tokenENS_5TokenE($9, 11); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$78; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 19: 
      var $80=(($9+4)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $81=(($9+8)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $82=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($80, $81); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($82) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 20: 
      __label__ = 75; break; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 21: 
      var $85=(($9+4)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($6, $85, 0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $86=__ZNK7mozilla9RangedPtrIKtEdeEv($6); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $87=HEAP16[(($86)>>1)]; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $c=$87; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $88=$c; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $89=(($88)&65535); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $90=(($89)|0)==34; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($90) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 22: 
      var $92=__ZN2js12StringBuffer12finishStringEv($buffer); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $93=$92; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $str1=$93; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $94=$str1; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $95=(($94)|0)!=0; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($95) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 23: 
      var $97=__ZN10JSONParser5tokenENS_5TokenE($9, 11); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$97; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 24: 
      var $99=$str1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $100=$99; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $101=__ZN10JSONParser11stringTokenEP8JSString($9, $100); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$101; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 25: 
      var $103=$c; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $104=(($103)&65535); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $105=(($104)|0)!=92; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($105) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 26: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str252631)|0)); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $107=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$107; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 27: 
      var $109=(($9+4)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $110=(($9+8)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $111=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($109, $110); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($111) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 28: 
      __label__ = 75; break; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 29: 
      var $114=(($9+4)|0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($7, $114, 0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $115=__ZNK7mozilla9RangedPtrIKtEdeEv($7); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $116=HEAPU16[(($115)>>1)]; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $117=(($116)&65535); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ((($117)|0) == 34) {
        __label__ = 30; break;
      }
      else if ((($117)|0) == 47) {
        __label__ = 31; break;
      }
      else if ((($117)|0) == 92) {
        __label__ = 32; break;
      }
      else if ((($117)|0) == 98) {
        __label__ = 33; break;
      }
      else if ((($117)|0) == 102) {
        __label__ = 34; break;
      }
      else if ((($117)|0) == 110) {
        __label__ = 35; break;
      }
      else if ((($117)|0) == 114) {
        __label__ = 36; break;
      }
      else if ((($117)|0) == 116) {
        __label__ = 37; break;
      }
      else if ((($117)|0) == 117) {
        __label__ = 38; break;
      }
      else {
      __label__ = 62; break;
      }
      
    case 30: 
      $c=34; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 31: 
      $c=47; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 32: 
      $c=92; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 33: 
      $c=8; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 34: 
      $c=12; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 35: 
      $c=10; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 36: 
      $c=13; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 37: 
      $c=9; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 38: 
      var $127=(($9+8)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $128=(($9+4)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $129=__ZNK7mozilla9RangedPtrIKtEmiERKS2_($127, $128); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $130=(($129)>>>0) < 4; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($130) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 39: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str262632)|0)); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $132=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$132; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 40: 
      var $134=(($9+4)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $135=__ZNK7mozilla9RangedPtrIKtEixEi($134, 0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $136=HEAPU16[(($135)>>1)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $137=(($136)&65535); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $138=(($137)|0) < 128; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($138) { __label__ = 41; break; } else { __label__ = 61; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 41: 
      var $140=(($9+4)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $141=__ZNK7mozilla9RangedPtrIKtEixEi($140, 0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $142=HEAPU16[(($141)>>1)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $143=(($142)&65535); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $144=_isxdigit($143); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $145=(($144)|0)!=0; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($145) { __label__ = 42; break; } else { __label__ = 61; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 42: 
      var $147=(($9+4)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $148=__ZNK7mozilla9RangedPtrIKtEixEi($147, 1); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $149=HEAPU16[(($148)>>1)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $150=(($149)&65535); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $151=(($150)|0) < 128; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($151) { __label__ = 43; break; } else { __label__ = 61; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 43: 
      var $153=(($9+4)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $154=__ZNK7mozilla9RangedPtrIKtEixEi($153, 1); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $155=HEAPU16[(($154)>>1)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $156=(($155)&65535); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $157=_isxdigit($156); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $158=(($157)|0)!=0; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($158) { __label__ = 44; break; } else { __label__ = 61; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 44: 
      var $160=(($9+4)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $161=__ZNK7mozilla9RangedPtrIKtEixEi($160, 2); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $162=HEAPU16[(($161)>>1)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $163=(($162)&65535); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $164=(($163)|0) < 128; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($164) { __label__ = 45; break; } else { __label__ = 61; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 45: 
      var $166=(($9+4)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $167=__ZNK7mozilla9RangedPtrIKtEixEi($166, 2); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $168=HEAPU16[(($167)>>1)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $169=(($168)&65535); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $170=_isxdigit($169); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $171=(($170)|0)!=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($171) { __label__ = 46; break; } else { __label__ = 61; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 46: 
      var $173=(($9+4)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $174=__ZNK7mozilla9RangedPtrIKtEixEi($173, 3); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $175=HEAPU16[(($174)>>1)]; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $176=(($175)&65535); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $177=(($176)|0) < 128; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($177) { __label__ = 47; break; } else { __label__ = 61; break; } //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 47: 
      var $179=(($9+4)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $180=__ZNK7mozilla9RangedPtrIKtEixEi($179, 3); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $181=HEAPU16[(($180)>>1)]; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $182=(($181)&65535); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $183=_isxdigit($182); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $184=(($183)|0)!=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($184) { __label__ = 48; break; } else { __label__ = 61; break; } //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 48: 
      var $186=(($9+4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $187=__ZNK7mozilla9RangedPtrIKtEixEi($186, 0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $188=HEAPU16[(($187)>>1)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $189=(($188)&65535); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $190=(($189-48)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $191=(($190)>>>0) <= 9; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($191) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 49: 
      var $193=(($9+4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $194=__ZNK7mozilla9RangedPtrIKtEixEi($193, 0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $195=HEAPU16[(($194)>>1)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $196=(($195)&65535); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $197=(($196-48)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $207 = $197;__label__ = 51; break; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 50: 
      var $199=(($9+4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $200=__ZNK7mozilla9RangedPtrIKtEixEi($199, 0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $201=HEAPU16[(($200)>>1)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $202=(($201)&65535); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $203=_tolower($202); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $204=(($203+10)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $205=(($204-97)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $207 = $205;__label__ = 51; break; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 51: 
      var $207; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $208=$207 << 12; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $209=(($9+4)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $210=__ZNK7mozilla9RangedPtrIKtEixEi($209, 1); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $211=HEAPU16[(($210)>>1)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $212=(($211)&65535); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $213=(($212-48)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $214=(($213)>>>0) <= 9; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($214) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 52: 
      var $216=(($9+4)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $217=__ZNK7mozilla9RangedPtrIKtEixEi($216, 1); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $218=HEAPU16[(($217)>>1)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $219=(($218)&65535); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $220=(($219-48)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $230 = $220;__label__ = 54; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 53: 
      var $222=(($9+4)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $223=__ZNK7mozilla9RangedPtrIKtEixEi($222, 1); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $224=HEAPU16[(($223)>>1)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $225=(($224)&65535); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $226=_tolower($225); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $227=(($226+10)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $228=(($227-97)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $230 = $228;__label__ = 54; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 54: 
      var $230; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $231=$230 << 8; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $232=$208 | $231; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $233=(($9+4)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $234=__ZNK7mozilla9RangedPtrIKtEixEi($233, 2); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $235=HEAPU16[(($234)>>1)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $236=(($235)&65535); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $237=(($236-48)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $238=(($237)>>>0) <= 9; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($238) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 55: 
      var $240=(($9+4)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $241=__ZNK7mozilla9RangedPtrIKtEixEi($240, 2); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $242=HEAPU16[(($241)>>1)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $243=(($242)&65535); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $244=(($243-48)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $254 = $244;__label__ = 57; break; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 56: 
      var $246=(($9+4)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $247=__ZNK7mozilla9RangedPtrIKtEixEi($246, 2); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $248=HEAPU16[(($247)>>1)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $249=(($248)&65535); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $250=_tolower($249); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $251=(($250+10)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $252=(($251-97)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $254 = $252;__label__ = 57; break; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 57: 
      var $254; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $255=$254 << 4; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $256=$232 | $255; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $257=(($9+4)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $258=__ZNK7mozilla9RangedPtrIKtEixEi($257, 3); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $259=HEAPU16[(($258)>>1)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $260=(($259)&65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $261=(($260-48)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $262=(($261)>>>0) <= 9; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($262) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 58: 
      var $264=(($9+4)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $265=__ZNK7mozilla9RangedPtrIKtEixEi($264, 3); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $266=HEAPU16[(($265)>>1)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $267=(($266)&65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $268=(($267-48)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $278 = $268;__label__ = 60; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 59: 
      var $270=(($9+4)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $271=__ZNK7mozilla9RangedPtrIKtEixEi($270, 3); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $272=HEAPU16[(($271)>>1)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $273=(($272)&65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $274=_tolower($273); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $275=(($274+10)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $276=(($275-97)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $278 = $276;__label__ = 60; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 60: 
      var $278; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $279=$256 | $278; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $280=(($279) & 65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $c=$280; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $281=(($9+4)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $282=__ZN7mozilla9RangedPtrIKtEpLEj($281, 4); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 61: 
      __label__ = 62; break; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 62: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str272633)|0)); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $285=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$285; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 63: 
      var $287=$c; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $288=__ZN2js12StringBuffer6appendEt($buffer, $287); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($288) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 64: 
      var $290=__ZN10JSONParser5tokenENS_5TokenE($9, 11); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$290; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 65: 
      var $292=(($9+4)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $293=__ZN7mozilla9RangedPtrIKtEaSERKS2_($start, $292); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 66; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 66: 
      var $295=(($9+4)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $296=(($9+8)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $297=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($295, $296); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($297) { __label__ = 67; break; } else { __label__ = 73; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 67: 
      var $299=(($9+4)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $300=__ZNK7mozilla9RangedPtrIKtEdeEv($299); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $301=HEAPU16[(($300)>>1)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $302=(($301)&65535); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $303=(($302)|0)==34; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($303) { __label__ = 70; break; } else { __label__ = 68; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 68: 
      var $305=(($9+4)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $306=__ZNK7mozilla9RangedPtrIKtEdeEv($305); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $307=HEAPU16[(($306)>>1)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $308=(($307)&65535); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $309=(($308)|0)==92; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($309) { __label__ = 70; break; } else { __label__ = 69; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 69: 
      var $311=(($9+4)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $312=__ZNK7mozilla9RangedPtrIKtEdeEv($311); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $313=HEAPU16[(($312)>>1)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $314=(($313)&65535); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $315=(($314)|0) <= 31; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($315) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 70: 
      __label__ = 73; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 71: 
      __label__ = 72; break; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 72: 
      var $319=(($9+4)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($8, $319, 0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 66; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 73: 
      __label__ = 74; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 74: 
      var $322=(($9+4)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $323=(($9+8)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $324=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($322, $323); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($324) { __label__ = 16; break; } else { __label__ = 75; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 75: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str282634)|0)); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $326=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$326; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 76: 
      __ZN2js12StringBufferD1Ev($buffer); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break;
    case 77: 
      var $329=$1; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $329; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser10readStringILNS_10StringTypeE1EEENS_5TokenEv["X"]=1;

function __ZNK7mozilla9RangedPtrIKtEixEi($this, $index) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$index;
  var $4=$1;
  var $5=(($4)|0); //@line 222 "./dist/include/mozilla/RangedPtr.h"
  var $6=HEAP32[(($5)>>2)]; //@line 222 "./dist/include/mozilla/RangedPtr.h"
  var $7=$2; //@line 222 "./dist/include/mozilla/RangedPtr.h"
  var $8=(($6+($7<<1))|0); //@line 222 "./dist/include/mozilla/RangedPtr.h"
  __ZNK7mozilla9RangedPtrIKtE6createEPS1_($3, $4, $8); //@line 222 "./dist/include/mozilla/RangedPtr.h"
  var $9=__ZNK7mozilla9RangedPtrIKtEdeEv($3); //@line 222 "./dist/include/mozilla/RangedPtr.h"
  STACKTOP = __stackBase__;
  return $9; //@line 222 "./dist/include/mozilla/RangedPtr.h"
}


function __ZL15AssertPastValueN7mozilla9RangedPtrIKtEE($current) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $current; $current = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($current)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  STACKTOP = __stackBase__;
  return; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
}


function __ZN10JSONParser22advanceAfterObjectOpenEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __label__ = 2; break; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $7=(($5+4)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $8=(($5+8)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $9=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($7, $8); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $11=(($5+4)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $12=__ZNK7mozilla9RangedPtrIKtEdeEv($11); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=HEAP16[(($12)>>1)]; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $14=__ZL16IsJSONWhitespacet($13); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $18=(($5+4)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($3, $18, 0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $20=(($5+4)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $21=(($5+8)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $22=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($20, $21); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str102616)|0)); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $24=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$24; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $26=(($5+4)|0); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=__ZNK7mozilla9RangedPtrIKtEdeEv($26); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $28=HEAPU16[(($27)>>1)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=(($28)&65535); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $30=(($29)|0)==34; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $32=__ZN10JSONParser10readStringILNS_10StringTypeE0EEENS_5TokenEv($5); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$32; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      var $34=(($5+4)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=__ZNK7mozilla9RangedPtrIKtEdeEv($34); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $36=HEAPU16[(($35)>>1)]; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $37=(($36)&65535); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $38=(($37)|0)==125; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $40=(($5+4)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $40, 0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $41=__ZN10JSONParser5tokenENS_5TokenE($5, 8); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$41; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str112617)|0)); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $43=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$43; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      var $45=$1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser22advanceAfterObjectOpenEv["X"]=1;

function __ZN10JSONParser10readStringILNS_10StringTypeE0EEENS_5TokenEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $start=__stackBase__;
      var $length;
      var $3=__stackBase__+4;
      var $str;
      var $4=__stackBase__+8;
      var $buffer=__stackBase__+12;
      var $5;
      var $c;
      var $6=__stackBase__+92;
      var $str1;
      var $7=__stackBase__+96;
      var $8=__stackBase__+100;
      $2=$this;
      var $9=$2;
      var $10=(($9+4)|0); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $11=__ZN7mozilla9RangedPtrIKtEppEv($10); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $12=(($9+8)|0); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE($11, $12); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str232629)|0)); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $15=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$15; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $17=(($9+4)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $18=$start; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $19=$17; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)]; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 4; break; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 4: 
      var $21=(($9+4)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $22=(($9+8)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $23=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($21, $22); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 5: 
      var $25=(($9+4)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $26=__ZNK7mozilla9RangedPtrIKtEdeEv($25); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=HEAPU16[(($26)>>1)]; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $28=(($27)&65535); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=(($28)|0)==34; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $31=(($9+4)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $32=__ZNK7mozilla9RangedPtrIKtEmiERKS2_($31, $start); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $length=$32; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $33=(($9+4)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($3, $33, 0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $34=(($9)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $36=__ZNK7mozilla9RangedPtrIKtE3getEv($start); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $37=$length; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $38=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($35, $36, $37, 0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $39=$38; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $40=$39; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $str=$40; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $41=$str; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $42=(($41)|0)!=0; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      var $44=__ZN10JSONParser5tokenENS_5TokenE($9, 11); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$44; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $46=$str; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $47=$46; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $48=__ZN10JSONParser11stringTokenEP8JSString($9, $47); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$48; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $50=(($9+4)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $51=__ZNK7mozilla9RangedPtrIKtEdeEv($50); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $52=HEAPU16[(($51)>>1)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $53=(($52)&65535); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $54=(($53)|0)==92; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      __label__ = 15; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $57=(($9+4)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $58=__ZNK7mozilla9RangedPtrIKtEdeEv($57); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $59=HEAPU16[(($58)>>1)]; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $60=(($59)&65535); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $61=(($60)|0) <= 31; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str242630)|0)); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $63=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$63; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      __label__ = 14; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 14: 
      var $66=(($9+4)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $66, 0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 4; break; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 15: 
      var $68=(($9)|0); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js12StringBufferC1EP9JSContext($buffer, $69); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 16; break; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 16: 
      var $71=(($9+4)|0); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $72=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($start, $71); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($72) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 17: 
      var $74=__ZNK7mozilla9RangedPtrIKtE3getEv($start); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $75=(($9+4)|0); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $76=__ZNK7mozilla9RangedPtrIKtE3getEv($75); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $77=__ZN2js12StringBuffer6appendEPKtS2_($buffer, $74, $76); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($77) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 18: 
      var $79=__ZN10JSONParser5tokenENS_5TokenE($9, 11); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$79; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 19: 
      var $81=(($9+4)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $82=(($9+8)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $83=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($81, $82); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($83) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 20: 
      __label__ = 75; break; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 21: 
      var $86=(($9+4)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($6, $86, 0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $87=__ZNK7mozilla9RangedPtrIKtEdeEv($6); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $88=HEAP16[(($87)>>1)]; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $c=$88; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $89=$c; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $90=(($89)&65535); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $91=(($90)|0)==34; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($91) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 22: 
      var $93=__ZN2js12StringBuffer10finishAtomEv($buffer); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $94=$93; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $95=$94; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $str1=$95; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $96=$str1; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $97=(($96)|0)!=0; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($97) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 23: 
      var $99=__ZN10JSONParser5tokenENS_5TokenE($9, 11); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$99; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 24: 
      var $101=$str1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $102=$101; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $103=__ZN10JSONParser11stringTokenEP8JSString($9, $102); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$103; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 25: 
      var $105=$c; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $106=(($105)&65535); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $107=(($106)|0)!=92; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($107) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 26: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str252631)|0)); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $109=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$109; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 27: 
      var $111=(($9+4)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $112=(($9+8)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $113=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($111, $112); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($113) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 28: 
      __label__ = 75; break; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 29: 
      var $116=(($9+4)|0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($7, $116, 0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $117=__ZNK7mozilla9RangedPtrIKtEdeEv($7); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $118=HEAPU16[(($117)>>1)]; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $119=(($118)&65535); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ((($119)|0) == 34) {
        __label__ = 30; break;
      }
      else if ((($119)|0) == 47) {
        __label__ = 31; break;
      }
      else if ((($119)|0) == 92) {
        __label__ = 32; break;
      }
      else if ((($119)|0) == 98) {
        __label__ = 33; break;
      }
      else if ((($119)|0) == 102) {
        __label__ = 34; break;
      }
      else if ((($119)|0) == 110) {
        __label__ = 35; break;
      }
      else if ((($119)|0) == 114) {
        __label__ = 36; break;
      }
      else if ((($119)|0) == 116) {
        __label__ = 37; break;
      }
      else if ((($119)|0) == 117) {
        __label__ = 38; break;
      }
      else {
      __label__ = 62; break;
      }
      
    case 30: 
      $c=34; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 31: 
      $c=47; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 32: 
      $c=92; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 33: 
      $c=8; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 34: 
      $c=12; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 35: 
      $c=10; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 36: 
      $c=13; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 37: 
      $c=9; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 38: 
      var $129=(($9+8)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $130=(($9+4)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $131=__ZNK7mozilla9RangedPtrIKtEmiERKS2_($129, $130); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $132=(($131)>>>0) < 4; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($132) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 39: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str262632)|0)); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $134=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$134; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 40: 
      var $136=(($9+4)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $137=__ZNK7mozilla9RangedPtrIKtEixEi($136, 0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $138=HEAPU16[(($137)>>1)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $139=(($138)&65535); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $140=(($139)|0) < 128; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($140) { __label__ = 41; break; } else { __label__ = 61; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 41: 
      var $142=(($9+4)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $143=__ZNK7mozilla9RangedPtrIKtEixEi($142, 0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $144=HEAPU16[(($143)>>1)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $145=(($144)&65535); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $146=_isxdigit($145); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $147=(($146)|0)!=0; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($147) { __label__ = 42; break; } else { __label__ = 61; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 42: 
      var $149=(($9+4)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $150=__ZNK7mozilla9RangedPtrIKtEixEi($149, 1); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $151=HEAPU16[(($150)>>1)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $152=(($151)&65535); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $153=(($152)|0) < 128; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($153) { __label__ = 43; break; } else { __label__ = 61; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 43: 
      var $155=(($9+4)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $156=__ZNK7mozilla9RangedPtrIKtEixEi($155, 1); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $157=HEAPU16[(($156)>>1)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $158=(($157)&65535); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $159=_isxdigit($158); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $160=(($159)|0)!=0; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($160) { __label__ = 44; break; } else { __label__ = 61; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 44: 
      var $162=(($9+4)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $163=__ZNK7mozilla9RangedPtrIKtEixEi($162, 2); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $164=HEAPU16[(($163)>>1)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $165=(($164)&65535); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $166=(($165)|0) < 128; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($166) { __label__ = 45; break; } else { __label__ = 61; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 45: 
      var $168=(($9+4)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $169=__ZNK7mozilla9RangedPtrIKtEixEi($168, 2); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $170=HEAPU16[(($169)>>1)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $171=(($170)&65535); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $172=_isxdigit($171); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $173=(($172)|0)!=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($173) { __label__ = 46; break; } else { __label__ = 61; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 46: 
      var $175=(($9+4)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $176=__ZNK7mozilla9RangedPtrIKtEixEi($175, 3); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $177=HEAPU16[(($176)>>1)]; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $178=(($177)&65535); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $179=(($178)|0) < 128; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($179) { __label__ = 47; break; } else { __label__ = 61; break; } //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 47: 
      var $181=(($9+4)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $182=__ZNK7mozilla9RangedPtrIKtEixEi($181, 3); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $183=HEAPU16[(($182)>>1)]; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $184=(($183)&65535); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $185=_isxdigit($184); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $186=(($185)|0)!=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($186) { __label__ = 48; break; } else { __label__ = 61; break; } //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 48: 
      var $188=(($9+4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $189=__ZNK7mozilla9RangedPtrIKtEixEi($188, 0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $190=HEAPU16[(($189)>>1)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $191=(($190)&65535); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $192=(($191-48)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $193=(($192)>>>0) <= 9; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($193) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 49: 
      var $195=(($9+4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $196=__ZNK7mozilla9RangedPtrIKtEixEi($195, 0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $197=HEAPU16[(($196)>>1)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $198=(($197)&65535); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $199=(($198-48)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $209 = $199;__label__ = 51; break; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 50: 
      var $201=(($9+4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $202=__ZNK7mozilla9RangedPtrIKtEixEi($201, 0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $203=HEAPU16[(($202)>>1)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $204=(($203)&65535); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $205=_tolower($204); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $206=(($205+10)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $207=(($206-97)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $209 = $207;__label__ = 51; break; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 51: 
      var $209; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $210=$209 << 12; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $211=(($9+4)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $212=__ZNK7mozilla9RangedPtrIKtEixEi($211, 1); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $213=HEAPU16[(($212)>>1)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $214=(($213)&65535); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $215=(($214-48)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $216=(($215)>>>0) <= 9; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($216) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 52: 
      var $218=(($9+4)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $219=__ZNK7mozilla9RangedPtrIKtEixEi($218, 1); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $220=HEAPU16[(($219)>>1)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $221=(($220)&65535); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $222=(($221-48)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $232 = $222;__label__ = 54; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 53: 
      var $224=(($9+4)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $225=__ZNK7mozilla9RangedPtrIKtEixEi($224, 1); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $226=HEAPU16[(($225)>>1)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $227=(($226)&65535); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $228=_tolower($227); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $229=(($228+10)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $230=(($229-97)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $232 = $230;__label__ = 54; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 54: 
      var $232; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $233=$232 << 8; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $234=$210 | $233; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $235=(($9+4)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $236=__ZNK7mozilla9RangedPtrIKtEixEi($235, 2); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $237=HEAPU16[(($236)>>1)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $238=(($237)&65535); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $239=(($238-48)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $240=(($239)>>>0) <= 9; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($240) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 55: 
      var $242=(($9+4)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $243=__ZNK7mozilla9RangedPtrIKtEixEi($242, 2); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $244=HEAPU16[(($243)>>1)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $245=(($244)&65535); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $246=(($245-48)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $256 = $246;__label__ = 57; break; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 56: 
      var $248=(($9+4)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $249=__ZNK7mozilla9RangedPtrIKtEixEi($248, 2); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $250=HEAPU16[(($249)>>1)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $251=(($250)&65535); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $252=_tolower($251); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $253=(($252+10)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $254=(($253-97)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $256 = $254;__label__ = 57; break; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 57: 
      var $256; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $257=$256 << 4; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $258=$234 | $257; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $259=(($9+4)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $260=__ZNK7mozilla9RangedPtrIKtEixEi($259, 3); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $261=HEAPU16[(($260)>>1)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $262=(($261)&65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $263=(($262-48)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $264=(($263)>>>0) <= 9; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($264) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 58: 
      var $266=(($9+4)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $267=__ZNK7mozilla9RangedPtrIKtEixEi($266, 3); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $268=HEAPU16[(($267)>>1)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $269=(($268)&65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $270=(($269-48)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $280 = $270;__label__ = 60; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 59: 
      var $272=(($9+4)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $273=__ZNK7mozilla9RangedPtrIKtEixEi($272, 3); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $274=HEAPU16[(($273)>>1)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $275=(($274)&65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $276=_tolower($275); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $277=(($276+10)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $278=(($277-97)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $280 = $278;__label__ = 60; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 60: 
      var $280; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $281=$258 | $280; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $282=(($281) & 65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $c=$282; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $283=(($9+4)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $284=__ZN7mozilla9RangedPtrIKtEpLEj($283, 4); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 63; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 61: 
      __label__ = 62; break; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 62: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str272633)|0)); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $287=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$287; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 63: 
      var $289=$c; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $290=__ZN2js12StringBuffer6appendEt($buffer, $289); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($290) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 64: 
      var $292=__ZN10JSONParser5tokenENS_5TokenE($9, 11); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$292; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 65: 
      var $294=(($9+4)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $295=__ZN7mozilla9RangedPtrIKtEaSERKS2_($start, $294); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 66; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 66: 
      var $297=(($9+4)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $298=(($9+8)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $299=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($297, $298); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($299) { __label__ = 67; break; } else { __label__ = 73; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 67: 
      var $301=(($9+4)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $302=__ZNK7mozilla9RangedPtrIKtEdeEv($301); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $303=HEAPU16[(($302)>>1)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $304=(($303)&65535); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $305=(($304)|0)==34; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($305) { __label__ = 70; break; } else { __label__ = 68; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 68: 
      var $307=(($9+4)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $308=__ZNK7mozilla9RangedPtrIKtEdeEv($307); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $309=HEAPU16[(($308)>>1)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $310=(($309)&65535); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $311=(($310)|0)==92; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($311) { __label__ = 70; break; } else { __label__ = 69; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 69: 
      var $313=(($9+4)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $314=__ZNK7mozilla9RangedPtrIKtEdeEv($313); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $315=HEAPU16[(($314)>>1)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $316=(($315)&65535); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $317=(($316)|0) <= 31; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($317) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 70: 
      __label__ = 73; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 71: 
      __label__ = 72; break; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 72: 
      var $321=(($9+4)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($8, $321, 0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 66; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 73: 
      __label__ = 74; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 74: 
      var $324=(($9+4)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $325=(($9+8)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $326=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($324, $325); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($326) { __label__ = 16; break; } else { __label__ = 75; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 75: 
      __ZN10JSONParser5errorEPKc($9, ((STRING_TABLE.__str282634)|0)); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $328=__ZN10JSONParser5tokenENS_5TokenE($9, 12); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$328; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $5=1;
      __label__ = 76; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 76: 
      __ZN2js12StringBufferD1Ev($buffer); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 77; break;
    case 77: 
      var $331=$1; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $331; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser10readStringILNS_10StringTypeE0EEENS_5TokenEv["X"]=1;

function __ZN10JSONParser24advanceAfterArrayElementEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+12;
      $2=$this;
      var $7=$2;
      var $8=(($7+4)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $9=$3; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $10=$8; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)]; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZL15AssertPastValueN7mozilla9RangedPtrIKtEE($3); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $12=(($7+4)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=(($7+8)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $14=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($12, $13); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $16=(($7+4)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $17=__ZNK7mozilla9RangedPtrIKtEdeEv($16); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $18=HEAP16[(($17)>>1)]; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $19=__ZL16IsJSONWhitespacet($18); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($7+4)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $23, 0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $25=(($7+4)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $26=(($7+8)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($25, $26); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      __ZN10JSONParser5errorEPKc($7, ((STRING_TABLE.__str122618)|0)); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=__ZN10JSONParser5tokenENS_5TokenE($7, 12); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$29; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $31=(($7+4)|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $32=__ZNK7mozilla9RangedPtrIKtEdeEv($31); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $33=HEAPU16[(($32)>>1)]; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $34=(($33)&65535); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=(($34)|0)==44; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $37=(($7+4)|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($5, $37, 0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $38=__ZN10JSONParser5tokenENS_5TokenE($7, 10); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$38; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      var $40=(($7+4)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $41=__ZNK7mozilla9RangedPtrIKtEdeEv($40); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $42=HEAPU16[(($41)>>1)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $43=(($42)&65535); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $44=(($43)|0)==93; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $46=(($7+4)|0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($6, $46, 0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $47=__ZN10JSONParser5tokenENS_5TokenE($7, 6); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$47; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      __ZN10JSONParser5errorEPKc($7, ((STRING_TABLE.__str132619)|0)); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $49=__ZN10JSONParser5tokenENS_5TokenE($7, 12); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$49; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      var $51=$1; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser24advanceAfterArrayElementEv["X"]=1;

function __ZN10JSONParser19advancePropertyNameEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __label__ = 2; break; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $7=(($5+4)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $8=(($5+8)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $9=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($7, $8); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $11=(($5+4)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $12=__ZNK7mozilla9RangedPtrIKtEdeEv($11); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=HEAP16[(($12)>>1)]; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $14=__ZL16IsJSONWhitespacet($13); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $18=(($5+4)|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($3, $18, 0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $20=(($5+4)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $21=(($5+8)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $22=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($20, $21); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str142620)|0)); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $24=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$24; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 14; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $26=(($5+4)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=__ZNK7mozilla9RangedPtrIKtEdeEv($26); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $28=HEAPU16[(($27)>>1)]; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=(($28)&65535); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $30=(($29)|0)==34; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $32=__ZN10JSONParser10readStringILNS_10StringTypeE0EEENS_5TokenEv($5); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$32; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 14; break; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      var $34=(($5+24)|0); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $36=(($35)|0)==1; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $38=(($5+4)|0); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $39=__ZNK7mozilla9RangedPtrIKtEdeEv($38); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $40=HEAPU16[(($39)>>1)]; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $41=(($40)&65535); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $42=(($41)|0)==125; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      var $44=(($5+4)|0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $44, 0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $45=__ZN10JSONParser5tokenENS_5TokenE($5, 8); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$45; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 14; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str152621)|0)); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $47=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$47; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 14; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 14: 
      var $49=$1; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser19advancePropertyNameEv["X"]=1;

function __ZN10JSONParser20advancePropertyColonEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __label__ = 2; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $7=(($5+4)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $8=(($5+8)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $9=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($7, $8); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $11=(($5+4)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $12=__ZNK7mozilla9RangedPtrIKtEdeEv($11); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=HEAP16[(($12)>>1)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $14=__ZL16IsJSONWhitespacet($13); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $18=(($5+4)|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($3, $18, 0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $20=(($5+4)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $21=(($5+8)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $22=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($20, $21); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str162622)|0)); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $24=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$24; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 11; break; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $26=(($5+4)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=__ZNK7mozilla9RangedPtrIKtEdeEv($26); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $28=HEAPU16[(($27)>>1)]; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=(($28)&65535); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $30=(($29)|0)==58; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $32=(($5+4)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $32, 0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $33=__ZN10JSONParser5tokenENS_5TokenE($5, 9); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$33; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 11; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      __ZN10JSONParser5errorEPKc($5, ((STRING_TABLE.__str172623)|0)); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=__ZN10JSONParser5tokenENS_5TokenE($5, 12); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$35; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 11; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $37=$1; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10JSONParser20advanceAfterPropertyEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+12;
      $2=$this;
      var $7=$2;
      var $8=(($7+4)|0); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $9=$3; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $10=$8; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)]; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZL15AssertPastValueN7mozilla9RangedPtrIKtEE($3); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      var $12=(($7+4)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $13=(($7+8)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $14=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($12, $13); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $16=(($7+4)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $17=__ZNK7mozilla9RangedPtrIKtEdeEv($16); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $18=HEAP16[(($17)>>1)]; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $19=__ZL16IsJSONWhitespacet($18); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($7+4)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($4, $23, 0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $25=(($7+4)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $26=(($7+8)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $27=__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE($25, $26); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      __ZN10JSONParser5errorEPKc($7, ((STRING_TABLE.__str182624)|0)); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=__ZN10JSONParser5tokenENS_5TokenE($7, 12); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$29; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $31=(($7+4)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $32=__ZNK7mozilla9RangedPtrIKtEdeEv($31); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $33=HEAPU16[(($32)>>1)]; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $34=(($33)&65535); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=(($34)|0)==44; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $37=(($7+4)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($5, $37, 0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $38=__ZN10JSONParser5tokenENS_5TokenE($7, 10); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$38; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      var $40=(($7+4)|0); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $41=__ZNK7mozilla9RangedPtrIKtEdeEv($40); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $42=HEAPU16[(($41)>>1)]; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $43=(($42)&65535); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $44=(($43)|0)==125; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $46=(($7+4)|0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($6, $46, 0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $47=__ZN10JSONParser5tokenENS_5TokenE($7, 8); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$47; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      __ZN10JSONParser5errorEPKc($7, ((STRING_TABLE.__str192625)|0)); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $49=__ZN10JSONParser5tokenENS_5TokenE($7, 12); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$49; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      var $51=$1; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser20advanceAfterPropertyEv["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN10JSONParser5parseEPN2JS5ValueE($this, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 212; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stateStack=__stackBase__;
      var $4=__stackBase__+24;
      var $valueStack=__stackBase__+28;
      var $5=__stackBase__+120;
      var $token;
      var $state;
      var $v=__stackBase__+128;
      var $propid;
      var $6=__stackBase__+136;
      var $7;
      var $8=__stackBase__+144;
      var $v1=__stackBase__+152;
      var $9=__stackBase__+160;
      var $10=__stackBase__+168;
      var $11=__stackBase__+176;
      var $12=__stackBase__+184;
      var $obj;
      var $13=__stackBase__+192;
      var $obj2;
      var $14=__stackBase__+200;
      var $15=__stackBase__+208;
      $2=$this;
      $3=$vp;
      var $16=$2;
      var $17=(($16)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $18); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEC1ES2_($stateStack, $4); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $19=(($16)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($valueStack, $20); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $21=$3; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2JSL14UndefinedValueEv2637($5); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $22=$21; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $23=$5; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $state=2; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 2: 
      __label__ = 3; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 3: 
      var $26=$state; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ((($26)|0) == 1) {
        __label__ = 4; break;
      }
      else if ((($26)|0) == 0) {
        __label__ = 30; break;
      }
      else if ((($26)|0) == 2) {
        __label__ = 40; break;
      }
      else {
      __label__ = 80; break;
      }
      
    case 4: 
      var $28=$valueStack; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE7popCopyEv($v, $28); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $29=$valueStack; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE7popCopyEv($6, $29); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $30=__ZNK2JS5Value8toStringEv($6); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $31=__ZNK8JSString6asAtomEv($30); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $32=__ZL12ATOM_TO_JSIDP6JSAtom2638($31); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $propid=$32; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $33=(($16)|0); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $35=$valueStack; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $36=__ZNK2js16AutoVectorRooterIN2JS5ValueEE4backEv($35); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $37=__ZNK2JS5Value8toObjectEv($36); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $38=$propid; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $39=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($34, $37, $38, $v, 8, 10, 1, 0, 0, 0); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $40=(($39)|0)!=0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($40) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 5: 
      $1=0; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 6: 
      var $43=__ZN10JSONParser20advanceAfterPropertyEv($16); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $token=$43; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $44=$token; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $45=(($44)|0)==8; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($45) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 7: 
      __label__ = 80; break; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 8: 
      var $48=$token; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $49=(($48)|0)!=10; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 9: 
      var $51=$token; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $52=(($51)|0)==11; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 10: 
      $1=0; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 11: 
      var $55=$token; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $56=(($55)|0)!=12; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($56) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 12: 
      __ZN10JSONParser5errorEPKc($16, ((STRING_TABLE.__str202626)|0)); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 13; break; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 13: 
      var $59=__ZN10JSONParser11errorReturnEv($16); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$59; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 14: 
      var $61=__ZN10JSONParser19advancePropertyNameEv($16); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $token=$61; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 15; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 15: 
      var $63=$token; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $64=(($63)|0)==0; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 23; break; } //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 16: 
      var $66=$valueStack; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZNK10JSONParser9atomValueEv($8, $16); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $67=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($66, $8); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($67) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 17: 
      $1=0; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 18: 
      var $70=__ZN10JSONParser20advancePropertyColonEv($16); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $token=$70; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $71=$token; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $72=(($71)|0)!=9; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($72) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 19: 
      var $74=__ZN10JSONParser11errorReturnEv($16); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$74; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 20: 
      var $76=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE6appendIS1_EEbT_($stateStack, 1); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($76) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 21: 
      $1=0; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 22: 
      __label__ = 39; break; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 23: 
      var $80=$token; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $81=(($80)|0)==8; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($81) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 24: 
      __label__ = 80; break; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 25: 
      var $84=$token; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $85=(($84)|0)==11; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($85) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 26: 
      $1=0; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 27: 
      var $88=$token; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $89=(($88)|0)!=12; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($89) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 28: 
      __ZN10JSONParser5errorEPKc($16, ((STRING_TABLE.__str212627)|0)); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 29; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 29: 
      var $92=__ZN10JSONParser11errorReturnEv($16); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$92; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 30: 
      var $94=$valueStack; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE7popCopyEv($v1, $94); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $95=(($16)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $97=$valueStack; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $98=__ZNK2js16AutoVectorRooterIN2JS5ValueEE4backEv($97); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $99=__ZNK2JS5Value8toObjectEv($98); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $100=__Z19js_NewbornArrayPushP9JSContextP8JSObjectRKN2JS5ValueE($96, $99, $v1); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $101=(($100)|0)!=0; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($101) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 31: 
      $1=0; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 32: 
      var $104=__ZN10JSONParser24advanceAfterArrayElementEv($16); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $token=$104; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $105=$token; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $106=(($105)|0)==10; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($106) { __label__ = 33; break; } else { __label__ = 36; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 33: 
      var $108=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE6appendIS1_EEbT_($stateStack, 0); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($108) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 34: 
      $1=0; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 35: 
      __label__ = 39; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 36: 
      var $112=$token; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $113=(($112)|0)==6; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($113) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 37: 
      __label__ = 80; break; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 38: 
      var $116=__ZN10JSONParser11errorReturnEv($16); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$116; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 39: 
      __label__ = 40; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 40: 
      var $119=__ZN10JSONParser7advanceEv($16); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $token=$119; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 41; break; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 41: 
      var $121=$token; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ((($121)|0) == 0 || (($121)|0) == 1) {
        __label__ = 42; break;
      }
      else if ((($121)|0) == 2) {
        __label__ = 48; break;
      }
      else if ((($121)|0) == 3) {
        __label__ = 51; break;
      }
      else if ((($121)|0) == 4) {
        __label__ = 54; break;
      }
      else if ((($121)|0) == 5) {
        __label__ = 57; break;
      }
      else if ((($121)|0) == 7) {
        __label__ = 65; break;
      }
      else if ((($121)|0) == 6) {
        __label__ = 71; break;
      }
      else if ((($121)|0) == 8 || (($121)|0) == 9 || (($121)|0) == 10) {
        __label__ = 76; break;
      }
      else if ((($121)|0) == 11) {
        __label__ = 77; break;
      }
      else if ((($121)|0) == 12) {
        __label__ = 78; break;
      }
      else {
      __label__ = 79; break;
      }
      
    case 42: 
      var $123=$valueStack; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $124=$token; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $125=(($124)|0)==0; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($125) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 43: 
      __ZNK10JSONParser11stringValueEv($9, $16); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 45; break; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 44: 
      __ZNK10JSONParser11numberValueEv($9, $16); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 45; break; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 45: 
      var $129=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($123, $9); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($129) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 46: 
      $1=0; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 47: 
      __label__ = 79; break; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 48: 
      var $133=$valueStack; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2JSL12BooleanValueEb2639($10, 1); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $134=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($133, $10); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($134) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 49: 
      $1=0; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 50: 
      __label__ = 79; break; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 51: 
      var $138=$valueStack; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2JSL12BooleanValueEb2639($11, 0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $139=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($138, $11); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($139) { __label__ = 53; break; } else { __label__ = 52; break; } //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 52: 
      $1=0; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 53: 
      __label__ = 79; break; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 54: 
      var $143=$valueStack; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2JSL9NullValueEv2640($12); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $144=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($143, $12); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($144) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 55: 
      $1=0; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 56: 
      __label__ = 79; break; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 57: 
      var $148=(($16)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $150=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($149, 0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $obj=$150; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $151=$obj; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $152=(($151)|0)!=0; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($152) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 58: 
      var $154=$valueStack; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $155=$obj; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2JSL11ObjectValueER8JSObject2641($13, $155); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $156=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($154, $13); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($156) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 59: 
      $1=0; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 60: 
      var $159=__ZN10JSONParser7advanceEv($16); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $token=$159; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $160=$token; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $161=(($160)|0)==6; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($161) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 61: 
      __label__ = 79; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 62: 
      var $164=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE6appendIS1_EEbT_($stateStack, 0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($164) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 63: 
      $1=0; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 64: 
      __label__ = 41; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 65: 
      var $168=(($16)|0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $170=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2642($169, __ZN2js11ObjectClassE); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $obj2=$170; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $171=$obj2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $172=(($171)|0)!=0; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($172) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 66: 
      var $174=$valueStack; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $175=$obj2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2JSL11ObjectValueER8JSObject2641($14, $175); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $176=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($174, $14); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($176) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 67: 
      $1=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 68: 
      var $179=__ZN10JSONParser22advanceAfterObjectOpenEv($16); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $token=$179; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $180=$token; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $181=(($180)|0)==8; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($181) { __label__ = 69; break; } else { __label__ = 70; break; } //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 69: 
      __label__ = 79; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 70: 
      __label__ = 15; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 71: 
      var $185=(($16+24)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $187=(($186)|0)==1; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($187) { __label__ = 72; break; } else { __label__ = 75; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 72: 
      var $189=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE5emptyEv($stateStack); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($189) { __label__ = 75; break; } else { __label__ = 73; break; } //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 73: 
      var $191=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE4backEv($stateStack); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $192=HEAP32[(($191)>>2)]; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $193=(($192)|0)==0; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($193) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 74: 
      __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE7popBackEv($stateStack); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 79; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 75: 
      __label__ = 76; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 76: 
      __ZN10JSONParser5errorEPKc($16, ((STRING_TABLE.__str92615)|0)); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $197=__ZN10JSONParser11errorReturnEv($16); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$197; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 77: 
      $1=0; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 78: 
      var $200=__ZN10JSONParser11errorReturnEv($16); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$200; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 79: 
      __label__ = 80; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 80: 
      var $203=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE5emptyEv($stateStack); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($203) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 81: 
      __label__ = 83; break; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 82: 
      var $206=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE7popCopyEv($stateStack); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $state=$206; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 2; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 83: 
      __label__ = 84; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 84: 
      var $209=(($16+4)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $210=(($16+8)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $211=__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE($209, $210); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($211) { __label__ = 85; break; } else { __label__ = 89; break; } //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 85: 
      var $213=(($16+4)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $214=__ZNK7mozilla9RangedPtrIKtEdeEv($213); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $215=HEAP16[(($214)>>1)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $216=__ZL16IsJSONWhitespacet($215); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      if ($216) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 86: 
      __ZN10JSONParser5errorEPKc($16, ((STRING_TABLE.__str222628)|0)); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $218=__ZN10JSONParser11errorReturnEv($16); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=$218; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 87: 
      __label__ = 88; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 88: 
      var $221=(($16+4)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN7mozilla9RangedPtrIKtEppEi($15, $221, 0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __label__ = 84; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 89: 
      var $223=$3; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $224=$valueStack; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $225=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($224, 0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $226=$223; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $227=$225; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($226)>>2)]=HEAP32[(($227)>>2)];HEAP32[(($226+4)>>2)]=HEAP32[(($227+4)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $1=1; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      $7=1;
      __label__ = 90; break; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    case 90: 
      __ZN2js15AutoValueVectorD1Ev($valueStack); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEED1Ev($stateStack); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      var $229=$1; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
      STACKTOP = __stackBase__;
      return $229; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsonparser.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSONParser5parseEPN2JS5ValueE["X"]=1;

function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEC1ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEC2ES2_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2JSL14UndefinedValueEv2637($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js16AutoVectorRooterIN2JS5ValueEE7popCopyEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 2400 "./jscntxt.h"
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7popCopyEv($agg_result, $3); //@line 2400 "./jscntxt.h"
  ;
  return; //@line 2400 "./jscntxt.h"
}


function __ZL12ATOM_TO_JSIDP6JSAtom2638($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj2665($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZNK10JSONParser9atomValueEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZNK10JSONParser11stringValueEv($agg_result, $2); //@line 129 "./jsonparser.h"
  ;
  return; //@line 131 "./jsonparser.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE6appendIS1_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE14internalAppendIS1_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK10JSONParser11stringValueEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 125 "./jsonparser.h"
  var $4=$agg_result; //@line 125 "./jsonparser.h"
  var $5=$3; //@line 125 "./jsonparser.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 125 "./jsonparser.h"
  ;
  return; //@line 125 "./jsonparser.h"
}


function __ZNK10JSONParser11numberValueEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 119 "./jsonparser.h"
  var $4=$agg_result; //@line 119 "./jsonparser.h"
  var $5=$3; //@line 119 "./jsonparser.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 119 "./jsonparser.h"
  ;
  return; //@line 119 "./jsonparser.h"
}


function __ZN2JSL12BooleanValueEb2639($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2JSL9NullValueEv2640($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZN2JSL11ObjectValueER8JSObject2641($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2642($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb2650($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2651($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-4)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+8)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE7popCopyEv($this) {
  ;
  var __label__;

  var $1;
  var $ret;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE4backEv($2); //@line 906 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 906 "./jsvector.h"
  $ret=$4; //@line 906 "./jsvector.h"
  __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE7popBackEv($2); //@line 907 "./jsvector.h"
  var $5=$ret; //@line 908 "./jsvector.h"
  ;
  return $5; //@line 908 "./jsvector.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE14internalAppendIS1_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj0ES2_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11JS_ON_TRACEPK9JSContext2647($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2653($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2659($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj2665($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2654($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZNK2js7MoveRefI11ParserStateEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+4)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefI11ParserStateEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function _STRING_TO_JSVAL_IMPL2649($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb2650($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL2657($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL2658($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL2660($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL2661($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL2662($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL2663($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL2664($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function __ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj0ES2_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=((($7<<2))|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $33 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveI11ParserStateEENS_7MoveRefIT_EERS3_($4, $29); //@line 118 "./jsvector.h"
      var $30=__ZNK2js7MoveRefI11ParserStateEcvRS1_Ev($4); //@line 118 "./jsvector.h"
      var $31=HEAP32[(($30)>>2)]; //@line 118 "./jsvector.h"
      HEAP32[(($28)>>2)]=$31; //@line 118 "./jsvector.h"
      var $33 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $33; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $35=$dst; //@line 117 "./jsvector.h"
      var $36=(($35+4)|0); //@line 117 "./jsvector.h"
      $dst=$36; //@line 117 "./jsvector.h"
      var $37=$src; //@line 117 "./jsvector.h"
      var $38=(($37+4)|0); //@line 117 "./jsvector.h"
      $src=$38; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $40=$2; //@line 119 "./jsvector.h"
      var $41=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($40); //@line 119 "./jsvector.h"
      var $42=$2; //@line 119 "./jsvector.h"
      var $43=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv($42); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($41, $43); //@line 119 "./jsvector.h"
      var $44=$2; //@line 120 "./jsvector.h"
      var $45=$44; //@line 120 "./jsvector.h"
      var $46=$2; //@line 120 "./jsvector.h"
      var $47=(($46+4)|0); //@line 120 "./jsvector.h"
      var $48=HEAP32[(($47)>>2)]; //@line 120 "./jsvector.h"
      var $49=$48; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($45, $49); //@line 120 "./jsvector.h"
      var $50=$newbuf; //@line 121 "./jsvector.h"
      var $51=$2; //@line 121 "./jsvector.h"
      var $52=(($51+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($52)>>2)]=$50; //@line 121 "./jsvector.h"
      var $53=$3; //@line 123 "./jsvector.h"
      var $54=$2; //@line 123 "./jsvector.h"
      var $55=(($54+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($55)>>2)]=$53; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $57=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $57; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj0ES2_EEj["X"]=1;

function __ZN2js4MoveI11ParserStateEENS_7MoveRefIT_EERS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefI11ParserStateEC1ERS1_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function _js_free2643($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefI11ParserStateEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefI11ParserStateEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function _js_malloc2644($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $20 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveI11ParserStateEENS_7MoveRefIT_EERKS3_($4, $16); //@line 93 "./jsvector.h"
      var $17=__ZNK2js7MoveRefI11ParserStateEcvRS1_Ev($4); //@line 93 "./jsvector.h"
      var $18=HEAP32[(($17)>>2)]; //@line 93 "./jsvector.h"
      HEAP32[(($15)>>2)]=$18; //@line 93 "./jsvector.h"
      var $20 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $20; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $22=$p; //@line 92 "./jsvector.h"
      var $23=(($22+4)|0); //@line 92 "./jsvector.h"
      $p=$23; //@line 92 "./jsvector.h"
      var $24=$1; //@line 92 "./jsvector.h"
      var $25=(($24+4)|0); //@line 92 "./jsvector.h"
      $1=$25; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveI11ParserStateEENS_7MoveRefIT_EERKS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefI11ParserStateEC1ERS1_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7popCopyEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE4backEv($2); //@line 906 "./jsvector.h"
  var $4=$agg_result; //@line 906 "./jsvector.h"
  var $5=$3; //@line 906 "./jsvector.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 906 "./jsvector.h"
  __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7popBackEv($2); //@line 907 "./jsvector.h"
  ;
  return; //@line 908 "./jsvector.h"
}


function __ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-8)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEC2ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj1EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=0; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN10JSONParser11stringTokenEP8JSString($this, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$str;
  var $4=$1;
  var $5=(($4+16)|0); //@line 144 "./jsonparser.h"
  var $6=$2; //@line 144 "./jsonparser.h"
  __ZN2JSL11StringValueEP8JSString2648($3, $6); //@line 144 "./jsonparser.h"
  var $7=$5; //@line 144 "./jsonparser.h"
  var $8=$3; //@line 144 "./jsonparser.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 144 "./jsonparser.h"
  STACKTOP = __stackBase__;
  return 0; //@line 148 "./jsonparser.h"
}


function __ZN7mozilla9RangedPtrIKtEaSERKS2_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 154 "./dist/include/mozilla/RangedPtr.h"
  var $5=(($4)|0); //@line 154 "./dist/include/mozilla/RangedPtr.h"
  var $6=HEAP32[(($5)>>2)]; //@line 154 "./dist/include/mozilla/RangedPtr.h"
  var $7=(($3)|0); //@line 154 "./dist/include/mozilla/RangedPtr.h"
  HEAP32[(($7)>>2)]=$6; //@line 154 "./dist/include/mozilla/RangedPtr.h"
  __ZN7mozilla9RangedPtrIKtE11checkSanityEv($3); //@line 155 "./dist/include/mozilla/RangedPtr.h"
  ;
  return $3; //@line 156 "./dist/include/mozilla/RangedPtr.h"
}


function _js_realloc2645($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL17CheckStringLengthEP9JSContextj2646($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext2647($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11StringValueEP8JSString2648($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2651($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2652($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2651["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2652($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2653($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2654($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2652["X"]=1;

function _js_calloc2655($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2656($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11NumberValueEd2666($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function _JSDOUBLE_IS_INT322667($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO2670($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _DOUBLE_TO_JSVAL_IMPL2668($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL2669($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO2670($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z28js_GetVariableBytecodeLength4JSOpPh($op, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $jmplen;
      var $ncases;
      var $low;
      var $high;
      $2=$op;
      $3=$pc;
      var $4=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($4)|0) == 149) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 70) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 150) {
        __label__ = 5; break;
      }
      else {
      __label__ = 6; break;
      }
      
    case 2: 
      $jmplen=4; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      $jmplen=2; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $8=$jmplen; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$3; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9+$8)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$10; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$3; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11+1)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=HEAPU8[($12)]; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)&255); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$14 << 8; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$3; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16+2)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=HEAPU8[($17)]; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)&255); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=$15 | $19; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20) & 65535); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21 << 16) >> 16); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $low=$22; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=$3; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23+2)|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$24; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$3; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=(($25+1)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=HEAPU8[($26)]; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=(($27)&255); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=$28 << 8; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$3; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30+2)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=HEAPU8[($31)]; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=(($32)&255); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$29 | $33; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34) & 65535); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35 << 16) >> 16); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $high=$36; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=$high; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$low; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($37-$38)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($39+1)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ncases=$40; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=$jmplen; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=(($41+1)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=(($42+2)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43+2)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=$ncases; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=$jmplen; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=(($45*$46)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($44+$47)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$48; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      $jmplen=4; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      $jmplen=2; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $52=$jmplen; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($53+$52)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$54; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=$3; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=(($55+1)|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=HEAPU8[($56)]; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($57)&255); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=$58 << 8; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$3; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=(($60+2)|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=HEAPU8[($61)]; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=(($62)&255); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=$59 | $63; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ncases=$64; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=$jmplen; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=(($65+1)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=(($66+2)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=$ncases; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=$jmplen; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=(($69+2)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=(($68*$70)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($67+$71)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$72; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $74=$1; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $74; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z28js_GetVariableBytecodeLength4JSOpPh["X"]=1;

function _js_GetVariableStackUses($op, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$op;
      $3=$pc;
      var $4=$2; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($4)|0) == 11) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 202) {
        __label__ = 3; break;
      }
      else if ((($4)|0) == 210) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 2: 
      var $6=$3; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=(($6+1)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=HEAPU8[($7)]; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($8)&255); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$9 << 8; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$3; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11+2)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=HEAPU8[($12)]; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)&255); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$10 | $14; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$15; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $17=$3; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17+1)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAPU8[($18)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19)&255); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=$20 << 8; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=$3; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22+2)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=HEAPU8[($23)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24)&255); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=$21 | $25; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$26; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $28=$3; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28+1)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=HEAPU8[($29)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30)&255); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$31 << 8; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$3; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33+2)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=HEAPU8[($34)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35)&255); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=$32 | $36; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($37+1)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$38; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $40=$3; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40+1)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=HEAPU8[($41)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=(($42)&255); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=$43 << 8; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=$3; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($45+2)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=HEAPU8[($46)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47)&255); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=$44 | $48; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($49+2)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$50; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $52=$1; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $52; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_GetVariableStackUses["X"]=1;

function _js_GetIndexFromBytecode($cx, $script, $pc, $pcoff) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      var $span;
      var $base;
      var $next;
      var $prev;
      $1=$cx;
      $2=$script;
      $3=$pc;
      $4=$pcoff;
      var $5=$1; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=$2; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$3; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2825($5, $6, $7); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$8; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$op; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=((_js_CodeSpec+($9<<3))|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAP8[($11)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12 << 24) >> 24); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $span=$13; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $base=0; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$3; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$2; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$14; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=$17; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($18-$19)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=$span; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($20+$21)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=$2; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23+8)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=HEAPU32[(($24)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=(($22)>>>0) < (($25)>>>0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($26) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $28=$1; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=$2; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$3; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=$span; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=(($30+$31)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2825($28, $29, $32); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $next=$33; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$next; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)|0)==192; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($35) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $37=$3; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($37-2)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38+1)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=HEAPU8[($39)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40)&255); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=$41 << 16; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $base=$42; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $44=$next; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44)|0)==193; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($45) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $47=$1; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=$2; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=$3; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($49-1)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2825($47, $48, $50); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $prev=$51; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$prev; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=(($52-211)|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($53+1)|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=$54 << 16; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $base=$55; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      __label__ = 8; break; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $59=$base; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$3; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$4; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($60+$61)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=(($62+1)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=HEAPU8[($63)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=(($64)&255); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$65 << 8; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$3; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=$4; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=(($67+$68)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=(($69+2)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=HEAPU8[($70)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71)&255); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=$66 | $72; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=(($59+$73)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $74; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_GetIndexFromBytecode["X"]=1;

function __ZL12js_GetOpcodeP9JSContextP8JSScriptPh2825($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 954 "./jsscript.h"
      var $5=HEAPU8[($4)]; //@line 954 "./jsscript.h"
      var $6=(($5)&255); //@line 954 "./jsscript.h"
      $op=$6; //@line 954 "./jsscript.h"
      var $7=$op; //@line 955 "./jsscript.h"
      var $8=(($7)|0)==83; //@line 955 "./jsscript.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 955 "./jsscript.h"
    case 2: 
      var $10=$1; //@line 956 "./jsscript.h"
      var $11=$2; //@line 956 "./jsscript.h"
      var $12=$3; //@line 956 "./jsscript.h"
      var $13=_JS_GetTrapOpcode($10, $11, $12); //@line 956 "./jsscript.h"
      $op=$13; //@line 956 "./jsscript.h"
      __label__ = 3; break; //@line 956 "./jsscript.h"
    case 3: 
      var $15=$op; //@line 957 "./jsscript.h"
      ;
      return $15; //@line 957 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_GetEnterBlockStackDefs($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $index_;
      $1=$cx;
      $2=$script;
      $3=$pc;
      __label__ = 2; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $5=$1; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=$2; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$3; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=_js_GetIndexFromBytecode($5, $6, $7, 0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_=$8; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$2; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$index_; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=__ZN8JSScript9getObjectEj($9, $10); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $obj=$11; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 3; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $13=$obj; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=__ZNK8JSObject13propertyCountEv($13); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $14; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js19SprintReserveAmountEPNS_8SprinterEj($sp, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $offset;
      $2=$sp;
      $3=$len;
      var $4=$2; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=$3; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=__ZL18SprintEnsureBufferPN2js8SprinterEj($4, $5); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=(($6)|0)!=0; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=0; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $10=$2; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10+16)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offset=$12; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=$3; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$2; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14+16)|0); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16+$13)|0); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($15)>>2)]=$17; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$2; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18+8)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=$offset; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($20+$21)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$22; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $24=$1; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $24; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18SprintEnsureBufferPN2js8SprinterEj($sp, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nb;
      var $base;
      var $_a;
      var $_nb;
      var $_p;
      var $_a1;
      var $_nb2;
      $2=$sp;
      $3=$len;
      var $4=$2; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=(($4+16)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$3; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($6+$7)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($8+1)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$2; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10+12)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($9-$12)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $nb=$13; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$nb; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14)|0) < 0; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=1; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 31; break; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $18=$2; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18+8)|0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $base=$20; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=$base; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21)|0)!=0; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($22) { __label__ = 13; break; } else { __label__ = 4; break; } //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      __label__ = 5; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $25=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=(($25+4)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=(($27+16)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a=$29; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$nb; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=(($31+4)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33+24)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($30+$35)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($37+4)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($39+24)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=$41 ^ -1; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$36 & $42; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_nb=$43; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=$_a; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44+12)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_p=$46; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$_nb; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=$_a; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48+8)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=HEAPU32[(($49)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=(($47)>>>0) > (($50)>>>0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($51) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $53=$_p; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$_a; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=(($54+8)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$_nb; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($56-$57)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=(($53)>>>0) > (($58)>>>0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($59) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $61=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($61+4)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=$_nb; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=_JS_ArenaAllocate($63, $64); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$65; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_p=$66; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $68=$_p; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=$_nb; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=(($68+$69)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=$_a; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71+12)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($72)>>2)]=$70; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break;
    case 9: 
      var $74=$_p; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=$74; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $base=$75; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      __label__ = 11; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      __label__ = 12; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      __label__ = 28; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      __label__ = 14; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $81=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($81+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=(($83+16)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a1=$85; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=$_a1; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=(($86+12)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=$base; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=$89; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=(($91+12)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=(($94+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=(($96+24)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=(($93+$98)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=(($100+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=(($102+24)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=$104 ^ -1; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=$99 & $105; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=(($90+$106)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=(($88)|0)==(($107)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($108) { __label__ = 15; break; } else { __label__ = 23; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $110=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=(($110+12)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=$nb; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=(($112+$113)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_nb2=$114; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=$_nb2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $116=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=(($116+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $119=(($118+24)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=(($115+$120)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $123=(($122+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=(($124+24)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=$126 ^ -1; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $128=$121 & $127; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_nb2=$128; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=$_a1; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=(($129+8)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=HEAPU32[(($130)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $132=$_nb2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $133=(($131)>>>0) >= (($132)>>>0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($133) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $135=$base; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $136=$135; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $137=$_a1; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=(($137+8)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=$_nb2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=(($139-$140)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $142=(($136)>>>0) <= (($141)>>>0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($142) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      var $144=$base; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=$144; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=$_nb2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=(($145+$146)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $148=$_a1; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $149=(($148+12)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($149)>>2)]=$147; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 22; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $151=$base; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $152=$151; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $153=$_a1; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $154=(($153+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=(($152)|0)==(($155)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($156) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $158=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $159=(($158+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $161=$base; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $162=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $163=(($162+12)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $165=$nb; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $166=_JS_ArenaRealloc($160, $161, $164, $165); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $base=$166; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 21; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      var $168=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $169=(($168+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $171=$base; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $172=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $173=(($172+12)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $175=$nb; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $176=_JS_ArenaGrow($170, $171, $174, $175); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $base=$176; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break;
    case 22: 
      __label__ = 24; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      var $180=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $181=(($180+4)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $183=$base; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $184=$2; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $185=(($184+12)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $187=$nb; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $188=_JS_ArenaGrow($182, $183, $186, $187); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $base=$188; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 24; break;
    case 24: 
      __label__ = 25; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      __label__ = 26; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      __label__ = 27; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $194=$base; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $195=(($194)|0)!=0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($195) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      var $197=$2; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $198=(($197)|0); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $199=HEAP32[(($198)>>2)]; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($199); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 31; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      var $201=$base; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $202=$2; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $203=(($202+8)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($203)>>2)]=$201; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $204=$nb; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $205=$2; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $206=(($205+12)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $208=(($207+$204)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($206)>>2)]=$208; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=1; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 31; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      var $210=$1; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $210; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18SprintEnsureBufferPN2js8SprinterEj["X"]=1;

function __ZN2js9SprintPutEPNS_8SprinterEPKcj($sp, $s, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $offset;
      var $bp;
      $2=$sp;
      $3=$s;
      $4=$len;
      var $5=$2; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5+12)|0); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offset=$7; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=$2; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($8+8)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $bp=$10; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$2; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$4; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=__ZL18SprintEnsureBufferPN2js8SprinterEj($11, $12); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)|0)!=0; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=-1; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $17=$2; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17+8)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=$bp; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($19)|0)!=(($20)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $23=$3; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=$bp; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($23)>>>0) >= (($24)>>>0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $27=$3; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=$bp; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=$offset; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($28+$29)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($27)>>>0) < (($30)>>>0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $33=$2; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33+8)|0); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=$3; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=$bp; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$36; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=$37; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($38-$39)|0); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($35+$40)|0); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$41; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $43=$2; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43+16)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offset=$45; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=$4; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$2; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47+16)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($49+$46)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=$2; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=(($51+8)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$offset; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=(($53+$54)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $bp=$55; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=$bp; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$3; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=$4; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _llvm_memmove_p0i8_p0i8_i32($56, $57, $58, 1, 0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=$4; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$bp; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=(($60+$59)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($61)]=0; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=$offset; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$62; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $64=$1; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $64; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9SprintPutEPNS_8SprinterEPKcj["X"]=1;

function __ZN2js13SprintCStringEPNS_8SprinterEPKc($sp, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$sp;
  $2=$s;
  var $3=$1; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=$2; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=$2; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=_strlen($5); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=__ZN2js9SprintPutEPNS_8SprinterEPKcj($3, $4, $6); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return $7; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZN2js12SprintStringEPNS_8SprinterEP8JSString($sp, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $length;
      var $chars;
      var $size=__stackBase__;
      var $offset;
      $2=$sp;
      $3=$str;
      var $4=$3; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=__ZNK8JSString6lengthEv($4); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $length=$5; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=$3; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$2; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=__ZN8JSString8getCharsEP9JSContext($6, $9); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $chars=$10; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$chars; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11)|0)!=0; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=-1; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $15=$2; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$chars; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=$length; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=__ZN2js23GetDeflatedStringLengthEP9JSContextPKtj($17, $18, $19); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($size)>>2)]=$20; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=HEAP32[(($size)>>2)]; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21)|0)==-1; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $24=$2; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=HEAP32[(($size)>>2)]; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=__ZL18SprintEnsureBufferPN2js8SprinterEj($24, $25); //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26)|0)!=0; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      $1=-1; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $30=$2; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30+16)|0); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offset=$32; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=HEAP32[(($size)>>2)]; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$2; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34+16)|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=(($36+$33)|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($35)>>2)]=$37; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$2; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=$chars; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=$length; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$2; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43+8)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=$offset; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=(($45+$46)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=__ZN2js21DeflateStringToBufferEP9JSContextPKtjPcPj($40, $41, $42, $47, $size); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=$2; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($49+16)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$2; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=(($52+8)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=(($54+$51)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($55)]=0; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=$offset; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$56; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $58=$1; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $58; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12SprintStringEPNS_8SprinterEP8JSString["X"]=1;

function __ZN2js6SprintEPNS_8SprinterEPKcz($sp, $format) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ap=__stackBase__;
      var $bp;
      var $offset;
      $2=$sp;
      $3=$format;
      var $4=$ap; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($4)>>2)]=arguments[__ZN2js6SprintEPNS_8SprinterEPKcz.length]; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=$3; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=HEAP32[(($ap)>>2)]; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=_JS_vsmprintf($5, $6); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $bp=$7; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=$ap; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$bp; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9)|0)!=0; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $12=$2; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12)|0); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ReportOutOfMemory($14); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=-1; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $16=$2; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$bp; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=__ZN2js13SprintCStringEPNS_8SprinterEPKc($16, $17); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offset=$18; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=$2; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=$bp; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($21, $22); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=$offset; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$23; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $25=$1; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_QuoteString($cx, $str, $quote) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $mark;
      var $sprinter=__stackBase__;
      var $bytes;
      var $escstr;
      var $_m;
      var $_a;
      $1=$cx;
      $2=$str;
      $3=$quote;
      var $4=$1; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=(($4+72)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5+16)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7+12)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$9; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $mark=$10; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$1; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($sprinter)|0); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=$1; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13+72)|0); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($sprinter+4)|0); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($sprinter+8)|0); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($16)>>2)]=0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($sprinter+12)|0); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($17)>>2)]=0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($sprinter+16)|0); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($18)>>2)]=0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=$2; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=$3; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20)&65535); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($sprinter, $19, $21); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $bytes=$22; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=$bytes; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23)|0)!=0; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($24) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $26=$1; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=$bytes; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=_JS_NewStringCopyZ($26, $27); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31 = $28;__label__ = 4; break; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $31 = 0;__label__ = 4; break; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $31; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $escstr=$31; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 5; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $33=$mark; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_m=$33; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34+72)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35+16)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a=$37; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$_a; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=$1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($39+72)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=(($38)|0)!=(($41)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($42) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $44=$_m; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=$44; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=$_a; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=(($46+4)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($45-$48)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$_a; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=(($50+12)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=$_a; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($53+4)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=(($52-$55)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=(($49)>>>0) <= (($56)>>>0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($57) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $59=$_m; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$59; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($61+72)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=(($62+24)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=(($60+$64)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=(($66+72)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($67+24)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=$69 ^ -1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=$65 & $70; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=$_a; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72+12)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($73)>>2)]=$71; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $75=$1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=(($75+72)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=$_m; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ArenaRelease($76, $77); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $80=$escstr; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_QuoteString["X"]=1;

function __ZL11QuoteStringPN2js8SprinterEP8JSStringj($sp, $str, $quote) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $dontEscape;
      var $qc;
      var $off;
      var $s;
      var $z;
      var $t;
      var $c;
      var $len;
      var $bp;
      var $ok;
      var $e;
      $2=$sp;
      $3=$str;
      $4=$quote;
      var $5=$4; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=$5 & 65536; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=(($6)|0)!=0; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)&1); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $dontEscape=$8; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$4; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9) & 65535); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $qc=$10; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11+16)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$13; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$qc; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14 << 16) >> 16)!=0; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $17=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$qc; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18) & 255); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19 << 24) >> 24); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=__ZN2js6SprintEPNS_8SprinterEPKcz($17, ((STRING_TABLE.__str1462819)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,tempInt)); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21)|0) < 0; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      $1=0; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 47; break; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $25=$3; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26)|0); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=__ZN8JSString8getCharsEP9JSContext($25, $28); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $s=$29; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$s; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30)|0)!=0; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      $1=0; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 47; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $34=$s; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=$3; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=__ZNK8JSString6lengthEv($35); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=(($34+($36<<1))|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $z=$37; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$s; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $t=$38; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $40=$t; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=$z; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=(($40)>>>0) < (($41)>>>0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 40; break; } //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $44=$t; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAP16[(($44)>>1)]; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $c=$45; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $47=$c; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47)&65535); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48)|0) < 127; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($49) { __label__ = 10; break; } else { var $70 = 0;__label__ = 14; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $51=$c; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=(($51)&65535); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=_isprint($52); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($53)|0)!=0; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($54) { __label__ = 11; break; } else { var $70 = 0;__label__ = 14; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $56=$c; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=(($56)&65535); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=$qc; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=(($58)&65535); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=(($57)|0)!=(($59)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($60) { __label__ = 12; break; } else { var $70 = 0;__label__ = 14; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $62=$c; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=(($62)&65535); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=(($63)|0)!=92; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($64) { __label__ = 13; break; } else { var $70 = 0;__label__ = 14; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $66=$c; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=(($66)&65535); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($67)|0)!=9; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70 = $68;__label__ = 14; break;
    case 14: 
      var $70;
      if ($70) { __label__ = 15; break; } else { __label__ = 18; break; }
    case 15: 
      var $72=$t; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72+2)|0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $t=$73; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=HEAP16[(($73)>>1)]; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $c=$74; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=$t; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=$z; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=(($75)|0)==(($76)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($77) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      __label__ = 18; break; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      __label__ = 9; break; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $81=$t; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=$s; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $83=$81; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=$82; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=(($83-$84)|0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=(((($85)|0)/2)&-1); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$86; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=$2; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=$len; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=__ZL18SprintEnsureBufferPN2js8SprinterEj($87, $88); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=(($89)|0)!=0; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($90) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      $1=0; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 47; break; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      var $93=$2; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=(($93+8)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=$2; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=(($96+16)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=(($95+$98)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $bp=$99; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=$len; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=$2; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=(($101+16)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=(($103+$100)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($102)>>2)]=$104; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 21; break; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      var $106=$len; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=(($106-1)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$107; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=(($107)|0) >= 0; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($108) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      var $110=$s; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=(($110+2)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $s=$111; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=HEAP16[(($110)>>1)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=(($112) & 255); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=$bp; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=(($114+1)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $bp=$115; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($114)]=$113; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 21; break; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      var $117=$bp; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($117)]=0; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=$t; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $119=$z; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=(($118)|0)==(($119)|0); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($120) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      __label__ = 40; break; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      var $123=$c; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=(($123)&65535); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=$124 >> 8; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=(($125)|0)!=0; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($126) { __label__ = 31; break; } else { __label__ = 26; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      var $128=$c; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=(($128)&65535); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=_strchr(((STRING_TABLE._js_EscapeMap)|0), $129); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $e=$130; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($130)|0)!=0; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($131) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $133=$dontEscape; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $134=(($133)|0)!=0; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($134) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      var $136=$2; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $137=$c; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=(($137) & 255); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=(($138 << 24) >> 24); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=__ZN2js6SprintEPNS_8SprinterEPKcz($136, ((STRING_TABLE.__str1462819)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$139,tempInt)); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=(($140)|0) >= 0; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151 = $141;__label__ = 30; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      var $143=$2; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $144=$e; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=(($144+1)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=HEAP8[($145)]; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=(($146 << 24) >> 24); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $148=__ZN2js6SprintEPNS_8SprinterEPKcz($143, ((STRING_TABLE.__str1472820)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$147,tempInt)); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $149=(($148)|0) >= 0; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151 = $149;__label__ = 30; break; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      var $151; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $152=(($151)&1); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$152; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 36; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      var $154=$2; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $155=$qc; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=(($155 << 16) >> 16)!=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($156) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      var $158=$c; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $159=(($158)&65535); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $160=$159 >> 8; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $161=(($160)|0)!=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($161) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 33: 
      var $165 = STRING_TABLE.__str1482821;__label__ = 35; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 34: 
      var $165 = STRING_TABLE.__str1492822;__label__ = 35; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      var $165; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $166=(($165)|0); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $167=$c; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $168=(($167)&65535); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $169=__ZN2js6SprintEPNS_8SprinterEPKcz($154, $166, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$168,tempInt)); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $170=(($169)|0) >= 0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $171=(($170)&1); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$171; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 36; break;
    case 36: 
      var $173=$ok; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $174=(($173) & 1); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($174) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      $1=0; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 47; break; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      __label__ = 39; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      var $178=$t; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $179=(($178+2)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $t=$179; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $s=$179; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      var $181=$qc; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $182=(($181 << 16) >> 16)!=0; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($182) { __label__ = 41; break; } else { __label__ = 43; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $184=$2; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $185=$qc; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $186=(($185) & 255); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $187=(($186 << 24) >> 24); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $188=__ZN2js6SprintEPNS_8SprinterEPKcz($184, ((STRING_TABLE.__str1462819)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$187,tempInt)); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $189=(($188)|0) < 0; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($189) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 42: 
      $1=0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 47; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 43: 
      var $192=$off; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $193=$2; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $194=(($193+16)|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $196=(($192)|0)==(($195)|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($196) { __label__ = 44; break; } else { __label__ = 46; break; } //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 44: 
      var $198=$2; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $199=__ZN2js6SprintEPNS_8SprinterEPKcz($198, ((__str272700)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $200=(($199)|0) < 0; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($200) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 45: 
      $1=0; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 47; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 46: 
      var $203=$2; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $204=(($203+8)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $205=HEAP32[(($204)>>2)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $206=$off; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $207=(($205+$206)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$207; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 47; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 47: 
      var $209=$1; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $209; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11QuoteStringPN2js8SprinterEP8JSStringj["X"]=1;

function _js_NewPrinter($cx, $name, $fun, $indent, $pretty, $grouped, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $jp;
      $2=$cx;
      $3=$name;
      $4=$fun;
      $5=$indent;
      $6=$pretty;
      $7=$grouped;
      $8=$strict;
      var $9=$2; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=__ZN9JSContext7malloc_Ej($9, 76); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$10; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jp=$11; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$jp; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12)|0)!=0; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=0; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 11; break; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $16=$2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$jp; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($19)>>2)]=$16; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=$jp; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20+20)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=$jp; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23+4)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($24)>>2)]=$21; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$jp; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=(($25)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26+8)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($27)>>2)]=0; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=$jp; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($29+12)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($30)>>2)]=0; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=$jp; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=(($31)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=(($32+16)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($33)>>2)]=0; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$jp; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34+20)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=$3; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_InitArenaPool($35, $36, 256, 1); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=$5; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$jp; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38+48)|0); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($39)>>2)]=$37; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=$6; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40)|0)!=0; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=$41 ^ 1; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$42 ^ 1; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=$jp; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44+52)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($43)&1); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($45)]=$46; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$7; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47)|0)!=0; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=$48 ^ 1; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$49 ^ 1; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=$jp; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=(($51+53)|0); //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=(($50)&1); //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($52)]=$53; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$8; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=(($54)|0)!=0; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=$55 ^ 1; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$56 ^ 1; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=$jp; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=(($58+54)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=(($57)&1); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($59)]=$60; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$jp; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($61+56)|0); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($62)>>2)]=0; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=$jp; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=(($63+60)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($64)>>2)]=0; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=$jp; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=(($65+64)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($66)>>2)]=0; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$4; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=$jp; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=(($68+68)|0); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($69)>>2)]=$67; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=$jp; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=(($70+72)|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($71)>>2)]=0; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72)|0)!=0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($73) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $75=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=__ZNK10JSFunction13isInterpretedEv($75); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($76) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $78=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=__ZNK10JSFunction6scriptEv($78); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=(($79+64)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=__ZNK2js8Bindings13hasLocalNamesEv($80); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($81) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $83=$2; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=$2; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=__ZN9JSContext4new_IN2js6VectorIP6JSAtomLj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_($83, $84); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=$jp; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=(($86+72)|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=$jp; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=(($88+72)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=(($90)|0)!=0; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($91) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $93=$4; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=__ZNK10JSFunction6scriptEv($93); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=(($94+64)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=$2; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=$jp; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=(($97+72)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE($95, $96, $99); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($100) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $102=$jp; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _js_DestroyPrinter($102); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 11; break; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      __label__ = 10; break; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $105=$jp; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$105; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 11; break; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $107=$1; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $107; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_NewPrinter["X"]=1;

function __ZN9JSContext4new_IN2js6VectorIP6JSAtomLj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_($this, $p1) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      var $3=__stackBase__;
      $1=$this;
      $2=$p1;
      var $4=$1;
      var $5=__ZN9JSContext7malloc_Ej($4, 24); //@line 1291 "./jscntxt.h"
      $memory=$5; //@line 1291 "./jscntxt.h"
      var $6=$memory; //@line 1291 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 1291 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 1291 "./jscntxt.h"
      if ($10) { var $15 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 1291 "./jscntxt.h"
      var $13=$2; //@line 1291 "./jscntxt.h"
      __ZN2js15TempAllocPolicyC1EP9JSContext($3, $13); //@line 1291 "./jscntxt.h"
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC1ES3_($12, $3); //@line 1291 "./jscntxt.h"
      var $15 = $12;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $15; //@line 1291 "./jscntxt.h"
      var $18 = $15;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $18 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $18; //@line 1291 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return $18; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_DestroyPrinter($jp) {
  ;
  var __label__;

  var $1;
  $1=$jp;
  var $2=$1; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $3=(($2+20)|0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  _JS_FinishArenaPool($3); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=$1; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=(($4+72)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  __ZN2js10Foreground7delete_INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEEvPT_($6); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=$1; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=(($7)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $9=(($8)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $11=$1; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $12=$11; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  __ZN9JSContext5free_EPv($10, $12); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZN2js10Foreground7delete_INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED1Ev($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free2859($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_GetPrinterOutput($jp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cx;
      var $str;
      $2=$jp;
      var $3=$2; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4=(($3)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=(($4)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cx=$6; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$2; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($8+8)|0); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $13=$cx; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13+52)|0); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15+144136)|0); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$17; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$18; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $20=$cx; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=$2; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21)|0); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22+8)|0); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=_JS_NewStringCopyZ($20, $24); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $str=$25; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=$str; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26)|0)!=0; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      $1=0; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $30=$2; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30+20)|0); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_FreeArenaPool($31); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$cx; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($35)>>2)]=$32; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=(($36+20)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($39+4)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($40)>>2)]=$37; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=(($41)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=(($42+8)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($43)>>2)]=0; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($45+12)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($46)>>2)]=0; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48+16)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($49)>>2)]=0; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$str; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$50; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $52=$1; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $52; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_GetPrinterOutput["X"]=1;

function _js_printf($jp, $format) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ap=__stackBase__;
      var $bp;
      var $fp;
      var $cc;
      $2=$jp;
      $3=$format;
      var $4=$3; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=HEAP8[($4)]; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5 << 24) >> 24); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=(($6)|0)==0; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=0; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 20; break; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $10=$ap; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($10)>>2)]=arguments[_js_printf.length]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAP8[($11)]; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12 << 24) >> 24); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)|0)==9; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $16=$3; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16+1)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$17; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$2; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18+52)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=HEAP8[($19)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20) & 1); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $23=$2; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$2; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=(($25+48)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=__ZN2js6SprintEPNS_8SprinterEPKcz($24, ((STRING_TABLE.__str262699)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$27,HEAP32[((tempInt+4)>>2)]=((__str272700)|0),tempInt)); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28)|0) < 0; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $31=$ap; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=-1; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 20; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      __label__ = 8; break; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      $fp=0; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$2; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34+52)|0); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=HEAP8[($35)]; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=(($36) & 1); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($37) { __label__ = 13; break; } else { __label__ = 9; break; } //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $39=$3; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=_strlen($39); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40-1)|0); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cc=$41; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=$3; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=(($42+$41)|0); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=HEAP8[($43)]; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44 << 24) >> 24); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($45)|0)==10; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $48=$2; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($49)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$3; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=_JS_strdup($51, $52); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fp=$53; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$fp; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=(($54)|0)!=0; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $57=$ap; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=-1; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 20; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $59=$cc; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$fp; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=(($60+$59)|0); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($61)]=0; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=$fp; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$62; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $64=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=HEAP32[(($ap)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=_JS_vsmprintf($64, $65); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $bp=$66; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$fp; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($67)|0)!=0; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $70=$2; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=(($70)|0); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71)|0); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=$fp; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($73, $74); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=0; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 15; break; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $76=$bp; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=(($76)|0)!=0; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $79=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=(($79)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=(($80)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ReportOutOfMemory($82); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $83=$ap; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=-1; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 20; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      var $85=$bp; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=_strlen($85); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cc=$86; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=$2; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=(($87)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=$bp; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=$cc; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=__ZN2js9SprintPutEPNS_8SprinterEPKcj($88, $89, $90); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=(($91)|0) < 0; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($92) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      $cc=-1; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 19; break; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $95=$2; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=(($95)|0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=(($96)|0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=$bp; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($98, $99); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=$ap; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=$cc; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$101; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 20; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      var $103=$1; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $103; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_printf["X"]=1;

function _js_puts($jp, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$jp;
  $2=$s;
  var $3=$1; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=(($3)|0); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=$2; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=__ZN2js13SprintCStringEPNS_8SprinterEPKc($4, $5); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=(($6)|0) >= 0; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=(($7)&1); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return $8; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __Z8GetLocalP11SprintStacki($ss, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $off;
      var $script;
      var $j;
      var $n;
      var $obj;
      var $depth;
      var $count;
      var $slot;
      var $r=__stackBase__;
      var $shape;
      var $atom;
      var $rval;
      $2=$ss;
      $3=$i;
      var $4=$3; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=$2; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5+20)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7+($4<<2))|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$9; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$off; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)|0) >= 0; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $13=$2; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14+8)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$off; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($16+$17)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$18; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 26; break; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $20=$2; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20+40)|0); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22+56)|0); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $script=$24; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$script; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=(($25+16)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=HEAP8[($26)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=__ZN8JSScript13isValidOffsetEh($27); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $30=$2; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=$3; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=__ZL6GetStrP11SprintStackj($30, $31); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$32; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 26; break; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      $j=0; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$script; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=__ZN8JSScript7objectsEv($34); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35+4)|0); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $n=$37; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $39=$j; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=$n; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($39)|0)!=(($40)|0); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 25; break; } //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $43=$script; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=$j; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=__ZN8JSScript9getObjectEj($43, $44); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $obj=$45; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=$obj; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=__ZNK8JSObject7isBlockEv($46); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 23; break; } //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $49=$obj; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=__ZNK8JSObject12getFixedSlotEj($49, 0); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=__ZNK2JS5Value7toInt32Ev($50); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $depth=$51; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$obj; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=__ZNK8JSObject13propertyCountEv($52); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $count=$53; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$3; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=$depth; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=(($54-$55)|0); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$count; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($56)>>>0) < (($57)>>>0); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 22; break; } //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $60=$3; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$depth; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($60-$61)|0); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $slot=$62; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=$obj; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=__ZNK8JSObject12lastPropertyEv($63); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN2js5Shape5RangeC1EPKS0_($r, $64); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $66=__ZNK2js5Shape5Range5emptyEv($r); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$66 ^ 1; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($67) { __label__ = 11; break; } else { __label__ = 21; break; } //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $69=__ZNK2js5Shape5Range5frontEv($r); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $shape=$69; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=$shape; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=(($70+30)|0); //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=HEAP16[(($71)>>1)]; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72 << 16) >> 16); //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=$slot; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=(($73)|0)==(($74)|0); //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($75) { __label__ = 12; break; } else { __label__ = 19; break; } //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      __label__ = 13; break; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $78=$shape; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=(($78+12)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=__ZL12JSID_IS_ATOMi2840($80); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($81)|0)!=0; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($82) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      $1=((__str272700)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 26; break; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      __label__ = 16; break; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $86=$shape; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=(($86+12)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=__ZL12JSID_TO_ATOMi2841($88); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$89; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=$2; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=(($90)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=$atom; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=$92; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($91, $93, 0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$94; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=$rval; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=(($95)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($96) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      $1=0; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 26; break; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $99=$rval; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=(($100)|0); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=(($101+8)|0); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=$99; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=$103; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=(($104-$105)|0); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=(($107)|0); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $109=(($108+16)|0); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($109)>>2)]=$106; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $110=$rval; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$110; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 26; break; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      __label__ = 20; break; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      __label__ = 25; break; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      __label__ = 23; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      __label__ = 24; break; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      var $117=$j; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=(($117+1)|0); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $j=$118; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      var $120=$2; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=$3; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=__ZL6GetStrP11SprintStackj($120, $121); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$122; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 26; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      var $124=$1; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $124; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z8GetLocalP11SprintStacki["X"]=1;

function __ZL6GetStrP11SprintStackj($ss, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  var $off;
  $1=$ss;
  $2=$i;
  var $3=$1; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=$2; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=__ZL6GetOffP11SprintStackj($3, $4); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  $off=$5; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=$1; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=(($6)|0); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=(($7+8)|0); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $10=$off; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $11=(($9+$10)|0); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return $11; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZL12JSID_IS_ATOMi2840($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING2879($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZL12JSID_TO_ATOMi2841($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING2878($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function _js_DecompileScript($jp, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$jp;
  $2=$script;
  var $3=$1; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=$2; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=$2; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=(($5)|0); //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=__ZL13DecompileBodyP9JSPrinterP8JSScriptPh($3, $4, $7); //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return $8; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZL13DecompileBodyP9JSPrinterP8JSScriptPh($jp, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $end;
      $1=$jp;
      $2=$script;
      $3=$pc;
      var $4=$2; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=$4; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5+36)|0); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAPU8[($6)]; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)&255) >>> 3; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$8 & 1; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9) & 1); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $12=$1; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12+54)|0); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=HEAP8[($13)]; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14) & 1); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($15) { __label__ = 8; break; } else { __label__ = 3; break; } //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $17=$1; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17+68)|0); //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19)|0)!=0; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $22=$1; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22+68)|0); //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24+58)|0); //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=HEAPU16[(($25)>>1)]; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26)&65535); //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=$27 & 4096; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28)|0)!=0; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $31=$1; //@line 4907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=_js_printf($31, ((STRING_TABLE.__str1442817)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $34=$1; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=_js_printf($34, ((STRING_TABLE.__str1452818)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break;
    case 7: 
      var $37=$1; //@line 4911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($37+54)|0); //@line 4911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($38)]=1; //@line 4911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $40=$2; //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40)|0); //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$2; //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43+8)|0); //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($42+$45)|0); //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $end=$46; //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$1; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=$2; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=$3; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$end; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=$3; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$50; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=$51; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($52-$53)|0); //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=__ZL13DecompileCodeP9JSPrinterP8JSScriptPhjj($47, $48, $49, $54, 0); //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $55; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13DecompileBodyP9JSPrinterP8JSScriptPh["X"]=1;

function _js_DecompileToString($cx, $name, $fun, $indent, $pretty, $grouped, $strict, $decompiler) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $jp;
      var $str;
      $2=$cx;
      $3=$name;
      $4=$fun;
      $5=$indent;
      $6=$pretty;
      $7=$grouped;
      $8=$strict;
      $9=$decompiler;
      var $10=$2; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$3; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$4; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=$5; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$6; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$7; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$8; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=_js_NewPrinter($10, $11, $12, $13, $14, $15, $16); //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jp=$17; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$jp; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)|0)!=0; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=0; //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $22=$9; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=$jp; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=FUNCTION_TABLE[$22]($23); //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24)|0)!=0; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $27=$jp; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=_js_GetPrinterOutput($27); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $str=$28; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      $str=0; //@line 4938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$jp; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _js_DestroyPrinter($31); //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$str; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$32; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $34=$1; //@line 4941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $34; //@line 4941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_DecompileToString["X"]=1;

function _js_DecompileFunctionBody($jp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $script;
      $2=$jp;
      var $3=$2; //@line 4952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4=(($3+68)|0); //@line 4952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 4952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=__ZNK10JSFunction13isInterpretedEv($5); //@line 4952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $8=$2; //@line 4953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=_js_printf($8, ((STRING_TABLE.__ZL15native_code_str)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=1; //@line 4954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 4954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $11=$2; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11+68)|0); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=__ZNK10JSFunction6scriptEv($13); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $script=$14; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$2; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$script; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$script; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17)|0); //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=__ZL13DecompileBodyP9JSPrinterP8JSScriptPh($15, $16, $19); //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$20; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 4958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $22=$1; //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $22; //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10StackDepthP8JSScript($script) {
  ;
  var __label__;

  var $1;
  $1=$script;
  var $2=$1; //@line 830 "./jsscript.h"
  var $3=(($2+44)|0); //@line 830 "./jsscript.h"
  var $4=HEAPU16[(($3)>>1)]; //@line 830 "./jsscript.h"
  var $5=(($4)&65535); //@line 830 "./jsscript.h"
  var $6=$1; //@line 830 "./jsscript.h"
  var $7=(($6+14)|0); //@line 830 "./jsscript.h"
  var $8=HEAPU16[(($7)>>1)]; //@line 830 "./jsscript.h"
  var $9=(($8)&65535); //@line 830 "./jsscript.h"
  var $10=(($5-$9)|0); //@line 830 "./jsscript.h"
  ;
  return $10; //@line 830 "./jsscript.h"
}


function __ZN19AutoScriptUntrapperC1EP9JSContextP8JSScriptPPh($this, $cx, $script, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$script;
  $4=$pc;
  var $5=$1;
  var $6=$2; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=$3; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=$4; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  __ZN19AutoScriptUntrapperC2EP9JSContextP8JSScriptPPh($5, $6, $7, $8); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZL15GetArgOrVarAtomP9JSPrinterj($jp, $slot) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $name;
      $2=$jp;
      $3=$slot;
      __label__ = 2; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $5=$2; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5+68)|0); //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)|0)!=0; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($8) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      $1=0; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      __label__ = 5; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      __label__ = 6; break; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $13=$3; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$2; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14+68)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=__ZNK10JSFunction6scriptEv($16); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17+64)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=__ZNK2js8Bindings15countLocalNamesEv($18); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($13)>>>0) < (($19)>>>0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($20) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      $1=0; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      __label__ = 9; break; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $24=$2; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24+72)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=$3; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj($26, $27); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $name=$29; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$name; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$30; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $32=$1; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $32; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15InitSprintStackP9JSContextP11SprintStackP9JSPrinterj($cx, $ss, $jp, $depth) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $offsetsz;
      var $opcodesz;
      var $space;
      var $_a;
      var $_nb;
      var $_p;
      $2=$cx;
      $3=$ss;
      $4=$jp;
      $5=$depth;
      var $6=$2; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$3; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($8)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($9)>>2)]=$6; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$2; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10+72)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$3; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13+4)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($14)>>2)]=$11; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$3; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16+8)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($17)>>2)]=0; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$3; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19+12)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($20)>>2)]=0; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=$3; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22+16)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($23)>>2)]=3; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=$5; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=((($24<<2))|0); //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offsetsz=$25; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=$5; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26)|0); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $opcodesz=$27; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 2; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $29=$2; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($29+72)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30+16)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a=$32; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$offsetsz; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$opcodesz; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($33+$34)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=$2; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=(($36+72)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($37+24)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($35+$39)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=$2; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=(($41+72)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=(($42+24)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=$44 ^ -1; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=$40 & $45; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_nb=$46; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$_a; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47+12)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_p=$49; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$_nb; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=$_a; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=(($51+8)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=HEAPU32[(($52)>>2)]; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($50)>>>0) > (($53)>>>0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($54) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $56=$_p; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$_a; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($57+8)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$_nb; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=(($59-$60)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($56)>>>0) > (($61)>>>0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($62) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $64=$2; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=(($64+72)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$_nb; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=_JS_ArenaAllocate($65, $66); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=$67; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_p=$68; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $70=$_p; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=$_nb; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($70+$71)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=$_a; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=(($73+12)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($74)>>2)]=$72; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break;
    case 6: 
      var $76=$_p; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=$76; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $space=$77; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      __label__ = 8; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      __label__ = 9; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $81=$space; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($81)|0)!=0; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($82) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $84=$2; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($84); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 12; break; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $86=$space; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=$86; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=$3; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=(($88+20)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($89)>>2)]=$87; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=$space; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=$offsetsz; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=(($90+$91)|0); //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=$3; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=(($93+24)|0); //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($94)>>2)]=$92; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=$3; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=(($95+32)|0); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($96)>>2)]=0; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=$3; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=(($97+28)|0); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($98)>>2)]=0; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=$3; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=(($99+36)|0); //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($100)>>2)]=0; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=$4; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=$3; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=(($102+40)|0); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($103)>>2)]=$101; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=1; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 12; break; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $105=$1; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $105; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15InitSprintStackP9JSContextP11SprintStackP9JSPrinterj["X"]=1;

function _js_DecompileFunction($jp) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fun;
      var $i;
      var $param;
      var $pc=__stackBase__;
      var $endpc;
      var $ok;
      var $script;
      var $ss=__stackBase__+4;
      var $mark;
      var $untrapper=__stackBase__+48;
      var $todo;
      var $lval;
      var $3;
      var $_m;
      var $_a;
      $2=$jp;
      var $4=$2; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=(($4+68)|0); //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fun=$6; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$2; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7+52)|0); //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=HEAP8[($8)]; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9) & 1); //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $12=$2; //@line 4980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=_js_printf($12, ((STRING_TABLE.__str282701)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $15=$2; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15+53)|0); //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=HEAP8[($16)]; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17) & 1); //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $20=$fun; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20+58)|0); //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=HEAPU16[(($21)>>1)]; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22)&65535); //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=$23 & 8; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24)|0)!=0; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $27=$2; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=_js_puts($27, ((STRING_TABLE.__str292702)|0)); //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      var $31=$2; //@line 4986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=_js_printf($31, ((STRING_TABLE.__str302703)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_function_str)|0),tempInt)); //@line 4986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$fun; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33+72)|0); //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35)|0)!=0; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $38=$2; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38)|0); //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=$fun; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40+72)|0); //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$42; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($39, $43, 0); //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44)|0)!=0; //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      $1=0; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 68; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $48=$2; //@line 4989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=_js_puts($48, ((STRING_TABLE.__str292702)|0)); //@line 4989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$fun; //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=__ZNK10JSFunction13isInterpretedEv($50); //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $53=$2; //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=_js_printf($53, ((STRING_TABLE.__str312704)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=$2; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=(($55+48)|0); //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($57+4)|0); //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($56)>>2)]=$58; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=$2; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=_js_printf($59, ((STRING_TABLE.__ZL15native_code_str)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$2; //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($61+48)|0); //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=(($63-4)|0); //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($62)>>2)]=$64; //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=$2; //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=_js_printf($65, ((STRING_TABLE.__str322705)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 63; break; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $68=$fun; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=__ZNK10JSFunction6scriptEv($68); //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $script=$69; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=$script; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=__ZN8JSScript4mainEv($70); //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($pc)>>2)]=$71; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=$2; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72)|0); //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=(($73)|0); //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=$script; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN19AutoScriptUntrapperC1EP9JSContextP8JSScriptPPh($untrapper, $75, $76, $pc); //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=HEAP32[(($pc)>>2)]; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $78=$script; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=(($78+8)|0); //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=(($77+$80)|0); //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $endpc=$81; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=1; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($ss+40)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($82)>>2)]=0; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $83=$script; //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=$2; //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=(($84+56)|0); //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($85)>>2)]=$83; //@line 5012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=$2; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=(($86)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=(($87)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=(($89+72)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=(($90+16)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=(($92+12)|0); //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=$94; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $mark=$95; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=0; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 13; break; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $97=$i; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=$fun; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=(($98+56)|0); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=HEAPU16[(($99)>>1)]; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=(($100)&65535); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=(($97)>>>0) < (($101)>>>0); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($102) { __label__ = 14; break; } else { __label__ = 45; break; } //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $104=$i; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=(($104)>>>0) > 0; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($105) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $107=$2; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=_js_puts($107, ((STRING_TABLE.__str332706)|0)); //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 16; break; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $110=$2; //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=$i; //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=__ZL15GetArgOrVarAtomP9JSPrinterj($110, $111); //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $param=$112; //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=$param; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=(($113)|0)!=0; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($114) { __label__ = 41; break; } else { __label__ = 17; break; } //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      __label__ = 18; break; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $117=HEAP32[(($pc)>>2)]; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=HEAPU8[($117)]; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $119=(($118)&255); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=(($119)|0)==84; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($120) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      $1=0; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=1;
      __label__ = 61; break; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      __label__ = 21; break; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      __label__ = 22; break; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      var $125=HEAP32[(($pc)>>2)]; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=(($125+3)|0); //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($pc)>>2)]=$126; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 23; break; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      var $128=HEAP32[(($pc)>>2)]; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=HEAPU8[($128)]; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=(($129)&255); //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($130)|0)==12; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($131) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      $1=0; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=1;
      __label__ = 61; break; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      __label__ = 26; break; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      __label__ = 27; break; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $136=(($ss+40)|0); //@line 5032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 5032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=(($137)|0)!=0; //@line 5032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($138) { __label__ = 31; break; } else { __label__ = 28; break; } //@line 5032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      var $140=$2; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=(($140)|0); //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $142=(($141)|0); //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $144=$2; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=$script; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=__ZL10StackDepthP8JSScript($145); //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=__ZL15InitSprintStackP9JSContextP11SprintStackP9JSPrinterj($143, $ss, $144, $146); //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$147; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $148=$ok; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $149=(($148)|0)!=0; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($149) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      __label__ = 45; break; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      __label__ = 31; break; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      var $153=HEAP32[(($pc)>>2)]; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $154=$endpc; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $155=__ZL22DecompileDestructuringP11SprintStackPhS1_($ss, $153, $154); //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($pc)>>2)]=$155; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=HEAP32[(($pc)>>2)]; //@line 5038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $157=(($156)|0)!=0; //@line 5038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($157) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 5038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      $ok=0; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 45; break; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 33: 
      __label__ = 34; break; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 34: 
      var $161=HEAP32[(($pc)>>2)]; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $162=HEAPU8[($161)]; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $163=(($162)&255); //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $164=(($163)|0)==81; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($164) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      $1=0; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=1;
      __label__ = 61; break; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 36: 
      __label__ = 37; break; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      __label__ = 38; break; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      var $169=HEAP32[(($pc)>>2)]; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $170=(($169+1)|0); //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($pc)>>2)]=$170; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $171=__ZL6PopStrP11SprintStack4JSOp($ss, 0); //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$171; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $172=$2; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $173=(($172)|0); //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $174=$lval; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $175=__ZN2js13SprintCStringEPNS_8SprinterEPKc($173, $174); //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$175; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $176=$todo; //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $177=(($176)|0) < 0; //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($177) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      $ok=0; //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 45; break; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      __label__ = 44; break; //@line 5050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $181=$2; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $182=(($181)|0); //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $183=$param; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $184=$183; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $185=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($182, $184, 0); //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $186=(($185)|0)!=0; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($186) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 42: 
      $ok=0; //@line 5057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 45; break; //@line 5058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 43: 
      __label__ = 44; break; //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 44: 
      var $190=$i; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $191=(($190+1)|0); //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$191; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 13; break; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 45: 
      var $193=$2; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $194=(($193+56)|0); //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($194)>>2)]=0; //@line 5063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 46; break; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 46: 
      var $196=$mark; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_m=$196; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $197=$2; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $198=(($197)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $199=(($198)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $200=HEAP32[(($199)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $201=(($200+72)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $202=(($201+16)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a=$203; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $204=$_a; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $205=$2; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $206=(($205)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $207=(($206)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $208=HEAP32[(($207)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $209=(($208+72)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $210=(($209)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $211=(($204)|0)!=(($210)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($211) { __label__ = 47; break; } else { __label__ = 49; break; } //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 47: 
      var $213=$_m; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $214=$213; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $215=$_a; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $216=(($215+4)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $218=(($214-$217)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $219=$_a; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $220=(($219+12)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $221=HEAP32[(($220)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $222=$_a; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $223=(($222+4)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $224=HEAP32[(($223)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $225=(($221-$224)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $226=(($218)>>>0) <= (($225)>>>0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($226) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 48: 
      var $228=$_m; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $229=$228; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $230=$2; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $231=(($230)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $232=(($231)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $233=HEAP32[(($232)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $234=(($233+72)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $235=(($234+24)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $236=HEAP32[(($235)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $237=(($229+$236)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $238=$2; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $239=(($238)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $240=(($239)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $242=(($241+72)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $243=(($242+24)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $244=HEAP32[(($243)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $245=$244 ^ -1; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $246=$237 & $245; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $247=$_a; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $248=(($247+12)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($248)>>2)]=$246; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 50; break; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 49: 
      var $250=$2; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $251=(($250)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $252=(($251)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $253=HEAP32[(($252)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $254=(($253+72)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $255=$_m; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ArenaRelease($254, $255); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 50; break;
    case 50: 
      __label__ = 51; break; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 51: 
      __label__ = 52; break; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 52: 
      var $259=$ok; //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $260=(($259)|0)!=0; //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($260) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 5066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 53: 
      $1=0; //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=1;
      __label__ = 61; break; //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 54: 
      var $263=$2; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $264=_js_printf($263, ((STRING_TABLE.__str342707)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $265=$fun; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $266=(($265+58)|0); //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $267=HEAPU16[(($266)>>1)]; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $268=(($267)&65535); //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $269=$268 & 4096; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $270=(($269)|0)!=0; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($270) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 55: 
      var $272=$2; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $273=_js_printf($272, ((STRING_TABLE.__str352708)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $274=$2; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $275=(($274+48)|0); //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $276=HEAP32[(($275)>>2)]; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $277=(($276+4)|0); //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($275)>>2)]=$277; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 56; break; //@line 5072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 56: 
      var $279=$2; //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $280=$script; //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $281=HEAP32[(($pc)>>2)]; //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $282=__ZL13DecompileBodyP9JSPrinterP8JSScriptPh($279, $280, $281); //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$282; //@line 5074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $283=$ok; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $284=(($283)|0)!=0; //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($284) { __label__ = 58; break; } else { __label__ = 57; break; } //@line 5075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 57: 
      $1=0; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=1;
      __label__ = 61; break; //@line 5076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 58: 
      var $287=$fun; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $288=(($287+58)|0); //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $289=HEAPU16[(($288)>>1)]; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $290=(($289)&65535); //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $291=$290 & 4096; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $292=(($291)|0)!=0; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($292) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 59: 
      var $294=$2; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $295=(($294+48)|0); //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $296=HEAP32[(($295)>>2)]; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $297=(($296-4)|0); //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($295)>>2)]=$297; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $298=$2; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $299=_js_printf($298, ((STRING_TABLE.__str322705)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 60; break; //@line 5081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 60: 
      $3=0; //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 61; break; //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 61: 
      __ZN19AutoScriptUntrapperD1Ev($untrapper); //@line 5082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $cleanup_dest=$3;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 62; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 68; break;
      }
      else {
      __label__ = 69; break;
      }
      
    case 62: 
      __label__ = 63; break;
    case 63: 
      var $304=$2; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $305=(($304+52)|0); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $306=HEAP8[($305)]; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $307=(($306) & 1); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($307) { __label__ = 67; break; } else { __label__ = 64; break; } //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 64: 
      var $309=$2; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $310=(($309+53)|0); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $311=HEAP8[($310)]; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $312=(($311) & 1); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($312) { __label__ = 67; break; } else { __label__ = 65; break; } //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 65: 
      var $314=$fun; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $315=(($314+58)|0); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $316=HEAPU16[(($315)>>1)]; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $317=(($316)&65535); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $318=$317 & 8; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $319=(($318)|0)!=0; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($319) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 66: 
      var $321=$2; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $322=_js_puts($321, ((STRING_TABLE.__str362709)|0)); //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 67; break; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 67: 
      $1=1; //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 68; break; //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 68: 
      var $325=$1; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $325; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 69: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_DecompileFunction["X"]=1;
// WARNING: content after a branch in a label, line: 391593

function __ZL22DecompileDestructuringP11SprintStackPhS1_($ss, $pc, $endpc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $head;
      var $cx;
      var $jp;
      var $op;
      var $cs;
      var $oplen;
      var $i;
      var $lasti;
      var $d;
      var $lval;
      var $atom;
      var $sn;
      var $hole=__stackBase__;
      var $nameoff;
      var $index_;
      var $index_1;
      var $offset;
      var $initlen;
      var $namelen;
      var $name;
      $2=$ss;
      $3=$pc;
      $4=$endpc;
      __label__ = 2; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $6=$3; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAPU8[($6)]; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)&255); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($8)|0)==12; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      $1=0; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      __label__ = 5; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $13=$3; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13+1)|0); //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$14; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$2; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=__ZN2js9SprintPutEPNS_8SprinterEPKcj($16, ((STRING_TABLE.__str1002773)|0), 1); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $head=$17; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$head; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)|0) < 0; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $21=$2; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=$head; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=__ZL7PushOffP11SprintStacki4JSOp($21, $22, 0); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23)|0)!=0; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      $1=0; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $27=$2; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=(($27)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28+16)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30-3)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($29)>>2)]=$31; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $33=$head; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)|0); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35+16)|0); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($37-1)|0); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($33)|0)==(($38)|0); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      $1=0; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      __label__ = 12; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      __label__ = 13; break; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $44=$2; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44)|0); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($45+8)|0); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=$head; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($47+$48)|0); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=HEAP8[($49)]; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=(($50 << 24) >> 24); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=(($51)|0)==91; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($52) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      $1=0; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      __label__ = 16; break; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $56=$2; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=(($56)|0); //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($57)|0); //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cx=$59; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$2; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=(($60+40)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jp=$62; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lasti=-1; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 17; break; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      var $64=$3; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=$4; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($66) { __label__ = 18; break; } else { __label__ = 114; break; } //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      $nameoff=-1; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=$3; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=HEAPU8[($68)]; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=(($69)&255); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$70; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=((_js_CodeSpec+($70<<3))|0); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$71; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71)|0); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=HEAP8[($72)]; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=(($73 << 24) >> 24); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$74; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=$op; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($75)|0) == 81) {
        __label__ = 19; break;
      }
      else if ((($75)|0) == 62) {
        __label__ = 20; break;
      }
      else if ((($75)|0) == 63) {
        __label__ = 21; break;
      }
      else if ((($75)|0) == 88) {
        __label__ = 22; break;
      }
      else if ((($75)|0) == 190) {
        __label__ = 23; break;
      }
      else if ((($75)|0) == 218) {
        __label__ = 24; break;
      }
      else if ((($75)|0) == 219) {
        __label__ = 25; break;
      }
      else if ((($75)|0) == 60) {
        __label__ = 26; break;
      }
      else if ((($75)|0) == 187 || (($75)|0) == 53 || (($75)|0) == 220) {
        __label__ = 59; break;
      }
      else {
      __label__ = 72; break;
      }
      
    case 19: 
      var $77=$oplen; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $78=$3; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=(($78+$77)|0); //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$79; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 115; break; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      $i=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      $i=1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      var $83=$3; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=(($83+1)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=HEAPU8[($84)]; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=(($85)&255); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=$86 << 8; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=$3; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=(($88+2)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=HEAPU8[($89)]; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=(($90)&255); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=$87 | $91; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$92; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=(($92)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=$93; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      var $95=$3; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=(($95+1)|0); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=HEAPU8[($96)]; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=(($97)&255); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=$98 << 16; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=$3; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=(($100+2)|0); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=HEAPU8[($101)]; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=(($102)&255); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=$103 << 8; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=$99 | $104; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=$3; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=(($106+3)|0); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=HEAPU8[($107)]; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $109=(($108)&255); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $110=$105 | $109; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$110; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=(($110)|0); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=$111; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      var $113=$3; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=(($113+1)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=HEAP8[($114)]; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $116=(($115 << 24) >> 24); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$116; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=(($116)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=$117; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      var $119=$3; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=(($119+1)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=HEAPU8[($120)]; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=(($121)&255); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $123=$122 << 24; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=$3; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=(($124+2)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=HEAPU8[($125)]; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=(($126)&255); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $128=$127 << 16; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=$123 | $128; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=$3; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($130+3)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $132=HEAPU8[($131)]; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $133=(($132)&255); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $134=$133 << 8; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135=$129 | $134; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $136=$3; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $137=(($136+4)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=HEAPU8[($137)]; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=(($138)&255); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=$135 | $139; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$140; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=(($140)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=$141; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      __label__ = 27; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $144=$cx; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=$jp; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=(($145+56)|0); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $148=$3; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $149=_js_GetIndexFromBytecode($144, $147, $148, 0); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_=$149; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $150=$jp; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151=(($150+56)|0); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $153=$index_; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $154=__ZN8JSScript8getConstEj($152, $153); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $155=__ZNK2JS5Value8toDoubleEv($154); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=$155; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 28; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      __label__ = 29; break; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      var $158=$d; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $159=__ZL18JSDOUBLE_IS_FINITEd2876($158); //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $160=(($159)|0)!=0; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($160) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      var $162=$d; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $163=_JSDOUBLE_IS_NEGZERO2875($162); //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $164=(($163)|0)!=0; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($164) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      $1=0; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      __label__ = 33; break; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 33: 
      var $168=$d; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $169=(($168)&-1); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$169; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 34: 
      var $171=$cx; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $172=$jp; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $173=(($172+56)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $175=$3; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $176=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($171, $174, $175); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$176; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $177=$oplen; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $178=$3; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $179=(($178+$177)|0); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$179; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $180=$3; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $181=$4; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $182=(($180)|0)==(($181)|0); //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($182) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      var $184=$3; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$184; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 36: 
      var $186=$3; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $187=HEAPU8[($186)]; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $188=(($187)&255); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$188; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $189=((_js_CodeSpec+($188<<3))|0); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$189; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $190=(($189)|0); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $191=HEAP8[($190)]; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $192=(($191 << 24) >> 24); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$192; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 37; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      var $194=$op; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $195=(($194)|0)==55; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($195) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      $1=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      __label__ = 40; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      var $199=$sn; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $200=(($199)|0)!=0; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($200) { __label__ = 41; break; } else { __label__ = 48; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $202=$sn; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $203=HEAPU8[($202)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $204=(($203)&255); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $205=$204 >> 3; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $206=(($205)|0) >= 24; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($206) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 42: 
      var $214 = 24;__label__ = 44; break; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 43: 
      var $209=$sn; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $210=HEAPU8[($209)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $211=(($210)&255); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $212=$211 >> 3; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $214 = $212;__label__ = 44; break; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 44: 
      var $214; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $215=(($214)|0)==1; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($215) { __label__ = 45; break; } else { __label__ = 48; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 45: 
      var $217=$2; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $218=(($217)|0); //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $219=(($218+8)|0); //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $221=$head; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $222=(($220+$221)|0); //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($222)]=123; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $223=$2; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $224=(($223)|0); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $225=$d; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $226=__ZN2js6SprintEPNS_8SprinterEPKcz($224, ((STRING_TABLE.__str1412814)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),(tempDoubleF64[0]=$225,HEAP32[((tempInt)>>2)]=tempDoubleI32[0],HEAP32[((tempInt+4)>>2)]=tempDoubleI32[1]),tempInt)); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $227=(($226)|0) < 0; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($227) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 46: 
      $1=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 47: 
      __label__ = 58; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 48: 
      __label__ = 49; break; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 49: 
      var $232=$i; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $233=(($232)|0); //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $234=$d; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $235=$233 == $234; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($235) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 50: 
      $1=0; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 51: 
      __label__ = 52; break; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 52: 
      __label__ = 53; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 53: 
      var $240=$lasti; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $241=(($240+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lasti=$241; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $242=$i; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $243=(($241)|0) < (($242)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($243) { __label__ = 54; break; } else { __label__ = 57; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 54: 
      var $245=$2; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $246=(($245)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $247=__ZN2js9SprintPutEPNS_8SprinterEPKcj($246, ((STRING_TABLE.__str332706)|0), 2); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $248=(($247)|0) < 0; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($248) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 55: 
      $1=0; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 56: 
      __label__ = 53; break; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 57: 
      __label__ = 58; break;
    case 58: 
      __label__ = 74; break; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 59: 
      __label__ = 60; break; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 60: 
      var $255=$cx; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $256=$jp; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $257=(($256+56)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $259=$3; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $260=_js_GetIndexFromBytecode($255, $258, $259, 0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_1=$260; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 61; break; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 61: 
      var $262=$3; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $263=$jp; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $264=(($263+56)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $265=HEAP32[(($264)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $266=(($265)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $267=HEAPU32[(($266)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $268=(($262)>>>0) < (($267)>>>0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($268) { __label__ = 63; break; } else { __label__ = 62; break; } //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 62: 
      var $270=$jp; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $271=(($270+56)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $272=HEAP32[(($271)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $273=(($272)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $275=$jp; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $276=(($275+56)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $277=HEAP32[(($276)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $278=(($277+8)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $279=HEAP32[(($278)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $280=(($274+$279)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $281=$3; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $282=(($280)>>>0) <= (($281)>>>0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($282) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 63: 
      var $284=$index_1; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $285=$cx; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $286=(($285+52)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $287=HEAP32[(($286)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $288=(($287+209948)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $289=__ZN11JSAtomState16commonAtomsStartEv($288); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $290=(($289+($284<<2))|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $291=HEAP32[(($290)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$291; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 65; break; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 64: 
      var $293=$jp; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $294=(($293+56)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $295=HEAP32[(($294)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $296=$index_1; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $297=__ZN8JSScript7getAtomEj($295, $296); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$297; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 65; break;
    case 65: 
      __label__ = 66; break; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 66: 
      __label__ = 67; break; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 67: 
      var $301=$2; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $302=(($301)|0); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $303=(($302+8)|0); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $304=HEAP32[(($303)>>2)]; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $305=$head; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $306=(($304+$305)|0); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($306)]=123; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $307=$2; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $308=(($307)|0); //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $309=(($308+16)|0); //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $310=HEAP32[(($309)>>2)]; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $nameoff=$310; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $311=$2; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $312=(($311)|0); //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $313=$atom; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $314=$313; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $315=$atom; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $316=$315; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $317=__Z15js_IsIdentifierP14JSLinearString($316); //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $318=(($317)|0)!=0; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $319=$318 ? 0 : 39; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $320=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($312, $314, $319); //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $321=(($320)|0)!=0; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($321) { __label__ = 69; break; } else { __label__ = 68; break; } //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 68: 
      $1=0; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 69: 
      var $324=$2; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $325=(($324)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $326=__ZN2js9SprintPutEPNS_8SprinterEPKcj($325, ((STRING_TABLE.__str1422815)|0), 2); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $327=(($326)|0) < 0; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($327) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 70: 
      $1=0; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 71: 
      __label__ = 74; break; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 72: 
      __label__ = 73; break; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 73: 
      $1=0; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 74: 
      var $334=$oplen; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $335=$3; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $336=(($335+$334)|0); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$336; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $337=$3; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $338=$4; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $339=(($337)|0)==(($338)|0); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($339) { __label__ = 75; break; } else { __label__ = 76; break; } //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 75: 
      var $341=$3; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$341; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 76: 
      var $343=$2; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $344=$3; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $345=$4; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $346=__ZL25DecompileDestructuringLHSP11SprintStackPhS1_Pi($343, $344, $345, $hole); //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$346; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $347=$3; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $348=(($347)|0)!=0; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($348) { __label__ = 78; break; } else { __label__ = 77; break; } //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 77: 
      $1=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 78: 
      var $351=$nameoff; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $352=(($351)|0) >= 0; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($352) { __label__ = 79; break; } else { __label__ = 93; break; } //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 79: 
      var $354=$2; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $355=(($354)|0); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $356=(($355+16)|0); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $357=HEAP32[(($356)>>2)]; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offset=$357; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 80; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 80: 
      var $359=$2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $360=(($359)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $361=(($360+8)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $362=HEAP32[(($361)>>2)]; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $363=$offset; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $364=(($362+$363)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $365=HEAP8[($364)]; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $366=(($365 << 24) >> 24); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $367=(($366)|0)==0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($367) { __label__ = 82; break; } else { __label__ = 81; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 81: 
      $1=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 82: 
      __label__ = 83; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 83: 
      var $371=$offset; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $372=$nameoff; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $373=(($371-$372)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $initlen=$373; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 84; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 84: 
      var $375=$initlen; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $376=(($375)|0) >= 4; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($376) { __label__ = 86; break; } else { __label__ = 85; break; } //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 85: 
      $1=0; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 86: 
      __label__ = 87; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 87: 
      var $380=$initlen; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $381=$380 & 1; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $382=(($381)|0)==0; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($382) { __label__ = 88; break; } else { __label__ = 92; break; } //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 88: 
      var $384=$initlen; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $385=(($384-2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $386=$385 >>> 1; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $namelen=$386; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $387=$2; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $388=(($387)|0); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $389=(($388+8)|0); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $390=HEAP32[(($389)>>2)]; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $391=$nameoff; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $392=(($390+$391)|0); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $name=$392; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $393=$name; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $394=$namelen; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $395=(($393+$394)|0); //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $396=_strncmp($395, ((STRING_TABLE.__str1422815)|0), 2); //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $397=(($396)|0)!=0; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($397) { __label__ = 91; break; } else { __label__ = 89; break; } //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 89: 
      var $399=$name; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $400=$name; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $401=$namelen; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $402=(($400+$401)|0); //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $403=(($402+2)|0); //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $404=$namelen; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $405=_strncmp($399, $403, $404); //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $406=(($405)|0)!=0; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($406) { __label__ = 91; break; } else { __label__ = 90; break; } //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 90: 
      var $408=$namelen; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $409=(($408+2)|0); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $410=$offset; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $411=(($410-$409)|0); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offset=$411; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $412=$2; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $413=(($412)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $414=(($413+8)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $415=HEAP32[(($414)>>2)]; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $416=$offset; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $417=(($415+$416)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($417)]=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $418=$offset; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $419=$2; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $420=(($419)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $421=(($420+16)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($421)>>2)]=$418; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 91; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 91: 
      __label__ = 92; break; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 92: 
      __label__ = 93; break; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 93: 
      var $425=$3; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $426=$4; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $427=(($425)|0)==(($426)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($427) { __label__ = 95; break; } else { __label__ = 94; break; } //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 94: 
      var $429=$3; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $430=HEAPU8[($429)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $431=(($430)&255); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $432=(($431)|0)!=12; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($432) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 95: 
      __label__ = 114; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 96: 
      var $435=$cx; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $436=$jp; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $437=(($436+56)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $438=HEAP32[(($437)>>2)]; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $439=$3; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $440=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($435, $438, $439); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$440; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $441=$sn; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $442=(($441)|0)!=0; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($442) { __label__ = 98; break; } else { __label__ = 97; break; } //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 97: 
      __label__ = 114; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 98: 
      var $445=$sn; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $446=HEAPU8[($445)]; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $447=(($446)&255); //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $448=$447 >> 3; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $449=(($448)|0) >= 24; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($449) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 99: 
      var $457 = 24;__label__ = 101; break; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 100: 
      var $452=$sn; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $453=HEAPU8[($452)]; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $454=(($453)&255); //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $455=$454 >> 3; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $457 = $455;__label__ = 101; break; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 101: 
      var $457; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $458=(($457)|0)!=5; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($458) { __label__ = 102; break; } else { __label__ = 110; break; } //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 102: 
      __label__ = 103; break; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 103: 
      var $461=$sn; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $462=HEAPU8[($461)]; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $463=(($462)&255); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $464=$463 >> 3; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $465=(($464)|0) >= 24; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($465) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 104: 
      var $473 = 24;__label__ = 106; break; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 105: 
      var $468=$sn; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $469=HEAPU8[($468)]; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $470=(($469)&255); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $471=$470 >> 3; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $473 = $471;__label__ = 106; break; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 106: 
      var $473; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $474=(($473)|0)==6; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($474) { __label__ = 108; break; } else { __label__ = 107; break; } //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 107: 
      $1=0; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 108: 
      __label__ = 109; break; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 109: 
      __label__ = 114; break; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 110: 
      var $479=HEAP32[(($hole)>>2)]; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $480=(($479)|0)!=0; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($480) { __label__ = 113; break; } else { __label__ = 111; break; } //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 111: 
      var $482=$2; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $483=(($482)|0); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $484=__ZN2js9SprintPutEPNS_8SprinterEPKcj($483, ((STRING_TABLE.__str332706)|0), 2); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $485=(($484)|0) < 0; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($485) { __label__ = 112; break; } else { __label__ = 113; break; } //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 112: 
      $1=0; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 113: 
      var $488=$3; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $489=(($488+1)|0); //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$489; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 17; break; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 114: 
      __label__ = 115; break; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 115: 
      var $492=$2; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $493=(($492)|0); //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $494=(($493+8)|0); //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $495=HEAP32[(($494)>>2)]; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $496=$head; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $497=(($495+$496)|0); //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$497; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $498=$2; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $499=(($498)|0); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $500=$lval; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $501=HEAP8[($500)]; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $502=(($501 << 24) >> 24); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $503=(($502)|0)==91; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($503) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 116: 
      var $507 = STRING_TABLE.__str562729;__label__ = 118; break; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 117: 
      var $507 = STRING_TABLE.__str1432816;__label__ = 118; break; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 118: 
      var $507; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $508=(($507)|0); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $509=__ZN2js9SprintPutEPNS_8SprinterEPKcj($499, $508, 1); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $510=(($509)|0) < 0; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($510) { __label__ = 119; break; } else { __label__ = 120; break; } //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 119: 
      $1=0; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 120: 
      var $513=$3; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$513; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 121; break; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 121: 
      var $515=$1; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $515; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22DecompileDestructuringP11SprintStackPhS1_["X"]=1;

function __ZL6PopStrP11SprintStack4JSOp($ss, $op) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$ss;
  $2=$op;
  var $3=$1; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=$2; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=((_js_CodeSpec+($4<<3))|0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=(($5+3)|0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=HEAP8[($6)]; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=__ZL10PopStrPrecP11SprintStackh($3, $7); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return $8; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZN19AutoScriptUntrapperD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN19AutoScriptUntrapperD2Ev($2); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZN2js10StackFrame13clearImacropcEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 936 "./vm/Stack.h"
  var $4=HEAP32[(($3)>>2)]; //@line 936 "./vm/Stack.h"
  var $5=$4 & -8193; //@line 936 "./vm/Stack.h"
  HEAP32[(($3)>>2)]=$5; //@line 936 "./vm/Stack.h"
  ;
  return; //@line 937 "./vm/Stack.h"
}


function __ZN2js10StackFrame11setImacropcEPh($this, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pc;
  var $3=$1;
  var $4=$2; //@line 942 "./vm/Stack.h"
  var $5=(($3+40)|0); //@line 942 "./vm/Stack.h"
  HEAP32[(($5)>>2)]=$4; //@line 942 "./vm/Stack.h"
  var $6=(($3)|0); //@line 943 "./vm/Stack.h"
  var $7=HEAP32[(($6)>>2)]; //@line 943 "./vm/Stack.h"
  var $8=$7 | 8192; //@line 943 "./vm/Stack.h"
  HEAP32[(($6)>>2)]=$8; //@line 943 "./vm/Stack.h"
  ;
  return; //@line 944 "./vm/Stack.h"
}


function _js_DecompileValueGenerator($cx, $spindex, $0, $fallback) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $5;
      var $fp;
      var $script;
      var $pc;
      var $pcstack;
      var $pcdepth;
      var $stackBase;
      var $sp;
      var $basepc;
      var $savedImacropc;
      var $name;
      var $length;
      var $chars;
      $3=$cx;
      $4=$spindex;
      var $6=$v;
      var $7=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
      $5=$fallback;
      var $8=$3; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN2js10LeaveTraceEP9JSContext($8); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$3; //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=__ZNK9JSContext5hasfpEv($9); //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $12=$3; //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=__ZNK9JSContext2fpEv($12); //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=__ZNK2js10StackFrame13isScriptFrameEv($13); //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      __label__ = 41; break; //@line 5105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $17=$3; //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind2852($17, 1); //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fp=$18; //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=$fp; //@line 5108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=__ZNK2js10StackFrame6scriptEv($19); //@line 5108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $script=$20; //@line 5108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=$fp; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=__ZNK2js10StackFrame11hasImacropcEv($21); //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $24=$fp; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=__ZNK2js10StackFrame8imacropcEv($24); //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32 = $25;__label__ = 7; break; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $27=$3; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=__ZNK9JSContext4regsEv($27); //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28+4)|0); //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32 = $30;__label__ = 7; break; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $32; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc=$32; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$pc; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$script; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=__ZN8JSScript4mainEv($34); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($33)>>>0) < (($35)>>>0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      __label__ = 41; break; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $39=$4; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($39)|0)!=0; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 30; break; } //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $42=$3; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$script; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=__ZL10StackDepthP8JSScript($43); //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=((($44<<2))|0); //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=__ZN9JSContext7malloc_Ej($42, $45); //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$46; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pcstack=$47; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=$pcstack; //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48)|0)!=0; //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      $2=0; //@line 5125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 48; break; //@line 5125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $52=$3; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=$script; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$pc; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=$pcstack; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=__ZL18ReconstructPCStackP9JSContextP8JSScriptPhPS3_($52, $53, $54, $55); //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pcdepth=$56; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$pcdepth; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($57)|0) < 0; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($58) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      __label__ = 27; break; //@line 5128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $61=$4; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($61)|0)!=1; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($62) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $64=$4; //@line 5132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=$pcdepth; //@line 5132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=(($65+$64)|0); //@line 5132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pcdepth=$66; //@line 5132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$pcdepth; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($67)|0) < 0; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($68) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      __label__ = 27; break; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      var $71=$pcdepth; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=$pcstack; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72+($71<<2))|0); //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc=$74; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 26; break; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $76=$fp; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=__ZNK2js10StackFrame4baseEv($76); //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $stackBase=$77; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $78=$3; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=__ZNK9JSContext4regsEv($78); //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=(($79)|0); //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sp=$81; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 19; break; //@line 5144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $83=$sp; //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=$stackBase; //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=(($83)|0)==(($84)|0); //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($85) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      $pcdepth=-1; //@line 5146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 27; break; //@line 5147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      __label__ = 22; break; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      var $89=$sp; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=(($89-8)|0); //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sp=$90; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=__ZNK2JS5ValueneERKS0_($90, $v); //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($91) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      var $93=$sp; //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=$stackBase; //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=$pcdepth; //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=(($94+($95<<3))|0); //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=(($93)>>>0) < (($96)>>>0); //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($97) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 5160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      var $99=$sp; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=$stackBase; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=$99; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=$100; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=(($101-$102)|0); //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=(((($103)|0)/8)&-1); //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=$pcstack; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=(($105+($104<<2))|0); //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc=$107; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 25; break; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      var $111=$3; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=$pcstack; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=$112; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($111, $113); //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=$pcdepth; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=(($114)|0) < 0; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($115) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      __label__ = 41; break; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      __label__ = 30; break; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      var $119=$3; //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=__ZNK9JSContext4regsEv($119); //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=(($120+4)|0); //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $basepc=$122; //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $123=$fp; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=__ZNK2js10StackFrame13maybeImacropcEv($123); //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $savedImacropc=$124; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=$savedImacropc; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=(($125)|0)!=0; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($126) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      var $128=$savedImacropc; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=$3; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=__ZNK9JSContext4regsEv($129); //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($130+4)|0); //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($131)>>2)]=$128; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $132=$fp; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN2js10StackFrame13clearImacropcEv($132); //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 32; break; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      var $134=$savedImacropc; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135=(($134)|0)!=0; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($135) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 33: 
      var $137=$pc; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=$script; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=(($138)|0); //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=$137; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $142=$140; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $143=(($141-$142)|0); //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $144=$script; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=(($144+8)|0); //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=HEAPU32[(($145)>>2)]; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=(($143)>>>0) >= (($146)>>>0); //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($147) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 34: 
      $name=1; //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 36; break; //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      var $150=$3; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151=$script; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $152=$fp; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $153=__ZNK2js10StackFrame8maybeFunEv($152); //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $154=$pc; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $155=__ZL19DecompileExpressionP9JSContextP8JSScriptP10JSFunctionPh($150, $151, $153, $154); //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $name=$155; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 36; break;
    case 36: 
      var $157=$savedImacropc; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $158=(($157)|0)!=0; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($158) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      var $160=$basepc; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $161=$3; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $162=__ZNK9JSContext4regsEv($161); //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $163=(($162+4)|0); //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($163)>>2)]=$160; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $164=$fp; //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $165=$savedImacropc; //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN2js10StackFrame11setImacropcEPh($164, $165); //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 38; break; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      var $167=$name; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $168=(($167)|0)!=1; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($168) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      var $170=$name; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $2=$170; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 48; break; //@line 5194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      __label__ = 41; break; //@line 5195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $173=$5; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $174=(($173)|0)!=0; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($174) { __label__ = 45; break; } else { __label__ = 42; break; } //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 42: 
      var $176=$3; //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $177=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($176, $v); //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $5=$177; //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $178=$5; //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $179=(($178)|0)!=0; //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($179) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 43: 
      $2=0; //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 48; break; //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 44: 
      __label__ = 45; break; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 45: 
      var $183=$5; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $184=__ZNK8JSString6lengthEv($183); //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $length=$184; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $185=$5; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $186=$3; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $187=__ZN8JSString8getCharsEP9JSContext($185, $186); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $chars=$187; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $188=$chars; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $189=(($188)|0)!=0; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($189) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 46: 
      $2=0; //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 48; break; //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 47: 
      var $192=$3; //@line 5207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $193=$chars; //@line 5207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $194=$length; //@line 5207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $195=__ZN2js13DeflateStringEP9JSContextPKtj($192, $193, $194); //@line 5207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $2=$195; //@line 5207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 48; break; //@line 5207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 48: 
      var $197=$2; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $197; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_DecompileValueGenerator["X"]=1;

function __ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind2852($cx, $expand) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$expand;
  var $3=$1; //@line 2346 "./jscntxt.h"
  __ZN2js10LeaveTraceEP9JSContext($3); //@line 2346 "./jscntxt.h"
  var $4=$1; //@line 2353 "./jscntxt.h"
  var $5=__ZNK9JSContext7maybefpEv($4); //@line 2353 "./jscntxt.h"
  ;
  return $5; //@line 2353 "./jscntxt.h"
}


function __ZL18ReconstructPCStackP9JSContextP8JSScriptPhPS3_($cx, $script, $target, $pcstack) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pc;
      var $pcdepth=__stackBase__;
      var $oplen;
      var $op;
      var $cs;
      var $sn;
      var $jmpoff;
      var $jmplen;
      $2=$cx;
      $3=$script;
      $4=$target;
      $5=$pcstack;
      __label__ = 2; break; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $7=$3; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)|0); //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$4; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($9)>>>0) <= (($10)>>>0); //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $13=$4; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$3; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14)|0); //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$3; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17+8)|0); //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($16+$19)|0); //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($13)>>>0) < (($20)>>>0); //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      $1=-1; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 41; break; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      __label__ = 6; break; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $25=$3; //@line 5499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=(($25)|0); //@line 5499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 5499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc=$27; //@line 5499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($pcdepth)>>2)]=0; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $29=$pc; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$4; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($29)>>>0) < (($30)>>>0); //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 36; break; } //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $33=$2; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$3; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=$pc; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2825($33, $34, $35); //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$36; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=$op; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=((_js_CodeSpec+($37<<3))|0); //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$38; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=$cs; //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($39)|0); //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=HEAP8[($40)]; //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=(($41 << 24) >> 24); //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$42; //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$oplen; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43)|0) < 0; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $46=$pc; //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=__Z28js_GetVariableBytecodeLengthPh($46); //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$47; //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $49=$cs; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($49+4)|0); //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$51 & 134217728; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=(($52)|0)!=0; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      __label__ = 35; break; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $56=$2; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$3; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=$pc; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($56, $57, $58); //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$59; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$sn; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=(($60)|0)!=0; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 26; break; } //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $63=$sn; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=HEAPU8[($63)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=(($64)&255); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$65 >> 3; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=(($66)|0) >= 24; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $75 = 24;__label__ = 16; break; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $70=$sn; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=HEAPU8[($70)]; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71)&255); //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=$72 >> 3; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75 = $73;__label__ = 16; break; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $75; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=(($75)|0)==9; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($76) { __label__ = 17; break; } else { __label__ = 26; break; } //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      var $78=$sn; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=_js_GetSrcNoteOffset($78, 0); //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jmpoff=$79; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=$pc; //@line 5522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=$jmpoff; //@line 5522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($80+$81)|0); //@line 5522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $83=$4; //@line 5522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=(($82)>>>0) < (($83)>>>0); //@line 5522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($84) { __label__ = 18; break; } else { __label__ = 25; break; } //@line 5522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $86=$jmpoff; //@line 5523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=$pc; //@line 5523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=(($87+$86)|0); //@line 5523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc=$88; //@line 5523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=$2; //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=$3; //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=$pc; //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2825($89, $90, $91); //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$92; //@line 5524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=$op; //@line 5526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=((_js_CodeSpec+($93<<3))|0); //@line 5526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$94; //@line 5526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=$cs; //@line 5527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=(($95)|0); //@line 5527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=HEAP8[($96)]; //@line 5527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=(($97 << 24) >> 24); //@line 5527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$98; //@line 5527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=$pc; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=$pc; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=__ZL13GetJumpOffsetPhS_($99, $100); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jmplen=$101; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=$pc; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=$jmplen; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=(($102+$103)|0); //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=$4; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=(($104)>>>0) < (($105)>>>0); //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($106) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $108=$jmplen; //@line 5531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$108; //@line 5531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 35; break; //@line 5532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      __label__ = 21; break; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      var $111=HEAP32[(($pcdepth)>>2)]; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=(($111)|0)!=0; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($112) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      $1=-1; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 41; break; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      __label__ = 24; break; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      var $116=HEAP32[(($pcdepth)>>2)]; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=(($116-1)|0); //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($pcdepth)>>2)]=$117; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 25; break; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      __label__ = 26; break; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      var $120=$sn; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=(($120)|0)!=0; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($121) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $123=$sn; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=HEAPU8[($123)]; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=(($124)&255); //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=$125 >> 3; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=(($126)|0) >= 24; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($127) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      var $135 = 24;__label__ = 30; break; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      var $130=$sn; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=HEAPU8[($130)]; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $132=(($131)&255); //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $133=$132 >> 3; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135 = $133;__label__ = 30; break; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      var $135; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $136=(($135)|0)==11; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($136) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      __label__ = 35; break; //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      var $139=$2; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=$3; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=$op; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $142=$cs; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $143=$pc; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $144=$5; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=__ZL10SimulateOpP9JSContextP8JSScript4JSOpPK10JSCodeSpecPhPS7_Rj($139, $140, $141, $142, $143, $144, $pcdepth); //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=(($145)|0) < 0; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($146) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 33: 
      $1=-1; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 41; break; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 34: 
      __label__ = 35; break; //@line 5551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      var $150=$oplen; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151=$pc; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $152=(($151+$150)|0); //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc=$152; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 5502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 36: 
      __label__ = 37; break; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      var $155=$pc; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=$4; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $157=(($155)|0)==(($156)|0); //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($157) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      $1=-1; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 41; break; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      __label__ = 40; break; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      var $161=HEAP32[(($pcdepth)>>2)]; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$161; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 41; break; //@line 5553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $163=$1; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $163; //@line 5554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18ReconstructPCStackP9JSContextP8JSScriptPhPS3_["X"]=1;

function __ZL19DecompileExpressionP9JSContextP8JSScriptP10JSFunctionPh($cx, $script, $fun, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $op;
      var $cs;
      var $begin;
      var $end;
      var $sn;
      var $len;
      var $pcstack;
      var $pcdepth;
      var $jp;
      var $name;
      var $untrapper=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$script;
      $4=$fun;
      HEAP32[(($5)>>2)]=$pc;
      $pcstack=0; //@line 5226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$2; //@line 5227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=$3; //@line 5227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN19AutoScriptUntrapperC1EP9JSContextP8JSScriptPPh($untrapper, $7, $8, $5); //@line 5227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=HEAP32[(($5)>>2)]; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=HEAPU8[($9)]; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)&255); //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$11; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$op; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12)|0)==1; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $15=$2; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=_JS_strdup($15, ((STRING_TABLE._js_undefined_str)|0)); //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $name=$16; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $18=$op; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)|0)==65; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $21=$2; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=_JS_strdup($21, ((STRING_TABLE._js_this_str)|0)); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $name=$22; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $24=$op; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24)|0)==110; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      $name=1; //@line 5256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $28=$op; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=((_js_CodeSpec+($28<<3))|0); //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$29; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=HEAP32[(($5)>>2)]; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $begin=$30; //@line 5262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=HEAP32[(($5)>>2)]; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$cs; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=(($32)|0); //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=HEAP8[($33)]; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34 << 24) >> 24); //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($31+$35)|0); //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $end=$36; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=$cs; //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($37+4)|0); //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=$39 & 224; //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($40)|0) == 64 || (($40)|0) == 96 || (($40)|0) == 128 || (($40)|0) == 0) {
        __label__ = 8; break;
      }
      else {
      __label__ = 18; break;
      }
      
    case 8: 
      var $42=$2; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$3; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=HEAP32[(($5)>>2)]; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($42, $43, $44); //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$45; //@line 5269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=$sn; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=(($46)|0)!=0; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      $name=1; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $50=$sn; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=HEAPU8[($50)]; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=(($51)&255); //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=$52 >> 3; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($53)|0) >= 24; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $62 = 24;__label__ = 13; break; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $57=$sn; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=HEAPU8[($57)]; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=(($58)&255); //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=$59 >> 3; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62 = $60;__label__ = 13; break; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $62; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($62)|0) == 12) {
        __label__ = 14; break;
      }
      else if ((($62)|0) == 7) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 14: 
      var $64=$sn; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=_js_GetSrcNoteOffset($64, 0); //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$begin; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=(((-$65))|0); //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($66+$67)|0); //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $begin=$68; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 17; break; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $70=$begin; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=$sn; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=_js_GetSrcNoteOffset($71, 0); //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($70+$72)|0); //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $end=$73; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=$cs; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=(($74)|0); //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=HEAP8[($75)]; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=(($76 << 24) >> 24); //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $78=$begin; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=(($78+$77)|0); //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $begin=$79; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 17; break; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      $name=1; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      __label__ = 19; break; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      __label__ = 19; break; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $84=$end; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=$begin; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=$84; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=$85; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=(($86-$87)|0); //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$88; //@line 5289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=$len; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=(($89)|0) <= 0; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($90) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      $name=1; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 5292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      var $93=$2; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=$3; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=__ZL10StackDepthP8JSScript($94); //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=((($95<<2))|0); //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=__ZN9JSContext7malloc_Ej($93, $96); //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=$97; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pcstack=$98; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=$pcstack; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=(($99)|0)!=0; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($100) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      $name=0; //@line 5298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      var $103=$2; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=$3; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=$begin; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=$pcstack; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=__ZL18ReconstructPCStackP9JSContextP8JSScriptPhPS3_($103, $104, $105, $106); //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pcdepth=$107; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=$pcdepth; //@line 5304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $109=(($108)|0) < 0; //@line 5304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($109) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 5304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      $name=1; //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 5306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      $name=0; //@line 5309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=$2; //@line 5310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=$4; //@line 5310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=_js_NewPrinter($112, ((STRING_TABLE.__str372710)|0), $113, 0, 0, 0, 0); //@line 5310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jp=$114; //@line 5310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=$jp; //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $116=(($115)|0)!=0; //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($116) { __label__ = 26; break; } else { __label__ = 32; break; } //@line 5312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      var $118=$end; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $119=$jp; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=(($119+60)|0); //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($120)>>2)]=$118; //@line 5313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=$pcstack; //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=$jp; //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $123=(($122+64)|0); //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($123)>>2)]=$121; //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=$jp; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=$3; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=$begin; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=$len; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $128=$pcdepth; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=__ZL13DecompileCodeP9JSPrinterP8JSScriptPhjj($124, $125, $126, $127, $128); //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=(($129)|0)!=0; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($130) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $132=$jp; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $133=(($132)|0); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $134=(($133+8)|0); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $136=(($135)|0)!=0; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($136) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      var $138=$jp; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=(($138)|0); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=(($139+8)|0); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $144 = $141;__label__ = 30; break; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      var $144 = ((__str272700)|0);__label__ = 30; break; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      var $144; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $name=$144; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=$2; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=$name; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=_JS_strdup($145, $146); //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $name=$147; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 31; break; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      var $149=$jp; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _js_DestroyPrinter($149); //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 32; break; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      __label__ = 33; break; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 33: 
      var $152=$2; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $153=$pcstack; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $154=$153; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($152, $154); //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $155=$name; //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$155; //@line 5324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $6=1;
      __ZN19AutoScriptUntrapperD1Ev($untrapper); //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=$1; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $156; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19DecompileExpressionP9JSContextP8JSScriptP10JSFunctionPh["X"]=1;

function _js_ReconstructStackDepth($cx, $script, $pc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$script;
  $3=$pc;
  var $4=$1; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=$2; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=$3; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=__ZL18ReconstructPCStackP9JSContextP8JSScriptPhPS3_($4, $5, $6, 0); //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return $7; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZN2js17CallResultEscapesEPh($pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$pc;
      var $3=$2; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4=HEAPU8[($3)]; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=(($4)&255); //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5)|0)!=58; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=1; //@line 5577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 5577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $9=$2; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9+3)|0); //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $2=$10; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$2; //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAPU8[($11)]; //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12)&255); //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)|0)==109; //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $16=$2; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16+3)|0); //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $2=$17; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 5; break; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $19=$2; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=HEAPU8[($19)]; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20)&255); //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21)|0)==81; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      $1=0; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $25=$2; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=HEAPU8[($25)]; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26)&255); //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=(($27)|0)==32; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $30=$2; //@line 5588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30+1)|0); //@line 5588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $2=$31; //@line 5588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break; //@line 5588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $33=$2; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=HEAPU8[($33)]; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)&255); //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35)|0)!=7; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$36; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $38=$1; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $38; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13GetJumpOffsetPhS_($pc, $pc2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $type;
      $2=$pc;
      $3=$pc2;
      var $4=$2; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=HEAPU8[($4)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5)&255); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=((_js_CodeSpec+($6<<3))|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$9 & 31; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $type=$10; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$type; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11-9)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12)>>>0) <= 2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $15=$3; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15+1)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=HEAPU8[($16)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17)&255); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=$18 << 24; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=$3; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20+2)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=HEAPU8[($21)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22)&255); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=$23 << 16; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$19 | $24; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=$3; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26+3)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=HEAPU8[($27)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28)&255); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$29 << 8; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=$25 | $30; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$3; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=(($32+4)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=HEAPU8[($33)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)&255); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=$31 | $35; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$36; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $38=$3; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38+1)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=HEAPU8[($39)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40)&255); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=$41 << 8; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$3; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43+2)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAPU8[($44)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($45)&255); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$42 | $46; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47) & 65535); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48 << 16) >> 16); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$49; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $51=$1; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $51; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13GetJumpOffsetPhS_["X"]=1;

function __ZN2js17GetBytecodeLengthEP9JSContextP8JSScriptPh($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      $2=$cx;
      $3=$script;
      $4=$pc;
      var $5=$2; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=$3; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$4; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2825($5, $6, $7); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$8; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$op; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=((_js_CodeSpec+($9<<3))|0); //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)|0); //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAP8[($11)]; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12 << 24) >> 24); //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)|0)!=-1; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $16=$op; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=((_js_CodeSpec+($16<<3))|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17)|0); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP8[($18)]; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19 << 24) >> 24); //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$20; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 5600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $22=$op; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=$4; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=__Z28js_GetVariableBytecodeLength4JSOpPh($22, $23); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$24; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $26=$1; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $26; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21IsValidBytecodeOffsetEP9JSContextP8JSScriptj($cx, $script, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $r=__stackBase__;
      var $here;
      $2=$cx;
      $3=$script;
      $4=$offset;
      var $5=$2; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=$3; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN2js13BytecodeRangeC1EP9JSContextP8JSScript($r, $5, $6); //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 2; break; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $8=__ZNK2js13BytecodeRange5emptyEv($r); //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$8 ^ 1; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $11=__ZNK2js13BytecodeRange11frontOffsetEv($r); //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $here=$11; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$here; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=$4; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($12)>>>0) >= (($13)>>>0); //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $16=$here; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$4; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($16)|0)==(($17)|0); //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$18; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      __label__ = 6; break; //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      __ZN2js13BytecodeRange8popFrontEv($r); //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 2; break; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      $1=0; //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $23=$1; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13BytecodeRangeC1EP9JSContextP8JSScript($this, $cx, $script) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$script;
  var $4=$1;
  var $5=$2; //@line 46 "./jsopcodeinlines.h"
  var $6=$3; //@line 46 "./jsopcodeinlines.h"
  __ZN2js13BytecodeRangeC2EP9JSContextP8JSScript($4, $5, $6); //@line 46 "./jsopcodeinlines.h"
  ;
  return; //@line 46 "./jsopcodeinlines.h"
}


function _js_free2859($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZL10SimulateOpP9JSContextP8JSScript4JSOpPK10JSCodeSpecPhPS7_Rj($cx, $script, $op, $cs, $pc, $pcstack, $pcdepth) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $nuses;
      var $ndefs;
      var $i;
      var $tmp;
      $2=$cx;
      $3=$script;
      $4=$op;
      $5=$cs;
      $6=$pc;
      $7=$pcstack;
      $8=$pcdepth;
      var $9=$5; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$4; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$6; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=_js_GetStackUses2860($9, $10, $11); //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $nuses=$12; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=$2; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$5; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$4; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$3; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$6; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=_js_GetStackDefs($13, $14, $15, $16, $17); //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ndefs=$18; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 2; break; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $20=$8; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=HEAPU32[(($20)>>2)]; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=$nuses; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($21)>>>0) >= (($22)>>>0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      $1=-1; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 28; break; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      __label__ = 5; break; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $27=$nuses; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=$8; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($29-$27)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($28)>>2)]=$30; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 6; break; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $32=$8; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$ndefs; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($33+$34)|0); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=$3; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=__ZL10StackDepthP8JSScript($36); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($35)>>>0) <= (($37)>>>0); //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      $1=-1; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 28; break; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      __label__ = 9; break; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $42=$4; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($42)|0) == 121 || (($42)|0) == 147) {
        __label__ = 17; break;
      }
      else if ((($42)|0) == 12) {
        __label__ = 18; break;
      }
      else if ((($42)|0) == 13) {
        __label__ = 21; break;
      }
      else if ((($42)|0) == 10) {
        __label__ = 24; break;
      }
      else {
      __label__ = 10; break;
      }
      
    case 10: 
      var $44=$7; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44)|0)!=0; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      $i=0; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 12; break; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $48=$i; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=$ndefs; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($48)|0)!=(($49)|0); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($50) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $52=$6; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=$8; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=$i; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=(($54+$55)|0); //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$7; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($57+($56<<2))|0); //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($58)>>2)]=$52; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 14; break; //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $60=$i; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=(($60+1)|0); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$61; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 12; break; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      __label__ = 16; break; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      __label__ = 27; break; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      __label__ = 27; break; //@line 5362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $66=$7; //@line 5366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=(($66)|0)!=0; //@line 5366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($67) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 5366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $69=$8; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=$7; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71+($70<<2))|0); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=$8; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=(($75+1)|0); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=$7; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $78=(($77+($76<<2))|0); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($78)>>2)]=$73; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 20; break; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      __label__ = 27; break; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      var $81=$7; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($81)|0)!=0; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($82) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      var $84=$8; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=$7; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=(($86+($85<<2))|0); //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=$8; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=(($90+2)|0); //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=$7; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=(($92+($91<<2))|0); //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($93)>>2)]=$88; //@line 5373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=$8; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=(($95+1)|0); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=$7; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=(($97+($96<<2))|0); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=$8; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=(($101+3)|0); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=$7; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=(($103+($102<<2))|0); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($104)>>2)]=$99; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 23; break; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      __label__ = 27; break; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      var $107=$7; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=(($107)|0)!=0; //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($108) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 5380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      var $110=$8; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=(($111+1)|0); //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=$7; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=(($113+($112<<2))|0); //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tmp=$115; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $116=$8; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=$7; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $119=(($118+($117<<2))|0); //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=$8; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $123=(($122+1)|0); //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=$7; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=(($124+($123<<2))|0); //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($125)>>2)]=$120; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=$tmp; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=$8; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=$7; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=(($129+($128<<2))|0); //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($130)>>2)]=$126; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 26; break; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      __label__ = 27; break; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $133=$ndefs; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $134=$8; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $136=(($135+$133)|0); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($134)>>2)]=$136; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $137=$8; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$138; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 28; break; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      var $140=$1; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $140; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10SimulateOpP9JSContextP8JSScript4JSOpPK10JSCodeSpecPhPS7_Rj["X"]=1;

function _js_GetStackUses2860($cs, $op, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cs;
      $3=$op;
      $4=$pc;
      var $5=$2; //@line 403 "./jsopcode.h"
      var $6=(($5+1)|0); //@line 403 "./jsopcode.h"
      var $7=HEAP8[($6)]; //@line 403 "./jsopcode.h"
      var $8=(($7 << 24) >> 24); //@line 403 "./jsopcode.h"
      var $9=(($8)|0) >= 0; //@line 403 "./jsopcode.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 403 "./jsopcode.h"
    case 2: 
      var $11=$2; //@line 404 "./jsopcode.h"
      var $12=(($11+1)|0); //@line 404 "./jsopcode.h"
      var $13=HEAP8[($12)]; //@line 404 "./jsopcode.h"
      var $14=(($13 << 24) >> 24); //@line 404 "./jsopcode.h"
      $1=$14; //@line 404 "./jsopcode.h"
      __label__ = 4; break; //@line 404 "./jsopcode.h"
    case 3: 
      var $16=$3; //@line 405 "./jsopcode.h"
      var $17=$4; //@line 405 "./jsopcode.h"
      var $18=_js_GetVariableStackUses($16, $17); //@line 405 "./jsopcode.h"
      $1=$18; //@line 405 "./jsopcode.h"
      __label__ = 4; break; //@line 405 "./jsopcode.h"
    case 4: 
      var $20=$1; //@line 406 "./jsopcode.h"
      ;
      return $20; //@line 406 "./jsopcode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_GetStackDefs($cx, $cs, $op, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$cs;
      $4=$op;
      $5=$script;
      $6=$pc;
      var $7=$3; //@line 413 "./jsopcode.h"
      var $8=(($7+2)|0); //@line 413 "./jsopcode.h"
      var $9=HEAP8[($8)]; //@line 413 "./jsopcode.h"
      var $10=(($9 << 24) >> 24); //@line 413 "./jsopcode.h"
      var $11=(($10)|0) >= 0; //@line 413 "./jsopcode.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 413 "./jsopcode.h"
    case 2: 
      var $13=$3; //@line 414 "./jsopcode.h"
      var $14=(($13+2)|0); //@line 414 "./jsopcode.h"
      var $15=HEAP8[($14)]; //@line 414 "./jsopcode.h"
      var $16=(($15 << 24) >> 24); //@line 414 "./jsopcode.h"
      $1=$16; //@line 414 "./jsopcode.h"
      __label__ = 4; break; //@line 414 "./jsopcode.h"
    case 3: 
      var $18=$2; //@line 418 "./jsopcode.h"
      var $19=$5; //@line 418 "./jsopcode.h"
      var $20=$6; //@line 418 "./jsopcode.h"
      var $21=_js_GetEnterBlockStackDefs($18, $19, $20); //@line 418 "./jsopcode.h"
      $1=$21; //@line 418 "./jsopcode.h"
      __label__ = 4; break; //@line 418 "./jsopcode.h"
    case 4: 
      var $23=$1; //@line 419 "./jsopcode.h"
      ;
      return $23; //@line 419 "./jsopcode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13DecompileCodeP9JSPrinterP8JSScriptPhjj($jp, $script, $pc, $len, $pcdepth) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $depth;
      var $i;
      var $ss=__stackBase__+4;
      var $cx;
      var $mark;
      var $ok;
      var $oldscript;
      var $last;
      var $untrapper=__stackBase__+48;
      var $_m;
      var $_a;
      var $7;
      $2=$jp;
      $3=$script;
      HEAP32[(($4)>>2)]=$pc;
      $5=$len;
      $6=$pcdepth;
      var $8=$3; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=__ZL10StackDepthP8JSScript($8); //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $depth=$9; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$2; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)|0); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11)|0); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cx=$13; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$cx; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$3; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN19AutoScriptUntrapperC1EP9JSContextP8JSScriptPPh($untrapper, $14, $15, $4); //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$cx; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16+72)|0); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17+16)|0); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19+12)|0); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=$21; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $mark=$22; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=$cx; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=$2; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$depth; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=__ZL15InitSprintStackP9JSContextP11SprintStackP9JSPrinterj($23, $ss, $24, $25); //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$26; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=$ok; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=(($27)|0)!=0; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($28) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      __label__ = 16; break; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $31=$6; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=(($ss+28)|0); //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$6; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33)|0)!=0; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($34) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      $i=0; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 5; break; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $37=$i; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$6; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($37)>>>0) < (($38)>>>0); //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $41=$i; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=((-2-$41)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$i; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($ss+20)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($45+($43<<2))|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($46)>>2)]=$42; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$i; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=$2; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48+64)|0); //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=(($50+($47<<2))|0); //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=HEAP8[($52)]; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$i; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=(($ss+24)|0); //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=(($56+$54)|0); //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($57)]=$53; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $59=$i; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=(($59+1)|0); //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$60; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 5; break; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      __label__ = 9; break; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $63=$2; //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=(($63+56)|0); //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oldscript=$65; //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$3; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$2; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($67+56)|0); //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($68)>>2)]=$66; //@line 4874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=HEAP32[(($4)>>2)]; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=$5; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=__ZL9DecompileP11SprintStackPhi4JSOp($ss, $69, $70, 0); //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71)|0)!=0; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72)&1); //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$73; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=$oldscript; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=$2; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=(($75+56)|0); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($76)>>2)]=$74; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=$ok; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $78=(($77)|0)!=0; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($78) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $80=(($ss+28)|0); //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($81)|0)!=0; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($82) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      __label__ = 12; break; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $85=(($ss)|0); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=(($85+8)|0); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=__ZL6PopOffP11SprintStack4JSOp($ss, 81); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=(($87+$88)|0); //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $last=$89; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 13; break; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $91=(($ss+28)|0); //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=HEAPU32[(($91)>>2)]; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=$6; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=(($92)>>>0) > (($93)>>>0); //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($94) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $96=$2; //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=$last; //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=_js_printf($96, ((STRING_TABLE.__str382711)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$97,tempInt)); //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 15; break; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      __label__ = 16; break; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      __label__ = 17; break; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      var $102=$mark; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_m=$102; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=$cx; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=(($103+72)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=(($104+16)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a=$106; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=$_a; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=$cx; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $109=(($108+72)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $110=(($109)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=(($107)|0)!=(($110)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($111) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $113=$_m; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=$113; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=$_a; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $116=(($115+4)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=(($114-$117)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $119=$_a; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=(($119+12)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=$_a; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $123=(($122+4)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=(($121-$124)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=(($118)>>>0) <= (($125)>>>0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($126) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $128=$_m; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=$128; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=$cx; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($130+72)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $132=(($131+24)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $134=(($129+$133)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135=$cx; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $136=(($135+72)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $137=(($136+24)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=$138 ^ -1; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=$134 & $139; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=$_a; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $142=(($141+12)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($142)>>2)]=$140; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 21; break; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      var $144=$cx; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=(($144+72)|0); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=$_m; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ArenaRelease($145, $146); //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      __label__ = 23; break; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      var $150=$ok; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$150; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $7=1;
      __ZN19AutoScriptUntrapperD1Ev($untrapper); //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151=$1; //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $151; //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13DecompileCodeP9JSPrinterP8JSScriptPhjj["X"]=1;
// WARNING: content after a branch in a label, line: 394356
// WARNING: content after a branch in a label, line: 396179
// WARNING: content after a branch in a label, line: 399730

function __ZL9DecompileP11SprintStackPhi4JSOp($ss, $pc, $nb, $nextop) {
  var __stackBase__  = STACKTOP; STACKTOP += 164; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $cx;
      var $jp;
      var $jp2;
      var $startpc;
      var $endpc;
      var $pc2;
      var $done;
      var $tail;
      var $todo=__stackBase__;
      var $len;
      var $oplen;
      var $cond;
      var $next;
      var $op;
      var $lastop;
      var $saveop=__stackBase__+4;
      var $cs;
      var $sn;
      var $sn2;
      var $lval;
      var $rval;
      var $xval;
      var $fmt;
      var $token;
      var $nuses;
      var $i=__stackBase__+8;
      var $argc;
      var $argv;
      var $atom;
      var $obj;
      var $fun;
      var $str;
      var $ok;
      var $foreach;
      var $inXML;
      var $quoteAttr;
      var $val=__stackBase__+12;
      var $stackDummy_=__stackBase__+20;
      var $ndefs;
      var $fp;
      var $format;
      var $6=__stackBase__+24;
      var $7;
      var $mode;
      var $type;
      var $saveTop;
      var $atomIndex_;
      var $atomIndex_1;
      var $newtop;
      var $oldtop;
      var $i2;
      var $atomv;
      var $smallv=__stackBase__+36;
      var $index_;
      var $r=__stackBase__+56;
      var $shape;
      var $top;
      var $depth;
      var $index;
      var $uva;
      var $pos;
      var $forpos;
      var $start;
      var $atomIndex_3;
      var $atomIndex_4;
      var $elseif;
      var $index_5;
      var $index_6;
      var $index_7;
      var $quote_;
      var $index_8;
      var $index_9;
      var $quote_10;
      var $index_11;
      var $index_12;
      var $quote_13;
      var $index_14;
      var $quote_15;
      var $index_16;
      var $quote_17;
      var $index_18;
      var $d;
      var $index_19;
      var $8=__stackBase__+64;
      var $9=__stackBase__+72;
      var $index_20;
      var $mark;
      var $innerLocalNames;
      var $outerLocalNames;
      var $inner;
      var $outer;
      var $ss2=__stackBase__+80;
      var $outerfun;
      var $index_21;
      var $_m;
      var $_a;
      var $_m22;
      var $_a23;
      var $_m24;
      var $_a25;
      var $index_26;
      var $grouped;
      var $strict;
      var $index_27;
      var $10=__stackBase__+124;
      var $index_28;
      var $11=__stackBase__+132;
      var $jmplen;
      var $off;
      var $off2;
      var $j;
      var $n;
      var $low;
      var $high;
      var $table;
      var $tmp;
      var $atomIndex_29;
      var $12=__stackBase__+140;
      var $jmplen30;
      var $off31;
      var $off232;
      var $npairs;
      var $k;
      var $table33;
      var $atomIndex_34;
      var $constIndex;
      var $off35;
      var $off236;
      var $caseOff;
      var $ncases;
      var $table37;
      var $13=__stackBase__+148;
      var $14=__stackBase__+156;
      var $index_38;
      var $inArray;
      var $isFirst;
      var $maybeComma;
      var $index_39;
      var $end;
      var $index_40;
      var $index_41;
      var $index_42;
      var $index_43;
      var $index_44;
      $2=$ss;
      $3=$pc;
      $4=$nb;
      $5=$nextop;
      $fun=0; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$2; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15)|0); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16)|0); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cx=$18; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 2; break; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $20=$stackDummy_; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=$cx; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21+48)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=HEAPU32[(($22)>>2)]; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($20)>>>0) < (($23)>>>0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $26=$cx; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __Z21js_ReportOverRecursedP9JSContext($26); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      __label__ = 5; break; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $29=$2; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($29+40)|0); //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jp=$31; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$3; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $startpc=$32; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$4; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33)|0) < 0; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $36=$jp; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=(($36+56)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=$jp; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=(($41+56)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43+8)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($40+$45)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52 = $46;__label__ = 8; break; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $48=$3; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=$4; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($48+$49)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52 = $50;__label__ = 8; break; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $52; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $endpc=$52; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tail=-1; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($saveop)>>2)]=0; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=0; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=0; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $quoteAttr=0; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $inXML=0; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $foreach=0; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $54=$4; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=(($54)|0) < 0; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($55) { var $61 = 1;__label__ = 11; break; } else { __label__ = 10; break; } //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $57=$3; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=$endpc; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=(($57)>>>0) < (($58)>>>0); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61 = $59;__label__ = 11; break; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $61;
      if ($61) { __label__ = 12; break; } else { __label__ = 1583; break; } //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $63=HEAP32[(($saveop)>>2)]; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lastop=$63; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=$3; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=HEAPU8[($64)]; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=(($65)&255); //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$66; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$op; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=((_js_CodeSpec+($67<<3))|0); //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$68; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=$cs; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=(($69+4)|0); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=$71 & 262144; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72)|0)!=0; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($73) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $75=$cs; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=(($75)|0); //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=HEAP8[($76)]; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $78=(($77 << 24) >> 24); //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=$3; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=(($79+$78)|0); //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$80; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=$3; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=$endpc; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $83=(($81)>>>0) >= (($82)>>>0); //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($83) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      __label__ = 1583; break; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $86=$3; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=HEAPU8[($86)]; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=(($87)&255); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$88; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=$op; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=((_js_CodeSpec+($89<<3))|0); //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$90; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 16; break; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $92=$op; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($saveop)>>2)]=$92; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=$cs; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=(($93)|0); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=HEAP8[($94)]; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=(($95 << 24) >> 24); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$96; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$96; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=$cs; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=$op; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=$3; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=_js_GetStackUses2860($97, $98, $99); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $nuses=$100; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=$4; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=(($101)|0) < 0; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($102) { __label__ = 17; break; } else { __label__ = 24; break; } //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      __label__ = 18; break; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      var $105=$2; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=(($105+28)|0); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=HEAPU32[(($106)>>2)]; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=$nuses; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $109=(($107)>>>0) >= (($108)>>>0); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($109) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      $1=0; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      __label__ = 21; break; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      var $113=$cx; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=$cs; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=$op; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $116=$jp; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=(($116+56)|0); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $119=$3; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=_js_GetStackDefs($113, $114, $115, $118, $119); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ndefs=$120; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=$4; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=(($121+1)|0); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $123=(((-$122))|0); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=$2; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=(($124+28)|0); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=$nuses; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $128=(($126-$127)|0); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=$ndefs; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=(($128+$129)|0); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($123)|0)==(($130)|0); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($131) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      var $133=$3; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$133; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      __label__ = 24; break; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      var $136=$op; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $137=((__ZL9CodeToken+($136<<2))|0); //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $token=$138; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=$3; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=$oplen; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=(($139+$140)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $142=$jp; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $143=(($142+60)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=(($141)|0)==(($144)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($145) { __label__ = 25; break; } else { __label__ = 62; break; } //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      var $147=$cx; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $148=__Z20js_GetScriptedCallerP9JSContextPN2js10StackFrameE($147, 0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fp=$148; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $149=$cs; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $150=(($149+4)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $format=$151; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $152=$fp; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $153=(($152)|0)!=0; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $7=0;
      if ($153) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      var $155=$3; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=$fp; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $157=$cx; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      FUNCTION_TABLE[__ZN2js12ContextStackC1EP9JSContext]($6, $157); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $7=1; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $158=__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE($156, $6, 0, 0); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $159=(($155)|0)==(($158)|0); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($159) { __label__ = 29; break; } else { __label__ = 27; break; } //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $161=$3; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $162=$startpc; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $163=(($161)|0)==(($162)|0); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($163) { __label__ = 28; break; } else { var $172 = 0;__label__ = 30; break; } //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      var $165=$nuses; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $166=(($165)|0)!=0; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($166) { __label__ = 29; break; } else { var $172 = 0;__label__ = 30; break; } //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      var $168=$format; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $169=$168 & 12192; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $170=(($169)|0)!=0; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $172 = $170;__label__ = 30; break;
    case 30: 
      var $172;
      var $173=$7;
      if ($173) { __label__ = 31; break; } else { __label__ = 32; break; }
    case 31: 
      FUNCTION_TABLE[__ZN2js12ContextStackD1Ev]($6);
      __label__ = 32; break;
    case 32: 
      if ($172) { __label__ = 33; break; } else { __label__ = 54; break; }
    case 33: 
      var $177=$format; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $178=$177 & 224; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $mode=$178; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $179=$mode; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $180=(($179)|0)==32; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($180) { __label__ = 34; break; } else { __label__ = 41; break; } //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 34: 
      var $182=$format; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $183=$182 & 31; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $type=$183; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $184=$type; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $185=(($184)|0)==6; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($185) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      var $192 = 84;__label__ = 37; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 36: 
      var $188=$type; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $189=(($188)|0)==7; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $190=$189 ? 86 : 59; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $192 = $190;__label__ = 37; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      var $192; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$192; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $193=$nuses; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $194=$op; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $195=((_js_CodeSpec+($194<<3))|0); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $196=(($195+1)|0); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $197=HEAP8[($196)]; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $198=(($197 << 24) >> 24); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $199=(($193-$198)|0); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$199; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 38; break; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      var $201=HEAP32[(($i)>>2)]; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $202=(($201-1)|0); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$202; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $203=(($202)|0) >= 0; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($203) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      var $205=$2; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $206=__ZL6PopOffP11SprintStack4JSOp($205, 0); //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 38; break; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      __label__ = 53; break; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $209=$mode; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $210=(($209)|0)==64; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($210) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 42: 
      var $212=$format; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $213=$212 & 256; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $214=(($213)|0)!=0; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $215=$214 ? 232 : 53; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$215; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 52; break; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 43: 
      var $217=$mode; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $218=(($217)|0)==96; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($218) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 44: 
      var $220=$format; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $221=$220 & 256; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $222=(($221)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $223=$222 ? 233 : 55; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$223; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 51; break; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 45: 
      var $225=$op; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($225)|0) == 124 || (($225)|0) == 209) {
        __label__ = 46; break;
      }
      else if ((($225)|0) == 173) {
        __label__ = 47; break;
      }
      else {
      __label__ = 48; break;
      }
      
    case 46: 
      $op=55; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 50; break; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 47: 
      $op=233; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 50; break; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 48: 
      __label__ = 49; break; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 49: 
      $1=0; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 50: 
      __label__ = 51; break;
    case 51: 
      __label__ = 52; break;
    case 52: 
      __label__ = 53; break;
    case 53: 
      __label__ = 54; break; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 54: 
      var $236=$op; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($saveop)>>2)]=$236; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $237=$op; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $238=(($237)|0) >= 232; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($238) { __label__ = 55; break; } else { __label__ = 61; break; } //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 55: 
      var $240=$op; //@line 2204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $241=(($240)|0)==232; //@line 2204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($241) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 2204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 56: 
      HEAP32[(($saveop)>>2)]=53; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 60; break; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 57: 
      var $244=$op; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $245=(($244)|0)==233; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($245) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 58: 
      HEAP32[(($saveop)>>2)]=55; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 59; break; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 59: 
      __label__ = 60; break;
    case 60: 
      __label__ = 61; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 61: 
      var $250=$jp; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $251=(($250+60)|0); //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($251)>>2)]=0; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 62; break; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 62: 
      var $253=$token; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $254=(($253)|0)!=0; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($254) { __label__ = 63; break; } else { __label__ = 83; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 63: 
      var $256=$nuses; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($256)|0) == 2) {
        __label__ = 64; break;
      }
      else if ((($256)|0) == 1) {
        __label__ = 79; break;
      }
      else if ((($256)|0) == 0) {
        __label__ = 80; break;
      }
      else {
      __label__ = 81; break;
      }
      
    case 64: 
      var $258=$cx; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $259=$jp; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $260=(($259+56)|0); //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $262=$3; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $263=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($258, $261, $262); //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$263; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $264=$sn; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $265=(($264)|0)!=0; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($265) { __label__ = 65; break; } else { __label__ = 70; break; } //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 65: 
      var $267=$sn; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $268=HEAPU8[($267)]; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $269=(($268)&255); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $270=$269 >> 3; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $271=(($270)|0) >= 24; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($271) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 66: 
      var $279 = 24;__label__ = 68; break; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 67: 
      var $274=$sn; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $275=HEAPU8[($274)]; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $276=(($275)&255); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $277=$276 >> 3; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $279 = $277;__label__ = 68; break; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 68: 
      var $279; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $280=(($279)|0)==8; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($280) { __label__ = 69; break; } else { __label__ = 70; break; } //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 69: 
      var $282=$oplen; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $283=$3; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $284=(($283+$282)|0); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $285=HEAPU8[($284)]; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $286=(($285)&255); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$286; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $287=$2; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $288=$op; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $289=__ZL6PopStrP11SprintStack4JSOp($287, $288); //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$289; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $290=$2; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $291=$op; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $292=__ZL6PopStrP11SprintStack4JSOp($290, $291); //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$292; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $293=$2; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $294=(($293)|0); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $295=$rval; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $296=__ZN2js13SprintCStringEPNS_8SprinterEPKc($294, $295); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$296; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $297=HEAP32[(($saveop)>>2)]; //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$297; //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 78; break; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 70: 
      var $299=$inXML; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $300=(($299)|0)!=0; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($300) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 71: 
      var $302=$2; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $303=$cs; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $304=(($303+3)|0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $305=HEAPU8[($304)]; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $306=(($305)&255); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $307=$cs; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $308=(($307+4)|0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $309=HEAP32[(($308)>>2)]; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $310=$309 & 65536; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $311=(($310)|0)!=0; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $312=$311 ^ 1; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $313=$312 ^ 1; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $314=(($313)&1); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $315=(($306+$314)|0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $316=(($315) & 255); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $317=__ZL10PopStrPrecP11SprintStackh($302, $316); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$317; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $318=$2; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $319=$cs; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $320=(($319+3)|0); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $321=HEAPU8[($320)]; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $322=(($321)&255); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $323=$cs; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $324=(($323+4)|0); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $325=HEAP32[(($324)>>2)]; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $326=$325 & 65536; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $327=(($326)|0)!=0; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $328=$327 ^ 1; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $329=(($328)&1); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $330=(($322+$329)|0); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $331=(($330) & 255); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $332=__ZL10PopStrPrecP11SprintStackh($318, $331); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$332; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $333=$2; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $334=(($333)|0); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $335=$lval; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $336=$token; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $337=$rval; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $338=__ZN2js6SprintEPNS_8SprinterEPKcz($334, ((STRING_TABLE.__str402713)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$335,HEAP32[((tempInt+4)>>2)]=$336,HEAP32[((tempInt+8)>>2)]=$337,tempInt)); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$338; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 72: 
      __label__ = 73; break; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 73: 
      var $341=$op; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $342=(($341)|0)==27; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($342) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 74: 
      $1=0; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 75: 
      __label__ = 76; break; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 76: 
      var $346=$2; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $347=$op; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $348=__ZL6PopStrP11SprintStack4JSOp($346, $347); //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$348; //@line 2237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $349=$2; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $350=$op; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $351=__ZL6PopStrP11SprintStack4JSOp($349, $350); //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$351; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $352=$2; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $353=(($352)|0); //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $354=$lval; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $355=$rval; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $356=__ZN2js6SprintEPNS_8SprinterEPKcz($353, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$354,HEAP32[((tempInt+4)>>2)]=$355,tempInt)); //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$356; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break;
    case 77: 
      __label__ = 78; break;
    case 78: 
      __label__ = 82; break; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 79: 
      var $360=$2; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $361=$op; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $362=__ZL6PopStrP11SprintStack4JSOp($360, $361); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$362; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $363=$2; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $364=(($363)|0); //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $365=$token; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $366=$rval; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $367=__ZN2js6SprintEPNS_8SprinterEPKcz($364, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$365,HEAP32[((tempInt+4)>>2)]=$366,tempInt)); //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$367; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 82; break; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 80: 
      var $369=$2; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $370=(($369)|0); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $371=$token; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $372=__ZN2js13SprintCStringEPNS_8SprinterEPKc($370, $371); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$372; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 82; break; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 81: 
      HEAP32[(($todo)>>2)]=-2; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 82; break; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 82: 
      __label__ = 1570; break; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 83: 
      var $376=$op; //@line 2257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($376)|0) == 0) {
        __label__ = 84; break;
      }
      else if ((($376)|0) == 1) {
        __label__ = 162; break;
      }
      else if ((($376)|0) == 110 || (($376)|0) == 217) {
        __label__ = 175; break;
      }
      else if ((($376)|0) == 134) {
        __label__ = 176; break;
      }
      else if ((($376)|0) == 135) {
        __label__ = 177; break;
      }
      else if ((($376)|0) == 117) {
        __label__ = 181; break;
      }
      else if ((($376)|0) == 116 || (($376)|0) == 146) {
        __label__ = 190; break;
      }
      else if ((($376)|0) == 11) {
        __label__ = 191; break;
      }
      else if ((($376)|0) == 118) {
        __label__ = 271; break;
      }
      else if ((($376)|0) == 81) {
        __label__ = 273; break;
      }
      else if ((($376)|0) == 2) {
        __label__ = 274; break;
      }
      else if ((($376)|0) == 3) {
        __label__ = 323; break;
      }
      else if ((($376)|0) == 4) {
        __label__ = 328; break;
      }
      else if ((($376)|0) == 201) {
        __label__ = 339; break;
      }
      else if ((($376)|0) == 202 || (($376)|0) == 210) {
        __label__ = 435; break;
      }
      else if ((($376)|0) == 136 || (($376)|0) == 137) {
        __label__ = 480; break;
      }
      else if ((($376)|0) == 215 || (($376)|0) == 86) {
        __label__ = 491; break;
      }
      else if ((($376)|0) == 87 || (($376)|0) == 132) {
        __label__ = 517; break;
      }
      else if ((($376)|0) == 101 || (($376)|0) == 102) {
        __label__ = 524; break;
      }
      else if ((($376)|0) == 103 || (($376)|0) == 104) {
        __label__ = 531; break;
      }
      else if ((($376)|0) == 155) {
        __label__ = 538; break;
      }
      else if ((($376)|0) == 5) {
        __label__ = 539; break;
      }
      else if ((($376)|0) == 154) {
        __label__ = 548; break;
      }
      else if ((($376)|0) == 206) {
        __label__ = 552; break;
      }
      else if ((($376)|0) == 207) {
        __label__ = 570; break;
      }
      else if ((($376)|0) == 153) {
        __label__ = 608; break;
      }
      else if ((($376)|0) == 112) {
        __label__ = 609; break;
      }
      else if ((($376)|0) == 75) {
        __label__ = 616; break;
      }
      else if ((($376)|0) == 76) {
        __label__ = 617; break;
      }
      else if ((($376)|0) == 78) {
        __label__ = 618; break;
      }
      else if ((($376)|0) == 6 || (($376)|0) == 141) {
        __label__ = 625; break;
      }
      else if ((($376)|0) == 7 || (($376)|0) == 142) {
        __label__ = 692; break;
      }
      else if ((($376)|0) == 8 || (($376)|0) == 143) {
        __label__ = 765; break;
      }
      else if ((($376)|0) == 68 || (($376)|0) == 144) {
        __label__ = 767; break;
      }
      else if ((($376)|0) == 69 || (($376)|0) == 145) {
        __label__ = 782; break;
      }
      else if ((($376)|0) == 124 || (($376)|0) == 209) {
        __label__ = 783; break;
      }
      else if ((($376)|0) == 125 || (($376)|0) == 126) {
        __label__ = 791; break;
      }
      else if ((($376)|0) == 13) {
        __label__ = 792; break;
      }
      else if ((($376)|0) == 12) {
        __label__ = 796; break;
      }
      else if ((($376)|0) == 85) {
        __label__ = 813; break;
      }
      else if ((($376)|0) == 14 || (($376)|0) == 111 || (($376)|0) == 157) {
        __label__ = 818; break;
      }
      else if ((($376)|0) == 82 || (($376)|0) == 58 || (($376)|0) == 123 || (($376)|0) == 108 || (($376)|0) == 79) {
        __label__ = 855; break;
      }
      else if ((($376)|0) == 74) {
        __label__ = 898; break;
      }
      else if ((($376)|0) == 36) {
        __label__ = 899; break;
      }
      else if ((($376)|0) == 37) {
        __label__ = 911; break;
      }
      else if ((($376)|0) == 38) {
        __label__ = 929; break;
      }
      else if ((($376)|0) == 186) {
        __label__ = 932; break;
      }
      else if ((($376)|0) == 200 || (($376)|0) == 39 || (($376)|0) == 40) {
        __label__ = 933; break;
      }
      else if ((($376)|0) == 97 || (($376)|0) == 98) {
        __label__ = 937; break;
      }
      else if ((($376)|0) == 41 || (($376)|0) == 44 || (($376)|0) == 158 || (($376)|0) == 159) {
        __label__ = 942; break;
      }
      else if ((($376)|0) == 42 || (($376)|0) == 45) {
        __label__ = 957; break;
      }
      else if ((($376)|0) == 43 || (($376)|0) == 46) {
        __label__ = 975; break;
      }
      else if ((($376)|0) == 99 || (($376)|0) == 100) {
        __label__ = 979; break;
      }
      else if ((($376)|0) == 47 || (($376)|0) == 50 || (($376)|0) == 160 || (($376)|0) == 161) {
        __label__ = 984; break;
      }
      else if ((($376)|0) == 48 || (($376)|0) == 51) {
        __label__ = 999; break;
      }
      else if ((($376)|0) == 49 || (($376)|0) == 52) {
        __label__ = 1017; break;
      }
      else if ((($376)|0) == 232) {
        __label__ = 1021; break;
      }
      else if ((($376)|0) == 187 || (($376)|0) == 53 || (($376)|0) == 198 || (($376)|0) == 220) {
        __label__ = 1022; break;
      }
      else if ((($376)|0) == 54 || (($376)|0) == 226) {
        __label__ = 1045; break;
      }
      else if ((($376)|0) == 233) {
        __label__ = 1074; break;
      }
      else if ((($376)|0) == 196 || (($376)|0) == 55) {
        __label__ = 1075; break;
      }
      else if ((($376)|0) == 56) {
        __label__ = 1086; break;
      }
      else if ((($376)|0) == 138) {
        __label__ = 1102; break;
      }
      else if ((($376)|0) == 139) {
        __label__ = 1103; break;
      }
      else if ((($376)|0) == 216 || (($376)|0) == 84) {
        __label__ = 1104; break;
      }
      else if ((($376)|0) == 57 || (($376)|0) == 59 || (($376)|0) == 156 || (($376)|0) == 214) {
        __label__ = 1107; break;
      }
      else if ((($376)|0) == 88) {
        __label__ = 1120; break;
      }
      else if ((($376)|0) == 190) {
        __label__ = 1121; break;
      }
      else if ((($376)|0) == 218) {
        __label__ = 1122; break;
      }
      else if ((($376)|0) == 219) {
        __label__ = 1123; break;
      }
      else if ((($376)|0) == 60) {
        __label__ = 1125; break;
      }
      else if ((($376)|0) == 61) {
        __label__ = 1128; break;
      }
      else if ((($376)|0) == 130 || (($376)|0) == 224) {
        __label__ = 1139; break;
      }
      else if ((($376)|0) == 131) {
        __label__ = 1229; break;
      }
      else if ((($376)|0) == 80) {
        __label__ = 1230; break;
      }
      else if ((($376)|0) == 162) {
        __label__ = 1235; break;
      }
      else if ((($376)|0) == 70 || (($376)|0) == 149) {
        __label__ = 1240; break;
      }
      else if ((($376)|0) == 71 || (($376)|0) == 150) {
        __label__ = 1282; break;
      }
      else if ((($376)|0) == 120) {
        __label__ = 1315; break;
      }
      else if ((($376)|0) == 121 || (($376)|0) == 147) {
        __label__ = 1373; break;
      }
      else if ((($376)|0) == 127 || (($376)|0) == 222) {
        __label__ = 1376; break;
      }
      else if ((($376)|0) == 83) {
        __label__ = 1379; break;
      }
      else if ((($376)|0) == 221) {
        __label__ = 1384; break;
      }
      else if ((($376)|0) == 89) {
        __label__ = 1385; break;
      }
      else if ((($376)|0) == 90) {
        __label__ = 1404; break;
      }
      else if ((($376)|0) == 91) {
        __label__ = 1407; break;
      }
      else if ((($376)|0) == 92) {
        __label__ = 1410; break;
      }
      else if ((($376)|0) == 94) {
        __label__ = 1424; break;
      }
      else if ((($376)|0) == 93 || (($376)|0) == 227) {
        __label__ = 1431; break;
      }
      else if ((($376)|0) == 95) {
        __label__ = 1466; break;
      }
      else if ((($376)|0) == 96) {
        __label__ = 1467; break;
      }
      else if ((($376)|0) == 115) {
        __label__ = 1468; break;
      }
      else if ((($376)|0) == 194 || (($376)|0) == 195) {
        __label__ = 1469; break;
      }
      else if ((($376)|0) == 163) {
        __label__ = 1470; break;
      }
      else if ((($376)|0) == 164) {
        __label__ = 1471; break;
      }
      else if ((($376)|0) == 165) {
        __label__ = 1475; break;
      }
      else if ((($376)|0) == 166) {
        __label__ = 1486; break;
      }
      else if ((($376)|0) == 167) {
        __label__ = 1497; break;
      }
      else if ((($376)|0) == 168) {
        __label__ = 1498; break;
      }
      else if ((($376)|0) == 169) {
        __label__ = 1499; break;
      }
      else if ((($376)|0) == 170) {
        __label__ = 1500; break;
      }
      else if ((($376)|0) == 171) {
        __label__ = 1501; break;
      }
      else if ((($376)|0) == 172) {
        __label__ = 1505; break;
      }
      else if ((($376)|0) == 173) {
        __label__ = 1506; break;
      }
      else if ((($376)|0) == 181 || (($376)|0) == 180) {
        __label__ = 1507; break;
      }
      else if ((($376)|0) == 179) {
        __label__ = 1508; break;
      }
      else if ((($376)|0) == 178 || (($376)|0) == 199 || (($376)|0) == 174 || (($376)|0) == 176) {
        __label__ = 1509; break;
      }
      else if ((($376)|0) == 177) {
        __label__ = 1510; break;
      }
      else if ((($376)|0) == 175) {
        __label__ = 1518; break;
      }
      else if ((($376)|0) == 183) {
        __label__ = 1526; break;
      }
      else if ((($376)|0) == 184) {
        __label__ = 1537; break;
      }
      else if ((($376)|0) == 185) {
        __label__ = 1548; break;
      }
      else if ((($376)|0) == 208) {
        __label__ = 1567; break;
      }
      else {
      __label__ = 1568; break;
      }
      
    case 84: 
      var $378=$cx; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $379=$jp; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $380=(($379+56)|0); //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $381=HEAP32[(($380)>>2)]; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $382=$3; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $383=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($378, $381, $382); //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$383; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $384=$sn; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $385=(($384)|0)!=0; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($385) { __label__ = 85; break; } else { __label__ = 89; break; } //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 85: 
      var $387=$sn; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $388=HEAPU8[($387)]; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $389=(($388)&255); //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $390=$389 >> 3; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $391=(($390)|0) >= 24; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($391) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 86: 
      var $399 = 24;__label__ = 88; break; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 87: 
      var $394=$sn; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $395=HEAPU8[($394)]; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $396=(($395)&255); //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $397=$396 >> 3; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $399 = $397;__label__ = 88; break; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 88: 
      var $399; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $402 = $399;__label__ = 90; break; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 89: 
      var $402 = 0;__label__ = 90; break; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 90: 
      var $402; //@line 2266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($402)|0) == 4) {
        __label__ = 91; break;
      }
      else if ((($402)|0) == 3) {
        __label__ = 99; break;
      }
      else if ((($402)|0) == 13) {
        __label__ = 129; break;
      }
      else if ((($402)|0) == 14) {
        __label__ = 138; break;
      }
      else if ((($402)|0) == 15) {
        __label__ = 147; break;
      }
      else if ((($402)|0) == 19) {
        __label__ = 148; break;
      }
      else if ((($402)|0) == 10) {
        __label__ = 157; break;
      }
      else {
      __label__ = 160; break;
      }
      
    case 91: 
      var $404=$3; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $405=(($404+1)|0); //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$405; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $406=$cx; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $407=$jp; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $408=(($407+56)|0); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $409=HEAP32[(($408)>>2)]; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $410=$3; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $411=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($406, $409, $410); //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$411; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $412=$sn; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $413=_js_GetSrcNoteOffset($412, 0); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tail=$413; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 92; break; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 92: 
      var $415=$tail; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $416=$3; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $417=(($416+$415)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $418=HEAPU8[($417)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $419=(($418)&255); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $420=(($419)|0)==8; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($420) { __label__ = 95; break; } else { __label__ = 93; break; } //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 93: 
      var $422=$tail; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $423=$3; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $424=(($423+$422)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $425=HEAPU8[($424)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $426=(($425)&255); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $427=(($426)|0)==143; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($427) { __label__ = 95; break; } else { __label__ = 94; break; } //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 94: 
      $1=0; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 95: 
      __label__ = 96; break; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 96: 
      var $431=$jp; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $432=_js_printf($431, ((STRING_TABLE.__str412714)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $433=$jp; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $434=(($433+48)|0); //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $435=HEAP32[(($434)>>2)]; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $436=(($435+4)|0); //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($434)>>2)]=$436; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $437=$2; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $438=$3; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $439=$tail; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $440=__ZL9DecompileP11SprintStackPhi4JSOp($437, $438, $439, 0); //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $441=(($440)|0)!=0; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($441) { __label__ = 98; break; } else { __label__ = 97; break; } //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 97: 
      $1=0; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 98: 
      var $444=$jp; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $445=(($444+48)|0); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $446=HEAP32[(($445)>>2)]; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $447=(($446-4)|0); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($445)>>2)]=$447; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $448=$jp; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $449=$2; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $450=$2; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $451=(($450+28)|0); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $452=HEAP32[(($451)>>2)]; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $453=(($452-1)|0); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $454=$2; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $455=(($454+24)|0); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $456=HEAP32[(($455)>>2)]; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $457=(($456+$453)|0); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $458=HEAPU8[($457)]; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $459=(($458)&255); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $460=((_js_CodeSpec+($459<<3))|0); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $461=(($460+4)|0); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $462=HEAP32[(($461)>>2)]; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $463=$462 & 256; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $464=(($463)|0)!=0; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $465=$464 ? 7 : 0; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $466=__ZL6PopStrP11SprintStack4JSOp($449, $465); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $467=_js_printf($448, ((STRING_TABLE.__str422715)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$466,tempInt)); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $468=$tail; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $469=$3; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $470=(($469+$468)|0); //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$470; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $471=$3; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $472=HEAPU8[($471)]; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $473=(($472)&255); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $474=((_js_CodeSpec+($473<<3))|0); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $475=(($474)|0); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $476=HEAP8[($475)]; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $477=(($476 << 24) >> 24); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$477; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 161; break; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 99: 
      $rval=((__str272700)|0); //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 100; break; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 100: 
      var $480=$3; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $481=(($480+1)|0); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$481; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $482=$sn; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $483=_js_GetSrcNoteOffset($482, 0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cond=$483; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $484=$sn; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $485=_js_GetSrcNoteOffset($484, 1); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $next=$485; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $486=$sn; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $487=_js_GetSrcNoteOffset($486, 2); //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tail=$487; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $488=$3; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$488; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $489=$cond; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $490=$tail; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $491=(($489)|0)!=(($490)|0); //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($491) { __label__ = 101; break; } else { __label__ = 107; break; } //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 101: 
      __label__ = 102; break; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 102: 
      var $494=$3; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $495=HEAPU8[($494)]; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $496=(($495)&255); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $497=(($496)|0)==6; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($497) { __label__ = 105; break; } else { __label__ = 103; break; } //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 103: 
      var $499=$3; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $500=HEAPU8[($499)]; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $501=(($500)&255); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $502=(($501)|0)==141; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($502) { __label__ = 105; break; } else { __label__ = 104; break; } //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 104: 
      $1=0; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 105: 
      __label__ = 106; break; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 106: 
      var $506=$3; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $507=HEAPU8[($506)]; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $508=(($507)&255); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $509=(($508)|0)==6; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $510=$509 ? 3 : 5; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $511=$pc2; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $512=(($511+$510)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$512; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 107; break; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 107: 
      __label__ = 108; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 108: 
      var $515=$tail; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $516=$3; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $517=$tail; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $518=(($516+$517)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $519=$3; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $520=$tail; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $521=(($519+$520)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $522=__ZL13GetJumpOffsetPhS_($518, $521); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $523=(($515+$522)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $524=$pc2; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $525=$3; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $526=$524; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $527=$525; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $528=(($526-$527)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $529=(($523)|0)==(($528)|0); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($529) { __label__ = 110; break; } else { __label__ = 109; break; } //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 109: 
      $1=0; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 110: 
      __label__ = 111; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 111: 
      var $533=$jp; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $534=$rval; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $535=_js_printf($533, ((STRING_TABLE.__str432716)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$534,tempInt)); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $536=$cond; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $537=$tail; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $538=(($536)|0)!=(($537)|0); //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($538) { __label__ = 112; break; } else { __label__ = 115; break; } //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 112: 
      var $540=$2; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $541=$3; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $542=$cond; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $543=(($541+$542)|0); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $544=$tail; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $545=$cond; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $546=(($544-$545)|0); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $547=__ZL9DecompileP11SprintStackPhi4JSOp($540, $543, $546, 0); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $548=(($547)|0)!=0; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($548) { __label__ = 114; break; } else { __label__ = 113; break; } //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 113: 
      $1=0; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 114: 
      var $551=$jp; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $552=$2; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $553=$op; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $554=__ZL6PopStrP11SprintStack4JSOp($552, $553); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $555=_js_printf($551, ((STRING_TABLE.__str442717)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$554,tempInt)); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 115; break; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 115: 
      var $557=$jp; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $558=_js_puts($557, ((STRING_TABLE.__str452718)|0)); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $559=$next; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $560=$cond; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $561=(($559)|0)!=(($560)|0); //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($561) { __label__ = 116; break; } else { __label__ = 126; break; } //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 116: 
      var $563=$2; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $564=(($563+28)|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $565=HEAP32[(($564)>>2)]; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $saveTop=$565; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $566=$2; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $567=$3; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $568=$next; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $569=(($567+$568)|0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $570=$cond; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $571=$next; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $572=(($570-$571)|0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $573=(($572-1)|0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $574=__ZL9DecompileP11SprintStackPhi4JSOp($566, $569, $573, 0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $575=(($574)|0)!=0; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($575) { __label__ = 118; break; } else { __label__ = 117; break; } //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 117: 
      $1=0; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 118: 
      __label__ = 119; break; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 119: 
      var $579=$2; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $580=(($579+28)|0); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $581=HEAP32[(($580)>>2)]; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $582=$saveTop; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $583=(($581-$582)|0); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $584=(($583)>>>0) <= 1; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($584) { __label__ = 121; break; } else { __label__ = 120; break; } //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 120: 
      $1=0; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 121: 
      __label__ = 122; break; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 122: 
      var $588=$2; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $589=(($588+28)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $590=HEAP32[(($589)>>2)]; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $591=$saveTop; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $592=(($590)|0)==(($591)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($592) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 123: 
      var $594=$2; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $595=(($594)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $596=(($595+8)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $597=HEAP32[(($596)>>2)]; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $598=$2; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $599=(($598)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $600=(($599+16)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $601=HEAP32[(($600)>>2)]; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $602=(($597+$601)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $608 = $602;__label__ = 125; break; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 124: 
      var $604=$2; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $605=$op; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $606=__ZL6PopStrP11SprintStack4JSOp($604, $605); //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $608 = $606;__label__ = 125; break; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 125: 
      var $608; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$608; //@line 2337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $609=$jp; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $610=$rval; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $611=_js_printf($609, ((STRING_TABLE.__str442717)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$610,tempInt)); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 126; break; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 126: 
      var $613=$jp; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $614=_js_printf($613, ((STRING_TABLE.__str312704)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $615=$jp; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $616=(($615+48)|0); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $617=HEAP32[(($616)>>2)]; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $618=(($617+4)|0); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($616)>>2)]=$618; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $619=$pc2; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $620=$3; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $621=$619; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $622=$620; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $623=(($621-$622)|0); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $624=$next; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $625=(($624-$623)|0); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $next=$625; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $626=$2; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $627=$pc2; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $628=$next; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $629=__ZL9DecompileP11SprintStackPhi4JSOp($626, $627, $628, 0); //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $630=(($629)|0)!=0; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($630) { __label__ = 128; break; } else { __label__ = 127; break; } //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 127: 
      $1=0; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 128: 
      var $633=$jp; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $634=(($633+48)|0); //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $635=HEAP32[(($634)>>2)]; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $636=(($635-4)|0); //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($634)>>2)]=$636; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $637=$jp; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $638=_js_printf($637, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $639=$tail; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $640=$tail; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $641=$3; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $642=(($641+$640)|0); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $643=HEAPU8[($642)]; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $644=(($643)&255); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $645=((_js_CodeSpec+($644<<3))|0); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $646=(($645)|0); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $647=HEAP8[($646)]; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $648=(($647 << 24) >> 24); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $649=(($639+$648)|0); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$649; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 161; break; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 129: 
      __label__ = 130; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 130: 
      var $652=$sn; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $653=_js_GetSrcNoteOffset($652, 0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atomIndex_=$653; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 131; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 131: 
      var $655=$atomIndex_; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $656=$jp; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $657=(($656+56)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $658=HEAP32[(($657)>>2)]; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $659=(($658+40)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $660=HEAPU32[(($659)>>2)]; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $661=(($655)>>>0) < (($660)>>>0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($661) { __label__ = 133; break; } else { __label__ = 132; break; } //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 132: 
      $1=0; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 133: 
      __label__ = 134; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 134: 
      var $665=$atomIndex_; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $666=$jp; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $667=(($666+56)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $668=HEAP32[(($667)>>2)]; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $669=(($668+56)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $670=HEAP32[(($669)>>2)]; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $671=(($670+($665<<2))|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $672=HEAP32[(($671)>>2)]; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$672; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 135; break; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 135: 
      var $674=$jp; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $675=(($674+48)|0); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $676=HEAP32[(($675)>>2)]; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $677=(($676-4)|0); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($675)>>2)]=$677; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $678=$2; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $679=(($678)|0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $680=$atom; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $681=$680; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $682=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($679, $681, 0); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$682; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $683=$rval; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $684=(($683)|0)!=0; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($684) { __label__ = 137; break; } else { __label__ = 136; break; } //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 136: 
      $1=0; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 137: 
      var $687=$rval; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $688=$2; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $689=(($688)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $690=(($689+8)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $691=HEAP32[(($690)>>2)]; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $692=$687; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $693=$691; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $694=(($692-$693)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $695=$2; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $696=(($695)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $697=(($696+16)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($697)>>2)]=$694; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $698=$jp; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $699=$rval; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $700=_js_printf($698, ((STRING_TABLE.__str472720)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$699,tempInt)); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $701=$jp; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $702=(($701+48)|0); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $703=HEAP32[(($702)>>2)]; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $704=(($703+4)|0); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($702)>>2)]=$704; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 161; break; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 138: 
      __label__ = 139; break; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 139: 
      var $707=$sn; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $708=_js_GetSrcNoteOffset($707, 0); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atomIndex_1=$708; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 140; break; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 140: 
      var $710=$atomIndex_1; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $711=$jp; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $712=(($711+56)|0); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $713=HEAP32[(($712)>>2)]; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $714=(($713+40)|0); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $715=HEAPU32[(($714)>>2)]; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $716=(($710)>>>0) < (($715)>>>0); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($716) { __label__ = 142; break; } else { __label__ = 141; break; } //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 141: 
      $1=0; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 142: 
      __label__ = 143; break; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 143: 
      var $720=$atomIndex_1; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $721=$jp; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $722=(($721+56)|0); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $723=HEAP32[(($722)>>2)]; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $724=(($723+56)|0); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $725=HEAP32[(($724)>>2)]; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $726=(($725+($720<<2))|0); //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $727=HEAP32[(($726)>>2)]; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$727; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 144; break; //@line 2365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 144: 
      var $729=$2; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $730=(($729)|0); //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $731=$atom; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $732=$731; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $733=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($730, $732, 0); //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$733; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $734=$rval; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $735=(($734)|0)!=0; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($735) { __label__ = 146; break; } else { __label__ = 145; break; } //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 145: 
      $1=0; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 146: 
      var $738=$rval; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $739=$2; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $740=(($739)|0); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $741=(($740+8)|0); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $742=HEAP32[(($741)>>2)]; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $743=$738; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $744=$742; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $745=(($743-$744)|0); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $746=$2; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $747=(($746)|0); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $748=(($747+16)|0); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($748)>>2)]=$745; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $749=$jp; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $750=$rval; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $751=_js_printf($749, ((STRING_TABLE.__str482721)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$750,tempInt)); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $752=$jp; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $753=(($752+48)|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $754=HEAP32[(($753)>>2)]; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $755=(($754+4)|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($753)>>2)]=$755; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 161; break; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 147: 
      var $757=$jp; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $758=(($757+48)|0); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $759=HEAP32[(($758)>>2)]; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $760=(($759-4)|0); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($758)>>2)]=$760; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $761=$jp; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $762=_js_printf($761, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 161; break; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 148: 
      var $764=$jp; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $765=(($764+56)|0); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $766=HEAP32[(($765)>>2)]; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $767=$sn; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $768=_js_GetSrcNoteOffset($767, 0); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $769=__ZN8JSScript11getFunctionEj($766, $768); //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fun=$769; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 149; break; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 149: 
      var $771=$jp; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $772=_js_puts($771, ((STRING_TABLE.__str492722)|0)); //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $773=$cx; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $774=$fun; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $775=$jp; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $776=(($775+48)|0); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $777=HEAP32[(($776)>>2)]; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $778=$jp; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $779=(($778+52)|0); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $780=HEAP8[($779)]; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $781=(($780) & 1); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $782=(($781)&1); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $783=$jp; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $784=(($783+53)|0); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $785=HEAP8[($784)]; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $786=(($785) & 1); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $787=(($786)&1); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $788=$jp; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $789=(($788+54)|0); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $790=HEAP8[($789)]; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $791=(($790) & 1); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $792=(($791)&1); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $793=_js_NewPrinter($773, ((STRING_TABLE.__str502723)|0), $774, $777, $782, $787, $792); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jp2=$793; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $794=$jp2; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $795=(($794)|0)!=0; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($795) { __label__ = 151; break; } else { __label__ = 150; break; } //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 150: 
      $1=0; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 151: 
      var $798=$jp2; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $799=_js_DecompileFunction($798); //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$799; //@line 2388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $800=$ok; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $801=(($800)|0)!=0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($801) { __label__ = 152; break; } else { __label__ = 154; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 152: 
      var $803=$jp2; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $804=(($803)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $805=(($804+8)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $806=HEAP32[(($805)>>2)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $807=(($806)|0)!=0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($807) { __label__ = 153; break; } else { __label__ = 154; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 153: 
      var $809=$jp; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $810=$jp2; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $811=(($810)|0); //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $812=(($811+8)|0); //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $813=HEAP32[(($812)>>2)]; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $814=_js_puts($809, $813); //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 154; break; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 154: 
      var $816=$jp2; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _js_DestroyPrinter($816); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $817=$ok; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $818=(($817)|0)!=0; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($818) { __label__ = 156; break; } else { __label__ = 155; break; } //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 155: 
      $1=0; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 156: 
      var $821=$jp; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $822=_js_puts($821, ((STRING_TABLE.__str512724)|0)); //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 161; break; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 157: 
      var $824=$jp; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $825=_js_printf($824, ((STRING_TABLE.__str522725)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $826=$jp; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $827=(($826+48)|0); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $828=HEAP32[(($827)>>2)]; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $829=(($828+4)|0); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($827)>>2)]=$829; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $830=$sn; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $831=_js_GetSrcNoteOffset($830, 0); //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$831; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $832=$2; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $833=$3; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $834=$oplen; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $835=(($833+$834)|0); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $836=$len; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $837=$oplen; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $838=(($836-$837)|0); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $839=__ZL9DecompileP11SprintStackPhi4JSOp($832, $835, $838, 0); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $840=(($839)|0)!=0; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($840) { __label__ = 159; break; } else { __label__ = 158; break; } //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 158: 
      $1=0; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 159: 
      var $843=$jp; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $844=(($843+48)|0); //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $845=HEAP32[(($844)>>2)]; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $846=(($845-4)|0); //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($844)>>2)]=$846; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $847=$jp; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $848=_js_printf($847, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 161; break; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 160: 
      __label__ = 161; break; //@line 2407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 161: 
      __label__ = 1569; break; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 162: 
      var $852=$cx; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $853=$jp; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $854=(($853+56)|0); //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $855=HEAP32[(($854)>>2)]; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $856=$3; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $857=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($852, $855, $856); //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$857; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $858=$sn; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $859=(($858)|0)!=0; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($859) { __label__ = 163; break; } else { __label__ = 174; break; } //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 163: 
      var $861=$sn; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $862=HEAPU8[($861)]; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $863=(($862)&255); //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $864=$863 >> 3; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $865=(($864)|0) >= 24; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($865) { __label__ = 164; break; } else { __label__ = 165; break; } //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 164: 
      var $873 = 24;__label__ = 166; break; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 165: 
      var $868=$sn; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $869=HEAPU8[($868)]; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $870=(($869)&255); //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $871=$870 >> 3; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $873 = $871;__label__ = 166; break; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 166: 
      var $873; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $874=(($873)|0)==7; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($874) { __label__ = 167; break; } else { __label__ = 174; break; } //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 167: 
      var $876=$2; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $877=$3; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $878=$endpc; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $879=$sn; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $880=__ZL24DecompileGroupAssignmentP11SprintStackPhS1_S1_Pi($876, $877, $878, $879, $todo); //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$880; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $881=$3; //@line 2415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $882=(($881)|0)!=0; //@line 2415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($882) { __label__ = 169; break; } else { __label__ = 168; break; } //@line 2415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 168: 
      $1=0; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 169: 
      __label__ = 170; break; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 170: 
      var $886=$3; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $887=HEAPU8[($886)]; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $888=(($887)&255); //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $889=(($888)|0)==11; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($889) { __label__ = 172; break; } else { __label__ = 171; break; } //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 171: 
      $1=0; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 172: 
      __label__ = 173; break; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 173: 
      $oplen=3; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=3; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 228; break; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 174: 
      __label__ = 175; break; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 175: 
      var $895=$2; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $896=(($895)|0); //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $897=__ZN2js6SprintEPNS_8SprinterEPKcz($896, ((__str272700)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$897; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 176: 
      var $899=$jp; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $900=_js_printf($899, ((STRING_TABLE.__str532726)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $901=$jp; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $902=(($901+48)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $903=HEAP32[(($902)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $904=(($903+4)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($902)>>2)]=$904; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 177: 
      var $906=$jp; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $907=(($906+48)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $908=HEAP32[(($907)>>2)]; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $909=(($908-4)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($907)>>2)]=$909; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $910=$jp; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $911=_js_printf($910, ((STRING_TABLE.__str542727)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $912=$jp; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $913=(($912+48)|0); //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $914=HEAP32[(($913)>>2)]; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $915=(($914+4)|0); //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($913)>>2)]=$915; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $916=$2; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $917=(($916)|0); //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $918=__ZN2js6SprintEPNS_8SprinterEPKcz($917, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16exception_cookie)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$918; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $919=HEAP32[(($todo)>>2)]; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $920=(($919)|0) < 0; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($920) { __label__ = 179; break; } else { __label__ = 178; break; } //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 178: 
      var $922=$2; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $923=HEAP32[(($todo)>>2)]; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $924=$op; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $925=__ZL7PushOffP11SprintStacki4JSOp($922, $923, $924); //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $926=(($925)|0)!=0; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($926) { __label__ = 180; break; } else { __label__ = 179; break; } //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 179: 
      $1=0; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 180: 
      var $929=$2; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $930=(($929)|0); //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $931=__ZN2js6SprintEPNS_8SprinterEPKcz($930, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16retsub_pc_cookie)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$931; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 181: 
      var $933=$2; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $934=$op; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $935=__ZL6PopStrP11SprintStack4JSOp($933, $934); //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$935; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 182; break; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 182: 
      var $937=$rval; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $938=_strcmp($937, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16retsub_pc_cookie)|0)); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $939=(($938)|0)==0; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($939) { __label__ = 184; break; } else { __label__ = 183; break; } //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 183: 
      $1=0; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 184: 
      __label__ = 185; break; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 185: 
      var $943=$2; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $944=$op; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $945=__ZL6PopStrP11SprintStack4JSOp($943, $944); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$945; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 186; break; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 186: 
      var $947=$lval; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $948=_strcmp($947, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16exception_cookie)|0)); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $949=(($948)|0)==0; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($949) { __label__ = 188; break; } else { __label__ = 187; break; } //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 187: 
      $1=0; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 188: 
      __label__ = 189; break; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 189: 
      HEAP32[(($todo)>>2)]=-2; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 190: 
      HEAP32[(($todo)>>2)]=-2; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 191: 
      var $955=$2; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $956=(($955+28)|0); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $957=HEAP32[(($956)>>2)]; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oldtop=$957; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $958=$oldtop; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $959=$3; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $960=(($959+1)|0); //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $961=HEAPU8[($960)]; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $962=(($961)&255); //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $963=$962 << 8; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $964=$3; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $965=(($964+2)|0); //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $966=HEAPU8[($965)]; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $967=(($966)&255); //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $968=$963 | $967; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $969=(($958-$968)|0); //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $newtop=$969; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 192; break; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 192: 
      var $971=$newtop; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $972=$oldtop; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $973=(($971)>>>0) <= (($972)>>>0); //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($973) { __label__ = 194; break; } else { __label__ = 193; break; } //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 193: 
      $1=0; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 194: 
      __label__ = 195; break; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 195: 
      HEAP32[(($todo)>>2)]=-2; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $977=$cx; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $978=$jp; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $979=(($978+56)|0); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $980=HEAP32[(($979)>>2)]; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $981=$3; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $982=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($977, $980, $981); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$982; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $983=$sn; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $984=(($983)|0)!=0; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($984) { __label__ = 196; break; } else { __label__ = 201; break; } //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 196: 
      var $986=$sn; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $987=HEAPU8[($986)]; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $988=(($987)&255); //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $989=$988 >> 3; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $990=(($989)|0) >= 24; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($990) { __label__ = 197; break; } else { __label__ = 198; break; } //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 197: 
      var $998 = 24;__label__ = 199; break; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 198: 
      var $993=$sn; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $994=HEAPU8[($993)]; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $995=(($994)&255); //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $996=$995 >> 3; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $998 = $996;__label__ = 199; break; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 199: 
      var $998; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $999=(($998)|0)==11; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($999) { __label__ = 200; break; } else { __label__ = 201; break; } //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 200: 
      __label__ = 1569; break; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 201: 
      var $1002=$sn; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1003=(($1002)|0)!=0; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1003) { __label__ = 202; break; } else { __label__ = 268; break; } //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 202: 
      var $1005=$sn; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1006=HEAPU8[($1005)]; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1007=(($1006)&255); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1008=$1007 >> 3; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1009=(($1008)|0) >= 24; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1009) { __label__ = 203; break; } else { __label__ = 204; break; } //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 203: 
      var $1017 = 24;__label__ = 205; break; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 204: 
      var $1012=$sn; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1013=HEAPU8[($1012)]; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1014=(($1013)&255); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1015=$1014 >> 3; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1017 = $1015;__label__ = 205; break; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 205: 
      var $1017; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1018=(($1017)|0)==7; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1018) { __label__ = 206; break; } else { __label__ = 268; break; } //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 206: 
      var $1020=$2; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1021=(($1020)|0); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1022=$sn; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1023=__ZL9VarPrefixPh($1022); //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1024=__ZN2js6SprintEPNS_8SprinterEPKcz($1021, ((STRING_TABLE.__str552728)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1023,tempInt)); //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$1024; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1025=HEAP32[(($todo)>>2)]; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1026=(($1025)|0) < 0; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1026) { __label__ = 207; break; } else { __label__ = 208; break; } //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 207: 
      $1=0; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 208: 
      var $1029=$newtop; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i2=$1029; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 209; break; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 209: 
      var $1031=$i2; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1032=$oldtop; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1033=(($1031)>>>0) < (($1032)>>>0); //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1033) { __label__ = 210; break; } else { __label__ = 218; break; } //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 210: 
      var $1035=$2; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1036=(($1035)|0); //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1037=(($1036+8)|0); //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1038=HEAP32[(($1037)>>2)]; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1039=$i2; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1040=$2; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1041=(($1040+20)|0); //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1042=HEAP32[(($1041)>>2)]; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1043=(($1042+($1039<<2))|0); //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1044=HEAP32[(($1043)>>2)]; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1045=(($1038+$1044)|0); //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1045; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1046=$2; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1047=(($1046)|0); //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1048=$i2; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1049=$newtop; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1050=(($1048)|0)==(($1049)|0); //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1051=$1050 ? (((__str272700)|0)) : (((STRING_TABLE.__str332706)|0)); //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1052=$i2; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1053=$oldtop; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1054=(($1053-1)|0); //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1055=(($1052)|0)==(($1054)|0); //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1055) { __label__ = 211; break; } else { __label__ = 213; break; } //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 211: 
      var $1057=$rval; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1058=HEAP8[($1057)]; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1059=(($1058 << 24) >> 24); //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1060=(($1059)|0)==0; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1060) { __label__ = 212; break; } else { __label__ = 213; break; } //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 212: 
      var $1065 = ((STRING_TABLE.__str332706)|0);__label__ = 214; break; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 213: 
      var $1063=$rval; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1065 = $1063;__label__ = 214; break; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 214: 
      var $1065; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1066=__ZN2js6SprintEPNS_8SprinterEPKcz($1047, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1051,HEAP32[((tempInt+4)>>2)]=$1065,tempInt)); //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1067=(($1066)|0) < 0; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1067) { __label__ = 215; break; } else { __label__ = 216; break; } //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 215: 
      $1=0; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 216: 
      __label__ = 217; break; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 217: 
      var $1071=$i2; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1072=(($1071+1)|0); //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i2=$1072; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 209; break; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 218: 
      var $1074=$2; //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1075=(($1074)|0); //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1076=__ZN2js9SprintPutEPNS_8SprinterEPKcj($1075, ((STRING_TABLE.__str562729)|0), 1); //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1077=(($1076)|0) < 0; //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1077) { __label__ = 219; break; } else { __label__ = 220; break; } //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 219: 
      $1=0; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 220: 
      var $1080=$newtop; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1081=$oldtop; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1082=(($1080)|0)==(($1081)|0); //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1082) { __label__ = 221; break; } else { __label__ = 222; break; } //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 221: 
      var $1084=HEAP32[(($todo)>>2)]; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1085=$2; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1086=(($1085)|0); //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1087=(($1086+16)|0); //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1087)>>2)]=$1084; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 227; break; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 222: 
      __label__ = 223; break; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 223: 
      var $1090=$newtop; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1091=$oldtop; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1092=(($1090)>>>0) < (($1091)>>>0); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1092) { __label__ = 225; break; } else { __label__ = 224; break; } //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 224: 
      $1=0; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 225: 
      __label__ = 226; break; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 226: 
      var $1096=$2; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1097=$newtop; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1098=__ZL6GetOffP11SprintStackj($1096, $1097); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1099=$2; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1100=(($1099)|0); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1101=(($1100+16)|0); //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1101)>>2)]=$1098; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1102=$newtop; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1103=$2; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1104=(($1103+28)|0); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1104)>>2)]=$1102; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 227; break;
    case 227: 
      __label__ = 228; break;
    case 228: 
      __label__ = 229; break; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 229: 
      var $1108=$3; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1109=HEAPU8[($1108)]; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1110=(($1109)&255); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1111=(($1110)|0)==11; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1111) { __label__ = 231; break; } else { __label__ = 230; break; } //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 230: 
      $1=0; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 231: 
      __label__ = 232; break; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 232: 
      var $1115=$2; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1116=(($1115)|0); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1117=(($1116+8)|0); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1118=HEAP32[(($1117)>>2)]; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1119=HEAP32[(($todo)>>2)]; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1120=(($1118+$1119)|0); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1120; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1121=$3; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1122=$oplen; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1123=(($1121+$1122)|0); //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$1123; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1124=$pc2; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1125=HEAPU8[($1124)]; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1126=(($1125)&255); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1127=(($1126)|0)==0; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1127) { __label__ = 233; break; } else { __label__ = 239; break; } //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 233: 
      var $1129=$pc2; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1130=(($1129+1)|0); //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1131=HEAPU8[($1130)]; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1132=(($1131)&255); //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1133=(($1132)|0)==189; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1133) { __label__ = 234; break; } else { __label__ = 235; break; } //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 234: 
      var $1135=$pc2; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1136=(($1135+2)|0); //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$1136; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 238; break; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 235: 
      var $1138=$pc2; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1139=(($1138+1)|0); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1140=HEAPU8[($1139)]; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1141=(($1140)&255); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1142=(($1141)|0)==188; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1142) { __label__ = 236; break; } else { __label__ = 237; break; } //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 236: 
      var $1144=$pc2; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1145=(($1144+4)|0); //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$1145; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 237; break; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 237: 
      __label__ = 238; break;
    case 238: 
      __label__ = 239; break; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 239: 
      var $1149=$pc2; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1150=HEAPU8[($1149)]; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1151=(($1150)&255); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1152=(($1151)|0)==0; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1152) { __label__ = 240; break; } else { __label__ = 265; break; } //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 240: 
      var $1154=$cx; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1155=$jp; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1156=(($1155+56)|0); //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1157=HEAP32[(($1156)>>2)]; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1158=$pc2; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1159=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($1154, $1157, $1158); //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$1159; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1160=$sn; //@line 2553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1161=(($1160)|0)!=0; //@line 2553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1161) { __label__ = 241; break; } else { __label__ = 261; break; } //@line 2553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 241: 
      var $1163=$sn; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1164=HEAPU8[($1163)]; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1165=(($1164)&255); //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1166=$1165 >> 3; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1167=(($1166)|0) >= 24; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1167) { __label__ = 242; break; } else { __label__ = 243; break; } //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 242: 
      var $1175 = 24;__label__ = 244; break; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 243: 
      var $1170=$sn; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1171=HEAPU8[($1170)]; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1172=(($1171)&255); //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1173=$1172 >> 3; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1175 = $1173;__label__ = 244; break; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 244: 
      var $1175; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1176=(($1175)|0)==3; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1176) { __label__ = 245; break; } else { __label__ = 246; break; } //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 245: 
      $op=0; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1178=$pc2; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1178; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 100; break; //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 246: 
      var $1180=$sn; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1181=HEAPU8[($1180)]; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1182=(($1181)&255); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1183=$1182 >> 3; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1184=(($1183)|0) >= 24; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1184) { __label__ = 247; break; } else { __label__ = 248; break; } //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 247: 
      var $1192 = 24;__label__ = 249; break; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 248: 
      var $1187=$sn; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1188=HEAPU8[($1187)]; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1189=(($1188)&255); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1190=$1189 >> 3; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1192 = $1190;__label__ = 249; break; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 249: 
      var $1192; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1193=(($1192)|0)==6; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1193) { __label__ = 250; break; } else { __label__ = 260; break; } //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 250: 
      var $1195=$2; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1196=(($1195+28)|0); //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1197=HEAP32[(($1196)>>2)]; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1198=$jp; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1199=(($1198+56)|0); //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1200=HEAP32[(($1199)>>2)]; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1201=__ZL10StackDepthP8JSScript($1200); //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1202=(($1197)|0)==(($1201)|0); //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1202) { __label__ = 251; break; } else { __label__ = 256; break; } //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 251: 
      var $1204=$pc2; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1205=(($1204+1)|0); //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1205; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1206=$sn; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1207=_js_GetSrcNoteOffset($1206, 0); //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$1207; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 252; break; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 252: 
      var $1209=$len; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1210=$3; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1211=(($1210+$1209)|0); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1212=HEAPU8[($1211)]; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1213=(($1212)&255); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1214=(($1213)|0)==202; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1214) { __label__ = 254; break; } else { __label__ = 253; break; } //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 253: 
      $1=0; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 254: 
      __label__ = 255; break; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 255: 
      var $1218=$jp; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1219=$rval; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1220=_js_printf($1218, ((STRING_TABLE.__str572730)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1219,tempInt)); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1221=$jp; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1222=_js_printf($1221, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 256: 
      var $1224=$2; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1225=(($1224)|0); //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1226=$rval; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1227=__ZN2js13SprintCStringEPNS_8SprinterEPKc($1225, $1226); //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$1227; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1228=HEAP32[(($todo)>>2)]; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1229=(($1228)|0) < 0; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1229) { __label__ = 258; break; } else { __label__ = 257; break; } //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 257: 
      var $1231=$2; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1232=HEAP32[(($todo)>>2)]; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1233=__ZL7PushOffP11SprintStacki4JSOp($1231, $1232, 0); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1234=(($1233)|0)!=0; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1234) { __label__ = 259; break; } else { __label__ = 258; break; } //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 258: 
      $1=0; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 259: 
      $op=81; //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1237=$pc2; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1238=(($1237+1)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1238; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 291; break; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 260: 
      __label__ = 264; break; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 261: 
      var $1241=$3; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1242=(($1241+1)|0); //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1243=HEAPU8[($1242)]; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1244=(($1243)&255); //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1245=$1244 << 8; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1246=$3; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1247=(($1246+2)|0); //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1248=HEAPU8[($1247)]; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1249=(($1248)&255); //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1250=$1245 | $1249; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1251=(($1250)|0)==0; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1251) { __label__ = 262; break; } else { __label__ = 263; break; } //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 262: 
      __label__ = 1569; break; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 263: 
      var $1254=$2; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1255=(($1254)|0); //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1256=$rval; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1257=__ZN2js13SprintCStringEPNS_8SprinterEPKc($1255, $1256); //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$1257; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($saveop)>>2)]=0; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 264; break;
    case 264: 
      __label__ = 265; break; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 265: 
      var $1260=HEAP32[(($todo)>>2)]; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1261=(($1260)|0)==-2; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1261) { __label__ = 266; break; } else { __label__ = 267; break; } //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 266: 
      var $1263=$jp; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1264=$rval; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1265=_js_printf($1263, ((STRING_TABLE.__str582731)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1264,tempInt)); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 267; break; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 267: 
      __label__ = 1569; break; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 268: 
      var $1268=$newtop; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1269=$oldtop; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1270=(($1268)>>>0) < (($1269)>>>0); //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1270) { __label__ = 269; break; } else { __label__ = 270; break; } //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 269: 
      var $1272=$2; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1273=$newtop; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1274=__ZL6GetOffP11SprintStackj($1272, $1273); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1275=$2; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1276=(($1275)|0); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1277=(($1276+16)|0); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1277)>>2)]=$1274; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1278=$newtop; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1279=$2; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1280=(($1279+28)|0); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1280)>>2)]=$1278; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 270; break; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 270: 
      __label__ = 1569; break; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 271: 
      __label__ = 272; break; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 272: 
      $1=0; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 273: 
      $op=2; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 274; break; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 274: 
      var $1287=$cx; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1288=$jp; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1289=(($1288+56)|0); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1290=HEAP32[(($1289)>>2)]; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1291=$3; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1292=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($1287, $1290, $1291); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$1292; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1293=$sn; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1294=(($1293)|0)!=0; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1294) { __label__ = 275; break; } else { __label__ = 279; break; } //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 275: 
      var $1296=$sn; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1297=HEAPU8[($1296)]; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1298=(($1297)&255); //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1299=$1298 >> 3; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1300=(($1299)|0) >= 24; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1300) { __label__ = 276; break; } else { __label__ = 277; break; } //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 276: 
      var $1308 = 24;__label__ = 278; break; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 277: 
      var $1303=$sn; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1304=HEAPU8[($1303)]; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1305=(($1304)&255); //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1306=$1305 >> 3; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1308 = $1306;__label__ = 278; break; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 278: 
      var $1308; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1311 = $1308;__label__ = 280; break; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 279: 
      var $1311 = 0;__label__ = 280; break; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 280: 
      var $1311; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($1311)|0) == 3) {
        __label__ = 281; break;
      }
      else if ((($1311)|0) == 7) {
        __label__ = 284; break;
      }
      else if ((($1311)|0) == 11) {
        __label__ = 289; break;
      }
      else if ((($1311)|0) == 6) {
        __label__ = 290; break;
      }
      else {
      __label__ = 305; break;
      }
      
    case 281: 
      var $1313=$2; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1314=(($1313+28)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1315=HEAP32[(($1314)>>2)]; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1316=(($1315-1)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1317=$2; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1318=(($1317+24)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1319=HEAP32[(($1318)>>2)]; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1320=(($1319+$1316)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1321=HEAPU8[($1320)]; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1322=(($1321)&255); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1323=(($1322)|0)==113; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1323) { __label__ = 282; break; } else { __label__ = 283; break; } //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 282: 
      $op=24; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 283; break; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 283: 
      var $1326=$2; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1327=$op; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1328=__ZL6PopStrP11SprintStack4JSOp($1326, $1327); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1328; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 100; break; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 284: 
      $op=81; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1330=$cx; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1331=$2; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1332=$op; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1333=__ZL6PopStrP11SprintStack4JSOp($1331, $1332); //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1334=_JS_strdup($1330, $1333); //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$1334; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1335=$lval; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1336=(($1335)|0)!=0; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1336) { __label__ = 286; break; } else { __label__ = 285; break; } //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 285: 
      $1=0; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 286: 
      var $1339=$3; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1340=$len; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1341=(($1339+$1340)|0); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $done=$1341; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1342=$sn; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1343=_js_GetSrcNoteOffset($1342, 0); //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1344=$3; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1345=(($1344+$1343)|0); //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1345; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=0; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1346=$2; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1347=$done; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1348=$3; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1349=$done; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1350=$1348; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1351=$1349; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1352=(($1350-$1351)|0); //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1353=__ZL9DecompileP11SprintStackPhi4JSOp($1346, $1347, $1352, 81); //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1354=(($1353)|0)!=0; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1354) { __label__ = 288; break; } else { __label__ = 287; break; } //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 287: 
      var $1356=$cx; //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1357=$lval; //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($1356, $1357); //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 288: 
      var $1359=$2; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1360=$op; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1361=__ZL6PopStrP11SprintStack4JSOp($1359, $1360); //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1361; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1362=$2; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1363=(($1362)|0); //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1364=$lval; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1365=$rval; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1366=__ZN2js6SprintEPNS_8SprinterEPKcz($1363, ((STRING_TABLE.__str592732)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1364,HEAP32[((tempInt+4)>>2)]=$1365,tempInt)); //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$1366; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1367=$cx; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1368=$lval; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($1367, $1368); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 322; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 289: 
      HEAP32[(($todo)>>2)]=-2; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 322; break; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 290: 
      var $1371=$3; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1372=(($1371+1)|0); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1372; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 291; break; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 291: 
      var $1374=$sn; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1375=_js_GetSrcNoteOffset($1374, 0); //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$1375; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1376=$len; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1377=$3; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1378=(($1377+$1376)|0); //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1379=HEAPU8[($1378)]; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1380=(($1379)&255); //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1381=(($1380)|0)==202; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1381) { __label__ = 292; break; } else { __label__ = 295; break; } //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 292: 
      var $1383=$jp; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1384=$2; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1385=$op; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1386=__ZL6PopStrP11SprintStack4JSOp($1384, $1385); //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1387=_js_printf($1383, ((STRING_TABLE.__str572730)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1386,tempInt)); //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1388=$jp; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1389=(($1388+48)|0); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1390=HEAP32[(($1389)>>2)]; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1391=(($1390+4)|0); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1389)>>2)]=$1391; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1392=$2; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1393=$3; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1394=$len; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1395=__ZL9DecompileP11SprintStackPhi4JSOp($1392, $1393, $1394, 0); //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1396=(($1395)|0)!=0; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1396) { __label__ = 294; break; } else { __label__ = 293; break; } //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 293: 
      $1=0; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 294: 
      var $1399=$jp; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1400=(($1399+48)|0); //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1401=HEAP32[(($1400)>>2)]; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1402=(($1401-4)|0); //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1400)>>2)]=$1402; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1403=$jp; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1404=_js_printf($1403, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 304; break; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 295: 
      __label__ = 296; break; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 296: 
      var $1407=$len; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1408=$3; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1409=(($1408+$1407)|0); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1410=HEAPU8[($1409)]; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1411=(($1410)&255); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1412=(($1411)|0)==210; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1412) { __label__ = 298; break; } else { __label__ = 297; break; } //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 297: 
      $1=0; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 298: 
      __label__ = 299; break; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 299: 
      var $1416=$cx; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1417=$2; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1418=__ZL6PopStrP11SprintStack4JSOp($1417, 0); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1419=_JS_strdup($1416, $1418); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$1419; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1420=$lval; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1421=(($1420)|0)!=0; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1421) { __label__ = 301; break; } else { __label__ = 300; break; } //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 300: 
      $1=0; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 301: 
      HEAP32[(($saveop)>>2)]=210; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1424=$2; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1425=$3; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1426=$len; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1427=HEAP32[(($saveop)>>2)]; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1428=__ZL9DecompileP11SprintStackPhi4JSOp($1424, $1425, $1426, $1427); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1429=(($1428)|0)!=0; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1429) { __label__ = 303; break; } else { __label__ = 302; break; } //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 302: 
      var $1431=$cx; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1432=$lval; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($1431, $1432); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 303: 
      var $1434=$2; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1435=__ZL6PopStrP11SprintStack4JSOp($1434, 111); //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1435; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1436=$2; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1437=(($1436)|0); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1438=$rval; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1439=HEAP8[($1438)]; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1440=(($1439 << 24) >> 24); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1441=(($1440)|0)==123; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1442=$1441 ? (((STRING_TABLE.__str602733)|0)) : (((STRING_TABLE.__str612734)|0)); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1443=$lval; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1444=$rval; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1445=__ZN2js6SprintEPNS_8SprinterEPKcz($1437, $1442, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1443,HEAP32[((tempInt+4)>>2)]=$1444,tempInt)); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$1445; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1446=$cx; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1447=$lval; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($1446, $1447); //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 304; break;
    case 304: 
      __label__ = 322; break; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 305: 
      var $1450=$2; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1451=(($1450+28)|0); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1452=HEAP32[(($1451)>>2)]; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1453=(($1452-1)|0); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1454=$2; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1455=(($1454+24)|0); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1456=HEAP32[(($1455)>>2)]; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1457=(($1456+$1453)|0); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1458=HEAPU8[($1457)]; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1459=(($1458)&255); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1460=(($1459)|0)==206; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1460) { __label__ = 306; break; } else { __label__ = 307; break; } //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 306: 
      $op=0; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 307; break; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 307: 
      var $1463=$2; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1464=$op; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1465=__ZL6PopStrP11SprintStack4JSOp($1463, $1464); //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1465; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1466=$rval; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1467=HEAP8[($1466)]; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1468=(($1467 << 24) >> 24); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1469=(($1468)|0)!=0; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1469) { __label__ = 308; break; } else { __label__ = 315; break; } //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 308: 
      var $1471=$rval; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1472=(($1471)|0); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1473=HEAP8[($1472)]; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1474=(($1473 << 24) >> 24); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1475=(($1474)|0)!=47; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1475) { __label__ = 310; break; } else { __label__ = 309; break; } //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 309: 
      var $1477=$rval; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1478=(($1477+1)|0); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1479=HEAP8[($1478)]; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1480=(($1479 << 24) >> 24); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1481=(($1480)|0)!=42; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1481) { __label__ = 310; break; } else { __label__ = 315; break; } //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 310: 
      var $1483=$jp; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1484=$rval; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1485=HEAP8[($1484)]; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1486=(($1485 << 24) >> 24); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1487=(($1486)|0)==123; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1487) { var $1501 = 1;__label__ = 314; break; } else { __label__ = 311; break; } //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 311: 
      var $1489=$rval; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1490=_strncmp($1489, ((STRING_TABLE._js_function_str)|0), 8); //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1491=(($1490)|0)==0; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1491) { __label__ = 312; break; } else { var $1499 = 0;__label__ = 313; break; } //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 312: 
      var $1493=$rval; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1494=(($1493+8)|0); //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1495=HEAP8[($1494)]; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1496=(($1495 << 24) >> 24); //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1497=(($1496)|0)==32; //@line 2725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1499 = $1497;__label__ = 313; break;
    case 313: 
      var $1499;
      var $1501 = $1499;__label__ = 314; break;
    case 314: 
      var $1501;
      var $1502=$1501 ? (((STRING_TABLE.__str622735)|0)) : (((STRING_TABLE.__str582731)|0));
      var $1503=$rval;
      var $1504=_js_printf($1483, $1502, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1503,tempInt));
      __label__ = 321; break; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 315: 
      __label__ = 316; break; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 316: 
      var $1507=$rval; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1508=HEAP8[($1507)]; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1509=(($1508 << 24) >> 24); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1510=(($1509)|0)==0; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1510) { __label__ = 319; break; } else { __label__ = 317; break; } //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 317: 
      var $1512=$rval; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1513=_strcmp($1512, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16exception_cookie)|0)); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1514=(($1513)|0)==0; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1514) { __label__ = 319; break; } else { __label__ = 318; break; } //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 318: 
      $1=0; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 319: 
      __label__ = 320; break; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 320: 
      __label__ = 321; break;
    case 321: 
      HEAP32[(($todo)>>2)]=-2; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 322; break; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 322: 
      $sn=0; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 323: 
      __label__ = 324; break; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 324: 
      var $1522=$cx; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1523=$jp; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1524=(($1523+56)|0); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1525=HEAP32[(($1524)>>2)]; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1526=$3; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1527=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($1522, $1525, $1526); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1528=(($1527)|0)!=0; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1528) { __label__ = 325; break; } else { __label__ = 326; break; } //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 325: 
      $1=0; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 326: 
      __label__ = 327; break; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 327: 
      var $1532=$2; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1533=$op; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1534=__ZL6PopStrP11SprintStack4JSOp($1532, $1533); //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1534; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1535=$jp; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1536=$rval; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1537=_js_printf($1535, ((STRING_TABLE.__str632736)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1536,tempInt)); //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1538=$jp; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1539=(($1538+48)|0); //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1540=HEAP32[(($1539)>>2)]; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1541=(($1540+4)|0); //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1539)>>2)]=$1541; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1542=$2; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1543=(($1542)|0); //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1544=__ZN2js6SprintEPNS_8SprinterEPKcz($1543, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE11with_cookie)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$1544; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 328: 
      var $1546=$cx; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1547=$jp; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1548=(($1547+56)|0); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1549=HEAP32[(($1548)>>2)]; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1550=$3; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1551=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($1546, $1549, $1550); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$1551; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1552=$sn; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1553=(($1552)|0)!=0; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1553) { __label__ = 329; break; } else { __label__ = 334; break; } //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 329: 
      var $1555=$sn; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1556=HEAPU8[($1555)]; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1557=(($1556)&255); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1558=$1557 >> 3; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1559=(($1558)|0) >= 24; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1559) { __label__ = 330; break; } else { __label__ = 331; break; } //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 330: 
      var $1567 = 24;__label__ = 332; break; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 331: 
      var $1562=$sn; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1563=HEAPU8[($1562)]; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1564=(($1563)&255); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1565=$1564 >> 3; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1567 = $1565;__label__ = 332; break; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 332: 
      var $1567; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1568=(($1567)|0)==11; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1568) { __label__ = 333; break; } else { __label__ = 334; break; } //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 333: 
      __label__ = 1569; break; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 334: 
      var $1571=$2; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1572=$op; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1573=__ZL6PopStrP11SprintStack4JSOp($1571, $1572); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1573; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 335; break; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 335: 
      var $1575=$rval; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1576=_strcmp($1575, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE11with_cookie)|0)); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1577=(($1576)|0)==0; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1577) { __label__ = 337; break; } else { __label__ = 336; break; } //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 336: 
      $1=0; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 337: 
      __label__ = 338; break; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 338: 
      var $1581=$jp; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1582=(($1581+48)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1583=HEAP32[(($1582)>>2)]; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1584=(($1583-4)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1582)>>2)]=$1584; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1585=$jp; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1586=_js_printf($1585, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 339: 
      __label__ = 340; break; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 340: 
      var $1589=$cx; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1590=$jp; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1591=(($1590+56)|0); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1592=HEAP32[(($1591)>>2)]; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1593=$3; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1594=_js_GetIndexFromBytecode($1589, $1592, $1593, 0); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_=$1594; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1595=$jp; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1596=(($1595+56)|0); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1597=HEAP32[(($1596)>>2)]; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1598=$index_; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1599=__ZN8JSScript9getObjectEj($1597, $1598); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $obj=$1599; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 341; break; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 341: 
      var $1601=$obj; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1602=__ZNK8JSObject13propertyCountEv($1601); //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $argc=$1602; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1603=$argc; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1604=(($1603)>>>0) <= 5; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1604) { __label__ = 342; break; } else { __label__ = 343; break; } //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 342: 
      var $1606=(($smallv)|0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atomv=$1606; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 346; break; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 343: 
      var $1608=$cx; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1609=$argc; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1610=((($1609<<2))|0); //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1611=__ZN9JSContext7malloc_Ej($1608, $1610); //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1612=$1611; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atomv=$1612; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1613=$atomv; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1614=(($1613)|0)!=0; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1614) { __label__ = 345; break; } else { __label__ = 344; break; } //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 344: 
      $1=0; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 345: 
      __label__ = 346; break;
    case 346: 
      var $1618=$obj; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1619=__ZNK8JSObject12lastPropertyEv($1618); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZNK2js5Shape3allEv($r, $1619); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 347; break; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 347: 
      var $1621=__ZNK2js5Shape5Range5emptyEv($r); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1622=$1621 ^ 1; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1622) { __label__ = 348; break; } else { __label__ = 356; break; } //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 348: 
      var $1624=__ZNK2js5Shape5Range5frontEv($r); //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $shape=$1624; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1625=$shape; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1626=__ZNK2js5Shape10hasShortIDEv($1625); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1626) { __label__ = 350; break; } else { __label__ = 349; break; } //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 349: 
      __label__ = 355; break; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 350: 
      __label__ = 351; break; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 351: 
      var $1630=$shape; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1631=(($1630+30)|0); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1632=HEAP16[(($1631)>>1)]; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1633=(($1632 << 16) >> 16); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1634=$argc; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1635=(($1633)|0) < (($1634)|0); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1635) { __label__ = 353; break; } else { __label__ = 352; break; } //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 352: 
      $ok=0; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 353: 
      __label__ = 354; break; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 354: 
      var $1639=$shape; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1640=(($1639+12)|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1641=HEAP32[(($1640)>>2)]; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1642=__ZL12JSID_TO_ATOMi2841($1641); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1643=$shape; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1644=(($1643+30)|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1645=HEAP16[(($1644)>>1)]; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1646=(($1645 << 16) >> 16); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1647=$atomv; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1648=(($1647+($1646<<2))|0); //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1648)>>2)]=$1642; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 355; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 355: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 347; break; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 356: 
      $ok=1; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=0; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 357; break; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 357: 
      var $1652=HEAP32[(($i)>>2)]; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1653=$argc; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1654=(($1652)|0) < (($1653)|0); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1654) { __label__ = 358; break; } else { __label__ = 363; break; } //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 358: 
      var $1656=HEAP32[(($i)>>2)]; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1657=$atomv; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1658=(($1657+($1656<<2))|0); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1659=HEAP32[(($1658)>>2)]; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$1659; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1660=$2; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1661=(($1660)|0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1662=$atom; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1663=$1662; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1664=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($1661, $1663, 0); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1664; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1665=$rval; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1666=(($1665)|0)!=0; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1666) { __label__ = 359; break; } else { __label__ = 360; break; } //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 359: 
      var $1668=$2; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1669=$rval; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1670=$2; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1671=(($1670)|0); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1672=(($1671+8)|0); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1673=HEAP32[(($1672)>>2)]; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1674=$1669; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1675=$1673; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1676=(($1674-$1675)|0); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1677=$op; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1678=__ZL7PushOffP11SprintStacki4JSOp($1668, $1676, $1677); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1679=(($1678)|0)!=0; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1679) { __label__ = 361; break; } else { __label__ = 360; break; } //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 360: 
      $ok=0; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 361: 
      __label__ = 362; break; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 362: 
      var $1683=HEAP32[(($i)>>2)]; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1684=(($1683+1)|0); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$1684; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 357; break; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 363: 
      var $1686=$cx; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1687=$jp; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1688=(($1687+56)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1689=HEAP32[(($1688)>>2)]; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1690=$3; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1691=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($1686, $1689, $1690); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$1691; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1692=$sn; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1693=(($1692)|0)!=0; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1693) { __label__ = 364; break; } else { __label__ = 368; break; } //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 364: 
      var $1695=$sn; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1696=HEAPU8[($1695)]; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1697=(($1696)&255); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1698=$1697 >> 3; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1699=(($1698)|0) >= 24; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1699) { __label__ = 365; break; } else { __label__ = 366; break; } //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 365: 
      var $1707 = 24;__label__ = 367; break; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 366: 
      var $1702=$sn; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1703=HEAPU8[($1702)]; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1704=(($1703)&255); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1705=$1704 >> 3; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1707 = $1705;__label__ = 367; break; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 367: 
      var $1707; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1710 = $1707;__label__ = 369; break; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 368: 
      var $1710 = 0;__label__ = 369; break; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 369: 
      var $1710; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($1710)|0) == 10) {
        __label__ = 370; break;
      }
      else if ((($1710)|0) == 20) {
        __label__ = 373; break;
      }
      else {
      __label__ = 428; break;
      }
      
    case 370: 
      var $1712=$jp; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1713=_js_printf($1712, ((STRING_TABLE.__str522725)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1714=$jp; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1715=(($1714+48)|0); //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1716=HEAP32[(($1715)>>2)]; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1717=(($1716+4)|0); //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1715)>>2)]=$1717; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1718=$sn; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1719=_js_GetSrcNoteOffset($1718, 0); //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$1719; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1720=$2; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1721=$3; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1722=$oplen; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1723=(($1721+$1722)|0); //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1724=$len; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1725=$oplen; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1726=(($1724-$1725)|0); //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1727=__ZL9DecompileP11SprintStackPhi4JSOp($1720, $1723, $1726, 0); //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1728=(($1727)|0)!=0; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1729=(($1728)&1); //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$1729; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1730=$ok; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1731=(($1730)|0)!=0; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1731) { __label__ = 372; break; } else { __label__ = 371; break; } //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 371: 
      __label__ = 430; break; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 372: 
      var $1734=$jp; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1735=(($1734+48)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1736=HEAP32[(($1735)>>2)]; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1737=(($1736-4)|0); //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1735)>>2)]=$1737; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1738=$jp; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1739=_js_printf($1738, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 429; break; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 373: 
      var $1741=$jp; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1742=(($1741+48)|0); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1743=HEAP32[(($1742)>>2)]; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1744=(($1743-4)|0); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1742)>>2)]=$1744; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1745=$jp; //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1746=_js_printf($1745, ((STRING_TABLE.__str642737)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1747=$3; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$1747; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1748=$oplen; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1749=$3; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1750=(($1749+$1748)|0); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1750; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 374; break; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 374: 
      var $1752=$3; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1753=HEAPU8[($1752)]; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1754=(($1753)&255); //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1755=(($1754)|0)==118; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1755) { __label__ = 376; break; } else { __label__ = 375; break; } //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 375: 
      $ok=0; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 376: 
      __label__ = 377; break; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 377: 
      var $1759=$3; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1760=(($1759+1)|0); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1760; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1761=$2; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1762=(($1761)|0); //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1763=__ZN2js6SprintEPNS_8SprinterEPKcz($1762, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16exception_cookie)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$1763; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1764=HEAP32[(($todo)>>2)]; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1765=(($1764)|0) < 0; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1765) { __label__ = 379; break; } else { __label__ = 378; break; } //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 378: 
      var $1767=$2; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1768=HEAP32[(($todo)>>2)]; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1769=__ZL7PushOffP11SprintStacki4JSOp($1767, $1768, 118); //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1770=(($1769)|0)!=0; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1770) { __label__ = 380; break; } else { __label__ = 379; break; } //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 379: 
      $ok=0; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 380: 
      var $1773=$3; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1774=HEAPU8[($1773)]; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1775=(($1774)&255); //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1776=(($1775)|0)==12; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1776) { __label__ = 381; break; } else { __label__ = 395; break; } //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 381: 
      var $1778=$cx; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1779=$jp; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1780=(($1779+56)|0); //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1781=HEAP32[(($1780)>>2)]; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1782=$3; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1783=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($1778, $1781, $1782); //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn2=$1783; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1784=$sn2; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1785=(($1784)|0)!=0; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1785) { __label__ = 382; break; } else { __label__ = 386; break; } //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 382: 
      var $1787=$sn2; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1788=HEAPU8[($1787)]; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1789=(($1788)&255); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1790=$1789 >> 3; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1791=(($1790)|0) >= 24; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1791) { __label__ = 383; break; } else { __label__ = 384; break; } //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 383: 
      var $1799 = 24;__label__ = 385; break; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 384: 
      var $1794=$sn2; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1795=HEAPU8[($1794)]; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1796=(($1795)&255); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1797=$1796 >> 3; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1799 = $1797;__label__ = 385; break; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 385: 
      var $1799; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1800=(($1799)|0)!=6; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1800) { __label__ = 386; break; } else { __label__ = 394; break; } //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 386: 
      __label__ = 387; break; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 387: 
      var $1803=$sn; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1804=_js_GetSrcNoteOffset($1803, 0); //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1805=(($1804)|0)!=0; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1805) { __label__ = 389; break; } else { __label__ = 388; break; } //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 388: 
      $ok=0; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 389: 
      __label__ = 390; break; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 390: 
      var $1809=$3; //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1810=(($1809+1)|0); //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1810; //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1811=$2; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1812=(($1811)|0); //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1813=__ZN2js6SprintEPNS_8SprinterEPKcz($1812, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16exception_cookie)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$1813; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1814=HEAP32[(($todo)>>2)]; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1815=(($1814)|0) < 0; //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1815) { __label__ = 392; break; } else { __label__ = 391; break; } //@line 2836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 391: 
      var $1817=$2; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1818=HEAP32[(($todo)>>2)]; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1819=__ZL7PushOffP11SprintStacki4JSOp($1817, $1818, 118); //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1820=(($1819)|0)!=0; //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1820) { __label__ = 393; break; } else { __label__ = 392; break; } //@line 2837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 392: 
      $ok=0; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 393: 
      __label__ = 394; break; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 394: 
      __label__ = 395; break; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 395: 
      var $1825=$3; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1826=HEAPU8[($1825)]; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1827=(($1826)&255); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1828=(($1827)|0)==12; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1828) { __label__ = 396; break; } else { __label__ = 403; break; } //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 396: 
      var $1830=$2; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1831=$3; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1832=$endpc; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1833=__ZL22DecompileDestructuringP11SprintStackPhS1_($1830, $1831, $1832); //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1833; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1834=$3; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1835=(($1834)|0)!=0; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1835) { __label__ = 398; break; } else { __label__ = 397; break; } //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 397: 
      $ok=0; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 398: 
      __label__ = 399; break; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 399: 
      var $1839=$3; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1840=HEAPU8[($1839)]; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1841=(($1840)&255); //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1842=(($1841)|0)==81; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1842) { __label__ = 401; break; } else { __label__ = 400; break; } //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 400: 
      $ok=0; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 401: 
      __label__ = 402; break; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 402: 
      var $1846=$3; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1847=(($1846+1)|0); //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1847; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1848=$2; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1849=__ZL6PopStrP11SprintStack4JSOp($1848, 0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$1849; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1850=$jp; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1851=$lval; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1852=_js_puts($1850, $1851); //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 410; break; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 403: 
      __label__ = 404; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 404: 
      var $1855=$3; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1856=HEAPU8[($1855)]; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1857=(($1856)&255); //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1858=(($1857)|0)==132; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1858) { __label__ = 406; break; } else { __label__ = 405; break; } //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 405: 
      $ok=0; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 406: 
      __label__ = 407; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 407: 
      var $1862=$3; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1863=(($1862+1)|0); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1864=HEAPU8[($1863)]; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1865=(($1864)&255); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1866=$1865 << 8; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1867=$3; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1868=(($1867+2)|0); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1869=HEAPU8[($1868)]; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1870=(($1869)&255); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1871=$1866 | $1870; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1872=$jp; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1873=(($1872+56)|0); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1874=HEAP32[(($1873)>>2)]; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1875=(($1874+14)|0); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1876=HEAPU16[(($1875)>>1)]; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1877=(($1876)&65535); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1878=(($1871-$1877)|0); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$1878; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1879=$3; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1880=(($1879+3)|0); //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1880; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1881=HEAP32[(($i)>>2)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1882=$obj; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1883=__ZNK8JSObject12getFixedSlotEj($1882, 0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1884=__ZNK2JS5Value7toInt32Ev($1883); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1885=(($1881-$1884)|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1886=$atomv; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1887=(($1886+($1885<<2))|0); //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1888=HEAP32[(($1887)>>2)]; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$1888; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1889=$atom; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1890=$1889; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $str=$1890; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1891=$jp; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1892=(($1891)|0); //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1893=$str; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1894=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($1892, $1893, 0); //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1895=(($1894)|0)!=0; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1895) { __label__ = 409; break; } else { __label__ = 408; break; } //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 408: 
      $ok=0; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 409: 
      __label__ = 410; break;
    case 410: 
      var $1899=$2; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1900=__ZL6PopStrP11SprintStack4JSOp($1899, 0); //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$1900; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 411; break; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 411: 
      var $1902=$rval; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1903=_strcmp($1902, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16exception_cookie)|0)); //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1904=(($1903)|0)==0; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1904) { __label__ = 413; break; } else { __label__ = 412; break; } //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 412: 
      $ok=0; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 413: 
      __label__ = 414; break; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 414: 
      var $1908=$sn; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1909=_js_GetSrcNoteOffset($1908, 0); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$1909; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1910=$len; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1911=(($1910)|0)!=0; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1911) { __label__ = 415; break; } else { __label__ = 427; break; } //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 415: 
      var $1913=$3; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1914=$pc2; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1915=$1913; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1916=$1914; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1917=(($1915-$1916)|0); //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1918=$len; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1919=(($1918-$1917)|0); //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$1919; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 416; break; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 416: 
      var $1921=$len; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1922=(($1921)|0) > 0; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1922) { __label__ = 418; break; } else { __label__ = 417; break; } //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 417: 
      $ok=0; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 418: 
      __label__ = 419; break; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 419: 
      var $1926=$jp; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1927=_js_printf($1926, ((STRING_TABLE.__str652738)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1928=$2; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1929=$3; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1930=$len; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1931=__ZL9DecompileP11SprintStackPhi4JSOp($1928, $1929, $1930, 0); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1932=(($1931)|0)!=0; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1933=(($1932)&1); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$1933; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1934=$ok; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1935=(($1934)|0)!=0; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1935) { __label__ = 421; break; } else { __label__ = 420; break; } //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 420: 
      __label__ = 430; break; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 421: 
      var $1938=$jp; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1939=$2; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1940=$op; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1941=__ZL6PopStrP11SprintStack4JSOp($1939, $1940); //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1942=_js_printf($1938, ((STRING_TABLE.__str382711)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1941,tempInt)); //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1943=$len; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1944=$3; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1945=(($1944+$1943)|0); //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1945; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 422; break; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 422: 
      var $1947=$3; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1948=HEAPU8[($1947)]; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1949=(($1948)&255); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1950=(($1949)|0)==7; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1950) { __label__ = 425; break; } else { __label__ = 423; break; } //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 423: 
      var $1952=$3; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1953=HEAPU8[($1952)]; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1954=(($1953)&255); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1955=(($1954)|0)==142; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1955) { __label__ = 425; break; } else { __label__ = 424; break; } //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 424: 
      $ok=0; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 425: 
      __label__ = 426; break; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 426: 
      var $1959=$3; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1960=HEAPU8[($1959)]; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1961=(($1960)&255); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1962=((_js_CodeSpec+($1961<<3))|0); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1963=(($1962)|0); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1964=HEAP8[($1963)]; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1965=(($1964 << 24) >> 24); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1966=$3; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1967=(($1966+$1965)|0); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$1967; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 427; break; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 427: 
      var $1969=$jp; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1970=_js_printf($1969, ((STRING_TABLE.__str312704)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1971=$jp; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1972=(($1971+48)|0); //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1973=HEAP32[(($1972)>>2)]; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1974=(($1973+4)|0); //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($1972)>>2)]=$1974; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=0; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 429; break; //@line 2894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 428: 
      __label__ = 429; break; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 429: 
      HEAP32[(($todo)>>2)]=-2; //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 430; break; //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 430: 
      var $1978=$atomv; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1979=(($smallv)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1980=(($1978)|0)!=(($1979)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1980) { __label__ = 431; break; } else { __label__ = 432; break; } //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 431: 
      var $1982=$cx; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1983=$atomv; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1984=$1983; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($1982, $1984); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 432; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 432: 
      var $1986=$ok; //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1987=(($1986)|0)!=0; //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1987) { __label__ = 434; break; } else { __label__ = 433; break; } //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 433: 
      $1=0; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 434: 
      __label__ = 1569; break; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 435: 
      var $1991=$cx; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1992=$jp; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1993=(($1992+56)|0); //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1994=HEAP32[(($1993)>>2)]; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1995=$3; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1996=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($1991, $1994, $1995); //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$1996; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1997=$op; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $1998=(($1997)|0)==210; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($1998) { __label__ = 436; break; } else { __label__ = 444; break; } //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 436: 
      __label__ = 437; break; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 437: 
      var $2001=$sn; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2002=HEAPU8[($2001)]; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2003=(($2002)&255); //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2004=$2003 >> 3; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2005=(($2004)|0) >= 24; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2005) { __label__ = 438; break; } else { __label__ = 439; break; } //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 438: 
      var $2013 = 24;__label__ = 440; break; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 439: 
      var $2008=$sn; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2009=HEAPU8[($2008)]; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2010=(($2009)&255); //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2011=$2010 >> 3; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2013 = $2011;__label__ = 440; break; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 440: 
      var $2013; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2014=(($2013)|0)==12; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2014) { __label__ = 442; break; } else { __label__ = 441; break; } //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 441: 
      $1=0; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 442: 
      __label__ = 443; break; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 443: 
      var $2018=$2; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2019=$op; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2020=__ZL6PopStrP11SprintStack4JSOp($2018, $2019); //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2020; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 473; break; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 444: 
      var $2022=$sn; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2023=(($2022)|0)!=0; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2023) { __label__ = 445; break; } else { __label__ = 472; break; } //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 445: 
      __label__ = 446; break; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 446: 
      var $2026=$op; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2027=(($2026)|0)==202; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2027) { __label__ = 448; break; } else { __label__ = 447; break; } //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 447: 
      $1=0; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 448: 
      __label__ = 449; break; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 449: 
      var $2031=$sn; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2032=HEAPU8[($2031)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2033=(($2032)&255); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2034=$2033 >> 3; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2035=(($2034)|0) >= 24; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2035) { __label__ = 450; break; } else { __label__ = 451; break; } //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 450: 
      var $2043 = 24;__label__ = 452; break; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 451: 
      var $2038=$sn; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2039=HEAPU8[($2038)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2040=(($2039)&255); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2041=$2040 >> 3; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2043 = $2041;__label__ = 452; break; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 452: 
      var $2043; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2044=(($2043)|0)==11; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2044) { __label__ = 453; break; } else { __label__ = 454; break; } //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 453: 
      __label__ = 1569; break; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 454: 
      __label__ = 455; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 455: 
      var $2048=$sn; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2049=HEAPU8[($2048)]; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2050=(($2049)&255); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2051=$2050 >> 3; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2052=(($2051)|0) >= 24; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2052) { __label__ = 456; break; } else { __label__ = 457; break; } //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 456: 
      var $2060 = 24;__label__ = 458; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 457: 
      var $2055=$sn; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2056=HEAPU8[($2055)]; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2057=(($2056)&255); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2058=$2057 >> 3; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2060 = $2058;__label__ = 458; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 458: 
      var $2060; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2061=(($2060)|0)==20; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2061) { __label__ = 460; break; } else { __label__ = 459; break; } //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 459: 
      $1=0; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 460: 
      __label__ = 461; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 461: 
      var $2065=$sn; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2066=_js_GetSrcNoteOffset($2065, 0); //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2067=$2; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2068=(($2067+28)|0); //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2069=HEAP32[(($2068)>>2)]; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2070=(($2066)|0)!=(($2069)|0); //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2070) { __label__ = 462; break; } else { __label__ = 471; break; } //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 462: 
      __label__ = 463; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 463: 
      var $2073=$sn; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2074=_js_GetSrcNoteOffset($2073, 0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2075=$2; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2076=(($2075+28)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2077=HEAP32[(($2076)>>2)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2078=(($2077-1)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2079=(($2074)|0)==(($2078)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2079) { __label__ = 465; break; } else { __label__ = 464; break; } //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 464: 
      $1=0; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 465: 
      __label__ = 466; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 466: 
      var $2083=$2; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2084=$op; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2085=__ZL6PopStrP11SprintStack4JSOp($2083, $2084); //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2085; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 467; break; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 467: 
      var $2087=$rval; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2088=_strcmp($2087, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16exception_cookie)|0)); //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2089=(($2088)|0)==0; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2089) { __label__ = 469; break; } else { __label__ = 468; break; } //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 468: 
      $1=0; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 469: 
      __label__ = 470; break; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 470: 
      __label__ = 471; break; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 471: 
      __label__ = 472; break; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 472: 
      __label__ = 473; break;
    case 473: 
      var $2096=$2; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2097=(($2096+28)|0); //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2098=HEAP32[(($2097)>>2)]; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $top=$2098; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2099=$3; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2100=(($2099+1)|0); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2101=HEAPU8[($2100)]; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2102=(($2101)&255); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2103=$2102 << 8; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2104=$3; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2105=(($2104+2)|0); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2106=HEAPU8[($2105)]; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2107=(($2106)&255); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2108=$2103 | $2107; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $depth=$2108; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 474; break; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 474: 
      var $2110=$top; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2111=$depth; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2112=(($2110)>>>0) >= (($2111)>>>0); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2112) { __label__ = 476; break; } else { __label__ = 475; break; } //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 475: 
      $1=0; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 476: 
      __label__ = 477; break; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 477: 
      var $2116=$depth; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2117=$top; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2118=(($2117-$2116)|0); //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $top=$2118; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2119=$top; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2120=$2; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2121=(($2120+28)|0); //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2121)>>2)]=$2119; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2122=$2; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2123=$top; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2124=__ZL6GetOffP11SprintStackj($2122, $2123); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2125=$2; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2126=(($2125)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2127=(($2126+16)|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2127)>>2)]=$2124; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2128=$op; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2129=(($2128)|0)==210; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2129) { __label__ = 478; break; } else { __label__ = 479; break; } //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 478: 
      var $2131=$2; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2132=(($2131)|0); //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2133=$rval; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2134=__ZN2js13SprintCStringEPNS_8SprinterEPKc($2132, $2133); //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$2134; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 479; break; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 479: 
      __label__ = 1569; break; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 480: 
      var $2137=$jp; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2138=(($2137+68)|0); //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2139=HEAP32[(($2138)>>2)]; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2140=(($2139)|0)!=0; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2140) { __label__ = 482; break; } else { __label__ = 481; break; } //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 481: 
      var $2142=$jp; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2143=(($2142+56)|0); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2144=HEAP32[(($2143)>>2)]; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2145=__ZN8JSScript17getCallerFunctionEv($2144); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2146=$jp; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2147=(($2146+68)|0); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2147)>>2)]=$2145; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 482; break; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 482: 
      var $2149=$jp; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2150=(($2149+72)|0); //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2151=HEAP32[(($2150)>>2)]; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2152=(($2151)|0)!=0; //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2152) { __label__ = 487; break; } else { __label__ = 483; break; } //@line 2957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 483: 
      var $2154=$cx; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2155=$cx; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2156=__ZN9JSContext4new_IN2js6VectorIP6JSAtomLj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_($2154, $2155); //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2157=$jp; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2158=(($2157+72)|0); //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2158)>>2)]=$2156; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2159=$jp; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2160=(($2159+72)|0); //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2161=HEAP32[(($2160)>>2)]; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2162=(($2161)|0)!=0; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2162) { __label__ = 484; break; } else { __label__ = 485; break; } //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 484: 
      var $2164=$jp; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2165=(($2164+68)|0); //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2166=HEAP32[(($2165)>>2)]; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2167=__ZNK10JSFunction6scriptEv($2166); //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2168=(($2167+64)|0); //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2169=$cx; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2170=$jp; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2171=(($2170+72)|0); //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2172=HEAP32[(($2171)>>2)]; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2173=__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE($2168, $2169, $2172); //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2173) { __label__ = 486; break; } else { __label__ = 485; break; } //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 485: 
      $1=0; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 486: 
      __label__ = 487; break; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 487: 
      var $2177=$3; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2178=(($2177+1)|0); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2179=HEAPU8[($2178)]; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2180=(($2179)&255); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2181=$2180 << 8; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2182=$3; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2183=(($2182+2)|0); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2184=HEAPU8[($2183)]; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2185=(($2184)&255); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2186=$2181 | $2185; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index=$2186; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2187=$index; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2188=$jp; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2189=(($2188+68)|0); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2190=HEAP32[(($2189)>>2)]; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2191=__ZNK10JSFunction6scriptEv($2190); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2192=(($2191+64)|0); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2193=__ZNK2js8Bindings11countUpvarsEv($2192); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2194=(($2193)&65535); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2195=(($2187)>>>0) < (($2194)>>>0); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2195) { __label__ = 488; break; } else { __label__ = 489; break; } //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 488: 
      var $2197=$jp; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2198=(($2197+68)|0); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2199=HEAP32[(($2198)>>2)]; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2200=__ZNK10JSFunction6scriptEv($2199); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2201=(($2200+64)|0); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2202=__ZNK2js8Bindings16countArgsAndVarsEv($2201); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2203=$index; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2204=(($2203+$2202)|0); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index=$2204; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 490; break; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 489: 
      var $2206=$jp; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2207=(($2206+56)|0); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2208=HEAP32[(($2207)>>2)]; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2209=__ZN8JSScript6upvarsEv($2208); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $uva=$2209; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2210=$index; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2211=$uva; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2212=(($2211)|0); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2213=HEAP32[(($2212)>>2)]; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2214=(($2213+($2210<<2))|0); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2215=__ZNK2js11UpvarCookie4slotEv($2214); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2216=(($2215)&65535); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index=$2216; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 490; break;
    case 490: 
      var $2218=$jp; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2219=$index; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2220=__ZL15GetArgOrVarAtomP9JSPrinterj($2218, $2219); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$2220; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1116; break; //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 491: 
      var $2222=$jp; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2223=$3; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2224=__ZL9IsVarSlotP9JSPrinterPhPi($2222, $2223, $i); //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2225=(($2224)|0)!=0; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2225) { __label__ = 492; break; } else { __label__ = 497; break; } //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 492: 
      var $2227=$jp; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2228=HEAP32[(($i)>>2)]; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2229=__ZL15GetArgOrVarAtomP9JSPrinterj($2227, $2228); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$2229; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 493; break; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 493: 
      var $2231=$atom; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2232=(($2231)|0)!=0; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2232) { __label__ = 495; break; } else { __label__ = 494; break; } //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 494: 
      $1=0; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 495: 
      __label__ = 496; break; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 496: 
      __label__ = 1116; break; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 497: 
      __label__ = 498; break; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 498: 
      var $2238=HEAPU32[(($i)>>2)]; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2239=$2; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2240=(($2239+28)|0); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2241=HEAPU32[(($2240)>>2)]; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2242=(($2238)>>>0) < (($2241)>>>0); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2242) { __label__ = 500; break; } else { __label__ = 499; break; } //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 499: 
      $1=0; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 500: 
      __label__ = 501; break; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 501: 
      var $2246=$cx; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2247=$jp; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2248=(($2247+56)|0); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2249=HEAP32[(($2248)>>2)]; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2250=$3; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2251=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($2246, $2249, $2250); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$2251; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2252=$sn; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2253=(($2252)|0)!=0; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2253) { __label__ = 502; break; } else { __label__ = 516; break; } //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 502: 
      var $2255=$sn; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2256=HEAPU8[($2255)]; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2257=(($2256)&255); //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2258=$2257 >> 3; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2259=(($2258)|0) >= 24; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2259) { __label__ = 503; break; } else { __label__ = 504; break; } //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 503: 
      var $2267 = 24;__label__ = 505; break; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 504: 
      var $2262=$sn; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2263=HEAPU8[($2262)]; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2264=(($2263)&255); //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2265=$2264 >> 3; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2267 = $2265;__label__ = 505; break; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 505: 
      var $2267; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2268=(($2267)|0)==7; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2268) { __label__ = 506; break; } else { __label__ = 516; break; } //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 506: 
      var $2270=$endpc; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2271=$3; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2272=$2270; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2273=$2271; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2274=(($2272-$2273)|0); //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2275=(($2274)|0) > 3; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2275) { __label__ = 508; break; } else { __label__ = 507; break; } //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 507: 
      var $2277=$3; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2278=$startpc; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2279=(($2277)>>>0) > (($2278)>>>0); //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2279) { __label__ = 508; break; } else { __label__ = 515; break; } //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 508: 
      var $2281=$2; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2282=$3; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2283=$endpc; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2284=$sn; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2285=__ZL24DecompileGroupAssignmentP11SprintStackPhS1_S1_Pi($2281, $2282, $2283, $2284, $todo); //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$2285; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2286=$3; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2287=(($2286)|0)!=0; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2287) { __label__ = 510; break; } else { __label__ = 509; break; } //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 509: 
      $1=0; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 510: 
      __label__ = 511; break; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 511: 
      var $2291=$3; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2292=HEAPU8[($2291)]; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2293=(($2292)&255); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2294=(($2293)|0)==11; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2294) { __label__ = 513; break; } else { __label__ = 512; break; } //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 512: 
      $1=0; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 513: 
      __label__ = 514; break; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 514: 
      $oplen=3; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=3; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 228; break; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 515: 
      $sn=0; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 516; break; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 516: 
      var $2300=$2; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2301=HEAP32[(($i)>>2)]; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2302=__Z8GetLocalP11SprintStacki($2300, $2301); //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2302; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2303=$2; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2304=(($2303)|0); //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2305=$sn; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2306=__ZL9VarPrefixPh($2305); //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2307=$rval; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2308=__ZN2js6SprintEPNS_8SprinterEPKcz($2304, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$2306,HEAP32[((tempInt+4)>>2)]=$2307,tempInt)); //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$2308; //@line 3033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 517: 
      var $2310=$jp; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2311=$3; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2312=__ZL9IsVarSlotP9JSPrinterPhPi($2310, $2311, $i); //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2313=(($2312)|0)!=0; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2313) { __label__ = 518; break; } else { __label__ = 523; break; } //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 518: 
      var $2315=$jp; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2316=HEAP32[(($i)>>2)]; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2317=__ZL15GetArgOrVarAtomP9JSPrinterj($2315, $2316); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$2317; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 519; break; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 519: 
      var $2319=$atom; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2320=(($2319)|0)!=0; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2320) { __label__ = 521; break; } else { __label__ = 520; break; } //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 520: 
      $1=0; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 521: 
      __label__ = 522; break; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 522: 
      __label__ = 827; break; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 523: 
      var $2325=$2; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2326=HEAP32[(($i)>>2)]; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2327=__Z8GetLocalP11SprintStacki($2325, $2326); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$2327; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2328=$2; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2329=$op; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2330=__ZL6PopStrP11SprintStack4JSOp($2328, $2329); //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2330; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 833; break; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 524: 
      var $2332=$jp; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2333=$3; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2334=__ZL9IsVarSlotP9JSPrinterPhPi($2332, $2333, $i); //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2335=(($2334)|0)!=0; //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2335) { __label__ = 525; break; } else { __label__ = 530; break; } //@line 3049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 525: 
      var $2337=$jp; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2338=HEAP32[(($i)>>2)]; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2339=__ZL15GetArgOrVarAtomP9JSPrinterj($2337, $2338); //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$2339; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 526; break; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 526: 
      var $2341=$atom; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2342=(($2341)|0)!=0; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2342) { __label__ = 528; break; } else { __label__ = 527; break; } //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 527: 
      $1=0; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 528: 
      __label__ = 529; break; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 529: 
      __label__ = 951; break; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 530: 
      var $2347=$2; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2348=HEAP32[(($i)>>2)]; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2349=__Z8GetLocalP11SprintStacki($2347, $2348); //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$2349; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 954; break; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 531: 
      var $2351=$jp; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2352=$3; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2353=__ZL9IsVarSlotP9JSPrinterPhPi($2351, $2352, $i); //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2354=(($2353)|0)!=0; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2354) { __label__ = 532; break; } else { __label__ = 537; break; } //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 532: 
      var $2356=$jp; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2357=HEAP32[(($i)>>2)]; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2358=__ZL15GetArgOrVarAtomP9JSPrinterj($2356, $2357); //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$2358; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 533; break; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 533: 
      var $2360=$atom; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2361=(($2360)|0)!=0; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2361) { __label__ = 535; break; } else { __label__ = 534; break; } //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 534: 
      $1=0; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 535: 
      __label__ = 536; break; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 536: 
      __label__ = 993; break; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 537: 
      var $2366=$2; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2367=HEAP32[(($i)>>2)]; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2368=__Z8GetLocalP11SprintStacki($2366, $2367); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$2368; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 996; break; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 538: 
      HEAP32[(($todo)>>2)]=-2; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 539: 
      __label__ = 540; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 540: 
      var $2372=$jp; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2373=(($2372+68)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2374=HEAP32[(($2373)>>2)]; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2375=(($2374)|0)!=0; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2375) { __label__ = 542; break; } else { __label__ = 541; break; } //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 541: 
      $1=0; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 542: 
      __label__ = 543; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 543: 
      var $2379=$jp; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2380=(($2379+68)|0); //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2381=HEAP32[(($2380)>>2)]; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fun=$2381; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2382=$fun; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2383=(($2382+58)|0); //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2384=HEAPU16[(($2383)>>1)]; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2385=(($2384)&65535); //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2386=$2385 & 4096; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2387=(($2386)|0)!=0; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2387) { __label__ = 544; break; } else { __label__ = 547; break; } //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 544: 
      $op=111; //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2389=$2; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2390=$op; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2391=__ZL6PopStrP11SprintStack4JSOp($2389, $2390); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2391; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2392=$jp; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2393=$rval; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2394=HEAP8[($2393)]; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2395=(($2394 << 24) >> 24); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2396=(($2395)|0)==123; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2397=$2396 ? (((STRING_TABLE.__str662739)|0)) : (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0)); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2398=$rval; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2399=$fun; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2400=(($2399+58)|0); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2401=HEAPU16[(($2400)>>1)]; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2402=(($2401)&65535); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2403=$2402 & 8; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2404=(($2403)|0)!=0; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2404) { var $2412 = 1;__label__ = 546; break; } else { __label__ = 545; break; } //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 545: 
      var $2406=$fun; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2407=(($2406+72)|0); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2408=HEAP32[(($2407)>>2)]; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2409=(($2408)|0)!=0; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2410=$2409 ^ 1; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2412 = $2410;__label__ = 546; break; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 546: 
      var $2412;
      var $2413=$2412 ? (((__str272700)|0)) : (((STRING_TABLE.__str452718)|0)); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2414=_js_printf($2392, $2397, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$2398,HEAP32[((tempInt+4)>>2)]=$2413,tempInt)); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 547: 
      __label__ = 548; break; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 548: 
      var $2417=$2; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2418=$op; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2419=__ZL6PopStrP11SprintStack4JSOp($2417, $2418); //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2419; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2420=$rval; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2421=HEAP8[($2420)]; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2422=(($2421 << 24) >> 24); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2423=(($2422)|0)!=0; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2423) { __label__ = 549; break; } else { __label__ = 550; break; } //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 549: 
      var $2425=$jp; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2426=$rval; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2427=_js_printf($2425, ((STRING_TABLE.__str672740)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_return_str)|0),HEAP32[((tempInt+4)>>2)]=$2426,tempInt)); //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 551; break; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 550: 
      var $2429=$jp; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2430=_js_printf($2429, ((STRING_TABLE.__str582731)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_return_str)|0),tempInt)); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 551; break;
    case 551: 
      HEAP32[(($todo)>>2)]=-2; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 552: 
      var $2433=$2; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2434=(($2433+36)|0); //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2435=HEAP32[(($2434)>>2)]; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2436=(($2435)|0)!=0; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2436) { __label__ = 553; break; } else { __label__ = 554; break; } //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 553: 
      var $2438=$cx; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2439=$jp; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2440=(($2439+56)|0); //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2441=HEAP32[(($2440)>>2)]; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2442=$3; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2443=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($2438, $2441, $2442); //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$2443; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2444=(($2443)|0)!=0; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2444) { __label__ = 562; break; } else { __label__ = 554; break; } //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 554: 
      $op=111; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2446=$2; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2447=$op; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2448=__ZL6PopStrP11SprintStack4JSOp($2446, $2447); //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2448; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2449=$rval; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2450=HEAP8[($2449)]; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2451=(($2450 << 24) >> 24); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2452=(($2451)|0)!=0; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2452) { __label__ = 555; break; } else { __label__ = 560; break; } //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 555: 
      var $2454=$2; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2455=(($2454)|0); //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2456=$rval; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2457=_strncmp($2456, ((STRING_TABLE._js_yield_str)|0), 5); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2458=(($2457)|0)==0; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2458) { __label__ = 556; break; } else { var $2474 = 0;__label__ = 559; break; } //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 556: 
      var $2460=$rval; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2461=(($2460+5)|0); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2462=HEAP8[($2461)]; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2463=(($2462 << 24) >> 24); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2464=(($2463)|0)==32; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2464) { var $2472 = 1;__label__ = 558; break; } else { __label__ = 557; break; } //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 557: 
      var $2466=$rval; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2467=(($2466+5)|0); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2468=HEAP8[($2467)]; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2469=(($2468 << 24) >> 24); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2470=(($2469)|0)==0; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2472 = $2470;__label__ = 558; break; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 558: 
      var $2472;
      var $2474 = $2472;__label__ = 559; break;
    case 559: 
      var $2474;
      var $2475=$2474 ? (((STRING_TABLE.__str682741)|0)) : (((STRING_TABLE.__str692742)|0));
      var $2476=$rval;
      var $2477=__ZN2js6SprintEPNS_8SprinterEPKcz($2455, $2475, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_yield_str)|0),HEAP32[((tempInt+4)>>2)]=$2476,tempInt));
      var $2483 = $2477;__label__ = 561; break;
    case 560: 
      var $2479=$2; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2480=(($2479)|0); //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2481=__ZN2js13SprintCStringEPNS_8SprinterEPKc($2480, ((STRING_TABLE._js_yield_str)|0)); //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2483 = $2481;__label__ = 561; break; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 561: 
      var $2483; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$2483; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 562: 
      __label__ = 563; break; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 563: 
      var $2486=$sn; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2487=HEAPU8[($2486)]; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2488=(($2487)&255); //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2489=$2488 >> 3; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2490=(($2489)|0) >= 24; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2490) { __label__ = 564; break; } else { __label__ = 565; break; } //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 564: 
      var $2498 = 24;__label__ = 566; break; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 565: 
      var $2493=$sn; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2494=HEAPU8[($2493)]; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2495=(($2494)&255); //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2496=$2495 >> 3; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2498 = $2496;__label__ = 566; break; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 566: 
      var $2498; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2499=(($2498)|0)==11; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2499) { __label__ = 568; break; } else { __label__ = 567; break; } //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 567: 
      $1=0; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 568: 
      __label__ = 569; break; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 569: 
      __label__ = 570; break; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 570: 
      $op=111; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2504=$2; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2505=$op; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2506=__ZL6PopStrP11SprintStack4JSOp($2504, $2505); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2506; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2507=$2; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2508=(($2507+28)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2509=HEAP32[(($2508)>>2)]; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pos=$2509; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 571; break; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 571: 
      var $2511=$pos; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2512=(($2511)|0)!=0; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2512) { __label__ = 572; break; } else { __label__ = 575; break; } //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 572: 
      var $2514=$pos; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2515=(($2514-1)|0); //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pos=$2515; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2516=$2; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2517=(($2516+24)|0); //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2518=HEAP32[(($2517)>>2)]; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2519=(($2518+$2515)|0); //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2520=HEAPU8[($2519)]; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2521=(($2520)&255); //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$2521; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2522=$op; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2523=(($2522)|0)==201; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2523) { __label__ = 573; break; } else { __label__ = 574; break; } //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 573: 
      __label__ = 575; break; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 574: 
      __label__ = 571; break; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 575: 
      var $2527=$pos; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2528=(($2527+1)|0); //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $forpos=$2528; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 576; break; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 576: 
      var $2530=$forpos; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2531=$2; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2532=(($2531+28)|0); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2533=HEAPU32[(($2532)>>2)]; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2534=(($2530)>>>0) < (($2533)>>>0); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2534) { __label__ = 578; break; } else { __label__ = 577; break; } //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 577: 
      $1=0; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 578: 
      __label__ = 579; break; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 579: 
      __label__ = 580; break; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 580: 
      var $2539=$pos; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2540=$2; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2541=(($2540+24)|0); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2542=HEAP32[(($2541)>>2)]; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2543=(($2542+$2539)|0); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2544=HEAPU8[($2543)]; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2545=(($2544)&255); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2546=(($2545)|0)==201; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2546) { __label__ = 581; break; } else { __label__ = 584; break; } //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 581: 
      var $2548=$pos; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2549=(($2548)|0)==0; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2549) { __label__ = 582; break; } else { __label__ = 583; break; } //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 582: 
      __label__ = 584; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 583: 
      var $2552=$pos; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2553=(($2552-1)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pos=$2553; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 580; break; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 584: 
      var $2555=HEAP32[(($saveop)>>2)]; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2556=(($2555)|0)==206; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2556) { __label__ = 585; break; } else { __label__ = 592; break; } //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 585: 
      __label__ = 586; break; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 586: 
      var $2559=$pos; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2560=(($2559)|0)==0; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2560) { __label__ = 588; break; } else { __label__ = 587; break; } //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 587: 
      $1=0; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 588: 
      __label__ = 589; break; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 589: 
      var $2564=$2; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2565=(($2564)|0); //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2566=(($2565+8)|0); //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2567=HEAP32[(($2566)>>2)]; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2568=$forpos; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2569=$2; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2570=(($2569+20)|0); //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2571=HEAP32[(($2570)>>2)]; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2572=(($2571+($2568<<2))|0); //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2573=HEAP32[(($2572)>>2)]; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2574=(($2567+$2573)|0); //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$2574; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2575=$2; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2576=(($2575)|0); //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2577=(($2576+16)|0); //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2577)>>2)]=3; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2578=$2; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2579=(($2578)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2580=$rval; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2581=$xval; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2582=__ZN2js6SprintEPNS_8SprinterEPKcz($2579, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$2580,HEAP32[((tempInt+4)>>2)]=$2581,tempInt)); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$2582; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2583=HEAP32[(($todo)>>2)]; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2584=(($2583)|0) < 0; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2584) { __label__ = 590; break; } else { __label__ = 591; break; } //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 590: 
      $1=0; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 591: 
      var $2587=HEAP32[(($todo)>>2)]; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2588=$2; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2589=(($2588+20)|0); //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2590=HEAP32[(($2589)>>2)]; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2591=(($2590)|0); //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2591)>>2)]=$2587; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2592=$2; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2593=(($2592+28)|0); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2594=HEAP32[(($2593)>>2)]; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2595=(($2594+1)|0); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2593)>>2)]=$2595; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2596=$3; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$2596; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 592: 
      __label__ = 593; break; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 593: 
      var $2599=$pos; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2600=$2; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2601=(($2600+24)|0); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2602=HEAP32[(($2601)>>2)]; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2603=(($2602+$2599)|0); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2604=HEAPU8[($2603)]; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2605=(($2604)&255); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2606=(($2605)|0)==89; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2606) { __label__ = 595; break; } else { __label__ = 594; break; } //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 594: 
      $1=0; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 595: 
      __label__ = 596; break; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 596: 
      var $2610=$pos; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2611=$2; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2612=(($2611+20)|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2613=HEAP32[(($2612)>>2)]; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2614=(($2613+($2610<<2))|0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2615=HEAP32[(($2614)>>2)]; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $start=$2615; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 597; break; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 597: 
      var $2617=$start; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2618=$2; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2619=(($2618)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2620=(($2619+8)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2621=HEAP32[(($2620)>>2)]; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2622=(($2621+$2617)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2623=HEAP8[($2622)]; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2624=(($2623 << 24) >> 24); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2625=(($2624)|0)==91; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2625) { __label__ = 600; break; } else { __label__ = 598; break; } //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 598: 
      var $2627=$start; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2628=$2; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2629=(($2628)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2630=(($2629+8)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2631=HEAP32[(($2630)>>2)]; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2632=(($2631+$2627)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2633=HEAP8[($2632)]; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2634=(($2633 << 24) >> 24); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2635=(($2634)|0)==35; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2635) { __label__ = 600; break; } else { __label__ = 599; break; } //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 599: 
      $1=0; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 600: 
      __label__ = 601; break; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 601: 
      __label__ = 602; break; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 602: 
      var $2640=$forpos; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2641=$2; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2642=(($2641+28)|0); //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2643=HEAPU32[(($2642)>>2)]; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2644=(($2640)>>>0) < (($2643)>>>0); //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2644) { __label__ = 604; break; } else { __label__ = 603; break; } //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 603: 
      $1=0; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 604: 
      __label__ = 605; break; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 605: 
      var $2648=$2; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2649=(($2648)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2650=(($2649+8)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2651=HEAP32[(($2650)>>2)]; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2652=$forpos; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2653=$2; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2654=(($2653+20)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2655=HEAP32[(($2654)>>2)]; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2656=(($2655+($2652<<2))|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2657=HEAP32[(($2656)>>2)]; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2658=(($2651+$2657)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$2658; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2659=$2; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2660=(($2659)|0); //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2661=(($2660+8)|0); //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2662=HEAP32[(($2661)>>2)]; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2663=$start; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2664=(($2662+$2663)|0); //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$2664; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2665=$lval; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2666=$2; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2667=(($2666)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2668=(($2667+8)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2669=HEAP32[(($2668)>>2)]; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2670=$2665; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2671=$2669; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2672=(($2670-$2671)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2673=$2; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2674=(($2673)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2675=(($2674+16)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2675)>>2)]=$2672; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2676=$2; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2677=(($2676)|0); //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2678=$lval; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2679=$rval; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2680=$xval; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2681=__ZN2js6SprintEPNS_8SprinterEPKcz($2677, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10sss_format)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$2678,HEAP32[((tempInt+4)>>2)]=$2679,HEAP32[((tempInt+8)>>2)]=$2680,tempInt)); //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$2681; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2682=HEAP32[(($todo)>>2)]; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2683=(($2682)|0) < 0; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2683) { __label__ = 606; break; } else { __label__ = 607; break; } //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 606: 
      $1=0; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 607: 
      var $2686=HEAP32[(($todo)>>2)]; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2687=$pos; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2688=$2; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2689=(($2688+20)|0); //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2690=HEAP32[(($2689)>>2)]; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2691=(($2690+($2687<<2))|0); //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2691)>>2)]=$2686; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 608: 
      HEAP32[(($todo)>>2)]=-2; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 609: 
      var $2694=$cx; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2695=$jp; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2696=(($2695+56)|0); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2697=HEAP32[(($2696)>>2)]; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2698=$3; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2699=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($2694, $2697, $2698); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$2699; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2700=$sn; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2701=(($2700)|0)!=0; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2701) { __label__ = 610; break; } else { __label__ = 615; break; } //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 610: 
      var $2703=$sn; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2704=HEAPU8[($2703)]; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2705=(($2704)&255); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2706=$2705 >> 3; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2707=(($2706)|0) >= 24; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2707) { __label__ = 611; break; } else { __label__ = 612; break; } //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 611: 
      var $2715 = 24;__label__ = 613; break; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 612: 
      var $2710=$sn; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2711=HEAPU8[($2710)]; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2712=(($2711)&255); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2713=$2712 >> 3; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2715 = $2713;__label__ = 613; break; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 613: 
      var $2715; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2716=(($2715)|0)==11; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2716) { __label__ = 614; break; } else { __label__ = 615; break; } //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 614: 
      __label__ = 1569; break; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 615: 
      var $2719=$2; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2720=$op; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2721=__ZL6PopStrP11SprintStack4JSOp($2719, $2720); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2721; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2722=$jp; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2723=$rval; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2724=_js_printf($2722, ((STRING_TABLE.__str672740)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_throw_str)|0),HEAP32[((tempInt+4)>>2)]=$2723,tempInt)); //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 616: 
      var $2726=$3; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2727=(($2726+1)|0); //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2728=HEAPU8[($2727)]; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2729=(($2728)&255); //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2730=$2729 & 6; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2731=(($2730)|0)==2; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2732=(($2731)&1); //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $foreach=$2732; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 617: 
      __label__ = 1569; break; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 618: 
      var $2735=$cx; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2736=$jp; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2737=(($2736+56)|0); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2738=HEAP32[(($2737)>>2)]; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2739=$3; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2740=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($2735, $2738, $2739); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$2740; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2741=$sn; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2742=(($2741)|0)!=0; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2742) { __label__ = 619; break; } else { __label__ = 624; break; } //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 619: 
      var $2744=$sn; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2745=HEAPU8[($2744)]; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2746=(($2745)&255); //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2747=$2746 >> 3; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2748=(($2747)|0) >= 24; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2748) { __label__ = 620; break; } else { __label__ = 621; break; } //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 620: 
      var $2756 = 24;__label__ = 622; break; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 621: 
      var $2751=$sn; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2752=HEAPU8[($2751)]; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2753=(($2752)&255); //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2754=$2753 >> 3; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2756 = $2754;__label__ = 622; break; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 622: 
      var $2756; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2757=(($2756)|0)==11; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2757) { __label__ = 623; break; } else { __label__ = 624; break; } //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 623: 
      __label__ = 1569; break; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 624: 
      var $2760=$2; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2761=$op; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2762=__ZL6PopOffP11SprintStack4JSOp($2760, $2761); //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 625: 
      var $2764=$cx; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2765=$jp; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2766=(($2765+56)|0); //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2767=HEAP32[(($2766)>>2)]; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2768=$3; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2769=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($2764, $2767, $2768); //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$2769; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2770=$sn; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2771=(($2770)|0)!=0; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2771) { __label__ = 626; break; } else { __label__ = 630; break; } //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 626: 
      var $2773=$sn; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2774=HEAPU8[($2773)]; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2775=(($2774)&255); //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2776=$2775 >> 3; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2777=(($2776)|0) >= 24; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2777) { __label__ = 627; break; } else { __label__ = 628; break; } //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 627: 
      var $2785 = 24;__label__ = 629; break; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 628: 
      var $2780=$sn; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2781=HEAPU8[($2780)]; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2782=(($2781)&255); //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2783=$2782 >> 3; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2785 = $2783;__label__ = 629; break; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 629: 
      var $2785; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2788 = $2785;__label__ = 631; break; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 630: 
      var $2788 = 0;__label__ = 631; break; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 631: 
      var $2788; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($2788)|0) == 2) {
        __label__ = 632; break;
      }
      else if ((($2788)|0) == 4) {
        __label__ = 661; break;
      }
      else if ((($2788)|0) == 17) {
        __label__ = 671; break;
      }
      else if ((($2788)|0) == 5) {
        __label__ = 680; break;
      }
      else if ((($2788)|0) == 16) {
        __label__ = 681; break;
      }
      else if ((($2788)|0) == 11) {
        __label__ = 691; break;
      }
      else {
      __label__ = 690; break;
      }
      
    case 632: 
      var $2790=$3; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2791=$3; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2792=__ZL13GetJumpOffsetPhS_($2790, $2791); //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cond=$2792; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2793=$sn; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2794=_js_GetSrcNoteOffset($2793, 0); //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $next=$2794; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2795=$sn; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2796=_js_GetSrcNoteOffset($2795, 1); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tail=$2796; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2797=$2; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2798=$3; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2799=$oplen; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2800=(($2798+$2799)|0); //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2801=$next; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2802=$oplen; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2803=(($2801-$2802)|0); //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2804=__ZL9DecompileP11SprintStackPhi4JSOp($2797, $2800, $2803, 0); //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2805=(($2804)|0)!=0; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2805) { __label__ = 634; break; } else { __label__ = 633; break; } //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 633: 
      $1=0; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 634: 
      var $2808=$2; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2809=$op; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2810=__ZL6PopStrP11SprintStack4JSOp($2808, $2809); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$2810; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2811=$lval; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2812=_strlen($2811); //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2813=(($2812-9)|0); //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2814=$lval; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2815=(($2814+$2813)|0); //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($2815)]=0; //@line 3284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 635; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 635: 
      var $2817=$2; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2818=(($2817+28)|0); //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2819=HEAPU32[(($2818)>>2)]; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2820=(($2819)>>>0) >= 1; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2820) { __label__ = 637; break; } else { __label__ = 636; break; } //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 636: 
      $1=0; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 637: 
      __label__ = 638; break; //@line 3285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 638: 
      var $2824=$2; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2825=(($2824+32)|0); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2826=HEAP32[(($2825)>>2)]; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2827=(($2826)|0)!=0; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2827) { __label__ = 640; break; } else { __label__ = 639; break; } //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 639: 
      var $2829=$2; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2830=(($2829+36)|0); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2831=HEAP32[(($2830)>>2)]; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2832=(($2831)|0)!=0; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2832) { __label__ = 640; break; } else { __label__ = 652; break; } //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 640: 
      var $2834=$2; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2835=$op; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2836=__ZL6PopStrP11SprintStack4JSOp($2834, $2835); //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2836; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2837=$2; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2838=(($2837+28)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2839=HEAPU32[(($2838)>>2)]; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2840=(($2839)>>>0) >= 1; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2840) { __label__ = 641; break; } else { __label__ = 645; break; } //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 641: 
      var $2842=$2; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2843=(($2842+28)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2844=HEAP32[(($2843)>>2)]; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2845=(($2844-1)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2846=$2; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2847=(($2846+24)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2848=HEAP32[(($2847)>>2)]; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2849=(($2848+$2845)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2850=HEAPU8[($2849)]; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2851=(($2850)&255); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2852=(($2851)|0)==234; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2852) { __label__ = 642; break; } else { __label__ = 645; break; } //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 642: 
      var $2854=$2; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2855=(($2854+28)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2856=HEAP32[(($2855)>>2)]; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2857=$2; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2858=(($2857+20)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2859=HEAP32[(($2858)>>2)]; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2860=(($2859+($2856<<2))|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2861=HEAP32[(($2860)>>2)]; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2862=(($2861-3)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2863=$2; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2864=(($2863)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2865=(($2864+16)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2865)>>2)]=$2862; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2866=$2; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2867=(($2866)|0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2868=$foreach; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2869=(($2868)|0)!=0; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2870=$2869 ? (((STRING_TABLE.__ZL15js_for_each_str)|0)) : (((STRING_TABLE._js_for_str)|0)); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2871=$lval; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2872=$rval; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2873=__ZN2js6SprintEPNS_8SprinterEPKcz($2867, ((STRING_TABLE.__str702743)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$2870,HEAP32[((tempInt+4)>>2)]=$2871,HEAP32[((tempInt+8)>>2)]=$2872,tempInt)); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2874=(($2873)|0) < 0; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2874) { __label__ = 643; break; } else { __label__ = 644; break; } //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 643: 
      $1=0; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 644: 
      var $2877=$2; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2878=(($2877+28)|0); //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2879=HEAP32[(($2878)>>2)]; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2880=(($2879-1)|0); //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2881=$2; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2882=(($2881+20)|0); //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2883=HEAP32[(($2882)>>2)]; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2884=(($2883+($2880<<2))|0); //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2885=HEAP32[(($2884)>>2)]; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$2885; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 646; break; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 645: 
      var $2887=$2; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2888=(($2887)|0); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2889=$foreach; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2890=(($2889)|0)!=0; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2891=$2890 ? (((STRING_TABLE.__ZL15js_for_each_str)|0)) : (((STRING_TABLE._js_for_str)|0)); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2892=$lval; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2893=$rval; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2894=__ZN2js6SprintEPNS_8SprinterEPKcz($2888, ((STRING_TABLE.__str702743)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$2891,HEAP32[((tempInt+4)>>2)]=$2892,HEAP32[((tempInt+8)>>2)]=$2893,tempInt)); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$2894; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 646; break;
    case 646: 
      var $2896=HEAP32[(($todo)>>2)]; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2897=(($2896)|0) < 0; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2897) { __label__ = 648; break; } else { __label__ = 647; break; } //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 647: 
      var $2899=$2; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2900=HEAP32[(($todo)>>2)]; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2901=__ZL7PushOffP11SprintStacki4JSOp($2899, $2900, 234); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2902=(($2901)|0)!=0; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2902) { __label__ = 649; break; } else { __label__ = 648; break; } //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 648: 
      $1=0; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 649: 
      var $2905=$2; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2906=$3; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2907=$next; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2908=(($2906+$2907)|0); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2909=(($2908+1)|0); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2910=$cond; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2911=$next; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2912=(($2910-$2911)|0); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2913=(($2912-1)|0); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2914=__ZL9DecompileP11SprintStackPhi4JSOp($2905, $2909, $2913, 0); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2915=(($2914)|0)!=0; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2915) { __label__ = 651; break; } else { __label__ = 650; break; } //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 650: 
      $1=0; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 651: 
      __label__ = 655; break; //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 652: 
      var $2919=$2; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2920=$2; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2921=(($2920+28)|0); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2922=HEAP32[(($2921)>>2)]; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2923=(($2922-1)|0); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2924=__ZL6GetStrP11SprintStackj($2919, $2923); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$2924; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2925=$cx; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2926=$jp; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2927=(($2926+56)|0); //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2928=HEAP32[(($2927)>>2)]; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2929=$3; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2930=$next; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2931=(($2929+$2930)|0); //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2932=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($2925, $2928, $2931); //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2933=__ZL9VarPrefixPh($2932); //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$2933; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2934=$jp; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2935=$foreach; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2936=(($2935)|0)!=0; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2937=$2936 ? (((STRING_TABLE.__ZL15js_for_each_str)|0)) : (((STRING_TABLE._js_for_str)|0)); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2938=$xval; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2939=$lval; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2940=$rval; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2941=_js_printf($2934, ((STRING_TABLE.__str712744)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$2937,HEAP32[((tempInt+4)>>2)]=$2938,HEAP32[((tempInt+8)>>2)]=$2939,HEAP32[((tempInt+12)>>2)]=$2940,tempInt)); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2942=$jp; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2943=(($2942+48)|0); //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2944=HEAP32[(($2943)>>2)]; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2945=(($2944+4)|0); //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2943)>>2)]=$2945; //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2946=$2; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2947=$3; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2948=$next; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2949=(($2947+$2948)|0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2950=(($2949+1)|0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2951=$cond; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2952=$next; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2953=(($2951-$2952)|0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2954=(($2953-1)|0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2955=__ZL9DecompileP11SprintStackPhi4JSOp($2946, $2950, $2954, 0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2956=(($2955)|0)!=0; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2956) { __label__ = 654; break; } else { __label__ = 653; break; } //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 653: 
      $1=0; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 654: 
      var $2959=$jp; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2960=(($2959+48)|0); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2961=HEAP32[(($2960)>>2)]; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2962=(($2961-4)|0); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($2960)>>2)]=$2962; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2963=$jp; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2964=_js_printf($2963, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 655; break;
    case 655: 
      var $2966=$tail; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2967=$3; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2968=(($2967+$2966)|0); //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$2968; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 656; break; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 656: 
      var $2970=$3; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2971=HEAPU8[($2970)]; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2972=(($2971)&255); //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2973=(($2972)|0)==8; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2973) { __label__ = 659; break; } else { __label__ = 657; break; } //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 657: 
      var $2975=$3; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2976=HEAPU8[($2975)]; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2977=(($2976)&255); //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2978=(($2977)|0)==143; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($2978) { __label__ = 659; break; } else { __label__ = 658; break; } //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 658: 
      $1=0; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 659: 
      __label__ = 660; break; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 660: 
      var $2982=$3; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2983=HEAPU8[($2982)]; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2984=(($2983)&255); //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2985=((_js_CodeSpec+($2984<<3))|0); //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2986=(($2985)|0); //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2987=HEAP8[($2986)]; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2988=(($2987 << 24) >> 24); //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$2988; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 691; break; //@line 3331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 661: 
      var $2990=$3; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2991=$3; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2992=__ZL13GetJumpOffsetPhS_($2990, $2991); //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cond=$2992; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2993=$sn; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2994=_js_GetSrcNoteOffset($2993, 0); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tail=$2994; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2995=$2; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2996=$3; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2997=$cond; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2998=(($2996+$2997)|0); //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $2999=$tail; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3000=$cond; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3001=(($2999-$3000)|0); //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3002=__ZL9DecompileP11SprintStackPhi4JSOp($2995, $2998, $3001, 0); //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3003=(($3002)|0)!=0; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3003) { __label__ = 663; break; } else { __label__ = 662; break; } //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 662: 
      $1=0; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 663: 
      var $3006=$jp; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3007=$2; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3008=$2; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3009=(($3008+28)|0); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3010=HEAP32[(($3009)>>2)]; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3011=(($3010-1)|0); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3012=$2; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3013=(($3012+24)|0); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3014=HEAP32[(($3013)>>2)]; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3015=(($3014+$3011)|0); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3016=HEAPU8[($3015)]; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3017=(($3016)&255); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3018=((_js_CodeSpec+($3017<<3))|0); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3019=(($3018+4)|0); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3020=HEAP32[(($3019)>>2)]; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3021=$3020 & 256; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3022=(($3021)|0)!=0; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3023=$3022 ? 7 : 0; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3024=__ZL6PopStrP11SprintStack4JSOp($3007, $3023); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3025=_js_printf($3006, ((STRING_TABLE.__str722745)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3024,tempInt)); //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3026=$jp; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3027=(($3026+48)|0); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3028=HEAP32[(($3027)>>2)]; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3029=(($3028+4)|0); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3027)>>2)]=$3029; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3030=$2; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3031=$3; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3032=$oplen; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3033=(($3031+$3032)|0); //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3034=$cond; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3035=$oplen; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3036=(($3034-$3035)|0); //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3037=__ZL9DecompileP11SprintStackPhi4JSOp($3030, $3033, $3036, 0); //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3038=(($3037)|0)!=0; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3038) { __label__ = 665; break; } else { __label__ = 664; break; } //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 664: 
      $1=0; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 665: 
      var $3041=$jp; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3042=(($3041+48)|0); //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3043=HEAP32[(($3042)>>2)]; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3044=(($3043-4)|0); //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3042)>>2)]=$3044; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3045=$jp; //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3046=_js_printf($3045, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3047=$tail; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3048=$3; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3049=(($3048+$3047)|0); //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$3049; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 666; break; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 666: 
      var $3051=$3; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3052=HEAPU8[($3051)]; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3053=(($3052)&255); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3054=(($3053)|0)==8; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3054) { __label__ = 669; break; } else { __label__ = 667; break; } //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 667: 
      var $3056=$3; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3057=HEAPU8[($3056)]; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3058=(($3057)&255); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3059=(($3058)|0)==143; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3059) { __label__ = 669; break; } else { __label__ = 668; break; } //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 668: 
      $1=0; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 669: 
      __label__ = 670; break; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 670: 
      var $3063=$3; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3064=HEAPU8[($3063)]; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3065=(($3064)&255); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3066=((_js_CodeSpec+($3065<<3))|0); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3067=(($3066)|0); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3068=HEAP8[($3067)]; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3069=(($3068 << 24) >> 24); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$3069; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 691; break; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 671: 
      __label__ = 672; break; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 672: 
      var $3072=$sn; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3073=_js_GetSrcNoteOffset($3072, 0); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atomIndex_3=$3073; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 673; break; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 673: 
      var $3075=$atomIndex_3; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3076=$jp; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3077=(($3076+56)|0); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3078=HEAP32[(($3077)>>2)]; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3079=(($3078+40)|0); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3080=HEAPU32[(($3079)>>2)]; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3081=(($3075)>>>0) < (($3080)>>>0); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3081) { __label__ = 675; break; } else { __label__ = 674; break; } //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 674: 
      $1=0; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 675: 
      __label__ = 676; break; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 676: 
      var $3085=$atomIndex_3; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3086=$jp; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3087=(($3086+56)|0); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3088=HEAP32[(($3087)>>2)]; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3089=(($3088+56)|0); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3090=HEAP32[(($3089)>>2)]; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3091=(($3090+($3085<<2))|0); //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3092=HEAP32[(($3091)>>2)]; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$3092; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 677; break; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 677: 
      var $3094=$2; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3095=(($3094)|0); //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3096=$atom; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3097=$3096; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3098=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($3095, $3097, 0); //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3098; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3099=$rval; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3100=(($3099)|0)!=0; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3100) { __label__ = 679; break; } else { __label__ = 678; break; } //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 678: 
      $1=0; //@line 3352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 679: 
      var $3103=$rval; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3104=$2; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3105=(($3104)|0); //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3106=(($3105+8)|0); //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3107=HEAP32[(($3106)>>2)]; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3108=$3103; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3109=$3107; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3110=(($3108-$3109)|0); //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3111=$2; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3112=(($3111)|0); //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3113=(($3112+16)|0); //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3113)>>2)]=$3110; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3114=$jp; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3115=$rval; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3116=_js_printf($3114, ((STRING_TABLE.__str732746)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3115,tempInt)); //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 691; break; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 680: 
      var $3118=$jp; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3119=_js_printf($3118, ((STRING_TABLE.__str742747)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 691; break; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 681: 
      __label__ = 682; break; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 682: 
      var $3122=$sn; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3123=_js_GetSrcNoteOffset($3122, 0); //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atomIndex_4=$3123; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 683; break; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 683: 
      var $3125=$atomIndex_4; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3126=$jp; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3127=(($3126+56)|0); //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3128=HEAP32[(($3127)>>2)]; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3129=(($3128+40)|0); //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3130=HEAPU32[(($3129)>>2)]; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3131=(($3125)>>>0) < (($3130)>>>0); //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3131) { __label__ = 685; break; } else { __label__ = 684; break; } //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 684: 
      $1=0; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 685: 
      __label__ = 686; break; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 686: 
      var $3135=$atomIndex_4; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3136=$jp; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3137=(($3136+56)|0); //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3138=HEAP32[(($3137)>>2)]; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3139=(($3138+56)|0); //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3140=HEAP32[(($3139)>>2)]; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3141=(($3140+($3135<<2))|0); //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3142=HEAP32[(($3141)>>2)]; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$3142; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 687; break; //@line 3362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 687: 
      var $3144=$2; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3145=(($3144)|0); //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3146=$atom; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3147=$3146; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3148=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($3145, $3147, 0); //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3148; //@line 3363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3149=$rval; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3150=(($3149)|0)!=0; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3150) { __label__ = 689; break; } else { __label__ = 688; break; } //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 688: 
      $1=0; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 689: 
      var $3153=$rval; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3154=$2; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3155=(($3154)|0); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3156=(($3155+8)|0); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3157=HEAP32[(($3156)>>2)]; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3158=$3153; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3159=$3157; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3160=(($3158-$3159)|0); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3161=$2; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3162=(($3161)|0); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3163=(($3162+16)|0); //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3163)>>2)]=$3160; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3164=$jp; //@line 3367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3165=$rval; //@line 3367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3166=_js_printf($3164, ((STRING_TABLE.__str752748)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3165,tempInt)); //@line 3367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 691; break; //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 690: 
      var $3168=$jp; //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3169=_js_printf($3168, ((STRING_TABLE.__str762749)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 691; break; //@line 3375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 691: 
      HEAP32[(($todo)>>2)]=-2; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 692: 
      $elseif=0; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 693; break; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 693: 
      var $3173=$3; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3174=$3; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3175=__ZL13GetJumpOffsetPhS_($3173, $3174); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$3175; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3176=$cx; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3177=$jp; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3178=(($3177+56)|0); //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3179=HEAP32[(($3178)>>2)]; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3180=$3; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3181=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($3176, $3179, $3180); //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$3181; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3182=$sn; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3183=(($3182)|0)!=0; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3183) { __label__ = 694; break; } else { __label__ = 698; break; } //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 694: 
      var $3185=$sn; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3186=HEAPU8[($3185)]; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3187=(($3186)&255); //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3188=$3187 >> 3; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3189=(($3188)|0) >= 24; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3189) { __label__ = 695; break; } else { __label__ = 696; break; } //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 695: 
      var $3197 = 24;__label__ = 697; break; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 696: 
      var $3192=$sn; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3193=HEAPU8[($3192)]; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3194=(($3193)&255); //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3195=$3194 >> 3; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3197 = $3195;__label__ = 697; break; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 697: 
      var $3197; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3200 = $3197;__label__ = 699; break; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 698: 
      var $3200 = 0;__label__ = 699; break; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 699: 
      var $3200; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($3200)|0) == 1 || (($3200)|0) == 2) {
        __label__ = 700; break;
      }
      else if ((($3200)|0) == 9) {
        __label__ = 746; break;
      }
      else {
      __label__ = 763; break;
      }
      
    case 700: 
      var $3202=$2; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3203=$2; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3204=(($3203+28)|0); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3205=HEAP32[(($3204)>>2)]; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3206=(($3205-1)|0); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3207=$2; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3208=(($3207+24)|0); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3209=HEAP32[(($3208)>>2)]; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3210=(($3209+$3206)|0); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3211=HEAPU8[($3210)]; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3212=(($3211)&255); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3213=((_js_CodeSpec+($3212<<3))|0); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3214=(($3213+4)|0); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3215=HEAP32[(($3214)>>2)]; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3216=$3215 & 256; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3217=(($3216)|0)!=0; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3218=$3217 ? 7 : 0; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3219=__ZL6PopStrP11SprintStack4JSOp($3202, $3218); //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3219; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3220=$2; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3221=(($3220+32)|0); //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3222=HEAP32[(($3221)>>2)]; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3223=(($3222)|0)!=0; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3223) { __label__ = 702; break; } else { __label__ = 701; break; } //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 701: 
      var $3225=$2; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3226=(($3225+36)|0); //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3227=HEAP32[(($3226)>>2)]; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3228=(($3227)|0)!=0; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3228) { __label__ = 702; break; } else { __label__ = 712; break; } //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 702: 
      __label__ = 703; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 703: 
      var $3231=$sn; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3232=HEAPU8[($3231)]; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3233=(($3232)&255); //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3234=$3233 >> 3; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3235=(($3234)|0) >= 24; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3235) { __label__ = 704; break; } else { __label__ = 705; break; } //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 704: 
      var $3243 = 24;__label__ = 706; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 705: 
      var $3238=$sn; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3239=HEAPU8[($3238)]; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3240=(($3239)&255); //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3241=$3240 >> 3; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3243 = $3241;__label__ = 706; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 706: 
      var $3243; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3244=(($3243)|0)==1; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3244) { __label__ = 708; break; } else { __label__ = 707; break; } //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 707: 
      $1=0; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 708: 
      __label__ = 709; break; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 709: 
      var $3248=$2; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3249=(($3248)|0); //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3250=(($3249+16)|0); //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3251=HEAP32[(($3250)>>2)]; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3252=(($3251-3)|0); //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3250)>>2)]=$3252; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3253=$2; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3254=(($3253)|0); //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3255=$rval; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3256=__ZN2js6SprintEPNS_8SprinterEPKcz($3254, ((STRING_TABLE.__str772750)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3255,tempInt)); //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3257=(($3256)|0) < 0; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3257) { __label__ = 710; break; } else { __label__ = 711; break; } //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 710: 
      $1=0; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 711: 
      var $3260=$2; //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZL12AddParenSlopP11SprintStack($3260); //@line 3398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 716; break; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 712: 
      var $3262=$jp; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3263=$elseif; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3264=(($3263)|0)!=0; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3264) { __label__ = 713; break; } else { __label__ = 714; break; } //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 713: 
      var $3268 = STRING_TABLE.__str782751;__label__ = 715; break; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 714: 
      var $3268 = STRING_TABLE.__str792752;__label__ = 715; break; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 715: 
      var $3268; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3269=(($3268)|0); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3270=$rval; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3271=_js_printf($3262, $3269, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3270,tempInt)); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3272=$jp; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3273=(($3272+48)|0); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3274=HEAP32[(($3273)>>2)]; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3275=(($3274+4)|0); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3273)>>2)]=$3275; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 716; break;
    case 716: 
      var $3277=$sn; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3278=HEAPU8[($3277)]; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3279=(($3278)&255); //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3280=$3279 >> 3; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3281=(($3280)|0) >= 24; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3281) { __label__ = 717; break; } else { __label__ = 718; break; } //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 717: 
      var $3289 = 24;__label__ = 719; break; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 718: 
      var $3284=$sn; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3285=HEAPU8[($3284)]; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3286=(($3285)&255); //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3287=$3286 >> 3; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3289 = $3287;__label__ = 719; break; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 719: 
      var $3289; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3290=(($3289)|0)==1; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3290) { __label__ = 720; break; } else { __label__ = 723; break; } //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 720: 
      var $3292=$2; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3293=$3; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3294=$oplen; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3295=(($3293+$3294)|0); //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3296=$len; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3297=$oplen; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3298=(($3296-$3297)|0); //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3299=__ZL9DecompileP11SprintStackPhi4JSOp($3292, $3295, $3298, 0); //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3300=(($3299)|0)!=0; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3300) { __label__ = 722; break; } else { __label__ = 721; break; } //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 721: 
      $1=0; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 722: 
      __label__ = 742; break; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 723: 
      __label__ = 724; break; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 724: 
      var $3305=$2; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3306=(($3305+32)|0); //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3307=HEAP32[(($3306)>>2)]; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3308=(($3307)|0)!=0; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3308) { __label__ = 726; break; } else { __label__ = 725; break; } //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 725: 
      var $3310=$2; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3311=(($3310+36)|0); //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3312=HEAP32[(($3311)>>2)]; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3313=(($3312)|0)!=0; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3313) { __label__ = 726; break; } else { __label__ = 727; break; } //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 726: 
      $1=0; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 727: 
      __label__ = 728; break; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 728: 
      var $3317=$sn; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3318=_js_GetSrcNoteOffset($3317, 0); //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tail=$3318; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3319=$2; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3320=$3; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3321=$oplen; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3322=(($3320+$3321)|0); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3323=$tail; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3324=$oplen; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3325=(($3323-$3324)|0); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3326=__ZL9DecompileP11SprintStackPhi4JSOp($3319, $3322, $3325, 0); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3327=(($3326)|0)!=0; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3327) { __label__ = 730; break; } else { __label__ = 729; break; } //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 729: 
      $1=0; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 730: 
      var $3330=$jp; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3331=(($3330+48)|0); //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3332=HEAP32[(($3331)>>2)]; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3333=(($3332-4)|0); //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3331)>>2)]=$3333; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3334=$tail; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3335=$3; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3336=(($3335+$3334)|0); //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$3336; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 731; break; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 731: 
      var $3338=$3; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3339=HEAPU8[($3338)]; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3340=(($3339)&255); //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3341=(($3340)|0)==6; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3341) { __label__ = 734; break; } else { __label__ = 732; break; } //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 732: 
      var $3343=$3; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3344=HEAPU8[($3343)]; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3345=(($3344)&255); //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3346=(($3345)|0)==141; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3346) { __label__ = 734; break; } else { __label__ = 733; break; } //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 733: 
      $1=0; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 734: 
      __label__ = 735; break; //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 735: 
      var $3350=$3; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3351=HEAPU8[($3350)]; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3352=(($3351)&255); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3353=((_js_CodeSpec+($3352<<3))|0); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3354=(($3353)|0); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3355=HEAP8[($3354)]; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3356=(($3355 << 24) >> 24); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$3356; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3357=$3; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3358=$3; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3359=__ZL13GetJumpOffsetPhS_($3357, $3358); //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$3359; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3360=$jp; //@line 3417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3361=_js_printf($3360, ((STRING_TABLE.__str802753)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3362=$sn; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3363=_js_GetSrcNoteOffset($3362, 1); //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cond=$3363; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3364=$cond; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3365=(($3364)|0)!=0; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3365) { __label__ = 736; break; } else { __label__ = 739; break; } //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 736: 
      var $3367=$tail; //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3368=$cond; //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3369=(($3368-$3367)|0); //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cond=$3369; //@line 3429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3370=$2; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3371=$3; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3372=$oplen; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3373=(($3371+$3372)|0); //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3374=$cond; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3375=$oplen; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3376=(($3374-$3375)|0); //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3377=__ZL9DecompileP11SprintStackPhi4JSOp($3370, $3373, $3376, 0); //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3378=(($3377)|0)!=0; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3378) { __label__ = 738; break; } else { __label__ = 737; break; } //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 737: 
      $1=0; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 738: 
      var $3381=$cond; //@line 3431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3382=$3; //@line 3431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3383=(($3382+$3381)|0); //@line 3431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$3383; //@line 3431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3384=$3; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3385=HEAPU8[($3384)]; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3386=(($3385)&255); //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3387=((_js_CodeSpec+($3386<<3))|0); //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3388=(($3387)|0); //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3389=HEAP8[($3388)]; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3390=(($3389 << 24) >> 24); //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$3390; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $elseif=1; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 693; break; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 739: 
      var $3392=$jp; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3393=_js_printf($3392, ((STRING_TABLE.__str812754)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3394=$jp; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3395=(($3394+48)|0); //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3396=HEAP32[(($3395)>>2)]; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3397=(($3396+4)|0); //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3395)>>2)]=$3397; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3398=$2; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3399=$3; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3400=$oplen; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3401=(($3399+$3400)|0); //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3402=$len; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3403=$oplen; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3404=(($3402-$3403)|0); //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3405=__ZL9DecompileP11SprintStackPhi4JSOp($3398, $3401, $3404, 0); //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3406=(($3405)|0)!=0; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3406) { __label__ = 741; break; } else { __label__ = 740; break; } //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 740: 
      $1=0; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 741: 
      __label__ = 742; break;
    case 742: 
      var $3410=$2; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3411=(($3410+32)|0); //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3412=HEAP32[(($3411)>>2)]; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3413=(($3412)|0)!=0; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3413) { __label__ = 745; break; } else { __label__ = 743; break; } //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 743: 
      var $3415=$2; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3416=(($3415+36)|0); //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3417=HEAP32[(($3416)>>2)]; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3418=(($3417)|0)!=0; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3418) { __label__ = 745; break; } else { __label__ = 744; break; } //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 744: 
      var $3420=$jp; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3421=(($3420+48)|0); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3422=HEAP32[(($3421)>>2)]; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3423=(($3422-4)|0); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3421)>>2)]=$3423; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3424=$jp; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3425=_js_printf($3424, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 745; break; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 745: 
      HEAP32[(($todo)>>2)]=-2; //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 764; break; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 746: 
      var $3428=$cx; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3429=$2; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3430=$op; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3431=__ZL6PopStrP11SprintStack4JSOp($3429, $3430); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3432=_JS_strdup($3428, $3431); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$3432; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3433=$xval; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3434=(($3433)|0)!=0; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3434) { __label__ = 748; break; } else { __label__ = 747; break; } //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 747: 
      $1=0; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 748: 
      var $3437=$sn; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3438=_js_GetSrcNoteOffset($3437, 0); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$3438; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=0; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3439=$2; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3440=$3; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3441=$oplen; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3442=(($3440+$3441)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3443=$len; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3444=$oplen; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3445=(($3443-$3444)|0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3446=__ZL9DecompileP11SprintStackPhi4JSOp($3439, $3442, $3445, 0); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3447=(($3446)|0)!=0; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3447) { __label__ = 750; break; } else { __label__ = 749; break; } //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 749: 
      __label__ = 760; break; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 750: 
      var $3450=$cx; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3451=$2; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3452=$op; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3453=__ZL6PopStrP11SprintStack4JSOp($3451, $3452); //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3454=_JS_strdup($3450, $3453); //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$3454; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3455=$lval; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3456=(($3455)|0)!=0; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3456) { __label__ = 752; break; } else { __label__ = 751; break; } //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 751: 
      __label__ = 760; break; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 752: 
      var $3459=$len; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3460=$3; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3461=(($3460+$3459)|0); //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$3461; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 753; break; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 753: 
      var $3463=$3; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3464=HEAPU8[($3463)]; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3465=(($3464)&255); //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3466=(($3465)|0)==6; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3466) { __label__ = 756; break; } else { __label__ = 754; break; } //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 754: 
      var $3468=$3; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3469=HEAPU8[($3468)]; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3470=(($3469)&255); //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3471=(($3470)|0)==141; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3471) { __label__ = 756; break; } else { __label__ = 755; break; } //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 755: 
      $1=0; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 756: 
      __label__ = 757; break; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 757: 
      var $3475=$3; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3476=HEAPU8[($3475)]; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3477=(($3476)&255); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3478=((_js_CodeSpec+($3477<<3))|0); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3479=(($3478)|0); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3480=HEAP8[($3479)]; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3481=(($3480 << 24) >> 24); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$3481; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3482=$3; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3483=$3; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3484=__ZL13GetJumpOffsetPhS_($3482, $3483); //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$3484; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3485=$2; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3486=$3; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3487=$oplen; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3488=(($3486+$3487)|0); //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3489=$len; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3490=$oplen; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3491=(($3489-$3490)|0); //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3492=__ZL9DecompileP11SprintStackPhi4JSOp($3485, $3488, $3491, 0); //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3493=(($3492)|0)!=0; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3493) { __label__ = 759; break; } else { __label__ = 758; break; } //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 758: 
      __label__ = 760; break; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 759: 
      var $3496=$2; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3497=$op; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3498=__ZL6PopStrP11SprintStack4JSOp($3496, $3497); //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3498; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3499=$2; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3500=(($3499)|0); //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3501=$xval; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3502=$lval; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3503=$rval; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3504=__ZN2js6SprintEPNS_8SprinterEPKcz($3500, ((STRING_TABLE.__str822755)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3501,HEAP32[((tempInt+4)>>2)]=$3502,HEAP32[((tempInt+8)>>2)]=$3503,tempInt)); //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3504; //@line 3464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3505=$cx; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3506=$xval; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($3505, $3506); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3507=$cx; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3508=$lval; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($3507, $3508); //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 764; break; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 760: 
      var $3510=$cx; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3511=$xval; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($3510, $3511); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3512=$lval; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3513=(($3512)|0)!=0; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3513) { __label__ = 761; break; } else { __label__ = 762; break; } //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 761: 
      var $3515=$cx; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3516=$lval; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($3515, $3516); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 762; break; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 762: 
      $1=0; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 763: 
      __label__ = 764; break; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 764: 
      __label__ = 1569; break; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 765: 
      __label__ = 766; break; //@line 3484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 766: 
      $1=0; //@line 3484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 767: 
      $xval=((STRING_TABLE.__str832756)|0); //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 768; break; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 768: 
      var $3525=$cx; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3526=$2; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3527=$op; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3528=__ZL6PopStrP11SprintStack4JSOp($3526, $3527); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3529=_JS_strdup($3525, $3528); //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$3529; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3530=$lval; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3531=(($3530)|0)!=0; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3531) { __label__ = 770; break; } else { __label__ = 769; break; } //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 769: 
      $1=0; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 770: 
      var $3534=$3; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3535=$3; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3536=$3; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3537=__ZL13GetJumpOffsetPhS_($3535, $3536); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3538=(($3534+$3537)|0); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $done=$3538; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3539=$len; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3540=$3; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3541=(($3540+$3539)|0); //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$3541; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3542=$done; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3543=$3; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3544=$3542; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3545=$3543; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3546=(($3544-$3545)|0); //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$3546; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3547=$2; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3548=$3; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3549=$len; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3550=$op; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3551=__ZL9DecompileP11SprintStackPhi4JSOp($3547, $3548, $3549, $3550); //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3552=(($3551)|0)!=0; //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3552) { __label__ = 772; break; } else { __label__ = 771; break; } //@line 3499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 771: 
      var $3554=$cx; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3555=$lval; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($3554, $3555); //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 772: 
      var $3557=$2; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3558=$op; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3559=__ZL6PopStrP11SprintStack4JSOp($3557, $3558); //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3559; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3560=$jp; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3561=(($3560+52)|0); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3562=HEAP8[($3561)]; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3563=(($3562) & 1); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3563) { __label__ = 773; break; } else { __label__ = 780; break; } //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 773: 
      var $3565=$jp; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3566=(($3565+48)|0); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3567=HEAP32[(($3566)>>2)]; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3568=(($3567+4)|0); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3569=$lval; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3570=_strlen($3569); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3571=(($3568+$3570)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3572=(($3571+4)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3573=$rval; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3574=_strlen($3573); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3575=(($3572+$3574)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3576=(($3575)>>>0) > 75; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3576) { __label__ = 774; break; } else { __label__ = 780; break; } //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 774: 
      var $3578=$cx; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3579=$rval; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3580=_JS_strdup($3578, $3579); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3580; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3581=$rval; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3582=(($3581)|0)!=0; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3582) { __label__ = 776; break; } else { __label__ = 775; break; } //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 775: 
      $tail=-1; //@line 3508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 777; break; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 776: 
      var $3585=$2; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3586=(($3585)|0); //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3587=$lval; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3588=$xval; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3589=__ZN2js6SprintEPNS_8SprinterEPKcz($3586, ((STRING_TABLE.__str842757)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3587,HEAP32[((tempInt+4)>>2)]=$3588,tempInt)); //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3589; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3590=$2; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3591=(($3590)|0); //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3592=$jp; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3593=(($3592+48)|0); //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3594=HEAP32[(($3593)>>2)]; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3595=(($3594+4)|0); //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3596=$rval; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3597=__ZN2js6SprintEPNS_8SprinterEPKcz($3591, ((STRING_TABLE.__str852758)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3595,HEAP32[((tempInt+4)>>2)]=((__str272700)|0),HEAP32[((tempInt+8)>>2)]=$3596,tempInt)); //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tail=$3597; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3598=$cx; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3599=$rval; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($3598, $3599); //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 777; break;
    case 777: 
      var $3601=$tail; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3602=(($3601)|0) < 0; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3602) { __label__ = 778; break; } else { __label__ = 779; break; } //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 778: 
      HEAP32[(($todo)>>2)]=-1; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 779; break; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 779: 
      __label__ = 781; break; //@line 3517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 780: 
      var $3606=$2; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3607=(($3606)|0); //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3608=$lval; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3609=$xval; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3610=$rval; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3611=__ZN2js6SprintEPNS_8SprinterEPKcz($3607, ((STRING_TABLE.__str402713)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3608,HEAP32[((tempInt+4)>>2)]=$3609,HEAP32[((tempInt+8)>>2)]=$3610,tempInt)); //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3611; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 781; break;
    case 781: 
      var $3613=$cx; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3614=$lval; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($3613, $3614); //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 782: 
      $xval=((STRING_TABLE.__str862759)|0); //@line 3525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 768; break; //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 783: 
      $atom=0; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=0; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3617=$2; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3618=$op; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3619=__ZL6PopStrP11SprintStack4JSOp($3617, $3618); //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$3619; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=55; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3620=$2; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3621=$op; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3622=__ZL6PopStrP11SprintStack4JSOp($3620, $3621); //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$3622; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3623=HEAP32[(($saveop)>>2)]; //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$3623; //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3624=$2; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3625=$op; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3626=__ZL6PopStrP11SprintStack4JSOp($3624, $3625); //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3626; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 784; break; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 784: 
      var $3628=$rval; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3629=_strcmp($3628, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE14forelem_cookie)|0)); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3630=(($3629)|0)==0; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3630) { __label__ = 786; break; } else { __label__ = 785; break; } //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 785: 
      $1=0; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 786: 
      __label__ = 787; break; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 787: 
      var $3634=$xval; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3635=HEAP8[($3634)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3636=(($3635 << 24) >> 24); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3637=(($3636)|0)==0; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3637) { __label__ = 788; break; } else { __label__ = 789; break; } //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 788: 
      var $3639=$2; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3640=(($3639)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3641=$lval; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3642=__ZN2js13SprintCStringEPNS_8SprinterEPKc($3640, $3641); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3642; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 790; break; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 789: 
      var $3644=$2; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3645=(($3644)|0); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3646=$lastop; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3647=((_js_CodeSpec+($3646<<3))|0); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3648=(($3647+4)|0); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3649=HEAP32[(($3648)>>2)]; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3650=$3649 & 224; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3651=(($3650)|0)==128; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3652=$3651 ? (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10dot_format)|0)) : (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE12index_format)|0)); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3653=$lval; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3654=$xval; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3655=__ZN2js6SprintEPNS_8SprinterEPKcz($3645, $3652, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3653,HEAP32[((tempInt+4)>>2)]=$3654,tempInt)); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3655; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 790; break;
    case 790: 
      __label__ = 1569; break; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 791: 
      HEAP32[(($todo)>>2)]=-2; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 792: 
      var $3659=$2; //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3660=$2; //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3661=(($3660+28)|0); //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3662=HEAP32[(($3661)>>2)]; //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3663=(($3662-2)|0); //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3664=__ZL6GetStrP11SprintStackj($3659, $3663); //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3664; //@line 3562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3665=$2; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3666=(($3665)|0); //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3667=$rval; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3668=__ZN2js13SprintCStringEPNS_8SprinterEPKc($3666, $3667); //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3668; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3669=HEAP32[(($todo)>>2)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3670=(($3669)|0) < 0; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3670) { __label__ = 794; break; } else { __label__ = 793; break; } //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 793: 
      var $3672=$2; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3673=HEAP32[(($todo)>>2)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3674=$2; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3675=(($3674+28)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3676=HEAP32[(($3675)>>2)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3677=(($3676-2)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3678=$2; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3679=(($3678+24)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3680=HEAP32[(($3679)>>2)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3681=(($3680+$3677)|0); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3682=HEAPU8[($3681)]; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3683=(($3682)&255); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3684=__ZL7PushOffP11SprintStacki4JSOp($3672, $3673, $3683); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3685=(($3684)|0)!=0; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3685) { __label__ = 795; break; } else { __label__ = 794; break; } //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 794: 
      $1=0; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 795: 
      __label__ = 796; break; //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 796: 
      var $3689=$cx; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3690=$jp; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3691=(($3690+56)|0); //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3692=HEAP32[(($3691)>>2)]; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3693=$3; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3694=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($3689, $3692, $3693); //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$3694; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3695=$sn; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3696=(($3695)|0)!=0; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3696) { __label__ = 797; break; } else { __label__ = 812; break; } //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 797: 
      __label__ = 798; break; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 798: 
      var $3699=$sn; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3700=HEAPU8[($3699)]; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3701=(($3700)&255); //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3702=$3701 >> 3; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3703=(($3702)|0) >= 24; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3703) { __label__ = 799; break; } else { __label__ = 800; break; } //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 799: 
      var $3711 = 24;__label__ = 801; break; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 800: 
      var $3706=$sn; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3707=HEAPU8[($3706)]; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3708=(($3707)&255); //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3709=$3708 >> 3; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3711 = $3709;__label__ = 801; break; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 801: 
      var $3711; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3712=(($3711)|0)==6; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3712) { __label__ = 803; break; } else { __label__ = 802; break; } //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 802: 
      $1=0; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 803: 
      __label__ = 804; break; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 804: 
      var $3716=$2; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3717=$3; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3718=$endpc; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3719=__ZL22DecompileDestructuringP11SprintStackPhS1_($3716, $3717, $3718); //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$3719; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3720=$3; //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3721=(($3720)|0)!=0; //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3721) { __label__ = 806; break; } else { __label__ = 805; break; } //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 805: 
      $1=0; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 806: 
      $len=0; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3724=$2; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3725=$op; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3726=__ZL6PopStrP11SprintStack4JSOp($3724, $3725); //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$3726; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($saveop)>>2)]=124; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=124; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3727=$2; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3728=$op; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3729=__ZL6PopStrP11SprintStack4JSOp($3727, $3728); //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3729; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3730=$rval; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3731=_strcmp($3730, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE14forelem_cookie)|0)); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3732=(($3731)|0)==0; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3732) { __label__ = 807; break; } else { __label__ = 810; break; } //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 807: 
      var $3734=$2; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3735=(($3734)|0); //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3736=$sn; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3737=__ZL9VarPrefixPh($3736); //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3738=$lval; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3739=__ZN2js6SprintEPNS_8SprinterEPKcz($3735, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3737,HEAP32[((tempInt+4)>>2)]=$3738,tempInt)); //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3739; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3740=$3; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3741=HEAPU8[($3740)]; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3742=(($3741)&255); //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3743=(($3742)|0)==81; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3743) { __label__ = 808; break; } else { __label__ = 809; break; } //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 808: 
      $len=1; //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 809; break; //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 809: 
      __label__ = 811; break; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 810: 
      var $3747=$2; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3748=(($3747)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3749=$sn; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3750=__ZL9VarPrefixPh($3749); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3751=$lval; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3752=$rval; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3753=__ZN2js6SprintEPNS_8SprinterEPKcz($3748, ((STRING_TABLE.__str872760)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3750,HEAP32[((tempInt+4)>>2)]=$3751,HEAP32[((tempInt+8)>>2)]=$3752,tempInt)); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3753; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 811; break;
    case 811: 
      __label__ = 1569; break; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 812: 
      var $3756=$2; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3757=$2; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3758=(($3757+28)|0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3759=HEAP32[(($3758)>>2)]; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3760=(($3759-1)|0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3761=__ZL6GetStrP11SprintStackj($3756, $3760); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3761; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3762=$2; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3763=(($3762+28)|0); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3764=HEAP32[(($3763)>>2)]; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3765=(($3764-1)|0); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3766=$2; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3767=(($3766+24)|0); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3768=HEAP32[(($3767)>>2)]; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3769=(($3768+$3765)|0); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3770=HEAPU8[($3769)]; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3771=(($3770)&255); //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($saveop)>>2)]=$3771; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3772=$2; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3773=(($3772)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3774=$rval; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3775=__ZN2js13SprintCStringEPNS_8SprinterEPKc($3773, $3774); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3775; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 813: 
      var $3777=$jp; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3778=$3; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3779=(($3778+1)|0); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3780=HEAPU8[($3779)]; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3781=(($3780)&255); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3782=$3781 << 8; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3783=$3; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3784=(($3783+2)|0); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3785=HEAPU8[($3784)]; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3786=(($3785)&255); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3787=$3782 | $3786; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3788=__ZL15GetArgOrVarAtomP9JSPrinterj($3777, $3787); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$3788; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 814; break; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 814: 
      var $3790=$atom; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3791=(($3790)|0)!=0; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3791) { __label__ = 816; break; } else { __label__ = 815; break; } //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 815: 
      $1=0; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 816: 
      __label__ = 817; break; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 817: 
      __label__ = 827; break; //@line 3606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 818: 
      __label__ = 819; break; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 819: 
      var $3797=$cx; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3798=$jp; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3799=(($3798+56)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3800=HEAP32[(($3799)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3801=$3; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3802=_js_GetIndexFromBytecode($3797, $3800, $3801, 0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_5=$3802; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 820; break; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 820: 
      var $3804=$3; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3805=$jp; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3806=(($3805+56)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3807=HEAP32[(($3806)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3808=(($3807)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3809=HEAPU32[(($3808)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3810=(($3804)>>>0) < (($3809)>>>0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3810) { __label__ = 822; break; } else { __label__ = 821; break; } //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 821: 
      var $3812=$jp; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3813=(($3812+56)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3814=HEAP32[(($3813)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3815=(($3814)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3816=HEAP32[(($3815)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3817=$jp; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3818=(($3817+56)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3819=HEAP32[(($3818)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3820=(($3819+8)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3821=HEAP32[(($3820)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3822=(($3816+$3821)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3823=$3; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3824=(($3822)>>>0) <= (($3823)>>>0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3824) { __label__ = 822; break; } else { __label__ = 823; break; } //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 822: 
      var $3826=$index_5; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3827=$cx; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3828=(($3827+52)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3829=HEAP32[(($3828)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3830=(($3829+209948)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3831=__ZN11JSAtomState16commonAtomsStartEv($3830); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3832=(($3831+($3826<<2))|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3833=HEAP32[(($3832)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$3833; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 824; break; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 823: 
      var $3835=$jp; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3836=(($3835+56)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3837=HEAP32[(($3836)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3838=$index_5; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3839=__ZN8JSScript7getAtomEj($3837, $3838); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$3839; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 824; break;
    case 824: 
      __label__ = 825; break; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 825: 
      __label__ = 826; break; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 826: 
      __label__ = 827; break; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 827: 
      var $3844=$2; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3845=(($3844)|0); //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3846=$atom; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3847=$3846; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3848=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($3845, $3847, 0); //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$3848; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3849=$lval; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3850=(($3849)|0)!=0; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3850) { __label__ = 829; break; } else { __label__ = 828; break; } //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 828: 
      $1=0; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 829: 
      var $3853=$2; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3854=$op; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3855=__ZL6PopStrP11SprintStack4JSOp($3853, $3854); //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3855; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3856=$op; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3857=(($3856)|0)==111; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3857) { __label__ = 831; break; } else { __label__ = 830; break; } //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 830: 
      var $3859=$op; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3860=(($3859)|0)==157; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3860) { __label__ = 831; break; } else { __label__ = 832; break; } //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 831: 
      var $3862=$2; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3863=$op; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3864=__ZL6PopOffP11SprintStack4JSOp($3862, $3863); //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 832; break; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 832: 
      __label__ = 833; break; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 833: 
      var $3867=$cx; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3868=$jp; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3869=(($3868+56)|0); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3870=HEAP32[(($3869)>>2)]; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3871=$3; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3872=(($3871-1)|0); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3873=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($3867, $3870, $3872); //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$3873; //@line 3622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3874=$sn; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3875=(($3874)|0)!=0; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3875) { __label__ = 834; break; } else { __label__ = 845; break; } //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 834: 
      var $3877=$sn; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3878=HEAPU8[($3877)]; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3879=(($3878)&255); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3880=$3879 >> 3; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3881=(($3880)|0) >= 24; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3881) { __label__ = 835; break; } else { __label__ = 836; break; } //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 835: 
      var $3889 = 24;__label__ = 837; break; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 836: 
      var $3884=$sn; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3885=HEAPU8[($3884)]; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3886=(($3885)&255); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3887=$3886 >> 3; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3889 = $3887;__label__ = 837; break; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 837: 
      var $3889; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3890=(($3889)|0)==8; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3890) { __label__ = 838; break; } else { __label__ = 845; break; } //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 838: 
      var $3892=$2; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3893=(($3892)|0); //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3894=$lval; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3895=$lastop; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3896=(($3895)|0)==125; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3896) { __label__ = 839; break; } else { __label__ = 840; break; } //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 839: 
      var $3909 = ((STRING_TABLE._js_getter_str)|0);__label__ = 844; break; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 840: 
      var $3899=$lastop; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3900=(($3899)|0)==126; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3900) { __label__ = 841; break; } else { __label__ = 842; break; } //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 841: 
      var $3907 = ((STRING_TABLE._js_setter_str)|0);__label__ = 843; break; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 842: 
      var $3903=$lastop; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3904=((__ZL9CodeToken+($3903<<2))|0); //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3905=HEAP32[(($3904)>>2)]; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3907 = $3905;__label__ = 843; break; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 843: 
      var $3907; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3909 = $3907;__label__ = 844; break; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 844: 
      var $3909; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3910=$rval; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3911=__ZN2js6SprintEPNS_8SprinterEPKcz($3893, ((STRING_TABLE.__str882761)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3894,HEAP32[((tempInt+4)>>2)]=$3909,HEAP32[((tempInt+8)>>2)]=$3910,tempInt)); //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3911; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 846; break; //@line 3632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 845: 
      var $3913=$cx; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3914=$jp; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3915=(($3914+56)|0); //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3916=HEAP32[(($3915)>>2)]; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3917=$3; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3918=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($3913, $3916, $3917); //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$3918; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3919=$2; //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3920=(($3919)|0); //@line 3634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3921=$sn; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3922=__ZL9VarPrefixPh($3921); //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3923=$lval; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3924=$rval; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3925=__ZN2js6SprintEPNS_8SprinterEPKcz($3920, ((STRING_TABLE.__str872760)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3922,HEAP32[((tempInt+4)>>2)]=$3923,HEAP32[((tempInt+8)>>2)]=$3924,tempInt)); //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$3925; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 846; break;
    case 846: 
      var $3927=$op; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3928=(($3927)|0)==132; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3928) { __label__ = 847; break; } else { __label__ = 854; break; } //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 847: 
      var $3930=$2; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3931=HEAP32[(($todo)>>2)]; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3932=HEAP32[(($saveop)>>2)]; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3933=__ZL7PushOffP11SprintStacki4JSOp($3930, $3931, $3932); //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3934=(($3933)|0)!=0; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3934) { __label__ = 849; break; } else { __label__ = 848; break; } //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 848: 
      $1=0; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 849: 
      var $3937=$2; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3938=$op; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3939=__ZL6PopStrP11SprintStack4JSOp($3937, $3938); //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$3939; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 850; break; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 850: 
      var $3941=$rval; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3942=HEAP8[($3941)]; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3943=(($3942 << 24) >> 24); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3944=(($3943)|0)!=0; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3944) { __label__ = 852; break; } else { __label__ = 851; break; } //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 851: 
      $1=0; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 852: 
      __label__ = 853; break; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 853: 
      var $3948=$jp; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3949=$rval; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3950=_js_printf($3948, ((STRING_TABLE.__str582731)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$3949,tempInt)); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 854; break; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 854: 
      __label__ = 1569; break; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 855: 
      var $3953=$3; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3954=(($3953+1)|0); //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3955=HEAPU8[($3954)]; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3956=(($3955)&255); //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3957=$3956 << 8; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3958=$3; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3959=(($3958+2)|0); //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3960=HEAPU8[($3959)]; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3961=(($3960)&255); //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3962=$3957 | $3961; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $argc=$3962; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3963=$cx; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3964=$argc; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3965=(($3964+1)|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3966=((($3965<<2))|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3967=__ZN9JSContext7malloc_Ej($3963, $3966); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3968=$3967; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $argv=$3968; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3969=$argv; //@line 3655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3970=(($3969)|0)!=0; //@line 3655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3970) { __label__ = 857; break; } else { __label__ = 856; break; } //@line 3655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 856: 
      $1=0; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 857: 
      $op=111; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=1; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3973=$argc; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$3973; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 858; break; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 858: 
      var $3975=HEAP32[(($i)>>2)]; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3976=(($3975)|0) > 0; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3976) { __label__ = 859; break; } else { __label__ = 861; break; } //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 859: 
      var $3978=$cx; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3979=$2; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3980=$op; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3981=__ZL6PopStrP11SprintStack4JSOp($3979, $3980); //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3982=_JS_strdup($3978, $3981); //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3983=HEAP32[(($i)>>2)]; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3984=$argv; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3985=(($3984+($3983<<2))|0); //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($3985)>>2)]=$3982; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 860; break; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 860: 
      var $3987=HEAP32[(($i)>>2)]; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3988=(($3987-1)|0); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$3988; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 858; break; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 861: 
      __label__ = 862; break; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 862: 
      var $3991=$2; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3992=(($3991+28)|0); //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3993=HEAPU32[(($3992)>>2)]; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3994=(($3993)>>>0) >= 2; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($3994) { __label__ = 864; break; } else { __label__ = 863; break; } //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 863: 
      $1=0; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 864: 
      __label__ = 865; break; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 865: 
      var $3998=$2; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3999=$op; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4000=__ZL6PopOffP11SprintStack4JSOp($3998, $3999); //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4001=$2; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4002=(($4001+28)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4003=HEAP32[(($4002)>>2)]; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4004=(($4003-1)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4005=$2; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4006=(($4005+24)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4007=HEAP32[(($4006)>>2)]; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4008=(($4007+$4004)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4009=HEAPU8[($4008)]; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4010=(($4009)&255); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$4010; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4011=$2; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4012=HEAP32[(($saveop)>>2)]; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4013=(($4012)|0)==82; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4013) { __label__ = 866; break; } else { __label__ = 872; break; } //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 866: 
      var $4015=$op; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4016=(($4015)|0)==58; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4016) { __label__ = 871; break; } else { __label__ = 867; break; } //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 867: 
      var $4018=$op; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4019=(($4018)|0)==123; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4019) { __label__ = 871; break; } else { __label__ = 868; break; } //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 868: 
      var $4021=$op; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4022=(($4021)|0)==108; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4022) { __label__ = 871; break; } else { __label__ = 869; break; } //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 869: 
      var $4024=$op; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4025=(($4024)|0)==79; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4025) { __label__ = 871; break; } else { __label__ = 870; break; } //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 870: 
      var $4027=$op; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4028=((_js_CodeSpec+($4027<<3))|0); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4029=(($4028+4)|0); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4030=HEAP32[(($4029)>>2)]; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4031=$4030 & 524288; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4032=(($4031)|0)!=0; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4032) { __label__ = 871; break; } else { __label__ = 872; break; } //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 871: 
      var $4037 = 59;__label__ = 873; break; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 872: 
      var $4035=HEAP32[(($saveop)>>2)]; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4037 = $4035;__label__ = 873; break; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 873: 
      var $4037; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4038=__ZL6PopStrP11SprintStack4JSOp($4011, $4037); //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4038; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4039=HEAP32[(($saveop)>>2)]; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$4039; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4040=$cx; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4041=$lval; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4042=_JS_strdup($4040, $4041); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4043=$argv; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4044=(($4043)|0); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($4044)>>2)]=$4042; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4045=$argv; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4046=(($4045)|0); //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4047=HEAP32[(($4046)>>2)]; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4048=(($4047)|0)!=0; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4048) { __label__ = 875; break; } else { __label__ = 874; break; } //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 874: 
      $ok=0; //@line 3686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 875; break; //@line 3686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 875: 
      $lval=((STRING_TABLE.__str292702)|0); //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=((STRING_TABLE.__str362709)|0); //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4051=$op; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4052=(($4051)|0)==82; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4052) { __label__ = 876; break; } else { __label__ = 879; break; } //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 876: 
      var $4054=$argc; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4055=(($4054)|0)==0; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4055) { __label__ = 877; break; } else { __label__ = 878; break; } //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 877: 
      $rval=((__str272700)|0); //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=((__str272700)|0); //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 878; break; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 878: 
      var $4058=$2; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4059=(($4058)|0); //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4060=$argv; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4061=(($4060)|0); //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4062=HEAP32[(($4061)>>2)]; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4063=$lval; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4064=__ZN2js6SprintEPNS_8SprinterEPKcz($4059, ((STRING_TABLE.__str892762)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_new_str)|0),HEAP32[((tempInt+4)>>2)]=$4062,HEAP32[((tempInt+8)>>2)]=$4063,tempInt)); //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4064; //@line 3692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 880; break; //@line 3694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 879: 
      var $4066=$2; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4067=(($4066)|0); //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4068=$argv; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4069=(($4068)|0); //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4070=HEAP32[(($4069)>>2)]; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4071=$lval; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4072=__ZN2js6SprintEPNS_8SprinterEPKcz($4067, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4070,HEAP32[((tempInt+4)>>2)]=$4071,tempInt)); //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4072; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 880; break;
    case 880: 
      var $4074=HEAP32[(($todo)>>2)]; //@line 3698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4075=(($4074)|0) < 0; //@line 3698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4075) { __label__ = 881; break; } else { __label__ = 882; break; } //@line 3698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 881: 
      $ok=0; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 882; break; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 882: 
      HEAP32[(($i)>>2)]=1; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 883; break; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 883: 
      var $4079=HEAP32[(($i)>>2)]; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4080=$argc; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4081=(($4079)|0) <= (($4080)|0); //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4081) { __label__ = 884; break; } else { __label__ = 889; break; } //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 884: 
      var $4083=HEAP32[(($i)>>2)]; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4084=$argv; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4085=(($4084+($4083<<2))|0); //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4086=HEAP32[(($4085)>>2)]; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4087=(($4086)|0)!=0; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4087) { __label__ = 885; break; } else { __label__ = 886; break; } //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 885: 
      var $4089=$2; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4090=(($4089)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4091=HEAP32[(($i)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4092=$argv; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4093=(($4092+($4091<<2))|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4094=HEAP32[(($4093)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4095=HEAP32[(($i)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4096=$argc; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4097=(($4095)|0) < (($4096)|0); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4098=$4097 ? (((STRING_TABLE.__str332706)|0)) : (((__str272700)|0)); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4099=__ZN2js6SprintEPNS_8SprinterEPKcz($4090, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4094,HEAP32[((tempInt+4)>>2)]=$4098,tempInt)); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4100=(($4099)|0) < 0; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4100) { __label__ = 886; break; } else { __label__ = 887; break; } //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 886: 
      $ok=0; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 889; break; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 887: 
      __label__ = 888; break; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 888: 
      var $4104=HEAP32[(($i)>>2)]; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4105=(($4104+1)|0); //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$4105; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 883; break; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 889: 
      var $4107=$2; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4108=(($4107)|0); //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4109=$rval; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4110=__ZN2js6SprintEPNS_8SprinterEPKcz($4108, $4109, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4111=(($4110)|0) < 0; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4111) { __label__ = 890; break; } else { __label__ = 891; break; } //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 890: 
      $ok=0; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 891; break; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 891: 
      HEAP32[(($i)>>2)]=0; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 892; break; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 892: 
      var $4115=HEAP32[(($i)>>2)]; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4116=$argc; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4117=(($4115)|0) <= (($4116)|0); //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4117) { __label__ = 893; break; } else { __label__ = 895; break; } //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 893: 
      var $4119=$cx; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4120=HEAP32[(($i)>>2)]; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4121=$argv; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4122=(($4121+($4120<<2))|0); //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4123=HEAP32[(($4122)>>2)]; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($4119, $4123); //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 894; break; //@line 3713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 894: 
      var $4125=HEAP32[(($i)>>2)]; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4126=(($4125+1)|0); //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$4126; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 892; break; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 895: 
      var $4128=$cx; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4129=$argv; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4130=$4129; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($4128, $4130); //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4131=$ok; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4132=(($4131)|0)!=0; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4132) { __label__ = 897; break; } else { __label__ = 896; break; } //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 896: 
      $1=0; //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 897: 
      __label__ = 1569; break; //@line 3717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 898: 
      var $4136=$2; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4137=(($4136)|0); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4138=__ZN2js6SprintEPNS_8SprinterEPKcz($4137, ((__str272700)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4138; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 899: 
      __label__ = 900; break; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 900: 
      var $4141=$cx; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4142=$jp; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4143=(($4142+56)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4144=HEAP32[(($4143)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4145=$3; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4146=_js_GetIndexFromBytecode($4141, $4144, $4145, 0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_6=$4146; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 901; break; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 901: 
      var $4148=$3; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4149=$jp; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4150=(($4149+56)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4151=HEAP32[(($4150)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4152=(($4151)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4153=HEAPU32[(($4152)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4154=(($4148)>>>0) < (($4153)>>>0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4154) { __label__ = 903; break; } else { __label__ = 902; break; } //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 902: 
      var $4156=$jp; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4157=(($4156+56)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4158=HEAP32[(($4157)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4159=(($4158)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4160=HEAP32[(($4159)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4161=$jp; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4162=(($4161+56)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4163=HEAP32[(($4162)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4164=(($4163+8)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4165=HEAP32[(($4164)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4166=(($4160+$4165)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4167=$3; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4168=(($4166)>>>0) <= (($4167)>>>0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4168) { __label__ = 903; break; } else { __label__ = 904; break; } //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 903: 
      var $4170=$index_6; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4171=$cx; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4172=(($4171+52)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4173=HEAP32[(($4172)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4174=(($4173+209948)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4175=__ZN11JSAtomState16commonAtomsStartEv($4174); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4176=(($4175+($4170<<2))|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4177=HEAP32[(($4176)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4177; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 905; break; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 904: 
      var $4179=$jp; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4180=(($4179+56)|0); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4181=HEAP32[(($4180)>>2)]; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4182=$index_6; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4183=__ZN8JSScript7getAtomEj($4181, $4182); //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4183; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 905; break;
    case 905: 
      __label__ = 906; break; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 906: 
      __label__ = 907; break; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 907: 
      var $4187=$2; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4188=(($4187)|0); //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4189=$atom; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4190=$4189; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4191=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($4188, $4190, 0); //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4191; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4192=$lval; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4193=(($4192)|0)!=0; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4193) { __label__ = 909; break; } else { __label__ = 908; break; } //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 908: 
      $1=0; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 909: 
      var $4196=$lval; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4197=$2; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4198=(($4197)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4199=(($4198+8)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4200=HEAP32[(($4199)>>2)]; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4201=$4196; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4202=$4200; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4203=(($4201-$4202)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4204=$2; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4205=(($4204)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4206=(($4205+16)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($4206)>>2)]=$4203; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 910; break; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 910: 
      var $4208=$2; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4209=(($4208)|0); //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4210=$lval; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4211=__ZN2js6SprintEPNS_8SprinterEPKcz($4209, ((STRING_TABLE.__str692742)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_delete_str)|0),HEAP32[((tempInt+4)>>2)]=$4210,tempInt)); //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4211; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 911: 
      __label__ = 912; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 912: 
      __label__ = 913; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 913: 
      var $4215=$cx; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4216=$jp; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4217=(($4216+56)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4218=HEAP32[(($4217)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4219=$3; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4220=_js_GetIndexFromBytecode($4215, $4218, $4219, 0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_7=$4220; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 914; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 914: 
      var $4222=$3; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4223=$jp; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4224=(($4223+56)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4225=HEAP32[(($4224)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4226=(($4225)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4227=HEAPU32[(($4226)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4228=(($4222)>>>0) < (($4227)>>>0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4228) { __label__ = 916; break; } else { __label__ = 915; break; } //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 915: 
      var $4230=$jp; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4231=(($4230+56)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4232=HEAP32[(($4231)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4233=(($4232)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4234=HEAP32[(($4233)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4235=$jp; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4236=(($4235+56)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4237=HEAP32[(($4236)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4238=(($4237+8)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4239=HEAP32[(($4238)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4240=(($4234+$4239)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4241=$3; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4242=(($4240)>>>0) <= (($4241)>>>0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4242) { __label__ = 916; break; } else { __label__ = 917; break; } //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 916: 
      var $4244=$index_7; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4245=$cx; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4246=(($4245+52)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4247=HEAP32[(($4246)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4248=(($4247+209948)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4249=__ZN11JSAtomState16commonAtomsStartEv($4248); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4250=(($4249+($4244<<2))|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4251=HEAP32[(($4250)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4251; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 918; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 917: 
      var $4253=$jp; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4254=(($4253+56)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4255=HEAP32[(($4254)>>2)]; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4256=$index_7; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4257=__ZN8JSScript7getAtomEj($4255, $4256); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4257; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 918; break;
    case 918: 
      __label__ = 919; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 919: 
      __label__ = 920; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 920: 
      __label__ = 921; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 921: 
      var $4262=$atom; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4263=$4262; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4264=__Z15js_IsIdentifierP14JSLinearString($4263); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4265=(($4264)|0)!=0; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4265) { __label__ = 923; break; } else { __label__ = 922; break; } //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 922: 
      $quote_=39; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__str902763)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 924; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 923: 
      $quote_=0; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__str912764)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 924; break;
    case 924: 
      var $4269=$2; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4270=(($4269)|0); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4271=$atom; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4272=$4271; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4273=$quote_; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4274=(($4273)&65535); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4275=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($4270, $4272, $4274); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$4275; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4276=$rval; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4277=(($4276)|0)!=0; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4277) { __label__ = 926; break; } else { __label__ = 925; break; } //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 925: 
      $1=0; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 926: 
      __label__ = 927; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 927: 
      __label__ = 928; break; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 928: 
      $op=53; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4282=$2; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4283=$op; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4284=__ZL6PopStrP11SprintStack4JSOp($4282, $4283); //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4284; //@line 3736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4285=$2; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4286=(($4285)|0); //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4287=$fmt; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4288=$lval; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4289=$rval; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4290=__ZN2js6SprintEPNS_8SprinterEPKcz($4286, $4287, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_delete_str)|0),HEAP32[((tempInt+4)>>2)]=$4288,HEAP32[((tempInt+8)>>2)]=$4289,tempInt)); //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4290; //@line 3737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 929: 
      $op=0; //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4292=$2; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4293=$op; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4294=__ZL6PopStrP11SprintStack4JSOp($4292, $4293); //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$4294; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=53; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4295=$2; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4296=$op; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4297=__ZL6PopStrP11SprintStack4JSOp($4295, $4296); //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4297; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4298=$xval; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4299=HEAP8[($4298)]; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4300=(($4299 << 24) >> 24); //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4301=(($4300)|0)==0; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4301) { __label__ = 930; break; } else { __label__ = 931; break; } //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 930: 
      __label__ = 910; break; //@line 3746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 931: 
      var $4304=$2; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4305=(($4304)|0); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4306=$lastop; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4307=((_js_CodeSpec+($4306<<3))|0); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4308=(($4307+4)|0); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4309=HEAP32[(($4308)>>2)]; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4310=$4309 & 224; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4311=(($4310)|0)==128; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4312=$4311 ? (((STRING_TABLE.__str912764)|0)) : (((STRING_TABLE.__str902763)|0)); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4313=$lval; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4314=$xval; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4315=__ZN2js6SprintEPNS_8SprinterEPKcz($4305, $4312, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_delete_str)|0),HEAP32[((tempInt+4)>>2)]=$4313,HEAP32[((tempInt+8)>>2)]=$4314,tempInt)); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4315; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 932: 
      var $4317=$2; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4318=$op; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4319=__ZL6PopStrP11SprintStack4JSOp($4317, $4318); //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$4319; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=53; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4320=$2; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4321=$op; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4322=__ZL6PopStrP11SprintStack4JSOp($4320, $4321); //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4322; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4323=$2; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4324=(($4323)|0); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4325=$lval; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4326=$xval; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4327=__ZN2js6SprintEPNS_8SprinterEPKcz($4324, ((STRING_TABLE.__str922765)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_delete_str)|0),HEAP32[((tempInt+4)>>2)]=$4325,HEAP32[((tempInt+8)>>2)]=$4326,tempInt)); //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4327; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 933: 
      var $4329=$2; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4330=$op; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4331=__ZL6PopStrP11SprintStack4JSOp($4329, $4330); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$4331; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4332=$2; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4333=(($4332)|0); //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4334=$op; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4335=(($4334)|0)==40; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4335) { __label__ = 934; break; } else { __label__ = 935; break; } //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 934: 
      var $4339 = (STRING_TABLE._js_void_str);__label__ = 936; break; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 935: 
      var $4339 = (STRING_TABLE._js_typeof_str);__label__ = 936; break; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 936: 
      var $4339; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4340=(($4339)|0); //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4341=$rval; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4342=__ZN2js6SprintEPNS_8SprinterEPKcz($4333, ((STRING_TABLE.__str692742)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4340,HEAP32[((tempInt+4)>>2)]=$4341,tempInt)); //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4342; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 937: 
      var $4344=$jp; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4345=$3; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4346=(($4345+1)|0); //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4347=HEAPU8[($4346)]; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4348=(($4347)&255); //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4349=$4348 << 8; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4350=$3; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4351=(($4350+2)|0); //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4352=HEAPU8[($4351)]; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4353=(($4352)&255); //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4354=$4349 | $4353; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4355=__ZL15GetArgOrVarAtomP9JSPrinterj($4344, $4354); //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4355; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 938; break; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 938: 
      var $4357=$atom; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4358=(($4357)|0)!=0; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4358) { __label__ = 940; break; } else { __label__ = 939; break; } //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 939: 
      $1=0; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 940: 
      __label__ = 941; break; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 941: 
      __label__ = 951; break; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 942: 
      __label__ = 943; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 943: 
      var $4364=$cx; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4365=$jp; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4366=(($4365+56)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4367=HEAP32[(($4366)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4368=$3; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4369=_js_GetIndexFromBytecode($4364, $4367, $4368, 0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_8=$4369; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 944; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 944: 
      var $4371=$3; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4372=$jp; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4373=(($4372+56)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4374=HEAP32[(($4373)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4375=(($4374)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4376=HEAPU32[(($4375)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4377=(($4371)>>>0) < (($4376)>>>0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4377) { __label__ = 946; break; } else { __label__ = 945; break; } //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 945: 
      var $4379=$jp; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4380=(($4379+56)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4381=HEAP32[(($4380)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4382=(($4381)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4383=HEAP32[(($4382)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4384=$jp; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4385=(($4384+56)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4386=HEAP32[(($4385)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4387=(($4386+8)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4388=HEAP32[(($4387)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4389=(($4383+$4388)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4390=$3; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4391=(($4389)>>>0) <= (($4390)>>>0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4391) { __label__ = 946; break; } else { __label__ = 947; break; } //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 946: 
      var $4393=$index_8; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4394=$cx; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4395=(($4394+52)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4396=HEAP32[(($4395)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4397=(($4396+209948)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4398=__ZN11JSAtomState16commonAtomsStartEv($4397); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4399=(($4398+($4393<<2))|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4400=HEAP32[(($4399)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4400; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 948; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 947: 
      var $4402=$jp; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4403=(($4402+56)|0); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4404=HEAP32[(($4403)>>2)]; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4405=$index_8; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4406=__ZN8JSScript7getAtomEj($4404, $4405); //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4406; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 948; break;
    case 948: 
      __label__ = 949; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 949: 
      __label__ = 950; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 950: 
      __label__ = 951; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 951: 
      var $4411=$2; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4412=(($4411)|0); //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4413=$atom; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4414=$4413; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4415=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($4412, $4414, 0); //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4415; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4416=$lval; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4417=(($4416)|0)!=0; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4417) { __label__ = 953; break; } else { __label__ = 952; break; } //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 952: 
      $1=0; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 953: 
      var $4420=$lval; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4421=$2; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4422=(($4421)|0); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4423=(($4422+8)|0); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4424=HEAP32[(($4423)>>2)]; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4425=$4420; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4426=$4424; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4427=(($4425-$4426)|0); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4428=$2; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4429=(($4428)|0); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4430=(($4429+16)|0); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($4430)>>2)]=$4427; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 954; break; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 954: 
      var $4432=$2; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4433=(($4432)|0); //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4434=$cs; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4435=(($4434+4)|0); //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4436=HEAP32[(($4435)>>2)]; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4437=$4436 & 2048; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4438=(($4437)|0)!=0; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4439=$4438 ^ 1; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4440=(($4439)&1); //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4441=((STRING_TABLE.__ZL13js_incop_strs+$4440*3)|0); //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4442=(($4441)|0); //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4443=$lval; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4444=__ZN2js6SprintEPNS_8SprinterEPKcz($4433, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4442,HEAP32[((tempInt+4)>>2)]=$4443,tempInt)); //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4444; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4445=$3; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4446=HEAPU8[($4445)]; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4447=(($4446)&255); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4448=((_js_CodeSpec+($4447<<3))|0); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4449=(($4448+4)|0); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4450=HEAP32[(($4449)>>2)]; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4451=$4450 & 134217728; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4452=(($4451)|0)!=0; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4452) { __label__ = 955; break; } else { __label__ = 956; break; } //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 955: 
      var $4454=$3; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4455=$3; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4456=HEAPU8[($4455)]; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4457=(($4456)&255); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4458=((_js_CodeSpec+($4457<<3))|0); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4459=(($4458)|0); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4460=HEAP8[($4459)]; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4461=(($4460 << 24) >> 24); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4462=__ZN2jsL18GetDecomposeLengthEPhj2861($4454, $4461); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4463=$len; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4464=(($4463+$4462)|0); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$4464; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 956; break; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 956: 
      __label__ = 1569; break; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 957: 
      __label__ = 958; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 958: 
      __label__ = 959; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 959: 
      var $4469=$cx; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4470=$jp; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4471=(($4470+56)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4472=HEAP32[(($4471)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4473=$3; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4474=_js_GetIndexFromBytecode($4469, $4472, $4473, 0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_9=$4474; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 960; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 960: 
      var $4476=$3; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4477=$jp; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4478=(($4477+56)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4479=HEAP32[(($4478)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4480=(($4479)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4481=HEAPU32[(($4480)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4482=(($4476)>>>0) < (($4481)>>>0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4482) { __label__ = 962; break; } else { __label__ = 961; break; } //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 961: 
      var $4484=$jp; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4485=(($4484+56)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4486=HEAP32[(($4485)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4487=(($4486)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4488=HEAP32[(($4487)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4489=$jp; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4490=(($4489+56)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4491=HEAP32[(($4490)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4492=(($4491+8)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4493=HEAP32[(($4492)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4494=(($4488+$4493)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4495=$3; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4496=(($4494)>>>0) <= (($4495)>>>0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4496) { __label__ = 962; break; } else { __label__ = 963; break; } //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 962: 
      var $4498=$index_9; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4499=$cx; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4500=(($4499+52)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4501=HEAP32[(($4500)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4502=(($4501+209948)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4503=__ZN11JSAtomState16commonAtomsStartEv($4502); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4504=(($4503+($4498<<2))|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4505=HEAP32[(($4504)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4505; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 964; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 963: 
      var $4507=$jp; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4508=(($4507+56)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4509=HEAP32[(($4508)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4510=$index_9; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4511=__ZN8JSScript7getAtomEj($4509, $4510); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4511; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 964; break;
    case 964: 
      __label__ = 965; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 965: 
      __label__ = 966; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 966: 
      __label__ = 967; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 967: 
      var $4516=$atom; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4517=$4516; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4518=__Z15js_IsIdentifierP14JSLinearString($4517); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4519=(($4518)|0)!=0; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4519) { __label__ = 969; break; } else { __label__ = 968; break; } //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 968: 
      $quote_10=39; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE15preindex_format)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 970; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 969: 
      $quote_10=0; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE13predot_format)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 970; break;
    case 970: 
      var $4523=$2; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4524=(($4523)|0); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4525=$atom; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4526=$4525; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4527=$quote_10; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4528=(($4527)&65535); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4529=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($4524, $4526, $4528); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$4529; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4530=$rval; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4531=(($4530)|0)!=0; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4531) { __label__ = 972; break; } else { __label__ = 971; break; } //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 971: 
      $1=0; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 972: 
      __label__ = 973; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 973: 
      __label__ = 974; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 974: 
      $op=53; //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4536=$2; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4537=$op; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4538=__ZL6PopStrP11SprintStack4JSOp($4536, $4537); //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4538; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4539=$2; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4540=(($4539)|0); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4541=$fmt; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4542=$cs; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4543=(($4542+4)|0); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4544=HEAP32[(($4543)>>2)]; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4545=$4544 & 2048; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4546=(($4545)|0)!=0; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4547=$4546 ^ 1; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4548=(($4547)&1); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4549=((STRING_TABLE.__ZL13js_incop_strs+$4548*3)|0); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4550=(($4549)|0); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4551=$lval; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4552=$rval; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4553=__ZN2js6SprintEPNS_8SprinterEPKcz($4540, $4541, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4550,HEAP32[((tempInt+4)>>2)]=$4551,HEAP32[((tempInt+8)>>2)]=$4552,tempInt)); //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4553; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4554=$3; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4555=__ZN2jsL18GetDecomposeLengthEPhj2861($4554, 4); //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4556=$len; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4557=(($4556+$4555)|0); //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$4557; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 975: 
      $op=0; //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4559=$2; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4560=$op; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4561=__ZL6PopStrP11SprintStack4JSOp($4559, $4560); //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$4561; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=55; //@line 3817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4562=$2; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4563=$op; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4564=__ZL6PopStrP11SprintStack4JSOp($4562, $4563); //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4564; //@line 3818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4565=$xval; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4566=HEAP8[($4565)]; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4567=(($4566 << 24) >> 24); //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4568=(($4567)|0)!=0; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4568) { __label__ = 976; break; } else { __label__ = 977; break; } //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 976: 
      var $4570=$2; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4571=(($4570)|0); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4572=$lastop; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4573=((_js_CodeSpec+($4572<<3))|0); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4574=(($4573+4)|0); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4575=HEAP32[(($4574)>>2)]; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4576=$4575 & 224; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4577=(($4576)|0)==128; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4578=$4577 ? (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE13predot_format)|0)) : (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE15preindex_format)|0)); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4579=$cs; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4580=(($4579+4)|0); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4581=HEAP32[(($4580)>>2)]; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4582=$4581 & 2048; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4583=(($4582)|0)!=0; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4584=$4583 ^ 1; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4585=(($4584)&1); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4586=((STRING_TABLE.__ZL13js_incop_strs+$4585*3)|0); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4587=(($4586)|0); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4588=$lval; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4589=$xval; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4590=__ZN2js6SprintEPNS_8SprinterEPKcz($4571, $4578, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4587,HEAP32[((tempInt+4)>>2)]=$4588,HEAP32[((tempInt+8)>>2)]=$4589,tempInt)); //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4590; //@line 3820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 978; break; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 977: 
      var $4592=$2; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4593=(($4592)|0); //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4594=$cs; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4595=(($4594+4)|0); //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4596=HEAP32[(($4595)>>2)]; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4597=$4596 & 2048; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4598=(($4597)|0)!=0; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4599=$4598 ^ 1; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4600=(($4599)&1); //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4601=((STRING_TABLE.__ZL13js_incop_strs+$4600*3)|0); //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4602=(($4601)|0); //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4603=$lval; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4604=__ZN2js6SprintEPNS_8SprinterEPKcz($4593, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4602,HEAP32[((tempInt+4)>>2)]=$4603,tempInt)); //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4604; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 978; break;
    case 978: 
      var $4606=$3; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4607=__ZN2jsL18GetDecomposeLengthEPhj2861($4606, 2); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4608=$len; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4609=(($4608+$4607)|0); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$4609; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 979: 
      var $4611=$jp; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4612=$3; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4613=(($4612+1)|0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4614=HEAPU8[($4613)]; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4615=(($4614)&255); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4616=$4615 << 8; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4617=$3; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4618=(($4617+2)|0); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4619=HEAPU8[($4618)]; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4620=(($4619)&255); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4621=$4616 | $4620; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4622=__ZL15GetArgOrVarAtomP9JSPrinterj($4611, $4621); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4622; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 980; break; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 980: 
      var $4624=$atom; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4625=(($4624)|0)!=0; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4625) { __label__ = 982; break; } else { __label__ = 981; break; } //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 981: 
      $1=0; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 982: 
      __label__ = 983; break; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 983: 
      __label__ = 993; break; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 984: 
      __label__ = 985; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 985: 
      var $4631=$cx; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4632=$jp; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4633=(($4632+56)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4634=HEAP32[(($4633)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4635=$3; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4636=_js_GetIndexFromBytecode($4631, $4634, $4635, 0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_11=$4636; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 986; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 986: 
      var $4638=$3; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4639=$jp; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4640=(($4639+56)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4641=HEAP32[(($4640)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4642=(($4641)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4643=HEAPU32[(($4642)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4644=(($4638)>>>0) < (($4643)>>>0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4644) { __label__ = 988; break; } else { __label__ = 987; break; } //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 987: 
      var $4646=$jp; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4647=(($4646+56)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4648=HEAP32[(($4647)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4649=(($4648)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4650=HEAP32[(($4649)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4651=$jp; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4652=(($4651+56)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4653=HEAP32[(($4652)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4654=(($4653+8)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4655=HEAP32[(($4654)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4656=(($4650+$4655)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4657=$3; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4658=(($4656)>>>0) <= (($4657)>>>0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4658) { __label__ = 988; break; } else { __label__ = 989; break; } //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 988: 
      var $4660=$index_11; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4661=$cx; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4662=(($4661+52)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4663=HEAP32[(($4662)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4664=(($4663+209948)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4665=__ZN11JSAtomState16commonAtomsStartEv($4664); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4666=(($4665+($4660<<2))|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4667=HEAP32[(($4666)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4667; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 990; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 989: 
      var $4669=$jp; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4670=(($4669+56)|0); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4671=HEAP32[(($4670)>>2)]; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4672=$index_11; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4673=__ZN8JSScript7getAtomEj($4671, $4672); //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4673; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 990; break;
    case 990: 
      __label__ = 991; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 991: 
      __label__ = 992; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 992: 
      __label__ = 993; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 993: 
      var $4678=$2; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4679=(($4678)|0); //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4680=$atom; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4681=$4680; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4682=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($4679, $4681, 0); //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4682; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4683=$lval; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4684=(($4683)|0)!=0; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4684) { __label__ = 995; break; } else { __label__ = 994; break; } //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 994: 
      $1=0; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 995: 
      var $4687=$lval; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4688=$2; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4689=(($4688)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4690=(($4689+8)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4691=HEAP32[(($4690)>>2)]; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4692=$4687; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4693=$4691; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4694=(($4692-$4693)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4695=$2; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4696=(($4695)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4697=(($4696+16)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($4697)>>2)]=$4694; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 996; break; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 996: 
      var $4699=$2; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4700=(($4699)|0); //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4701=$lval; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4702=$cs; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4703=(($4702+4)|0); //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4704=HEAP32[(($4703)>>2)]; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4705=$4704 & 2048; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4706=(($4705)|0)!=0; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4707=$4706 ^ 1; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4708=(($4707)&1); //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4709=((STRING_TABLE.__ZL13js_incop_strs+$4708*3)|0); //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4710=(($4709)|0); //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4711=__ZN2js6SprintEPNS_8SprinterEPKcz($4700, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4701,HEAP32[((tempInt+4)>>2)]=$4710,tempInt)); //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4711; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4712=$3; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4713=HEAPU8[($4712)]; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4714=(($4713)&255); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4715=((_js_CodeSpec+($4714<<3))|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4716=(($4715+4)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4717=HEAP32[(($4716)>>2)]; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4718=$4717 & 134217728; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4719=(($4718)|0)!=0; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4719) { __label__ = 997; break; } else { __label__ = 998; break; } //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 997: 
      var $4721=$3; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4722=$3; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4723=HEAPU8[($4722)]; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4724=(($4723)&255); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4725=((_js_CodeSpec+($4724<<3))|0); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4726=(($4725)|0); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4727=HEAP8[($4726)]; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4728=(($4727 << 24) >> 24); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4729=__ZN2jsL18GetDecomposeLengthEPhj2861($4721, $4728); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4730=$len; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4731=(($4730+$4729)|0); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$4731; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 998; break; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 998: 
      __label__ = 1569; break; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 999: 
      __label__ = 1000; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1000: 
      __label__ = 1001; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1001: 
      var $4736=$cx; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4737=$jp; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4738=(($4737+56)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4739=HEAP32[(($4738)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4740=$3; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4741=_js_GetIndexFromBytecode($4736, $4739, $4740, 0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_12=$4741; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1002; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1002: 
      var $4743=$3; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4744=$jp; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4745=(($4744+56)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4746=HEAP32[(($4745)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4747=(($4746)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4748=HEAPU32[(($4747)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4749=(($4743)>>>0) < (($4748)>>>0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4749) { __label__ = 1004; break; } else { __label__ = 1003; break; } //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1003: 
      var $4751=$jp; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4752=(($4751+56)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4753=HEAP32[(($4752)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4754=(($4753)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4755=HEAP32[(($4754)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4756=$jp; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4757=(($4756+56)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4758=HEAP32[(($4757)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4759=(($4758+8)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4760=HEAP32[(($4759)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4761=(($4755+$4760)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4762=$3; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4763=(($4761)>>>0) <= (($4762)>>>0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4763) { __label__ = 1004; break; } else { __label__ = 1005; break; } //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1004: 
      var $4765=$index_12; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4766=$cx; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4767=(($4766+52)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4768=HEAP32[(($4767)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4769=(($4768+209948)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4770=__ZN11JSAtomState16commonAtomsStartEv($4769); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4771=(($4770+($4765<<2))|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4772=HEAP32[(($4771)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4772; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1006; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1005: 
      var $4774=$jp; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4775=(($4774+56)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4776=HEAP32[(($4775)>>2)]; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4777=$index_12; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4778=__ZN8JSScript7getAtomEj($4776, $4777); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4778; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1006; break;
    case 1006: 
      __label__ = 1007; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1007: 
      __label__ = 1008; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1008: 
      __label__ = 1009; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1009: 
      var $4783=$atom; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4784=$4783; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4785=__Z15js_IsIdentifierP14JSLinearString($4784); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4786=(($4785)|0)!=0; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4786) { __label__ = 1011; break; } else { __label__ = 1010; break; } //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1010: 
      $quote_13=39; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16postindex_format)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1012; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1011: 
      $quote_13=0; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE14postdot_format)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1012; break;
    case 1012: 
      var $4790=$2; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4791=(($4790)|0); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4792=$atom; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4793=$4792; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4794=$quote_13; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4795=(($4794)&65535); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4796=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($4791, $4793, $4795); //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$4796; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4797=$rval; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4798=(($4797)|0)!=0; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4798) { __label__ = 1014; break; } else { __label__ = 1013; break; } //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1013: 
      $1=0; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1014: 
      __label__ = 1015; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1015: 
      __label__ = 1016; break; //@line 3858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1016: 
      $op=53; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4803=$2; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4804=$op; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4805=__ZL6PopStrP11SprintStack4JSOp($4803, $4804); //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4805; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4806=$2; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4807=(($4806)|0); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4808=$fmt; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4809=$lval; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4810=$rval; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4811=$cs; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4812=(($4811+4)|0); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4813=HEAP32[(($4812)>>2)]; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4814=$4813 & 2048; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4815=(($4814)|0)!=0; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4816=$4815 ^ 1; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4817=(($4816)&1); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4818=((STRING_TABLE.__ZL13js_incop_strs+$4817*3)|0); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4819=(($4818)|0); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4820=__ZN2js6SprintEPNS_8SprinterEPKcz($4807, $4808, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4809,HEAP32[((tempInt+4)>>2)]=$4810,HEAP32[((tempInt+8)>>2)]=$4819,tempInt)); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4820; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4821=$3; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4822=__ZN2jsL18GetDecomposeLengthEPhj2861($4821, 4); //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4823=$len; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4824=(($4823+$4822)|0); //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$4824; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1017: 
      $op=0; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4826=$2; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4827=$op; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4828=__ZL6PopStrP11SprintStack4JSOp($4826, $4827); //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$4828; //@line 3875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=55; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4829=$2; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4830=$op; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4831=__ZL6PopStrP11SprintStack4JSOp($4829, $4830); //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$4831; //@line 3877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4832=$xval; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4833=HEAP8[($4832)]; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4834=(($4833 << 24) >> 24); //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4835=(($4834)|0)!=0; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4835) { __label__ = 1018; break; } else { __label__ = 1019; break; } //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1018: 
      var $4837=$2; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4838=(($4837)|0); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4839=$lastop; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4840=((_js_CodeSpec+($4839<<3))|0); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4841=(($4840+4)|0); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4842=HEAP32[(($4841)>>2)]; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4843=$4842 & 224; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4844=(($4843)|0)==128; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4845=$4844 ? (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE14postdot_format)|0)) : (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16postindex_format)|0)); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4846=$lval; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4847=$xval; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4848=$cs; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4849=(($4848+4)|0); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4850=HEAP32[(($4849)>>2)]; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4851=$4850 & 2048; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4852=(($4851)|0)!=0; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4853=$4852 ^ 1; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4854=(($4853)&1); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4855=((STRING_TABLE.__ZL13js_incop_strs+$4854*3)|0); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4856=(($4855)|0); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4857=__ZN2js6SprintEPNS_8SprinterEPKcz($4838, $4845, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4846,HEAP32[((tempInt+4)>>2)]=$4847,HEAP32[((tempInt+8)>>2)]=$4856,tempInt)); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4857; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1020; break; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1019: 
      var $4859=$2; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4860=(($4859)|0); //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4861=$lval; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4862=$cs; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4863=(($4862+4)|0); //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4864=HEAP32[(($4863)>>2)]; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4865=$4864 & 2048; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4866=(($4865)|0)!=0; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4867=$4866 ^ 1; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4868=(($4867)&1); //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4869=((STRING_TABLE.__ZL13js_incop_strs+$4868*3)|0); //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4870=(($4869)|0); //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4871=__ZN2js6SprintEPNS_8SprinterEPKcz($4860, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$4861,HEAP32[((tempInt+4)>>2)]=$4870,tempInt)); //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$4871; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1020; break;
    case 1020: 
      var $4873=$3; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4874=__ZN2jsL18GetDecomposeLengthEPhj2861($4873, 2); //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4875=$len; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4876=(($4875+$4874)|0); //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$4876; //@line 3889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1021: 
      $op=53; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4878=$2; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4879=$lastop; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4880=__ZL6PopOffP11SprintStack4JSOp($4878, $4879); //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1022; break; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1022: 
      __label__ = 1023; break; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1023: 
      var $4883=$cx; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4884=$jp; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4885=(($4884+56)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4886=HEAP32[(($4885)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4887=$3; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4888=_js_GetIndexFromBytecode($4883, $4886, $4887, 0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_14=$4888; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1024; break; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1024: 
      var $4890=$3; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4891=$jp; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4892=(($4891+56)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4893=HEAP32[(($4892)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4894=(($4893)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4895=HEAPU32[(($4894)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4896=(($4890)>>>0) < (($4895)>>>0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4896) { __label__ = 1026; break; } else { __label__ = 1025; break; } //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1025: 
      var $4898=$jp; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4899=(($4898+56)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4900=HEAP32[(($4899)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4901=(($4900)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4902=HEAP32[(($4901)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4903=$jp; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4904=(($4903+56)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4905=HEAP32[(($4904)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4906=(($4905+8)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4907=HEAP32[(($4906)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4908=(($4902+$4907)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4909=$3; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4910=(($4908)>>>0) <= (($4909)>>>0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4910) { __label__ = 1026; break; } else { __label__ = 1027; break; } //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1026: 
      var $4912=$index_14; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4913=$cx; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4914=(($4913+52)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4915=HEAP32[(($4914)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4916=(($4915+209948)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4917=__ZN11JSAtomState16commonAtomsStartEv($4916); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4918=(($4917+($4912<<2))|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4919=HEAP32[(($4918)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4919; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1028; break; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1027: 
      var $4921=$jp; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4922=(($4921+56)|0); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4923=HEAP32[(($4922)>>2)]; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4924=$index_14; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4925=__ZN8JSScript7getAtomEj($4923, $4924); //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$4925; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1028; break;
    case 1028: 
      __label__ = 1029; break; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1029: 
      __label__ = 1030; break; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1030: 
      __label__ = 1031; break; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1031: 
      var $4930=$atom; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4931=$4930; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4932=__Z15js_IsIdentifierP14JSLinearString($4931); //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4933=(($4932)|0)!=0; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4933) { __label__ = 1033; break; } else { __label__ = 1032; break; } //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1032: 
      $quote_15=39; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE12index_format)|0); //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1034; break; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1033: 
      $quote_15=0; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10dot_format)|0); //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1034; break;
    case 1034: 
      var $4937=$2; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4938=(($4937)|0); //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4939=$atom; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4940=$4939; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4941=$quote_15; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4942=(($4941)&65535); //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4943=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($4938, $4940, $4942); //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$4943; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4944=$rval; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4945=(($4944)|0)!=0; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4945) { __label__ = 1036; break; } else { __label__ = 1035; break; } //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1035: 
      $1=0; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1036: 
      __label__ = 1037; break; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1037: 
      __label__ = 1038; break; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1038: 
      var $4950=$2; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4951=(($4950+28)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4952=HEAP32[(($4951)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4953=(($4952-1)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4954=$2; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4955=(($4954+24)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4956=HEAP32[(($4955)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4957=(($4956+$4953)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4958=HEAPU8[($4957)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4959=(($4958)&255); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4960=(($4959)|0)==58; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4960) { __label__ = 1042; break; } else { __label__ = 1039; break; } //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1039: 
      var $4962=$2; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4963=(($4962+28)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4964=HEAP32[(($4963)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4965=(($4964-1)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4966=$2; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4967=(($4966+24)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4968=HEAP32[(($4967)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4969=(($4968+$4965)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4970=HEAPU8[($4969)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4971=(($4970)&255); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4972=(($4971)|0)==123; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4972) { __label__ = 1042; break; } else { __label__ = 1040; break; } //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1040: 
      var $4974=$2; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4975=(($4974+28)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4976=HEAP32[(($4975)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4977=(($4976-1)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4978=$2; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4979=(($4978+24)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4980=HEAP32[(($4979)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4981=(($4980+$4977)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4982=HEAPU8[($4981)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4983=(($4982)&255); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4984=(($4983)|0)==108; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4984) { __label__ = 1042; break; } else { __label__ = 1041; break; } //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1041: 
      var $4986=$2; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4987=(($4986+28)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4988=HEAP32[(($4987)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4989=(($4988-1)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4990=$2; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4991=(($4990+24)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4992=HEAP32[(($4991)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4993=(($4992+$4989)|0); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4994=HEAPU8[($4993)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4995=(($4994)&255); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4996=(($4995)|0)==79; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4996) { __label__ = 1042; break; } else { __label__ = 1043; break; } //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1042: 
      HEAP32[(($saveop)>>2)]=58; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1043; break; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1043: 
      __label__ = 1044; break; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1044: 
      var $5000=$2; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5001=$op; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5002=__ZL6PopStrP11SprintStack4JSOp($5000, $5001); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$5002; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5003=$2; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5004=(($5003)|0); //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5005=$fmt; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5006=$lval; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5007=$rval; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5008=__ZN2js6SprintEPNS_8SprinterEPKcz($5004, $5005, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5006,HEAP32[((tempInt+4)>>2)]=$5007,tempInt)); //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5008; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1045: 
      __label__ = 1046; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1046: 
      var $5011=$cx; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5012=$jp; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5013=(($5012+56)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5014=HEAP32[(($5013)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5015=$3; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5016=_js_GetIndexFromBytecode($5011, $5014, $5015, 0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_16=$5016; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1047; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1047: 
      var $5018=$3; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5019=$jp; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5020=(($5019+56)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5021=HEAP32[(($5020)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5022=(($5021)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5023=HEAPU32[(($5022)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5024=(($5018)>>>0) < (($5023)>>>0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5024) { __label__ = 1049; break; } else { __label__ = 1048; break; } //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1048: 
      var $5026=$jp; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5027=(($5026+56)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5028=HEAP32[(($5027)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5029=(($5028)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5030=HEAP32[(($5029)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5031=$jp; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5032=(($5031+56)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5033=HEAP32[(($5032)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5034=(($5033+8)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5035=HEAP32[(($5034)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5036=(($5030+$5035)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5037=$3; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5038=(($5036)>>>0) <= (($5037)>>>0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5038) { __label__ = 1049; break; } else { __label__ = 1050; break; } //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1049: 
      var $5040=$index_16; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5041=$cx; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5042=(($5041+52)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5043=HEAP32[(($5042)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5044=(($5043+209948)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5045=__ZN11JSAtomState16commonAtomsStartEv($5044); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5046=(($5045+($5040<<2))|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5047=HEAP32[(($5046)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$5047; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1051; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1050: 
      var $5049=$jp; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5050=(($5049+56)|0); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5051=HEAP32[(($5050)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5052=$index_16; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5053=__ZN8JSScript7getAtomEj($5051, $5052); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$5053; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1051; break;
    case 1051: 
      __label__ = 1052; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1052: 
      __label__ = 1053; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1053: 
      __label__ = 1054; break; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1054: 
      var $5058=$atom; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5059=$5058; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5060=__Z15js_IsIdentifierP14JSLinearString($5059); //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5061=(($5060)|0)!=0; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5061) { __label__ = 1056; break; } else { __label__ = 1055; break; } //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1055: 
      $quote_17=39; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__str932766)|0); //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1057; break; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1056: 
      $quote_17=0; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fmt=((STRING_TABLE.__str942767)|0); //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1057; break;
    case 1057: 
      var $5065=$2; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5066=(($5065)|0); //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5067=$atom; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5068=$5067; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5069=$quote_17; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5070=(($5069)&65535); //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5071=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($5066, $5068, $5070); //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$5071; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5072=$xval; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5073=(($5072)|0)!=0; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5073) { __label__ = 1059; break; } else { __label__ = 1058; break; } //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1058: 
      $1=0; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1059: 
      __label__ = 1060; break; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1060: 
      var $5077=$2; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5078=$op; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5079=__ZL6PopStrP11SprintStack4JSOp($5077, $5078); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$5079; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=53; //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5080=$2; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5081=$op; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5082=__ZL6PopStrP11SprintStack4JSOp($5080, $5081); //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$5082; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5083=$cx; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5084=$jp; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5085=(($5084+56)|0); //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5086=HEAP32[(($5085)>>2)]; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5087=$3; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5088=(($5087-1)|0); //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5089=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($5083, $5086, $5088); //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$5089; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5090=$2; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5091=(($5090)|0); //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5092=$fmt; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5093=$lval; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5094=$xval; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5095=$sn; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5096=(($5095)|0)!=0; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5096) { __label__ = 1061; break; } else { __label__ = 1072; break; } //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1061: 
      var $5098=$sn; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5099=HEAPU8[($5098)]; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5100=(($5099)&255); //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5101=$5100 >> 3; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5102=(($5101)|0) >= 24; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5102) { __label__ = 1062; break; } else { __label__ = 1063; break; } //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1062: 
      var $5110 = 24;__label__ = 1064; break; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1063: 
      var $5105=$sn; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5106=HEAPU8[($5105)]; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5107=(($5106)&255); //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5108=$5107 >> 3; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5110 = $5108;__label__ = 1064; break; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1064: 
      var $5110; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5111=(($5110)|0)==8; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5111) { __label__ = 1065; break; } else { __label__ = 1072; break; } //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1065: 
      var $5113=$lastop; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5114=(($5113)|0)==125; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5114) { __label__ = 1066; break; } else { __label__ = 1067; break; } //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1066: 
      var $5127 = ((STRING_TABLE._js_getter_str)|0);__label__ = 1071; break; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1067: 
      var $5117=$lastop; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5118=(($5117)|0)==126; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5118) { __label__ = 1068; break; } else { __label__ = 1069; break; } //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1068: 
      var $5125 = ((STRING_TABLE._js_setter_str)|0);__label__ = 1070; break; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1069: 
      var $5121=$lastop; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5122=((__ZL9CodeToken+($5121<<2))|0); //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5123=HEAP32[(($5122)>>2)]; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5125 = $5123;__label__ = 1070; break; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1070: 
      var $5125; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5127 = $5125;__label__ = 1071; break; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1071: 
      var $5127; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5130 = $5127;__label__ = 1073; break; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1072: 
      var $5130 = ((__str272700)|0);__label__ = 1073; break; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1073: 
      var $5130; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5131=$rval; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5132=__ZN2js6SprintEPNS_8SprinterEPKcz($5091, $5092, (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5093,HEAP32[((tempInt+4)>>2)]=$5094,HEAP32[((tempInt+8)>>2)]=$5130,HEAP32[((tempInt+12)>>2)]=$5131,tempInt)); //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5132; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1074: 
      $op=55; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5134=$2; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5135=$lastop; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5136=__ZL6PopOffP11SprintStack4JSOp($5134, $5135); //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1075; break; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1075: 
      $op=0; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5138=$2; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5139=$op; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5140=__ZL6PopStrP11SprintStack4JSOp($5138, $5139); //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$5140; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5141=HEAP32[(($saveop)>>2)]; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$5141; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1076; break; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1076: 
      var $5143=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5144=(($5143+28)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5145=HEAP32[(($5144)>>2)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5146=(($5145-1)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5147=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5148=(($5147+24)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5149=HEAP32[(($5148)>>2)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5150=(($5149+$5146)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5151=HEAPU8[($5150)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5152=(($5151)&255); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5153=(($5152)|0)==58; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5153) { __label__ = 1080; break; } else { __label__ = 1077; break; } //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1077: 
      var $5155=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5156=(($5155+28)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5157=HEAP32[(($5156)>>2)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5158=(($5157-1)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5159=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5160=(($5159+24)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5161=HEAP32[(($5160)>>2)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5162=(($5161+$5158)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5163=HEAPU8[($5162)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5164=(($5163)&255); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5165=(($5164)|0)==123; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5165) { __label__ = 1080; break; } else { __label__ = 1078; break; } //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1078: 
      var $5167=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5168=(($5167+28)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5169=HEAP32[(($5168)>>2)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5170=(($5169-1)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5171=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5172=(($5171+24)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5173=HEAP32[(($5172)>>2)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5174=(($5173+$5170)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5175=HEAPU8[($5174)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5176=(($5175)&255); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5177=(($5176)|0)==108; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5177) { __label__ = 1080; break; } else { __label__ = 1079; break; } //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1079: 
      var $5179=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5180=(($5179+28)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5181=HEAP32[(($5180)>>2)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5182=(($5181-1)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5183=$2; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5184=(($5183+24)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5185=HEAP32[(($5184)>>2)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5186=(($5185+$5182)|0); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5187=HEAPU8[($5186)]; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5188=(($5187)&255); //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5189=(($5188)|0)==79; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5189) { __label__ = 1080; break; } else { __label__ = 1081; break; } //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1080: 
      HEAP32[(($saveop)>>2)]=58; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1081; break; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1081: 
      __label__ = 1082; break; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1082: 
      var $5193=$2; //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5194=$op; //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5195=__ZL6PopStrP11SprintStack4JSOp($5193, $5194); //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$5195; //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5196=$xval; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5197=HEAP8[($5196)]; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5198=(($5197 << 24) >> 24); //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5199=(($5198)|0)==0; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5199) { __label__ = 1083; break; } else { __label__ = 1084; break; } //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1083: 
      var $5201=$2; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5202=(($5201)|0); //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5203=$lval; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5204=__ZN2js6SprintEPNS_8SprinterEPKcz($5202, ((STRING_TABLE.__str382711)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5203,tempInt)); //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5204; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1085; break; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1084: 
      var $5206=$2; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5207=(($5206)|0); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5208=$lastop; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5209=((_js_CodeSpec+($5208<<3))|0); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5210=(($5209+4)|0); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5211=HEAP32[(($5210)>>2)]; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5212=$5211 & 224; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5213=(($5212)|0)==128; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5214=$5213 ? (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10dot_format)|0)) : (((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE12index_format)|0)); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5215=$lval; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5216=$xval; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5217=__ZN2js6SprintEPNS_8SprinterEPKcz($5207, $5214, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5215,HEAP32[((tempInt+4)>>2)]=$5216,tempInt)); //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5217; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1085; break;
    case 1085: 
      __label__ = 1569; break; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1086: 
      var $5220=$2; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5221=$op; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5222=__ZL6PopStrP11SprintStack4JSOp($5220, $5221); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$5222; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=0; //@line 3959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5223=$2; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5224=$op; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5225=__ZL6PopStrP11SprintStack4JSOp($5223, $5224); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$5225; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5226=$2; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5227=(($5226+28)|0); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5228=HEAP32[(($5227)>>2)]; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5229=$2; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5230=(($5229+24)|0); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5231=HEAP32[(($5230)>>2)]; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5232=(($5231+$5228)|0); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5233=HEAPU8[($5232)]; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5234=(($5233)&255); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5235=((_js_CodeSpec+($5234<<3))|0); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$5235; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=55; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5236=$2; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5237=$op; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5238=__ZL6PopStrP11SprintStack4JSOp($5236, $5237); //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$5238; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5239=HEAP32[(($saveop)>>2)]; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$5239; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5240=$xval; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5241=HEAP8[($5240)]; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5242=(($5241 << 24) >> 24); //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5243=(($5242)|0)==0; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5243) { __label__ = 1087; break; } else { __label__ = 1088; break; } //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1087: 
      __label__ = 833; break; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1088: 
      var $5246=$cx; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5247=$jp; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5248=(($5247+56)|0); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5249=HEAP32[(($5248)>>2)]; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5250=$3; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5251=(($5250-1)|0); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5252=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($5246, $5249, $5251); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$5252; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5253=$2; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5254=(($5253)|0); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5255=$cs; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5256=(($5255+4)|0); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5257=HEAP32[(($5256)>>2)]; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5258=$5257 & 224; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5259=(($5258)|0)==128; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5260=$5259 ? (((STRING_TABLE.__str942767)|0)) : (((STRING_TABLE.__str932766)|0)); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5261=$lval; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5262=$xval; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5263=$sn; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5264=(($5263)|0)!=0; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5264) { __label__ = 1089; break; } else { __label__ = 1100; break; } //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1089: 
      var $5266=$sn; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5267=HEAPU8[($5266)]; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5268=(($5267)&255); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5269=$5268 >> 3; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5270=(($5269)|0) >= 24; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5270) { __label__ = 1090; break; } else { __label__ = 1091; break; } //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1090: 
      var $5278 = 24;__label__ = 1092; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1091: 
      var $5273=$sn; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5274=HEAPU8[($5273)]; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5275=(($5274)&255); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5276=$5275 >> 3; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5278 = $5276;__label__ = 1092; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1092: 
      var $5278; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5279=(($5278)|0)==8; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5279) { __label__ = 1093; break; } else { __label__ = 1100; break; } //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1093: 
      var $5281=$lastop; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5282=(($5281)|0)==125; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5282) { __label__ = 1094; break; } else { __label__ = 1095; break; } //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1094: 
      var $5295 = ((STRING_TABLE._js_getter_str)|0);__label__ = 1099; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1095: 
      var $5285=$lastop; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5286=(($5285)|0)==126; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5286) { __label__ = 1096; break; } else { __label__ = 1097; break; } //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1096: 
      var $5293 = ((STRING_TABLE._js_setter_str)|0);__label__ = 1098; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1097: 
      var $5289=$lastop; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5290=((__ZL9CodeToken+($5289<<2))|0); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5291=HEAP32[(($5290)>>2)]; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5293 = $5291;__label__ = 1098; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1098: 
      var $5293; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5295 = $5293;__label__ = 1099; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1099: 
      var $5295; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5298 = $5295;__label__ = 1101; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1100: 
      var $5298 = ((__str272700)|0);__label__ = 1101; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1101: 
      var $5298; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5299=$rval; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5300=__ZN2js6SprintEPNS_8SprinterEPKcz($5254, $5260, (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5261,HEAP32[((tempInt+4)>>2)]=$5262,HEAP32[((tempInt+8)>>2)]=$5298,HEAP32[((tempInt+12)>>2)]=$5299,tempInt)); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5300; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1102: 
      var $5302=$3; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5303=(($5302+1)|0); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5304=HEAPU8[($5303)]; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5305=(($5304)&255); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5306=$5305 << 8; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5307=$3; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5308=(($5307+2)|0); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5309=HEAPU8[($5308)]; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5310=(($5309)&255); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5311=$5306 | $5310; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$5311; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5312=$2; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5313=(($5312)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5314=HEAP32[(($i)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5315=__ZN2js6SprintEPNS_8SprinterEPKcz($5313, ((STRING_TABLE.__str952768)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_arguments_str)|0),HEAP32[((tempInt+4)>>2)]=$5314,tempInt)); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5315; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1103: 
      var $5317=$2; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5318=(($5317)|0); //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5319=__ZN2js6SprintEPNS_8SprinterEPKcz($5318, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10dot_format)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_arguments_str)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE._js_length_str)|0),tempInt)); //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5319; //@line 3990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1104: 
      var $5321=$3; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5322=(($5321+1)|0); //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5323=HEAPU8[($5322)]; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5324=(($5323)&255); //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5325=$5324 << 8; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5326=$3; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5327=(($5326+2)|0); //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5328=HEAPU8[($5327)]; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5329=(($5328)&255); //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5330=$5325 | $5329; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$5330; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5331=$jp; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5332=HEAP32[(($i)>>2)]; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5333=__ZL15GetArgOrVarAtomP9JSPrinterj($5331, $5332); //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$5333; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5334=$atom; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5335=(($5334)|0)!=0; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5335) { __label__ = 1106; break; } else { __label__ = 1105; break; } //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1105: 
      var $5337=$2; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5338=(($5337)|0); //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5339=HEAP32[(($i)>>2)]; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5340=__ZN2js6SprintEPNS_8SprinterEPKcz($5338, ((STRING_TABLE.__str952768)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_arguments_str)|0),HEAP32[((tempInt+4)>>2)]=$5339,tempInt)); //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5340; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1106: 
      __label__ = 1116; break; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1107: 
      __label__ = 1108; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1108: 
      var $5344=$cx; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5345=$jp; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5346=(($5345+56)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5347=HEAP32[(($5346)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5348=$3; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5349=_js_GetIndexFromBytecode($5344, $5347, $5348, 0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_18=$5349; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1109; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1109: 
      var $5351=$3; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5352=$jp; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5353=(($5352+56)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5354=HEAP32[(($5353)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5355=(($5354)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5356=HEAPU32[(($5355)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5357=(($5351)>>>0) < (($5356)>>>0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5357) { __label__ = 1111; break; } else { __label__ = 1110; break; } //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1110: 
      var $5359=$jp; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5360=(($5359+56)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5361=HEAP32[(($5360)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5362=(($5361)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5363=HEAP32[(($5362)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5364=$jp; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5365=(($5364+56)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5366=HEAP32[(($5365)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5367=(($5366+8)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5368=HEAP32[(($5367)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5369=(($5363+$5368)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5370=$3; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5371=(($5369)>>>0) <= (($5370)>>>0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5371) { __label__ = 1111; break; } else { __label__ = 1112; break; } //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1111: 
      var $5373=$index_18; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5374=$cx; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5375=(($5374+52)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5376=HEAP32[(($5375)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5377=(($5376+209948)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5378=__ZN11JSAtomState16commonAtomsStartEv($5377); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5379=(($5378+($5373<<2))|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5380=HEAP32[(($5379)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$5380; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1113; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1112: 
      var $5382=$jp; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5383=(($5382+56)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5384=HEAP32[(($5383)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5385=$index_18; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5386=__ZN8JSScript7getAtomEj($5384, $5385); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$5386; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1113; break;
    case 1113: 
      __label__ = 1114; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1114: 
      __label__ = 1115; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1115: 
      __label__ = 1116; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1116: 
      $lval=((__str272700)|0); //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1117; break; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1117: 
      var $5392=$cx; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5393=$jp; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5394=(($5393+56)|0); //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5395=HEAP32[(($5394)>>2)]; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5396=$3; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5397=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($5392, $5395, $5396); //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$5397; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5398=$2; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5399=(($5398)|0); //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5400=$atom; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5401=$5400; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5402=$inXML; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5403=(($5402)|0)!=0; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5404=$5403 ? 65536 : 0; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5405=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($5399, $5401, $5404); //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$5405; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5406=$rval; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5407=(($5406)|0)!=0; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5407) { __label__ = 1119; break; } else { __label__ = 1118; break; } //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1118: 
      $1=0; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1119: 
      var $5410=$rval; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5411=$2; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5412=(($5411)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5413=(($5412+8)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5414=HEAP32[(($5413)>>2)]; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5415=$5410; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5416=$5414; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5417=(($5415-$5416)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5418=$2; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5419=(($5418)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5420=(($5419+16)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5420)>>2)]=$5417; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5421=$2; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5422=(($5421)|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5423=$sn; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5424=__ZL9VarPrefixPh($5423); //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5425=$lval; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5426=$rval; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5427=__ZN2js6SprintEPNS_8SprinterEPKcz($5422, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10sss_format)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5424,HEAP32[((tempInt+4)>>2)]=$5425,HEAP32[((tempInt+8)>>2)]=$5426,tempInt)); //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5427; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1120: 
      var $5429=$3; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5430=(($5429+1)|0); //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5431=HEAPU8[($5430)]; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5432=(($5431)&255); //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5433=$5432 << 8; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5434=$3; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5435=(($5434+2)|0); //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5436=HEAPU8[($5435)]; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5437=(($5436)&255); //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5438=$5433 | $5437; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$5438; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1124; break; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1121: 
      var $5440=$3; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5441=(($5440+1)|0); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5442=HEAPU8[($5441)]; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5443=(($5442)&255); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5444=$5443 << 16; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5445=$3; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5446=(($5445+2)|0); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5447=HEAPU8[($5446)]; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5448=(($5447)&255); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5449=$5448 << 8; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5450=$5444 | $5449; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5451=$3; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5452=(($5451+3)|0); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5453=HEAPU8[($5452)]; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5454=(($5453)&255); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5455=$5450 | $5454; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$5455; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1124; break; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1122: 
      var $5457=$3; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5458=(($5457+1)|0); //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5459=HEAP8[($5458)]; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5460=(($5459 << 24) >> 24); //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$5460; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1124; break; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1123: 
      var $5462=$3; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5463=(($5462+1)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5464=HEAPU8[($5463)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5465=(($5464)&255); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5466=$5465 << 24; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5467=$3; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5468=(($5467+2)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5469=HEAPU8[($5468)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5470=(($5469)&255); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5471=$5470 << 16; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5472=$5466 | $5471; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5473=$3; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5474=(($5473+3)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5475=HEAPU8[($5474)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5476=(($5475)&255); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5477=$5476 << 8; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5478=$5472 | $5477; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5479=$3; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5480=(($5479+4)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5481=HEAPU8[($5480)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5482=(($5481)&255); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5483=$5478 | $5482; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$5483; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1124; break; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1124: 
      var $5485=$2; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5486=(($5485)|0); //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5487=HEAP32[(($i)>>2)]; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5488=__ZN2js6SprintEPNS_8SprinterEPKcz($5486, ((STRING_TABLE.__str962769)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5487,tempInt)); //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5488; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1125: 
      __label__ = 1126; break; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1126: 
      var $5491=$cx; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5492=$jp; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5493=(($5492+56)|0); //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5494=HEAP32[(($5493)>>2)]; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5495=$3; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5496=_js_GetIndexFromBytecode($5491, $5494, $5495, 0); //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_19=$5496; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5497=$jp; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5498=(($5497+56)|0); //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5499=HEAP32[(($5498)>>2)]; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5500=$index_19; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5501=__ZN8JSScript8getConstEj($5499, $5500); //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5502=__ZNK2JS5Value8toDoubleEv($5501); //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=$5502; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1127; break; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1127: 
      var $5504=$d; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _DOUBLE_TO_JSVAL2862($8, $5504); //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5505=$val; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5506=$8; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5505)>>2)]=HEAP32[(($5506)>>2)];HEAP32[(($5505+4)>>2)]=HEAP32[(($5506+4)>>2)]; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5507=$2; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5508=(($5507)|0); //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5509=$9; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5510=$val; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5509)>>2)]=HEAP32[(($5510)>>2)];HEAP32[(($5509+4)>>2)]=HEAP32[(($5510+4)>>2)]; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5511=__ZL17SprintDoubleValuePN2js8SprinterEN2JS5ValueEP4JSOp($5508, $9, $saveop); //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5511; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1128: 
      __label__ = 1129; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1129: 
      var $5514=$cx; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5515=$jp; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5516=(($5515+56)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5517=HEAP32[(($5516)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5518=$3; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5519=_js_GetIndexFromBytecode($5514, $5517, $5518, 0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_20=$5519; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1130; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1130: 
      var $5521=$3; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5522=$jp; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5523=(($5522+56)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5524=HEAP32[(($5523)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5525=(($5524)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5526=HEAPU32[(($5525)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5527=(($5521)>>>0) < (($5526)>>>0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5527) { __label__ = 1132; break; } else { __label__ = 1131; break; } //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1131: 
      var $5529=$jp; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5530=(($5529+56)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5531=HEAP32[(($5530)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5532=(($5531)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5533=HEAP32[(($5532)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5534=$jp; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5535=(($5534+56)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5536=HEAP32[(($5535)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5537=(($5536+8)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5538=HEAP32[(($5537)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5539=(($5533+$5538)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5540=$3; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5541=(($5539)>>>0) <= (($5540)>>>0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5541) { __label__ = 1132; break; } else { __label__ = 1133; break; } //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1132: 
      var $5543=$index_20; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5544=$cx; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5545=(($5544+52)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5546=HEAP32[(($5545)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5547=(($5546+209948)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5548=__ZN11JSAtomState16commonAtomsStartEv($5547); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5549=(($5548+($5543<<2))|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5550=HEAP32[(($5549)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$5550; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1134; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1133: 
      var $5552=$jp; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5553=(($5552+56)|0); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5554=HEAP32[(($5553)>>2)]; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5555=$index_20; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5556=__ZN8JSScript7getAtomEj($5554, $5555); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$5556; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1134; break;
    case 1134: 
      __label__ = 1135; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1135: 
      __label__ = 1136; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1136: 
      var $5560=$2; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5561=(($5560)|0); //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5562=$atom; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5563=$5562; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5564=$inXML; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5565=(($5564)|0)!=0; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5566=$5565 ? 65536 : 34; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5567=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($5561, $5563, $5566); //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$5567; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5568=$rval; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5569=(($5568)|0)!=0; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5569) { __label__ = 1138; break; } else { __label__ = 1137; break; } //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1137: 
      $1=0; //@line 4058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1138: 
      var $5572=$rval; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5573=$2; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5574=(($5573)|0); //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5575=(($5574+8)|0); //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5576=HEAP32[(($5575)>>2)]; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5577=$5572; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5578=$5576; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5579=(($5577-$5578)|0); //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$5579; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1139: 
      var $5581=$cx; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5582=$jp; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5583=(($5582+56)|0); //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5584=HEAP32[(($5583)>>2)]; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5585=$3; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5586=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($5581, $5584, $5585); //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$5586; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5587=$sn; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5588=(($5587)|0)!=0; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5588) { __label__ = 1140; break; } else { __label__ = 1223; break; } //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1140: 
      var $5590=$sn; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5591=HEAPU8[($5590)]; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5592=(($5591)&255); //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5593=$5592 >> 3; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5594=(($5593)|0) >= 24; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5594) { __label__ = 1141; break; } else { __label__ = 1142; break; } //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1141: 
      var $5602 = 24;__label__ = 1143; break; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1142: 
      var $5597=$sn; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5598=HEAPU8[($5597)]; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5599=(($5598)&255); //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5600=$5599 >> 3; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5602 = $5600;__label__ = 1143; break; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1143: 
      var $5602; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5603=(($5602)|0)==1; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5603) { __label__ = 1144; break; } else { __label__ = 1223; break; } //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1144: 
      __label__ = 1145; break; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1145: 
      var $5606=$cx; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5607=$jp; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5608=(($5607+56)|0); //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5609=HEAP32[(($5608)>>2)]; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5610=$3; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5611=_js_GetIndexFromBytecode($5606, $5609, $5610, 0); //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_21=$5611; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5612=$jp; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5613=(($5612+56)|0); //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5614=HEAP32[(($5613)>>2)]; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5615=$index_21; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5616=__ZN8JSScript11getFunctionEj($5614, $5615); //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fun=$5616; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1146; break; //@line 4074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1146: 
      var $5618=$cx; //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5619=(($5618+72)|0); //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5620=(($5619+16)|0); //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5621=HEAP32[(($5620)>>2)]; //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5622=(($5621+12)|0); //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5623=HEAP32[(($5622)>>2)]; //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5624=$5623; //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $mark=$5624; //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5625=$fun; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5626=__ZNK10JSFunction6scriptEv($5625); //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5627=(($5626+64)|0); //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5628=__ZNK2js8Bindings13hasLocalNamesEv($5627); //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5628) { __label__ = 1147; break; } else { __label__ = 1151; break; } //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1147: 
      var $5630=$cx; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5631=$cx; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5632=__ZN9JSContext4new_IN2js6VectorIP6JSAtomLj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_($5630, $5631); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $innerLocalNames=$5632; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5633=$innerLocalNames; //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5634=(($5633)|0)!=0; //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5634) { __label__ = 1148; break; } else { __label__ = 1149; break; } //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1148: 
      var $5636=$fun; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5637=__ZNK10JSFunction6scriptEv($5636); //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5638=(($5637+64)|0); //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5639=$cx; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5640=$innerLocalNames; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5641=__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE($5638, $5639, $5640); //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5641) { __label__ = 1149; break; } else { __label__ = 1150; break; } //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1149: 
      $1=0; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1150: 
      __label__ = 1152; break; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1151: 
      $innerLocalNames=0; //@line 4091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1152; break;
    case 1152: 
      var $5646=$fun; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5647=__ZNK10JSFunction6scriptEv($5646); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $inner=$5647; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5648=$cx; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5649=$jp; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5650=$inner; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5651=__ZL10StackDepthP8JSScript($5650); //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5652=__ZL15InitSprintStackP9JSContextP11SprintStackP9JSPrinterj($5648, $ss2, $5649, $5651); //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5653=(($5652)|0)!=0; //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5653) { __label__ = 1160; break; } else { __label__ = 1153; break; } //@line 4094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1153: 
      __label__ = 1154; break; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1154: 
      var $5656=$mark; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_m=$5656; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5657=$cx; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5658=(($5657+72)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5659=(($5658+16)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5660=HEAP32[(($5659)>>2)]; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a=$5660; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5661=$_a; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5662=$cx; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5663=(($5662+72)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5664=(($5663)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5665=(($5661)|0)!=(($5664)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5665) { __label__ = 1155; break; } else { __label__ = 1157; break; } //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1155: 
      var $5667=$_m; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5668=$5667; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5669=$_a; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5670=(($5669+4)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5671=HEAP32[(($5670)>>2)]; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5672=(($5668-$5671)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5673=$_a; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5674=(($5673+12)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5675=HEAP32[(($5674)>>2)]; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5676=$_a; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5677=(($5676+4)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5678=HEAP32[(($5677)>>2)]; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5679=(($5675-$5678)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5680=(($5672)>>>0) <= (($5679)>>>0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5680) { __label__ = 1156; break; } else { __label__ = 1157; break; } //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1156: 
      var $5682=$_m; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5683=$5682; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5684=$cx; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5685=(($5684+72)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5686=(($5685+24)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5687=HEAP32[(($5686)>>2)]; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5688=(($5683+$5687)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5689=$cx; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5690=(($5689+72)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5691=(($5690+24)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5692=HEAP32[(($5691)>>2)]; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5693=$5692 ^ -1; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5694=$5688 & $5693; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5695=$_a; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5696=(($5695+12)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5696)>>2)]=$5694; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1158; break; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1157: 
      var $5698=$cx; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5699=(($5698+72)|0); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5700=$_m; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ArenaRelease($5699, $5700); //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1158; break;
    case 1158: 
      __label__ = 1159; break; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1159: 
      $1=0; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1160: 
      var $5704=(($ss2+36)|0); //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5704)>>2)]=1; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5705=$jp; //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5706=(($5705+56)|0); //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5707=HEAP32[(($5706)>>2)]; //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $outer=$5707; //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5708=$jp; //@line 4108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5709=(($5708+68)|0); //@line 4108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5710=HEAP32[(($5709)>>2)]; //@line 4108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $outerfun=$5710; //@line 4108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5711=$jp; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5712=(($5711+72)|0); //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5713=HEAP32[(($5712)>>2)]; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $outerLocalNames=$5713; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1161; break; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1161: 
      var $5715=$3; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5716=$5715; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5717=$outer; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5718=(($5717)|0); //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5719=HEAP32[(($5718)>>2)]; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5720=$5719; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5721=(($5716-$5720)|0); //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5722=$outer; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5723=(($5722+8)|0); //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5724=HEAPU32[(($5723)>>2)]; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5725=(($5721)>>>0) <= (($5724)>>>0); //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5725) { __label__ = 1163; break; } else { __label__ = 1162; break; } //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1162: 
      $1=0; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1163: 
      __label__ = 1164; break; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1164: 
      var $5729=$inner; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5730=$jp; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5731=(($5730+56)|0); //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5731)>>2)]=$5729; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5732=$fun; //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5733=$jp; //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5734=(($5733+68)|0); //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5734)>>2)]=$5732; //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5735=$innerLocalNames; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5736=$jp; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5737=(($5736+72)|0); //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5737)>>2)]=$5735; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5738=$inner; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5739=__ZN8JSScript4mainEv($5738); //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5740=$inner; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5741=(($5740+8)|0); //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5742=HEAP32[(($5741)>>2)]; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5743=$inner; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5744=(($5743+32)|0); //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5745=HEAP32[(($5744)>>2)]; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5746=(($5742-$5745)|0); //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5747=__ZL9DecompileP11SprintStackPhi4JSOp($ss2, $5739, $5746, 0); //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5748=(($5747)|0)!=0; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5749=(($5748)&1); //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$5749; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5750=$outer; //@line 4122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5751=$jp; //@line 4122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5752=(($5751+56)|0); //@line 4122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5752)>>2)]=$5750; //@line 4122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5753=$outerfun; //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5754=$jp; //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5755=(($5754+68)|0); //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5755)>>2)]=$5753; //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5756=$outerLocalNames; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5757=$jp; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5758=(($5757+72)|0); //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5758)>>2)]=$5756; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5759=$ok; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5760=(($5759)|0)!=0; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5760) { __label__ = 1172; break; } else { __label__ = 1165; break; } //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1165: 
      __label__ = 1166; break; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1166: 
      var $5763=$mark; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_m22=$5763; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5764=$cx; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5765=(($5764+72)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5766=(($5765+16)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5767=HEAP32[(($5766)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a23=$5767; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5768=$_a23; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5769=$cx; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5770=(($5769+72)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5771=(($5770)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5772=(($5768)|0)!=(($5771)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5772) { __label__ = 1167; break; } else { __label__ = 1169; break; } //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1167: 
      var $5774=$_m22; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5775=$5774; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5776=$_a23; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5777=(($5776+4)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5778=HEAP32[(($5777)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5779=(($5775-$5778)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5780=$_a23; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5781=(($5780+12)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5782=HEAP32[(($5781)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5783=$_a23; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5784=(($5783+4)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5785=HEAP32[(($5784)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5786=(($5782-$5785)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5787=(($5779)>>>0) <= (($5786)>>>0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5787) { __label__ = 1168; break; } else { __label__ = 1169; break; } //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1168: 
      var $5789=$_m22; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5790=$5789; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5791=$cx; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5792=(($5791+72)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5793=(($5792+24)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5794=HEAP32[(($5793)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5795=(($5790+$5794)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5796=$cx; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5797=(($5796+72)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5798=(($5797+24)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5799=HEAP32[(($5798)>>2)]; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5800=$5799 ^ -1; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5801=$5795 & $5800; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5802=$_a23; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5803=(($5802+12)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($5803)>>2)]=$5801; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1170; break; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1169: 
      var $5805=$cx; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5806=(($5805+72)|0); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5807=$_m22; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ArenaRelease($5806, $5807); //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1170; break;
    case 1170: 
      __label__ = 1171; break; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1171: 
      $1=0; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1172: 
      var $5811=$len; //@line 4134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5812=$3; //@line 4134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5813=(($5812+$5811)|0); //@line 4134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$5813; //@line 4134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5814=$3; //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5815=HEAPU8[($5814)]; //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5816=(($5815)&255); //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5817=(($5816)|0)==188; //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5817) { __label__ = 1173; break; } else { __label__ = 1174; break; } //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1173: 
      var $5819=$3; //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5820=(($5819+3)|0); //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$5820; //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1179; break; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1174: 
      __label__ = 1175; break; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1175: 
      var $5823=$3; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5824=HEAPU8[($5823)]; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5825=(($5824)&255); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5826=(($5825)|0)==189; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5826) { __label__ = 1177; break; } else { __label__ = 1176; break; } //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1176: 
      $1=0; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1177: 
      __label__ = 1178; break; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1178: 
      var $5830=$3; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5831=(($5830+1)|0); //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$5831; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1179; break;
    case 1179: 
      __label__ = 1180; break; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1180: 
      var $5834=$3; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5835=HEAPU8[($5834)]; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5836=(($5835)&255); //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5837=(($5836)|0)==1; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5837) { __label__ = 1182; break; } else { __label__ = 1181; break; } //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1181: 
      $1=0; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1182: 
      __label__ = 1183; break; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1183: 
      var $5841=$3; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5842=(($5841+1)|0); //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$5842; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1184; break; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1184: 
      var $5844=$3; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5845=HEAPU8[($5844)]; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5846=(($5845)&255); //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5847=(($5846)|0)==58; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5847) { __label__ = 1186; break; } else { __label__ = 1185; break; } //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1185: 
      $1=0; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1186: 
      __label__ = 1187; break; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1187: 
      __label__ = 1188; break; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1188: 
      var $5852=$3; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5853=(($5852+1)|0); //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5854=HEAPU8[($5853)]; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5855=(($5854)&255); //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5856=$5855 << 8; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5857=$3; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5858=(($5857+2)|0); //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5859=HEAPU8[($5858)]; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5860=(($5859)&255); //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5861=$5856 | $5860; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5862=(($5861)|0)==0; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5862) { __label__ = 1190; break; } else { __label__ = 1189; break; } //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1189: 
      $1=0; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1190: 
      __label__ = 1191; break; //@line 4144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1191: 
      $len=3; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5866=$3; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5867=$len; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5868=(($5866+$5867)|0); //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$5868; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5869=$pc2; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5870=HEAPU8[($5869)]; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5871=(($5870)&255); //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$5871; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5872=$op; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5873=(($5872)|0)==109; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5873) { __label__ = 1193; break; } else { __label__ = 1192; break; } //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1192: 
      var $5875=$op; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5876=(($5875)|0)==0; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5876) { __label__ = 1193; break; } else { __label__ = 1194; break; } //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1193: 
      var $5878=$pc2; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5879=(($5878+1)|0); //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$5879; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1194; break; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1194: 
      __label__ = 1195; break; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1195: 
      var $5882=$pc2; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5883=$endpc; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5884=(($5882)>>>0) < (($5883)>>>0); //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5884) { __label__ = 1198; break; } else { __label__ = 1196; break; } //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1196: 
      var $5886=$endpc; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5887=$outer; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5888=(($5887)|0); //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5889=HEAP32[(($5888)>>2)]; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5890=$outer; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5891=(($5890+8)|0); //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5892=HEAP32[(($5891)>>2)]; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5893=(($5889+$5892)|0); //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5894=(($5886)>>>0) < (($5893)>>>0); //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5894) { __label__ = 1198; break; } else { __label__ = 1197; break; } //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1197: 
      $1=0; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1198: 
      __label__ = 1199; break; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1199: 
      __label__ = 1200; break; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1200: 
      var $5899=(($ss2+28)|0); //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5900=HEAP32[(($5899)>>2)]; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5901=(($5900)|0)==1; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5901) { __label__ = 1202; break; } else { __label__ = 1201; break; } //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1201: 
      $1=0; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1202: 
      __label__ = 1203; break; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1203: 
      var $5905=(($ss2+24)|0); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5906=HEAP32[(($5905)>>2)]; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5907=(($5906)|0); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($5907)]=81; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5908=$pc2; //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5909=$endpc; //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5910=(($5908)|0)==(($5909)|0); //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5910) { __label__ = 1204; break; } else { __label__ = 1205; break; } //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1204: 
      $op=111; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1214; break; //@line 4173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1205: 
      var $5913=$pc2; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5914=HEAPU8[($5913)]; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5915=(($5914)&255); //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$5915; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5916=$op; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5917=((_js_CodeSpec+($5916<<3))|0); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5918=(($5917+4)|0); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5919=HEAP32[(($5918)>>2)]; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5920=$5919 & 1048576; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5921=(($5920)|0)!=0; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5921) { var $5944 = 1;__label__ = 1209; break; } else { __label__ = 1206; break; } //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1206: 
      var $5923=$op; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5924=((_js_CodeSpec+($5923<<3))|0); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5925=(($5924+4)|0); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5926=HEAP32[(($5925)>>2)]; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5927=$5926 & 2097152; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5928=(($5927)|0)!=0; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5928) { __label__ = 1207; break; } else { var $5942 = 0;__label__ = 1208; break; } //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1207: 
      var $5930=$pc2; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5931=(($5930+1)|0); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5932=HEAPU8[($5931)]; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5933=(($5932)&255); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5934=$5933 << 8; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5935=$pc2; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5936=(($5935+2)|0); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5937=HEAPU8[($5936)]; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5938=(($5937)&255); //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5939=$5934 | $5938; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5940=(($5939)|0)==1; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5942 = $5940;__label__ = 1208; break;
    case 1208: 
      var $5942;
      var $5944 = $5942;__label__ = 1209; break;
    case 1209: 
      var $5944;
      var $5945=$5944 ? 81 : 111;
      $op=$5945;
      __label__ = 1210; break; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1210: 
      var $5947=HEAPU8[(((_js_CodeSpec+475)|0))]; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5948=(($5947)&255); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5949=HEAP32[(($saveop)>>2)]; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5950=((_js_CodeSpec+($5949<<3))|0); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5951=(($5950+3)|0); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5952=HEAPU8[($5951)]; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5953=(($5952)&255); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5954=(($5948)|0)==(($5953)|0); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5954) { __label__ = 1212; break; } else { __label__ = 1211; break; } //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1211: 
      $1=0; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1212: 
      __label__ = 1213; break; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1213: 
      HEAP32[(($saveop)>>2)]=59; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1214; break;
    case 1214: 
      var $5959=$cx; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5960=$op; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5961=__ZL6PopStrP11SprintStack4JSOp($ss2, $5960); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5962=_JS_strdup($5959, $5961); //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$5962; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1215; break; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1215: 
      var $5964=$mark; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_m24=$5964; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5965=$cx; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5966=(($5965+72)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5967=(($5966+16)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5968=HEAP32[(($5967)>>2)]; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $_a25=$5968; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5969=$_a25; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5970=$cx; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5971=(($5970+72)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5972=(($5971)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5973=(($5969)|0)!=(($5972)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5973) { __label__ = 1216; break; } else { __label__ = 1218; break; } //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1216: 
      var $5975=$_m24; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5976=$5975; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5977=$_a25; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5978=(($5977+4)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5979=HEAP32[(($5978)>>2)]; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5980=(($5976-$5979)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5981=$_a25; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5982=(($5981+12)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5983=HEAP32[(($5982)>>2)]; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5984=$_a25; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5985=(($5984+4)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5986=HEAP32[(($5985)>>2)]; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5987=(($5983-$5986)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5988=(($5980)>>>0) <= (($5987)>>>0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($5988) { __label__ = 1217; break; } else { __label__ = 1218; break; } //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1217: 
      var $5990=$_m24; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5991=$5990; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5992=$cx; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5993=(($5992+72)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5994=(($5993+24)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5995=HEAP32[(($5994)>>2)]; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5996=(($5991+$5995)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5997=$cx; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5998=(($5997+72)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5999=(($5998+24)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6000=HEAP32[(($5999)>>2)]; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6001=$6000 ^ -1; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6002=$5996 & $6001; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6003=$_a25; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6004=(($6003+12)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6004)>>2)]=$6002; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1219; break; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1218: 
      var $6006=$cx; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6007=(($6006+72)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6008=$_m24; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ArenaRelease($6007, $6008); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1219; break;
    case 1219: 
      __label__ = 1220; break; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1220: 
      var $6011=$rval; //@line 4199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6012=(($6011)|0)!=0; //@line 4199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6012) { __label__ = 1222; break; } else { __label__ = 1221; break; } //@line 4199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1221: 
      $1=0; //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1222: 
      var $6015=$2; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6016=(($6015)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6017=$rval; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6018=__ZN2js13SprintCStringEPNS_8SprinterEPKc($6016, $6017); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$6018; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6019=$cx; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6020=$rval; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($6019, $6020); //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1223: 
      __label__ = 1224; break; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1224: 
      var $6023=$cx; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6024=$jp; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6025=(($6024+56)|0); //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6026=HEAP32[(($6025)>>2)]; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6027=$3; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6028=_js_GetIndexFromBytecode($6023, $6026, $6027, 0); //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_26=$6028; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6029=$jp; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6030=(($6029+56)|0); //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6031=HEAP32[(($6030)>>2)]; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6032=$index_26; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6033=__ZN8JSScript11getFunctionEj($6031, $6032); //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fun=$6033; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1225; break; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1225: 
      var $6035=$fun; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6036=(($6035+58)|0); //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6037=HEAPU16[(($6036)>>1)]; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6038=(($6037)&65535); //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6039=$6038 & 4096; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6040=(($6039)|0)!=0; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6041=$6040 ^ 1; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6042=(($6041)&1); //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $grouped=$6042; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6043=$jp; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6044=(($6043+56)|0); //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6045=HEAP32[(($6044)>>2)]; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6046=$6045; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6047=(($6046+36)|0); //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6048=HEAPU8[($6047)]; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6049=(($6048)&255) >>> 3; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6050=$6049 & 1; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6051=(($6050) & 1); //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6052=(($6051)&1); //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $strict=$6052; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6053=$cx; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6054=$fun; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6055=$grouped; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6056=(($6055) & 1); //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6057=(($6056)&1); //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6058=$strict; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6059=(($6058) & 1); //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6060=(($6059)&1); //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6061=_js_DecompileToString($6053, ((STRING_TABLE.__str972770)|0), $6054, 0, 0, $6057, $6060, 50); //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $str=$6061; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6062=$str; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6063=(($6062)|0)!=0; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6063) { __label__ = 1227; break; } else { __label__ = 1226; break; } //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1226: 
      $1=0; //@line 4222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1227: 
      __label__ = 1228; break; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1228: 
      var $6067=$2; //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6068=(($6067)|0); //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6069=$str; //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6070=__ZN2js12SprintStringEPNS_8SprinterEP8JSString($6068, $6069); //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$6070; //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1229: 
      var $6072=$2; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6073=(($6072)|0); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6074=$jp; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6075=(($6074+68)|0); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6076=HEAP32[(($6075)>>2)]; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6077=(($6076+72)|0); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6078=HEAP32[(($6077)>>2)]; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6079=$6078; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6080=__ZN2js12SprintStringEPNS_8SprinterEP8JSString($6073, $6079); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$6080; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1230: 
      __label__ = 1231; break; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1231: 
      var $6083=$cx; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6084=$jp; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6085=(($6084+56)|0); //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6086=HEAP32[(($6085)>>2)]; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6087=$3; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6088=_js_GetIndexFromBytecode($6083, $6086, $6087, 0); //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_27=$6088; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6089=$jp; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6090=(($6089+56)|0); //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6091=HEAP32[(($6090)>>2)]; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6092=$index_27; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6093=__ZN8JSScript9getObjectEj($6091, $6092); //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $obj=$6093; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1232; break; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1232: 
      var $6095=$cx; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6096=$obj; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN2JSL11ObjectValueER8JSObject2863($10, $6096); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6097=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($6095, $10); //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $str=$6097; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6098=$str; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6099=(($6098)|0)!=0; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6099) { __label__ = 1234; break; } else { __label__ = 1233; break; } //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1233: 
      $1=0; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1234: 
      __label__ = 1228; break; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1235: 
      __label__ = 1236; break; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1236: 
      var $6104=$cx; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6105=$jp; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6106=(($6105+56)|0); //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6107=HEAP32[(($6106)>>2)]; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6108=$3; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6109=_js_GetIndexFromBytecode($6104, $6107, $6108, 0); //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_28=$6109; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6110=$jp; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6111=(($6110+56)|0); //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6112=HEAP32[(($6111)>>2)]; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6113=$index_28; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6114=__ZN8JSScript9getRegExpEj($6112, $6113); //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $obj=$6114; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1237; break; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1237: 
      var $6116=$cx; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6117=$obj; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6118=__Z18js_regexp_toStringP9JSContextP8JSObjectPN2JS5ValueE($6116, $6117, $val); //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6119=(($6118)|0)!=0; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6119) { __label__ = 1239; break; } else { __label__ = 1238; break; } //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1238: 
      $1=0; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1239: 
      var $6122=$11; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6123=$val; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6122)>>2)]=HEAP32[(($6123)>>2)];HEAP32[(($6122+4)>>2)]=HEAP32[(($6123+4)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6124=_JSVAL_TO_STRING2864($11); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $str=$6124; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1228; break; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1240: 
      var $6126=$cx; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6127=$jp; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6128=(($6127+56)|0); //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6129=HEAP32[(($6128)>>2)]; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6130=$3; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6131=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($6126, $6129, $6130); //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$6131; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1241; break; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1241: 
      var $6133=$sn; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6134=(($6133)|0)!=0; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6134) { __label__ = 1242; break; } else { __label__ = 1246; break; } //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1242: 
      var $6136=$sn; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6137=HEAPU8[($6136)]; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6138=(($6137)&255); //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6139=$6138 >> 3; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6140=(($6139)|0) >= 24; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6140) { __label__ = 1243; break; } else { __label__ = 1244; break; } //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1243: 
      var $6148 = 24;__label__ = 1245; break; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1244: 
      var $6143=$sn; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6144=HEAPU8[($6143)]; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6145=(($6144)&255); //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6146=$6145 >> 3; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6148 = $6146;__label__ = 1245; break; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1245: 
      var $6148; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6149=(($6148)|0)==18; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6149) { __label__ = 1247; break; } else { __label__ = 1246; break; } //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1246: 
      $1=0; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1247: 
      __label__ = 1248; break; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1248: 
      var $6153=$sn; //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6154=_js_GetSrcNoteOffset($6153, 0); //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$6154; //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6155=$op; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6156=(($6155)|0)==70; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6157=$6156 ? 2 : 4; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jmplen=$6157; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6158=$3; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6158; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6159=$3; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6160=$pc2; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6161=__ZL13GetJumpOffsetPhS_($6159, $6160); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$6161; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6162=$jmplen; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6163=$pc2; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6164=(($6163+$6162)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6164; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6165=$pc2; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6166=(($6165+1)|0); //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6167=HEAPU8[($6166)]; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6168=(($6167)&255); //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6169=$6168 << 8; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6170=$pc2; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6171=(($6170+2)|0); //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6172=HEAPU8[($6171)]; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6173=(($6172)&255); //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6174=$6169 | $6173; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6175=(($6174) & 65535); //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6176=(($6175 << 16) >> 16); //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $low=$6176; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6177=$pc2; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6178=(($6177+2)|0); //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6178; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6179=$pc2; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6180=(($6179+1)|0); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6181=HEAPU8[($6180)]; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6182=(($6181)&255); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6183=$6182 << 8; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6184=$pc2; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6185=(($6184+2)|0); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6186=HEAPU8[($6185)]; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6187=(($6186)&255); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6188=$6183 | $6187; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6189=(($6188) & 65535); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6190=(($6189 << 16) >> 16); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $high=$6190; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6191=$pc2; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6192=(($6191+2)|0); //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6192; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6193=$high; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6194=$low; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6195=(($6193-$6194)|0); //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6196=(($6195+1)|0); //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $n=$6196; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6197=$n; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6198=(($6197)|0)==0; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6198) { __label__ = 1249; break; } else { __label__ = 1250; break; } //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1249: 
      $table=0; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $j=0; //@line 4270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=1; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1277; break; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1250: 
      var $6201=$cx; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6202=$n; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6203=(($6202*24)|0); //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6204=__ZN9JSContext7malloc_Ej($6201, $6203); //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6205=$6204; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $table=$6205; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6206=$table; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6207=(($6206)|0)!=0; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6207) { __label__ = 1252; break; } else { __label__ = 1251; break; } //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1251: 
      $1=0; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1252: 
      $j=0; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=0; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1253; break; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1253: 
      var $6211=HEAP32[(($i)>>2)]; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6212=$n; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6213=(($6211)|0) < (($6212)|0); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6213) { __label__ = 1254; break; } else { __label__ = 1273; break; } //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1254: 
      var $6215=$j; //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6216=$table; //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6217=(($6216+$6215*24)|0); //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6218=(($6217+12)|0); //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6218)>>2)]=0; //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6219=$3; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6220=$pc2; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6221=__ZL13GetJumpOffsetPhS_($6219, $6220); //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off2=$6221; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6222=$off2; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6223=(($6222)|0)!=0; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6223) { __label__ = 1255; break; } else { __label__ = 1271; break; } //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1255: 
      var $6225=$cx; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6226=$jp; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6227=(($6226+56)|0); //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6228=HEAP32[(($6227)>>2)]; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6229=$pc2; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6230=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($6225, $6228, $6229); //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$6230; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6231=$sn; //@line 4282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6232=(($6231)|0)!=0; //@line 4282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6232) { __label__ = 1256; break; } else { __label__ = 1270; break; } //@line 4282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1256: 
      __label__ = 1257; break; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1257: 
      var $6235=$sn; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6236=HEAPU8[($6235)]; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6237=(($6236)&255); //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6238=$6237 >> 3; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6239=(($6238)|0) >= 24; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6239) { __label__ = 1258; break; } else { __label__ = 1259; break; } //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1258: 
      var $6247 = 24;__label__ = 1260; break; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1259: 
      var $6242=$sn; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6243=HEAPU8[($6242)]; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6244=(($6243)&255); //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6245=$6244 >> 3; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6247 = $6245;__label__ = 1260; break; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1260: 
      var $6247; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6248=(($6247)|0)==13; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6248) { __label__ = 1262; break; } else { __label__ = 1261; break; } //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1261: 
      $1=0; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1262: 
      __label__ = 1263; break; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1263: 
      __label__ = 1264; break; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1264: 
      var $6253=$sn; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6254=_js_GetSrcNoteOffset($6253, 0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atomIndex_29=$6254; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1265; break; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1265: 
      var $6256=$atomIndex_29; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6257=$jp; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6258=(($6257+56)|0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6259=HEAP32[(($6258)>>2)]; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6260=(($6259+40)|0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6261=HEAPU32[(($6260)>>2)]; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6262=(($6256)>>>0) < (($6261)>>>0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6262) { __label__ = 1267; break; } else { __label__ = 1266; break; } //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1266: 
      $1=0; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1267: 
      __label__ = 1268; break; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1268: 
      var $6266=$atomIndex_29; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6267=$jp; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6268=(($6267+56)|0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6269=HEAP32[(($6268)>>2)]; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6270=(($6269+56)|0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6271=HEAP32[(($6270)>>2)]; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6272=(($6271+($6266<<2))|0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6273=HEAP32[(($6272)>>2)]; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6274=$j; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6275=$table; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6276=(($6275+$6274*24)|0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6277=(($6276+12)|0); //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6277)>>2)]=$6273; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1269; break; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1269: 
      __label__ = 1270; break; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1270: 
      var $6280=$j; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6281=$table; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6282=(($6281+$6280*24)|0); //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6283=(($6282)|0); //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6284=$low; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6285=HEAP32[(($i)>>2)]; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6286=(($6284+$6285)|0); //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _INT_TO_JSVAL2865($12, $6286); //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6287=$6283; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6288=$12; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6287)>>2)]=HEAP32[(($6288)>>2)];HEAP32[(($6287+4)>>2)]=HEAP32[(($6288+4)>>2)]; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6289=$off2; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6290=$j; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6291=$table; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6292=(($6291+$6290*24)|0); //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6293=(($6292+8)|0); //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6293)>>2)]=$6289; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6294=$j; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6295=$j; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6296=$table; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6297=(($6296+$6295*24)|0); //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6298=(($6297+16)|0); //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6298)>>2)]=$6294; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6299=$j; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6300=(($6299+1)|0); //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $j=$6300; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1271; break; //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1271: 
      var $6302=$jmplen; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6303=$pc2; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6304=(($6303+$6302)|0); //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6304; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1272; break; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1272: 
      var $6306=HEAP32[(($i)>>2)]; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6307=(($6306+1)|0); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$6307; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1253; break; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1273: 
      var $6309=$cx; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6310=$j; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6311=(($6310*24)|0); //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6312=__ZN9JSContext7malloc_Ej($6309, $6311); //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6313=$6312; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $tmp=$6313; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6314=$tmp; //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6315=(($6314)|0)!=0; //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6315) { __label__ = 1274; break; } else { __label__ = 1275; break; } //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1274: 
      var $6317=$table; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6318=$6317; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6319=$j; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6320=$tmp; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6321=$6320; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6322=__Z12js_MergeSortPvjjPFiS_PKvS1_PiES_S_19JSMergeSortElemType($6318, $6319, 24, 208, 0, $6321, 1); //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6323=(($6322)&1); //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$6323; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6324=$cx; //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6325=$tmp; //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6326=$6325; //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($6324, $6326); //@line 4300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1276; break; //@line 4301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1275: 
      $ok=0; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1276; break;
    case 1276: 
      __label__ = 1277; break;
    case 1277: 
      var $6330=$ok; //@line 4306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6331=(($6330)|0)!=0; //@line 4306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6331) { __label__ = 1278; break; } else { __label__ = 1279; break; } //@line 4306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1278: 
      var $6333=$2; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6334=$table; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6335=$j; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6336=$3; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6337=$len; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6338=$off; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6339=__ZL15DecompileSwitchP11SprintStackP10TableEntryjPhiii($6333, $6334, $6335, $6336, $6337, $6338, 0); //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$6339; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1279; break; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1279: 
      var $6341=$cx; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6342=$table; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6343=$6342; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($6341, $6343); //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6344=$ok; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6345=(($6344)|0)!=0; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6345) { __label__ = 1281; break; } else { __label__ = 1280; break; } //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1280: 
      $1=0; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1281: 
      HEAP32[(($todo)>>2)]=-2; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1282: 
      var $6349=$cx; //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6350=$jp; //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6351=(($6350+56)|0); //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6352=HEAP32[(($6351)>>2)]; //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6353=$3; //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6354=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($6349, $6352, $6353); //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$6354; //@line 4324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1283; break; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1283: 
      var $6356=$sn; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6357=(($6356)|0)!=0; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6357) { __label__ = 1284; break; } else { __label__ = 1288; break; } //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1284: 
      var $6359=$sn; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6360=HEAPU8[($6359)]; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6361=(($6360)&255); //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6362=$6361 >> 3; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6363=(($6362)|0) >= 24; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6363) { __label__ = 1285; break; } else { __label__ = 1286; break; } //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1285: 
      var $6371 = 24;__label__ = 1287; break; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1286: 
      var $6366=$sn; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6367=HEAPU8[($6366)]; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6368=(($6367)&255); //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6369=$6368 >> 3; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6371 = $6369;__label__ = 1287; break; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1287: 
      var $6371; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6372=(($6371)|0)==18; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6372) { __label__ = 1289; break; } else { __label__ = 1288; break; } //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1288: 
      $1=0; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1289: 
      __label__ = 1290; break; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1290: 
      var $6376=$sn; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6377=_js_GetSrcNoteOffset($6376, 0); //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$6377; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6378=$op; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6379=(($6378)|0)==71; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6380=$6379 ? 2 : 4; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jmplen30=$6380; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6381=$3; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6381; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6382=$3; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6383=$pc2; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6384=__ZL13GetJumpOffsetPhS_($6382, $6383); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off31=$6384; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6385=$jmplen30; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6386=$pc2; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6387=(($6386+$6385)|0); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6387; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6388=$pc2; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6389=(($6388+1)|0); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6390=HEAPU8[($6389)]; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6391=(($6390)&255); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6392=$6391 << 8; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6393=$pc2; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6394=(($6393+2)|0); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6395=HEAPU8[($6394)]; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6396=(($6395)&255); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6397=$6392 | $6396; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $npairs=$6397; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6398=$pc2; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6399=(($6398+2)|0); //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6399; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6400=$cx; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6401=$npairs; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6402=(($6401*24)|0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6403=__ZN9JSContext7malloc_Ej($6400, $6402); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6404=$6403; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $table33=$6404; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6405=$table33; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6406=(($6405)|0)!=0; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6406) { __label__ = 1292; break; } else { __label__ = 1291; break; } //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1291: 
      $1=0; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1292: 
      $k=0; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1293; break; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1293: 
      var $6410=$k; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6411=$npairs; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6412=(($6410)>>>0) < (($6411)>>>0); //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6412) { __label__ = 1294; break; } else { __label__ = 1312; break; } //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1294: 
      var $6414=$cx; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6415=$jp; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6416=(($6415+56)|0); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6417=HEAP32[(($6416)>>2)]; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6418=$pc2; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6419=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($6414, $6417, $6418); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$6419; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6420=$sn; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6421=(($6420)|0)!=0; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6421) { __label__ = 1295; break; } else { __label__ = 1309; break; } //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1295: 
      __label__ = 1296; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1296: 
      var $6424=$sn; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6425=HEAPU8[($6424)]; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6426=(($6425)&255); //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6427=$6426 >> 3; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6428=(($6427)|0) >= 24; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6428) { __label__ = 1297; break; } else { __label__ = 1298; break; } //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1297: 
      var $6436 = 24;__label__ = 1299; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1298: 
      var $6431=$sn; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6432=HEAPU8[($6431)]; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6433=(($6432)&255); //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6434=$6433 >> 3; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6436 = $6434;__label__ = 1299; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1299: 
      var $6436; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6437=(($6436)|0)==13; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6437) { __label__ = 1301; break; } else { __label__ = 1300; break; } //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1300: 
      $1=0; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1301: 
      __label__ = 1302; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1302: 
      __label__ = 1303; break; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1303: 
      var $6442=$sn; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6443=_js_GetSrcNoteOffset($6442, 0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atomIndex_34=$6443; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1304; break; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1304: 
      var $6445=$atomIndex_34; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6446=$jp; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6447=(($6446+56)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6448=HEAP32[(($6447)>>2)]; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6449=(($6448+40)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6450=HEAPU32[(($6449)>>2)]; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6451=(($6445)>>>0) < (($6450)>>>0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6451) { __label__ = 1306; break; } else { __label__ = 1305; break; } //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1305: 
      $1=0; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1306: 
      __label__ = 1307; break; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1307: 
      var $6455=$atomIndex_34; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6456=$jp; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6457=(($6456+56)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6458=HEAP32[(($6457)>>2)]; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6459=(($6458+56)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6460=HEAP32[(($6459)>>2)]; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6461=(($6460+($6455<<2))|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6462=HEAP32[(($6461)>>2)]; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6463=$k; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6464=$table33; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6465=(($6464+$6463*24)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6466=(($6465+12)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6466)>>2)]=$6462; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1308; break; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1308: 
      __label__ = 1310; break; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1309: 
      var $6469=$k; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6470=$table33; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6471=(($6470+$6469*24)|0); //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6472=(($6471+12)|0); //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6472)>>2)]=0; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1310; break;
    case 1310: 
      var $6474=$pc2; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6475=(($6474+1)|0); //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6476=HEAPU8[($6475)]; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6477=(($6476)&255); //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6478=$6477 << 8; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6479=$pc2; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6480=(($6479+2)|0); //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6481=HEAPU8[($6480)]; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6482=(($6481)&255); //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6483=$6478 | $6482; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6484=(($6483) & 65535); //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $constIndex=$6484; //@line 4347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6485=$pc2; //@line 4348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6486=(($6485+2)|0); //@line 4348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6486; //@line 4348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6487=$3; //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6488=$pc2; //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6489=__ZL13GetJumpOffsetPhS_($6487, $6488); //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off232=$6489; //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6490=$jmplen30; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6491=$pc2; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6492=(($6491+$6490)|0); //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6492; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6493=$k; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6494=$table33; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6495=(($6494+$6493*24)|0); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6496=(($6495)|0); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6497=$jp; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6498=(($6497+56)|0); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6499=HEAP32[(($6498)>>2)]; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6500=$constIndex; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6501=(($6500)&65535); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6502=__ZN8JSScript8getConstEj($6499, $6501); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6503=$6496; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6504=$6502; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6503)>>2)]=HEAP32[(($6504)>>2)];HEAP32[(($6503+4)>>2)]=HEAP32[(($6504+4)>>2)]; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6505=$off232; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6506=$k; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6507=$table33; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6508=(($6507+$6506*24)|0); //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6509=(($6508+8)|0); //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6509)>>2)]=$6505; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1311; break; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1311: 
      var $6511=$k; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6512=(($6511+1)|0); //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $k=$6512; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1293; break; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1312: 
      var $6514=$2; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6515=$table33; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6516=$npairs; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6517=$3; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6518=$len; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6519=$off31; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6520=__ZL15DecompileSwitchP11SprintStackP10TableEntryjPhiii($6514, $6515, $6516, $6517, $6518, $6519, 0); //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$6520; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6521=$cx; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6522=$table33; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6523=$6522; //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($6521, $6523); //@line 4357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6524=$ok; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6525=(($6524)|0)!=0; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6525) { __label__ = 1314; break; } else { __label__ = 1313; break; } //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1313: 
      $1=0; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1314: 
      HEAP32[(($todo)>>2)]=-2; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1315: 
      var $6529=$cx; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6530=$jp; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6531=(($6530+56)|0); //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6532=HEAP32[(($6531)>>2)]; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6533=$3; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6534=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($6529, $6532, $6533); //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$6534; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1316; break; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1316: 
      var $6536=$sn; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6537=(($6536)|0)!=0; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6537) { __label__ = 1317; break; } else { __label__ = 1321; break; } //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1317: 
      var $6539=$sn; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6540=HEAPU8[($6539)]; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6541=(($6540)&255); //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6542=$6541 >> 3; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6543=(($6542)|0) >= 24; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6543) { __label__ = 1318; break; } else { __label__ = 1319; break; } //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1318: 
      var $6551 = 24;__label__ = 1320; break; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1319: 
      var $6546=$sn; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6547=HEAPU8[($6546)]; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6548=(($6547)&255); //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6549=$6548 >> 3; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6551 = $6549;__label__ = 1320; break; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1320: 
      var $6551; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6552=(($6551)|0)==18; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6552) { __label__ = 1322; break; } else { __label__ = 1321; break; } //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1321: 
      $1=0; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1322: 
      __label__ = 1323; break; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1323: 
      var $6556=$sn; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6557=_js_GetSrcNoteOffset($6556, 0); //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$6557; //@line 4372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6558=$sn; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6559=_js_GetSrcNoteOffset($6558, 1); //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off35=$6559; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6560=$3; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6560; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6561=$off35; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off236=$6561; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ncases=0; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1324; break; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1324: 
      var $6563=$off236; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6564=(($6563)|0)!=0; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6564) { __label__ = 1325; break; } else { __label__ = 1346; break; } //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1325: 
      var $6566=$off236; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6567=$pc2; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6568=(($6567+$6566)|0); //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6568; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1326; break; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1326: 
      var $6570=$pc2; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6571=HEAPU8[($6570)]; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6572=(($6571)&255); //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6573=(($6572)|0)==121; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6573) { __label__ = 1331; break; } else { __label__ = 1327; break; } //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1327: 
      var $6575=$pc2; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6576=HEAPU8[($6575)]; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6577=(($6576)&255); //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6578=(($6577)|0)==122; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6578) { __label__ = 1331; break; } else { __label__ = 1328; break; } //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1328: 
      var $6580=$pc2; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6581=HEAPU8[($6580)]; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6582=(($6581)&255); //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6583=(($6582)|0)==147; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6583) { __label__ = 1331; break; } else { __label__ = 1329; break; } //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1329: 
      var $6585=$pc2; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6586=HEAPU8[($6585)]; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6587=(($6586)&255); //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6588=(($6587)|0)==148; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6588) { __label__ = 1331; break; } else { __label__ = 1330; break; } //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1330: 
      $1=0; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1331: 
      __label__ = 1332; break; //@line 4383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1332: 
      var $6592=$pc2; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6593=HEAPU8[($6592)]; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6594=(($6593)&255); //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6595=(($6594)|0)==122; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6595) { __label__ = 1334; break; } else { __label__ = 1333; break; } //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1333: 
      var $6597=$pc2; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6598=HEAPU8[($6597)]; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6599=(($6598)&255); //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6600=(($6599)|0)==148; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6600) { __label__ = 1334; break; } else { __label__ = 1335; break; } //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1334: 
      $off236=0; //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1344; break; //@line 4388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1335: 
      var $6603=$cx; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6604=$jp; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6605=(($6604+56)|0); //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6606=HEAP32[(($6605)>>2)]; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6607=$pc2; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6608=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($6603, $6606, $6607); //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$6608; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1336; break; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1336: 
      var $6610=$sn; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6611=(($6610)|0)!=0; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6611) { __label__ = 1337; break; } else { __label__ = 1341; break; } //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1337: 
      var $6613=$sn; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6614=HEAPU8[($6613)]; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6615=(($6614)&255); //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6616=$6615 >> 3; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6617=(($6616)|0) >= 24; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6617) { __label__ = 1338; break; } else { __label__ = 1339; break; } //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1338: 
      var $6625 = 24;__label__ = 1340; break; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1339: 
      var $6620=$sn; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6621=HEAPU8[($6620)]; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6622=(($6621)&255); //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6623=$6622 >> 3; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6625 = $6623;__label__ = 1340; break; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1340: 
      var $6625; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6626=(($6625)|0)==7; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6626) { __label__ = 1342; break; } else { __label__ = 1341; break; } //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1341: 
      $1=0; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1342: 
      __label__ = 1343; break; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1343: 
      var $6630=$sn; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6631=_js_GetSrcNoteOffset($6630, 0); //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off236=$6631; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1344; break;
    case 1344: 
      __label__ = 1345; break; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1345: 
      var $6634=$ncases; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6635=(($6634+1)|0); //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ncases=$6635; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1324; break; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1346: 
      var $6637=$cx; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6638=$ncases; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6639=(($6638*24)|0); //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6640=__ZN9JSContext7malloc_Ej($6637, $6639); //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6641=$6640; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $table37=$6641; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6642=$table37; //@line 4402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6643=(($6642)|0)!=0; //@line 4402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6643) { __label__ = 1348; break; } else { __label__ = 1347; break; } //@line 4402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1347: 
      $1=0; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1348: 
      var $6646=$3; //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6646; //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6647=$off35; //@line 4405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off236=$6647; //@line 4405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=0; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1349; break; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1349: 
      var $6649=HEAP32[(($i)>>2)]; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6650=$ncases; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6651=(($6649)|0) < (($6650)|0); //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6651) { __label__ = 1350; break; } else { __label__ = 1370; break; } //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1350: 
      var $6653=$off236; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6654=$pc2; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6655=(($6654+$6653)|0); //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6655; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1351; break; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1351: 
      var $6657=$pc2; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6658=HEAPU8[($6657)]; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6659=(($6658)&255); //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6660=(($6659)|0)==121; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6660) { __label__ = 1356; break; } else { __label__ = 1352; break; } //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1352: 
      var $6662=$pc2; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6663=HEAPU8[($6662)]; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6664=(($6663)&255); //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6665=(($6664)|0)==122; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6665) { __label__ = 1356; break; } else { __label__ = 1353; break; } //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1353: 
      var $6667=$pc2; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6668=HEAPU8[($6667)]; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6669=(($6668)&255); //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6670=(($6669)|0)==147; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6670) { __label__ = 1356; break; } else { __label__ = 1354; break; } //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1354: 
      var $6672=$pc2; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6673=HEAPU8[($6672)]; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6674=(($6673)&255); //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6675=(($6674)|0)==148; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6675) { __label__ = 1356; break; } else { __label__ = 1355; break; } //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1355: 
      $1=0; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1356: 
      __label__ = 1357; break; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1357: 
      var $6679=$pc2; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6680=$3; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6681=$6679; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6682=$6680; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6683=(($6681-$6682)|0); //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $caseOff=$6683; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6684=HEAP32[(($i)>>2)]; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6685=$table37; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6686=(($6685+$6684*24)|0); //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6687=(($6686)|0); //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6688=$caseOff; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _INT_TO_JSVAL2865($13, $6688); //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6689=$6687; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6690=$13; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6689)>>2)]=HEAP32[(($6690)>>2)];HEAP32[(($6689+4)>>2)]=HEAP32[(($6690+4)>>2)]; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6691=$caseOff; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6692=$pc2; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6693=$pc2; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6694=__ZL13GetJumpOffsetPhS_($6692, $6693); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6695=(($6691+$6694)|0); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6696=HEAP32[(($i)>>2)]; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6697=$table37; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6698=(($6697+$6696*24)|0); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6699=(($6698+8)|0); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6699)>>2)]=$6695; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6700=$pc2; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6701=HEAPU8[($6700)]; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6702=(($6701)&255); //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6703=(($6702)|0)==121; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6703) { __label__ = 1359; break; } else { __label__ = 1358; break; } //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1358: 
      var $6705=$pc2; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6706=HEAPU8[($6705)]; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6707=(($6706)&255); //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6708=(($6707)|0)==147; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6708) { __label__ = 1359; break; } else { __label__ = 1368; break; } //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1359: 
      var $6710=$cx; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6711=$jp; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6712=(($6711+56)|0); //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6713=HEAP32[(($6712)>>2)]; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6714=$pc2; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6715=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($6710, $6713, $6714); //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$6715; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1360; break; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1360: 
      var $6717=$sn; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6718=(($6717)|0)!=0; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6718) { __label__ = 1361; break; } else { __label__ = 1365; break; } //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1361: 
      var $6720=$sn; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6721=HEAPU8[($6720)]; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6722=(($6721)&255); //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6723=$6722 >> 3; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6724=(($6723)|0) >= 24; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6724) { __label__ = 1362; break; } else { __label__ = 1363; break; } //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1362: 
      var $6732 = 24;__label__ = 1364; break; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1363: 
      var $6727=$sn; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6728=HEAPU8[($6727)]; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6729=(($6728)&255); //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6730=$6729 >> 3; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6732 = $6730;__label__ = 1364; break; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1364: 
      var $6732; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6733=(($6732)|0)==7; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6733) { __label__ = 1366; break; } else { __label__ = 1365; break; } //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1365: 
      $1=0; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1366: 
      __label__ = 1367; break; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1367: 
      var $6737=$sn; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6738=_js_GetSrcNoteOffset($6737, 0); //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off236=$6738; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1368; break; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1368: 
      __label__ = 1369; break; //@line 4418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1369: 
      var $6741=HEAP32[(($i)>>2)]; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6742=(($6741+1)|0); //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$6742; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1349; break; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1370: 
      var $6744=$ncases; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6745=(($6744-1)|0); //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6746=$table37; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6747=(($6746+$6745*24)|0); //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6748=(($6747)|0); //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6749=$14; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6750=$6748; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6749)>>2)]=HEAP32[(($6750)>>2)];HEAP32[(($6749+4)>>2)]=HEAP32[(($6750+4)>>2)]; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6751=_JSVAL_TO_INT($14); //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off35=$6751; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6752=$3; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6753=$off35; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6754=(($6752+$6753)|0); //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc2=$6754; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6755=$pc2; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6756=$pc2; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6757=__ZL13GetJumpOffsetPhS_($6755, $6756); //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6758=$off35; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6759=(($6758+$6757)|0); //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off35=$6759; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6760=$2; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6761=$table37; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6762=$ncases; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6763=$3; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6764=$len; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6765=$off35; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6766=__ZL15DecompileSwitchP11SprintStackP10TableEntryjPhiii($6760, $6761, $6762, $6763, $6764, $6765, 1); //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $ok=$6766; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6767=$cx; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6768=$table37; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6769=$6768; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($6767, $6769); //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6770=$ok; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6771=(($6770)|0)!=0; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6771) { __label__ = 1372; break; } else { __label__ = 1371; break; } //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1371: 
      $1=0; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1372: 
      HEAP32[(($todo)>>2)]=-2; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1373: 
      var $6775=$2; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6776=$op; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6777=__ZL6PopStrP11SprintStack4JSOp($6775, $6776); //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$6777; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6778=$lval; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6779=(($6778)|0)!=0; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6779) { __label__ = 1375; break; } else { __label__ = 1374; break; } //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1374: 
      $1=0; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1375: 
      var $6782=$jp; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6783=$lval; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6784=_js_printf($6782, ((STRING_TABLE.__str982771)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$6783,tempInt)); //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1376: 
      __label__ = 1377; break; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1377: 
      var $6787=$cx; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6788=$jp; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6789=(($6788+56)|0); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6790=HEAP32[(($6789)>>2)]; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6791=$3; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6792=_js_GetIndexFromBytecode($6787, $6790, $6791, 0); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_38=$6792; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6793=$jp; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6794=(($6793+56)|0); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6795=HEAP32[(($6794)>>2)]; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6796=$index_38; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6797=__ZN8JSScript11getFunctionEj($6795, $6796); //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $fun=$6797; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1378; break; //@line 4451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1378: 
      HEAP32[(($todo)>>2)]=-2; //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 149; break; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1379: 
      var $6800=$cx; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6801=$jp; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6802=(($6801+56)|0); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6803=HEAP32[(($6802)>>2)]; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6804=$3; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6805=_JS_GetTrapOpcode($6800, $6803, $6804); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$6805; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($saveop)>>2)]=$6805; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6806=$op; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6807=(($6806) & 255); //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6808=$3; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($6808)]=$6807; //@line 4458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6809=$op; //@line 4459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6810=((_js_CodeSpec+($6809<<3))|0); //@line 4459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$6810; //@line 4459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6811=$cs; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6812=(($6811)|0); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6813=HEAP8[($6812)]; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6814=(($6813 << 24) >> 24); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$6814; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6815=$2; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6816=$3; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6817=$len; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6818=__ZL9DecompileP11SprintStackPhi4JSOp($6815, $6816, $6817, 0); //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6819=(($6818)|0)!=0; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6819) { __label__ = 1381; break; } else { __label__ = 1380; break; } //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1380: 
      $1=0; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1381: 
      var $6822=$3; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6823=HEAPU8[($6822)]; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6824=(($6823)&255); //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6825=((_js_CodeSpec+($6824<<3))|0); //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6826=(($6825+4)|0); //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6827=HEAP32[(($6826)>>2)]; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6828=$6827 & 134217728; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6829=(($6828)|0)!=0; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6829) { __label__ = 1382; break; } else { __label__ = 1383; break; } //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1382: 
      var $6831=$3; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6832=$3; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6833=HEAPU8[($6832)]; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6834=(($6833)&255); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6835=((_js_CodeSpec+($6834<<3))|0); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6836=(($6835)|0); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6837=HEAP8[($6836)]; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6838=(($6837 << 24) >> 24); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6839=__ZN2jsL18GetDecomposeLengthEPhj2861($6831, $6838); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6840=$len; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6841=(($6840+$6839)|0); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$6841; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1383; break; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1383: 
      var $6843=$3; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($6843)]=83; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1384: 
      var $6845=$2; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6846=(($6845)|0); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6847=__ZN2js9SprintPutEPNS_8SprinterEPKcj($6846, ((__str272700)|0), 0); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$6847; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1385: 
      var $6849=$3; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6850=(($6849+1)|0); //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6851=HEAPU8[($6850)]; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6852=(($6851)&255); //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$6852; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1386; break; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1386: 
      var $6854=HEAP32[(($i)>>2)]; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6855=(($6854)|0)==3; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6855) { __label__ = 1389; break; } else { __label__ = 1387; break; } //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1387: 
      var $6857=HEAP32[(($i)>>2)]; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6858=(($6857)|0)==1; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6858) { __label__ = 1389; break; } else { __label__ = 1388; break; } //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1388: 
      $1=0; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1389: 
      __label__ = 1390; break; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1390: 
      var $6862=$2; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6863=(($6862)|0); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6864=(($6863+16)|0); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6865=HEAP32[(($6864)>>2)]; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$6865; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6866=$len; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6867=$3; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6868=(($6867+$6866)|0); //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6869=HEAPU8[($6868)]; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6870=(($6869)&255); //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$6870; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6871=$op; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6872=(($6871)|0)==230; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6872) { __label__ = 1391; break; } else { __label__ = 1392; break; } //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1391: 
      var $6874=$len; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6875=(($6874+3)|0); //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$6875; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6876=$3; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6877=(($6876+$6875)|0); //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6878=HEAPU8[($6877)]; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6879=(($6878)&255); //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$6879; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1392; break; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1392: 
      var $6881=$op; //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6882=(($6881)|0)==95; //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6882) { __label__ = 1393; break; } else { __label__ = 1396; break; } //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1393: 
      var $6884=$len; //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6885=$3; //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6886=(($6885+$6884)|0); //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$6886; //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6887=$op; //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6888=((_js_CodeSpec+($6887<<3))|0); //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$6888; //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6889=$cs; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6890=(($6889)|0); //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6891=HEAP8[($6890)]; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6892=(($6891 << 24) >> 24); //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$6892; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6893=$2; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6894=(($6893)|0); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6895=$3; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6896=(($6895+2)|0); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6897=(($6896+1)|0); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6898=HEAPU8[($6897)]; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6899=(($6898)&255); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6900=$6899 << 8; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6901=$3; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6902=(($6901+2)|0); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6903=(($6902+2)|0); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6904=HEAPU8[($6903)]; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6905=(($6904)&255); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6906=$6900 | $6905; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6907=__ZN2js6SprintEPNS_8SprinterEPKcz($6894, ((STRING_TABLE.__str992772)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$6906,tempInt)); //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6908=(($6907)|0) < 0; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6908) { __label__ = 1394; break; } else { __label__ = 1395; break; } //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1394: 
      $1=0; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1395: 
      __label__ = 1396; break; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1396: 
      var $6912=HEAP32[(($i)>>2)]; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6913=(($6912)|0)==3; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6913) { __label__ = 1397; break; } else { __label__ = 1400; break; } //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1397: 
      var $6915=$2; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6916=(($6915+32)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6917=HEAP32[(($6916)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6918=(($6917+1)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6916)>>2)]=$6918; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6919=$2; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6920=(($6919)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6921=__ZN2js13SprintCStringEPNS_8SprinterEPKc($6920, ((STRING_TABLE.__str1002773)|0)); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6922=(($6921)|0) < 0; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6922) { __label__ = 1398; break; } else { __label__ = 1399; break; } //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1398: 
      $1=0; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1399: 
      __label__ = 1403; break; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1400: 
      var $6926=$2; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6927=(($6926)|0); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6928=__ZN2js13SprintCStringEPNS_8SprinterEPKc($6927, ((STRING_TABLE.__str1012774)|0)); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6929=(($6928)|0) < 0; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6929) { __label__ = 1401; break; } else { __label__ = 1402; break; } //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1401: 
      $1=0; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1402: 
      __label__ = 1403; break;
    case 1403: 
      __label__ = 1569; break; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1404: 
      var $6934=$2; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6935=(($6934)|0); //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6936=(($6935+16)|0); //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6937=HEAP32[(($6936)>>2)]; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$6937; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6938=$2; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6939=(($6938+32)|0); //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6940=HEAP32[(($6939)>>2)]; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6941=(($6940+1)|0); //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6939)>>2)]=$6941; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6942=$2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6943=(($6942)|0); //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6944=__ZN2js13SprintCStringEPNS_8SprinterEPKc($6943, ((STRING_TABLE.__str1002773)|0)); //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6945=(($6944)|0) < 0; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6945) { __label__ = 1405; break; } else { __label__ = 1406; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1405: 
      $1=0; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1406: 
      __label__ = 1569; break; //@line 4510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1407: 
      var $6949=$2; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6950=(($6949)|0); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6951=(($6950+16)|0); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6952=HEAP32[(($6951)>>2)]; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$6952; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6953=$2; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6954=(($6953)|0); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6955=__ZN2js13SprintCStringEPNS_8SprinterEPKc($6954, ((STRING_TABLE.__str1012774)|0)); //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6956=(($6955)|0) < 0; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6956) { __label__ = 1408; break; } else { __label__ = 1409; break; } //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1408: 
      $1=0; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1409: 
      __label__ = 1569; break; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1410: 
      $op=0; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6960=$2; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6961=$op; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6962=__ZL6PopStrP11SprintStack4JSOp($6960, $6961); //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$6962; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6963=$cx; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6964=$jp; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6965=(($6964+56)|0); //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6966=HEAP32[(($6965)>>2)]; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6967=$3; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6968=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($6963, $6966, $6967); //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$6968; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6969=$rval; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$6969; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1411; break; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1411: 
      var $6971=$xval; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6972=HEAP8[($6971)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6973=(($6972 << 24) >> 24); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6974=(($6973)|0)!=91; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6974) { __label__ = 1412; break; } else { var $6981 = 0;__label__ = 1413; break; } //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1412: 
      var $6976=$xval; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6977=HEAP8[($6976)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6978=(($6977 << 24) >> 24); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6979=(($6978)|0)!=123; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6981 = $6979;__label__ = 1413; break;
    case 1413: 
      var $6981;
      if ($6981) { __label__ = 1414; break; } else { __label__ = 1416; break; }
    case 1414: 
      __label__ = 1415; break; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1415: 
      var $6984=$xval; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6985=(($6984+1)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$6985; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1411; break; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1416: 
      var $6987=$xval; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6988=HEAP8[($6987)]; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6989=(($6988 << 24) >> 24); //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6990=(($6989)|0)==91; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6991=(($6990)&1); //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $inArray=$6991; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6992=$inArray; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6993=(($6992)|0)!=0; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($6993) { __label__ = 1417; break; } else { __label__ = 1418; break; } //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1417: 
      var $6995=$2; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6996=(($6995+32)|0); //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6997=HEAP32[(($6996)>>2)]; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6998=(($6997-1)|0); //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6996)>>2)]=$6998; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1418; break; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1418: 
      var $7000=$2; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7001=(($7000)|0); //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7002=$rval; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7003=$sn; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7004=(($7003)|0)!=0; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7004) { __label__ = 1419; break; } else { var $7021 = 0;__label__ = 1423; break; } //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1419: 
      var $7006=$sn; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7007=HEAPU8[($7006)]; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7008=(($7007)&255); //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7009=$7008 >> 3; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7010=(($7009)|0) >= 24; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7010) { __label__ = 1420; break; } else { __label__ = 1421; break; } //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1420: 
      var $7018 = 24;__label__ = 1422; break; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1421: 
      var $7013=$sn; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7014=HEAPU8[($7013)]; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7015=(($7014)&255); //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7016=$7015 >> 3; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7018 = $7016;__label__ = 1422; break; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1422: 
      var $7018; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7019=(($7018)|0)==5; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7021 = $7019;__label__ = 1423; break;
    case 1423: 
      var $7021;
      var $7022=$7021 ? (((STRING_TABLE.__str332706)|0)) : (((__str272700)|0));
      var $7023=$inArray;
      var $7024=(($7023)|0)!=0;
      var $7025=$7024 ? 93 : 125;
      var $7026=(($7025 << 24) >> 24);
      var $7027=__ZN2js6SprintEPNS_8SprinterEPKcz($7001, ((STRING_TABLE.__str1022775)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7002,HEAP32[((tempInt+4)>>2)]=$7022,HEAP32[((tempInt+8)>>2)]=$7026,tempInt));
      HEAP32[(($todo)>>2)]=$7027;
      __label__ = 1569; break; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1424: 
      var $7029=$2; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7030=(($7029+28)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7031=HEAP32[(($7030)>>2)]; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7032=(($7031-3)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7033=$2; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7034=(($7033+24)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7035=HEAP32[(($7034)>>2)]; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7036=(($7035+$7032)|0); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7037=HEAP8[($7036)]; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7038=__ZL15IsInitializerOph($7037); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7039=(($7038)&1); //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $isFirst=$7039; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=111; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7040=$2; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7041=$op; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7042=__ZL6PopStrP11SprintStack4JSOp($7040, $7041); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7042; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=0; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7043=$2; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7044=$op; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7045=__ZL6PopStrP11SprintStack4JSOp($7043, $7044); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$7045; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7046=$2; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7047=$op; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7048=__ZL6PopStrP11SprintStack4JSOp($7046, $7047); //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7048; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7049=$cx; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7050=$jp; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7051=(($7050+56)|0); //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7052=HEAP32[(($7051)>>2)]; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7053=$3; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7054=__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($7049, $7052, $7053); //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $sn=$7054; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7055=$sn; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7056=(($7055)|0)!=0; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7056) { __label__ = 1425; break; } else { __label__ = 1430; break; } //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1425: 
      var $7058=$sn; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7059=HEAPU8[($7058)]; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7060=(($7059)&255); //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7061=$7060 >> 3; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7062=(($7061)|0) >= 24; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7062) { __label__ = 1426; break; } else { __label__ = 1427; break; } //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1426: 
      var $7070 = 24;__label__ = 1428; break; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1427: 
      var $7065=$sn; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7066=HEAPU8[($7065)]; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7067=(($7066)&255); //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7068=$7067 >> 3; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7070 = $7068;__label__ = 1428; break; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1428: 
      var $7070; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7071=(($7070)|0)==1; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7071) { __label__ = 1429; break; } else { __label__ = 1430; break; } //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1429: 
      $atom=0; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1442; break; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1430: 
      var $7074=$isFirst; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7075=(($7074)|0)!=0; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7076=$7075 ? (((__str272700)|0)) : (((STRING_TABLE.__str332706)|0)); //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $maybeComma=$7076; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7077=$2; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7078=(($7077)|0); //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7079=$lval; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7080=$maybeComma; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7081=$rval; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7082=__ZN2js6SprintEPNS_8SprinterEPKcz($7078, ((STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10sss_format)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7079,HEAP32[((tempInt+4)>>2)]=$7080,HEAP32[((tempInt+8)>>2)]=$7081,tempInt)); //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7082; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1431: 
      __label__ = 1432; break; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1432: 
      var $7085=$cx; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7086=$jp; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7087=(($7086+56)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7088=HEAP32[(($7087)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7089=$3; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7090=_js_GetIndexFromBytecode($7085, $7088, $7089, 0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_39=$7090; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1433; break; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1433: 
      var $7092=$3; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7093=$jp; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7094=(($7093+56)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7095=HEAP32[(($7094)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7096=(($7095)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7097=HEAPU32[(($7096)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7098=(($7092)>>>0) < (($7097)>>>0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7098) { __label__ = 1435; break; } else { __label__ = 1434; break; } //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1434: 
      var $7100=$jp; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7101=(($7100+56)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7102=HEAP32[(($7101)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7103=(($7102)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7104=HEAP32[(($7103)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7105=$jp; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7106=(($7105+56)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7107=HEAP32[(($7106)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7108=(($7107+8)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7109=HEAP32[(($7108)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7110=(($7104+$7109)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7111=$3; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7112=(($7110)>>>0) <= (($7111)>>>0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7112) { __label__ = 1435; break; } else { __label__ = 1436; break; } //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1435: 
      var $7114=$index_39; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7115=$cx; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7116=(($7115+52)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7117=HEAP32[(($7116)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7118=(($7117+209948)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7119=__ZN11JSAtomState16commonAtomsStartEv($7118); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7120=(($7119+($7114<<2))|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7121=HEAP32[(($7120)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7121; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1437; break; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1436: 
      var $7123=$jp; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7124=(($7123+56)|0); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7125=HEAP32[(($7124)>>2)]; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7126=$index_39; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7127=__ZN8JSScript7getAtomEj($7125, $7126); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7127; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1437; break;
    case 1437: 
      __label__ = 1438; break; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1438: 
      __label__ = 1439; break; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1439: 
      var $7131=$2; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7132=(($7131)|0); //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7133=$atom; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7134=$7133; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7135=$atom; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7136=$7135; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7137=__Z15js_IsIdentifierP14JSLinearString($7136); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7138=(($7137)|0)!=0; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7139=$7138 ? 0 : 39; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7140=(($7139) & 65535); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7141=(($7140)&65535); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7142=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($7132, $7134, $7141); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$7142; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7143=$xval; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7144=(($7143)|0)!=0; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7144) { __label__ = 1441; break; } else { __label__ = 1440; break; } //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1440: 
      $1=0; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1441: 
      var $7147=$2; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7148=(($7147+28)|0); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7149=HEAP32[(($7148)>>2)]; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7150=(($7149-2)|0); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7151=$2; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7152=(($7151+24)|0); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7153=HEAP32[(($7152)>>2)]; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7154=(($7153+$7150)|0); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7155=HEAP8[($7154)]; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7156=__ZL15IsInitializerOph($7155); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7157=(($7156)&1); //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $isFirst=$7157; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7158=$2; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7159=$op; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7160=__ZL6PopStrP11SprintStack4JSOp($7158, $7159); //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7160; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7161=$2; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7162=$op; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7163=__ZL6PopStrP11SprintStack4JSOp($7161, $7162); //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7163; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1442; break; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1442: 
      var $7165=$isFirst; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7166=(($7165)|0)!=0; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7167=$7166 ? (((__str272700)|0)) : (((STRING_TABLE.__str332706)|0)); //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $maybeComma=$7167; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7168=$lastop; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7169=(($7168)|0)==125; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7169) { __label__ = 1444; break; } else { __label__ = 1443; break; } //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1443: 
      var $7171=$lastop; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7172=(($7171)|0)==126; //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7172) { __label__ = 1444; break; } else { __label__ = 1464; break; } //@line 4584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1444: 
      var $7174=$rval; //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7175=$rval; //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7176=_strlen($7175); //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7177=(($7174+$7176)|0); //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $end=$7177; //@line 4585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7178=$rval; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7179=HEAP8[($7178)]; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7180=(($7179 << 24) >> 24); //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7181=(($7180)|0)==40; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7181) { __label__ = 1445; break; } else { __label__ = 1446; break; } //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1445: 
      var $7183=$rval; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7184=(($7183+1)|0); //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7184; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7185=$end; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7186=(($7185-1)|0); //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $end=$7186; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1446; break; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1446: 
      __label__ = 1447; break; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1447: 
      var $7189=$rval; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7190=_strncmp($7189, ((STRING_TABLE._js_function_str)|0), 8); //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7191=(($7190)|0)==0; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7191) { __label__ = 1449; break; } else { __label__ = 1448; break; } //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1448: 
      $1=0; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1449: 
      __label__ = 1450; break; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1450: 
      __label__ = 1451; break; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1451: 
      var $7196=$rval; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7197=(($7196+8)|0); //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7198=HEAP8[($7197)]; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7199=(($7198 << 24) >> 24); //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7200=(($7199)|0)==32; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7200) { __label__ = 1453; break; } else { __label__ = 1452; break; } //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1452: 
      $1=0; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1453: 
      __label__ = 1454; break; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1454: 
      var $7204=$rval; //@line 4591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7205=(($7204+9)|0); //@line 4591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7205; //@line 4591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1455; break; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1455: 
      var $7207=$end; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7208=HEAP8[($7207)]; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7209=(($7208 << 24) >> 24)!=0; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7209) { __label__ = 1456; break; } else { __label__ = 1457; break; } //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1456: 
      var $7211=$end; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7212=HEAP8[($7211)]; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7213=(($7212 << 24) >> 24); //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7214=(($7213)|0)==41; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7214) { __label__ = 1459; break; } else { __label__ = 1458; break; } //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1457: 
      var $7216=$end; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7217=(($7216-1)|0); //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7218=HEAP8[($7217)]; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7219=(($7218 << 24) >> 24); //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7220=(($7219)|0)==125; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7220) { __label__ = 1459; break; } else { __label__ = 1458; break; } //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1458: 
      $1=0; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1459: 
      __label__ = 1460; break; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1460: 
      var $7224=$2; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7225=(($7224)|0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7226=$lval; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7227=$maybeComma; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7228=$lastop; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7229=(($7228)|0)==125; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7229) { __label__ = 1461; break; } else { __label__ = 1462; break; } //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1461: 
      var $7233 = (STRING_TABLE._js_get_str);__label__ = 1463; break; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1462: 
      var $7233 = (STRING_TABLE._js_set_str);__label__ = 1463; break; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1463: 
      var $7233; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7234=(($7233)|0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7235=$xval; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7236=$rval; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7237=(($7236)|0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7238=HEAP8[($7237)]; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7239=(($7238 << 24) >> 24); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7240=(($7239)|0)!=40; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7241=$7240 ? (((STRING_TABLE.__str1042777)|0)) : (((__str272700)|0)); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7242=$end; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7243=$rval; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7244=$7242; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7245=$7243; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7246=(($7244-$7245)|0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7247=$rval; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7248=__ZN2js6SprintEPNS_8SprinterEPKcz($7225, ((STRING_TABLE.__str1032776)|0), (tempInt=STACKTOP,STACKTOP += 28,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7226,HEAP32[((tempInt+4)>>2)]=$7227,HEAP32[((tempInt+8)>>2)]=$7234,HEAP32[((tempInt+12)>>2)]=$7235,HEAP32[((tempInt+16)>>2)]=$7241,HEAP32[((tempInt+20)>>2)]=$7246,HEAP32[((tempInt+24)>>2)]=$7247,tempInt)); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7248; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1465; break; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1464: 
      var $7250=$2; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7251=(($7250)|0); //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7252=$lval; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7253=$maybeComma; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7254=$xval; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7255=$rval; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7256=__ZN2js6SprintEPNS_8SprinterEPKcz($7251, ((STRING_TABLE.__str1052778)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7252,HEAP32[((tempInt+4)>>2)]=$7253,HEAP32[((tempInt+8)>>2)]=$7254,HEAP32[((tempInt+12)>>2)]=$7255,tempInt)); //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7256; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1465; break;
    case 1465: 
      __label__ = 1569; break; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1466: 
      var $7259=$3; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7260=(($7259+2)|0); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7261=(($7260+1)|0); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7262=HEAPU8[($7261)]; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7263=(($7262)&255); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7264=$7263 << 8; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7265=$3; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7266=(($7265+2)|0); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7267=(($7266+2)|0); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7268=HEAPU8[($7267)]; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7269=(($7268)&255); //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7270=$7264 | $7269; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$7270; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7271=$2; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7272=$op; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7273=__ZL6PopStrP11SprintStack4JSOp($7271, $7272); //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7273; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7274=$2; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7275=(($7274)|0); //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7276=HEAP32[(($i)>>2)]; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7277=$rval; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7278=__ZN2js6SprintEPNS_8SprinterEPKcz($7275, ((STRING_TABLE.__str1062779)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7276,HEAP32[((tempInt+4)>>2)]=$7277,tempInt)); //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7278; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1467: 
      var $7280=$3; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7281=(($7280+2)|0); //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7282=(($7281+1)|0); //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7283=HEAPU8[($7282)]; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7284=(($7283)&255); //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7285=$7284 << 8; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7286=$3; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7287=(($7286+2)|0); //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7288=(($7287+2)|0); //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7289=HEAPU8[($7288)]; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7290=(($7289)&255); //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7291=$7285 | $7290; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($i)>>2)]=$7291; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7292=$2; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7293=(($7292)|0); //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7294=HEAP32[(($i)>>2)]; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7295=__ZN2js6SprintEPNS_8SprinterEPKcz($7293, ((STRING_TABLE.__str1072780)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7294,tempInt)); //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7295; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1468: 
      var $7297=$jp; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7298=_js_printf($7297, ((STRING_TABLE.__str1082781)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 4623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1469: 
      var $7300=$op; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7301=(($7300)|0)==194; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7302=(($7301)&1); //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $inXML=$7302; //@line 4629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 4630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1470: 
      var $7304=$2; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7305=$op; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7306=__ZL6PopStrP11SprintStack4JSOp($7304, $7305); //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7306; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7307=$jp; //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7308=$rval; //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7309=_js_printf($7307, ((STRING_TABLE.__str1092782)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_default_str)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE._js_xml_str)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE._js_namespace_str)|0),HEAP32[((tempInt+12)>>2)]=$7308,tempInt)); //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1471: 
      var $7311=$3; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7312=(($7311+1)|0); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7313=HEAPU8[($7312)]; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7314=(($7313)&255); //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7315=(($7314)|0)==168; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7315) { __label__ = 1472; break; } else { __label__ = 1473; break; } //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1472: 
      var $7317=$len; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7318=(($7317+1)|0); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$7318; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7319=$2; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7320=(($7319)|0); //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7321=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7320, ((STRING_TABLE.__str1102783)|0), 2); //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7321; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1474; break; //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1473: 
      var $7323=$2; //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7324=(($7323)|0); //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7325=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7324, ((STRING_TABLE.__str142687)|0), 1); //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7325; //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1474; break;
    case 1474: 
      __label__ = 1569; break; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1475: 
      __label__ = 1476; break; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1476: 
      var $7329=$cx; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7330=$jp; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7331=(($7330+56)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7332=HEAP32[(($7331)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7333=$3; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7334=_js_GetIndexFromBytecode($7329, $7332, $7333, 0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_40=$7334; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1477; break; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1477: 
      var $7336=$3; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7337=$jp; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7338=(($7337+56)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7339=HEAP32[(($7338)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7340=(($7339)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7341=HEAPU32[(($7340)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7342=(($7336)>>>0) < (($7341)>>>0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7342) { __label__ = 1479; break; } else { __label__ = 1478; break; } //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1478: 
      var $7344=$jp; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7345=(($7344+56)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7346=HEAP32[(($7345)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7347=(($7346)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7348=HEAP32[(($7347)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7349=$jp; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7350=(($7349+56)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7351=HEAP32[(($7350)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7352=(($7351+8)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7353=HEAP32[(($7352)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7354=(($7348+$7353)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7355=$3; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7356=(($7354)>>>0) <= (($7355)>>>0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7356) { __label__ = 1479; break; } else { __label__ = 1480; break; } //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1479: 
      var $7358=$index_40; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7359=$cx; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7360=(($7359+52)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7361=HEAP32[(($7360)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7362=(($7361+209948)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7363=__ZN11JSAtomState16commonAtomsStartEv($7362); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7364=(($7363+($7358<<2))|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7365=HEAP32[(($7364)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7365; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1481; break; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1480: 
      var $7367=$jp; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7368=(($7367+56)|0); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7369=HEAP32[(($7368)>>2)]; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7370=$index_40; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7371=__ZN8JSScript7getAtomEj($7369, $7370); //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7371; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1481; break;
    case 1481: 
      __label__ = 1482; break; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1482: 
      __label__ = 1483; break; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1483: 
      var $7375=$3; //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7376=(($7375+3)|0); //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7377=HEAPU8[($7376)]; //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7378=(($7377)&255); //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7379=(($7378)|0)==168; //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7379) { __label__ = 1484; break; } else { __label__ = 1485; break; } //@line 4651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1484: 
      HEAP32[(($saveop)>>2)]=168; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7381=$len; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7382=(($7381+1)|0); //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $len=$7382; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=((STRING_TABLE.__str1112784)|0); //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1117; break; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1485: 
      __label__ = 1116; break; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1486: 
      __label__ = 1487; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1487: 
      var $7386=$cx; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7387=$jp; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7388=(($7387+56)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7389=HEAP32[(($7388)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7390=$3; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7391=_js_GetIndexFromBytecode($7386, $7389, $7390, 0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_41=$7391; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1488; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1488: 
      var $7393=$3; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7394=$jp; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7395=(($7394+56)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7396=HEAP32[(($7395)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7397=(($7396)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7398=HEAPU32[(($7397)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7399=(($7393)>>>0) < (($7398)>>>0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7399) { __label__ = 1490; break; } else { __label__ = 1489; break; } //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1489: 
      var $7401=$jp; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7402=(($7401+56)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7403=HEAP32[(($7402)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7404=(($7403)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7405=HEAP32[(($7404)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7406=$jp; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7407=(($7406+56)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7408=HEAP32[(($7407)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7409=(($7408+8)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7410=HEAP32[(($7409)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7411=(($7405+$7410)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7412=$3; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7413=(($7411)>>>0) <= (($7412)>>>0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7413) { __label__ = 1490; break; } else { __label__ = 1491; break; } //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1490: 
      var $7415=$index_41; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7416=$cx; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7417=(($7416+52)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7418=HEAP32[(($7417)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7419=(($7418+209948)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7420=__ZN11JSAtomState16commonAtomsStartEv($7419); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7421=(($7420+($7415<<2))|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7422=HEAP32[(($7421)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7422; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1492; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1491: 
      var $7424=$jp; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7425=(($7424+56)|0); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7426=HEAP32[(($7425)>>2)]; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7427=$index_41; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7428=__ZN8JSScript7getAtomEj($7426, $7427); //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7428; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1492; break;
    case 1492: 
      __label__ = 1493; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1493: 
      __label__ = 1494; break; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1494: 
      var $7432=$2; //@line 4661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7433=(($7432)|0); //@line 4661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7434=$atom; //@line 4661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7435=$7434; //@line 4661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7436=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($7433, $7435, 0); //@line 4661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7436; //@line 4661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7437=$rval; //@line 4662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7438=(($7437)|0)!=0; //@line 4662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7438) { __label__ = 1496; break; } else { __label__ = 1495; break; } //@line 4662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1495: 
      $1=0; //@line 4663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1496: 
      var $7441=$rval; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7442=$2; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7443=(($7442)|0); //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7444=(($7443+8)|0); //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7445=HEAP32[(($7444)>>2)]; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7446=$7441; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7447=$7445; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7448=(($7446-$7447)|0); //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7449=$2; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7450=(($7449)|0); //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7451=(($7450+16)|0); //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($7451)>>2)]=$7448; //@line 4664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7452=$2; //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7453=$op; //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7454=__ZL6PopStrP11SprintStack4JSOp($7452, $7453); //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7454; //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7455=$2; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7456=(($7455)|0); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7457=$lval; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7458=$rval; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7459=__ZN2js6SprintEPNS_8SprinterEPKcz($7456, ((STRING_TABLE.__str1122785)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7457,HEAP32[((tempInt+4)>>2)]=$7458,tempInt)); //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7459; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1497: 
      var $7461=$2; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7462=$op; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7463=__ZL6PopStrP11SprintStack4JSOp($7461, $7462); //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7463; //@line 4670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7464=$2; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7465=$op; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7466=__ZL6PopStrP11SprintStack4JSOp($7464, $7465); //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7466; //@line 4671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7467=$2; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7468=(($7467)|0); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7469=$lval; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7470=$rval; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7471=__ZN2js6SprintEPNS_8SprinterEPKcz($7468, ((STRING_TABLE.__str1132786)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7469,HEAP32[((tempInt+4)>>2)]=$7470,tempInt)); //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7471; //@line 4672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1498: 
      $op=0; //@line 4676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7473=$2; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7474=$op; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7475=__ZL6PopStrP11SprintStack4JSOp($7473, $7474); //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7475; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7476=$2; //@line 4678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7477=(($7476)|0); //@line 4678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7478=$rval; //@line 4678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7479=__ZN2js6SprintEPNS_8SprinterEPKcz($7477, ((STRING_TABLE.__str1142787)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7478,tempInt)); //@line 4678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7479; //@line 4678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1499: 
      HEAP32[(($todo)>>2)]=-2; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1500: 
      var $7482=$2; //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7483=$op; //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7484=__ZL6PopStrP11SprintStack4JSOp($7482, $7483); //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7484; //@line 4686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7485=$2; //@line 4687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7486=$op; //@line 4687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7487=__ZL6PopStrP11SprintStack4JSOp($7485, $7486); //@line 4687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7487; //@line 4687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7488=$2; //@line 4688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7489=(($7488)|0); //@line 4688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7490=$lval; //@line 4688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7491=$rval; //@line 4688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7492=__ZN2js6SprintEPNS_8SprinterEPKcz($7489, ((STRING_TABLE.__str692742)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7490,HEAP32[((tempInt+4)>>2)]=$7491,tempInt)); //@line 4688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7492; //@line 4688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $quoteAttr=1; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1501: 
      var $7494=$2; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7495=$op; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7496=__ZL6PopStrP11SprintStack4JSOp($7494, $7495); //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7496; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7497=$2; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7498=$op; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7499=__ZL6PopStrP11SprintStack4JSOp($7497, $7498); //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7499; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7500=$quoteAttr; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7501=(($7500)|0)!=0; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7501) { __label__ = 1502; break; } else { __label__ = 1503; break; } //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1502: 
      var $7503=$2; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7504=(($7503)|0); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7505=$lval; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7506=$rval; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7507=__ZN2js6SprintEPNS_8SprinterEPKcz($7504, ((STRING_TABLE.__str1152788)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7505,HEAP32[((tempInt+4)>>2)]=$7506,tempInt)); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7507; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1504; break; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1503: 
      var $7509=$2; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7510=(($7509)|0); //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7511=$lval; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7512=$rval; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7513=__ZN2js6SprintEPNS_8SprinterEPKcz($7510, ((STRING_TABLE.__str1162789)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7511,HEAP32[((tempInt+4)>>2)]=$7512,tempInt)); //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7513; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1504; break;
    case 1504: 
      __label__ = 1569; break; //@line 4700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1505: 
      var $7516=$2; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7517=(($7516)|0); //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7518=__ZN2js6SprintEPNS_8SprinterEPKcz($7517, ((__str272700)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7518; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1506: 
      var $7520=$2; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7521=$op; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7522=__ZL6PopStrP11SprintStack4JSOp($7520, $7521); //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7522; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7523=$2; //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7524=$op; //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7525=__ZL6PopOffP11SprintStack4JSOp($7523, $7524); //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7526=$2; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7527=$op; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7528=__ZL6PopStrP11SprintStack4JSOp($7526, $7527); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7528; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 833; break; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1507: 
      var $7530=$2; //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7531=(($7530)|0); //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7532=$2; //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7533=$op; //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7534=__ZL6PopStrP11SprintStack4JSOp($7532, $7533); //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7535=__ZN2js6SprintEPNS_8SprinterEPKcz($7531, ((STRING_TABLE.__str1172790)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7534,tempInt)); //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7535; //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $inXML=1; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $quoteAttr=0; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1508: 
      $op=0; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7537=$2; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7538=(($7537)|0); //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7539=$2; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7540=$op; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7541=__ZL6PopStrP11SprintStack4JSOp($7539, $7540); //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7542=__ZN2js6SprintEPNS_8SprinterEPKcz($7538, ((STRING_TABLE.__str1182791)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7541,tempInt)); //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7542; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $inXML=0; //@line 4725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1509: 
      $inXML=0; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=-2; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1510: 
      var $7545=$2; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7546=$op; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7547=__ZL6PopStrP11SprintStack4JSOp($7545, $7546); //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7547; //@line 4738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1511; break; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1511: 
      var $7549=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7550=(($7549+28)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7551=HEAP32[(($7550)>>2)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7552=(($7551-1)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7553=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7554=(($7553+24)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7555=HEAP32[(($7554)>>2)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7556=(($7555+$7552)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7557=HEAPU8[($7556)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7558=(($7557)&255); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7559=(($7558)|0)==58; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7559) { __label__ = 1515; break; } else { __label__ = 1512; break; } //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1512: 
      var $7561=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7562=(($7561+28)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7563=HEAP32[(($7562)>>2)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7564=(($7563-1)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7565=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7566=(($7565+24)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7567=HEAP32[(($7566)>>2)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7568=(($7567+$7564)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7569=HEAPU8[($7568)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7570=(($7569)&255); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7571=(($7570)|0)==123; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7571) { __label__ = 1515; break; } else { __label__ = 1513; break; } //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1513: 
      var $7573=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7574=(($7573+28)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7575=HEAP32[(($7574)>>2)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7576=(($7575-1)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7577=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7578=(($7577+24)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7579=HEAP32[(($7578)>>2)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7580=(($7579+$7576)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7581=HEAPU8[($7580)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7582=(($7581)&255); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7583=(($7582)|0)==108; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7583) { __label__ = 1515; break; } else { __label__ = 1514; break; } //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1514: 
      var $7585=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7586=(($7585+28)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7587=HEAP32[(($7586)>>2)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7588=(($7587-1)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7589=$2; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7590=(($7589+24)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7591=HEAP32[(($7590)>>2)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7592=(($7591+$7588)|0); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7593=HEAPU8[($7592)]; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7594=(($7593)&255); //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7595=(($7594)|0)==79; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7595) { __label__ = 1515; break; } else { __label__ = 1516; break; } //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1515: 
      HEAP32[(($saveop)>>2)]=58; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1516; break; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1516: 
      __label__ = 1517; break; //@line 4739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1517: 
      var $7599=$2; //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7600=$op; //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7601=__ZL6PopStrP11SprintStack4JSOp($7599, $7600); //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7601; //@line 4740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7602=$2; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7603=(($7602)|0); //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7604=$lval; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7605=$rval; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7606=__ZN2js6SprintEPNS_8SprinterEPKcz($7603, ((STRING_TABLE.__str1192792)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7604,HEAP32[((tempInt+4)>>2)]=$7605,tempInt)); //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7606; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1518: 
      var $7608=$2; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7609=$op; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7610=__ZL6PopStrP11SprintStack4JSOp($7608, $7609); //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7610; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1519; break; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1519: 
      var $7612=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7613=(($7612+28)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7614=HEAP32[(($7613)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7615=(($7614-1)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7616=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7617=(($7616+24)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7618=HEAP32[(($7617)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7619=(($7618+$7615)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7620=HEAPU8[($7619)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7621=(($7620)&255); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7622=(($7621)|0)==58; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7622) { __label__ = 1523; break; } else { __label__ = 1520; break; } //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1520: 
      var $7624=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7625=(($7624+28)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7626=HEAP32[(($7625)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7627=(($7626-1)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7628=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7629=(($7628+24)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7630=HEAP32[(($7629)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7631=(($7630+$7627)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7632=HEAPU8[($7631)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7633=(($7632)&255); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7634=(($7633)|0)==123; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7634) { __label__ = 1523; break; } else { __label__ = 1521; break; } //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1521: 
      var $7636=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7637=(($7636+28)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7638=HEAP32[(($7637)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7639=(($7638-1)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7640=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7641=(($7640+24)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7642=HEAP32[(($7641)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7643=(($7642+$7639)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7644=HEAPU8[($7643)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7645=(($7644)&255); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7646=(($7645)|0)==108; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7646) { __label__ = 1523; break; } else { __label__ = 1522; break; } //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1522: 
      var $7648=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7649=(($7648+28)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7650=HEAP32[(($7649)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7651=(($7650-1)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7652=$2; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7653=(($7652+24)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7654=HEAP32[(($7653)>>2)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7655=(($7654+$7651)|0); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7656=HEAPU8[($7655)]; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7657=(($7656)&255); //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7658=(($7657)|0)==79; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7658) { __label__ = 1523; break; } else { __label__ = 1524; break; } //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1523: 
      HEAP32[(($saveop)>>2)]=58; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1524; break; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1524: 
      __label__ = 1525; break; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1525: 
      var $7662=$2; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7663=$op; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7664=__ZL6PopStrP11SprintStack4JSOp($7662, $7663); //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$7664; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7665=$2; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7666=(($7665)|0); //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7667=$lval; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7668=$rval; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7669=__ZN2js6SprintEPNS_8SprinterEPKcz($7666, ((STRING_TABLE.__str1202793)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$7667,HEAP32[((tempInt+4)>>2)]=$7668,tempInt)); //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7669; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1526: 
      __label__ = 1527; break; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1527: 
      var $7672=$cx; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7673=$jp; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7674=(($7673+56)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7675=HEAP32[(($7674)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7676=$3; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7677=_js_GetIndexFromBytecode($7672, $7675, $7676, 0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_42=$7677; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1528; break; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1528: 
      var $7679=$3; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7680=$jp; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7681=(($7680+56)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7682=HEAP32[(($7681)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7683=(($7682)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7684=HEAPU32[(($7683)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7685=(($7679)>>>0) < (($7684)>>>0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7685) { __label__ = 1530; break; } else { __label__ = 1529; break; } //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1529: 
      var $7687=$jp; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7688=(($7687+56)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7689=HEAP32[(($7688)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7690=(($7689)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7691=HEAP32[(($7690)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7692=$jp; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7693=(($7692+56)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7694=HEAP32[(($7693)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7695=(($7694+8)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7696=HEAP32[(($7695)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7697=(($7691+$7696)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7698=$3; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7699=(($7697)>>>0) <= (($7698)>>>0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7699) { __label__ = 1530; break; } else { __label__ = 1531; break; } //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1530: 
      var $7701=$index_42; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7702=$cx; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7703=(($7702+52)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7704=HEAP32[(($7703)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7705=(($7704+209948)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7706=__ZN11JSAtomState16commonAtomsStartEv($7705); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7707=(($7706+($7701<<2))|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7708=HEAP32[(($7707)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7708; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1532; break; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1531: 
      var $7710=$jp; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7711=(($7710+56)|0); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7712=HEAP32[(($7711)>>2)]; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7713=$index_42; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7714=__ZN8JSScript7getAtomEj($7712, $7713); //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7714; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1532; break;
    case 1532: 
      __label__ = 1533; break; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1533: 
      __label__ = 1534; break; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1534: 
      var $7718=$2; //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7719=(($7718)|0); //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7720=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7719, ((STRING_TABLE.__str1212794)|0), 9); //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7720; //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7721=$2; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7722=(($7721)|0); //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7723=$atom; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7724=$7723; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7725=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($7722, $7724, 65536); //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7726=(($7725)|0)!=0; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7726) { __label__ = 1536; break; } else { __label__ = 1535; break; } //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1535: 
      $1=0; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1536: 
      var $7729=$2; //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7730=(($7729)|0); //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7731=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7730, ((STRING_TABLE.__str1222795)|0), 3); //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1537: 
      __label__ = 1538; break; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1538: 
      var $7734=$cx; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7735=$jp; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7736=(($7735+56)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7737=HEAP32[(($7736)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7738=$3; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7739=_js_GetIndexFromBytecode($7734, $7737, $7738, 0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_43=$7739; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1539; break; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1539: 
      var $7741=$3; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7742=$jp; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7743=(($7742+56)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7744=HEAP32[(($7743)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7745=(($7744)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7746=HEAPU32[(($7745)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7747=(($7741)>>>0) < (($7746)>>>0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7747) { __label__ = 1541; break; } else { __label__ = 1540; break; } //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1540: 
      var $7749=$jp; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7750=(($7749+56)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7751=HEAP32[(($7750)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7752=(($7751)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7753=HEAP32[(($7752)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7754=$jp; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7755=(($7754+56)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7756=HEAP32[(($7755)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7757=(($7756+8)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7758=HEAP32[(($7757)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7759=(($7753+$7758)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7760=$3; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7761=(($7759)>>>0) <= (($7760)>>>0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7761) { __label__ = 1541; break; } else { __label__ = 1542; break; } //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1541: 
      var $7763=$index_43; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7764=$cx; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7765=(($7764+52)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7766=HEAP32[(($7765)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7767=(($7766+209948)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7768=__ZN11JSAtomState16commonAtomsStartEv($7767); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7769=(($7768+($7763<<2))|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7770=HEAP32[(($7769)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7770; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1543; break; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1542: 
      var $7772=$jp; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7773=(($7772+56)|0); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7774=HEAP32[(($7773)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7775=$index_43; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7776=__ZN8JSScript7getAtomEj($7774, $7775); //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7776; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1543; break;
    case 1543: 
      __label__ = 1544; break; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1544: 
      __label__ = 1545; break; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1545: 
      var $7780=$2; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7781=(($7780)|0); //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7782=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7781, ((STRING_TABLE.__str1232796)|0), 4); //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7782; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7783=$2; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7784=(($7783)|0); //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7785=$atom; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7786=$7785; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7787=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($7784, $7786, 65536); //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7788=(($7787)|0)!=0; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7788) { __label__ = 1547; break; } else { __label__ = 1546; break; } //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1546: 
      $1=0; //@line 4763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1547: 
      var $7791=$2; //@line 4764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7792=(($7791)|0); //@line 4764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7793=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7792, ((STRING_TABLE.__str1242797)|0), 3); //@line 4764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1548: 
      __label__ = 1549; break; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1549: 
      var $7796=$cx; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7797=$jp; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7798=(($7797+56)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7799=HEAP32[(($7798)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7800=$3; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7801=_js_GetIndexFromBytecode($7796, $7799, $7800, 0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $index_44=$7801; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1550; break; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1550: 
      var $7803=$3; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7804=$jp; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7805=(($7804+56)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7806=HEAP32[(($7805)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7807=(($7806)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7808=HEAPU32[(($7807)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7809=(($7803)>>>0) < (($7808)>>>0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7809) { __label__ = 1552; break; } else { __label__ = 1551; break; } //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1551: 
      var $7811=$jp; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7812=(($7811+56)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7813=HEAP32[(($7812)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7814=(($7813)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7815=HEAP32[(($7814)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7816=$jp; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7817=(($7816+56)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7818=HEAP32[(($7817)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7819=(($7818+8)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7820=HEAP32[(($7819)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7821=(($7815+$7820)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7822=$3; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7823=(($7821)>>>0) <= (($7822)>>>0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7823) { __label__ = 1552; break; } else { __label__ = 1553; break; } //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1552: 
      var $7825=$index_44; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7826=$cx; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7827=(($7826+52)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7828=HEAP32[(($7827)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7829=(($7828+209948)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7830=__ZN11JSAtomState16commonAtomsStartEv($7829); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7831=(($7830+($7825<<2))|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7832=HEAP32[(($7831)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7832; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1554; break; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1553: 
      var $7834=$jp; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7835=(($7834+56)|0); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7836=HEAP32[(($7835)>>2)]; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7837=$index_44; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7838=__ZN8JSScript7getAtomEj($7836, $7837); //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$7838; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1554; break;
    case 1554: 
      __label__ = 1555; break; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1555: 
      __label__ = 1556; break; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1556: 
      var $7842=$cx; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7843=$2; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7844=$op; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7845=__ZL6PopStrP11SprintStack4JSOp($7843, $7844); //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7846=_JS_strdup($7842, $7845); //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$7846; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7847=$rval; //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7848=(($7847)|0)!=0; //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7848) { __label__ = 1558; break; } else { __label__ = 1557; break; } //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1557: 
      $1=0; //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1558: 
      var $7851=$2; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7852=(($7851)|0); //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7853=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7852, ((STRING_TABLE.__str1252798)|0), 2); //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7853; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7854=$2; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7855=(($7854)|0); //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7856=$atom; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7857=$7856; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7858=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($7855, $7857, 0); //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7859=(($7858)|0)!=0; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7859) { __label__ = 1559; break; } else { var $7881 = 0;__label__ = 1564; break; } //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1559: 
      var $7861=$rval; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7862=HEAP8[($7861)]; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7863=(($7862 << 24) >> 24); //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7864=(($7863)|0)==0; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7864) { var $7879 = 1;__label__ = 1563; break; } else { __label__ = 1560; break; } //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1560: 
      var $7866=$2; //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7867=(($7866)|0); //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7868=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7867, ((STRING_TABLE.__str1042777)|0), 1); //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7869=(($7868)|0) >= 0; //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7869) { __label__ = 1561; break; } else { var $7877 = 0;__label__ = 1562; break; } //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1561: 
      var $7871=$2; //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7872=(($7871)|0); //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7873=$rval; //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7874=__ZN2js13SprintCStringEPNS_8SprinterEPKc($7872, $7873); //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7875=(($7874)|0)!=0; //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7877 = $7875;__label__ = 1562; break;
    case 1562: 
      var $7877;
      var $7879 = $7877;__label__ = 1563; break;
    case 1563: 
      var $7879;
      var $7881 = $7879;__label__ = 1564; break;
    case 1564: 
      var $7881;
      var $7882=(($7881)&1);
      $ok=$7882;
      var $7883=$cx; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7884=$rval; //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($7883, $7884); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7885=$ok; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7886=(($7885)|0)!=0; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7886) { __label__ = 1566; break; } else { __label__ = 1565; break; } //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1565: 
      $1=0; //@line 4779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1566: 
      var $7889=$2; //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7890=(($7889)|0); //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7891=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7890, ((STRING_TABLE.__str1262799)|0), 2); //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1567: 
      var $7893=$2; //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7894=(($7893)|0); //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7895=__ZN2js9SprintPutEPNS_8SprinterEPKcj($7894, ((STRING_TABLE._js_function_str)|0), 8); //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7895; //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1568: 
      HEAP32[(($todo)>>2)]=-2; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1569; break; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1569: 
      __label__ = 1570; break;
    case 1570: 
      var $7899=HEAP32[(($todo)>>2)]; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7900=(($7899)|0) < 0; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7900) { __label__ = 1571; break; } else { __label__ = 1574; break; } //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1571: 
      var $7902=HEAP32[(($todo)>>2)]; //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7903=(($7902)|0)==-1; //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7903) { __label__ = 1572; break; } else { __label__ = 1573; break; } //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1572: 
      $1=0; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1573: 
      __label__ = 1577; break; //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1574: 
      var $7907=$2; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7908=HEAP32[(($todo)>>2)]; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7909=HEAP32[(($saveop)>>2)]; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7910=__ZL7PushOffP11SprintStacki4JSOp($7907, $7908, $7909); //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7911=(($7910)|0)!=0; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7911) { __label__ = 1576; break; } else { __label__ = 1575; break; } //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1575: 
      $1=0; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1576: 
      __label__ = 1577; break;
    case 1577: 
      var $7915=$cs; //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7916=(($7915+4)|0); //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7917=HEAP32[(($7916)>>2)]; //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7918=$7917 & 524288; //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7919=(($7918)|0)!=0; //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7919) { __label__ = 1578; break; } else { __label__ = 1582; break; } //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1578: 
      var $7921=$2; //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7922=(($7921)|0); //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7923=__ZN2js6SprintEPNS_8SprinterEPKcz($7922, ((__str272700)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($todo)>>2)]=$7923; //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7924=HEAP32[(($todo)>>2)]; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7925=(($7924)|0) < 0; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7925) { __label__ = 1580; break; } else { __label__ = 1579; break; } //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1579: 
      var $7927=$2; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7928=HEAP32[(($todo)>>2)]; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7929=HEAP32[(($saveop)>>2)]; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7930=__ZL7PushOffP11SprintStacki4JSOp($7927, $7928, $7929); //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7931=(($7930)|0)!=0; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($7931) { __label__ = 1581; break; } else { __label__ = 1580; break; } //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1580: 
      $1=0; //@line 4806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1581: 
      __label__ = 1582; break; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1582: 
      var $7935=$len; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7936=$3; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7937=(($7936+$7935)|0); //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$7937; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1583: 
      var $7939=$3; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$7939; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 1584; break; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 1584: 
      var $7941=$1; //@line 4827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $7941; //@line 4827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9DecompileP11SprintStackPhi4JSOp["X"]=1;

function __ZL9IsVarSlotP9JSPrinterPhPi($jp, $pc, $indexp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $slot;
      $2=$jp;
      $3=$pc;
      $4=$indexp;
      var $5=$3; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5+1)|0); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAPU8[($6)]; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)&255); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$8 << 8; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$3; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10+2)|0); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAPU8[($11)]; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12)&255); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$9 | $13; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $slot=$14; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$slot; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$2; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16+56)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18+14)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=HEAPU16[(($19)>>1)]; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20)&65535); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($15)>>>0) < (($21)>>>0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($22) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $24=$2; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24+68)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26+56)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=HEAPU16[(($27)>>1)]; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28)&65535); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$slot; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($29+$30)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $34=$2; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34+56)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=(($36+14)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=HEAPU16[(($37)>>1)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38)&65535); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=$slot; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40-$39)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $slot=$41; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=$slot; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$4; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($43)>>2)]=$42; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $45=$1; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $45; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9IsVarSlotP9JSPrinterPhPi["X"]=1;

function __ZN2jsL18GetDecomposeLengthEPhj2861($pc, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$pc;
  $2=$len;
  var $3=$2; //@line 550 "./jsopcode.h"
  var $4=(($3-1)|0); //@line 550 "./jsopcode.h"
  var $5=$1; //@line 550 "./jsopcode.h"
  var $6=(($5+$4)|0); //@line 550 "./jsopcode.h"
  var $7=HEAPU8[($6)]; //@line 550 "./jsopcode.h"
  var $8=(($7)&255); //@line 550 "./jsopcode.h"
  ;
  return $8; //@line 550 "./jsopcode.h"
}


function __ZL6PopOffP11SprintStack4JSOp($ss, $op) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$ss;
  $2=$op;
  var $3=$1; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=$2; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=((_js_CodeSpec+($4<<3))|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=(($5+3)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=HEAP8[($6)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=__ZL10PopOffPrecP11SprintStackh($3, $7); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return $8; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZL10PopOffPrecP11SprintStackh($ss, $prec) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $top;
      var $topcs;
      var $off;
      $2=$ss;
      $3=$prec;
      var $4=$2; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=(($4+28)|0); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $top=$6; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$top; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)|0)==0; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=0; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $11=$top; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11-1)|0); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $top=$12; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=$2; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13+28)|0); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($14)>>2)]=$12; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$2; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$top; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=__ZL6GetOffP11SprintStackj($15, $16); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$17; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$top; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=$2; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19+24)|0); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21+$18)|0); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=HEAPU8[($22)]; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23)&255); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=((_js_CodeSpec+($24<<3))|0); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $topcs=$25; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=$topcs; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26+3)|0); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=HEAPU8[($27)]; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28)&255); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($29)|0)!=0; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $32=$topcs; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=(($32+3)|0); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=HEAPU8[($33)]; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)&255); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=$3; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=(($36)&255); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($35)|0) < (($37)|0); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($38) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $40=$off; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40-2)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=$top; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$2; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43+20)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($45+($42<<2))|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($46)>>2)]=$41; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$2; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48+16)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($49)>>2)]=$41; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$2; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=(($50)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$2; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=(($52)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($53+8)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=$off; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=(($55+$56)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=__ZN2js6SprintEPNS_8SprinterEPKcz($51, ((STRING_TABLE.__str392712)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$57,tempInt)); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$58; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $60=$off; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$2; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($61)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=(($62+16)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($63)>>2)]=$60; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 7; break;
    case 7: 
      var $65=$off; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$65; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 8; break; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $67=$1; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $67; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10PopOffPrecP11SprintStackh["X"]=1;

function __ZL6GetOffP11SprintStackj($ss, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $off;
      var $pc;
      var $bytes;
      $2=$ss;
      $3=$i;
      var $4=$3; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=$2; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5+20)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7+($4<<2))|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$9; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$off; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)|0) >= 0; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $13=$off; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$13; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 16; break; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $15=$off; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15)|0) <= -2; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 15; break; } //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $18=$2; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18+40)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20+64)|0); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22)|0)!=0; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $25=$off; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=((-2-$25)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=$2; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=(($27+40)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($29+64)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=(($31+($26<<2))|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $pc=$33; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$2; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$2; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38+40)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40+56)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$2; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43+40)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=(($45+68)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=$pc; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=__ZL19DecompileExpressionP9JSContextP8JSScriptP10JSFunctionPh($37, $42, $47, $48); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $bytes=$49; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$bytes; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=(($50)|0)!=0; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($51) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      $1=0; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 16; break; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $54=$bytes; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=(($54)|0)!=1; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($55) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $57=$2; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($57)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=$bytes; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=__ZN2js13SprintCStringEPNS_8SprinterEPKc($58, $59); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$60; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$off; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($61)|0) < 0; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($62) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      $off=0; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $65=$off; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$3; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$2; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($67+20)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=(($69+($66<<2))|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($70)>>2)]=$65; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=$2; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=$bytes; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($74, $75); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=$off; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$76; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 16; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $78=$2; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=(($78)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=(($79+8)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($81)|0)!=0; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($82) { __label__ = 14; break; } else { __label__ = 12; break; } //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $84=$2; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=(($84)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=__ZN2js9SprintPutEPNS_8SprinterEPKcj($85, ((__str272700)|0), 0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $87=(($86)|0) >= 0; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($87) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $89=$2; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=(($89)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=(($90+8)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=$2; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=(($93)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=(($94+16)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _memset($92, 0, $96, 1); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=$3; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=(($98+20)|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=(($100+($97<<2))|0); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($101)>>2)]=-1; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 14; break; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      __label__ = 15; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      $1=0; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 16; break; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $105=$1; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $105; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6GetOffP11SprintStackj["X"]=1;

function __ZL10PopStrPrecP11SprintStackh($ss, $prec) {
  ;
  var __label__;

  var $1;
  var $2;
  var $off;
  $1=$ss;
  $2=$prec;
  var $3=$1; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=$2; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=__ZL10PopOffPrecP11SprintStackh($3, $4); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  $off=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=$1; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=(($6)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=(($7+8)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $10=$off; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $11=(($9+$10)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return $11; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function __ZL24DecompileGroupAssignmentP11SprintStackPhS1_S1_Pi($ss, $pc, $endpc, $sn, $todop) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $op;
      var $cs;
      var $oplen;
      var $start;
      var $end;
      var $i;
      var $todo;
      var $hole=__stackBase__;
      var $rval;
      $2=$ss;
      $3=$pc;
      $4=$endpc;
      $5=$sn;
      $6=$todop;
      var $7=$3; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=HEAPU8[($7)]; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($8)&255); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$9; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=((_js_CodeSpec+($9<<3))|0); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$10; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)|0); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAP8[($11)]; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12 << 24) >> 24); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$13; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 2; break; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $15=$op; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15)|0)==1; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $18=$op; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)|0)==86; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      $1=0; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      __label__ = 6; break; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $23=$2; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23)|0); //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$5; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=__ZL9VarPrefixPh($25); //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=__ZN2js6SprintEPNS_8SprinterEPKcz($24, ((STRING_TABLE.__str1362809)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$26,tempInt)); //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$27; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=$todo; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28)|0) < 0; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $31=$2; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$todo; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=__ZL7PushOffP11SprintStacki4JSOp($31, $32, 0); //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33)|0)!=0; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      $1=0; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $37=$2; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=(($37)|0); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38+16)|0); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=(($40-3)|0); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($39)>>2)]=$41; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $43=$oplen; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=$3; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44+$43)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$45; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=$3; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=$4; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($46)|0)==(($47)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $50=$3; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$50; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $52=$2; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=$3; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$4; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=__ZL25DecompileDestructuringLHSP11SprintStackPhS1_Pi($52, $53, $54, $hole); //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$55; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=$3; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=(($56)|0)!=0; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($57) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      $1=0; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $60=$3; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$4; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($60)|0)==(($61)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($62) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $64=$3; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$64; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $66=$3; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=HEAPU8[($66)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($67)&255); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$68; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=((_js_CodeSpec+($68<<3))|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$69; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=(($69)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=HEAP8[($70)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=(($71 << 24) >> 24); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$72; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=$op; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=(($73)|0)!=1; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($74) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      var $76=$op; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=(($76)|0)!=86; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($77) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      __label__ = 23; break; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $80=HEAP32[(($hole)>>2)]; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=(($80)|0)!=0; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($81) { __label__ = 22; break; } else { __label__ = 20; break; } //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      var $83=$2; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=(($83)|0); //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=__ZN2js9SprintPutEPNS_8SprinterEPKcj($84, ((STRING_TABLE.__str332706)|0), 2); //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $86=(($85)|0) < 0; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($86) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      $1=0; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      __label__ = 10; break; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      __label__ = 24; break; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      var $91=$op; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=(($91)|0)==11; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($92) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      $1=0; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      __label__ = 27; break; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $96=$2; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=(($96)|0); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=__ZN2js9SprintPutEPNS_8SprinterEPKcj($97, ((STRING_TABLE.__str1372810)|0), 5); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=(($98)|0) < 0; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($99) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      $1=0; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      var $102=$2; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $103=(($102+28)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=(($104-1)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $end=$105; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106=$end; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=$3; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=(($107+1)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $109=HEAPU8[($108)]; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $110=(($109)&255); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=$110 << 8; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=$3; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=(($112+2)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=HEAPU8[($113)]; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $115=(($114)&255); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $116=$111 | $115; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=(($106-$116)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $start=$117; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=$start; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$118; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 30; break; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      var $120=$i; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=$end; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=(($120)>>>0) < (($121)>>>0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($122) { __label__ = 31; break; } else { __label__ = 39; break; } //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      var $124=$2; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=$i; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=__ZL6GetStrP11SprintStackj($124, $125); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$126; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=$2; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $128=(($127)|0); //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=$i; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=$start; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($129)|0)==(($130)|0); //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $132=$131 ? (((STRING_TABLE.__str382711)|0)) : (((STRING_TABLE.__str1382811)|0)); //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $133=$i; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $134=$end; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135=(($134-1)|0); //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $136=(($133)|0)==(($135)|0); //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($136) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      var $138=$rval; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=HEAP8[($138)]; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=(($139 << 24) >> 24); //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=(($140)|0)==0; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($141) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 33: 
      var $146 = ((STRING_TABLE.__str332706)|0);__label__ = 35; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 34: 
      var $144=$rval; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146 = $144;__label__ = 35; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      var $146; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=__ZN2js6SprintEPNS_8SprinterEPKcz($128, $132, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$146,tempInt)); //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $148=(($147)|0) < 0; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($148) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 36: 
      $1=0; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      __label__ = 38; break; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      var $152=$i; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $153=(($152+1)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$153; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 30; break; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      var $155=$2; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=(($155)|0); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $157=__ZN2js9SprintPutEPNS_8SprinterEPKcj($156, ((STRING_TABLE.__str562729)|0), 1); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $158=(($157)|0) < 0; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($158) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      $1=0; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $161=$i; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $162=$2; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $163=(($162+20)|0); //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $165=(($164+($161<<2))|0); //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $167=$2; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $168=(($167)|0); //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $169=(($168+16)|0); //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($169)>>2)]=$166; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $170=$start; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $171=$2; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $172=(($171+28)|0); //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($172)>>2)]=$170; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $173=$todo; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $174=$6; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($174)>>2)]=$173; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $175=$3; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$175; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 42: 
      var $177=$1; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $177; //@line 1899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL24DecompileGroupAssignmentP11SprintStackPhS1_S1_Pi["X"]=1;

function __ZL7PushOffP11SprintStacki4JSOp($ss, $off, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $top;
      $2=$ss;
      $3=$off;
      $4=$op;
      var $5=$2; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=(($5)|0); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=__ZL18SprintEnsureBufferPN2js8SprinterEj($6, 3); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)|0)!=0; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      $1=0; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 12; break; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $11=$2; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11+28)|0); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $top=$13; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$top; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=(($15+40)|0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17+56)|0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=__ZL10StackDepthP8JSScript($19); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($14)>>>0) >= (($20)>>>0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $23=$2; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ReportOutOfMemory($26); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=0; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 12; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $28=$3; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=$top; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$2; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=(($30+20)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=(($32+($29<<2))|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($33)>>2)]=$28; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$4; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)|0)==232; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $46 = 53;__label__ = 11; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $38=$4; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38)|0)==233; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $44 = 55;__label__ = 10; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $42=$4; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44 = $42;__label__ = 10; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $44; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46 = $44;__label__ = 11; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $46; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=(($46) & 255); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=$top; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=$2; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=(($49+24)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=(($51+$48)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP8[($52)]=$47; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=$top; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=(($53+1)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $top=$54; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=$2; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=(($55+28)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($56)>>2)]=$54; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=$2; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZL12AddParenSlopP11SprintStack($57); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=1; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 12; break; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $59=$1; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $59; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7PushOffP11SprintStacki4JSOp["X"]=1;

function __ZL9VarPrefixPh($sn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $type;
      $2=$sn;
      var $3=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4=(($3)|0)!=0; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $6=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=HEAPU8[($6)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)&255); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$8 >> 3; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9)|0) >= 24; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $18 = 24;__label__ = 5; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $13=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=HEAPU8[($13)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14)&255); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$15 >> 3; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18 = $16;__label__ = 5; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $18; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)|0)==6; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($19) { __label__ = 10; break; } else { __label__ = 6; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $21=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=HEAPU8[($21)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22)&255); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=$23 >> 3; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24)|0) >= 24; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $33 = 24;__label__ = 9; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $28=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=HEAPU8[($28)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($29)&255); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=$30 >> 3; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33 = $31;__label__ = 9; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $33; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33)|0)==7; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $36=$2; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=_js_GetSrcNoteOffset($36, 0); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $type=$37; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$type; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38)>>>0) <= 2; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $41=$type; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=((__ZL10var_prefix+($41<<2))|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$43; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 14; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      __label__ = 13; break; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      $1=((__str272700)|0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 14; break; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $47=$1; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return $47; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9VarPrefixPh["X"]=1;

function __ZL12AddParenSlopP11SprintStack($ss) {
  ;
  var __label__;

  var $1;
  $1=$ss;
  var $2=$1; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $3=(($2)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $4=(($3+8)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $6=$1; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $7=(($6)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $8=(($7+16)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $10=(($5+$9)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  HEAP8[($10)]=0; HEAP8[($10+1)]=0; HEAP8[($10+2)]=0; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $11=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $12=(($11)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $13=(($12+16)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $14=HEAP32[(($13)>>2)]; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  var $15=(($14+3)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  HEAP32[(($13)>>2)]=$15; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
  ;
  return; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
}


function _DOUBLE_TO_JSVAL2862($agg_result, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $l=__stackBase__;
      var $2=__stackBase__+8;
      $1=$d;
      var $3=$1; //@line 1337 "./jsapi.h"
      var $4=$1; //@line 1337 "./jsapi.h"
      var $5=$3 != $4; //@line 1337 "./jsapi.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1337 "./jsapi.h"
    case 2: 
      var $7=$l; //@line 1338 "./jsapi.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=2146959360;
      var $st$3$0=(($7)|0);
      HEAP32[(($st$3$0)>>2)]=$$emscripten$temp$0$0;
      var $st$3$1=(($7+4)|0);
      HEAP32[(($st$3$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 4; break; //@line 1339 "./jsapi.h"
    case 3: 
      var $9=$1; //@line 1340 "./jsapi.h"
      var $10=$l; //@line 1340 "./jsapi.h"
      (tempDoubleF64[0]=$9,HEAP32[(($10)>>2)]=tempDoubleI32[0],HEAP32[(($10+4)>>2)]=tempDoubleI32[1]); //@line 1340 "./jsapi.h"
      __label__ = 4; break;
    case 4: 
      var $12=$2; //@line 1342 "./jsapi.h"
      var $13=$l; //@line 1342 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1342 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout2871($agg_result, $2); //@line 1342 "./jsapi.h"
      STACKTOP = __stackBase__;
      return; //@line 1342 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15IsInitializerOph($op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$op;
      var $2=$1; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $3=(($2)&255); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4=(($3)|0)==89; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($4) { var $14 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $6=$1; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=(($6)&255); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($7)|0)==90; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($8) { var $14 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $10=$1; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)&255); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=(($11)|0)==91; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14 = $12;__label__ = 4; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $14;
      ;
      return $14; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14CompareOffsetsPvPKvS1_Pi($arg, $v1, $v2, $result) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $offset_diff;
      var $te1;
      var $te2;
      $1=$arg;
      $2=$v1;
      $3=$v2;
      $4=$result;
      var $5=$2; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=$5; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $te1=$6; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$3; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=$7; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $te2=$8; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$te1; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9+8)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$te2; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12+8)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($11-$14)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $offset_diff=$15; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$offset_diff; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16)|0)==0; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $19=$te1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($19+16)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=$te2; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=(($22+16)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($21-$24)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31 = $25;__label__ = 4; break; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $27=$offset_diff; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=(($27)|0) < 0; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=$28 ? -1 : 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31 = $29;__label__ = 4; break; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $31; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$4; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      ;
      return 1; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_INT32_IMPL2866($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL2869($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL2870($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL2872($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL2873($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL2874($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO2875($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18JSDOUBLE_IS_FINITEd2876($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZL15JSDOUBLE_IS_NaNd2877($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZN2JSL11ObjectValueER8JSObject2863($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function _JSVAL_TO_STRING2864($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1369 "./jsapi.h"
  var $7=$v; //@line 1369 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1369 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE2867($2, $3); //@line 1369 "./jsapi.h"
  var $8=_JSVAL_TO_STRING_IMPL2873($2); //@line 1369 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1369 "./jsapi.h"
}


function _INT_TO_JSVAL2865($agg_result, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$i;
  var $3=$1; //@line 1311 "./jsapi.h"
  _INT32_TO_JSVAL_IMPL2872($2, $3); //@line 1311 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout2871($agg_result, $2); //@line 1311 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1311 "./jsapi.h"
}


function __ZL15DecompileSwitchP11SprintStackP10TableEntryjPhiii($ss, $table, $tableLength, $pc, $switchLength, $defaultOffset, $isCondSwitch) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $cx;
      var $jp;
      var $off;
      var $off2;
      var $diff;
      var $caseExprOff;
      var $todo;
      var $lval;
      var $rval;
      var $i;
      var $key=__stackBase__;
      var $str;
      var $nextCaseExprOff;
      var $9=__stackBase__+8;
      var $10=__stackBase__+16;
      var $junk=__stackBase__+24;
      var $11=__stackBase__+28;
      var $12=__stackBase__+36;
      $2=$ss;
      $3=$table;
      $4=$tableLength;
      $5=$pc;
      $6=$switchLength;
      $7=$defaultOffset;
      $8=$isCondSwitch;
      var $13=$2; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)|0); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14)|0); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cx=$16; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$2; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17+40)|0); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jp=$19; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=$8; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20)|0)!=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $23=$2; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=$2; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=(($24+28)|0); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26-1)|0); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=__ZL6GetOffP11SprintStackj($23, $27); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33 = $28;__label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $30=$2; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=__ZL6PopOffP11SprintStack4JSOp($30, 0); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33 = $31;__label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $33; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$33; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=$2; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($34)|0); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($35+8)|0); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$off; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($37+$38)|0); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$39; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=$jp; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=$lval; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=_js_printf($40, ((STRING_TABLE.__str1272800)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$41,tempInt)); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$4; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43)|0)!=0; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($44) { __label__ = 5; break; } else { __label__ = 48; break; } //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $46=$3; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=(($46)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=(($47+8)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$7; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=(($49-$50)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $diff=$51; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$diff; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=(($52)|0) > 0; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($53) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $55=$jp; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=(($55+48)|0); //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $58=(($57+2)|0); //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($56)>>2)]=$58; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $59=$jp; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $60=_js_printf($59, ((STRING_TABLE.__str472720)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_default_str)|0),tempInt)); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $61=$jp; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $62=(($61+48)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=(($63+2)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($62)>>2)]=$64; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=$2; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $66=$5; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $67=$7; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $68=(($66+$67)|0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $69=$diff; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $70=__ZL9DecompileP11SprintStackPhi4JSOp($65, $68, $69, 0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $71=(($70)|0)!=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($71) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      $1=0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 53; break; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $74=$jp; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=(($74+48)|0); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $77=(($76-4)|0); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($75)>>2)]=$77; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 9; break; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $79=$8; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=(($79)|0)!=0; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=$80 ? 1 : 0; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $caseExprOff=$81; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=0; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $83=$i; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $84=$4; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $85=(($83)>>>0) < (($84)>>>0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($85) { __label__ = 11; break; } else { __label__ = 47; break; } //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      var $87=$i; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=$3; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=(($88+$87*24)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $90=(($89+8)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$91; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=$i; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=(($92+1)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=$4; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=(($93)>>>0) < (($94)>>>0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($95) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      var $97=$i; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=(($97+1)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=$3; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=(($99+$98*24)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=(($100+8)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106 = $102;__label__ = 14; break; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      var $104=$6; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $106 = $104;__label__ = 14; break; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      var $106; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off2=$106; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $107=$i; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $108=$3; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $109=(($108+$107*24)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $110=(($109)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=$key; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=$110; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($111)>>2)]=HEAP32[(($112)>>2)];HEAP32[(($111+4)>>2)]=HEAP32[(($112+4)>>2)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=$8; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $114=(($113)|0)!=0; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($114) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $116=$9; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=$key; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($116)>>2)]=HEAP32[(($117)>>2)];HEAP32[(($116+4)>>2)]=HEAP32[(($117+4)>>2)]; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $118=_JSVAL_TO_INT($9); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $nextCaseExprOff=$118; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $119=$nextCaseExprOff; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=$5; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $121=(($120+$119)|0); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $122=HEAPU8[($121)]; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $123=(($122)&255); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $124=((_js_CodeSpec+($123<<3))|0); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $125=(($124)|0); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=HEAP8[($125)]; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=(($126 << 24) >> 24); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $128=$nextCaseExprOff; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $129=(($128+$127)|0); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $nextCaseExprOff=$129; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=$jp; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($130+48)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $133=(($132+2)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($131)>>2)]=$133; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $134=$2; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135=$5; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $136=$caseExprOff; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $137=(($135+$136)|0); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $138=$nextCaseExprOff; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=$caseExprOff; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $140=(($138-$139)|0); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $141=__ZL9DecompileP11SprintStackPhi4JSOp($134, $137, $140, 0); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $142=(($141)|0)!=0; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($142) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      $1=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 53; break; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      var $145=$nextCaseExprOff; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $caseExprOff=$145; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=$2; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=(($146+28)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $149=(($148-1)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($147)>>2)]=$149; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      $todo=-1; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151=$i; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $152=$3; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $153=(($152+$151*24)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $154=(($153+12)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=(($155)|0)!=0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($156) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      var $158=$i; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $159=$3; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $160=(($159+$158*24)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $161=(($160+12)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $163=$162; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $str=$163; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $164=$key; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($164)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($164+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      var $166=$10; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $167=$key; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($166)>>2)]=HEAP32[(($167)>>2)];HEAP32[(($166+4)>>2)]=HEAP32[(($167+4)>>2)]; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $168=_JSVAL_IS_DOUBLE($10); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $169=(($168)|0)!=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($169) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      var $171=$2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $172=(($171)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $173=$11; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $174=$key; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($173)>>2)]=HEAP32[(($174)>>2)];HEAP32[(($173+4)>>2)]=HEAP32[(($174+4)>>2)]; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $175=__ZL17SprintDoubleValuePN2js8SprinterEN2JS5ValueEP4JSOp($172, $11, $junk); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$175; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $176=$todo; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $177=(($176)|0) < 0; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($177) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 53; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      $str=0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 27; break; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      var $181=$cx; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $182=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($181, $key); //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $str=$182; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $183=$str; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $184=(($183)|0)!=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($184) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      $1=0; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 53; break; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $189=$todo; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $190=(($189)|0) >= 0; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($190) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      var $192=$2; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $193=(($192)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $194=(($193+8)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $196=$todo; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $197=(($195+$196)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$197; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      var $199=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $200=(($199)|0); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $201=$str; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $202=$12; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $203=$key; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($202)>>2)]=HEAP32[(($203)>>2)];HEAP32[(($202+4)>>2)]=HEAP32[(($203+4)>>2)]; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $204=_JSVAL_IS_STRING2868($12); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $205=(($204)|0)!=0; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $206=$205 ? 34 : 0; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $207=(($206) & 65535); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $208=(($207)&65535); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $209=__ZL11QuoteStringPN2js8SprinterEP8JSStringj($200, $201, $208); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $rval=$209; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $210=$rval; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $211=(($210)|0)!=0; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($211) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      $1=0; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 53; break; //@line 1382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      __label__ = 33; break;
    case 33: 
      var $215=$rval; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $216=$2; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $217=(($216)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $218=(($217+8)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $219=HEAP32[(($218)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $220=$215; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $221=$219; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $222=(($220-$221)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $223=$2; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $224=(($223)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $225=(($224+16)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($225)>>2)]=$222; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $226=$jp; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $227=(($226+48)|0); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $228=HEAP32[(($227)>>2)]; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $229=(($228+2)|0); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($227)>>2)]=$229; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $230=$jp; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $231=$rval; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $232=_js_printf($230, ((STRING_TABLE.__str982771)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$231,tempInt)); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 34; break;
    case 34: 
      var $234=$jp; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $235=(($234+48)|0); //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $236=HEAP32[(($235)>>2)]; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $237=(($236+2)|0); //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($235)>>2)]=$237; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $238=$off; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $239=$7; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $240=(($238)|0) <= (($239)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($240) { __label__ = 35; break; } else { __label__ = 41; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      var $242=$7; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $243=$off2; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $244=(($242)|0) < (($243)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($244) { __label__ = 36; break; } else { __label__ = 41; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 36: 
      var $246=$7; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $247=$off; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $248=(($246-$247)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $diff=$248; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $249=$diff; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $250=(($249)|0)!=0; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($250) { __label__ = 37; break; } else { __label__ = 40; break; } //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      var $252=$2; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $253=$5; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $254=$off; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $255=(($253+$254)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $256=$diff; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $257=__ZL9DecompileP11SprintStackPhi4JSOp($252, $255, $256, 0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $258=(($257)|0)!=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($258) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      $1=0; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 53; break; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      var $261=$7; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $off=$261; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 40; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      var $263=$jp; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $264=(($263+48)|0); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $265=HEAP32[(($264)>>2)]; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $266=(($265-2)|0); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($264)>>2)]=$266; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $267=$jp; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $268=_js_printf($267, ((STRING_TABLE.__str472720)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_default_str)|0),tempInt)); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $269=$jp; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $270=(($269+48)|0); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $271=HEAP32[(($270)>>2)]; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $272=(($271+2)|0); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($270)>>2)]=$272; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 41; break; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $274=$2; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $275=$5; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $276=$off; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $277=(($275+$276)|0); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $278=$off2; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $279=$off; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $280=(($278-$279)|0); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $281=__ZL9DecompileP11SprintStackPhi4JSOp($274, $277, $280, 0); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $282=(($281)|0)!=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($282) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 42: 
      $1=0; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 53; break; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 43: 
      var $285=$jp; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $286=(($285+48)|0); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $287=HEAP32[(($286)>>2)]; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $288=(($287-4)|0); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($286)>>2)]=$288; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $289=$8; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $290=(($289)|0)!=0; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($290) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 44: 
      var $292=$2; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $293=(($292+28)|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $294=HEAP32[(($293)>>2)]; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $295=(($294+1)|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($293)>>2)]=$295; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 45; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 45: 
      __label__ = 46; break; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 46: 
      var $298=$i; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $299=(($298+1)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $i=$299; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 10; break; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 47: 
      __label__ = 48; break; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 48: 
      var $302=$7; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $303=$6; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $304=(($302)|0)==(($303)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($304) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 49: 
      var $306=$jp; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $307=(($306+48)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $308=HEAP32[(($307)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $309=(($308+2)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($307)>>2)]=$309; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $310=$jp; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $311=_js_printf($310, ((STRING_TABLE.__str1282801)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_default_str)|0),tempInt)); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $312=$jp; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $313=(($312+48)|0); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $314=HEAP32[(($313)>>2)]; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $315=(($314-2)|0); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($313)>>2)]=$315; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 50; break; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 50: 
      var $317=$jp; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $318=_js_printf($317, ((STRING_TABLE.__str462719)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $319=$8; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $320=(($319)|0)!=0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($320) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 51: 
      var $322=$2; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $323=(($322+28)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $324=HEAP32[(($323)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $325=(($324-1)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($323)>>2)]=$325; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 52; break; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 52: 
      $1=1; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 53; break; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 53: 
      var $328=$1; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $328; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15DecompileSwitchP11SprintStackP10TableEntryjPhiii["X"]=1;

function _JSVAL_TO_INT($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1305 "./jsapi.h"
  var $7=$v; //@line 1305 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1305 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE2867($2, $3); //@line 1305 "./jsapi.h"
  var $8=_JSVAL_TO_INT32_IMPL2866($2); //@line 1305 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1305 "./jsapi.h"
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE2867($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "./jsapi.h"
  var $5=$agg_result; //@line 822 "./jsapi.h"
  var $6=$4; //@line 822 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "./jsapi.h"
}


function _JSVAL_IS_DOUBLE($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1317 "./jsapi.h"
  var $7=$v; //@line 1317 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1317 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE2867($2, $3); //@line 1317 "./jsapi.h"
  var $8=_JSVAL_IS_DOUBLE_IMPL2870($2); //@line 1317 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1317 "./jsapi.h"
}


function _JSVAL_IS_STRING2868($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1362 "./jsapi.h"
  var $7=$v; //@line 1362 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1362 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE2867($2, $3); //@line 1362 "./jsapi.h"
  var $8=_JSVAL_IS_STRING_IMPL2869($2); //@line 1362 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1362 "./jsapi.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout2871($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function _JSVAL_TO_DOUBLE($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $l=__stackBase__+8;
  var $2=__stackBase__+16;
  var $3=__stackBase__+24;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1325 "./jsapi.h"
  var $7=$v; //@line 1325 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1325 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE2867($2, $3); //@line 1325 "./jsapi.h"
  var $8=$l; //@line 1325 "./jsapi.h"
  var $9=$2; //@line 1325 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 1325 "./jsapi.h"
  var $10=$l; //@line 1326 "./jsapi.h"
  var $11=(tempDoubleI32[0]=HEAP32[(($10)>>2)],tempDoubleI32[1]=HEAP32[(($10+4)>>2)],tempDoubleF64[0]); //@line 1326 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $11; //@line 1326 "./jsapi.h"
}


function __ZL17SprintDoubleValuePN2js8SprinterEN2JS5ValueEP4JSOp($sp, $0, $opp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $d;
      var $todo;
      var $s;
      var $5=__stackBase__+8;
      var $cbuf=__stackBase__+16;
      var $6;
      $3=$sp;
      var $7=$v;
      var $8=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
      $4=$opp;
      var $9=$5; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$v; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=_JSVAL_TO_DOUBLE($5); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $d=$11; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$d; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=_JSDOUBLE_IS_NEGZERO2875($12); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=(($13)|0)!=0; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $16=$3; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=__ZN2js13SprintCStringEPNS_8SprinterEPKc($16, ((STRING_TABLE.__str1292802)|0)); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$17; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=$4; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($18)>>2)]=34; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 14; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $20=$d; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=__ZL18JSDOUBLE_IS_FINITEd2876($20); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($21)|0)!=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 4; break; } //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      var $24=$3; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$d; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=__ZL15JSDOUBLE_IS_NaNd2877($25); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($26)|0)!=0; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $34 = ((STRING_TABLE.__str1302803)|0);__label__ = 7; break; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $30=$d; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=$30 < 0; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$31 ? (((STRING_TABLE.__str1312804)|0)) : (((STRING_TABLE.__str1322805)|0)); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34 = $32;__label__ = 7; break; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $34; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=__ZN2js13SprintCStringEPNS_8SprinterEPKc($24, $34); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$35; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=$4; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($36)>>2)]=30; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 13; break; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufC1Ev]($cbuf); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($38)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $41=$d; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $42=__ZN2js15NumberToCStringEP9JSContextPNS_12ToCStringBufEdi($40, $cbuf, $41, 10); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $s=$42; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $43=$s; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=(($43)|0)!=0; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      var $46=$3; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=(($46)|0); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      _JS_ReportOutOfMemory($48); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $2=-1; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $6=1;
      __label__ = 11; break; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $50=$3; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=$s; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=__ZN2js6SprintEPNS_8SprinterEPKcz($50, $51, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$52; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $6=0; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 11; break; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      FUNCTION_TABLE[__ZN2js12ToCStringBufD1Ev]($cbuf); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 12; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $57=$todo; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $2=$57; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 15; break; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $59=$2; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17SprintDoubleValuePN2js8SprinterEN2JS5ValueEP4JSOp["X"]=1;

function _JSID_TO_STRING2878($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_IS_STRING2879($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function __ZN19AutoScriptUntrapperD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $delta;
      var $oldCode;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $5=(($2+8)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$4; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=$6; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($7-$8)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $delta=$9; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=$delta; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=(($10)|0)!=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $13=(($2+4)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=(($14)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$delta; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(((-$17))|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($16+$18)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oldCode=$19; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($2)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=(($2+4)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($23)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __ZN9JSContext5free_EPv($21, $25); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=$oldCode; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=(($2+4)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=(($28)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($29)>>2)]=$26; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 3; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      ;
      return; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN19AutoScriptUntrapperC2EP9JSContextP8JSScriptPPh($this, $cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $newCode;
      $1=$this;
      $2=$cx;
      $3=$script;
      $4=$pc;
      var $5=$1;
      var $6=(($5)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $7=$2; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($6)>>2)]=$7; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=(($5+4)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=$3; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($8)>>2)]=$9; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($5+8)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=$4; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($10)>>2)]=$12; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=$2; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=$3; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=_js_UntrapScriptCode($13, $14); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $newCode=$15; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=$newCode; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=$3; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=(($17)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=(($16)|0)==(($19)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 2: 
      var $22=(($5+8)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $24=(($5+12)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $26=(($5+8)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $28=$newCode; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $29=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=(($29)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=$28; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$31; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($32-$33)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $35=(($27+$34)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $36=(($5+12)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $37=$4; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($37)>>2)]=$35; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$newCode; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=$3; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $40=(($39)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($40)>>2)]=$38; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN19AutoScriptUntrapperC2EP9JSContextP8JSScriptPPh["X"]=1;

function _js_malloc2880($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSParseNode6becomeEPS_($this, $pn2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pnup;
      $1=$this;
      $2=$pn2;
      var $3=$1;
      var $4=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=__ZNK11JSParseNode6isUsedEv($4); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=$2; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+32)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$12; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+28)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$14; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $16=$pnup; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($17)|0)!=(($18)|0); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $21=$pnup; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+28)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$23; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $25=$pnup; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($25)>>2)]=$3; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$2; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+28)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($3+28)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($29)>>2)]=$28; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31 & -1073741825; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32 | 1073741824; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($30)>>2)]=$33; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$2; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+28)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($35)>>2)]=0; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$2; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38 & -1073741825; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($37)>>2)]=$39; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $41=$2; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$43 & 65535; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44 & 65535; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$3; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$45 & 65535; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=HEAP32[(($46)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 & -65536; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49 | $47; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($46)>>2)]=$50; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$2; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=HEAPU32[(($52)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$53 >>> 16; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$54 & 255; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55 & 255; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$3; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$56 & 255; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$58 << 16; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAP32[(($57)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$60 & -16711681; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$61 | $59; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($57)>>2)]=$62; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$2; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=HEAPU32[(($64)>>2)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$65 >>> 24; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$66 & 31; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67 & 31; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$3; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$68 & 31; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70 << 24; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=HEAP32[(($69)>>2)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72 & -520093697; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73 | $71; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($69)>>2)]=$74; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=HEAPU32[(($76)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77 >>> 29; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$78 & 1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79 & 1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$3; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$80 & 1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82 << 29; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=HEAP32[(($81)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$84 & -536870913; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$85 | $83; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($81)>>2)]=$86; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=(($3+32)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$2; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88+32)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$87; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$89; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($90)>>2)]=HEAP32[(($91)>>2)];HEAP32[(($90+4)>>2)]=HEAP32[(($91+4)>>2)];HEAP32[(($90+8)>>2)]=HEAP32[(($91+8)>>2)];HEAP32[(($90+12)>>2)]=HEAP32[(($91+12)>>2)]; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=__ZNK11JSParseNode6isKindEN2js9TokenKindE($3, 34); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($92) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $94=__ZNK11JSParseNode7isArityE16JSParseNodeArity($3, 4); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($94) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $96=(($3+32)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100+24)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($101)>>2)]=$3; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $103=$3; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=HEAPU32[(($103)>>2)]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104 >>> 24; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105 & 31; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106)|0)==5; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($107) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $109=(($3+32)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=(($112)|0)!=0; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($113) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $115=(($3+32)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$115; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($3+32)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119+4)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($120)>>2)]=$117; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      var $123=$2; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5clearEv($123); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11JSParseNode6becomeEPS_["X"]=1;

function __ZN11JSParseNode5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=$4 & -65536; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($3)>>2)]=$5; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  __ZN11JSParseNode5setOpE4JSOp($2, 0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=$2; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=$7 & 2147483647; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($6)>>2)]=$8; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=$2; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $11=$10 & -1073741825; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($9)>>2)]=$11; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $12=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $13=HEAP32[(($12)>>2)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $14=$13 & -520093697; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($12)>>2)]=$14; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $15=$2; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $16=HEAP32[(($15)>>2)]; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $17=$16 & -536870913; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($15)>>2)]=$17; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6ParserC2EP9JSContextP12JSPrincipalsPNS_10StackFrameEb($this, $cx, $prin, $cfp, $foldConstants) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $1=$this;
      $2=$cx;
      $3=$prin;
      $4=$cfp;
      var $6=(($foldConstants)&1);
      $5=$6;
      var $7=$1;
      var $8=$7; //@line 198 "./jsparse.h"
      var $9=$2; //@line 198 "./jsparse.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($8, $9, -3); //@line 198 "./jsparse.h"
      var $10=(($7+12)|0); //@line 198 "./jsparse.h"
      var $11=$2; //@line 198 "./jsparse.h"
      HEAP32[(($10)>>2)]=$11; //@line 198 "./jsparse.h"
      var $12=(($7+40)|0); //@line 198 "./jsparse.h"
      var $13=$2; //@line 198 "./jsparse.h"
      FUNCTION_TABLE[__ZN2js11TokenStreamC1EP9JSContext]($12, $13); //@line 198 "./jsparse.h"
      var $14=(($7+956)|0); //@line 198 "./jsparse.h"
      HEAP32[(($14)>>2)]=0; //@line 198 "./jsparse.h"
      var $15=(($7+960)|0); //@line 198 "./jsparse.h"
      var $16=$4; //@line 198 "./jsparse.h"
      HEAP32[(($15)>>2)]=$16; //@line 198 "./jsparse.h"
      var $17=(($7+964)|0); //@line 198 "./jsparse.h"
      var $18=$4; //@line 198 "./jsparse.h"
      var $19=(($18)|0)!=0; //@line 198 "./jsparse.h"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 198 "./jsparse.h"
    case 2: 
      var $21=$4; //@line 191 "./jsparse.h"
      var $22=__ZN2js10StackFrame6varObjEv($21); //@line 191 "./jsparse.h"
      var $25 = $22;__label__ = 4; break; //@line 191 "./jsparse.h"
    case 3: 
      var $25 = 0;__label__ = 4; break; //@line 191 "./jsparse.h"
    case 4: 
      var $25; //@line 191 "./jsparse.h"
      HEAP32[(($17)>>2)]=$25; //@line 191 "./jsparse.h"
      var $26=(($7+968)|0); //@line 191 "./jsparse.h"
      HEAP32[(($26)>>2)]=0; //@line 191 "./jsparse.h"
      var $27=(($7+972)|0); //@line 191 "./jsparse.h"
      HEAP32[(($27)>>2)]=0; //@line 191 "./jsparse.h"
      var $28=(($7+976)|0); //@line 191 "./jsparse.h"
      HEAP32[(($28)>>2)]=0; //@line 191 "./jsparse.h"
      var $29=(($7+980)|0); //@line 191 "./jsparse.h"
      HEAP32[(($29)>>2)]=0; //@line 191 "./jsparse.h"
      var $30=(($7+984)|0); //@line 191 "./jsparse.h"
      var $31=$2; //@line 191 "./jsparse.h"
      var $32=(($31+52)|0); //@line 191 "./jsparse.h"
      var $33=HEAP32[(($32)>>2)]; //@line 191 "./jsparse.h"
      __ZN2js13AutoKeepAtomsC1EP9JSRuntime($30, $33); //@line 191 "./jsparse.h"
      var $34=(($7+988)|0); //@line 191 "./jsparse.h"
      var $35=$5; //@line 191 "./jsparse.h"
      var $36=(($35) & 1); //@line 191 "./jsparse.h"
      var $37=(($36)&1); //@line 191 "./jsparse.h"
      HEAP8[($34)]=$37; //@line 191 "./jsparse.h"
      var $38=$2; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+308)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+1)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($39)>>2)]=$41; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($7+16)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2jsL12PodArrayZeroIPvLj6EEEvRAT0__T_($42); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$3; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6Parser13setPrincipalsEP12JSPrincipals($7, $43); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6ParserC2EP9JSContextP12JSPrincipalsPNS_10StackFrameEb["X"]=1;

function __ZN2jsL12PodArrayZeroIPvLj6EEEvRAT0__T_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  var $4=$3; //@line 684 "./jsutil.h"
  _memset($4, 0, 24, 1); //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function __ZL25DecompileDestructuringLHSP11SprintStackPhS1_Pi($ss, $pc, $endpc, $hole) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $cx;
      var $jp;
      var $op;
      var $cs;
      var $oplen;
      var $i=__stackBase__;
      var $lval;
      var $xval;
      var $todo;
      var $atom;
      var $bytes=__stackBase__+4;
      var $6;
      $2=$ss;
      $3=$pc;
      $4=$endpc;
      $5=$hole;
      var $7=$5; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($7)>>2)]=0; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $8=$2; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $9=(($8)|0); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $10=(($9)|0); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cx=$11; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $12=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $13=(($12+40)|0); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $jp=$14; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $15=$3; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $16=HEAPU8[($15)]; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $17=(($16)&255); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$17; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $18=((_js_CodeSpec+($17<<3))|0); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$18; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $19=(($18)|0); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $20=HEAP8[($19)]; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $21=(($20 << 24) >> 24); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$21; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $22=$op; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ((($22)|0) == 81) {
        __label__ = 2; break;
      }
      else if ((($22)|0) == 12) {
        __label__ = 3; break;
      }
      else if ((($22)|0) == 85 || (($22)|0) == 87) {
        __label__ = 14; break;
      }
      else if ((($22)|0) == 132) {
        __label__ = 20; break;
      }
      else {
      __label__ = 54; break;
      }
      
    case 2: 
      var $24=$5; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($24)>>2)]=1; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $25=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $26=(($25)|0); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $27=__ZN2js9SprintPutEPNS_8SprinterEPKcj($26, ((STRING_TABLE.__str332706)|0), 2); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$27; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 70; break; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 3: 
      var $29=$2; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $30=$3; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $31=$4; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $32=__ZL22DecompileDestructuringP11SprintStackPhS1_($29, $30, $31); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$32; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $33=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $34=(($33)|0)!=0; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 4: 
      $1=0; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 5: 
      var $37=$3; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $38=$4; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $39=(($37)|0)==(($38)|0); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 6: 
      var $41=$3; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$41; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 7: 
      var $43=$3; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $44=HEAPU8[($43)]; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $45=(($44)&255); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$45; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $46=((_js_CodeSpec+($45<<3))|0); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$46; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $47=(($46)|0); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $48=HEAP8[($47)]; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $49=(($48 << 24) >> 24); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$49; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $50=$2; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $51=__ZL6PopStrP11SprintStack4JSOp($50, 0); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$51; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $52=$2; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $53=(($52)|0); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $54=$lval; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $55=__ZN2js13SprintCStringEPNS_8SprinterEPKc($53, $54); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$55; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $56=$op; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $57=(($56)|0)==11; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($57) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 8: 
      var $59=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$59; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 9: 
      __label__ = 10; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 10: 
      var $62=$3; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $63=HEAPU8[($62)]; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $64=(($63)&255); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $65=(($64)|0)==81; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 11: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 12: 
      __label__ = 13; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 13: 
      __label__ = 70; break; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 14: 
      __label__ = 15; break; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 15: 
      var $71=$oplen; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $72=$3; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $73=(($72+$71)|0); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $74=HEAPU8[($73)]; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $75=(($74)&255); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $76=(($75)|0)==81; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($76) { __label__ = 18; break; } else { __label__ = 16; break; } //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 16: 
      var $78=$oplen; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $79=$3; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $80=(($79+$78)|0); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $81=HEAPU8[($80)]; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $82=(($81)&255); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $83=(($82)|0)==11; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($83) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 17: 
      $1=0; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 18: 
      __label__ = 19; break; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 19: 
      __label__ = 20; break; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 20: 
      $atom=0; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=0; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $88=$op; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $89=(($88)|0)==85; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($89) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 21: 
      var $91=$jp; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $92=$3; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $93=(($92+1)|0); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $94=HEAPU8[($93)]; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $95=(($94)&255); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $96=$95 << 8; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $97=$3; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $98=(($97+2)|0); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $99=HEAPU8[($98)]; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $100=(($99)&255); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $101=$96 | $100; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $102=__ZL15GetArgOrVarAtomP9JSPrinterj($91, $101); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$102; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 22; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 22: 
      var $104=$atom; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $105=(($104)|0)!=0; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($105) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 23: 
      $1=0; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 24: 
      __label__ = 25; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 25: 
      __label__ = 34; break; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 26: 
      var $110=$jp; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $111=$3; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $112=__ZL9IsVarSlotP9JSPrinterPhPi($110, $111, $i); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $113=(($112)|0)!=0; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($113) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 27: 
      var $115=$jp; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $116=HEAP32[(($i)>>2)]; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $117=__ZL15GetArgOrVarAtomP9JSPrinterj($115, $116); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $atom=$117; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 28; break; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 28: 
      var $119=$atom; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $120=(($119)|0)!=0; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($120) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 29: 
      $1=0; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 30: 
      __label__ = 31; break; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 31: 
      __label__ = 33; break; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 32: 
      var $125=$2; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $126=HEAP32[(($i)>>2)]; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $127=__Z8GetLocalP11SprintStacki($125, $126); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$127; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 33; break;
    case 33: 
      __label__ = 34; break;
    case 34: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $130=$atom; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $131=(($130)|0)!=0; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($131) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 35: 
      var $133=$cx; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $134=$atom; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $135=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($133, $134, $bytes); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$135; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 36; break; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 36: 
      __label__ = 37; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 37: 
      var $138=$lval; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $139=(($138)|0)!=0; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($139) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 38: 
      $1=0; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $6=1;
      __label__ = 42; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 39: 
      __label__ = 40; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 40: 
      __label__ = 41; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 41: 
      var $144=$2; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $145=(($144)|0); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $146=$lval; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $147=__ZN2js13SprintCStringEPNS_8SprinterEPKc($145, $146); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$147; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $6=0; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 42; break; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 42: 
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 43; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 77; break;
      }
      else {
      __label__ = 78; break;
      }
      
    case 43: 
      var $150=$op; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $151=(($150)|0)!=132; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($151) { __label__ = 44; break; } else { __label__ = 53; break; } //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 44: 
      var $153=$oplen; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $154=$3; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $155=(($154+$153)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$155; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $156=$3; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $157=$4; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $158=(($156)|0)==(($157)|0); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($158) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 45: 
      var $160=$3; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$160; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 46: 
      var $162=$3; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $163=HEAPU8[($162)]; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $164=(($163)&255); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$164; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $165=((_js_CodeSpec+($164<<3))|0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$165; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $166=(($165)|0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $167=HEAP8[($166)]; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $168=(($167 << 24) >> 24); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$168; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $169=$op; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $170=(($169)|0)==11; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($170) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 47: 
      var $172=$3; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$172; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 48: 
      __label__ = 49; break; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 49: 
      var $175=$op; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $176=(($175)|0)==81; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($176) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 50: 
      $1=0; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 51: 
      __label__ = 52; break; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 52: 
      __label__ = 53; break; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 53: 
      __label__ = 70; break; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 54: 
      var $182=$2; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $183=(($182)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $184=(($183+16)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$185; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $186=$todo; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $187=(($186+3)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $188=$2; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $189=(($188)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $190=(($189+16)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($190)>>2)]=$187; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $191=$2; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $192=$3; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $193=$2; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $194=(($193+28)|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $196=(((-$195))|0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $197=__ZL9DecompileP11SprintStackPhi4JSOp($191, $192, $196, 0); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$197; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $198=$3; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $199=(($198)|0)!=0; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($199) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 55: 
      $1=0; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 56: 
      var $202=$3; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $203=$4; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $204=(($202)|0)==(($203)|0); //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($204) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 57: 
      var $206=$3; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$206; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 58: 
      var $208=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $209=HEAPU8[($208)]; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $210=(($209)&255); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $op=$210; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $211=((_js_CodeSpec+($210<<3))|0); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $cs=$211; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $212=(($211)|0); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $213=HEAP8[($212)]; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $214=(($213 << 24) >> 24); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $oplen=$214; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 59; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 59: 
      var $216=$op; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $217=(($216)|0)==124; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($217) { __label__ = 62; break; } else { __label__ = 60; break; } //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 60: 
      var $219=$op; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $220=(($219)|0)==209; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($220) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 61: 
      $1=0; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 62: 
      __label__ = 63; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 63: 
      var $224=$2; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $225=__ZL6PopStrP11SprintStack4JSOp($224, 0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $xval=$225; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $226=$2; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $227=__ZL6PopStrP11SprintStack4JSOp($226, 53); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $lval=$227; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $228=$todo; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $229=$2; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $230=(($229)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $231=(($230+16)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      HEAP32[(($231)>>2)]=$228; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $232=$lval; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $233=HEAP8[($232)]; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $234=(($233 << 24) >> 24); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $235=(($234)|0)==0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($235) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 64: 
      var $237=$2; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $238=(($237)|0); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $239=$xval; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $240=__ZN2js13SprintCStringEPNS_8SprinterEPKc($238, $239); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$240; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 69; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 65: 
      var $242=$xval; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $243=HEAP8[($242)]; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $244=(($243 << 24) >> 24); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $245=(($244)|0)==0; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($245) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 66: 
      var $247=$2; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $248=(($247)|0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $249=$lval; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $250=__ZN2js13SprintCStringEPNS_8SprinterEPKc($248, $249); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$250; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 68; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 67: 
      var $252=$2; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $253=(($252)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $254=$2; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $255=(($254+28)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $257=(($256+1)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $258=$2; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $259=(($258+24)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $260=HEAP32[(($259)>>2)]; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $261=(($260+$257)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $262=HEAPU8[($261)]; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $263=(($262)&255); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $264=((_js_CodeSpec+($263<<3))|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $265=(($264+4)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $266=HEAP32[(($265)>>2)]; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $267=$266 & 224; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $268=(($267)|0)==128; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $269=$268 ? (((STRING_TABLE.__str1392812)|0)) : (((STRING_TABLE.__str1402813)|0)); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $270=$lval; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $271=$xval; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $272=__ZN2js6SprintEPNS_8SprinterEPKcz($253, $269, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$270,HEAP32[((tempInt+4)>>2)]=$271,tempInt)); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $todo=$272; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 68; break;
    case 68: 
      __label__ = 69; break;
    case 69: 
      __label__ = 70; break; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 70: 
      var $276=$todo; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $277=(($276)|0) < 0; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($277) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 71: 
      $1=0; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 72: 
      __label__ = 73; break; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 73: 
      var $281=$3; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $282=$4; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $283=(($281)>>>0) < (($282)>>>0); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      if ($283) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 74: 
      $1=0; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 75: 
      __label__ = 76; break; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 76: 
      var $287=$oplen; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $288=$3; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $289=(($288+$287)|0); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $3=$289; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      var $290=$3; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      $1=$290; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      __label__ = 77; break; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 77: 
      var $292=$1; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
      STACKTOP = __stackBase__;
      return $292; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsopcode.cpp"
    case 78: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25DecompileDestructuringLHSP11SprintStackPhS1_Pi["X"]=1;

function __ZN2js6Parser13setPrincipalsEP12JSPrincipals($this, $prin) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$prin;
      var $3=$1;
      var $4=$2; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4)|0)!=0; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=$2; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+12)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+1)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($8)>>2)]=$10; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$2; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($3+956)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK13JSFunctionBox17inAnyDynamicScopeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $funbox;
      $2=$this;
      var $3=$2;
      $funbox=$3; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$funbox; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=$funbox; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+60)|0); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10 & 805306368; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0)!=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=1; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __label__ = 6; break; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $16=$funbox; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+36)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$18; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $21=$1; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $21; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK13JSFunctionBox17scopeIsExtensibleEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+60)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=$4 & 536870912; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=(($5)|0)!=0; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $6; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZNK13JSFunctionBox13shouldUnbrandEjj($this, $methods, $slowMethods) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $funbox;
      $2=$this;
      $3=$methods;
      $4=$slowMethods;
      var $5=$2;
      var $6=$4; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0)!=0; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $funbox=$5; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=$funbox; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)!=0; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $13=$funbox; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+60)|0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15 & 2097152; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0)!=0; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=1; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $20=$funbox; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$20; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+56)|0); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAPU32[(($23)>>2)]; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24 >>> 1; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25 & 1; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)|0)!=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=1; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $31=$funbox; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+36)|0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$33; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      __label__ = 11; break; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $1=0; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $37=$1; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $37; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser4initEPKtjPKcj9JSVersion($this, $base, $length, $filename, $lineno, $version) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $cx;
      var $_m;
      var $_a;
      $2=$this;
      $3=$base;
      $4=$length;
      $5=$filename;
      $6=$lineno;
      $7=$version;
      var $8=$2;
      var $9=(($8+12)|0); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $cx=$10; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$cx; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=__ZN9JSContext18ensureParseMapPoolEv($11); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $15=$cx; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+72)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+16)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+12)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$20; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($8+952)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($8+40)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$3; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$4; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$5; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$6; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$7; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZN2js11TokenStream4initEPKtjPKcj9JSVersion($23, $24, $25, $26, $27, $28); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 11; break; } else { __label__ = 4; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $32=(($8+952)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_m=$33; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$cx; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+72)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+16)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_a=$37; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$_a; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$cx; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+72)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($38)|0)!=(($41)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $44=$_m; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$_a; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+4)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($45-$48)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$_a; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+12)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$_a; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53+4)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($52-$55)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($49)>>>0) <= (($56)>>>0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($57) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $59=$_m; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$cx; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+72)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62+24)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($60+$64)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$cx; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+72)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67+24)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69 ^ -1; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$65 & $70; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$_a; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72+12)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($73)>>2)]=$71; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $75=$cx; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75+72)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$_m; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _JS_ArenaRelease($76, $77); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $1=1; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $82=$1; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $82; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser4initEPKtjPKcj9JSVersion["X"]=1;

function __ZN9JSContext18ensureParseMapPoolEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+100)|0); //@line 435 "./jscntxtinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 435 "./jscntxtinlines.h"
      var $6=(($5)|0)!=0; //@line 435 "./jscntxtinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 435 "./jscntxtinlines.h"
    case 2: 
      $1=1; //@line 436 "./jscntxtinlines.h"
      __label__ = 4; break; //@line 436 "./jscntxtinlines.h"
    case 3: 
      var $9=__ZN2js11OffTheBooks4new_INS_12ParseMapPoolEP9JSContextEEPT_T0_($3); //@line 437 "./jscntxtinlines.h"
      var $10=(($3+100)|0); //@line 437 "./jscntxtinlines.h"
      HEAP32[(($10)>>2)]=$9; //@line 437 "./jscntxtinlines.h"
      var $11=(($3+100)|0); //@line 438 "./jscntxtinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 438 "./jscntxtinlines.h"
      var $13=(($12)|0)!=0; //@line 438 "./jscntxtinlines.h"
      $1=$13; //@line 438 "./jscntxtinlines.h"
      __label__ = 4; break; //@line 438 "./jscntxtinlines.h"
    case 4: 
      var $15=$1; //@line 439 "./jscntxtinlines.h"
      ;
      return $15; //@line 439 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6ParserD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $cx;
      var $_m;
      var $_a;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $cx=$4; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($2+956)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0)!=0; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $9=(($2+956)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+12)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12-1)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($11)>>2)]=$13; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)==0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $16=(($2+956)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+16)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$cx; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($2+956)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      FUNCTION_TABLE[$19]($20, $22); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29 = 0;__label__ = 5; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $24=(($2+956)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+12)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29 = $27;__label__ = 5; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $29; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $32=(($2+952)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_m=$33; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$cx; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+72)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+16)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_a=$37; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$_a; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$cx; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+72)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($38)|0)!=(($41)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $44=$_m; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$_a; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+4)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($45-$48)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$_a; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+12)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$_a; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53+4)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($52-$55)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($49)>>>0) <= (($56)>>>0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($57) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $59=$_m; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$cx; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+72)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62+24)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($60+$64)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$cx; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+72)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67+24)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69 ^ -1; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$65 & $70; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$_a; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72+12)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($73)>>2)]=$71; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $75=$cx; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75+72)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$_m; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _JS_ArenaRelease($76, $77); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $81=$cx; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81+308)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83-1)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($82)>>2)]=$84; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($2+984)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js13AutoKeepAtomsD1Ev($85); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($2+40)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      FUNCTION_TABLE[__ZN2js11TokenStreamD1Ev]($86); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$2; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js12AutoGCRooterD2Ev($87); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6ParserD2Ev["X"]=1;

function __ZN2js6Parser12newObjectBoxEP8JSObject($this, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $objbox;
      var $_a;
      var $_nb;
      var $_p;
      $2=$this;
      $3=$obj;
      var $4=$2;
      __label__ = 2; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=(($4+12)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+72)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+16)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_a=$10; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($4+12)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+72)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+24)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+24)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($4+12)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+72)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+24)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21 ^ -1; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$16 & $22; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_nb=$23; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$_a; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+12)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_p=$26; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$_p; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$_a; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+8)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$_nb; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($30-$31)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($27)>>>0) > (($32)>>>0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($33) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $35=(($4+12)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+72)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$_nb; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=_JS_ArenaAllocate($37, $38); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_p=$40; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $42=$_p; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$_nb; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($42+$43)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$_a; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+12)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($46)>>2)]=$44; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break;
    case 5: 
      var $48=$_p; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $objbox=$49; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $53=$objbox; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53)|0)!=0; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $56=(($4+12)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($57); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $59=(($4+976)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$objbox; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($62)>>2)]=$60; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$objbox; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($4+976)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($64)>>2)]=$63; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$objbox; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+4)|0); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($66)>>2)]=0; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$3; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$objbox; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+8)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($69)>>2)]=$67; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$objbox; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+20)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($71)]=0; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$objbox; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$72; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $74=$1; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $74; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser12newObjectBoxEP8JSObject["X"]=1;

function __ZN2js6Parser14newFunctionBoxEP8JSObjectP11JSParseNodeP13JSTreeContext($this, $obj, $fn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $funbox;
      var $_a;
      var $_nb;
      var $_p;
      var $stmt;
      $2=$this;
      $3=$obj;
      $4=$fn;
      $5=$tc;
      var $6=$2;
      __label__ = 2; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=(($6+12)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+72)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+16)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_a=$12; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($6+12)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+72)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+24)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+64)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($6+12)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+72)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+24)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23 ^ -1; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$18 & $24; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_nb=$25; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$_a; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+12)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_p=$28; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$_p; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$_a; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+8)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$_nb; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($32-$33)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($29)>>>0) > (($34)>>>0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($35) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $37=(($6+12)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+72)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$_nb; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=_JS_ArenaAllocate($39, $40); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_p=$42; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $44=$_p; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$_nb; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($44+$45)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$_a; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+12)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break;
    case 5: 
      var $50=$_p; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$51; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $55=$funbox; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55)|0)!=0; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($56) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $58=(($6+12)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($59); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $61=(($6+976)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$funbox; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($65)>>2)]=$62; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$funbox; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$66; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($6+976)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($68)>>2)]=$67; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$funbox; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+4)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($71)>>2)]=0; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$3; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$funbox; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74+8)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($75)>>2)]=$72; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$funbox; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$76; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+20)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($78)]=1; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$4; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$funbox; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=(($80+24)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($81)>>2)]=$79; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$5; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82+84)|0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$funbox; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+28)|0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($86)>>2)]=$84; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$funbox; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$5; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88+84)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($89)>>2)]=$87; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$5; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90+48)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92+972)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94+1)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($93)>>2)]=$95; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$funbox; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+32)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($97)>>2)]=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$5; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98+80)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$funbox; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+36)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($102)>>2)]=$100; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$funbox; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103+40)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($104)>>2)]=0; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$funbox; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105+44)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107)|0)==0; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($108) { var $114 = 0;__label__ = 12; break; } else { __label__ = 11; break; } //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $110=$107; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($6+12)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js8BindingsC1EP9JSContext($110, $112); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114 = $110;__label__ = 12; break; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $114; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$funbox; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$115; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116+56)|0); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$119 & -2; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($118)>>2)]=$120; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$funbox; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$121; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=(($122+56)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$123; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$125 & -3; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($124)>>2)]=$126; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$5; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=(($127+24)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$129; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $131=$stmt; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131)|0)!=0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($132) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $134=$stmt; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=(($134)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=HEAPU16[(($135)>>1)]; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=(($136)&65535); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=(($137)|0) >= 11; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($138) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $140=$funbox; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$140; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($141+56)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$142; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$144 & -3; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$145 | 2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($143)>>2)]=$146; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 17; break; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $149=$stmt; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149+24)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$151; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $153=$5; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=(($153+76)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$funbox; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=$155 & 16383; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$156; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=(($158+56)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=$159; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$157 & 16383; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$161 << 2; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=HEAP32[(($160)>>2)]; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=$163 & -65533; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$164 | $162; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($160)>>2)]=$165; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$5; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=(($166)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$168 & 270336; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=2 | $169; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$funbox; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=(($171+60)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($172)>>2)]=$170; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=$5; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173+88)|0); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($175)|0)!=0; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($176) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $178=$funbox; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=(($178+60)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$180 | 268435456; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($179)>>2)]=$181; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $183=$funbox; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$183; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $185=$1; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $185; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser14newFunctionBoxEP8JSObjectP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZNK13JSFunctionBox8joinableEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK13JSFunctionBox8functionEv($2); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=__ZNK10JSFunction13isNullClosureEv($3); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=(($2+60)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7 & 9344; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)==8192; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser5traceEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $objbox;
      var $tc;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=(($3+976)|0); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $objbox=$5; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=$objbox; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0)!=0; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=$2; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$objbox; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+8)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($10, $13, ((STRING_TABLE.__str2881)|0)); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$objbox; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+20)|0); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP8[($15)]; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16) & 1); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $19=$objbox; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+44)|0); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$2; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js8Bindings5traceEP8JSTracer($21, $22); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $24=$objbox; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $objbox=$26; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $28=(($3+980)|0); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tc=$29; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $31=$tc; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0)!=0; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $34=$tc; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$2; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext5traceEP8JSTracer($34, $35); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $37=$tc; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+72)|0); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tc=$39; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      ;
      return; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser5traceEP8JSTracer["X"]=1;

function __ZN11JSParseNode8initListEPS_($this, $pn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pn;
  var $3=$1;
  var $4=$2; //@line 700 "./jsparse.h"
  var $5=(($3+32)|0); //@line 700 "./jsparse.h"
  var $6=$5; //@line 700 "./jsparse.h"
  var $7=(($6)|0); //@line 700 "./jsparse.h"
  HEAP32[(($7)>>2)]=$4; //@line 700 "./jsparse.h"
  var $8=$2; //@line 701 "./jsparse.h"
  var $9=(($8+24)|0); //@line 701 "./jsparse.h"
  var $10=(($3+32)|0); //@line 701 "./jsparse.h"
  var $11=$10; //@line 701 "./jsparse.h"
  var $12=(($11+4)|0); //@line 701 "./jsparse.h"
  HEAP32[(($12)>>2)]=$9; //@line 701 "./jsparse.h"
  var $13=(($3+32)|0); //@line 702 "./jsparse.h"
  var $14=$13; //@line 702 "./jsparse.h"
  var $15=(($14+8)|0); //@line 702 "./jsparse.h"
  HEAP32[(($15)>>2)]=1; //@line 702 "./jsparse.h"
  var $16=(($3+32)|0); //@line 703 "./jsparse.h"
  var $17=$16; //@line 703 "./jsparse.h"
  var $18=$17; //@line 703 "./jsparse.h"
  var $19=(($18+12)|0); //@line 703 "./jsparse.h"
  var $20=$19; //@line 703 "./jsparse.h"
  var $21=HEAP32[(($20)>>2)]; //@line 703 "./jsparse.h"
  var $22=$21 & -4096; //@line 703 "./jsparse.h"
  HEAP32[(($20)>>2)]=$22; //@line 703 "./jsparse.h"
  var $23=(($3+32)|0); //@line 704 "./jsparse.h"
  var $24=$23; //@line 704 "./jsparse.h"
  var $25=$24; //@line 704 "./jsparse.h"
  var $26=(($25+12)|0); //@line 704 "./jsparse.h"
  var $27=$26; //@line 704 "./jsparse.h"
  var $28=HEAP32[(($27)>>2)]; //@line 704 "./jsparse.h"
  var $29=$28 & 4095; //@line 704 "./jsparse.h"
  HEAP32[(($27)>>2)]=$29; //@line 704 "./jsparse.h"
  ;
  return; //@line 705 "./jsparse.h"
}


function __ZN11JSParseNode6appendEPS_($this, $pn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pn;
  var $3=$1;
  var $4=$2; //@line 709 "./jsparse.h"
  var $5=(($3+32)|0); //@line 709 "./jsparse.h"
  var $6=$5; //@line 709 "./jsparse.h"
  var $7=(($6+4)|0); //@line 709 "./jsparse.h"
  var $8=HEAP32[(($7)>>2)]; //@line 709 "./jsparse.h"
  HEAP32[(($8)>>2)]=$4; //@line 709 "./jsparse.h"
  var $9=$2; //@line 710 "./jsparse.h"
  var $10=(($9+24)|0); //@line 710 "./jsparse.h"
  var $11=(($3+32)|0); //@line 710 "./jsparse.h"
  var $12=$11; //@line 710 "./jsparse.h"
  var $13=(($12+4)|0); //@line 710 "./jsparse.h"
  HEAP32[(($13)>>2)]=$10; //@line 710 "./jsparse.h"
  var $14=(($3+32)|0); //@line 711 "./jsparse.h"
  var $15=$14; //@line 711 "./jsparse.h"
  var $16=(($15+8)|0); //@line 711 "./jsparse.h"
  var $17=HEAP32[(($16)>>2)]; //@line 711 "./jsparse.h"
  var $18=(($17+1)|0); //@line 711 "./jsparse.h"
  HEAP32[(($16)>>2)]=$18; //@line 711 "./jsparse.h"
  ;
  return; //@line 712 "./jsparse.h"
}


function __ZN2js6Parser17cleanFunctionListEPP13JSFunctionBox($this, $funboxHead) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $link;
      var $box;
      var $methodLink;
      var $method;
      $1=$this;
      $2=$funboxHead;
      var $3=$1;
      var $4=$2; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $link=$4; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=$link; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $box=$7; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$box; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 16; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$box; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+24)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=0; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $16=$box; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+28)|0); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$link; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $21=$box; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+24)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+32)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25)|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0)!=0; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $31=$box; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+28)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$link; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($34)>>2)]=$33; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$box; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+24)|0); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL17AddNodeToFreeListP11JSParseNodePN2js6ParserE($37, $3); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $39=$box; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+40)|0); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $methodLink=$40; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $42=$methodLink; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $method=$43; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$method; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0)!=0; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $47=$method; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+32)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0)!=0; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $55=$method; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+28)|0); //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$methodLink; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($58)>>2)]=$57; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $60=$method; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+28)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $methodLink=$61; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 8; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $64=$box; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+32)|0); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6Parser17cleanFunctionListEPP13JSFunctionBox($3, $65); //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$box; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+28)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $link=$67; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 2; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      ;
      return; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser17cleanFunctionListEPP13JSFunctionBox["X"]=1;

function __ZL17AddNodeToFreeListP11JSParseNodePN2js6ParserE($pn, $parser) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$pn;
      $2=$parser;
      var $3=$1; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=__ZNK11JSParseNode7isArityE16JSParseNodeArity($3, 7); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=$1; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+32)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$9; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=__ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE6hasMapEv($10); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=$1; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+32)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$2; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+12)|0); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE10releaseMapEP9JSContext($17, $20); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $22=$2; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+968)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$1; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+24)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($26)>>2)]=$24; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$1; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$2; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+968)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($29)>>2)]=$27; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext($arity, $tc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $tok;
  $1=$arity;
  $2=$tc;
  var $3=$2; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=(($3+48)|0); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=(($5+40)|0); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=__ZNK2js11TokenStream12currentTokenEv($6); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  $tok=$7; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=$1; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=$tok; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=(($9)|0); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $12=$tok; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $13=(($12+4)|0); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $14=$2; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $15=__ZN11JSParseNode6createE16JSParseNodeArityN2js9TokenKindE4JSOpRKNS1_8TokenPosEP13JSTreeContext($8, $11, 0, $13, $14); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $15; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN11JSParseNode6createE16JSParseNodeArityN2js9TokenKindE4JSOpRKNS1_8TokenPosEP13JSTreeContext($arity, $type, $op, $pos, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $pn;
      $2=$arity;
      $3=$type;
      $4=$op;
      $5=$pos;
      $6=$tc;
      var $7=$6; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZL17NewOrRecycledNodeP13JSTreeContext($7); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$8; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$pn; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=$pn; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$3; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$4; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$2; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode4initEN2js9TokenKindE4JSOp16JSParseNodeArity($13, $14, $15, $16); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$pn; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+4)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$5; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$18; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$19; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)];HEAP32[(($20+8)>>2)]=HEAP32[(($21+8)>>2)];HEAP32[(($20+12)>>2)]=HEAP32[(($21+12)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$pn; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$22; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $24=$1; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $24; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17NewOrRecycledNodeP13JSTreeContext($tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      var $cx;
      var $_a;
      var $_nb;
      var $_p;
      $1=$tc;
      var $2=$1; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $3=(($2+48)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4+968)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$6; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$pn; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0)!=0; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 12; break; } else { __label__ = 2; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $10=$1; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+48)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+12)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $cx=$14; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $16=$cx; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+72)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+16)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_a=$19; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$cx; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+72)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+24)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+48)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$cx; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+72)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+24)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28 ^ -1; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$24 & $29; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_nb=$30; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$_a; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+12)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_p=$33; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$_p; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$_a; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+8)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$_nb; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($37-$38)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($34)>>>0) > (($39)>>>0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($40) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $42=$cx; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+72)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$_nb; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=_JS_ArenaAllocate($43, $44); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $_p=$46; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $48=$_p; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$_nb; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($48+$49)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$_a; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51+12)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($52)>>2)]=$50; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break;
    case 6: 
      var $54=$_p; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$54; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$55; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $59=$pn; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0)!=0; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $62=$cx; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($62); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 13; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $65=$pn; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+24)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$1; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+48)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+968)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($71)>>2)]=$67; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break;
    case 13: 
      var $73=$pn; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73)|0)!=0; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $76=$pn; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setUsedEb($76, 0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$pn; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($77, 0); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$pn; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78+32)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      for (var $$dest = $80, $$stop = $$dest + 16; $$dest < $$stop; $$dest++) {
        HEAP8[$$dest] = 0
      }; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$pn; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81+24)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($82)>>2)]=0; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $84=$pn; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $84; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17NewOrRecycledNodeP13JSTreeContext["X"]=1;

function __ZN11JSParseNode4initEN2js9TokenKindE4JSOp16JSParseNodeArity($this, $type, $op, $arity) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$type;
  $3=$op;
  $4=$arity;
  var $5=$1;
  var $6=$2; //@line 473 "./jsparse.h"
  var $7=$6 & 65535; //@line 473 "./jsparse.h"
  var $8=$5; //@line 473 "./jsparse.h"
  var $9=$7 & 65535; //@line 473 "./jsparse.h"
  var $10=HEAP32[(($8)>>2)]; //@line 473 "./jsparse.h"
  var $11=$10 & -65536; //@line 473 "./jsparse.h"
  var $12=$11 | $9; //@line 473 "./jsparse.h"
  HEAP32[(($8)>>2)]=$12; //@line 473 "./jsparse.h"
  var $13=$3; //@line 474 "./jsparse.h"
  var $14=$13 & 255; //@line 474 "./jsparse.h"
  var $15=$5; //@line 474 "./jsparse.h"
  var $16=$14 & 255; //@line 474 "./jsparse.h"
  var $17=$16 << 16; //@line 474 "./jsparse.h"
  var $18=HEAP32[(($15)>>2)]; //@line 474 "./jsparse.h"
  var $19=$18 & -16711681; //@line 474 "./jsparse.h"
  var $20=$19 | $17; //@line 474 "./jsparse.h"
  HEAP32[(($15)>>2)]=$20; //@line 474 "./jsparse.h"
  var $21=$4; //@line 475 "./jsparse.h"
  var $22=$21 & 31; //@line 475 "./jsparse.h"
  var $23=$5; //@line 475 "./jsparse.h"
  var $24=$22 & 31; //@line 475 "./jsparse.h"
  var $25=$24 << 24; //@line 475 "./jsparse.h"
  var $26=HEAP32[(($23)>>2)]; //@line 475 "./jsparse.h"
  var $27=$26 & -520093697; //@line 475 "./jsparse.h"
  var $28=$27 | $25; //@line 475 "./jsparse.h"
  HEAP32[(($23)>>2)]=$28; //@line 475 "./jsparse.h"
  var $29=$5; //@line 476 "./jsparse.h"
  var $30=HEAP32[(($29)>>2)]; //@line 476 "./jsparse.h"
  var $31=$30 & -536870913; //@line 476 "./jsparse.h"
  HEAP32[(($29)>>2)]=$31; //@line 476 "./jsparse.h"
  var $32=(($5+32)|0); //@line 479 "./jsparse.h"
  var $33=$32; //@line 479 "./jsparse.h"
  var $34=(($33)|0); //@line 479 "./jsparse.h"
  var $35=$34; //@line 479 "./jsparse.h"
  __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE4initEv($35); //@line 479 "./jsparse.h"
  var $36=(($5+28)|0); //@line 480 "./jsparse.h"
  HEAP32[(($36)>>2)]=0; //@line 480 "./jsparse.h"
  var $37=(($5+24)|0); //@line 480 "./jsparse.h"
  HEAP32[(($37)>>2)]=0; //@line 480 "./jsparse.h"
  ;
  return; //@line 481 "./jsparse.h"
}


function __ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext($tt, $op, $left, $right, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $pn;
      var $pn1;
      var $pn2;
      $2=$tt;
      $3=$op;
      $4=$left;
      $5=$right;
      $6=$tc;
      var $7=$4; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0)!=0; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $10=$5; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)!=0; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      $1=0; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $14=$4; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$2; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZNK11JSParseNode6isKindEN2js9TokenKindE($14, $15); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 29; break; } //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $18=$4; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$3; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZNK11JSParseNode4isOpE4JSOp($18, $19); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 29; break; } //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $22=$3; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=((_js_CodeSpec+($22<<3))|0); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+4)|0); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25 & 65536; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)|0)!=0; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 29; break; } //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $29=$4; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=HEAPU32[(($30)>>2)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31 >>> 24; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32 & 31; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0)!=5; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 21; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $36=$4; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+32)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$40; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$4; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+32)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$42; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+4)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$45; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$4; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($46, 5); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$4; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49 & -536870913; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$4; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$pn1; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($51, $52); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$4; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$pn2; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($53, $54); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$2; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55)|0)==15; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($56) { __label__ = 9; break; } else { __label__ = 20; break; } //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $58=$pn1; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=__ZNK11JSParseNode6isKindEN2js9TokenKindE($58, 31); //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $61=$4; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+32)|0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+12)|0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$65; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67 & 4095; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$68 | 1; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69 & 4095; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$63; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71+12)|0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$70 & 4095; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=HEAP32[(($73)>>2)]; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75 & -4096; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$76 | $74; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($73)>>2)]=$77; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $79=$pn1; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=__ZNK11JSParseNode6isKindEN2js9TokenKindE($79, 30); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($80) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $82=$4; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82+32)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$83; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$84; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+12)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$88 & 4095; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89 | 2; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90 & 4095; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$84; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92+12)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$93; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$91 & 4095; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=HEAP32[(($94)>>2)]; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96 & -4096; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97 | $95; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($94)>>2)]=$98; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $101=$pn2; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=__ZNK11JSParseNode6isKindEN2js9TokenKindE($101, 31); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($102) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $104=$4; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=(($104+32)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107+12)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$108; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110 & 4095; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$111 | 1; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112 & 4095; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$106; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114+12)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$115; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$113 & 4095; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=HEAP32[(($116)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118 & -4096; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$119 | $117; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($116)>>2)]=$120; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $122=$pn2; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=__ZNK11JSParseNode6isKindEN2js9TokenKindE($122, 30); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($123) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $125=$4; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=(($125+32)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128+12)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131 & 4095; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$132 | 2; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$133 & 4095; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$127; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135+12)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$136; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$134 & 4095; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=HEAP32[(($137)>>2)]; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$139 & -4096; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$140 | $138; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($137)>>2)]=$141; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $146=$4; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$5; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($146, $147); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$4; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($148+4)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149+8)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$5; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=(($151+4)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=(($152+8)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$150; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$153; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($154)>>2)]=HEAP32[(($155)>>2)];HEAP32[(($154+4)>>2)]=HEAP32[(($155+4)>>2)]; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$2; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=(($156)|0)==15; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($157) { __label__ = 22; break; } else { __label__ = 28; break; } //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $159=$5; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=__ZNK11JSParseNode6isKindEN2js9TokenKindE($159, 31); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($160) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $162=$4; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=(($162+32)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=$163; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$164; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=(($165+12)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$166; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$168 & 4095; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$169 | 1; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$170 & 4095; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$164; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($172+12)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=$173; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$171 & 4095; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=HEAP32[(($174)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=$176 & -4096; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=$177 | $175; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($174)>>2)]=$178; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $180=$5; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=__ZNK11JSParseNode6isKindEN2js9TokenKindE($180, 30); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($181) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $183=$4; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183+32)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$184; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=$185; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=(($186+12)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=$187; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=HEAP32[(($188)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=$189 & 4095; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=$190 | 2; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=$191 & 4095; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=$185; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=(($193+12)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=$194; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=$192 & 4095; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=HEAP32[(($195)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$197 & -4096; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=$198 | $196; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($195)>>2)]=$199; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $203=$4; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$203; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $205=$2; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=(($205)|0)==15; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($206) { __label__ = 30; break; } else { __label__ = 34; break; } //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $208=$4; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=__ZNK11JSParseNode6isKindEN2js9TokenKindE($208, 30); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($209) { __label__ = 31; break; } else { __label__ = 34; break; } //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $211=$5; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=__ZNK11JSParseNode6isKindEN2js9TokenKindE($211, 30); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($212) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $214=$6; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=(($214+48)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=HEAP32[(($215)>>2)]; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=(($216+988)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=HEAP8[($217)]; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218) & 1); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($219) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $221=$5; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=(($221+32)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=$222; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=(tempDoubleI32[0]=HEAP32[(($223)>>2)],tempDoubleI32[1]=HEAP32[(($223+4)>>2)],tempDoubleF64[0]); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=$4; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=(($225+32)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=$226; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=(tempDoubleI32[0]=HEAP32[(($227)>>2)],tempDoubleI32[1]=HEAP32[(($227+4)>>2)],tempDoubleF64[0]); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=$228+$224; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      (tempDoubleF64[0]=$229,HEAP32[(($227)>>2)]=tempDoubleI32[0],HEAP32[(($227+4)>>2)]=tempDoubleI32[1]); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=$4; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=(($230+4)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=(($231+8)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=$5; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=(($233+4)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=(($234+8)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=$232; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=$235; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($236)>>2)]=HEAP32[(($237)>>2)];HEAP32[(($236+4)>>2)]=HEAP32[(($237+4)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=$5; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=$6; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($238, $239); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=$4; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$241; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $243=$6; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=__ZL17NewOrRecycledNodeP13JSTreeContext($243); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$244; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=$pn; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=(($245)|0)!=0; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($246) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      $1=0; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $249=$pn; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=$2; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=$3; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode4initEN2js9TokenKindE4JSOp16JSParseNodeArity($249, $250, $251, 2); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=$pn; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=(($252+4)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=(($253)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=$4; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=(($255+4)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=(($256)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=$254; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=$257; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($258)>>2)]=HEAP32[(($259)>>2)];HEAP32[(($258+4)>>2)]=HEAP32[(($259+4)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=$pn; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=(($260+4)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=(($261+8)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=$5; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=(($263+4)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=(($264+8)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=$262; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=$265; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($266)>>2)]=HEAP32[(($267)>>2)];HEAP32[(($266+4)>>2)]=HEAP32[(($267+4)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=$4; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=$pn; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=(($269+32)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=$270; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=(($271)|0); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($272)>>2)]=$268; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=$5; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=$pn; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=(($274+32)|0); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=$275; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=(($276+4)|0); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($277)>>2)]=$273; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $278=$pn; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$278; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $280=$1; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $280; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext["X"]=1;

function __ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($pn, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $savedNext;
      var $stack=__stackBase__;
      $2=$pn;
      $3=$tc;
      var $4=$2; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4)|0)!=0; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=$2; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+24)|0); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $savedNext=$10; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStackC1Ev($stack); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $12=$2; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZL16PushNodeChildrenP11JSParseNodePN2js9NodeStackE($12, $stack); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $15=$2; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$3; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL17AddNodeToFreeListP11JSParseNodeP13JSTreeContext($15, $16); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $18=__ZN2js9NodeStack5emptyEv($stack); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 9; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $21=__ZN2js9NodeStack3popEv($stack); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $2=$21; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $23=$savedNext; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$23; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $25=$1; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSTreeContext13setScopeChainEP8JSObject($this, $scopeChain) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$scopeChain;
  var $3=$1;
  var $4=$2; //@line 349 "./jsemit.h"
  var $5=(($3+60)|0); //@line 349 "./jsemit.h"
  var $6=$5; //@line 349 "./jsemit.h"
  HEAP32[(($6)>>2)]=$4; //@line 349 "./jsemit.h"
  ;
  return; //@line 350 "./jsemit.h"
}


function __ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($atom, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      $1=$atom;
      $2=$tc;
      var $3=$2; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(6, $3); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$4; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$pn; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=$1; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$pn; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+32)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$12; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($13)>>2)]=$8; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$pn; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js8NameNode10initCommonEP13JSTreeContext($15, $16); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $18=$pn; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $19; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8NameNode10initCommonEP13JSTreeContext($this, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$tc;
      var $3=$1;
      var $4=$3; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4+32)|0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$5; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+4)|0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($8)>>2)]=0; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$3; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+32)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+8)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($12); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$2; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+24)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)!=0; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 2; break; } else { var $26 = 1;__label__ = 3; break; } //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $18=$2; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+24)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAPU16[(($21)>>1)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22)&65535); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)==4; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26 = $24;__label__ = 3; break; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $26;
      var $27=$26 ? 32 : 0; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$3; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+32)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$27 & 4095; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$30; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+12)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$31 & 4095; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=HEAP32[(($34)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36 & -4096; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37 | $35; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($34)>>2)]=$38; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$2; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=__ZN13JSTreeContext7blockidEv($39); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$3; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+32)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$42; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$40 & 1048575; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$43; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+12)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$46; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$44 & 1048575; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 << 12; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=HEAP32[(($47)>>2)]; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50 & 4095; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51 | $49; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($47)>>2)]=$52; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8NameNode10initCommonEP13JSTreeContext["X"]=1;

function __ZN2js6Parser5parseEP8JSObject($this, $chain) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $globaltc=__stackBase__;
      var $4;
      var $pn;
      $2=$this;
      $3=$chain;
      var $5=$2;
      __ZN13JSTreeContextC1EPN2js6ParserE($globaltc, $5); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5+12)|0); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZN13JSTreeContext4initEP9JSContextNS_12InitBehaviorE($globaltc, $7, 0); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 15; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$3; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext13setScopeChainEP8JSObject($globaltc, $11); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($globaltc+4)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZL15GenerateBlockIdP13JSTreeContextRj($globaltc, $12); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 15; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=__ZN2js6Parser10statementsEv($5); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$16; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$pn; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0)!=0; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 14; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $20=(($5+40)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($20, 0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $23=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 133, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $25=(($5+988)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=HEAP8[($25)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26) & 1); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $29=(($5+12)|0); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=_js_FoldConstants($30, $31, $globaltc, 0); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32)|0)!=0; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $pn=0; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $39=$pn; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$39; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 15; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      __ZN13JSTreeContextD1Ev($globaltc); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$1; //@line 874 "./jsparse.h"
      STACKTOP = __stackBase__;
      return $41; //@line 874 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser5parseEP8JSObject["X"]=1;

function __ZN13JSTreeContextC1EPN2js6ParserE($this, $prs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$prs;
  var $3=$1;
  var $4=$2; //@line 376 "./jsemit.h"
  __ZN13JSTreeContextC2EPN2js6ParserE($3, $4); //@line 376 "./jsemit.h"
  ;
  return; //@line 376 "./jsemit.h"
}


function __ZL15GenerateBlockIdP13JSTreeContextRj($tc, $blockid) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$tc;
      $3=$blockid;
      var $4=$2; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4+8)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0)==1048576; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $9=$2; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+48)|0); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+12)|0); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _JS_ReportErrorNumber($13, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str72888)|0),tempInt)); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $15=$2; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+8)|0); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+1)|0); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($16)>>2)]=$18; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$3; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($19)>>2)]=$17; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $21=$1; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $21; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser10statementsEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $pn2;
      var $saveBlock;
      var $tt;
      var $stackDummy_=__stackBase__;
      var $inDirectivePrologue=__stackBase__+4;
      $2=$this;
      var $3=$2;
      __label__ = 2; break; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$stackDummy_; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($3+12)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+48)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($5)>>>0) < (($9)>>>0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=(($3+12)|0); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 3397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=(($3+980)|0); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZN2js8ListNode6createEP13JSTreeContext($17); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$19; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$pn; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0)!=0; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $24=$pn; //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($24, 25); //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$pn; //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($25); //@line 3403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($3+980)|0); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZN13JSTreeContext7blockidEv($27); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$pn; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29+32)|0); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$28 & 1048575; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$31; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+12)|0); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$32 & 1048575; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36 << 12; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($35)>>2)]; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38 & 4095; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39 | $37; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($35)>>2)]=$40; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($3+980)|0); //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+36)|0); //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $saveBlock=$44; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$pn; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($3+980)|0); //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+36)|0); //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($48)>>2)]=$45; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($3+980)|0); //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZN13JSTreeContext11atBodyLevelEv($50); //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)&1); //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($inDirectivePrologue)]=$52; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($3+40)|0); //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream23setOctalCharacterEscapeEb($53, 0); //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $55=(($3+40)|0); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=__ZN2js11TokenStream9peekTokenEj($55, 8); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$56; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$tt; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57)|0) <= 0; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($58) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $60=$tt; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60)|0)==26; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $63=$tt; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63)|0)==-1; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($64) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $66=(($3+40)|0); //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=__ZNK2js11TokenStream5isEOFEv($66); //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $69=(($3+40)|0); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream16setUnexpectedEOFEb($69, 1); //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 28; break; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $73=__ZN2js6Parser9statementEv($3); //@line 3420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$73; //@line 3420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$pn2; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74)|0)!=0; //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($75) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 3421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $77=(($3+40)|0); //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=__ZNK2js11TokenStream5isEOFEv($77); //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($78) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $80=(($3+40)|0); //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream16setUnexpectedEOFEb($80, 1); //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=0; //@line 3424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 3424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $83=HEAP8[($inDirectivePrologue)]; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83) & 1); //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $86=$pn2; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=__ZN2js6Parser26recognizeDirectivePrologueEP11JSParseNodePb($3, $86, $inDirectivePrologue); //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      $1=0; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $90=$pn2; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=__ZNK11JSParseNode6isKindEN2js9TokenKindE($90, 34); //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($91) { __label__ = 23; break; } else { __label__ = 27; break; } //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $93=(($3+980)|0); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=__ZN13JSTreeContext11atBodyLevelEv($94); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($95) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $97=$pn; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97+32)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$99; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100+12)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$103 & 4095; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104 | 256; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105 & 4095; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$99; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107+12)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$108; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$106 & 4095; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=HEAP32[(($109)>>2)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$111 & -4096; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112 | $110; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($109)>>2)]=$113; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $115=(($3+980)|0); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116)|0); //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118 | 2048; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($117)>>2)]=$119; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($3+980)|0); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext22noteHasExtensibleScopeEv($121); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $124=$pn; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$pn2; //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($124, $125); //@line 3448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $127=(($3+980)|0); //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128+36)|0); //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$pn; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($130)|0)!=(($131)|0); //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($132) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $134=(($3+980)|0); //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135+36)|0); //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$137; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $139=$saveBlock; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($3+980)|0); //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($141+36)|0); //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($142)>>2)]=$139; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$pn; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+4)|0); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=(($144+8)|0); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($3+40)|0); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=__ZNK2js11TokenStream12currentTokenEv($146); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($147+4)|0); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($148+8)|0); //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$145; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$149; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($150)>>2)]=HEAP32[(($151)>>2)];HEAP32[(($150+4)>>2)]=HEAP32[(($151+4)>>2)]; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$pn; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$152; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $154=$1; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $154; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser10statementsEv["X"]=1;

function __ZN2js11TokenStream10matchTokenENS_9TokenKindE($this, $tt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$tt;
      var $4=$2;
      var $5=__ZN2js11TokenStream8getTokenEv($4); //@line 478 "./jsscan.h"
      var $6=$3; //@line 478 "./jsscan.h"
      var $7=(($5)|0)==(($6)|0); //@line 478 "./jsscan.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 478 "./jsscan.h"
    case 2: 
      $1=1; //@line 479 "./jsscan.h"
      __label__ = 4; break; //@line 479 "./jsscan.h"
    case 3: 
      __ZN2js11TokenStream10ungetTokenEv($4); //@line 480 "./jsscan.h"
      $1=0; //@line 481 "./jsscan.h"
      __label__ = 4; break; //@line 481 "./jsscan.h"
    case 4: 
      var $11=$1; //@line 482 "./jsscan.h"
      ;
      return $11; //@line 482 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($this, $pn, $flags, $errorNumber) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $args=__stackBase__;
  var $result;
  $1=$this;
  $2=$pn;
  $3=$flags;
  $4=$errorNumber;
  var $5=$1;
  var $6=$args; //@line 1293 "./jsparse.h"
  HEAP32[(($6)>>2)]=arguments[__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz.length]; //@line 1293 "./jsparse.h"
  var $7=(($5+40)|0); //@line 1294 "./jsparse.h"
  var $8=$2; //@line 1294 "./jsparse.h"
  var $9=$3; //@line 1294 "./jsparse.h"
  var $10=$4; //@line 1294 "./jsparse.h"
  var $11=HEAP32[(($args)>>2)]; //@line 1294 "./jsparse.h"
  var $12=__ZN2js11TokenStream26reportCompileErrorNumberVAEP11JSParseNodejjPc($7, $8, $9, $10, $11); //@line 1294 "./jsparse.h"
  var $13=(($12)&1); //@line 1294 "./jsparse.h"
  $result=$13; //@line 1294 "./jsparse.h"
  var $14=$args; //@line 1295 "./jsparse.h"
  ; //@line 1295 "./jsparse.h"
  var $15=$result; //@line 1296 "./jsparse.h"
  var $16=(($15) & 1); //@line 1296 "./jsparse.h"
  STACKTOP = __stackBase__;
  return $16; //@line 1296 "./jsparse.h"
}


function _js_FoldConstants($cx, $pn, $tc, $inCond) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pn1;
      var $pn2;
      var $pn3;
      var $stackDummy_=__stackBase__;
      var $oldflags;
      var $oldlist;
      var $cond;
      var $pnp;
      var $cond1;
      var $cond2;
      var $length;
      var $chars;
      var $str;
      var $atom;
      var $length2;
      var $left;
      var $right;
      var $str3;
      var $op;
      var $d;
      var $xmlbox;
      var $v=__stackBase__+4;
      var $cond4;
      $2=$cx;
      $3=$pn;
      $4=$tc;
      var $6=(($inCond)&1);
      $5=$6;
      $pn1=0; //@line 9326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=0; //@line 9326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=0; //@line 9326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$2; //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+48)|0); //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $14=$2; //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 9328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $17=$3; //@line 9330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZNK11JSParseNode8getArityEv($17); //@line 9330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($18)|0) == 4) {
        __label__ = 6; break;
      }
      else if ((($18)|0) == 5) {
        __label__ = 9; break;
      }
      else if ((($18)|0) == 3) {
        __label__ = 24; break;
      }
      else if ((($18)|0) == 2) {
        __label__ = 38; break;
      }
      else if ((($18)|0) == 1) {
        __label__ = 51; break;
      }
      else if ((($18)|0) == 6) {
        __label__ = 58; break;
      }
      else if ((($18)|0) == 7) {
        __label__ = 70; break;
      }
      else if ((($18)|0) == 0) {
        __label__ = 73; break;
      }
      else {
      __label__ = 73; break;
      }
      
    case 6: 
      var $20=$4; //@line 9333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0); //@line 9333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 9333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldflags=$22; //@line 9333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$4; //@line 9334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+84)|0); //@line 9334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 9334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldlist=$25; //@line 9334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$3; //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+32)|0); //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0); //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+60)|0); //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$4; //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34)|0); //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($35)>>2)]=$33; //@line 9336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$3; //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+32)|0); //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0); //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39; //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+32)|0); //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$4; //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+84)|0); //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 9337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$2; //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$3; //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+32)|0); //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49+4)|0); //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50; //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$4; //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=_js_FoldConstants($46, $52, $53, 0); //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54)|0)!=0; //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($55) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 9338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 9339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $58=$4; //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+84)|0); //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$3; //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+32)|0); //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62; //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63)|0); //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$64; //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+32)|0); //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($67)>>2)]=$60; //@line 9340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$oldflags; //@line 9341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$4; //@line 9341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69)|0); //@line 9341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($70)>>2)]=$68; //@line 9341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$oldlist; //@line 9342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$4; //@line 9342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72+84)|0); //@line 9342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($73)>>2)]=$71; //@line 9342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 73; break; //@line 9343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $75=$5; //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75) & 1); //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($76) { __label__ = 10; break; } else { var $86 = 0;__label__ = 13; break; } //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $78=$3; //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=__ZNK11JSParseNode6isKindEN2js9TokenKindE($78, 7); //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($79) { var $84 = 1;__label__ = 12; break; } else { __label__ = 11; break; } //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $81=$3; //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=__ZNK11JSParseNode6isKindEN2js9TokenKindE($81, 8); //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84 = $82;__label__ = 12; break; //@line 9349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $84;
      var $86 = $84;__label__ = 13; break;
    case 13: 
      var $86;
      var $87=(($86)&1);
      $cond=$87;
      var $88=$3; //@line 9352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88+32)|0); //@line 9352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89; //@line 9352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90)|0); //@line 9352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 9352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$92; //@line 9352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$92; //@line 9352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$3; //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=__ZNK11JSParseNode6isKindEN2js9TokenKindE($93, 27); //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($94) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $96=$3; //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=__ZNK11JSParseNode6isKindEN2js9TokenKindE($96, 49); //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($97) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $99=$pn2; //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=__ZNK11JSParseNode10isInParensEv($99); //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($100) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 9353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $102=$pn2; //@line 9354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($102+24)|0); //@line 9354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 9354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$104; //@line 9354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 9354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 18; break; //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $107=$pn2; //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107)|0)!=0; //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($108) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $110=$2; //@line 9358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$pn2; //@line 9358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$4; //@line 9358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$cond; //@line 9358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113) & 1); //@line 9358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=_js_FoldConstants($110, $111, $112, $114); //@line 9358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115)|0)!=0; //@line 9358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($116) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 9358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      $1=0; //@line 9359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      __label__ = 22; break; //@line 9360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $120=$pn2; //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120+24)|0); //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$122; //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 9357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      __label__ = 73; break; //@line 9361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $125=$3; //@line 9366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=(($125+32)|0); //@line 9366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126; //@line 9366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=(($127)|0); //@line 9366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 9366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$129; //@line 9366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$3; //@line 9367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130+32)|0); //@line 9367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131; //@line 9367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=(($132+4)|0); //@line 9367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 9367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$134; //@line 9367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$3; //@line 9368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135+32)|0); //@line 9368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$136; //@line 9368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=(($137+8)|0); //@line 9368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 9368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$139; //@line 9368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$pn1; //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($140)|0)!=0; //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($141) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $143=$2; //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$pn1; //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$4; //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$3; //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=__ZNK11JSParseNode6isKindEN2js9TokenKindE($146, 35); //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=_js_FoldConstants($143, $144, $145, $147); //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($148)|0)!=0; //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($149) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 9369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      $1=0; //@line 9370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $152=$pn2; //@line 9371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=(($152)|0)!=0; //@line 9371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($153) { __label__ = 28; break; } else { __label__ = 34; break; } //@line 9371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $155=$2; //@line 9372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$pn2; //@line 9372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=$4; //@line 9372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$3; //@line 9372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=__ZNK11JSParseNode6isKindEN2js9TokenKindE($158, 83); //@line 9372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=_js_FoldConstants($155, $156, $157, $159); //@line 9372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($160)|0)!=0; //@line 9372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($161) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 9372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $1=0; //@line 9373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $164=$3; //@line 9374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=__ZNK11JSParseNode6isKindEN2js9TokenKindE($164, 83); //@line 9374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($165) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 9374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $167=$pn2; //@line 9374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=__ZNK11JSParseNode4isOpE4JSOp($167, 67); //@line 9374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($168) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 9374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $170=$pn2; //@line 9375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$4; //@line 9375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($170, $171); //@line 9375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=$3; //@line 9376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173+32)|0); //@line 9376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$174; //@line 9376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($175+4)|0); //@line 9376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($176)>>2)]=0; //@line 9376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 33; break; //@line 9377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 34; break; //@line 9378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $179=$pn3; //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($179)|0)!=0; //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($180) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $182=$2; //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=$pn3; //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=$4; //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=_js_FoldConstants($182, $183, $184, 0); //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185)|0)!=0; //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($186) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 9379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      $1=0; //@line 9380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      __label__ = 73; break; //@line 9381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $190=$3; //@line 9384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=(($190+32)|0); //@line 9384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=$191; //@line 9384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=(($192)|0); //@line 9384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 9384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$194; //@line 9384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=$3; //@line 9385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=(($195+32)|0); //@line 9385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$196; //@line 9385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=(($197+4)|0); //@line 9385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=HEAP32[(($198)>>2)]; //@line 9385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$199; //@line 9385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$3; //@line 9388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=__ZNK11JSParseNode6isKindEN2js9TokenKindE($200, 7); //@line 9388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($201) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 9388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $203=$3; //@line 9388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=__ZNK11JSParseNode6isKindEN2js9TokenKindE($203, 8); //@line 9388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($204) { __label__ = 40; break; } else { __label__ = 45; break; } //@line 9388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $206=$2; //@line 9389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=$pn1; //@line 9389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=$4; //@line 9389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=$5; //@line 9389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=(($209) & 1); //@line 9389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=_js_FoldConstants($206, $207, $208, $210); //@line 9389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=(($211)|0)!=0; //@line 9389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($212) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 9389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      $1=0; //@line 9390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $215=$2; //@line 9391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=$pn2; //@line 9391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=$4; //@line 9391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=$5; //@line 9391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218) & 1); //@line 9391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=_js_FoldConstants($215, $216, $217, $219); //@line 9391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=(($220)|0)!=0; //@line 9391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($221) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 9391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      $1=0; //@line 9392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      __label__ = 73; break; //@line 9393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $225=$pn1; //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=(($225)|0)!=0; //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($226) { __label__ = 46; break; } else { __label__ = 48; break; } //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $228=$2; //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=$pn1; //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=$4; //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=$3; //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=__ZNK11JSParseNode6isKindEN2js9TokenKindE($231, 40); //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=_js_FoldConstants($228, $229, $230, $232); //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=(($233)|0)!=0; //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($234) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 9397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      $1=0; //@line 9398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $237=$2; //@line 9399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=$pn2; //@line 9399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=$4; //@line 9399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=$3; //@line 9399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=__ZNK11JSParseNode6isKindEN2js9TokenKindE($240, 41); //@line 9399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=_js_FoldConstants($237, $238, $239, $241); //@line 9399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=(($242)|0)!=0; //@line 9399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($243) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 9399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      $1=0; //@line 9400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      __label__ = 73; break; //@line 9401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $247=$3; //@line 9404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=(($247+32)|0); //@line 9404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=$248; //@line 9404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=(($249)|0); //@line 9404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=HEAP32[(($250)>>2)]; //@line 9404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$251; //@line 9404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=$3; //@line 9415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=__ZNK11JSParseNode4isOpE4JSOp($252, 39); //@line 9415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($253) { __label__ = 52; break; } else { __label__ = 54; break; } //@line 9415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $255=$pn1; //@line 9415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=__ZNK11JSParseNode6isKindEN2js9TokenKindE($255, 29); //@line 9415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($256) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 9415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $258=$3; //@line 9416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($258, 200); //@line 9416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 54; break; //@line 9416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $260=$pn1; //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=(($260)|0)!=0; //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($261) { __label__ = 55; break; } else { __label__ = 57; break; } //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $263=$2; //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=$pn1; //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=$4; //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=$3; //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=__ZNK11JSParseNode4isOpE4JSOp($266, 32); //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=_js_FoldConstants($263, $264, $265, $267); //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=(($268)|0)!=0; //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($269) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 9418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      $1=0; //@line 9419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      __label__ = 73; break; //@line 9420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $273=$3; //@line 9429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=__ZNK11JSParseNode6isUsedEv($273); //@line 9429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($274) { __label__ = 69; break; } else { __label__ = 59; break; } //@line 9429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $276=$3; //@line 9430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=(($276+32)|0); //@line 9430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $278=$277; //@line 9430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=(($278+4)|0); //@line 9430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=$279; //@line 9430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=HEAP32[(($280)>>2)]; //@line 9430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$281; //@line 9430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $283=$pn1; //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=(($283)|0)!=0; //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($284) { __label__ = 61; break; } else { var $293 = 0;__label__ = 63; break; } //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      var $286=$pn1; //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=__ZNK11JSParseNode7isArityE16JSParseNodeArity($286, 6); //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($287) { __label__ = 62; break; } else { var $293 = 0;__label__ = 63; break; } //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $289=$pn1; //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=__ZNK11JSParseNode6isUsedEv($289); //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=$290 ^ 1; //@line 9431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293 = $291;__label__ = 63; break;
    case 63: 
      var $293;
      if ($293) { __label__ = 64; break; } else { __label__ = 65; break; }
    case 64: 
      var $295=$pn1; //@line 9432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=(($295+32)|0); //@line 9432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=$296; //@line 9432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=(($297+4)|0); //@line 9432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=$298; //@line 9432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=HEAP32[(($299)>>2)]; //@line 9432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$300; //@line 9432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 9432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $302=$pn1; //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=(($302)|0)!=0; //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($303) { __label__ = 66; break; } else { __label__ = 68; break; } //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $305=$2; //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=$pn1; //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=$4; //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=_js_FoldConstants($305, $306, $307, 0); //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=(($308)|0)!=0; //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($309) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 9433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      $1=0; //@line 9434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      __label__ = 69; break; //@line 9435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      __label__ = 73; break; //@line 9436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      var $314=$3; //@line 9439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=(($314+32)|0); //@line 9439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=$315; //@line 9439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=(($316+4)|0); //@line 9439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=HEAP32[(($317)>>2)]; //@line 9439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$318; //@line 9439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=$2; //@line 9440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=$pn1; //@line 9440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=$4; //@line 9440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $322=_js_FoldConstants($319, $320, $321, 0); //@line 9440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=(($322)|0)!=0; //@line 9440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($323) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 9440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      $1=0; //@line 9441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      __label__ = 73; break; //@line 9442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $327=$3; //@line 9448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=__ZNK11JSParseNode7getKindEv($327); //@line 9448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($328)|0) == 35) {
        __label__ = 74; break;
      }
      else if ((($328)|0) == 5) {
        __label__ = 78; break;
      }
      else if ((($328)|0) == 7 || (($328)|0) == 8) {
        __label__ = 107; break;
      }
      else if ((($328)|0) == 4) {
        __label__ = 137; break;
      }
      else if ((($328)|0) == 15) {
        __label__ = 142; break;
      }
      else if ((($328)|0) == 17 || (($328)|0) == 14 || (($328)|0) == 16 || (($328)|0) == 18) {
        __label__ = 179; break;
      }
      else if ((($328)|0) == 19) {
        __label__ = 213; break;
      }
      else if ((($328)|0) == 75 || (($328)|0) == 76 || (($328)|0) == 61 || (($328)|0) == 59 || (($328)|0) == 60 || (($328)|0) == 63) {
        __label__ = 230; break;
      }
      else if ((($328)|0) == 70) {
        __label__ = 235; break;
      }
      else {
      __label__ = 242; break;
      }
      
    case 74: 
      var $330=$pn2; //@line 9450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $331=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($330, 46); //@line 9450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=(($331)|0)!=0; //@line 9450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($332) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 9450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $334=$pn3; //@line 9450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($334, 46); //@line 9450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=(($335)|0)!=0; //@line 9450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($336) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 9450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      __label__ = 243; break; //@line 9451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      __label__ = 78; break; //@line 9451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      var $340=$pn1; //@line 9456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=__ZNK11JSParseNode7getKindEv($340); //@line 9456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($341)|0) == 30) {
        __label__ = 79; break;
      }
      else if ((($341)|0) == 31) {
        __label__ = 83; break;
      }
      else if ((($341)|0) == 33) {
        __label__ = 86; break;
      }
      else {
      __label__ = 92; break;
      }
      
    case 79: 
      var $343=$pn1; //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=(($343+32)|0); //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=$344; //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=(tempDoubleI32[0]=HEAP32[(($345)>>2)],tempDoubleI32[1]=HEAP32[(($345+4)>>2)],tempDoubleF64[0]); //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$346 == 0; //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($347) { __label__ = 81; break; } else { __label__ = 80; break; } //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      var $349=$pn1; //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $350=(($349+32)|0); //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $351=$350; //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $352=(tempDoubleI32[0]=HEAP32[(($351)>>2)],tempDoubleI32[1]=HEAP32[(($351+4)>>2)],tempDoubleF64[0]); //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=__ZL15JSDOUBLE_IS_NaNd2908($352); //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=(($353)|0)!=0; //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($354) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 9458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 81: 
      var $356=$pn3; //@line 9459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$356; //@line 9459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 82; break; //@line 9459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 82: 
      __label__ = 93; break; //@line 9460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 83: 
      var $359=$pn1; //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=(($359+32)|0); //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=$360; //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=(($361)|0); //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $363=$362; //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $364=HEAP32[(($363)>>2)]; //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=$364; //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=__ZNK8JSString6lengthEv($365); //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=(($366)|0)==0; //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($367) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 9462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 84: 
      var $369=$pn3; //@line 9463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$369; //@line 9463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 85; break; //@line 9463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 85: 
      __label__ = 93; break; //@line 9464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 86: 
      var $372=$pn1; //@line 9466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=__ZNK11JSParseNode4isOpE4JSOp($372, 67); //@line 9466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($373) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 9466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 87: 
      __label__ = 93; break; //@line 9467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 88: 
      var $376=$pn1; //@line 9468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $377=__ZNK11JSParseNode4isOpE4JSOp($376, 66); //@line 9468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($377) { __label__ = 90; break; } else { __label__ = 89; break; } //@line 9468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 89: 
      var $379=$pn1; //@line 9468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=__ZNK11JSParseNode4isOpE4JSOp($379, 64); //@line 9468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($380) { __label__ = 90; break; } else { __label__ = 91; break; } //@line 9468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 90: 
      var $382=$pn3; //@line 9469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$382; //@line 9469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 93; break; //@line 9470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 91: 
      __label__ = 92; break; //@line 9471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 92: 
      $1=1; //@line 9475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 93: 
      var $386=$pn2; //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=(($386)|0)!=0; //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($387) { __label__ = 96; break; } else { __label__ = 94; break; } //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 94: 
      var $389=$4; //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $390=(($389)|0); //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=HEAP32[(($390)>>2)]; //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=$391 & 4096; //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $393=(($392)|0)!=0; //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($393) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 9480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 95: 
      __label__ = 243; break; //@line 9481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 96: 
      var $396=$pn2; //@line 9484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=(($396)|0)!=0; //@line 9484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($397) { __label__ = 97; break; } else { __label__ = 99; break; } //@line 9484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 97: 
      var $399=$pn2; //@line 9484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=__ZNK11JSParseNode6isDefnEv($399); //@line 9484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($400) { __label__ = 99; break; } else { __label__ = 98; break; } //@line 9484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 98: 
      var $402=$3; //@line 9485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $403=$pn2; //@line 9485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6becomeEPS_($402, $403); //@line 9485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 99; break; //@line 9485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 99: 
      var $405=$pn2; //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $406=(($405)|0)!=0; //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($406) { __label__ = 100; break; } else { __label__ = 102; break; } //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 100: 
      var $408=$3; //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $409=__ZNK11JSParseNode6isKindEN2js9TokenKindE($408, 2); //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($409) { __label__ = 101; break; } else { __label__ = 103; break; } //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 101: 
      var $411=$3; //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $412=(($411+32)|0); //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $413=$412; //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $414=(($413)|0); //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $415=HEAP32[(($414)>>2)]; //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $416=(($415)|0)!=0; //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($416) { __label__ = 103; break; } else { __label__ = 102; break; } //@line 9486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 102: 
      var $418=$3; //@line 9494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($418, 25); //@line 9494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=$3; //@line 9495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($419, 5); //@line 9495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $420=$3; //@line 9496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($420); //@line 9496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 103; break; //@line 9497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 103: 
      var $422=$pn2; //@line 9498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $423=$4; //@line 9498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($422, $423); //@line 9498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=$pn3; //@line 9499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $426=(($425)|0)!=0; //@line 9499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($426) { __label__ = 104; break; } else { __label__ = 106; break; } //@line 9499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 104: 
      var $428=$pn3; //@line 9499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $429=$pn2; //@line 9499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $430=(($428)|0)!=(($429)|0); //@line 9499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($430) { __label__ = 105; break; } else { __label__ = 106; break; } //@line 9499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 105: 
      var $432=$pn3; //@line 9500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $433=$4; //@line 9500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $434=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($432, $433); //@line 9500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 9500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 106: 
      __label__ = 243; break; //@line 9501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 107: 
      var $437=$5; //@line 9505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $438=(($437) & 1); //@line 9505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($438) { __label__ = 108; break; } else { __label__ = 136; break; } //@line 9505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 108: 
      var $440=$3; //@line 9506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $441=__ZNK11JSParseNode7isArityE16JSParseNodeArity($440, 5); //@line 9506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($441) { __label__ = 109; break; } else { __label__ = 129; break; } //@line 9506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 109: 
      var $443=$3; //@line 9507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $444=(($443+32)|0); //@line 9507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $445=$444; //@line 9507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $446=(($445)|0); //@line 9507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnp=$446; //@line 9507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 110; break; //@line 9509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 110: 
      var $448=$pn1; //@line 9510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $449=__ZL7BoolishP11JSParseNode($448); //@line 9510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $cond1=$449; //@line 9510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $450=$cond1; //@line 9511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $451=$3; //@line 9511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $452=__ZNK11JSParseNode6isKindEN2js9TokenKindE($451, 7); //@line 9511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $453=(($452)&1); //@line 9511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $454=(($450)|0)==(($453)|0); //@line 9511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($454) { __label__ = 111; break; } else { __label__ = 116; break; } //@line 9511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 111: 
      var $456=$pn1; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $457=(($456+24)|0); //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $458=HEAP32[(($457)>>2)]; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$458; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 112; break; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 112: 
      var $460=$pn2; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $461=(($460)|0)!=0; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($461) { __label__ = 113; break; } else { __label__ = 115; break; } //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 113: 
      var $463=$pn2; //@line 9513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $464=(($463+24)|0); //@line 9513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $465=HEAP32[(($464)>>2)]; //@line 9513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$465; //@line 9513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $466=$pn2; //@line 9514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $467=$4; //@line 9514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $468=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($466, $467); //@line 9514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $469=$3; //@line 9515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $470=(($469+32)|0); //@line 9515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $471=$470; //@line 9515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $472=(($471+8)|0); //@line 9515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $473=HEAP32[(($472)>>2)]; //@line 9515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $474=(($473-1)|0); //@line 9515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($472)>>2)]=$474; //@line 9515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 114; break; //@line 9516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 114: 
      var $476=$pn3; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$476; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 112; break; //@line 9512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 115: 
      var $478=$pn1; //@line 9517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $479=(($478+24)|0); //@line 9517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($479)>>2)]=0; //@line 9517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 123; break; //@line 9518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 116: 
      var $481=$cond1; //@line 9520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $482=(($481)|0)!=-1; //@line 9520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($482) { __label__ = 117; break; } else { __label__ = 120; break; } //@line 9520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 117: 
      var $484=$3; //@line 9522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $485=(($484+32)|0); //@line 9522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $486=$485; //@line 9522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $487=(($486+8)|0); //@line 9522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $488=HEAP32[(($487)>>2)]; //@line 9522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $489=(($488)|0)==1; //@line 9522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($489) { __label__ = 118; break; } else { __label__ = 119; break; } //@line 9522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 118: 
      __label__ = 123; break; //@line 9523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 119: 
      var $492=$pn1; //@line 9524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $493=(($492+24)|0); //@line 9524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $494=HEAP32[(($493)>>2)]; //@line 9524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $495=$pnp; //@line 9524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($495)>>2)]=$494; //@line 9524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $496=$pn1; //@line 9525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $497=$4; //@line 9525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $498=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($496, $497); //@line 9525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $499=$3; //@line 9526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $500=(($499+32)|0); //@line 9526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $501=$500; //@line 9526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $502=(($501+8)|0); //@line 9526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $503=HEAP32[(($502)>>2)]; //@line 9526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $504=(($503-1)|0); //@line 9526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($502)>>2)]=$504; //@line 9526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 121; break; //@line 9527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 120: 
      var $506=$pn1; //@line 9528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $507=(($506+24)|0); //@line 9528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnp=$507; //@line 9528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 121; break;
    case 121: 
      __label__ = 122; break; //@line 9530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 122: 
      var $510=$pnp; //@line 9530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $511=HEAP32[(($510)>>2)]; //@line 9530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$511; //@line 9530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $512=(($511)|0)!=0; //@line 9530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($512) { __label__ = 110; break; } else { __label__ = 123; break; } //@line 9530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 123: 
      var $514=$3; //@line 9533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $515=(($514+32)|0); //@line 9533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $516=$515; //@line 9533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $517=(($516)|0); //@line 9533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $518=HEAP32[(($517)>>2)]; //@line 9533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$518; //@line 9533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $519=$3; //@line 9534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $520=(($519+32)|0); //@line 9534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $521=$520; //@line 9534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $522=(($521+8)|0); //@line 9534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $523=HEAP32[(($522)>>2)]; //@line 9534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $524=(($523)|0)==2; //@line 9534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($524) { __label__ = 124; break; } else { __label__ = 125; break; } //@line 9534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 124: 
      var $526=$pn1; //@line 9535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $527=(($526+24)|0); //@line 9535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $528=HEAP32[(($527)>>2)]; //@line 9535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$528; //@line 9535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $529=$pn1; //@line 9536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $530=(($529+24)|0); //@line 9536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($530)>>2)]=0; //@line 9536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $531=$3; //@line 9538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($531, 2); //@line 9538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $532=$pn1; //@line 9539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $533=$3; //@line 9539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $534=(($533+32)|0); //@line 9539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $535=$534; //@line 9539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $536=(($535)|0); //@line 9539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($536)>>2)]=$532; //@line 9539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $537=$pn2; //@line 9540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $538=$3; //@line 9540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $539=(($538+32)|0); //@line 9540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $540=$539; //@line 9540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $541=(($540+4)|0); //@line 9540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($541)>>2)]=$537; //@line 9540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 128; break; //@line 9541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 125: 
      var $543=$3; //@line 9541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $544=(($543+32)|0); //@line 9541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $545=$544; //@line 9541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $546=(($545+8)|0); //@line 9541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $547=HEAP32[(($546)>>2)]; //@line 9541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $548=(($547)|0)==1; //@line 9541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($548) { __label__ = 126; break; } else { __label__ = 127; break; } //@line 9541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 126: 
      var $550=$3; //@line 9542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $551=$pn1; //@line 9542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6becomeEPS_($550, $551); //@line 9542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $552=$pn1; //@line 9543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $553=$4; //@line 9543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $554=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($552, $553); //@line 9543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 127; break; //@line 9544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 127: 
      __label__ = 128; break;
    case 128: 
      __label__ = 135; break; //@line 9545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 129: 
      var $558=$pn1; //@line 9546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $559=__ZL7BoolishP11JSParseNode($558); //@line 9546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $cond2=$559; //@line 9546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $560=$cond2; //@line 9547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $561=$3; //@line 9547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $562=__ZNK11JSParseNode6isKindEN2js9TokenKindE($561, 7); //@line 9547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $563=(($562)&1); //@line 9547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $564=(($560)|0)==(($563)|0); //@line 9547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($564) { __label__ = 130; break; } else { __label__ = 131; break; } //@line 9547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 130: 
      var $566=$pn2; //@line 9548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $567=$4; //@line 9548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $568=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($566, $567); //@line 9548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $569=$3; //@line 9549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $570=$pn1; //@line 9549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6becomeEPS_($569, $570); //@line 9549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 134; break; //@line 9550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 131: 
      var $572=$cond2; //@line 9550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $573=(($572)|0)!=-1; //@line 9550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($573) { __label__ = 132; break; } else { __label__ = 133; break; } //@line 9550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 132: 
      var $575=$pn1; //@line 9552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $576=$4; //@line 9552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $577=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($575, $576); //@line 9552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $578=$3; //@line 9553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $579=$pn2; //@line 9553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6becomeEPS_($578, $579); //@line 9553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 133; break; //@line 9554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 133: 
      __label__ = 134; break;
    case 134: 
      __label__ = 135; break;
    case 135: 
      __label__ = 136; break; //@line 9556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 136: 
      __label__ = 243; break; //@line 9557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 137: 
      var $585=$3; //@line 9566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $586=__ZNK11JSParseNode4isOpE4JSOp($585, 0); //@line 9566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($586) { __label__ = 138; break; } else { __label__ = 139; break; } //@line 9566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 138: 
      __label__ = 243; break; //@line 9567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 139: 
      var $589=$3; //@line 9568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $590=__ZNK11JSParseNode4isOpE4JSOp($589, 27); //@line 9568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($590) { __label__ = 141; break; } else { __label__ = 140; break; } //@line 9568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 140: 
      __label__ = 180; break; //@line 9569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 141: 
      __label__ = 142; break; //@line 9569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 142: 
      var $594=$3; //@line 9573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $595=__ZNK11JSParseNode7isArityE16JSParseNodeArity($594, 5); //@line 9573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($595) { __label__ = 143; break; } else { __label__ = 166; break; } //@line 9573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 143: 
      var $597=$3; //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $598=(($597+32)|0); //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $599=$598; //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $600=$599; //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $601=(($600+12)|0); //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $602=$601; //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $603=HEAP32[(($602)>>2)]; //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $604=$603 & 4095; //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $605=$604 & 2; //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $606=(($605)|0)!=0; //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($606) { __label__ = 144; break; } else { __label__ = 145; break; } //@line 9580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 144: 
      $1=1; //@line 9581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 145: 
      var $609=$3; //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $610=(($609+32)|0); //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $611=$610; //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $612=$611; //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $613=(($612+12)|0); //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $614=$613; //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $615=HEAP32[(($614)>>2)]; //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $616=$615 & 4095; //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $617=(($616)|0)!=1; //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($617) { __label__ = 146; break; } else { __label__ = 147; break; } //@line 9582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 146: 
      __label__ = 180; break; //@line 9583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 147: 
      $length=0; //@line 9586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $620=$pn1; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$620; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 148; break; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 148: 
      var $622=$pn2; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $623=(($622)|0)!=0; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($623) { __label__ = 149; break; } else { __label__ = 155; break; } //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 149: 
      var $625=$2; //@line 9588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $626=$pn2; //@line 9588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $627=__ZL8FoldTypeP9JSContextP11JSParseNodeN2js9TokenKindE($625, $626, 31); //@line 9588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $628=(($627)|0)!=0; //@line 9588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($628) { __label__ = 151; break; } else { __label__ = 150; break; } //@line 9588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 150: 
      $1=0; //@line 9589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 151: 
      var $631=$pn2; //@line 9591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $632=__ZNK11JSParseNode6isKindEN2js9TokenKindE($631, 31); //@line 9591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($632) { __label__ = 153; break; } else { __label__ = 152; break; } //@line 9591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 152: 
      $1=1; //@line 9592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 153: 
      var $635=$pn2; //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $636=(($635+32)|0); //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $637=$636; //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $638=(($637)|0); //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $639=$638; //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $640=HEAP32[(($639)>>2)]; //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $641=$640; //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $642=__ZNK8JSString6lengthEv($641); //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $643=$length; //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $644=(($643+$642)|0); //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $length=$644; //@line 9593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 154; break; //@line 9594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 154: 
      var $646=$pn2; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $647=(($646+24)|0); //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $648=HEAP32[(($647)>>2)]; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$648; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 148; break; //@line 9587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 155: 
      var $650=$2; //@line 9597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $651=$length; //@line 9597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $652=(($651+1)|0); //@line 9597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $653=((($652<<1))|0); //@line 9597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $654=__ZN9JSContext7malloc_Ej($650, $653); //@line 9597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $655=$654; //@line 9597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $chars=$655; //@line 9597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $656=$chars; //@line 9598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $657=(($656)|0)!=0; //@line 9598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($657) { __label__ = 157; break; } else { __label__ = 156; break; } //@line 9598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 156: 
      $1=0; //@line 9599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 157: 
      var $660=$length; //@line 9600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $661=$chars; //@line 9600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $662=(($661+($660<<1))|0); //@line 9600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($662)>>1)]=0; //@line 9600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $663=$2; //@line 9601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $664=$chars; //@line 9601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $665=$length; //@line 9601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $666=__Z12js_NewStringP9JSContextPtj($663, $664, $665); //@line 9601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $667=$666; //@line 9601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$667; //@line 9601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $668=$str; //@line 9602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $669=(($668)|0)!=0; //@line 9602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($669) { __label__ = 159; break; } else { __label__ = 158; break; } //@line 9602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 158: 
      var $671=$2; //@line 9603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $672=$chars; //@line 9603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $673=$672; //@line 9603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN9JSContext5free_EPv($671, $673); //@line 9603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 9604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 159: 
      var $675=$pn1; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$675; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 160: 
      var $677=$pn2; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $678=(($677)|0)!=0; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($678) { __label__ = 161; break; } else { __label__ = 163; break; } //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 161: 
      var $680=$pn2; //@line 9609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $681=(($680+32)|0); //@line 9609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $682=$681; //@line 9609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $683=(($682)|0); //@line 9609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $684=$683; //@line 9609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $685=HEAP32[(($684)>>2)]; //@line 9609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=$685; //@line 9609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $686=$atom; //@line 9610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $687=$686; //@line 9610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $688=__ZNK8JSString6lengthEv($687); //@line 9610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $length2=$688; //@line 9610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $689=$chars; //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $690=$689; //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $691=$atom; //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $692=$691; //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $693=__ZNK14JSLinearString5charsEv($692); //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $694=$693; //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $695=$length2; //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $696=((($695<<1))|0); //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert($696 % 1 === 0, 'memcpy given ' + $696 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($690, $694, $696, 1); //@line 9611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $697=$length2; //@line 9612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $698=$chars; //@line 9612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $699=(($698+($697<<1))|0); //@line 9612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $chars=$699; //@line 9612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 162; break; //@line 9613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 162: 
      var $701=$pn2; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $702=$4; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $703=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($701, $702); //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$703; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 9608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 163: 
      var $705=$2; //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $706=$str; //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $707=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($705, $706, 0); //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $708=$3; //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $709=(($708+32)|0); //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $710=$709; //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $711=(($710)|0); //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $712=$711; //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($712)>>2)]=$707; //@line 9617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $713=$3; //@line 9618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $714=(($713+32)|0); //@line 9618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $715=$714; //@line 9618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $716=(($715)|0); //@line 9618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $717=$716; //@line 9618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $718=HEAP32[(($717)>>2)]; //@line 9618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $719=(($718)|0)!=0; //@line 9618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($719) { __label__ = 165; break; } else { __label__ = 164; break; } //@line 9618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 164: 
      $1=0; //@line 9619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 165: 
      var $722=$3; //@line 9620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($722, 31); //@line 9620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $723=$3; //@line 9621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($723, 61); //@line 9621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $724=$3; //@line 9622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($724, 0); //@line 9622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 243; break; //@line 9623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 166: 
      var $726=$pn1; //@line 9628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $727=__ZNK11JSParseNode6isKindEN2js9TokenKindE($726, 31); //@line 9628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($727) { __label__ = 168; break; } else { __label__ = 167; break; } //@line 9628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 167: 
      var $729=$pn2; //@line 9628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $730=__ZNK11JSParseNode6isKindEN2js9TokenKindE($729, 31); //@line 9628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($730) { __label__ = 168; break; } else { __label__ = 178; break; } //@line 9628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 168: 
      var $732=$2; //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $733=$pn1; //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $734=__ZNK11JSParseNode6isKindEN2js9TokenKindE($733, 31); //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $735=$734 ^ 1; //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $736=$pn1; //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $737=$pn2; //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $738=$735 ? $736 : $737; //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $739=__ZL8FoldTypeP9JSContextP11JSParseNodeN2js9TokenKindE($732, $738, 31); //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $740=(($739)|0)!=0; //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($740) { __label__ = 170; break; } else { __label__ = 169; break; } //@line 9631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 169: 
      $1=0; //@line 9632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 170: 
      var $743=$pn1; //@line 9633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $744=__ZNK11JSParseNode6isKindEN2js9TokenKindE($743, 31); //@line 9633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($744) { __label__ = 171; break; } else { __label__ = 172; break; } //@line 9633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 171: 
      var $746=$pn2; //@line 9633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $747=__ZNK11JSParseNode6isKindEN2js9TokenKindE($746, 31); //@line 9633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($747) { __label__ = 173; break; } else { __label__ = 172; break; } //@line 9633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 172: 
      $1=1; //@line 9634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 173: 
      var $750=$pn1; //@line 9635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $751=(($750+32)|0); //@line 9635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $752=$751; //@line 9635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $753=(($752)|0); //@line 9635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $754=$753; //@line 9635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $755=HEAP32[(($754)>>2)]; //@line 9635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $756=$755; //@line 9635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $left=$756; //@line 9635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $757=$pn2; //@line 9636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $758=(($757+32)|0); //@line 9636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $759=$758; //@line 9636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $760=(($759)|0); //@line 9636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $761=$760; //@line 9636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $762=HEAP32[(($761)>>2)]; //@line 9636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $763=$762; //@line 9636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $right=$763; //@line 9636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $764=$2; //@line 9637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $765=$left; //@line 9637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $766=$right; //@line 9637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $767=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($764, $765, $766); //@line 9637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str3=$767; //@line 9637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $768=$str3; //@line 9638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $769=(($768)|0)!=0; //@line 9638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($769) { __label__ = 175; break; } else { __label__ = 174; break; } //@line 9638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 174: 
      $1=0; //@line 9639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 175: 
      var $772=$2; //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $773=$str3; //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $774=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($772, $773, 0); //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $775=$3; //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $776=(($775+32)|0); //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $777=$776; //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $778=(($777)|0); //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $779=$778; //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($779)>>2)]=$774; //@line 9640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $780=$3; //@line 9641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $781=(($780+32)|0); //@line 9641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $782=$781; //@line 9641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $783=(($782)|0); //@line 9641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $784=$783; //@line 9641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $785=HEAP32[(($784)>>2)]; //@line 9641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $786=(($785)|0)!=0; //@line 9641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($786) { __label__ = 177; break; } else { __label__ = 176; break; } //@line 9641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 176: 
      $1=0; //@line 9642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 177: 
      var $789=$3; //@line 9643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($789, 31); //@line 9643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $790=$3; //@line 9644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($790, 61); //@line 9644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $791=$3; //@line 9645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($791, 0); //@line 9645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $792=$pn1; //@line 9646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $793=$4; //@line 9646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $794=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($792, $793); //@line 9646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $795=$pn2; //@line 9647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $796=$4; //@line 9647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $797=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($795, $796); //@line 9647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 243; break; //@line 9648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 178: 
      __label__ = 180; break; //@line 9652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 179: 
      __label__ = 180; break; //@line 9652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 180: 
      var $801=$3; //@line 9659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $802=__ZNK11JSParseNode7isArityE16JSParseNodeArity($801, 5); //@line 9659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($802) { __label__ = 181; break; } else { __label__ = 203; break; } //@line 9659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 181: 
      var $804=$pn1; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$804; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 182; break; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 182: 
      var $806=$pn2; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $807=(($806)|0)!=0; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($807) { __label__ = 183; break; } else { __label__ = 187; break; } //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 183: 
      var $809=$2; //@line 9662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $810=$pn2; //@line 9662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $811=__ZL8FoldTypeP9JSContextP11JSParseNodeN2js9TokenKindE($809, $810, 30); //@line 9662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $812=(($811)|0)!=0; //@line 9662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($812) { __label__ = 185; break; } else { __label__ = 184; break; } //@line 9662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 184: 
      $1=0; //@line 9663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 185: 
      __label__ = 186; break; //@line 9664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 186: 
      var $816=$pn2; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $817=(($816+24)|0); //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $818=HEAP32[(($817)>>2)]; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$818; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 182; break; //@line 9661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 187: 
      var $820=$pn1; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$820; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 188; break; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 188: 
      var $822=$pn2; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $823=(($822)|0)!=0; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($823) { __label__ = 189; break; } else { __label__ = 193; break; } //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 189: 
      var $825=$pn2; //@line 9667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $826=__ZNK11JSParseNode6isKindEN2js9TokenKindE($825, 30); //@line 9667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($826) { __label__ = 191; break; } else { __label__ = 190; break; } //@line 9667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 190: 
      __label__ = 193; break; //@line 9668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 191: 
      __label__ = 192; break; //@line 9669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 192: 
      var $830=$pn2; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $831=(($830+24)|0); //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $832=HEAP32[(($831)>>2)]; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$832; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 188; break; //@line 9665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 193: 
      var $834=$pn2; //@line 9670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $835=(($834)|0)!=0; //@line 9670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($835) { __label__ = 202; break; } else { __label__ = 194; break; } //@line 9670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 194: 
      var $837=$3; //@line 9671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $838=__ZNK11JSParseNode5getOpEv($837); //@line 9671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$838; //@line 9671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $839=$pn1; //@line 9673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $840=(($839+24)|0); //@line 9673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $841=HEAP32[(($840)>>2)]; //@line 9673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$841; //@line 9673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $842=$pn2; //@line 9674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $843=(($842+24)|0); //@line 9674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $844=HEAP32[(($843)>>2)]; //@line 9674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$844; //@line 9674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $845=$2; //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $846=$op; //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $847=$pn1; //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $848=$pn2; //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $849=$3; //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $850=$4; //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $851=__ZL17FoldBinaryNumericP9JSContext4JSOpP11JSParseNodeS3_S3_P13JSTreeContext($845, $846, $847, $848, $849, $850); //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $852=(($851)|0)!=0; //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($852) { __label__ = 196; break; } else { __label__ = 195; break; } //@line 9675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 195: 
      $1=0; //@line 9676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 196: 
      __label__ = 197; break; //@line 9677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 197: 
      var $856=$pn3; //@line 9677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$856; //@line 9677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $857=(($856)|0)!=0; //@line 9677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($857) { __label__ = 198; break; } else { __label__ = 201; break; } //@line 9677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 198: 
      var $859=$pn2; //@line 9678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $860=(($859+24)|0); //@line 9678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $861=HEAP32[(($860)>>2)]; //@line 9678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$861; //@line 9678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $862=$2; //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $863=$op; //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $864=$3; //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $865=$pn2; //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $866=$3; //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $867=$4; //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $868=__ZL17FoldBinaryNumericP9JSContext4JSOpP11JSParseNodeS3_S3_P13JSTreeContext($862, $863, $864, $865, $866, $867); //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $869=(($868)|0)!=0; //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($869) { __label__ = 200; break; } else { __label__ = 199; break; } //@line 9679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 199: 
      $1=0; //@line 9680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 200: 
      __label__ = 197; break; //@line 9681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 201: 
      __label__ = 202; break; //@line 9682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 202: 
      __label__ = 212; break; //@line 9683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 203: 
      var $875=$2; //@line 9685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $876=$pn1; //@line 9685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $877=__ZL8FoldTypeP9JSContextP11JSParseNodeN2js9TokenKindE($875, $876, 30); //@line 9685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $878=(($877)|0)!=0; //@line 9685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($878) { __label__ = 204; break; } else { __label__ = 205; break; } //@line 9685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 204: 
      var $880=$2; //@line 9686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $881=$pn2; //@line 9686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $882=__ZL8FoldTypeP9JSContextP11JSParseNodeN2js9TokenKindE($880, $881, 30); //@line 9686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $883=(($882)|0)!=0; //@line 9686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($883) { __label__ = 206; break; } else { __label__ = 205; break; } //@line 9686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 205: 
      $1=0; //@line 9687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 206: 
      var $886=$pn1; //@line 9689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $887=__ZNK11JSParseNode6isKindEN2js9TokenKindE($886, 30); //@line 9689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($887) { __label__ = 207; break; } else { __label__ = 211; break; } //@line 9689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 207: 
      var $889=$pn2; //@line 9689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $890=__ZNK11JSParseNode6isKindEN2js9TokenKindE($889, 30); //@line 9689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($890) { __label__ = 208; break; } else { __label__ = 211; break; } //@line 9689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 208: 
      var $892=$2; //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $893=$3; //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $894=__ZNK11JSParseNode5getOpEv($893); //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $895=$pn1; //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $896=$pn2; //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $897=$3; //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $898=$4; //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $899=__ZL17FoldBinaryNumericP9JSContext4JSOpP11JSParseNodeS3_S3_P13JSTreeContext($892, $894, $895, $896, $897, $898); //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $900=(($899)|0)!=0; //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($900) { __label__ = 210; break; } else { __label__ = 209; break; } //@line 9690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 209: 
      $1=0; //@line 9691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 210: 
      __label__ = 211; break; //@line 9692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 211: 
      __label__ = 212; break;
    case 212: 
      __label__ = 243; break; //@line 9694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 213: 
      var $906=$pn1; //@line 9697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $907=__ZNK11JSParseNode6isKindEN2js9TokenKindE($906, 30); //@line 9697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($907) { __label__ = 214; break; } else { __label__ = 222; break; } //@line 9697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 214: 
      var $909=$pn1; //@line 9701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $910=(($909+32)|0); //@line 9701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $911=$910; //@line 9701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $912=(tempDoubleI32[0]=HEAP32[(($911)>>2)],tempDoubleI32[1]=HEAP32[(($911+4)>>2)],tempDoubleF64[0]); //@line 9701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$912; //@line 9701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $913=$3; //@line 9702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $914=__ZNK11JSParseNode5getOpEv($913); //@line 9702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($914)|0) == 33) {
        __label__ = 215; break;
      }
      else if ((($914)|0) == 34) {
        __label__ = 216; break;
      }
      else if ((($914)|0) == 32) {
        __label__ = 217; break;
      }
      else if ((($914)|0) == 35) {
        __label__ = 221; break;
      }
      else {
      __label__ = 220; break;
      }
      
    case 215: 
      var $916=$d; //@line 9704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $917=__ZL20js_DoubleToECMAInt32d2909($916); //@line 9704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $918=$917 ^ -1; //@line 9704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $919=(($918)|0); //@line 9704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$919; //@line 9704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 221; break; //@line 9705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 216: 
      var $921=$d; //@line 9708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $922=(-$921); //@line 9708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$922; //@line 9708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 221; break; //@line 9709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 217: 
      var $924=$3; //@line 9715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($924, 33); //@line 9715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $925=$3; //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $926=$d; //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $927=$926 == 0; //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($927) { var $933 = 1;__label__ = 219; break; } else { __label__ = 218; break; } //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 218: 
      var $929=$d; //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $930=__ZL15JSDOUBLE_IS_NaNd2908($929); //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $931=(($930)|0)!=0; //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $933 = $931;__label__ = 219; break; //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 219: 
      var $933;
      var $934=$933 ? 67 : 66; //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($925, $934); //@line 9716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $935=$3; //@line 9717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($935, 0); //@line 9717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 220; break; //@line 9717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 220: 
      $1=1; //@line 9722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 221: 
      var $938=$3; //@line 9724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($938, 30); //@line 9724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $939=$3; //@line 9725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($939, 60); //@line 9725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $940=$3; //@line 9726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($940, 0); //@line 9726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $941=$d; //@line 9727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $942=$3; //@line 9727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $943=(($942+32)|0); //@line 9727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $944=$943; //@line 9727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      (tempDoubleF64[0]=$941,HEAP32[(($944)>>2)]=tempDoubleI32[0],HEAP32[(($944+4)>>2)]=tempDoubleI32[1]); //@line 9727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $945=$pn1; //@line 9728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $946=$4; //@line 9728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $947=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($945, $946); //@line 9728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 229; break; //@line 9729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 222: 
      var $949=$pn1; //@line 9729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $950=__ZNK11JSParseNode6isKindEN2js9TokenKindE($949, 33); //@line 9729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($950) { __label__ = 223; break; } else { __label__ = 228; break; } //@line 9729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 223: 
      var $952=$3; //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $953=__ZNK11JSParseNode4isOpE4JSOp($952, 32); //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($953) { __label__ = 224; break; } else { __label__ = 227; break; } //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 224: 
      var $955=$pn1; //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $956=__ZNK11JSParseNode4isOpE4JSOp($955, 67); //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($956) { __label__ = 226; break; } else { __label__ = 225; break; } //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 225: 
      var $958=$pn1; //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $959=__ZNK11JSParseNode4isOpE4JSOp($958, 66); //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($959) { __label__ = 226; break; } else { __label__ = 227; break; } //@line 9730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 226: 
      var $961=$3; //@line 9731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $962=$pn1; //@line 9731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6becomeEPS_($961, $962); //@line 9731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $963=$3; //@line 9732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $964=$3; //@line 9732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $965=__ZNK11JSParseNode4isOpE4JSOp($964, 67); //@line 9732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $966=$965 ? 66 : 67; //@line 9732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($963, $966); //@line 9732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $967=$pn1; //@line 9733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $968=$4; //@line 9733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $969=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($967, $968); //@line 9733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 227; break; //@line 9734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 227: 
      __label__ = 228; break; //@line 9735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 228: 
      __label__ = 229; break;
    case 229: 
      __label__ = 243; break; //@line 9736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 230: 
      var $974=$3; //@line 9745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $975=__ZNK11JSParseNode7isArityE16JSParseNodeArity($974, 5); //@line 9745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($975) { __label__ = 231; break; } else { __label__ = 234; break; } //@line 9745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 231: 
      var $977=$2; //@line 9747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $978=$3; //@line 9747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $979=$4; //@line 9747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $980=__ZL16FoldXMLConstantsP9JSContextP11JSParseNodeP13JSTreeContext($977, $978, $979); //@line 9747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $981=(($980)|0)!=0; //@line 9747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($981) { __label__ = 233; break; } else { __label__ = 232; break; } //@line 9747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 232: 
      $1=0; //@line 9748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 233: 
      __label__ = 234; break; //@line 9749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 234: 
      __label__ = 243; break; //@line 9750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 235: 
      var $986=$pn1; //@line 9753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $987=__ZNK11JSParseNode6isKindEN2js9TokenKindE($986, 63); //@line 9753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($987) { __label__ = 236; break; } else { __label__ = 241; break; } //@line 9753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 236: 
      var $989=$pn1; //@line 9756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $990=(($989+32)|0); //@line 9756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $991=$990; //@line 9756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $992=(($991)|0); //@line 9756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $993=$992; //@line 9756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $994=HEAP32[(($993)>>2)]; //@line 9756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $995=$994; //@line 9756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2JSL11StringValueEP8JSString2910($v, $995); //@line 9756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $996=$2; //@line 9757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $997=__Z18js_ToAttributeNameP9JSContextPN2JS5ValueE($996, $v); //@line 9757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $998=(($997)|0)!=0; //@line 9757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($998) { __label__ = 238; break; } else { __label__ = 237; break; } //@line 9757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 237: 
      $1=0; //@line 9758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 238: 
      var $1001=$4; //@line 9761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1002=(($1001+48)|0); //@line 9761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1003=HEAP32[(($1002)>>2)]; //@line 9761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1004=__ZNK2JS5Value8toObjectEv($v); //@line 9761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1005=__ZN2js6Parser12newObjectBoxEP8JSObject($1003, $1004); //@line 9761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $xmlbox=$1005; //@line 9761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1006=$xmlbox; //@line 9762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1007=(($1006)|0)!=0; //@line 9762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1007) { __label__ = 240; break; } else { __label__ = 239; break; } //@line 9762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 239: 
      $1=0; //@line 9763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 240: 
      var $1010=$3; //@line 9765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($1010, 63); //@line 9765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1011=$3; //@line 9766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($1011, 80); //@line 9766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1012=$3; //@line 9767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($1012, 0); //@line 9767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1013=$xmlbox; //@line 9768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1014=$3; //@line 9768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1015=(($1014+32)|0); //@line 9768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1016=$1015; //@line 9768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1017=(($1016)|0); //@line 9768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1018=$1017; //@line 9768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($1018)>>2)]=$1013; //@line 9768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1019=$pn1; //@line 9769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1020=$4; //@line 9769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1021=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($1019, $1020); //@line 9769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 241; break; //@line 9770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 241: 
      __label__ = 243; break; //@line 9771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 242: 
      __label__ = 243; break; //@line 9775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 243: 
      var $1025=$5; //@line 9777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1026=(($1025) & 1); //@line 9777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1026) { __label__ = 244; break; } else { __label__ = 247; break; } //@line 9777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 244: 
      var $1028=$3; //@line 9778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1029=__ZL7BoolishP11JSParseNode($1028); //@line 9778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $cond4=$1029; //@line 9778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1030=$cond4; //@line 9779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1031=(($1030)|0) >= 0; //@line 9779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1031) { __label__ = 245; break; } else { __label__ = 246; break; } //@line 9779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 245: 
      var $1033=$3; //@line 9786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1034=$4; //@line 9786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL22PrepareNodeForMutationP11JSParseNodeP13JSTreeContext($1033, $1034); //@line 9786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1035=$3; //@line 9787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($1035, 33); //@line 9787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1036=$3; //@line 9788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1037=$cond4; //@line 9788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1038=(($1037)|0)!=0; //@line 9788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1039=$1038 ? 67 : 66; //@line 9788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($1036, $1039); //@line 9788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1040=$3; //@line 9789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($1040, 0); //@line 9789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 246; break; //@line 9790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 246: 
      __label__ = 247; break; //@line 9791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 247: 
      $1=1; //@line 9793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 248; break; //@line 9793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 248: 
      var $1044=$1; //@line 9794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $1044; //@line 9794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_FoldConstants["X"]=1;

function __ZN2js6Probes18compileScriptBeginEP9JSContextPKci($cx, $filename, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $ok;
  $1=$cx;
  $2=$filename;
  $3=$lineno;
  $ok=1; //@line 449 "./jsprobes.h"
  var $4=$ok; //@line 456 "./jsprobes.h"
  var $5=(($4) & 1); //@line 456 "./jsprobes.h"
  ;
  return $5; //@line 456 "./jsprobes.h"
}


function __ZNK2js11TokenStream9getLinenoEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+140)|0); //@line 345 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 345 "./jsscan.h"
  ;
  return $4; //@line 345 "./jsscan.h"
}


function __ZN13JSTreeContextD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN13JSTreeContextD2Ev($2); //@line 383 "./jsemit.h"
  ;
  return; //@line 385 "./jsemit.h"
}


function __ZN2js8CompilerC2EP9JSContextP12JSPrincipalsPNS_10StackFrameE($this, $cx, $prin, $cfp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$prin;
  $4=$cfp;
  var $5=$1;
  var $6=(($5)|0); //@line 899 "./jsparse.h"
  var $7=$2; //@line 899 "./jsparse.h"
  var $8=$3; //@line 899 "./jsparse.h"
  var $9=$4; //@line 899 "./jsparse.h"
  FUNCTION_TABLE[__ZN2js6ParserC1EP9JSContextP12JSPrincipalsPNS_10StackFrameEb]($6, $7, $8, $9, 1); //@line 899 "./jsparse.h"
  var $10=(($5+992)|0); //@line 899 "./jsparse.h"
  HEAP32[(($10)>>2)]=0; //@line 899 "./jsparse.h"
  ;
  return; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js8Compiler13compileScriptEP9JSContextP8JSObjectPNS_10StackFrameEP12JSPrincipalsjPKtjPKcj9JSVersionP8JSStringj($cx, $scopeChain, $callerFrame, $principals, $tcflags, $chars, $length, $filename, $lineno, $version, $source, $staticLevel) {
  var __stackBase__  = STACKTOP; STACKTOP += 2068; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11;
      var $12;
      var $13;
      var $tt;
      var $pn;
      var $script;
      var $inDirectivePrologue=__stackBase__;
      var $compiler=__stackBase__+4;
      var $14;
      var $parser;
      var $tokenStream;
      var $cg=__stackBase__+1000;
      var $globalObj;
      var $globalScope=__stackBase__+1616;
      var $atom;
      var $_=__stackBase__+2060;
      var $funbox;
      var $bodyid=__stackBase__+2064;
      var $onlyXML;
      var $code;
      var $end;
      var $op;
      var $cs;
      var $len;
      var $slot;
      $2=$cx;
      $3=$scopeChain;
      $4=$callerFrame;
      $5=$principals;
      $6=$tcflags;
      $7=$chars;
      $8=$length;
      $9=$filename;
      $10=$lineno;
      $11=$version;
      $12=$source;
      $13=$staticLevel;
      var $15=$2; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$5; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$4; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      FUNCTION_TABLE[__ZN2js8CompilerC1EP9JSContextP12JSPrincipalsPNS_10StackFrameE]($compiler, $15, $16, $17); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$7; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$8; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$9; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$10; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$11; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZN2js8Compiler4initEPKtjPKcj9JSVersion($compiler, $18, $19, $20, $21, $22); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $14=1;
      __label__ = 81; break; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $26=(($compiler)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $parser=$26; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$parser; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+40)|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tokenStream=$28; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$parser; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$tokenStream; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK2js11TokenStream9getLinenoEv($30); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      FUNCTION_TABLE[__ZN15JSCodeGeneratorC1EPN2js6ParserEj]($cg, $29, $31); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$2; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=__ZN15JSCodeGenerator4initEP9JSContextN13JSTreeContext12InitBehaviorE($cg, $32, 0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $14=1;
      __label__ = 80; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $36=$2; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$9; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$10; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=__ZN2js6Probes18compileScriptBeginEP9JSContextPKci($36, $37, $38); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$3; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40)|0)!=0; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($41) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $43=$3; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$3; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=__ZNK8JSObject9getGlobalEv($44); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($43)|0)==(($46)|0); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($47) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $49=$3; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=__ZNK8JSObject9getGlobalEv($49); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53 = $50;__label__ = 9; break; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $53 = 0;__label__ = 9; break; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $53; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$53; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $globalObj=$54; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $script=0; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$globalObj; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11GlobalScopeC1EP9JSContextP8JSObjectP15JSCodeGenerator($globalScope, $55, $56, $cg); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$6; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$cg; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$60 | $57; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($59)>>2)]=$61; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$cg; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$3; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext13setScopeChainEP8JSObject($62, $63); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($compiler+992)|0); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($64)>>2)]=$globalScope; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$cg; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$13; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=__ZL14SetStaticLevelP13JSTreeContextj($65, $66); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      __label__ = 78; break; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $70=$4; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70)|0)!=0; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($71) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $73=$4; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=__ZNK2js10StackFrame13isScriptFrameEv($73); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $76=$4; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZNK2js10StackFrame6scriptEv($76); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78+36)|0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=HEAPU8[($79)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=(($80)&255) >>> 3; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81 & 1; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82) & 1); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($83) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $85=$cg; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85)|0); //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$87 | 262144; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($86)>>2)]=$88; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$tokenStream; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setStrictModeEb($89, 1); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $91=$6; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$91 & 8192; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92)|0)!=0; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($93) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $95=$12; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($95)|0)!=0; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($96) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $98=$2; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$12; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($98, $99, 0); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=$100; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$atom; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101)|0)!=0; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($102) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $104=$atom; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj($cg, $104, $_); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($105) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 78; break; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $109=$4; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109)|0)!=0; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($110) { __label__ = 22; break; } else { __label__ = 26; break; } //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $112=$4; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=__ZNK2js10StackFrame15isFunctionFrameEv($112); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($113) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $115=$parser; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$4; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=__ZNK2js10StackFrame3funEv($116); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=__ZN2js6Parser12newObjectBoxEP8JSObject($115, $118); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$119; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$funbox; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120)|0)!=0; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($121) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      __label__ = 78; break; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $124=(($cg+292)|0); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124+4)|0); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$funbox; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=(($127+4)|0); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($128)>>2)]=$126; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$funbox; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=(($cg+292)|0); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130+4)|0); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($131)>>2)]=$129; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($cg+292)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=(($132)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=(($134+1)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($133)>>2)]=$135; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      __label__ = 27; break; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $138=$cg; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=__ZL15GenerateBlockIdP13JSTreeContextRj($138, $bodyid); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($139) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      __label__ = 78; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $142=HEAP32[(($bodyid)>>2)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$cg; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+4)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($144)>>2)]=$142; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=0; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $onlyXML=1; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($inDirectivePrologue)]=1; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$tokenStream; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream23setOctalCharacterEscapeEb($145, 0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $147=$tokenStream; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=__ZN2js11TokenStream9peekTokenEj($147, 8); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$148; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$tt; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149)|0) <= 0; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($150) { __label__ = 31; break; } else { __label__ = 34; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $152=$tt; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=(($152)|0)==0; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($153) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 50; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 78; break; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $157=$parser; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=__ZN2js6Parser9statementEv($157); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$158; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=$pn; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159)|0)!=0; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($160) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __label__ = 78; break; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $163=HEAP8[($inDirectivePrologue)]; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($163) & 1); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($164) { __label__ = 37; break; } else { __label__ = 39; break; } //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $166=$parser; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$pn; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=__ZN2js6Parser26recognizeDirectivePrologueEP11JSParseNodePb($166, $167, $inDirectivePrologue); //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($168) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      __label__ = 78; break; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $171=$2; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$pn; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=$cg; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=_js_FoldConstants($171, $172, $173, 0); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174)|0)!=0; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($175) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      __label__ = 78; break; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $178=$parser; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=$cg; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=__ZN2js6Parser16analyzeFunctionsEP13JSTreeContext($178, $179); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($180) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      __label__ = 78; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $183=$cg; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183+84)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($184)>>2)]=0; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=$pn; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=_js_EmitTree($185, $cg, $186); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=(($187)|0)!=0; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($188) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      __label__ = 78; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $191=$pn; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=__ZNK11JSParseNode6isKindEN2js9TokenKindE($191, 2); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($192) { __label__ = 46; break; } else { __label__ = 48; break; } //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $194=$pn; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=(($194+32)|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=$195; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=(($196)|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($198)|0)!=0; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($199) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $201=$pn; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=(($201+32)|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=$202; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=(($203)|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=HEAP32[(($204)>>2)]; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=__ZNK11JSParseNode7getKindEv($205); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=__ZN2jsL13TreeTypeIsXMLENS_9TokenKindE($206); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($207) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      $onlyXML=0; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 49; break; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $210=$pn; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=$cg; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($210, $211); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $214=$pn; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=(($214)|0)!=0; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($215) { __label__ = 51; break; } else { __label__ = 54; break; } //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $217=$onlyXML; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=(($217) & 1); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($218) { __label__ = 52; break; } else { __label__ = 54; break; } //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $220=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=(($220)|0)!=0; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($221) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $223=$parser; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($223, 0, 0, 79, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $226=__ZNK15JSCodeGenerator9hasSharpsEv($cg); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($226) { __label__ = 55; break; } else { __label__ = 71; break; } //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $228=(($cg+172)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=HEAP32[(($228)>>2)]; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=HEAP32[(($230)>>2)]; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $code=$231; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=$code; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=(($cg+172)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=HEAP32[(($233)>>2)]; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=(($234+8)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=HEAP32[(($235)>>2)]; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=(($cg+172)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=HEAP32[(($237)>>2)]; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=(($238)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=HEAP32[(($239)>>2)]; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=$236; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=$240; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=(($241-$242)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=(($232+$243)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $end=$244; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 56; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $246=$code; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $247=$end; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=(($246)|0)!=(($247)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($248) { __label__ = 57; break; } else { __label__ = 70; break; } //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $250=$code; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=HEAPU8[($250)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=(($251)&255); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$252; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=$op; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=((_js_CodeSpec+($253<<3))|0); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $cs=$254; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=$cs; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=(($255)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=HEAP8[($256)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=(($257 << 24) >> 24); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=(($258)|0) > 0; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($259) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $261=$cs; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=(($261)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=HEAP8[($262)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=(($263 << 24) >> 24); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269 = $264;__label__ = 60; break; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $266=$code; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=__Z28js_GetVariableBytecodeLengthPh($266); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269 = $267;__label__ = 60; break; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $269; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $len=$269; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=$cs; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=(($270+4)|0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=HEAP32[(($271)>>2)]; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=$272 & 16777216; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=(($273)|0)!=0; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($274) { __label__ = 63; break; } else { __label__ = 61; break; } //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      var $276=$cs; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=(($276+4)|0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $278=HEAP32[(($277)>>2)]; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=$278 & 31; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=(($279)|0)==7; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($280) { __label__ = 63; break; } else { __label__ = 62; break; } //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $282=$cs; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=(($282+4)|0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=HEAP32[(($283)>>2)]; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=$284 & 31; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=(($285)|0)==8; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($286) { __label__ = 63; break; } else { __label__ = 68; break; } //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $288=$code; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=(($288+1)|0); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=HEAPU8[($289)]; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=(($290)&255); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=$291 << 8; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=$code; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=(($293+2)|0); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=HEAPU8[($294)]; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=(($295)&255); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=$292 | $296; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $slot=$297; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=$cs; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=(($298+4)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=HEAP32[(($299)>>2)]; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=$300 & 16777216; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=(($301)|0)!=0; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($302) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      var $304=__ZNK15JSCodeGenerator10sharpSlotsEv($cg); //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=$slot; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=(($305+$304)|0); //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $slot=$306; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 65; break; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $308=$slot; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=(($308)>>>0) >= 65536; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($309) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      __label__ = 79; break; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      var $312=$slot; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313=$312 >>> 8; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=(($313) & 255); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=$code; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=(($315+1)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($316)]=$314; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=$slot; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=(($317) & 255); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=$code; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=(($319+2)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($320)]=$318; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      __label__ = 69; break; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $323=$len; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=$code; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $325=(($324+$323)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $code=$325; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 56; break; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      __label__ = 71; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      var $328=$2; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $329=_js_Emit1($328, $cg, 197); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $330=(($329)|0) < 0; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($330) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      __label__ = 78; break; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $333=$2; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=__ZN8JSScript15NewScriptFromCGEP9JSContextP15JSCodeGenerator($333, $cg); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $script=$334; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=$script; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=(($335)|0)!=0; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($336) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      __label__ = 78; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $339=$2; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$script; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=__ZN2js8Compiler13defineGlobalsEP9JSContextRNS_11GlobalScopeEP8JSScript($339, $globalScope, $340); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($341) { __label__ = 77; break; } else { __label__ = 76; break; } //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      $script=0; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 77; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      __label__ = 78; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      var $345=$2; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=$script; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$9; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=$10; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=__ZN2js6Probes16compileScriptEndEP9JSContextP8JSScriptPKci($345, $346, $347, $348); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $350=$script; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$350; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $14=1;
      __ZN2js11GlobalScopeD1Ev($globalScope); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break;
    case 79: 
      var $352=$parser; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($352, 0, 0, 199, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $script=0; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      FUNCTION_TABLE[__ZN15JSCodeGeneratorD1Ev]($cg); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break;
    case 81: 
      __ZN2js8CompilerD1Ev($compiler); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=$1; //@line 1124 "./jsparse.h"
      STACKTOP = __stackBase__;
      return $356; //@line 1124 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Compiler13compileScriptEP9JSContextP8JSObjectPNS_10StackFrameEP12JSPrincipalsjPKtjPKcj9JSVersionP8JSStringj["X"]=1;

function __ZN2js8Compiler4initEPKtjPKcj9JSVersion($this, $base, $length, $filename, $lineno, $version) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$base;
  $3=$length;
  $4=$filename;
  $5=$lineno;
  $6=$version;
  var $7=$1;
  var $8=(($7)|0); //@line 1312 "./jsparse.h"
  var $9=$2; //@line 1312 "./jsparse.h"
  var $10=$3; //@line 1312 "./jsparse.h"
  var $11=$4; //@line 1312 "./jsparse.h"
  var $12=$5; //@line 1312 "./jsparse.h"
  var $13=$6; //@line 1312 "./jsparse.h"
  var $14=__ZN2js6Parser4initEPKtjPKcj9JSVersion($8, $9, $10, $11, $12, $13); //@line 1312 "./jsparse.h"
  ;
  return $14; //@line 1312 "./jsparse.h"
}


function __ZN2js11GlobalScopeC1EP9JSContextP8JSObjectP15JSCodeGenerator($this, $cx, $globalObj, $cg) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$globalObj;
  $4=$cg;
  var $5=$1;
  var $6=$2; //@line 319 "./jsparse.h"
  var $7=$3; //@line 319 "./jsparse.h"
  var $8=$4; //@line 319 "./jsparse.h"
  __ZN2js11GlobalScopeC2EP9JSContextP8JSObjectP15JSCodeGenerator($5, $6, $7, $8); //@line 319 "./jsparse.h"
  ;
  return; //@line 319 "./jsparse.h"
}


function __ZL14SetStaticLevelP13JSTreeContextj($tc, $staticLevel) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$tc;
      $3=$staticLevel;
      var $4=$3; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4) & 65535); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js11UpvarCookie15isLevelReservedEt($5); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=$2; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+48)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+12)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 25, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_function_str)|0),tempInt)); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $14=$3; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$2; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+76)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($16)>>2)]=$14; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $18=$1; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $18; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream13setStrictModeEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 353 "./jsscan.h"
  var $6=(($5) & 1); //@line 353 "./jsscan.h"
  __ZN2js11TokenStream7setFlagEbNS_16TokenStreamFlagsE($4, $6, 64); //@line 353 "./jsscan.h"
  ;
  return; //@line 353 "./jsscan.h"
}


function __ZN2js11TokenStream23setOctalCharacterEscapeEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 357 "./jsscan.h"
  var $6=(($5) & 1); //@line 357 "./jsscan.h"
  __ZN2js11TokenStream7setFlagEbNS_16TokenStreamFlagsE($4, $6, 4096); //@line 357 "./jsscan.h"
  ;
  return; //@line 357 "./jsscan.h"
}


function __ZN2js11TokenStream9peekTokenEj($this, $withFlags) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $flagger=__stackBase__;
  var $4;
  $2=$this;
  $3=$withFlags;
  var $5=$2;
  var $6=$3; //@line 447 "./jsscan.h"
  __ZN2js11TokenStream7FlaggerC1EPS0_j($flagger, $5, $6); //@line 447 "./jsscan.h"
  var $7=__ZN2js11TokenStream9peekTokenEv($5); //@line 448 "./jsscan.h"
  $1=$7; //@line 448 "./jsscan.h"
  $4=1;
  __ZN2js11TokenStream7FlaggerD1Ev($flagger); //@line 449 "./jsscan.h"
  var $8=$1; //@line 449 "./jsscan.h"
  STACKTOP = __stackBase__;
  return $8; //@line 449 "./jsscan.h"
}


function __ZN2js6Parser9statementEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 132; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $stackDummy_=__stackBase__;
      var $tt;
      var $pn1;
      var $stmtInfo=__stackBase__+4;
      var $pn2;
      var $pn3;
      var $stmtInfo1=__stackBase__+36;
      var $pn22;
      var $pn33;
      var $stmtInfo4=__stackBase__+68;
      var $pn25;
      var $pn36;
      var $tt7;
      var $pn28;
      var $stmt;
      var $label;
      var $stmt9;
      var $label10;
      var $stmt2;
      var $oldflags;
      var $stmtInfo11=__stackBase__+100;
      var $pn212;
      $2=$this;
      var $3=$2;
      __label__ = 2; break; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$stackDummy_; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($3+12)|0); //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+48)|0); //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($5)>>>0) < (($9)>>>0); //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=(($3+12)|0); //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=(($3+40)|0); //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN2js11TokenStream8getTokenEj($16, 8); //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($17)|0) == 34) {
        __label__ = 6; break;
      }
      else if ((($17)|0) == 35) {
        __label__ = 9; break;
      }
      else if ((($17)|0) == 37) {
        __label__ = 21; break;
      }
      else if ((($17)|0) == 40) {
        __label__ = 22; break;
      }
      else if ((($17)|0) == 41) {
        __label__ = 29; break;
      }
      else if ((($17)|0) == 42) {
        __label__ = 42; break;
      }
      else if ((($17)|0) == 53) {
        __label__ = 43; break;
      }
      else if ((($17)|0) == 56) {
        __label__ = 44; break;
      }
      else if ((($17)|0) == 54) {
        __label__ = 56; break;
      }
      else if ((($17)|0) == 55) {
        __label__ = 57; break;
      }
      else if ((($17)|0) == 43) {
        __label__ = 58; break;
      }
      else if ((($17)|0) == 44) {
        __label__ = 84; break;
      }
      else if ((($17)|0) == 47) {
        __label__ = 114; break;
      }
      else if ((($17)|0) == 46) {
        __label__ = 115; break;
      }
      else if ((($17)|0) == 81) {
        __label__ = 118; break;
      }
      else if ((($17)|0) == 48) {
        __label__ = 119; break;
      }
      else if ((($17)|0) == 25) {
        __label__ = 122; break;
      }
      else if ((($17)|0) == 2) {
        __label__ = 135; break;
      }
      else if ((($17)|0) == 58) {
        __label__ = 138; break;
      }
      else if ((($17)|0) == 39) {
        __label__ = 141; break;
      }
      else if ((($17)|0) == -1) {
        __label__ = 153; break;
      }
      else {
      __label__ = 154; break;
      }
      
    case 6: 
      var $19=(($3+40)|0); //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZN2js11TokenStream9peekTokenEj($19, 32); //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$20; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$tt; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0)==71; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 155; break; //@line 5684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $25=__ZN2js6Parser12functionStmtEv($3); //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$25; //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $27=(($3+980)|0); //@line 5692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 5692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZN2js11TernaryNode6createEP13JSTreeContext($28); //@line 5692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 5692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$30; //@line 5692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn; //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0)!=0; //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $35=__ZN2js6Parser9conditionEv($3); //@line 5695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$35; //@line 5695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$pn1; //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)|0)!=0; //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $40=(($3+980)|0); //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($41, $stmtInfo, 1, -1); //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZN2js6Parser9statementEv($3); //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$42; //@line 5700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$pn2; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43)|0)!=0; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 5702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $47=(($3+40)|0); //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=__ZN2js11TokenStream10matchTokenENS_9TokenKindEj($47, 36, 8); //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $50=(($stmtInfo)|0); //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($50)>>1)]=2; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZN2js6Parser9statementEv($3); //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$51; //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$pn3; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0)!=0; //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 5707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      $1=0; //@line 5708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $56=$pn; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+4)|0); //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57+8)|0); //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pn3; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59+4)|0); //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+8)|0); //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$58; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$61; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)]; //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $pn3=0; //@line 5711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$pn; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+4)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+8)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$pn2; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+4)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+8)|0); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$67; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$70; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break;
    case 20: 
      var $74=(($3+980)|0); //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($75); //@line 5714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$pn1; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$pn; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+32)|0); //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$78; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79)|0); //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($80)>>2)]=$76; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$pn2; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$pn; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82+32)|0); //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$83; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($84+4)|0); //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($85)>>2)]=$81; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$pn3; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$pn; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87+32)|0); //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$88; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=(($89+8)|0); //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($90)>>2)]=$86; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$pn; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$91; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $93=__ZN2js6Parser15switchStatementEv($3); //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$93; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $95=(($3+980)|0); //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=__ZN2js10BinaryNode6createEP13JSTreeContext($96); //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$98; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$pn; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99)|0)!=0; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($100) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      $1=0; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $103=(($3+980)|0); //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($104, $stmtInfo1, 14, -1); //@line 5730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=__ZN2js6Parser9conditionEv($3); //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn22=$105; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$pn22; //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106)|0)!=0; //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($107) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $1=0; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $110=$pn22; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$pn; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111+32)|0); //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113)|0); //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($114)>>2)]=$110; //@line 5734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=__ZN2js6Parser9statementEv($3); //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn33=$115; //@line 5735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$pn33; //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116)|0)!=0; //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($117) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 5736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      $1=0; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $120=(($3+980)|0); //@line 5738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 5738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($121); //@line 5738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$pn; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=(($122+4)|0); //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=(($123+8)|0); //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$pn33; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=(($125+4)|0); //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($126+8)|0); //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$124; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$127; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($128)>>2)]=HEAP32[(($129)>>2)];HEAP32[(($128+4)>>2)]=HEAP32[(($129+4)>>2)]; //@line 5739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$pn33; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$pn; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131+32)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$132; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133+4)|0); //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($134)>>2)]=$130; //@line 5740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$pn; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$135; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $137=(($3+980)|0); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=__ZN2js10BinaryNode6createEP13JSTreeContext($138); //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$139; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$140; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$pn; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($141)|0)!=0; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($142) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      $1=0; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $145=(($3+980)|0); //@line 5750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 5750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($146, $stmtInfo4, 11, -1); //@line 5750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=__ZN2js6Parser9statementEv($3); //@line 5751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn25=$147; //@line 5751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$pn25; //@line 5752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($148)|0)!=0; //@line 5752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($149) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 5752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      $1=0; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $152=$pn25; //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=$pn; //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=(($153+32)|0); //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$154; //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=(($155)|0); //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($156)>>2)]=$152; //@line 5754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $158=(($3+40)|0); //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=__ZN2js11TokenStream8getTokenEj($158, 0); //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159)|0)!=40; //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($160) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $162=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 84, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      __label__ = 37; break; //@line 5755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $165=__ZN2js6Parser9conditionEv($3); //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn36=$165; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$pn36; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=(($166)|0)!=0; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($167) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      $1=0; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $170=(($3+980)|0); //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=HEAP32[(($170)>>2)]; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($171); //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$pn; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($172+4)|0); //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173+8)|0); //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$pn36; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($175+4)|0); //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=(($176+8)|0); //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=$174; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=$177; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($178)>>2)]=HEAP32[(($179)>>2)];HEAP32[(($178+4)>>2)]=HEAP32[(($179+4)>>2)]; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=$pn36; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$pn; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=(($181+32)|0); //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=$182; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183+4)|0); //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($184)>>2)]=$180; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=__ZNK2js6Parser13versionNumberEv($3); //@line 5762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185)|0)!=148; //@line 5762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($186) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 5762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $188=(($3+40)|0); //@line 5768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($188, 2); //@line 5768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=$pn; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$190; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      __label__ = 156; break; //@line 5771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $193=__ZN2js6Parser12forStatementEv($3); //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$193; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $195=__ZN2js6Parser12tryStatementEv($3); //@line 5778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$195; //@line 5778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $197=(($3+980)|0); //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=__ZN2js9UnaryNode6createEP13JSTreeContext($198); //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$199; //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$200; //@line 5782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=$pn; //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=(($201)|0)!=0; //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($202) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      $1=0; //@line 5784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $205=(($3+40)|0); //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=__ZN2js11TokenStream17peekTokenSameLineEj($205, 8); //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt7=$206; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=$tt7; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=(($207)|0)==-1; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($208) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      $1=0; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $211=$tt7; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=(($211)|0)==0; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($212) { __label__ = 52; break; } else { __label__ = 49; break; } //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $214=$tt7; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=(($214)|0)==1; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($215) { __label__ = 52; break; } else { __label__ = 50; break; } //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $217=$tt7; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=(($217)|0)==2; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($218) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $220=$tt7; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=(($220)|0)==26; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($221) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $223=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 133, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $225=__ZN2js6Parser4exprEv($3); //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn28=$225; //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=$pn28; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=(($226)|0)!=0; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($227) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      $1=0; //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $230=$pn; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=(($230+4)|0); //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=(($231+8)|0); //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=$pn28; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=(($233+4)|0); //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=(($234+8)|0); //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=$232; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=$235; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($236)>>2)]=HEAP32[(($237)>>2)];HEAP32[(($236+4)>>2)]=HEAP32[(($237+4)>>2)]; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=$pn; //@line 5799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($238, 112); //@line 5799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=$pn28; //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=$pn; //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=(($240+32)|0); //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=$241; //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=(($242)|0); //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($243)>>2)]=$239; //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 156; break; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $245=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 119, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $247=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 120, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $249=(($3+980)|0); //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=HEAP32[(($249)>>2)]; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=__ZN2js11NullaryNode6createEP13JSTreeContext($250); //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=$251; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$252; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=$pn; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=(($253)|0)!=0; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($254) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      $1=0; //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $257=(($3+12)|0); //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=(($3+40)|0); //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=$pn; //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=__ZL10MatchLabelP9JSContextPN2js11TokenStreamEP11JSParseNode($258, $259, $260); //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=(($261)|0)!=0; //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($262) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      $1=0; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $265=(($3+980)|0); //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=HEAP32[(($265)>>2)]; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=(($266+24)|0); //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=HEAP32[(($267)>>2)]; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$268; //@line 5820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=$pn; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=(($269+32)|0); //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=$270; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=(($271)|0); //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=$272; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $label=$274; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=$label; //@line 5822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=(($275)|0)!=0; //@line 5822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($276) { __label__ = 63; break; } else { __label__ = 72; break; } //@line 5822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      __label__ = 64; break; //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      var $279=$stmt; //@line 5824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=(($279)|0)!=0; //@line 5824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($280) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 5824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $282=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 121, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $284=$stmt; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=(($284)|0); //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=HEAPU16[(($285)>>1)]; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=(($286)&65535); //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $288=(($287)|0)==0; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($288) { __label__ = 67; break; } else { __label__ = 69; break; } //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      var $290=$stmt; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=(($290+20)|0); //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=$291; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=HEAP32[(($292)>>2)]; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=$label; //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=(($293)|0)==(($294)|0); //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($295) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 5828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      __label__ = 71; break; //@line 5829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      __label__ = 70; break; //@line 5830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      var $299=$stmt; //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=(($299+24)|0); //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=HEAP32[(($300)>>2)]; //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$301; //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 64; break; //@line 5823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      __label__ = 81; break; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      __label__ = 73; break; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $305=$stmt; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=(($305)|0)!=0; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($306) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $308=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 122, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $310=$stmt; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=(($310)|0); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $312=HEAPU16[(($311)>>1)]; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313=(($312)&65535); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=(($313)|0) >= 11; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($314) { __label__ = 77; break; } else { __label__ = 76; break; } //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      var $316=$stmt; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=(($316)|0); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=HEAPU16[(($317)>>1)]; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=(($318)&65535); //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=(($319)|0)==5; //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($320) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 5837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      __label__ = 80; break; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      __label__ = 79; break; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      var $324=$stmt; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $325=(($324+24)|0); //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $326=HEAP32[(($325)>>2)]; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$326; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 73; break; //@line 5832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      __label__ = 81; break;
    case 81: 
      var $329=$label; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $330=(($329)|0)!=0; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($330) { __label__ = 82; break; } else { __label__ = 83; break; } //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 82: 
      var $332=$pn; //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=(($332+4)|0); //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=(($333+8)|0); //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=(($3+40)|0); //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=__ZNK2js11TokenStream12currentTokenEv($335); //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $337=(($336+4)|0); //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=(($337+8)|0); //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=$334; //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$338; //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($339)>>2)]=HEAP32[(($340)>>2)];HEAP32[(($339+4)>>2)]=HEAP32[(($340+4)>>2)]; //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 83; break; //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 83: 
      __label__ = 156; break; //@line 5843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 84: 
      var $343=(($3+980)|0); //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=HEAP32[(($343)>>2)]; //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=__ZN2js11NullaryNode6createEP13JSTreeContext($344); //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=$345; //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$346; //@line 5848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$pn; //@line 5849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=(($347)|0)!=0; //@line 5849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($348) { __label__ = 86; break; } else { __label__ = 85; break; } //@line 5849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 85: 
      $1=0; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 86: 
      var $351=(($3+12)|0); //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $352=HEAP32[(($351)>>2)]; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=(($3+40)|0); //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=$pn; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $355=__ZL10MatchLabelP9JSContextPN2js11TokenStreamEP11JSParseNode($352, $353, $354); //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=(($355)|0)!=0; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($356) { __label__ = 88; break; } else { __label__ = 87; break; } //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 87: 
      $1=0; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 88: 
      var $359=(($3+980)|0); //@line 5853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=HEAP32[(($359)>>2)]; //@line 5853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=(($360+24)|0); //@line 5853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=HEAP32[(($361)>>2)]; //@line 5853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt9=$362; //@line 5853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $363=$pn; //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $364=(($363+32)|0); //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=$364; //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=(($365)|0); //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=$366; //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $368=HEAP32[(($367)>>2)]; //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $label10=$368; //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $369=$label10; //@line 5855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $370=(($369)|0)!=0; //@line 5855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($370) { __label__ = 89; break; } else { __label__ = 103; break; } //@line 5855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 89: 
      $stmt2=0; //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 90; break; //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 90: 
      var $373=$stmt9; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=(($373)|0)!=0; //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($374) { __label__ = 92; break; } else { __label__ = 91; break; } //@line 5857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 91: 
      var $376=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 121, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 92: 
      var $378=$stmt9; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $379=(($378)|0); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=HEAPU16[(($379)>>1)]; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=(($380)&65535); //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=(($381)|0)==0; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($382) { __label__ = 93; break; } else { __label__ = 99; break; } //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 93: 
      var $384=$stmt9; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $385=(($384+20)|0); //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $386=$385; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=HEAP32[(($386)>>2)]; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=$label10; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=(($387)|0)==(($388)|0); //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($389) { __label__ = 94; break; } else { __label__ = 98; break; } //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 94: 
      var $391=$stmt2; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=(($391)|0)!=0; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($392) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 95: 
      var $394=$stmt2; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $395=(($394)|0); //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $396=HEAPU16[(($395)>>1)]; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=(($396)&65535); //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=(($397)|0) >= 11; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($398) { __label__ = 97; break; } else { __label__ = 96; break; } //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 96: 
      var $400=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 123, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 97: 
      __label__ = 102; break; //@line 5867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 98: 
      __label__ = 100; break; //@line 5869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 99: 
      var $404=$stmt9; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt2=$404; //@line 5870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 100; break;
    case 100: 
      __label__ = 101; break; //@line 5872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 101: 
      var $407=$stmt9; //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $408=(($407+24)|0); //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $409=HEAP32[(($408)>>2)]; //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt9=$409; //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 90; break; //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 102: 
      __label__ = 111; break; //@line 5873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 103: 
      __label__ = 104; break; //@line 5874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 104: 
      var $413=$stmt9; //@line 5875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $414=(($413)|0)!=0; //@line 5875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($414) { __label__ = 106; break; } else { __label__ = 105; break; } //@line 5875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 105: 
      var $416=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 123, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 106: 
      var $418=$stmt9; //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=(($418)|0); //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $420=HEAPU16[(($419)>>1)]; //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $421=(($420)&65535); //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $422=(($421)|0) >= 11; //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($422) { __label__ = 107; break; } else { __label__ = 108; break; } //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 107: 
      __label__ = 110; break; //@line 5880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 108: 
      __label__ = 109; break; //@line 5881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 109: 
      var $426=$stmt9; //@line 5874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $427=(($426+24)|0); //@line 5874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $428=HEAP32[(($427)>>2)]; //@line 5874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt9=$428; //@line 5874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 104; break; //@line 5874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 110: 
      __label__ = 111; break;
    case 111: 
      var $431=$label10; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $432=(($431)|0)!=0; //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($432) { __label__ = 112; break; } else { __label__ = 113; break; } //@line 5883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 112: 
      var $434=$pn; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $435=(($434+4)|0); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $436=(($435+8)|0); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $437=(($3+40)|0); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $438=__ZNK2js11TokenStream12currentTokenEv($437); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $439=(($438+4)|0); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $440=(($439+8)|0); //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $441=$436; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $442=$440; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($441)>>2)]=HEAP32[(($442)>>2)];HEAP32[(($441+4)>>2)]=HEAP32[(($442+4)>>2)]; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 113; break; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 113: 
      __label__ = 156; break; //@line 5885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 114: 
      var $445=__ZN2js6Parser13withStatementEv($3); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$445; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 115: 
      var $447=__ZN2js6Parser9variablesEb($3, 0); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$447; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $448=$pn; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $449=(($448)|0)!=0; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($449) { __label__ = 117; break; } else { __label__ = 116; break; } //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 116: 
      $1=0; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 117: 
      var $452=$pn; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $453=(($452+32)|0); //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $454=$453; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $455=$454; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $456=(($455+12)|0); //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $457=$456; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $458=HEAP32[(($457)>>2)]; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $459=$458 & 4095; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $460=$459 | 4; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $461=$460 & 4095; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $462=$454; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $463=(($462+12)|0); //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $464=$463; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $465=$461 & 4095; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $466=HEAP32[(($464)>>2)]; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $467=$466 & -4096; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $468=$467 | $465; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($464)>>2)]=$468; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 156; break; //@line 5898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 118: 
      var $470=__ZN2js6Parser12letStatementEv($3); //@line 5902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$470; //@line 5902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 119: 
      var $472=__ZN2js6Parser13returnOrYieldEb($3, 0); //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$472; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $473=$pn; //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $474=(($473)|0)!=0; //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($474) { __label__ = 121; break; } else { __label__ = 120; break; } //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 120: 
      $1=0; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 121: 
      __label__ = 156; break; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 122: 
      var $478=(($3+980)|0); //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $479=HEAP32[(($478)>>2)]; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $480=(($479)|0); //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $481=HEAP32[(($480)>>2)]; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldflags=$481; //@line 5915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $482=$oldflags; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $483=$482 & -2049; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $484=(($3+980)|0); //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $485=HEAP32[(($484)>>2)]; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $486=(($485)|0); //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($486)>>2)]=$483; //@line 5916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $487=(($3+980)|0); //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $488=HEAP32[(($487)>>2)]; //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $489=__ZL22PushBlocklikeStatementP10JSStmtInfo10JSStmtTypeP13JSTreeContext($stmtInfo11, 4, $488); //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($489) { __label__ = 124; break; } else { __label__ = 123; break; } //@line 5918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 123: 
      $1=0; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 124: 
      var $492=__ZN2js6Parser10statementsEv($3); //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$492; //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $493=$pn; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $494=(($493)|0)!=0; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($494) { __label__ = 126; break; } else { __label__ = 125; break; } //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 125: 
      $1=0; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 126: 
      __label__ = 127; break; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 127: 
      var $498=(($3+40)|0); //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $499=__ZN2js11TokenStream8getTokenEj($498, 0); //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $500=(($499)|0)!=26; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($500) { __label__ = 128; break; } else { __label__ = 129; break; } //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 128: 
      var $502=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 101, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 129: 
      __label__ = 130; break; //@line 5924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 130: 
      var $505=(($3+980)|0); //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $506=HEAP32[(($505)>>2)]; //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($506); //@line 5925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $507=(($3+980)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $508=HEAP32[(($507)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $509=(($508)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $510=HEAP32[(($509)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $511=$510 & 2048; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $512=(($511)|0)!=0; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($512) { __label__ = 131; break; } else { __label__ = 134; break; } //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 131: 
      var $514=(($3+980)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $515=HEAP32[(($514)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $516=(($515+24)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $517=HEAP32[(($516)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $518=(($517)|0)!=0; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($518) { __label__ = 132; break; } else { __label__ = 133; break; } //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 132: 
      var $520=(($3+980)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $521=HEAP32[(($520)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $522=(($521+24)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $523=HEAP32[(($522)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $524=(($523)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $525=HEAPU16[(($524)>>1)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $526=(($525)&65535); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $527=(($526)|0)==4; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($527) { __label__ = 133; break; } else { __label__ = 134; break; } //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 133: 
      var $529=$pn; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $530=(($529+32)|0); //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $531=$530; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $532=$531; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $533=(($532+12)|0); //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $534=$533; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $535=HEAP32[(($534)>>2)]; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $536=$535 & 4095; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $537=$536 | 128; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $538=$537 & 4095; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $539=$531; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $540=(($539+12)|0); //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $541=$540; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $542=$538 & 4095; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $543=HEAP32[(($541)>>2)]; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $544=$543 & -4096; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $545=$544 | $542; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($541)>>2)]=$545; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 134; break; //@line 5934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 134: 
      var $547=$oldflags; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $548=(($3+980)|0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $549=HEAP32[(($548)>>2)]; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $550=(($549)|0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $551=HEAP32[(($550)>>2)]; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $552=$551 & 629442540; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $553=$547 | $552; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $554=(($3+980)|0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $555=HEAP32[(($554)>>2)]; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $556=(($555)|0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($556)>>2)]=$553; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $557=$pn; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$557; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 135: 
      var $559=(($3+980)|0); //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $560=HEAP32[(($559)>>2)]; //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $561=__ZN2js9UnaryNode6createEP13JSTreeContext($560); //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $562=$561; //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$562; //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $563=$pn; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $564=(($563)|0)!=0; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($564) { __label__ = 137; break; } else { __label__ = 136; break; } //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 136: 
      $1=0; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 137: 
      var $567=$pn; //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($567, 2); //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $568=$pn; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$568; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 138: 
      var $570=(($3+980)|0); //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $571=HEAP32[(($570)>>2)]; //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $572=__ZN2js11NullaryNode6createEP13JSTreeContext($571); //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $573=$572; //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$573; //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $574=$pn; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $575=(($574)|0)!=0; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($575) { __label__ = 140; break; } else { __label__ = 139; break; } //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 139: 
      $1=0; //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 140: 
      var $578=$pn; //@line 5950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($578, 58); //@line 5950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $579=(($3+980)|0); //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $580=HEAP32[(($579)>>2)]; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $581=(($580)|0); //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $582=HEAP32[(($581)>>2)]; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $583=$582 | 256; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($581)>>2)]=$583; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 156; break; //@line 5952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 141: 
      var $585=(($3+980)|0); //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $586=HEAP32[(($585)>>2)]; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $587=__ZN2js9UnaryNode6createEP13JSTreeContext($586); //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $588=$587; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$588; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $589=$pn; //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $590=(($589)|0)!=0; //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($590) { __label__ = 143; break; } else { __label__ = 142; break; } //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 142: 
      $1=0; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 143: 
      var $593=(($3+40)|0); //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $594=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($593, 29); //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($594) { __label__ = 144; break; } else { __label__ = 149; break; } //@line 5960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 144: 
      var $596=(($3+40)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $597=__ZNK2js11TokenStream12currentTokenEv($596); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $598=(($597+24)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $599=$598; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $600=(($599+4)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $601=HEAP32[(($600)>>2)]; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $602=(($3+12)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $603=HEAP32[(($602)>>2)]; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $604=(($603+52)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $605=HEAP32[(($604)>>2)]; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $606=(($605+209948)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $607=(($606+476)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $608=HEAP32[(($607)>>2)]; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $609=$608; //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $610=(($601)|0)!=(($609)|0); //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($610) { __label__ = 149; break; } else { __label__ = 145; break; } //@line 5961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 145: 
      var $612=(($3+40)|0); //@line 5962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $613=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($612, 29); //@line 5962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($613) { __label__ = 146; break; } else { __label__ = 149; break; } //@line 5962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 146: 
      var $615=(($3+40)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $616=__ZNK2js11TokenStream12currentTokenEv($615); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $617=(($616+24)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $618=$617; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $619=(($618+4)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $620=HEAP32[(($619)>>2)]; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $621=(($3+12)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $622=HEAP32[(($621)>>2)]; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $623=(($622+52)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $624=HEAP32[(($623)>>2)]; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $625=(($624+209948)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $626=(($625+444)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $627=HEAP32[(($626)>>2)]; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $628=$627; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $629=(($620)|0)!=(($628)|0); //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($629) { __label__ = 149; break; } else { __label__ = 147; break; } //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 147: 
      var $631=(($3+40)|0); //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $632=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($631, 4); //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($632) { __label__ = 148; break; } else { __label__ = 149; break; } //@line 5964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 148: 
      var $634=(($3+40)|0); //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $635=__ZNK2js11TokenStream12currentTokenEv($634); //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $636=(($635+24)|0); //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $637=$636; //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $638=(($637)|0); //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $639=HEAP32[(($638)>>2)]; //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $640=(($639)|0)!=0; //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($640) { __label__ = 149; break; } else { __label__ = 150; break; } //@line 5965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 149: 
      var $642=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 172, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 150: 
      var $644=(($3+980)|0); //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $645=HEAP32[(($644)>>2)]; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $646=(($645)|0); //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $647=HEAP32[(($646)>>2)]; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $648=$647 | 256; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($646)>>2)]=$648; //@line 5971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $649=__ZN2js6Parser4exprEv($3); //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn212=$649; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $650=$pn212; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $651=(($650)|0)!=0; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($651) { __label__ = 152; break; } else { __label__ = 151; break; } //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 151: 
      $1=0; //@line 5974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 152: 
      var $654=$pn; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($654, 163); //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $655=$pn; //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $656=(($655+4)|0); //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $657=(($656+8)|0); //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $658=$pn212; //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $659=(($658+4)|0); //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $660=(($659+8)|0); //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $661=$657; //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $662=$660; //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($661)>>2)]=HEAP32[(($662)>>2)];HEAP32[(($661+4)>>2)]=HEAP32[(($662+4)>>2)]; //@line 5976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $663=$pn212; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $664=$pn; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $665=(($664+32)|0); //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $666=$665; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $667=(($666)|0); //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($667)>>2)]=$663; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 156; break; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 153: 
      $1=0; //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 154: 
      __label__ = 155; break; //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 155: 
      var $671=__ZN2js6Parser19expressionStatementEv($3); //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$671; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 156: 
      var $673=(($3+12)|0); //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $674=HEAP32[(($673)>>2)]; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $675=(($3+40)|0); //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $676=__ZL22MatchOrInsertSemicolonP9JSContextPN2js11TokenStreamE($674, $675); //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $677=(($676)|0)!=0; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($677) { __label__ = 157; break; } else { __label__ = 158; break; } //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 157: 
      var $679=$pn; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $682 = $679;__label__ = 159; break; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 158: 
      var $682 = 0;__label__ = 159; break; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 159: 
      var $682; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$682; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 160; break; //@line 5993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 160: 
      var $684=$1; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $684; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser9statementEv["X"]=1;

function __ZN2jsL13TreeTypeIsXMLENS_9TokenKindE($tt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$tt;
      var $2=$1; //@line 161 "./jsscan.h"
      var $3=(($2)|0)==67; //@line 161 "./jsscan.h"
      if ($3) { var $17 = 1;__label__ = 6; break; } else { __label__ = 2; break; } //@line 161 "./jsscan.h"
    case 2: 
      var $5=$1; //@line 161 "./jsscan.h"
      var $6=(($5)|0)==68; //@line 161 "./jsscan.h"
      if ($6) { var $17 = 1;__label__ = 6; break; } else { __label__ = 3; break; } //@line 161 "./jsscan.h"
    case 3: 
      var $8=$1; //@line 161 "./jsscan.h"
      var $9=(($8)|0)==69; //@line 161 "./jsscan.h"
      if ($9) { var $17 = 1;__label__ = 6; break; } else { __label__ = 4; break; } //@line 161 "./jsscan.h"
    case 4: 
      var $11=$1; //@line 161 "./jsscan.h"
      var $12=(($11)|0)==75; //@line 161 "./jsscan.h"
      if ($12) { var $17 = 1;__label__ = 6; break; } else { __label__ = 5; break; } //@line 161 "./jsscan.h"
    case 5: 
      var $14=$1; //@line 161 "./jsscan.h"
      var $15=(($14)|0)==76; //@line 161 "./jsscan.h"
      var $17 = $15;__label__ = 6; break; //@line 161 "./jsscan.h"
    case 6: 
      var $17;
      ;
      return $17; //@line 161 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Probes16compileScriptEndEP9JSContextP8JSScriptPKci($cx, $script, $filename, $lineno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $ok;
  $1=$cx;
  $2=$script;
  $3=$filename;
  $4=$lineno;
  $ok=1; //@line 462 "./jsprobes.h"
  var $5=$ok; //@line 469 "./jsprobes.h"
  var $6=(($5) & 1); //@line 469 "./jsprobes.h"
  ;
  return $6; //@line 469 "./jsprobes.h"
}


function __ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZN8JSScript7globalsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 731 "./jsscript.h"
  var $4=HEAP32[(($3)>>2)]; //@line 731 "./jsscript.h"
  var $5=(($2+20)|0); //@line 731 "./jsscript.h"
  var $6=HEAPU8[($5)]; //@line 731 "./jsscript.h"
  var $7=(($6)&255); //@line 731 "./jsscript.h"
  var $8=(($4+$7)|0); //@line 731 "./jsscript.h"
  var $9=$8; //@line 731 "./jsscript.h"
  ;
  return $9; //@line 731 "./jsscript.h"
}


function __ZN2js6Parser26recognizeDirectivePrologueEP11JSParseNodePb($this, $pn, $isDirectivePrologueMember) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kid;
      var $directive;
      $2=$this;
      $3=$pn;
      $4=$isDirectivePrologueMember;
      var $5=$2;
      var $6=$3; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZNK11JSParseNode21isStringExprStatementEv($6); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$4; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($7)&1); //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($8)]=$9; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$4; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP8[($10)]; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11) & 1); //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=1; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $15=$3; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+32)|0); //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0); //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $kid=$19; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$kid; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZNK11JSParseNode25isEscapeFreeStringLiteralEv($20); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $23=$3; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+32)|0); //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+8)|0); //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($26)>>2)]=1; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$kid; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+32)|0); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29)|0); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $directive=$32; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$directive; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($5+12)|0); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+52)|0); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+209948)|0); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+416)|0); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($33)|0)==(($41)|0); //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $44=(($5+40)|0); //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=__ZNK2js11TokenStream23hasOctalCharacterEscapeEv($44); //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $47=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 232, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $49=(($5+980)|0); //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50)|0); //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52 | 262144; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($51)>>2)]=$53; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($5+40)|0); //@line 3380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setStrictModeEb($54, 1); //@line 3380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $1=1; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $58=$1; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $58; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser26recognizeDirectivePrologueEP11JSParseNodePb["X"]=1;

function __ZN2js6Parser16analyzeFunctionsEP13JSTreeContext($this, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$tc;
      var $4=$2;
      var $5=$3; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5+84)|0); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6Parser17cleanFunctionListEPP13JSFunctionBox($4, $6); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$3; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+84)|0); //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=1; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=$3; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+84)|0); //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZN2js6Parser11markFunArgsEP13JSFunctionBox($4, $15); //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $19=$3; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+84)|0); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6Parser30markExtensibleScopeDescendantsEP13JSFunctionBoxb($4, $21, 0); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$3; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+84)|0); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$3; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25)|0); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6Parser16setFunctionKindsEP13JSFunctionBoxPj($4, $24, $26); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $28=$1; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $28; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK15JSCodeGenerator10sharpSlotsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK15JSCodeGenerator9hasSharpsEv($2); //@line 706 "./jsemit.h"
  var $4=$3 ? 2 : 0; //@line 706 "./jsemit.h"
  ;
  return $4; //@line 706 "./jsemit.h"
}


function __ZN2js8Compiler13defineGlobalsEP9JSContextRNS_11GlobalScopeEP8JSScript($cx, $globalScope, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $globalObj;
      var $i;
      var $def;
      var $id;
      var $rval=__stackBase__;
      var $fun;
      var $shape;
      var $worklist=__stackBase__+8;
      var $5=__stackBase__+88;
      var $6;
      var $outer;
      var $arr;
      var $start;
      var $i1;
      var $obj;
      var $fun2;
      var $inner;
      var $globalUses;
      var $nGlobalUses;
      var $i3;
      var $index;
      $2=$cx;
      $3=$globalScope;
      $4=$script;
      var $7=$3; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0); //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $globalObj=$9; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i=0; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $11=$i; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$3; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+8)|0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE6lengthEv($13); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($11)>>>0) < (($14)>>>0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $17=$3; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+8)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$i; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEixEj($18, $19); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $def=$20; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$def; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)!=0; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 11; break; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $27=$def; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=__ZL12ATOM_TO_JSIDP6JSAtom2903($29); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $id=$30; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$def; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+4)|0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0)!=0; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $36=$def; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+4)|0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=__ZNK13JSFunctionBox8functionEv($38); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fun=$39; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$fun; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2JS5Value9setObjectER8JSObject($rval, $41); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$globalObj; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$id; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE($42, $43, $44, $rval); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __ZN2JS5Value12setUndefinedEv($rval); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break;
    case 8: 
      var $47=$2; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$globalObj; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$id; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($47, $48, $49, $rval, 8, 10, 5, 0, 0, 16); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $shape=$50; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$shape; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)|0)!=0; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $1=0; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $55=$shape; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+24)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$def; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+8)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($59)>>2)]=$57; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $61=$i; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+1)|0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i=$62; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $64=$2; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($5, $64); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEC1ES3_($worklist, $5); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$4; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_($worklist, $65); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($66) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 39; break; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 15; break; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $70=__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE6lengthEv($worklist); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70)|0)!=0; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($71) { __label__ = 16; break; } else { __label__ = 38; break; } //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $73=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE4backEv($worklist); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $outer=$74; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE7popBackEv($worklist); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$outer; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75+16)|0); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=HEAP8[($76)]; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=__ZN8JSScript13isValidOffsetEh($77); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($78) { __label__ = 17; break; } else { __label__ = 31; break; } //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $80=$outer; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZN8JSScript7objectsEv($80); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $arr=$81; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$outer; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+36)|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=HEAPU8[($84)]; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85)&255) >>> 1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86 & 1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87) & 1); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$88 ? 1 : 0; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $start=$89; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$start; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i1=$90; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $92=$i1; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$arr; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93+4)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=HEAPU32[(($94)>>2)]; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($92)>>>0) < (($95)>>>0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($96) { __label__ = 19; break; } else { __label__ = 30; break; } //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $98=$i1; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$arr; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99)|0); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+($98<<2))|0); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $obj=$103; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$obj; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=__ZNK8JSObject10isFunctionEv($104); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($105) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 29; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $108=$obj; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=__ZNK8JSObject18getFunctionPrivateEv($108); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fun2=$109; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$fun2; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=__ZNK10JSFunction6scriptEv($110); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $inner=$111; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$outer; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113+37)|0); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=HEAPU8[($114)]; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115)&255) >>> 3; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$116 & 1; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($117) & 1); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($118) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $120=$outer; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$120; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121+37)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=HEAP8[($122)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$123 & -17; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$124 | 16; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($122)]=$125; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$inner; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=(($127+37)|0); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=HEAP8[($128)]; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129 & -33; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130 | 32; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($128)]=$131; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 23; break; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $133=$inner; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133+20)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=HEAP8[($134)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=__ZN8JSScript13isValidOffsetEh($135); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($136) { __label__ = 26; break; } else { __label__ = 24; break; } //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $138=$inner; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+16)|0); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=HEAP8[($139)]; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=__ZN8JSScript13isValidOffsetEh($140); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($141) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 29; break; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $144=$inner; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_($worklist, $144); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($145) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      $1=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 39; break; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      __label__ = 29; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $149=$i1; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149+1)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i1=$150; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      __label__ = 31; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $153=$outer; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=(($153+20)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=HEAP8[($154)]; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=__ZN8JSScript13isValidOffsetEh($155); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($156) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 15; break; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $159=$outer; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=__ZN8JSScript7globalsEv($159); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $globalUses=$160; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$globalUses; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=(($161+4)|0); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $nGlobalUses=$163; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i3=0; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $165=$i3; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$nGlobalUses; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=(($165)>>>0) < (($166)>>>0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($167) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $169=$i3; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$globalUses; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170)|0); //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=HEAP32[(($171)>>2)]; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($172+($169<<3))|0); //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173+4)|0); //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $index=$175; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$3; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=(($176+8)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=$index; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEixEj($177, $178); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($179+8)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$i3; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=$globalUses; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185+($182<<3))|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=(($186+4)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($187)>>2)]=$181; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 36; break; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $189=$i3; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=(($189+1)|0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i3=$190; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      __label__ = 15; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      $1=1; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 39; break; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEED1Ev($worklist); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break;
    case 40: 
      var $195=$1; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $195; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Compiler13defineGlobalsEP9JSContextRNS_11GlobalScopeEP8JSScript["X"]=1;

function __ZN2js11GlobalScopeD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js11GlobalScopeD2Ev($2); //@line 316 "./jsparse.h"
  ;
  return; //@line 316 "./jsparse.h"
}


function __ZN2js8CompilerD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js8CompilerD2Ev($2); //@line 1299 "./jsparse.h"
  ;
  return; //@line 1299 "./jsparse.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+$4*12)|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZL12ATOM_TO_JSIDP6JSAtom2903($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj2961($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-4)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+8)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __Z18CheckStrictBindingP9JSContextP13JSTreeContextP6JSAtomP11JSParseNode($cx, $tc, $atom, $pn) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atomState;
      var $name=__stackBase__;
      var $6;
      $2=$cx;
      $3=$tc;
      $4=$atom;
      $5=$pn;
      var $7=$3; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZN13JSTreeContext16needStrictChecksEv($7); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=1; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$2; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+52)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+209948)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atomState=$14; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$4; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$atomState; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+264)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($15)|0)==(($19)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $22=$4; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$atomState; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+228)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($22)|0)==(($26)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $29=$4; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK12JSFlatString6charsZEv($30); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$4; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZNK8JSString6lengthEv($33); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZN2js11FindKeywordEPKtj($31, $34); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0)!=0; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __ZN16JSAutoByteStringC1Ev($name); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$2; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$4; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($38, $39, $name); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40)|0)!=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 9; break; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $44=$2; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$3; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+48)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+40)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$3; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$5; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZNK16JSAutoByteString3ptrEv($name); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($44, $48, $49, $50, 237, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$51,tempInt)); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$52; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 9; break; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __ZN16JSAutoByteStringD1Ev($name); //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break;
    case 10: 
      $1=1; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $56=$1; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18CheckStrictBindingP9JSContextP13JSTreeContextP6JSAtomP11JSParseNode["X"]=1;

function __Z21CheckStrictAssignmentP9JSContextP13JSTreeContextP11JSParseNode($cx, $tc, $lhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      var $atomState;
      var $name=__stackBase__;
      var $5;
      $2=$cx;
      $3=$tc;
      $4=$lhs;
      var $6=$3; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZN13JSTreeContext16needStrictChecksEv($6); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 12; break; } //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $9=$4; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZNK11JSParseNode6isKindEN2js9TokenKindE($9, 29); //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+32)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=$17; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$2; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+52)|0); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+209948)|0); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atomState=$21; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$atom; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$atomState; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+264)|0); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($22)|0)==(($26)|0); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $29=$atom; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$atomState; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+228)|0); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($29)|0)==(($33)|0); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __ZN16JSAutoByteStringC1Ev($name); //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$2; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$atom; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($36, $37, $name); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0)!=0; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $41=$2; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$3; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+48)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+40)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$3; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$4; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=__ZNK16JSAutoByteString3ptrEv($name); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($41, $45, $46, $47, 236, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$48,tempInt)); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 9; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $5=0; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __ZN16JSAutoByteStringD1Ev($name); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 10; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 13; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 10: 
      __label__ = 11; break; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=1; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $57=$1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z21CheckStrictAssignmentP9JSContextP13JSTreeContextP11JSParseNode["X"]=1;

function __ZN10JSFunction11setArgCountEt($this, $nargs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$nargs;
  var $3=$1;
  var $4=$2; //@line 150 "./jsfun.h"
  var $5=(($3+56)|0); //@line 150 "./jsfun.h"
  HEAP16[(($5)>>1)]=$4; //@line 150 "./jsfun.h"
  ;
  return; //@line 151 "./jsfun.h"
}


function __ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE($this, $newKind) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newKind;
  var $3=$1;
  var $4=$2; //@line 368 "./jsscan.h"
  var $5=(($3+132)|0); //@line 368 "./jsscan.h"
  var $6=HEAP32[(($5)>>2)]; //@line 368 "./jsscan.h"
  var $7=(($3+4)|0); //@line 368 "./jsscan.h"
  var $8=(($7+($6<<5))|0); //@line 368 "./jsscan.h"
  var $9=(($8)|0); //@line 368 "./jsscan.h"
  HEAP32[(($9)>>2)]=$4; //@line 368 "./jsscan.h"
  ;
  return; //@line 368 "./jsscan.h"
}


function __ZN2js6Parser12functionBodyEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $stmtInfo=__stackBase__;
      var $oldflags;
      var $pn;
      $1=$this;
      var $2=$1;
      var $3=(($2+980)|0); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($4, $stmtInfo, 4, -1); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($stmtInfo+2)|0); //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($5)>>1)]=2; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($2+980)|0); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldflags=$9; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($2+980)|0); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13 & -13; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($12)>>2)]=$14; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($2+40)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZNK2js11TokenStream12currentTokenEv($15); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0)==25; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $21=__ZN2js6Parser10statementsEv($2); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$21; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $23=(($2+980)|0); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=__ZN2js9UnaryNode6createEP13JSTreeContext($24); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$26; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$pn; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0)!=0; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $30=__ZN2js6Parser10assignExprEv($2); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+32)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($34)>>2)]=$30; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$pn; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+32)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39)|0)!=0; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($40) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $pn=0; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $43=(($2+980)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$46 & 512; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47)|0)!=0; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $50=(($2+12)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($2+980)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$pn; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZL15ReportBadReturnP9JSContextP13JSTreeContextP11JSParseNodejjj($51, $53, $54, 0, 208, 209); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=0; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $57=$pn; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($57, 48); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$pn; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($58, 5); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pn; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59+4)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+8)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$pn; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62+32)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+4)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67+8)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$61; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$68; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($69)>>2)]=HEAP32[(($70)>>2)];HEAP32[(($69+4)>>2)]=HEAP32[(($70+4)>>2)]; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $75=$pn; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75)|0)!=0; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($76) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $78=(($2+980)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PopStatement($79); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($2+12)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=__ZNK9JSContext15hasStrictOptionEv($81); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($82) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $84=(($2+980)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$87 & 4; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88)|0)!=0; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($89) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $91=(($2+12)|0); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($2+980)|0); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$pn; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=__ZL16CheckFinalReturnP9JSContextP13JSTreeContextP11JSParseNode($92, $94, $95); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96)|0)!=0; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($97) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $pn=0; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 18; break; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $101=$oldflags; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($2+980)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105 & 629442528; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$101 | $106; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($2+980)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($110)>>2)]=$107; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$pn; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $111; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser12functionBodyEv["X"]=1;

function __ZN2js9UnaryNode6createEP13JSTreeContext($tc) {
  ;
  var __label__;

  var $1;
  $1=$tc;
  var $2=$1; //@line 728 "./jsparse.h"
  var $3=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(1, $2); //@line 728 "./jsparse.h"
  var $4=$3; //@line 728 "./jsparse.h"
  ;
  return $4; //@line 728 "./jsparse.h"
}


function __ZN2js6Parser10assignExprEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $stackDummy_=__stackBase__;
      var $pn;
      var $op;
      var $rhs;
      var $dn;
      $2=$this;
      var $3=$2;
      __label__ = 2; break; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$stackDummy_; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($3+12)|0); //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+48)|0); //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($5)>>>0) < (($9)>>>0); //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=(($3+12)|0); //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 6433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=(($3+40)|0); //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN2js11TokenStream10matchTokenENS_9TokenKindEj($16, 77, 8); //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=__ZN2js6Parser13returnOrYieldEb($3, 1); //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$19; //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $21=__ZN2js6Parser9condExpr1Ev($3); //@line 6440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$21; //@line 6440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$pn; //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22)|0)!=0; //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $26=(($3+40)|0); //@line 6444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($26, 4); //@line 6444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $29=(($3+40)|0); //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($29); //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$pn; //@line 6446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$30; //@line 6446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 6446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $32=(($3+40)|0); //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=__ZNK2js11TokenStream12currentTokenEv($32); //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+24)|0); //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0); //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$37; //@line 6449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$pn; //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$op; //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=__ZN2js6Parser19setAssignmentLhsOpsEP11JSParseNode4JSOp($3, $38, $39); //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($40) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 6450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 6451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 6451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $43=__ZN2js6Parser10assignExprEv($3); //@line 6453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rhs=$43; //@line 6453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$rhs; //@line 6454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0)!=0; //@line 6454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 6454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $48=$pn; //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=__ZNK11JSParseNode6isKindEN2js9TokenKindE($48, 29); //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $51=$pn; //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=__ZNK11JSParseNode6isUsedEv($51); //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 6456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $54=$pn; //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+32)|0); //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55; //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+4)|0); //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57; //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$59; //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$dn; //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$60; //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=__ZNK11JSParseNode10isAssignedEv($61); //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($62) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $64=$dn; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$64; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+4)|0); //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+8)|0); //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$rhs; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+4)|0); //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+8)|0); //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$67; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$70; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 6469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 20; break; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $75=$op; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$pn; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$rhs; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($3+980)|0); //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(4, $75, $76, $77, $79); //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$80; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $82=$1; //@line 6473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $82; //@line 6473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser10assignExprEv["X"]=1;

function __ZL15ReportBadReturnP9JSContextP13JSTreeContextP11JSParseNodejjj($cx, $tc, $pn, $flags, $errnum, $anonerrnum) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $name=__stackBase__;
      var $8;
      $2=$cx;
      $3=$tc;
      $4=$pn;
      $5=$flags;
      $6=$errnum;
      $7=$anonerrnum;
      __ZN16JSAutoByteStringC1Ev($name); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$3; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZNK13JSTreeContext3funEv($9); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+72)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12)|0)!=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $15=$2; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$3; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZNK13JSTreeContext3funEv($16); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+72)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($15, $19, $name); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0)!=0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      $1=0; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $8=1;
      __label__ = 7; break; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 6; break; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $25=$7; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=$25; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break;
    case 6: 
      var $27=$2; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$3; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+48)|0); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+40)|0); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$4; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$5; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$6; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZNK16JSAutoByteString3ptrEv($name); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($27, $31, $32, $33, $34, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$35,tempInt)); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)&1); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$37; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $8=1;
      __label__ = 7; break; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __ZN16JSAutoByteStringD1Ev($name); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$1; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15ReportBadReturnP9JSContextP13JSTreeContextP11JSParseNodejjj["X"]=1;

function __ZL16CheckFinalReturnP9JSContextP13JSTreeContextP11JSParseNode($cx, $tc, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$tc;
      $3=$pn;
      var $4=$3; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=__ZL14HasFinalReturnP11JSParseNode($4); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)==1; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { var $14 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=$1; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$2; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$3; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=__ZL15ReportBadReturnP9JSContextP13JSTreeContextP11JSParseNodejjj($8, $9, $10, 5, 110, 157); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0)!=0; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14 = $12;__label__ = 3; break; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $14;
      var $15=(($14)&1); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $15; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Compiler19compileFunctionBodyEP9JSContextP10JSFunctionP12JSPrincipalsPNS_8BindingsEPKtjPKcj9JSVersion($cx, $fun, $principals, $bindings, $chars, $length, $filename, $lineno, $version) {
  var __stackBase__  = STACKTOP; STACKTOP += 1640; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $compiler=__stackBase__;
      var $11;
      var $parser;
      var $tokenStream;
      var $funcg=__stackBase__+996;
      var $fn;
      var $nargs;
      var $names=__stackBase__+1612;
      var $12=__stackBase__+1636;
      var $i;
      var $pn;
      $2=$cx;
      $3=$fun;
      $4=$principals;
      $5=$bindings;
      $6=$chars;
      $7=$length;
      $8=$filename;
      $9=$lineno;
      $10=$version;
      var $13=$2; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$4; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      FUNCTION_TABLE[__ZN2js8CompilerC1EP9JSContextP12JSPrincipalsPNS_10StackFrameE]($compiler, $13, $14, 0); //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$6; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$7; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$8; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$9; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$10; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZN2js8Compiler4initEPKtjPKcj9JSVersion($compiler, $15, $16, $17, $18, $19); //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $11=1;
      __label__ = 43; break; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $23=(($compiler)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $parser=$23; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$parser; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+40)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tokenStream=$25; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$parser; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$tokenStream; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZNK2js11TokenStream9getLinenoEv($27); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      FUNCTION_TABLE[__ZN15JSCodeGeneratorC1EPN2js6ParserEj]($funcg, $26, $28); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$2; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=__ZN15JSCodeGenerator4initEP9JSContextN13JSTreeContext12InitBehaviorE($funcg, $29, 0); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $11=1;
      __label__ = 42; break; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $33=$funcg; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35 | 2; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($34)>>2)]=$36; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$funcg; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$3; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext11setFunctionEP10JSFunction($37, $38); //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$funcg; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+92)|0); //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$2; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$5; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js8Bindings8transferEP9JSContextPS0_($40, $41, $42); //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$3; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$funcg; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+92)|0); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=__ZNK2js8Bindings9countArgsEv($45); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN10JSFunction11setArgCountEt($43, $46); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$funcg; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$funcg; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48+4)|0); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=__ZL15GenerateBlockIdP13JSTreeContextRj($47, $49); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($50) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $11=1;
      __label__ = 42; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $53=$tokenStream; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE($53, 29); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$funcg; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZN2js12FunctionNode6createEP13JSTreeContext($54); //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fn=$56; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$fn; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57)|0)!=0; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($58) { __label__ = 8; break; } else { __label__ = 20; break; } //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $60=$fn; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+32)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$61; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62+4)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($64)>>2)]=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$fn; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+32)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$66; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67+8)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($68); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$3; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+56)|0); //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=HEAPU16[(($70)>>1)]; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71)&65535); //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $nargs=$72; //@line 1801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$nargs; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73)|0)!=0; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 9; break; } else { __label__ = 19; break; } //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $76=$2; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($12, $76); //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC1ES3_($names, $12); //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$funcg; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+92)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$2; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE($78, $79, $names); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($80) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $fn=0; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $i=0; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $84=$i; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$nargs; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($84)>>>0) < (($85)>>>0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($86) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $88=$fn; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$i; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj($names, $89); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$i; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$funcg; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=__ZL9DefineArgP11JSParseNodeP6JSAtomjP13JSTreeContext($88, $91, $92, $93); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($94) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $fn=0; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      __label__ = 16; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $98=$i; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98+1)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i=$99; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED1Ev($names); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 20; break; //@line 1819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $104=$tokenStream; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE($104, 25); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$fn; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105)|0)!=0; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($106) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $108=$parser; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=__ZN2js6Parser12functionBodyEv($108); //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112 = $109;__label__ = 23; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $112 = 0;__label__ = 23; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $112; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$112; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$pn; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113)|0)!=0; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($114) { __label__ = 24; break; } else { __label__ = 41; break; } //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $116=$2; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$funcg; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=__ZL21CheckStrictParametersP9JSContextP13JSTreeContext($116, $117); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($118) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $pn=0; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $121=$tokenStream; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($121, 0); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($122) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $124=$parser; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($124, 0, 0, 133, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=0; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $127=$2; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$pn; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$funcg; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=_js_FoldConstants($127, $128, $129, 0); //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130)|0)!=0; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($131) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $pn=0; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $134=$parser; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$funcg; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=__ZN2js6Parser16analyzeFunctionsEP13JSTreeContext($134, $135); //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($136) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      $pn=0; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $139=$fn; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139+32)|0); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$140; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($141+4)|0); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$142; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=(($144)|0)!=0; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($145) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $147=$fn; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($147+32)|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$148; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149+4)|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$150; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=$pn; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($152, $153); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$fn; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154+32)|0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$155; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=(($156+4)|0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$157; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159+4)|0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$pn; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=(($161+4)|0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=$160; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=$162; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($163)>>2)]=HEAP32[(($164)>>2)];HEAP32[(($163+4)>>2)]=HEAP32[(($164+4)>>2)];HEAP32[(($163+8)>>2)]=HEAP32[(($164+8)>>2)];HEAP32[(($163+12)>>2)]=HEAP32[(($164+12)>>2)]; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$fn; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=(($165+32)|0); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$166; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=(($167+4)|0); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$168; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$170; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $172=$2; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=$pn; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=_js_EmitFunctionScript($172, $funcg, $173); //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174)|0)!=0; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($175) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      $pn=0; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 36; break; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      __label__ = 37; break;
    case 37: 
      __label__ = 38; break;
    case 38: 
      __label__ = 39; break;
    case 39: 
      __label__ = 40; break;
    case 40: 
      __label__ = 41; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $183=$pn; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183)|0)!=0; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$184; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $11=1;
      __label__ = 42; break; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      FUNCTION_TABLE[__ZN15JSCodeGeneratorD1Ev]($funcg); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break;
    case 43: 
      __ZN2js8CompilerD1Ev($compiler); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$1; //@line 1854 "./jsparse.h"
      STACKTOP = __stackBase__;
      return $187; //@line 1854 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Compiler19compileFunctionBodyEP9JSContextP10JSFunctionP12JSPrincipalsPNS_8BindingsEPKtjPKcj9JSVersion["X"]=1;

function __ZN2js12FunctionNode6createEP13JSTreeContext($tc) {
  ;
  var __label__;

  var $1;
  $1=$tc;
  var $2=$1; //@line 778 "./jsparse.h"
  var $3=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(4, $2); //@line 778 "./jsparse.h"
  var $4=$3; //@line 778 "./jsparse.h"
  ;
  return $4; //@line 778 "./jsparse.h"
}


function __ZL9DefineArgP11JSParseNodeP6JSAtomjP13JSTreeContext($pn, $atom, $i, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $argpn;
      var $argsbody;
      $2=$pn;
      $3=$atom;
      $4=$i;
      $5=$tc;
      var $6=$3; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$5; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+48)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+12)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+52)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+209948)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+228)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($6)|0)==(($17)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $20=$5; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0); //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22 | 64; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($21)>>2)]=$23; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $25=$3; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$5; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($25, $26); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $argpn=$28; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$argpn; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29)|0)!=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $33=$argpn; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+32)|0); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+12)|0); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39 & 4095; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40 | 4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41 & 4095; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$35; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+12)|0); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$42 & 4095; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($45)>>2)]; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47 & -4096; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 | $46; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($45)>>2)]=$49; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$argpn; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$3; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$5; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=__ZL6DefineP11JSParseNodeP6JSAtomP13JSTreeContextb($50, $51, $52, 0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $56=$2; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+32)|0); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+4)|0); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $argsbody=$61; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$argsbody; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62)|0)!=0; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 11; break; } else { __label__ = 8; break; } //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $65=$5; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=__ZN2js8ListNode6createEP13JSTreeContext($65); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$66; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $argsbody=$67; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$argsbody; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68)|0)!=0; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($69) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $1=0; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $72=$argsbody; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($72, 84); //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$argsbody; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($73, 0); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$argsbody; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($74); //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$argsbody; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$2; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76+32)|0); //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78+4)|0); //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($80)>>2)]=$75; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $82=$argsbody; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$argpn; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($82, $83); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$argpn; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($84, 84); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$argpn; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+32)|0); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87+8)|0); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$5; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=(($89+76)|0); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91) & 65535); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$4; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93) & 65535); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie3setEtt($88, $92, $94); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$argpn; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($95+32)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98+12)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$99; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101 & 4095; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$102 | 512; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$103 & 4095; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$97; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105+12)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$104 & 4095; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=HEAP32[(($107)>>2)]; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109 & -4096; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110 | $108; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($107)>>2)]=$111; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $113=$1; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $113; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9DefineArgP11JSParseNodeP6JSAtomjP13JSTreeContext["X"]=1;

function __ZL21CheckStrictParametersP9JSContextP13JSTreeContext($cx, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $argumentsAtom;
      var $evalAtom;
      var $parameters=__stackBase__;
      var $4=__stackBase__+28;
      var $5;
      var $r=__stackBase__+32;
      var $id;
      var $name=__stackBase__+40;
      var $p=__stackBase__+44;
      var $6=__stackBase__+52;
      var $7=__stackBase__+60;
      $2=$cx;
      $3=$tc;
      var $8=$3; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZN13JSTreeContext16needStrictChecksEv($8); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $11=$3; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+92)|0); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZNK2js8Bindings9countArgsEv($12); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)&65535); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0)==0; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      $1=1; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+52)|0); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+209948)|0); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+228)|0); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $argumentsAtom=$24; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$2; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+52)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+209948)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+264)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $evalAtom=$31; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$2; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $32); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_($parameters, $4); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$3; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+92)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZNK2js8Bindings9countArgsEv($34); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)&65535); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($parameters, $36); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=0; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 29; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $40=$3; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+92)|0); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZNK2js8Bindings12lastVariableEv($41); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js5Shape5RangeC1EPKS0_($r, $42); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $44=__ZNK2js5Shape5Range5emptyEv($r); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44 ^ 1; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 28; break; } //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $47=__ZNK2js5Shape5Range5frontEv($r); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+12)|0); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $id=$49; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$id; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZL12JSID_IS_ATOMi2955($50); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)|0)!=0; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __label__ = 27; break; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $55=$id; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=__ZL12JSID_TO_ATOMi2949($55); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($name)>>2)]=$56; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($name)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$argumentsAtom; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($57)|0)==(($58)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $61=HEAP32[(($name)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$evalAtom; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($61)|0)==(($62)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $65=$2; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$3; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=HEAP32[(($name)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=__ZL18ReportBadParameterP9JSContextP13JSTreeContextP6JSAtomj($65, $66, $67, 237); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($68) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 29; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 15; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $72=$3; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=__ZNK13JSTreeContext12inStrictModeEv($72); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($73) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $75=HEAP32[(($name)>>2)]; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZNK12JSFlatString6charsZEv($76); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=HEAP32[(($name)>>2)]; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$78; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=__ZNK8JSString6lengthEv($79); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZN2js11FindKeywordEPKtj($77, $80); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81)|0)!=0; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($82) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $84=$2; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$3; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=HEAP32[(($name)>>2)]; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=__ZL18ReportBadParameterP9JSContextP13JSTreeContextP6JSAtomj($84, $85, $86, 132); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$87 ^ 1; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 29; break; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      __ZNK2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($p, $parameters, $name); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$p; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($6, $90); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91={ f0: HEAP32[(($6)>>2)], f1: HEAP32[(($6+4)>>2)] }; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$91.f0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($93) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $95=$p; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($95); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+4)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=HEAP8[($97)]; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98) & 1); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($99) { __label__ = 22; break; } else { __label__ = 20; break; } //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $101=$2; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$3; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=HEAP32[(($name)>>2)]; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=__ZL18ReportBadParameterP9JSContextP13JSTreeContextP6JSAtomj($101, $102, $103, 111); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($104) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      $1=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 29; break; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $107=$p; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($107); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=(($108+4)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($109)]=1; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      HEAP8[($7)]=0; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_bEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKb($parameters, $p, $name, $7); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($111) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      $1=0; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 29; break; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=1; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 29; break; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($parameters); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break;
    case 30: 
      var $119=$1; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $119; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21CheckStrictParametersP9JSContextP13JSTreeContext["X"]=1;

function __ZN2js6Parser11newFunctionEP13JSTreeContextP6JSAtomNS_18FunctionSyntaxKindE($this, $tc, $atom, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $parent;
      var $fun;
      $1=$this;
      $2=$tc;
      $3=$atom;
      $4=$kind;
      var $5=$1;
      __label__ = 2; break; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=$2; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+72)|0); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$2; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+72)|0); //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $2=$14; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $16=$2; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZNK13JSTreeContext10inFunctionEv($16); //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $23 = 0;__label__ = 7; break; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $20=$2; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZNK13JSTreeContext10scopeChainEv($20); //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23 = $21;__label__ = 7; break; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $23; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $parent=$23; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($5+12)|0); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$4; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)|0)==0; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27 ? 8 : 0; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=16384 | $28; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$parent; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$3; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom($25, 0, 0, 0, $29, $30, $31); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fun=$32; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$fun; //@line 1966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0)!=0; //@line 1966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $36=$2; //@line 1966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZNK13JSTreeContext12compileAndGoEv($36); //@line 1966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $39=$fun; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN8JSObject11clearParentEv($40); //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$fun; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN8JSObject9clearTypeEv($42); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $44=$fun; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $44; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser11newFunctionEP13JSTreeContextP6JSAtomNS_18FunctionSyntaxKindE["X"]=1;

function __ZN2js6Parser11markFunArgsEP13JSFunctionBox($this, $funbox) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $queue=__stackBase__;
      var $4;
      var $fn;
      var $pn;
      var $upvars=__stackBase__+16;
      var $r=__stackBase__+20;
      var $defn;
      var $5=__stackBase__+40;
      var $lexdep;
      var $afunbox;
      var $calleeLevel;
      var $staticLevel;
      $2=$this;
      $3=$funbox;
      var $6=$2;
      __ZN18JSFunctionBoxQueueC1Ev($queue); //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+972)|0); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZN18JSFunctionBoxQueue4initEj($queue, $8); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $11=(($6+12)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($12); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 26; break; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $14=$3; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZL11FindFunArgsP13JSFunctionBoxiP18JSFunctionBoxQueue($14, -1, $queue); //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $17=__ZN18JSFunctionBoxQueue4pullEv($queue); //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=$17; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0)!=0; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 25; break; } //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $20=$3; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+24)|0); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fn=$22; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$fn; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+32)|0); //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+4)|0); //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$28; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$pn; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=__ZNK11JSParseNode6isKindEN2js9TokenKindE($29, 85); //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 24; break; } //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $32=$pn; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+32)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$upvars; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$35; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)]; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$upvars; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($38); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3allEv($r, $39); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $41=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5emptyEv($r); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41 ^ 1; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 23; break; } //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv($5, $r); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry5valueEv($5); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $defn=$45; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$defn; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=__ZN12JSDefinition7resolveEv($46); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lexdep=$47; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$lexdep; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=__ZNK12JSDefinition9isFreeVarEv($48); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 21; break; } else { __label__ = 9; break; } //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $51=$lexdep; //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=__ZNK11JSParseNode8isFunArgEv($52); //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 21; break; } else { __label__ = 10; break; } //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $55=$lexdep; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=__ZN12JSDefinition4kindEv($55); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56)|0)==3; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($57) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $59=$lexdep; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=__ZNK11JSParseNode4isOpE4JSOp($60, 131); //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 21; break; } //@line 2161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $63=$lexdep; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9setFunArgEv($64); //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$lexdep; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$65; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=__ZNK11JSParseNode4isOpE4JSOp($66, 131); //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $69=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $afunbox=$69; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$lexdep; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71+32)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73+8)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=__ZNK2js11UpvarCookie5levelEv($74); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75)&65535); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $calleeLevel=$76; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$afunbox; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78+56)|0); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAPU32[(($80)>>2)]; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81 >>> 2; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82 & 16383; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+1)|0); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $staticLevel=$84; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $86=$staticLevel; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$calleeLevel; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($86)|0)!=(($87)|0); //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($88) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $90=$afunbox; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90+36)|0); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $afunbox=$92; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$staticLevel; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93-1)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $staticLevel=$94; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $96=$afunbox; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+24)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9setFunArgEv($98); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $100=$lexdep; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$100; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+32)|0); //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$102; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103)|0); //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $afunbox=$106; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break;
    case 18: 
      var $108=$afunbox; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN18JSFunctionBoxQueue4pushEP13JSFunctionBox($queue, $108); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$afunbox; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109+32)|0); //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111)|0)!=0; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($112) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $114=$afunbox; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114+32)|0); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$afunbox; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118+56)|0); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$119; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=HEAPU32[(($120)>>2)]; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$121 >>> 2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122 & 16383; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=__ZL11FindFunArgsP13JSFunctionBoxiP18JSFunctionBoxQueue($116, $123, $queue); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      __label__ = 22; break; //@line 2204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range8popFrontEv($r); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      __label__ = 24; break; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      __label__ = 4; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $1=1; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 26; break; //@line 2207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      __ZN18JSFunctionBoxQueueD1Ev($queue); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$1; //@line 2208 "./jsparse.h"
      STACKTOP = __stackBase__;
      return $132; //@line 2208 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser11markFunArgsEP13JSFunctionBox["X"]=1;

function __ZN2js6Parser30markExtensibleScopeDescendantsEP13JSFunctionBoxb($this, $funbox, $hasExtensibleParent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$funbox;
      var $4=(($hasExtensibleParent)&1);
      $3=$4;
      var $5=$1;
      __label__ = 2; break; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=$2; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0)!=0; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=$3; //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10) & 1); //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $13=$2; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+44)|0); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js8Bindings20setExtensibleParentsEv($14); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=$2; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+32)|0); //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0)!=0; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $21=$2; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+32)|0); //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$3; //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24) & 1); //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { var $30 = 1;__label__ = 8; break; } else { __label__ = 7; break; } //@line 2572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $27=$2; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZNK13JSFunctionBox17scopeIsExtensibleEv($27); //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30 = $28;__label__ = 8; break; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $30;
      __ZN2js6Parser30markExtensibleScopeDescendantsEP13JSFunctionBoxb($5, $23, $30); //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __label__ = 10; break; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $33=$2; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+28)|0); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $2=$35; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      ;
      return; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser16setFunctionKindsEP13JSFunctionBoxPj($this, $funbox, $tcflags) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $fn;
      var $pn;
      var $fun;
      var $hasUpvars;
      var $canFlatten;
      var $upvars=__stackBase__;
      var $r=__stackBase__+4;
      var $defn;
      var $4=__stackBase__+24;
      var $lexdep;
      var $upvars1=__stackBase__+32;
      var $r2=__stackBase__+36;
      var $defn3;
      var $5=__stackBase__+56;
      var $lexdep4;
      $1=$this;
      $2=$funbox;
      $3=$tcflags;
      var $6=$1;
      __label__ = 2; break; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=$2; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 44; break; } //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$2; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+24)|0); //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fn=$13; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$fn; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+32)|0); //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+4)|0); //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$19; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$2; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+32)|0); //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22)|0)!=0; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $25=$2; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+32)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$3; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js6Parser16setFunctionKindsEP13JSFunctionBoxPj($6, $27, $28); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$2; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL18ConsiderUnbrandingP13JSFunctionBox($29); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $31=$2; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=__ZNK13JSFunctionBox8functionEv($31); //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fun=$32; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$2; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+60)|0); //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35 & 256; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)|0)!=0; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 31; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $40=$2; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=__ZNK13JSFunctionBox17inAnyDynamicScopeEv($40); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 30; break; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $hasUpvars=0; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $canFlatten=1; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$pn; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=__ZNK11JSParseNode6isKindEN2js9TokenKindE($44, 85); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $47=$pn; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+32)|0); //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49)|0); //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$upvars; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$50; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)]; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$upvars; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($53); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3allEv($r, $54); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $56=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5emptyEv($r); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56 ^ 1; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($57) { __label__ = 12; break; } else { __label__ = 18; break; } //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv($4, $r); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry5valueEv($4); //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $defn=$60; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$defn; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=__ZN12JSDefinition7resolveEv($61); //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lexdep=$62; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$lexdep; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=__ZNK12JSDefinition9isFreeVarEv($63); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 13; break; } //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $hasUpvars=1; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$lexdep; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$2; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$3; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=__ZL15CanFlattenUpvarP12JSDefinitionP13JSFunctionBoxj($66, $67, $69); //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $canFlatten=0; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      __label__ = 16; break; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 17; break; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range8popFrontEv($r); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      __label__ = 19; break; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $77=$hasUpvars; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77) & 1); //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $80=$fun; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN10JSFunction7setKindEt($80, -16384); //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 29; break; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $82=$canFlatten; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82) & 1); //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($83) { __label__ = 22; break; } else { __label__ = 28; break; } //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $85=$fun; //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN10JSFunction7setKindEt($85, -32768); //@line 2502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$fn; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=__ZNK11JSParseNode5getOpEv($86); //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($87)|0) == 127) {
        __label__ = 23; break;
      }
      else if ((($87)|0) == 140) {
        __label__ = 24; break;
      }
      else if ((($87)|0) == 130) {
        __label__ = 25; break;
      }
      else {
      __label__ = 26; break;
      }
      
    case 23: 
      var $89=$fn; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($89, 222); //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $91=$fn; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($91, 223); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $93=$fn; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($93, 224); //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      __label__ = 27; break; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      __label__ = 28; break; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      __label__ = 30; break;
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $100=$fun; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=__ZNK10JSFunction4kindEv($100); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101)&65535); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($102)|0)==16384; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($103) { __label__ = 32; break; } else { __label__ = 40; break; } //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $105=$pn; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=__ZNK11JSParseNode6isKindEN2js9TokenKindE($105, 85); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($106) { __label__ = 33; break; } else { __label__ = 40; break; } //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $108=$pn; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=(($108+32)|0); //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110)|0); //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$upvars1; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$111; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($112)>>2)]=HEAP32[(($113)>>2)]; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$upvars1; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($114); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3allEv($r2, $115); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $117=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5emptyEv($r2); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117 ^ 1; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($118) { __label__ = 35; break; } else { __label__ = 39; break; } //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv($5, $r2); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry5valueEv($5); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $defn3=$121; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$defn3; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=__ZN12JSDefinition7resolveEv($122); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lexdep4=$123; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$lexdep4; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=__ZNK12JSDefinition9isFreeVarEv($124); //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($125) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $127=$lexdep4; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$2; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$3; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL16FlagHeavyweightsP12JSDefinitionP13JSFunctionBoxPj($127, $128, $129); //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      __label__ = 38; break; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range8popFrontEv($r2); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      __label__ = 40; break; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $134=$2; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=__ZNK13JSFunctionBox8joinableEv($134); //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($135) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $137=$fun; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN10JSFunction11setJoinableEv($137); //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 42; break; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      __label__ = 43; break; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $140=$2; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($140+28)|0); //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $2=$142; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      STACKTOP = __stackBase__;
      return; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser16setFunctionKindsEP13JSFunctionBoxPj["X"]=1;

function __ZN18JSFunctionBoxQueueC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN18JSFunctionBoxQueueC2Ev($2); //@line 1074 "./jsparse.h"
  ;
  return; //@line 1074 "./jsparse.h"
}


function __ZN18JSFunctionBoxQueue4initEj($this, $count) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$count;
  var $3=$1;
  var $4=$2; //@line 1077 "./jsparse.h"
  var $5=_JS_CeilingLog2($4); //@line 1077 "./jsparse.h"
  var $6=1 << $5; //@line 1077 "./jsparse.h"
  var $7=(($6-1)|0); //@line 1077 "./jsparse.h"
  var $8=(($3+12)|0); //@line 1077 "./jsparse.h"
  HEAP32[(($8)>>2)]=$7; //@line 1077 "./jsparse.h"
  var $9=__ZN18JSFunctionBoxQueue6lengthEv($3); //@line 1078 "./jsparse.h"
  var $10=((($9<<6))|0); //@line 1078 "./jsparse.h"
  var $11=__ZN2js11OffTheBooks7malloc_Ej($10); //@line 1078 "./jsparse.h"
  var $12=$11; //@line 1078 "./jsparse.h"
  var $13=(($3)|0); //@line 1078 "./jsparse.h"
  HEAP32[(($13)>>2)]=$12; //@line 1078 "./jsparse.h"
  var $14=(($3)|0); //@line 1079 "./jsparse.h"
  var $15=HEAP32[(($14)>>2)]; //@line 1079 "./jsparse.h"
  var $16=(($15)|0)!=0; //@line 1079 "./jsparse.h"
  var $17=$16 ^ 1; //@line 1079 "./jsparse.h"
  var $18=$17 ^ 1; //@line 1079 "./jsparse.h"
  ;
  return $18; //@line 1079 "./jsparse.h"
}


function __ZN18JSFunctionBoxQueue4pullEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $funbox;
      $2=$this;
      var $3=$2;
      var $4=(($3+8)|0); //@line 1093 "./jsparse.h"
      var $5=HEAP32[(($4)>>2)]; //@line 1093 "./jsparse.h"
      var $6=(($3+4)|0); //@line 1093 "./jsparse.h"
      var $7=HEAP32[(($6)>>2)]; //@line 1093 "./jsparse.h"
      var $8=(($5)|0)==(($7)|0); //@line 1093 "./jsparse.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1093 "./jsparse.h"
    case 2: 
      $1=0; //@line 1094 "./jsparse.h"
      __label__ = 4; break; //@line 1094 "./jsparse.h"
    case 3: 
      var $11=(($3+8)|0); //@line 1096 "./jsparse.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1096 "./jsparse.h"
      var $13=(($12+1)|0); //@line 1096 "./jsparse.h"
      HEAP32[(($11)>>2)]=$13; //@line 1096 "./jsparse.h"
      var $14=(($3+12)|0); //@line 1096 "./jsparse.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1096 "./jsparse.h"
      var $16=$12 & $15; //@line 1096 "./jsparse.h"
      var $17=(($3)|0); //@line 1096 "./jsparse.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1096 "./jsparse.h"
      var $19=(($18+($16<<2))|0); //@line 1096 "./jsparse.h"
      var $20=HEAP32[(($19)>>2)]; //@line 1096 "./jsparse.h"
      $funbox=$20; //@line 1096 "./jsparse.h"
      var $21=$funbox; //@line 1097 "./jsparse.h"
      var $22=$21; //@line 1097 "./jsparse.h"
      var $23=(($22+56)|0); //@line 1097 "./jsparse.h"
      var $24=$23; //@line 1097 "./jsparse.h"
      var $25=HEAP32[(($24)>>2)]; //@line 1097 "./jsparse.h"
      var $26=$25 & -2; //@line 1097 "./jsparse.h"
      HEAP32[(($24)>>2)]=$26; //@line 1097 "./jsparse.h"
      var $27=$funbox; //@line 1098 "./jsparse.h"
      $1=$27; //@line 1098 "./jsparse.h"
      __label__ = 4; break; //@line 1098 "./jsparse.h"
    case 4: 
      var $29=$1; //@line 1099 "./jsparse.h"
      ;
      return $29; //@line 1099 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry5valueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 131 "./mfbt/InlineMap.h"
  var $4=HEAP32[(($3)>>2)]; //@line 131 "./mfbt/InlineMap.h"
  ;
  return $4; //@line 131 "./mfbt/InlineMap.h"
}


function __ZN11JSParseNode9setFunArgEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 1003 "./jsparse.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 1003 "./jsparse.h"
      var $5=$4 >>> 30; //@line 1003 "./jsparse.h"
      var $6=$5 & 1; //@line 1003 "./jsparse.h"
      var $7=(($6)|0)!=0; //@line 1003 "./jsparse.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1003 "./jsparse.h"
    case 2: 
      var $9=(($2+32)|0); //@line 1004 "./jsparse.h"
      var $10=$9; //@line 1004 "./jsparse.h"
      var $11=(($10+4)|0); //@line 1004 "./jsparse.h"
      var $12=$11; //@line 1004 "./jsparse.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1004 "./jsparse.h"
      var $14=$13; //@line 1004 "./jsparse.h"
      var $15=(($14+32)|0); //@line 1004 "./jsparse.h"
      var $16=$15; //@line 1004 "./jsparse.h"
      var $17=$16; //@line 1004 "./jsparse.h"
      var $18=(($17+12)|0); //@line 1004 "./jsparse.h"
      var $19=$18; //@line 1004 "./jsparse.h"
      var $20=HEAP32[(($19)>>2)]; //@line 1004 "./jsparse.h"
      var $21=$20 & 4095; //@line 1004 "./jsparse.h"
      var $22=$21 | 256; //@line 1004 "./jsparse.h"
      var $23=$22 & 4095; //@line 1004 "./jsparse.h"
      var $24=$16; //@line 1004 "./jsparse.h"
      var $25=(($24+12)|0); //@line 1004 "./jsparse.h"
      var $26=$25; //@line 1004 "./jsparse.h"
      var $27=$23 & 4095; //@line 1004 "./jsparse.h"
      var $28=HEAP32[(($26)>>2)]; //@line 1004 "./jsparse.h"
      var $29=$28 & -4096; //@line 1004 "./jsparse.h"
      var $30=$29 | $27; //@line 1004 "./jsparse.h"
      HEAP32[(($26)>>2)]=$30; //@line 1004 "./jsparse.h"
      __label__ = 3; break; //@line 1004 "./jsparse.h"
    case 3: 
      var $32=(($2+32)|0); //@line 1005 "./jsparse.h"
      var $33=$32; //@line 1005 "./jsparse.h"
      var $34=$33; //@line 1005 "./jsparse.h"
      var $35=(($34+12)|0); //@line 1005 "./jsparse.h"
      var $36=$35; //@line 1005 "./jsparse.h"
      var $37=HEAP32[(($36)>>2)]; //@line 1005 "./jsparse.h"
      var $38=$37 & 4095; //@line 1005 "./jsparse.h"
      var $39=$38 | 256; //@line 1005 "./jsparse.h"
      var $40=$39 & 4095; //@line 1005 "./jsparse.h"
      var $41=$33; //@line 1005 "./jsparse.h"
      var $42=(($41+12)|0); //@line 1005 "./jsparse.h"
      var $43=$42; //@line 1005 "./jsparse.h"
      var $44=$40 & 4095; //@line 1005 "./jsparse.h"
      var $45=HEAP32[(($43)>>2)]; //@line 1005 "./jsparse.h"
      var $46=$45 & -4096; //@line 1005 "./jsparse.h"
      var $47=$46 | $44; //@line 1005 "./jsparse.h"
      HEAP32[(($43)>>2)]=$47; //@line 1005 "./jsparse.h"
      ;
      return; //@line 1006 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11JSParseNode9setFunArgEv["X"]=1;

function __ZN18JSFunctionBoxQueue4pushEP13JSFunctionBox($this, $funbox) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$funbox;
      var $3=$1;
      var $4=$2; //@line 1085 "./jsparse.h"
      var $5=$4; //@line 1085 "./jsparse.h"
      var $6=(($5+56)|0); //@line 1085 "./jsparse.h"
      var $7=$6; //@line 1085 "./jsparse.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1085 "./jsparse.h"
      var $9=$8 & 1; //@line 1085 "./jsparse.h"
      var $10=(($9)|0)!=0; //@line 1085 "./jsparse.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1085 "./jsparse.h"
    case 2: 
      var $12=$2; //@line 1087 "./jsparse.h"
      var $13=(($3+4)|0); //@line 1087 "./jsparse.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1087 "./jsparse.h"
      var $15=(($14+1)|0); //@line 1087 "./jsparse.h"
      HEAP32[(($13)>>2)]=$15; //@line 1087 "./jsparse.h"
      var $16=(($3+12)|0); //@line 1087 "./jsparse.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1087 "./jsparse.h"
      var $18=$14 & $17; //@line 1087 "./jsparse.h"
      var $19=(($3)|0); //@line 1087 "./jsparse.h"
      var $20=HEAP32[(($19)>>2)]; //@line 1087 "./jsparse.h"
      var $21=(($20+($18<<2))|0); //@line 1087 "./jsparse.h"
      HEAP32[(($21)>>2)]=$12; //@line 1087 "./jsparse.h"
      var $22=$2; //@line 1088 "./jsparse.h"
      var $23=$22; //@line 1088 "./jsparse.h"
      var $24=(($23+56)|0); //@line 1088 "./jsparse.h"
      var $25=$24; //@line 1088 "./jsparse.h"
      var $26=HEAP32[(($25)>>2)]; //@line 1088 "./jsparse.h"
      var $27=$26 & -2; //@line 1088 "./jsparse.h"
      var $28=$27 | 1; //@line 1088 "./jsparse.h"
      HEAP32[(($25)>>2)]=$28; //@line 1088 "./jsparse.h"
      __label__ = 3; break; //@line 1089 "./jsparse.h"
    case 3: 
      ;
      return; //@line 1090 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11FindFunArgsP13JSFunctionBoxiP18JSFunctionBoxQueue($funbox, $level, $queue) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $allskipmin;
      var $fn;
      var $fun;
      var $fnlevel;
      var $kid;
      var $skipmin;
      var $pn;
      var $upvars;
      var $r=__stackBase__;
      var $defn;
      var $4=__stackBase__+20;
      var $lexdep;
      var $upvarLevel;
      var $skip;
      var $kidskipmin;
      $1=$funbox;
      $2=$level;
      $3=$queue;
      $allskipmin=16383; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=$1; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+24)|0); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fn=$8; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$1; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZNK13JSFunctionBox8functionEv($9); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fun=$10; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$2; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fnlevel=$11; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$1; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+60)|0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14 & 768; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)!=0; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $18=$fn; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9setFunArgEv($18); //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$1; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+32)|0); //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $kid=$21; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $23=$kid; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)!=0; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $26=$kid; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+24)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9setFunArgEv($28); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $30=$kid; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+28)|0); //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $kid=$32; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $skipmin=16383; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$fn; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+32)|0); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+4)|0); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$40; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$pn; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZNK11JSParseNode6isKindEN2js9TokenKindE($41, 85); //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 20; break; } //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $44=$pn; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+32)|0); //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46)|0); //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $upvars=$47; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$upvars; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($49); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3allEv($r, $50); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $52=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5emptyEv($r); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52 ^ 1; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 19; break; } //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv($4, $r); //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry5valueEv($4); //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $defn=$56; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$defn; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=__ZN12JSDefinition7resolveEv($57); //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lexdep=$58; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$lexdep; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=__ZNK12JSDefinition9isFreeVarEv($59); //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 17; break; } else { __label__ = 12; break; } //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $62=$lexdep; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=__ZNK11JSParseNode10frameLevelEv($63); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $upvarLevel=$64; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$upvarLevel; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$fnlevel; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($65)|0) <= (($66)|0); //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $69=$fn; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9setFunArgEv($69); //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $71=$1; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$71; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72+56)|0); //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=HEAPU32[(($74)>>2)]; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75 >>> 2; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$76 & 16383; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+1)|0); //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$upvarLevel; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($78-$79)|0); //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $skip=$80; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$skip; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$skipmin; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($81)>>>0) < (($82)>>>0); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($83) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $85=$skip; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $skipmin=$85; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 17; break; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 18; break; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range8popFrontEv($r); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 20; break; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $91=$fn; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=__ZNK11JSParseNode8isFunArgEv($91); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($92) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $94=$3; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$1; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN18JSFunctionBoxQueue4pushEP13JSFunctionBox($94, $95); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$1; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97+56)|0); //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=HEAPU32[(($99)>>2)]; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$100 >>> 2; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101 & 16383; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fnlevel=$102; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $104=$1; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=(($104+32)|0); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106)|0)!=0; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($107) { __label__ = 23; break; } else { __label__ = 29; break; } //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $109=$1; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109+32)|0); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$fnlevel; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$3; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=__ZL11FindFunArgsP13JSFunctionBoxiP18JSFunctionBoxQueue($111, $112, $113); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $kidskipmin=$114; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$kidskipmin; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115)|0)!=16383; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($116) { __label__ = 24; break; } else { __label__ = 28; break; } //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $118=$kidskipmin; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118-1)|0); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $kidskipmin=$119; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$kidskipmin; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120)|0)!=0; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($121) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $123=$kidskipmin; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$skipmin; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($123)>>>0) < (($124)>>>0); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($125) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $127=$kidskipmin; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $skipmin=$127; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      __label__ = 28; break; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      __label__ = 29; break; //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $131=$skipmin; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131)|0)!=16383; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($132) { __label__ = 30; break; } else { __label__ = 33; break; } //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $134=$skipmin; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=(($134) & 65535); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$fun; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=(($136+60)|0); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$137; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+4)|0); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($139)>>1)]=$135; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$skipmin; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$allskipmin; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($140)>>>0) < (($141)>>>0); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($142) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $144=$skipmin; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $allskipmin=$144; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 33; break; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 34; break; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $148=$1; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($148+28)|0); //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$150; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150)|0)!=0; //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($151) { __label__ = 2; break; } else { __label__ = 35; break; } //@line 2130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $153=$allskipmin; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $153; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11FindFunArgsP13JSFunctionBoxiP18JSFunctionBoxQueue["X"]=1;

function __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3allEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE8usingMapEv($3); //@line 404 "./mfbt/InlineMap.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 404 "./mfbt/InlineMap.h"
    case 2: 
      var $6=(($3+200)|0); //@line 404 "./mfbt/InlineMap.h"
      __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv($2, $6); //@line 404 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E5RangeE($agg_result, $2); //@line 404 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 404 "./mfbt/InlineMap.h"
    case 3: 
      var $8=(($3+8)|0); //@line 404 "./mfbt/InlineMap.h"
      var $9=(($8)|0); //@line 404 "./mfbt/InlineMap.h"
      var $10=(($3+8)|0); //@line 404 "./mfbt/InlineMap.h"
      var $11=(($10)|0); //@line 404 "./mfbt/InlineMap.h"
      var $12=(($3)|0); //@line 404 "./mfbt/InlineMap.h"
      var $13=HEAP32[(($12)>>2)]; //@line 404 "./mfbt/InlineMap.h"
      var $14=(($11+($13<<3))|0); //@line 404 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC1EPKNS5_10InlineElemES9_($agg_result, $9, $14); //@line 404 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 404 "./mfbt/InlineMap.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 404 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5emptyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range13isInlineRangeEv($2); //@line 384 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 384 "./mfbt/InlineMap.h"
    case 2: 
      var $5=(($2+8)|0); //@line 384 "./mfbt/InlineMap.h"
      var $6=HEAP32[(($5)>>2)]; //@line 384 "./mfbt/InlineMap.h"
      var $7=(($2+12)|0); //@line 384 "./mfbt/InlineMap.h"
      var $8=HEAP32[(($7)>>2)]; //@line 384 "./mfbt/InlineMap.h"
      var $9=(($6)|0)==(($8)|0); //@line 384 "./mfbt/InlineMap.h"
      var $14 = $9;__label__ = 4; break; //@line 384 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 384 "./mfbt/InlineMap.h"
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($11); //@line 384 "./mfbt/InlineMap.h"
      var $14 = $12;__label__ = 4; break; //@line 384 "./mfbt/InlineMap.h"
    case 4: 
      var $14; //@line 384 "./mfbt/InlineMap.h"
      ;
      return $14; //@line 384 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv($agg_result, $this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range13isInlineRangeEv($2); //@line 389 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 389 "./mfbt/InlineMap.h"
    case 2: 
      var $5=(($2+8)|0); //@line 390 "./mfbt/InlineMap.h"
      var $6=HEAP32[(($5)>>2)]; //@line 390 "./mfbt/InlineMap.h"
      var $7=(($6)|0); //@line 390 "./mfbt/InlineMap.h"
      var $8=(($2+8)|0); //@line 390 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 390 "./mfbt/InlineMap.h"
      var $10=(($9+4)|0); //@line 390 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5EntryC1ERKS2_RKS4_($agg_result, $7, $10); //@line 390 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 390 "./mfbt/InlineMap.h"
    case 3: 
      var $12=(($2)|0); //@line 391 "./mfbt/InlineMap.h"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($12); //@line 391 "./mfbt/InlineMap.h"
      var $14=(($13)|0); //@line 391 "./mfbt/InlineMap.h"
      var $15=(($2)|0); //@line 391 "./mfbt/InlineMap.h"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($15); //@line 391 "./mfbt/InlineMap.h"
      var $17=(($16+4)|0); //@line 391 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5EntryC1ERKS2_RKS4_($agg_result, $14, $17); //@line 391 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 391 "./mfbt/InlineMap.h"
    case 4: 
      ;
      return; //@line 392 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN12JSDefinition7resolveEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 931 "./jsparse.h"
      $pn=$3; //@line 931 "./jsparse.h"
      __label__ = 2; break; //@line 932 "./jsparse.h"
    case 2: 
      var $5=$pn; //@line 932 "./jsparse.h"
      var $6=__ZNK11JSParseNode6isDefnEv($5); //@line 932 "./jsparse.h"
      var $7=$6 ^ 1; //@line 932 "./jsparse.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 932 "./jsparse.h"
    case 3: 
      var $9=$pn; //@line 933 "./jsparse.h"
      var $10=__ZNK11JSParseNode7getKindEv($9); //@line 933 "./jsparse.h"
      var $11=(($10)|0)==4; //@line 933 "./jsparse.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 933 "./jsparse.h"
    case 4: 
      var $13=$pn; //@line 934 "./jsparse.h"
      var $14=(($13+32)|0); //@line 934 "./jsparse.h"
      var $15=$14; //@line 934 "./jsparse.h"
      var $16=(($15)|0); //@line 934 "./jsparse.h"
      var $17=HEAP32[(($16)>>2)]; //@line 934 "./jsparse.h"
      $pn=$17; //@line 934 "./jsparse.h"
      __label__ = 2; break; //@line 935 "./jsparse.h"
    case 5: 
      var $19=$pn; //@line 937 "./jsparse.h"
      var $20=__ZNK11JSParseNode6lexdefEv($19); //@line 937 "./jsparse.h"
      var $21=$20; //@line 937 "./jsparse.h"
      $pn=$21; //@line 937 "./jsparse.h"
      __label__ = 2; break; //@line 938 "./jsparse.h"
    case 6: 
      var $23=$pn; //@line 939 "./jsparse.h"
      var $24=$23; //@line 939 "./jsparse.h"
      ;
      return $24; //@line 939 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK12JSDefinition9isFreeVarEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=$2; //@line 944 "./jsparse.h"
      var $4=(($3+32)|0); //@line 944 "./jsparse.h"
      var $5=$4; //@line 944 "./jsparse.h"
      var $6=(($5+8)|0); //@line 944 "./jsparse.h"
      var $7=__ZNK2js11UpvarCookie6isFreeEv($6); //@line 944 "./jsparse.h"
      if ($7) { var $12 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 944 "./jsparse.h"
    case 2: 
      var $9=$2; //@line 944 "./jsparse.h"
      var $10=__ZNK11JSParseNode4testEj($9, 64); //@line 944 "./jsparse.h"
      var $12 = $10;__label__ = 3; break; //@line 944 "./jsparse.h"
    case 3: 
      var $12;
      ;
      return $12; //@line 944 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK11JSParseNode8isFunArgEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 256); //@line 575 "./jsparse.h"
  ;
  return $3; //@line 575 "./jsparse.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range13isInlineRangeEv($2); //@line 396 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 396 "./mfbt/InlineMap.h"
    case 2: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range10bumpCurPtrEv($2); //@line 397 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 397 "./mfbt/InlineMap.h"
    case 3: 
      var $6=(($2)|0); //@line 399 "./mfbt/InlineMap.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($6); //@line 399 "./mfbt/InlineMap.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 400 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18JSFunctionBoxQueueD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN18JSFunctionBoxQueueD2Ev($2); //@line 1082 "./jsparse.h"
  ;
  return; //@line 1082 "./jsparse.h"
}


function __ZL18ConsiderUnbrandingP13JSFunctionBox($funbox) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $returnsExpr;
      var $pn2;
      var $methodSets;
      var $slowMethodSets;
      var $method;
      $1=$funbox;
      var $2=$1; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $3=(($2+60)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$4 & 4; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6 ^ 1; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7 ^ 1; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)&1); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $returnsExpr=$9; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$1; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+24)|0); //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+32)|0); //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+4)|0); //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$17; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$pn2; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZNK11JSParseNode6isKindEN2js9TokenKindE($18, 85); //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $21=$pn2; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+32)|0); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+4)|0); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$25; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $27=$pn2; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZNK11JSParseNode6isKindEN2js9TokenKindE($27, 84); //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $30=$pn2; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK11JSParseNode4lastEv($30); //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$31; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $33=$pn2; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZNK11JSParseNode6isKindEN2js9TokenKindE($33, 25); //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $returnsExpr=1; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $37=$returnsExpr; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37) & 1); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($38) { __label__ = 17; break; } else { __label__ = 8; break; } //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $methodSets=0; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $slowMethodSets=0; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$1; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+40)|0); //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $method=$42; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $44=$method; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0)!=0; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $47=$methodSets; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+1)|0); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $methodSets=$48; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$method; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49+32)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZNK13JSFunctionBox8joinableEv($54); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $57=$slowMethodSets; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57+1)|0); //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $slowMethodSets=$58; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $61=$method; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+28)|0); //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $method=$63; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $65=$1; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$methodSets; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$slowMethodSets; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=__ZNK13JSFunctionBox13shouldUnbrandEjj($65, $66, $67); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($68) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $70=$1; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+60)|0); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72 | 1048576; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($71)>>2)]=$73; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 17; break; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      ;
      return; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18ConsiderUnbrandingP13JSFunctionBox["X"]=1;

function __ZN10JSFunction7setKindEt($this, $k) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$k;
  var $3=$1;
  var $4=(($3+58)|0); //@line 142 "./jsfun.h"
  var $5=HEAPU16[(($4)>>1)]; //@line 142 "./jsfun.h"
  var $6=(($5)&65535); //@line 142 "./jsfun.h"
  var $7=$6 & -49153; //@line 142 "./jsfun.h"
  var $8=$2; //@line 142 "./jsfun.h"
  var $9=(($8)&65535); //@line 142 "./jsfun.h"
  var $10=$7 | $9; //@line 142 "./jsfun.h"
  var $11=(($10) & 65535); //@line 142 "./jsfun.h"
  var $12=(($3+58)|0); //@line 142 "./jsfun.h"
  HEAP16[(($12)>>1)]=$11; //@line 142 "./jsfun.h"
  ;
  return; //@line 143 "./jsfun.h"
}


function __ZN2js8Bindings20setExtensibleParentsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+10)|0); //@line 341 "./jsscript.h"
  HEAP8[($3)]=1; //@line 341 "./jsscript.h"
  ;
  return; //@line 341 "./jsscript.h"
}


function __ZN12JSDefinition10kindStringENS_4KindE($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $3=((_table+($2<<2))|0); //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $4; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN11JSParseNode9makeEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 691 "./jsparse.h"
  var $4=$3; //@line 691 "./jsparse.h"
  var $5=(($4)|0); //@line 691 "./jsparse.h"
  HEAP32[(($5)>>2)]=0; //@line 691 "./jsparse.h"
  var $6=(($2+32)|0); //@line 692 "./jsparse.h"
  var $7=$6; //@line 692 "./jsparse.h"
  var $8=(($7)|0); //@line 692 "./jsparse.h"
  var $9=(($2+32)|0); //@line 692 "./jsparse.h"
  var $10=$9; //@line 692 "./jsparse.h"
  var $11=(($10+4)|0); //@line 692 "./jsparse.h"
  HEAP32[(($11)>>2)]=$8; //@line 692 "./jsparse.h"
  var $12=(($2+32)|0); //@line 693 "./jsparse.h"
  var $13=$12; //@line 693 "./jsparse.h"
  var $14=(($13+8)|0); //@line 693 "./jsparse.h"
  HEAP32[(($14)>>2)]=0; //@line 693 "./jsparse.h"
  var $15=(($2+32)|0); //@line 694 "./jsparse.h"
  var $16=$15; //@line 694 "./jsparse.h"
  var $17=$16; //@line 694 "./jsparse.h"
  var $18=(($17+12)|0); //@line 694 "./jsparse.h"
  var $19=$18; //@line 694 "./jsparse.h"
  var $20=HEAP32[(($19)>>2)]; //@line 694 "./jsparse.h"
  var $21=$20 & -4096; //@line 694 "./jsparse.h"
  HEAP32[(($19)>>2)]=$21; //@line 694 "./jsparse.h"
  var $22=(($2+32)|0); //@line 695 "./jsparse.h"
  var $23=$22; //@line 695 "./jsparse.h"
  var $24=$23; //@line 695 "./jsparse.h"
  var $25=(($24+12)|0); //@line 695 "./jsparse.h"
  var $26=$25; //@line 695 "./jsparse.h"
  var $27=HEAP32[(($26)>>2)]; //@line 695 "./jsparse.h"
  var $28=$27 & 4095; //@line 695 "./jsparse.h"
  HEAP32[(($26)>>2)]=$28; //@line 695 "./jsparse.h"
  ;
  return; //@line 696 "./jsparse.h"
}


function __ZL15CanFlattenUpvarP12JSDefinitionP13JSFunctionBoxj($dn, $funbox, $tcflags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $afunbox;
      var $dnLevel;
      var $afun;
      var $dnKind;
      $2=$dn;
      $3=$funbox;
      $4=$tcflags;
      var $5=$3; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $afunbox=$5; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$2; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZNK11JSParseNode10frameLevelEv($7); //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dnLevel=$8; //@line 2246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $10=$afunbox; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+56)|0); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$12; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAPU32[(($13)>>2)]; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14 >>> 2; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15 & 16383; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$dnLevel; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($16)|0)!=(($17)|0); //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $20=$afunbox; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+36)|0); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $afunbox=$22; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$afunbox; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)!=0; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $26=$afunbox; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+24)|0); //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZNK11JSParseNode8isFunArgEv($28); //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=0; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $32=$afunbox; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+60)|0); //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34 & 512; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0)!=0; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 2; break; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $40=$afunbox; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+56)|0); //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$42; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAPU32[(($43)>>2)]; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44 >>> 1; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45 & 1; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46)|0)!=0; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $50=$afunbox; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+36)|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0)!=0; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $55=$afunbox; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+36)|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57+60)|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63 = $59;__label__ = 14; break; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $61=$4; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63 = $61;__label__ = 14; break; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $63; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63 & 256; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64)|0)!=0; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      $1=0; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $68=$afunbox; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=__ZNK13JSFunctionBox8functionEv($68); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $afun=$69; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$afun; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+58)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=HEAPU16[(($71)>>1)]; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72)&65535); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73 & 8; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74)|0)!=0; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($75) { __label__ = 21; break; } else { __label__ = 17; break; } //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $77=$2; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=__ZN12JSDefinition13isBindingFormEv($77); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $80=$2; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81+4)|0); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$afunbox; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+24)|0); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+4)|0); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=__ZN2js8TokenPosgeERKS0_($82, $86); //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($87) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $1=0; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $91=$2; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$91; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=__ZNK11JSParseNode13isInitializedEv($92); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($93) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      $1=0; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $96=$2; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=__ZN12JSDefinition4kindEv($96); //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dnKind=$97; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$dnKind; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98)|0)!=1; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($99) { __label__ = 24; break; } else { __label__ = 33; break; } //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $101=$2; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101; //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=__ZNK11JSParseNode10isAssignedEv($102); //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($103) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $1=0; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $106=$dnKind; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106)|0)==4; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($107) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $109=$afunbox; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109+36)|0); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111)|0)!=0; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($112) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $114=$afunbox; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114+36)|0); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116+60)|0); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122 = $118;__label__ = 30; break; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $120=$4; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122 = $120;__label__ = 30; break; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $122; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122 & 128; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=(($123)|0)!=0; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($124) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      $1=0; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 33; break; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $128=$dnKind; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128)|0)!=3; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($129) { __label__ = 34; break; } else { __label__ = 39; break; } //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $131=$2; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=(($132+4)|0); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133+8)|0); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$afunbox; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135+24)|0); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=(($137+4)|0); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+8)|0); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=__ZN2js8TokenPtrgeERKS0_($134, $139); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($140) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      $1=0; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $143=$afunbox; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+24)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$2; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$146; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($147+32)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$148; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$149; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150+12)|0); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$151; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=HEAPU32[(($152)>>2)]; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$153 >>> 12; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$154 & 1048575; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=__ZL10MinBlockIdP11JSParseNodej($145, $155); //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=(($156)|0)!=0; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($157) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      $1=0; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      __label__ = 39; break; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      $1=1; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $162=$1; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $162; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15CanFlattenUpvarP12JSDefinitionP13JSFunctionBoxj["X"]=1;

function __ZL16FlagHeavyweightsP12JSDefinitionP13JSFunctionBoxPj($dn, $funbox, $tcflags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $dnLevel;
      $1=$dn;
      $2=$funbox;
      $3=$tcflags;
      var $4=$1; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$4; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZNK11JSParseNode10frameLevelEv($5); //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dnLevel=$6; //@line 2368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=$2; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+36)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $2=$10; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)!=0; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=$2; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+56)|0); //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAPU32[(($16)>>2)]; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17 >>> 2; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18 & 16383; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+1)|0); //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$dnLevel; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($20)|0)==(($21)|0); //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $24=$dnLevel; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)==0; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $27=$1; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZNK11JSParseNode5isLetEv($28); //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $31=$2; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+60)|0); //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33 | 256; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($32)>>2)]=$34; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $36=$2; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+60)|0); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38 | 4194304; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($37)>>2)]=$39; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $41=$2; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)|0)!=0; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 9; break; } //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $44=$3; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45 & 2; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46)|0)!=0; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $49=$3; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50 | 256; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($49)>>2)]=$51; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      ;
      return; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16FlagHeavyweightsP12JSDefinitionP13JSFunctionBoxPj["X"]=1;

function __ZN10JSFunction11setJoinableEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=$3; //@line 56 "./jsfuninlines.h"
  __ZN2JSL9NullValueEv2953($2); //@line 56 "./jsfuninlines.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($4, 0, $2); //@line 56 "./jsfuninlines.h"
  var $5=(($3+58)|0); //@line 57 "./jsfuninlines.h"
  var $6=HEAPU16[(($5)>>1)]; //@line 57 "./jsfuninlines.h"
  var $7=(($6)&65535); //@line 57 "./jsfuninlines.h"
  var $8=$7 | 1; //@line 57 "./jsfuninlines.h"
  var $9=(($8) & 65535); //@line 57 "./jsfuninlines.h"
  HEAP16[(($5)>>1)]=$9; //@line 57 "./jsfuninlines.h"
  STACKTOP = __stackBase__;
  return; //@line 58 "./jsfuninlines.h"
}


function __ZN2js6Parser17functionArgumentsER13JSTreeContextP13JSFunctionBoxPP11JSParseNode($this, $funtc, $funbox, $listp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $duplicatedArg;
      var $destructuringArg;
      var $list;
      var $tt;
      var $data=__stackBase__;
      var $lhs;
      var $slot=__stackBase__+20;
      var $rhs;
      var $item;
      var $atom;
      var $slot1=__stackBase__+24;
      var $dn;
      $2=$this;
      $3=$funtc;
      $4=$funbox;
      $5=$listp;
      var $6=$2;
      var $7=(($6+40)|0); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZN2js11TokenStream8getTokenEv($7); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=27; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $11=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($6, 0, 0, 69, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=(($6+40)|0); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($13, 28); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 38; break; } else { __label__ = 4; break; } //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $duplicatedArg=0; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $destructuringArg=0; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $list=0; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $17=(($6+40)|0); //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZN2js11TokenStream8getTokenEv($17); //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$18; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$tt; //@line 2835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($19)|0) == 23 || (($19)|0) == 25) {
        __label__ = 6; break;
      }
      else if ((($19)|0) == 29) {
        __label__ = 21; break;
      }
      else if ((($19)|0) == -1) {
        __label__ = 31; break;
      }
      else {
      __label__ = 30; break;
      }
      
    case 6: 
      var $21=$duplicatedArg; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0)!=0; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 32; break; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $destructuringArg=1; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN8BindDataC1Ev($data); //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($data)|0); //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($25)>>2)]=0; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($data+4)|0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($26)>>2)]=129; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($data+8)|0); //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($27)>>2)]=210; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$tt; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZN2js6Parser17destructuringExprEP8BindDataNS_9TokenKindE($6, $data, $28); //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lhs=$29; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$lhs; //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)!=0; //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $1=0; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $34=$3; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+92)|0); //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($6+12)|0); //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=__ZN2js8Bindings16addDestructuringEP9JSContextPt($35, $37, $slot); //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($38) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $1=0; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $41=(($6+12)|0); //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+52)|0); //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+209948)|0); //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+24)|0); //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$3; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($48, $49); //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rhs=$51; //@line 2872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$rhs; //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0)!=0; //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $56=$rhs; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($56, 29); //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$rhs; //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($57, 84); //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$rhs; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+32)|0); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+8)|0); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$3; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62+76)|0); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64) & 65535); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=HEAP16[(($slot)>>1)]; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie3setEtt($61, $65, $66); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$rhs; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67+32)|0); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$68; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+12)|0); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$71; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73 & 4095; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74 | 512; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75 & 4095; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$69; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+12)|0); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$78; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$76 & 4095; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAP32[(($79)>>2)]; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81 & -4096; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82 | $80; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($79)>>2)]=$83; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$lhs; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$rhs; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$3; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(4, 0, $84, $85, $86); //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $item=$87; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$item; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88)|0)!=0; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($89) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      $1=0; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $92=$list; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92)|0)!=0; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($93) { __label__ = 20; break; } else { __label__ = 17; break; } //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $95=$3; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=__ZN2js8ListNode6createEP13JSTreeContext($95); //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $list=$97; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$list; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98)|0)!=0; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($99) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=0; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $102=$list; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($102, 46); //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$list; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($103); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$list; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$5; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($105)>>2)]=$104; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $107=$list; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$item; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($107, $108); //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 33; break; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $110=(($6+40)|0); //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=__ZNK2js11TokenStream12currentTokenEv($110); //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111+24)|0); //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112; //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113+4)|0); //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=$115; //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$3; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116+40)|0); //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$atom; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($117, $118); //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119)|0)!=0; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($120) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $122=$atom; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $duplicatedArg=$122; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$destructuringArg; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=(($123) & 1); //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($124) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      __label__ = 32; break; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      __label__ = 25; break; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $128=$3; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128+92)|0); //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=(($6+12)|0); //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$atom; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=__ZN2js8Bindings11addArgumentEP9JSContextP6JSAtomPt($129, $131, $132, $slot1); //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($133) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      $1=0; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $136=$4; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=(($136+24)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$atom; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=HEAPU16[(($slot1)>>1)]; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($140)&65535); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$3; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=__ZL9DefineArgP11JSParseNodeP6JSAtomjP13JSTreeContext($138, $139, $141, $142); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($143) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=0; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      __label__ = 33; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $147=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($6, 0, 0, 70, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      $1=0; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $150=$3; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150+40)|0); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$duplicatedArg; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($151, $152); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$153; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$dn; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$154; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($6, $155, 0, 76, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 34; break; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $159=(($6+40)|0); //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($159, 3); //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($160) { __label__ = 5; break; } else { __label__ = 35; break; } //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $162=(($6+40)|0); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=__ZN2js11TokenStream8getTokenEv($162); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($163)|0)!=28; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($164) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $166=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($6, 0, 0, 71, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      __label__ = 38; break; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      $1=1; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $170=$1; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $170; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser17functionArgumentsER13JSTreeContextP13JSFunctionBoxPP11JSParseNode["X"]=1;

function __ZN8BindDataC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN8BindDataC2Ev($2); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZL20BindDestructuringArgP9JSContextP8BindDataP6JSAtomP13JSTreeContext($cx, $data, $atom, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pn;
      $2=$cx;
      $3=$data;
      $4=$atom;
      $5=$tc;
      var $6=$4; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$5; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+48)|0); //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+12)|0); //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+52)|0); //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+209948)|0); //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+228)|0); //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($6)|0)==(($17)|0); //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $20=$5; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22 | 64; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($21)>>2)]=$23; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $25=$5; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+40)|0); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$4; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($26, $27); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0)!=0; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $31=$2; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$5; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+48)|0); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+40)|0); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($31, $35, 0, 0, 76, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $38=$3; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$40; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$pn; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($41, 87); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$pn; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+32)|0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$43; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+12)|0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$46; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 & 4095; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49 | 512; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50 & 4095; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$44; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52+12)|0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$53; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$51 & 4095; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($54)>>2)]; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56 & -4096; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57 | $55; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($54)>>2)]=$58; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pn; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$4; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$5; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=__ZL6DefineP11JSParseNodeP6JSAtomP13JSTreeContextb($59, $60, $61, 0); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62)&1); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$63; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $65=$1; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $65; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20BindDestructuringArgP9JSContextP8BindDataP6JSAtomP13JSTreeContext["X"]=1;

function __ZN2js6Parser17destructuringExprEP8BindDataNS_9TokenKindE($this, $data, $tt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $pn;
      $2=$this;
      $3=$data;
      $4=$tt;
      var $5=$2;
      var $6=(($5+980)|0); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0); //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$9 | 65536; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($8)>>2)]=$10; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$4; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=__ZN2js6Parser11primaryExprENS_9TokenKindEi($5, $11, 0); //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$12; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($5+980)|0); //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0); //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16 & -65537; //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($15)>>2)]=$17; //@line 4305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$pn; //@line 4306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0)!=0; //@line 4306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $22=(($5+12)|0); //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$3; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$pn; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($5+980)|0); //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($23, $24, $25, $27); //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $31=$pn; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$31; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $33=$1; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $33; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Bindings16addDestructuringEP9JSContextPt($this, $cx, $slotp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$slotp;
  var $4=$1;
  var $5=(($4+4)|0); //@line 255 "./jsscript.h"
  var $6=HEAP16[(($5)>>1)]; //@line 255 "./jsscript.h"
  var $7=$3; //@line 255 "./jsscript.h"
  HEAP16[(($7)>>1)]=$6; //@line 255 "./jsscript.h"
  var $8=$2; //@line 256 "./jsscript.h"
  var $9=__ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE($4, $8, 0, 1); //@line 256 "./jsscript.h"
  ;
  return $9; //@line 256 "./jsscript.h"
}


function __ZN2js8ListNode6createEP13JSTreeContext($tc) {
  ;
  var __label__;

  var $1;
  $1=$tc;
  var $2=$1; //@line 772 "./jsparse.h"
  var $3=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(5, $2); //@line 772 "./jsparse.h"
  var $4=$3; //@line 772 "./jsparse.h"
  ;
  return $4; //@line 772 "./jsparse.h"
}


function __ZN2js9AtomDecls11lookupFirstEP6JSAtom($this, $atom) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $p=__stackBase__+4;
      $2=$this;
      HEAP32[(($3)>>2)]=$atom;
      var $4=$2;
      var $5=(($4+4)|0); //@line 87 "./frontend/ParseMaps-inl.h"
      var $6=HEAP32[(($5)>>2)]; //@line 87 "./frontend/ParseMaps-inl.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6lookupERKS2_($p, $6, $3); //@line 87 "./frontend/ParseMaps-inl.h"
      var $7=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrcvPPPPPPPS5_Ev($p); //@line 88 "./frontend/ParseMaps-inl.h"
      var $8=(($7)|0)!=0; //@line 88 "./frontend/ParseMaps-inl.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 88 "./frontend/ParseMaps-inl.h"
    case 2: 
      $1=0; //@line 89 "./frontend/ParseMaps-inl.h"
      __label__ = 6; break; //@line 89 "./frontend/ParseMaps-inl.h"
    case 3: 
      var $11=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 90 "./frontend/ParseMaps-inl.h"
      var $12=__ZNK2js12DefnOrHeader8isHeaderEv($11); //@line 90 "./frontend/ParseMaps-inl.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 90 "./frontend/ParseMaps-inl.h"
    case 4: 
      var $14=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 92 "./frontend/ParseMaps-inl.h"
      var $15=__ZNK2js12DefnOrHeader6headerEv($14); //@line 92 "./frontend/ParseMaps-inl.h"
      var $16=(($15)|0); //@line 92 "./frontend/ParseMaps-inl.h"
      var $17=HEAP32[(($16)>>2)]; //@line 92 "./frontend/ParseMaps-inl.h"
      $1=$17; //@line 92 "./frontend/ParseMaps-inl.h"
      __label__ = 6; break; //@line 92 "./frontend/ParseMaps-inl.h"
    case 5: 
      var $19=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 94 "./frontend/ParseMaps-inl.h"
      var $20=__ZNK2js12DefnOrHeader4defnEv($19); //@line 94 "./frontend/ParseMaps-inl.h"
      $1=$20; //@line 94 "./frontend/ParseMaps-inl.h"
      __label__ = 6; break; //@line 94 "./frontend/ParseMaps-inl.h"
    case 6: 
      var $22=$1; //@line 95 "./frontend/ParseMaps-inl.h"
      STACKTOP = __stackBase__;
      return $22; //@line 95 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser11functionDefEP6JSAtomNS0_12FunctionTypeENS_18FunctionSyntaxKindE($this, $funAtom, $type, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 148; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $pn;
      var $bodyLevel;
      var $dn;
      var $dn_kind;
      var $name=__stackBase__+4;
      var $6;
      var $fn;
      var $index=__stackBase__+8;
      var $outertc;
      var $funtc=__stackBase__+12;
      var $funbox;
      var $fun;
      var $prelude=__stackBase__+120;
      var $iter=__stackBase__+124;
      var $apn;
      var $tt;
      var $body;
      var $block;
      var $item;
      var $op;
      $2=$this;
      HEAP32[(($3)>>2)]=$funAtom;
      $4=$type;
      $5=$kind;
      var $7=$2;
      var $8=(($7+40)|0); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE4JSOp($8, 34, 0); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($7+980)|0); //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=__ZN2js12FunctionNode6createEP13JSTreeContext($10); //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$12; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$pn; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=0; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 117; break; //@line 2966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $17=$pn; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+32)|0); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+4)|0); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$20; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($21)>>2)]=0; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$pn; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+32)|0); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+8)|0); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($25); //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($7+980)|0); //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZN13JSTreeContext11atBodyLevelEv($27); //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)&1); //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $bodyLevel=$29; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$5; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)==0; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { var $37 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $33=$bodyLevel; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33) & 1); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34 ^ 1; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37 = $35;__label__ = 5; break; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $37;
      var $38=$37 ? 256 : 0; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$pn; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+32)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$38 & 4095; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$41; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+12)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$42 & 4095; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($45)>>2)]; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47 & -4096; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 | $46; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($45)>>2)]=$49; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$5; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50)|0)==1; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($51) { __label__ = 6; break; } else { __label__ = 37; break; } //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $53=(($7+980)|0); //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+40)|0); //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($3)>>2)]; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($55, $56); //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$57; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$dn; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58)|0)!=0; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 7; break; } else { __label__ = 20; break; } //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $61=$dn; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=__ZN12JSDefinition4kindEv($61); //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn_kind=$62; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($7+12)|0); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=__ZNK9JSContext15hasStrictOptionEv($64); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($65) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $67=$dn_kind; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67)|0)==1; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($68) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __ZN16JSAutoByteStringC1Ev($name); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($7+12)|0); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=HEAP32[(($3)>>2)]; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($71, $72, $name); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73)|0)!=0; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $76=$dn_kind; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76)|0)!=1; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77 ? 5 : 0; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$dn_kind; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=__ZN12JSDefinition10kindStringENS_4KindE($79); //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZNK16JSAutoByteString3ptrEv($name); //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($7, 0, $78, 155, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$80,HEAP32[((tempInt+4)>>2)]=$81,tempInt)); //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($82) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $1=0; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 13; break; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $6=0; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      __ZN16JSAutoByteStringD1Ev($name); //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 14; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 117; break;
      }
      else {
      __label__ = 118; break;
      }
      
    case 14: 
      __label__ = 15; break; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $88=$bodyLevel; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88) & 1); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($89) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $91=(($7+980)|0); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92+40)|0); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=HEAP32[(($3)>>2)]; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$pn; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$95; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9AtomDecls11updateFirstEP6JSAtomP12JSDefinition($93, $94, $96); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$pn; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($97, 1); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$dn; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$pn; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100+28)|0); //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($101)>>2)]=$99; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$dn; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$pn; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=HEAP32[(($3)>>2)]; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=(($7+980)|0); //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=__ZL14MakeDefIntoUseP12JSDefinitionP11JSParseNodeP6JSAtomP13JSTreeContext($102, $103, $104, $106); //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107)|0)!=0; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($108) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      $1=0; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 117; break; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      __label__ = 19; break; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 27; break; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $113=$bodyLevel; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113) & 1); //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($114) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $116=(($7+980)|0); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($117+64)|0); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=HEAP32[(($3)>>2)]; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=__ZN2js14AtomDefnMapPtr10lookupDefnEP6JSAtom($119, $120); //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fn=$121; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$fn; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=(($122)|0)!=0; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($123) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $125=$fn; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$125; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($126, 34); //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$fn; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($128, 4); //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$fn; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130+4)|0); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131)|0); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$pn; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133+4)|0); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=(($134)|0); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$132; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$135; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($136)>>2)]=HEAP32[(($137)>>2)];HEAP32[(($136+4)>>2)]=HEAP32[(($137+4)>>2)]; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$fn; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$138; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139+4)|0); //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($140+8)|0); //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$pn; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($142+4)|0); //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+8)|0); //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$141; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$144; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($145)>>2)]=HEAP32[(($146)>>2)];HEAP32[(($145+4)>>2)]=HEAP32[(($146+4)>>2)]; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$fn; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$147; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($148+32)|0); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$149; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150+4)|0); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$151; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($152)>>2)]=0; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=$fn; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$153; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154+32)|0); //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$155; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=(($156+8)|0); //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($157); //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($7+980)|0); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159+64)|0); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$160; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($161); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeERKS2_($162, $3); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=$pn; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($7+980)|0); //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($163, $165); //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$fn; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=$167; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$168; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 23; break; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $170=$pn; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=HEAP32[(($3)>>2)]; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=(($7+980)|0); //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=HEAP32[(($172)>>2)]; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=__ZL6DefineP11JSParseNodeP6JSAtomP13JSTreeContextb($170, $171, $173, 0); //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($174) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      $1=0; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 117; break; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 26; break; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      var $179=$bodyLevel; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($179) & 1); //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($180) { __label__ = 28; break; } else { __label__ = 36; break; } //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $182=(($7+980)|0); //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=__ZNK13JSTreeContext10inFunctionEv($183); //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($184) { __label__ = 29; break; } else { __label__ = 36; break; } //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $186=(($7+980)|0); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=HEAP32[(($186)>>2)]; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=(($187+92)|0); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=(($7+12)|0); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=HEAP32[(($3)>>2)]; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj($188, $190, $191, $index); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($192)|0) == 0 || (($192)|0) == 1) {
        __label__ = 30; break;
      }
      else if ((($192)|0) == 2) {
        __label__ = 33; break;
      }
      else {
      __label__ = 34; break;
      }
      
    case 30: 
      var $194=(($7+980)|0); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=(($195+92)|0); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=__ZNK2js8Bindings9countVarsEv($196); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=(($197)&65535); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($index)>>2)]=$198; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($7+980)|0); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=HEAP32[(($199)>>2)]; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=(($200+92)|0); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=(($7+12)|0); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=HEAP32[(($3)>>2)]; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=__ZN2js8Bindings11addVariableEP9JSContextP6JSAtom($201, $203, $204); //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($205) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      $1=0; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 117; break; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 33; break; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $209=$pn; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=(($209+32)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=$210; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=(($211+8)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=(($7+980)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=(($214+76)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=HEAP32[(($215)>>2)]; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=(($216) & 65535); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=HEAP32[(($index)>>2)]; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218) & 65535); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie3setEtt($212, $217, $219); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=$pn; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=(($220+32)|0); //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=$221; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=$222; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=(($223+12)|0); //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=$224; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=HEAP32[(($225)>>2)]; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=$226 & 4095; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=$227 | 512; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=$228 & 4095; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=$222; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=(($230+12)|0); //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=$231; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=$229 & 4095; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=HEAP32[(($232)>>2)]; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=$234 & -4096; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=$235 | $233; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($232)>>2)]=$236; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      __label__ = 35; break; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __label__ = 36; break; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      __label__ = 37; break; //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $241=(($7+980)|0); //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=HEAP32[(($241)>>2)]; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $outertc=$242; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=(($7+980)|0); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=HEAP32[(($243)>>2)]; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=(($244+48)|0); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=HEAP32[(($245)>>2)]; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContextC1EPN2js6ParserE($funtc, $246); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $247=(($7+12)|0); //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=__ZN13JSTreeContext4initEP9JSContextNS_12InitBehaviorE($funtc, $248, 0); //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($249) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      $1=0; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $252=$pn; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=HEAP32[(($3)>>2)]; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=$5; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=__ZL13EnterFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE($252, $funtc, $253, $254); //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$255; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=$funbox; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=(($256)|0)!=0; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($257) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      $1=0; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $260=$funbox; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=__ZNK13JSFunctionBox8functionEv($260); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fun=$261; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($prelude)>>2)]=0; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=$funbox; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=__ZN2js6Parser17functionArgumentsER13JSTreeContextP13JSFunctionBoxPP11JSParseNode($7, $funtc, $262, $prelude); //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($263) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      $1=0; //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $266=$fun; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=(($funtc+92)|0); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=__ZNK2js8Bindings9countArgsEv($267); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN10JSFunction11setArgCountEt($266, $268); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=HEAP32[(($prelude)>>2)]; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=(($269)|0)!=0; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($270) { __label__ = 44; break; } else { __label__ = 52; break; } //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $272=(($funtc+40)|0); //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js13AtomDeclsIterC1EPNS_9AtomDeclsE($iter, $272); //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $274=__ZN2js13AtomDeclsIterclEv($iter); //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $apn=$274; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=$apn; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=(($275)|0)!=0; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($276) { __label__ = 46; break; } else { __label__ = 51; break; } //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $278=$apn; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=$278; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=__ZNK11JSParseNode4isOpE4JSOp($279, 87); //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($280) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      __label__ = 45; break; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $283=(($7+12)|0); //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=HEAP32[(($283)>>2)]; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=$apn; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=$285; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=__ZL17BindLocalVariableP9JSContextP13JSTreeContextP11JSParseNodeN2js11BindingKindE($284, $funtc, $286, 2); //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($287) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      $1=0; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      __label__ = 45; break; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      __label__ = 52; break; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $292=$4; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=(($292)|0)==0; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($293) { __label__ = 53; break; } else { __label__ = 55; break; } //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $295=$fun; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=(($295+56)|0); //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=HEAPU16[(($296)>>1)]; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=(($297)&65535); //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=(($298)|0) > 0; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($299) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $301=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($7, 0, 0, 251, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str12882)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str22883)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str32884)|0),tempInt)); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $303=$4; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=(($303)|0)==1; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($304) { __label__ = 56; break; } else { __label__ = 58; break; } //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $306=$fun; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=(($306+56)|0); //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=HEAPU16[(($307)>>1)]; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=(($308)&65535); //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=(($309)|0)!=1; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($310) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $312=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($7, 0, 0, 251, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str42885)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str52886)|0),HEAP32[((tempInt+8)>>2)]=((__str62887)|0),tempInt)); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $314=(($7+40)|0); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=__ZN2js11TokenStream8getTokenEj($314, 8); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$315; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=$tt; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=(($316)|0)!=25; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($317) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $319=(($7+40)|0); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($319); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=$fun; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=(($320+58)|0); //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $322=HEAPU16[(($321)>>1)]; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=(($322)&65535); //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=$323 | 4096; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $325=(($324) & 65535); //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($321)>>1)]=$325; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $327=__ZN2js6Parser12functionBodyEv($7); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $body=$327; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=$body; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $329=(($328)|0)!=0; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($329) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      $1=0; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $332=HEAP32[(($3)>>2)]; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=(($332)|0)!=0; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($333) { __label__ = 63; break; } else { __label__ = 65; break; } //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $335=(($7+12)|0); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=HEAP32[(($335)>>2)]; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $337=HEAP32[(($3)>>2)]; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=$pn; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=__Z18CheckStrictBindingP9JSContextP13JSTreeContextP6JSAtomP11JSParseNode($336, $funtc, $337, $338); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($339) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      $1=0; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $342=(($7+12)|0); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=HEAP32[(($342)>>2)]; //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=__ZL21CheckStrictParametersP9JSContextP13JSTreeContext($343, $funtc); //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($344) { __label__ = 67; break; } else { __label__ = 66; break; } //@line 3152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      $1=0; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      var $347=$tt; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=(($347)|0)==25; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($348) { __label__ = 68; break; } else { __label__ = 74; break; } //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      __label__ = 69; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $351=(($7+40)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $352=__ZN2js11TokenStream8getTokenEj($351, 0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=(($352)|0)!=26; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($353) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      var $355=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($7, 0, 0, 73, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      __label__ = 72; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      __label__ = 73; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      __label__ = 78; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $360=$5; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=(($360)|0)==1; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($361) { __label__ = 75; break; } else { __label__ = 77; break; } //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $363=(($7+12)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $364=HEAP32[(($363)>>2)]; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=(($7+40)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=__ZL22MatchOrInsertSemicolonP9JSContextPN2js11TokenStreamE($364, $365); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=(($366)|0)!=0; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($367) { __label__ = 77; break; } else { __label__ = 76; break; } //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      $1=0; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      __label__ = 78; break;
    case 78: 
      var $371=$pn; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $372=(($371+4)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=(($372+8)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=(($7+40)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=__ZNK2js11TokenStream12currentTokenEv($374); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $376=(($375+4)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $377=(($376+8)|0); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $378=$373; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $379=$377; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($378)>>2)]=HEAP32[(($379)>>2)];HEAP32[(($378+4)>>2)]=HEAP32[(($379+4)>>2)]; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=__ZNK13JSTreeContext9callsEvalEv($funtc); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($380) { __label__ = 79; break; } else { __label__ = 80; break; } //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      var $382=$outertc; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext13noteCallsEvalEv($382); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      var $384=HEAP32[(($prelude)>>2)]; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $385=(($384)|0)!=0; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($385) { __label__ = 81; break; } else { __label__ = 90; break; } //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 81: 
      var $387=$body; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=__ZNK11JSParseNode7isArityE16JSParseNodeArity($387, 5); //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($388) { __label__ = 85; break; } else { __label__ = 82; break; } //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 82: 
      var $390=$outertc; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=__ZN2js8ListNode6createEP13JSTreeContext($390); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=$391; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $block=$392; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $393=$block; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $394=(($393)|0)!=0; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($394) { __label__ = 84; break; } else { __label__ = 83; break; } //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 83: 
      $1=0; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 84: 
      var $397=$block; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($397, 82); //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=$block; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $399=(($398+4)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=$body; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $401=(($400+4)|0); //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $402=$399; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $403=$401; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($402)>>2)]=HEAP32[(($403)>>2)];HEAP32[(($402+4)>>2)]=HEAP32[(($403+4)>>2)];HEAP32[(($402+8)>>2)]=HEAP32[(($403+8)>>2)];HEAP32[(($402+12)>>2)]=HEAP32[(($403+12)>>2)]; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $404=$block; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $405=$body; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($404, $405); //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $406=$block; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $body=$406; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 85; break; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 85: 
      var $408=$outertc; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $409=__ZN2js9UnaryNode6createEP13JSTreeContext($408); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $410=$409; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $item=$410; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $411=$item; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $412=(($411)|0)!=0; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($412) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 86: 
      $1=0; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 87: 
      var $415=$item; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($415, 2); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $416=$item; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $417=(($416+4)|0); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $418=(($417)|0); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=$item; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $420=(($419+4)|0); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $421=(($420+8)|0); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $422=$body; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $423=(($422+4)|0); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=(($423)|0); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=$421; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $426=$424; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($425)>>2)]=HEAP32[(($426)>>2)];HEAP32[(($425+4)>>2)]=HEAP32[(($426+4)>>2)]; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $427=$418; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $428=$421; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($427)>>2)]=HEAP32[(($428)>>2)];HEAP32[(($427+4)>>2)]=HEAP32[(($428+4)>>2)]; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $429=HEAP32[(($prelude)>>2)]; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $430=$item; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $431=(($430+32)|0); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $432=$431; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $433=(($432)|0); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($433)>>2)]=$429; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $434=$body; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $435=(($434+32)|0); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $436=$435; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $437=(($436)|0); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $438=HEAP32[(($437)>>2)]; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $439=$item; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $440=(($439+24)|0); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($440)>>2)]=$438; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $441=$item; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $442=$body; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $443=(($442+32)|0); //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $444=$443; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $445=(($444)|0); //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($445)>>2)]=$441; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $446=$body; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $447=(($446+32)|0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $448=$447; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $449=(($448+4)|0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $450=HEAP32[(($449)>>2)]; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $451=$body; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $452=(($451+32)|0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $453=$452; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $454=(($453)|0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $455=(($450)|0)==(($454)|0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($455) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 88: 
      var $457=$item; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $458=(($457+24)|0); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $459=$body; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $460=(($459+32)|0); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $461=$460; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $462=(($461+4)|0); //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($462)>>2)]=$458; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 89; break; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 89: 
      var $464=$body; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $465=(($464+32)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $466=$465; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $467=(($466+8)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $468=HEAP32[(($467)>>2)]; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $469=(($468+1)|0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($467)>>2)]=$469; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $470=$body; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $471=(($470+32)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $472=$471; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $473=$472; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $474=(($473+12)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $475=$474; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $476=HEAP32[(($475)>>2)]; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $477=$476 & 4095; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $478=$477 | 512; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $479=$478 & 4095; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $480=$472; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $481=(($480+12)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $482=$481; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $483=$479 & 4095; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $484=HEAP32[(($482)>>2)]; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $485=$484 & -4096; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $486=$485 | $483; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($482)>>2)]=$486; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 90; break; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 90: 
      var $488=(($funtc)|0); //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $489=HEAP32[(($488)>>2)]; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $490=$489 & 256; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $491=(($490)|0)!=0; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($491) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 91: 
      var $493=$fun; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $494=(($493+58)|0); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $495=HEAPU16[(($494)>>1)]; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $496=(($495)&65535); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $497=$496 | 128; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $498=(($497) & 65535); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($494)>>1)]=$498; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $499=$outertc; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $500=(($499)|0); //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $501=HEAP32[(($500)>>2)]; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $502=$501 | 256; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($500)>>2)]=$502; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 96; break; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 92: 
      var $504=$bodyLevel; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $505=(($504) & 1); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($505) { __label__ = 95; break; } else { __label__ = 93; break; } //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 93: 
      var $507=$5; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $508=(($507)|0)==1; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($508) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 94: 
      var $510=$outertc; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $511=(($510)|0); //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $512=HEAP32[(($511)>>2)]; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $513=$512 | 256; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($511)>>2)]=$513; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 95; break; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 95: 
      __label__ = 96; break;
    case 96: 
      $op=0; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $516=$5; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $517=(($516)|0)==0; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($517) { __label__ = 97; break; } else { __label__ = 98; break; } //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 97: 
      $op=130; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 101; break; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 98: 
      var $520=$bodyLevel; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $521=(($520) & 1); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($521) { __label__ = 100; break; } else { __label__ = 99; break; } //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 99: 
      $op=127; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $523=$outertc; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext20noteMightAliasLocalsEv($523); //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 100; break; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 100: 
      __label__ = 101; break;
    case 101: 
      var $526=(($funtc+84)|0); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $527=HEAP32[(($526)>>2)]; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $528=$funbox; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $529=(($528+32)|0); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($529)>>2)]=$527; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $530=$funbox; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $531=$pn; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $532=(($531+32)|0); //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $533=$532; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $534=(($533)|0); //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $535=$534; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($535)>>2)]=$530; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $536=$pn; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $537=$op; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($536, $537); //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $538=$pn; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $539=(($538+32)|0); //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $540=$539; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $541=(($540+4)|0); //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $542=$541; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $543=HEAP32[(($542)>>2)]; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $544=(($543)|0)!=0; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($544) { __label__ = 102; break; } else { __label__ = 103; break; } //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 102: 
      var $546=$pn; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $547=(($546+32)|0); //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $548=$547; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $549=(($548+4)|0); //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $550=$549; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $551=HEAP32[(($550)>>2)]; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $552=$body; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($551, $552); //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $553=$pn; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $554=(($553+32)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $555=$554; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $556=(($555+4)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $557=$556; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $558=HEAP32[(($557)>>2)]; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $559=(($558+4)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $560=$body; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $561=(($560+4)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $562=$559; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $563=$561; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($562)>>2)]=HEAP32[(($563)>>2)];HEAP32[(($562+4)>>2)]=HEAP32[(($563+4)>>2)];HEAP32[(($562+8)>>2)]=HEAP32[(($563+8)>>2)];HEAP32[(($562+12)>>2)]=HEAP32[(($563+12)>>2)]; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 104; break; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 103: 
      var $565=$body; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $566=$pn; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $567=(($566+32)|0); //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $568=$567; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $569=(($568+4)|0); //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $570=$569; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($570)>>2)]=$565; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 104; break;
    case 104: 
      var $572=$outertc; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $573=__ZNK13JSTreeContext10inFunctionEv($572); //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($573) { __label__ = 111; break; } else { __label__ = 105; break; } //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 105: 
      var $575=$bodyLevel; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $576=(($575) & 1); //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($576) { __label__ = 106; break; } else { __label__ = 111; break; } //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 106: 
      var $578=$5; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $579=(($578)|0)==1; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($579) { __label__ = 107; break; } else { __label__ = 111; break; } //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 107: 
      var $581=$outertc; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $582=__ZNK13JSTreeContext9compilingEv($581); //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($582) { __label__ = 108; break; } else { __label__ = 111; break; } //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 108: 
      var $584=$pn; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $585=$outertc; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $586=__ZN13JSTreeContext15asCodeGeneratorEv($585); //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $587=HEAP32[(($3)>>2)]; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $588=__ZL12DefineGlobalP11JSParseNodeP15JSCodeGeneratorP6JSAtom($584, $586, $587); //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($588) { __label__ = 110; break; } else { __label__ = 109; break; } //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 109: 
      $1=0; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 110: 
      __label__ = 111; break; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 111: 
      var $592=$outertc; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $593=__ZN13JSTreeContext7blockidEv($592); //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $594=$pn; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $595=(($594+32)|0); //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $596=$595; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $597=$593 & 1048575; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $598=$596; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $599=(($598+12)|0); //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $600=$599; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $601=$597 & 1048575; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $602=$601 << 12; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $603=HEAP32[(($600)>>2)]; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $604=$603 & 4095; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $605=$604 | $602; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($600)>>2)]=$605; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $606=$pn; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $607=HEAP32[(($3)>>2)]; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $608=$5; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $609=__ZL13LeaveFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE($606, $funtc, $607, $608); //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($609) { __label__ = 113; break; } else { __label__ = 112; break; } //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 112: 
      $1=0; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 113: 
      var $612=$outertc; //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $613=__ZNK13JSTreeContext12inStrictModeEv($612); //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($613) { __label__ = 115; break; } else { __label__ = 114; break; } //@line 3278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 114: 
      var $615=(($7+40)|0); //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setStrictModeEb($615, 0); //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 115; break; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 115: 
      var $617=$pn; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$617; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 116; break; //@line 3281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 116: 
      __ZN13JSTreeContextD1Ev($funtc); //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 117; break;
    case 117: 
      var $620=$1; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $620; //@line 3282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 118: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser11functionDefEP6JSAtomNS0_12FunctionTypeENS_18FunctionSyntaxKindE["X"]=1;

function __ZN11JSParseNode7setDefnEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 376 "./jsparse.h"
  var $6=(($5) & 1); //@line 376 "./jsparse.h"
  var $7=(($6)&1); //@line 376 "./jsparse.h"
  var $8=$7 & 1; //@line 376 "./jsparse.h"
  var $9=$4; //@line 376 "./jsparse.h"
  var $10=$8 & 1; //@line 376 "./jsparse.h"
  var $11=$10 << 31; //@line 376 "./jsparse.h"
  var $12=HEAP32[(($9)>>2)]; //@line 376 "./jsparse.h"
  var $13=$12 & 2147483647; //@line 376 "./jsparse.h"
  var $14=$13 | $11; //@line 376 "./jsparse.h"
  HEAP32[(($9)>>2)]=$14; //@line 376 "./jsparse.h"
  ;
  return; //@line 376 "./jsparse.h"
}


function __ZN13JSTreeContext11atBodyLevelEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 418 "./jsemit.h"
      var $4=HEAP32[(($3)>>2)]; //@line 418 "./jsemit.h"
      var $5=(($4)|0)!=0; //@line 418 "./jsemit.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 1;__label__ = 3; break; } //@line 418 "./jsemit.h"
    case 2: 
      var $7=(($2+24)|0); //@line 418 "./jsemit.h"
      var $8=HEAP32[(($7)>>2)]; //@line 418 "./jsemit.h"
      var $9=(($8+2)|0); //@line 418 "./jsemit.h"
      var $10=HEAPU16[(($9)>>1)]; //@line 418 "./jsemit.h"
      var $11=(($10)&65535); //@line 418 "./jsemit.h"
      var $12=$11 & 2; //@line 418 "./jsemit.h"
      var $13=(($12)|0)!=0; //@line 418 "./jsemit.h"
      var $15 = $13;__label__ = 3; break; //@line 418 "./jsemit.h"
    case 3: 
      var $15;
      ;
      return $15; //@line 418 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE4JSOp($this, $newKind, $newOp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$newKind;
  $3=$newOp;
  var $4=$1;
  var $5=$2; //@line 371 "./jsscan.h"
  __ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE($4, $5); //@line 371 "./jsscan.h"
  var $6=$3; //@line 372 "./jsscan.h"
  __ZN2js11TokenStream17mungeCurrentTokenE4JSOp($4, $6); //@line 372 "./jsscan.h"
  ;
  return; //@line 373 "./jsscan.h"
}


function __ZN2js9AtomDecls11updateFirstEP6JSAtomP12JSDefinition($this, $atom, $defn) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $3;
      var $p=__stackBase__+4;
      var $4=__stackBase__+16;
      $1=$this;
      HEAP32[(($2)>>2)]=$atom;
      $3=$defn;
      var $5=$1;
      var $6=(($5+4)|0); //@line 306 "./frontend/ParseMaps.h"
      var $7=HEAP32[(($6)>>2)]; //@line 306 "./frontend/ParseMaps.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6lookupERKS2_($p, $7, $2); //@line 306 "./frontend/ParseMaps.h"
      var $8=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 308 "./frontend/ParseMaps.h"
      var $9=__ZNK2js12DefnOrHeader8isHeaderEv($8); //@line 308 "./frontend/ParseMaps.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 308 "./frontend/ParseMaps.h"
    case 2: 
      var $11=$3; //@line 309 "./frontend/ParseMaps.h"
      var $12=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 309 "./frontend/ParseMaps.h"
      var $13=__ZNK2js12DefnOrHeader6headerEv($12); //@line 309 "./frontend/ParseMaps.h"
      var $14=(($13)|0); //@line 309 "./frontend/ParseMaps.h"
      HEAP32[(($14)>>2)]=$11; //@line 309 "./frontend/ParseMaps.h"
      __label__ = 4; break; //@line 309 "./frontend/ParseMaps.h"
    case 3: 
      var $16=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 311 "./frontend/ParseMaps.h"
      var $17=$3; //@line 311 "./frontend/ParseMaps.h"
      __ZN2js12DefnOrHeaderC1EP12JSDefinition($4, $17); //@line 311 "./frontend/ParseMaps.h"
      var $18=$16; //@line 311 "./frontend/ParseMaps.h"
      var $19=$4; //@line 311 "./frontend/ParseMaps.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)]; //@line 311 "./frontend/ParseMaps.h"
      __label__ = 4; break;
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 312 "./frontend/ParseMaps.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14MakeDefIntoUseP12JSDefinitionP11JSParseNodeP6JSAtomP13JSTreeContext($dn, $pn, $atom, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $rhs;
      var $lhs;
      var $pnu;
      $2=$dn;
      $3=$pn;
      $4=$atom;
      $5=$tc;
      var $6=$2; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZN12JSDefinition13isBindingFormEv($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $9=$2; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$9; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=__ZNK11JSParseNode4exprEv($10); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rhs=$11; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$rhs; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12)|0)!=0; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $15=$2; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$rhs; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$5; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZL14MakeAssignmentP11JSParseNodeS0_P13JSTreeContext($16, $17, $18); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lhs=$19; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$lhs; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0)!=0; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $24=$lhs; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $2=$25; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $27=$2; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$2; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK11JSParseNode5getOpEv($30); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=((_js_CodeSpec+($31<<3))|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+4)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34 & 256; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0)!=0; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36 ? 111 : 59; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($28, $37); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $39=$2; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=__ZN12JSDefinition4kindEv($39); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40)|0)==3; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $43=$2; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$43; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$5; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL22PrepareNodeForMutationP11JSParseNodeP13JSTreeContext($44, $45); //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$2; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$46; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($47, 29); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$2; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($49, 6); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$2; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52+32)|0); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$53; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54)|0); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($56)>>2)]=$50; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $59=$2; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+28)|0); //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$62; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $64=$pnu; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64)|0)!=0; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $67=$3; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$pnu; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+32)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71+4)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($73)>>2)]=$68; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$pnu; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74+32)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$76; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+12)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$78; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80 & 4095; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81 & 2312; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$3; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+32)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$84; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$85; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=(($86+12)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$87; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89 & 4095; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90 | $82; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$91 & 4095; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$85; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93+12)|0); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$94; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$92 & 4095; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=HEAP32[(($95)>>2)]; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97 & -4096; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98 | $96; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($95)>>2)]=$99; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $101=$pnu; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+28)|0); //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$103; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $105=$2; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106+32)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$108; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109+12)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112 & 4095; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$113 & 2312; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$3; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115+32)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$116; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118+12)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$119; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$121 & 4095; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122 | $114; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$123 & 4095; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$117; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=(($125+12)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$124 & 4095; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=HEAP32[(($127)>>2)]; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129 & -4096; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130 | $128; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($127)>>2)]=$131; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$2; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$132; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$3; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=(($134+28)|0); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($135)>>2)]=$133; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$2; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$136; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($137, 0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$2; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$138; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setUsedEb($139, 1); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$3; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$140; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$2; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$142; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+32)|0); //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$144; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145+4)|0); //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$146; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($147)>>2)]=$141; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$2; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$148; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149+32)|0); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$150; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=(($151+8)|0); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($152); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=$2; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$153; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154+32)|0); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$155; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=$156; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($157+12)|0); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=$158; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$160 & 4095; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$161 & -513; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=$162 & 4095; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=$156; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=(($164+12)|0); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$165; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$163 & 4095; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=HEAP32[(($166)>>2)]; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$168 & -4096; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$169 | $167; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($166)>>2)]=$170; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$2; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$171; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$172; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $174=$1; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $174; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14MakeDefIntoUseP12JSDefinitionP11JSParseNodeP6JSAtomP13JSTreeContext["X"]=1;

function __ZN2js14AtomDefnMapPtr10lookupDefnEP6JSAtom($this, $atom) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $p=__stackBase__+4;
      $1=$this;
      HEAP32[(($2)>>2)]=$atom;
      var $3=$1;
      var $4=$3; //@line 156 "./frontend/ParseMaps.h"
      var $5=(($4)|0); //@line 156 "./frontend/ParseMaps.h"
      var $6=HEAP32[(($5)>>2)]; //@line 156 "./frontend/ParseMaps.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6lookupERKS2_($p, $6, $2); //@line 156 "./frontend/ParseMaps.h"
      var $7=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrcvPPPPPPPS6_Ev($p); //@line 157 "./frontend/ParseMaps.h"
      var $8=(($7)|0)!=0; //@line 157 "./frontend/ParseMaps.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 157 "./frontend/ParseMaps.h"
    case 2: 
      var $10=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3Ptr5valueEv($p); //@line 157 "./frontend/ParseMaps.h"
      var $11=HEAP32[(($10)>>2)]; //@line 157 "./frontend/ParseMaps.h"
      var $14 = $11;__label__ = 4; break; //@line 157 "./frontend/ParseMaps.h"
    case 3: 
      var $14 = 0;__label__ = 4; break; //@line 157 "./frontend/ParseMaps.h"
    case 4: 
      var $14; //@line 157 "./frontend/ParseMaps.h"
      STACKTOP = __stackBase__;
      return $14; //@line 157 "./frontend/ParseMaps.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeERKS2_($this, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+12;
      $1=$this;
      $2=$key;
      var $4=$1;
      var $5=$2; //@line 328 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6lookupERKS2_($p, $4, $5); //@line 328 "./mfbt/InlineMap.h"
      var $6=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrcvPPPPPPPS6_Ev($p); //@line 328 "./mfbt/InlineMap.h"
      var $7=(($6)|0)!=0; //@line 328 "./mfbt/InlineMap.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 328 "./mfbt/InlineMap.h"
    case 2: 
      var $9=$3; //@line 329 "./mfbt/InlineMap.h"
      var $10=$p; //@line 329 "./mfbt/InlineMap.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];HEAP32[(($9+8)>>2)]=HEAP32[(($10+8)>>2)]; //@line 329 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeENS5_3PtrE($4, $3); //@line 329 "./mfbt/InlineMap.h"
      __label__ = 3; break; //@line 329 "./mfbt/InlineMap.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 330 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6DefineP11JSParseNodeP6JSAtomP13JSTreeContextb($pn, $atom, $tc, $let) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $foundLexdep;
      var $dn;
      var $pnup;
      var $pnu;
      var $start;
      var $toAdd;
      var $ok;
      $2=$pn;
      HEAP32[(($3)>>2)]=$atom;
      $4=$tc;
      var $6=(($let)&1);
      $5=$6;
      $foundLexdep=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$5; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7) & 1); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $10=$4; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+40)|0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($3)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($11, $12); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$13; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $15=$dn; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)!=0; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $18=$4; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+64)|0); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($3)>>2)]; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=__ZN2js14AtomDefnMapPtr10lookupDefnEP6JSAtom($20, $21); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$22; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$dn; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)!=0; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24 ^ 1; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25 ^ 1; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)&1); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $foundLexdep=$27; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $29=$dn; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29)|0)!=0; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 22; break; } //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $32=$dn; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$2; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($33)|0)!=(($34)|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 22; break; } //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $37=$dn; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+28)|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$39; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$5; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40) & 1); //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $43=$2; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+32)|0); //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+12)|0); //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAPU32[(($48)>>2)]; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49 >>> 12; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50 & 1048575; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57 = $51;__label__ = 10; break; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $53=$4; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53+4)|0); //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57 = $55;__label__ = 10; break; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $57; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $start=$57; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $59=$pnup; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$60; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60)|0)!=0; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 12; break; } else { var $75 = 0;__label__ = 13; break; } //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $63=$pnu; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63+32)|0); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$64; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$65; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+12)|0); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=HEAPU32[(($68)>>2)]; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69 >>> 12; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70 & 1048575; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$start; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($71)>>>0) >= (($72)>>>0); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75 = $73;__label__ = 13; break;
    case 13: 
      var $75;
      if ($75) { __label__ = 14; break; } else { __label__ = 15; break; }
    case 14: 
      var $77=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$pnu; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79+32)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81+4)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($83)>>2)]=$78; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$pnu; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($84+32)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$85; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87+12)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$88; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90 & 4095; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$91 & 2312; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$2; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93+32)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$94; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$95; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+12)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$99 & 4095; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$100 | $92; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101 & 4095; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$95; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103+12)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$102 & 4095; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=HEAP32[(($105)>>2)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107 & -4096; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$108 | $106; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($105)>>2)]=$109; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$pnu; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110+28)|0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$111; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $113=$pnu; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$dn; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$114; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115+28)|0); //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($113)|0)!=(($117)|0); //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($118) { __label__ = 16; break; } else { __label__ = 21; break; } //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $120=$2; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120+28)|0); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$pnup; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($123)>>2)]=$122; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$dn; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$124; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=(($125+28)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$2; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128+28)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($129)>>2)]=$127; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$pnu; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$dn; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=(($132+28)|0); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($133)>>2)]=$130; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$pnu; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=(($134)|0)!=0; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($135) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $137=$pnu; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=(($137+32)|0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$138; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$139; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($140+12)|0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$141; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=HEAPU32[(($142)>>2)]; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$143 >>> 12; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$144 & 1048575; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$4; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=(($146+4)|0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=HEAPU32[(($147)>>2)]; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($145)>>>0) < (($148)>>>0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($149) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $151=$foundLexdep; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=(($151) & 1); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($152) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $154=$4; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154+64)|0); //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$155; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($156); //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeERKS2_($157, $3); //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      __label__ = 22; break; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $161=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$161; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $toAdd=$162; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=$5; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($163) & 1); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($164) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $166=$4; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=(($166+40)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=HEAP32[(($3)>>2)]; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$toAdd; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=__ZN2js9AtomDecls9addShadowEP6JSAtomP12JSDefinition($167, $168, $169); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178 = $170;__label__ = 25; break; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $172=$4; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($172+40)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=HEAP32[(($3)>>2)]; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$toAdd; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=__ZN2js9AtomDecls9addUniqueEP6JSAtomP12JSDefinition($173, $174, $175); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178 = $176;__label__ = 25; break; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $178; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=(($178)&1); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ok=$179; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=$ok; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=(($180) & 1); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($181) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      $1=0; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $184=$2; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($184, 1); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$2; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185+32)|0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$186; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=$187; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=(($188+12)|0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=$189; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=$191 & 4095; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=$192 & -129; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=$193 & 4095; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=$187; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=(($195+12)|0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$196; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$194 & 4095; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=HEAP32[(($197)>>2)]; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$199 & -4096; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=$200 | $198; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($197)>>2)]=$201; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$4; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=(($202+72)|0); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=HEAP32[(($203)>>2)]; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=(($204)|0)!=0; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($205) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $207=$2; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=(($207+32)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=$208; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=$209; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=(($210+12)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=$211; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=$213 & 4095; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=$214 | 16; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=$215 & 4095; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=$209; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=(($217+12)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=$218; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=$216 & 4095; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=HEAP32[(($219)>>2)]; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=$221 & -4096; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=$222 | $220; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($219)>>2)]=$223; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 29; break; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $1=1; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $226=$1; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $226; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6DefineP11JSParseNodeP6JSAtomP13JSTreeContextb["X"]=1;

function __ZL13EnterFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE($fn, $funtc, $funAtom, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tc;
      var $fun;
      var $funbox;
      $2=$fn;
      $3=$funtc;
      $4=$funAtom;
      $5=$kind;
      var $6=$3; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+72)|0); //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tc=$8; //@line 2598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$tc; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+48)|0); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$tc; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$4; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$5; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZN2js6Parser11newFunctionEP13JSTreeContextP6JSAtomNS_18FunctionSyntaxKindE($11, $12, $13, $14); //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $fun=$15; //@line 2599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$fun; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0)!=0; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $20=$tc; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+48)|0); //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$fun; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$2; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$tc; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZN2js6Parser14newFunctionBoxEP8JSObjectP11JSParseNodeP13JSTreeContext($22, $24, $25, $26); //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$27; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$funbox; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0)!=0; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $32=$funbox; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+60)|0); //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$3; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0); //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37 | $34; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($36)>>2)]=$38; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$tc; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+8)|0); //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$3; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+8)|0); //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($43)>>2)]=$41; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$3; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$3; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+4)|0); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=__ZL15GenerateBlockIdP13JSTreeContextRj($44, $46); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($47) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $50=$3; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$fun; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext11setFunctionEP10JSFunction($50, $51); //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$funbox; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$3; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53+80)|0); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($54)>>2)]=$52; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$3; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$tc; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+76)|0); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+1)|0); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=__ZL14SetStaticLevelP13JSTreeContextj($55, $59); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $63=$funbox; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$63; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $65=$1; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $65; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13EnterFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE["X"]=1;

function __ZN2js13AtomDeclsIterC1EPNS_9AtomDeclsE($this, $decls) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$decls;
  var $3=$1;
  var $4=$2; //@line 389 "./frontend/ParseMaps.h"
  __ZN2js13AtomDeclsIterC2EPNS_9AtomDeclsE($3, $4); //@line 389 "./frontend/ParseMaps.h"
  ;
  return; //@line 389 "./frontend/ParseMaps.h"
}


function __ZN2js13AtomDeclsIterclEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $result;
      var $doh;
      var $3=__stackBase__;
      var $node;
      $2=$this;
      var $4=$2;
      var $5=(($4+20)|0); //@line 392 "./frontend/ParseMaps.h"
      var $6=HEAP32[(($5)>>2)]; //@line 392 "./frontend/ParseMaps.h"
      var $7=(($6)|0)!=0; //@line 392 "./frontend/ParseMaps.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 392 "./frontend/ParseMaps.h"
    case 2: 
      var $9=(($4+20)|0); //@line 394 "./frontend/ParseMaps.h"
      var $10=HEAP32[(($9)>>2)]; //@line 394 "./frontend/ParseMaps.h"
      var $11=(($10)|0); //@line 394 "./frontend/ParseMaps.h"
      var $12=HEAP32[(($11)>>2)]; //@line 394 "./frontend/ParseMaps.h"
      $result=$12; //@line 394 "./frontend/ParseMaps.h"
      var $13=(($4+20)|0); //@line 395 "./frontend/ParseMaps.h"
      var $14=HEAP32[(($13)>>2)]; //@line 395 "./frontend/ParseMaps.h"
      var $15=(($14+4)|0); //@line 395 "./frontend/ParseMaps.h"
      var $16=HEAP32[(($15)>>2)]; //@line 395 "./frontend/ParseMaps.h"
      var $17=(($4+20)|0); //@line 395 "./frontend/ParseMaps.h"
      HEAP32[(($17)>>2)]=$16; //@line 395 "./frontend/ParseMaps.h"
      var $18=$result; //@line 397 "./frontend/ParseMaps.h"
      $1=$18; //@line 397 "./frontend/ParseMaps.h"
      __label__ = 8; break; //@line 397 "./frontend/ParseMaps.h"
    case 3: 
      var $20=(($4)|0); //@line 400 "./frontend/ParseMaps.h"
      var $21=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range5emptyEv($20); //@line 400 "./frontend/ParseMaps.h"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 400 "./frontend/ParseMaps.h"
    case 4: 
      $1=0; //@line 401 "./frontend/ParseMaps.h"
      __label__ = 8; break; //@line 401 "./frontend/ParseMaps.h"
    case 5: 
      var $24=(($4)|0); //@line 403 "./frontend/ParseMaps.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range5frontEv($3, $24); //@line 403 "./frontend/ParseMaps.h"
      var $25=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Entry5valueEv($3); //@line 403 "./frontend/ParseMaps.h"
      $doh=$25; //@line 403 "./frontend/ParseMaps.h"
      var $26=(($4)|0); //@line 404 "./frontend/ParseMaps.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range8popFrontEv($26); //@line 404 "./frontend/ParseMaps.h"
      var $27=$doh; //@line 406 "./frontend/ParseMaps.h"
      var $28=__ZNK2js12DefnOrHeader8isHeaderEv($27); //@line 406 "./frontend/ParseMaps.h"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 406 "./frontend/ParseMaps.h"
    case 6: 
      var $30=$doh; //@line 407 "./frontend/ParseMaps.h"
      var $31=__ZNK2js12DefnOrHeader4defnEv($30); //@line 407 "./frontend/ParseMaps.h"
      $1=$31; //@line 407 "./frontend/ParseMaps.h"
      __label__ = 8; break; //@line 407 "./frontend/ParseMaps.h"
    case 7: 
      var $33=$doh; //@line 410 "./frontend/ParseMaps.h"
      var $34=__ZNK2js12DefnOrHeader6headerEv($33); //@line 410 "./frontend/ParseMaps.h"
      $node=$34; //@line 410 "./frontend/ParseMaps.h"
      var $35=$node; //@line 411 "./frontend/ParseMaps.h"
      var $36=(($35+4)|0); //@line 411 "./frontend/ParseMaps.h"
      var $37=HEAP32[(($36)>>2)]; //@line 411 "./frontend/ParseMaps.h"
      var $38=(($4+20)|0); //@line 411 "./frontend/ParseMaps.h"
      HEAP32[(($38)>>2)]=$37; //@line 411 "./frontend/ParseMaps.h"
      var $39=$node; //@line 412 "./frontend/ParseMaps.h"
      var $40=(($39)|0); //@line 412 "./frontend/ParseMaps.h"
      var $41=HEAP32[(($40)>>2)]; //@line 412 "./frontend/ParseMaps.h"
      $1=$41; //@line 412 "./frontend/ParseMaps.h"
      __label__ = 8; break; //@line 412 "./frontend/ParseMaps.h"
    case 8: 
      var $43=$1; //@line 413 "./frontend/ParseMaps.h"
      STACKTOP = __stackBase__;
      return $43; //@line 413 "./frontend/ParseMaps.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13AtomDeclsIterclEv["X"]=1;

function __ZN2js11TokenStream10ungetTokenEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+136)|0); //@line 432 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 432 "./jsscan.h"
  var $5=(($4+1)|0); //@line 432 "./jsscan.h"
  HEAP32[(($3)>>2)]=$5; //@line 432 "./jsscan.h"
  var $6=(($2+132)|0); //@line 433 "./jsscan.h"
  var $7=HEAP32[(($6)>>2)]; //@line 433 "./jsscan.h"
  var $8=(($7-1)|0); //@line 433 "./jsscan.h"
  var $9=$8 & 3; //@line 433 "./jsscan.h"
  var $10=(($2+132)|0); //@line 433 "./jsscan.h"
  HEAP32[(($10)>>2)]=$9; //@line 433 "./jsscan.h"
  ;
  return; //@line 434 "./jsscan.h"
}


function __ZN13JSTreeContext13noteCallsEvalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 454 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 454 "./jsemit.h"
  var $5=$4 | 8388608; //@line 454 "./jsemit.h"
  HEAP32[(($3)>>2)]=$5; //@line 454 "./jsemit.h"
  ;
  return; //@line 455 "./jsemit.h"
}


function __ZN13JSTreeContext20noteMightAliasLocalsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 462 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 462 "./jsemit.h"
  var $5=$4 | 67108864; //@line 462 "./jsemit.h"
  HEAP32[(($3)>>2)]=$5; //@line 462 "./jsemit.h"
  ;
  return; //@line 463 "./jsemit.h"
}


function __ZNK13JSTreeContext9compilingEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 446 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 446 "./jsemit.h"
  var $5=$4 & 1; //@line 446 "./jsemit.h"
  var $6=(($5)|0)!=0; //@line 446 "./jsemit.h"
  ;
  return $6; //@line 446 "./jsemit.h"
}


function __ZL17BindLocalVariableP9JSContextP13JSTreeContextP11JSParseNodeN2js11BindingKindE($cx, $tc, $pn, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $index;
      $2=$cx;
      $3=$tc;
      $4=$pn;
      $5=$kind;
      var $6=$3; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+92)|0); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZNK2js8Bindings9countVarsEv($7); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)&65535); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $index=$9; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$3; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+92)|0); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$2; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$4; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+32)|0); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$5; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE($11, $12, $18, $19); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $23=$4; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+32)|0); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+8)|0); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$3; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+76)|0); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29) & 65535); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$index; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31) & 65535); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie3setEtt($26, $30, $32); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$4; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+32)|0); //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+12)|0); //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39 & 4095; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40 | 512; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41 & 4095; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$35; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+12)|0); //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$42 & 4095; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($45)>>2)]; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47 & -4096; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 | $46; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($45)>>2)]=$49; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $51=$1; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $51; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17BindLocalVariableP9JSContextP13JSTreeContextP11JSParseNodeN2js11BindingKindE["X"]=1;

function __ZN2js11TokenStream8getTokenEj($this, $withFlags) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $flagger=__stackBase__;
  var $4;
  $2=$this;
  $3=$withFlags;
  var $5=$2;
  var $6=$3; //@line 423 "./jsscan.h"
  __ZN2js11TokenStream7FlaggerC1EPS0_j($flagger, $5, $6); //@line 423 "./jsscan.h"
  var $7=__ZN2js11TokenStream8getTokenEv($5); //@line 424 "./jsscan.h"
  $1=$7; //@line 424 "./jsscan.h"
  $4=1;
  __ZN2js11TokenStream7FlaggerD1Ev($flagger); //@line 425 "./jsscan.h"
  var $8=$1; //@line 425 "./jsscan.h"
  STACKTOP = __stackBase__;
  return $8; //@line 425 "./jsscan.h"
}


function __ZL22MatchOrInsertSemicolonP9JSContextPN2js11TokenStreamE($cx, $ts) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $tt;
      $2=$cx;
      $3=$ts;
      var $4=$3; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=__ZN2js11TokenStream17peekTokenSameLineEj($4, 8); //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$5; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$tt; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0)==-1; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=$tt; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)!=0; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $13=$tt; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=1; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=$tt; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0)!=2; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=$tt; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0)!=26; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $22=$3; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZN2js11TokenStream8getTokenEj($22, 8); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$2; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$3; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($24, $25, 0, 0, 109, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $28=$3; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($28, 2); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $31=$1; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $31; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12DefineGlobalP11JSParseNodeP15JSCodeGeneratorP6JSAtom($pn, $cg, $atom) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $globalScope;
      var $globalObj;
      var $p=__stackBase__+4;
      var $cx;
      var $holder=__stackBase__+20;
      var $prop=__stackBase__+24;
      var $funbox;
      var $def=__stackBase__+28;
      var $shape;
      var $5=__stackBase__+40;
      var $6=__stackBase__+52;
      var $7=__stackBase__+64;
      var $index=__stackBase__+76;
      var $index1;
      $2=$pn;
      $3=$cg;
      HEAP32[(($4)>>2)]=$atom;
      var $8=$3; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZN13JSTreeContext8compilerEv($9); //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+992)|0); //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $globalScope=$12; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$globalScope; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0); //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $globalObj=$15; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$3; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZNK13JSTreeContext12compileAndGoEv($17); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $20=$globalObj; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0)!=0; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $23=$3; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZNK15JSCodeGenerator16compilingForEvalEv($23); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=1; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $27=$globalScope; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+216)|0); //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomjLj24EE12lookupForAddERKS2_($p, $28, $4); //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtrcvPPPPPPPS4_Ev($p); //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29)|0)!=0; //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 26; break; } else { __label__ = 6; break; } //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $32=$3; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+48)|0); //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+12)|0); //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $cx=$37; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$globalObj; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$cx; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($4)>>2)]; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom2903($40); //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($38, $39, $41, $holder, $prop); //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42)|0)!=0; //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 3652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $46=$2; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=__ZNK11JSParseNode6isKindEN2js9TokenKindE($46, 34); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $49=$2; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49+32)|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)|0); //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57 = $54;__label__ = 11; break; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $57 = 0;__label__ = 11; break; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $57; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$57; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11GlobalScope9GlobalDefC1Ev($def); //@line 3656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=HEAP32[(($prop)>>2)]; //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58)|0)!=0; //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 12; break; } else { __label__ = 20; break; } //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $61=HEAP32[(($prop)>>2)]; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$61; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $shape=$62; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$funbox; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63)|0)!=0; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($64) { __label__ = 18; break; } else { __label__ = 13; break; } //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $66=$globalObj; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=HEAP32[(($holder)>>2)]; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($66)|0)!=(($67)|0); //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($68) { __label__ = 18; break; } else { __label__ = 14; break; } //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $70=$shape; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=__ZNK2js5Shape12configurableEv($70); //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 15; break; } //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $73=$shape; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=__ZNK2js5Shape7hasSlotEv($73); //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $76=$shape; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZNK2js5Shape26hasDefaultGetterOrIsMethodEv($76); //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $79=$shape; //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=__ZNK2js5Shape16hasDefaultSetterEv($79); //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=1; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $83=$shape; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+24)|0); //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11GlobalScope9GlobalDefC1Ej($5, $85); //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$def; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$5; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($86)>>2)]=HEAP32[(($87)>>2)];HEAP32[(($86+4)>>2)]=HEAP32[(($87+4)>>2)];HEAP32[(($86+8)>>2)]=HEAP32[(($87+8)>>2)]; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $89=HEAP32[(($4)>>2)]; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$funbox; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11GlobalScope9GlobalDefC1EP6JSAtomP13JSFunctionBox($6, $89, $90); //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$def; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$6; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($91)>>2)]=HEAP32[(($92)>>2)];HEAP32[(($91+4)>>2)]=HEAP32[(($92+4)>>2)];HEAP32[(($91+8)>>2)]=HEAP32[(($92+8)>>2)]; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break;
    case 21: 
      var $94=$globalScope; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94+8)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$7; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$def; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($96)>>2)]=HEAP32[(($97)>>2)];HEAP32[(($96+4)>>2)]=HEAP32[(($97+4)>>2)];HEAP32[(($96+8)>>2)]=HEAP32[(($97+8)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_($95, $7); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($98) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      $1=0; //@line 3680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 3680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $101=$globalScope; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+216)|0); //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=__ZN2js9InlineMapIP6JSAtomjLj24EE5countEv($102); //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($index)>>2)]=$103; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$globalScope; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=(($104+216)|0); //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=__ZN2js9InlineMapIP6JSAtomjLj24EE3addERNS3_6AddPtrERKS2_RKj($105, $p, $4, $index); //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($106) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      $1=0; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 29; break; //@line 3687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $110=$2; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=__ZNK11JSParseNode6isKindEN2js9TokenKindE($110, 34); //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($111) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $113=__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtr5valueEv($p); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $index1=$114; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$2; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115+32)|0); //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$116; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($117)|0); //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$globalScope; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121+8)|0); //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$index1; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEixEj($122, $123); //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124+4)|0); //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($125)>>2)]=$120; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 28; break; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      var $128=$2; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128+32)|0); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131+12)|0); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$132; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$134 & 4095; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$135 | 64; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$136 & 4095; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$130; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+12)|0); //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$139; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$137 & 4095; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=HEAP32[(($140)>>2)]; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$142 & -4096; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$143 | $141; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($140)>>2)]=$144; //@line 3708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $146=$1; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $146; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12DefineGlobalP11JSParseNodeP15JSCodeGeneratorP6JSAtom["X"]=1;

function __ZNK2js11TokenStream23hasOctalCharacterEscapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+144)|0); //@line 364 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 364 "./jsscan.h"
  var $5=$4 & 4096; //@line 364 "./jsscan.h"
  var $6=(($5)|0)!=0; //@line 364 "./jsscan.h"
  ;
  return $6; //@line 364 "./jsscan.h"
}


function __ZNK2js11TokenStream5isEOFEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+144)|0); //@line 363 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 363 "./jsscan.h"
  var $5=$4 & 2; //@line 363 "./jsscan.h"
  var $6=(($5)|0)!=0; //@line 363 "./jsscan.h"
  var $7=$6 ^ 1; //@line 363 "./jsscan.h"
  var $8=$7 ^ 1; //@line 363 "./jsscan.h"
  ;
  return $8; //@line 363 "./jsscan.h"
}


function __ZN13JSTreeContext22noteHasExtensibleScopeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 498 "./jsemit.h"
  var $4=HEAP32[(($3)>>2)]; //@line 498 "./jsemit.h"
  var $5=$4 | 536870912; //@line 498 "./jsemit.h"
  HEAP32[(($3)>>2)]=$5; //@line 498 "./jsemit.h"
  ;
  return; //@line 499 "./jsemit.h"
}


function __ZL13LeaveFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE($fn, $funtc, $funAtom, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $tc;
      var $funbox;
      var $foundCallee;
      var $r=__stackBase__+4;
      var $atom=__stackBase__+24;
      var $6=__stackBase__+28;
      var $dn;
      var $7=__stackBase__+36;
      var $pnu;
      var $outer_dn=__stackBase__+44;
      var $p=__stackBase__+48;
      var $pnup;
      var $pnu1;
      var $body;
      var $iter=__stackBase__+64;
      var $dn2;
      $2=$fn;
      $3=$funtc;
      HEAP32[(($4)>>2)]=$funAtom;
      $5=$kind;
      var $8=$3; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+72)|0); //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tc=$10; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$3; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+8)|0); //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$tc; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+8)|0); //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($15)>>2)]=$13; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$2; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+32)|0); //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0); //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$21; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$3; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22)|0); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24 & 629450724; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$funbox; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+60)|0); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28 | $25; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($27)>>2)]=$29; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$2; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+32)|0); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+12)|0); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36 & 4095; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37 | 4; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38 & 4095; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$32; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+12)|0); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$39 & 4095; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($42)>>2)]; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44 & -4096; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45 | $43; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($42)>>2)]=$46; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$tc; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+24)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49)|0)!=0; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($50) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $52=$tc; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52+24)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54)|0); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAPU16[(($55)>>1)]; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56)&65535); //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57)|0)==4; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($58) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $60=$2; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+32)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$61; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63+12)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$64; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$66 & 4095; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67 | 32; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$68 & 4095; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$62; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+12)|0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$71; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$69 & 4095; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=HEAP32[(($72)>>2)]; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74 & -4096; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75 | $73; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($72)>>2)]=$76; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $78=$3; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78+64)|0); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($80); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5countEv($81); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82)|0)!=0; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($83) { __label__ = 5; break; } else { __label__ = 50; break; } //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $foundCallee=0; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$3; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+64)|0); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($87); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3allEv($r, $88); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $90=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5emptyEv($r); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90 ^ 1; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($91) { __label__ = 7; break; } else { __label__ = 42; break; } //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv($6, $r); //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry3keyEv($6); //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($atom)>>2)]=$94; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv($7, $r); //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry5valueEv($7); //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$96; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=HEAP32[(($atom)>>2)]; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=HEAP32[(($4)>>2)]; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($97)|0)==(($98)|0); //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($99) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $101=$5; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101)|0)==0; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($102) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $104=$dn; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($105, 131); //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$dn; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107+32)|0); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$108; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109+8)|0); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$3; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111+76)|0); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113) & 65535); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie3setEtt($110, $114, -1); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$dn; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$115; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116+32)|0); //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119+12)|0); //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$120; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122 & 4095; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$123 | 512; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$124 & 4095; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$118; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($126+12)|0); //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$125 & 4095; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=HEAP32[(($128)>>2)]; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130 & -4096; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131 | $129; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($128)>>2)]=$132; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$dn; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$133; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=__ZNK11JSParseNode8isFunArgEv($134); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($135) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $137=$funbox; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=(($137+60)|0); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$139 | 1024; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($138)>>2)]=$140; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $foundCallee=1; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 41; break; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $143=$funbox; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+60)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$145 & 32; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=(($146)|0)!=0; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($147) { __label__ = 22; break; } else { __label__ = 13; break; } //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $149=$dn; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$149; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=__ZNK11JSParseNode10isAssignedEv($150); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($151) { __label__ = 14; break; } else { __label__ = 22; break; } //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $153=$dn; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$153; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154+28)|0); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$156; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $158=$pnu; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=(($158)|0)!=0; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($159) { __label__ = 16; break; } else { __label__ = 21; break; } //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $161=$pnu; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=__ZNK11JSParseNode10isAssignedEv($161); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($162) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $164=$pnu; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=(($164+32)|0); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$165; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$166; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=(($167+12)|0); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$168; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=HEAPU32[(($169)>>2)]; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$170 >>> 12; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$171 & 1048575; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=$3; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173+4)|0); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=HEAPU32[(($174)>>2)]; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($172)>>>0) >= (($175)>>>0); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($176) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $178=$funbox; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=(($178+60)|0); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$180 | 32; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($179)>>2)]=$181; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 20; break; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $184=$pnu; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=(($184+28)|0); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$186; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      __label__ = 22; break; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $189=$tc; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=(($189+40)|0); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=HEAP32[(($atom)>>2)]; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($190, $191); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($outer_dn)>>2)]=$192; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=$3; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=__ZNK13JSTreeContext9callsEvalEv($193); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($194) { __label__ = 26; break; } else { __label__ = 23; break; } //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $196=HEAP32[(($outer_dn)>>2)]; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=(($196)|0)!=0; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($197) { __label__ = 24; break; } else { __label__ = 27; break; } //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $199=$tc; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=(($199+88)|0); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=(($201)|0)!=0; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($202) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $204=HEAP32[(($outer_dn)>>2)]; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=$204; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=(($205+4)|0); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=$tc; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=(($207+88)|0); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=HEAP32[(($208)>>2)]; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=(($209+4)|0); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=__ZN2js8TokenPosltERKS0_($206, $210); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($211) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $213=$dn; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=$2; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=(($214+4)|0); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=__ZL20DeoptimizeUsesWithinP12JSDefinitionRKN2js8TokenPosE($213, $215); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $218=HEAP32[(($outer_dn)>>2)]; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218)|0)!=0; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($219) { __label__ = 35; break; } else { __label__ = 28; break; } //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $221=$tc; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=(($221+64)|0); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=$222; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($223); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12lookupForAddERKS2_($p, $224, $atom); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrcvPPPPPPPS6_Ev($p); //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=(($225)|0)!=0; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($226) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $228=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtr5valueEv($p); //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=HEAP32[(($228)>>2)]; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($outer_dn)>>2)]=$229; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $231=$dn; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=$231; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=$tc; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=__ZL15MakePlaceholderP11JSParseNodeP13JSTreeContext($232, $233); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($outer_dn)>>2)]=$234; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=HEAP32[(($outer_dn)>>2)]; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=(($235)|0)!=0; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($236) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $238=$tc; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=(($238+64)|0); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=$239; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($240); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3addERNS5_6AddPtrERKS2_RKS4_($241, $p, $atom, $outer_dn); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($242) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      $1=0; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 34; break;
    case 34: 
      __label__ = 35; break; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $247=$dn; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=HEAP32[(($outer_dn)>>2)]; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=(($247)|0)!=(($248)|0); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($249) { __label__ = 36; break; } else { __label__ = 40; break; } //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $251=$dn; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=$251; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=(($252+28)|0); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$253; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $255=$pnup; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu1=$256; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=(($256)|0)!=0; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($257) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $259=HEAP32[(($outer_dn)>>2)]; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=$pnu1; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=(($260+32)|0); //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=$261; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=(($262+4)|0); //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=$263; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($264)>>2)]=$259; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=$pnu1; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=(($265+28)|0); //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$266; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $268=HEAP32[(($outer_dn)>>2)]; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=$268; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=(($269+28)|0); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=HEAP32[(($270)>>2)]; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=$pnup; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($272)>>2)]=$271; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=$dn; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=$273; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=HEAP32[(($outer_dn)>>2)]; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=$275; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=(($276+28)|0); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($277)>>2)]=$274; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $278=$dn; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=$278; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=(($279+32)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=$280; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=$281; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=(($282+12)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=$283; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=HEAP32[(($284)>>2)]; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=$285 & 4095; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=$286 & -129; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $288=HEAP32[(($outer_dn)>>2)]; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=$288; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=(($289+32)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=$290; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=$291; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=(($292+12)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=$293; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=HEAP32[(($294)>>2)]; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=$295 & 4095; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=$296 | $287; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=$297 & 4095; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=$291; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=(($299+12)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=$300; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=$298 & 4095; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=HEAP32[(($301)>>2)]; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=$303 & -4096; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=$304 | $302; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($301)>>2)]=$305; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=$dn; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=$306; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($307, 0); //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=$dn; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=$308; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setUsedEb($309, 1); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=HEAP32[(($outer_dn)>>2)]; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=$dn; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $312=$311; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313=(($312+32)|0); //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=$313; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=(($314+4)|0); //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=$315; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($316)>>2)]=$310; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $318=HEAP32[(($outer_dn)>>2)]; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=$318; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=(($319+32)|0); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=$320; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $322=$321; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=(($322+12)|0); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=$323; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $325=HEAP32[(($324)>>2)]; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $326=$325 & 4095; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $327=$326 | 2048; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=$327 & 4095; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $329=$321; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $330=(($329+12)|0); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $331=$330; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=$328 & 4095; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=HEAP32[(($331)>>2)]; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=$333 & -4096; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=$334 | $332; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($331)>>2)]=$335; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 41; break; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range8popFrontEv($r); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $338=$3; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=(($338+64)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$339; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($340); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5countEv($341); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=$foundCallee; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=(($342-$343)|0); //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=(($344)|0)!=0; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($345) { __label__ = 43; break; } else { __label__ = 48; break; } //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $347=$2; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=(($347+32)|0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=$348; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $350=(($349+4)|0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $351=$350; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $352=HEAP32[(($351)>>2)]; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $body=$352; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=$tc; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=__ZN2js11NameSetNode6createEP13JSTreeContext($353); //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $355=$354; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=$2; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=(($356+32)|0); //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=$357; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=(($358+4)|0); //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=$359; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($360)>>2)]=$355; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=$2; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=(($361+32)|0); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $363=$362; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $364=(($363+4)|0); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=$364; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=HEAP32[(($365)>>2)]; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=(($366)|0)!=0; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($367) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      $1=0; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $370=$2; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $371=(($370+32)|0); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $372=$371; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=(($372+4)|0); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=$373; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=HEAP32[(($374)>>2)]; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($375, 85); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $376=$2; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $377=(($376+32)|0); //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $378=$377; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $379=(($378+4)|0); //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=$379; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=HEAP32[(($380)>>2)]; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=(($381+4)|0); //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $383=$body; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $384=(($383+4)|0); //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $385=$382; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $386=$384; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($385)>>2)]=HEAP32[(($386)>>2)];HEAP32[(($385+4)>>2)]=HEAP32[(($386+4)>>2)];HEAP32[(($385+8)>>2)]=HEAP32[(($386+8)>>2)];HEAP32[(($385+12)>>2)]=HEAP32[(($386+12)>>2)]; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=$foundCallee; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=(($387)|0)!=0; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($388) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $390=$3; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=(($390+64)|0); //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=$391; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $393=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($392); //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeERKS2_($393, $4); //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 47; break; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $395=$2; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $396=(($395+32)|0); //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=$396; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=(($397+4)|0); //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $399=$398; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=HEAP32[(($399)>>2)]; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $401=(($400+32)|0); //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $402=$401; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $403=(($402)|0); //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $404=$3; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $405=(($404+64)|0); //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $406=$405; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $407=$403; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $408=$406; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($407)>>2)]=HEAP32[(($408)>>2)]; //@line 2777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $409=$3; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $410=(($409+64)|0); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $411=$410; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE8clearMapEv($411); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $412=$body; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $413=$2; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $414=(($413+32)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $415=$414; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $416=(($415+4)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $417=$416; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $418=HEAP32[(($417)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=(($418+32)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $420=$419; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $421=(($420+4)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($421)>>2)]=$412; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 49; break; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $423=$3; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=(($423+64)|0); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=$424; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $426=$3; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $427=(($426+48)|0); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $428=HEAP32[(($427)>>2)]; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $429=(($428+12)|0); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $430=HEAP32[(($429)>>2)]; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE10releaseMapEP9JSContext($425, $430); //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 49; break;
    case 49: 
      __label__ = 50; break; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $433=$3; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $434=__ZNK13JSTreeContext12inStrictModeEv($433); //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($434) { __label__ = 51; break; } else { __label__ = 59; break; } //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $436=$funbox; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $437=$436; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $438=(($437+8)|0); //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $439=HEAP32[(($438)>>2)]; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $440=__ZNK8JSObject18getFunctionPrivateEv($439); //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $441=(($440+56)|0); //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $442=HEAPU16[(($441)>>1)]; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $443=(($442)&65535); //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $444=(($443)|0) > 0; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($444) { __label__ = 52; break; } else { __label__ = 59; break; } //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $446=$3; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $447=(($446+40)|0); //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js13AtomDeclsIterC1EPNS_9AtomDeclsE($iter, $447); //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 53; break; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $449=__ZN2js13AtomDeclsIterclEv($iter); //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn2=$449; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $450=(($449)|0)!=0; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($450) { __label__ = 54; break; } else { __label__ = 58; break; } //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $452=$dn2; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $453=__ZN12JSDefinition4kindEv($452); //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $454=(($453)|0)==4; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($454) { __label__ = 55; break; } else { __label__ = 57; break; } //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $456=$dn2; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $457=$456; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $458=__ZNK11JSParseNode10isAssignedEv($457); //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($458) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $460=$funbox; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $461=(($460+60)|0); //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $462=HEAP32[(($461)>>2)]; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $463=$462 | 16777216; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($461)>>2)]=$463; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 58; break; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      __label__ = 53; break; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      __label__ = 59; break; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $467=$funbox; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $468=(($467+44)|0); //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $469=$3; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $470=(($469+48)|0); //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $471=HEAP32[(($470)>>2)]; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $472=(($471+12)|0); //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $473=HEAP32[(($472)>>2)]; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $474=$3; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $475=(($474+92)|0); //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js8Bindings8transferEP9JSContextPS0_($468, $473, $475); //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $477=$1; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $477; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13LeaveFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE["X"]=1;

function __ZN2js6Parser12functionStmtEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $name;
      $2=$this;
      var $3=$2;
      $name=0; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=(($3+40)|0); //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=__ZN2js11TokenStream8getTokenEj($4, 32); //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)==29; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=(($3+40)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream12currentTokenEv($8); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+24)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+4)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $name=$13; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $15=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 273, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $17=(($3+980)|0); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZN13JSTreeContext11atBodyLevelEv($18); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $21=(($3+980)|0); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZNK13JSTreeContext12inStrictModeEv($22); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $25=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 8, 267, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $27=$name; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZN2js6Parser11functionDefEP6JSAtomNS0_12FunctionTypeENS_18FunctionSyntaxKindE($3, $27, 2, 1); //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$28; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 3302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $30=$1; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $30; //@line 3303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser12functionExprEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $name;
      $1=$this;
      var $2=$1;
      $name=0; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $3=(($2+40)|0); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=__ZN2js11TokenStream8getTokenEj($3, 32); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4)|0)==29; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=(($2+40)|0); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZNK2js11TokenStream12currentTokenEv($7); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+24)|0); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$9; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+4)|0); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $name=$12; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $14=(($2+40)|0); //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($14); //@line 3312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break;
    case 4: 
      var $16=$name; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN2js6Parser11functionDefEP6JSAtomNS0_12FunctionTypeENS_18FunctionSyntaxKindE($2, $16, 2, 0); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $17; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK11JSParseNode21isStringExprStatementEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $kid;
      $2=$this;
      var $3=$2;
      var $4=__ZNK11JSParseNode7getKindEv($3); //@line 621 "./jsparse.h"
      var $5=(($4)|0)==2; //@line 621 "./jsparse.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 621 "./jsparse.h"
    case 2: 
      var $7=(($3+32)|0); //@line 623 "./jsparse.h"
      var $8=$7; //@line 623 "./jsparse.h"
      var $9=(($8)|0); //@line 623 "./jsparse.h"
      var $10=HEAP32[(($9)>>2)]; //@line 623 "./jsparse.h"
      $kid=$10; //@line 623 "./jsparse.h"
      var $11=$kid; //@line 624 "./jsparse.h"
      var $12=(($11)|0)!=0; //@line 624 "./jsparse.h"
      if ($12) { __label__ = 3; break; } else { var $26 = 0;__label__ = 5; break; } //@line 624 "./jsparse.h"
    case 3: 
      var $14=$kid; //@line 624 "./jsparse.h"
      var $15=__ZNK11JSParseNode7getKindEv($14); //@line 624 "./jsparse.h"
      var $16=(($15)|0)==31; //@line 624 "./jsparse.h"
      if ($16) { __label__ = 4; break; } else { var $26 = 0;__label__ = 5; break; } //@line 624 "./jsparse.h"
    case 4: 
      var $18=$kid; //@line 624 "./jsparse.h"
      var $19=$18; //@line 624 "./jsparse.h"
      var $20=HEAPU32[(($19)>>2)]; //@line 624 "./jsparse.h"
      var $21=$20 >>> 29; //@line 624 "./jsparse.h"
      var $22=$21 & 1; //@line 624 "./jsparse.h"
      var $23=(($22)|0)!=0; //@line 624 "./jsparse.h"
      var $24=$23 ^ 1; //@line 624 "./jsparse.h"
      var $26 = $24;__label__ = 5; break;
    case 5: 
      var $26;
      $1=$26;
      __label__ = 7; break;
    case 6: 
      $1=0; //@line 626 "./jsparse.h"
      __label__ = 7; break; //@line 626 "./jsparse.h"
    case 7: 
      var $29=$1; //@line 627 "./jsparse.h"
      ;
      return $29; //@line 627 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK11JSParseNode25isEscapeFreeStringLiteralEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $str;
      $1=$this;
      var $2=$1;
      var $3=(($2+32)|0); //@line 636 "./jsparse.h"
      var $4=$3; //@line 636 "./jsparse.h"
      var $5=(($4)|0); //@line 636 "./jsparse.h"
      var $6=$5; //@line 636 "./jsparse.h"
      var $7=HEAP32[(($6)>>2)]; //@line 636 "./jsparse.h"
      var $8=$7; //@line 636 "./jsparse.h"
      $str=$8; //@line 636 "./jsparse.h"
      var $9=(($2+4)|0); //@line 643 "./jsparse.h"
      var $10=(($9)|0); //@line 643 "./jsparse.h"
      var $11=(($10+4)|0); //@line 643 "./jsparse.h"
      var $12=HEAP32[(($11)>>2)]; //@line 643 "./jsparse.h"
      var $13=(($2+4)|0); //@line 643 "./jsparse.h"
      var $14=(($13+8)|0); //@line 643 "./jsparse.h"
      var $15=(($14+4)|0); //@line 643 "./jsparse.h"
      var $16=HEAP32[(($15)>>2)]; //@line 643 "./jsparse.h"
      var $17=(($12)|0)==(($16)|0); //@line 643 "./jsparse.h"
      if ($17) { __label__ = 2; break; } else { var $33 = 0;__label__ = 3; break; } //@line 643 "./jsparse.h"
    case 2: 
      var $19=(($2+4)|0); //@line 643 "./jsparse.h"
      var $20=(($19)|0); //@line 643 "./jsparse.h"
      var $21=(($20)|0); //@line 643 "./jsparse.h"
      var $22=HEAP32[(($21)>>2)]; //@line 643 "./jsparse.h"
      var $23=$str; //@line 644 "./jsparse.h"
      var $24=__ZNK8JSString6lengthEv($23); //@line 644 "./jsparse.h"
      var $25=(($22+$24)|0); //@line 644 "./jsparse.h"
      var $26=(($25+2)|0); //@line 644 "./jsparse.h"
      var $27=(($2+4)|0); //@line 644 "./jsparse.h"
      var $28=(($27+8)|0); //@line 644 "./jsparse.h"
      var $29=(($28)|0); //@line 644 "./jsparse.h"
      var $30=HEAP32[(($29)>>2)]; //@line 644 "./jsparse.h"
      var $31=(($26)|0)==(($30)|0); //@line 644 "./jsparse.h"
      var $33 = $31;__label__ = 3; break;
    case 3: 
      var $33;
      ;
      return $33; //@line 645 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream16setUnexpectedEOFEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 356 "./jsscan.h"
  var $6=(($5) & 1); //@line 356 "./jsscan.h"
  __ZN2js11TokenStream7setFlagEbNS_16TokenStreamFlagsE($4, $6, 16); //@line 356 "./jsscan.h"
  ;
  return; //@line 356 "./jsscan.h"
}


function __ZNK11JSParseNode10isInParensEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 373 "./jsparse.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 373 "./jsparse.h"
  var $5=$4 >>> 29; //@line 373 "./jsparse.h"
  var $6=$5 & 1; //@line 373 "./jsparse.h"
  var $7=(($6)|0)!=0; //@line 373 "./jsparse.h"
  ;
  return $7; //@line 373 "./jsparse.h"
}


function __ZN2js6Parser9conditionEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      $2=$this;
      var $3=$2;
      __label__ = 2; break; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=(($3+40)|0); //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js11TokenStream8getTokenEj($5, 0); //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0)!=27; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $9=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 74, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $12=__ZN2js6Parser9parenExprEPi($3, 0); //@line 3470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$12; //@line 3470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$pn; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=0; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $18=(($3+40)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZN2js11TokenStream8getTokenEj($18, 0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0)!=28; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $22=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 75, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      __label__ = 11; break; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $25=$pn; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZNK11JSParseNode6isKindEN2js9TokenKindE($25, 4); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($26) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $28=$pn; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZNK11JSParseNode4isOpE4JSOp($28, 0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $31=$pn; //@line 3478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=__ZNK11JSParseNode10isInParensEv($31); //@line 3478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 16; break; } else { __label__ = 14; break; } //@line 3478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $34=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 5, 112, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((__str62887)|0),tempInt)); //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      $1=0; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $37=$pn; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$37; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $39=$1; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $39; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser9parenExprEPi($this, $genexp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $begin=__stackBase__;
      var $pn;
      var $guard=__stackBase__+8;
      $2=$this;
      $3=$genexp;
      var $4=$2;
      var $5=(($4+40)|0); //@line 8947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZNK2js11TokenStream12currentTokenEv($5); //@line 8947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+4)|0); //@line 8947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0); //@line 8947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$begin; //@line 8947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$8; //@line 8947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 8947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$3; //@line 8949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0)!=0; //@line 8949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 8949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $14=$3; //@line 8950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($14)>>2)]=0; //@line 8950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 8950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $16=(($4+980)|0); //@line 8952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 8952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11GenexpGuardC1EP13JSTreeContext($guard, $17); //@line 8952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZN2js6Parser13bracketedExprEv($4); //@line 8954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$18; //@line 8954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$pn; //@line 8955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0)!=0; //@line 8955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 8955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 8956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 8956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __ZN11GenexpGuard7endBodyEv($guard); //@line 8957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($4+40)|0); //@line 8960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($23, 42); //@line 8960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 18; break; } //@line 8960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $26=$pn; //@line 8961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZN11GenexpGuard14checkValidBodyEP11JSParseNode($guard, $26); //@line 8961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 8961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 8962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 8962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $30=$pn; //@line 8964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK11JSParseNode6isKindEN2js9TokenKindE($30, 3); //@line 8964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 8964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $33=$pn; //@line 8964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZNK11JSParseNode10isInParensEv($33); //@line 8964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 8964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $36=$pn; //@line 8965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZNK11JSParseNode4lastEv($36); //@line 8965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, $37, 0, 215, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__ZL16js_generator_str)|0),tempInt)); //@line 8965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 8967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $40=$pn; //@line 8969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=__ZN2js6Parser13generatorExprEP11JSParseNode($4, $40); //@line 8969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$41; //@line 8969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$pn; //@line 8970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42)|0)!=0; //@line 8970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($43) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 8970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 8971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 8971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $46=$pn; //@line 8972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+4)|0); //@line 8972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47)|0); //@line 8972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 8972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$begin; //@line 8972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 8972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$3; //@line 8973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)|0)!=0; //@line 8973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 8973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $54=(($4+40)|0); //@line 8974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZN2js11TokenStream8getTokenEv($54); //@line 8974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55)|0)!=28; //@line 8974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 8974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $58=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 215, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__ZL16js_generator_str)|0),tempInt)); //@line 8975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 8977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $60=$pn; //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+4)|0); //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+8)|0); //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($4+40)|0); //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=__ZNK2js11TokenStream12currentTokenEv($63); //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+4)|0); //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+8)|0); //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$62; //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$66; //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 8979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$3; //@line 8980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($69)>>2)]=1; //@line 8980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 8981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 21; break; //@line 8982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $72=$pn; //@line 8985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=__ZN11GenexpGuard18maybeNoteGeneratorEP11JSParseNode($guard, $72); //@line 8985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($73) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 8985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $1=0; //@line 8986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 8986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break;
    case 21: 
      var $77=$pn; //@line 8988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$77; //@line 8988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 8988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $79=$1; //@line 8989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 8989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser9parenExprEPi["X"]=1;

function __ZN2js6Parser11primaryExprENS_9TokenKindEi($this, $tt, $afterDot) {
  var __stackBase__  = STACKTOP; STACKTOP += 308; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $pn;
      var $pn2;
      var $pn3;
      var $op;
      var $stackDummy_=__stackBase__;
      var $matched;
      var $index;
      var $pnexp;
      var $pntop;
      var $pnval;
      var $seen=__stackBase__+4;
      var $5;
      var $atom=__stackBase__+232;
      var $6=__stackBase__+236;
      var $7=__stackBase__+244;
      var $assignType;
      var $p=__stackBase__+252;
      var $index1;
      var $oldAssignType;
      var $name=__stackBase__+268;
      var $flags;
      var $8=__stackBase__+272;
      var $genexp=__stackBase__+276;
      var $stmt;
      var $mdl=__stackBase__+280;
      var $dn=__stackBase__+288;
      var $p2=__stackBase__+292;
      var $ki;
      var $obj;
      $2=$this;
      $3=$tt;
      $4=$afterDot;
      var $9=$2;
      __label__ = 2; break; //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $11=$stackDummy_; //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($9+12)|0); //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+48)|0); //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAPU32[(($14)>>2)]; //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($11)>>>0) < (($15)>>>0); //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $18=(($9+12)|0); //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($19); //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 8315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $22=$3; //@line 8317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($22)|0) == 34) {
        __label__ = 6; break;
      }
      else if ((($22)|0) == 23) {
        __label__ = 15; break;
      }
      else if ((($22)|0) == 25) {
        __label__ = 49; break;
      }
      else if ((($22)|0) == 81) {
        __label__ = 134; break;
      }
      else if ((($22)|0) == 51) {
        __label__ = 137; break;
      }
      else if ((($22)|0) == 52) {
        __label__ = 150; break;
      }
      else if ((($22)|0) == 27) {
        __label__ = 155; break;
      }
      else if ((($22)|0) == 17) {
        __label__ = 164; break;
      }
      else if ((($22)|0) == 70) {
        __label__ = 167; break;
      }
      else if ((($22)|0) == 59) {
        __label__ = 170; break;
      }
      else if ((($22)|0) == 31 || (($22)|0) == 68 || (($22)|0) == 67 || (($22)|0) == 69) {
        __label__ = 173; break;
      }
      else if ((($22)|0) == 29) {
        __label__ = 179; break;
      }
      else if ((($22)|0) == 32) {
        __label__ = 232; break;
      }
      else if ((($22)|0) == 30) {
        __label__ = 244; break;
      }
      else if ((($22)|0) == 33) {
        __label__ = 247; break;
      }
      else if ((($22)|0) == -1) {
        __label__ = 250; break;
      }
      else {
      __label__ = 251; break;
      }
      
    case 6: 
      var $24=(($9+40)|0); //@line 8320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=__ZN2js11TokenStream10matchTokenENS_9TokenKindEj($24, 71, 32); //@line 8320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 12; break; } //@line 8320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $27=(($9+980)|0); //@line 8321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 8321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZN2js11NullaryNode6createEP13JSTreeContext($28); //@line 8321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 8321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$30; //@line 8321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn2; //@line 8322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0)!=0; //@line 8322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 8322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 8323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $35=$pn2; //@line 8324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($35, 34); //@line 8324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$pn2; //@line 8325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZN2js6Parser15qualifiedSuffixEP11JSParseNode($9, $36); //@line 8325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$37; //@line 8325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$pn; //@line 8326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0)!=0; //@line 8326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 8326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 8327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 252; break; //@line 8328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $43=__ZN2js6Parser12functionExprEv($9); //@line 8331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$43; //@line 8331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$pn; //@line 8332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0)!=0; //@line 8332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 8332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 8333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 252; break; //@line 8334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $49=(($9+980)|0); //@line 8341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 8341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZN2js8ListNode6createEP13JSTreeContext($50); //@line 8341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 8341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$52; //@line 8341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$pn; //@line 8342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53)|0)!=0; //@line 8342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($54) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 8342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=0; //@line 8343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $57=$pn; //@line 8344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($57, 24); //@line 8344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$pn; //@line 8345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($58, 89); //@line 8345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pn; //@line 8346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($59); //@line 8346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($9+980)|0); //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+8)|0); //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$pn; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+32)|0); //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$65; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$63 & 1048575; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$66; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+12)|0); //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$67 & 1048575; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$71 << 12; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=HEAP32[(($70)>>2)]; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73 & 4095; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74 | $72; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($70)>>2)]=$75; //@line 8349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($9+40)|0); //@line 8352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZN2js11TokenStream10matchTokenENS_9TokenKindEj($76, 24, 8); //@line 8352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77)&1); //@line 8352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $matched=$78; //@line 8352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$matched; //@line 8353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79)|0)!=0; //@line 8353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($80) { __label__ = 48; break; } else { __label__ = 18; break; } //@line 8353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $index=0; //@line 8354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 8354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $83=$index; //@line 8355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83)|0)==491520; //@line 8355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 8355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $86=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 200, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $88=(($9+40)|0); //@line 8360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=__ZN2js11TokenStream9peekTokenEj($88, 8); //@line 8360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=$89; //@line 8360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$3; //@line 8361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90)|0)==24; //@line 8361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($91) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 8361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $93=$pn; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93+32)|0); //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$94; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$95; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+12)|0); //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$99 & 4095; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$100 | 16; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101 & 4095; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$95; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103+12)|0); //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$102 & 4095; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=HEAP32[(($105)>>2)]; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107 & -4096; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$108 | $106; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($105)>>2)]=$109; //@line 8362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 37; break; //@line 8363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $111=$3; //@line 8366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111)|0)==3; //@line 8366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($112) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 8366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $114=(($9+40)|0); //@line 8368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($114, 3); //@line 8368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($9+980)|0); //@line 8369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 8369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=__ZN2js11NullaryNode6createEP13JSTreeContext($117); //@line 8369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118; //@line 8369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$119; //@line 8369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$pn; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120+32)|0); //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$121; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=(($123+12)|0); //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$124; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126 & 4095; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127 | 3072; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$128 & 4095; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$122; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130+12)|0); //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$129 & 4095; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=HEAP32[(($132)>>2)]; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$134 & -4096; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$135 | $133; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($132)>>2)]=$136; //@line 8370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 29; break; //@line 8371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $138=__ZN2js6Parser10assignExprEv($9); //@line 8372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$138; //@line 8372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$pn2; //@line 8373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139)|0)!=0; //@line 8373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($140) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 8373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $142=$pn2; //@line 8373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=__ZN11JSParseNode10isConstantEv($142); //@line 8373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($143) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 8373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $145=$pn; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145+32)|0); //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$146; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$147; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($148+12)|0); //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$149; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$151 & 4095; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=$152 | 2048; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$153 & 4095; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$147; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=(($155+12)|0); //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=$156; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$154 & 4095; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($157)>>2)]; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=$159 & -4096; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$160 | $158; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($157)>>2)]=$161; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 28; break; //@line 8374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      var $164=$pn2; //@line 8376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=(($164)|0)!=0; //@line 8376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($165) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 8376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      $1=0; //@line 8377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $168=$pn; //@line 8378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$pn2; //@line 8378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($168, $169); //@line 8378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$3; //@line 8380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170)|0)!=3; //@line 8380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($171) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 8380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $173=(($9+40)|0); //@line 8382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($173, 3); //@line 8382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($174) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 8382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 37; break; //@line 8383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      __label__ = 35; break; //@line 8384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __label__ = 36; break; //@line 8385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $179=$index; //@line 8354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($179+1)|0); //@line 8354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $index=$180; //@line 8354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 8354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $182=$index; //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=(($182)|0)==0; //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($183) { __label__ = 38; break; } else { __label__ = 43; break; } //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $185=$pn; //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185+32)|0); //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$186; //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=(($187+8)|0); //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=HEAP32[(($188)>>2)]; //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=(($189)|0)!=0; //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($190) { __label__ = 39; break; } else { __label__ = 43; break; } //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $192=(($9+40)|0); //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($192, 42); //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($193) { __label__ = 40; break; } else { __label__ = 43; break; } //@line 8429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $195=$pn; //@line 8433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($195, 78); //@line 8433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=$pn; //@line 8440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=__ZNK11JSParseNode4lastEv($196); //@line 8440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnexp=$197; //@line 8440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$pn; //@line 8442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($198+32)|0); //@line 8442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$199; //@line 8442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=(($200+8)|0); //@line 8442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($201)>>2)]=0; //@line 8442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$pn; //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=(($202+32)|0); //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=$203; //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=(($204)|0); //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=$pn; //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=(($206+32)|0); //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=$207; //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=(($208+4)|0); //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($209)>>2)]=$205; //@line 8443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=$pn; //@line 8444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=(($210+32)|0); //@line 8444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=$211; //@line 8444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=(($212+4)|0); //@line 8444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 8444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($214)>>2)]=0; //@line 8444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=$pnexp; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=$pn; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=(($216+32)|0); //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=$217; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=$218; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=(($219+12)|0); //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=$220; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=HEAPU32[(($221)>>2)]; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=$222 >>> 12; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=$223 & 1048575; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=__ZN2js6Parser17comprehensionTailEP11JSParseNodejbNS_9TokenKindE4JSOp($9, $215, $224, 0, 79, 207); //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pntop=$225; //@line 8446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=$pntop; //@line 8448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=(($226)|0)!=0; //@line 8448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($227) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 8448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      $1=0; //@line 8449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $230=$pn; //@line 8450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=$pntop; //@line 8450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($230, $231); //@line 8450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break; //@line 8451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      __label__ = 44; break; //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $234=(($9+40)|0); //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=__ZN2js11TokenStream8getTokenEj($234, 0); //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=(($235)|0)!=24; //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($236) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $238=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 105, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      __label__ = 47; break; //@line 8454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      __label__ = 48; break; //@line 8455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $242=$pn; //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=(($242+4)|0); //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=(($243+8)|0); //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=(($9+40)|0); //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=__ZNK2js11TokenStream12currentTokenEv($245); //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $247=(($246+4)|0); //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=(($247+8)|0); //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=$244; //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=$248; //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($249)>>2)]=HEAP32[(($250)>>2)];HEAP32[(($249+4)>>2)]=HEAP32[(($250+4)>>2)]; //@line 8456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=$pn; //@line 8457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$251; //@line 8457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $253=(($9+12)|0); //@line 8468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=HEAP32[(($253)>>2)]; //@line 8468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomjLj24EEC1EP9JSContext($seen, $254); //@line 8468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=(($9+980)|0); //@line 8476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 8476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=__ZN2js8ListNode6createEP13JSTreeContext($256); //@line 8476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=$257; //@line 8476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$258; //@line 8476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=$pn; //@line 8477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=(($259)|0)!=0; //@line 8477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($260) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 8477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      $1=0; //@line 8478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $263=$pn; //@line 8479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($263, 26); //@line 8479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=$pn; //@line 8480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($264, 89); //@line 8480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=$pn; //@line 8481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($265); //@line 8481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 8483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $267=(($9+40)|0); //@line 8485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=__ZN2js11TokenStream8getTokenEj($267, 32); //@line 8485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=$268; //@line 8485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=$3; //@line 8486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($269)|0) == 30) {
        __label__ = 53; break;
      }
      else if ((($269)|0) == 29) {
        __label__ = 58; break;
      }
      else if ((($269)|0) == 31) {
        __label__ = 79; break;
      }
      else if ((($269)|0) == 26) {
        __label__ = 82; break;
      }
      else {
      __label__ = 83; break;
      }
      
    case 53: 
      var $271=(($9+980)|0); //@line 8488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=HEAP32[(($271)>>2)]; //@line 8488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=__ZN2js11NullaryNode6createEP13JSTreeContext($272); //@line 8488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=$273; //@line 8488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$274; //@line 8488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=$pn3; //@line 8489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=(($275)|0)!=0; //@line 8489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($276) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 8489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      $1=0; //@line 8490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $279=(($9+40)|0); //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=__ZNK2js11TokenStream12currentTokenEv($279); //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=(($280+24)|0); //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=$281; //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=(tempDoubleI32[0]=HEAP32[(($282)>>2)],tempDoubleI32[1]=HEAP32[(($282+4)>>2)],tempDoubleF64[0]); //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=$pn3; //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=(($284+32)|0); //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=$285; //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      (tempDoubleF64[0]=$283,HEAP32[(($286)>>2)]=tempDoubleI32[0],HEAP32[(($286+4)>>2)]=tempDoubleI32[1]); //@line 8491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=(($9+12)|0); //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $288=HEAP32[(($287)>>2)]; //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=$pn3; //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=(($289+32)|0); //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=$290; //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=(tempDoubleI32[0]=HEAP32[(($291)>>2)],tempDoubleI32[1]=HEAP32[(($291+4)>>2)],tempDoubleF64[0]); //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2JSL11DoubleValueEd2907($6, $292); //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($288, $6, $atom); //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($293) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 8492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      $1=0; //@line 8493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      __label__ = 84; break; //@line 8494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $297=(($9+40)|0); //@line 8497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=__ZNK2js11TokenStream12currentTokenEv($297); //@line 8497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=(($298+24)|0); //@line 8497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=$299; //@line 8497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=(($300+4)|0); //@line 8497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=HEAP32[(($301)>>2)]; //@line 8497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($atom)>>2)]=$302; //@line 8497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=HEAP32[(($atom)>>2)]; //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=(($9+12)|0); //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=HEAP32[(($304)>>2)]; //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=(($305+52)|0); //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=HEAP32[(($306)>>2)]; //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=(($307+209948)|0); //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=(($308+272)|0); //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=HEAP32[(($309)>>2)]; //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=$310; //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $312=(($303)|0)==(($311)|0); //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($312) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 8498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      $op=125; //@line 8499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 64; break; //@line 8499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $315=HEAP32[(($atom)>>2)]; //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=(($9+12)|0); //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=HEAP32[(($316)>>2)]; //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=(($317+52)|0); //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=HEAP32[(($318)>>2)]; //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=(($319+209948)|0); //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=(($320+348)|0); //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $322=HEAP32[(($321)>>2)]; //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=$322; //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=(($315)|0)==(($323)|0); //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($324) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 8500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      $op=126; //@line 8501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 63; break; //@line 8501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      __label__ = 78; break; //@line 8503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      __label__ = 64; break;
    case 64: 
      var $329=(($9+40)|0); //@line 8505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $330=__ZN2js11TokenStream8getTokenEj($329, 32); //@line 8505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=$330; //@line 8505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $331=$3; //@line 8506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=(($331)|0)==29; //@line 8506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($332) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 8506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $334=$3; //@line 8506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=(($334)|0)==31; //@line 8506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($335) { __label__ = 66; break; } else { __label__ = 69; break; } //@line 8506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $337=(($9+40)|0); //@line 8507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=__ZNK2js11TokenStream12currentTokenEv($337); //@line 8507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=(($338+24)|0); //@line 8507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$339; //@line 8507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=(($340+4)|0); //@line 8507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=HEAP32[(($341)>>2)]; //@line 8507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($atom)>>2)]=$342; //@line 8507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=HEAP32[(($atom)>>2)]; //@line 8508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=(($9+980)|0); //@line 8508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=HEAP32[(($344)>>2)]; //@line 8508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($343, $345); //@line 8508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$346; //@line 8508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$347; //@line 8508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=$pn3; //@line 8509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=(($348)|0)!=0; //@line 8509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($349) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 8509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      $1=0; //@line 8510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      __label__ = 77; break; //@line 8511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $353=$3; //@line 8511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=(($353)|0)==30; //@line 8511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($354) { __label__ = 70; break; } else { __label__ = 75; break; } //@line 8511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      var $356=(($9+980)|0); //@line 8512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=HEAP32[(($356)>>2)]; //@line 8512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=__ZN2js11NullaryNode6createEP13JSTreeContext($357); //@line 8512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=$358; //@line 8512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$359; //@line 8512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=$pn3; //@line 8513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=(($360)|0)!=0; //@line 8513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($361) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 8513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      $1=0; //@line 8514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      var $364=(($9+40)|0); //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=__ZNK2js11TokenStream12currentTokenEv($364); //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=(($365+24)|0); //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=$366; //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $368=(tempDoubleI32[0]=HEAP32[(($367)>>2)],tempDoubleI32[1]=HEAP32[(($367+4)>>2)],tempDoubleF64[0]); //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $369=$pn3; //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $370=(($369+32)|0); //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $371=$370; //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      (tempDoubleF64[0]=$368,HEAP32[(($371)>>2)]=tempDoubleI32[0],HEAP32[(($371+4)>>2)]=tempDoubleI32[1]); //@line 8515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $372=(($9+12)|0); //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=HEAP32[(($372)>>2)]; //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=$pn3; //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=(($374+32)|0); //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $376=$375; //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $377=(tempDoubleI32[0]=HEAP32[(($376)>>2)],tempDoubleI32[1]=HEAP32[(($376+4)>>2)],tempDoubleF64[0]); //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2JSL11DoubleValueEd2907($7, $377); //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $378=__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($373, $7, $atom); //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($378) { __label__ = 74; break; } else { __label__ = 73; break; } //@line 8516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      $1=0; //@line 8517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      __label__ = 76; break; //@line 8518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $382=(($9+40)|0); //@line 8519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($382); //@line 8519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 8520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      __label__ = 77; break;
    case 77: 
      var $385=$pn; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $386=(($385+32)|0); //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=$386; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=$387; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=(($388+12)|0); //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $390=$389; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=HEAP32[(($390)>>2)]; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=$391 & 4095; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $393=$392 | 2048; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $394=$393 & 4095; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $395=$387; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $396=(($395+12)|0); //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=$396; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=$394 & 4095; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $399=HEAP32[(($397)>>2)]; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=$399 & -4096; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $401=$400 | $398; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($397)>>2)]=$401; //@line 8523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $402=$op; //@line 8526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $403=(($402)|0)==125; //@line 8526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $404=$403 ? 0 : 1; //@line 8526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $405=__ZN2js6Parser11functionDefEP6JSAtomNS0_12FunctionTypeENS_18FunctionSyntaxKindE($9, 0, $404, 0); //@line 8526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$405; //@line 8526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $406=$op; //@line 8527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $407=$pn3; //@line 8527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $408=$pn2; //@line 8527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $409=(($9+980)|0); //@line 8527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $410=HEAP32[(($409)>>2)]; //@line 8527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $411=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(6, $406, $407, $408, $410); //@line 8527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$411; //@line 8527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 97; break; //@line 8528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      __label__ = 79; break; //@line 8529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      var $414=(($9+40)|0); //@line 8532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $415=__ZNK2js11TokenStream12currentTokenEv($414); //@line 8532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $416=(($415+24)|0); //@line 8532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $417=$416; //@line 8532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $418=(($417+4)|0); //@line 8532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=HEAP32[(($418)>>2)]; //@line 8532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($atom)>>2)]=$419; //@line 8532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $420=(($9+980)|0); //@line 8533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $421=HEAP32[(($420)>>2)]; //@line 8533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $422=__ZN2js11NullaryNode6createEP13JSTreeContext($421); //@line 8533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $423=$422; //@line 8533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$423; //@line 8533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=$pn3; //@line 8534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=(($424)|0)!=0; //@line 8534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($425) { __label__ = 81; break; } else { __label__ = 80; break; } //@line 8534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      $1=0; //@line 8535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 81: 
      var $428=HEAP32[(($atom)>>2)]; //@line 8536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $429=$pn3; //@line 8536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $430=(($429+32)|0); //@line 8536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $431=$430; //@line 8536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $432=(($431)|0); //@line 8536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $433=$432; //@line 8536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($433)>>2)]=$428; //@line 8536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 84; break; //@line 8537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 82: 
      __label__ = 132; break; //@line 8539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 83: 
      var $436=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 131, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 84: 
      $op=93; //@line 8545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $438=(($9+40)|0); //@line 8546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $439=__ZN2js11TokenStream8getTokenEv($438); //@line 8546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=$439; //@line 8546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $440=$3; //@line 8547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $441=(($440)|0)==6; //@line 8547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($441) { __label__ = 85; break; } else { __label__ = 90; break; } //@line 8547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 85: 
      var $443=__ZN2js6Parser10assignExprEv($9); //@line 8548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnval=$443; //@line 8548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $444=$pnval; //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $445=(($444)|0)!=0; //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($445) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 86: 
      var $447=$pnval; //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $448=__ZN11JSParseNode10isConstantEv($447); //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($448) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 87: 
      var $450=HEAP32[(($atom)>>2)]; //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $451=(($9+12)|0); //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $452=HEAP32[(($451)>>2)]; //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $453=(($452+52)|0); //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $454=HEAP32[(($453)>>2)]; //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $455=(($454+209948)|0); //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $456=(($455+344)|0); //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $457=HEAP32[(($456)>>2)]; //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $458=$457; //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $459=(($450)|0)==(($458)|0); //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($459) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 8555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 88: 
      var $461=$pn; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $462=(($461+32)|0); //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $463=$462; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $464=$463; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $465=(($464+12)|0); //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $466=$465; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $467=HEAP32[(($466)>>2)]; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $468=$467 & 4095; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $469=$468 | 2048; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $470=$469 & 4095; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $471=$463; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $472=(($471+12)|0); //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $473=$472; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $474=$470 & 4095; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $475=HEAP32[(($473)>>2)]; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $476=$475 & -4096; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $477=$476 | $474; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($473)>>2)]=$477; //@line 8557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 89; break; //@line 8558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 89: 
      __label__ = 96; break; //@line 8559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 90: 
      var $480=$3; //@line 8561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $481=(($480)|0)!=3; //@line 8561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($481) { __label__ = 91; break; } else { __label__ = 93; break; } //@line 8561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 91: 
      var $483=$3; //@line 8561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $484=(($483)|0)!=26; //@line 8561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($484) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 8561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 92: 
      var $486=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 106, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 93: 
      var $488=(($9+40)|0); //@line 8572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($488); //@line 8572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $489=$pn; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $490=(($489+32)|0); //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $491=$490; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $492=$491; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $493=(($492+12)|0); //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $494=$493; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $495=HEAP32[(($494)>>2)]; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $496=$495 & 4095; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $497=$496 | 2560; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $498=$497 & 4095; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $499=$491; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $500=(($499+12)|0); //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $501=$500; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $502=$498 & 4095; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $503=HEAP32[(($501)>>2)]; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $504=$503 & -4096; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $505=$504 | $502; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($501)>>2)]=$505; //@line 8573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $506=$pn3; //@line 8574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnval=$506; //@line 8574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $507=$pnval; //@line 8575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $508=__ZNK11JSParseNode6isKindEN2js9TokenKindE($507, 29); //@line 8575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($508) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 8575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 94: 
      var $510=$pnval; //@line 8576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($510, 6); //@line 8576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $511=$pnval; //@line 8577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $512=$511; //@line 8577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $513=(($9+980)|0); //@line 8577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $514=HEAP32[(($513)>>2)]; //@line 8577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js8NameNode10initCommonEP13JSTreeContext($512, $514); //@line 8577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 95; break; //@line 8578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 95: 
      __label__ = 96; break;
    case 96: 
      var $517=$op; //@line 8582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $518=$pn3; //@line 8582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $519=$pnval; //@line 8582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $520=(($9+980)|0); //@line 8582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $521=HEAP32[(($520)>>2)]; //@line 8582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $522=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(6, $517, $518, $519, $521); //@line 8582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$522; //@line 8582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 97; break; //@line 8582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 97: 
      var $524=$pn2; //@line 8584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $525=(($524)|0)!=0; //@line 8584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($525) { __label__ = 99; break; } else { __label__ = 98; break; } //@line 8584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 98: 
      $1=0; //@line 8585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 99: 
      var $528=$pn; //@line 8586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $529=$pn2; //@line 8586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($528, $529); //@line 8586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $530=$op; //@line 8595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $531=(($530)|0)==93; //@line 8595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($531) { __label__ = 100; break; } else { __label__ = 101; break; } //@line 8595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 100: 
      $assignType=7; //@line 8596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 108; break; //@line 8597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 101: 
      var $534=$op; //@line 8597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $535=(($534)|0)==125; //@line 8597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($535) { __label__ = 102; break; } else { __label__ = 103; break; } //@line 8597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 102: 
      $assignType=1; //@line 8598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 107; break; //@line 8599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 103: 
      var $538=$op; //@line 8599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $539=(($538)|0)==126; //@line 8599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($539) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 8599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 104: 
      $assignType=2; //@line 8600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 8601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 105: 
      $assignType=7; //@line 8603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break;
    case 106: 
      __label__ = 107; break;
    case 107: 
      __label__ = 108; break;
    case 108: 
      __ZN2js9InlineMapIP6JSAtomjLj24EE12lookupForAddERKS2_($p, $seen, $atom); //@line 8606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $545=__ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtrcvPPPPPPPS4_Ev($p); //@line 8607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $546=(($545)|0)!=0; //@line 8607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($546) { __label__ = 109; break; } else { __label__ = 124; break; } //@line 8607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 109: 
      var $548=__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtr5valueEv($p); //@line 8608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $549=HEAP32[(($548)>>2)]; //@line 8608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $index1=$549; //@line 8608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $550=$index1; //@line 8609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldAssignType=$550; //@line 8609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $551=$oldAssignType; //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $552=$assignType; //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $553=$551 & $552; //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $554=(($553)|0)!=0; //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($554) { __label__ = 110; break; } else { __label__ = 123; break; } //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 110: 
      var $556=$oldAssignType; //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $557=(($556)|0)!=7; //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($557) { __label__ = 113; break; } else { __label__ = 111; break; } //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 111: 
      var $559=$assignType; //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $560=(($559)|0)!=7; //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($560) { __label__ = 113; break; } else { __label__ = 112; break; } //@line 8610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 112: 
      var $562=(($9+980)|0); //@line 8611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $563=HEAP32[(($562)>>2)]; //@line 8611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $564=__ZN13JSTreeContext16needStrictChecksEv($563); //@line 8611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($564) { __label__ = 113; break; } else { __label__ = 123; break; } //@line 8611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 113: 
      __ZN16JSAutoByteStringC1Ev($name); //@line 8613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $566=(($9+12)|0); //@line 8614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $567=HEAP32[(($566)>>2)]; //@line 8614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $568=HEAP32[(($atom)>>2)]; //@line 8614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $569=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($567, $568, $name); //@line 8614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $570=(($569)|0)!=0; //@line 8614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($570) { __label__ = 115; break; } else { __label__ = 114; break; } //@line 8614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 114: 
      $1=0; //@line 8615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 121; break; //@line 8615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 115: 
      var $573=$oldAssignType; //@line 8621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $574=(($573)|0)==7; //@line 8621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($574) { __label__ = 116; break; } else { var $584 = 0;__label__ = 118; break; } //@line 8621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 116: 
      var $576=$assignType; //@line 8621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $577=(($576)|0)==7; //@line 8621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($577) { __label__ = 117; break; } else { var $584 = 0;__label__ = 118; break; } //@line 8621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 117: 
      var $579=(($9+980)|0); //@line 8619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $580=HEAP32[(($579)>>2)]; //@line 8619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $581=__ZNK13JSTreeContext12inStrictModeEv($580); //@line 8619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $582=$581 ^ 1; //@line 8619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $584 = $582;__label__ = 118; break;
    case 118: 
      var $584;
      var $585=$584 ? 1 : 0;
      $flags=$585;
      var $586=(($9+12)|0); //@line 8622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $587=HEAP32[(($586)>>2)]; //@line 8622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $588=(($9+40)|0); //@line 8622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $589=$flags; //@line 8622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $590=__ZNK16JSAutoByteString3ptrEv($name); //@line 8623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $591=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($587, $588, 0, $589, 234, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$590,tempInt)); //@line 8623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($591) { __label__ = 120; break; } else { __label__ = 119; break; } //@line 8623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 119: 
      $1=0; //@line 8625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 121; break; //@line 8625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 120: 
      $5=0; //@line 8627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 121; break; //@line 8627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 121: 
      __ZN16JSAutoByteStringD1Ev($name); //@line 8627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 122; break;
      }
      else {
      __label__ = 133; break;
      }
      
    case 122: 
      __label__ = 123; break; //@line 8627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 123: 
      var $597=$assignType; //@line 8628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $598=$oldAssignType; //@line 8628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $599=$597 | $598; //@line 8628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $600=__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtr5valueEv($p); //@line 8628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($600)>>2)]=$599; //@line 8628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 127; break; //@line 8629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 124: 
      var $602=$assignType; //@line 8630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($8)>>2)]=$602; //@line 8630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $603=__ZN2js9InlineMapIP6JSAtomjLj24EE3addERNS3_6AddPtrERKS2_RKj($seen, $p, $atom, $8); //@line 8630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($603) { __label__ = 126; break; } else { __label__ = 125; break; } //@line 8630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 125: 
      $1=0; //@line 8631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 126: 
      __label__ = 127; break;
    case 127: 
      var $607=(($9+40)|0); //@line 8634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $608=__ZN2js11TokenStream8getTokenEv($607); //@line 8634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=$608; //@line 8634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $609=$3; //@line 8635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $610=(($609)|0)==26; //@line 8635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($610) { __label__ = 128; break; } else { __label__ = 129; break; } //@line 8635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 128: 
      __label__ = 132; break; //@line 8636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 129: 
      var $613=$3; //@line 8637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $614=(($613)|0)!=3; //@line 8637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($614) { __label__ = 130; break; } else { __label__ = 131; break; } //@line 8637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 130: 
      var $616=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 107, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 131: 
      __label__ = 52; break; //@line 8641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 132: 
      var $619=$pn; //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $620=(($619+4)|0); //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $621=(($620+8)|0); //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $622=(($9+40)|0); //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $623=__ZNK2js11TokenStream12currentTokenEv($622); //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $624=(($623+4)|0); //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $625=(($624+8)|0); //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $626=$621; //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $627=$625; //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($626)>>2)]=HEAP32[(($627)>>2)];HEAP32[(($626+4)>>2)]=HEAP32[(($627+4)>>2)]; //@line 8644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $628=$pn; //@line 8645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$628; //@line 8645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 133; break; //@line 8645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 133: 
      __ZN2js9InlineMapIP6JSAtomjLj24EED1Ev($seen); //@line 8646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break;
    case 134: 
      var $631=__ZN2js6Parser8letBlockEi($9, 0); //@line 8650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$631; //@line 8650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $632=$pn; //@line 8651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $633=(($632)|0)!=0; //@line 8651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($633) { __label__ = 136; break; } else { __label__ = 135; break; } //@line 8651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 135: 
      $1=0; //@line 8652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 136: 
      __label__ = 252; break; //@line 8653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 137: 
      var $637=(($9+980)|0); //@line 8658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $638=HEAP32[(($637)>>2)]; //@line 8658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $639=__ZN2js9UnaryNode6createEP13JSTreeContext($638); //@line 8658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $640=$639; //@line 8658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$640; //@line 8658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $641=$pn; //@line 8659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $642=(($641)|0)!=0; //@line 8659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($642) { __label__ = 139; break; } else { __label__ = 138; break; } //@line 8659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 138: 
      $1=0; //@line 8660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 139: 
      var $645=(($9+40)|0); //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $646=__ZNK2js11TokenStream12currentTokenEv($645); //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $647=(($646+24)|0); //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $648=$647; //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $649=(tempDoubleI32[0]=HEAP32[(($648)>>2)],tempDoubleI32[1]=HEAP32[(($648+4)>>2)],tempDoubleF64[0]); //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $650=(($649)&-1); //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $651=$pn; //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $652=(($651+32)|0); //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $653=$652; //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $654=(($653+4)|0); //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($654)>>2)]=$650; //@line 8661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $655=(($9+40)|0); //@line 8662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $656=__ZN2js11TokenStream8getTokenEj($655, 8); //@line 8662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=$656; //@line 8662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $657=$3; //@line 8663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $658=__ZN2js6Parser11primaryExprENS_9TokenKindEi($9, $657, 0); //@line 8663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $659=$pn; //@line 8663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $660=(($659+32)|0); //@line 8663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $661=$660; //@line 8663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $662=(($661)|0); //@line 8663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($662)>>2)]=$658; //@line 8663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $663=$pn; //@line 8664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $664=(($663+32)|0); //@line 8664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $665=$664; //@line 8664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $666=(($665)|0); //@line 8664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $667=HEAP32[(($666)>>2)]; //@line 8664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $668=(($667)|0)!=0; //@line 8664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($668) { __label__ = 141; break; } else { __label__ = 140; break; } //@line 8664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 140: 
      $1=0; //@line 8665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 141: 
      var $671=$pn; //@line 8666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $672=(($671+32)|0); //@line 8666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $673=$672; //@line 8666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $674=(($673)|0); //@line 8666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $675=HEAP32[(($674)>>2)]; //@line 8666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $676=__ZNK11JSParseNode6isKindEN2js9TokenKindE($675, 52); //@line 8666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($676) { __label__ = 146; break; } else { __label__ = 142; break; } //@line 8666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 142: 
      var $678=$pn; //@line 8667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $679=(($678+32)|0); //@line 8667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $680=$679; //@line 8667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $681=(($680)|0); //@line 8667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $682=HEAP32[(($681)>>2)]; //@line 8667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $683=__ZNK11JSParseNode6isKindEN2js9TokenKindE($682, 51); //@line 8667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($683) { __label__ = 146; break; } else { __label__ = 143; break; } //@line 8667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 143: 
      var $685=$pn; //@line 8668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $686=(($685+32)|0); //@line 8668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $687=$686; //@line 8668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $688=(($687)|0); //@line 8668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $689=HEAP32[(($688)>>2)]; //@line 8668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $690=__ZNK11JSParseNode6isKindEN2js9TokenKindE($689, 31); //@line 8668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($690) { __label__ = 146; break; } else { __label__ = 144; break; } //@line 8668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 144: 
      var $692=$pn; //@line 8669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $693=(($692+32)|0); //@line 8669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $694=$693; //@line 8669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $695=(($694)|0); //@line 8669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $696=HEAP32[(($695)>>2)]; //@line 8669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $697=__ZNK11JSParseNode6isKindEN2js9TokenKindE($696, 30); //@line 8669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($697) { __label__ = 146; break; } else { __label__ = 145; break; } //@line 8669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 145: 
      var $699=$pn; //@line 8670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $700=(($699+32)|0); //@line 8670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $701=$700; //@line 8670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $702=(($701)|0); //@line 8670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $703=HEAP32[(($702)>>2)]; //@line 8670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $704=__ZNK11JSParseNode6isKindEN2js9TokenKindE($703, 33); //@line 8670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($704) { __label__ = 146; break; } else { __label__ = 147; break; } //@line 8670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 146: 
      var $706=$pn; //@line 8671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $707=(($706+32)|0); //@line 8671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $708=$707; //@line 8671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $709=(($708)|0); //@line 8671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $710=HEAP32[(($709)>>2)]; //@line 8671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $711=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, $710, 0, 134, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 147: 
      var $713=(($9+980)|0); //@line 8674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $714=HEAP32[(($713)>>2)]; //@line 8674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $715=__ZN13JSTreeContext16ensureSharpSlotsEv($714); //@line 8674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($715) { __label__ = 149; break; } else { __label__ = 148; break; } //@line 8674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 148: 
      $1=0; //@line 8675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 149: 
      __label__ = 252; break; //@line 8676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 150: 
      var $719=(($9+980)|0); //@line 8680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $720=HEAP32[(($719)>>2)]; //@line 8680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $721=__ZN2js11NullaryNode6createEP13JSTreeContext($720); //@line 8680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $722=$721; //@line 8680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$722; //@line 8680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $723=$pn; //@line 8681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $724=(($723)|0)!=0; //@line 8681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($724) { __label__ = 152; break; } else { __label__ = 151; break; } //@line 8681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 151: 
      $1=0; //@line 8682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 152: 
      var $727=(($9+980)|0); //@line 8683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $728=HEAP32[(($727)>>2)]; //@line 8683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $729=__ZN13JSTreeContext16ensureSharpSlotsEv($728); //@line 8683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($729) { __label__ = 154; break; } else { __label__ = 153; break; } //@line 8683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 153: 
      $1=0; //@line 8684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 154: 
      var $732=(($9+40)|0); //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $733=__ZNK2js11TokenStream12currentTokenEv($732); //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $734=(($733+24)|0); //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $735=$734; //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $736=(tempDoubleI32[0]=HEAP32[(($735)>>2)],tempDoubleI32[1]=HEAP32[(($735+4)>>2)],tempDoubleF64[0]); //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $737=(($736)&-1); //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $738=$pn; //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $739=(($738+32)|0); //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $740=$739; //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $741=(($740+4)|0); //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($741)>>2)]=$737; //@line 8685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 252; break; //@line 8686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 155: 
      var $743=__ZN2js6Parser9parenExprEPi($9, $genexp); //@line 8693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$743; //@line 8693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $744=$pn; //@line 8694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $745=(($744)|0)!=0; //@line 8694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($745) { __label__ = 157; break; } else { __label__ = 156; break; } //@line 8694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 156: 
      $1=0; //@line 8695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 157: 
      var $748=$pn; //@line 8696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode11setInParensEb($748, 1); //@line 8696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $749=HEAP32[(($genexp)>>2)]; //@line 8697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $750=(($749)|0)!=0; //@line 8697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($750) { __label__ = 163; break; } else { __label__ = 158; break; } //@line 8697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 158: 
      __label__ = 159; break; //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 159: 
      var $753=(($9+40)|0); //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $754=__ZN2js11TokenStream8getTokenEj($753, 0); //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $755=(($754)|0)!=28; //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($755) { __label__ = 160; break; } else { __label__ = 161; break; } //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 160: 
      var $757=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 108, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 161: 
      __label__ = 162; break; //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 162: 
      __label__ = 163; break; //@line 8698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 163: 
      __label__ = 252; break; //@line 8699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 164: 
      var $762=__ZN2js6Parser19qualifiedIdentifierEv($9); //@line 8704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$762; //@line 8704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $763=$pn; //@line 8705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $764=(($763)|0)!=0; //@line 8705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($764) { __label__ = 166; break; } else { __label__ = 165; break; } //@line 8705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 165: 
      $1=0; //@line 8706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 166: 
      __label__ = 252; break; //@line 8707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 167: 
      var $768=__ZN2js6Parser19attributeIdentifierEv($9); //@line 8710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$768; //@line 8710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $769=$pn; //@line 8711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $770=(($769)|0)!=0; //@line 8711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($770) { __label__ = 169; break; } else { __label__ = 168; break; } //@line 8711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 168: 
      $1=0; //@line 8712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 169: 
      __label__ = 252; break; //@line 8713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 170: 
      var $774=__ZN2js6Parser20xmlElementOrListRootEi($9, 1); //@line 8716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$774; //@line 8716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $775=$pn; //@line 8717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $776=(($775)|0)!=0; //@line 8717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($776) { __label__ = 172; break; } else { __label__ = 171; break; } //@line 8717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 171: 
      $1=0; //@line 8718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 172: 
      __label__ = 252; break; //@line 8719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 173: 
      var $780=(($9+980)|0); //@line 8732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $781=HEAP32[(($780)>>2)]; //@line 8732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $782=__ZN2js11NullaryNode6createEP13JSTreeContext($781); //@line 8732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $783=$782; //@line 8732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$783; //@line 8732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $784=$pn; //@line 8733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $785=(($784)|0)!=0; //@line 8733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($785) { __label__ = 175; break; } else { __label__ = 174; break; } //@line 8733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 174: 
      $1=0; //@line 8734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 175: 
      var $788=(($9+40)|0); //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $789=__ZNK2js11TokenStream12currentTokenEv($788); //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $790=(($789+24)|0); //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $791=$790; //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $792=(($791+4)|0); //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $793=HEAP32[(($792)>>2)]; //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $794=$pn; //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $795=(($794+32)|0); //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $796=$795; //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $797=(($796)|0); //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $798=$797; //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($798)>>2)]=$793; //@line 8735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $799=$3; //@line 8737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $800=(($799)|0)==69; //@line 8737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($800) { __label__ = 176; break; } else { __label__ = 177; break; } //@line 8737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 176: 
      var $802=(($9+40)|0); //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $803=__ZNK2js11TokenStream12currentTokenEv($802); //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $804=(($803+24)|0); //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $805=$804; //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $806=(($805)|0); //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $807=HEAP32[(($806)>>2)]; //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $808=$pn; //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $809=(($808+32)|0); //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $810=$809; //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $811=(($810+4)|0); //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($811)>>2)]=$807; //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 178; break; //@line 8738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 177: 
      var $813=$pn; //@line 8741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $814=(($9+40)|0); //@line 8741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $815=__ZNK2js11TokenStream12currentTokenEv($814); //@line 8741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $816=(($815+24)|0); //@line 8741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $817=$816; //@line 8741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $818=(($817)|0); //@line 8741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $819=HEAP32[(($818)>>2)]; //@line 8741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($813, $819); //@line 8741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 178; break;
    case 178: 
      __label__ = 252; break; //@line 8742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 179: 
      var $822=(($9+40)|0); //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $823=__ZNK2js11TokenStream12currentTokenEv($822); //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $824=(($823+24)|0); //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $825=$824; //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $826=(($825+4)|0); //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $827=HEAP32[(($826)>>2)]; //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $828=(($9+980)|0); //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $829=HEAP32[(($828)>>2)]; //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $830=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($827, $829); //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $831=$830; //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$831; //@line 8745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $832=$pn; //@line 8746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $833=(($832)|0)!=0; //@line 8746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($833) { __label__ = 181; break; } else { __label__ = 180; break; } //@line 8746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 180: 
      $1=0; //@line 8747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 181: 
      var $836=$pn; //@line 8749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($836, 59); //@line 8749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $837=(($9+980)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $838=HEAP32[(($837)>>2)]; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $839=(($838)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $840=HEAP32[(($839)>>2)]; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $841=$840 & 66; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $842=(($841)|0)==2; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($842) { __label__ = 182; break; } else { __label__ = 188; break; } //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 182: 
      var $844=$pn; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $845=(($844+32)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $846=$845; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $847=(($846)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $848=$847; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $849=HEAP32[(($848)>>2)]; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $850=(($9+12)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $851=HEAP32[(($850)>>2)]; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $852=(($851+52)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $853=HEAP32[(($852)>>2)]; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $854=(($853+209948)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $855=(($854+228)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $856=HEAP32[(($855)>>2)]; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $857=$856; //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $858=(($849)|0)==(($857)|0); //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($858) { __label__ = 183; break; } else { __label__ = 188; break; } //@line 8751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 183: 
      var $860=(($9+980)|0); //@line 8760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $861=HEAP32[(($860)>>2)]; //@line 8760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $862=$pn; //@line 8760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext16noteArgumentsUseEP11JSParseNode($861, $862); //@line 8760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $863=$4; //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $864=(($863)|0)!=0; //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($864) { __label__ = 187; break; } else { __label__ = 184; break; } //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 184: 
      var $866=(($9+980)|0); //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $867=HEAP32[(($866)>>2)]; //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $868=(($867)|0); //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $869=HEAP32[(($868)>>2)]; //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $870=$869 & 65536; //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $871=(($870)|0)!=0; //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($871) { __label__ = 187; break; } else { __label__ = 185; break; } //@line 8766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 185: 
      var $873=(($9+980)|0); //@line 8767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $874=HEAP32[(($873)>>2)]; //@line 8767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $875=__ZN13JSTreeContext11inStatementE10JSStmtType($874, 6); //@line 8767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($875) { __label__ = 187; break; } else { __label__ = 186; break; } //@line 8767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 186: 
      var $877=$pn; //@line 8768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($877, 9); //@line 8768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $878=$pn; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $879=(($878+32)|0); //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $880=$879; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $881=$880; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $882=(($881+12)|0); //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $883=$882; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $884=HEAP32[(($883)>>2)]; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $885=$884 & 4095; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $886=$885 | 512; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $887=$886 & 4095; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $888=$880; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $889=(($888+12)|0); //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $890=$889; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $891=$887 & 4095; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $892=HEAP32[(($890)>>2)]; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $893=$892 & -4096; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $894=$893 | $891; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($890)>>2)]=$894; //@line 8769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 187; break; //@line 8770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 187: 
      __label__ = 221; break; //@line 8771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 188: 
      var $897=$4; //@line 8771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $898=(($897)|0)!=0; //@line 8771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($898) { __label__ = 189; break; } else { __label__ = 190; break; } //@line 8771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 189: 
      var $900=(($9+40)|0); //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $901=__ZN2js11TokenStream9peekTokenEv($900); //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $902=(($901)|0)==71; //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($902) { __label__ = 190; break; } else { __label__ = 220; break; } //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 190: 
      var $904=(($9+980)|0); //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $905=HEAP32[(($904)>>2)]; //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $906=(($905)|0); //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $907=HEAP32[(($906)>>2)]; //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $908=$907 & 65536; //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $909=(($908)|0)!=0; //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($909) { __label__ = 220; break; } else { __label__ = 191; break; } //@line 8773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 191: 
      var $911=(($9+980)|0); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $912=HEAP32[(($911)>>2)]; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $913=__ZNK13JSTreeContext10inFunctionEv($912); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($913) { __label__ = 194; break; } else { __label__ = 192; break; } //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 192: 
      var $915=$pn; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $916=(($915+32)|0); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $917=$916; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $918=(($917)|0); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $919=$918; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $920=HEAP32[(($919)>>2)]; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $921=(($9+12)|0); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $922=HEAP32[(($921)>>2)]; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $923=(($922+52)|0); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $924=HEAP32[(($923)>>2)]; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $925=(($924+209948)|0); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $926=(($925+228)|0); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $927=HEAP32[(($926)>>2)]; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $928=$927; //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $929=(($920)|0)==(($928)|0); //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($929) { __label__ = 193; break; } else { __label__ = 194; break; } //@line 8777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 193: 
      var $931=(($9+980)|0); //@line 8779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $932=HEAP32[(($931)>>2)]; //@line 8779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $933=$pn; //@line 8779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext17countArgumentsUseEP11JSParseNode($932, $933); //@line 8779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 194; break; //@line 8780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 194: 
      var $935=(($9+980)|0); //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $936=HEAP32[(($935)>>2)]; //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $937=$pn; //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $938=(($937+32)|0); //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $939=$938; //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $940=(($939)|0); //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $941=$940; //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $942=HEAP32[(($941)>>2)]; //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $943=_js_LexicalLookup($936, $942, 0, 0); //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$943; //@line 8782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $944=(($9+980)|0); //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $945=HEAP32[(($944)>>2)]; //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $946=(($945+40)|0); //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $947=$pn; //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $948=(($947+32)|0); //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $949=$948; //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $950=(($949)|0); //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $951=$950; //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $952=HEAP32[(($951)>>2)]; //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9AtomDecls11lookupMultiEP6JSAtom($mdl, $946, $952); //@line 8784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $953=__ZNK2js14MultiDeclRange5emptyEv($mdl); //@line 8787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($953) { __label__ = 203; break; } else { __label__ = 195; break; } //@line 8787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 195: 
      var $955=__ZN2js14MultiDeclRange5frontEv($mdl); //@line 8788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($dn)>>2)]=$955; //@line 8788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 196; break; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 196: 
      var $957=HEAP32[(($dn)>>2)]; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $958=$957; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $959=__ZNK11JSParseNode5isLetEv($958); //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($959) { __label__ = 197; break; } else { var $976 = 0;__label__ = 198; break; } //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 197: 
      var $961=HEAP32[(($dn)>>2)]; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $962=$961; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $963=(($962+32)|0); //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $964=$963; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $965=$964; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $966=(($965+12)|0); //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $967=$966; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $968=HEAPU32[(($967)>>2)]; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $969=$968 >>> 12; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $970=$969 & 1048575; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $971=(($9+980)|0); //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $972=HEAP32[(($971)>>2)]; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $973=__ZL14BlockIdInScopejP13JSTreeContext($970, $972); //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $974=$973 ^ 1; //@line 8796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $976 = $974;__label__ = 198; break;
    case 198: 
      var $976;
      if ($976) { __label__ = 199; break; } else { __label__ = 202; break; }
    case 199: 
      __ZN2js14MultiDeclRange8popFrontEv($mdl); //@line 8797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $978=__ZNK2js14MultiDeclRange5emptyEv($mdl); //@line 8798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($978) { __label__ = 200; break; } else { __label__ = 201; break; } //@line 8798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 200: 
      __label__ = 202; break; //@line 8799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 201: 
      var $981=__ZN2js14MultiDeclRange5frontEv($mdl); //@line 8800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($dn)>>2)]=$981; //@line 8800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 196; break; //@line 8801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 202: 
      __label__ = 203; break; //@line 8803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 203: 
      var $984=__ZNK2js14MultiDeclRange5emptyEv($mdl); //@line 8805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($984) { __label__ = 205; break; } else { __label__ = 204; break; } //@line 8805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 204: 
      var $986=__ZN2js14MultiDeclRange5frontEv($mdl); //@line 8806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($dn)>>2)]=$986; //@line 8806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 214; break; //@line 8807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 205: 
      var $988=(($9+980)|0); //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $989=HEAP32[(($988)>>2)]; //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $990=(($989+64)|0); //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $991=$990; //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $992=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($991); //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $993=$pn; //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $994=(($993+32)|0); //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $995=$994; //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $996=(($995)|0); //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $997=$996; //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12lookupForAddERKS2_($p2, $992, $997); //@line 8808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $998=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrcvPPPPPPPS6_Ev($p2); //@line 8809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $999=(($998)|0)!=0; //@line 8809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($999) { __label__ = 206; break; } else { __label__ = 207; break; } //@line 8809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 206: 
      var $1001=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtr5valueEv($p2); //@line 8810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1002=HEAP32[(($1001)>>2)]; //@line 8810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($dn)>>2)]=$1002; //@line 8810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 213; break; //@line 8811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 207: 
      var $1004=$pn; //@line 8820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1005=(($9+980)|0); //@line 8820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1006=HEAP32[(($1005)>>2)]; //@line 8820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1007=__ZL15MakePlaceholderP11JSParseNodeP13JSTreeContext($1004, $1006); //@line 8820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($dn)>>2)]=$1007; //@line 8820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1008=HEAP32[(($dn)>>2)]; //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1009=(($1008)|0)!=0; //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1009) { __label__ = 208; break; } else { __label__ = 209; break; } //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 208: 
      var $1011=(($9+980)|0); //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1012=HEAP32[(($1011)>>2)]; //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1013=(($1012+64)|0); //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1014=$1013; //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1015=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($1014); //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1016=HEAP32[(($dn)>>2)]; //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1017=$1016; //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1018=(($1017+32)|0); //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1019=$1018; //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1020=(($1019)|0); //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1021=$1020; //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1022=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3addERNS5_6AddPtrERKS2_RKS4_($1015, $p2, $1021, $dn); //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1022) { __label__ = 210; break; } else { __label__ = 209; break; } //@line 8821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 209: 
      $1=0; //@line 8822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 210: 
      var $1025=(($9+40)|0); //@line 8835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1026=__ZN2js11TokenStream9peekTokenEv($1025); //@line 8835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1027=(($1026)|0)!=27; //@line 8835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1027) { __label__ = 211; break; } else { __label__ = 212; break; } //@line 8835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 211: 
      var $1029=HEAP32[(($dn)>>2)]; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1030=$1029; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1031=(($1030+32)|0); //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1032=$1031; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1033=$1032; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1034=(($1033+12)|0); //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1035=$1034; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1036=HEAP32[(($1035)>>2)]; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1037=$1036 & 4095; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1038=$1037 | 256; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1039=$1038 & 4095; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1040=$1032; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1041=(($1040+12)|0); //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1042=$1041; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1043=$1039 & 4095; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1044=HEAP32[(($1042)>>2)]; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1045=$1044 & -4096; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1046=$1045 | $1043; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($1042)>>2)]=$1046; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 212; break; //@line 8836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 212: 
      __label__ = 213; break;
    case 213: 
      __label__ = 214; break;
    case 214: 
      var $1050=$pn; //@line 8841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1051=HEAP32[(($dn)>>2)]; //@line 8841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1052=(($9+980)|0); //@line 8841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1053=HEAP32[(($1052)>>2)]; //@line 8841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12LinkUseToDefP11JSParseNodeP12JSDefinitionP13JSTreeContext($1050, $1051, $1053); //@line 8841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1054=(($9+40)|0); //@line 8844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1055=__ZN2js11TokenStream9peekTokenEv($1054); //@line 8844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1056=(($1055)|0)!=27; //@line 8844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1056) { __label__ = 215; break; } else { __label__ = 216; break; } //@line 8844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 215: 
      var $1058=HEAP32[(($dn)>>2)]; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1059=$1058; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1060=(($1059+32)|0); //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1061=$1060; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1062=$1061; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1063=(($1062+12)|0); //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1064=$1063; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1065=HEAP32[(($1064)>>2)]; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1066=$1065 & 4095; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1067=$1066 | 256; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1068=$1067 & 4095; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1069=$1061; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1070=(($1069+12)|0); //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1071=$1070; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1072=$1068 & 4095; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1073=HEAP32[(($1071)>>2)]; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1074=$1073 & -4096; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1075=$1074 | $1072; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($1071)>>2)]=$1075; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 216; break; //@line 8845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 216: 
      var $1077=HEAP32[(($dn)>>2)]; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1078=$1077; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1079=(($1078+32)|0); //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1080=$1079; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1081=$1080; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1082=(($1081+12)|0); //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1083=$1082; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1084=HEAP32[(($1083)>>2)]; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1085=$1084 & 4095; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1086=$1085 & 256; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1087=$pn; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1088=(($1087+32)|0); //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1089=$1088; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1090=$1089; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1091=(($1090+12)|0); //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1092=$1091; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1093=HEAP32[(($1092)>>2)]; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1094=$1093 & 4095; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1095=$1094 | $1086; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1096=$1095 & 4095; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1097=$1089; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1098=(($1097+12)|0); //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1099=$1098; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1100=$1096 & 4095; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1101=HEAP32[(($1099)>>2)]; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1102=$1101 & -4096; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1103=$1102 | $1100; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($1099)>>2)]=$1103; //@line 8847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1104=$stmt; //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1105=(($1104)|0)!=0; //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1105) { __label__ = 217; break; } else { __label__ = 219; break; } //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 217: 
      var $1107=$stmt; //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1108=(($1107)|0); //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1109=HEAPU16[(($1108)>>1)]; //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1110=(($1109)&65535); //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1111=(($1110)|0)==6; //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1111) { __label__ = 218; break; } else { __label__ = 219; break; } //@line 8848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 218: 
      var $1113=$pn; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1114=(($1113+32)|0); //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1115=$1114; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1116=$1115; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1117=(($1116+12)|0); //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1118=$1117; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1119=HEAP32[(($1118)>>2)]; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1120=$1119 & 4095; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1121=$1120 | 1024; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1122=$1121 & 4095; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1123=$1115; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1124=(($1123+12)|0); //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1125=$1124; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1126=$1122 & 4095; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1127=HEAP32[(($1125)>>2)]; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1128=$1127 & -4096; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1129=$1128 | $1126; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($1125)>>2)]=$1129; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 219; break; //@line 8849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 219: 
      __label__ = 220; break; //@line 8850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 220: 
      __label__ = 221; break;
    case 221: 
      var $1133=(($9+40)|0); //@line 8853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1134=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($1133, 71); //@line 8853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1134) { __label__ = 222; break; } else { __label__ = 231; break; } //@line 8853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 222: 
      var $1136=$4; //@line 8854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1137=(($1136)|0)!=0; //@line 8854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1137) { __label__ = 223; break; } else { __label__ = 228; break; } //@line 8854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 223: 
      var $1139=$pn; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1140=(($1139+32)|0); //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1141=$1140; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1142=(($1141)|0); //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1143=$1142; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1144=HEAP32[(($1143)>>2)]; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1145=$1144; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1146=__ZNK12JSFlatString6charsZEv($1145); //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1147=$pn; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1148=(($1147+32)|0); //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1149=$1148; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1150=(($1149)|0); //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1151=$1150; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1152=HEAP32[(($1151)>>2)]; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1153=$1152; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1154=__ZNK8JSString6lengthEv($1153); //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1155=__ZN2js11FindKeywordEPKtj($1146, $1154); //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ki=$1155; //@line 8860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1156=$ki; //@line 8861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1157=(($1156)|0)!=0; //@line 8861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1157) { __label__ = 224; break; } else { __label__ = 227; break; } //@line 8861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 224: 
      var $1159=$ki; //@line 8862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1160=(($1159+4)|0); //@line 8862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1161=HEAP32[(($1160)>>2)]; //@line 8862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1162=(($1161)|0)!=34; //@line 8862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1162) { __label__ = 225; break; } else { __label__ = 226; break; } //@line 8862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 225: 
      var $1164=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 213, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 226: 
      var $1166=$pn; //@line 8867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($1166, 0); //@line 8867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1167=$pn; //@line 8868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($1167, 34); //@line 8868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 227; break; //@line 8869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 227: 
      __label__ = 228; break; //@line 8870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 228: 
      var $1170=$pn; //@line 8871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1171=__ZN2js6Parser15qualifiedSuffixEP11JSParseNode($9, $1170); //@line 8871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$1171; //@line 8871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1172=$pn; //@line 8872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1173=(($1172)|0)!=0; //@line 8872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1173) { __label__ = 230; break; } else { __label__ = 229; break; } //@line 8872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 229: 
      $1=0; //@line 8873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 230: 
      __label__ = 231; break; //@line 8874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 231: 
      __label__ = 252; break; //@line 8876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 232: 
      var $1178=(($9+980)|0); //@line 8880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1179=HEAP32[(($1178)>>2)]; //@line 8880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1180=__ZN2js11NullaryNode6createEP13JSTreeContext($1179); //@line 8880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1181=$1180; //@line 8880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$1181; //@line 8880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1182=$pn; //@line 8881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1183=(($1182)|0)!=0; //@line 8881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1183) { __label__ = 234; break; } else { __label__ = 233; break; } //@line 8881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 233: 
      $1=0; //@line 8882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 234: 
      var $1186=(($9+12)|0); //@line 8885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1187=HEAP32[(($1186)>>2)]; //@line 8885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1188=__ZNK9JSContext5hasfpEv($1187); //@line 8885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1188) { __label__ = 235; break; } else { __label__ = 236; break; } //@line 8885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 235: 
      var $1190=(($9+12)|0); //@line 8886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1191=HEAP32[(($1190)>>2)]; //@line 8886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1192=(($9+12)|0); //@line 8886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1193=HEAP32[(($1192)>>2)]; //@line 8886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1194=__ZN9JSContext13regExpStaticsEv($1193); //@line 8886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1195=(($9+40)|0); //@line 8887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1196=__ZNK2js11TokenStream11getTokenbufEv($1195); //@line 8887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1197=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5beginEv($1196); //@line 8887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1198=(($9+40)|0); //@line 8888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1199=__ZNK2js11TokenStream11getTokenbufEv($1198); //@line 8888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1200=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($1199); //@line 8888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1201=(($9+40)|0); //@line 8889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1202=__ZNK2js11TokenStream12currentTokenEv($1201); //@line 8889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1203=(($1202+24)|0); //@line 8889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1204=$1203; //@line 8889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1205=HEAP32[(($1204)>>2)]; //@line 8889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1206=(($9+40)|0); //@line 8889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1207=__ZN2js6RegExp12createObjectEP9JSContextPNS_13RegExpStaticsEPKtjjPNS_11TokenStreamE($1191, $1194, $1197, $1200, $1205, $1206); //@line 8889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $obj=$1207; //@line 8889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 237; break; //@line 8891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 236: 
      var $1209=(($9+12)|0); //@line 8892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1210=HEAP32[(($1209)>>2)]; //@line 8892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1211=(($9+40)|0); //@line 8893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1212=__ZNK2js11TokenStream11getTokenbufEv($1211); //@line 8893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1213=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5beginEv($1212); //@line 8893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1214=(($9+40)|0); //@line 8894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1215=__ZNK2js11TokenStream11getTokenbufEv($1214); //@line 8894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1216=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($1215); //@line 8894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1217=(($9+40)|0); //@line 8895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1218=__ZNK2js11TokenStream12currentTokenEv($1217); //@line 8895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1219=(($1218+24)|0); //@line 8895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1220=$1219; //@line 8895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1221=HEAP32[(($1220)>>2)]; //@line 8895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1222=(($9+40)|0); //@line 8895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1223=__ZN2js6RegExp21createObjectNoStaticsEP9JSContextPKtjjPNS_11TokenStreamE($1210, $1213, $1216, $1221, $1222); //@line 8895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $obj=$1223; //@line 8895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 237; break;
    case 237: 
      var $1225=$obj; //@line 8899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1226=(($1225)|0)!=0; //@line 8899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1226) { __label__ = 239; break; } else { __label__ = 238; break; } //@line 8899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 238: 
      $1=0; //@line 8900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 239: 
      var $1229=(($9+980)|0); //@line 8901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1230=HEAP32[(($1229)>>2)]; //@line 8901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1231=__ZNK13JSTreeContext12compileAndGoEv($1230); //@line 8901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1231) { __label__ = 241; break; } else { __label__ = 240; break; } //@line 8901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 240: 
      var $1233=$obj; //@line 8902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN8JSObject11clearParentEv($1233); //@line 8902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1234=$obj; //@line 8903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN8JSObject9clearTypeEv($1234); //@line 8903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 241; break; //@line 8904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 241: 
      var $1236=(($9+980)|0); //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1237=HEAP32[(($1236)>>2)]; //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1238=(($1237+48)|0); //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1239=HEAP32[(($1238)>>2)]; //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1240=$obj; //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1241=__ZN2js6Parser12newObjectBoxEP8JSObject($1239, $1240); //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1242=$pn; //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1243=(($1242+32)|0); //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1244=$1243; //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1245=(($1244)|0); //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1246=$1245; //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($1246)>>2)]=$1241; //@line 8906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1247=$pn; //@line 8907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1248=(($1247+32)|0); //@line 8907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1249=$1248; //@line 8907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1250=(($1249)|0); //@line 8907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1251=$1250; //@line 8907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1252=HEAP32[(($1251)>>2)]; //@line 8907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1253=(($1252)|0)!=0; //@line 8907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1253) { __label__ = 243; break; } else { __label__ = 242; break; } //@line 8907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 242: 
      $1=0; //@line 8908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 243: 
      var $1256=$pn; //@line 8910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($1256, 162); //@line 8910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 252; break; //@line 8911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 244: 
      var $1258=(($9+980)|0); //@line 8915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1259=HEAP32[(($1258)>>2)]; //@line 8915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1260=__ZN2js11NullaryNode6createEP13JSTreeContext($1259); //@line 8915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1261=$1260; //@line 8915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$1261; //@line 8915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1262=$pn; //@line 8916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1263=(($1262)|0)!=0; //@line 8916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1263) { __label__ = 246; break; } else { __label__ = 245; break; } //@line 8916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 245: 
      $1=0; //@line 8917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 246: 
      var $1266=$pn; //@line 8918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($1266, 60); //@line 8918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1267=(($9+40)|0); //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1268=__ZNK2js11TokenStream12currentTokenEv($1267); //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1269=(($1268+24)|0); //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1270=$1269; //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1271=(tempDoubleI32[0]=HEAP32[(($1270)>>2)],tempDoubleI32[1]=HEAP32[(($1270+4)>>2)],tempDoubleF64[0]); //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1272=$pn; //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1273=(($1272+32)|0); //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1274=$1273; //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      (tempDoubleF64[0]=$1271,HEAP32[(($1274)>>2)]=tempDoubleI32[0],HEAP32[(($1274+4)>>2)]=tempDoubleI32[1]); //@line 8919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 252; break; //@line 8920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 247: 
      var $1276=(($9+980)|0); //@line 8923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1277=HEAP32[(($1276)>>2)]; //@line 8923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1278=__ZN2js11NullaryNode6createEP13JSTreeContext($1277); //@line 8923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1279=$1278; //@line 8923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$1279; //@line 8923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1280=$pn; //@line 8924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1281=(($1280)|0)!=0; //@line 8924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($1281) { __label__ = 249; break; } else { __label__ = 248; break; } //@line 8924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 248: 
      $1=0; //@line 8925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 249: 
      var $1284=$pn; //@line 8926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1285=(($9+40)|0); //@line 8926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1286=__ZNK2js11TokenStream12currentTokenEv($1285); //@line 8926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1287=(($1286+24)|0); //@line 8926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1288=$1287; //@line 8926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1289=(($1288)|0); //@line 8926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $1290=HEAP32[(($1289)>>2)]; //@line 8926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($1284, $1290); //@line 8926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 252; break; //@line 8927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 250: 
      $1=0; //@line 8931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 251: 
      var $1293=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 133, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 252: 
      var $1295=$pn; //@line 8937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$1295; //@line 8937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 253; break; //@line 8937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 253: 
      var $1297=$1; //@line 8938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $1297; //@line 8938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser11primaryExprENS_9TokenKindEi["X"]=1;

function __ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($cx, $data, $left, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $ok;
      var $pn;
      var $pair;
      var $pn1;
      var $6=__stackBase__;
      $2=$cx;
      $3=$data;
      $4=$left;
      $5=$tc;
      var $7=$4; //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZNK11JSParseNode6isKindEN2js9TokenKindE($7, 78); //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $10=$2; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$5; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+48)|0); //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+40)|0); //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$4; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($10, $14, $15, 0, 216, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $18=$4; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZNK11JSParseNode6isKindEN2js9TokenKindE($18, 24); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 23; break; } //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $21=$4; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+32)|0); //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0); //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$25; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $27=$pn; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0)!=0; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 22; break; } //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $30=$pn; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK11JSParseNode6isKindEN2js9TokenKindE($30, 3); //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $33=$pn; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZNK11JSParseNode7isArityE16JSParseNodeArity($33, 0); //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 20; break; } else { __label__ = 8; break; } //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $36=$pn; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZNK11JSParseNode6isKindEN2js9TokenKindE($36, 24); //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $39=$pn; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=__ZNK11JSParseNode6isKindEN2js9TokenKindE($39, 26); //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $42=$2; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$3; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$pn; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$5; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=__ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($42, $43, $44, $45); //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46)&1); //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ok=$47; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $49=$3; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49)|0)!=0; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $52=$pn; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=__ZNK11JSParseNode6isKindEN2js9TokenKindE($52, 29); //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $55=$2; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$5; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+48)|0); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+40)|0); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$pn; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($55, $59, $60, 0, 102, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $63=$2; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$3; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$pn; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$5; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=__ZL20BindDestructuringVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($63, $64, $65, $66); //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67)|0)!=0; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68)&1); //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ok=$69; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $71=$2; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$pn; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$5; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=__ZL20BindDestructuringLHSP9JSContextP11JSParseNodeP13JSTreeContext($71, $72, $73); //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74)|0)!=0; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75)&1); //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ok=$76; //@line 4192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $79=$ok; //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79) & 1); //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=0; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 20; break; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $85=$pn; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+24)|0); //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$87; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      __label__ = 39; break; //@line 4199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $90=$4; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90+32)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$91; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pair=$94; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $96=$pair; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96)|0)!=0; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($97) { __label__ = 25; break; } else { __label__ = 38; break; } //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $99=$pair; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99+32)|0); //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$100; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+4)|0); //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$103; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$pn1; //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=__ZNK11JSParseNode6isKindEN2js9TokenKindE($104, 24); //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($105) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $107=$pn1; //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=__ZNK11JSParseNode6isKindEN2js9TokenKindE($107, 26); //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($108) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $110=$2; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$3; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$pn1; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$5; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=__ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($110, $111, $112, $113); //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114)&1); //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ok=$115; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $117=$3; //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($117)|0)!=0; //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($118) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $120=$pn1; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=__ZNK11JSParseNode6isKindEN2js9TokenKindE($120, 29); //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($121) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $123=$2; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$5; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124+48)|0); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($126+40)|0); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$pn1; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($123, $127, $128, 0, 102, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $131=$2; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$3; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$pn1; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$5; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=__ZL20BindDestructuringVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($131, $132, $133, $134); //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135)|0)!=0; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=(($136)&1); //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ok=$137; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 33; break; //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $139=$2; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$pn1; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$5; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=__ZL20BindDestructuringLHSP9JSContextP11JSParseNodeP13JSTreeContext($139, $140, $141); //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($142)|0)!=0; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143)&1); //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ok=$144; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 33; break;
    case 33: 
      __label__ = 34; break;
    case 34: 
      var $147=$ok; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($147) & 1); //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($148) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      $1=0; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      __label__ = 37; break; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $152=$pair; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=(($152+24)|0); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pair=$154; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      __label__ = 39; break;
    case 39: 
      var $157=$3; //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($157)|0)!=0; //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($158) { __label__ = 40; break; } else { __label__ = 44; break; } //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $160=$3; //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($160+8)|0); //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=(($162)|0)==212; //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($163) { __label__ = 41; break; } else { __label__ = 44; break; } //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $165=$5; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=__ZN13JSTreeContext10blockChainEv($165); //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=__ZNK8JSObject13propertyCountEv($166); //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=(($167)|0)==0; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($168) { __label__ = 42; break; } else { __label__ = 44; break; } //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $170=$2; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$5; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=__ZN13JSTreeContext10blockChainEv($171); //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=$2; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173+52)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($175+209948)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=(($176+24)|0); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=HEAP32[(($177)>>2)]; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=$178; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=__ZL12ATOM_TO_JSIDP6JSAtom2903($179); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2JSL14UndefinedValueEv2937($6); //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($170, $172, $180, $6, 0, 0, 5, 64, 0, 0); //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=(($181)|0)!=0; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($182) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      $1=0; //@line 4248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      $1=1; //@line 4251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $186=$1; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $186; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZN2js6Parser13returnOrYieldEb($this, $useAssignExpr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $tt;
      var $tt2;
      var $pn;
      var $pn2;
      $2=$this;
      var $4=(($useAssignExpr)&1);
      $3=$4;
      var $5=$2;
      var $6=(($5+40)|0); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZNK2js11TokenStream12currentTokenEv($6); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0); //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$9; //@line 4477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($5+980)|0); //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=__ZNK13JSTreeContext10inFunctionEv($11); //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 4478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $14=$tt; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0)==48; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $19 = (STRING_TABLE._js_return_str);__label__ = 5; break; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $19 = (STRING_TABLE._js_yield_str);__label__ = 5; break; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $19; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0); //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 124, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,tempInt)); //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $23=(($5+980)|0); //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=__ZN2js9UnaryNode6createEP13JSTreeContext($24); //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$26; //@line 4484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$pn; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0)!=0; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $31=$tt; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0)==77; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $34=(($5+980)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+12)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37)|0)==0; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $40=(($5+980)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)|0); //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$43 | 512; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($42)>>2)]=$44; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $46=(($5+980)|0); //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+16)|0); //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49+1)|0); //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 4497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$pn; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($5+980)|0); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53+52)|0); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($54)>>2)]=$51; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 13; break; //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $57=(($5+40)|0); //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=__ZN2js11TokenStream17peekTokenSameLineEj($57, 8); //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt2=$58; //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$tt2; //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0)==-1; //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $63=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63)|0)!=0; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $66=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66)|0)!=1; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 17; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $69=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69)|0)!=2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $72=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72)|0)!=26; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $75=$tt; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75)|0)!=77; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($76) { __label__ = 25; break; } else { __label__ = 20; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $78=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$tt; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($78)|0)!=(($79)|0); //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($80) { __label__ = 21; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $82=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82)|0)!=24; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($83) { __label__ = 22; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $85=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85)|0)!=28; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $88=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88)|0)!=6; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($89) { __label__ = 24; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $91=$tt2; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91)|0)!=3; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($92) { __label__ = 25; break; } else { __label__ = 33; break; } //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $94=$3; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94) & 1); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($95) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $97=__ZN2js6Parser10assignExprEv($5); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101 = $97;__label__ = 28; break; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $99=__ZN2js6Parser4exprEv($5); //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101 = $99;__label__ = 28; break; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $101; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$101; //@line 4515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$pn2; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($102)|0)!=0; //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($103) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 4516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $1=0; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $106=$tt; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106)|0)==48; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($107) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $109=(($5+980)|0); //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110)|0); //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112 | 4; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($111)>>2)]=$113; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $115=$pn; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115+4)|0); //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116+8)|0); //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$pn2; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118+4)|0); //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119+8)|0); //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$117; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$120; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($121)>>2)]=HEAP32[(($122)>>2)];HEAP32[(($121+4)>>2)]=HEAP32[(($122+4)>>2)]; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$pn2; //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$pn; //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124+32)|0); //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$125; //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($126)|0); //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($127)>>2)]=$123; //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 36; break; //@line 4524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $129=$tt; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=(($129)|0)==48; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($130) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $132=(($5+980)|0); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133)|0); //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$135 | 8; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($134)>>2)]=$136; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __label__ = 36; break;
    case 36: 
      var $139=(($5+980)|0); //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($140)|0); //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$142 ^ -1; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$143 & 516; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=(($144)|0)==0; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($145) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $147=(($5+12)|0); //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($5+980)|0); //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$pn; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=__ZL15ReportBadReturnP9JSContextP13JSTreeContextP11JSParseNodejjj($148, $150, $151, 0, 208, 209); //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $154=(($5+12)|0); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=__ZNK9JSContext15hasStrictOptionEv($155); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($156) { __label__ = 39; break; } else { __label__ = 42; break; } //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $158=(($5+980)|0); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159)|0); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$161 ^ -1; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=$162 & 12; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($163)|0)==0; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($164) { __label__ = 40; break; } else { __label__ = 42; break; } //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $166=(($5+12)|0); //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=(($5+980)|0); //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$pn; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=__ZL15ReportBadReturnP9JSContextP13JSTreeContextP11JSParseNodejjj($167, $169, $170, 5, 110, 157); //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=(($171)|0)!=0; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($172) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      $1=0; //@line 4544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break; //@line 4544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $175=$pn; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$175; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $177=$1; //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $177; //@line 4548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser13returnOrYieldEb["X"]=1;

function __ZN2js11TokenStream17peekTokenSameLineEj($this, $withFlags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $tt;
      $2=$this;
      $3=$withFlags;
      var $4=$2;
      var $5=__ZNK2js11TokenStream12currentTokenEv($4); //@line 452 "./jsscan.h"
      var $6=(($5+4)|0); //@line 452 "./jsscan.h"
      var $7=__ZNK2js11TokenStream13onCurrentLineERKNS_8TokenPosE($4, $6); //@line 452 "./jsscan.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 452 "./jsscan.h"
    case 2: 
      $1=1; //@line 453 "./jsscan.h"
      __label__ = 8; break; //@line 453 "./jsscan.h"
    case 3: 
      var $10=(($4+136)|0); //@line 455 "./jsscan.h"
      var $11=HEAP32[(($10)>>2)]; //@line 455 "./jsscan.h"
      var $12=(($11)|0)!=0; //@line 455 "./jsscan.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 455 "./jsscan.h"
    case 4: 
      var $14=(($4+132)|0); //@line 457 "./jsscan.h"
      var $15=HEAP32[(($14)>>2)]; //@line 457 "./jsscan.h"
      var $16=(($4+136)|0); //@line 457 "./jsscan.h"
      var $17=HEAP32[(($16)>>2)]; //@line 457 "./jsscan.h"
      var $18=(($15+$17)|0); //@line 457 "./jsscan.h"
      var $19=$18 & 3; //@line 457 "./jsscan.h"
      var $20=(($4+4)|0); //@line 457 "./jsscan.h"
      var $21=(($20+($19<<5))|0); //@line 457 "./jsscan.h"
      var $22=(($21)|0); //@line 457 "./jsscan.h"
      var $23=HEAP32[(($22)>>2)]; //@line 457 "./jsscan.h"
      $1=$23; //@line 457 "./jsscan.h"
      __label__ = 8; break; //@line 457 "./jsscan.h"
    case 5: 
      var $25=(($4+144)|0); //@line 464 "./jsscan.h"
      var $26=HEAP32[(($25)>>2)]; //@line 464 "./jsscan.h"
      var $27=$26 & -5; //@line 464 "./jsscan.h"
      HEAP32[(($25)>>2)]=$27; //@line 464 "./jsscan.h"
      var $28=$3; //@line 465 "./jsscan.h"
      var $29=__ZN2js11TokenStream8getTokenEj($4, $28); //@line 465 "./jsscan.h"
      $tt=$29; //@line 465 "./jsscan.h"
      var $30=(($4+144)|0); //@line 466 "./jsscan.h"
      var $31=HEAP32[(($30)>>2)]; //@line 466 "./jsscan.h"
      var $32=$31 & 4; //@line 466 "./jsscan.h"
      var $33=(($32)|0)!=0; //@line 466 "./jsscan.h"
      if ($33) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 466 "./jsscan.h"
    case 6: 
      $tt=1; //@line 467 "./jsscan.h"
      var $35=(($4+144)|0); //@line 468 "./jsscan.h"
      var $36=HEAP32[(($35)>>2)]; //@line 468 "./jsscan.h"
      var $37=$36 & -5; //@line 468 "./jsscan.h"
      HEAP32[(($35)>>2)]=$37; //@line 468 "./jsscan.h"
      __label__ = 7; break; //@line 469 "./jsscan.h"
    case 7: 
      __ZN2js11TokenStream10ungetTokenEv($4); //@line 470 "./jsscan.h"
      var $39=$tt; //@line 471 "./jsscan.h"
      $1=$39; //@line 471 "./jsscan.h"
      __label__ = 8; break; //@line 471 "./jsscan.h"
    case 8: 
      var $41=$1; //@line 472 "./jsscan.h"
      ;
      return $41; //@line 472 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream17peekTokenSameLineEj["X"]=1;

function __ZN2js6Parser4exprEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $pn2;
      $2=$this;
      var $3=$2;
      var $4=__ZN2js6Parser10assignExprEv($3); //@line 6178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$4; //@line 6178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$pn; //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 14; break; } //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=(($3+40)|0); //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($8, 3); //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 14; break; } //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=(($3+980)|0); //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZN2js8ListNode6createEP13JSTreeContext($12); //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13; //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$14; //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$pn2; //@line 6181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)!=0; //@line 6181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 6182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $19=$pn2; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+4)|0); //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0); //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$pn; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+4)|0); //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0); //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$21; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$24; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 6183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$pn2; //@line 6184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$pn; //@line 6184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($27, $28); //@line 6184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$pn2; //@line 6185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$29; //@line 6185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 6186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $31=$pn; //@line 6188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=__ZNK11JSParseNode4lastEv($31); //@line 6188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$32; //@line 6188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$pn2; //@line 6189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZNK11JSParseNode6isKindEN2js9TokenKindE($33, 77); //@line 6189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 6189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $36=$pn2; //@line 6189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZNK11JSParseNode10isInParensEv($36); //@line 6189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 6189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $39=$pn2; //@line 6190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, $39, 0, 215, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_yield_str)|0),tempInt)); //@line 6190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $42=__ZN2js6Parser10assignExprEv($3); //@line 6194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$42; //@line 6194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$pn2; //@line 6195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43)|0)!=0; //@line 6195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 6196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $47=$pn; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$pn2; //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($47, $48); //@line 6197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $50=(($3+40)|0); //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($50, 3); //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($51) { __label__ = 6; break; } else { __label__ = 13; break; } //@line 6198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $53=$pn; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53+4)|0); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+8)|0); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$pn; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=__ZNK11JSParseNode4lastEv($56); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57+4)|0); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+8)|0); //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$55; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$59; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[(($61+4)>>2)]; //@line 6199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $63=$pn; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$63; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $65=$1; //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $65; //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser4exprEv["X"]=1;

function __ZN2js6Parser8letBlockEi($this, $statement) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn;
      var $pnblock;
      var $pnlet;
      var $stmtInfo=__stackBase__;
      $2=$this;
      $3=$statement;
      var $4=$2;
      var $5=(($4+980)|0); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZN2js10BinaryNode6createEP13JSTreeContext($6); //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnlet=$8; //@line 4593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$pnlet; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      __label__ = 4; break; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $14=(($4+40)|0); //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZN2js11TokenStream8getTokenEj($14, 0); //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)!=27; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $18=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 34, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $21=(($4+12)|0); //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($4+40)|0); //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($4+980)|0); //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZL16PushLexicalScopeP9JSContextPN2js11TokenStreamEP13JSTreeContextP10JSStmtInfo($22, $23, $25, $stmtInfo); //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnblock=$26; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$pnblock; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0)!=0; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $31=$pnblock; //@line 4603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$31; //@line 4603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$pnlet; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$pn; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+32)|0); //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+4)|0); //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($37)>>2)]=$32; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=__ZN2js6Parser9variablesEb($4, 1); //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$pnlet; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+32)|0); //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)|0); //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($42)>>2)]=$38; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$pnlet; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+32)|0); //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45)|0); //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47)|0)!=0; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $51=$pnlet; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51+32)|0); //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53)|0); //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+32)|0); //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+12)|0); //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$61 & -4096; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62 | 4; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($60)>>2)]=$63; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $65=(($4+40)|0); //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=__ZN2js11TokenStream8getTokenEj($65, 0); //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66)|0)!=28; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $69=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 52, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 15; break; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $72=$3; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72)|0)!=0; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($73) { __label__ = 16; break; } else { __label__ = 22; break; } //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $75=(($4+40)|0); //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=__ZN2js11TokenStream10matchTokenENS_9TokenKindEj($75, 25, 8); //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($76) { __label__ = 22; break; } else { __label__ = 17; break; } //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $78=(($4+12)|0); //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($4+40)|0); //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=(($4+980)|0); //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$pnlet; //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($79, $80, $82, $83, 258, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($84) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 4622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=0; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $87=(($4+980)|0); //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=__ZN2js9UnaryNode6createEP13JSTreeContext($88); //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$90; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$pn; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91)|0)!=0; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($92) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      $1=0; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $95=$pn; //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($95, 2); //@line 4635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$pn; //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+32)|0); //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97; //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98+4)|0); //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($99)>>2)]=-1; //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$pnblock; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$pn; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+32)|0); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$102; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103)|0); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($104)>>2)]=$100; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=0; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $106=$3; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106)|0)!=0; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($107) { __label__ = 23; break; } else { __label__ = 30; break; } //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $109=__ZN2js6Parser10statementsEv($4); //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$pnlet; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110+32)|0); //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$111; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=(($112+4)|0); //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($113)>>2)]=$109; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$pnlet; //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114+32)|0); //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$115; //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116+4)|0); //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118)|0)!=0; //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($119) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      $1=0; //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 26; break; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $123=(($4+40)|0); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=__ZN2js11TokenStream8getTokenEj($123, 0); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124)|0)!=26; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($125) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $127=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 53, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      __label__ = 29; break; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      __label__ = 33; break; //@line 4647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $131=$pnblock; //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($131, 210); //@line 4652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=__ZN2js6Parser10assignExprEv($4); //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$pnlet; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133+32)|0); //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$134; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135+4)|0); //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($136)>>2)]=$132; //@line 4653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$pnlet; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=(($137+32)|0); //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$138; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139+4)|0); //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($141)|0)!=0; //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($142) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 4654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      $1=0; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 33; break;
    case 33: 
      var $146=(($4+980)|0); //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($147); //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$pn; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$148; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $150=$1; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $150; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser8letBlockEi["X"]=1;

function __ZN2js10BinaryNode6createEP13JSTreeContext($tc) {
  ;
  var __label__;

  var $1;
  $1=$tc;
  var $2=$1; //@line 745 "./jsparse.h"
  var $3=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(2, $2); //@line 745 "./jsparse.h"
  var $4=$3; //@line 745 "./jsparse.h"
  ;
  return $4; //@line 745 "./jsparse.h"
}


function __ZL16PushLexicalScopeP9JSContextPN2js11TokenStreamEP13JSTreeContextP10JSStmtInfo($cx, $ts, $tc, $stmt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pn;
      var $obj;
      var $blockbox;
      $2=$cx;
      $3=$ts;
      $4=$tc;
      $5=$stmt;
      var $6=$4; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZN2js16LexicalScopeNode6createEP13JSTreeContext($6); //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$8; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$pn; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=$2; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__Z17js_NewBlockObjectP9JSContext($13); //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $obj=$14; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$obj; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)!=0; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $19=$4; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+48)|0); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$obj; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZN2js6Parser12newObjectBoxEP8JSObject($21, $22); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $blockbox=$23; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$blockbox; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)!=0; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $28=$4; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$5; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$blockbox; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushBlockScope($28, $29, $30, -1); //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn; //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($31, 80); //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$pn; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($32, 202); //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$blockbox; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$pn; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+32)|0); //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)|0); //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($38)>>2)]=$33; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$pn; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+32)|0); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+8)|0); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($42); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$pn; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+32)|0); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+12)|0); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49 & -4096; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($48)>>2)]=$50; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$4; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$5; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52+4)|0); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=__ZL15GenerateBlockIdP13JSTreeContextRj($51, $53); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($54) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 4577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $57=$5; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57+4)|0); //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$pn; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+32)|0); //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$61; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$59 & 1048575; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$62; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+12)|0); //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$65; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$63 & 1048575; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67 << 12; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=HEAP32[(($66)>>2)]; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69 & 4095; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70 | $68; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($66)>>2)]=$71; //@line 4578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$pn; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$72; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 4579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $74=$1; //@line 4580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $74; //@line 4580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16PushLexicalScopeP9JSContextPN2js11TokenStreamEP13JSTreeContextP10JSStmtInfo["X"]=1;

function __ZN2js6Parser9variablesEb($this, $inLetHead) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $tt;
      var $let;
      var $scopeStmt;
      var $data=__stackBase__;
      var $pn;
      var $pn2;
      var $atom;
      var $popScope;
      var $save;
      var $saveScope;
      var $init;
      var $init1;
      $2=$this;
      var $4=(($inLetHead)&1);
      $3=$4;
      var $5=$2;
      __ZN8BindDataC1Ev($data); //@line 6002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5+40)|0); //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZNK2js11TokenStream12currentTokenEv($6); //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0); //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$9; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$tt; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)==81; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { var $16 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $13=$tt; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)==27; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16 = $14;__label__ = 3; break; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $16;
      var $17=(($16)&1); //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $let=$17; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$3; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18) & 1); //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { var $33 = 1;__label__ = 7; break; } else { __label__ = 4; break; } //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $21=$let; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21) & 1); //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 5; break; } else { var $31 = 0;__label__ = 6; break; } //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $24=(($5+980)|0); //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25)|0); //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27 & 16; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0)!=0; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31 = $29;__label__ = 6; break;
    case 6: 
      var $31;
      var $33 = $31;__label__ = 7; break;
    case 7: 
      var $33;
      var $34=(($33)&1);
      $popScope=$34;
      var $35=(($5+980)|0); //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+24)|0); //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $save=$38; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($5+980)|0); //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+28)|0); //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $saveScope=$42; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($5+980)|0); //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+28)|0); //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $scopeStmt=$46; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$let; //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47) & 1); //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 6023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $51=$scopeStmt; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)|0)!=0; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 10; break; } else { var $62 = 0;__label__ = 11; break; } //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $54=$scopeStmt; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+2)|0); //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAPU16[(($55)>>1)]; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56)&65535); //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57 & 1; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58)|0)!=0; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59 ^ 1; //@line 6024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62 = $60;__label__ = 11; break;
    case 11: 
      var $62;
      if ($62) { __label__ = 12; break; } else { __label__ = 13; break; }
    case 12: 
      var $64=$scopeStmt; //@line 6026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+28)|0); //@line 6026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 6026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $scopeStmt=$66; //@line 6026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 6027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      __label__ = 14; break; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $69=$let; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69) & 1); //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $80 = 0;__label__ = 17; break; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $73=(($5+40)|0); //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=__ZNK2js11TokenStream12currentTokenEv($73); //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74+24)|0); //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76)|0); //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80 = $78;__label__ = 17; break; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $80; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=(($data+4)|0); //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($81)>>2)]=$80; //@line 6031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($5+980)|0); //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=__ZN2js8ListNode6createEP13JSTreeContext($83); //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$84; //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$85; //@line 6032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$pn; //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=(($86)|0)!=0; //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($87) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 6033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=0; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $90=$pn; //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($data+4)|0); //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($90, $92); //@line 6035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$pn; //@line 6036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($93); //@line 6036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$let; //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94) & 1); //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($95) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $97=(($data+8)|0); //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($97)>>2)]=212; //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($data+12)|0); //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99)|0); //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($100)>>2)]=199; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $102=(($data+8)|0); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($102)>>2)]=214; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break;
    case 22: 
      __label__ = 23; break; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $105=(($5+40)|0); //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=__ZN2js11TokenStream8getTokenEv($105); //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$106; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$tt; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107)|0)==23; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($108) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $110=$tt; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110)|0)==25; //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($111) { __label__ = 25; break; } else { __label__ = 47; break; } //@line 6054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $113=(($5+980)|0); //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114)|0); //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$116 | 65536; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($115)>>2)]=$117; //@line 6055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$tt; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=__ZN2js6Parser11primaryExprENS_9TokenKindEi($5, $118, 0); //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$119; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($5+980)|0); //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121)|0); //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$123 & -65537; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($122)>>2)]=$124; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$pn2; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=(($125)|0)!=0; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($126) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      $1=0; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $129=(($5+12)|0); //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$pn2; //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($5+980)|0); //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=__ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($130, $data, $131, $133); //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($134) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 6061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=0; //@line 6062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $137=(($5+980)|0); //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138)|0); //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$140 & 16; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($141)|0)!=0; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($142) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $144=(($5+40)|0); //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=__ZN2js11TokenStream9peekTokenEv($144); //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145)|0)==45; //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($146) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 6063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $148=$pn; //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$pn2; //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($148, $149); //@line 6064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 84; break; //@line 6065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 33; break; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $152=(($5+40)|0); //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=__ZN2js11TokenStream8getTokenEj($152, 0); //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=(($153)|0)!=4; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($154) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $156=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 50, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __label__ = 36; break; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $159=(($5+40)|0); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=__ZNK2js11TokenStream12currentTokenEv($159); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($160+24)|0); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$161; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=(($162)|0); //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=(($164)|0)!=0; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($165) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      __label__ = 86; break; //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $168=$popScope; //@line 6073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=(($168) & 1); //@line 6073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($169) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 6073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $171=$save; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=(($171+24)|0); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=HEAP32[(($172)>>2)]; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($5+980)|0); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($175+24)|0); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($176)>>2)]=$173; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=$saveScope; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=(($177+28)|0); //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($5+980)|0); //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=(($181+28)|0); //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($182)>>2)]=$179; //@line 6075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 6076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $184=__ZN2js6Parser10assignExprEv($5); //@line 6078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $init=$184; //@line 6078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$popScope; //@line 6080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185) & 1); //@line 6080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($186) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 6080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $188=$save; //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=(($5+980)|0); //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=(($190+24)|0); //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($191)>>2)]=$188; //@line 6081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=$saveScope; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=(($5+980)|0); //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=(($194+28)|0); //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($195)>>2)]=$192; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 42; break; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $197=$init; //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=(($197)|0)!=0; //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($198) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 6086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      $1=0; //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $201=$pn2; //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$init; //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=(($202+4)|0); //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=(($203+8)|0); //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=(($5+980)|0); //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=HEAP32[(($205)>>2)]; //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL22UndominateInitializersP11JSParseNodeRKN2js8TokenPtrEP13JSTreeContext($201, $204, $206); //@line 6088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=$pn2; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=$init; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=(($5+980)|0); //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=HEAP32[(($209)>>2)]; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(4, 0, $207, $208, $210); //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$211; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=$pn2; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=(($212)|0)!=0; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($213) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      $1=0; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $216=$pn; //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=$pn2; //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($216, $217); //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 84; break; //@line 6094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $219=$tt; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=(($219)|0)!=29; //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($220) { __label__ = 48; break; } else { __label__ = 51; break; } //@line 6098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $222=$tt; //@line 6099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=(($222)|0)!=-1; //@line 6099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($223) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 6099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $225=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 102, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 50; break; //@line 6100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      $1=0; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $228=(($5+40)|0); //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=__ZNK2js11TokenStream12currentTokenEv($228); //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229+24)|0); //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=$230; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=(($231+4)|0); //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=HEAP32[(($232)>>2)]; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=$233; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=$atom; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=(($5+980)|0); //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=HEAP32[(($235)>>2)]; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=$let; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=(($237) & 1); //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=__ZL14NewBindingNodeP6JSAtomP13JSTreeContextb($234, $236, $238); //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$239; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=$pn2; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=(($240)|0)!=0; //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($241) { __label__ = 53; break; } else { __label__ = 52; break; } //@line 6106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      $1=0; //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $244=(($data+4)|0); //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=HEAP32[(($244)>>2)]; //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=(($245)|0)==128; //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($246) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $248=$pn2; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=(($248+32)|0); //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=$249; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=$250; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=(($251+12)|0); //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=$252; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=HEAP32[(($253)>>2)]; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=$254 & 4095; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=$255 | 2; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=$256 & 4095; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=$250; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=(($258+12)|0); //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=$259; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=$257 & 4095; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=HEAP32[(($260)>>2)]; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=$262 & -4096; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=$263 | $261; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($260)>>2)]=$264; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 55; break; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $266=$pn2; //@line 6110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=(($data)|0); //@line 6110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($267)>>2)]=$266; //@line 6110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=(($data+8)|0); //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=HEAP32[(($268)>>2)]; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=(($5+12)|0); //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=HEAP32[(($270)>>2)]; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=$atom; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=(($5+980)|0); //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=FUNCTION_TABLE[$269]($271, $data, $272, $274); //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=(($275)|0)!=0; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($276) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      $1=0; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $279=$pn; //@line 6113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=$pn2; //@line 6113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($279, $280); //@line 6113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=(($5+40)|0); //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($281, 4); //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($282) { __label__ = 58; break; } else { __label__ = 83; break; } //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $284=(($5+40)|0); //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=__ZNK2js11TokenStream12currentTokenEv($284); //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=(($285+24)|0); //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=$286; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $288=(($287)|0); //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=HEAP32[(($288)>>2)]; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=(($289)|0)!=0; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($290) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      __label__ = 86; break; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $293=$popScope; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=(($293) & 1); //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($294) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      var $296=$save; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=(($296+24)|0); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=HEAP32[(($297)>>2)]; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=(($5+980)|0); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=HEAP32[(($299)>>2)]; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=(($300+24)|0); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($301)>>2)]=$298; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=$saveScope; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=(($302+28)|0); //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=HEAP32[(($303)>>2)]; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=(($5+980)|0); //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=HEAP32[(($305)>>2)]; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=(($306+28)|0); //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($307)>>2)]=$304; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 62; break; //@line 6123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $309=__ZN2js6Parser10assignExprEv($5); //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $init1=$309; //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=$popScope; //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=(($310) & 1); //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($311) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $313=$save; //@line 6128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=(($5+980)|0); //@line 6128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=HEAP32[(($314)>>2)]; //@line 6128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=(($315+24)|0); //@line 6128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($316)>>2)]=$313; //@line 6128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=$saveScope; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=(($5+980)|0); //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=HEAP32[(($318)>>2)]; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=(($319+28)|0); //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($320)>>2)]=$317; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 64; break; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      var $322=$init1; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=(($322)|0)!=0; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($323) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      $1=0; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $326=$pn2; //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $327=__ZNK11JSParseNode6isUsedEv($326); //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($327) { __label__ = 67; break; } else { __label__ = 70; break; } //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      var $329=$pn2; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $330=$init1; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $331=(($5+980)|0); //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=HEAP32[(($331)>>2)]; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=__ZL14MakeAssignmentP11JSParseNodeS0_P13JSTreeContext($329, $330, $332); //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$333; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=$pn2; //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=(($334)|0)!=0; //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($335) { __label__ = 69; break; } else { __label__ = 68; break; } //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      $1=0; //@line 6138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      __label__ = 71; break; //@line 6139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      var $339=$init1; //@line 6140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$pn2; //@line 6140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=(($340+32)|0); //@line 6140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=$341; //@line 6140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=(($342+4)|0); //@line 6140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=$343; //@line 6140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($344)>>2)]=$339; //@line 6140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 71; break;
    case 71: 
      var $346=$pn2; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$pn2; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=__ZNK11JSParseNode4isOpE4JSOp($347, 9); //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($348) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      var $370 = 111;__label__ = 77; break; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $351=$pn2; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $352=(($351+32)|0); //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=$352; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=$353; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $355=(($354+12)|0); //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=$355; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=HEAP32[(($356)>>2)]; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=$357 & 4095; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=$358 & 512; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=(($359)|0)!=0; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($360) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $368 = 87;__label__ = 76; break; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $363=(($data+4)|0); //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $364=HEAP32[(($363)>>2)]; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=(($364)|0)==128; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=$365 ? 14 : 111; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $368 = $366;__label__ = 76; break; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      var $368; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $370 = $368;__label__ = 77; break; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      var $370; //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($346, $370); //@line 6145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $371=(($5+12)|0); //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $372=HEAP32[(($371)>>2)]; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=$pn2; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=(($5+980)|0); //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=HEAP32[(($374)>>2)]; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $376=(($data+16)|0); //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $377=HEAP8[($376)]; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $378=(($377) & 1); //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $379=$378 ? 4 : 8; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj($372, $373, $375, $379); //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=$pn2; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=(($380+4)|0); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=(($381+8)|0); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $383=$init1; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $384=(($383+4)|0); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $385=(($384+8)|0); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $386=$382; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=$385; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($386)>>2)]=HEAP32[(($387)>>2)];HEAP32[(($386+4)>>2)]=HEAP32[(($387+4)>>2)]; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=(($5+980)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=HEAP32[(($388)>>2)]; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $390=__ZNK13JSTreeContext10inFunctionEv($389); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($390) { __label__ = 78; break; } else { __label__ = 82; break; } //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      var $392=$atom; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $393=(($5+12)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $394=HEAP32[(($393)>>2)]; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $395=(($394+52)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $396=HEAP32[(($395)>>2)]; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=(($396+209948)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=(($397+228)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $399=HEAP32[(($398)>>2)]; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=$399; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $401=(($392)|0)==(($400)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($401) { __label__ = 79; break; } else { __label__ = 82; break; } //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      var $403=(($5+980)|0); //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $404=HEAP32[(($403)>>2)]; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $405=$pn2; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext16noteArgumentsUseEP11JSParseNode($404, $405); //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $406=$let; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $407=(($406) & 1); //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($407) { __label__ = 81; break; } else { __label__ = 80; break; } //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      var $409=(($5+980)|0); //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $410=HEAP32[(($409)>>2)]; //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $411=(($410)|0); //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $412=HEAP32[(($411)>>2)]; //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $413=$412 | 256; //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($411)>>2)]=$413; //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 81: 
      __label__ = 82; break; //@line 6163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 82: 
      __label__ = 83; break; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 83: 
      __label__ = 84; break; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 84: 
      var $418=(($5+40)|0); //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($418, 3); //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($419) { __label__ = 23; break; } else { __label__ = 85; break; } //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 85: 
      var $421=$pn; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $422=(($421+4)|0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $423=(($422+8)|0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=$pn; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=__ZNK11JSParseNode4lastEv($424); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $426=(($425+4)|0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $427=(($426+8)|0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $428=$423; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $429=$427; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($428)>>2)]=HEAP32[(($429)>>2)];HEAP32[(($428+4)>>2)]=HEAP32[(($429+4)>>2)]; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $430=$pn; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$430; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 86: 
      var $432=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 128, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 87; break; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 87: 
      var $434=$1; //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $434; //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser9variablesEb["X"]=1;

function __ZN2js11TokenStream10matchTokenENS_9TokenKindEj($this, $tt, $withFlags) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $flagger=__stackBase__;
  var $5;
  $2=$this;
  $3=$tt;
  $4=$withFlags;
  var $6=$2;
  var $7=$4; //@line 485 "./jsscan.h"
  __ZN2js11TokenStream7FlaggerC1EPS0_j($flagger, $6, $7); //@line 485 "./jsscan.h"
  var $8=$3; //@line 486 "./jsscan.h"
  var $9=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($6, $8); //@line 486 "./jsscan.h"
  $1=$9; //@line 486 "./jsscan.h"
  $5=1;
  __ZN2js11TokenStream7FlaggerD1Ev($flagger); //@line 487 "./jsscan.h"
  var $10=$1; //@line 487 "./jsscan.h"
  STACKTOP = __stackBase__;
  return $10; //@line 487 "./jsscan.h"
}


function __ZL12PopStatementP13JSTreeContext($tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $stmt;
      var $obj;
      var $r=__stackBase__;
      var $atom;
      $1=$tc;
      var $2=$1; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $3=(($2+24)|0); //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$4; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$stmt; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5+2)|0); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAPU16[(($6)>>1)]; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)&65535); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8 & 1; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $12=$stmt; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+20)|0); //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+8)|0); //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $obj=$17; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$obj; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZNK8JSObject12lastPropertyEv($18); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZNK2js5Shape3allEv($r, $19); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $21=__ZNK2js5Shape5Range5emptyEv($r); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21 ^ 1; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $24=__ZNK2js5Shape5Range5frontEv($r); //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+12)|0); //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZL12JSID_TO_ATOMi2949($26); //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=$27; //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$atom; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$1; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29+48)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+12)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+52)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+209948)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+24)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($28)|0)==(($39)|0); //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($40) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __label__ = 7; break; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $43=$1; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+40)|0); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$atom; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9AtomDecls6removeEP6JSAtom($44, $45); //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $49=$1; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PopStatement($49); //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return; //@line 3606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12PopStatementP13JSTreeContext["X"]=1;

function __ZN2js6Parser15switchStatementEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn5;
      var $saveBlock;
      var $seenDefault;
      var $pn;
      var $pn1;
      var $stmtInfo=__stackBase__;
      var $pn2;
      var $tt;
      var $pn3;
      var $pn4;
      $2=$this;
      var $3=$2;
      $seenDefault=0; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=(($3+980)|0); //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js10BinaryNode6createEP13JSTreeContext($5); //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$7; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$pn; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 4725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      __label__ = 4; break; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $13=(($3+40)|0); //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js11TokenStream8getTokenEj($13, 0); //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0)!=27; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $17=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 80, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $20=__ZN2js6Parser9parenExprEPi($3, 0); //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$20; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$pn1; //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0)!=0; //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 4731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __label__ = 10; break; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $26=(($3+40)|0); //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZN2js11TokenStream8getTokenEj($26, 0); //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0)!=28; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $30=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 81, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      __label__ = 14; break; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $34=(($3+40)|0); //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZN2js11TokenStream8getTokenEj($34, 0); //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0)!=25; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $38=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 82, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 17; break; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $41=(($3+980)|0); //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($42, $stmtInfo, 5, -1); //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($3+980)|0); //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=__ZN2js8ListNode6createEP13JSTreeContext($44); //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$46; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$pn2; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47)|0)!=0; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=0; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $51=$pn2; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($51); //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$pn2; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($3+980)|0); //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZL26GenerateBlockIdForStmtNodeP11JSParseNodeP13JSTreeContext($52, $54); //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($55) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      $1=0; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $58=(($3+980)|0); //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59+36)|0); //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $saveBlock=$61; //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$pn2; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($3+980)|0); //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+36)|0); //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($65)>>2)]=$62; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $67=(($3+40)|0); //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=__ZN2js11TokenStream8getTokenEv($67); //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$68; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68)|0)!=26; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($69) { __label__ = 23; break; } else { __label__ = 57; break; } //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $71=$tt; //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($71)|0) == 39) {
        __label__ = 24; break;
      }
      else if ((($71)|0) == 38) {
        __label__ = 27; break;
      }
      else if ((($71)|0) == -1) {
        __label__ = 36; break;
      }
      else {
      __label__ = 37; break;
      }
      
    case 24: 
      var $73=$seenDefault; //@line 4758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73)|0)!=0; //@line 4758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 4758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $76=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 114, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      $seenDefault=1; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $79=(($3+980)|0); //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZN2js10BinaryNode6createEP13JSTreeContext($80); //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$82; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$pn3; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83)|0)!=0; //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($84) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 4768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=0; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $87=$tt; //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87)|0)==38; //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($88) { __label__ = 30; break; } else { __label__ = 33; break; } //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $90=__ZN2js6Parser4exprEv($3); //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$pn3; //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91+32)|0); //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$92; //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93)|0); //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($94)>>2)]=$90; //@line 4771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$pn3; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($95+32)|0); //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97)|0); //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99)|0)!=0; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($100) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      $1=0; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 33; break; //@line 4774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $104=$pn2; //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$pn3; //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($104, $105); //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$pn2; //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106+32)|0); //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107; //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=(($108+8)|0); //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110)|0)==65536; //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($111) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $113=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 115, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __label__ = 38; break; //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      $1=0; //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $117=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 116, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      __label__ = 39; break; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $120=(($3+40)|0); //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=__ZN2js11TokenStream8getTokenEj($120, 0); //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121)|0)!=6; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($122) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $124=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 83, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      __label__ = 42; break; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $127=(($3+980)|0); //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=__ZN2js8ListNode6createEP13JSTreeContext($128); //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129; //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn4=$130; //@line 4792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$pn4; //@line 4793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131)|0)!=0; //@line 4793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($132) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 4793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      $1=0; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $135=$pn4; //@line 4795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($135, 25); //@line 4795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$pn4; //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($136); //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $138=(($3+40)|0); //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=__ZN2js11TokenStream9peekTokenEj($138, 8); //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$139; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139)|0)!=26; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($140) { __label__ = 46; break; } else { var $148 = 0;__label__ = 48; break; } //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $142=$tt; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($142)|0)!=38; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($143) { __label__ = 47; break; } else { var $148 = 0;__label__ = 48; break; } //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $145=$tt; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145)|0)!=39; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148 = $146;__label__ = 48; break;
    case 48: 
      var $148;
      if ($148) { __label__ = 49; break; } else { __label__ = 54; break; }
    case 49: 
      var $150=$tt; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150)|0)==-1; //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($151) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 4799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      $1=0; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $154=__ZN2js6Parser9statementEv($3); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn5=$154; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$pn5; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=(($155)|0)!=0; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($156) { __label__ = 53; break; } else { __label__ = 52; break; } //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      $1=0; //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $159=$pn4; //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159+4)|0); //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($160+8)|0); //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$pn5; //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=(($162+4)|0); //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($163+8)|0); //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$161; //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$164; //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($165)>>2)]=HEAP32[(($166)>>2)];HEAP32[(($165+4)>>2)]=HEAP32[(($166+4)>>2)]; //@line 4804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$pn4; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=$pn5; //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($167, $168); //@line 4805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 4806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $170=$pn4; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170+32)|0); //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$171; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($172)|0); //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174)|0)!=0; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($175) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $177=$pn4; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=(($177+4)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=(($178)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=$pn4; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=(($180+32)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$181; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=(($182)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=HEAP32[(($183)>>2)]; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=(($184+4)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185)|0); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$179; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=$186; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($187)>>2)]=HEAP32[(($188)>>2)];HEAP32[(($187+4)>>2)]=HEAP32[(($188+4)>>2)]; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 56; break; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $190=$pn3; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=(($190+4)|0); //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=(($191+8)|0); //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=$pn4; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=(($193+4)|0); //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=(($194+8)|0); //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=$192; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$195; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($196)>>2)]=HEAP32[(($197)>>2)];HEAP32[(($196+4)>>2)]=HEAP32[(($197+4)>>2)]; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$pn4; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=$pn3; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=(($199+32)|0); //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=$200; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=(($201+4)|0); //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($202)>>2)]=$198; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $204=(($3+980)|0); //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=HEAP32[(($204)>>2)]; //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=(($205+36)|0); //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=$pn2; //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=(($207)|0)!=(($208)|0); //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($209) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 4821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $211=(($3+980)|0); //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=HEAP32[(($211)>>2)]; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=(($212+36)|0); //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$214; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 59; break; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $216=$saveBlock; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=(($3+980)|0); //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=HEAP32[(($217)>>2)]; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218+36)|0); //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($219)>>2)]=$216; //@line 4823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=(($3+980)|0); //@line 4824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=HEAP32[(($220)>>2)]; //@line 4824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($221); //@line 4824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=$pn; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=(($222+4)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=(($223+8)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=$pn2; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=(($225+4)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=(($226+8)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=(($3+40)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=__ZNK2js11TokenStream12currentTokenEv($228); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229+4)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=(($230+8)|0); //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=$227; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=$231; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($232)>>2)]=HEAP32[(($233)>>2)];HEAP32[(($232+4)>>2)]=HEAP32[(($233+4)>>2)]; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=$224; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=$227; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($234)>>2)]=HEAP32[(($235)>>2)];HEAP32[(($234+4)>>2)]=HEAP32[(($235+4)>>2)]; //@line 4826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=$pn1; //@line 4827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=$pn; //@line 4827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=(($237+32)|0); //@line 4827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=$238; //@line 4827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=(($239)|0); //@line 4827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($240)>>2)]=$236; //@line 4827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=$pn2; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=$pn; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=(($242+32)|0); //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=$243; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=(($244+4)|0); //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($245)>>2)]=$241; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=$pn; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$246; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 4829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $248=$1; //@line 4830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $248; //@line 4830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser15switchStatementEv["X"]=1;

function __ZL26GenerateBlockIdForStmtNodeP11JSParseNodeP13JSTreeContext($pn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$pn;
      $3=$tc;
      var $4=$3; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$3; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5+24)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+4)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZL15GenerateBlockIdP13JSTreeContextRj($4, $8); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$3; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+24)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+4)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$2; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+32)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$16 & 1048575; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$19; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+12)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$20 & 1048575; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24 << 12; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=HEAP32[(($23)>>2)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26 & 4095; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27 | $25; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($23)>>2)]=$28; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $30=$1; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $30; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser12forStatementEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pnseq;
      var $pnlet;
      var $blockInfo=__stackBase__;
      var $pn;
      var $stmtInfo=__stackBase__+32;
      var $tt;
      var $let;
      var $pn1;
      var $pn2;
      var $pn3;
      var $pn4;
      var $dflag;
      var $save;
      $2=$this;
      var $3=$2;
      $pnseq=0; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnlet=0; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=(($3+980)|0); //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js10BinaryNode6createEP13JSTreeContext($5); //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$7; //@line 4924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$pn; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 4926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=(($3+980)|0); //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($13, $stmtInfo, 12, -1); //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$pn; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($14, 75); //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$pn; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+32)|0); //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+12)|0); //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($18)>>2)]=0; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($3+40)|0); //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($19, 29); //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $22=(($3+40)|0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZNK2js11TokenStream12currentTokenEv($22); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+24)|0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+4)|0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($3+12)|0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29+52)|0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+209948)|0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+260)|0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($27)|0)==(($35)|0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $38=$pn; //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+32)|0); //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39; //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+12)|0); //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($41)>>2)]=2; //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 4934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $43=(($3+40)|0); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($43); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break;
    case 7: 
      __label__ = 8; break; //@line 4937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $47=(($3+40)|0); //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=__ZN2js11TokenStream8getTokenEj($47, 0); //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48)|0)!=27; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $51=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 85, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 4939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $54=(($3+40)|0); //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZN2js11TokenStream9peekTokenEj($54, 8); //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$55; //@line 4940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $let=0; //@line 4943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$tt; //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56)|0)==2; //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $59=$pn; //@line 4948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59+32)|0); //@line 4948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$60; //@line 4948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+12)|0); //@line 4948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 4948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63 & 2; //@line 4948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64)|0)!=0; //@line 4948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($65) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $67=$pn; //@line 4949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, $67, 0, 193, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      $pn1=0; //@line 4954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $71=(($3+980)|0); //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72)|0); //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74 | 16; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($73)>>2)]=$75; //@line 4969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$tt; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76)|0)==46; //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $79=(($3+40)|0); //@line 4971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=__ZN2js11TokenStream8getTokenEv($79); //@line 4971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZN2js6Parser9variablesEb($3, 0); //@line 4972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$81; //@line 4972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 4974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $83=$tt; //@line 4974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83)|0)==81; //@line 4974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($84) { __label__ = 19; break; } else { __label__ = 25; break; } //@line 4974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $let=1; //@line 4975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($3+40)|0); //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=__ZN2js11TokenStream8getTokenEv($86); //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($3+40)|0); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=__ZN2js11TokenStream9peekTokenEv($88); //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=(($89)|0)==27; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($90) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $92=__ZN2js6Parser8letBlockEi($3, 0); //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$92; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=80; //@line 4979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 4980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $94=(($3+12)|0); //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($3+40)|0); //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($3+980)|0); //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=__ZL16PushLexicalScopeP9JSContextPN2js11TokenStreamEP13JSTreeContextP10JSStmtInfo($95, $96, $98, $blockInfo); //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnlet=$99; //@line 4981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$pnlet; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100)|0)!=0; //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($101) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      $1=0; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $104=(($blockInfo+2)|0); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=HEAPU16[(($104)>>1)]; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105)&65535); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106 | 4; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107) & 65535); //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($104)>>1)]=$108; //@line 4984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=__ZN2js6Parser9variablesEb($3, 0); //@line 4985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$109; //@line 4985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break;
    case 24: 
      __label__ = 26; break; //@line 4988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $112=__ZN2js6Parser4exprEv($3); //@line 4989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$112; //@line 4989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      var $115=(($3+980)|0); //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116)|0); //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118 & -17; //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($117)>>2)]=$119; //@line 4991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$pn1; //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120)|0)!=0; //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($121) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 4992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=0; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 4993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      __label__ = 30; break;
    case 30: 
      var $125=(($3+980)|0); //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=__ZN2js11TernaryNode6createEP13JSTreeContext($126); //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn4=$128; //@line 5003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$pn4; //@line 5004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=(($129)|0)!=0; //@line 5004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($130) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 5004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      $1=0; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $133=$pn1; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133)|0)!=0; //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($134) { __label__ = 33; break; } else { __label__ = 93; break; } //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $136=(($3+40)|0); //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($136, 45); //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($137) { __label__ = 34; break; } else { __label__ = 93; break; } //@line 5006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $139=$pn; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139+32)|0); //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$140; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($141+12)|0); //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$143 | 1; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($142)>>2)]=$144; //@line 5014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=(($stmtInfo)|0); //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($145)>>1)]=13; //@line 5015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$tt; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=__ZN2jsL15TokenKindIsDeclENS_9TokenKindE2906($146); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($147) { __label__ = 35; break; } else { __label__ = 46; break; } //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $149=$pn1; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149+32)|0); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$150; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=(($151+8)|0); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=HEAPU32[(($152)>>2)]; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=(($153)>>>0) > 1; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($154) { __label__ = 59; break; } else { __label__ = 36; break; } //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $156=$pn1; //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=__ZNK11JSParseNode4isOpE4JSOp($156, 128); //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($157) { __label__ = 59; break; } else { __label__ = 37; break; } //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $159=__ZNK2js6Parser13versionNumberEv($3); //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159)|0)==170; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($160) { __label__ = 38; break; } else { __label__ = 60; break; } //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $162=$pn; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=__ZNK11JSParseNode4isOpE4JSOp($162, 75); //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($163) { __label__ = 39; break; } else { __label__ = 60; break; } //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $165=$pn; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=(($165+32)|0); //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$166; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=(($167+12)|0); //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$169 & 2; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170)|0)!=0; //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($171) { __label__ = 60; break; } else { __label__ = 40; break; } //@line 5023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $173=$pn1; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173+32)|0); //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$174; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($175)|0); //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=__ZNK11JSParseNode6isKindEN2js9TokenKindE($177, 26); //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($178) { __label__ = 59; break; } else { __label__ = 41; break; } //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $180=$pn1; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=(($180+32)|0); //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$181; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=(($182)|0); //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=HEAP32[(($183)>>2)]; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=__ZNK11JSParseNode6isKindEN2js9TokenKindE($184, 24); //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($185) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $187=$pn1; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=(($187+32)|0); //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=$188; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=(($189)|0); //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=(($191+32)|0); //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=$192; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=(($193+8)|0); //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=(($195)|0)!=2; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($196) { __label__ = 59; break; } else { __label__ = 43; break; } //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $198=$pn1; //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($198+32)|0); //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$199; //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=(($200)|0); //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=HEAP32[(($201)>>2)]; //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=__ZNK11JSParseNode6isKindEN2js9TokenKindE($202, 4); //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($203) { __label__ = 44; break; } else { __label__ = 60; break; } //@line 5028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $205=$pn1; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=(($205+32)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=$206; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=(($207)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=HEAP32[(($208)>>2)]; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=(($209+32)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=$210; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=(($211)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=__ZNK11JSParseNode6isKindEN2js9TokenKindE($213, 24); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($214) { __label__ = 45; break; } else { __label__ = 59; break; } //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $216=$pn1; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=(($216+32)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=$217; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=(($220+32)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=$221; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=(($222)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=HEAP32[(($223)>>2)]; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=(($224+32)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=$225; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=(($226+8)|0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=HEAP32[(($227)>>2)]; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=(($228)|0)!=2; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($229) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $231=$pn1; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=__ZNK11JSParseNode6isKindEN2js9TokenKindE($231, 29); //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($232) { __label__ = 60; break; } else { __label__ = 47; break; } //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $234=$pn1; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=__ZNK11JSParseNode6isKindEN2js9TokenKindE($234, 22); //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($235) { __label__ = 60; break; } else { __label__ = 48; break; } //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $237=__ZNK2js6Parser13versionNumberEv($3); //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=(($237)|0)==170; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($238) { __label__ = 49; break; } else { __label__ = 53; break; } //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $240=$pn; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=__ZNK11JSParseNode4isOpE4JSOp($240, 75); //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($241) { __label__ = 50; break; } else { __label__ = 53; break; } //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $243=$pn; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=(($243+32)|0); //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=$244; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=(($245+12)|0); //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $247=HEAP32[(($246)>>2)]; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=$247 & 2; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=(($248)|0)!=0; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($249) { __label__ = 53; break; } else { __label__ = 51; break; } //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $251=$pn1; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=__ZNK11JSParseNode6isKindEN2js9TokenKindE($251, 24); //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($252) { __label__ = 52; break; } else { __label__ = 55; break; } //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $254=$pn1; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=(($254+32)|0); //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=$255; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=(($256+8)|0); //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=(($258)|0)!=2; //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($259) { __label__ = 55; break; } else { __label__ = 60; break; } //@line 5039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $261=$pn1; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=__ZNK11JSParseNode6isKindEN2js9TokenKindE($261, 24); //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($262) { __label__ = 60; break; } else { __label__ = 54; break; } //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $264=$pn1; //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=__ZNK11JSParseNode6isKindEN2js9TokenKindE($264, 26); //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($265) { __label__ = 60; break; } else { __label__ = 55; break; } //@line 5040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $267=$pn1; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=__ZNK11JSParseNode6isKindEN2js9TokenKindE($267, 27); //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($268) { __label__ = 60; break; } else { __label__ = 56; break; } //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $270=$pn1; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=__ZNK11JSParseNode6isKindEN2js9TokenKindE($270, 19); //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($271) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $273=$pn1; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=__ZNK11JSParseNode4isOpE4JSOp($273, 174); //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($274) { __label__ = 60; break; } else { __label__ = 58; break; } //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $276=$pn1; //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=__ZNK11JSParseNode6isKindEN2js9TokenKindE($276, 23); //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($277) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $279=$pn1; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, $279, 0, 117, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      $pn2=0; //@line 5058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dflag=8; //@line 5059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=$tt; //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=__ZN2jsL15TokenKindIsDeclENS_9TokenKindE2906($282); //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($283) { __label__ = 61; break; } else { __label__ = 74; break; } //@line 5060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      var $285=$pn1; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=(($285+32)|0); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=$286; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $288=$287; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=(($288+12)|0); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=$289; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=HEAP32[(($290)>>2)]; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=$291 & 4095; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=$292 | 8; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=$293 & 4095; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=$287; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=(($295+12)|0); //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=$296; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=$294 & 4095; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=HEAP32[(($297)>>2)]; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=$299 & -4096; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=$300 | $298; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($297)>>2)]=$301; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=$pn1; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=(($302+32)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=$303; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=(($304)|0); //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=HEAP32[(($305)>>2)]; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$306; //@line 5064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=$pn2; //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=__ZNK11JSParseNode6isKindEN2js9TokenKindE($307, 29); //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($308) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $310=$pn2; //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=__ZN11JSParseNode9maybeExprEv($310); //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $312=(($311)|0)!=0; //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($312) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $314=$pn2; //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=__ZNK11JSParseNode6isKindEN2js9TokenKindE($314, 4); //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($315) { __label__ = 64; break; } else { __label__ = 71; break; } //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      var $317=$tt; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=(($317)|0)==81; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($318) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $320=$pn2; //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, $320, 0, 268, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $323=(($3+980)|0); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=HEAP32[(($323)>>2)]; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $325=__ZN2js8ListNode6createEP13JSTreeContext($324); //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $326=$325; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnseq=$326; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $327=$pnseq; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=(($327)|0)!=0; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($328) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      $1=0; //@line 5086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      var $331=$pnseq; //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($331, 82); //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=$pnseq; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=(($332+4)|0); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=(($333)|0); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=$pn; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=(($335+4)|0); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $337=(($336)|0); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=$334; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=$337; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($338)>>2)]=HEAP32[(($339)>>2)];HEAP32[(($338+4)>>2)]=HEAP32[(($339+4)>>2)]; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dflag=4; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$pn1; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=(($340+32)|0); //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=$341; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=$342; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=(($343+12)|0); //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=$344; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=HEAP32[(($345)>>2)]; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$346 & 4095; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=$347 & -9; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=$348 & 4095; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $350=$342; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $351=(($350+12)|0); //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $352=$351; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=$349 & 4095; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=HEAP32[(($352)>>2)]; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $355=$354 & -4096; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=$355 | $353; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($352)>>2)]=$356; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=$pn1; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=(($357+32)|0); //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=$358; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=$359; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=(($360+12)|0); //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=$361; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $363=HEAP32[(($362)>>2)]; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $364=$363 & 4095; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=$364 | 4; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=$365 & 4095; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=$359; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $368=(($367+12)|0); //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $369=$368; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $370=$366 & 4095; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $371=HEAP32[(($369)>>2)]; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $372=$371 & -4096; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=$372 | $370; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($369)>>2)]=$373; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=$pnseq; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=$pn1; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($374, $375); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $376=$pn2; //@line 5105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $377=__ZNK11JSParseNode6isKindEN2js9TokenKindE($376, 4); //@line 5105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($377) { __label__ = 69; break; } else { __label__ = 70; break; } //@line 5105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $379=$pn2; //@line 5106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=(($379+32)|0); //@line 5106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=$380; //@line 5106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=(($381)|0); //@line 5106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $383=HEAP32[(($382)>>2)]; //@line 5106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$383; //@line 5106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 70; break; //@line 5109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      $pn1=0; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 71; break; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      var $386=$pn2; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=(($3+980)|0); //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=HEAP32[(($387)>>2)]; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=__ZL17CloneLeftHandSideP11JSParseNodeP13JSTreeContext($386, $388); //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$389; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $390=$pn2; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=(($390)|0)!=0; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($391) { __label__ = 73; break; } else { __label__ = 72; break; } //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      $1=0; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      __label__ = 77; break; //@line 5121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $395=$pn1; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$395; //@line 5123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=0; //@line 5124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $396=$pn2; //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=__ZN2js6Parser19setAssignmentLhsOpsEP11JSParseNode4JSOp($3, $396, 0); //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($397) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 5126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      $1=0; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      __label__ = 77; break;
    case 77: 
      var $401=$pn2; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $402=__ZNK11JSParseNode7getKindEv($401); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($402)|0) == 29) {
        __label__ = 78; break;
      }
      else if ((($402)|0) == 4) {
        __label__ = 79; break;
      }
      else if ((($402)|0) == 24 || (($402)|0) == 26) {
        __label__ = 80; break;
      }
      else {
      __label__ = 85; break;
      }
      
    case 78: 
      var $404=(($3+12)|0); //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $405=HEAP32[(($404)>>2)]; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $406=$pn2; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $407=(($3+980)|0); //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $408=HEAP32[(($407)>>2)]; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $409=$dflag; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj($405, $406, $408, $409); //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 86; break; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      __label__ = 86; break; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      var $412=__ZNK2js6Parser13versionNumberEv($3); //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $413=(($412)|0)==170; //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($413) { __label__ = 81; break; } else { __label__ = 84; break; } //@line 5143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 81: 
      var $415=$pn; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $416=(($415+32)|0); //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $417=$416; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $418=(($417+12)|0); //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=HEAP32[(($418)>>2)]; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $420=$419 & 2; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $421=(($420)|0)!=0; //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($421) { __label__ = 83; break; } else { __label__ = 82; break; } //@line 5149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 82: 
      var $423=$pn; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=(($423+32)|0); //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=$424; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $426=(($425+12)|0); //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $427=HEAP32[(($426)>>2)]; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $428=$427 | 6; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($426)>>2)]=$428; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 83; break; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 83: 
      __label__ = 84; break; //@line 5151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 84: 
      __label__ = 86; break; //@line 5152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 85: 
      __label__ = 86; break; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 86: 
      var $433=(($3+980)|0); //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $434=HEAP32[(($433)>>2)]; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $435=(($434+24)|0); //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $436=HEAP32[(($435)>>2)]; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $save=$436; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $437=$let; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $438=(($437) & 1); //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($438) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 87: 
      var $440=$save; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $441=(($440+24)|0); //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $442=HEAP32[(($441)>>2)]; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $443=(($3+980)|0); //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $444=HEAP32[(($443)>>2)]; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $445=(($444+24)|0); //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($445)>>2)]=$442; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 88; break; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 88: 
      var $447=__ZN2js6Parser4exprEv($3); //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$447; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $448=$pn3; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $449=(($448)|0)!=0; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($449) { __label__ = 90; break; } else { __label__ = 89; break; } //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 89: 
      $1=0; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 90: 
      var $452=$let; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $453=(($452) & 1); //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($453) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 91: 
      var $455=$save; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $456=(($3+980)|0); //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $457=HEAP32[(($456)>>2)]; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $458=(($457+24)|0); //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($458)>>2)]=$455; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 92; break; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 92: 
      var $460=$pn4; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($460, 45); //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 114; break; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 93: 
      var $462=$pn; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $463=(($462+32)|0); //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $464=$463; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $465=(($464+12)|0); //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $466=HEAP32[(($465)>>2)]; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $467=$466 & 2; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $468=(($467)|0)!=0; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($468) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 94: 
      var $470=$pn; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $471=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, $470, 0, 193, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 95: 
      var $473=$pn; //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($473, 0); //@line 5182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 96; break; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 96: 
      var $475=(($3+40)|0); //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $476=__ZN2js11TokenStream8getTokenEj($475, 0); //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $477=(($476)|0)!=2; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($477) { __label__ = 97; break; } else { __label__ = 98; break; } //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 97: 
      var $479=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 86, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 98: 
      __label__ = 99; break; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 99: 
      var $482=(($3+40)|0); //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $483=__ZN2js11TokenStream9peekTokenEj($482, 8); //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$483; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $484=$tt; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $485=(($484)|0)==2; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($485) { __label__ = 100; break; } else { __label__ = 101; break; } //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 100: 
      $pn2=0; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 104; break; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 101: 
      var $488=__ZN2js6Parser4exprEv($3); //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$488; //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $489=$pn2; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $490=(($489)|0)!=0; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($490) { __label__ = 103; break; } else { __label__ = 102; break; } //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 102: 
      $1=0; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 103: 
      __label__ = 104; break;
    case 104: 
      __label__ = 105; break; //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 105: 
      var $495=(($3+40)|0); //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $496=__ZN2js11TokenStream8getTokenEj($495, 0); //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $497=(($496)|0)!=2; //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($497) { __label__ = 106; break; } else { __label__ = 107; break; } //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 106: 
      var $499=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 87, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 107: 
      __label__ = 108; break; //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 108: 
      var $502=(($3+40)|0); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $503=__ZN2js11TokenStream9peekTokenEj($502, 8); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$503; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $504=$tt; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $505=(($504)|0)==28; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($505) { __label__ = 109; break; } else { __label__ = 110; break; } //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 109: 
      $pn3=0; //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 113; break; //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 110: 
      var $508=__ZN2js6Parser4exprEv($3); //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$508; //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $509=$pn3; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $510=(($509)|0)!=0; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($510) { __label__ = 112; break; } else { __label__ = 111; break; } //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 111: 
      $1=0; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 112: 
      __label__ = 113; break;
    case 113: 
      var $514=$pn4; //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($514, 83); //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 114; break;
    case 114: 
      var $516=$pn4; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($516, 0); //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $517=$pn1; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $518=$pn4; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $519=(($518+32)|0); //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $520=$519; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $521=(($520)|0); //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($521)>>2)]=$517; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $522=$pn2; //@line 5210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $523=$pn4; //@line 5210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $524=(($523+32)|0); //@line 5210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $525=$524; //@line 5210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $526=(($525+4)|0); //@line 5210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($526)>>2)]=$522; //@line 5210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $527=$pn3; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $528=$pn4; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $529=(($528+32)|0); //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $530=$529; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $531=(($530+8)|0); //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($531)>>2)]=$527; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $532=$pn4; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $533=$pn; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $534=(($533+32)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $535=$534; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $536=(($535)|0); //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($536)>>2)]=$532; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 115; break; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 115: 
      var $538=(($3+40)|0); //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $539=__ZN2js11TokenStream8getTokenEj($538, 0); //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $540=(($539)|0)!=28; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($540) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 116: 
      var $542=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 88, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 117: 
      __label__ = 118; break; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 118: 
      var $545=__ZN2js6Parser9statementEv($3); //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$545; //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $546=$pn2; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $547=(($546)|0)!=0; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($547) { __label__ = 120; break; } else { __label__ = 119; break; } //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 119: 
      $1=0; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 120: 
      var $550=$pn2; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $551=$pn; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $552=(($551+32)|0); //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $553=$552; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $554=(($553+4)|0); //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($554)>>2)]=$550; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $555=$pn; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $556=(($555+4)|0); //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $557=(($556+8)|0); //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $558=$pn2; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $559=(($558+4)|0); //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $560=(($559+8)|0); //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $561=$557; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $562=$560; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($561)>>2)]=HEAP32[(($562)>>2)];HEAP32[(($561+4)>>2)]=HEAP32[(($562+4)>>2)]; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $563=$pnlet; //@line 5226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $564=(($563)|0)!=0; //@line 5226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($564) { __label__ = 121; break; } else { __label__ = 122; break; } //@line 5226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 121: 
      var $566=(($3+980)|0); //@line 5227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $567=HEAP32[(($566)>>2)]; //@line 5227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($567); //@line 5227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $568=$pn; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $569=$pnlet; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $570=(($569+32)|0); //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $571=$570; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $572=(($571+4)|0); //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $573=$572; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($573)>>2)]=$568; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $574=$pnlet; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$574; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 122; break; //@line 5230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 122: 
      var $576=$pnseq; //@line 5232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $577=(($576)|0)!=0; //@line 5232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($577) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 5232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 123: 
      var $579=$pnseq; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $580=(($579+4)|0); //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $581=(($580+8)|0); //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $582=$pn; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $583=(($582+4)|0); //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $584=(($583+8)|0); //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $585=$581; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $586=$584; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($585)>>2)]=HEAP32[(($586)>>2)];HEAP32[(($585+4)>>2)]=HEAP32[(($586+4)>>2)]; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $587=$pnseq; //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $588=$pn; //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($587, $588); //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $589=$pnseq; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$589; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 124; break; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 124: 
      var $591=(($3+980)|0); //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $592=HEAP32[(($591)>>2)]; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($592); //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $593=$pn; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$593; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 125; break; //@line 5238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 125: 
      var $595=$1; //@line 5239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $595; //@line 5239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser12forStatementEv["X"]=1;

function __ZN2jsL15TokenKindIsDeclENS_9TokenKindE2906($tt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$tt;
      var $2=$1; //@line 169 "./jsscan.h"
      var $3=(($2)|0)==46; //@line 169 "./jsscan.h"
      if ($3) { var $8 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 169 "./jsscan.h"
    case 2: 
      var $5=$1; //@line 169 "./jsscan.h"
      var $6=(($5)|0)==81; //@line 169 "./jsscan.h"
      var $8 = $6;__label__ = 3; break; //@line 169 "./jsscan.h"
    case 3: 
      var $8;
      ;
      return $8; //@line 169 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream9peekTokenEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $tt;
      $2=$this;
      var $3=$2;
      var $4=(($3+136)|0); //@line 437 "./jsscan.h"
      var $5=HEAP32[(($4)>>2)]; //@line 437 "./jsscan.h"
      var $6=(($5)|0)!=0; //@line 437 "./jsscan.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 437 "./jsscan.h"
    case 2: 
      var $8=(($3+132)|0); //@line 439 "./jsscan.h"
      var $9=HEAP32[(($8)>>2)]; //@line 439 "./jsscan.h"
      var $10=(($3+136)|0); //@line 439 "./jsscan.h"
      var $11=HEAP32[(($10)>>2)]; //@line 439 "./jsscan.h"
      var $12=(($9+$11)|0); //@line 439 "./jsscan.h"
      var $13=$12 & 3; //@line 439 "./jsscan.h"
      var $14=(($3+4)|0); //@line 439 "./jsscan.h"
      var $15=(($14+($13<<5))|0); //@line 439 "./jsscan.h"
      var $16=(($15)|0); //@line 439 "./jsscan.h"
      var $17=HEAP32[(($16)>>2)]; //@line 439 "./jsscan.h"
      $1=$17; //@line 439 "./jsscan.h"
      __label__ = 4; break; //@line 439 "./jsscan.h"
    case 3: 
      var $19=__ZN2js11TokenStream16getTokenInternalEv($3); //@line 441 "./jsscan.h"
      $tt=$19; //@line 441 "./jsscan.h"
      __ZN2js11TokenStream10ungetTokenEv($3); //@line 442 "./jsscan.h"
      var $20=$tt; //@line 443 "./jsscan.h"
      $1=$20; //@line 443 "./jsscan.h"
      __label__ = 4; break; //@line 443 "./jsscan.h"
    case 4: 
      var $22=$1; //@line 444 "./jsscan.h"
      ;
      return $22; //@line 444 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TernaryNode6createEP13JSTreeContext($tc) {
  ;
  var __label__;

  var $1;
  $1=$tc;
  var $2=$1; //@line 766 "./jsparse.h"
  var $3=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(3, $2); //@line 766 "./jsparse.h"
  var $4=$3; //@line 766 "./jsparse.h"
  ;
  return $4; //@line 766 "./jsparse.h"
}


function __ZNK2js6Parser13versionNumberEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+40)|0); //@line 1150 "./jsparse.h"
  var $4=__ZNK2js11TokenStream13versionNumberEv($3); //@line 1150 "./jsparse.h"
  ;
  return $4; //@line 1150 "./jsparse.h"
}


function __ZL17CloneLeftHandSideP11JSParseNodeP13JSTreeContext($opn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn;
      var $opn2;
      var $pn2;
      var $tag;
      var $target;
      var $dn;
      $2=$opn;
      $3=$tc;
      var $4=$3; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=__ZL17NewOrRecycledNodeP13JSTreeContext($4); //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$5; //@line 4845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$pn; //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0)!=0; //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 4847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=$pn; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$2; //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=__ZNK11JSParseNode7getKindEv($11); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($10, $12); //@line 4848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$pn; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$2; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZNK11JSParseNode5getOpEv($14); //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($13, $15); //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$pn; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$2; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZNK11JSParseNode6isUsedEv($17); //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setUsedEb($16, $18); //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$pn; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$2; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZNK11JSParseNode6isDefnEv($20); //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($19, $21); //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$pn; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$2; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZNK11JSParseNode8getArityEv($23); //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($22, $24); //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$pn; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$2; //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZNK11JSParseNode10isInParensEv($26); //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode11setInParensEb($25, $27); //@line 4853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$pn; //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+4)|0); //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$2; //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+4)|0); //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$29; //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$31; //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)];HEAP32[(($32+8)>>2)]=HEAP32[(($33+8)>>2)];HEAP32[(($32+12)>>2)]=HEAP32[(($33+12)>>2)]; //@line 4854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$2; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZNK11JSParseNode7isArityE16JSParseNodeArity($34, 5); //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($35) { __label__ = 4; break; } else { __label__ = 21; break; } //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $37=$pn; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($37); //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$2; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+32)|0); //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40)|0); //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $opn2=$42; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $44=$opn2; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0)!=0; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 6; break; } else { __label__ = 20; break; } //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $47=$2; //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=__ZNK11JSParseNode6isKindEN2js9TokenKindE($47, 26); //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 7; break; } else { __label__ = 12; break; } //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $50=$opn2; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+32)|0); //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0); //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$3; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($54, $55); //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tag=$56; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$tag; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57)|0)!=0; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $61=$opn2; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+32)|0); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63+4)|0); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$3; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=__ZL17CloneLeftHandSideP11JSParseNodeP13JSTreeContext($65, $66); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $target=$67; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$target; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68)|0)!=0; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($69) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 4871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $72=$opn2; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72+4)|0); //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$tag; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$target; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$3; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZN2js10BinaryNode6createENS_9TokenKindE4JSOpRKNS_8TokenPosEP11JSParseNodeS7_P13JSTreeContext(6, 93, $73, $74, $75, $76); //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$78; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $80=$opn2; //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZNK11JSParseNode7isArityE16JSParseNodeArity($80, 0); //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($81) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $83=$opn2; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$3; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($83, $84); //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$85; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $87=$opn2; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$3; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=__ZL17CloneLeftHandSideP11JSParseNodeP13JSTreeContext($87, $88); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$89; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      var $92=$pn2; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92)|0)!=0; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($93) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      $1=0; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $96=$pn; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$pn2; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($96, $97); //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $99=$opn2; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99+24)|0); //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $opn2=$101; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $103=$2; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103+32)|0); //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106+12)|0); //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109 & 4095; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$pn; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111+32)|0); //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$110 & 4095; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$113; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115+12)|0); //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$116; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$114 & 4095; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=HEAP32[(($117)>>2)]; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$119 & -4096; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$120 | $118; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($117)>>2)]=$121; //@line 4884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$pn; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$122; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $124=$pn; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124+32)|0); //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$125; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$2; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=(($127+32)|0); //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$128; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$126; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$129; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($130)>>2)]=HEAP32[(($131)>>2)];HEAP32[(($130+4)>>2)]=HEAP32[(($131+4)>>2)];HEAP32[(($130+8)>>2)]=HEAP32[(($131+8)>>2)];HEAP32[(($130+12)>>2)]=HEAP32[(($131+12)>>2)]; //@line 4893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$pn; //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($132, 111); //@line 4894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$2; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=__ZNK11JSParseNode6isUsedEv($133); //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($134) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $136=$pn; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=(($136+32)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$137; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+4)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$139; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$141; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$dn; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$142; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+28)|0); //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$pn; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=(($146+28)|0); //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($147)>>2)]=$145; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$pn; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$dn; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$149; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150+28)|0); //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($151)>>2)]=$148; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $153=$pn; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=(($153+32)|0); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$154; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=(($155+4)|0); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=$156; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($157)>>2)]=0; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$2; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=__ZNK11JSParseNode6isDefnEv($158); //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($159) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $161=$pn; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=(($161+32)|0); //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=$162; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($163+8)|0); //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($164); //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$pn; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=(($165+32)|0); //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$166; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=$167; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=(($168+12)|0); //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$169; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=HEAP32[(($170)>>2)]; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$171 & 4095; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=$172 & -513; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=$173 & 4095; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$167; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($175+12)|0); //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=$176; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=$174 & 4095; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=HEAP32[(($177)>>2)]; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=$179 & -4096; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$180 | $178; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($177)>>2)]=$181; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$pn; //@line 4906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($182, 0); //@line 4906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=$pn; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=$2; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$184; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=$3; //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12LinkUseToDefP11JSParseNodeP12JSDefinitionP13JSTreeContext($183, $185, $186); //@line 4908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 25; break; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      var $189=$pn; //@line 4911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$189; //@line 4911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 4911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $191=$1; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $191; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17CloneLeftHandSideP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZN2js6Parser19setAssignmentLhsOpsEP11JSParseNode4JSOp($this, $pn, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$pn;
      $4=$op;
      var $5=$2;
      var $6=$3; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZNK11JSParseNode7getKindEv($6); //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($7)|0) == 29) {
        __label__ = 2; break;
      }
      else if ((($7)|0) == 22) {
        __label__ = 5; break;
      }
      else if ((($7)|0) == 23) {
        __label__ = 6; break;
      }
      else if ((($7)|0) == 24 || (($7)|0) == 26) {
        __label__ = 7; break;
      }
      else if ((($7)|0) == 27) {
        __label__ = 12; break;
      }
      else if ((($7)|0) == 19) {
        __label__ = 15; break;
      }
      else {
      __label__ = 18; break;
      }
      
    case 2: 
      var $9=(($5+12)|0); //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($5+980)|0); //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$3; //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__Z21CheckStrictAssignmentP9JSContextP13JSTreeContextP11JSParseNode($10, $12, $13); //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      $1=0; //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $17=$3; //@line 6391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$3; //@line 6391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZNK11JSParseNode4isOpE4JSOp($18, 86); //@line 6391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19 ? 87 : 111; //@line 6391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($17, $20); //@line 6391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($5+12)|0); //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$3; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($5+980)|0); //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj($22, $23, $25, 8); //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $27=$3; //@line 6395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($27, 54); //@line 6395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 6396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $29=$3; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($29, 56); //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $31=$4; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0)!=0; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $34=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 51, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 6404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 6405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $36=(($5+12)|0); //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$3; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($5+980)|0); //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=__ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($37, 0, $38, $40); //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 6408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 6408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 19; break; //@line 6409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $45=(($5+12)|0); //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$3; //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($5+980)|0); //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=__ZL11MakeSetCallP9JSContextP11JSParseNodeP13JSTreeContextj($46, $47, $49, 129); //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($50) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 19; break; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $54=$3; //@line 6417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZNK11JSParseNode4isOpE4JSOp($54, 174); //@line 6417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($55) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 6417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $57=$3; //@line 6418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($57, 173); //@line 6418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 6419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 18; break; //@line 6420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $60=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 129, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 6424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $1=1; //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $63=$1; //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $63; //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser19setAssignmentLhsOpsEP11JSParseNode4JSOp["X"]=1;

function __ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj($cx, $pn, $tc, $dflag) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $dn;
      var $lname;
      $1=$cx;
      $2=$pn;
      $3=$tc;
      $4=$dflag;
      var $5=$2; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZNK11JSParseNode6isUsedEv($5); //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=$2; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+32)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$9; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+4)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$13; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$dn; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+32)|0); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+12)|0); //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21 & 4095; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22 & 134; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)!=0; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 9; break; } else { __label__ = 3; break; } //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $26=$dn; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZNK11JSParseNode12isBlockChildEv($27); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $30=$2; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK11JSParseNode12isBlockChildEv($30); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $33=$dn; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+32)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+12)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAPU32[(($39)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40 >>> 12; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41 & 1048575; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$2; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+32)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+12)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAPU32[(($48)>>2)]; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49 >>> 12; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$50 & 1048575; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($42)|0)==(($51)|0); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $54=$dn; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$54; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+4)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+8)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$2; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+4)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=__ZN2js8TokenPtrleERKS0_($57, $60); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $63=$dn; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$63; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+28)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$2; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($66)|0)==(($67)|0); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($68) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $4=4; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $71=$4; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$dn; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73+32)|0); //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76+12)|0); //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79 & 4095; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80 | $71; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81 & 4095; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$75; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+12)|0); //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$84; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$82 & 4095; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=HEAP32[(($85)>>2)]; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$87 & -4096; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$88 | $86; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($85)>>2)]=$89; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$dn; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91+32)|0); //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$92; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93+8)|0); //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=__ZNK2js11UpvarCookie6isFreeEv($94); //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($95) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $97=$dn; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=__ZNK11JSParseNode10frameLevelEv($98); //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$3; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100+76)|0); //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=HEAPU32[(($101)>>2)]; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($99)>>>0) < (($102)>>>0); //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($103) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $105=$3; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107 | 32; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($106)>>2)]=$108; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $111=$4; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$2; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=(($112+32)|0); //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$113; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$114; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115+12)|0); //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$116; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118 & 4095; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$119 | $111; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$120 & 4095; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$114; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=(($122+12)|0); //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$123; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$121 & 4095; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=HEAP32[(($124)>>2)]; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126 & -4096; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127 | $125; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($124)>>2)]=$128; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$2; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=(($129+32)|0); //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131)|0); //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$132; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lname=$134; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$lname; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$1; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=(($136+52)|0); //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+209948)|0); //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139+228)|0); //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$141; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($135)|0)==(($142)|0); //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($143) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $145=$3; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145)|0); //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$147 | 256; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($146)>>2)]=$148; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$3; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$2; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext17countArgumentsUseEP11JSParseNode($149, $150); //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $152=$3; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=__ZNK13JSTreeContext10inFunctionEv($152); //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($153) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $155=$lname; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$3; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=__ZNK13JSTreeContext3funEv($156); //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($157+72)|0); //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($155)|0)==(($159)|0); //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($160) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $162=$3; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=(($162)|0); //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$164 | 256; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($163)>>2)]=$165; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      ;
      return; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj["X"]=1;

function __ZN2js6Parser12tryStatementEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $catchList;
      var $lastCatch;
      var $pn;
      var $stmtInfo=__stackBase__;
      var $tt;
      var $pnblock;
      var $data=__stackBase__+32;
      var $pn2;
      var $pn3;
      var $label;
      $2=$this;
      var $3=$2;
      var $4=(($3+980)|0); //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js11TernaryNode6createEP13JSTreeContext($5); //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$7; //@line 5263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$pn; //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$pn; //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($12, 0); //@line 5266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $14=(($3+40)|0); //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZN2js11TokenStream8getTokenEj($14, 0); //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)!=25; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $18=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 89, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 5268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $21=(($3+980)|0); //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZL22PushBlocklikeStatementP10JSStmtInfo10JSStmtTypeP13JSTreeContext($stmtInfo, 8, $22); //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 5270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $26=__ZN2js6Parser10statementsEv($3); //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$pn; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+32)|0); //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29)|0); //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($30)>>2)]=$26; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+32)|0); //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0); //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0)!=0; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $40=(($3+40)|0); //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=__ZN2js11TokenStream8getTokenEj($40, 0); //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)|0)!=26; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $44=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 90, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 15; break; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $47=(($3+980)|0); //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($48); //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $catchList=0; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($3+40)|0); //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=__ZN2js11TokenStream8getTokenEv($49); //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$50; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$tt; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)|0)==54; //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 61; break; } //@line 5280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $54=(($3+980)|0); //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=__ZN2js8ListNode6createEP13JSTreeContext($55); //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $catchList=$57; //@line 5281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$catchList; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58)|0)!=0; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      $1=0; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $62=$catchList; //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($62, 86); //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$catchList; //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($63); //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lastCatch=0; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __ZN8BindDataC1Ev($data); //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$lastCatch; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65)|0)!=0; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($66) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $68=$lastCatch; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+32)|0); //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+4)|0); //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72)|0)!=0; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($73) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $75=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 118, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $77=(($3+12)|0); //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($3+40)|0); //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($3+980)|0); //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=__ZL16PushLexicalScopeP9JSContextPN2js11TokenStreamEP13JSTreeContextP10JSStmtInfo($78, $79, $81, $stmtInfo); //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnblock=$82; //@line 5302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$pnblock; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83)|0)!=0; //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($84) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 5303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      $1=0; //@line 5304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $87=(($stmtInfo)|0); //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($87)>>1)]=7; //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($3+980)|0); //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=__ZN2js11TernaryNode6createEP13JSTreeContext($89); //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90; //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$91; //@line 5314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$pn2; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92)|0)!=0; //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 5315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $1=0; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $96=$pn2; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$pnblock; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97+32)|0); //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99+4)|0); //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$100; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($101)>>2)]=$96; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $103=(($3+40)|0); //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=__ZN2js11TokenStream8getTokenEj($103, 0); //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=(($104)|0)!=27; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($105) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $107=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 91, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      __label__ = 30; break; //@line 5318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $110=(($data)|0); //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($110)>>2)]=0; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($data+4)|0); //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($111)>>2)]=0; //@line 5326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($data+8)|0); //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($112)>>2)]=212; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=(($data+12)|0); //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$113; //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114)|0); //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($115)>>2)]=169; //@line 5328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($3+40)|0); //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=__ZN2js11TokenStream8getTokenEv($116); //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$117; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$tt; //@line 5332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($118)|0) == 23 || (($118)|0) == 25) {
        __label__ = 31; break;
      }
      else if ((($118)|0) == 29) {
        __label__ = 34; break;
      }
      else {
      __label__ = 39; break;
      }
      
    case 31: 
      var $120=$tt; //@line 5336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=__ZN2js6Parser17destructuringExprEP8BindDataNS_9TokenKindE($3, $data, $120); //@line 5336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$121; //@line 5336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$pn3; //@line 5337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=(($122)|0)!=0; //@line 5337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($123) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 5337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      $1=0; //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 40; break; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $127=(($3+40)|0); //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=__ZNK2js11TokenStream12currentTokenEv($127); //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128+24)|0); //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130+4)|0); //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $label=$132; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$label; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($3+980)|0); //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=__ZL14NewBindingNodeP6JSAtomP13JSTreeContextb($133, $135, 1); //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$136; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$pn3; //@line 5346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=(($137)|0)!=0; //@line 5346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($138) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 5346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      $1=0; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $141=$pn3; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($data)|0); //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($142)>>2)]=$141; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($data+8)|0); //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=(($3+12)|0); //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$label; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($3+980)|0); //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=FUNCTION_TABLE[$144]($146, $data, $147, $149); //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150)|0)!=0; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($151) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      $1=0; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      __label__ = 40; break; //@line 5351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $155=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 92, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $157=$pn3; //@line 5359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$pn2; //@line 5359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=(($158+32)|0); //@line 5359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=$159; //@line 5359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($160)|0); //@line 5359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($161)>>2)]=$157; //@line 5359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=(($3+40)|0); //@line 5366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($162, 35); //@line 5366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($163) { __label__ = 41; break; } else { __label__ = 44; break; } //@line 5366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $165=__ZN2js6Parser4exprEv($3); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$pn2; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=(($166+32)|0); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=$167; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=(($168+4)|0); //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($169)>>2)]=$165; //@line 5367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$pn2; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170+32)|0); //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$171; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($172+4)|0); //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174)|0)!=0; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($175) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      $1=0; //@line 5369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      __label__ = 44; break; //@line 5370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      __label__ = 45; break; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $180=(($3+40)|0); //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=__ZN2js11TokenStream8getTokenEj($180, 0); //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=(($181)|0)!=28; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($182) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $184=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 93, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      __label__ = 48; break; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      __label__ = 49; break; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $188=(($3+40)|0); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=__ZN2js11TokenStream8getTokenEj($188, 0); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=(($189)|0)!=25; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($190) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $192=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 94, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      __label__ = 52; break; //@line 5374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $195=__ZN2js6Parser10statementsEv($3); //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=$pn2; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=(($196+32)|0); //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$197; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($198+8)|0); //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($199)>>2)]=$195; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$pn2; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=(($200+32)|0); //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$201; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=(($202+8)|0); //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=HEAP32[(($203)>>2)]; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=(($204)|0)!=0; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($205) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      $1=0; //@line 5377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      __label__ = 55; break; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $209=(($3+40)|0); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=__ZN2js11TokenStream8getTokenEj($209, 0); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=(($210)|0)!=26; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($211) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $213=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 95, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      __label__ = 58; break; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $216=(($3+980)|0); //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($217); //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=$catchList; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=$pnblock; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($218, $219); //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=$pn2; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lastCatch=$220; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=(($3+40)|0); //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=__ZN2js11TokenStream8getTokenEj($221, 8); //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$222; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 59; break; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $224=$tt; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=(($224)|0)==54; //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($225) { __label__ = 19; break; } else { __label__ = 60; break; } //@line 5384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      __label__ = 61; break; //@line 5385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      var $228=$catchList; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=$pn; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229+32)|0); //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=$230; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=(($231+4)|0); //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($232)>>2)]=$228; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=$tt; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=(($233)|0)==55; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($234) { __label__ = 62; break; } else { __label__ = 75; break; } //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      __label__ = 63; break; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $237=(($3+40)|0); //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=__ZN2js11TokenStream8getTokenEj($237, 0); //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=(($238)|0)!=25; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($239) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      var $241=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 96, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      __label__ = 66; break; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $244=(($3+980)|0); //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=HEAP32[(($244)>>2)]; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=__ZL22PushBlocklikeStatementP10JSStmtInfo10JSStmtTypeP13JSTreeContext($stmtInfo, 9, $245); //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($246) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      $1=0; //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      var $249=__ZN2js6Parser10statementsEv($3); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=$pn; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=(($250+32)|0); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=$251; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=(($252+8)|0); //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($253)>>2)]=$249; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=$pn; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=(($254+32)|0); //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=$255; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=(($256+8)|0); //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=(($258)|0)!=0; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($259) { __label__ = 70; break; } else { __label__ = 69; break; } //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      $1=0; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      __label__ = 71; break; //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      var $263=(($3+40)|0); //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=__ZN2js11TokenStream8getTokenEj($263, 0); //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=(($264)|0)!=26; //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($265) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      var $267=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 97, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      __label__ = 74; break; //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $270=(($3+980)|0); //@line 5396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=HEAP32[(($270)>>2)]; //@line 5396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($271); //@line 5396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 76; break; //@line 5397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $273=(($3+40)|0); //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($273); //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 76; break;
    case 76: 
      var $275=$catchList; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=(($275)|0)!=0; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($276) { __label__ = 79; break; } else { __label__ = 77; break; } //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      var $278=$pn; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=(($278+32)|0); //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=$279; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=(($280+8)|0); //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=HEAP32[(($281)>>2)]; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=(($282)|0)!=0; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($283) { __label__ = 79; break; } else { __label__ = 78; break; } //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      var $285=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 98, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      var $287=$pn; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$287; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      var $289=$1; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $289; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser12tryStatementEv["X"]=1;

function __ZL22PushBlocklikeStatementP10JSStmtInfo10JSStmtTypeP13JSTreeContext($stmt, $type, $tc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$stmt;
  $2=$type;
  $3=$tc;
  var $4=$3; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=$1; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=$2; //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  _js_PushStatement($4, $5, $6, -1); //@line 4667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=$3; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=$1; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=(($8+4)|0); //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=__ZL15GenerateBlockIdP13JSTreeContextRj($7, $9); //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $10; //@line 4668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZL7BindLetP9JSContextP8BindDataP6JSAtomP13JSTreeContext($cx, $data, $atom, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pn;
      var $blockObj;
      var $n;
      var $dn;
      var $name=__stackBase__;
      var $6;
      var $shape;
      var $7=__stackBase__+4;
      $2=$cx;
      $3=$data;
      $4=$atom;
      $5=$tc;
      var $8=$3; //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0); //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$10; //@line 3526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$2; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$5; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$4; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$pn; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__Z18CheckStrictBindingP9JSContextP13JSTreeContextP6JSAtomP11JSParseNode($11, $12, $13, $14); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $18=$5; //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZN13JSTreeContext10blockChainEv($18); //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $blockObj=$19; //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$5; //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+40)|0); //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$4; //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($21, $22); //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$23; //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$dn; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)!=0; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $27=$dn; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+32)|0); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+12)|0); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAPU32[(($33)>>2)]; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34 >>> 12; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35 & 1048575; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$5; //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=__ZN13JSTreeContext7blockidEv($37); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($36)|0)==(($38)|0); //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($39) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 3532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __ZN16JSAutoByteStringC1Ev($name); //@line 3533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$2; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$4; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($41, $42, $name); //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43)|0)!=0; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $46=$2; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$5; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+48)|0); //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49+40)|0); //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$pn; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$dn; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52; //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=__ZNK11JSParseNode7isConstEv($53); //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$54 ? (((STRING_TABLE._js_const_str)|0)) : (((STRING_TABLE.__ZL15js_variable_str)|0)); //@line 3537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=__ZNK16JSAutoByteString3ptrEv($name); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($46, $50, $51, 0, 155, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$55,HEAP32[((tempInt+4)>>2)]=$56,tempInt)); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __ZN16JSAutoByteStringD1Ev($name); //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break;
    case 8: 
      var $60=$blockObj; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=__ZNK8JSObject13propertyCountEv($60); //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $n=$61; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$n; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62)|0)==65536; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $65=$2; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$5; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+48)|0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+40)|0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$pn; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$3; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71+12)|0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73)|0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($65, $69, $70, 0, $75, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $78=$pn; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$4; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$5; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZL6DefineP11JSParseNodeP6JSAtomP13JSTreeContextb($78, $79, $80, 1); //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($81) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $1=0; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $84=$pn; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($84, 86); //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$pn; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+32)|0); //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87+8)|0); //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$5; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=(($89+76)|0); //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91) & 65535); //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$n; //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93) & 65535); //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie3setEtt($88, $92, $94); //@line 3565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$pn; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($95+32)|0); //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98+12)|0); //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$99; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101 & 4095; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$102 | 513; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$103 & 4095; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$97; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105+12)|0); //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$104 & 4095; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=HEAP32[(($107)>>2)]; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109 & -4096; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110 | $108; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($107)>>2)]=$111; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$blockObj; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$2; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$4; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=__ZL12ATOM_TO_JSIDP6JSAtom2903($114); //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$n; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=__ZN8JSObject19defineBlockVariableEP9JSContextii($112, $113, $115, $116); //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $shape=$117; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$shape; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118)|0)!=0; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($119) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $122=$blockObj; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$shape; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=(($123+24)|0); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$pn; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2JSL12PrivateValueEPv2951($7, $127); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($122, $125, $7); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $129=$1; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $129; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7BindLetP9JSContextP8BindDataP6JSAtomP13JSTreeContext["X"]=1;

function __ZL14NewBindingNodeP6JSAtomP13JSTreeContextb($atom, $tc, $let) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $3;
      var $4;
      var $pn;
      var $removal=__stackBase__+4;
      var $5=__stackBase__+16;
      var $6=__stackBase__+28;
      HEAP32[(($2)>>2)]=$atom;
      $3=$tc;
      var $7=(($let)&1);
      $4=$7;
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1Ev($removal); //@line 4675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$3; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+40)|0); //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($2)>>2)]; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($9, $10); //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$12; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12)|0)!=0; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      __label__ = 7; break; //@line 4679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $16=$3; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+64)|0); //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($18); //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6lookupERKS2_($5, $19, $2); //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$removal; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$5; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)];HEAP32[(($20+8)>>2)]=HEAP32[(($21+8)>>2)]; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrcvPPPPPPPS6_Ev($removal); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22)|0)!=0; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $25=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3Ptr5valueEv($removal); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29 = $26;__label__ = 6; break; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $29 = 0;__label__ = 6; break; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $29; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$30; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break;
    case 7: 
      var $32=$pn; //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32)|0)!=0; //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 17; break; } //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $35=$pn; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZNK11JSParseNode13isPlaceholderEv($35); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $38=$pn; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+32)|0); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+12)|0); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$42; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAPU32[(($43)>>2)]; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44 >>> 12; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45 & 1048575; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$4; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47) & 1); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $50=$3; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZN13JSTreeContext7blockidEv($50); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57 = $51;__label__ = 12; break; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $53=$3; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53+4)|0); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57 = $55;__label__ = 12; break; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $57; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($46)>>>0) >= (($57)>>>0); //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($58) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $60=$4; //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60) & 1); //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $63=$3; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=__ZN13JSTreeContext7blockidEv($63); //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$pn; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+32)|0); //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$66; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$64 & 1048575; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$67; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+12)|0); //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$68 & 1048575; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72 << 12; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=HEAP32[(($71)>>2)]; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74 & 4095; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75 | $73; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($71)>>2)]=$76; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 4699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $78=$3; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78+64)|0); //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($80); //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$6; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$removal; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($82)>>2)]=HEAP32[(($83)>>2)];HEAP32[(($82+4)>>2)]=HEAP32[(($83+4)>>2)];HEAP32[(($82+8)>>2)]=HEAP32[(($83+8)>>2)]; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeENS5_3PtrE($81, $6); //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$pn; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$84; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 17; break; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $87=HEAP32[(($2)>>2)]; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$3; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($87, $88); //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$90; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$pn; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91)|0)!=0; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($92) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=0; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $95=HEAP32[(($2)>>2)]; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$3; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+48)|0); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98+12)|0); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100+52)|0); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($102+209948)|0); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103+228)|0); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($95)|0)==(($106)|0); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($107) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $109=$3; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$pn; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext17countArgumentsUseEP11JSParseNode($109, $110); //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $112=$pn; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$112; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $114=$1; //@line 4715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $114; //@line 4715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14NewBindingNodeP6JSAtomP13JSTreeContextb["X"]=1;

function __ZN2js6Parser13withStatementEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $pn2;
      var $oldWith;
      var $stmtInfo=__stackBase__;
      var $r=__stackBase__+32;
      var $defn;
      var $3=__stackBase__+52;
      var $lexdep;
      $2=$this;
      var $4=$2;
      var $5=(($4+980)|0); //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0); //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8 & 262144; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $12=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 233, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 5420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $14=(($4+980)|0); //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZN2js10BinaryNode6createEP13JSTreeContext($15); //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$17; //@line 5423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$pn; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0)!=0; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __label__ = 6; break; //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $23=(($4+40)|0); //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZN2js11TokenStream8getTokenEj($23, 0); //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)!=27; //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $27=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 99, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $30=__ZN2js6Parser9parenExprEPi($4, 0); //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$30; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn2; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0)!=0; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $36=(($4+40)|0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZN2js11TokenStream8getTokenEj($36, 0); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37)|0)!=28; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($38) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $40=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 100, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 15; break; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $43=$pn2; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$pn; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+32)|0); //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46)|0); //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($47)>>2)]=$43; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($4+980)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49+88)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldWith=$51; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$pn; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($4+980)|0); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+88)|0); //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($55)>>2)]=$52; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($4+980)|0); //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($57, $stmtInfo, 6, -1); //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=__ZN2js6Parser9statementEv($4); //@line 5438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$58; //@line 5438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pn2; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0)!=0; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=0; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $63=(($4+980)|0); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($64); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$pn; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+4)|0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+8)|0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$pn2; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+4)|0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+8)|0); //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$67; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$70; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$pn2; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$pn; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74+32)|0); //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76+4)|0); //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($77)>>2)]=$73; //@line 5444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($4+980)|0); //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79)|0); //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81 | 256; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($80)>>2)]=$82; //@line 5445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$oldWith; //@line 5446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($4+980)|0); //@line 5446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 5446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+88)|0); //@line 5446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($86)>>2)]=$83; //@line 5446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=(($4+980)|0); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88+64)|0); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($90); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3allEv($r, $91); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $93=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5emptyEv($r); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$93 ^ 1; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($94) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv($3, $r); //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry5valueEv($3); //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $defn=$97; //@line 5453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$defn; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=__ZN12JSDefinition7resolveEv($98); //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lexdep=$99; //@line 5454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$lexdep; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$pn; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+4)|0); //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=__ZL20DeoptimizeUsesWithinP12JSDefinitionRKN2js8TokenPosE($100, $102); //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range8popFrontEv($r); //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $106=$pn; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$106; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $108=$1; //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 5459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser13withStatementEv["X"]=1;

function __ZL20DeoptimizeUsesWithinP12JSDefinitionRKN2js8TokenPosE($dn, $pos) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ndeoptimized;
      var $pnu;
      $1=$dn;
      $2=$pos;
      $ndeoptimized=0; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $3=$1; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=$3; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4+28)|0); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$6; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=$pnu; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$pnu; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+4)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$2; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZN2js8TokenPtrgeERKS0_($13, $15); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $18=$pnu; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+4)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+8)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$2; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+8)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZN2js8TokenPtrleERKS0_($20, $22); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $25=$pnu; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+32)|0); //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+12)|0); //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31 & 4095; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32 | 1024; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33 & 4095; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$27; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+12)|0); //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$34 & 4095; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($37)>>2)]; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39 & -4096; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40 | $38; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($37)>>2)]=$41; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$ndeoptimized; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+1)|0); //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $ndeoptimized=$43; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $46=$pnu; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+28)|0); //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$48; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $50=$ndeoptimized; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50)|0)!=0; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $51; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20DeoptimizeUsesWithinP12JSDefinitionRKN2js8TokenPosE["X"]=1;

function __ZN2js6Parser12letStatementEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $blockbox;
      var $pn;
      var $stmt;
      var $obj;
      var $pn1;
      $2=$this;
      var $3=$2;
      __label__ = 2; break; //@line 5468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=(($3+40)|0); //@line 5470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js11TokenStream9peekTokenEv($5); //@line 5470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0)==27; //@line 5470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 5470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $9=__ZN2js6Parser8letBlockEi($3, 1); //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$9; //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$pn; //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)!=0; //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $13=$pn; //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZNK11JSParseNode4isOpE4JSOp($13, 202); //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=$pn; //@line 5473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$16; //@line 5473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 30; break; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $19=(($3+980)|0); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+24)|0); //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$22; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$stmt; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)!=0; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $26=$stmt; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)|0); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAPU16[(($27)>>1)]; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)&65535); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29)|0)!=6; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $32=$stmt; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32)|0); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAPU16[(($33)>>1)]; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34)&65535); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35-4)|0); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)>>>0) <= 6; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $39=$stmt; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+2)|0); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=HEAPU16[(($40)>>1)]; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)&65535); //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$42 & 4; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43)|0)!=0; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $46=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 223, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $48=$stmt; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48)|0)!=0; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $51=$stmt; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51+2)|0); //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=HEAPU16[(($52)>>1)]; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53)&65535); //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$54 & 1; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55)|0)!=0; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 27; break; //@line 5500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $59=$stmt; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0)!=0; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $62=$stmt; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62+2)|0); //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAPU16[(($63)>>1)]; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64)&65535); //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$65 & 2; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66)|0)!=0; //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 5501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $69=(($3+40)|0); //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE4JSOp($69, 46, 129); //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=__ZN2js6Parser9variablesEb($3, 0); //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$70; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$pn; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71)|0)!=0; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($72) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=0; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $75=$pn; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75+32)|0); //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$76; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78+12)|0); //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81 & 4095; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82 | 4; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$83 & 4095; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$77; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+12)|0); //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$84 & 4095; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=HEAP32[(($87)>>2)]; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89 & -4096; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90 | $88; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($87)>>2)]=$91; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 5512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $93=(($3+980)|0); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94+48)|0); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+12)|0); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=__Z17js_NewBlockObjectP9JSContext($98); //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $obj=$99; //@line 5529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$obj; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100)|0)!=0; //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($101) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 5530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      $1=0; //@line 5531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $104=(($3+980)|0); //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105+48)|0); //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$obj; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=__ZN2js6Parser12newObjectBoxEP8JSObject($107, $108); //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $blockbox=$109; //@line 5533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$blockbox; //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110)|0)!=0; //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($111) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 5534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      $1=0; //@line 5535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $114=$stmt; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114+2)|0); //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=HEAPU16[(($115)>>1)]; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116)&65535); //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117 | 1; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118) & 65535); //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP16[(($115)>>1)]=$119; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($3+980)|0); //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121+28)|0); //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$stmt; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124+28)|0); //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($125)>>2)]=$123; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$stmt; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($3+980)|0); //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128+28)|0); //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($129)>>2)]=$126; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$obj; //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($3+980)|0); //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=__ZN13JSTreeContext10blockChainEv($132); //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN8JSObject9setParentEPS_($130, $133); //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($3+980)|0); //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135+32)|0); //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$blockbox; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+12)|0); //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($139)>>2)]=$137; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$blockbox; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($3+980)|0); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($142+32)|0); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($143)>>2)]=$140; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$blockbox; //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$stmt; //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145+20)|0); //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$146; //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($147)>>2)]=$144; //@line 5550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($3+980)|0); //@line 5558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 5558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=__ZN2js16LexicalScopeNode6createEP13JSTreeContext($149); //@line 5558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$150; //@line 5558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$151; //@line 5558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$pn1; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=(($152)|0)!=0; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($153) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $1=0; //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $156=$pn1; //@line 5562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($156, 80); //@line 5562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=$pn1; //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($157, 202); //@line 5563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$pn1; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=(($158+4)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($3+980)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=(($161+36)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($163+4)|0); //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$159; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$164; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($165)>>2)]=HEAP32[(($166)>>2)];HEAP32[(($165+4)>>2)]=HEAP32[(($166+4)>>2)];HEAP32[(($165+8)>>2)]=HEAP32[(($166+8)>>2)];HEAP32[(($165+12)>>2)]=HEAP32[(($166+12)>>2)]; //@line 5564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$blockbox; //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=$pn1; //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=(($168+32)|0); //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$169; //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170)|0); //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$171; //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($172)>>2)]=$167; //@line 5565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($3+980)|0); //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174+36)|0); //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=HEAP32[(($175)>>2)]; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=$pn1; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=(($177+32)|0); //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=$178; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($179+4)|0); //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$180; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($181)>>2)]=$176; //@line 5566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=(($3+980)|0); //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183+36)|0); //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185+32)|0); //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$186; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=$187; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=(($188+12)|0); //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=$189; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=HEAPU32[(($190)>>2)]; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=$191 >>> 12; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=$192 & 1048575; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=$pn1; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=(($194+32)|0); //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=$195; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$193 & 1048575; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$196; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($198+12)|0); //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$199; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=$197 & 1048575; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$201 << 12; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=HEAP32[(($200)>>2)]; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=$203 & 4095; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=$204 | $202; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($200)>>2)]=$205; //@line 5567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=$pn1; //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=(($3+980)|0); //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=HEAP32[(($207)>>2)]; //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=(($208+36)|0); //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($209)>>2)]=$206; //@line 5568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break;
    case 27: 
      var $211=__ZN2js6Parser9variablesEb($3, 0); //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$211; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=$pn; //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=(($212)|0)!=0; //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($213) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=0; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $216=$pn; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=(($216+32)|0); //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=$217; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=$218; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=(($219+12)|0); //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=$220; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=$222 & -4096; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=$223 | 4; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($221)>>2)]=$224; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $226=(($3+12)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=(($3+40)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=__ZL22MatchOrInsertSemicolonP9JSContextPN2js11TokenStreamE($227, $228); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229)|0)!=0; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($230) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $232=$pn; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235 = $232;__label__ = 33; break; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $235 = 0;__label__ = 33; break; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $235; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$235; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $237=$1; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $237; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser12letStatementEv["X"]=1;

function __ZN2js16LexicalScopeNode6createEP13JSTreeContext($tc) {
  ;
  var __label__;

  var $1;
  $1=$tc;
  var $2=$1; //@line 796 "./jsparse.h"
  var $3=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(6, $2); //@line 796 "./jsparse.h"
  var $4=$3; //@line 796 "./jsparse.h"
  ;
  return $4; //@line 796 "./jsparse.h"
}


function __ZN2js6Parser19expressionStatementEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn2;
      var $label;
      var $stmt;
      var $stmtInfo=__stackBase__;
      var $pn;
      var $pn1;
      $2=$this;
      var $3=$2;
      var $4=(($3+40)|0); //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($4); //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=__ZN2js6Parser4exprEv($3); //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$5; //@line 5586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$pn2; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0)!=0; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 5588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 5588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=(($3+40)|0); //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=__ZN2js11TokenStream9peekTokenEv($10); //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0)==6; //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 19; break; } //@line 5590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $14=$pn2; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZNK11JSParseNode6isKindEN2js9TokenKindE($14, 29); //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $17=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 125, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=$pn2; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+32)|0); //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$20; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0); //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $label=$24; //@line 5595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($3+980)|0); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+24)|0); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$28; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $30=$stmt; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)!=0; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $33=$stmt; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0); //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAPU16[(($34)>>1)]; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)&65535); //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)|0)==0; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $39=$stmt; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+20)|0); //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$label; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($42)|0)==(($43)|0); //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $46=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 126, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 5599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $49=$stmt; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49+24)|0); //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$51; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $53=$pn2; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL9ForgetUseP11JSParseNode($53); //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($3+40)|0); //@line 5604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZN2js11TokenStream8getTokenEv($54); //@line 5604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($3+980)|0); //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($57, $stmtInfo, 0, -1); //@line 5608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$label; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($stmtInfo+20)|0); //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($60)>>2)]=$58; //@line 5609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=__ZN2js6Parser9statementEv($3); //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$61; //@line 5610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$pn; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62)|0)!=0; //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $66=$pn; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=__ZNK11JSParseNode6isKindEN2js9TokenKindE($66, 2); //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $69=$pn; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+32)|0); //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71)|0); //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73)|0)!=0; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $76=$pn; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($76, 25); //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$pn; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($77, 5); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$pn; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($78); //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 5619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $80=(($3+980)|0); //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($81); //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$pn2; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($82, 6); //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$pn2; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+4)|0); //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($84+8)|0); //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$pn; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=(($86+4)|0); //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87+8)|0); //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$85; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$88; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($89)>>2)]=HEAP32[(($90)>>2)];HEAP32[(($89+4)>>2)]=HEAP32[(($90+4)>>2)]; //@line 5624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$pn; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$pn2; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92+32)|0); //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$93; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94+4)|0); //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$95; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($96)>>2)]=$91; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$pn2; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$97; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $99=(($3+980)|0); //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=__ZN2js9UnaryNode6createEP13JSTreeContext($100); //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$102; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$pn1; //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103)|0)!=0; //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($104) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      $1=0; //@line 5631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 5631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $107=$pn1; //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($107, 2); //@line 5632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$pn1; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=(($108+4)|0); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$pn2; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($110+4)|0); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$109; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$111; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($112)>>2)]=HEAP32[(($113)>>2)];HEAP32[(($112+4)>>2)]=HEAP32[(($113+4)>>2)];HEAP32[(($112+8)>>2)]=HEAP32[(($113+8)>>2)];HEAP32[(($112+12)>>2)]=HEAP32[(($113+12)>>2)]; //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$pn2; //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$pn1; //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115+32)|0); //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$116; //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($117)|0); //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($118)>>2)]=$114; //@line 5634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$pn2; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=__ZNK11JSParseNode7getKindEv($119); //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($120)|0) == 27) {
        __label__ = 22; break;
      }
      else if ((($120)|0) == 4) {
        __label__ = 26; break;
      }
      else {
      __label__ = 33; break;
      }
      
    case 22: 
      var $122=$pn2; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=(($122+32)|0); //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$123; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124)|0); //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=__ZNK11JSParseNode6isKindEN2js9TokenKindE($126, 34); //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($127) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $129=$pn2; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=(($129+32)|0); //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131)|0); //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133+32)|0); //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$134; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135)|0); //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$136; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+24)|0); //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=__ZNK11JSParseNode8isFunArgEv($140); //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($141) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $143=$pn2; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+32)|0); //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$144; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145)|0); //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($147+32)|0); //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$148; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149)|0); //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$150; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=(($152+60)|0); //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$154 | 2097152; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($153)>>2)]=$155; //@line 5644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 25; break; //@line 5645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 34; break; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $158=(($3+980)|0); //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159+80)|0); //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=(($161)|0)!=0; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($162) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $164=$pn2; //@line 5654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=__ZNK11JSParseNode4isOpE4JSOp($164, 0); //@line 5654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($165) { __label__ = 28; break; } else { __label__ = 32; break; } //@line 5654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $167=$pn2; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=(($167+32)|0); //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$168; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=(($169)|0); //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=HEAP32[(($170)>>2)]; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=__ZNK11JSParseNode4isOpE4JSOp($171, 54); //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($172) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $174=$pn2; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174+32)|0); //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$175; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=(($176)|0); //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=HEAP32[(($177)>>2)]; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=(($178+32)|0); //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=$179; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=(($180+4)|0); //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$181; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=__ZNK11JSParseNode4isOpE4JSOp($183, 65); //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($184) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $186=$pn2; //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=(($186+32)|0); //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=$187; //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=(($188+4)|0); //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=__ZNK11JSParseNode4isOpE4JSOp($190, 130); //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($191) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $193=(($3+980)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=(($194+80)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=HEAP32[(($195)>>2)]; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=(($196+40)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=$pn2; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=(($199+32)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=$200; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=(($201+4)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=(($203+28)|0); //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($204)>>2)]=$198; //@line 5660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=$pn2; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=(($205+32)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=$206; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=(($207+4)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=HEAP32[(($208)>>2)]; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=(($3+980)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=HEAP32[(($210)>>2)]; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=(($211+80)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=(($213+40)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($214)>>2)]=$209; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 34; break; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 34; break; //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $218=(($3+12)|0); //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=HEAP32[(($218)>>2)]; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=(($3+40)|0); //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=__ZL22MatchOrInsertSemicolonP9JSContextPN2js11TokenStreamE($219, $220); //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=(($221)|0)!=0; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($222) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $224=$pn1; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227 = $224;__label__ = 37; break; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $227 = 0;__label__ = 37; break; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $227; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$227; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $229=$1; //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $229; //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser19expressionStatementEv["X"]=1;

function __ZL9ForgetUseP11JSParseNode($pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pnup;
      var $pnu;
      $1=$pn;
      var $2=$1; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $3=__ZNK11JSParseNode6isUsedEv($2); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($3) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      __label__ = 7; break; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $6=$1; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZNK11JSParseNode6lexdefEv($6); //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+28)|0); //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$9; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $11=$pnup; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$12; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$1; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($12)|0)!=(($13)|0); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=$pnu; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+28)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$17; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=$1; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+28)|0); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$pnup; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$1; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setUsedEb($23, 0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      ;
      return; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NullaryNode6createEP13JSTreeContext($tc) {
  ;
  var __label__;

  var $1;
  $1=$tc;
  var $2=$1; //@line 722 "./jsparse.h"
  var $3=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(0, $2); //@line 722 "./jsparse.h"
  var $4=$3; //@line 722 "./jsparse.h"
  ;
  return $4; //@line 722 "./jsparse.h"
}


function __ZL10MatchLabelP9JSContextPN2js11TokenStreamEP11JSParseNode($cx, $ts, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $label;
      var $tt;
      $2=$cx;
      $3=$ts;
      $4=$pn;
      var $5=$3; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js11TokenStream17peekTokenSameLineEj($5, 8); //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$6; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$tt; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0)==-1; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 3493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$tt; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0)==29; //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $14=$3; //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZN2js11TokenStream8getTokenEv($14); //@line 3495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$3; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZNK2js11TokenStream12currentTokenEv($16); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+24)|0); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+4)|0); //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $label=$21; //@line 3496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $label=0; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break;
    case 6: 
      var $24=$label; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$4; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+32)|0); //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0); //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($29)>>2)]=$24; //@line 3500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $31=$1; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $31; //@line 3502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL22UndominateInitializersP11JSParseNodeRKN2js8TokenPtrEP13JSTreeContext($left, $end, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn;
      var $pair;
      var $pn1;
      $1=$left;
      $2=$end;
      $3=$tc;
      var $4=$1; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=__ZNK11JSParseNode6isKindEN2js9TokenKindE($4, 24); //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 14; break; } //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=$1; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+32)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$11; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=$pn; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=0; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $16=$pn; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZNK11JSParseNode6isKindEN2js9TokenKindE($16, 3); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $19=$pn; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZNK11JSParseNode7isArityE16JSParseNodeArity($19, 0); //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 11; break; } else { __label__ = 6; break; } //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $22=$pn; //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZNK11JSParseNode6isKindEN2js9TokenKindE($22, 24); //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $25=$pn; //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZNK11JSParseNode6isKindEN2js9TokenKindE($25, 26); //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 4278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $28=$pn; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$2; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$3; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL22UndominateInitializersP11JSParseNodeRKN2js8TokenPtrEP13JSTreeContext($28, $29, $30); //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $32=$pn; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+4)|0); //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+8)|0); //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$2; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$34; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$35; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 4281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break; //@line 4282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 4283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $41=$pn; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+24)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$43; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      __label__ = 23; break; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $46=$1; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+32)|0); //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48)|0); //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pair=$50; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $52=$pair; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0)!=0; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 16; break; } else { __label__ = 22; break; } //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $55=$pair; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+32)|0); //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57+4)|0); //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$59; //@line 4289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$pn1; //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=__ZNK11JSParseNode6isKindEN2js9TokenKindE($60, 24); //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $63=$pn1; //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=__ZNK11JSParseNode6isKindEN2js9TokenKindE($63, 26); //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($64) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $66=$pn1; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$2; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$3; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL22UndominateInitializersP11JSParseNodeRKN2js8TokenPtrEP13JSTreeContext($66, $67, $68); //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $70=$pn1; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+4)|0); //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71+8)|0); //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$2; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$72; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$73; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($74)>>2)]=HEAP32[(($75)>>2)];HEAP32[(($74+4)>>2)]=HEAP32[(($75+4)>>2)]; //@line 4293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break;
    case 20: 
      __label__ = 21; break; //@line 4294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $78=$pair; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78+24)|0); //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pair=$80; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      __label__ = 23; break;
    case 23: 
      ;
      return; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22UndominateInitializersP11JSParseNodeRKN2js8TokenPtrEP13JSTreeContext["X"]=1;

function __ZL14MakeAssignmentP11JSParseNodeS0_P13JSTreeContext($pn, $rhs, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $lhs;
      var $dn;
      var $pnup;
      $2=$pn;
      $3=$rhs;
      $4=$tc;
      var $5=$4; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZL17NewOrRecycledNodeP13JSTreeContext($5); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $lhs=$6; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$lhs; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0)!=0; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$lhs; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$2; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$11; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$12; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(48 % 1 === 0, 'memcpy given ' + 48 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');for (var $$src = $14>>2, $$dest = $13>>2, $$stop = $$src + 12; $$src < $$stop; $$src++, $$dest++) {
        HEAP32[$$dest] = HEAP32[$$src]
      }; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$2; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZNK11JSParseNode6isUsedEv($15); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $18=$2; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+32)|0); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+4)|0); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$23; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$dn; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+28)|0); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$26; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $28=$pnup; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$2; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($29)|0)!=(($30)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $33=$pnup; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+28)|0); //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$35; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $37=$lhs; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$pnup; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$2; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+28)|0); //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$lhs; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+28)|0); //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($43)>>2)]=$41; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$2; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+28)|0); //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($45)>>2)]=0; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $47=$2; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($47, 4); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($48, 0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$2; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($49, 2); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$2; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode11setInParensEb($50, 0); //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$2; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setUsedEb($51, 0); //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$2; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($52, 0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$lhs; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$2; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+32)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($57)>>2)]=$53; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$3; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59+32)|0); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$60; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+4)|0); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($62)>>2)]=$58; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$lhs; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$63; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $65=$1; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $65; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14MakeAssignmentP11JSParseNodeS0_P13JSTreeContext["X"]=1;

function __ZN13JSTreeContext16noteArgumentsUseEP11JSParseNode($this, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$pn;
      var $3=$1;
      var $4=$2; //@line 481 "./jsemit.h"
      __ZN13JSTreeContext17countArgumentsUseEP11JSParseNode($3, $4); //@line 481 "./jsemit.h"
      var $5=(($3)|0); //@line 482 "./jsemit.h"
      var $6=HEAP32[(($5)>>2)]; //@line 482 "./jsemit.h"
      var $7=$6 | 128; //@line 482 "./jsemit.h"
      HEAP32[(($5)>>2)]=$7; //@line 482 "./jsemit.h"
      var $8=(($3+80)|0); //@line 483 "./jsemit.h"
      var $9=HEAP32[(($8)>>2)]; //@line 483 "./jsemit.h"
      var $10=(($9)|0)!=0; //@line 483 "./jsemit.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 483 "./jsemit.h"
    case 2: 
      var $12=(($3+80)|0); //@line 484 "./jsemit.h"
      var $13=HEAP32[(($12)>>2)]; //@line 484 "./jsemit.h"
      var $14=(($13+24)|0); //@line 484 "./jsemit.h"
      var $15=HEAP32[(($14)>>2)]; //@line 484 "./jsemit.h"
      var $16=(($15+32)|0); //@line 484 "./jsemit.h"
      var $17=$16; //@line 484 "./jsemit.h"
      var $18=$17; //@line 484 "./jsemit.h"
      var $19=(($18+12)|0); //@line 484 "./jsemit.h"
      var $20=$19; //@line 484 "./jsemit.h"
      var $21=HEAP32[(($20)>>2)]; //@line 484 "./jsemit.h"
      var $22=$21 & 4095; //@line 484 "./jsemit.h"
      var $23=$22 | 256; //@line 484 "./jsemit.h"
      var $24=$23 & 4095; //@line 484 "./jsemit.h"
      var $25=$17; //@line 484 "./jsemit.h"
      var $26=(($25+12)|0); //@line 484 "./jsemit.h"
      var $27=$26; //@line 484 "./jsemit.h"
      var $28=$24 & 4095; //@line 484 "./jsemit.h"
      var $29=HEAP32[(($27)>>2)]; //@line 484 "./jsemit.h"
      var $30=$29 & -4096; //@line 484 "./jsemit.h"
      var $31=$30 | $28; //@line 484 "./jsemit.h"
      HEAP32[(($27)>>2)]=$31; //@line 484 "./jsemit.h"
      __label__ = 3; break; //@line 484 "./jsemit.h"
    case 3: 
      ;
      return; //@line 485 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14BindVarOrConstP9JSContextP8BindDataP6JSAtomP13JSTreeContext($cx, $data, $atom, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $pn;
      var $stmt;
      var $mdl=__stackBase__+4;
      var $op;
      var $dn;
      var $dn_kind;
      var $name=__stackBase__+12;
      var $6;
      var $error;
      var $name1=__stackBase__+16;
      var $dn3;
      var $pnu;
      var $7=__stackBase__+20;
      var $pn2;
      $2=$cx;
      $3=$data;
      HEAP32[(($4)>>2)]=$atom;
      $5=$tc;
      var $8=$3; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0); //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$10; //@line 3816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$pn; //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($11, 59); //@line 3819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$2; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$5; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($4)>>2)]; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$pn; //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__Z18CheckStrictBindingP9JSContextP13JSTreeContextP6JSAtomP11JSParseNode($12, $13, $14, $15); //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $19=$5; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($4)>>2)]; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=_js_LexicalLookup($19, $20, 0, 0); //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$21; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$stmt; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22)|0)!=0; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $25=$stmt; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25)|0); //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAPU16[(($26)>>1)]; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)&65535); //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0)==6; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $31=$3; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+16)|0); //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($32)]=0; //@line 3827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$pn; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+32)|0); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+12)|0); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39 & 4095; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40 | 1024; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41 & 4095; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$35; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+12)|0); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$42 & 4095; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($45)>>2)]; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47 & -4096; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 | $46; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($45)>>2)]=$49; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$5; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext20noteMightAliasLocalsEv($50); //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $52=$5; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52+40)|0); //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($4)>>2)]; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9AtomDecls11lookupMultiEP6JSAtom($mdl, $53, $54); //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$3; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+4)|0); //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$57; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$stmt; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58)|0)!=0; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $61=__ZNK2js14MultiDeclRange5emptyEv($mdl); //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 43; break; } else { __label__ = 8; break; } //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $63=__ZNK2js14MultiDeclRange5emptyEv($mdl); //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $68 = 0;__label__ = 11; break; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $66=__ZN2js14MultiDeclRange5frontEv($mdl); //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68 = $66;__label__ = 11; break; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $68; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$68; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$dn; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69)|0)!=0; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($70) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $72=$dn; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=__ZN12JSDefinition4kindEv($72); //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76 = $73;__label__ = 14; break; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $76 = 0;__label__ = 14; break; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $76; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn_kind=$76; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$dn_kind; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77)|0)==4; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($78) { __label__ = 15; break; } else { __label__ = 24; break; } //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      __ZN16JSAutoByteStringC1Ev($name); //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$2; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAP32[(($4)>>2)]; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($80, $81, $name); //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82)|0)!=0; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($83) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=0; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 22; break; //@line 3843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $86=$op; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=(($86)|0)==128; //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($87) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $89=$2; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$5; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90+48)|0); //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92+40)|0); //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$pn; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=__ZNK16JSAutoByteString3ptrEv($name); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($89, $93, $94, 0, 164, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$95,tempInt)); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 22; break; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $98=$2; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$5; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99+48)|0); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+40)|0); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$pn; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=__ZNK16JSAutoByteString3ptrEv($name); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($98, $102, $103, 5, 127, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$104,tempInt)); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($105) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      $1=0; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 22; break; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      $6=0; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      __ZN16JSAutoByteStringD1Ev($name); //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 23; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 75; break;
      }
      else {
      __label__ = 76; break;
      }
      
    case 23: 
      __label__ = 42; break; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $111=$op; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111)|0)==128; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($112) { var $135 = 1;__label__ = 31; break; } else { __label__ = 25; break; } //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $114=$dn_kind; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114)|0)==1; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($115) { var $135 = 1;__label__ = 31; break; } else { __label__ = 26; break; } //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $117=$dn_kind; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($117)|0)==2; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($118) { __label__ = 27; break; } else { var $133 = 0;__label__ = 30; break; } //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $120=$stmt; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120)|0); //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=HEAPU16[(($121)>>1)]; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=(($122)&65535); //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=(($123)|0)!=7; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($124) { var $131 = 1;__label__ = 29; break; } else { __label__ = 28; break; } //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $126=$5; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$stmt; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=HEAP32[(($4)>>2)]; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=__ZL8OuterLetP13JSTreeContextP10JSStmtInfoP6JSAtom($126, $127, $128); //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131 = $129;__label__ = 29; break; //@line 3860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $131;
      var $133 = $131;__label__ = 30; break;
    case 30: 
      var $133;
      var $135 = $133;__label__ = 31; break;
    case 31: 
      var $135;
      var $136=(($135)&1);
      $error=$136;
      var $137=$2; //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=__ZNK9JSContext15hasStrictOptionEv($137); //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($138) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $140=$op; //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($140)|0)!=129; //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($141) { __label__ = 35; break; } else { __label__ = 33; break; } //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $143=$dn_kind; //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143)|0)!=0; //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($144) { __label__ = 35; break; } else { __label__ = 41; break; } //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $146=$error; //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=(($146) & 1); //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($147) { __label__ = 35; break; } else { __label__ = 41; break; } //@line 3862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __ZN16JSAutoByteStringC1Ev($name1); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$2; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=HEAP32[(($4)>>2)]; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($149, $150, $name1); //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=(($151)|0)!=0; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($152) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $154=$2; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$5; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=(($155+48)|0); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=HEAP32[(($156)>>2)]; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($157+40)|0); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=$pn; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=$error; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($160) & 1); //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$161 ^ 1; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=$162 ? 5 : 0; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=$dn_kind; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=__ZN12JSDefinition10kindStringENS_4KindE($164); //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=__ZNK16JSAutoByteString3ptrEv($name1); //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($154, $158, $159, $163, 155, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$165,HEAP32[((tempInt+4)>>2)]=$166,tempInt)); //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($167) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      $1=0; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=1;
      __label__ = 39; break; //@line 3874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      $6=0; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      __ZN16JSAutoByteStringD1Ev($name1); //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $cleanup_dest2=$6;
      if ((($cleanup_dest2)|0) == 0) {
        __label__ = 40; break;
      }
      else if ((($cleanup_dest2)|0) == 1) {
        __label__ = 75; break;
      }
      else {
      __label__ = 76; break;
      }
      
    case 40: 
      __label__ = 41; break; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      __label__ = 42; break;
    case 42: 
      __label__ = 43; break; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $175=__ZNK2js14MultiDeclRange5emptyEv($mdl); //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($175) { __label__ = 44; break; } else { __label__ = 47; break; } //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $177=$pn; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=HEAP32[(($4)>>2)]; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=$5; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=__ZL6DefineP11JSParseNodeP6JSAtomP13JSTreeContextb($177, $178, $179, 0); //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($180) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      $1=0; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      __label__ = 70; break; //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $184=__ZN2js14MultiDeclRange5frontEv($mdl); //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn3=$184; //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$3; //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185+16)|0); //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP8[($186)]=0; //@line 3897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$pn; //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=__ZNK11JSParseNode6isUsedEv($187); //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($188) { __label__ = 53; break; } else { __label__ = 48; break; } //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $190=$pn; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$190; //@line 3901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=$pn; //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=__ZNK11JSParseNode6isDefnEv($191); //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($192) { __label__ = 49; break; } else { __label__ = 52; break; } //@line 3903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $194=HEAP32[(($4)>>2)]; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=$5; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($194, $195); //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$196; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$197; //@line 3904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$pnu; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($198)|0)!=0; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($199) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      $1=0; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      __label__ = 52; break; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $203=$pnu; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=$dn3; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=$5; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12LinkUseToDefP11JSParseNodeP12JSDefinitionP13JSTreeContext($203, $204, $205); //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=$pnu; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($206, 59); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 53; break; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      __label__ = 54; break; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $209=$dn3; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=__ZN12JSDefinition4kindEv($209); //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=(($210)|0)==2; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($211) { __label__ = 55; break; } else { __label__ = 58; break; } //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      __ZN2js14MultiDeclRange8popFrontEv($mdl); //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=__ZNK2js14MultiDeclRange5emptyEv($mdl); //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($213) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      __label__ = 58; break; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $216=__ZN2js14MultiDeclRange5frontEv($mdl); //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn3=$216; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 54; break; //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $218=$dn3; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218)|0)!=0; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($219) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      $1=1; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $222=$pn; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=__ZNK11JSParseNode6isDefnEv($222); //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($223) { __label__ = 67; break; } else { __label__ = 61; break; } //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      var $225=$5; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=(($225+64)|0); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=$226; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($227); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6lookupERKS2_($7, $228, $4); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrcvPPPPPPPS6_Ev($7); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229)|0)!=0; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($230) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $232=$5; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=(($232+64)|0); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=$233; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($234); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeERKS2_($235, $4); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 66; break; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $237=HEAP32[(($4)>>2)]; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=$5; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($237, $238); //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=$239; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$240; //@line 3936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=$pn2; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=(($241)|0)!=0; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($242) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      $1=0; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $245=$pn2; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($245, 29); //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=$pn2; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $247=(($246+4)|0); //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=$pn; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=(($248+4)|0); //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=$247; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=$249; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($250)>>2)]=HEAP32[(($251)>>2)];HEAP32[(($250+4)>>2)]=HEAP32[(($251+4)>>2)];HEAP32[(($250+8)>>2)]=HEAP32[(($251+8)>>2)];HEAP32[(($250+12)>>2)]=HEAP32[(($251+12)>>2)]; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=$pn2; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$252; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 66; break;
    case 66: 
      var $254=$pn; //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($254, 59); //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 67; break; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      var $256=$5; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=(($256+40)|0); //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=HEAP32[(($4)>>2)]; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=$pn; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=$259; //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=__ZN2js9AtomDecls8addHoistEP6JSAtomP12JSDefinition($257, $258, $260); //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($261) { __label__ = 69; break; } else { __label__ = 68; break; } //@line 3948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      $1=0; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $264=$pn; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($264, 1); //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=$pn; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=(($265+32)|0); //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=$266; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=$267; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=(($268+12)|0); //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=$269; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=HEAP32[(($270)>>2)]; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=$271 & 4095; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=$272 & -129; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=$273 & 4095; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=$267; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=(($275+12)|0); //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=$276; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $278=$274 & 4095; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=HEAP32[(($277)>>2)]; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=$279 & -4096; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=$280 | $278; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($277)>>2)]=$281; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 70; break;
    case 70: 
      var $283=$3; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=(($283+4)|0); //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=HEAP32[(($284)>>2)]; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=(($285)|0)==128; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($286) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      var $288=$pn; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=(($288+32)|0); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=$289; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=$290; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=(($291+12)|0); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=$292; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=HEAP32[(($293)>>2)]; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=$294 & 4095; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=$295 | 2; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=$296 & 4095; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=$290; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=(($298+12)|0); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=$299; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=$297 & 4095; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=HEAP32[(($300)>>2)]; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=$302 & -4096; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=$303 | $301; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($300)>>2)]=$304; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 72; break; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      var $306=$5; //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=__ZNK13JSTreeContext10inFunctionEv($306); //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($307) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $309=$2; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=$3; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=$5; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $312=__ZL17BindFunctionLocalP9JSContextP8BindDataRN2js14MultiDeclRangeEP13JSTreeContext($309, $310, $mdl, $311); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313=(($312)&1); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$313; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $315=$2; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=$3; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=$pn; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=$5; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=__ZL15BindTopLevelVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($315, $316, $317, $318); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=(($319)&1); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$320; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $322=$1; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $322; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14BindVarOrConstP9JSContextP8BindDataP6JSAtomP13JSTreeContext["X"]=1;

function __ZN2js6Parser9mulExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser9mulExpr1iEv($2); //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser9mulExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $tt;
      var $pn;
      var $op;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser9unaryExprEv($2); //@line 6223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $17 = 0;__label__ = 6; break; } //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZN2js11TokenStream8getTokenEv($8); //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$9; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)==17; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { var $15 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $12=$tt; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12)|0)==18; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15 = $13;__label__ = 5; break; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $15;
      var $17 = $15;__label__ = 6; break;
    case 6: 
      var $17;
      if ($17) { __label__ = 7; break; } else { __label__ = 8; break; }
    case 7: 
      var $19=(($2+40)|0); //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZNK2js11TokenStream12currentTokenEv($19); //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0); //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$22; //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($2+40)|0); //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZNK2js11TokenStream12currentTokenEv($23); //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+24)|0); //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)|0); //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$28; //@line 6232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$tt; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$op; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=__ZN2js6Parser9unaryExprEv($2); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($2+980)|0); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext($29, $30, $31, $32, $34); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$35; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $37=$pn; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $37; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser9addExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser9addExpr1iEv($2); //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser9addExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      var $tt;
      var $op;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser9mulExpr1iEv($2); //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindES1_($8, 15, 16); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=(($2+40)|0); //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZNK2js11TokenStream12currentTokenEv($13); //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0); //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$16; //@line 6243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$tt; //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0)==15; //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18 ? 27 : 28; //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$19; //@line 6244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$tt; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$op; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$pn; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZN2js6Parser9mulExpr1nEv($2); //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($2+980)|0); //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext($20, $21, $22, $23, $25); //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$26; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $28=$pn; //@line 6247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $28; //@line 6247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser11shiftExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser11shiftExpr1iEv($2); //@line 6260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser11shiftExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      var $op;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser9addExpr1iEv($2); //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($8, 14); //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=(($2+40)|0); //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZNK2js11TokenStream12currentTokenEv($13); //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+24)|0); //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0); //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$18; //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$op; //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$pn; //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZN2js6Parser9addExpr1nEv($2); //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($2+980)|0); //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(14, $19, $20, $21, $23); //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$24; //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $26=$pn; //@line 6258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $26; //@line 6258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser9relExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser9relExpr1iEv($2); //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser9relExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $inForInitFlag;
      var $pn;
      var $tt;
      var $op;
      $1=$this;
      var $2=$1;
      var $3=(($2+980)|0); //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4)|0); //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6 & 16; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $inForInitFlag=$7; //@line 6264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($2+980)|0); //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0); //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11 & -17; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($10)>>2)]=$12; //@line 6270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZN2js6Parser11shiftExpr1iEv($2); //@line 6272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$13; //@line 6272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $15=$pn; //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)!=0; //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 3; break; } else { var $32 = 0;__label__ = 8; break; } //@line 6273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $18=(($2+40)|0); //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($18, 13); //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { var $30 = 1;__label__ = 7; break; } else { __label__ = 4; break; } //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $21=$inForInitFlag; //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0)==0; //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 6274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $24=(($2+40)|0); //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($24, 45); //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { var $30 = 1;__label__ = 7; break; } else { __label__ = 6; break; } //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $27=(($2+40)|0); //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($27, 57); //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30 = $28;__label__ = 7; break; //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $30;
      var $32 = $30;__label__ = 8; break;
    case 8: 
      var $32;
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; }
    case 9: 
      var $34=(($2+40)|0); //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZNK2js11TokenStream12currentTokenEv($34); //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0); //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$37; //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($2+40)|0); //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=__ZNK2js11TokenStream12currentTokenEv($38); //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+24)|0); //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)|0); //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$43; //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$tt; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$op; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$pn; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=__ZN2js6Parser11shiftExpr1nEv($2); //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($2+980)|0); //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext($44, $45, $46, $47, $49); //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$50; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $52=$inForInitFlag; //@line 6286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($2+980)|0); //@line 6286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 6286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54)|0); //@line 6286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 6286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56 | $52; //@line 6286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($55)>>2)]=$57; //@line 6286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$pn; //@line 6288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $58; //@line 6288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser9relExpr1iEv["X"]=1;

function __ZN2js6Parser8eqExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser8eqExpr1iEv($2); //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser8eqExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      var $op;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser9relExpr1iEv($2); //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($8, 12); //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=(($2+40)|0); //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZNK2js11TokenStream12currentTokenEv($13); //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+24)|0); //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0); //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$18; //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$op; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$pn; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZN2js6Parser9relExpr1nEv($2); //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($2+980)|0); //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(12, $19, $20, $21, $23); //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$24; //@line 6297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $26=$pn; //@line 6299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $26; //@line 6299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser12bitAndExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser12bitAndExpr1iEv($2); //@line 6310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser12bitAndExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser8eqExpr1iEv($2); //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($8, 11); //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=$pn; //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js6Parser8eqExpr1nEv($2); //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($2+980)|0); //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(11, 17, $13, $14, $16); //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$17; //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=$pn; //@line 6308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $19; //@line 6308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser12bitXorExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser12bitXorExpr1iEv($2); //@line 6319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser12bitXorExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser12bitAndExpr1iEv($2); //@line 6314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 6315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($8, 10); //@line 6315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=$pn; //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js6Parser12bitAndExpr1nEv($2); //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($2+980)|0); //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(10, 16, $13, $14, $16); //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$17; //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=$pn; //@line 6317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $19; //@line 6317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser11bitOrExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser11bitOrExpr1iEv($2); //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser11bitOrExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser12bitXorExpr1iEv($2); //@line 6323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($8, 9); //@line 6324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=$pn; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js6Parser12bitXorExpr1nEv($2); //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($2+980)|0); //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(9, 15, $13, $14, $16); //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$17; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=$pn; //@line 6326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $19; //@line 6326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser9andExpr1nEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6Parser9andExpr1iEv($2); //@line 6337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $3; //@line 6337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser9andExpr1iEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser11bitOrExpr1iEv($2); //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($8, 8); //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=$pn; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js6Parser11bitOrExpr1nEv($2); //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($2+980)|0); //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(8, 69, $13, $14, $16); //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$17; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=$pn; //@line 6335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $19; //@line 6335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11MakeSetCallP9JSContextP11JSParseNodeP13JSTreeContextj($cx, $pn, $tc, $msg) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pn2;
      $2=$cx;
      $3=$pn;
      $4=$tc;
      $5=$msg;
      var $6=$2; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$4; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+48)|0); //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+40)|0); //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$4; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$3; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$5; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($6, $10, $11, $12, $13, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $17=$3; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+32)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$21; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$pn2; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZNK11JSParseNode6isKindEN2js9TokenKindE($22, 34); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $25=$pn2; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+32)|0); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+60)|0); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32 & 4096; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0)!=0; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $36=$2; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$4; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+48)|0); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+40)|0); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$3; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$5; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($36, $40, $41, 0, $42, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $45=$3; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+32)|0); //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$46; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48+12)|0); //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51 & 4095; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52 | 256; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$53 & 4095; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$47; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+12)|0); //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$54 & 4095; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=HEAP32[(($57)>>2)]; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59 & -4096; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$60 | $58; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($57)>>2)]=$61; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $63=$1; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11MakeSetCallP9JSContextP11JSParseNodeP13JSTreeContextj["X"]=1;

function __ZN2js6Parser9condExpr1Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $pn1;
      var $oldflags;
      var $pn2;
      var $pn3;
      $2=$this;
      var $3=$2;
      var $4=__ZN2js6Parser7orExpr1Ev($3); //@line 6351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$4; //@line 6351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$pn; //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 14; break; } //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $8=(($3+40)|0); //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($8, 5); //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 14; break; } //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$pn; //@line 6353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$11; //@line 6353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($3+980)|0); //@line 6354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 6354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js11TernaryNode6createEP13JSTreeContext($13); //@line 6354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14; //@line 6354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$15; //@line 6354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$pn; //@line 6355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0)!=0; //@line 6355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 6356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $20=(($3+980)|0); //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0); //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldflags=$23; //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($3+980)|0); //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25)|0); //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27 & -17; //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($26)>>2)]=$28; //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZN2js6Parser10assignExprEv($3); //@line 6365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$29; //@line 6365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$oldflags; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($3+980)|0); //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32)|0); //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34 & 629442528; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$30 | $35; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($3+980)|0); //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0); //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($39)>>2)]=$36; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$pn2; //@line 6368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40)|0)!=0; //@line 6368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $45=(($3+40)|0); //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=__ZN2js11TokenStream8getTokenEj($45, 0); //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46)|0)!=6; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $49=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 103, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      __label__ = 11; break; //@line 6370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $52=__ZN2js6Parser10assignExprEv($3); //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$52; //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$pn3; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53)|0)!=0; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($54) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 6373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $57=$pn; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57+4)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$pn1; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+4)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61)|0); //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$59; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$62; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($63)>>2)]=HEAP32[(($64)>>2)];HEAP32[(($63+4)>>2)]=HEAP32[(($64+4)>>2)]; //@line 6374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$pn; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+4)|0); //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+8)|0); //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$pn3; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+4)|0); //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+8)|0); //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$67; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$70; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 6375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$pn1; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$pn; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74+32)|0); //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76)|0); //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($77)>>2)]=$73; //@line 6376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$pn2; //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$pn; //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79+32)|0); //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80; //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81+4)|0); //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($82)>>2)]=$78; //@line 6377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$pn3; //@line 6378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$pn; //@line 6378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($84+32)|0); //@line 6378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$85; //@line 6378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=(($86+8)|0); //@line 6378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($87)>>2)]=$83; //@line 6378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($3+40)|0); //@line 6379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=__ZN2js11TokenStream8getTokenEv($88); //@line 6379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 6380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $91=$pn; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$91; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $93=$1; //@line 6382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $93; //@line 6382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser9condExpr1Ev["X"]=1;

function __ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($this, $type) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$type;
  var $3=$1;
  var $4=__ZNK2js11TokenStream12currentTokenEv($3); //@line 337 "./jsscan.h"
  var $5=(($4)|0); //@line 337 "./jsscan.h"
  var $6=HEAP32[(($5)>>2)]; //@line 337 "./jsscan.h"
  var $7=$2; //@line 337 "./jsscan.h"
  var $8=(($6)|0)==(($7)|0); //@line 337 "./jsscan.h"
  ;
  return $8; //@line 337 "./jsscan.h"
}


function __ZNK11JSParseNode10isAssignedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 8); //@line 574 "./jsparse.h"
  ;
  return $3; //@line 574 "./jsparse.h"
}


function __ZN2js6Parser9unaryExprEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $pn2;
      var $stackDummy_=__stackBase__;
      var $tt;
      $2=$this;
      var $3=$2;
      __label__ = 2; break; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$stackDummy_; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($3+12)|0); //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+48)|0); //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($5)>>>0) < (($9)>>>0); //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=(($3+12)|0); //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=(($3+40)|0); //@line 6554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN2js11TokenStream8getTokenEj($16, 8); //@line 6554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$17; //@line 6554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$tt; //@line 6555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($18)|0) == 19 || (($18)|0) == 15 || (($18)|0) == 16) {
        __label__ = 6; break;
      }
      else if ((($18)|0) == 20 || (($18)|0) == 21) {
        __label__ = 11; break;
      }
      else if ((($18)|0) == 50) {
        __label__ = 18; break;
      }
      else if ((($18)|0) == -1) {
        __label__ = 38; break;
      }
      else {
      __label__ = 39; break;
      }
      
    case 6: 
      var $20=(($3+980)|0); //@line 6559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 6559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=__ZN2js9UnaryNode6createEP13JSTreeContext($21); //@line 6559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 6559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$23; //@line 6559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$pn; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)!=0; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 6561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $28=$pn; //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($28, 19); //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$pn; //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($3+40)|0); //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK2js11TokenStream12currentTokenEv($30); //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+24)|0); //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0); //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($29, $35); //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZN2js6Parser9unaryExprEv($3); //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$36; //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$pn2; //@line 6565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37)|0)!=0; //@line 6565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $1=0; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $41=$pn; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+4)|0); //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+8)|0); //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$pn2; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+4)|0); //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+8)|0); //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$43; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$46; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$pn2; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$pn; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+32)|0); //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0); //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($53)>>2)]=$49; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 51; break; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $55=(($3+980)|0); //@line 6573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 6573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=__ZN2js9UnaryNode6createEP13JSTreeContext($56); //@line 6573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57; //@line 6573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$58; //@line 6573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pn; //@line 6574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0)!=0; //@line 6574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 6574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 6575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $63=__ZN2js6Parser10memberExprEi($3, 1); //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$63; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$pn2; //@line 6577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64)|0)!=0; //@line 6577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 6577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $68=(($3+12)|0); //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($3+40)|0); //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($3+980)|0); //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$pn; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$pn2; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$tt; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=__ZL11SetIncOpKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_NS1_9TokenKindEi($69, $70, $72, $73, $74, $75, 1); //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76)|0)!=0; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=0; //@line 6580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $80=$pn; //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=(($80+4)|0); //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81+8)|0); //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$pn2; //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+4)|0); //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($84+8)|0); //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$82; //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$85; //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($86)>>2)]=HEAP32[(($87)>>2)];HEAP32[(($86+4)>>2)]=HEAP32[(($87+4)>>2)]; //@line 6581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 51; break; //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $89=(($3+980)|0); //@line 6586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 6586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=__ZN2js9UnaryNode6createEP13JSTreeContext($90); //@line 6586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$91; //@line 6586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$92; //@line 6586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$pn; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93)|0)!=0; //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($94) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 6587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $1=0; //@line 6588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $97=__ZN2js6Parser9unaryExprEv($3); //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$97; //@line 6589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$pn2; //@line 6590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98)|0)!=0; //@line 6590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($99) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 6590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      $1=0; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $102=$pn; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($102+4)|0); //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103+8)|0); //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$pn2; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105+4)|0); //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106+8)|0); //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$104; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$107; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($108)>>2)]=HEAP32[(($109)>>2)];HEAP32[(($108+4)>>2)]=HEAP32[(($109+4)>>2)]; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($3+988)|0); //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=HEAP8[($110)]; //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111) & 1); //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($112) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $114=(($3+12)|0); //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$pn2; //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($3+980)|0); //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=_js_FoldConstants($115, $116, $118, 0); //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119)|0)!=0; //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($120) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      $1=0; //@line 6600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $123=$pn2; //@line 6601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=__ZNK11JSParseNode7getKindEv($123); //@line 6601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($124)|0) == 27) {
        __label__ = 26; break;
      }
      else if ((($124)|0) == 29) {
        __label__ = 31; break;
      }
      else {
      __label__ = 36; break;
      }
      
    case 26: 
      var $126=$pn2; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($126+32)|0); //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$128; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=(($129+12)|0); //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$132 & 4095; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$133 & 256; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=(($134)|0)!=0; //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($135) { __label__ = 30; break; } else { __label__ = 27; break; } //@line 6603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $137=(($3+12)|0); //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$pn2; //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($3+980)|0); //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=__ZL11MakeSetCallP9JSContextP11JSParseNodeP13JSTreeContextj($138, $139, $141, 220); //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($142) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=0; //@line 6609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $145=$pn2; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145+32)|0); //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$146; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$147; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($148+12)|0); //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$149; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$151 & 4095; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=$152 & -257; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$153 & 4095; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$147; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=(($155+12)|0); //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=$156; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$154 & 4095; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($157)>>2)]; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=$159 & -4096; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$160 | $158; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($157)>>2)]=$161; //@line 6610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 6611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      __label__ = 37; break; //@line 6612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $164=(($3+12)|0); //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=(($3+40)|0); //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=(($3+980)|0); //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$pn; //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($165, $166, $168, $169, 235, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($170) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      $1=0; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $173=$pn2; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($173, 36); //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=$pn2; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174+32)|0); //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$175; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=(($176)|0); //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=$177; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($3+12)|0); //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=(($181+52)|0); //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183+209948)|0); //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=(($184+228)|0); //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$186; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=(($179)|0)==(($187)|0); //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($188) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $190=(($3+980)|0); //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=(($191)|0); //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=HEAP32[(($192)>>2)]; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=$193 | 256; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($192)>>2)]=$194; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=(($3+980)|0); //@line 6621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=HEAP32[(($195)>>2)]; //@line 6621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$pn2; //@line 6621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext17countArgumentsUseEP11JSParseNode($196, $197); //@line 6621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 6622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __label__ = 37; break; //@line 6623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      __label__ = 37; break; //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $201=$pn2; //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$pn; //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=(($202+32)|0); //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=$203; //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=(($204)|0); //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($205)>>2)]=$201; //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 51; break; //@line 6627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      $1=0; //@line 6630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $208=(($3+40)|0); //@line 6633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($208); //@line 6633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=__ZN2js6Parser10memberExprEi($3, 1); //@line 6634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$209; //@line 6634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=$pn; //@line 6635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=(($210)|0)!=0; //@line 6635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($211) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 6635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      $1=0; //@line 6636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $214=(($3+40)|0); //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=$pn; //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=(($215+4)|0); //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=__ZNK2js11TokenStream13onCurrentLineERKNS_8TokenPosE($214, $216); //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($217) { __label__ = 42; break; } else { __label__ = 50; break; } //@line 6639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $219=(($3+40)|0); //@line 6640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=__ZN2js11TokenStream17peekTokenSameLineEj($219, 8); //@line 6640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$220; //@line 6640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=$tt; //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=(($221)|0)==20; //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($222) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $224=$tt; //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=(($224)|0)==21; //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($225) { __label__ = 44; break; } else { __label__ = 49; break; } //@line 6641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $227=(($3+40)|0); //@line 6642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=__ZN2js11TokenStream8getTokenEv($227); //@line 6642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=(($3+980)|0); //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=HEAP32[(($229)>>2)]; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=__ZN2js9UnaryNode6createEP13JSTreeContext($230); //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=$231; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$232; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=$pn2; //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=(($233)|0)!=0; //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($234) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      $1=0; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $237=(($3+12)|0); //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=HEAP32[(($237)>>2)]; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=(($3+40)|0); //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=(($3+980)|0); //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=$pn2; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=$pn; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=$tt; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=__ZL11SetIncOpKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_NS1_9TokenKindEi($238, $239, $241, $242, $243, $244, 0); //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=(($245)|0)!=0; //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($246) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 6646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      $1=0; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $249=$pn2; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=(($249+4)|0); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=(($250)|0); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=$pn; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=(($252+4)|0); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=(($253)|0); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=$251; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=$254; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($255)>>2)]=HEAP32[(($256)>>2)];HEAP32[(($255+4)>>2)]=HEAP32[(($256+4)>>2)]; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=$pn2; //@line 6649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$257; //@line 6649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 49; break; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      __label__ = 50; break; //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      __label__ = 51; break; //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $261=$pn; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$261; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $263=$1; //@line 6655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $263; //@line 6655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser9unaryExprEv["X"]=1;

function __ZN2js6Parser10memberExprEi($this, $allowCallSyntax) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn;
      var $pn2;
      var $pn3;
      var $stackDummy_=__stackBase__;
      var $tt;
      var $oldWith;
      var $stmtInfo=__stackBase__+4;
      var $index=__stackBase__+36;
      $2=$this;
      $3=$allowCallSyntax;
      var $4=$2;
      __label__ = 2; break; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=$stackDummy_; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($4+12)|0); //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+48)|0); //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($6)>>>0) < (($10)>>>0); //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=(($4+12)|0); //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $17=(($4+40)|0); //@line 7407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZN2js11TokenStream8getTokenEj($17, 8); //@line 7407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$18; //@line 7407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$tt; //@line 7408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0)==49; //@line 7408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 16; break; } //@line 7408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $22=(($4+980)|0); //@line 7409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 7409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZN2js8ListNode6createEP13JSTreeContext($23); //@line 7409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 7409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$25; //@line 7409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$pn; //@line 7410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)|0)!=0; //@line 7410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 7410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 7411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $30=__ZN2js6Parser10memberExprEi($4, 0); //@line 7412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$30; //@line 7412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn2; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0)!=0; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $1=0; //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $35=$pn2; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZL32CheckForImmediatelyAppliedLambdaP11JSParseNode($35); //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$36; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$pn; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($37, 82); //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$pn; //@line 7417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$pn2; //@line 7417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($38, $39); //@line 7417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$pn; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+4)|0); //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)|0); //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$pn2; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+4)|0); //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0); //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$42; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$45; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($4+40)|0); //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($48, 27); //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $51=$pn; //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=__ZN2js6Parser12argumentListEP11JSParseNode($4, $51); //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0)!=0; //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 7420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 7421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $56=$pn; //@line 7422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+32)|0); //@line 7422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57; //@line 7422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+8)|0); //@line 7422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAPU32[(($59)>>2)]; //@line 7422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60)>>>0) > 65536; //@line 7422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 7422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $63=(($4+12)|0); //@line 7423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 7423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _JS_ReportErrorNumber($64, 2, 0, 44, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $66=$pn; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+4)|0); //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67+8)|0); //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$pn; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=__ZNK11JSParseNode4lastEv($69); //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70+4)|0); //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71+8)|0); //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$68; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$72; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($73)>>2)]=HEAP32[(($74)>>2)];HEAP32[(($73+4)>>2)]=HEAP32[(($74+4)>>2)]; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 25; break; //@line 7428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $76=$tt; //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZN2js6Parser11primaryExprENS_9TokenKindEi($4, $76, 0); //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$77; //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$pn; //@line 7430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78)|0)!=0; //@line 7430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($79) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 7430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      $1=0; //@line 7431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $82=$pn; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=__ZNK11JSParseNode6isKindEN2js9TokenKindE($82, 72); //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($83) { __label__ = 21; break; } else { __label__ = 19; break; } //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $85=$pn; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=__ZNK11JSParseNode6isKindEN2js9TokenKindE($85, 70); //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($86) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $88=$pn; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=__ZNK11JSParseNode6isKindEN2js9TokenKindE($88, 71); //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($89) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $91=(($4+980)|0); //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=__ZL17NewOrRecycledNodeP13JSTreeContext($92); //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$93; //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$pn2; //@line 7435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94)|0)!=0; //@line 7435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($95) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 7435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      $1=0; //@line 7436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $98=$pn2; //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($98, 19); //@line 7437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$pn2; //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99+4)|0); //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$pn; //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+4)|0); //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$100; //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$102; //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($103)>>2)]=HEAP32[(($104)>>2)];HEAP32[(($103+4)>>2)]=HEAP32[(($104+4)>>2)];HEAP32[(($103+8)>>2)]=HEAP32[(($104+8)>>2)];HEAP32[(($103+12)>>2)]=HEAP32[(($104+12)>>2)]; //@line 7438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$pn2; //@line 7439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($105, 174); //@line 7439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$pn2; //@line 7440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($106, 1); //@line 7440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$pn2; //@line 7441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode11setInParensEb($107, 0); //@line 7441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$pn; //@line 7442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$pn2; //@line 7442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109+32)|0); //@line 7442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110; //@line 7442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111)|0); //@line 7442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($112)>>2)]=$108; //@line 7442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$pn2; //@line 7443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$113; //@line 7443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 7444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break; //@line 7447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $117=(($4+40)|0); //@line 7447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=__ZN2js11TokenStream8getTokenEv($117); //@line 7447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$118; //@line 7447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118)|0) > 0; //@line 7447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($119) { __label__ = 27; break; } else { __label__ = 103; break; } //@line 7447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $121=$tt; //@line 7448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121)|0)==22; //@line 7448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($122) { __label__ = 28; break; } else { __label__ = 47; break; } //@line 7448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $124=(($4+980)|0); //@line 7449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 7449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext(0, $125); //@line 7449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126; //@line 7449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$127; //@line 7449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$pn2; //@line 7450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128)|0)!=0; //@line 7450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($129) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 7450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $1=0; //@line 7451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $132=(($4+40)|0); //@line 7453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=__ZN2js11TokenStream8getTokenEj($132, 40); //@line 7453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$133; //@line 7453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($4+980)|0); //@line 7456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 7456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135+88)|0); //@line 7456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 7456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldWith=$137; //@line 7456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$tt; //@line 7458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138)|0)==27; //@line 7458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($139) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 7458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $141=$pn; //@line 7459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($4+980)|0); //@line 7459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 7459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+88)|0); //@line 7459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($144)>>2)]=$141; //@line 7459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=(($4+980)|0); //@line 7460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 7460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _js_PushStatement($146, $stmtInfo, 6, -1); //@line 7460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $148=$tt; //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=__ZN2js6Parser11primaryExprENS_9TokenKindEi($4, $148, 1); //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$149; //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$pn3; //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150)|0)!=0; //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($151) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      $1=0; //@line 7465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $154=$tt; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154)|0)==27; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($155) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $157=$oldWith; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($4+980)|0); //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159+88)|0); //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($160)>>2)]=$157; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($4+980)|0); //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($162); //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 36; break; //@line 7470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $164=$tt; //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=(($164)|0)==29; //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($165) { __label__ = 37; break; } else { __label__ = 39; break; } //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $167=$pn3; //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=__ZNK11JSParseNode6isKindEN2js9TokenKindE($167, 29); //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($168) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $170=$pn2; //@line 7474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($170, 53); //@line 7474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$pn; //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$pn2; //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($172+32)|0); //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=$173; //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174+4)|0); //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$175; //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($176)>>2)]=$171; //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=$pn3; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=(($177+32)|0); //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=$178; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($179)|0); //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$180; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=$pn2; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183+32)|0); //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$184; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185)|0); //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$186; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($187)>>2)]=$182; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=$pn3; //@line 7477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=(($4+980)|0); //@line 7477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 7477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($188, $190); //@line 7477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 46; break; //@line 7478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $193=$tt; //@line 7479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=(($193)|0)==27; //@line 7479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($194) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 7479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $196=$pn2; //@line 7480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($196, 74); //@line 7480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$pn2; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($197, 176); //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=(($4+980)|0); //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=HEAP32[(($198)>>2)]; //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=(($199)|0); //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$201 | 256; //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($200)>>2)]=$202; //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 45; break; //@line 7485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $204=$pn3; //@line 7485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=__ZNK11JSParseNode7getKindEv($204); //@line 7485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=__ZN2jsL14TokenKindIsXMLENS_9TokenKindE($205); //@line 7485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($206) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 7485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $208=$pn2; //@line 7486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($208, 23); //@line 7486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=$pn2; //@line 7487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($209, 55); //@line 7487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 44; break; //@line 7488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $211=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 77, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      __label__ = 45; break;
    case 45: 
      var $214=$pn2; //@line 7492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($214, 2); //@line 7492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=$pn; //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=$pn2; //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=(($216+32)|0); //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=$217; //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218)|0); //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($219)>>2)]=$215; //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=$pn3; //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=$pn2; //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=(($221+32)|0); //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=$222; //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=(($223+4)|0); //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($224)>>2)]=$220; //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 46; break;
    case 46: 
      var $226=$pn2; //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=(($226+4)|0); //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=(($227)|0); //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=$pn; //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229+4)|0); //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=(($230)|0); //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=$228; //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=$231; //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($232)>>2)]=HEAP32[(($233)>>2)];HEAP32[(($232+4)>>2)]=HEAP32[(($233+4)>>2)]; //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=$pn2; //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=(($234+4)|0); //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=(($235+8)|0); //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=(($4+40)|0); //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=__ZNK2js11TokenStream12currentTokenEv($237); //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=(($238+4)|0); //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=(($239+8)|0); //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=$236; //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=$240; //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($241)>>2)]=HEAP32[(($242)>>2)];HEAP32[(($241+4)>>2)]=HEAP32[(($242+4)>>2)]; //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 102; break; //@line 7505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $244=$tt; //@line 7505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=(($244)|0)==73; //@line 7505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($245) { __label__ = 48; break; } else { __label__ = 59; break; } //@line 7505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $247=(($4+980)|0); //@line 7506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 7506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=__ZN2js10BinaryNode6createEP13JSTreeContext($248); //@line 7506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=$249; //@line 7506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$250; //@line 7506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=$pn2; //@line 7507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=(($251)|0)!=0; //@line 7507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($252) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 7507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      $1=0; //@line 7508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $255=(($4+40)|0); //@line 7509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=__ZN2js11TokenStream8getTokenEj($255, 40); //@line 7509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$256; //@line 7509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=$tt; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=__ZN2js6Parser11primaryExprENS_9TokenKindEi($4, $257, 1); //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$258; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=$pn3; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=(($259)|0)!=0; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($260) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      $1=0; //@line 7512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $263=$pn3; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=__ZNK11JSParseNode7getKindEv($263); //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$264; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=$tt; //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=(($265)|0)==29; //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($266) { __label__ = 53; break; } else { __label__ = 55; break; } //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $268=$pn3; //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=__ZNK11JSParseNode10isInParensEv($268); //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($269) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $271=$pn3; //@line 7515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($271, 31); //@line 7515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=$pn3; //@line 7516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($272, 0); //@line 7516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=$pn3; //@line 7517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($273, 165); //@line 7517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 58; break; //@line 7518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $275=$tt; //@line 7518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=__ZN2jsL14TokenKindIsXMLENS_9TokenKindE($275); //@line 7518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($276) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 7518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $278=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 77, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      __label__ = 58; break;
    case 58: 
      var $281=$pn2; //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($281, 175); //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=$pn; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=$pn2; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=(($283+32)|0); //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=$284; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=(($285)|0); //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($286)>>2)]=$282; //@line 7523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=$pn3; //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $288=$pn2; //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=(($288+32)|0); //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=$289; //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=(($290+4)|0); //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($291)>>2)]=$287; //@line 7524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=$pn2; //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=(($292+4)|0); //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=(($293)|0); //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=$pn; //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=(($295+4)|0); //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=(($296)|0); //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=$294; //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=$297; //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($298)>>2)]=HEAP32[(($299)>>2)];HEAP32[(($298+4)>>2)]=HEAP32[(($299+4)>>2)]; //@line 7525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=$pn2; //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=(($300+4)|0); //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=(($301+8)|0); //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=(($4+40)|0); //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=__ZNK2js11TokenStream12currentTokenEv($303); //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=(($304+4)|0); //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=(($305+8)|0); //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=$302; //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=$306; //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($307)>>2)]=HEAP32[(($308)>>2)];HEAP32[(($307+4)>>2)]=HEAP32[(($308+4)>>2)]; //@line 7526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 101; break; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $310=$tt; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=(($310)|0)==23; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($311) { __label__ = 60; break; } else { __label__ = 75; break; } //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $313=(($4+980)|0); //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=HEAP32[(($313)>>2)]; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=__ZN2js10BinaryNode6createEP13JSTreeContext($314); //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=$315; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$316; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=$pn2; //@line 7530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=(($317)|0)!=0; //@line 7530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($318) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 7530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      $1=0; //@line 7531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $321=__ZN2js6Parser4exprEv($4); //@line 7532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$321; //@line 7532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $322=$pn3; //@line 7533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=(($322)|0)!=0; //@line 7533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($323) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 7533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      $1=0; //@line 7534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      __label__ = 65; break; //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $327=(($4+40)|0); //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=__ZN2js11TokenStream8getTokenEj($327, 0); //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $329=(($328)|0)!=24; //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($329) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $331=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 78, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      __label__ = 68; break; //@line 7536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      var $334=$pn2; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=(($334+4)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=(($335)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $337=$pn; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=(($337+4)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=(($338)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$336; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=$339; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($340)>>2)]=HEAP32[(($341)>>2)];HEAP32[(($340+4)>>2)]=HEAP32[(($341+4)>>2)]; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=$pn2; //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=(($342+4)|0); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=(($343+8)|0); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=(($4+40)|0); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=__ZNK2js11TokenStream12currentTokenEv($345); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=(($346+4)|0); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=(($347+8)|0); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=$344; //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $350=$348; //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($349)>>2)]=HEAP32[(($350)>>2)];HEAP32[(($349+4)>>2)]=HEAP32[(($350+4)>>2)]; //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 69; break; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $352=$pn3; //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=__ZNK11JSParseNode6isKindEN2js9TokenKindE($352, 31); //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($353) { __label__ = 70; break; } else { __label__ = 73; break; } //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      var $355=$pn3; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=(($355+32)|0); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=$356; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=(($357)|0); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=$358; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=HEAP32[(($359)>>2)]; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=__ZL12ATOM_TO_JSIDP6JSAtom2903($360); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=__Z12js_IdIsIndexiPj($361, $index); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $363=(($362)|0)!=0; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($363) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      var $365=$pn2; //@line 7552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($365, 22); //@line 7552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=$pn2; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($366, 53); //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=$pn2; //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($367, 6); //@line 7554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $368=$pn; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $369=$pn2; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $370=(($369+32)|0); //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $371=$370; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $372=(($371+4)|0); //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=$372; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($373)>>2)]=$368; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=$pn3; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=(($374+32)|0); //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $376=$375; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $377=(($376)|0); //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $378=$377; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $379=HEAP32[(($378)>>2)]; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=$pn2; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=(($380+32)|0); //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=$381; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $383=(($382)|0); //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $384=$383; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($384)>>2)]=$379; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 74; break; //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      var $386=$pn3; //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($386, 30); //@line 7559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=$pn3; //@line 7560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($387, 60); //@line 7560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=HEAPU32[(($index)>>2)]; //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=(($388)>>>0); //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $390=$pn3; //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=(($390+32)|0); //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=$391; //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      (tempDoubleF64[0]=$389,HEAP32[(($392)>>2)]=tempDoubleI32[0],HEAP32[(($392+4)>>2)]=tempDoubleI32[1]); //@line 7561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 73; break; //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $394=$pn2; //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($394, 55); //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $395=$pn; //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $396=$pn2; //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=(($396+32)|0); //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=$397; //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $399=(($398)|0); //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($399)>>2)]=$395; //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=$pn3; //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $401=$pn2; //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $402=(($401+32)|0); //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $403=$402; //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $404=(($403+4)|0); //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($404)>>2)]=$400; //@line 7565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 74; break; //@line 7566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      __label__ = 100; break; //@line 7567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $407=$3; //@line 7567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $408=(($407)|0)!=0; //@line 7567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($408) { __label__ = 76; break; } else { __label__ = 98; break; } //@line 7567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      var $410=$tt; //@line 7567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $411=(($410)|0)==27; //@line 7567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($411) { __label__ = 77; break; } else { __label__ = 98; break; } //@line 7567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      var $413=(($4+980)|0); //@line 7568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $414=HEAP32[(($413)>>2)]; //@line 7568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $415=__ZN2js8ListNode6createEP13JSTreeContext($414); //@line 7568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $416=$415; //@line 7568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$416; //@line 7568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $417=$pn2; //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $418=(($417)|0)!=0; //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($418) { __label__ = 79; break; } else { __label__ = 78; break; } //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      $1=0; //@line 7570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      var $421=$pn2; //@line 7571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($421, 58); //@line 7571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $422=$pn; //@line 7573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $423=__ZL32CheckForImmediatelyAppliedLambdaP11JSParseNode($422); //@line 7573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$423; //@line 7573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=$pn; //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=__ZNK11JSParseNode4isOpE4JSOp($424, 59); //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($425) { __label__ = 80; break; } else { __label__ = 85; break; } //@line 7574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      var $427=$pn; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $428=(($427+32)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $429=$428; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $430=(($429)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $431=$430; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $432=HEAP32[(($431)>>2)]; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $433=(($4+12)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $434=HEAP32[(($433)>>2)]; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $435=(($434+52)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $436=HEAP32[(($435)>>2)]; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $437=(($436+209948)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $438=(($437+264)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $439=HEAP32[(($438)>>2)]; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $440=$439; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $441=(($432)|0)==(($440)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($441) { __label__ = 81; break; } else { __label__ = 84; break; } //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 81: 
      var $443=$pn2; //@line 7577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($443, 123); //@line 7577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $444=(($4+980)|0); //@line 7578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $445=HEAP32[(($444)>>2)]; //@line 7578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext13noteCallsEvalEv($445); //@line 7578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $446=(($4+980)|0); //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $447=HEAP32[(($446)>>2)]; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $448=(($447)|0); //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $449=HEAP32[(($448)>>2)]; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $450=$449 | 256; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($448)>>2)]=$450; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $451=(($4+980)|0); //@line 7584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $452=HEAP32[(($451)>>2)]; //@line 7584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $453=__ZNK13JSTreeContext12inStrictModeEv($452); //@line 7584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($453) { __label__ = 83; break; } else { __label__ = 82; break; } //@line 7584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 82: 
      var $455=(($4+980)|0); //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $456=HEAP32[(($455)>>2)]; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext22noteHasExtensibleScopeEv($456); //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 83; break; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 83: 
      __label__ = 84; break; //@line 7586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 84: 
      __label__ = 93; break; //@line 7587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 85: 
      var $460=$pn; //@line 7587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $461=__ZNK11JSParseNode4isOpE4JSOp($460, 53); //@line 7587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($461) { __label__ = 86; break; } else { __label__ = 92; break; } //@line 7587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 86: 
      var $463=$pn; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $464=(($463+32)|0); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $465=$464; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $466=(($465)|0); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $467=$466; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $468=HEAP32[(($467)>>2)]; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $469=(($4+12)|0); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $470=HEAP32[(($469)>>2)]; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $471=(($470+52)|0); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $472=HEAP32[(($471)>>2)]; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $473=(($472+209948)|0); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $474=(($473+224)|0); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $475=HEAP32[(($474)>>2)]; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $476=$475; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $477=(($468)|0)==(($476)|0); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($477) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 87: 
      var $479=$pn2; //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($479, 79); //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 91; break; //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 88: 
      var $481=$pn; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $482=(($481+32)|0); //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $483=$482; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $484=(($483)|0); //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $485=$484; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $486=HEAP32[(($485)>>2)]; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $487=(($4+12)|0); //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $488=HEAP32[(($487)>>2)]; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $489=(($488+52)|0); //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $490=HEAP32[(($489)>>2)]; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $491=(($490+209948)|0); //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $492=(($491+240)|0); //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $493=HEAP32[(($492)>>2)]; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $494=$493; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $495=(($486)|0)==(($494)|0); //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($495) { __label__ = 89; break; } else { __label__ = 90; break; } //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 89: 
      var $497=$pn2; //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($497, 108); //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 90; break; //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 90: 
      __label__ = 91; break;
    case 91: 
      __label__ = 92; break; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 92: 
      __label__ = 93; break;
    case 93: 
      var $502=$pn2; //@line 7595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $503=$pn; //@line 7595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($502, $503); //@line 7595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $504=$pn2; //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $505=(($504+4)|0); //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $506=(($505)|0); //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $507=$pn; //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $508=(($507+4)|0); //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $509=(($508)|0); //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $510=$506; //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $511=$509; //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($510)>>2)]=HEAP32[(($511)>>2)];HEAP32[(($510+4)>>2)]=HEAP32[(($511+4)>>2)]; //@line 7596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $512=$pn2; //@line 7598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $513=__ZN2js6Parser12argumentListEP11JSParseNode($4, $512); //@line 7598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $514=(($513)|0)!=0; //@line 7598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($514) { __label__ = 95; break; } else { __label__ = 94; break; } //@line 7598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 94: 
      $1=0; //@line 7599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 95: 
      var $517=$pn2; //@line 7600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $518=(($517+32)|0); //@line 7600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $519=$518; //@line 7600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $520=(($519+8)|0); //@line 7600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $521=HEAPU32[(($520)>>2)]; //@line 7600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $522=(($521)>>>0) > 65536; //@line 7600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($522) { __label__ = 96; break; } else { __label__ = 97; break; } //@line 7600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 96: 
      var $524=(($4+12)|0); //@line 7601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $525=HEAP32[(($524)>>2)]; //@line 7601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _JS_ReportErrorNumber($525, 2, 0, 45, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 97: 
      var $527=$pn2; //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $528=(($527+4)|0); //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $529=(($528+8)|0); //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $530=(($4+40)|0); //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $531=__ZNK2js11TokenStream12currentTokenEv($530); //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $532=(($531+4)|0); //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $533=(($532+8)|0); //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $534=$529; //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $535=$533; //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($534)>>2)]=HEAP32[(($535)>>2)];HEAP32[(($534+4)>>2)]=HEAP32[(($535+4)>>2)]; //@line 7605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 99; break; //@line 7606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 98: 
      var $537=(($4+40)|0); //@line 7607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($537); //@line 7607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $538=$pn; //@line 7608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$538; //@line 7608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 99: 
      __label__ = 100; break;
    case 100: 
      __label__ = 101; break;
    case 101: 
      __label__ = 102; break;
    case 102: 
      var $543=$pn2; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$543; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 7612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 103: 
      var $545=$tt; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $546=(($545)|0)==-1; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($546) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 104: 
      $1=0; //@line 7614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 105: 
      var $549=$pn; //@line 7615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$549; //@line 7615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 106; break; //@line 7615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 106: 
      var $551=$1; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $551; //@line 7616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser10memberExprEi["X"]=1;

function __ZN13JSTreeContext17countArgumentsUseEP11JSParseNode($this, $pn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pn;
  var $3=$1;
  var $4=(($3+20)|0); //@line 489 "./jsemit.h"
  var $5=HEAP32[(($4)>>2)]; //@line 489 "./jsemit.h"
  var $6=(($5+1)|0); //@line 489 "./jsemit.h"
  HEAP32[(($4)>>2)]=$6; //@line 489 "./jsemit.h"
  var $7=$2; //@line 490 "./jsemit.h"
  var $8=(($3+56)|0); //@line 490 "./jsemit.h"
  HEAP32[(($8)>>2)]=$7; //@line 490 "./jsemit.h"
  ;
  return; //@line 491 "./jsemit.h"
}


function __ZNK2js11TokenStream13onCurrentLineERKNS_8TokenPosE($this, $pos) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pos;
  var $3=$1;
  var $4=(($3+140)|0); //@line 334 "./jsscan.h"
  var $5=HEAP32[(($4)>>2)]; //@line 334 "./jsscan.h"
  var $6=$2; //@line 334 "./jsscan.h"
  var $7=(($6+8)|0); //@line 334 "./jsscan.h"
  var $8=(($7+4)|0); //@line 334 "./jsscan.h"
  var $9=HEAP32[(($8)>>2)]; //@line 334 "./jsscan.h"
  var $10=(($5)|0)==(($9)|0); //@line 334 "./jsscan.h"
  ;
  return $10; //@line 334 "./jsscan.h"
}


function __ZN11GenexpGuard7endBodyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=(($4+12)|0); //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=(($6-1)|0); //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($5)>>2)]=$7; //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZL11SetIncOpKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_NS1_9TokenKindEi($cx, $ts, $tc, $pn, $kid, $tt, $preorder) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $op;
      $2=$cx;
      $3=$ts;
      $4=$tc;
      $5=$pn;
      $6=$kid;
      $7=$tt;
      $8=$preorder;
      var $9=$2; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$3; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$4; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$5; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$6; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$7; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0)==21; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)&1); //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=((STRING_TABLE.__ZL14incop_name_str+$16*10)|0); //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0); //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZL10SetLvalKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_PKc($9, $10, $11, $12, $13, $18); //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $6=$19; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$6; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0)!=0; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 6508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $24=$6; //@line 6509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=__ZNK11JSParseNode7getKindEv($24); //@line 6509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($25)|0) == 29) {
        __label__ = 4; break;
      }
      else if ((($25)|0) == 22) {
        __label__ = 8; break;
      }
      else if ((($25)|0) == 27) {
        __label__ = 12; break;
      }
      else if ((($25)|0) == 19) {
        __label__ = 15; break;
      }
      else if ((($25)|0) == 23) {
        __label__ = 18; break;
      }
      else {
      __label__ = 22; break;
      }
      
    case 4: 
      var $27=$7; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0)==20; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $30=$8; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)!=0; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31 ? 41 : 47; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38 = $32;__label__ = 7; break; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $34=$8; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34)|0)!=0; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35 ? 44 : 50; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38 = $36;__label__ = 7; break; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $38; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$38; //@line 6511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$2; //@line 6514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$6; //@line 6514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$4; //@line 6514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj($39, $40, $41, 8); //@line 6514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 23; break; //@line 6515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $43=$7; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43)|0)==20; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $46=$8; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46)|0)!=0; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47 ? 42 : 48; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54 = $48;__label__ = 11; break; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $50=$8; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50)|0)!=0; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51 ? 45 : 51; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54 = $52;__label__ = 11; break; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $54; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$54; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 23; break; //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $56=$2; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$6; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$4; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=__ZL11MakeSetCallP9JSContextP11JSParseNodeP13JSTreeContextj($56, $57, $58, 221); //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 15; break; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $63=$6; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=__ZNK11JSParseNode4isOpE4JSOp($63, 174); //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $66=$6; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($66, 173); //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 18; break; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $69=$7; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69)|0)==20; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $72=$8; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72)|0)!=0; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73 ? 43 : 49; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80 = $74;__label__ = 21; break; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $76=$8; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76)|0)!=0; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77 ? 46 : 52; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80 = $78;__label__ = 21; break; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $80; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $op=$80; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 23; break; //@line 6537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      $op=0; //@line 6541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 23; break; //@line 6542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $83=$5; //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$op; //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($83, $84); //@line 6543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 6544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 6544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $86=$1; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $86; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11SetIncOpKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_NS1_9TokenKindEi["X"]=1;

function __ZN11GenexpGuard14checkValidBodyEP11JSParseNode($this, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $errorNode;
      var $errorNode1;
      $2=$this;
      $3=$pn;
      var $4=$2;
      var $5=(($4)|0); //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+16)|0); //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAPU32[(($7)>>2)]; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($4+4)|0); //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($8)>>>0) > (($10)>>>0); //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $13=(($4)|0); //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+52)|0); //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $errorNode=$16; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$errorNode; //@line 6754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0)!=0; //@line 6754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 6754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $20=$3; //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $errorNode=$20; //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 6755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $22=(($4)|0); //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+48)|0); //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$errorNode; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($25, $26, 0, 271, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_yield_str)|0),tempInt)); //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 6757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $29=(($4)|0); //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+20)|0); //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAPU32[(($31)>>2)]; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($4+8)|0); //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAPU32[(($33)>>2)]; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($32)>>>0) > (($34)>>>0); //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $37=(($4)|0); //@line 6761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 6761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+56)|0); //@line 6761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 6761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $errorNode1=$40; //@line 6761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$errorNode1; //@line 6762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)|0)!=0; //@line 6762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $44=$3; //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $errorNode1=$44; //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $46=(($4)|0); //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+48)|0); //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$errorNode1; //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($49, $50, 0, 271, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_arguments_str)|0),tempInt)); //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 6765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $1=1; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $54=$1; //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $54; //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11GenexpGuard14checkValidBodyEP11JSParseNode["X"]=1;

function __ZN11GenexpGuard18maybeNoteGeneratorEP11JSParseNode($this, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$pn;
      var $4=$2;
      var $5=(($4)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+16)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAPU32[(($7)>>2)]; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)>>>0) > 0; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $11=(($4)|0); //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12)|0); //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14 | 512; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($13)>>2)]=$15; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($4)|0); //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZNK13JSTreeContext10inFunctionEv($17); //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $20=(($4)|0); //@line 6784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 6784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+48)|0); //@line 6784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 6784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($23, 0, 0, 124, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_yield_str)|0),tempInt)); //@line 6784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $26=(($4)|0); //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0); //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29 & 4; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)!=0; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $33=(($4)|0); //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+48)|0); //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+12)|0); //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($4)|0); //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$3; //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZL15ReportBadReturnP9JSContextP13JSTreeContextP11JSParseNodejjj($38, $40, $41, 0, 208, 209); //@line 6790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 6793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 6795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=1; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 6796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $46=$1; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $46; //@line 6797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11GenexpGuard18maybeNoteGeneratorEP11JSParseNode["X"]=1;

function __ZL13AdjustBlockIdP11JSParseNodejP13JSTreeContext($pn, $adjust, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$pn;
      $2=$adjust;
      $3=$tc;
      var $4=$2; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$1; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5+32)|0); //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+12)|0); //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$9; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11 >>> 12; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$12 & 1048575; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+$4)|0); //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14 & 1048575; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$7; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+12)|0); //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$15 & 1048575; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19 << 12; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($18)>>2)]; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21 & 4095; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22 | $20; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($18)>>2)]=$23; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$1; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+32)|0); //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+12)|0); //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAPU32[(($29)>>2)]; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30 >>> 12; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31 & 1048575; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$3; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+8)|0); //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=HEAPU32[(($34)>>2)]; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($32)>>>0) >= (($35)>>>0); //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $38=$1; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+32)|0); //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+12)|0); //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$42; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAPU32[(($43)>>2)]; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44 >>> 12; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45 & 1048575; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+1)|0); //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$3; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48+8)|0); //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($49)>>2)]=$47; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      ;
      return; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13AdjustBlockIdP11JSParseNodejP13JSTreeContext["X"]=1;

function __ZN20CompExprTransplanter10transplantEP11JSParseNode($this, $pn) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn2;
      var $funbox;
      var $parent;
      var $funboxp;
      var $dn=__stackBase__;
      var $atom=__stackBase__+4;
      var $dn2=__stackBase__+8;
      var $pnup;
      var $pnu;
      $2=$this;
      $3=$pn;
      var $4=$2;
      var $5=$3; //@line 6834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=1; //@line 6835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $9=$3; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZNK11JSParseNode8getArityEv($9); //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($10)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($10)|0) == 3) {
        __label__ = 13; break;
      }
      else if ((($10)|0) == 2) {
        __label__ = 18; break;
      }
      else if ((($10)|0) == 1) {
        __label__ = 25; break;
      }
      else if ((($10)|0) == 4) {
        __label__ = 28; break;
      }
      else if ((($10)|0) == 6) {
        __label__ = 35; break;
      }
      else if ((($10)|0) == 7) {
        __label__ = 76; break;
      }
      else if ((($10)|0) == 0) {
        __label__ = 79; break;
      }
      else {
      __label__ = 79; break;
      }
      
    case 4: 
      var $12=$3; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+32)|0); //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0); //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$16; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $18=$pn2; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0)!=0; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $21=$pn2; //@line 6840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $21); //@line 6840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 6841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 6842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $26=$pn2; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+24)|0); //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$28; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 6839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $30=$3; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+4)|0); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($4)|0); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33+4)|0); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZN2js8TokenPosgeERKS0_($31, $34); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $37=$3; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($4+12)|0); //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($4+4)|0); //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL13AdjustBlockIdP11JSParseNodejP13JSTreeContext($37, $39, $41); //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 79; break; //@line 6845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $44=$3; //@line 6848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+32)|0); //@line 6848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 6848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46)|0); //@line 6848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 6848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $48); //@line 6848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 6848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $51=$3; //@line 6849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51+32)|0); //@line 6849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52; //@line 6849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53+4)|0); //@line 6849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 6849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $55); //@line 6849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $58=$3; //@line 6850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+32)|0); //@line 6850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59; //@line 6850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+8)|0); //@line 6850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 6850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $62); //@line 6850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 6850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=0; //@line 6851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 79; break; //@line 6852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $67=$3; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=(($67+32)|0); //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$68; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69)|0); //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $71); //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($72) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $1=0; //@line 6856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $75=$3; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75+32)|0); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$76; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+4)|0); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$3; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=(($80+32)|0); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82)|0); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($79)|0)!=(($84)|0); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($85) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $87=$3; //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87+32)|0); //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$88; //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=(($89+4)|0); //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $91); //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($92) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 6860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      $1=0; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      __label__ = 24; break; //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      __label__ = 79; break; //@line 6863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $97=$3; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97+32)|0); //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99)|0); //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $101); //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($102) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      $1=0; //@line 6867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      __label__ = 79; break; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $106=$3; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106+32)|0); //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=(($108)|0); //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$111; //@line 6882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($4+4)|0); //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113+76)|0); //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($4+16)|0); //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($115+$117)|0); //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$funbox; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$118 & 16383; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$119; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121+56)|0); //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$120 & 16383; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$124 << 2; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=HEAP32[(($123)>>2)]; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$126 & -65533; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127 | $125; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($123)>>2)]=$128; //@line 6884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($4+16)|0); //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130+1)|0); //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($129)>>2)]=$131; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131)|0)==1; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($132) { __label__ = 29; break; } else { __label__ = 34; break; } //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $134=(($4+8)|0); //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=HEAP8[($134)]; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135) & 1); //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($136) { __label__ = 30; break; } else { __label__ = 34; break; } //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $138=(($4+4)|0); //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139+80)|0); //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $parent=$141; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($4+4)|0); //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+72)|0); //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145+84)|0); //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funboxp=$146; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $148=$funboxp; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$funbox; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($149)|0)!=(($150)|0); //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($151) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $153=$funboxp; //@line 6890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 6890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154+28)|0); //@line 6890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funboxp=$155; //@line 6890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 6890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $157=$funbox; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($157+28)|0); //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=$funboxp; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($160)>>2)]=$159; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$parent; //@line 6893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$funbox; //@line 6893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=(($162+36)|0); //@line 6893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($163)>>2)]=$161; //@line 6893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=$parent; //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=(($164+32)|0); //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$funbox; //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=(($167+28)|0); //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($168)>>2)]=$166; //@line 6894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$funbox; //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=$parent; //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170+32)|0); //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($171)>>2)]=$169; //@line 6895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=(($4+4)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=HEAP32[(($172)>>2)]; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173+76)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$funbox; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=$175 & 16383; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=$176; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=(($178+56)|0); //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=$179; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$177 & 16383; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$181 << 2; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=HEAP32[(($180)>>2)]; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=$183 & -65533; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$184 | $182; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($180)>>2)]=$185; //@line 6896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 6897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      __label__ = 35; break; //@line 6899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $188=$3; //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=__ZN11JSParseNode9maybeExprEv($188); //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $189); //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($190) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      $1=0; //@line 6903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $193=$3; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=__ZNK11JSParseNode7isArityE16JSParseNodeArity($193, 4); //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($194) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $196=(($4+16)|0); //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=(($197-1)|0); //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($196)>>2)]=$198; //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $200=$3; //@line 6907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=__ZNK11JSParseNode6isDefnEv($200); //@line 6907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($201) { __label__ = 40; break; } else { __label__ = 44; break; } //@line 6907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $203=(($4+8)|0); //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=HEAP8[($203)]; //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=(($204) & 1); //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($205) { __label__ = 41; break; } else { __label__ = 43; break; } //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $207=$3; //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=(($4+4)|0); //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=HEAP32[(($208)>>2)]; //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=__ZL15BumpStaticLevelP11JSParseNodeP13JSTreeContext($207, $209); //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($210) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 6908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      $1=0; //@line 6909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      __label__ = 73; break; //@line 6910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $214=$3; //@line 6910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=__ZNK11JSParseNode6isUsedEv($214); //@line 6910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($215) { __label__ = 45; break; } else { __label__ = 72; break; } //@line 6910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $217=$3; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=(($217+32)|0); //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=$218; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=(($219+4)|0); //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=$220; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($dn)>>2)]=$222; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=HEAP32[(($dn)>>2)]; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=$223; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=__ZNK11JSParseNode13isPlaceholderEv($224); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($225) { __label__ = 46; break; } else { __label__ = 52; break; } //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $227=HEAP32[(($dn)>>2)]; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=$227; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=(($228+4)|0); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($4)|0); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=HEAP32[(($230)>>2)]; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=(($231+4)|0); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=__ZN2js8TokenPosgeERKS0_($229, $232); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($233) { __label__ = 47; break; } else { __label__ = 52; break; } //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $235=HEAP32[(($dn)>>2)]; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=$235; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=(($236+28)|0); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=HEAP32[(($237)>>2)]; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=$3; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=(($238)|0)==(($239)|0); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($240) { __label__ = 48; break; } else { __label__ = 52; break; } //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $242=(($4+8)|0); //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=HEAP8[($242)]; //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=(($243) & 1); //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($244) { __label__ = 49; break; } else { __label__ = 51; break; } //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $246=HEAP32[(($dn)>>2)]; //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $247=$246; //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=(($4+4)|0); //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=HEAP32[(($248)>>2)]; //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=__ZL15BumpStaticLevelP11JSParseNodeP13JSTreeContext($247, $249); //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($250) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      $1=0; //@line 6928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $253=HEAP32[(($dn)>>2)]; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=$253; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=(($4+12)|0); //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=(($4+4)|0); //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL13AdjustBlockIdP11JSParseNodejP13JSTreeContext($254, $256, $258); //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 6930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $260=$3; //@line 6932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=(($260+32)|0); //@line 6932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=$261; //@line 6932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=(($262)|0); //@line 6932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=$263; //@line 6932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=HEAP32[(($264)>>2)]; //@line 6932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($atom)>>2)]=$265; //@line 6932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=(($4+8)|0); //@line 6937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=HEAP8[($266)]; //@line 6937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=(($267) & 1); //@line 6937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($268) { __label__ = 53; break; } else { __label__ = 71; break; } //@line 6937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $270=HEAP32[(($dn)>>2)]; //@line 6937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=$270; //@line 6937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=__ZNK11JSParseNode4isOpE4JSOp($271, 131); //@line 6937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($272) { __label__ = 71; break; } else { __label__ = 54; break; } //@line 6937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $274=HEAP32[(($dn)>>2)]; //@line 6940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=$274; //@line 6940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=(($275+4)|0); //@line 6940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=(($4)|0); //@line 6940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $278=HEAP32[(($277)>>2)]; //@line 6940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=(($278+4)|0); //@line 6940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=__ZN2js8TokenPosltERKS0_($276, $279); //@line 6940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($280) { __label__ = 55; break; } else { __label__ = 65; break; } //@line 6940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $282=$3; //@line 6949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=(($4+4)|0); //@line 6949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=HEAP32[(($283)>>2)]; //@line 6949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=__ZL15MakePlaceholderP11JSParseNodeP13JSTreeContext($282, $284); //@line 6949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($dn2)>>2)]=$285; //@line 6949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=HEAP32[(($dn2)>>2)]; //@line 6950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=(($286)|0)!=0; //@line 6950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($287) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 6950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      $1=0; //@line 6951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $290=HEAP32[(($dn2)>>2)]; //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=$290; //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=(($291+4)|0); //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=(($4)|0); //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=HEAP32[(($293)>>2)]; //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=(($294+4)|0); //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=$292; //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=$295; //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($296)>>2)]=HEAP32[(($297)>>2)];HEAP32[(($296+4)>>2)]=HEAP32[(($297+4)>>2)];HEAP32[(($296+8)>>2)]=HEAP32[(($297+8)>>2)];HEAP32[(($296+12)>>2)]=HEAP32[(($297+12)>>2)]; //@line 6952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=HEAP32[(($dn)>>2)]; //@line 6958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=$298; //@line 6958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=(($299+28)|0); //@line 6958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$300; //@line 6958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 58; break; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $302=$pnup; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=HEAP32[(($302)>>2)]; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnu=$303; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=(($303)|0)!=0; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($304) { __label__ = 59; break; } else { var $313 = 0;__label__ = 60; break; } //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $306=$pnu; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=(($306+4)|0); //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=(($4)|0); //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=HEAP32[(($308)>>2)]; //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=(($309+4)|0); //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=__ZN2js8TokenPosgeERKS0_($307, $310); //@line 6960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313 = $311;__label__ = 60; break;
    case 60: 
      var $313;
      if ($313) { __label__ = 61; break; } else { __label__ = 62; break; }
    case 61: 
      var $315=HEAP32[(($dn2)>>2)]; //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=$pnu; //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=(($316+32)|0); //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=$317; //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=(($318+4)|0); //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=$319; //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($320)>>2)]=$315; //@line 6961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=$pnu; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $322=(($321+32)|0); //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=$322; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=$323; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $325=(($324+12)|0); //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $326=$325; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $327=HEAP32[(($326)>>2)]; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=$327 & 4095; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $329=$328 & 2312; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $330=HEAP32[(($dn2)>>2)]; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $331=$330; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=(($331+32)|0); //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=$332; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=$333; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=(($334+12)|0); //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=$335; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $337=HEAP32[(($336)>>2)]; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=$337 & 4095; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=$338 | $329; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$339 & 4095; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=$333; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=(($341+12)|0); //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=$342; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=$340 & 4095; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=HEAP32[(($343)>>2)]; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=$345 & -4096; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$346 | $344; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($343)>>2)]=$347; //@line 6962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=$pnu; //@line 6963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=(($348+28)|0); //@line 6963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnup=$349; //@line 6963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 58; break; //@line 6964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $351=HEAP32[(($dn)>>2)]; //@line 6965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $352=$351; //@line 6965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=(($352+28)|0); //@line 6965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=HEAP32[(($353)>>2)]; //@line 6965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $355=HEAP32[(($dn2)>>2)]; //@line 6965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=$355; //@line 6965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=(($356+28)|0); //@line 6965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($357)>>2)]=$354; //@line 6965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=$pnup; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=HEAP32[(($358)>>2)]; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=HEAP32[(($dn)>>2)]; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=$360; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=(($361+28)|0); //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($362)>>2)]=$359; //@line 6966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $363=$pnup; //@line 6967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($363)>>2)]=0; //@line 6967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $364=(($4+4)|0); //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=HEAP32[(($364)>>2)]; //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=(($365+64)|0); //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=$366; //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $368=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($367); //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $369=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3putERKS2_RKS4_($368, $atom, $dn2); //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($369) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 6968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      $1=0; //@line 6969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      __label__ = 70; break; //@line 6970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $373=HEAP32[(($dn)>>2)]; //@line 6970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=$373; //@line 6970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=__ZNK11JSParseNode13isPlaceholderEv($374); //@line 6970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($375) { __label__ = 66; break; } else { __label__ = 69; break; } //@line 6970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $377=(($4+4)|0); //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $378=HEAP32[(($377)>>2)]; //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $379=(($378+72)|0); //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=HEAP32[(($379)>>2)]; //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=(($380+64)|0); //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=$381; //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $383=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($382); //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeERKS2_($383, $atom); //@line 6976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $384=(($4+4)|0); //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $385=HEAP32[(($384)>>2)]; //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $386=(($385+64)|0); //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=$386; //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv($387); //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3putERKS2_RKS4_($388, $atom, $dn); //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($389) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 6977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      $1=0; //@line 6978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      __label__ = 69; break; //@line 6979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      __label__ = 70; break;
    case 70: 
      __label__ = 71; break; //@line 6980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      __label__ = 72; break; //@line 6981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      __label__ = 73; break;
    case 73: 
      var $397=$3; //@line 6983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=(($397+4)|0); //@line 6983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $399=(($4)|0); //@line 6983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=HEAP32[(($399)>>2)]; //@line 6983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $401=(($400+4)|0); //@line 6983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $402=__ZN2js8TokenPosgeERKS0_($398, $401); //@line 6983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($402) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 6983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $404=$3; //@line 6984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $405=(($4+12)|0); //@line 6984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $406=HEAP32[(($405)>>2)]; //@line 6984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $407=(($4+4)|0); //@line 6984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $408=HEAP32[(($407)>>2)]; //@line 6984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL13AdjustBlockIdP11JSParseNodejP13JSTreeContext($404, $406, $408); //@line 6984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 6984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      __label__ = 79; break; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      var $411=$3; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $412=(($411+32)|0); //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $413=$412; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $414=(($413+4)|0); //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $415=HEAP32[(($414)>>2)]; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $416=__ZN20CompExprTransplanter10transplantEP11JSParseNode($4, $415); //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($416) { __label__ = 78; break; } else { __label__ = 77; break; } //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      $1=0; //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      __label__ = 79; break; //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      $1=1; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 80; break; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      var $421=$1; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $421; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN20CompExprTransplanter10transplantEP11JSParseNode["X"]=1;

function __ZN2js8TokenPosgeERKS0_($this, $bpos) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bpos;
  var $3=$1;
  var $4=$2; //@line 231 "./jsscan.h"
  var $5=__ZN2js8TokenPosltERKS0_($3, $4); //@line 231 "./jsscan.h"
  var $6=$5 ^ 1; //@line 231 "./jsscan.h"
  ;
  return $6; //@line 231 "./jsscan.h"
}


function __ZL15BumpStaticLevelP11JSParseNodeP13JSTreeContext($pn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $level;
      $2=$pn;
      $3=$tc;
      var $4=$2; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4+32)|0); //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$5; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+8)|0); //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZNK2js11UpvarCookie6isFreeEv($7); //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $10=$2; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+32)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+8)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZNK2js11UpvarCookie5levelEv($13); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)&65535); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+1)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $level=$16; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$level; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)>>>0) >= 16383; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $20=$3; //@line 6812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+48)|0); //@line 6812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+12)|0); //@line 6812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 6812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      _JS_ReportErrorNumber($24, 2, 0, 25, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_function_str)|0),tempInt)); //@line 6812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 6814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $26=$2; //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+32)|0); //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+8)|0); //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$level; //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30) & 65535); //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$2; //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+32)|0); //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33; //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+8)|0); //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZNK2js11UpvarCookie4slotEv($35); //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie3setEtt($29, $31, $36); //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 6818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=1; //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 6819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $39=$1; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $39; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK11JSParseNode13isPlaceholderEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 128); //@line 572 "./jsparse.h"
  ;
  return $3; //@line 572 "./jsparse.h"
}


function __ZN2js8TokenPosltERKS0_($this, $bpos) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bpos;
  var $3=$1;
  var $4=(($3)|0); //@line 219 "./jsscan.h"
  var $5=$2; //@line 219 "./jsscan.h"
  var $6=(($5)|0); //@line 219 "./jsscan.h"
  var $7=__ZN2js8TokenPtrltERKS0_($4, $6); //@line 219 "./jsscan.h"
  ;
  return $7; //@line 219 "./jsscan.h"
}


function __ZL15MakePlaceholderP11JSParseNodeP13JSTreeContext($pn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $dn;
      $2=$pn;
      $3=$tc;
      var $4=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4+32)|0); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$5; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$3; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext($9, $10); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$12; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$dn; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=0; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $17=$dn; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($18, 29); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$dn; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($20, 0); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$dn; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($22, 1); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$dn; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+32)|0); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+12)|0); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30 & 4095; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31 | 128; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32 & 4095; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$26; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+12)|0); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$33 & 4095; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($36)>>2)]; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38 & -4096; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39 | $37; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($36)>>2)]=$40; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$dn; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$41; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $43=$1; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $43; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15MakePlaceholderP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3putERKS2_RKS4_($this, $key, $value) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p=__stackBase__;
      $2=$this;
      $3=$key;
      $4=$value;
      var $5=$2;
      var $6=$3; //@line 306 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12lookupForAddERKS2_($p, $5, $6); //@line 306 "./mfbt/InlineMap.h"
      var $7=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrcvPPPPPPPS6_Ev($p); //@line 307 "./mfbt/InlineMap.h"
      var $8=(($7)|0)!=0; //@line 307 "./mfbt/InlineMap.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 307 "./mfbt/InlineMap.h"
    case 2: 
      var $10=$4; //@line 308 "./mfbt/InlineMap.h"
      var $11=HEAP32[(($10)>>2)]; //@line 308 "./mfbt/InlineMap.h"
      var $12=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtr5valueEv($p); //@line 308 "./mfbt/InlineMap.h"
      HEAP32[(($12)>>2)]=$11; //@line 308 "./mfbt/InlineMap.h"
      $1=1; //@line 309 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 309 "./mfbt/InlineMap.h"
    case 3: 
      var $14=$3; //@line 311 "./mfbt/InlineMap.h"
      var $15=$4; //@line 311 "./mfbt/InlineMap.h"
      var $16=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3addERNS5_6AddPtrERKS2_RKS4_($5, $p, $14, $15); //@line 311 "./mfbt/InlineMap.h"
      $1=$16; //@line 311 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 311 "./mfbt/InlineMap.h"
    case 4: 
      var $18=$1; //@line 312 "./mfbt/InlineMap.h"
      STACKTOP = __stackBase__;
      return $18; //@line 312 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser17comprehensionTailEP11JSParseNodejbNS_9TokenKindE4JSOp($this, $kid, $blockid, $isGenexp, $type, $op) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $adjust;
      var $pn;
      var $pn2;
      var $pn3;
      var $pnp;
      var $stmtInfo=__stackBase__;
      var $data=__stackBase__+32;
      var $tt;
      var $atom;
      var $transplanter=__stackBase__+52;
      var $guard=__stackBase__+72;
      var $pn4;
      var $vars;
      $2=$this;
      $3=$kid;
      $4=$blockid;
      var $8=(($isGenexp)&1);
      $5=$8;
      $6=$type;
      $7=$op;
      var $9=$2;
      __ZN8BindDataC1Ev($data); //@line 7015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$6; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)==2; //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 7021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $13=(($9+12)|0); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($9+40)|0); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($9+980)|0); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZL16PushLexicalScopeP9JSContextPN2js11TokenStreamEP13JSTreeContextP10JSStmtInfo($14, $15, $17, $stmtInfo); //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$18; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$pn; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0)!=0; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      $1=0; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $23=$pn; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+32)|0); //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+12)|0); //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=HEAPU32[(($28)>>2)]; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29 >>> 12; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30 & 1048575; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$4; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($31-$32)|0); //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $adjust=$33; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 7031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $35=(($9+980)|0); //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZN13JSTreeContext7blockidEv($36); //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $adjust=$37; //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($9+12)|0); //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($9+40)|0); //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($9+980)|0); //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=__ZL16PushLexicalScopeP9JSContextPN2js11TokenStreamEP13JSTreeContextP10JSStmtInfo($39, $40, $42, $stmtInfo); //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$43; //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$pn; //@line 7048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0)!=0; //@line 7048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($45) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 7048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 7049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $48=$4; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($stmtInfo+4)|0); //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($49)>>2)]=$48; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$pn; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+32)|0); //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$48 & 1048575; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$52; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+12)|0); //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$53 & 1048575; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57 << 12; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=HEAP32[(($56)>>2)]; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59 & 4095; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$60 | $58; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($56)>>2)]=$61; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$4; //@line 7056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$adjust; //@line 7056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($62-$63)|0); //@line 7056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $adjust=$64; //@line 7056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break;
    case 8: 
      var $66=$pn; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+32)|0); //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+4)|0); //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnp=$70; //@line 7059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$3; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($9+980)|0); //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$6; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74)|0)==2; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$adjust; //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN20CompExprTransplanterC1EP11JSParseNodeP13JSTreeContextbj($transplanter, $71, $73, $75, $76); //@line 7061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$3; //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=__ZN20CompExprTransplanter10transplantEP11JSParseNode($transplanter, $77); //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($data)|0); //@line 7064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($79)>>2)]=0; //@line 7064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($data+4)|0); //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($80)>>2)]=0; //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=(($data+8)|0); //@line 7066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($81)>>2)]=212; //@line 7066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($data+12)|0); //@line 7067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82; //@line 7067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83)|0); //@line 7067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($84)>>2)]=200; //@line 7067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 7069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $86=(($9+980)|0); //@line 7075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 7075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=__ZN2js10BinaryNode6createEP13JSTreeContext($87); //@line 7075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$88; //@line 7075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$89; //@line 7075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$pn2; //@line 7076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90)|0)!=0; //@line 7076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($91) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 7076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 7077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $94=$pn2; //@line 7079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($94, 75); //@line 7079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$pn2; //@line 7080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($95+32)|0); //@line 7080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 7080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97+12)|0); //@line 7080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($98)>>2)]=1; //@line 7080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($9+40)|0); //@line 7081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($99, 29); //@line 7081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($100) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 7081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $102=(($9+40)|0); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=__ZNK2js11TokenStream12currentTokenEv($102); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103+24)|0); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104; //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105+4)|0); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($9+12)|0); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109+52)|0); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111+209948)|0); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=(($112+260)|0); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$114; //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($107)|0)==(($115)|0); //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($116) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 7082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $118=$pn2; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=(($118+32)|0); //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$119; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120+12)|0); //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122 | 2; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($121)>>2)]=$123; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $125=(($9+40)|0); //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($125); //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 17; break; //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $129=(($9+40)|0); //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=__ZN2js11TokenStream8getTokenEj($129, 0); //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130)|0)!=27; //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($131) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $133=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 85, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 20; break; //@line 7087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $136=(($9+980)|0); //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11GenexpGuardC1EP13JSTreeContext($guard, $137); //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=0; //@line 7091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=(($9+40)|0); //@line 7092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=__ZN2js11TokenStream8getTokenEv($138); //@line 7092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$139; //@line 7092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$tt; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($140)|0) == 23 || (($140)|0) == 25) {
        __label__ = 21; break;
      }
      else if ((($140)|0) == 29) {
        __label__ = 24; break;
      }
      else if ((($140)|0) == -1) {
        __label__ = 28; break;
      }
      else {
      __label__ = 27; break;
      }
      
    case 21: 
      var $142=(($9+980)|0); //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143)|0); //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$145 | 65536; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($144)>>2)]=$146; //@line 7097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$tt; //@line 7098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=__ZN2js6Parser11primaryExprENS_9TokenKindEi($9, $147, 0); //@line 7098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$148; //@line 7098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=(($9+980)|0); //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150)|0); //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=$152 & -65537; //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($151)>>2)]=$153; //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$pn3; //@line 7100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154)|0)!=0; //@line 7100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($155) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 7100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      $1=0; //@line 7101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      __label__ = 29; break; //@line 7102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $159=(($9+40)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=__ZNK2js11TokenStream12currentTokenEv($159); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($160+24)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$161; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=(($162+4)|0); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=$164; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$atom; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=(($9+980)|0); //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=__ZL14NewBindingNodeP6JSAtomP13JSTreeContextb($165, $167, 1); //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$168; //@line 7115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$pn3; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=(($169)|0)!=0; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($170) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $1=0; //@line 7117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      __label__ = 29; break; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $174=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 102, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 28; break; //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=0; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      __label__ = 30; break; //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $178=(($9+40)|0); //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=__ZN2js11TokenStream8getTokenEj($178, 0); //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($179)|0)!=45; //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($180) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $182=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 211, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      __label__ = 33; break; //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $185=__ZN2js6Parser4exprEv($9); //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn4=$185; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=$pn4; //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=(($186)|0)!=0; //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($187) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      $1=0; //@line 7130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      __label__ = 36; break; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $191=(($9+40)|0); //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=__ZN2js11TokenStream8getTokenEj($191, 0); //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=(($192)|0)!=28; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($193) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $195=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 88, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      __label__ = 39; break; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      __ZN11GenexpGuard7endBodyEv($guard); //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$5; //@line 7135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($198) & 1); //@line 7135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($199) { __label__ = 40; break; } else { __label__ = 43; break; } //@line 7135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $201=$pn2; //@line 7136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=__ZN11GenexpGuard14checkValidBodyEP11JSParseNode($guard, $201); //@line 7136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($202) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 7136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      $1=0; //@line 7137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      __label__ = 46; break; //@line 7138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $206=$pn2; //@line 7139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=__ZN11GenexpGuard18maybeNoteGeneratorEP11JSParseNode($guard, $206); //@line 7139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($207) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 7139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      $1=0; //@line 7140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      __label__ = 46; break;
    case 46: 
      var $211=$tt; //@line 7143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($211)|0) == 23 || (($211)|0) == 25) {
        __label__ = 47; break;
      }
      else if ((($211)|0) == 29) {
        __label__ = 57; break;
      }
      else {
      __label__ = 60; break;
      }
      
    case 47: 
      var $213=(($9+12)|0); //@line 7147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 7147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=$pn3; //@line 7147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=(($9+980)|0); //@line 7147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 7147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=__ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($214, $data, $215, $217); //@line 7147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($218) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 7147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      $1=0; //@line 7148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $221=__ZNK2js6Parser13versionNumberEv($9); //@line 7150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=(($221)|0)==170; //@line 7150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($222) { __label__ = 50; break; } else { __label__ = 56; break; } //@line 7150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $224=$pn3; //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=__ZNK11JSParseNode6isKindEN2js9TokenKindE($224, 24); //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($225) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $227=$pn3; //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=(($227+32)|0); //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=$228; //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229+8)|0); //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=HEAP32[(($230)>>2)]; //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=(($231)|0)!=2; //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($232) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 7152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $234=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($9, 0, 0, 117, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $236=$pn2; //@line 7159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=(($236+32)|0); //@line 7159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=$237; //@line 7159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=(($238+12)|0); //@line 7159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=HEAP32[(($239)>>2)]; //@line 7159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=$240 & 2; //@line 7159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=(($241)|0)!=0; //@line 7159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($242) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 7159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $244=$pn2; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=(($244+32)|0); //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=$245; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $247=(($246+12)|0); //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=$248 | 6; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($247)>>2)]=$249; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 55; break; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      __label__ = 56; break; //@line 7161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      __label__ = 61; break; //@line 7162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $253=$pn3; //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=(($data)|0); //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($254)>>2)]=$253; //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=(($data+8)|0); //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=(($9+12)|0); //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $259=$atom; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=(($9+980)|0); //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=FUNCTION_TABLE[$256]($258, $data, $259, $261); //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=(($262)|0)!=0; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($263) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      $1=0; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      __label__ = 61; break; //@line 7169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      __label__ = 61; break; //@line 7172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      var $268=(($9+980)|0); //@line 7178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=HEAP32[(($268)>>2)]; //@line 7178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=__ZN2js8ListNode6createEP13JSTreeContext($269); //@line 7178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=$270; //@line 7178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $vars=$271; //@line 7178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=$vars; //@line 7179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=(($272)|0)!=0; //@line 7179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($273) { __label__ = 63; break; } else { __label__ = 62; break; } //@line 7179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      $1=0; //@line 7180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $276=$vars; //@line 7181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($276, 0); //@line 7181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=$vars; //@line 7182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($277, 46); //@line 7182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $278=$vars; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=(($278+4)|0); //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=$pn3; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=(($280+4)|0); //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=$279; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=$281; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($282)>>2)]=HEAP32[(($283)>>2)];HEAP32[(($282+4)>>2)]=HEAP32[(($283+4)>>2)];HEAP32[(($282+8)>>2)]=HEAP32[(($283+8)>>2)];HEAP32[(($282+12)>>2)]=HEAP32[(($283+12)>>2)]; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=$vars; //@line 7184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($284); //@line 7184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $285=$vars; //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $286=$pn3; //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($285, $286); //@line 7185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=$vars; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $288=(($287+32)|0); //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=$288; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=$289; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=(($290+12)|0); //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=$291; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=HEAP32[(($292)>>2)]; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=$293 & 4095; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=$294 | 8; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=$295 & 4095; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=$289; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=(($297+12)|0); //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=$298; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=$296 & 4095; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=HEAP32[(($299)>>2)]; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=$301 & -4096; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=$302 | $300; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($299)>>2)]=$303; //@line 7186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=$pn3; //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=(($9+980)|0); //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=HEAP32[(($305)>>2)]; //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=__ZL17CloneLeftHandSideP11JSParseNodeP13JSTreeContext($304, $306); //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$307; //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=$pn3; //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=(($308)|0)!=0; //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($309) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      $1=0; //@line 7191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      var $312=$vars; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313=$pn3; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=$pn4; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=(($9+980)|0); //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=HEAP32[(($315)>>2)]; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=__ZN2js11TernaryNode6createENS_9TokenKindE4JSOpP11JSParseNodeS4_S4_P13JSTreeContext(45, 0, $312, $313, $314, $316); //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=$317; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=$pn2; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=(($319+32)|0); //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=$320; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $322=(($321)|0); //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($322)>>2)]=$318; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=$pn2; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=(($323+32)|0); //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $325=$324; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $326=(($325)|0); //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $327=HEAP32[(($326)>>2)]; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=(($327)|0)!=0; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($328) { __label__ = 67; break; } else { __label__ = 66; break; } //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      $1=0; //@line 7195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      var $331=$pn2; //@line 7196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=$pnp; //@line 7196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($332)>>2)]=$331; //@line 7196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=$pn2; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=(($333+32)|0); //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=$334; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=(($335+4)|0); //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnp=$336; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      var $338=(($9+40)|0); //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($338, 42); //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($339) { __label__ = 9; break; } else { __label__ = 69; break; } //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $341=(($9+40)|0); //@line 7200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($341, 35); //@line 7200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($342) { __label__ = 70; break; } else { __label__ = 75; break; } //@line 7200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      var $344=(($9+980)|0); //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=HEAP32[(($344)>>2)]; //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=__ZN2js11TernaryNode6createEP13JSTreeContext($345); //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$346; //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$347; //@line 7201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=$pn2; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=(($348)|0)!=0; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($349) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      $1=0; //@line 7203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      var $352=__ZN2js6Parser9conditionEv($9); //@line 7204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=$pn2; //@line 7204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=(($353+32)|0); //@line 7204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $355=$354; //@line 7204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=(($355)|0); //@line 7204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($356)>>2)]=$352; //@line 7204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=$pn2; //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=(($357+32)|0); //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=$358; //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $360=(($359)|0); //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $361=HEAP32[(($360)>>2)]; //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=(($361)|0)!=0; //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($362) { __label__ = 74; break; } else { __label__ = 73; break; } //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      $1=0; //@line 7206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $365=$pn2; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=$pnp; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($366)>>2)]=$365; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=$pn2; //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $368=(($367+32)|0); //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $369=$368; //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $370=(($369+4)|0); //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnp=$370; //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $372=(($9+980)|0); //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=HEAP32[(($372)>>2)]; //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=__ZN2js9UnaryNode6createEP13JSTreeContext($373); //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=$374; //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$375; //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $376=$pn2; //@line 7212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $377=(($376)|0)!=0; //@line 7212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($377) { __label__ = 77; break; } else { __label__ = 76; break; } //@line 7212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      $1=0; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      var $380=$pn2; //@line 7214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=$6; //@line 7214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($380, $381); //@line 7214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=$pn2; //@line 7215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $383=$7; //@line 7215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($382, $383); //@line 7215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $384=$3; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $385=$pn2; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $386=(($385+32)|0); //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=$386; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=(($387)|0); //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($388)>>2)]=$384; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=$pn2; //@line 7217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $390=$pnp; //@line 7217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($390)>>2)]=$389; //@line 7217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=(($9+980)|0); //@line 7219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=HEAP32[(($391)>>2)]; //@line 7219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12PopStatementP13JSTreeContext($392); //@line 7219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $393=$pn; //@line 7220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$393; //@line 7220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 7220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      var $395=$1; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $395; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser17comprehensionTailEP11JSParseNodejbNS_9TokenKindE4JSOp["X"]=1;

function __ZN20CompExprTransplanterC1EP11JSParseNodeP13JSTreeContextbj($this, $pn, $tc, $ge, $adj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$pn;
  $3=$tc;
  var $6=(($ge)&1);
  $4=$6;
  $5=$adj;
  var $7=$1;
  var $8=$2; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=$3; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=$4; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $11=(($10) & 1); //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $12=$5; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  __ZN20CompExprTransplanterC2EP11JSParseNodeP13JSTreeContextbj($7, $8, $9, $11, $12); //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN11GenexpGuardC1EP13JSTreeContext($this, $tc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$tc;
  var $3=$1;
  var $4=$2; //@line 6729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  __ZN11GenexpGuardC2EP13JSTreeContext($3, $4); //@line 6729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 6729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js11TernaryNode6createENS_9TokenKindE4JSOpP11JSParseNodeS4_S4_P13JSTreeContext($type, $op, $kid1, $kid2, $kid3, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $pos=__stackBase__;
      var $pn;
      $1=$type;
      $2=$op;
      $3=$kid1;
      $4=$kid2;
      $5=$kid3;
      $6=$tc;
      var $7=(($pos)|0); //@line 754 "./jsparse.h"
      var $8=$3; //@line 754 "./jsparse.h"
      var $9=(($8)|0)!=0; //@line 754 "./jsparse.h"
      var $10=$3; //@line 754 "./jsparse.h"
      var $11=$4; //@line 754 "./jsparse.h"
      var $12=$9 ? $10 : $11; //@line 754 "./jsparse.h"
      var $13=(($12+4)|0); //@line 754 "./jsparse.h"
      var $14=(($13)|0); //@line 754 "./jsparse.h"
      var $15=$7; //@line 754 "./jsparse.h"
      var $16=$14; //@line 754 "./jsparse.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 754 "./jsparse.h"
      var $17=(($pos+8)|0); //@line 755 "./jsparse.h"
      var $18=$5; //@line 755 "./jsparse.h"
      var $19=(($18+4)|0); //@line 755 "./jsparse.h"
      var $20=(($19+8)|0); //@line 755 "./jsparse.h"
      var $21=$17; //@line 755 "./jsparse.h"
      var $22=$20; //@line 755 "./jsparse.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 755 "./jsparse.h"
      var $23=$1; //@line 756 "./jsparse.h"
      var $24=$2; //@line 756 "./jsparse.h"
      var $25=$6; //@line 756 "./jsparse.h"
      var $26=__ZN11JSParseNode6createE16JSParseNodeArityN2js9TokenKindE4JSOpRKNS1_8TokenPosEP13JSTreeContext(3, $23, $24, $pos, $25); //@line 756 "./jsparse.h"
      var $27=$26; //@line 756 "./jsparse.h"
      $pn=$27; //@line 756 "./jsparse.h"
      var $28=$pn; //@line 757 "./jsparse.h"
      var $29=(($28)|0)!=0; //@line 757 "./jsparse.h"
      if ($29) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 757 "./jsparse.h"
    case 2: 
      var $31=$3; //@line 758 "./jsparse.h"
      var $32=$pn; //@line 758 "./jsparse.h"
      var $33=$32; //@line 758 "./jsparse.h"
      var $34=(($33+32)|0); //@line 758 "./jsparse.h"
      var $35=$34; //@line 758 "./jsparse.h"
      var $36=(($35)|0); //@line 758 "./jsparse.h"
      HEAP32[(($36)>>2)]=$31; //@line 758 "./jsparse.h"
      var $37=$4; //@line 759 "./jsparse.h"
      var $38=$pn; //@line 759 "./jsparse.h"
      var $39=$38; //@line 759 "./jsparse.h"
      var $40=(($39+32)|0); //@line 759 "./jsparse.h"
      var $41=$40; //@line 759 "./jsparse.h"
      var $42=(($41+4)|0); //@line 759 "./jsparse.h"
      HEAP32[(($42)>>2)]=$37; //@line 759 "./jsparse.h"
      var $43=$5; //@line 760 "./jsparse.h"
      var $44=$pn; //@line 760 "./jsparse.h"
      var $45=$44; //@line 760 "./jsparse.h"
      var $46=(($45+32)|0); //@line 760 "./jsparse.h"
      var $47=$46; //@line 760 "./jsparse.h"
      var $48=(($47+8)|0); //@line 760 "./jsparse.h"
      HEAP32[(($48)>>2)]=$43; //@line 760 "./jsparse.h"
      __label__ = 3; break; //@line 761 "./jsparse.h"
    case 3: 
      var $50=$pn; //@line 762 "./jsparse.h"
      STACKTOP = __stackBase__;
      return $50; //@line 762 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TernaryNode6createENS_9TokenKindE4JSOpP11JSParseNodeS4_S4_P13JSTreeContext["X"]=1;

function __ZN2jsL14TokenKindIsXMLENS_9TokenKindE($tt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$tt;
      var $2=$1; //@line 155 "./jsscan.h"
      var $3=(($2)|0)==70; //@line 155 "./jsscan.h"
      if ($3) { var $11 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 155 "./jsscan.h"
    case 2: 
      var $5=$1; //@line 155 "./jsscan.h"
      var $6=(($5)|0)==71; //@line 155 "./jsscan.h"
      if ($6) { var $11 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 155 "./jsscan.h"
    case 3: 
      var $8=$1; //@line 155 "./jsscan.h"
      var $9=(($8)|0)==72; //@line 155 "./jsscan.h"
      var $11 = $9;__label__ = 4; break; //@line 155 "./jsscan.h"
    case 4: 
      var $11;
      ;
      return $11; //@line 155 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSParseNode11setInParensEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 374 "./jsparse.h"
  var $6=(($5) & 1); //@line 374 "./jsparse.h"
  var $7=(($6)&1); //@line 374 "./jsparse.h"
  var $8=$7 & 1; //@line 374 "./jsparse.h"
  var $9=$4; //@line 374 "./jsparse.h"
  var $10=$8 & 1; //@line 374 "./jsparse.h"
  var $11=$10 << 29; //@line 374 "./jsparse.h"
  var $12=HEAP32[(($9)>>2)]; //@line 374 "./jsparse.h"
  var $13=$12 & -536870913; //@line 374 "./jsparse.h"
  var $14=$13 | $11; //@line 374 "./jsparse.h"
  HEAP32[(($9)>>2)]=$14; //@line 374 "./jsparse.h"
  ;
  return; //@line 374 "./jsparse.h"
}


function __ZN2js6Parser12argumentListEP11JSParseNode($this, $listNode) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $guard=__stackBase__;
      var $arg0;
      var $argNode;
      $2=$this;
      $3=$listNode;
      var $4=$2;
      var $5=(($4+40)|0); //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js11TokenStream10matchTokenENS_9TokenKindEj($5, 28, 8); //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=1; //@line 7334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $9=(($4+980)|0); //@line 7336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 7336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11GenexpGuardC1EP13JSTreeContext($guard, $10); //@line 7336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $arg0=1; //@line 7337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 7339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $12=__ZN2js6Parser10assignExprEv($4); //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $argNode=$12; //@line 7340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$argNode; //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=0; //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=0; //@line 7342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $17=$arg0; //@line 7343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17) & 1); //@line 7343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 7343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __ZN11GenexpGuard7endBodyEv($guard); //@line 7344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 7344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $21=$argNode; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=__ZNK11JSParseNode6isKindEN2js9TokenKindE($21, 77); //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $24=$argNode; //@line 7348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=__ZNK11JSParseNode10isInParensEv($24); //@line 7348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 7348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $27=(($4+40)|0); //@line 7349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZN2js11TokenStream9peekTokenEv($27); //@line 7349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0)==3; //@line 7349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 7349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $31=$argNode; //@line 7350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, $31, 0, 215, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_yield_str)|0),tempInt)); //@line 7350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $34=(($4+40)|0); //@line 7355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($34, 42); //@line 7355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($35) { __label__ = 13; break; } else { __label__ = 21; break; } //@line 7355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $37=$argNode; //@line 7356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=__ZN11GenexpGuard14checkValidBodyEP11JSParseNode($guard, $37); //@line 7356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($38) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 7356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $41=$argNode; //@line 7358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZN2js6Parser13generatorExprEP11JSParseNode($4, $41); //@line 7358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $argNode=$42; //@line 7358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$argNode; //@line 7359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43)|0)!=0; //@line 7359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 7359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=0; //@line 7360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $47=$3; //@line 7361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47+32)|0); //@line 7361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 7361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49+8)|0); //@line 7361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=HEAPU32[(($50)>>2)]; //@line 7361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)>>>0) > 1; //@line 7361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 7361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $54=(($4+40)|0); //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=__ZN2js11TokenStream9peekTokenEv($54); //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55)|0)==3; //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($56) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $58=$argNode; //@line 7363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, $58, 0, 215, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__ZL16js_generator_str)|0),tempInt)); //@line 7363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 25; break; //@line 7367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $62=$arg0; //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62) & 1); //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $65=$argNode; //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=__ZN11GenexpGuard18maybeNoteGeneratorEP11JSParseNode($guard, $65); //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($66) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 7369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      $1=0; //@line 7370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      $arg0=0; //@line 7372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$3; //@line 7374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$argNode; //@line 7374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($70, $71); //@line 7374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 7375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $73=(($4+40)|0); //@line 7375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($73, 3); //@line 7375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 4; break; } else { __label__ = 27; break; } //@line 7375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $76=(($4+40)|0); //@line 7377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZN2js11TokenStream8getTokenEv($76); //@line 7377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77)|0)!=28; //@line 7377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($78) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 7377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $80=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 104, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $1=1; //@line 7381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $83=$1; //@line 7382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 7382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser12argumentListEP11JSParseNode["X"]=1;

function __ZL32CheckForImmediatelyAppliedLambdaP11JSParseNode($pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $funbox;
      $1=$pn;
      var $2=$1; //@line 7388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $3=__ZNK11JSParseNode6isKindEN2js9TokenKindE($2, 34); //@line 7388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($3) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 7388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$1; //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5+32)|0); //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0); //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$10; //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$funbox; //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+60)|0); //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13 & 1152; //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0)!=0; //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $17=$1; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+32)|0); //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+12)|0); //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23 & 4095; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24 & -257; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25 & 4095; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$19; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+12)|0); //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$26 & 4095; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=HEAP32[(($29)>>2)]; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31 & -4096; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32 | $30; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($29)>>2)]=$33; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 7395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $36=$1; //@line 7396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $36; //@line 7396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser13bracketedExprEv($this) {
  ;
  var __label__;

  var $1;
  var $oldflags;
  var $pn;
  $1=$this;
  var $2=$1;
  var $3=(($2+980)|0); //@line 7629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 7629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=(($4)|0); //@line 7629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 7629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  $oldflags=$6; //@line 7629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=(($2+980)|0); //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=(($8)|0); //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $11=$10 & -17; //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($9)>>2)]=$11; //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $12=__ZN2js6Parser4exprEv($2); //@line 7631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  $pn=$12; //@line 7631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $13=$oldflags; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $14=(($2+980)|0); //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $15=HEAP32[(($14)>>2)]; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $16=(($15)|0); //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $17=HEAP32[(($16)>>2)]; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $18=$17 & 629442528; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $19=$13 | $18; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $20=(($2+980)|0); //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $21=HEAP32[(($20)>>2)]; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $22=(($21)|0); //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($22)>>2)]=$19; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $23=$pn; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $23; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js6Parser16endBracketedExprEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      $2=$this;
      var $3=$2;
      var $4=__ZN2js6Parser13bracketedExprEv($3); //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$4; //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$pn; //@line 7644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 7644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      __label__ = 4; break; //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $10=(($3+40)|0); //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=__ZN2js11TokenStream8getTokenEj($10, 0); //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0)!=24; //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $14=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 174, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __label__ = 7; break; //@line 7647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $17=$pn; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$17; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $19=$1; //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $19; //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser16propertySelectorEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      $2=$this;
      var $3=$2;
      var $4=(($3+980)|0); //@line 7707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 7707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js11NullaryNode6createEP13JSTreeContext($5); //@line 7707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 7707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$7; //@line 7707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$pn; //@line 7708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 7708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 7709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$pn; //@line 7710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZNK11JSParseNode6isKindEN2js9TokenKindE($12, 17); //@line 7710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $15=$pn; //@line 7711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($15, 72); //@line 7711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$pn; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($16, 164); //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($3+12)|0); //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+52)|0); //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+209948)|0); //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+464)|0); //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23; //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$pn; //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+32)|0); //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0); //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($29)>>2)]=$24; //@line 7713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 7714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $31=$pn; //@line 7716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($31, 165); //@line 7716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$pn; //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($32, 6); //@line 7717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($3+40)|0); //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZNK2js11TokenStream12currentTokenEv($33); //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+24)|0); //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+4)|0); //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$pn; //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+32)|0); //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41)|0); //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$42; //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($43)>>2)]=$38; //@line 7718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$pn; //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+32)|0); //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+8)|0); //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($47); //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break;
    case 6: 
      var $49=$pn; //@line 7721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$49; //@line 7721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 7721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $51=$1; //@line 7722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $51; //@line 7722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser16propertySelectorEv["X"]=1;

function __ZN2js6Parser15qualifiedSuffixEP11JSParseNode($this, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn2;
      var $pn3;
      var $tt;
      $2=$this;
      $3=$pn;
      var $4=$2;
      var $5=(($4+980)|0); //@line 7731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 7731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext(0, $6); //@line 7731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 7731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$8; //@line 7731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$pn2; //@line 7732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 7732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 7733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=$3; //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZNK11JSParseNode4isOpE4JSOp($13, 165); //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $16=$3; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($16, 59); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $18=(($4+40)|0); //@line 7739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZN2js11TokenStream8getTokenEj($18, 32); //@line 7739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$19; //@line 7739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$tt; //@line 7740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20)|0)==17; //@line 7740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 7740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $23=$tt; //@line 7740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)==29; //@line 7740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 7740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $26=$pn2; //@line 7742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($26, 166); //@line 7742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$pn2; //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+4)|0); //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0); //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$3; //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+4)|0); //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0); //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$29; //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$32; //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 7743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$tt; //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0)==17; //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $38=(($4+12)|0); //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+52)|0); //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+209948)|0); //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+464)|0); //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54 = $45;__label__ = 10; break; //@line 7744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $47=(($4+40)|0); //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=__ZNK2js11TokenStream12currentTokenEv($47); //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48+24)|0); //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49; //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+4)|0); //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54 = $52;__label__ = 10; break; //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $54; //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$pn2; //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+32)|0); //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56; //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57)|0); //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$58; //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($59)>>2)]=$54; //@line 7746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$3; //@line 7747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$pn2; //@line 7747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61+32)|0); //@line 7747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62; //@line 7747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63+4)|0); //@line 7747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$64; //@line 7747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($65)>>2)]=$60; //@line 7747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$pn2; //@line 7748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+32)|0); //@line 7748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67; //@line 7748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+8)|0); //@line 7748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11UpvarCookie8makeFreeEv($69); //@line 7748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$pn2; //@line 7749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$70; //@line 7749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 7749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $72=$tt; //@line 7752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72)|0)!=23; //@line 7752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($73) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 7752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $75=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 133, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 7754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $77=__ZN2js6Parser16endBracketedExprEv($4); //@line 7756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$77; //@line 7756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$pn3; //@line 7757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78)|0)!=0; //@line 7757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($79) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 7757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 7758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 7758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $82=$pn2; //@line 7760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($82, 167); //@line 7760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$pn2; //@line 7761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($83, 2); //@line 7761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$pn2; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($84+4)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$3; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87+4)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88)|0); //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$86; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$89; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($90)>>2)]=HEAP32[(($91)>>2)];HEAP32[(($90+4)>>2)]=HEAP32[(($91+4)>>2)]; //@line 7762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$pn2; //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92+4)|0); //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93+8)|0); //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$pn3; //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($95+4)|0); //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+8)|0); //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$94; //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$97; //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($98)>>2)]=HEAP32[(($99)>>2)];HEAP32[(($98+4)>>2)]=HEAP32[(($99+4)>>2)]; //@line 7763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$3; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$pn2; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+32)|0); //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$102; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103)|0); //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($104)>>2)]=$100; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$pn3; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$pn2; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106+32)|0); //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=(($108+4)|0); //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($109)>>2)]=$105; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$pn2; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$110; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $112=$1; //@line 7767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $112; //@line 7767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser15qualifiedSuffixEP11JSParseNode["X"]=1;

function __ZN2js6Parser19qualifiedIdentifierEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      $2=$this;
      var $3=$2;
      var $4=__ZN2js6Parser16propertySelectorEv($3); //@line 7774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$4; //@line 7774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$pn; //@line 7775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 7775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 7776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $9=(($3+40)|0); //@line 7777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($9, 71); //@line 7777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $12=(($3+980)|0); //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0); //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15 | 256; //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($14)>>2)]=$16; //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$pn; //@line 7780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZN2js6Parser15qualifiedSuffixEP11JSParseNode($3, $17); //@line 7780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$18; //@line 7780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 7781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $20=$pn; //@line 7782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$20; //@line 7782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 7782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $22=$1; //@line 7783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $22; //@line 7783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser13generatorExprEP11JSParseNode($this, $kid) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn;
      var $genfn;
      var $outertc;
      var $gentc=__stackBase__;
      var $4;
      var $funbox;
      var $body;
      var $result;
      $2=$this;
      $3=$kid;
      var $5=$2;
      var $6=(($5+980)|0); //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZN2js9UnaryNode6createEP13JSTreeContext($7); //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$9; //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$pn; //@line 7245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)!=0; //@line 7245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $14=$pn; //@line 7247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($14, 77); //@line 7247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$pn; //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($15, 206); //@line 7248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$pn; //@line 7249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode11setInParensEb($16, 1); //@line 7249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$pn; //@line 7250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+4)|0); //@line 7250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$3; //@line 7250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+4)|0); //@line 7250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$18; //@line 7250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$20; //@line 7250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)];HEAP32[(($21+8)>>2)]=HEAP32[(($22+8)>>2)];HEAP32[(($21+12)>>2)]=HEAP32[(($22+12)>>2)]; //@line 7250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$3; //@line 7251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$pn; //@line 7251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+32)|0); //@line 7251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$25; //@line 7251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)|0); //@line 7251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($27)>>2)]=$23; //@line 7251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$pn; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+32)|0); //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+8)|0); //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($31)>>2)]=1; //@line 7252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($5+980)|0); //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZN2js12FunctionNode6createEP13JSTreeContext($33); //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $genfn=$35; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$genfn; //@line 7256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)|0)!=0; //@line 7256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $40=$genfn; //@line 7258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($40, 34); //@line 7258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$genfn; //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($41, 130); //@line 7259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$genfn; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+32)|0); //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$43; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$44; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45+12)|0); //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$46; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 & -4096; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$49 | 256; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($47)>>2)]=$50; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($5+980)|0); //@line 7264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 7264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $outertc=$52; //@line 7264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($5+980)|0); //@line 7265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 7265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+48)|0); //@line 7265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 7265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContextC1EPN2js6ParserE($gentc, $56); //@line 7265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($5+12)|0); //@line 7266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 7266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=__ZN13JSTreeContext4initEP9JSContextNS_12InitBehaviorE($gentc, $58, 0); //@line 7266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 7266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 7267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 18; break; //@line 7267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $62=$genfn; //@line 7269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=__ZL13EnterFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE($62, $gentc, 0, 0); //@line 7269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $funbox=$63; //@line 7269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$funbox; //@line 7270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64)|0)!=0; //@line 7270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($65) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 7270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 7271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 18; break; //@line 7271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $68=$outertc; //@line 7280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68)|0); //@line 7280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 7280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70 & 32768; //@line 7280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71)|0)!=0; //@line 7280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($72) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 7280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $74=(($gentc)|0); //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75 | 2; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($74)>>2)]=$76; //@line 7281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZN13JSTreeContext16ensureSharpSlotsEv($gentc); //@line 7282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($77) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 7282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $1=0; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 18; break; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break; //@line 7284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $81=$outertc; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81)|0); //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$83 & 629442464; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=4608 | $84; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($gentc)|0); //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$87 | $85; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($86)>>2)]=$88; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($gentc)|0); //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$funbox; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91+60)|0); //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$93 | $90; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($92)>>2)]=$94; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$funbox; //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$genfn; //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=(($96+32)|0); //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97; //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98)|0); //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$99; //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($100)>>2)]=$95; //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($gentc+4)|0); //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$genfn; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=(($103+32)|0); //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$104; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$102 & 1048575; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$105; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107+12)|0); //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$108; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$106 & 1048575; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110 << 12; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=HEAP32[(($109)>>2)]; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112 & 4095; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$113 | $111; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($109)>>2)]=$114; //@line 7297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$pn; //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$outertc; //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=__ZN13JSTreeContext7blockidEv($116); //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=__ZN2js6Parser17comprehensionTailEP11JSParseNodejbNS_9TokenKindE4JSOp($5, $115, $117, 1, 2, 0); //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $body=$118; //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$body; //@line 7300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119)|0)!=0; //@line 7300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($120) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 7300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 7301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 18; break; //@line 7301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $123=$body; //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$genfn; //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124+32)|0); //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$125; //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($126+4)|0); //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127; //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($128)>>2)]=$123; //@line 7303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$genfn; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=(($129+4)|0); //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130)|0); //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$body; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=(($132+4)|0); //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=(($133)|0); //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$3; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135+4)|0); //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=(($136)|0); //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$134; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$137; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($138)>>2)]=HEAP32[(($139)>>2)];HEAP32[(($138+4)>>2)]=HEAP32[(($139+4)>>2)]; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$131; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$134; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($140)>>2)]=HEAP32[(($141)>>2)];HEAP32[(($140+4)>>2)]=HEAP32[(($141+4)>>2)]; //@line 7304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$genfn; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($142+4)|0); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+8)|0); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$body; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145+4)|0); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=(($146+8)|0); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($5+40)|0); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=__ZNK2js11TokenStream12currentTokenEv($148); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149+4)|0); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150+8)|0); //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$147; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=$151; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($152)>>2)]=HEAP32[(($153)>>2)];HEAP32[(($152+4)>>2)]=HEAP32[(($153+4)>>2)]; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$144; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$147; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($154)>>2)]=HEAP32[(($155)>>2)];HEAP32[(($154+4)>>2)]=HEAP32[(($155+4)>>2)]; //@line 7305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$genfn; //@line 7307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=__ZL13LeaveFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE($156, $gentc, 0, 0); //@line 7307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($157) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 7307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=0; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $4=1;
      __label__ = 18; break; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      $4=0; //@line 7309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 7309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      __ZN13JSTreeContextD1Ev($gentc); //@line 7309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 19; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 22; break;
      }
      else {
      __label__ = 23; break;
      }
      
    case 19: 
      var $162=(($5+980)|0); //@line 7315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 7315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=__ZN2js8ListNode6createEP13JSTreeContext($163); //@line 7315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$164; //@line 7315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $result=$165; //@line 7315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$result; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=(($166)|0)!=0; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($167) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      $1=0; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $170=$result; //@line 7318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($170, 27); //@line 7318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$result; //@line 7319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($171, 58); //@line 7319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=$result; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=(($172+4)|0); //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=(($173)|0); //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$genfn; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=(($175+4)|0); //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=(($176)|0); //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=$174; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=$177; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($178)>>2)]=HEAP32[(($179)>>2)];HEAP32[(($178+4)>>2)]=HEAP32[(($179+4)>>2)]; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=$result; //@line 7321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$genfn; //@line 7321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($180, $181); //@line 7321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$result; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$182; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $184=$1; //@line 7323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $184; //@line 7323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser13generatorExprEP11JSParseNode["X"]=1;

function __ZN2js11TokenStream12isXMLTagModeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+144)|0); //@line 360 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 360 "./jsscan.h"
  var $5=$4 & 512; //@line 360 "./jsscan.h"
  var $6=(($5)|0)!=0; //@line 360 "./jsscan.h"
  var $7=$6 ^ 1; //@line 360 "./jsscan.h"
  var $8=$7 ^ 1; //@line 360 "./jsscan.h"
  ;
  return $8; //@line 360 "./jsscan.h"
}


function __ZN2js6Parser19attributeIdentifierEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $pn2;
      var $tt;
      $2=$this;
      var $3=$2;
      var $4=(($3+980)|0); //@line 7792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 7792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js9UnaryNode6createEP13JSTreeContext($5); //@line 7792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 7792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$7; //@line 7792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$pn; //@line 7793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 7793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 7794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$pn; //@line 7795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($12, 168); //@line 7795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($3+40)|0); //@line 7796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js11TokenStream8getTokenEj($13, 32); //@line 7796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$14; //@line 7796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$tt; //@line 7797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15)|0)==17; //@line 7797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $18=$tt; //@line 7797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0)==29; //@line 7797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 7797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $21=__ZN2js6Parser19qualifiedIdentifierEv($3); //@line 7798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$21; //@line 7798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 7799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $23=$tt; //@line 7799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)==23; //@line 7799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 7799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $26=__ZN2js6Parser16endBracketedExprEv($3); //@line 7800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$26; //@line 7800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 7801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $28=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($3, 0, 0, 133, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 7803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $31=$pn2; //@line 7805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)|0)!=0; //@line 7805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($32) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 7805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $1=0; //@line 7806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 7806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $35=$pn2; //@line 7807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$pn; //@line 7807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+32)|0); //@line 7807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 7807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0); //@line 7807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($39)>>2)]=$35; //@line 7807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$pn; //@line 7808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$40; //@line 7808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 7808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $42=$1; //@line 7809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $42; //@line 7809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser19attributeIdentifierEv["X"]=1;

function __ZN2js6Parser7xmlExprEi($this, $inTag) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn;
      var $pn2;
      var $oldflag;
      $2=$this;
      $3=$inTag;
      var $4=$2;
      var $5=(($4+980)|0); //@line 7820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 7820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZN2js9UnaryNode6createEP13JSTreeContext($6); //@line 7820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 7820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$8; //@line 7820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$pn; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)!=0; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 7822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=(($4+40)|0); //@line 7830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js11TokenStream12isXMLTagModeEv($13); //@line 7830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)&1); //@line 7830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $oldflag=$15; //@line 7830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($4+40)|0); //@line 7831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setXMLTagModeEb($16, 0); //@line 7831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN2js6Parser4exprEv($4); //@line 7832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$17; //@line 7832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$pn2; //@line 7833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0)!=0; //@line 7833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 7834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 7834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __label__ = 6; break; //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $23=(($4+40)|0); //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZN2js11TokenStream8getTokenEj($23, 0); //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)!=26; //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $27=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 176, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 7836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $30=(($4+40)|0); //@line 7837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$oldflag; //@line 7837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31) & 1); //@line 7837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setXMLTagModeEb($30, $32); //@line 7837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$pn2; //@line 7838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$pn; //@line 7838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+32)|0); //@line 7838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 7838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)|0); //@line 7838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($37)>>2)]=$33; //@line 7838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$pn; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$3; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39)|0)!=0; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40 ? 180 : 181; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($38, $41); //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$pn; //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$42; //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $44=$1; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $44; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser7xmlExprEi["X"]=1;

function __ZN2js11TokenStream13setXMLTagModeEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 354 "./jsscan.h"
  var $6=(($5) & 1); //@line 354 "./jsscan.h"
  __ZN2js11TokenStream7setFlagEbNS_16TokenStreamFlagsE($4, $6, 512); //@line 354 "./jsscan.h"
  ;
  return; //@line 354 "./jsscan.h"
}


function __ZN2js6Parser11xmlAtomNodeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $tok;
      $2=$this;
      var $3=$2;
      var $4=(($3+980)|0); //@line 7852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 7852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN2js11NullaryNode6createEP13JSTreeContext($5); //@line 7852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 7852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$7; //@line 7852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$pn; //@line 7853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 7853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=(($3+40)|0); //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZNK2js11TokenStream12currentTokenEv($12); //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tok=$13; //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$pn; //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$tok; //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+24)|0); //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0); //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($14, $19); //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$tok; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+24)|0); //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+4)|0); //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$pn; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+32)|0); //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27)|0); //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($29)>>2)]=$24; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$tok; //@line 7858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0); //@line 7858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 7858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32)|0)==69; //@line 7858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $35=$tok; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+24)|0); //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37)|0); //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$pn; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+32)|0); //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+4)|0); //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($43)>>2)]=$39; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 7859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $45=$pn; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$45; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $47=$1; //@line 7861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $47; //@line 7861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser11xmlAtomNodeEv["X"]=1;

function __ZN2js6Parser11xmlNameExprEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn;
      var $pn2;
      var $list;
      var $tt;
      $2=$this;
      var $3=$2;
      $list=0; //@line 7881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=0; //@line 7881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 7882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=(($3+40)|0); //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZNK2js11TokenStream12currentTokenEv($5); //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0); //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$8; //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$tt; //@line 7884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0)==25; //@line 7884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 7884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=__ZN2js6Parser7xmlExprEi($3, 1); //@line 7885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$12; //@line 7885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$pn2; //@line 7886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=0; //@line 7886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 7887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 7887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __label__ = 9; break; //@line 7888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $18=__ZN2js6Parser11xmlAtomNodeEv($3); //@line 7890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$18; //@line 7890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$pn2; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0)!=0; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 7892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 7892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $24=$pn; //@line 7895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)!=0; //@line 7895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 7895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $27=$pn2; //@line 7896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$27; //@line 7896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 7897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $29=$list; //@line 7898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29)|0)!=0; //@line 7898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 15; break; } else { __label__ = 12; break; } //@line 7898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $32=(($3+980)|0); //@line 7899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 7899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZN2js8ListNode6createEP13JSTreeContext($33); //@line 7899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34; //@line 7899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $list=$35; //@line 7899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$list; //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36)|0)!=0; //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 7901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 7901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $40=$list; //@line 7902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($40, 63); //@line 7902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$list; //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+4)|0); //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42)|0); //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$pn; //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+4)|0); //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=(($45)|0); //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$43; //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$46; //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 7903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$list; //@line 7904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$pn; //@line 7904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($49, $50); //@line 7904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$list; //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51+32)|0); //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52; //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$53; //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+12)|0); //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55; //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$57 & -4096; //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$58 | 2; //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($56)>>2)]=$59; //@line 7905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$list; //@line 7906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$60; //@line 7906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 7907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $62=$pn; //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62+4)|0); //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63+8)|0); //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$pn2; //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+4)|0); //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+8)|0); //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$64; //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$67; //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($68)>>2)]=HEAP32[(($69)>>2)];HEAP32[(($68+4)>>2)]=HEAP32[(($69+4)>>2)]; //@line 7908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$pn; //@line 7909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$pn2; //@line 7909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($70, $71); //@line 7909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $74=(($3+40)|0); //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=__ZN2js11TokenStream8getTokenEv($74); //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$75; //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75)|0)==63; //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($76) { var $81 = 1;__label__ = 19; break; } else { __label__ = 18; break; } //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $78=$tt; //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78)|0)==25; //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81 = $79;__label__ = 19; break; //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $81;
      if ($81) { __label__ = 2; break; } else { __label__ = 20; break; } //@line 7911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $83=(($3+40)|0); //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($83); //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$pn; //@line 7914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$84; //@line 7914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 7914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $86=$1; //@line 7915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $86; //@line 7915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser11xmlNameExprEv["X"]=1;

function __ZN2js6Parser13xmlTagContentENS_9TokenKindEPP6JSAtom($this, $tagtype, $namep) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $pn;
      var $pn2;
      var $list;
      var $tt;
      $2=$this;
      $3=$tagtype;
      $4=$namep;
      var $5=$2;
      var $6=__ZN2js6Parser11xmlNameExprEv($5); //@line 7948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$6; //@line 7948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$pn; //@line 7949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7)|0)!=0; //@line 7949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 7950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 7950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$pn; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=__ZNK11JSParseNode7isArityE16JSParseNodeArity($11, 0); //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $14=$pn; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+32)|0); //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0); //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22 = $19;__label__ = 6; break; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $22 = 0;__label__ = 6; break; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $22; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$4; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 7951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $list=0; //@line 7952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 7954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $25=(($5+40)|0); //@line 7954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($25, 65); //@line 7954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 34; break; } //@line 7954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $28=(($5+40)|0); //@line 7955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=__ZN2js11TokenStream8getTokenEv($28); //@line 7955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$29; //@line 7955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$tt; //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)!=63; //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $33=$tt; //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=(($33)|0)!=25; //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $36=(($5+40)|0); //@line 7957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream10ungetTokenEv($36); //@line 7957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 34; break; //@line 7958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $38=__ZN2js6Parser11xmlNameExprEv($5); //@line 7961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$38; //@line 7961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$pn2; //@line 7962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39)|0)!=0; //@line 7962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($40) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 7962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 7963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 7963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $43=$list; //@line 7964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43)|0)!=0; //@line 7964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 17; break; } else { __label__ = 14; break; } //@line 7964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $46=(($5+980)|0); //@line 7965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 7965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=__ZN2js8ListNode6createEP13JSTreeContext($47); //@line 7965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48; //@line 7965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $list=$49; //@line 7965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$list; //@line 7966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50)|0)!=0; //@line 7966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($51) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 7966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      $1=0; //@line 7967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 7967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $54=$list; //@line 7968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$3; //@line 7968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($54, $55); //@line 7968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$list; //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+4)|0); //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57)|0); //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pn; //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59+4)|0); //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60)|0); //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$58; //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$61; //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)]; //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=$list; //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$pn; //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($64, $65); //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$list; //@line 7971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$66; //@line 7971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 7972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $68=$pn; //@line 7973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$pn2; //@line 7973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($68, $69); //@line 7973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$pn2; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=__ZNK11JSParseNode7isArityE16JSParseNodeArity($70, 5); //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $73=$pn2; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73+32)|0); //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76+12)|0); //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=$79 & 4095; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80 & 2; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81)|0)==0; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($82) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $84=$pn2; //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=__ZNK11JSParseNode6isKindEN2js9TokenKindE($84, 25); //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($85) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 7974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $87=$pn; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87+32)|0); //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$88; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90+12)|0); //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$91; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$93 & 4095; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$94 | 2; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$95 & 4095; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$89; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97+12)|0); //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$96 & 4095; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=HEAP32[(($99)>>2)]; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101 & -4096; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$102 | $100; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($99)>>2)]=$103; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 7975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $105=(($5+40)|0); //@line 7977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($105, 65); //@line 7977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 22; break; //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $108=(($5+40)|0); //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=__ZN2js11TokenStream8getTokenEj($108, 0); //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109)|0)!=4; //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($110) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $112=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 183, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      __label__ = 25; break; //@line 7978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $115=(($5+40)|0); //@line 7979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($115, 65); //@line 7979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($5+40)|0); //@line 7981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=__ZN2js11TokenStream8getTokenEv($117); //@line 7981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$118; //@line 7981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$tt; //@line 7982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119)|0)==64; //@line 7982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($120) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 7982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $122=__ZN2js6Parser11xmlAtomNodeEv($5); //@line 7983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$122; //@line 7983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 31; break; //@line 7984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $124=$tt; //@line 7984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($124)|0)==25; //@line 7984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($125) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 7984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $127=__ZN2js6Parser7xmlExprEi($5, 1); //@line 7985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$127; //@line 7985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$pn; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128+32)|0); //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=(($131+12)|0); //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$132; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$134 & 4095; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$135 | 2; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=$136 & 4095; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$130; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138+12)|0); //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$139; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$137 & 4095; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=HEAP32[(($140)>>2)]; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$142 & -4096; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$143 | $141; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($140)>>2)]=$144; //@line 7986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 7987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $146=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($5, 0, 0, 184, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 7988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 7989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 7989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $149=$pn2; //@line 7991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=(($149)|0)!=0; //@line 7991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($150) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 7991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      $1=0; //@line 7992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 7992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $153=$pn; //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=(($153+4)|0); //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=(($154+8)|0); //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$pn2; //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=(($156+4)|0); //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($157+8)|0); //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=$155; //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=$158; //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($159)>>2)]=HEAP32[(($160)>>2)];HEAP32[(($159+4)>>2)]=HEAP32[(($160+4)>>2)]; //@line 7993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$pn; //@line 7994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$pn2; //@line 7994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($161, $162); //@line 7994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 7995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $164=$pn; //@line 7997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$164; //@line 7997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 7997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $166=$1; //@line 7998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $166; //@line 7998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser13xmlTagContentENS_9TokenKindEPP6JSAtom["X"]=1;

function __ZN2js6Parser17xmlElementContentEP11JSParseNode($this, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $tt;
      var $textAtom;
      var $pn2;
      var $pn21;
      $2=$this;
      $3=$pn;
      var $4=$2;
      var $5=(($4+40)|0); //@line 8017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setXMLTagModeEb($5, 0); //@line 8017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 8018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=(($4+40)|0); //@line 8019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZN2js11TokenStream8getTokenEj($7, 1024); //@line 8019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$8; //@line 8019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=$tt; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0) <= 0; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $13=$tt; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)==0; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $16=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 190, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break; //@line 8020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $20=(($4+40)|0); //@line 8023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZNK2js11TokenStream12currentTokenEv($20); //@line 8023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+24)|0); //@line 8023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 8023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+4)|0); //@line 8023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 8023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $textAtom=$25; //@line 8023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$textAtom; //@line 8024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26)|0)!=0; //@line 8024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 8024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $29=__ZN2js6Parser11xmlAtomNodeEv($4); //@line 8026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$29; //@line 8026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$pn2; //@line 8027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)!=0; //@line 8027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 8027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 8028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 8028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $34=$3; //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+4)|0); //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+8)|0); //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$pn2; //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+4)|0); //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+8)|0); //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$36; //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$39; //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 8029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$3; //@line 8030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$pn2; //@line 8030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($42, $43); //@line 8030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 8031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $45=(($4+40)|0); //@line 8033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=__ZN2js11TokenStream8getTokenEj($45, 8); //@line 8033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$46; //@line 8033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $48=$tt; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48)|0) <= 0; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $51=$tt; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51)|0)==0; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($52) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $54=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 190, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 16; break; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=0; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      __label__ = 18; break; //@line 8034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $58=$tt; //@line 8035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58)|0)==60; //@line 8035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 8035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 31; break; //@line 8036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $62=$tt; //@line 8039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62)|0)==25; //@line 8039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 8039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $65=__ZN2js6Parser7xmlExprEi($4, 0); //@line 8040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn21=$65; //@line 8040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$3; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+32)|0); //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$68; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+12)|0); //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72 & 4095; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73 | 2; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74 & 4095; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$68; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76+12)|0); //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$75 & 4095; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=HEAP32[(($78)>>2)]; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80 & -4096; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81 | $79; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($78)>>2)]=$82; //@line 8041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 28; break; //@line 8042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $84=$tt; //@line 8042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=(($84)|0)==59; //@line 8042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 8042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $87=__ZN2js6Parser16xmlElementOrListEi($4, 0); //@line 8043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn21=$87; //@line 8043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$pn21; //@line 8044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88)|0)!=0; //@line 8044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($89) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 8044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $91=$pn21; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91+32)|0); //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$92; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$93; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94+12)|0); //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$95; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=$97 & 4095; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$98 & -33; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$99 & 4095; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$93; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101+12)|0); //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=$102; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$100 & 4095; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=HEAP32[(($103)>>2)]; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105 & -4096; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106 | $104; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($103)>>2)]=$107; //@line 8045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$pn21; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=(($108+32)|0); //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111+12)|0); //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$114 & 4095; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$3; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116+32)|0); //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$118; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119+12)|0); //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$120; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122 & 4095; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=$123 | $115; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$124 & 4095; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$118; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($126+12)|0); //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=$127; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$125 & 4095; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=HEAP32[(($128)>>2)]; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$130 & -4096; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131 | $129; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($128)>>2)]=$132; //@line 8046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 25; break; //@line 8047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 27; break; //@line 8048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $135=__ZN2js6Parser11xmlAtomNodeEv($4); //@line 8051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn21=$135; //@line 8051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $138=$pn21; //@line 8053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138)|0)!=0; //@line 8053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($139) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 8053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $1=0; //@line 8054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 8054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $142=$3; //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($142+4)|0); //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($143+8)|0); //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=$pn21; //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=(($145+4)|0); //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=(($146+8)|0); //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=$144; //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=$147; //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($148)>>2)]=HEAP32[(($149)>>2)];HEAP32[(($148+4)>>2)]=HEAP32[(($149+4)>>2)]; //@line 8055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$3; //@line 8056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=$pn21; //@line 8056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($150, $151); //@line 8056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 8057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $153=(($4+40)|0); //@line 8058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setXMLTagModeEb($153, 1); //@line 8058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 8061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 8061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $155=$1; //@line 8062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $155; //@line 8062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser17xmlElementContentEP11JSParseNode["X"]=1;

function __ZN2js11TokenStream6setXMLEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 350 "./jsscan.h"
  var $6=(($5) & 1); //@line 350 "./jsscan.h"
  var $7=(($4+908)|0); //@line 350 "./jsscan.h"
  var $8=(($6)&1); //@line 350 "./jsscan.h"
  HEAP8[($7)]=$8; //@line 350 "./jsscan.h"
  ;
  return; //@line 350 "./jsscan.h"
}


function __ZNK2js14MultiDeclRange5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 378 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 378 "./frontend/ParseMaps.h"
  var $5=(($4)|0)!=0; //@line 378 "./frontend/ParseMaps.h"
  var $6=$5 ^ 1; //@line 378 "./frontend/ParseMaps.h"
  ;
  return $6; //@line 378 "./frontend/ParseMaps.h"
}


function __ZN2js14MultiDeclRange5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 373 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 373 "./frontend/ParseMaps.h"
  ;
  return $4; //@line 373 "./frontend/ParseMaps.h"
}


function __ZN2js6Parser16xmlElementOrListEi($this, $allowList) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn;
      var $pn2;
      var $list;
      var $tt;
      var $startAtom=__stackBase__;
      var $endAtom=__stackBase__+4;
      var $stackDummy_=__stackBase__+8;
      $2=$this;
      $3=$allowList;
      var $4=$2;
      __label__ = 2; break; //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=$stackDummy_; //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($4+12)|0); //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+48)|0); //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($6)>>>0) < (($10)>>>0); //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=(($4+12)|0); //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 8074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $17=(($4+980)|0); //@line 8077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 8077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=__ZN2js8ListNode6createEP13JSTreeContext($18); //@line 8077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 8077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$20; //@line 8077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$pn; //@line 8078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0)!=0; //@line 8078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 8078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 8079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $25=(($4+40)|0); //@line 8081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setXMLTagModeEb($25, 1); //@line 8081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($4+40)|0); //@line 8082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZN2js11TokenStream8getTokenEv($26); //@line 8082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$27; //@line 8082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$tt; //@line 8083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0)==-1; //@line 8083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 8083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 8084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $32=$tt; //@line 8086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32)|0)==63; //@line 8086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 8086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $35=$tt; //@line 8086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0)==25; //@line 8086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 67; break; } //@line 8086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $38=__ZN2js6Parser13xmlTagContentENS_9TokenKindEPP6JSAtom($4, 59, $startAtom); //@line 8090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$38; //@line 8090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$pn2; //@line 8091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39)|0)!=0; //@line 8091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($40) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 8091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 8092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $43=(($4+40)|0); //@line 8093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($43, 65); //@line 8093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($4+40)|0); //@line 8095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=__ZN2js11TokenStream8getTokenEv($45); //@line 8095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$46; //@line 8095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$tt; //@line 8096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47)|0)==61; //@line 8096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 14; break; } else { __label__ = 22; break; } //@line 8096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $50=$pn2; //@line 8098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=__ZNK11JSParseNode6isKindEN2js9TokenKindE($50, 59); //@line 8098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 8098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $53=$pn; //@line 8099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($53); //@line 8099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$pn; //@line 8100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($4+980)|0); //@line 8100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 8100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($54, $56); //@line 8100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$pn2; //@line 8101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$58; //@line 8101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 21; break; //@line 8102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $60=$pn; //@line 8105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$pn2; //@line 8105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($60, $61); //@line 8105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$pn2; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=__ZNK11JSParseNode7isArityE16JSParseNodeArity($62, 5); //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $65=$pn2; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+32)|0); //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=$66; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+12)|0); //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$71 & 4095; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72 & 2; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73)|0)==0; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($74) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $76=$pn2; //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=__ZNK11JSParseNode6isKindEN2js9TokenKindE($76, 25); //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($77) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 8106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $79=$pn; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79+32)|0); //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$81; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=(($82+12)|0); //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$83; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$85 & 4095; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86 | 2; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$87 & 4095; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$81; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=(($89+12)|0); //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$88 & 4095; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=HEAP32[(($91)>>2)]; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$93 & -4096; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$94 | $92; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($91)>>2)]=$95; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break; //@line 8107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break;
    case 21: 
      var $98=$pn; //@line 8109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($98, 61); //@line 8109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$pn; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99+32)|0); //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$100; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($102+12)|0); //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$103; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105 & 4095; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106 | 32; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$107 & 4095; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$101; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=(($109+12)|0); //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$108 & 4095; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=HEAP32[(($111)>>2)]; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$113 & -4096; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$114 | $112; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($111)>>2)]=$115; //@line 8110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 66; break; //@line 8111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $117=$tt; //@line 8113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=(($117)|0)!=62; //@line 8113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($118) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 8113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $120=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 186, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $122=$pn2; //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=(($122+4)|0); //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=(($123+8)|0); //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=(($4+40)|0); //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=__ZNK2js11TokenStream12currentTokenEv($125); //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=(($126+4)|0); //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=(($127+8)|0); //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$124; //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$128; //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($129)>>2)]=HEAP32[(($130)>>2)];HEAP32[(($129+4)>>2)]=HEAP32[(($130+4)>>2)]; //@line 8117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=$pn2; //@line 8120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=__ZNK11JSParseNode6isKindEN2js9TokenKindE($131, 59); //@line 8120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($132) { __label__ = 32; break; } else { __label__ = 25; break; } //@line 8120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $134=$pn; //@line 8121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$pn2; //@line 8121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($134, $135); //@line 8121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$pn2; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=__ZNK11JSParseNode7isArityE16JSParseNodeArity($136, 5); //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($137) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $139=$pn2; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139+32)|0); //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=$140; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$141; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=(($142+12)|0); //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$143; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$145 & 4095; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$146 & 2; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($147)|0)==0; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($148) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $150=$pn2; //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=__ZNK11JSParseNode6isKindEN2js9TokenKindE($150, 25); //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($151) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 8122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $153=$pn; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=(($153+32)|0); //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$154; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$155; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=(($156+12)|0); //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$157; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=$159 & 4095; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$160 | 2; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=$161 & 4095; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=$155; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=(($163+12)|0); //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$164; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$162 & 4095; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=HEAP32[(($165)>>2)]; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=$167 & -4096; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$168 | $166; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($165)>>2)]=$169; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 29; break; //@line 8123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $171=$pn; //@line 8124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$171; //@line 8124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=(($4+980)|0); //@line 8125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=HEAP32[(($172)>>2)]; //@line 8125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=__ZN2js8ListNode6createEP13JSTreeContext($173); //@line 8125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$174; //@line 8125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$175; //@line 8125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$pn; //@line 8126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=(($176)|0)!=0; //@line 8126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($177) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 8126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      $1=0; //@line 8127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      __label__ = 32; break; //@line 8128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $181=$pn; //@line 8131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($181, 75); //@line 8131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$pn; //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=(($182+4)|0); //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=(($183)|0); //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$pn2; //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=(($185+4)|0); //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=(($186)|0); //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=$184; //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=$187; //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($188)>>2)]=HEAP32[(($189)>>2)];HEAP32[(($188+4)>>2)]=HEAP32[(($189+4)>>2)]; //@line 8132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=$pn; //@line 8133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=$pn2; //@line 8133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($190, $191); //@line 8133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=$pn2; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=__ZNK11JSParseNode7isArityE16JSParseNodeArity($192, 5); //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($193) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $195=$pn2; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=(($195+32)|0); //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$196; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=$197; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=(($198+12)|0); //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$199; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$201 & 4095; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=$202 & 2; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=(($203)|0)==0; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($204) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $206=$pn2; //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=__ZNK11JSParseNode6isKindEN2js9TokenKindE($206, 25); //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($207) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 8134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $209=$pn; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=(($209+32)|0); //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=$210; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=$211; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=(($212+12)|0); //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=$213; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=$215 & 4095; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=$216 | 2; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=$217 & 4095; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=$211; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=(($219+12)|0); //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=$220; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=$218 & 4095; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=HEAP32[(($221)>>2)]; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=$223 & -4096; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=$224 | $222; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($221)>>2)]=$225; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 36; break; //@line 8135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $227=$pn; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=(($227+32)|0); //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=$228; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=$229; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=(($230+12)|0); //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=$231; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=HEAP32[(($232)>>2)]; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=$233 & 4095; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=$234 | 32; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=$235 & 4095; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=$229; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=(($237+12)|0); //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=$238; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=$236 & 4095; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=HEAP32[(($239)>>2)]; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=$241 & -4096; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=$242 | $240; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($239)>>2)]=$243; //@line 8136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=$pn; //@line 8139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=__ZN2js6Parser17xmlElementContentEP11JSParseNode($4, $244); //@line 8139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=(($245)|0)!=0; //@line 8139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($246) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 8139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      $1=0; //@line 8140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $249=(($4+40)|0); //@line 8142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=__ZN2js11TokenStream8getTokenEv($249); //@line 8142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$250; //@line 8142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 39; break; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $252=$tt; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=(($252)|0) <= 0; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($253) { __label__ = 40; break; } else { __label__ = 43; break; } //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $255=$tt; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=(($255)|0)==0; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($256) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      var $258=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 190, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 42; break; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      $1=0; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      __label__ = 44; break; //@line 8143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $262=$tt; //@line 8144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=(($262)|0)!=63; //@line 8144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($263) { __label__ = 45; break; } else { __label__ = 47; break; } //@line 8144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $265=$tt; //@line 8144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=(($265)|0)!=25; //@line 8144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($266) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 8144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $268=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 186, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $270=__ZN2js6Parser13xmlTagContentENS_9TokenKindEPP6JSAtom($4, 60, $endAtom); //@line 8150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$270; //@line 8150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=$pn2; //@line 8151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=(($271)|0)!=0; //@line 8151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($272) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 8151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      $1=0; //@line 8152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $275=$pn2; //@line 8153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=__ZNK11JSParseNode6isKindEN2js9TokenKindE($275, 60); //@line 8153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($276) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 8153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $278=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 186, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $280=HEAP32[(($endAtom)>>2)]; //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=(($280)|0)!=0; //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($281) { __label__ = 52; break; } else { __label__ = 55; break; } //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $283=HEAP32[(($startAtom)>>2)]; //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $284=(($283)|0)!=0; //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($284) { __label__ = 53; break; } else { __label__ = 55; break; } //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $286=HEAP32[(($endAtom)>>2)]; //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $287=HEAP32[(($startAtom)>>2)]; //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $288=(($286)|0)!=(($287)|0); //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($288) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 8158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $290=$pn2; //@line 8160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=HEAP32[(($startAtom)>>2)]; //@line 8161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=$291; //@line 8161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=__ZNK14JSLinearString5charsEv($292); //@line 8161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, $290, 256, 185, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$293,tempInt)); //@line 8161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $296=(($4+980)|0); //@line 8167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=HEAP32[(($296)>>2)]; //@line 8167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=__ZN2js8ListNode6createEP13JSTreeContext($297); //@line 8167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=$298; //@line 8167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $list=$299; //@line 8167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=$list; //@line 8168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=(($300)|0)!=0; //@line 8168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($301) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 8168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      $1=0; //@line 8169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $304=$list; //@line 8170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($304, 60); //@line 8170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=$list; //@line 8171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=$pn2; //@line 8171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8initListEPS_($305, $306); //@line 8171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=$pn; //@line 8172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=$list; //@line 8172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($307, $308); //@line 8172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=$pn2; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=__ZNK11JSParseNode7isArityE16JSParseNodeArity($309, 5); //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($310) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $312=$pn2; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313=(($312+32)|0); //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=$313; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=$314; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=(($315+12)|0); //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=$316; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=HEAP32[(($317)>>2)]; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=$318 & 4095; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=$319 & 2; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=(($320)|0)==0; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($321) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $323=$pn2; //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=__ZNK11JSParseNode6isKindEN2js9TokenKindE($323, 25); //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($324) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 8173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $326=$list; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $327=(($326+32)|0); //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=$327; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $329=$328; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $330=(($329+12)|0); //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $331=$330; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=HEAP32[(($331)>>2)]; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=$332 & 4095; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=$333 | 2; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=$334 & 4095; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=$328; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $337=(($336+12)|0); //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=$337; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=$335 & 4095; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=HEAP32[(($338)>>2)]; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=$340 & -4096; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=$341 | $339; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($338)>>2)]=$342; //@line 8174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=$pn; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=(($343+32)|0); //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=$344; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=$345; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=(($346+12)|0); //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=$347; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=HEAP32[(($348)>>2)]; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $350=$349 & 4095; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $351=$350 | 2; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $352=$351 & 4095; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=$345; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=(($353+12)|0); //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $355=$354; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=$352 & 4095; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=HEAP32[(($355)>>2)]; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=$357 & -4096; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=$358 | $356; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($355)>>2)]=$359; //@line 8175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 61; break; //@line 8176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      var $361=(($4+40)|0); //@line 8178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=__ZN2js11TokenStream10matchTokenENS_9TokenKindE($361, 65); //@line 8178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 62; break; //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $364=(($4+40)|0); //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=__ZN2js11TokenStream8getTokenEj($364, 0); //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=(($365)|0)!=62; //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($366) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $368=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 186, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      __label__ = 65; break; //@line 8179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      __label__ = 66; break;
    case 66: 
      var $372=$pn; //@line 8183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($372, 178); //@line 8183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 8184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      var $374=$3; //@line 8184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=(($374)|0)!=0; //@line 8184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($375) { __label__ = 68; break; } else { __label__ = 76; break; } //@line 8184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      var $377=$tt; //@line 8184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $378=(($377)|0)==62; //@line 8184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($378) { __label__ = 69; break; } else { __label__ = 76; break; } //@line 8184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $380=$pn; //@line 8186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($380, 76); //@line 8186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=$pn; //@line 8187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($381, 179); //@line 8187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=$pn; //@line 8188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($382); //@line 8188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $383=$pn; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $384=(($383+32)|0); //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $385=$384; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $386=$385; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $387=(($386+12)|0); //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=$387; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=HEAP32[(($388)>>2)]; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $390=$389 & 4095; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=$390 | 32; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=$391 & 4095; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $393=$385; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $394=(($393+12)|0); //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $395=$394; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $396=$392 & 4095; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=HEAP32[(($395)>>2)]; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=$397 & -4096; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $399=$398 | $396; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($395)>>2)]=$399; //@line 8189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=$pn; //@line 8190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $401=__ZN2js6Parser17xmlElementContentEP11JSParseNode($4, $400); //@line 8190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $402=(($401)|0)!=0; //@line 8190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($402) { __label__ = 71; break; } else { __label__ = 70; break; } //@line 8190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      $1=0; //@line 8191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      __label__ = 72; break; //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      var $406=(($4+40)|0); //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $407=__ZN2js11TokenStream8getTokenEj($406, 0); //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $408=(($407)|0)!=62; //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($408) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $410=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 187, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      __label__ = 75; break; //@line 8193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      __label__ = 77; break; //@line 8194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      var $414=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($4, 0, 0, 173, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 8196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      __label__ = 78; break;
    case 78: 
      var $417=(($4+40)|0); //@line 8198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream13setXMLTagModeEb($417, 0); //@line 8198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $418=$pn; //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=(($418+4)|0); //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $420=(($419+8)|0); //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $421=(($4+40)|0); //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $422=__ZNK2js11TokenStream12currentTokenEv($421); //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $423=(($422+4)|0); //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=(($423+8)|0); //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=$420; //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $426=$424; //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($425)>>2)]=HEAP32[(($426)>>2)];HEAP32[(($425+4)>>2)]=HEAP32[(($426+4)>>2)]; //@line 8200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $427=$pn; //@line 8201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$427; //@line 8201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 8201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 79: 
      var $429=$1; //@line 8202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $429; //@line 8202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6Parser16xmlElementOrListEi["X"]=1;

function __ZN2js6Parser20xmlElementOrListRootEi($this, $allowList) {
  ;
  var __label__;

  var $1;
  var $2;
  var $hadXML;
  var $pn;
  $1=$this;
  $2=$allowList;
  var $3=$1;
  var $4=(($3+40)|0); //@line 8213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=__ZNK2js11TokenStream6hasXMLEv($4); //@line 8213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=(($5)&1); //@line 8213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  $hadXML=$6; //@line 8213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=(($3+40)|0); //@line 8214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  __ZN2js11TokenStream6setXMLEb($7, 1); //@line 8214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=$2; //@line 8215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=__ZN2js6Parser16xmlElementOrListEi($3, $8); //@line 8215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  $pn=$9; //@line 8215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=(($3+40)|0); //@line 8216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $11=$hadXML; //@line 8216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $12=(($11) & 1); //@line 8216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  __ZN2js11TokenStream6setXMLEb($10, $12); //@line 8216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $13=$pn; //@line 8217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $13; //@line 8217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZNK2js11TokenStream6hasXMLEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+908)|0); //@line 349 "./jsscan.h"
      var $4=HEAP8[($3)]; //@line 349 "./jsscan.h"
      var $5=(($4) & 1); //@line 349 "./jsscan.h"
      if ($5) { var $10 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 349 "./jsscan.h"
    case 2: 
      var $7=__ZNK2js11TokenStream13versionNumberEv($2); //@line 349 "./jsscan.h"
      var $8=__ZN2jsL21VersionShouldParseXMLE9JSVersion($7); //@line 349 "./jsscan.h"
      var $10 = $8;__label__ = 3; break; //@line 349 "./jsscan.h"
    case 3: 
      var $10;
      ;
      return $10; //@line 349 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6Parser12parseXMLTextEP8JSObjectb($this, $chain, $allowList) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $xmltc=__stackBase__;
      var $5;
      var $tt;
      var $pn;
      $2=$this;
      $3=$chain;
      var $6=(($allowList)&1);
      $4=$6;
      var $7=$2;
      __ZN13JSTreeContextC1EPN2js6ParserE($xmltc, $7); //@line 8228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+12)|0); //@line 8229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 8229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZN13JSTreeContext4initEP9JSContextNS_12InitBehaviorE($xmltc, $9, 0); //@line 8229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 8229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 8230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 7; break; //@line 8230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $13=$3; //@line 8231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN13JSTreeContext13setScopeChainEP8JSObject($xmltc, $13); //@line 8231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($7+40)|0); //@line 8234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream14setXMLOnlyModeEb($14, 1); //@line 8234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($7+40)|0); //@line 8235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZN2js11TokenStream8getTokenEj($15, 8); //@line 8235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$16; //@line 8235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$tt; //@line 8238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0)!=59; //@line 8238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 8238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $20=__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz($7, 0, 0, 170, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 8239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=0; //@line 8240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break; //@line 8241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $22=$4; //@line 8242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22) & 1); //@line 8242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)&1); //@line 8242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=__ZN2js6Parser20xmlElementOrListRootEi($7, $24); //@line 8242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$25; //@line 8242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 6; break;
    case 6: 
      var $27=(($7+40)|0); //@line 8244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js11TokenStream14setXMLOnlyModeEb($27, 0); //@line 8244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$pn; //@line 8246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$28; //@line 8246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $5=1;
      __label__ = 7; break; //@line 8246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __ZN13JSTreeContextD1Ev($xmltc); //@line 8247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$1; //@line 8247 "./jsparse.h"
      STACKTOP = __stackBase__;
      return $30; //@line 8247 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream14setXMLOnlyModeEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 355 "./jsscan.h"
  var $6=(($5) & 1); //@line 355 "./jsscan.h"
  __ZN2js11TokenStream7setFlagEbNS_16TokenStreamFlagsE($4, $6, 2048); //@line 355 "./jsscan.h"
  ;
  return; //@line 355 "./jsscan.h"
}


function __ZN11JSParseNode10isConstantEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=$3; //@line 8288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 8288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$5 & 65535; //@line 8288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($6)|0) == 30 || (($6)|0) == 31) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 33) {
        __label__ = 3; break;
      }
      else if ((($6)|0) == 24 || (($6)|0) == 26) {
        __label__ = 6; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 2: 
      $1=1; //@line 8291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 8291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $9=$3; //@line 8293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 8293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10 >>> 16; //@line 8293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11 & 255; //@line 8293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($12)|0) == 64 || (($12)|0) == 66 || (($12)|0) == 67) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 4: 
      $1=1; //@line 8297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 8297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=0; //@line 8299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 8299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $16=__ZNK11JSParseNode4isOpE4JSOp($3, 89); //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($16) { __label__ = 7; break; } else { var $29 = 0;__label__ = 8; break; } //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $18=(($3+32)|0); //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+12)|0); //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21; //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23 & 4095; //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24 & 2048; //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25)|0)!=0; //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26 ^ 1; //@line 8303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29 = $27;__label__ = 8; break;
    case 8: 
      var $29;
      $1=$29;
      __label__ = 10; break;
    case 9: 
      $1=0; //@line 8305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 8305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $32=$1; //@line 8307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $32; //@line 8307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11DoubleValueEd2907($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 710 "./jsapi.h"
  __ZN2JS5Value9setDoubleEd($agg_result, $2); //@line 710 "./jsapi.h"
  ;
  return; //@line 711 "./jsapi.h"
}


function __ZN2js9AtomDecls11lookupMultiEP6JSAtom($agg_result, $this, $atom) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $p=__stackBase__+4;
      var $doh;
      $1=$this;
      HEAP32[(($2)>>2)]=$atom;
      var $3=$1;
      var $4=(($3+4)|0); //@line 101 "./frontend/ParseMaps-inl.h"
      var $5=HEAP32[(($4)>>2)]; //@line 101 "./frontend/ParseMaps-inl.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6lookupERKS2_($p, $5, $2); //@line 101 "./frontend/ParseMaps-inl.h"
      var $6=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrcvPPPPPPPS5_Ev($p); //@line 102 "./frontend/ParseMaps-inl.h"
      var $7=(($6)|0)!=0; //@line 102 "./frontend/ParseMaps-inl.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 102 "./frontend/ParseMaps-inl.h"
    case 2: 
      __ZN2js14MultiDeclRangeC1EP12JSDefinition($agg_result, 0); //@line 103 "./frontend/ParseMaps-inl.h"
      __label__ = 6; break; //@line 103 "./frontend/ParseMaps-inl.h"
    case 3: 
      var $10=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 105 "./frontend/ParseMaps-inl.h"
      $doh=$10; //@line 105 "./frontend/ParseMaps-inl.h"
      var $11=$doh; //@line 106 "./frontend/ParseMaps-inl.h"
      var $12=__ZNK2js12DefnOrHeader8isHeaderEv($11); //@line 106 "./frontend/ParseMaps-inl.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 106 "./frontend/ParseMaps-inl.h"
    case 4: 
      var $14=$doh; //@line 107 "./frontend/ParseMaps-inl.h"
      var $15=__ZNK2js12DefnOrHeader6headerEv($14); //@line 107 "./frontend/ParseMaps-inl.h"
      __ZN2js14MultiDeclRangeC1EPNS_12AtomDeclNodeE($agg_result, $15); //@line 107 "./frontend/ParseMaps-inl.h"
      __label__ = 6; break; //@line 107 "./frontend/ParseMaps-inl.h"
    case 5: 
      var $17=$doh; //@line 108 "./frontend/ParseMaps-inl.h"
      var $18=__ZNK2js12DefnOrHeader4defnEv($17); //@line 108 "./frontend/ParseMaps-inl.h"
      __ZN2js14MultiDeclRangeC1EP12JSDefinition($agg_result, $18); //@line 108 "./frontend/ParseMaps-inl.h"
      __label__ = 6; break; //@line 108 "./frontend/ParseMaps-inl.h"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 109 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14MultiDeclRange8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 363 "./frontend/ParseMaps.h"
      var $4=HEAP32[(($3)>>2)]; //@line 363 "./frontend/ParseMaps.h"
      var $5=(($4)|0)!=0; //@line 363 "./frontend/ParseMaps.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 363 "./frontend/ParseMaps.h"
    case 2: 
      var $7=(($2+4)|0); //@line 364 "./frontend/ParseMaps.h"
      HEAP32[(($7)>>2)]=0; //@line 364 "./frontend/ParseMaps.h"
      __label__ = 7; break; //@line 365 "./frontend/ParseMaps.h"
    case 3: 
      var $9=(($2)|0); //@line 367 "./frontend/ParseMaps.h"
      var $10=HEAP32[(($9)>>2)]; //@line 367 "./frontend/ParseMaps.h"
      var $11=(($10+4)|0); //@line 367 "./frontend/ParseMaps.h"
      var $12=HEAP32[(($11)>>2)]; //@line 367 "./frontend/ParseMaps.h"
      var $13=(($2)|0); //@line 367 "./frontend/ParseMaps.h"
      HEAP32[(($13)>>2)]=$12; //@line 367 "./frontend/ParseMaps.h"
      var $14=(($2)|0); //@line 368 "./frontend/ParseMaps.h"
      var $15=HEAP32[(($14)>>2)]; //@line 368 "./frontend/ParseMaps.h"
      var $16=(($15)|0)!=0; //@line 368 "./frontend/ParseMaps.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 368 "./frontend/ParseMaps.h"
    case 4: 
      var $18=(($2)|0); //@line 368 "./frontend/ParseMaps.h"
      var $19=HEAP32[(($18)>>2)]; //@line 368 "./frontend/ParseMaps.h"
      var $20=(($19)|0); //@line 368 "./frontend/ParseMaps.h"
      var $21=HEAP32[(($20)>>2)]; //@line 368 "./frontend/ParseMaps.h"
      var $24 = $21;__label__ = 6; break; //@line 368 "./frontend/ParseMaps.h"
    case 5: 
      var $24 = 0;__label__ = 6; break; //@line 368 "./frontend/ParseMaps.h"
    case 6: 
      var $24; //@line 368 "./frontend/ParseMaps.h"
      var $25=(($2+4)|0); //@line 368 "./frontend/ParseMaps.h"
      HEAP32[(($25)>>2)]=$24; //@line 368 "./frontend/ParseMaps.h"
      __label__ = 7; break; //@line 369 "./frontend/ParseMaps.h"
    case 7: 
      ;
      return; //@line 369 "./frontend/ParseMaps.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js11TokenStream11getTokenbufEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+184)|0); //@line 343 "./jsscan.h"
  ;
  return $3; //@line 343 "./jsscan.h"
}


function __ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZL15JSDOUBLE_IS_NaNd2908($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZL14BlockIdInScopejP13JSTreeContext($blockid, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stmt;
      $2=$blockid;
      $3=$tc;
      var $4=$2; //@line 8275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$3; //@line 8275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZN13JSTreeContext7blockidEv($5); //@line 8275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($4)>>>0) > (($6)>>>0); //@line 8275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 8275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 8276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 8276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=$3; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+28)|0); //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$12; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $14=$stmt; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0)!=0; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $17=$stmt; //@line 8278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+4)|0); //@line 8278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 8278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$2; //@line 8278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($19)|0)==(($20)|0); //@line 8278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 8278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=1; //@line 8279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 8279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break; //@line 8280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $25=$stmt; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+28)|0); //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $stmt=$27; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 4; break; //@line 8277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      $1=0; //@line 8281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 8281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $30=$1; //@line 8282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $30; //@line 8282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12lookupForAddERKS2_($agg_result, $this, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $it;
      var $end;
      $1=$this;
      $2=$key;
      var $4=$1;
      var $5=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE8usingMapEv($4); //@line 264 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 264 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($4+200)|0); //@line 265 "./mfbt/InlineMap.h"
      var $8=$2; //@line 265 "./mfbt/InlineMap.h"
      __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($3, $7, $8); //@line 265 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E6AddPtrE($agg_result, $3); //@line 265 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 265 "./mfbt/InlineMap.h"
    case 3: 
      var $10=(($4+8)|0); //@line 267 "./mfbt/InlineMap.h"
      var $11=(($10)|0); //@line 267 "./mfbt/InlineMap.h"
      $it=$11; //@line 267 "./mfbt/InlineMap.h"
      var $12=(($4+8)|0); //@line 267 "./mfbt/InlineMap.h"
      var $13=(($12)|0); //@line 267 "./mfbt/InlineMap.h"
      var $14=(($4)|0); //@line 267 "./mfbt/InlineMap.h"
      var $15=HEAP32[(($14)>>2)]; //@line 267 "./mfbt/InlineMap.h"
      var $16=(($13+($15<<3))|0); //@line 267 "./mfbt/InlineMap.h"
      $end=$16; //@line 267 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 267 "./mfbt/InlineMap.h"
    case 4: 
      var $18=$it; //@line 267 "./mfbt/InlineMap.h"
      var $19=$end; //@line 267 "./mfbt/InlineMap.h"
      var $20=(($18)|0)!=(($19)|0); //@line 267 "./mfbt/InlineMap.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 267 "./mfbt/InlineMap.h"
    case 5: 
      var $22=$it; //@line 268 "./mfbt/InlineMap.h"
      var $23=(($22)|0); //@line 268 "./mfbt/InlineMap.h"
      var $24=HEAP32[(($23)>>2)]; //@line 268 "./mfbt/InlineMap.h"
      var $25=$2; //@line 268 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 268 "./mfbt/InlineMap.h"
      var $27=(($24)|0)==(($26)|0); //@line 268 "./mfbt/InlineMap.h"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 268 "./mfbt/InlineMap.h"
    case 6: 
      var $29=$it; //@line 269 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC1EPNS5_10InlineElemEb($agg_result, $29, 1); //@line 269 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 269 "./mfbt/InlineMap.h"
    case 7: 
      __label__ = 8; break; //@line 270 "./mfbt/InlineMap.h"
    case 8: 
      var $32=$it; //@line 267 "./mfbt/InlineMap.h"
      var $33=(($32+8)|0); //@line 267 "./mfbt/InlineMap.h"
      $it=$33; //@line 267 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 267 "./mfbt/InlineMap.h"
    case 9: 
      var $35=(($4+8)|0); //@line 277 "./mfbt/InlineMap.h"
      var $36=(($35)|0); //@line 277 "./mfbt/InlineMap.h"
      var $37=(($4)|0); //@line 277 "./mfbt/InlineMap.h"
      var $38=HEAP32[(($37)>>2)]; //@line 277 "./mfbt/InlineMap.h"
      var $39=(($36+($38<<3))|0); //@line 277 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC1EPNS5_10InlineElemEb($agg_result, $39, 0); //@line 277 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 277 "./mfbt/InlineMap.h"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 278 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12lookupForAddERKS2_["X"]=1;

function __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrcvPPPPPPPS6_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtr5foundEv($2); //@line 206 "./mfbt/InlineMap.h"
  var $4=$3 ? 1 : 0; //@line 206 "./mfbt/InlineMap.h"
  ;
  return $4; //@line 206 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtr5valueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+12)|0); //@line 211 "./mfbt/InlineMap.h"
      var $5=HEAP8[($4)]; //@line 211 "./mfbt/InlineMap.h"
      var $6=(($5) & 1); //@line 211 "./mfbt/InlineMap.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 211 "./mfbt/InlineMap.h"
    case 2: 
      var $8=(($3+8)|0); //@line 212 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 212 "./mfbt/InlineMap.h"
      var $10=(($9+4)|0); //@line 212 "./mfbt/InlineMap.h"
      $1=$10; //@line 212 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 212 "./mfbt/InlineMap.h"
    case 3: 
      var $12=(($3)|0); //@line 213 "./mfbt/InlineMap.h"
      var $13=$12; //@line 213 "./mfbt/InlineMap.h"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($13); //@line 213 "./mfbt/InlineMap.h"
      var $15=(($14+4)|0); //@line 213 "./mfbt/InlineMap.h"
      $1=$15; //@line 213 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 213 "./mfbt/InlineMap.h"
    case 4: 
      var $17=$1; //@line 214 "./mfbt/InlineMap.h"
      ;
      return $17; //@line 214 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3addERNS5_6AddPtrERKS2_RKS4_($this, $p, $key, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $addPtr;
      $2=$this;
      $3=$p;
      $4=$key;
      $5=$value;
      var $6=$2;
      var $7=$3; //@line 284 "./mfbt/InlineMap.h"
      var $8=(($7+12)|0); //@line 284 "./mfbt/InlineMap.h"
      var $9=HEAP8[($8)]; //@line 284 "./mfbt/InlineMap.h"
      var $10=(($9) & 1); //@line 284 "./mfbt/InlineMap.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 284 "./mfbt/InlineMap.h"
    case 2: 
      var $12=$3; //@line 285 "./mfbt/InlineMap.h"
      var $13=(($12+8)|0); //@line 285 "./mfbt/InlineMap.h"
      var $14=HEAP32[(($13)>>2)]; //@line 285 "./mfbt/InlineMap.h"
      $addPtr=$14; //@line 285 "./mfbt/InlineMap.h"
      var $15=$addPtr; //@line 289 "./mfbt/InlineMap.h"
      var $16=(($6+8)|0); //@line 289 "./mfbt/InlineMap.h"
      var $17=(($16)|0); //@line 289 "./mfbt/InlineMap.h"
      var $18=(($17+192)|0); //@line 289 "./mfbt/InlineMap.h"
      var $19=(($15)|0)==(($18)|0); //@line 289 "./mfbt/InlineMap.h"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 289 "./mfbt/InlineMap.h"
    case 3: 
      var $21=$4; //@line 290 "./mfbt/InlineMap.h"
      var $22=$5; //@line 290 "./mfbt/InlineMap.h"
      var $23=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12switchAndAddERKS2_RKS4_($6, $21, $22); //@line 290 "./mfbt/InlineMap.h"
      $1=$23; //@line 290 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 290 "./mfbt/InlineMap.h"
    case 4: 
      var $25=$4; //@line 294 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 294 "./mfbt/InlineMap.h"
      var $27=$3; //@line 294 "./mfbt/InlineMap.h"
      var $28=(($27+8)|0); //@line 294 "./mfbt/InlineMap.h"
      var $29=HEAP32[(($28)>>2)]; //@line 294 "./mfbt/InlineMap.h"
      var $30=(($29)|0); //@line 294 "./mfbt/InlineMap.h"
      HEAP32[(($30)>>2)]=$26; //@line 294 "./mfbt/InlineMap.h"
      var $31=$5; //@line 295 "./mfbt/InlineMap.h"
      var $32=HEAP32[(($31)>>2)]; //@line 295 "./mfbt/InlineMap.h"
      var $33=$3; //@line 295 "./mfbt/InlineMap.h"
      var $34=(($33+8)|0); //@line 295 "./mfbt/InlineMap.h"
      var $35=HEAP32[(($34)>>2)]; //@line 295 "./mfbt/InlineMap.h"
      var $36=(($35+4)|0); //@line 295 "./mfbt/InlineMap.h"
      HEAP32[(($36)>>2)]=$32; //@line 295 "./mfbt/InlineMap.h"
      var $37=(($6+4)|0); //@line 296 "./mfbt/InlineMap.h"
      var $38=HEAP32[(($37)>>2)]; //@line 296 "./mfbt/InlineMap.h"
      var $39=(($38+1)|0); //@line 296 "./mfbt/InlineMap.h"
      HEAP32[(($37)>>2)]=$39; //@line 296 "./mfbt/InlineMap.h"
      var $40=(($6)|0); //@line 297 "./mfbt/InlineMap.h"
      var $41=HEAP32[(($40)>>2)]; //@line 297 "./mfbt/InlineMap.h"
      var $42=(($41+1)|0); //@line 297 "./mfbt/InlineMap.h"
      HEAP32[(($40)>>2)]=$42; //@line 297 "./mfbt/InlineMap.h"
      $1=1; //@line 298 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 298 "./mfbt/InlineMap.h"
    case 5: 
      var $44=(($6+200)|0); //@line 301 "./mfbt/InlineMap.h"
      var $45=$3; //@line 301 "./mfbt/InlineMap.h"
      var $46=(($45)|0); //@line 301 "./mfbt/InlineMap.h"
      var $47=$4; //@line 301 "./mfbt/InlineMap.h"
      var $48=$5; //@line 301 "./mfbt/InlineMap.h"
      var $49=__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($44, $46, $47, $48); //@line 301 "./mfbt/InlineMap.h"
      $1=$49; //@line 301 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 301 "./mfbt/InlineMap.h"
    case 6: 
      var $51=$1; //@line 302 "./mfbt/InlineMap.h"
      ;
      return $51; //@line 302 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3addERNS5_6AddPtrERKS2_RKS4_["X"]=1;

function __ZL12LinkUseToDefP11JSParseNodeP12JSDefinitionP13JSTreeContext($pn, $dn, $tc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$pn;
  $2=$dn;
  $3=$tc;
  var $4=$2; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=$4; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=(($5+28)|0); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=$1; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=(($8+28)|0); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($9)>>2)]=$7; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=$1; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $11=$2; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $12=$11; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $13=(($12+28)|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($13)>>2)]=$10; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $14=$1; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $15=(($14+32)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $16=$15; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $17=$16; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $18=(($17+12)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $19=$18; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $20=HEAP32[(($19)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $21=$20 & 4095; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $22=$21 & 2312; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $23=$2; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $24=$23; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $25=(($24+32)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $26=$25; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $27=$26; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $28=(($27+12)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $29=$28; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $30=HEAP32[(($29)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $31=$30 & 4095; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $32=$31 | $22; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $33=$32 & 4095; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $34=$26; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $35=(($34+12)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $36=$35; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $37=$33 & 4095; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $38=HEAP32[(($36)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $39=$38 & -4096; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $40=$39 | $37; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($36)>>2)]=$40; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $41=$1; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  __ZN11JSParseNode7setUsedEb($41, 1); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $42=$2; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $43=$1; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $44=(($43+32)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $45=$44; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $46=(($45+4)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $47=$46; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($47)>>2)]=$42; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}
__ZL12LinkUseToDefP11JSParseNodeP12JSDefinitionP13JSTreeContext["X"]=1;

function __ZN9JSContext13regExpStaticsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2jsL22GetGlobalForScopeChainEP9JSContext2940($2); //@line 422 "./jscntxtinlines.h"
  var $4=__ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE($3); //@line 422 "./jscntxtinlines.h"
  ;
  return $4; //@line 422 "./jscntxtinlines.h"
}


function __ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($pn, $tt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn2;
      var $pnt;
      $2=$pn;
      $3=$tt;
      var $4=$2; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4)|0)!=0; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=$2; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$3; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZNK11JSParseNode6isKindEN2js9TokenKindE($8, $9); //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $12=$2; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$12; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $14=$2; //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZNK11JSParseNode8getArityEv($14); //@line 4431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($15)|0) == 5) {
        __label__ = 6; break;
      }
      else if ((($15)|0) == 3) {
        __label__ = 13; break;
      }
      else if ((($15)|0) == 2) {
        __label__ = 18; break;
      }
      else if ((($15)|0) == 1) {
        __label__ = 23; break;
      }
      else if ((($15)|0) == 6) {
        __label__ = 26; break;
      }
      else if ((($15)|0) == 7) {
        __label__ = 27; break;
      }
      else {
      __label__ = 28; break;
      }
      
    case 6: 
      var $17=$2; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+32)|0); //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0); //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$21; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $23=$pn2; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)!=0; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $26=$pn2; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$3; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($26, $27); //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnt=$28; //@line 4434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$pnt; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29)|0)!=0; //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $32=$pnt; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$32; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      __label__ = 11; break; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $35=$pn2; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+24)|0); //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$37; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 4433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 29; break; //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $40=$2; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+32)|0); //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42)|0); //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$3; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($44, $45); //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnt=$46; //@line 4440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$pnt; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=(($47)|0)!=0; //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 4441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $50=$pnt; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$50; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $52=$2; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52+32)|0); //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$53; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+4)|0); //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$3; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($56, $57); //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnt=$58; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pnt; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0)!=0; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $62=$pnt; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$62; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $64=$2; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+32)|0); //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$65; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+8)|0); //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$3; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($68, $69); //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$70; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $72=$2; //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=__ZNK11JSParseNode4isOpE4JSOp($72, 0); //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($73) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 4452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $1=0; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $76=$2; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76+32)|0); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=(($78)|0); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$3; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($80, $81); //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnt=$82; //@line 4454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$pnt; //@line 4455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83)|0)!=0; //@line 4455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($84) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 4455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $86=$pnt; //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$86; //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $88=$2; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=(($88+32)|0); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=$89; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=(($90+4)|0); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$3; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($92, $93); //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$94; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $96=$2; //@line 4459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=__ZNK11JSParseNode4isOpE4JSOp($96, 0); //@line 4459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($97) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 4459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      $1=0; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $100=$2; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100+32)|0); //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$101; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($102)|0); //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$3; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($104, $105); //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$106; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $108=$2; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=__ZN11JSParseNode9maybeExprEv($108); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$3; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($109, $110); //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$111; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $113=$2; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=(($113+32)|0); //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$114; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=(($115+4)|0); //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$3; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE($117, $118); //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$119; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      __label__ = 29; break; //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $1=0; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $123=$1; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $123; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE["X"]=1;

function __ZL7BoolishP11JSParseNode($pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn2;
      $2=$pn;
      var $3=$2; //@line 9283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=__ZNK11JSParseNode5getOpEv($3); //@line 9283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($4)|0) == 60) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 61) {
        __label__ = 5; break;
      }
      else if ((($4)|0) == 58) {
        __label__ = 6; break;
      }
      else if ((($4)|0) == 127 || (($4)|0) == 130 || (($4)|0) == 67) {
        __label__ = 13; break;
      }
      else if ((($4)|0) == 64 || (($4)|0) == 66) {
        __label__ = 14; break;
      }
      else {
      __label__ = 15; break;
      }
      
    case 2: 
      var $6=$2; //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+32)|0); //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(tempDoubleI32[0]=HEAP32[(($8)>>2)],tempDoubleI32[1]=HEAP32[(($8+4)>>2)],tempDoubleF64[0]); //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$9 != 0; //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($10) { __label__ = 3; break; } else { var $20 = 0;__label__ = 4; break; } //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$2; //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+32)|0); //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=$13; //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(tempDoubleI32[0]=HEAP32[(($14)>>2)],tempDoubleI32[1]=HEAP32[(($14+4)>>2)],tempDoubleF64[0]); //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZL15JSDOUBLE_IS_NaNd2908($15); //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16)|0)!=0; //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17 ^ 1; //@line 9285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20 = $18;__label__ = 4; break;
    case 4: 
      var $20;
      var $21=(($20)&1);
      $1=$21;
      __label__ = 17; break;
    case 5: 
      var $23=$2; //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23+32)|0); //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25)|0); //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=__ZNK8JSString6lengthEv($29); //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)!=0; //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31)&1); //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$32; //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 9288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $34=$2; //@line 9298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+32)|0); //@line 9298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$35; //@line 9298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+8)|0); //@line 9298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 9298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0)!=1; //@line 9298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 9298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 16; break; //@line 9299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $42=$2; //@line 9300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42+32)|0); //@line 9300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$43; //@line 9300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)|0); //@line 9300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 9300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$46; //@line 9300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$pn2; //@line 9301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=__ZNK11JSParseNode6isKindEN2js9TokenKindE($47, 34); //@line 9301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 9301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __label__ = 16; break; //@line 9302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $51=$pn2; //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=(($51+32)|0); //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52; //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53)|0); //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$54; //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+60)|0); //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$58 & 4096; //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0)!=0; //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 9303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 16; break; //@line 9304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break; //@line 9306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=1; //@line 9312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 9312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 9316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 9316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      __label__ = 16; break; //@line 9319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      $1=-1; //@line 9320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 9320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $68=$1; //@line 9321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $68; //@line 9321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7BoolishP11JSParseNode["X"]=1;

function __ZL8FoldTypeP9JSContextP11JSParseNodeN2js9TokenKindE($cx, $pn, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      var $5=__stackBase__+8;
      var $str;
      $2=$cx;
      $3=$pn;
      $4=$type;
      var $6=$3; //@line 8998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$4; //@line 8998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=__ZNK11JSParseNode6isKindEN2js9TokenKindE($6, $7); //@line 8998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($8) { __label__ = 17; break; } else { __label__ = 2; break; } //@line 8998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $10=$4; //@line 8999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($10)|0) == 30) {
        __label__ = 3; break;
      }
      else if ((($10)|0) == 31) {
        __label__ = 8; break;
      }
      else {
      __label__ = 15; break;
      }
      
    case 3: 
      var $12=$3; //@line 9001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZNK11JSParseNode6isKindEN2js9TokenKindE($12, 31); //@line 9001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 9001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $15=$2; //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$3; //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+32)|0); //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18)|0); //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21; //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2JSL11StringValueEP8JSString2910($5, $22); //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($15, $5, $d); //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 9003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=0; //@line 9004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 9004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $26=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 9005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$3; //@line 9005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+32)|0); //@line 9005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 9005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      (tempDoubleF64[0]=$26,HEAP32[(($29)>>2)]=tempDoubleI32[0],HEAP32[(($29+4)>>2)]=tempDoubleI32[1]); //@line 9005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$3; //@line 9006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($30, 30); //@line 9006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$3; //@line 9007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($31, 60); //@line 9007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 9008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 16; break; //@line 9009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $34=$3; //@line 9012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=__ZNK11JSParseNode6isKindEN2js9TokenKindE($34, 30); //@line 9012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 9012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $37=$2; //@line 9013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$3; //@line 9013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38+32)|0); //@line 9013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39; //@line 9013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(tempDoubleI32[0]=HEAP32[(($40)>>2)],tempDoubleI32[1]=HEAP32[(($40+4)>>2)],tempDoubleF64[0]); //@line 9013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__Z17js_NumberToStringP9JSContextd($37, $41); //@line 9013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$42; //@line 9013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$str; //@line 9014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43)|0)!=0; //@line 9014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 9014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 9015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 9015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $47=$2; //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$str; //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($47, $48, 0); //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$3; //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+32)|0); //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0); //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$53; //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($54)>>2)]=$49; //@line 9016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$3; //@line 9017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+32)|0); //@line 9017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56; //@line 9017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(($57)|0); //@line 9017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$58; //@line 9017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 9017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60)|0)!=0; //@line 9017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 9017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      $1=0; //@line 9018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 9018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $64=$3; //@line 9019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($64, 31); //@line 9019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$3; //@line 9020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($65, 61); //@line 9020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 9021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 16; break; //@line 9022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      __label__ = 16; break; //@line 9025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 17; break; //@line 9026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      $1=1; //@line 9027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 9027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $71=$1; //@line 9028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $71; //@line 9028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8FoldTypeP9JSContextP11JSParseNodeN2js9TokenKindE["X"]=1;

function __ZL17FoldBinaryNumericP9JSContext4JSOpP11JSParseNodeS3_S3_P13JSTreeContext($cx, $op, $pn1, $pn2, $pn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d;
      var $d2;
      var $i;
      var $j;
      $1=$cx;
      $2=$op;
      $3=$pn1;
      $4=$pn2;
      $5=$pn;
      $6=$tc;
      var $7=$3; //@line 9043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+32)|0); //@line 9043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 9043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(tempDoubleI32[0]=HEAP32[(($9)>>2)],tempDoubleI32[1]=HEAP32[(($9+4)>>2)],tempDoubleF64[0]); //@line 9043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$10; //@line 9043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$4; //@line 9044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+32)|0); //@line 9044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$12; //@line 9044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(tempDoubleI32[0]=HEAP32[(($13)>>2)],tempDoubleI32[1]=HEAP32[(($13+4)>>2)],tempDoubleF64[0]); //@line 9044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d2=$14; //@line 9044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$2; //@line 9045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($15)|0) == 24 || (($15)|0) == 25) {
        __label__ = 2; break;
      }
      else if ((($15)|0) == 26) {
        __label__ = 6; break;
      }
      else if ((($15)|0) == 27) {
        __label__ = 7; break;
      }
      else if ((($15)|0) == 28) {
        __label__ = 8; break;
      }
      else if ((($15)|0) == 29) {
        __label__ = 9; break;
      }
      else if ((($15)|0) == 30) {
        __label__ = 10; break;
      }
      else if ((($15)|0) == 31) {
        __label__ = 21; break;
      }
      else {
      __label__ = 25; break;
      }
      
    case 2: 
      var $17=$d; //@line 9048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZL20js_DoubleToECMAInt32d2909($17); //@line 9048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i=$18; //@line 9048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$d2; //@line 9049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=__ZL20js_DoubleToECMAInt32d2909($19); //@line 9049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $j=$20; //@line 9049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$j; //@line 9050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21 & 31; //@line 9050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $j=$22; //@line 9050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$2; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)|0)==24; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $26=$i; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$j; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$26 << $27; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34 = $28;__label__ = 5; break; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $30=$i; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$j; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$30 >> (($31)|0); //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34 = $32;__label__ = 5; break; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $34; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34)|0); //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$35; //@line 9051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 9052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $37=$d2; //@line 9055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=__ZL20js_DoubleToECMAInt32d2909($37); //@line 9055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $j=$38; //@line 9055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$j; //@line 9056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$39 & 31; //@line 9056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $j=$40; //@line 9056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$d; //@line 9057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__Z21js_DoubleToECMAUint32d($41); //@line 9057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$j; //@line 9057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$42 >>> (($43)>>>0); //@line 9057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44)>>>0); //@line 9057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$45; //@line 9057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 9058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $47=$d2; //@line 9061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$d; //@line 9061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48+$47; //@line 9061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$49; //@line 9061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 9062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $51=$d2; //@line 9065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$d; //@line 9065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$52-$51; //@line 9065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$53; //@line 9065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 9066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $55=$d2; //@line 9069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$d; //@line 9069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56*$55; //@line 9069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$57; //@line 9069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 26; break; //@line 9070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $59=$d2; //@line 9073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$59 == 0; //@line 9073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 11; break; } else { __label__ = 19; break; } //@line 9073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $62=$d; //@line 9080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62 == 0; //@line 9080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 9080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $65=$d; //@line 9080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=__ZL15JSDOUBLE_IS_NaNd2908($65); //@line 9080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66)|0)!=0; //@line 9080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 9080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $69=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 9081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$69; //@line 9081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 9081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $71=$d; //@line 9082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=__ZL15JSDOUBLE_IS_NEGd2917($71); //@line 9082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72)&1); //@line 9082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$d2; //@line 9082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=__ZL15JSDOUBLE_IS_NEGd2917($74); //@line 9082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($75)&1); //@line 9082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($73)|0)!=(($76)|0); //@line 9082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($77) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 9082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $79=(tempDoubleI32[0]=HEAP32[((_js_NegativeInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_NegativeInfinity+4)>>2)],tempDoubleF64[0]); //@line 9083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$79; //@line 9083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break; //@line 9083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $81=(tempDoubleI32[0]=HEAP32[((_js_PositiveInfinity)>>2)],tempDoubleI32[1]=HEAP32[((_js_PositiveInfinity+4)>>2)],tempDoubleF64[0]); //@line 9085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$81; //@line 9085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      __label__ = 20; break; //@line 9086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $85=$d2; //@line 9087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=$d; //@line 9087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86/$85; //@line 9087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$87; //@line 9087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 20; break;
    case 20: 
      __label__ = 26; break; //@line 9089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $90=$d2; //@line 9092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90 == 0; //@line 9092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($91) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 9092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $93=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 9093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$93; //@line 9093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 9094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $95=$d; //@line 9095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=$d2; //@line 9095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=__ZL7js_fmoddd2918($95, $96); //@line 9095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $d=$97; //@line 9095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break;
    case 24: 
      __label__ = 26; break; //@line 9097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      __label__ = 26; break; //@line 9100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $101=$3; //@line 9103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$5; //@line 9103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($101)|0)!=(($102)|0); //@line 9103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($103) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 9103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $105=$3; //@line 9104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$6; //@line 9104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($105, $106); //@line 9104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 28; break; //@line 9104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $109=$4; //@line 9105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$5; //@line 9105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=(($109)|0)!=(($110)|0); //@line 9105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($111) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 9105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $113=$4; //@line 9106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$6; //@line 9106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($113, $114); //@line 9106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 30; break; //@line 9106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $117=$5; //@line 9107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($117, 30); //@line 9107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$5; //@line 9108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($118, 60); //@line 9108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$5; //@line 9109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($119, 0); //@line 9109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$d; //@line 9110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$5; //@line 9110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121+32)|0); //@line 9110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122; //@line 9110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      (tempDoubleF64[0]=$120,HEAP32[(($123)>>2)]=tempDoubleI32[0],HEAP32[(($123+4)>>2)]=tempDoubleI32[1]); //@line 9110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return 1; //@line 9111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17FoldBinaryNumericP9JSContext4JSOpP11JSParseNodeS3_S3_P13JSTreeContext["X"]=1;

function __ZL20js_DoubleToECMAInt32d2909($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $two32;
      var $two31;
      $2=$d;
      var $3=$2; //@line 547 "./jsnum.h"
      var $4=__ZL18JSDOUBLE_IS_FINITEd2916($3); //@line 547 "./jsnum.h"
      var $5=(($4)|0)!=0; //@line 547 "./jsnum.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsnum.h"
    case 2: 
      $1=0; //@line 548 "./jsnum.h"
      __label__ = 12; break; //@line 548 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 550 "./jsnum.h"
      var $9=(($8)&-1); //@line 550 "./jsnum.h"
      $i=$9; //@line 550 "./jsnum.h"
      var $10=$i; //@line 551 "./jsnum.h"
      var $11=(($10)|0); //@line 551 "./jsnum.h"
      var $12=$2; //@line 551 "./jsnum.h"
      var $13=$11 == $12; //@line 551 "./jsnum.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 551 "./jsnum.h"
    case 4: 
      var $15=$i; //@line 552 "./jsnum.h"
      $1=$15; //@line 552 "./jsnum.h"
      __label__ = 12; break; //@line 552 "./jsnum.h"
    case 5: 
      $two32=4294967296; //@line 554 "./jsnum.h"
      $two31=2147483648; //@line 555 "./jsnum.h"
      var $17=$2; //@line 556 "./jsnum.h"
      var $18=$two32; //@line 556 "./jsnum.h"
      var $19=_fmod($17, $18); //@line 556 "./jsnum.h"
      $2=$19; //@line 556 "./jsnum.h"
      var $20=$2; //@line 557 "./jsnum.h"
      var $21=$20 >= 0; //@line 557 "./jsnum.h"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 557 "./jsnum.h"
    case 6: 
      var $23=$2; //@line 557 "./jsnum.h"
      var $24=_floor($23); //@line 557 "./jsnum.h"
      var $31 = $24;__label__ = 8; break; //@line 557 "./jsnum.h"
    case 7: 
      var $26=$2; //@line 557 "./jsnum.h"
      var $27=_ceil($26); //@line 557 "./jsnum.h"
      var $28=$two32; //@line 557 "./jsnum.h"
      var $29=$27+$28; //@line 557 "./jsnum.h"
      var $31 = $29;__label__ = 8; break; //@line 557 "./jsnum.h"
    case 8: 
      var $31; //@line 557 "./jsnum.h"
      $2=$31; //@line 557 "./jsnum.h"
      var $32=$2; //@line 558 "./jsnum.h"
      var $33=$two31; //@line 558 "./jsnum.h"
      var $34=$32 >= $33; //@line 558 "./jsnum.h"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 558 "./jsnum.h"
    case 9: 
      var $36=$2; //@line 558 "./jsnum.h"
      var $37=$two32; //@line 558 "./jsnum.h"
      var $38=$36-$37; //@line 558 "./jsnum.h"
      var $42 = $38;__label__ = 11; break; //@line 558 "./jsnum.h"
    case 10: 
      var $40=$2; //@line 558 "./jsnum.h"
      var $42 = $40;__label__ = 11; break; //@line 558 "./jsnum.h"
    case 11: 
      var $42; //@line 558 "./jsnum.h"
      var $43=(($42)&-1); //@line 558 "./jsnum.h"
      $1=$43; //@line 558 "./jsnum.h"
      __label__ = 12; break; //@line 558 "./jsnum.h"
    case 12: 
      var $45=$1; //@line 560 "./jsnum.h"
      ;
      return $45; //@line 560 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20js_DoubleToECMAInt32d2909["X"]=1;

function __ZL16FoldXMLConstantsP9JSContextP11JSParseNodeP13JSTreeContext($cx, $pn, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tt;
      var $pnp;
      var $pn1;
      var $pn2;
      var $accum;
      var $str;
      var $i;
      var $j;
      var $tvr=__stackBase__;
      $2=$cx;
      $3=$pn;
      $4=$tc;
      var $5=$3; //@line 9125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZNK11JSParseNode7getKindEv($5); //@line 9125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $tt=$6; //@line 9125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$3; //@line 9126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+32)|0); //@line 9126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 9126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0); //@line 9126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnp=$10; //@line 9126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$pnp; //@line 9127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 9127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$12; //@line 9127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $accum=0; //@line 9128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=0; //@line 9129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$3; //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+32)|0); //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14; //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$15; //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+12)|0); //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=$17; //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19 & 4095; //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$20 & 2; //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0)==0; //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($22) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 9130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $24=$tt; //@line 9131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)==60; //@line 9131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 9131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $27=$2; //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+52)|0); //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29+209948)|0); //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+440)|0); //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $accum=$33; //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 9132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $35=$tt; //@line 9133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35)|0)==59; //@line 9133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 9133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $38=$tt; //@line 9133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=(($38)|0)==61; //@line 9133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($39) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 9133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $41=$2; //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+52)|0); //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=(($43+209948)|0); //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+460)|0); //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$46; //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $accum=$47; //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 9134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break; //@line 9135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $51=$pn1; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$51; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $j=0; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i=0; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $53=$pn2; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=(($53)|0)!=0; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 53; break; } //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $56=$pn2; //@line 9147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=__ZNK11JSParseNode7getKindEv($56); //@line 9147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($57)|0) == 64) {
        __label__ = 12; break;
      }
      else if ((($57)|0) == 63 || (($57)|0) == 65 || (($57)|0) == 66 || (($57)|0) == 31) {
        __label__ = 15; break;
      }
      else if ((($57)|0) == 68) {
        __label__ = 18; break;
      }
      else if ((($57)|0) == 67) {
        __label__ = 21; break;
      }
      else if ((($57)|0) == 69) {
        __label__ = 24; break;
      }
      else {
      __label__ = 28; break;
      }
      
    case 12: 
      var $59=$accum; //@line 9149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59)|0)!=0; //@line 9149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 9149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      __label__ = 27; break; //@line 9150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      __label__ = 15; break; //@line 9150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $64=$pn2; //@line 9156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=__ZNK11JSParseNode7isArityE16JSParseNodeArity($64, 5); //@line 9156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 9156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      __label__ = 27; break; //@line 9157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $68=$pn2; //@line 9158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+32)|0); //@line 9158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=$69; //@line 9158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=(($70)|0); //@line 9158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$71; //@line 9158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 9158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73; //@line 9158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$74; //@line 9158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 42; break; //@line 9159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $76=$2; //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$pn2; //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+32)|0); //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$78; //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79)|0); //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80; //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82; //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=__Z21js_MakeXMLCDATAStringP9JSContextP8JSString($76, $83); //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$84; //@line 9162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$str; //@line 9163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85)|0)!=0; //@line 9163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($86) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 9163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $1=0; //@line 9164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 9164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 42; break; //@line 9165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $90=$2; //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$pn2; //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91+32)|0); //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$92; //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($93)|0); //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=$94; //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=__Z23js_MakeXMLCommentStringP9JSContextP8JSString($90, $97); //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$98; //@line 9168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$str; //@line 9169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99)|0)!=0; //@line 9169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($100) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 9169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      $1=0; //@line 9170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 9170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      __label__ = 42; break; //@line 9171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $104=$2; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=$pn2; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=(($105+32)|0); //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$106; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=(($107)|0); //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$108; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=$pn2; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=(($112+32)|0); //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$113; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114+4)|0); //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=$116; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=__Z18js_MakeXMLPIStringP9JSContextP8JSStringS2_($104, $111, $117); //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$118; //@line 9174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$str; //@line 9175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=(($119)|0)!=0; //@line 9175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($120) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 9175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $1=0; //@line 9176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 9176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      __label__ = 42; break; //@line 9177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      __label__ = 28; break; //@line 9177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      var $125=$tt; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=(($125)|0)==59; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($126) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      var $128=$tt; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=(($128)|0)==61; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($129) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      var $131=$i; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131 & 1; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=$j; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$133 & 1; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$132 ^ $134; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=(($135)|0)!=0; //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($136) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 9182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      __label__ = 41; break; //@line 9192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $139=$accum; //@line 9192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=(($139)|0)!=0; //@line 9192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($140) { __label__ = 33; break; } else { __label__ = 40; break; } //@line 9192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $142=$pn1; //@line 9192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$pn2; //@line 9192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=(($142)|0)!=(($143)|0); //@line 9192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($144) { __label__ = 34; break; } else { __label__ = 40; break; } //@line 9192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      __label__ = 35; break; //@line 9193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $147=$pn1; //@line 9193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $148=(($147+24)|0); //@line 9193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 9193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$pn2; //@line 9193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($149)|0)!=(($150)|0); //@line 9193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($151) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 9193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      var $153=$pn1; //@line 9194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=$4; //@line 9194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($153, $154); //@line 9194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$155; //@line 9194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=$3; //@line 9195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=(($156+32)|0); //@line 9195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=$157; //@line 9195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=(($158+8)|0); //@line 9195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 9195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=(($160-1)|0); //@line 9195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($159)>>2)]=$161; //@line 9195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 35; break; //@line 9196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      var $163=$pn1; //@line 9197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($163, 66); //@line 9197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=$pn1; //@line 9198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($164, 61); //@line 9198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$pn1; //@line 9199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($165, 0); //@line 9199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=$2; //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $167=$accum; //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($166, $167, 0); //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=$pn1; //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=(($169+32)|0); //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=$170; //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=(($171)|0); //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $173=$172; //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($173)>>2)]=$168; //@line 9200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $174=$pn1; //@line 9201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174+32)|0); //@line 9201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$175; //@line 9201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=(($176)|0); //@line 9201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=$177; //@line 9201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 9201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=(($179)|0)!=0; //@line 9201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($180) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 9201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      $1=0; //@line 9202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 9202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $183=$pn1; //@line 9204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=$pnp; //@line 9204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($184)>>2)]=$183; //@line 9204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 40; break; //@line 9205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      __label__ = 41; break;
    case 41: 
      var $187=$pn2; //@line 9206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=(($187+24)|0); //@line 9206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pnp=$188; //@line 9206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=$pnp; //@line 9207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 9207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$190; //@line 9207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $accum=0; //@line 9208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 9209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $192=$accum; //@line 9212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=(($192)|0)!=0; //@line 9212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($193) { __label__ = 43; break; } else { __label__ = 51; break; } //@line 9212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $195=$2; //@line 9214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=$accum; //@line 9214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js16AutoStringRooterC1EP9JSContextP8JSString($tvr, $195, $196); //@line 9214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$tt; //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=(($197)|0)==59; //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($198) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      var $200=$tt; //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=(($200)|0)==61; //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($201) { __label__ = 45; break; } else { __label__ = 47; break; } //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $203=$i; //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=(($203)|0)!=0; //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($204) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 9215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $206=$2; //@line 9216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=$i; //@line 9216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=$207 & 1; //@line 9216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $209=$accum; //@line 9216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $210=$str; //@line 9216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=__Z19js_AddAttributePartP9JSContextiP8JSStringS2_($206, $208, $209, $210); //@line 9216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218 = $211;__label__ = 48; break; //@line 9216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      var $213=$2; //@line 9217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=$accum; //@line 9217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=$str; //@line 9217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($213, $214, $215); //@line 9217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218 = $216;__label__ = 48; break; //@line 9217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $218; //@line 9217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$218; //@line 9217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js16AutoStringRooterD1Ev($tvr); //@line 9218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=$str; //@line 9219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=(($219)|0)!=0; //@line 9219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($220) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 9219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      $1=0; //@line 9220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 9220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $223=$j; //@line 9226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=(($223+1)|0); //@line 9226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $j=$224; //@line 9226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 51; break; //@line 9227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      var $226=$str; //@line 9228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $accum=$226; //@line 9228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 52; break; //@line 9229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $228=$pn2; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=(($228+24)|0); //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=HEAP32[(($229)>>2)]; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$230; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=$i; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=(($231+1)|0); //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $i=$232; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 9144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $234=$accum; //@line 9231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=(($234)|0)!=0; //@line 9231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($235) { __label__ = 54; break; } else { __label__ = 72; break; } //@line 9231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      $str=0; //@line 9232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=$3; //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=(($237+32)|0); //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=$238; //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=$239; //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=(($240+12)|0); //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=$241; //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=HEAP32[(($242)>>2)]; //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $244=$243 & 4095; //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=$244 & 2; //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=(($245)|0)==0; //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($246) { __label__ = 55; break; } else { __label__ = 62; break; } //@line 9233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $248=$tt; //@line 9234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=(($248)|0)==61; //@line 9234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($249) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 9234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $251=$2; //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=(($251+52)|0); //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=HEAP32[(($252)>>2)]; //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=(($253+209948)|0); //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=(($254+448)|0); //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $257=$256; //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$257; //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 61; break; //@line 9235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $259=$tt; //@line 9236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=(($259)|0)==59; //@line 9236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($260) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 9236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $262=$tt; //@line 9236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=(($262)|0)==60; //@line 9236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($263) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 9236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $265=$2; //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=(($265+52)|0); //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=HEAP32[(($266)>>2)]; //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=(($267+209948)|0); //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=(($268+472)|0); //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $270=HEAP32[(($269)>>2)]; //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $271=$270; //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $str=$271; //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 9237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      __label__ = 61; break;
    case 61: 
      __label__ = 62; break; //@line 9238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $275=$str; //@line 9239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=(($275)|0)!=0; //@line 9239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($276) { __label__ = 63; break; } else { __label__ = 66; break; } //@line 9239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $278=$2; //@line 9240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=$accum; //@line 9240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=$str; //@line 9240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($278, $279, $280); //@line 9240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $accum=$281; //@line 9240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=$accum; //@line 9241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=(($282)|0)!=0; //@line 9241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($283) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 9241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      $1=0; //@line 9242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 9242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      __label__ = 66; break; //@line 9243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      __label__ = 67; break; //@line 9246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      var $288=$pn1; //@line 9246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=(($288+24)|0); //@line 9246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=HEAP32[(($289)>>2)]; //@line 9246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=(($290)|0)!=0; //@line 9246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($291) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 9246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      var $293=$pn1; //@line 9247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=$4; //@line 9247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext($293, $294); //@line 9247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn1=$295; //@line 9247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=$3; //@line 9248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $297=(($296+32)|0); //@line 9248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $298=$297; //@line 9248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=(($298+8)|0); //@line 9248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=HEAP32[(($299)>>2)]; //@line 9248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=(($300-1)|0); //@line 9248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($299)>>2)]=$301; //@line 9248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 67; break; //@line 9249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $303=$pn1; //@line 9250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($303, 66); //@line 9250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=$pn1; //@line 9251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($304, 61); //@line 9251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=$pn1; //@line 9252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($305, 0); //@line 9252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=$2; //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=$accum; //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($306, $307, 0); //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=$pn1; //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=(($309+32)|0); //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=$310; //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $312=(($311)|0); //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313=$312; //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($313)>>2)]=$308; //@line 9253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=$pn1; //@line 9254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=(($314+32)|0); //@line 9254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $316=$315; //@line 9254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $317=(($316)|0); //@line 9254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $318=$317; //@line 9254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=HEAP32[(($318)>>2)]; //@line 9254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=(($319)|0)!=0; //@line 9254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($320) { __label__ = 71; break; } else { __label__ = 70; break; } //@line 9254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      $1=0; //@line 9255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 9255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      var $323=$pn1; //@line 9257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=$pnp; //@line 9257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($324)>>2)]=$323; //@line 9257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 72; break; //@line 9258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      var $326=$pn1; //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $327=(($326)|0)!=0; //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($327) { __label__ = 73; break; } else { __label__ = 80; break; } //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $329=$3; //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $330=(($329+32)|0); //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $331=$330; //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $332=(($331+8)|0); //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $333=HEAP32[(($332)>>2)]; //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=(($333)|0)==1; //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($334) { __label__ = 74; break; } else { __label__ = 80; break; } //@line 9260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $336=$3; //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $337=(($336+32)|0); //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=$337; //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=$338; //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=(($339+12)|0); //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=$340; //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=HEAP32[(($341)>>2)]; //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=$342 & 4095; //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=$343 & 32; //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=(($344)|0)!=0; //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($345) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 9268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $347=$3; //@line 9269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=$pn1; //@line 9269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6becomeEPS_($347, $348); //@line 9269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 79; break; //@line 9270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 76: 
      var $350=$tt; //@line 9270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $351=(($350)|0)==61; //@line 9270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($351) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 9270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 77: 
      var $353=$3; //@line 9271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($353, 75); //@line 9271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=$3; //@line 9272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($354, 178); //@line 9272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 78; break; //@line 9273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 78: 
      __label__ = 79; break;
    case 79: 
      __label__ = 80; break; //@line 9274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 80: 
      $1=1; //@line 9275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 81; break; //@line 9275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 81: 
      var $359=$1; //@line 9276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $359; //@line 9276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16FoldXMLConstantsP9JSContextP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZN2JSL11StringValueEP8JSString2910($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEC2ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIP12JSDefinitionEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIP12JSDefinitionEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZL22PrepareNodeForMutationP11JSParseNodeP13JSTreeContext($pn, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $stack=__stackBase__;
      $1=$pn;
      $2=$tc;
      var $3=$1; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=__ZNK11JSParseNode7isArityE16JSParseNodeArity($3, 0); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($4) { __label__ = 12; break; } else { __label__ = 2; break; } //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=$1; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZNK11JSParseNode7isArityE16JSParseNodeArity($6, 4); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $9=$1; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+32)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$12; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0)!=0; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $17=$1; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+32)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$20; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+24)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($23)>>2)]=0; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __label__ = 6; break; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      __ZN2js9NodeStackC1Ev($stack); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$1; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZL16PushNodeChildrenP11JSParseNodePN2js9NodeStackE($26, $stack); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 7; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $29=__ZN2js9NodeStack5emptyEv($stack); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29 ^ 1; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $32=__ZN2js9NodeStack3popEv($stack); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$32; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$1; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=__ZL16PushNodeChildrenP11JSParseNodePN2js9NodeStackE($33, $stack); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $36=$1; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$2; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL17AddNodeToFreeListP11JSParseNodeP13JSTreeContext($36, $37); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      __label__ = 7; break; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      STACKTOP = __stackBase__;
      return; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12switchAndAddERKS2_RKS4_($this, $key, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$key;
      $4=$value;
      var $5=$2;
      var $6=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE11switchToMapEv($5); //@line 109 "./mfbt/InlineMap.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 109 "./mfbt/InlineMap.h"
    case 2: 
      $1=0; //@line 110 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 110 "./mfbt/InlineMap.h"
    case 3: 
      var $9=(($5+200)|0); //@line 112 "./mfbt/InlineMap.h"
      var $10=$3; //@line 112 "./mfbt/InlineMap.h"
      var $11=$4; //@line 112 "./mfbt/InlineMap.h"
      var $12=__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKS4_($9, $10, $11); //@line 112 "./mfbt/InlineMap.h"
      $1=$12; //@line 112 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 112 "./mfbt/InlineMap.h"
    case 4: 
      var $14=$1; //@line 113 "./mfbt/InlineMap.h"
      ;
      return $14; //@line 113 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEENS_7MoveRefIT_EERSB_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEaSENS_7MoveRefIS8_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEaSENS_7MoveRefIS8_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEENS_7MoveRefIT_EERS8_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEaSENS_7MoveRefIS5_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEENS_7MoveRefIT_EERSB_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEC1ERS9_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free2911($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEC1ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEC2ERS9_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP6JSAtomEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP6JSAtomEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIP12JSDefinitionEENS_7MoveRefIT_EERS4_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIP12JSDefinitionEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIP12JSDefinitionEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIP12JSDefinitionEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIP12JSDefinitionEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIP12JSDefinitionEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 144 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 407 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 407 "./jshashtable.h"
  var $5=(($4)|0)!=0; //@line 407 "./jshashtable.h"
  var $6=$5 ^ 1; //@line 407 "./jshashtable.h"
  var $7=$6 ^ 1; //@line 407 "./jshashtable.h"
  ;
  return $7; //@line 407 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range13isInlineRangeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 364 "./mfbt/InlineMap.h"
  var $4=HEAP8[($3)]; //@line 364 "./mfbt/InlineMap.h"
  var $5=(($4) & 1); //@line 364 "./mfbt/InlineMap.h"
  ;
  return $5; //@line 364 "./mfbt/InlineMap.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5EntryC2ERKS2_RKS4_($this, $key, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$key;
  $3=$value;
  var $4=$1;
  var $5=(($4)|0); //@line 127 "./jsprvtd.h"
  var $6=$2; //@line 127 "./jsprvtd.h"
  HEAP32[(($5)>>2)]=$6; //@line 127 "./jsprvtd.h"
  var $7=(($4+4)|0); //@line 127 "./jsprvtd.h"
  var $8=$3; //@line 127 "./jsprvtd.h"
  HEAP32[(($7)>>2)]=$8; //@line 127 "./jsprvtd.h"
  ;
  return; //@line 127 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range16advancePastNullsEPNS5_10InlineElemE($this, $begin) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCur;
      $1=$this;
      $2=$begin;
      var $3=$1;
      var $4=$2; //@line 368 "./mfbt/InlineMap.h"
      $newCur=$4; //@line 368 "./mfbt/InlineMap.h"
      __label__ = 2; break; //@line 369 "./mfbt/InlineMap.h"
    case 2: 
      var $6=$newCur; //@line 369 "./mfbt/InlineMap.h"
      var $7=(($3+12)|0); //@line 369 "./mfbt/InlineMap.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 369 "./mfbt/InlineMap.h"
      var $9=(($6)>>>0) < (($8)>>>0); //@line 369 "./mfbt/InlineMap.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 369 "./mfbt/InlineMap.h"
    case 3: 
      var $11=$newCur; //@line 369 "./mfbt/InlineMap.h"
      var $12=(($11)|0); //@line 369 "./mfbt/InlineMap.h"
      var $13=HEAP32[(($12)>>2)]; //@line 369 "./mfbt/InlineMap.h"
      var $14=0==(($13)|0); //@line 369 "./mfbt/InlineMap.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $18=$newCur; //@line 370 "./mfbt/InlineMap.h"
      var $19=(($18+8)|0); //@line 370 "./mfbt/InlineMap.h"
      $newCur=$19; //@line 370 "./mfbt/InlineMap.h"
      __label__ = 2; break; //@line 370 "./mfbt/InlineMap.h"
    case 6: 
      var $21=$newCur; //@line 372 "./mfbt/InlineMap.h"
      var $22=(($3+8)|0); //@line 372 "./mfbt/InlineMap.h"
      HEAP32[(($22)>>2)]=$21; //@line 372 "./mfbt/InlineMap.h"
      ;
      return; //@line 373 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function _js_malloc2912($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE11switchToMapEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $it;
      var $end;
      $2=$this;
      var $3=$2;
      var $4=(($3+200)|0); //@line 88 "./mfbt/InlineMap.h"
      var $5=__ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv($4); //@line 88 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 88 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($3+200)|0); //@line 89 "./mfbt/InlineMap.h"
      __ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv($7); //@line 89 "./mfbt/InlineMap.h"
      __label__ = 6; break; //@line 90 "./mfbt/InlineMap.h"
    case 3: 
      var $9=(($3+200)|0); //@line 91 "./mfbt/InlineMap.h"
      var $10=__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5countEv($3); //@line 91 "./mfbt/InlineMap.h"
      var $11=__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($9, $10); //@line 91 "./mfbt/InlineMap.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 91 "./mfbt/InlineMap.h"
    case 4: 
      $1=0; //@line 92 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 92 "./mfbt/InlineMap.h"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $15=(($3+8)|0); //@line 96 "./mfbt/InlineMap.h"
      var $16=(($15)|0); //@line 96 "./mfbt/InlineMap.h"
      $it=$16; //@line 96 "./mfbt/InlineMap.h"
      var $17=(($3+8)|0); //@line 96 "./mfbt/InlineMap.h"
      var $18=(($17)|0); //@line 96 "./mfbt/InlineMap.h"
      var $19=(($3)|0); //@line 96 "./mfbt/InlineMap.h"
      var $20=HEAP32[(($19)>>2)]; //@line 96 "./mfbt/InlineMap.h"
      var $21=(($18+($20<<3))|0); //@line 96 "./mfbt/InlineMap.h"
      $end=$21; //@line 96 "./mfbt/InlineMap.h"
      __label__ = 7; break; //@line 96 "./mfbt/InlineMap.h"
    case 7: 
      var $23=$it; //@line 96 "./mfbt/InlineMap.h"
      var $24=$end; //@line 96 "./mfbt/InlineMap.h"
      var $25=(($23)|0)!=(($24)|0); //@line 96 "./mfbt/InlineMap.h"
      if ($25) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 96 "./mfbt/InlineMap.h"
    case 8: 
      var $27=$it; //@line 97 "./mfbt/InlineMap.h"
      var $28=(($27)|0); //@line 97 "./mfbt/InlineMap.h"
      var $29=HEAP32[(($28)>>2)]; //@line 97 "./mfbt/InlineMap.h"
      var $30=(($29)|0)!=0; //@line 97 "./mfbt/InlineMap.h"
      if ($30) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 97 "./mfbt/InlineMap.h"
    case 9: 
      var $32=(($3+200)|0); //@line 97 "./mfbt/InlineMap.h"
      var $33=$it; //@line 97 "./mfbt/InlineMap.h"
      var $34=(($33)|0); //@line 97 "./mfbt/InlineMap.h"
      var $35=$it; //@line 97 "./mfbt/InlineMap.h"
      var $36=(($35+4)|0); //@line 97 "./mfbt/InlineMap.h"
      var $37=__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKS4_($32, $34, $36); //@line 97 "./mfbt/InlineMap.h"
      if ($37) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 97 "./mfbt/InlineMap.h"
    case 10: 
      $1=0; //@line 98 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 98 "./mfbt/InlineMap.h"
    case 11: 
      __label__ = 12; break; //@line 99 "./mfbt/InlineMap.h"
    case 12: 
      var $41=$it; //@line 96 "./mfbt/InlineMap.h"
      var $42=(($41+8)|0); //@line 96 "./mfbt/InlineMap.h"
      $it=$42; //@line 96 "./mfbt/InlineMap.h"
      __label__ = 7; break; //@line 96 "./mfbt/InlineMap.h"
    case 13: 
      var $44=(($3)|0); //@line 101 "./mfbt/InlineMap.h"
      HEAP32[(($44)>>2)]=25; //@line 101 "./mfbt/InlineMap.h"
      $1=1; //@line 104 "./mfbt/InlineMap.h"
      __label__ = 14; break; //@line 104 "./mfbt/InlineMap.h"
    case 14: 
      var $46=$1; //@line 105 "./mfbt/InlineMap.h"
      ;
      return $46; //@line 105 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE11switchToMapEv["X"]=1;

function __ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKS4_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $p=__stackBase__;
  $1=$this;
  $2=$k;
  $3=$v;
  var $4=$1;
  var $5=$2; //@line 1150 "./jshashtable.h"
  __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($p, $4, $5); //@line 1150 "./jshashtable.h"
  var $6=$2; //@line 1152 "./jshashtable.h"
  var $7=$3; //@line 1152 "./jshashtable.h"
  var $8=__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($4, $p, $6, $7); //@line 1152 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1152 "./jshashtable.h"
}


function __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP6JSAtomLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP6JSAtomLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 987 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11initializedEv($3); //@line 987 "./jshashtable.h"
  ;
  return $4; //@line 987 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1112 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5clearEv($3); //@line 1112 "./jshashtable.h"
  ;
  return; //@line 1112 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E4initEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 608 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 608 "./jshashtable.h"
  var $5=$4; //@line 608 "./jshashtable.h"
  var $6=(($2+8)|0); //@line 608 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 608 "./jshashtable.h"
  var $8=(($7*12)|0); //@line 608 "./jshashtable.h"
  _memset($5, 0, $8, 1); //@line 608 "./jshashtable.h"
  var $9=(($2+20)|0); //@line 613 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 613 "./jshashtable.h"
  var $10=(($2+12)|0); //@line 614 "./jshashtable.h"
  HEAP32[(($10)>>2)]=0; //@line 614 "./jshashtable.h"
  ;
  return; //@line 618 "./jshashtable.h"
}


function __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtr5foundEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 202 "./mfbt/InlineMap.h"
      var $4=HEAP8[($3)]; //@line 202 "./mfbt/InlineMap.h"
      var $5=(($4) & 1); //@line 202 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 202 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($2+13)|0); //@line 202 "./mfbt/InlineMap.h"
      var $8=HEAP8[($7)]; //@line 202 "./mfbt/InlineMap.h"
      var $9=(($8) & 1); //@line 202 "./mfbt/InlineMap.h"
      var $15 = $9;__label__ = 4; break; //@line 202 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 202 "./mfbt/InlineMap.h"
      var $12=$11; //@line 202 "./mfbt/InlineMap.h"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($12); //@line 202 "./mfbt/InlineMap.h"
      var $15 = $13;__label__ = 4; break; //@line 202 "./mfbt/InlineMap.h"
    case 4: 
      var $15; //@line 202 "./mfbt/InlineMap.h"
      ;
      return $15; //@line 202 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E6AddPtrE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=$2; //@line 192 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E6AddPtrE($3, $4); //@line 192 "./jsprvtd.h"
  ;
  return; //@line 192 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC1EPNS5_10InlineElemEb($this, $ptr, $found) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ptr;
  var $4=(($found)&1);
  $3=$4;
  var $5=$1;
  var $6=$2; //@line 190 "./jsprvtd.h"
  var $7=$3; //@line 190 "./jsprvtd.h"
  var $8=(($7) & 1); //@line 190 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC2EPNS5_10InlineElemEb($5, $6, $8); //@line 190 "./jsprvtd.h"
  ;
  return; //@line 190 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC2EPNS5_10InlineElemEb($this, $ptr, $found) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$ptr;
  var $4=(($found)&1);
  $3=$4;
  var $5=$1;
  var $6=(($5)|0); //@line 190 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1Ev($6); //@line 190 "./jsprvtd.h"
  var $7=(($5+8)|0); //@line 190 "./jsprvtd.h"
  var $8=$2; //@line 190 "./jsprvtd.h"
  HEAP32[(($7)>>2)]=$8; //@line 190 "./jsprvtd.h"
  var $9=(($5+12)|0); //@line 190 "./jsprvtd.h"
  HEAP8[($9)]=1; //@line 190 "./jsprvtd.h"
  var $10=(($5+13)|0); //@line 190 "./jsprvtd.h"
  var $11=$3; //@line 190 "./jsprvtd.h"
  var $12=(($11) & 1); //@line 190 "./jsprvtd.h"
  var $13=(($12)&1); //@line 190 "./jsprvtd.h"
  HEAP8[($10)]=$13; //@line 190 "./jsprvtd.h"
  ;
  return; //@line 190 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2Ev($2); //@line 170 "./jshashtable.h"
  ;
  return; //@line 170 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 170 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2Ev($3); //@line 170 "./jshashtable.h"
  ;
  return; //@line 170 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E6AddPtrE($this, $p) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$p;
  var $3=$1;
  var $4=(($3)|0); //@line 192 "./jsprvtd.h"
  var $5=$2; //@line 192 "./jsprvtd.h"
  var $6=$4; //@line 192 "./jsprvtd.h"
  var $7=$5; //@line 192 "./jsprvtd.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 192 "./jsprvtd.h"
  var $8=(($3+12)|0); //@line 192 "./jsprvtd.h"
  HEAP8[($8)]=0; //@line 192 "./jsprvtd.h"
  ;
  return; //@line 192 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5EntryC1ERKS2_RKS4_($this, $key, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$key;
  $3=$value;
  var $4=$1;
  var $5=$2; //@line 127 "./jsprvtd.h"
  var $6=$3; //@line 127 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5EntryC2ERKS2_RKS4_($4, $5, $6); //@line 127 "./jsprvtd.h"
  ;
  return; //@line 127 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range10bumpCurPtrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 377 "./mfbt/InlineMap.h"
  var $4=HEAP32[(($3)>>2)]; //@line 377 "./mfbt/InlineMap.h"
  var $5=(($4+8)|0); //@line 377 "./mfbt/InlineMap.h"
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range16advancePastNullsEPNS5_10InlineElemE($2, $5); //@line 377 "./mfbt/InlineMap.h"
  ;
  return; //@line 378 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+12)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E5RangeE($this, $r) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $r; $r = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($r)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($r+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E5RangeE($2, $r); //@line 346 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 346 "./jsprvtd.h"
}


function __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC1EPKNS5_10InlineElemES9_($this, $begin, $end_) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$end_;
  var $4=$1;
  var $5=$2; //@line 354 "./jsprvtd.h"
  var $6=$3; //@line 354 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC2EPKNS5_10InlineElemES9_($4, $5, $6); //@line 354 "./jsprvtd.h"
  ;
  return; //@line 354 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC2EPKNS5_10InlineElemES9_($this, $begin, $end_) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$end_;
  var $4=$1;
  var $5=(($4)|0); //@line 351 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC1Ev($5); //@line 351 "./jsprvtd.h"
  var $6=(($4+8)|0); //@line 351 "./jsprvtd.h"
  var $7=$2; //@line 351 "./jsprvtd.h"
  HEAP32[(($6)>>2)]=$7; //@line 351 "./jsprvtd.h"
  var $8=(($4+12)|0); //@line 351 "./jsprvtd.h"
  var $9=$3; //@line 351 "./jsprvtd.h"
  HEAP32[(($8)>>2)]=$9; //@line 351 "./jsprvtd.h"
  var $10=(($4+16)|0); //@line 351 "./jsprvtd.h"
  HEAP8[($10)]=1; //@line 351 "./jsprvtd.h"
  var $11=(($4+8)|0); //@line 352 "./mfbt/InlineMap.h"
  var $12=HEAP32[(($11)>>2)]; //@line 352 "./mfbt/InlineMap.h"
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range16advancePastNullsEPNS5_10InlineElemE($4, $12); //@line 352 "./mfbt/InlineMap.h"
  ;
  return; //@line 354 "./mfbt/InlineMap.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 192 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 192 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 192 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 192 "./jshashtable.h"
  ;
  return; //@line 192 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+12)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEaSERKS5_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=$2; //@line 907 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 907 "./jshashtable.h"
  var $10=HEAP32[(($9)>>2)]; //@line 907 "./jshashtable.h"
  var $11=(($3+4)|0); //@line 907 "./jshashtable.h"
  HEAP32[(($11)>>2)]=$10; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC2Ev($2); //@line 192 "./jshashtable.h"
  ;
  return; //@line 192 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+8)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*12)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+12)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E5RangeE($this, $r) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $r; $r = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($r)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($r+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 343 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC1Ev($3); //@line 343 "./jsprvtd.h"
  var $4=(($2+8)|0); //@line 343 "./jsprvtd.h"
  HEAP32[(($4)>>2)]=0; //@line 343 "./jsprvtd.h"
  var $5=(($2+12)|0); //@line 343 "./jsprvtd.h"
  HEAP32[(($5)>>2)]=0; //@line 343 "./jsprvtd.h"
  var $6=(($2+16)|0); //@line 343 "./jsprvtd.h"
  HEAP8[($6)]=0; //@line 343 "./jsprvtd.h"
  var $7=(($2)|0); //@line 344 "./mfbt/InlineMap.h"
  var $8=$7; //@line 344 "./mfbt/InlineMap.h"
  var $9=$r; //@line 344 "./mfbt/InlineMap.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 344 "./mfbt/InlineMap.h"
  STACKTOP = __stackBase__;
  return; //@line 346 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6lookupERKS2_($agg_result, $this, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $it;
      var $end;
      $1=$this;
      $2=$key;
      var $4=$1;
      var $5=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE8usingMapEv($4); //@line 251 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 251 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($4+200)|0); //@line 252 "./mfbt/InlineMap.h"
      var $8=$2; //@line 252 "./mfbt/InlineMap.h"
      __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($3, $7, $8); //@line 252 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E3PtrE($agg_result, $3); //@line 252 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 252 "./mfbt/InlineMap.h"
    case 3: 
      var $10=(($4+8)|0); //@line 254 "./mfbt/InlineMap.h"
      var $11=(($10)|0); //@line 254 "./mfbt/InlineMap.h"
      $it=$11; //@line 254 "./mfbt/InlineMap.h"
      var $12=(($4+8)|0); //@line 254 "./mfbt/InlineMap.h"
      var $13=(($12)|0); //@line 254 "./mfbt/InlineMap.h"
      var $14=(($4)|0); //@line 254 "./mfbt/InlineMap.h"
      var $15=HEAP32[(($14)>>2)]; //@line 254 "./mfbt/InlineMap.h"
      var $16=(($13+($15<<3))|0); //@line 254 "./mfbt/InlineMap.h"
      $end=$16; //@line 254 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 254 "./mfbt/InlineMap.h"
    case 4: 
      var $18=$it; //@line 254 "./mfbt/InlineMap.h"
      var $19=$end; //@line 254 "./mfbt/InlineMap.h"
      var $20=(($18)|0)!=(($19)|0); //@line 254 "./mfbt/InlineMap.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 254 "./mfbt/InlineMap.h"
    case 5: 
      var $22=$it; //@line 255 "./mfbt/InlineMap.h"
      var $23=(($22)|0); //@line 255 "./mfbt/InlineMap.h"
      var $24=HEAP32[(($23)>>2)]; //@line 255 "./mfbt/InlineMap.h"
      var $25=$2; //@line 255 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 255 "./mfbt/InlineMap.h"
      var $27=(($24)|0)==(($26)|0); //@line 255 "./mfbt/InlineMap.h"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 255 "./mfbt/InlineMap.h"
    case 6: 
      var $29=$it; //@line 256 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1EPNS5_10InlineElemE($agg_result, $29); //@line 256 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 256 "./mfbt/InlineMap.h"
    case 7: 
      __label__ = 8; break; //@line 257 "./mfbt/InlineMap.h"
    case 8: 
      var $32=$it; //@line 254 "./mfbt/InlineMap.h"
      var $33=(($32+8)|0); //@line 254 "./mfbt/InlineMap.h"
      $it=$33; //@line 254 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 254 "./mfbt/InlineMap.h"
    case 9: 
      __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1EPNS5_10InlineElemE($agg_result, 0); //@line 259 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 259 "./mfbt/InlineMap.h"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 260 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrcvPPPPPPPS6_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3Ptr5foundEv($2); //@line 164 "./mfbt/InlineMap.h"
  var $4=(($3)&1); //@line 164 "./mfbt/InlineMap.h"
  var $5=$4; //@line 164 "./mfbt/InlineMap.h"
  ;
  return $5; //@line 164 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeENS5_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($p+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($p+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=(($p+8)|0); //@line 316 "./mfbt/InlineMap.h"
      var $5=HEAP8[($4)]; //@line 316 "./mfbt/InlineMap.h"
      var $6=(($5) & 1); //@line 316 "./mfbt/InlineMap.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 316 "./mfbt/InlineMap.h"
    case 2: 
      var $8=(($p+4)|0); //@line 319 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 319 "./mfbt/InlineMap.h"
      var $10=(($9)|0); //@line 319 "./mfbt/InlineMap.h"
      HEAP32[(($10)>>2)]=0; //@line 319 "./mfbt/InlineMap.h"
      var $11=(($3+4)|0); //@line 320 "./mfbt/InlineMap.h"
      var $12=HEAP32[(($11)>>2)]; //@line 320 "./mfbt/InlineMap.h"
      var $13=(($12-1)|0); //@line 320 "./mfbt/InlineMap.h"
      HEAP32[(($11)>>2)]=$13; //@line 320 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 321 "./mfbt/InlineMap.h"
    case 3: 
      var $15=(($3+200)|0); //@line 324 "./mfbt/InlineMap.h"
      var $16=(($p)|0); //@line 324 "./mfbt/InlineMap.h"
      var $17=$2; //@line 324 "./mfbt/InlineMap.h"
      var $18=$16; //@line 324 "./mfbt/InlineMap.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)]; //@line 324 "./mfbt/InlineMap.h"
      __ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE($15, $2); //@line 324 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 325 "./mfbt/InlineMap.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 325 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+20)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+12)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEaSERKS5_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEaSERKS5_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3Ptr5foundEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 160 "./mfbt/InlineMap.h"
      var $4=HEAP8[($3)]; //@line 160 "./mfbt/InlineMap.h"
      var $5=(($4) & 1); //@line 160 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 160 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($2+4)|0); //@line 160 "./mfbt/InlineMap.h"
      var $8=HEAP32[(($7)>>2)]; //@line 160 "./mfbt/InlineMap.h"
      var $9=(($8)|0)!=0; //@line 160 "./mfbt/InlineMap.h"
      var $14 = $9;__label__ = 4; break; //@line 160 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 160 "./mfbt/InlineMap.h"
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($11); //@line 160 "./mfbt/InlineMap.h"
      var $14 = $12;__label__ = 4; break; //@line 160 "./mfbt/InlineMap.h"
    case 4: 
      var $14; //@line 160 "./mfbt/InlineMap.h"
      ;
      return $14; //@line 160 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E3PtrE($2, $p); //@line 144 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 144 "./jsprvtd.h"
}


function __ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1EPNS5_10InlineElemE($this, $ie) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ie;
  var $3=$1;
  var $4=$2; //@line 145 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2EPNS5_10InlineElemE($3, $4); //@line 145 "./jsprvtd.h"
  ;
  return; //@line 145 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2EPNS5_10InlineElemE($this, $ie) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ie;
  var $3=$1;
  var $4=(($3)|0); //@line 145 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1Ev($4); //@line 145 "./jsprvtd.h"
  var $5=(($3+4)|0); //@line 145 "./jsprvtd.h"
  var $6=$2; //@line 145 "./jsprvtd.h"
  HEAP32[(($5)>>2)]=$6; //@line 145 "./jsprvtd.h"
  var $7=(($3+8)|0); //@line 145 "./jsprvtd.h"
  HEAP8[($7)]=1; //@line 145 "./jsprvtd.h"
  ;
  return; //@line 145 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2Ev($2); //@line 144 "./jshashtable.h"
  ;
  return; //@line 144 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 144 "./jsprvtd.h"
  var $4=$3; //@line 144 "./jsprvtd.h"
  var $5=$p; //@line 144 "./jsprvtd.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 144 "./jsprvtd.h"
  var $6=(($2+8)|0); //@line 144 "./jsprvtd.h"
  HEAP8[($6)]=0; //@line 144 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 144 "./mfbt/InlineMap.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj64EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj16ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj16ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc2913($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj64EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=16; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js9NodeStackC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9NodeStackC2Ev($2); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2930($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2935($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11JS_ON_TRACEPK9JSContext2939($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2931($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js9NodeStack5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=(($4)|0)==0; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $5; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js9NodeStack3popEv($this) {
  ;
  var __label__;

  var $1;
  var $hold;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  $hold=$4; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=(($2)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=(($6+24)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=(($2)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($9)>>2)]=$8; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=$hold; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return $10; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js9NodeStack8pushListEP11JSParseNode($this, $pn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pn;
  var $3=$1;
  var $4=(($3)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=$2; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=(($6+32)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=$7; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=(($8+4)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($10)>>2)]=$5; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $11=$2; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $12=(($11+32)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $13=$12; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $14=(($13)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $15=HEAP32[(($14)>>2)]; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $16=(($3)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($16)>>2)]=$15; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js9NodeStack4pushEP11JSParseNode($this, $pn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pn;
  var $3=$1;
  var $4=(($3)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=$2; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $7=(($6+24)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($7)>>2)]=$5; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $8=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=(($3)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($9)>>2)]=$8; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js9NodeStackC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($3)>>2)]=0; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function _JSVAL_TO_OBJECT_IMPL2914($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL2915($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZL18JSDOUBLE_IS_FINITEd2916($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZL15JSDOUBLE_IS_NEGd2917($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 116 "./jsnum.h"
  var $3=$u; //@line 116 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 116 "./jsnum.h"
  var $4=$u; //@line 117 "./jsnum.h"
  var $5=(($4+4)|0); //@line 117 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 117 "./jsnum.h"
  var $7=$6 & -2147483648; //@line 117 "./jsnum.h"
  var $8=(($7)|0)!=0; //@line 117 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 117 "./jsnum.h"
}


function _JSVAL_TO_INT32_IMPL2919($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL2920($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL2921($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL2924($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL2926($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb2927($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL2934($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL2936($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZL16PushNodeChildrenP11JSParseNodePN2js9NodeStackE($pn, $stack) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$pn;
      $3=$stack;
      var $4=$2; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=__ZNK11JSParseNode8getArityEv($4); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($5)|0) == 4) {
        __label__ = 2; break;
      }
      else if ((($5)|0) == 6) {
        __label__ = 3; break;
      }
      else if ((($5)|0) == 5) {
        __label__ = 8; break;
      }
      else if ((($5)|0) == 3) {
        __label__ = 9; break;
      }
      else if ((($5)|0) == 2) {
        __label__ = 10; break;
      }
      else if ((($5)|0) == 1) {
        __label__ = 13; break;
      }
      else if ((($5)|0) == 0) {
        __label__ = 14; break;
      }
      else {
      __label__ = 17; break;
      }
      
    case 2: 
      var $7=$2; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+32)|0); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9)|0); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($11)>>2)]=0; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$3; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$2; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+32)|0); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$14; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+4)|0); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($12, $18); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$2; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+32)|0); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$20; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21+4)|0); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($23)>>2)]=0; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $25=$2; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZNK11JSParseNode6isUsedEv($25); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $28=$3; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$2; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29+32)|0); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=(($31+4)|0); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($28, $34); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$2; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=(($35+32)|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$36; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+4)|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($39)>>2)]=0; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $41=$2; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZNK11JSParseNode6isUsedEv($41); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($42) { var $48 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $44=$2; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=__ZNK11JSParseNode6isDefnEv($44); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45 ^ 1; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48 = $46;__label__ = 7; break;
    case 7: 
      var $48;
      $1=$48;
      __label__ = 19; break;
    case 8: 
      var $50=$3; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$2; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack8pushListEP11JSParseNode($50, $51); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $53=$3; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$2; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54+32)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($53, $58); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$3; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$2; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60+32)|0); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$61; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=(($62+4)|0); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($59, $64); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$3; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=$2; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66+32)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$67; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=(($68+8)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($65, $70); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $72=$2; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72+32)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$2; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=(($77+32)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$78; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79+4)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($76)|0)!=(($81)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($82) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $84=$3; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$2; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=(($85+32)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$86; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=(($87)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($84, $89); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $91=$3; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=$2; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=(($92+32)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=$93; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $95=(($94+4)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($91, $96); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $98=$3; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=$2; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=(($99+32)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=$100; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=(($101)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($98, $103); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $105=$2; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=__ZNK11JSParseNode6isUsedEv($105); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($106) { var $112 = 0;__label__ = 16; break; } else { __label__ = 15; break; } //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $108=$2; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=__ZNK11JSParseNode6isDefnEv($108); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109 ^ 1; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112 = $110;__label__ = 16; break;
    case 16: 
      var $112;
      $1=$112;
      __label__ = 19; break;
    case 17: 
      __label__ = 18; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      $1=1; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 19; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      var $116=$1; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $116; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16PushNodeChildrenP11JSParseNodePN2js9NodeStackE["X"]=1;

function __ZL17AddNodeToFreeListP11JSParseNodeP13JSTreeContext($pn, $tc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$pn;
  $2=$tc;
  var $3=$1; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $4=$2; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $5=(($4+48)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  __ZL17AddNodeToFreeListP11JSParseNodePN2js6ParserE($3, $6); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js9NodeStack14pushUnlessNullEP11JSParseNode($this, $pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$pn;
      var $3=$1;
      var $4=$2; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4)|0)!=0; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $7=$2; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN2js9NodeStack4pushEP11JSParseNode($3, $7); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      ;
      return; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16AutoStringRooterC1EP9JSContextP8JSString($this, $cx, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$str;
  var $4=$1;
  var $5=$2; //@line 1597 "./jscntxt.h"
  var $6=$3; //@line 1597 "./jscntxt.h"
  __ZN2js16AutoStringRooterC2EP9JSContextP8JSString($4, $5, $6); //@line 1597 "./jscntxt.h"
  ;
  return; //@line 1597 "./jscntxt.h"
}


function __ZN2js16AutoStringRooterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js16AutoStringRooterD2Ev($2); //@line 1590 "./jscntxt.h"
  ;
  return; //@line 1590 "./jscntxt.h"
}


function __ZN2js16AutoStringRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1590 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($3); //@line 1590 "./jscntxt.h"
  ;
  return; //@line 1590 "./jscntxt.h"
}


function __ZN2js16AutoStringRooterC2EP9JSContextP8JSString($this, $cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$str;
      var $4=$1;
      var $5=$4; //@line 1595 "./jscntxt.h"
      var $6=$2; //@line 1595 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($5, $6, -14); //@line 1595 "./jscntxt.h"
      var $7=(($4+12)|0); //@line 1595 "./jscntxt.h"
      var $8=$3; //@line 1595 "./jscntxt.h"
      HEAP32[(($7)>>2)]=$8; //@line 1595 "./jscntxt.h"
      __label__ = 2; break; //@line 1596 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1596 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1597 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7js_fmoddd2918($d, $d2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$d;
  $2=$d2;
  var $3=$1; //@line 87 "./jslibmath.h"
  var $4=$2; //@line 87 "./jslibmath.h"
  var $5=_fmod($3, $4); //@line 87 "./jslibmath.h"
  ;
  return $5; //@line 87 "./jslibmath.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2922($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb2927($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2928($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2JSL12BooleanValueEb2923($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2JSL10Int32ValueEi2925($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2928($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2929($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2928["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2929($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2930($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2931($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2929["X"]=1;

function _js_calloc2932($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2933($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv2937($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2jsL17CheckStringLengthEP9JSContextj2938($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext2939($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL13VersionNumberE9JSVersion2944($version) {
  ;
  var __label__;

  var $1;
  $1=$version;
  var $2=$1; //@line 866 "./jscntxt.h"
  var $3=$2 & 4095; //@line 866 "./jscntxt.h"
  ;
  return $3; //@line 866 "./jscntxt.h"
}


function __ZN2jsL13VersionHasXMLE9JSVersion2945($version) {
  ;
  var __label__;

  var $1;
  $1=$version;
  var $2=$1; //@line 872 "./jscntxt.h"
  var $3=$2 & 4096; //@line 872 "./jscntxt.h"
  var $4=(($3)|0)!=0; //@line 872 "./jscntxt.h"
  var $5=$4 ^ 1; //@line 872 "./jscntxt.h"
  var $6=$5 ^ 1; //@line 872 "./jscntxt.h"
  ;
  return $6; //@line 872 "./jscntxt.h"
}


function _JSID_IS_INT2946($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT2947($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_STRING2948($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_STRING2950($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZN11JSParseNode7setUsedEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 378 "./jsparse.h"
  var $6=(($5) & 1); //@line 378 "./jsparse.h"
  var $7=(($6)&1); //@line 378 "./jsparse.h"
  var $8=$7 & 1; //@line 378 "./jsparse.h"
  var $9=$4; //@line 378 "./jsparse.h"
  var $10=$8 & 1; //@line 378 "./jsparse.h"
  var $11=$10 << 30; //@line 378 "./jsparse.h"
  var $12=HEAP32[(($9)>>2)]; //@line 378 "./jsparse.h"
  var $13=$12 & -1073741825; //@line 378 "./jsparse.h"
  var $14=$13 | $11; //@line 378 "./jsparse.h"
  HEAP32[(($9)>>2)]=$14; //@line 378 "./jsparse.h"
  ;
  return; //@line 378 "./jsparse.h"
}


function _DOUBLE_TO_JSVAL_IMPL2941($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZN2js14MultiDeclRangeC2EPNS_12AtomDeclNodeE($this, $node) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$node;
  var $3=$1;
  var $4=(($3)|0); //@line 358 "./frontend/ParseMaps.h"
  var $5=$2; //@line 358 "./frontend/ParseMaps.h"
  HEAP32[(($4)>>2)]=$5; //@line 358 "./frontend/ParseMaps.h"
  var $6=(($3+4)|0); //@line 358 "./frontend/ParseMaps.h"
  var $7=$2; //@line 358 "./frontend/ParseMaps.h"
  var $8=(($7)|0); //@line 358 "./frontend/ParseMaps.h"
  var $9=HEAP32[(($8)>>2)]; //@line 358 "./frontend/ParseMaps.h"
  HEAP32[(($6)>>2)]=$9; //@line 358 "./frontend/ParseMaps.h"
  ;
  return; //@line 358 "./frontend/ParseMaps.h"
}


function __ZN2js14MultiDeclRangeC2EP12JSDefinition($this, $defn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$defn;
  var $3=$1;
  var $4=(($3)|0); //@line 357 "./frontend/ParseMaps.h"
  HEAP32[(($4)>>2)]=0; //@line 357 "./frontend/ParseMaps.h"
  var $5=(($3+4)|0); //@line 357 "./frontend/ParseMaps.h"
  var $6=$2; //@line 357 "./frontend/ParseMaps.h"
  HEAP32[(($5)>>2)]=$6; //@line 357 "./frontend/ParseMaps.h"
  ;
  return; //@line 357 "./frontend/ParseMaps.h"
}


function _JSVAL_TO_STRING_IMPL2942($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL2943($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function __ZN2js11TokenStream7setFlagEbNS_16TokenStreamFlagsE($this, $enabled, $flag) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      var $4=(($enabled)&1);
      $2=$4;
      $3=$flag;
      var $5=$1;
      var $6=$2; //@line 396 "./jsscan.h"
      var $7=(($6) & 1); //@line 396 "./jsscan.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 396 "./jsscan.h"
    case 2: 
      var $9=$3; //@line 397 "./jsscan.h"
      var $10=(($5+144)|0); //@line 397 "./jsscan.h"
      var $11=HEAP32[(($10)>>2)]; //@line 397 "./jsscan.h"
      var $12=$11 | $9; //@line 397 "./jsscan.h"
      HEAP32[(($10)>>2)]=$12; //@line 397 "./jsscan.h"
      __label__ = 4; break; //@line 397 "./jsscan.h"
    case 3: 
      var $14=$3; //@line 399 "./jsscan.h"
      var $15=$14 ^ -1; //@line 399 "./jsscan.h"
      var $16=(($5+144)|0); //@line 399 "./jsscan.h"
      var $17=HEAP32[(($16)>>2)]; //@line 399 "./jsscan.h"
      var $18=$17 & $15; //@line 399 "./jsscan.h"
      HEAP32[(($16)>>2)]=$18; //@line 399 "./jsscan.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 400 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11GenexpGuardC2EP13JSTreeContext($this, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$tc;
      var $3=$1;
      var $4=(($3)|0); //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=$2; //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($4)>>2)]=$5; //@line 6721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$2; //@line 6722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+12)|0); //@line 6722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 6722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)==0; //@line 6722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $11=$2; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11+20)|0); //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($12)>>2)]=0; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$2; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+16)|0); //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($14)>>2)]=0; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$2; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+56)|0); //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($16)>>2)]=0; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$2; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+52)|0); //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($18)>>2)]=0; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $20=$2; //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+16)|0); //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($3+4)|0); //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$2; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24+20)|0); //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($3+8)|0); //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$2; //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+12)|0); //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+1)|0); //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($29)>>2)]=$31; //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return; //@line 6729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN20CompExprTransplanterC2EP11JSParseNodeP13JSTreeContextbj($this, $pn, $tc, $ge, $adj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$pn;
  $3=$tc;
  var $6=(($ge)&1);
  $4=$6;
  $5=$adj;
  var $7=$1;
  var $8=(($7)|0); //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $9=$2; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $10=(($7+4)|0); //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $11=$3; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($10)>>2)]=$11; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $12=(($7+8)|0); //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $13=$4; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $14=(($13) & 1); //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $15=(($14)&1); //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP8[($12)]=$15; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $16=(($7+12)|0); //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $17=$5; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($16)>>2)]=$17; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  var $18=(($7+16)|0); //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP32[(($18)>>2)]=0; //@line 6690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 6691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function __ZN2js8TokenPtrltERKS0_($this, $bptr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$bptr;
      var $3=$1;
      var $4=(($3+4)|0); //@line 188 "./jsscan.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 188 "./jsscan.h"
      var $6=$2; //@line 188 "./jsscan.h"
      var $7=(($6+4)|0); //@line 188 "./jsscan.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 188 "./jsscan.h"
      var $9=(($5)>>>0) < (($8)>>>0); //@line 188 "./jsscan.h"
      if ($9) { var $27 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 188 "./jsscan.h"
    case 2: 
      var $11=(($3+4)|0); //@line 188 "./jsscan.h"
      var $12=HEAP32[(($11)>>2)]; //@line 188 "./jsscan.h"
      var $13=$2; //@line 188 "./jsscan.h"
      var $14=(($13+4)|0); //@line 188 "./jsscan.h"
      var $15=HEAP32[(($14)>>2)]; //@line 188 "./jsscan.h"
      var $16=(($12)|0)==(($15)|0); //@line 188 "./jsscan.h"
      if ($16) { __label__ = 3; break; } else { var $25 = 0;__label__ = 4; break; } //@line 188 "./jsscan.h"
    case 3: 
      var $18=(($3)|0); //@line 188 "./jsscan.h"
      var $19=HEAPU32[(($18)>>2)]; //@line 188 "./jsscan.h"
      var $20=$2; //@line 188 "./jsscan.h"
      var $21=(($20)|0); //@line 188 "./jsscan.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 188 "./jsscan.h"
      var $23=(($19)>>>0) < (($22)>>>0); //@line 188 "./jsscan.h"
      var $25 = $23;__label__ = 4; break;
    case 4: 
      var $25;
      var $27 = $25;__label__ = 5; break;
    case 5: 
      var $27;
      ;
      return $27; //@line 190 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL22GetGlobalForScopeChainEP9JSContext2940($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $scope=__stackBase__;
      $2=$cx;
      var $3=$2; //@line 87 "./jscntxtinlines.h"
      var $4=__ZNK9JSContext5hasfpEv($3); //@line 87 "./jscntxtinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 87 "./jscntxtinlines.h"
    case 2: 
      var $6=$2; //@line 88 "./jscntxtinlines.h"
      var $7=__ZNK9JSContext2fpEv($6); //@line 88 "./jscntxtinlines.h"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 88 "./jscntxtinlines.h"
      var $9=__ZNK8JSObject9getGlobalEv($8); //@line 88 "./jscntxtinlines.h"
      $1=$9; //@line 88 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 88 "./jscntxtinlines.h"
    case 3: 
      var $11=$2; //@line 90 "./jscntxtinlines.h"
      var $12=(($11+132)|0); //@line 90 "./jscntxtinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 90 "./jscntxtinlines.h"
      HEAP32[(($scope)>>2)]=$13; //@line 90 "./jscntxtinlines.h"
      var $14=$2; //@line 91 "./jscntxtinlines.h"
      var $15=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($14, $scope); //@line 91 "./jscntxtinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 91 "./jscntxtinlines.h"
    case 4: 
      $1=0; //@line 92 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 92 "./jscntxtinlines.h"
    case 5: 
      var $18=HEAP32[(($scope)>>2)]; //@line 93 "./jscntxtinlines.h"
      var $19=__ZN8JSObject8asGlobalEv($18); //@line 93 "./jscntxtinlines.h"
      $1=$19; //@line 93 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 93 "./jscntxtinlines.h"
    case 6: 
      var $21=$1; //@line 94 "./jscntxtinlines.h"
      STACKTOP = __stackBase__;
      return $21; //@line 94 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6lookupERKS2_($agg_result, $this, $key) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $it;
      var $end;
      $1=$this;
      $2=$key;
      var $4=$1;
      var $5=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE8usingMapEv($4); //@line 251 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 251 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($4+200)|0); //@line 252 "./mfbt/InlineMap.h"
      var $8=$2; //@line 252 "./mfbt/InlineMap.h"
      __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($3, $7, $8); //@line 252 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E3PtrE($agg_result, $3); //@line 252 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 252 "./mfbt/InlineMap.h"
    case 3: 
      var $10=(($4+8)|0); //@line 254 "./mfbt/InlineMap.h"
      var $11=(($10)|0); //@line 254 "./mfbt/InlineMap.h"
      $it=$11; //@line 254 "./mfbt/InlineMap.h"
      var $12=(($4+8)|0); //@line 254 "./mfbt/InlineMap.h"
      var $13=(($12)|0); //@line 254 "./mfbt/InlineMap.h"
      var $14=(($4)|0); //@line 254 "./mfbt/InlineMap.h"
      var $15=HEAP32[(($14)>>2)]; //@line 254 "./mfbt/InlineMap.h"
      var $16=(($13+($15<<3))|0); //@line 254 "./mfbt/InlineMap.h"
      $end=$16; //@line 254 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 254 "./mfbt/InlineMap.h"
    case 4: 
      var $18=$it; //@line 254 "./mfbt/InlineMap.h"
      var $19=$end; //@line 254 "./mfbt/InlineMap.h"
      var $20=(($18)|0)!=(($19)|0); //@line 254 "./mfbt/InlineMap.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 254 "./mfbt/InlineMap.h"
    case 5: 
      var $22=$it; //@line 255 "./mfbt/InlineMap.h"
      var $23=(($22)|0); //@line 255 "./mfbt/InlineMap.h"
      var $24=HEAP32[(($23)>>2)]; //@line 255 "./mfbt/InlineMap.h"
      var $25=$2; //@line 255 "./mfbt/InlineMap.h"
      var $26=HEAP32[(($25)>>2)]; //@line 255 "./mfbt/InlineMap.h"
      var $27=(($24)|0)==(($26)|0); //@line 255 "./mfbt/InlineMap.h"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 255 "./mfbt/InlineMap.h"
    case 6: 
      var $29=$it; //@line 256 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC1EPNS4_10InlineElemE($agg_result, $29); //@line 256 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 256 "./mfbt/InlineMap.h"
    case 7: 
      __label__ = 8; break; //@line 257 "./mfbt/InlineMap.h"
    case 8: 
      var $32=$it; //@line 254 "./mfbt/InlineMap.h"
      var $33=(($32+8)|0); //@line 254 "./mfbt/InlineMap.h"
      $it=$33; //@line 254 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 254 "./mfbt/InlineMap.h"
    case 9: 
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC1EPNS4_10InlineElemE($agg_result, 0); //@line 259 "./mfbt/InlineMap.h"
      __label__ = 10; break; //@line 259 "./mfbt/InlineMap.h"
    case 10: 
      STACKTOP = __stackBase__;
      return; //@line 260 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrcvPPPPPPPS5_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5foundEv($2); //@line 164 "./mfbt/InlineMap.h"
  var $4=(($3)&1); //@line 164 "./mfbt/InlineMap.h"
  var $5=$4; //@line 164 "./mfbt/InlineMap.h"
  ;
  return $5; //@line 164 "./mfbt/InlineMap.h"
}


function __ZN2js14MultiDeclRangeC1EP12JSDefinition($this, $defn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$defn;
  var $3=$1;
  var $4=$2; //@line 357 "./frontend/ParseMaps.h"
  __ZN2js14MultiDeclRangeC2EP12JSDefinition($3, $4); //@line 357 "./frontend/ParseMaps.h"
  ;
  return; //@line 357 "./frontend/ParseMaps.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 174 "./mfbt/InlineMap.h"
      var $4=HEAP8[($3)]; //@line 174 "./mfbt/InlineMap.h"
      var $5=(($4) & 1); //@line 174 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 174 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($2+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $8=HEAP32[(($7)>>2)]; //@line 174 "./mfbt/InlineMap.h"
      var $9=(($8+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $15 = $9;__label__ = 4; break; //@line 174 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 174 "./mfbt/InlineMap.h"
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrptEv($11); //@line 174 "./mfbt/InlineMap.h"
      var $13=(($12+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $15 = $13;__label__ = 4; break; //@line 174 "./mfbt/InlineMap.h"
    case 4: 
      var $15; //@line 174 "./mfbt/InlineMap.h"
      ;
      return $15; //@line 174 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14MultiDeclRangeC1EPNS_12AtomDeclNodeE($this, $node) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$node;
  var $3=$1;
  var $4=$2; //@line 358 "./frontend/ParseMaps.h"
  __ZN2js14MultiDeclRangeC2EPNS_12AtomDeclNodeE($3, $4); //@line 358 "./frontend/ParseMaps.h"
  ;
  return; //@line 358 "./frontend/ParseMaps.h"
}


function __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5foundEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 160 "./mfbt/InlineMap.h"
      var $4=HEAP8[($3)]; //@line 160 "./mfbt/InlineMap.h"
      var $5=(($4) & 1); //@line 160 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 160 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($2+4)|0); //@line 160 "./mfbt/InlineMap.h"
      var $8=HEAP32[(($7)>>2)]; //@line 160 "./mfbt/InlineMap.h"
      var $9=(($8)|0)!=0; //@line 160 "./mfbt/InlineMap.h"
      var $14 = $9;__label__ = 4; break; //@line 160 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 160 "./mfbt/InlineMap.h"
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3Ptr5foundEv($11); //@line 160 "./mfbt/InlineMap.h"
      var $14 = $12;__label__ = 4; break; //@line 160 "./mfbt/InlineMap.h"
    case 4: 
      var $14; //@line 160 "./mfbt/InlineMap.h"
      ;
      return $14; //@line 160 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E3PtrE($2, $p); //@line 144 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 144 "./jsprvtd.h"
}


function __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC1EPNS4_10InlineElemE($this, $ie) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ie;
  var $3=$1;
  var $4=$2; //@line 145 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC2EPNS4_10InlineElemE($3, $4); //@line 145 "./jsprvtd.h"
  ;
  return; //@line 145 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC2EPNS4_10InlineElemE($this, $ie) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ie;
  var $3=$1;
  var $4=(($3)|0); //@line 145 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC1Ev($4); //@line 145 "./jsprvtd.h"
  var $5=(($3+4)|0); //@line 145 "./jsprvtd.h"
  var $6=$2; //@line 145 "./jsprvtd.h"
  HEAP32[(($5)>>2)]=$6; //@line 145 "./jsprvtd.h"
  var $7=(($3+8)|0); //@line 145 "./jsprvtd.h"
  HEAP8[($7)]=1; //@line 145 "./jsprvtd.h"
  ;
  return; //@line 145 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC2Ev($2); //@line 144 "./jshashtable.h"
  ;
  return; //@line 144 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC1ERNS0_14HashTableEntryIS6_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC1ERNS0_14HashTableEntryIS6_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC2ERNS0_14HashTableEntryIS6_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 144 "./jsprvtd.h"
  var $4=$3; //@line 144 "./jsprvtd.h"
  var $5=$p; //@line 144 "./jsprvtd.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 144 "./jsprvtd.h"
  var $6=(($2+8)|0); //@line 144 "./jsprvtd.h"
  HEAP8[($6)]=0; //@line 144 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 144 "./mfbt/InlineMap.h"
}


function __ZN2jsL21VersionShouldParseXMLE9JSVersion($version) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$version;
      var $2=$1; //@line 879 "./jscntxt.h"
      var $3=__ZN2jsL13VersionHasXMLE9JSVersion2945($2); //@line 879 "./jscntxt.h"
      if ($3) { var $9 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 879 "./jscntxt.h"
    case 2: 
      var $5=$1; //@line 879 "./jscntxt.h"
      var $6=__ZN2jsL13VersionNumberE9JSVersion2944($5); //@line 879 "./jscntxt.h"
      var $7=(($6)|0) >= 160; //@line 879 "./jscntxt.h"
      var $9 = $7;__label__ = 3; break; //@line 879 "./jscntxt.h"
    case 3: 
      var $9;
      ;
      return $9; //@line 879 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js11TokenStream13versionNumberEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+904)|0); //@line 347 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsscan.h"
  var $5=__ZN2jsL13VersionNumberE9JSVersion2944($4); //@line 347 "./jsscan.h"
  ;
  return $5; //@line 347 "./jsscan.h"
}


function __ZL12JSID_TO_ATOMi2949($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING2950($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZL10SetLvalKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_PKc($cx, $ts, $tc, $pn, $kid, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      $2=$cx;
      $3=$ts;
      $4=$tc;
      $5=$pn;
      $6=$kid;
      $7=$name;
      var $8=$6; //@line 6479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK11JSParseNode6isKindEN2js9TokenKindE($8, 29); //@line 6479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 12; break; } else { __label__ = 2; break; } //@line 6479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $11=$6; //@line 6480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=__ZNK11JSParseNode6isKindEN2js9TokenKindE($11, 22); //@line 6480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($12) { __label__ = 12; break; } else { __label__ = 3; break; } //@line 6480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $14=$6; //@line 6481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZNK11JSParseNode6isKindEN2js9TokenKindE($14, 27); //@line 6481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 6481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $17=$6; //@line 6482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZNK11JSParseNode4isOpE4JSOp($17, 58); //@line 6482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 12; break; } else { __label__ = 5; break; } //@line 6482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $20=$6; //@line 6482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=__ZNK11JSParseNode4isOpE4JSOp($20, 123); //@line 6482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($21) { __label__ = 12; break; } else { __label__ = 6; break; } //@line 6482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $23=$6; //@line 6483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=__ZNK11JSParseNode4isOpE4JSOp($23, 108); //@line 6483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($24) { __label__ = 12; break; } else { __label__ = 7; break; } //@line 6483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $26=$6; //@line 6483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=__ZNK11JSParseNode4isOpE4JSOp($26, 79); //@line 6483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($27) { __label__ = 12; break; } else { __label__ = 8; break; } //@line 6483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $29=$6; //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=__ZNK11JSParseNode6isKindEN2js9TokenKindE($29, 19); //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $32=$6; //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=__ZNK11JSParseNode4isOpE4JSOp($32, 174); //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($33) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 6485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $35=$6; //@line 6487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZNK11JSParseNode6isKindEN2js9TokenKindE($35, 23); //@line 6487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($36) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 6487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $38=$2; //@line 6488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$3; //@line 6488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$7; //@line 6488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($38, $39, 0, 0, 130, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$40,tempInt)); //@line 6488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $43=$2; //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$4; //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$6; //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=__Z21CheckStrictAssignmentP9JSContextP13JSTreeContextP11JSParseNode($43, $44, $45); //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=0; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $49=$6; //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$5; //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=(($50+32)|0); //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$51; //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52)|0); //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($53)>>2)]=$49; //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=$6; //@line 6494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$54; //@line 6494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 15; break; //@line 6494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $56=$1; //@line 6495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $56; //@line 6495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10SetLvalKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_PKc["X"]=1;

function __ZN2js6Parser7orExpr1Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $pn;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6Parser9andExpr1iEv($2); //@line 6342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$3; //@line 6342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$pn; //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=(($5)|0)!=0; //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($6) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $8=(($2+40)|0); //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE($8, 7); //@line 6343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=$pn; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=__ZN2js6Parser9andExpr1nEv($2); //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($2+980)|0); //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext(7, 68, $13, $14, $16); //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$17; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 2; break; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $19=$pn; //@line 6345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $19; //@line 6345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindES1_($this, $type1, $type2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $type;
      $1=$this;
      $2=$type1;
      $3=$type2;
      var $4=$1;
      var $5=__ZNK2js11TokenStream12currentTokenEv($4); //@line 340 "./jsscan.h"
      var $6=(($5)|0); //@line 340 "./jsscan.h"
      var $7=HEAP32[(($6)>>2)]; //@line 340 "./jsscan.h"
      $type=$7; //@line 340 "./jsscan.h"
      var $8=$type; //@line 341 "./jsscan.h"
      var $9=$2; //@line 341 "./jsscan.h"
      var $10=(($8)|0)==(($9)|0); //@line 341 "./jsscan.h"
      if ($10) { var $16 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jsscan.h"
    case 2: 
      var $12=$type; //@line 341 "./jsscan.h"
      var $13=$3; //@line 341 "./jsscan.h"
      var $14=(($12)|0)==(($13)|0); //@line 341 "./jsscan.h"
      var $16 = $14;__label__ = 3; break; //@line 341 "./jsscan.h"
    case 3: 
      var $16;
      ;
      return $16; //@line 341 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8OuterLetP13JSTreeContextP10JSStmtInfoP6JSAtom($tc, $stmt, $atom) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$tc;
      $3=$stmt;
      $4=$atom;
      __label__ = 2; break; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $6=$3; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+28)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0)!=0; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $11=$2; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$4; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$3; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+28)|0); //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=_js_LexicalLookup($11, $12, 0, $15); //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $3=$16; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$3; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0)!=0; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $21=$3; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=(($21)|0); //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=HEAPU16[(($22)>>1)]; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=(($23)&65535); //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)==4; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=1; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      __label__ = 2; break; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=0; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 9; break; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $30=$1; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $30; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17BindFunctionLocalP9JSContextP8BindDataRN2js14MultiDeclRangeEP13JSTreeContext($cx, $data, $mdl, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pn;
      var $name;
      var $kind;
      $2=$cx;
      $3=$data;
      $4=$mdl;
      $5=$tc;
      var $6=$3; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6)|0); //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$8; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$pn; //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=(($9+32)|0); //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10; //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=(($11)|0); //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$12; //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $name=$14; //@line 3772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=$name; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=$2; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+52)|0); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+209948)|0); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+228)|0); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$21; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($15)|0)==(($22)|0); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $25=$pn; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($25, 9); //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=$pn; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+32)|0); //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=(($29+12)|0); //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$30; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$32 & 4095; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33 | 512; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34 & 4095; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$28; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($36+12)|0); //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$37; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$35 & 4095; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=HEAP32[(($38)>>2)]; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40 & -4096; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41 | $39; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($38)>>2)]=$42; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $44=$5; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+92)|0); //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$2; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=$name; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj($45, $46, $47, 0); //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $kind=$48; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$kind; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49)|0)==0; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($50) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $52=$3; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=(($52+4)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=(($54)|0)==128; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=$55 ? 3 : 2; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $kind=$56; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$2; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$5; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$pn; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=$kind; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=__ZL17BindLocalVariableP9JSContextP13JSTreeContextP11JSParseNodeN2js11BindingKindE($57, $58, $59, $60); //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($61) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=0; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $64=$pn; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($64, 86); //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $66=$kind; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66)|0)==1; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 10; break; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      $1=1; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $72=$1; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $72; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17BindFunctionLocalP9JSContextP8BindDataRN2js14MultiDeclRangeEP13JSTreeContext["X"]=1;

function __ZNK11JSParseNode6lexdefEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 509 "./jsparse.h"
  var $4=$3; //@line 509 "./jsparse.h"
  var $5=(($4+4)|0); //@line 509 "./jsparse.h"
  var $6=$5; //@line 509 "./jsparse.h"
  var $7=HEAP32[(($6)>>2)]; //@line 509 "./jsparse.h"
  ;
  return $7; //@line 509 "./jsparse.h"
}


function __ZN2js8TokenPtrleERKS0_($this, $bptr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$bptr;
      var $3=$1;
      var $4=(($3+4)|0); //@line 193 "./jsscan.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 193 "./jsscan.h"
      var $6=$2; //@line 193 "./jsscan.h"
      var $7=(($6+4)|0); //@line 193 "./jsscan.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 193 "./jsscan.h"
      var $9=(($5)>>>0) < (($8)>>>0); //@line 193 "./jsscan.h"
      if ($9) { var $27 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 193 "./jsscan.h"
    case 2: 
      var $11=(($3+4)|0); //@line 193 "./jsscan.h"
      var $12=HEAP32[(($11)>>2)]; //@line 193 "./jsscan.h"
      var $13=$2; //@line 193 "./jsscan.h"
      var $14=(($13+4)|0); //@line 193 "./jsscan.h"
      var $15=HEAP32[(($14)>>2)]; //@line 193 "./jsscan.h"
      var $16=(($12)|0)==(($15)|0); //@line 193 "./jsscan.h"
      if ($16) { __label__ = 3; break; } else { var $25 = 0;__label__ = 4; break; } //@line 193 "./jsscan.h"
    case 3: 
      var $18=(($3)|0); //@line 193 "./jsscan.h"
      var $19=HEAPU32[(($18)>>2)]; //@line 193 "./jsscan.h"
      var $20=$2; //@line 193 "./jsscan.h"
      var $21=(($20)|0); //@line 193 "./jsscan.h"
      var $22=HEAPU32[(($21)>>2)]; //@line 193 "./jsscan.h"
      var $23=(($19)>>>0) <= (($22)>>>0); //@line 193 "./jsscan.h"
      var $25 = $23;__label__ = 4; break;
    case 4: 
      var $25;
      var $27 = $25;__label__ = 5; break;
    case 5: 
      var $27;
      ;
      return $27; //@line 195 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _PRIVATE_PTR_TO_JSVAL_IMPL2952($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$agg_result; //@line 568 "./jsval.h"
  var $3=(($2+4)|0); //@line 568 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 568 "./jsval.h"
  var $4=$1; //@line 569 "./jsval.h"
  var $5=$agg_result; //@line 569 "./jsval.h"
  var $6=(($5)|0); //@line 569 "./jsval.h"
  var $7=$6; //@line 569 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 569 "./jsval.h"
  ;
  return; //@line 571 "./jsval.h"
}


function __ZL15BindTopLevelVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($cx, $data, $pn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$data;
      $4=$pn;
      $5=$tc;
      var $6=$5; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=__ZNK13JSTreeContext9compilingEv($6); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=1; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $10=$5; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+48)|0); //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($12+960)|0); //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14)|0)!=0; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $17=$5; //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZNK13JSTreeContext12inStrictModeEv($17); //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      $1=1; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=1; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $22=$4; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22+32)|0); //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$23; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=(($25+12)|0); //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=$26; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28 & 4095; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29 & 2; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30)|0)!=0; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      $1=1; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $34=$4; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$5; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZN13JSTreeContext15asCodeGeneratorEv($35); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$4; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+32)|0); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=$38; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39)|0); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$40; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=__ZL12DefineGlobalP11JSParseNodeP15JSCodeGeneratorP6JSAtom($34, $36, $42); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$43; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $45=$1; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $45; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15BindTopLevelVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZN2js8TokenPtrgeERKS0_($this, $bptr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bptr;
  var $3=$1;
  var $4=$2; //@line 202 "./jsscan.h"
  var $5=__ZN2js8TokenPtrltERKS0_($3, $4); //@line 202 "./jsscan.h"
  var $6=$5 ^ 1; //@line 202 "./jsscan.h"
  ;
  return $6; //@line 202 "./jsscan.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2Ev($2); //@line 155 "./jsprvtd.h"
  ;
  return; //@line 155 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3Ptr5valueEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 174 "./mfbt/InlineMap.h"
      var $4=HEAP8[($3)]; //@line 174 "./mfbt/InlineMap.h"
      var $5=(($4) & 1); //@line 174 "./mfbt/InlineMap.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 174 "./mfbt/InlineMap.h"
    case 2: 
      var $7=(($2+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $8=HEAP32[(($7)>>2)]; //@line 174 "./mfbt/InlineMap.h"
      var $9=(($8+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $15 = $9;__label__ = 4; break; //@line 174 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 174 "./mfbt/InlineMap.h"
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($11); //@line 174 "./mfbt/InlineMap.h"
      var $13=(($12+4)|0); //@line 174 "./mfbt/InlineMap.h"
      var $15 = $13;__label__ = 4; break; //@line 174 "./mfbt/InlineMap.h"
    case 4: 
      var $15; //@line 174 "./mfbt/InlineMap.h"
      ;
      return $15; //@line 174 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 150 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1Ev($3); //@line 150 "./jsprvtd.h"
  ;
  return; //@line 155 "./mfbt/InlineMap.h"
}


function __ZN2JSL12PrivateValueEPv2951($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$1; //@line 766 "./jsapi.h"
  __ZN2JS5Value10setPrivateEPv($agg_result, $2); //@line 766 "./jsapi.h"
  ;
  return; //@line 767 "./jsapi.h"
}


function __ZNK11JSParseNode12isBlockChildEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK11JSParseNode4testEj($2, 32); //@line 571 "./jsparse.h"
  ;
  return $3; //@line 571 "./jsparse.h"
}


function __ZNK11JSParseNode10frameLevelEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+32)|0); //@line 558 "./jsparse.h"
  var $4=$3; //@line 558 "./jsparse.h"
  var $5=(($4+8)|0); //@line 558 "./jsparse.h"
  var $6=__ZNK2js11UpvarCookie5levelEv($5); //@line 558 "./jsparse.h"
  var $7=(($6)&65535); //@line 558 "./jsparse.h"
  ;
  return $7; //@line 558 "./jsparse.h"
}


function __ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($opn, $tc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stackDummy_=__stackBase__;
      var $pn;
      var $pn2;
      var $opn2;
      var $dn;
      $2=$opn;
      $3=$tc;
      __label__ = 2; break; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $5=$stackDummy_; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$3; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+48)|0); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8+12)|0); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10+48)|0); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=(($5)>>>0) < (($12)>>>0); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $15=$3; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+48)|0); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+12)|0); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __Z21js_ReportOverRecursedP9JSContext($19); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      __label__ = 5; break; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $22=$3; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=__ZL17NewOrRecycledNodeP13JSTreeContext($22); //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$23; //@line 4325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$pn; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)!=0; //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $28=$pn; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$2; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=__ZNK11JSParseNode7getKindEv($29); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setKindEN2js9TokenKindE($28, $30); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=$pn; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$2; //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=__ZNK11JSParseNode5getOpEv($32); //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($31, $33); //@line 4329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$pn; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$2; //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=__ZNK11JSParseNode6isUsedEv($35); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setUsedEb($34, $36); //@line 4330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$pn; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$2; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=__ZNK11JSParseNode6isDefnEv($38); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($37, $39); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=$pn; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$2; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZNK11JSParseNode8getArityEv($41); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode8setArityE16JSParseNodeArity($40, $42); //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$pn; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$2; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=__ZNK11JSParseNode10isInParensEv($44); //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode11setInParensEb($43, $45); //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$pn; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=(($46+4)|0); //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$2; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=(($48+4)|0); //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=$47; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $51=$49; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)];HEAP32[(($50+8)>>2)]=HEAP32[(($51+8)>>2)];HEAP32[(($50+12)>>2)]=HEAP32[(($51+12)>>2)]; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $52=$pn; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=__ZNK11JSParseNode8getArityEv($52); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($53)|0) == 4) {
        __label__ = 8; break;
      }
      else if ((($53)|0) == 5) {
        __label__ = 17; break;
      }
      else if ((($53)|0) == 3) {
        __label__ = 26; break;
      }
      else if ((($53)|0) == 2) {
        __label__ = 39; break;
      }
      else if ((($53)|0) == 1) {
        __label__ = 51; break;
      }
      else if ((($53)|0) == 6) {
        __label__ = 56; break;
      }
      else if ((($53)|0) == 7) {
        __label__ = 68; break;
      }
      else if ((($53)|0) == 0) {
        __label__ = 73; break;
      }
      else {
      __label__ = 74; break;
      }
      
    case 8: 
      __label__ = 9; break; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $56=$3; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=(($56+48)|0); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$2; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=(($59+32)|0); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=$60; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=(($61)|0); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $63=$62; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$64; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+8)|0); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$pn; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=$3; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=__ZN2js6Parser14newFunctionBoxEP8JSObjectP11JSParseNodeP13JSTreeContext($58, $67, $68, $69); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$pn; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=(($71+32)|0); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=$72; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=(($73)|0); //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=$74; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($75)>>2)]=$70; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=(($70)|0)!=0; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($76) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=0; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      __label__ = 13; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      var $81=$2; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=(($81+32)|0); //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=$82; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=(($83+4)|0); //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$84; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=$3; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($86, $87); //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$pn; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=(($89+32)|0); //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(($91+4)|0); //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$92; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($93)>>2)]=$88; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $94=(($88)|0)!=0; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($94) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      __label__ = 16; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $98=$pn; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=(($98+32)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=$99; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $101=(($100+8)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $102=$2; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $103=(($102+32)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $104=$103; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=(($104+8)|0); //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$101; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=$105; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($106)>>2)]=HEAP32[(($107)>>2)]; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=$2; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=(($108+32)|0); //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=$109; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $111=$110; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $112=(($111+12)|0); //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=$112; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=HEAP32[(($113)>>2)]; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=$114 & 4095; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=$pn; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116+32)|0); //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $118=$117; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $119=$115 & 4095; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $120=$118; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=(($120+12)|0); //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=$121; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$119 & 4095; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=HEAP32[(($122)>>2)]; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=$124 & -4096; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$125 | $123; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($122)>>2)]=$126; //@line 4344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=$2; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $128=(($127+32)|0); //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $129=$128; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=$129; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $131=(($130+12)|0); //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $132=$131; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=HEAPU32[(($132)>>2)]; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$133 >>> 12; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=$134 & 1048575; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=$pn; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $137=(($136+32)|0); //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $138=$137; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=$135 & 1048575; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $140=$138; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $141=(($140+12)|0); //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=$141; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $143=$139 & 1048575; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144=$143 << 12; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $145=HEAP32[(($142)>>2)]; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $146=$145 & 4095; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=$146 | $144; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($142)>>2)]=$147; //@line 4345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 74; break; //@line 4346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $149=$pn; //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode9makeEmptyEv($149); //@line 4349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $150=$2; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150+32)|0); //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$151; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=(($152)|0); //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $opn2=$154; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $156=$opn2; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=(($156)|0)!=0; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($157) { __label__ = 19; break; } else { __label__ = 25; break; } //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      __label__ = 20; break; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      var $160=$opn2; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $161=$3; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $162=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($160, $161); //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$162; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=(($162)|0)!=0; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($163) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      $1=0; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      __label__ = 23; break; //@line 4351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $167=$pn; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $168=$pn2; //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode6appendEPS_($167, $168); //@line 4352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 24; break; //@line 4353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      var $170=$opn2; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170+24)|0); //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $172=HEAP32[(($171)>>2)]; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $opn2=$172; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 18; break; //@line 4350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      var $174=$2; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=(($174+32)|0); //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$175; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $177=$176; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $178=(($177+12)|0); //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $179=$178; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=$180 & 4095; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=$pn; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $183=(($182+32)|0); //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $184=$183; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$181 & 4095; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=$184; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=(($186+12)|0); //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $188=$187; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $189=$185 & 4095; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $190=HEAP32[(($188)>>2)]; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=$190 & -4096; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=$191 | $189; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($188)>>2)]=$192; //@line 4354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 74; break; //@line 4355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      __label__ = 27; break; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $195=$2; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $196=(($195+32)|0); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $197=$196; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $198=(($197)|0); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=HEAP32[(($198)>>2)]; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=$3; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $201=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($199, $200); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $202=$pn; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $203=(($202+32)|0); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=$203; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=(($204)|0); //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($205)>>2)]=$201; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=(($201)|0)!=0; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($206) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=0; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      __label__ = 30; break; //@line 4358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      __label__ = 31; break; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $211=$2; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=(($211+32)|0); //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=$212; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=(($213+4)|0); //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=$3; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($215, $216); //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $218=$pn; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $219=(($218+32)|0); //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $220=$219; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $221=(($220+4)|0); //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($221)>>2)]=$217; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $222=(($217)|0)!=0; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($222) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      $1=0; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      __label__ = 34; break; //@line 4359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      __label__ = 35; break; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 35: 
      var $227=$2; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=(($227+32)|0); //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=$228; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=(($229+8)|0); //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=HEAP32[(($230)>>2)]; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=$3; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($231, $232); //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $234=$pn; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $235=(($234+32)|0); //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=$235; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=(($236+8)|0); //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($237)>>2)]=$233; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=(($233)|0)!=0; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($238) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 36: 
      $1=0; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      __label__ = 38; break; //@line 4360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      __label__ = 74; break; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      __label__ = 40; break; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $244=$2; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $245=(($244+32)|0); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=$245; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $247=(($246)|0); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=$3; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($248, $249); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=$pn; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $252=(($251+32)|0); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $253=$252; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=(($253)|0); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($254)>>2)]=$250; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=(($250)|0)!=0; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($255) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      $1=0; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      __label__ = 43; break; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 43: 
      var $259=$2; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $260=(($259+32)|0); //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=$260; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=(($261+4)|0); //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=HEAP32[(($262)>>2)]; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=$2; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=(($264+32)|0); //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $266=$265; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $267=(($266)|0); //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=HEAP32[(($267)>>2)]; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $269=(($263)|0)!=(($268)|0); //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($269) { __label__ = 44; break; } else { __label__ = 49; break; } //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      __label__ = 45; break; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $272=$2; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=(($272+32)|0); //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=$273; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=(($274+4)|0); //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=HEAP32[(($275)>>2)]; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $277=$3; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $278=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($276, $277); //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $279=$pn; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $280=(($279+32)|0); //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $281=$280; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $282=(($281+4)|0); //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($282)>>2)]=$278; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $283=(($278)|0)!=0; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($283) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      $1=0; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      __label__ = 48; break; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      __label__ = 50; break; //@line 4366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      var $288=$pn; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $289=(($288+32)|0); //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $290=$289; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $291=(($290)|0); //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $292=HEAP32[(($291)>>2)]; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $293=$pn; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $294=(($293+32)|0); //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $295=$294; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $296=(($295+4)|0); //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($296)>>2)]=$292; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 50; break;
    case 50: 
      var $298=$2; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $299=(($298+32)|0); //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $300=$299; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $301=(($300+8)|0); //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $302=HEAP32[(($301)>>2)]; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $303=$pn; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $304=(($303+32)|0); //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $305=$304; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $306=(($305+8)|0); //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($306)>>2)]=$302; //@line 4369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $307=$2; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $308=(($307+32)|0); //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $309=$308; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $310=(($309+12)|0); //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $311=HEAP32[(($310)>>2)]; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $312=$pn; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $313=(($312+32)|0); //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $314=$313; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $315=(($314+12)|0); //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($315)>>2)]=$311; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 74; break; //@line 4371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      __label__ = 52; break; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $318=$2; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $319=(($318+32)|0); //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $320=$319; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $321=(($320)|0); //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $322=HEAP32[(($321)>>2)]; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $323=$3; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $324=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($322, $323); //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $325=$pn; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $326=(($325+32)|0); //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $327=$326; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $328=(($327)|0); //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($328)>>2)]=$324; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $329=(($324)|0)!=0; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($329) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      $1=0; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      __label__ = 55; break; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      var $333=$2; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $334=(($333+32)|0); //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $335=$334; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $336=(($335+4)|0); //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $337=HEAP32[(($336)>>2)]; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $338=$pn; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $339=(($338+32)|0); //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $340=$339; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $341=(($340+4)|0); //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($341)>>2)]=$337; //@line 4375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $342=$2; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $343=(($342+32)|0); //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $344=$343; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $345=(($344+8)|0); //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $346=HEAP32[(($345)>>2)]; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $347=$pn; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $348=(($347+32)|0); //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $349=$348; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $350=(($349+8)|0); //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($350)>>2)]=$346; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 74; break; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $352=$pn; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $353=(($352+32)|0); //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $354=$2; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $355=(($354+32)|0); //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $356=$353; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $357=$355; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($356)>>2)]=HEAP32[(($357)>>2)];HEAP32[(($356+4)>>2)]=HEAP32[(($357+4)>>2)];HEAP32[(($356+8)>>2)]=HEAP32[(($357+8)>>2)];HEAP32[(($356+12)>>2)]=HEAP32[(($357+12)>>2)]; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $358=$2; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $359=__ZNK11JSParseNode6isUsedEv($358); //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($359) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $361=$pn; //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $362=(($361+32)|0); //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $363=$362; //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $364=(($363+4)|0); //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $365=$364; //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $366=HEAP32[(($365)>>2)]; //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$366; //@line 4387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $367=$dn; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $368=$367; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $369=(($368+28)|0); //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $370=HEAP32[(($369)>>2)]; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $371=$pn; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $372=(($371+28)|0); //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($372)>>2)]=$370; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $373=$pn; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $374=$dn; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $375=$374; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $376=(($375+28)|0); //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($376)>>2)]=$373; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 67; break; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $378=$2; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $379=(($378+32)|0); //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $380=$379; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $381=(($380+4)|0); //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $382=$381; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $383=HEAP32[(($382)>>2)]; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $384=(($383)|0)!=0; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($384) { __label__ = 59; break; } else { __label__ = 66; break; } //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      __label__ = 60; break; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $387=$2; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $388=(($387+32)|0); //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $389=$388; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $390=(($389+4)|0); //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $391=$390; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $392=HEAP32[(($391)>>2)]; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $393=$3; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $394=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($392, $393); //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $395=$pn; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $396=(($395+32)|0); //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $397=$396; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $398=(($397+4)|0); //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $399=$398; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($399)>>2)]=$394; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $400=(($394)|0)!=0; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($400) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      $1=0; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      __label__ = 63; break; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $404=$2; //@line 4398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $405=__ZNK11JSParseNode6isDefnEv($404); //@line 4398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($405) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 4398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      var $407=$2; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode7setDefnEb($407, 0); //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $408=$2; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $409=$pn; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $410=$409; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $411=$3; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL12LinkUseToDefP11JSParseNodeP12JSDefinitionP13JSTreeContext($408, $410, $411); //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 65; break; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      __label__ = 66; break; //@line 4402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      __label__ = 67; break;
    case 67: 
      __label__ = 74; break; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      var $416=$pn; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $417=(($416+32)|0); //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $418=$417; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $419=(($418)|0); //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $420=$2; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $421=(($420+32)|0); //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $422=$421; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $423=(($422)|0); //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $424=$419; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $425=$423; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($424)>>2)]=HEAP32[(($425)>>2)]; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 69; break; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 69: 
      var $427=$2; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $428=(($427+32)|0); //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $429=$428; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $430=(($429+4)|0); //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $431=HEAP32[(($430)>>2)]; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $432=$3; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $433=__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext($431, $432); //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $434=$pn; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $435=(($434+32)|0); //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $436=$435; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $437=(($436+4)|0); //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($437)>>2)]=$433; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $438=(($433)|0)!=0; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($438) { __label__ = 71; break; } else { __label__ = 70; break; } //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 70: 
      $1=0; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 71: 
      __label__ = 72; break; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 72: 
      __label__ = 74; break; //@line 4408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 73: 
      var $443=$pn; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $444=(($443+32)|0); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $445=$2; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $446=(($445+32)|0); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $447=$444; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $448=$446; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($447)>>2)]=HEAP32[(($448)>>2)];HEAP32[(($447+4)>>2)]=HEAP32[(($448+4)>>2)];HEAP32[(($447+8)>>2)]=HEAP32[(($448+8)>>2)];HEAP32[(($447+12)>>2)]=HEAP32[(($448+12)>>2)]; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 74; break; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 74: 
      var $450=$pn; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$450; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 75; break; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 75: 
      var $452=$1; //@line 4418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $452; //@line 4418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZN2js10BinaryNode6createENS_9TokenKindE4JSOpRKNS_8TokenPosEP11JSParseNodeS7_P13JSTreeContext($type, $op, $pos, $left, $right, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $pn;
      $1=$type;
      $2=$op;
      $3=$pos;
      $4=$left;
      $5=$right;
      $6=$tc;
      var $7=$1; //@line 736 "./jsparse.h"
      var $8=$2; //@line 736 "./jsparse.h"
      var $9=$3; //@line 736 "./jsparse.h"
      var $10=$6; //@line 736 "./jsparse.h"
      var $11=__ZN11JSParseNode6createE16JSParseNodeArityN2js9TokenKindE4JSOpRKNS1_8TokenPosEP13JSTreeContext(2, $7, $8, $9, $10); //@line 736 "./jsparse.h"
      var $12=$11; //@line 736 "./jsparse.h"
      $pn=$12; //@line 736 "./jsparse.h"
      var $13=$pn; //@line 737 "./jsparse.h"
      var $14=(($13)|0)!=0; //@line 737 "./jsparse.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 737 "./jsparse.h"
    case 2: 
      var $16=$4; //@line 738 "./jsparse.h"
      var $17=$pn; //@line 738 "./jsparse.h"
      var $18=$17; //@line 738 "./jsparse.h"
      var $19=(($18+32)|0); //@line 738 "./jsparse.h"
      var $20=$19; //@line 738 "./jsparse.h"
      var $21=(($20)|0); //@line 738 "./jsparse.h"
      HEAP32[(($21)>>2)]=$16; //@line 738 "./jsparse.h"
      var $22=$5; //@line 739 "./jsparse.h"
      var $23=$pn; //@line 739 "./jsparse.h"
      var $24=$23; //@line 739 "./jsparse.h"
      var $25=(($24+32)|0); //@line 739 "./jsparse.h"
      var $26=$25; //@line 739 "./jsparse.h"
      var $27=(($26+4)|0); //@line 739 "./jsparse.h"
      HEAP32[(($27)>>2)]=$22; //@line 739 "./jsparse.h"
      __label__ = 3; break; //@line 740 "./jsparse.h"
    case 3: 
      var $29=$pn; //@line 741 "./jsparse.h"
      ;
      return $29; //@line 741 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+12)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js11TokenStream7FlaggerD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 391 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 391 "./jsscan.h"
  var $5=$4 ^ -1; //@line 391 "./jsscan.h"
  var $6=(($2)|0); //@line 391 "./jsscan.h"
  var $7=HEAP32[(($6)>>2)]; //@line 391 "./jsscan.h"
  var $8=(($7+144)|0); //@line 391 "./jsscan.h"
  var $9=HEAP32[(($8)>>2)]; //@line 391 "./jsscan.h"
  var $10=$9 & $5; //@line 391 "./jsscan.h"
  HEAP32[(($8)>>2)]=$10; //@line 391 "./jsscan.h"
  ;
  return; //@line 391 "./jsscan.h"
}


function __ZN2js11TokenStream7FlaggerC2EPS0_j($this, $parent, $withFlags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$parent;
  $3=$withFlags;
  var $4=$1;
  var $5=(($4)|0); //@line 387 "./jsscan.h"
  var $6=$2; //@line 387 "./jsscan.h"
  HEAP32[(($5)>>2)]=$6; //@line 387 "./jsscan.h"
  var $7=(($4+4)|0); //@line 387 "./jsscan.h"
  var $8=$3; //@line 387 "./jsscan.h"
  HEAP32[(($7)>>2)]=$8; //@line 387 "./jsscan.h"
  var $9=(($4+4)|0); //@line 388 "./jsscan.h"
  var $10=HEAP32[(($9)>>2)]; //@line 388 "./jsscan.h"
  var $11=$2; //@line 388 "./jsscan.h"
  var $12=(($11+144)|0); //@line 388 "./jsscan.h"
  var $13=HEAP32[(($12)>>2)]; //@line 388 "./jsscan.h"
  var $14=$13 | $10; //@line 388 "./jsscan.h"
  HEAP32[(($12)>>2)]=$14; //@line 388 "./jsscan.h"
  ;
  return; //@line 389 "./jsscan.h"
}


function __ZNK15JSCodeGenerator16compilingForEvalEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 709 "./jsemit.h"
  var $4=(($3)|0); //@line 709 "./jsemit.h"
  var $5=HEAP32[(($4)>>2)]; //@line 709 "./jsemit.h"
  var $6=$5 & 33554432; //@line 709 "./jsemit.h"
  var $7=(($6)|0)!=0; //@line 709 "./jsemit.h"
  var $8=$7 ^ 1; //@line 709 "./jsemit.h"
  var $9=$8 ^ 1; //@line 709 "./jsemit.h"
  ;
  return $9; //@line 709 "./jsemit.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+$6*12)|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js9AtomDecls6removeEP6JSAtom($this, $atom) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $p=__stackBase__+4;
      var $doh;
      var $3=__stackBase__+16;
      var $node;
      var $newHead;
      var $4=__stackBase__+28;
      var $5=__stackBase__+32;
      $1=$this;
      HEAP32[(($2)>>2)]=$atom;
      var $6=$1;
      var $7=(($6+4)|0); //@line 317 "./frontend/ParseMaps.h"
      var $8=HEAP32[(($7)>>2)]; //@line 317 "./frontend/ParseMaps.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6lookupERKS2_($p, $8, $2); //@line 317 "./frontend/ParseMaps.h"
      var $9=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrcvPPPPPPPS5_Ev($p); //@line 318 "./frontend/ParseMaps.h"
      var $10=(($9)|0)!=0; //@line 318 "./frontend/ParseMaps.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 318 "./frontend/ParseMaps.h"
    case 2: 
      __label__ = 8; break; //@line 319 "./frontend/ParseMaps.h"
    case 3: 
      var $13=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 321 "./frontend/ParseMaps.h"
      $doh=$13; //@line 321 "./frontend/ParseMaps.h"
      var $14=$doh; //@line 322 "./frontend/ParseMaps.h"
      var $15=__ZNK2js12DefnOrHeader8isHeaderEv($14); //@line 322 "./frontend/ParseMaps.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 322 "./frontend/ParseMaps.h"
    case 4: 
      var $17=(($6+4)|0); //@line 323 "./frontend/ParseMaps.h"
      var $18=HEAP32[(($17)>>2)]; //@line 323 "./frontend/ParseMaps.h"
      var $19=$3; //@line 323 "./frontend/ParseMaps.h"
      var $20=$p; //@line 323 "./frontend/ParseMaps.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)];HEAP32[(($19+8)>>2)]=HEAP32[(($20+8)>>2)]; //@line 323 "./frontend/ParseMaps.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6removeENS4_3PtrE($18, $3); //@line 323 "./frontend/ParseMaps.h"
      __label__ = 8; break; //@line 324 "./frontend/ParseMaps.h"
    case 5: 
      var $22=$doh; //@line 327 "./frontend/ParseMaps.h"
      var $23=__ZNK2js12DefnOrHeader6headerEv($22); //@line 327 "./frontend/ParseMaps.h"
      $node=$23; //@line 327 "./frontend/ParseMaps.h"
      var $24=$node; //@line 328 "./frontend/ParseMaps.h"
      var $25=(($24+4)|0); //@line 328 "./frontend/ParseMaps.h"
      var $26=HEAP32[(($25)>>2)]; //@line 328 "./frontend/ParseMaps.h"
      $newHead=$26; //@line 328 "./frontend/ParseMaps.h"
      var $27=$newHead; //@line 329 "./frontend/ParseMaps.h"
      var $28=(($27)|0)!=0; //@line 329 "./frontend/ParseMaps.h"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 329 "./frontend/ParseMaps.h"
    case 6: 
      var $30=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv($p); //@line 330 "./frontend/ParseMaps.h"
      var $31=$newHead; //@line 330 "./frontend/ParseMaps.h"
      __ZN2js12DefnOrHeaderC1EPNS_12AtomDeclNodeE($4, $31); //@line 330 "./frontend/ParseMaps.h"
      var $32=$30; //@line 330 "./frontend/ParseMaps.h"
      var $33=$4; //@line 330 "./frontend/ParseMaps.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)]; //@line 330 "./frontend/ParseMaps.h"
      __label__ = 8; break; //@line 330 "./frontend/ParseMaps.h"
    case 7: 
      var $35=(($6+4)|0); //@line 332 "./frontend/ParseMaps.h"
      var $36=HEAP32[(($35)>>2)]; //@line 332 "./frontend/ParseMaps.h"
      var $37=$5; //@line 332 "./frontend/ParseMaps.h"
      var $38=$p; //@line 332 "./frontend/ParseMaps.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)];HEAP32[(($37+8)>>2)]=HEAP32[(($38+8)>>2)]; //@line 332 "./frontend/ParseMaps.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6removeENS4_3PtrE($36, $5); //@line 332 "./frontend/ParseMaps.h"
      __label__ = 8; break;
    case 8: 
      STACKTOP = __stackBase__;
      return; //@line 333 "./frontend/ParseMaps.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js9AtomDecls6removeEP6JSAtom["X"]=1;

function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6removeENS4_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($p+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($p+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=(($p+8)|0); //@line 316 "./mfbt/InlineMap.h"
      var $5=HEAP8[($4)]; //@line 316 "./mfbt/InlineMap.h"
      var $6=(($5) & 1); //@line 316 "./mfbt/InlineMap.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 316 "./mfbt/InlineMap.h"
    case 2: 
      var $8=(($p+4)|0); //@line 319 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 319 "./mfbt/InlineMap.h"
      var $10=(($9)|0); //@line 319 "./mfbt/InlineMap.h"
      HEAP32[(($10)>>2)]=0; //@line 319 "./mfbt/InlineMap.h"
      var $11=(($3+4)|0); //@line 320 "./mfbt/InlineMap.h"
      var $12=HEAP32[(($11)>>2)]; //@line 320 "./mfbt/InlineMap.h"
      var $13=(($12-1)|0); //@line 320 "./mfbt/InlineMap.h"
      HEAP32[(($11)>>2)]=$13; //@line 320 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 321 "./mfbt/InlineMap.h"
    case 3: 
      var $15=(($3+200)|0); //@line 324 "./mfbt/InlineMap.h"
      var $16=(($p)|0); //@line 324 "./mfbt/InlineMap.h"
      var $17=$2; //@line 324 "./mfbt/InlineMap.h"
      var $18=$16; //@line 324 "./mfbt/InlineMap.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)]; //@line 324 "./mfbt/InlineMap.h"
      __ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE($15, $2); //@line 324 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 325 "./mfbt/InlineMap.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 325 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6removeENSD_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6removeENSD_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6removeERNS0_14HashTableEntryIS6_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6removeERNS0_14HashTableEntryIS6_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+20)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+12)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEaSERKS4_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEaSERKS4_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEaSERKS4_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 907 "./jshashtable.h"
  var $9=$2; //@line 907 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 907 "./jshashtable.h"
  var $11=$8; //@line 907 "./jshashtable.h"
  var $12=$10; //@line 907 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js11TokenStream7FlaggerC1EPS0_j($this, $parent, $withFlags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$parent;
  $3=$withFlags;
  var $4=$1;
  var $5=$2; //@line 389 "./jsscan.h"
  var $6=$3; //@line 389 "./jsscan.h"
  __ZN2js11TokenStream7FlaggerC2EPS0_j($4, $5, $6); //@line 389 "./jsscan.h"
  ;
  return; //@line 389 "./jsscan.h"
}


function __ZN2js11TokenStream7FlaggerD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js11TokenStream7FlaggerD2Ev($2); //@line 391 "./jsscan.h"
  ;
  return; //@line 391 "./jsscan.h"
}


function __ZL20BindDestructuringVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext($cx, $data, $pn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $atom;
      $2=$cx;
      $3=$data;
      $4=$pn;
      $5=$tc;
      var $6=$4; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+32)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0); //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$9; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $atom=$11; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$atom; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$2; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13+52)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=(($15+209948)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=(($16+228)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=$18; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($12)|0)==(($19)|0); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $22=$5; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22)|0); //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$24 | 256; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($23)>>2)]=$25; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 4042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $27=$4; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$3; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28)|0); //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($29)>>2)]=$27; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$3; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+8)|0); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=$2; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$3; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$atom; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$5; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=FUNCTION_TABLE[$32]($33, $34, $35, $36); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37)|0)!=0; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($38) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      $1=0; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $41=$4; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+32)|0); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=$42; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=$43; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=(($44+12)|0); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=$45; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $48=$47 & 4095; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=$48 & 512; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $50=(($49)|0)!=0; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($50) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $52=$4; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=$4; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $54=__ZNK11JSParseNode4isOpE4JSOp($53, 9); //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $55=$54 ? 111 : 87; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($52, $55); //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $57=$4; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=$3; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=(($58+4)|0); //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $61=(($60)|0)==128; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $62=$61 ? 14 : 111; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($57, $62); //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 8; break;
    case 8: 
      var $64=$3; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=(($64+4)|0); //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=(($66)|0)==128; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($67) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $69=$4; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $70=(($69+32)|0); //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $71=$70; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=$71; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $73=(($72+12)|0); //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $74=$73; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75 & 4095; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=$76 | 2; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=$77 & 4095; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=$71; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $80=(($79+12)|0); //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $81=$80; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=$78 & 4095; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $83=HEAP32[(($81)>>2)]; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $84=$83 & -4096; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $85=$84 | $82; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      HEAP32[(($81)>>2)]=$85; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 10; break; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $87=$2; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $88=$4; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $89=$5; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj($87, $88, $89, 4); //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=1; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 11; break; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $91=$1; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $91; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20BindDestructuringVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZL20BindDestructuringLHSP9JSContextP11JSParseNodeP13JSTreeContext($cx, $pn, $tc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$pn;
      $4=$tc;
      var $5=$3; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=__ZNK11JSParseNode7getKindEv($5); //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($6)|0) == 29) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 22 || (($6)|0) == 23) {
        __label__ = 3; break;
      }
      else if ((($6)|0) == 27) {
        __label__ = 6; break;
      }
      else if ((($6)|0) == 19) {
        __label__ = 9; break;
      }
      else {
      __label__ = 12; break;
      }
      
    case 2: 
      var $8=$2; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$3; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=$4; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj($8, $9, $10, 8); //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 3; break; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $12=$3; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__ZNK11JSParseNode5getOpEv($12); //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=((_js_CodeSpec+($13<<3))|0); //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=(($14+4)|0); //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$16 & 256; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17)|0)!=0; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $20=$3; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($20, 111); //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      __label__ = 13; break; //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $23=$2; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$3; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=$4; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZL11MakeSetCallP9JSContextP11JSParseNodeP13JSTreeContextj($23, $24, $25, 129); //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 4105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 4105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 13; break; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $30=$3; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZNK11JSParseNode4isOpE4JSOp($30, 174); //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      var $33=$3; //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN11JSParseNode5setOpE4JSOp($33, 172); //@line 4111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 13; break; //@line 4112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      __label__ = 12; break; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $36=$2; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=$4; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=(($37+48)|0); //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $40=(($39+40)|0); //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=$3; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($36, $40, $41, 0, 129, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=0; //@line 4120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 4120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=1; //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 14; break; //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      var $45=$1; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $45; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20BindDestructuringLHSP9JSContextP11JSParseNodeP13JSTreeContext["X"]=1;

function __ZN2js11GlobalScope9GlobalDefC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js11GlobalScope9GlobalDefC2Ev($2); //@line 327 "./jsparse.h"
  ;
  return; //@line 327 "./jsparse.h"
}


function __ZN2js11GlobalScope9GlobalDefC1Ej($this, $knownSlot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$knownSlot;
  var $3=$1;
  var $4=$2; //@line 330 "./jsparse.h"
  __ZN2js11GlobalScope9GlobalDefC2Ej($3, $4); //@line 330 "./jsparse.h"
  ;
  return; //@line 330 "./jsparse.h"
}


function __ZN2js11GlobalScope9GlobalDefC1EP6JSAtomP13JSFunctionBox($this, $atom, $box) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$atom;
  $3=$box;
  var $4=$1;
  var $5=$2; //@line 333 "./jsparse.h"
  var $6=$3; //@line 333 "./jsparse.h"
  __ZN2js11GlobalScope9GlobalDefC2EP6JSAtomP13JSFunctionBox($4, $5, $6); //@line 333 "./jsparse.h"
  ;
  return; //@line 333 "./jsparse.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($t+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $g=__stackBase__;
      var $3;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$4; //@line 765 "./jsvector.h"
      var $16=$t; //@line 765 "./jsvector.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];HEAP32[(($15+8)>>2)]=HEAP32[(($16+8)>>2)]; //@line 765 "./jsvector.h"
      __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $4); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $18=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $18; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 12;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];HEAP32[(($t+8)>>2)]=HEAP32[((tempParam+8)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 776 "./jsvector.h"
      var $4=$3; //@line 776 "./jsvector.h"
      var $5=(($4)|0)==0; //@line 776 "./jsvector.h"
      if ($5) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $7=$4; //@line 776 "./jsvector.h"
      var $8=$7; //@line 776 "./jsvector.h"
      var $9=$t; //@line 776 "./jsvector.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];HEAP32[(($8+8)>>2)]=HEAP32[(($9+8)>>2)]; //@line 776 "./jsvector.h"
      var $11 = $7;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($2+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj192EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=(($12*12)|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj16ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -134217728; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -134217728; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj16ES3_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "./jsvector.h"
      var $6=$5; //@line 114 "./jsvector.h"
      var $7=$3; //@line 114 "./jsvector.h"
      var $8=(($7*12)|0); //@line 114 "./jsvector.h"
      var $9=__ZN2js15TempAllocPolicy7malloc_Ej($6, $8); //@line 114 "./jsvector.h"
      var $10=$9; //@line 114 "./jsvector.h"
      $newbuf=$10; //@line 114 "./jsvector.h"
      var $11=$newbuf; //@line 115 "./jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "./jsvector.h"
    case 2: 
      $1=0; //@line 116 "./jsvector.h"
      __label__ = 10; break; //@line 116 "./jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "./jsvector.h"
      $dst=$15; //@line 117 "./jsvector.h"
      var $16=$2; //@line 117 "./jsvector.h"
      var $17=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($16); //@line 117 "./jsvector.h"
      $src=$17; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "./jsvector.h"
      var $20=$2; //@line 117 "./jsvector.h"
      var $21=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE10endNoCheckEv($20); //@line 117 "./jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "./jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "./jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "./jsvector.h"
      var $25=$24; //@line 118 "./jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "./jsvector.h"
      if ($26) { var $34 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "./jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "./jsvector.h"
      var $29=$src; //@line 118 "./jsvector.h"
      __ZN2js4MoveINS_11GlobalScope9GlobalDefEEENS_7MoveRefIT_EERS4_($4, $29); //@line 118 "./jsvector.h"
      var $30=__ZNK2js7MoveRefINS_11GlobalScope9GlobalDefEEcvRS2_Ev($4); //@line 118 "./jsvector.h"
      var $31=$28; //@line 118 "./jsvector.h"
      var $32=$30; //@line 118 "./jsvector.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)];HEAP32[(($31+8)>>2)]=HEAP32[(($32+8)>>2)]; //@line 118 "./jsvector.h"
      var $34 = $28;__label__ = 7; break; //@line 118 "./jsvector.h"
    case 7: 
      var $34; //@line 118 "./jsvector.h"
      __label__ = 8; break; //@line 118 "./jsvector.h"
    case 8: 
      var $36=$dst; //@line 117 "./jsvector.h"
      var $37=(($36+12)|0); //@line 117 "./jsvector.h"
      $dst=$37; //@line 117 "./jsvector.h"
      var $38=$src; //@line 117 "./jsvector.h"
      var $39=(($38+12)|0); //@line 117 "./jsvector.h"
      $src=$39; //@line 117 "./jsvector.h"
      __label__ = 4; break; //@line 117 "./jsvector.h"
    case 9: 
      var $41=$2; //@line 119 "./jsvector.h"
      var $42=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($41); //@line 119 "./jsvector.h"
      var $43=$2; //@line 119 "./jsvector.h"
      var $44=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE10endNoCheckEv($43); //@line 119 "./jsvector.h"
      __ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($42, $44); //@line 119 "./jsvector.h"
      var $45=$2; //@line 120 "./jsvector.h"
      var $46=$45; //@line 120 "./jsvector.h"
      var $47=$2; //@line 120 "./jsvector.h"
      var $48=(($47+4)|0); //@line 120 "./jsvector.h"
      var $49=HEAP32[(($48)>>2)]; //@line 120 "./jsvector.h"
      var $50=$49; //@line 120 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($46, $50); //@line 120 "./jsvector.h"
      var $51=$newbuf; //@line 121 "./jsvector.h"
      var $52=$2; //@line 121 "./jsvector.h"
      var $53=(($52+4)|0); //@line 121 "./jsvector.h"
      HEAP32[(($53)>>2)]=$51; //@line 121 "./jsvector.h"
      var $54=$3; //@line 123 "./jsvector.h"
      var $55=$2; //@line 123 "./jsvector.h"
      var $56=(($55+12)|0); //@line 123 "./jsvector.h"
      HEAP32[(($56)>>2)]=$54; //@line 123 "./jsvector.h"
      $1=1; //@line 124 "./jsvector.h"
      __label__ = 10; break; //@line 124 "./jsvector.h"
    case 10: 
      var $58=$1; //@line 125 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $58; //@line 125 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj16ES3_EEj["X"]=1;

function __ZN2js15ReentrancyGuardC2INS_6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js11GlobalScope9GlobalDefC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 327 "./jsparse.h"
}


function __ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZNK2js7MoveRefINS_11GlobalScope9GlobalDefEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "./jsvector.h"
      $p=$3; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "./jsvector.h"
      var $6=$2; //@line 66 "./jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "./jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "./jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "./jsvector.h"
      __label__ = 4; break; //@line 67 "./jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "./jsvector.h"
      var $12=(($11+12)|0); //@line 66 "./jsvector.h"
      $p=$12; //@line 66 "./jsvector.h"
      __label__ = 2; break; //@line 66 "./jsvector.h"
    case 5: 
      ;
      return; //@line 68 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_11GlobalScope9GlobalDefEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK7mozilla14AlignedStorageILj192EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZN2js11GlobalScope9GlobalDefC2EP6JSAtomP13JSFunctionBox($this, $atom, $box) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$atom;
  $3=$box;
  var $4=$1;
  var $5=(($4)|0); //@line 333 "./jsparse.h"
  var $6=$2; //@line 333 "./jsparse.h"
  HEAP32[(($5)>>2)]=$6; //@line 333 "./jsparse.h"
  var $7=(($4+4)|0); //@line 333 "./jsparse.h"
  var $8=$3; //@line 333 "./jsparse.h"
  HEAP32[(($7)>>2)]=$8; //@line 333 "./jsparse.h"
  ;
  return; //@line 333 "./jsparse.h"
}


function __ZN2js11GlobalScope9GlobalDefC2Ej($this, $knownSlot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$knownSlot;
  var $3=$1;
  var $4=(($3)|0); //@line 330 "./jsparse.h"
  HEAP32[(($4)>>2)]=0; //@line 330 "./jsparse.h"
  var $5=(($3+8)|0); //@line 330 "./jsparse.h"
  var $6=$2; //@line 330 "./jsparse.h"
  HEAP32[(($5)>>2)]=$6; //@line 330 "./jsparse.h"
  ;
  return; //@line 330 "./jsparse.h"
}


function __ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry3keyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 130 "./mfbt/InlineMap.h"
  var $4=HEAP32[(($3)>>2)]; //@line 130 "./mfbt/InlineMap.h"
  ;
  return $4; //@line 130 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Entry5valueEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 131 "./mfbt/InlineMap.h"
  var $4=HEAP32[(($3)>>2)]; //@line 131 "./mfbt/InlineMap.h"
  ;
  return $4; //@line 131 "./mfbt/InlineMap.h"
}


function __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range13isInlineRangeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 364 "./mfbt/InlineMap.h"
  var $4=HEAP8[($3)]; //@line 364 "./mfbt/InlineMap.h"
  var $5=(($4) & 1); //@line 364 "./mfbt/InlineMap.h"
  ;
  return $5; //@line 364 "./mfbt/InlineMap.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range16advancePastNullsEPNS4_10InlineElemE($this, $begin) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCur;
      $1=$this;
      $2=$begin;
      var $3=$1;
      var $4=$2; //@line 368 "./mfbt/InlineMap.h"
      $newCur=$4; //@line 368 "./mfbt/InlineMap.h"
      __label__ = 2; break; //@line 369 "./mfbt/InlineMap.h"
    case 2: 
      var $6=$newCur; //@line 369 "./mfbt/InlineMap.h"
      var $7=(($3+12)|0); //@line 369 "./mfbt/InlineMap.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 369 "./mfbt/InlineMap.h"
      var $9=(($6)>>>0) < (($8)>>>0); //@line 369 "./mfbt/InlineMap.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 369 "./mfbt/InlineMap.h"
    case 3: 
      var $11=$newCur; //@line 369 "./mfbt/InlineMap.h"
      var $12=(($11)|0); //@line 369 "./mfbt/InlineMap.h"
      var $13=HEAP32[(($12)>>2)]; //@line 369 "./mfbt/InlineMap.h"
      var $14=0==(($13)|0); //@line 369 "./mfbt/InlineMap.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $18=$newCur; //@line 370 "./mfbt/InlineMap.h"
      var $19=(($18+8)|0); //@line 370 "./mfbt/InlineMap.h"
      $newCur=$19; //@line 370 "./mfbt/InlineMap.h"
      __label__ = 2; break; //@line 370 "./mfbt/InlineMap.h"
    case 6: 
      var $21=$newCur; //@line 372 "./mfbt/InlineMap.h"
      var $22=(($3+8)|0); //@line 372 "./mfbt/InlineMap.h"
      HEAP32[(($22)>>2)]=$21; //@line 372 "./mfbt/InlineMap.h"
      ;
      return; //@line 373 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5EntryC2ERKS2_RKS3_($this, $key, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$key;
  $3=$value;
  var $4=$1;
  var $5=(($4)|0); //@line 127 "./jsprvtd.h"
  var $6=$2; //@line 127 "./jsprvtd.h"
  HEAP32[(($5)>>2)]=$6; //@line 127 "./jsprvtd.h"
  var $7=(($4+4)|0); //@line 127 "./jsprvtd.h"
  var $8=$3; //@line 127 "./jsprvtd.h"
  HEAP32[(($7)>>2)]=$8; //@line 127 "./jsprvtd.h"
  ;
  return; //@line 127 "./mfbt/InlineMap.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 192 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 192 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 192 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 192 "./jshashtable.h"
  ;
  return; //@line 192 "./jshashtable.h"
}


function __ZN2js12DefnOrHeaderC2EP12JSDefinition($this, $defn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$defn;
  var $3=$1;
  var $4=(($3)|0); //@line 213 "./frontend/ParseMaps.h"
  var $5=$2; //@line 214 "./frontend/ParseMaps.h"
  var $6=(($3)|0); //@line 214 "./frontend/ParseMaps.h"
  var $7=$6; //@line 214 "./frontend/ParseMaps.h"
  HEAP32[(($7)>>2)]=$5; //@line 214 "./frontend/ParseMaps.h"
  ;
  return; //@line 216 "./frontend/ParseMaps.h"
}


function __ZN2js11TokenStream17mungeCurrentTokenE4JSOp($this, $newOp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newOp;
  var $3=$1;
  var $4=$2; //@line 369 "./jsscan.h"
  var $5=(($3+132)|0); //@line 369 "./jsscan.h"
  var $6=HEAP32[(($5)>>2)]; //@line 369 "./jsscan.h"
  var $7=(($3+4)|0); //@line 369 "./jsscan.h"
  var $8=(($7+($6<<5))|0); //@line 369 "./jsscan.h"
  var $9=(($8+24)|0); //@line 369 "./jsscan.h"
  var $10=$9; //@line 369 "./jsscan.h"
  var $11=(($10)|0); //@line 369 "./jsscan.h"
  HEAP32[(($11)>>2)]=$4; //@line 369 "./jsscan.h"
  ;
  return; //@line 369 "./jsscan.h"
}


function __ZN8BindDataC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  HEAP8[($3)]=1; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
  ;
  return; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
}


function _BUILD_JSVAL2954($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZN18JSFunctionBoxQueue6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1071 "./jsparse.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1071 "./jsparse.h"
  var $5=(($4+1)|0); //@line 1071 "./jsparse.h"
  ;
  return $5; //@line 1071 "./jsparse.h"
}


function __ZN18JSFunctionBoxQueueC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1074 "./jsparse.h"
  HEAP32[(($3)>>2)]=0; //@line 1074 "./jsparse.h"
  var $4=(($2+4)|0); //@line 1074 "./jsparse.h"
  HEAP32[(($4)>>2)]=0; //@line 1074 "./jsparse.h"
  var $5=(($2+8)|0); //@line 1074 "./jsparse.h"
  HEAP32[(($5)>>2)]=0; //@line 1074 "./jsparse.h"
  var $6=(($2+12)|0); //@line 1074 "./jsparse.h"
  HEAP32[(($6)>>2)]=0; //@line 1074 "./jsparse.h"
  ;
  return; //@line 1074 "./jsparse.h"
}


function __ZN2js4MoveINS_11GlobalScope9GlobalDefEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_11GlobalScope9GlobalDefEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_11GlobalScope9GlobalDefEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_11GlobalScope9GlobalDefEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "./jsvector.h"
      $p=$5; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "./jsvector.h"
      var $8=$3; //@line 92 "./jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "./jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "./jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "./jsvector.h"
      var $12=$11; //@line 93 "./jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "./jsvector.h"
      if ($13) { var $21 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "./jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "./jsvector.h"
      var $16=$p; //@line 93 "./jsvector.h"
      __ZN2js4MoveINS_11GlobalScope9GlobalDefEEENS_7MoveRefIT_EERKS4_($4, $16); //@line 93 "./jsvector.h"
      var $17=__ZNK2js7MoveRefINS_11GlobalScope9GlobalDefEEcvRS2_Ev($4); //@line 93 "./jsvector.h"
      var $18=$15; //@line 93 "./jsvector.h"
      var $19=$17; //@line 93 "./jsvector.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];HEAP32[(($18+8)>>2)]=HEAP32[(($19+8)>>2)]; //@line 93 "./jsvector.h"
      var $21 = $15;__label__ = 5; break; //@line 93 "./jsvector.h"
    case 5: 
      var $21; //@line 93 "./jsvector.h"
      __label__ = 6; break; //@line 93 "./jsvector.h"
    case 6: 
      var $23=$p; //@line 92 "./jsvector.h"
      var $24=(($23+12)|0); //@line 92 "./jsvector.h"
      $p=$24; //@line 92 "./jsvector.h"
      var $25=$1; //@line 92 "./jsvector.h"
      var $26=(($25+12)|0); //@line 92 "./jsvector.h"
      $1=$26; //@line 92 "./jsvector.h"
      __label__ = 2; break; //@line 92 "./jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_11GlobalScope9GlobalDefEEENS_7MoveRefIT_EERKS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_11GlobalScope9GlobalDefEEC1ERS2_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js11NameSetNode6createEP13JSTreeContext($tc) {
  ;
  var __label__;

  var $1;
  $1=$tc;
  var $2=$1; //@line 790 "./jsparse.h"
  var $3=__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext(7, $2); //@line 790 "./jsparse.h"
  var $4=$3; //@line 790 "./jsparse.h"
  ;
  return $4; //@line 790 "./jsparse.h"
}


function __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range5emptyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range13isInlineRangeEv($2); //@line 384 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 384 "./mfbt/InlineMap.h"
    case 2: 
      var $5=(($2+8)|0); //@line 384 "./mfbt/InlineMap.h"
      var $6=HEAP32[(($5)>>2)]; //@line 384 "./mfbt/InlineMap.h"
      var $7=(($2+12)|0); //@line 384 "./mfbt/InlineMap.h"
      var $8=HEAP32[(($7)>>2)]; //@line 384 "./mfbt/InlineMap.h"
      var $9=(($6)|0)==(($8)|0); //@line 384 "./mfbt/InlineMap.h"
      var $14 = $9;__label__ = 4; break; //@line 384 "./mfbt/InlineMap.h"
    case 3: 
      var $11=(($2)|0); //@line 384 "./mfbt/InlineMap.h"
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv($11); //@line 384 "./mfbt/InlineMap.h"
      var $14 = $12;__label__ = 4; break; //@line 384 "./mfbt/InlineMap.h"
    case 4: 
      var $14; //@line 384 "./mfbt/InlineMap.h"
      ;
      return $14; //@line 384 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range5frontEv($agg_result, $this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range13isInlineRangeEv($2); //@line 389 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 389 "./mfbt/InlineMap.h"
    case 2: 
      var $5=(($2+8)|0); //@line 390 "./mfbt/InlineMap.h"
      var $6=HEAP32[(($5)>>2)]; //@line 390 "./mfbt/InlineMap.h"
      var $7=(($6)|0); //@line 390 "./mfbt/InlineMap.h"
      var $8=(($2+8)|0); //@line 390 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 390 "./mfbt/InlineMap.h"
      var $10=(($9+4)|0); //@line 390 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5EntryC1ERKS2_RKS3_($agg_result, $7, $10); //@line 390 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 390 "./mfbt/InlineMap.h"
    case 3: 
      var $12=(($2)|0); //@line 391 "./mfbt/InlineMap.h"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($12); //@line 391 "./mfbt/InlineMap.h"
      var $14=(($13)|0); //@line 391 "./mfbt/InlineMap.h"
      var $15=(($2)|0); //@line 391 "./mfbt/InlineMap.h"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv($15); //@line 391 "./mfbt/InlineMap.h"
      var $17=(($16+4)|0); //@line 391 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5EntryC1ERKS2_RKS3_($agg_result, $14, $17); //@line 391 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 391 "./mfbt/InlineMap.h"
    case 4: 
      ;
      return; //@line 392 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range13isInlineRangeEv($2); //@line 396 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 396 "./mfbt/InlineMap.h"
    case 2: 
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range10bumpCurPtrEv($2); //@line 397 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 397 "./mfbt/InlineMap.h"
    case 3: 
      var $6=(($2)|0); //@line 399 "./mfbt/InlineMap.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($6); //@line 399 "./mfbt/InlineMap.h"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 400 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range10bumpCurPtrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 377 "./mfbt/InlineMap.h"
  var $4=HEAP32[(($3)>>2)]; //@line 377 "./mfbt/InlineMap.h"
  var $5=(($4+8)|0); //@line 377 "./mfbt/InlineMap.h"
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range16advancePastNullsEPNS4_10InlineElemE($2, $5); //@line 377 "./mfbt/InlineMap.h"
  ;
  return; //@line 378 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+12)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5EntryC1ERKS2_RKS3_($this, $key, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$key;
  $3=$value;
  var $4=$1;
  var $5=$2; //@line 127 "./jsprvtd.h"
  var $6=$3; //@line 127 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5EntryC2ERKS2_RKS3_($4, $5, $6); //@line 127 "./jsprvtd.h"
  ;
  return; //@line 127 "./jsprvtd.h"
}


function __ZN2js13AtomDeclsIterC2EPNS_9AtomDeclsE($this, $decls) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$decls;
  var $3=$1;
  var $4=(($3)|0); //@line 389 "./frontend/ParseMaps.h"
  var $5=$2; //@line 389 "./frontend/ParseMaps.h"
  __ZN2js9AtomDecls3allEv($4, $5); //@line 389 "./frontend/ParseMaps.h"
  var $6=(($3+20)|0); //@line 389 "./frontend/ParseMaps.h"
  HEAP32[(($6)>>2)]=0; //@line 389 "./frontend/ParseMaps.h"
  ;
  return; //@line 389 "./frontend/ParseMaps.h"
}


function __ZN2js9AtomDecls3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 337 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 337 "./frontend/ParseMaps.h"
  __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3allEv($agg_result, $4); //@line 337 "./frontend/ParseMaps.h"
  ;
  return; //@line 337 "./frontend/ParseMaps.h"
}


function __ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3allEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$this;
      var $3=$1;
      var $4=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE8usingMapEv($3); //@line 404 "./mfbt/InlineMap.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 404 "./mfbt/InlineMap.h"
    case 2: 
      var $6=(($3+200)|0); //@line 404 "./mfbt/InlineMap.h"
      __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv($2, $6); //@line 404 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E5RangeE($agg_result, $2); //@line 404 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 404 "./mfbt/InlineMap.h"
    case 3: 
      var $8=(($3+8)|0); //@line 404 "./mfbt/InlineMap.h"
      var $9=(($8)|0); //@line 404 "./mfbt/InlineMap.h"
      var $10=(($3+8)|0); //@line 404 "./mfbt/InlineMap.h"
      var $11=(($10)|0); //@line 404 "./mfbt/InlineMap.h"
      var $12=(($3)|0); //@line 404 "./mfbt/InlineMap.h"
      var $13=HEAP32[(($12)>>2)]; //@line 404 "./mfbt/InlineMap.h"
      var $14=(($11+($13<<3))|0); //@line 404 "./mfbt/InlineMap.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC1EPKNS4_10InlineElemES8_($agg_result, $9, $14); //@line 404 "./mfbt/InlineMap.h"
      __label__ = 4; break; //@line 404 "./mfbt/InlineMap.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 404 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E5RangeE($this, $r) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $r; $r = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($r)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($r+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E5RangeE($2, $r); //@line 346 "./jsprvtd.h"
  STACKTOP = __stackBase__;
  return; //@line 346 "./jsprvtd.h"
}


function __ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC1EPKNS4_10InlineElemES8_($this, $begin, $end_) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$end_;
  var $4=$1;
  var $5=$2; //@line 354 "./jsprvtd.h"
  var $6=$3; //@line 354 "./jsprvtd.h"
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC2EPKNS4_10InlineElemES8_($4, $5, $6); //@line 354 "./jsprvtd.h"
  ;
  return; //@line 354 "./jsprvtd.h"
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC2EPKNS4_10InlineElemES8_($this, $begin, $end_) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$end_;
  var $4=$1;
  var $5=(($4)|0); //@line 351 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC1Ev($5); //@line 351 "./jsprvtd.h"
  var $6=(($4+8)|0); //@line 351 "./jsprvtd.h"
  var $7=$2; //@line 351 "./jsprvtd.h"
  HEAP32[(($6)>>2)]=$7; //@line 351 "./jsprvtd.h"
  var $8=(($4+12)|0); //@line 351 "./jsprvtd.h"
  var $9=$3; //@line 351 "./jsprvtd.h"
  HEAP32[(($8)>>2)]=$9; //@line 351 "./jsprvtd.h"
  var $10=(($4+16)|0); //@line 351 "./jsprvtd.h"
  HEAP8[($10)]=1; //@line 351 "./jsprvtd.h"
  var $11=(($4+8)|0); //@line 352 "./mfbt/InlineMap.h"
  var $12=HEAP32[(($11)>>2)]; //@line 352 "./mfbt/InlineMap.h"
  __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range16advancePastNullsEPNS4_10InlineElemE($4, $12); //@line 352 "./mfbt/InlineMap.h"
  ;
  return; //@line 354 "./mfbt/InlineMap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC2Ev($2); //@line 192 "./jshashtable.h"
  ;
  return; //@line 192 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+8)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*12)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC1EPNS0_14HashTableEntryIS6_EESH_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC1EPNS0_14HashTableEntryIS6_EESH_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC2EPNS0_14HashTableEntryIS6_EESH_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC2EPNS0_14HashTableEntryIS6_EESH_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+12)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E5RangeE($this, $r) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $r; $r = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($r)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($r+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 343 "./jsprvtd.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC1Ev($3); //@line 343 "./jsprvtd.h"
  var $4=(($2+8)|0); //@line 343 "./jsprvtd.h"
  HEAP32[(($4)>>2)]=0; //@line 343 "./jsprvtd.h"
  var $5=(($2+12)|0); //@line 343 "./jsprvtd.h"
  HEAP32[(($5)>>2)]=0; //@line 343 "./jsprvtd.h"
  var $6=(($2+16)|0); //@line 343 "./jsprvtd.h"
  HEAP8[($6)]=0; //@line 343 "./jsprvtd.h"
  var $7=(($2)|0); //@line 344 "./mfbt/InlineMap.h"
  var $8=$7; //@line 344 "./mfbt/InlineMap.h"
  var $9=$r; //@line 344 "./mfbt/InlineMap.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 344 "./mfbt/InlineMap.h"
  STACKTOP = __stackBase__;
  return; //@line 346 "./mfbt/InlineMap.h"
}


function __ZN2js9AtomDecls9addUniqueEP6JSAtomP12JSDefinition($this, $atom, $defn) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $p=__stackBase__+4;
      var $5=__stackBase__+20;
      var $6=__stackBase__+24;
      $2=$this;
      HEAP32[(($3)>>2)]=$atom;
      $4=$defn;
      var $7=$2;
      var $8=(($7+4)|0); //@line 115 "./frontend/ParseMaps-inl.h"
      var $9=HEAP32[(($8)>>2)]; //@line 115 "./frontend/ParseMaps-inl.h"
      __ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12lookupForAddERKS2_($p, $9, $3); //@line 115 "./frontend/ParseMaps-inl.h"
      var $10=__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrcvPPPPPPPS5_Ev($p); //@line 116 "./frontend/ParseMaps-inl.h"
      var $11=(($10)|0)!=0; //@line 116 "./frontend/ParseMaps-inl.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./frontend/ParseMaps-inl.h"
    case 2: 
      var $13=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5valueEv($p); //@line 118 "./frontend/ParseMaps-inl.h"
      var $14=$4; //@line 118 "./frontend/ParseMaps-inl.h"
      __ZN2js12DefnOrHeaderC1EP12JSDefinition($5, $14); //@line 118 "./frontend/ParseMaps-inl.h"
      var $15=$13; //@line 118 "./frontend/ParseMaps-inl.h"
      var $16=$5; //@line 118 "./frontend/ParseMaps-inl.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)]; //@line 118 "./frontend/ParseMaps-inl.h"
      $1=1; //@line 119 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 119 "./frontend/ParseMaps-inl.h"
    case 3: 
      var $18=(($7+4)|0); //@line 121 "./frontend/ParseMaps-inl.h"
      var $19=HEAP32[(($18)>>2)]; //@line 121 "./frontend/ParseMaps-inl.h"
      var $20=$4; //@line 121 "./frontend/ParseMaps-inl.h"
      __ZN2js12DefnOrHeaderC1EP12JSDefinition($6, $20); //@line 121 "./frontend/ParseMaps-inl.h"
      var $21=__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3addERNS4_6AddPtrERKS2_RKS3_($19, $p, $3, $6); //@line 121 "./frontend/ParseMaps-inl.h"
      $1=$21; //@line 121 "./frontend/ParseMaps-inl.h"
      __label__ = 4; break; //@line 121 "./frontend/ParseMaps-inl.h"
    case 4: 
      var $23=$1; //@line 122 "./frontend/ParseMaps-inl.h"
      STACKTOP = __stackBase__;
      return $23; //@line 122 "./frontend/ParseMaps-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12DefnOrHeaderC1EP12JSDefinition($this, $defn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$defn;
  var $3=$1;
  var $4=$2; //@line 216 "./frontend/ParseMaps.h"
  __ZN2js12DefnOrHeaderC2EP12JSDefinition($3, $4); //@line 216 "./frontend/ParseMaps.h"
  ;
  return; //@line 216 "./frontend/ParseMaps.h"
}


function __ZN12JSDefinition13isBindingFormEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN12JSDefinition4kindEv($2); //@line 954 "./jsparse.h"
  var $4=(($3)|0) <= 2; //@line 954 "./jsparse.h"
  ;
  return $4; //@line 954 "./jsparse.h"
}


function __ZN2JSL9NullValueEv2953($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZL10MinBlockIdP11JSParseNodej($fn, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $pn;
      $2=$fn;
      $3=$id;
      var $4=$2; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $5=(($4+32)|0); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $6=$5; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=$6; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+12)|0); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$8; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$10 >>> 12; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$11 & 1048575; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=$3; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      $1=0; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      var $17=$2; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=__ZNK11JSParseNode6isDefnEv($17); //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $20=$2; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+28)|0); //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$22; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $24=$pn; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=(($24)|0)!=0; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      var $27=$pn; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=(($27+32)|0); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$28; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=$29; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=(($30+12)|0); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$31; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=HEAPU32[(($32)>>2)]; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33 >>> 12; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=$34 & 1048575; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=$3; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      $1=0; //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      __label__ = 9; break; //@line 2219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $41=$pn; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=(($41+28)|0); //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn=$43; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 5; break; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      __label__ = 11; break; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      $1=1; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 12; break; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $47=$1; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $47; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10MinBlockIdP11JSParseNodej["X"]=1;

function __ZN18JSFunctionBoxQueueD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1082 "./jsparse.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1082 "./jsparse.h"
  var $5=$4; //@line 1082 "./jsparse.h"
  __ZN2js10Foreground5free_EPv($5); //@line 1082 "./jsparse.h"
  ;
  return; //@line 1082 "./jsparse.h"
}


function __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_($2, $a); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZL12JSID_IS_ATOMi2955($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING2948($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEC2ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIbEcvRbEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIbEC2ERb($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZL18ReportBadParameterP9JSContextP13JSTreeContextP6JSAtomj($cx, $tc, $name, $errorNumber) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dn;
      var $bytes=__stackBase__;
      var $6;
      $2=$cx;
      $3=$tc;
      $4=$name;
      $5=$errorNumber;
      var $7=$3; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=(($7+40)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=$4; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=__ZN2js9AtomDecls11lookupFirstEP6JSAtom($8, $9); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $dn=$10; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=$2; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $12=$4; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $13=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($11, $12, $bytes); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $14=(($13)|0)!=0; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($14) { __label__ = 2; break; } else { var $28 = 0;__label__ = 3; break; } //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 2: 
      var $16=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $17=$3; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $18=(($17+48)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=(($19+40)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=$3; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=$dn; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=$22; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $24=$5; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $25=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $26=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($16, $20, $21, $23, $24, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$25,tempInt)); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28 = $26;__label__ = 3; break;
    case 3: 
      var $28;
      $1=$28;
      $6=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=$1; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 216, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_bEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKb($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP8[($16)]; //@line 1053 "./jshashtable.h"
      var $18=(($17) & 1); //@line 1053 "./jshashtable.h"
      var $19=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $20=(($19+4)|0); //@line 1053 "./jshashtable.h"
      var $21=(($18)&1); //@line 1053 "./jshashtable.h"
      HEAP8[($20)]=$21; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $23=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $23; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($2); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*12)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+12)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js15TempAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js15TempAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP6JSAtombEEEENS_7MoveRefIT_EERS6_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtombEaSENS_7MoveRefIS3_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP6JSAtombEaSENS_7MoveRefIS3_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP6JSAtomEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP6JSAtomEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIbEENS_7MoveRefIT_EERS2_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIbEcvRbEv($3); //@line 917 "./jshashtable.h"
  var $13=HEAP8[($12)]; //@line 917 "./jshashtable.h"
  var $14=(($13) & 1); //@line 917 "./jshashtable.h"
  var $15=(($4+4)|0); //@line 917 "./jshashtable.h"
  var $16=(($14)&1); //@line 917 "./jshashtable.h"
  HEAP8[($15)]=$16; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP6JSAtombEEEENS_7MoveRefIT_EERS6_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEC1ERS4_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEC1ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEC2ERS4_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIbEENS_7MoveRefIT_EERS2_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIbEC1ERb($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIbEC1ERb($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIbEC2ERb($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js12HashMapEntryIP6JSAtombEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP8[($4)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_bEE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP6JSAtombEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP6JSAtombEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP6JSAtombEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP6JSAtomLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_bEE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP6JSAtomLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj["X"]=1;

function __ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  var $5=$2; //@line 985 "./jshashtable.h"
  var $6=$a; //@line 985 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZL14JSID_FROM_BITSj2961($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _JSID_TO_FLAT_STRING2959($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function __ZN2js11UpvarCookie15isLevelReservedEt($level) {
  ;
  var __label__;

  var $1;
  $1=$level;
  var $2=$1; //@line 101 "./jsscript.h"
  var $3=(($2)&65535); //@line 101 "./jsscript.h"
  var $4=(($3)|0) >= 16383; //@line 101 "./jsscript.h"
  ;
  return $4; //@line 101 "./jsscript.h"
}


function _OBJECT_TO_JSVAL_IMPL2960($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN7mozilla14AlignedStorageILj192EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function __ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE6hasMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 142 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 142 "./frontend/ParseMaps.h"
  var $5=(($4)|0)!=0; //@line 142 "./frontend/ParseMaps.h"
  ;
  return $5; //@line 142 "./frontend/ParseMaps.h"
}


function __ZL14HasFinalReturnP11JSParseNode($pn) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pn2;
      var $pn3;
      var $rv;
      var $rv2;
      var $hasDefault;
      $2=$pn;
      var $3=$2; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $4=__ZNK11JSParseNode7getKindEv($3); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ((($4)|0) == 25) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 35) {
        __label__ = 5; break;
      }
      else if ((($4)|0) == 40) {
        __label__ = 8; break;
      }
      else if ((($4)|0) == 41) {
        __label__ = 15; break;
      }
      else if ((($4)|0) == 42) {
        __label__ = 26; break;
      }
      else if ((($4)|0) == 37) {
        __label__ = 30; break;
      }
      else if ((($4)|0) == 43) {
        __label__ = 47; break;
      }
      else if ((($4)|0) == 47) {
        __label__ = 48; break;
      }
      else if ((($4)|0) == 48) {
        __label__ = 49; break;
      }
      else if ((($4)|0) == 6 || (($4)|0) == 80) {
        __label__ = 50; break;
      }
      else if ((($4)|0) == 56) {
        __label__ = 51; break;
      }
      else if ((($4)|0) == 53) {
        __label__ = 52; break;
      }
      else if ((($4)|0) == 54) {
        __label__ = 63; break;
      }
      else if ((($4)|0) == 81) {
        __label__ = 64; break;
      }
      else {
      __label__ = 67; break;
      }
      
    case 2: 
      var $6=$2; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $7=(($6+32)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $8=$7; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $9=(($8)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $11=(($10)|0)!=0; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 3: 
      $1=0; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 4: 
      var $14=$2; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $15=__ZNK11JSParseNode4lastEv($14); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $16=__ZL14HasFinalReturnP11JSParseNode($15); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$16; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 5: 
      var $18=$2; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $19=(($18+32)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $20=$19; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $21=(($20+8)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $23=(($22)|0)!=0; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 6: 
      $1=0; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 7: 
      var $26=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $27=(($26+32)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $28=$27; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $29=(($28+4)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $31=__ZL14HasFinalReturnP11JSParseNode($30); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $32=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $33=(($32+32)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $34=$33; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $35=(($34+8)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $37=__ZL14HasFinalReturnP11JSParseNode($36); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $38=$31 & $37; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$38; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 8: 
      var $40=$2; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $41=(($40+32)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $42=$41; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $43=(($42)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$44; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $45=$pn2; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $46=__ZNK11JSParseNode6isKindEN2js9TokenKindE($45, 33); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 9: 
      var $48=$pn2; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $49=__ZNK11JSParseNode4isOpE4JSOp($48, 67); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 10: 
      $1=1; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 11: 
      var $52=$pn2; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $53=__ZNK11JSParseNode6isKindEN2js9TokenKindE($52, 30); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($53) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 12: 
      var $55=$pn2; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $56=(($55+32)|0); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $57=$56; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $58=(tempDoubleI32[0]=HEAP32[(($57)>>2)],tempDoubleI32[1]=HEAP32[(($57+4)>>2)],tempDoubleF64[0]); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $59=$58 != 0; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 13: 
      $1=1; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 14: 
      $1=0; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 15: 
      var $63=$2; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $64=(($63+32)|0); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $65=$64; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $66=(($65+4)|0); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$67; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $68=$pn2; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $69=__ZNK11JSParseNode6isKindEN2js9TokenKindE($68, 33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($69) { __label__ = 16; break; } else { __label__ = 21; break; } //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 16: 
      var $71=$pn2; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $72=__ZNK11JSParseNode4isOpE4JSOp($71, 66); //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($72) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 17: 
      var $74=$2; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $75=(($74+32)|0); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $76=$75; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $77=(($76)|0); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $79=__ZL14HasFinalReturnP11JSParseNode($78); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$79; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 18: 
      var $81=$pn2; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $82=__ZNK11JSParseNode4isOpE4JSOp($81, 67); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 19: 
      $1=1; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 20: 
      __label__ = 21; break; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 21: 
      var $86=$pn2; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $87=__ZNK11JSParseNode6isKindEN2js9TokenKindE($86, 30); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 22: 
      var $89=$pn2; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $90=(($89+32)|0); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $91=$90; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $92=(tempDoubleI32[0]=HEAP32[(($91)>>2)],tempDoubleI32[1]=HEAP32[(($91+4)>>2)],tempDoubleF64[0]); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $93=$92 == 0; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($93) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 23: 
      var $95=$2; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $96=(($95+32)|0); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $97=$96; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $98=(($97)|0); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $100=__ZL14HasFinalReturnP11JSParseNode($99); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$100; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 24: 
      $1=1; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 25: 
      $1=0; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 26: 
      var $104=$2; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $105=(($104+32)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $106=$105; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $107=(($106)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$108; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $109=$pn2; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $110=__ZNK11JSParseNode7isArityE16JSParseNodeArity($109, 3); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($110) { __label__ = 27; break; } else { __label__ = 29; break; } //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 27: 
      var $112=$pn2; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $113=(($112+32)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $114=$113; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $115=(($114+4)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $117=(($116)|0)!=0; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($117) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 28: 
      $1=1; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 29: 
      $1=0; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 30: 
      $rv=1; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $hasDefault=0; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $121=$2; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $122=(($121+32)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $123=$122; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $124=(($123+4)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$125; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $126=$pn2; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $127=__ZNK11JSParseNode6isKindEN2js9TokenKindE($126, 80); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($127) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 31: 
      var $129=$pn2; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $130=__ZNK11JSParseNode4exprEv($129); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$130; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 32; break; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 32: 
      var $132=$pn2; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $133=(($132+32)|0); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $134=$133; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $135=(($134)|0); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$136; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 33; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 33: 
      var $138=$rv; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $139=(($138)|0)!=0; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($139) { __label__ = 34; break; } else { var $144 = 0;__label__ = 35; break; } //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 34: 
      var $141=$pn2; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $142=(($141)|0)!=0; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $144 = $142;__label__ = 35; break;
    case 35: 
      var $144;
      if ($144) { __label__ = 36; break; } else { __label__ = 46; break; }
    case 36: 
      var $146=$pn2; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $147=__ZNK11JSParseNode6isKindEN2js9TokenKindE($146, 39); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($147) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 37: 
      $hasDefault=1; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 38; break; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 38: 
      var $150=$pn2; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $151=(($150+32)|0); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $152=$151; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $153=(($152+4)|0); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn3=$154; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $155=$pn3; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $156=(($155+32)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $157=$156; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $158=(($157)|0); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $160=(($159)|0)!=0; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($160) { __label__ = 39; break; } else { __label__ = 44; break; } //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 39: 
      var $162=$pn3; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $163=__ZNK11JSParseNode4lastEv($162); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $164=__ZL14HasFinalReturnP11JSParseNode($163); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rv2=$164; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $165=$rv2; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $166=(($165)|0)==0; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($166) { __label__ = 40; break; } else { __label__ = 42; break; } //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 40: 
      var $168=$pn2; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $169=(($168+24)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $171=(($170)|0)!=0; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($171) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 41: 
      __label__ = 43; break; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 42: 
      var $174=$rv2; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $175=$rv; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $176=$175 & $174; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rv=$176; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 43; break;
    case 43: 
      __label__ = 44; break; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 44: 
      __label__ = 45; break; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 45: 
      var $180=$pn2; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $181=(($180+24)|0); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$182; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 33; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 46: 
      var $184=$hasDefault; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $185=$rv; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $186=$185 & $184; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rv=$186; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $187=$rv; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$187; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 47: 
      $1=2; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 48: 
      var $190=$2; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $191=(($190+32)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $192=$191; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $193=(($192+4)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $195=__ZL14HasFinalReturnP11JSParseNode($194); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$195; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 49: 
      $1=1; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 50: 
      var $198=$2; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $199=__ZNK11JSParseNode4exprEv($198); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $200=__ZL14HasFinalReturnP11JSParseNode($199); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$200; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 51: 
      $1=1; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 52: 
      var $203=$2; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $204=(($203+32)|0); //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $205=$204; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $206=(($205+8)|0); //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $208=(($207)|0)!=0; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($208) { __label__ = 53; break; } else { __label__ = 56; break; } //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 53: 
      var $210=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $211=(($210+32)|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $212=$211; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $213=(($212+8)|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $215=__ZL14HasFinalReturnP11JSParseNode($214); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rv=$215; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $216=$rv; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $217=(($216)|0)==1; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($217) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 54: 
      var $219=$rv; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$219; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 55: 
      __label__ = 56; break; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 56: 
      var $222=$2; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $223=(($222+32)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $224=$223; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $225=(($224)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $226=HEAP32[(($225)>>2)]; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $227=__ZL14HasFinalReturnP11JSParseNode($226); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rv=$227; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $228=$2; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $229=(($228+32)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $230=$229; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $231=(($230+4)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $233=(($232)|0)!=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($233) { __label__ = 57; break; } else { __label__ = 62; break; } //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 57: 
      var $235=$2; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $236=(($235+32)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $237=$236; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $238=(($237+4)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $239=HEAP32[(($238)>>2)]; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $240=(($239+32)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $241=$240; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $242=(($241)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $243=HEAP32[(($242)>>2)]; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$243; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 58; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 58: 
      var $245=$pn2; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $246=(($245)|0)!=0; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($246) { __label__ = 59; break; } else { __label__ = 61; break; } //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 59: 
      var $248=$pn2; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $249=__ZL14HasFinalReturnP11JSParseNode($248); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $250=$rv; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $251=$250 & $249; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $rv=$251; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 60; break; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 60: 
      var $253=$pn2; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $254=(($253+24)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $255=HEAP32[(($254)>>2)]; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $pn2=$255; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 58; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 61: 
      __label__ = 62; break; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 62: 
      var $258=$rv; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$258; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 63: 
      var $260=$2; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $261=(($260+32)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $262=$261; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $263=(($262+8)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $264=HEAP32[(($263)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $265=__ZL14HasFinalReturnP11JSParseNode($264); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$265; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 64: 
      var $267=$2; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $268=__ZNK11JSParseNode7isArityE16JSParseNodeArity($267, 2); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      if ($268) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 65: 
      $1=0; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 66: 
      var $271=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $272=(($271+32)|0); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $273=$272; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $274=(($273+4)|0); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $275=HEAP32[(($274)>>2)]; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      var $276=__ZL14HasFinalReturnP11JSParseNode($275); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      $1=$276; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 67: 
      $1=0; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      __label__ = 68; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    case 68: 
      var $279=$1; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
      ;
      return $279; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14HasFinalReturnP11JSParseNode["X"]=1;

function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2956($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj2957($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2958($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2956["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj2957($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2958($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2js8CompilerD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1299 "./jsparse.h"
  FUNCTION_TABLE[__ZN2js6ParserD1Ev]($3); //@line 1299 "./jsparse.h"
  ;
  return; //@line 1299 "./jsparse.h"
}


function __ZN2js11GlobalScopeD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+216)|0); //@line 316 "./jsparse.h"
  __ZN2js9InlineMapIP6JSAtomjLj24EED1Ev($3); //@line 316 "./jsparse.h"
  var $4=(($2+8)|0); //@line 316 "./jsparse.h"
  __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEED1Ev($4); //@line 316 "./jsparse.h"
  ;
  return; //@line 316 "./jsparse.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11GlobalScopeC2EP9JSContextP8JSObjectP15JSCodeGenerator($this, $cx, $globalObj, $cg) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$globalObj;
  $4=$cg;
  var $6=$1;
  var $7=(($6)|0); //@line 319 "./jsparse.h"
  var $8=$3; //@line 319 "./jsparse.h"
  HEAP32[(($7)>>2)]=$8; //@line 319 "./jsparse.h"
  var $9=(($6+4)|0); //@line 319 "./jsparse.h"
  var $10=$4; //@line 319 "./jsparse.h"
  HEAP32[(($9)>>2)]=$10; //@line 319 "./jsparse.h"
  var $11=(($6+8)|0); //@line 319 "./jsparse.h"
  var $12=$2; //@line 319 "./jsparse.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($5, $12); //@line 319 "./jsparse.h"
  __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEC1ES3_($11, $5); //@line 319 "./jsparse.h"
  var $13=(($6+216)|0); //@line 319 "./jsparse.h"
  var $14=$2; //@line 319 "./jsparse.h"
  __ZN2js9InlineMapIP6JSAtomjLj24EEC1EP9JSContext($13, $14); //@line 319 "./jsparse.h"
  STACKTOP = __stackBase__;
  return; //@line 319 "./jsparse.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj192EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=16; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js11OffTheBooks4new_INS_12ParseMapPoolEP9JSContextEEPT_T0_($p1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      $1=$p1;
      var $2=_js_malloc2912(284); //@line 509 "./jsutil.h"
      $memory=$2; //@line 509 "./jsutil.h"
      var $3=$memory; //@line 509 "./jsutil.h"
      var $4=(($3)|0)!=0; //@line 509 "./jsutil.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "./jsutil.h"
    case 2: 
      var $6=$memory; //@line 509 "./jsutil.h"
      var $7=(($6)|0)==0; //@line 509 "./jsutil.h"
      if ($7) { var $12 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "./jsutil.h"
    case 3: 
      var $9=$6; //@line 509 "./jsutil.h"
      var $10=$1; //@line 509 "./jsutil.h"
      __ZN2js12ParseMapPoolC1EP9JSContext($9, $10); //@line 509 "./jsutil.h"
      var $12 = $9;__label__ = 4; break; //@line 509 "./jsutil.h"
    case 4: 
      var $12; //@line 509 "./jsutil.h"
      var $15 = $12;__label__ = 6; break; //@line 509 "./jsutil.h"
    case 5: 
      var $15 = 0;__label__ = 6; break; //@line 509 "./jsutil.h"
    case 6: 
      var $15; //@line 509 "./jsutil.h"
      ;
      return $15; //@line 509 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12ParseMapPoolC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 97 "./frontend/ParseMaps.h"
  __ZN2js12ParseMapPoolC2EP9JSContext($3, $4); //@line 97 "./frontend/ParseMaps.h"
  ;
  return; //@line 97 "./frontend/ParseMaps.h"
}


function __ZN2js12ParseMapPoolC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$cx;
  var $5=$1;
  var $6=(($5)|0); //@line 97 "./frontend/ParseMaps.h"
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEEC1ES2_($6, $3); //@line 97 "./frontend/ParseMaps.h"
  var $7=(($5+140)|0); //@line 97 "./frontend/ParseMaps.h"
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEEC1ES2_($7, $4); //@line 97 "./frontend/ParseMaps.h"
  var $8=(($5+280)|0); //@line 97 "./frontend/ParseMaps.h"
  var $9=$2; //@line 97 "./frontend/ParseMaps.h"
  HEAP32[(($8)>>2)]=$9; //@line 97 "./frontend/ParseMaps.h"
  STACKTOP = __stackBase__;
  return; //@line 97 "./frontend/ParseMaps.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEEC1ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEEC2ES2_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEEC2ES2_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=(($2)|0); //@line 493 "./jsvector.h"
  var $5=(($2+12)|0); //@line 488 "./jsvector.h"
  var $6=__ZN7mozilla14AlignedStorageILj128EE4addrEv($5); //@line 488 "./jsvector.h"
  var $7=$6; //@line 488 "./jsvector.h"
  HEAP32[(($4)>>2)]=$7; //@line 488 "./jsvector.h"
  var $8=(($2+4)|0); //@line 488 "./jsvector.h"
  HEAP32[(($8)>>2)]=0; //@line 488 "./jsvector.h"
  var $9=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($9)>>2)]=32; //@line 488 "./jsvector.h"
  var $10=(($2+12)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2jsL8ValueifyEP7JSClass3000($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 388 "./jsclass.h"
  var $3=$2; //@line 388 "./jsclass.h"
  ;
  return $3; //@line 388 "./jsclass.h"
}


function _JSVAL_TO_OBJECT_IMPL3001($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL3003($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL3005($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZL8pm_startP9JSContextjPN2JS5ValueE($cx, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $p;
      $3=$cx;
      $4=$0;
      $5=$vp;
      var $6=$3; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $7=$5; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=__ZL13GetPMFromThisP9JSContextPN2JS5ValueE($6, $7); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$8; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=$p; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=(($9)|0)!=0; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $13=$p; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __ZN2JS15PerfMeasurement5startEv($13); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=1; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $15=$2; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $15; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7pm_stopP9JSContextjPN2JS5ValueE($cx, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $p;
      $3=$cx;
      $4=$0;
      $5=$vp;
      var $6=$3; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $7=$5; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=__ZL13GetPMFromThisP9JSContextPN2JS5ValueE($6, $7); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$8; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=$p; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=(($9)|0)!=0; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $13=$p; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __ZN2JS15PerfMeasurement4stopEv($13); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=1; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $15=$2; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $15; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8pm_resetP9JSContextjPN2JS5ValueE($cx, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $p;
      $3=$cx;
      $4=$0;
      $5=$vp;
      var $6=$3; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $7=$5; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=__ZL13GetPMFromThisP9JSContextPN2JS5ValueE($6, $7); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$8; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=$p; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=(($9)|0)!=0; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $13=$p; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __ZN2JS15PerfMeasurement5resetEv($13); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=1; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $15=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $15; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL22pm_canMeasureSomethingP9JSContextjPN2JS5ValueE($cx, $0, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $p;
      var $6=__stackBase__;
      $3=$cx;
      $4=$0;
      $5=$vp;
      var $7=$3; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$5; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL13GetPMFromThisP9JSContextPN2JS5ValueE($7, $8); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$5; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=__ZN2JS15PerfMeasurement19canMeasureSomethingEv(); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $17=(($16)&1); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      _BOOLEAN_TO_JSVAL3010($6, $17); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $18=$14; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=1; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $21=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11pm_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$1; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
  var $4=$1; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
  var $5=$2; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
  var $6=_JS_GetPrivate($4, $5); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
  var $7=$6; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
  __ZN9JSContext7delete_IN2JS15PerfMeasurementEEEvPT_($3, $7); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
  ;
  return; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
}


function __ZN2JS23RegisterPerfMeasurementEP9JSContextP8JSObject($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $prototype;
      var $ctor;
      var $c;
      var $4=__stackBase__;
      $2=$cx;
      $3=$global;
      var $5=$2; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $6=$3; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $7=_JS_InitClass($5, $6, 0, __ZL8pm_class, 218, 1, ((__ZL8pm_props)|0), ((__ZL6pm_fns)|0), 0, 0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $prototype=$7; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$prototype; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=(($8)|0)!=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $1=0; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 15; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $12=$2; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $13=$prototype; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $14=_JS_GetConstructor($12, $13); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $ctor=$14; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$ctor; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15)|0)!=0; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      $1=0; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 15; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 5: 
      $c=((__ZL9pm_consts)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 6; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 6: 
      var $20=$c; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $21=(($20)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $23=(($22)|0)!=0; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 7: 
      var $25=$2; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $26=$ctor; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $27=$c; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $28=(($27)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $30=$c; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $31=(($30+4)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      _INT_TO_JSVAL2997($4, $32); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $33=_JS_DefineProperty($25, $26, $29, $4, 8, 10, 7); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $34=(($33)|0)!=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 8: 
      $1=0; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 15; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 9: 
      __label__ = 10; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 10: 
      var $38=$c; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $39=(($38+8)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $c=$39; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 6; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 11: 
      var $41=$2; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $42=$prototype; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $43=_JS_FreezeObject($41, $42); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $44=(($43)|0)!=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 12: 
      var $46=$2; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $47=$ctor; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $48=_JS_FreezeObject($46, $47); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $49=(($48)|0)!=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 13: 
      $1=0; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 15; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 14: 
      var $52=$prototype; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $1=$52; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 15; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 15: 
      var $54=$1; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2JS23RegisterPerfMeasurementEP9JSContextP8JSObject["X"]=1;

function __ZL12pm_constructP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $mask=__stackBase__;
      var $obj;
      var $p;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $7=$3; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=(($8+16)|0); //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=_JS_ConvertArguments($6, $7, $9, ((STRING_TABLE.__str302996)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$mask,tempInt)); //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $1=0; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 10; break; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$2; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$4; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=_JS_NewObjectForConstructor($14, $15); //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $obj=$16; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $17=$obj; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $18=(($17)|0)!=0; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      $1=0; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 10; break; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 5: 
      var $21=$2; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $22=$obj; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $23=_JS_FreezeObject($21, $22); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $24=(($23)|0)!=0; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 6: 
      $1=0; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 10; break; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 7: 
      var $27=$2; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $28=HEAP32[(($mask)>>2)]; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $29=__ZN9JSContext4new_IN2JS15PerfMeasurementENS2_9EventMaskEEEPT_T0_($27, $28); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$29; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $30=$p; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $31=(($30)|0)!=0; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 8: 
      var $33=$2; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      _JS_ReportOutOfMemory($33); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $1=0; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 10; break; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 9: 
      var $35=$2; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $36=$obj; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $37=$p; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $38=$37; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $39=_JS_SetPrivate($35, $36, $38); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $40=$4; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $41=$obj; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      _OBJECT_TO_JSVAL3006($5, $41); //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $42=$40; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $43=$5; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $1=1; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 10; break; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 10: 
      var $45=$1; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12pm_constructP9JSContextjPN2JS5ValueE["X"]=1;

function _INT_TO_JSVAL2997($agg_result, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$i;
  var $3=$1; //@line 1311 "./jsapi.h"
  _INT32_TO_JSVAL_IMPL3005($2, $3); //@line 1311 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout3004($agg_result, $2); //@line 1311 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1311 "./jsapi.h"
}


function __ZN2JS22ExtractPerfMeasurementENS_5ValueE($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $wrapper=__stackBase__;
      var $3=__stackBase__+8;
      var $obj;
      var $4=__stackBase__+16;
      var $5=$wrapper;
      var $6=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
      var $7=$3; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$wrapper; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=_JSVAL_IS_PRIMITIVE2998($3); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=(($9)|0)!=0; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 6; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $13=$4; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $14=$wrapper; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=_JSVAL_TO_OBJECT2999($4); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $obj=$15; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=$obj; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $17=__ZNK8JSObject8getClassEv($16); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $18=__ZN2jsL8ValueifyEP7JSClass3000(__ZL8pm_class); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=(($17)|0)!=(($18)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      $2=0; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 6; break; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 5: 
      var $22=$obj; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $23=__ZNK8JSObject10getPrivateEv($22); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $24=$23; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$24; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 6; break; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 6: 
      var $26=$2; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_PRIMITIVE2998($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1421 "./jsapi.h"
  var $7=$v; //@line 1421 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1421 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE3002($2, $3); //@line 1421 "./jsapi.h"
  var $8=_JSVAL_IS_PRIMITIVE_IMPL3003($2); //@line 1421 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1421 "./jsapi.h"
}


function _JSVAL_TO_OBJECT2999($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1388 "./jsapi.h"
  var $7=$v; //@line 1388 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1388 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE3002($2, $3); //@line 1388 "./jsapi.h"
  var $8=_JSVAL_TO_OBJECT_IMPL3001($2); //@line 1388 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1388 "./jsapi.h"
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE3002($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "./jsapi.h"
  var $5=$agg_result; //@line 822 "./jsapi.h"
  var $6=$4; //@line 822 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "./jsapi.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout3004($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function __ZL17pm_get_cpu_cyclesP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str182984)|0)); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+8)|0); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19pm_get_instructionsP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str192985)|0)); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+16)|0); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23pm_get_cache_referencesP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str202986)|0)); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+24)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19pm_get_cache_missesP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str212987)|0)); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+32)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26pm_get_branch_instructionsP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str222988)|0)); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+40)|0); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20pm_get_branch_missesP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str232989)|0)); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+48)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17pm_get_bus_cyclesP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str242990)|0)); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+56)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18pm_get_page_faultsP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str252991)|0)); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+64)|0); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL24pm_get_major_page_faultsP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str262992)|0)); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+72)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23pm_get_context_switchesP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str272993)|0)); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+80)|0); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21pm_get_cpu_migrationsP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str282994)|0)); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+88)|0); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $st$3$0=(($16)|0);
      var $17$0=HEAP32[(($st$3$0)>>2)];
      var $st$3$1=(($16+4)|0);
      var $17$1=HEAP32[(($st$3$1)>>2)];
      var $18=$17$0 + $17$1*4294967296; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _OBJECT_TO_JSVAL_IMPL3007($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL3011($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZL21pm_get_eventsMeasuredP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $0, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p;
      $3=$cx;
      $4=$obj;
      $5=$0;
      $6=$vp;
      var $7=$3; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$4; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=__ZL5GetPMP9JSContextP8JSObjectPKc($7, $8, ((STRING_TABLE.__str292995)|0)); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$9; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=$p; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $11=(($10)|0)!=0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $2=0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$3; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=$p; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=(($15+4)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $17=HEAPU32[(($16)>>2)]; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $18=(($17)>>>0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=$6; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=_JS_NewNumberValue($14, $18, $19); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $2=$20; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$2; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL5GetPMP9JSContextP8JSObjectPKc($cx, $obj, $fname) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p;
      $2=$cx;
      $3=$obj;
      $4=$fname;
      var $5=$2; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $6=$3; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $7=_JS_GetInstancePrivate($5, $6, __ZL8pm_class, 0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$7; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $p=$8; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=$p; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $10=(($9)|0)!=0; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      var $12=$p; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $1=$12; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $14=$2; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=HEAP32[((((__ZL8pm_class)|0))>>2)]; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=$4; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $17=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $18=_JS_GetClass($17); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $19=(($18)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      _JS_ReportErrorNumber($14, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$15,HEAP32[((tempInt+4)>>2)]=$16,HEAP32[((tempInt+8)>>2)]=$20,tempInt)); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $1=0; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $22=$1; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      ;
      return $22; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_IN2JS15PerfMeasurementENS2_9EventMaskEEEPT_T0_($this, $p1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      $1=$this;
      $2=$p1;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 96); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $14 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      var $12=$2; //@line 1291 "./jscntxt.h"
      FUNCTION_TABLE[__ZN2JS15PerfMeasurementC1ENS0_9EventMaskE]($11, $12); //@line 1291 "./jscntxt.h"
      var $14 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $14; //@line 1291 "./jscntxt.h"
      var $17 = $14;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $17 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $17; //@line 1291 "./jscntxt.h"
      ;
      return $17; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _OBJECT_TO_JSVAL3006($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL3007($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout3004($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc3008($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext7delete_IN2JS15PerfMeasurementEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      FUNCTION_TABLE[__ZN2JS15PerfMeasurementD1Ev]($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free3009($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZL13GetPMFromThisP9JSContextPN2JS5ValueE($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $this_;
      var $4=__stackBase__;
      $2=$cx;
      $3=$vp;
      var $5=$2; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $6=$3; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      _JS_THIS($4, $5, $6); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $7=_JSVAL_TO_OBJECT2999($4); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $this_=$7; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $8=$this_; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $9=(($8)|0)!=0; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 2: 
      $1=0; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 3: 
      var $12=$2; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $13=$this_; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $14=$3; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $15=(($14+16)|0); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $16=_JS_GetInstancePrivate($12, $13, __ZL8pm_class, $15); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      var $17=$16; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      $1=$17; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      __label__ = 4; break; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    case 4: 
      var $19=$1; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BOOLEAN_TO_JSVAL3010($agg_result, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$b;
  var $3=$1; //@line 1415 "./jsapi.h"
  _BOOLEAN_TO_JSVAL_IMPL3011($2, $3); //@line 1415 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout3004($agg_result, $2); //@line 1415 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1415 "./jsapi.h"
}


function _JS_THIS($agg_result, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$cx;
      $2=$vp;
      var $4=$2; //@line 2397 "./jsapi.h"
      var $5=(($4+8)|0); //@line 2397 "./jsapi.h"
      var $6=$3; //@line 2397 "./jsapi.h"
      var $7=$5; //@line 2397 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 2397 "./jsapi.h"
      var $8=_JSVAL_IS_PRIMITIVE2998($3); //@line 2397 "./jsapi.h"
      var $9=(($8)|0)!=0; //@line 2397 "./jsapi.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2397 "./jsapi.h"
    case 2: 
      var $11=$1; //@line 2397 "./jsapi.h"
      var $12=$2; //@line 2397 "./jsapi.h"
      _JS_ComputeThis($agg_result, $11, $12); //@line 2397 "./jsapi.h"
      __label__ = 4; break; //@line 2397 "./jsapi.h"
    case 3: 
      var $14=$2; //@line 2397 "./jsapi.h"
      var $15=(($14+8)|0); //@line 2397 "./jsapi.h"
      var $16=$agg_result; //@line 2397 "./jsapi.h"
      var $17=$15; //@line 2397 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 2397 "./jsapi.h"
      __label__ = 4; break; //@line 2397 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 2397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_sxprintf($func, $arg, $fmt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $ap=__stackBase__;
  var $rv;
  $1=$func;
  $2=$arg;
  $3=$fmt;
  var $4=$ap; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  HEAP32[(($4)>>2)]=arguments[_JS_sxprintf.length]; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $5=$1; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $6=$2; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $7=$3; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $8=HEAP32[(($ap)>>2)]; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $9=_JS_vsxprintf($5, $6, $7, $8); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  $rv=$9; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $10=$ap; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  ; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $11=$rv; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  STACKTOP = __stackBase__;
  return $11; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
}


function _JS_vsxprintf($func, $arg, $fmt, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ss=__stackBase__;
      var $rv;
      $1=$func;
      $2=$arg;
      $3=$fmt;
      $4=$ap;
      var $5=(($ss)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($5)>>2)]=220; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=$1; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=(($ss+16)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($7)>>2)]=$6; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=$2; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=(($ss+20)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($9)>>2)]=$8; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=(($ss+12)|0); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($10)>>2)]=0; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=$3; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=$4; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=__ZL9dosprintfP15SprintfStateStrPKcPc($ss, $11, $12); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$13; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=$rv; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=(($14)|0) < 0; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $21 = -1;__label__ = 4; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $18=(($ss+12)|0); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $21 = $19;__label__ = 4; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $21; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9FuncStuffP15SprintfStateStrPKcj($ss, $sp, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rv;
      $2=$ss;
      $3=$sp;
      $4=$len;
      var $5=$2; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=(($5+16)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=$2; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=(($8+20)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=$3; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=$4; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=FUNCTION_TABLE[$7]($10, $11, $12); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$13; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=$rv; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=(($14)|0) < 0; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $17=$rv; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$17; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $19=$4; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $20=$2; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $21=(($20+12)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=(($22+$19)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($21)>>2)]=$23; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=0; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $25=$1; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      ;
      return $25; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9dosprintfP15SprintfStateStrPKcPc($ss, $fmt, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 200; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $c;
      var $flags;
      var $width;
      var $prec;
      var $radix;
      var $type;
      var $u=__stackBase__;
      var $fmt0;
      var $hexp;
      var $rv=__stackBase__+8;
      var $i;
      var $nas;
      var $nasArray=__stackBase__+12;
      var $pattern=__stackBase__+172;
      var $dolPt;
      var $utf8buf=__stackBase__+192;
      var $utf8len;
      $2=$ss;
      $3=$fmt;
      $4=$ap;
      $nas=0; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $dolPt=0; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $5=$3; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=$4; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=(($nasArray)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=__ZL13BuildArgArrayPKcPcPiP11NumArgState($5, $6, $rv, $7); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $nas=$8; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=HEAP32[(($rv)>>2)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=(($9)|0) < 0; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $12=HEAP32[(($rv)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$12; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      __label__ = 4; break; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $15=$3; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=(($15+1)|0); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$16; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $17=HEAP8[($15)]; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$17; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18=(($17 << 24) >> 24); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=(($18)|0)!=0; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 148; break; } //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $21=$c; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $22=(($21 << 24) >> 24); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=(($22)|0)!=37; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $25=$2; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $26=(($25)|0); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $28=$2; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $29=$3; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=(($29-1)|0); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=FUNCTION_TABLE[$27]($28, $30, 1); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$31; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $32=HEAP32[(($rv)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $33=(($32)|0) < 0; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      var $35=HEAP32[(($rv)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$35; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      __label__ = 4; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      var $38=$3; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $39=(($38-1)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $fmt0=$39; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=0; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $40=$3; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $41=(($40+1)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$41; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $42=HEAP8[($40)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$42; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $43=$c; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $44=(($43 << 24) >> 24); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $45=(($44)|0)==37; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 10: 
      var $47=$2; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $48=(($47)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $50=$2; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $51=$3; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $52=(($51-1)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $53=FUNCTION_TABLE[$49]($50, $52, 1); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$53; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $54=HEAP32[(($rv)>>2)]; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $55=(($54)|0) < 0; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 11: 
      var $57=HEAP32[(($rv)>>2)]; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$57; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 12: 
      __label__ = 4; break; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 13: 
      var $60=$nas; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $61=(($60)|0)!=0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 25; break; } //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 14: 
      $i=0; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 15; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 15: 
      var $64=$c; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $65=(($64 << 24) >> 24)!=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($65) { __label__ = 16; break; } else { var $71 = 0;__label__ = 17; break; } //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 16: 
      var $67=$c; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $68=(($67 << 24) >> 24); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $69=(($68)|0)!=36; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $71 = $69;__label__ = 17; break;
    case 17: 
      var $71;
      if ($71) { __label__ = 18; break; } else { __label__ = 19; break; }
    case 18: 
      var $73=$i; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $74=(($73*10)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $75=$c; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $76=(($75 << 24) >> 24); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $77=(($76-48)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $78=(($74+$77)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $i=$78; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $79=$3; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $80=(($79+1)|0); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$80; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $81=HEAP8[($79)]; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$81; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 15; break; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 19: 
      var $83=$i; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $84=(($83-1)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $85=$nas; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $86=(($85+($84<<3))|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $87=(($86)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $89=(($88)|0)==20; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($89) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 20: 
      var $91=$nas; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $92=(($91)|0)!=0; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($92) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 21: 
      var $94=$nas; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $95=(($nasArray)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $96=(($94)|0)!=(($95)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($96) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 22: 
      var $98=$nas; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $99=$98; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __ZN2js10Foreground5free_EPv($99); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 23; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 23: 
      $1=-1; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 24: 
      var $102=$i; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $103=(($102-1)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $104=$nas; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $105=(($104+($103<<3))|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $106=(($105+4)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$107; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $108=$3; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $dolPt=$108; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $109=$3; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $110=(($109+1)|0); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$110; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $111=HEAP8[($109)]; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$111; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 25; break; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 25: 
      __label__ = 26; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 26: 
      var $114=$c; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $115=(($114 << 24) >> 24); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $116=(($115)|0)==45; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($116) { var $130 = 1;__label__ = 30; break; } else { __label__ = 27; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 27: 
      var $118=$c; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $119=(($118 << 24) >> 24); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $120=(($119)|0)==43; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($120) { var $130 = 1;__label__ = 30; break; } else { __label__ = 28; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 28: 
      var $122=$c; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $123=(($122 << 24) >> 24); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $124=(($123)|0)==32; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($124) { var $130 = 1;__label__ = 30; break; } else { __label__ = 29; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 29: 
      var $126=$c; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $127=(($126 << 24) >> 24); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $128=(($127)|0)==48; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $130 = $128;__label__ = 30; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 30: 
      var $130;
      if ($130) { __label__ = 31; break; } else { __label__ = 40; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 31: 
      var $132=$c; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $133=(($132 << 24) >> 24); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $134=(($133)|0)==45; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($134) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 32: 
      var $136=$flags; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $137=$136 | 1; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$137; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 33; break; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 33: 
      var $139=$c; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $140=(($139 << 24) >> 24); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $141=(($140)|0)==43; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($141) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 34: 
      var $143=$flags; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $144=$143 | 2; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$144; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 35; break; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 35: 
      var $146=$c; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $147=(($146 << 24) >> 24); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $148=(($147)|0)==32; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($148) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 36: 
      var $150=$flags; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $151=$150 | 4; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$151; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 37; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 37: 
      var $153=$c; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $154=(($153 << 24) >> 24); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $155=(($154)|0)==48; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($155) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 38: 
      var $157=$flags; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $158=$157 | 8; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$158; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 39; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 39: 
      var $160=$3; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $161=(($160+1)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$161; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $162=HEAP8[($160)]; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$162; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 26; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 40: 
      var $164=$flags; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $165=$164 & 2; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $166=(($165)|0)!=0; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($166) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 41: 
      var $168=$flags; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $169=$168 & -5; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$169; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 42; break; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 42: 
      var $171=$flags; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $172=$171 & 1; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $173=(($172)|0)!=0; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($173) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 43: 
      var $175=$flags; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $176=$175 & -9; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$176; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 44; break; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 44: 
      var $178=$c; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $179=(($178 << 24) >> 24); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $180=(($179)|0)==42; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($180) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 45: 
      var $182=$3; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $183=(($182+1)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$183; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $184=HEAP8[($182)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$184; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $185=$4; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $186=$185; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $187=(($185+4)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$187; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $188=HEAP32[(($186)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $width=$188; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 52; break; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 46: 
      $width=0; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 47; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 47: 
      var $191=$c; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $192=(($191 << 24) >> 24); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $193=(($192)|0) >= 48; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($193) { __label__ = 48; break; } else { var $199 = 0;__label__ = 49; break; } //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 48: 
      var $195=$c; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $196=(($195 << 24) >> 24); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $197=(($196)|0) <= 57; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $199 = $197;__label__ = 49; break;
    case 49: 
      var $199;
      if ($199) { __label__ = 50; break; } else { __label__ = 51; break; }
    case 50: 
      var $201=$width; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $202=(($201*10)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $203=$c; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $204=(($203 << 24) >> 24); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $205=(($204-48)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $206=(($202+$205)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $width=$206; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $207=$3; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $208=(($207+1)|0); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$208; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $209=HEAP8[($207)]; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$209; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 47; break; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 51: 
      __label__ = 52; break;
    case 52: 
      $prec=-1; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $212=$c; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $213=(($212 << 24) >> 24); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $214=(($213)|0)==46; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($214) { __label__ = 53; break; } else { __label__ = 62; break; } //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 53: 
      var $216=$3; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $217=(($216+1)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$217; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $218=HEAP8[($216)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$218; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $219=$c; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $220=(($219 << 24) >> 24); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $221=(($220)|0)==42; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($221) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 54: 
      var $223=$3; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $224=(($223+1)|0); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$224; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $225=HEAP8[($223)]; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$225; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $226=$4; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $227=$226; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $228=(($226+4)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$228; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $229=HEAP32[(($227)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $prec=$229; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 61; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 55: 
      $prec=0; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 56; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 56: 
      var $232=$c; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $233=(($232 << 24) >> 24); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $234=(($233)|0) >= 48; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($234) { __label__ = 57; break; } else { var $240 = 0;__label__ = 58; break; } //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 57: 
      var $236=$c; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $237=(($236 << 24) >> 24); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $238=(($237)|0) <= 57; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $240 = $238;__label__ = 58; break;
    case 58: 
      var $240;
      if ($240) { __label__ = 59; break; } else { __label__ = 60; break; }
    case 59: 
      var $242=$prec; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $243=(($242*10)|0); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $244=$c; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $245=(($244 << 24) >> 24); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $246=(($245-48)|0); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $247=(($243+$246)|0); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $prec=$247; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $248=$3; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $249=(($248+1)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$249; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $250=HEAP8[($248)]; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$250; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 56; break; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 60: 
      __label__ = 61; break;
    case 61: 
      __label__ = 62; break; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 62: 
      $type=2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $254=$c; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $255=(($254 << 24) >> 24); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $256=(($255)|0)==104; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($256) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 63: 
      $type=0; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $258=$3; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $259=(($258+1)|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$259; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $260=HEAP8[($258)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$260; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 72; break; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 64: 
      var $262=$c; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $263=(($262 << 24) >> 24); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $264=(($263)|0)==76; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($264) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 65: 
      $type=6; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $266=$3; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $267=(($266+1)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$267; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $268=HEAP8[($266)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$268; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 71; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 66: 
      var $270=$c; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $271=(($270 << 24) >> 24); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $272=(($271)|0)==108; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($272) { __label__ = 67; break; } else { __label__ = 70; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 67: 
      $type=4; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $274=$3; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $275=(($274+1)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$275; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $276=HEAP8[($274)]; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$276; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $277=$c; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $278=(($277 << 24) >> 24); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $279=(($278)|0)==108; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($279) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 68: 
      $type=6; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $281=$3; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $282=(($281+1)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$282; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $283=HEAP8[($281)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$283; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 69; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 69: 
      __label__ = 70; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 70: 
      __label__ = 71; break;
    case 71: 
      __label__ = 72; break;
    case 72: 
      $hexp=((STRING_TABLE.__ZZL9dosprintfP15SprintfStateStrPKcPcE3hex)|0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $288=$c; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $289=(($288 << 24) >> 24); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ((($289)|0) == 100 || (($289)|0) == 105) {
        __label__ = 73; break;
      }
      else if ((($289)|0) == 111) {
        __label__ = 74; break;
      }
      else if ((($289)|0) == 117) {
        __label__ = 75; break;
      }
      else if ((($289)|0) == 120) {
        __label__ = 76; break;
      }
      else if ((($289)|0) == 88) {
        __label__ = 77; break;
      }
      else if ((($289)|0) == 101 || (($289)|0) == 69 || (($289)|0) == 102 || (($289)|0) == 103) {
        __label__ = 102; break;
      }
      else if ((($289)|0) == 99) {
        __label__ = 110; break;
      }
      else if ((($289)|0) == 112) {
        __label__ = 132; break;
      }
      else if ((($289)|0) == 115) {
        __label__ = 133; break;
      }
      else if ((($289)|0) == 110) {
        __label__ = 139; break;
      }
      else {
      __label__ = 142; break;
      }
      
    case 73: 
      $radix=10; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 78; break; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 74: 
      $radix=8; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $292=$type; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $293=$292 | 1; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $type=$293; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 78; break; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 75: 
      $radix=10; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $295=$type; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $296=$295 | 1; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $type=$296; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 78; break; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 76: 
      $radix=16; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $298=$type; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $299=$298 | 1; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $type=$299; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 78; break; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 77: 
      $radix=16; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $hexp=((STRING_TABLE.__ZZL9dosprintfP15SprintfStateStrPKcPcE3HEX)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $301=$type; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $302=$301 | 1; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $type=$302; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 78; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 78: 
      var $304=$type; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ((($304)|0) == 0) {
        __label__ = 79; break;
      }
      else if ((($304)|0) == 1) {
        __label__ = 82; break;
      }
      else if ((($304)|0) == 2) {
        __label__ = 83; break;
      }
      else if ((($304)|0) == 3) {
        __label__ = 86; break;
      }
      else if ((($304)|0) == 4) {
        __label__ = 87; break;
      }
      else if ((($304)|0) == 5) {
        __label__ = 90; break;
      }
      else if ((($304)|0) == 6) {
        __label__ = 94; break;
      }
      else if ((($304)|0) == 7) {
        __label__ = 97; break;
      }
      else {
      __label__ = 101; break;
      }
      
    case 79: 
      var $306=$4; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $307=$306; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $308=(($306+4)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$308; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $309=HEAP32[(($307)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $310=$u; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($310)>>2)]=$309; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $311=$u; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $312=HEAP32[(($311)>>2)]; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $313=(($312)|0) < 0; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($313) { __label__ = 80; break; } else { __label__ = 81; break; } //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 80: 
      var $315=$u; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $316=HEAP32[(($315)>>2)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $317=(((-$316))|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $318=$u; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($318)>>2)]=$317; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $319=$flags; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $320=$319 | 16; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$320; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 81; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 81: 
      __label__ = 91; break; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 82: 
      var $323=$4; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $324=$323; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $325=(($323+4)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$325; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $326=HEAP32[(($324)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $327=$326 & 65535; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $328=$u; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($328)>>2)]=$327; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 91; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 83: 
      var $330=$4; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $331=$330; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $332=(($330+4)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$332; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $333=HEAP32[(($331)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $334=$u; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($334)>>2)]=$333; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $335=$u; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $336=HEAP32[(($335)>>2)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $337=(($336)|0) < 0; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($337) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 84: 
      var $339=$u; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $340=HEAP32[(($339)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $341=(((-$340))|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $342=$u; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($342)>>2)]=$341; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $343=$flags; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $344=$343 | 16; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$344; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 85; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 85: 
      __label__ = 91; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 86: 
      var $347=$4; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $348=$347; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $349=(($347+4)|0); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$349; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $350=HEAP32[(($348)>>2)]; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $351=$u; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($351)>>2)]=$350; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 91; break; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 87: 
      var $353=$4; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $354=$353; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $355=(($353+4)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$355; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $356=HEAP32[(($354)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $357=$u; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($357)>>2)]=$356; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $358=$u; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $359=HEAP32[(($358)>>2)]; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $360=(($359)|0) < 0; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($360) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 88: 
      var $362=$u; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $363=HEAP32[(($362)>>2)]; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $364=(((-$363))|0); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $365=$u; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($365)>>2)]=$364; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $366=$flags; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $367=$366 | 16; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$367; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 89; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 89: 
      __label__ = 91; break; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 90: 
      var $370=$4; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $371=$370; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $372=(($370+4)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$372; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $373=HEAP32[(($371)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $374=$u; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($374)>>2)]=$373; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 91; break; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 91: 
      var $376=$2; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $377=$u; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $378=HEAP32[(($377)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $379=$width; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $380=$prec; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $381=$radix; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $382=$type; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $383=$flags; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $384=$hexp; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $385=__ZL5cvt_lP15SprintfStateStrliiiiiPKc($376, $378, $379, $380, $381, $382, $383, $384); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$385; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $386=HEAP32[(($rv)>>2)]; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $387=(($386)|0) < 0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($387) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 92: 
      var $389=HEAP32[(($rv)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$389; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 93: 
      __label__ = 101; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 94: 
      var $392=$4; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $393=$392; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $394=(($392+8)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$394; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$4$0=(($393)|0);
      var $395$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($393+4)|0);
      var $395$1=HEAP32[(($st$4$1)>>2)];
      var $396=$u; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$9$0=(($396)|0);
      HEAP32[(($st$9$0)>>2)]=$395$0;
      var $st$9$1=(($396+4)|0);
      HEAP32[(($st$9$1)>>2)]=$395$1;
      var $397=$u; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$14$0=(($397)|0);
      var $398$0=HEAP32[(($st$14$0)>>2)];
      var $st$14$1=(($397+4)|0);
      var $398$1=HEAP32[(($st$14$1)>>2)];
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $399=($398$1|0) < ($$emscripten$temp$0$1|0) || (($398$1|0) == ($$emscripten$temp$0$1|0) && ($398$0>>>0) <  ($$emscripten$temp$0$0>>>0)); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($399) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 95: 
      var $401=$u; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$1$0=(($401)|0);
      var $402$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($401+4)|0);
      var $402$1=HEAP32[(($st$1$1)>>2)];
      var $$emscripten$temp$1$0=0;
      var $$emscripten$temp$1$1=0;
      var $403$0 = (i64Math.subtract($$emscripten$temp$1$0,$$emscripten$temp$1$1,$402$0,$402$1),i64Math.result[0]); var $403$1 = i64Math.result[1]; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $404=$u; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$9$0=(($404)|0);
      HEAP32[(($st$9$0)>>2)]=$403$0;
      var $st$9$1=(($404+4)|0);
      HEAP32[(($st$9$1)>>2)]=$403$1;
      var $405=$flags; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $406=$405 | 16; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $flags=$406; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 96; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 96: 
      __label__ = 98; break; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 97: 
      var $409=$4; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $410=$409; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $411=(($409+8)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$411; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$4$0=(($410)|0);
      var $412$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($410+4)|0);
      var $412$1=HEAP32[(($st$4$1)>>2)];
      var $413=$u; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$9$0=(($413)|0);
      HEAP32[(($st$9$0)>>2)]=$412$0;
      var $st$9$1=(($413+4)|0);
      HEAP32[(($st$9$1)>>2)]=$412$1;
      __label__ = 98; break; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 98: 
      var $415=$2; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $416=$u; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$2$0=(($416)|0);
      var $417$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($416+4)|0);
      var $417$1=HEAP32[(($st$2$1)>>2)];
      var $418=$width; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $419=$prec; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $420=$radix; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $421=$type; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $422=$flags; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $423=$hexp; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $424=__ZL6cvt_llP15SprintfStateStrxiiiiiPKc($415, $417$0, $417$1, $418, $419, $420, $421, $422, $423);
      var $424$0=$424[0];
      HEAP32[(($rv)>>2)]=$424; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $425=HEAP32[(($rv)>>2)]; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $426=(($425)|0) < 0; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($426) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 99: 
      var $428=HEAP32[(($rv)>>2)]; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$428; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 100: 
      __label__ = 101; break; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 101: 
      __label__ = 147; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 102: 
      var $432=$4; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $433=$432; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $434=(($432+8)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$434; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $435=(tempDoubleI32[0]=HEAP32[(($433)>>2)],tempDoubleI32[1]=HEAP32[(($433+4)>>2)],tempDoubleF64[0]); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $436=$u; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      (tempDoubleF64[0]=$435,HEAP32[(($436)>>2)]=tempDoubleI32[0],HEAP32[(($436+4)>>2)]=tempDoubleI32[1]); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $437=$nas; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $438=(($437)|0)!=0; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($438) { __label__ = 103; break; } else { __label__ = 106; break; } //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 103: 
      var $440=$3; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $441=$dolPt; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $442=$440; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $443=$441; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $444=(($442-$443)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $i=$444; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $445=$i; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $446=(($445)|0) < 20; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($446) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 104: 
      var $448=(($pattern)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($448)]=37; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $449=(($pattern+1)|0); //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $450=$dolPt; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $451=$i; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      assert($451 % 1 === 0, 'memcpy given ' + $451 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($449, $450, $451, 1); //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $452=$2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $453=$u; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $454=(tempDoubleI32[0]=HEAP32[(($453)>>2)],tempDoubleI32[1]=HEAP32[(($453+4)>>2)],tempDoubleF64[0]); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $455=(($pattern)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $456=$i; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $457=(($456+1)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $458=(($pattern+$457)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $459=__ZL5cvt_fP15SprintfStateStrdPKcS2_($452, $454, $455, $458); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$459; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 105; break; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 105: 
      __label__ = 107; break; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 106: 
      var $462=$2; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $463=$u; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $464=(tempDoubleI32[0]=HEAP32[(($463)>>2)],tempDoubleI32[1]=HEAP32[(($463+4)>>2)],tempDoubleF64[0]); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $465=$fmt0; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $466=$3; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $467=__ZL5cvt_fP15SprintfStateStrdPKcS2_($462, $464, $465, $466); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$467; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 107; break;
    case 107: 
      var $469=HEAP32[(($rv)>>2)]; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $470=(($469)|0) < 0; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($470) { __label__ = 108; break; } else { __label__ = 109; break; } //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 108: 
      var $472=HEAP32[(($rv)>>2)]; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$472; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 109: 
      __label__ = 147; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 110: 
      var $475=$flags; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $476=$475 & 1; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $477=(($476)|0)==0; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($477) { __label__ = 111; break; } else { __label__ = 117; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 111: 
      __label__ = 112; break; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 112: 
      var $480=$width; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $481=(($480-1)|0); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $width=$481; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $482=(($480)|0) > 1; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($482) { __label__ = 113; break; } else { __label__ = 116; break; } //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 113: 
      var $484=$2; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $485=(($484)|0); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $486=HEAP32[(($485)>>2)]; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $487=$2; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $488=FUNCTION_TABLE[$486]($487, ((STRING_TABLE.__str3012)|0), 1); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$488; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $489=HEAP32[(($rv)>>2)]; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $490=(($489)|0) < 0; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($490) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 114: 
      var $492=HEAP32[(($rv)>>2)]; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$492; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 115: 
      __label__ = 112; break; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 116: 
      __label__ = 117; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 117: 
      var $496=$type; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ((($496)|0) == 0) {
        __label__ = 118; break;
      }
      else if ((($496)|0) == 2) {
        __label__ = 121; break;
      }
      else {
      __label__ = 122; break;
      }
      
    case 118: 
      var $498=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $499=(($498)|0)!=0; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($499) { __label__ = 119; break; } else { __label__ = 120; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 119: 
      var $501=$4; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $502=$501; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $503=(($501+4)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$503; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $504=HEAP32[(($502)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $505=(($504) & 65535); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $506=$u; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP16[(($506)>>1)]=$505; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $507=(($utf8buf)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $508=$u; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $509=HEAPU16[(($508)>>1)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $510=(($509)&65535); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $511=__Z20js_OneUcs4ToUtf8CharPhj($507, $510); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $utf8len=$511; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $512=$2; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $513=(($512)|0); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $514=HEAP32[(($513)>>2)]; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $515=$2; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $516=(($utf8buf)|0); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $517=$utf8len; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $518=FUNCTION_TABLE[$514]($515, $516, $517); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$518; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 122; break; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 120: 
      __label__ = 121; break; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 121: 
      var $521=$4; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $522=$521; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $523=(($521+4)|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$523; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $524=HEAP32[(($522)>>2)]; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $525=(($524) & 255); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $526=$u; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($526)]=$525; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $527=$2; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $528=(($527)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $529=HEAP32[(($528)>>2)]; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $530=$2; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $531=$u; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $532=FUNCTION_TABLE[$529]($530, $531, 1); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$532; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 122; break; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 122: 
      var $534=HEAP32[(($rv)>>2)]; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $535=(($534)|0) < 0; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($535) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 123: 
      var $537=HEAP32[(($rv)>>2)]; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$537; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 124: 
      var $539=$flags; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $540=$539 & 1; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $541=(($540)|0)!=0; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($541) { __label__ = 125; break; } else { __label__ = 131; break; } //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 125: 
      __label__ = 126; break; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 126: 
      var $544=$width; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $545=(($544-1)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $width=$545; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $546=(($544)|0) > 1; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($546) { __label__ = 127; break; } else { __label__ = 130; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 127: 
      var $548=$2; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $549=(($548)|0); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $550=HEAP32[(($549)>>2)]; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $551=$2; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $552=FUNCTION_TABLE[$550]($551, ((STRING_TABLE.__str3012)|0), 1); //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$552; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $553=HEAP32[(($rv)>>2)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $554=(($553)|0) < 0; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($554) { __label__ = 128; break; } else { __label__ = 129; break; } //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 128: 
      var $556=HEAP32[(($rv)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$556; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 129: 
      __label__ = 126; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 130: 
      __label__ = 131; break; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 131: 
      __label__ = 147; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 132: 
      $type=5; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $radix=16; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 78; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 133: 
      var $562=$type; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $563=(($562)|0)==0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($563) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 134: 
      var $565=$4; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $566=$565; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $567=(($565+4)|0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$567; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $568=HEAP32[(($566)>>2)]; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $569=$u; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($569)>>2)]=$568; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $570=$2; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $571=$u; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $572=HEAP32[(($571)>>2)]; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $573=$width; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $574=$prec; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $575=$flags; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $576=__ZL6cvt_wsP15SprintfStateStrPKtiii($570, $572, $573, $574, $575); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$576; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 136; break; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 135: 
      var $578=$4; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $579=$578; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $580=(($578+4)|0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$580; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $581=HEAP32[(($579)>>2)]; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $582=$u; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($582)>>2)]=$581; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $583=$2; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $584=$u; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $585=HEAP32[(($584)>>2)]; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $586=$width; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $587=$prec; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $588=$flags; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $589=__ZL5cvt_sP15SprintfStateStrPKciii($583, $585, $586, $587, $588); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$589; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 136; break;
    case 136: 
      var $591=HEAP32[(($rv)>>2)]; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $592=(($591)|0) < 0; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($592) { __label__ = 137; break; } else { __label__ = 138; break; } //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 137: 
      var $594=HEAP32[(($rv)>>2)]; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$594; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 138: 
      __label__ = 147; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 139: 
      var $597=$4; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $598=$597; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $599=(($597+4)|0); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$599; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $600=HEAP32[(($598)>>2)]; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $601=$u; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($601)>>2)]=$600; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $602=$u; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $603=HEAP32[(($602)>>2)]; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $604=(($603)|0)!=0; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($604) { __label__ = 140; break; } else { __label__ = 141; break; } //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 140: 
      var $606=$2; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $607=(($606+8)|0); //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $608=HEAP32[(($607)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $609=$2; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $610=(($609+4)|0); //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $611=HEAP32[(($610)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $612=$608; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $613=$611; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $614=(($612-$613)|0); //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $615=$u; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $616=HEAP32[(($615)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($616)>>2)]=$614; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 141; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 141: 
      __label__ = 147; break; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 142: 
      var $619=$2; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $620=(($619)|0); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $621=HEAP32[(($620)>>2)]; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $622=$2; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $623=FUNCTION_TABLE[$621]($622, ((STRING_TABLE.__str13013)|0), 1); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$623; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $624=HEAP32[(($rv)>>2)]; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $625=(($624)|0) < 0; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($625) { __label__ = 143; break; } else { __label__ = 144; break; } //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 143: 
      var $627=HEAP32[(($rv)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$627; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 144: 
      var $629=$2; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $630=(($629)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $631=HEAP32[(($630)>>2)]; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $632=$2; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $633=$3; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $634=(($633-1)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $635=FUNCTION_TABLE[$631]($632, $634, 1); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$635; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $636=HEAP32[(($rv)>>2)]; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $637=(($636)|0) < 0; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($637) { __label__ = 145; break; } else { __label__ = 146; break; } //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 145: 
      var $639=HEAP32[(($rv)>>2)]; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$639; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 146: 
      __label__ = 147; break; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 147: 
      __label__ = 4; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 148: 
      var $643=$2; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $644=(($643)|0); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $645=HEAP32[(($644)>>2)]; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $646=$2; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $647=FUNCTION_TABLE[$645]($646, ((__str23014)|0), 1); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($rv)>>2)]=$647; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $648=$nas; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $649=(($648)|0)!=0; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($649) { __label__ = 149; break; } else { __label__ = 151; break; } //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 149: 
      var $651=$nas; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $652=(($nasArray)|0); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $653=(($651)|0)!=(($652)|0); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($653) { __label__ = 150; break; } else { __label__ = 151; break; } //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 150: 
      var $655=$nas; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $656=$655; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __ZN2js10Foreground5free_EPv($656); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 151; break; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 151: 
      var $658=HEAP32[(($rv)>>2)]; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$658; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 152; break; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 152: 
      var $660=$1; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $660; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9dosprintfP15SprintfStateStrPKcPc["X"]=1;

function __ZL10LimitStuffP15SprintfStateStrPKcj($ss, $sp, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $limit;
      $1=$ss;
      $2=$sp;
      $3=$len;
      var $4=$1; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $5=(($4+12)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=$1; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=(($7+8)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=$1; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=(($10+4)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=$9; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=$12; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=(($13-$14)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=(($6-$15)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $limit=$16; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $17=$3; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18=$limit; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=(($17)>>>0) > (($18)>>>0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $21=$limit; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$21; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 3; break; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      __label__ = 4; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $24=$3; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $25=(($24)|0)!=0; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $27=$3; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $28=(($27-1)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$28; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $29=$2; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=(($29+1)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $2=$30; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=HEAP8[($29)]; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $32=$1; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $33=(($32+8)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $35=(($34+1)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($33)>>2)]=$35; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($34)]=$31; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      ;
      return 0; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_smprintf($fmt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $ap=__stackBase__;
  var $rv;
  $1=$fmt;
  var $2=$ap; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  HEAP32[(($2)>>2)]=arguments[_JS_smprintf.length]; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $3=$1; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $4=HEAP32[(($ap)>>2)]; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $5=_JS_vsmprintf($3, $4); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  $rv=$5; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $6=$ap; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  ; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $7=$rv; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  STACKTOP = __stackBase__;
  return $7; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
}


function _JS_vsmprintf($fmt, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ss=__stackBase__;
      var $rv;
      $2=$fmt;
      $3=$ap;
      var $4=(($ss)|0); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($4)>>2)]=222; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $5=(($ss+4)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($5)>>2)]=0; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=(($ss+8)|0); //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($6)>>2)]=0; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=(($ss+12)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($7)>>2)]=0; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=__ZL9dosprintfP15SprintfStateStrPKcPc($ss, $8, $9); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$10; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=$rv; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=(($11)|0) < 0; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $14=(($ss+4)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=(($15)|0)!=0; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $18=(($ss+4)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __ZN2js10Foreground5free_EPv($19); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      $1=0; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 6; break; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $22=(($ss+4)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$23; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 6; break; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $25=$1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_smprintf_free($mem) {
  ;
  var __label__;

  var $1;
  $1=$mem;
  var $2=$1; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  __ZN2js10Foreground5free_EPv($2); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  ;
  return; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
}


function __ZL9GrowStuffP15SprintfStateStrPKcj($ss, $sp, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $off;
      var $newbase;
      var $newlen;
      $2=$ss;
      $3=$sp;
      $4=$len;
      var $5=$2; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=(($5+8)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=$2; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=(($8+4)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=$7; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=$10; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=(($11-$12)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $off=$13; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=$off; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=$4; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=(($14+$15)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $17=$2; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18=(($17+12)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=HEAPU32[(($18)>>2)]; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $20=(($16)>>>0) >= (($19)>>>0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $22=$2; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=(($22+12)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $25=$4; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $26=(($25)>>>0) > 32; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($26) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $28=$4; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31 = $28;__label__ = 5; break; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $31 = 32;__label__ = 5; break; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $31; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $32=(($24+$31)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $newlen=$32; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $33=$2; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $34=(($33+4)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $36=(($35)|0)!=0; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $38=$2; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $39=(($38+4)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $41=$newlen; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $42=__ZN2js11OffTheBooks8realloc_EPvj($40, $41); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $newbase=$42; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 8; break; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      var $44=$newlen; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $45=__ZN2js11OffTheBooks7malloc_Ej($44); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $newbase=$45; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 8; break;
    case 8: 
      var $47=$newbase; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $48=(($47)|0)!=0; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      $1=-1; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 15; break; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 10: 
      var $51=$newbase; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $52=$2; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $53=(($52+4)|0); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $54=$newlen; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $55=$2; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $56=(($55+12)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($56)>>2)]=$54; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $57=$2; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $58=(($57+4)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $60=$off; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $61=(($59+$60)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $62=$2; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $63=(($62+8)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($63)>>2)]=$61; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 11; break; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 11: 
      __label__ = 12; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 12: 
      var $66=$4; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $67=(($66)|0)!=0; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 13: 
      var $69=$4; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $70=(($69-1)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $4=$70; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $71=$3; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $72=(($71+1)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$72; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $73=HEAP8[($71)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $74=$2; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $75=(($74+8)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $77=(($76+1)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($75)>>2)]=$77; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($76)]=$73; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 12; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 14: 
      $1=0; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 15; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 15: 
      var $80=$1; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      ;
      return $80; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9GrowStuffP15SprintfStateStrPKcj["X"]=1;

function _JS_snprintf($out, $outlen, $fmt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ap=__stackBase__;
      var $rv;
      $2=$out;
      $3=$outlen;
      $4=$fmt;
      var $5=$3; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=(($5)|0) <= 0; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      $1=0; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $9=$ap; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($9)>>2)]=arguments[_JS_snprintf.length]; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=$2; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=$3; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=$4; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=HEAP32[(($ap)>>2)]; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=_JS_vsnprintf($10, $11, $12, $13); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$14; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=$ap; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      ; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=$rv; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$16; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $18=$1; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $18; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_vsnprintf($out, $outlen, $fmt, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $ss=__stackBase__;
      var $n;
      $2=$out;
      $3=$outlen;
      $4=$fmt;
      $5=$ap;
      var $6=$3; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=(($6)|0) <= 0; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      $1=0; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 10; break; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $10=(($ss)|0); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($10)>>2)]=224; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=$2; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=(($ss+4)|0); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=$2; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=(($ss+8)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=$3; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=(($ss+12)|0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $17=$4; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18=$5; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=__ZL9dosprintfP15SprintfStateStrPKcPc($ss, $17, $18); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $20=(($ss+8)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $22=(($ss+4)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=(($21)|0)!=(($23)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $26=(($ss+8)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $28=(($27-1)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $29=HEAP8[($28)]; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=(($29 << 24) >> 24); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=(($30)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $33=(($ss+8)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $35=(($34-1)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($35)]=0; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 6; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $37=(($ss+8)|0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $39=(($ss+4)|0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $41=$38; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $42=$40; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $43=(($41-$42)|0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $n=$43; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $44=$n; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $45=(($44)|0)!=0; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($45) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      var $47=$n; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $48=(($47-1)|0); //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $52 = $48;__label__ = 9; break; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      var $50=$n; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $52 = $50;__label__ = 9; break; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      var $52; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$52; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 10; break; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 10: 
      var $54=$1; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_vsnprintf["X"]=1;

function _JS_sprintf_append($last, $fmt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $ap=__stackBase__;
  var $rv;
  $1=$last;
  $2=$fmt;
  var $3=$ap; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  HEAP32[(($3)>>2)]=arguments[_JS_sprintf_append.length]; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $4=$1; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $5=$2; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $6=HEAP32[(($ap)>>2)]; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $7=_JS_vsprintf_append($4, $5, $6); //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  $rv=$7; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $8=$ap; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  ; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  var $9=$rv; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
  STACKTOP = __stackBase__;
  return $9; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
}


function _JS_vsprintf_append($last, $fmt, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ss=__stackBase__;
      var $rv;
      var $lastlen;
      $2=$last;
      $3=$fmt;
      $4=$ap;
      var $5=(($ss)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($5)>>2)]=222; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=$2; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=(($6)|0)!=0; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $9=$2; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=_strlen($9); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $lastlen=$10; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=$2; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=(($ss+4)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=$2; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=$lastlen; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=(($13+$14)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=(($ss+8)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $17=$lastlen; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18=(($ss+12)|0); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $20=(($ss+4)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($20)>>2)]=0; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $21=(($ss+8)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($21)>>2)]=0; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $22=(($ss+12)|0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($22)>>2)]=0; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break;
    case 4: 
      var $24=$3; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $25=$4; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $26=__ZL9dosprintfP15SprintfStateStrPKcPc($ss, $24, $25); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$26; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $27=$rv; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $28=(($27)|0) < 0; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $30=(($ss+4)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $32=(($31)|0)!=0; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $34=(($ss+4)|0); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __ZN2js10Foreground5free_EPv($35); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 7; break; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      $1=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 9; break; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      var $38=(($ss+4)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$39; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 9; break; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      var $41=$1; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_vsprintf_append["X"]=1;

function _js_malloc3025($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc3026($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free3027($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZL13BuildArgArrayPKcPcPiP11NumArgState($fmt, $ap, $rv, $nasArray) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $number;
      var $cn;
      var $i;
      var $p;
      var $c;
      var $nas;
      $2=$fmt;
      HEAP32[(($3)>>2)]=$ap;
      $4=$rv;
      $5=$nasArray;
      $number=0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cn=0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $6=$2; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$6; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=$4; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($7)>>2)]=0; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $i=0; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 2; break; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $9=$p; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=(($9+1)|0); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$10; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=HEAP8[($9)]; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$11; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=(($11 << 24) >> 24); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=(($12)|0)!=0; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 21; break; } //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $15=$c; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=(($15 << 24) >> 24); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $17=(($16)|0)!=37; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      __label__ = 2; break; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $20=$p; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $21=(($20+1)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$21; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $22=HEAP8[($20)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$22; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=(($22 << 24) >> 24); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=(($23)|0)==37; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      __label__ = 2; break; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      __label__ = 8; break; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      var $28=$c; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $29=(($28 << 24) >> 24); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=(($29)|0)!=0; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 20; break; } //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      var $32=$c; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $33=(($32 << 24) >> 24); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $34=(($33)|0) > 57; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($34) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 10: 
      var $36=$c; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $37=(($36 << 24) >> 24); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $38=(($37)|0) < 48; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 19; break; } //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 11: 
      var $40=$c; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $41=(($40 << 24) >> 24); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $42=(($41)|0)==36; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 12: 
      var $44=$i; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $45=(($44)|0) > 0; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 13: 
      var $47=$4; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($47)>>2)]=-1; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=0; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 109; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 14: 
      var $49=$number; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $50=(($49+1)|0); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $number=$50; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 18; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 15: 
      var $52=$number; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $53=(($52)|0) > 0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($53) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 16: 
      var $55=$4; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($55)>>2)]=-1; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=0; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 109; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 17: 
      $i=1; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 18; break;
    case 18: 
      __label__ = 20; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 19: 
      var $59=$p; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $60=(($59+1)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$60; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $61=HEAP8[($59)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$61; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 8; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 20: 
      __label__ = 2; break; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 21: 
      var $64=$number; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $65=(($64)|0)==0; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($65) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 22: 
      $1=0; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 109; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 23: 
      var $68=$number; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $69=(($68)|0) > 20; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($69) { __label__ = 24; break; } else { __label__ = 27; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 24: 
      var $71=$number; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $72=((($71<<3))|0); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $73=_malloc($72); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $74=$73; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $nas=$74; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $75=$nas; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $76=(($75)|0)!=0; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($76) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 25: 
      var $78=$4; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($78)>>2)]=-1; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=0; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 109; break; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 26: 
      __label__ = 28; break; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 27: 
      var $81=$5; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $nas=$81; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 28; break;
    case 28: 
      $i=0; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 29; break; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 29: 
      var $84=$i; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $85=$number; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $86=(($84)|0) < (($85)|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($86) { __label__ = 30; break; } else { __label__ = 32; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 30: 
      var $88=$i; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $89=$nas; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $90=(($89+($88<<3))|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $91=(($90)|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($91)>>2)]=20; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 31; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 31: 
      var $93=$i; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $94=(($93+1)|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $i=$94; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 29; break; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 32: 
      var $96=$2; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$96; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 33; break; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 33: 
      var $98=$p; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $99=(($98+1)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$99; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $100=HEAP8[($98)]; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$100; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $101=(($100 << 24) >> 24); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $102=(($101)|0)!=0; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($102) { __label__ = 34; break; } else { __label__ = 86; break; } //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 34: 
      var $104=$c; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $105=(($104 << 24) >> 24); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $106=(($105)|0)!=37; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($106) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 35: 
      __label__ = 33; break; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 36: 
      var $109=$p; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $110=(($109+1)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$110; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $111=HEAP8[($109)]; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$111; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $112=$c; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $113=(($112 << 24) >> 24); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $114=(($113)|0)==37; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($114) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 37: 
      __label__ = 33; break; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 38: 
      $cn=0; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 39; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 39: 
      var $118=$c; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $119=(($118 << 24) >> 24)!=0; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($119) { __label__ = 40; break; } else { var $125 = 0;__label__ = 41; break; } //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 40: 
      var $121=$c; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $122=(($121 << 24) >> 24); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $123=(($122)|0)!=36; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $125 = $123;__label__ = 41; break;
    case 41: 
      var $125;
      if ($125) { __label__ = 42; break; } else { __label__ = 43; break; }
    case 42: 
      var $127=$cn; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $128=(($127*10)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $129=$c; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $130=(($129 << 24) >> 24); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $131=(($128+$130)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $132=(($131-48)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cn=$132; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $133=$p; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $134=(($133+1)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$134; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $135=HEAP8[($133)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$135; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 39; break; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 43: 
      var $137=$c; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $138=(($137 << 24) >> 24)!=0; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($138) { __label__ = 44; break; } else { __label__ = 46; break; } //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 44: 
      var $140=$cn; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $141=(($140)|0) < 1; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($141) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 45: 
      var $143=$cn; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $144=$number; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $145=(($143)|0) > (($144)|0); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($145) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 46: 
      var $147=$4; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($147)>>2)]=-1; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 86; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 47: 
      var $149=$cn; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $150=(($149-1)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cn=$150; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $151=$cn; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $152=$nas; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $153=(($152+($151<<3))|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $154=(($153)|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $156=(($155)|0)!=20; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($156) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 48: 
      __label__ = 33; break; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 49: 
      var $159=$p; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $160=(($159+1)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$160; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $161=HEAP8[($159)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$161; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $162=$c; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $163=(($162 << 24) >> 24); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $164=(($163)|0)==42; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($164) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 50: 
      var $166=$4; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($166)>>2)]=-1; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 86; break; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 51: 
      __label__ = 52; break; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 52: 
      var $169=$c; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $170=(($169 << 24) >> 24); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $171=(($170)|0) >= 48; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($171) { __label__ = 53; break; } else { var $177 = 0;__label__ = 54; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 53: 
      var $173=$c; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $174=(($173 << 24) >> 24); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $175=(($174)|0) <= 57; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $177 = $175;__label__ = 54; break;
    case 54: 
      var $177;
      if ($177) { __label__ = 55; break; } else { __label__ = 56; break; }
    case 55: 
      var $179=$p; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $180=(($179+1)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$180; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $181=HEAP8[($179)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$181; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 52; break; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 56: 
      var $183=$c; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $184=(($183 << 24) >> 24); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $185=(($184)|0)==46; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($185) { __label__ = 57; break; } else { __label__ = 65; break; } //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 57: 
      var $187=$p; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $188=(($187+1)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$188; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $189=HEAP8[($187)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$189; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $190=$c; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $191=(($190 << 24) >> 24); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $192=(($191)|0)==42; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($192) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 58: 
      var $194=$4; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($194)>>2)]=-1; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 86; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 59: 
      __label__ = 60; break; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 60: 
      var $197=$c; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $198=(($197 << 24) >> 24); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $199=(($198)|0) >= 48; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($199) { __label__ = 61; break; } else { var $205 = 0;__label__ = 62; break; } //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 61: 
      var $201=$c; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $202=(($201 << 24) >> 24); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $203=(($202)|0) <= 57; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $205 = $203;__label__ = 62; break;
    case 62: 
      var $205;
      if ($205) { __label__ = 63; break; } else { __label__ = 64; break; }
    case 63: 
      var $207=$p; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $208=(($207+1)|0); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$208; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $209=HEAP8[($207)]; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$209; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 60; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 64: 
      __label__ = 65; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 65: 
      var $212=$cn; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $213=$nas; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $214=(($213+($212<<3))|0); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $215=(($214)|0); //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($215)>>2)]=2; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $216=$c; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $217=(($216 << 24) >> 24); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $218=(($217)|0)==104; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($218) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 66: 
      var $220=$cn; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $221=$nas; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $222=(($221+($220<<3))|0); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $223=(($222)|0); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($223)>>2)]=0; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $224=$p; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $225=(($224+1)|0); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$225; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $226=HEAP8[($224)]; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$226; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 75; break; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 67: 
      var $228=$c; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $229=(($228 << 24) >> 24); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $230=(($229)|0)==76; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($230) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 68: 
      var $232=$cn; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $233=$nas; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $234=(($233+($232<<3))|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $235=(($234)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($235)>>2)]=6; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $236=$p; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $237=(($236+1)|0); //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$237; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $238=HEAP8[($236)]; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$238; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 74; break; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 69: 
      var $240=$c; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $241=(($240 << 24) >> 24); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $242=(($241)|0)==108; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($242) { __label__ = 70; break; } else { __label__ = 73; break; } //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 70: 
      var $244=$cn; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $245=$nas; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $246=(($245+($244<<3))|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $247=(($246)|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($247)>>2)]=4; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $248=$p; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $249=(($248+1)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$249; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $250=HEAP8[($248)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$250; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $251=$c; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $252=(($251 << 24) >> 24); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $253=(($252)|0)==108; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($253) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 71: 
      var $255=$cn; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $256=$nas; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $257=(($256+($255<<3))|0); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $258=(($257)|0); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($258)>>2)]=6; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $259=$p; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $260=(($259+1)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $p=$260; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $261=HEAP8[($259)]; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $c=$261; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 72; break; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 72: 
      __label__ = 73; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 73: 
      __label__ = 74; break;
    case 74: 
      __label__ = 75; break;
    case 75: 
      var $266=$c; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $267=(($266 << 24) >> 24); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ((($267)|0) == 100 || (($267)|0) == 99 || (($267)|0) == 105 || (($267)|0) == 111 || (($267)|0) == 117 || (($267)|0) == 120 || (($267)|0) == 88) {
        __label__ = 76; break;
      }
      else if ((($267)|0) == 101 || (($267)|0) == 102 || (($267)|0) == 103) {
        __label__ = 77; break;
      }
      else if ((($267)|0) == 112) {
        __label__ = 78; break;
      }
      else if ((($267)|0) == 67 || (($267)|0) == 83 || (($267)|0) == 69 || (($267)|0) == 71) {
        __label__ = 79; break;
      }
      else if ((($267)|0) == 115) {
        __label__ = 80; break;
      }
      else if ((($267)|0) == 110) {
        __label__ = 81; break;
      }
      else {
      __label__ = 82; break;
      }
      
    case 76: 
      __label__ = 83; break; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 77: 
      var $270=$cn; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $271=$nas; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $272=(($271+($270<<3))|0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $273=(($272)|0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($273)>>2)]=9; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 83; break; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 78: 
      var $275=$cn; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $276=$nas; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $277=(($276+($275<<3))|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $278=(($277)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($278)>>2)]=5; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 83; break; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 79: 
      var $280=$cn; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $281=$nas; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $282=(($281+($280<<3))|0); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $283=(($282)|0); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($283)>>2)]=20; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 83; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 80: 
      var $285=$cn; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $286=$nas; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $287=(($286+($285<<3))|0); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $288=(($287)|0); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $289=HEAP32[(($288)>>2)]; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $290=(($289)|0)==1; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $291=$290 ? 11 : 8; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $292=$cn; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $293=$nas; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $294=(($293+($292<<3))|0); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $295=(($294)|0); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($295)>>2)]=$291; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 83; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 81: 
      var $297=$cn; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $298=$nas; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $299=(($298+($297<<3))|0); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $300=(($299)|0); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($300)>>2)]=10; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 83; break; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 82: 
      var $302=$cn; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $303=$nas; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $304=(($303+($302<<3))|0); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $305=(($304)|0); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($305)>>2)]=20; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 83; break; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 83: 
      var $307=$cn; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $308=$nas; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $309=(($308+($307<<3))|0); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $310=(($309)|0); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $311=HEAP32[(($310)>>2)]; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $312=(($311)|0)==20; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($312) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 84: 
      var $314=$4; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($314)>>2)]=-1; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 86; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 85: 
      __label__ = 33; break; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 86: 
      var $317=$4; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $318=HEAP32[(($317)>>2)]; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $319=(($318)|0) < 0; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($319) { __label__ = 87; break; } else { __label__ = 90; break; } //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 87: 
      var $321=$nas; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $322=$5; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $323=(($321)|0)!=(($322)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($323) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 88: 
      var $325=$nas; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $326=$325; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __ZN2js10Foreground5free_EPv($326); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 89; break; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 89: 
      $1=0; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 109; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 90: 
      $cn=0; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 91; break; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 91: 
      var $330=$cn; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $331=$number; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $332=(($330)|0) < (($331)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($332) { __label__ = 92; break; } else { __label__ = 108; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 92: 
      var $334=$cn; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $335=$nas; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $336=(($335+($334<<3))|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $337=(($336)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $338=HEAP32[(($337)>>2)]; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $339=(($338)|0)==20; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($339) { __label__ = 93; break; } else { __label__ = 94; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 93: 
      var $341=$cn; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $342=(($341+1)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cn=$342; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 91; break; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 94: 
      var $344=$cn; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $345=$nas; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $346=(($345+($344<<3))|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $347=(($346+4)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $348=$347; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $349=$3; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      _llvm_va_copy($348, $349); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $350=$cn; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $351=$nas; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $352=(($351+($350<<3))|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $353=(($352)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $354=HEAP32[(($353)>>2)]; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ((($354)|0) == 0 || (($354)|0) == 1 || (($354)|0) == 2 || (($354)|0) == 3) {
        __label__ = 95; break;
      }
      else if ((($354)|0) == 4) {
        __label__ = 96; break;
      }
      else if ((($354)|0) == 5) {
        __label__ = 97; break;
      }
      else if ((($354)|0) == 6) {
        __label__ = 98; break;
      }
      else if ((($354)|0) == 7) {
        __label__ = 99; break;
      }
      else if ((($354)|0) == 8) {
        __label__ = 100; break;
      }
      else if ((($354)|0) == 11) {
        __label__ = 101; break;
      }
      else if ((($354)|0) == 10) {
        __label__ = 102; break;
      }
      else if ((($354)|0) == 9) {
        __label__ = 103; break;
      }
      else {
      __label__ = 104; break;
      }
      
    case 95: 
      var $356=HEAP32[(($3)>>2)]; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $357=$356; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $358=(($356+4)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$358; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $359=HEAP32[(($357)>>2)]; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 107; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 96: 
      var $361=HEAP32[(($3)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $362=$361; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $363=(($361+4)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$363; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $364=HEAP32[(($362)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 107; break; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 97: 
      var $366=HEAP32[(($3)>>2)]; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $367=$366; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $368=(($366+4)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$368; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $369=HEAP32[(($367)>>2)]; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 107; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 98: 
      var $371=HEAP32[(($3)>>2)]; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $372=$371; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $373=(($371+8)|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$373; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$4$0=(($372)|0);
      var $374$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($372+4)|0);
      var $374$1=HEAP32[(($st$4$1)>>2)];
      __label__ = 107; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 99: 
      var $376=HEAP32[(($3)>>2)]; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $377=$376; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $378=(($376+8)|0); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$378; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$4$0=(($377)|0);
      var $379$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($377+4)|0);
      var $379$1=HEAP32[(($st$4$1)>>2)];
      __label__ = 107; break; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 100: 
      var $381=HEAP32[(($3)>>2)]; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $382=$381; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $383=(($381+4)|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$383; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $384=HEAP32[(($382)>>2)]; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 107; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 101: 
      var $386=HEAP32[(($3)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $387=$386; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $388=(($386+4)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$388; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $389=HEAP32[(($387)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 107; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 102: 
      var $391=HEAP32[(($3)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $392=$391; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $393=(($391+4)|0); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$393; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $394=HEAP32[(($392)>>2)]; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 107; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 103: 
      var $396=HEAP32[(($3)>>2)]; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $397=$396; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $398=(($396+8)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($3)>>2)]=$398; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $399=(tempDoubleI32[0]=HEAP32[(($397)>>2)],tempDoubleI32[1]=HEAP32[(($397+4)>>2)],tempDoubleF64[0]); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 107; break; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 104: 
      var $401=$nas; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $402=$5; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $403=(($401)|0)!=(($402)|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($403) { __label__ = 105; break; } else { __label__ = 106; break; } //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 105: 
      var $405=$nas; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $406=$405; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __ZN2js10Foreground5free_EPv($406); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 106; break; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 106: 
      var $408=$4; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP32[(($408)>>2)]=-1; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=0; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 109; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 107: 
      var $410=$cn; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $411=(($410+1)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cn=$411; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 91; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 108: 
      var $413=$nas; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$413; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 109; break; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 109: 
      var $415=$1; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $415; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13BuildArgArrayPKcPcPiP11NumArgState["X"]=1;

function __ZL5cvt_lP15SprintfStateStrliiiiiPKc($ss, $num, $width, $prec, $radix, $type, $flags, $hexp) {
  var __stackBase__  = STACKTOP; STACKTOP += 100; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $cvtbuf=__stackBase__;
      var $cvt;
      var $digits;
      var $digit;
      $2=$ss;
      $3=$num;
      $4=$width;
      $5=$prec;
      $6=$radix;
      $7=$type;
      $8=$flags;
      $9=$hexp;
      var $10=$5; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=(($10)|0)==0; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $13=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=(($13)|0)==0; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      $1=0; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 10; break; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $17=(($cvtbuf)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18=(($17+100)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvt=$18; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $digits=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 5; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $20=$3; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $21=(($20)|0)!=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $23=$3; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=$6; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $25=(($23)>>>0)%(($24)>>>0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $26=$25 & 15; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $digit=$26; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $27=$digit; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $28=$9; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $29=(($28+$27)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=HEAP8[($29)]; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=$cvt; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $32=(($31-1)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvt=$32; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($32)]=$30; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $33=$digits; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $34=(($33+1)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $digits=$34; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $35=$3; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $36=$6; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $37=Math.floor((($35)>>>0)/(($36)>>>0)); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $3=$37; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 5; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      var $39=$digits; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $40=(($39)|0)==0; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      var $42=$cvt; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $43=(($42-1)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvt=$43; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($43)]=48; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $44=$digits; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $45=(($44+1)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $digits=$45; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 9; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      var $47=$2; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $48=$cvt; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $49=$digits; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $50=$4; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $51=$5; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $52=$7; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $53=$8; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $54=__ZL6fill_nP15SprintfStateStrPKciiiii($47, $48, $49, $50, $51, $52, $53); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$54; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 10; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 10: 
      var $56=$1; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5cvt_lP15SprintfStateStrliiiiiPKc["X"]=1;

function __ZL6cvt_llP15SprintfStateStrxiiiiiPKc($ss, $num$0, $num$1, $width, $prec, $radix, $type, $flags, $hexp) {
  var __stackBase__  = STACKTOP; STACKTOP += 132; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $rad=__stackBase__+8;
      var $cvtbuf=__stackBase__+16;
      var $cvt;
      var $digits;
      var $quot=__stackBase__+116;
      var $rem=__stackBase__+124;
      var $digit;
      $2=$ss;
      var $st$17$0=(($3)|0);
      HEAP32[(($st$17$0)>>2)]=$num$0;
      var $st$17$1=(($3+4)|0);
      HEAP32[(($st$17$1)>>2)]=$num$1;
      $4=$width;
      $5=$prec;
      $6=$radix;
      $7=$type;
      $8=$flags;
      $9=$hexp;
      var $10=$5; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=(($10)|0)==0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $st$0$0=(($3)|0);
      var $13$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($3+4)|0);
      var $13$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $14=$13$0 == $$emscripten$temp$0$0 && $13$1 == $$emscripten$temp$0$1; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      $1=0; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 10; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $17=$6; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18$0=$17;
      var $18$1=(($17|0) < 0 ? -1 : 0);
      var $st$3$0=(($rad)|0);
      HEAP32[(($st$3$0)>>2)]=$18$0;
      var $st$3$1=(($rad+4)|0);
      HEAP32[(($st$3$1)>>2)]=$18$1;
      var $19=(($cvtbuf)|0); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $20=(($19+100)|0); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvt=$20; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $digits=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 5; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $st$0$0=(($3)|0);
      var $22$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($3+4)|0);
      var $22$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$1$0=0;
      var $$emscripten$temp$1$1=0;
      var $23=$22$0 != $$emscripten$temp$1$0 || $22$1 != $$emscripten$temp$1$1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $st$0$0=(($3)|0);
      var $25$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($3+4)|0);
      var $25$1=HEAP32[(($st$0$1)>>2)];
      var $st$4$0=(($rad)|0);
      var $26$0=HEAP32[(($st$4$0)>>2)];
      var $st$4$1=(($rad+4)|0);
      var $26$1=HEAP32[(($st$4$1)>>2)];
      var $27$0 = (i64Math.divide($25$0,$25$1,$26$0,$26$1,true),i64Math.result[0]); var $27$1 = i64Math.result[1]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$9$0=(($quot)|0);
      HEAP32[(($st$9$0)>>2)]=$27$0;
      var $st$9$1=(($quot+4)|0);
      HEAP32[(($st$9$1)>>2)]=$27$1;
      var $st$13$0=(($3)|0);
      var $28$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($3+4)|0);
      var $28$1=HEAP32[(($st$13$1)>>2)];
      var $st$17$0=(($rad)|0);
      var $29$0=HEAP32[(($st$17$0)>>2)];
      var $st$17$1=(($rad+4)|0);
      var $29$1=HEAP32[(($st$17$1)>>2)];
      var $30$0 = (i64Math.modulo($28$0,$28$1,$29$0,$29$1,true),i64Math.result[0]); var $30$1 = i64Math.result[1]; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$22$0=(($rem)|0);
      HEAP32[(($st$22$0)>>2)]=$30$0;
      var $st$22$1=(($rem+4)|0);
      HEAP32[(($st$22$1)>>2)]=$30$1;
      var $st$26$0=(($rem)|0);
      var $31$0=HEAP32[(($st$26$0)>>2)];
      var $st$26$1=(($rem+4)|0);
      var $31$1=HEAP32[(($st$26$1)>>2)];
      var $32$0=$31$0;
      var $32=$32$0;
      $digit=$32; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $33=$digit; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $34=$33 & 15; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $35=$9; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $36=(($35+$34)|0); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $37=HEAP8[($36)]; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $38=$cvt; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $39=(($38-1)|0); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvt=$39; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($39)]=$37; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $40=$digits; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $41=(($40+1)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $digits=$41; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $st$45$0=(($quot)|0);
      var $42$0=HEAP32[(($st$45$0)>>2)];
      var $st$45$1=(($quot+4)|0);
      var $42$1=HEAP32[(($st$45$1)>>2)];
      var $st$49$0=(($3)|0);
      HEAP32[(($st$49$0)>>2)]=$42$0;
      var $st$49$1=(($3+4)|0);
      HEAP32[(($st$49$1)>>2)]=$42$1;
      __label__ = 5; break; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      var $44=$digits; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $45=(($44)|0)==0; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      var $47=$cvt; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $48=(($47-1)|0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvt=$48; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($48)]=48; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $49=$digits; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $50=(($49+1)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $digits=$50; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 9; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      var $52=$2; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $53=$cvt; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $54=$digits; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $55=$4; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $56=$5; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $57=$7; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $58=$8; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $59=__ZL6fill_nP15SprintfStateStrPKciiiii($52, $53, $54, $55, $56, $57, $58); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$59; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 10; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 10: 
      var $61=$1; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6cvt_llP15SprintfStateStrxiiiiiPKc["X"]=1;

function __ZL5cvt_fP15SprintfStateStrdPKcS2_($ss, $d, $fmt0, $fmt1) {
  var __stackBase__  = STACKTOP; STACKTOP += 320; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $fin=__stackBase__;
      var $fout=__stackBase__+20;
      var $amount;
      $2=$ss;
      $3=$d;
      $4=$fmt0;
      $5=$fmt1;
      var $6=$5; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=$4; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=$6; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=$7; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=(($8-$9)|0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $amount=$10; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=$amount; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=(($11)|0) >= 20; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      $1=0; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $15=(($fin)|0); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=$4; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $17=$amount; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      assert($17 % 1 === 0, 'memcpy given ' + $17 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($15, $16, $17, 1); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18=$amount; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=(($fin+$18)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      HEAP8[($19)]=0; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $20=(($fout)|0); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $21=(($fin)|0); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $22=$3; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=_sprintf($20, $21, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),(tempDoubleF64[0]=$22,HEAP32[((tempInt)>>2)]=tempDoubleI32[0],HEAP32[((tempInt+4)>>2)]=tempDoubleI32[1]),tempInt)); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $25=(($24)|0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $27=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $28=(($fout)|0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $29=(($fout)|0); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=_strlen($29); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=FUNCTION_TABLE[$26]($27, $28, $30); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$31; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 4; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $33=$1; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6cvt_wsP15SprintfStateStrPKtiii($ss, $ws, $width, $prec, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $result;
      var $slen;
      var $s;
      $2=$ss;
      $3=$ws;
      $4=$width;
      $5=$prec;
      $6=$flags;
      var $7=$3; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=(($7)|0)!=0; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $10=$3; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=__Z9js_strlenPKt($10); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $slen=$11; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=$3; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $13=$slen; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=__ZN2js13DeflateStringEP9JSContextPKtj(0, $12, $13); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $s=$14; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=$s; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $16=(($15)|0)!=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      $1=-1; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 7; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $19=$2; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $20=$s; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $21=$4; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $22=$5; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=$6; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=__ZL5cvt_sP15SprintfStateStrPKciii($19, $20, $21, $22, $23); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $result=$24; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $25=$s; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __ZN2js10Foreground5free_EPv($25); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 6; break; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $27=$2; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $28=$4; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $29=$5; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=$6; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=__ZL5cvt_sP15SprintfStateStrPKciii($27, 0, $28, $29, $30); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $result=$31; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 6; break;
    case 6: 
      var $33=$result; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$33; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 7; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      var $35=$1; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      ;
      return $35; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6cvt_wsP15SprintfStateStrPKtiii["X"]=1;

function __ZL5cvt_sP15SprintfStateStrPKciii($ss, $s, $width, $prec, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $slen;
      $2=$ss;
      $3=$s;
      $4=$width;
      $5=$prec;
      $6=$flags;
      var $7=$5; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=(($7)|0)==0; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      $1=0; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 14; break; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $11=$3; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $12=(($11)|0)!=0; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $14=$3; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=_strlen($14); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18 = $15;__label__ = 6; break; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      var $18 = 6;__label__ = 6; break; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $18; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $slen=$18; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=$5; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $20=(($19)|0) > 0; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      var $22=$5; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $23=$slen; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=(($22)|0) < (($23)|0); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      var $26=$5; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $slen=$26; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 9; break; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      __label__ = 10; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 10: 
      var $29=$2; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=$3; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=(($30)|0)!=0; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($31) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 11: 
      var $33=$3; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $36 = $33;__label__ = 13; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 12: 
      var $36 = ((STRING_TABLE.__str33015)|0);__label__ = 13; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 13: 
      var $36; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $37=$slen; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $38=$4; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $39=$6; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $40=__ZL5fill2P15SprintfStateStrPKciii($29, $36, $37, $38, $39); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$40; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 14; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 14: 
      var $42=$1; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      ;
      return $42; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5cvt_sP15SprintfStateStrPKciii["X"]=1;

function __ZL5fill2P15SprintfStateStrPKciii($ss, $src, $srclen, $width, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $space=__stackBase__;
      var $rv;
      $2=$ss;
      $3=$src;
      $4=$srclen;
      $5=$width;
      $6=$flags;
      HEAP8[($space)]=32; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $7=$4; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $8=$5; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=(($8-$7)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $5=$9; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=$5; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=(($10)|0) > 0; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $13=$6; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=$13 & 1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=(($14)|0)==0; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      var $17=$6; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $18=$17 & 8; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=(($18)|0)!=0; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      HEAP8[($space)]=48; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 5; break; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      __label__ = 6; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $23=$5; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=(($23-1)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $5=$24; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $25=(($24)|0) >= 0; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      var $27=$2; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $28=(($27)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $30=$2; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $31=FUNCTION_TABLE[$29]($30, $space, 1); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$31; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $32=$rv; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $33=(($32)|0) < 0; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      var $35=$rv; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$35; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 22; break; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 9: 
      __label__ = 6; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 10: 
      __label__ = 11; break; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 11: 
      var $39=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $40=(($39)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $42=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $43=$3; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $44=$4; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $45=FUNCTION_TABLE[$41]($42, $43, $44); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$45; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $46=$rv; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $47=(($46)|0) < 0; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 12: 
      var $49=$rv; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$49; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 22; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 13: 
      var $51=$5; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $52=(($51)|0) > 0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($52) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 14: 
      var $54=$6; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $55=$54 & 1; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $56=(($55)|0)!=0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 21; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 15: 
      __label__ = 16; break; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 16: 
      var $59=$5; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $60=(($59-1)|0); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $5=$60; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $61=(($60)|0) >= 0; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($61) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 17: 
      var $63=$2; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $64=(($63)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $66=$2; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $67=FUNCTION_TABLE[$65]($66, $space, 1); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$67; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $68=$rv; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $69=(($68)|0) < 0; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($69) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 18: 
      var $71=$rv; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$71; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 22; break; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 19: 
      __label__ = 16; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 20: 
      __label__ = 21; break; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 21: 
      $1=0; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 22; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 22: 
      var $76=$1; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $76; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5fill2P15SprintfStateStrPKciii["X"]=1;

function __ZL6fill_nP15SprintfStateStrPKciiiii($ss, $src, $srclen, $width, $prec, $type, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $zerowidth;
      var $precwidth;
      var $signwidth;
      var $leftspaces;
      var $rightspaces;
      var $cvtwidth;
      var $rv;
      var $sign=__stackBase__;
      $2=$ss;
      $3=$src;
      $4=$srclen;
      $5=$width;
      $6=$prec;
      $7=$type;
      $8=$flags;
      $zerowidth=0; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $precwidth=0; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $signwidth=0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $leftspaces=0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rightspaces=0; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $9=$7; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $10=$9 & 1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $11=(($10)|0)==0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 2: 
      var $13=$8; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $14=$13 & 16; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $15=(($14)|0)!=0; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 3: 
      HEAP8[($sign)]=45; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $signwidth=1; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 10; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 4: 
      var $18=$8; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $19=$18 & 2; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $20=(($19)|0)!=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 5: 
      HEAP8[($sign)]=43; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $signwidth=1; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 9; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 6: 
      var $23=$8; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $24=$23 & 4; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $25=(($24)|0)!=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 7: 
      HEAP8[($sign)]=32; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $signwidth=1; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 8; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 11: 
      var $31=$signwidth; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $32=$4; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $33=(($31+$32)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvtwidth=$33; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $34=$6; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $35=(($34)|0) > 0; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($35) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 12: 
      var $37=$6; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $38=$4; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $39=(($37)|0) > (($38)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 13: 
      var $41=$6; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $42=$4; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $43=(($41-$42)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $precwidth=$43; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $44=$precwidth; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $45=$cvtwidth; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $46=(($45+$44)|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvtwidth=$46; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 14; break; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 14: 
      __label__ = 15; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 15: 
      var $49=$8; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $50=$49 & 8; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $51=(($50)|0)!=0; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($51) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 16: 
      var $53=$6; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $54=(($53)|0) < 0; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($54) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 17: 
      var $56=$5; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $57=$cvtwidth; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $58=(($56)|0) > (($57)|0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($58) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 18: 
      var $60=$5; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $61=$cvtwidth; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $62=(($60-$61)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $zerowidth=$62; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $63=$zerowidth; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $64=$cvtwidth; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $65=(($64+$63)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $cvtwidth=$65; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 19; break; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 19: 
      __label__ = 20; break; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 20: 
      var $68=$8; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $69=$68 & 1; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $70=(($69)|0)!=0; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($70) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 21: 
      var $72=$5; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $73=$cvtwidth; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $74=(($72)|0) > (($73)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($74) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 22: 
      var $76=$5; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $77=$cvtwidth; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $78=(($76-$77)|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rightspaces=$78; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 23; break; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 23: 
      __label__ = 27; break; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 24: 
      var $81=$5; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $82=$cvtwidth; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 25: 
      var $85=$5; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $86=$cvtwidth; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $87=(($85-$86)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $leftspaces=$87; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 26; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 28: 
      var $91=$leftspaces; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $92=(($91-1)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $leftspaces=$92; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $93=(($92)|0) >= 0; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($93) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 29: 
      var $95=$2; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $96=(($95)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $98=$2; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $99=FUNCTION_TABLE[$97]($98, ((STRING_TABLE.__str3012)|0), 1); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$99; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $100=$rv; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $101=(($100)|0) < 0; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($101) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 30: 
      var $103=$rv; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$103; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 54; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 31: 
      __label__ = 28; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 32: 
      var $106=$signwidth; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $107=(($106)|0)!=0; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($107) { __label__ = 33; break; } else { __label__ = 36; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 33: 
      var $109=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $110=(($109)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $112=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $113=FUNCTION_TABLE[$111]($112, $sign, 1); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$113; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $114=$rv; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $115=(($114)|0) < 0; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($115) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 34: 
      var $117=$rv; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$117; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 54; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 35: 
      __label__ = 36; break; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 36: 
      __label__ = 37; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 37: 
      var $121=$precwidth; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $122=(($121-1)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $precwidth=$122; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $123=(($122)|0) >= 0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($123) { __label__ = 38; break; } else { __label__ = 41; break; } //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 38: 
      var $125=$2; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $126=(($125)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $128=$2; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $129=FUNCTION_TABLE[$127]($128, ((STRING_TABLE.__str43016)|0), 1); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$129; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $130=$rv; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $131=(($130)|0) < 0; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($131) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 39: 
      var $133=$rv; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$133; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 54; break; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 40: 
      __label__ = 37; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 41: 
      __label__ = 42; break; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 42: 
      var $137=$zerowidth; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $138=(($137-1)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $zerowidth=$138; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $139=(($138)|0) >= 0; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($139) { __label__ = 43; break; } else { __label__ = 46; break; } //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 43: 
      var $141=$2; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $142=(($141)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $144=$2; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $145=FUNCTION_TABLE[$143]($144, ((STRING_TABLE.__str43016)|0), 1); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$145; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $146=$rv; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $147=(($146)|0) < 0; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($147) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 44: 
      var $149=$rv; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$149; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 54; break; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 45: 
      __label__ = 42; break; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 46: 
      var $152=$2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $153=(($152)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $155=$2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $156=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $157=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $158=FUNCTION_TABLE[$154]($155, $156, $157); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$158; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $159=$rv; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $160=(($159)|0) < 0; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($160) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 47: 
      var $162=$rv; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$162; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 54; break; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 48: 
      __label__ = 49; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 49: 
      var $165=$rightspaces; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $166=(($165-1)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rightspaces=$166; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $167=(($166)|0) >= 0; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($167) { __label__ = 50; break; } else { __label__ = 53; break; } //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 50: 
      var $169=$2; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $170=(($169)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $171=HEAP32[(($170)>>2)]; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $172=$2; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $173=FUNCTION_TABLE[$171]($172, ((STRING_TABLE.__str3012)|0), 1); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $rv=$173; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $174=$rv; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      var $175=(($174)|0) < 0; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      if ($175) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 51: 
      var $177=$rv; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      $1=$177; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 54; break; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 52: 
      __label__ = 49; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 53: 
      $1=0; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      __label__ = 54; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    case 54: 
      var $181=$1; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
      STACKTOP = __stackBase__;
      return $181; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsprf.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6fill_nP15SprintfStateStrPKciiiii["X"]=1;

function __ZN2js13PropertyCache11assertEmptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 234 "./jspropertycache.h"
}


function __ZL26js_IsPropertyCacheDisabledP9JSContext3032($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 2359 "./jscntxt.h"
  var $3=(($2+52)|0); //@line 2359 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2359 "./jscntxt.h"
  var $5=(($4+209944)|0); //@line 2359 "./jscntxt.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 2359 "./jscntxt.h"
  var $7=(($6)>>>0) >= 16777216; //@line 2359 "./jscntxt.h"
  var $8=(($7)&1); //@line 2359 "./jscntxt.h"
  ;
  return $8; //@line 2359 "./jscntxt.h"
}


function __ZN2js5PCVal9setFunObjER8JSObject($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=$2; //@line 103 "./jspropertycache.h"
  var $5=$4; //@line 103 "./jspropertycache.h"
  var $6=(($3)|0); //@line 103 "./jspropertycache.h"
  HEAP32[(($6)>>2)]=$5; //@line 103 "./jspropertycache.h"
  ;
  return; //@line 104 "./jspropertycache.h"
}


function __ZN8JSObject7genericEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 605 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 605 "./jsobj.h"
  var $5=$4 & 16; //@line 605 "./jsobj.h"
  var $6=(($5)|0)!=0; //@line 605 "./jsobj.h"
  var $7=$6 ^ 1; //@line 605 "./jsobj.h"
  var $8=$7 ^ 1; //@line 605 "./jsobj.h"
  ;
  return $8; //@line 605 "./jsobj.h"
}


function __ZN2js5PCVal7setSlotEj($this, $slot) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$slot;
  var $3=$1;
  var $4=$2; //@line 108 "./jspropertycache.h"
  var $5=$4 << 1; //@line 108 "./jspropertycache.h"
  var $6=$5 | 1; //@line 108 "./jspropertycache.h"
  var $7=(($3)|0); //@line 108 "./jspropertycache.h"
  HEAP32[(($7)>>2)]=$6; //@line 108 "./jspropertycache.h"
  ;
  return; //@line 108 "./jspropertycache.h"
}


function __ZN2js5PCVal8setShapeEPKNS_5ShapeE($this, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shape;
  var $3=$1;
  var $4=$2; //@line 117 "./jspropertycache.h"
  var $5=$4; //@line 117 "./jspropertycache.h"
  var $6=$5 | 2; //@line 117 "./jspropertycache.h"
  var $7=(($3)|0); //@line 117 "./jspropertycache.h"
  HEAP32[(($7)>>2)]=$6; //@line 117 "./jspropertycache.h"
  ;
  return; //@line 118 "./jspropertycache.h"
}


function __ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi($this, $cx, $obj, $scopeIndex, $pobj, $shape, $adding) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $kshape;
      var $vshape;
      var $op;
      var $cs;
      var $vword=__stackBase__;
      var $entry;
      var $tmp;
      var $i;
      var $protoIndex;
      var $pc=__stackBase__+4;
      var $script;
      var $funobj;
      var $v;
      var $funobj1=__stackBase__+8;
      var $9=__stackBase__+12;
      $2=$this;
      $3=$cx;
      $4=$obj;
      $5=$scopeIndex;
      $6=$pobj;
      $7=$shape;
      $8=$adding;
      var $10=$2;
      var $11=$3; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $12=__ZL26js_IsPropertyCacheDisabledP9JSContext3032($11); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $13=(($12)|0)!=0; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 2: 
      $1=((16)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 62; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 3: 
      var $16=$6; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $17=$3; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $18=$7; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $19=__ZN8JSObject14nativeContainsEP9JSContextRKN2js5ShapeE($16, $17, $18); //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 4: 
      $1=((16)|0); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 62; break; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 5: 
      var $22=$8; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $23=(($22)|0)!=0; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 6: 
      var $25=$4; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $26=__ZNK8JSObject16inDictionaryModeEv($25); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 7: 
      $1=((16)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 62; break; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 8: 
      var $29=$4; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $tmp=$29; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $i=0; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 9; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 9: 
      var $31=$i; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $32=$5; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $33=(($31)|0)!=(($32)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($33) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 10: 
      var $35=$tmp; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $36=__ZNK8JSObject9getParentEv($35); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $tmp=$36; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 11; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 11: 
      var $38=$i; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $39=(($38+1)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $i=$39; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 9; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 12: 
      $protoIndex=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 13; break; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 13: 
      var $42=$tmp; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $43=$6; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $44=(($42)|0)!=(($43)|0); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($44) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 14: 
      var $46=$tmp; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $47=__ZNK8JSObject8getProtoEv($46); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $tmp=$47; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $48=$tmp; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $49=(($48)|0)!=0; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($49) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 15: 
      var $51=$tmp; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $52=__ZNK8JSObject8isNativeEv($51); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($52) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 16: 
      $1=((16)|0); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 62; break; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 17: 
      var $55=$protoIndex; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $56=(($55+1)|0); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $protoIndex=$56; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 13; break; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 18: 
      var $58=$5; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $59=(($58)>>>0) > 15; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($59) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 19: 
      var $61=$protoIndex; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $62=(($61)>>>0) > 15; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($62) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 20: 
      $1=((16)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 62; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 21: 
      var $65=$3; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $66=(($65+60)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $67=__ZNK2js12ContextStack13currentScriptEPPh($66, $pc); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $script=$67; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $68=$3; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $69=$script; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $70=HEAP32[(($pc)>>2)]; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $71=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh3033($68, $69, $70); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $op=$71; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $72=$op; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $73=((_js_CodeSpec+($72<<3))|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $cs=$73; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $kshape=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 22; break; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 22: 
      var $75=$cs; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $76=(($75+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $78=$77 & 524288; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $79=(($78)|0)!=0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($79) { __label__ = 23; break; } else { __label__ = 37; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 23: 
      var $81=$7; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $82=__ZNK2js5Shape8isMethodEv($81); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($82) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 24: 
      var $84=$7; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $85=__ZNK2js5Shape12methodObjectEv($84); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $funobj=$85; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $86=$funobj; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __ZN2js5PCVal9setFunObjER8JSObject($vword, $86); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 53; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 25: 
      var $88=$6; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $89=__ZN8JSObject7genericEv($88); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($89) { __label__ = 36; break; } else { __label__ = 26; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 26: 
      var $91=$7; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $92=__ZNK2js5Shape16hasDefaultGetterEv($91); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($92) { __label__ = 27; break; } else { __label__ = 36; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 27: 
      var $94=$6; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $95=$7; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $96=(($95+24)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $98=__ZNK8JSObject12containsSlotEj($94, $97); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($98) { __label__ = 28; break; } else { __label__ = 36; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 28: 
      var $100=$3; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $101=__ZN9JSContext20typeInferenceEnabledEv($100); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($101) { __label__ = 36; break; } else { __label__ = 29; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 29: 
      var $103=$6; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $104=$7; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $105=(($104+24)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $107=__ZNK8JSObject13nativeGetSlotEj($103, $106); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $v=$107; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $108=$v; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $109=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject3034($108, $funobj1); //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($109) { __label__ = 30; break; } else { __label__ = 35; break; } //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 30: 
      var $111=$6; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $112=__ZN8JSObject7brandedEv($111); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($112) { __label__ = 34; break; } else { __label__ = 31; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 31: 
      var $114=$6; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $115=$3; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $116=__ZN8JSObject5brandEP9JSContext($114, $115); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($116) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 32: 
      $1=((16)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 62; break; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 33: 
      __label__ = 34; break; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 34: 
      var $120=HEAP32[(($funobj1)>>2)]; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __ZN2js5PCVal9setFunObjER8JSObject($vword, $120); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 53; break; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 35: 
      __label__ = 36; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 36: 
      __label__ = 41; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 37: 
      var $124=$cs; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $125=(($124+4)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $127=$126 & 11520; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $128=(($127)|0)!=0; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($128) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 38: 
      var $130=$4; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $131=__ZNK8JSObject7watchedEv($130); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($131) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 39: 
      $1=((16)|0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 62; break; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 40: 
      __label__ = 41; break;
    case 41: 
      var $135=$cs; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $136=(($135+4)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $138=$137 & 8448; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $139=(($138)|0)!=0; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($139) { __label__ = 48; break; } else { __label__ = 42; break; } //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 42: 
      var $141=$cs; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $142=(($141+4)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $144=$143 & 3072; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $145=(($144)|0)!=0; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($145) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 43: 
      var $147=$7; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $148=__ZNK2js5Shape16hasDefaultSetterEv($147); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($148) { __label__ = 44; break; } else { __label__ = 48; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 44: 
      var $150=$7; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $151=__ZNK2js5Shape8writableEv($150); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($151) { __label__ = 45; break; } else { __label__ = 48; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 45: 
      var $153=$7; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $154=__ZNK2js5Shape16hasDefaultGetterEv($153); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($154) { __label__ = 46; break; } else { __label__ = 48; break; } //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 46: 
      var $156=$6; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $157=$7; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $158=(($157+24)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $160=__ZNK8JSObject12containsSlotEj($156, $159); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($160) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 47: 
      var $162=$7; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $163=(($162+24)|0); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __ZN2js5PCVal7setSlotEj($vword, $164); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 52; break; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 48: 
      var $166=$7; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __ZN2js5PCVal8setShapeEPKNS_5ShapeE($vword, $166); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $167=$8; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $168=(($167)|0)!=0; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($168) { __label__ = 49; break; } else { __label__ = 51; break; } //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 49: 
      var $170=$6; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $171=__ZNK8JSObject5shapeEv($170); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $172=$7; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $173=(($172)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $175=(($171)|0)==(($174)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($175) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 50: 
      var $177=$7; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $178=__ZNK2js5Shape8previousEv($177); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $179=(($178)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $kshape=$180; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $181=$3; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $182=(($181+52)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $184=(($183+44)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $vshape=$185; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 51; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 51: 
      __label__ = 52; break;
    case 52: 
      __label__ = 53; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 53: 
      var $189=$kshape; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $190=(($189)|0)==0; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($190) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 54: 
      var $192=$4; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $193=__ZNK8JSObject5shapeEv($192); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $kshape=$193; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $194=$6; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $195=__ZNK8JSObject5shapeEv($194); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $vshape=$195; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 55; break; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 55: 
      var $197=$4; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $198=$6; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $199=(($197)|0)==(($198)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($199) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 56: 
      __label__ = 61; break; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 57: 
      var $202=$5; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $203=(($202)|0)!=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($203) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 58: 
      var $205=$protoIndex; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $206=(($205)|0)!=1; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($206) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 59: 
      var $208=$4; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __ZN8JSObject11setDelegateEv($208); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 60; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 60: 
      __label__ = 61; break;
    case 61: 
      var $211=HEAP32[(($pc)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $212=$kshape; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $213=__ZN2js13PropertyCache4hashEPhj($211, $212); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $214=(($10)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $215=(($214+($213<<4))|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $entry=$215; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $216=$entry; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $217=HEAP32[(($pc)>>2)]; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $218=$kshape; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $219=$vshape; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $220=$5; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $221=$protoIndex; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $222=$9; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $223=$vword; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($222)>>2)]=HEAP32[(($223)>>2)]; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __ZN2js18PropertyCacheEntry6assignEPhjjjjNS_5PCValE($216, $217, $218, $219, $220, $221, $9); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $224=(($10+65536)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      HEAP32[(($224)>>2)]=0; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $225=$entry; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $1=$225; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 62; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 62: 
      var $227=$1; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      STACKTOP = __stackBase__;
      return $227; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi["X"]=1;

function __ZL12js_GetOpcodeP9JSContextP8JSScriptPh3033($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 954 "./jsscript.h"
      var $5=HEAPU8[($4)]; //@line 954 "./jsscript.h"
      var $6=(($5)&255); //@line 954 "./jsscript.h"
      $op=$6; //@line 954 "./jsscript.h"
      var $7=$op; //@line 955 "./jsscript.h"
      var $8=(($7)|0)==83; //@line 955 "./jsscript.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 955 "./jsscript.h"
    case 2: 
      var $10=$1; //@line 956 "./jsscript.h"
      var $11=$2; //@line 956 "./jsscript.h"
      var $12=$3; //@line 956 "./jsscript.h"
      var $13=_JS_GetTrapOpcode($10, $11, $12); //@line 956 "./jsscript.h"
      $op=$13; //@line 956 "./jsscript.h"
      __label__ = 3; break; //@line 956 "./jsscript.h"
    case 3: 
      var $15=$op; //@line 957 "./jsscript.h"
      ;
      return $15; //@line 957 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject3034($v, $funobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$v;
      $2=$funobj;
      var $3=$1; //@line 276 "./jsfun.h"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 276 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 276 "./jsfun.h"
    case 2: 
      var $6=$1; //@line 276 "./jsfun.h"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 276 "./jsfun.h"
      var $8=$2; //@line 276 "./jsfun.h"
      HEAP32[(($8)>>2)]=$7; //@line 276 "./jsfun.h"
      var $9=__ZNK8JSObject10isFunctionEv($7); //@line 276 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 277 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18PropertyCacheEntry6assignEPhjjjjNS_5PCValE($this, $kpc, $kshape, $vshape, $scopeIndex, $protoIndex, $vword) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $vword; $vword = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($vword)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$kpc;
  $3=$kshape;
  $4=$vshape;
  $5=$scopeIndex;
  $6=$protoIndex;
  var $7=$1;
  var $8=$2; //@line 143 "./jspropertycache.h"
  var $9=(($7)|0); //@line 143 "./jspropertycache.h"
  HEAP32[(($9)>>2)]=$8; //@line 143 "./jspropertycache.h"
  var $10=$3; //@line 144 "./jspropertycache.h"
  var $11=(($7+4)|0); //@line 144 "./jspropertycache.h"
  HEAP32[(($11)>>2)]=$10; //@line 144 "./jspropertycache.h"
  var $12=$4; //@line 145 "./jspropertycache.h"
  var $13=$12 << 8; //@line 145 "./jspropertycache.h"
  var $14=$5; //@line 145 "./jspropertycache.h"
  var $15=$14 << 4; //@line 145 "./jspropertycache.h"
  var $16=$13 | $15; //@line 145 "./jspropertycache.h"
  var $17=$6; //@line 145 "./jspropertycache.h"
  var $18=$16 | $17; //@line 145 "./jspropertycache.h"
  var $19=(($7+8)|0); //@line 145 "./jspropertycache.h"
  HEAP32[(($19)>>2)]=$18; //@line 145 "./jspropertycache.h"
  var $20=(($7+12)|0); //@line 146 "./jspropertycache.h"
  var $21=$20; //@line 146 "./jspropertycache.h"
  var $22=$vword; //@line 146 "./jspropertycache.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)]; //@line 146 "./jspropertycache.h"
  STACKTOP = __stackBase__;
  return; //@line 147 "./jspropertycache.h"
}


function __ZN2js13PropertyCache8fullTestEP9JSContextPhPP8JSObjectS6_PNS_18PropertyCacheEntryE($this, $cx, $pc, $objp, $pobjp, $entry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $obj;
      var $pobj;
      var $tmp;
      var $vcap;
      var $script;
      var $op;
      var $cs;
      var $atom;
      $2=$this;
      $3=$cx;
      $4=$pc;
      $5=$objp;
      $6=$pobjp;
      $7=$entry;
      var $8=$2;
      var $9=$3; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $10=(($9+60)|0); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $11=__ZNK2js12ContextStack13currentScriptEPPh($10, 0); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $script=$11; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $12=$3; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $13=$script; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $14=$4; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $15=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh3033($12, $13, $14); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $op=$15; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $16=$op; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $17=((_js_CodeSpec+($16<<3))|0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $cs=$17; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $18=$5; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $obj=$19; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $20=$7; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $21=(($20+8)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $vcap=$22; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $23=$7; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $24=(($23)|0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $26=$4; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $27=(($25)|0)!=(($26)|0); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($27) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 2: 
      var $29=$3; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $30=$4; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $31=$op; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $32=$cs; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $33=__ZL19GetAtomFromBytecodeP9JSContextPh4JSOpRK10JSCodeSpec($29, $30, $31, $32); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $atom=$33; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $34=$atom; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $1=$34; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 22; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 3: 
      var $36=$7; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $37=(($36+4)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $39=$obj; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $40=__ZNK8JSObject5shapeEv($39); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $41=(($38)|0)!=(($40)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($41) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 4: 
      var $43=$3; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $44=$4; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $45=$op; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $46=$cs; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $47=__ZL19GetAtomFromBytecodeP9JSContextPh4JSOpRK10JSCodeSpec($43, $44, $45, $46); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $1=$47; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 22; break; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 5: 
      var $49=$obj; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $pobj=$49; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $50=$cs; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $51=(($50+4)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $53=$52 & 224; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $54=(($53)|0)==32; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($54) { __label__ = 6; break; } else { __label__ = 13; break; } //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 6: 
      __label__ = 7; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 7: 
      var $57=$vcap; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $58=$57 & 240; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $59=(($58)|0)!=0; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($59) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 8: 
      var $61=$pobj; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $62=__ZNK8JSObject9getParentEv($61); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $tmp=$62; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $63=$tmp; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $64=(($63)|0)!=0; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($64) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 9: 
      var $66=$tmp; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $67=__ZNK8JSObject8isNativeEv($66); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($67) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 10: 
      __label__ = 12; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 11: 
      var $70=$tmp; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $pobj=$70; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $71=$vcap; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $72=(($71-16)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $vcap=$72; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 7; break; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 12: 
      var $74=$pobj; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $75=$5; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      HEAP32[(($75)>>2)]=$74; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 13; break; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 13: 
      __label__ = 14; break; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 14: 
      var $78=$vcap; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $79=$78 & 15; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $80=(($79)|0)!=0; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($80) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 15: 
      var $82=$pobj; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $83=__ZNK8JSObject8getProtoEv($82); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $tmp=$83; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $84=$tmp; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $85=(($84)|0)!=0; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($85) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 16: 
      var $87=$tmp; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $88=__ZNK8JSObject8isNativeEv($87); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($88) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 17: 
      __label__ = 19; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 18: 
      var $91=$tmp; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $pobj=$91; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $92=$vcap; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $93=(($92-1)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $vcap=$93; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 14; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 19: 
      var $95=$3; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $96=$pobj; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $97=$vcap; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $98=$97 >>> 8; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $99=__ZN2js13PropertyCache10matchShapeEP9JSContextP8JSObjectj($95, $96, $98); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($99) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 20: 
      var $101=$pobj; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $102=$6; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      HEAP32[(($102)>>2)]=$101; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $1=0; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 22; break; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 21: 
      var $104=$3; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $105=$4; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $106=$op; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $107=$cs; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $108=__ZL19GetAtomFromBytecodeP9JSContextPh4JSOpRK10JSCodeSpec($104, $105, $106, $107); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $1=$108; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 22; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 22: 
      var $110=$1; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      ;
      return $110; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13PropertyCache8fullTestEP9JSContextPhPP8JSObjectS6_PNS_18PropertyCacheEntryE["X"]=1;

function __ZL19GetAtomFromBytecodeP9JSContextPh4JSOpRK10JSCodeSpec($cx, $pc, $op, $cs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $script;
      var $pcoff;
      var $atom;
      var $index_;
      $2=$cx;
      $3=$pc;
      $4=$op;
      $5=$cs;
      var $6=$4; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $7=(($6)|0)==220; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 2: 
      var $9=$2; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $10=(($9+52)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $12=(($11+209948)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $13=(($12+308)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $15=$14; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $1=$15; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 14; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 3: 
      var $17=$4; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $18=(($17)|0)==114; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 4: 
      var $20=$2; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $21=(($20+52)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $23=(($22+209948)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $24=(($23+252)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $26=$25; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $1=$26; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 14; break; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 5: 
      var $28=$2; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $29=(($28+60)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $30=__ZNK2js12ContextStack13currentScriptEPPh($29, 0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $script=$30; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $31=$5; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $32=(($31+4)|0); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $34=$33 & 31; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $35=(($34)|0)==8; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $36=$35 ? 2 : 0; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $pcoff=$36; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 6; break; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 6: 
      var $38=$2; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $39=$script; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $40=$3; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $41=$pcoff; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $42=_js_GetIndexFromBytecode($38, $39, $40, $41); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $index_=$42; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 7; break; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 7: 
      var $44=$3; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $45=$script; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $46=(($45)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $47=HEAPU32[(($46)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $48=(($44)>>>0) < (($47)>>>0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 8: 
      var $50=$script; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $51=(($50)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $53=$script; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $54=(($53+8)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $56=(($52+$55)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $57=$3; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $58=(($56)>>>0) <= (($57)>>>0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 9: 
      var $60=$index_; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $61=$2; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $62=(($61+52)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $64=(($63+209948)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $65=__ZN11JSAtomState16commonAtomsStartEv($64); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $66=(($65+($60<<2))|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $atom=$67; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 11; break; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 10: 
      var $69=$script; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $70=$index_; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $71=__ZN8JSScript7getAtomEj($69, $70); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $atom=$71; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 12: 
      __label__ = 13; break; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 13: 
      var $75=$atom; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $1=$75; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 14; break; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 14: 
      var $77=$1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      ;
      return $77; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19GetAtomFromBytecodeP9JSContextPh4JSOpRK10JSCodeSpec["X"]=1;

function __ZN2js13PropertyCache5purgeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+65536)|0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $6=(($5)|0)!=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 2: 
      __ZN2js13PropertyCache11assertEmptyEv($3); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 4; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 3: 
      var $9=(($3)|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __ZN2jsL12PodArrayZeroINS_18PropertyCacheEntryELj4096EEEvRAT0__T_($9); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $10=(($3+65536)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      HEAP32[(($10)>>2)]=1; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 4; break; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 4: 
      ;
      return; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL12PodArrayZeroINS_18PropertyCacheEntryELj4096EEEvRAT0__T_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 684 "./jsutil.h"
  var $3=(($2)|0); //@line 684 "./jsutil.h"
  var $4=$3; //@line 684 "./jsutil.h"
  _memset($4, 0, 65536, 1); //@line 684 "./jsutil.h"
  ;
  return; //@line 685 "./jsutil.h"
}


function __ZN2js13PropertyCache14purgeForScriptEP9JSContextP8JSScript($this, $cx, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $entry;
      $1=$this;
      $2=$cx;
      $3=$script;
      var $4=$1;
      var $5=(($4)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $6=(($5)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $entry=$6; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 2; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 2: 
      var $8=$entry; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $9=(($4)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $10=(($9)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $11=(($10+65536)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 3: 
      var $14=$entry; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $15=(($14)|0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $17=$16; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $18=$3; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $19=(($18)|0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $21=$20; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $22=(($17-$21)|0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $23=$3; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $24=(($23+8)|0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $25=HEAPU32[(($24)>>2)]; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $26=(($22)>>>0) < (($25)>>>0); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 4: 
      var $28=$entry; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $29=(($28)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      HEAP32[(($29)>>2)]=0; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 5; break; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 5: 
      __label__ = 6; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 6: 
      var $32=$entry; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      var $33=(($32+16)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      $entry=$33; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
      __label__ = 2; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    case 7: 
      ;
      return; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_OBJECT_IMPL3039($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL3040($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZNK2js11KidsPointer6isNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 69 "./jspropertytree.h"
  var $4=HEAP32[(($3)>>2)]; //@line 69 "./jspropertytree.h"
  var $5=(($4)|0)!=0; //@line 69 "./jspropertytree.h"
  var $6=$5 ^ 1; //@line 69 "./jspropertytree.h"
  ;
  return $6; //@line 69 "./jspropertytree.h"
}


function __ZN2js5Shape9setParentEPS0_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 430 "./jsscope.h"
      var $5=(($4)|0)!=0; //@line 430 "./jsscope.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 430 "./jsscope.h"
    case 2: 
      var $7=$2; //@line 431 "./jsscope.h"
      var $8=(($7+4)|0); //@line 431 "./jsscope.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 431 "./jsscope.h"
      var $10=(($3+24)|0); //@line 431 "./jsscope.h"
      var $11=HEAP32[(($10)>>2)]; //@line 431 "./jsscope.h"
      var $12=(($11+1)|0); //@line 431 "./jsscope.h"
      var $13=(($9)>>>0) > (($12)>>>0); //@line 431 "./jsscope.h"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 431 "./jsscope.h"
    case 3: 
      var $15=$2; //@line 431 "./jsscope.h"
      var $16=(($15+4)|0); //@line 431 "./jsscope.h"
      var $17=HEAP32[(($16)>>2)]; //@line 431 "./jsscope.h"
      var $23 = $17;__label__ = 5; break; //@line 431 "./jsscope.h"
    case 4: 
      var $19=(($3+24)|0); //@line 431 "./jsscope.h"
      var $20=HEAP32[(($19)>>2)]; //@line 431 "./jsscope.h"
      var $21=(($20+1)|0); //@line 431 "./jsscope.h"
      var $23 = $21;__label__ = 5; break; //@line 431 "./jsscope.h"
    case 5: 
      var $23; //@line 431 "./jsscope.h"
      var $24=(($3+4)|0); //@line 431 "./jsscope.h"
      HEAP32[(($24)>>2)]=$23; //@line 431 "./jsscope.h"
      __label__ = 6; break; //@line 431 "./jsscope.h"
    case 6: 
      var $26=$2; //@line 433 "./jsscope.h"
      var $27=(($3+32)|0); //@line 433 "./jsscope.h"
      HEAP32[(($27)>>2)]=$26; //@line 433 "./jsscope.h"
      ;
      return; //@line 434 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11KidsPointer8setShapeEPNS_5ShapeE($this, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shape;
  var $3=$1;
  var $4=$2; //@line 80 "./jspropertytree.h"
  var $5=$4; //@line 80 "./jspropertytree.h"
  var $6=(($3)|0); //@line 80 "./jspropertytree.h"
  HEAP32[(($6)>>2)]=$5; //@line 80 "./jspropertytree.h"
  ;
  return; //@line 81 "./jspropertytree.h"
}


function __ZNK2js11KidsPointer7toShapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 75 "./jspropertytree.h"
  var $4=HEAP32[(($3)>>2)]; //@line 75 "./jspropertytree.h"
  var $5=$4 & -2; //@line 75 "./jspropertytree.h"
  var $6=$5; //@line 75 "./jspropertytree.h"
  ;
  return $6; //@line 75 "./jspropertytree.h"
}


function __ZN2js11KidsPointer7setHashEPNS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEE($this, $hash) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hash;
  var $3=$1;
  var $4=$2; //@line 91 "./jspropertytree.h"
  var $5=$4; //@line 91 "./jspropertytree.h"
  var $6=$5 | 1; //@line 91 "./jspropertytree.h"
  var $7=(($3)|0); //@line 91 "./jspropertytree.h"
  HEAP32[(($7)>>2)]=$6; //@line 91 "./jspropertytree.h"
  ;
  return; //@line 92 "./jspropertytree.h"
}


function __ZNK2js11KidsPointer6toHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 86 "./jspropertytree.h"
  var $4=HEAP32[(($3)>>2)]; //@line 86 "./jspropertytree.h"
  var $5=$4 & -2; //@line 86 "./jspropertytree.h"
  var $6=$5; //@line 86 "./jspropertytree.h"
  ;
  return $6; //@line 86 "./jspropertytree.h"
}


function __ZNK2js11KidsPointer6isHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 83 "./jspropertytree.h"
  var $4=HEAP32[(($3)>>2)]; //@line 83 "./jspropertytree.h"
  var $5=$4 & 1; //@line 83 "./jspropertytree.h"
  var $6=(($5)|0)==1; //@line 83 "./jspropertytree.h"
  ;
  return $6; //@line 83 "./jspropertytree.h"
}


function __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __ZN2js13PropertyCache7restoreEPNS_18PropertyCacheEntryE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  var $entry2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3+65536)|0); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  HEAP32[(($4)>>2)]=0; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $5=$2; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $6=(($5)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $8=$2; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $9=(($8+4)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $11=__ZN2js13PropertyCache4hashEPhj($7, $10); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $12=(($3)|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $13=(($12+($11<<4))|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  $entry2=$13; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $14=$entry2; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $15=$2; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $16=$14; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  var $17=$15; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  assert(16 % 1 === 0, 'memcpy given ' + 16 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];HEAP32[(($16+8)>>2)]=HEAP32[(($17+8)>>2)];HEAP32[(($16+12)>>2)]=HEAP32[(($17+12)>>2)]; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
  ;
  return; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertycache.cpp"
}


function __ZN2js12PropertyTree8newShapeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $shape;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $6=__Z13js_NewGCShapeP9JSContext($5); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $shape=$6; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $7=$shape; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $8=(($7)|0)!=0; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 2: 
      var $10=$3; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      _JS_ReportOutOfMemory($10); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=0; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 4; break; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 3: 
      var $12=$shape; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=$12; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 4; break; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 4: 
      var $14=$1; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      ;
      return $14; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z13js_NewGCShapeP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 407 "./jsgcinlines.h"
  var $3=__Z10NewGCThingIN2js5ShapeEEPT_P9JSContextNS0_2gc9AllocKindEj($2, 14, 40); //@line 407 "./jsgcinlines.h"
  ;
  return $3; //@line 407 "./jsgcinlines.h"
}


function __ZN2js12PropertyTree11insertChildEP9JSContextPNS_5ShapeES4_($this, $cx, $parent, $child) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $kidp;
      var $shape;
      var $hash;
      $2=$this;
      $3=$cx;
      $4=$parent;
      HEAP32[(($5)>>2)]=$child;
      var $6=$2;
      var $7=$4; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $8=(($7+36)|0); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $9=$8; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $kidp=$9; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $10=$kidp; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $11=__ZNK2js11KidsPointer6isNullEv($10); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 2: 
      var $13=HEAP32[(($5)>>2)]; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $14=$4; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js5Shape9setParentEPS0_($13, $14); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $15=$kidp; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $16=HEAP32[(($5)>>2)]; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js11KidsPointer8setShapeEPNS_5ShapeE($15, $16); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=1; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 10; break; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 3: 
      var $18=$kidp; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $19=__ZNK2js11KidsPointer7isShapeEv($18); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 4: 
      var $21=$kidp; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $22=__ZNK2js11KidsPointer7toShapeEv($21); //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $shape=$22; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $23=$shape; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $24=HEAP32[(($5)>>2)]; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $25=__ZL12HashChildrenPN2js5ShapeES1_($23, $24); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $hash=$25; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $26=$hash; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $27=(($26)|0)!=0; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 5: 
      var $29=$3; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      _JS_ReportOutOfMemory($29); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=0; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 10; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 6: 
      var $31=$kidp; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $32=$hash; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js11KidsPointer7setHashEPNS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEE($31, $32); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $33=HEAP32[(($5)>>2)]; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $34=$4; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js5Shape9setParentEPS0_($33, $34); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=1; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 10; break; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 7: 
      var $36=$kidp; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $37=__ZNK2js11KidsPointer6toHashEv($36); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $38=__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6putNewERKS2_($37, $5); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 8: 
      var $40=$3; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      _JS_ReportOutOfMemory($40); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=0; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 10; break; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 9: 
      var $42=HEAP32[(($5)>>2)]; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $43=$4; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js5Shape9setParentEPS0_($42, $43); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=1; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 10; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 10: 
      var $45=$1; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12PropertyTree11insertChildEP9JSContextPNS_5ShapeES4_["X"]=1;

function __ZNK2js11KidsPointer7isShapeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 72 "./jspropertytree.h"
      var $4=HEAP32[(($3)>>2)]; //@line 72 "./jspropertytree.h"
      var $5=$4 & 1; //@line 72 "./jspropertytree.h"
      var $6=(($5)|0)==0; //@line 72 "./jspropertytree.h"
      if ($6) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 72 "./jspropertytree.h"
    case 2: 
      var $8=__ZNK2js11KidsPointer6isNullEv($2); //@line 72 "./jspropertytree.h"
      var $9=$8 ^ 1; //@line 72 "./jspropertytree.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 72 "./jspropertytree.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12HashChildrenPN2js5ShapeES1_($kid1, $kid2) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $3=__stackBase__+4;
      var $hash;
      HEAP32[(($2)>>2)]=$kid1;
      HEAP32[(($3)>>2)]=$kid2;
      var $4=__ZN2js11OffTheBooks4new_INS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEEEEPT_v(); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $hash=$4; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $5=$hash; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $6=(($5)|0)!=0; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 2: 
      var $8=$hash; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $9=__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE4initEj($8, 2); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 3: 
      var $11=$hash; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js10Foreground7delete_INS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEEEEvPT_($11); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=0; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 5; break; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 4: 
      var $13=$hash; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $14=__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6putNewERKS2_($13, $2); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $15=$hash; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $16=__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6putNewERKS2_($15, $3); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $17=$hash; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=$17; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 5; break; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 5: 
      var $19=$1; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6putNewERKS2_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $p=__stackBase__;
  var $3=__stackBase__+8;
  $1=$this;
  $2=$t;
  var $4=$1;
  var $5=$2; //@line 1348 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1348 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$6; //@line 1348 "./jshashtable.h"
  __ZNK2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE12lookupForAddERKPKS1_($p, $4, $3); //@line 1348 "./jshashtable.h"
  var $7=$2; //@line 1350 "./jshashtable.h"
  var $8=__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS5_6SetOpsES4_E6AddPtrERS8_($4, $p, $7); //@line 1350 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1350 "./jshashtable.h"
}


function __ZN2js5Shape11removeChildEPS0_($this, $child) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $kidp;
      var $3=__stackBase__;
      $1=$this;
      $2=$child;
      var $4=$1;
      var $5=(($4+36)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $6=$5; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $kidp=$6; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $7=$kidp; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $8=__ZNK2js11KidsPointer7isShapeEv($7); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 2: 
      var $10=(($4+36)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $11=$10; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js11KidsPointer7setNullEv($11); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 4; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 3: 
      var $13=$kidp; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $14=__ZNK2js11KidsPointer6toHashEv($13); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $15=$2; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      HEAP32[(($3)>>2)]=$15; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6removeERKPKS1_($14, $3); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 4; break; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6removeERKPKS1_($this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p=__stackBase__;
      var $3=__stackBase__+4;
      var $4=__stackBase__+12;
      $1=$this;
      $2=$l;
      var $5=$1;
      var $6=$2; //@line 1354 "./jshashtable.h"
      __ZNK2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6lookupERKPKS1_($p, $5, $6); //@line 1354 "./jshashtable.h"
      __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrcvMSB_FvvEEv($3, $p); //@line 1354 "./jshashtable.h"
      var $7={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 1354 "./jshashtable.h"
      var $8=$7.f0; //@line 1354 "./jshashtable.h"
      var $9=(($8)|0)!=0; //@line 1354 "./jshashtable.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1354 "./jshashtable.h"
    case 2: 
      var $11=$4; //@line 1355 "./jshashtable.h"
      var $12=$p; //@line 1355 "./jshashtable.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)]; //@line 1355 "./jshashtable.h"
      __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS5_6SetOpsES4_E3PtrE($5, $4); //@line 1355 "./jshashtable.h"
      __label__ = 3; break; //@line 1355 "./jshashtable.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1356 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12PropertyTree8getChildEP9JSContextPNS_5ShapeERKS3_($this, $cx, $parent, $child) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $shape;
      var $kidp;
      var $6=__stackBase__;
      var $7=__stackBase__+4;
      $2=$this;
      $3=$cx;
      $4=$parent;
      $5=$child;
      var $8=$2;
      var $9=$4; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $10=(($9+36)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $11=$10; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $kidp=$11; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $12=$kidp; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $13=__ZNK2js11KidsPointer7isShapeEv($12); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 2: 
      var $15=$kidp; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $16=__ZNK2js11KidsPointer7toShapeEv($15); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $shape=$16; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $17=$shape; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $18=$5; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $19=__ZNK2js5Shape7matchesEPKS0_($17, $18); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 3: 
      var $21=$shape; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=$21; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 18; break; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 4: 
      __label__ = 11; break; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 5: 
      var $24=$kidp; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $25=__ZNK2js11KidsPointer6isHashEv($24); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 6: 
      var $27=$kidp; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $28=__ZNK2js11KidsPointer6toHashEv($27); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $29=$5; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      HEAP32[(($6)>>2)]=$29; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZNK2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6lookupERKPKS1_($7, $28, $6); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $30=__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrdeEv($7); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $shape=$31; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $32=$shape; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $33=(($32)|0)!=0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 7: 
      var $35=$shape; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=$35; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 18; break; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 8: 
      __label__ = 10; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $40=$3; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $41=__ZN2js12PropertyTree8newShapeEP9JSContext($8, $40); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $shape=$41; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $42=$shape; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $43=(($42)|0)!=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($43) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 12: 
      $1=0; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 18; break; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 13: 
      var $46=$shape; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $47=$46; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $48=(($47)|0)==0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($48) { var $80 = 0;__label__ = 15; break; } else { __label__ = 14; break; } //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 14: 
      var $50=$47; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $51=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $52=(($51+12)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $54=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $55=(($54+16)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $56=$55; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $58=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $59=(($58+20)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $60=$59; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $62=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $63=(($62+24)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $65=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $66=(($65+28)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $67=HEAPU8[($66)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $68=(($67)&255); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $69=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $70=(($69+29)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $71=HEAPU8[($70)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $72=(($71)&255); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $73=$5; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $74=(($73+30)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $75=HEAP16[(($74)>>1)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $76=(($75 << 16) >> 16); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $77=$3; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $78=__Z16js_GenerateShapeP9JSContext($77); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($50, $53, $57, $61, $64, $68, $72, $76, $78, 0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $80 = $50;__label__ = 15; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 15: 
      var $80; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $81=$3; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $82=$4; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $83=$shape; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $84=__ZN2js12PropertyTree11insertChildEP9JSContextPNS_5ShapeES4_($8, $81, $82, $83); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($84) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 16: 
      $1=0; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 18; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 17: 
      var $87=$shape; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      $1=$87; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 18; break; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 18: 
      var $89=$1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      STACKTOP = __stackBase__;
      return $89; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12PropertyTree8getChildEP9JSContextPNS_5ShapeERKS3_["X"]=1;

function __ZNK2js5Shape7matchesEPKS0_($this, $other) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$other;
      var $3=$1;
      var $4=(($3+12)|0); //@line 252 "./jsscopeinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 252 "./jsscopeinlines.h"
      var $6=$2; //@line 252 "./jsscopeinlines.h"
      var $7=(($6+12)|0); //@line 252 "./jsscopeinlines.h"
      var $8=HEAP32[(($7)>>2)]; //@line 252 "./jsscopeinlines.h"
      var $9=(($5)|0)==(($8)|0); //@line 252 "./jsscopeinlines.h"
      if ($9) { __label__ = 2; break; } else { var $36 = 0;__label__ = 3; break; } //@line 252 "./jsscopeinlines.h"
    case 2: 
      var $11=$2; //@line 253 "./jsscopeinlines.h"
      var $12=(($11+16)|0); //@line 253 "./jsscopeinlines.h"
      var $13=$12; //@line 253 "./jsscopeinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 253 "./jsscopeinlines.h"
      var $15=$2; //@line 253 "./jsscopeinlines.h"
      var $16=(($15+20)|0); //@line 253 "./jsscopeinlines.h"
      var $17=$16; //@line 253 "./jsscopeinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "./jsscopeinlines.h"
      var $19=$2; //@line 253 "./jsscopeinlines.h"
      var $20=(($19+24)|0); //@line 253 "./jsscopeinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 253 "./jsscopeinlines.h"
      var $22=$2; //@line 253 "./jsscopeinlines.h"
      var $23=(($22+28)|0); //@line 253 "./jsscopeinlines.h"
      var $24=HEAPU8[($23)]; //@line 253 "./jsscopeinlines.h"
      var $25=(($24)&255); //@line 253 "./jsscopeinlines.h"
      var $26=$2; //@line 253 "./jsscopeinlines.h"
      var $27=(($26+29)|0); //@line 253 "./jsscopeinlines.h"
      var $28=HEAPU8[($27)]; //@line 253 "./jsscopeinlines.h"
      var $29=(($28)&255); //@line 253 "./jsscopeinlines.h"
      var $30=$2; //@line 253 "./jsscopeinlines.h"
      var $31=(($30+30)|0); //@line 253 "./jsscopeinlines.h"
      var $32=HEAP16[(($31)>>1)]; //@line 253 "./jsscopeinlines.h"
      var $33=(($32 << 16) >> 16); //@line 253 "./jsscopeinlines.h"
      var $34=__ZNK2js5Shape20matchesParamsAfterIdEPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjji($3, $14, $18, $21, $25, $29, $33); //@line 253 "./jsscopeinlines.h"
      var $36 = $34;__label__ = 3; break;
    case 3: 
      var $36;
      ;
      return $36; //@line 255 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6lookupERKPKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1228 "./jshashtable.h"
  var $5=$2; //@line 1228 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKS2_($agg_result, $4, $5); //@line 1228 "./jshashtable.h"
  ;
  return; //@line 1228 "./jshashtable.h"
}


function __ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($this, $propid, $getter, $setter, $slot, $attrs, $flags, $shortid, $shapeid, $slotSpan) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $10;
  $1=$this;
  $2=$propid;
  $3=$getter;
  $4=$setter;
  $5=$slot;
  $6=$attrs;
  $7=$flags;
  $8=$shortid;
  $9=$shapeid;
  $10=$slotSpan;
  var $11=$1;
  var $12=$2; //@line 192 "./jsscope.h"
  var $13=$3; //@line 192 "./jsscope.h"
  var $14=$4; //@line 192 "./jsscope.h"
  var $15=$5; //@line 192 "./jsscope.h"
  var $16=$6; //@line 192 "./jsscope.h"
  var $17=$7; //@line 192 "./jsscope.h"
  var $18=$8; //@line 192 "./jsscope.h"
  var $19=$9; //@line 192 "./jsscope.h"
  var $20=$10; //@line 192 "./jsscope.h"
  __ZN2js5ShapeC2EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($11, $12, $13, $14, $15, $16, $17, $18, $19, $20); //@line 192 "./jsscope.h"
  ;
  return; //@line 192 "./jsscope.h"
}


function __ZN2js5Shape8finalizeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK2js5Shape12inDictionaryEv($3); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($4) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 2: 
      var $6=(($3+32)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $8=(($7)|0)!=0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 3: 
      var $10=(($3+32)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $12=$11; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $13=__ZNK2js2gc4Cell8isMarkedEj($12, 0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 4: 
      var $15=(($3+32)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js5Shape11removeChildEPS0_($16, $3); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 5; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 5: 
      var $18=(($3+36)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $19=$18; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $20=__ZNK2js11KidsPointer6isHashEv($19); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 6: 
      var $22=$2; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $23=(($3+36)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $24=$23; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      var $25=__ZNK2js11KidsPointer6toHashEv($24); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN9JSContext7delete_IN2js7HashSetIPNS1_5ShapeENS1_11ShapeHasherENS1_17SystemAllocPolicyEEEEEvPT_($22, $25); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __label__ = 7; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 7: 
      __label__ = 8; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    case 8: 
      var $28=$2; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      __ZN2js5Shape9freeTableEP9JSContext($3, $28); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
      ;
      return; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext7delete_IN2js7HashSetIPNS1_5ShapeENS1_11ShapeHasherENS1_17SystemAllocPolicyEEEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEED1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5Shape9freeTableEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK2js5Shape8hasTableEv($3); //@line 63 "./jsscopeinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 63 "./jsscopeinlines.h"
    case 2: 
      var $6=$2; //@line 64 "./jsscopeinlines.h"
      var $7=__ZNK2js5Shape8getTableEv($3); //@line 64 "./jsscopeinlines.h"
      __ZN9JSContext7delete_IN2js13PropertyTableEEEvPT_($6, $7); //@line 64 "./jsscopeinlines.h"
      __ZNK2js5Shape8setTableEPNS_13PropertyTableE($3, 0); //@line 65 "./jsscopeinlines.h"
      __label__ = 3; break; //@line 66 "./jsscopeinlines.h"
    case 3: 
      ;
      return; //@line 67 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEED2Ev($2); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function _js_free3045($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1188 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED1Ev($3); //@line 1188 "./jshashtable.h"
  ;
  return; //@line 1188 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+20)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+4)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+($6<<3))|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+8)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js17SystemAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKS2_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11prepareHashERKPKS2_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKS2_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC1ERNS0_14HashTableEntryIS4_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js5Shape4hashEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $hash;
      $1=$this;
      var $2=$1;
      $hash=0; //@line 231 "./jsscopeinlines.h"
      var $3=(($2+16)|0); //@line 235 "./jsscopeinlines.h"
      var $4=$3; //@line 235 "./jsscopeinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 235 "./jsscopeinlines.h"
      var $6=(($5)|0)!=0; //@line 235 "./jsscopeinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 235 "./jsscopeinlines.h"
    case 2: 
      var $8=$hash; //@line 236 "./jsscopeinlines.h"
      var $9=$8 << 4; //@line 236 "./jsscopeinlines.h"
      var $10=$hash; //@line 236 "./jsscopeinlines.h"
      var $11=$10 >>> 28; //@line 236 "./jsscopeinlines.h"
      var $12=$9 | $11; //@line 236 "./jsscopeinlines.h"
      var $13=(($2+16)|0); //@line 236 "./jsscopeinlines.h"
      var $14=$13; //@line 236 "./jsscopeinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 236 "./jsscopeinlines.h"
      var $16=$15; //@line 236 "./jsscopeinlines.h"
      var $17=$12 ^ $16; //@line 236 "./jsscopeinlines.h"
      $hash=$17; //@line 236 "./jsscopeinlines.h"
      __label__ = 3; break; //@line 236 "./jsscopeinlines.h"
    case 3: 
      var $19=(($2+20)|0); //@line 237 "./jsscopeinlines.h"
      var $20=$19; //@line 237 "./jsscopeinlines.h"
      var $21=HEAP32[(($20)>>2)]; //@line 237 "./jsscopeinlines.h"
      var $22=(($21)|0)!=0; //@line 237 "./jsscopeinlines.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 237 "./jsscopeinlines.h"
    case 4: 
      var $24=$hash; //@line 238 "./jsscopeinlines.h"
      var $25=$24 << 4; //@line 238 "./jsscopeinlines.h"
      var $26=$hash; //@line 238 "./jsscopeinlines.h"
      var $27=$26 >>> 28; //@line 238 "./jsscopeinlines.h"
      var $28=$25 | $27; //@line 238 "./jsscopeinlines.h"
      var $29=(($2+20)|0); //@line 238 "./jsscopeinlines.h"
      var $30=$29; //@line 238 "./jsscopeinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 238 "./jsscopeinlines.h"
      var $32=$31; //@line 238 "./jsscopeinlines.h"
      var $33=$28 ^ $32; //@line 238 "./jsscopeinlines.h"
      $hash=$33; //@line 238 "./jsscopeinlines.h"
      __label__ = 5; break; //@line 238 "./jsscopeinlines.h"
    case 5: 
      var $35=$hash; //@line 239 "./jsscopeinlines.h"
      var $36=$35 << 4; //@line 239 "./jsscopeinlines.h"
      var $37=$hash; //@line 239 "./jsscopeinlines.h"
      var $38=$37 >>> 28; //@line 239 "./jsscopeinlines.h"
      var $39=$36 | $38; //@line 239 "./jsscopeinlines.h"
      var $40=(($2+29)|0); //@line 239 "./jsscopeinlines.h"
      var $41=HEAPU8[($40)]; //@line 239 "./jsscopeinlines.h"
      var $42=(($41)&255); //@line 239 "./jsscopeinlines.h"
      var $43=$42 & 192; //@line 239 "./jsscopeinlines.h"
      var $44=$39 ^ $43; //@line 239 "./jsscopeinlines.h"
      $hash=$44; //@line 239 "./jsscopeinlines.h"
      var $45=$hash; //@line 240 "./jsscopeinlines.h"
      var $46=$45 << 4; //@line 240 "./jsscopeinlines.h"
      var $47=$hash; //@line 240 "./jsscopeinlines.h"
      var $48=$47 >>> 28; //@line 240 "./jsscopeinlines.h"
      var $49=$46 | $48; //@line 240 "./jsscopeinlines.h"
      var $50=(($2+28)|0); //@line 240 "./jsscopeinlines.h"
      var $51=HEAPU8[($50)]; //@line 240 "./jsscopeinlines.h"
      var $52=(($51)&255); //@line 240 "./jsscopeinlines.h"
      var $53=$49 ^ $52; //@line 240 "./jsscopeinlines.h"
      $hash=$53; //@line 240 "./jsscopeinlines.h"
      var $54=$hash; //@line 241 "./jsscopeinlines.h"
      var $55=$54 << 4; //@line 241 "./jsscopeinlines.h"
      var $56=$hash; //@line 241 "./jsscopeinlines.h"
      var $57=$56 >>> 28; //@line 241 "./jsscopeinlines.h"
      var $58=$55 | $57; //@line 241 "./jsscopeinlines.h"
      var $59=(($2+30)|0); //@line 241 "./jsscopeinlines.h"
      var $60=HEAP16[(($59)>>1)]; //@line 241 "./jsscopeinlines.h"
      var $61=(($60 << 16) >> 16); //@line 241 "./jsscopeinlines.h"
      var $62=$58 ^ $61; //@line 241 "./jsscopeinlines.h"
      $hash=$62; //@line 241 "./jsscopeinlines.h"
      var $63=$hash; //@line 242 "./jsscopeinlines.h"
      var $64=$63 << 4; //@line 242 "./jsscopeinlines.h"
      var $65=$hash; //@line 242 "./jsscopeinlines.h"
      var $66=$65 >>> 28; //@line 242 "./jsscopeinlines.h"
      var $67=$64 | $66; //@line 242 "./jsscopeinlines.h"
      var $68=(($2+24)|0); //@line 242 "./jsscopeinlines.h"
      var $69=HEAP32[(($68)>>2)]; //@line 242 "./jsscopeinlines.h"
      var $70=$67 ^ $69; //@line 242 "./jsscopeinlines.h"
      $hash=$70; //@line 242 "./jsscopeinlines.h"
      var $71=$hash; //@line 243 "./jsscopeinlines.h"
      var $72=$71 << 4; //@line 243 "./jsscopeinlines.h"
      var $73=$hash; //@line 243 "./jsscopeinlines.h"
      var $74=$73 >>> 28; //@line 243 "./jsscopeinlines.h"
      var $75=$72 | $74; //@line 243 "./jsscopeinlines.h"
      var $76=(($2+12)|0); //@line 243 "./jsscopeinlines.h"
      var $77=HEAP32[(($76)>>2)]; //@line 243 "./jsscopeinlines.h"
      var $78=$75 ^ $77; //@line 243 "./jsscopeinlines.h"
      $hash=$78; //@line 243 "./jsscopeinlines.h"
      var $79=$hash; //@line 244 "./jsscopeinlines.h"
      ;
      return $79; //@line 244 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js5Shape4hashEv["X"]=1;

function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11prepareHashERKPKS2_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=HEAP32[(($2)>>2)]; //@line 327 "./jshashtable.h"
      var $4=__ZN2js11ShapeHasher4hashEPKNS_5ShapeE($3); //@line 327 "./jshashtable.h"
      $keyHash=$4; //@line 327 "./jshashtable.h"
      var $5=$keyHash; //@line 330 "./jshashtable.h"
      var $6=(($5*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$6; //@line 330 "./jshashtable.h"
      var $7=$keyHash; //@line 333 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10isLiveHashEj($7); //@line 333 "./jshashtable.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $10=$keyHash; //@line 334 "./jshashtable.h"
      var $11=(($10-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$11; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $13=$keyHash; //@line 335 "./jshashtable.h"
      var $14=$13 & -2; //@line 335 "./jshashtable.h"
      ;
      return $14; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC1ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKS2_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5matchERNS0_14HashTableEntryIS4_EERKPKS2_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5matchERNS0_14HashTableEntryIS4_EERKPKS2_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKS2_jj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5matchERNS0_14HashTableEntryIS4_EERKPKS2_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_($4); //@line 440 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 440 "./jshashtable.h"
  var $7=$2; //@line 440 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 440 "./jshashtable.h"
  var $9=__ZN2js11ShapeHasher5matchEPNS_5ShapeEPKS1_($6, $8); //@line 440 "./jshashtable.h"
  ;
  return $9; //@line 440 "./jshashtable.h"
}


function __ZN2js11ShapeHasher5matchEPNS_5ShapeEPKS1_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$2; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
  var $4=$1; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
  var $5=__ZNK2js5Shape7matchesEPKS0_($3, $4); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
  ;
  return $5; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
}


function __ZN2js11ShapeHasher4hashEPKNS_5ShapeE($l) {
  ;
  var __label__;

  var $1;
  $1=$l;
  var $2=$1; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
  var $3=__ZNK2js5Shape4hashEv($2); //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
  ;
  return $3; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jspropertytree.cpp"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrcvMSB_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 226, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS5_6SetOpsES4_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1231 "./jshashtable.h"
  var $5=$2; //@line 1231 "./jshashtable.h"
  var $6=$p; //@line 1231 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1231 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeENSA_3PtrE($4, $2); //@line 1231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeENSA_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeERNS0_14HashTableEntryIS4_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeERNS0_14HashTableEntryIS4_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11createTableERS7_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_5ShapeEEEEENS_7MoveRefIT_EERS8_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_5ShapeEEaSENS_7MoveRefIS5_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11createTableERS7_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=((($5<<3))|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+($15<<3))|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_5ShapeEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+8)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveIPNS_5ShapeEEENS_7MoveRefIT_EERS4_($2, $9); //@line 83 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefIPNS_5ShapeEEcvRS2_Ev($2); //@line 83 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 83 "./jshashtable.h"
  var $12=(($3+4)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$11; //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_5ShapeEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js2gcL16AssertValidColorEPKvj3047($thing, $color) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$thing;
  $2=$color;
  ;
  return; //@line 782 "./jsgc.h"
}


function __ZN2js14JSProxyHandlerD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIPNS_5ShapeEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_5ShapeEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE10setRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($3)>>2)]=1; //@line 90 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 90 "./jshashtable.h"
  ;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE7setFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 88 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  ;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js5Shape8setTableEPNS_13PropertyTableE($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 384 "./jsscope.h"
  var $5=(($3+8)|0); //@line 384 "./jsscope.h"
  var $6=$5; //@line 384 "./jsscope.h"
  HEAP32[(($6)>>2)]=$4; //@line 384 "./jsscope.h"
  ;
  return; //@line 385 "./jsscope.h"
}


function __ZNK2js5Shape20matchesParamsAfterIdEPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjji($this, $agetter, $asetter, $aslot, $aattrs, $aflags, $ashortid) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      $1=$this;
      $2=$agetter;
      $3=$asetter;
      $4=$aslot;
      $5=$aattrs;
      $6=$aflags;
      $7=$ashortid;
      var $8=$1;
      var $9=(($8+16)|0); //@line 262 "./jsscopeinlines.h"
      var $10=$9; //@line 262 "./jsscopeinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 262 "./jsscopeinlines.h"
      var $12=$2; //@line 262 "./jsscopeinlines.h"
      var $13=(($11)|0)==(($12)|0); //@line 262 "./jsscopeinlines.h"
      if ($13) { __label__ = 2; break; } else { var $46 = 0;__label__ = 7; break; } //@line 262 "./jsscopeinlines.h"
    case 2: 
      var $15=(($8+20)|0); //@line 262 "./jsscopeinlines.h"
      var $16=$15; //@line 262 "./jsscopeinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 262 "./jsscopeinlines.h"
      var $18=$3; //@line 262 "./jsscopeinlines.h"
      var $19=(($17)|0)==(($18)|0); //@line 262 "./jsscopeinlines.h"
      if ($19) { __label__ = 3; break; } else { var $46 = 0;__label__ = 7; break; } //@line 262 "./jsscopeinlines.h"
    case 3: 
      var $21=(($8+24)|0); //@line 262 "./jsscopeinlines.h"
      var $22=HEAP32[(($21)>>2)]; //@line 262 "./jsscopeinlines.h"
      var $23=$4; //@line 262 "./jsscopeinlines.h"
      var $24=(($22)|0)==(($23)|0); //@line 262 "./jsscopeinlines.h"
      if ($24) { __label__ = 4; break; } else { var $46 = 0;__label__ = 7; break; } //@line 262 "./jsscopeinlines.h"
    case 4: 
      var $26=(($8+28)|0); //@line 262 "./jsscopeinlines.h"
      var $27=HEAPU8[($26)]; //@line 262 "./jsscopeinlines.h"
      var $28=(($27)&255); //@line 262 "./jsscopeinlines.h"
      var $29=$5; //@line 262 "./jsscopeinlines.h"
      var $30=(($28)|0)==(($29)|0); //@line 262 "./jsscopeinlines.h"
      if ($30) { __label__ = 5; break; } else { var $46 = 0;__label__ = 7; break; } //@line 262 "./jsscopeinlines.h"
    case 5: 
      var $32=(($8+29)|0); //@line 262 "./jsscopeinlines.h"
      var $33=HEAPU8[($32)]; //@line 262 "./jsscopeinlines.h"
      var $34=(($33)&255); //@line 262 "./jsscopeinlines.h"
      var $35=$6; //@line 262 "./jsscopeinlines.h"
      var $36=$34 ^ $35; //@line 262 "./jsscopeinlines.h"
      var $37=$36 & 192; //@line 262 "./jsscopeinlines.h"
      var $38=(($37)|0)==0; //@line 262 "./jsscopeinlines.h"
      if ($38) { __label__ = 6; break; } else { var $46 = 0;__label__ = 7; break; } //@line 262 "./jsscopeinlines.h"
    case 6: 
      var $40=(($8+30)|0); //@line 262 "./jsscopeinlines.h"
      var $41=HEAP16[(($40)>>1)]; //@line 262 "./jsscopeinlines.h"
      var $42=(($41 << 16) >> 16); //@line 262 "./jsscopeinlines.h"
      var $43=$7; //@line 262 "./jsscopeinlines.h"
      var $44=(($42)|0)==(($43)|0); //@line 262 "./jsscopeinlines.h"
      var $46 = $44;__label__ = 7; break;
    case 7: 
      var $46;
      ;
      return $46; //@line 268 "./jsscope.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js5Shape20matchesParamsAfterIdEPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjji["X"]=1;

function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC2ES7_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 366 "./jshashtable.h"
  var $5=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; //@line 366 "./jshashtable.h"
  var $6=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js14JSProxyHandlerC2EPv($this, $family) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$family;
  var $3=$1;
  var $4=$3; //@line 86 "./jsproxy.h"
  HEAP32[(($4)>>2)]=((__ZTVN2js14JSProxyHandlerE+8)|0); //@line 86 "./jsproxy.h"
  var $5=(($3+4)|0); //@line 86 "./jsproxy.h"
  var $6=$2; //@line 86 "./jsproxy.h"
  HEAP32[(($5)>>2)]=$6; //@line 86 "./jsproxy.h"
  ;
  return; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js4MoveIPNS_5ShapeEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIPNS_5ShapeEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_5ShapeEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPNS_5ShapeEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_5ShapeEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryIKPNS_5ShapeEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function _js_malloc3046($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE12lookupForAddERKPKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12lookupForAddERKPKS2_($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS5_6SetOpsES4_E6AddPtrERS8_($this, $p, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$t;
  var $4=$1;
  var $5=(($4)|0); //@line 1273 "./jshashtable.h"
  var $6=$2; //@line 1273 "./jshashtable.h"
  var $7=$3; //@line 1273 "./jshashtable.h"
  var $8=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrERS4_($5, $6, $7); //@line 1273 "./jshashtable.h"
  ;
  return $8; //@line 1273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrERS4_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$4; //@line 742 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 742 "./jshashtable.h"
      var $12=$3; //@line 742 "./jshashtable.h"
      var $13=$12; //@line 742 "./jshashtable.h"
      var $14=(($13)|0); //@line 742 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 742 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 742 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$11; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $18=$1; //@line 744 "./jshashtable.h"
      ;
      return $18; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_5ShapeEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12lookupForAddERKPKS2_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11prepareHashERKPKS2_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKS2_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN9JSContext7delete_IN2js13PropertyTableEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js13PropertyTableD1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13PropertyTableD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13PropertyTableD2Ev($2); //@line 244 "./jsscope.h"
  ;
  return; //@line 246 "./jsscope.h"
}


function __ZN2js13PropertyTableD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 245 "./jsscope.h"
  var $4=HEAP32[(($3)>>2)]; //@line 245 "./jsscope.h"
  var $5=$4; //@line 245 "./jsscope.h"
  __ZN2js10Foreground5free_EPv($5); //@line 245 "./jsscope.h"
  ;
  return; //@line 246 "./jsscope.h"
}


function __ZN2js5ShapeC2EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($this, $propid, $getter, $setter, $slot, $attrs, $flags, $shortid, $shapeid, $slotSpan) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  var $9;
  var $10;
  $1=$this;
  $2=$propid;
  $3=$getter;
  $4=$setter;
  $5=$slot;
  $6=$attrs;
  $7=$flags;
  $8=$shortid;
  $9=$shapeid;
  $10=$slotSpan;
  var $11=$1;
  var $12=$11; //@line 187 "./jsscope.h"
  var $13=(($11)|0); //@line 187 "./jsscope.h"
  var $14=$9; //@line 187 "./jsscope.h"
  HEAP32[(($13)>>2)]=$14; //@line 187 "./jsscope.h"
  var $15=(($11+4)|0); //@line 187 "./jsscope.h"
  var $16=$10; //@line 187 "./jsscope.h"
  HEAP32[(($15)>>2)]=$16; //@line 187 "./jsscope.h"
  var $17=(($11+8)|0); //@line 187 "./jsscope.h"
  var $18=$17; //@line 187 "./jsscope.h"
  HEAP32[(($18)>>2)]=0; //@line 187 "./jsscope.h"
  var $19=(($11+12)|0); //@line 187 "./jsscope.h"
  var $20=$2; //@line 187 "./jsscope.h"
  HEAP32[(($19)>>2)]=$20; //@line 187 "./jsscope.h"
  var $21=(($11+16)|0); //@line 187 "./jsscope.h"
  var $22=$21; //@line 187 "./jsscope.h"
  var $23=$3; //@line 187 "./jsscope.h"
  HEAP32[(($22)>>2)]=$23; //@line 187 "./jsscope.h"
  var $24=(($11+20)|0); //@line 187 "./jsscope.h"
  var $25=$24; //@line 187 "./jsscope.h"
  var $26=$4; //@line 187 "./jsscope.h"
  HEAP32[(($25)>>2)]=$26; //@line 187 "./jsscope.h"
  var $27=(($11+24)|0); //@line 187 "./jsscope.h"
  var $28=$5; //@line 187 "./jsscope.h"
  HEAP32[(($27)>>2)]=$28; //@line 187 "./jsscope.h"
  var $29=(($11+28)|0); //@line 187 "./jsscope.h"
  var $30=$6; //@line 187 "./jsscope.h"
  var $31=(($30) & 255); //@line 187 "./jsscope.h"
  HEAP8[($29)]=$31; //@line 187 "./jsscope.h"
  var $32=(($11+29)|0); //@line 187 "./jsscope.h"
  var $33=$7; //@line 187 "./jsscope.h"
  var $34=(($33) & 255); //@line 187 "./jsscope.h"
  HEAP8[($32)]=$34; //@line 187 "./jsscope.h"
  var $35=(($11+30)|0); //@line 187 "./jsscope.h"
  var $36=$8; //@line 187 "./jsscope.h"
  var $37=(($36) & 65535); //@line 187 "./jsscope.h"
  HEAP16[(($35)>>1)]=$37; //@line 187 "./jsscope.h"
  var $38=(($11+32)|0); //@line 187 "./jsscope.h"
  HEAP32[(($38)>>2)]=0; //@line 187 "./jsscope.h"
  var $39=(($11+36)|0); //@line 191 "./jsscopeinlines.h"
  var $40=$39; //@line 191 "./jsscopeinlines.h"
  __ZN2js11KidsPointer7setNullEv($40); //@line 191 "./jsscopeinlines.h"
  ;
  return; //@line 192 "./jsscopeinlines.h"
}
__ZN2js5ShapeC2EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj["X"]=1;

function __ZN2js11OffTheBooks4new_INS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEEEEPT_v() {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $memory;
      var $1=__stackBase__;
      var $2=_js_malloc3046(24); //@line 509 "./jsutil.h"
      $memory=$2; //@line 509 "./jsutil.h"
      var $3=$memory; //@line 509 "./jsutil.h"
      var $4=(($3)|0)!=0; //@line 509 "./jsutil.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "./jsutil.h"
    case 2: 
      var $6=$memory; //@line 509 "./jsutil.h"
      var $7=(($6)|0)==0; //@line 509 "./jsutil.h"
      if ($7) { var $11 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "./jsutil.h"
    case 3: 
      var $9=$6; //@line 509 "./jsutil.h"
      __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEC1ES4_($9, $1); //@line 509 "./jsutil.h"
      var $11 = $9;__label__ = 4; break; //@line 509 "./jsutil.h"
    case 4: 
      var $11; //@line 509 "./jsutil.h"
      var $14 = $11;__label__ = 6; break; //@line 509 "./jsutil.h"
    case 5: 
      var $14 = 0;__label__ = 6; break; //@line 509 "./jsutil.h"
    case 6: 
      var $14; //@line 509 "./jsutil.h"
      STACKTOP = __stackBase__;
      return $14; //@line 509 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 1213 "./jshashtable.h"
  var $5=$2; //@line 1213 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4initEj($4, $5); //@line 1213 "./jshashtable.h"
  ;
  return $6; //@line 1213 "./jshashtable.h"
}


function __ZN2js10Foreground7delete_INS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEED1Ev($5); //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free3045($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11createTableERS7_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4initEj["X"]=1;

function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEC1ES4_($this, $a) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEC2ES4_($2, $a); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEC2ES4_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($a)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1212 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC1ES7_($4, $2); //@line 1212 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1212 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC1ES7_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC2ES7_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __Z10NewGCThingIN2js5ShapeEEPT_P9JSContextNS0_2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14JSProxyHandlerD0Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  FUNCTION_TABLE[__ZN2js14JSProxyHandlerD1Ev]($2); //@line 90 "./jsproxy.h"
  var $3=$2; //@line 90 "./jsproxy.h"
  __ZdlPv($3); //@line 90 "./jsproxy.h"
  ;
  return; //@line 91 "./jsproxy.h"
}


function __ZN2js14JSProxyHandler3hasEP9JSContextP8JSObjectiPb($this, $cx, $proxy, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $desc=__stackBase__;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$id;
      $6=$bp;
      var $8=$2;
      var $9=$3; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $9); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$8; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11+8)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$3; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$4; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$5; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($desc)|0)==0; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $19=$desc; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19+16)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24 = $21;__label__ = 4; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $24 = 0;__label__ = 4; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $24; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=FUNCTION_TABLE[$13]($8, $14, $15, $16, 0, $24); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $1=0; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 7; break; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $28=$desc; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=(($28+16)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$29; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=(($30)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32)|0)!=0; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$33 ^ 1; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=$34 ^ 1; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$6; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=(($35)&1); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP8[($36)]=$37; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 7; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$1; //@line 102 "./jsproxy.h"
      STACKTOP = __stackBase__;
      return $39; //@line 102 "./jsproxy.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14JSProxyHandler3hasEP9JSContextP8JSObjectiPb["X"]=1;

function _INT_TO_JSID3072($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZN2js14JSProxyHandler6hasOwnEP9JSContextP8JSObjectiPb($this, $cx, $proxy, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $desc=__stackBase__;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$id;
      $6=$bp;
      var $8=$2;
      var $9=$3; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $9); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$8; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11+12)|0); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$3; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$4; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$5; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($desc)|0)==0; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $19=$desc; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19+16)|0); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24 = $21;__label__ = 4; break; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $24 = 0;__label__ = 4; break; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $24; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=FUNCTION_TABLE[$13]($8, $14, $15, $16, 0, $24); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $1=0; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 7; break; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $28=$desc; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=(($28+16)|0); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$29; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=(($30)|0); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32)|0)!=0; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$33 ^ 1; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=$34 ^ 1; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$6; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=(($35)&1); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP8[($36)]=$37; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 7; break; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$1; //@line 113 "./jsproxy.h"
      STACKTOP = __stackBase__;
      return $39; //@line 113 "./jsproxy.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14JSProxyHandler6hasOwnEP9JSContextP8JSObjectiPb["X"]=1;

function __ZN2js14JSProxyHandler3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE($this, $cx, $proxy, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $desc=__stackBase__;
      var $8;
      var $9=__stackBase__+48;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$receiver;
      $6=$id;
      $7=$vp;
      var $10=$2;
      var $11=$3; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $11); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$10; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=(($13+8)|0); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$4; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$6; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($desc)|0)==0; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $21=$desc; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+16)|0); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$22; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26 = $23;__label__ = 4; break; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $26 = 0;__label__ = 4; break; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $26; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=FUNCTION_TABLE[$15]($10, $16, $17, $18, 0, $26); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $1=0; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $8=1;
      __label__ = 20; break; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $30=$desc; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=(($30+16)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$31; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=(($34)|0)!=0; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $37=$7; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JS5Value12setUndefinedEv($37); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $8=1;
      __label__ = 20; break; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $39=$desc; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=(($39+16)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$40; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=(($41+8)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=(($43)|0)!=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $46=$desc; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=(($46+16)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=$47; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=(($48+4)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=$50 & 16; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=(($51)|0)!=0; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      var $54=$desc; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=(($54+16)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $56=$55; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=(($56+8)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=(($58)|0)==8; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($59) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $61=$7; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $62=$desc; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $63=(($62+16)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $64=$63; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $65=(($64+16)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $66=$61; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $67=$65; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($66)>>2)]=HEAP32[(($67)>>2)];HEAP32[(($66+4)>>2)]=HEAP32[(($67+4)>>2)]; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $8=1;
      __label__ = 20; break; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      var $69=$desc; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $70=(($69+16)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $71=$70; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $72=(($71+4)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $74=$73 & 16; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $75=(($74)|0)!=0; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($75) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      var $77=$3; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $78=$5; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $79=$desc; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $80=(($79+16)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $81=$80; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $82=(($81+8)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiPN2JS5ValueEE($9, $83); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $84=$7; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $85=__ZN2js20InvokeGetterOrSetterEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_($77, $78, $9, 0, 0, $84); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$85; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $8=1;
      __label__ = 20; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      var $87=$desc; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $88=(($87+16)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $89=$88; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $90=(($89+4)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $92=$91 & 64; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $93=(($92)|0)!=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($93) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 15: 
      var $95=$7; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $96=$desc; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $97=(($96+16)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $98=$97; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $99=(($98+16)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $100=$95; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $101=$99; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($100)>>2)]=HEAP32[(($101)>>2)];HEAP32[(($100+4)>>2)]=HEAP32[(($101+4)>>2)]; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 17; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 16: 
      var $103=$7; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JS5Value12setUndefinedEv($103); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 17; break;
    case 17: 
      var $105=$desc; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $106=(($105+16)|0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $107=$106; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $108=(($107+4)|0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $110=$109 & 256; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $111=(($110)|0)!=0; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($111) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 18: 
      var $113=$desc; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $114=(($113+16)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $115=$114; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $116=(($115+24)|0); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $118=_INT_TO_JSID3072($117); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=$118; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 19; break; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 19: 
      var $120=$3; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $121=$desc; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $122=(($121+16)|0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $123=$122; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $124=(($123+8)|0); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $126=$5; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $127=$6; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $128=$7; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $129=__ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_($120, $125, $126, $127, $128); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$129; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $8=1;
      __label__ = 20; break; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 20: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $131=$1; //@line 140 "./jsproxy.h"
      STACKTOP = __stackBase__;
      return $131; //@line 140 "./jsproxy.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14JSProxyHandler3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN2js14JSProxyHandler3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE($this, $cx, $proxy, $receiver, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $desc=__stackBase__;
      var $9;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$receiver;
      $6=$id;
      var $10=(($strict)&1);
      $7=$10;
      $8=$vp;
      var $11=$2;
      var $12=$3; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $12); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$11; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=(($14+12)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$4; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$6; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($desc)|0)==0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $22=$desc; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+16)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$23; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27 = $24;__label__ = 4; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $27 = 0;__label__ = 4; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $27; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=FUNCTION_TABLE[$16]($11, $17, $18, $19, 1, $27); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $1=0; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $31=$desc; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=(($31+16)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$32; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=(($33)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=(($35)|0)!=0; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 28; break; } //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $38=$desc; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=(($38+16)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$39; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=(($40+4)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=$42 & 2; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=(($43)|0)!=0; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($44) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      $1=1; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $47=$desc; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=(($47+16)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=$48; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $50=(($49+12)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=(($51)|0)!=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      var $54=$desc; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=(($54+16)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $56=$55; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=(($56+12)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($57)>>2)]=10; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 22; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $59=$desc; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $60=(($59+16)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=$60; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $62=(($61+4)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $64=$63 & 32; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $65=(($64)|0)!=0; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($65) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      var $67=$desc; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $68=(($67+16)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $69=$68; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $70=(($69+12)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $72=(($71)|0)!=10; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($72) { __label__ = 13; break; } else { __label__ = 21; break; } //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      var $74=$3; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $75=$5; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $76=$6; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $77=$desc; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $78=(($77+16)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $79=$78; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $80=(($79+12)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $82=$desc; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $83=(($82+16)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $84=$83; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $85=(($84+4)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $87=$desc; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $88=(($87+16)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $89=$88; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $90=(($89+24)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $92=$7; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $93=(($92) & 1); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $94=(($93)&1); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $95=$8; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $96=__ZN2js10CallSetterEP9JSContextP8JSObjectiPFiS1_S3_iiPN2JS5ValueEEjjiS6_($74, $75, $76, $81, $86, $91, $94, $95); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($96) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      $1=0; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 15: 
      var $99=$4; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $100=__ZNK8JSObject7isProxyEv($99); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($100) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 16: 
      var $102=$4; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $103=__ZNK8JSObject15getProxyHandlerEv($102); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $104=(($103)|0)!=(($11)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($104) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 17: 
      $1=1; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 18: 
      var $107=$desc; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $108=(($107+16)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $109=$108; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $110=(($109+4)|0); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $112=$111 & 64; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $113=(($112)|0)!=0; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($113) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 19: 
      $1=1; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 20: 
      __label__ = 21; break; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $118=$desc; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $119=(($118+16)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $120=$119; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $121=(($120+8)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $123=(($122)|0)!=0; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($123) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 23: 
      var $125=$desc; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $126=(($125+16)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $127=$126; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $128=(($127+8)|0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($128)>>2)]=8; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 24; break; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 24: 
      var $130=$desc; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $131=(($130+16)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $132=$131; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $133=(($132+16)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $134=$8; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $135=$133; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $136=$134; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($135)>>2)]=HEAP32[(($136)>>2)];HEAP32[(($135+4)>>2)]=HEAP32[(($136+4)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $137=$11; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $139=(($138+16)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $141=$3; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $142=$5; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $143=$6; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $144=(($desc)|0)==0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($144) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 25: 
      var $146=$desc; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $147=(($146+16)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $148=$147; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $151 = $148;__label__ = 27; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 26: 
      var $151 = 0;__label__ = 27; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 27: 
      var $151; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $152=FUNCTION_TABLE[$140]($11, $141, $142, $143, $151); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$152; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 28: 
      var $154=$11; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $156=(($155+8)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $157=HEAP32[(($156)>>2)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $158=$3; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $159=$4; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $160=$6; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $161=(($desc)|0)==0; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($161) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 29: 
      var $163=$desc; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $164=(($163+16)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $165=$164; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $168 = $165;__label__ = 31; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 30: 
      var $168 = 0;__label__ = 31; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 31: 
      var $168; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $169=FUNCTION_TABLE[$157]($11, $158, $159, $160, 1, $168); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($169) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 32: 
      $1=0; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 33: 
      var $172=$desc; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $173=(($172+16)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $174=$173; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $175=(($174)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $176=HEAP32[(($175)>>2)]; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $177=(($176)|0)!=0; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($177) { __label__ = 34; break; } else { __label__ = 55; break; } //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 34: 
      var $179=$desc; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $180=(($179+16)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $181=$180; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $182=(($181+4)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $184=$183 & 2; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $185=(($184)|0)!=0; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($185) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 35: 
      $1=1; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 36: 
      var $188=$desc; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $189=(($188+16)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $190=$189; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $191=(($190+12)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $192=HEAP32[(($191)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $193=(($192)|0)!=0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($193) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 37: 
      var $195=$desc; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $196=(($195+16)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $197=$196; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $198=(($197+12)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($198)>>2)]=10; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 49; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 38: 
      var $200=$desc; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $201=(($200+16)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $202=$201; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $203=(($202+4)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $204=HEAP32[(($203)>>2)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $205=$204 & 32; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $206=(($205)|0)!=0; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($206) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 39: 
      var $208=$desc; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $209=(($208+16)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $210=$209; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $211=(($210+12)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $212=HEAP32[(($211)>>2)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $213=(($212)|0)!=10; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($213) { __label__ = 40; break; } else { __label__ = 48; break; } //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 40: 
      var $215=$3; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $216=$5; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $217=$6; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $218=$desc; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $219=(($218+16)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $220=$219; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $221=(($220+12)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $223=$desc; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $224=(($223+16)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $225=$224; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $226=(($225+4)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $228=$desc; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $229=(($228+16)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $230=$229; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $231=(($230+24)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $233=$7; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $234=(($233) & 1); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $235=(($234)&1); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $236=$8; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $237=__ZN2js10CallSetterEP9JSContextP8JSObjectiPFiS1_S3_iiPN2JS5ValueEEjjiS6_($215, $216, $217, $222, $227, $232, $235, $236); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($237) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 41: 
      $1=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 42: 
      var $240=$4; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $241=__ZNK8JSObject7isProxyEv($240); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($241) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 43: 
      var $243=$4; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $244=__ZNK8JSObject15getProxyHandlerEv($243); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $245=(($244)|0)!=(($11)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($245) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 44: 
      $1=1; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 45: 
      var $248=$desc; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $249=(($248+16)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $250=$249; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $251=(($250+4)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $252=HEAP32[(($251)>>2)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $253=$252 & 64; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $254=(($253)|0)!=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($254) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 46: 
      $1=1; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 47: 
      __label__ = 48; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 48: 
      __label__ = 49; break;
    case 49: 
      var $259=$desc; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $260=(($259+16)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $261=$260; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $262=(($261+8)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $263=HEAP32[(($262)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $264=(($263)|0)!=0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($264) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 50: 
      var $266=$desc; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $267=(($266+16)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $268=$267; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $269=(($268+8)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($269)>>2)]=8; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 51; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 51: 
      var $271=$11; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $272=HEAP32[(($271)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $273=(($272+16)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $275=$3; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $276=$5; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $277=$6; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $278=(($desc)|0)==0; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($278) { __label__ = 53; break; } else { __label__ = 52; break; } //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 52: 
      var $280=$desc; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $281=(($280+16)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $282=$281; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $285 = $282;__label__ = 54; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 53: 
      var $285 = 0;__label__ = 54; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 54: 
      var $285; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $286=FUNCTION_TABLE[$274]($11, $275, $276, $277, $285); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$286; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 55: 
      var $288=$5; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $289=$desc; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $290=(($289+16)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $291=$290; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $292=(($291)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($292)>>2)]=$288; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $293=$desc; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $294=(($293+16)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $295=$294; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $296=(($295+16)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $297=$8; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $298=$296; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $299=$297; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($298)>>2)]=HEAP32[(($299)>>2)];HEAP32[(($298+4)>>2)]=HEAP32[(($299+4)>>2)]; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $300=$desc; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $301=(($300+16)|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $302=$301; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $303=(($302+4)|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($303)>>2)]=1; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $304=$desc; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $305=(($304+16)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $306=$305; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $307=(($306+24)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($307)>>2)]=0; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $308=$desc; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $309=(($308+16)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $310=$309; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $311=(($310+8)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($311)>>2)]=0; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $312=$desc; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $313=(($312+16)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $314=$313; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $315=(($314+12)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($315)>>2)]=0; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $316=$11; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $317=HEAP32[(($316)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $318=(($317+16)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $319=HEAP32[(($318)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $320=$3; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $321=$5; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $322=$6; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $323=(($desc)|0)==0; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($323) { __label__ = 57; break; } else { __label__ = 56; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 56: 
      var $325=$desc; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $326=(($325+16)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $327=$326; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $330 = $327;__label__ = 58; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 57: 
      var $330 = 0;__label__ = 58; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 58: 
      var $330; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $331=FUNCTION_TABLE[$319]($11, $320, $321, $322, $330); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$331; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __label__ = 59; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 59: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $333=$1; //@line 196 "./jsproxy.h"
      STACKTOP = __stackBase__;
      return $333; //@line 196 "./jsproxy.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14JSProxyHandler3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE["X"]=1;

function __ZNK8JSObject15getProxyHandlerEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 0); //@line 151 "./jsproxy.h"
  var $4=__ZNK2JS5Value9toPrivateEv($3); //@line 151 "./jsproxy.h"
  var $5=$4; //@line 151 "./jsproxy.h"
  ;
  return $5; //@line 151 "./jsproxy.h"
}


function __ZN2js14JSProxyHandler4keysEP9JSContextP8JSObjectRNS_12AutoIdVectorE($this, $cx, $proxy, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $desc=__stackBase__;
      var $i;
      var $j;
      var $len;
      var $id;
      var $6;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$props;
      var $7=$2;
      var $8=$7; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+20)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$4; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$5; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=FUNCTION_TABLE[$11]($7, $12, $13, $14); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 17; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $18=$3; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $18); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $i=0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $j=0; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$5; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$19; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZNK2js16AutoVectorRooterIiE6lengthEv($20); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $len=$21; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $23=$j; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$len; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=(($23)>>>0) < (($24)>>>0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $27=$5; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$27; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$j; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZN2js16AutoVectorRooterIiEixEj($28, $29); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $id=$31; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$7; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=(($33+12)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$3; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=$4; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$id; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=(($desc)|0)==0; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $41=$desc; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=(($41+16)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=$42; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46 = $43;__label__ = 8; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $46 = 0;__label__ = 8; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $46; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=FUNCTION_TABLE[$35]($7, $36, $37, $38, 0, $46); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      $1=0; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 16; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      var $50=$desc; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=(($50+16)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=$51; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=(($52)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=(($54)|0)!=0; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $57=$desc; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=(($57+16)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=$58; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $60=(($59+4)|0); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $62=$61 & 1; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $63=(($62)|0)!=0; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      var $65=$id; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $66=$5; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $67=$66; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $68=$i; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $69=(($68+1)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $i=$69; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $70=__ZN2js16AutoVectorRooterIiEixEj($67, $68); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($70)>>2)]=$65; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 13; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      __label__ = 14; break; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      var $73=$j; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $74=(($73+1)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $j=$74; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 15: 
      var $76=$5; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $77=$76; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $78=$i; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $79=__ZN2js16AutoVectorRooterIiE6resizeEj($77, $78); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 16; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 16: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 17; break;
    case 17: 
      var $82=$1; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $82; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14JSProxyHandler4keysEP9JSContextP8JSObjectRNS_12AutoIdVectorE["X"]=1;

function __ZN2js14JSProxyHandler8finalizeEP9JSContextP8JSObject($this, $cx, $proxy) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$proxy;
  var $4=$1;
  ;
  return; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js14JSProxyHandler5traceEP8JSTracerP8JSObject($this, $trc, $proxy) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$trc;
  $3=$proxy;
  var $4=$1;
  ;
  return; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL24IndicatePropertyNotFoundP9JSContextP20JSPropertyDescriptor($cx, $desc) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$desc;
  var $3=$2; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $4=(($3)|0); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  HEAP32[(($4)>>2)]=0; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return 1; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js16AutoVectorRooterIiE6resizeEj($this, $newLength) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldLength;
      $2=$this;
      $3=$newLength;
      var $4=$2;
      var $5=(($4+12)|0); //@line 2411 "./jscntxt.h"
      var $6=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE6lengthEv($5); //@line 2411 "./jscntxt.h"
      $oldLength=$6; //@line 2411 "./jscntxt.h"
      var $7=$3; //@line 2412 "./jscntxt.h"
      var $8=$oldLength; //@line 2412 "./jscntxt.h"
      var $9=(($7)>>>0) <= (($8)>>>0); //@line 2412 "./jscntxt.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2412 "./jscntxt.h"
    case 2: 
      var $11=(($4+12)|0); //@line 2413 "./jscntxt.h"
      var $12=$oldLength; //@line 2413 "./jscntxt.h"
      var $13=$3; //@line 2413 "./jscntxt.h"
      var $14=(($12-$13)|0); //@line 2413 "./jscntxt.h"
      __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE8shrinkByEj($11, $14); //@line 2413 "./jscntxt.h"
      $1=1; //@line 2414 "./jscntxt.h"
      __label__ = 6; break; //@line 2414 "./jscntxt.h"
    case 3: 
      var $16=(($4+12)|0); //@line 2416 "./jscntxt.h"
      var $17=$3; //@line 2416 "./jscntxt.h"
      var $18=$oldLength; //@line 2416 "./jscntxt.h"
      var $19=(($17-$18)|0); //@line 2416 "./jscntxt.h"
      var $20=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE19growByUninitializedEj($16, $19); //@line 2416 "./jscntxt.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2416 "./jscntxt.h"
    case 4: 
      $1=0; //@line 2417 "./jscntxt.h"
      __label__ = 6; break; //@line 2417 "./jscntxt.h"
    case 5: 
      var $23=(($4+12)|0); //@line 2418 "./jscntxt.h"
      var $24=__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE5beginEv($23); //@line 2418 "./jscntxt.h"
      var $25=$oldLength; //@line 2418 "./jscntxt.h"
      var $26=(($24+($25<<2))|0); //@line 2418 "./jscntxt.h"
      var $27=(($4+12)|0); //@line 2418 "./jscntxt.h"
      var $28=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE3endEv($27); //@line 2418 "./jscntxt.h"
      __ZN2jsL15MakeRangeGCSafeEPiS0_($26, $28); //@line 2418 "./jscntxt.h"
      $1=1; //@line 2419 "./jscntxt.h"
      __label__ = 6; break; //@line 2419 "./jscntxt.h"
    case 6: 
      var $30=$1; //@line 2420 "./jscntxt.h"
      ;
      return $30; //@line 2420 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14JSProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE($this, $cx, $proxy, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $props=__stackBase__;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$flags;
      $6=$vp;
      var $8=$2;
      var $9=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($props, $9); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$5; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$10 & 8; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11)|0)!=0; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $14=$8; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15+52)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$4; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=FUNCTION_TABLE[$17]($8, $18, $19, $props); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $22=$8; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=(($23+28)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=FUNCTION_TABLE[$25]($8, $26, $27, $props); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=0; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 6; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $31=$3; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$4; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$5; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$6; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZN2js28EnumeratedIdVectorToIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($31, $32, $33, $props, $34); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$35; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 6; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      __ZN2js12AutoIdVectorD1Ev($props); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=$1; //@line 236 "./jsproxy.h"
      STACKTOP = __stackBase__;
      return $37; //@line 236 "./jsproxy.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14JSProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function __ZN2js14JSProxyHandler12obj_toStringEP9JSContextP8JSObject($this, $cx, $proxy) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$proxy;
  var $4=$1;
  var $5=$2; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$3; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=__ZNK8JSObject15isFunctionProxyEv($6); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$7 ? (((STRING_TABLE.__str3048)|0)) : (((STRING_TABLE.__str13049)|0)); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=_JS_NewStringCopyZ($5, $8); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $9; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js14JSProxyHandler12fun_toStringEP9JSContextP8JSObjectj($this, $cx, $proxy, $indent) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $fval=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$indent;
      var $6=$2;
      var $7=$4; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__ZL7GetCallP8JSObject($7); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$fval; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$8; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$4; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=__ZNK8JSObject15isFunctionProxyEv($11); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $14=__ZNK2JS5Value11isPrimitiveEv($fval); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $16=__ZNK2JS5Value8toObjectEv($fval); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__ZNK8JSObject10isFunctionEv($16); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $19=$3; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      _JS_ReportErrorNumber($19, 2, 0, 8, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_Function_str)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE._js_toString_str)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str23050)|0),tempInt)); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $21=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=__ZNK2JS5Value8toObjectEv($fval); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$5; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=__Z18fun_toStringHelperP9JSContextP8JSObjectj($21, $22, $23); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$24; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $26=$1; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7GetCallP8JSObject($proxy) {
  ;
  var __label__;

  var $1;
  $1=$proxy;
  var $2=$1; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $3=__ZNK8JSObject7getSlotEj($2, 3); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $3; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js14JSProxyHandler12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($this, $cx, $proxy, $hint, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$cx;
  $3=$proxy;
  $4=$hint;
  $5=$vp;
  var $6=$1;
  var $7=$2; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$3; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$4; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=$5; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=__ZN2js12DefaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($7, $8, $9, $10); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=(($11)|0)!=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $12; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js14JSProxyHandler4callEP9JSContextP8JSObjectjPN2JS5ValueE($this, $cx, $proxy, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $rval=__stackBase__;
      var $ok;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$argc;
      $6=$vp;
      var $8=$2;
      var $9=$3; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($rval, $9); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$3; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$6; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11+8)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$4; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=__ZL7GetCallP8JSObject($13); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$5; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$6; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($16+16)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=__ZN2js15AutoValueRooter4addrEv($rval); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($10, $12, $14, $15, $17, $18); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19)&1); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $ok=$20; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$ok; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21)|0)!=0; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($22) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $24=$6; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=__ZNK2js15AutoValueRooter5valueEv($rval); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$24; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$25; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 3; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $29=$ok; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=(($29)|0)!=0; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$30; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __ZN2js15AutoValueRooterD1Ev($rval); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$1; //@line 279 "./jsproxy.h"
      STACKTOP = __stackBase__;
      return $31; //@line 279 "./jsproxy.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14JSProxyHandler9constructEP9JSContextP8JSObjectjPN2JS5ValueES7_($this, $cx, $proxy, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $fval=__stackBase__;
      var $8=__stackBase__+8;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$argc;
      $6=$argv;
      $7=$rval;
      var $9=$2;
      var $10=$4; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZL12GetConstructP8JSObject($fval, $10); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__ZNK2JS5Value11isUndefinedEv($fval); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $13=$3; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$4; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=__ZL7GetCallP8JSObject($14); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$5; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$6; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$7; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZN2js17InvokeConstructorEP9JSContextRKN2JS5ValueEjPS3_S6_($13, $15, $16, $17, $18); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$19; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $21=$3; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL14UndefinedValueEv3073($8); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$5; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$6; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$7; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($21, $8, $fval, $22, $23, $24); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$25; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $27=$1; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12GetConstructP8JSObject($agg_result, $proxy) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$proxy;
      var $2=$1; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $3=__ZNK8JSObject8numSlotsEv($2); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $4=(($3)>>>0) <= 4; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      __ZN2JSL14UndefinedValueEv3073($agg_result); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $7=$1; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__ZNK8JSObject7getSlotEj($7, 4); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$agg_result; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$8; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      ;
      return; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv3073($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js14JSProxyHandler11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb($this, $cx, $proxy, $vp, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$proxy;
  $4=$vp;
  $5=$bp;
  var $7=$1;
  var $8=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$3; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZN2JSL11ObjectValueER8JSObject3074($6, $9); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($8, 0, 31, 1, $6, 0, 0, 0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2JSL11ObjectValueER8JSObject3074($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2js14JSProxyHandler6typeOfEP9JSContextP8JSObject($this, $cx, $proxy) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$proxy;
  var $4=$1;
  var $5=$3; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=__ZNK8JSObject15isFunctionProxyEv($5); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$6 ? 2 : 1; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $7; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN22JSScriptedProxyHandlerC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZN2js14JSProxyHandlerC2EPv($3, __ZL27sScriptedProxyHandlerFamily); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $4=$2; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  HEAP32[(($4)>>2)]=((__ZTV22JSScriptedProxyHandler+8)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN22JSScriptedProxyHandlerD0Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  FUNCTION_TABLE[__ZN22JSScriptedProxyHandlerD1Ev]($2); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $3=$2; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZdlPv($3); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN22JSScriptedProxyHandler21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($this, $cx, $proxy, $id, $set, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $handler;
      var $tvr=__stackBase__;
      var $8=__stackBase__+24;
      var $9;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$id;
      var $10=(($set)&1);
      $6=$10;
      $7=$desc;
      var $11=$2;
      var $12=$3; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$4; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($12, $13); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$14; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $15); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$handler; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+52)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($20+209948)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+492)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$23; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=__ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($16, $17, $24, $25); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($26) { __label__ = 2; break; } else { var $67 = 0;__label__ = 9; break; } //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $28=$3; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$handler; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$8; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$30; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$5; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZL5Trap1P9JSContextP8JSObjectN2JS5ValueEiPS4_($28, $29, $8, $33, $34); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($35) { __label__ = 3; break; } else { var $67 = 0;__label__ = 9; break; } //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $37=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=__ZNK2JS5Value11isUndefinedEv($37); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($38) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $40=$3; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$7; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=__ZL24IndicatePropertyNotFoundP9JSContextP20JSPropertyDescriptor($40, $41); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($42) { var $65 = 1;__label__ = 8; break; } else { __label__ = 5; break; } //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $44=$3; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=$4; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$3; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=(($46+52)|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=(($48+209948)|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $50=(($49+492)|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=$51; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=__ZL31ReturnedValueMustNotBePrimitiveP9JSContextP8JSObjectP6JSAtomRKN2JS5ValueE($44, $45, $52, $53); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($54) { __label__ = 6; break; } else { var $63 = 0;__label__ = 7; break; } //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $56=$3; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=$4; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=$5; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $60=$7; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=__ZL29ParsePropertyDescriptorObjectP9JSContextP8JSObjectiRKN2JS5ValueEP20JSPropertyDescriptor($56, $57, $58, $59, $60); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $63 = $61;__label__ = 7; break;
    case 7: 
      var $63;
      var $65 = $63;__label__ = 8; break;
    case 8: 
      var $65;
      var $67 = $65;__label__ = 9; break;
    case 9: 
      var $67;
      $1=$67;
      $9=1;
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $68=$1; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $68; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor["X"]=1;

function __ZL21GetProxyHandlerObjectP9JSContextP8JSObject($cx, $proxy) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$proxy;
  var $3=$2; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $4=__ZNK8JSObject15getProxyPrivateEv($3); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=__ZNK2JS5Value14toObjectOrNullEv($4); //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $5; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($cx, $handler, $atom, $fvalp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $bytes=__stackBase__;
      var $6;
      $2=$cx;
      $3=$handler;
      $4=$atom;
      $5=$fvalp;
      var $7=$2; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$3; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$4; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$5; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__ZL7GetTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($7, $8, $9, $10); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 8; break; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$5; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=__ZL13js_IsCallableRKN2JS5ValueE3075($14); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($15) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$2; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$4; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($17, $18, $bytes); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19)|0)!=0; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $22=$2; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      _JS_ReportErrorNumber($22, 2, 0, 22, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$23,tempInt)); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      $1=0; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 8; break;
    case 7: 
      $1=1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 8; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $27=$1; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL5Trap1P9JSContextP8JSObjectN2JS5ValueEiPS4_($cx, $handler, $0, $id, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $fval=__stackBase__;
      var $5;
      var $6;
      var $str;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      $3=$cx;
      $4=$handler;
      var $9=$fval;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $5=$id;
      $6=$rval;
      var $11=$3; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$5; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2jsL9IdToValueEi3076($7, $12); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($11, $7); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $str=$13; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$str; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=(($14)|0)!=0; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $2=0; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $18=$6; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$str; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JS5Value9setStringEP8JSString($18, $19); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$3; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$4; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$8; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$fval; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$6; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$6; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($20, $21, $8, 1, $24, $25); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $2=$26; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $28=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL31ReturnedValueMustNotBePrimitiveP9JSContextP8JSObjectP6JSAtomRKN2JS5ValueE($cx, $proxy, $atom, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $bytes=__stackBase__;
      var $6=__stackBase__+4;
      var $7;
      $2=$cx;
      $3=$proxy;
      $4=$atom;
      $5=$v;
      var $8=$5; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=__ZNK2JS5Value11isPrimitiveEv($8); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$2; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$4; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString($11, $12, $bytes); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=(($13)|0)!=0; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $16=$2; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject3078($6, $17); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($16, 0, 212, 1, $6, 0, $18, 0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=0; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 5: 
      $1=1; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $23=$1; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL29ParsePropertyDescriptorObjectP9JSContextP8JSObjectiRKN2JS5ValueEP20JSPropertyDescriptor($cx, $obj, $id, $v, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $descs=__stackBase__;
      var $d;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$desc;
      var $8=$2; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js23AutoPropDescArrayRooterC1EP9JSContext($descs, $8); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=__ZN2js23AutoPropDescArrayRooter6appendEv($descs); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $d=$9; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$d; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($10)|0)!=0; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $13=$d; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$2; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$5; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=__ZN2js8PropDesc10initializeEP9JSContextRKN2JS5ValueEb($13, $14, $15, 1); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      $1=0; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 5; break; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $19=$3; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$6; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($20)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$6; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+16)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$d; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=(($24+8)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$23; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$25; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$d; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=(($28+32)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=HEAPU8[($29)]; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=(($30)&255); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$6; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32+4)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($33)>>2)]=$31; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$d; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZNK2js8PropDesc6getterEv($34); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$6; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=(($36+8)|0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($37)>>2)]=$35; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$d; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=__ZNK2js8PropDesc6setterEv($38); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$6; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=(($40+12)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($41)>>2)]=$39; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$6; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=(($42+24)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($43)>>2)]=0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 5; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      __ZN2js23AutoPropDescArrayRooterD1Ev($descs); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=$1; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29ParsePropertyDescriptorObjectP9JSContextP8JSObjectiRKN2JS5ValueEP20JSPropertyDescriptor["X"]=1;

function __ZN22JSScriptedProxyHandler24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($this, $cx, $proxy, $id, $set, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $handler;
      var $tvr=__stackBase__;
      var $8=__stackBase__+24;
      var $9;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$id;
      var $10=(($set)&1);
      $6=$10;
      $7=$desc;
      var $11=$2;
      var $12=$3; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$4; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($12, $13); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$14; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $15); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$handler; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+52)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($20+209948)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+488)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$23; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=__ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($16, $17, $24, $25); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($26) { __label__ = 2; break; } else { var $67 = 0;__label__ = 9; break; } //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $28=$3; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$handler; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$8; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$30; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$5; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZL5Trap1P9JSContextP8JSObjectN2JS5ValueEiPS4_($28, $29, $8, $33, $34); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($35) { __label__ = 3; break; } else { var $67 = 0;__label__ = 9; break; } //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $37=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=__ZNK2JS5Value11isUndefinedEv($37); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($38) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $40=$3; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$7; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=__ZL24IndicatePropertyNotFoundP9JSContextP20JSPropertyDescriptor($40, $41); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($42) { var $65 = 1;__label__ = 8; break; } else { __label__ = 5; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $44=$3; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=$4; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$3; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=(($46+52)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=(($48+209948)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $50=(($49+492)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=$51; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=__ZL31ReturnedValueMustNotBePrimitiveP9JSContextP8JSObjectP6JSAtomRKN2JS5ValueE($44, $45, $52, $53); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($54) { __label__ = 6; break; } else { var $63 = 0;__label__ = 7; break; } //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $56=$3; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=$4; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=$5; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $60=$7; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=__ZL29ParsePropertyDescriptorObjectP9JSContextP8JSObjectiRKN2JS5ValueEP20JSPropertyDescriptor($56, $57, $58, $59, $60); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $63 = $61;__label__ = 7; break;
    case 7: 
      var $63;
      var $65 = $63;__label__ = 8; break;
    case 8: 
      var $65;
      var $67 = $65;__label__ = 9; break;
    case 9: 
      var $67;
      $1=$67;
      $9=1;
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $68=$1; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $68; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor["X"]=1;

function __ZN22JSScriptedProxyHandler14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor($this, $cx, $proxy, $id, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $handler;
      var $tvr=__stackBase__;
      var $fval=__stackBase__+24;
      var $7=__stackBase__+48;
      var $8=__stackBase__+56;
      var $9;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$id;
      $6=$desc;
      var $10=$2;
      var $11=$3; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$4; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($11, $12); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$13; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$3; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $14); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($fval, $15); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$handler; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+52)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($20+209948)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+496)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$23; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=__ZN2js15AutoValueRooter4addrEv($fval); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=__ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($16, $17, $24, $25); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($26) { __label__ = 2; break; } else { var $45 = 0;__label__ = 4; break; } //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $28=$3; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$6; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=__ZN2js27NewPropertyDescriptorObjectEP9JSContextPK20JSPropertyDescriptorPN2JS5ValueE($28, $29, $30); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($31) { __label__ = 3; break; } else { var $45 = 0;__label__ = 4; break; } //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $33=$3; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$handler; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZNK2js15AutoValueRooter5valueEv($fval); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$7; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=$35; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$5; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$8; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$39; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=__ZL5Trap2P9JSContextP8JSObjectN2JS5ValueEiS4_PS4_($33, $34, $7, $38, $8, $42); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45 = $43;__label__ = 4; break;
    case 4: 
      var $45;
      $1=$45;
      $9=1;
      __ZN2js15AutoValueRooterD1Ev($fval); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$1; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor["X"]=1;

function __ZL5Trap2P9JSContextP8JSObjectN2JS5ValueEiS4_PS4_($cx, $handler, $0, $id, $1, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $5;
      var $fval=__stackBase__;
      var $6;
      var $v=__stackBase__+8;
      var $7;
      var $str;
      var $8=__stackBase__+16;
      var $argv=__stackBase__+24;
      var $9=__stackBase__+40;
      $4=$cx;
      $5=$handler;
      var $10=$fval;
      var $11=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      $6=$id;
      var $12=$v;
      var $13=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      $7=$rval;
      var $14=$4; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$6; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2jsL9IdToValueEi3076($8, $15); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($14, $8); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $str=$16; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$str; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=(($17)|0)!=0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $3=0; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $21=$7; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$str; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JS5Value9setStringEP8JSString($21, $22); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($argv)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$7; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$23; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$24; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($23+8)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$27; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$v; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$4; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$5; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$9; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$fval; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=(($argv)|0); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=$7; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($30, $31, $9, 2, $34, $35); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $3=$36; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $38=$3; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5Trap2P9JSContextP8JSObjectN2JS5ValueEiS4_PS4_["X"]=1;

function __ZN22JSScriptedProxyHandler19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $proxy, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $handler;
      var $tvr=__stackBase__;
      var $6=__stackBase__+24;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$props;
      var $8=$2;
      var $9=$3; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$4; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($9, $10); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$11; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$3; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $12); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$handler; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15+52)|0); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=(($17+209948)|0); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+504)|0); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($13, $14, $21, $22); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($23) { __label__ = 2; break; } else { var $38 = 0;__label__ = 4; break; } //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $25=$3; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$handler; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$6; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$27; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($25, $26, $6, 0, 0, $30); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($31) { __label__ = 3; break; } else { var $38 = 0;__label__ = 4; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $33=$3; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=$5; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=__ZL15ArrayToIdVectorP9JSContextRKN2JS5ValueERN2js12AutoIdVectorE($33, $34, $35); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38 = $36;__label__ = 4; break;
    case 4: 
      var $38;
      $1=$38;
      $7=1;
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$1; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE["X"]=1;

function __ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($cx, $handler, $0, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $fval=__stackBase__;
  var $4;
  var $5;
  var $6;
  var $7=__stackBase__+8;
  $2=$cx;
  $3=$handler;
  var $8=$fval;
  var $9=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
  $4=$argc;
  $5=$argv;
  $6=$rval;
  var $10=$2; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=$3; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZN2JSL11ObjectValueER8JSObject3074($7, $11); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=$4; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $13=$5; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $14=$6; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $15=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($10, $7, $fval, $12, $13, $14); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return $15; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL15ArrayToIdVectorP9JSContextRKN2JS5ValueERN2js12AutoIdVectorE($cx, $array, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $length=__stackBase__;
      var $n;
      var $v=__stackBase__+4;
      var $id=__stackBase__+12;
      var $5=__stackBase__+16;
      $2=$cx;
      $3=$array;
      $4=$props;
      var $6=$3; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=__ZNK2JS5Value11isPrimitiveEv($6); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=1; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $10=$3; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__ZNK2JS5Value8toObjectEv($10); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $obj=$11; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$obj; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($12, $13, $length); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=(($14)|0)!=0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=0; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $n=0; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $19=$n; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAPU32[(($length)>>2)]; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($19)>>>0) < (($20)>>>0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 19; break; } //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $23=$2; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=(($23+52)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=(($25+144280)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($26)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=(($28)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($29) { __label__ = 8; break; } else { var $35 = 1;__label__ = 9; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $31=$2; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=__Z26js_InvokeOperationCallbackP9JSContext($31); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35 = $33;__label__ = 9; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $35;
      if ($35) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      $1=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $38=$obj; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$2; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$n; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($38, $39, $40, $v); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=(($41)|0)!=0; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      $1=0; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      var $45=$2; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi($45, $v, $id); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($46) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      $1=0; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 15: 
      var $49=$4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $50=$49; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=HEAP32[(($id)>>2)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=__Z22js_CheckForStringIndexi($51); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($5)>>2)]=$52; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=__ZN2js16AutoVectorRooterIiE6appendERKi($50, $5); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($53) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 16: 
      $1=0; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 17: 
      __label__ = 18; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 18: 
      var $57=$n; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=(($57+1)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $n=$58; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 19: 
      $1=1; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 20: 
      var $61=$1; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15ArrayToIdVectorP9JSContextRKN2JS5ValueERN2js12AutoIdVectorE["X"]=1;

function __ZN22JSScriptedProxyHandler7delete_EP9JSContextP8JSObjectiPb($this, $cx, $proxy, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $handler;
      var $tvr=__stackBase__;
      var $7=__stackBase__+24;
      var $8;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$id;
      $6=$bp;
      var $9=$2;
      var $10=$3; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$4; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($10, $11); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$12; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $13); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$3; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$handler; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($16+52)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+209948)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19+500)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$21; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=__ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($14, $15, $22, $23); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($24) { __label__ = 2; break; } else { var $40 = 0;__label__ = 4; break; } //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $26=$3; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$handler; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$7; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$28; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$5; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=__ZL5Trap1P9JSContextP8JSObjectN2JS5ValueEiPS4_($26, $27, $7, $31, $32); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($33) { __label__ = 3; break; } else { var $40 = 0;__label__ = 4; break; } //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $35=$3; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=$6; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=__ZL11ValueToBoolP9JSContextRKN2JS5ValueEPb($35, $36, $37); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40 = $38;__label__ = 4; break;
    case 4: 
      var $40;
      $1=$40;
      $8=1;
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$1; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler7delete_EP9JSContextP8JSObjectiPb["X"]=1;

function __ZL11ValueToBoolP9JSContextRKN2JS5ValueEPb($cx, $v, $bp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$v;
  $3=$bp;
  var $4=$2; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=__Z17js_ValueToBooleanRKN2JS5ValueE($4); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=(($5)|0)!=0; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$6 ^ 1; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$7 ^ 1; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$3; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=(($8)&1); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  HEAP8[($9)]=$10; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return 1; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN22JSScriptedProxyHandler9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $proxy, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $handler;
      var $tvr=__stackBase__;
      var $6=__stackBase__+24;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$props;
      var $8=$2;
      var $9=$3; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$4; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($9, $10); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$11; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$3; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $12); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$handler; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15+52)|0); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=(($17+209948)|0); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+508)|0); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($13, $14, $21, $22); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($23) { __label__ = 2; break; } else { var $38 = 0;__label__ = 4; break; } //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $25=$3; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$handler; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$6; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$27; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($25, $26, $6, 0, 0, $30); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($31) { __label__ = 3; break; } else { var $38 = 0;__label__ = 4; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $33=$3; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=$5; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=__ZL15ArrayToIdVectorP9JSContextRKN2JS5ValueERN2js12AutoIdVectorE($33, $34, $35); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38 = $36;__label__ = 4; break;
    case 4: 
      var $38;
      $1=$38;
      $7=1;
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$1; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE["X"]=1;

function __ZN22JSScriptedProxyHandler3fixEP9JSContextP8JSObjectPN2JS5ValueE($this, $cx, $proxy, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $handler;
      var $5=__stackBase__;
      $1=$this;
      $2=$cx;
      $3=$proxy;
      $4=$vp;
      var $6=$1;
      var $7=$2; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$3; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($7, $8); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$9; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$2; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$handler; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$2; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($12+52)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=(($14+209948)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15+512)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$17; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$4; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($10, $11, $18, $19); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($20) { __label__ = 2; break; } else { var $30 = 0;__label__ = 3; break; } //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $22=$2; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$handler; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$4; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$5; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$24; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($22, $23, $5, 0, 0, $27); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30 = $28;__label__ = 3; break;
    case 3: 
      var $30;
      STACKTOP = __stackBase__;
      return $30; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN22JSScriptedProxyHandler3hasEP9JSContextP8JSObjectiPb($this, $cx, $proxy, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $handler;
      var $tvr=__stackBase__;
      var $7;
      var $8=__stackBase__+24;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$id;
      $6=$bp;
      var $9=$2;
      var $10=$3; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$4; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($10, $11); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$12; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $13); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$3; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$handler; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($16+52)|0); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+209948)|0); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19+516)|0); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$21; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=__ZL14GetDerivedTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($14, $15, $22, $23); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 8; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $27=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=__ZL13js_IsCallableRKN2JS5ValueE3075($27); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $30=$9; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$3; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$4; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$5; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$6; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZN2js14JSProxyHandler3hasEP9JSContextP8JSObjectiPb($30, $31, $32, $33, $34); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$35; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 8; break; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $37=$3; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$handler; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$8; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$39; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$5; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=__ZL5Trap1P9JSContextP8JSObjectN2JS5ValueEiPS4_($37, $38, $8, $42, $43); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($44) { __label__ = 6; break; } else { var $51 = 0;__label__ = 7; break; } //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $46=$3; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=$6; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=__ZL11ValueToBoolP9JSContextRKN2JS5ValueEPb($46, $47, $48); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51 = $49;__label__ = 7; break;
    case 7: 
      var $51;
      $1=$51;
      $7=1;
      __label__ = 8; break;
    case 8: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=$1; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler3hasEP9JSContextP8JSObjectiPb["X"]=1;

function __ZL14GetDerivedTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($cx, $handler, $atom, $fvalp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$handler;
  $3=$atom;
  $4=$fvalp;
  var $5=$1; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$2; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$3; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$4; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=__ZL7GetTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($5, $6, $7, $8); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $9; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL13js_IsCallableRKN2JS5ValueE3075($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN22JSScriptedProxyHandler6hasOwnEP9JSContextP8JSObjectiPb($this, $cx, $proxy, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $handler;
      var $tvr=__stackBase__;
      var $7;
      var $8=__stackBase__+24;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$id;
      $6=$bp;
      var $9=$2;
      var $10=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$4; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($10, $11); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$12; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $13); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$3; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$handler; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($16+52)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+209948)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19+520)|0); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$21; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=__ZL14GetDerivedTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($14, $15, $22, $23); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 8; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $27=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=__ZL13js_IsCallableRKN2JS5ValueE3075($27); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $30=$9; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$3; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$4; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$5; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$6; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZN2js14JSProxyHandler6hasOwnEP9JSContextP8JSObjectiPb($30, $31, $32, $33, $34); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$35; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 8; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $37=$3; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$handler; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$8; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$39; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$5; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=__ZL5Trap1P9JSContextP8JSObjectN2JS5ValueEiPS4_($37, $38, $8, $42, $43); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($44) { __label__ = 6; break; } else { var $51 = 0;__label__ = 7; break; } //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $46=$3; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=$6; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=__ZL11ValueToBoolP9JSContextRKN2JS5ValueEPb($46, $47, $48); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51 = $49;__label__ = 7; break;
    case 7: 
      var $51;
      $1=$51;
      $7=1;
      __label__ = 8; break;
    case 8: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=$1; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler6hasOwnEP9JSContextP8JSObjectiPb["X"]=1;

function __ZN22JSScriptedProxyHandler3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE($this, $cx, $proxy, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $handler;
      var $str;
      var $8=__stackBase__;
      var $tvr=__stackBase__+8;
      var $9=__stackBase__+32;
      var $argv=__stackBase__+40;
      var $fval=__stackBase__+56;
      var $10;
      var $11=__stackBase__+80;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$receiver;
      $6=$id;
      $7=$vp;
      var $12=$2;
      var $13=$3; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$4; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($13, $14); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$15; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$6; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2jsL9IdToValueEi3076($8, $17); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($16, $8); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $str=$18; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$str; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19)|0)!=0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $23=$3; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$str; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL11StringValueEP8JSString3077($9, $24); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $23, $9); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=(($argv)|0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$5; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject3078($25, $26); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($25+8)|0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$27; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$28; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$3; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($fval, $31); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$3; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$handler; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$3; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=(($34+52)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=(($36+209948)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=(($37+272)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$39; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=__ZN2js15AutoValueRooter4addrEv($fval); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=__ZL14GetDerivedTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($32, $33, $40, $41); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($42) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=0; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $10=1;
      __label__ = 8; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $45=__ZNK2js15AutoValueRooter5valueEv($fval); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=__ZL13js_IsCallableRKN2JS5ValueE3075($45); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($46) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $48=$12; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=$3; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $50=$4; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=$5; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=$6; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=$7; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=__ZN2js14JSProxyHandler3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE($48, $49, $50, $51, $52, $53); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$54; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $10=1;
      __label__ = 8; break; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $56=$3; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=$handler; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=__ZNK2js15AutoValueRooter5valueEv($fval); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=$11; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $60=$58; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=(($argv)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $62=$7; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $63=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($56, $57, $11, 2, $61, $62); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$63; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $10=1;
      __label__ = 8; break; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      __ZN2js15AutoValueRooterD1Ev($fval); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break;
    case 9: 
      var $66=$1; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $66; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE["X"]=1;

function __ZN2jsL9IdToValueEi3076($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING3137($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING3138($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString3077($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT3139($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT3141($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi3140($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT3142($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT3143($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject3074($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv3073($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11StringValueEP8JSString3077($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2JSL17ObjectOrNullValueEP8JSObject3078($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 758 "./jsapi.h"
  __ZN2JS5Value15setObjectOrNullEP8JSObject($agg_result, $2); //@line 758 "./jsapi.h"
  ;
  return; //@line 759 "./jsapi.h"
}


function __ZN22JSScriptedProxyHandler3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE($this, $cx, $proxy, $receiver, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $handler;
      var $str;
      var $9=__stackBase__;
      var $tvr=__stackBase__+8;
      var $10=__stackBase__+32;
      var $argv=__stackBase__+40;
      var $fval=__stackBase__+64;
      var $11;
      var $12=__stackBase__+88;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$receiver;
      $6=$id;
      var $13=(($strict)&1);
      $7=$13;
      $8=$vp;
      var $14=$2;
      var $15=$3; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$4; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($15, $16); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$17; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$6; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2jsL9IdToValueEi3076($9, $19); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($18, $9); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $str=$20; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$str; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21)|0)!=0; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $25=$3; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$str; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL11StringValueEP8JSString3077($10, $26); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $25, $10); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($argv)|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL17ObjectOrNullValueEP8JSObject3078($27, $28); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=(($27+8)|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$29; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$30; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($29+8)|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$8; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=$33; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$34; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=$3; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($fval, $37); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$3; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$handler; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$3; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=(($40+52)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=(($42+209948)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=(($43+348)|0); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$45; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=__ZN2js15AutoValueRooter4addrEv($fval); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=__ZL14GetDerivedTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($38, $39, $46, $47); //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($48) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $11=1;
      __label__ = 8; break; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $51=__ZNK2js15AutoValueRooter5valueEv($fval); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=__ZL13js_IsCallableRKN2JS5ValueE3075($51); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($52) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $54=$14; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=$3; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $56=$4; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=$5; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=$6; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=$7; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $60=(($59) & 1); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=$8; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $62=__ZN2js14JSProxyHandler3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE($54, $55, $56, $57, $58, $60, $61); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$62; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $11=1;
      __label__ = 8; break; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $64=$3; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $65=$handler; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $66=__ZNK2js15AutoValueRooter5valueEv($fval); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $67=$12; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $68=$66; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $69=(($argv)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $70=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $71=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($64, $65, $12, 3, $69, $70); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$71; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $11=1;
      __label__ = 8; break; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      __ZN2js15AutoValueRooterD1Ev($fval); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break;
    case 9: 
      var $74=$1; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $74; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE["X"]=1;

function __ZN22JSScriptedProxyHandler4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $proxy, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $handler;
      var $tvr=__stackBase__;
      var $6;
      var $7=__stackBase__+24;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$props;
      var $8=$2;
      var $9=$3; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$4; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($9, $10); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$11; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$3; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $12); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$handler; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15+52)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=(($17+209948)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+524)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZL14GetDerivedTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($13, $14, $21, $22); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 8; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $26=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=__ZL13js_IsCallableRKN2JS5ValueE3075($26); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $29=$8; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$3; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$4; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$5; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=__ZN2js14JSProxyHandler4keysEP9JSContextP8JSObjectRNS_12AutoIdVectorE($29, $30, $31, $32); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$33; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 8; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $35=$3; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$handler; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$7; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$37; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($35, $36, $7, 0, 0, $40); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($41) { __label__ = 6; break; } else { var $48 = 0;__label__ = 7; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $43=$3; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=$5; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=__ZL15ArrayToIdVectorP9JSContextRKN2JS5ValueERN2js12AutoIdVectorE($43, $44, $45); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48 = $46;__label__ = 7; break;
    case 7: 
      var $48;
      $1=$48;
      $6=1;
      __label__ = 8; break;
    case 8: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $50=$1; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE["X"]=1;

function __ZN22JSScriptedProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE($this, $cx, $proxy, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $handler;
      var $tvr=__stackBase__;
      var $7;
      var $8=__stackBase__+24;
      $2=$this;
      $3=$cx;
      $4=$proxy;
      $5=$flags;
      $6=$vp;
      var $9=$2;
      var $10=$3; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$4; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=__ZL21GetProxyHandlerObjectP9JSContextP8JSObject($10, $11); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$12; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $13); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$3; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$handler; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($16+52)|0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+209948)|0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19+528)|0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$21; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=__ZL14GetDerivedTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($14, $15, $22, $23); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 8; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $27=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=__ZL13js_IsCallableRKN2JS5ValueE3075($27); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $30=$9; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$3; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$4; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$5; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$6; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZN2js14JSProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33, $34); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$35; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __label__ = 8; break; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $37=$3; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$handler; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$8; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$39; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$6; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_($37, $38, $8, 0, 0, $42); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($43) { __label__ = 6; break; } else { var $57 = 0;__label__ = 7; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $45=$3; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$4; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=$3; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=(($47+52)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $50=(($49+209948)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=(($50+528)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=$52; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=$6; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=__ZL31ReturnedValueMustNotBePrimitiveP9JSContextP8JSObjectP6JSAtomRKN2JS5ValueE($45, $46, $53, $54); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57 = $55;__label__ = 7; break;
    case 7: 
      var $57;
      $1=$57;
      $7=1;
      __label__ = 8; break;
    case 8: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=$1; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN22JSScriptedProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function ___cxx_global_var_init3079() {
  ;
  var __label__;

  FUNCTION_TABLE[__ZN22JSScriptedProxyHandlerC1Ev](__ZN22JSScriptedProxyHandler9singletonE);
  var $1=___cxa_atexit(228, __ZN22JSScriptedProxyHandler9singletonE, ___dso_handle);
  ;
  return;
}


function __ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($cx, $proxy, $id, $set, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $7;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      var $8=(($set)&1);
      $5=$8;
      $6=$desc;
      __label__ = 2; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $10=$stackDummy_; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$2; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11+48)|0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $16=$2; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($16); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $19=$2; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$3; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $19, $20); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$3; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=__ZNK8JSObject15getProxyHandlerEv($21); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$22; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=(($24+8)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$3; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$4; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$5; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=(($30) & 1); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$6; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=FUNCTION_TABLE[$26]($22, $27, $28, $29, $31, $32); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$33; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $35=$1; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($this, $cx, $proxy) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$proxy;
  var $4=$1;
  var $5=$2; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$3; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZN25AutoPendingProxyOperationC2EP9JSContextP8JSObject($4, $5, $6); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN25AutoPendingProxyOperationD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN25AutoPendingProxyOperationD2Ev($2); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibPN2JS5ValueE($cx, $proxy, $id, $set, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $desc=__stackBase__+16;
      var $7;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      var $8=(($set)&1);
      $5=$8;
      $6=$vp;
      __label__ = 2; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $10=$stackDummy_; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$2; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11+48)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $16=$2; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($16); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $19=$2; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$3; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $19, $20); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$2; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $21); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$2; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$3; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$4; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$5; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=(($25) & 1); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($desc)|0)==0; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $29=$desc; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=(($29+16)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$30; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34 = $31;__label__ = 8; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $34 = 0;__label__ = 8; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $34; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($22, $23, $24, $26, $34); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($35) { __label__ = 9; break; } else { var $49 = 0;__label__ = 13; break; } //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $37=$2; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=(($desc)|0)==0; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      var $40=$desc; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=(($40+16)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$41; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45 = $42;__label__ = 12; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $45 = 0;__label__ = 12; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      var $45; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$6; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=__ZN2js27NewPropertyDescriptorObjectEP9JSContextPK20JSPropertyDescriptorPN2JS5ValueE($37, $45, $46); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49 = $47;__label__ = 13; break;
    case 13: 
      var $49;
      $1=$49;
      $7=1;
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break;
    case 14: 
      var $51=$1; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibPN2JS5ValueE["X"]=1;

function __ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($cx, $proxy, $id, $set, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $7;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      var $8=(($set)&1);
      $5=$8;
      $6=$desc;
      __label__ = 2; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $10=$stackDummy_; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$2; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11+48)|0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $16=$2; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($16); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $19=$2; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$3; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $19, $20); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$3; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=__ZNK8JSObject15getProxyHandlerEv($21); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$22; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=(($24+12)|0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$2; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$3; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$4; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$5; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=(($30) & 1); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$6; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=FUNCTION_TABLE[$26]($22, $27, $28, $29, $31, $32); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$33; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $35=$1; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibPN2JS5ValueE($cx, $proxy, $id, $set, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $desc=__stackBase__+16;
      var $7;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      var $8=(($set)&1);
      $5=$8;
      $6=$vp;
      __label__ = 2; break; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $10=$stackDummy_; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$2; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11+48)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $16=$2; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($16); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $19=$2; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$3; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $19, $20); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$2; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $21); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$2; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$3; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$4; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$5; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=(($25) & 1); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($desc)|0)==0; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $29=$desc; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=(($29+16)|0); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$30; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34 = $31;__label__ = 8; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $34 = 0;__label__ = 8; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $34; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($22, $23, $24, $26, $34); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($35) { __label__ = 9; break; } else { var $49 = 0;__label__ = 13; break; } //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $37=$2; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=(($desc)|0)==0; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      var $40=$desc; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=(($40+16)|0); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$41; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45 = $42;__label__ = 12; break; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $45 = 0;__label__ = 12; break; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      var $45; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$6; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=__ZN2js27NewPropertyDescriptorObjectEP9JSContextPK20JSPropertyDescriptorPN2JS5ValueE($37, $45, $46); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49 = $47;__label__ = 13; break;
    case 13: 
      var $49;
      $1=$49;
      $7=1;
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break;
    case 14: 
      var $51=$1; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibPN2JS5ValueE["X"]=1;

function __ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor($cx, $proxy, $id, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      $5=$desc;
      __label__ = 2; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject15getProxyHandlerEv($19); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+16)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$24]($20, $25, $26, $27, $28); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$29; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$1; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiRKN2JS5ValueE($cx, $proxy, $id, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $desc=__stackBase__+16;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      $5=$v;
      __label__ = 2; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$2; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $19); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$2; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$3; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$4; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$5; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=(($desc)|0)==0; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $26=$desc; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($26+16)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$27; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31 = $28;__label__ = 8; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $31 = 0;__label__ = 8; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $31; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=__ZL29ParsePropertyDescriptorObjectP9JSContextP8JSObjectiRKN2JS5ValueEP20JSPropertyDescriptor($20, $21, $22, $23, $31); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($32) { __label__ = 9; break; } else { var $47 = 0;__label__ = 13; break; } //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $34=$2; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=$3; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$4; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=(($desc)|0)==0; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      var $39=$desc; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=(($39+16)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$40; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44 = $41;__label__ = 12; break; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $44 = 0;__label__ = 12; break; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      var $44; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=__ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor($34, $35, $36, $44); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47 = $45;__label__ = 13; break;
    case 13: 
      var $47;
      $1=$47;
      $6=1;
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break;
    case 14: 
      var $49=$1; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiRKN2JS5ValueE["X"]=1;

function __ZN2js7JSProxy19getOwnPropertyNamesEP9JSContextP8JSObjectRNS_12AutoIdVectorE($cx, $proxy, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$proxy;
      $4=$props;
      __label__ = 2; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$2; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8+48)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $13=$2; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $16=$2; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $16, $17); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZNK8JSObject15getProxyHandlerEv($18); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$19; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+20)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$2; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$3; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$4; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=FUNCTION_TABLE[$23]($19, $24, $25, $26); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$27; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $29=$1; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy7delete_EP9JSContextP8JSObjectiPb($cx, $proxy, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      $5=$bp;
      __label__ = 2; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject15getProxyHandlerEv($19); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+24)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$24]($20, $25, $26, $27, $28); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$29; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$1; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy9enumerateEP9JSContextP8JSObjectRNS_12AutoIdVectorE($cx, $proxy, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$proxy;
      $4=$props;
      __label__ = 2; break; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$2; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8+48)|0); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $13=$2; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $16=$2; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $16, $17); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZNK8JSObject15getProxyHandlerEv($18); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$19; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+28)|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$2; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$3; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$4; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=FUNCTION_TABLE[$23]($19, $24, $25, $26); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$27; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $29=$1; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy3fixEP9JSContextP8JSObjectPN2JS5ValueE($cx, $proxy, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$proxy;
      $4=$vp;
      __label__ = 2; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$2; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8+48)|0); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $13=$2; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $16=$2; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $16, $17); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZNK8JSObject15getProxyHandlerEv($18); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$19; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+32)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$2; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$3; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$4; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=FUNCTION_TABLE[$23]($19, $24, $25, $26); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$27; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $29=$1; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy3hasEP9JSContextP8JSObjectiPb($cx, $proxy, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      $5=$bp;
      __label__ = 2; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject15getProxyHandlerEv($19); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+36)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$24]($20, $25, $26, $27, $28); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$29; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$1; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy6hasOwnEP9JSContextP8JSObjectiPb($cx, $proxy, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$id;
      $5=$bp;
      __label__ = 2; break; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject15getProxyHandlerEv($19); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+40)|0); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$24]($20, $25, $26, $27, $28); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$29; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$1; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $proxy, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $7;
      $2=$cx;
      $3=$proxy;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      __label__ = 2; break; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $9=$stackDummy_; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$2; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($10+48)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($9)>>>0) < (($12)>>>0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $15=$2; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($15); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $18=$2; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $18, $19); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$3; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZNK8JSObject15getProxyHandlerEv($20); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$21; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=(($23+44)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$2; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$3; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$4; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$5; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$6; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=FUNCTION_TABLE[$25]($21, $26, $27, $28, $29, $30); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$31; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $33=$1; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE($cx, $proxy, $receiver, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $8;
      $2=$cx;
      $3=$proxy;
      $4=$receiver;
      $5=$id;
      var $9=(($strict)&1);
      $6=$9;
      $7=$vp;
      __label__ = 2; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $11=$stackDummy_; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$2; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($12+48)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=HEAPU32[(($13)>>2)]; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=(($11)>>>0) < (($14)>>>0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $17=$2; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($17); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $20=$2; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$3; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $20, $21); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$3; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZNK8JSObject15getProxyHandlerEv($22); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$23; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=(($25+48)|0); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$2; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$3; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$4; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$5; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$6; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32) & 1); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$7; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=FUNCTION_TABLE[$27]($23, $28, $29, $30, $31, $33, $34); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$35; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $8=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $37=$1; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js7JSProxy3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE["X"]=1;

function __ZN2js7JSProxy4keysEP9JSContextP8JSObjectRNS_12AutoIdVectorE($cx, $proxy, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$proxy;
      $4=$props;
      __label__ = 2; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$2; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8+48)|0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $13=$2; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $16=$2; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $16, $17); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZNK8JSObject15getProxyHandlerEv($18); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$19; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+52)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$3; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$4; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=FUNCTION_TABLE[$23]($19, $24, $25, $26); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$27; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $29=$1; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy7iterateEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $proxy, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$flags;
      $5=$vp;
      __label__ = 2; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject15getProxyHandlerEv($19); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+56)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$24]($20, $25, $26, $27, $28); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$29; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$1; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy4callEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $proxy, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$argc;
      $5=$vp;
      __label__ = 2; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject15getProxyHandlerEv($19); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+60)|0); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$24]($20, $25, $26, $27, $28); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$29; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$1; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy9constructEP9JSContextP8JSObjectjPN2JS5ValueES7_($cx, $proxy, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $7;
      $2=$cx;
      $3=$proxy;
      $4=$argc;
      $5=$argv;
      $6=$rval;
      __label__ = 2; break; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $9=$stackDummy_; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$2; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($10+48)|0); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($9)>>>0) < (($12)>>>0); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $15=$2; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($15); //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $18=$2; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $18, $19); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$3; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZNK8JSObject15getProxyHandlerEv($20); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$21; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=(($23+64)|0); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$2; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$3; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$4; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$5; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$6; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=FUNCTION_TABLE[$25]($21, $26, $27, $28, $29, $30); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$31; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $7=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $33=$1; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb($cx, $proxy, $vp, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$vp;
      $5=$bp;
      __label__ = 2; break; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject15getProxyHandlerEv($19); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+68)|0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$24]($20, $25, $26, $27, $28); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$29; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$1; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy6typeOfEP9JSContextP8JSObject($cx, $proxy) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $4;
      $2=$cx;
      $3=$proxy;
      __label__ = 2; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $6=$stackDummy_; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=$2; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=(($7+48)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($6)>>>0) < (($9)>>>0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $12=$2; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($12); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $15=$2; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $15, $16); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=__ZNK8JSObject15getProxyHandlerEv($17); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$18; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($20+72)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$2; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$3; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=FUNCTION_TABLE[$22]($18, $23, $24); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$25; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $4=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $27=$1; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy12obj_toStringEP9JSContextP8JSObject($cx, $proxy) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $4;
      $2=$cx;
      $3=$proxy;
      __label__ = 2; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $6=$stackDummy_; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=$2; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=(($7+48)|0); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($6)>>>0) < (($9)>>>0); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $12=$2; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($12); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $15=$2; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$3; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $15, $16); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=__ZNK8JSObject15getProxyHandlerEv($17); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$18; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($20+76)|0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$2; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$3; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=FUNCTION_TABLE[$22]($18, $23, $24); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$25; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $4=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $27=$1; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy12fun_toStringEP9JSContextP8JSObjectj($cx, $proxy, $indent) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$proxy;
      $4=$indent;
      __label__ = 2; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$2; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8+48)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $13=$2; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $16=$2; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $16, $17); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZNK8JSObject15getProxyHandlerEv($18); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$19; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21+80)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$2; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$3; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$4; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=FUNCTION_TABLE[$23]($19, $24, $25, $26); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$27; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $29=$1; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7JSProxy12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($cx, $proxy, $hint, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      var $pending=__stackBase__+4;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$hint;
      $5=$vp;
      __label__ = 2; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9+48)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($8)>>>0) < (($11)>>>0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($14); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $17=$2; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$3; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $17, $18); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject15getProxyHandlerEv($19); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$20; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+84)|0); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$3; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$4; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$5; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$24]($20, $25, $26, $27, $28); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$29; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $31=$1; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13proxy_ConvertP9JSContextP8JSObject6JSTypePN2JS5ValueE($cx, $proxy, $hint, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$proxy;
  $3=$hint;
  $4=$vp;
  var $5=$1; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$2; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$3; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$4; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=__ZN2js7JSProxy12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($5, $6, $7, $8); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=(($9)&1); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $10; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL14proxy_FinalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $4=__ZNK8JSObject7getSlotEj($3, 0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $5=__ZNK2JS5Value11isUndefinedEv($4); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $7=$2; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__ZNK8JSObject15getProxyHandlerEv($7); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$8; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($10+88)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$1; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$2; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      FUNCTION_TABLE[$12]($8, $13, $14); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 3; break; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      ;
      return; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17proxy_HasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi($cx, $proxy, $v, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pending=__stackBase__;
      var $b=__stackBase__+12;
      var $6;
      $2=$cx;
      $3=$proxy;
      $4=$v;
      $5=$bp;
      var $7=$2; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$3; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $7, $8); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$3; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$4; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=__ZN2js7JSProxy11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb($9, $10, $11, $b); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 4; break; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $15=HEAP8[($b)]; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15) & 1); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$16 ^ 1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$17 ^ 1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18)&1); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$5; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 4; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$1; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17proxy_TraceObjectP8JSTracerP8JSObject($trc, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$trc;
      $2=$obj;
      var $4=$2; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $5=__ZNK8JSObject15getProxyHandlerEv($4); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $6=$5; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=(($7+92)|0); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$1; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$2; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      FUNCTION_TABLE[$9]($5, $10, $11); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$1; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$2; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=__ZNK8JSObject15getProxyPrivateEv($13); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js2gc25MarkCrossCompartmentValueEP8JSTracerRKN2JS5ValueEPKc($12, $14, ((STRING_TABLE.__str143069)|0)); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$1; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$2; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__ZNK8JSObject13getProxyExtraEv($16); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js2gc25MarkCrossCompartmentValueEP8JSTracerRKN2JS5ValueEPKc($15, $17, ((STRING_TABLE.__str153070)|0)); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$2; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZNK8JSObject15isFunctionProxyEv($18); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $21=$1; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$2; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZL7GetCallP8JSObject($22); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js2gc25MarkCrossCompartmentValueEP8JSTracerRKN2JS5ValueEPKc($21, $23, ((STRING_TABLE.__str123067)|0)); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$2; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZL12GetConstructP8JSObject($3, $25); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js2gc25MarkCrossCompartmentValueEP8JSTracerRKN2JS5ValueEPKc($24, $3, ((STRING_TABLE.__str133068)|0)); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 3; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20proxy_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($cx, $obj, $id, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $found=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$objp;
      $6=$propp;
      var $7=$4; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__Z22js_CheckForStringIndexi($7); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $4=$8; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$3; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$4; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=__ZN2js7JSProxy3hasEP9JSContextP8JSObjectiPb($9, $10, $11, $found); //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 7; break; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $15=HEAP8[($found)]; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15) & 1); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $18=$6; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($18)>>2)]=1; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$5; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $22=$5; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($22)>>2)]=0; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$6; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($23)>>2)]=0; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      $1=1; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 7; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $26=$1; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19proxy_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty($cx, $obj, $index, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$objp;
      $6=$propp;
      var $7=$2; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$4; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $12=$2; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$5; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$6; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__ZL20proxy_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($12, $13, $14, $15, $16); //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$17; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $19=$1; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19proxy_LookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty($cx, $obj, $sid, $objp, $propp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$objp;
  $4=$propp;
  var $5=$1; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133($sid); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$3; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$4; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=__ZL20proxy_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($5, $6, $7, $8, $9); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL20proxy_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($cx, $obj, $id, $value, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $desc=__stackBase__;
      var $9;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$value;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $10=$4; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__Z22js_CheckForStringIndexi($10); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $4=$11; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$2; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $12); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$desc; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=(($14+16)|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$15; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($16)|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($17)>>2)]=$13; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$desc; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=(($18+16)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$19; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($20+16)|0); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$5; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$21; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$22; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$8; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$25 & -257; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$desc; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=(($27+16)|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$28; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=(($29+4)|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($30)>>2)]=$26; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$6; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$desc; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32+16)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$33; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=(($34+8)|0); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($35)>>2)]=$31; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$7; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=$desc; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=(($37+16)|0); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$38; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=(($39+12)|0); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($40)>>2)]=$36; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$desc; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=(($41+16)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=$42; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=(($43+24)|0); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($44)>>2)]=0; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=$2; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$3; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=$4; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=(($desc)|0)==0; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($48) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $50=$desc; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=(($50+16)|0); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=$51; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55 = $52;__label__ = 4; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $55 = 0;__label__ = 4; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $55; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $56=__ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor($45, $46, $47, $55); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=(($56)&1); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$57; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $9=1;
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=$1; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $58; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20proxy_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej["X"]=1;

function __ZL19proxy_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($cx, $obj, $index, $value, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$value;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$2; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$4; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__ZN2js9IndexToIdEP9JSContextjPi($9, $10, $id); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$2; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=HEAP32[(($id)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$5; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$6; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$7; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$8; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZL20proxy_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($14, $15, $16, $17, $18, $19, $20); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$21; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $23=$1; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19proxy_DefineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej($cx, $obj, $sid, $value, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$value;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$2; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133($sid); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=$3; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=$4; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=$5; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $13=$6; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $14=__ZL20proxy_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($7, $8, $9, $10, $11, $12, $13); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL16proxy_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$id;
  $5=$vp;
  var $6=$4; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=__Z22js_CheckForStringIndexi($6); //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $4=$7; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$1; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$2; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=$3; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=$4; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=$5; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $13=__ZN2js7JSProxy3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE($8, $9, $10, $11, $12); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $14=(($13)&1); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $14; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL17proxy_GetPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$2; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$3; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$4; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=$9; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3129($10); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=$5; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $13=__ZL16proxy_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $13; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL16proxy_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$5; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $12=$2; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$4; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=HEAP32[(($id)>>2)]; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$6; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__ZL16proxy_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($12, $13, $14, $15, $16); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$17; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $19=$1; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16proxy_GetSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$2; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$3; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133($sid); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$4; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=__ZL16proxy_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL17proxy_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  $5=$strict;
  var $6=$3; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=__Z22js_CheckForStringIndexi($6); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $3=$7; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$1; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$2; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=$2; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=$3; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=$5; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $13=(($12)|0)!=0; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $14=$4; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $15=__ZN2js7JSProxy3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE($8, $9, $10, $11, $13, $14); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $16=(($15)&1); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $16; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL16proxy_SetElementP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$2; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$4; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $12=$2; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$5; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$6; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__ZL17proxy_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($12, $13, $14, $15, $16); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$17; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $19=$1; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16proxy_SetSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$2; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133($sid); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$3; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$4; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=__ZL17proxy_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL19proxy_GetAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $desc=__stackBase__;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$attrsp;
      var $7=$4; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__Z22js_CheckForStringIndexi($7); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $4=$8; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $9); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$2; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$3; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$4; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($desc)|0)==0; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $15=$desc; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15+16)|0); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$16; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20 = $17;__label__ = 4; break; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $20 = 0;__label__ = 4; break; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $20; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($10, $11, $12, 0, $20); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $1=0; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 7; break; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $24=$desc; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=(($24+16)|0); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$25; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($26+4)|0); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$5; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($29)>>2)]=$28; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 7; break; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$1; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26proxy_GetElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=$4; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $11=$2; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$3; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$5; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=__ZL19proxy_GetAttributesP9JSContextP8JSObjectiPj($11, $12, $13, $14); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$15; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $17=$1; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26proxy_GetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=$2; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133($sid); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=__ZL19proxy_GetAttributesP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL19proxy_SetAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $desc=__stackBase__;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$attrsp;
      var $7=$4; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__Z22js_CheckForStringIndexi($7); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $4=$8; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext($desc, $9); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$2; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$3; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$4; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($desc)|0)==0; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $15=$desc; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15+16)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$16; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20 = $17;__label__ = 4; break; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $20 = 0;__label__ = 4; break; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $20; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($10, $11, $12, 1, $20); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $1=0; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 10; break; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $24=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=$25 & -257; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$desc; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=(($27+16)|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$28; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=(($29+4)|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($30)>>2)]=$26; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$2; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$3; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=$4; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=(($desc)|0)==0; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $36=$desc; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=(($36+16)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$37; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41 = $38;__label__ = 9; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $41 = 0;__label__ = 9; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $41; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=__ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor($31, $32, $33, $41); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=(($42)&1); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$43; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $6=1;
      __label__ = 10; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=$1; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19proxy_SetAttributesP9JSContextP8JSObjectiPj["X"]=1;

function __ZL26proxy_SetElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=$4; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $11=$2; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$3; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$5; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=__ZL19proxy_SetAttributesP9JSContextP8JSObjectiPj($11, $12, $13, $14); //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$15; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $17=$1; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26proxy_SetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=$2; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133($sid); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$3; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=__ZL19proxy_SetAttributesP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL20proxy_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $deleted=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__Z22js_CheckForStringIndexi($7); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $4=$8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=$2; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=$3; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$4; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=__ZN2js7JSProxy7delete_EP9JSContextP8JSObjectiPb($9, $10, $11, $deleted); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $14=$2; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$4; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__Z26js_SuppressDeletedPropertyP9JSContextP8JSObjecti($14, $15, $16); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      $1=0; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 5; break; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $20=$5; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=HEAP8[($deleted)]; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21) & 1); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JS5Value10setBooleanEb($20, $22); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 5; break; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $24=$1; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19proxy_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$2; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$4; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $12=$2; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$5; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$6; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__ZL20proxy_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($12, $13, $14, $15, $16); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$17; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $19=$1; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19proxy_DeleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$2; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133($sid); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$3; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$4; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=__ZL20proxy_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL12proxy_TypeOfP9JSContextP8JSObject($cx, $proxy) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$proxy;
  var $3=$1; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $4=$2; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=__ZN2js7JSProxy6typeOfEP9JSContextP8JSObject($3, $4); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $5; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL9proxy_FixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE($cx, $obj, $fixed, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $isFixed=__stackBase__;
      var $ok;
      $2=$cx;
      $3=$obj;
      $4=$fixed;
      $5=$props;
      var $6=$2; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=$3; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=__ZN2js8FixProxyEP9JSContextP8JSObjectPi($6, $7, $isFixed); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8)|0)!=0; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=(($9)&1); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $ok=$10; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=$ok; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11) & 1); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $14=HEAP32[(($isFixed)>>2)]; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=(($14)|0)!=0; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=$4; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($15)&1); //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP8[($16)]=$17; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$2; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$5; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($18, $19, 24, $20); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21)&1); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$22; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      $1=0; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 4; break; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $25=$1; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17proxy_innerObjectP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $4=__ZNK8JSObject15getProxyPrivateEv($3); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=__ZNK2JS5Value14toObjectOrNullEv($4); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $5; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL10proxy_CallP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $proxy;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=(($4)|0); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $proxy=$6; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$1; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$proxy; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$2; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=$3; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=__ZN2js7JSProxy4callEP9JSContextP8JSObjectjPN2JS5ValueE($7, $8, $9, $10); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=(($11)&1); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $12; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZL15proxy_ConstructP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $proxy;
  var $ok;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=(($4)|0); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $proxy=$6; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$1; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=$proxy; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$2; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=$3; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=(($10+16)|0); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=$3; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $13=__ZN2js7JSProxy9constructEP9JSContextP8JSObjectjPN2JS5ValueES7_($7, $8, $9, $11, $12); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $14=(($13)&1); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $ok=$14; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $15=$ok; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $16=(($15) & 1); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $17=(($16)&1); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $17; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function ___cxx_global_var_init43102() {
  ;
  var __label__;

  HEAP32[((((__ZN2js18FunctionProxyClassE)|0))>>2)]=((STRING_TABLE.__str33051)|0);
  HEAP32[((((__ZN2js18FunctionProxyClassE+4)|0))>>2)]=525568;
  HEAP32[((((__ZN2js18FunctionProxyClassE+8)|0))>>2)]=8;
  HEAP32[((((__ZN2js18FunctionProxyClassE+12)|0))>>2)]=8;
  HEAP32[((((__ZN2js18FunctionProxyClassE+16)|0))>>2)]=8;
  HEAP32[((((__ZN2js18FunctionProxyClassE+20)|0))>>2)]=10;
  HEAP32[((((__ZN2js18FunctionProxyClassE+24)|0))>>2)]=150;
  HEAP32[((((__ZN2js18FunctionProxyClassE+28)|0))>>2)]=190;
  HEAP32[((((__ZN2js18FunctionProxyClassE+32)|0))>>2)]=90;
  HEAP32[((((__ZN2js18FunctionProxyClassE+36)|0))>>2)]=0;
  HEAP32[((((__ZN2js18FunctionProxyClassE+40)|0))>>2)]=0;
  HEAP32[((((__ZN2js18FunctionProxyClassE+44)|0))>>2)]=0;
  HEAP32[((((__ZN2js18FunctionProxyClassE+48)|0))>>2)]=230;
  HEAP32[((((__ZN2js18FunctionProxyClassE+52)|0))>>2)]=232;
  HEAP32[((((__ZN2js18FunctionProxyClassE+56)|0))>>2)]=0;
  var $1=HEAP32[((((__ZN2js13FunctionClassE+60)|0))>>2)];
  HEAP32[((((__ZN2js18FunctionProxyClassE+60)|0))>>2)]=$1;
  HEAP32[((((__ZN2js18FunctionProxyClassE+64)|0))>>2)]=234;
  HEAP32[(((((__ZN2js18FunctionProxyClassE+68)|0)))>>2)]=0; HEAP32[(((((__ZN2js18FunctionProxyClassE+68)|0))+4)>>2)]=0; HEAP32[(((((__ZN2js18FunctionProxyClassE+68)|0))+8)>>2)]=0; HEAP32[(((((__ZN2js18FunctionProxyClassE+68)|0))+12)>>2)]=0; HEAP32[(((((__ZN2js18FunctionProxyClassE+68)|0))+16)>>2)]=0; HEAP32[(((((__ZN2js18FunctionProxyClassE+68)|0))+20)>>2)]=0;
  HEAP8[(((__ZN2js18FunctionProxyClassE+88)|0))]=0;
  HEAP32[((((__ZN2js18FunctionProxyClassE+92)|0))>>2)]=236;
  HEAP32[((((__ZN2js18FunctionProxyClassE+96)|0))>>2)]=236;
  HEAP32[((((__ZN2js18FunctionProxyClassE+100)|0))>>2)]=238;
  HEAP32[((((__ZN2js18FunctionProxyClassE+104)|0))>>2)]=240;
  HEAP32[((((__ZN2js18FunctionProxyClassE+108)|0))>>2)]=242;
  HEAP32[((((__ZN2js18FunctionProxyClassE+112)|0))>>2)]=242;
  HEAP32[((((__ZN2js18FunctionProxyClassE+116)|0))>>2)]=244;
  HEAP32[((((__ZN2js18FunctionProxyClassE+120)|0))>>2)]=246;
  HEAP32[((((__ZN2js18FunctionProxyClassE+124)|0))>>2)]=248;
  HEAP32[((((__ZN2js18FunctionProxyClassE+128)|0))>>2)]=250;
  HEAP32[((((__ZN2js18FunctionProxyClassE+132)|0))>>2)]=252;
  HEAP32[((((__ZN2js18FunctionProxyClassE+136)|0))>>2)]=254;
  HEAP32[((((__ZN2js18FunctionProxyClassE+140)|0))>>2)]=256;
  HEAP32[((((__ZN2js18FunctionProxyClassE+144)|0))>>2)]=256;
  HEAP32[((((__ZN2js18FunctionProxyClassE+148)|0))>>2)]=258;
  HEAP32[((((__ZN2js18FunctionProxyClassE+152)|0))>>2)]=260;
  HEAP32[((((__ZN2js18FunctionProxyClassE+156)|0))>>2)]=262;
  HEAP32[((((__ZN2js18FunctionProxyClassE+160)|0))>>2)]=262;
  HEAP32[((((__ZN2js18FunctionProxyClassE+164)|0))>>2)]=264;
  HEAP32[((((__ZN2js18FunctionProxyClassE+168)|0))>>2)]=266;
  HEAP32[((((__ZN2js18FunctionProxyClassE+172)|0))>>2)]=268;
  HEAP32[((((__ZN2js18FunctionProxyClassE+176)|0))>>2)]=268;
  HEAP32[((((__ZN2js18FunctionProxyClassE+180)|0))>>2)]=270;
  HEAP32[((((__ZN2js18FunctionProxyClassE+184)|0))>>2)]=272;
  HEAP32[((((__ZN2js18FunctionProxyClassE+188)|0))>>2)]=274;
  HEAP32[((((__ZN2js18FunctionProxyClassE+192)|0))>>2)]=274;
  HEAP32[((((__ZN2js18FunctionProxyClassE+196)|0))>>2)]=276;
  HEAP32[((((__ZN2js18FunctionProxyClassE+200)|0))>>2)]=278;
  HEAP32[((((__ZN2js18FunctionProxyClassE+204)|0))>>2)]=0;
  HEAP32[((((__ZN2js18FunctionProxyClassE+208)|0))>>2)]=280;
  HEAP32[((((__ZN2js18FunctionProxyClassE+212)|0))>>2)]=0;
  HEAP32[((((__ZN2js18FunctionProxyClassE+216)|0))>>2)]=0;
  HEAP32[((((__ZN2js18FunctionProxyClassE+220)|0))>>2)]=0;
  HEAP8[(((__ZN2js18FunctionProxyClassE+224)|0))]=0; HEAP8[(((__ZN2js18FunctionProxyClassE+224)|0)+1)]=0; HEAP8[(((__ZN2js18FunctionProxyClassE+224)|0)+2)]=0; HEAP8[(((__ZN2js18FunctionProxyClassE+224)|0)+3)]=0; HEAP8[(((__ZN2js18FunctionProxyClassE+224)|0)+4)]=0; HEAP8[(((__ZN2js18FunctionProxyClassE+224)|0)+5)]=0; HEAP8[(((__ZN2js18FunctionProxyClassE+224)|0)+6)]=0; HEAP8[(((__ZN2js18FunctionProxyClassE+224)|0)+7)]=0;
  ;
  return;
}
___cxx_global_var_init43102["X"]=1;

function __ZL19proxy_TraceFunctionP8JSTracerP8JSObject($trc, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$trc;
  $2=$obj;
  var $4=$1; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=$2; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZL17proxy_TraceObjectP8JSTracerP8JSObject($4, $5); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$1; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$2; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=__ZL7GetCallP8JSObject($7); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZN2js2gc25MarkCrossCompartmentValueEP8JSTracerRKN2JS5ValueEPKc($6, $8, ((STRING_TABLE.__str123067)|0)); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$1; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=$2; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZL12GetConstructP8JSObject($3, $10); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  __ZN2js2gc25MarkCrossCompartmentValueEP8JSTracerRKN2JS5ValueEPKc($9, $3, ((STRING_TABLE.__str133068)|0)); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  STACKTOP = __stackBase__;
  return; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js14NewProxyObjectEP9JSContextPNS_14JSProxyHandlerERKN2JS5ValueEP8JSObjectS9_S9_S9_($cx, $handler, $priv, $proto, $parent, $call, $construct) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $fun;
      var $clasp;
      var $obj;
      var $9=__stackBase__;
      var $10=__stackBase__+8;
      var $11=__stackBase__+16;
      $2=$cx;
      $3=$handler;
      $4=$priv;
      $5=$proto;
      $6=$parent;
      $7=$call;
      $8=$construct;
      var $12=$7; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($12)|0)!=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($13) { var $18 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $15=$8; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15)|0)!=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18 = $16;__label__ = 3; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $18;
      var $19=(($18)&1); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $fun=$19; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$fun; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=(($20) & 1); //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $clasp=__ZN2js18FunctionProxyClassE; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $24=$3; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=$24; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($26+96)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=FUNCTION_TABLE[$28]($24); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$29 ? __ZN2js21OuterWindowProxyClassE : __ZN2js16ObjectProxyClassE; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $clasp=$30; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break;
    case 6: 
      var $32=$5; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32)|0)!=0; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $35=$5; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$2; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($35, $36, 0, 1); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 8; break; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $39=$2; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$clasp; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=$5; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$6; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3103($39, $40, $41, $42); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $obj=$43; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=$obj; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=(($44)|0)!=0; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $47=$obj; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=$2; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=__ZN8JSObject27ensureInstanceReservedSlotsEP9JSContextj($47, $48, 0); //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      $1=0; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 19; break; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $52=$obj; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=$3; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=$53; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL12PrivateValueEPv3104($9, $54); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($52, 0, $9); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=$obj; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $56=$4; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($55, 1, $56); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=$fun; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=(($57) & 1); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 18; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      var $60=$obj; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=$7; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $62=(($61)|0)!=0; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($62) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      var $64=$7; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL11ObjectValueER8JSObject3074($10, $64); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 15; break; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      __ZN2JSL14UndefinedValueEv3073($10); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 15; break; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 15: 
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($60, 3, $10); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $67=$8; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $68=(($67)|0)!=0; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($68) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 16: 
      var $70=$obj; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $71=$8; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL11ObjectValueER8JSObject3074($11, $71); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($70, 4, $11); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 17; break; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 17: 
      __label__ = 18; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 18: 
      var $74=$2; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $75=$obj; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $76=__ZNK8JSObject4typeEv($75); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb($74, $76, 0); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $77=$obj; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$77; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 19; break; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 19: 
      var $79=$1; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js14NewProxyObjectEP9JSContextPNS_14JSProxyHandlerERKN2JS5ValueEP8JSObjectS9_S9_S9_["X"]=1;

function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3103($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb3110($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3122($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZN2JSL12PrivateValueEPv3104($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$1; //@line 766 "./jsapi.h"
  __ZN2JS5Value10setPrivateEPv($agg_result, $2); //@line 766 "./jsapi.h"
  ;
  return; //@line 767 "./jsapi.h"
}


function __ZL12proxy_createP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $handler;
      var $proto;
      var $parent;
      var $proxy;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=(($6)>>>0) < 1; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $9=$2; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      _JS_ReportErrorNumber($9, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str53058)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str103065)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str113066)|0),tempInt)); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $11=$2; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$4; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($12+16)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=__ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE($11, $13); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$14; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$handler; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15)|0)!=0; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $parent=0; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$3; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19)>>>0) > 1; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $22=$4; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=(($22+24)|0); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=__ZNK2JS5Value8isObjectEv($23); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $26=$4; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=(($26+24)|0); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=__ZNK2JS5Value8toObjectEv($27); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $proto=$28; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$proto; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZNK8JSObject9getParentEv($29); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $parent=$30; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      $proto=0; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break;
    case 9: 
      var $33=$parent; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=(($33)|0)!=0; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($34) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      var $36=$4; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=(($36)|0); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=__ZNK2JS5Value8toObjectEv($37); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=__ZNK8JSObject9getParentEv($38); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $parent=$39; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 11; break; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $41=$2; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$handler; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL11ObjectValueER8JSObject3074($5, $42); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=$proto; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=$parent; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=__ZN2js14NewProxyObjectEP9JSContextPNS_14JSProxyHandlerERKN2JS5ValueEP8JSObjectS9_S9_S9_($41, ((__ZN22JSScriptedProxyHandler9singletonE)|0), $5, $43, $44, 0, 0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $proxy=$45; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$proxy; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=(($46)|0)!=0; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      var $50=$4; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $51=$proxy; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JS5Value9setObjectER8JSObject($50, $51); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 14; break; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      var $53=$1; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12proxy_createP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL20proxy_createFunctionP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $handler;
      var $proto=__stackBase__;
      var $parent;
      var $call;
      var $construct;
      var $proxy;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=(($6)>>>0) < 2; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $9=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      _JS_ReportErrorNumber($9, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str63059)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str83063)|0),HEAP32[((tempInt+8)>>2)]=((__str93064)|0),tempInt)); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 16; break; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $11=$2; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$4; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($12+16)|0); //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=__ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE($11, $13); //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $handler=$14; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$handler; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=(($15)|0)!=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=0; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 16; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $19=$4; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19)|0); //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZNK2JS5Value8toObjectEv($20); //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=__ZNK8JSObject9getParentEv($21); //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $parent=$22; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=$2; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$parent; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($23, $24, 2, $proto, 0); //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=(($25)|0)!=0; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      $1=0; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 16; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $29=HEAP32[(($proto)>>2)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=__ZNK8JSObject9getParentEv($29); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $parent=$30; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$2; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=$4; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=(($32+24)|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=__Z24js_ValueToCallableObjectP9JSContextPN2JS5ValueEj($31, $33, 65536); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $call=$34; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=$call; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=(($35)|0)!=0; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      $1=0; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 16; break; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      $construct=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$3; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=(($39)>>>0) > 2; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      var $42=$2; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=(($43+32)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=__Z24js_ValueToCallableObjectP9JSContextPN2JS5ValueEj($42, $44, 65536); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $construct=$45; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$construct; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=(($46)|0)!=0; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      $1=0; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 16; break; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      __label__ = 13; break; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      var $51=$2; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=$handler; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL11ObjectValueER8JSObject3074($5, $52); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=HEAP32[(($proto)>>2)]; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=$parent; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=$call; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $56=$construct; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=__ZN2js14NewProxyObjectEP9JSContextPNS_14JSProxyHandlerERKN2JS5ValueEP8JSObjectS9_S9_S9_($51, ((__ZN22JSScriptedProxyHandler9singletonE)|0), $5, $53, $54, $55, $56); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $proxy=$57; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=$proxy; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=(($58)|0)!=0; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      $1=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 16; break; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 15: 
      var $62=$4; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $63=$proxy; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JS5Value9setObjectER8JSObject($62, $63); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 16; break; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 16: 
      var $65=$1; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $65; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20proxy_createFunctionP9JSContextjPN2JS5ValueE["X"]=1;

function __Z18callable_ConstructP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisobj;
      var $callable;
      var $fval=__stackBase__;
      var $protov=__stackBase__+8;
      var $proto=__stackBase__+16;
      var $newobj;
      var $rval=__stackBase__+20;
      var $5=__stackBase__+28;
      var $ok;
      var $6=__stackBase__+36;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$4; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8)|0); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=__Z13js_CreateThisP9JSContextP8JSObject($7, $10); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $thisobj=$11; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$thisobj; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=(($12)|0)!=0; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      $1=0; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $16=$4; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=(($16)|0); //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=__ZNK2JS5Value8toObjectEv($17); //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $callable=$18; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=$callable; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=__ZNK8JSObject7getSlotEj($19, 1); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=$fval; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=$20; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=__ZNK2JS5Value11isUndefinedEv($fval); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 19; break; } //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $25=$callable; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=__ZNK8JSObject7getSlotEj($25, 0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=$fval; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$26; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=$callable; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$2; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $31=$2; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $32=(($31+52)|0); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=(($33+209948)|0); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=(($34+252)|0); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE($29, $30, $36, $protov); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=(($37)|0)!=0; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $1=0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $41=__ZNK2JS5Value8isObjectEv($protov); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $43=__ZNK2JS5Value8toObjectEv($protov); //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($proto)>>2)]=$43; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 11; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $45=$2; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($45, 0, 1, $proto, 0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=(($46)|0)!=0; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      $1=0; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $51=$2; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $52=HEAP32[(($proto)>>2)]; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=HEAP32[(($proto)>>2)]; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=__ZNK8JSObject9getParentEv($53); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_3105($51, __ZN2js11ObjectClassE, $52, $54); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $newobj=$55; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $56=$newobj; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $57=(($56)|0)!=0; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      $1=0; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      var $60=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=$newobj; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL11ObjectValueER8JSObject3074($5, $61); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $62=$callable; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $63=__ZNK8JSObject7getSlotEj($62, 0); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $64=$3; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $65=$4; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $66=(($65+16)|0); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $67=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($60, $5, $63, $64, $66, $rval); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 15: 
      var $70=__ZNK2JS5Value11isPrimitiveEv($rval); //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($70) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 16: 
      var $72=$4; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $73=$newobj; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JS5Value9setObjectER8JSObject($72, $73); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 18; break; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 17: 
      var $75=$4; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $76=$75; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $77=$rval; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($76)>>2)]=HEAP32[(($77)>>2)];HEAP32[(($76+4)>>2)]=HEAP32[(($77+4)>>2)]; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 18; break;
    case 18: 
      $1=1; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 19: 
      var $80=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $81=$thisobj; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2JSL11ObjectValueER8JSObject3074($6, $81); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $82=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $83=$4; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $84=(($83+16)|0); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $85=$4; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $86=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($80, $6, $fval, $82, $84, $85); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $87=(($86)&1); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $ok=$87; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $88=$ok; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $89=(($88) & 1); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $90=(($89)&1); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$90; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 20; break; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 20: 
      var $92=$1; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $92; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18callable_ConstructP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_3105($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1309 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1309 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1309 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1309 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1309 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb3110($9, 0); //@line 1309 "./jsobjinlines.h"
  $kind=$10; //@line 1309 "./jsobjinlines.h"
  var $11=$1; //@line 1310 "./jsobjinlines.h"
  var $12=$2; //@line 1310 "./jsobjinlines.h"
  var $13=$3; //@line 1310 "./jsobjinlines.h"
  var $14=$4; //@line 1310 "./jsobjinlines.h"
  var $15=$kind; //@line 1310 "./jsobjinlines.h"
  var $16=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3127($11, $12, $13, $14, $15); //@line 1310 "./jsobjinlines.h"
  ;
  return $16; //@line 1310 "./jsobjinlines.h"
}


function __ZL13callable_CallP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $callable;
  var $fval;
  var $thisval;
  var $ok;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=(($4)|0); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $callable=$6; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=$callable; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=__ZNK8JSObject7getSlotEj($7, 0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $fval=$8; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=$3; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=(($9+8)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $thisval=$10; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=$1; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=$thisval; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $13=$fval; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $14=$2; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $15=$3; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $16=(($15+16)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $17=$3; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $18=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($11, $12, $13, $14, $16, $17); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $19=(($18)&1); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  $ok=$19; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $20=$ok; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $21=(($20) & 1); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $22=(($21)&1); //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return $22; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN2js14JSProxyHandler13isOuterWindowEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 0; //@line 92 "./jsproxy.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3113($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3120($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3114($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZL19OperationInProgressP9JSContextP8JSObject($cx, $proxy) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $2=$cx;
      $3=$proxy;
      var $4=$2; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $5=(($4+52)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=(($6+144280)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=(($7+65604)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $op=$9; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 2; break; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $11=$op; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=(($11)|0)!=0; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $14=$op; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=(($14+4)|0); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=(($16)|0)==(($17)|0); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=1; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 7; break; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $21=$op; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $op=$23; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 2; break; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      $1=0; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 7; break; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $26=$1; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      ;
      return $26; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL15GetGCObjectKindEjb3110($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL3119($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE3121($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8FixProxyEP9JSContextP8JSObjectPi($cx, $proxy, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tvr=__stackBase__;
      var $5;
      var $props;
      var $proto;
      var $parent;
      var $clasp;
      var $kind;
      var $newborn;
      var $tvr2=__stackBase__+24;
      var $6=__stackBase__+40;
      var $pending=__stackBase__+48;
      $2=$cx;
      $3=$proxy;
      $4=$bp;
      var $7=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$3; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=__ZL19OperationInProgressP9JSContextP8JSObject($7, $8); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $11=$2; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      _JS_ReportErrorNumber($11, 2, 0, 249, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 22; break; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $13=$2; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $13); //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $14=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $15=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $16=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=__ZN2js7JSProxy3fixEP9JSContextP8JSObjectPN2JS5ValueE($14, $15, $16); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      $1=0; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __label__ = 21; break; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $20=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZNK2JS5Value11isUndefinedEv($20); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $23=$4; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($23)>>2)]=0; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __label__ = 21; break; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      var $25=$2; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $27=__ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE($25, $26); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $props=$27; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $28=$props; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $29=(($28)|0)!=0; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      $1=0; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __label__ = 21; break; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $32=$3; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $33=__ZNK8JSObject8getProtoEv($32); //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $proto=$33; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $34=$3; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $35=__ZNK8JSObject9getParentEv($34); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $parent=$35; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $36=$3; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $37=__ZNK8JSObject15isFunctionProxyEv($36); //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $38=$37 ? __ZN2js19CallableObjectClassE : __ZN2js11ObjectClassE; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $clasp=$38; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $39=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $40=$39; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $41=__ZNK2js2gc4Cell12getAllocKindEv($40); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $kind=$41; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $42=$2; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $43=$clasp; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $44=$proto; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $45=$parent; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $46=$kind; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $47=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE($42, $43, $44, $45, $46); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $newborn=$47; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $48=$newborn; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $49=(($48)|0)!=0; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 10: 
      $1=0; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __label__ = 21; break; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 11: 
      var $52=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $53=$newborn; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr2, $52, $53); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $54=$clasp; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $55=(($54)|0)==((__ZN2js19CallableObjectClassE)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 12: 
      var $57=$newborn; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $58=$3; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $59=__ZL7GetCallP8JSObject($58); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($57, 0, $59); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $60=$newborn; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $61=$3; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZL12GetConstructP8JSObject($6, $61); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($60, 1, $6); //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 13; break; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 13: 
      var $63=$2; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $64=$3; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject($pending, $63, $64); //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $65=$2; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $66=$newborn; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $67=$props; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $68=__Z17js_PopulateObjectP9JSContextP8JSObjectS2_($65, $66, $67); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $69=(($68)|0)!=0; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($69) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 14: 
      $1=0; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __label__ = 16; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 15: 
      $5=0; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 16; break; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 16: 
      __ZN25AutoPendingProxyOperationD1Ev($pending); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 17; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 17: 
      var $74=$3; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $75=$2; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $76=$newborn; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $77=__ZN8JSObject4swapEP9JSContextPS_($74, $75, $76); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($77) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 18: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __label__ = 20; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 19: 
      var $80=$4; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      HEAP32[(($80)>>2)]=1; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=1; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $5=1;
      __label__ = 20; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 20: 
      __ZN2js16AutoObjectRooterD1Ev($tvr2); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 21; break;
    case 21: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 22; break;
    case 22: 
      var $84=$1; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $84; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8FixProxyEP9JSContextP8JSObjectPi["X"]=1;

function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  $5=$kind;
  var $6=$1; //@line 1498 "./jsobjinlines.h"
  var $7=$2; //@line 1498 "./jsobjinlines.h"
  var $8=$3; //@line 1498 "./jsobjinlines.h"
  var $9=$4; //@line 1498 "./jsobjinlines.h"
  var $10=$5; //@line 1498 "./jsobjinlines.h"
  var $11=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3122($6, $7, $8, $9, $10); //@line 1498 "./jsobjinlines.h"
  ;
  return $11; //@line 1498 "./jsobjinlines.h"
}


function _js_InitProxyClass($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $module;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $6=$3; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $7=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3108($5, __ZN2js10ProxyClassE, 0, $6); //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $module=$7; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$module; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8)|0)!=0; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $11=$module; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $12=$2; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $13=__ZN8JSObject16setSingletonTypeEP9JSContext($11, $12); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      $1=0; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      var $16=$2; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$3; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$module; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      _OBJECT_TO_JSVAL3109($4, $18); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=_JS_DefineProperty($16, $17, ((STRING_TABLE.__str33051)|0), $4, 8, 10, 0); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=(($19)|0)!=0; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      $1=0; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $23=$2; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $24=$module; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $25=_JS_DefineFunctions($23, $24, ((__ZL14static_methods)|0)); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $26=(($25)|0)!=0; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 7: 
      $1=0; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 8: 
      var $29=$3; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __ZN2js35MarkStandardClassInitializedNoProtoEP8JSObjectPNS_5ClassE($29, __ZN2js10ProxyClassE); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $30=$module; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$30; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 9; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 9: 
      var $32=$1; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3108($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb3110($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3111($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function _OBJECT_TO_JSVAL3109($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL3126($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout3125($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3111($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3112($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3113($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3114($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3115($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3111["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3112($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE3121($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3115($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3115["X"]=1;

function _js_free3116($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc3117($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3118($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj3130($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _JSID_IS_STRING3137($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_STRING3138($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_IS_INT3139($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT3141($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_OBJECT3142($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT3143($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function __ZN2jsL22CastAsStrictPropertyOpEP8JSObject3145($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 86 "./jsobj.h"
  var $3=$2; //@line 86 "./jsobj.h"
  var $4=$3; //@line 86 "./jsobj.h"
  ;
  return $4; //@line 86 "./jsobj.h"
}


function __ZN2jsL16CastAsPropertyOpEP8JSObject3146($object) {
  ;
  var __label__;

  var $1;
  $1=$object;
  var $2=$1; //@line 80 "./jsobj.h"
  var $3=$2; //@line 80 "./jsobj.h"
  var $4=$3; //@line 80 "./jsobj.h"
  ;
  return $4; //@line 80 "./jsobj.h"
}


function _OBJECT_TO_JSVAL_IMPL3126($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL3128($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _PRIVATE_PTR_TO_JSVAL_IMPL3131($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$agg_result; //@line 568 "./jsval.h"
  var $3=(($2+4)|0); //@line 568 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 568 "./jsval.h"
  var $4=$1; //@line 569 "./jsval.h"
  var $5=$agg_result; //@line 569 "./jsval.h"
  var $6=(($5)|0); //@line 569 "./jsval.h"
  var $7=$6; //@line 569 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 569 "./jsval.h"
  ;
  return; //@line 571 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL3132($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function __ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133($sid) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$sid;
  var $2=$1; //@line 147 "./jsclass.h"
  var $3=(($2)|0); //@line 147 "./jsclass.h"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "./jsclass.h"
  $id=$4; //@line 147 "./jsclass.h"
  var $5=$id; //@line 152 "./jsclass.h"
  ;
  return $5; //@line 152 "./jsclass.h"
}


function _BOOLEAN_TO_JSVAL_IMPL3134($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZN25AutoPendingProxyOperationD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $4=(($3)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=(($2)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=(($7+65604)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  HEAP32[(($8)>>2)]=$5; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function __ZN25AutoPendingProxyOperationC2EP9JSContextP8JSObject($this, $cx, $proxy) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$proxy;
  var $4=$1;
  var $5=(($4)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $6=$2; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $7=(($6+52)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $9=(($8+144280)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  HEAP32[(($5)>>2)]=$9; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $10=(($4+4)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $11=(($4)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $13=(($12+65604)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $14=HEAP32[(($13)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $15=(($4+4)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $16=(($15)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  HEAP32[(($16)>>2)]=$14; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $17=$3; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $18=(($4+4)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $19=(($18+4)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  HEAP32[(($19)>>2)]=$17; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $20=(($4+4)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $21=(($4)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $22=HEAP32[(($21)>>2)]; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  var $23=(($22+65604)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  HEAP32[(($23)>>2)]=$20; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
  ;
  return; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
}


function _BUILD_JSVAL3135($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL3136($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL3144($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL3147($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL3149($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL3150($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function __ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3122($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$6; //@line 1443 "./jsobjinlines.h"
      var $21=$3; //@line 1443 "./jsobjinlines.h"
      var $22=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3113($20, $21); //@line 1443 "./jsobjinlines.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1443 "./jsobjinlines.h"
    case 7: 
      var $24=$6; //@line 1444 "./jsobjinlines.h"
      var $25=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3114($24); //@line 1444 "./jsobjinlines.h"
      $6=$25; //@line 1444 "./jsobjinlines.h"
      __label__ = 8; break; //@line 1444 "./jsobjinlines.h"
    case 8: 
      var $27=$2; //@line 1446 "./jsobjinlines.h"
      var $28=$6; //@line 1446 "./jsobjinlines.h"
      var $29=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($27, $28); //@line 1446 "./jsobjinlines.h"
      $obj=$29; //@line 1446 "./jsobjinlines.h"
      var $30=$obj; //@line 1447 "./jsobjinlines.h"
      var $31=(($30)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1447 "./jsobjinlines.h"
    case 9: 
      __label__ = 20; break; //@line 1448 "./jsobjinlines.h"
    case 10: 
      var $34=$obj; //@line 1457 "./jsobjinlines.h"
      var $35=$2; //@line 1457 "./jsobjinlines.h"
      var $36=$3; //@line 1457 "./jsobjinlines.h"
      var $37=$type; //@line 1457 "./jsobjinlines.h"
      var $38=$5; //@line 1457 "./jsobjinlines.h"
      var $39=(($38)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($39) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 11: 
      var $41=$4; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 12: 
      var $44=$4; //@line 1458 "./jsobjinlines.h"
      var $45=__ZNK8JSObject9getParentEv($44); //@line 1458 "./jsobjinlines.h"
      var $49 = $45;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 13: 
      var $47=$5; //@line 1458 "./jsobjinlines.h"
      var $49 = $47;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 14: 
      var $49; //@line 1458 "./jsobjinlines.h"
      var $50=$3; //@line 1458 "./jsobjinlines.h"
      var $51=(($50)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($34, $35, $36, $37, $49, 0, $51); //@line 1458 "./jsobjinlines.h"
      var $52=$3; //@line 1461 "./jsobjinlines.h"
      var $53=__ZNK2js5Class8isNativeEv($52); //@line 1461 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1461 "./jsobjinlines.h"
    case 15: 
      var $55=$2; //@line 1462 "./jsobjinlines.h"
      var $56=$obj; //@line 1462 "./jsobjinlines.h"
      var $57=$3; //@line 1462 "./jsobjinlines.h"
      var $58=$type; //@line 1462 "./jsobjinlines.h"
      var $59=$6; //@line 1462 "./jsobjinlines.h"
      var $60=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3115($55, $56, $57, $58, $59); //@line 1462 "./jsobjinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1462 "./jsobjinlines.h"
    case 16: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 20; break; //@line 1464 "./jsobjinlines.h"
    case 17: 
      __label__ = 19; break; //@line 1466 "./jsobjinlines.h"
    case 18: 
      var $64=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($64); //@line 1467 "./jsobjinlines.h"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $67=$2; //@line 1471 "./jsobjinlines.h"
      var $68=$obj; //@line 1471 "./jsobjinlines.h"
      var $69=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($67, $68); //@line 1471 "./jsobjinlines.h"
      var $70=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$70; //@line 1472 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1472 "./jsobjinlines.h"
    case 21: 
      var $72=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $72; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3122["X"]=1;

function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE8shrinkByEj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  $1=$this;
  $2=$incr;
  var $3=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_($g, $3); //@line 662 "./jsvector.h"
  var $4=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  var $5=$2; //@line 664 "./jsvector.h"
  var $6=(((-$5))|0); //@line 664 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 664 "./jsvector.h"
  var $8=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  __ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE7destroyEPiS3_($7, $8); //@line 664 "./jsvector.h"
  var $9=$2; //@line 665 "./jsvector.h"
  var $10=(($3+8)|0); //@line 665 "./jsvector.h"
  var $11=HEAP32[(($10)>>2)]; //@line 665 "./jsvector.h"
  var $12=(($11-$9)|0); //@line 665 "./jsvector.h"
  HEAP32[(($10)>>2)]=$12; //@line 665 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 666 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 666 "./jsvector.h"
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE19growByUninitializedEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 700 "./jsvector.h"
  var $5=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($3, $4); //@line 700 "./jsvector.h"
  ;
  return $5; //@line 700 "./jsvector.h"
}


function __ZN2jsL15MakeRangeGCSafeEPiS0_($beg, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $id;
      $1=$beg;
      $2=$end;
      var $3=$1; //@line 378 "./jsinterp.h"
      $id=$3; //@line 378 "./jsinterp.h"
      __label__ = 2; break; //@line 378 "./jsinterp.h"
    case 2: 
      var $5=$id; //@line 378 "./jsinterp.h"
      var $6=$2; //@line 378 "./jsinterp.h"
      var $7=(($5)|0)!=(($6)|0); //@line 378 "./jsinterp.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 378 "./jsinterp.h"
    case 3: 
      var $9=_INT_TO_JSID3072(0); //@line 379 "./jsinterp.h"
      var $10=$id; //@line 379 "./jsinterp.h"
      HEAP32[(($10)>>2)]=$9; //@line 379 "./jsinterp.h"
      __label__ = 4; break; //@line 379 "./jsinterp.h"
    case 4: 
      var $12=$id; //@line 378 "./jsinterp.h"
      var $13=(($12+4)|0); //@line 378 "./jsinterp.h"
      $id=$13; //@line 378 "./jsinterp.h"
      __label__ = 2; break; //@line 378 "./jsinterp.h"
    case 5: 
      ;
      return; //@line 380 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<2))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=$3; //@line 681 "./jsvector.h"
      var $22=(($5+8)|0); //@line 681 "./jsvector.h"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "./jsvector.h"
      var $24=(($23+$21)|0); //@line 681 "./jsvector.h"
      HEAP32[(($22)>>2)]=$24; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $26=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $26; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc3123($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc3124($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13IMPL_TO_JSVAL12jsval_layout3125($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3127($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3113($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3114($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3127["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom3129($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj3130($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZNK8JSObject13getProxyExtraEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 2); //@line 172 "./jsproxy.h"
  ;
  return $3; //@line 172 "./jsproxy.h"
}


function __ZN2JSL10Int32ValueEi3140($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZL7GetTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE($cx, $handler, $atom, $fvalp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      $2=$cx;
      $3=$handler;
      $4=$atom;
      $5=$fvalp;
      __label__ = 2; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $8=$2; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $9=(($8+48)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 3: 
      var $13=$2; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=0; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 4: 
      __label__ = 5; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 5: 
      var $16=$3; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $17=$2; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $18=$4; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $19=__ZL12ATOM_TO_JSIDP6JSAtom3129($18); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $20=$5; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $21=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($16, $17, $19, $20); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      var $22=(($21)|0)!=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      $1=$22; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      __label__ = 6; break; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    case 6: 
      var $24=$1; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsproxy.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL9NullValueEv3148($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __GLOBAL__I_a3151() {
  ;
  var __label__;

  ___cxx_global_var_init3079();
  ___cxx_global_var_init43102();
  ;
  return;
}


function __ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPP8JSObject($this, $type, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tv=__stackBase__;
      var $node;
      var $6=__stackBase__+8;
      $2=$this;
      $3=$type;
      $4=$pos;
      $5=$dst;
      var $7=$2;
      var $8=(($7)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3397($9, __ZN2js11ObjectClassE, 0, 0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $node=$10; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=$node; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=(($11)|0)!=0; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $14=$node; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$4; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js11NodeBuilder10setNodeLocEP8JSObjectPNS_8TokenPosE($7, $14, $15); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $18=$3; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=((__ZN2js13nodeTypeNamesE+($18<<2))|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($7, $20, $tv); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $23=$node; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$6; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$tv; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($7, $23, ((STRING_TABLE.__str1763328)|0), $6); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $1=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $29=$node; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$5; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      HEAP32[(($30)>>2)]=$29; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $32=$1; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3397($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb3408($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3409($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZN2js11NodeBuilder10setNodeLocEP8JSObjectPNS_8TokenPosE($this, $node, $pos) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $loc=__stackBase__+8;
      var $6=__stackBase__+16;
      $2=$this;
      $3=$node;
      $4=$pos;
      var $7=$2;
      var $8=(($7+4)|0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=HEAP8[($8)]; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=(($9) & 1); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $12=$3; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL9NullValueEv3400($5); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($7, $12, ((STRING_TABLE.__str1823334)|0), $5); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $15=$4; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE($7, $15, $loc); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 4; break; } else { var $23 = 0;__label__ = 5; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $18=$3; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$6; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$loc; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($7, $18, ((STRING_TABLE.__str1823334)|0), $6); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23 = $21;__label__ = 5; break;
    case 5: 
      var $23;
      $1=$23;
      __label__ = 6; break;
    case 6: 
      var $25=$1; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($this, $s, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      $2=$this;
      $3=$s;
      $4=$dst;
      var $5=$2;
      var $6=(($5)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=$3; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$3; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=_strlen($9); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($7, $8, $10, 0, 0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $atom=$11; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$atom; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12)|0)!=0; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $16=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=$atom; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value9setStringEP8JSString($16, $18); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $20=$1; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $20; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _INT_TO_JSID3398($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($this, $obj, $name, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $val=__stackBase__;
      var $atom;
      $3=$this;
      $4=$obj;
      $5=$name;
      var $6=$val;
      var $7=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
      var $8=$3;
      var $9=__ZNK2JS5Value7isMagicE10JSWhyMagic($val, 8); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      __ZN2JS5Value7setNullEv($val); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 3; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $12=(($8)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$5; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$5; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=_strlen($15); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($13, $14, $16, 0, 0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $atom=$17; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$atom; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18)|0)!=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      $2=0; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $22=$4; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($8)|0); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$atom; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZL12ATOM_TO_JSIDP6JSAtom3421($25); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($22, $24, $26, $val, 8, 10, 1); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($27)|0)!=0; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$28; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $30=$2; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($this, $elts, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $array;
      var $len;
      var $i;
      var $val=__stackBase__;
      $2=$this;
      $3=$elts;
      $4=$dst;
      var $5=$2;
      var $6=(($5)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($7, 0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $array=$8; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$array; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=(($9)|0)!=0; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 12; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $13=$3; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$13; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($14); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $len=$15; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $i=0; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $17=$i; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$len; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($17)>>>0) < (($18)>>>0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $21=$3; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$21; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$i; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj($22, $23); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$val; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$24; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZNK2JS5Value7isMagicE10JSWhyMagic($val, 8); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      __label__ = 10; break; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $30=$array; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($5)|0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$i; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=_INT_TO_JSID3398($33); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($30, $32, $34, $val, 0); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($35)|0)!=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      $1=0; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 12; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      __label__ = 10; break; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $40=$i; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($40+1)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $i=$41; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $43=$4; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$array; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value9setObjectER8JSObject($43, $44); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 12; break; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $46=$1; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE["X"]=1;

function __ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE($this, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $loc=__stackBase__;
      var $to=__stackBase__+4;
      var $tv=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $7=__stackBase__+32;
      var $8=__stackBase__+40;
      var $9=__stackBase__+48;
      var $10=__stackBase__+56;
      var $11=__stackBase__+64;
      $2=$this;
      $3=$pos;
      $4=$dst;
      var $12=$2;
      var $13=$3; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13)|0)!=0; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $16=$4; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value7setNullEv($16); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 19; break; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $18=__ZN2js11NodeBuilder9newObjectEPP8JSObject($12, $loc); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      $1=0; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 19; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $21=$4; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=HEAP32[(($loc)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value9setObjectER8JSObject($21, $22); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZN2js11NodeBuilder9newObjectEPP8JSObject($12, $to); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 6; break; } else { var $85 = 0;__label__ = 18; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $25=HEAP32[(($loc)>>2)]; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=HEAP32[(($to)>>2)]; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL11ObjectValueER8JSObject3399($5, $26); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($12, $25, ((STRING_TABLE.__str1773329)|0), $5); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 7; break; } else { var $85 = 0;__label__ = 18; break; } //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $29=$3; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($29)|0); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($30+4)|0); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=__ZN2JS5Value9setNumberEj($tv, $32); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if (1) { __label__ = 8; break; } else { var $85 = 0;__label__ = 18; break; } //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $35=HEAP32[(($to)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$6; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$tv; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($12, $35, ((STRING_TABLE.__str1783330)|0), $6); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($38) { __label__ = 9; break; } else { var $85 = 0;__label__ = 18; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $40=$3; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($40)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=(($41)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=__ZN2JS5Value9setNumberEj($tv, $43); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if (1) { __label__ = 10; break; } else { var $85 = 0;__label__ = 18; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $46=HEAP32[(($to)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$7; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$tv; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($12, $46, ((STRING_TABLE.__str1793331)|0), $7); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($49) { __label__ = 11; break; } else { var $85 = 0;__label__ = 18; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $51=__ZN2js11NodeBuilder9newObjectEPP8JSObject($12, $to); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($51) { __label__ = 12; break; } else { var $85 = 0;__label__ = 18; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $53=HEAP32[(($loc)>>2)]; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=HEAP32[(($to)>>2)]; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL11ObjectValueER8JSObject3399($8, $54); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($12, $53, ((STRING_TABLE.__str1803332)|0), $8); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($55) { __label__ = 13; break; } else { var $85 = 0;__label__ = 18; break; } //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $57=$3; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=(($57+8)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=(($58+4)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=__ZN2JS5Value9setNumberEj($tv, $60); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if (1) { __label__ = 14; break; } else { var $85 = 0;__label__ = 18; break; } //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $63=HEAP32[(($to)>>2)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=$9; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=$tv; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($12, $63, ((STRING_TABLE.__str1783330)|0), $9); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($66) { __label__ = 15; break; } else { var $85 = 0;__label__ = 18; break; } //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $68=$3; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=(($68+8)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=(($69)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72=__ZN2JS5Value9setNumberEj($tv, $71); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if (1) { __label__ = 16; break; } else { var $85 = 0;__label__ = 18; break; } //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      var $74=HEAP32[(($to)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=$10; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=$tv; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($75)>>2)]=HEAP32[(($76)>>2)];HEAP32[(($75+4)>>2)]=HEAP32[(($76+4)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($12, $74, ((STRING_TABLE.__str1793331)|0), $10); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($77) { __label__ = 17; break; } else { var $85 = 0;__label__ = 18; break; } //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $79=HEAP32[(($loc)>>2)]; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $80=(($12+16)|0); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=$11; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=$80; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($81)>>2)]=HEAP32[(($82)>>2)];HEAP32[(($81+4)>>2)]=HEAP32[(($82+4)>>2)]; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($12, $79, ((STRING_TABLE.__str1813333)|0), $11); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $85 = $83;__label__ = 18; break;
    case 18: 
      var $85;
      $1=$85;
      __label__ = 19; break;
    case 19: 
      var $87=$1; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $87; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE["X"]=1;

function __ZN2js11NodeBuilder9newObjectEPP8JSObject($this, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nobj;
      $2=$this;
      $3=$dst;
      var $4=$2;
      var $5=(($4)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3397($6, __ZN2js11ObjectClassE, 0, 0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $nobj=$7; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=$nobj; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=(($8)|0)!=0; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $12=$nobj; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=$3; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $15=$1; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $15; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11ObjectValueER8JSObject3399($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2JSL9NullValueEv3400($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZN2js11NodeBuilder7programERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 0, ((STRING_TABLE.__str1833335)|0), $6, $7, $8); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $type, $propName, $elts, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $array=__stackBase__;
      var $cb=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      $2=$this;
      $3=$type;
      $4=$propName;
      $5=$elts;
      $6=$pos;
      $7=$dst;
      var $11=$2;
      var $12=$5; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($11, $12, $array); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $16=$3; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($11+24)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+($16<<3))|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$18; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZNK2JS5Value6isNullEv($cb); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $23=$8; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$9; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$array; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$6; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$7; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $8, $9, $27, $28); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$29; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $31=$3; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$6; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$4; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$array; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$7; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, $31, $32, $33, $10, $36); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$37; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $39=$1; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE["X"]=1;

function __ZN2js11NodeBuilder14blockStatementERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 28, ((STRING_TABLE.__str1833335)|0), $6, $7, $8); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder19expressionStatementEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $expr=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$expr;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+232)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$expr; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$expr; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 29, $26, ((STRING_TABLE.__str1843336)|0), $8, $29); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $fun=__stackBase__;
      var $v1=__stackBase__+8;
      var $5;
      var $6;
      var $loc=__stackBase__+16;
      var $argv=__stackBase__+24;
      var $argv1=__stackBase__+40;
      $4=$this;
      var $7=$fun;
      var $8=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
      var $9=$v1;
      var $10=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $11=$4;
      var $12=(($11+4)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=HEAP8[($12)]; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13) & 1); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $16=$5; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE($11, $16, $loc); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $3=0; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $20=(($argv)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$20; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$v1; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($20+8)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$23; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$loc; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($11)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($11+576)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=(($argv)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$6; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($27, $28, $fun, 2, $29, $30); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$31; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $33=(($argv1)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$33; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$v1; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($11)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=(($11+576)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=(($argv1)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$6; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($37, $38, $fun, 1, $39, $40); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$41; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $43=$3; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($this, $type, $pos, $childName, $0, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $child=__stackBase__;
      var $6;
      var $node=__stackBase__+8;
      var $7=__stackBase__+12;
      $2=$this;
      $3=$type;
      $4=$pos;
      $5=$childName;
      var $8=$child;
      var $9=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
      $6=$dst;
      var $10=$2;
      var $11=$3; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$4; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPP8JSObject($10, $11, $12, $node); //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $15=HEAP32[(($node)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$5; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=$7; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$child; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($10, $15, $16, $7); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($19) { __label__ = 3; break; } else { var $25 = 0;__label__ = 4; break; } //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $21=HEAP32[(($node)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$6; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZN2js11NodeBuilder9setResultEP8JSObjectPN2JS5ValueE($10, $21, $22); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25 = $23;__label__ = 4; break;
    case 4: 
      var $25;
      STACKTOP = __stackBase__;
      return $25; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder14emptyStatementEPNS_8TokenPosEPN2JS5ValueE($this, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cb=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$pos;
      $4=$dst;
      var $6=$2;
      var $7=(($6+24)|0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=(($7+216)|0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$cb; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$8; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZNK2JS5Value6isNullEv($cb); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $13=$5; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$3; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$4; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZN2js11NodeBuilder8callbackEN2JS5ValueEPNS_8TokenPosEPS2_($6, $5, $15, $16); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$17; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19=$3; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$4; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPN2JS5ValueE($6, 27, $19, $20); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$21; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $23=$1; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder8callbackEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $fun=__stackBase__;
      var $4;
      var $5;
      var $loc=__stackBase__+8;
      var $argv=__stackBase__+16;
      var $argv1=__stackBase__+24;
      $3=$this;
      var $6=$fun;
      var $7=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $8=$3;
      var $9=(($8+4)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=HEAP8[($9)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10) & 1); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $13=$4; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE($8, $13, $loc); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $2=0; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $17=(($argv)|0); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$loc; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($8)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($8+576)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($argv)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$5; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($21, $22, $fun, 1, $23, $24); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$25; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $27=(($argv1)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL9NullValueEv3400($27); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($8)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($8+576)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($argv1)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$5; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($29, $30, $fun, 0, $31, $32); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$33; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $35=$2; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPN2JS5ValueE($this, $type, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $node=__stackBase__;
      $1=$this;
      $2=$type;
      $3=$pos;
      $4=$dst;
      var $5=$1;
      var $6=$2; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=$3; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPP8JSObject($5, $6, $7, $node); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($8) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $10=HEAP32[(($node)>>2)]; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=$4; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=__ZN2js11NodeBuilder9setResultEP8JSObjectPN2JS5ValueE($5, $10, $11); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      STACKTOP = __stackBase__;
      return $14; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder11ifStatementEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($this, $0, $1, $2, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $4;
      var $5;
      var $test=__stackBase__;
      var $cons=__stackBase__+8;
      var $alt=__stackBase__+16;
      var $6;
      var $7;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      var $15=__stackBase__+88;
      $5=$this;
      var $16=$test;
      var $17=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      var $18=$cons;
      var $19=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      var $20=$alt;
      var $21=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $22=$5;
      var $23=(($22+24)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23+248)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$cb; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$24; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZNK2JS5Value6isNullEv($cb); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $29=$8; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$cb; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$9; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$test; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$10; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$cons; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$12; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$alt; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($11, $22, $12); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$6; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$7; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($22, $8, $9, $10, $11, $37, $38); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$39; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $41=$6; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$13; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$test; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$14; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$cons; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$15; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$alt; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$7; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($22, 31, $41, ((STRING_TABLE.__str1853337)|0), $13, ((STRING_TABLE.__str1863338)|0), $14, ((STRING_TABLE.__str1873339)|0), $15, $48); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$49; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $51=$4; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder11ifStatementEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($this, $0, $1, $2, $3, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $3; $3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $5;
      var $6;
      var $fun=__stackBase__;
      var $v1=__stackBase__+8;
      var $v2=__stackBase__+16;
      var $v3=__stackBase__+24;
      var $7;
      var $8;
      var $loc=__stackBase__+32;
      var $argv=__stackBase__+40;
      var $argv1=__stackBase__+72;
      $6=$this;
      var $9=$fun;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      var $11=$v1;
      var $12=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];
      var $13=$v2;
      var $14=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)];
      var $15=$v3;
      var $16=$3;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      $7=$pos;
      $8=$dst;
      var $17=$6;
      var $18=(($17+4)|0); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=HEAP8[($18)]; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19) & 1); //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $22=$7; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE($17, $22, $loc); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $5=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $26=(($argv)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$26; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$v1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=(($26+8)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$v2; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($29+8)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$32; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$v3; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=(($32+8)|0); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$35; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$loc; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=(($17)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=(($17+576)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($argv)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$8; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($39, $40, $fun, 4, $41, $42); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=$43; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $45=(($argv1)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$45; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$v1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=(($45+8)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$48; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$v2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=(($48+8)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$51; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$v3; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=(($17)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=(($17+576)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=(($argv1)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$8; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($55, $56, $fun, 3, $57, $58); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=$59; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $61=$5; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder3optEN2JS5ValueE($agg_result, $this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $v=__stackBase__;
      $2=$this;
      var $3=$v;
      var $4=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
      var $5=$2;
      var $6=__ZNK2JS5Value7isMagicE10JSWhyMagic($v, 8); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      __ZN2JSL14UndefinedValueEv3403($agg_result); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $9=$agg_result; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$v; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($this, $type, $pos, $childName1, $0, $childName2, $1, $childName3, $2, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $4;
      var $5;
      var $6;
      var $7;
      var $child1=__stackBase__;
      var $8;
      var $child2=__stackBase__+8;
      var $9;
      var $child3=__stackBase__+16;
      var $10;
      var $node=__stackBase__+24;
      var $11=__stackBase__+28;
      var $12=__stackBase__+36;
      var $13=__stackBase__+44;
      $4=$this;
      $5=$type;
      $6=$pos;
      $7=$childName1;
      var $14=$child1;
      var $15=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      $8=$childName2;
      var $16=$child2;
      var $17=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      $9=$childName3;
      var $18=$child3;
      var $19=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      $10=$dst;
      var $20=$4;
      var $21=$5; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$6; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPP8JSObject($20, $21, $22, $node); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $25=HEAP32[(($node)>>2)]; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$7; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$11; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$child1; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($20, $25, $26, $11); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($29) { __label__ = 3; break; } else { var $47 = 0;__label__ = 6; break; } //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $31=HEAP32[(($node)>>2)]; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$8; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$12; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$child2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($20, $31, $32, $12); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($35) { __label__ = 4; break; } else { var $47 = 0;__label__ = 6; break; } //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $37=HEAP32[(($node)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$9; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$13; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$child3; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($20, $37, $38, $13); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($41) { __label__ = 5; break; } else { var $47 = 0;__label__ = 6; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $43=HEAP32[(($node)>>2)]; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$10; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=__ZN2js11NodeBuilder9setResultEP8JSObjectPN2JS5ValueE($20, $43, $44); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47 = $45;__label__ = 6; break;
    case 6: 
      var $47;
      STACKTOP = __stackBase__;
      return $47; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_["X"]=1;

function __ZN2js11NodeBuilder14breakStatementEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $label=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      $3=$this;
      var $10=$label;
      var $11=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $12=$3;
      var $13=(($12+24)|0); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13+296)|0); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$cb; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$14; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZNK2JS5Value6isNullEv($cb); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $19=$6; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$cb; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$8; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$label; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($7, $12, $8); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$4; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$5; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($12, $6, $7, $23, $24); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$25; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $27=$4; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$9; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$label; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$5; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($12, 37, $27, ((STRING_TABLE.__str1883340)|0), $9, $30); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$31; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $33=$2; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder17continueStatementEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $label=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      $3=$this;
      var $10=$label;
      var $11=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $12=$3;
      var $13=(($12+24)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13+304)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$cb; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$14; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZNK2JS5Value6isNullEv($cb); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $19=$6; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$cb; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$8; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$label; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($7, $12, $8); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$4; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$5; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($12, $6, $7, $23, $24); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$25; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $27=$4; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$9; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$label; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$5; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($12, 38, $27, ((STRING_TABLE.__str1883340)|0), $9, $30); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$31; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $33=$2; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder16labeledStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $label=__stackBase__;
      var $stmt=__stackBase__+8;
      var $5;
      var $6;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $4=$this;
      var $12=$label;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=$stmt;
      var $15=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $16=$4;
      var $17=(($16+24)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+240)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$18; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZNK2JS5Value6isNullEv($cb); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $23=$7; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$8; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$label; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$9; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$stmt; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$6; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($16, $7, $8, $9, $29, $30); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$31; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $33=$5; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$label; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$11; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$stmt; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$6; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($16, 30, $33, ((STRING_TABLE.__str1883340)|0), $10, ((STRING_TABLE.__str1833335)|0), $11, $38); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$39; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $41=$3; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder16labeledStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($this, $0, $1, $2, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $4;
      var $5;
      var $fun=__stackBase__;
      var $v1=__stackBase__+8;
      var $v2=__stackBase__+16;
      var $6;
      var $7;
      var $loc=__stackBase__+24;
      var $argv=__stackBase__+32;
      var $argv1=__stackBase__+56;
      $5=$this;
      var $8=$fun;
      var $9=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
      var $10=$v1;
      var $11=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      var $12=$v2;
      var $13=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $14=$5;
      var $15=(($14+4)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=HEAP8[($15)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16) & 1); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $19=$6; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE($14, $19, $loc); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $4=0; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $23=(($argv)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$23; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$v1; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($23+8)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$26; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$v2; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=(($26+8)|0); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$loc; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($14)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=(($14+576)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=(($argv)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$7; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($33, $34, $fun, 3, $35, $36); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$37; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $39=(($argv1)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$39; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$v1; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=(($39+8)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$42; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$v2; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=(($14)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($14+576)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=(($argv1)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$7; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($46, $47, $fun, 2, $48, $49); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$50; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $52=$4; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $52; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($this, $type, $pos, $childName1, $0, $childName2, $1, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $5;
      var $6;
      var $child1=__stackBase__;
      var $7;
      var $child2=__stackBase__+8;
      var $8;
      var $node=__stackBase__+16;
      var $9=__stackBase__+20;
      var $10=__stackBase__+28;
      $3=$this;
      $4=$type;
      $5=$pos;
      $6=$childName1;
      var $11=$child1;
      var $12=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];
      $7=$childName2;
      var $13=$child2;
      var $14=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)];
      $8=$dst;
      var $15=$3;
      var $16=$4; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=$5; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPP8JSObject($15, $16, $17, $node); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $20=HEAP32[(($node)>>2)]; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$6; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$9; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$child1; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($15, $20, $21, $9); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($24) { __label__ = 3; break; } else { var $36 = 0;__label__ = 5; break; } //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=HEAP32[(($node)>>2)]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$7; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$10; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$child2; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($15, $26, $27, $10); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($30) { __label__ = 4; break; } else { var $36 = 0;__label__ = 5; break; } //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=HEAP32[(($node)>>2)]; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$8; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=__ZN2js11NodeBuilder9setResultEP8JSObjectPN2JS5ValueE($15, $32, $33); //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36 = $34;__label__ = 5; break;
    case 5: 
      var $36;
      STACKTOP = __stackBase__;
      return $36; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder14throwStatementEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $arg=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$arg;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+336)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$arg; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$arg; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 42, $26, ((STRING_TABLE.__str1893341)|0), $8, $29); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder15returnStatementEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $arg=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      $3=$this;
      var $10=$arg;
      var $11=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $12=$3;
      var $13=(($12+24)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13+320)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$cb; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$14; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZNK2JS5Value6isNullEv($cb); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $19=$6; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$cb; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$8; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$arg; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($7, $12, $8); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$4; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$5; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($12, $6, $7, $23, $24); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$25; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $27=$4; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$9; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$arg; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$5; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($12, 40, $27, ((STRING_TABLE.__str1893341)|0), $9, $30); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$31; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $33=$2; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder12forStatementEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($this, $0, $1, $2, $3, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 136; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $3; $3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $5;
      var $6;
      var $init=__stackBase__;
      var $test=__stackBase__+8;
      var $update=__stackBase__+16;
      var $stmt=__stackBase__+24;
      var $7;
      var $8;
      var $cb=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      var $15=__stackBase__+88;
      var $16=__stackBase__+96;
      var $17=__stackBase__+104;
      var $18=__stackBase__+112;
      var $19=__stackBase__+120;
      var $20=__stackBase__+128;
      $6=$this;
      var $21=$init;
      var $22=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)];
      var $23=$test;
      var $24=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)];
      var $25=$update;
      var $26=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)];
      var $27=$stmt;
      var $28=$3;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)];
      $7=$pos;
      $8=$dst;
      var $29=$6;
      var $30=(($29+24)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($30+280)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$cb; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$31; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=__ZNK2JS5Value6isNullEv($cb); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($34) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $36=$9; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$cb; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$11; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$init; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($10, $29, $11); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$13; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$test; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($12, $29, $13); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$15; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$update; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($14, $29, $15); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$16; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$stmt; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$7; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$8; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_PNS_8TokenPosEPS2_($29, $9, $10, $12, $14, $16, $46, $47); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=$48; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $50=$7; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$17; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$init; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$18; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$test; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$19; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$update; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=$20; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$stmt; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$8; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_PS7_($29, 35, $50, ((STRING_TABLE.__str1903342)|0), $17, ((STRING_TABLE.__str1853337)|0), $18, ((STRING_TABLE.__str1913343)|0), $19, ((STRING_TABLE.__str1833335)|0), $20, $59); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=$60; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $62=$5; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder12forStatementEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_PNS_8TokenPosEPS2_($this, $0, $1, $2, $3, $4, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 120; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $3; $3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $4; $4 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($4)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $6;
      var $7;
      var $fun=__stackBase__;
      var $v1=__stackBase__+8;
      var $v2=__stackBase__+16;
      var $v3=__stackBase__+24;
      var $v4=__stackBase__+32;
      var $8;
      var $9;
      var $loc=__stackBase__+40;
      var $argv=__stackBase__+48;
      var $argv1=__stackBase__+88;
      $7=$this;
      var $10=$fun;
      var $11=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      var $12=$v1;
      var $13=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=$v2;
      var $15=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      var $16=$v3;
      var $17=$3;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      var $18=$v4;
      var $19=$4;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      $8=$pos;
      $9=$dst;
      var $20=$7;
      var $21=(($20+4)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=HEAP8[($21)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22) & 1); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $25=$8; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE($20, $25, $loc); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $6=0; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $29=(($argv)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$v1; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($29+8)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$32; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$v2; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=(($32+8)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$35; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$v3; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=(($35+8)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$38; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$v4; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($38+8)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$41; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$loc; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=(($20)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=(($20+576)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($argv)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$9; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($45, $46, $fun, 5, $47, $48); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=$49; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $51=(($argv1)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$51; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$v1; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=(($51+8)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$54; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$v2; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=(($54+8)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$57; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$v3; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($57+8)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$60; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=$v4; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[(($62)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[(($62+4)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=(($20)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=(($20+576)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=(($argv1)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=$9; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($64, $65, $fun, 4, $66, $67); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=$68; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $70=$6; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $70; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_PS7_($this, $type, $pos, $childName1, $0, $childName2, $1, $childName3, $2, $childName4, $3, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $3; $3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $5;
      var $6;
      var $7;
      var $8;
      var $child1=__stackBase__;
      var $9;
      var $child2=__stackBase__+8;
      var $10;
      var $child3=__stackBase__+16;
      var $11;
      var $child4=__stackBase__+24;
      var $12;
      var $node=__stackBase__+32;
      var $13=__stackBase__+36;
      var $14=__stackBase__+44;
      var $15=__stackBase__+52;
      var $16=__stackBase__+60;
      $5=$this;
      $6=$type;
      $7=$pos;
      $8=$childName1;
      var $17=$child1;
      var $18=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];
      $9=$childName2;
      var $19=$child2;
      var $20=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)];
      $10=$childName3;
      var $21=$child3;
      var $22=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)];
      $11=$childName4;
      var $23=$child4;
      var $24=$3;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)];
      $12=$dst;
      var $25=$5;
      var $26=$6; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$7; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPP8JSObject($25, $26, $27, $node); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($28) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $30=HEAP32[(($node)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$8; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$13; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$child1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($25, $30, $31, $13); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($34) { __label__ = 3; break; } else { var $58 = 0;__label__ = 7; break; } //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $36=HEAP32[(($node)>>2)]; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$9; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$14; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$child2; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($25, $36, $37, $14); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($40) { __label__ = 4; break; } else { var $58 = 0;__label__ = 7; break; } //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $42=HEAP32[(($node)>>2)]; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$10; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$15; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$child3; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($25, $42, $43, $15); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($46) { __label__ = 5; break; } else { var $58 = 0;__label__ = 7; break; } //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $48=HEAP32[(($node)>>2)]; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$11; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$16; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$child4; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($25, $48, $49, $16); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($52) { __label__ = 6; break; } else { var $58 = 0;__label__ = 7; break; } //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $54=HEAP32[(($node)>>2)]; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$12; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=__ZN2js11NodeBuilder9setResultEP8JSObjectPN2JS5ValueE($25, $54, $55); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58 = $56;__label__ = 7; break;
    case 7: 
      var $58;
      STACKTOP = __stackBase__;
      return $58; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_PS7_["X"]=1;

function __ZN2js11NodeBuilder14forInStatementEN2JS5ValueES2_S2_bPNS_8TokenPosEPS2_($this, $0, $1, $2, $isForEach, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $4;
      var $5;
      var $var=__stackBase__;
      var $expr=__stackBase__+8;
      var $stmt=__stackBase__+16;
      var $6;
      var $7;
      var $8;
      var $cb=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      var $12=__stackBase__+56;
      var $13=__stackBase__+64;
      var $14=__stackBase__+72;
      var $15=__stackBase__+80;
      var $16=__stackBase__+88;
      var $17=__stackBase__+96;
      $5=$this;
      var $18=$var;
      var $19=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      var $20=$expr;
      var $21=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)];
      var $22=$stmt;
      var $23=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)];
      var $24=(($isForEach)&1);
      $6=$24;
      $7=$pos;
      $8=$dst;
      var $25=$5;
      var $26=(($25+24)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26+288)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$cb; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$27; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZNK2JS5Value6isNullEv($cb); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($30) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $32=$9; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$cb; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$var; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$11; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$expr; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$12; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$stmt; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$6; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($40) & 1); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($13, $41); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$7; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$8; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_PNS_8TokenPosEPS2_($25, $9, $10, $11, $12, $13, $42, $43); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$44; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $46=$7; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$14; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$var; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$15; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$expr; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$16; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$stmt; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$6; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=(($53) & 1); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($17, $54); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$8; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_PS7_($25, 36, $46, ((STRING_TABLE.__str1923344)|0), $14, ((STRING_TABLE.__str1933345)|0), $15, ((STRING_TABLE.__str1833335)|0), $16, ((STRING_TABLE.__str1943346)|0), $17, $55); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$56; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $58=$4; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $58; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder14forInStatementEN2JS5ValueES2_S2_bPNS_8TokenPosEPS2_["X"]=1;

function __ZN2JSL12BooleanValueEb3401($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2js11NodeBuilder13withStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $expr=__stackBase__;
      var $stmt=__stackBase__+8;
      var $5;
      var $6;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $4=$this;
      var $12=$expr;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=$stmt;
      var $15=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $16=$4;
      var $17=(($16+24)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+312)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$18; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZNK2JS5Value6isNullEv($cb); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $23=$7; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$8; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$expr; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$9; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$stmt; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$6; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($16, $7, $8, $9, $29, $30); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$31; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $33=$5; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$expr; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$11; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$stmt; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$6; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($16, 39, $33, ((STRING_TABLE.__str1953347)|0), $10, ((STRING_TABLE.__str1833335)|0), $11, $38); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$39; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $41=$3; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder13withStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder14whileStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $test=__stackBase__;
      var $stmt=__stackBase__+8;
      var $5;
      var $6;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $4=$this;
      var $12=$test;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=$stmt;
      var $15=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $16=$4;
      var $17=(($16+24)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+264)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$18; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZNK2JS5Value6isNullEv($cb); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $23=$7; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$8; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$test; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$9; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$stmt; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$6; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($16, $7, $8, $9, $29, $30); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$31; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $33=$5; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$test; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$11; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$stmt; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$6; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($16, 33, $33, ((STRING_TABLE.__str1853337)|0), $10, ((STRING_TABLE.__str1833335)|0), $11, $38); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$39; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $41=$3; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder14whileStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder16doWhileStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $stmt=__stackBase__;
      var $test=__stackBase__+8;
      var $5;
      var $6;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $4=$this;
      var $12=$stmt;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=$test;
      var $15=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $16=$4;
      var $17=(($16+24)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+272)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$18; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZNK2JS5Value6isNullEv($cb); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $23=$7; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$8; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$stmt; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$9; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$test; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$6; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($16, $7, $8, $9, $29, $30); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$31; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $33=$5; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$stmt; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$11; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$test; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$6; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($16, 34, $33, ((STRING_TABLE.__str1833335)|0), $10, ((STRING_TABLE.__str1853337)|0), $11, $38); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$39; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $41=$3; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder16doWhileStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder15switchStatementEN2JS5ValueERNS_15AutoValueVectorEbPNS_8TokenPosEPS2_($this, $0, $elts, $lexical, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $disc=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $7;
      var $array=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      var $12=__stackBase__+56;
      var $13=__stackBase__+64;
      var $14=__stackBase__+72;
      $3=$this;
      var $15=$disc;
      var $16=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      $4=$elts;
      var $17=(($lexical)&1);
      $5=$17;
      $6=$pos;
      $7=$dst;
      var $18=$3;
      var $19=$4; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($18, $19, $array); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $2=0; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $23=(($18+24)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23+256)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$cb; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$24; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZNK2JS5Value6isNullEv($cb); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $29=$8; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$cb; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$9; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$disc; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$10; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$array; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$5; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($35) & 1); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($11, $36); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$6; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$7; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($18, $8, $9, $10, $11, $37, $38); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$39; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $41=$6; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$12; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$disc; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$13; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$array; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$5; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($46) & 1); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($14, $47); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$7; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($18, 32, $41, ((STRING_TABLE.__str1963348)|0), $12, ((STRING_TABLE.__str1973349)|0), $13, ((STRING_TABLE.__str1983350)|0), $14, $48); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$49; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $51=$2; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder15switchStatementEN2JS5ValueERNS_15AutoValueVectorEbPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder12tryStatementEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_($this, $0, $catches, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $body=__stackBase__;
      var $5;
      var $finally=__stackBase__+8;
      var $6;
      var $7;
      var $handlers=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      var $15=__stackBase__+88;
      $4=$this;
      var $16=$body;
      var $17=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      $5=$catches;
      var $18=$finally;
      var $19=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $20=$4;
      var $21=(($20+24)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21+328)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$cb; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$22; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZNK2JS5Value6isNullEv($cb); //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $27=$5; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($20, $27, $handlers); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($28) { __label__ = 3; break; } else { var $42 = 0;__label__ = 4; break; } //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $30=$8; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$cb; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$9; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$body; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$handlers; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$12; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$finally; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($11, $20, $12); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$6; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$7; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($20, $8, $9, $10, $11, $38, $39); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42 = $40;__label__ = 4; break;
    case 4: 
      var $42;
      $3=$42;
      __label__ = 8; break;
    case 5: 
      var $44=$5; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($20, $44, $handlers); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($45) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      $3=0; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $48=$6; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$13; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$body; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$14; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$handlers; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$15; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$finally; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$7; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($20, 41, $48, ((STRING_TABLE.__str1993351)|0), $13, ((STRING_TABLE.__str2003352)|0), $14, ((STRING_TABLE.__str2013353)|0), $15, $55); //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$56; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $58=$3; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $58; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder12tryStatementEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder17debuggerStatementEPNS_8TokenPosEPN2JS5ValueE($this, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cb=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$pos;
      $4=$dst;
      var $6=$2;
      var $7=(($6+24)|0); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=(($7+344)|0); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$cb; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$8; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZNK2JS5Value6isNullEv($cb); //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $13=$5; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$3; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$4; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZN2js11NodeBuilder8callbackEN2JS5ValueEPNS_8TokenPosEPS2_($6, $5, $15, $16); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$17; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19=$3; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$4; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPN2JS5ValueE($6, 43, $19, $20); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$21; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $23=$1; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder16binaryExpressionENS_14BinaryOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_($this, $op, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $5;
      var $left=__stackBase__;
      var $right=__stackBase__+8;
      var $6;
      var $7;
      var $opName=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      $4=$this;
      $5=$op;
      var $15=$left;
      var $16=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      var $17=$right;
      var $18=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $19=$4;
      var $20=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=((__ZN2js10binopNamesE+($20<<2))|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($19, $22, $opName); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $3=0; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=(($19+24)|0); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26+80)|0); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$cb; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$27; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZNK2JS5Value6isNullEv($cb); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$8; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$cb; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$9; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$opName; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$10; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$left; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$11; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$right; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$6; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$7; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($19, $8, $9, $10, $11, $40, $41); //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$42; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $44=$6; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$12; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$opName; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$13; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$left; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$14; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$right; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$7; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($19, 10, $44, ((STRING_TABLE.__str2023354)|0), $12, ((STRING_TABLE.__str1923344)|0), $13, ((STRING_TABLE.__str1933345)|0), $14, $51); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$52; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $54=$3; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder16binaryExpressionENS_14BinaryOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_["X"]=1;

function __ZN2js11NodeBuilder15unaryExpressionENS_13UnaryOperatorEN2JS5ValueEPNS_8TokenPosEPS3_($this, $unop, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $expr=__stackBase__;
      var $5;
      var $6;
      var $opName=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      $3=$this;
      $4=$unop;
      var $13=$expr;
      var $14=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $15=$3;
      var $16=$4; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=((__ZN2js9unopNamesE+($16<<2))|0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($15, $18, $opName); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $2=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $22=(($15+24)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22+72)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$23; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZNK2JS5Value6isNullEv($cb); //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $28=$7; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$cb; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$8; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$opName; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$9; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$expr; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$5; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$6; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($15, $7, $8, $9, $34, $35); //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$36; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $38=$5; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$10; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$opName; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$11; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$expr; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($12, 1); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$6; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($15, 9, $38, ((STRING_TABLE.__str2023354)|0), $10, ((STRING_TABLE.__str1893341)|0), $11, ((STRING_TABLE.__str2033355)|0), $12, $43); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$44; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $46=$2; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder15unaryExpressionENS_13UnaryOperatorEN2JS5ValueEPNS_8TokenPosEPS3_["X"]=1;

function __ZN2js11NodeBuilder20assignmentExpressionENS_18AssignmentOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_($this, $aop, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $5;
      var $lhs=__stackBase__;
      var $rhs=__stackBase__+8;
      var $6;
      var $7;
      var $opName=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      $4=$this;
      $5=$aop;
      var $15=$lhs;
      var $16=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      var $17=$rhs;
      var $18=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $19=$4;
      var $20=$5; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=((__ZN2js8aopNamesE+($20<<2))|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($19, $22, $opName); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $3=0; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=(($19+24)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26+88)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$cb; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$27; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZNK2JS5Value6isNullEv($cb); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$8; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$cb; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$9; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$opName; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$10; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$lhs; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$11; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$rhs; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$6; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$7; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($19, $8, $9, $10, $11, $40, $41); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$42; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $44=$6; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$12; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$opName; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$13; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$lhs; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$14; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$rhs; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$7; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($19, 11, $44, ((STRING_TABLE.__str2023354)|0), $12, ((STRING_TABLE.__str1923344)|0), $13, ((STRING_TABLE.__str1933345)|0), $14, $51); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$52; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $54=$3; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder20assignmentExpressionENS_18AssignmentOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_["X"]=1;

function __ZN2js11NodeBuilder16updateExpressionEN2JS5ValueEbbPNS_8TokenPosEPS2_($this, $0, $incr, $prefix, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $expr=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $7;
      var $opName=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      var $12=__stackBase__+56;
      var $13=__stackBase__+64;
      var $14=__stackBase__+72;
      $3=$this;
      var $15=$expr;
      var $16=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      var $17=(($incr)&1);
      $4=$17;
      var $18=(($prefix)&1);
      $5=$18;
      $6=$pos;
      $7=$dst;
      var $19=$3;
      var $20=$4; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20) & 1); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $25 = STRING_TABLE.__str2043356;__label__ = 4; break; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $25 = STRING_TABLE.__str2053357;__label__ = 4; break; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $25; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($19, $26, $opName); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $2=0; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $30=(($19+24)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($30+104)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$cb; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$31; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=__ZNK2JS5Value6isNullEv($cb); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $36=$8; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$cb; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$9; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$expr; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$10; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$opName; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$5; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=(($42) & 1); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($11, $43); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$6; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$7; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($19, $8, $9, $10, $11, $44, $45); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$46; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $48=$6; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$12; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$opName; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$13; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$expr; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$5; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=(($53) & 1); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($14, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$7; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($19, 13, $48, ((STRING_TABLE.__str2023354)|0), $12, ((STRING_TABLE.__str1893341)|0), $13, ((STRING_TABLE.__str2033355)|0), $14, $55); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$56; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $58=$2; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $58; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder16updateExpressionEN2JS5ValueEbbPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder17logicalExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $lor, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $5;
      var $left=__stackBase__;
      var $right=__stackBase__+8;
      var $6;
      var $7;
      var $opName=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      $4=$this;
      var $15=(($lor)&1);
      $5=$15;
      var $16=$left;
      var $17=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      var $18=$right;
      var $19=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $20=$4;
      var $21=$5; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21) & 1); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $26 = STRING_TABLE.__str2063358;__label__ = 4; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26 = STRING_TABLE.__str2073359;__label__ = 4; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $26; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26)|0); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($20, $27, $opName); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $3=0; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $31=(($20+24)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31+96)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$cb; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$32; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=__ZNK2JS5Value6isNullEv($cb); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $37=$8; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$cb; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$9; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$opName; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$10; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$left; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$11; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$right; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$6; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$7; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($20, $8, $9, $10, $11, $45, $46); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$47; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $49=$6; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$12; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$opName; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$13; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$left; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$14; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$right; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)]; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$7; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($20, 12, $49, ((STRING_TABLE.__str2023354)|0), $12, ((STRING_TABLE.__str1923344)|0), $13, ((STRING_TABLE.__str1933345)|0), $14, $56); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$57; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $59=$3; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder17logicalExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder21conditionalExpressionEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($this, $0, $1, $2, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $4;
      var $5;
      var $test=__stackBase__;
      var $cons=__stackBase__+8;
      var $alt=__stackBase__+16;
      var $6;
      var $7;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      $5=$this;
      var $15=$test;
      var $16=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      var $17=$cons;
      var $18=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];
      var $19=$alt;
      var $20=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $21=$5;
      var $22=(($21+24)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22+64)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$23; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZNK2JS5Value6isNullEv($cb); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $28=$8; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$cb; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$9; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$test; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$10; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$cons; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$11; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$alt; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$6; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$7; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($21, $8, $9, $10, $11, $36, $37); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$38; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $40=$6; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$12; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$test; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$13; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$cons; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$14; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$alt; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$7; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($21, 8, $40, ((STRING_TABLE.__str1853337)|0), $12, ((STRING_TABLE.__str1863338)|0), $13, ((STRING_TABLE.__str1873339)|0), $14, $47); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$48; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $50=$4; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder21conditionalExpressionEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder18sequenceExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 7, ((STRING_TABLE.__str2083360)|0), $6, $7, $8); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder14callExpressionEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_($this, $0, $args, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $callee=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $array=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $3=$this;
      var $12=$callee;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      $4=$args;
      $5=$pos;
      $6=$dst;
      var $14=$3;
      var $15=$4; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($14, $15, $array); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $2=0; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19=(($14+24)|0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+120)|0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$cb; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$20; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZNK2JS5Value6isNullEv($cb); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $25=$7; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$cb; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$callee; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$9; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$array; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$5; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$6; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($14, $7, $8, $9, $31, $32); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$33; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $35=$5; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$10; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$callee; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$11; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$array; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$6; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($14, 15, $35, ((STRING_TABLE.__str2093361)|0), $10, ((STRING_TABLE.__str2103362)|0), $11, $40); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$41; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $43=$2; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder14callExpressionEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder13newExpressionEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_($this, $0, $args, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $callee=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $array=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $3=$this;
      var $12=$callee;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      $4=$args;
      $5=$pos;
      $6=$dst;
      var $14=$3;
      var $15=$4; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($14, $15, $array); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $2=0; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19=(($14+24)|0); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+112)|0); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$cb; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$20; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZNK2JS5Value6isNullEv($cb); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $25=$7; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$cb; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$callee; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$9; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$array; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$5; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$6; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($14, $7, $8, $9, $31, $32); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$33; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $35=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$10; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$callee; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$11; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$array; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$6; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($14, 14, $35, ((STRING_TABLE.__str2093361)|0), $10, ((STRING_TABLE.__str2103362)|0), $11, $40); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$41; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $43=$2; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder13newExpressionEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder16memberExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $computed, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $5;
      var $expr=__stackBase__;
      var $member=__stackBase__+8;
      var $6;
      var $7;
      var $cb=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      var $12=__stackBase__+56;
      var $13=__stackBase__+64;
      var $14=__stackBase__+72;
      $4=$this;
      var $15=(($computed)&1);
      $5=$15;
      var $16=$expr;
      var $17=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      var $18=$member;
      var $19=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $20=$4;
      var $21=(($20+24)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21+128)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$cb; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$22; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZNK2JS5Value6isNullEv($cb); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $27=$8; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$cb; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($29) & 1); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($9, $30); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$10; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$expr; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$11; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$member; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$6; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$7; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($20, $8, $9, $10, $11, $35, $36); //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$37; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $39=$6; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$12; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$expr; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$13; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$member; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=(($44) & 1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($14, $45); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$7; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($20, 16, $39, ((STRING_TABLE.__str1953347)|0), $12, ((STRING_TABLE.__str1103262)|0), $13, ((STRING_TABLE.__str2113363)|0), $14, $46); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$47; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $49=$3; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder16memberExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder15arrayExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 18, ((STRING_TABLE.__str2123364)|0), $6, $7, $8); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder15propertyPatternEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $key=__stackBase__;
      var $patt=__stackBase__+8;
      var $5;
      var $6;
      var $kindName=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $7=__stackBase__+32;
      var $8=__stackBase__+40;
      var $9=__stackBase__+48;
      var $10=__stackBase__+56;
      var $11=__stackBase__+64;
      var $12=__stackBase__+72;
      $4=$this;
      var $13=$key;
      var $14=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)];
      var $15=$patt;
      var $16=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $17=$4;
      var $18=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($17, ((STRING_TABLE.__str1903342)|0), $kindName); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $3=0; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $21=(($17+24)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21+400)|0); //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$cb; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$22; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZNK2JS5Value6isNullEv($cb); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $27=$7; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$cb; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$8; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$key; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$9; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$patt; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($17, $7, $8, $9, $33, $34); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$35; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $37=$5; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$10; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$key; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$11; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$patt; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$12; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$kindName; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$6; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($17, 50, $37, ((STRING_TABLE.__str2133365)|0), $10, ((STRING_TABLE.__str2143366)|0), $11, ((STRING_TABLE.__str2153367)|0), $12, $44); //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$45; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $47=$3; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $47; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder15propertyPatternEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder19propertyInitializerEN2JS5ValueES2_NS_8PropKindEPNS_8TokenPosEPS2_($this, $0, $1, $kind, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $key=__stackBase__;
      var $val=__stackBase__+8;
      var $5;
      var $6;
      var $7;
      var $kindName=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      $4=$this;
      var $15=$key;
      var $16=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      var $17=$val;
      var $18=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];
      $5=$kind;
      $6=$pos;
      $7=$dst;
      var $19=$4;
      var $20=$5; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20)|0)==0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $32 = ((STRING_TABLE.__str1903342)|0);__label__ = 7; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $24=$5; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=(($24)|0)==1; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $29 = STRING_TABLE.__str2163368;__label__ = 6; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $29 = STRING_TABLE.__str2173369;__label__ = 6; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $29; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($29)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32 = $30;__label__ = 7; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $32; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($19, $32, $kindName); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      $3=0; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 12; break; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $36=(($19+24)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=(($36+24)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$cb; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$37; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=__ZNK2JS5Value6isNullEv($cb); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $42=$8; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$cb; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$9; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$kindName; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$10; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$key; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$11; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$val; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$6; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$7; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($19, $8, $9, $10, $11, $50, $51); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$52; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 12; break; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $54=$6; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$12; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$key; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=$13; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$val; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=$kindName; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$7; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($19, 3, $54, ((STRING_TABLE.__str2133365)|0), $12, ((STRING_TABLE.__str2143366)|0), $13, ((STRING_TABLE.__str2153367)|0), $14, $61); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$62; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 12; break; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $64=$3; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder19propertyInitializerEN2JS5ValueES2_NS_8PropKindEPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder16objectExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 19, ((STRING_TABLE.__str2183370)|0), $6, $7, $8); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder14thisExpressionEPNS_8TokenPosEPN2JS5ValueE($this, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cb=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$pos;
      $4=$dst;
      var $6=$2;
      var $7=(($6+24)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=(($7+160)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$cb; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$8; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZNK2JS5Value6isNullEv($cb); //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $13=$5; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$4; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZN2js11NodeBuilder8callbackEN2JS5ValueEPNS_8TokenPosEPS2_($6, $5, $15, $16); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$17; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19=$3; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$4; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPN2JS5ValueE($6, 20, $19, $20); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$21; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $23=$1; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder15yieldExpressionEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $arg=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      $3=$this;
      var $10=$arg;
      var $11=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $12=$3;
      var $13=(($12+24)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13+200)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$cb; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$14; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZNK2JS5Value6isNullEv($cb); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $19=$6; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$cb; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$8; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$arg; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($7, $12, $8); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$4; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$5; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($12, $6, $7, $23, $24); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$25; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $27=$4; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$9; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$arg; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$5; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($12, 25, $27, ((STRING_TABLE.__str1893341)|0), $9, $30); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$31; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $33=$2; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder18comprehensionBlockEN2JS5ValueES2_bPNS_8TokenPosEPS2_($this, $0, $1, $isForEach, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $patt=__stackBase__;
      var $src=__stackBase__+8;
      var $5;
      var $6;
      var $7;
      var $cb=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      var $12=__stackBase__+56;
      var $13=__stackBase__+64;
      var $14=__stackBase__+72;
      $4=$this;
      var $15=$patt;
      var $16=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      var $17=$src;
      var $18=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];
      var $19=(($isForEach)&1);
      $5=$19;
      $6=$pos;
      $7=$dst;
      var $20=$4;
      var $21=(($20+24)|0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21+376)|0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$cb; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$22; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZNK2JS5Value6isNullEv($cb); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $27=$8; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$cb; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$9; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$patt; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$10; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$src; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$5; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=(($33) & 1); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($11, $34); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$6; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$7; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($20, $8, $9, $10, $11, $35, $36); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$37; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $39=$6; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$12; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$patt; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$13; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$src; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$5; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=(($44) & 1); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($14, $45); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$7; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($20, 47, $39, ((STRING_TABLE.__str1923344)|0), $12, ((STRING_TABLE.__str1933345)|0), $13, ((STRING_TABLE.__str1943346)|0), $14, $46); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$47; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $49=$3; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder18comprehensionBlockEN2JS5ValueES2_bPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder23comprehensionExpressionEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_($this, $0, $blocks, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $body=__stackBase__;
      var $5;
      var $filter=__stackBase__+8;
      var $6;
      var $7;
      var $array=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      var $15=__stackBase__+88;
      $4=$this;
      var $16=$body;
      var $17=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      $5=$blocks;
      var $18=$filter;
      var $19=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $20=$4;
      var $21=$5; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($20, $21, $array); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $3=0; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $25=(($20+24)|0); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25+184)|0); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$cb; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$26; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=__ZNK2JS5Value6isNullEv($cb); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $31=$8; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$cb; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$9; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$body; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$10; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$array; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$12; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$filter; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($11, $20, $12); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$6; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$7; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($20, $8, $9, $10, $11, $39, $40); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$41; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $43=$6; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$13; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$body; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$14; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$array; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$15; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$filter; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$7; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($20, 23, $43, ((STRING_TABLE.__str1833335)|0), $13, ((STRING_TABLE.__str2193371)|0), $14, ((STRING_TABLE.__str2203372)|0), $15, $50); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$51; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $53=$3; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder23comprehensionExpressionEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder19generatorExpressionEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_($this, $0, $blocks, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $body=__stackBase__;
      var $5;
      var $filter=__stackBase__+8;
      var $6;
      var $7;
      var $array=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      var $15=__stackBase__+88;
      $4=$this;
      var $16=$body;
      var $17=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      $5=$blocks;
      var $18=$filter;
      var $19=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $20=$4;
      var $21=$5; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($20, $21, $array); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $3=0; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $25=(($20+24)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25+192)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$cb; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$26; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=__ZNK2JS5Value6isNullEv($cb); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $31=$8; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$cb; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$9; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$body; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$10; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$array; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$12; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$filter; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($11, $20, $12); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$6; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$7; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($20, $8, $9, $10, $11, $39, $40); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$41; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $43=$6; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$13; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$body; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$14; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$array; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$15; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$filter; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$7; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($20, 24, $43, ((STRING_TABLE.__str1833335)|0), $13, ((STRING_TABLE.__str2193371)|0), $14, ((STRING_TABLE.__str2203372)|0), $15, $50); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$51; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $53=$3; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder19generatorExpressionEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder15graphExpressionEiN2JS5ValueEPNS_8TokenPosEPS2_($this, $idx, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $expr=__stackBase__;
      var $5;
      var $6;
      var $cb=__stackBase__+8;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      $3=$this;
      $4=$idx;
      var $11=$expr;
      var $12=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $13=$3;
      var $14=(($13+24)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=(($14+168)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$cb; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=$15; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=__ZNK2JS5Value6isNullEv($cb); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $20=$7; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$cb; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22)|0); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL11NumberValueEd3402($8, $23); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$5; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$6; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($13, $7, $8, $24, $25); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$26; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $28=$5; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$4; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($29)|0); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL11NumberValueEd3402($9, $30); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$10; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$expr; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$6; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($13, 21, $28, ((STRING_TABLE.__str2213373)|0), $9, ((STRING_TABLE.__str1843336)|0), $10, $33); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$34; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $36=$2; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder15graphExpressionEiN2JS5ValueEPNS_8TokenPosEPS2_["X"]=1;

function __ZN2JSL11NumberValueEd3402($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function __ZN2js11NodeBuilder20graphIndexExpressionEiPNS_8TokenPosEPN2JS5ValueE($this, $idx, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $cb=__stackBase__;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      $2=$this;
      $3=$idx;
      $4=$pos;
      $5=$dst;
      var $9=$2;
      var $10=(($9+24)|0); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+176)|0); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$cb; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=$11; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=__ZNK2JS5Value6isNullEv($cb); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $16=$6; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=$cb; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$3; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL11NumberValueEd3402($7, $19); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$4; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$5; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($9, $6, $7, $20, $21); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$22; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $24=$4; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$3; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25)|0); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL11NumberValueEd3402($8, $26); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$5; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($9, 22, $24, ((STRING_TABLE.__str2213373)|0), $8, $27); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$28; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $30=$1; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder13letExpressionERNS_15AutoValueVectorEN2JS5ValueEPNS_8TokenPosEPS4_($this, $head, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $expr=__stackBase__;
      var $5;
      var $6;
      var $array=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $3=$this;
      $4=$head;
      var $12=$expr;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $14=$3;
      var $15=$4; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($14, $15, $array); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $2=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19=(($14+24)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+208)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$cb; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$20; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZNK2JS5Value6isNullEv($cb); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $25=$7; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$cb; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$array; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$9; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$expr; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$5; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$6; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($14, $7, $8, $9, $31, $32); //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$33; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $35=$5; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$10; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$array; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$11; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$expr; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$6; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($14, 26, $35, ((STRING_TABLE.__str2223374)|0), $10, ((STRING_TABLE.__str1833335)|0), $11, $40); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$41; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $43=$2; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder13letExpressionERNS_15AutoValueVectorEN2JS5ValueEPNS_8TokenPosEPS4_["X"]=1;

function __ZN2js11NodeBuilder12letStatementERNS_15AutoValueVectorEN2JS5ValueEPNS_8TokenPosEPS4_($this, $head, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $stmt=__stackBase__;
      var $5;
      var $6;
      var $array=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $3=$this;
      $4=$head;
      var $12=$stmt;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $14=$3;
      var $15=$4; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($14, $15, $array); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $2=0; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19=(($14+24)|0); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+352)|0); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$cb; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$20; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZNK2JS5Value6isNullEv($cb); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $25=$7; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$cb; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$array; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$9; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$stmt; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$5; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$6; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($14, $7, $8, $9, $31, $32); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$33; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $35=$5; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$10; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$array; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$11; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$stmt; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$6; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($14, 44, $35, ((STRING_TABLE.__str2223374)|0), $10, ((STRING_TABLE.__str1833335)|0), $11, $40); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$41; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $43=$2; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder12letStatementERNS_15AutoValueVectorEN2JS5ValueEPNS_8TokenPosEPS4_["X"]=1;

function __ZN2js11NodeBuilder19variableDeclarationERNS_15AutoValueVectorENS_11VarDeclKindEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $kind, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $array=__stackBase__;
      var $kindName=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $2=$this;
      $3=$elts;
      $4=$kind;
      $5=$pos;
      $6=$dst;
      var $12=$2;
      var $13=$3; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($12, $13, $array); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $16=$4; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16)|0)==1; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $28 = ((STRING_TABLE.__str2233375)|0);__label__ = 8; break; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $20=$4; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20)|0)==2; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $25 = STRING_TABLE.__str2243376;__label__ = 7; break; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $25 = STRING_TABLE.__str2253377;__label__ = 7; break; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $25; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28 = $26;__label__ = 8; break; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $28; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($12, $28, $kindName); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($29) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=0; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $32=(($12+24)|0); //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32+40)|0); //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$cb; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$33; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=__ZNK2JS5Value6isNullEv($cb); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($36) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $38=$7; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$cb; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$8; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$kindName; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$9; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$array; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$5; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$6; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($12, $7, $8, $9, $44, $45); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$46; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $48=$5; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$10; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$kindName; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$11; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$array; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$6; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($12, 5, $48, ((STRING_TABLE.__str2153367)|0), $10, ((STRING_TABLE.__str2263378)|0), $11, $53); //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$54; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $56=$1; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder19variableDeclarationERNS_15AutoValueVectorENS_11VarDeclKindEPNS_8TokenPosEPN2JS5ValueE["X"]=1;

function __ZN2js11NodeBuilder18variableDeclaratorEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $id=__stackBase__;
      var $init=__stackBase__+8;
      var $5;
      var $6;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      $4=$this;
      var $13=$id;
      var $14=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)];
      var $15=$init;
      var $16=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $17=$4;
      var $18=(($17+24)|0); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18+48)|0); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$cb; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$19; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=__ZNK2JS5Value6isNullEv($cb); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $24=$7; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$cb; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$8; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$id; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$10; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$init; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($9, $17, $10); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$5; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$6; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($17, $7, $8, $9, $30, $31); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$32; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $34=$5; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$11; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$id; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$12; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$init; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$6; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($17, 6, $34, ((STRING_TABLE.__str2273379)|0), $11, ((STRING_TABLE.__str1903342)|0), $12, $39); //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$40; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $42=$3; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $42; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder18variableDeclaratorEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder10switchCaseEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_($this, $0, $elts, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $expr=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $array=__stackBase__+8;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      $3=$this;
      var $13=$expr;
      var $14=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)];
      $4=$elts;
      $5=$pos;
      $6=$dst;
      var $15=$3;
      var $16=$4; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($15, $16, $array); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $2=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $20=(($15+24)|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20+360)|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$cb; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$21; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZNK2JS5Value6isNullEv($cb); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $26=$7; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$cb; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$9; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$expr; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($8, $15, $9); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$10; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$array; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$5; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$6; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($15, $7, $8, $10, $32, $33); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$34; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $36=$5; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$11; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$expr; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$12; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$array; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$6; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($15, 45, $36, ((STRING_TABLE.__str1853337)|0), $11, ((STRING_TABLE.__str1863338)|0), $12, $41); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$42; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $44=$2; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder10switchCaseEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder11catchClauseEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($this, $0, $1, $2, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $4;
      var $5;
      var $var=__stackBase__;
      var $guard=__stackBase__+8;
      var $body=__stackBase__+16;
      var $6;
      var $7;
      var $cb=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      var $13=__stackBase__+72;
      var $14=__stackBase__+80;
      var $15=__stackBase__+88;
      $5=$this;
      var $16=$var;
      var $17=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)];
      var $18=$guard;
      var $19=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)];
      var $20=$body;
      var $21=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)];
      $6=$pos;
      $7=$dst;
      var $22=$5;
      var $23=(($22+24)|0); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23+368)|0); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$cb; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$24; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZNK2JS5Value6isNullEv($cb); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $29=$8; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$cb; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$9; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$var; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$11; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$guard; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($10, $22, $11); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$12; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$body; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$6; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$7; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($22, $8, $9, $10, $12, $37, $38); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$39; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $41=$6; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$13; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$var; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$14; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$guard; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$15; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$body; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$7; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($22, 46, $41, ((STRING_TABLE.__str2283380)|0), $13, ((STRING_TABLE.__str2293381)|0), $14, ((STRING_TABLE.__str1833335)|0), $15, $48); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $4=$49; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $51=$4; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder11catchClauseEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder7literalEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $val=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$val;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+16)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$val; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$val; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 2, $26, ((STRING_TABLE.__str2143366)|0), $8, $29); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder10identifierEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $name=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$name;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+8)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$name; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$name; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 1, $26, ((STRING_TABLE.__str2303382)|0), $8, $29); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder13objectPatternERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 49, ((STRING_TABLE.__str2183370)|0), $6, $7, $8); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder12arrayPatternERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 48, ((STRING_TABLE.__str2123364)|0), $6, $7, $8); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder8functionENS_7ASTTypeEPNS_8TokenPosEN2JS5ValueERNS_15AutoValueVectorES5_bbPS5_($this, $type, $pos, $0, $args, $1, $isGenerator, $isExpression, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 128; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      var $7;
      var $body=__stackBase__+8;
      var $8;
      var $9;
      var $10;
      var $array=__stackBase__+16;
      var $cb=__stackBase__+24;
      var $11=__stackBase__+32;
      var $12=__stackBase__+40;
      var $13=__stackBase__+48;
      var $14=__stackBase__+56;
      var $15=__stackBase__+64;
      var $16=__stackBase__+72;
      var $17=__stackBase__+80;
      var $18=__stackBase__+88;
      var $19=__stackBase__+96;
      var $20=__stackBase__+104;
      var $21=__stackBase__+112;
      var $22=__stackBase__+120;
      $4=$this;
      $5=$type;
      $6=$pos;
      var $23=$id;
      var $24=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)];
      $7=$args;
      var $25=$body;
      var $26=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)];
      var $27=(($isGenerator)&1);
      $8=$27;
      var $28=(($isExpression)&1);
      $9=$28;
      $10=$dst;
      var $29=$4;
      var $30=$7; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE($29, $30, $array); //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($31) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $3=0; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $34=$5; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=(($29+24)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($35+($34<<3))|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$cb; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$36; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZNK2JS5Value6isNullEv($cb); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($39) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $41=$11; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$cb; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$13; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$id; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js11NodeBuilder3optEN2JS5ValueE($12, $29, $13); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$14; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$array; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$15; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$body; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$8; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=(($49) & 1); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($16, $50); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$9; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=(($51) & 1); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($17, $52); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$6; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$10; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_S2_PNS_8TokenPosEPS2_($29, $11, $12, $14, $15, $16, $17, $53, $54); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$55; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $57=$5; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$6; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$18; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=$id; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$19; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=$array; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[(($62)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[(($62+4)>>2)]; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=$20; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=$body; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($63)>>2)]=HEAP32[(($64)>>2)];HEAP32[(($63+4)>>2)]=HEAP32[(($64+4)>>2)]; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=$8; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=(($65) & 1); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($21, $66); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=$9; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=(($67) & 1); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($22, $68); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=$10; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_S5_S7_PS7_($29, $57, $58, ((STRING_TABLE.__str2273379)|0), $18, ((STRING_TABLE.__str2313383)|0), $19, ((STRING_TABLE.__str1833335)|0), $20, ((STRING_TABLE.__str2323384)|0), $21, ((STRING_TABLE.__str1843336)|0), $22, $69); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$70; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $72=$3; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $72; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder8functionENS_7ASTTypeEPNS_8TokenPosEN2JS5ValueERNS_15AutoValueVectorES5_bbPS5_["X"]=1;

function __ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_S2_PNS_8TokenPosEPS2_($this, $0, $1, $2, $3, $4, $5, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 144; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $3; $3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $4; $4 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($4)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $5; $5 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($5)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $7;
      var $8;
      var $fun=__stackBase__;
      var $v1=__stackBase__+8;
      var $v2=__stackBase__+16;
      var $v3=__stackBase__+24;
      var $v4=__stackBase__+32;
      var $v5=__stackBase__+40;
      var $9;
      var $10;
      var $loc=__stackBase__+48;
      var $argv=__stackBase__+56;
      var $argv1=__stackBase__+104;
      $8=$this;
      var $11=$fun;
      var $12=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];
      var $13=$v1;
      var $14=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)];
      var $15=$v2;
      var $16=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      var $17=$v3;
      var $18=$3;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];
      var $19=$v4;
      var $20=$4;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)];
      var $21=$v5;
      var $22=$5;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)];
      $9=$pos;
      $10=$dst;
      var $23=$8;
      var $24=(($23+4)|0); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=HEAP8[($24)]; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25) & 1); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $28=$9; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE($23, $28, $loc); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $7=0; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=(($argv)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$32; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$v1; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=(($32+8)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$35; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$v2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=(($35+8)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$38; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$v3; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($38+8)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$41; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$v4; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=(($41+8)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$44; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$v5; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($44+8)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$47; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$loc; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=(($23)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=(($23+576)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=(($argv)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$10; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($51, $52, $fun, 6, $53, $54); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $7=$55; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $57=(($argv1)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$57; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$v1; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($57+8)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$60; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=$v2; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[(($62)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[(($62+4)>>2)]; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=(($60+8)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=$63; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=$v3; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=(($63+8)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=$66; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=$v4; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=(($66+8)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=$69; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=$v5; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[(($71)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[(($71+4)>>2)]; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72=(($23)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=(($23+576)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=(($argv1)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=$10; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($73, $74, $fun, 5, $75, $76); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $7=$77; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $79=$7; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_S2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_S5_S7_PS7_($this, $type, $pos, $childName1, $0, $childName2, $1, $childName3, $2, $childName4, $3, $childName5, $4, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $2; $2 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($2)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $3; $3 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($3)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $4; $4 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($4)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $6;
      var $7;
      var $8;
      var $9;
      var $child1=__stackBase__;
      var $10;
      var $child2=__stackBase__+8;
      var $11;
      var $child3=__stackBase__+16;
      var $12;
      var $child4=__stackBase__+24;
      var $13;
      var $child5=__stackBase__+32;
      var $14;
      var $node=__stackBase__+40;
      var $15=__stackBase__+44;
      var $16=__stackBase__+52;
      var $17=__stackBase__+60;
      var $18=__stackBase__+68;
      var $19=__stackBase__+76;
      $6=$this;
      $7=$type;
      $8=$pos;
      $9=$childName1;
      var $20=$child1;
      var $21=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)];
      $10=$childName2;
      var $22=$child2;
      var $23=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)];
      $11=$childName3;
      var $24=$child3;
      var $25=$2;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)];
      $12=$childName4;
      var $26=$child4;
      var $27=$3;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)];
      $13=$childName5;
      var $28=$child5;
      var $29=$4;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)];
      $14=$dst;
      var $30=$6;
      var $31=$7; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$8; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPP8JSObject($30, $31, $32, $node); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($33) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $35=HEAP32[(($node)>>2)]; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$9; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$15; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$child1; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($30, $35, $36, $15); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($39) { __label__ = 3; break; } else { var $69 = 0;__label__ = 8; break; } //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $41=HEAP32[(($node)>>2)]; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$10; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$16; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$child2; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($30, $41, $42, $16); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($45) { __label__ = 4; break; } else { var $69 = 0;__label__ = 8; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $47=HEAP32[(($node)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$11; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$17; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$child3; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($30, $47, $48, $17); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($51) { __label__ = 5; break; } else { var $69 = 0;__label__ = 8; break; } //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $53=HEAP32[(($node)>>2)]; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$12; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$18; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$child4; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($30, $53, $54, $18); //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($57) { __label__ = 6; break; } else { var $69 = 0;__label__ = 8; break; } //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $59=HEAP32[(($node)>>2)]; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=$13; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$19; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=$child5; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[(($62)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[(($62+4)>>2)]; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE($30, $59, $60, $19); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($63) { __label__ = 7; break; } else { var $69 = 0;__label__ = 8; break; } //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $65=HEAP32[(($node)>>2)]; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=$14; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=__ZN2js11NodeBuilder9setResultEP8JSObjectPN2JS5ValueE($30, $65, $66); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69 = $67;__label__ = 8; break;
    case 8: 
      var $69;
      STACKTOP = __stackBase__;
      return $69; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_S5_S7_PS7_["X"]=1;

function __ZN2js11NodeBuilder10xmlAnyNameEPNS_8TokenPosEPN2JS5ValueE($this, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cb=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$pos;
      $4=$dst;
      var $6=$2;
      var $7=(($6+24)|0); //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=(($7+408)|0); //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$cb; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$8; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZNK2JS5Value6isNullEv($cb); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $13=$5; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$3; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$4; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZN2js11NodeBuilder8callbackEN2JS5ValueEPNS_8TokenPosEPS2_($6, $5, $15, $16); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$17; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19=$3; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$4; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPN2JS5ValueE($6, 51, $19, $20); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$21; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $23=$1; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder19xmlEscapeExpressionEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $expr=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$expr;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+424)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$expr; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$expr; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 53, $26, ((STRING_TABLE.__str1843336)|0), $8, $29); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder19xmlFilterExpressionEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $left=__stackBase__;
      var $right=__stackBase__+8;
      var $5;
      var $6;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $4=$this;
      var $12=$left;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=$right;
      var $15=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $16=$4;
      var $17=(($16+24)|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+432)|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$18; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZNK2JS5Value6isNullEv($cb); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $23=$7; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$8; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$left; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$9; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$right; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$6; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($16, $7, $8, $9, $29, $30); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$31; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $33=$5; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$left; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$11; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$right; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$6; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($16, 54, $33, ((STRING_TABLE.__str1923344)|0), $10, ((STRING_TABLE.__str1933345)|0), $11, $38); //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$39; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $41=$3; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder19xmlFilterExpressionEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder19xmlDefaultNamespaceEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $ns=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$ns;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+440)|0); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$ns; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$ns; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 55, $26, ((STRING_TABLE.__str2333385)|0), $8, $29); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder20xmlAttributeSelectorEN2JS5ValueEbPNS_8TokenPosEPS2_($this, $0, $computed, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $expr=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $cb=__stackBase__+8;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      $3=$this;
      var $12=$expr;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=(($computed)&1);
      $4=$14;
      $5=$pos;
      $6=$dst;
      var $15=$3;
      var $16=(($15+24)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+416)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$cb; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$17; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=__ZNK2JS5Value6isNullEv($cb); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $22=$7; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$cb; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$8; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$expr; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$4; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26) & 1); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($9, $27); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$5; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$6; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($15, $7, $8, $9, $28, $29); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $32=$5; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$10; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$expr; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$4; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($35) & 1); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($11, $36); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$6; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($15, 52, $32, ((STRING_TABLE.__str2343386)|0), $10, ((STRING_TABLE.__str2113363)|0), $11, $37); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$38; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $40=$2; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder20xmlAttributeSelectorEN2JS5ValueEbPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder30xmlFunctionQualifiedIdentifierEN2JS5ValueEbPNS_8TokenPosEPS2_($this, $0, $computed, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $right=__stackBase__;
      var $4;
      var $5;
      var $6;
      var $cb=__stackBase__+8;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      $3=$this;
      var $12=$right;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=(($computed)&1);
      $4=$14;
      $5=$pos;
      $6=$dst;
      var $15=$3;
      var $16=(($15+24)|0); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+456)|0); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$cb; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$17; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=__ZNK2JS5Value6isNullEv($cb); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $22=$7; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$cb; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$8; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$right; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$4; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26) & 1); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($9, $27); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$5; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$6; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($15, $7, $8, $9, $28, $29); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $32=$5; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$10; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$right; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$4; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($35) & 1); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($11, $36); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$6; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($15, 57, $32, ((STRING_TABLE.__str1933345)|0), $10, ((STRING_TABLE.__str2113363)|0), $11, $37); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$38; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $40=$2; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder30xmlFunctionQualifiedIdentifierEN2JS5ValueEbPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder22xmlQualifiedIdentifierEN2JS5ValueES2_bPNS_8TokenPosEPS2_($this, $0, $1, $computed, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $left=__stackBase__;
      var $right=__stackBase__+8;
      var $5;
      var $6;
      var $7;
      var $cb=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      var $12=__stackBase__+56;
      var $13=__stackBase__+64;
      var $14=__stackBase__+72;
      $4=$this;
      var $15=$left;
      var $16=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];
      var $17=$right;
      var $18=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];
      var $19=(($computed)&1);
      $5=$19;
      $6=$pos;
      $7=$dst;
      var $20=$4;
      var $21=(($20+24)|0); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21+448)|0); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$cb; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$22; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZNK2JS5Value6isNullEv($cb); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $27=$8; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$cb; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$9; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$left; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$10; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$right; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$5; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=(($33) & 1); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($11, $34); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$6; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$7; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($20, $8, $9, $10, $11, $35, $36); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$37; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $39=$6; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$12; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$left; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$13; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$right; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$5; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=(($44) & 1); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($14, $45); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$7; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_($20, 56, $39, ((STRING_TABLE.__str1923344)|0), $12, ((STRING_TABLE.__str1933345)|0), $13, ((STRING_TABLE.__str2113363)|0), $14, $46); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$47; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $49=$3; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder22xmlQualifiedIdentifierEN2JS5ValueES2_bPNS_8TokenPosEPS2_["X"]=1;

function __ZN2js11NodeBuilder10xmlElementERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 58, ((STRING_TABLE.__str2353387)|0), $6, $7, $8); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder7xmlTextEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $text=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$text;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+472)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$text; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$text; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 59, $26, ((STRING_TABLE.__str2363388)|0), $8, $29); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder7xmlListERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 60, ((STRING_TABLE.__str2353387)|0), $6, $7, $8); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder11xmlStartTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 61, ((STRING_TABLE.__str2353387)|0), $6, $7, $8); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder9xmlEndTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 62, ((STRING_TABLE.__str2353387)|0), $6, $7, $8); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder11xmlPointTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 63, ((STRING_TABLE.__str2353387)|0), $6, $7, $8); //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder7xmlNameEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $text=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$text;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+512)|0); //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$text; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$text; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 64, $26, ((STRING_TABLE.__str2353387)|0), $8, $29); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder7xmlNameERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($this, $elts, $pos, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$elts;
  $3=$pos;
  $4=$dst;
  var $5=$1;
  var $6=$2; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=$3; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$4; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($5, 64, ((STRING_TABLE.__str2353387)|0), $6, $7, $8); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $9; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder12xmlAttributeEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $text=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$text;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+520)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$text; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$text; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 65, $26, ((STRING_TABLE.__str2143366)|0), $8, $29); //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer3aopE4JSOp($this, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$op;
      var $4=$2;
      var $5=$3; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($5)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($5)|0) == 27) {
        __label__ = 3; break;
      }
      else if ((($5)|0) == 28) {
        __label__ = 4; break;
      }
      else if ((($5)|0) == 29) {
        __label__ = 5; break;
      }
      else if ((($5)|0) == 30) {
        __label__ = 6; break;
      }
      else if ((($5)|0) == 31) {
        __label__ = 7; break;
      }
      else if ((($5)|0) == 24) {
        __label__ = 8; break;
      }
      else if ((($5)|0) == 25) {
        __label__ = 9; break;
      }
      else if ((($5)|0) == 26) {
        __label__ = 10; break;
      }
      else if ((($5)|0) == 15) {
        __label__ = 11; break;
      }
      else if ((($5)|0) == 16) {
        __label__ = 12; break;
      }
      else if ((($5)|0) == 17) {
        __label__ = 13; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 2: 
      $1=0; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $1=1; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      $1=2; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $1=3; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      $1=4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      $1=5; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      $1=6; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=7; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      $1=8; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      $1=9; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      $1=10; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      $1=11; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      $1=-1; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $20=$1; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $20; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer4unopENS_9TokenKindE4JSOp($this, $tk, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$tk;
      $4=$op;
      var $5=$2;
      var $6=$3; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=(($6)|0)==50; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $10=$4; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($10)|0) == 34) {
        __label__ = 4; break;
      }
      else if ((($10)|0) == 35) {
        __label__ = 5; break;
      }
      else if ((($10)|0) == 32) {
        __label__ = 6; break;
      }
      else if ((($10)|0) == 33) {
        __label__ = 7; break;
      }
      else if ((($10)|0) == 39 || (($10)|0) == 200) {
        __label__ = 8; break;
      }
      else if ((($10)|0) == 40) {
        __label__ = 9; break;
      }
      else {
      __label__ = 10; break;
      }
      
    case 4: 
      $1=1; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $1=2; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      $1=3; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      $1=4; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      $1=5; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=6; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      $1=-1; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $19=$1; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $19; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer5binopENS_9TokenKindE4JSOp($this, $tk, $op) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$tk;
      $4=$op;
      var $5=$2;
      var $6=$3; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($6)|0) == 12) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 13) {
        __label__ = 8; break;
      }
      else if ((($6)|0) == 14) {
        __label__ = 14; break;
      }
      else if ((($6)|0) == 15) {
        __label__ = 19; break;
      }
      else if ((($6)|0) == 16) {
        __label__ = 20; break;
      }
      else if ((($6)|0) == 17) {
        __label__ = 21; break;
      }
      else if ((($6)|0) == 18) {
        __label__ = 22; break;
      }
      else if ((($6)|0) == 9) {
        __label__ = 23; break;
      }
      else if ((($6)|0) == 10) {
        __label__ = 24; break;
      }
      else if ((($6)|0) == 11) {
        __label__ = 25; break;
      }
      else if ((($6)|0) == 45) {
        __label__ = 26; break;
      }
      else if ((($6)|0) == 57) {
        __label__ = 27; break;
      }
      else if ((($6)|0) == 73) {
        __label__ = 28; break;
      }
      else {
      __label__ = 29; break;
      }
      
    case 2: 
      var $8=$4; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($8)|0) == 18) {
        __label__ = 3; break;
      }
      else if ((($8)|0) == 19) {
        __label__ = 4; break;
      }
      else if ((($8)|0) == 72) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 73) {
        __label__ = 6; break;
      }
      else {
      __label__ = 7; break;
      }
      
    case 3: 
      $1=0; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      $1=1; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $1=2; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      $1=3; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      $1=-1; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $15=$4; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($15)|0) == 20) {
        __label__ = 9; break;
      }
      else if ((($15)|0) == 21) {
        __label__ = 10; break;
      }
      else if ((($15)|0) == 22) {
        __label__ = 11; break;
      }
      else if ((($15)|0) == 23) {
        __label__ = 12; break;
      }
      else {
      __label__ = 13; break;
      }
      
    case 9: 
      $1=4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      $1=5; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      $1=6; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      $1=7; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      $1=-1; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $22=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($22)|0) == 24) {
        __label__ = 15; break;
      }
      else if ((($22)|0) == 25) {
        __label__ = 16; break;
      }
      else if ((($22)|0) == 26) {
        __label__ = 17; break;
      }
      else {
      __label__ = 18; break;
      }
      
    case 15: 
      $1=8; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      $1=9; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      $1=10; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      $1=-1; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      $1=11; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      $1=12; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 21: 
      $1=13; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      var $31=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31)|0)==31; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$32 ? 15 : 14; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$33; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      $1=16; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      $1=17; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 25: 
      $1=18; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 26: 
      $1=19; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 27: 
      $1=20; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 28: 
      $1=21; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 29: 
      $1=-1; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 30; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 30: 
      var $42=$1; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $42; //@line 1820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer5binopENS_9TokenKindE4JSOp["X"]=1;

function __ZN2js11NodeBuilder8xmlCdataEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $text=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$text;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+528)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$text; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$text; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 66, $26, ((STRING_TABLE.__str2353387)|0), $8, $29); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder10xmlCommentEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $text=__stackBase__;
      var $4;
      var $5;
      var $cb=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $3=$this;
      var $9=$text;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      $4=$pos;
      $5=$dst;
      var $11=$3;
      var $12=(($11+24)|0); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+536)|0); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$cb; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$13; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZNK2JS5Value6isNullEv($cb); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$6; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$7; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$text; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$5; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_($11, $6, $7, $22, $23); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$24; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $26=$4; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$8; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$text; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_($11, 67, $26, ((STRING_TABLE.__str2353387)|0), $8, $29); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $2=$30; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $32=$2; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder5xmlPIEN2JS5ValueEPNS_8TokenPosEPS2_($this, $0, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $target=__stackBase__;
  var $3;
  var $4;
  var $5=__stackBase__+8;
  var $6=__stackBase__+16;
  $2=$this;
  var $7=$target;
  var $8=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
  $3=$pos;
  $4=$dst;
  var $9=$2;
  var $10=$5; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $11=$target; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  __ZN2JSL9NullValueEv3400($6); //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $12=$3; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $13=$4; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $14=__ZN2js11NodeBuilder5xmlPIEN2JS5ValueES2_PNS_8TokenPosEPS2_($9, $5, $6, $12, $13); //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilder5xmlPIEN2JS5ValueES2_PNS_8TokenPosEPS2_($this, $0, $1, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $target=__stackBase__;
      var $contents=__stackBase__+8;
      var $5;
      var $6;
      var $cb=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $4=$this;
      var $12=$target;
      var $13=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];
      var $14=$contents;
      var $15=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      $5=$pos;
      $6=$dst;
      var $16=$4;
      var $17=(($16+24)|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+544)|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$cb; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$18; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=__ZNK2JS5Value6isNullEv($cb); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $23=$7; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$cb; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$8; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$target; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$9; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$contents; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$6; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($16, $7, $8, $9, $29, $30); //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$31; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $33=$5; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$10; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$target; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$11; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$contents; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$6; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_($16, 68, $33, ((STRING_TABLE.__str2373389)|0), $10, ((STRING_TABLE.__str2353387)|0), $11, $38); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$39; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $41=$3; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder5xmlPIEN2JS5ValueES2_PNS_8TokenPosEPS2_["X"]=1;

function __ZN2js13ASTSerializer10statementsEP11JSParseNodeRNS_15AutoValueVectorE($this, $pn, $elts) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $next;
      var $elt=__stackBase__;
      $2=$this;
      $3=$pn;
      $4=$elts;
      var $5=$2;
      var $6=$4; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=$6; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=$3; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=(($8+32)|0); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$9; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+8)|0); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($7, $12); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $16=$3; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+32)|0); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18)|0); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$20; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $22=$next; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22)|0)!=0; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $25=$next; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZN2js13ASTSerializer13sourceElementEP11JSParseNodePN2JS5ValueE($5, $25, $elt); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      $1=0; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $29=$4; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($30, $elt); //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $32=$next; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32+24)|0); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$34; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=1; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $37=$1; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 1838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer13sourceElementEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$pn;
  $3=$dst;
  var $4=$1;
  var $5=$2; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $6=$3; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $7=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($4, $5, $6); //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $7; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js13ASTSerializer11expressionsEP11JSParseNodeRNS_15AutoValueVectorE($this, $pn, $elts) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $next;
      var $elt=__stackBase__;
      $2=$this;
      $3=$pn;
      $4=$elts;
      var $5=$2;
      var $6=$4; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=$6; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=$3; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=(($8+32)|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$9; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+8)|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($7, $12); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $16=$3; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+32)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$20; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $22=$next; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22)|0)!=0; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $25=$next; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($5, $25, $elt); //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      $1=0; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $29=$4; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($30, $elt); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $32=$next; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32+24)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$34; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=1; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $37=$1; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 896; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $exprs=__stackBase__+4;
      var $5;
      var $test=__stackBase__+96;
      var $cons=__stackBase__+104;
      var $alt=__stackBase__+112;
      var $6=__stackBase__+120;
      var $7=__stackBase__+128;
      var $8=__stackBase__+136;
      var $left=__stackBase__+144;
      var $right=__stackBase__+152;
      var $9=__stackBase__+160;
      var $10=__stackBase__+168;
      var $incr;
      var $prefix;
      var $expr=__stackBase__+176;
      var $11=__stackBase__+184;
      var $op;
      var $lhs=__stackBase__+192;
      var $rhs=__stackBase__+200;
      var $12=__stackBase__+208;
      var $13=__stackBase__+216;
      var $op1;
      var $left2=__stackBase__+224;
      var $right3=__stackBase__+232;
      var $14=__stackBase__+240;
      var $15=__stackBase__+248;
      var $op4;
      var $expr5=__stackBase__+256;
      var $16=__stackBase__+264;
      var $next;
      var $callee=__stackBase__+272;
      var $args=__stackBase__+280;
      var $arg=__stackBase__+372;
      var $17=__stackBase__+380;
      var $18=__stackBase__+388;
      var $expr6=__stackBase__+396;
      var $id=__stackBase__+404;
      var $19=__stackBase__+412;
      var $20=__stackBase__+420;
      var $left7=__stackBase__+428;
      var $right8=__stackBase__+436;
      var $computed;
      var $21=__stackBase__+444;
      var $22=__stackBase__+452;
      var $elts=__stackBase__+460;
      var $next9;
      var $23=__stackBase__+552;
      var $expr10=__stackBase__+560;
      var $elts11=__stackBase__+568;
      var $next12;
      var $prop=__stackBase__+660;
      var $arg13=__stackBase__+668;
      var $24=__stackBase__+676;
      var $expr14=__stackBase__+684;
      var $25=__stackBase__+692;
      var $dtors=__stackBase__+700;
      var $expr15=__stackBase__+792;
      var $26=__stackBase__+800;
      var $right16=__stackBase__+808;
      var $pnleft;
      var $computed17;
      var $27=__stackBase__+816;
      var $left18=__stackBase__+824;
      var $28=__stackBase__+832;
      var $29=__stackBase__+840;
      var $expr19=__stackBase__+848;
      var $kid;
      var $computed20;
      var $30=__stackBase__+856;
      var $left21=__stackBase__+864;
      var $right22=__stackBase__+872;
      var $31=__stackBase__+880;
      var $32=__stackBase__+888;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $33=$2;
      __label__ = 2; break; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $35=$stackDummy_; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($33)|0); //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=(($37+48)|0); //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=HEAPU32[(($38)>>2)]; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=(($35)>>>0) < (($39)>>>0); //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($40) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $42=(($33)|0); //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __Z21js_ReportOverRecursedP9JSContext($43); //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      __label__ = 5; break; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $46=$3; //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=__ZNK11JSParseNode7getKindEv($46); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($47)|0) == 34) {
        __label__ = 6; break;
      }
      else if ((($47)|0) == 3) {
        __label__ = 7; break;
      }
      else if ((($47)|0) == 5) {
        __label__ = 10; break;
      }
      else if ((($47)|0) == 7 || (($47)|0) == 8) {
        __label__ = 15; break;
      }
      else if ((($47)|0) == 20 || (($47)|0) == 21) {
        __label__ = 21; break;
      }
      else if ((($47)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($47)|0) == 12 || (($47)|0) == 13 || (($47)|0) == 14 || (($47)|0) == 15 || (($47)|0) == 16 || (($47)|0) == 17 || (($47)|0) == 18 || (($47)|0) == 9 || (($47)|0) == 10 || (($47)|0) == 11 || (($47)|0) == 45 || (($47)|0) == 57 || (($47)|0) == 73) {
        __label__ = 35; break;
      }
      else if ((($47)|0) == 50 || (($47)|0) == 19) {
        __label__ = 46; break;
      }
      else if ((($47)|0) == 49 || (($47)|0) == 27) {
        __label__ = 58; break;
      }
      else if ((($47)|0) == 22) {
        __label__ = 75; break;
      }
      else if ((($47)|0) == 23) {
        __label__ = 79; break;
      }
      else if ((($47)|0) == 24) {
        __label__ = 86; break;
      }
      else if ((($47)|0) == 26) {
        __label__ = 99; break;
      }
      else if ((($47)|0) == 29) {
        __label__ = 109; break;
      }
      else if ((($47)|0) == 31 || (($47)|0) == 32 || (($47)|0) == 30 || (($47)|0) == 33) {
        __label__ = 110; break;
      }
      else if ((($47)|0) == 77) {
        __label__ = 114; break;
      }
      else if ((($47)|0) == 51) {
        __label__ = 117; break;
      }
      else if ((($47)|0) == 52) {
        __label__ = 120; break;
      }
      else if ((($47)|0) == 78) {
        __label__ = 121; break;
      }
      else if ((($47)|0) == 80) {
        __label__ = 130; break;
      }
      else if ((($47)|0) == 72) {
        __label__ = 134; break;
      }
      else if ((($47)|0) == 71) {
        __label__ = 135; break;
      }
      else if ((($47)|0) == 70) {
        __label__ = 152; break;
      }
      else if ((($47)|0) == 74) {
        __label__ = 159; break;
      }
      else {
      __label__ = 163; break;
      }
      
    case 6: 
      var $49=$3; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$4; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=__ZN2js13ASTSerializer8functionEP11JSParseNodeNS_7ASTTypeEPN2JS5ValueE($33, $49, 17, $50); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$51; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $53=(($33)|0); //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($exprs, $54); //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$3; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=__ZN2js13ASTSerializer11expressionsEP11JSParseNodeRNS_15AutoValueVectorE($33, $55, $exprs); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($56) { __label__ = 8; break; } else { var $64 = 0;__label__ = 9; break; } //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $58=(($33+8)|0); //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$3; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($59+4)|0); //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$4; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=__ZN2js11NodeBuilder18sequenceExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($58, $exprs, $60, $61); //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64 = $62;__label__ = 9; break;
    case 9: 
      var $64;
      $1=$64;
      $5=1;
      __ZN2js15AutoValueVectorD1Ev($exprs); //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break;
    case 10: 
      var $66=$3; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=(($66+32)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=$67; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=(($68)|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $70, $test); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($71) { __label__ = 11; break; } else { var $99 = 0;__label__ = 14; break; } //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $73=$3; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=(($73+32)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=$74; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=(($75+4)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $78=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $77, $cons); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($78) { __label__ = 12; break; } else { var $99 = 0;__label__ = 14; break; } //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $80=$3; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=(($80+32)|0); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=$81; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=(($82+8)|0); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $85=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $84, $alt); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($85) { __label__ = 13; break; } else { var $99 = 0;__label__ = 14; break; } //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $87=(($33+8)|0); //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=$6; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=$test; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($88)>>2)]=HEAP32[(($89)>>2)];HEAP32[(($88+4)>>2)]=HEAP32[(($89+4)>>2)]; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=$7; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $91=$cons; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($90)>>2)]=HEAP32[(($91)>>2)];HEAP32[(($90+4)>>2)]=HEAP32[(($91+4)>>2)]; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $92=$8; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $93=$alt; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($92)>>2)]=HEAP32[(($93)>>2)];HEAP32[(($92+4)>>2)]=HEAP32[(($93+4)>>2)]; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $94=$3; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $95=(($94+4)|0); //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $96=$4; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $97=__ZN2js11NodeBuilder21conditionalExpressionEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($87, $6, $7, $8, $95, $96); //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $99 = $97;__label__ = 14; break;
    case 14: 
      var $99;
      $1=$99;
      __label__ = 164; break;
    case 15: 
      var $101=$3; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $102=__ZNK11JSParseNode7isArityE16JSParseNodeArity($101, 2); //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($102) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      var $104=$3; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $105=(($104+32)|0); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $106=$105; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $107=(($106)|0); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $109=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $108, $left); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($109) { __label__ = 17; break; } else { var $130 = 0;__label__ = 19; break; } //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $111=$3; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $112=(($111+32)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $113=$112; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $114=(($113+4)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $116=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $115, $right); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($116) { __label__ = 18; break; } else { var $130 = 0;__label__ = 19; break; } //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      var $118=(($33+8)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $119=$3; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $120=__ZNK11JSParseNode6isKindEN2js9TokenKindE($119, 7); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $121=$9; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $122=$left; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($121)>>2)]=HEAP32[(($122)>>2)];HEAP32[(($121+4)>>2)]=HEAP32[(($122+4)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $123=$10; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $124=$right; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($123)>>2)]=HEAP32[(($124)>>2)];HEAP32[(($123+4)>>2)]=HEAP32[(($124+4)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $125=$3; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $126=(($125+4)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $127=$4; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $128=__ZN2js11NodeBuilder17logicalExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_($118, $120, $9, $10, $126, $127); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $130 = $128;__label__ = 19; break;
    case 19: 
      var $130;
      $1=$130;
      __label__ = 164; break;
    case 20: 
      var $132=$3; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $133=$4; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $134=__ZN2js13ASTSerializer13leftAssociateEP11JSParseNodePN2JS5ValueE($33, $132, $133); //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$134; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 21: 
      var $136=$3; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $137=__ZNK11JSParseNode6isKindEN2js9TokenKindE($136, 20); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $138=(($137)&1); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $incr=$138; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $139=$3; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $140=__ZNK11JSParseNode5getOpEv($139); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $141=(($140)|0) >= 41; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($141) { __label__ = 22; break; } else { var $147 = 0;__label__ = 23; break; } //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      var $143=$3; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $144=__ZNK11JSParseNode5getOpEv($143); //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $145=(($144)|0) <= 46; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $147 = $145;__label__ = 23; break;
    case 23: 
      var $147;
      var $148=(($147)&1);
      $prefix=$148;
      var $149=$3; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $150=(($149+32)|0); //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $151=$150; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $152=(($151)|0); //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $154=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $153, $expr); //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($154) { __label__ = 24; break; } else { var $168 = 0;__label__ = 25; break; } //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      var $156=(($33+8)|0); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $157=$11; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $158=$expr; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($157)>>2)]=HEAP32[(($158)>>2)];HEAP32[(($157+4)>>2)]=HEAP32[(($158+4)>>2)]; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $159=$incr; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $160=(($159) & 1); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $161=$prefix; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $162=(($161) & 1); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $163=$3; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $164=(($163+4)|0); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $165=$4; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $166=__ZN2js11NodeBuilder16updateExpressionEN2JS5ValueEbbPNS_8TokenPosEPS2_($156, $11, $160, $162, $164, $165); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $168 = $166;__label__ = 25; break;
    case 25: 
      var $168;
      $1=$168;
      __label__ = 164; break;
    case 26: 
      var $170=$3; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $171=__ZNK11JSParseNode5getOpEv($170); //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $172=__ZN2js13ASTSerializer3aopE4JSOp($33, $171); //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $op=$172; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 27; break; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 27: 
      var $174=$op; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $175=(($174)|0) > -1; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($175) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 28: 
      var $177=$op; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $178=(($177)|0) < 12; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($178) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 29: 
      var $180=(($33)|0); //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($181, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 30: 
      __label__ = 31; break; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 31: 
      var $184=$3; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $185=(($184+32)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $186=$185; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $187=(($186)|0); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $188=HEAP32[(($187)>>2)]; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $189=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($33, $188, 0, $lhs); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($189) { __label__ = 32; break; } else { var $209 = 0;__label__ = 34; break; } //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 32: 
      var $191=$3; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $192=(($191+32)|0); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $193=$192; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $194=(($193+4)|0); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $196=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $195, $rhs); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($196) { __label__ = 33; break; } else { var $209 = 0;__label__ = 34; break; } //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 33: 
      var $198=(($33+8)|0); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $199=$op; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $200=$12; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $201=$lhs; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($200)>>2)]=HEAP32[(($201)>>2)];HEAP32[(($200+4)>>2)]=HEAP32[(($201+4)>>2)]; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $202=$13; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $203=$rhs; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($202)>>2)]=HEAP32[(($203)>>2)];HEAP32[(($202+4)>>2)]=HEAP32[(($203+4)>>2)]; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $204=$3; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $205=(($204+4)|0); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $206=$4; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $207=__ZN2js11NodeBuilder20assignmentExpressionENS_18AssignmentOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_($198, $199, $12, $13, $205, $206); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $209 = $207;__label__ = 34; break;
    case 34: 
      var $209;
      $1=$209;
      __label__ = 164; break;
    case 35: 
      var $211=$3; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $212=__ZNK11JSParseNode7isArityE16JSParseNodeArity($211, 2); //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($212) { __label__ = 36; break; } else { __label__ = 45; break; } //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 36: 
      var $214=$3; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $215=__ZNK11JSParseNode7getKindEv($214); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $216=$3; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $217=__ZNK11JSParseNode5getOpEv($216); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $218=__ZN2js13ASTSerializer5binopENS_9TokenKindE4JSOp($33, $215, $217); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $op1=$218; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 37; break; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 37: 
      var $220=$op1; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $221=(($220)|0) > -1; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($221) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 38: 
      var $223=$op1; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $224=(($223)|0) < 22; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($224) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 39: 
      var $226=(($33)|0); //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($227, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 40: 
      __label__ = 41; break; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 41: 
      var $230=$3; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $231=(($230+32)|0); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $232=$231; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $233=(($232)|0); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $234=HEAP32[(($233)>>2)]; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $235=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $234, $left2); //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($235) { __label__ = 42; break; } else { var $255 = 0;__label__ = 44; break; } //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 42: 
      var $237=$3; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $238=(($237+32)|0); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $239=$238; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $240=(($239+4)|0); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $242=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $241, $right3); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($242) { __label__ = 43; break; } else { var $255 = 0;__label__ = 44; break; } //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 43: 
      var $244=(($33+8)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $245=$op1; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $246=$14; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $247=$left2; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($246)>>2)]=HEAP32[(($247)>>2)];HEAP32[(($246+4)>>2)]=HEAP32[(($247+4)>>2)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $248=$15; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $249=$right3; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($248)>>2)]=HEAP32[(($249)>>2)];HEAP32[(($248+4)>>2)]=HEAP32[(($249+4)>>2)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $250=$3; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $251=(($250+4)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $252=$4; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $253=__ZN2js11NodeBuilder16binaryExpressionENS_14BinaryOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_($244, $245, $14, $15, $251, $252); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $255 = $253;__label__ = 44; break;
    case 44: 
      var $255;
      $1=$255;
      __label__ = 164; break;
    case 45: 
      var $257=$3; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $258=$4; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $259=__ZN2js13ASTSerializer13leftAssociateEP11JSParseNodePN2JS5ValueE($33, $257, $258); //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$259; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 46: 
      var $261=$3; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $262=__ZNK11JSParseNode4isOpE4JSOp($261, 174); //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($262) { __label__ = 49; break; } else { __label__ = 47; break; } //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 47: 
      var $264=$3; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $265=__ZNK11JSParseNode4isOpE4JSOp($264, 173); //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($265) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 48: 
      var $267=$3; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $268=__ZNK11JSParseNode4isOpE4JSOp($267, 172); //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($268) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 49: 
      var $270=$3; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $271=(($270+32)|0); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $272=$271; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $273=(($272)|0); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $275=$4; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $276=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $274, $275); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$276; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 50: 
      var $278=$3; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $279=__ZNK11JSParseNode7getKindEv($278); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $280=$3; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $281=__ZNK11JSParseNode5getOpEv($280); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $282=__ZN2js13ASTSerializer4unopENS_9TokenKindE4JSOp($33, $279, $281); //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $op4=$282; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 51; break; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 51: 
      var $284=$op4; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $285=(($284)|0) > -1; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($285) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 52: 
      var $287=$op4; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $288=(($287)|0) < 7; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($288) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 53: 
      var $290=(($33)|0); //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $291=HEAP32[(($290)>>2)]; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($291, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 54: 
      __label__ = 55; break; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 55: 
      var $294=$3; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $295=(($294+32)|0); //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $296=$295; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $297=(($296)|0); //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $298=HEAP32[(($297)>>2)]; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $299=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $298, $expr5); //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($299) { __label__ = 56; break; } else { var $310 = 0;__label__ = 57; break; } //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 56: 
      var $301=(($33+8)|0); //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $302=$op4; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $303=$16; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $304=$expr5; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($303)>>2)]=HEAP32[(($304)>>2)];HEAP32[(($303+4)>>2)]=HEAP32[(($304+4)>>2)]; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $305=$3; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $306=(($305+4)|0); //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $307=$4; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $308=__ZN2js11NodeBuilder15unaryExpressionENS_13UnaryOperatorEN2JS5ValueEPNS_8TokenPosEPS3_($301, $302, $16, $306, $307); //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $310 = $308;__label__ = 57; break;
    case 57: 
      var $310;
      $1=$310;
      __label__ = 164; break;
    case 58: 
      var $312=$3; //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $313=__ZNK11JSParseNode15isGeneratorExprEv($312); //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($313) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 59: 
      var $315=$3; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $316=__ZNK11JSParseNode13generatorExprEv($315); //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $317=$4; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $318=__ZN2js13ASTSerializer19generatorExpressionEP11JSParseNodePN2JS5ValueE($33, $316, $317); //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$318; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 60: 
      var $320=$3; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $321=(($320+32)|0); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $322=$321; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $323=(($322)|0); //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $324=HEAP32[(($323)>>2)]; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$324; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $325=$next; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $326=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $325, $callee); //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($326) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 61: 
      $1=0; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 62: 
      var $329=(($33)|0); //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $330=HEAP32[(($329)>>2)]; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($args, $330); //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $331=$args; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $332=$3; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $333=(($332+32)|0); //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $334=$333; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $335=(($334+8)|0); //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $336=HEAP32[(($335)>>2)]; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $337=(($336-1)|0); //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $338=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($331, $337); //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($338) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 63: 
      $1=0; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 74; break; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 64: 
      var $341=$next; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $342=(($341+24)|0); //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $343=HEAP32[(($342)>>2)]; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$343; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 65; break; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 65: 
      var $345=$next; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $346=(($345)|0)!=0; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($346) { __label__ = 66; break; } else { __label__ = 70; break; } //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 66: 
      var $348=$next; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $349=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $348, $arg); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($349) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 67: 
      $1=0; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 74; break; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 68: 
      var $352=$args; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($352, $arg); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 69; break; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 69: 
      var $354=$next; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $355=(($354+24)|0); //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $356=HEAP32[(($355)>>2)]; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$356; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 65; break; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 70: 
      var $358=$3; //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $359=__ZNK11JSParseNode6isKindEN2js9TokenKindE($358, 49); //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($359) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 71: 
      var $361=(($33+8)|0); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $362=$17; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $363=$callee; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($362)>>2)]=HEAP32[(($363)>>2)];HEAP32[(($362+4)>>2)]=HEAP32[(($363+4)>>2)]; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $364=$3; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $365=(($364+4)|0); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $366=$4; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $367=__ZN2js11NodeBuilder13newExpressionEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_($361, $17, $args, $365, $366); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $377 = $367;__label__ = 73; break; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 72: 
      var $369=(($33+8)|0); //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $370=$18; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $371=$callee; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($370)>>2)]=HEAP32[(($371)>>2)];HEAP32[(($370+4)>>2)]=HEAP32[(($371+4)>>2)]; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $372=$3; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $373=(($372+4)|0); //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $374=$4; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $375=__ZN2js11NodeBuilder14callExpressionEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_($369, $18, $args, $373, $374); //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $377 = $375;__label__ = 73; break; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 73: 
      var $377; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$377; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 74; break; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 74: 
      __ZN2js15AutoValueVectorD1Ev($args); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break;
    case 75: 
      var $380=$3; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $381=(($380+32)|0); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $382=$381; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $383=(($382+4)|0); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $384=$383; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $385=HEAP32[(($384)>>2)]; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $386=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $385, $expr6); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($386) { __label__ = 76; break; } else { var $406 = 0;__label__ = 78; break; } //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 76: 
      var $388=$3; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $389=(($388+32)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $390=$389; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $391=(($390)|0); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $392=$391; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $393=HEAP32[(($392)>>2)]; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $394=__ZN2js13ASTSerializer10identifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($33, $393, 0, $id); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($394) { __label__ = 77; break; } else { var $406 = 0;__label__ = 78; break; } //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 77: 
      var $396=(($33+8)|0); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $397=$19; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $398=$expr6; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($397)>>2)]=HEAP32[(($398)>>2)];HEAP32[(($397+4)>>2)]=HEAP32[(($398+4)>>2)]; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $399=$20; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $400=$id; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($399)>>2)]=HEAP32[(($400)>>2)];HEAP32[(($399+4)>>2)]=HEAP32[(($400+4)>>2)]; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $401=$3; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $402=(($401+4)|0); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $403=$4; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $404=__ZN2js11NodeBuilder16memberExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_($396, 0, $19, $20, $402, $403); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $406 = $404;__label__ = 78; break;
    case 78: 
      var $406;
      $1=$406;
      __label__ = 164; break;
    case 79: 
      $computed=1; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $408=$3; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $409=(($408+32)|0); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $410=$409; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $411=(($410+4)|0); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $412=HEAP32[(($411)>>2)]; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $413=__ZNK11JSParseNode6isKindEN2js9TokenKindE($412, 71); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($413) { var $430 = 0;__label__ = 82; break; } else { __label__ = 80; break; } //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 80: 
      var $415=$3; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $416=(($415+32)|0); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $417=$416; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $418=(($417+4)|0); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $419=HEAP32[(($418)>>2)]; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $420=__ZNK11JSParseNode6isKindEN2js9TokenKindE($419, 72); //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($420) { var $430 = 0;__label__ = 82; break; } else { __label__ = 81; break; } //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 81: 
      var $422=$3; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $423=(($422+32)|0); //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $424=$423; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $425=(($424+4)|0); //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $426=HEAP32[(($425)>>2)]; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $427=__ZNK11JSParseNode6isKindEN2js9TokenKindE($426, 70); //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $428=$427 ^ 1; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $430 = $428;__label__ = 82; break;
    case 82: 
      var $430;
      var $431=(($430)&1);
      $computed=$431;
      var $432=$3; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $433=(($432+32)|0); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $434=$433; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $435=(($434)|0); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $436=HEAP32[(($435)>>2)]; //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $437=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $436, $left7); //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($437) { __label__ = 83; break; } else { var $458 = 0;__label__ = 85; break; } //@line 2547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 83: 
      var $439=$3; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $440=(($439+32)|0); //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $441=$440; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $442=(($441+4)|0); //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $443=HEAP32[(($442)>>2)]; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $444=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $443, $right8); //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($444) { __label__ = 84; break; } else { var $458 = 0;__label__ = 85; break; } //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 84: 
      var $446=(($33+8)|0); //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $447=$computed; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $448=(($447) & 1); //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $449=$21; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $450=$left7; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($449)>>2)]=HEAP32[(($450)>>2)];HEAP32[(($449+4)>>2)]=HEAP32[(($450+4)>>2)]; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $451=$22; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $452=$right8; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($451)>>2)]=HEAP32[(($452)>>2)];HEAP32[(($451+4)>>2)]=HEAP32[(($452+4)>>2)]; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $453=$3; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $454=(($453+4)|0); //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $455=$4; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $456=__ZN2js11NodeBuilder16memberExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_($446, $448, $21, $22, $454, $455); //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $458 = $456;__label__ = 85; break;
    case 85: 
      var $458;
      $1=$458;
      __label__ = 164; break;
    case 86: 
      var $460=(($33)|0); //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $461=HEAP32[(($460)>>2)]; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts, $461); //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $462=$elts; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $463=$3; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $464=(($463+32)|0); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $465=$464; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $466=(($465+8)|0); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $467=HEAP32[(($466)>>2)]; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $468=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($462, $467); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($468) { __label__ = 88; break; } else { __label__ = 87; break; } //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 87: 
      $1=0; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 98; break; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 88: 
      var $471=$3; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $472=(($471+32)|0); //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $473=$472; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $474=(($473)|0); //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $475=HEAP32[(($474)>>2)]; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next9=$475; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 89; break; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 89: 
      var $477=$next9; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $478=(($477)|0)!=0; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($478) { __label__ = 90; break; } else { __label__ = 97; break; } //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 90: 
      var $480=$next9; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $481=__ZNK11JSParseNode6isKindEN2js9TokenKindE($480, 3); //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($481) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 91: 
      var $483=$elts; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic3404($23, 8); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($483, $23); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 95; break; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 92: 
      var $485=$next9; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $486=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $485, $expr10); //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($486) { __label__ = 94; break; } else { __label__ = 93; break; } //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 93: 
      $1=0; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 98; break; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 94: 
      var $489=$elts; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($489, $expr10); //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 95; break;
    case 95: 
      __label__ = 96; break; //@line 2567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 96: 
      var $492=$next9; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $493=(($492+24)|0); //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $494=HEAP32[(($493)>>2)]; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next9=$494; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 89; break; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 97: 
      var $496=(($33+8)|0); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $497=$3; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $498=(($497+4)|0); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $499=$4; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $500=__ZN2js11NodeBuilder15arrayExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($496, $elts, $498, $499); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$500; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 98; break; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 98: 
      __ZN2js15AutoValueVectorD1Ev($elts); //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break;
    case 99: 
      var $503=(($33)|0); //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $504=HEAP32[(($503)>>2)]; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts11, $504); //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $505=$elts11; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $506=$3; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $507=(($506+32)|0); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $508=$507; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $509=(($508+8)|0); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $510=HEAP32[(($509)>>2)]; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $511=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($505, $510); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($511) { __label__ = 101; break; } else { __label__ = 100; break; } //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 100: 
      $1=0; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 108; break; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 101: 
      var $514=$3; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $515=(($514+32)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $516=$515; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $517=(($516)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $518=HEAP32[(($517)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next12=$518; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 102; break; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 102: 
      var $520=$next12; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $521=(($520)|0)!=0; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($521) { __label__ = 103; break; } else { __label__ = 107; break; } //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 103: 
      var $523=$next12; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $524=__ZN2js13ASTSerializer8propertyEP11JSParseNodePN2JS5ValueE($33, $523, $prop); //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($524) { __label__ = 105; break; } else { __label__ = 104; break; } //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 104: 
      $1=0; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 108; break; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 105: 
      var $527=$elts11; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($527, $prop); //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 106; break; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 106: 
      var $529=$next12; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $530=(($529+24)|0); //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $531=HEAP32[(($530)>>2)]; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next12=$531; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 102; break; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 107: 
      var $533=(($33+8)|0); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $534=$3; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $535=(($534+4)|0); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $536=$4; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $537=__ZN2js11NodeBuilder16objectExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($533, $elts11, $535, $536); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$537; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 108; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 108: 
      __ZN2js15AutoValueVectorD1Ev($elts11); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break;
    case 109: 
      var $540=$3; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $541=$4; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $542=__ZN2js13ASTSerializer10identifierEP11JSParseNodePN2JS5ValueE($33, $540, $541); //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$542; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 110: 
      var $544=$3; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $545=__ZNK11JSParseNode4isOpE4JSOp($544, 65); //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($545) { __label__ = 111; break; } else { __label__ = 112; break; } //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 111: 
      var $547=(($33+8)|0); //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $548=$3; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $549=(($548+4)|0); //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $550=$4; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $551=__ZN2js11NodeBuilder14thisExpressionEPNS_8TokenPosEPN2JS5ValueE($547, $549, $550); //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $557 = $551;__label__ = 113; break; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 112: 
      var $553=$3; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $554=$4; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $555=__ZN2js13ASTSerializer7literalEP11JSParseNodePN2JS5ValueE($33, $553, $554); //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $557 = $555;__label__ = 113; break; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 113: 
      var $557; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$557; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 114: 
      var $559=$3; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $560=(($559+32)|0); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $561=$560; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $562=(($561)|0); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $563=HEAP32[(($562)>>2)]; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $564=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($33, $563, $arg13); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($564) { __label__ = 115; break; } else { var $574 = 0;__label__ = 116; break; } //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 115: 
      var $566=(($33+8)|0); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $567=$24; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $568=$arg13; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($567)>>2)]=HEAP32[(($568)>>2)];HEAP32[(($567+4)>>2)]=HEAP32[(($568+4)>>2)]; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $569=$3; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $570=(($569+4)|0); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $571=$4; //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $572=__ZN2js11NodeBuilder15yieldExpressionEN2JS5ValueEPNS_8TokenPosEPS2_($566, $24, $570, $571); //@line 2601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $574 = $572;__label__ = 116; break;
    case 116: 
      var $574;
      $1=$574;
      __label__ = 164; break;
    case 117: 
      var $576=$3; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $577=(($576+32)|0); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $578=$577; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $579=(($578)|0); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $580=HEAP32[(($579)>>2)]; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $581=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $580, $expr14); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($581) { __label__ = 118; break; } else { var $596 = 0;__label__ = 119; break; } //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 118: 
      var $583=(($33+8)|0); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $584=$3; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $585=(($584+32)|0); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $586=$585; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $587=(($586+4)|0); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $588=HEAP32[(($587)>>2)]; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $589=$25; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $590=$expr14; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($589)>>2)]=HEAP32[(($590)>>2)];HEAP32[(($589+4)>>2)]=HEAP32[(($590+4)>>2)]; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $591=$3; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $592=(($591+4)|0); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $593=$4; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $594=__ZN2js11NodeBuilder15graphExpressionEiN2JS5ValueEPNS_8TokenPosEPS2_($583, $588, $25, $592, $593); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $596 = $594;__label__ = 119; break;
    case 119: 
      var $596;
      $1=$596;
      __label__ = 164; break;
    case 120: 
      var $598=(($33+8)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $599=$3; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $600=(($599+32)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $601=$600; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $602=(($601+4)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $603=HEAP32[(($602)>>2)]; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $604=$3; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $605=(($604+4)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $606=$4; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $607=__ZN2js11NodeBuilder20graphIndexExpressionEiPNS_8TokenPosEPN2JS5ValueE($598, $603, $605, $606); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$607; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 121: 
      __label__ = 122; break; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 122: 
      var $610=$3; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $611=(($610+32)|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $612=$611; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $613=(($612+8)|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $614=HEAP32[(($613)>>2)]; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $615=(($614)|0)==1; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($615) { __label__ = 124; break; } else { __label__ = 123; break; } //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 123: 
      var $617=(($33)|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $618=HEAP32[(($617)>>2)]; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($618, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 124: 
      __label__ = 125; break; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 125: 
      __label__ = 126; break; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 126: 
      var $622=$3; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $623=(($622+32)|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $624=$623; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $625=(($624)|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $626=HEAP32[(($625)>>2)]; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $627=__ZNK11JSParseNode6isKindEN2js9TokenKindE($626, 80); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($627) { __label__ = 128; break; } else { __label__ = 127; break; } //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 127: 
      var $629=(($33)|0); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $630=HEAP32[(($629)>>2)]; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($630, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 128: 
      __label__ = 129; break; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 129: 
      var $633=$3; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $634=(($633+32)|0); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $635=$634; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $636=(($635)|0); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $637=HEAP32[(($636)>>2)]; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $638=(($637+32)|0); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $639=$638; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $640=(($639+4)|0); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $641=$640; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $642=HEAP32[(($641)>>2)]; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $643=$4; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $644=__ZN2js13ASTSerializer13comprehensionEP11JSParseNodePN2JS5ValueE($33, $642, $643); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$644; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 130: 
      var $646=$3; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $647=(($646+32)|0); //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $648=$647; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $649=(($648+4)|0); //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $650=$649; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $651=HEAP32[(($650)>>2)]; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$651; //@line 2623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $652=(($33)|0); //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $653=HEAP32[(($652)>>2)]; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($dtors, $653); //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $654=$3; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $655=(($654+32)|0); //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $656=$655; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $657=(($656)|0); //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $658=HEAP32[(($657)>>2)]; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $659=__ZN2js13ASTSerializer7letHeadEP11JSParseNodeRNS_15AutoValueVectorE($33, $658, $dtors); //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($659) { __label__ = 131; break; } else { var $676 = 0;__label__ = 133; break; } //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 131: 
      var $661=$3; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $662=(($661+32)|0); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $663=$662; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $664=(($663+4)|0); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $665=HEAP32[(($664)>>2)]; //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $666=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $665, $expr15); //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($666) { __label__ = 132; break; } else { var $676 = 0;__label__ = 133; break; } //@line 2629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 132: 
      var $668=(($33+8)|0); //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $669=$26; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $670=$expr15; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($669)>>2)]=HEAP32[(($670)>>2)];HEAP32[(($669+4)>>2)]=HEAP32[(($670+4)>>2)]; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $671=$3; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $672=(($671+4)|0); //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $673=$4; //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $674=__ZN2js11NodeBuilder13letExpressionERNS_15AutoValueVectorEN2JS5ValueEPNS_8TokenPosEPS4_($668, $dtors, $26, $672, $673); //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $676 = $674;__label__ = 133; break;
    case 133: 
      var $676;
      $1=$676;
      $5=1;
      __ZN2js15AutoValueVectorD1Ev($dtors); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break;
    case 134: 
      var $678=(($33+8)|0); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $679=$3; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $680=(($679+4)|0); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $681=$4; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $682=__ZN2js11NodeBuilder10xmlAnyNameEPNS_8TokenPosEPN2JS5ValueE($678, $680, $681); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$682; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 135: 
      __label__ = 136; break; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 136: 
      var $685=$3; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $686=__ZNK11JSParseNode7isArityE16JSParseNodeArity($685, 6); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($686) { __label__ = 139; break; } else { __label__ = 137; break; } //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 137: 
      var $688=$3; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $689=__ZNK11JSParseNode7isArityE16JSParseNodeArity($688, 2); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($689) { __label__ = 139; break; } else { __label__ = 138; break; } //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 138: 
      var $691=(($33)|0); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $692=HEAP32[(($691)>>2)]; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($692, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 139: 
      __label__ = 140; break; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 140: 
      var $695=$3; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $696=__ZNK11JSParseNode7isArityE16JSParseNodeArity($695, 2); //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($696) { __label__ = 141; break; } else { __label__ = 144; break; } //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 141: 
      $computed17=1; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $698=$3; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $699=(($698+32)|0); //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $700=$699; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $701=(($700)|0); //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $702=HEAP32[(($701)>>2)]; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnleft=$702; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $703=$3; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $704=(($703+32)|0); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $705=$704; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $706=(($705+4)|0); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $707=HEAP32[(($706)>>2)]; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $708=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $707, $right16); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($708) { __label__ = 143; break; } else { __label__ = 142; break; } //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 142: 
      $1=0; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 143: 
      __label__ = 147; break; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 144: 
      $computed17=0; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $712=$3; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $713=(($712+32)|0); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $714=$713; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $715=(($714+4)|0); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $716=$715; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $717=HEAP32[(($716)>>2)]; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnleft=$717; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $718=$3; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $719=(($718+32)|0); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $720=$719; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $721=(($720)|0); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $722=$721; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $723=HEAP32[(($722)>>2)]; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $724=__ZN2js13ASTSerializer10identifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($33, $723, 0, $right16); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($724) { __label__ = 146; break; } else { __label__ = 145; break; } //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 145: 
      $1=0; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 146: 
      __label__ = 147; break;
    case 147: 
      var $728=$pnleft; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $729=__ZNK11JSParseNode6isKindEN2js9TokenKindE($728, 34); //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($729) { __label__ = 148; break; } else { __label__ = 149; break; } //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 148: 
      var $731=(($33+8)|0); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $732=$27; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $733=$right16; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($732)>>2)]=HEAP32[(($733)>>2)];HEAP32[(($732+4)>>2)]=HEAP32[(($733+4)>>2)]; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $734=$computed17; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $735=(($734) & 1); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $736=$3; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $737=(($736+4)|0); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $738=$4; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $739=__ZN2js11NodeBuilder30xmlFunctionQualifiedIdentifierEN2JS5ValueEbPNS_8TokenPosEPS2_($731, $27, $735, $737, $738); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$739; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 149: 
      var $741=$pnleft; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $742=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $741, $left18); //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($742) { __label__ = 150; break; } else { var $756 = 0;__label__ = 151; break; } //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 150: 
      var $744=(($33+8)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $745=$28; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $746=$left18; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($745)>>2)]=HEAP32[(($746)>>2)];HEAP32[(($745+4)>>2)]=HEAP32[(($746+4)>>2)]; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $747=$29; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $748=$right16; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($747)>>2)]=HEAP32[(($748)>>2)];HEAP32[(($747+4)>>2)]=HEAP32[(($748+4)>>2)]; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $749=$computed17; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $750=(($749) & 1); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $751=$3; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $752=(($751+4)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $753=$4; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $754=__ZN2js11NodeBuilder22xmlQualifiedIdentifierEN2JS5ValueES2_bPNS_8TokenPosEPS2_($744, $28, $29, $750, $752, $753); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $756 = $754;__label__ = 151; break;
    case 151: 
      var $756;
      $1=$756;
      __label__ = 164; break;
    case 152: 
      var $758=$3; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $759=(($758+32)|0); //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $760=$759; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $761=(($760)|0); //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $762=HEAP32[(($761)>>2)]; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $kid=$762; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $763=$kid; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $764=__ZNK11JSParseNode6isKindEN2js9TokenKindE($763, 29); //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($764) { __label__ = 153; break; } else { __label__ = 154; break; } //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 153: 
      var $766=$kid; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $767=__ZNK11JSParseNode4isOpE4JSOp($766, 165); //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($767) { var $776 = 0;__label__ = 156; break; } else { __label__ = 154; break; } //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 154: 
      var $769=$kid; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $770=__ZNK11JSParseNode6isKindEN2js9TokenKindE($769, 71); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($770) { var $776 = 0;__label__ = 156; break; } else { __label__ = 155; break; } //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 155: 
      var $772=$kid; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $773=__ZNK11JSParseNode6isKindEN2js9TokenKindE($772, 72); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $774=$773 ^ 1; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $776 = $774;__label__ = 156; break;
    case 156: 
      var $776;
      var $777=(($776)&1);
      $computed20=$777;
      var $778=$kid; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $779=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $778, $expr19); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($779) { __label__ = 157; break; } else { var $791 = 0;__label__ = 158; break; } //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 157: 
      var $781=(($33+8)|0); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $782=$30; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $783=$expr19; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($782)>>2)]=HEAP32[(($783)>>2)];HEAP32[(($782+4)>>2)]=HEAP32[(($783+4)>>2)]; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $784=$computed20; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $785=(($784) & 1); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $786=$3; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $787=(($786+4)|0); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $788=$4; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $789=__ZN2js11NodeBuilder20xmlAttributeSelectorEN2JS5ValueEbPNS_8TokenPosEPS2_($781, $30, $785, $787, $788); //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $791 = $789;__label__ = 158; break;
    case 158: 
      var $791;
      $1=$791;
      __label__ = 164; break;
    case 159: 
      var $793=$3; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $794=(($793+32)|0); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $795=$794; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $796=(($795)|0); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $797=HEAP32[(($796)>>2)]; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $798=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $797, $left21); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($798) { __label__ = 160; break; } else { var $817 = 0;__label__ = 162; break; } //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 160: 
      var $800=$3; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $801=(($800+32)|0); //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $802=$801; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $803=(($802+4)|0); //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $804=HEAP32[(($803)>>2)]; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $805=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($33, $804, $right22); //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($805) { __label__ = 161; break; } else { var $817 = 0;__label__ = 162; break; } //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 161: 
      var $807=(($33+8)|0); //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $808=$31; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $809=$left21; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($808)>>2)]=HEAP32[(($809)>>2)];HEAP32[(($808+4)>>2)]=HEAP32[(($809+4)>>2)]; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $810=$32; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $811=$right22; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($810)>>2)]=HEAP32[(($811)>>2)];HEAP32[(($810+4)>>2)]=HEAP32[(($811+4)>>2)]; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $812=$3; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $813=(($812+4)|0); //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $814=$4; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $815=__ZN2js11NodeBuilder19xmlFilterExpressionEN2JS5ValueES2_PNS_8TokenPosEPS2_($807, $31, $32, $813, $814); //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $817 = $815;__label__ = 162; break;
    case 162: 
      var $817;
      $1=$817;
      __label__ = 164; break;
    case 163: 
      var $819=$3; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $820=$4; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $821=__ZN2js13ASTSerializer3xmlEP11JSParseNodePN2JS5ValueE($33, $819, $820); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$821; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 164; break; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 164: 
      var $823=$1; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $823; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE["X"]=1;
// WARNING: content after a branch in a label, line: 480589

function __ZN2js13ASTSerializer4xmlsEP11JSParseNodeRNS_15AutoValueVectorE($this, $pn, $elts) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $next;
      var $elt=__stackBase__;
      $2=$this;
      $3=$pn;
      $4=$elts;
      var $5=$2;
      var $6=$4; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=$6; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=$3; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=(($8+32)|0); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$9; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+8)|0); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($7, $12); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $16=$3; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+32)|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18)|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$20; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $22=$next; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22)|0)!=0; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $25=$next; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZN2js13ASTSerializer3xmlEP11JSParseNodePN2JS5ValueE($5, $25, $elt); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      $1=0; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $29=$4; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($30, $elt); //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $32=$next; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32+24)|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$34; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=1; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $37=$1; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer3xmlEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 636; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $expr=__stackBase__+4;
      var $5=__stackBase__+12;
      var $elts=__stackBase__+20;
      var $6;
      var $elts1=__stackBase__+112;
      var $elts2=__stackBase__+204;
      var $elts3=__stackBase__+296;
      var $elts4=__stackBase__+388;
      var $7=__stackBase__+480;
      var $8=__stackBase__+488;
      var $elts5=__stackBase__+496;
      var $9=__stackBase__+588;
      var $10=__stackBase__+596;
      var $11=__stackBase__+604;
      var $12=__stackBase__+612;
      var $13=__stackBase__+620;
      var $14=__stackBase__+628;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $15=$2;
      __label__ = 2; break; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $17=$stackDummy_; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($15)|0); //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+48)|0); //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=HEAPU32[(($20)>>2)]; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($17)>>>0) < (($21)>>>0); //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $24=(($15)|0); //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __Z21js_ReportOverRecursedP9JSContext($25); //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      __label__ = 5; break; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $28=$3; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=__ZNK11JSParseNode7getKindEv($28); //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($29)|0) == 25) {
        __label__ = 6; break;
      }
      else if ((($29)|0) == 75) {
        __label__ = 9; break;
      }
      else if ((($29)|0) == 76) {
        __label__ = 13; break;
      }
      else if ((($29)|0) == 59) {
        __label__ = 17; break;
      }
      else if ((($29)|0) == 60) {
        __label__ = 21; break;
      }
      else if ((($29)|0) == 61) {
        __label__ = 25; break;
      }
      else if ((($29)|0) == 66 || (($29)|0) == 65) {
        __label__ = 29; break;
      }
      else if ((($29)|0) == 63) {
        __label__ = 30; break;
      }
      else if ((($29)|0) == 64) {
        __label__ = 39; break;
      }
      else if ((($29)|0) == 68) {
        __label__ = 40; break;
      }
      else if ((($29)|0) == 67) {
        __label__ = 41; break;
      }
      else if ((($29)|0) == 69) {
        __label__ = 42; break;
      }
      else {
      __label__ = 45; break;
      }
      
    case 6: 
      var $31=$3; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31+32)|0); //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$32; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=(($33)|0); //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($15, $35, $expr); //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($36) { __label__ = 7; break; } else { var $46 = 0;__label__ = 8; break; } //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $38=(($15+8)|0); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$5; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$expr; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$3; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=(($41+4)|0); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$4; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=__ZN2js11NodeBuilder19xmlEscapeExpressionEN2JS5ValueEPNS_8TokenPosEPS2_($38, $5, $42, $43); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46 = $44;__label__ = 8; break;
    case 8: 
      var $46;
      $1=$46;
      __label__ = 47; break;
    case 9: 
      var $48=(($15)|0); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts, $49); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$3; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=__ZN2js13ASTSerializer4xmlsEP11JSParseNodeRNS_15AutoValueVectorE($15, $50, $elts); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($51) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      $1=0; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 12; break; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $54=(($15+8)|0); //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$3; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=(($55+4)|0); //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=$4; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=__ZN2js11NodeBuilder10xmlElementERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($54, $elts, $56, $57); //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$58; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 12; break; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      __ZN2js15AutoValueVectorD1Ev($elts); //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break;
    case 13: 
      var $61=(($15)|0); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts1, $62); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=$3; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=__ZN2js13ASTSerializer4xmlsEP11JSParseNodeRNS_15AutoValueVectorE($15, $63, $elts1); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($64) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      $1=0; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 16; break; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $67=(($15+8)|0); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=$3; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=(($68+4)|0); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=$4; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=__ZN2js11NodeBuilder7xmlListERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($67, $elts1, $69, $70); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$71; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 16; break; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      __ZN2js15AutoValueVectorD1Ev($elts1); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break;
    case 17: 
      var $74=(($15)|0); //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts2, $75); //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=$3; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=__ZN2js13ASTSerializer4xmlsEP11JSParseNodeRNS_15AutoValueVectorE($15, $76, $elts2); //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($77) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      $1=0; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 20; break; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      var $80=(($15+8)|0); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=$3; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=(($81+4)|0); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=$4; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=__ZN2js11NodeBuilder11xmlStartTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($80, $elts2, $82, $83); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$84; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 20; break; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      __ZN2js15AutoValueVectorD1Ev($elts2); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break;
    case 21: 
      var $87=(($15)|0); //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts3, $88); //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=$3; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=__ZN2js13ASTSerializer4xmlsEP11JSParseNodeRNS_15AutoValueVectorE($15, $89, $elts3); //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($90) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      $1=0; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 24; break; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $93=(($15+8)|0); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $94=$3; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $95=(($94+4)|0); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $96=$4; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $97=__ZN2js11NodeBuilder9xmlEndTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($93, $elts3, $95, $96); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$97; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 24; break; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      __ZN2js15AutoValueVectorD1Ev($elts3); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break;
    case 25: 
      var $100=(($15)|0); //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts4, $101); //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $102=$3; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $103=__ZN2js13ASTSerializer4xmlsEP11JSParseNodeRNS_15AutoValueVectorE($15, $102, $elts4); //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($103) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 26: 
      $1=0; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 28; break; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 27: 
      var $106=(($15+8)|0); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $107=$3; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $108=(($107+4)|0); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $109=$4; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $110=__ZN2js11NodeBuilder11xmlPointTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($106, $elts4, $108, $109); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$110; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 28; break; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 28: 
      __ZN2js15AutoValueVectorD1Ev($elts4); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break;
    case 29: 
      var $113=(($15+8)|0); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $114=$3; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $115=(($114+32)|0); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $116=$115; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $117=(($116)|0); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $118=$117; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializer12atomContentsEP6JSAtom($7, $15, $119); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $120=$3; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $121=(($120+4)|0); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $122=$4; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $123=__ZN2js11NodeBuilder7xmlTextEN2JS5ValueEPNS_8TokenPosEPS2_($113, $7, $121, $122); //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$123; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 30: 
      var $125=$3; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $126=__ZNK11JSParseNode7isArityE16JSParseNodeArity($125, 0); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($126) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 31: 
      var $128=(($15+8)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $129=$3; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $130=(($129+32)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $131=$130; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $132=(($131)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $133=$132; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializer12atomContentsEP6JSAtom($8, $15, $134); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $135=$3; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $136=(($135+4)|0); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $137=$4; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $138=__ZN2js11NodeBuilder7xmlNameEN2JS5ValueEPNS_8TokenPosEPS2_($128, $8, $136, $137); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$138; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 32: 
      __label__ = 33; break; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 33: 
      var $141=$3; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $142=__ZNK11JSParseNode7isArityE16JSParseNodeArity($141, 5); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($142) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 34: 
      var $144=(($15)|0); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($145, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 35: 
      __label__ = 36; break; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 36: 
      var $148=(($15)|0); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts5, $149); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $150=$3; //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $151=__ZN2js13ASTSerializer4xmlsEP11JSParseNodeRNS_15AutoValueVectorE($15, $150, $elts5); //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($151) { __label__ = 37; break; } else { var $159 = 0;__label__ = 38; break; } //@line 2761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 37: 
      var $153=(($15+8)|0); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $154=$3; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $155=(($154+4)|0); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $156=$4; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $157=__ZN2js11NodeBuilder7xmlNameERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($153, $elts5, $155, $156); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $159 = $157;__label__ = 38; break;
    case 38: 
      var $159;
      $1=$159;
      $6=1;
      __ZN2js15AutoValueVectorD1Ev($elts5); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break;
    case 39: 
      var $161=(($15+8)|0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $162=$3; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $163=(($162+32)|0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $164=$163; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $165=(($164)|0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $166=$165; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializer12atomContentsEP6JSAtom($9, $15, $167); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $168=$3; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $169=(($168+4)|0); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $170=$4; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $171=__ZN2js11NodeBuilder12xmlAttributeEN2JS5ValueEPNS_8TokenPosEPS2_($161, $9, $169, $170); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$171; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 40: 
      var $173=(($15+8)|0); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $174=$3; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $175=(($174+32)|0); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $176=$175; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $177=(($176)|0); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $178=$177; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializer12atomContentsEP6JSAtom($10, $15, $179); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $180=$3; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $181=(($180+4)|0); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $182=$4; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $183=__ZN2js11NodeBuilder8xmlCdataEN2JS5ValueEPNS_8TokenPosEPS2_($173, $10, $181, $182); //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$183; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 41: 
      var $185=(($15+8)|0); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $186=$3; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $187=(($186+32)|0); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $188=$187; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $189=(($188)|0); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $190=$189; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializer12atomContentsEP6JSAtom($11, $15, $191); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $192=$3; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $193=(($192+4)|0); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $194=$4; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $195=__ZN2js11NodeBuilder10xmlCommentEN2JS5ValueEPNS_8TokenPosEPS2_($185, $11, $193, $194); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$195; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 42: 
      var $197=$3; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $198=(($197+32)|0); //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $199=$198; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $200=(($199+4)|0); //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $202=(($201)|0)!=0; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($202) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 43: 
      var $204=(($15+8)|0); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $205=$3; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $206=(($205+32)|0); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $207=$206; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $208=(($207)|0); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $209=$208; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $210=HEAP32[(($209)>>2)]; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializer12atomContentsEP6JSAtom($12, $15, $210); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $211=$3; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $212=(($211+4)|0); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $213=$4; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $214=__ZN2js11NodeBuilder5xmlPIEN2JS5ValueEPNS_8TokenPosEPS2_($204, $12, $212, $213); //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$214; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 44: 
      var $216=(($15+8)|0); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $217=$3; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $218=(($217+32)|0); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $219=$218; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $220=(($219)|0); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $221=$220; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializer12atomContentsEP6JSAtom($13, $15, $222); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $223=$3; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $224=(($223+32)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $225=$224; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $226=(($225+4)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializer12atomContentsEP6JSAtom($14, $15, $227); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $228=$3; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $229=(($228+4)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $230=$4; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $231=__ZN2js11NodeBuilder5xmlPIEN2JS5ValueES2_PNS_8TokenPosEPS2_($216, $13, $14, $229, $230); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$231; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 45: 
      __label__ = 46; break; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 46: 
      var $234=(($15)|0); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $235=HEAP32[(($234)>>2)]; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($235, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 47: 
      var $238=$1; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $238; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer3xmlEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer14blockStatementEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stmts=__stackBase__;
      var $5;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $6=$2;
      var $7=(($6)|0); //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($stmts, $8); //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$3; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=__ZN2js13ASTSerializer10statementsEP11JSParseNodeRNS_15AutoValueVectorE($6, $9, $stmts); //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($10) { __label__ = 2; break; } else { var $18 = 0;__label__ = 3; break; } //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $12=(($6+8)|0); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=$3; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13+4)|0); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$4; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js11NodeBuilder14blockStatementERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($12, $stmts, $14, $15); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18 = $16;__label__ = 3; break;
    case 3: 
      var $18;
      $1=$18;
      $5=1;
      __ZN2js15AutoValueVectorD1Ev($stmts); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$1; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer7programEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stmts=__stackBase__;
      var $5;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $6=$2;
      var $7=(($6)|0); //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($stmts, $8); //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$3; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=__ZN2js13ASTSerializer10statementsEP11JSParseNodeRNS_15AutoValueVectorE($6, $9, $stmts); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($10) { __label__ = 2; break; } else { var $18 = 0;__label__ = 3; break; } //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $12=(($6+8)|0); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=$3; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13+4)|0); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$4; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js11NodeBuilder7programERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($12, $stmts, $14, $15); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18 = $16;__label__ = 3; break;
    case 3: 
      var $18;
      $1=$18;
      $5=1;
      __ZN2js15AutoValueVectorD1Ev($stmts); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$1; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}

// WARNING: content after a branch in a label, line: 481603

function __ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 504; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy_=__stackBase__;
      var $expr=__stackBase__+4;
      var $5=__stackBase__+12;
      var $dtors=__stackBase__+20;
      var $stmt=__stackBase__+112;
      var $6=__stackBase__+120;
      var $7;
      var $test=__stackBase__+128;
      var $cons=__stackBase__+136;
      var $alt=__stackBase__+144;
      var $8=__stackBase__+152;
      var $9=__stackBase__+160;
      var $10=__stackBase__+168;
      var $expr1=__stackBase__+176;
      var $stmt2=__stackBase__+184;
      var $11=__stackBase__+192;
      var $12=__stackBase__+200;
      var $13=__stackBase__+208;
      var $14=__stackBase__+216;
      var $stmt3=__stackBase__+224;
      var $test4=__stackBase__+232;
      var $15=__stackBase__+240;
      var $16=__stackBase__+248;
      var $head;
      var $stmt5=__stackBase__+256;
      var $isForEach;
      var $var=__stackBase__+264;
      var $expr6=__stackBase__+272;
      var $17=__stackBase__+280;
      var $18=__stackBase__+288;
      var $19=__stackBase__+296;
      var $init=__stackBase__+304;
      var $test7=__stackBase__+312;
      var $update=__stackBase__+320;
      var $20=__stackBase__+328;
      var $21=__stackBase__+336;
      var $22=__stackBase__+344;
      var $23=__stackBase__+352;
      var $prelude;
      var $loop;
      var $var8=__stackBase__+360;
      var $head9;
      var $isForEach10;
      var $expr11=__stackBase__+368;
      var $stmt12=__stackBase__+376;
      var $24=__stackBase__+384;
      var $25=__stackBase__+392;
      var $26=__stackBase__+400;
      var $label=__stackBase__+408;
      var $27=__stackBase__+416;
      var $28=__stackBase__+424;
      var $label13=__stackBase__+432;
      var $stmt14=__stackBase__+440;
      var $29=__stackBase__+448;
      var $30=__stackBase__+456;
      var $arg=__stackBase__+464;
      var $31=__stackBase__+472;
      var $32=__stackBase__+480;
      var $ns=__stackBase__+488;
      var $33=__stackBase__+496;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $34=$2;
      __label__ = 2; break; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $36=$stackDummy_; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=(($34)|0); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=(($38+48)|0); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=HEAPU32[(($39)>>2)]; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($36)>>>0) < (($40)>>>0); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($41) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $43=(($34)|0); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __Z21js_ReportOverRecursedP9JSContext($44); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      __label__ = 5; break; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $47=$3; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=__ZNK11JSParseNode7getKindEv($47); //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($48)|0) == 34 || (($48)|0) == 46 || (($48)|0) == 81) {
        __label__ = 6; break;
      }
      else if ((($48)|0) == 29) {
        __label__ = 7; break;
      }
      else if ((($48)|0) == 2) {
        __label__ = 12; break;
      }
      else if ((($48)|0) == 80) {
        __label__ = 17; break;
      }
      else if ((($48)|0) == 25) {
        __label__ = 25; break;
      }
      else if ((($48)|0) == 35) {
        __label__ = 26; break;
      }
      else if ((($48)|0) == 37) {
        __label__ = 31; break;
      }
      else if ((($48)|0) == 53) {
        __label__ = 32; break;
      }
      else if ((($48)|0) == 47 || (($48)|0) == 40) {
        __label__ = 33; break;
      }
      else if ((($48)|0) == 41) {
        __label__ = 39; break;
      }
      else if ((($48)|0) == 42) {
        __label__ = 43; break;
      }
      else if ((($48)|0) == 82) {
        __label__ = 57; break;
      }
      else if ((($48)|0) == 43 || (($48)|0) == 44) {
        __label__ = 72; break;
      }
      else if ((($48)|0) == 6) {
        __label__ = 78; break;
      }
      else if ((($48)|0) == 56 || (($48)|0) == 48) {
        __label__ = 82; break;
      }
      else if ((($48)|0) == 58) {
        __label__ = 88; break;
      }
      else if ((($48)|0) == 39) {
        __label__ = 89; break;
      }
      else {
      __label__ = 96; break;
      }
      
    case 6: 
      var $50=$3; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$4; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZN2js13ASTSerializer11declarationEP11JSParseNodePN2JS5ValueE($34, $50, $51); //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$52; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      __label__ = 8; break; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $55=$3; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=__ZNK11JSParseNode6isUsedEv($55); //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($56) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $58=(($34)|0); //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($59, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      __label__ = 11; break; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $62=$3; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=(($62+32)|0); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=$63; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=(($64+4)|0); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=$65; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=$67; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=$4; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $68, $69); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$70; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $72=$3; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=(($72+32)|0); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=$73; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=(($74)|0); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=(($76)|0)!=0; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($77) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $79=$3; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $80=(($79+32)|0); //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=$80; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=(($81)|0); //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($34, $83, $expr); //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($84) { __label__ = 14; break; } else { var $94 = 0;__label__ = 15; break; } //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $86=(($34+8)|0); //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $87=$5; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=$expr; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[(($88+4)>>2)]; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=$3; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=(($89+4)|0); //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $91=$4; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $92=__ZN2js11NodeBuilder19expressionStatementEN2JS5ValueEPNS_8TokenPosEPS2_($86, $5, $90, $91); //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $94 = $92;__label__ = 15; break;
    case 15: 
      var $94;
      $1=$94;
      __label__ = 98; break;
    case 16: 
      var $96=(($34+8)|0); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $97=$3; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $98=(($97+4)|0); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $99=$4; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $100=__ZN2js11NodeBuilder14emptyStatementEPNS_8TokenPosEPN2JS5ValueE($96, $98, $99); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$100; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $102=$3; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $103=(($102+32)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $104=$103; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $105=(($104+4)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $106=$105; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $3=$107; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $108=$3; //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $109=__ZNK11JSParseNode6isKindEN2js9TokenKindE($108, 81); //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($109) { __label__ = 18; break; } else { __label__ = 22; break; } //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      var $111=(($34)|0); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($dtors, $112); //@line 2118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $113=$3; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $114=(($113+32)|0); //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $115=$114; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $116=(($115)|0); //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $118=__ZN2js13ASTSerializer7letHeadEP11JSParseNodeRNS_15AutoValueVectorE($34, $117, $dtors); //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($118) { __label__ = 19; break; } else { var $135 = 0;__label__ = 21; break; } //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      var $120=$3; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $121=(($120+32)|0); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $122=$121; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $123=(($122+4)|0); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $125=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $124, $stmt); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($125) { __label__ = 20; break; } else { var $135 = 0;__label__ = 21; break; } //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      var $127=(($34+8)|0); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $128=$6; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $129=$stmt; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($128)>>2)]=HEAP32[(($129)>>2)];HEAP32[(($128+4)>>2)]=HEAP32[(($129+4)>>2)]; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $130=$3; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $131=(($130+4)|0); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $132=$4; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $133=__ZN2js11NodeBuilder12letStatementERNS_15AutoValueVectorEN2JS5ValueEPNS_8TokenPosEPS4_($127, $dtors, $6, $131, $132); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $135 = $133;__label__ = 21; break;
    case 21: 
      var $135;
      $1=$135;
      $7=1;
      __ZN2js15AutoValueVectorD1Ev($dtors); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break;
    case 22: 
      var $137=$3; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $138=__ZNK11JSParseNode6isKindEN2js9TokenKindE($137, 25); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($138) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $140=$3; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $141=$4; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $142=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $140, $141); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$142; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      __label__ = 25; break; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 25: 
      var $145=$3; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $146=$4; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $147=__ZN2js13ASTSerializer14blockStatementEP11JSParseNodePN2JS5ValueE($34, $145, $146); //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$147; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 26: 
      var $149=$3; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $150=(($149+32)|0); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $151=$150; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $152=(($151)|0); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $154=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($34, $153, $test); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($154) { __label__ = 27; break; } else { var $182 = 0;__label__ = 30; break; } //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 27: 
      var $156=$3; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $157=(($156+32)|0); //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $158=$157; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $159=(($158+4)|0); //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $161=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $160, $cons); //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($161) { __label__ = 28; break; } else { var $182 = 0;__label__ = 30; break; } //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 28: 
      var $163=$3; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $164=(($163+32)|0); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $165=$164; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $166=(($165+8)|0); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $168=__ZN2js13ASTSerializer12optStatementEP11JSParseNodePN2JS5ValueE($34, $167, $alt); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($168) { __label__ = 29; break; } else { var $182 = 0;__label__ = 30; break; } //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 29: 
      var $170=(($34+8)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $171=$8; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $172=$test; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($171)>>2)]=HEAP32[(($172)>>2)];HEAP32[(($171+4)>>2)]=HEAP32[(($172+4)>>2)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $173=$9; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $174=$cons; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($173)>>2)]=HEAP32[(($174)>>2)];HEAP32[(($173+4)>>2)]=HEAP32[(($174+4)>>2)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $175=$10; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $176=$alt; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($175)>>2)]=HEAP32[(($176)>>2)];HEAP32[(($175+4)>>2)]=HEAP32[(($176+4)>>2)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $177=$3; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $178=(($177+4)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $179=$4; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $180=__ZN2js11NodeBuilder11ifStatementEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($170, $8, $9, $10, $178, $179); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $182 = $180;__label__ = 30; break;
    case 30: 
      var $182;
      $1=$182;
      __label__ = 98; break;
    case 31: 
      var $184=$3; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $185=$4; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $186=__ZN2js13ASTSerializer15switchStatementEP11JSParseNodePN2JS5ValueE($34, $184, $185); //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$186; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 32: 
      var $188=$3; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $189=$4; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $190=__ZN2js13ASTSerializer12tryStatementEP11JSParseNodePN2JS5ValueE($34, $188, $189); //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$190; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 33: 
      var $192=$3; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $193=(($192+32)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $194=$193; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $195=(($194)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $196=HEAP32[(($195)>>2)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $197=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($34, $196, $expr1); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($197) { __label__ = 34; break; } else { __label__ = 37; break; } //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 34: 
      var $199=$3; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $200=(($199+32)|0); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $201=$200; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $202=(($201+4)|0); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $204=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $203, $stmt2); //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($204) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 2155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 35: 
      var $206=$3; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $207=__ZNK11JSParseNode6isKindEN2js9TokenKindE($206, 47); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($207) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 36: 
      var $209=(($34+8)|0); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $210=$11; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $211=$expr1; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($210)>>2)]=HEAP32[(($211)>>2)];HEAP32[(($210+4)>>2)]=HEAP32[(($211+4)>>2)]; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $212=$12; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $213=$stmt2; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($212)>>2)]=HEAP32[(($213)>>2)];HEAP32[(($212+4)>>2)]=HEAP32[(($213+4)>>2)]; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $214=$3; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $215=(($214+4)|0); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $216=$4; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $217=__ZN2js11NodeBuilder13withStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_($209, $11, $12, $215, $216); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $229 = $217;__label__ = 38; break; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 37: 
      var $219=(($34+8)|0); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $220=$13; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $221=$expr1; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($220)>>2)]=HEAP32[(($221)>>2)];HEAP32[(($220+4)>>2)]=HEAP32[(($221+4)>>2)]; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $222=$14; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $223=$stmt2; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($222)>>2)]=HEAP32[(($223)>>2)];HEAP32[(($222+4)>>2)]=HEAP32[(($223+4)>>2)]; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $224=$3; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $225=(($224+4)|0); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $226=$4; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $227=__ZN2js11NodeBuilder14whileStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_($219, $13, $14, $225, $226); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $229 = $227;__label__ = 38; break; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 38: 
      var $229; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$229; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 39: 
      var $231=$3; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $232=(($231+32)|0); //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $233=$232; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $234=(($233)|0); //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $235=HEAP32[(($234)>>2)]; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $236=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $235, $stmt3); //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($236) { __label__ = 40; break; } else { var $255 = 0;__label__ = 42; break; } //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 40: 
      var $238=$3; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $239=(($238+32)|0); //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $240=$239; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $241=(($240+4)|0); //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $242=HEAP32[(($241)>>2)]; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $243=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($34, $242, $test4); //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($243) { __label__ = 41; break; } else { var $255 = 0;__label__ = 42; break; } //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 41: 
      var $245=(($34+8)|0); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $246=$15; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $247=$stmt3; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($246)>>2)]=HEAP32[(($247)>>2)];HEAP32[(($246+4)>>2)]=HEAP32[(($247+4)>>2)]; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $248=$16; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $249=$test4; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($248)>>2)]=HEAP32[(($249)>>2)];HEAP32[(($248+4)>>2)]=HEAP32[(($249+4)>>2)]; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $250=$3; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $251=(($250+4)|0); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $252=$4; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $253=__ZN2js11NodeBuilder16doWhileStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_($245, $15, $16, $251, $252); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $255 = $253;__label__ = 42; break;
    case 42: 
      var $255;
      $1=$255;
      __label__ = 98; break;
    case 43: 
      var $257=$3; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $258=(($257+32)|0); //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $259=$258; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $260=(($259)|0); //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $head=$261; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $262=$3; //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $263=(($262+32)|0); //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $264=$263; //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $265=(($264+4)|0); //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $266=HEAP32[(($265)>>2)]; //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $267=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $266, $stmt5); //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($267) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 44: 
      $1=0; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 45: 
      var $270=$3; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $271=(($270+32)|0); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $272=$271; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $273=(($272+12)|0); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $275=$274 & 2; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $276=(($275)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $277=(($276)&1); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $isForEach=$277; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $278=$head; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $279=__ZNK11JSParseNode6isKindEN2js9TokenKindE($278, 45); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($279) { __label__ = 46; break; } else { __label__ = 52; break; } //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 46: 
      var $281=$head; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $282=(($281+32)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $283=$282; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $284=(($283)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $285=HEAP32[(($284)>>2)]; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $286=(($285)|0)!=0; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($286) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 47: 
      var $288=$head; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $289=(($288+32)|0); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $290=$289; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $291=(($290+4)|0); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $292=HEAP32[(($291)>>2)]; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $293=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($34, $292, 0, $var); //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($293) { __label__ = 49; break; } else { var $329 = 0;__label__ = 51; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 48: 
      var $295=$head; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $296=(($295+32)|0); //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $297=$296; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $298=(($297)|0); //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $299=HEAP32[(($298)>>2)]; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $300=$head; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $301=(($300+32)|0); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $302=$301; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $303=(($302)|0); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $304=HEAP32[(($303)>>2)]; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $305=__ZNK11JSParseNode6isKindEN2js9TokenKindE($304, 81); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $306=__ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE($34, $299, $305, $var); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($306) { __label__ = 49; break; } else { var $329 = 0;__label__ = 51; break; } //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 49: 
      var $308=$head; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $309=(($308+32)|0); //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $310=$309; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $311=(($310+8)|0); //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $312=HEAP32[(($311)>>2)]; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $313=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($34, $312, $expr6); //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($313) { __label__ = 50; break; } else { var $329 = 0;__label__ = 51; break; } //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 50: 
      var $315=(($34+8)|0); //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $316=$17; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $317=$var; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($316)>>2)]=HEAP32[(($317)>>2)];HEAP32[(($316+4)>>2)]=HEAP32[(($317+4)>>2)]; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $318=$18; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $319=$expr6; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($318)>>2)]=HEAP32[(($319)>>2)];HEAP32[(($318+4)>>2)]=HEAP32[(($319+4)>>2)]; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $320=$19; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $321=$stmt5; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($320)>>2)]=HEAP32[(($321)>>2)];HEAP32[(($320+4)>>2)]=HEAP32[(($321+4)>>2)]; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $322=$isForEach; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $323=(($322) & 1); //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $324=$3; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $325=(($324+4)|0); //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $326=$4; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $327=__ZN2js11NodeBuilder14forInStatementEN2JS5ValueES2_S2_bPNS_8TokenPosEPS2_($315, $17, $18, $19, $323, $325, $326); //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $329 = $327;__label__ = 51; break;
    case 51: 
      var $329;
      $1=$329;
      __label__ = 98; break;
    case 52: 
      var $331=$head; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $332=(($331+32)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $333=$332; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $334=(($333)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $335=HEAP32[(($334)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $336=__ZN2js13ASTSerializer7forInitEP11JSParseNodePN2JS5ValueE($34, $335, $init); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($336) { __label__ = 53; break; } else { var $366 = 0;__label__ = 56; break; } //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 53: 
      var $338=$head; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $339=(($338+32)|0); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $340=$339; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $341=(($340+4)|0); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $342=HEAP32[(($341)>>2)]; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $343=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($34, $342, $test7); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($343) { __label__ = 54; break; } else { var $366 = 0;__label__ = 56; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 54: 
      var $345=$head; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $346=(($345+32)|0); //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $347=$346; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $348=(($347+8)|0); //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $349=HEAP32[(($348)>>2)]; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $350=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($34, $349, $update); //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($350) { __label__ = 55; break; } else { var $366 = 0;__label__ = 56; break; } //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 55: 
      var $352=(($34+8)|0); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $353=$20; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $354=$init; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($353)>>2)]=HEAP32[(($354)>>2)];HEAP32[(($353+4)>>2)]=HEAP32[(($354+4)>>2)]; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $355=$21; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $356=$test7; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($355)>>2)]=HEAP32[(($356)>>2)];HEAP32[(($355+4)>>2)]=HEAP32[(($356+4)>>2)]; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $357=$22; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $358=$update; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($357)>>2)]=HEAP32[(($358)>>2)];HEAP32[(($357+4)>>2)]=HEAP32[(($358+4)>>2)]; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $359=$23; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $360=$stmt5; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($359)>>2)]=HEAP32[(($360)>>2)];HEAP32[(($359+4)>>2)]=HEAP32[(($360+4)>>2)]; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $361=$3; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $362=(($361+4)|0); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $363=$4; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $364=__ZN2js11NodeBuilder12forStatementEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_($352, $20, $21, $22, $23, $362, $363); //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $366 = $364;__label__ = 56; break;
    case 56: 
      var $366;
      $1=$366;
      __label__ = 98; break;
    case 57: 
      __label__ = 58; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 58: 
      var $369=$3; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $370=(($369+32)|0); //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $371=$370; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $372=(($371+8)|0); //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $373=HEAP32[(($372)>>2)]; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $374=(($373)|0)==2; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($374) { __label__ = 60; break; } else { __label__ = 59; break; } //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 59: 
      var $376=(($34)|0); //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $377=HEAP32[(($376)>>2)]; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($377, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 60: 
      __label__ = 61; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 61: 
      var $380=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $381=(($380+32)|0); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $382=$381; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $383=(($382)|0); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $384=HEAP32[(($383)>>2)]; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $prelude=$384; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $385=$prelude; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $386=(($385+24)|0); //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $387=HEAP32[(($386)>>2)]; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $loop=$387; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 62; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 62: 
      var $389=$prelude; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $390=__ZNK11JSParseNode6isKindEN2js9TokenKindE($389, 46); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($390) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 63: 
      var $392=$loop; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $393=__ZNK11JSParseNode6isKindEN2js9TokenKindE($392, 42); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($393) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 64: 
      var $395=(($34)|0); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $396=HEAP32[(($395)>>2)]; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($396, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 65: 
      __label__ = 66; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 66: 
      var $399=$prelude; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $400=__ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE($34, $399, 0, $var8); //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($400) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 67: 
      $1=0; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 68: 
      var $403=$loop; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $404=(($403+32)|0); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $405=$404; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $406=(($405)|0); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $407=HEAP32[(($406)>>2)]; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $head9=$407; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $408=$loop; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $409=(($408+32)|0); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $410=$409; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $411=(($410+12)|0); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $412=HEAP32[(($411)>>2)]; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $413=$412 & 2; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $414=(($413)|0)!=0; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $415=(($414)&1); //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $isForEach10=$415; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $416=$head9; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $417=(($416+32)|0); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $418=$417; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $419=(($418+8)|0); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $420=HEAP32[(($419)>>2)]; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $421=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($34, $420, $expr11); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($421) { __label__ = 69; break; } else { var $444 = 0;__label__ = 71; break; } //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 69: 
      var $423=$loop; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $424=(($423+32)|0); //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $425=$424; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $426=(($425+4)|0); //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $427=HEAP32[(($426)>>2)]; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $428=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $427, $stmt12); //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($428) { __label__ = 70; break; } else { var $444 = 0;__label__ = 71; break; } //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 70: 
      var $430=(($34+8)|0); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $431=$24; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $432=$var8; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($431)>>2)]=HEAP32[(($432)>>2)];HEAP32[(($431+4)>>2)]=HEAP32[(($432+4)>>2)]; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $433=$25; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $434=$expr11; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($433)>>2)]=HEAP32[(($434)>>2)];HEAP32[(($433+4)>>2)]=HEAP32[(($434+4)>>2)]; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $435=$26; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $436=$stmt12; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($435)>>2)]=HEAP32[(($436)>>2)];HEAP32[(($435+4)>>2)]=HEAP32[(($436+4)>>2)]; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $437=$isForEach10; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $438=(($437) & 1); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $439=$3; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $440=(($439+4)|0); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $441=$4; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $442=__ZN2js11NodeBuilder14forInStatementEN2JS5ValueES2_S2_bPNS_8TokenPosEPS2_($430, $24, $25, $26, $438, $440, $441); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $444 = $442;__label__ = 71; break;
    case 71: 
      var $444;
      $1=$444;
      __label__ = 98; break;
    case 72: 
      var $446=$3; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $447=(($446+32)|0); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $448=$447; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $449=(($448)|0); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $450=$449; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $451=HEAP32[(($450)>>2)]; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $452=__ZN2js13ASTSerializer13optIdentifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($34, $451, 0, $label); //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($452) { __label__ = 73; break; } else { var $475 = 0;__label__ = 77; break; } //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 73: 
      var $454=$3; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $455=__ZNK11JSParseNode6isKindEN2js9TokenKindE($454, 43); //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($455) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 74: 
      var $457=(($34+8)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $458=$27; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $459=$label; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($458)>>2)]=HEAP32[(($459)>>2)];HEAP32[(($458+4)>>2)]=HEAP32[(($459+4)>>2)]; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $460=$3; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $461=(($460+4)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $462=$4; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $463=__ZN2js11NodeBuilder14breakStatementEN2JS5ValueEPNS_8TokenPosEPS2_($457, $27, $461, $462); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $473 = $463;__label__ = 76; break; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 75: 
      var $465=(($34+8)|0); //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $466=$28; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $467=$label; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($466)>>2)]=HEAP32[(($467)>>2)];HEAP32[(($466+4)>>2)]=HEAP32[(($467+4)>>2)]; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $468=$3; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $469=(($468+4)|0); //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $470=$4; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $471=__ZN2js11NodeBuilder17continueStatementEN2JS5ValueEPNS_8TokenPosEPS2_($465, $28, $469, $470); //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $473 = $471;__label__ = 76; break; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 76: 
      var $473; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $475 = $473;__label__ = 77; break;
    case 77: 
      var $475;
      $1=$475;
      __label__ = 98; break;
    case 78: 
      var $477=$3; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $478=(($477+32)|0); //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $479=$478; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $480=(($479)|0); //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $481=$480; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $482=HEAP32[(($481)>>2)]; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $483=__ZN2js13ASTSerializer10identifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($34, $482, 0, $label13); //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($483) { __label__ = 79; break; } else { var $503 = 0;__label__ = 81; break; } //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 79: 
      var $485=$3; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $486=(($485+32)|0); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $487=$486; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $488=(($487+4)|0); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $489=$488; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $490=HEAP32[(($489)>>2)]; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $491=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($34, $490, $stmt14); //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($491) { __label__ = 80; break; } else { var $503 = 0;__label__ = 81; break; } //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 80: 
      var $493=(($34+8)|0); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $494=$29; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $495=$label13; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($494)>>2)]=HEAP32[(($495)>>2)];HEAP32[(($494+4)>>2)]=HEAP32[(($495+4)>>2)]; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $496=$30; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $497=$stmt14; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($496)>>2)]=HEAP32[(($497)>>2)];HEAP32[(($496+4)>>2)]=HEAP32[(($497+4)>>2)]; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $498=$3; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $499=(($498+4)|0); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $500=$4; //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $501=__ZN2js11NodeBuilder16labeledStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_($493, $29, $30, $499, $500); //@line 2243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $503 = $501;__label__ = 81; break;
    case 81: 
      var $503;
      $1=$503;
      __label__ = 98; break;
    case 82: 
      var $505=$3; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $506=(($505+32)|0); //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $507=$506; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $508=(($507)|0); //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $509=HEAP32[(($508)>>2)]; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $510=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($34, $509, $arg); //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($510) { __label__ = 83; break; } else { var $533 = 0;__label__ = 87; break; } //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 83: 
      var $512=$3; //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $513=__ZNK11JSParseNode6isKindEN2js9TokenKindE($512, 56); //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($513) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 2252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 84: 
      var $515=(($34+8)|0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $516=$31; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $517=$arg; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($516)>>2)]=HEAP32[(($517)>>2)];HEAP32[(($516+4)>>2)]=HEAP32[(($517+4)>>2)]; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $518=$3; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $519=(($518+4)|0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $520=$4; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $521=__ZN2js11NodeBuilder14throwStatementEN2JS5ValueEPNS_8TokenPosEPS2_($515, $31, $519, $520); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $531 = $521;__label__ = 86; break; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 85: 
      var $523=(($34+8)|0); //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $524=$32; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $525=$arg; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($524)>>2)]=HEAP32[(($525)>>2)];HEAP32[(($524+4)>>2)]=HEAP32[(($525+4)>>2)]; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $526=$3; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $527=(($526+4)|0); //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $528=$4; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $529=__ZN2js11NodeBuilder15returnStatementEN2JS5ValueEPNS_8TokenPosEPS2_($523, $32, $527, $528); //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $531 = $529;__label__ = 86; break; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 86: 
      var $531; //@line 2254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $533 = $531;__label__ = 87; break;
    case 87: 
      var $533;
      $1=$533;
      __label__ = 98; break;
    case 88: 
      var $535=(($34+8)|0); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $536=$3; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $537=(($536+4)|0); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $538=$4; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $539=__ZN2js11NodeBuilder17debuggerStatementEPNS_8TokenPosEPN2JS5ValueE($535, $537, $538); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$539; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 89: 
      __label__ = 90; break; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 90: 
      var $542=$3; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $543=__ZNK11JSParseNode7isArityE16JSParseNodeArity($542, 1); //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($543) { __label__ = 92; break; } else { __label__ = 91; break; } //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 91: 
      var $545=(($34)|0); //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $546=HEAP32[(($545)>>2)]; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($546, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 92: 
      __label__ = 93; break; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 93: 
      var $549=$3; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $550=(($549+32)|0); //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $551=$550; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $552=(($551)|0); //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $553=HEAP32[(($552)>>2)]; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $554=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($34, $553, $ns); //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($554) { __label__ = 94; break; } else { var $564 = 0;__label__ = 95; break; } //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 94: 
      var $556=(($34+8)|0); //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $557=$33; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $558=$ns; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($557)>>2)]=HEAP32[(($558)>>2)];HEAP32[(($557+4)>>2)]=HEAP32[(($558+4)>>2)]; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $559=$3; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $560=(($559+4)|0); //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $561=$4; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $562=__ZN2js11NodeBuilder19xmlDefaultNamespaceEN2JS5ValueEPNS_8TokenPosEPS2_($556, $33, $560, $561); //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $564 = $562;__label__ = 95; break;
    case 95: 
      var $564;
      $1=$564;
      __label__ = 98; break;
    case 96: 
      __label__ = 97; break; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 97: 
      var $567=(($34)|0); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $568=HEAP32[(($567)>>2)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($568, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 98; break; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 98: 
      var $571=$1; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $571; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer11declarationEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $5=$2;
      var $6=$3; //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=__ZNK11JSParseNode7getKindEv($6); //@line 1904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($7)|0) == 34) {
        __label__ = 2; break;
      }
      else if ((($7)|0) == 46) {
        __label__ = 3; break;
      }
      else {
      __label__ = 4; break;
      }
      
    case 2: 
      var $9=$3; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$4; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZN2js13ASTSerializer8functionEP11JSParseNodeNS_7ASTTypeEPN2JS5ValueE($5, $9, 4, $10); //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$11; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 5; break; //@line 1906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $13=$3; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$4; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=__ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE($5, $13, 0, $14); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$15; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 5; break; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $17=$3; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$4; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=__ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE($5, $17, 1, $18); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$19; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 5; break; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $21=$1; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $21; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer8functionEP11JSParseNodeNS_7ASTTypeEPN2JS5ValueE($this, $pn, $type, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 124; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $func;
      var $isGenerator;
      var $isExpression;
      var $id=__stackBase__;
      var $args=__stackBase__+8;
      var $argsAndBody;
      var $body=__stackBase__+100;
      var $6=__stackBase__+108;
      var $7=__stackBase__+116;
      var $8;
      $2=$this;
      $3=$pn;
      $4=$type;
      $5=$dst;
      var $9=$2;
      var $10=$3; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+32)|0); //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$11; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12)|0); //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$13; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$15; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+8)|0); //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$18; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $func=$19; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$3; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20+32)|0); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$21; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22)|0); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$23; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25+60)|0); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$27 & 512; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=(($28)|0)!=0; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($29)&1); //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $isGenerator=$30; //@line 2962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$func; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31+58)|0); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=HEAPU16[(($32)>>1)]; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=(($33)&65535); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$34 & 4096; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($35)|0)!=0; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=(($36)&1); //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $isExpression=$37; //@line 2969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$func; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=(($38+72)|0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js13ASTSerializer13optIdentifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($9, $40, 0, $id); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($41) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $44=(($9)|0); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($args, $45); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$3; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($46+32)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$47; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=(($48+4)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$49; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZNK11JSParseNode6isKindEN2js9TokenKindE($51, 85); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($52) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $54=$3; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=(($54+32)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$55; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=(($56+4)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$57; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($59+32)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$60; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=(($61+4)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72 = $63;__label__ = 6; break; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $65=$3; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=(($65+32)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=$66; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=(($67+4)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=$68; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72 = $70;__label__ = 6; break; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $72; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $argsAndBody=$72; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=$argsAndBody; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=__ZN2js13ASTSerializer19functionArgsAndBodyEP11JSParseNodeRNS_15AutoValueVectorEPN2JS5ValueE($9, $73, $args, $body); //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($74) { __label__ = 7; break; } else { var $91 = 0;__label__ = 8; break; } //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $76=(($9+8)|0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=$4; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $78=$3; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $79=(($78+4)|0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $80=$6; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=$id; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($80)>>2)]=HEAP32[(($81)>>2)];HEAP32[(($80+4)>>2)]=HEAP32[(($81+4)>>2)]; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=$7; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=$body; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($82)>>2)]=HEAP32[(($83)>>2)];HEAP32[(($82+4)>>2)]=HEAP32[(($83+4)>>2)]; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=$isGenerator; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $85=(($84) & 1); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $86=$isExpression; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $87=(($86) & 1); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=$5; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=__ZN2js11NodeBuilder8functionENS_7ASTTypeEPNS_8TokenPosEN2JS5ValueERNS_15AutoValueVectorES5_bbPS5_($76, $77, $79, $6, $args, $7, $85, $87, $88); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $91 = $89;__label__ = 8; break;
    case 8: 
      var $91;
      $1=$91;
      $8=1;
      __ZN2js15AutoValueVectorD1Ev($args); //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break;
    case 9: 
      var $93=$1; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $93; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer8functionEP11JSParseNodeNS_7ASTTypeEPN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE($this, $pn, $let, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 136; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $kind=__stackBase__;
      var $dtors=__stackBase__+4;
      var $patt=__stackBase__+96;
      var $child=__stackBase__+104;
      var $6=__stackBase__+112;
      var $7=__stackBase__+120;
      var $8;
      var $next;
      var $child1=__stackBase__+128;
      $2=$this;
      $3=$pn;
      var $9=(($let)&1);
      $4=$9;
      $5=$dst;
      var $10=$2;
      var $11=$4; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=(($11) & 1); //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=$12 ? 2 : 0; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      HEAP32[(($kind)>>2)]=$13; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($10)|0); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($dtors, $15); //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$3; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+32)|0); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$18; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+12)|0); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$20; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$22 & 4095; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$23 & 8; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=(($24)|0)!=0; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $27=$3; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($27+32)|0); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$28; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($29)|0); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($10, $31, $kind, $patt); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($32) { __label__ = 3; break; } else { var $55 = 0;__label__ = 6; break; } //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $34=(($10+8)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$6; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$patt; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL9NullValueEv3400($7); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$3; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=(($37+32)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$38; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=(($39)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=(($41+4)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=__ZN2js11NodeBuilder18variableDeclaratorEN2JS5ValueES2_PNS_8TokenPosEPS2_($34, $6, $7, $42, $child); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($43) { __label__ = 4; break; } else { var $55 = 0;__label__ = 6; break; } //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $45=$dtors; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($45, $child); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($46) { __label__ = 5; break; } else { var $55 = 0;__label__ = 6; break; } //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $48=(($10+8)|0); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=HEAP32[(($kind)>>2)]; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$3; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=(($50+4)|0); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$5; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=__ZN2js11NodeBuilder19variableDeclarationERNS_15AutoValueVectorENS_11VarDeclKindEPNS_8TokenPosEPN2JS5ValueE($48, $dtors, $49, $51, $52); //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55 = $53;__label__ = 6; break;
    case 6: 
      var $55;
      $1=$55;
      $8=1;
      __label__ = 16; break;
    case 7: 
      var $57=$dtors; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$3; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=(($58+32)|0); //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=$59; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=(($60+8)|0); //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($57, $62); //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($63) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      $1=0; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $8=1;
      __label__ = 16; break; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $66=$3; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=(($66+32)|0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=$67; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=(($68)|0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$70; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $72=$next; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=(($72)|0)!=0; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($73) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $75=$next; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=__ZN2js13ASTSerializer18variableDeclaratorEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($10, $75, $kind, $child1); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($76) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      $1=0; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $8=1;
      __label__ = 16; break; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $79=$dtors; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($79, $child1); //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 14; break; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $81=$next; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=(($81+24)|0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$83; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $85=(($10+8)|0); //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $86=HEAP32[(($kind)>>2)]; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $87=$3; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=(($87+4)|0); //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=$5; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=__ZN2js11NodeBuilder19variableDeclarationERNS_15AutoValueVectorENS_11VarDeclKindEPNS_8TokenPosEPN2JS5ValueE($85, $dtors, $86, $88, $89); //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$90; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $8=1;
      __label__ = 16; break; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      __ZN2js15AutoValueVectorD1Ev($dtors); //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $92=$1; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $92; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($this, $pn, $pkind, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $stackDummy_=__stackBase__;
      $2=$this;
      $3=$pn;
      $4=$pkind;
      $5=$dst;
      var $6=$2;
      __label__ = 2; break; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $8=$stackDummy_; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=(($6)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+48)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($8)>>>0) < (($12)>>>0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $15=(($6)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __Z21js_ReportOverRecursedP9JSContext($16); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      __label__ = 5; break; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $19=$3; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=__ZNK11JSParseNode7getKindEv($19); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($20)|0) == 26) {
        __label__ = 6; break;
      }
      else if ((($20)|0) == 24) {
        __label__ = 7; break;
      }
      else if ((($20)|0) == 29) {
        __label__ = 8; break;
      }
      else {
      __label__ = 12; break;
      }
      
    case 6: 
      var $22=$3; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$4; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$5; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZN2js13ASTSerializer13objectPatternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($6, $22, $23, $24); //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$25; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $27=$3; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$4; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js13ASTSerializer12arrayPatternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($6, $27, $28, $29); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$30; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $32=$4; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32)|0)!=0; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $35=$3; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($35+32)|0); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$36; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$37; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=(($38+12)|0); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$39; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$41 & 4095; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$42 & 2; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=(($43)|0)!=0; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $46=$4; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      HEAP32[(($46)>>2)]=1; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      __label__ = 12; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $49=$3; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$5; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($6, $49, $50); //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$51; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $53=$1; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer18variableDeclaratorEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($this, $pn, $pkind, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $pnleft;
      var $pnright;
      var $left=__stackBase__;
      var $right=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      $1=$this;
      $2=$pn;
      $3=$pkind;
      $4=$dst;
      var $7=$1;
      var $8=$2; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=__ZNK11JSParseNode6isKindEN2js9TokenKindE($8, 29); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $11=$2; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnleft=$11; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$2; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZNK11JSParseNode6isUsedEv($12); //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $23 = 0;__label__ = 5; break; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $16=$2; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+32)|0); //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18+4)|0); //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$19; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23 = $21;__label__ = 5; break; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $23; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnright=$23; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $25=$2; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25+32)|0); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$26; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($27)|0); //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnleft=$29; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$2; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($30+32)|0); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$31; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32+4)|0); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnright=$34; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break;
    case 7: 
      var $36=$pnleft; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$3; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($7, $36, $37, $left); //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($38) { __label__ = 8; break; } else { var $53 = 0;__label__ = 10; break; } //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $40=$pnright; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($7, $40, $right); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($41) { __label__ = 9; break; } else { var $53 = 0;__label__ = 10; break; } //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $43=(($7+8)|0); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$5; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$left; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$6; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$right; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$2; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=(($48+4)|0); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$4; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=__ZN2js11NodeBuilder18variableDeclaratorEN2JS5ValueES2_PNS_8TokenPosEPS2_($43, $5, $6, $49, $50); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53 = $51;__label__ = 10; break;
    case 10: 
      var $53;
      STACKTOP = __stackBase__;
      return $53; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer18variableDeclaratorEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $5=$2;
      var $6=$3; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=(($6)|0)!=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $9=$4; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($9, 8); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $11=$3; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$4; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($5, $11, $12); //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$13; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $15=$1; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $15; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer7letHeadEP11JSParseNodeRNS_15AutoValueVectorE($this, $pn, $dtors) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kind=__stackBase__;
      var $next;
      var $child=__stackBase__+4;
      $2=$this;
      $3=$pn;
      $4=$dtors;
      var $5=$2;
      var $6=$4; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=$6; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=$3; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=(($8+32)|0); //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$9; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+8)|0); //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($7, $12); //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      HEAP32[(($kind)>>2)]=3; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$3; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+32)|0); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18)|0); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$20; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $22=$next; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22)|0)!=0; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $25=$next; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZN2js13ASTSerializer18variableDeclaratorEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($5, $25, $kind, $child); //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      $1=0; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $29=$4; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($30, $child); //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $32=$next; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32+24)|0); //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$34; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=1; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $37=$1; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer7letHeadEP11JSParseNodeRNS_15AutoValueVectorE["X"]=1;

function __ZN2js13ASTSerializer10switchCaseEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stmts=__stackBase__;
      var $expr=__stackBase__+92;
      var $5=__stackBase__+100;
      var $6;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $7=$2;
      var $8=(($7)|0); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($stmts, $9); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$3; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+32)|0); //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$11; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12)|0); //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($7, $14, $expr); //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($15) { __label__ = 2; break; } else { var $32 = 0;__label__ = 4; break; } //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $17=$3; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+32)|0); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$18; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+4)|0); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=__ZN2js13ASTSerializer10statementsEP11JSParseNodeRNS_15AutoValueVectorE($7, $21, $stmts); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 3; break; } else { var $32 = 0;__label__ = 4; break; } //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $24=(($7+8)|0); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$5; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$expr; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$3; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($27+4)|0); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$4; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder10switchCaseEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_($24, $5, $stmts, $28, $29); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32 = $30;__label__ = 4; break;
    case 4: 
      var $32;
      $1=$32;
      $6=1;
      __ZN2js15AutoValueVectorD1Ev($stmts); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$1; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer15switchStatementEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 124; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $disc=__stackBase__;
      var $listNode;
      var $lexical;
      var $cases=__stackBase__+8;
      var $5;
      var $next;
      var $child=__stackBase__+100;
      var $6=__stackBase__+108;
      var $7=__stackBase__+116;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $8=$2;
      var $9=$3; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=(($9+32)|0); //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=$10; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=(($11)|0); //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($8, $13, $disc); //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 16; break; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $17=$3; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+32)|0); //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$18; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+4)|0); //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=__ZNK11JSParseNode6isKindEN2js9TokenKindE($21, 80); //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $24=$3; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=(($24+32)|0); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$25; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26+4)|0); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=(($28+32)|0); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($30+4)|0); //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$31; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $listNode=$33; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $lexical=1; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $35=$3; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=(($35+32)|0); //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$36; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=(($37+4)|0); //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $listNode=$39; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $lexical=0; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break;
    case 6: 
      var $41=(($8)|0); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($cases, $42); //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=$cases; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$listNode; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=(($44+32)|0); //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$45; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($46+8)|0); //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($43, $48); //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      $1=0; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 15; break; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $52=$listNode; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=(($52+32)|0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$53; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=(($54)|0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$56; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $58=$next; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=(($58)|0)!=0; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($59) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      __ZN2JSL14UndefinedValueEv3403($6); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$child; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=$6; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[(($62)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[(($62+4)>>2)]; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=$next; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=__ZN2js13ASTSerializer10switchCaseEP11JSParseNodePN2JS5ValueE($8, $63, $child); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($64) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      $1=0; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 15; break; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $67=$cases; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($67, $child); //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $69=$next; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=(($69+24)|0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$71; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $73=(($8+8)|0); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=$7; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=$disc; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($74)>>2)]=HEAP32[(($75)>>2)];HEAP32[(($74+4)>>2)]=HEAP32[(($75+4)>>2)]; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=$lexical; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=(($76) & 1); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $78=$3; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $79=(($78+4)|0); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $80=$4; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=__ZN2js11NodeBuilder15switchStatementEN2JS5ValueERNS_15AutoValueVectorEbPNS_8TokenPosEPS2_($73, $7, $cases, $77, $79, $80); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$81; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 15; break; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      __ZN2js15AutoValueVectorD1Ev($cases); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 16; break;
    case 16: 
      var $84=$1; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $84; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer15switchStatementEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2JSL14UndefinedValueEv3403($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js13ASTSerializer11catchClauseEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $var=__stackBase__;
      var $guard=__stackBase__+8;
      var $body=__stackBase__+16;
      var $4=__stackBase__+24;
      var $5=__stackBase__+32;
      var $6=__stackBase__+40;
      $1=$this;
      $2=$pn;
      $3=$dst;
      var $7=$1;
      var $8=$2; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=(($8+32)|0); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$9; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10)|0); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($7, $12, 0, $var); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 2; break; } else { var $41 = 0;__label__ = 5; break; } //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $15=$2; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=(($15+32)|0); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=$16; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17+4)|0); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($7, $19, $guard); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($20) { __label__ = 3; break; } else { var $41 = 0;__label__ = 5; break; } //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $22=$2; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22+32)|0); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$23; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=(($24+8)|0); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($7, $26, $body); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 4; break; } else { var $41 = 0;__label__ = 5; break; } //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $29=(($7+8)|0); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$4; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=$var; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$5; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$guard; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$6; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$body; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$2; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=(($36+4)|0); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$3; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js11NodeBuilder11catchClauseEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_($29, $4, $5, $6, $37, $38); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41 = $39;__label__ = 5; break;
    case 5: 
      var $41;
      STACKTOP = __stackBase__;
      return $41; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer11catchClauseEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer12tryStatementEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 132; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $body=__stackBase__;
      var $clauses=__stackBase__+8;
      var $5;
      var $next;
      var $clause=__stackBase__+100;
      var $finally=__stackBase__+108;
      var $6=__stackBase__+116;
      var $7=__stackBase__+124;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $8=$2;
      var $9=$3; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=(($9+32)|0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=$10; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=(($11)|0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($8, $13, $body); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 17; break; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $17=(($8)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($clauses, $18); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$3; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+32)|0); //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$20; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21+4)|0); //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23)|0)!=0; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $26=$clauses; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$3; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($27+32)|0); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$28; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($29+4)|0); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31+32)|0); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$32; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=(($33+8)|0); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($26, $35); //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $1=0; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 16; break; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $39=$3; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=(($39+32)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$40; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=(($41+4)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=(($43+32)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$44; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=(($45)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$47; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $49=$next; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=(($49)|0)!=0; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($50) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $52=$next; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=(($52+32)|0); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$53; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=(($54+4)|0); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$55; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=__ZN2js13ASTSerializer11catchClauseEP11JSParseNodePN2JS5ValueE($8, $57, $clause); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($58) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=0; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 16; break; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $61=$clauses; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($61, $clause); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $63=$next; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=(($63+24)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$65; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      __label__ = 13; break; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $68=$3; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=(($68+32)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=$69; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=(($70+8)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=__ZN2js13ASTSerializer12optStatementEP11JSParseNodePN2JS5ValueE($8, $72, $finally); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($73) { __label__ = 14; break; } else { var $85 = 0;__label__ = 15; break; } //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $75=(($8+8)|0); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=$6; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=$body; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($76)>>2)]=HEAP32[(($77)>>2)];HEAP32[(($76+4)>>2)]=HEAP32[(($77+4)>>2)]; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $78=$7; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $79=$finally; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[(($79)>>2)];HEAP32[(($78+4)>>2)]=HEAP32[(($79+4)>>2)]; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $80=$3; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=(($80+4)|0); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=$4; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=__ZN2js11NodeBuilder12tryStatementEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_($75, $6, $clauses, $7, $81, $82); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $85 = $83;__label__ = 15; break;
    case 15: 
      var $85;
      $1=$85;
      $5=1;
      __label__ = 16; break;
    case 16: 
      __ZN2js15AutoValueVectorD1Ev($clauses); //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 17; break;
    case 17: 
      var $88=$1; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $88; //@line 2076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer12tryStatementEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer12optStatementEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $5=$2;
      var $6=$3; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=(($6)|0)!=0; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $9=$4; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($9, 8); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $11=$3; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$4; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE($5, $11, $12); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$13; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $15=$1; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $15; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer7forInitEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $5=$2;
      var $6=$3; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=(($6)|0)!=0; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $9=$4; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($9, 8); //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $11=$3; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=__ZNK11JSParseNode6isKindEN2js9TokenKindE($11, 46); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $14=$3; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$4; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE($5, $14, 0, $15); //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31 = $16;__label__ = 9; break; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $18=$3; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=__ZNK11JSParseNode6isKindEN2js9TokenKindE($18, 81); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $21=$3; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$4; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=__ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE($5, $21, 1, $22); //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29 = $23;__label__ = 8; break; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $25=$3; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$4; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($5, $25, $26); //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29 = $27;__label__ = 8; break; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $29; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31 = $29;__label__ = 9; break; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $31; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$31; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $33=$1; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $33; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer13optIdentifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($this, $atom, $pos, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$this;
      $3=$atom;
      $4=$pos;
      $5=$dst;
      var $6=$2;
      var $7=$3; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=(($7)|0)!=0; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $10=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value8setMagicE10JSWhyMagic($10, 8); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $12=$3; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$5; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=__ZN2js13ASTSerializer10identifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($6, $12, $13, $14); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$15; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $17=$1; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $17; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer10identifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($this, $atom, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$atom;
  $3=$pos;
  $4=$dst;
  var $6=$1;
  var $7=(($6+8)|0); //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$2; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  __ZN2js13ASTSerializer12atomContentsEP6JSAtom($5, $6, $8); //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=$3; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $10=$4; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $11=__ZN2js11NodeBuilder10identifierEN2JS5ValueEPNS_8TokenPosEPS2_($7, $5, $9, $10); //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  STACKTOP = __stackBase__;
  return $11; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js13ASTSerializer13leftAssociateEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tk;
      var $lor;
      var $logop;
      var $head;
      var $left=__stackBase__;
      var $next;
      var $right=__stackBase__+8;
      var $subpos=__stackBase__+16;
      var $5=__stackBase__+32;
      var $6=__stackBase__+40;
      var $op;
      var $7=__stackBase__+48;
      var $8=__stackBase__+56;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $9=$2;
      var $10=$3; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZNK11JSParseNode7getKindEv($10); //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $tk=$11; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$tk; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12)|0)==7; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13)&1); //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $lor=$14; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$lor; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=(($15) & 1); //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { var $21 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $18=$tk; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18)|0)==8; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21 = $19;__label__ = 3; break; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $21;
      var $22=(($21)&1); //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $logop=$22; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$3; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23+32)|0); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$24; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25)|0); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $head=$27; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$head; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($9, $28, $left); //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      $1=0; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $32=$head; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32+24)|0); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$34; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $36=$next; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=(($36)|0)!=0; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 23; break; } //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $39=$next; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($9, $39, $right); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      $1=0; //@line 2294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $43=(($subpos)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$3; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=(($44+4)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=(($45)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$43; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$46; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=(($subpos+8)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$next; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=(($50+4)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=(($51+8)|0); //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$49; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=$52; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$logop; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=(($55) & 1); //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($56) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $58=(($9+8)|0); //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$lor; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($59) & 1); //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$5; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=$left; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[(($62)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[(($62+4)>>2)]; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=$6; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=$right; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($63)>>2)]=HEAP32[(($64)>>2)];HEAP32[(($63+4)>>2)]=HEAP32[(($64+4)>>2)]; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=__ZN2js11NodeBuilder17logicalExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_($58, $60, $5, $6, $subpos, $left); //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      $1=0; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      __label__ = 21; break; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $69=$3; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=__ZNK11JSParseNode7getKindEv($69); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=$3; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72=__ZNK11JSParseNode5getOpEv($71); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=__ZN2js13ASTSerializer5binopENS_9TokenKindE4JSOp($9, $70, $72); //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $op=$73; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 14; break; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $75=$op; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=(($75)|0) > -1; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $78=$op; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $79=(($78)|0) < 22; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($79) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      var $81=(($9)|0); //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($82, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      __label__ = 18; break; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      var $85=(($9+8)|0); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $86=$op; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $87=$7; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=$left; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[(($88+4)>>2)]; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=$8; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=$right; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($89)>>2)]=HEAP32[(($90)>>2)];HEAP32[(($89+4)>>2)]=HEAP32[(($90+4)>>2)]; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $91=__ZN2js11NodeBuilder16binaryExpressionENS_14BinaryOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_($85, $86, $7, $8, $subpos, $left); //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($91) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      $1=0; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      var $96=$next; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $97=(($96+24)|0); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$98; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $100=$4; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $101=$100; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $102=$left; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($101)>>2)]=HEAP32[(($102)>>2)];HEAP32[(($101+4)>>2)]=HEAP32[(($102+4)>>2)]; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      var $104=$1; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer13leftAssociateEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer18comprehensionBlockEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $in;
      var $isForEach;
      var $patt=__stackBase__;
      var $src=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $7=$2;
      __label__ = 2; break; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $9=$3; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=__ZNK11JSParseNode7isArityE16JSParseNodeArity($9, 2); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $12=(($7)|0); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($13, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 14; break; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      __label__ = 5; break; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $16=$3; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+32)|0); //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$17; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18)|0); //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $in=$20; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $22=$in; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22)|0)!=0; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $25=$in; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZNK11JSParseNode6isKindEN2js9TokenKindE($25, 45); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $28=(($7)|0); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 14; break; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      __label__ = 10; break; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $32=$3; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32+32)|0); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$33; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=(($34+12)|0); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$36 & 2; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=(($37)|0)!=0; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=(($38)&1); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $isForEach=$39; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=$in; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($40+32)|0); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$41; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=(($42+4)|0); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($7, $44, 0, $patt); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($45) { __label__ = 11; break; } else { var $66 = 0;__label__ = 13; break; } //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $47=$in; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=(($47+32)|0); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$48; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=(($49+8)|0); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($7, $51, $src); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($52) { __label__ = 12; break; } else { var $66 = 0;__label__ = 13; break; } //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $54=(($7+8)|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$5; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$patt; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=$6; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$src; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$isForEach; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($59) & 1); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$in; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=(($61+4)|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=$4; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=__ZN2js11NodeBuilder18comprehensionBlockEN2JS5ValueES2_bPNS_8TokenPosEPS2_($54, $5, $6, $60, $62, $63); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66 = $64;__label__ = 13; break;
    case 13: 
      var $66;
      $1=$66;
      __label__ = 14; break;
    case 14: 
      var $68=$1; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $68; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer18comprehensionBlockEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer13comprehensionEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 224; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $blocks=__stackBase__;
      var $next;
      var $block=__stackBase__+92;
      var $5;
      var $filter=__stackBase__+100;
      var $empty=__stackBase__+108;
      var $body=__stackBase__+200;
      var $6=__stackBase__+208;
      var $7=__stackBase__+216;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $8=$2;
      __label__ = 2; break; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $10=$3; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZNK11JSParseNode6isKindEN2js9TokenKindE($10, 42); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $13=(($8)|0); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($14, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 28; break; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      __label__ = 5; break; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $17=(($8)|0); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($blocks, $18); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$3; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$19; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $21=$next; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=__ZNK11JSParseNode6isKindEN2js9TokenKindE($21, 42); //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $24=$next; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZN2js13ASTSerializer18comprehensionBlockEP11JSParseNodePN2JS5ValueE($8, $24, $block); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $27=$blocks; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($27, $block); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=0; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 27; break; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $31=$next; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31+32)|0); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$32; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=(($33+4)|0); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$35; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      __ZN2JSL10MagicValueE10JSWhyMagic3404($filter, 8); //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$next; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=__ZNK11JSParseNode6isKindEN2js9TokenKindE($37, 35); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($38) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $40=$next; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($40+32)|0); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$41; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=(($42)|0); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($8, $44, $filter); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($45) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      $1=0; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 27; break; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $48=$next; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=(($48+32)|0); //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$49; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=(($50+4)|0); //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$52; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 19; break; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $54=$next; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=__ZNK11JSParseNode6isKindEN2js9TokenKindE($54, 25); //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($55) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      var $57=$next; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=(($57+32)|0); //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$58; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($59+8)|0); //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=(($61)|0)==0; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($62) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $64=(($8)|0); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($empty, $65); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=(($8+8)|0); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=$3; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=(($67+4)|0); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=$4; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=__ZN2js11NodeBuilder15arrayExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($66, $empty, $68, $69); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$70; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __ZN2js15AutoValueVectorD1Ev($empty); //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 27; break;
    case 18: 
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      var $74=$next; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=__ZNK11JSParseNode6isKindEN2js9TokenKindE($74, 79); //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($75) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 21: 
      var $77=(($8)|0); //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($78, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 27; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      __label__ = 23; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      __label__ = 24; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      var $82=$next; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=(($82+32)|0); //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=$83; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $85=(($84)|0); //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $87=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($8, $86, $body); //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($87) { __label__ = 25; break; } else { var $99 = 0;__label__ = 26; break; } //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 25: 
      var $89=(($8+8)|0); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=$6; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $91=$body; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($90)>>2)]=HEAP32[(($91)>>2)];HEAP32[(($90+4)>>2)]=HEAP32[(($91+4)>>2)]; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $92=$7; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $93=$filter; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($92)>>2)]=HEAP32[(($93)>>2)];HEAP32[(($92+4)>>2)]=HEAP32[(($93+4)>>2)]; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $94=$3; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $95=(($94+4)|0); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $96=$4; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $97=__ZN2js11NodeBuilder23comprehensionExpressionEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_($89, $6, $blocks, $7, $95, $96); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $99 = $97;__label__ = 26; break;
    case 26: 
      var $99;
      $1=$99;
      $5=1;
      __label__ = 27; break;
    case 27: 
      __ZN2js15AutoValueVectorD1Ev($blocks); //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 28; break;
    case 28: 
      var $102=$1; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $102; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer13comprehensionEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2JSL10MagicValueE10JSWhyMagic3404($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$1; //@line 742 "./jsapi.h"
  __ZN2JS5Value8setMagicE10JSWhyMagic($agg_result, $2); //@line 742 "./jsapi.h"
  ;
  return; //@line 743 "./jsapi.h"
}

// WARNING: content after a branch in a label, line: 483814
// WARNING: content after a branch in a label, line: 484100

function __ZN2js13ASTSerializer19generatorExpressionEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 132; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $blocks=__stackBase__;
      var $next;
      var $block=__stackBase__+92;
      var $5;
      var $filter=__stackBase__+100;
      var $body=__stackBase__+108;
      var $6=__stackBase__+116;
      var $7=__stackBase__+124;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $8=$2;
      __label__ = 2; break; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $10=$3; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZNK11JSParseNode6isKindEN2js9TokenKindE($10, 42); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $13=(($8)|0); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($14, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 26; break; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      __label__ = 5; break; //@line 2369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $17=(($8)|0); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($blocks, $18); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$3; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$19; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $21=$next; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=__ZNK11JSParseNode6isKindEN2js9TokenKindE($21, 42); //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $24=$next; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=__ZN2js13ASTSerializer18comprehensionBlockEP11JSParseNodePN2JS5ValueE($8, $24, $block); //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $27=$blocks; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($27, $block); //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      $1=0; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 25; break; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $31=$next; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31+32)|0); //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$32; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=(($33+4)|0); //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$35; //@line 2378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      __ZN2JSL10MagicValueE10JSWhyMagic3404($filter, 8); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$next; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=__ZNK11JSParseNode6isKindEN2js9TokenKindE($37, 35); //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($38) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $40=$next; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=(($40+32)|0); //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=$41; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=(($42)|0); //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE($8, $44, $filter); //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($45) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      $1=0; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 25; break; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $48=$next; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=(($48+32)|0); //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$49; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=(($50+4)|0); //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$52; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      __label__ = 16; break; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      var $55=$next; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=__ZNK11JSParseNode6isKindEN2js9TokenKindE($55, 2); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $58=$next; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=(($58+32)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=$59; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=(($60)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=__ZNK11JSParseNode6isKindEN2js9TokenKindE($62, 77); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($63) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      var $65=$next; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=(($65+32)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=$66; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=(($67)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=(($69+32)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=$70; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72=(($71)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=(($73)|0)!=0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($74) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      var $76=(($8)|0); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($77, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 25; break; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      __label__ = 21; break; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 21: 
      __label__ = 22; break; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      var $81=$next; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=(($81+32)|0); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=$82; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=(($83)|0); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $86=(($85+32)|0); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $87=$86; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=(($87)|0); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($8, $89, $body); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($90) { __label__ = 23; break; } else { var $102 = 0;__label__ = 24; break; } //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $92=(($8+8)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $93=$6; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $94=$body; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($93)>>2)]=HEAP32[(($94)>>2)];HEAP32[(($93+4)>>2)]=HEAP32[(($94+4)>>2)]; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $95=$7; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $96=$filter; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($95)>>2)]=HEAP32[(($96)>>2)];HEAP32[(($95+4)>>2)]=HEAP32[(($96+4)>>2)]; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $97=$3; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $98=(($97+4)|0); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $99=$4; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $100=__ZN2js11NodeBuilder19generatorExpressionEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_($92, $6, $blocks, $7, $98, $99); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $102 = $100;__label__ = 24; break;
    case 24: 
      var $102;
      $1=$102;
      $5=1;
      __label__ = 25; break;
    case 25: 
      __ZN2js15AutoValueVectorD1Ev($blocks); //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 26; break;
    case 26: 
      var $105=$1; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $105; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer19generatorExpressionEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZNK11JSParseNode15isGeneratorExprEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $callee;
      var $body;
      $2=$this;
      var $3=$2;
      var $4=__ZNK11JSParseNode7getKindEv($3); //@line 655 "./jsparse.h"
      var $5=(($4)|0)==27; //@line 655 "./jsparse.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 10; break; } //@line 655 "./jsparse.h"
    case 2: 
      var $7=(($3+32)|0); //@line 656 "./jsparse.h"
      var $8=$7; //@line 656 "./jsparse.h"
      var $9=(($8)|0); //@line 656 "./jsparse.h"
      var $10=HEAP32[(($9)>>2)]; //@line 656 "./jsparse.h"
      $callee=$10; //@line 656 "./jsparse.h"
      var $11=$callee; //@line 657 "./jsparse.h"
      var $12=__ZNK11JSParseNode7getKindEv($11); //@line 657 "./jsparse.h"
      var $13=(($12)|0)==34; //@line 657 "./jsparse.h"
      if ($13) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 657 "./jsparse.h"
    case 3: 
      var $15=$callee; //@line 658 "./jsparse.h"
      var $16=(($15+32)|0); //@line 658 "./jsparse.h"
      var $17=$16; //@line 658 "./jsparse.h"
      var $18=(($17+4)|0); //@line 658 "./jsparse.h"
      var $19=$18; //@line 658 "./jsparse.h"
      var $20=HEAP32[(($19)>>2)]; //@line 658 "./jsparse.h"
      var $21=__ZNK11JSParseNode7getKindEv($20); //@line 658 "./jsparse.h"
      var $22=(($21)|0)==85; //@line 658 "./jsparse.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 658 "./jsparse.h"
    case 4: 
      var $24=$callee; //@line 658 "./jsparse.h"
      var $25=(($24+32)|0); //@line 658 "./jsparse.h"
      var $26=$25; //@line 658 "./jsparse.h"
      var $27=(($26+4)|0); //@line 658 "./jsparse.h"
      var $28=$27; //@line 658 "./jsparse.h"
      var $29=HEAP32[(($28)>>2)]; //@line 658 "./jsparse.h"
      var $30=(($29+32)|0); //@line 658 "./jsparse.h"
      var $31=$30; //@line 658 "./jsparse.h"
      var $32=(($31+4)|0); //@line 658 "./jsparse.h"
      var $33=HEAP32[(($32)>>2)]; //@line 658 "./jsparse.h"
      var $42 = $33;__label__ = 6; break; //@line 658 "./jsparse.h"
    case 5: 
      var $35=$callee; //@line 658 "./jsparse.h"
      var $36=(($35+32)|0); //@line 658 "./jsparse.h"
      var $37=$36; //@line 658 "./jsparse.h"
      var $38=(($37+4)|0); //@line 658 "./jsparse.h"
      var $39=$38; //@line 658 "./jsparse.h"
      var $40=HEAP32[(($39)>>2)]; //@line 658 "./jsparse.h"
      var $42 = $40;__label__ = 6; break; //@line 658 "./jsparse.h"
    case 6: 
      var $42; //@line 658 "./jsparse.h"
      $body=$42; //@line 658 "./jsparse.h"
      var $43=$body; //@line 661 "./jsparse.h"
      var $44=__ZNK11JSParseNode7getKindEv($43); //@line 661 "./jsparse.h"
      var $45=(($44)|0)==80; //@line 661 "./jsparse.h"
      if ($45) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 661 "./jsparse.h"
    case 7: 
      $1=1; //@line 662 "./jsparse.h"
      __label__ = 11; break; //@line 662 "./jsparse.h"
    case 8: 
      __label__ = 9; break; //@line 663 "./jsparse.h"
    case 9: 
      __label__ = 10; break; //@line 664 "./jsparse.h"
    case 10: 
      $1=0; //@line 665 "./jsparse.h"
      __label__ = 11; break; //@line 665 "./jsparse.h"
    case 11: 
      var $51=$1; //@line 666 "./jsparse.h"
      ;
      return $51; //@line 666 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK11JSParseNode15isGeneratorExprEv["X"]=1;

function __ZNK11JSParseNode13generatorExprEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $callee;
      var $body;
      $1=$this;
      var $2=$1;
      var $3=(($2+32)|0); //@line 670 "./jsparse.h"
      var $4=$3; //@line 670 "./jsparse.h"
      var $5=(($4)|0); //@line 670 "./jsparse.h"
      var $6=HEAP32[(($5)>>2)]; //@line 670 "./jsparse.h"
      $callee=$6; //@line 670 "./jsparse.h"
      var $7=$callee; //@line 671 "./jsparse.h"
      var $8=(($7+32)|0); //@line 671 "./jsparse.h"
      var $9=$8; //@line 671 "./jsparse.h"
      var $10=(($9+4)|0); //@line 671 "./jsparse.h"
      var $11=$10; //@line 671 "./jsparse.h"
      var $12=HEAP32[(($11)>>2)]; //@line 671 "./jsparse.h"
      var $13=__ZNK11JSParseNode7getKindEv($12); //@line 671 "./jsparse.h"
      var $14=(($13)|0)==85; //@line 671 "./jsparse.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 671 "./jsparse.h"
    case 2: 
      var $16=$callee; //@line 671 "./jsparse.h"
      var $17=(($16+32)|0); //@line 671 "./jsparse.h"
      var $18=$17; //@line 671 "./jsparse.h"
      var $19=(($18+4)|0); //@line 671 "./jsparse.h"
      var $20=$19; //@line 671 "./jsparse.h"
      var $21=HEAP32[(($20)>>2)]; //@line 671 "./jsparse.h"
      var $22=(($21+32)|0); //@line 671 "./jsparse.h"
      var $23=$22; //@line 671 "./jsparse.h"
      var $24=(($23+4)|0); //@line 671 "./jsparse.h"
      var $25=HEAP32[(($24)>>2)]; //@line 671 "./jsparse.h"
      var $34 = $25;__label__ = 4; break; //@line 671 "./jsparse.h"
    case 3: 
      var $27=$callee; //@line 671 "./jsparse.h"
      var $28=(($27+32)|0); //@line 671 "./jsparse.h"
      var $29=$28; //@line 671 "./jsparse.h"
      var $30=(($29+4)|0); //@line 671 "./jsparse.h"
      var $31=$30; //@line 671 "./jsparse.h"
      var $32=HEAP32[(($31)>>2)]; //@line 671 "./jsparse.h"
      var $34 = $32;__label__ = 4; break; //@line 671 "./jsparse.h"
    case 4: 
      var $34; //@line 671 "./jsparse.h"
      $body=$34; //@line 671 "./jsparse.h"
      var $35=$body; //@line 675 "./jsparse.h"
      var $36=(($35+32)|0); //@line 675 "./jsparse.h"
      var $37=$36; //@line 675 "./jsparse.h"
      var $38=(($37+4)|0); //@line 675 "./jsparse.h"
      var $39=$38; //@line 675 "./jsparse.h"
      var $40=HEAP32[(($39)>>2)]; //@line 675 "./jsparse.h"
      ;
      return $40; //@line 675 "./jsparse.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer8propertyEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kind;
      var $key=__stackBase__;
      var $val=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $7=$2;
      var $8=$3; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=__ZNK11JSParseNode5getOpEv($8); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($9)|0) == 93) {
        __label__ = 2; break;
      }
      else if ((($9)|0) == 125) {
        __label__ = 3; break;
      }
      else if ((($9)|0) == 126) {
        __label__ = 4; break;
      }
      else {
      __label__ = 5; break;
      }
      
    case 2: 
      $kind=0; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 2807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $kind=1; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      $kind=2; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      __label__ = 6; break; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $15=(($7)|0); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($16, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $19=$3; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+32)|0); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$20; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21)|0); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=__ZN2js13ASTSerializer12propertyNameEP11JSParseNodePN2JS5ValueE($7, $23, $key); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($24) { __label__ = 8; break; } else { var $44 = 0;__label__ = 10; break; } //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $26=$3; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26+32)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$27; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=(($28+4)|0); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($7, $30, $val); //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($31) { __label__ = 9; break; } else { var $44 = 0;__label__ = 10; break; } //@line 2823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $33=(($7+8)|0); //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$5; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$key; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$6; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=$val; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$kind; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=$3; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=(($39+4)|0); //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$4; //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=__ZN2js11NodeBuilder19propertyInitializerEN2JS5ValueES2_NS_8PropKindEPNS_8TokenPosEPS2_($33, $5, $6, $38, $40, $41); //@line 2824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44 = $42;__label__ = 10; break;
    case 10: 
      var $44;
      $1=$44;
      __label__ = 11; break;
    case 11: 
      var $46=$1; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 2825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer8propertyEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer10identifierEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $5=$2;
      __label__ = 2; break; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $7=$3; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=__ZNK11JSParseNode7isArityE16JSParseNodeArity($7, 6); //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($8) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $10=$3; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZNK11JSParseNode7isArityE16JSParseNodeArity($10, 0); //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $13=(($5)|0); //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($14, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      __label__ = 6; break; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      __label__ = 7; break; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $18=$3; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18+32)|0); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$19; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20)|0); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$21; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23)|0)!=0; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($24) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $26=(($5)|0); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($27, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      __label__ = 10; break; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $30=$3; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($30+32)|0); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$31; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32)|0); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=$33; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$3; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=(($36+4)|0); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $38=$4; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=__ZN2js13ASTSerializer10identifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE($5, $35, $37, $38); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$39; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 11; break; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $41=$1; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $41; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer10identifierEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer7literalEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $val=__stackBase__;
      var $re1;
      var $proto=__stackBase__+8;
      var $re2;
      var $5=__stackBase__+12;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $6=$2;
      var $7=$3; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=__ZNK11JSParseNode7getKindEv($7); //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($8)|0) == 31) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 32) {
        __label__ = 3; break;
      }
      else if ((($8)|0) == 30) {
        __label__ = 16; break;
      }
      else if ((($8)|0) == 33) {
        __label__ = 17; break;
      }
      else {
      __label__ = 21; break;
      }
      
    case 2: 
      var $10=$3; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+32)|0); //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$11; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12)|0); //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$13; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$15; //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value9setStringEP8JSString($val, $16); //@line 2833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 23; break; //@line 2834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $18=$3; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=(($18+32)|0); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$19; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20)|0); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$21; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23)|0)!=0; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $26=$3; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26+32)|0); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$27; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=(($28)|0); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=$29; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31+8)|0); //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36 = $33;__label__ = 6; break; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $36 = 0;__label__ = 6; break; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $36; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $re1=$36; //@line 2838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $38=$re1; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=(($38)|0)!=0; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $41=$re1; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=__ZNK8JSObject8isRegExpEv($41); //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $44=(($6)|0); //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($45, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      __label__ = 11; break; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $48=(($6)|0); //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=(($6)|0); //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZNK9JSContext2fpEv($51); //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=__ZNK2js10StackFrame10scopeChainEv($52); //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($49, $53, 10, $proto, 0); //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=(($54)|0)!=0; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      $1=0; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $58=(($6)|0); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=$re1; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=HEAP32[(($proto)>>2)]; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=__Z20js_CloneRegExpObjectP9JSContextP8JSObjectS2_($59, $60, $61); //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $re2=$62; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $63=$re2; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=(($63)|0)!=0; //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($64) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      $1=0; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $67=$re2; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value9setObjectER8JSObject($val, $67); //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 23; break; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      var $69=$3; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=(($69+32)|0); //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=$70; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72=(tempDoubleI32[0]=HEAP32[(($71)>>2)],tempDoubleI32[1]=HEAP32[(($71+4)>>2)],tempDoubleF64[0]); //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=__ZN2JS5Value9setNumberEd($val, $72); //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 23; break; //@line 2855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $75=$3; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=__ZNK11JSParseNode4isOpE4JSOp($75, 64); //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($76) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      __ZN2JS5Value7setNullEv($val); //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 20; break; //@line 2859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      var $79=$3; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $80=__ZNK11JSParseNode4isOpE4JSOp($79, 67); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value10setBooleanEb($val, $80); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 20; break;
    case 20: 
      __label__ = 23; break; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 21: 
      __label__ = 22; break; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      var $84=(($6)|0); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($85, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $88=(($6+8)|0); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=$5; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=$val; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($89)>>2)]=HEAP32[(($90)>>2)];HEAP32[(($89+4)>>2)]=HEAP32[(($90+4)>>2)]; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $91=$3; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $92=(($91+4)|0); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $93=$4; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $94=__ZN2js11NodeBuilder7literalEN2JS5ValueEPNS_8TokenPosEPS2_($88, $5, $92, $93); //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$94; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 2868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      var $96=$1; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $96; //@line 2869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer7literalEP11JSParseNodePN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer12atomContentsEP6JSAtom($agg_result, $this, $atom) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$atom;
      var $3=$1;
      var $4=$2; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $5=(($4)|0)!=0; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $7=$2; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18 = $7;__label__ = 4; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $9=(($3)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10+52)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+209948)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13+24)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$15; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18 = $16;__label__ = 4; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $18; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=$18; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL11StringValueEP8JSString3435($agg_result, $19); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer12propertyNameEP11JSParseNodePN2JS5ValueE($this, $pn, $dst) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$pn;
      $4=$dst;
      var $5=$2;
      var $6=$3; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=__ZNK11JSParseNode6isKindEN2js9TokenKindE($6, 29); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $9=$3; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$4; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=__ZN2js13ASTSerializer10identifierEP11JSParseNodePN2JS5ValueE($5, $9, $10); //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$11; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      __label__ = 4; break; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $14=$3; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=__ZNK11JSParseNode6isKindEN2js9TokenKindE($14, 31); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($15) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $17=$3; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=__ZNK11JSParseNode6isKindEN2js9TokenKindE($17, 30); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($18) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $20=(($5)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($21, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      __label__ = 8; break; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $24=$3; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$4; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=__ZN2js13ASTSerializer7literalEP11JSParseNodePN2JS5ValueE($5, $24, $25); //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$26; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $28=$1; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $28; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13ASTSerializer12arrayPatternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($this, $pn, $pkind, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $elts=__stackBase__;
      var $6;
      var $next;
      var $7=__stackBase__+92;
      var $patt=__stackBase__+100;
      $2=$this;
      $3=$pn;
      $4=$pkind;
      $5=$dst;
      var $8=$2;
      var $9=(($8)|0); //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts, $10); //@line 2876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=$elts; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$3; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+32)|0); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$13; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=(($14+8)|0); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($11, $16); //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 13; break; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $20=$3; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20+32)|0); //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$21; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22)|0); //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$24; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $26=$next; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26)|0)!=0; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $29=$next; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZNK11JSParseNode6isKindEN2js9TokenKindE($29, 3); //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $32=$elts; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL10MagicValueE10JSWhyMagic3404($7, 8); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($32, $7); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $34=$next; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=$4; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($8, $34, $35, $patt); //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      $1=0; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 13; break; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $39=$elts; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($39, $patt); //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $42=$next; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=(($42+24)|0); //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$44; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 2880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $46=(($8+8)|0); //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$3; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=(($47+4)|0); //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$5; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=__ZN2js11NodeBuilder12arrayPatternERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($46, $elts, $48, $49); //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$50; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 13; break; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      __ZN2js15AutoValueVectorD1Ev($elts); //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$1; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $52; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer12arrayPatternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE["X"]=1;
// WARNING: content after a branch in a label, line: 484749
// WARNING: content after a branch in a label, line: 484930

function __ZN2js13ASTSerializer13objectPatternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($this, $pn, $pkind, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 132; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $elts=__stackBase__;
      var $6;
      var $next;
      var $key=__stackBase__+92;
      var $patt=__stackBase__+100;
      var $prop=__stackBase__+108;
      var $7=__stackBase__+116;
      var $8=__stackBase__+124;
      $2=$this;
      $3=$pn;
      $4=$pkind;
      $5=$dst;
      var $9=$2;
      var $10=(($9)|0); //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts, $11); //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$elts; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=$3; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=(($13+32)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=$14; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=(($15+8)|0); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj($12, $17); //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      $1=0; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 17; break; //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $21=$3; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=(($21+32)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=$22; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$25; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $27=$next; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($27)|0)!=0; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 16; break; } //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      __label__ = 6; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $31=$next; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=__ZNK11JSParseNode4isOpE4JSOp($31, 93); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $34=(($9)|0); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($35, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 17; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      __label__ = 9; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      __label__ = 10; break; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $39=$next; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=(($39+32)|0); //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=$40; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=(($41)|0); //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=__ZN2js13ASTSerializer12propertyNameEP11JSParseNodePN2JS5ValueE($9, $43, $key); //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $46=$next; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($46+32)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$47; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=(($48+4)|0); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=$4; //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($9, $50, $51, $patt); //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $54=(($9+8)|0); //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$7; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$key; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=$8; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$patt; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=$next; //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($59+4)|0); //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=__ZN2js11NodeBuilder15propertyPatternEN2JS5ValueES2_PNS_8TokenPosEPS2_($54, $7, $8, $60, $prop); //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      $1=0; //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 17; break; //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $64=$elts; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_($64, $prop); //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 15; break; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $66=$next; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=(($66+24)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$68; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      var $70=(($9+8)|0); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=$3; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72=(($71+4)|0); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=$5; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=__ZN2js11NodeBuilder13objectPatternERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($70, $elts, $72, $73); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$74; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 17; break; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      __ZN2js15AutoValueVectorD1Ev($elts); //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=$1; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $76; //@line 2917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer13objectPatternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer19functionArgsAndBodyEP11JSParseNodeRNS_15AutoValueVectorEPN2JS5ValueE($this, $pn, $args, $body) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pnargs;
      var $pnbody;
      var $pndestruct;
      var $head;
      var $pnstart;
      var $pnstart1;
      $2=$this;
      $3=$pn;
      $4=$args;
      $5=$body;
      var $6=$2;
      var $7=$3; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=__ZNK11JSParseNode6isKindEN2js9TokenKindE($7, 84); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $10=$3; //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnargs=$10; //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=$3; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=__ZNK11JSParseNode4lastEv($11); //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnbody=$12; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $pnargs=0; //@line 3000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$3; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnbody=$14; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 4; break;
    case 4: 
      var $16=$pnbody; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=__ZNK11JSParseNode7isArityE16JSParseNodeArity($16, 5); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 17; break; } //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $19=$pnbody; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19+32)|0); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=$20; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $22=$21; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $23=(($22+12)|0); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$23; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$25 & 4095; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=$26 & 512; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($27)|0)!=0; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 17; break; } //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $30=$pnbody; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($30+32)|0); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$31; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32)|0); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $head=$34; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 7; break; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $36=$head; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=(($36)|0)!=0; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $39=$head; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=__ZNK11JSParseNode6isKindEN2js9TokenKindE($39, 2); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $42=(($6)|0); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 38; break; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      __label__ = 11; break; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $46=$head; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($46+32)|0); //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=$47; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=(($48)|0); //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pndestruct=$50; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 12; break; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $52=$pndestruct; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=(($52)|0)!=0; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($53) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $55=$pndestruct; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=__ZNK11JSParseNode6isKindEN2js9TokenKindE($55, 46); //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $58=(($6)|0); //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($59, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 38; break; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      __label__ = 16; break; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      __label__ = 18; break; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      $pndestruct=0; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 18; break;
    case 18: 
      var $64=$pnbody; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=__ZNK11JSParseNode7getKindEv($64); //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ((($65)|0) == 48) {
        __label__ = 19; break;
      }
      else if ((($65)|0) == 82) {
        __label__ = 22; break;
      }
      else if ((($65)|0) == 25) {
        __label__ = 30; break;
      }
      else {
      __label__ = 36; break;
      }
      
    case 19: 
      var $67=$3; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=$pnargs; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=$pnbody; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=$4; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=__ZN2js13ASTSerializer12functionArgsEP11JSParseNodeS2_S2_S2_RNS_15AutoValueVectorE($6, $67, $68, 0, $69, $70); //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($71) { __label__ = 20; break; } else { var $81 = 0;__label__ = 21; break; } //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      var $73=$pnbody; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=(($73+32)|0); //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=$74; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=(($75)|0); //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $78=$5; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $79=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($6, $77, $78); //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81 = $79;__label__ = 21; break;
    case 21: 
      var $81;
      $1=$81;
      __label__ = 38; break;
    case 22: 
      var $83=$pnbody; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=(($83+32)|0); //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $85=$84; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $86=(($85)|0); //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=(($87+24)|0); //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnstart=$89; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 23; break; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $91=$pnstart; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $92=(($91)|0)!=0; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($92) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      var $94=$pnstart; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $95=__ZNK11JSParseNode6isKindEN2js9TokenKindE($94, 48); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($95) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 25: 
      var $97=(($6)|0); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($98, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 38; break; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 26: 
      __label__ = 27; break; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 27: 
      var $101=$3; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $102=$pnargs; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $103=$pndestruct; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $104=$pnbody; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $105=$4; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $106=__ZN2js13ASTSerializer12functionArgsEP11JSParseNodeS2_S2_S2_RNS_15AutoValueVectorE($6, $101, $102, $103, $104, $105); //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($106) { __label__ = 28; break; } else { var $116 = 0;__label__ = 29; break; } //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 28: 
      var $108=$pnstart; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $109=(($108+32)|0); //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $110=$109; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $111=(($110)|0); //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $113=$5; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $114=__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE($6, $112, $113); //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $116 = $114;__label__ = 29; break;
    case 29: 
      var $116;
      $1=$116;
      __label__ = 38; break;
    case 30: 
      var $118=$pnbody; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $119=(($118+32)|0); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $120=$119; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $121=$120; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $122=(($121+12)|0); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $123=$122; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $125=$124 & 4095; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $126=$125 & 512; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $127=(($126)|0)!=0; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($127) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 31: 
      var $129=$pnbody; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $130=(($129+32)|0); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $131=$130; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $132=(($131)|0); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $134=(($133+24)|0); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $143 = $135;__label__ = 33; break; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 32: 
      var $137=$pnbody; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $138=(($137+32)|0); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $139=$138; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $140=(($139)|0); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $143 = $141;__label__ = 33; break; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 33: 
      var $143; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pnstart1=$143; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $144=$3; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $145=$pnargs; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $146=$pndestruct; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $147=$pnbody; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $148=$4; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $149=__ZN2js13ASTSerializer12functionArgsEP11JSParseNodeS2_S2_S2_RNS_15AutoValueVectorE($6, $144, $145, $146, $147, $148); //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($149) { __label__ = 34; break; } else { var $157 = 0;__label__ = 35; break; } //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 34: 
      var $151=$pnstart1; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $152=$pnbody; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $153=(($152+4)|0); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $154=$5; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $155=__ZN2js13ASTSerializer12functionBodyEP11JSParseNodePNS_8TokenPosEPN2JS5ValueE($6, $151, $153, $154); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $157 = $155;__label__ = 35; break;
    case 35: 
      var $157;
      $1=$157;
      __label__ = 38; break;
    case 36: 
      __label__ = 37; break; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 37: 
      var $160=(($6)|0); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($161, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 38; break; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 38: 
      var $164=$1; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      ;
      return $164; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer19functionArgsAndBodyEP11JSParseNodeRNS_15AutoValueVectorEPN2JS5ValueE["X"]=1;

function __ZN2js13ASTSerializer12functionArgsEP11JSParseNodeS2_S2_S2_RNS_15AutoValueVectorE($this, $pn, $pnargs, $pndestruct, $pnbody, $args) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $i;
      var $arg;
      var $destruct;
      var $node=__stackBase__;
      $2=$this;
      $3=$pn;
      $4=$pnargs;
      $5=$pndestruct;
      $6=$pnbody;
      $7=$args;
      var $8=$2;
      $i=0; //@line 3051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=$4; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=(($9)|0)!=0; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $12=$4; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12+32)|0); //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $14=$13; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $15=(($14)|0); //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19 = $16;__label__ = 4; break; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $19 = 0;__label__ = 4; break; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $19; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $arg=$19; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$5; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20)|0)!=0; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $23=$5; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23+32)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$24; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25)|0); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30 = $27;__label__ = 7; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $30 = 0;__label__ = 7; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $30; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $destruct=$30; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $32=$arg; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=(($32)|0)!=0; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $35=$arg; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$6; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $37=(($35)|0)!=(($36)|0); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($37) { var $42 = 1;__label__ = 11; break; } else { __label__ = 10; break; } //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $39=$destruct; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $40=(($39)|0)!=0; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42 = $40;__label__ = 11; break; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $42;
      if ($42) { __label__ = 12; break; } else { __label__ = 28; break; } //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $44=$destruct; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=(($44)|0)!=0; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $47=$destruct; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=(($47+32)|0); //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=$48; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=(($49+4)|0); //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=__ZNK11JSParseNode9frameSlotEv($51); //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=$i; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=(($52)|0)==(($53)|0); //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($54) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $56=$destruct; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=(($56+32)|0); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=$57; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=(($58)|0); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE($8, $60, 0, $node); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $63=$7; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $64=$63; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($64, $node); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      $1=0; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 29; break; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $68=$destruct; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=(($68+24)|0); //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $destruct=$70; //@line 3068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 27; break; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      var $72=$arg; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=(($72)|0)!=0; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 24; break; } //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      var $75=$arg; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $76=$6; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $77=(($75)|0)!=(($76)|0); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($77) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      var $79=$arg; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $80=__ZN2js13ASTSerializer10identifierEP11JSParseNodePN2JS5ValueE($8, $79, $node); //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($80) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 21: 
      var $82=$7; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=$82; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($83, $node); //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      $1=0; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 29; break; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $87=$arg; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=(($87+24)|0); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $arg=$89; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 26; break; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      __label__ = 25; break; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 25: 
      var $92=(($8)|0); //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($93, 2, 0, 254, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 29; break; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      var $97=$i; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $98=(($97+1)|0); //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $i=$98; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 28: 
      $1=1; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 29; break; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 29: 
      var $101=$1; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $101; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13ASTSerializer12functionArgsEP11JSParseNodeS2_S2_S2_RNS_15AutoValueVectorE["X"]=1;

function __ZN2js13ASTSerializer12functionBodyEP11JSParseNodePNS_8TokenPosEPN2JS5ValueE($this, $pn, $pos, $dst) {
  var __stackBase__  = STACKTOP; STACKTOP += 100; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $elts=__stackBase__;
      var $next;
      var $child=__stackBase__+92;
      var $6;
      $2=$this;
      $3=$pn;
      $4=$pos;
      $5=$dst;
      var $7=$2;
      var $8=(($7)|0); //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($elts, $9); //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $10=$3; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$10; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 2; break; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $12=$next; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=(($12)|0)!=0; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $15=$next; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=__ZN2js13ASTSerializer13sourceElementEP11JSParseNodePN2JS5ValueE($7, $15, $child); //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $18=$elts; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($18, $child); //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $1=0; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 9; break; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      __label__ = 7; break; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $23=$next; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=(($23+24)|0); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $next=$25; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 2; break; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $27=(($7+8)|0); //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=$4; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=$5; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=__ZN2js11NodeBuilder14blockStatementERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE($27, $elts, $28, $29); //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$30; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $6=1;
      __label__ = 9; break; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      __ZN2js15AutoValueVectorD1Ev($elts); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$1; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3411($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3412($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb3408($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BUILD_JSVAL3416($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZL13reflect_parseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 1660; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $src;
      var $filename;
      var $filenamep=__stackBase__;
      var $lineno=__stackBase__+8;
      var $loc;
      var $builder;
      var $arg=__stackBase__+12;
      var $5;
      var $config;
      var $prop=__stackBase__+20;
      var $6=__stackBase__+28;
      var $7=__stackBase__+36;
      var $str;
      var $length;
      var $chars;
      var $8=__stackBase__+44;
      var $9=__stackBase__+52;
      var $serialize=__stackBase__+60;
      var $length1;
      var $chars2;
      var $parser=__stackBase__+660;
      var $pn;
      var $val=__stackBase__+1652;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $10=$3; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=(($10)>>>0) < 1; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $13=$2; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _JS_ReportErrorNumber($13, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str2403393)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str2413394)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str2423395)|0),tempInt)); //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 48; break; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      var $15=$2; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $16=$4; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=(($16+16)|0); //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=(($17)|0); //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($15, $18); //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $src=$19; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=$src; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $21=(($20)|0)!=0; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      $1=0; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 48; break; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $filename=0; //@line 3123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$2; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=$filename; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js22AutoReleaseNullablePtrC1EP9JSContextPv($filenamep, $24, $25); //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      HEAP32[(($lineno)>>2)]=1; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $loc=1; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $builder=0; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=$3; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $27=(($26)>>>0) > 1; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $29=$4; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $30=(($29+16)|0); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $31=(($30+8)|0); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=$arg; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $33=$31; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      __ZN2JSL14UndefinedValueEv3403($arg); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $36=__ZNK2JS5Value17isNullOrUndefinedEv($arg); //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($36) { __label__ = 35; break; } else { __label__ = 9; break; } //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $38=__ZNK2JS5Value8isObjectEv($arg); //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $40=$2; //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $41=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($40, 0, 222, 1, $arg, 0, ((STRING_TABLE.__str2433396)|0), 0); //@line 3134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      var $43=__ZNK2JS5Value8toObjectEv($arg); //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $config=$43; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=$2; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=$config; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$2; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=(($46+52)|0); //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=(($48+209948)|0); //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=(($49+420)|0); //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $52=$51; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $53=__ZL12ATOM_TO_JSIDP6JSAtom3421($52); //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL12BooleanValueEb3401($6, 1); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=__ZN2js18GetPropertyDefaultEP9JSContextP8JSObjectiRKN2JS5ValueEPS5_($44, $45, $53, $6, $prop); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=(($54)|0)!=0; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      $1=0; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $58=__Z17js_ValueToBooleanRKN2JS5ValueE($prop); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=(($58)|0)!=0; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $60=(($59)&1); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $loc=$60; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $61=$loc; //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $62=(($61) & 1); //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($62) { __label__ = 14; break; } else { __label__ = 28; break; } //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $64=$2; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=$config; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=$2; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $67=(($66+52)|0); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $69=(($68+209948)|0); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $70=(($69+352)|0); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $72=$71; //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $73=__ZL12ATOM_TO_JSIDP6JSAtom3421($72); //@line 3153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL9NullValueEv3400($7); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=__ZN2js18GetPropertyDefaultEP9JSContextP8JSObjectiRKN2JS5ValueEPS5_($64, $65, $73, $7, $prop); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=(($74)|0)!=0; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($75) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      $1=0; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      var $78=__ZNK2JS5Value17isNullOrUndefinedEv($prop); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($78) { __label__ = 24; break; } else { __label__ = 17; break; } //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $80=$2; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($80, $prop); //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $str=$81; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $82=$str; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $83=(($82)|0)!=0; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($83) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      $1=0; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      var $86=$str; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $87=__ZNK8JSString6lengthEv($86); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $length=$87; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $88=$str; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $89=$2; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $90=__ZN8JSString8getCharsEP9JSContext($88, $89); //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $chars=$90; //@line 3164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $91=$chars; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $92=(($91)|0)!=0; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($92) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      $1=0; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 21: 
      var $95=$2; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $96=$chars; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $97=$length; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $98=__ZN2js13DeflateStringEP9JSContextPKtj($95, $96, $97); //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $filename=$98; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $99=$filename; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $100=(($99)|0)!=0; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($100) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      $1=0; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $103=$filename; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js22AutoReleaseNullablePtr5resetEPv($filenamep, $103); //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 24; break; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      var $105=$2; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $106=$config; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $107=$2; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $108=(($107+52)|0); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $110=(($109+209948)|0); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $111=(($110+424)|0); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $113=$112; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $114=__ZL12ATOM_TO_JSIDP6JSAtom3421($113); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL10Int32ValueEi3422($8, 1); //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $115=__ZN2js18GetPropertyDefaultEP9JSContextP8JSObjectiRKN2JS5ValueEPS5_($105, $106, $114, $8, $prop); //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $116=(($115)|0)!=0; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($116) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 25: 
      var $118=$2; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $119=__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj($118, $prop, $lineno); //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($119) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 26: 
      $1=0; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 27: 
      __label__ = 28; break; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 28: 
      var $123=$2; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $124=$config; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $125=$2; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $126=(($125+52)|0); //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $128=(($127+209948)|0); //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $129=(($128+436)|0); //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $131=$130; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $132=__ZL12ATOM_TO_JSIDP6JSAtom3421($131); //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL9NullValueEv3400($9); //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $133=__ZN2js18GetPropertyDefaultEP9JSContextP8JSObjectiRKN2JS5ValueEPS5_($123, $124, $132, $9, $prop); //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $134=(($133)|0)!=0; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($134) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 29: 
      $1=0; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 30: 
      var $137=__ZNK2JS5Value17isNullOrUndefinedEv($prop); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($137) { __label__ = 34; break; } else { __label__ = 31; break; } //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 31: 
      var $139=__ZNK2JS5Value8isObjectEv($prop); //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($139) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 32: 
      var $141=$2; //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $142=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($141, 0, 222, 1, $prop, 0, ((STRING_TABLE.__str2433396)|0), 0); //@line 3190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 33: 
      var $144=__ZNK2JS5Value8toObjectEv($prop); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $builder=$144; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 34; break; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 34: 
      __label__ = 35; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 35: 
      var $147=$2; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $148=$loc; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $149=(($148) & 1); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $150=$filename; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $151=HEAP32[(($lineno)>>2)]; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2js13ASTSerializerC1EP9JSContextbPKcj($serialize, $147, $149, $150, $151); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $152=$builder; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $153=__ZN2js13ASTSerializer4initEP8JSObject($serialize, $152); //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($153) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 36: 
      $1=0; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 37: 
      var $156=$src; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $157=__ZNK8JSString6lengthEv($156); //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $length1=$157; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $158=$src; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $159=$2; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $160=__ZN8JSString8getCharsEP9JSContext($158, $159); //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $chars2=$160; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $161=$chars2; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $162=(($161)|0)!=0; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($162) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 38: 
      $1=0; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 47; break; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 39: 
      var $165=$2; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      FUNCTION_TABLE[__ZN2js6ParserC1EP9JSContextP12JSPrincipalsPNS_10StackFrameEb]($parser, $165, 0, 0, 0); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $166=$chars2; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $167=$length1; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $168=$filename; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $169=HEAP32[(($lineno)>>2)]; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $170=$2; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $171=__ZNK9JSContext11findVersionEv($170); //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $172=__ZN2js6Parser4initEPKtjPKcj9JSVersion($parser, $166, $167, $168, $169, $171); //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($172) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 40: 
      $1=0; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 46; break; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 41: 
      var $175=__ZN2js6Parser5parseEP8JSObject($parser, 0); //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $pn=$175; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $176=$pn; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $177=(($176)|0)!=0; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($177) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 42: 
      $1=0; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 46; break; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 43: 
      var $180=$pn; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $181=__ZN2js13ASTSerializer7programEP11JSParseNodePN2JS5ValueE($serialize, $180, $val); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($181) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 44: 
      var $183=$4; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $184=$183; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($184)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($184+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 46; break; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 45: 
      var $186=$4; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $187=$186; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $188=$val; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($187)>>2)]=HEAP32[(($188)>>2)];HEAP32[(($187+4)>>2)]=HEAP32[(($188+4)>>2)]; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=1; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $5=1;
      __label__ = 46; break; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 46: 
      FUNCTION_TABLE[__ZN2js6ParserD1Ev]($parser); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 47; break;
    case 47: 
      __ZN2js22AutoReleaseNullablePtrD1Ev($filenamep); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 48; break;
    case 48: 
      var $192=$1; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $192; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13reflect_parseP9JSContextjPN2JS5ValueE["X"]=1;

function _JS_InitReflect($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $Reflect;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $6=$3; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3397($5, __ZN2js11ObjectClassE, 0, $6); //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $Reflect=$7; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=$Reflect; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $9=(($8)|0)!=0; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $11=$Reflect; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=$2; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN8JSObject16setSingletonTypeEP9JSContext($11, $12); //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $1=0; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      var $16=$2; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $17=$3; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $18=$Reflect; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      _OBJECT_TO_JSVAL3405($4, $18); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $19=_JS_DefineProperty($16, $17, ((STRING_TABLE.__str2393392)|0), $4, 8, 10, 0); //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19)|0)!=0; //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      $1=0; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 6: 
      var $23=$2; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $24=$Reflect; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=_JS_DefineFunctions($23, $24, ((__ZL14static_methods3391)|0)); //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $26=(($25)|0)!=0; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      $1=0; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $29=$Reflect; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=$29; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 9; break; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $31=$1; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _OBJECT_TO_JSVAL3405($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL3420($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout3419($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free3406($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc3407($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3409($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3410($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3411($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3412($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3413($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3409["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3410($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE3418($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3413($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3413["X"]=1;

function _js_calloc3414($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3415($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3417($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj3426($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _DOUBLE_TO_JSVAL_IMPL3432($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE3418($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _OBJECT_TO_JSVAL_IMPL3420($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN2js11NodeBuilderC2EP9JSContextbPKc($this, $c, $l, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$c;
  var $5=(($l)&1);
  $3=$5;
  $4=$s;
  var $6=$1;
  var $7=(($6)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=(($6+4)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $10=$3; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $11=(($10) & 1); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $12=(($11)&1); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  HEAP8[($9)]=$12; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $13=(($6+8)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $14=$4; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  HEAP32[(($13)>>2)]=$14; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $15=(($6+16)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $16=(($6+24)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $17=(($6+576)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function _JSVAL_TO_INT32_IMPL3423($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL3424($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL3425($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL3427($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL3428($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL3429($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function __ZN2js22AutoReleaseNullablePtrC2EP9JSContextPv($this, $cx, $ptr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$ptr;
      var $4=$1;
      var $5=(($4)|0); //@line 1933 "./jscntxt.h"
      var $6=$2; //@line 1933 "./jscntxt.h"
      HEAP32[(($5)>>2)]=$6; //@line 1933 "./jscntxt.h"
      var $7=(($4+4)|0); //@line 1933 "./jscntxt.h"
      var $8=$3; //@line 1933 "./jscntxt.h"
      HEAP32[(($7)>>2)]=$8; //@line 1933 "./jscntxt.h"
      __label__ = 2; break; //@line 1934 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1934 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1935 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BOOLEAN_TO_JSVAL_IMPL3430($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO3433($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _STRING_TO_JSVAL_IMPL3434($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL3436($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL3437($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL3438($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function __ZN2js6RegExp6increfEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3+8)|0); //@line 592 "./jsregexpinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 592 "./jsregexpinlines.h"
  var $6=(($5+1)|0); //@line 592 "./jsregexpinlines.h"
  HEAP32[(($4)>>2)]=$6; //@line 592 "./jsregexpinlines.h"
  ;
  return; //@line 593 "./jsregexpinlines.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout3419($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function __ZN2js22AutoReleaseNullablePtrC1EP9JSContextPv($this, $cx, $ptr) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$ptr;
  var $4=$1;
  var $5=$2; //@line 1935 "./jscntxt.h"
  var $6=$3; //@line 1935 "./jscntxt.h"
  __ZN2js22AutoReleaseNullablePtrC2EP9JSContextPv($4, $5, $6); //@line 1935 "./jscntxt.h"
  ;
  return; //@line 1935 "./jscntxt.h"
}


function __ZL12ATOM_TO_JSIDP6JSAtom3421($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj3426($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js22AutoReleaseNullablePtr5resetEPv($this, $ptr2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$ptr2;
      var $3=$1;
      var $4=(($3+4)|0); //@line 1937 "./jscntxt.h"
      var $5=HEAP32[(($4)>>2)]; //@line 1937 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1937 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1937 "./jscntxt.h"
    case 2: 
      var $8=(($3)|0); //@line 1938 "./jscntxt.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1938 "./jscntxt.h"
      var $10=(($3+4)|0); //@line 1938 "./jscntxt.h"
      var $11=HEAP32[(($10)>>2)]; //@line 1938 "./jscntxt.h"
      __ZN9JSContext5free_EPv($9, $11); //@line 1938 "./jscntxt.h"
      __label__ = 3; break; //@line 1938 "./jscntxt.h"
    case 3: 
      var $13=$2; //@line 1939 "./jscntxt.h"
      var $14=(($3+4)|0); //@line 1939 "./jscntxt.h"
      HEAP32[(($14)>>2)]=$13; //@line 1939 "./jscntxt.h"
      ;
      return; //@line 1940 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL10Int32ValueEi3422($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2js13ASTSerializerC1EP9JSContextbPKcj($this, $c, $l, $src, $ln) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$c;
  var $6=(($l)&1);
  $3=$6;
  $4=$src;
  $5=$ln;
  var $7=$1;
  var $8=$2; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=$3; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $10=(($9) & 1); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $11=$4; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $12=$5; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  __ZN2js13ASTSerializerC2EP9JSContextbPKcj($7, $8, $10, $11, $12); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js13ASTSerializer4initEP8JSObject($this, $userobj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$userobj;
  var $3=$1;
  var $4=(($3+8)|0); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $5=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $6=__ZN2js11NodeBuilder4initEP8JSObject($4, $5); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return $6; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js22AutoReleaseNullablePtrD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js22AutoReleaseNullablePtrD2Ev($2); //@line 1941 "./jscntxt.h"
  ;
  return; //@line 1941 "./jscntxt.h"
}


function __ZN2js22AutoReleaseNullablePtrD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 1941 "./jscntxt.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1941 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1941 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1941 "./jscntxt.h"
    case 2: 
      var $7=(($2)|0); //@line 1941 "./jscntxt.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1941 "./jscntxt.h"
      var $9=(($2+4)|0); //@line 1941 "./jscntxt.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1941 "./jscntxt.h"
      __ZN9JSContext5free_EPv($8, $10); //@line 1941 "./jscntxt.h"
      __label__ = 3; break; //@line 1941 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1941 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11NodeBuilder4initEP8JSObject($this, $userobj) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      var $funv=__stackBase__;
      var $name;
      var $atom;
      var $4=__stackBase__+8;
      $2=$this;
      $3=$userobj;
      var $5=$2;
      var $6=(($5+8)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $8=(($7)|0)!=0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 2: 
      var $10=(($5+8)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $12=(($5+16)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $13=__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE($5, $11, $12); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 3: 
      $1=0; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 25; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 4: 
      __label__ = 6; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 5: 
      var $17=(($5+16)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value7setNullEv($17); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 6; break;
    case 6: 
      var $19=$3; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $20=(($19)|0)!=0; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($20) { __label__ = 12; break; } else { __label__ = 7; break; } //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 7: 
      var $22=(($5+576)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value7setNullEv($22); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $i=0; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 8: 
      var $24=$i; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $25=(($24)>>>0) < 69; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($25) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 9: 
      var $27=$i; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $28=(($5+24)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $29=(($28+($27<<3))|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value7setNullEv($29); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 10; break; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 10: 
      var $31=$i; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $32=(($31+1)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $i=$32; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 8; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 11: 
      $1=1; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 25; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 12: 
      var $35=(($5+576)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $36=$3; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value9setObjectER8JSObject($35, $36); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $i1=0; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 13: 
      var $38=$i1; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $39=(($38)>>>0) < 69; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($39) { __label__ = 14; break; } else { __label__ = 24; break; } //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 14: 
      var $41=$i1; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $42=((__ZN2js13callbackNamesE+($41<<2))|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $name=$43; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $44=(($5)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $46=$name; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $47=$name; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $48=_strlen($47); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $49=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($45, $46, $48, 0, 0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $atom=$49; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $50=$atom; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $51=(($50)|0)!=0; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 15: 
      var $53=(($5)|0); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $55=$3; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $56=$atom; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $57=__ZL12ATOM_TO_JSIDP6JSAtom3421($56); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JSL9NullValueEv3400($4); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $58=__ZN2js18GetPropertyDefaultEP9JSContextP8JSObjectiRKN2JS5ValueEPS5_($54, $55, $57, $4, $funv); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $59=(($58)|0)!=0; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($59) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 16: 
      $1=0; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 25; break; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 17: 
      var $62=__ZNK2JS5Value17isNullOrUndefinedEv($funv); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 18: 
      var $64=$i1; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $65=(($5+24)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $66=(($65+($64<<3))|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __ZN2JS5Value7setNullEv($66); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 23; break; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 19: 
      var $68=__ZNK2JS5Value8isObjectEv($funv); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($68) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 20: 
      var $70=__ZNK2JS5Value8toObjectEv($funv); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $71=__ZNK8JSObject10isFunctionEv($70); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      if ($71) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 21: 
      var $73=(($5)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $75=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($74, 0, 22, 1, $funv, 0, 0, 0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $1=0; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 25; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 22: 
      var $77=$i1; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $78=(($5+24)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $79=(($78+($77<<3))|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $80=$79; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $81=$funv; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($80)>>2)]=HEAP32[(($81)>>2)];HEAP32[(($80+4)>>2)]=HEAP32[(($81+4)>>2)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 23; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 23: 
      var $83=$i1; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      var $84=(($83+1)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      $i1=$84; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 13; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 24: 
      $1=1; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      __label__ = 25; break; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    case 25: 
      var $87=$1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
      STACKTOP = __stackBase__;
      return $87; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11NodeBuilder4initEP8JSObject["X"]=1;

function __ZN2js13ASTSerializerC2EP9JSContextbPKcj($this, $c, $l, $src, $ln) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$c;
  var $6=(($l)&1);
  $3=$6;
  $4=$src;
  $5=$ln;
  var $7=$1;
  var $8=(($7)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=$2; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  HEAP32[(($8)>>2)]=$9; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $10=(($7+8)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $11=$2; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $12=$3; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $13=(($12) & 1); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $14=$4; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  __ZN2js11NodeBuilderC1EP9JSContextbPKc($10, $11, $13, $14); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $15=(($7+592)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $16=$5; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  HEAP32[(($15)>>2)]=$16; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZN2js11NodeBuilderC1EP9JSContextbPKc($this, $c, $l, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$c;
  var $5=(($l)&1);
  $3=$5;
  $4=$s;
  var $6=$1;
  var $7=$2; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $8=$3; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $9=(($8) & 1); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $10=$4; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  __ZN2js11NodeBuilderC2EP9JSContextbPKc($6, $7, $9, $10); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function _JSDOUBLE_IS_INT323431($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO3433($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11StringValueEP8JSString3435($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2js11NodeBuilder9setResultEP8JSObjectPN2JS5ValueE($this, $obj, $dst) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$obj;
  $3=$dst;
  var $4=$1;
  var $5=$3; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  var $6=$2; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  __ZN2JS5Value9setObjectER8JSObject($5, $6); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
  ;
  return 1; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsreflect.cpp"
}


function __ZL13resc_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $res;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $4=__ZNK8JSObject10getPrivateEv($3); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $5=$4; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$5; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=$1; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  __ZN9JSContext7delete_IN2js13RegExpStaticsEEEvPT_($6, $7); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL10resc_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $pdata;
  var $res;
  $1=$trc;
  $2=$obj;
  var $3=$2; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $4=__ZNK8JSObject10getPrivateEv($3); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $pdata=$4; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $5=$pdata; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=$5; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  __ZNK2js13RegExpStatics4markEP8JSTracer($7, $8); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __Z20js_CloneRegExpObjectP9JSContextP8JSObjectS2_($cx, $obj, $proto) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $clone;
      var $res;
      var $re;
      var $origFlags;
      var $staticsFlags;
      var $clone1=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$proto;
      var $5=$2; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=$4; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=$4; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=__ZNK8JSObject9getParentEv($7); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_3476($5, __ZN2js11RegExpClassE, $6, $8); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $clone=$9; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=$clone; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=(($10)|0)!=0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 11; break; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $14=$2; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=$3; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=$clone; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_($14, $15, $16); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $17=$2; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $18=__ZN9JSContext13regExpStaticsEv($17); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $res=$18; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=$3; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=__ZN2js6RegExp11extractFromEP8JSObject($19); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $re=$20; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=$re; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=__ZNK2js6RegExp8getFlagsEv($21); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $origFlags=$23; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=$res; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=__ZNK2js13RegExpStatics8getFlagsEv($24); //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $staticsFlags=$25; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=$origFlags; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=$staticsFlags; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $28=$26 & $27; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $29=$staticsFlags; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=(($28)|0)!=(($29)|0); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $32=$2; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=$re; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $34=__ZNK2js6RegExp9getSourceEv($33); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $35=$34; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $36=$origFlags; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $37=$staticsFlags; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $38=$36 | $37; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE($clone1, $32, $35, $38, 0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $39=__ZNK2js15AlreadyIncRefedINS_6RegExpEEcvPPPPPS1_Ev($clone1); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $40=(($39)|0)!=0; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($40) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      $1=0; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 11; break; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $43=__ZNK2js15AlreadyIncRefedINS_6RegExpEE3getEv($clone1); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $re=$43; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 8; break; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $45=$re; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $46=$2; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6increfEP9JSContext($45, $46); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 8; break;
    case 8: 
      var $48=$clone; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $49=$2; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $50=$re; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $51=__ZN8JSObject10initRegExpEP9JSContextPN2js6RegExpE($48, $49, $50); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      $1=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 11; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      var $54=$clone; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$54; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 11; break; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      var $56=$1; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_CloneRegExpObjectP9JSContextP8JSObjectS2_["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_3476($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1309 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1309 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1309 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1309 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1309 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb3527($9, 0); //@line 1309 "./jsobjinlines.h"
  $kind=$10; //@line 1309 "./jsobjinlines.h"
  var $11=$1; //@line 1310 "./jsobjinlines.h"
  var $12=$2; //@line 1310 "./jsobjinlines.h"
  var $13=$3; //@line 1310 "./jsobjinlines.h"
  var $14=$4; //@line 1310 "./jsobjinlines.h"
  var $15=$kind; //@line 1310 "./jsobjinlines.h"
  var $16=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3529($11, $12, $13, $14, $15); //@line 1310 "./jsobjinlines.h"
  ;
  return $16; //@line 1310 "./jsobjinlines.h"
}


function __Z17js_ObjectIsRegExpP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $3=__ZNK8JSObject8isRegExpEv($2); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $4=(($3)&1); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $4; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZN2js6RegExp15reportPCREErrorEP9JSContexti($this, $cx, $error) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$error;
      var $4=$1;
      var $5=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ((($5)|0) == -2) {
        __label__ = 2; break;
      }
      else if ((($5)|0) == 0) {
        __label__ = 3; break;
      }
      else if ((($5)|0) == 1) {
        __label__ = 4; break;
      }
      else if ((($5)|0) == 2) {
        __label__ = 5; break;
      }
      else if ((($5)|0) == 3) {
        __label__ = 6; break;
      }
      else if ((($5)|0) == 4) {
        __label__ = 7; break;
      }
      else if ((($5)|0) == 5) {
        __label__ = 8; break;
      }
      else if ((($5)|0) == 6) {
        __label__ = 9; break;
      }
      else if ((($5)|0) == 7) {
        __label__ = 10; break;
      }
      else if ((($5)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($5)|0) == 9) {
        __label__ = 12; break;
      }
      else if ((($5)|0) == 10) {
        __label__ = 13; break;
      }
      else if ((($5)|0) == 11) {
        __label__ = 14; break;
      }
      else if ((($5)|0) == 12) {
        __label__ = 15; break;
      }
      else if ((($5)|0) == 13) {
        __label__ = 16; break;
      }
      else if ((($5)|0) == 14) {
        __label__ = 17; break;
      }
      else if ((($5)|0) == 15) {
        __label__ = 18; break;
      }
      else if ((($5)|0) == 16) {
        __label__ = 19; break;
      }
      else if ((($5)|0) == 17) {
        __label__ = 20; break;
      }
      else {
      __label__ = 21; break;
      }
      
    case 2: 
      var $7=$2; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=_JS_ReportErrorFlagsAndNumberUC($7, 0, 2, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      __label__ = 4; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $11=$2; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=_JS_ReportErrorFlagsAndNumberUC($11, 0, 2, 0, 56, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $14=$2; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=_JS_ReportErrorFlagsAndNumberUC($14, 0, 2, 0, 56, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $17=$2; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $18=_JS_ReportErrorFlagsAndNumberUC($17, 0, 2, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $20=$2; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=_JS_ReportErrorFlagsAndNumberUC($20, 0, 2, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      var $23=$2; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=_JS_ReportErrorFlagsAndNumberUC($23, 0, 2, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $26=$2; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=_JS_ReportErrorFlagsAndNumberUC($26, 0, 2, 0, 57, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      var $29=$2; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=_JS_ReportErrorFlagsAndNumberUC($29, 0, 2, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      var $32=$2; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=_JS_ReportErrorFlagsAndNumberUC($32, 0, 2, 0, 57, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      var $35=$2; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $36=_JS_ReportErrorFlagsAndNumberUC($35, 0, 2, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      var $38=$2; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $39=_JS_ReportErrorFlagsAndNumberUC($38, 0, 2, 0, 62, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 14: 
      var $41=$2; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $42=_JS_ReportErrorFlagsAndNumberUC($41, 0, 2, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      var $44=$2; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $45=_JS_ReportErrorFlagsAndNumberUC($44, 0, 2, 0, 62, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 16: 
      var $47=$2; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $48=_JS_ReportErrorFlagsAndNumberUC($47, 0, 2, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 17: 
      var $50=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $51=_JS_ReportErrorFlagsAndNumberUC($50, 0, 2, 0, 54, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 18: 
      var $53=$2; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $54=_JS_ReportErrorFlagsAndNumberUC($53, 0, 2, 0, 149, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      var $56=$2; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $57=_JS_ReportErrorFlagsAndNumberUC($56, 0, 2, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      var $59=$2; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $60=_JS_ReportErrorFlagsAndNumberUC($59, 0, 2, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 21: 
      __label__ = 22; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 22: 
      ;
      return; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6RegExp15reportPCREErrorEP9JSContexti["X"]=1;

function __ZN2js6RegExp15reportYarrErrorEP9JSContextPNS_11TokenStreamEN3JSC4Yarr9ErrorCodeE($this, $cx, $ts, $error) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$this;
      $2=$cx;
      $3=$ts;
      $4=$error;
      var $5=$1;
      var $6=$4; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ((($6)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($6)|0) == 2) {
        __label__ = 7; break;
      }
      else if ((($6)|0) == 3) {
        __label__ = 11; break;
      }
      else if ((($6)|0) == 4) {
        __label__ = 15; break;
      }
      else if ((($6)|0) == 5) {
        __label__ = 19; break;
      }
      else if ((($6)|0) == 6) {
        __label__ = 23; break;
      }
      else if ((($6)|0) == 7) {
        __label__ = 27; break;
      }
      else if ((($6)|0) == 8) {
        __label__ = 31; break;
      }
      else if ((($6)|0) == 9) {
        __label__ = 35; break;
      }
      else if ((($6)|0) == 11) {
        __label__ = 39; break;
      }
      else if ((($6)|0) == 10) {
        __label__ = 43; break;
      }
      else {
      __label__ = 47; break;
      }
      
    case 2: 
      __label__ = 48; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $9=$3; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=(($9)|0)!=0; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $12=$2; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$3; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($12, $13, 0, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $16=$2; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $17=_JS_ReportErrorFlagsAndNumberUC($16, 0, 2, 0, 201, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 48; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $20=$3; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=(($20)|0)!=0; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($21) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      var $23=$2; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=$3; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($23, $24, 0, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 10; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $27=$2; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $28=_JS_ReportErrorFlagsAndNumberUC($27, 0, 2, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 48; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      var $31=$3; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $32=(($31)|0)!=0; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($32) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      var $34=$2; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $35=$3; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $36=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($34, $35, 0, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 14; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      var $38=$2; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $39=_JS_ReportErrorFlagsAndNumberUC($38, 0, 2, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 48; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      var $42=$3; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $43=(($42)|0)!=0; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($43) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 16: 
      var $45=$2; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $46=$3; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $47=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($45, $46, 0, 0, 54, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 18; break; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 17: 
      var $49=$2; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $50=_JS_ReportErrorFlagsAndNumberUC($49, 0, 2, 0, 54, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 18; break;
    case 18: 
      __label__ = 48; break; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      var $53=$3; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $54=(($53)|0)!=0; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($54) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      var $56=$2; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $57=$3; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $58=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($56, $57, 0, 0, 62, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 21: 
      var $60=$2; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $61=_JS_ReportErrorFlagsAndNumberUC($60, 0, 2, 0, 62, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 22; break;
    case 22: 
      __label__ = 48; break; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 23: 
      var $64=$3; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $65=(($64)|0)!=0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($65) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 24: 
      var $67=$2; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $68=$3; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $69=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($67, $68, 0, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 25: 
      var $71=$2; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $72=_JS_ReportErrorFlagsAndNumberUC($71, 0, 2, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break;
    case 26: 
      __label__ = 48; break; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 27: 
      var $75=$3; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $76=(($75)|0)!=0; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($76) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 28: 
      var $78=$2; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $79=$3; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $80=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($78, $79, 0, 0, 57, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 30; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 29: 
      var $82=$2; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $83=_JS_ReportErrorFlagsAndNumberUC($82, 0, 2, 0, 57, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 30; break;
    case 30: 
      __label__ = 48; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 31: 
      var $86=$3; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $87=(($86)|0)!=0; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($87) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 32: 
      var $89=$2; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $90=$3; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $91=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($89, $90, 0, 0, 57, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 34; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 33: 
      var $93=$2; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $94=_JS_ReportErrorFlagsAndNumberUC($93, 0, 2, 0, 57, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 34; break;
    case 34: 
      __label__ = 48; break; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 35: 
      var $97=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $98=(($97)|0)!=0; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($98) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 36: 
      var $100=$2; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $101=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $102=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($100, $101, 0, 0, 57, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 38; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 37: 
      var $104=$2; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $105=_JS_ReportErrorFlagsAndNumberUC($104, 0, 2, 0, 57, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 38; break;
    case 38: 
      __label__ = 48; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 39: 
      var $108=$3; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $109=(($108)|0)!=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($109) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 40: 
      var $111=$2; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $112=$3; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $113=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($111, $112, 0, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 42; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 41: 
      var $115=$2; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $116=_JS_ReportErrorFlagsAndNumberUC($115, 0, 2, 0, 46, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 42; break;
    case 42: 
      __label__ = 48; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 43: 
      var $119=$3; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $120=(($119)|0)!=0; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($120) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 44: 
      var $122=$2; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $123=$3; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $124=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($122, $123, 0, 0, 56, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 46; break; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 45: 
      var $126=$2; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $127=_JS_ReportErrorFlagsAndNumberUC($126, 0, 2, 0, 56, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 46; break;
    case 46: 
      __label__ = 48; break; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 47: 
      __label__ = 48; break; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 48: 
      ;
      return; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6RegExp15reportYarrErrorEP9JSContextPNS_11TokenStreamEN3JSC4Yarr9ErrorCodeE["X"]=1;

function __ZN2js6RegExp10parseFlagsEP9JSContextP8JSStringPj($cx, $flagStr, $flagsOut) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $n;
      var $s;
      var $i;
      var $charBuf=__stackBase__;
      $2=$cx;
      $3=$flagStr;
      $4=$flagsOut;
      var $5=$3; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=__ZNK8JSString6lengthEv($5); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $n=$6; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=$3; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=__ZN8JSString8getCharsEP9JSContext($7, $8); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $s=$9; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=$s; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=(($10)|0)!=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 31; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $14=$4; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($14)>>2)]=0; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $i=0; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $16=$i; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $17=$n; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $18=(($16)>>>0) < (($17)>>>0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 30; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $20=$i; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=$s; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=(($21+($20<<1))|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=HEAPU16[(($22)>>1)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=(($23)&65535); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ((($24)|0) == 105) {
        __label__ = 6; break;
      }
      else if ((($24)|0) == 103) {
        __label__ = 11; break;
      }
      else if ((($24)|0) == 109) {
        __label__ = 16; break;
      }
      else if ((($24)|0) == 121) {
        __label__ = 21; break;
      }
      else {
      __label__ = 26; break;
      }
      
    case 6: 
      __label__ = 7; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $27=$4; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $29=$28 & 1; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=(($29)|0)!=0; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      __label__ = 27; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $33=$4; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $35=$34 | 1; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($33)>>2)]=$35; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 10; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      __label__ = 28; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      __label__ = 12; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      var $39=$4; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $41=$40 & 2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $42=(($41)|0)!=0; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      __label__ = 27; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 14: 
      var $45=$4; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $47=$46 | 2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($45)>>2)]=$47; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 15; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      __label__ = 28; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 16: 
      __label__ = 17; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 17: 
      var $51=$4; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $53=$52 & 4; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $54=(($53)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($54) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 18: 
      __label__ = 27; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      var $57=$4; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $59=$58 | 4; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      __label__ = 28; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 21: 
      __label__ = 22; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 22: 
      var $63=$4; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $65=$64 & 8; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $66=(($65)|0)!=0; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($66) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 23: 
      __label__ = 27; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 24: 
      var $69=$4; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $71=$70 | 8; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($69)>>2)]=$71; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 25; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 25: 
      __label__ = 28; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 26: 
      __label__ = 27; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 27: 
      var $75=$i; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $76=$s; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $77=(($76+($75<<1))|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $78=HEAP16[(($77)>>1)]; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $79=(($78) & 255); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $80=(($charBuf)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP8[($80)]=$79; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $81=(($charBuf+1)|0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP8[($81)]=0; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $82=$2; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $83=(($charBuf)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $84=_JS_ReportErrorFlagsAndNumber($82, 0, 2, 0, 58, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$83,tempInt)); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 31; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 28: 
      __label__ = 29; break; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 29: 
      var $87=$i; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $88=(($87+1)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $i=$88; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 30: 
      $1=1; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 31; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 31: 
      var $91=$1; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $91; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6RegExp10parseFlagsEP9JSContextP8JSStringPj["X"]=1;

function __ZN2js6RegExp13createFlaggedEP9JSContextP8JSStringS4_PNS_11TokenStreamE($agg_result, $cx, $str, $opt, $ts) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $flags=__stackBase__;
      $1=$cx;
      $2=$str;
      $3=$opt;
      $4=$ts;
      var $5=$3; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=(($5)|0)!=0; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      var $8=$1; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=$2; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=$4; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE($agg_result, $8, $9, 0, $10); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      HEAP32[(($flags)>>2)]=0; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=$1; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$3; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=__ZN2js6RegExp10parseFlagsEP9JSContextP8JSStringPj($12, $13, $flags); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      __ZN2js15AlreadyIncRefedINS_6RegExpEEC1EPS1_($agg_result, 0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $17=$1; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $18=$2; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=HEAP32[(($flags)>>2)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$4; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE($agg_result, $17, $18, $19, $20); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject24assignInitialRegExpShapeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=$3; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=(($6+52)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=(($8+209948)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=(($9+304)|0); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=$11; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=__ZL12ATOM_TO_JSIDP6JSAtom3481($12); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=__ZN8JSObject15addDataPropertyEP9JSContextijj($4, $5, $13, 0, 4); //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=(($14)|0)!=0; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 9; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $18=$3; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=$3; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=(($19+52)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=(($21+209948)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=(($22+352)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=$24; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=__ZL12ATOM_TO_JSIDP6JSAtom3481($25); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=__ZN8JSObject15addDataPropertyEP9JSContextijj($4, $18, $26, 1, 6); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $28=(($27)|0)!=0; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $30=$3; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $31=$3; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $32=(($31+52)|0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $34=(($33+209948)|0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $35=(($34+276)|0); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $37=$36; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $38=__ZL12ATOM_TO_JSIDP6JSAtom3481($37); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $39=__ZN8JSObject15addDataPropertyEP9JSContextijj($4, $30, $38, 2, 6); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $40=(($39)|0)!=0; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($40) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $42=$3; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $43=$3; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $44=(($43+52)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $46=(($45+209948)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $47=(($46+280)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $49=$48; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $50=__ZL12ATOM_TO_JSIDP6JSAtom3481($49); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $51=__ZN8JSObject15addDataPropertyEP9JSContextijj($4, $42, $50, 3, 6); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $52=(($51)|0)!=0; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($52) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $54=$3; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $55=$3; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $56=(($55+52)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $58=(($57+209948)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $59=(($58+320)|0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $61=$60; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $62=__ZL12ATOM_TO_JSIDP6JSAtom3481($61); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $63=__ZN8JSObject15addDataPropertyEP9JSContextijj($4, $54, $62, 4, 6); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $64=(($63)|0)!=0; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($64) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      $1=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 9; break; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      var $67=$3; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $68=$3; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $69=(($68+52)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $71=(($70+209948)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $72=(($71+360)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $74=$73; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $75=__ZL12ATOM_TO_JSIDP6JSAtom3481($74); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $76=__ZN8JSObject15addDataPropertyEP9JSContextijj($4, $67, $75, 5, 6); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$76; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 9; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $78=$1; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      ;
      return $78; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject24assignInitialRegExpShapeEP9JSContext["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom3481($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj3545($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZL19static_input_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics18createPendingInputEP9JSContextPN2JS5ValueE($7, $8, $9); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL19static_input_setterP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $res;
      var $7=__stackBase__;
      var $8=__stackBase__+8;
      var $9=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $10=$2; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=__ZN9JSContext13regExpStaticsEv($10); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $res=$11; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=$6; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$7; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=$12; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=_JSVAL_IS_STRING3541($7); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=(($15)|0)!=0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      var $18=$2; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=$6; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$8; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=$19; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=$6; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=_JS_ConvertValue($18, $8, 3, $22); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=(($23)|0)!=0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      $1=0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 5; break; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $27=$res; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $28=$6; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $29=$9; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=$28; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $31=_JSVAL_TO_STRING3542($9); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js13RegExpStatics15setPendingInputEP8JSString($27, $31); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=1; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 5; break; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $33=$1; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23static_multiline_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  var $5=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $6=$1; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=__ZN9JSContext13regExpStaticsEv($6); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$7; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$4; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$res; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics9multilineEv($9); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  _BOOLEAN_TO_JSVAL3539($5, $11); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $12=$8; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $13=$5; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  STACKTOP = __stackBase__;
  return 1; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL23static_multiline_setterP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $res;
      var $7=__stackBase__;
      var $8=__stackBase__+8;
      var $9=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $10=$2; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=__ZN9JSContext13regExpStaticsEv($10); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $res=$11; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=$6; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$7; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=$12; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=_JSVAL_IS_BOOLEAN($7); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=(($15)|0)!=0; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      var $18=$2; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=$6; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$8; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=$19; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=$6; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=_JS_ConvertValue($18, $8, 5, $22); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=(($23)|0)!=0; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      $1=0; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 5; break; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $27=$res; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $28=$6; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $29=$9; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=$28; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $31=_JSVAL_TO_BOOLEAN($9); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $32=(($31)|0)!=0; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=$32 ^ 1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $34=$33 ^ 1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js13RegExpStatics12setMultilineEb($27, $34); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 5; break; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $36=$1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL23static_multiline_setterP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZL23static_lastMatch_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics15createLastMatchEP9JSContextPN2JS5ValueE($7, $8, $9); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL23static_lastParen_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics15createLastParenEP9JSContextPN2JS5ValueE($7, $8, $9); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL25static_leftContext_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics17createLeftContextEP9JSContextPN2JS5ValueE($7, $8, $9); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL26static_rightContext_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics18createRightContextEP9JSContextPN2JS5ValueE($7, $8, $9); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren1_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 1, $9); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren2_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 2, $9); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren3_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 3, $9); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren4_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 4, $9); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren5_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 5, $9); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren6_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 6, $9); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren7_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 7, $9); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren8_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 8, $9); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL20static_paren9_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $res;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=__ZN9JSContext13regExpStaticsEv($5); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  $res=$6; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=$res; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $8=$1; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $9=$4; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $10=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($7, $8, 9, $9); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $11=(($10)&1); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $11; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3482($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb3527($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE3528($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZL15regexp_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $re;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $4=__ZN2js6RegExp11extractFromEP8JSObject($3); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $re=$4; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $5=$re; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=(($5)|0)!=0; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      __label__ = 4; break; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $9=$re; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=$1; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6decrefEP9JSContext($9, $10); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      ;
      return; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_regexp_toStringP9JSContextP8JSObjectPN2JS5ValueE($cx, $obj, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $re;
      var $5=__stackBase__;
      var $src;
      var $sb=__stackBase__+8;
      var $len;
      var $6;
      var $str;
      var $7=__stackBase__+88;
      $2=$cx;
      $3=$obj;
      $4=$vp;
      var $8=$3; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=__ZNK8JSObject8isRegExpEv($8); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      var $11=$2; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=$4; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($11, $12, __ZN2js11RegExpClassE); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 28; break; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $14=$3; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=__ZN2js6RegExp11extractFromEP8JSObject($14); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $re=$15; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=$re; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $17=(($16)|0)!=0; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $19=$4; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$2; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=(($20+52)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=(($22+144136)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=$24; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JSL11StringValueEP8JSString3485($5, $25); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=$19; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=$5; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=1; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 28; break; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $29=$re; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=__ZNK2js6RegExp9getSourceEv($29); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $src=$30; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $31=$2; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $31); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $32=$src; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=$32; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $34=__ZNK8JSString6lengthEv($33); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $len=$34; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $35=$len; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $36=(($35)|0)!=0; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $38=$len; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $39=(($38+2)|0); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $40=__ZN2js12StringBuffer7reserveEj($sb, $39); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      $1=0; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=1;
      __label__ = 27; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      __ZN2js12StringBuffer16infallibleAppendEt($sb, 47); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $43=$src; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $44=__ZNK14JSLinearString5charsEv($43); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $45=$len; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js12StringBuffer16infallibleAppendEPKtj($sb, $44, $45); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js12StringBuffer16infallibleAppendEt($sb, 47); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 12; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $47=__ZN2js12StringBuffer6appendILj7EEEbRAT__Kc($sb, STRING_TABLE.__str223465); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      $1=0; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=1;
      __label__ = 27; break; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $51=$re; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $52=__ZNK2js6RegExp6globalEv($51); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      var $54=__ZN2js12StringBuffer6appendEt($sb, 103); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($54) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 14: 
      $1=0; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=1;
      __label__ = 27; break; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      var $57=$re; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $58=__ZNK2js6RegExp10ignoreCaseEv($57); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($58) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 16: 
      var $60=__ZN2js12StringBuffer6appendEt($sb, 105); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($60) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 17: 
      $1=0; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=1;
      __label__ = 27; break; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 18: 
      var $63=$re; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $64=__ZNK2js6RegExp9multilineEv($63); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($64) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      var $66=__ZN2js12StringBuffer6appendEt($sb, 109); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($66) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      $1=0; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=1;
      __label__ = 27; break; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 21: 
      var $69=$re; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $70=__ZNK2js6RegExp6stickyEv($69); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($70) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 22: 
      var $72=__ZN2js12StringBuffer6appendEt($sb, 121); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($72) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 23: 
      $1=0; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=1;
      __label__ = 27; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 24: 
      var $75=__ZN2js12StringBuffer12finishStringEv($sb); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $76=$75; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $str=$76; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $77=$str; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $78=(($77)|0)!=0; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($78) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 25: 
      $1=0; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=1;
      __label__ = 27; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 26: 
      var $81=$4; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $82=$str; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $83=$82; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JSL11StringValueEP8JSString3485($7, $83); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $84=$81; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $85=$7; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($84)>>2)]=HEAP32[(($85)>>2)];HEAP32[(($84+4)>>2)]=HEAP32[(($85+4)>>2)]; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=1; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=1;
      __label__ = 27; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 27: 
      __ZN2js12StringBufferD1Ev($sb); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 28; break;
    case 28: 
      var $88=$1; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $88; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_regexp_toStringP9JSContextP8JSObjectPN2JS5ValueE["X"]=1;

function __ZN2JSL11StringValueEP8JSString3485($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2js12StringBuffer16infallibleAppendEt($this, $c) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  HEAP16[(($2)>>1)]=$c;
  var $3=$1;
  var $4=(($3)|0); //@line 106 "./jsstrinlines.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendERKt($4, $2); //@line 106 "./jsstrinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 107 "./jsstrinlines.h"
}


function __ZN2js12StringBuffer6appendILj7EEEbRAT__Kc($this, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$array;
  var $3=$1;
  var $4=(($3)|0); //@line 141 "./jsstrinlines.h"
  var $5=$2; //@line 141 "./jsstrinlines.h"
  var $6=(($5)|0); //@line 141 "./jsstrinlines.h"
  var $7=$2; //@line 141 "./jsstrinlines.h"
  var $8=(($7)|0); //@line 141 "./jsstrinlines.h"
  var $9=(($8+7)|0); //@line 141 "./jsstrinlines.h"
  var $10=(($9-1)|0); //@line 141 "./jsstrinlines.h"
  var $11=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbPKT_S6_($4, $6, $10); //@line 141 "./jsstrinlines.h"
  ;
  return $11; //@line 141 "./jsstrinlines.h"
}


function __Z14js_regexp_execP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $5=$2; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $6=$3; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  var $7=__ZL13ExecuteRegExpP9JSContext8ExecTypejPN2JS5ValueE($4, 0, $5, $6); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
  ;
  return $7; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
}


function __ZL13ExecuteRegExpP9JSContext8ExecTypejPN2JS5ValueE($cx, $execType, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $re;
      var $arc=__stackBase__;
      var $6=__stackBase__+8;
      var $res;
      var $input;
      var $7=__stackBase__+12;
      var $8;
      var $length;
      var $lastIndex;
      var $i=__stackBase__+20;
      var $9=__stackBase__+28;
      var $lastIndexInt=__stackBase__+36;
      $2=$cx;
      $3=$execType;
      $4=$argc;
      $5=$vp;
      var $10=$2; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=$5; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=(($11+8)|0); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($10, $12); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $obj=$13; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=$obj; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=(($14)|0)!=0; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 31; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $18=$obj; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=__ZNK8JSObject8isRegExpEv($18); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $21=$2; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=$5; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($21, $22, __ZN2js11RegExpClassE); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 31; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $24=$obj; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=__ZN2js6RegExp11extractFromEP8JSObject($24); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $re=$25; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=$re; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=(($26)|0)!=0; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      $1=1; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 31; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $30=$2; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $31=$re; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js11NeedsIncRefINS_6RegExpEEC1EPS1_($6, $31); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js12AutoRefCountINS_6RegExpEEC1EP9JSContextNS_11NeedsIncRefIS1_EE($arc, $30, $6); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $32=$2; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=__ZN9JSContext13regExpStaticsEv($32); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $res=$33; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $34=$2; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $35=$4; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $36=(($35)>>>0) > 0; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      var $38=$5; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $39=(($38+16)|0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $40=$7; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $41=$39; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 10; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      __ZN2JSL14UndefinedValueEv3491($7); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 10; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      var $44=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($34, $7); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $input=$44; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $45=$input; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $46=(($45)|0)!=0; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      $1=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $8=1;
      __label__ = 30; break; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      var $49=$input; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $50=__ZNK8JSString6lengthEv($49); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $length=$50; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $51=$obj; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $52=__ZNK8JSObject18getRegExpLastIndexEv($51); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $lastIndex=$52; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $53=$2; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $54=$lastIndex; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $55=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3509($53, $54, $i); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($55) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      $1=0; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $8=1;
      __label__ = 30; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 14: 
      var $58=$re; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $59=__ZNK2js6RegExp6globalEv($58); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($59) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      var $61=$re; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $62=__ZNK2js6RegExp6stickyEv($61); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($62) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 16: 
      (tempDoubleF64[0]=0,HEAP32[(($i)>>2)]=tempDoubleI32[0],HEAP32[(($i+4)>>2)]=tempDoubleI32[1]); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 17; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 17: 
      var $65=(tempDoubleI32[0]=HEAP32[(($i)>>2)],tempDoubleI32[1]=HEAP32[(($i+4)>>2)],tempDoubleF64[0]); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $66=$65 < 0; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($66) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 18: 
      var $68=(tempDoubleI32[0]=HEAP32[(($i)>>2)],tempDoubleI32[1]=HEAP32[(($i+4)>>2)],tempDoubleF64[0]); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $69=$length; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $70=(($69)>>>0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $71=$68 > $70; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($71) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      var $73=$obj; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN8JSObject19zeroRegExpLastIndexEv($73); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $74=$5; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JSL9NullValueEv3510($9); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $75=$74; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $76=$9; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($75)>>2)]=HEAP32[(($76)>>2)];HEAP32[(($75+4)>>2)]=HEAP32[(($76+4)>>2)]; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=1; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $8=1;
      __label__ = 30; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      var $78=(tempDoubleI32[0]=HEAP32[(($i)>>2)],tempDoubleI32[1]=HEAP32[(($i+4)>>2)],tempDoubleF64[0]); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $79=($78 >= 0 ? Math.floor($78) : Math.ceil($78)); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($lastIndexInt)>>2)]=$79; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $80=$re; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $81=$2; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $82=$res; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $83=$input; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $84=$3; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $85=(($84)|0)==1; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $86=$5; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $87=__ZN2js6RegExp7executeEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($80, $81, $82, $83, $lastIndexInt, $85, $86); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 21: 
      $1=0; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $8=1;
      __label__ = 30; break; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 22: 
      var $90=$re; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $91=__ZNK2js6RegExp6globalEv($90); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($91) { __label__ = 25; break; } else { __label__ = 23; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 23: 
      var $93=$5; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $94=__ZNK2JS5Value6isNullEv($93); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($94) { __label__ = 29; break; } else { __label__ = 24; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 24: 
      var $96=$re; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $97=__ZNK2js6RegExp6stickyEv($96); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($97) { __label__ = 25; break; } else { __label__ = 29; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 25: 
      var $99=$5; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $100=__ZNK2JS5Value6isNullEv($99); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($100) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 26: 
      var $102=$obj; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN8JSObject19zeroRegExpLastIndexEv($102); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 28; break; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 27: 
      var $104=$obj; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $105=HEAPU32[(($lastIndexInt)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $106=(($105)>>>0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN8JSObject18setRegExpLastIndexEd($104, $106); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 28; break;
    case 28: 
      __label__ = 29; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 29: 
      $1=1; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $8=1;
      __label__ = 30; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 30: 
      __ZN2js12AutoRefCountINS_6RegExpEED1Ev($arc); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 31; break;
    case 31: 
      var $111=$1; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $111; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13ExecuteRegExpP9JSContext8ExecTypejPN2JS5ValueE["X"]=1;

function __Z14js_regexp_testP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=$3; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=$4; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=__ZL13ExecuteRegExpP9JSContext8ExecTypejPN2JS5ValueE($5, 1, $6, $7); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=(($8)|0)!=0; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $12=$4; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=__ZNK2JS5Value6isTrueEv($12); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $15=$4; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JS5Value10setBooleanEb($15, 0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 5; break; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      $1=1; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $18=$1; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      ;
      return $18; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_XDRRegExpObjectP10JSXDRStatePP8JSObject($xdr, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $source=__stackBase__;
      var $flagsword=__stackBase__+4;
      var $re;
      var $obj;
      var $anchor=__stackBase__+8;
      var $re1=__stackBase__+12;
      var $4;
      $2=$xdr;
      $3=$objp;
      HEAP32[(($source)>>2)]=0; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($flagsword)>>2)]=0; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $5=$2; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=(($5)|0); //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=(($7)|0)==0; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      var $10=$3; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=__ZN2js6RegExp11extractFromEP8JSObject($11); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $re=$12; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$re; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=(($13)|0)!=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      $1=0; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 19; break; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $17=$re; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $18=__ZNK2js6RegExp9getSourceEv($17); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=$18; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($source)>>2)]=$19; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$re; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=__ZNK2js6RegExp8getFlagsEv($20); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($flagsword)>>2)]=$22; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 5; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $24=$2; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=_JS_XDRString($24, $source); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=(($25)|0)!=0; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $28=$2; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $29=_JS_XDRUint32($28, $flagsword); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=(($29)|0)!=0; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      $1=0; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 19; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      var $33=$2; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $34=(($33)|0); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $36=(($35)|0)==1; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 18; break; } //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $38=$2; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $39=(($38+8)|0); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $41=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3482($40, __ZN2js11RegExpClassE); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $obj=$41; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $42=$obj; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $43=(($42)|0)!=0; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      $1=0; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 19; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      var $46=$obj; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN8JSObject11clearParentEv($46); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $47=$obj; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN8JSObject9clearTypeEv($47); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $48=HEAP32[(($source)>>2)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $48); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $49=$2; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $50=(($49+8)|0); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $52=HEAP32[(($source)>>2)]; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $53=HEAP32[(($flagsword)>>2)]; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE($re1, $51, $52, $53, 0); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $54=__ZNK2js15AlreadyIncRefedINS_6RegExpEEcvPPPPPS1_Ev($re1); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $55=(($54)|0)!=0; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      $1=0; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $4=1;
      __label__ = 16; break; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      var $58=$obj; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $59=$2; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $60=(($59+8)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $62=__ZNK2js15AlreadyIncRefedINS_6RegExpEE3getEv($re1); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $63=__ZN8JSObject10initRegExpEP9JSContextPN2js6RegExpE($58, $61, $62); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 14: 
      $1=0; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $4=1;
      __label__ = 16; break; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      var $66=$obj; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $67=$3; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      HEAP32[(($67)>>2)]=$66; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $4=0; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 16; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 16: 
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 17; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 19; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 17: 
      __label__ = 18; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 18: 
      $1=1; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 19; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      var $72=$1; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $72; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_XDRRegExpObjectP10JSXDRStatePP8JSObject["X"]=1;

function _JSID_IS_INT3496($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING3497($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING3498($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _BUILD_JSVAL3492($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL3499($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZL15regexp_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=$4; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=(($6+8)|0); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $obj=$8; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=$obj; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=(($9)|0)!=0; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $13=$2; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=$obj; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=$4; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=__Z18js_regexp_toStringP9JSContextP8JSObjectPN2JS5ValueE($13, $14, $15); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$16; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $18=$1; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      ;
      return $18; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14regexp_compileP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=$4; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=(($6+8)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $obj=$8; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=$obj; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=(($9)|0)!=0; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $13=$obj; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=__ZNK8JSObject8isRegExpEv($13); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $16=$2; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $17=$4; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($16, $17, __ZN2js11RegExpClassE); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=0; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $19=$2; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$obj; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=$3; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=$4; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=(($22+16)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=$4; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=__ZL20CompileRegExpAndSwapP9JSContextP8JSObjectjPN2JS5ValueES5_($19, $20, $21, $23, $24); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=(($25)&1); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$26; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 6; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $28=$1; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      ;
      return $28; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_InitRegExpClassP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $proto;
      var $re=__stackBase__;
      var $ctor;
      var $type;
      var $4=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+12;
      var $7=__stackBase__+16;
      var $8=__stackBase__+20;
      var $9=__stackBase__+24;
      $2=$cx;
      $3=$obj;
      var $10=$3; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=__ZN8JSObject8asGlobalEv($10); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $global=$11; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=$global; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$2; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($12, $13, __ZN2js11RegExpClassE); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $proto=$14; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=$proto; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=(($15)|0)!=0; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $19=$2; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$2; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=(($20+52)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=(($22+144136)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=$24; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE($re, $19, $25, 0, 0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=__ZNK2js15AlreadyIncRefedINS_6RegExpEEcvPPPPPS1_Ev($re); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=(($26)|0)!=0; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      $1=0; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $30=$proto; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $31=$2; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $32=__ZNK2js15AlreadyIncRefedINS_6RegExpEE3getEv($re); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=__ZN8JSObject10initRegExpEP9JSContextPN2js6RegExpE($30, $31, $32); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      $1=0; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $36=$2; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $37=$proto; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $38=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($36, $37, 0, ((__ZL14regexp_methods)|0)); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      $1=0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $41=$global; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $42=$2; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $43=$2; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $44=(($43+52)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $46=(($45+209948)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $47=(($46+72)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $48=(($47+40)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $50=$49; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $51=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($41, $42, 282, __ZN2js11RegExpClassE, $50, 2); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $ctor=$51; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $52=$ctor; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $53=(($52)|0)!=0; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      $1=0; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      var $56=$2; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $57=$ctor; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $58=$57; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $59=$proto; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $60=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($56, $58, $59); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      $1=0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      var $63=$2; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $64=$ctor; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $65=$64; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $66=_JS_DefineProperties($63, $65, ((__ZL19regexp_static_props)|0)); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $67=(($66)|0)!=0; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 14: 
      $1=0; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      var $70=$proto; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $71=$2; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $72=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($70, $71, 0, 0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $type=$72; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $73=$type; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $74=(($73)|0)!=0; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($74) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 16: 
      $1=0; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 17: 
      var $77=$2; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $78=$type; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types4Type10StringTypeEv($4); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($77, $78, ((STRING_TABLE.__str263469)|0), $4); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $79=$2; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $80=$type; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types4Type11BooleanTypeEv($5); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($79, $80, ((STRING_TABLE.__str273470)|0), $5); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $81=$2; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $82=$type; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types4Type11BooleanTypeEv($6); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($81, $82, ((STRING_TABLE.__str283471)|0), $6); //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $83=$2; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $84=$type; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types4Type11BooleanTypeEv($7); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($83, $84, ((STRING_TABLE.__str23443)|0), $7); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $85=$2; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $86=$type; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types4Type11BooleanTypeEv($8); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($85, $86, ((STRING_TABLE.__str293472)|0), $8); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $87=$2; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $88=$type; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types4Type9Int32TypeEv($9); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($87, $88, ((STRING_TABLE.__str303473)|0), $9); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $89=$2; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $90=$global; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $91=$ctor; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $92=$91; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $93=$proto; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $94=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($89, $90, 10, $92, $93); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($94) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 18: 
      $1=0; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      var $97=$proto; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$97; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 20; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      var $99=$1; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $99; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_InitRegExpClassP9JSContextP8JSObject["X"]=1;

function __ZL16regexp_constructP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=(($5+16)|0); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $argv=$6; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=$4; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=__ZN2jsL14IsConstructingEPKN2JS5ValueE3500($7); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($8) { __label__ = 9; break; } else { __label__ = 2; break; } //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      var $10=$3; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=(($10)>>>0) >= 1; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $13=$argv; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=(($13)|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=__ZNK2JS5Value8isObjectEv($14); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $17=$argv; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $18=(($17)|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=__ZNK2JS5Value8toObjectEv($18); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=__ZNK8JSObject8isRegExpEv($19); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $22=$3; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=(($22)|0)==1; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $25=$argv; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=(($25+8)|0); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=__ZNK2JS5Value11isUndefinedEv($26); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $29=$4; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=$argv; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $31=(($30)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $32=$29; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=$31; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=1; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 12; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      __label__ = 9; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $36=$2; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $37=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3482($36, __ZN2js11RegExpClassE); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $obj=$37; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $38=$obj; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $39=(($38)|0)!=0; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      $1=0; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 12; break; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      var $42=$2; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $43=$obj; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $44=$3; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $45=$argv; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $46=$4; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $47=__ZL20CompileRegExpAndSwapP9JSContextP8JSObjectjPN2JS5ValueES5_($42, $43, $44, $45, $46); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $48=(($47)&1); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$48; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 12; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      var $50=$1; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      ;
      return $50; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16regexp_constructP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($cx, $obj, $name, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $type; $type = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($type)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$name;
      var $5=$1; //@line 369 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 369 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 369 "./jsinferinlines.h"
    case 2: 
      var $8=$2; //@line 369 "./jsinferinlines.h"
      var $9=__ZN2js5types10TypeObject17unknownPropertiesEv($8); //@line 369 "./jsinferinlines.h"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 369 "./jsinferinlines.h"
    case 3: 
      var $11=$2; //@line 370 "./jsinferinlines.h"
      var $12=$1; //@line 370 "./jsinferinlines.h"
      var $13=$3; //@line 370 "./jsinferinlines.h"
      var $14=$4; //@line 370 "./jsinferinlines.h"
      var $15=$type; //@line 370 "./jsinferinlines.h"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)]; //@line 370 "./jsinferinlines.h"
      __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextPKcNS0_4TypeE($11, $12, $13, $4); //@line 370 "./jsinferinlines.h"
      __label__ = 4; break; //@line 370 "./jsinferinlines.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 371 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc3488($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc3489($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11ObjectValueER8JSObject3490($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv3491($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3493($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj3494($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3495($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3493["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj3494($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3495($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2jsL14IsConstructingEPKN2JS5ValueE3500($vp) {
  ;
  var __label__;

  var $1;
  $1=$vp;
  var $2=$1; //@line 372 "./jsfun.h"
  var $3=(($2+8)|0); //@line 372 "./jsfun.h"
  var $4=__ZNK2JS5Value7isMagicEv($3); //@line 372 "./jsfun.h"
  ;
  return $4; //@line 372 "./jsfun.h"
}


function __ZL20CompileRegExpAndSwapP9JSContextP8JSObjectjPN2JS5ValueES5_($cx, $obj, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $sourceValue=__stackBase__;
      var $sourceObj;
      var $re;
      var $7=__stackBase__+8;
      var $8=__stackBase__+12;
      var $sourceStr;
      var $flags=__stackBase__+20;
      var $flagStr;
      var $escapedSourceStr;
      $2=$cx;
      $3=$obj;
      $4=$argc;
      $5=$argv;
      $6=$rval;
      var $9=$4; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=(($9)|0)==0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      var $12=$2; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$3; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=$6; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=$2; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=(($15+52)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $18=(($17+144136)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$19; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=__ZL19SwapRegExpInternalsP9JSContextP8JSObjectPN2JS5ValueEP8JSStringj($12, $13, $14, $20, 0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$21; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $23=$5; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=(($23)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=$sourceValue; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=$24; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($sourceValue); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $29=__ZNK2JS5Value8toObjectEv($sourceValue); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $30=__ZNK8JSObject8isRegExpEv($29); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $32=__ZNK2JS5Value8toObjectEv($sourceValue); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $sourceObj=$32; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $33=$4; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $34=(($33)>>>0) >= 2; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $36=$5; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $37=(($36+8)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $38=__ZNK2JS5Value11isUndefinedEv($37); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $40=$2; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      _JS_ReportErrorNumber($40, 2, 0, 165, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      var $42=$sourceObj; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $43=__ZN2js6RegExp11extractFromEP8JSObject($42); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $re=$43; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $44=$re; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $45=(($44)|0)!=0; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      $1=0; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      var $48=$re; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $49=$2; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6increfEP9JSContext($48, $49); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $50=$2; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $51=$3; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $52=$re; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js15AlreadyIncRefedINS_6RegExpEEC1EPS1_($7, $52); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZL16SwapObjectRegExpP9JSContextP8JSObjectN2js15AlreadyIncRefedINS3_6RegExpEEE($50, $51, $7); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $53=$6; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $54=$3; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JSL11ObjectValueER8JSObject3490($8, $54); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $55=$53; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $56=$8; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=1; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      var $58=__ZNK2JS5Value11isUndefinedEv($sourceValue); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      var $60=$2; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $61=(($60+52)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $63=(($62+144136)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $65=$64; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $sourceStr=$65; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 16; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      var $67=$2; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $68=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($67, $sourceValue); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $sourceStr=$68; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $69=$sourceStr; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $70=(($69)|0)!=0; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 14: 
      $1=0; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      HEAP32[(($flags)>>2)]=0; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $74=$4; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $75=(($74)>>>0) > 1; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 23; break; } //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 17: 
      var $77=$5; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $78=(($77+8)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $79=__ZNK2JS5Value11isUndefinedEv($78); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($79) { __label__ = 23; break; } else { __label__ = 18; break; } //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 18: 
      var $81=$2; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $82=$5; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $83=(($82+8)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $84=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($81, $83); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $flagStr=$84; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $85=$flagStr; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $86=(($85)|0)!=0; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($86) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      $1=0; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      var $89=$5; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $90=(($89+8)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $91=$flagStr; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JS5Value9setStringEP8JSString($90, $91); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $92=$2; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $93=$flagStr; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $94=__ZN2js6RegExp10parseFlagsEP9JSContextP8JSStringPj($92, $93, $flags); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($94) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 21: 
      $1=0; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 22: 
      __label__ = 23; break; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 23: 
      var $98=$2; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $99=$sourceStr; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $100=__ZL25EscapeNakedForwardSlashesP9JSContextP8JSString($98, $99); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $escapedSourceStr=$100; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $101=$escapedSourceStr; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $102=(($101)|0)!=0; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($102) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 24: 
      $1=0; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 25: 
      var $105=$2; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $106=$3; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $107=$6; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $108=$escapedSourceStr; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $109=HEAP32[(($flags)>>2)]; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $110=__ZL19SwapRegExpInternalsP9JSContextP8JSObjectPN2JS5ValueEP8JSStringj($105, $106, $107, $108, $109); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$110; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 26: 
      var $112=$1; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $112; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20CompileRegExpAndSwapP9JSContextP8JSObjectjPN2JS5ValueES5_["X"]=1;

function __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 334 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "./jsvector.h"
  ;
  return $4; //@line 334 "./jsvector.h"
}


function __ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function __ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<1))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK7mozilla14AlignedStorageILj256EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 215 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 215 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 215 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 215 "./dist/include/mozilla/Util.h"
}


function __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP16[(($10)>>1)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP16[(($12)>>1)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+2)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+2)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla14AlignedStorageILj256EE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 216 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 216 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 216 "./dist/include/mozilla/Util.h"
  ;
  return $5; //@line 216 "./dist/include/mozilla/Util.h"
}


function __ZL19SwapRegExpInternalsP9JSContextP8JSObjectPN2JS5ValueEP8JSStringj($cx, $obj, $rval, $str, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $re=__stackBase__;
      var $7=__stackBase__+4;
      var $8=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$rval;
      $5=$str;
      $6=$flags;
      var $9=$2; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=__ZN9JSContext13regExpStaticsEv($9); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=__ZNK2js13RegExpStatics8getFlagsEv($10); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=$6; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$12 | $11; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $6=$13; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $14=$2; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $15=$5; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=$6; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE($re, $14, $15, $16, 0); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $17=__ZNK2js15AlreadyIncRefedINS_6RegExpEEcvPPPPPS1_Ev($re); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $18=(($17)|0)!=0; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $21=$2; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=$3; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=$7; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $24=$re; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)]; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZL16SwapObjectRegExpP9JSContextP8JSObjectN2js15AlreadyIncRefedINS3_6RegExpEEE($21, $22, $7); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $25=$4; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=$3; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JSL11ObjectValueER8JSObject3490($8, $26); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=$25; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $28=$8; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=1; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $30=$1; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16SwapObjectRegExpP9JSContextP8JSObjectN2js15AlreadyIncRefedINS3_6RegExpEEE($cx, $obj, $newRegExp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $newRegExp; $newRegExp = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($newRegExp)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $oldRegExp;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $4=__ZN2js6RegExp11extractFromEP8JSObject($3); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $oldRegExp=$4; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $5=$2; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $6=$1; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=__ZNK2js15AlreadyIncRefedINS_6RegExpEE3getEv($newRegExp); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=__ZN8JSObject10initRegExpEP9JSContextPN2js6RegExpE($5, $6, $7); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=$oldRegExp; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=(($9)|0)!=0; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      var $12=$oldRegExp; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $13=$1; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6RegExp6decrefEP9JSContext($12, $13); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 3; break; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL25EscapeNakedForwardSlashesP9JSContextP8JSString($cx, $unescaped) {
  var __stackBase__  = STACKTOP; STACKTOP += 280; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldLen;
      var $oldChars;
      var $anchor=__stackBase__;
      var $newChars=__stackBase__+4;
      var $4=__stackBase__+276;
      var $it;
      var $5;
      var $len;
      var $chars;
      var $escaped;
      $2=$cx;
      $3=$unescaped;
      var $6=$3; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $7=__ZNK8JSString6lengthEv($6); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $oldLen=$7; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $8=$3; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $9=$2; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $10=__ZN8JSString8getCharsEP9JSContext($8, $9); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $oldChars=$10; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $11=$oldChars; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $12=(($11)|0)!=0; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 2: 
      $1=0; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 28; break; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 3: 
      var $15=$3; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $15); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $16=$2; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($4, $16); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6VectorItLj128ENS_15TempAllocPolicyEEC1ES1_($newChars, $4); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $17=$oldChars; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $it=$17; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 4: 
      var $19=$it; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $20=$oldChars; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $21=$oldLen; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $22=(($20+($21<<1))|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $23=(($19)>>>0) < (($22)>>>0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 20; break; } //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 5: 
      var $25=$it; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $26=HEAPU16[(($25)>>1)]; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $27=(($26)&65535); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $28=(($27)|0)==47; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 15; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 6: 
      var $30=$it; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $31=$oldChars; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $32=(($30)|0)==(($31)|0); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 7: 
      var $34=$it; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $35=(($34-2)|0); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $36=HEAPU16[(($35)>>1)]; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $37=(($36)&65535); //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $38=(($37)|0)!=92; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 8: 
      var $40=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE6lengthEv($newChars); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $41=(($40)|0)!=0; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($41) { __label__ = 12; break; } else { __label__ = 9; break; } //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 9: 
      var $43=$oldLen; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $44=(($43+1)|0); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $45=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE7reserveEj($newChars, $44); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 10: 
      $1=0; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $5=1;
      __label__ = 27; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 11: 
      var $48=$oldChars; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $49=$it; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $50=$oldChars; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $51=$49; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $52=$50; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $53=(($51-$52)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $54=(((($53)|0)/2)&-1); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE16infallibleAppendItEEvPKT_j($newChars, $48, $54); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 12; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 12: 
      var $56=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE6appendIcEEbT_($newChars, 92); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 13: 
      $1=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $5=1;
      __label__ = 27; break; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 14: 
      __label__ = 15; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 15: 
      var $60=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE5emptyEv($newChars); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($60) { __label__ = 18; break; } else { __label__ = 16; break; } //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 16: 
      var $62=$it; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $63=HEAP16[(($62)>>1)]; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $64=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE6appendItEEbT_($newChars, $63); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($64) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 17: 
      $1=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $5=1;
      __label__ = 27; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 18: 
      __label__ = 19; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 19: 
      var $68=$it; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $69=(($68+2)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $it=$69; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 4; break; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 20: 
      var $71=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE5emptyEv($newChars); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 21: 
      var $73=$3; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$73; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $5=1;
      __label__ = 27; break; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 22: 
      var $75=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE6lengthEv($newChars); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $len=$75; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $76=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE6appendIcEEbT_($newChars, 0); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($76) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 23: 
      $1=0; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $5=1;
      __label__ = 27; break; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 24: 
      var $79=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE16extractRawBufferEv($newChars); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $chars=$79; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $80=$2; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $81=$chars; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $82=$len; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $83=__Z12js_NewStringP9JSContextPtj($80, $81, $82); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $84=$83; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $escaped=$84; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $85=$escaped; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $86=(($85)|0)!=0; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      if ($86) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 25: 
      var $88=$2; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $89=$chars; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      var $90=$89; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN9JSContext5free_EPv($88, $90); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 26; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 26: 
      var $92=$escaped; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $1=$92; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      $5=1;
      __label__ = 27; break; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    case 27: 
      __ZN2js6VectorItLj128ENS_15TempAllocPolicyEED1Ev($newChars); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      __label__ = 28; break;
    case 28: 
      var $95=$1; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
      STACKTOP = __stackBase__;
      return $95; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsregexp.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25EscapeNakedForwardSlashesP9JSContextP8JSString["X"]=1;

function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEEC1ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorItLj128ENS_15TempAllocPolicyEEC2ES1_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE7reserveEj($this, $request) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$request;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 645 "./jsvector.h"
      var $6=$3; //@line 646 "./jsvector.h"
      var $7=(($5+12)|0); //@line 646 "./jsvector.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 646 "./jsvector.h"
      var $9=(($6)>>>0) > (($8)>>>0); //@line 646 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 646 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 646 "./jsvector.h"
      var $12=(($5+8)|0); //@line 646 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 646 "./jsvector.h"
      var $14=(($11-$13)|0); //@line 646 "./jsvector.h"
      var $15=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 646 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 646 "./jsvector.h"
    case 3: 
      $1=0; //@line 647 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 647 "./jsvector.h"
    case 4: 
      $1=1; //@line 655 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 655 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 656 "./jsvector.h"
      var $19=$1; //@line 656 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $19; //@line 656 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE16infallibleAppendItEEvPKT_j($this, $begin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$length;
  var $4=$1;
  var $5=$2; //@line 435 "./jsvector.h"
  var $6=$3; //@line 435 "./jsvector.h"
  __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendItEEvPKT_j($4, $5, $6); //@line 435 "./jsvector.h"
  ;
  return; //@line 436 "./jsvector.h"
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE6appendIcEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendIcEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE6appendItEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendItEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE16extractRawBufferEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ret;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 916 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 916 "./jsvector.h"
    case 2: 
      var $6=$3; //@line 917 "./jsvector.h"
      var $7=(($3+8)|0); //@line 917 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 917 "./jsvector.h"
      var $9=((($8<<1))|0); //@line 917 "./jsvector.h"
      var $10=__ZN2js15TempAllocPolicy7malloc_Ej($6, $9); //@line 917 "./jsvector.h"
      var $11=$10; //@line 917 "./jsvector.h"
      $ret=$11; //@line 917 "./jsvector.h"
      var $12=$ret; //@line 918 "./jsvector.h"
      var $13=(($12)|0)!=0; //@line 918 "./jsvector.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 918 "./jsvector.h"
    case 3: 
      $1=0; //@line 919 "./jsvector.h"
      __label__ = 7; break; //@line 919 "./jsvector.h"
    case 4: 
      var $16=$ret; //@line 920 "./jsvector.h"
      var $17=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE12beginNoCheckEv($3); //@line 920 "./jsvector.h"
      var $18=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 920 "./jsvector.h"
      __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($16, $17, $18); //@line 920 "./jsvector.h"
      var $19=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE12beginNoCheckEv($3); //@line 921 "./jsvector.h"
      var $20=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 921 "./jsvector.h"
      __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($19, $20); //@line 921 "./jsvector.h"
      var $21=(($3+8)|0); //@line 923 "./jsvector.h"
      HEAP32[(($21)>>2)]=0; //@line 923 "./jsvector.h"
      __label__ = 6; break; //@line 924 "./jsvector.h"
    case 5: 
      var $23=(($3+4)|0); //@line 925 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 925 "./jsvector.h"
      $ret=$24; //@line 925 "./jsvector.h"
      var $25=(($3+16)|0); //@line 926 "./jsvector.h"
      var $26=__ZN7mozilla14AlignedStorageILj256EE4addrEv($25); //@line 926 "./jsvector.h"
      var $27=$26; //@line 926 "./jsvector.h"
      var $28=(($3+4)|0); //@line 926 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 926 "./jsvector.h"
      var $29=(($3+8)|0); //@line 927 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; //@line 927 "./jsvector.h"
      var $30=(($3+12)|0); //@line 928 "./jsvector.h"
      HEAP32[(($30)>>2)]=128; //@line 928 "./jsvector.h"
      __label__ = 6; break;
    case 6: 
      var $32=$ret; //@line 933 "./jsvector.h"
      $1=$32; //@line 933 "./jsvector.h"
      __label__ = 7; break; //@line 933 "./jsvector.h"
    case 7: 
      var $34=$1; //@line 934 "./jsvector.h"
      ;
      return $34; //@line 934 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorItLj128ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj256EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function _js_free3501($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendItEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP16[(($8)>>1)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<1))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorItLj128ES1_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -1073741824; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -1073741824; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorItLj128ES1_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<1))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<1))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendIcEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $12 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      var $10=(($9 << 24) >> 24); //@line 776 "./jsvector.h"
      HEAP16[(($8)>>1)]=$10; //@line 776 "./jsvector.h"
      var $12 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $12; //@line 776 "./jsvector.h"
      var $13=(($3+8)|0); //@line 777 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 777 "./jsvector.h"
      var $15=(($14+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($13)>>2)]=$15; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11JS_ON_TRACEPK9JSContext3526($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3530($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3531($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _DOUBLE_TO_JSVAL_IMPL3513($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL3502($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL3503($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL3504($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL3505($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL3506($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL3507($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _JSVAL_IS_SPECIFIC_BOOLEAN3508($l, $b) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$b;
      var $2=$l; //@line 614 "./jsval.h"
      var $3=(($2+4)|0); //@line 614 "./jsval.h"
      var $4=HEAP32[(($3)>>2)]; //@line 614 "./jsval.h"
      var $5=(($4)|0)==-125; //@line 614 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 614 "./jsval.h"
    case 2: 
      var $7=$l; //@line 614 "./jsval.h"
      var $8=(($7)|0); //@line 614 "./jsval.h"
      var $9=$8; //@line 614 "./jsval.h"
      var $10=HEAP32[(($9)>>2)]; //@line 614 "./jsval.h"
      var $11=$1; //@line 614 "./jsval.h"
      var $12=(($10)|0)==(($11)|0); //@line 614 "./jsval.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      STACKTOP = __stackBase__;
      return $15; //@line 615 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _INT32_TO_JSVAL_IMPL3514($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSDOUBLE_IS_NEGZERO3515($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_NULL_IMPL3516($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function __ZL18JSDOUBLE_IS_FINITEd3520($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZL15JSDOUBLE_IS_NaNd3521($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function _JSVAL_IS_DOUBLE_IMPL3522($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL3523($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL3524($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function __ZN2js11NeedsIncRefINS_6RegExpEEC2EPS1_($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=(($3)|0); //@line 1970 "./jscntxt.h"
  var $5=$2; //@line 1970 "./jscntxt.h"
  HEAP32[(($4)>>2)]=$5; //@line 1970 "./jscntxt.h"
  ;
  return; //@line 1970 "./jscntxt.h"
}


function __ZNK2js11NeedsIncRefINS_6RegExpEE3getEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1977 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1977 "./jscntxt.h"
  ;
  return $4; //@line 1977 "./jscntxt.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb3527($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendItEEvPKT_j($this, $insBegin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$insBegin;
  $3=$length;
  var $4=$1;
  var $5=__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 864 "./jsvector.h"
  var $6=$2; //@line 864 "./jsvector.h"
  var $7=$2; //@line 864 "./jsvector.h"
  var $8=$3; //@line 864 "./jsvector.h"
  var $9=(($7+($8<<1))|0); //@line 864 "./jsvector.h"
  __ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($5, $6, $9); //@line 864 "./jsvector.h"
  var $10=$3; //@line 865 "./jsvector.h"
  var $11=(($4+8)|0); //@line 865 "./jsvector.h"
  var $12=HEAP32[(($11)>>2)]; //@line 865 "./jsvector.h"
  var $13=(($12+$10)|0); //@line 865 "./jsvector.h"
  HEAP32[(($11)>>2)]=$13; //@line 865 "./jsvector.h"
  ;
  return; //@line 866 "./jsvector.h"
}


function __ZN2js6VectorItLj128ENS_15TempAllocPolicyEEC2ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj256EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=128; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js12AutoRefCountINS_6RegExpEEC1EP9JSContextNS_11NeedsIncRefIS1_EE($this, $cx, $aobj) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $aobj; $aobj = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($aobj)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 2001 "./jscntxt.h"
  __ZN2js12AutoRefCountINS_6RegExpEEC2EP9JSContextNS_11NeedsIncRefIS1_EE($3, $4, $aobj); //@line 2001 "./jscntxt.h"
  STACKTOP = __stackBase__;
  return; //@line 2001 "./jscntxt.h"
}


function __ZN2js11NeedsIncRefINS_6RegExpEEC1EPS1_($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=$2; //@line 1970 "./jscntxt.h"
  __ZN2js11NeedsIncRefINS_6RegExpEEC2EPS1_($3, $4); //@line 1970 "./jscntxt.h"
  ;
  return; //@line 1970 "./jscntxt.h"
}


function __ZNK8JSObject18getRegExpLastIndexEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 0); //@line 333 "./jsregexp.h"
  ;
  return $3; //@line 333 "./jsregexp.h"
}


function __ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3509($cx, $v, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$dp;
      var $6=$3; //@line 620 "./jsnum.h"
      var $7=__ZNK2JS5Value7isInt32Ev($6); //@line 620 "./jsnum.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 620 "./jsnum.h"
    case 2: 
      var $9=$3; //@line 621 "./jsnum.h"
      var $10=__ZNK2JS5Value7toInt32Ev($9); //@line 621 "./jsnum.h"
      var $11=(($10)|0); //@line 621 "./jsnum.h"
      var $12=$4; //@line 621 "./jsnum.h"
      (tempDoubleF64[0]=$11,HEAP32[(($12)>>2)]=tempDoubleI32[0],HEAP32[(($12+4)>>2)]=tempDoubleI32[1]); //@line 621 "./jsnum.h"
      $1=1; //@line 622 "./jsnum.h"
      __label__ = 9; break; //@line 622 "./jsnum.h"
    case 3: 
      var $14=$3; //@line 624 "./jsnum.h"
      var $15=__ZNK2JS5Value8isDoubleEv($14); //@line 624 "./jsnum.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 624 "./jsnum.h"
    case 4: 
      var $17=$3; //@line 625 "./jsnum.h"
      var $18=__ZNK2JS5Value8toDoubleEv($17); //@line 625 "./jsnum.h"
      var $19=$4; //@line 625 "./jsnum.h"
      (tempDoubleF64[0]=$18,HEAP32[(($19)>>2)]=tempDoubleI32[0],HEAP32[(($19+4)>>2)]=tempDoubleI32[1]); //@line 625 "./jsnum.h"
      __label__ = 8; break; //@line 626 "./jsnum.h"
    case 5: 
      var $21=$2; //@line 628 "./jsnum.h"
      var $22=$3; //@line 628 "./jsnum.h"
      var $23=$5; //@line 628 "./jsnum.h"
      var $24=$22; //@line 628 "./jsnum.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 628 "./jsnum.h"
      var $25=$4; //@line 628 "./jsnum.h"
      var $26=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($21, $5, $25); //@line 628 "./jsnum.h"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 628 "./jsnum.h"
    case 6: 
      $1=0; //@line 629 "./jsnum.h"
      __label__ = 9; break; //@line 629 "./jsnum.h"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $30=$4; //@line 631 "./jsnum.h"
      var $31=(tempDoubleI32[0]=HEAP32[(($30)>>2)],tempDoubleI32[1]=HEAP32[(($30+4)>>2)],tempDoubleF64[0]); //@line 631 "./jsnum.h"
      var $32=__ZL18js_DoubleToIntegerd3519($31); //@line 631 "./jsnum.h"
      var $33=$4; //@line 631 "./jsnum.h"
      (tempDoubleF64[0]=$32,HEAP32[(($33)>>2)]=tempDoubleI32[0],HEAP32[(($33+4)>>2)]=tempDoubleI32[1]); //@line 631 "./jsnum.h"
      $1=1; //@line 632 "./jsnum.h"
      __label__ = 9; break; //@line 632 "./jsnum.h"
    case 9: 
      var $35=$1; //@line 633 "./jsnum.h"
      STACKTOP = __stackBase__;
      return $35; //@line 633 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL9NullValueEv3510($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZN8JSObject18setRegExpLastIndexEd($this, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$d;
  var $4=$1;
  var $5=$2; //@line 347 "./jsregexp.h"
  __ZN2JSL11NumberValueEd3511($3, $5); //@line 347 "./jsregexp.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($4, 0, $3); //@line 347 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 348 "./jsregexp.h"
}


function __ZN2js12AutoRefCountINS_6RegExpEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12AutoRefCountINS_6RegExpEED2Ev($2); //@line 2007 "./jscntxt.h"
  ;
  return; //@line 2010 "./jscntxt.h"
}


function __ZN2js12AutoRefCountINS_6RegExpEED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 2008 "./jscntxt.h"
      var $4=HEAP32[(($3)>>2)]; //@line 2008 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 2008 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2008 "./jscntxt.h"
    case 2: 
      var $7=(($2+4)|0); //@line 2009 "./jscntxt.h"
      var $8=HEAP32[(($7)>>2)]; //@line 2009 "./jscntxt.h"
      var $9=(($2)|0); //@line 2009 "./jscntxt.h"
      var $10=HEAP32[(($9)>>2)]; //@line 2009 "./jscntxt.h"
      __ZN2js6RegExp6decrefEP9JSContext($8, $10); //@line 2009 "./jscntxt.h"
      __label__ = 3; break; //@line 2009 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 2010 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11NumberValueEd3511($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 750 "./jsapi.h"
  var $3=__ZN2JS5Value9setNumberEd($agg_result, $2); //@line 750 "./jsapi.h"
  ;
  return; //@line 751 "./jsapi.h"
}


function _JSDOUBLE_IS_INT323512($d, $pi) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$d;
      $3=$pi;
      var $4=$2; //@line 80 "./jsval.h"
      var $5=_JSDOUBLE_IS_NEGZERO3515($4); //@line 80 "./jsval.h"
      var $6=(($5)|0)!=0; //@line 80 "./jsval.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 80 "./jsval.h"
    case 2: 
      $1=0; //@line 81 "./jsval.h"
      __label__ = 4; break; //@line 81 "./jsval.h"
    case 3: 
      var $9=$2; //@line 82 "./jsval.h"
      var $10=$2; //@line 82 "./jsval.h"
      var $11=(($10)&-1); //@line 82 "./jsval.h"
      var $12=$3; //@line 82 "./jsval.h"
      HEAP32[(($12)>>2)]=$11; //@line 82 "./jsval.h"
      var $13=(($11)|0); //@line 82 "./jsval.h"
      var $14=$9 == $13; //@line 82 "./jsval.h"
      var $15=(($14)&1); //@line 82 "./jsval.h"
      $1=$15; //@line 82 "./jsval.h"
      __label__ = 4; break; //@line 82 "./jsval.h"
    case 4: 
      var $17=$1; //@line 83 "./jsval.h"
      ;
      return $17; //@line 83 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL12BooleanValueEb3517($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2JSL10Int32ValueEi3518($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZL18js_DoubleToIntegerd3519($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $neg;
      $2=$d;
      var $3=$2; //@line 572 "./jsnum.h"
      var $4=$3 == 0; //@line 572 "./jsnum.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 572 "./jsnum.h"
    case 2: 
      var $6=$2; //@line 573 "./jsnum.h"
      $1=$6; //@line 573 "./jsnum.h"
      __label__ = 14; break; //@line 573 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 575 "./jsnum.h"
      var $9=__ZL18JSDOUBLE_IS_FINITEd3520($8); //@line 575 "./jsnum.h"
      var $10=(($9)|0)!=0; //@line 575 "./jsnum.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 575 "./jsnum.h"
    case 4: 
      var $12=$2; //@line 576 "./jsnum.h"
      var $13=__ZL15JSDOUBLE_IS_NaNd3521($12); //@line 576 "./jsnum.h"
      var $14=(($13)|0)!=0; //@line 576 "./jsnum.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 576 "./jsnum.h"
    case 5: 
      $1=0; //@line 577 "./jsnum.h"
      __label__ = 14; break; //@line 577 "./jsnum.h"
    case 6: 
      var $17=$2; //@line 578 "./jsnum.h"
      $1=$17; //@line 578 "./jsnum.h"
      __label__ = 14; break; //@line 578 "./jsnum.h"
    case 7: 
      var $19=$2; //@line 581 "./jsnum.h"
      var $20=$19 < 0; //@line 581 "./jsnum.h"
      var $21=(($20)&1); //@line 581 "./jsnum.h"
      $neg=$21; //@line 581 "./jsnum.h"
      var $22=$neg; //@line 582 "./jsnum.h"
      var $23=(($22)|0)!=0; //@line 582 "./jsnum.h"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 582 "./jsnum.h"
    case 8: 
      var $25=$2; //@line 582 "./jsnum.h"
      var $26=(-$25); //@line 582 "./jsnum.h"
      var $30 = $26;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 9: 
      var $28=$2; //@line 582 "./jsnum.h"
      var $30 = $28;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 10: 
      var $30; //@line 582 "./jsnum.h"
      var $31=_floor($30); //@line 582 "./jsnum.h"
      $2=$31; //@line 582 "./jsnum.h"
      var $32=$neg; //@line 584 "./jsnum.h"
      var $33=(($32)|0)!=0; //@line 584 "./jsnum.h"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 584 "./jsnum.h"
    case 11: 
      var $35=$2; //@line 584 "./jsnum.h"
      var $36=(-$35); //@line 584 "./jsnum.h"
      var $40 = $36;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 12: 
      var $38=$2; //@line 584 "./jsnum.h"
      var $40 = $38;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 13: 
      var $40; //@line 584 "./jsnum.h"
      $1=$40; //@line 584 "./jsnum.h"
      __label__ = 14; break; //@line 584 "./jsnum.h"
    case 14: 
      var $42=$1; //@line 585 "./jsnum.h"
      ;
      return $42; //@line 585 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_DoubleToIntegerd3519["X"]=1;

function __ZN2js12AutoRefCountINS_6RegExpEEC2EP9JSContextNS_11NeedsIncRefIS1_EE($this, $cx, $aobj) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $aobj; $aobj = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($aobj)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 1998 "./jscntxt.h"
      var $5=$2; //@line 1998 "./jscntxt.h"
      HEAP32[(($4)>>2)]=$5; //@line 1998 "./jscntxt.h"
      var $6=(($3+4)|0); //@line 1998 "./jscntxt.h"
      var $7=__ZNK2js11NeedsIncRefINS_6RegExpEE3getEv($aobj); //@line 1997 "./jscntxt.h"
      HEAP32[(($6)>>2)]=$7; //@line 1997 "./jscntxt.h"
      var $8=(($3+4)|0); //@line 1999 "./jscntxt.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1999 "./jscntxt.h"
      var $10=(($9)|0)!=0; //@line 1999 "./jscntxt.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1999 "./jscntxt.h"
    case 2: 
      var $12=(($3+4)|0); //@line 2000 "./jscntxt.h"
      var $13=HEAP32[(($12)>>2)]; //@line 2000 "./jscntxt.h"
      var $14=$2; //@line 2000 "./jscntxt.h"
      __ZN2js6RegExp6increfEP9JSContext($13, $14); //@line 2000 "./jscntxt.h"
      __label__ = 3; break; //@line 2000 "./jscntxt.h"
    case 3: 
      STACKTOP = __stackBase__;
      return; //@line 2001 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL17CheckStringLengthEP9JSContextj3525($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext3526($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendERKt($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 426 "./jsvector.h"
  var $5=HEAP16[(($4)>>1)]; //@line 426 "./jsvector.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvT_($3, $5); //@line 426 "./jsvector.h"
  ;
  return; //@line 427 "./jsvector.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE3528($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3529($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE3528["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3529($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3530($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3531($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3529["X"]=1;

function _js_calloc3532($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3535($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj3545($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _MAGIC_TO_JSVAL_IMPL3534($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_TO_BOOLEAN_IMPL3536($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL3538($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function __ZNK2js13RegExpStatics9multilineEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+100)|0); //@line 242 "./jsregexp.h"
  var $4=HEAP32[(($3)>>2)]; //@line 242 "./jsregexp.h"
  var $5=$4 & 4; //@line 242 "./jsregexp.h"
  var $6=(($5)|0)!=0; //@line 242 "./jsregexp.h"
  ;
  return $6; //@line 242 "./jsregexp.h"
}


function _JSVAL_TO_STRING_IMPL3543($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL3544($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3533($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($this, $cx, $pairNum, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$this;
      $3=$cx;
      $4=$pairNum;
      $5=$out;
      var $6=$2;
      var $7=$4; //@line 285 "./jsregexp.h"
      var $8=__ZNK2js13RegExpStatics9pairCountEv($6); //@line 285 "./jsregexp.h"
      var $9=(($7)>>>0) >= (($8)>>>0); //@line 285 "./jsregexp.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 285 "./jsregexp.h"
    case 2: 
      var $11=$5; //@line 286 "./jsregexp.h"
      var $12=$3; //@line 286 "./jsregexp.h"
      var $13=(($12+52)|0); //@line 286 "./jsregexp.h"
      var $14=HEAP32[(($13)>>2)]; //@line 286 "./jsregexp.h"
      var $15=(($14+144136)|0); //@line 286 "./jsregexp.h"
      var $16=HEAP32[(($15)>>2)]; //@line 286 "./jsregexp.h"
      var $17=$16; //@line 286 "./jsregexp.h"
      __ZN2JS5Value9setStringEP8JSString($11, $17); //@line 286 "./jsregexp.h"
      $1=1; //@line 287 "./jsregexp.h"
      __label__ = 4; break; //@line 287 "./jsregexp.h"
    case 3: 
      var $19=$3; //@line 289 "./jsregexp.h"
      var $20=$4; //@line 289 "./jsregexp.h"
      var $21=((($20<<1))|0); //@line 289 "./jsregexp.h"
      var $22=$4; //@line 289 "./jsregexp.h"
      var $23=$5; //@line 289 "./jsregexp.h"
      var $24=__ZNK2js13RegExpStatics9makeMatchEP9JSContextjjPN2JS5ValueE($6, $19, $21, $22, $23); //@line 289 "./jsregexp.h"
      $1=$24; //@line 289 "./jsregexp.h"
      __label__ = 4; break; //@line 289 "./jsregexp.h"
    case 4: 
      var $26=$1; //@line 290 "./jsregexp.h"
      ;
      return $26; //@line 290 "./jsregexp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics9pairCountEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 230 "./jsregexp.h"
  var $4=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE6lengthEv($3); //@line 230 "./jsregexp.h"
  var $5=Math.floor((($4)>>>0)/2); //@line 230 "./jsregexp.h"
  ;
  return $5; //@line 230 "./jsregexp.h"
}


function __ZNK2js13RegExpStatics9makeMatchEP9JSContextjjPN2JS5ValueE($this, $cx, $checkValidIndex, $pairNum, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$this;
      $3=$cx;
      $4=$checkValidIndex;
      $5=$pairNum;
      $6=$out;
      var $7=$2;
      var $8=$4; //@line 649 "./jsregexpinlines.h"
      var $9=Math.floor((($8)>>>0)/2); //@line 649 "./jsregexpinlines.h"
      var $10=__ZNK2js13RegExpStatics9pairCountEv($7); //@line 649 "./jsregexpinlines.h"
      var $11=(($9)>>>0) >= (($10)>>>0); //@line 649 "./jsregexpinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 649 "./jsregexpinlines.h"
    case 2: 
      var $13=(($7)|0); //@line 649 "./jsregexpinlines.h"
      var $14=$4; //@line 649 "./jsregexpinlines.h"
      var $15=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($13, $14); //@line 649 "./jsregexpinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 649 "./jsregexpinlines.h"
      var $17=(($16)|0) < 0; //@line 649 "./jsregexpinlines.h"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 649 "./jsregexpinlines.h"
    case 3: 
      var $19=$6; //@line 650 "./jsregexpinlines.h"
      var $20=$3; //@line 650 "./jsregexpinlines.h"
      var $21=(($20+52)|0); //@line 650 "./jsregexpinlines.h"
      var $22=HEAP32[(($21)>>2)]; //@line 650 "./jsregexpinlines.h"
      var $23=(($22+144136)|0); //@line 650 "./jsregexpinlines.h"
      var $24=HEAP32[(($23)>>2)]; //@line 650 "./jsregexpinlines.h"
      var $25=$24; //@line 650 "./jsregexpinlines.h"
      __ZN2JS5Value9setStringEP8JSString($19, $25); //@line 650 "./jsregexpinlines.h"
      $1=1; //@line 651 "./jsregexpinlines.h"
      __label__ = 5; break; //@line 651 "./jsregexpinlines.h"
    case 4: 
      var $27=$3; //@line 653 "./jsregexpinlines.h"
      var $28=$5; //@line 653 "./jsregexpinlines.h"
      var $29=__ZNK2js13RegExpStatics3getEjb($7, $28, 0); //@line 653 "./jsregexpinlines.h"
      var $30=$5; //@line 653 "./jsregexpinlines.h"
      var $31=__ZNK2js13RegExpStatics3getEjb($7, $30, 1); //@line 653 "./jsregexpinlines.h"
      var $32=$6; //@line 653 "./jsregexpinlines.h"
      var $33=__ZNK2js13RegExpStatics15createDependentEP9JSContextjjPN2JS5ValueE($7, $27, $29, $31, $32); //@line 653 "./jsregexpinlines.h"
      $1=$33; //@line 653 "./jsregexpinlines.h"
      __label__ = 5; break; //@line 653 "./jsregexpinlines.h"
    case 5: 
      var $35=$1; //@line 654 "./jsregexpinlines.h"
      ;
      return $35; //@line 654 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 367 "./jsvector.h"
  var $5=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE5beginEv($3); //@line 367 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 367 "./jsvector.h"
  ;
  return $6; //@line 367 "./jsvector.h"
}


function __ZNK2js13RegExpStatics15createDependentEP9JSContextjjPN2JS5ValueE($this, $cx, $start, $end, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $str;
      var $7=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$start;
      $5=$end;
      $6=$out;
      var $8=$2;
      var $9=$3; //@line 632 "./jsregexpinlines.h"
      var $10=(($8+92)|0); //@line 632 "./jsregexpinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 632 "./jsregexpinlines.h"
      var $12=$11; //@line 632 "./jsregexpinlines.h"
      var $13=$4; //@line 632 "./jsregexpinlines.h"
      var $14=$5; //@line 632 "./jsregexpinlines.h"
      var $15=$4; //@line 632 "./jsregexpinlines.h"
      var $16=(($14-$15)|0); //@line 632 "./jsregexpinlines.h"
      var $17=__Z21js_NewDependentStringP9JSContextP8JSStringjj($9, $12, $13, $16); //@line 632 "./jsregexpinlines.h"
      var $18=$17; //@line 632 "./jsregexpinlines.h"
      $str=$18; //@line 632 "./jsregexpinlines.h"
      var $19=$str; //@line 633 "./jsregexpinlines.h"
      var $20=(($19)|0)!=0; //@line 633 "./jsregexpinlines.h"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 633 "./jsregexpinlines.h"
    case 2: 
      $1=0; //@line 634 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 634 "./jsregexpinlines.h"
    case 3: 
      var $23=$6; //@line 635 "./jsregexpinlines.h"
      var $24=$str; //@line 635 "./jsregexpinlines.h"
      __ZN2JSL11StringValueEP8JSString3485($7, $24); //@line 635 "./jsregexpinlines.h"
      var $25=$23; //@line 635 "./jsregexpinlines.h"
      var $26=$7; //@line 635 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 635 "./jsregexpinlines.h"
      $1=1; //@line 636 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 636 "./jsregexpinlines.h"
    case 4: 
      var $28=$1; //@line 637 "./jsregexpinlines.h"
      STACKTOP = __stackBase__;
      return $28; //@line 637 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics3getEjb($this, $pairNum, $which) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$pairNum;
  var $4=(($which)&1);
  $3=$4;
  var $5=$1;
  var $6=(($5)|0); //@line 148 "./jsregexp.h"
  var $7=$2; //@line 148 "./jsregexp.h"
  var $8=((($7<<1))|0); //@line 148 "./jsregexp.h"
  var $9=$3; //@line 148 "./jsregexp.h"
  var $10=(($9) & 1); //@line 148 "./jsregexp.h"
  var $11=(($10)&1); //@line 148 "./jsregexp.h"
  var $12=(($8+$11)|0); //@line 148 "./jsregexp.h"
  var $13=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($6, $12); //@line 148 "./jsregexp.h"
  var $14=HEAP32[(($13)>>2)]; //@line 148 "./jsregexp.h"
  ;
  return $14; //@line 148 "./jsregexp.h"
}


function __ZNK2js13RegExpStatics18createRightContextEP9JSContextPN2JS5ValueE($this, $cx, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$out;
      var $6=$2;
      var $7=__ZNK2js13RegExpStatics9pairCountEv($6); //@line 692 "./jsregexpinlines.h"
      var $8=(($7)|0)!=0; //@line 692 "./jsregexpinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 692 "./jsregexpinlines.h"
    case 2: 
      var $10=$4; //@line 693 "./jsregexpinlines.h"
      var $11=$3; //@line 693 "./jsregexpinlines.h"
      var $12=(($11+52)|0); //@line 693 "./jsregexpinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 693 "./jsregexpinlines.h"
      var $14=(($13+144136)|0); //@line 693 "./jsregexpinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 693 "./jsregexpinlines.h"
      var $16=$15; //@line 693 "./jsregexpinlines.h"
      __ZN2JS5Value9setStringEP8JSString($10, $16); //@line 693 "./jsregexpinlines.h"
      $1=1; //@line 694 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 694 "./jsregexpinlines.h"
    case 3: 
      var $18=(($6)|0); //@line 696 "./jsregexpinlines.h"
      var $19=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($18, 1); //@line 696 "./jsregexpinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 696 "./jsregexpinlines.h"
      var $21=(($20)|0) < 0; //@line 696 "./jsregexpinlines.h"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 696 "./jsregexpinlines.h"
    case 4: 
      var $23=$4; //@line 697 "./jsregexpinlines.h"
      __ZN2JSL14UndefinedValueEv3491($5); //@line 697 "./jsregexpinlines.h"
      var $24=$23; //@line 697 "./jsregexpinlines.h"
      var $25=$5; //@line 697 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 697 "./jsregexpinlines.h"
      $1=1; //@line 698 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 698 "./jsregexpinlines.h"
    case 5: 
      var $27=$3; //@line 700 "./jsregexpinlines.h"
      var $28=(($6)|0); //@line 700 "./jsregexpinlines.h"
      var $29=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($28, 1); //@line 700 "./jsregexpinlines.h"
      var $30=HEAP32[(($29)>>2)]; //@line 700 "./jsregexpinlines.h"
      var $31=(($6+92)|0); //@line 700 "./jsregexpinlines.h"
      var $32=HEAP32[(($31)>>2)]; //@line 700 "./jsregexpinlines.h"
      var $33=$32; //@line 700 "./jsregexpinlines.h"
      var $34=__ZNK8JSString6lengthEv($33); //@line 700 "./jsregexpinlines.h"
      var $35=$4; //@line 700 "./jsregexpinlines.h"
      var $36=__ZNK2js13RegExpStatics15createDependentEP9JSContextjjPN2JS5ValueE($6, $27, $30, $34, $35); //@line 700 "./jsregexpinlines.h"
      $1=$36; //@line 700 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 700 "./jsregexpinlines.h"
    case 6: 
      var $38=$1; //@line 701 "./jsregexpinlines.h"
      STACKTOP = __stackBase__;
      return $38; //@line 701 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics17createLeftContextEP9JSContextPN2JS5ValueE($this, $cx, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$out;
      var $6=$2;
      var $7=__ZNK2js13RegExpStatics9pairCountEv($6); //@line 678 "./jsregexpinlines.h"
      var $8=(($7)|0)!=0; //@line 678 "./jsregexpinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 678 "./jsregexpinlines.h"
    case 2: 
      var $10=$4; //@line 679 "./jsregexpinlines.h"
      var $11=$3; //@line 679 "./jsregexpinlines.h"
      var $12=(($11+52)|0); //@line 679 "./jsregexpinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 679 "./jsregexpinlines.h"
      var $14=(($13+144136)|0); //@line 679 "./jsregexpinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 679 "./jsregexpinlines.h"
      var $16=$15; //@line 679 "./jsregexpinlines.h"
      __ZN2JS5Value9setStringEP8JSString($10, $16); //@line 679 "./jsregexpinlines.h"
      $1=1; //@line 680 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 680 "./jsregexpinlines.h"
    case 3: 
      var $18=(($6)|0); //@line 682 "./jsregexpinlines.h"
      var $19=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($18, 0); //@line 682 "./jsregexpinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 682 "./jsregexpinlines.h"
      var $21=(($20)|0) < 0; //@line 682 "./jsregexpinlines.h"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 682 "./jsregexpinlines.h"
    case 4: 
      var $23=$4; //@line 683 "./jsregexpinlines.h"
      __ZN2JSL14UndefinedValueEv3491($5); //@line 683 "./jsregexpinlines.h"
      var $24=$23; //@line 683 "./jsregexpinlines.h"
      var $25=$5; //@line 683 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 683 "./jsregexpinlines.h"
      $1=1; //@line 684 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 684 "./jsregexpinlines.h"
    case 5: 
      var $27=$3; //@line 686 "./jsregexpinlines.h"
      var $28=(($6)|0); //@line 686 "./jsregexpinlines.h"
      var $29=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj($28, 0); //@line 686 "./jsregexpinlines.h"
      var $30=HEAP32[(($29)>>2)]; //@line 686 "./jsregexpinlines.h"
      var $31=$4; //@line 686 "./jsregexpinlines.h"
      var $32=__ZNK2js13RegExpStatics15createDependentEP9JSContextjjPN2JS5ValueE($6, $27, 0, $30, $31); //@line 686 "./jsregexpinlines.h"
      $1=$32; //@line 686 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 686 "./jsregexpinlines.h"
    case 6: 
      var $34=$1; //@line 687 "./jsregexpinlines.h"
      STACKTOP = __stackBase__;
      return $34; //@line 687 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics15createLastParenEP9JSContextPN2JS5ValueE($this, $cx, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $num;
      var $start;
      var $end;
      $2=$this;
      $3=$cx;
      $4=$out;
      var $5=$2;
      var $6=__ZNK2js13RegExpStatics9pairCountEv($5); //@line 659 "./jsregexpinlines.h"
      var $7=(($6)>>>0) <= 1; //@line 659 "./jsregexpinlines.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 659 "./jsregexpinlines.h"
    case 2: 
      var $9=$4; //@line 660 "./jsregexpinlines.h"
      var $10=$3; //@line 660 "./jsregexpinlines.h"
      var $11=(($10+52)|0); //@line 660 "./jsregexpinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 660 "./jsregexpinlines.h"
      var $13=(($12+144136)|0); //@line 660 "./jsregexpinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 660 "./jsregexpinlines.h"
      var $15=$14; //@line 660 "./jsregexpinlines.h"
      __ZN2JS5Value9setStringEP8JSString($9, $15); //@line 660 "./jsregexpinlines.h"
      $1=1; //@line 661 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 661 "./jsregexpinlines.h"
    case 3: 
      var $17=__ZNK2js13RegExpStatics9pairCountEv($5); //@line 663 "./jsregexpinlines.h"
      var $18=(($17-1)|0); //@line 663 "./jsregexpinlines.h"
      $num=$18; //@line 663 "./jsregexpinlines.h"
      var $19=$num; //@line 664 "./jsregexpinlines.h"
      var $20=__ZNK2js13RegExpStatics3getEjb($5, $19, 0); //@line 664 "./jsregexpinlines.h"
      $start=$20; //@line 664 "./jsregexpinlines.h"
      var $21=$num; //@line 665 "./jsregexpinlines.h"
      var $22=__ZNK2js13RegExpStatics3getEjb($5, $21, 1); //@line 665 "./jsregexpinlines.h"
      $end=$22; //@line 665 "./jsregexpinlines.h"
      var $23=$start; //@line 666 "./jsregexpinlines.h"
      var $24=(($23)|0)==-1; //@line 666 "./jsregexpinlines.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 666 "./jsregexpinlines.h"
    case 4: 
      var $26=$4; //@line 667 "./jsregexpinlines.h"
      var $27=$3; //@line 667 "./jsregexpinlines.h"
      var $28=(($27+52)|0); //@line 667 "./jsregexpinlines.h"
      var $29=HEAP32[(($28)>>2)]; //@line 667 "./jsregexpinlines.h"
      var $30=(($29+144136)|0); //@line 667 "./jsregexpinlines.h"
      var $31=HEAP32[(($30)>>2)]; //@line 667 "./jsregexpinlines.h"
      var $32=$31; //@line 667 "./jsregexpinlines.h"
      __ZN2JS5Value9setStringEP8JSString($26, $32); //@line 667 "./jsregexpinlines.h"
      $1=1; //@line 668 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 668 "./jsregexpinlines.h"
    case 5: 
      var $34=$3; //@line 672 "./jsregexpinlines.h"
      var $35=$start; //@line 672 "./jsregexpinlines.h"
      var $36=$end; //@line 672 "./jsregexpinlines.h"
      var $37=$4; //@line 672 "./jsregexpinlines.h"
      var $38=__ZNK2js13RegExpStatics15createDependentEP9JSContextjjPN2JS5ValueE($5, $34, $35, $36, $37); //@line 672 "./jsregexpinlines.h"
      $1=$38; //@line 672 "./jsregexpinlines.h"
      __label__ = 6; break; //@line 672 "./jsregexpinlines.h"
    case 6: 
      var $40=$1; //@line 673 "./jsregexpinlines.h"
      ;
      return $40; //@line 673 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js13RegExpStatics15createLastParenEP9JSContextPN2JS5ValueE["X"]=1;

function __ZNK2js13RegExpStatics15createLastMatchEP9JSContextPN2JS5ValueE($this, $cx, $out) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$out;
  var $4=$1;
  var $5=$2; //@line 277 "./jsregexp.h"
  var $6=$3; //@line 277 "./jsregexp.h"
  var $7=__ZNK2js13RegExpStatics9makeMatchEP9JSContextjjPN2JS5ValueE($4, $5, 0, 0, $6); //@line 277 "./jsregexp.h"
  ;
  return $7; //@line 277 "./jsregexp.h"
}


function _JSVAL_IS_BOOLEAN($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1402 "./jsapi.h"
  var $7=$v; //@line 1402 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1402 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE3537($2, $3); //@line 1402 "./jsapi.h"
  var $8=_JSVAL_IS_BOOLEAN_IMPL3538($2); //@line 1402 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1402 "./jsapi.h"
}


function _JSVAL_TO_BOOLEAN($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1409 "./jsapi.h"
  var $7=$v; //@line 1409 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1409 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE3537($2, $3); //@line 1409 "./jsapi.h"
  var $8=_JSVAL_TO_BOOLEAN_IMPL3536($2); //@line 1409 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1409 "./jsapi.h"
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE3537($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "./jsapi.h"
  var $5=$agg_result; //@line 822 "./jsapi.h"
  var $6=$4; //@line 822 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "./jsapi.h"
}


function _BOOLEAN_TO_JSVAL3539($agg_result, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$b;
  var $3=$1; //@line 1415 "./jsapi.h"
  _BOOLEAN_TO_JSVAL_IMPL3507($2, $3); //@line 1415 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout3540($agg_result, $2); //@line 1415 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1415 "./jsapi.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout3540($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function _JSVAL_IS_STRING3541($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1362 "./jsapi.h"
  var $7=$v; //@line 1362 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1362 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE3537($2, $3); //@line 1362 "./jsapi.h"
  var $8=_JSVAL_IS_STRING_IMPL3544($2); //@line 1362 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1362 "./jsapi.h"
}


function __ZN2js13RegExpStatics15setPendingInputEP8JSString($this, $newInput) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$newInput;
  var $3=$1;
  __ZN2js13RegExpStatics12aboutToWriteEv($3); //@line 214 "./jsregexp.h"
  var $4=$2; //@line 215 "./jsregexp.h"
  var $5=(($3+96)|0); //@line 215 "./jsregexp.h"
  HEAP32[(($5)>>2)]=$4; //@line 215 "./jsregexp.h"
  ;
  return; //@line 216 "./jsregexp.h"
}


function _JSVAL_TO_STRING3542($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1369 "./jsapi.h"
  var $7=$v; //@line 1369 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1369 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE3537($2, $3); //@line 1369 "./jsapi.h"
  var $8=_JSVAL_TO_STRING_IMPL3543($2); //@line 1369 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1369 "./jsapi.h"
}


function __ZNK2js13RegExpStatics18createPendingInputEP9JSContextPN2JS5ValueE($this, $cx, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$out;
      var $4=$1;
      var $5=$3; //@line 642 "./jsregexpinlines.h"
      var $6=(($4+96)|0); //@line 642 "./jsregexpinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 642 "./jsregexpinlines.h"
      var $8=(($7)|0)!=0; //@line 642 "./jsregexpinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 642 "./jsregexpinlines.h"
    case 2: 
      var $10=(($4+96)|0); //@line 642 "./jsregexpinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 642 "./jsregexpinlines.h"
      var $20 = $11;__label__ = 4; break; //@line 642 "./jsregexpinlines.h"
    case 3: 
      var $13=$2; //@line 642 "./jsregexpinlines.h"
      var $14=(($13+52)|0); //@line 642 "./jsregexpinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 642 "./jsregexpinlines.h"
      var $16=(($15+144136)|0); //@line 642 "./jsregexpinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 642 "./jsregexpinlines.h"
      var $18=$17; //@line 642 "./jsregexpinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 642 "./jsregexpinlines.h"
    case 4: 
      var $20; //@line 642 "./jsregexpinlines.h"
      __ZN2JS5Value9setStringEP8JSString($5, $20); //@line 642 "./jsregexpinlines.h"
      ;
      return 1; //@line 643 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL22GetGlobalForScopeChainEP9JSContext3546($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $scope=__stackBase__;
      $2=$cx;
      var $3=$2; //@line 87 "./jscntxtinlines.h"
      var $4=__ZNK9JSContext5hasfpEv($3); //@line 87 "./jscntxtinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 87 "./jscntxtinlines.h"
    case 2: 
      var $6=$2; //@line 88 "./jscntxtinlines.h"
      var $7=__ZNK9JSContext2fpEv($6); //@line 88 "./jscntxtinlines.h"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 88 "./jscntxtinlines.h"
      var $9=__ZNK8JSObject9getGlobalEv($8); //@line 88 "./jscntxtinlines.h"
      $1=$9; //@line 88 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 88 "./jscntxtinlines.h"
    case 3: 
      var $11=$2; //@line 90 "./jscntxtinlines.h"
      var $12=(($11+132)|0); //@line 90 "./jscntxtinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 90 "./jscntxtinlines.h"
      HEAP32[(($scope)>>2)]=$13; //@line 90 "./jscntxtinlines.h"
      var $14=$2; //@line 91 "./jscntxtinlines.h"
      var $15=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($14, $scope); //@line 91 "./jscntxtinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 91 "./jscntxtinlines.h"
    case 4: 
      $1=0; //@line 92 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 92 "./jscntxtinlines.h"
    case 5: 
      var $18=HEAP32[(($scope)>>2)]; //@line 93 "./jscntxtinlines.h"
      var $19=__ZN8JSObject8asGlobalEv($18); //@line 93 "./jscntxtinlines.h"
      $1=$19; //@line 93 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 93 "./jscntxtinlines.h"
    case 6: 
      var $21=$1; //@line 94 "./jscntxtinlines.h"
      STACKTOP = __stackBase__;
      return $21; //@line 94 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics4markEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $str_;
      var $str_1;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=(($3+96)|0); //@line 264 "./jsregexp.h"
      var $5=HEAP32[(($4)>>2)]; //@line 264 "./jsregexp.h"
      var $6=(($5)|0)!=0; //@line 264 "./jsregexp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 264 "./jsregexp.h"
    case 2: 
      __label__ = 3; break; //@line 265 "./jsregexp.h"
    case 3: 
      var $9=(($3+96)|0); //@line 265 "./jsregexp.h"
      var $10=HEAP32[(($9)>>2)]; //@line 265 "./jsregexp.h"
      $str_=$10; //@line 265 "./jsregexp.h"
      __label__ = 4; break; //@line 265 "./jsregexp.h"
    case 4: 
      __label__ = 5; break; //@line 265 "./jsregexp.h"
    case 5: 
      __label__ = 6; break; //@line 265 "./jsregexp.h"
    case 6: 
      var $14=$2; //@line 265 "./jsregexp.h"
      var $15=$str_; //@line 265 "./jsregexp.h"
      var $16=$15; //@line 265 "./jsregexp.h"
      _JS_CallTracer($14, $16, 1); //@line 265 "./jsregexp.h"
      __label__ = 7; break; //@line 265 "./jsregexp.h"
    case 7: 
      __label__ = 8; break; //@line 265 "./jsregexp.h"
    case 8: 
      __label__ = 9; break; //@line 265 "./jsregexp.h"
    case 9: 
      var $20=(($3+92)|0); //@line 266 "./jsregexp.h"
      var $21=HEAP32[(($20)>>2)]; //@line 266 "./jsregexp.h"
      var $22=(($21)|0)!=0; //@line 266 "./jsregexp.h"
      if ($22) { __label__ = 10; break; } else { __label__ = 17; break; } //@line 266 "./jsregexp.h"
    case 10: 
      __label__ = 11; break; //@line 267 "./jsregexp.h"
    case 11: 
      var $25=(($3+92)|0); //@line 267 "./jsregexp.h"
      var $26=HEAP32[(($25)>>2)]; //@line 267 "./jsregexp.h"
      var $27=$26; //@line 267 "./jsregexp.h"
      $str_1=$27; //@line 267 "./jsregexp.h"
      __label__ = 12; break; //@line 267 "./jsregexp.h"
    case 12: 
      __label__ = 13; break; //@line 267 "./jsregexp.h"
    case 13: 
      __label__ = 14; break; //@line 267 "./jsregexp.h"
    case 14: 
      var $31=$2; //@line 267 "./jsregexp.h"
      var $32=$str_1; //@line 267 "./jsregexp.h"
      var $33=$32; //@line 267 "./jsregexp.h"
      _JS_CallTracer($31, $33, 1); //@line 267 "./jsregexp.h"
      __label__ = 15; break; //@line 267 "./jsregexp.h"
    case 15: 
      __label__ = 16; break; //@line 267 "./jsregexp.h"
    case 16: 
      __label__ = 17; break; //@line 267 "./jsregexp.h"
    case 17: 
      ;
      return; //@line 268 "./jsregexp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext7delete_IN2js13RegExpStaticsEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js13RegExpStaticsD1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13RegExpStaticsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13RegExpStaticsD2Ev($2); //@line 57 "./jsregexp.h"
  ;
  return; //@line 57 "./jsregexp.h"
}


function __ZN2js13RegExpStaticsD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 57 "./jsregexp.h"
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEED1Ev($3); //@line 57 "./jsregexp.h"
  ;
  return; //@line 57 "./jsregexp.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE7destroyEPiS3_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11FindKeywordEPKtj($s, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $kw;
      var $chars;
      $2=$s;
      $3=$length;
      var $4=$3; //@line 49 "./jsautokw.h"
      if ((($4)|0) == 2) {
        __label__ = 2; break;
      }
      else if ((($4)|0) == 3) {
        __label__ = 13; break;
      }
      else if ((($4)|0) == 4) {
        __label__ = 36; break;
      }
      else if ((($4)|0) == 5) {
        __label__ = 81; break;
      }
      else if ((($4)|0) == 6) {
        __label__ = 139; break;
      }
      else if ((($4)|0) == 7) {
        __label__ = 162; break;
      }
      else if ((($4)|0) == 8) {
        __label__ = 172; break;
      }
      else if ((($4)|0) == 9) {
        __label__ = 181; break;
      }
      else if ((($4)|0) == 10) {
        __label__ = 186; break;
      }
      else {
      __label__ = 191; break;
      }
      
    case 2: 
      var $6=$2; //@line 51 "./jsautokw.h"
      var $7=(($6)|0); //@line 51 "./jsautokw.h"
      var $8=HEAPU16[(($7)>>1)]; //@line 51 "./jsautokw.h"
      var $9=(($8)&65535); //@line 51 "./jsautokw.h"
      var $10=(($9)|0)==100; //@line 51 "./jsautokw.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 51 "./jsautokw.h"
    case 3: 
      var $12=$2; //@line 52 "./jsautokw.h"
      var $13=(($12+2)|0); //@line 52 "./jsautokw.h"
      var $14=HEAPU16[(($13)>>1)]; //@line 52 "./jsautokw.h"
      var $15=(($14)&65535); //@line 52 "./jsautokw.h"
      var $16=(($15)|0)==111; //@line 52 "./jsautokw.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 52 "./jsautokw.h"
    case 4: 
      $i=10; //@line 53 "./jsautokw.h"
      __label__ = 192; break; //@line 53 "./jsautokw.h"
    case 5: 
      __label__ = 199; break; //@line 55 "./jsautokw.h"
    case 6: 
      var $20=$2; //@line 57 "./jsautokw.h"
      var $21=(($20)|0); //@line 57 "./jsautokw.h"
      var $22=HEAPU16[(($21)>>1)]; //@line 57 "./jsautokw.h"
      var $23=(($22)&65535); //@line 57 "./jsautokw.h"
      var $24=(($23)|0)==105; //@line 57 "./jsautokw.h"
      if ($24) { __label__ = 7; break; } else { __label__ = 12; break; } //@line 57 "./jsautokw.h"
    case 7: 
      var $26=$2; //@line 58 "./jsautokw.h"
      var $27=(($26+2)|0); //@line 58 "./jsautokw.h"
      var $28=HEAPU16[(($27)>>1)]; //@line 58 "./jsautokw.h"
      var $29=(($28)&65535); //@line 58 "./jsautokw.h"
      var $30=(($29)|0)==102; //@line 58 "./jsautokw.h"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 58 "./jsautokw.h"
    case 8: 
      $i=15; //@line 59 "./jsautokw.h"
      __label__ = 192; break; //@line 59 "./jsautokw.h"
    case 9: 
      var $33=$2; //@line 61 "./jsautokw.h"
      var $34=(($33+2)|0); //@line 61 "./jsautokw.h"
      var $35=HEAPU16[(($34)>>1)]; //@line 61 "./jsautokw.h"
      var $36=(($35)&65535); //@line 61 "./jsautokw.h"
      var $37=(($36)|0)==110; //@line 61 "./jsautokw.h"
      if ($37) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 61 "./jsautokw.h"
    case 10: 
      $i=16; //@line 62 "./jsautokw.h"
      __label__ = 192; break; //@line 62 "./jsautokw.h"
    case 11: 
      __label__ = 199; break; //@line 64 "./jsautokw.h"
    case 12: 
      __label__ = 199; break; //@line 66 "./jsautokw.h"
    case 13: 
      var $42=$2; //@line 68 "./jsautokw.h"
      var $43=(($42+4)|0); //@line 68 "./jsautokw.h"
      var $44=HEAPU16[(($43)>>1)]; //@line 68 "./jsautokw.h"
      var $45=(($44)&65535); //@line 68 "./jsautokw.h"
      if ((($45)|0) == 114) {
        __label__ = 14; break;
      }
      else if ((($45)|0) == 116) {
        __label__ = 23; break;
      }
      else if ((($45)|0) == 119) {
        __label__ = 27; break;
      }
      else if ((($45)|0) == 121) {
        __label__ = 31; break;
      }
      else {
      __label__ = 35; break;
      }
      
    case 14: 
      var $47=$2; //@line 70 "./jsautokw.h"
      var $48=(($47)|0); //@line 70 "./jsautokw.h"
      var $49=HEAPU16[(($48)>>1)]; //@line 70 "./jsautokw.h"
      var $50=(($49)&65535); //@line 70 "./jsautokw.h"
      var $51=(($50)|0)==102; //@line 70 "./jsautokw.h"
      if ($51) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 70 "./jsautokw.h"
    case 15: 
      var $53=$2; //@line 71 "./jsautokw.h"
      var $54=(($53+2)|0); //@line 71 "./jsautokw.h"
      var $55=HEAPU16[(($54)>>1)]; //@line 71 "./jsautokw.h"
      var $56=(($55)&65535); //@line 71 "./jsautokw.h"
      var $57=(($56)|0)==111; //@line 71 "./jsautokw.h"
      if ($57) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 71 "./jsautokw.h"
    case 16: 
      $i=13; //@line 72 "./jsautokw.h"
      __label__ = 192; break; //@line 72 "./jsautokw.h"
    case 17: 
      __label__ = 199; break; //@line 74 "./jsautokw.h"
    case 18: 
      var $61=$2; //@line 76 "./jsautokw.h"
      var $62=(($61)|0); //@line 76 "./jsautokw.h"
      var $63=HEAPU16[(($62)>>1)]; //@line 76 "./jsautokw.h"
      var $64=(($63)&65535); //@line 76 "./jsautokw.h"
      var $65=(($64)|0)==118; //@line 76 "./jsautokw.h"
      if ($65) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 76 "./jsautokw.h"
    case 19: 
      var $67=$2; //@line 77 "./jsautokw.h"
      var $68=(($67+2)|0); //@line 77 "./jsautokw.h"
      var $69=HEAPU16[(($68)>>1)]; //@line 77 "./jsautokw.h"
      var $70=(($69)&65535); //@line 77 "./jsautokw.h"
      var $71=(($70)|0)==97; //@line 77 "./jsautokw.h"
      if ($71) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 77 "./jsautokw.h"
    case 20: 
      $i=25; //@line 78 "./jsautokw.h"
      __label__ = 192; break; //@line 78 "./jsautokw.h"
    case 21: 
      __label__ = 199; break; //@line 80 "./jsautokw.h"
    case 22: 
      __label__ = 199; break; //@line 82 "./jsautokw.h"
    case 23: 
      var $76=$2; //@line 84 "./jsautokw.h"
      var $77=(($76)|0); //@line 84 "./jsautokw.h"
      var $78=HEAPU16[(($77)>>1)]; //@line 84 "./jsautokw.h"
      var $79=(($78)&65535); //@line 84 "./jsautokw.h"
      var $80=(($79)|0)==108; //@line 84 "./jsautokw.h"
      if ($80) { __label__ = 24; break; } else { __label__ = 26; break; } //@line 84 "./jsautokw.h"
    case 24: 
      var $82=$2; //@line 84 "./jsautokw.h"
      var $83=(($82+2)|0); //@line 84 "./jsautokw.h"
      var $84=HEAPU16[(($83)>>1)]; //@line 84 "./jsautokw.h"
      var $85=(($84)&65535); //@line 84 "./jsautokw.h"
      var $86=(($85)|0)==101; //@line 84 "./jsautokw.h"
      if ($86) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 84 "./jsautokw.h"
    case 25: 
      $i=36; //@line 85 "./jsautokw.h"
      __label__ = 192; break; //@line 85 "./jsautokw.h"
    case 26: 
      __label__ = 199; break; //@line 87 "./jsautokw.h"
    case 27: 
      var $90=$2; //@line 89 "./jsautokw.h"
      var $91=(($90)|0); //@line 89 "./jsautokw.h"
      var $92=HEAPU16[(($91)>>1)]; //@line 89 "./jsautokw.h"
      var $93=(($92)&65535); //@line 89 "./jsautokw.h"
      var $94=(($93)|0)==110; //@line 89 "./jsautokw.h"
      if ($94) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 89 "./jsautokw.h"
    case 28: 
      var $96=$2; //@line 89 "./jsautokw.h"
      var $97=(($96+2)|0); //@line 89 "./jsautokw.h"
      var $98=HEAPU16[(($97)>>1)]; //@line 89 "./jsautokw.h"
      var $99=(($98)&65535); //@line 89 "./jsautokw.h"
      var $100=(($99)|0)==101; //@line 89 "./jsautokw.h"
      if ($100) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 89 "./jsautokw.h"
    case 29: 
      $i=18; //@line 90 "./jsautokw.h"
      __label__ = 192; break; //@line 90 "./jsautokw.h"
    case 30: 
      __label__ = 199; break; //@line 92 "./jsautokw.h"
    case 31: 
      var $104=$2; //@line 94 "./jsautokw.h"
      var $105=(($104)|0); //@line 94 "./jsautokw.h"
      var $106=HEAPU16[(($105)>>1)]; //@line 94 "./jsautokw.h"
      var $107=(($106)&65535); //@line 94 "./jsautokw.h"
      var $108=(($107)|0)==116; //@line 94 "./jsautokw.h"
      if ($108) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 94 "./jsautokw.h"
    case 32: 
      var $110=$2; //@line 94 "./jsautokw.h"
      var $111=(($110+2)|0); //@line 94 "./jsautokw.h"
      var $112=HEAPU16[(($111)>>1)]; //@line 94 "./jsautokw.h"
      var $113=(($112)&65535); //@line 94 "./jsautokw.h"
      var $114=(($113)|0)==114; //@line 94 "./jsautokw.h"
      if ($114) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 94 "./jsautokw.h"
    case 33: 
      $i=23; //@line 95 "./jsautokw.h"
      __label__ = 192; break; //@line 95 "./jsautokw.h"
    case 34: 
      __label__ = 199; break; //@line 97 "./jsautokw.h"
    case 35: 
      __label__ = 199; break; //@line 99 "./jsautokw.h"
    case 36: 
      var $119=$2; //@line 101 "./jsautokw.h"
      var $120=(($119+4)|0); //@line 101 "./jsautokw.h"
      var $121=HEAPU16[(($120)>>1)]; //@line 101 "./jsautokw.h"
      var $122=(($121)&65535); //@line 101 "./jsautokw.h"
      if ((($122)|0) == 105) {
        __label__ = 37; break;
      }
      else if ((($122)|0) == 108) {
        __label__ = 48; break;
      }
      else if ((($122)|0) == 115) {
        __label__ = 53; break;
      }
      else if ((($122)|0) == 116) {
        __label__ = 64; break;
      }
      else if ((($122)|0) == 117) {
        __label__ = 69; break;
      }
      else {
      __label__ = 80; break;
      }
      
    case 37: 
      var $124=$2; //@line 103 "./jsautokw.h"
      var $125=(($124)|0); //@line 103 "./jsautokw.h"
      var $126=HEAPU16[(($125)>>1)]; //@line 103 "./jsautokw.h"
      var $127=(($126)&65535); //@line 103 "./jsautokw.h"
      var $128=(($127)|0)==116; //@line 103 "./jsautokw.h"
      if ($128) { __label__ = 38; break; } else { __label__ = 42; break; } //@line 103 "./jsautokw.h"
    case 38: 
      var $130=$2; //@line 104 "./jsautokw.h"
      var $131=(($130+6)|0); //@line 104 "./jsautokw.h"
      var $132=HEAPU16[(($131)>>1)]; //@line 104 "./jsautokw.h"
      var $133=(($132)&65535); //@line 104 "./jsautokw.h"
      var $134=(($133)|0)==115; //@line 104 "./jsautokw.h"
      if ($134) { __label__ = 39; break; } else { __label__ = 41; break; } //@line 104 "./jsautokw.h"
    case 39: 
      var $136=$2; //@line 104 "./jsautokw.h"
      var $137=(($136+2)|0); //@line 104 "./jsautokw.h"
      var $138=HEAPU16[(($137)>>1)]; //@line 104 "./jsautokw.h"
      var $139=(($138)&65535); //@line 104 "./jsautokw.h"
      var $140=(($139)|0)==104; //@line 104 "./jsautokw.h"
      if ($140) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 104 "./jsautokw.h"
    case 40: 
      $i=21; //@line 105 "./jsautokw.h"
      __label__ = 192; break; //@line 105 "./jsautokw.h"
    case 41: 
      __label__ = 199; break; //@line 107 "./jsautokw.h"
    case 42: 
      var $144=$2; //@line 109 "./jsautokw.h"
      var $145=(($144)|0); //@line 109 "./jsautokw.h"
      var $146=HEAPU16[(($145)>>1)]; //@line 109 "./jsautokw.h"
      var $147=(($146)&65535); //@line 109 "./jsautokw.h"
      var $148=(($147)|0)==118; //@line 109 "./jsautokw.h"
      if ($148) { __label__ = 43; break; } else { __label__ = 47; break; } //@line 109 "./jsautokw.h"
    case 43: 
      var $150=$2; //@line 110 "./jsautokw.h"
      var $151=(($150+6)|0); //@line 110 "./jsautokw.h"
      var $152=HEAPU16[(($151)>>1)]; //@line 110 "./jsautokw.h"
      var $153=(($152)&65535); //@line 110 "./jsautokw.h"
      var $154=(($153)|0)==100; //@line 110 "./jsautokw.h"
      if ($154) { __label__ = 44; break; } else { __label__ = 46; break; } //@line 110 "./jsautokw.h"
    case 44: 
      var $156=$2; //@line 110 "./jsautokw.h"
      var $157=(($156+2)|0); //@line 110 "./jsautokw.h"
      var $158=HEAPU16[(($157)>>1)]; //@line 110 "./jsautokw.h"
      var $159=(($158)&65535); //@line 110 "./jsautokw.h"
      var $160=(($159)|0)==111; //@line 110 "./jsautokw.h"
      if ($160) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 110 "./jsautokw.h"
    case 45: 
      $i=26; //@line 111 "./jsautokw.h"
      __label__ = 192; break; //@line 111 "./jsautokw.h"
    case 46: 
      __label__ = 199; break; //@line 113 "./jsautokw.h"
    case 47: 
      __label__ = 199; break; //@line 115 "./jsautokw.h"
    case 48: 
      var $165=$2; //@line 117 "./jsautokw.h"
      var $166=(($165)|0); //@line 117 "./jsautokw.h"
      var $167=HEAPU16[(($166)>>1)]; //@line 117 "./jsautokw.h"
      var $168=(($167)&65535); //@line 117 "./jsautokw.h"
      var $169=(($168)|0)==110; //@line 117 "./jsautokw.h"
      if ($169) { __label__ = 49; break; } else { __label__ = 52; break; } //@line 117 "./jsautokw.h"
    case 49: 
      var $171=$2; //@line 117 "./jsautokw.h"
      var $172=(($171+2)|0); //@line 117 "./jsautokw.h"
      var $173=HEAPU16[(($172)>>1)]; //@line 117 "./jsautokw.h"
      var $174=(($173)&65535); //@line 117 "./jsautokw.h"
      var $175=(($174)|0)==117; //@line 117 "./jsautokw.h"
      if ($175) { __label__ = 50; break; } else { __label__ = 52; break; } //@line 117 "./jsautokw.h"
    case 50: 
      var $177=$2; //@line 117 "./jsautokw.h"
      var $178=(($177+6)|0); //@line 117 "./jsautokw.h"
      var $179=HEAPU16[(($178)>>1)]; //@line 117 "./jsautokw.h"
      var $180=(($179)&65535); //@line 117 "./jsautokw.h"
      var $181=(($180)|0)==108; //@line 117 "./jsautokw.h"
      if ($181) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 117 "./jsautokw.h"
    case 51: 
      $i=2; //@line 118 "./jsautokw.h"
      __label__ = 192; break; //@line 118 "./jsautokw.h"
    case 52: 
      __label__ = 199; break; //@line 120 "./jsautokw.h"
    case 53: 
      var $185=$2; //@line 122 "./jsautokw.h"
      var $186=(($185+2)|0); //@line 122 "./jsautokw.h"
      var $187=HEAPU16[(($186)>>1)]; //@line 122 "./jsautokw.h"
      var $188=(($187)&65535); //@line 122 "./jsautokw.h"
      var $189=(($188)|0)==97; //@line 122 "./jsautokw.h"
      if ($189) { __label__ = 54; break; } else { __label__ = 58; break; } //@line 122 "./jsautokw.h"
    case 54: 
      var $191=$2; //@line 123 "./jsautokw.h"
      var $192=(($191)|0); //@line 123 "./jsautokw.h"
      var $193=HEAPU16[(($192)>>1)]; //@line 123 "./jsautokw.h"
      var $194=(($193)&65535); //@line 123 "./jsautokw.h"
      var $195=(($194)|0)==99; //@line 123 "./jsautokw.h"
      if ($195) { __label__ = 55; break; } else { __label__ = 57; break; } //@line 123 "./jsautokw.h"
    case 55: 
      var $197=$2; //@line 123 "./jsautokw.h"
      var $198=(($197+6)|0); //@line 123 "./jsautokw.h"
      var $199=HEAPU16[(($198)>>1)]; //@line 123 "./jsautokw.h"
      var $200=(($199)&65535); //@line 123 "./jsautokw.h"
      var $201=(($200)|0)==101; //@line 123 "./jsautokw.h"
      if ($201) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 123 "./jsautokw.h"
    case 56: 
      $i=4; //@line 124 "./jsautokw.h"
      __label__ = 192; break; //@line 124 "./jsautokw.h"
    case 57: 
      __label__ = 199; break; //@line 126 "./jsautokw.h"
    case 58: 
      var $205=$2; //@line 128 "./jsautokw.h"
      var $206=(($205+2)|0); //@line 128 "./jsautokw.h"
      var $207=HEAPU16[(($206)>>1)]; //@line 128 "./jsautokw.h"
      var $208=(($207)&65535); //@line 128 "./jsautokw.h"
      var $209=(($208)|0)==108; //@line 128 "./jsautokw.h"
      if ($209) { __label__ = 59; break; } else { __label__ = 63; break; } //@line 128 "./jsautokw.h"
    case 59: 
      var $211=$2; //@line 129 "./jsautokw.h"
      var $212=(($211)|0); //@line 129 "./jsautokw.h"
      var $213=HEAPU16[(($212)>>1)]; //@line 129 "./jsautokw.h"
      var $214=(($213)&65535); //@line 129 "./jsautokw.h"
      var $215=(($214)|0)==101; //@line 129 "./jsautokw.h"
      if ($215) { __label__ = 60; break; } else { __label__ = 62; break; } //@line 129 "./jsautokw.h"
    case 60: 
      var $217=$2; //@line 129 "./jsautokw.h"
      var $218=(($217+6)|0); //@line 129 "./jsautokw.h"
      var $219=HEAPU16[(($218)>>1)]; //@line 129 "./jsautokw.h"
      var $220=(($219)&65535); //@line 129 "./jsautokw.h"
      var $221=(($220)|0)==101; //@line 129 "./jsautokw.h"
      if ($221) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 129 "./jsautokw.h"
    case 61: 
      $i=11; //@line 130 "./jsautokw.h"
      __label__ = 192; break; //@line 130 "./jsautokw.h"
    case 62: 
      __label__ = 199; break; //@line 132 "./jsautokw.h"
    case 63: 
      __label__ = 199; break; //@line 134 "./jsautokw.h"
    case 64: 
      var $226=$2; //@line 136 "./jsautokw.h"
      var $227=(($226)|0); //@line 136 "./jsautokw.h"
      var $228=HEAPU16[(($227)>>1)]; //@line 136 "./jsautokw.h"
      var $229=(($228)&65535); //@line 136 "./jsautokw.h"
      var $230=(($229)|0)==119; //@line 136 "./jsautokw.h"
      if ($230) { __label__ = 65; break; } else { __label__ = 68; break; } //@line 136 "./jsautokw.h"
    case 65: 
      var $232=$2; //@line 136 "./jsautokw.h"
      var $233=(($232+2)|0); //@line 136 "./jsautokw.h"
      var $234=HEAPU16[(($233)>>1)]; //@line 136 "./jsautokw.h"
      var $235=(($234)&65535); //@line 136 "./jsautokw.h"
      var $236=(($235)|0)==105; //@line 136 "./jsautokw.h"
      if ($236) { __label__ = 66; break; } else { __label__ = 68; break; } //@line 136 "./jsautokw.h"
    case 66: 
      var $238=$2; //@line 136 "./jsautokw.h"
      var $239=(($238+6)|0); //@line 136 "./jsautokw.h"
      var $240=HEAPU16[(($239)>>1)]; //@line 136 "./jsautokw.h"
      var $241=(($240)&65535); //@line 136 "./jsautokw.h"
      var $242=(($241)|0)==104; //@line 136 "./jsautokw.h"
      if ($242) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 136 "./jsautokw.h"
    case 67: 
      $i=28; //@line 137 "./jsautokw.h"
      __label__ = 192; break; //@line 137 "./jsautokw.h"
    case 68: 
      __label__ = 199; break; //@line 139 "./jsautokw.h"
    case 69: 
      var $246=$2; //@line 141 "./jsautokw.h"
      var $247=(($246)|0); //@line 141 "./jsautokw.h"
      var $248=HEAPU16[(($247)>>1)]; //@line 141 "./jsautokw.h"
      var $249=(($248)&65535); //@line 141 "./jsautokw.h"
      var $250=(($249)|0)==101; //@line 141 "./jsautokw.h"
      if ($250) { __label__ = 70; break; } else { __label__ = 74; break; } //@line 141 "./jsautokw.h"
    case 70: 
      var $252=$2; //@line 142 "./jsautokw.h"
      var $253=(($252+6)|0); //@line 142 "./jsautokw.h"
      var $254=HEAPU16[(($253)>>1)]; //@line 142 "./jsautokw.h"
      var $255=(($254)&65535); //@line 142 "./jsautokw.h"
      var $256=(($255)|0)==109; //@line 142 "./jsautokw.h"
      if ($256) { __label__ = 71; break; } else { __label__ = 73; break; } //@line 142 "./jsautokw.h"
    case 71: 
      var $258=$2; //@line 142 "./jsautokw.h"
      var $259=(($258+2)|0); //@line 142 "./jsautokw.h"
      var $260=HEAPU16[(($259)>>1)]; //@line 142 "./jsautokw.h"
      var $261=(($260)&65535); //@line 142 "./jsautokw.h"
      var $262=(($261)|0)==110; //@line 142 "./jsautokw.h"
      if ($262) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 142 "./jsautokw.h"
    case 72: 
      $i=30; //@line 143 "./jsautokw.h"
      __label__ = 192; break; //@line 143 "./jsautokw.h"
    case 73: 
      __label__ = 199; break; //@line 145 "./jsautokw.h"
    case 74: 
      var $266=$2; //@line 147 "./jsautokw.h"
      var $267=(($266)|0); //@line 147 "./jsautokw.h"
      var $268=HEAPU16[(($267)>>1)]; //@line 147 "./jsautokw.h"
      var $269=(($268)&65535); //@line 147 "./jsautokw.h"
      var $270=(($269)|0)==116; //@line 147 "./jsautokw.h"
      if ($270) { __label__ = 75; break; } else { __label__ = 79; break; } //@line 147 "./jsautokw.h"
    case 75: 
      var $272=$2; //@line 148 "./jsautokw.h"
      var $273=(($272+6)|0); //@line 148 "./jsautokw.h"
      var $274=HEAPU16[(($273)>>1)]; //@line 148 "./jsautokw.h"
      var $275=(($274)&65535); //@line 148 "./jsautokw.h"
      var $276=(($275)|0)==101; //@line 148 "./jsautokw.h"
      if ($276) { __label__ = 76; break; } else { __label__ = 78; break; } //@line 148 "./jsautokw.h"
    case 76: 
      var $278=$2; //@line 148 "./jsautokw.h"
      var $279=(($278+2)|0); //@line 148 "./jsautokw.h"
      var $280=HEAPU16[(($279)>>1)]; //@line 148 "./jsautokw.h"
      var $281=(($280)&65535); //@line 148 "./jsautokw.h"
      var $282=(($281)|0)==114; //@line 148 "./jsautokw.h"
      if ($282) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 148 "./jsautokw.h"
    case 77: 
      $i=1; //@line 149 "./jsautokw.h"
      __label__ = 192; break; //@line 149 "./jsautokw.h"
    case 78: 
      __label__ = 199; break; //@line 151 "./jsautokw.h"
    case 79: 
      __label__ = 199; break; //@line 153 "./jsautokw.h"
    case 80: 
      __label__ = 199; break; //@line 155 "./jsautokw.h"
    case 81: 
      var $288=$2; //@line 157 "./jsautokw.h"
      var $289=(($288+6)|0); //@line 157 "./jsautokw.h"
      var $290=HEAPU16[(($289)>>1)]; //@line 157 "./jsautokw.h"
      var $291=(($290)&65535); //@line 157 "./jsautokw.h"
      if ((($291)|0) == 97) {
        __label__ = 82; break;
      }
      else if ((($291)|0) == 99) {
        __label__ = 88; break;
      }
      else if ((($291)|0) == 101) {
        __label__ = 94; break;
      }
      else if ((($291)|0) == 108) {
        __label__ = 100; break;
      }
      else if ((($291)|0) == 111) {
        __label__ = 113; break;
      }
      else if ((($291)|0) == 115) {
        __label__ = 119; break;
      }
      else {
      __label__ = 138; break;
      }
      
    case 82: 
      var $293=$2; //@line 159 "./jsautokw.h"
      var $294=(($293)|0); //@line 159 "./jsautokw.h"
      var $295=HEAPU16[(($294)>>1)]; //@line 159 "./jsautokw.h"
      var $296=(($295)&65535); //@line 159 "./jsautokw.h"
      var $297=(($296)|0)==98; //@line 159 "./jsautokw.h"
      if ($297) { __label__ = 83; break; } else { __label__ = 87; break; } //@line 159 "./jsautokw.h"
    case 83: 
      var $299=$2; //@line 159 "./jsautokw.h"
      var $300=(($299+2)|0); //@line 159 "./jsautokw.h"
      var $301=HEAPU16[(($300)>>1)]; //@line 159 "./jsautokw.h"
      var $302=(($301)&65535); //@line 159 "./jsautokw.h"
      var $303=(($302)|0)==114; //@line 159 "./jsautokw.h"
      if ($303) { __label__ = 84; break; } else { __label__ = 87; break; } //@line 159 "./jsautokw.h"
    case 84: 
      var $305=$2; //@line 159 "./jsautokw.h"
      var $306=(($305+4)|0); //@line 159 "./jsautokw.h"
      var $307=HEAPU16[(($306)>>1)]; //@line 159 "./jsautokw.h"
      var $308=(($307)&65535); //@line 159 "./jsautokw.h"
      var $309=(($308)|0)==101; //@line 159 "./jsautokw.h"
      if ($309) { __label__ = 85; break; } else { __label__ = 87; break; } //@line 159 "./jsautokw.h"
    case 85: 
      var $311=$2; //@line 159 "./jsautokw.h"
      var $312=(($311+8)|0); //@line 159 "./jsautokw.h"
      var $313=HEAPU16[(($312)>>1)]; //@line 159 "./jsautokw.h"
      var $314=(($313)&65535); //@line 159 "./jsautokw.h"
      var $315=(($314)|0)==107; //@line 159 "./jsautokw.h"
      if ($315) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 159 "./jsautokw.h"
    case 86: 
      $i=3; //@line 160 "./jsautokw.h"
      __label__ = 192; break; //@line 160 "./jsautokw.h"
    case 87: 
      __label__ = 199; break; //@line 162 "./jsautokw.h"
    case 88: 
      var $319=$2; //@line 164 "./jsautokw.h"
      var $320=(($319)|0); //@line 164 "./jsautokw.h"
      var $321=HEAPU16[(($320)>>1)]; //@line 164 "./jsautokw.h"
      var $322=(($321)&65535); //@line 164 "./jsautokw.h"
      var $323=(($322)|0)==99; //@line 164 "./jsautokw.h"
      if ($323) { __label__ = 89; break; } else { __label__ = 93; break; } //@line 164 "./jsautokw.h"
    case 89: 
      var $325=$2; //@line 164 "./jsautokw.h"
      var $326=(($325+2)|0); //@line 164 "./jsautokw.h"
      var $327=HEAPU16[(($326)>>1)]; //@line 164 "./jsautokw.h"
      var $328=(($327)&65535); //@line 164 "./jsautokw.h"
      var $329=(($328)|0)==97; //@line 164 "./jsautokw.h"
      if ($329) { __label__ = 90; break; } else { __label__ = 93; break; } //@line 164 "./jsautokw.h"
    case 90: 
      var $331=$2; //@line 164 "./jsautokw.h"
      var $332=(($331+4)|0); //@line 164 "./jsautokw.h"
      var $333=HEAPU16[(($332)>>1)]; //@line 164 "./jsautokw.h"
      var $334=(($333)&65535); //@line 164 "./jsautokw.h"
      var $335=(($334)|0)==116; //@line 164 "./jsautokw.h"
      if ($335) { __label__ = 91; break; } else { __label__ = 93; break; } //@line 164 "./jsautokw.h"
    case 91: 
      var $337=$2; //@line 164 "./jsautokw.h"
      var $338=(($337+8)|0); //@line 164 "./jsautokw.h"
      var $339=HEAPU16[(($338)>>1)]; //@line 164 "./jsautokw.h"
      var $340=(($339)&65535); //@line 164 "./jsautokw.h"
      var $341=(($340)|0)==104; //@line 164 "./jsautokw.h"
      if ($341) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 164 "./jsautokw.h"
    case 92: 
      $i=5; //@line 165 "./jsautokw.h"
      __label__ = 192; break; //@line 165 "./jsautokw.h"
    case 93: 
      __label__ = 199; break; //@line 167 "./jsautokw.h"
    case 94: 
      var $345=$2; //@line 169 "./jsautokw.h"
      var $346=(($345)|0); //@line 169 "./jsautokw.h"
      var $347=HEAPU16[(($346)>>1)]; //@line 169 "./jsautokw.h"
      var $348=(($347)&65535); //@line 169 "./jsautokw.h"
      var $349=(($348)|0)==115; //@line 169 "./jsautokw.h"
      if ($349) { __label__ = 95; break; } else { __label__ = 99; break; } //@line 169 "./jsautokw.h"
    case 95: 
      var $351=$2; //@line 169 "./jsautokw.h"
      var $352=(($351+2)|0); //@line 169 "./jsautokw.h"
      var $353=HEAPU16[(($352)>>1)]; //@line 169 "./jsautokw.h"
      var $354=(($353)&65535); //@line 169 "./jsautokw.h"
      var $355=(($354)|0)==117; //@line 169 "./jsautokw.h"
      if ($355) { __label__ = 96; break; } else { __label__ = 99; break; } //@line 169 "./jsautokw.h"
    case 96: 
      var $357=$2; //@line 169 "./jsautokw.h"
      var $358=(($357+4)|0); //@line 169 "./jsautokw.h"
      var $359=HEAPU16[(($358)>>1)]; //@line 169 "./jsautokw.h"
      var $360=(($359)&65535); //@line 169 "./jsautokw.h"
      var $361=(($360)|0)==112; //@line 169 "./jsautokw.h"
      if ($361) { __label__ = 97; break; } else { __label__ = 99; break; } //@line 169 "./jsautokw.h"
    case 97: 
      var $363=$2; //@line 169 "./jsautokw.h"
      var $364=(($363+8)|0); //@line 169 "./jsautokw.h"
      var $365=HEAPU16[(($364)>>1)]; //@line 169 "./jsautokw.h"
      var $366=(($365)&65535); //@line 169 "./jsautokw.h"
      var $367=(($366)|0)==114; //@line 169 "./jsautokw.h"
      if ($367) { __label__ = 98; break; } else { __label__ = 99; break; } //@line 169 "./jsautokw.h"
    case 98: 
      $i=34; //@line 170 "./jsautokw.h"
      __label__ = 192; break; //@line 170 "./jsautokw.h"
    case 99: 
      __label__ = 199; break; //@line 172 "./jsautokw.h"
    case 100: 
      var $371=$2; //@line 174 "./jsautokw.h"
      var $372=(($371)|0); //@line 174 "./jsautokw.h"
      var $373=HEAPU16[(($372)>>1)]; //@line 174 "./jsautokw.h"
      var $374=(($373)&65535); //@line 174 "./jsautokw.h"
      var $375=(($374)|0)==119; //@line 174 "./jsautokw.h"
      if ($375) { __label__ = 101; break; } else { __label__ = 106; break; } //@line 174 "./jsautokw.h"
    case 101: 
      var $377=$2; //@line 175 "./jsautokw.h"
      var $378=(($377+8)|0); //@line 175 "./jsautokw.h"
      var $379=HEAPU16[(($378)>>1)]; //@line 175 "./jsautokw.h"
      var $380=(($379)&65535); //@line 175 "./jsautokw.h"
      var $381=(($380)|0)==101; //@line 175 "./jsautokw.h"
      if ($381) { __label__ = 102; break; } else { __label__ = 105; break; } //@line 175 "./jsautokw.h"
    case 102: 
      var $383=$2; //@line 175 "./jsautokw.h"
      var $384=(($383+2)|0); //@line 175 "./jsautokw.h"
      var $385=HEAPU16[(($384)>>1)]; //@line 175 "./jsautokw.h"
      var $386=(($385)&65535); //@line 175 "./jsautokw.h"
      var $387=(($386)|0)==104; //@line 175 "./jsautokw.h"
      if ($387) { __label__ = 103; break; } else { __label__ = 105; break; } //@line 175 "./jsautokw.h"
    case 103: 
      var $389=$2; //@line 175 "./jsautokw.h"
      var $390=(($389+4)|0); //@line 175 "./jsautokw.h"
      var $391=HEAPU16[(($390)>>1)]; //@line 175 "./jsautokw.h"
      var $392=(($391)&65535); //@line 175 "./jsautokw.h"
      var $393=(($392)|0)==105; //@line 175 "./jsautokw.h"
      if ($393) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 175 "./jsautokw.h"
    case 104: 
      $i=27; //@line 176 "./jsautokw.h"
      __label__ = 192; break; //@line 176 "./jsautokw.h"
    case 105: 
      __label__ = 199; break; //@line 178 "./jsautokw.h"
    case 106: 
      var $397=$2; //@line 180 "./jsautokw.h"
      var $398=(($397)|0); //@line 180 "./jsautokw.h"
      var $399=HEAPU16[(($398)>>1)]; //@line 180 "./jsautokw.h"
      var $400=(($399)&65535); //@line 180 "./jsautokw.h"
      var $401=(($400)|0)==121; //@line 180 "./jsautokw.h"
      if ($401) { __label__ = 107; break; } else { __label__ = 112; break; } //@line 180 "./jsautokw.h"
    case 107: 
      var $403=$2; //@line 181 "./jsautokw.h"
      var $404=(($403+8)|0); //@line 181 "./jsautokw.h"
      var $405=HEAPU16[(($404)>>1)]; //@line 181 "./jsautokw.h"
      var $406=(($405)&65535); //@line 181 "./jsautokw.h"
      var $407=(($406)|0)==100; //@line 181 "./jsautokw.h"
      if ($407) { __label__ = 108; break; } else { __label__ = 111; break; } //@line 181 "./jsautokw.h"
    case 108: 
      var $409=$2; //@line 181 "./jsautokw.h"
      var $410=(($409+2)|0); //@line 181 "./jsautokw.h"
      var $411=HEAPU16[(($410)>>1)]; //@line 181 "./jsautokw.h"
      var $412=(($411)&65535); //@line 181 "./jsautokw.h"
      var $413=(($412)|0)==105; //@line 181 "./jsautokw.h"
      if ($413) { __label__ = 109; break; } else { __label__ = 111; break; } //@line 181 "./jsautokw.h"
    case 109: 
      var $415=$2; //@line 181 "./jsautokw.h"
      var $416=(($415+4)|0); //@line 181 "./jsautokw.h"
      var $417=HEAPU16[(($416)>>1)]; //@line 181 "./jsautokw.h"
      var $418=(($417)&65535); //@line 181 "./jsautokw.h"
      var $419=(($418)|0)==101; //@line 181 "./jsautokw.h"
      if ($419) { __label__ = 110; break; } else { __label__ = 111; break; } //@line 181 "./jsautokw.h"
    case 110: 
      $i=37; //@line 182 "./jsautokw.h"
      __label__ = 192; break; //@line 182 "./jsautokw.h"
    case 111: 
      __label__ = 199; break; //@line 184 "./jsautokw.h"
    case 112: 
      __label__ = 199; break; //@line 186 "./jsautokw.h"
    case 113: 
      var $424=$2; //@line 188 "./jsautokw.h"
      var $425=(($424)|0); //@line 188 "./jsautokw.h"
      var $426=HEAPU16[(($425)>>1)]; //@line 188 "./jsautokw.h"
      var $427=(($426)&65535); //@line 188 "./jsautokw.h"
      var $428=(($427)|0)==116; //@line 188 "./jsautokw.h"
      if ($428) { __label__ = 114; break; } else { __label__ = 118; break; } //@line 188 "./jsautokw.h"
    case 114: 
      var $430=$2; //@line 188 "./jsautokw.h"
      var $431=(($430+2)|0); //@line 188 "./jsautokw.h"
      var $432=HEAPU16[(($431)>>1)]; //@line 188 "./jsautokw.h"
      var $433=(($432)&65535); //@line 188 "./jsautokw.h"
      var $434=(($433)|0)==104; //@line 188 "./jsautokw.h"
      if ($434) { __label__ = 115; break; } else { __label__ = 118; break; } //@line 188 "./jsautokw.h"
    case 115: 
      var $436=$2; //@line 188 "./jsautokw.h"
      var $437=(($436+4)|0); //@line 188 "./jsautokw.h"
      var $438=HEAPU16[(($437)>>1)]; //@line 188 "./jsautokw.h"
      var $439=(($438)&65535); //@line 188 "./jsautokw.h"
      var $440=(($439)|0)==114; //@line 188 "./jsautokw.h"
      if ($440) { __label__ = 116; break; } else { __label__ = 118; break; } //@line 188 "./jsautokw.h"
    case 116: 
      var $442=$2; //@line 188 "./jsautokw.h"
      var $443=(($442+8)|0); //@line 188 "./jsautokw.h"
      var $444=HEAPU16[(($443)>>1)]; //@line 188 "./jsautokw.h"
      var $445=(($444)&65535); //@line 188 "./jsautokw.h"
      var $446=(($445)|0)==119; //@line 188 "./jsautokw.h"
      if ($446) { __label__ = 117; break; } else { __label__ = 118; break; } //@line 188 "./jsautokw.h"
    case 117: 
      $i=22; //@line 189 "./jsautokw.h"
      __label__ = 192; break; //@line 189 "./jsautokw.h"
    case 118: 
      __label__ = 199; break; //@line 191 "./jsautokw.h"
    case 119: 
      var $450=$2; //@line 193 "./jsautokw.h"
      var $451=(($450)|0); //@line 193 "./jsautokw.h"
      var $452=HEAPU16[(($451)>>1)]; //@line 193 "./jsautokw.h"
      var $453=(($452)&65535); //@line 193 "./jsautokw.h"
      var $454=(($453)|0)==99; //@line 193 "./jsautokw.h"
      if ($454) { __label__ = 120; break; } else { __label__ = 131; break; } //@line 193 "./jsautokw.h"
    case 120: 
      var $456=$2; //@line 194 "./jsautokw.h"
      var $457=(($456+8)|0); //@line 194 "./jsautokw.h"
      var $458=HEAPU16[(($457)>>1)]; //@line 194 "./jsautokw.h"
      var $459=(($458)&65535); //@line 194 "./jsautokw.h"
      var $460=(($459)|0)==115; //@line 194 "./jsautokw.h"
      if ($460) { __label__ = 121; break; } else { __label__ = 125; break; } //@line 194 "./jsautokw.h"
    case 121: 
      var $462=$2; //@line 195 "./jsautokw.h"
      var $463=(($462+4)|0); //@line 195 "./jsautokw.h"
      var $464=HEAPU16[(($463)>>1)]; //@line 195 "./jsautokw.h"
      var $465=(($464)&65535); //@line 195 "./jsautokw.h"
      var $466=(($465)|0)==97; //@line 195 "./jsautokw.h"
      if ($466) { __label__ = 122; break; } else { __label__ = 124; break; } //@line 195 "./jsautokw.h"
    case 122: 
      var $468=$2; //@line 195 "./jsautokw.h"
      var $469=(($468+2)|0); //@line 195 "./jsautokw.h"
      var $470=HEAPU16[(($469)>>1)]; //@line 195 "./jsautokw.h"
      var $471=(($470)&65535); //@line 195 "./jsautokw.h"
      var $472=(($471)|0)==108; //@line 195 "./jsautokw.h"
      if ($472) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 195 "./jsautokw.h"
    case 123: 
      $i=29; //@line 196 "./jsautokw.h"
      __label__ = 192; break; //@line 196 "./jsautokw.h"
    case 124: 
      __label__ = 199; break; //@line 198 "./jsautokw.h"
    case 125: 
      var $476=$2; //@line 200 "./jsautokw.h"
      var $477=(($476+8)|0); //@line 200 "./jsautokw.h"
      var $478=HEAPU16[(($477)>>1)]; //@line 200 "./jsautokw.h"
      var $479=(($478)&65535); //@line 200 "./jsautokw.h"
      var $480=(($479)|0)==116; //@line 200 "./jsautokw.h"
      if ($480) { __label__ = 126; break; } else { __label__ = 130; break; } //@line 200 "./jsautokw.h"
    case 126: 
      var $482=$2; //@line 201 "./jsautokw.h"
      var $483=(($482+4)|0); //@line 201 "./jsautokw.h"
      var $484=HEAPU16[(($483)>>1)]; //@line 201 "./jsautokw.h"
      var $485=(($484)&65535); //@line 201 "./jsautokw.h"
      var $486=(($485)|0)==110; //@line 201 "./jsautokw.h"
      if ($486) { __label__ = 127; break; } else { __label__ = 129; break; } //@line 201 "./jsautokw.h"
    case 127: 
      var $488=$2; //@line 201 "./jsautokw.h"
      var $489=(($488+2)|0); //@line 201 "./jsautokw.h"
      var $490=HEAPU16[(($489)>>1)]; //@line 201 "./jsautokw.h"
      var $491=(($490)&65535); //@line 201 "./jsautokw.h"
      var $492=(($491)|0)==111; //@line 201 "./jsautokw.h"
      if ($492) { __label__ = 128; break; } else { __label__ = 129; break; } //@line 201 "./jsautokw.h"
    case 128: 
      $i=35; //@line 202 "./jsautokw.h"
      __label__ = 192; break; //@line 202 "./jsautokw.h"
    case 129: 
      __label__ = 199; break; //@line 204 "./jsautokw.h"
    case 130: 
      __label__ = 199; break; //@line 206 "./jsautokw.h"
    case 131: 
      var $497=$2; //@line 208 "./jsautokw.h"
      var $498=(($497)|0); //@line 208 "./jsautokw.h"
      var $499=HEAPU16[(($498)>>1)]; //@line 208 "./jsautokw.h"
      var $500=(($499)&65535); //@line 208 "./jsautokw.h"
      var $501=(($500)|0)==102; //@line 208 "./jsautokw.h"
      if ($501) { __label__ = 132; break; } else { __label__ = 137; break; } //@line 208 "./jsautokw.h"
    case 132: 
      var $503=$2; //@line 209 "./jsautokw.h"
      var $504=(($503+8)|0); //@line 209 "./jsautokw.h"
      var $505=HEAPU16[(($504)>>1)]; //@line 209 "./jsautokw.h"
      var $506=(($505)&65535); //@line 209 "./jsautokw.h"
      var $507=(($506)|0)==101; //@line 209 "./jsautokw.h"
      if ($507) { __label__ = 133; break; } else { __label__ = 136; break; } //@line 209 "./jsautokw.h"
    case 133: 
      var $509=$2; //@line 209 "./jsautokw.h"
      var $510=(($509+2)|0); //@line 209 "./jsautokw.h"
      var $511=HEAPU16[(($510)>>1)]; //@line 209 "./jsautokw.h"
      var $512=(($511)&65535); //@line 209 "./jsautokw.h"
      var $513=(($512)|0)==97; //@line 209 "./jsautokw.h"
      if ($513) { __label__ = 134; break; } else { __label__ = 136; break; } //@line 209 "./jsautokw.h"
    case 134: 
      var $515=$2; //@line 209 "./jsautokw.h"
      var $516=(($515+4)|0); //@line 209 "./jsautokw.h"
      var $517=HEAPU16[(($516)>>1)]; //@line 209 "./jsautokw.h"
      var $518=(($517)&65535); //@line 209 "./jsautokw.h"
      var $519=(($518)|0)==108; //@line 209 "./jsautokw.h"
      if ($519) { __label__ = 135; break; } else { __label__ = 136; break; } //@line 209 "./jsautokw.h"
    case 135: 
      $i=0; //@line 210 "./jsautokw.h"
      __label__ = 192; break; //@line 210 "./jsautokw.h"
    case 136: 
      __label__ = 199; break; //@line 212 "./jsautokw.h"
    case 137: 
      __label__ = 199; break; //@line 214 "./jsautokw.h"
    case 138: 
      __label__ = 199; break; //@line 216 "./jsautokw.h"
    case 139: 
      var $525=$2; //@line 218 "./jsautokw.h"
      var $526=(($525)|0); //@line 218 "./jsautokw.h"
      var $527=HEAPU16[(($526)>>1)]; //@line 218 "./jsautokw.h"
      var $528=(($527)&65535); //@line 218 "./jsautokw.h"
      if ((($528)|0) == 100) {
        __label__ = 140; break;
      }
      else if ((($528)|0) == 101) {
        __label__ = 141; break;
      }
      else if ((($528)|0) == 105) {
        __label__ = 142; break;
      }
      else if ((($528)|0) == 112) {
        __label__ = 143; break;
      }
      else if ((($528)|0) == 114) {
        __label__ = 144; break;
      }
      else if ((($528)|0) == 115) {
        __label__ = 145; break;
      }
      else if ((($528)|0) == 116) {
        __label__ = 160; break;
      }
      else {
      __label__ = 161; break;
      }
      
    case 140: 
      $i=9; //@line 220 "./jsautokw.h"
      __label__ = 193; break; //@line 220 "./jsautokw.h"
    case 141: 
      $i=31; //@line 222 "./jsautokw.h"
      __label__ = 193; break; //@line 222 "./jsautokw.h"
    case 142: 
      $i=33; //@line 224 "./jsautokw.h"
      __label__ = 193; break; //@line 224 "./jsautokw.h"
    case 143: 
      $i=43; //@line 226 "./jsautokw.h"
      __label__ = 193; break; //@line 226 "./jsautokw.h"
    case 144: 
      $i=19; //@line 228 "./jsautokw.h"
      __label__ = 193; break; //@line 228 "./jsautokw.h"
    case 145: 
      var $535=$2; //@line 230 "./jsautokw.h"
      var $536=(($535+2)|0); //@line 230 "./jsautokw.h"
      var $537=HEAPU16[(($536)>>1)]; //@line 230 "./jsautokw.h"
      var $538=(($537)&65535); //@line 230 "./jsautokw.h"
      var $539=(($538)|0)==116; //@line 230 "./jsautokw.h"
      if ($539) { __label__ = 146; break; } else { __label__ = 152; break; } //@line 230 "./jsautokw.h"
    case 146: 
      var $541=$2; //@line 231 "./jsautokw.h"
      var $542=(($541+10)|0); //@line 231 "./jsautokw.h"
      var $543=HEAPU16[(($542)>>1)]; //@line 231 "./jsautokw.h"
      var $544=(($543)&65535); //@line 231 "./jsautokw.h"
      var $545=(($544)|0)==99; //@line 231 "./jsautokw.h"
      if ($545) { __label__ = 147; break; } else { __label__ = 151; break; } //@line 231 "./jsautokw.h"
    case 147: 
      var $547=$2; //@line 231 "./jsautokw.h"
      var $548=(($547+8)|0); //@line 231 "./jsautokw.h"
      var $549=HEAPU16[(($548)>>1)]; //@line 231 "./jsautokw.h"
      var $550=(($549)&65535); //@line 231 "./jsautokw.h"
      var $551=(($550)|0)==105; //@line 231 "./jsautokw.h"
      if ($551) { __label__ = 148; break; } else { __label__ = 151; break; } //@line 231 "./jsautokw.h"
    case 148: 
      var $553=$2; //@line 231 "./jsautokw.h"
      var $554=(($553+4)|0); //@line 231 "./jsautokw.h"
      var $555=HEAPU16[(($554)>>1)]; //@line 231 "./jsautokw.h"
      var $556=(($555)&65535); //@line 231 "./jsautokw.h"
      var $557=(($556)|0)==97; //@line 231 "./jsautokw.h"
      if ($557) { __label__ = 149; break; } else { __label__ = 151; break; } //@line 231 "./jsautokw.h"
    case 149: 
      var $559=$2; //@line 231 "./jsautokw.h"
      var $560=(($559+6)|0); //@line 231 "./jsautokw.h"
      var $561=HEAPU16[(($560)>>1)]; //@line 231 "./jsautokw.h"
      var $562=(($561)&65535); //@line 231 "./jsautokw.h"
      var $563=(($562)|0)==116; //@line 231 "./jsautokw.h"
      if ($563) { __label__ = 150; break; } else { __label__ = 151; break; } //@line 231 "./jsautokw.h"
    case 150: 
      $i=44; //@line 232 "./jsautokw.h"
      __label__ = 192; break; //@line 232 "./jsautokw.h"
    case 151: 
      __label__ = 199; break; //@line 234 "./jsautokw.h"
    case 152: 
      var $567=$2; //@line 236 "./jsautokw.h"
      var $568=(($567+2)|0); //@line 236 "./jsautokw.h"
      var $569=HEAPU16[(($568)>>1)]; //@line 236 "./jsautokw.h"
      var $570=(($569)&65535); //@line 236 "./jsautokw.h"
      var $571=(($570)|0)==119; //@line 236 "./jsautokw.h"
      if ($571) { __label__ = 153; break; } else { __label__ = 159; break; } //@line 236 "./jsautokw.h"
    case 153: 
      var $573=$2; //@line 237 "./jsautokw.h"
      var $574=(($573+10)|0); //@line 237 "./jsautokw.h"
      var $575=HEAPU16[(($574)>>1)]; //@line 237 "./jsautokw.h"
      var $576=(($575)&65535); //@line 237 "./jsautokw.h"
      var $577=(($576)|0)==104; //@line 237 "./jsautokw.h"
      if ($577) { __label__ = 154; break; } else { __label__ = 158; break; } //@line 237 "./jsautokw.h"
    case 154: 
      var $579=$2; //@line 237 "./jsautokw.h"
      var $580=(($579+8)|0); //@line 237 "./jsautokw.h"
      var $581=HEAPU16[(($580)>>1)]; //@line 237 "./jsautokw.h"
      var $582=(($581)&65535); //@line 237 "./jsautokw.h"
      var $583=(($582)|0)==99; //@line 237 "./jsautokw.h"
      if ($583) { __label__ = 155; break; } else { __label__ = 158; break; } //@line 237 "./jsautokw.h"
    case 155: 
      var $585=$2; //@line 237 "./jsautokw.h"
      var $586=(($585+4)|0); //@line 237 "./jsautokw.h"
      var $587=HEAPU16[(($586)>>1)]; //@line 237 "./jsautokw.h"
      var $588=(($587)&65535); //@line 237 "./jsautokw.h"
      var $589=(($588)|0)==105; //@line 237 "./jsautokw.h"
      if ($589) { __label__ = 156; break; } else { __label__ = 158; break; } //@line 237 "./jsautokw.h"
    case 156: 
      var $591=$2; //@line 237 "./jsautokw.h"
      var $592=(($591+6)|0); //@line 237 "./jsautokw.h"
      var $593=HEAPU16[(($592)>>1)]; //@line 237 "./jsautokw.h"
      var $594=(($593)&65535); //@line 237 "./jsautokw.h"
      var $595=(($594)|0)==116; //@line 237 "./jsautokw.h"
      if ($595) { __label__ = 157; break; } else { __label__ = 158; break; } //@line 237 "./jsautokw.h"
    case 157: 
      $i=20; //@line 238 "./jsautokw.h"
      __label__ = 192; break; //@line 238 "./jsautokw.h"
    case 158: 
      __label__ = 199; break; //@line 240 "./jsautokw.h"
    case 159: 
      __label__ = 199; break; //@line 242 "./jsautokw.h"
    case 160: 
      $i=24; //@line 244 "./jsautokw.h"
      __label__ = 193; break; //@line 244 "./jsautokw.h"
    case 161: 
      __label__ = 199; break; //@line 246 "./jsautokw.h"
    case 162: 
      var $602=$2; //@line 248 "./jsautokw.h"
      var $603=(($602)|0); //@line 248 "./jsautokw.h"
      var $604=HEAPU16[(($603)>>1)]; //@line 248 "./jsautokw.h"
      var $605=(($604)&65535); //@line 248 "./jsautokw.h"
      if ((($605)|0) == 100) {
        __label__ = 163; break;
      }
      else if ((($605)|0) == 101) {
        __label__ = 164; break;
      }
      else if ((($605)|0) == 102) {
        __label__ = 165; break;
      }
      else if ((($605)|0) == 112) {
        __label__ = 166; break;
      }
      else {
      __label__ = 171; break;
      }
      
    case 163: 
      $i=8; //@line 250 "./jsautokw.h"
      __label__ = 193; break; //@line 250 "./jsautokw.h"
    case 164: 
      $i=32; //@line 252 "./jsautokw.h"
      __label__ = 193; break; //@line 252 "./jsautokw.h"
    case 165: 
      $i=12; //@line 254 "./jsautokw.h"
      __label__ = 193; break; //@line 254 "./jsautokw.h"
    case 166: 
      var $610=$2; //@line 256 "./jsautokw.h"
      var $611=(($610+2)|0); //@line 256 "./jsautokw.h"
      var $612=HEAPU16[(($611)>>1)]; //@line 256 "./jsautokw.h"
      var $613=(($612)&65535); //@line 256 "./jsautokw.h"
      var $614=(($613)|0)==97; //@line 256 "./jsautokw.h"
      if ($614) { __label__ = 167; break; } else { __label__ = 168; break; } //@line 256 "./jsautokw.h"
    case 167: 
      $i=40; //@line 257 "./jsautokw.h"
      __label__ = 193; break; //@line 257 "./jsautokw.h"
    case 168: 
      var $617=$2; //@line 259 "./jsautokw.h"
      var $618=(($617+2)|0); //@line 259 "./jsautokw.h"
      var $619=HEAPU16[(($618)>>1)]; //@line 259 "./jsautokw.h"
      var $620=(($619)&65535); //@line 259 "./jsautokw.h"
      var $621=(($620)|0)==114; //@line 259 "./jsautokw.h"
      if ($621) { __label__ = 169; break; } else { __label__ = 170; break; } //@line 259 "./jsautokw.h"
    case 169: 
      $i=41; //@line 260 "./jsautokw.h"
      __label__ = 193; break; //@line 260 "./jsautokw.h"
    case 170: 
      __label__ = 199; break; //@line 262 "./jsautokw.h"
    case 171: 
      __label__ = 199; break; //@line 264 "./jsautokw.h"
    case 172: 
      var $626=$2; //@line 266 "./jsautokw.h"
      var $627=(($626+4)|0); //@line 266 "./jsautokw.h"
      var $628=HEAPU16[(($627)>>1)]; //@line 266 "./jsautokw.h"
      var $629=(($628)&65535); //@line 266 "./jsautokw.h"
      var $630=(($629)|0)==98; //@line 266 "./jsautokw.h"
      if ($630) { __label__ = 173; break; } else { __label__ = 174; break; } //@line 266 "./jsautokw.h"
    case 173: 
      $i=7; //@line 267 "./jsautokw.h"
      __label__ = 193; break; //@line 267 "./jsautokw.h"
    case 174: 
      var $633=$2; //@line 269 "./jsautokw.h"
      var $634=(($633+4)|0); //@line 269 "./jsautokw.h"
      var $635=HEAPU16[(($634)>>1)]; //@line 269 "./jsautokw.h"
      var $636=(($635)&65535); //@line 269 "./jsautokw.h"
      var $637=(($636)|0)==110; //@line 269 "./jsautokw.h"
      if ($637) { __label__ = 175; break; } else { __label__ = 180; break; } //@line 269 "./jsautokw.h"
    case 175: 
      var $639=$2; //@line 270 "./jsautokw.h"
      var $640=(($639)|0); //@line 270 "./jsautokw.h"
      var $641=HEAPU16[(($640)>>1)]; //@line 270 "./jsautokw.h"
      var $642=(($641)&65535); //@line 270 "./jsautokw.h"
      var $643=(($642)|0)==99; //@line 270 "./jsautokw.h"
      if ($643) { __label__ = 176; break; } else { __label__ = 177; break; } //@line 270 "./jsautokw.h"
    case 176: 
      $i=6; //@line 271 "./jsautokw.h"
      __label__ = 193; break; //@line 271 "./jsautokw.h"
    case 177: 
      var $646=$2; //@line 273 "./jsautokw.h"
      var $647=(($646)|0); //@line 273 "./jsautokw.h"
      var $648=HEAPU16[(($647)>>1)]; //@line 273 "./jsautokw.h"
      var $649=(($648)&65535); //@line 273 "./jsautokw.h"
      var $650=(($649)|0)==102; //@line 273 "./jsautokw.h"
      if ($650) { __label__ = 178; break; } else { __label__ = 179; break; } //@line 273 "./jsautokw.h"
    case 178: 
      $i=14; //@line 274 "./jsautokw.h"
      __label__ = 193; break; //@line 274 "./jsautokw.h"
    case 179: 
      __label__ = 199; break; //@line 276 "./jsautokw.h"
    case 180: 
      __label__ = 199; break; //@line 278 "./jsautokw.h"
    case 181: 
      var $655=$2; //@line 280 "./jsautokw.h"
      var $656=(($655)|0); //@line 280 "./jsautokw.h"
      var $657=HEAPU16[(($656)>>1)]; //@line 280 "./jsautokw.h"
      var $658=(($657)&65535); //@line 280 "./jsautokw.h"
      var $659=(($658)|0)==105; //@line 280 "./jsautokw.h"
      if ($659) { __label__ = 182; break; } else { __label__ = 183; break; } //@line 280 "./jsautokw.h"
    case 182: 
      $i=39; //@line 281 "./jsautokw.h"
      __label__ = 193; break; //@line 281 "./jsautokw.h"
    case 183: 
      var $662=$2; //@line 283 "./jsautokw.h"
      var $663=(($662)|0); //@line 283 "./jsautokw.h"
      var $664=HEAPU16[(($663)>>1)]; //@line 283 "./jsautokw.h"
      var $665=(($664)&65535); //@line 283 "./jsautokw.h"
      var $666=(($665)|0)==112; //@line 283 "./jsautokw.h"
      if ($666) { __label__ = 184; break; } else { __label__ = 185; break; } //@line 283 "./jsautokw.h"
    case 184: 
      $i=42; //@line 284 "./jsautokw.h"
      __label__ = 193; break; //@line 284 "./jsautokw.h"
    case 185: 
      __label__ = 199; break; //@line 286 "./jsautokw.h"
    case 186: 
      var $670=$2; //@line 288 "./jsautokw.h"
      var $671=(($670+2)|0); //@line 288 "./jsautokw.h"
      var $672=HEAPU16[(($671)>>1)]; //@line 288 "./jsautokw.h"
      var $673=(($672)&65535); //@line 288 "./jsautokw.h"
      var $674=(($673)|0)==110; //@line 288 "./jsautokw.h"
      if ($674) { __label__ = 187; break; } else { __label__ = 188; break; } //@line 288 "./jsautokw.h"
    case 187: 
      $i=17; //@line 289 "./jsautokw.h"
      __label__ = 193; break; //@line 289 "./jsautokw.h"
    case 188: 
      var $677=$2; //@line 291 "./jsautokw.h"
      var $678=(($677+2)|0); //@line 291 "./jsautokw.h"
      var $679=HEAPU16[(($678)>>1)]; //@line 291 "./jsautokw.h"
      var $680=(($679)&65535); //@line 291 "./jsautokw.h"
      var $681=(($680)|0)==109; //@line 291 "./jsautokw.h"
      if ($681) { __label__ = 189; break; } else { __label__ = 190; break; } //@line 291 "./jsautokw.h"
    case 189: 
      $i=38; //@line 292 "./jsautokw.h"
      __label__ = 193; break; //@line 292 "./jsautokw.h"
    case 190: 
      __label__ = 199; break; //@line 294 "./jsautokw.h"
    case 191: 
      __label__ = 199; break; //@line 296 "./jsautokw.h"
    case 192: 
      var $686=$i; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $687=((__ZL8keywords+($686<<4))|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=$687; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 200; break; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 193: 
      var $689=$i; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $690=((__ZL8keywords+($689<<4))|0); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $kw=$690; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $691=$kw; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $692=(($691)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $693=HEAP32[(($692)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $chars=$693; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 194; break; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 194: 
      var $695=$2; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $696=(($695+2)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $2=$696; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $697=HEAPU16[(($695)>>1)]; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $698=(($697)&65535); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $699=$chars; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $700=(($699+1)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $chars=$700; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $701=HEAPU8[($699)]; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $702=(($701)&255); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $703=(($698)|0)!=(($702)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($703) { __label__ = 195; break; } else { __label__ = 196; break; } //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 195: 
      __label__ = 199; break; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 196: 
      __label__ = 197; break; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 197: 
      var $707=$3; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $708=(($707-1)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $3=$708; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $709=(($708)|0)!=0; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($709) { __label__ = 194; break; } else { __label__ = 198; break; } //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 198: 
      var $711=$kw; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=$711; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 200; break; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 199: 
      $1=0; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 200; break; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 200: 
      var $714=$1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $714; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11FindKeywordEPKtj["X"]=1;

function __ZN2jsL13VersionHasXMLE9JSVersion3598($version) {
  ;
  var __label__;

  var $1;
  $1=$version;
  var $2=$1; //@line 872 "./jscntxt.h"
  var $3=$2 & 4096; //@line 872 "./jscntxt.h"
  var $4=(($3)|0)!=0; //@line 872 "./jscntxt.h"
  var $5=$4 ^ 1; //@line 872 "./jscntxt.h"
  var $6=$5 ^ 1; //@line 872 "./jscntxt.h"
  ;
  return $6; //@line 872 "./jscntxt.h"
}


function __ZN2js11TokenStream8TokenBuf4initEPKtj($this, $buf, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$buf;
  $3=$length;
  var $4=$1;
  var $5=$2; //@line 511 "./jsscan.h"
  var $6=(($4+8)|0); //@line 511 "./jsscan.h"
  HEAP32[(($6)>>2)]=$5; //@line 511 "./jsscan.h"
  var $7=(($4)|0); //@line 511 "./jsscan.h"
  HEAP32[(($7)>>2)]=$5; //@line 511 "./jsscan.h"
  var $8=(($4)|0); //@line 512 "./jsscan.h"
  var $9=HEAP32[(($8)>>2)]; //@line 512 "./jsscan.h"
  var $10=$3; //@line 512 "./jsscan.h"
  var $11=(($9+($10<<1))|0); //@line 512 "./jsscan.h"
  var $12=(($4+4)|0); //@line 512 "./jsscan.h"
  HEAP32[(($12)>>2)]=$11; //@line 512 "./jsscan.h"
  ;
  return; //@line 513 "./jsscan.h"
}


function __ZNK2js11TokenStream8TokenBuf11hasRawCharsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 516 "./jsscan.h"
  var $4=HEAPU32[(($3)>>2)]; //@line 516 "./jsscan.h"
  var $5=(($2+4)|0); //@line 516 "./jsscan.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 516 "./jsscan.h"
  var $7=(($4)>>>0) < (($6)>>>0); //@line 516 "./jsscan.h"
  ;
  return $7; //@line 516 "./jsscan.h"
}


function __ZN2js11TokenStream8TokenBuf10getRawCharEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 524 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 524 "./jsscan.h"
  var $5=(($4+2)|0); //@line 524 "./jsscan.h"
  HEAP32[(($3)>>2)]=$5; //@line 524 "./jsscan.h"
  var $6=HEAP16[(($4)>>1)]; //@line 524 "./jsscan.h"
  ;
  return $6; //@line 524 "./jsscan.h"
}


function __ZN2js11TokenStream8TokenBuf12matchRawCharEt($this, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$c;
      var $4=$2;
      var $5=(($4+8)|0); //@line 532 "./jsscan.h"
      var $6=HEAP32[(($5)>>2)]; //@line 532 "./jsscan.h"
      var $7=HEAPU16[(($6)>>1)]; //@line 532 "./jsscan.h"
      var $8=(($7)&65535); //@line 532 "./jsscan.h"
      var $9=$3; //@line 532 "./jsscan.h"
      var $10=(($9)&65535); //@line 532 "./jsscan.h"
      var $11=(($8)|0)==(($10)|0); //@line 532 "./jsscan.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 532 "./jsscan.h"
    case 2: 
      var $13=(($4+8)|0); //@line 533 "./jsscan.h"
      var $14=HEAP32[(($13)>>2)]; //@line 533 "./jsscan.h"
      var $15=(($14+2)|0); //@line 533 "./jsscan.h"
      HEAP32[(($13)>>2)]=$15; //@line 533 "./jsscan.h"
      $1=1; //@line 534 "./jsscan.h"
      __label__ = 4; break; //@line 534 "./jsscan.h"
    case 3: 
      $1=0; //@line 536 "./jsscan.h"
      __label__ = 4; break; //@line 536 "./jsscan.h"
    case 4: 
      var $18=$1; //@line 537 "./jsscan.h"
      ;
      return $18; //@line 537 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream8TokenBuf12ungetRawCharEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 550 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 550 "./jsscan.h"
  var $5=(($4-2)|0); //@line 550 "./jsscan.h"
  HEAP32[(($3)>>2)]=$5; //@line 550 "./jsscan.h"
  ;
  return; //@line 551 "./jsscan.h"
}


function __ZNK2js11TokenStream8TokenBuf7atStartEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 520 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 520 "./jsscan.h"
  var $5=(($2)|0); //@line 520 "./jsscan.h"
  var $6=HEAP32[(($5)>>2)]; //@line 520 "./jsscan.h"
  var $7=(($4)|0)==(($6)|0); //@line 520 "./jsscan.h"
  ;
  return $7; //@line 520 "./jsscan.h"
}


function __ZN2js11TokenStream8TokenBuf21matchRawCharBackwardsEt($this, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$c;
      var $4=$2;
      var $5=(($4+8)|0); //@line 541 "./jsscan.h"
      var $6=HEAP32[(($5)>>2)]; //@line 541 "./jsscan.h"
      var $7=(($6-2)|0); //@line 541 "./jsscan.h"
      var $8=HEAPU16[(($7)>>1)]; //@line 541 "./jsscan.h"
      var $9=(($8)&65535); //@line 541 "./jsscan.h"
      var $10=$3; //@line 541 "./jsscan.h"
      var $11=(($10)&65535); //@line 541 "./jsscan.h"
      var $12=(($9)|0)==(($11)|0); //@line 541 "./jsscan.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 541 "./jsscan.h"
    case 2: 
      var $14=(($4+8)|0); //@line 542 "./jsscan.h"
      var $15=HEAP32[(($14)>>2)]; //@line 542 "./jsscan.h"
      var $16=(($15-2)|0); //@line 542 "./jsscan.h"
      HEAP32[(($14)>>2)]=$16; //@line 542 "./jsscan.h"
      $1=1; //@line 543 "./jsscan.h"
      __label__ = 4; break; //@line 543 "./jsscan.h"
    case 3: 
      $1=0; //@line 545 "./jsscan.h"
      __label__ = 4; break; //@line 545 "./jsscan.h"
    case 4: 
      var $19=$1; //@line 546 "./jsscan.h"
      ;
      return $19; //@line 546 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z15js_IsIdentifierP14JSLinearString($str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $chars;
      var $length;
      var $c;
      var $end;
      $2=$str;
      var $3=$2; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $4=__ZNK14JSLinearString5charsEv($3); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $chars=$4; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=$5; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=__ZNK8JSString6lengthEv($6); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $length=$7; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=$length; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=(($8)|0)==0; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      $1=0; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 11; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $12=$chars; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=HEAP16[(($12)>>1)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$13; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=$c; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=__ZN2js7unicode17IsIdentifierStartEt($14); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      $1=0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 11; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $18=$chars; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=$length; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20=(($18+($19<<1))|0); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $end=$20; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 6; break; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $22=$chars; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23=(($22+2)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $chars=$23; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $24=$end; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=(($23)|0)!=(($24)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $27=$chars; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $28=HEAP16[(($27)>>1)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$28; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $29=$c; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30=__ZN2js7unicode16IsIdentifierPartEt($29); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      $1=0; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 11; break; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      __label__ = 6; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      $1=1; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 11; break; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $35=$1; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $35; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z15js_IsIdentifierP14JSLinearString["X"]=1;

function __ZN2js7unicode17IsIdentifierStartEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$ch;
      var $3=$2; //@line 186 "./vm/Unicode.h"
      var $4=(($3)&65535); //@line 186 "./vm/Unicode.h"
      var $5=(($4)|0) < 128; //@line 186 "./vm/Unicode.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 186 "./vm/Unicode.h"
    case 2: 
      var $7=$2; //@line 187 "./vm/Unicode.h"
      var $8=(($7)&65535); //@line 187 "./vm/Unicode.h"
      var $9=(((STRING_TABLE._js_isidstart)+$8)|0); //@line 187 "./vm/Unicode.h"
      var $10=HEAP8[($9)]; //@line 187 "./vm/Unicode.h"
      var $11=(($10) & 1); //@line 187 "./vm/Unicode.h"
      $1=$11; //@line 187 "./vm/Unicode.h"
      __label__ = 4; break; //@line 187 "./vm/Unicode.h"
    case 3: 
      var $13=$2; //@line 189 "./vm/Unicode.h"
      var $14=__ZN2js7unicode8CharInfoEt($13); //@line 189 "./vm/Unicode.h"
      var $15=__ZNK2js7unicode13CharacterInfo8isLetterEv($14); //@line 189 "./vm/Unicode.h"
      $1=$15; //@line 189 "./vm/Unicode.h"
      __label__ = 4; break; //@line 189 "./vm/Unicode.h"
    case 4: 
      var $17=$1; //@line 190 "./vm/Unicode.h"
      ;
      return $17; //@line 190 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7unicode16IsIdentifierPartEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$ch;
      var $3=$2; //@line 197 "./vm/Unicode.h"
      var $4=(($3)&65535); //@line 197 "./vm/Unicode.h"
      var $5=(($4)|0) < 128; //@line 197 "./vm/Unicode.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 197 "./vm/Unicode.h"
    case 2: 
      var $7=$2; //@line 198 "./vm/Unicode.h"
      var $8=(($7)&65535); //@line 198 "./vm/Unicode.h"
      var $9=(((STRING_TABLE._js_isident)+$8)|0); //@line 198 "./vm/Unicode.h"
      var $10=HEAP8[($9)]; //@line 198 "./vm/Unicode.h"
      var $11=(($10) & 1); //@line 198 "./vm/Unicode.h"
      $1=$11; //@line 198 "./vm/Unicode.h"
      __label__ = 4; break; //@line 198 "./vm/Unicode.h"
    case 3: 
      var $13=$2; //@line 200 "./vm/Unicode.h"
      var $14=__ZN2js7unicode8CharInfoEt($13); //@line 200 "./vm/Unicode.h"
      var $15=__ZNK2js7unicode13CharacterInfo16isIdentifierPartEv($14); //@line 200 "./vm/Unicode.h"
      $1=$15; //@line 200 "./vm/Unicode.h"
      __label__ = 4; break; //@line 200 "./vm/Unicode.h"
    case 4: 
      var $17=$1; //@line 201 "./vm/Unicode.h"
      ;
      return $17; //@line 201 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStreamC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=(($4)|0); //@line 166 "./jsscan.h"
  var $6=$2; //@line 166 "./jsscan.h"
  HEAP32[(($5)>>2)]=$6; //@line 166 "./jsscan.h"
  var $7=(($4+4)|0); //@line 166 "./jsscan.h"
  var $8=$7; //@line 166 "./jsscan.h"
  for (var $$dest = $8>>2, $$stop = $$dest + 32; $$dest < $$stop; $$dest++) {
    HEAP32[$$dest] = 0
  }; //@line 166 "./jsscan.h"
  var $9=(($4+132)|0); //@line 166 "./jsscan.h"
  HEAP32[(($9)>>2)]=0; //@line 166 "./jsscan.h"
  var $10=(($4+136)|0); //@line 166 "./jsscan.h"
  HEAP32[(($10)>>2)]=0; //@line 166 "./jsscan.h"
  var $11=(($4+144)|0); //@line 166 "./jsscan.h"
  HEAP32[(($11)>>2)]=0; //@line 166 "./jsscan.h"
  var $12=(($4+156)|0); //@line 166 "./jsscan.h"
  __ZN2js11TokenStream8TokenBufC1Ev($12); //@line 166 "./jsscan.h"
  var $13=(($4+180)|0); //@line 166 "./jsscan.h"
  HEAP32[(($13)>>2)]=0; //@line 166 "./jsscan.h"
  var $14=(($4+184)|0); //@line 166 "./jsscan.h"
  var $15=$2; //@line 166 "./jsscan.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $15); //@line 166 "./jsscan.h"
  __ZN2js6VectorItLj32ENS_15TempAllocPolicyEEC1ES1_($14, $3); //@line 166 "./jsscan.h"
  STACKTOP = __stackBase__;
  return; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
}


function __ZN2js11TokenStream8TokenBufC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js11TokenStream8TokenBufC2Ev($2); //@line 508 "./jsscan.h"
  ;
  return; //@line 508 "./jsscan.h"
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEEC1ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorItLj32ENS_15TempAllocPolicyEEC2ES1_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js11TokenStream4initEPKtjPKcj9JSVersion($this, $base, $length, $fn, $ln, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $listener;
      var $listenerData;
      $1=$this;
      $2=$base;
      $3=$length;
      $4=$fn;
      $5=$ln;
      $6=$v;
      var $7=$1;
      var $8=$4; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=(($7+172)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($9)>>2)]=$8; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=$5; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=(($7+140)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $12=$6; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=(($7+904)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=$6; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=__ZN2jsL13VersionHasXMLE9JSVersion3598($14); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $16=(($7+908)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $17=(($15)&1); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($16)]=$17; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=(($7+156)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=$2; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20=$3; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream8TokenBuf4initEPKtj($18, $19, $20); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=(($7+148)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23=(($7+152)|0); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($23)>>2)]=0; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $24=(($7+176)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($24)>>2)]=0; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=(($7)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $27=(($26+200)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $29=(($28+32)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $listener=$30; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $31=(($7)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=(($32+200)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $35=(($34+36)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $listenerData=$36; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=$listener; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=(($37)|0)!=0; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($38) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $40=$listener; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $41=$4; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $42=$5; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=$2; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $44=$3; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $45=(($7+180)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $46=$listenerData; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      FUNCTION_TABLE[$40]($41, $42, $43, $44, $45, $46); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 3; break; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $48=(($7+264)|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $49=(($48)|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      _memset($49, 0, 128, 1); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $50=(($7+264)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $51=(($50+59)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($51)]=2; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $52=(($7+264)|0); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $53=(($52+44)|0); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($53)]=3; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $54=(($7+264)|0); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $55=(($54+63)|0); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($55)]=5; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $56=(($7+264)|0); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $57=(($56+91)|0); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($57)]=23; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $58=(($7+264)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $59=(($58+93)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($59)]=24; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $60=(($7+264)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $61=(($60+123)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($61)]=25; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $62=(($7+264)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $63=(($62+125)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($63)]=26; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $64=(($7+264)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $65=(($64+40)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($65)]=27; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $66=(($7+264)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $67=(($66+41)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($67)]=28; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $68=(($7+392)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $69=(($68)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      _memset($69, 0, 256, 1); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $70=(($7+392)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $71=(($70+10)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($71)]=1; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $72=(($7+392)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $73=(($72+13)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($73)]=1; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $74=(($7+392)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $75=(($74+40)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($75)]=1; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $76=(($7+392)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $77=(($76+41)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($77)]=1; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $78=(($7+648)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $79=(($78)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      _memset($79, 0, 256, 1); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $80=(($7+648)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $81=(($80+34)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($81)]=1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $82=(($7+648)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $83=(($82+39)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($83)]=1; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $84=(($7+648)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $85=(($84+92)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($85)]=1; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $86=(($7+648)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $87=(($86+10)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($87)]=1; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $88=(($7+648)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $89=(($88+13)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($89)]=1; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $90=(($7+648)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $91=(($90+40)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($91)]=1; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $92=(($7+648)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $93=(($92+41)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($93)]=1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $94=(($7+648)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $95=(($94+255)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($95)]=1; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $96=$5; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $97=(($7+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $98=(($97)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $99=(($98+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $100=(($99+8)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $101=(($100+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($101)>>2)]=$96; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $102=(($7+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $103=(($102)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $104=(($103+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $105=(($104)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $106=(($105+4)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($106)>>2)]=$96; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return 1; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream4initEPKtjPKcj9JSVersion["X"]=1;

function __ZN2js11TokenStreamD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+144)|0); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=$4 & 256; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=(($5)|0)!=0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $8=(($2)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=(($2+172)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($9, $11); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 3; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $13=(($2+176)|0); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=(($14)|0)!=0; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $17=(($2)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=(($2+176)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21=$20; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($18, $21); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 5; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $23=(($2+184)|0); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEED1Ev($23); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorItLj32ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __Z8js_fgetsPciP7__sFILE($buf, $size, $file) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $n;
      var $i;
      var $c;
      var $crflag;
      $2=$buf;
      $3=$size;
      $4=$file;
      var $5=$3; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=(($5-1)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $n=$6; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=$n; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=(($7)|0) < 0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      $1=-1; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 14; break; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      $crflag=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=0; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 4; break; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $12=$i; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=$n; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=(($12)|0) < (($13)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($14) { __label__ = 5; break; } else { var $20 = 0;__label__ = 6; break; } //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $16=$4; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $17=_getc_unlocked($16); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$17; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=(($17)|0)!=-1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20 = $18;__label__ = 6; break;
    case 6: 
      var $20;
      if ($20) { __label__ = 7; break; } else { __label__ = 13; break; }
    case 7: 
      var $22=$c; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23=(($22) & 255); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $24=$i; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=$2; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=(($25+$24)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($26)]=$23; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $27=$c; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $28=(($27)|0)==10; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      var $30=$i; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $31=(($30+1)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=$31; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 13; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $33=$crflag; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $34=(($33)|0)!=0; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $36=$c; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=$4; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=_ungetc($36, $37); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 13; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $40=$c; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $41=(($40)|0)==13; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $42=(($41)&1); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $crflag=$42; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 12; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      var $44=$i; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $45=(($44+1)|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=$45; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 4; break; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      var $47=$i; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $48=$2; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $49=(($48+$47)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($49)]=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $50=$i; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=$50; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 14; break; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      var $52=$1; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $52; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z8js_fgetsPciP7__sFILE["X"]=1;

function __ZN2js11TokenStream7getCharEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $c;
      $2=$this;
      var $3=$2;
      var $4=(($3+156)|0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=__ZNK2js11TokenStream8TokenBuf11hasRawCharsEv($4); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 14; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $7=(($3+156)|0); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=__ZN2js11TokenStream8TokenBuf10getRawCharEv($7); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=(($8)&65535); //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$9; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=$c; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=$10 & 255; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $12=(($3+392)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=(($12+$11)|0); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=HEAP8[($13)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=(($14 << 24) >> 24)!=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 13; break; } //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $17=$c; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=(($17)|0)==10; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      __label__ = 15; break; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $21=$c; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=(($21)|0)==13; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $24=(($3+156)|0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=__ZNK2js11TokenStream8TokenBuf11hasRawCharsEv($24); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $27=(($3+156)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $28=__ZN2js11TokenStream8TokenBuf12matchRawCharEt($27, 10); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 8; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      __label__ = 15; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $31=$c; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $32=(($31)|0)==8232; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($32) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $34=$c; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $35=(($34)|0)==8233; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      __label__ = 15; break; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      __label__ = 13; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      var $39=$c; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=$39; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 16; break; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      var $41=(($3+144)|0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=$42 | 2; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($41)>>2)]=$43; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=-1; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 16; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      __ZN2js11TokenStream20updateLineInfoForEOLEv($3); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=10; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 16; break; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      var $46=$1; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $46; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream7getCharEv["X"]=1;

function __ZN2js11TokenStream20updateLineInfoForEOLEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+148)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $5=(($2+152)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($5)>>2)]=$4; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $6=(($2+156)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $7=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($6); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $8=(($2+148)|0); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $9=(($2+140)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $11=(($10+1)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($9)>>2)]=$11; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  ;
  return; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
}


function __ZN2js11TokenStream16getCharIgnoreEOLEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+156)|0); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=__ZNK2js11TokenStream8TokenBuf11hasRawCharsEv($4); //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $7=(($3+156)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=__ZN2js11TokenStream8TokenBuf10getRawCharEv($7); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=(($8)&65535); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=$9; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 4; break; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $11=(($3+144)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=$12 | 2; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($11)>>2)]=$13; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=-1; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 4; break; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $15=$1; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $15; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream9ungetCharEi($this, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$c;
      var $3=$1;
      var $4=$2; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=(($4)|0)==-1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      __label__ = 8; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $8=(($3+156)|0); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream8TokenBuf12ungetRawCharEv($8); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=$2; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=(($9)|0)==10; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $12=(($3+156)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=__ZNK2js11TokenStream8TokenBuf7atStartEv($12); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($13) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $15=(($3+156)|0); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $16=__ZN2js11TokenStream8TokenBuf21matchRawCharBackwardsEt($15, 13); //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 6; break; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $18=(($3+152)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20=(($3+148)|0); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21=(($3+152)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($21)>>2)]=0; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=(($3+140)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $24=(($23-1)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($22)>>2)]=$24; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 8; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream18ungetCharIgnoreEOLEi($this, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$c;
      var $3=$1;
      var $4=$2; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=(($4)|0)==-1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      __label__ = 4; break; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $8=(($3+156)|0); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream8TokenBuf12ungetRawCharEv($8); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 4; break; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      ;
      return; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream9peekCharsEiPt($this, $n, $cp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $j;
      var $c;
      $1=$this;
      $2=$n;
      $3=$cp;
      var $4=$1;
      $i=0; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 2; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $6=$i; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=$2; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=(($6)|0) < (($7)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $10=__ZN2js11TokenStream16getCharIgnoreEOLEv($4); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$10; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=$c; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $12=(($11)|0)==-1; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      __label__ = 9; break; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $15=$c; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $16=(($15)|0)==10; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($16) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $18=$c; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($4, $18); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 9; break; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $20=$c; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21=(($20) & 65535); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=$i; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23=$3; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $24=(($23+($22<<1))|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP16[(($24)>>1)]=$21; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 8; break; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      var $26=$i; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $27=(($26+1)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=$27; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 2; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $29=$i; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30=(($29-1)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $j=$30; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 10; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $32=$j; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=(($32)|0) >= 0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($33) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $35=$j; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=$3; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=(($36+($35<<1))|0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=HEAPU16[(($37)>>1)]; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $39=(($38)&65535); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($4, $39); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 12; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      var $41=$j; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $42=(($41-1)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $j=$42; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 10; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      var $44=$i; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $45=$2; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $46=(($44)|0)==(($45)|0); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $46; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream9peekCharsEiPt["X"]=1;

function __ZN2js11TokenStream8TokenBuf12isRawEOLCharEi($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 577 "./jsscan.h"
      var $3=(($2)|0)==10; //@line 577 "./jsscan.h"
      if ($3) { var $14 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 577 "./jsscan.h"
    case 2: 
      var $5=$1; //@line 577 "./jsscan.h"
      var $6=(($5)|0)==13; //@line 577 "./jsscan.h"
      if ($6) { var $14 = 1;__label__ = 5; break; } else { __label__ = 3; break; } //@line 577 "./jsscan.h"
    case 3: 
      var $8=$1; //@line 577 "./jsscan.h"
      var $9=(($8)|0)==8232; //@line 577 "./jsscan.h"
      if ($9) { var $14 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 577 "./jsscan.h"
    case 4: 
      var $11=$1; //@line 577 "./jsscan.h"
      var $12=(($11)|0)==8233; //@line 577 "./jsscan.h"
      var $14 = $12;__label__ = 5; break; //@line 577 "./jsscan.h"
    case 5: 
      var $14;
      ;
      return $14; //@line 577 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream12isStrictModeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+144)|0); //@line 359 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 359 "./jsscan.h"
  var $5=$4 & 64; //@line 359 "./jsscan.h"
  var $6=(($5)|0)!=0; //@line 359 "./jsscan.h"
  var $7=$6 ^ 1; //@line 359 "./jsscan.h"
  var $8=$7 ^ 1; //@line 359 "./jsscan.h"
  ;
  return $8; //@line 359 "./jsscan.h"
}


function __ZN2js11TokenStream8TokenBuf7findEOLEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $tmp;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tmp=$4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 2; break; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $6=$tmp; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=(($2+4)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=HEAPU32[(($7)>>2)]; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=(($6)>>>0) >= (($8)>>>0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      __label__ = 7; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $12=$tmp; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=(($12+2)|0); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tmp=$13; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=HEAPU16[(($12)>>1)]; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=(($14)&65535); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $16=__ZN2js11TokenStream8TokenBuf12isRawEOLCharEi($15); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      __label__ = 7; break; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      __label__ = 2; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $20=$tmp; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $20; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream26reportCompileErrorNumberVAEP11JSParseNodejjPc($this, $pn, $flags, $errorNumber, $ap) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $report=__stackBase__;
      var $message=__stackBase__+40;
      var $linechars;
      var $linebytes;
      var $warning;
      var $ok;
      var $tp;
      var $i;
      var $linelength;
      var $reportError;
      var $hook;
      $2=$this;
      $3=$pn;
      $4=$flags;
      $5=$errorNumber;
      $6=$ap;
      var $7=$2;
      var $8=$4; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=$8 & 4; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=(($9)|0)!=0; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $12=(($7)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=__ZNK9JSContext15hasStrictOptionEv($13); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      $1=1; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 42; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $17=$4; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=$17 & 1; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=(($18)|0)!=0; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20=(($19)&1); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $warning=$20; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21=$warning; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=(($21) & 1); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $24=(($7)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=__ZNK9JSContext15hasWErrorOptionEv($25); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $28=$4; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $29=$28 & -2; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $4=$29; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $warning=0; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 7; break; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      __ZN2jsL7PodZeroI13JSErrorReportEEvPT_3601($report); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $31=$4; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $32=(($report+24)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=$5; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $34=(($report+28)|0); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($34)>>2)]=$33; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($message)>>2)]=0; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $linechars=0; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $linebytes=0; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $35=(($7)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=$5; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=$4; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $39=$38 & 256; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $40=(($39)|0)!=0; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $41=$40 ^ 1; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $42=$6; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=__Z23js_ExpandErrorArgumentsP9JSContextPFPK19JSErrorFormatStringPvPKcjES4_jPPcP13JSErrorReportbS9_($36, 2, 0, $37, $message, $report, $41, $42); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $ok=$43; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $44=$ok; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $45=(($44)|0)!=0; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      $warning=0; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 26; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $48=(($7+172)|0); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $50=(($report)|0); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($50)>>2)]=$49; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $51=$3; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $52=(($51)|0)!=0; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $54=$3; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $55=(($54+4)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $60 = $55;__label__ = 12; break; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $57=__ZNK2js11TokenStream12currentTokenEv($7); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $58=(($57+4)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $60 = $58;__label__ = 12; break; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      var $60; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tp=$60; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $61=$tp; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $62=(($61)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $63=(($62+4)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $65=(($report+4)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($65)>>2)]=$64; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $66=(($report+4)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $68=(($7+140)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $70=(($67)|0)==(($69)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($70) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      var $72=(($7+156)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $73=__ZN2js11TokenStream8TokenBuf7findEOLEv($72); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $74=(($7+148)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $76=$73; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $77=$75; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $78=(($76-$77)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $79=(((($78)|0)/2)&-1); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $linelength=$79; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $80=(($7)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $82=$linelength; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $83=(($82+1)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $84=((($83<<1))|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $85=__ZN9JSContext7malloc_Ej($81, $84); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $86=$85; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $linechars=$86; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $87=$linechars; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $88=(($87)|0)!=0; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($88) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      $warning=0; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 26; break; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      var $91=$linechars; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $92=$91; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $93=(($7+148)|0); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $95=$94; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $96=$linelength; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $97=((($96<<1))|0); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      assert($97 % 1 === 0, 'memcpy given ' + $97 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($92, $95, $97, 1); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $98=$linelength; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $99=$linechars; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $100=(($99+($98<<1))|0); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP16[(($100)>>1)]=0; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $101=(($7)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $103=$linechars; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $104=$linelength; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $105=__ZN2js13DeflateStringEP9JSContextPKtj($102, $103, $104); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $linebytes=$105; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $106=$linebytes; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $107=(($106)|0)!=0; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($107) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      $warning=0; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 26; break; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 17: 
      var $110=$linebytes; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $111=(($report+8)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($111)>>2)]=$110; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $112=$linechars; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $113=(($report+16)|0); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($113)>>2)]=$112; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $114=(($report+8)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $116=$tp; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $117=(($116)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $118=(($117)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $120=(($115+$119)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $121=(($report+12)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($121)>>2)]=$120; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $122=(($report+16)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $124=$tp; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $125=(($124)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $126=(($125)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $128=(($123+($127<<1))|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $129=(($report+20)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($129)>>2)]=$128; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 18; break; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 18: 
      var $131=(($7)|0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $133=HEAP32[(($message)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $134=__Z19js_ErrorToExceptionP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_($132, $133, $report, 0, 0); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $135=(($134)|0)!=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($135) { __label__ = 25; break; } else { __label__ = 19; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 19: 
      $reportError=1; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $137=(($7)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $139=(($138+200)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $141=(($140+64)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $hook=$142; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $143=$hook; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $144=(($143)|0)!=0; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($144) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 20: 
      var $146=$hook; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $147=(($7)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $149=HEAP32[(($message)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $150=(($7)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $152=(($151+200)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $154=(($153+68)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $156=FUNCTION_TABLE[$146]($148, $149, $report, $155); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $157=(($156)|0)!=0; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $158=(($157)&1); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $reportError=$158; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 21; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 21: 
      var $160=$reportError; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $161=(($160) & 1); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($161) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 22: 
      var $163=(($7)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $165=(($164+180)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $167=(($166)|0)!=0; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($167) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 23: 
      var $169=(($7)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $171=(($170+180)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $172=HEAP32[(($171)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $173=(($7)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $175=HEAP32[(($message)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      FUNCTION_TABLE[$172]($174, $175, $report); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 24; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 24: 
      __label__ = 25; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 25: 
      __label__ = 26; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 26: 
      var $179=$linebytes; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $180=(($179)|0)!=0; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($180) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 27: 
      var $182=(($7)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $184=$linebytes; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($183, $184); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 28; break; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 28: 
      var $186=$linechars; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $187=(($186)|0)!=0; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($187) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 29: 
      var $189=(($7)|0); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $191=$linechars; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $192=$191; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($190, $192); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 30; break; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 30: 
      var $194=HEAP32[(($message)>>2)]; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $195=(($194)|0)!=0; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($195) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 31: 
      var $197=(($7)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $199=HEAP32[(($message)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($198, $199); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 32; break; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 32: 
      var $201=(($report+32)|0); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $202=HEAP32[(($201)>>2)]; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $203=(($202)|0)!=0; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($203) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 33: 
      var $205=(($7)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $206=HEAP32[(($205)>>2)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $207=(($report+32)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $208=HEAP32[(($207)>>2)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $209=$208; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($206, $209); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 34; break; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 34: 
      var $211=(($report+36)|0); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $212=HEAP32[(($211)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $213=(($212)|0)!=0; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($213) { __label__ = 35; break; } else { __label__ = 41; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 35: 
      var $215=$4; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $216=$215 & 256; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $217=(($216)|0)!=0; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($217) { __label__ = 40; break; } else { __label__ = 36; break; } //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 36: 
      $i=0; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 37; break; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 37: 
      var $220=$i; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $221=(($report+36)|0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $223=(($222+($220<<2))|0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $224=HEAP32[(($223)>>2)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $225=(($224)|0)!=0; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($225) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 38: 
      var $227=(($7)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $228=HEAP32[(($227)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $229=$i; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $230=(($229+1)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=$230; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $231=(($report+36)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $233=(($232+($229<<2))|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $234=HEAP32[(($233)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $235=$234; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($228, $235); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 37; break; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 39: 
      __label__ = 40; break; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 40: 
      var $238=(($7)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $239=HEAP32[(($238)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $240=(($report+36)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $241=HEAP32[(($240)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $242=$241; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($239, $242); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 41; break; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 41: 
      var $244=$warning; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $245=(($244) & 1); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=$245; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 42; break; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 42: 
      var $247=$1; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      STACKTOP = __stackBase__;
      return $247; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream26reportCompileErrorNumberVAEP11JSParseNodejjPc["X"]=1;

function __ZN2jsL7PodZeroI13JSErrorReportEEvPT_3601($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 40, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($cx, $ts, $tc, $pn, $errorNumber) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $flags;
      var $ap=__stackBase__;
      var $result;
      $2=$cx;
      $3=$ts;
      $4=$tc;
      $5=$pn;
      $6=$errorNumber;
      var $7=$3; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=(($7)|0)!=0; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $10=$3; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=__ZN2js11TokenStream12isStrictModeEv($10); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($11) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $13=$4; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=(($13)|0)!=0; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $16=$4; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $17=(($16)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=$18 & 262144; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20=(($19)|0)!=0; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      $flags=0; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 9; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $23=$2; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $24=__ZNK9JSContext15hasStrictOptionEv($23); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      $1=1; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 10; break; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      $flags=1; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 9; break;
    case 9: 
      var $28=$ap; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($28)>>2)]=arguments[__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz.length]; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $29=$3; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30=$5; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $31=$flags; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $32=$6; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=HEAP32[(($ap)>>2)]; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $34=__ZN2js11TokenStream26reportCompileErrorNumberVAEP11JSParseNodejjPc($29, $30, $31, $32, $33); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $35=(($34)&1); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $result=$35; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=$ap; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=$result; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=(($37) & 1); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=$38; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 10; break; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $40=$1; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz["X"]=1;

function __ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($cx, $ts, $pn, $flags, $errorNumber) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $ap=__stackBase__;
  var $result;
  $1=$cx;
  $2=$ts;
  $3=$pn;
  $4=$flags;
  $5=$errorNumber;
  var $6=$ap; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($6)>>2)]=arguments[__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz.length]; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $7=$2; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $8=$3; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $9=$4; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $10=$5; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $11=HEAP32[(($ap)>>2)]; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $12=__ZN2js11TokenStream26reportCompileErrorNumberVAEP11JSParseNodejjPc($7, $8, $9, $10, $11); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $13=(($12)&1); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  $result=$13; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $14=$ap; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  ; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $15=$result; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $16=(($15) & 1); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  STACKTOP = __stackBase__;
  return $16; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<1))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN2js11TokenStream12getXMLEntityEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $offset;
      var $length;
      var $i;
      var $c;
      var $d;
      var $ispair;
      var $bp;
      var $digit;
      var $bytes;
      var $msg;
      var $tb;
      $2=$this;
      var $3=$2;
      var $4=(($3+184)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tb=$4; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=$tb; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($5); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $offset=$6; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=$tb; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbT_($7, 38); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      $1=0; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      __label__ = 4; break; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $12=__ZN2js11TokenStream7getCharEv($3); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$12; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=(($12)|0)!=59; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $15=$c; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $16=(($15)|0)==-1; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $18=$c; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=(($18)|0)==10; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $21=(($3)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($22, $3, 0, 0, 191, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=0; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      var $25=$tb; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=$c; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $27=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($25, $26); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      $1=0; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      __label__ = 4; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $31=$tb; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $32=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($31); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=$offset; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $34=(($32-$33)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $length=$34; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $35=$tb; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5beginEv($35); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=$offset; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=(($36+($37<<1))|0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $bp=$38; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $d=0; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=0; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $ispair=0; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $39=$length; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $40=(($39)|0) > 2; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 49; break; } //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      var $42=$bp; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=(($42+2)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $44=HEAPU16[(($43)>>1)]; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $45=(($44)&65535); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $46=(($45)|0)==35; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($46) { __label__ = 13; break; } else { __label__ = 49; break; } //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      $i=2; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $48=$length; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $49=(($48)|0) > 3; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($49) { __label__ = 14; break; } else { __label__ = 28; break; } //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      var $51=$i; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $52=$bp; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $53=(($52+($51<<1))|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $54=HEAPU16[(($53)>>1)]; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $55=(($54)&65535); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $56=(($55)|0)==120; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($56) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      var $58=$i; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $59=$bp; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $60=(($59+($58<<1))|0); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $61=HEAPU16[(($60)>>1)]; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $62=(($61)&65535); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $63=(($62)|0)==88; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($63) { __label__ = 16; break; } else { __label__ = 28; break; } //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      var $65=$length; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $66=(($65)|0) > 9; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($66) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 17: 
      __label__ = 81; break; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 18: 
      __label__ = 19; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 19: 
      var $70=$i; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $71=(($70+1)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=$71; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $72=$length; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $73=(($71)|0) < (($72)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($73) { __label__ = 20; break; } else { __label__ = 27; break; } //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 20: 
      var $75=$i; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $76=$bp; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $77=(($76+($75<<1))|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $78=HEAP16[(($77)>>1)]; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $digit=$78; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $79=$digit; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $80=(($79)&65535); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $81=(($80)|0) < 128; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($81) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 21: 
      var $83=$digit; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $84=(($83)&65535); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $85=_isxdigit($84); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $86=(($85)|0)!=0; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 22: 
      __label__ = 81; break; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 23: 
      var $89=$c; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $90=$89 << 4; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $91=$digit; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $92=(($91)&65535); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $93=(($92-48)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $94=(($93)>>>0) <= 9; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($94) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 24: 
      var $96=$digit; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $97=(($96)&65535); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $98=(($97-48)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $106 = $98;__label__ = 26; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 25: 
      var $100=$digit; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $101=(($100)&65535); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $102=_tolower($101); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $103=(($102+10)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $104=(($103-97)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $106 = $104;__label__ = 26; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 26: 
      var $106; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $107=(($90+$106)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$107; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 19; break; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 27: 
      __label__ = 36; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 28: 
      __label__ = 29; break; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 29: 
      var $111=$i; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $112=$length; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $113=(($111)|0) < (($112)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($113) { __label__ = 30; break; } else { __label__ = 35; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 30: 
      var $115=$i; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $116=(($115+1)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=$116; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $117=$bp; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $118=(($117+($115<<1))|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $119=HEAP16[(($118)>>1)]; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $digit=$119; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $120=$digit; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $121=(($120)&65535); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $122=(($121-48)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $123=(($122)>>>0) <= 9; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($123) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 31: 
      __label__ = 81; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 32: 
      var $126=$c; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $127=(($126*10)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $128=$digit; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $129=(($128)&65535); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $130=(($129-48)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $131=(($127+$130)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$131; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $132=$c; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $133=(($132)|0) < 0; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($133) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 33: 
      __label__ = 81; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 34: 
      __label__ = 29; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 35: 
      __label__ = 36; break;
    case 36: 
      var $138=$c; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $139=65536 <= (($138)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($139) { __label__ = 37; break; } else { __label__ = 39; break; } //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 37: 
      var $141=$c; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $142=(($141)|0) <= 1114111; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($142) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 38: 
      var $144=$c; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $145=$144 & 1023; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $146=(($145+56320)|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $d=$146; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $147=$c; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $148=$147 >> 10; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $149=(($148+55232)|0); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$149; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $ispair=1; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 48; break; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 39: 
      var $151=$c; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $152=(($151)|0)!=9; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($152) { __label__ = 40; break; } else { __label__ = 47; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 40: 
      var $154=$c; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $155=(($154)|0)!=10; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($155) { __label__ = 41; break; } else { __label__ = 47; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 41: 
      var $157=$c; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $158=(($157)|0)!=13; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($158) { __label__ = 42; break; } else { __label__ = 47; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 42: 
      var $160=$c; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $161=32 <= (($160)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($161) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 43: 
      var $163=$c; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $164=(($163)|0) <= 55295; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($164) { __label__ = 47; break; } else { __label__ = 44; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 44: 
      var $166=$c; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $167=57344 <= (($166)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($167) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 45: 
      var $169=$c; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $170=(($169)|0) <= 65533; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($170) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 46: 
      __label__ = 81; break; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 47: 
      __label__ = 48; break;
    case 48: 
      __label__ = 78; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 49: 
      var $175=$length; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ((($175)|0) == 3) {
        __label__ = 50; break;
      }
      else if ((($175)|0) == 4) {
        __label__ = 58; break;
      }
      else if ((($175)|0) == 5) {
        __label__ = 63; break;
      }
      else {
      __label__ = 75; break;
      }
      
    case 50: 
      var $177=$bp; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $178=(($177+4)|0); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $179=HEAPU16[(($178)>>1)]; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $180=(($179)&65535); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $181=(($180)|0)==116; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($181) { __label__ = 51; break; } else { __label__ = 57; break; } //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 51: 
      var $183=$bp; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $184=(($183+2)|0); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $185=HEAPU16[(($184)>>1)]; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $186=(($185)&65535); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $187=(($186)|0)==108; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($187) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 52: 
      $c=60; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 56; break; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 53: 
      var $190=$bp; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $191=(($190+2)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $192=HEAPU16[(($191)>>1)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $193=(($192)&65535); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $194=(($193)|0)==103; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($194) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 54: 
      $c=62; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 55; break; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 55: 
      __label__ = 56; break;
    case 56: 
      __label__ = 57; break; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 57: 
      __label__ = 75; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 58: 
      var $200=$bp; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $201=(($200+2)|0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $202=HEAPU16[(($201)>>1)]; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $203=(($202)&65535); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $204=(($203)|0)==97; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($204) { __label__ = 59; break; } else { __label__ = 62; break; } //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 59: 
      var $206=$bp; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $207=(($206+4)|0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $208=HEAPU16[(($207)>>1)]; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $209=(($208)&65535); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $210=(($209)|0)==109; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($210) { __label__ = 60; break; } else { __label__ = 62; break; } //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 60: 
      var $212=$bp; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $213=(($212+6)|0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $214=HEAPU16[(($213)>>1)]; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $215=(($214)&65535); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $216=(($215)|0)==112; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($216) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 61: 
      $c=38; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 62; break; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 62: 
      __label__ = 75; break; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 63: 
      var $220=$bp; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $221=(($220+6)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $222=HEAPU16[(($221)>>1)]; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $223=(($222)&65535); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $224=(($223)|0)==111; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($224) { __label__ = 64; break; } else { __label__ = 74; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 64: 
      var $226=$bp; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $227=(($226+2)|0); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $228=HEAPU16[(($227)>>1)]; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $229=(($228)&65535); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $230=(($229)|0)==97; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($230) { __label__ = 65; break; } else { __label__ = 68; break; } //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 65: 
      var $232=$bp; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $233=(($232+4)|0); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $234=HEAPU16[(($233)>>1)]; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $235=(($234)&65535); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $236=(($235)|0)==112; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($236) { __label__ = 66; break; } else { __label__ = 68; break; } //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 66: 
      var $238=$bp; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $239=(($238+8)|0); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $240=HEAPU16[(($239)>>1)]; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $241=(($240)&65535); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $242=(($241)|0)==115; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($242) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 67: 
      $c=39; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 73; break; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 68: 
      var $245=$bp; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $246=(($245+2)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $247=HEAPU16[(($246)>>1)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $248=(($247)&65535); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $249=(($248)|0)==113; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($249) { __label__ = 69; break; } else { __label__ = 72; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 69: 
      var $251=$bp; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $252=(($251+4)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $253=HEAPU16[(($252)>>1)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $254=(($253)&65535); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $255=(($254)|0)==117; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($255) { __label__ = 70; break; } else { __label__ = 72; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 70: 
      var $257=$bp; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $258=(($257+8)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $259=HEAPU16[(($258)>>1)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $260=(($259)&65535); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $261=(($260)|0)==116; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($261) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 71: 
      $c=34; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 72; break; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 72: 
      __label__ = 73; break;
    case 73: 
      __label__ = 74; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 74: 
      __label__ = 75; break; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 75: 
      var $267=$c; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $268=(($267)|0)==0; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($268) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 76: 
      $msg=195; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 82; break; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 77: 
      __label__ = 78; break;
    case 78: 
      var $272=$c; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $273=(($272) & 65535); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $274=$bp; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $275=(($274+2)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $bp=$275; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP16[(($274)>>1)]=$273; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $276=$ispair; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $277=(($276)|0)!=0; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($277) { __label__ = 79; break; } else { __label__ = 80; break; } //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 79: 
      var $279=$d; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $280=(($279) & 65535); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $281=$bp; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $282=(($281+2)|0); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $bp=$282; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP16[(($281)>>1)]=$280; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 80; break; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 80: 
      var $284=$tb; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $285=$tb; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $286=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE3endEv($285); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $287=$bp; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $288=$286; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $289=$287; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $290=(($288-$289)|0); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $291=(((($290)|0)/2)&-1); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE8shrinkByEj($284, $291); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=1; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 81: 
      $msg=196; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 82; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 82: 
      var $294=(($3)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $295=HEAP32[(($294)>>2)]; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $296=$bp; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $297=(($296+2)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $298=$tb; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $299=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE3endEv($298); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $300=$bp; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $301=$299; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $302=$300; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $303=(($301-$302)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $304=(((($303)|0)/2)&-1); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $305=(($304-1)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $306=__ZN2js13DeflateStringEP9JSContextPKtj($295, $297, $305); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $bytes=$306; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $307=$bytes; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $308=(($307)|0)!=0; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($308) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 83: 
      var $310=(($3)|0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $311=HEAP32[(($310)>>2)]; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $312=$msg; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $313=$bytes; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $314=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($311, $3, 0, 0, $312, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$313,tempInt)); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $315=(($3)|0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $316=HEAP32[(($315)>>2)]; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $317=$bytes; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($316, $317); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 84; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 84: 
      $1=0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 85: 
      var $320=$1; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $320; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream12getXMLEntityEv["X"]=1;

function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIcEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIiEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE8shrinkByEj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  $1=$this;
  $2=$incr;
  var $3=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($g, $3); //@line 662 "./jsvector.h"
  var $4=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  var $5=$2; //@line 664 "./jsvector.h"
  var $6=(((-$5))|0); //@line 664 "./jsvector.h"
  var $7=(($4+($6<<1))|0); //@line 664 "./jsvector.h"
  var $8=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 664 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($7, $8); //@line 664 "./jsvector.h"
  var $9=$2; //@line 665 "./jsvector.h"
  var $10=(($3+8)|0); //@line 665 "./jsvector.h"
  var $11=HEAP32[(($10)>>2)]; //@line 665 "./jsvector.h"
  var $12=(($11-$9)|0); //@line 665 "./jsvector.h"
  HEAP32[(($10)>>2)]=$12; //@line 665 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 666 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 666 "./jsvector.h"
}


function __ZN2js7unicode10IsXMLSpaceEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$ch;
      var $2=$1; //@line 277 "./vm/Unicode.h"
      var $3=(($2)&65535); //@line 277 "./vm/Unicode.h"
      var $4=(($3)|0)==32; //@line 277 "./vm/Unicode.h"
      if ($4) { var $18 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 277 "./vm/Unicode.h"
    case 2: 
      var $6=$1; //@line 277 "./vm/Unicode.h"
      var $7=(($6)&65535); //@line 277 "./vm/Unicode.h"
      var $8=(($7)|0)==9; //@line 277 "./vm/Unicode.h"
      if ($8) { var $18 = 1;__label__ = 5; break; } else { __label__ = 3; break; } //@line 277 "./vm/Unicode.h"
    case 3: 
      var $10=$1; //@line 277 "./vm/Unicode.h"
      var $11=(($10)&65535); //@line 277 "./vm/Unicode.h"
      var $12=(($11)|0)==13; //@line 277 "./vm/Unicode.h"
      if ($12) { var $18 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 277 "./vm/Unicode.h"
    case 4: 
      var $14=$1; //@line 277 "./vm/Unicode.h"
      var $15=(($14)&65535); //@line 277 "./vm/Unicode.h"
      var $16=(($15)|0)==10; //@line 277 "./vm/Unicode.h"
      var $18 = $16;__label__ = 5; break; //@line 277 "./vm/Unicode.h"
    case 5: 
      var $18;
      ;
      return $18; //@line 277 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function __ZN2js11TokenStream15getXMLTextOrTagEPNS_9TokenKindEPPNS_5TokenE($this, $ttp, $tpp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tt;
      var $c;
      var $qc;
      var $tp;
      var $atom;
      var $sawColon;
      var $nextc;
      $2=$this;
      $3=$ttp;
      $4=$tpp;
      var $5=$2;
      var $6=(($5+144)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=$7 & 1024; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=(($8)|0)!=0; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 23; break; } //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      $tt=65; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=__ZN2js11TokenStream8newTokenEi($5, 0); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tp=$11; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $12=(($5+184)|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($12); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=(($5+144)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=$14 & 2048; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $16=(($15)|0)!=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $17=$16 ? 60 : 123; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=(($17 << 24) >> 24); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $qc=$18; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 3; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $20=__ZN2js11TokenStream7getCharEv($5); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$20; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21=$qc; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=(($20)|0)!=(($21)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($22) { __label__ = 4; break; } else { var $30 = 0;__label__ = 6; break; } //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $24=$c; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=(($24)|0)!=60; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($25) { __label__ = 5; break; } else { var $30 = 0;__label__ = 6; break; } //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $27=$c; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $28=(($27)|0)!=-1; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30 = $28;__label__ = 6; break;
    case 6: 
      var $30;
      if ($30) { __label__ = 7; break; } else { __label__ = 17; break; }
    case 7: 
      var $32=$c; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=(($32)|0)==38; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      var $35=$qc; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=(($35)|0)==60; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $38=__ZN2js11TokenStream12getXMLEntityEv($5); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      __label__ = 86; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      $tt=66; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 3; break; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      var $42=$c; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=(($42) & 65535); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $44=__ZN2js7unicode10IsXMLSpaceEt($43); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($44) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      $tt=66; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 14; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      var $47=(($5+184)|0); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $48=$c; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $49=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($47, $48); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($49) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      __label__ = 86; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      __label__ = 3; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 17: 
      var $53=$c; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9ungetCharEi($5, $53); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $54=(($5+184)|0); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $55=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5emptyEv($54); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($55) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 18: 
      $atom=0; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 22; break; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 19: 
      var $58=(($5)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $60=(($5+184)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $61=__ZN2js11TokenStream7atomizeEP9JSContextRNS_6VectorItLj32ENS_15TempAllocPolicyEEE($59, $60); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom=$61; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $62=$atom; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $63=(($62)|0)!=0; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($63) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 20: 
      __label__ = 86; break; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $67=(($5+140)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $69=$tp; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $70=(($69+4)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $71=(($70+8)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $72=(($71+4)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($72)>>2)]=$68; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $73=$tp; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $74=(($73+24)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $75=$74; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $76=(($75)|0); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($76)>>2)]=61; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $77=$atom; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $78=$tp; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $79=(($78+24)|0); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $80=$79; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $81=(($80+4)|0); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($81)>>2)]=$77; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 23: 
      var $83=__ZN2js11TokenStream8newTokenEi($5, 0); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tp=$83; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $84=__ZN2js11TokenStream7getCharEv($5); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$84; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $85=$c; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $86=(($85)|0)!=-1; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($86) { __label__ = 24; break; } else { __label__ = 31; break; } //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 24: 
      var $88=$c; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $89=(($88) & 65535); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $90=__ZN2js7unicode10IsXMLSpaceEt($89); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($90) { __label__ = 25; break; } else { __label__ = 31; break; } //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 25: 
      __label__ = 26; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 26: 
      var $93=__ZN2js11TokenStream7getCharEv($5); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$93; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $94=$c; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $95=(($94)|0)==-1; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($95) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 27: 
      __label__ = 30; break; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 28: 
      __label__ = 29; break; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 29: 
      var $99=$c; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $100=(($99) & 65535); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $101=__ZN2js7unicode10IsXMLSpaceEt($100); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($101) { __label__ = 26; break; } else { __label__ = 30; break; } //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 30: 
      var $103=$c; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9ungetCharEi($5, $103); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $104=(($5+140)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $106=$tp; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $107=(($106+4)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $108=(($107+8)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $109=(($108+4)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($109)>>2)]=$105; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tt=65; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 31: 
      var $111=$c; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $112=(($111)|0)==-1; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($112) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 32: 
      $tt=0; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 33: 
      var $115=(($5+184)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($115); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $116=$c; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $117=(($116) & 65535); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $118=__ZN2js7unicode19IsXMLNamespaceStartEt($117); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($118) { __label__ = 34; break; } else { __label__ = 54; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 34: 
      $sawColon=0; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $120=(($5+184)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $121=$c; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $122=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($120, $121); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($122) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 35: 
      __label__ = 86; break; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 36: 
      __label__ = 37; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 37: 
      var $126=__ZN2js11TokenStream7getCharEv($5); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$126; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $127=(($126)|0)!=-1; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($127) { __label__ = 38; break; } else { var $133 = 0;__label__ = 39; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 38: 
      var $129=$c; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $130=(($129) & 65535); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $131=__ZN2js7unicode13IsXMLNamePartEt($130); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $133 = $131;__label__ = 39; break;
    case 39: 
      var $133;
      if ($133) { __label__ = 40; break; } else { __label__ = 51; break; }
    case 40: 
      var $135=$c; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $136=(($135)|0)==58; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($136) { __label__ = 41; break; } else { __label__ = 48; break; } //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 41: 
      var $138=$sawColon; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $139=(($138)|0)!=0; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($139) { __label__ = 46; break; } else { __label__ = 42; break; } //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 42: 
      var $141=__ZN2js11TokenStream8peekCharEv($5); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $nextc=$141; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $142=(($5+144)|0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $144=$143 & 2048; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $145=(($144)|0)!=0; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($145) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 43: 
      var $147=$nextc; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $148=(($147)|0)!=123; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($148) { __label__ = 44; break; } else { var $155 = 0;__label__ = 45; break; } //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 44: 
      var $150=$nextc; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $151=(($150) & 65535); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $152=__ZN2js7unicode13IsXMLNamePartEt($151); //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $153=$152 ^ 1; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $155 = $153;__label__ = 45; break;
    case 45: 
      var $155;
      if ($155) { __label__ = 46; break; } else { __label__ = 47; break; }
    case 46: 
      var $157=(($5)|0); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $159=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($158, $5, 0, 0, 192, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 86; break; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 47: 
      $sawColon=1; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 48; break; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 48: 
      var $162=(($5+184)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $163=$c; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $164=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($162, $163); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($164) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 49: 
      __label__ = 86; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 50: 
      __label__ = 37; break; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 51: 
      var $168=$c; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9ungetCharEi($5, $168); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $169=(($5)|0); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $171=(($5+184)|0); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $172=__ZN2js11TokenStream7atomizeEP9JSContextRNS_6VectorItLj32ENS_15TempAllocPolicyEEE($170, $171); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom=$172; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $173=$atom; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $174=(($173)|0)!=0; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($174) { __label__ = 53; break; } else { __label__ = 52; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 52: 
      __label__ = 86; break; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 53: 
      var $177=$tp; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $178=(($177+24)|0); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $179=$178; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $180=(($179)|0); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($180)>>2)]=61; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $181=$atom; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $182=$tp; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $183=(($182+24)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $184=$183; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $185=(($184+4)|0); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($185)>>2)]=$181; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tt=63; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 54: 
      var $187=$c; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ((($187)|0) == 123) {
        __label__ = 55; break;
      }
      else if ((($187)|0) == 61) {
        __label__ = 58; break;
      }
      else if ((($187)|0) == 34 || (($187)|0) == 39) {
        __label__ = 59; break;
      }
      else if ((($187)|0) == 62) {
        __label__ = 79; break;
      }
      else if ((($187)|0) == 47) {
        __label__ = 80; break;
      }
      else {
      __label__ = 84; break;
      }
      
    case 55: 
      var $189=(($5+144)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $191=$190 & 2048; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $192=(($191)|0)!=0; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($192) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 56: 
      __label__ = 83; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 57: 
      $tt=25; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 58: 
      $tt=4; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 59: 
      var $197=$c; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $qc=$197; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 60; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 60: 
      var $199=__ZN2js11TokenStream7getCharEv($5); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$199; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $200=$qc; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $201=(($199)|0)!=(($200)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($201) { __label__ = 61; break; } else { __label__ = 76; break; } //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 61: 
      var $203=$c; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $204=(($203)|0)==-1; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($204) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 62: 
      var $206=(($5)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $208=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($207, $5, 0, 0, 138, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 86; break; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 63: 
      var $210=$c; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $211=(($210)|0)==34; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($211) { __label__ = 64; break; } else { __label__ = 68; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 64: 
      var $213=(($5+144)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $215=$214 & 2048; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $216=(($215)|0)!=0; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($216) { __label__ = 68; break; } else { __label__ = 65; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 65: 
      var $218=(($5+184)|0); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $219=_strlen(((STRING_TABLE._js_quot_entity_str)|0)); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $220=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbPKT_j($218, ((STRING_TABLE._js_quot_entity_str)|0), $219); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($220) { __label__ = 67; break; } else { __label__ = 66; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 66: 
      __label__ = 86; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 67: 
      __label__ = 60; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 68: 
      var $224=$c; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $225=(($224)|0)==38; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($225) { __label__ = 69; break; } else { __label__ = 73; break; } //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 69: 
      var $227=(($5+144)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $228=HEAP32[(($227)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $229=$228 & 2048; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $230=(($229)|0)!=0; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($230) { __label__ = 70; break; } else { __label__ = 73; break; } //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 70: 
      var $232=__ZN2js11TokenStream12getXMLEntityEv($5); //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($232) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 71: 
      __label__ = 86; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 72: 
      __label__ = 60; break; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 73: 
      var $236=(($5+184)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $237=$c; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $238=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($236, $237); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($238) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 74: 
      __label__ = 86; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 75: 
      __label__ = 60; break; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 76: 
      var $242=(($5)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $243=HEAP32[(($242)>>2)]; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $244=(($5+184)|0); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $245=__ZN2js11TokenStream7atomizeEP9JSContextRNS_6VectorItLj32ENS_15TempAllocPolicyEEE($243, $244); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom=$245; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $246=$atom; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $247=(($246)|0)!=0; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($247) { __label__ = 78; break; } else { __label__ = 77; break; } //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 77: 
      __label__ = 86; break; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 78: 
      var $250=(($5+140)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $251=HEAP32[(($250)>>2)]; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $252=$tp; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $253=(($252+4)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $254=(($253+8)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $255=(($254+4)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($255)>>2)]=$251; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $256=$tp; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $257=(($256+24)|0); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $258=$257; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $259=(($258)|0); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($259)>>2)]=61; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $260=$atom; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $261=$tp; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $262=(($261+24)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $263=$262; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $264=(($263+4)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($264)>>2)]=$260; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tt=64; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 79: 
      $tt=62; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 80: 
      var $267=__ZN2js11TokenStream9matchCharEi($5, 62); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($267) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 81: 
      $tt=61; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 85; break; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 82: 
      __label__ = 83; break; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 83: 
      __label__ = 84; break; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 84: 
      var $272=(($5)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $273=HEAP32[(($272)>>2)]; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $274=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($273, $5, 0, 0, 171, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 86; break; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 85: 
      var $276=$tt; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $277=$3; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($277)>>2)]=$276; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $278=$tp; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $279=$4; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($279)>>2)]=$278; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=1; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 87; break; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 86: 
      var $281=$3; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($281)>>2)]=-1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $282=$tp; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $283=$4; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($283)>>2)]=$282; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=0; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 87; break; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 87: 
      var $285=$1; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $285; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream15getXMLTextOrTagEPNS_9TokenKindEPPNS_5TokenE["X"]=1;

function __ZN2js11TokenStream8newTokenEi($this, $adjust) {
  ;
  var __label__;

  var $1;
  var $2;
  var $tp;
  $1=$this;
  $2=$adjust;
  var $3=$1;
  var $4=(($3+132)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $6=(($5+1)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $7=$6 & 3; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $8=(($3+132)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $9=(($3+132)|0); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $10=HEAP32[(($9)>>2)]; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $11=(($3+4)|0); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $12=(($11+($10<<5))|0); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  $tp=$12; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $13=(($3+156)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $14=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($13); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $15=$2; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $16=(($14+($15<<1))|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $17=$tp; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $18=(($17+20)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($18)>>2)]=$16; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $19=$tp; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $20=(($19+20)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $21=HEAP32[(($20)>>2)]; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $22=(($3+148)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $23=HEAP32[(($22)>>2)]; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $24=$21; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $25=$23; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $26=(($24-$25)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $27=(((($26)|0)/2)&-1); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $28=$tp; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $29=(($28+4)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $30=(($29)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $31=(($30)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($31)>>2)]=$27; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $32=(($3+140)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $33=HEAP32[(($32)>>2)]; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $34=$tp; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $35=(($34+4)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $36=(($35+8)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $37=(($36+4)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($37)>>2)]=$33; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $38=$tp; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $39=(($38+4)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $40=(($39)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $41=(($40+4)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($41)>>2)]=$33; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $42=$tp; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  ;
  return $42; //@line 1259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
}
__ZN2js11TokenStream8newTokenEi["X"]=1;

function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 730 "./jsvector.h"
  var $3=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 731 "./jsvector.h"
  var $4=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 731 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($3, $4); //@line 731 "./jsvector.h"
  var $5=(($2+8)|0); //@line 732 "./jsvector.h"
  HEAP32[(($5)>>2)]=0; //@line 732 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 733 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 733 "./jsvector.h"
}


function __ZN2js11TokenStream7atomizeEP9JSContextRNS_6VectorItLj32ENS_15TempAllocPolicyEEE($cx, $cb) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$cb;
  var $3=$1; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $4=$2; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $5=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5beginEv($4); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $6=$2; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $7=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($6); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $8=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($3, $5, $7, 0); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  ;
  return $8; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
}


function __ZN2js7unicode19IsXMLNamespaceStartEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$ch;
      var $3=$2; //@line 283 "./vm/Unicode.h"
      var $4=(($3)&65535); //@line 283 "./vm/Unicode.h"
      var $5=(($4)|0)==95; //@line 283 "./vm/Unicode.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 283 "./vm/Unicode.h"
    case 2: 
      $1=1; //@line 284 "./vm/Unicode.h"
      __label__ = 6; break; //@line 284 "./vm/Unicode.h"
    case 3: 
      var $8=$2; //@line 286 "./vm/Unicode.h"
      var $9=__ZN2js7unicode8CharInfoEt($8); //@line 286 "./vm/Unicode.h"
      var $10=__ZNK2js7unicode13CharacterInfo22isCombiningSpacingMarkEv($9); //@line 286 "./vm/Unicode.h"
      if ($10) { var $15 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 286 "./vm/Unicode.h"
    case 4: 
      var $12=$2; //@line 286 "./vm/Unicode.h"
      var $13=__ZN2js7unicode17IsIdentifierStartEt($12); //@line 286 "./vm/Unicode.h"
      var $15 = $13;__label__ = 5; break; //@line 286 "./vm/Unicode.h"
    case 5: 
      var $15;
      $1=$15; //@line 286 "./vm/Unicode.h"
      __label__ = 6; break; //@line 286 "./vm/Unicode.h"
    case 6: 
      var $17=$1; //@line 287 "./vm/Unicode.h"
      ;
      return $17; //@line 287 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7unicode13IsXMLNamePartEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$ch;
      var $3=$2; //@line 310 "./vm/Unicode.h"
      var $4=(($3)&65535); //@line 310 "./vm/Unicode.h"
      var $5=(($4)|0)==46; //@line 310 "./vm/Unicode.h"
      if ($5) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 310 "./vm/Unicode.h"
    case 2: 
      var $7=$2; //@line 310 "./vm/Unicode.h"
      var $8=(($7)&65535); //@line 310 "./vm/Unicode.h"
      var $9=(($8)|0)==45; //@line 310 "./vm/Unicode.h"
      if ($9) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 310 "./vm/Unicode.h"
    case 3: 
      var $11=$2; //@line 310 "./vm/Unicode.h"
      var $12=(($11)&65535); //@line 310 "./vm/Unicode.h"
      var $13=(($12)|0)==95; //@line 310 "./vm/Unicode.h"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 310 "./vm/Unicode.h"
    case 4: 
      var $15=$2; //@line 310 "./vm/Unicode.h"
      var $16=(($15)&65535); //@line 310 "./vm/Unicode.h"
      var $17=(($16)|0)==58; //@line 310 "./vm/Unicode.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 310 "./vm/Unicode.h"
    case 5: 
      $1=1; //@line 311 "./vm/Unicode.h"
      __label__ = 9; break; //@line 311 "./vm/Unicode.h"
    case 6: 
      var $20=$2; //@line 313 "./vm/Unicode.h"
      var $21=__ZN2js7unicode8CharInfoEt($20); //@line 313 "./vm/Unicode.h"
      var $22=__ZNK2js7unicode13CharacterInfo15isEnclosingMarkEv($21); //@line 313 "./vm/Unicode.h"
      if ($22) { var $27 = 1;__label__ = 8; break; } else { __label__ = 7; break; } //@line 313 "./vm/Unicode.h"
    case 7: 
      var $24=$2; //@line 313 "./vm/Unicode.h"
      var $25=__ZN2js7unicode16IsIdentifierPartEt($24); //@line 313 "./vm/Unicode.h"
      var $27 = $25;__label__ = 8; break; //@line 313 "./vm/Unicode.h"
    case 8: 
      var $27;
      $1=$27; //@line 313 "./vm/Unicode.h"
      __label__ = 9; break; //@line 313 "./vm/Unicode.h"
    case 9: 
      var $29=$1; //@line 314 "./vm/Unicode.h"
      ;
      return $29; //@line 314 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream8peekCharEv($this) {
  ;
  var __label__;

  var $1;
  var $c;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js11TokenStream7getCharEv($2); //@line 616 "./jsscan.h"
  $c=$3; //@line 616 "./jsscan.h"
  var $4=$c; //@line 617 "./jsscan.h"
  __ZN2js11TokenStream9ungetCharEi($2, $4); //@line 617 "./jsscan.h"
  var $5=$c; //@line 618 "./jsscan.h"
  ;
  return $5; //@line 618 "./jsscan.h"
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbPKT_j($this, $insBegin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$insBegin;
  $3=$length;
  var $4=$1;
  var $5=$2; //@line 889 "./jsvector.h"
  var $6=$2; //@line 889 "./jsvector.h"
  var $7=$3; //@line 889 "./jsvector.h"
  var $8=(($6+$7)|0); //@line 889 "./jsvector.h"
  var $9=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbPKT_S6_($4, $5, $8); //@line 889 "./jsvector.h"
  ;
  return $9; //@line 889 "./jsvector.h"
}


function __ZN2js11TokenStream9matchCharEi($this, $expect) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $c;
      $2=$this;
      $3=$expect;
      var $4=$2;
      var $5=__ZN2js11TokenStream7getCharEv($4); //@line 608 "./jsscan.h"
      $c=$5; //@line 608 "./jsscan.h"
      var $6=$c; //@line 609 "./jsscan.h"
      var $7=$3; //@line 609 "./jsscan.h"
      var $8=(($6)|0)==(($7)|0); //@line 609 "./jsscan.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 609 "./jsscan.h"
    case 2: 
      $1=1; //@line 610 "./jsscan.h"
      __label__ = 4; break; //@line 610 "./jsscan.h"
    case 3: 
      var $11=$c; //@line 611 "./jsscan.h"
      __ZN2js11TokenStream9ungetCharEi($4, $11); //@line 611 "./jsscan.h"
      $1=0; //@line 612 "./jsscan.h"
      __label__ = 4; break; //@line 612 "./jsscan.h"
    case 4: 
      var $13=$1; //@line 613 "./jsscan.h"
      ;
      return $13; //@line 613 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream12getXMLMarkupEPNS_9TokenKindEPPNS_5TokenE($this, $ttp, $tpp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tt;
      var $c;
      var $tp;
      var $atom;
      var $inTarget;
      var $targetLength;
      var $contentIndex;
      var $cp=__stackBase__;
      $2=$this;
      $3=$ttp;
      $4=$tpp;
      var $5=$2;
      var $6=$4; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tp=$7; //@line 969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=__ZN2js11TokenStream9matchCharEi($5, 33); //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 37; break; } //@line 976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $10=(($5+184)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($10); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=__ZN2js11TokenStream9matchCharEi($5, 45); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 15; break; } //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $13=__ZN2js11TokenStream9matchCharEi($5, 45); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      __label__ = 77; break; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      __label__ = 6; break; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $17=__ZN2js11TokenStream7getCharEv($5); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$17; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=(($17)|0)!=45; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($18) { var $23 = 1;__label__ = 8; break; } else { __label__ = 7; break; } //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $20=__ZN2js11TokenStream9matchCharEi($5, 45); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21=$20 ^ 1; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23 = $21;__label__ = 8; break; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      var $23;
      if ($23) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $25=$c; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=(($25)|0)==-1; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($26) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      __label__ = 77; break; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $29=(($5+184)|0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30=$c; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $31=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($29, $30); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($31) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      __label__ = 78; break; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      __label__ = 6; break; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      $tt=67; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $35=$tp; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=(($35+24)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=$36; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=(($37)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($38)>>2)]=184; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 70; break; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      var $40=__ZN2js11TokenStream9matchCharEi($5, 91); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($40) { __label__ = 16; break; } else { __label__ = 36; break; } //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      var $42=(($cp)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=__ZN2js11TokenStream9peekCharsEiPt($5, 6, $42); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($43) { __label__ = 17; break; } else { __label__ = 35; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 17: 
      var $45=(($cp)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $46=HEAPU16[(($45)>>1)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $47=(($46)&65535); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $48=(($47)|0)==67; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($48) { __label__ = 18; break; } else { __label__ = 35; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 18: 
      var $50=(($cp+2)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $51=HEAPU16[(($50)>>1)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $52=(($51)&65535); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $53=(($52)|0)==68; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($53) { __label__ = 19; break; } else { __label__ = 35; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 19: 
      var $55=(($cp+4)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $56=HEAPU16[(($55)>>1)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $57=(($56)&65535); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $58=(($57)|0)==65; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($58) { __label__ = 20; break; } else { __label__ = 35; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 20: 
      var $60=(($cp+6)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $61=HEAPU16[(($60)>>1)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $62=(($61)&65535); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $63=(($62)|0)==84; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($63) { __label__ = 21; break; } else { __label__ = 35; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 21: 
      var $65=(($cp+8)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $66=HEAPU16[(($65)>>1)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $67=(($66)&65535); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $68=(($67)|0)==65; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($68) { __label__ = 22; break; } else { __label__ = 35; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 22: 
      var $70=(($cp+10)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $71=HEAPU16[(($70)>>1)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $72=(($71)&65535); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $73=(($72)|0)==91; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($73) { __label__ = 23; break; } else { __label__ = 35; break; } //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 23: 
      __ZN2js11TokenStream9skipCharsEi($5, 6); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 24; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 24: 
      var $76=__ZN2js11TokenStream7getCharEv($5); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$76; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $77=(($76)|0)!=93; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($77) { var $92 = 1;__label__ = 28; break; } else { __label__ = 25; break; } //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 25: 
      var $79=(($cp)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $80=__ZN2js11TokenStream9peekCharsEiPt($5, 2, $79); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($80) { __label__ = 26; break; } else { var $92 = 1;__label__ = 28; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 26: 
      var $82=(($cp)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $83=HEAPU16[(($82)>>1)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $84=(($83)&65535); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $85=(($84)|0)!=93; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($85) { var $92 = 1;__label__ = 28; break; } else { __label__ = 27; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 27: 
      var $87=(($cp+2)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $88=HEAPU16[(($87)>>1)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $89=(($88)&65535); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $90=(($89)|0)!=62; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $92 = $90;__label__ = 28; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 28: 
      var $92;
      if ($92) { __label__ = 29; break; } else { __label__ = 34; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 29: 
      var $94=$c; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $95=(($94)|0)==-1; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($95) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 30: 
      __label__ = 77; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 31: 
      var $98=(($5+184)|0); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $99=$c; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $100=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($98, $99); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($100) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 32: 
      __label__ = 78; break; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 33: 
      __label__ = 24; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 34: 
      var $104=__ZN2js11TokenStream7getCharEv($5); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tt=68; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $105=$tp; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $106=(($105+24)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $107=$106; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $108=(($107)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($108)>>2)]=183; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 70; break; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 35: 
      __label__ = 77; break; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 36: 
      __label__ = 37; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 37: 
      var $112=__ZN2js11TokenStream9matchCharEi($5, 63); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($112) { __label__ = 38; break; } else { __label__ = 75; break; } //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 38: 
      $inTarget=1; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $targetLength=0; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $contentIndex=-1; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $114=(($5+184)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($114); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 39; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 39: 
      var $116=__ZN2js11TokenStream7getCharEv($5); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$116; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $117=(($116)|0)!=63; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($117) { var $122 = 1;__label__ = 41; break; } else { __label__ = 40; break; } //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 40: 
      var $119=__ZN2js11TokenStream8peekCharEv($5); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $120=(($119)|0)!=62; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $122 = $120;__label__ = 41; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 41: 
      var $122;
      if ($122) { __label__ = 42; break; } else { __label__ = 62; break; } //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 42: 
      var $124=$c; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $125=(($124)|0)==-1; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($125) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 43: 
      __label__ = 77; break; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 44: 
      var $128=$inTarget; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $129=(($128)|0)!=0; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($129) { __label__ = 45; break; } else { __label__ = 55; break; } //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 45: 
      var $131=$c; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $132=(($131) & 65535); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $133=__ZN2js7unicode10IsXMLSpaceEt($132); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($133) { __label__ = 46; break; } else { __label__ = 49; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 46: 
      var $135=(($5+184)|0); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $136=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5emptyEv($135); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($136) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 47: 
      __label__ = 77; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 48: 
      $inTarget=0; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 54; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 49: 
      var $140=(($5+184)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $141=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5emptyEv($140); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($141) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 50: 
      var $143=$c; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $144=(($143) & 65535); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $145=__ZN2js7unicode19IsXMLNamespaceStartEt($144); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($145) { __label__ = 53; break; } else { __label__ = 52; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 51: 
      var $147=$c; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $148=(($147) & 65535); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $149=__ZN2js7unicode18IsXMLNamespacePartEt($148); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($149) { __label__ = 53; break; } else { __label__ = 52; break; } //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 52: 
      __label__ = 77; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 53: 
      var $152=$targetLength; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $153=(($152+1)|0); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $targetLength=$153; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 54; break;
    case 54: 
      __label__ = 59; break; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 55: 
      var $156=$contentIndex; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $157=(($156)|0) < 0; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($157) { __label__ = 56; break; } else { __label__ = 58; break; } //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 56: 
      var $159=$c; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $160=(($159) & 65535); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $161=__ZN2js7unicode10IsXMLSpaceEt($160); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($161) { __label__ = 58; break; } else { __label__ = 57; break; } //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 57: 
      var $163=(($5+184)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $164=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($163); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $contentIndex=$164; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 58; break; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 58: 
      __label__ = 59; break;
    case 59: 
      var $167=(($5+184)|0); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $168=$c; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $169=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($167, $168); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($169) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 60: 
      __label__ = 78; break; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 61: 
      __label__ = 39; break; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 62: 
      var $173=$targetLength; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $174=(($173)|0)==0; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($174) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 63: 
      __label__ = 77; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 64: 
      var $177=$contentIndex; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $178=(($177)|0) < 0; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($178) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 65: 
      var $180=(($5)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $182=(($181+52)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $183=HEAP32[(($182)>>2)]; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $184=(($183+209948)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $185=(($184+24)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $187=$186; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom=$187; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 69; break; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 66: 
      var $189=(($5)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $191=(($5+184)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $192=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5beginEv($191); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $193=$contentIndex; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $194=(($192+($193<<1))|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $195=(($5+184)|0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $196=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($195); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $197=$contentIndex; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $198=(($196-$197)|0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $199=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($190, $194, $198, 0); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom=$199; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $200=$atom; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $201=(($200)|0)!=0; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($201) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 67: 
      __label__ = 78; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 68: 
      __label__ = 69; break;
    case 69: 
      var $205=(($5+184)|0); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $206=(($5+184)|0); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $207=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($206); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $208=$targetLength; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $209=(($207-$208)|0); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE8shrinkByEj($205, $209); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $210=$atom; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $211=$tp; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $212=(($211+24)|0); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $213=$212; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $214=(($213)|0); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($214)>>2)]=$210; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tt=69; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 70; break; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 70: 
      var $216=__ZN2js11TokenStream9matchCharEi($5, 62); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($216) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 71: 
      __label__ = 77; break; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 72: 
      var $219=(($5)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $221=(($5+184)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $222=__ZN2js11TokenStream7atomizeEP9JSContextRNS_6VectorItLj32ENS_15TempAllocPolicyEEE($220, $221); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom=$222; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $223=$atom; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $224=(($223)|0)!=0; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($224) { __label__ = 74; break; } else { __label__ = 73; break; } //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 73: 
      __label__ = 78; break; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 74: 
      var $227=$atom; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $228=$tp; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $229=(($228+24)|0); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $230=$229; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $231=(($230+4)|0); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($231)>>2)]=$227; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $232=(($5+140)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $233=HEAP32[(($232)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $234=$tp; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $235=(($234+4)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $236=(($235+8)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $237=(($236+4)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($237)>>2)]=$233; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 76; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 75: 
      var $239=__ZN2js11TokenStream9matchCharEi($5, 47); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $240=$239 ? 60 : 59; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tt=$240; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 76; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 76: 
      var $242=$tt; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $243=$3; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($243)>>2)]=$242; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $244=$tp; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $245=$4; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($245)>>2)]=$244; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 79; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 77: 
      var $247=(($5)|0); //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $249=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($248, $5, 0, 0, 170, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 78; break; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 78: 
      var $251=$3; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($251)>>2)]=-1; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $252=$tp; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $253=$4; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($253)>>2)]=$252; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=0; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 79; break; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 79: 
      var $255=$1; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      STACKTOP = __stackBase__;
      return $255; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream12getXMLMarkupEPNS_9TokenKindEPPNS_5TokenE["X"]=1;

function __ZN2js11TokenStream9skipCharsEi($this, $n) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$n;
      var $3=$1;
      __label__ = 2; break; //@line 622 "./jsscan.h"
    case 2: 
      var $5=$2; //@line 622 "./jsscan.h"
      var $6=(($5-1)|0); //@line 622 "./jsscan.h"
      $2=$6; //@line 622 "./jsscan.h"
      var $7=(($6)|0) >= 0; //@line 622 "./jsscan.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 622 "./jsscan.h"
    case 3: 
      var $9=__ZN2js11TokenStream7getCharEv($3); //@line 623 "./jsscan.h"
      __label__ = 2; break; //@line 623 "./jsscan.h"
    case 4: 
      ;
      return; //@line 624 "./jsscan.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7unicode18IsXMLNamespacePartEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$ch;
      var $3=$2; //@line 292 "./vm/Unicode.h"
      var $4=(($3)&65535); //@line 292 "./vm/Unicode.h"
      var $5=(($4)|0)==46; //@line 292 "./vm/Unicode.h"
      if ($5) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 292 "./vm/Unicode.h"
    case 2: 
      var $7=$2; //@line 292 "./vm/Unicode.h"
      var $8=(($7)&65535); //@line 292 "./vm/Unicode.h"
      var $9=(($8)|0)==45; //@line 292 "./vm/Unicode.h"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 292 "./vm/Unicode.h"
    case 3: 
      var $11=$2; //@line 292 "./vm/Unicode.h"
      var $12=(($11)&65535); //@line 292 "./vm/Unicode.h"
      var $13=(($12)|0)==95; //@line 292 "./vm/Unicode.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 292 "./vm/Unicode.h"
    case 4: 
      $1=1; //@line 293 "./vm/Unicode.h"
      __label__ = 8; break; //@line 293 "./vm/Unicode.h"
    case 5: 
      var $16=$2; //@line 295 "./vm/Unicode.h"
      var $17=__ZN2js7unicode8CharInfoEt($16); //@line 295 "./vm/Unicode.h"
      var $18=__ZNK2js7unicode13CharacterInfo15isEnclosingMarkEv($17); //@line 295 "./vm/Unicode.h"
      if ($18) { var $23 = 1;__label__ = 7; break; } else { __label__ = 6; break; } //@line 295 "./vm/Unicode.h"
    case 6: 
      var $20=$2; //@line 295 "./vm/Unicode.h"
      var $21=__ZN2js7unicode16IsIdentifierPartEt($20); //@line 295 "./vm/Unicode.h"
      var $23 = $21;__label__ = 7; break; //@line 295 "./vm/Unicode.h"
    case 7: 
      var $23;
      $1=$23; //@line 295 "./vm/Unicode.h"
      __label__ = 8; break; //@line 295 "./vm/Unicode.h"
    case 8: 
      var $25=$1; //@line 296 "./vm/Unicode.h"
      ;
      return $25; //@line 296 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream17peekUnicodeEscapeEPi($this, $result) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $cp=__stackBase__;
      $2=$this;
      $3=$result;
      var $4=$2;
      var $5=(($cp)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=__ZN2js11TokenStream9peekCharsEiPt($4, 5, $5); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 24; break; } //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $8=(($cp)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=HEAPU16[(($8)>>1)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=(($9)&65535); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=(($10)|0)==117; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 24; break; } //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $13=(($cp+2)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=HEAPU16[(($13)>>1)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=(($14)&65535); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $16=(($15)|0) < 128; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 24; break; } //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $18=(($cp+2)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=HEAPU16[(($18)>>1)]; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20=(($19)&65535); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21=_isxdigit($20); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=(($21)|0)!=0; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 24; break; } //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $24=(($cp+4)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=HEAPU16[(($24)>>1)]; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=(($25)&65535); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $27=(($26)|0) < 128; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 24; break; } //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $29=(($cp+4)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30=HEAPU16[(($29)>>1)]; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $31=(($30)&65535); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $32=_isxdigit($31); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=(($32)|0)!=0; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 24; break; } //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $35=(($cp+6)|0); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=HEAPU16[(($35)>>1)]; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=(($36)&65535); //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=(($37)|0) < 128; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 24; break; } //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      var $40=(($cp+6)|0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $41=HEAPU16[(($40)>>1)]; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $42=(($41)&65535); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=_isxdigit($42); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $44=(($43)|0)!=0; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 24; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $46=(($cp+8)|0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $47=HEAPU16[(($46)>>1)]; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $48=(($47)&65535); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $49=(($48)|0) < 128; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 24; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $51=(($cp+8)|0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $52=HEAPU16[(($51)>>1)]; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $53=(($52)&65535); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $54=_isxdigit($53); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $55=(($54)|0)!=0; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 24; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $57=(($cp+2)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $58=HEAPU16[(($57)>>1)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $59=(($58)&65535); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $60=(($59-48)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $61=(($60)>>>0) <= 9; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      var $63=(($cp+2)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $64=HEAPU16[(($63)>>1)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $65=(($64)&65535); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $66=(($65-48)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $75 = $66;__label__ = 14; break; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      var $68=(($cp+2)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $69=HEAPU16[(($68)>>1)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $70=(($69)&65535); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $71=_tolower($70); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $72=(($71+10)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $73=(($72-97)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $75 = $73;__label__ = 14; break; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      var $75; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $76=$75 << 4; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $77=(($cp+4)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $78=HEAPU16[(($77)>>1)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $79=(($78)&65535); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $80=(($79-48)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $81=(($80)>>>0) <= 9; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($81) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      var $83=(($cp+4)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $84=HEAPU16[(($83)>>1)]; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $85=(($84)&65535); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $86=(($85-48)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $95 = $86;__label__ = 17; break; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      var $88=(($cp+4)|0); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $89=HEAPU16[(($88)>>1)]; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $90=(($89)&65535); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $91=_tolower($90); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $92=(($91+10)|0); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $93=(($92-97)|0); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $95 = $93;__label__ = 17; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 17: 
      var $95; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $96=(($76+$95)|0); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $97=$96 << 4; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $98=(($cp+6)|0); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $99=HEAPU16[(($98)>>1)]; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $100=(($99)&65535); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $101=(($100-48)|0); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $102=(($101)>>>0) <= 9; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($102) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 18: 
      var $104=(($cp+6)|0); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $105=HEAPU16[(($104)>>1)]; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $106=(($105)&65535); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $107=(($106-48)|0); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $116 = $107;__label__ = 20; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 19: 
      var $109=(($cp+6)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $110=HEAPU16[(($109)>>1)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $111=(($110)&65535); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $112=_tolower($111); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $113=(($112+10)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $114=(($113-97)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $116 = $114;__label__ = 20; break; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 20: 
      var $116; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $117=(($97+$116)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $118=$117 << 4; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $119=(($cp+8)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $120=HEAPU16[(($119)>>1)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $121=(($120)&65535); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $122=(($121-48)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $123=(($122)>>>0) <= 9; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($123) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 21: 
      var $125=(($cp+8)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $126=HEAPU16[(($125)>>1)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $127=(($126)&65535); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $128=(($127-48)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $137 = $128;__label__ = 23; break; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 22: 
      var $130=(($cp+8)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $131=HEAPU16[(($130)>>1)]; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $132=(($131)&65535); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $133=_tolower($132); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $134=(($133+10)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $135=(($134-97)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $137 = $135;__label__ = 23; break; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 23: 
      var $137; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $138=(($118+$137)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $139=$3; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($139)>>2)]=$138; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=1; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 25; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 24: 
      $1=0; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 25; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 25: 
      var $142=$1; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      STACKTOP = __stackBase__;
      return $142; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream17peekUnicodeEscapeEPi["X"]=1;

function __ZN2js11TokenStream25matchUnicodeEscapeIdStartEPi($this, $cp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cp;
      var $4=$2;
      var $5=$3; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=__ZN2js11TokenStream17peekUnicodeEscapeEPi($4, $5); //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $8=$3; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=(($9) & 65535); //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=__ZN2js7unicode17IsIdentifierStartEt($10); //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      __ZN2js11TokenStream9skipCharsEi($4, 5); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 5; break; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      $1=0; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 5; break; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $15=$1; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $15; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream23matchUnicodeEscapeIdentEPi($this, $cp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cp;
      var $4=$2;
      var $5=$3; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=__ZN2js11TokenStream17peekUnicodeEscapeEPi($4, $5); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $8=$3; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=(($9) & 65535); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=__ZN2js7unicode16IsIdentifierPartEt($10); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      __ZN2js11TokenStream9skipCharsEi($4, 5); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=1; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 5; break; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      $1=0; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 5; break; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $15=$1; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $15; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10CharsMatchPKtPKc($p, $q) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$p;
      $3=$q;
      __label__ = 2; break; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $5=$3; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=HEAP8[($5)]; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=(($6 << 24) >> 24)!=0; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $9=$2; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=(($9+2)|0); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $2=$10; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $11=HEAPU16[(($9)>>1)]; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $12=(($11)&65535); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=$3; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=(($13+1)|0); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $3=$14; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=HEAP8[($13)]; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $16=(($15 << 24) >> 24); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $17=(($12)|0)!=(($16)|0); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      $1=0; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 7; break; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      __label__ = 2; break; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      $1=1; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 7; break; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $22=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      ;
      return $22; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 555 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 555 "./jsscan.h"
  ;
  return $4; //@line 555 "./jsscan.h"
}


function __ZN2js11TokenStream8TokenBuf23setAddressOfNextRawCharEPKt($this, $a) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$a;
  var $3=$1;
  var $4=$2; //@line 561 "./jsscan.h"
  var $5=(($3+8)|0); //@line 561 "./jsscan.h"
  HEAP32[(($5)>>2)]=$4; //@line 561 "./jsscan.h"
  ;
  return; //@line 562 "./jsscan.h"
}


function __ZN2js11TokenStream9getAtLineEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 1036; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $c;
      var $cp=__stackBase__;
      var $i;
      var $line;
      var $temp;
      var $filenameBuf=__stackBase__+12;
      $2=$this;
      var $3=$2;
      var $4=(($cp)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=__ZN2js11TokenStream9peekCharsEiPt($3, 5, $4); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 54; break; } //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $7=(($cp)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=__ZL10CharsMatchPKtPKc($7, ((STRING_TABLE.__str3585)|0)); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 54; break; } //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      __ZN2js11TokenStream9skipCharsEi($3, 5); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 4; break; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $11=__ZN2js11TokenStream7getCharEv($3); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$11; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $12=(($11)|0)!=10; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($12) { __label__ = 5; break; } else { var $21 = 0;__label__ = 7; break; } //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $14=$c; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=(($14)|0)!=-1; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($15) { __label__ = 6; break; } else { var $21 = 0;__label__ = 7; break; } //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $17=$c; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=(($17) & 65535); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=__ZN2js7unicode13IsSpaceOrBOM2Et($18); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $21 = $19;__label__ = 7; break;
    case 7: 
      var $21;
      if ($21) { __label__ = 8; break; } else { __label__ = 9; break; }
    case 8: 
      __label__ = 4; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $24=$c; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=(($24-48)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=(($25)>>>0) <= 9; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($26) { __label__ = 10; break; } else { __label__ = 53; break; } //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $28=$c; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $29=(($28-48)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $line=$29; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 11; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $31=__ZN2js11TokenStream7getCharEv($3); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $32=(($31)|0)!=-1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($32) { __label__ = 12; break; } else { var $38 = 0;__label__ = 13; break; } //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      var $34=$c; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $35=(($34-48)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=(($35)>>>0) <= 9; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38 = $36;__label__ = 13; break;
    case 13: 
      var $38;
      if ($38) { __label__ = 14; break; } else { __label__ = 17; break; }
    case 14: 
      var $40=$line; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $41=(($40*10)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $42=$c; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=(($42-48)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $44=(($41+$43)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $temp=$44; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $45=$temp; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $46=$line; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $47=(($45)>>>0) < (($46)>>>0); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($47) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      $1=1; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 55; break; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      var $50=$temp; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $line=$50; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 11; break; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 17: 
      __label__ = 18; break; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 18: 
      var $53=$c; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $54=(($53)|0)!=10; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($54) { __label__ = 19; break; } else { var $63 = 0;__label__ = 21; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 19: 
      var $56=$c; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $57=(($56)|0)!=-1; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($57) { __label__ = 20; break; } else { var $63 = 0;__label__ = 21; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 20: 
      var $59=$c; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $60=(($59) & 65535); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $61=__ZN2js7unicode13IsSpaceOrBOM2Et($60); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $63 = $61;__label__ = 21; break;
    case 21: 
      var $63;
      if ($63) { __label__ = 22; break; } else { __label__ = 23; break; }
    case 22: 
      var $65=__ZN2js11TokenStream7getCharEv($3); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$65; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 18; break; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 23: 
      $i=0; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $67=$c; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $68=(($67)|0)==34; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($68) { __label__ = 24; break; } else { __label__ = 43; break; } //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 24: 
      __label__ = 25; break; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 25: 
      var $71=__ZN2js11TokenStream7getCharEv($3); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$71; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $72=(($71)|0)!=-1; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($72) { __label__ = 26; break; } else { var $77 = 0;__label__ = 27; break; } //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 26: 
      var $74=$c; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $75=(($74)|0)!=34; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $77 = $75;__label__ = 27; break;
    case 27: 
      var $77;
      if ($77) { __label__ = 28; break; } else { __label__ = 34; break; }
    case 28: 
      var $79=$c; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $80=(($79)|0)==10; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($80) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 29: 
      var $82=$c; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9ungetCharEi($3, $82); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 55; break; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 30: 
      var $84=$c; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $85=$84 >> 8; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $86=(($85)|0)!=0; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($86) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 31: 
      var $88=$i; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $89=(($88)>>>0) >= 1023; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($89) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 32: 
      $1=1; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 55; break; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 33: 
      var $92=$c; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $93=(($92) & 255); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $94=$i; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $95=(($94+1)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=$95; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $96=(($filenameBuf+$94)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($96)]=$93; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 25; break; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 34: 
      var $98=$c; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $99=(($98)|0)==34; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($99) { __label__ = 35; break; } else { __label__ = 42; break; } //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 35: 
      __label__ = 36; break; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 36: 
      var $102=__ZN2js11TokenStream7getCharEv($3); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$102; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $103=(($102)|0)!=10; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($103) { __label__ = 37; break; } else { var $112 = 0;__label__ = 39; break; } //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 37: 
      var $105=$c; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $106=(($105)|0)!=-1; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($106) { __label__ = 38; break; } else { var $112 = 0;__label__ = 39; break; } //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 38: 
      var $108=$c; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $109=(($108) & 65535); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $110=__ZN2js7unicode13IsSpaceOrBOM2Et($109); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $112 = $110;__label__ = 39; break;
    case 39: 
      var $112;
      if ($112) { __label__ = 40; break; } else { __label__ = 41; break; }
    case 40: 
      __label__ = 36; break; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 41: 
      __label__ = 42; break; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 42: 
      __label__ = 43; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 43: 
      var $117=$i; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $118=(($filenameBuf+$117)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($118)]=0; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $119=$c; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $120=(($119)|0)==-1; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($120) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 44: 
      var $122=$c; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $123=(($122)|0)==10; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($123) { __label__ = 45; break; } else { __label__ = 52; break; } //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 45: 
      var $125=$i; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $126=(($125)>>>0) > 0; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($126) { __label__ = 46; break; } else { __label__ = 51; break; } //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 46: 
      var $128=(($3+144)|0); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $130=$129 & 256; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $131=(($130)|0)!=0; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($131) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 47: 
      var $133=(($3)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $135=(($3+172)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($134, $136); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 48; break; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 48: 
      var $138=(($3)|0); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $140=(($filenameBuf)|0); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $141=_JS_strdup($139, $140); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $142=(($3+172)|0); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($142)>>2)]=$141; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $143=(($3+172)|0); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $145=(($144)|0)!=0; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($145) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 49: 
      $1=0; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 55; break; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 50: 
      var $148=(($3+144)|0); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $150=$149 | 256; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($148)>>2)]=$150; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 51; break; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 51: 
      var $152=$line; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $153=(($3+140)|0); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($153)>>2)]=$152; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 52; break; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 52: 
      __label__ = 53; break; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 53: 
      var $156=$c; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9ungetCharEi($3, $156); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 54; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 54: 
      $1=1; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 55; break; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 55: 
      var $159=$1; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      STACKTOP = __stackBase__;
      return $159; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream9getAtLineEv["X"]=1;

function __ZN2js7unicode13IsSpaceOrBOM2Et($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$ch;
      var $3=$2; //@line 236 "./vm/Unicode.h"
      var $4=(($3)&65535); //@line 236 "./vm/Unicode.h"
      var $5=(($4)|0) < 128; //@line 236 "./vm/Unicode.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 236 "./vm/Unicode.h"
    case 2: 
      var $7=$2; //@line 237 "./vm/Unicode.h"
      var $8=(($7)&65535); //@line 237 "./vm/Unicode.h"
      var $9=(((STRING_TABLE._js_isspace)+$8)|0); //@line 237 "./vm/Unicode.h"
      var $10=HEAP8[($9)]; //@line 237 "./vm/Unicode.h"
      var $11=(($10) & 1); //@line 237 "./vm/Unicode.h"
      $1=$11; //@line 237 "./vm/Unicode.h"
      __label__ = 7; break; //@line 237 "./vm/Unicode.h"
    case 3: 
      var $13=$2; //@line 240 "./vm/Unicode.h"
      var $14=(($13)&65535); //@line 240 "./vm/Unicode.h"
      var $15=(($14)|0)==160; //@line 240 "./vm/Unicode.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 240 "./vm/Unicode.h"
    case 4: 
      var $17=$2; //@line 240 "./vm/Unicode.h"
      var $18=(($17)&65535); //@line 240 "./vm/Unicode.h"
      var $19=(($18)|0)==65534; //@line 240 "./vm/Unicode.h"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 240 "./vm/Unicode.h"
    case 5: 
      $1=1; //@line 241 "./vm/Unicode.h"
      __label__ = 7; break; //@line 241 "./vm/Unicode.h"
    case 6: 
      var $22=$2; //@line 243 "./vm/Unicode.h"
      var $23=__ZN2js7unicode8CharInfoEt($22); //@line 243 "./vm/Unicode.h"
      var $24=__ZNK2js7unicode13CharacterInfo7isSpaceEv($23); //@line 243 "./vm/Unicode.h"
      $1=$24; //@line 243 "./vm/Unicode.h"
      __label__ = 7; break; //@line 243 "./vm/Unicode.h"
    case 7: 
      var $26=$1; //@line 244 "./vm/Unicode.h"
      ;
      return $26; //@line 244 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11TokenStream21getAtSourceMappingURLEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $peeked=__stackBase__;
      var $c;
      var $len;
      var $i;
      $2=$this;
      var $3=$2;
      var $4=(($peeked)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=__ZN2js11TokenStream9peekCharsEiPt($3, 18, $4); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 20; break; } //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $7=(($peeked)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=__ZL10CharsMatchPKtPKc($7, ((STRING_TABLE.__str13586)|0)); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 20; break; } //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      __ZN2js11TokenStream9skipCharsEi($3, 18); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $10=(($3+184)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($10); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 4; break; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $12=__ZN2js11TokenStream7getCharEv($3); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=(($12) & 65535); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$13; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=__ZN2js7unicode13IsSpaceOrBOM2Et($13); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($14) { var $26 = 0;__label__ = 7; break; } else { __label__ = 5; break; } //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      var $16=$c; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $17=(($16) & 255); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=(($17 << 24) >> 24); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=(($18)|0)!=0; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($19) { __label__ = 6; break; } else { var $26 = 0;__label__ = 7; break; } //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $21=$c; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $22=(($21) & 255); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23=(($22 << 24) >> 24); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $24=(($23)|0)!=-1; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26 = $24;__label__ = 7; break;
    case 7: 
      var $26;
      if ($26) { __label__ = 8; break; } else { __label__ = 9; break; }
    case 8: 
      var $28=(($3+184)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $29=$c; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendItEEbT_($28, $29); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 4; break; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $32=(($3+184)|0); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5emptyEv($32); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($33) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      $1=1; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 21; break; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $36=(($3+184)|0); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $37=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($36); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $len=$37; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $38=(($3+176)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $40=(($39)|0)!=0; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      var $42=(($3)|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $44=(($3+176)|0); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $46=$45; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN9JSContext5free_EPv($43, $46); //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 13; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      var $48=(($3)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $50=$len; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $51=(($50+1)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $52=((($51<<1))|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $53=__ZN9JSContext7malloc_Ej($49, $52); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $54=$53; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $55=(($3+176)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($55)>>2)]=$54; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $56=(($3+176)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $58=(($57)|0)!=0; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      $1=0; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 21; break; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      $i=0; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 16; break; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      var $62=$i; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $63=$len; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $64=(($62)|0) < (($63)|0); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($64) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 17: 
      var $66=(($3+184)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $67=$i; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $68=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEEixEj($66, $67); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $69=HEAP16[(($68)>>1)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $70=$i; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $71=(($3+176)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $73=(($72+($70<<1))|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP16[(($73)>>1)]=$69; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 18; break; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 18: 
      var $75=$i; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $76=(($75+1)|0); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $i=$76; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 16; break; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 19: 
      var $78=$len; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $79=(($3+176)|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $81=(($80+($78<<1))|0); //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP16[(($81)>>1)]=0; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 20; break; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 20: 
      $1=1; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 21; break; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 21: 
      var $84=$1; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      STACKTOP = __stackBase__;
      return $84; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream21getAtSourceMappingURLEv["X"]=1;

function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendItEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendItEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<1))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __ZN2js11TokenStream18putIdentInTokenbufEPKt($this, $identStart) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $c;
      var $qc=__stackBase__;
      var $tmp;
      $2=$this;
      $3=$identStart;
      var $4=$2;
      var $5=(($4+156)|0); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($5); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $tmp=$6; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=(($4+156)|0); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $8=$3; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream8TokenBuf23setAddressOfNextRawCharEPKt($7, $8); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $9=(($4+184)|0); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($9); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 2; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $11=__ZN2js11TokenStream16getCharIgnoreEOLEv($4); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$11; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $12=$c; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $13=(($12) & 65535); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $14=__ZN2js7unicode16IsIdentifierPartEt($13); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($14) { __label__ = 7; break; } else { __label__ = 3; break; } //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      var $16=$c; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $17=(($16)|0)!=92; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      var $19=__ZN2js11TokenStream23matchUnicodeEscapeIdentEPi($4, $qc); //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      __label__ = 10; break; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $22=HEAP32[(($qc)>>2)]; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$22; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 7; break; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $24=(($4+184)|0); //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=$c; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($24, $25); //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      var $28=(($4+156)|0); //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $29=$tmp; //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream8TokenBuf23setAddressOfNextRawCharEPKt($28, $29); //@line 1317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=0; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 11; break; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      __label__ = 2; break; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $32=(($4+156)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=$tmp; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream8TokenBuf23setAddressOfNextRawCharEPKt($32, $33); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=1; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 11; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $35=$1; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream18putIdentInTokenbufEPKt["X"]=1;

function __ZN2js11TokenStream16getTokenInternalEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $tt=__stackBase__;
      var $c;
      var $qc=__stackBase__+4;
      var $tp=__stackBase__+8;
      var $c1kind;
      var $numStart;
      var $hasFracOrExp;
      var $identStart;
      var $hadUnicodeEscape;
      var $kw;
      var $atom;
      var $val;
      var $save;
      var $cp=__stackBase__+12;
      var $cp1=__stackBase__+20;
      var $atom2;
      var $dval=__stackBase__+24;
      var $dummy=__stackBase__+32;
      var $radix;
      var $dval3=__stackBase__+36;
      var $dummy4=__stackBase__+44;
      var $linenoBefore;
      var $reflags;
      var $length;
      var $inCharClass;
      var $buf=__stackBase__+48;
      var $n;
      var $buf5=__stackBase__+52;
      $2=$this;
      var $3=$2;
      var $4=(($3+144)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $6=$5 & 1536; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $7=(($6)|0)!=0; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 2: 
      var $9=__ZN2js11TokenStream15getXMLTextOrTagEPNS_9TokenKindEPPNS_5TokenE($3, $tt, $tp); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 3: 
      __label__ = 415; break; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 4: 
      __label__ = 414; break; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 5: 
      __label__ = 6; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 6: 
      var $14=(($3+156)|0); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $15=__ZNK2js11TokenStream8TokenBuf11hasRawCharsEv($14); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($15) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 7: 
      var $17=__ZN2js11TokenStream8newTokenEi($3, 0); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tp)>>2)]=$17; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=0; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $18=(($3+144)|0); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $20=$19 | 2; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($18)>>2)]=$20; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 8: 
      var $22=(($3+156)|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $23=__ZN2js11TokenStream8TokenBuf10getRawCharEv($22); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $24=(($23)&65535); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$24; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $25=$c; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $26=(($25)|0) >= 128; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 17; break; } //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 9: 
      var $28=$c; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $29=(($28) & 65535); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $30=__ZN2js7unicode13IsSpaceOrBOM2Et($29); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 10: 
      var $32=$c; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $33=(($32)|0)==8232; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($33) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 11: 
      var $35=$c; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $36=(($35)|0)==8233; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($36) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 12: 
      __ZN2js11TokenStream20updateLineInfoForEOLEv($3); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream17updateFlagsForEOLEv($3); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 13; break; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 13: 
      __label__ = 6; break; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 14: 
      var $40=__ZN2js11TokenStream8newTokenEi($3, -1); //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tp)>>2)]=$40; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $41=$c; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $42=(($41) & 65535); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $43=__ZN2js7unicode8IsLetterEt($42); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($43) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 15: 
      var $45=(($3+156)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $46=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($45); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $47=(($46-2)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $identStart=$47; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $hadUnicodeEscape=0; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 28; break; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 16: 
      __label__ = 411; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 17: 
      var $50=$c; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $51=((STRING_TABLE.__ZL14firstCharKinds+$50)|0); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $52=HEAPU8[($51)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $53=(($52)&255); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c1kind=$53; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $54=$c1kind; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $55=(($54)|0) >= 10; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($55) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 18: 
      var $57=$c1kind; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $58=(($57)|0)==11; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($58) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 19: 
      var $60=$c; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $61=(($60)|0)==13; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($61) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 20: 
      var $63=(($3+156)|0); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $64=__ZNK2js11TokenStream8TokenBuf11hasRawCharsEv($63); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($64) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 21: 
      var $66=(($3+156)|0); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $67=__ZN2js11TokenStream8TokenBuf12matchRawCharEt($66, 10); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 22; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 22: 
      __ZN2js11TokenStream20updateLineInfoForEOLEv($3); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream17updateFlagsForEOLEv($3); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 23; break; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 23: 
      __label__ = 6; break; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 24: 
      var $71=__ZN2js11TokenStream8newTokenEi($3, -1); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tp)>>2)]=$71; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $72=$c1kind; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $73=(($72)|0)==1; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($73) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 25: 
      var $75=$c; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $76=(($3+264)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $77=(($76+$75)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $78=HEAP8[($77)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $79=(($78 << 24) >> 24); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=$79; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 26: 
      var $81=$c1kind; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $82=(($81)|0)==2; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($82) { __label__ = 27; break; } else { __label__ = 68; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 27: 
      var $84=(($3+156)|0); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $85=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($84); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $86=(($85-2)|0); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $identStart=$86; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $hadUnicodeEscape=0; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 28; break; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 28: 
      __label__ = 29; break; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 29: 
      var $89=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$89; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $90=$c; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $91=(($90)|0)==-1; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($91) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 30: 
      __label__ = 37; break; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 31: 
      var $94=$c; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $95=(($94) & 65535); //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $96=__ZN2js7unicode16IsIdentifierPartEt($95); //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($96) { __label__ = 36; break; } else { __label__ = 32; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 32: 
      var $98=$c; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $99=(($98)|0)!=92; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($99) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 33: 
      var $101=__ZN2js11TokenStream23matchUnicodeEscapeIdentEPi($3, $qc); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($101) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 34: 
      __label__ = 37; break; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 35: 
      $hadUnicodeEscape=1; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 36; break; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 36: 
      __label__ = 29; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 37: 
      var $106=$c; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($3, $106); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $107=$hadUnicodeEscape; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $108=(($107) & 1); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($108) { __label__ = 59; break; } else { __label__ = 38; break; } //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 38: 
      var $110=(($3+144)|0); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $112=$111 & 32; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $113=(($112)|0)!=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($113) { __label__ = 59; break; } else { __label__ = 39; break; } //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 39: 
      var $115=$identStart; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $116=(($3+156)|0); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $117=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($116); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $118=$identStart; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $119=$117; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $120=$118; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $121=(($119-$120)|0); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $122=(((($121)|0)/2)&-1); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $123=__ZN2js11FindKeywordEPKtj($115, $122); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $kw=$123; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $124=(($123)|0)!=0; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($124) { __label__ = 40; break; } else { __label__ = 59; break; } //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 40: 
      var $126=$kw; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $127=(($126+4)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $129=(($128)|0)==86; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($129) { __label__ = 41; break; } else { __label__ = 44; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 41: 
      var $131=(($3)|0); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $133=$kw; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $134=(($133)|0); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $136=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($132, $3, 0, 0, 132, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$135,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($136) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 42: 
      __label__ = 415; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 43: 
      __label__ = 58; break; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 44: 
      var $140=$kw; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $141=(($140+4)|0); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $143=(($142)|0)==87; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($143) { __label__ = 45; break; } else { __label__ = 50; break; } //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 45: 
      var $145=__ZN2js11TokenStream12isStrictModeEv($3); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($145) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 46: 
      var $147=(($3)|0); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $148=HEAP32[(($147)>>2)]; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $149=$kw; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $150=(($149)|0); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $152=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($148, $3, 0, 0, 132, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$151,tempInt)); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($152) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 47: 
      var $154=(($3)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $156=$kw; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $157=(($156)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $159=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($155, $3, 0, 5, 132, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$158,tempInt)); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($159) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 48: 
      __label__ = 415; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 49: 
      __label__ = 57; break; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 50: 
      var $163=$kw; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $164=(($163+12)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $166=__ZNK2js11TokenStream13versionNumberEv($3); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $167=(($165)|0) <= (($166)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($167) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 51: 
      var $169=$kw; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $170=(($169+4)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $171=HEAP32[(($170)>>2)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=$171; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $172=$kw; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $173=(($172+8)|0); //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $175=HEAP32[(($tp)>>2)]; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $176=(($175+24)|0); //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $177=$176; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $178=(($177)|0); //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($178)>>2)]=$174; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 52: 
      var $180=$kw; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $181=(($180+4)|0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $183=(($182)|0)==81; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($183) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 53: 
      var $185=$kw; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $186=(($185+4)|0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $187=HEAP32[(($186)>>2)]; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $188=(($187)|0)==77; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($188) { __label__ = 54; break; } else { __label__ = 56; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 54: 
      var $190=(($3)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $192=$kw; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $193=(($192)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $194=HEAP32[(($193)>>2)]; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $195=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($191, $3, 0, 0, 132, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$194,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($195) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 55: 
      __label__ = 415; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 56: 
      __label__ = 57; break;
    case 57: 
      __label__ = 58; break;
    case 58: 
      __label__ = 59; break; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 59: 
      var $201=$hadUnicodeEscape; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $202=(($201) & 1); //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($202) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 60: 
      var $204=(($3)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $205=HEAP32[(($204)>>2)]; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $206=$identStart; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $207=(($3+156)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $208=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($207); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $209=$identStart; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $210=$208; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $211=$209; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $212=(($210-$211)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $213=(((($212)|0)/2)&-1); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $214=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($205, $206, $213, 0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom=$214; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 65; break; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 61: 
      var $216=$identStart; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $217=__ZN2js11TokenStream18putIdentInTokenbufEPKt($3, $216); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($217) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 62: 
      var $219=(($3)|0); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $221=(($3+184)|0); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $222=__ZN2js11TokenStream7atomizeEP9JSContextRNS_6VectorItLj32ENS_15TempAllocPolicyEEE($220, $221); //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom=$222; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 64; break; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 63: 
      $atom=0; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 64; break;
    case 64: 
      __label__ = 65; break;
    case 65: 
      var $226=$atom; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $227=(($226)|0)!=0; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($227) { __label__ = 67; break; } else { __label__ = 66; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 66: 
      __label__ = 415; break; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 67: 
      var $230=HEAP32[(($tp)>>2)]; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $231=(($230+24)|0); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $232=$231; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $233=(($232)|0); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($233)>>2)]=59; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $234=$atom; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $235=HEAP32[(($tp)>>2)]; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $236=(($235+24)|0); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $237=$236; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $238=(($237+4)|0); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($238)>>2)]=$234; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=29; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 68: 
      var $240=$c1kind; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $241=(($240)|0)==3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($241) { __label__ = 69; break; } else { __label__ = 74; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 69: 
      var $243=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$243; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $244=$c; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $245=(($244-48)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $246=(($245)>>>0) <= 9; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($246) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 70: 
      var $248=(($3+156)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $249=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($248); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $250=(($249-4)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $numStart=$250; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 174; break; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 71: 
      var $252=$c; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $253=(($252)|0)==46; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($253) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 72: 
      HEAP32[(($tt)>>2)]=73; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 73: 
      var $256=$c; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($3, $256); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=22; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 74: 
      var $258=$c1kind; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $259=(($258)|0)==4; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($259) { __label__ = 75; break; } else { __label__ = 79; break; } //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 75: 
      var $261=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($261) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 76: 
      var $263=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $264=$263 ? 72 : 18; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $265=HEAP32[(($tp)>>2)]; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $266=(($265+24)|0); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $267=$266; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $268=(($267)|0); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($268)>>2)]=$264; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=12; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 78; break; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 77: 
      var $270=HEAP32[(($tp)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $271=(($270+24)|0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $272=$271; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $273=(($272)|0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($273)>>2)]=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=4; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 78; break;
    case 78: 
      __label__ = 414; break; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 79: 
      var $276=$c1kind; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $277=(($276)|0)==5; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($277) { __label__ = 80; break; } else { __label__ = 167; break; } //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 80: 
      var $279=$c; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($qc)>>2)]=$279; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $280=(($3+184)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($280); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 81; break; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 81: 
      var $282=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$282; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $283=$c; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $284=$283 & 255; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $285=(($3+648)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $286=(($285+$284)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $287=HEAP8[($286)]; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $288=(($287 << 24) >> 24)!=0; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($288) { __label__ = 82; break; } else { __label__ = 161; break; } //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 82: 
      var $290=$c; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $291=HEAP32[(($qc)>>2)]; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $292=(($290)|0)==(($291)|0); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($292) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 83: 
      __label__ = 164; break; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 84: 
      var $295=$c; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $296=(($295)|0)==92; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($296) { __label__ = 85; break; } else { __label__ = 156; break; } //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 85: 
      var $298=__ZN2js11TokenStream7getCharEv($3); //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$298; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ((($298)|0) == 98) {
        __label__ = 86; break;
      }
      else if ((($298)|0) == 102) {
        __label__ = 87; break;
      }
      else if ((($298)|0) == 110) {
        __label__ = 88; break;
      }
      else if ((($298)|0) == 114) {
        __label__ = 89; break;
      }
      else if ((($298)|0) == 116) {
        __label__ = 90; break;
      }
      else if ((($298)|0) == 118) {
        __label__ = 91; break;
      }
      else {
      __label__ = 92; break;
      }
      
    case 86: 
      $c=8; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 155; break; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 87: 
      $c=12; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 155; break; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 88: 
      $c=10; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 155; break; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 89: 
      $c=13; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 155; break; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 90: 
      $c=9; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 155; break; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 91: 
      $c=11; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 155; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 92: 
      var $306=$c; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $307=48 <= (($306)|0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($307) { __label__ = 93; break; } else { __label__ = 109; break; } //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 93: 
      var $309=$c; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $310=(($309)|0) < 56; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($310) { __label__ = 94; break; } else { __label__ = 109; break; } //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 94: 
      var $312=$c; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $313=(($312-48)|0); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $val=$313; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $314=__ZN2js11TokenStream8peekCharEv($3); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$314; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $315=$val; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $316=(($315)|0)!=0; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($316) { __label__ = 96; break; } else { __label__ = 95; break; } //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 95: 
      var $318=$c; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $319=(($318-48)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $320=(($319)>>>0) <= 9; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($320) { __label__ = 96; break; } else { __label__ = 99; break; } //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 96: 
      var $322=(($3)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $323=HEAP32[(($322)>>2)]; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $324=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($323, $3, 0, 0, 232, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($324) { __label__ = 98; break; } else { __label__ = 97; break; } //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 97: 
      __label__ = 415; break; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 98: 
      __ZN2js11TokenStream23setOctalCharacterEscapeEb($3, 1); //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 99; break; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 99: 
      var $328=$c; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $329=48 <= (($328)|0); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($329) { __label__ = 100; break; } else { __label__ = 108; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 100: 
      var $331=$c; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $332=(($331)|0) < 56; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($332) { __label__ = 101; break; } else { __label__ = 108; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 101: 
      var $334=$val; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $335=((($334<<3))|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $336=$c; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $337=(($336-48)|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $338=(($335+$337)|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $val=$338; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $339=__ZN2js11TokenStream7getCharEv($3); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $340=__ZN2js11TokenStream8peekCharEv($3); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$340; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $341=$c; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $342=48 <= (($341)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($342) { __label__ = 102; break; } else { __label__ = 107; break; } //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 102: 
      var $344=$c; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $345=(($344)|0) < 56; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($345) { __label__ = 103; break; } else { __label__ = 107; break; } //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 103: 
      var $347=$val; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $save=$347; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $348=$val; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $349=((($348<<3))|0); //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $350=$c; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $351=(($350-48)|0); //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $352=(($349+$351)|0); //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $val=$352; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $353=$val; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $354=(($353)|0) <= 255; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($354) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 104: 
      var $356=__ZN2js11TokenStream7getCharEv($3); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 106; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 105: 
      var $358=$save; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $val=$358; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 106; break;
    case 106: 
      __label__ = 107; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 107: 
      __label__ = 108; break; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 108: 
      var $362=$val; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $363=(($362) & 65535); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $364=(($363)&65535); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$364; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 154; break; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 109: 
      var $366=$c; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $367=(($366)|0)==117; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($367) { __label__ = 110; break; } else { __label__ = 134; break; } //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 110: 
      var $369=(($cp)|0); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $370=__ZN2js11TokenStream9peekCharsEiPt($3, 4, $369); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($370) { __label__ = 111; break; } else { __label__ = 132; break; } //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 111: 
      var $372=(($cp)|0); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $373=HEAPU16[(($372)>>1)]; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $374=(($373)&65535); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $375=(($374)|0) < 128; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($375) { __label__ = 112; break; } else { __label__ = 132; break; } //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 112: 
      var $377=(($cp)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $378=HEAPU16[(($377)>>1)]; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $379=(($378)&65535); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $380=_isxdigit($379); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $381=(($380)|0)!=0; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($381) { __label__ = 113; break; } else { __label__ = 132; break; } //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 113: 
      var $383=(($cp+2)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $384=HEAPU16[(($383)>>1)]; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $385=(($384)&65535); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $386=(($385)|0) < 128; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($386) { __label__ = 114; break; } else { __label__ = 132; break; } //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 114: 
      var $388=(($cp+2)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $389=HEAPU16[(($388)>>1)]; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $390=(($389)&65535); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $391=_isxdigit($390); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $392=(($391)|0)!=0; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($392) { __label__ = 115; break; } else { __label__ = 132; break; } //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 115: 
      var $394=(($cp+4)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $395=HEAPU16[(($394)>>1)]; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $396=(($395)&65535); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $397=(($396)|0) < 128; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($397) { __label__ = 116; break; } else { __label__ = 132; break; } //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 116: 
      var $399=(($cp+4)|0); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $400=HEAPU16[(($399)>>1)]; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $401=(($400)&65535); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $402=_isxdigit($401); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $403=(($402)|0)!=0; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($403) { __label__ = 117; break; } else { __label__ = 132; break; } //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 117: 
      var $405=(($cp+6)|0); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $406=HEAPU16[(($405)>>1)]; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $407=(($406)&65535); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $408=(($407)|0) < 128; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($408) { __label__ = 118; break; } else { __label__ = 132; break; } //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 118: 
      var $410=(($cp+6)|0); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $411=HEAPU16[(($410)>>1)]; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $412=(($411)&65535); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $413=_isxdigit($412); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $414=(($413)|0)!=0; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($414) { __label__ = 119; break; } else { __label__ = 132; break; } //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 119: 
      var $416=(($cp)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $417=HEAPU16[(($416)>>1)]; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $418=(($417)&65535); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $419=(($418-48)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $420=(($419)>>>0) <= 9; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($420) { __label__ = 120; break; } else { __label__ = 121; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 120: 
      var $422=(($cp)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $423=HEAPU16[(($422)>>1)]; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $424=(($423)&65535); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $425=(($424-48)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $434 = $425;__label__ = 122; break; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 121: 
      var $427=(($cp)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $428=HEAPU16[(($427)>>1)]; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $429=(($428)&65535); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $430=_tolower($429); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $431=(($430+10)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $432=(($431-97)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $434 = $432;__label__ = 122; break; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 122: 
      var $434; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $435=$434 << 4; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $436=(($cp+2)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $437=HEAPU16[(($436)>>1)]; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $438=(($437)&65535); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $439=(($438-48)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $440=(($439)>>>0) <= 9; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($440) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 123: 
      var $442=(($cp+2)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $443=HEAPU16[(($442)>>1)]; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $444=(($443)&65535); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $445=(($444-48)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $454 = $445;__label__ = 125; break; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 124: 
      var $447=(($cp+2)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $448=HEAPU16[(($447)>>1)]; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $449=(($448)&65535); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $450=_tolower($449); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $451=(($450+10)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $452=(($451-97)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $454 = $452;__label__ = 125; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 125: 
      var $454; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $455=(($435+$454)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $456=$455 << 4; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $457=(($cp+4)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $458=HEAPU16[(($457)>>1)]; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $459=(($458)&65535); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $460=(($459-48)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $461=(($460)>>>0) <= 9; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($461) { __label__ = 126; break; } else { __label__ = 127; break; } //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 126: 
      var $463=(($cp+4)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $464=HEAPU16[(($463)>>1)]; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $465=(($464)&65535); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $466=(($465-48)|0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $475 = $466;__label__ = 128; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 127: 
      var $468=(($cp+4)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $469=HEAPU16[(($468)>>1)]; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $470=(($469)&65535); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $471=_tolower($470); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $472=(($471+10)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $473=(($472-97)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $475 = $473;__label__ = 128; break; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 128: 
      var $475; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $476=(($456+$475)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $477=$476 << 4; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $478=(($cp+6)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $479=HEAPU16[(($478)>>1)]; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $480=(($479)&65535); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $481=(($480-48)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $482=(($481)>>>0) <= 9; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($482) { __label__ = 129; break; } else { __label__ = 130; break; } //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 129: 
      var $484=(($cp+6)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $485=HEAPU16[(($484)>>1)]; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $486=(($485)&65535); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $487=(($486-48)|0); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $496 = $487;__label__ = 131; break; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 130: 
      var $489=(($cp+6)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $490=HEAPU16[(($489)>>1)]; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $491=(($490)&65535); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $492=_tolower($491); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $493=(($492+10)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $494=(($493-97)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $496 = $494;__label__ = 131; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 131: 
      var $496; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $497=(($477+$496)|0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$497; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9skipCharsEi($3, 4); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 133; break; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 132: 
      var $499=(($3)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $500=HEAP32[(($499)>>2)]; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $501=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($500, $3, 0, 0, 270, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str23587)|0),tempInt)); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 133: 
      __label__ = 153; break; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 134: 
      var $504=$c; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $505=(($504)|0)==120; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($505) { __label__ = 135; break; } else { __label__ = 149; break; } //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 135: 
      var $507=(($cp1)|0); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $508=__ZN2js11TokenStream9peekCharsEiPt($3, 2, $507); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($508) { __label__ = 136; break; } else { __label__ = 147; break; } //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 136: 
      var $510=(($cp1)|0); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $511=HEAPU16[(($510)>>1)]; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $512=(($511)&65535); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $513=(($512)|0) < 128; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($513) { __label__ = 137; break; } else { __label__ = 147; break; } //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 137: 
      var $515=(($cp1)|0); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $516=HEAPU16[(($515)>>1)]; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $517=(($516)&65535); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $518=_isxdigit($517); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $519=(($518)|0)!=0; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($519) { __label__ = 138; break; } else { __label__ = 147; break; } //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 138: 
      var $521=(($cp1+2)|0); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $522=HEAPU16[(($521)>>1)]; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $523=(($522)&65535); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $524=(($523)|0) < 128; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($524) { __label__ = 139; break; } else { __label__ = 147; break; } //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 139: 
      var $526=(($cp1+2)|0); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $527=HEAPU16[(($526)>>1)]; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $528=(($527)&65535); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $529=_isxdigit($528); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $530=(($529)|0)!=0; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($530) { __label__ = 140; break; } else { __label__ = 147; break; } //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 140: 
      var $532=(($cp1)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $533=HEAPU16[(($532)>>1)]; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $534=(($533)&65535); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $535=(($534-48)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $536=(($535)>>>0) <= 9; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($536) { __label__ = 141; break; } else { __label__ = 142; break; } //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 141: 
      var $538=(($cp1)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $539=HEAPU16[(($538)>>1)]; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $540=(($539)&65535); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $541=(($540-48)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $550 = $541;__label__ = 143; break; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 142: 
      var $543=(($cp1)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $544=HEAPU16[(($543)>>1)]; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $545=(($544)&65535); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $546=_tolower($545); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $547=(($546+10)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $548=(($547-97)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $550 = $548;__label__ = 143; break; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 143: 
      var $550; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $551=$550 << 4; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $552=(($cp1+2)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $553=HEAPU16[(($552)>>1)]; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $554=(($553)&65535); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $555=(($554-48)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $556=(($555)>>>0) <= 9; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($556) { __label__ = 144; break; } else { __label__ = 145; break; } //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 144: 
      var $558=(($cp1+2)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $559=HEAPU16[(($558)>>1)]; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $560=(($559)&65535); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $561=(($560-48)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $570 = $561;__label__ = 146; break; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 145: 
      var $563=(($cp1+2)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $564=HEAPU16[(($563)>>1)]; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $565=(($564)&65535); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $566=_tolower($565); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $567=(($566+10)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $568=(($567-97)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $570 = $568;__label__ = 146; break; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 146: 
      var $570; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $571=(($551+$570)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$571; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9skipCharsEi($3, 2); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 148; break; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 147: 
      var $573=(($3)|0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $574=HEAP32[(($573)>>2)]; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $575=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($574, $3, 0, 0, 270, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str33588)|0),tempInt)); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 148: 
      __label__ = 152; break; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 149: 
      var $578=$c; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $579=(($578)|0)==10; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($579) { __label__ = 150; break; } else { __label__ = 151; break; } //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 150: 
      __label__ = 81; break; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 151: 
      __label__ = 152; break;
    case 152: 
      __label__ = 153; break;
    case 153: 
      __label__ = 154; break;
    case 154: 
      __label__ = 155; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 155: 
      __label__ = 160; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 156: 
      var $587=$c; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $588=__ZN2js11TokenStream8TokenBuf12isRawEOLCharEi($587); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($588) { __label__ = 158; break; } else { __label__ = 157; break; } //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 157: 
      var $590=$c; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $591=(($590)|0)==-1; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($591) { __label__ = 158; break; } else { __label__ = 159; break; } //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 158: 
      var $593=$c; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($3, $593); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $594=(($3)|0); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $595=HEAP32[(($594)>>2)]; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $596=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($595, $3, 0, 0, 138, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 159: 
      __label__ = 160; break;
    case 160: 
      __label__ = 161; break; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 161: 
      var $600=(($3+184)|0); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $601=$c; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $602=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($600, $601); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($602) { __label__ = 163; break; } else { __label__ = 162; break; } //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 162: 
      __label__ = 415; break; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 163: 
      __label__ = 81; break; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 164: 
      var $606=(($3)|0); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $607=HEAP32[(($606)>>2)]; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $608=(($3+184)|0); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $609=__ZN2js11TokenStream7atomizeEP9JSContextRNS_6VectorItLj32ENS_15TempAllocPolicyEEE($607, $608); //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $atom2=$609; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $610=$atom2; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $611=(($610)|0)!=0; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($611) { __label__ = 166; break; } else { __label__ = 165; break; } //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 165: 
      __label__ = 415; break; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 166: 
      var $614=(($3+140)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $615=HEAP32[(($614)>>2)]; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $616=HEAP32[(($tp)>>2)]; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $617=(($616+4)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $618=(($617+8)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $619=(($618+4)|0); //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($619)>>2)]=$615; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $620=HEAP32[(($tp)>>2)]; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $621=(($620+24)|0); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $622=$621; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $623=(($622)|0); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($623)>>2)]=61; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $624=$atom2; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $625=HEAP32[(($tp)>>2)]; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $626=(($625+24)|0); //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $627=$626; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $628=(($627+4)|0); //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($628)>>2)]=$624; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=31; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 167: 
      var $630=$c1kind; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $631=(($630)|0)==6; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($631) { __label__ = 168; break; } else { __label__ = 200; break; } //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 168: 
      var $633=(($3+156)|0); //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $634=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($633); //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $635=(($634-2)|0); //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $numStart=$635; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 169; break; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 169: 
      $hasFracOrExp=0; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 170; break; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 170: 
      var $638=$c; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $639=(($638-48)|0); //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $640=(($639)>>>0) <= 9; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($640) { __label__ = 171; break; } else { __label__ = 172; break; } //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 171: 
      var $642=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$642; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 170; break; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 172: 
      var $644=$c; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $645=(($644)|0)==46; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($645) { __label__ = 173; break; } else { __label__ = 178; break; } //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 173: 
      __label__ = 174; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 174: 
      $hasFracOrExp=1; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 175; break; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 175: 
      var $649=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$649; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 176; break; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 176: 
      var $651=$c; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $652=(($651-48)|0); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $653=(($652)>>>0) <= 9; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($653) { __label__ = 175; break; } else { __label__ = 177; break; } //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 177: 
      __label__ = 178; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 178: 
      var $656=$c; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $657=(($656)|0)==101; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($657) { __label__ = 180; break; } else { __label__ = 179; break; } //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 179: 
      var $659=$c; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $660=(($659)|0)==69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($660) { __label__ = 180; break; } else { __label__ = 189; break; } //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 180: 
      $hasFracOrExp=1; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $662=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$662; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $663=$c; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $664=(($663)|0)==43; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($664) { __label__ = 182; break; } else { __label__ = 181; break; } //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 181: 
      var $666=$c; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $667=(($666)|0)==45; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($667) { __label__ = 182; break; } else { __label__ = 183; break; } //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 182: 
      var $669=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$669; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 183; break; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 183: 
      var $671=$c; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $672=(($671-48)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $673=(($672)>>>0) <= 9; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($673) { __label__ = 185; break; } else { __label__ = 184; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 184: 
      var $675=$c; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($3, $675); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $676=(($3)|0); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $677=HEAP32[(($676)>>2)]; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $678=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($677, $3, 0, 0, 136, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 185: 
      __label__ = 186; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 186: 
      var $681=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$681; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 187; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 187: 
      var $683=$c; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $684=(($683-48)|0); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $685=(($684)>>>0) <= 9; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($685) { __label__ = 186; break; } else { __label__ = 188; break; } //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 188: 
      __label__ = 189; break; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 189: 
      var $688=$c; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($3, $688); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $689=$c; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $690=(($689)|0)!=-1; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($690) { __label__ = 190; break; } else { __label__ = 192; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 190: 
      var $692=$c; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $693=(($692) & 65535); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $694=__ZN2js7unicode17IsIdentifierStartEt($693); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($694) { __label__ = 191; break; } else { __label__ = 192; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 191: 
      var $696=(($3)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $697=HEAP32[(($696)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $698=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($697, $3, 0, 0, 161, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 192: 
      var $700=$hasFracOrExp; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $701=(($700) & 1); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($701) { __label__ = 196; break; } else { __label__ = 193; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 193: 
      var $703=(($3)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $704=HEAP32[(($703)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $705=$numStart; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $706=(($3+156)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $707=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($706); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $708=__ZN2js16GetPrefixIntegerEP9JSContextPKtS3_iPS3_Pd($704, $705, $707, 10, $dummy, $dval); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($708) { __label__ = 195; break; } else { __label__ = 194; break; } //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 194: 
      __label__ = 415; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 195: 
      __label__ = 199; break; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 196: 
      var $712=(($3)|0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $713=HEAP32[(($712)>>2)]; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $714=$numStart; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $715=(($3+156)|0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $716=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($715); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $717=__Z9js_strtodP9JSContextPKtS2_PS2_Pd($713, $714, $716, $dummy, $dval); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $718=(($717)|0)!=0; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($718) { __label__ = 198; break; } else { __label__ = 197; break; } //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 197: 
      __label__ = 415; break; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 198: 
      __label__ = 199; break;
    case 199: 
      var $722=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $723=HEAP32[(($tp)>>2)]; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $724=(($723+24)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $725=$724; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      (tempDoubleF64[0]=$722,HEAP32[(($725)>>2)]=tempDoubleI32[0],HEAP32[(($725+4)>>2)]=tempDoubleI32[1]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=30; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 200: 
      var $727=$c1kind; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $728=(($727)|0)==7; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($728) { __label__ = 201; break; } else { __label__ = 204; break; } //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 201: 
      var $730=__ZN2js11TokenStream9matchCharEi($3, 58); //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($730) { __label__ = 202; break; } else { __label__ = 203; break; } //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 202: 
      HEAP32[(($tt)>>2)]=71; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 203: 
      var $733=HEAP32[(($tp)>>2)]; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $734=(($733+24)|0); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $735=$734; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $736=(($735)|0); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($736)>>2)]=0; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=6; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 204: 
      var $738=$c1kind; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $739=(($738)|0)==8; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($739) { __label__ = 205; break; } else { __label__ = 212; break; } //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 205: 
      var $741=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($741) { __label__ = 206; break; } else { __label__ = 207; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 206: 
      var $743=HEAP32[(($tp)>>2)]; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $744=(($743+24)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $745=$744; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $746=(($745)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($746)>>2)]=27; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=4; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 211; break; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 207: 
      var $748=__ZN2js11TokenStream9matchCharEi($3, 43); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($748) { __label__ = 208; break; } else { __label__ = 209; break; } //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 208: 
      HEAP32[(($tt)>>2)]=20; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 210; break; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 209: 
      var $751=HEAP32[(($tp)>>2)]; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $752=(($751+24)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $753=$752; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $754=(($753)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($754)>>2)]=35; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=15; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 210; break;
    case 210: 
      __label__ = 211; break;
    case 211: 
      __label__ = 414; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 212: 
      var $758=$c1kind; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $759=(($758)|0)==9; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($759) { __label__ = 213; break; } else { __label__ = 246; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 213: 
      var $761=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$761; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $762=$c; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $763=(($762)|0)==120; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($763) { __label__ = 215; break; } else { __label__ = 214; break; } //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 214: 
      var $765=$c; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $766=(($765)|0)==88; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($766) { __label__ = 215; break; } else { __label__ = 224; break; } //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 215: 
      $radix=16; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $768=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$768; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $769=$c; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $770=(($769)|0) < 128; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($770) { __label__ = 216; break; } else { __label__ = 217; break; } //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 216: 
      var $772=$c; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $773=_isxdigit($772); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $774=(($773)|0)!=0; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($774) { __label__ = 218; break; } else { __label__ = 217; break; } //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 217: 
      var $776=$c; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($3, $776); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $777=(($3)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $778=HEAP32[(($777)>>2)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $779=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($778, $3, 0, 0, 7, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 218: 
      var $781=(($3+156)|0); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $782=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($781); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $783=(($782-2)|0); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $numStart=$783; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 219; break; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 219: 
      var $785=$c; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $786=(($785)|0) < 128; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($786) { __label__ = 220; break; } else { var $792 = 0;__label__ = 221; break; } //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 220: 
      var $788=$c; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $789=_isxdigit($788); //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $790=(($789)|0)!=0; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $792 = $790;__label__ = 221; break;
    case 221: 
      var $792;
      if ($792) { __label__ = 222; break; } else { __label__ = 223; break; }
    case 222: 
      var $794=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$794; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 219; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 223: 
      __label__ = 240; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 224: 
      var $797=$c; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $798=(($797-48)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $799=(($798)>>>0) <= 9; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($799) { __label__ = 225; break; } else { __label__ = 238; break; } //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 225: 
      $radix=8; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $801=(($3+156)|0); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $802=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($801); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $803=(($802-2)|0); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $numStart=$803; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 226; break; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 226: 
      var $805=$c; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $806=(($805-48)|0); //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $807=(($806)>>>0) <= 9; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($807) { __label__ = 227; break; } else { __label__ = 237; break; } //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 227: 
      var $809=(($3)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $810=HEAP32[(($809)>>2)]; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $811=__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz($810, $3, 0, 0, 232, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($811) { __label__ = 229; break; } else { __label__ = 228; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 228: 
      __label__ = 415; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 229: 
      var $814=$c; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $815=(($814)|0) >= 56; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($815) { __label__ = 230; break; } else { __label__ = 236; break; } //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 230: 
      var $817=(($3)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $818=HEAP32[(($817)>>2)]; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $819=$c; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $820=(($819)|0)==56; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($820) { __label__ = 231; break; } else { __label__ = 232; break; } //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 231: 
      var $824 = STRING_TABLE.__str43589;__label__ = 233; break; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 232: 
      var $824 = STRING_TABLE.__str53590;__label__ = 233; break; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 233: 
      var $824; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $825=(($824)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $826=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($818, $3, 0, 1, 145, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$825,tempInt)); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($826) { __label__ = 235; break; } else { __label__ = 234; break; } //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 234: 
      __label__ = 415; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 235: 
      __label__ = 169; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 236: 
      var $830=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$830; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 226; break; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 237: 
      __label__ = 239; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 238: 
      var $833=(($3+156)|0); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $834=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($833); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $835=(($834-2)|0); //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $numStart=$835; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 169; break; //@line 1819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 239: 
      __label__ = 240; break;
    case 240: 
      var $838=$c; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($3, $838); //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $839=$c; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $840=(($839)|0)!=-1; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($840) { __label__ = 241; break; } else { __label__ = 243; break; } //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 241: 
      var $842=$c; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $843=(($842) & 65535); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $844=__ZN2js7unicode17IsIdentifierStartEt($843); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($844) { __label__ = 242; break; } else { __label__ = 243; break; } //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 242: 
      var $846=(($3)|0); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $847=HEAP32[(($846)>>2)]; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $848=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($847, $3, 0, 0, 161, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 1825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 243: 
      var $850=(($3)|0); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $851=HEAP32[(($850)>>2)]; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $852=$numStart; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $853=(($3+156)|0); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $854=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($853); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $855=$radix; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $856=__ZN2js16GetPrefixIntegerEP9JSContextPKtS3_iPS3_Pd($851, $852, $854, $855, $dummy4, $dval3); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($856) { __label__ = 245; break; } else { __label__ = 244; break; } //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 244: 
      __label__ = 415; break; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 245: 
      var $859=(tempDoubleI32[0]=HEAP32[(($dval3)>>2)],tempDoubleI32[1]=HEAP32[(($dval3+4)>>2)],tempDoubleF64[0]); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $860=HEAP32[(($tp)>>2)]; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $861=(($860+24)|0); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $862=$861; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      (tempDoubleF64[0]=$859,HEAP32[(($862)>>2)]=tempDoubleI32[0],HEAP32[(($862+4)>>2)]=tempDoubleI32[1]); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=30; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 414; break; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 246: 
      var $864=$c; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ((($864)|0) == 92) {
        __label__ = 247; break;
      }
      else if ((($864)|0) == 124) {
        __label__ = 250; break;
      }
      else if ((($864)|0) == 94) {
        __label__ = 257; break;
      }
      else if ((($864)|0) == 38) {
        __label__ = 261; break;
      }
      else if ((($864)|0) == 33) {
        __label__ = 268; break;
      }
      else if ((($864)|0) == 64) {
        __label__ = 272; break;
      }
      else if ((($864)|0) == 60) {
        __label__ = 273; break;
      }
      else if ((($864)|0) == 62) {
        __label__ = 289; break;
      }
      else if ((($864)|0) == 42) {
        __label__ = 293; break;
      }
      else if ((($864)|0) == 47) {
        __label__ = 294; break;
      }
      else if ((($864)|0) == 37) {
        __label__ = 378; break;
      }
      else if ((($864)|0) == 126) {
        __label__ = 379; break;
      }
      else if ((($864)|0) == 45) {
        __label__ = 380; break;
      }
      else if ((($864)|0) == 35) {
        __label__ = 390; break;
      }
      else {
      __label__ = 412; break;
      }
      
    case 247: 
      var $866=__ZN2js11TokenStream25matchUnicodeEscapeIdStartEPi($3, $qc); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $867=(($866)&1); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $hadUnicodeEscape=$867; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $868=$hadUnicodeEscape; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $869=(($868) & 1); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($869) { __label__ = 248; break; } else { __label__ = 249; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 248: 
      var $871=HEAP32[(($qc)>>2)]; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$871; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $872=(($3+156)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $873=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($872); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $874=(($873-12)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $identStart=$874; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 28; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 249: 
      __label__ = 411; break; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 250: 
      var $877=$c; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $878=__ZN2js11TokenStream9matchCharEi($3, $877); //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($878) { __label__ = 251; break; } else { __label__ = 252; break; } //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 251: 
      HEAP32[(($tt)>>2)]=7; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 256; break; //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 252: 
      var $881=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($881) { __label__ = 253; break; } else { __label__ = 254; break; } //@line 1854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 253: 
      var $883=HEAP32[(($tp)>>2)]; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $884=(($883+24)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $885=$884; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $886=(($885)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($886)>>2)]=15; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=4; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 255; break; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 254: 
      HEAP32[(($tt)>>2)]=9; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 255; break;
    case 255: 
      __label__ = 256; break;
    case 256: 
      __label__ = 413; break; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 257: 
      var $891=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($891) { __label__ = 258; break; } else { __label__ = 259; break; } //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 258: 
      var $893=HEAP32[(($tp)>>2)]; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $894=(($893+24)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $895=$894; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $896=(($895)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($896)>>2)]=16; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=4; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 260; break; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 259: 
      HEAP32[(($tt)>>2)]=10; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 260; break;
    case 260: 
      __label__ = 413; break; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 261: 
      var $900=$c; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $901=__ZN2js11TokenStream9matchCharEi($3, $900); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($901) { __label__ = 262; break; } else { __label__ = 263; break; } //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 262: 
      HEAP32[(($tt)>>2)]=8; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 267; break; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 263: 
      var $904=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($904) { __label__ = 264; break; } else { __label__ = 265; break; } //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 264: 
      var $906=HEAP32[(($tp)>>2)]; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $907=(($906+24)|0); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $908=$907; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $909=(($908)|0); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($909)>>2)]=17; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=4; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 266; break; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 265: 
      HEAP32[(($tt)>>2)]=11; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 266; break;
    case 266: 
      __label__ = 267; break;
    case 267: 
      __label__ = 413; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 268: 
      var $914=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($914) { __label__ = 269; break; } else { __label__ = 270; break; } //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 269: 
      var $916=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $917=$916 ? 73 : 19; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $918=HEAP32[(($tp)>>2)]; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $919=(($918+24)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $920=$919; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $921=(($920)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($921)>>2)]=$917; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=12; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 271; break; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 270: 
      var $923=HEAP32[(($tp)>>2)]; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $924=(($923+24)|0); //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $925=$924; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $926=(($925)|0); //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($926)>>2)]=32; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=19; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 271; break;
    case 271: 
      __label__ = 413; break; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 272: 
      HEAP32[(($tt)>>2)]=70; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 413; break; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 273: 
      var $930=(($3+144)|0); //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $931=HEAP32[(($930)>>2)]; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $932=$931 & 8; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $933=(($932)|0)!=0; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($933) { __label__ = 274; break; } else { __label__ = 279; break; } //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 274: 
      var $935=__ZNK2js11TokenStream6hasXMLEv($3); //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($935) { __label__ = 276; break; } else { __label__ = 275; break; } //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 275: 
      var $937=__ZN2js11TokenStream8peekCharEv($3); //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $938=(($937)|0)!=33; //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($938) { __label__ = 276; break; } else { __label__ = 279; break; } //@line 1900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 276: 
      var $940=__ZN2js11TokenStream12getXMLMarkupEPNS_9TokenKindEPPNS_5TokenE($3, $tt, $tp); //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($940) { __label__ = 278; break; } else { __label__ = 277; break; } //@line 1901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 277: 
      __label__ = 415; break; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 278: 
      __label__ = 414; break; //@line 1903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 279: 
      var $944=__ZN2js11TokenStream9matchCharEi($3, 33); //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($944) { __label__ = 280; break; } else { __label__ = 285; break; } //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 280: 
      var $946=__ZN2js11TokenStream9matchCharEi($3, 45); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($946) { __label__ = 281; break; } else { __label__ = 284; break; } //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 281: 
      var $948=__ZN2js11TokenStream9matchCharEi($3, 45); //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($948) { __label__ = 282; break; } else { __label__ = 283; break; } //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 282: 
      var $950=(($3+144)|0); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $951=HEAP32[(($950)>>2)]; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $952=$951 | 8192; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($950)>>2)]=$952; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 301; break; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 283: 
      __ZN2js11TokenStream9ungetCharEi($3, 45); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 284; break; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 284: 
      __ZN2js11TokenStream9ungetCharEi($3, 33); //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 285; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 285: 
      var $956=$c; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $957=__ZN2js11TokenStream9matchCharEi($3, $956); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($957) { __label__ = 286; break; } else { __label__ = 287; break; } //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 286: 
      var $959=HEAP32[(($tp)>>2)]; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $960=(($959+24)|0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $961=$960; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $962=(($961)|0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($962)>>2)]=24; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $963=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $964=$963 ? 4 : 14; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=$964; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 288; break; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 287: 
      var $966=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $967=$966 ? 21 : 20; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $968=HEAP32[(($tp)>>2)]; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $969=(($968+24)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $970=$969; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $971=(($970)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($971)>>2)]=$967; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=13; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 288; break;
    case 288: 
      __label__ = 413; break; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 289: 
      var $974=$c; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $975=__ZN2js11TokenStream9matchCharEi($3, $974); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($975) { __label__ = 290; break; } else { __label__ = 291; break; } //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 290: 
      var $977=$c; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $978=__ZN2js11TokenStream9matchCharEi($3, $977); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $979=$978 ? 26 : 25; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $980=HEAP32[(($tp)>>2)]; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $981=(($980+24)|0); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $982=$981; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $983=(($982)|0); //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($983)>>2)]=$979; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $984=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $985=$984 ? 4 : 14; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=$985; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 292; break; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 291: 
      var $987=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $988=$987 ? 23 : 22; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $989=HEAP32[(($tp)>>2)]; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $990=(($989+24)|0); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $991=$990; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $992=(($991)|0); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($992)>>2)]=$988; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=13; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 292; break;
    case 292: 
      __label__ = 413; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 293: 
      var $995=HEAP32[(($tp)>>2)]; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $996=(($995+24)|0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $997=$996; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $998=(($997)|0); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($998)>>2)]=29; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $999=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1000=$999 ? 4 : 17; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=$1000; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 413; break; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 294: 
      var $1002=__ZN2js11TokenStream9matchCharEi($3, 47); //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1002) { __label__ = 295; break; } else { __label__ = 319; break; } //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 295: 
      var $1004=(($3)|0); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1005=HEAP32[(($1004)>>2)]; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1006=__ZNK9JSContext15hasAtLineOptionEv($1005); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1006) { __label__ = 296; break; } else { __label__ = 298; break; } //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 296: 
      var $1008=__ZN2js11TokenStream9getAtLineEv($3); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1008) { __label__ = 298; break; } else { __label__ = 297; break; } //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 297: 
      __label__ = 415; break; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 298: 
      var $1011=__ZN2js11TokenStream21getAtSourceMappingURLEv($3); //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1011) { __label__ = 300; break; } else { __label__ = 299; break; } //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 299: 
      __label__ = 415; break; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 300: 
      __label__ = 301; break; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 301: 
      var $1015=(($3+144)|0); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1016=HEAP32[(($1015)>>2)]; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1017=$1016 & 8192; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1018=(($1017)|0)!=0; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1018) { __label__ = 302; break; } else { __label__ = 312; break; } //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 302: 
      __label__ = 303; break; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 303: 
      var $1021=__ZN2js11TokenStream7getCharEv($3); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1021; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1022=(($1021)|0)!=-1; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1022) { __label__ = 304; break; } else { var $1027 = 0;__label__ = 305; break; } //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 304: 
      var $1024=$c; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1025=(($1024)|0)!=10; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1027 = $1025;__label__ = 305; break;
    case 305: 
      var $1027;
      if ($1027) { __label__ = 306; break; } else { __label__ = 311; break; }
    case 306: 
      var $1029=$c; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1030=(($1029)|0)==45; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1030) { __label__ = 307; break; } else { __label__ = 310; break; } //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 307: 
      var $1032=__ZN2js11TokenStream9matchCharEi($3, 45); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1032) { __label__ = 308; break; } else { __label__ = 310; break; } //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 308: 
      var $1034=__ZN2js11TokenStream9matchCharEi($3, 62); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1034) { __label__ = 309; break; } else { __label__ = 310; break; } //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 309: 
      var $1036=(($3+144)|0); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1037=HEAP32[(($1036)>>2)]; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1038=$1037 & -8193; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1036)>>2)]=$1038; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 310; break; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 310: 
      __label__ = 303; break; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 311: 
      __label__ = 318; break; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 312: 
      __label__ = 313; break; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 313: 
      var $1043=__ZN2js11TokenStream7getCharEv($3); //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1043; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1044=(($1043)|0)!=-1; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1044) { __label__ = 314; break; } else { var $1049 = 0;__label__ = 315; break; } //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 314: 
      var $1046=$c; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1047=(($1046)|0)!=10; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1049 = $1047;__label__ = 315; break;
    case 315: 
      var $1049;
      if ($1049) { __label__ = 316; break; } else { __label__ = 317; break; }
    case 316: 
      __label__ = 313; break; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 317: 
      __label__ = 318; break;
    case 318: 
      var $1053=$c; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9ungetCharEi($3, $1053); //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1054=(($3+132)|0); //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1055=HEAP32[(($1054)>>2)]; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1056=(($1055-1)|0); //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1057=$1056 & 3; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1058=(($3+132)|0); //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1058)>>2)]=$1057; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 6; break; //@line 1966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 319: 
      var $1060=__ZN2js11TokenStream9matchCharEi($3, 42); //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1060) { __label__ = 320; break; } else { __label__ = 332; break; } //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 320: 
      var $1062=(($3+140)|0); //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1063=HEAP32[(($1062)>>2)]; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $linenoBefore=$1063; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 321; break; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 321: 
      var $1065=__ZN2js11TokenStream7getCharEv($3); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1065; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1066=(($1065)|0)!=-1; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1066) { __label__ = 322; break; } else { var $1076 = 0;__label__ = 325; break; } //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 322: 
      var $1068=$c; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1069=(($1068)|0)==42; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1069) { __label__ = 323; break; } else { var $1073 = 0;__label__ = 324; break; } //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 323: 
      var $1071=__ZN2js11TokenStream9matchCharEi($3, 47); //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1073 = $1071;__label__ = 324; break;
    case 324: 
      var $1073;
      var $1074=$1073 ^ 1;
      var $1076 = $1074;__label__ = 325; break;
    case 325: 
      var $1076;
      if ($1076) { __label__ = 326; break; } else { __label__ = 327; break; }
    case 326: 
      __label__ = 321; break; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 327: 
      var $1079=$c; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1080=(($1079)|0)==-1; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1080) { __label__ = 328; break; } else { __label__ = 329; break; } //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 328: 
      var $1082=(($3)|0); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1083=HEAP32[(($1082)>>2)]; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1084=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($1083, $3, 0, 0, 140, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 329: 
      var $1086=$linenoBefore; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1087=(($3+140)|0); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1088=HEAP32[(($1087)>>2)]; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1089=(($1086)|0)!=(($1088)|0); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1089) { __label__ = 330; break; } else { __label__ = 331; break; } //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 330: 
      __ZN2js11TokenStream17updateFlagsForEOLEv($3); //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 331; break; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 331: 
      var $1092=(($3+132)|0); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1093=HEAP32[(($1092)>>2)]; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1094=(($1093-1)|0); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1095=$1094 & 3; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1096=(($3+132)|0); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1096)>>2)]=$1095; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 6; break; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 332: 
      var $1098=(($3+144)|0); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1099=HEAP32[(($1098)>>2)]; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1100=$1099 & 8; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1101=(($1100)|0)!=0; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1101) { __label__ = 333; break; } else { __label__ = 377; break; } //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 333: 
      $inCharClass=0; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1103=(($3+184)|0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv($1103); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 334; break; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 334: 
      var $1105=__ZN2js11TokenStream7getCharEv($3); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1105; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1106=$c; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1107=(($1106)|0)==92; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1107) { __label__ = 335; break; } else { __label__ = 338; break; } //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 335: 
      var $1109=(($3+184)|0); //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1110=$c; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1111=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($1109, $1110); //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1111) { __label__ = 337; break; } else { __label__ = 336; break; } //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 336: 
      __label__ = 415; break; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 337: 
      var $1114=__ZN2js11TokenStream7getCharEv($3); //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1114; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 348; break; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 338: 
      var $1116=$c; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1117=(($1116)|0)==91; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1117) { __label__ = 339; break; } else { __label__ = 340; break; } //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 339: 
      $inCharClass=1; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 347; break; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 340: 
      var $1120=$c; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1121=(($1120)|0)==93; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1121) { __label__ = 341; break; } else { __label__ = 342; break; } //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 341: 
      $inCharClass=0; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 346; break; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 342: 
      var $1124=$c; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1125=(($1124)|0)==47; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1125) { __label__ = 343; break; } else { __label__ = 345; break; } //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 343: 
      var $1127=$inCharClass; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1128=(($1127)|0)!=0; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1128) { __label__ = 345; break; } else { __label__ = 344; break; } //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 344: 
      __label__ = 354; break; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 345: 
      __label__ = 346; break;
    case 346: 
      __label__ = 347; break;
    case 347: 
      __label__ = 348; break;
    case 348: 
      var $1134=$c; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1135=(($1134)|0)==10; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1135) { __label__ = 350; break; } else { __label__ = 349; break; } //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 349: 
      var $1137=$c; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1138=(($1137)|0)==-1; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1138) { __label__ = 350; break; } else { __label__ = 351; break; } //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 350: 
      var $1140=$c; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream9ungetCharEi($3, $1140); //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1141=(($3)|0); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1142=HEAP32[(($1141)>>2)]; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1143=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($1142, $3, 0, 0, 141, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 2015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 351: 
      var $1145=(($3+184)|0); //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1146=$c; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1147=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_($1145, $1146); //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1147) { __label__ = 353; break; } else { __label__ = 352; break; } //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 352: 
      __label__ = 415; break; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 353: 
      __label__ = 334; break; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 354: 
      $reflags=0; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1151=(($3+184)|0); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1152=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv($1151); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1153=(($1152+1)|0); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $length=$1153; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 355; break; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 355: 
      var $1155=__ZN2js11TokenStream8peekCharEv($3); //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1155; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1156=$c; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1157=(($1156)|0)==103; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1157) { __label__ = 356; break; } else { __label__ = 358; break; } //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 356: 
      var $1159=$reflags; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1160=$1159 & 2; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1161=(($1160)|0)!=0; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1161) { __label__ = 358; break; } else { __label__ = 357; break; } //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 357: 
      var $1163=$reflags; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1164=$1163 | 2; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $reflags=$1164; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 371; break; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 358: 
      var $1166=$c; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1167=(($1166)|0)==105; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1167) { __label__ = 359; break; } else { __label__ = 361; break; } //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 359: 
      var $1169=$reflags; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1170=$1169 & 1; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1171=(($1170)|0)!=0; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1171) { __label__ = 361; break; } else { __label__ = 360; break; } //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 360: 
      var $1173=$reflags; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1174=$1173 | 1; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $reflags=$1174; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 370; break; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 361: 
      var $1176=$c; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1177=(($1176)|0)==109; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1177) { __label__ = 362; break; } else { __label__ = 364; break; } //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 362: 
      var $1179=$reflags; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1180=$1179 & 4; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1181=(($1180)|0)!=0; //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1181) { __label__ = 364; break; } else { __label__ = 363; break; } //@line 2026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 363: 
      var $1183=$reflags; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1184=$1183 | 4; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $reflags=$1184; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 369; break; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 364: 
      var $1186=$c; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1187=(($1186)|0)==121; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1187) { __label__ = 365; break; } else { __label__ = 367; break; } //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 365: 
      var $1189=$reflags; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1190=$1189 & 8; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1191=(($1190)|0)!=0; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1191) { __label__ = 367; break; } else { __label__ = 366; break; } //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 366: 
      var $1193=$reflags; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1194=$1193 | 8; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $reflags=$1194; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 368; break; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 367: 
      __label__ = 373; break; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 368: 
      __label__ = 369; break;
    case 369: 
      __label__ = 370; break;
    case 370: 
      __label__ = 371; break;
    case 371: 
      var $1200=__ZN2js11TokenStream7getCharEv($3); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 372; break; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 372: 
      var $1202=$length; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1203=(($1202+1)|0); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $length=$1203; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 355; break; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 373: 
      var $1205=__ZN2js11TokenStream8peekCharEv($3); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1205; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1206=$c; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1207=(($1206)|0) < 128; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1207) { __label__ = 374; break; } else { __label__ = 376; break; } //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 374: 
      var $1209=$c; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1210=_isalpha($1209); //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1211=(($1210)|0)!=0; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1211) { __label__ = 375; break; } else { __label__ = 376; break; } //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 375: 
      var $1213=$buf; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($1213)]=0; HEAP8[($1213+1)]=0; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1214=$length; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1215=(($1214+1)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1216=HEAP32[(($tp)>>2)]; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1217=(($1216+4)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1218=(($1217)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1219=(($1218)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1220=HEAP32[(($1219)>>2)]; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1221=(($1220+$1215)|0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1219)>>2)]=$1221; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1222=$c; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1223=(($1222) & 255); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1224=(($buf)|0); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP8[($1224)]=$1223; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1225=(($3)|0); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1226=HEAP32[(($1225)>>2)]; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1227=(($buf)|0); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1228=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($1226, $3, 0, 0, 58, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1227,tempInt)); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1229=__ZN2js11TokenStream7getCharEv($3); //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 376: 
      var $1231=$reflags; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1232=HEAP32[(($tp)>>2)]; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1233=(($1232+24)|0); //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1234=$1233; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1234)>>2)]=$1231; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=32; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 413; break; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 377: 
      var $1236=HEAP32[(($tp)>>2)]; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1237=(($1236+24)|0); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1238=$1237; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1239=(($1238)|0); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1239)>>2)]=30; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1240=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1241=$1240 ? 4 : 18; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=$1241; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 413; break; //@line 2051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 378: 
      var $1243=HEAP32[(($tp)>>2)]; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1244=(($1243+24)|0); //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1245=$1244; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1246=(($1245)|0); //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1246)>>2)]=31; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1247=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1248=$1247 ? 4 : 18; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=$1248; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 413; break; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 379: 
      var $1250=HEAP32[(($tp)>>2)]; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1251=(($1250+24)|0); //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1252=$1251; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1253=(($1252)|0); //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1253)>>2)]=33; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=19; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 413; break; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 380: 
      var $1255=__ZN2js11TokenStream9matchCharEi($3, 61); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1255) { __label__ = 381; break; } else { __label__ = 382; break; } //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 381: 
      var $1257=HEAP32[(($tp)>>2)]; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1258=(($1257+24)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1259=$1258; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1260=(($1259)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1260)>>2)]=28; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=4; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 389; break; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 382: 
      var $1262=$c; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1263=__ZN2js11TokenStream9matchCharEi($3, $1262); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1263) { __label__ = 383; break; } else { __label__ = 387; break; } //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 383: 
      var $1265=__ZN2js11TokenStream8peekCharEv($3); //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1266=(($1265)|0)==62; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1266) { __label__ = 384; break; } else { __label__ = 386; break; } //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 384: 
      var $1268=(($3+144)|0); //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1269=HEAP32[(($1268)>>2)]; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1270=$1269 & 128; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1271=(($1270)|0)!=0; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1271) { __label__ = 386; break; } else { __label__ = 385; break; } //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 385: 
      var $1273=(($3+144)|0); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1274=HEAP32[(($1273)>>2)]; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1275=$1274 & -8193; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1273)>>2)]=$1275; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 301; break; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 386: 
      HEAP32[(($tt)>>2)]=21; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 388; break; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 387: 
      var $1278=HEAP32[(($tp)>>2)]; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1279=(($1278+24)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1280=$1279; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1281=(($1280)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1281)>>2)]=34; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($tt)>>2)]=16; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 388; break;
    case 388: 
      __label__ = 389; break;
    case 389: 
      __label__ = 413; break; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 390: 
      var $1285=__ZN2js11TokenStream16getCharIgnoreEOLEv($3); //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1285; //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1286=$c; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1287=(($1286-48)|0); //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1288=(($1287)>>>0) <= 9; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1288) { __label__ = 392; break; } else { __label__ = 391; break; } //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 391: 
      var $1290=$c; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __ZN2js11TokenStream18ungetCharIgnoreEOLEi($3, $1290); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 411; break; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 392: 
      var $1292=$c; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1293=(($1292-48)|0); //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $n=$1293; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 393; break; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 393: 
      var $1295=__ZN2js11TokenStream7getCharEv($3); //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $c=$1295; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1296=$c; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1297=(($1296-48)|0); //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1298=(($1297)>>>0) <= 9; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1298) { __label__ = 395; break; } else { __label__ = 394; break; } //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 394: 
      __label__ = 398; break; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 395: 
      var $1301=$n; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1302=(($1301*10)|0); //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1303=$c; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1304=(($1303-48)|0); //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1305=(($1302+$1304)|0); //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $n=$1305; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1306=$n; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1307=(($1306)>>>0) >= 65536; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1307) { __label__ = 396; break; } else { __label__ = 397; break; } //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 396: 
      var $1309=(($3)|0); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1310=HEAP32[(($1309)>>2)]; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1311=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($1310, $3, 0, 0, 143, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 397: 
      __label__ = 393; break; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 398: 
      var $1314=$n; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1315=(($1314)>>>0); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1316=HEAP32[(($tp)>>2)]; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1317=(($1316+24)|0); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1318=$1317; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      (tempDoubleF64[0]=$1315,HEAP32[(($1318)>>2)]=tempDoubleI32[0],HEAP32[(($1318+4)>>2)]=tempDoubleI32[1]); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1319=(($3)|0); //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1320=HEAP32[(($1319)>>2)]; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1321=__ZNK9JSContext15hasStrictOptionEv($1320); //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1321) { __label__ = 399; break; } else { __label__ = 404; break; } //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 399: 
      var $1323=$c; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1324=(($1323)|0)==61; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1324) { __label__ = 401; break; } else { __label__ = 400; break; } //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 400: 
      var $1326=$c; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1327=(($1326)|0)==35; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1327) { __label__ = 401; break; } else { __label__ = 404; break; } //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 401: 
      var $1329=(($buf5)|0); //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1330=$n; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1331=$c; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1332=_JS_snprintf($1329, 20, ((STRING_TABLE.__str63591)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1330,HEAP32[((tempInt+4)>>2)]=$1331,tempInt)); //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1333=(($3)|0); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1334=HEAP32[(($1333)>>2)]; //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1335=(($buf5)|0); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1336=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($1334, $3, 0, 5, 158, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1335,tempInt)); //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1336) { __label__ = 403; break; } else { __label__ = 402; break; } //@line 2105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 402: 
      __label__ = 415; break; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 403: 
      __label__ = 404; break; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 404: 
      var $1340=$c; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1341=(($1340)|0)==61; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1341) { __label__ = 405; break; } else { __label__ = 406; break; } //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 405: 
      HEAP32[(($tt)>>2)]=51; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 410; break; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 406: 
      var $1344=$c; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1345=(($1344)|0)==35; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      if ($1345) { __label__ = 407; break; } else { __label__ = 408; break; } //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 407: 
      HEAP32[(($tt)>>2)]=52; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 409; break; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 408: 
      __label__ = 411; break; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 409: 
      __label__ = 410; break;
    case 410: 
      __label__ = 413; break; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 411: 
      __label__ = 412; break; //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 412: 
      var $1352=(($3)|0); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1353=HEAP32[(($1352)>>2)]; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1354=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($1353, $3, 0, 0, 144, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 415; break; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 413: 
      __label__ = 414; break; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 414: 
      var $1357=(($3+144)|0); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1358=HEAP32[(($1357)>>2)]; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1359=$1358 | 128; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1357)>>2)]=$1359; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1360=(($3+156)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1361=__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv($1360); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1362=(($3+148)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1363=HEAP32[(($1362)>>2)]; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1364=$1361; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1365=$1363; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1366=(($1364-$1365)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1367=(((($1366)|0)/2)&-1); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1368=HEAP32[(($tp)>>2)]; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1369=(($1368+4)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1370=(($1369+8)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1371=(($1370)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1371)>>2)]=$1367; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1372=HEAP32[(($tt)>>2)]; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1373=HEAP32[(($tp)>>2)]; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1374=(($1373)|0); //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1374)>>2)]=$1372; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1375=HEAP32[(($tt)>>2)]; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=$1375; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 416; break; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 415: 
      var $1377=(($3+144)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1378=HEAP32[(($1377)>>2)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1379=$1378 | 128; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1377)>>2)]=$1379; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1380=HEAP32[(($tp)>>2)]; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1381=(($1380+4)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1382=(($1381)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1383=(($1382)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1384=HEAP32[(($1383)>>2)]; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1385=(($1384+1)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1386=HEAP32[(($tp)>>2)]; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1387=(($1386+4)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1388=(($1387+8)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1389=(($1388)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1389)>>2)]=$1385; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1390=HEAP32[(($tp)>>2)]; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      var $1391=(($1390)|0); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      HEAP32[(($1391)>>2)]=-1; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      $1=-1; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      __label__ = 416; break; //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    case 416: 
      var $1393=$1; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
      STACKTOP = __stackBase__;
      return $1393; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11TokenStream16getTokenInternalEv["X"]=1;

function __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2jsL13VersionNumberE9JSVersion3612($version) {
  ;
  var __label__;

  var $1;
  $1=$version;
  var $2=$1; //@line 866 "./jscntxt.h"
  var $3=$2 & 4095; //@line 866 "./jscntxt.h"
  ;
  return $3; //@line 866 "./jscntxt.h"
}


function __ZN2js13PropertyTable13sizeOfEntriesEj($cap) {
  ;
  var __label__;

  var $1;
  $1=$cap;
  var $2=$1; //@line 252 "./jsscope.h"
  var $3=((($2<<2))|0); //@line 252 "./jsscope.h"
  ;
  return $3; //@line 252 "./jsscope.h"
}


function __ZN2js11TokenStream17updateFlagsForEOLEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+144)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $5=$4 & -129; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($3)>>2)]=$5; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $6=(($2+144)|0); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  var $8=$7 | 4; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  HEAP32[(($6)>>2)]=$8; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
  ;
  return; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscan.cpp"
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<1))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP16[(($10)>>1)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP16[(($12)>>1)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+2)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+2)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13copyConstructIcEEvPtPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP8[($10)]; //@line 161 "./jsvector.h"
      var $12=(($11 << 24) >> 24); //@line 161 "./jsvector.h"
      var $13=$1; //@line 161 "./jsvector.h"
      HEAP16[(($13)>>1)]=$12; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $15=$p; //@line 160 "./jsvector.h"
      var $16=(($15+1)|0); //@line 160 "./jsvector.h"
      $p=$16; //@line 160 "./jsvector.h"
      var $17=$1; //@line 160 "./jsvector.h"
      var $18=(($17+2)|0); //@line 160 "./jsvector.h"
      $1=$18; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7unicode13CharacterInfo8isLetterEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 145 "./vm/Unicode.h"
  var $4=HEAPU8[($3)]; //@line 145 "./vm/Unicode.h"
  var $5=(($4)&255); //@line 145 "./vm/Unicode.h"
  var $6=$5 & 2; //@line 145 "./vm/Unicode.h"
  var $7=(($6)|0)!=0; //@line 145 "./vm/Unicode.h"
  ;
  return $7; //@line 145 "./vm/Unicode.h"
}


function __ZNK2js7unicode13CharacterInfo15isEnclosingMarkEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 153 "./vm/Unicode.h"
  var $4=HEAPU8[($3)]; //@line 153 "./vm/Unicode.h"
  var $5=(($4)&255); //@line 153 "./vm/Unicode.h"
  var $6=$5 & 16; //@line 153 "./vm/Unicode.h"
  var $7=(($6)|0)!=0; //@line 153 "./vm/Unicode.h"
  ;
  return $7; //@line 153 "./vm/Unicode.h"
}


function __ZNK2js7unicode13CharacterInfo22isCombiningSpacingMarkEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 157 "./vm/Unicode.h"
  var $4=HEAPU8[($3)]; //@line 157 "./vm/Unicode.h"
  var $5=(($4)&255); //@line 157 "./vm/Unicode.h"
  var $6=$5 & 32; //@line 157 "./vm/Unicode.h"
  var $7=(($6)|0)!=0; //@line 157 "./vm/Unicode.h"
  ;
  return $7; //@line 157 "./vm/Unicode.h"
}


function __ZN2js11TokenStream8TokenBufC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 508 "./jsscan.h"
  HEAP32[(($3)>>2)]=0; //@line 508 "./jsscan.h"
  var $4=(($2+4)|0); //@line 508 "./jsscan.h"
  HEAP32[(($4)>>2)]=0; //@line 508 "./jsscan.h"
  var $5=(($2+8)|0); //@line 508 "./jsscan.h"
  HEAP32[(($5)>>2)]=0; //@line 508 "./jsscan.h"
  ;
  return; //@line 508 "./jsscan.h"
}


function __ZNK2js7unicode13CharacterInfo16isIdentifierPartEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 149 "./vm/Unicode.h"
  var $4=HEAPU8[($3)]; //@line 149 "./vm/Unicode.h"
  var $5=(($4)&255); //@line 149 "./vm/Unicode.h"
  var $6=$5 & 6; //@line 149 "./vm/Unicode.h"
  var $7=(($6)|0)!=0; //@line 149 "./vm/Unicode.h"
  ;
  return $7; //@line 149 "./vm/Unicode.h"
}


function __ZN2js7unicode8IsLetterEt($ch) {
  ;
  var __label__;

  var $1;
  $1=$ch;
  var $2=$1; //@line 206 "./vm/Unicode.h"
  var $3=__ZN2js7unicode8CharInfoEt($2); //@line 206 "./vm/Unicode.h"
  var $4=__ZNK2js7unicode13CharacterInfo8isLetterEv($3); //@line 206 "./vm/Unicode.h"
  ;
  return $4; //@line 206 "./vm/Unicode.h"
}


function __ZNK9JSContext15hasAtLineOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK9JSContext12hasRunOptionEj($2, 32); //@line 1145 "./jscntxt.h"
  ;
  return $3; //@line 1145 "./jscntxt.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendItEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP16[(($8)>>1)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj64EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<1))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorItLj32ES1_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -1073741824; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -1073741824; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorItLj32ES1_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<1))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<1))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc3608($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function _js_malloc3609($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbPKT_S6_($this, $insBegin, $insEnd) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2=__stackBase__+4;
      var $3;
      var $4;
      var $5;
      var $6;
      var $g=__stackBase__+8;
      var $needed;
      var $7;
      $4=$this;
      $5=$insBegin;
      $6=$insEnd;
      var $8=$4;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($g, $8); //@line 844 "./jsvector.h"
      var $9=$5; //@line 845 "./jsvector.h"
      var $10=$6; //@line 845 "./jsvector.h"
      var $11=$1;
      var $12=$2;
      HEAP32[(($1)>>2)]=$9;
      HEAP32[(($2)>>2)]=$10;
      var $13=HEAP32[(($2)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
      var $14=$13; //@line 330 "./dist/include/mozilla/Util.h"
      var $15=HEAP32[(($1)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
      var $16=$15; //@line 330 "./dist/include/mozilla/Util.h"
      var $17=(($14-$16)|0); //@line 330 "./dist/include/mozilla/Util.h"
      var $18=Math.floor((($17)>>>0)); //@line 330 "./dist/include/mozilla/Util.h"
      var $19=$1; //@line 330 "./dist/include/mozilla/Util.h"
      var $20=$2; //@line 330 "./dist/include/mozilla/Util.h"
      $needed=$18; //@line 845 "./jsvector.h"
      var $21=(($8+8)|0); //@line 846 "./jsvector.h"
      var $22=HEAP32[(($21)>>2)]; //@line 846 "./jsvector.h"
      var $23=$needed; //@line 846 "./jsvector.h"
      var $24=(($22+$23)|0); //@line 846 "./jsvector.h"
      var $25=(($8+12)|0); //@line 846 "./jsvector.h"
      var $26=HEAPU32[(($25)>>2)]; //@line 846 "./jsvector.h"
      var $27=(($24)>>>0) > (($26)>>>0); //@line 846 "./jsvector.h"
      if ($27) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 846 "./jsvector.h"
    case 2: 
      var $29=$needed; //@line 846 "./jsvector.h"
      var $30=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE13growStorageByEj($8, $29); //@line 846 "./jsvector.h"
      if ($30) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 846 "./jsvector.h"
    case 3: 
      $3=0; //@line 847 "./jsvector.h"
      $7=1;
      __label__ = 5; break; //@line 847 "./jsvector.h"
    case 4: 
      var $33=$5; //@line 853 "./jsvector.h"
      var $34=$needed; //@line 853 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIcEEvPKT_j($8, $33, $34); //@line 853 "./jsvector.h"
      $3=1; //@line 854 "./jsvector.h"
      $7=1;
      __label__ = 5; break; //@line 854 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 855 "./jsvector.h"
      var $36=$3; //@line 855 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $36; //@line 855 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbPKT_S6_["X"]=1;

function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIcEEvPKT_j($this, $insBegin, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$insBegin;
  $3=$length;
  var $4=$1;
  var $5=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 864 "./jsvector.h"
  var $6=$2; //@line 864 "./jsvector.h"
  var $7=$2; //@line 864 "./jsvector.h"
  var $8=$3; //@line 864 "./jsvector.h"
  var $9=(($7+$8)|0); //@line 864 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13copyConstructIcEEvPtPKT_S7_($5, $6, $9); //@line 864 "./jsvector.h"
  var $10=$3; //@line 865 "./jsvector.h"
  var $11=(($4+8)|0); //@line 865 "./jsvector.h"
  var $12=HEAP32[(($11)>>2)]; //@line 865 "./jsvector.h"
  var $13=(($12+$10)|0); //@line 865 "./jsvector.h"
  HEAP32[(($11)>>2)]=$13; //@line 865 "./jsvector.h"
  ;
  return; //@line 866 "./jsvector.h"
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIiEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $12 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      var $10=(($9) & 65535); //@line 776 "./jsvector.h"
      HEAP16[(($8)>>1)]=$10; //@line 776 "./jsvector.h"
      var $12 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $12; //@line 776 "./jsvector.h"
      var $13=(($3+8)|0); //@line 777 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 777 "./jsvector.h"
      var $15=(($14+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($13)>>2)]=$15; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIcEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $12 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      var $10=(($9 << 24) >> 24); //@line 776 "./jsvector.h"
      HEAP16[(($8)>>1)]=$10; //@line 776 "./jsvector.h"
      var $12 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $12; //@line 776 "./jsvector.h"
      var $13=(($3+8)|0); //@line 777 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 777 "./jsvector.h"
      var $15=(($14+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($13)>>2)]=$15; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE7destroyEPtS3_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free3610($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js6VectorItLj32ENS_15TempAllocPolicyEEC2ES1_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj64EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=32; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2jsL21VersionShouldParseXMLE9JSVersion3611($version) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$version;
      var $2=$1; //@line 879 "./jscntxt.h"
      var $3=__ZN2jsL13VersionHasXMLE9JSVersion3598($2); //@line 879 "./jscntxt.h"
      if ($3) { var $9 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 879 "./jscntxt.h"
    case 2: 
      var $5=$1; //@line 879 "./jscntxt.h"
      var $6=__ZN2jsL13VersionNumberE9JSVersion3612($5); //@line 879 "./jscntxt.h"
      var $7=(($6)|0) >= 160; //@line 879 "./jscntxt.h"
      var $9 = $7;__label__ = 3; break; //@line 879 "./jscntxt.h"
    case 3: 
      var $9;
      ;
      return $9; //@line 879 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_GenerateShapeP9JSRuntime($rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $shape;
      $1=$rt;
      var $2=$1; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $3=(($2+209944)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $5=(($4+1)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($3)>>2)]=$5; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$5; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $6=$shape; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=(($6)>>>0) >= 16777216; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $9=$1; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=(($9+209944)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($10)>>2)]=16777216; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=16777216; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=(($11)|0)==10; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      HEAP32[((__ZN2js8gcReasonE)>>2)]=9; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17 = __ZN2js8gcReasonE;__label__ = 5; break; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $15=HEAP32[((__ZN2js8gcReasonE)>>2)]; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[((__ZN2js8gcReasonE)>>2)]=$15; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17 = __ZN2js8gcReasonE;__label__ = 5; break; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $17; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=$1; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js9TriggerGCEP9JSRuntime($18); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $20=$shape; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $20; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_GenerateShapeP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  var $3=(($2+52)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  var $5=__Z16js_GenerateShapeP9JSRuntime($4); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  ;
  return $5; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
}


function __ZN8JSObject38ensureClassReservedSlotsForEmptyObjectEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nfixed;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=__ZNK8JSObject8getClassEv($4); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $6=(($5+4)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=HEAPU32[(($6)>>2)]; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=$7 >>> 8; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=$8 & 255; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $nfixed=$9; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=$nfixed; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=__ZNK8JSObject8numSlotsEv($4); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=(($10)>>>0) > (($11)>>>0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $14=$3; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=$nfixed; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=__ZN8JSObject10allocSlotsEP9JSContextj($4, $14, $15); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      $1=0; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 5; break; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      $1=1; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 5; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $20=$1; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $20; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13PropertyTable4initEP9JSRuntimePNS_5ShapeE($this, $rt, $lastProp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $sizeLog2;
      var $r=__stackBase__;
      var $shape;
      var $spp;
      $2=$this;
      $3=$rt;
      $4=$lastProp;
      var $5=$2;
      var $6=(($5+4)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=((($7<<1))|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=_JS_CeilingLog2($8); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $sizeLog2=$9; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=$sizeLog2; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=(($10)>>>0) < 4; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      $sizeLog2=4; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 3; break; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $14=$3; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=$sizeLog2; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=1 << $15; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=__ZN2js13PropertyTable13sizeOfEntriesEj($16); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=__ZN9JSRuntime7calloc_EjP9JSContext($14, $17, 0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=$18; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=(($5+16)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=(($5+16)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=(($22)|0)!=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      $1=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 12; break; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $26=$sizeLog2; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=((32-$26)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=(($5)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=$4; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape3allEv($r, $29); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $31=__ZNK2js5Shape5Range5emptyEv($r); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=$31 ^ 1; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $34=__ZNK2js5Shape5Range5frontEv($r); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$34; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $35=$shape; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $36=(($35+12)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $38=__ZN2js13PropertyTable6searchEib($5, $37, 1); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$38; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $39=$spp; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $41=$40; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $42=$41 & -2; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $43=$42; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $44=(($43)|0)!=0; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      var $46=$shape; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=$46; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=$spp; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $50=$49; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $51=$50 & 1; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $52=$47 | $51; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $53=$52; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54=$spp; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 9; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      __label__ = 10; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      $1=1; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 12; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 12: 
      var $59=$1; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13PropertyTable4initEP9JSRuntimePNS_5ShapeE["X"]=1;

function __ZN2jsL6HashIdEi($id) {
  ;
  var __label__;

  var $1;
  var $n;
  $1=$id;
  var $2=$1; //@line 104 "./jsatom.h"
  $n=$2; //@line 104 "./jsatom.h"
  var $3=$n; //@line 110 "./jsatom.h"
  var $4=(($3*-1640531527)|0); //@line 110 "./jsatom.h"
  ;
  return $4; //@line 110 "./jsatom.h"
}


function __ZNK2js13PropertyTable8capacityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 249 "./jsscope.h"
  var $4=HEAP32[(($3)>>2)]; //@line 249 "./jsscope.h"
  var $5=((32-$4)|0); //@line 249 "./jsscope.h"
  var $6=1 << $5; //@line 249 "./jsscope.h"
  ;
  return $6; //@line 249 "./jsscope.h"
}


function __ZN2js13PropertyTable6searchEib($this, $id, $adding) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $hash0;
      var $hash1;
      var $hash2;
      var $sizeLog2;
      var $stored;
      var $shape;
      var $spp;
      var $firstRemoved;
      var $sizeMask;
      $2=$this;
      $3=$id;
      var $5=(($adding)&1);
      $4=$5;
      var $6=$2;
      var $7=$3; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=__ZN2jsL6HashIdEi($7); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $hash0=$8; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=$hash0; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=(($6)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=$9 >>> (($11)>>>0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $hash1=$12; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=(($6+16)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=$hash1; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=(($14+($15<<2))|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$16; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=$spp; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $stored=$18; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=$stored; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=(($19)|0)==0; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $22=$spp; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$22; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 29; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $24=$stored; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=$24; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=$25 & -2; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=$26; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$27; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=$shape; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=(($28)|0)!=0; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $31=$shape; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=(($31+12)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=$3; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $35=(($33)|0)==(($34)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $37=$spp; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$37; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 29; break; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $39=(($6)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $41=((32-$40)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $sizeLog2=$41; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $42=$hash0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $43=$sizeLog2; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $44=$42 << $43; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $45=(($6)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $46=HEAPU32[(($45)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=$44 >>> (($46)>>>0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=$47 | 1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $hash2=$48; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $49=$sizeLog2; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $50=1 << $49; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $51=(($50-1)|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $sizeMask=$51; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $52=$stored; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $53=(($52)|0)==1; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($53) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $55=$spp; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $firstRemoved=$55; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 12; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      $firstRemoved=0; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $58=(($57) & 1); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      var $60=$stored; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $61=$60; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $62=$61 & 1; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $63=(($62)|0)!=0; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($63) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      var $65=$shape; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $66=$65; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $67=$66 | 1; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $68=$67; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $69=$spp; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($69)>>2)]=$68; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 11; break; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      __label__ = 13; break; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 13: 
      var $73=$hash2; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $74=$hash1; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $75=(($74-$73)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $hash1=$75; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $76=$sizeMask; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $77=$hash1; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $78=$77 & $76; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $hash1=$78; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $79=(($6+16)|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $81=$hash1; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $82=(($80+($81<<2))|0); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$82; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $83=$spp; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $stored=$84; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $85=$stored; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $86=(($85)|0)==0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($86) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 14: 
      var $88=$4; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $89=(($88) & 1); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($89) { __label__ = 15; break; } else { var $94 = 0;__label__ = 16; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 15: 
      var $91=$firstRemoved; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $92=(($91)|0)!=0; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $94 = $92;__label__ = 16; break;
    case 16: 
      var $94;
      var $95=$firstRemoved;
      var $96=$spp;
      var $97=$94 ? $95 : $96;
      $1=$97;
      __label__ = 29; break;
    case 17: 
      var $99=$stored; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $100=$99; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $101=$100 & -2; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $102=$101; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$102; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $103=$shape; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $104=(($103)|0)!=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($104) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 18: 
      var $106=$shape; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $107=(($106+12)|0); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $109=$3; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $110=(($108)|0)==(($109)|0); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($110) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 19: 
      var $112=$spp; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$112; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 29; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 20: 
      var $114=$stored; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $115=(($114)|0)==1; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($115) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 21: 
      var $117=$firstRemoved; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $118=(($117)|0)!=0; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($118) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 22: 
      var $120=$spp; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $firstRemoved=$120; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 23; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 23: 
      __label__ = 28; break; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 24: 
      var $123=$4; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $124=(($123) & 1); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($124) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 25: 
      var $126=$stored; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $127=$126; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $128=$127 & 1; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $129=(($128)|0)!=0; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($129) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 26: 
      var $131=$shape; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $132=$131; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $133=$132 | 1; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $134=$133; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $135=$spp; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($135)>>2)]=$134; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 27; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 27: 
      __label__ = 28; break;
    case 28: 
      __label__ = 13; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 29: 
      var $139=$1; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $139; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13PropertyTable6searchEib["X"]=1;

function __ZN2js5Shape7hashifyEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rt;
      var $table;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $6=(($5+52)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $rt=$7; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=$rt; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=__ZNK2js5Shape10entryCountEv($4); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=__ZN9JSRuntime4new_IN2js13PropertyTableEjEEPT_T0_($8, $9); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $table=$10; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=$table; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=(($11)|0)!=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      $1=0; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $15=$table; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=$rt; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=__ZN2js13PropertyTable4initEP9JSRuntimePNS_5ShapeE($15, $16, $4); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $19=$rt; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=$table; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=$20; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN9JSRuntime5free_EPv($19, $21); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=0; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $23=$table; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape8setTableEPNS_13PropertyTableE($4, $23); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=1; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $25=$1; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $25; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSRuntime4new_IN2js13PropertyTableEjEEPT_T0_($this, $p1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      $1=$this;
      $2=$p1;
      var $3=$1;
      var $4=__ZN9JSRuntime7malloc_EjP9JSContext($3, 20, 0); //@line 761 "./jscntxt.h"
      $memory=$4; //@line 761 "./jscntxt.h"
      var $5=$memory; //@line 761 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 761 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 761 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 761 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 761 "./jscntxt.h"
      if ($9) { var $14 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 761 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 761 "./jscntxt.h"
      var $12=$2; //@line 761 "./jscntxt.h"
      __ZN2js13PropertyTableC1Ej($11, $12); //@line 761 "./jscntxt.h"
      var $14 = $11;__label__ = 4; break; //@line 761 "./jscntxt.h"
    case 4: 
      var $14; //@line 761 "./jscntxt.h"
      var $17 = $14;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 5: 
      var $17 = 0;__label__ = 6; break; //@line 761 "./jscntxt.h"
    case 6: 
      var $17; //@line 761 "./jscntxt.h"
      ;
      return $17; //@line 761 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13PropertyTable6changeEiP9JSContext($this, $log2Delta, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $oldlog2;
      var $newlog2;
      var $oldsize;
      var $newsize;
      var $newTable;
      var $oldTable;
      var $oldspp;
      var $shape;
      var $spp;
      $2=$this;
      $3=$log2Delta;
      $4=$cx;
      var $5=$2;
      var $6=(($5)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=((32-$7)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldlog2=$8; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=$oldlog2; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=$3; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=(($9+$10)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $newlog2=$11; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=$oldlog2; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=1 << $12; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldsize=$13; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=$newlog2; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=1 << $14; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $newsize=$15; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=$4; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=$newsize; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=__ZN2js13PropertyTable13sizeOfEntriesEj($17); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=__ZN9JSContext7calloc_Ej($16, $18); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=$19; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $newTable=$20; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=$newTable; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=(($21)|0)!=0; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      $1=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 10; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $25=$newlog2; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=((32-$25)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=(($5)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($27)>>2)]=$26; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=(($5+8)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($28)>>2)]=0; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=(($5+16)|0); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldTable=$30; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $31=$newTable; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=(($5+16)|0); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=$oldTable; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldspp=$33; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 4; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $35=$oldsize; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $36=(($35)|0)!=0; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($36) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $38=$oldspp; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $40=$39; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $41=$40 & -2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $42=$41; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$42; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $43=$shape; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $44=(($43)|0)!=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($44) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $46=$shape; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=(($46+12)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $49=__ZN2js13PropertyTable6searchEib($5, $48, 1); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$49; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $50=$shape; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $51=$spp; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($51)>>2)]=$50; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 7; break; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $53=$oldsize; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54=(($53-1)|0); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldsize=$54; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 8; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      var $56=$oldspp; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=(($56+4)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldspp=$57; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 4; break; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      var $59=$4; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $60=$oldTable; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $61=$60; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN9JSContext5free_EPv($59, $61); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 10; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      var $63=$1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $63; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13PropertyTable6changeEiP9JSContext["X"]=1;

function __ZN2js13PropertyTable4growEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $delta;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=__ZNK2js13PropertyTable8capacityEv($4); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $size=$5; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $6=(($4+8)|0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=HEAPU32[(($6)>>2)]; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=$size; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=$8 >>> 2; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=(($7)>>>0) < (($9)>>>0); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=(($10)&1); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $delta=$11; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=$delta; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=$3; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=__ZN2js13PropertyTable6changeEiP9JSContext($4, $12, $13); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $16=(($4+4)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=(($4+8)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=(($17+$19)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=$size; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=(($21-1)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=(($20)|0)==(($22)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $25=$3; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      _JS_ReportOutOfMemory($25); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=0; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 5; break; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      $1=1; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 5; break; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $28=$1; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $28; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5Shape8getChildEP9JSContextRKS0_PPS0_($this, $cx, $child, $listp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $oldShape;
      var $table;
      var $newShape;
      var $spp;
      var $dprop;
      var $shape;
      $2=$this;
      $3=$cx;
      $4=$child;
      $5=$listp;
      var $6=$2;
      var $7=__ZNK2js5Shape12inDictionaryEv($6); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 20; break; } //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $9=$5; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldShape=$10; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=$oldShape; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=(($11)|0)!=0; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $14=$oldShape; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=__ZNK2js5Shape8hasTableEv($14); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $17=$oldShape; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=__ZNK2js5Shape8getTableEv($17); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21 = $18;__label__ = 6; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $21 = 0;__label__ = 6; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $21; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $table=$21; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=$table; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=(($22)|0)!=0; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $25=$table; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=__ZNK2js13PropertyTable11needsToGrowEv($25); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      var $28=$table; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=$3; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=__ZN2js13PropertyTable4growEP9JSContext($28, $29); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      $1=0; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 27; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      var $33=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=$4; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $35=$5; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $36=__ZN2js5Shape18newDictionaryShapeEP9JSContextRKS0_PPS0_($33, $34, $35); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $37=(($36)|0)!=0; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 19; break; } //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      var $39=$5; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $newShape=$40; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $41=$table; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $42=(($41)|0)!=0; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 12: 
      var $44=$table; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $45=$newShape; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $46=(($45+12)|0); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=__ZN2js13PropertyTable6searchEib($44, $47, 1); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$48; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $49=$spp; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $51=$50; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $52=$51 & -2; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $53=$52; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54=(($53)|0)!=0; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($54) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 13: 
      var $56=$table; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=(($56+4)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $59=(($58+1)|0); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 14; break; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 14: 
      var $61=$newShape; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $62=$61; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $63=$spp; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $65=$64; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $66=$65 & 1; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $67=$62 | $66; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $68=$67; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $69=$spp; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($69)>>2)]=$68; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $70=$oldShape; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape8setTableEPNS_13PropertyTableE($70, 0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $71=$newShape; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $72=$table; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape8setTableEPNS_13PropertyTableE($71, $72); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 18; break; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 15: 
      var $74=$newShape; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $75=__ZNK2js5Shape8hasTableEv($74); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 16: 
      var $77=$newShape; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $78=$3; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $79=__ZN2js5Shape7hashifyEP9JSContext($77, $78); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 17; break; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $82=$newShape; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$82; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 27; break; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 19: 
      $1=0; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 27; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 20: 
      var $85=$5; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $87=__ZNK2js5Shape10entryCountEv($86); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $88=(($87)>>>0) >= 128; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($88) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 21: 
      var $90=$3; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $91=$5; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $92=__ZN2js5Shape17newDictionaryListEP9JSContextPPS0_($90, $91); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $dprop=$92; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $93=$dprop; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $94=(($93)|0)!=0; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($94) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 22: 
      $1=0; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 27; break; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 23: 
      var $97=$dprop; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $98=$3; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $99=$4; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $100=$5; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $101=__ZN2js5Shape8getChildEP9JSContextRKS0_PPS0_($97, $98, $99, $100); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$101; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 27; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 24: 
      var $103=$3; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $104=(($103+56)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $106=(($105+744)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $107=$3; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $108=$4; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $109=__ZN2js12PropertyTree8getChildEP9JSContextPNS_5ShapeERKS3_($106, $107, $6, $108); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$109; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $110=$shape; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $111=(($110)|0)!=0; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($111) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 25: 
      var $113=$shape; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $114=$5; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($114)>>2)]=$113; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 26; break; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 26: 
      var $116=$shape; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$116; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 27; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 27: 
      var $118=$1; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $118; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5Shape8getChildEP9JSContextRKS0_PPS0_["X"]=1;

function __ZNK2js13PropertyTable11needsToGrowEv($this) {
  ;
  var __label__;

  var $1;
  var $size;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js13PropertyTable8capacityEv($2); //@line 265 "./jsscope.h"
  $size=$3; //@line 265 "./jsscope.h"
  var $4=(($2+4)|0); //@line 266 "./jsscope.h"
  var $5=HEAP32[(($4)>>2)]; //@line 266 "./jsscope.h"
  var $6=(($2+8)|0); //@line 266 "./jsscope.h"
  var $7=HEAP32[(($6)>>2)]; //@line 266 "./jsscope.h"
  var $8=(($5+$7)|0); //@line 266 "./jsscope.h"
  var $9=$size; //@line 266 "./jsscope.h"
  var $10=$size; //@line 266 "./jsscope.h"
  var $11=$10 >>> 2; //@line 266 "./jsscope.h"
  var $12=(($9-$11)|0); //@line 266 "./jsscope.h"
  var $13=(($8)>>>0) >= (($12)>>>0); //@line 266 "./jsscope.h"
  ;
  return $13; //@line 266 "./jsscope.h"
}


function __ZN2js5Shape18newDictionaryShapeEP9JSContextRKS0_PPS0_($cx, $child, $listp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $dprop;
      $2=$cx;
      $3=$child;
      $4=$listp;
      var $5=$2; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $6=(($5+56)|0); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=(($7+744)|0); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=$2; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=__ZN2js12PropertyTree8newShapeEP9JSContext($8, $9); //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $dprop=$10; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=$dprop; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=(($11)|0)!=0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      $1=0; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $15=$dprop; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=$15; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=(($16)|0)==0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($17) { var $54 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $19=$16; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=$3; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=(($20+12)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=$3; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $24=(($23+16)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=$24; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=$3; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=(($27+20)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=$28; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $31=$3; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=(($31+24)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=$3; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $35=(($34+28)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $36=HEAPU8[($35)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $37=(($36)&255); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $38=$3; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $39=(($38+29)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $40=HEAPU8[($39)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $41=(($40)&255); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $42=$41 & -5; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $43=$42 | 2; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $44=$3; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $45=(($44+30)|0); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $46=HEAP16[(($45)>>1)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=(($46 << 16) >> 16); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=$2; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $49=__Z16js_GenerateShapeP9JSContext($48); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $50=$3; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $51=(($50+4)|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($19, $22, $26, $30, $33, $37, $43, $47, $49, $52); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54 = $19;__label__ = 5; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $54; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $55=$dprop; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $56=(($55+36)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=$56; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($57)>>2)]=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $58=$dprop; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $59=$4; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5Shape20insertIntoDictionaryEPPS0_($58, $59); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $60=$dprop; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$60; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $62=$1; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $62; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5Shape18newDictionaryShapeEP9JSContextRKS0_PPS0_["X"]=1;

function __ZN2js5Shape17newDictionaryListEP9JSContextPPS0_($cx, $listp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $shape;
      var $list;
      var $root=__stackBase__;
      var $childp;
      var $dprop;
      $2=$cx;
      $3=$listp;
      var $4=$3; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$5; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $6=$shape; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $list=$6; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($root)>>2)]=0; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $childp=$root; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 2; break; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $8=$shape; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=(($8)|0)!=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $11=$2; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=$shape; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=$childp; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=__ZN2js5Shape18newDictionaryShapeEP9JSContextRKS0_PPS0_($11, $12, $13); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $dprop=$14; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=$dprop; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=(($15)|0)!=0; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $18=$list; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=$3; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=0; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 7; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $21=$dprop; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=(($21+32)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $childp=$22; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=$shape; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $24=(($23+32)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$25; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 2; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $27=HEAP32[(($root)>>2)]; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=$3; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=$3; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=HEAP32[(($root)>>2)]; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $31=(($30+36)|0); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=$31; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($32)>>2)]=$29; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=HEAP32[(($root)>>2)]; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=$2; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $35=__ZN2js5Shape7hashifyEP9JSContext($33, $34); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $36=HEAP32[(($root)>>2)]; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$36; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 7; break; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $38=$1; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5Shape17newDictionaryListEP9JSContextPPS0_["X"]=1;

function __ZL24NormalizeGetterAndSetterP9JSContextP8JSObjectijjRPFiS0_S2_iPN2JS5ValueEERPFiS0_S2_iiS5_E($cx, $obj, $id, $attrs, $flags, $getter, $setter) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$attrs;
      $5=$flags;
      $6=$getter;
      $7=$setter;
      var $8=$7; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=(($9)|0)==10; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $12=$7; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($12)>>2)]=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 3; break; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $14=$5; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=$14 & 128; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=(($15)|0)!=0; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      __label__ = 8; break; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $19=$6; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=(($20)|0)==8; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $23=$6; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($23)>>2)]=0; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 7; break; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      ;
      return 1; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5Shape6frozenEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+29)|0); //@line 524 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 524 "./jsscope.h"
  var $5=(($4)&255); //@line 524 "./jsscope.h"
  var $6=$5 & 4; //@line 524 "./jsscope.h"
  var $7=(($6)|0)!=0; //@line 524 "./jsscope.h"
  ;
  return $7; //@line 524 "./jsscope.h"
}


function __ZN8JSObject13clearOwnShapeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1009 "./jsobjinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1009 "./jsobjinlines.h"
  var $5=$4 & -129; //@line 1009 "./jsobjinlines.h"
  HEAP32[(($3)>>2)]=$5; //@line 1009 "./jsobjinlines.h"
  var $6=(($2)|0); //@line 1010 "./jsobjinlines.h"
  var $7=HEAP32[(($6)>>2)]; //@line 1010 "./jsobjinlines.h"
  var $8=(($7)|0); //@line 1010 "./jsobjinlines.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1010 "./jsobjinlines.h"
  var $10=(($2+12)|0); //@line 1010 "./jsobjinlines.h"
  HEAP32[(($10)>>2)]=$9; //@line 1010 "./jsobjinlines.h"
  ;
  return; //@line 1011 "./jsobjinlines.h"
}


function __ZN8JSObject18removeLastPropertyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1097 "./jsobjinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1097 "./jsobjinlines.h"
  var $5=(($4+32)|0); //@line 1097 "./jsobjinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1097 "./jsobjinlines.h"
  var $7=(($2)|0); //@line 1097 "./jsobjinlines.h"
  HEAP32[(($7)>>2)]=$6; //@line 1097 "./jsobjinlines.h"
  ;
  return; //@line 1098 "./jsobjinlines.h"
}


function __ZN8JSObject16getChildPropertyEP9JSContextPN2js5ShapeERS3_($this, $cx, $parent, $child) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $shape;
      $2=$this;
      $3=$cx;
      $4=$parent;
      $5=$child;
      var $6=$2;
      var $7=$5; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=(($7+28)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=HEAPU8[($8)]; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=(($9)&255); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=$10 & 64; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=(($11)|0)!=0; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $14=$5; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=(($14+24)|0); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($15)>>2)]=-1; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 7; break; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $17=$5; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=(($17+24)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=(($19)|0)==-1; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $22=$3; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=$5; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $24=(($23+24)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=__ZN8JSObject9allocSlotEP9JSContextPj($6, $22, $24); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      $1=0; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      var $29=__ZNK8JSObject16inDictionaryModeEv($6); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      var $31=$4; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=__ZNK2js5Shape6frozenEv($31); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      var $34=$3; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $35=(($6)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $36=__ZN2js5Shape17newDictionaryListEP9JSContextPPS0_($34, $35); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $4=$36; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $37=$4; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $38=(($37)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      $1=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      __label__ = 12; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 12: 
      var $42=$3; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $43=$5; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $44=(($6)|0); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $45=__ZN2js5Shape18newDictionaryShapeEP9JSContextRKS0_PPS0_($42, $43, $44); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$45; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $46=$shape; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=(($46)|0)!=0; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($47) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 13: 
      $1=0; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 14: 
      __label__ = 18; break; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 15: 
      var $51=$3; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $52=(($51+56)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54=(($53+744)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $55=$3; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $56=$4; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=$5; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $58=__ZN2js12PropertyTree8getChildEP9JSContextPNS_5ShapeERKS3_($54, $55, $56, $57); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$58; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $59=$shape; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $60=(($59)|0)!=0; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 16: 
      $1=0; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 17: 
      var $63=$shape; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject15setLastPropertyEPKN2js5ShapeE($6, $63); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 18; break;
    case 18: 
      var $65=$shape; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject11updateFlagsEPKN2js5ShapeEb($6, $65, 0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $66=$3; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject11updateShapeEP9JSContext($6, $66); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $67=$shape; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$67; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 19: 
      var $69=$1; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $69; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject16getChildPropertyEP9JSContextPN2js5ShapeERS3_["X"]=1;

function __ZN2js5Shape20insertIntoDictionaryEPPS0_($this, $dictp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$dictp;
      var $3=$1;
      var $4=$2; //@line 352 "./jsscopeinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 352 "./jsscopeinlines.h"
      __ZN2js5Shape9setParentEPS0_($3, $5); //@line 352 "./jsscopeinlines.h"
      var $6=(($3+32)|0); //@line 353 "./jsscopeinlines.h"
      var $7=HEAP32[(($6)>>2)]; //@line 353 "./jsscopeinlines.h"
      var $8=(($7)|0)!=0; //@line 353 "./jsscopeinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 353 "./jsscopeinlines.h"
    case 2: 
      var $10=(($3+32)|0); //@line 354 "./jsscopeinlines.h"
      var $11=(($3+32)|0); //@line 354 "./jsscopeinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 354 "./jsscopeinlines.h"
      var $13=(($12+36)|0); //@line 354 "./jsscopeinlines.h"
      var $14=$13; //@line 354 "./jsscopeinlines.h"
      HEAP32[(($14)>>2)]=$10; //@line 354 "./jsscopeinlines.h"
      __label__ = 3; break; //@line 354 "./jsscopeinlines.h"
    case 3: 
      var $16=$2; //@line 355 "./jsscopeinlines.h"
      var $17=(($3+36)|0); //@line 355 "./jsscopeinlines.h"
      var $18=$17; //@line 355 "./jsscopeinlines.h"
      HEAP32[(($18)>>2)]=$16; //@line 355 "./jsscopeinlines.h"
      var $19=$2; //@line 356 "./jsscopeinlines.h"
      HEAP32[(($19)>>2)]=$3; //@line 356 "./jsscopeinlines.h"
      ;
      return; //@line 357 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject16toDictionaryModeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=$3; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $6=(($4)|0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=__ZN2js5Shape17newDictionaryListEP9JSContextPPS0_($5, $6); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=(($7)|0)!=0; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      $1=0; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 4; break; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      __ZN8JSObject13clearOwnShapeEv($4); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=1; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 4; break; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $12=$1; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $12; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject11addPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($this, $cx, $id, $getter, $setter, $slot, $attrs, $flags, $shortid) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6=__stackBase__+4;
      var $7;
      var $8;
      var $9;
      var $10;
      var $spp;
      $2=$this;
      $3=$cx;
      $4=$id;
      HEAP32[(($5)>>2)]=$getter;
      HEAP32[(($6)>>2)]=$setter;
      $7=$slot;
      $8=$attrs;
      $9=$flags;
      $10=$shortid;
      var $11=$2;
      var $12=__ZNK8JSObject12isExtensibleEv($11); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $14=$3; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=__ZN8JSObject19reportNotExtensibleEP9JSContextj($11, $14, 0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=0; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 4; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $17=$3; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=$4; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=$8; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=$9; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=__ZL24NormalizeGetterAndSetterP9JSContextP8JSObjectijjRPFiS0_S2_iPN2JS5ValueEERPFiS0_S2_iiS5_E($17, $11, $18, $19, $20, $5, $6); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=$3; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=$4; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $24=__ZN8JSObject12nativeSearchEP9JSContextib($11, $22, $23, 1); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$24; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=$3; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=$4; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=HEAP32[(($5)>>2)]; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=HEAP32[(($6)>>2)]; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=$7; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=$8; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $31=$9; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=$10; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=$spp; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=__ZN8JSObject19addPropertyInternalEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_EjjjiPPN2js5ShapeE($11, $25, $26, $27, $28, $29, $30, $31, $32, $33); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$34; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 4; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $36=$1; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject11addPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji["X"]=1;

function __ZN8JSObject19addPropertyInternalEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_EjjjiPPN2js5ShapeE($this, $cx, $id, $getter, $setter, $slot, $attrs, $flags, $shortid, $spp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11;
      var $table;
      var $shape;
      var $child=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$id;
      $5=$getter;
      $6=$setter;
      $7=$slot;
      $8=$attrs;
      $9=$flags;
      $10=$shortid;
      $11=$spp;
      var $12=$2;
      $table=0; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=__ZNK8JSObject16inDictionaryModeEv($12); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($13) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $15=(($12)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=__ZNK2js5Shape10entryCountEv($16); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=(($17)>>>0) >= 128; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $20=$3; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=__ZN8JSObject16toDictionaryModeEP9JSContext($12, $20); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      $1=0; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $24=$3; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=$4; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=__ZN8JSObject12nativeSearchEP9JSContextib($12, $24, $25, 1); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $11=$26; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=(($12)|0); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=__ZNK2js5Shape8getTableEv($28); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $table=$29; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      __label__ = 14; break; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $32=(($12)|0); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=__ZNK2js5Shape8hasTableEv($33); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      var $36=(($12)|0); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $38=__ZNK2js5Shape8getTableEv($37); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $table=$38; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $39=$table; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $40=__ZNK2js13PropertyTable11needsToGrowEv($39); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      var $42=$table; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $43=$3; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $44=__ZN2js13PropertyTable4growEP9JSContext($42, $43); //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      $1=0; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      var $47=$table; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=$4; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $49=__ZN2js13PropertyTable6searchEib($47, $48, 1); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $11=$49; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 12; break; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 12: 
      __label__ = 13; break; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $53=$4; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54=$5; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $55=$6; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $56=$7; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=$8; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $58=$9; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $59=$10; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($child, $53, $54, $55, $56, $57, $58, $59, -1879048193, 0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $60=$3; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $61=(($12)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $63=__ZN8JSObject16getChildPropertyEP9JSContextPN2js5ShapeERS3_($12, $60, $62, $child); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$63; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $64=$shape; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $65=(($64)|0)!=0; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 15: 
      var $67=$table; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $68=(($67)|0)!=0; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($68) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 16: 
      var $70=$shape; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $71=$70; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $72=$11; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $74=$73; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $75=$74 & 1; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $76=$71 | $75; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $77=$76; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $78=$11; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($78)>>2)]=$77; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $79=$table; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $80=(($79+4)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $82=(($81+1)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($80)>>2)]=$82; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $83=$shape; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $84=(($83+32)|0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape8setTableEPNS_13PropertyTableE($85, 0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $86=$shape; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $87=$table; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape8setTableEPNS_13PropertyTableE($86, $87); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 17; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 17: 
      var $89=$shape; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$89; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 18: 
      $1=0; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 19: 
      var $92=$1; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      STACKTOP = __stackBase__;
      return $92; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject19addPropertyInternalEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_EjjjiPPN2js5ShapeE["X"]=1;

function __ZN8JSObject11putPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($this, $cx, $id, $getter, $setter, $slot, $attrs, $flags, $shortid) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6=__stackBase__+4;
      var $7=__stackBase__+8;
      var $8=__stackBase__+12;
      var $9;
      var $10;
      var $spp;
      var $shape;
      var $hadSlot;
      var $oldSlot;
      var $temp;
      var $child=__stackBase__+16;
      var $newShape;
      var $11=__stackBase__+56;
      $2=$this;
      $3=$cx;
      $4=$id;
      HEAP32[(($5)>>2)]=$getter;
      HEAP32[(($6)>>2)]=$setter;
      HEAP32[(($7)>>2)]=$slot;
      HEAP32[(($8)>>2)]=$attrs;
      $9=$flags;
      $10=$shortid;
      var $12=$2;
      var $13=(($12)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=__ZNK2js5Shape6frozenEv($14); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $17=$3; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=(($12)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=__ZN2js5Shape17newDictionaryListEP9JSContextPPS0_($17, $18); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=(($19)|0)!=0; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      $1=0; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      __label__ = 5; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $24=$3; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=$4; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=HEAP32[(($8)>>2)]; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=$9; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=__ZL24NormalizeGetterAndSetterP9JSContextP8JSObjectijjRPFiS0_S2_iPN2JS5ValueEERPFiS0_S2_iiS5_E($24, $12, $25, $26, $27, $5, $6); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=$3; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=$4; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $31=__ZN8JSObject12nativeSearchEP9JSContextib($12, $29, $30, 1); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$31; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=$spp; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=$33; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $35=$34 & -2; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $36=$35; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$36; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $37=$shape; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $38=(($37)|0)!=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 6; break; } //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $40=__ZNK8JSObject12isExtensibleEv($12); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $42=$3; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $43=__ZN8JSObject19reportNotExtensibleEP9JSContextj($12, $42, 0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=0; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      var $45=$3; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $46=$4; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=HEAP32[(($5)>>2)]; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=HEAP32[(($6)>>2)]; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $49=HEAP32[(($7)>>2)]; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $50=HEAP32[(($8)>>2)]; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $51=$9; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $52=$10; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $53=$spp; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54=__ZN8JSObject19addPropertyInternalEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_EjjjiPPN2js5ShapeE($12, $45, $46, $47, $48, $49, $50, $51, $52, $53); //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$54; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      var $56=$3; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=$shape; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $58=__Z19CheckCanChangeAttrsP9JSContextP8JSObjectPKN2js5ShapeEPj($56, $12, $57, $8); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($58) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      $1=0; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      var $61=$shape; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $62=__ZNK2js5Shape7hasSlotEv($61); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $63=(($62)&1); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $hadSlot=$63; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $64=$shape; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $65=(($64+24)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldSlot=$66; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $67=HEAP32[(($8)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $68=$67 & 64; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $69=(($68)|0)!=0; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($69) { __label__ = 15; break; } else { __label__ = 12; break; } //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 12: 
      var $71=HEAP32[(($7)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $72=(($71)|0)==-1; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($72) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 13: 
      var $74=$hadSlot; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $75=(($74) & 1); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 14: 
      var $77=$oldSlot; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($7)>>2)]=$77; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 15; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 15: 
      var $79=$shape; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $80=HEAP32[(($5)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $81=HEAP32[(($6)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $82=HEAP32[(($7)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $83=HEAP32[(($8)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $84=$9; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $85=$10; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $86=__ZNK2js5Shape20matchesParamsAfterIdEPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjji($79, $80, $81, $82, $83, $84, $85); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($86) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 16: 
      var $88=$shape; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$88; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 17: 
      var $90=$shape; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $91=(($12)|0); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $93=(($90)|0)!=(($92)|0); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($93) { __label__ = 18; break; } else { __label__ = 22; break; } //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 18: 
      var $95=__ZNK8JSObject16inDictionaryModeEv($12); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 19; break; } //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 19: 
      var $97=$3; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $98=__ZN8JSObject16toDictionaryModeEP9JSContext($12, $97); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($98) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 20: 
      $1=0; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 21: 
      var $101=$3; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $102=$shape; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $103=(($102+12)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $105=__ZN8JSObject12nativeSearchEP9JSContextib($12, $101, $104, 0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$105; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $106=$spp; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $108=$107; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $109=$108 & -2; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $110=$109; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$110; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 22; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 22: 
      var $112=__ZNK8JSObject16inDictionaryModeEv($12); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($112) { __label__ = 23; break; } else { __label__ = 38; break; } //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 23: 
      var $114=HEAP32[(($7)>>2)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $115=(($114)|0)==-1; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($115) { __label__ = 24; break; } else { __label__ = 28; break; } //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 24: 
      var $117=HEAP32[(($8)>>2)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $118=$117 & 64; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $119=(($118)|0)!=0; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($119) { __label__ = 28; break; } else { __label__ = 25; break; } //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 25: 
      var $121=$3; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $122=__ZN8JSObject9allocSlotEP9JSContextPj($12, $121, $7); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($122) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 26: 
      $1=0; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 27: 
      __label__ = 28; break; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 28: 
      var $126=HEAP32[(($7)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $127=$shape; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $128=(($127+24)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($128)>>2)]=$126; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $129=HEAP32[(($7)>>2)]; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $130=(($129)|0)!=-1; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($130) { __label__ = 29; break; } else { __label__ = 37; break; } //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 29: 
      var $132=HEAPU32[(($7)>>2)]; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $133=$shape; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $134=(($133+4)|0); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $135=HEAPU32[(($134)>>2)]; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $136=(($132)>>>0) >= (($135)>>>0); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($136) { __label__ = 30; break; } else { __label__ = 37; break; } //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 30: 
      var $138=HEAP32[(($7)>>2)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $139=(($138+1)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $140=$shape; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $141=(($140+4)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($141)>>2)]=$139; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $142=(($12)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $temp=$143; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 31; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 31: 
      var $145=$temp; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $146=$shape; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $147=(($145)|0)!=(($146)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($147) { __label__ = 32; break; } else { __label__ = 36; break; } //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 32: 
      var $149=$temp; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $150=(($149+4)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $151=HEAPU32[(($150)>>2)]; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $152=HEAPU32[(($7)>>2)]; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $153=(($151)>>>0) <= (($152)>>>0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($153) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 33: 
      var $155=HEAP32[(($7)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $156=(($155+1)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $157=$temp; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $158=(($157+4)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($158)>>2)]=$156; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 34; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 34: 
      __label__ = 35; break; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 35: 
      var $161=$temp; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $162=(($161+32)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $temp=$163; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 31; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 36: 
      __label__ = 37; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 37: 
      var $166=HEAP32[(($5)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $167=$shape; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $168=(($167+16)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $169=$168; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($169)>>2)]=$166; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $170=HEAP32[(($6)>>2)]; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $171=$shape; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $172=(($171+20)|0); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $173=$172; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($173)>>2)]=$170; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $174=HEAP32[(($8)>>2)]; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $175=(($174) & 255); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $176=$shape; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $177=(($176+28)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP8[($177)]=$175; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $178=$9; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $179=$178 | 2; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $180=(($179) & 255); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $181=$shape; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $182=(($181+29)|0); //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP8[($182)]=$180; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $183=$10; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $184=(($183) & 65535); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $185=$shape; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $186=(($185+30)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP16[(($186)>>1)]=$184; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $187=$shape; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject11updateFlagsEPKN2js5ShapeEb($12, $187, 0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $188=$3; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $189=__Z16js_GenerateShapeP9JSContext($188); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $190=(($12)|0); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $191=HEAP32[(($190)>>2)]; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $192=(($191)|0); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($192)>>2)]=$189; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject13clearOwnShapeEv($12); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 41; break; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 38: 
      __ZN8JSObject18removeLastPropertyEv($12); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $194=$4; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $195=HEAP32[(($5)>>2)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $196=HEAP32[(($6)>>2)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $197=HEAP32[(($7)>>2)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $198=HEAP32[(($8)>>2)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $199=$9; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $200=$10; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($child, $194, $195, $196, $197, $198, $199, $200, -1879048193, 0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $201=$3; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $202=(($12)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $204=__ZN8JSObject16getChildPropertyEP9JSContextPN2js5ShapeERS3_($12, $201, $203, $child); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $newShape=$204; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $205=$newShape; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $206=(($205)|0)!=0; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($206) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 39: 
      var $208=$shape; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject15setLastPropertyEPKN2js5ShapeE($12, $208); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=0; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 40: 
      var $210=$newShape; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$210; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 41; break;
    case 41: 
      var $212=$hadSlot; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $213=(($212) & 1); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($213) { __label__ = 42; break; } else { __label__ = 47; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 42: 
      var $215=$shape; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $216=__ZNK2js5Shape7hasSlotEv($215); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($216) { __label__ = 47; break; } else { __label__ = 43; break; } //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 43: 
      var $218=$oldSlot; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $219=$shape; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $220=(($219+4)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $221=HEAPU32[(($220)>>2)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $222=(($218)>>>0) < (($221)>>>0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($222) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 44: 
      var $224=$3; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $225=$oldSlot; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $226=__ZN8JSObject8freeSlotEP9JSContextj($12, $224, $225); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 46; break; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 45: 
      var $228=$oldSlot; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2JSL14UndefinedValueEv3631($11); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($12, $228, $11); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 46; break;
    case 46: 
      var $230=$3; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $231=(($230+52)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $232=HEAP32[(($231)>>2)]; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $233=(($232+144252)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $234=HEAP32[(($233)>>2)]; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $235=(($234+1)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($233)>>2)]=$235; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 47; break; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 47: 
      var $237=$shape; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$237; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 48; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 48: 
      var $239=$1; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      STACKTOP = __stackBase__;
      return $239; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject11putPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji["X"]=1;

function __Z19CheckCanChangeAttrsP9JSContextP8JSObjectPKN2js5ShapeEPj($cx, $obj, $shape, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$obj;
      $4=$shape;
      $5=$attrsp;
      var $6=$4; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=__ZNK2js5Shape12configurableEv($6); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      $1=1; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 8; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $10=$5; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=$11 | 4; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($10)>>2)]=$12; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=$4; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=__ZNK2js5Shape16isDataDescriptorEv($13); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $16=$4; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=__ZNK2js5Shape7hasSlotEv($16); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $19=$5; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=$20 & 112; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=(($21)|0)!=0; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $24=$3; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=$2; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=$4; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=(($26+12)|0); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=__ZN8JSObject21reportNotConfigurableEP9JSContextij($24, $25, $28, 0); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=0; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 8; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      $1=1; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 8; break; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      var $32=$1; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $32; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5Shape20removeFromDictionaryEP8JSObject($this, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$obj;
      var $3=$1;
      var $4=(($3+32)|0); //@line 329 "./jsscopeinlines.h"
      var $5=HEAP32[(($4)>>2)]; //@line 329 "./jsscopeinlines.h"
      var $6=(($5)|0)!=0; //@line 329 "./jsscopeinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 329 "./jsscopeinlines.h"
    case 2: 
      var $8=(($3+36)|0); //@line 330 "./jsscopeinlines.h"
      var $9=$8; //@line 330 "./jsscopeinlines.h"
      var $10=HEAP32[(($9)>>2)]; //@line 330 "./jsscopeinlines.h"
      var $11=(($3+32)|0); //@line 330 "./jsscopeinlines.h"
      var $12=HEAP32[(($11)>>2)]; //@line 330 "./jsscopeinlines.h"
      var $13=(($12+36)|0); //@line 330 "./jsscopeinlines.h"
      var $14=$13; //@line 330 "./jsscopeinlines.h"
      HEAP32[(($14)>>2)]=$10; //@line 330 "./jsscopeinlines.h"
      __label__ = 3; break; //@line 330 "./jsscopeinlines.h"
    case 3: 
      var $16=(($3+32)|0); //@line 331 "./jsscopeinlines.h"
      var $17=HEAP32[(($16)>>2)]; //@line 331 "./jsscopeinlines.h"
      var $18=(($3+36)|0); //@line 331 "./jsscopeinlines.h"
      var $19=$18; //@line 331 "./jsscopeinlines.h"
      var $20=HEAP32[(($19)>>2)]; //@line 331 "./jsscopeinlines.h"
      HEAP32[(($20)>>2)]=$17; //@line 331 "./jsscopeinlines.h"
      var $21=(($3+36)|0); //@line 332 "./jsscopeinlines.h"
      var $22=$21; //@line 332 "./jsscopeinlines.h"
      HEAP32[(($22)>>2)]=0; //@line 332 "./jsscopeinlines.h"
      ;
      return; //@line 333 "./jsscopeinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js5Shape8getFlagsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+29)|0); //@line 537 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 537 "./jsscope.h"
  var $5=(($4)&255); //@line 537 "./jsscope.h"
  var $6=$5 & 192; //@line 537 "./jsscope.h"
  ;
  return $6; //@line 537 "./jsscope.h"
}


function __ZNK8JSObject20getMethodThrashCountEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 609 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 609 "./jsobj.h"
  var $5=$4 & 768; //@line 609 "./jsobj.h"
  var $6=$5 >>> 8; //@line 609 "./jsobj.h"
  ;
  return $6; //@line 609 "./jsobj.h"
}


function __ZN8JSObject20setMethodThrashCountEj($this, $count) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$count;
  var $3=$1;
  var $4=(($3+8)|0); //@line 614 "./jsobj.h"
  var $5=HEAP32[(($4)>>2)]; //@line 614 "./jsobj.h"
  var $6=$5 & -769; //@line 614 "./jsobj.h"
  var $7=$2; //@line 614 "./jsobj.h"
  var $8=$7 << 8; //@line 614 "./jsobj.h"
  var $9=$6 | $8; //@line 614 "./jsobj.h"
  var $10=(($3+8)|0); //@line 614 "./jsobj.h"
  HEAP32[(($10)>>2)]=$9; //@line 614 "./jsobj.h"
  ;
  return; //@line 615 "./jsobj.h"
}


function __ZN2JSL14UndefinedValueEv3631($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN8JSObject14changePropertyEP9JSContextPKN2js5ShapeEjjPFiS1_PS_iPN2JS5ValueEEPFiS1_S6_iiS9_E($this, $cx, $shape, $attrs, $mask, $getter, $setter) {
  var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $7;
      var $8;
      var $9=__stackBase__+4;
      var $newShape;
      var $slot=__stackBase__+8;
      var $mutableShape;
      var $temp;
      var $child=__stackBase__+12;
      var $child1=__stackBase__+52;
      $2=$this;
      $3=$cx;
      $4=$shape;
      HEAP32[(($5)>>2)]=$attrs;
      $6=$mask;
      $7=$getter;
      $8=$setter;
      var $10=$2;
      var $11=$4; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=(($11+28)|0); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=HEAPU8[($12)]; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=(($13)&255); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=$6; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=$14 & $15; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=HEAP32[(($5)>>2)]; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=$17 | $16; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($5)>>2)]=$18; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=$3; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=$4; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=(($20+12)|0); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5types26MarkTypePropertyConfiguredEP9JSContextP8JSObjecti($19, $10, $22); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=HEAP32[(($5)>>2)]; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $24=$23 & 48; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=(($24)|0)!=0; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($25) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $27=$3; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=$4; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=(($28+12)|0); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5types4Type11UnknownTypeEv($9); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiNS0_4TypeE($27, $10, $30, $9); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 3; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $32=$7; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=(($32)|0)==8; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      $7=0; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 5; break; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $36=$8; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $37=(($36)|0)==10; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      $8=0; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 7; break; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $40=$3; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $41=$4; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $42=__Z19CheckCanChangeAttrsP9JSContextP8JSObjectPKN2js5ShapeEPj($40, $10, $41, $5); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      $1=0; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 34; break; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      var $45=$4; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $46=(($45+28)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=HEAPU8[($46)]; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=(($47)&255); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $49=HEAP32[(($5)>>2)]; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $50=(($48)|0)==(($49)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      var $52=$4; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $53=__ZNK2js5Shape6getterEv($52); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54=$7; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $55=(($53)|0)==(($54)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      var $57=$4; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $58=__ZNK2js5Shape6setterEv($57); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $59=$8; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $60=(($58)|0)==(($59)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($60) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 12: 
      var $62=$4; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$62; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 34; break; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 13: 
      var $64=__ZNK8JSObject16inDictionaryModeEv($10); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($64) { __label__ = 14; break; } else { __label__ = 29; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 14: 
      var $66=$4; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $67=(($66+24)|0); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($slot)>>2)]=$68; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $69=HEAP32[(($slot)>>2)]; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $70=(($69)|0)==-1; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 15: 
      var $72=HEAP32[(($5)>>2)]; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $73=$72 & 64; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $74=(($73)|0)!=0; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 16: 
      var $76=$3; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $77=__ZN8JSObject9allocSlotEP9JSContextPj($10, $76, $slot); //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($77) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 17: 
      $1=0; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 34; break; //@line 934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 18: 
      __label__ = 19; break; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 19: 
      var $81=$4; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $mutableShape=$81; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $82=HEAP32[(($slot)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $83=$mutableShape; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $84=(($83+24)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($84)>>2)]=$82; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $85=HEAP32[(($slot)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $86=(($85)|0)!=-1; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($86) { __label__ = 20; break; } else { __label__ = 28; break; } //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 20: 
      var $88=HEAPU32[(($slot)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $89=$4; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $90=(($89+4)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $91=HEAPU32[(($90)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $92=(($88)>>>0) >= (($91)>>>0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($92) { __label__ = 21; break; } else { __label__ = 28; break; } //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 21: 
      var $94=HEAP32[(($slot)>>2)]; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $95=(($94+1)|0); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $96=$mutableShape; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $97=(($96+4)|0); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($97)>>2)]=$95; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $98=(($10)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $temp=$99; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 22; break; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 22: 
      var $101=$temp; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $102=$4; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $103=(($101)|0)!=(($102)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($103) { __label__ = 23; break; } else { __label__ = 27; break; } //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 23: 
      var $105=$temp; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $106=(($105+4)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $107=HEAPU32[(($106)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $108=HEAPU32[(($slot)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $109=(($107)>>>0) <= (($108)>>>0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($109) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 24: 
      var $111=HEAP32[(($slot)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $112=(($111+1)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $113=$temp; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $114=(($113+4)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($114)>>2)]=$112; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 25; break; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 25: 
      __label__ = 26; break; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 26: 
      var $117=$temp; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $118=(($117+32)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $temp=$119; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 22; break; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 27: 
      __label__ = 28; break; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 28: 
      var $122=$7; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $123=$mutableShape; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $124=(($123+16)|0); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $125=$124; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($125)>>2)]=$122; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $126=$8; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $127=$mutableShape; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $128=(($127+20)|0); //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $129=$128; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($129)>>2)]=$126; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $130=HEAP32[(($5)>>2)]; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $131=(($130) & 255); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $132=$mutableShape; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $133=(($132+28)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP8[($133)]=$131; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $134=$4; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject11updateFlagsEPKN2js5ShapeEb($10, $134, 0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $135=$3; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $136=__Z16js_GenerateShapeP9JSContext($135); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $137=(($10)|0); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $139=(($138)|0); //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($139)>>2)]=$136; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject13clearOwnShapeEv($10); //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $140=$mutableShape; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $newShape=$140; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 33; break; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 29: 
      var $142=$4; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $143=(($10)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $145=(($142)|0)==(($144)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($145) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 30: 
      var $147=$4; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $148=(($147+12)|0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $150=$7; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $151=$8; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $152=$4; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $153=(($152+24)|0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $155=HEAP32[(($5)>>2)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $156=$4; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $157=(($156+29)|0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $158=HEAPU8[($157)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $159=(($158)&255); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $160=$4; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $161=(($160+30)|0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $162=HEAP16[(($161)>>1)]; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $163=(($162 << 16) >> 16); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($child, $149, $150, $151, $154, $155, $159, $163, -1879048193, 0); //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $164=$3; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $165=$4; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $166=(($165+32)|0); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $168=__ZN8JSObject16getChildPropertyEP9JSContextPN2js5ShapeERS3_($10, $164, $167, $child); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $newShape=$168; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 32; break; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 31: 
      var $170=$4; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $171=(($170+12)|0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $172=HEAP32[(($171)>>2)]; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $173=$7; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $174=$8; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $175=$4; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $176=(($175+24)|0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $178=HEAP32[(($5)>>2)]; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $179=$4; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $180=(($179+29)|0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $181=HEAPU8[($180)]; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $182=(($181)&255); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $183=$4; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $184=(($183+30)|0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $185=HEAP16[(($184)>>1)]; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $186=(($185 << 16) >> 16); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($child1, $172, $173, $174, $177, $178, $182, $186, -1879048193, 0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $187=$3; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $188=(($child1+12)|0); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $189=HEAP32[(($188)>>2)]; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $190=(($child1+16)|0); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $191=$190; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $192=HEAP32[(($191)>>2)]; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $193=(($child1+20)|0); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $194=$193; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $196=(($child1+24)|0); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $198=(($child1+28)|0); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $199=HEAPU8[($198)]; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $200=(($199)&255); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $201=(($child1+29)|0); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $202=HEAPU8[($201)]; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $203=(($202)&255); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $204=(($child1+30)|0); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $205=HEAP16[(($204)>>1)]; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $206=(($205 << 16) >> 16); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $207=__ZN8JSObject11putPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($10, $187, $189, $192, $195, $197, $200, $203, $206); //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $newShape=$207; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 32; break;
    case 32: 
      __label__ = 33; break;
    case 33: 
      var $210=$newShape; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$210; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 34; break; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 34: 
      var $212=$1; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      STACKTOP = __stackBase__;
      return $212; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject14changePropertyEP9JSContextPKN2js5ShapeEjjPFiS1_PS_iPN2JS5ValueEEPFiS1_S6_iiS9_E["X"]=1;

function __ZN8JSObject14removePropertyEP9JSContexti($this, $cx, $id) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $spp;
      var $shape;
      var $addedToFreelist;
      var $hadSlot;
      var $table;
      var $oldLastProp;
      var $5=__stackBase__;
      var $table1;
      var $size;
      $2=$this;
      $3=$cx;
      $4=$id;
      var $6=$2;
      var $7=$3; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=$4; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=__ZN8JSObject12nativeSearchEP9JSContextib($6, $7, $8, 0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$9; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=$spp; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=$11; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=$12 & -2; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=$13; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$14; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=$shape; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=(($15)|0)!=0; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      $1=1; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 41; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      $addedToFreelist=0; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=$shape; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=__ZNK2js5Shape7hasSlotEv($19); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=(($20)&1); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $hadSlot=$21; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=$hadSlot; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=(($22) & 1); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $25=$3; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=$shape; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=(($26+24)|0); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=__ZN8JSObject8freeSlotEP9JSContextj($6, $25, $28); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=(($29)&1); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $addedToFreelist=$30; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $31=$3; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=(($31+52)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=(($33+144252)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $36=(($35+1)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($34)>>2)]=$36; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 5; break; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $38=$shape; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $39=(($6)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $41=(($38)|0)!=(($40)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($41) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $43=__ZNK8JSObject16inDictionaryModeEv($6); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 7; break; } //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $45=$3; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $46=__ZN8JSObject16toDictionaryModeEP9JSContext($6, $45); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      $1=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 41; break; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      var $49=$3; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $50=$shape; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $51=(($50+12)|0); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $53=__ZN8JSObject12nativeSearchEP9JSContextib($6, $49, $52, 0); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $spp=$53; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $54=$spp; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $56=$55; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=$56 & -2; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $58=$57; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$58; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 10; break; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      var $60=__ZNK8JSObject16inDictionaryModeEv($6); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($60) { __label__ = 11; break; } else { __label__ = 30; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      var $62=(($6)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $64=__ZNK2js5Shape8hasTableEv($63); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($64) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 12: 
      var $66=(($6)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $68=__ZNK2js5Shape8getTableEv($67); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $71 = $68;__label__ = 14; break; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 13: 
      var $71 = 0;__label__ = 14; break; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 14: 
      var $71; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $table=$71; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $72=$spp; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $74=$73; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $75=$74 & 1; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $76=(($75)|0)!=0; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 15: 
      var $78=$spp; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($78)>>2)]=1; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $79=$table; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $80=(($79+8)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $82=(($81+1)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($80)>>2)]=$82; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $83=$table; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $84=(($83+4)|0); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $86=(($85-1)|0); //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($84)>>2)]=$86; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 19; break; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 16: 
      var $88=$table; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $89=(($88)|0)!=0; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($89) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 17: 
      var $91=$spp; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($91)>>2)]=0; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $92=$table; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $93=(($92+4)|0); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $95=(($94-1)|0); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($93)>>2)]=$95; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 18; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $98=(($6+8)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $100=$99 | 128; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($98)>>2)]=$100; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $101=(($6)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $oldLastProp=$102; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $103=$shape; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape20removeFromDictionaryEP8JSObject($103, $6); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $104=$table; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $105=(($104)|0)!=0; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($105) { __label__ = 20; break; } else { __label__ = 29; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 20: 
      var $107=$shape; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $108=$oldLastProp; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $109=(($107)|0)==(($108)|0); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($109) { __label__ = 21; break; } else { __label__ = 28; break; } //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 21: 
      var $111=$table; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $112=(($111+12)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $114=(($113)|0)!=-1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($114) { __label__ = 22; break; } else { __label__ = 27; break; } //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 22: 
      var $116=$shape; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $117=(($116+4)|0); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $119=(($6)|0); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $121=(($120+4)|0); //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($121)>>2)]=$118; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $122=$hadSlot; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $123=(($122) & 1); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($123) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 23: 
      var $125=$addedToFreelist; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $126=(($125) & 1); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($126) { __label__ = 26; break; } else { __label__ = 24; break; } //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 24: 
      var $128=(($6+4)|0); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $130=(($129+4)|0); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $131=HEAPU32[(($130)>>2)]; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $132=$131 >>> 8; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $133=$132 & 255; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $134=$shape; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $135=(($134+24)|0); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $136=HEAPU32[(($135)>>2)]; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $137=(($133)>>>0) <= (($136)>>>0); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($137) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 25: 
      var $139=$shape; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $140=(($139+24)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $142=$table; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $143=(($142+12)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2JSL18PrivateUint32ValueEj3636($5, $144); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($6, $141, $5); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $145=$shape; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $146=(($145+24)|0); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $148=$table; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $149=(($148+12)|0); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($149)>>2)]=$147; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 26; break; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 26: 
      __label__ = 27; break; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 27: 
      __label__ = 28; break; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 28: 
      var $153=$oldLastProp; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape8setTableEPNS_13PropertyTableE($153, 0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $154=(($6)|0); //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $156=$table; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape8setTableEPNS_13PropertyTableE($155, $156); //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 29; break; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 29: 
      __label__ = 31; break; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 30: 
      __ZN8JSObject18removeLastPropertyEv($6); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 31; break;
    case 31: 
      var $160=$3; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject11updateShapeEP9JSContext($6, $160); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $161=(($6)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $163=__ZNK2js5Shape8hasTableEv($162); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($163) { __label__ = 32; break; } else { __label__ = 36; break; } //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 32: 
      var $165=(($6)|0); //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $167=__ZNK2js5Shape8getTableEv($166); //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $table1=$167; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $168=$table1; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $169=__ZNK2js13PropertyTable8capacityEv($168); //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $size=$169; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $170=$size; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $171=(($170)>>>0) > 16; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($171) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 33: 
      var $173=$table1; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $174=(($173+4)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $175=HEAPU32[(($174)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $176=$size; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $177=$176 >>> 2; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $178=(($175)>>>0) <= (($177)>>>0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($178) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 34: 
      var $180=$table1; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $181=$3; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $182=__ZN2js13PropertyTable6changeEiP9JSContext($180, -1, $181); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 35; break; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 35: 
      __label__ = 36; break; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 36: 
      var $185=__ZNK8JSObject13hasSlotsArrayEv($6); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($185) { __label__ = 37; break; } else { __label__ = 40; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 37: 
      var $187=__ZNK8JSObject8slotSpanEv($6); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $188=__ZNK8JSObject8slotSpanEv($6); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $189=$188 >>> 2; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $190=(($187+$189)|0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $191=__ZNK8JSObject8numSlotsEv($6); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $192=(($190)>>>0) < (($191)>>>0); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($192) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 38: 
      var $194=$3; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $195=__ZNK8JSObject8slotSpanEv($6); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject11shrinkSlotsEP9JSContextj($6, $194, $195); //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 39; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 39: 
      __label__ = 40; break; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 40: 
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 41; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 41: 
      var $199=$1; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      STACKTOP = __stackBase__;
      return $199; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject14removePropertyEP9JSContexti["X"]=1;

function __ZN2JSL18PrivateUint32ValueEj3636($agg_result, $ui) {
  ;
  var __label__;

  var $1;
  $1=$ui;
  var $2=$1; //@line 774 "./jsapi.h"
  __ZN2JS5Value16setPrivateUint32Ej($agg_result, $2); //@line 774 "./jsapi.h"
  ;
  return; //@line 775 "./jsapi.h"
}


function __ZN8JSObject5clearEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $shape;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$5; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 2; break; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $7=$shape; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=(($7+32)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $10=(($9)|0)!=0; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $12=$shape; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=(($12+32)|0); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$14; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 2; break; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $16=__ZNK8JSObject16inDictionaryModeEv($3); //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $18=(($3)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=$shape; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=(($19+36)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=$20; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($21)>>2)]=$18; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 6; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      __ZN8JSObject13clearOwnShapeEv($3); //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=$shape; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject6setMapEPN2js5ShapeE($3, $23); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $24=$2; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject3639($24, $3); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=$2; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=(($25+52)|0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=(($27+144252)|0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=(($29+1)|0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      HEAP32[(($28)>>2)]=$30; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject3639($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 390 "./jscntxtinlines.h"
      var $4=__ZNK8JSObject9getParentEv($3); //@line 390 "./jscntxtinlines.h"
      var $5=(($4)|0)!=0; //@line 390 "./jscntxtinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 390 "./jscntxtinlines.h"
    case 2: 
      var $7=$1; //@line 391 "./jscntxtinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($7); //@line 391 "./jscntxtinlines.h"
      __label__ = 3; break; //@line 391 "./jscntxtinlines.h"
    case 3: 
      ;
      return; //@line 392 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject18rollbackPropertiesEP9JSContextj($this, $cx, $slotSpan) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$slotSpan;
      var $4=$1;
      __label__ = 2; break; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $6=__ZNK8JSObject8slotSpanEv($4); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=(($6)|0)!=(($7)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      __ZN8JSObject18removeLastPropertyEv($4); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 2; break; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $11=$2; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject11updateShapeEP9JSContext($4, $11); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject16generateOwnShapeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  var $5=__Z16js_GenerateShapeP9JSContext($4); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  __ZN8JSObject11setOwnShapeEj($3, $5); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  ;
  return; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
}


function __ZN8JSObject19deletingShapeChangeEP9JSContextRKN2js5ShapeE($this, $cx, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$shape;
  var $4=$1;
  var $5=$2; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  __ZN8JSObject16generateOwnShapeEP9JSContext($4, $5); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  ;
  return; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
}


function __ZN8JSObject17methodShapeChangeEP9JSContextRKN2js5ShapeE($this, $cx, $shape) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result;
      var $thrashCount;
      $2=$this;
      $3=$cx;
      $4=$shape;
      var $5=$2;
      var $6=$4; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $result=$6; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $7=$4; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $8=__ZNK2js5Shape8isMethodEv($7); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $10=$3; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=$4; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $12=(($11+12)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=$4; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $15=(($14+20)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $16=$15; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=$4; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=(($18+24)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=$4; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $22=(($21+28)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $23=HEAPU8[($22)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $24=(($23)&255); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=$4; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=__ZNK2js5Shape8getFlagsEv($25); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $27=$26 & -129; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $28=$4; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $29=(($28+30)|0); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $30=HEAP16[(($29)>>1)]; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $31=(($30 << 16) >> 16); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $32=__ZN8JSObject11putPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji($5, $10, $13, 0, $17, $20, $24, $27, $31); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $result=$32; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $33=$result; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $34=(($33)|0)!=0; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($34) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      $1=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 12; break; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      __label__ = 5; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $38=__ZN8JSObject7brandedEv($5); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($38) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $40=__ZNK8JSObject20getMethodThrashCountEv($5); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $thrashCount=$40; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $41=$thrashCount; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $42=(($41)>>>0) < 3; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      var $44=$thrashCount; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $45=(($44+1)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $thrashCount=$45; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $46=$thrashCount; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject20setMethodThrashCountEj($5, $46); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $47=$thrashCount; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $48=(($47)|0)==3; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      var $50=$3; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $51=__ZN8JSObject7unbrandEP9JSContext($5, $50); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $52=$result; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$52; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 12; break; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      __label__ = 10; break; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 10: 
      __label__ = 11; break; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      var $56=$3; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject16generateOwnShapeEP9JSContext($5, $56); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $57=$result; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$57; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 12; break; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 12: 
      var $59=$1; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      ;
      return $59; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject17methodShapeChangeEP9JSContextRKN2js5ShapeE["X"]=1;

function _JSID_IS_INT3658($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING3659($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING3660($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _JSID_TO_INT3662($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_TO_STRING3664($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _INT_TO_JSID3676($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZL26js_IsPropertyCacheDisabledP9JSContext3652($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 2359 "./jscntxt.h"
  var $3=(($2+52)|0); //@line 2359 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2359 "./jscntxt.h"
  var $5=(($4+209944)|0); //@line 2359 "./jscntxt.h"
  var $6=HEAPU32[(($5)>>2)]; //@line 2359 "./jscntxt.h"
  var $7=(($6)>>>0) >= 16777216; //@line 2359 "./jscntxt.h"
  var $8=(($7)&1); //@line 2359 "./jscntxt.h"
  ;
  return $8; //@line 2359 "./jscntxt.h"
}


function __ZN2js13PropertyTableC2Ej($this, $nentries) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$nentries;
  var $3=$1;
  var $4=(($3)|0); //@line 240 "./jsscope.h"
  HEAP32[(($4)>>2)]=28; //@line 240 "./jsscope.h"
  var $5=(($3+4)|0); //@line 240 "./jsscope.h"
  var $6=$2; //@line 240 "./jsscope.h"
  HEAP32[(($5)>>2)]=$6; //@line 240 "./jsscope.h"
  var $7=(($3+8)|0); //@line 240 "./jsscope.h"
  HEAP32[(($7)>>2)]=0; //@line 240 "./jsscope.h"
  var $8=(($3+12)|0); //@line 240 "./jsscope.h"
  HEAP32[(($8)>>2)]=-1; //@line 240 "./jsscope.h"
  ;
  return; //@line 242 "./jsscope.h"
}


function _PRIVATE_UINT32_TO_JSVAL_IMPL3654($agg_result, $ui) {
  ;
  var __label__;

  var $1;
  $1=$ui;
  var $2=$agg_result; //@line 646 "./jsval.h"
  var $3=(($2+4)|0); //@line 646 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 646 "./jsval.h"
  var $4=$1; //@line 647 "./jsval.h"
  var $5=$agg_result; //@line 647 "./jsval.h"
  var $6=(($5)|0); //@line 647 "./jsval.h"
  var $7=$6; //@line 647 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 647 "./jsval.h"
  ;
  return; //@line 649 "./jsval.h"
}


function _BUILD_JSVAL3661($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZN8JSObject17methodShapeChangeEP9JSContextj($this, $cx, $slot) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $r=__stackBase__;
      var $shape;
      $2=$this;
      $3=$cx;
      $4=$slot;
      var $5=$2;
      var $6=__ZN8JSObject16hasMethodBarrierEv($5); //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 2: 
      var $8=$3; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZN8JSObject16generateOwnShapeEP9JSContext($5, $8); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 10; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 3: 
      var $10=(($5)|0); //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __ZNK2js5Shape3allEv($r, $11); //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 4; break; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 4: 
      var $13=__ZNK2js5Shape5Range5emptyEv($r); //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $14=$13 ^ 1; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 5: 
      var $16=__ZNK2js5Shape5Range5frontEv($r); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $shape=$16; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $17=$shape; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $18=(($17+24)|0); //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $20=$4; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $21=(($19)|0)==(($20)|0); //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 6: 
      var $23=$3; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $24=$shape; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $25=__ZN8JSObject17methodShapeChangeEP9JSContextRKN2js5ShapeE($5, $23, $24); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      var $26=(($25)|0)!=0; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      $1=$26; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 11; break; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 7: 
      __label__ = 8; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 8: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 4; break; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      $1=1; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      __label__ = 11; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    case 11: 
      var $32=$1; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject16protoShapeChangeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  __ZN8JSObject16generateOwnShapeEP9JSContext($3, $4); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  ;
  return; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
}


function __ZN8JSObject20shadowingShapeChangeEP9JSContextRKN2js5ShapeE($this, $cx, $shape) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$shape;
  var $4=$1;
  var $5=$2; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  __ZN8JSObject16generateOwnShapeEP9JSContext($4, $5); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  ;
  return; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
}


function __ZN8JSObject26globalObjectOwnShapeChangeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  __ZN8JSObject16generateOwnShapeEP9JSContext($3, $4); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  var $5=$2; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  var $6=__ZL26js_IsPropertyCacheDisabledP9JSContext3652($5); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  var $7=(($6)|0)!=0; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  var $8=$7 ^ 1; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
  ;
  return $8; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscope.cpp"
}


function __ZN2js13PropertyTableC1Ej($this, $nentries) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$nentries;
  var $3=$1;
  var $4=$2; //@line 242 "./jsscope.h"
  __ZN2js13PropertyTableC2Ej($3, $4); //@line 242 "./jsscope.h"
  ;
  return; //@line 242 "./jsscope.h"
}


function _js_malloc3653($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3655($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj3656($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3657($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3655["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj3656($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3657($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZL12JSID_TO_ATOMi3663($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING3664($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function _js_free3665($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc3666($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj($this, $cx, $name, $indexp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $shape;
      $2=$this;
      $3=$cx;
      $4=$name;
      $5=$indexp;
      var $6=$2;
      var $7=(($6)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($8)|0)!=0; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $12=$3; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=(($6)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=$4; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=__ZL12ATOM_TO_JSIDP6JSAtom3673($14); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=__ZN2js5Shape6searchEP9JSContextPPS0_ib($12, $13, $15, 0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=$17; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=$18 & -2; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=$19; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$20; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=$shape; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=(($21)|0)!=0; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      $1=0; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $25=$5; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25)|0)!=0; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $28=$shape; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29=(($28+30)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=HEAP16[(($29)>>1)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=(($30 << 16) >> 16); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=$5; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 7; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $34=$shape; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=__ZNK2js5Shape6getterEv($34); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=(($35)|0)==92; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      $1=1; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $39=$shape; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=__ZNK2js5Shape6getterEv($39); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=(($40)|0)==286; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      $1=4; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $44=$shape; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=__ZNK2js5Shape8writableEv($44); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $46=$45 ? 2 : 3; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$46; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $48=$1; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $48; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom3673($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj3746($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE($this, $cx, $name, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $attrs;
      var $indexp;
      var $getter;
      var $setter;
      var $slot;
      var $id;
      var $child=__stackBase__;
      var $shape;
      $2=$this;
      $3=$cx;
      $4=$name;
      $5=$kind;
      var $6=$2;
      var $7=$3; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=__ZN2js8Bindings11ensureShapeEP9JSContext($6, $7); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 19; break; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      $attrs=69; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $slot=2; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=$5; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($11)|0)==1; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $14=(($6+4)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $indexp=$14; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $getter=92; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $setter=284; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($6+4)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=HEAPU16[(($15)>>1)]; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=(($16)&65535); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=$slot; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=(($18+$17)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $slot=$19; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 11; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $21=$5; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=(($21)|0)==4; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $24=(($6+8)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $indexp=$24; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $getter=286; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $setter=288; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $slot=-1; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 10; break; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $26=(($6+6)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $indexp=$26; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $getter=94; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $setter=290; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=$5; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($27)|0)==3; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $30=$attrs; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=$30 | 2; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $attrs=$31; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $33=(($6+4)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=HEAPU16[(($33)>>1)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=(($34)&65535); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=(($6+6)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=HEAPU16[(($36)>>1)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=(($37)&65535); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=(($35+$38)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=$slot; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=(($40+$39)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $slot=$41; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$indexp; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=HEAPU16[(($44)>>1)]; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $46=(($45)&65535); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=(($46)|0)==65535; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $49=$3; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $50=$5; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $51=(($50)|0)==1; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $52=$51 ? 45 : 199; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      _JS_ReportErrorNumber($49, 2, 0, $52, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 19; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $54=$4; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $55=(($54)|0)!=0; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 14: 
      var $57=(($6+4)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $58=HEAPU16[(($57)>>1)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=(($58)&65535); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $60=_INT_TO_JSID3676($59); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $id=$60; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 16; break; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      var $62=$4; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $63=__ZL12ATOM_TO_JSIDP6JSAtom3673($62); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $id=$63; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 16; break;
    case 16: 
      var $65=$id; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $66=$getter; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $67=$setter; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $68=$slot; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=$attrs; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $70=$indexp; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $71=HEAPU16[(($70)>>1)]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $72=(($71)&65535); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj($child, $65, $66, $67, $68, $69, 64, $72, -1879048193, 0); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $73=(($6)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $75=$3; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $76=(($6)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $77=__ZN2js5Shape8getChildEP9JSContextRKS0_PPS0_($74, $75, $child, $76); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$77; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $78=$shape; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $79=(($78)|0)!=0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($79) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      $1=0; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 19; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 18: 
      var $82=$indexp; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $83=HEAP16[(($82)>>1)]; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $84=(($83+1)&65535); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($82)>>1)]=$84; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=1; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 19; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 19: 
      var $86=$1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return $86; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE["X"]=1;

function __ZN2js8Bindings11ensureShapeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$cx;
      var $4=$2;
      var $5=(($4)|0); //@line 106 "./jsscriptinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 106 "./jsscriptinlines.h"
      var $7=(($6)|0)!=0; //@line 106 "./jsscriptinlines.h"
      if ($7) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 106 "./jsscriptinlines.h"
    case 2: 
      var $9=$3; //@line 107 "./jsscriptinlines.h"
      var $10=__ZN2js10EmptyShape17getEmptyCallShapeEP9JSContext($9); //@line 107 "./jsscriptinlines.h"
      var $11=$10; //@line 107 "./jsscriptinlines.h"
      var $12=(($4)|0); //@line 107 "./jsscriptinlines.h"
      HEAP32[(($12)>>2)]=$11; //@line 107 "./jsscriptinlines.h"
      var $13=(($4)|0); //@line 108 "./jsscriptinlines.h"
      var $14=HEAP32[(($13)>>2)]; //@line 108 "./jsscriptinlines.h"
      var $15=(($14)|0)!=0; //@line 108 "./jsscriptinlines.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 108 "./jsscriptinlines.h"
    case 3: 
      $1=0; //@line 109 "./jsscriptinlines.h"
      __label__ = 6; break; //@line 109 "./jsscriptinlines.h"
    case 4: 
      __label__ = 5; break; //@line 110 "./jsscriptinlines.h"
    case 5: 
      $1=1; //@line 111 "./jsscriptinlines.h"
      __label__ = 6; break; //@line 111 "./jsscriptinlines.h"
    case 6: 
      var $20=$1; //@line 112 "./jsscriptinlines.h"
      ;
      return $20; //@line 112 "./jsscriptinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE($this, $cx, $namesp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $names;
      var $n;
      var $r=__stackBase__;
      var $shape;
      var $index;
      $2=$this;
      $3=$cx;
      $4=$namesp;
      var $5=$2;
      var $6=$4; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $names=$6; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=__ZNK2js8Bindings15countLocalNamesEv($5); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $n=$7; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=$names; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=$n; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE19growByUninitializedEj($8, $9); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 17; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $13=(($5)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js5Shape5RangeC1EPKS0_($r, $14); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $16=__ZNK2js5Shape5Range5emptyEv($r); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$16 ^ 1; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 16; break; } //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $19=__ZNK2js5Shape5Range5frontEv($r); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$19; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=$shape; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=(($20+30)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=HEAPU16[(($21)>>1)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($22)&65535); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $index=$23; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=$shape; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=__ZNK2js5Shape6getterEv($24); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25)|0)==92; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      __label__ = 11; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $29=$shape; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=__ZNK2js5Shape6getterEv($29); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=(($30)|0)==286; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $33=(($5+4)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=HEAPU16[(($33)>>1)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=(($34)&65535); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=(($5+6)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=HEAPU16[(($36)>>1)]; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=(($37)&65535); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=(($35+$38)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=$index; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=(($40+$39)|0); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $index=$41; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 10; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $43=(($5+4)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $44=HEAPU16[(($43)>>1)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=(($44)&65535); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $46=$index; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=(($46+$45)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $index=$47; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $50=$shape; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $51=(($50+12)|0); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $53=__ZL12JSID_IS_ATOMi3679($52); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $54=(($53)|0)!=0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $56=$shape; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $57=(($56+12)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=__ZL12JSID_TO_ATOMi3680($58); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $60=$names; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $61=$index; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $62=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj($60, $61); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($62)>>2)]=$59; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 14; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $64=$names; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $65=$index; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $66=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj($64, $65); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($66)>>2)]=0; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      __ZN2js5Shape5Range8popFrontEv($r); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 16: 
      $1=1; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 17; break; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      var $71=$1; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return $71; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE["X"]=1;

function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE19growByUninitializedEj($this, $incr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$incr;
  var $3=$1;
  var $4=$2; //@line 700 "./jsvector.h"
  var $5=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($3, $4); //@line 700 "./jsvector.h"
  ;
  return $5; //@line 700 "./jsvector.h"
}


function __ZL12JSID_IS_ATOMi3679($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "./jsatom.h"
  var $3=_JSID_IS_STRING3745($2); //@line 75 "./jsatom.h"
  ;
  return $3; //@line 75 "./jsatom.h"
}


function __ZL12JSID_TO_ATOMi3680($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING3744($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZNK2js8Bindings9lastUpvarEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return $4; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN2js5Shape9setFrozenEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+29)|0); //@line 525 "./jsscope.h"
  var $4=HEAPU8[($3)]; //@line 525 "./jsscope.h"
  var $5=(($4)&255); //@line 525 "./jsscope.h"
  var $6=$5 | 4; //@line 525 "./jsscope.h"
  var $7=(($6) & 255); //@line 525 "./jsscope.h"
  HEAP8[($3)]=$7; //@line 525 "./jsscope.h"
  ;
  return; //@line 525 "./jsscope.h"
}


function __ZNK2js8Bindings12lastArgumentEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $shape;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js8Bindings12lastVariableEv($2); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$3; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=(($2+6)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=HEAPU16[(($4)>>1)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=(($5)&65535); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6)|0) > 0; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      __label__ = 3; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $10=$shape; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=__ZNK2js5Shape8previousEv($10); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($11)|0)!=0; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($12) { __label__ = 4; break; } else { var $18 = 0;__label__ = 5; break; } //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $14=$shape; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=__ZNK2js5Shape6getterEv($14); //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=(($15)|0)!=92; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18 = $16;__label__ = 5; break;
    case 5: 
      var $18;
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; }
    case 6: 
      var $20=$shape; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=__ZNK2js5Shape8previousEv($20); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$21; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      __label__ = 8; break; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $24=$shape; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $24; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js8Bindings12lastVariableEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $shape;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js8Bindings9lastUpvarEv($2); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$3; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=(($2+8)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=HEAPU16[(($4)>>1)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=(($5)&65535); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6)|0) > 0; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      __label__ = 3; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $10=$shape; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=__ZNK2js5Shape6getterEv($10); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($11)|0)==286; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $14=$shape; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=__ZNK2js5Shape8previousEv($14); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$15; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      __label__ = 6; break; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $18=$shape; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $18; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Bindings13sharpSlotBaseEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $name;
      var $index=__stackBase__;
      var $kind=__stackBase__+4;
      var $4=__stackBase__+8;
      var $5;
      $2=$this;
      $3=$cx;
      var $6=$2;
      var $7=$3; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE($7, ((STRING_TABLE.__str3667)|0), 6, 0, 0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $name=$8; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=$name; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=(($9)|0)!=0; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      HEAP32[(($index)>>2)]=-1; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=$3; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=$name; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj($6, $12, $13, $index); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($4)>>2)]=$14; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN7mozilla9DebugOnlyIN2js11BindingKindEEC1ERKS2_($kind, $4); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=HEAP32[(($index)>>2)]; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$15; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $5=1;
      __ZN7mozilla9DebugOnlyIN2js11BindingKindEED1Ev($kind); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break;
    case 3: 
      $1=-1; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $18=$1; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return $18; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Bindings13makeImmutableEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $shape;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$4; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=$shape; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=__ZNK2js5Shape12inDictionaryEv($5); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      __label__ = 3; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $9=$shape; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js5Shape9setFrozenEv($9); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $11=$shape; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($11+32)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $shape=$13; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=(($13)|0)!=0; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      __label__ = 6; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      ;
      return; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Bindings5traceEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=(($3)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=(($5)|0)!=0; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $8=$2; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($3)|0); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc($8, $10, ((STRING_TABLE.__str13668)|0)); //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      ;
      return; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z12js_XDRScriptP10JSXDRStatePP8JSScript($xdr, $scriptp) {
  var __stackBase__  = STACKTOP; STACKTOP += 136; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldscript;
      var $ok;
      var $code;
      var $length=__stackBase__;
      var $lineno=__stackBase__+4;
      var $nslots=__stackBase__+8;
      var $natoms=__stackBase__+12;
      var $nsrcnotes=__stackBase__+16;
      var $ntrynotes=__stackBase__+20;
      var $nobjects=__stackBase__+24;
      var $nregexps=__stackBase__+28;
      var $nconsts=__stackBase__+32;
      var $i;
      var $prologLength=__stackBase__+36;
      var $version=__stackBase__+40;
      var $encodedClosedCount=__stackBase__+44;
      var $nClosedArgs;
      var $nClosedVars;
      var $nTypeSets=__stackBase__+48;
      var $principals=__stackBase__+52;
      var $encodeable=__stackBase__+56;
      var $callbacks;
      var $scriptBits=__stackBase__+60;
      var $cx;
      var $script;
      var $notes;
      var $state;
      var $nargs;
      var $nvars;
      var $nupvars;
      var $argsVars=__stackBase__+64;
      var $paddingUpvars=__stackBase__+68;
      var $bindings=__stackBase__+72;
      var $nameCount;
      var $automark=__stackBase__+84;
      var $bitmapLength;
      var $bitmap;
      var $_a;
      var $_nb;
      var $_p;
      var $4;
      var $names=__stackBase__+92;
      var $5=__stackBase__+116;
      var $i1;
      var $i2;
      var $i3;
      var $dummy=__stackBase__+120;
      var $name=__stackBase__+124;
      var $kind;
      var $version_;
      var $filename;
      var $objp;
      var $isBlock=__stackBase__+128;
      var $clasp;
      var $tn;
      var $tnfirst;
      var $kindAndDepth=__stackBase__+132;
      $2=$xdr;
      $3=$scriptp;
      $nClosedArgs=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nClosedVars=0; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nTypeSets)>>2)]=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($scriptBits)>>2)]=0; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=$2; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6+8)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cx=$8; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=$3; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $script=$10; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nconsts)>>2)]=0; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nregexps)>>2)]=0; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nobjects)>>2)]=0; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($natoms)>>2)]=0; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($ntrynotes)>>2)]=0; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nsrcnotes)>>2)]=0; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $notes=0; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=$2; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($11+36)|0); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $state=$13; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nupvars=-1; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nvars=-1; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nargs=-1; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=$2; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($14)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=(($16)|0)==0; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $19=$script; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=(($19+64)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=__ZNK2js8Bindings9countArgsEv($20); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nargs=$21; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=$script; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($22+64)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=__ZNK2js8Bindings9countVarsEv($23); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nvars=$24; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=$script; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25+64)|0); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=__ZNK2js8Bindings11countUpvarsEv($26); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nupvars=$27; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=$nargs; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29=(($28)&65535); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=$29 << 16; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=$nvars; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=(($31)&65535); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=$30 | $32; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($argsVars)>>2)]=$33; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=$nupvars; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=(($34)&65535); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($paddingUpvars)>>2)]=$35; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $37=$2; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=_JS_XDRUint32($37, $argsVars); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=(($38)|0)!=0; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($39) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $41=$2; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=_JS_XDRUint32($41, $paddingUpvars); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=(($42)|0)!=0; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($43) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      $1=0; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $46=$2; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=(($46)|0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $49=(($48)|0)==1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($49) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $51=HEAPU32[(($argsVars)>>2)]; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $52=$51 >>> 16; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $53=(($52) & 65535); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nargs=$53; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $54=HEAP32[(($argsVars)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $55=$54 & 65535; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $56=(($55) & 65535); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nvars=$56; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $57=HEAP32[(($paddingUpvars)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $58=$57 & 65535; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=(($58) & 65535); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nupvars=$59; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $61=$cx; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js8BindingsC1EP9JSContext($bindings, $61); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $62=$nargs; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $63=(($62)&65535); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $64=$nvars; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $65=(($64)&65535); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $66=(($63+$65)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $67=$nupvars; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $68=(($67)&65535); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=(($66+$68)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nameCount=$69; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $70=$nameCount; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $71=(($70)>>>0) > 0; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($71) { __label__ = 9; break; } else { __label__ = 68; break; } //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $73=$cx; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $74=(($73+72)|0); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      FUNCTION_TABLE[__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkC1EP11JSArenaPool]($automark, $74); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $75=$nameCount; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $76=(($75+32)|0); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $77=(($76-1)|0); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $78=Math.floor((($77)>>>0)/32); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $bitmapLength=$78; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 10; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $80=$cx; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $81=(($80+72)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $82=(($81+16)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $_a=$83; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $84=$bitmapLength; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $85=((($84<<2))|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $86=$cx; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $87=(($86+72)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $88=(($87+24)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $90=(($85+$89)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $91=$cx; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $92=(($91+72)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $93=(($92+24)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $95=$94 ^ -1; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $96=$90 & $95; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $_nb=$96; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $97=$_a; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $98=(($97+12)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $_p=$99; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $100=$_nb; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $101=$_a; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $102=(($101+8)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $103=HEAPU32[(($102)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $104=(($100)>>>0) > (($103)>>>0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($104) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $106=$_p; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $107=$_a; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $108=(($107+8)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $110=$_nb; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $111=(($109-$110)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $112=(($106)>>>0) > (($111)>>>0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($112) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $114=$cx; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $115=(($114+72)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $116=$_nb; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $117=_JS_ArenaAllocate($115, $116); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $118=$117; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $_p=$118; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 14; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $120=$_p; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $121=$_nb; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $122=(($120+$121)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $123=$_a; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $124=(($123+12)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($124)>>2)]=$122; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 14; break;
    case 14: 
      var $126=$_p; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $127=$126; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $bitmap=$127; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 15; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      __label__ = 16; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 16: 
      __label__ = 17; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      __label__ = 18; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 18: 
      __label__ = 19; break; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 19: 
      var $133=$bitmap; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $134=(($133)|0)!=0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($134) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 20: 
      var $136=$cx; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($136); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=0; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 66; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 21: 
      var $138=$cx; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js15TempAllocPolicyC1EP9JSContext($5, $138); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC1ES3_($names, $5); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $139=$2; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $140=(($139)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $142=(($141)|0)==0; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($142) { __label__ = 22; break; } else { __label__ = 32; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 22: 
      var $144=$script; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $145=(($144+64)|0); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $146=$cx; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $147=__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE($145, $146, $names); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($147) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 23: 
      $1=0; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 65; break; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 24: 
      var $150=$bitmap; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $151=$bitmapLength; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2jsL7PodZeroIjEEvPT_j($150, $151); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i1=0; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 25; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 25: 
      var $153=$i1; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $154=$nameCount; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $155=(($153)>>>0) < (($154)>>>0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($155) { __label__ = 26; break; } else { __label__ = 31; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 26: 
      var $157=$i1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $158=$nargs; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $159=(($158)&65535); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $160=(($157)>>>0) < (($159)>>>0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($160) { __label__ = 27; break; } else { __label__ = 29; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 27: 
      var $162=$i1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $163=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj($names, $162); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $165=(($164)|0)!=0; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($165) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 28: 
      var $167=$i1; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $168=$167 & 31; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $169=1 << $168; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $170=$i1; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $171=$170 >>> 5; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $172=$bitmap; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $173=(($172+($171<<2))|0); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $175=$174 | $169; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($173)>>2)]=$175; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 29; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 29: 
      __label__ = 30; break; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 30: 
      var $178=$i1; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $179=(($178+1)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i1=$179; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 25; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 31: 
      __label__ = 32; break; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 32: 
      $i2=0; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 33; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 33: 
      var $183=$i2; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $184=$bitmapLength; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $185=(($183)>>>0) < (($184)>>>0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($185) { __label__ = 34; break; } else { __label__ = 38; break; } //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 34: 
      var $187=$2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $188=$i2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $189=$bitmap; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $190=(($189+($188<<2))|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $191=_JS_XDRUint32($187, $190); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $192=(($191)|0)!=0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($192) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 35: 
      $1=0; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 65; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 36: 
      __label__ = 37; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 37: 
      var $196=$i2; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $197=(($196+1)|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i2=$197; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 33; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 38: 
      $i3=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 39; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 39: 
      var $200=$i3; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $201=$nameCount; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $202=(($200)>>>0) < (($201)>>>0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($202) { __label__ = 40; break; } else { __label__ = 64; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 40: 
      var $204=$i3; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $205=$nargs; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $206=(($205)&65535); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $207=(($204)>>>0) < (($206)>>>0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($207) { __label__ = 41; break; } else { __label__ = 48; break; } //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 41: 
      var $209=$i3; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $210=$209 >>> 5; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $211=$bitmap; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $212=(($211+($210<<2))|0); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $214=$i3; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $215=$214 & 31; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $216=1 << $215; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $217=$213 & $216; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $218=(($217)|0)!=0; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($218) { __label__ = 48; break; } else { __label__ = 42; break; } //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 42: 
      var $220=$2; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $221=(($220)|0); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $223=(($222)|0)==1; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($223) { __label__ = 43; break; } else { __label__ = 46; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 43: 
      var $225=$cx; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $226=__ZN2js8Bindings16addDestructuringEP9JSContextPt($bindings, $225, $dummy); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($226) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 44: 
      $1=0; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 65; break; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 45: 
      __label__ = 47; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 46: 
      __label__ = 47; break;
    case 47: 
      __label__ = 63; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 48: 
      var $232=$2; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $233=(($232)|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $234=HEAP32[(($233)>>2)]; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $235=(($234)|0)==0; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($235) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 49: 
      var $237=$i3; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $238=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj($names, $237); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $239=HEAP32[(($238)>>2)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($name)>>2)]=$239; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 50; break; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 50: 
      var $241=$2; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $242=_js_XDRAtom($241, $name); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $243=(($242)|0)!=0; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($243) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 51: 
      $1=0; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 65; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 52: 
      var $246=$2; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $247=(($246)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $248=HEAP32[(($247)>>2)]; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $249=(($248)|0)==1; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($249) { __label__ = 53; break; } else { __label__ = 62; break; } //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 53: 
      var $251=$i3; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $252=$nargs; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $253=(($252)&65535); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $254=(($251)>>>0) < (($253)>>>0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($254) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 54: 
      var $280 = 1;__label__ = 59; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 55: 
      var $257=$i3; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $258=$nargs; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $259=(($258)&65535); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $260=$nvars; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $261=(($260)&65535); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $262=(($259+$261)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $263=(($257)>>>0) < (($262)>>>0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($263) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 56: 
      var $265=$i3; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $266=$265 >>> 5; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $267=$bitmap; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $268=(($267+($266<<2))|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $269=HEAP32[(($268)>>2)]; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $270=$i3; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $271=$270 & 31; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $272=1 << $271; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $273=$269 & $272; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $274=(($273)|0)!=0; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $275=$274 ? 3 : 2; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $278 = $275;__label__ = 58; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 57: 
      var $278 = 4;__label__ = 58; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 58: 
      var $278; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $280 = $278;__label__ = 59; break; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 59: 
      var $280; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $kind=$280; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $281=$cx; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $282=HEAP32[(($name)>>2)]; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $283=$kind; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $284=__ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE($bindings, $281, $282, $283); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($284) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 60: 
      $1=0; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 65; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 61: 
      __label__ = 62; break; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 62: 
      __label__ = 63; break; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 63: 
      var $289=$i3; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $290=(($289+1)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i3=$290; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 39; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 64: 
      $4=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 65; break; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 65: 
      __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED1Ev($names); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 66; break;
    case 66: 
      FUNCTION_TABLE[__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkD1Ev]($automark); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 67; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 246; break;
      }
      else {
      __label__ = 247; break;
      }
      
    case 67: 
      __label__ = 68; break; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 68: 
      var $296=$2; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $297=(($296)|0); //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $298=HEAP32[(($297)>>2)]; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $299=(($298)|0)==1; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($299) { __label__ = 69; break; } else { __label__ = 72; break; } //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 69: 
      var $301=$cx; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $302=__ZN2js8Bindings11ensureShapeEP9JSContext($bindings, $301); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($302) { __label__ = 71; break; } else { __label__ = 70; break; } //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 70: 
      $1=0; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 71: 
      __ZN2js8Bindings13makeImmutableEv($bindings); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 72; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 72: 
      var $306=$2; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $307=(($306)|0); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $308=HEAP32[(($307)>>2)]; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $309=(($308)|0)==0; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($309) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 73: 
      var $311=$script; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $312=(($311+8)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $313=HEAP32[(($312)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($length)>>2)]=$313; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 74; break; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 74: 
      var $315=$2; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $316=_JS_XDRUint32($315, $length); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $317=(($316)|0)!=0; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($317) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 75: 
      $1=0; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 76: 
      var $320=$2; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $321=(($320)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $322=HEAP32[(($321)>>2)]; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $323=(($322)|0)==0; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($323) { __label__ = 77; break; } else { __label__ = 100; break; } //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 77: 
      var $325=$script; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $326=(($325+32)|0); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $327=HEAP32[(($326)>>2)]; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($prologLength)>>2)]=$327; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $328=$script; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $329=__ZNK8JSScript10getVersionEv($328); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $330=$script; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $331=(($330+14)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $332=HEAPU16[(($331)>>1)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $333=(($332)&65535); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $334=$333 << 16; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $335=$329 | $334; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($version)>>2)]=$335; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $336=$script; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $337=(($336+28)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $338=HEAP32[(($337)>>2)]; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($lineno)>>2)]=$338; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $339=$script; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $340=(($339+44)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $341=HEAPU16[(($340)>>1)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $342=(($341)&65535); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nslots)>>2)]=$342; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $343=$script; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $344=(($343+46)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $345=HEAPU16[(($344)>>1)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $346=(($345)&65535); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $347=$346 << 16; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $348=$script; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $349=(($348+44)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $350=HEAPU16[(($349)>>1)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $351=(($350)&65535); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $352=$347 | $351; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nslots)>>2)]=$352; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $353=$script; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $354=(($353+40)|0); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $355=HEAP32[(($354)>>2)]; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($natoms)>>2)]=$355; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $356=$script; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $357=__ZN8JSScript5notesEv($356); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $notes=$357; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $358=$script; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $359=__ZN8JSScript8numNotesEv($358); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nsrcnotes)>>2)]=$359; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $360=$script; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $361=(($360+16)|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $362=HEAP8[($361)]; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $363=__ZN8JSScript13isValidOffsetEh($362); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($363) { __label__ = 78; break; } else { __label__ = 79; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 78: 
      var $365=$script; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $366=__ZN8JSScript7objectsEv($365); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $367=(($366+4)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $368=HEAP32[(($367)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nobjects)>>2)]=$368; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 79; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 79: 
      var $370=$script; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $371=(($370+17)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $372=HEAP8[($371)]; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $373=__ZN8JSScript13isValidOffsetEh($372); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($373) { __label__ = 80; break; } else { __label__ = 81; break; } //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 80: 
      __label__ = 81; break; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 81: 
      var $376=$script; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $377=(($376+18)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $378=HEAP8[($377)]; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $379=__ZN8JSScript13isValidOffsetEh($378); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($379) { __label__ = 82; break; } else { __label__ = 83; break; } //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 82: 
      var $381=$script; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $382=__ZN8JSScript7regexpsEv($381); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $383=(($382+4)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $384=HEAP32[(($383)>>2)]; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nregexps)>>2)]=$384; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 83; break; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 83: 
      var $386=$script; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $387=(($386+19)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $388=HEAP8[($387)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $389=__ZN8JSScript13isValidOffsetEh($388); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($389) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 84: 
      var $391=$script; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $392=__ZN8JSScript8trynotesEv($391); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $393=(($392+4)|0); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $394=HEAP32[(($393)>>2)]; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($ntrynotes)>>2)]=$394; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 85; break; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 85: 
      var $396=$script; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $397=(($396+21)|0); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $398=HEAP8[($397)]; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $399=__ZN8JSScript13isValidOffsetEh($398); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($399) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 86: 
      var $401=$script; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $402=__ZN8JSScript6constsEv($401); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $403=(($402+4)|0); //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $404=HEAP32[(($403)>>2)]; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nconsts)>>2)]=$404; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 87; break; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 87: 
      var $406=$script; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $407=(($406+48)|0); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $408=HEAP16[(($407)>>1)]; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nClosedArgs=$408; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $409=$script; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $410=(($409+50)|0); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $411=HEAP16[(($410)>>1)]; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nClosedVars=$411; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $412=$nClosedArgs; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $413=(($412)&65535); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $414=$413 << 16; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $415=$nClosedVars; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $416=(($415)&65535); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $417=$414 | $416; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($encodedClosedCount)>>2)]=$417; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $418=$script; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $419=(($418+22)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $420=HEAPU16[(($419)>>1)]; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $421=(($420)&65535); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($nTypeSets)>>2)]=$421; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $422=$script; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $423=$422; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $424=(($423+36)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $425=HEAP8[($424)]; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $426=$425 & 1; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $427=(($426) & 1); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($427) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 88: 
      var $429=HEAP32[(($scriptBits)>>2)]; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $430=$429 | 1; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($scriptBits)>>2)]=$430; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 89; break; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 89: 
      var $432=$script; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $433=$432; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $434=(($433+36)|0); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $435=HEAPU8[($434)]; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $436=(($435)&255) >>> 1; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $437=$436 & 1; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $438=(($437) & 1); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($438) { __label__ = 90; break; } else { __label__ = 91; break; } //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 90: 
      var $440=HEAP32[(($scriptBits)>>2)]; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $441=$440 | 2; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($scriptBits)>>2)]=$441; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 91; break; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 91: 
      var $443=$script; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $444=$443; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $445=(($444+36)|0); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $446=HEAPU8[($445)]; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $447=(($446)&255) >>> 2; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $448=$447 & 1; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $449=(($448) & 1); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($449) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 92: 
      var $451=HEAP32[(($scriptBits)>>2)]; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $452=$451 | 4; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($scriptBits)>>2)]=$452; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 93; break; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 93: 
      var $454=$script; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $455=$454; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $456=(($455+36)|0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $457=HEAPU8[($456)]; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $458=(($457)&255) >>> 3; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $459=$458 & 1; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $460=(($459) & 1); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($460) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 94: 
      var $462=HEAP32[(($scriptBits)>>2)]; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $463=$462 | 8; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($scriptBits)>>2)]=$463; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 95; break; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 95: 
      var $465=$script; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $466=$465; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $467=(($466+36)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $468=HEAPU8[($467)]; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $469=(($468)&255) >>> 5; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $470=$469 & 1; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $471=(($470) & 1); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($471) { __label__ = 96; break; } else { __label__ = 97; break; } //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 96: 
      var $473=HEAP32[(($scriptBits)>>2)]; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $474=$473 | 16; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($scriptBits)>>2)]=$474; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 97; break; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 97: 
      var $476=$script; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $477=$476; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $478=(($477+36)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $479=HEAPU8[($478)]; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $480=(($479)&255) >>> 6; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $481=$480 & 1; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $482=(($481) & 1); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($482) { __label__ = 98; break; } else { __label__ = 99; break; } //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 98: 
      var $484=HEAP32[(($scriptBits)>>2)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $485=$484 | 32; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($scriptBits)>>2)]=$485; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 99; break; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 99: 
      __label__ = 100; break; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 100: 
      var $488=$2; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $489=_JS_XDRUint32($488, $prologLength); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $490=(($489)|0)!=0; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($490) { __label__ = 102; break; } else { __label__ = 101; break; } //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 101: 
      $1=0; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 102: 
      var $493=$2; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $494=_JS_XDRUint32($493, $version); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $495=(($494)|0)!=0; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($495) { __label__ = 104; break; } else { __label__ = 103; break; } //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 103: 
      $1=0; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 104: 
      var $498=$2; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $499=_JS_XDRUint32($498, $natoms); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $500=(($499)|0)!=0; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($500) { __label__ = 106; break; } else { __label__ = 105; break; } //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 105: 
      $1=0; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 106: 
      var $503=$2; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $504=_JS_XDRUint32($503, $nsrcnotes); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $505=(($504)|0)!=0; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($505) { __label__ = 108; break; } else { __label__ = 107; break; } //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 107: 
      $1=0; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 108: 
      var $508=$2; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $509=_JS_XDRUint32($508, $ntrynotes); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $510=(($509)|0)!=0; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($510) { __label__ = 110; break; } else { __label__ = 109; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 109: 
      $1=0; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 110: 
      var $513=$2; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $514=_JS_XDRUint32($513, $nobjects); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $515=(($514)|0)!=0; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($515) { __label__ = 112; break; } else { __label__ = 111; break; } //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 111: 
      $1=0; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 112: 
      var $518=$2; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $519=_JS_XDRUint32($518, $nregexps); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $520=(($519)|0)!=0; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($520) { __label__ = 114; break; } else { __label__ = 113; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 113: 
      $1=0; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 114: 
      var $523=$2; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $524=_JS_XDRUint32($523, $nconsts); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $525=(($524)|0)!=0; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($525) { __label__ = 116; break; } else { __label__ = 115; break; } //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 115: 
      $1=0; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 116: 
      var $528=$2; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $529=_JS_XDRUint32($528, $encodedClosedCount); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $530=(($529)|0)!=0; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($530) { __label__ = 118; break; } else { __label__ = 117; break; } //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 117: 
      $1=0; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 118: 
      var $533=$2; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $534=_JS_XDRUint32($533, $nTypeSets); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $535=(($534)|0)!=0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($535) { __label__ = 120; break; } else { __label__ = 119; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 119: 
      $1=0; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 120: 
      var $538=$2; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $539=_JS_XDRUint32($538, $scriptBits); //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $540=(($539)|0)!=0; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($540) { __label__ = 122; break; } else { __label__ = 121; break; } //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 121: 
      $1=0; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 122: 
      var $543=$2; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $544=(($543)|0); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $545=HEAP32[(($544)>>2)]; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $546=(($545)|0)==1; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($546) { __label__ = 123; break; } else { __label__ = 138; break; } //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 123: 
      var $548=HEAPU32[(($encodedClosedCount)>>2)]; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $549=$548 >>> 16; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $550=(($549) & 65535); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nClosedArgs=$550; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $551=HEAP32[(($encodedClosedCount)>>2)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $552=$551 & 65535; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $553=(($552) & 65535); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nClosedVars=$553; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $554=HEAP32[(($version)>>2)]; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $555=$554 & 65535; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $version_=$555; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $556=$cx; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $557=HEAP32[(($length)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $558=HEAP32[(($nsrcnotes)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $559=HEAP32[(($natoms)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $560=HEAP32[(($nobjects)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $561=$nupvars; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $562=(($561)&65535); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $563=HEAP32[(($nregexps)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $564=HEAP32[(($ntrynotes)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $565=HEAP32[(($nconsts)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $566=$nClosedArgs; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $567=$nClosedVars; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $568=HEAP32[(($nTypeSets)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $569=$version_; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $570=__ZN8JSScript9NewScriptEP9JSContextjjjjjjjjjttj9JSVersion($556, $557, $558, $559, $560, $562, $563, $564, $565, 0, $566, $567, $568, $569); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $script=$570; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $571=$script; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $572=(($571)|0)!=0; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($572) { __label__ = 125; break; } else { __label__ = 124; break; } //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 124: 
      $1=0; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 125: 
      var $575=$script; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $576=(($575+64)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $577=$cx; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js8Bindings8transferEP9JSContextPS0_($576, $577, $bindings); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $578=HEAP32[(($prologLength)>>2)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $579=$script; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $580=(($579+32)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($580)>>2)]=$578; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $581=HEAPU32[(($version)>>2)]; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $582=$581 >>> 16; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $583=(($582) & 65535); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $584=$script; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $585=(($584+14)|0); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($585)>>1)]=$583; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $586=$script; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $587=__ZN8JSScript5notesEv($586); //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $notes=$587; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $588=$script; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $589=$3; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($589)>>2)]=$588; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $590=HEAP32[(($scriptBits)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $591=$590 & 1; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $592=(($591)|0)!=0; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($592) { __label__ = 126; break; } else { __label__ = 127; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 126: 
      var $594=$script; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $595=$594; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $596=(($595+36)|0); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $597=HEAP8[($596)]; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $598=$597 & -2; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $599=$598 | 1; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($596)]=$599; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 127; break; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 127: 
      var $601=HEAP32[(($scriptBits)>>2)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $602=$601 & 2; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $603=(($602)|0)!=0; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($603) { __label__ = 128; break; } else { __label__ = 129; break; } //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 128: 
      var $605=$script; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $606=$605; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $607=(($606+36)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $608=HEAP8[($607)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $609=$608 & -3; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $610=$609 | 2; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($607)]=$610; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 129; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 129: 
      var $612=HEAP32[(($scriptBits)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $613=$612 & 4; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $614=(($613)|0)!=0; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($614) { __label__ = 130; break; } else { __label__ = 131; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 130: 
      var $616=$script; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $617=$616; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $618=(($617+36)|0); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $619=HEAP8[($618)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $620=$619 & -5; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $621=$620 | 4; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($618)]=$621; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 131; break; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 131: 
      var $623=HEAP32[(($scriptBits)>>2)]; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $624=$623 & 8; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $625=(($624)|0)!=0; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($625) { __label__ = 132; break; } else { __label__ = 133; break; } //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 132: 
      var $627=$script; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $628=$627; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $629=(($628+36)|0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $630=HEAP8[($629)]; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $631=$630 & -9; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $632=$631 | 8; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($629)]=$632; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 133; break; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 133: 
      var $634=HEAP32[(($scriptBits)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $635=$634 & 16; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $636=(($635)|0)!=0; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($636) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 134: 
      var $638=$script; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $639=$638; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $640=(($639+36)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $641=HEAP8[($640)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $642=$641 & -33; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $643=$642 | 32; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($640)]=$643; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 135; break; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 135: 
      var $645=HEAP32[(($scriptBits)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $646=$645 & 32; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $647=(($646)|0)!=0; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($647) { __label__ = 136; break; } else { __label__ = 137; break; } //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 136: 
      var $649=$script; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $650=$649; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $651=(($650+36)|0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $652=HEAP8[($651)]; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $653=$652 & -65; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $654=$653 | 64; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($651)]=$654; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 137; break; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 137: 
      __label__ = 138; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 138: 
      var $657=$2; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $658=(($657+32)|0); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $659=HEAP32[(($658)>>2)]; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $oldscript=$659; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $660=$script; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $661=(($660)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $662=HEAP32[(($661)>>2)]; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $code=$662; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $663=$2; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $664=(($663)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $665=HEAP32[(($664)>>2)]; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $666=(($665)|0)==0; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($666) { __label__ = 139; break; } else { __label__ = 142; break; } //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 139: 
      var $668=$cx; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $669=$script; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $670=_js_UntrapScriptCode($668, $669); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $code=$670; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $671=$code; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $672=(($671)|0)!=0; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($672) { __label__ = 141; break; } else { __label__ = 140; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 140: 
      __label__ = 243; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 141: 
      __label__ = 142; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 142: 
      var $676=$script; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $677=$2; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $678=(($677+32)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($678)>>2)]=$676; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $679=$2; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $680=$code; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $681=HEAP32[(($length)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $682=(($681)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $683=_JS_XDRBytes($679, $680, $682); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $ok=$683; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $684=$code; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $685=$script; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $686=(($685)|0); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $687=HEAP32[(($686)>>2)]; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $688=(($684)|0)!=(($687)|0); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($688) { __label__ = 143; break; } else { __label__ = 144; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 143: 
      var $690=$cx; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $691=$code; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN9JSContext5free_EPv($690, $691); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 144; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 144: 
      var $693=$ok; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $694=(($693)|0)!=0; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($694) { __label__ = 146; break; } else { __label__ = 145; break; } //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 145: 
      __label__ = 243; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 146: 
      var $697=$2; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $698=$notes; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $699=HEAP32[(($nsrcnotes)>>2)]; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $700=(($699)|0); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $701=_JS_XDRBytes($697, $698, $700); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $702=(($701)|0)!=0; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($702) { __label__ = 147; break; } else { __label__ = 149; break; } //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 147: 
      var $704=$2; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $705=_JS_XDRUint32($704, $lineno); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $706=(($705)|0)!=0; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($706) { __label__ = 148; break; } else { __label__ = 149; break; } //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 148: 
      var $708=$2; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $709=_JS_XDRUint32($708, $nslots); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $710=(($709)|0)!=0; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($710) { __label__ = 150; break; } else { __label__ = 149; break; } //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 149: 
      __label__ = 243; break; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 150: 
      var $713=$2; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $714=(($713)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $715=HEAP32[(($714)>>2)]; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $716=(($715)|0)==1; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($716) { __label__ = 151; break; } else { __label__ = 157; break; } //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 151: 
      var $718=$state; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $719=(($718+4)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $720=HEAP32[(($719)>>2)]; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $721=(($720)|0)!=0; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($721) { __label__ = 152; break; } else { __label__ = 157; break; } //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 152: 
      var $723=$state; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $724=(($723+8)|0); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $725=HEAP8[($724)]; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $726=(($725) & 1); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($726) { __label__ = 156; break; } else { __label__ = 153; break; } //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 153: 
      var $728=$state; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $729=(($728+4)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $730=HEAP32[(($729)>>2)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $filename=$730; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $731=$2; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $732=(($731+8)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $733=HEAP32[(($732)>>2)]; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $734=$filename; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $735=__ZL18SaveScriptFilenameP9JSContextPKc($733, $734); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $filename=$735; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $736=$2; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $737=(($736+8)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $738=HEAP32[(($737)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $739=$state; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $740=(($739+4)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $741=HEAP32[(($740)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN9JSContext5free_EPv($738, $741); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $742=$filename; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $743=$state; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $744=(($743+4)|0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($744)>>2)]=$742; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $745=$state; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $746=(($745+8)|0); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($746)]=1; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $747=$filename; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $748=(($747)|0)!=0; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($748) { __label__ = 155; break; } else { __label__ = 154; break; } //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 154: 
      __label__ = 243; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 155: 
      __label__ = 156; break; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 156: 
      var $752=$state; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $753=(($752+4)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $754=HEAP32[(($753)>>2)]; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $755=$script; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $756=(($755+52)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($756)>>2)]=$754; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 157; break; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 157: 
      var $758=$cx; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $759=_JS_GetSecurityCallbacks($758); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $callbacks=$759; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $760=$2; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $761=(($760)|0); //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $762=HEAP32[(($761)>>2)]; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $763=(($762)|0)==0; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($763) { __label__ = 158; break; } else { __label__ = 166; break; } //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 158: 
      var $765=$script; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $766=(($765+76)|0); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $767=HEAP32[(($766)>>2)]; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($principals)>>2)]=$767; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $768=$callbacks; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $769=(($768)|0)!=0; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($769) { __label__ = 159; break; } else { var $776 = 0;__label__ = 160; break; } //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 159: 
      var $771=$callbacks; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $772=(($771+4)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $773=HEAP32[(($772)>>2)]; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $774=(($773)|0)!=0; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $776 = $774;__label__ = 160; break;
    case 160: 
      var $776;
      var $777=(($776)&1);
      HEAP32[(($encodeable)>>2)]=$777;
      var $778=$2; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $779=_JS_XDRUint32($778, $encodeable); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $780=(($779)|0)!=0; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($780) { __label__ = 162; break; } else { __label__ = 161; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 161: 
      __label__ = 243; break; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 162: 
      var $783=HEAP32[(($encodeable)>>2)]; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $784=(($783)|0)!=0; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($784) { __label__ = 163; break; } else { __label__ = 165; break; } //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 163: 
      var $786=$callbacks; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $787=(($786+4)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $788=HEAP32[(($787)>>2)]; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $789=$2; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $790=FUNCTION_TABLE[$788]($789, $principals); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $791=(($790)|0)!=0; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($791) { __label__ = 165; break; } else { __label__ = 164; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 164: 
      __label__ = 243; break; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 165: 
      __label__ = 176; break; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 166: 
      var $795=$2; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $796=_JS_XDRUint32($795, $encodeable); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $797=(($796)|0)!=0; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($797) { __label__ = 168; break; } else { __label__ = 167; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 167: 
      __label__ = 243; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 168: 
      var $800=HEAP32[(($encodeable)>>2)]; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $801=(($800)|0)!=0; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($801) { __label__ = 169; break; } else { __label__ = 175; break; } //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 169: 
      var $803=$callbacks; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $804=(($803)|0)!=0; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($804) { __label__ = 170; break; } else { __label__ = 171; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 170: 
      var $806=$callbacks; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $807=(($806+4)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $808=HEAP32[(($807)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $809=(($808)|0)!=0; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($809) { __label__ = 172; break; } else { __label__ = 171; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 171: 
      var $811=$cx; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      _JS_ReportErrorNumber($811, 2, 0, 167, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 243; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 172: 
      var $813=$callbacks; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $814=(($813+4)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $815=HEAP32[(($814)>>2)]; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $816=$2; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $817=FUNCTION_TABLE[$815]($816, $principals); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $818=(($817)|0)!=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($818) { __label__ = 174; break; } else { __label__ = 173; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 173: 
      __label__ = 243; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 174: 
      var $821=HEAP32[(($principals)>>2)]; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $822=$script; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $823=(($822+76)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($823)>>2)]=$821; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 175; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 175: 
      __label__ = 176; break;
    case 176: 
      var $826=$2; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $827=(($826)|0); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $828=HEAP32[(($827)>>2)]; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $829=(($828)|0)==1; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($829) { __label__ = 177; break; } else { __label__ = 178; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 177: 
      var $831=HEAP32[(($lineno)>>2)]; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $832=$script; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $833=(($832+28)|0); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($833)>>2)]=$831; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $834=HEAP32[(($nslots)>>2)]; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $835=(($834) & 65535); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $836=$script; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $837=(($836+44)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($837)>>1)]=$835; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $838=HEAPU32[(($nslots)>>2)]; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $839=$838 >>> 16; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $840=(($839) & 65535); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $841=$script; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $842=(($841+46)|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($842)>>1)]=$840; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 178; break; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 178: 
      $i=0; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 179; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 179: 
      var $845=$i; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $846=HEAP32[(($natoms)>>2)]; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $847=(($845)|0)!=(($846)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($847) { __label__ = 180; break; } else { __label__ = 184; break; } //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 180: 
      var $849=$2; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $850=$i; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $851=$script; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $852=(($851+56)|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $853=HEAP32[(($852)>>2)]; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $854=(($853+($850<<2))|0); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $855=_js_XDRAtom($849, $854); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $856=(($855)|0)!=0; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($856) { __label__ = 182; break; } else { __label__ = 181; break; } //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 181: 
      __label__ = 243; break; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 182: 
      __label__ = 183; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 183: 
      var $860=$i; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $861=(($860+1)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i=$861; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 179; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 184: 
      $i=0; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 185; break; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 185: 
      var $864=$i; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $865=HEAP32[(($nobjects)>>2)]; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $866=(($864)|0)!=(($865)|0); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($866) { __label__ = 186; break; } else { __label__ = 199; break; } //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 186: 
      var $868=$i; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $869=$script; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $870=__ZN8JSScript7objectsEv($869); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $871=(($870)|0); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $872=HEAP32[(($871)>>2)]; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $873=(($872+($868<<2))|0); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $objp=$873; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $874=$2; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $875=(($874)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $876=HEAP32[(($875)>>2)]; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $877=(($876)|0)==0; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($877) { __label__ = 187; break; } else { __label__ = 188; break; } //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 187: 
      var $879=$objp; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $880=HEAP32[(($879)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $881=__ZNK8JSObject8getClassEv($880); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $clasp=$881; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $882=$clasp; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $883=(($882)|0)==((__ZN2js10BlockClassE)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $884=$883 ? 1 : 0; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($isBlock)>>2)]=$884; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 188; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 188: 
      var $886=$2; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $887=_JS_XDRUint32($886, $isBlock); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $888=(($887)|0)!=0; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($888) { __label__ = 190; break; } else { __label__ = 189; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 189: 
      __label__ = 243; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 190: 
      var $891=HEAP32[(($isBlock)>>2)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $892=(($891)|0)==0; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($892) { __label__ = 191; break; } else { __label__ = 194; break; } //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 191: 
      var $894=$2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $895=$objp; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $896=__Z20js_XDRFunctionObjectP10JSXDRStatePP8JSObject($894, $895); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $897=(($896)|0)!=0; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($897) { __label__ = 193; break; } else { __label__ = 192; break; } //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 192: 
      __label__ = 243; break; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 193: 
      __label__ = 197; break; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 194: 
      var $901=$2; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $902=$objp; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $903=__Z17js_XDRBlockObjectP10JSXDRStatePP8JSObject($901, $902); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $904=(($903)|0)!=0; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($904) { __label__ = 196; break; } else { __label__ = 195; break; } //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 195: 
      __label__ = 243; break; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 196: 
      __label__ = 197; break;
    case 197: 
      __label__ = 198; break; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 198: 
      var $909=$i; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $910=(($909+1)|0); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i=$910; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 185; break; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 199: 
      $i=0; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 200; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 200: 
      var $913=$i; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $914=$nupvars; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $915=(($914)&65535); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $916=(($913)|0)!=(($915)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($916) { __label__ = 201; break; } else { __label__ = 205; break; } //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 201: 
      var $918=$2; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $919=$i; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $920=$script; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $921=__ZN8JSScript6upvarsEv($920); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $922=(($921)|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $923=HEAP32[(($922)>>2)]; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $924=(($923+($919<<2))|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $925=$924; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $926=_JS_XDRUint32($918, $925); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $927=(($926)|0)!=0; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($927) { __label__ = 203; break; } else { __label__ = 202; break; } //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 202: 
      __label__ = 243; break; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 203: 
      __label__ = 204; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 204: 
      var $931=$i; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $932=(($931+1)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i=$932; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 200; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 205: 
      $i=0; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 206; break; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 206: 
      var $935=$i; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $936=HEAP32[(($nregexps)>>2)]; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $937=(($935)|0)!=(($936)|0); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($937) { __label__ = 207; break; } else { __label__ = 211; break; } //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 207: 
      var $939=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $940=$i; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $941=$script; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $942=__ZN8JSScript7regexpsEv($941); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $943=(($942)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $944=HEAP32[(($943)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $945=(($944+($940<<2))|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $946=__Z18js_XDRRegExpObjectP10JSXDRStatePP8JSObject($939, $945); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $947=(($946)|0)!=0; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($947) { __label__ = 209; break; } else { __label__ = 208; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 208: 
      __label__ = 243; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 209: 
      __label__ = 210; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 210: 
      var $951=$i; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $952=(($951+1)|0); //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i=$952; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 206; break; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 211: 
      $i=0; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 212; break; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 212: 
      var $955=$i; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $956=$nClosedArgs; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $957=(($956)&65535); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $958=(($955)|0)!=(($957)|0); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($958) { __label__ = 213; break; } else { __label__ = 217; break; } //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 213: 
      var $960=$2; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $961=$i; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $962=$script; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $963=(($962+88)|0); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $964=HEAP32[(($963)>>2)]; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $965=(($964+($961<<2))|0); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $966=_JS_XDRUint32($960, $965); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $967=(($966)|0)!=0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($967) { __label__ = 215; break; } else { __label__ = 214; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 214: 
      __label__ = 243; break; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 215: 
      __label__ = 216; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 216: 
      var $971=$i; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $972=(($971+1)|0); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i=$972; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 212; break; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 217: 
      $i=0; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 218; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 218: 
      var $975=$i; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $976=$nClosedVars; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $977=(($976)&65535); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $978=(($975)|0)!=(($977)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($978) { __label__ = 219; break; } else { __label__ = 223; break; } //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 219: 
      var $980=$2; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $981=$nClosedArgs; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $982=(($981)&65535); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $983=$i; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $984=(($982+$983)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $985=$script; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $986=(($985+88)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $987=HEAP32[(($986)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $988=(($987+($984<<2))|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $989=_JS_XDRUint32($980, $988); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $990=(($989)|0)!=0; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($990) { __label__ = 221; break; } else { __label__ = 220; break; } //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 220: 
      __label__ = 243; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 221: 
      __label__ = 222; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 222: 
      var $994=$i; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $995=(($994+1)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i=$995; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 218; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 223: 
      var $997=HEAP32[(($ntrynotes)>>2)]; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $998=(($997)|0)!=0; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($998) { __label__ = 224; break; } else { __label__ = 236; break; } //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 224: 
      var $1000=$script; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1001=__ZN8JSScript8trynotesEv($1000); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1002=(($1001)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1003=HEAP32[(($1002)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $tnfirst=$1003; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1004=$tnfirst; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1005=HEAP32[(($ntrynotes)>>2)]; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1006=(($1004+$1005*12)|0); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $tn=$1006; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 225; break; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 225: 
      var $1008=$tn; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1009=(($1008-12)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $tn=$1009; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1010=$2; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1011=(($1010)|0); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1012=HEAP32[(($1011)>>2)]; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1013=(($1012)|0)==0; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1013) { __label__ = 226; break; } else { __label__ = 227; break; } //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 226: 
      var $1015=$tn; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1016=(($1015)|0); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1017=HEAPU8[($1016)]; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1018=(($1017)&255); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1019=$1018 << 16; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1020=$tn; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1021=(($1020+2)|0); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1022=HEAPU16[(($1021)>>1)]; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1023=(($1022)&65535); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1024=$1019 | $1023; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($kindAndDepth)>>2)]=$1024; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 227; break; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 227: 
      var $1026=$2; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1027=_JS_XDRUint32($1026, $kindAndDepth); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1028=(($1027)|0)!=0; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1028) { __label__ = 228; break; } else { __label__ = 230; break; } //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 228: 
      var $1030=$2; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1031=$tn; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1032=(($1031+4)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1033=_JS_XDRUint32($1030, $1032); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1034=(($1033)|0)!=0; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1034) { __label__ = 229; break; } else { __label__ = 230; break; } //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 229: 
      var $1036=$2; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1037=$tn; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1038=(($1037+8)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1039=_JS_XDRUint32($1036, $1038); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1040=(($1039)|0)!=0; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1040) { __label__ = 231; break; } else { __label__ = 230; break; } //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 230: 
      __label__ = 243; break; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 231: 
      var $1043=$2; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1044=(($1043)|0); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1045=HEAP32[(($1044)>>2)]; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1046=(($1045)|0)==1; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1046) { __label__ = 232; break; } else { __label__ = 233; break; } //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 232: 
      var $1048=HEAPU32[(($kindAndDepth)>>2)]; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1049=$1048 >>> 16; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1050=(($1049) & 255); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1051=$tn; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1052=(($1051)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($1052)]=$1050; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1053=HEAP32[(($kindAndDepth)>>2)]; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1054=(($1053) & 65535); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1055=$tn; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1056=(($1055+2)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($1056)>>1)]=$1054; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 233; break; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 233: 
      __label__ = 234; break; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 234: 
      var $1059=$tn; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1060=$tnfirst; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1061=(($1059)|0)!=(($1060)|0); //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1061) { __label__ = 225; break; } else { __label__ = 235; break; } //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 235: 
      __label__ = 236; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 236: 
      $i=0; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 237; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 237: 
      var $1065=$i; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1066=HEAP32[(($nconsts)>>2)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1067=(($1065)|0)!=(($1066)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1067) { __label__ = 238; break; } else { __label__ = 242; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 238: 
      var $1069=$2; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1070=$i; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1071=$script; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1072=__ZN8JSScript6constsEv($1071); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1073=(($1072)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1074=HEAP32[(($1073)>>2)]; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1075=(($1074+($1070<<3))|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1076=_JS_XDRValue($1069, $1075); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1077=(($1076)|0)!=0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1077) { __label__ = 240; break; } else { __label__ = 239; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 239: 
      __label__ = 243; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 240: 
      __label__ = 241; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 241: 
      var $1081=$i; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1082=(($1081+1)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $i=$1082; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 237; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 242: 
      var $1084=$oldscript; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1085=$2; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1086=(($1085+32)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($1086)>>2)]=$1084; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=1; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 243: 
      var $1088=$2; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1089=(($1088)|0); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1090=HEAP32[(($1089)>>2)]; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1091=(($1090)|0)==1; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($1091) { __label__ = 244; break; } else { __label__ = 245; break; } //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 244: 
      var $1093=$3; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($1093)>>2)]=0; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 245; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 245: 
      var $1095=$oldscript; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1096=$2; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $1097=(($1096+32)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($1097)>>2)]=$1095; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=0; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 246; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 246: 
      var $1099=$1; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return $1099; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 247: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_XDRScriptP10JSXDRStatePP8JSScript["X"]=1;

function __Z21js_MarkScriptFilenamePKc($filename) {
  ;
  var __label__;

  var $1;
  var $sfe;
  $1=$filename;
  var $2=$1; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $3=(($2-1)|0); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $4=$3; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  $sfe=$4; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $5=$sfe; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $6=(($5)|0); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  HEAP8[($6)]=1; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN2jsL7PodZeroIjEEvPT_j($t, $nelem) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$t;
  $2=$nelem;
  var $3=$1; //@line 667 "./jsutil.h"
  var $4=$3; //@line 667 "./jsutil.h"
  var $5=$2; //@line 667 "./jsutil.h"
  var $6=((($5<<2))|0); //@line 667 "./jsutil.h"
  _memset($4, 0, $6, 1); //@line 667 "./jsutil.h"
  ;
  return; //@line 668 "./jsutil.h"
}


function __ZN8JSScript8numNotesEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $sn;
      var $notes_;
      $1=$this;
      var $2=$1;
      var $3=__ZN8JSScript5notesEv($2); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $notes_=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=$notes_; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$4; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $6=$sn; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=HEAPU8[($6)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=(($7)&255); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($8)|0)==0; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=$9 ^ 1; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      __label__ = 4; break; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $13=$sn; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=$sn; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=HEAPU8[($14)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=(($15)&255); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$16 >> 3; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17)|0) >= 24; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $26 = 24;__label__ = 7; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $21=$sn; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=HEAPU8[($21)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($22)&255); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=$23 >> 3; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26 = $24;__label__ = 7; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $26; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=((_js_SrcNoteSpec+($26<<3))|0); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($27+4)|0); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29=HEAP8[($28)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=(($29 << 24) >> 24); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=(($30)|0)==0; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $37 = 1;__label__ = 10; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $34=$sn; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=_js_SrcNoteLength($34); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37 = $35;__label__ = 10; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $37; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=(($13+$37)|0); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$38; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $40=$sn; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=$notes_; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=$40; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=$41; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $44=(($42-$43)|0); //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=(($44+1)|0); //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $45; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSScript8numNotesEv["X"]=1;

function __ZN8JSScript9NewScriptEP9JSContextjjjjjjjjjttj9JSVersion($cx, $length, $nsrcnotes, $natoms, $nobjects, $nupvars, $nregexps, $ntrynotes, $nconsts, $nglobals, $nClosedArgs, $nClosedVars, $nTypeSets, $version) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11;
      var $12;
      var $13;
      var $14;
      var $15;
      var $size;
      var $totalClosed;
      var $data;
      var $script;
      var $cursor;
      var $vectorSize;
      $2=$cx;
      $3=$length;
      $4=$nsrcnotes;
      $5=$natoms;
      $6=$nobjects;
      $7=$nupvars;
      $8=$nregexps;
      $9=$ntrynotes;
      $10=$nconsts;
      $11=$nglobals;
      $12=$nClosedArgs;
      $13=$nClosedVars;
      $14=$nTypeSets;
      $15=$version;
      var $16=$5; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=((($16<<2))|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$17; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=$6; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=(($18)|0)!=0; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $21=$6; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=((($21<<2))|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($22+8)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=$size; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=(($24+$23)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$25; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $27=$7; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($27)|0)!=0; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $30=$7; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=((($30<<2))|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=(($31+8)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=$size; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=(($33+$32)|0); //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$34; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 5; break; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $36=$8; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=(($36)|0)!=0; //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $39=$8; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=((($39<<2))|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=(($40+8)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=$size; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=(($42+$41)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$43; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 7; break; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $45=$9; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $46=(($45)|0)!=0; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $48=$9; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $49=(($48*12)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $50=(($49+8)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $51=$size; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $52=(($51+$50)|0); //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$52; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $54=$11; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $55=(($54)|0)!=0; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($55) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $57=$11; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $58=((($57<<3))|0); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=(($58+8)|0); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $60=$size; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $61=(($60+$59)|0); //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$61; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 11; break; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $63=$12; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $64=(($63)&65535); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $65=$13; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $66=(($65)&65535); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $67=(($64+$66)|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $totalClosed=$67; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $68=$totalClosed; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=(($68)|0)!=0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($69) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $71=$totalClosed; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $72=((($71<<2))|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $73=$size; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $74=(($73+$72)|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$74; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 13; break; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $76=$10; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $77=(($76)|0)!=0; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($77) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 14: 
      var $79=$10; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $80=((($79<<3))|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $81=(($80+8)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $82=$size; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $83=(($82+$81)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$83; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 15; break; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      var $85=$3; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $86=(($85)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $87=$4; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $88=(($87)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $89=(($86+$88)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $90=$size; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $91=(($90+$89)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$91; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $data=0; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $92=$2; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $93=$size; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $94=(($93+8)|0); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $95=(($94-1)|0); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $96=Math.floor((($95)>>>0)/8); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $97=((($96<<3))|0); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $98=__ZN9JSContext7calloc_Ej($92, $97); //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $data=$98; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $99=$data; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $100=(($99)|0)!=0; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($100) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 16: 
      $1=0; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 58; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      var $103=$2; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $104=__Z14js_NewGCScriptP9JSContext($103); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $script=$104; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $105=$script; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $106=(($105)|0)!=0; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($106) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 18: 
      var $108=$data; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js10Foreground5free_EPv($108); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=0; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 58; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 19: 
      var $110=$script; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2jsL7PodZeroI8JSScriptEEvPT_($110); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $111=$data; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $112=$script; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $113=(($112+4)|0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($113)>>2)]=$111; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $114=$3; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $115=$script; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $116=(($115+8)|0); //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($116)>>2)]=$114; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $117=$15; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $118=(($117) & 65535); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $119=$script; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $120=(($119+12)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($120)>>1)]=$118; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $121=$script; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $122=(($121+64)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $123=$122; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $124=(($123)|0)==0; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($124) { var $129 = 0;__label__ = 21; break; } else { __label__ = 20; break; } //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 20: 
      var $126=$123; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $127=$2; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js8BindingsC1EP9JSContext($126, $127); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $129 = $126;__label__ = 21; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 21: 
      var $129; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $130=$2; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $131=__ZNK9JSContext12hasRunOptionEj($130, 131072); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($131) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 22: 
      var $133=$script; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $134=(($133+92)|0); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $135=$2; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $136=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $137=__ZN12JSPCCounters4initEP9JSContextj($134, $135, $136); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 23; break; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 23: 
      var $139=$data; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$139; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $140=$6; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $141=(($140)|0)!=0; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($141) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 24: 
      var $143=$cursor; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $144=$data; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $145=$143; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $146=$144; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $147=(($145-$146)|0); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $148=(($147) & 255); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $149=$script; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $150=(($149+16)|0); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($150)]=$148; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $151=$cursor; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $152=(($151+8)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$152; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 26; break; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 25: 
      var $154=$script; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $155=(($154+16)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($155)]=-1; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 26; break;
    case 26: 
      var $157=$7; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $158=(($157)|0)!=0; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($158) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 27: 
      var $160=$cursor; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $161=$data; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $162=$160; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $163=$161; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $164=(($162-$163)|0); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $165=(($164) & 255); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $166=$script; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $167=(($166+17)|0); //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($167)]=$165; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $168=$cursor; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $169=(($168+8)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$169; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 29; break; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 28: 
      var $171=$script; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $172=(($171+17)|0); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($172)]=-1; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 29; break;
    case 29: 
      var $174=$8; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $175=(($174)|0)!=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($175) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 30: 
      var $177=$cursor; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $178=$data; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $179=$177; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $180=$178; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $181=(($179-$180)|0); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $182=(($181) & 255); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $183=$script; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $184=(($183+18)|0); //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($184)]=$182; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $185=$cursor; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $186=(($185+8)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$186; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 32; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 31: 
      var $188=$script; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $189=(($188+18)|0); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($189)]=-1; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 32; break;
    case 32: 
      var $191=$9; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $192=(($191)|0)!=0; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($192) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 33: 
      var $194=$cursor; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $195=$data; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $196=$194; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $197=$195; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $198=(($196-$197)|0); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $199=(($198) & 255); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $200=$script; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $201=(($200+19)|0); //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($201)]=$199; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $202=$cursor; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $203=(($202+8)|0); //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$203; //@line 1015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 35; break; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 34: 
      var $205=$script; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $206=(($205+19)|0); //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($206)]=-1; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 35; break;
    case 35: 
      var $208=$11; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $209=(($208)|0)!=0; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($209) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 36: 
      var $211=$cursor; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $212=$data; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $213=$211; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $214=$212; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $215=(($213-$214)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $216=(($215) & 255); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $217=$script; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $218=(($217+20)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($218)]=$216; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $219=$cursor; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $220=(($219+8)|0); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$220; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 38; break; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 37: 
      var $222=$script; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $223=(($222+20)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($223)]=-1; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 38; break;
    case 38: 
      var $225=$10; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $226=(($225)|0)!=0; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($226) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 39: 
      var $228=$cursor; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $229=$data; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $230=$228; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $231=$229; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $232=(($230-$231)|0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $233=(($232) & 255); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $234=$script; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $235=(($234+21)|0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($235)]=$233; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $236=$cursor; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $237=(($236+8)|0); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$237; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 41; break; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 40: 
      var $239=$script; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $240=(($239+21)|0); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($240)]=-1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 41; break;
    case 41: 
      var $242=$10; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $243=(($242)|0)!=0; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($243) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 42: 
      var $245=$10; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $246=$script; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $247=__ZN8JSScript6constsEv($246); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $248=(($247+4)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($248)>>2)]=$245; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $249=$cursor; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $250=$249; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $251=$script; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $252=__ZN8JSScript6constsEv($251); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $253=(($252)|0); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($253)>>2)]=$250; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $254=$10; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $255=((($254<<3))|0); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $256=$cursor; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $257=(($256+$255)|0); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$257; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 43; break; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 43: 
      var $259=$5; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $260=(($259)|0)!=0; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($260) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 44: 
      var $262=$5; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $263=$script; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $264=(($263+40)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($264)>>2)]=$262; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $265=$cursor; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $266=$265; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $267=$script; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $268=(($267+56)|0); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($268)>>2)]=$266; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $269=$5; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $270=((($269<<2))|0); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $271=$cursor; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $272=(($271+$270)|0); //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$272; //@line 1050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 45; break; //@line 1051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 45: 
      var $274=$6; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $275=(($274)|0)!=0; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($275) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 46: 
      var $277=$6; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $278=$script; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $279=__ZN8JSScript7objectsEv($278); //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $280=(($279+4)|0); //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($280)>>2)]=$277; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $281=$cursor; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $282=$281; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $283=$script; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $284=__ZN8JSScript7objectsEv($283); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $285=(($284)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($285)>>2)]=$282; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $286=$6; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $287=((($286<<2))|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $288=$cursor; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $289=(($288+$287)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$289; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 47; break; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 47: 
      var $291=$8; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $292=(($291)|0)!=0; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($292) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 48: 
      var $294=$8; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $295=$script; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $296=__ZN8JSScript7regexpsEv($295); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $297=(($296+4)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($297)>>2)]=$294; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $298=$cursor; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $299=$298; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $300=$script; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $301=__ZN8JSScript7regexpsEv($300); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $302=(($301)|0); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($302)>>2)]=$299; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $303=$8; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $304=((($303<<2))|0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $305=$cursor; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $306=(($305+$304)|0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$306; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 49; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 49: 
      var $308=$9; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $309=(($308)|0)!=0; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($309) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 50: 
      var $311=$9; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $312=$script; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $313=__ZN8JSScript8trynotesEv($312); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $314=(($313+4)|0); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($314)>>2)]=$311; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $315=$cursor; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $316=$315; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $317=$script; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $318=__ZN8JSScript8trynotesEv($317); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $319=(($318)|0); //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($319)>>2)]=$316; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $320=$9; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $321=(($320*12)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $vectorSize=$321; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $322=$vectorSize; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $323=$cursor; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $324=(($323+$322)|0); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$324; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 51; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 51: 
      var $326=$11; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $327=(($326)|0)!=0; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($327) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 52: 
      var $329=$11; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $330=$script; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $331=__ZN8JSScript7globalsEv($330); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $332=(($331+4)|0); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($332)>>2)]=$329; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $333=$cursor; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $334=$333; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $335=$script; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $336=__ZN8JSScript7globalsEv($335); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $337=(($336)|0); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($337)>>2)]=$334; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $338=$11; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $339=((($338<<3))|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $340=$cursor; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $341=(($340+$339)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$341; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 53; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 53: 
      var $343=$totalClosed; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $344=(($343)|0)!=0; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($344) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 54: 
      var $346=$12; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $347=$script; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $348=(($347+48)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($348)>>1)]=$346; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $349=$13; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $350=$script; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $351=(($350+50)|0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($351)>>1)]=$349; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $352=$cursor; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $353=$352; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $354=$script; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $355=(($354+88)|0); //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($355)>>2)]=$353; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $356=$totalClosed; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $357=((($356<<2))|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $358=$cursor; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $359=(($358+$357)|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$359; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 55; break; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 55: 
      var $361=$14; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $362=(($361) & 65535); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $363=$script; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $364=(($363+22)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($364)>>1)]=$362; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $365=$7; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $366=(($365)|0)!=0; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($366) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 56: 
      var $368=$7; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $369=$script; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $370=__ZN8JSScript6upvarsEv($369); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $371=(($370+4)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($371)>>2)]=$368; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $372=$cursor; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $373=$372; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $374=$script; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $375=__ZN8JSScript6upvarsEv($374); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $376=(($375)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($376)>>2)]=$373; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $377=$7; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $378=((($377<<2))|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $379=$cursor; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $380=(($379+$378)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cursor=$380; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 57; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 57: 
      var $382=$cursor; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $383=$script; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $384=(($383)|0); //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($384)>>2)]=$382; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $385=$script; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$385; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 58; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 58: 
      var $387=$1; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $387; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSScript9NewScriptEP9JSContextjjjjjjjjjttj9JSVersion["X"]=1;

function __ZL18SaveScriptFilenameP9JSContextPKc($cx, $filename) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $comp;
      var $p=__stackBase__+4;
      var $4=__stackBase__+12;
      var $size;
      var $entry=__stackBase__+20;
      $2=$cx;
      HEAP32[(($3)>>2)]=$filename;
      var $5=$2; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=(($5+56)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $comp=$7; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=$comp; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($8+1864)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZNK2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE12lookupForAddERKPKc($p, $9, $3); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=$p; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrcvMSB_FvvEEv($4, $10); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11={ f0: HEAP32[(($4)>>2)], f1: HEAP32[(($4+4)>>2)] }; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=$11.f0; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=(($12)|0)!=0; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($13) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $15=HEAP32[(($3)>>2)]; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=_strlen($15); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=(($16+1)|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17+1)|0); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $size=$18; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=$size; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=__ZN9JSContext7malloc_Ej($19, $20); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=$21; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($entry)>>2)]=$22; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=HEAP32[(($entry)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=(($23)|0)!=0; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      $1=0; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $27=HEAP32[(($entry)>>2)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($27)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($28)]=0; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29=HEAP32[(($entry)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=(($29+1)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=(($30)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=HEAP32[(($3)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=_strcpy($31, $32); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=$comp; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=(($34+1864)|0); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS5_6SetOpsES4_E6AddPtrERS8_($35, $p, $entry); //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $38=HEAP32[(($entry)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=$38; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js10Foreground5free_EPv($39); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=$2; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      _JS_ReportOutOfMemory($40); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=0; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      __label__ = 7; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $43=$p; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $44=__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrdeEv($43); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $46=(($45+1)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=(($46)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$47; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $49=$1; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18SaveScriptFilenameP9JSContextPKc["X"]=1;

function __ZN12JSPCCounters4initEP9JSContextj($this, $cx, $numBytecodes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nbytes;
      $2=$this;
      $3=$cx;
      $4=$numBytecodes;
      var $5=$2;
      var $6=$4; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($5)|0); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($7)>>2)]=$6; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=$4; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=((($8<<3))|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=(($9*6)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nbytes=$10; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=$3; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=$nbytes; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=__ZN9JSContext7calloc_Ej($11, $12); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=$13; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($5+4)|0); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=(($5+4)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17)|0)!=0; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      $1=1; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $22=$1; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $22; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN12JSPCCounters7destroyEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3+4)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=(($5)|0)!=0; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $8=$2; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($3+4)|0); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=$10; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN9JSContext5free_EPv($8, $11); //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($3+4)|0); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($12)>>2)]=0; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      ;
      return; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12script_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $script;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=$4; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $script=$5; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=$script; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6)|0)!=0; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $9=$script; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js16CheckScriptOwnerEP8JSScriptP8JSObject($9, $10); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=$1; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=$script; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js2gc10MarkScriptEP8JSTracerP8JSScriptPKc($11, $12, ((STRING_TABLE.__str33670)|0)); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      ;
      return; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z23js_SweepScriptFilenamesP13JSCompartment($comp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $table;
      var $e=__stackBase__;
      var $2;
      var $entry;
      $1=$comp;
      var $3=$1; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=(($3+1864)|0); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $table=$4; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=$table; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumC1IS8_EERT_($e, $5); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $7=$e; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range5emptyEv($7); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=$8 ^ 1; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      $2=2;
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumD1Ev($e); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 11; break;
    case 4: 
      var $12=$e; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range5frontEv($12); //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $entry=$14; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=$entry; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=(($15)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=HEAP8[($16)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17) & 1); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $20=$entry; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=(($20)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($21)]=0; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $23=$1; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=(($23)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25+136)|0); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($27)|0)!=0; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $30=$entry; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=$30; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js10Foreground5free_EPv($31); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4Enum11removeFrontEv($e); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $35=$e; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range8popFrontEv($35); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z23js_SweepScriptFilenamesP13JSCompartment["X"]=1;

function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumC1IS8_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumC2IS8_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeERNS0_14HashTableEntryIS4_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+8)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __Z14js_NewGCScriptP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 401 "./jsgcinlines.h"
  var $3=__Z10NewGCThingI8JSScriptEPT_P9JSContextN2js2gc9AllocKindEj($2, 13, 104); //@line 401 "./jsgcinlines.h"
  ;
  return $3; //@line 401 "./jsgcinlines.h"
}


function __ZN2jsL7PodZeroI8JSScriptEEvPT_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  _memset($3, 0, 104, 1); //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN8JSScript15NewScriptFromCGEP9JSContextP15JSCodeGenerator($cx, $cg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $mainLength;
      var $prologLength;
      var $nsrcnotes;
      var $nfixed;
      var $script;
      var $filename;
      var $fun;
      var $diff_;
      var $sn_;
      var $nClosedArgs;
      var $nClosedVars;
      var $upvarIndexCount;
      var $fp;
      var $singleton;
      $2=$cx;
      $3=$cg;
      var $4=$3; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=(($4+172)|0); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6+8)|0); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=$3; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=(($9+172)|0); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($11)|0); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=$8; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=$13; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=(($14-$15)|0); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $mainLength=$16; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$3; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17+108)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=(($18+8)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=$3; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=(($21+108)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($22)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=$20; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=$24; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=(($25-$26)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $prologLength=$27; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=$3; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29=$28; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=(($29+92)|0); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=$2; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=__ZN2js8Bindings11ensureShapeEP9JSContext($30, $31); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($32) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 96; break; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      __label__ = 4; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $36=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=(($36+108)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=(($37+8)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=(($40+108)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=(($41)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $44=$39; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=$43; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $46=(($44-$45)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $48=(($47+108)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $49=(($48+24)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $51=(($46-$50)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $diff_=$51; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $52=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $53=(($52+108)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $54=(($53+16)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $56=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $57=(($56+140)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $58=(($57+16)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $60=(($55+$59)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $61=(($60+1)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nsrcnotes=$61; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $62=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $63=(($62+108)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $64=(($63+16)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $66=(($65)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($66) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $68=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=(($68+108)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $70=(($69+28)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $72=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $73=(($72+188)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $75=(($71)|0)!=(($74)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($75) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $77=$diff_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $78=(($77)|0) > 7; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($78) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $80=$diff_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $81=(($80-7)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $82=(($81+63)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $83=(($82-1)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $84=(((($83)|0)/63)&-1); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $85=$nsrcnotes; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $86=(($85+$84)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nsrcnotes=$86; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $88=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $89=(($88+188)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $90=HEAPU32[(($89)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $91=(($90)>>>0) > 127; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $92=(($91)&1); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $93=$92 << 1; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $94=(($93+2)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $95=$nsrcnotes; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $96=(($95+$94)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nsrcnotes=$96; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 19; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $98=$diff_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $99=(($98)|0) > 0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($99) { __label__ = 10; break; } else { __label__ = 18; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $101=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $102=(($101+140)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $103=(($102+16)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $105=(($104)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($105) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $107=$3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $108=(($107+140)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $109=(($108+12)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn_=$110; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $111=$sn_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $112=HEAPU8[($111)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $113=(($112)&255); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $114=$113 >> 3; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $115=(($114)|0) >= 24; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($115) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $117=$sn_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $118=HEAPU8[($117)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $119=(($118)&255); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $120=$119 & 63; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $121=((63-$120)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $129 = $121;__label__ = 14; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $123=$sn_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $124=HEAPU8[($123)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $125=(($124)&255); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $126=$125 & 7; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $127=((7-$126)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $129 = $127;__label__ = 14; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 14: 
      var $129; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $130=$diff_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $131=(($130-$129)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $diff_=$131; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 15; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      var $133=$diff_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $134=(($133)|0) > 0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($134) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 16: 
      var $136=$diff_; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $137=(($136+63)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $138=(($137-1)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $139=(((($138)|0)/63)&-1); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $140=$nsrcnotes; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $141=(($140+$139)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nsrcnotes=$141; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 17; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      __label__ = 18; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 20: 
      var $146=$3; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $147=(($146+516)|0); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $148=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv($147); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $149=(($148) & 65535); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nClosedArgs=$149; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $150=$3; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $151=(($150+564)|0); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $152=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv($151); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $153=(($152) & 65535); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nClosedVars=$153; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $154=$3; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $155=(($154+308)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $156=$155; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $157=__ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE6hasMapEv($156); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($157) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 21: 
      var $159=$3; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $160=(($159+308)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $161=$160; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $162=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($161); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $163=__ZN2js9InlineMapIP6JSAtomjLj24EE5countEv($162); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $166 = $163;__label__ = 23; break; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 22: 
      var $166 = 0;__label__ = 23; break; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 23: 
      var $166; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $upvarIndexCount=$166; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $167=$2; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $168=$prologLength; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $169=$mainLength; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $170=(($168+$169)|0); //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $171=$nsrcnotes; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $172=$3; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $173=(($172+176)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $174=$173; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $175=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($174); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $176=__ZN2js9InlineMapIP6JSAtomjLj24EE5countEv($175); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $177=$3; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $178=(($177+292)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $179=(($178)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $181=$upvarIndexCount; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $182=$3; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $183=(($182+300)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $184=(($183)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $186=$3; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $187=(($186+200)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $188=HEAP32[(($187)>>2)]; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $189=$3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $190=(($189+268)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $191=__ZNK13JSGCConstList6lengthEv($190); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $192=$3; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $193=(($192+364)|0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $194=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6lengthEv($193); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $195=$nClosedArgs; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $196=$nClosedVars; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $197=$3; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $198=(($197+614)|0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $199=HEAPU16[(($198)>>1)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $200=(($199)&65535); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $201=$3; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $202=__ZNK15JSCodeGenerator7versionEv($201); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $203=__ZN8JSScript9NewScriptEP9JSContextjjjjjjjjjttj9JSVersion($167, $170, $171, $176, $180, $181, $185, $188, $191, $194, $195, $196, $200, $202); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $script=$203; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $204=$script; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $205=(($204)|0)!=0; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($205) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 24: 
      $1=0; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 96; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 25: 
      var $208=$3; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $209=$208; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $210=(($209+92)|0); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js8Bindings13makeImmutableEv($210); //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $211=$prologLength; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $212=$script; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $213=(($212+32)|0); //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($213)>>2)]=$211; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $214=$script; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $215=(($214)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $216=HEAP32[(($215)>>2)]; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $217=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $218=(($217+108)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $219=(($218)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $221=$prologLength; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $222=(($221)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      assert($222 % 1 === 0, 'memcpy given ' + $222 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($216, $220, $222, 1); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $223=$script; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $224=__ZN8JSScript4mainEv($223); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $225=$3; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $226=(($225+172)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $228=(($227)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $229=HEAP32[(($228)>>2)]; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $230=$mainLength; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $231=(($230)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      assert($231 % 1 === 0, 'memcpy given ' + $231 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($224, $229, $231, 1); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $232=$3; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $233=$232; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $234=__ZNK13JSTreeContext10inFunctionEv($233); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($234) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 26: 
      var $236=$3; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $237=$236; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $238=(($237+92)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $239=__ZNK2js8Bindings9countVarsEv($238); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $240=(($239)&65535); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $245 = $240;__label__ = 28; break; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 27: 
      var $242=$3; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $243=__ZNK15JSCodeGenerator10sharpSlotsEv($242); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $245 = $243;__label__ = 28; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 28: 
      var $245; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nfixed=$245; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $246=$nfixed; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $247=(($246) & 65535); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $248=$script; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $249=(($248+14)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($249)>>1)]=$247; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $250=$2; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $251=$3; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $252=(($251+176)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $253=$252; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $254=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE6getMapEv($253); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $255=$script; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $256=(($255+56)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $257=HEAP32[(($256)>>2)]; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __Z14js_InitAtomMapP9JSContextPN2js9InlineMapIP6JSAtomjLj24EEEPS4_($250, $254, $257); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $258=$3; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $259=$258; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $260=(($259+48)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $262=(($261+40)|0); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $263=__ZNK2js11TokenStream11getFilenameEv($262); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $filename=$263; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $264=$filename; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $265=(($264)|0)!=0; //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($265) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 1160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 29: 
      var $267=$2; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $268=$filename; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $269=__ZL18SaveScriptFilenameP9JSContextPKc($267, $268); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $270=$script; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $271=(($270+52)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($271)>>2)]=$269; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $272=$script; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $273=(($272+52)|0); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $275=(($274)|0)!=0; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($275) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 30: 
      $1=0; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 96; break; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 31: 
      __label__ = 32; break; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 32: 
      var $279=$3; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $280=(($279+188)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $281=HEAP32[(($280)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $282=$script; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $283=(($282+28)|0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($283)>>2)]=$281; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $284=$script; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $285=(($284+14)|0); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $286=HEAPU16[(($285)>>1)]; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $287=(($286)&65535); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $288=$3; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $289=(($288+196)|0); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $290=HEAP32[(($289)>>2)]; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $291=(($287+$290)|0); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $292=(($291)>>>0) >= 65536; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($292) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 33: 
      var $294=$2; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $295=$3; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $296=$295; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $297=(($296+48)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $298=HEAP32[(($297)>>2)]; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $299=(($298+40)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $300=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($294, $299, 0, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str33670)|0),tempInt)); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=0; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 96; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 34: 
      var $302=$script; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $303=(($302+14)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $304=HEAPU16[(($303)>>1)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $305=(($304)&65535); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $306=$3; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $307=(($306+196)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $308=HEAP32[(($307)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $309=(($305+$308)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $310=(($309) & 65535); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $311=$script; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $312=(($311+44)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($312)>>1)]=$310; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $313=$3; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $314=$313; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $315=(($314+76)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $316=HEAP32[(($315)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $317=(($316) & 65535); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $318=$script; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $319=(($318+46)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($319)>>1)]=$317; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $320=$3; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $321=$320; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $322=(($321+48)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $323=HEAP32[(($322)>>2)]; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $324=(($323+956)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $325=HEAP32[(($324)>>2)]; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $326=$script; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $327=(($326+76)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($327)>>2)]=$325; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $328=$script; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $329=(($328+76)|0); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $330=HEAP32[(($329)>>2)]; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $331=(($330)|0)!=0; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($331) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 35: 
      var $333=$script; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $334=(($333+76)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $335=HEAP32[(($334)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $336=(($335+12)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $337=HEAP32[(($336)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $338=(($337+1)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($336)>>2)]=$338; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 36; break; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 36: 
      var $340=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $341=$340; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $342=(($341+48)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $343=HEAP32[(($342)>>2)]; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $344=(($343+40)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $345=__ZN2js11TokenStream16releaseSourceMapEv($344); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $346=$script; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $347=(($346+80)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($347)>>2)]=$345; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $348=$2; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $349=$3; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $350=$script; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $351=__ZN8JSScript5notesEv($350); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $352=_js_FinishTakingSrcNotes($348, $349, $351); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $353=(($352)|0)!=0; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($353) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 37: 
      $1=0; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 96; break; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 38: 
      var $356=$3; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $357=(($356+200)|0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $358=HEAP32[(($357)>>2)]; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $359=(($358)|0)!=0; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($359) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 39: 
      var $361=$3; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $362=$script; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $363=__ZN8JSScript8trynotesEv($362); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      _js_FinishTakingTryNotes($361, $363); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 40; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 40: 
      var $365=$3; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $366=(($365+292)|0); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $367=(($366)|0); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $368=HEAP32[(($367)>>2)]; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $369=(($368)|0)!=0; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($369) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 41: 
      var $371=$3; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $372=(($371+292)|0); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $373=$script; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $374=__ZN8JSScript7objectsEv($373); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN14JSCGObjectList6finishEP13JSObjectArray($372, $374); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 42; break; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 42: 
      var $376=$3; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $377=(($376+300)|0); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $378=(($377)|0); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $379=HEAP32[(($378)>>2)]; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $380=(($379)|0)!=0; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($380) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 43: 
      var $382=$3; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $383=(($382+300)|0); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $384=$script; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $385=__ZN8JSScript7regexpsEv($384); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN14JSCGObjectList6finishEP13JSObjectArray($383, $385); //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 44; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 44: 
      var $387=$3; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $388=(($387+268)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $389=__ZNK13JSGCConstList6lengthEv($388); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $390=(($389)|0)!=0; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($390) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 45: 
      var $392=$3; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $393=(($392+268)|0); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $394=$script; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $395=__ZN8JSScript6constsEv($394); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN13JSGCConstList6finishEP12JSConstArray($393, $395); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 46; break; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 46: 
      var $397=$3; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $398=$397; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $399=(($398)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $400=HEAP32[(($399)>>2)]; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $401=$400 & 16384; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $402=(($401)|0)!=0; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($402) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 47: 
      var $404=$script; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $405=$404; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $406=(($405+36)|0); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $407=HEAP8[($406)]; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $408=$407 & -2; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $409=$408 | 1; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($406)]=$409; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 48; break; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 48: 
      var $411=$3; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $412=__ZNK15JSCodeGenerator9hasSharpsEv($411); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($412) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 49: 
      var $414=$script; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $415=$414; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $416=(($415+36)|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $417=HEAP8[($416)]; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $418=$417 & -5; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $419=$418 | 4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($416)]=$419; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 50; break; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 50: 
      var $421=$3; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $422=$421; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $423=(($422)|0); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $424=HEAP32[(($423)>>2)]; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $425=$424 & 262144; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $426=(($425)|0)!=0; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($426) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 51: 
      var $428=$script; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $429=$428; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $430=(($429+36)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $431=HEAP8[($430)]; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $432=$431 & -9; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $433=$432 | 8; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($430)]=$433; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 52; break; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 52: 
      var $435=$3; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $436=$435; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $437=(($436)|0); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $438=HEAP32[(($437)>>2)]; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $439=$438 & 8192; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $440=(($439)|0)!=0; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($440) { __label__ = 53; break; } else { __label__ = 57; break; } //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 53: 
      var $442=$script; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $443=$442; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $444=(($443+36)|0); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $445=HEAP8[($444)]; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $446=$445 & -17; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $447=$446 | 16; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($444)]=$447; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $448=$3; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $449=$448; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $450=(($449+48)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $451=HEAP32[(($450)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $452=(($451+960)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $453=HEAP32[(($452)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $fp=$453; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $454=$fp; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $455=(($454)|0)!=0; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($455) { __label__ = 54; break; } else { __label__ = 56; break; } //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 54: 
      var $457=$fp; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $458=__ZNK2js10StackFrame15isFunctionFrameEv($457); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($458) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 55: 
      var $460=$script; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $461=$460; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $462=(($461+36)|0); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $463=HEAP8[($462)]; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $464=$463 & -3; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $465=$464 | 2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($462)]=$465; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 56; break; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 56: 
      __label__ = 57; break; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 57: 
      var $468=$3; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $469=$468; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $470=__ZNK13JSTreeContext9callsEvalEv($469); //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($470) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 58: 
      var $472=$script; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $473=$472; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $474=(($473+36)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $475=HEAP8[($474)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $476=$475 & -33; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $477=$476 | 32; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($474)]=$477; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 59; break; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 59: 
      var $479=$3; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $480=$479; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $481=(($480)|0); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $482=HEAP32[(($481)>>2)]; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $483=$482 & 128; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $484=(($483)|0)!=0; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($484) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 60: 
      var $486=$script; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $487=$486; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $488=(($487+36)|0); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $489=HEAP8[($488)]; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $490=$489 & -65; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $491=$490 | 64; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($488)]=$491; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 61; break; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 61: 
      var $493=$3; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $494=$493; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $495=(($494)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $496=HEAP32[(($495)>>2)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $497=$496 & 134217728; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $498=(($497)|0)!=0; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($498) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 62: 
      var $500=$script; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $501=$500; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $502=(($501+37)|0); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $503=HEAP8[($502)]; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $504=$503 & -3; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $505=$504 | 2; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($502)]=$505; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 63; break; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 63: 
      var $507=$3; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $508=__ZNK15JSCodeGenerator15hasUpvarIndicesEv($507); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($508) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 64: 
      var $510=$script; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $511=__ZN8JSScript6upvarsEv($510); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $512=(($511)|0); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $513=HEAP32[(($512)>>2)]; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $514=$513; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $515=$3; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $516=(($515+316)|0); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $517=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5beginEv($516); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $518=$517; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $519=$3; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $520=(($519+308)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $521=$520; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $522=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($521); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $523=__ZN2js9InlineMapIP6JSAtomjLj24EE5countEv($522); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $524=((($523<<2))|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      assert($524 % 1 === 0, 'memcpy given ' + $524 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($514, $518, $524, 1); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $525=$3; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $526=(($525+308)|0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $527=$526; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $528=__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($527); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js9InlineMapIP6JSAtomjLj24EE5clearEv($528); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $529=$3; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $530=(($529+316)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5clearEv($530); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 65; break; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 65: 
      var $532=$3; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $533=(($532+364)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $534=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6lengthEv($533); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $535=(($534)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($535) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 66: 
      var $537=$script; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $538=__ZN8JSScript7globalsEv($537); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $539=(($538)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $540=HEAP32[(($539)>>2)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $541=$540; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $542=$3; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $543=(($542+364)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $544=__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEixEj($543, 0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $545=$544; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $546=$3; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $547=(($546+364)|0); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $548=__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6lengthEv($547); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $549=((($548<<3))|0); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      assert($549 % 1 === 0, 'memcpy given ' + $549 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($541, $545, $549, 1); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 67; break; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 67: 
      var $551=$script; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $552=(($551+48)|0); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $553=HEAP16[(($552)>>1)]; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $554=(($553 << 16) >> 16)!=0; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($554) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 68: 
      var $556=$script; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $557=(($556+88)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $558=HEAP32[(($557)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $559=$558; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $560=$3; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $561=(($560+516)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $562=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEixEj($561, 0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $563=$562; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $564=$script; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $565=(($564+48)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $566=HEAPU16[(($565)>>1)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $567=(($566)&65535); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $568=((($567<<2))|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      assert($568 % 1 === 0, 'memcpy given ' + $568 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($559, $563, $568, 1); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 69; break; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 69: 
      var $570=$script; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $571=(($570+50)|0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $572=HEAP16[(($571)>>1)]; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $573=(($572 << 16) >> 16)!=0; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($573) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 70: 
      var $575=$script; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $576=(($575+48)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $577=HEAPU16[(($576)>>1)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $578=(($577)&65535); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $579=$script; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $580=(($579+88)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $581=HEAP32[(($580)>>2)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $582=(($581+($578<<2))|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $583=$582; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $584=$3; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $585=(($584+564)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $586=__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEixEj($585, 0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $587=$586; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $588=$script; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $589=(($588+50)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $590=HEAPU16[(($589)>>1)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $591=(($590)&65535); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $592=((($591<<2))|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      assert($592 % 1 === 0, 'memcpy given ' + $592 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($583, $587, $592, 1); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 71; break; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 71: 
      var $594=$script; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $595=(($594+64)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $596=$2; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $597=$3; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $598=$597; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $599=(($598+92)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js8Bindings8transferEP9JSContextPS0_($595, $596, $599); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $fun=0; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $600=$3; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $601=$600; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $602=__ZNK13JSTreeContext10inFunctionEv($601); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($602) { __label__ = 72; break; } else { __label__ = 81; break; } //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 72: 
      var $604=$3; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $605=$604; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $606=__ZNK13JSTreeContext3funEv($605); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $fun=$606; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $607=$3; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $608=$607; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $609=(($608)|0); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $610=HEAP32[(($609)>>2)]; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $611=$610 & 256; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $612=(($611)|0)!=0; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($612) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 73: 
      var $614=$fun; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $615=(($614+58)|0); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $616=HEAPU16[(($615)>>1)]; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $617=(($616)&65535); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $618=$617 | 128; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $619=(($618) & 65535); //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP16[(($615)>>1)]=$619; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 74; break; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 74: 
      var $621=$2; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $622=__ZN9JSContext20typeInferenceEnabledEv($621); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($622) { __label__ = 75; break; } else { var $643 = 0;__label__ = 78; break; } //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 75: 
      var $624=$3; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $625=$624; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $626=(($625+72)|0); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $627=HEAP32[(($626)>>2)]; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $628=(($627)|0)!=0; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($628) { __label__ = 76; break; } else { var $643 = 0;__label__ = 78; break; } //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 76: 
      var $630=$3; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $631=$630; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $632=(($631+72)|0); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $633=HEAP32[(($632)>>2)]; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $634=__ZNK13JSTreeContext9compilingEv($633); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($634) { __label__ = 77; break; } else { var $643 = 0;__label__ = 78; break; } //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 77: 
      var $636=$3; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $637=$636; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $638=(($637+72)|0); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $639=HEAP32[(($638)>>2)]; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $640=__ZN13JSTreeContext15asCodeGeneratorEv($639); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $641=__ZN15JSCodeGenerator21checkSingletonContextEv($640); //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $643 = $641;__label__ = 78; break;
    case 78: 
      var $643;
      var $644=(($643)&1);
      $singleton=$644;
      var $645=$script; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $646=$2; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $647=$fun; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $648=$singleton; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $649=(($648) & 1); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $650=__ZN8JSScript15typeSetFunctionEP9JSContextP10JSFunctionb($645, $646, $647, $649); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($650) { __label__ = 80; break; } else { __label__ = 79; break; } //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 79: 
      $1=0; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 96; break; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 80: 
      var $653=$script; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $654=$fun; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $655=(($654+60)|0); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $656=$655; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $657=(($656)|0); //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($657)>>2)]=$653; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $658=$script; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $659=$fun; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $660=$659; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN8JSScript14setOwnerObjectEP8JSObject($658, $660); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 85; break; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 81: 
      var $662=$3; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $663=$662; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $664=(($663)|0); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $665=HEAP32[(($664)>>2)]; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $666=$665 & 1073741824; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $667=(($666)|0)!=0; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($667) { __label__ = 82; break; } else { __label__ = 84; break; } //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 82: 
      var $669=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $670=$script; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $671=__Z18js_NewScriptObjectP9JSContextP8JSScript($669, $670); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $672=(($671)|0)!=0; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($672) { __label__ = 84; break; } else { __label__ = 83; break; } //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 83: 
      $1=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 96; break; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 84: 
      __label__ = 85; break;
    case 85: 
      var $676=$2; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $677=$script; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $678=$fun; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __Z20js_CallNewScriptHookP9JSContextP8JSScriptP10JSFunction($676, $677, $678); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $679=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $680=$679; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $681=(($680+72)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $682=HEAP32[(($681)>>2)]; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $683=(($682)|0)!=0; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($683) { __label__ = 95; break; } else { __label__ = 86; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 86: 
      var $685=$2; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $686=$script; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $687=$fun; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $688=(($687)|0)!=0; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($688) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 87: 
      var $690=$fun; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $691=$690; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $710 = $691;__label__ = 92; break; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 88: 
      var $693=$script; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $694=(($693+84)|0); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $695=$694; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $696=HEAP32[(($695)>>2)]; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $697=(($696)|0)!=0; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($697) { __label__ = 89; break; } else { __label__ = 90; break; } //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 89: 
      var $699=$script; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $700=(($699+84)|0); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $701=$700; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $702=HEAP32[(($701)>>2)]; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $708 = $702;__label__ = 91; break; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 90: 
      var $704=$3; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $705=$704; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $706=__ZNK13JSTreeContext10scopeChainEv($705); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $708 = $706;__label__ = 91; break; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 91: 
      var $708; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $710 = $708;__label__ = 92; break; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 92: 
      var $710; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $711=$fun; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $712=(($711)|0)!=0; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($712) { var $720 = 1;__label__ = 94; break; } else { __label__ = 93; break; } //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 93: 
      var $714=$script; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $715=(($714+84)|0); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $716=$715; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $717=HEAP32[(($716)>>2)]; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $718=(($717)|0)!=0; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $720 = $718;__label__ = 94; break; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 94: 
      var $720;
      var $721=$720 ? 1 : 0; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js8Debugger11onNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE($685, $686, $710, $721); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 95; break; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 95: 
      var $723=$script; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$723; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 96; break; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 96: 
      var $725=$1; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $725; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSScript15NewScriptFromCGEP9JSContextP15JSCodeGenerator["X"]=1;

function __ZN8JSScript14setOwnerObjectEP8JSObject($this, $owner) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$owner;
  var $3=$1;
  ;
  return; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE6hasMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 142 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 142 "./frontend/ParseMaps.h"
  var $5=(($4)|0)!=0; //@line 142 "./frontend/ParseMaps.h"
  ;
  return $5; //@line 142 "./frontend/ParseMaps.h"
}


function __ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE6getMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 143 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 143 "./frontend/ParseMaps.h"
  ;
  return $4; //@line 143 "./frontend/ParseMaps.h"
}


function __ZN2js11TokenStream16releaseSourceMapEv($this) {
  ;
  var __label__;

  var $1;
  var $sm;
  $1=$this;
  var $2=$1;
  var $3=(($2+176)|0); //@line 493 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 493 "./jsscan.h"
  $sm=$4; //@line 493 "./jsscan.h"
  var $5=(($2+176)|0); //@line 494 "./jsscan.h"
  HEAP32[(($5)>>2)]=0; //@line 494 "./jsscan.h"
  var $6=$sm; //@line 495 "./jsscan.h"
  ;
  return $6; //@line 495 "./jsscan.h"
}


function __ZNK15JSCodeGenerator7versionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 710 "./jsemit.h"
  var $4=(($3+48)|0); //@line 710 "./jsemit.h"
  var $5=HEAP32[(($4)>>2)]; //@line 710 "./jsemit.h"
  var $6=__ZNK2js6Parser16versionWithFlagsEv($5); //@line 710 "./jsemit.h"
  ;
  return $6; //@line 710 "./jsemit.h"
}


function __ZNK15JSCodeGenerator15hasUpvarIndicesEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+308)|0); //@line 696 "./jsemit.h"
      var $4=$3; //@line 696 "./jsemit.h"
      var $5=__ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE6hasMapEv($4); //@line 696 "./jsemit.h"
      if ($5) { __label__ = 2; break; } else { var $13 = 0;__label__ = 3; break; } //@line 696 "./jsemit.h"
    case 2: 
      var $7=(($2+308)|0); //@line 696 "./jsemit.h"
      var $8=$7; //@line 696 "./jsemit.h"
      var $9=__ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($8); //@line 696 "./jsemit.h"
      var $10=__ZNK2js9InlineMapIP6JSAtomjLj24EE5emptyEv($9); //@line 696 "./jsemit.h"
      var $11=$10 ^ 1; //@line 696 "./jsemit.h"
      var $13 = $11;__label__ = 3; break;
    case 3: 
      var $13;
      ;
      return $13; //@line 697 "./jsemit.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 730 "./jsvector.h"
  var $3=__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 731 "./jsvector.h"
  var $4=__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 731 "./jsvector.h"
  __ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_($3, $4); //@line 731 "./jsvector.h"
  var $5=(($2+8)|0); //@line 732 "./jsvector.h"
  HEAP32[(($5)>>2)]=0; //@line 732 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 733 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 733 "./jsvector.h"
}


function __ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "./jsvector.h"
  var $5=__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE5beginEv($3); //@line 362 "./jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "./jsvector.h"
  ;
  return $6; //@line 362 "./jsvector.h"
}


function __Z18js_NewScriptObjectP9JSContextP8JSScript($cx, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      $2=$cx;
      $3=$script;
      var $4=$2; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3707($4, __ZN2js11ScriptClassE, 0, 0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $obj=$5; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=$obj; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6)|0)!=0; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $10=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=$3; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=$11; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN8JSObject10setPrivateEPv($10, $12); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=$obj; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=$3; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($14+84)|0); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=$15; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($16)>>2)]=$13; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$3; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=$obj; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN8JSScript14setOwnerObjectEP8JSObject($17, $18); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=$obj; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN8JSObject9clearTypeEv($19); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=$obj; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$20; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 4; break; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $22=$1; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $22; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_CallNewScriptHookP9JSContextP8JSScriptP10JSFunction($cx, $script, $fun) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $hook;
      var $keep=__stackBase__;
      $1=$cx;
      $2=$script;
      $3=$fun;
      var $4=$1; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=(($4+200)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6+8)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $hook=$8; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=$hook; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=(($9)|0)!=0; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $12=$1; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=(($12+52)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js13AutoKeepAtomsC1EP9JSRuntime($keep, $14); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=$hook; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=$1; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$2; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17+52)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=$2; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=(($20+28)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=$2; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=$3; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=$1; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25+200)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($27+12)|0); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      FUNCTION_TABLE[$15]($16, $19, $22, $23, $24, $29); //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js13AutoKeepAtomsD1Ev($keep); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $31=$2; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=$31; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=(($32+38)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=HEAP8[($33)]; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=$34 & -33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=$35 | 32; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($33)]=$36; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript8dataSizeEv($this) {
  ;
  var __label__;

  var $1;
  var $dataEnd;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $5=(($2+8)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $7=(($6)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $8=(($4+$7)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $9=__ZN8JSScript8numNotesEv($2); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $10=(($9)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $11=(($8+$10)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  $dataEnd=$11; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $12=$dataEnd; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $13=(($2+4)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $14=HEAP32[(($13)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $15=$12; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $16=$14; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $17=(($15-$16)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return $17; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN8JSScript8dataSizeEPFjPvE($this, $usf) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $usable;
      $1=$this;
      $2=$usf;
      var $3=$1;
      var $4=$2; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=(($3+4)|0); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=FUNCTION_TABLE[$4]($6); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $usable=$7; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=$usable; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($8)|0)!=0; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $11=$usable; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15 = $11;__label__ = 4; break; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $13=__ZN8JSScript8dataSizeEv($3); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15 = $13;__label__ = 4; break; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $15; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $15; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z24js_CallDestroyScriptHookP9JSContextP8JSScript($cx, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $hook;
      $1=$cx;
      $2=$script;
      var $3=$2; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=$3; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=(($4+38)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=HEAPU8[($5)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6)&255) >>> 5; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=$7 & 1; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($8) & 1); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      __label__ = 6; break; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $12=$1; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=(($12+200)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($14+16)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $hook=$16; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$hook; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $20=$hook; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=$1; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=$2; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=$1; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=(($23+200)|0); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25+20)|0); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      FUNCTION_TABLE[$20]($21, $22, $27); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 5; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $29=$2; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=$29; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=(($30+38)|0); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=HEAP8[($31)]; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=$32 & -33; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($31)]=$33; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js8Debugger15onDestroyScriptEP8JSScript($34); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=$1; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      _JS_ClearScriptTraps($35, $36); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 6; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      ;
      return; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8Debugger15onDestroyScriptEP8JSScript($script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$script;
      var $2=$1; //@line 577 "./vm/Debugger.h"
      var $3=$2; //@line 577 "./vm/Debugger.h"
      var $4=__ZNK2js2gc4Cell11compartmentEv($3); //@line 577 "./vm/Debugger.h"
      var $5=__ZN13JSCompartment12getDebuggeesEv($4); //@line 577 "./vm/Debugger.h"
      var $6=__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv($5); //@line 577 "./vm/Debugger.h"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 577 "./vm/Debugger.h"
    case 2: 
      var $8=$1; //@line 578 "./vm/Debugger.h"
      __ZN2js8Debugger23slowPathOnDestroyScriptEP8JSScript($8); //@line 578 "./vm/Debugger.h"
      __label__ = 3; break; //@line 578 "./vm/Debugger.h"
    case 3: 
      ;
      return; //@line 579 "./vm/Debugger.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript8finalizeEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      __ZN2js11CheckScriptEP8JSScriptS1_($3, 0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=$2; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __Z24js_CallDestroyScriptHookP9JSContextP8JSScript($4, $3); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=(($3+76)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=(($6)|0)!=0; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $9=(($3+76)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=(($10+12)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=(($12-1)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($11)>>2)]=$13; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=(($13)|0)==0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $16=(($3+76)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17+16)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=$2; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=(($3+76)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      FUNCTION_TABLE[$19]($20, $22); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29 = 0;__label__ = 5; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $24=(($3+76)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25+12)|0); //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29 = $27;__label__ = 5; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $29; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 6; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $31=(($3+100)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=(($32)|0)!=0; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $35=(($3+100)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js5types10TypeScript7destroyEv($36); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $38=(($3+92)|0); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=$2; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN12JSPCCounters7destroyEP9JSContext($38, $39); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=(($3+80)|0); //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=(($41)|0)!=0; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $44=$2; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=(($3+80)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=$46; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN9JSContext5free_EPv($44, $47); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 10; break; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $49=$2; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $50=(($3+4)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN9JSContext5free_EPv($49, $51); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSScript8finalizeEP9JSContext["X"]=1;

function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3707($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb3731($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3732($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZN2js8GSNCache5purgeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($3)>>2)]=0; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=(($2+4)|0); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=__ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE11initializedEv($4); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $7=(($2+4)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE6finishEv($7); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      ;
      return; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 987 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11initializedEv($3); //@line 987 "./jshashtable.h"
  ;
  return $4; //@line 987 "./jshashtable.h"
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE6finishEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1118 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6finishEv($3); //@line 1118 "./jshashtable.h"
  ;
  return; //@line 1118 "./jshashtable.h"
}


function __Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh($cx, $script, $pc) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $target;
      var $cache;
      var $p=__stackBase__+4;
      var $5=__stackBase__+8;
      var $offset;
      var $result;
      var $sn;
      var $nsrcnotes;
      var $sn1;
      var $sn2=__stackBase__+16;
      $2=$cx;
      $3=$script;
      HEAP32[(($4)>>2)]=$pc;
      var $6=HEAP32[(($4)>>2)]; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=$3; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=(($7)|0); //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=$6; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=$9; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($10-$11)|0); //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $target=$12; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=$target; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=$3; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($14+8)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=HEAPU32[(($15)>>2)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=(($13)>>>0) >= (($16)>>>0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 69; break; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $20=$2; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=__ZN2js11GetGSNCacheEP9JSContext($20); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $cache=$21; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=$cache; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($22)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=$3; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($24)|0)==(($27)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $30=$cache; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=(($30+4)|0); //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE6lookupERKS1_($p, $31, $4); //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($5, $p); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=$32.f0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=(($33)|0)!=0; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($34) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $36=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($p); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=(($36+4)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41 = $38;__label__ = 7; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $41 = 0;__label__ = 7; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $41; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$41; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 69; break; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      $offset=0; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=$3; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $44=__ZN8JSScript5notesEv($43); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$44; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $46=$sn; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=HEAPU8[($46)]; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $48=(($47)&255); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $49=(($48)|0)==0; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      $result=0; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 28; break; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $52=$sn; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $53=HEAPU8[($52)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $54=(($53)&255); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $55=$54 >> 3; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $56=(($55)|0) >= 24; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($56) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $58=$sn; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=HEAPU8[($58)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $60=(($59)&255); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $61=$60 & 63; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $68 = $61;__label__ = 14; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $63=$sn; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $64=HEAPU8[($63)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $65=(($64)&255); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $66=$65 & 7; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $68 = $66;__label__ = 14; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 14: 
      var $68; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=$offset; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $70=(($69+$68)|0); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $offset=$70; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $71=$offset; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $72=$target; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $73=(($71)|0)==(($72)|0); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($73) { __label__ = 15; break; } else { __label__ = 20; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      var $75=$sn; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $76=HEAPU8[($75)]; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $77=(($76)&255); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $78=$77 >> 3; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $79=(($78)|0) >= 24; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($79) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 16: 
      var $87 = 24;__label__ = 18; break; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      var $82=$sn; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $83=HEAPU8[($82)]; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $84=(($83)&255); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $85=$84 >> 3; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $87 = $85;__label__ = 18; break; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 18: 
      var $87; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $88=(($87)|0) < 22; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($88) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 19: 
      var $90=$sn; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $result=$90; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 28; break; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 20: 
      __label__ = 21; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 21: 
      var $93=$sn; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $94=$sn; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $95=HEAPU8[($94)]; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $96=(($95)&255); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $97=$96 >> 3; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $98=(($97)|0) >= 24; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($98) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 22: 
      var $106 = 24;__label__ = 24; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 23: 
      var $101=$sn; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $102=HEAPU8[($101)]; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $103=(($102)&255); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $104=$103 >> 3; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $106 = $104;__label__ = 24; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 24: 
      var $106; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $107=((_js_SrcNoteSpec+($106<<3))|0); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $108=(($107+4)|0); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $109=HEAP8[($108)]; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $110=(($109 << 24) >> 24); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $111=(($110)|0)==0; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($111) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 25: 
      var $117 = 1;__label__ = 27; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 26: 
      var $114=$sn; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $115=_js_SrcNoteLength($114); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $117 = $115;__label__ = 27; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 27: 
      var $117; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $118=(($93+$117)|0); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$118; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 28: 
      var $120=$cache; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $121=(($120)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $123=$3; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $124=(($123)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $126=(($122)|0)!=(($125)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($126) { __label__ = 29; break; } else { __label__ = 68; break; } //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 29: 
      var $128=$3; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $129=(($128+8)|0); //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $130=HEAPU32[(($129)>>2)]; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $131=(($130)>>>0) >= 100; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($131) { __label__ = 30; break; } else { __label__ = 68; break; } //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 30: 
      $nsrcnotes=0; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $133=$3; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $134=__ZN8JSScript5notesEv($133); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn1=$134; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 31; break; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 31: 
      var $136=$sn1; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $137=HEAPU8[($136)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $138=(($137)&255); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $139=(($138)|0)==0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $140=$139 ^ 1; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($140) { __label__ = 32; break; } else { __label__ = 45; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 32: 
      var $142=$sn1; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $143=HEAPU8[($142)]; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $144=(($143)&255); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $145=$144 >> 3; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $146=(($145)|0) >= 24; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($146) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 33: 
      var $154 = 24;__label__ = 35; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 34: 
      var $149=$sn1; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $150=HEAPU8[($149)]; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $151=(($150)&255); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $152=$151 >> 3; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $154 = $152;__label__ = 35; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 35: 
      var $154; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $155=(($154)|0) < 22; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($155) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 36: 
      var $157=$nsrcnotes; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $158=(($157+1)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $nsrcnotes=$158; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 37; break; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 37: 
      __label__ = 38; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 38: 
      var $161=$sn1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $162=$sn1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $163=HEAPU8[($162)]; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $164=(($163)&255); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $165=$164 >> 3; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $166=(($165)|0) >= 24; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($166) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 39: 
      var $174 = 24;__label__ = 41; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 40: 
      var $169=$sn1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $170=HEAPU8[($169)]; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $171=(($170)&255); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $172=$171 >> 3; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $174 = $172;__label__ = 41; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 41: 
      var $174; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $175=((_js_SrcNoteSpec+($174<<3))|0); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $176=(($175+4)|0); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $177=HEAP8[($176)]; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $178=(($177 << 24) >> 24); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $179=(($178)|0)==0; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($179) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 42: 
      var $185 = 1;__label__ = 44; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 43: 
      var $182=$sn1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $183=_js_SrcNoteLength($182); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $185 = $183;__label__ = 44; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 44: 
      var $185; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $186=(($161+$185)|0); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn1=$186; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 31; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 45: 
      var $188=$cache; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $189=(($188)|0); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $190=HEAP32[(($189)>>2)]; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $191=(($190)|0)!=0; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($191) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 46: 
      var $193=$cache; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $194=(($193+4)|0); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE6finishEv($194); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $195=$cache; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $196=(($195)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($196)>>2)]=0; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 47; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 47: 
      var $198=$cache; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $199=(($198+4)|0); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $200=$nsrcnotes; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $201=__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE4initEj($199, $200); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($201) { __label__ = 48; break; } else { __label__ = 67; break; } //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 48: 
      var $203=$3; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $204=(($203)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $205=HEAP32[(($204)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($4)>>2)]=$205; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $206=$3; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $207=__ZN8JSScript5notesEv($206); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($sn2)>>2)]=$207; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 49; break; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 49: 
      var $209=HEAP32[(($sn2)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $210=HEAPU8[($209)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $211=(($210)&255); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $212=(($211)|0)==0; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $213=$212 ^ 1; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($213) { __label__ = 50; break; } else { __label__ = 66; break; } //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 50: 
      var $215=HEAP32[(($sn2)>>2)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $216=HEAPU8[($215)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $217=(($216)&255); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $218=$217 >> 3; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $219=(($218)|0) >= 24; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($219) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 51: 
      var $221=HEAP32[(($sn2)>>2)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $222=HEAPU8[($221)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $223=(($222)&255); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $224=$223 & 63; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $231 = $224;__label__ = 53; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 52: 
      var $226=HEAP32[(($sn2)>>2)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $227=HEAPU8[($226)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $228=(($227)&255); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $229=$228 & 7; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $231 = $229;__label__ = 53; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 53: 
      var $231; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $232=HEAP32[(($4)>>2)]; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $233=(($232+$231)|0); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($4)>>2)]=$233; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $234=HEAP32[(($sn2)>>2)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $235=HEAPU8[($234)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $236=(($235)&255); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $237=$236 >> 3; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $238=(($237)|0) >= 24; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($238) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 54: 
      var $246 = 24;__label__ = 56; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 55: 
      var $241=HEAP32[(($sn2)>>2)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $242=HEAPU8[($241)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $243=(($242)&255); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $244=$243 >> 3; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $246 = $244;__label__ = 56; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 56: 
      var $246; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $247=(($246)|0) < 22; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($247) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 57: 
      var $249=$cache; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $250=(($249+4)|0); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $251=__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE3putERKS1_S7_($250, $4, $sn2); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 58; break; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 58: 
      __label__ = 59; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 59: 
      var $254=HEAP32[(($sn2)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $255=HEAP32[(($sn2)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $256=HEAPU8[($255)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $257=(($256)&255); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $258=$257 >> 3; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $259=(($258)|0) >= 24; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($259) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 60: 
      var $267 = 24;__label__ = 62; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 61: 
      var $262=HEAP32[(($sn2)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $263=HEAPU8[($262)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $264=(($263)&255); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $265=$264 >> 3; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $267 = $265;__label__ = 62; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 62: 
      var $267; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $268=((_js_SrcNoteSpec+($267<<3))|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $269=(($268+4)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $270=HEAP8[($269)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $271=(($270 << 24) >> 24); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $272=(($271)|0)==0; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($272) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 63: 
      var $278 = 1;__label__ = 65; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 64: 
      var $275=HEAP32[(($sn2)>>2)]; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $276=_js_SrcNoteLength($275); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $278 = $276;__label__ = 65; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 65: 
      var $278; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $279=(($254+$278)|0); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($sn2)>>2)]=$279; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 49; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 66: 
      var $281=$3; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $282=(($281)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $283=HEAP32[(($282)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $284=$cache; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $285=(($284)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($285)>>2)]=$283; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 67; break; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 67: 
      __label__ = 68; break; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 68: 
      var $288=$result; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$288; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 69; break; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 69: 
      var $290=$1; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return $290; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh["X"]=1;

function __ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE6lookupERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 292, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE3putERKS1_S7_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$k;
      $4=$v;
      var $6=$2;
      var $7=$3; //@line 1140 "./jshashtable.h"
      __ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE12lookupForAddERKS1_($p, $6, $7); //@line 1140 "./jshashtable.h"
      var $8=$p; //@line 1141 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv($5, $8); //@line 1141 "./jshashtable.h"
      var $9={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1141 "./jshashtable.h"
      var $10=$9.f0; //@line 1141 "./jshashtable.h"
      var $11=(($10)|0)!=0; //@line 1141 "./jshashtable.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1141 "./jshashtable.h"
    case 2: 
      var $13=$4; //@line 1142 "./jshashtable.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1142 "./jshashtable.h"
      var $15=$p; //@line 1142 "./jshashtable.h"
      var $16=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv($15); //@line 1142 "./jshashtable.h"
      var $17=(($16+4)|0); //@line 1142 "./jshashtable.h"
      HEAP32[(($17)>>2)]=$14; //@line 1142 "./jshashtable.h"
      var $18=$p; //@line 1143 "./jshashtable.h"
      var $19=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrdeEv($18); //@line 1143 "./jshashtable.h"
      $1=$19; //@line 1143 "./jshashtable.h"
      __label__ = 7; break; //@line 1143 "./jshashtable.h"
    case 3: 
      var $21=$3; //@line 1145 "./jshashtable.h"
      var $22=$4; //@line 1145 "./jshashtable.h"
      var $23=__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S1_EENS5_13MapHashPolicyES4_E6AddPtrERKS1_SF_($6, $p, $21, $22); //@line 1145 "./jshashtable.h"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1145 "./jshashtable.h"
    case 4: 
      var $25=$p; //@line 1145 "./jshashtable.h"
      var $26=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrdeEv($25); //@line 1145 "./jshashtable.h"
      var $29 = $26;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 5: 
      var $29 = 0;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 6: 
      var $29; //@line 1145 "./jshashtable.h"
      $1=$29; //@line 1145 "./jshashtable.h"
      __label__ = 7; break; //@line 1145 "./jshashtable.h"
    case 7: 
      var $31=$1; //@line 1146 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $31; //@line 1146 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z22js_FramePCToLineNumberP9JSContextPN2js10StackFrameEPh($cx, $fp, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$fp;
      $3=$pc;
      var $4=$1; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=$2; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=__ZNK2js10StackFrame6scriptEv($5); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=$2; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=__ZNK2js10StackFrame11hasImacropcEv($7); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $10=$2; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=__ZNK2js10StackFrame8imacropcEv($10); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15 = $11;__label__ = 4; break; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $13=$3; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15 = $13;__label__ = 4; break; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $15; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=__Z17js_PCToLineNumberP9JSContextP8JSScriptPh($4, $6, $15); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $16; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_PCToLineNumberP9JSContextP8JSScriptPh($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $op;
      var $fun;
      var $lineno;
      var $offset;
      var $target;
      var $sn;
      var $type;
      var $index_;
      $2=$cx;
      $3=$script;
      $4=$pc;
      var $5=$4; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=(($5)|0)!=0; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 37; break; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $9=$2; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=$3; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=$4; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=__ZL12js_GetOpcodeP9JSContextP8JSScriptPh3716($9, $10, $11); //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $op=$12; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=$op; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=((_js_CodeSpec+($13<<3))|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($14+4)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$16 & 262144; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17)|0)!=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $20=$op; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=((_js_CodeSpec+($20<<3))|0); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=(($21)|0); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=HEAP8[($22)]; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=(($23 << 24) >> 24); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=$4; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25+$24)|0); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=$26; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 5; break; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $28=$4; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29=HEAPU8[($28)]; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=(($29)&255); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=(($30)|0)==127; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      __label__ = 7; break; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $34=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=$3; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=$4; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=_js_GetIndexFromBytecode($34, $35, $36, 0); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $index_=$37; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=$3; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=$index_; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=__ZN8JSScript11getFunctionEj($38, $39); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $fun=$40; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $42=$fun; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=__ZNK10JSFunction6scriptEv($42); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $44=(($43+28)|0); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$45; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 37; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $47=$3; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $48=(($47+28)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$49; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $offset=0; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $50=$4; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $51=$3; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $52=(($51)|0); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $54=$50; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $55=$53; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $56=(($54-$55)|0); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $target=$56; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $57=$3; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $58=__ZN8JSScript5notesEv($57); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$58; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 10; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $60=$sn; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $61=HEAPU8[($60)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $62=(($61)&255); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $63=(($62)|0)==0; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $64=$63 ^ 1; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($64) { __label__ = 11; break; } else { __label__ = 36; break; } //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $66=$sn; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $67=HEAPU8[($66)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $68=(($67)&255); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=$68 >> 3; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $70=(($69)|0) >= 24; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($70) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $72=$sn; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $73=HEAPU8[($72)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $74=(($73)&255); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $75=$74 & 63; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $82 = $75;__label__ = 14; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $77=$sn; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $78=HEAPU8[($77)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $79=(($78)&255); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $80=$79 & 7; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $82 = $80;__label__ = 14; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 14: 
      var $82; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $83=$offset; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $84=(($83+$82)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $offset=$84; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $85=$sn; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $86=HEAPU8[($85)]; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $87=(($86)&255); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $88=$87 >> 3; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $89=(($88)|0) >= 24; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($89) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      var $97 = 24;__label__ = 17; break; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 16: 
      var $92=$sn; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $93=HEAPU8[($92)]; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $94=(($93)&255); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $95=$94 >> 3; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $97 = $95;__label__ = 17; break; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      var $97; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $type=$97; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $98=$type; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $99=(($98)|0)==23; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($99) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 18: 
      var $101=$offset; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $102=$target; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $103=(($101)|0) <= (($102)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($103) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 19: 
      var $105=$sn; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $106=_js_GetSrcNoteOffset($105, 0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$106; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 20; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 20: 
      __label__ = 26; break; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 21: 
      var $109=$type; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $110=(($109)|0)==22; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($110) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 22: 
      var $112=$offset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $113=$target; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $114=(($112)|0) <= (($113)|0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($114) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 23: 
      var $116=$lineno; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $117=(($116+1)|0); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$117; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 24; break; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 24: 
      __label__ = 25; break; //@line 1528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      var $121=$offset; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $122=$target; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $123=(($121)|0) > (($122)|0); //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($123) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 27: 
      __label__ = 36; break; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 28: 
      __label__ = 29; break; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 29: 
      var $127=$sn; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $128=$sn; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $129=HEAPU8[($128)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $130=(($129)&255); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $131=$130 >> 3; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $132=(($131)|0) >= 24; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($132) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 30: 
      var $140 = 24;__label__ = 32; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 31: 
      var $135=$sn; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $136=HEAPU8[($135)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $137=(($136)&255); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $138=$137 >> 3; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $140 = $138;__label__ = 32; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 32: 
      var $140; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $141=((_js_SrcNoteSpec+($140<<3))|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $142=(($141+4)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $143=HEAP8[($142)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $144=(($143 << 24) >> 24); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $145=(($144)|0)==0; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($145) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 33: 
      var $151 = 1;__label__ = 35; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 34: 
      var $148=$sn; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $149=_js_SrcNoteLength($148); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $151 = $149;__label__ = 35; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 35: 
      var $151; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $152=(($127+$151)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$152; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 10; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 36: 
      var $154=$lineno; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$154; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 37; break; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 37: 
      var $156=$1; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $156; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_PCToLineNumberP9JSContextP8JSScriptPh["X"]=1;

function __ZL12js_GetOpcodeP9JSContextP8JSScriptPh3716($cx, $script, $pc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $op;
      $1=$cx;
      $2=$script;
      $3=$pc;
      var $4=$3; //@line 954 "./jsscript.h"
      var $5=HEAPU8[($4)]; //@line 954 "./jsscript.h"
      var $6=(($5)&255); //@line 954 "./jsscript.h"
      $op=$6; //@line 954 "./jsscript.h"
      var $7=$op; //@line 955 "./jsscript.h"
      var $8=(($7)|0)==83; //@line 955 "./jsscript.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 955 "./jsscript.h"
    case 2: 
      var $10=$1; //@line 956 "./jsscript.h"
      var $11=$2; //@line 956 "./jsscript.h"
      var $12=$3; //@line 956 "./jsscript.h"
      var $13=_JS_GetTrapOpcode($10, $11, $12); //@line 956 "./jsscript.h"
      $op=$13; //@line 956 "./jsscript.h"
      __label__ = 3; break; //@line 956 "./jsscript.h"
    case 3: 
      var $15=$op; //@line 957 "./jsscript.h"
      ;
      return $15; //@line 957 "./jsscript.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_LineNumberToPCP8JSScriptj($script, $target) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $offset;
      var $best;
      var $lineno;
      var $bestdiff;
      var $diff;
      var $sn;
      var $type;
      $1=$script;
      $2=$target;
      $offset=0; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $best=-1; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $3=$1; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=(($3+28)|0); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$5; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $bestdiff=8388608; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=$1; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=__ZN8JSScript5notesEv($6); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$7; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $9=$sn; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=HEAPU8[($9)]; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=(($10)&255); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($11)|0)==0; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=$12 ^ 1; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 29; break; } //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $15=$lineno; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=(($15)|0)==(($16)|0); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $19=$offset; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=$1; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=(($20+32)|0); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($19)|0) >= (($22)|0); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      __label__ = 32; break; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $26=$lineno; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=$2; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($26)>>>0) >= (($27)>>>0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $30=$lineno; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=$2; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=(($30-$31)|0); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $diff=$32; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=$diff; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=$bestdiff; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $37=$diff; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $bestdiff=$37; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=$offset; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $best=$38; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      __label__ = 10; break; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $41=$sn; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=HEAPU8[($41)]; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=(($42)&255); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $44=$43 >> 3; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=(($44)|0) >= 24; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $47=$sn; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $48=HEAPU8[($47)]; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $49=(($48)&255); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $50=$49 & 63; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $57 = $50;__label__ = 13; break; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $52=$sn; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $53=HEAPU8[($52)]; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $54=(($53)&255); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $55=$54 & 7; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $57 = $55;__label__ = 13; break; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $57; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $58=$offset; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=(($58+$57)|0); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $offset=$59; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $60=$sn; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $61=HEAPU8[($60)]; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $62=(($61)&255); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $63=$62 >> 3; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $64=(($63)|0) >= 24; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($64) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 14: 
      var $72 = 24;__label__ = 16; break; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      var $67=$sn; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $68=HEAPU8[($67)]; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=(($68)&255); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $70=$69 >> 3; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $72 = $70;__label__ = 16; break; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 16: 
      var $72; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $type=$72; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $73=$type; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $74=(($73)|0)==23; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($74) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      var $76=$sn; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $77=_js_GetSrcNoteOffset($76, 0); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$77; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 21; break; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 18: 
      var $79=$type; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $80=(($79)|0)==22; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 19: 
      var $82=$lineno; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $83=(($82+1)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$83; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 20; break; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 20: 
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 22: 
      var $87=$sn; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $88=$sn; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $89=HEAPU8[($88)]; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $90=(($89)&255); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $91=$90 >> 3; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $92=(($91)|0) >= 24; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($92) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 23: 
      var $100 = 24;__label__ = 25; break; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 24: 
      var $95=$sn; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $96=HEAPU8[($95)]; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $97=(($96)&255); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $98=$97 >> 3; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $100 = $98;__label__ = 25; break; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 25: 
      var $100; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $101=((_js_SrcNoteSpec+($100<<3))|0); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $102=(($101+4)|0); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $103=HEAP8[($102)]; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $104=(($103 << 24) >> 24); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $105=(($104)|0)==0; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($105) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 26: 
      var $111 = 1;__label__ = 28; break; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 27: 
      var $108=$sn; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $109=_js_SrcNoteLength($108); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $111 = $109;__label__ = 28; break; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 28: 
      var $111; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $112=(($87+$111)|0); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$112; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 29: 
      var $114=$best; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $115=(($114)|0) >= 0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($115) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 30: 
      var $117=$best; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $offset=$117; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 31; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 31: 
      __label__ = 32; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 32: 
      var $120=$1; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $121=(($120)|0); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $123=$offset; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $124=(($122+$123)|0); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $124; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_LineNumberToPCP8JSScriptj["X"]=1;

function __Z22js_GetScriptLineExtentP8JSScript($script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $counting;
      var $lineno;
      var $maxLineNo;
      var $sn;
      var $type;
      $1=$script;
      var $2=$1; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $3=(($2+28)|0); //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$4; //@line 1588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $maxLineNo=0; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $counting=1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=$1; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=__ZN8JSScript5notesEv($5); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$6; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $8=$sn; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=HEAPU8[($8)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=(($9)&255); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=(($10)|0)==0; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=$11 ^ 1; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 26; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $14=$sn; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=HEAPU8[($14)]; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=(($15)&255); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$16 >> 3; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($17)|0) >= 24; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $26 = 24;__label__ = 6; break; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $21=$sn; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=HEAPU8[($21)]; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($22)&255); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=$23 >> 3; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26 = $24;__label__ = 6; break; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $26; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $type=$26; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=$type; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($27)|0)==23; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 13; break; } //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $30=$maxLineNo; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=$lineno; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=(($30)>>>0) < (($31)>>>0); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $34=$lineno; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $maxLineNo=$34; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $36=$sn; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=_js_GetSrcNoteOffset($36, 0); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$37; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $counting=1; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=$maxLineNo; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=$lineno; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=(($38)>>>0) < (($39)>>>0); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      var $42=$lineno; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $maxLineNo=$42; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      $counting=0; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 18; break; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $46=$type; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=(($46)|0)==22; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($47) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 14: 
      var $49=$counting; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $50=(($49) & 1); //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($50) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 15: 
      var $52=$lineno; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $53=(($52+1)|0); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$53; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 16; break; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 16: 
      __label__ = 17; break; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 19: 
      var $58=$sn; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=$sn; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $60=HEAPU8[($59)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $61=(($60)&255); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $62=$61 >> 3; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $63=(($62)|0) >= 24; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($63) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 20: 
      var $71 = 24;__label__ = 22; break; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 21: 
      var $66=$sn; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $67=HEAPU8[($66)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $68=(($67)&255); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=$68 >> 3; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $71 = $69;__label__ = 22; break; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 22: 
      var $71; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $72=((_js_SrcNoteSpec+($71<<3))|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $73=(($72+4)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $74=HEAP8[($73)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $75=(($74 << 24) >> 24); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $76=(($75)|0)==0; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($76) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 23: 
      var $82 = 1;__label__ = 25; break; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 24: 
      var $79=$sn; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $80=_js_SrcNoteLength($79); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $82 = $80;__label__ = 25; break; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 25: 
      var $82; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $83=(($58+$82)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $sn=$83; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 26: 
      var $85=$maxLineNo; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $86=$lineno; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $87=(($85)>>>0) > (($86)>>>0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($87) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 27: 
      var $89=$maxLineNo; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $lineno=$89; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 28; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 28: 
      var $91=$lineno; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $92=(($91+1)|0); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $93=$1; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $94=(($93+28)|0); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $96=(($92-$95)|0); //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $96; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z22js_GetScriptLineExtentP8JSScript["X"]=1;

function __ZN2js11CurrentLineEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $3=$1; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $4=__ZNK9JSContext2fpEv($3); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $5=$1; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $6=__ZNK9JSContext4regsEv($5); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $7=(($6+4)|0); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $9=__Z22js_FramePCToLineNumberP9JSContextPN2js10StackFrameEPh($2, $4, $8); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return $9; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN2js28CurrentScriptFileAndLineSlowEP9JSContextPj($cx, $linenop) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $iter=__stackBase__;
      $2=$cx;
      $3=$linenop;
      var $4=$2; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($iter, $4, 0); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $6=__ZNK2js13FrameRegsIter4doneEv($iter); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($6) { var $12 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $8=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=__ZNK2js10StackFrame13isScriptFrameEv($8); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=$9 ^ 1; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12 = $10;__label__ = 4; break;
    case 4: 
      var $12;
      if ($12) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $14=__ZN2js13FrameRegsIterppEv($iter); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $16=__ZNK2js13FrameRegsIter4doneEv($iter); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $18=$3; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($18)>>2)]=0; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=0; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $20=$2; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=__ZNK2js13FrameRegsIter2pcEv($iter); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=__Z22js_FramePCToLineNumberP9JSContextPN2js10StackFrameEPh($20, $21, $22); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=$3; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=__ZNK2js13FrameRegsIter2fpEv($iter); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=__ZNK2js10StackFrame6scriptEv($25); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=(($26+52)|0); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$28; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 9; break; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $30=$1; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript20recompileForStepModeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  ;
  return 1; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZNK14AutoJSXDRStatecvP10JSXDRStateEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return $4; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __Z14js_CloneScriptP9JSContextP8JSScript($cx, $script) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $w=__stackBase__+4;
      var $4;
      var $disable=__stackBase__+8;
      var $wstate=__stackBase__+16;
      var $nbytes=__stackBase__+28;
      var $p;
      var $r=__stackBase__+32;
      var $rstate=__stackBase__+36;
      $2=$cx;
      HEAP32[(($3)>>2)]=$script;
      var $5=$2; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=_JS_XDRNewMem($5, 0); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN14AutoJSXDRStateC1EP10JSXDRState($w, $6); //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($w); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=(($7)|0)!=0; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      $1=0; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 17; break; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $11=$2; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN28DisablePrincipalsTranscodingC1EP9JSContext($disable, $11); //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($w); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      FUNCTION_TABLE[__ZN2js14XDRScriptStateC1EP10JSXDRState]($wstate, $12); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($w); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=__Z12js_XDRScriptP10JSXDRStatePP8JSScript($13, $3); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($14)|0)!=0; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      $1=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 16; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $18=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($w); //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=_JS_XDRMemGetData($18, $nbytes); //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $p=$19; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=$p; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=(($20)|0)!=0; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      $1=0; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 16; break; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $24=$2; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=_JS_XDRNewMem($24, 1); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN14AutoJSXDRStateC1EP10JSXDRState($r, $25); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($r); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=(($26)|0)!=0; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($27) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      $1=0; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 15; break; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      var $30=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($r); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=$p; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=HEAP32[(($nbytes)>>2)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      _JS_XDRMemSetData($30, $31, $32); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($w); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      _JS_XDRMemSetData($33, 0, 0); //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($r); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      FUNCTION_TABLE[__ZN2js14XDRScriptStateC1EP10JSXDRState]($rstate, $34); //@line 1719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=HEAP32[(($3)>>2)]; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=(($35+52)|0); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=(($rstate+4)|0); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($38)>>2)]=$37; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=(($rstate+8)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP8[($39)]=1; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=__ZNK14AutoJSXDRStatecvP10JSXDRStateEv($r); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=__Z12js_XDRScriptP10JSXDRStatePP8JSScript($40, $3); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=(($41)|0)!=0; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      $1=0; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 14; break; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      var $45=HEAP32[(($3)>>2)]; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $46=$45; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $47=__ZNK2js2gc4Cell11compartmentEv($46); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $48=(($47+4)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $50=HEAP32[(($3)>>2)]; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $51=(($50+76)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($51)>>2)]=$49; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $52=HEAP32[(($3)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $53=(($52+76)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $55=(($54)|0)!=0; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $57=HEAP32[(($3)>>2)]; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $58=(($57+76)|0); //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $60=(($59+12)|0); //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $62=(($61+1)|0); //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($60)>>2)]=$62; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 13; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 13: 
      var $64=HEAP32[(($3)>>2)]; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=$64; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $4=1;
      __label__ = 14; break; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 14: 
      FUNCTION_TABLE[__ZN2js14XDRScriptStateD1Ev]($rstate); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 15; break;
    case 15: 
      __ZN14AutoJSXDRStateD1Ev($r); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 16; break;
    case 16: 
      FUNCTION_TABLE[__ZN2js14XDRScriptStateD1Ev]($wstate); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN28DisablePrincipalsTranscodingD1Ev($disable); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 17; break;
    case 17: 
      __ZN14AutoJSXDRStateD1Ev($w); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $69=$1; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      STACKTOP = __stackBase__;
      return $69; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z14js_CloneScriptP9JSContextP8JSScript["X"]=1;

function __ZN14AutoJSXDRStateC1EP10JSXDRState($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  __ZN14AutoJSXDRStateC2EP10JSXDRState($3, $4); //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN28DisablePrincipalsTranscodingC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  __ZN28DisablePrincipalsTranscodingC2EP9JSContext($3, $4); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN14AutoJSXDRStateD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN14AutoJSXDRStateD2Ev($2); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN28DisablePrincipalsTranscodingD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN28DisablePrincipalsTranscodingD2Ev($2); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN8JSScript17copyClosedSlotsToEPS_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $5=(($4+88)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $7=$6; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $8=(($3+88)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $10=$9; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $11=(($3+48)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $12=HEAPU16[(($11)>>1)]; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $13=(($12)&65535); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $14=(($3+50)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $15=HEAPU16[(($14)>>1)]; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $16=(($15)&65535); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $17=(($13+$16)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  assert($17 % 1 === 0, 'memcpy given ' + $17 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($7, $10, $17, 1); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN8JSScript14tryNewStepModeEP9JSContextj($this, $cx, $newValue) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $prior;
      var $frames;
      $2=$this;
      $3=$cx;
      $4=$newValue;
      var $5=$2;
      var $6=(($5+24)|0); //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $prior=$7; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=$4; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($5+24)|0); //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($9)>>2)]=$8; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=$prior; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=(($10)|0)!=0; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=$11 ^ 1; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=(($12)&1); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=$4; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=(($14)|0)!=0; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=$15 ^ 1; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=(($16)&1); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($13)|0)!=(($17)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $20=$3; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=__ZN8JSScript20recompileForStepModeEP9JSContext($5, $20); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $23=$prior; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=(($5+24)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $1=0; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $26=$4; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=(($26)|0)!=0; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $29=$3; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $30=(($29+52)|0); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=(($31+144280)|0); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=(($32+65656)|0); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $frames=$34; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 6; break; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 6: 
      var $36=$frames; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=(($36)|0)!=0; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      var $39=$frames; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __ZN2js17InterpreterFrames25enableInterruptsIfRunningEP8JSScript($39, $5); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 8; break; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 8: 
      var $41=$frames; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=(($41)|0); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $frames=$43; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 6; break; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 9: 
      __label__ = 10; break; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 10: 
      __label__ = 11; break; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 11: 
      $1=1; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 12; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 12: 
      var $48=$1; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      ;
      return $48; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSScript14tryNewStepModeEP9JSContextj["X"]=1;

function __ZN2js17InterpreterFrames25enableInterruptsIfRunningEP8JSScript($this, $script) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$script;
      var $3=$1;
      var $4=$2; //@line 324 "./jsinterp.h"
      var $5=(($3+8)|0); //@line 324 "./jsinterp.h"
      var $6=HEAP32[(($5)>>2)]; //@line 324 "./jsinterp.h"
      var $7=__ZNK2js9FrameRegs2fpEv($6); //@line 324 "./jsinterp.h"
      var $8=__ZNK2js10StackFrame6scriptEv($7); //@line 324 "./jsinterp.h"
      var $9=(($4)|0)==(($8)|0); //@line 324 "./jsinterp.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 324 "./jsinterp.h"
    case 2: 
      var $11=(($3+12)|0); //@line 325 "./jsinterp.h"
      var $12=HEAP32[(($11)>>2)]; //@line 325 "./jsinterp.h"
      var $13=$12; //@line 325 "./jsinterp.h"
      var $14=HEAP32[(($13)>>2)]; //@line 325 "./jsinterp.h"
      var $15=(($14)|0); //@line 325 "./jsinterp.h"
      var $16=HEAP32[(($15)>>2)]; //@line 325 "./jsinterp.h"
      FUNCTION_TABLE[$16]($12); //@line 325 "./jsinterp.h"
      __label__ = 3; break; //@line 325 "./jsinterp.h"
    case 3: 
      ;
      return; //@line 326 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSScript15setStepModeFlagEP9JSContextb($this, $cx, $step) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  var $4=(($step)&1);
  $3=$4;
  var $5=$1;
  var $6=$2; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $7=(($5+24)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $9=$8 & 2147483647; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $10=$3; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $11=(($10) & 1); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $12=$11 ? -2147483648 : 0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $13=$9 | $12; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $14=__ZN8JSScript14tryNewStepModeEP9JSContextj($5, $6, $13); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return $14; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN8JSScript19changeStepModeCountEP9JSContexti($this, $cx, $delta) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $count;
  $1=$this;
  $2=$cx;
  $3=$delta;
  var $4=$1;
  var $5=$2; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  __ZN2js21assertSameCompartmentIP8JSScriptEEvP9JSContextT_($5, $4); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $6=(($4+24)|0); //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $8=$7 & 2147483647; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  $count=$8; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $9=$2; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $10=(($4+24)|0); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $12=$11 & -2147483648; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $13=$count; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $14=$3; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $15=(($13+$14)|0); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $16=$15 & 2147483647; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $17=$12 | $16; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $18=__ZN8JSScript14tryNewStepModeEP9JSContextj($4, $9, $17); //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return $18; //@line 1790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE12lookupForAddERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS3_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S1_EENS5_13MapHashPolicyES4_E6AddPtrERKS1_SF_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS4_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=$5; //@line 1053 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $19=(($18+4)|0); //@line 1053 "./jshashtable.h"
      HEAP32[(($19)>>2)]=$17; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $21=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $21; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS4_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*12)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEENS_7MoveRefIT_EERS8_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEaSENS_7MoveRefIS5_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+12)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*12)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*12)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*12)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*12)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+12)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPhLj0EE5matchERKS1_S4_($k, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$k;
  $2=$l;
  var $3=$1; //@line 871 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 871 "./jshashtable.h"
  var $5=$2; //@line 871 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 871 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 871 "./jshashtable.h"
  ;
  return $7; //@line 871 "./jshashtable.h"
}


function __ZN2js13PointerHasherIPhLj0EE4hashERKS1_($l) {
  ;
  var __label__;

  var $1;
  var $word;
  $1=$l;
  var $2=$1; //@line 861 "./jshashtable.h"
  var $3=HEAP32[(($2)>>2)]; //@line 861 "./jshashtable.h"
  var $4=$3; //@line 861 "./jshashtable.h"
  var $5=$4 >>> 0; //@line 861 "./jshashtable.h"
  $word=$5; //@line 861 "./jshashtable.h"
  var $6=$word; //@line 864 "./jshashtable.h"
  ;
  return $6; //@line 864 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPhS2_EEEC2ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIPhS2_EEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js12HashMapEntryIPhS1_EC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S1_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11initializedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 407 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 407 "./jshashtable.h"
  var $5=(($4)|0)!=0; //@line 407 "./jshashtable.h"
  var $6=$5 ^ 1; //@line 407 "./jshashtable.h"
  var $7=$6 ^ 1; //@line 407 "./jshashtable.h"
  ;
  return $7; //@line 407 "./jshashtable.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb3731($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIPhS2_EEEENS_7MoveRefIT_EERS5_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhS1_EaSENS_7MoveRefIS2_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function _js_free3729($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIPhS1_EaSENS_7MoveRefIS2_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIPhS2_EEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIPhEENS_7MoveRefIT_EERKS3_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIPhEcvRS1_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefINS_12HashMapEntryIPhS2_EEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $11=(($10+4)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIPhEENS_7MoveRefIT_EERS3_($3, $11); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefIPhEcvRS1_Ev($3); //@line 917 "./jshashtable.h"
  var $13=HEAP32[(($12)>>2)]; //@line 917 "./jshashtable.h"
  var $14=(($4+4)|0); //@line 917 "./jshashtable.h"
  HEAP32[(($14)>>2)]=$13; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIPhS2_EEEENS_7MoveRefIT_EERS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPhS2_EEEC1ERS3_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIPhS2_EEEC1ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIPhS2_EEEC2ERS3_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIPhEENS_7MoveRefIT_EERS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIPhEC1ERS1_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIPhS1_EC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIPhS1_EC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIPhS1_EC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function _js_malloc3730($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS3_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS3_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIPhLj0EE4hashERKS1_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*12)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS4_EERKS3_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*12)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS4_EERKS3_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS4_EERKS3_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S1_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIPhLj0EE5matchERKS1_S4_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS3_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6finishEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+20)|0); //@line 624 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 624 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 624 "./jshashtable.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 624 "./jshashtable.h"
    case 2: 
      __label__ = 4; break; //@line 625 "./jshashtable.h"
    case 3: 
      var $8=$2; //@line 627 "./jshashtable.h"
      var $9=(($2+20)|0); //@line 627 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 627 "./jshashtable.h"
      var $11=(($2+4)|0); //@line 627 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 627 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj($8, $10, $12); //@line 627 "./jshashtable.h"
      var $13=(($2+20)|0); //@line 628 "./jshashtable.h"
      HEAP32[(($13)>>2)]=0; //@line 628 "./jshashtable.h"
      var $14=(($2+12)|0); //@line 629 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 629 "./jshashtable.h"
      var $16=(($15+1)|0); //@line 629 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 629 "./jshashtable.h"
      var $17=(($2+8)|0); //@line 630 "./jshashtable.h"
      HEAP32[(($17)>>2)]=0; //@line 630 "./jshashtable.h"
      var $18=(($2+16)|0); //@line 631 "./jshashtable.h"
      HEAP32[(($18)>>2)]=0; //@line 631 "./jshashtable.h"
      __label__ = 4; break; //@line 635 "./jshashtable.h"
    case 4: 
      ;
      return; //@line 635 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3734($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3740($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3735($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function _BUILD_JSVAL3738($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL3739($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE3741($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10setRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($3)>>2)]=1; //@line 90 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 90 "./jshashtable.h"
  ;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE7setFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 88 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  ;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefIPNS_19ScriptFilenameEntryEEcvRS2_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3732($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3733($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3734($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3735($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3736($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3732["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3733($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE3741($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3736($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3736["X"]=1;

function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3737($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeERNS0_14HashTableEntryIS4_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11createTableERS7_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+($38<<3))|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEENS_7MoveRefIT_EERS8_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEaSENS_7MoveRefIS5_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+8)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+($9<<3))|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+($37<<3))|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $9=(($8+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveIPNS_19ScriptFilenameEntryEEENS_7MoveRefIT_EERS4_($2, $9); //@line 83 "./jshashtable.h"
  var $10=__ZNK2js7MoveRefIPNS_19ScriptFilenameEntryEEcvRS2_Ev($2); //@line 83 "./jshashtable.h"
  var $11=HEAP32[(($10)>>2)]; //@line 83 "./jshashtable.h"
  var $12=(($3+4)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$11; //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveIPNS_19ScriptFilenameEntryEEENS_7MoveRefIT_EERS4_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefIPNS_19ScriptFilenameEntryEEC1ERS2_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefIPNS_19ScriptFilenameEntryEEC1ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefIPNS_19ScriptFilenameEntryEEC2ERS2_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js7MoveRefIPNS_19ScriptFilenameEntryEEC2ERS2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN28DisablePrincipalsTranscodingD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=(($4)|0)!=0; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $7=(($2+4)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($2)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=(($10+4)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($11)>>2)]=$8; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      ;
      return; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN14AutoJSXDRStateC2EP10JSXDRState($this, $x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$x;
      var $3=$1;
      var $4=(($3)|0); //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=$2; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($4)>>2)]=$5; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 2; break; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      __label__ = 3; break; //@line 1667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      ;
      return; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 148 "./frontend/ParseMaps.h"
  var $4=HEAP32[(($3)>>2)]; //@line 148 "./frontend/ParseMaps.h"
  ;
  return $4; //@line 148 "./frontend/ParseMaps.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 642 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 642 "./jshashtable.h"
  var $5=(($4)|0)!=0; //@line 642 "./jshashtable.h"
  var $6=$5 ^ 1; //@line 642 "./jshashtable.h"
  ;
  return $6; //@line 642 "./jshashtable.h"
}


function __ZNK2js11TokenStream16versionWithFlagsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+904)|0); //@line 348 "./jsscan.h"
  var $4=HEAP32[(($3)>>2)]; //@line 348 "./jsscan.h"
  ;
  return $4; //@line 348 "./jsscan.h"
}


function __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumC2IS8_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1291 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3allEv($agg_result, $3); //@line 1291 "./jshashtable.h"
  ;
  return; //@line 1291 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+($8<<3))|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5RangeC1EPNS0_14HashTableEntryIS4_EESE_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5RangeC1EPNS0_14HashTableEntryIS4_EESE_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5RangeC2EPNS0_14HashTableEntryIS4_EESE_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5RangeC2EPNS0_14HashTableEntryIS4_EESE_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+8)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10growByImplILb0EEEbj($this, $incr) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      var $newend;
      $2=$this;
      $3=$incr;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 673 "./jsvector.h"
      var $6=$3; //@line 674 "./jsvector.h"
      var $7=(($5+12)|0); //@line 674 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 674 "./jsvector.h"
      var $9=(($5+8)|0); //@line 674 "./jsvector.h"
      var $10=HEAP32[(($9)>>2)]; //@line 674 "./jsvector.h"
      var $11=(($8-$10)|0); //@line 674 "./jsvector.h"
      var $12=(($6)>>>0) > (($11)>>>0); //@line 674 "./jsvector.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 674 "./jsvector.h"
    case 2: 
      var $14=$3; //@line 674 "./jsvector.h"
      var $15=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE13growStorageByEj($5, $14); //@line 674 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 674 "./jsvector.h"
    case 3: 
      $1=0; //@line 675 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 675 "./jsvector.h"
    case 4: 
      var $18=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10endNoCheckEv($5); //@line 678 "./jsvector.h"
      var $19=$3; //@line 678 "./jsvector.h"
      var $20=(($18+($19<<2))|0); //@line 678 "./jsvector.h"
      $newend=$20; //@line 678 "./jsvector.h"
      var $21=$3; //@line 681 "./jsvector.h"
      var $22=(($5+8)|0); //@line 681 "./jsvector.h"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "./jsvector.h"
      var $24=(($23+$21)|0); //@line 681 "./jsvector.h"
      HEAP32[(($22)>>2)]=$24; //@line 681 "./jsvector.h"
      $1=1; //@line 686 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 686 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 687 "./jsvector.h"
      var $26=$1; //@line 687 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $26; //@line 687 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc3742($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN14AutoJSXDRStateD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  _JS_XDRDestroy($4); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZN28DisablePrincipalsTranscodingC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=$2; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=(($5+52)|0); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=_JS_GetRuntimeSecurityCallbacks($7); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($4)>>2)]=$8; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=(($3+4)|0); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($9)>>2)]=0; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=(($3)|0); //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=(($11)|0)!=0; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $14=(($3)|0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $16=(($15+4)|0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=(($3+4)|0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=(($3)|0); //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=(($20+4)|0); //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($21)>>2)]=0; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 3; break; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      ;
      return; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js9InlineMapIP6JSAtomjLj24EE5emptyEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK2js9InlineMapIP6JSAtomjLj24EE8usingMapEv($2); //@line 222 "./mfbt/InlineMap.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 222 "./mfbt/InlineMap.h"
    case 2: 
      var $5=(($2+200)|0); //@line 222 "./mfbt/InlineMap.h"
      var $6=__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5emptyEv($5); //@line 222 "./mfbt/InlineMap.h"
      var $13 = $6;__label__ = 4; break; //@line 222 "./mfbt/InlineMap.h"
    case 3: 
      var $8=(($2+4)|0); //@line 222 "./mfbt/InlineMap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 222 "./mfbt/InlineMap.h"
      var $10=(($9)|0)!=0; //@line 222 "./mfbt/InlineMap.h"
      var $11=$10 ^ 1; //@line 222 "./mfbt/InlineMap.h"
      var $13 = $11;__label__ = 4; break; //@line 222 "./mfbt/InlineMap.h"
    case 4: 
      var $13; //@line 222 "./mfbt/InlineMap.h"
      ;
      return $13; //@line 222 "./mfbt/InlineMap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1121 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5emptyEv($3); //@line 1121 "./jshashtable.h"
  ;
  return $4; //@line 1121 "./jshashtable.h"
}


function __ZNK2js6Parser16versionWithFlagsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+40)|0); //@line 1149 "./jsparse.h"
  var $4=__ZNK2js11TokenStream16versionWithFlagsEv($3); //@line 1149 "./jsparse.h"
  ;
  return $4; //@line 1149 "./jsparse.h"
}


function __Z10NewGCThingI8JSScriptEPT_P9JSContextN2js2gc9AllocKindEj($cx, $kind, $thingSize) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $t;
      $1=$cx;
      $2=$kind;
      $3=$thingSize;
      var $4=$1; //@line 354 "./jsgcinlines.h"
      var $5=(($4+56)|0); //@line 354 "./jsgcinlines.h"
      var $6=HEAP32[(($5)>>2)]; //@line 354 "./jsgcinlines.h"
      var $7=(($6+8)|0); //@line 354 "./jsgcinlines.h"
      var $8=$2; //@line 354 "./jsgcinlines.h"
      var $9=$3; //@line 354 "./jsgcinlines.h"
      var $10=__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj($7, $8, $9); //@line 354 "./jsgcinlines.h"
      $t=$10; //@line 354 "./jsgcinlines.h"
      var $11=$t; //@line 355 "./jsgcinlines.h"
      var $12=(($11)|0)!=0; //@line 355 "./jsgcinlines.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 355 "./jsgcinlines.h"
    case 2: 
      var $14=$t; //@line 355 "./jsgcinlines.h"
      var $20 = $14;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 3: 
      var $16=$1; //@line 355 "./jsgcinlines.h"
      var $17=$2; //@line 355 "./jsgcinlines.h"
      var $18=__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE($16, $17); //@line 355 "./jsgcinlines.h"
      var $20 = $18;__label__ = 4; break; //@line 355 "./jsgcinlines.h"
    case 4: 
      var $20; //@line 355 "./jsgcinlines.h"
      var $21=$20; //@line 355 "./jsgcinlines.h"
      ;
      return $21; //@line 355 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE12lookupForAddERKPKc($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1269 "./jshashtable.h"
  var $5=$2; //@line 1269 "./jshashtable.h"
  __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12lookupForAddERKPKc($agg_result, $4, $5); //@line 1269 "./jshashtable.h"
  ;
  return; //@line 1269 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrcvMSB_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 294, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS5_6SetOpsES4_E6AddPtrERS8_($this, $p, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$p;
  $3=$t;
  var $4=$1;
  var $5=(($4)|0); //@line 1273 "./jshashtable.h"
  var $6=$2; //@line 1273 "./jshashtable.h"
  var $7=$3; //@line 1273 "./jshashtable.h"
  var $8=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrERS4_($5, $6, $7); //@line 1273 "./jshashtable.h"
  ;
  return $8; //@line 1273 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrERS4_($this, $p, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$t;
      var $5=$2;
      var $6=$3; //@line 740 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrE($5, $6); //@line 740 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 740 "./jshashtable.h"
    case 2: 
      $1=0; //@line 741 "./jshashtable.h"
      __label__ = 4; break; //@line 741 "./jshashtable.h"
    case 3: 
      var $10=$4; //@line 742 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 742 "./jshashtable.h"
      var $12=$3; //@line 742 "./jshashtable.h"
      var $13=$12; //@line 742 "./jshashtable.h"
      var $14=(($13)|0); //@line 742 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 742 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 742 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$11; //@line 742 "./jshashtable.h"
      $1=1; //@line 743 "./jshashtable.h"
      __label__ = 4; break; //@line 743 "./jshashtable.h"
    case 4: 
      var $18=$1; //@line 744 "./jshashtable.h"
      ;
      return $18; //@line 744 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 1195 "./jshashtable.h"
  ;
  return $2; //@line 1195 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZL14JSID_FROM_BITSj3746($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _JSID_TO_STRING3744($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _JSID_IS_STRING3745($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkC2EP11JSArenaPool($this, $pool) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pool;
  var $3=$1;
  var $4=(($3)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $5=$2; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $6=(($3+4)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $7=$2; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $8=(($7+16)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $10=(($9+12)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  var $12=$11; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  HEAP32[(($6)>>2)]=$12; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
  ;
  return; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
}


function __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12lookupForAddERKPKc($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11prepareHashERKPKc($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKcjj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11prepareHashERKPKc($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=HEAP32[(($2)>>2)]; //@line 327 "./jshashtable.h"
      var $4=__ZN2js20ScriptFilenameHasher4hashEPKc($3); //@line 327 "./jshashtable.h"
      $keyHash=$4; //@line 327 "./jshashtable.h"
      var $5=$keyHash; //@line 330 "./jshashtable.h"
      var $6=(($5*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$6; //@line 330 "./jshashtable.h"
      var $7=$keyHash; //@line 333 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10isLiveHashEj($7); //@line 333 "./jshashtable.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $10=$keyHash; //@line 334 "./jshashtable.h"
      var $11=(($10-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$11; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $13=$keyHash; //@line 335 "./jshashtable.h"
      var $14=$13 & -2; //@line 335 "./jshashtable.h"
      ;
      return $14; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKcjj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+($11<<3))|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5matchERNS0_14HashTableEntryIS4_EERKPKc($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+($60<<3))|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5matchERNS0_14HashTableEntryIS4_EERKPKc($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKcjj["X"]=1;

function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5matchERNS0_14HashTableEntryIS4_EERKPKc($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_($4); //@line 440 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 440 "./jshashtable.h"
  var $7=$2; //@line 440 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 440 "./jshashtable.h"
  var $9=__ZN2js20ScriptFilenameHasher5matchEPKNS_19ScriptFilenameEntryEPKc($6, $8); //@line 440 "./jshashtable.h"
  ;
  return $9; //@line 440 "./jshashtable.h"
}


function __ZN2js20ScriptFilenameHasher5matchEPKNS_19ScriptFilenameEntryEPKc($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 383 "./jscompartment.h"
  var $4=(($3+1)|0); //@line 383 "./jscompartment.h"
  var $5=(($4)|0); //@line 383 "./jscompartment.h"
  var $6=$2; //@line 383 "./jscompartment.h"
  var $7=_strcmp($5, $6); //@line 383 "./jscompartment.h"
  var $8=(($7)|0)==0; //@line 383 "./jscompartment.h"
  ;
  return $8; //@line 383 "./jscompartment.h"
}


function __ZN2js20ScriptFilenameHasher4hashEPKc($l) {
  ;
  var __label__;

  var $1;
  $1=$l;
  var $2=$1; //@line 381 "./jscompartment.h"
  var $3=_JS_HashString($2); //@line 381 "./jscompartment.h"
  ;
  return $3; //@line 381 "./jscompartment.h"
}


function __ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function _js_calloc3743($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $_m;
      var $_a;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 2: 
      var $4=(($2+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $_m=$5; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $6=(($2)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $8=(($7+16)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      $_a=$9; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $10=$_a; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $11=(($2)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $13=(($12)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $14=(($10)|0)!=(($13)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 3: 
      var $16=$_m; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $17=$16; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $18=$_a; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $19=(($18+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $21=(($17-$20)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $22=$_a; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $23=(($22+12)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $25=$_a; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $26=(($25+4)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $28=(($24-$27)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $29=(($21)>>>0) <= (($28)>>>0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 4: 
      var $31=$_m; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $32=$31; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $33=(($2)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $35=(($34+24)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $37=(($32+$36)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $38=(($2)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $40=(($39+24)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $42=$41 ^ -1; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $43=$37 & $42; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $44=$_a; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $45=(($44+12)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 6; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 5: 
      var $47=(($2)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      var $49=$_m; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      _JS_ArenaRelease($48, $49); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    case 7: 
      ;
      return; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsscript.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkD2Ev["X"]=1;

function __ZN2js10EmptyShape17getEmptyCallShapeEP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 379 "./jsscopeinlines.h"
  var $3=$1; //@line 379 "./jsscopeinlines.h"
  var $4=(($3+56)|0); //@line 379 "./jsscopeinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 379 "./jsscopeinlines.h"
  var $6=(($5+756)|0); //@line 379 "./jsscopeinlines.h"
  var $7=__ZN2js10EmptyShape6ensureEP9JSContextPNS_5ClassEPPS0_($2, __ZN2js9CallClassE, $6); //@line 379 "./jsscopeinlines.h"
  ;
  return $7; //@line 379 "./jsscopeinlines.h"
}


function __ZL10str_escapeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $length;
      var $chars;
      var $newlength;
      var $i;
      var $ch;
      var $newchars;
      var $i1;
      var $ni;
      var $ch2;
      var $retstr;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($5, $6, $7, 0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$str; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$13; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZNK8JSString6lengthEv($14); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$15; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$str; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZNK14JSLinearString5charsEv($16); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$17; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$length; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $newlength=$18; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=0; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $20=$i; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$length; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($20)>>>0) < (($21)>>>0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $24=$i; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$chars; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25+($24<<1))|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=HEAP16[(($26)>>1)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ch=$27; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$ch; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28)&65535); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29)|0) < 128; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $32=$ch; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32)&65535); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=((STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE17shouldPassThrough+$33)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=HEAP8[($34)]; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35 << 24) >> 24)!=0; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      __label__ = 11; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $39=$ch; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39)&65535); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)|0) < 256; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$41 ? 2 : 5; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$newlength; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43+$42)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $newlength=$44; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$newlength; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$length; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($45)>>>0) < (($46)>>>0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $49=$2; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($49); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      __label__ = 11; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $52=$i; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52+1)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$53; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $55=$newlength; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55)>>>0) >= 2147483647; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($56) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $58=$2; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($58); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $60=$2; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$newlength; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61+1)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=((($62<<1))|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=__ZN9JSContext7malloc_Ej($60, $63); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$64; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $newchars=$65; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$newchars; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=(($66)|0)!=0; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      $1=0; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      $i1=0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=0; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 17; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $71=$i1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$length; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($71)>>>0) < (($72)>>>0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($73) { __label__ = 18; break; } else { __label__ = 27; break; } //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $75=$i1; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=$chars; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=(($76+($75<<1))|0); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=HEAP16[(($77)>>1)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ch2=$78; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=$ch2; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($79)&65535); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($80)|0) < 128; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($81) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $83=$ch2; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=(($83)&65535); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=((STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE17shouldPassThrough+$84)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=HEAP8[($85)]; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=(($86 << 24) >> 24)!=0; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($87) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $89=$ch2; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=$ni; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=(($90+1)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$91; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=$newchars; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(($92+($90<<1))|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($93)>>1)]=$89; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $95=$ch2; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=(($95)&65535); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=(($96)|0) < 256; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($97) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $99=$ni; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=(($99+1)|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$100; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=$newchars; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=(($101+($99<<1))|0); //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($102)>>1)]=37; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=$ch2; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=(($103)&65535); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$104 >> 4; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=((STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE6digits+$105)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=HEAP8[($106)]; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=(($107 << 24) >> 24); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=$ni; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=(($109+1)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$110; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=$newchars; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=(($111+($109<<1))|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($112)>>1)]=$108; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=$ch2; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=(($113)&65535); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=$114 & 15; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=((STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE6digits+$115)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=HEAP8[($116)]; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=(($117 << 24) >> 24); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=$ni; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($119+1)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$120; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $121=$newchars; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=(($121+($119<<1))|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($122)>>1)]=$118; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $124=$ni; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=(($124+1)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$125; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=$newchars; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=(($126+($124<<1))|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($127)>>1)]=37; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=$ni; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=(($128+1)|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$129; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=$newchars; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=(($130+($128<<1))|0); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($131)>>1)]=117; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=$ch2; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=(($132)&65535); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=$133 >> 12; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=((STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE6digits+$134)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=HEAP8[($135)]; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=(($136 << 24) >> 24); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=$ni; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=(($138+1)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$139; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=$newchars; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=(($140+($138<<1))|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($141)>>1)]=$137; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=$ch2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $143=(($142)&65535); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $144=$143 & 3840; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=$144 >> 8; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=((STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE6digits+$145)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=HEAP8[($146)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=(($147 << 24) >> 24); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=$ni; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $150=(($149+1)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$150; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=$newchars; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=(($151+($149<<1))|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($152)>>1)]=$148; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=$ch2; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=(($153)&65535); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $155=$154 & 240; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=$155 >> 4; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $157=((STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE6digits+$156)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=HEAP8[($157)]; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=(($158 << 24) >> 24); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $160=$ni; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $161=(($160+1)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$161; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $162=$newchars; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $163=(($162+($160<<1))|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($163)>>1)]=$159; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $164=$ch2; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $165=(($164)&65535); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $166=$165 & 15; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $167=((STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE6digits+$166)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $168=HEAP8[($167)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=(($168 << 24) >> 24); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $170=$ni; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $171=(($170+1)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$171; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=$newchars; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=(($172+($170<<1))|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($173)>>1)]=$169; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break;
    case 24: 
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $177=$i1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $178=(($177+1)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i1=$178; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 17; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $180=$newlength; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $181=$newchars; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $182=(($181+($180<<1))|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($182)>>1)]=0; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $183=$2; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $184=$newchars; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $185=$newlength; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $186=__Z12js_NewStringP9JSContextPtj($183, $184, $185); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $187=$186; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $retstr=$187; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $188=$retstr; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $189=(($188)|0)!=0; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($189) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $191=$2; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $192=$newchars; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $193=$192; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($191, $193); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $195=$4; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $196=$retstr; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($195, $196); //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $198=$1; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $198; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10str_escapeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12str_unescapeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $length;
      var $chars;
      var $newchars;
      var $ni;
      var $i;
      var $ch;
      var $retstr;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($5, $6, $7, 0); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$str; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$13; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZNK8JSString6lengthEv($14); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$15; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$str; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZNK14JSLinearString5charsEv($16); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$17; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$2; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$length; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+1)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=((($20<<1))|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZN9JSContext7malloc_Ej($18, $21); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$22; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $newchars=$23; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$newchars; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24)|0)!=0; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $ni=0; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=0; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $29=$i; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$length; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($29)>>>0) < (($30)>>>0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 46; break; } //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $33=$i; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($33+1)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$34; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$chars; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35+($33<<1))|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=HEAP16[(($36)>>1)]; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ch=$37; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$ch; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38)&65535); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39)|0)==37; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 45; break; } //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $42=$i; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42+1)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$length; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($43)>>>0) < (($44)>>>0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 20; break; } //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $47=$i; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$chars; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48+($47<<1))|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=HEAPU16[(($49)>>1)]; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50)&65535); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($51)|0) < 128; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 20; break; } //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $54=$i; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$chars; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55+($54<<1))|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=HEAPU16[(($56)>>1)]; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57)&65535); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=_isxdigit($58); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59)|0)!=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($60) { __label__ = 11; break; } else { __label__ = 20; break; } //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $62=$i; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=(($62+1)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=$chars; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=(($64+($63<<1))|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=HEAPU16[(($65)>>1)]; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=(($66)&65535); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67)|0) < 128; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($68) { __label__ = 12; break; } else { __label__ = 20; break; } //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $70=$i; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=(($70+1)|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$chars; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($72+($71<<1))|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=HEAPU16[(($73)>>1)]; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($74)&65535); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=_isxdigit($75); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=(($76)|0)!=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($77) { __label__ = 13; break; } else { __label__ = 20; break; } //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $79=$i; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=$chars; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($80+($79<<1))|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=HEAPU16[(($81)>>1)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=(($82)&65535); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=(($83-48)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($84)>>>0) <= 9; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($85) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $87=$i; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=$chars; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(($88+($87<<1))|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=HEAPU16[(($89)>>1)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=(($90)&65535); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=(($91-48)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103 = $92;__label__ = 16; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $94=$i; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=$chars; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=(($95+($94<<1))|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=HEAPU16[(($96)>>1)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=(($97)&65535); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=_tolower($98); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=(($99+10)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=(($100-97)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103 = $101;__label__ = 16; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $103; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=((($103<<4))|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$i; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=(($105+1)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=$chars; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=(($107+($106<<1))|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=HEAPU16[(($108)>>1)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=(($109)&65535); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=(($110-48)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=(($111)>>>0) <= 9; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($112) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $114=$i; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($114+1)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=$chars; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($116+($115<<1))|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=HEAPU16[(($117)>>1)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=(($118)&65535); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($119-48)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132 = $120;__label__ = 19; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $122=$i; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=(($122+1)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=$chars; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=(($124+($123<<1))|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=HEAPU16[(($125)>>1)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=(($126)&65535); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=_tolower($127); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=(($128+10)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=(($129-97)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132 = $130;__label__ = 19; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $132; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=(($104+$132)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=(($133) & 65535); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ch=$134; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=$i; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=(($135+2)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$136; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $138=$i; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=(($138+4)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=$length; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=(($139)>>>0) < (($140)>>>0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($141) { __label__ = 21; break; } else { __label__ = 43; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $143=$i; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $144=$chars; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=(($144+($143<<1))|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=HEAPU16[(($145)>>1)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=(($146)&65535); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=(($147)|0)==117; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($148) { __label__ = 22; break; } else { __label__ = 43; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $150=$i; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=(($150+1)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=$chars; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=(($152+($151<<1))|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=HEAPU16[(($153)>>1)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $155=(($154)&65535); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=(($155)|0) < 128; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($156) { __label__ = 23; break; } else { __label__ = 43; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $158=$i; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=(($158+1)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $160=$chars; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $161=(($160+($159<<1))|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $162=HEAPU16[(($161)>>1)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $163=(($162)&65535); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $164=_isxdigit($163); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $165=(($164)|0)!=0; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($165) { __label__ = 24; break; } else { __label__ = 43; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $167=$i; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $168=(($167+2)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=$chars; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $170=(($169+($168<<1))|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $171=HEAPU16[(($170)>>1)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=(($171)&65535); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=(($172)|0) < 128; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($173) { __label__ = 25; break; } else { __label__ = 43; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $175=$i; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $176=(($175+2)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $177=$chars; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $178=(($177+($176<<1))|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $179=HEAPU16[(($178)>>1)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $180=(($179)&65535); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $181=_isxdigit($180); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $182=(($181)|0)!=0; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($182) { __label__ = 26; break; } else { __label__ = 43; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $184=$i; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $185=(($184+3)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $186=$chars; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $187=(($186+($185<<1))|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $188=HEAPU16[(($187)>>1)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $189=(($188)&65535); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $190=(($189)|0) < 128; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($190) { __label__ = 27; break; } else { __label__ = 43; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $192=$i; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $193=(($192+3)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $194=$chars; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $195=(($194+($193<<1))|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $196=HEAPU16[(($195)>>1)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $197=(($196)&65535); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $198=_isxdigit($197); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $199=(($198)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($199) { __label__ = 28; break; } else { __label__ = 43; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $201=$i; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $202=(($201+4)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $203=$chars; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $204=(($203+($202<<1))|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $205=HEAPU16[(($204)>>1)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $206=(($205)&65535); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $207=(($206)|0) < 128; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($207) { __label__ = 29; break; } else { __label__ = 43; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $209=$i; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $210=(($209+4)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $211=$chars; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $212=(($211+($210<<1))|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $213=HEAPU16[(($212)>>1)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $214=(($213)&65535); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $215=_isxdigit($214); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $216=(($215)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($216) { __label__ = 30; break; } else { __label__ = 43; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $218=$i; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $219=(($218+1)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $220=$chars; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $221=(($220+($219<<1))|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $222=HEAPU16[(($221)>>1)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $223=(($222)&65535); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $224=(($223-48)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $225=(($224)>>>0) <= 9; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($225) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $227=$i; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $228=(($227+1)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $229=$chars; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $230=(($229+($228<<1))|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $231=HEAPU16[(($230)>>1)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $232=(($231)&65535); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $233=(($232-48)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $245 = $233;__label__ = 33; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $235=$i; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $236=(($235+1)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $237=$chars; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $238=(($237+($236<<1))|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $239=HEAPU16[(($238)>>1)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $240=(($239)&65535); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $241=_tolower($240); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $242=(($241+10)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $243=(($242-97)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $245 = $243;__label__ = 33; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $245; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $246=$245 << 4; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $247=$i; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $248=(($247+2)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $249=$chars; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $250=(($249+($248<<1))|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $251=HEAPU16[(($250)>>1)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $252=(($251)&65535); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $253=(($252-48)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $254=(($253)>>>0) <= 9; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($254) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $256=$i; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $257=(($256+2)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $258=$chars; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $259=(($258+($257<<1))|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $260=HEAPU16[(($259)>>1)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $261=(($260)&65535); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $262=(($261-48)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $274 = $262;__label__ = 36; break; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $264=$i; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $265=(($264+2)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $266=$chars; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $267=(($266+($265<<1))|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $268=HEAPU16[(($267)>>1)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $269=(($268)&65535); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $270=_tolower($269); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $271=(($270+10)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $272=(($271-97)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $274 = $272;__label__ = 36; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $274; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $275=(($246+$274)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $276=$275 << 4; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $277=$i; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $278=(($277+3)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $279=$chars; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $280=(($279+($278<<1))|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $281=HEAPU16[(($280)>>1)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $282=(($281)&65535); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $283=(($282-48)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $284=(($283)>>>0) <= 9; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($284) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $286=$i; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $287=(($286+3)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $288=$chars; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $289=(($288+($287<<1))|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $290=HEAPU16[(($289)>>1)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $291=(($290)&65535); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $292=(($291-48)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $304 = $292;__label__ = 39; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $294=$i; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $295=(($294+3)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $296=$chars; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $297=(($296+($295<<1))|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $298=HEAPU16[(($297)>>1)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $299=(($298)&65535); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $300=_tolower($299); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $301=(($300+10)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $302=(($301-97)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $304 = $302;__label__ = 39; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      var $304; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $305=(($276+$304)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $306=$305 << 4; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $307=$i; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $308=(($307+4)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $309=$chars; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $310=(($309+($308<<1))|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $311=HEAPU16[(($310)>>1)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $312=(($311)&65535); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $313=(($312-48)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $314=(($313)>>>0) <= 9; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($314) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      var $316=$i; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $317=(($316+4)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $318=$chars; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $319=(($318+($317<<1))|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $320=HEAPU16[(($319)>>1)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $321=(($320)&65535); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $322=(($321-48)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $334 = $322;__label__ = 42; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      var $324=$i; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $325=(($324+4)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $326=$chars; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $327=(($326+($325<<1))|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $328=HEAPU16[(($327)>>1)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $329=(($328)&65535); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $330=_tolower($329); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $331=(($330+10)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $332=(($331-97)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $334 = $332;__label__ = 42; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      var $334; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $335=(($306+$334)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $336=(($335) & 65535); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ch=$336; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $337=$i; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $338=(($337+5)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$338; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 43; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      __label__ = 44; break;
    case 44: 
      __label__ = 45; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 45: 
      var $342=$ch; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $343=$ni; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $344=(($343+1)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ni=$344; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $345=$newchars; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $346=(($345+($343<<1))|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($346)>>1)]=$342; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 46: 
      var $348=$ni; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $349=$newchars; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $350=(($349+($348<<1))|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($350)>>1)]=0; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $351=$2; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $352=$newchars; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $353=$ni; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $354=__Z12js_NewStringP9JSContextPtj($351, $352, $353); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $355=$354; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $retstr=$355; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $356=$retstr; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $357=(($356)|0)!=0; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($357) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 47: 
      var $359=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $360=$newchars; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $361=$360; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($359, $361); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 48: 
      var $363=$4; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $364=$retstr; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($363, $364); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 49: 
      var $366=$1; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $366; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12str_unescapeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL10str_unevalP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$3; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)|0)!=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$4; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10+16)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$5; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$11; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      __ZN2JSL14UndefinedValueEv3828($5); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $16=__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($6, $5); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$16; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$str; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)!=0; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $21=$4; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$str; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($21, $22); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $24=$1; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13str_decodeURIP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($5, $6, $7, 0); //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 4069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 4071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$str; //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$14; //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$4; //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZL6DecodeP9JSContextP8JSStringPKtPN2JS5ValueE($13, $15, ((__ZL29js_uriReservedPlusPound_ucstr)|0), $16); //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$17; //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=$1; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $19; //@line 4073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13str_encodeURIP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($5, $6, $7, 0); //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$str; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$14; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$4; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZL6EncodeP9JSContextP8JSStringPKtS4_PN2JS5ValueE($13, $15, ((__ZL29js_uriReservedPlusPound_ucstr)|0), ((__ZL21js_uriUnescaped_ucstr)|0), $16); //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$17; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=$1; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $19; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23str_decodeURI_ComponentP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($5, $6, $7, 0); //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 4078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$str; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$14; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$4; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZL6DecodeP9JSContextP8JSStringPKtPN2JS5ValueE($13, $15, ((_js_empty_ucstr)|0), $16); //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$17; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=$1; //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $19; //@line 4082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL23str_encodeURI_ComponentP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($5, $6, $7, 0); //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 4097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$str; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$14; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$4; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZL6EncodeP9JSContextP8JSStringPKtS4_PN2JS5ValueE($13, $15, ((__ZL21js_uriUnescaped_ucstr)|0), 0, $16); //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$17; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=$1; //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $19; //@line 4101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13str_enumerateP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $str;
      var $i;
      var $length;
      var $str1;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$3; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZNK8JSObject16getPrimitiveThisEv($5); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZNK2JS5Value8toStringEv($6); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=0; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZNK8JSString6lengthEv($8); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$9; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $11=$i; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$length; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($11)>>>0) < (($12)>>>0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $15=$2; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$str; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$i; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__Z21js_NewDependentStringP9JSContextP8JSStringjj($15, $16, $17, 1); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$18; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str1=$19; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$str1; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20)|0)!=0; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $24=$3; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$2; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$i; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$str1; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($4, $27); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=__ZN8JSObject13defineElementEP9JSContextjRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($24, $25, $26, $4, 8, 10, 7); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28)|0)!=0; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      __label__ = 8; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $33=$i; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($33+1)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$34; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $1=1; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $37=$1; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13str_enumerateP9JSContextP8JSObject["X"]=1;

function __ZL11str_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $str;
      var $slot;
      var $str1;
      var $7=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $8=$4; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=_JSID_IS_INT3906($8); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=1; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$3; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK8JSObject16getPrimitiveThisEv($13); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZNK2JS5Value8toStringEv($14); //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$15; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$4; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=_JSID_TO_INT3948($16); //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $slot=$17; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$slot; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$str; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZNK8JSString6lengthEv($19); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($18)>>>0) < (($20)>>>0); //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $23=$2; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23+52)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25+210584)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$2; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$str; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$slot; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZN2js13StaticStrings23getUnitStringForElementEP9JSContextP8JSStringj($26, $27, $28, $29); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$30; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str1=$31; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$str1; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32)|0)!=0; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $36=$3; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$2; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$slot; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$str1; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($7, $39); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZN8JSObject13defineElementEP9JSContextjRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($36, $37, $38, $7, 0, 0, 7); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)|0)!=0; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $1=0; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $44=$3; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$6; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($45)>>2)]=$44; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $1=1; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $48=$1; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11str_resolveP9JSContextP8JSObjectijPS2_["X"]=1;

function __Z15js_str_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZN2js16GetPrimitiveThisIP8JSStringEEbP9JSContextPN2JS5ValueEPT_($5, $6, $str); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$4; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=HEAP32[(($str)>>2)]; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($10, $11); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $13=$1; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $13; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js16GetPrimitiveThisIP8JSStringEEbP9JSContextPN2JS5ValueEPT_($cx, $vp, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisv;
      $2=$cx;
      $3=$vp;
      $4=$v;
      var $5=$3; //@line 110 "./jsinterpinlines.h"
      var $6=(($5+8)|0); //@line 110 "./jsinterpinlines.h"
      $thisv=$6; //@line 110 "./jsinterpinlines.h"
      var $7=$thisv; //@line 111 "./jsinterpinlines.h"
      var $8=__ZN2js6detail17PrimitiveBehaviorIP8JSStringE6isTypeERKN2JS5ValueE($7); //@line 111 "./jsinterpinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 111 "./jsinterpinlines.h"
    case 2: 
      var $10=$thisv; //@line 112 "./jsinterpinlines.h"
      var $11=__ZN2js6detail17PrimitiveBehaviorIP8JSStringE7extractERKN2JS5ValueE($10); //@line 112 "./jsinterpinlines.h"
      var $12=$4; //@line 112 "./jsinterpinlines.h"
      HEAP32[(($12)>>2)]=$11; //@line 112 "./jsinterpinlines.h"
      $1=1; //@line 113 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 113 "./jsinterpinlines.h"
    case 3: 
      var $14=$thisv; //@line 116 "./jsinterpinlines.h"
      var $15=__ZNK2JS5Value8isObjectEv($14); //@line 116 "./jsinterpinlines.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 116 "./jsinterpinlines.h"
    case 4: 
      var $17=$thisv; //@line 116 "./jsinterpinlines.h"
      var $18=__ZNK2JS5Value8toObjectEv($17); //@line 116 "./jsinterpinlines.h"
      var $19=__ZNK8JSObject8getClassEv($18); //@line 116 "./jsinterpinlines.h"
      var $20=__ZN2js6detail17PrimitiveBehaviorIP8JSStringE8getClassEv(); //@line 116 "./jsinterpinlines.h"
      var $21=(($19)|0)==(($20)|0); //@line 116 "./jsinterpinlines.h"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 116 "./jsinterpinlines.h"
    case 5: 
      var $23=$thisv; //@line 117 "./jsinterpinlines.h"
      var $24=__ZNK2JS5Value8toObjectEv($23); //@line 117 "./jsinterpinlines.h"
      var $25=__ZNK8JSObject16getPrimitiveThisEv($24); //@line 117 "./jsinterpinlines.h"
      var $26=__ZN2js6detail17PrimitiveBehaviorIP8JSStringE7extractERKN2JS5ValueE($25); //@line 117 "./jsinterpinlines.h"
      var $27=$4; //@line 117 "./jsinterpinlines.h"
      HEAP32[(($27)>>2)]=$26; //@line 117 "./jsinterpinlines.h"
      $1=1; //@line 118 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 118 "./jsinterpinlines.h"
    case 6: 
      var $29=$2; //@line 121 "./jsinterpinlines.h"
      var $30=$3; //@line 121 "./jsinterpinlines.h"
      var $31=__ZN2js6detail17PrimitiveBehaviorIP8JSStringE8getClassEv(); //@line 121 "./jsinterpinlines.h"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($29, $30, $31); //@line 121 "./jsinterpinlines.h"
      $1=0; //@line 122 "./jsinterpinlines.h"
      __label__ = 7; break; //@line 122 "./jsinterpinlines.h"
    case 7: 
      var $33=$1; //@line 123 "./jsinterpinlines.h"
      ;
      return $33; //@line 123 "./jsinterpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z21js_BoyerMooreHorspoolPKtjS0_j($text, $textlen, $pat, $patlen) {
  var __stackBase__  = STACKTOP; STACKTOP += 256; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $skip=__stackBase__;
      var $i;
      var $m;
      var $i1;
      var $c;
      var $c2;
      var $k;
      var $i3;
      var $j;
      $2=$text;
      $3=$textlen;
      $4=$pat;
      $5=$patlen;
      $i=0; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $7=$i; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)>>>0) < 256; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$5; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10) & 255); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$i; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($skip+$12)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($13)]=$11; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15=$i; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15+1)|0); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$16; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $18=$5; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18-1)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $m=$19; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i1=0; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $21=$i1; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$m; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($21)>>>0) < (($22)>>>0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $25=$i1; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$4; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26+($25<<1))|0); //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=HEAP16[(($27)>>1)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$28; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$c; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29)&65535); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30)>>>0) >= 256; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=-2; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $34=$m; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$i1; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($34-$35)|0); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36) & 255); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$c; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38)&65535); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($skip+$39)|0); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($40)]=$37; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $42=$i1; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42+1)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i1=$43; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $45=$m; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$45; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $47=$k; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$3; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($47)>>>0) < (($48)>>>0); //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 25; break; } //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $51=$k; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i3=$51; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$m; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$52; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $54=$i3; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$2; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55+($54<<1))|0); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=HEAPU16[(($56)>>1)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57)&65535); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$j; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$4; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+($59<<1))|0); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=HEAPU16[(($61)>>1)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=(($62)&65535); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($58)|0)!=(($63)|0); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($64) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      __label__ = 20; break; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $67=$j; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67)|0)==0; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($68) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $70=$i3; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$70; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      __label__ = 19; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $73=$i3; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=(($73-1)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i3=$74; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$j; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75-1)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$76; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      __label__ = 21; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $79=$k; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=$2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($80+($79<<1))|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=HEAPU16[(($81)>>1)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c2=$82; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=(($82)&65535); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=(($83)>>>0) >= 256; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($84) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $86=$5; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94 = $86;__label__ = 24; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $88=$c2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(($88)&65535); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=(($skip+$89)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=HEAPU8[($90)]; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=(($91)&255); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94 = $92;__label__ = 24; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $94; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=$k; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=(($95+$94)|0); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$96; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      $1=-1; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $99=$1; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $99; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z21js_BoyerMooreHorspoolPKtjS0_j["X"]=1;

function __Z14js_toLowerCaseP9JSContextP8JSString($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      var $s;
      var $news;
      var $i;
      $2=$cx;
      $3=$str;
      var $4=$3; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=__ZNK8JSString6lengthEv($4); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$5; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$2; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZN8JSString8getCharsEP9JSContext($6, $7); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $s=$8; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$s; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$n; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14+1)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=((($15<<1))|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZN9JSContext7malloc_Ej($13, $16); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$17; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $news=$18; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$news; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19)|0)!=0; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $i=0; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $24=$i; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$n; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($24)>>>0) < (($25)>>>0); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $28=$i; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$s; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29+($28<<1))|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=HEAP16[(($30)>>1)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=__ZN2js7unicode11ToLowerCaseEt($31); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$i; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$news; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+($33<<1))|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($35)>>1)]=$32; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $37=$i; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+1)|0); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$38; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $40=$n; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$news; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41+($40<<1))|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($42)>>1)]=0; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$2; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$news; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$n; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=__Z12js_NewStringP9JSContextPtj($43, $44, $45); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$46; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$47; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48)|0)!=0; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $51=$2; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$news; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$52; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($51, $53); //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $55=$3; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$55; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $57=$1; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $57; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z14js_toLowerCaseP9JSContextP8JSString["X"]=1;

function __Z12js_NewStringP9JSContextPtj($cx, $chars, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $s;
      $2=$cx;
      $3=$chars;
      $4=$length;
      var $5=$2; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZN2jsL17CheckStringLengthEP9JSContextj3839($5, $6); //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$2; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$3; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$4; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZN13JSFixedString4new_EP9JSContextPKtj($10, $11, $12); //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $s=$13; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$2; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$s; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$15; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$4; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZN2js6Probes12createStringEP9JSContextP8JSStringj($14, $16, $17); //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$s; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$19; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $21=$1; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $21; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z14js_toUpperCaseP9JSContextP8JSString($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      var $s;
      var $news;
      var $i;
      $2=$cx;
      $3=$str;
      var $4=$3; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=__ZNK8JSString6lengthEv($4); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$5; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$2; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZN8JSString8getCharsEP9JSContext($6, $7); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $s=$8; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$s; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$n; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14+1)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=((($15<<1))|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZN9JSContext7malloc_Ej($13, $16); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$17; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $news=$18; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$news; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19)|0)!=0; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $i=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $24=$i; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$n; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($24)>>>0) < (($25)>>>0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $28=$i; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$s; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29+($28<<1))|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=HEAP16[(($30)>>1)]; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=__ZN2js7unicode11ToUpperCaseEt($31); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$i; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$news; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+($33<<1))|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($35)>>1)]=$32; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $37=$i; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+1)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$38; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $40=$n; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$news; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41+($40<<1))|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($42)>>1)]=0; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$2; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$news; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$n; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=__Z12js_NewStringP9JSContextPtj($43, $44, $45); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$46; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$47; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$3; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48)|0)!=0; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $51=$2; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$news; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$52; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($51, $53); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $55=$3; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$55; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $57=$1; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $57; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z14js_toUpperCaseP9JSContextP8JSString["X"]=1;

function __ZN2js7unicode11ToUpperCaseEt($ch) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $info;
      $2=$ch;
      var $3=$2; //@line 249 "./vm/Unicode.h"
      var $4=__ZN2js7unicode8CharInfoEt($3); //@line 249 "./vm/Unicode.h"
      $info=$4; //@line 249 "./vm/Unicode.h"
      var $5=$info; //@line 255 "./vm/Unicode.h"
      var $6=(($5+4)|0); //@line 255 "./vm/Unicode.h"
      var $7=HEAPU8[($6)]; //@line 255 "./vm/Unicode.h"
      var $8=(($7)&255); //@line 255 "./vm/Unicode.h"
      var $9=$8 & 8; //@line 255 "./vm/Unicode.h"
      var $10=(($9)|0)!=0; //@line 255 "./vm/Unicode.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 255 "./vm/Unicode.h"
    case 2: 
      var $12=$info; //@line 256 "./vm/Unicode.h"
      var $13=(($12)|0); //@line 256 "./vm/Unicode.h"
      var $14=HEAP16[(($13)>>1)]; //@line 256 "./vm/Unicode.h"
      $1=$14; //@line 256 "./vm/Unicode.h"
      __label__ = 4; break; //@line 256 "./vm/Unicode.h"
    case 3: 
      var $16=$2; //@line 258 "./vm/Unicode.h"
      var $17=(($16)&65535); //@line 258 "./vm/Unicode.h"
      var $18=$info; //@line 258 "./vm/Unicode.h"
      var $19=(($18)|0); //@line 258 "./vm/Unicode.h"
      var $20=HEAPU16[(($19)>>1)]; //@line 258 "./vm/Unicode.h"
      var $21=(($20)&65535); //@line 258 "./vm/Unicode.h"
      var $22=(($17+$21)|0); //@line 258 "./vm/Unicode.h"
      var $23=(($22) & 65535); //@line 258 "./vm/Unicode.h"
      $1=$23; //@line 258 "./vm/Unicode.h"
      __label__ = 4; break; //@line 258 "./vm/Unicode.h"
    case 4: 
      var $25=$1; //@line 259 "./vm/Unicode.h"
      ;
      return $25; //@line 259 "./vm/Unicode.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z13js_str_charAtP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $i;
      var $d=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5+8)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZNK2JS5Value8isStringEv($6); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $9=$3; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$4; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12+16)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK2JS5Value7isInt32Ev($13); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $16=$4; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16+8)|0); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZNK2JS5Value8toStringEv($17); //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$18; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$4; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+16)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=__ZNK2JS5Value7toInt32Ev($20); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$21; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$i; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$str; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZNK8JSString6lengthEv($23); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($22)>>>0) >= (($24)>>>0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      __label__ = 19; break; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      __label__ = 16; break; //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $29=$2; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$4; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($29, $30); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$31; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$str; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32)|0)!=0; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$3; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36)>>>0) > 0; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $39=$2; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$4; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+16)|0); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3824($39, $41, $d); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $45=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$45 < 0; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $48=$str; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=__ZNK8JSString6lengthEv($48); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49)>>>0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$50 <= $51; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __label__ = 19; break; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55)&-1); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$56; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break;
    case 16: 
      var $58=$2; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=(($58+52)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+210584)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=$2; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$str; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=$i; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=__ZN2js13StaticStrings23getUnitStringForElementEP9JSContextP8JSStringj($61, $62, $63, $64); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$65; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$66; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$str; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67)|0)!=0; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($68) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      $1=0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $71=$4; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$str; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($71, $72); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $74=$4; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$2; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75+52)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=(($77+144136)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=$79; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($74, $80); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $82=$1; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $82; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z13js_str_charAtP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stackDummy_=__stackBase__;
      var $obj;
      var $str;
      $2=$cx;
      $3=$vp;
      __label__ = 2; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $5=$stackDummy_; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$2; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6+48)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=HEAPU32[(($7)>>2)]; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($5)>>>0) < (($8)>>>0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=$2; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __Z21js_ReportOverRecursedP9JSContext($11); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      __label__ = 5; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $14=$3; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14+8)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZNK2JS5Value8isStringEv($15); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $18=$3; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18+8)|0); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZNK2JS5Value8toStringEv($19); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$20; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $22=$3; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22+8)|0); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZNK2JS5Value8isObjectEv($23); //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $26=$3; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26+8)|0); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=__ZNK2JS5Value8toObjectEv($27); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $obj=$28; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$obj; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZNK8JSObject8isStringEv($29); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $32=$2; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$obj; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$2; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+52)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36+209948)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+376)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$39; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3836($40); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZN2jsL19ClassMethodIsNativeEP9JSContextP8JSObjectPNS_5ClassEiPFiS1_jPN2JS5ValueEE3938($32, $33, __ZN2js11StringClassE, $41, 196); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $44=$3; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44+8)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$obj; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=__ZNK8JSObject16getPrimitiveThisEv($46); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$45; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$47; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$3; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50+8)|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=__ZNK2JS5Value8toStringEv($51); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$52; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      __label__ = 15; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $55=$3; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55+8)|0); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=__ZNK2JS5Value17isNullOrUndefinedEv($56); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $59=$2; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$3; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+8)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=__ZNK2JS5Value6isNullEv($61); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$62 ? (((STRING_TABLE.__str483817)|0)) : (((STRING_TABLE.__str493818)|0)); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($59, 2, 0, 38, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$63,HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str503819)|0),tempInt)); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $66=$2; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$3; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67+8)|0); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($66, $68); //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$69; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$str; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=(($70)|0)!=0; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($71) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      $1=0; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $74=$3; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($74+8)|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=$str; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($75, $76); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$str; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$77; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $79=$1; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE["X"]=1;

function __ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3824($cx, $v, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$dp;
      var $6=$3; //@line 620 "./jsnum.h"
      var $7=__ZNK2JS5Value7isInt32Ev($6); //@line 620 "./jsnum.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 620 "./jsnum.h"
    case 2: 
      var $9=$3; //@line 621 "./jsnum.h"
      var $10=__ZNK2JS5Value7toInt32Ev($9); //@line 621 "./jsnum.h"
      var $11=(($10)|0); //@line 621 "./jsnum.h"
      var $12=$4; //@line 621 "./jsnum.h"
      (tempDoubleF64[0]=$11,HEAP32[(($12)>>2)]=tempDoubleI32[0],HEAP32[(($12+4)>>2)]=tempDoubleI32[1]); //@line 621 "./jsnum.h"
      $1=1; //@line 622 "./jsnum.h"
      __label__ = 9; break; //@line 622 "./jsnum.h"
    case 3: 
      var $14=$3; //@line 624 "./jsnum.h"
      var $15=__ZNK2JS5Value8isDoubleEv($14); //@line 624 "./jsnum.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 624 "./jsnum.h"
    case 4: 
      var $17=$3; //@line 625 "./jsnum.h"
      var $18=__ZNK2JS5Value8toDoubleEv($17); //@line 625 "./jsnum.h"
      var $19=$4; //@line 625 "./jsnum.h"
      (tempDoubleF64[0]=$18,HEAP32[(($19)>>2)]=tempDoubleI32[0],HEAP32[(($19+4)>>2)]=tempDoubleI32[1]); //@line 625 "./jsnum.h"
      __label__ = 8; break; //@line 626 "./jsnum.h"
    case 5: 
      var $21=$2; //@line 628 "./jsnum.h"
      var $22=$3; //@line 628 "./jsnum.h"
      var $23=$5; //@line 628 "./jsnum.h"
      var $24=$22; //@line 628 "./jsnum.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 628 "./jsnum.h"
      var $25=$4; //@line 628 "./jsnum.h"
      var $26=__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd($21, $5, $25); //@line 628 "./jsnum.h"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 628 "./jsnum.h"
    case 6: 
      $1=0; //@line 629 "./jsnum.h"
      __label__ = 9; break; //@line 629 "./jsnum.h"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $30=$4; //@line 631 "./jsnum.h"
      var $31=(tempDoubleI32[0]=HEAP32[(($30)>>2)],tempDoubleI32[1]=HEAP32[(($30+4)>>2)],tempDoubleF64[0]); //@line 631 "./jsnum.h"
      var $32=__ZL18js_DoubleToIntegerd3931($31); //@line 631 "./jsnum.h"
      var $33=$4; //@line 631 "./jsnum.h"
      (tempDoubleF64[0]=$32,HEAP32[(($33)>>2)]=tempDoubleI32[0],HEAP32[(($33+4)>>2)]=tempDoubleI32[1]); //@line 631 "./jsnum.h"
      $1=1; //@line 632 "./jsnum.h"
      __label__ = 9; break; //@line 632 "./jsnum.h"
    case 9: 
      var $35=$1; //@line 633 "./jsnum.h"
      STACKTOP = __stackBase__;
      return $35; //@line 633 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_str_charCodeAtP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $i;
      var $d=__stackBase__;
      var $chars;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5+8)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZNK2JS5Value8isStringEv($6); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $9=$3; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$4; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12+16)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK2JS5Value7isInt32Ev($13); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $16=$4; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16+8)|0); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZNK2JS5Value8toStringEv($17); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$18; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$4; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+16)|0); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=__ZNK2JS5Value7toInt32Ev($20); //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$21; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$i; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$str; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZNK8JSString6lengthEv($23); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($22)>>>0) >= (($24)>>>0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      __label__ = 19; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      __label__ = 16; break; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $29=$2; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$4; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($29, $30); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$31; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$str; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32)|0)!=0; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$3; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36)>>>0) > 0; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $39=$2; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$4; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+16)|0); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3824($39, $41, $d); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $45=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$45 < 0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $48=$str; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=__ZNK8JSString6lengthEv($48); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49)>>>0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$50 <= $51; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __label__ = 19; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55)&-1); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$56; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break;
    case 16: 
      var $58=$str; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$2; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=__ZN8JSString8getCharsEP9JSContext($58, $59); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$60; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$chars; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61)|0)!=0; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      $1=0; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $65=$4; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$i; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$chars; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67+($66<<1))|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=HEAPU16[(($68)>>1)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69)&65535); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($65, $70); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $72=$4; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setDoubleEd($72, $73); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $75=$1; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $75; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_str_charCodeAtP9JSContextjPN2JS5ValueE["X"]=1;

function __Z15js_strchr_limitPKttS0_($s, $c, $limit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$s;
      $3=$c;
      $4=$limit;
      __label__ = 2; break; //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $6=$2; //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($6)>>>0) < (($7)>>>0); //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$2; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=HEAPU16[(($10)>>1)]; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11)&65535); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$3; //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($13)&65535); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $17=$2; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$17; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$2; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+2)|0); //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $2=$20; //@line 3489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 3490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $23=$1; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $23; //@line 3492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK9FlatMatch5matchEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $4; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN2js11str_replaceEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 184; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $rdata=__stackBase__;
      var $5;
      var $fun;
      var $script;
      var $pc;
      var $table=__stackBase__+176;
      var $clasp;
      var $fixed;
      var $fm;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN11ReplaceDataC1EP9JSContext($rdata, $6); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$2; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$4; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($7, $8); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($rdata)|0); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($10)>>2)]=$9; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($rdata)|0); //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0)!=0; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $16=(($rdata+4)|0); //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$3; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$4; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=__ZN11RegExpGuard4initEjPN2JS5ValueEb($16, $17, $18, 0); //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $22=$3; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22)>>>0) >= 2; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 24; break; } //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $25=$4; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25+24)|0); //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZL13js_IsCallableRKN2JS5ValueE3827($26); //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 24; break; } //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $29=$4; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29+24)|0); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZNK2JS5Value8toObjectEv($30); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($rdata+36)|0); //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($rdata+40)|0); //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($33)>>2)]=0; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($rdata+44)|0); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($34)>>2)]=0; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($rdata+52)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($35)>>2)]=0; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($rdata+48)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($36)>>2)]=0; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($rdata+36)|0); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZNK8JSObject10isFunctionEv($38); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 23; break; } //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $41=(($rdata+36)|0); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=__ZNK8JSObject18getFunctionPrivateEv($42); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fun=$43; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$fun; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=__ZNK10JSFunction13isInterpretedEv($44); //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 22; break; } //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $47=$fun; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=__ZNK10JSFunction6scriptEv($47); //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $script=$48; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$script; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49)|0); //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $pc=$51; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL14UndefinedValueEv3828($table); //@line 2156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$pc; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=HEAPU8[($52)]; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53)&255); //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54)|0)==136; //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($55) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $57=(($rdata+36)|0); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$pc; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59+1)|0); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=HEAPU8[($60)]; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61)&255); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$62 << 8; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=$pc; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=(($64+2)|0); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=HEAPU8[($65)]; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=(($66)&255); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$63 | $67; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=__ZN8JSObject19getFlatClosureUpvarEj($58, $68); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$table; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$69; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[(($71)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[(($71+4)>>2)]; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$pc; //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($72+3)|0); //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $pc=$73; //@line 2159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $75=__ZNK2JS5Value8isObjectEv($table); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($75) { __label__ = 12; break; } else { __label__ = 21; break; } //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $77=$pc; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=HEAPU8[($77)]; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=(($78)&255); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($79)|0)==84; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($80) { __label__ = 13; break; } else { __label__ = 21; break; } //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $82=$pc; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=(($82+1)|0); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=HEAPU8[($83)]; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($84)&255); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=$85 << 8; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=$pc; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=(($87+2)|0); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=HEAPU8[($88)]; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=(($89)&255); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$86 | $90; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=(($91)|0)==0; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($92) { __label__ = 14; break; } else { __label__ = 21; break; } //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $94=$pc; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(($94+3)|0); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=HEAPU8[($95)]; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=(($96)&255); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=(($97)|0)==55; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($98) { __label__ = 15; break; } else { __label__ = 21; break; } //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $100=$pc; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=(($100+3)|0); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=(($101+1)|0); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=HEAPU8[($102)]; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=(($103)&255); //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=(($104)|0)==5; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($105) { __label__ = 16; break; } else { __label__ = 21; break; } //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $107=__ZNK2JS5Value8toObjectEv($table); //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=__ZNK8JSObject8getClassEv($107); //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $clasp=$108; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=$clasp; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=__ZNK2js5Class8isNativeEv($109); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($110) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $112=$clasp; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=(($112+92)|0); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=(($113+4)|0); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=(($115)|0)!=0; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($116) { __label__ = 20; break; } else { __label__ = 18; break; } //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $118=$clasp; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=(($118+92)|0); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($119+36)|0); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=(($121)|0)!=0; //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($122) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $124=__ZNK2JS5Value8toObjectEv($table); //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=(($rdata+40)|0); //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($125)>>2)]=$124; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      __label__ = 21; break; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      __label__ = 22; break; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      __label__ = 23; break; //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      __label__ = 29; break; //@line 2175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $131=(($rdata+36)|0); //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($131)>>2)]=0; //@line 2176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=(($rdata+40)|0); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($132)>>2)]=0; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=$2; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=$3; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=$4; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($133, $134, $135, 1); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=(($rdata+44)|0); //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($137)>>2)]=$136; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=(($rdata+44)|0); //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=(($139)|0)!=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($140) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      $1=0; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $143=(($rdata+44)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=$144; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=$2; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=__ZN8JSString11ensureFixedEP9JSContext($145, $146); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixed=$147; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=$fixed; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=(($148)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($149) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $152=$fixed; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=$152; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=__ZNK14JSLinearString5charsEv($153); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $155=$fixed; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=$155; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $157=__ZNK8JSString6lengthEv($156); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=(($154+($157<<1))|0); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=(($rdata+52)|0); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($159)>>2)]=$158; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $160=$fixed; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $161=$160; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $162=__ZNK14JSLinearString5charsEv($161); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $163=(($rdata+52)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $165=__Z15js_strchr_limitPKttS0_($162, 36, $164); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $166=(($rdata+48)|0); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($166)>>2)]=$165; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 29; break;
    case 29: 
      var $168=(($rdata+4)|0); //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=$2; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $170=(($rdata)|0); //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $171=HEAP32[(($170)>>2)]; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=$3; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=__ZN11RegExpGuard12tryFlatMatchEP9JSContextP8JSStringjjb($168, $169, $171, 2, $172, 0); //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fm=$173; //@line 2200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $174=$fm; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $175=(($174)|0)!=0; //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($175) { __label__ = 33; break; } else { __label__ = 30; break; } //@line 2201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $177=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $178=__ZN9JSContext18isExceptionPendingEv($177); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($178) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $181=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $182=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $183=$4; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $184=__ZL18str_replace_regexpP9JSContextjPN2JS5ValueER11ReplaceData($181, $182, $183, $rdata); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $185=(($184)&1); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$185; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $187=$fm; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $188=__ZNK9FlatMatch5matchEv($187); //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $189=(($188)|0) < 0; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($189) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $191=$4; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $192=(($rdata)|0); //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $193=HEAP32[(($192)>>2)]; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($191, $193); //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $195=(($rdata+36)|0); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $196=HEAP32[(($195)>>2)]; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $197=(($196)|0)!=0; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($197) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $199=$2; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $200=$3; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $201=$4; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $202=$fm; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $203=__ZL23str_replace_flat_lambdaP9JSContextjPN2JS5ValueER11ReplaceDataRK9FlatMatch($199, $200, $201, $rdata, $202); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $204=(($203)&1); //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$204; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $206=(($rdata+48)|0); //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $208=(($207)|0)!=0; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($208) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $210=$2; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $211=(($rdata)|0); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $212=HEAP32[(($211)>>2)]; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $213=(($rdata+44)|0); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $215=(($rdata+48)|0); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $216=HEAP32[(($215)>>2)]; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $217=$fm; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $218=$4; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $219=__ZL22BuildDollarReplacementP9JSContextP8JSStringP14JSLinearStringPKtRK9FlatMatchPN2JS5ValueE($210, $212, $214, $216, $217, $218); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $220=(($219)&1); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$220; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      var $222=$2; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $223=(($rdata)|0); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $224=HEAP32[(($223)>>2)]; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $225=(($rdata+44)|0); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $226=HEAP32[(($225)>>2)]; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $227=$226; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $228=$fm; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $229=$4; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $230=__ZL20BuildFlatReplacementP9JSContextP8JSStringS2_RK9FlatMatchPN2JS5ValueE($222, $224, $227, $228, $229); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $231=(($230)&1); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$231; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 40; break; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      __ZN11ReplaceDataD1Ev($rdata); //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $233=$1; //@line 2224 "./vm/StringObject-inl.h"
      STACKTOP = __stackBase__;
      return $233; //@line 2224 "./vm/StringObject-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11str_replaceEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN11ReplaceDataC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN11ReplaceDataC2EP9JSContext($3, $4); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN11RegExpGuard4initEjPN2JS5ValueEb($this, $argc, $vp, $convertVoid) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6=__stackBase__;
      $2=$this;
      $3=$argc;
      $4=$vp;
      var $7=(($convertVoid)&1);
      $5=$7;
      var $8=$2;
      var $9=$3; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $12=(($8)|0); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$4; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14+16)|0); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$6; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$15; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZL15VALUE_IS_REGEXPP9JSContextN2JS5ValueE($13, $6); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $20=(($8+4)|0); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$4; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21+16)|0); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=__ZNK2JS5Value8toObjectEv($22); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN10RegExpPair5resetER8JSObject($20, $23); //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $25=$5; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25) & 1); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $28=$3; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28)|0)==0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $31=$4; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31+16)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=__ZNK2JS5Value11isUndefinedEv($32); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $35=(($8)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36+52)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+144136)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$40; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($8+16)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($43)>>2)]=$41; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $45=(($8)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$3; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$4; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($46, $47, $48, 0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($8+16)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($51)>>2)]=$49; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($8+16)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54)|0)!=0; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($55) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $1=0; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      __label__ = 11; break;
    case 11: 
      $1=1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $60=$1; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $60; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11RegExpGuard4initEjPN2JS5ValueEb["X"]=1;

function __ZL13js_IsCallableRKN2JS5ValueE3827($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 1149 "./jsobjinlines.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 1149 "./jsobjinlines.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1149 "./jsobjinlines.h"
    case 2: 
      var $5=$1; //@line 1149 "./jsobjinlines.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 1149 "./jsobjinlines.h"
      var $7=__ZN8JSObject10isCallableEv($6); //@line 1149 "./jsobjinlines.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 1150 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL14UndefinedValueEv3828($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($cx, $argc, $vp, $arg) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$arg;
      var $6=$5; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$3; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($6)>>>0) >= (($7)>>>0); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$2; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10+52)|0); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12+209948)|0); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($13+36)|0); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14)|0); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$16; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$17; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $19=$5; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+2)|0); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$4; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21+($20<<3))|0); //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $4=$22; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$2; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$4; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE3862($23, 3, $24); //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $28=$4; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=__ZNK2JS5Value8isStringEv($28); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $31=$4; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=__ZNK2JS5Value8toStringEv($31); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$2; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=__ZN8JSString12ensureLinearEP9JSContext($32, $33); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$34; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 19; break; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $36=$4; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=__ZNK2JS5Value9isBooleanEv($36); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $39=$4; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZNK2JS5Value9toBooleanEv($39); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)&1); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$2; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42+52)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44+209948)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45+28)|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46+($41<<2))|0); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$48; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$49; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $51=$4; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=__ZNK2JS5Value6isNullEv($51); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $54=$2; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54+52)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56+209948)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57+68)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$59; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$60; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 17; break; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $62=$4; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=__ZNK2JS5Value11isUndefinedEv($62); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $65=$2; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($65+52)|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67+209948)|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($68+36)|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69)|0); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$71; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$72; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $74=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$4; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=__ZNK2JS5Value8toNumberEv($75); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=__ZN2js14NumberToStringEP9JSContextd($74, $76); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=$77; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$78; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=$str; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($79)|0)!=0; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($80) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      $1=0; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $83=$4; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$str; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=$84; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($83, $85); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $90=$str; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$90; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $92=$1; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $92; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj["X"]=1;

function __ZN11RegExpGuard12tryFlatMatchEP9JSContextP8JSStringjjb($this, $cx, $textstr, $optarg, $argc, $checkMetaChars) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $text;
      var $textlen;
      $2=$this;
      $3=$cx;
      $4=$textstr;
      $5=$optarg;
      $6=$argc;
      var $8=(($checkMetaChars)&1);
      $7=$8;
      var $9=$2;
      var $10=(($9+4)|0); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZNK10RegExpPair9hasRegExpEv($10); //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $14=(($9+16)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZNK14JSLinearString5charsEv($16); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($9+16)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18+4)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($19)>>2)]=$17; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($9+16)|0); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20)|0); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$22; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZNK8JSString6lengthEv($23); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($9+16)|0); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25+8)|0); //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($26)>>2)]=$24; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$5; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$6; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($27)>>>0) < (($28)>>>0); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $32=$7; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32) & 1); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $35=(($9+16)|0); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35+8)|0); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=HEAPU32[(($36)>>2)]; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37)>>>0) > 256; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $40=(($9+16)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+4)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($9+16)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43+8)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=__ZN2js6RegExp12hasMetaCharsEPKtj($42, $45); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $49=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=__ZNK8JSString6isRopeEv($49); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $52=$3; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$4; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($9+16)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54+4)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($9+16)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57+8)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($9+16)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+12)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=__ZL9RopeMatchP9JSContextP8JSStringPKtjPi($52, $53, $56, $59, $61); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      __label__ = 14; break; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $66=$4; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=__ZN8JSString8asLinearEv($66); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=__ZNK14JSLinearString5charsEv($67); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $text=$68; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$4; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=__ZNK8JSString6lengthEv($69); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textlen=$70; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$text; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$textlen; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($9+16)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=(($73+4)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($9+16)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=(($76+8)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=__ZL11StringMatchPKtjS0_j($71, $72, $75, $78); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($9+16)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($80+12)|0); //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($81)>>2)]=$79; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break;
    case 14: 
      var $83=(($9+16)|0); //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$83; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 1400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $85=$1; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $85; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11RegExpGuard12tryFlatMatchEP9JSContextP8JSStringjjb["X"]=1;

function __ZL18str_replace_regexpP9JSContextjPN2JS5ValueER11ReplaceData($cx, $argc, $vp, $rdata) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $rep;
      var $res;
      var $tmp=__stackBase__;
      var $sub=__stackBase__+8;
      var $retstr;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$rdata;
      var $6=$5; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6+4)|0); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$3; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$4; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=__ZN11RegExpGuard15normalizeRegExpEbjjPN2JS5ValueE($7, 1, 2, $8, $9); //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $rep=$10; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$rep; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11)|0)!=0; //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $15=$5; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15+56)|0); //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($16)>>2)]=0; //@line 2044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$5; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17+68)|0); //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($18)]=0; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$2; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZN9JSContext13regExpStaticsEv($19); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $res=$20; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$2; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$res; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$5; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)|0); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$rep; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$5; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$27; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=__ZL7DoMatchP9JSContextPN2js13RegExpStaticsEP8JSStringRK10RegExpPairPFbS0_S3_jPvES9_17MatchControlFlagsPN2JS5ValueE($21, $22, $25, $26, 296, $28, 7, $tmp); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $32=$5; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+68)|0); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=HEAP8[($33)]; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34) & 1); //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $37=$4; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$5; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38)|0); //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($37, $40); //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $42=$res; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js13RegExpStatics15getRightContextEP11JSSubString($42, $sub); //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$5; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43+96)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($sub+4)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($sub)|0); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=__ZN2js12StringBuffer6appendEPKtj($44, $46, $48); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $52=$5; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52+96)|0); //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=__ZN2js12StringBuffer12finishStringEv($53); //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$54; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $retstr=$55; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$retstr; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56)|0)!=0; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $60=$4; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$retstr; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($60, $61); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $63=$1; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18str_replace_regexpP9JSContextjPN2JS5ValueER11ReplaceData["X"]=1;

function __ZL23str_replace_flat_lambdaP9JSContextjPN2JS5ValueER11ReplaceDataRK9FlatMatch($cx, $argc, $vp, $rdata, $fm) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $matchStr;
      var $args;
      var $sp;
      var $repstr;
      var $leftSide;
      var $matchLimit;
      var $rightSide;
      var $builder=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$rdata;
      $6=$fm;
      var $7=$2; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$5; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0); //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$6; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=__ZNK9FlatMatch5matchEv($11); //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$6; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK9FlatMatch13patternLengthEv($13); //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__Z21js_NewDependentStringP9JSContextP8JSStringjj($7, $10, $12, $14); //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$15; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $matchStr=$16; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$matchStr; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)!=0; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $21=$2; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21+60)|0); //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$2; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$5; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24+72)|0); //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($22, $23, 3, $25); //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $29=$5; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29+72)|0); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$30; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $args=$31; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$args; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$32; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=__ZNK2js12CallReceiver7calleevEv($33); //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$5; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35+36)|0); //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setObjectER8JSObject($34, $37); //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$args; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$38; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZNK2js12CallReceiver5thisvEv($39); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$args; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZNK2js8CallArgs4argvEv($41); //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sp=$42; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$sp; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43)|0); //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$matchStr; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($44, $45); //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$sp; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46+8)|0); //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$6; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=__ZNK9FlatMatch5matchEv($48); //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($47, $49); //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$sp; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50+16)|0); //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$5; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52)|0); //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($51, $54); //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$2; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$5; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56+72)|0); //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($55, $57, 0); //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($58) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $61=$2; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=$args; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$62; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=__ZNK2js12CallReceiver4rvalEv($63); //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($61, $64); //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $repstr=$65; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$repstr; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=(($66)|0)!=0; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($67) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $70=$2; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$5; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=(($71)|0); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$6; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=__ZNK9FlatMatch5matchEv($74); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=__Z21js_NewDependentStringP9JSContextP8JSStringjj($70, $73, 0, $75); //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$76; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $leftSide=$77; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=$leftSide; //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=(($78)|0)!=0; //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($79) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $82=$6; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=__ZNK9FlatMatch5matchEv($82); //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$6; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=__ZNK9FlatMatch13patternLengthEv($84); //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=(($83+$85)|0); //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $matchLimit=$86; //@line 2106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=$2; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=$5; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(($88)|0); //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$matchLimit; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=$5; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(($92)|0); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=__ZNK8JSString6lengthEv($94); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$matchLimit; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=(($95-$96)|0); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=__Z21js_NewDependentStringP9JSContextP8JSStringjj($87, $90, $91, $97); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$98; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $rightSide=$99; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=$rightSide; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=(($100)|0)!=0; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($101) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $1=0; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $104=$2; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js11RopeBuilderC1EP9JSContext($builder, $104); //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$leftSide; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=__ZN2js11RopeBuilder6appendEP8JSString($builder, $105); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($106) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $108=$repstr; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=__ZN2js11RopeBuilder6appendEP8JSString($builder, $108); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($109) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $111=$rightSide; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=__ZN2js11RopeBuilder6appendEP8JSString($builder, $111); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($112) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      $1=0; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $115=$4; //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=__ZN2js11RopeBuilder6resultEv($builder); //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($115, $116); //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $118=$1; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $118; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL23str_replace_flat_lambdaP9JSContextjPN2JS5ValueER11ReplaceDataRK9FlatMatch["X"]=1;

function __ZL22BuildDollarReplacementP9JSContextP8JSStringP14JSLinearStringPKtRK9FlatMatchPN2JS5ValueE($cx, $textstrArg, $repstr, $firstDollar, $fm, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $textstr;
      var $matchStart;
      var $matchLimit;
      var $newReplaceChars=__stackBase__;
      var $8;
      var $repstrLimit;
      var $it;
      var $leftSide;
      var $newReplace;
      var $rightSide;
      var $builder=__stackBase__+80;
      $2=$cx;
      $3=$textstrArg;
      $4=$repstr;
      $5=$firstDollar;
      $6=$fm;
      $7=$vp;
      var $9=$3; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$2; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZN8JSString12ensureLinearEP9JSContext($9, $10); //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textstr=$11; //@line 1963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$textstr; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0)!=0; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 42; break; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $16=$6; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZNK9FlatMatch5matchEv($16); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $matchStart=$17; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$matchStart; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$6; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZNK9FlatMatch13patternLengthEv($19); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($18+$20)|0); //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $matchLimit=$21; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$2; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js12StringBufferC1EP9JSContext($newReplaceChars, $22); //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$textstr; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$23; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__ZNK8JSString6lengthEv($24); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$6; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZNK9FlatMatch13patternLengthEv($26); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($25-$27)|0); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$4; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$29; //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZNK8JSString6lengthEv($30); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($28+$31)|0); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=__ZN2js12StringBuffer7reserveEj($newReplaceChars, $32); //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $36=$4; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=__ZNK14JSLinearString5charsEv($36); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$5; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js12StringBuffer16infallibleAppendEPKtS2_($newReplaceChars, $37, $38); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$4; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZNK14JSLinearString5charsEv($39); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$4; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$41; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=__ZNK8JSString6lengthEv($42); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($40+($43<<1))|0); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $repstrLimit=$44; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$5; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $it=$45; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $47=$it; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$repstrLimit; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($47)>>>0) < (($48)>>>0); //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 7; break; } else { __label__ = 30; break; } //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $51=$it; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=HEAPU16[(($51)>>1)]; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52)&65535); //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53)|0)!=36; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $56=$it; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=$repstrLimit; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57-2)|0); //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=(($56)|0)==(($58)|0); //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($59) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $61=$it; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=HEAP16[(($61)>>1)]; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=__ZN2js12StringBuffer6appendEt($newReplaceChars, $62); //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($63) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      __label__ = 29; break; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $67=$it; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67+2)|0); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=HEAPU16[(($68)>>1)]; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69)&65535); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ((($70)|0) == 36) {
        __label__ = 13; break;
      }
      else if ((($70)|0) == 38) {
        __label__ = 16; break;
      }
      else if ((($70)|0) == 96) {
        __label__ = 19; break;
      }
      else if ((($70)|0) == 39) {
        __label__ = 22; break;
      }
      else {
      __label__ = 25; break;
      }
      
    case 13: 
      var $72=$it; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=HEAP16[(($72)>>1)]; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=__ZN2js12StringBuffer6appendEt($newReplaceChars, $73); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($74) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      $1=0; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      __label__ = 28; break; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $78=$textstr; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=__ZNK14JSLinearString5charsEv($78); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=$matchStart; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($79+($80<<1))|0); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=$textstr; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=__ZNK14JSLinearString5charsEv($82); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$matchLimit; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($83+($84<<1))|0); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=__ZN2js12StringBuffer6appendEPKtS2_($newReplaceChars, $81, $85); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($86) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      $1=0; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      __label__ = 28; break; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $90=$textstr; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=__ZNK14JSLinearString5charsEv($90); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=$textstr; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=__ZNK14JSLinearString5charsEv($92); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=$matchStart; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(($93+($94<<1))|0); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=__ZN2js12StringBuffer6appendEPKtS2_($newReplaceChars, $91, $95); //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($96) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      $1=0; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      __label__ = 28; break; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $100=$textstr; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=__ZNK14JSLinearString5charsEv($100); //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=$matchLimit; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=(($101+($102<<1))|0); //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=$textstr; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=__ZNK14JSLinearString5charsEv($104); //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=$textstr; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=$106; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=__ZNK8JSString6lengthEv($107); //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=(($105+($108<<1))|0); //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=__ZN2js12StringBuffer6appendEPKtS2_($newReplaceChars, $103, $109); //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($110) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      $1=0; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      __label__ = 28; break; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $114=$it; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=HEAP16[(($114)>>1)]; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=__ZN2js12StringBuffer6appendEt($newReplaceChars, $115); //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($116) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      $1=0; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      __label__ = 29; break; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $120=$it; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $121=(($120+2)|0); //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $it=$121; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 29; break; //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $123=$it; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=(($123+2)|0); //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $it=$124; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $126=$2; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$textstr; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=$127; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=$matchStart; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=__Z21js_NewDependentStringP9JSContextP8JSStringjj($126, $128, 0, $129); //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=$130; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $leftSide=$131; //@line 2016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=$leftSide; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=(($132)|0)!=0; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($133) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      $1=0; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 2017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $136=__ZN2js12StringBuffer12finishStringEv($newReplaceChars); //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=$136; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $newReplace=$137; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=$newReplace; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=(($138)|0)!=0; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($139) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      $1=0; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $142=$2; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $143=$textstr; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $144=$143; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=$matchLimit; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=$textstr; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=$146; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=__ZNK8JSString6lengthEv($147); //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=$matchLimit; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $150=(($148-$149)|0); //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=__Z21js_NewDependentStringP9JSContextP8JSStringjj($142, $144, $145, $150); //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=$151; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $rightSide=$152; //@line 2024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=$rightSide; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=(($153)|0)!=0; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($154) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      $1=0; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 2025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $157=$2; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js11RopeBuilderC1EP9JSContext($builder, $157); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=$leftSide; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=__ZN2js11RopeBuilder6appendEP8JSString($builder, $158); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($159) { __label__ = 37; break; } else { __label__ = 39; break; } //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $161=$newReplace; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $162=__ZN2js11RopeBuilder6appendEP8JSString($builder, $161); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($162) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $164=$rightSide; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $165=__ZN2js11RopeBuilder6appendEP8JSString($builder, $164); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($165) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      $1=0; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      var $168=$7; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=__ZN2js11RopeBuilder6resultEv($builder); //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($168, $169); //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 41; break; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      __ZN2js12StringBufferD1Ev($newReplaceChars); //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 42; break;
    case 42: 
      var $172=$1; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $172; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL22BuildDollarReplacementP9JSContextP8JSStringP14JSLinearStringPKtRK9FlatMatchPN2JS5ValueE["X"]=1;

function __ZN11ReplaceDataD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN11ReplaceDataD2Ev($2); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL9str_quoteP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($5, $6); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$2; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$str; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=_js_QuoteString($12, $13, 34); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$14; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$str; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15)|0)!=0; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$4; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$str; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($19, $20); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $22=$1; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $22; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20BuildFlatReplacementP9JSContextP8JSStringS2_RK9FlatMatchPN2JS5ValueE($cx, $textstr, $repstr, $fm, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 156; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $builder=__stackBase__;
      var $match;
      var $matchEnd;
      var $r=__stackBase__+8;
      var $7;
      var $pos;
      var $str;
      var $len;
      var $strEnd;
      var $leftSide;
      var $rightSide;
      var $leftSide1;
      var $rightSide2;
      $2=$cx;
      $3=$textstr;
      $4=$repstr;
      $5=$fm;
      $6=$vp;
      var $8=$2; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js11RopeBuilderC1EP9JSContext($builder, $8); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$5; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=__ZNK9FlatMatch5matchEv($9); //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $match=$10; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$match; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$5; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZNK9FlatMatch13patternLengthEv($12); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($11+$13)|0); //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $matchEnd=$14; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$3; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZNK8JSString6isRopeEv($15); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 29; break; } //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $18=$2; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js18StringSegmentRangeC1EP9JSContext($r, $18); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$3; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZN2js18StringSegmentRange4initEP8JSString($r, $19); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 27; break; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $pos=0; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $24=__ZNK2js18StringSegmentRange5emptyEv($r); //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$24 ^ 1; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 26; break; } //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $27=__ZNK2js18StringSegmentRange5frontEv($r); //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$27; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$28; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$str; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZNK8JSString6lengthEv($29); //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $len=$30; //@line 1895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$pos; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$len; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($31+$32)|0); //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $strEnd=$33; //@line 1896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$pos; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$matchEnd; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($34)>>>0) < (($35)>>>0); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 20; break; } //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $38=$strEnd; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$match; //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($38)>>>0) > (($39)>>>0); //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 20; break; } //@line 1897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $42=$match; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$pos; //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($42)>>>0) >= (($43)>>>0); //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 1902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $46=$2; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$str; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$match; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$pos; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($48-$49)|0); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=__Z21js_NewDependentStringP9JSContextP8JSStringjj($46, $47, 0, $50); //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$51; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $leftSide=$52; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$leftSide; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53)|0)!=0; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $56=$leftSide; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=__ZN2js11RopeBuilder6appendEP8JSString($builder, $56); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $59=$4; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=__ZN2js11RopeBuilder6appendEP8JSString($builder, $59); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $1=0; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 27; break; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      __label__ = 14; break; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $64=$strEnd; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$matchEnd; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($64)>>>0) > (($65)>>>0); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($66) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $68=$2; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$str; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$matchEnd; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$pos; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=(($70-$71)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=$strEnd; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$matchEnd; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($73-$74)|0); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=__Z21js_NewDependentStringP9JSContextP8JSStringjj($68, $69, $72, $75); //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$76; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $rightSide=$77; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=$rightSide; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=(($78)|0)!=0; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($79) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $81=$rightSide; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=__ZN2js11RopeBuilder6appendEP8JSString($builder, $81); //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      $1=0; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 27; break; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      __label__ = 19; break; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      __label__ = 23; break; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $87=$str; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=__ZN2js11RopeBuilder6appendEP8JSString($builder, $87); //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($88) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      $1=0; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 27; break; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      __label__ = 23; break;
    case 23: 
      var $92=$str; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=__ZNK8JSString6lengthEv($92); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=$pos; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(($94+$93)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $pos=$95; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=__ZN2js18StringSegmentRange8popFrontEv($r); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($96) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      $1=0; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 27; break; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      __label__ = 5; break; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      $7=0; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      __ZN2js18StringSegmentRangeD1Ev($r); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 28; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 38; break;
      }
      else {
      __label__ = 39; break;
      }
      
    case 28: 
      __label__ = 37; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $103=$2; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=$3; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$match; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=__Z21js_NewDependentStringP9JSContextP8JSStringjj($103, $104, 0, $105); //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=$106; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $leftSide1=$107; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=$leftSide1; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=(($108)|0)!=0; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($109) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      $1=0; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $112=$2; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=$3; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=$match; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=$5; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=__ZNK9FlatMatch13patternLengthEv($115); //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($114+$116)|0); //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=$3; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=__ZNK8JSString6lengthEv($118); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=$match; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $121=(($119-$120)|0); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=$5; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=__ZNK9FlatMatch13patternLengthEv($122); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=(($121-$123)|0); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=__Z21js_NewDependentStringP9JSContextP8JSStringjj($112, $113, $117, $124); //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=$125; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $rightSide2=$126; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$rightSide2; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=(($127)|0)!=0; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($128) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $130=$leftSide1; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=__ZN2js11RopeBuilder6appendEP8JSString($builder, $130); //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($131) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $133=$4; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=__ZN2js11RopeBuilder6appendEP8JSString($builder, $133); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($134) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $136=$rightSide2; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=__ZN2js11RopeBuilder6appendEP8JSString($builder, $136); //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($137) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      $1=0; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      __label__ = 37; break;
    case 37: 
      var $141=$6; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=__ZN2js11RopeBuilder6resultEv($builder); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($141, $142); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $144=$1; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $144; //@line 1951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20BuildFlatReplacementP9JSContextP8JSStringS2_RK9FlatMatchPN2JS5ValueE["X"]=1;

function __ZL12str_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str=__stackBase__;
      var $buf=__stackBase__+4;
      var $j;
      var $anchor=__stackBase__+20;
      var $k;
      var $s;
      var $5;
      var $n;
      var $t;
      var $i;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZN2js16GetPrimitiveThisIP8JSStringEEbP9JSContextPN2JS5ValueEPT_($6, $7, $str); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=$2; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($str)>>2)]; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=_js_QuoteString($11, $12, 34); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($str)>>2)]=$13; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=HEAP32[(($str)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14)|0)!=0; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $18=(($buf)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=_JS_snprintf($18, 16, ((STRING_TABLE.__str473816)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$19; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=HEAP32[(($str)>>2)]; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $20); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=HEAP32[(($str)>>2)]; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZNK8JSString6lengthEv($21); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$22; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=HEAP32[(($str)>>2)]; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$2; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__ZN8JSString8getCharsEP9JSContext($23, $24); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $s=$25; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$s; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26)|0)!=0; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 20; break; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $30=$j; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$k; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($30+$31)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+2)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$33; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$2; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$n; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35+1)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=((($36<<1))|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=__ZN9JSContext7malloc_Ej($34, $37); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$38; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$39; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$t; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)|0)!=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 20; break; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $i=0; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $45=$i; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$j; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($45)>>>0) < (($46)>>>0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $49=$i; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($buf+$49)|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=HEAP8[($50)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($51 << 24) >> 24); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$i; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=$t; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54+($53<<1))|0); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($55)>>1)]=$52; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $57=$i; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57+1)|0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$58; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      $j=0; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $61=$j; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=$k; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=(($61)>>>0) < (($62)>>>0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $65=$j; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$s; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=(($66+($65<<1))|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=HEAP16[(($67)>>1)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$i; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$t; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=(($70+($69<<1))|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($71)>>1)]=$68; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $73=$i; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=(($73+1)|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$74; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$j; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75+1)|0); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$76; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $78=$i; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=(($78+1)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$79; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=$t; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($80+($78<<1))|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($81)>>1)]=41; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=$i; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=(($82+1)|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$83; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$t; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($84+($82<<1))|0); //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($85)>>1)]=41; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=$i; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=$t; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=(($87+($86<<1))|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($88)>>1)]=0; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=$t; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$n; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=__Z12js_NewStringP9JSContextPtj($89, $90, $91); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=$92; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($str)>>2)]=$93; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=HEAP32[(($str)>>2)]; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(($94)|0)!=0; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($95) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $97=$2; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=$t; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$98; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($97, $99); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 20; break; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $101=$4; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=HEAP32[(($str)>>2)]; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($101, $102); //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 20; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break;
    case 21: 
      var $105=$1; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $105; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12str_toSourceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13str_substringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $length;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $tmp;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($5, $6); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$3; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)>>>0) > 0; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 26; break; } //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15=$str; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZNK8JSString6lengthEv($15); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$16; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($end)>>2)]=$16; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$2; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$4; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18+16)|0); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__Z19ValueToIntegerRangeP9JSContextRKN2JS5ValueEPi($17, $19, $begin); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $23=HEAP32[(($begin)>>2)]; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)|0) < 0; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $27=HEAP32[(($begin)>>2)]; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$length; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($27)|0) > (($28)|0); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $31=$length; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($begin)>>2)]=$31; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $34=$3; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34)>>>0) > 1; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 12; break; } else { __label__ = 23; break; } //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $37=$4; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+24)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZNK2JS5Value11isUndefinedEv($38); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 23; break; } else { __label__ = 13; break; } //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $41=$2; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$4; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42+24)|0); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=__Z19ValueToIntegerRangeP9JSContextRKN2JS5ValueEPi($41, $43, $end); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      $1=0; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $47=HEAP32[(($end)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$length; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($47)|0) > (($48)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $51=$length; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($end)>>2)]=$51; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 22; break; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $53=HEAP32[(($end)>>2)]; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53)|0) < 0; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      HEAP32[(($end)>>2)]=0; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 19; break; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $57=HEAP32[(($end)>>2)]; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=HEAP32[(($begin)>>2)]; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=(($57)|0) < (($58)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($59) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $61=HEAP32[(($begin)>>2)]; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $tmp=$61; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=HEAP32[(($end)>>2)]; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($begin)>>2)]=$62; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$tmp; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($end)>>2)]=$63; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      __label__ = 23; break; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $67=$2; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$str; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=HEAP32[(($begin)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=HEAP32[(($end)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=HEAP32[(($begin)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=(($70-$71)|0); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=__Z21js_NewDependentStringP9JSContextP8JSStringjj($67, $68, $69, $72); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$73; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$74; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$str; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75)|0)!=0; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($76) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      $1=0; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      __label__ = 26; break; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $80=$4; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=$str; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($80, $81); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $83=$1; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13str_substringP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL15str_toLowerCaseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($5, $6); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$2; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$str; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__Z14js_toLowerCaseP9JSContextP8JSString($12, $13); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$14; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$str; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15)|0)!=0; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$4; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$str; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($19, $20); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $22=$1; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $22; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15str_toUpperCaseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($5, $6); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$2; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$str; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__Z14js_toUpperCaseP9JSContextP8JSString($12, $13); //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$14; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$str; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15)|0)!=0; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$4; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$str; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($19, $20); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $22=$1; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $22; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11str_indexOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $patstr;
      var $textlen;
      var $text;
      var $patlen;
      var $pat;
      var $start;
      var $i;
      var $d=__stackBase__;
      var $match;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($5, $6); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$2; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$3; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$4; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($12, $13, $14, 0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patstr=$15; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$patstr; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)!=0; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $20=$str; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=__ZNK8JSString6lengthEv($20); //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textlen=$21; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$str; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$2; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZN8JSString8getCharsEP9JSContext($22, $23); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $text=$24; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$text; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25)|0)!=0; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $29=$patstr; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$29; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZNK8JSString6lengthEv($30); //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patlen=$31; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$patstr; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=__ZNK14JSLinearString5charsEv($32); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $pat=$33; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$3; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34)>>>0) > 1; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 26; break; } //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $37=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+24)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZNK2JS5Value7isInt32Ev($38); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $41=$4; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41+24)|0); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=__ZNK2JS5Value7toInt32Ev($42); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$43; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$i; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44)|0) <= 0; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $start=0; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $48=$i; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$textlen; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($48)>>>0) > (($49)>>>0); //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $52=$textlen; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $start=$52; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textlen=0; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $54=$i; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $start=$54; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$start; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$text; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56+($55<<1))|0); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $text=$57; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=$start; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$textlen; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59-$58)|0); //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textlen=$60; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 25; break; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $64=$2; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$4; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($65+24)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3824($64, $66, $d); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($67) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      $1=0; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $70=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$70 <= 0; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($71) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      $start=0; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $74=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$textlen; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75)>>>0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$74 > $76; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($77) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $79=$textlen; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $start=$79; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textlen=0; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 23; break; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $81=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=(($81)&-1); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $start=$82; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=$start; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$text; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($84+($83<<1))|0); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $text=$85; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=$start; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=$textlen; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=(($87-$86)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textlen=$88; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      __label__ = 25; break;
    case 25: 
      __label__ = 27; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      $start=0; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break;
    case 27: 
      var $94=$text; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=$textlen; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$pat; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=$patlen; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=__ZL11StringMatchPKtjS0_j($94, $95, $96, $97); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $match=$98; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$4; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=$match; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=(($100)|0)==-1; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($101) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $108 = -1;__label__ = 30; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $104=$start; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$match; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=(($104+$105)|0); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108 = $106;__label__ = 30; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $108; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($99, $108); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $110=$1; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $110; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11str_indexOfP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL15str_lastIndexOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $textstr;
      var $textlen;
      var $text;
      var $patstr;
      var $patlen;
      var $pat;
      var $i;
      var $j;
      var $d=__stackBase__;
      var $t;
      var $textend;
      var $p0;
      var $patNext;
      var $patEnd;
      var $t1;
      var $p1;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($5, $6); //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textstr=$7; //@line 1121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$textstr; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$textstr; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZNK8JSString6lengthEv($12); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textlen=$13; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$textstr; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$2; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZN8JSString8getCharsEP9JSContext($14, $15); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $text=$16; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$text; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)!=0; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$2; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$3; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$4; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($21, $22, $23, 0); //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patstr=$24; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$patstr; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25)|0)!=0; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $29=$patstr; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$29; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZNK8JSString6lengthEv($30); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patlen=$31; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$patstr; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=__ZNK14JSLinearString5charsEv($32); //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $pat=$33; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$textlen; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$patlen; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($34-$35)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$36; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$i; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37)|0) < 0; //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $40=$4; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($40, -1); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $42=$3; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42)>>>0) > 1; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 28; break; } //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $45=$4; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45+24)|0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=__ZNK2JS5Value7isInt32Ev($46); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $49=$4; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49+24)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=__ZNK2JS5Value7toInt32Ev($50); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$51; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$j; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52)|0) <= 0; //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($53) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $i=0; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $56=$j; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=$i; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($56)|0) < (($57)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $60=$j; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$60; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 27; break; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $64=$2; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$4; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($65+24)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($64, $66, $d); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($67) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      $1=0; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $70=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=__ZL15JSDOUBLE_IS_NaNd3930($70); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=(($71)|0)!=0; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($72) { __label__ = 26; break; } else { __label__ = 20; break; } //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $74=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=__ZL18js_DoubleToIntegerd3931($74); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      (tempDoubleF64[0]=$75,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$76 <= 0; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($77) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      $i=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $80=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=$i; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=(($81)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=$80 < $82; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($83) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $85=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=(($85)&-1); //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$86; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $92=$patlen; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(($92)|0)==0; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($93) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $95=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$i; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($95, $96); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $98=$text; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$i; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=(($98+($99<<1))|0); //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$100; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=$text; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=(($101-2)|0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textend=$102; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=$pat; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=HEAP16[(($103)>>1)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p0=$104; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$pat; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=(($105+2)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patNext=$106; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=$pat; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=$patlen; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=(($107+($108<<1))|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patEnd=$109; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $111=$t; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=$textend; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=(($111)|0)!=(($112)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($113) { __label__ = 32; break; } else { __label__ = 43; break; } //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $115=$t; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=HEAPU16[(($115)>>1)]; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($116)&65535); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=$p0; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=(($118)&65535); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($117)|0)==(($119)|0); //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($120) { __label__ = 33; break; } else { __label__ = 40; break; } //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $122=$t; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=(($122+2)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t1=$123; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=$patNext; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p1=$124; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 34; break; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $126=$p1; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$patEnd; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=(($126)|0)!=(($127)|0); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($128) { __label__ = 35; break; } else { __label__ = 39; break; } //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $130=$t1; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=HEAPU16[(($130)>>1)]; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=(($131)&65535); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=$p1; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=HEAPU16[(($133)>>1)]; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=(($134)&65535); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=(($132)|0)!=(($135)|0); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($136) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      __label__ = 41; break; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      __label__ = 38; break; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $140=$p1; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=(($140+2)|0); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p1=$141; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=$t1; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $143=(($142+2)|0); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t1=$143; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 34; break; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      var $145=$4; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=$t; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=$text; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=$146; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=$147; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $150=(($148-$149)|0); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=(((($150)|0)/2)&-1); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($145, $151); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      __label__ = 41; break; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      __label__ = 42; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      var $155=$t; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=(($155-2)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$156; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      var $158=$4; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($158, -1); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 44: 
      var $160=$1; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $160; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15str_lastIndexOfP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8str_trimP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL13js_TrimStringP9JSContextPN2JS5ValueEii($4, $5, 1, 1); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $6; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL12str_trimLeftP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL13js_TrimStringP9JSContextPN2JS5ValueEii($4, $5, 1, 0); //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $6; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL13str_trimRightP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL13js_TrimStringP9JSContextPN2JS5ValueEii($4, $5, 0, 1); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $6; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL21str_toLocaleLowerCaseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5+36)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)|0)!=0; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$2; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10+36)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12+4)|0); //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14)|0)!=0; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $17=$2; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$4; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($17, $18); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$19; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$str; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20)|0)!=0; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $24=$2; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24+36)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26+4)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$2; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$str; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$4; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=FUNCTION_TABLE[$28]($29, $30, $31); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$32; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $34=$2; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$4; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=__ZL15str_toLowerCaseP9JSContextjPN2JS5ValueE($34, 0, $35); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$36; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $38=$1; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $38; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21str_toLocaleUpperCaseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5+36)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)|0)!=0; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$2; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10+36)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14)|0)!=0; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $17=$2; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$4; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($17, $18); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$19; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$str; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20)|0)!=0; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $24=$2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24+36)|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26)|0); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$2; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$str; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$4; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=FUNCTION_TABLE[$28]($29, $30, $31); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$32; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $34=$2; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$4; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=__ZL15str_toUpperCaseP9JSContextjPN2JS5ValueE($34, 0, $35); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$36; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $38=$1; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $38; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17str_localeCompareP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $thatStr;
      var $result=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($5, $6); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$3; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0)==0; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15=$4; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($15, 0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $17=$2; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$4; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18+16)|0); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($17, $19); //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $thatStr=$20; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$thatStr; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21)|0)!=0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $25=$2; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25+36)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27)|0)!=0; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $30=$2; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30+36)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+8)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34)|0)!=0; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $37=$4; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+16)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$thatStr; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($38, $39); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$2; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+36)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42+8)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$2; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$str; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$thatStr; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$4; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=FUNCTION_TABLE[$44]($45, $46, $47, $48); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$49; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $51=$2; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$str; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$thatStr; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=__ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi($51, $52, $53, $result); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $57=$4; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=HEAP32[(($result)>>2)]; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($57, $58); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break;
    case 13: 
      $1=1; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $61=$1; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17str_localeCompareP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL9str_matchP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $g=__stackBase__;
      var $5;
      var $fm;
      var $rep;
      var $array=__stackBase__+32;
      var $arg;
      var $res;
      var $rval=__stackBase__+48;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($6, $7); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 19; break; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN11RegExpGuardC1EP9JSContext($g, $13); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$3; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$4; //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZN11RegExpGuard4initEjPN2JS5ValueEb($g, $14, $15, 1); //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 18; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$2; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$str; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$3; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZN11RegExpGuard12tryFlatMatchEP9JSContextP8JSStringjjb($g, $19, $20, 1, $21, 1); //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fm=$22; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$fm; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)|0)!=0; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $26=$2; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$str; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$fm; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$4; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZL19BuildFlatMatchArrayP9JSContextP8JSStringRK9FlatMatchPN2JS5ValueE($26, $27, $28, $29); //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30)&1); //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$31; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 18; break; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $33=$2; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=__ZN9JSContext18isExceptionPendingEv($33); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 18; break; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $37=$3; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$4; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZN11RegExpGuard15normalizeRegExpEbjjPN2JS5ValueE($g, 0, 1, $37, $38); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $rep=$39; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$rep; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)|0)!=0; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 18; break; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $44=$2; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($array, $44, 0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=__ZN2js16AutoObjectRooter4addrEv($array); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $arg=$45; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$2; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=__ZN9JSContext13regExpStaticsEv($46); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $res=$47; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$2; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$res; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$str; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$rep; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$arg; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$52; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=__ZL7DoMatchP9JSContextPN2js13RegExpStaticsEP8JSStringRK10RegExpPairPFbS0_S3_jPvES9_17MatchControlFlagsPN2JS5ValueE($48, $49, $50, $51, 298, $53, 1, $rval); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $1=0; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 17; break; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $57=$rep; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=__ZNK10RegExpPair2reEv($57); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=__ZNK2js6RegExp6globalEv($58); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $61=$4; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=__ZNK2js16AutoObjectRooter6objectEv($array); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value15setObjectOrNullEP8JSObject($61, $62); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $64=$4; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$64; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$rval; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($65)>>2)]=HEAP32[(($66)>>2)];HEAP32[(($65+4)>>2)]=HEAP32[(($66+4)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 17; break; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      __ZN2js16AutoObjectRooterD1Ev($array); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break;
    case 18: 
      __ZN11RegExpGuardD1Ev($g); //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 19; break;
    case 19: 
      var $71=$1; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $71; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9str_matchP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL10str_searchP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $g=__stackBase__;
      var $5;
      var $fm;
      var $rep;
      var $res;
      var $i=__stackBase__+32;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($6, $7); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN11RegExpGuardC1EP9JSContext($g, $13); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$3; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$4; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZN11RegExpGuard4initEjPN2JS5ValueEb($g, $14, $15, 1); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 17; break; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$2; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$str; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$3; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZN11RegExpGuard12tryFlatMatchEP9JSContextP8JSStringjjb($g, $19, $20, 1, $21, 1); //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fm=$22; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$fm; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)|0)!=0; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $26=$4; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$fm; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=__ZNK9FlatMatch5matchEv($27); //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($26, $28); //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 17; break; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $30=$2; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZN9JSContext18isExceptionPendingEv($30); //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 17; break; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $34=$3; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$4; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=__ZN11RegExpGuard15normalizeRegExpEbjjPN2JS5ValueE($g, 0, 1, $34, $35); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $rep=$36; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$rep; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37)|0)!=0; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 17; break; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $41=$2; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZN9JSContext13regExpStaticsEv($41); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $res=$42; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($i)>>2)]=0; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$rep; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=__ZNK10RegExpPair2reEv($43); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$2; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$res; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$str; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$4; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=__ZN2js6RegExp7executeEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($44, $45, $46, $47, $i, 1, $48); //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $1=0; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 17; break; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $52=$4; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=__ZNK2JS5Value6isTrueEv($52); //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($53) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $55=$4; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$res; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=__ZNK2js13RegExpStatics10matchStartEv($56); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $59=$4; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($59, -1); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=1;
      __label__ = 17; break; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      __ZN11RegExpGuardD1Ev($g); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break;
    case 18: 
      var $63=$1; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10str_searchP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL9str_splitP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $type;
      var $5=__stackBase__;
      var $limit;
      var $d=__stackBase__+4;
      var $re;
      var $sepstr;
      var $sepUndefined;
      var $6=__stackBase__+12;
      var $sep;
      var $aobj;
      var $v=__stackBase__+20;
      var $aobj1;
      var $strlin;
      var $aobj2;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$2; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$4; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($9, $10); //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$11; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$str; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0)!=0; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $16=$2; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($16, 3); //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $type=$17; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$type; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18)|0)!=0; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $22=$2; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$type; //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js5types4Type10StringTypeEv($5); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($22, $23, 0, $5); //@line 2451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$3; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24)>>>0) > 1; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $27=$4; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27+24)|0); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=__ZNK2JS5Value11isUndefinedEv($28); //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 10; break; } else { __label__ = 7; break; } //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $31=$2; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$4; //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+24)|0); //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($31, $33, $d); //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $37=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=__Z21js_DoubleToECMAUint32d($37); //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $limit=$38; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $limit=-1; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break;
    case 11: 
      $re=0; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sepstr=0; //@line 2466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$3; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41)|0)==0; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { var $48 = 1;__label__ = 13; break; } else { __label__ = 12; break; } //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $44=$4; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44+16)|0); //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=__ZNK2JS5Value11isUndefinedEv($45); //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48 = $46;__label__ = 13; break; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $48;
      var $49=(($48)&1); //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sepUndefined=$49; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$sepUndefined; //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50) & 1); //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($51) { __label__ = 22; break; } else { __label__ = 14; break; } //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $53=$2; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=$4; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54+16)|0); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$6; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=$55; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($56)>>2)]=HEAP32[(($57)>>2)];HEAP32[(($56+4)>>2)]=HEAP32[(($57+4)>>2)]; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=__ZL15VALUE_IS_REGEXPP9JSContextN2JS5ValueE($53, $6); //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $60=$4; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+16)|0); //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=__ZNK2JS5Value8toObjectEv($61); //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=__ZNK8JSObject10getPrivateEv($62); //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=$63; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $re=$64; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $66=$2; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$4; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67+16)|0); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($66, $68); //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sep=$69; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$sep; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=(($70)|0)!=0; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      $1=0; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $74=$4; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($74+16)|0); //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=$sep; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($75, $76); //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$sep; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=$2; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=__ZN8JSString12ensureLinearEP9JSContext($77, $78); //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sepstr=$79; //@line 2477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=$sepstr; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($80)|0)!=0; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($81) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      $1=0; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $86=$limit; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=(($86)|0)==0; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($87) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $89=$2; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($89, 0); //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $aobj=$90; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$aobj; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=(($91)|0)!=0; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($92) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      $1=0; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $95=$aobj; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$type; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($95, $96); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=$4; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=$aobj; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setObjectER8JSObject($97, $98); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $100=$sepUndefined; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=(($100) & 1); //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 30; break; } //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $103=$str; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($v, $103); //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=$2; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($104, 1, $v, 0); //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $aobj1=$105; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=$aobj1; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=(($106)|0)!=0; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($107) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      $1=0; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $110=$aobj1; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=$type; //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($110, $111); //@line 2499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=$4; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=$aobj1; //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setObjectER8JSObject($112, $113); //@line 2500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $115=$str; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=$2; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=__ZN8JSString12ensureLinearEP9JSContext($115, $116); //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $strlin=$117; //@line 2503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=$strlin; //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=(($118)|0)!=0; //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($119) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      $1=0; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $122=$re; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=(($122)|0)!=0; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($123) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $125=$2; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=$strlin; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$limit; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=$re; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=$2; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=__ZN9JSContext13regExpStaticsEv($129); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN18SplitRegExpMatcherC1EPN2js6RegExpEPNS0_13RegExpStaticsE($7, $128, $130); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=$type; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=__ZL11SplitHelperI18SplitRegExpMatcherEP8JSObjectP9JSContextP14JSLinearStringjT_PN2js5types10TypeObjectE($125, $126, $127, $7, $131); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $aobj2=$132; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 35; break; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $134=$2; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=$strlin; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=$limit; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=$sepstr; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN18SplitStringMatcherC1EP14JSLinearString($8, $137); //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=$type; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=__ZL11SplitHelperI18SplitStringMatcherEP8JSObjectP9JSContextP14JSLinearStringjT_PN2js5types10TypeObjectE($134, $135, $136, $8, $138); //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $aobj2=$139; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 35; break;
    case 35: 
      var $141=$aobj2; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=(($141)|0)!=0; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($142) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      $1=0; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $145=$aobj2; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=$type; //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($145, $146); //@line 2519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=$4; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=$aobj2; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setObjectER8JSObject($147, $148); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $150=$1; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $150; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9str_splitP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL10str_substrP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $length;
      var $len=__stackBase__;
      var $begin=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($5, $6); //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$3; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)>>>0) > 0; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 25; break; } //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15=$str; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZNK8JSString6lengthEv($15); //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$16; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$2; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$4; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18+16)|0); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__Z19ValueToIntegerRangeP9JSContextRKN2JS5ValueEPi($17, $19, $begin); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $23=HEAP32[(($begin)>>2)]; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$length; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($23)|0) >= (($24)|0); //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $27=$2; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27+52)|0); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29+144136)|0); //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$31; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$32; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $34=HEAP32[(($begin)>>2)]; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34)|0) < 0; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $37=$length; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=HEAP32[(($begin)>>2)]; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+$37)|0); //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($begin)>>2)]=$39; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=HEAP32[(($begin)>>2)]; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)|0) < 0; //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      HEAP32[(($begin)>>2)]=0; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 2545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      __label__ = 12; break; //@line 2546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $45=$3; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45)|0)==1; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $48=$4; //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48+24)|0); //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=__ZNK2JS5Value11isUndefinedEv($49); //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($50) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $52=$length; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=HEAP32[(($begin)>>2)]; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($52-$53)|0); //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($len)>>2)]=$54; //@line 2549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 22; break; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $56=$2; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=$4; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57+24)|0); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=__Z19ValueToIntegerRangeP9JSContextRKN2JS5ValueEPi($56, $58, $len); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($59) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      $1=0; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $62=HEAP32[(($len)>>2)]; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=(($62)|0) <= 0; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($63) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $65=$2; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($65+52)|0); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67+144136)|0); //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$69; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$70; //@line 2555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $72=$length; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=HEAP32[(($begin)>>2)]; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=HEAP32[(($len)>>2)]; //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($73+$74)|0); //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($72)>>>0) < (($75)>>>0); //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($76) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $78=$length; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=HEAP32[(($begin)>>2)]; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($78-$79)|0); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($len)>>2)]=$80; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      var $83=$2; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$str; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=HEAP32[(($begin)>>2)]; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=HEAP32[(($len)>>2)]; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=__Z21js_NewDependentStringP9JSContextP8JSStringjj($83, $84, $85, $86); //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=$87; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$88; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=$str; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=(($89)|0)!=0; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($90) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      $1=0; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      __label__ = 25; break; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      __label__ = 26; break; //@line 2566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $95=$4; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$str; //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($95, $96); //@line 2569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 2570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $98=$1; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $98; //@line 2571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10str_substrP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL10str_concatP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $argv;
      var $i;
      var $str2;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($6, $7); //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$4; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($13+16)|0); //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $argv=$14; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=0; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $16=$i; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$3; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($16)>>>0) < (($17)>>>0); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $20=$2; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$i; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$argv; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22+($21<<3))|0); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($20, $23); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str2=$24; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$str2; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25)|0)!=0; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $29=$2; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$str; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$str2; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($29, $30, $31); //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$32; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$str; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($33)|0)!=0; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      __label__ = 10; break; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $38=$i; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+1)|0); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$39; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $41=$4; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$str; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($5, $42); //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$41; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$5; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $46=$1; //@line 2597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 2597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10str_concatP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL9str_sliceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $begin;
      var $end;
      var $length;
      var $str;
      var $str1;
      var $begin2=__stackBase__;
      var $end3=__stackBase__+8;
      var $length4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5)|0)==1; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 15; break; } //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$4; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8+8)|0); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=__ZNK2JS5Value8isStringEv($9); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 15; break; } //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$4; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12+16)|0); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK2JS5Value7isInt32Ev($13); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 15; break; } //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $16=$4; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16+8)|0); //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZNK2JS5Value8toStringEv($17); //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$18; //@line 2605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$4; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+16)|0); //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=__ZNK2JS5Value7toInt32Ev($20); //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $begin=$21; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$str; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=__ZNK8JSString6lengthEv($22); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $end=$23; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$begin; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$end; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($24)>>>0) <= (($25)>>>0); //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $28=$end; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$begin; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($28-$29)|0); //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$30; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$length; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31)|0)==0; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $34=$2; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+52)|0); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36+144136)|0); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$38; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$39; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $41=$length; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41)|0)==1; //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $44=$2; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44+52)|0); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46+210584)|0); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$2; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$str; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$begin; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=__ZN2js13StaticStrings23getUnitStringForElementEP9JSContextP8JSStringj($47, $48, $49, $50); //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59 = $51;__label__ = 10; break; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $53=$2; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=$str; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$begin; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$length; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=__Z21js_NewDependentStringP9JSContextP8JSStringjj($53, $54, $55, $56); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59 = $57;__label__ = 10; break; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $59; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$59; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$60; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$str; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61)|0)!=0; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 46; break; //@line 2617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      var $66=$4; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$str; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($66, $67); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 46; break; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __label__ = 15; break; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $70=$2; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$4; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($70, $71); //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str1=$72; //@line 2624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=$str1; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=(($73)|0)!=0; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($74) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      $1=0; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 46; break; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $77=$3; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=(($77)|0)!=0; //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($78) { __label__ = 18; break; } else { __label__ = 45; break; } //@line 2628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $80=$2; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=$4; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=(($81+16)|0); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3824($80, $82, $begin2); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($83) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      $1=0; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 46; break; //@line 2632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $86=$str1; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=__ZNK8JSString6lengthEv($86); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=(($87)>>>0); //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length4=$88; //@line 2633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(tempDoubleI32[0]=HEAP32[(($begin2)>>2)],tempDoubleI32[1]=HEAP32[(($begin2+4)>>2)],tempDoubleF64[0]); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=$89 < 0; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($90) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $92=$length4; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(tempDoubleI32[0]=HEAP32[(($begin2)>>2)],tempDoubleI32[1]=HEAP32[(($begin2+4)>>2)],tempDoubleF64[0]); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=$93+$92; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      (tempDoubleF64[0]=$94,HEAP32[(($begin2)>>2)]=tempDoubleI32[0],HEAP32[(($begin2+4)>>2)]=tempDoubleI32[1]); //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(tempDoubleI32[0]=HEAP32[(($begin2)>>2)],tempDoubleI32[1]=HEAP32[(($begin2+4)>>2)],tempDoubleF64[0]); //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$95 < 0; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($96) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      (tempDoubleF64[0]=0,HEAP32[(($begin2)>>2)]=tempDoubleI32[0],HEAP32[(($begin2+4)>>2)]=tempDoubleI32[1]); //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 23; break; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      __label__ = 27; break; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $100=(tempDoubleI32[0]=HEAP32[(($begin2)>>2)],tempDoubleI32[1]=HEAP32[(($begin2+4)>>2)],tempDoubleF64[0]); //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=$length4; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=$100 > $101; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($102) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $104=$length4; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      (tempDoubleF64[0]=$104,HEAP32[(($begin2)>>2)]=tempDoubleI32[0],HEAP32[(($begin2+4)>>2)]=tempDoubleI32[1]); //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      var $107=$3; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=(($107)|0)==1; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($108) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $110=$4; //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=(($110+24)|0); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=__ZNK2JS5Value11isUndefinedEv($111); //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($112) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $114=$length4; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      (tempDoubleF64[0]=$114,HEAP32[(($end3)>>2)]=tempDoubleI32[0],HEAP32[(($end3+4)>>2)]=tempDoubleI32[1]); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 42; break; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $116=$2; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=$4; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=(($117+24)|0); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3824($116, $118, $end3); //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($119) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      $1=0; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 46; break; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $122=(tempDoubleI32[0]=HEAP32[(($end3)>>2)],tempDoubleI32[1]=HEAP32[(($end3+4)>>2)],tempDoubleF64[0]); //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=$122 < 0; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($123) { __label__ = 33; break; } else { __label__ = 36; break; } //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $125=$length4; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=(tempDoubleI32[0]=HEAP32[(($end3)>>2)],tempDoubleI32[1]=HEAP32[(($end3+4)>>2)],tempDoubleF64[0]); //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$126+$125; //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      (tempDoubleF64[0]=$127,HEAP32[(($end3)>>2)]=tempDoubleI32[0],HEAP32[(($end3+4)>>2)]=tempDoubleI32[1]); //@line 2648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=(tempDoubleI32[0]=HEAP32[(($end3)>>2)],tempDoubleI32[1]=HEAP32[(($end3+4)>>2)],tempDoubleF64[0]); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=$128 < 0; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($129) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      (tempDoubleF64[0]=0,HEAP32[(($end3)>>2)]=tempDoubleI32[0],HEAP32[(($end3+4)>>2)]=tempDoubleI32[1]); //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 35; break; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      __label__ = 39; break; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $133=(tempDoubleI32[0]=HEAP32[(($end3)>>2)],tempDoubleI32[1]=HEAP32[(($end3+4)>>2)],tempDoubleF64[0]); //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=$length4; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=$133 > $134; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($135) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $137=$length4; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      (tempDoubleF64[0]=$137,HEAP32[(($end3)>>2)]=tempDoubleI32[0],HEAP32[(($end3+4)>>2)]=tempDoubleI32[1]); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 38; break; //@line 2653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      __label__ = 39; break;
    case 39: 
      var $140=(tempDoubleI32[0]=HEAP32[(($end3)>>2)],tempDoubleI32[1]=HEAP32[(($end3+4)>>2)],tempDoubleF64[0]); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=(tempDoubleI32[0]=HEAP32[(($begin2)>>2)],tempDoubleI32[1]=HEAP32[(($begin2+4)>>2)],tempDoubleF64[0]); //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=$140 < $141; //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($142) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 2654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      var $144=(tempDoubleI32[0]=HEAP32[(($begin2)>>2)],tempDoubleI32[1]=HEAP32[(($begin2+4)>>2)],tempDoubleF64[0]); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      (tempDoubleF64[0]=$144,HEAP32[(($end3)>>2)]=tempDoubleI32[0],HEAP32[(($end3+4)>>2)]=tempDoubleI32[1]); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 41; break; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      __label__ = 42; break;
    case 42: 
      var $147=$2; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=$str1; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=(tempDoubleI32[0]=HEAP32[(($begin2)>>2)],tempDoubleI32[1]=HEAP32[(($begin2+4)>>2)],tempDoubleF64[0]); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $150=($149 >= 0 ? Math.floor($149) : Math.ceil($149)); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=(tempDoubleI32[0]=HEAP32[(($end3)>>2)],tempDoubleI32[1]=HEAP32[(($end3+4)>>2)],tempDoubleF64[0]); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=(tempDoubleI32[0]=HEAP32[(($begin2)>>2)],tempDoubleI32[1]=HEAP32[(($begin2+4)>>2)],tempDoubleF64[0]); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=$151-$152; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=($153 >= 0 ? Math.floor($153) : Math.ceil($153)); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $155=__Z21js_NewDependentStringP9JSContextP8JSStringjj($147, $148, $150, $154); //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=$155; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str1=$156; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $157=$str1; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=(($157)|0)!=0; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($158) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      $1=0; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 46; break; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 44: 
      __label__ = 45; break; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 45: 
      var $162=$4; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $163=$str1; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($162, $163); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 46; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 46: 
      var $165=$1; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $165; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9str_sliceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8str_boldP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str463815)|0), 0, 0, $5); //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL11str_italicsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str453814)|0), 0, 0, $5); //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL9str_fixedP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str443813)|0), 0, 0, $5); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL12str_fontsizeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$3; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=__ZL12tagify_valueP9JSContextjPN2JS5ValueEPKcS5_($4, $5, $6, ((STRING_TABLE.__str433812)|0), ((STRING_TABLE.__str423811)|0)); //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL13str_fontcolorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$3; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=__ZL12tagify_valueP9JSContextjPN2JS5ValueEPKcS5_($4, $5, $6, ((STRING_TABLE.__str413810)|0), ((STRING_TABLE.__str423811)|0)); //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL8str_linkP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$3; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=__ZL12tagify_valueP9JSContextjPN2JS5ValueEPKcS5_($4, $5, $6, ((STRING_TABLE.__str403809)|0), ((STRING_TABLE.__str393808)|0)); //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL10str_anchorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$3; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=__ZL12tagify_valueP9JSContextjPN2JS5ValueEPKcS5_($4, $5, $6, ((STRING_TABLE.__str383807)|0), ((STRING_TABLE.__str393808)|0)); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE8capacityEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 342 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 342 "./jsvector.h"
  ;
  return $4; //@line 342 "./jsvector.h"
}


function __ZL10str_strikeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str283791)|0), 0, 0, $5); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL9str_smallP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str293792)|0), 0, 0, $5); //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL7str_bigP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str303793)|0), 0, 0, $5); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL9str_blinkP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str313794)|0), 0, 0, $5); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL7str_supP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str323795)|0), 0, 0, $5); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL7str_subP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$3; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($4, ((STRING_TABLE.__str333796)|0), 0, 0, $5); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6)&1); //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 2822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __Z9js_StringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $str;
      var $strobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5+16)|0); //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $argv=$6; //@line 2899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$3; //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)>>>0) > 0; //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$2; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$argv; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11)|0); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($10, $12); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$13; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$str; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14)|0)!=0; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      __label__ = 6; break; //@line 2906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$2; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+52)|0); //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21+144136)|0); //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$23; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$24; //@line 2907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break;
    case 6: 
      var $26=$4; //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZN2jsL14IsConstructingEPKN2JS5ValueE3833($26); //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 2910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $29=$2; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$str; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZN2js12StringObject6createEP9JSContextP8JSString($29, $30); //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $strobj=$31; //@line 2911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$strobj; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32)|0)!=0; //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $36=$4; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$strobj; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$37; //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setObjectER8JSObject($36, $38); //@line 2914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $40=$4; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$str; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($40, $41); //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break;
    case 11: 
      $1=1; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $44=$1; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $44; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9js_StringP9JSContextjPN2JS5ValueE["X"]=1;

function __Z16js_ValueToStringP9JSContextRKN2JS5ValueE($cx, $arg) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v=__stackBase__;
      var $str;
      $2=$cx;
      $3=$arg;
      var $4=$3; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=$v; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$4; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$2; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE3862($7, 3, $v); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 19; break; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=__ZNK2JS5Value8isStringEv($v); //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $13=__ZNK2JS5Value8toStringEv($v); //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$13; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $15=__ZNK2JS5Value7isInt32Ev($v); //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $17=$2; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZNK2JS5Value7toInt32Ev($v); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=__Z14js_IntToStringP9JSContexti($17, $18); //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$19; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 17; break; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $21=__ZNK2JS5Value8isDoubleEv($v); //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($21) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $23=$2; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZNK2JS5Value8toDoubleEv($v); //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__Z17js_NumberToStringP9JSContextd($23, $24); //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$25; //@line 3271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $27=__ZNK2JS5Value9isBooleanEv($v); //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $29=$2; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZNK2JS5Value9toBooleanEv($v); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30)&1); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=__Z18js_BooleanToStringP9JSContexti($29, $31); //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$32; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $34=__ZNK2JS5Value6isNullEv($v); //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($34) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $36=$2; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36+52)|0); //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+209948)|0); //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39+68)|0); //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$41; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$42; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $44=$2; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44+52)|0); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46+209948)|0); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47+36)|0); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48)|0); //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$50; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$51; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $57=$str; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$57; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 19; break; //@line 3279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $59=$1; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 3280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_ValueToStringP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN2jsL14IsConstructingEPKN2JS5ValueE3833($vp) {
  ;
  var __label__;

  var $1;
  $1=$vp;
  var $2=$1; //@line 372 "./jsfun.h"
  var $3=(($2+8)|0); //@line 372 "./jsfun.h"
  var $4=__ZNK2JS5Value7isMagicEv($3); //@line 372 "./jsfun.h"
  ;
  return $4; //@line 372 "./jsfun.h"
}


function __ZL16str_fromCharCodeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $code=__stackBase__;
      var $chars;
      var $i;
      var $code1=__stackBase__+4;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$4; //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5+16)|0); //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $argv=$6; //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$3; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)|0)==1; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$2; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$argv; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11)|0); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZN2js13ValueToUint16EP9JSContextRKN2JS5ValueEPt($10, $12, $code); //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $16=HEAP16[(($code)>>1)]; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZN2js13StaticStrings7hasUnitEt($16); //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$4; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$2; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20+52)|0); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22+210584)|0); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=HEAP16[(($code)>>1)]; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__ZN2js13StaticStrings7getUnitEt($23, $24); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$25; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($19, $26); //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $28=$argv; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28)|0); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=HEAPU16[(($code)>>1)]; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30)&65535); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($29, $31); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $33=$2; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$3; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+1)|0); //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=((($35<<1))|0); //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=__ZN9JSContext7malloc_Ej($33, $36); //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$37; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$38; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$chars; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39)|0)!=0; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $i=0; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $44=$i; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$3; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($44)>>>0) < (($45)>>>0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $48=$2; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$i; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$argv; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50+($49<<3))|0); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=__ZN2js13ValueToUint16EP9JSContextRKN2JS5ValueEPt($48, $51, $code1); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $54=$2; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$chars; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$55; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($54, $56); //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $58=HEAP16[(($code1)>>1)]; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$i; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$chars; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+($59<<1))|0); //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($61)>>1)]=$58; //@line 2945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $63=$i; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($63+1)|0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$64; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $66=$3; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$chars; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67+($66<<1))|0); //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($68)>>1)]=0; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$2; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$chars; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$3; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=__Z12js_NewStringP9JSContextPtj($69, $70, $71); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=$72; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$73; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$str; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($74)|0)!=0; //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $77=$2; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=$chars; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=$78; //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($77, $79); //@line 2950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $81=$4; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=$str; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($81, $82); //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $84=$1; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $84; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16str_fromCharCodeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2js12StringObject18assignInitialShapeEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$3; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$2; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($6+52)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $9=(($8+209948)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $10=(($9+308)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $12=$11; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $13=__ZL12ATOM_TO_JSIDP6JSAtom3836($12); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $14=__ZN8JSObject15addDataPropertyEP9JSContextijj($4, $5, $13, 1, 6); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $14; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL12ATOM_TO_JSIDP6JSAtom3836($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj3911($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __Z18js_InitStringClassP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $proto;
      var $ctor;
      var $type;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$3; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZN8JSObject8asGlobalEv($5); //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $global=$6; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$global; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$2; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($7, $8, __ZN2js11StringClassE); //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $proto=$9; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$proto; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10)|0)!=0; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $13=$proto; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZN8JSObject8asStringEv($13); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$2; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$2; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16+52)|0); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18+144136)|0); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$20; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZN2js12StringObject4initEP9JSContextP8JSString($14, $15, $21); //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $25=$global; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$2; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$2; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27+52)|0); //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29+209948)|0); //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30+72)|0); //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31+36)|0); //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$33; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($25, $26, 300, __ZN2js11StringClassE, $34, 1); //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ctor=$35; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$ctor; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36)|0)!=0; //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $40=$2; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$ctor; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$41; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$proto; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($40, $42, $43); //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $1=0; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $47=$2; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$proto; //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($47, $48, 0, ((__ZL14string_methods)|0)); //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $51=$2; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$ctor; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$52; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($51, $53, 0, ((__ZL21string_static_methods)|0)); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $57=$proto; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=$2; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($57, $58, 0, 0); //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $type=$59; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$type; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60)|0)!=0; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $1=0; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $64=$2; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$type; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js5types4Type9Int32TypeEv($4); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE($64, $65, ((STRING_TABLE.__str353798)|0), $4); //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$2; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$global; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$ctor; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$68; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$proto; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($66, $67, 9, $69, $70); //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($71) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      $1=0; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $74=$2; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$global; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=$75; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=_JS_DefineFunctions($74, $76, ((__ZL16string_functions)|0)); //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=(($77)|0)!=0; //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($78) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      $1=0; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $81=$proto; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$81; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $83=$1; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_InitStringClassP9JSContextP8JSObject["X"]=1;

function __ZN2jsL17CheckStringLengthEP9JSContextj3839($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext3901($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSFixedString4new_EP9JSContextPKtj($cx, $chars, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$chars;
      $4=$length;
      var $5=$2; //@line 120 "./vm/String-inl.h"
      var $6=__Z14js_NewGCStringP9JSContext($5); //@line 120 "./vm/String-inl.h"
      var $7=$6; //@line 120 "./vm/String-inl.h"
      $str=$7; //@line 120 "./vm/String-inl.h"
      var $8=$str; //@line 121 "./vm/String-inl.h"
      var $9=(($8)|0)!=0; //@line 121 "./vm/String-inl.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 121 "./vm/String-inl.h"
    case 2: 
      $1=0; //@line 122 "./vm/String-inl.h"
      __label__ = 4; break; //@line 122 "./vm/String-inl.h"
    case 3: 
      var $12=$str; //@line 123 "./vm/String-inl.h"
      var $13=$3; //@line 123 "./vm/String-inl.h"
      var $14=$4; //@line 123 "./vm/String-inl.h"
      __ZN13JSFixedString4initEPKtj($12, $13, $14); //@line 123 "./vm/String-inl.h"
      var $15=$str; //@line 124 "./vm/String-inl.h"
      $1=$15; //@line 124 "./vm/String-inl.h"
      __label__ = 4; break; //@line 124 "./vm/String-inl.h"
    case 4: 
      var $17=$1; //@line 125 "./vm/String-inl.h"
      ;
      return $17; //@line 125 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer16extractWellSizedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $capacity;
      var $length;
      var $buf;
      var $bytes;
      var $cx;
      var $tmp;
      $2=$this;
      var $3=$2;
      var $4=(($3)|0); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE8capacityEv($4); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $capacity=$5; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($3)|0); //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($6); //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$7; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($3)|0); //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16extractRawBufferEv($8); //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $buf=$9; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$buf; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10)|0)!=0; //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $14=$length; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14)>>>0) > 32; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $17=$capacity; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$length; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($17-$18)|0); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$length; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$20 >>> 2; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($19)>>>0) > (($21)>>>0); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $24=$length; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24+1)|0); //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=((($25<<1))|0); //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $bytes=$26; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZNK2js12StringBuffer7contextEv($3); //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cx=$27; //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$cx; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$buf; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$29; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$bytes; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=__ZN9JSContext8realloc_EPvj($28, $30, $31); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$32; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $tmp=$33; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$tmp; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34)|0)!=0; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $37=$cx; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$buf; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$38; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($37, $39); //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $41=$tmp; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $buf=$41; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $43=$buf; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$43; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $45=$1; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $45; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12StringBuffer16extractWellSizedEv["X"]=1;

function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16extractRawBufferEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ret;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE18usingInlineStorageEv($3); //@line 916 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 916 "./jsvector.h"
    case 2: 
      var $6=$3; //@line 917 "./jsvector.h"
      var $7=(($3+8)|0); //@line 917 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 917 "./jsvector.h"
      var $9=((($8<<1))|0); //@line 917 "./jsvector.h"
      var $10=__ZN2js18ContextAllocPolicy7malloc_Ej($6, $9); //@line 917 "./jsvector.h"
      var $11=$10; //@line 917 "./jsvector.h"
      $ret=$11; //@line 917 "./jsvector.h"
      var $12=$ret; //@line 918 "./jsvector.h"
      var $13=(($12)|0)!=0; //@line 918 "./jsvector.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 918 "./jsvector.h"
    case 3: 
      $1=0; //@line 919 "./jsvector.h"
      __label__ = 7; break; //@line 919 "./jsvector.h"
    case 4: 
      var $16=$ret; //@line 920 "./jsvector.h"
      var $17=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($3); //@line 920 "./jsvector.h"
      var $18=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($3); //@line 920 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_($16, $17, $18); //@line 920 "./jsvector.h"
      var $19=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($3); //@line 921 "./jsvector.h"
      var $20=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($3); //@line 921 "./jsvector.h"
      __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE7destroyEPtS3_($19, $20); //@line 921 "./jsvector.h"
      var $21=(($3+8)|0); //@line 923 "./jsvector.h"
      HEAP32[(($21)>>2)]=0; //@line 923 "./jsvector.h"
      __label__ = 6; break; //@line 924 "./jsvector.h"
    case 5: 
      var $23=(($3+4)|0); //@line 925 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 925 "./jsvector.h"
      $ret=$24; //@line 925 "./jsvector.h"
      var $25=(($3+16)|0); //@line 926 "./jsvector.h"
      var $26=__ZN7mozilla14AlignedStorageILj64EE4addrEv($25); //@line 926 "./jsvector.h"
      var $27=$26; //@line 926 "./jsvector.h"
      var $28=(($3+4)|0); //@line 926 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 926 "./jsvector.h"
      var $29=(($3+8)|0); //@line 927 "./jsvector.h"
      HEAP32[(($29)>>2)]=0; //@line 927 "./jsvector.h"
      var $30=(($3+12)|0); //@line 928 "./jsvector.h"
      HEAP32[(($30)>>2)]=32; //@line 928 "./jsvector.h"
      __label__ = 6; break;
    case 6: 
      var $32=$ret; //@line 933 "./jsvector.h"
      $1=$32; //@line 933 "./jsvector.h"
      __label__ = 7; break; //@line 933 "./jsvector.h"
    case 7: 
      var $34=$1; //@line 934 "./jsvector.h"
      ;
      return $34; //@line 934 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer12finishStringEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cx;
      var $length;
      var $buf;
      var $str;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js12StringBuffer7contextEv($3); //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cx=$4; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=(($3)|0); //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5emptyEv($5); //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$cx; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8+52)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10+209948)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11+24)|0); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$13; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$14; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $16=(($3)|0); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($16); //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$17; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$length; //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=__ZN2js12StringBuffer11checkLengthEj($3, $18); //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $22=$length; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=__ZN13JSShortString10lengthFitsEj($22); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $25=$cx; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($3)|0); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5beginEv($26); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$length; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=__ZL14NewShortStringP9JSContextPKtj($25, $27, $28); //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$29; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $31=(($3)|0); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbT_($31, 0); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $35=__ZN2js12StringBuffer16extractWellSizedEv($3); //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $buf=$35; //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$buf; //@line 3142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36)|0)!=0; //@line 3142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $40=$cx; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$buf; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$length; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=__Z12js_NewStringP9JSContextPtj($40, $41, $42); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$43; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$str; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44)|0)!=0; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $47=$cx; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$buf; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$48; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($47, $49); //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $51=$str; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$51; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $53=$1; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $53; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12StringBuffer12finishStringEv["X"]=1;

function __Z9js_strlenPKt($s) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $t;
      $1=$s;
      var $2=$1; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$2; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $4=$t; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=HEAPU16[(($4)>>1)]; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5)&65535); //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6)|0)!=0; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      __label__ = 4; break; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $10=$t; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10+2)|0); //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$11; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 3467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $13=$t; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$1; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$13; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$14; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($15-$16)|0); //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(((($17)|0)/2)&-1); //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $18; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14NewShortStringP9JSContextPKtj($cx, $chars, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $storage;
      $2=$cx;
      $3=$chars;
      $4=$length;
      var $5=$4; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZN14JSInlineString10lengthFitsEj($5); //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$2; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZN14JSInlineString4new_EP9JSContext($8); //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15 = $9;__label__ = 4; break; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=$2; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=__ZN13JSShortString4new_EP9JSContext($11); //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$12; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15 = $13;__label__ = 4; break; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$15; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$str; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)!=0; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $20=$str; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$4; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZN14JSInlineString4initEj($20, $21); //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $storage=$22; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$storage; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$3; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$4; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2jsL7PodCopyItEEvPT_PKS1_j3900($23, $24, $25); //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$4; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$storage; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27+($26<<1))|0); //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($28)>>1)]=0; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$2; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$str; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$30; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$4; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=__ZN2js6Probes12createStringEP9JSContextP8JSStringj($29, $31, $32); //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$str; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$34; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$35; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $37=$1; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $37; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendIcEEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12StringBuffer10finishAtomEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cx;
      var $length;
      var $atom;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js12StringBuffer7contextEv($3); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cx=$4; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=(($3)|0); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($5); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$6; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$length; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)|0)==0; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$cx; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10+52)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12+209948)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($13+24)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$15; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$16; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $18=$cx; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($3)|0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5beginEv($19); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$length; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($18, $20, $21, 0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $atom=$22; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($3)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE5clearEv($23); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$atom; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$24; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $26=$1; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $26; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_($g, $2); //@line 730 "./jsvector.h"
  var $3=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv($2); //@line 731 "./jsvector.h"
  var $4=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($2); //@line 731 "./jsvector.h"
  __ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE7destroyEPtS3_($3, $4); //@line 731 "./jsvector.h"
  var $5=(($2+8)|0); //@line 732 "./jsvector.h"
  HEAP32[(($5)>>2)]=0; //@line 732 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 733 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 733 "./jsvector.h"
}


function __Z21js_NewDependentStringP9JSContextP8JSStringjj($cx, $baseArg, $start, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $base;
      var $chars;
      var $staticStr;
      var $s;
      $2=$cx;
      $3=$baseArg;
      $4=$start;
      $5=$length;
      var $6=$5; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6)|0)==0; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $9=$2; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9+52)|0); //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11+144136)|0); //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$13; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$14; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $16=$3; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$2; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZN8JSString12ensureLinearEP9JSContext($16, $17); //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $base=$18; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$base; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19)|0)!=0; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $23=$4; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)|0)==0; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $26=$5; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$base; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$27; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=__ZNK8JSString6lengthEv($28); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($26)|0)==(($29)|0); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $32=$base; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$32; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $34=$base; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=__ZNK14JSLinearString5charsEv($34); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$4; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($35+($36<<1))|0); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$37; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$2; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+52)|0); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+210584)|0); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$chars; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$5; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=__ZN2js13StaticStrings6lookupEPKtj($41, $42, $43); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$44; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $staticStr=$45; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$staticStr; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46)|0)!=0; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $49=$staticStr; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$49; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $51=$2; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$base; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$chars; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=$5; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=__ZN17JSDependentString4new_EP9JSContextP14JSLinearStringPKtj($51, $52, $53, $54); //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$55; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $s=$56; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=$2; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=$s; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$58; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$5; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=__ZN2js6Probes12createStringEP9JSContextP8JSStringj($57, $59, $60); //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=$s; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$62; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $64=$1; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $64; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z21js_NewDependentStringP9JSContextP8JSStringjj["X"]=1;

function __ZN17JSDependentString4new_EP9JSContextP14JSLinearStringPKtj($cx, $base, $chars, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $str;
      $2=$cx;
      $3=$base;
      $4=$chars;
      $5=$length;
      __label__ = 2; break; //@line 78 "./vm/String-inl.h"
    case 2: 
      var $7=$3; //@line 78 "./vm/String-inl.h"
      var $8=$7; //@line 78 "./vm/String-inl.h"
      var $9=__ZNK8JSString11isDependentEv($8); //@line 78 "./vm/String-inl.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 78 "./vm/String-inl.h"
    case 3: 
      var $11=$3; //@line 79 "./vm/String-inl.h"
      var $12=$11; //@line 79 "./vm/String-inl.h"
      var $13=__ZN8JSString11asDependentEv($12); //@line 79 "./vm/String-inl.h"
      var $14=__ZNK17JSDependentString4baseEv($13); //@line 79 "./vm/String-inl.h"
      $3=$14; //@line 79 "./vm/String-inl.h"
      __label__ = 2; break; //@line 79 "./vm/String-inl.h"
    case 4: 
      var $16=$2; //@line 85 "./vm/String-inl.h"
      var $17=__Z14js_NewGCStringP9JSContext($16); //@line 85 "./vm/String-inl.h"
      var $18=$17; //@line 85 "./vm/String-inl.h"
      $str=$18; //@line 85 "./vm/String-inl.h"
      var $19=$str; //@line 86 "./vm/String-inl.h"
      var $20=(($19)|0)!=0; //@line 86 "./vm/String-inl.h"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 86 "./vm/String-inl.h"
    case 5: 
      $1=0; //@line 87 "./vm/String-inl.h"
      __label__ = 7; break; //@line 87 "./vm/String-inl.h"
    case 6: 
      var $23=$str; //@line 88 "./vm/String-inl.h"
      var $24=$3; //@line 88 "./vm/String-inl.h"
      var $25=$4; //@line 88 "./vm/String-inl.h"
      var $26=$5; //@line 88 "./vm/String-inl.h"
      __ZN17JSDependentString4initEP14JSLinearStringPKtj($23, $24, $25, $26); //@line 88 "./vm/String-inl.h"
      var $27=$str; //@line 89 "./vm/String-inl.h"
      $1=$27; //@line 89 "./vm/String-inl.h"
      __label__ = 7; break; //@line 89 "./vm/String-inl.h"
    case 7: 
      var $29=$1; //@line 90 "./vm/String-inl.h"
      ;
      return $29; //@line 90 "./vm/String-inl.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_NewStringCopyNP9JSContextPKtj($cx, $s, $n) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $news;
      var $str;
      $2=$cx;
      $3=$s;
      $4=$n;
      var $5=$4; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZN13JSShortString10lengthFitsEj($5); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$2; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$3; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$4; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZL14NewShortStringP9JSContextPKtj($8, $9, $10); //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$11; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$4; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14+1)|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=((($15<<1))|0); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZN9JSContext7malloc_Ej($13, $16); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$17; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $news=$18; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$news; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19)|0)!=0; //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $23=$news; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$23; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$3; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$25; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$4; //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=((($27<<1))|0); //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert($28 % 1 === 0, 'memcpy given ' + $28 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($24, $26, $28, 1); //@line 3197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$4; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$news; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30+($29<<1))|0); //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($31)>>1)]=0; //@line 3198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$2; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$news; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$4; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=__Z12js_NewStringP9JSContextPtj($32, $33, $34); //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$35; //@line 3199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$str; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36)|0)!=0; //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $39=$2; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$news; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$40; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($39, $41); //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $43=$str; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$43; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $45=$1; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $45; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_NewStringCopyNP9JSContextPKtj["X"]=1;

function __Z17js_NewStringCopyNP9JSContextPKcj($cx, $s, $n) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $chars;
      var $str;
      $2=$cx;
      $3=$s;
      HEAP32[(($4)>>2)]=$n;
      var $5=HEAP32[(($4)>>2)]; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZN13JSShortString10lengthFitsEj($5); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$2; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$3; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=HEAP32[(($4)>>2)]; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZL14NewShortStringP9JSContextPKcj($8, $9, $10); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$11; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$12; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $14=$2; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$3; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($14, $15, $4, 0); //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$16; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$chars; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)!=0; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$2; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$chars; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=HEAP32[(($4)>>2)]; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__Z12js_NewStringP9JSContextPtj($21, $22, $23); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$24; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$str; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25)|0)!=0; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $28=$2; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$chars; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$29; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($28, $30); //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $32=$str; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$32; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $34=$1; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14NewShortStringP9JSContextPKcj($cx, $chars, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $str;
      var $storage;
      var $n;
      var $p;
      $2=$cx;
      $3=$chars;
      HEAP32[(($4)>>2)]=$length;
      var $5=HEAP32[(($4)>>2)]; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZN14JSInlineString10lengthFitsEj($5); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$2; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZN14JSInlineString4new_EP9JSContext($8); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15 = $9;__label__ = 4; break; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=$2; //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=__ZN13JSShortString4new_EP9JSContext($11); //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$12; //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15 = $13;__label__ = 4; break; //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15; //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$15; //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$str; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)!=0; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $20=$str; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=HEAP32[(($4)>>2)]; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZN14JSInlineString4initEj($20, $21); //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $storage=$22; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)|0)!=0; //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $26=$2; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$3; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=HEAP32[(($4)>>2)]; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$storage; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE($26, $27, $28, $29, $4, 0); //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $33=HEAP32[(($4)>>2)]; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$storage; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+($33<<1))|0); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($35)>>1)]=0; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$str; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=HEAP32[(($4)>>2)]; //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN14JSInlineString11resetLengthEj($36, $37); //@line 3084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $39=HEAP32[(($4)>>2)]; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$39; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$storage; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p=$40; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $42=$n; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42-1)|0); //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$43; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($42)|0)!=0; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $46=$3; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46+1)|0); //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$47; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=HEAPU8[($46)]; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48)&255); //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$p; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50+2)|0); //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p=$51; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($50)>>1)]=$49; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $53=$p; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($53)>>1)]=0; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break;
    case 14: 
      var $55=$2; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$str; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=$56; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=HEAP32[(($4)>>2)]; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=__ZN2js6Probes12createStringEP9JSContextP8JSStringj($55, $57, $58); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$str; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$60; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $62=$1; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14NewShortStringP9JSContextPKcj["X"]=1;

function __ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE($cx, $bytes, $lengthp, $fc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $nchars=__stackBase__;
      var $chars;
      var $nbytes;
      var $i;
      $2=$cx;
      $3=$bytes;
      $4=$lengthp;
      $5=$fc;
      var $6=$4; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $nbytes=$7; //@line 3501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $11=$5; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11)|0)==1; //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 3503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $14=$2; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$3; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$nbytes; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$5; //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE($14, $15, $16, 0, $nchars, $17); //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      __label__ = 16; break; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$2; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=HEAP32[(($nchars)>>2)]; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22+1)|0); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=((($23<<1))|0); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__ZN9JSContext7malloc_Ej($21, $24); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$25; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$26; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$chars; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27)|0)!=0; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      __label__ = 16; break; //@line 3508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $31=$2; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$3; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$nbytes; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$chars; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$5; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=__ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE($31, $32, $33, $34, $nchars, $35); //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $38=$nbytes; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($nchars)>>2)]=$38; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$2; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=HEAP32[(($nchars)>>2)]; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+1)|0); //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=((($41<<1))|0); //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=__ZN9JSContext7malloc_Ej($39, $42); //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$43; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$44; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$chars; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45)|0)!=0; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      __label__ = 16; break; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $i=0; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $50=$i; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=HEAPU32[(($nchars)>>2)]; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($50)>>>0) < (($51)>>>0); //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $54=$i; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$3; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55+$54)|0); //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=HEAPU8[($56)]; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57)&255); //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$i; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$chars; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+($59<<1))|0); //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($61)>>1)]=$58; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $63=$i; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($63+1)|0); //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$64; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $67=HEAP32[(($nchars)>>2)]; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$4; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($68)>>2)]=$67; //@line 3518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=HEAP32[(($nchars)>>2)]; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$chars; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=(($70+($69<<1))|0); //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($71)>>1)]=0; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$chars; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$72; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 17; break; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $74=$4; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($74)>>2)]=0; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 17; break; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $76=$1; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $76; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE["X"]=1;

function __Z17js_NewStringCopyZP9JSContextPKt($cx, $s) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $n;
      var $m;
      var $news;
      var $str;
      $2=$cx;
      $3=$s;
      var $4=$3; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=__Z9js_strlenPKt($4); //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$5; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$n; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZN13JSShortString10lengthFitsEj($6); //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $9=$2; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$3; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$n; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=__ZL14NewShortStringP9JSContextPKtj($9, $10, $11); //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$12; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $14=$n; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14+1)|0); //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=((($15<<1))|0); //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $m=$16; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$2; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$m; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=__ZN9JSContext7malloc_Ej($17, $18); //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$19; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $news=$20; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$news; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21)|0)!=0; //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $25=$news; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$25; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$3; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$27; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$m; //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert($29 % 1 === 0, 'memcpy given ' + $29 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($26, $28, $29, 1); //@line 3231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$2; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$news; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$n; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=__Z12js_NewStringP9JSContextPtj($30, $31, $32); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$33; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$str; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34)|0)!=0; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $37=$2; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$news; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$38; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN9JSContext5free_EPv($37, $39); //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $41=$str; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$41; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $43=$1; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $43; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_NewStringCopyZP9JSContextPKt["X"]=1;

function __Z17js_NewStringCopyZP9JSContextPKc($cx, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$s;
  var $3=$1; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=$2; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=_strlen($5); //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=__Z17js_NewStringCopyNP9JSContextPKcj($3, $4, $6); //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $7; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($cx, $v, $bytes, $asSource) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $str;
      $2=$cx;
      $3=$v;
      $4=$bytes;
      var $6=(($asSource)&1);
      $5=$6;
      var $7=$5; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7) & 1); //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $12 = 302;__label__ = 4; break; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12 = 304;__label__ = 4; break; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $12; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$2; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$3; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=FUNCTION_TABLE[$12]($13, $14); //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$15; //@line 3249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$str; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)!=0; //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 3251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $20=$2; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$str; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=_js_QuoteString($20, $21, 0); //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$22; //@line 3252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$str; //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)|0)!=0; //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $1=0; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 3254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $27=$4; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$2; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$str; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZN16JSAutoByteString6encodeEP9JSContextP8JSString($27, $28, $29); //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$30; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 3255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $32=$1; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $32; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSDOUBLE_IS_NEGZERO3865($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $x=__stackBase__;
      $2=$d;
      var $3=$2; //@line 71 "./jsval.h"
      var $4=$3 != 0; //@line 71 "./jsval.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./jsval.h"
    case 2: 
      $1=0; //@line 72 "./jsval.h"
      __label__ = 4; break; //@line 72 "./jsval.h"
    case 3: 
      var $7=$2; //@line 73 "./jsval.h"
      var $8=$x; //@line 73 "./jsval.h"
      (tempDoubleF64[0]=$7,HEAP32[(($8)>>2)]=tempDoubleI32[0],HEAP32[(($8+4)>>2)]=tempDoubleI32[1]); //@line 73 "./jsval.h"
      var $9=$x; //@line 74 "./jsval.h"
      var $10=(($9+4)|0); //@line 74 "./jsval.h"
      var $11=HEAP32[(($10)>>2)]; //@line 74 "./jsval.h"
      var $12=$11 & -2147483648; //@line 74 "./jsval.h"
      var $13=(($12)|0)!=0; //@line 74 "./jsval.h"
      var $14=(($13)&1); //@line 74 "./jsval.h"
      $1=$14; //@line 74 "./jsval.h"
      __label__ = 4; break; //@line 74 "./jsval.h"
    case 4: 
      var $16=$1; //@line 75 "./jsval.h"
      STACKTOP = __stackBase__;
      return $16; //@line 75 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z9js_strchrPKtt($s, $c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$s;
      $3=$c;
      __label__ = 2; break; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $5=$2; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=HEAPU16[(($5)>>1)]; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6)&65535); //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)|0)!=0; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$2; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=HEAPU16[(($10)>>1)]; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11)&65535); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$3; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($13)&65535); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $17=$2; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$17; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$2; //@line 3478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+2)|0); //@line 3478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $2=$20; //@line 3478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 3479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $23=$1; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $23; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_ValueToSourceP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $stackDummy_=__stackBase__;
      var $rval=__stackBase__+4;
      var $fval=__stackBase__+12;
      var $id;
      $2=$cx;
      $3=$v;
      __label__ = 2; break; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $5=$stackDummy_; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$2; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6+48)|0); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=HEAPU32[(($7)>>2)]; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($5)>>>0) < (($8)>>>0); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=$2; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __Z21js_ReportOverRecursedP9JSContext($11); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      __label__ = 5; break; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $14=$3; //@line 3307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZNK2JS5Value11isUndefinedEv($14); //@line 3307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $17=$2; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17+52)|0); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19+209948)|0); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20+392)|0); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$22; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$23; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $25=$3; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=__ZNK2JS5Value8isStringEv($25); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $28=$2; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$3; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZNK2JS5Value8toStringEv($29); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=_js_QuoteString($28, $30, 34); //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$31; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $33=$3; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=__ZNK2JS5Value11isPrimitiveEv($33); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $36=$3; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=__ZNK2JS5Value8isDoubleEv($36); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $39=$3; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZNK2JS5Value8toDoubleEv($39); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=_JSDOUBLE_IS_NEGZERO3865($40); //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41)|0)!=0; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $44=$2; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=__Z17js_NewStringCopyNP9JSContextPKtj($44, ((__ZZ16js_ValueToSourceP9JSContextRKN2JS5ValueEE17js_negzero_ucNstr)|0), 2); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$45; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$46; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $48=$2; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$3; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($48, $49); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$50; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __ZN2JSL9NullValueEv3866($rval); //@line 3322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$2; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52+52)|0); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54+209948)|0); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55+372)|0); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=$57; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=__ZL12ATOM_TO_JSIDP6JSAtom3836($58); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $id=$59; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$2; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$3; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=__ZNK2JS5Value8toObjectEv($61); //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$id; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE($60, $62, $63, 2, $fval); //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=(($64)|0)!=0; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      $1=0; //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $68=__ZL13js_IsCallableRKN2JS5ValueE3827($fval); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($68) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $70=$2; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$3; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_($70, $71, $fval, 0, 0, $rval); //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($72) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      $1=0; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      __label__ = 20; break; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $76=$2; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($76, $rval); //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$77; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $79=$1; //@line 3333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 3333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE3862($cx, $preferredType, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$preferredType;
      $4=$vp;
      var $5=$4; //@line 2146 "./jsobj.h"
      var $6=__ZNK2JS5Value11isPrimitiveEv($5); //@line 2146 "./jsobj.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2146 "./jsobj.h"
    case 2: 
      $1=1; //@line 2147 "./jsobj.h"
      __label__ = 4; break; //@line 2147 "./jsobj.h"
    case 3: 
      var $9=$4; //@line 2148 "./jsobj.h"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 2148 "./jsobj.h"
      var $11=$2; //@line 2148 "./jsobj.h"
      var $12=$3; //@line 2148 "./jsobj.h"
      var $13=$4; //@line 2148 "./jsobj.h"
      var $14=__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($10, $11, $12, $13); //@line 2148 "./jsobj.h"
      $1=$14; //@line 2148 "./jsobj.h"
      __label__ = 4; break; //@line 2148 "./jsobj.h"
    case 4: 
      var $16=$1; //@line 2149 "./jsobj.h"
      ;
      return $16; //@line 2149 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js23ValueToStringBufferSlowEP9JSContextRKN2JS5ValueERNS_12StringBufferE($cx, $arg, $sb) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      $2=$cx;
      $3=$arg;
      $4=$sb;
      var $5=$3; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$v; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$5; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$2; //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE3862($8, 3, $v); //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 3288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=__ZNK2JS5Value8isStringEv($v); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $14=$4; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZNK2JS5Value8toStringEv($v); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZN2js12StringBuffer6appendEP8JSString($14, $15); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$16; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $18=__ZNK2JS5Value8isNumberEv($v); //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $20=$2; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$4; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZN2js25NumberValueToStringBufferEP9JSContextRKN2JS5ValueERNS_12StringBufferE($20, $v, $21); //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$22; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $24=__ZNK2JS5Value9isBooleanEv($v); //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $26=$2; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZNK2JS5Value9toBooleanEv($v); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27)&1); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$4; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZN2js21BooleanToStringBufferEP9JSContextiRNS_12StringBufferE($26, $28, $29); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$30; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $32=__ZNK2JS5Value6isNullEv($v); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $34=$4; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$2; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35+52)|0); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+209948)|0); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+68)|0); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$40; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZN2js12StringBuffer6appendEP6JSAtom($34, $41); //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$42; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $44=$4; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$2; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45+52)|0); //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47+209948)|0); //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48+36)|0); //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49)|0); //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$51; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=__ZN2js12StringBuffer6appendEP6JSAtom($44, $52); //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$53; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $55=$1; //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $55; //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js23ValueToStringBufferSlowEP9JSContextRKN2JS5ValueERNS_12StringBufferE["X"]=1;

function __ZN2js12StringBuffer6appendEP6JSAtom($this, $atom) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $strLen;
      $2=$this;
      $3=$atom;
      var $4=$2;
      var $5=$3; //@line 205 "./jsstrinlines.h"
      var $6=$5; //@line 205 "./jsstrinlines.h"
      var $7=__ZNK8JSString6lengthEv($6); //@line 205 "./jsstrinlines.h"
      $strLen=$7; //@line 205 "./jsstrinlines.h"
      var $8=(($4)|0); //@line 206 "./jsstrinlines.h"
      var $9=__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv($8); //@line 206 "./jsstrinlines.h"
      var $10=$strLen; //@line 206 "./jsstrinlines.h"
      var $11=(($9+$10)|0); //@line 206 "./jsstrinlines.h"
      var $12=__ZN2js12StringBuffer11checkLengthEj($4, $11); //@line 206 "./jsstrinlines.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 206 "./jsstrinlines.h"
    case 2: 
      $1=0; //@line 207 "./jsstrinlines.h"
      __label__ = 4; break; //@line 207 "./jsstrinlines.h"
    case 3: 
      var $15=(($4)|0); //@line 208 "./jsstrinlines.h"
      var $16=$3; //@line 208 "./jsstrinlines.h"
      var $17=$16; //@line 208 "./jsstrinlines.h"
      var $18=__ZNK14JSLinearString5charsEv($17); //@line 208 "./jsstrinlines.h"
      var $19=$strLen; //@line 208 "./jsstrinlines.h"
      var $20=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_j($15, $18, $19); //@line 208 "./jsstrinlines.h"
      $1=$20; //@line 208 "./jsstrinlines.h"
      __label__ = 4; break; //@line 208 "./jsstrinlines.h"
    case 4: 
      var $22=$1; //@line 209 "./jsstrinlines.h"
      ;
      return $22; //@line 209 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL9NullValueEv3866($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function __ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($cx, $str1, $str2, $result) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length1;
      var $linear1;
      var $linear2;
      $2=$cx;
      $3=$str1;
      $4=$str2;
      $5=$result;
      var $6=$3; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($6)|0)==(($7)|0); //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$5; //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($10)>>2)]=1; //@line 3341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$3; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZNK8JSString6lengthEv($12); //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length1=$13; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$length1; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$4; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZNK8JSString6lengthEv($15); //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($14)|0)!=(($16)|0); //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=$5; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($19)>>2)]=0; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$3; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$2; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=__ZN8JSString12ensureLinearEP9JSContext($21, $22); //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $linear1=$23; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$linear1; //@line 3352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24)|0)!=0; //@line 3352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $28=$4; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$2; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=__ZN8JSString12ensureLinearEP9JSContext($28, $29); //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $linear2=$30; //@line 3354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$linear2; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31)|0)!=0; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $35=$linear1; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=__ZNK14JSLinearString5charsEv($35); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$linear2; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=__ZNK14JSLinearString5charsEv($37); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$length1; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZN2jsL8PodEqualIKtEEbPT_S3_j3869($36, $38, $39); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)&1); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$5; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $44=$1; //@line 3360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $44; //@line 3360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi["X"]=1;

function __ZN2jsL8PodEqualIKtEEbPT_S3_j3869($one, $two, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p1end;
      var $p1;
      var $p2;
      $2=$one;
      $3=$two;
      $4=$len;
      var $5=$4; //@line 707 "./jsutil.h"
      var $6=(($5)>>>0) < 128; //@line 707 "./jsutil.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 707 "./jsutil.h"
    case 2: 
      var $8=$2; //@line 708 "./jsutil.h"
      var $9=$4; //@line 708 "./jsutil.h"
      var $10=(($8+($9<<1))|0); //@line 708 "./jsutil.h"
      $p1end=$10; //@line 708 "./jsutil.h"
      var $11=$2; //@line 709 "./jsutil.h"
      $p1=$11; //@line 709 "./jsutil.h"
      var $12=$3; //@line 709 "./jsutil.h"
      $p2=$12; //@line 709 "./jsutil.h"
      __label__ = 3; break; //@line 709 "./jsutil.h"
    case 3: 
      var $14=$p1; //@line 709 "./jsutil.h"
      var $15=$p1end; //@line 709 "./jsutil.h"
      var $16=(($14)|0)!=(($15)|0); //@line 709 "./jsutil.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 709 "./jsutil.h"
    case 4: 
      var $18=$p1; //@line 710 "./jsutil.h"
      var $19=HEAPU16[(($18)>>1)]; //@line 710 "./jsutil.h"
      var $20=(($19)&65535); //@line 710 "./jsutil.h"
      var $21=$p2; //@line 710 "./jsutil.h"
      var $22=HEAPU16[(($21)>>1)]; //@line 710 "./jsutil.h"
      var $23=(($22)&65535); //@line 710 "./jsutil.h"
      var $24=(($20)|0)!=(($23)|0); //@line 710 "./jsutil.h"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 710 "./jsutil.h"
    case 5: 
      $1=0; //@line 711 "./jsutil.h"
      __label__ = 10; break; //@line 711 "./jsutil.h"
    case 6: 
      __label__ = 7; break; //@line 712 "./jsutil.h"
    case 7: 
      var $28=$p1; //@line 709 "./jsutil.h"
      var $29=(($28+2)|0); //@line 709 "./jsutil.h"
      $p1=$29; //@line 709 "./jsutil.h"
      var $30=$p2; //@line 709 "./jsutil.h"
      var $31=(($30+2)|0); //@line 709 "./jsutil.h"
      $p2=$31; //@line 709 "./jsutil.h"
      __label__ = 3; break; //@line 709 "./jsutil.h"
    case 8: 
      $1=1; //@line 713 "./jsutil.h"
      __label__ = 10; break; //@line 713 "./jsutil.h"
    case 9: 
      var $34=$2; //@line 716 "./jsutil.h"
      var $35=$34; //@line 716 "./jsutil.h"
      var $36=$3; //@line 716 "./jsutil.h"
      var $37=$36; //@line 716 "./jsutil.h"
      var $38=$4; //@line 716 "./jsutil.h"
      var $39=((($38<<1))|0); //@line 716 "./jsutil.h"
      var $40=_memcmp($35, $37, $39); //@line 716 "./jsutil.h"
      var $41=(($40)|0)!=0; //@line 716 "./jsutil.h"
      var $42=$41 ^ 1; //@line 716 "./jsutil.h"
      $1=$42; //@line 716 "./jsutil.h"
      __label__ = 10; break; //@line 716 "./jsutil.h"
    case 10: 
      var $44=$1; //@line 717 "./jsutil.h"
      ;
      return $44; //@line 717 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL8PodEqualIKtEEbPT_S3_j3869["X"]=1;

function __ZN2js12EqualStringsEP14JSLinearStringS1_($str1, $str2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $length1;
      $2=$str1;
      $3=$str2;
      var $4=$2; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=$3; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($4)|0)==(($5)|0); //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=1; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $9=$2; //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$9; //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZNK8JSString6lengthEv($10); //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length1=$11; //@line 3368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$length1; //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$3; //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$13; //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZNK8JSString6lengthEv($14); //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($12)|0)!=(($15)|0); //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$2; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZNK14JSLinearString5charsEv($19); //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$3; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZNK14JSLinearString5charsEv($21); //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$length1; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZN2jsL8PodEqualIKtEEbPT_S3_j3869($20, $22, $23); //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$24; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $26=$1; //@line 3373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $26; //@line 3373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z22js_EqualStringsOnTraceP9JSContextP8JSStringS2_($cx, $str1, $str2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $result=__stackBase__;
      $1=$cx;
      $2=$str1;
      $3=$str2;
      var $4=$1; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=$2; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($4, $5, $6, $result); //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $9=HEAP32[(($result)>>2)]; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12 = $9;__label__ = 4; break; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12 = 2;__label__ = 4; break; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $12; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $12; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi($cx, $str1, $str2, $result) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$str1;
  $3=$str2;
  $4=$result;
  var $5=$1; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$2; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=$3; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $8=$4; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $9=__ZN2jsL18CompareStringsImplEP9JSContextP8JSStringS3_Pi($5, $6, $7, $8); //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $9; //@line 3423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN2jsL18CompareStringsImplEP9JSContextP8JSStringS3_Pi($cx, $str1, $str2, $result) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $l1;
      var $s1;
      var $l2;
      var $s2;
      var $n;
      var $i;
      var $cmp;
      $2=$cx;
      $3=$str1;
      $4=$str2;
      $5=$result;
      var $6=$3; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($6)|0)==(($7)|0); //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$5; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($10)>>2)]=0; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$3; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZNK8JSString6lengthEv($12); //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $l1=$13; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$3; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$2; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZN8JSString8getCharsEP9JSContext($14, $15); //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $s1=$16; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$s1; //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)!=0; //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$4; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZNK8JSString6lengthEv($21); //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $l2=$22; //@line 3404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$4; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$2; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__ZN8JSString8getCharsEP9JSContext($23, $24); //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $s2=$25; //@line 3405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$s2; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26)|0)!=0; //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $30=$l1; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$l2; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($30)>>>0) < (($31)>>>0); //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$l1; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$l2; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$32 ? $33 : $34; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$35; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=0; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $37=$i; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$n; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($37)>>>0) < (($38)>>>0); //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $41=$i; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$s1; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42+($41<<1))|0); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=HEAPU16[(($43)>>1)]; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44)&65535); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$i; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$s2; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47+($46<<1))|0); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=HEAPU16[(($48)>>1)]; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49)&65535); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($45-$50)|0); //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cmp=$51; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$cmp; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52)|0)!=0; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $55=$cmp; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$5; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($56)>>2)]=$55; //@line 3412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      __label__ = 12; break; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $59=$i; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59+1)|0); //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$60; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $62=$l1; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$l2; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($62-$63)|0); //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$5; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($65)>>2)]=$64; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 3417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $67=$1; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $67; //@line 3418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18CompareStringsImplEP9JSContextP8JSStringS3_Pi["X"]=1;

function __Z24js_CompareStringsOnTraceP9JSContextP8JSStringS2_($cx, $str1, $str2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $result=__stackBase__;
      $2=$cx;
      $3=$str1;
      $4=$str2;
      var $5=$2; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZN2jsL18CompareStringsImplEP9JSContextP8JSStringS3_Pi($5, $6, $7, $result); //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=-2147483648; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=HEAP32[(($result)>>2)]; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$11; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $13=$1; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $13; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17StringEqualsAsciiEP14JSLinearStringPKc($str, $asciiBytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $length;
      var $chars;
      var $i;
      $2=$str;
      $3=$asciiBytes;
      var $4=$3; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=_strlen($4); //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$5; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$length; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$2; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$7; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZNK8JSString6lengthEv($8); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($6)|0)!=(($9)|0); //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$2; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK14JSLinearString5charsEv($13); //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$14; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=0; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $16=$i; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$length; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($16)|0)!=(($17)|0); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $20=$i; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$3; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21+$20)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=HEAP8[($22)]; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23 << 24) >> 24); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$i; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$chars; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26+($25<<1))|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=HEAPU16[(($27)>>1)]; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28)&65535); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($24)|0)!=(($29)|0); //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      __label__ = 8; break; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $34=$i; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+1)|0); //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$35; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $1=1; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $38=$1; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $38; //@line 3458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js17StringEqualsAsciiEP14JSLinearStringPKc["X"]=1;

function __ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE($cx, $src, $srclen, $dst, $dstlenp, $fc) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $dstlen;
      var $origDstlen;
      var $offset;
      var $j;
      var $n;
      var $v;
      var $useCESU8;
      var $buffer=__stackBase__;
      var $buffer1=__stackBase__+12;
      $2=$cx;
      $3=$src;
      $4=$srclen;
      $5=$dst;
      $6=$dstlenp;
      $7=$fc;
      var $8=$5; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $11=$6; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15 = $12;__label__ = 4; break; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $15 = -1;__label__ = 4; break; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dstlen=$15; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$dstlen; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $origDstlen=$16; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $offset=0; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$7; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)==1; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18)&1); //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $useCESU8=$19; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$4; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21)|0)!=0; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 37; break; } //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $24=$3; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=HEAPU8[($24)]; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25)&255); //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$26; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=1; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$v; //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$27 & 128; //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28)|0)!=0; //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 32; break; } //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      __label__ = 8; break; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $32=$v; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$n; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=128 >> (($33)|0); //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$32 & $34; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35)|0)!=0; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $38=$n; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+1)|0); //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$39; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $41=$n; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$4; //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($41)>>>0) > (($42)>>>0); //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      __label__ = 41; break; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $46=$n; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46)|0)==1; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($47) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $49=$n; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49)>>>0) > 4; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($50) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __label__ = 38; break; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      $j=1; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $54=$j; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$n; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($54)>>>0) < (($55)>>>0); //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $58=$j; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$3; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59+$58)|0); //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=HEAP8[($60)]; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61 << 24) >> 24); //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$62 & 192; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($63)|0)!=128; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($64) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      __label__ = 38; break; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      __label__ = 20; break; //@line 3760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $68=$j; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($68+1)|0); //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$69; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $71=$3; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$n; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=__ZL17Utf8ToOneUcs4CharPKhi($71, $72); //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$73; //@line 3761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$v; //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($74)>>>0) >= 65536; //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($75) { __label__ = 22; break; } else { __label__ = 31; break; } //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $77=$useCESU8; //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=(($77) & 1); //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($78) { __label__ = 31; break; } else { __label__ = 23; break; } //@line 3762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $80=$v; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($80-65536)|0); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$81; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=$v; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=(($82)>>>0) > 1048575; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $85=$dstlen; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=(($85)>>>0) < 2; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($86) { __label__ = 25; break; } else { __label__ = 28; break; } //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $88=$origDstlen; //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=$dstlen; //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=(($88-$89)|0); //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$6; //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($91)>>2)]=$90; //@line 3765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=$2; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(($92)|0)!=0; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $95=(($buffer)|0); //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$v; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=(($96+65536)|0); //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=_JS_snprintf($95, 10, ((STRING_TABLE.__str363799)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$97,tempInt)); //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$2; //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=(($buffer)|0); //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=_JS_ReportErrorFlagsAndNumber($99, 0, 2, 0, 204, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$100,tempInt)); //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      $1=0; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $104=$5; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=(($104)|0)!=0; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($105) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $107=$v; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=$107 >>> 10; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=(($108+55296)|0); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=(($109) & 65535); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=$5; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=(($111+2)|0); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=$112; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($111)>>1)]=$110; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=$v; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=$113 & 1023; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($114+56320)|0); //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=(($115) & 65535); //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($116)&65535); //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$117; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $119=$dstlen; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($119-1)|0); //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dstlen=$120; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      __label__ = 32; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $123=$dstlen; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=(($123)|0)!=0; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($124) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      __label__ = 41; break; //@line 3785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $127=$5; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=(($127)|0)!=0; //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($128) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 3786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $130=$v; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=(($130) & 65535); //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=$5; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=(($132+2)|0); //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=$133; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($132)>>1)]=$131; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 36; break; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $135=$dstlen; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=(($135-1)|0); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dstlen=$136; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=$n; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=$offset; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=(($138+$137)|0); //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $offset=$139; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=$n; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=$3; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=(($141+$140)|0); //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$142; //@line 3790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $143=$n; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $144=$4; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=(($144-$143)|0); //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $4=$145; //@line 3791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $147=$origDstlen; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=$dstlen; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=(($147-$148)|0); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $150=$6; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($150)>>2)]=$149; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $152=$origDstlen; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=$dstlen; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=(($152-$153)|0); //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $155=$6; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($155)>>2)]=$154; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=$2; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $157=(($156)|0)!=0; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($157) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      var $159=(($buffer1)|0); //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $160=$offset; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $161=_JS_snprintf($159, 10, ((STRING_TABLE.__str373800)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$160,tempInt)); //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $162=$2; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $163=(($buffer1)|0); //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $164=_JS_ReportErrorFlagsAndNumber($162, 0, 2, 0, 205, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$163,tempInt)); //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 40; break; //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      $1=0; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 3806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      var $167=$origDstlen; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $168=$dstlen; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=(($167-$168)|0); //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $170=$6; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($170)>>2)]=$169; //@line 3809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $171=$2; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=(($171)|0)!=0; //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($172) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 3810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      var $174=$2; //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($174, 2, 0, 202, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 43; break; //@line 3813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      $1=0; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 3814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 44: 
      var $177=$1; //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $177; //@line 3815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE["X"]=1;

function __ZN2js13DeflateStringEP9JSContextPKtj($cx, $chars, $nchars) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nbytes=__stackBase__;
      var $i;
      var $bytes;
      $2=$cx;
      $3=$chars;
      $4=$nchars;
      var $5=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5)|0)!=0; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 10; break; } //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$2; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$3; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$4; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZN2js23GetDeflatedStringLengthEP9JSContextPKtj($8, $9, $10); //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($nbytes)>>2)]=$11; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($nbytes)>>2)]; //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0)==-1; //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $16=$2; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)!=0; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $19=$2; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=HEAP32[(($nbytes)>>2)]; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20+1)|0); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZN9JSContext7malloc_Ej($19, $21); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28 = $22;__label__ = 7; break; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $24=HEAP32[(($nbytes)>>2)]; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24+1)|0); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=__ZN2js11OffTheBooks7malloc_Ej($25); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28 = $26;__label__ = 7; break; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $28; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $bytes=$28; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$bytes; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29)|0)!=0; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $33=$2; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$3; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$4; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$bytes; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=__ZN2js21DeflateStringToBufferEP9JSContextPKtjPcPj($33, $34, $35, $36, $nbytes); //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $39=$4; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($nbytes)>>2)]=$39; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$2; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)|0)!=0; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $43=$2; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=HEAP32[(($nbytes)>>2)]; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44+1)|0); //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=__ZN9JSContext7malloc_Ej($43, $45); //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52 = $46;__label__ = 13; break; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $48=HEAP32[(($nbytes)>>2)]; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48+1)|0); //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=__ZN2js11OffTheBooks7malloc_Ej($49); //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52 = $50;__label__ = 13; break; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $52; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $bytes=$52; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$bytes; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53)|0)!=0; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      $1=0; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      $i=0; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $58=$i; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=HEAPU32[(($nbytes)>>2)]; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($58)>>>0) < (($59)>>>0); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($60) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $62=$i; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$3; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($63+($62<<1))|0); //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=HEAP16[(($64)>>1)]; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($65) & 255); //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$i; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$bytes; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($68+$67)|0); //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($69)]=$66; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $71=$i; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=(($71+1)|0); //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$72; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $75=HEAP32[(($nbytes)>>2)]; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=$bytes; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=(($76+$75)|0); //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($77)]=0; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=$bytes; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$78; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 3557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $80=$1; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 3558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13DeflateStringEP9JSContextPKtj["X"]=1;

function __ZN2js23GetDeflatedStringLengthEP9JSContextPKtj($cx, $chars, $nchars) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$chars;
      $4=$nchars;
      var $5=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=(($5)|0)!=0; //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$4; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$8; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$2; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$3; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$4; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZN2js27GetDeflatedUTF8StringLengthEP9JSContextPKtjNS_13FlationCodingE($10, $11, $12, 0); //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$13; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15=$1; //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $15; //@line 3567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21DeflateStringToBufferEP9JSContextPKtjPcPj($cx, $src, $srclen, $dst, $dstlenp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dstlen;
      var $i;
      $2=$cx;
      $3=$src;
      $4=$srclen;
      $5=$dst;
      $6=$dstlenp;
      var $7=$6; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dstlen=$8; //@line 3624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 15; break; } else { __label__ = 2; break; } //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $12=$4; //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$dstlen; //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($12)>>>0) > (($13)>>>0); //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $i=0; //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $17=$i; //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$dstlen; //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($17)>>>0) < (($18)>>>0); //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$i; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$3; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22+($21<<1))|0); //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=HEAP16[(($23)>>1)]; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24) & 255); //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$i; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$5; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27+$26)|0); //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($28)]=$25; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $30=$i; //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30+1)|0); //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$31; //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $33=$2; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($33)|0)!=0; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $36=$2; //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($36, 2, 0, 202, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 3632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $1=0; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $i=0; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $40=$i; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$4; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($40)>>>0) < (($41)>>>0); //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $44=$i; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$3; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45+($44<<1))|0); //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=HEAP16[(($46)>>1)]; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47) & 255); //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$i; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$5; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50+$49)|0); //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($51)]=$48; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 3636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $53=$i; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53+1)|0); //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$54; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $56=$4; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=$6; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($57)>>2)]=$56; //@line 3637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $59=$2; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$3; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$4; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=$5; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$6; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=__ZN2js25DeflateStringToUTF8BufferEP9JSContextPKtjPcPjNS_13FlationCodingE($59, $60, $61, $62, $63, 0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$64; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $66=$1; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $66; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js21DeflateStringToBufferEP9JSContextPKtjPcPj["X"]=1;

function __ZN2js27GetDeflatedUTF8StringLengthEP9JSContextPKtjNS_13FlationCodingE($cx, $chars, $nchars, $fc) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $nbytes;
      var $end;
      var $c;
      var $c2;
      var $buffer=__stackBase__;
      var $useCESU8;
      $2=$cx;
      $3=$chars;
      $4=$nchars;
      $5=$fc;
      var $6=$5; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6)|0)==1; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)&1); //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $useCESU8=$8; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$4; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $nbytes=$9; //@line 3582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$3; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$4; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($10+($11<<1))|0); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $end=$12; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $14=$3; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$end; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 20; break; } //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $18=$3; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=HEAPU16[(($18)>>1)]; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19)&65535); //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$20; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$c; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21)>>>0) < 128; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      __label__ = 19; break; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $25=$c; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=55296 <= (($25)>>>0); //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 15; break; } //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $28=$c; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28)>>>0) <= 57343; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 15; break; } //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $31=$useCESU8; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31) & 1); //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 15; break; } else { __label__ = 8; break; } //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $34=$3; //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+2)|0); //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$35; //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$nbytes; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36-1)|0); //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $nbytes=$37; //@line 3592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$c; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38)>>>0) >= 56320; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $41=$3; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$end; //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($41)|0)==(($42)|0); //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      __label__ = 21; break; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $46=$3; //@line 3595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=HEAPU16[(($46)>>1)]; //@line 3595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47)&65535); //@line 3595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c2=$48; //@line 3595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$c2; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49)>>>0) < 56320; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($50) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $52=$c2; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52)>>>0) > 57343; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($53) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      __label__ = 21; break; //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $56=$c; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56-55296)|0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=$57 << 10; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$c2; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59-56320)|0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($58+$60)|0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61+65536)|0); //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$62; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 3599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $64=$c; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$64 >>> 11; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$65; //@line 3600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$nbytes; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=(($66+1)|0); //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $nbytes=$67; //@line 3601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $69=$c; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69)|0)!=0; //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($70) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $72=$c; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=$72 >>> 5; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$73; //@line 3603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$nbytes; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($74+1)|0); //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $nbytes=$75; //@line 3604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 3605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      __label__ = 19; break; //@line 3606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $78=$3; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=(($78+2)|0); //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$79; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $81=$nbytes; //@line 3607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$81; //@line 3607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 3607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $83=$2; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=(($83)|0)!=0; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($84) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $86=(($buffer)|0); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=$c; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=_JS_snprintf($86, 10, ((STRING_TABLE.__str363799)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$87,tempInt)); //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=$2; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=(($buffer)|0); //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=_JS_ReportErrorFlagsAndNumber($89, 0, 2, 0, 203, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$90,tempInt)); //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 23; break; //@line 3614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      $1=-1; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 3615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $94=$1; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $94; //@line 3616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js27GetDeflatedUTF8StringLengthEP9JSContextPKtjNS_13FlationCodingE["X"]=1;

function __ZN2js6detail17PrimitiveBehaviorIP8JSStringE8getClassEv() {
  ;
  var __label__;

  ;
  return __ZN2js11StringClassE; //@line 83 "./jsinterpinlines.h"
}


function __Z20js_OneUcs4ToUtf8CharPhj($utf8Buffer, $ucs4Char) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $utf8Length;
      var $i;
      var $a;
      $1=$utf8Buffer;
      $2=$ucs4Char;
      $utf8Length=1; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $3=$2; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $4=(($3)>>>0) < 128; //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $6=$2; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6) & 255); //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$1; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($8)]=$7; //@line 4114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 4115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$2; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$10 >>> 11; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $a=$11; //@line 4117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $utf8Length=2; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $13=$a; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($13)|0)!=0; //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $16=$a; //@line 4120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$16 >>> 5; //@line 4120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $a=$17; //@line 4120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$utf8Length; //@line 4121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18+1)|0); //@line 4121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $utf8Length=$19; //@line 4121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $21=$utf8Length; //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$21; //@line 4123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $23=$i; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23-1)|0); //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$24; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24)|0)!=0; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $27=$2; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$27 & 63; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$28 | 128; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29) & 255); //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$i; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$1; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+$31)|0); //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($33)]=$30; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$2; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$34 >>> 6; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $2=$35; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $37=$utf8Length; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=((8-$37)|0); //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=1 << $38; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=((256-$39)|0); //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$2; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($40+$41)|0); //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42) & 255); //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$1; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($44)]=$43; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break;
    case 10: 
      var $46=$utf8Length; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $46; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_OneUcs4ToUtf8CharPhj["X"]=1;

function __ZL17Utf8ToOneUcs4CharPKhi($utf8Buffer, $utf8Length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ucs4Char;
      var $minucs4Char;
      $2=$utf8Buffer;
      $3=$utf8Length;
      var $4=$3; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=(($4)|0)==1; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $7=$2; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=HEAPU8[($7)]; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)&255); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$9; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=$2; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11+1)|0); //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $2=$12; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=HEAPU8[($11)]; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($13)&255); //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$3; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=((7-$15)|0); //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=1 << $16; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17-1)|0); //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$14 & $18; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ucs4Char=$19; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$3; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20-2)|0); //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=((__ZZL17Utf8ToOneUcs4CharPKhiE12minucs4Table+($21<<2))|0); //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $minucs4Char=$23; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $25=$3; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25-1)|0); //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$26; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26)|0)!=0; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $29=$ucs4Char; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$29 << 6; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$2; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31+1)|0); //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $2=$32; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=HEAPU8[($31)]; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($33)&255); //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$34 & 63; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$30 | $35; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ucs4Char=$36; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $38=$ucs4Char; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$minucs4Char; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($38)>>>0) < (($39)>>>0); //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $42=$ucs4Char; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42)>>>0) >= 55296; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $45=$ucs4Char; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45)>>>0) <= 57343; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $1=-1; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 4161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $49=$ucs4Char; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$49; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $51=$1; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $51; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17Utf8ToOneUcs4CharPKhi["X"]=1;

function __ZN2js25DeflateStringToUTF8BufferEP9JSContextPKtjPcPjNS_13FlationCodingE($cx, $src, $srclen, $dst, $dstlenp, $fc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $i;
      var $utf8Len;
      var $c;
      var $c2;
      var $v;
      var $utf8buf=__stackBase__;
      var $useCESU8;
      var $dstlen;
      var $origDstlen;
      $2=$cx;
      $3=$src;
      $4=$srclen;
      $5=$dst;
      $6=$dstlenp;
      $7=$fc;
      var $8=$7; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)==1; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)&1); //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $useCESU8=$10; //@line 3653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$6; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dstlen=$12; //@line 3654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$dstlen; //@line 3655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $origDstlen=$13; //@line 3655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $15=$4; //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15)|0)!=0; //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 29; break; } //@line 3657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $18=$3; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18+2)|0); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$19; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=HEAP16[(($18)>>1)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$20; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$4; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21-1)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $4=$22; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$c; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)&65535); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24)|0) >= 56320; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $27=$c; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27)&65535); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28)|0) <= 57343; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $31=$useCESU8; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31) & 1); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      __label__ = 30; break; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $35=$c; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35)&65535); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($36)|0) < 55296; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $39=$c; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39)&65535); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)|0) > 56319; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $43=$useCESU8; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43) & 1); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $46=$c; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46)&65535); //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$47; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 17; break; //@line 3664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $49=$4; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49)>>>0) < 1; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      __label__ = 30; break; //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $53=$3; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=HEAP16[(($53)>>1)]; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c2=$54; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$c2; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55)&65535); //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56)|0) < 56320; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($57) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $59=$c2; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59)&65535); //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60)|0) > 57343; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      __label__ = 30; break; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $64=$3; //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=(($64+2)|0); //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$65; //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$4; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=(($66-1)|0); //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $4=$67; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$c; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($68)&65535); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69-55296)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$70 << 10; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$c2; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($72)&65535); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=(($73-56320)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($71+$74)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75+65536)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$76; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 17; break;
    case 17: 
      var $78=$v; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=(($78)>>>0) < 128; //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($79) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 3674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $81=$dstlen; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=(($81)|0)==0; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      __label__ = 33; break; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $85=$v; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=(($85) & 255); //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=$5; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=(($87+1)|0); //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=$88; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($87)]=$86; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $utf8Len=1; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 28; break; //@line 3680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $90=(($utf8buf)|0); //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$v; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=__Z20js_OneUcs4ToUtf8CharPhj($90, $91); //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $utf8Len=$92; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=$utf8Len; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=$dstlen; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(($93)>>>0) > (($94)>>>0); //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      __label__ = 33; break; //@line 3683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      $i=0; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $99=$i; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=$utf8Len; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=(($99)>>>0) < (($100)>>>0); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($101) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $103=$i; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=(($utf8buf+$103)|0); //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=HEAP8[($104)]; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=$5; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=(($106+1)|0); //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=$107; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($106)]=$105; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $109=$i; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=(($109+1)|0); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$110; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $113=$utf8Len; //@line 3687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=$dstlen; //@line 3687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($114-$113)|0); //@line 3687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dstlen=$115; //@line 3687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $117=$origDstlen; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=$dstlen; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=(($117-$118)|0); //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=$6; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($120)>>2)]=$119; //@line 3689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 36; break; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $122=$origDstlen; //@line 3693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=$dstlen; //@line 3693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=(($122-$123)|0); //@line 3693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=$6; //@line 3693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($125)>>2)]=$124; //@line 3693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=$2; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=(($126)|0)!=0; //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($127) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 3695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $129=$2; //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=$3; //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=(($130-2)|0); //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=$4; //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=(($132+1)|0); //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=__ZN2js23GetDeflatedStringLengthEP9JSContextPKtj($129, $131, $133); //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 32; break; //@line 3696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      $1=0; //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 36; break; //@line 3697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $137=$origDstlen; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=$dstlen; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=(($137-$138)|0); //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=$6; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($140)>>2)]=$139; //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=$2; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=(($141)|0)!=0; //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($142) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $144=$2; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($144, 2, 0, 202, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 35; break; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      $1=0; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 36; break; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $147=$1; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $147; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js25DeflateStringToUTF8BufferEP9JSContextPKtjPcPjNS_13FlationCodingE["X"]=1;

function __ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj($cx, $src, $srclen, $dst, $dstlenp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dstlen;
      var $i;
      $2=$cx;
      $3=$src;
      $4=$srclen;
      $5=$dst;
      $6=$dstlenp;
      var $7=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)|0)!=0; //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $10=$2; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$3; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$4; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$5; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$6; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE($10, $11, $12, $13, $14, 0); //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$15; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $17=$5; //@line 3717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)!=0; //@line 3717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 17; break; } //@line 3717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $20=$6; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dstlen=$21; //@line 3718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$4; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$dstlen; //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($22)>>>0) > (($23)>>>0); //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 3719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $i=0; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $27=$i; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$dstlen; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($27)>>>0) < (($28)>>>0); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $31=$i; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$3; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+$31)|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=HEAPU8[($33)]; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34)&255); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$i; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$5; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+($36<<1))|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($38)>>1)]=$35; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $40=$i; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+1)|0); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$41; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $43=$2; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43)|0)!=0; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $46=$2; //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($46, 2, 0, 202, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 3725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $i=0; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $50=$i; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$4; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($50)>>>0) < (($51)>>>0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $54=$i; //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$3; //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55+$54)|0); //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=HEAPU8[($56)]; //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=(($57)&255); //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$i; //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$5; //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+($59<<1))|0); //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($61)>>1)]=$58; //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 15; break; //@line 3729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $63=$i; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($63+1)|0); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$64; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      __label__ = 17; break; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $67=$4; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$6; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($68)>>2)]=$67; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $70=$1; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $70; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj["X"]=1;

function __ZN2js20PutEscapedStringImplEPcjP7__sFILEP14JSLinearStringj($buffer, $bufferSize, $fp, $str, $quote) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $state;
      var $chars;
      var $charsEnd;
      var $n;
      var $shift;
      var $hex;
      var $u;
      var $c;
      var $escape;
      $2=$buffer;
      $3=$bufferSize;
      $4=$fp;
      $5=$str;
      $6=$quote;
      var $7=$3; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7)|0)==0; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $2=0; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $11=$3; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11-1)|0); //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$12; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break;
    case 4: 
      var $14=$5; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZNK14JSLinearString5charsEv($14); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$15; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$chars; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$5; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$17; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=__ZNK8JSString6lengthEv($18); //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($16+($19<<1))|0); //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $charsEnd=$20; //@line 4185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=0; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $state=1; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $shift=0; //@line 4188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $hex=0; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $u=0; //@line 4190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=0; //@line 4191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 4193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $22=$state; //@line 4194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ((($22)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($22)|0) == 1) {
        __label__ = 7; break;
      }
      else if ((($22)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($22)|0) == 3) {
        __label__ = 12; break;
      }
      else if ((($22)|0) == 4) {
        __label__ = 31; break;
      }
      else if ((($22)|0) == 5) {
        __label__ = 32; break;
      }
      else {
      __label__ = 35; break;
      }
      
    case 6: 
      __label__ = 46; break; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $state=3; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 4199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $state=0; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $27=$6; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27)|0)==0; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      __label__ = 5; break; //@line 4204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $31=$6; //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31) & 255); //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$32; //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 35; break; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $34=$chars; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$charsEnd; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($34)|0)==(($35)|0); //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($36) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      $state=2; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 4210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $39=$chars; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39+2)|0); //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$40; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=HEAPU16[(($39)>>1)]; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41)&65535); //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $u=$42; //@line 4212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$u; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43)>>>0) < 32; //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 15; break; } else { __label__ = 20; break; } //@line 4213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $46=$u; //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46)|0)!=0; //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($47) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 4214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $49=$u; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=_strchr(((STRING_TABLE._js_EscapeMap)|0), $49); //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $escape=$50; //@line 4215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$escape; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($51)|0)!=0; //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $54=$escape; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54+1)|0); //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=HEAP8[($55)]; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56 << 24) >> 24); //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $u=$57; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      __label__ = 19; break; //@line 4220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      __label__ = 29; break; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $61=$u; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61)>>>0) < 127; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($62) { __label__ = 21; break; } else { __label__ = 25; break; } //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $64=$u; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$6; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($64)|0)==(($65)|0); //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($66) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $68=$u; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($68)|0)==92; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($69) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      __label__ = 30; break; //@line 4225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $72=$u; //@line 4226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($72) & 255); //@line 4226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$73; //@line 4226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 28; break; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $75=$u; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75)>>>0) < 256; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($76) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      __label__ = 29; break; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      $shift=16; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=$u; //@line 4231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $hex=$79; //@line 4231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $u=117; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 4233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      __label__ = 35; break; //@line 4235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      $shift=8; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=$u; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $hex=$82; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $u=120; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 30; break; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      $c=92; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $state=4; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 35; break; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $85=$u; //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=(($85) & 255); //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$86; //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $state=5; //@line 4247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 35; break; //@line 4248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $88=$shift; //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(($88)|0)==0; //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($89) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 4250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      $state=3; //@line 4251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $92=$shift; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(($92-4)|0); //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $shift=$93; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=$hex; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=$shift; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$94 >>> (($95)>>>0); //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=15 & $96; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $u=$97; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=$u; //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$u; //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=(($99)>>>0) < 10; //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=$100 ? 48 : 55; //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=(($98+$101)|0); //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=(($102) & 255); //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$103; //@line 4256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 35; break; //@line 4257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $105=$2; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=(($105)|0)!=0; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($106) { __label__ = 36; break; } else { __label__ = 40; break; } //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $108=$n; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=$3; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=(($108)|0)!=(($109)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($110) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $112=$c; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=$n; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=$2; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($114+$113)|0); //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($115)]=$112; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 39; break; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $117=$n; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=$2; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=(($118+$117)|0); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($119)]=0; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $2=0; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 39; break;
    case 39: 
      __label__ = 45; break; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      var $122=$4; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=(($122)|0)!=0; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($123) { __label__ = 41; break; } else { __label__ = 44; break; } //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      var $125=$c; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=(($125 << 24) >> 24); //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$4; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=_fputc($126, $127); //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=(($128)|0) < 0; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($129) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      $1=-1; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      __label__ = 44; break; //@line 4270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 44: 
      __label__ = 45; break;
    case 45: 
      var $134=$n; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=(($134+1)|0); //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$135; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 46: 
      var $137=$2; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=(($137)|0)!=0; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($138) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 47: 
      var $140=$n; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=$2; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=(($141+$140)|0); //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($142)]=0; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 48; break; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 48: 
      var $144=$n; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$144; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 49: 
      var $146=$1; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $146; //@line 4277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js20PutEscapedStringImplEPcjP7__sFILEP14JSLinearStringj["X"]=1;

function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendIcEEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $12 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      var $10=(($9 << 24) >> 24); //@line 776 "./jsvector.h"
      HEAP16[(($8)>>1)]=$10; //@line 776 "./jsvector.h"
      var $12 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $12; //@line 776 "./jsvector.h"
      var $13=(($3+8)|0); //@line 777 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 777 "./jsvector.h"
      var $15=(($14+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($13)>>2)]=$15; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc3890($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail17PrimitiveBehaviorIP8JSStringE6isTypeERKN2JS5ValueE($v) {
  ;
  var __label__;

  var $1;
  $1=$v;
  var $2=$1; //@line 81 "./jsinterpinlines.h"
  var $3=__ZNK2JS5Value8isStringEv($2); //@line 81 "./jsinterpinlines.h"
  ;
  return $3; //@line 81 "./jsinterpinlines.h"
}


function __ZN2js6detail17PrimitiveBehaviorIP8JSStringE7extractERKN2JS5ValueE($v) {
  ;
  var __label__;

  var $1;
  $1=$v;
  var $2=$1; //@line 82 "./jsinterpinlines.h"
  var $3=__ZNK2JS5Value8toStringEv($2); //@line 82 "./jsinterpinlines.h"
  ;
  return $3; //@line 82 "./jsinterpinlines.h"
}


function _BUILD_JSVAL3892($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL3893($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL3894($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL3895($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL3896($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function __ZL6EncodeP9JSContextP8JSStringPKtS4_PN2JS5ValueE($cx, $str, $unescapedSet, $unescapedSet2, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $length;
      var $chars;
      var $sb=__stackBase__;
      var $hexBuf=__stackBase__+80;
      var $k;
      var $c;
      var $7;
      var $v;
      var $c2;
      var $utf8buf=__stackBase__+88;
      var $L;
      var $j;
      $2=$cx;
      $3=$str;
      $4=$unescapedSet;
      $5=$unescapedSet2;
      $6=$rval;
      var $8=$3; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZNK8JSString6lengthEv($8); //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$9; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$3; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$2; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=__ZN8JSString8getCharsEP9JSContext($10, $11); //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$12; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$chars; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=(($13)|0)!=0; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 3928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 36; break; //@line 3928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $17=$length; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)==0; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $20=$6; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$2; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21+52)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23+144136)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$25; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($20, $26); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 36; break; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $28=$2; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $28); //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($hexBuf)|0); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($29)>>1)]=37; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($hexBuf+6)|0); //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($30)>>1)]=0; //@line 3938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=0; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $32=$k; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$length; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($32)>>>0) < (($33)>>>0); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 34; break; } //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $36=$k; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$chars; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+($36<<1))|0); //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=HEAP16[(($38)>>1)]; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$39; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$4; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$c; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__Z9js_strchrPKtt($40, $41); //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42)|0)!=0; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $45=$5; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45)|0)!=0; //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 3941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $48=$5; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$c; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=__Z9js_strchrPKtt($48, $49); //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50)|0)!=0; //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $53=$c; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=__ZN2js12StringBuffer6appendEt($sb, $53); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 35; break; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      __label__ = 32; break; //@line 3945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $58=$c; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=(($58)&65535); //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59)|0) >= 56320; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $62=$c; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=(($62)&65535); //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($63)|0) <= 57343; //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($64) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $66=$2; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($66, 2, 0, 159, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 35; break; //@line 3949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $68=$c; //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($68)&65535); //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69)|0) < 55296; //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $72=$c; //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($72)&65535); //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=(($73)|0) > 56319; //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($74) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $76=$c; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=(($76)&65535); //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$77; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break; //@line 3954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $79=$k; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($79+1)|0); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$80; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=$k; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=$length; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=(($81)|0)==(($82)|0); //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($83) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $85=$2; //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($85, 2, 0, 159, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 3959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 35; break; //@line 3959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $87=$k; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=$chars; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(($88+($87<<1))|0); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=HEAP16[(($89)>>1)]; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c2=$90; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$c2; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=(($91)&65535); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(($92)|0) < 56320; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($93) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $95=$c2; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=(($95)&65535); //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=(($96)|0) > 57343; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($97) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $99=$2; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($99, 2, 0, 159, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 35; break; //@line 3965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $101=$c; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=(($101)&65535); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=(($102-55296)|0); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=$103 << 10; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$c2; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=(($105)&65535); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=(($106-56320)|0); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=(($104+$107)|0); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=(($108+65536)|0); //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$109; //@line 3967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break;
    case 25: 
      var $111=(($utf8buf)|0); //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=$v; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=__Z20js_OneUcs4ToUtf8CharPhj($111, $112); //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $L=$113; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=0; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $115=$j; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=$L; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($115)>>>0) < (($116)>>>0); //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($117) { __label__ = 27; break; } else { __label__ = 31; break; } //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $119=$j; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($utf8buf+$119)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $121=HEAPU8[($120)]; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=(($121)&255); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=$122 >> 4; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=((STRING_TABLE.__ZZL6EncodeP9JSContextP8JSStringPKtS4_PN2JS5ValueEE9HexDigits+$123)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=HEAP8[($124)]; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=(($125 << 24) >> 24); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=(($hexBuf+2)|0); //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($127)>>1)]=$126; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=$j; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=(($utf8buf+$128)|0); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=HEAPU8[($129)]; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=(($130)&255); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=$131 & 15; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=((STRING_TABLE.__ZZL6EncodeP9JSContextP8JSStringPKtS4_PN2JS5ValueEE9HexDigits+$132)|0); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=HEAP8[($133)]; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=(($134 << 24) >> 24); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=(($hexBuf+4)|0); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($136)>>1)]=$135; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=(($hexBuf)|0); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=__ZN2js12StringBuffer6appendEPKtj($sb, $137, 3); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($138) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      $1=0; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 35; break; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      __label__ = 30; break; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $142=$j; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $143=(($142+1)|0); //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$143; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      __label__ = 32; break;
    case 32: 
      __label__ = 33; break; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $147=$k; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=(($147+1)|0); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$148; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $150=$2; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=$6; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=__ZL22TransferBufferToStringP9JSContextRN2js12StringBufferEPN2JS5ValueE($150, $sb, $151); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=(($152)&1); //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$153; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $7=1;
      __label__ = 35; break; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      __ZN2js12StringBufferD1Ev($sb); //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 36; break;
    case 36: 
      var $156=$1; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $156; //@line 3981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6EncodeP9JSContextP8JSStringPKtS4_PN2JS5ValueE["X"]=1;

function __ZL22TransferBufferToStringP9JSContextRN2js12StringBufferEPN2JS5ValueE($cx, $sb, $rval) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      $2=$cx;
      $3=$sb;
      $4=$rval;
      var $5=$3; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZN2js12StringBuffer12finishStringEv($5); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$6; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$7; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$str; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8)|0)!=0; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$4; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$str; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($12, $13); //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 3909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $15=$1; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $15; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6DecodeP9JSContextP8JSStringPKtPN2JS5ValueE($cx, $str, $reservedSet, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length;
      var $chars;
      var $sb=__stackBase__;
      var $k;
      var $c;
      var $start;
      var $B;
      var $n;
      var $octets=__stackBase__+80;
      var $j;
      var $v;
      var $H;
      var $6;
      $2=$cx;
      $3=$str;
      $4=$reservedSet;
      $5=$rval;
      var $7=$3; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZNK8JSString6lengthEv($7); //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$8; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$3; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$2; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZN8JSString8getCharsEP9JSContext($9, $10); //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$11; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$chars; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0)!=0; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 74; break; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $16=$length; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)==0; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=$5; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$2; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20+52)|0); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22+144136)|0); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$24; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($19, $25); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 74; break; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $27=$2; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $27); //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=0; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $29=$k; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$length; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($29)>>>0) < (($30)>>>0); //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 71; break; } //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $33=$k; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$chars; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+($33<<1))|0); //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=HEAP16[(($35)>>1)]; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$36; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$c; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37)&65535); //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38)|0)==37; //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 66; break; } //@line 3999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $41=$k; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $start=$41; //@line 4000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$k; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42+2)|0); //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$length; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($43)>>>0) >= (($44)>>>0); //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      __label__ = 72; break; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $48=$k; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48+1)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$chars; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50+($49<<1))|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=HEAPU16[(($51)>>1)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52)&65535); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53)|0) < 128; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $56=$k; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56+1)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=$chars; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=(($58+($57<<1))|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=HEAPU16[(($59)>>1)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60)&65535); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=_isxdigit($61); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=(($62)|0)!=0; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $65=$k; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($65+2)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$chars; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=(($67+($66<<1))|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=HEAPU16[(($68)>>1)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69)&65535); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=(($70)|0) < 128; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $73=$k; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=(($73+2)|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$chars; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75+($74<<1))|0); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=HEAPU16[(($76)>>1)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=(($77)&65535); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=_isxdigit($78); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($79)|0)!=0; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($80) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __label__ = 72; break; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $83=$k; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=(($83+1)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=$chars; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=(($85+($84<<1))|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=HEAPU16[(($86)>>1)]; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=(($87)&65535); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(($88-48)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=(($89)>>>0) <= 9; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($90) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $92=$k; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(($92+1)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=$chars; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(($94+($93<<1))|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=HEAPU16[(($95)>>1)]; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=(($96)&65535); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=(($97-48)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110 = $98;__label__ = 18; break; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $100=$k; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=(($100+1)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=$chars; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=(($102+($101<<1))|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=HEAPU16[(($103)>>1)]; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=(($104)&65535); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=_tolower($105); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=(($106+10)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=(($107-97)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110 = $108;__label__ = 18; break; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $110; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=((($110<<4))|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=$k; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=(($112+2)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=$chars; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($114+($113<<1))|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=HEAPU16[(($115)>>1)]; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($116)&65535); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=(($117-48)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=(($118)>>>0) <= 9; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($119) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $121=$k; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=(($121+2)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=$chars; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=(($123+($122<<1))|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=HEAPU16[(($124)>>1)]; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=(($125)&65535); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=(($126-48)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139 = $127;__label__ = 21; break; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $129=$k; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=(($129+2)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=$chars; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=(($131+($130<<1))|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=HEAPU16[(($132)>>1)]; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=(($133)&65535); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=_tolower($134); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=(($135+10)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=(($136-97)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139 = $137;__label__ = 21; break; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $139; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=(($111+$139)|0); //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $B=$140; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=$k; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=(($141+2)|0); //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$142; //@line 4006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $143=$B; //@line 4007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $144=$143 & 128; //@line 4007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=(($144)|0)!=0; //@line 4007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($145) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 4007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $147=$B; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=(($147) & 65535); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$148; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 58; break; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      $n=1; //@line 4010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $151=$B; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=$n; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=128 >> (($152)|0); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=$151 & $153; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $155=(($154)|0)!=0; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($155) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $157=$n; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=(($157+1)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $n=$158; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $160=$n; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $161=(($160)|0)==1; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($161) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $163=$n; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $164=(($163)|0) > 4; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($164) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      __label__ = 72; break; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $167=$B; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $168=(($167) & 255); //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=(($octets)|0); //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($169)]=$168; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $170=$k; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $171=$n; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=(($171-1)|0); //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=(($172*3)|0); //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $174=(($170+$173)|0); //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $175=$length; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $176=(($174)>>>0) >= (($175)>>>0); //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($176) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      __label__ = 72; break; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      $j=1; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 32; break; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $180=$j; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $181=$n; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $182=(($180)|0) < (($181)|0); //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($182) { __label__ = 33; break; } else { __label__ = 50; break; } //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $184=$k; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $185=(($184+1)|0); //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$185; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $186=$k; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $187=$chars; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $188=(($187+($186<<1))|0); //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $189=HEAPU16[(($188)>>1)]; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $190=(($189)&65535); //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $191=(($190)|0)!=37; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($191) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      __label__ = 72; break; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $194=$k; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $195=(($194+1)|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $196=$chars; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $197=(($196+($195<<1))|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $198=HEAPU16[(($197)>>1)]; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $199=(($198)&65535); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $200=(($199)|0) < 128; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($200) { __label__ = 36; break; } else { __label__ = 39; break; } //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $202=$k; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $203=(($202+1)|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $204=$chars; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $205=(($204+($203<<1))|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $206=HEAPU16[(($205)>>1)]; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $207=(($206)&65535); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $208=_isxdigit($207); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $209=(($208)|0)!=0; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($209) { __label__ = 37; break; } else { __label__ = 39; break; } //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $211=$k; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $212=(($211+2)|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $213=$chars; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $214=(($213+($212<<1))|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $215=HEAPU16[(($214)>>1)]; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $216=(($215)&65535); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $217=(($216)|0) < 128; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($217) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $219=$k; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $220=(($219+2)|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $221=$chars; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $222=(($221+($220<<1))|0); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $223=HEAPU16[(($222)>>1)]; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $224=(($223)&65535); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $225=_isxdigit($224); //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $226=(($225)|0)!=0; //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($226) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 4023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      __label__ = 72; break; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      var $229=$k; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $230=(($229+1)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $231=$chars; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $232=(($231+($230<<1))|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $233=HEAPU16[(($232)>>1)]; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $234=(($233)&65535); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $235=(($234-48)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $236=(($235)>>>0) <= 9; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($236) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      var $238=$k; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $239=(($238+1)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $240=$chars; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $241=(($240+($239<<1))|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $242=HEAPU16[(($241)>>1)]; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $243=(($242)&65535); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $244=(($243-48)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $256 = $244;__label__ = 43; break; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      var $246=$k; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $247=(($246+1)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $248=$chars; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $249=(($248+($247<<1))|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $250=HEAPU16[(($249)>>1)]; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $251=(($250)&65535); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $252=_tolower($251); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $253=(($252+10)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $254=(($253-97)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $256 = $254;__label__ = 43; break; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      var $256; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $257=((($256<<4))|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $258=$k; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $259=(($258+2)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $260=$chars; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $261=(($260+($259<<1))|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $262=HEAPU16[(($261)>>1)]; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $263=(($262)&65535); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $264=(($263-48)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $265=(($264)>>>0) <= 9; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($265) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 44: 
      var $267=$k; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $268=(($267+2)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $269=$chars; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $270=(($269+($268<<1))|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $271=HEAPU16[(($270)>>1)]; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $272=(($271)&65535); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $273=(($272-48)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $285 = $273;__label__ = 46; break; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 45: 
      var $275=$k; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $276=(($275+2)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $277=$chars; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $278=(($277+($276<<1))|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $279=HEAPU16[(($278)>>1)]; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $280=(($279)&65535); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $281=_tolower($280); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $282=(($281+10)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $283=(($282-97)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $285 = $283;__label__ = 46; break; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 46: 
      var $285; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $286=(($257+$285)|0); //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $B=$286; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $287=$B; //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $288=$287 & 192; //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $289=(($288)|0)!=128; //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($289) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 47: 
      __label__ = 72; break; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 48: 
      var $292=$k; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $293=(($292+2)|0); //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$293; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $294=$B; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $295=(($294) & 255); //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $296=$j; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $297=(($octets+$296)|0); //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($297)]=$295; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 49: 
      var $299=$j; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $300=(($299+1)|0); //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$300; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 32; break; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 50: 
      var $302=(($octets)|0); //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $303=$n; //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $304=__ZL17Utf8ToOneUcs4CharPKhi($302, $303); //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$304; //@line 4031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $305=$v; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $306=(($305)>>>0) >= 65536; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($306) { __label__ = 51; break; } else { __label__ = 56; break; } //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 51: 
      var $308=$v; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $309=(($308-65536)|0); //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $v=$309; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $310=$v; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $311=(($310)>>>0) > 1048575; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($311) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 52: 
      __label__ = 72; break; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 53: 
      var $314=$v; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $315=$314 & 1023; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $316=(($315+56320)|0); //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $317=(($316) & 65535); //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$317; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $318=$v; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $319=$318 >>> 10; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $320=(($319+55296)|0); //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $321=(($320) & 65535); //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $H=$321; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $322=$H; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $323=__ZN2js12StringBuffer6appendEt($sb, $322); //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($323) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 54: 
      $1=0; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 73; break; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 55: 
      __label__ = 57; break; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 56: 
      var $327=$v; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $328=(($327) & 65535); //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $c=$328; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 57; break;
    case 57: 
      __label__ = 58; break;
    case 58: 
      var $331=$4; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $332=$c; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $333=__Z9js_strchrPKtt($331, $332); //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $334=(($333)|0)!=0; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($334) { __label__ = 59; break; } else { __label__ = 62; break; } //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 59: 
      var $336=$chars; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $337=$start; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $338=(($336+($337<<1))|0); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $339=$k; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $340=$start; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $341=(($339-$340)|0); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $342=(($341+1)|0); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $343=__ZN2js12StringBuffer6appendEPKtj($sb, $338, $342); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($343) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 60: 
      $1=0; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 73; break; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 61: 
      __label__ = 65; break; //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 62: 
      var $347=$c; //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $348=__ZN2js12StringBuffer6appendEt($sb, $347); //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($348) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 4048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 63: 
      $1=0; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 73; break; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 64: 
      __label__ = 65; break;
    case 65: 
      __label__ = 69; break; //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 66: 
      var $353=$c; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $354=__ZN2js12StringBuffer6appendEt($sb, $353); //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($354) { __label__ = 68; break; } else { __label__ = 67; break; } //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 67: 
      $1=0; //@line 4053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 73; break; //@line 4053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 68: 
      __label__ = 69; break;
    case 69: 
      __label__ = 70; break; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 70: 
      var $359=$k; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $360=(($359+1)|0); //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $k=$360; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 71: 
      var $362=$2; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $363=$5; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $364=__ZL22TransferBufferToStringP9JSContextRN2js12StringBufferEPN2JS5ValueE($362, $sb, $363); //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $365=(($364)&1); //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$365; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 73; break; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 72: 
      var $367=$2; //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      _JS_ReportErrorNumber($367, 2, 0, 159, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 73; break; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 73: 
      __ZN2js12StringBufferD1Ev($sb); //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 74; break;
    case 74: 
      var $370=$1; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $370; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6DecodeP9JSContextP8JSStringPKtPN2JS5ValueE["X"]=1;

function _js_malloc3891($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11JS_ON_TRACEPK9JSContext3901($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZL14JSID_FROM_BITSj3911($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3917($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3922($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN14JSInlineString10lengthFitsEj($length) {
  ;
  var __label__;

  var $1;
  $1=$length;
  var $2=$1; //@line 552 "./vm/String.h"
  var $3=(($2)>>>0) <= 3; //@line 552 "./vm/String.h"
  ;
  return $3; //@line 552 "./vm/String.h"
}


function _JSID_IS_INT3906($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING3907($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING3908($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function __ZN2js13StaticStrings7hasUnitEt($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 205 "./vm/String-inl.h"
  var $3=(($2)&65535); //@line 205 "./vm/String-inl.h"
  var $4=(($3)>>>0) < 256; //@line 205 "./vm/String-inl.h"
  ;
  return $4; //@line 205 "./vm/String-inl.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3918($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _JSVAL_TO_BOOLEAN_IMPL3897($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL3898($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL3899($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL3912($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb3914($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL3921($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL3923($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function __ZN14JSInlineString4new_EP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 139 "./vm/String-inl.h"
  var $3=__Z14js_NewGCStringP9JSContext($2); //@line 139 "./vm/String-inl.h"
  var $4=$3; //@line 139 "./vm/String-inl.h"
  ;
  return $4; //@line 139 "./vm/String-inl.h"
}


function __ZN13JSShortString4new_EP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 161 "./vm/String-inl.h"
  var $3=__Z19js_NewGCShortStringP9JSContext($2); //@line 161 "./vm/String-inl.h"
  ;
  return $3; //@line 161 "./vm/String-inl.h"
}


function __ZN14JSInlineString11resetLengthEj($this, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$length;
  var $3=$1;
  var $4=$3; //@line 154 "./vm/String-inl.h"
  var $5=$2; //@line 154 "./vm/String-inl.h"
  var $6=__ZN8JSString19buildLengthAndFlagsEjj($4, $5, 4); //@line 154 "./vm/String-inl.h"
  var $7=$3; //@line 154 "./vm/String-inl.h"
  var $8=(($7)|0); //@line 154 "./vm/String-inl.h"
  var $9=(($8)|0); //@line 154 "./vm/String-inl.h"
  HEAP32[(($9)>>2)]=$6; //@line 154 "./vm/String-inl.h"
  ;
  return; //@line 156 "./vm/String-inl.h"
}


function __ZN17JSDependentString4initEP14JSLinearStringPKtj($this, $base, $chars, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$base;
  $3=$chars;
  $4=$length;
  var $5=$1;
  var $6=$5; //@line 69 "./vm/String-inl.h"
  var $7=$4; //@line 69 "./vm/String-inl.h"
  var $8=__ZN8JSString19buildLengthAndFlagsEjj($6, $7, 2); //@line 69 "./vm/String-inl.h"
  var $9=$5; //@line 69 "./vm/String-inl.h"
  var $10=(($9)|0); //@line 69 "./vm/String-inl.h"
  var $11=(($10)|0); //@line 69 "./vm/String-inl.h"
  HEAP32[(($11)>>2)]=$8; //@line 69 "./vm/String-inl.h"
  var $12=$3; //@line 70 "./vm/String-inl.h"
  var $13=$5; //@line 70 "./vm/String-inl.h"
  var $14=(($13)|0); //@line 70 "./vm/String-inl.h"
  var $15=(($14+4)|0); //@line 70 "./vm/String-inl.h"
  var $16=$15; //@line 70 "./vm/String-inl.h"
  HEAP32[(($16)>>2)]=$12; //@line 70 "./vm/String-inl.h"
  var $17=$2; //@line 71 "./vm/String-inl.h"
  var $18=$5; //@line 71 "./vm/String-inl.h"
  var $19=(($18)|0); //@line 71 "./vm/String-inl.h"
  var $20=(($19+8)|0); //@line 71 "./vm/String-inl.h"
  var $21=$20; //@line 71 "./vm/String-inl.h"
  var $22=(($21)|0); //@line 71 "./vm/String-inl.h"
  var $23=$22; //@line 71 "./vm/String-inl.h"
  HEAP32[(($23)>>2)]=$17; //@line 71 "./vm/String-inl.h"
  ;
  return; //@line 72 "./vm/String-inl.h"
}


function __ZN2jsL7PodCopyItEEvPT_PKS1_j3900($dst, $src, $nelem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $srcend;
      $1=$dst;
      $2=$src;
      $3=$nelem;
      var $4=$3; //@line 695 "./jsutil.h"
      var $5=(($4)>>>0) < 128; //@line 695 "./jsutil.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 695 "./jsutil.h"
    case 2: 
      var $7=$2; //@line 696 "./jsutil.h"
      var $8=$3; //@line 696 "./jsutil.h"
      var $9=(($7+($8<<1))|0); //@line 696 "./jsutil.h"
      $srcend=$9; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 3: 
      var $11=$2; //@line 696 "./jsutil.h"
      var $12=$srcend; //@line 696 "./jsutil.h"
      var $13=(($11)|0)!=(($12)|0); //@line 696 "./jsutil.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 696 "./jsutil.h"
    case 4: 
      var $15=$2; //@line 697 "./jsutil.h"
      var $16=HEAP16[(($15)>>1)]; //@line 697 "./jsutil.h"
      var $17=$1; //@line 697 "./jsutil.h"
      HEAP16[(($17)>>1)]=$16; //@line 697 "./jsutil.h"
      __label__ = 5; break; //@line 697 "./jsutil.h"
    case 5: 
      var $19=$2; //@line 696 "./jsutil.h"
      var $20=(($19+2)|0); //@line 696 "./jsutil.h"
      $2=$20; //@line 696 "./jsutil.h"
      var $21=$1; //@line 696 "./jsutil.h"
      var $22=(($21+2)|0); //@line 696 "./jsutil.h"
      $1=$22; //@line 696 "./jsutil.h"
      __label__ = 3; break; //@line 696 "./jsutil.h"
    case 6: 
      __label__ = 8; break; //@line 698 "./jsutil.h"
    case 7: 
      var $25=$1; //@line 699 "./jsutil.h"
      var $26=$25; //@line 699 "./jsutil.h"
      var $27=$2; //@line 699 "./jsutil.h"
      var $28=$27; //@line 699 "./jsutil.h"
      var $29=$3; //@line 699 "./jsutil.h"
      var $30=((($29<<1))|0); //@line 699 "./jsutil.h"
      assert($30 % 1 === 0, 'memcpy given ' + $30 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($26, $28, $30, 1); //@line 699 "./jsutil.h"
      __label__ = 8; break;
    case 8: 
      ;
      return; //@line 701 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13JSFixedString4initEPKtj($this, $chars, $length) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$chars;
  $3=$length;
  var $4=$1;
  var $5=$4; //@line 110 "./vm/String-inl.h"
  var $6=$3; //@line 110 "./vm/String-inl.h"
  var $7=__ZN8JSString19buildLengthAndFlagsEjj($5, $6, 4); //@line 110 "./vm/String-inl.h"
  var $8=$4; //@line 110 "./vm/String-inl.h"
  var $9=(($8)|0); //@line 110 "./vm/String-inl.h"
  var $10=(($9)|0); //@line 110 "./vm/String-inl.h"
  HEAP32[(($10)>>2)]=$7; //@line 110 "./vm/String-inl.h"
  var $11=$2; //@line 111 "./vm/String-inl.h"
  var $12=$4; //@line 111 "./vm/String-inl.h"
  var $13=(($12)|0); //@line 111 "./vm/String-inl.h"
  var $14=(($13+4)|0); //@line 111 "./vm/String-inl.h"
  var $15=$14; //@line 111 "./vm/String-inl.h"
  HEAP32[(($15)>>2)]=$11; //@line 111 "./vm/String-inl.h"
  ;
  return; //@line 112 "./vm/String-inl.h"
}


function __ZN2JSL11ObjectValueER8JSObject3902($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3903($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj3904($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3905($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3903["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj3904($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3905($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2JSL11StringValueEP8JSString3909($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2JSL10Int32ValueEi3910($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3913($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb3914($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE3915($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE3915($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3916($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE3915["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3916($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3917($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3918($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3916["X"]=1;

function _js_calloc3919($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3920($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($cx, $begin, $param, $end, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $thisstr;
      var $str;
      var $beglen;
      var $taglen;
      var $parlen;
      var $endlen;
      var $tagbuf;
      var $j;
      var $i;
      var $i1;
      var $retstr;
      $2=$cx;
      $3=$begin;
      $4=$param;
      $5=$end;
      $6=$vp;
      var $7=$2; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$6; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($7, $8); //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $thisstr=$9; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$thisstr; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10)|0)!=0; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $14=$thisstr; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$2; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZN8JSString12ensureLinearEP9JSContext($14, $15); //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$16; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$str; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)!=0; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$5; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21)|0)!=0; //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $24=$3; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $5=$24; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $26=$3; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=_strlen($26); //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $beglen=$27; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$beglen; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($28+1)|0); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29+1)|0); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $taglen=$30; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $parlen=0; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$4; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31)|0)!=0; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $34=$4; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$34; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=__ZNK8JSString6lengthEv($35); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $parlen=$36; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$parlen; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37+2)|0); //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+1)|0); //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$taglen; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+$39)|0); //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $taglen=$41; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $43=$5; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=_strlen($43); //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $endlen=$44; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$str; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$45; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=__ZNK8JSString6lengthEv($46); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47+2)|0); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$endlen; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($48+$49)|0); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50+1)|0); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$taglen; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52+$51)|0); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $taglen=$53; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=$taglen; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54)>>>0) >= 2147483647; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($55) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $57=$2; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __Z27js_ReportAllocationOverflowP9JSContext($57); //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $59=$2; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$taglen; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+1)|0); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=((($61<<1))|0); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=__ZN9JSContext7malloc_Ej($59, $62); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=$63; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $tagbuf=$64; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$tagbuf; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($65)|0)!=0; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $1=0; //@line 2703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      $j=0; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$j; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69+1)|0); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$70; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$tagbuf; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=(($71+($69<<1))|0); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($72)>>1)]=60; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=0; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $74=$i; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$beglen; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($74)>>>0) < (($75)>>>0); //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $78=$i; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=$3; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($79+$78)|0); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=HEAP8[($80)]; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=(($81 << 24) >> 24); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=$j; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=(($83+1)|0); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$84; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=$tagbuf; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=(($85+($83<<1))|0); //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($86)>>1)]=$82; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $88=$i; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(($88+1)|0); //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$89; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $91=$4; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=(($91)|0)!=0; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($92) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $94=$j; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(($94+1)|0); //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$95; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=$tagbuf; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=(($96+($94<<1))|0); //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($97)>>1)]=61; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=$j; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=(($98+1)|0); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$99; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=$tagbuf; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=(($100+($98<<1))|0); //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($101)>>1)]=34; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=$j; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=$tagbuf; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=(($103+($102<<1))|0); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$104; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=$4; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=__ZNK14JSLinearString5charsEv($106); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=$107; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=$parlen; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=((($109<<1))|0); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert($110 % 1 === 0, 'memcpy given ' + $110 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($105, $108, $110, 1); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=$parlen; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=$j; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=(($112+$111)|0); //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$113; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=$j; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($114+1)|0); //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$115; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=$tagbuf; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($116+($114<<1))|0); //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($117)>>1)]=34; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 19; break; //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $119=$j; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($119+1)|0); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$120; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $121=$tagbuf; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=(($121+($119<<1))|0); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($122)>>1)]=62; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=$j; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=$tagbuf; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=(($124+($123<<1))|0); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=$125; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$str; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=__ZNK14JSLinearString5charsEv($127); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=$128; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=$str; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=$130; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=__ZNK8JSString6lengthEv($131); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=((($132<<1))|0); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert($133 % 1 === 0, 'memcpy given ' + $133 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($126, $129, $133, 1); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=$str; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=$134; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=__ZNK8JSString6lengthEv($135); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=$j; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=(($137+$136)|0); //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$138; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=$j; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=(($139+1)|0); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$140; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=$tagbuf; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=(($141+($139<<1))|0); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($142)>>1)]=60; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $143=$j; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $144=(($143+1)|0); //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$144; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=$tagbuf; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=(($145+($143<<1))|0); //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($146)>>1)]=47; //@line 2721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i1=0; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $148=$i1; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=$endlen; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $150=(($148)>>>0) < (($149)>>>0); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($150) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $152=$i1; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=$5; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=(($153+$152)|0); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $155=HEAP8[($154)]; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=(($155 << 24) >> 24); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $157=$j; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=(($157+1)|0); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$158; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=$tagbuf; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $160=(($159+($157<<1))|0); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($160)>>1)]=$156; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 22; break; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $162=$i1; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $163=(($162+1)|0); //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i1=$163; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $165=$j; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $166=(($165+1)|0); //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $j=$166; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $167=$tagbuf; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $168=(($167+($165<<1))|0); //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($168)>>1)]=62; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=$j; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $170=$tagbuf; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $171=(($170+($169<<1))|0); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP16[(($171)>>1)]=0; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=$2; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=$tagbuf; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $174=$taglen; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $175=__Z12js_NewStringP9JSContextPtj($172, $173, $174); //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $176=$175; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $retstr=$176; //@line 2728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $177=$retstr; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $178=(($177)|0)!=0; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($178) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $180=$tagbuf; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $181=$180; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js10Foreground5free_EPv($181); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=0; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $183=$6; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $184=$retstr; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($183, $184); //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 26; break; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $186=$1; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $186; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE["X"]=1;

function _js_free3924($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZL12tagify_valueP9JSContextjPN2JS5ValueEPKcS5_($cx, $argc, $vp, $begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $param;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $5=$begin;
      $6=$end;
      var $7=$2; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$3; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$4; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj($7, $8, $9, 0); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $param=$10; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$param; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11)|0)!=0; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $15=$2; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$5; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$param; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$6; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$4; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE($15, $16, $17, $18, $19); //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20)&1); //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$21; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $23=$1; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $23; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z19ValueToIntegerRangeP9JSContextRKN2JS5ValueEPi($cx, $v, $out) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d=__stackBase__;
      $2=$cx;
      $3=$v;
      $4=$out;
      var $5=$3; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=__ZNK2JS5Value7isInt32Ev($5); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $8=$3; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZNK2JS5Value7toInt32Ev($8); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$4; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($10)>>2)]=$9; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$2; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$3; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3824($12, $13, $d); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $17=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$17 > 2147483647; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $20=$4; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($20)>>2)]=2147483647; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 11; break; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $22=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$22 < -2147483648; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $25=$4; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($25)>>2)]=-2147483648; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $27=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27)&-1); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$4; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($29)>>2)]=$28; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break;
    case 11: 
      __label__ = 12; break;
    case 12: 
      $1=1; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $34=$1; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15VALUE_IS_REGEXPP9JSContextN2JS5ValueE($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $v=__stackBase__;
      $2=$cx;
      var $3=$v;
      var $4=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
      var $5=__ZNK2JS5Value11isPrimitiveEv($v); //@line 326 "./jsregexp.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 326 "./jsregexp.h"
    case 2: 
      var $7=__ZNK2JS5Value8toObjectEv($v); //@line 326 "./jsregexp.h"
      var $8=__ZNK8JSObject8isRegExpEv($7); //@line 326 "./jsregexp.h"
      var $10 = $8;__label__ = 3; break;
    case 3: 
      var $10;
      STACKTOP = __stackBase__;
      return $10; //@line 327 "./jsregexp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11SplitHelperI18SplitRegExpMatcherEP8JSObjectP9JSContextP14JSLinearStringjT_PN2js5types10TypeObjectE($cx, $str, $limit, $splitMatch, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 156; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $splitMatch; $splitMatch = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($splitMatch)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($splitMatch+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $strLength;
      var $result=__stackBase__;
      var $v=__stackBase__+8;
      var $lastEndIndex;
      var $index;
      var $splits=__stackBase__+16;
      var $6;
      var $sepLength;
      var $endIndex;
      var $subLength;
      var $sub;
      var $7=__stackBase__+108;
      var $res;
      var $i;
      var $parsub=__stackBase__+116;
      var $8=__stackBase__+124;
      var $9=__stackBase__+132;
      var $10=__stackBase__+140;
      var $sub1;
      var $11=__stackBase__+148;
      $2=$cx;
      $3=$str;
      $4=$limit;
      $5=$type;
      var $12=$3; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$12; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK8JSString6lengthEv($13); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $strLength=$14; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$strLength; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15)|0)==0; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $18=$2; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$3; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZN18SplitRegExpMatcherclEP9JSContextP14JSLinearStringjP16SplitMatchResult($splitMatch, $18, $19, 0, $result); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 43; break; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $23=__ZNK16SplitMatchResult9isFailureEv($result); //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $25=$2; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($25, 0); //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$26; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 43; break; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $28=$3; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$28; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($v, $29); //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$2; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($30, 1, $v, 0); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$31; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 43; break; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $lastEndIndex=0; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $index=0; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$2; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($splits, $33); //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $35=$index; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$strLength; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 38; break; } //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $39=$2; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$3; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$index; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZN18SplitRegExpMatcherclEP9JSContextP14JSLinearStringjP16SplitMatchResult($splitMatch, $39, $40, $41, $result); //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 42; break; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $45=__ZNK16SplitMatchResult9isFailureEv($result); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      __label__ = 38; break; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $48=__ZNK16SplitMatchResult6lengthEv($result); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sepLength=$48; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=__ZNK16SplitMatchResult8endIndexEv($result); //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $endIndex=$49; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$sepLength; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50)|0)==0; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($51) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $53=$endIndex; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=$strLength; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($53)|0)==(($54)|0); //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      __label__ = 38; break; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $58=$endIndex; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59=$lastEndIndex; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($58)|0)==(($59)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($60) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $62=$index; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=(($62+1)|0); //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $index=$63; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $65=$endIndex; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$sepLength; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=(($65-$66)|0); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$lastEndIndex; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($67-$68)|0); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $subLength=$69; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$2; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$3; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$71; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=$lastEndIndex; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$subLength; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=__Z21js_NewDependentStringP9JSContextP8JSStringjj($70, $72, $73, $74); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=$75; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sub=$76; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$sub; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=(($77)|0)!=0; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $80=$splits; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=$sub; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($7, $81); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($80, $7); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($82) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      $1=0; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 42; break; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $85=$splits; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($85); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=$4; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=(($86)|0)==(($87)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($88) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $90=$2; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$splits; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($91); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=$splits; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($93); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($90, $92, $94, 0); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$95; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 42; break; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $97=$endIndex; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $lastEndIndex=$97; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=$2; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=__ZN9JSContext13regExpStaticsEv($98); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $res=$99; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=0; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $101=$i; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=$res; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=__ZNK2js13RegExpStatics10parenCountEv($102); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=(($101)>>>0) < (($103)>>>0); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($104) { __label__ = 25; break; } else { __label__ = 37; break; } //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $106=$res; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=$i; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=(($107+1)|0); //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=__ZNK2js13RegExpStatics13pairIsPresentEj($106, $108); //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($109) { __label__ = 26; break; } else { __label__ = 30; break; } //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $111=$res; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=$i; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $113=(($112+1)|0); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js13RegExpStatics8getParenEjP11JSSubString($111, $113, $parsub); //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=$2; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($parsub+4)|0); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($parsub)|0); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=__Z17js_NewStringCopyNP9JSContextPKtj($114, $116, $118); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=$119; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sub=$120; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $121=$sub; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=(($121)|0)!=0; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($122) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $124=$splits; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=$sub; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($8, $125); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($124, $8); //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($126) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      $1=0; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 42; break; //@line 2351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      __label__ = 33; break; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $130=$2; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=$5; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL14UndefinedValueEv3828($9); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcRKN2JS5ValueE($130, $131, 0, $9); //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=$splits; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL14UndefinedValueEv3828($10); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($132, $10); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($133) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      $1=0; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 42; break; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      __label__ = 33; break;
    case 33: 
      var $137=$splits; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($137); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=$4; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=(($138)|0)==(($139)|0); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($140) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $142=$2; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $143=$splits; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $144=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($143); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=$splits; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($145); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($142, $144, $146, 0); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$147; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 42; break; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      __label__ = 36; break; //@line 2362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $150=$i; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=(($150+1)|0); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$151; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 24; break; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $153=$lastEndIndex; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $index=$153; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $155=$2; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=$3; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $157=$156; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=$lastEndIndex; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=$strLength; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $160=$lastEndIndex; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $161=(($159-$160)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $162=__Z21js_NewDependentStringP9JSContextP8JSStringjj($155, $157, $158, $161); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $163=$162; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sub1=$163; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $164=$sub1; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $165=(($164)|0)!=0; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($165) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      var $167=$splits; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $168=$sub1; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($11, $168); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($167, $11); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($169) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      $1=0; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 42; break; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      var $172=$2; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=$splits; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $174=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($173); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $175=$splits; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $176=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($175); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $177=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($172, $174, $176, 0); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$177; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 42; break; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      __ZN2js15AutoValueVectorD1Ev($splits); //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 43; break;
    case 43: 
      var $180=$1; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $180; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11SplitHelperI18SplitRegExpMatcherEP8JSObjectP9JSContextP14JSLinearStringjT_PN2js5types10TypeObjectE["X"]=1;

function __ZN18SplitRegExpMatcherC1EPN2js6RegExpEPNS0_13RegExpStaticsE($this, $re, $res) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$re;
  $3=$res;
  var $4=$1;
  var $5=$2; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$3; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN18SplitRegExpMatcherC2EPN2js6RegExpEPNS0_13RegExpStaticsE($4, $5, $6); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}

// WARNING: content after a branch in a label, line: 533023

function __ZNK16SplitMatchResult9isFailureEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=(($4)|0)==-1; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $5; //@line 2236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZNK16SplitMatchResult6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $4; //@line 2244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZNK16SplitMatchResult8endIndexEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $4; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN16SplitMatchResult10setFailureEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($3)>>2)]=-1; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN16SplitMatchResult9setResultEjj($this, $length, $endIndex) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$length;
  $3=$endIndex;
  var $4=$1;
  var $5=$2; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=(($4+4)|0); //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($6)>>2)]=$5; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=$3; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $8=(($4)|0); //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($8)>>2)]=$7; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN9ManualCmp13computeExtentEPKtj($pat, $patlen) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$pat;
  $2=$patlen;
  var $3=$1; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=$2; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=(($3+($4<<1))|0); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $5; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN9ManualCmp5matchEPKtS1_S1_($p, $t, $extent) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$p;
      $3=$t;
      $4=$extent;
      __label__ = 2; break; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $6=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$4; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($6)|0)!=(($7)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$2; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=HEAPU16[(($10)>>1)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($11)&65535); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$3; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=HEAPU16[(($13)>>1)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14)&65535); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($12)|0)!=(($15)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      __label__ = 6; break; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $20=$2; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20+2)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $2=$21; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$3; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22+2)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $3=$23; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $1=1; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $26=$1; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $26; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11SplitHelperI18SplitStringMatcherEP8JSObjectP9JSContextP14JSLinearStringjT_PN2js5types10TypeObjectE($cx, $str, $limit, $splitMatch, $type) {
  var __stackBase__  = STACKTOP; STACKTOP += 124; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $splitMatch; $splitMatch = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($splitMatch)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($splitMatch+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $strLength;
      var $result=__stackBase__;
      var $v=__stackBase__+8;
      var $lastEndIndex;
      var $index;
      var $splits=__stackBase__+16;
      var $6;
      var $sepLength;
      var $endIndex;
      var $subLength;
      var $sub;
      var $7=__stackBase__+108;
      var $sub1;
      var $8=__stackBase__+116;
      $2=$cx;
      $3=$str;
      $4=$limit;
      $5=$type;
      var $9=$3; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$9; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZNK8JSString6lengthEv($10); //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $strLength=$11; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$strLength; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0)==0; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $15=$2; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$3; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZN18SplitStringMatcherclEP9JSContextP14JSLinearStringjP16SplitMatchResult($splitMatch, $15, $16, 0, $result); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 29; break; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $20=__ZNK16SplitMatchResult9isFailureEv($result); //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $22=$2; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($22, 0); //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$23; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 29; break; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $25=$3; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$25; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($v, $26); //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$2; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($27, 1, $v, 0); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$28; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 29; break; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $lastEndIndex=0; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $index=0; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$2; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js15AutoValueVectorC1EP9JSContext($splits, $30); //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $32=$index; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$strLength; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($32)>>>0) < (($33)>>>0); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 24; break; } //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $36=$2; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$3; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$index; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZN18SplitStringMatcherclEP9JSContextP14JSLinearStringjP16SplitMatchResult($splitMatch, $36, $37, $38, $result); //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 28; break; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $42=__ZNK16SplitMatchResult9isFailureEv($result); //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      __label__ = 24; break; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $45=__ZNK16SplitMatchResult6lengthEv($result); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sepLength=$45; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=__ZNK16SplitMatchResult8endIndexEv($result); //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $endIndex=$46; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$sepLength; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47)|0)==0; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($48) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $50=$endIndex; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$strLength; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($50)|0)==(($51)|0); //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($52) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      __label__ = 24; break; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $55=$endIndex; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$lastEndIndex; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($55)|0)==(($56)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($57) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $59=$index; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59+1)|0); //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $index=$60; //@line 2319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $62=$endIndex; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$sepLength; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($62-$63)|0); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$lastEndIndex; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=(($64-$65)|0); //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $subLength=$66; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$2; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$3; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$68; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$lastEndIndex; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$subLength; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=__Z21js_NewDependentStringP9JSContextP8JSStringjj($67, $69, $70, $71); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=$72; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sub=$73; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$sub; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($74)|0)!=0; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($75) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $77=$splits; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=$sub; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($7, $78); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($77, $7); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      $1=0; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 28; break; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $82=$splits; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($82); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$4; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($83)|0)==(($84)|0); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($85) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $87=$2; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=$splits; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($88); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=$splits; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($90); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($87, $89, $91, 0); //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$92; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 28; break; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $94=$endIndex; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $lastEndIndex=$94; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=$lastEndIndex; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $index=$95; //@line 2366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $97=$2; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $98=$3; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$98; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=$lastEndIndex; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=$strLength; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=$lastEndIndex; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=(($101-$102)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=__Z21js_NewDependentStringP9JSContextP8JSStringjj($97, $99, $100, $103); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$104; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $sub1=$105; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=$sub1; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=(($106)|0)!=0; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($107) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $109=$splits; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=$sub1; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($8, $110); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_($109, $8); //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($111) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      $1=0; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 28; break; //@line 2372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $114=$2; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=$splits; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv($115); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=$splits; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv($117); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject($114, $116, $118, 0); //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$119; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 28; break; //@line 2375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      __ZN2js15AutoValueVectorD1Ev($splits); //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 29; break;
    case 29: 
      var $122=$1; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $122; //@line 2376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11SplitHelperI18SplitStringMatcherEP8JSObjectP9JSContextP14JSLinearStringjT_PN2js5types10TypeObjectE["X"]=1;

function __ZN18SplitStringMatcherC1EP14JSLinearString($this, $sep) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sep;
  var $3=$1;
  var $4=$2; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN18SplitStringMatcherC2EP14JSLinearString($3, $4); //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN18SplitStringMatcherC2EP14JSLinearString($this, $sep) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sep;
  var $3=$1;
  var $4=$2; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=__ZNK14JSLinearString5charsEv($4); //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=(($3)|0); //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($6)>>2)]=$5; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=$2; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $8=$7; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $9=__ZNK8JSString6lengthEv($8); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $10=(($3+4)|0); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($10)>>2)]=$9; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN18SplitStringMatcherclEP9JSContextP14JSLinearStringjP16SplitMatchResult($this, $cx, $str, $index, $res) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $chars;
      var $match;
      $1=$this;
      $2=$cx;
      $3=$str;
      $4=$index;
      $5=$res;
      var $6=$1;
      var $7=$3; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZNK14JSLinearString5charsEv($7); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$8; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$chars; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$4; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($9+($10<<1))|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$3; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$12; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK8JSString6lengthEv($13); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$4; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($14-$15)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($6)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($6+4)|0); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=__ZL11StringMatchPKtjS0_j($11, $16, $18, $20); //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $match=$21; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$match; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($22)|0)==-1; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($23) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $25=$5; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN16SplitMatchResult10setFailureEv($25); //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $27=$5; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($6+4)|0); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$4; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$match; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($30+$31)|0); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($6+4)|0); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($32+$34)|0); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN16SplitMatchResult9setResultEjj($27, $29, $35); //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return 1; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11StringMatchPKtjS0_j($text, $textlen, $pat, $patlen) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $index;
      $2=$text;
      $3=$textlen;
      $4=$pat;
      $5=$patlen;
      var $6=$5; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=(($6)|0)==0; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$3; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$5; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=-1; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $15=$3; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15)>>>0) >= 512; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($16) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $18=$5; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18)>>>0) >= 11; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $21=$5; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21)>>>0) <= 255; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $24=$2; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$3; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$4; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$5; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=__Z21js_BoyerMooreHorspoolPKtjS0_j($24, $25, $26, $27); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $index=$28; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$index; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29)|0)!=-2; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $32=$index; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$32; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      __label__ = 11; break; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $35=$2; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$3; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$4; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$5; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZL13UnrolledMatchI9ManualCmpEiPKtjS2_j($35, $36, $37, $38); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$39; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 12; break; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $41=$1; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $41; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11StringMatchPKtjS0_j["X"]=1;

function __ZL13UnrolledMatchI9ManualCmpEiPKtjS2_j($text, $textlen, $pat, $patlen) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $textend;
      var $p0;
      var $patNext;
      var $extent;
      var $fixup;
      var $t;
      $2=$text;
      $3=$textlen;
      $4=$pat;
      $5=$patlen;
      var $6=$2; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$3; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($6+($7<<1))|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$5; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9-1)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(((-$10))|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($8+($11<<1))|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textend=$12; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$4; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=HEAP16[(($13)>>1)]; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p0=$14; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$4; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15+2)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patNext=$16; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$4; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$5; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=__ZN9ManualCmp13computeExtentEPKtj($17, $18); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $extent=$19; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$2; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$20; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$textend; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$t; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$21; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$22; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($23-$24)|0); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(((($25)|0)/2)&-1); //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$26 & 7; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ((($27)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($27)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($27)|0) == 6) {
        __label__ = 8; break;
      }
      else if ((($27)|0) == 5) {
        __label__ = 11; break;
      }
      else if ((($27)|0) == 4) {
        __label__ = 14; break;
      }
      else if ((($27)|0) == 3) {
        __label__ = 17; break;
      }
      else if ((($27)|0) == 2) {
        __label__ = 20; break;
      }
      else if ((($27)|0) == 1) {
        __label__ = 23; break;
      }
      else {
      __label__ = 26; break;
      }
      
    case 2: 
      var $29=$t; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29+2)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$30; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=HEAPU16[(($29)>>1)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=(($31)&65535); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$p0; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=(($33)&65535); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($32)|0)==(($34)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $fixup=8; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      __label__ = 5; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $39=$t; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39+2)|0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$40; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=HEAPU16[(($39)>>1)]; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41)&65535); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$p0; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43)&65535); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($42)|0)==(($44)|0); //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $fixup=7; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      __label__ = 8; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $49=$t; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49+2)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$50; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=HEAPU16[(($49)>>1)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($51)&65535); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$p0; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53)&65535); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($52)|0)==(($54)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($55) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      $fixup=6; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      __label__ = 11; break; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $59=$t; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59+2)|0); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$60; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=HEAPU16[(($59)>>1)]; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61)&65535); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$p0; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=(($63)&65535); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=(($62)|0)==(($64)|0); //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $fixup=5; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      __label__ = 14; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $69=$t; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69+2)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$70; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=HEAPU16[(($69)>>1)]; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=(($71)&65535); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=$p0; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=(($73)&65535); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($72)|0)==(($74)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($75) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      $fixup=4; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      __label__ = 17; break; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $79=$t; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($79+2)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$80; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=HEAPU16[(($79)>>1)]; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=(($81)&65535); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=$p0; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=(($83)&65535); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($82)|0)==(($84)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($85) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      $fixup=3; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      __label__ = 20; break; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $89=$t; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=(($89+2)|0); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$90; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=HEAPU16[(($89)>>1)]; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $92=(($91)&65535); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=$p0; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=(($93)&65535); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=(($92)|0)==(($94)|0); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($95) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      $fixup=2; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      __label__ = 23; break; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $99=$t; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=(($99+2)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$100; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=HEAPU16[(($99)>>1)]; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=(($101)&65535); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=$p0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=(($103)&65535); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=(($102)|0)==(($104)|0); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($105) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      $fixup=1; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      __label__ = 26; break; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      __label__ = 27; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $110=$t; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=$textend; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $112=(($110)|0)!=(($111)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($112) { __label__ = 28; break; } else { __label__ = 54; break; } //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $114=$t; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($114)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=HEAPU16[(($115)>>1)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=(($116)&65535); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=$p0; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=(($118)&65535); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($117)|0)==(($119)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($120) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      var $122=$t; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=(($122+2)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$123; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=8; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $125=$t; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=(($125+2)|0); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=HEAPU16[(($126)>>1)]; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=(($127)&65535); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=$p0; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=(($129)&65535); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=(($128)|0)==(($130)|0); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($131) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $133=$t; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=(($133+4)|0); //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$134; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=7; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $136=$t; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=(($136+4)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=HEAPU16[(($137)>>1)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=(($138)&65535); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=$p0; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=(($140)&65535); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=(($139)|0)==(($141)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($142) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $144=$t; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $145=(($144+6)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$145; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=6; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $147=$t; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=(($147+6)|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=HEAPU16[(($148)>>1)]; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $150=(($149)&65535); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=$p0; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=(($151)&65535); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=(($150)|0)==(($152)|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($153) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $155=$t; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=(($155+8)|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$156; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=5; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $158=$t; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=(($158+8)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $160=HEAPU16[(($159)>>1)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $161=(($160)&65535); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $162=$p0; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $163=(($162)&65535); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $164=(($161)|0)==(($163)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($164) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $166=$t; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $167=(($166+10)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$167; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=4; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $169=$t; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $170=(($169+10)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $171=HEAPU16[(($170)>>1)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=(($171)&65535); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=$p0; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $174=(($173)&65535); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $175=(($172)|0)==(($174)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($175) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      var $177=$t; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $178=(($177+12)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$178; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=3; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      var $180=$t; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $181=(($180+12)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $182=HEAPU16[(($181)>>1)]; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $183=(($182)&65535); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $184=$p0; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $185=(($184)&65535); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $186=(($183)|0)==(($185)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($186) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      var $188=$t; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $189=(($188+14)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$189; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=2; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      var $191=$t; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $192=(($191+14)|0); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $193=HEAPU16[(($192)>>1)]; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $194=(($193)&65535); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $195=$p0; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $196=(($195)&65535); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $197=(($194)|0)==(($196)|0); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($197) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      var $199=$t; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $200=(($199+16)|0); //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$200; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=1; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 44: 
      var $202=$t; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $203=(($202+16)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$203; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 45: 
      var $206=$t; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $207=(($206+2)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$207; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $208=HEAPU16[(($206)>>1)]; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $209=(($208)&65535); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $210=$p0; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $211=(($210)&65535); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $212=(($209)|0)==(($211)|0); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($212) { __label__ = 46; break; } else { __label__ = 50; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 46: 
      __label__ = 47; break; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 47: 
      var $215=$patNext; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $216=$t; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $217=$extent; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $218=__ZN9ManualCmp5matchEPKtS1_S1_($215, $216, $217); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($218) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 48: 
      __label__ = 51; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 49: 
      var $221=$t; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $222=$2; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $223=$221; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $224=$222; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $225=(($223-$224)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $226=(((($225)|0)/2)&-1); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $227=(($226-1)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$227; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 55; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 50: 
      __label__ = 51; break; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 51: 
      __label__ = 52; break; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 52: 
      var $231=$fixup; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $232=(($231-1)&255); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $fixup=$232; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $233=(($232)&255); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $234=(($233)|0) > 0; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($234) { __label__ = 45; break; } else { __label__ = 53; break; } //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 53: 
      __label__ = 27; break; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 54: 
      $1=-1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 55; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 55: 
      var $238=$1; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $238; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13UnrolledMatchI9ManualCmpEiPKtjS2_j["X"]=1;

function __ZN2jsL22GetGlobalForScopeChainEP9JSContext3925($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $scope=__stackBase__;
      $2=$cx;
      var $3=$2; //@line 87 "./jscntxtinlines.h"
      var $4=__ZNK9JSContext5hasfpEv($3); //@line 87 "./jscntxtinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 87 "./jscntxtinlines.h"
    case 2: 
      var $6=$2; //@line 88 "./jscntxtinlines.h"
      var $7=__ZNK9JSContext2fpEv($6); //@line 88 "./jscntxtinlines.h"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 88 "./jscntxtinlines.h"
      var $9=__ZNK8JSObject9getGlobalEv($8); //@line 88 "./jscntxtinlines.h"
      $1=$9; //@line 88 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 88 "./jscntxtinlines.h"
    case 3: 
      var $11=$2; //@line 90 "./jscntxtinlines.h"
      var $12=(($11+132)|0); //@line 90 "./jscntxtinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 90 "./jscntxtinlines.h"
      HEAP32[(($scope)>>2)]=$13; //@line 90 "./jscntxtinlines.h"
      var $14=$2; //@line 91 "./jscntxtinlines.h"
      var $15=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($14, $scope); //@line 91 "./jscntxtinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 91 "./jscntxtinlines.h"
    case 4: 
      $1=0; //@line 92 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 92 "./jscntxtinlines.h"
    case 5: 
      var $18=HEAP32[(($scope)>>2)]; //@line 93 "./jscntxtinlines.h"
      var $19=__ZN8JSObject8asGlobalEv($18); //@line 93 "./jscntxtinlines.h"
      $1=$19; //@line 93 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 93 "./jscntxtinlines.h"
    case 6: 
      var $21=$1; //@line 94 "./jscntxtinlines.h"
      STACKTOP = __stackBase__;
      return $21; //@line 94 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics13checkParenNumEj($this, $pairNum) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pairNum;
  var $3=$1;
  ;
  return; //@line 137 "./jsregexp.h"
}


function __ZN2js6RegExp10isMetaCharEt($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$c;
      var $3=$2; //@line 565 "./jsregexpinlines.h"
      var $4=(($3)&65535); //@line 565 "./jsregexpinlines.h"
      if ((($4)|0) == 94 || (($4)|0) == 36 || (($4)|0) == 92 || (($4)|0) == 46 || (($4)|0) == 42 || (($4)|0) == 43 || (($4)|0) == 63 || (($4)|0) == 40 || (($4)|0) == 41 || (($4)|0) == 91 || (($4)|0) == 93 || (($4)|0) == 123 || (($4)|0) == 125 || (($4)|0) == 124) {
        __label__ = 2; break;
      }
      else {
      __label__ = 3; break;
      }
      
    case 2: 
      $1=1; //@line 570 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 570 "./jsregexpinlines.h"
    case 3: 
      $1=0; //@line 572 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 572 "./jsregexpinlines.h"
    case 4: 
      var $8=$1; //@line 574 "./jsregexpinlines.h"
      ;
      return $8; //@line 574 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18SplitRegExpMatcherC2EPN2js6RegExpEPNS0_13RegExpStaticsE($this, $re, $res) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$re;
  $3=$res;
  var $4=$1;
  var $5=(($4)|0); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$3; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($5)>>2)]=$6; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($4+4)|0); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $8=$2; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function _JSVAL_IS_SPECIFIC_BOOLEAN3926($l, $b) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$b;
      var $2=$l; //@line 614 "./jsval.h"
      var $3=(($2+4)|0); //@line 614 "./jsval.h"
      var $4=HEAP32[(($3)>>2)]; //@line 614 "./jsval.h"
      var $5=(($4)|0)==-125; //@line 614 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 614 "./jsval.h"
    case 2: 
      var $7=$l; //@line 614 "./jsval.h"
      var $8=(($7)|0); //@line 614 "./jsval.h"
      var $9=$8; //@line 614 "./jsval.h"
      var $10=HEAP32[(($9)>>2)]; //@line 614 "./jsval.h"
      var $11=$1; //@line 614 "./jsval.h"
      var $12=(($10)|0)==(($11)|0); //@line 614 "./jsval.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      STACKTOP = __stackBase__;
      return $15; //@line 615 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _BOOLEAN_TO_JSVAL_IMPL3928($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZNK2js12AutoRefCountINS_6RegExpEEdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 2030 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2030 "./jscntxt.h"
  ;
  return $4; //@line 2030 "./jscntxt.h"
}


function __ZNK2js12AutoRefCountINS_6RegExpEE4nullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 2026 "./jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 2026 "./jscntxt.h"
  var $5=(($4)|0)==0; //@line 2026 "./jscntxt.h"
  ;
  return $5; //@line 2026 "./jscntxt.h"
}


function __ZN9FlatMatchC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($3)>>2)]=0; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN2js12AutoRefCountINS_6RegExpEEC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 1994 "./jscntxt.h"
  var $5=$2; //@line 1994 "./jscntxt.h"
  HEAP32[(($4)>>2)]=$5; //@line 1994 "./jscntxt.h"
  var $6=(($3+4)|0); //@line 1994 "./jscntxt.h"
  HEAP32[(($6)>>2)]=0; //@line 1994 "./jscntxt.h"
  ;
  return; //@line 1994 "./jscntxt.h"
}


function __ZN18SplitRegExpMatcherclEP9JSContextP14JSLinearStringjP16SplitMatchResult($this, $cx, $str, $index, $result) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $rval=__stackBase__+4;
      var $sep=__stackBase__+12;
      $2=$this;
      $3=$cx;
      $4=$str;
      HEAP32[(($5)>>2)]=$index;
      $6=$result;
      var $7=$2;
      __ZN2JSL14UndefinedValueEv3828($rval); //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=(($7+4)|0); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$3; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($7)|0); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=$4; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$13; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZN2js6RegExp7executeEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($9, $10, $12, $14, $5, 1, $rval); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $18=__ZNK2JS5Value6isTrueEv($rval); //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $20=$6; //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN16SplitMatchResult10setFailureEv($20); //@line 2404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $22=(($7)|0); //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js13RegExpStatics12getLastMatchEP11JSSubString($23, $sep); //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$6; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($sep)|0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=HEAP32[(($5)>>2)]; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN16SplitMatchResult9setResultEjj($24, $26, $27); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 2411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $29=$1; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics10parenCountEv($this) {
  ;
  var __label__;

  var $1;
  var $pc;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js13RegExpStatics9pairCountEv($2); //@line 235 "./jsregexp.h"
  $pc=$3; //@line 235 "./jsregexp.h"
  var $4=$pc; //@line 237 "./jsregexp.h"
  var $5=(($4-1)|0); //@line 237 "./jsregexp.h"
  ;
  return $5; //@line 237 "./jsregexp.h"
}


function __ZNK2js13RegExpStatics13pairIsPresentEj($this, $pairNum) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pairNum;
  var $3=$1;
  var $4=$2; //@line 271 "./jsregexp.h"
  var $5=__ZNK2js13RegExpStatics3getEjb($3, $4, 0); //@line 271 "./jsregexp.h"
  var $6=(($5)|0) >= 0; //@line 271 "./jsregexp.h"
  ;
  return $6; //@line 271 "./jsregexp.h"
}


function __ZNK2js13RegExpStatics8getParenEjP11JSSubString($this, $pairNum, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$pairNum;
      $3=$out;
      var $4=$1;
      var $5=$2; //@line 706 "./jsregexpinlines.h"
      __ZNK2js13RegExpStatics13checkParenNumEj($4, $5); //@line 706 "./jsregexpinlines.h"
      var $6=$2; //@line 707 "./jsregexpinlines.h"
      var $7=__ZNK2js13RegExpStatics13pairIsPresentEj($4, $6); //@line 707 "./jsregexpinlines.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 707 "./jsregexpinlines.h"
    case 2: 
      var $9=$3; //@line 708 "./jsregexpinlines.h"
      var $10=$9; //@line 708 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[((_js_EmptySubString)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[((_js_EmptySubString+4)>>2)]; //@line 708 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 709 "./jsregexpinlines.h"
    case 3: 
      var $12=(($4+92)|0); //@line 711 "./jsregexpinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 711 "./jsregexpinlines.h"
      var $14=__ZNK14JSLinearString5charsEv($13); //@line 711 "./jsregexpinlines.h"
      var $15=$2; //@line 711 "./jsregexpinlines.h"
      var $16=__ZNK2js13RegExpStatics3getEjb($4, $15, 0); //@line 711 "./jsregexpinlines.h"
      var $17=(($14+($16<<1))|0); //@line 711 "./jsregexpinlines.h"
      var $18=$3; //@line 711 "./jsregexpinlines.h"
      var $19=(($18+4)|0); //@line 711 "./jsregexpinlines.h"
      HEAP32[(($19)>>2)]=$17; //@line 711 "./jsregexpinlines.h"
      var $20=$2; //@line 712 "./jsregexpinlines.h"
      var $21=__ZNK2js13RegExpStatics14getParenLengthEj($4, $20); //@line 712 "./jsregexpinlines.h"
      var $22=$3; //@line 712 "./jsregexpinlines.h"
      var $23=(($22)|0); //@line 712 "./jsregexpinlines.h"
      HEAP32[(($23)>>2)]=$21; //@line 712 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 713 "./jsregexpinlines.h"
    case 4: 
      ;
      return; //@line 713 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcRKN2JS5ValueE($cx, $obj, $name, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$cx;
      $2=$obj;
      $3=$name;
      $4=$value;
      var $5=$1; //@line 376 "./jsinferinlines.h"
      var $6=__ZN9JSContext20typeInferenceEnabledEv($5); //@line 376 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 376 "./jsinferinlines.h"
    case 2: 
      var $8=$2; //@line 376 "./jsinferinlines.h"
      var $9=__ZN2js5types10TypeObject17unknownPropertiesEv($8); //@line 376 "./jsinferinlines.h"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 376 "./jsinferinlines.h"
    case 3: 
      var $11=$2; //@line 377 "./jsinferinlines.h"
      var $12=$1; //@line 377 "./jsinferinlines.h"
      var $13=$3; //@line 377 "./jsinferinlines.h"
      var $14=$4; //@line 377 "./jsinferinlines.h"
      __ZN2js5types10TypeObject15addPropertyTypeEP9JSContextPKcRKN2JS5ValueE($11, $12, $13, $14); //@line 377 "./jsinferinlines.h"
      __label__ = 4; break; //@line 377 "./jsinferinlines.h"
    case 4: 
      ;
      return; //@line 378 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics14getParenLengthEj($this, $pairNum) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$pairNum;
  var $3=$1;
  var $4=$2; //@line 141 "./jsregexp.h"
  __ZNK2js13RegExpStatics13checkParenNumEj($3, $4); //@line 141 "./jsregexp.h"
  var $5=$2; //@line 143 "./jsregexp.h"
  var $6=__ZNK2js13RegExpStatics3getEjb($3, $5, 1); //@line 143 "./jsregexp.h"
  var $7=$2; //@line 143 "./jsregexp.h"
  var $8=__ZNK2js13RegExpStatics3getEjb($3, $7, 0); //@line 143 "./jsregexp.h"
  var $9=(($6-$8)|0); //@line 143 "./jsregexp.h"
  ;
  return $9; //@line 143 "./jsregexp.h"
}


function __ZNK2js13RegExpStatics12getLastMatchEP11JSSubString($this, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$out;
      var $3=$1;
      var $4=__ZNK2js13RegExpStatics9pairCountEv($3); //@line 718 "./jsregexpinlines.h"
      var $5=(($4)|0)!=0; //@line 718 "./jsregexpinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 718 "./jsregexpinlines.h"
    case 2: 
      var $7=$2; //@line 719 "./jsregexpinlines.h"
      var $8=$7; //@line 719 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_js_EmptySubString)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_js_EmptySubString+4)>>2)]; //@line 719 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 720 "./jsregexpinlines.h"
    case 3: 
      var $10=(($3+92)|0); //@line 723 "./jsregexpinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 723 "./jsregexpinlines.h"
      var $12=__ZNK14JSLinearString5charsEv($11); //@line 723 "./jsregexpinlines.h"
      var $13=__ZNK2js13RegExpStatics3getEjb($3, 0, 0); //@line 723 "./jsregexpinlines.h"
      var $14=(($12+($13<<1))|0); //@line 723 "./jsregexpinlines.h"
      var $15=$2; //@line 723 "./jsregexpinlines.h"
      var $16=(($15+4)|0); //@line 723 "./jsregexpinlines.h"
      HEAP32[(($16)>>2)]=$14; //@line 723 "./jsregexpinlines.h"
      var $17=__ZNK2js13RegExpStatics3getEjb($3, 0, 1); //@line 725 "./jsregexpinlines.h"
      var $18=__ZNK2js13RegExpStatics3getEjb($3, 0, 0); //@line 725 "./jsregexpinlines.h"
      var $19=(($17-$18)|0); //@line 725 "./jsregexpinlines.h"
      var $20=$2; //@line 725 "./jsregexpinlines.h"
      var $21=(($20)|0); //@line 725 "./jsregexpinlines.h"
      HEAP32[(($21)>>2)]=$19; //@line 725 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 726 "./jsregexpinlines.h"
    case 4: 
      ;
      return; //@line 726 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL12BooleanValueEb3927($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_3929($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; HEAP8[($3+2)]=0; HEAP8[($3+3)]=0; HEAP8[($3+4)]=0; HEAP8[($3+5)]=0; HEAP8[($3+6)]=0; HEAP8[($3+7)]=0; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN11RegExpGuardC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN11RegExpGuardC2EP9JSContext($3, $4); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN11RegExpGuard15normalizeRegExpEbjjPN2JS5ValueE($this, $flat, $optarg, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $opt;
      var $patstr;
      var $re=__stackBase__;
      var $7=__stackBase__+4;
      $2=$this;
      var $8=(($flat)&1);
      $3=$8;
      $4=$optarg;
      $5=$argc;
      $6=$vp;
      var $9=$2;
      var $10=(($9+4)|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZNK10RegExpPair9hasRegExpEv($10); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $13=(($9+4)|0); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$13; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $15=$4; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$5; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($15)>>>0) < (($16)>>>0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=(($9)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$4; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($21+2)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$6; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23+($22<<3))|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($20, $24); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $opt=$25; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$opt; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=(($26)|0)!=0; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      __label__ = 8; break; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $opt=0; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break;
    case 8: 
      var $32=$3; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32) & 1); //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $35=(($9)|0); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($9+16)|0); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37)|0); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZN11RegExpGuard14flattenPatternEP9JSContextP14JSLinearString($36, $39); //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patstr=$40; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=$patstr; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41)|0)!=0; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      __label__ = 13; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $46=(($9+16)|0); //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=(($46)|0); //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$48; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patstr=$49; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 13; break;
    case 13: 
      var $51=(($9)|0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$patstr; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=$opt; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js6RegExp13createFlaggedEP9JSContextP8JSStringS4_PNS_11TokenStreamE($re, $52, $53, $54, 0); //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=__ZNK2js15AlreadyIncRefedINS_6RegExpEEcvPPPPPS1_Ev($re); //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=(($55)|0)!=0; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      $1=0; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $59=(($9+4)|0); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=$7; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$re; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)]; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN10RegExpPair5resetEN2js15AlreadyIncRefedINS0_6RegExpEEE($59, $7); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($9+4)|0); //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$62; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 16; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $64=$1; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11RegExpGuard15normalizeRegExpEbjjPN2JS5ValueE["X"]=1;

function __ZNK10RegExpPair2reEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=__ZNK2js12AutoRefCountINS_6RegExpEEdeEv($3); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $4; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZNK2js13RegExpStatics10matchStartEv($this) {
  ;
  var __label__;

  var $1;
  var $start;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js13RegExpStatics3getEjb($2, 0, 0); //@line 245 "./jsregexp.h"
  $start=$3; //@line 245 "./jsregexp.h"
  var $4=$start; //@line 247 "./jsregexp.h"
  ;
  return $4; //@line 247 "./jsregexp.h"
}


function __ZN11RegExpGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN11RegExpGuardD2Ev($2); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN11RegExpGuardD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN10RegExpPairD1Ev($3); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN10RegExpPairD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN10RegExpPairD2Ev($2); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN10RegExpPairD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js12AutoRefCountINS_6RegExpEED1Ev($3); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZNK10RegExpPair9hasRegExpEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=__ZNK2js12AutoRefCountINS_6RegExpEE4nullEv($3); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$4 ^ 1; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $5; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN11RegExpGuard14flattenPatternEP9JSContextP14JSLinearString($cx, $patstr) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $sb=__stackBase__;
      var $4;
      var $chars;
      var $len;
      var $it;
      $2=$cx;
      $3=$patstr;
      var $5=$2; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $5); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=$3; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$6; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZNK8JSString6lengthEv($7); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=__ZN2js12StringBuffer7reserveEj($sb, $8); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $4=1;
      __label__ = 16; break; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $12=$3; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZNK14JSLinearString5charsEv($12); //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$13; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$3; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$14; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZNK8JSString6lengthEv($15); //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $len=$16; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$chars; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $it=$17; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=$it; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$chars; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$len; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=(($20+($21<<1))|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($19)|0)!=(($22)|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $25=$it; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=HEAP16[(($25)>>1)]; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZN2js6RegExp10isMetaCharEt($26); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $29=__ZN2js12StringBuffer6appendEt($sb, 92); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $31=$it; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=HEAP16[(($31)>>1)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=__ZN2js12StringBuffer6appendEt($sb, $32); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      $1=0; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $4=1;
      __label__ = 16; break; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      __label__ = 13; break; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $37=$it; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=HEAP16[(($37)>>1)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZN2js12StringBuffer6appendEt($sb, $38); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $4=1;
      __label__ = 16; break; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break; //@line 1334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $44=$it; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44+2)|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $it=$45; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $47=__ZN2js12StringBuffer12finishStringEv($sb); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$47; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=$48; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $4=1;
      __label__ = 16; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      __ZN2js12StringBufferD1Ev($sb); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$1; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN11RegExpGuard14flattenPatternEP9JSContextP14JSLinearString["X"]=1;

function __ZN10RegExpPair5resetEN2js15AlreadyIncRefedINS0_6RegExpEEE($this, $re) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $re; $re = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($re)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3+8)|0); //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($4)>>2)]=0; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=(($3)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=$2; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=$re; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)]; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js12AutoRefCountINS_6RegExpEE5resetENS_15AlreadyIncRefedIS1_EE($5, $2); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  STACKTOP = __stackBase__;
  return; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN2js12AutoRefCountINS_6RegExpEE5resetENS_15AlreadyIncRefedIS1_EE($this, $aobj) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $aobj; $aobj = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($aobj)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 2021 "./jscntxt.h"
      var $4=HEAP32[(($3)>>2)]; //@line 2021 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 2021 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2021 "./jscntxt.h"
    case 2: 
      var $7=(($2+4)|0); //@line 2022 "./jscntxt.h"
      var $8=HEAP32[(($7)>>2)]; //@line 2022 "./jscntxt.h"
      var $9=(($2)|0); //@line 2022 "./jscntxt.h"
      var $10=HEAP32[(($9)>>2)]; //@line 2022 "./jscntxt.h"
      __ZN2js6RegExp6decrefEP9JSContext($8, $10); //@line 2022 "./jscntxt.h"
      __label__ = 3; break; //@line 2022 "./jscntxt.h"
    case 3: 
      var $12=__ZNK2js15AlreadyIncRefedINS_6RegExpEE3getEv($aobj); //@line 2023 "./jscntxt.h"
      var $13=(($2+4)|0); //@line 2023 "./jscntxt.h"
      HEAP32[(($13)>>2)]=$12; //@line 2023 "./jscntxt.h"
      STACKTOP = __stackBase__;
      return; //@line 2024 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11RegExpGuardC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=(($3+4)|0); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=$2; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN10RegExpPairC1EP9JSContext($6, $7); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $8=(($3+16)|0); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN9FlatMatchC1Ev($8); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN10RegExpPairC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN10RegExpPairC2EP9JSContext($3, $4); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN9FlatMatchC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN9FlatMatchC2Ev($2); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN10RegExpPairC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js12AutoRefCountINS_6RegExpEEC1EP9JSContext($4, $5); //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN2js12AutoRefCountINS_6RegExpEEC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1994 "./jscntxt.h"
  __ZN2js12AutoRefCountINS_6RegExpEEC2EP9JSContext($3, $4); //@line 1994 "./jscntxt.h"
  ;
  return; //@line 1994 "./jscntxt.h"
}


function __ZL19BuildFlatMatchArrayP9JSContextP8JSStringRK9FlatMatchPN2JS5ValueE($cx, $textstr, $fm, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      $2=$cx;
      $3=$textstr;
      $4=$fm;
      $5=$vp;
      var $9=$4; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=__ZNK9FlatMatch5matchEv($9); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10)|0) < 0; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $13=$5; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value7setNullEv($13); //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $15=$2; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=__ZN2js17NewSlowEmptyArrayEP9JSContext($15); //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $obj=$16; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$obj; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)|0)!=0; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$5; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$obj; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setObjectER8JSObject($21, $22); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$obj; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$2; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$4; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=__ZNK9FlatMatch7patternEv($25); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($6, $26); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZN8JSObject13defineElementEP9JSContextjRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($23, $24, 0, $6, 8, 10, 1); //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27)|0)!=0; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($28) { __label__ = 6; break; } else { var $59 = 0;__label__ = 8; break; } //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $30=$obj; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$2; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$2; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+52)|0); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34+209948)|0); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($35+284)|0); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$37; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZL12ATOM_TO_JSIDP6JSAtom3836($38); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$4; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=__ZNK9FlatMatch5matchEv($40); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL10Int32ValueEi3910($7, $41); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($30, $31, $39, $7, 8, 10, 1); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42)|0)!=0; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($43) { __label__ = 7; break; } else { var $59 = 0;__label__ = 8; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $45=$obj; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=$2; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$2; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47+52)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($49+209948)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=(($50+288)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$52; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=__ZL12ATOM_TO_JSIDP6JSAtom3836($53); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=$3; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11StringValueEP8JSString3909($8, $55); //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($45, $46, $54, $8, 8, 10, 1); //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56)|0)!=0; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $59 = $57;__label__ = 8; break;
    case 8: 
      var $59;
      $1=$59;
      __label__ = 9; break;
    case 9: 
      var $61=$1; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19BuildFlatMatchArrayP9JSContextP8JSStringRK9FlatMatchPN2JS5ValueE["X"]=1;

function __ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK10RegExpPair5reobjEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $4; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZNK9FlatMatch7patternEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$4; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $5; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZL15JSDOUBLE_IS_NaNd3930($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZL18JSDOUBLE_IS_FINITEd3932($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZNK9FlatMatch13patternLengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return $4; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZNK2js18StringSegmentRange5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+144)|0); //@line 310 "./jsstrinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 310 "./jsstrinlines.h"
  var $5=(($4)|0)==0; //@line 310 "./jsstrinlines.h"
  ;
  return $5; //@line 310 "./jsstrinlines.h"
}


function __ZNK2js18StringSegmentRange5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+144)|0); //@line 315 "./jsstrinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 315 "./jsstrinlines.h"
  ;
  return $4; //@line 315 "./jsstrinlines.h"
}


function __ZN2js11RopeBuilder6resultEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 275 "./jsstrinlines.h"
  var $4=HEAP32[(($3)>>2)]; //@line 275 "./jsstrinlines.h"
  ;
  return $4; //@line 275 "./jsstrinlines.h"
}


function __ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+8)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 338 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "./jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "./jsvector.h"
  ;
  return $5; //@line 338 "./jsvector.h"
}


function __ZL7DoMatchP9JSContextPN2js13RegExpStaticsEP8JSStringRK10RegExpPairPFbS0_S3_jPvES9_17MatchControlFlagsPN2JS5ValueE($cx, $res, $str, $rep, $callback, $data, $flags, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $re;
      var $testGlobal;
      var $count;
      var $i=__stackBase__;
      var $length;
      var $testSingle;
      var $callbackOnSingle;
      var $i1=__stackBase__+4;
      $2=$cx;
      $3=$res;
      $4=$str;
      $5=$rep;
      $6=$callback;
      $7=$data;
      $8=$flags;
      $9=$rval;
      var $10=$5; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZNK10RegExpPair2reEv($10); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $re=$11; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$re; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZNK2js6RegExp6globalEv($12); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 17; break; } //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $15=$8; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$15 & 1; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)!=0; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=(($17)&1); //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $testGlobal=$18; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$5; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=__ZNK10RegExpPair5reobjEv($19); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20)|0)!=0; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $23=$5; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=__ZNK10RegExpPair5reobjEv($23); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN8JSObject19zeroRegExpLastIndexEv($24); //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 4; break; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $count=0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($i)>>2)]=0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$4; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZNK8JSString6lengthEv($26); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$27; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $29=HEAPU32[(($i)>>2)]; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$length; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($29)>>>0) <= (($30)>>>0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $33=$re; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$3; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=$4; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$testGlobal; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=(($37) & 1); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$9; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZN2js6RegExp7executeEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($33, $34, $35, $36, $i, $38, $39); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $1=0; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $43=$testGlobal; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43) & 1); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$9; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=__ZL7MatchedbRKN2JS5ValueE($44, $45); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      __label__ = 16; break; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $49=$6; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$2; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$3; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$count; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$7; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=FUNCTION_TABLE[$49]($50, $51, $52, $53); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      $1=0; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $57=$3; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=__ZNK2js13RegExpStatics7matchedEv($57); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $60=HEAP32[(($i)>>2)]; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60+1)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($i)>>2)]=$61; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      __label__ = 15; break; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $64=$count; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=(($64+1)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $count=$65; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 5; break; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      __label__ = 24; break; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $68=$8; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$68 & 2; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(($69)|0)!=0; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$70 ^ 1; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$71 ^ 1; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($72)&1); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $testSingle=$73; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$8; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$74 & 4; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=(($75)|0)!=0; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$76 ^ 1; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=$77 ^ 1; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=(($78)&1); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $callbackOnSingle=$79; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($i1)>>2)]=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=$re; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=$2; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=$3; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=$4; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$testSingle; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($84) & 1); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=$9; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=__ZN2js6RegExp7executeEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE($80, $81, $82, $83, $i1, $85, $86); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($87) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      $1=0; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $90=$callbackOnSingle; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=(($90) & 1); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($91) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $93=$testSingle; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=(($93) & 1); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=$9; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=__ZL7MatchedbRKN2JS5ValueE($94, $95); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($96) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $98=$6; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=$3; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=$7; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=FUNCTION_TABLE[$98]($99, $100, 0, $101); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($102) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      __label__ = 24; break;
    case 24: 
      $1=1; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 25; break; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $107=$1; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $107; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7DoMatchP9JSContextPN2js13RegExpStaticsEP8JSStringRK10RegExpPairPFbS0_S3_jPvES9_17MatchControlFlagsPN2JS5ValueE["X"]=1;

function __ZL13MatchCallbackP9JSContextPN2js13RegExpStaticsEjPv($cx, $res, $count, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $arrayobj;
      var $v=__stackBase__;
      $2=$cx;
      $3=$res;
      $4=$count;
      $5=$p;
      var $6=$5; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$6; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $arrayobj=$7; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$arrayobj; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $12=$2; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($12, 0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$arrayobj; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$arrayobj; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)!=0; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 8; break; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      __label__ = 5; break; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $21=$3; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$2; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=__ZNK2js13RegExpStatics15createLastMatchEP9JSContextPN2JS5ValueE($21, $22, $v); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($23) { __label__ = 6; break; } else { var $32 = 0;__label__ = 7; break; } //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $25=$arrayobj; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$2; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$4; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=__ZN8JSObject13defineElementEP9JSContextjRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($26, $27, $28, $v, 8, 10, 1); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=(($29)|0)!=0; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32 = $30;__label__ = 7; break;
    case 7: 
      var $32;
      $1=$32;
      __label__ = 8; break;
    case 8: 
      var $34=$1; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject13defineElementEP9JSContextjRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($this, $cx, $index, $value, $getter, $setter, $attrs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $op;
      $1=$this;
      $2=$cx;
      $3=$index;
      $4=$value;
      $5=$getter;
      $6=$setter;
      $7=$attrs;
      var $8=$1;
      var $9=__ZNK8JSObject6getOpsEv($8); //@line 1443 "./jsobj.h"
      var $10=(($9+24)|0); //@line 1443 "./jsobj.h"
      var $11=HEAP32[(($10)>>2)]; //@line 1443 "./jsobj.h"
      $op=$11; //@line 1443 "./jsobj.h"
      var $12=$op; //@line 1444 "./jsobj.h"
      var $13=(($12)|0)!=0; //@line 1444 "./jsobj.h"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1444 "./jsobj.h"
    case 2: 
      var $15=$op; //@line 1444 "./jsobj.h"
      var $18 = $15;__label__ = 4; break; //@line 1444 "./jsobj.h"
    case 3: 
      var $18 = 306;__label__ = 4; break; //@line 1444 "./jsobj.h"
    case 4: 
      var $18; //@line 1444 "./jsobj.h"
      var $19=$2; //@line 1444 "./jsobj.h"
      var $20=$3; //@line 1444 "./jsobj.h"
      var $21=$4; //@line 1444 "./jsobj.h"
      var $22=$5; //@line 1444 "./jsobj.h"
      var $23=$6; //@line 1444 "./jsobj.h"
      var $24=$7; //@line 1444 "./jsobj.h"
      var $25=FUNCTION_TABLE[$18]($19, $8, $20, $21, $22, $23, $24); //@line 1444 "./jsobj.h"
      ;
      return $25; //@line 1444 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7MatchedbRKN2JS5ValueE($test, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=(($test)&1);
      $1=$3;
      $2=$v;
      var $4=$1; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=(($4) & 1); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $7=$2; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZNK2JS5Value6isTrueEv($7); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14 = $8;__label__ = 4; break; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $10=$2; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=__ZNK2JS5Value6isNullEv($10); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$11 ^ 1; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14 = $12;__label__ = 4; break; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $14; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $14; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics7matchedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js13RegExpStatics3getEjb($2, 0, 1); //@line 260 "./jsregexp.h"
  var $4=__ZNK2js13RegExpStatics3getEjb($2, 0, 0); //@line 260 "./jsregexp.h"
  var $5=(($3-$4)|0); //@line 260 "./jsregexp.h"
  var $6=(($5)|0) > 0; //@line 260 "./jsregexp.h"
  ;
  return $6; //@line 260 "./jsregexp.h"
}


function __ZL13js_TrimStringP9JSContextPN2JS5ValueEii($cx, $vp, $trimLeft, $trimRight) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $str;
      var $length;
      var $chars;
      var $begin;
      var $end;
      $2=$cx;
      $3=$vp;
      $4=$trimLeft;
      $5=$trimRight;
      var $6=$2; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$3; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE($6, $7); //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$8; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$str; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)!=0; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 22; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $13=$str; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=__ZNK8JSString6lengthEv($13); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $length=$14; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=$str; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZN8JSString8getCharsEP9JSContext($15, $16); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$17; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$chars; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18)|0)!=0; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 22; break; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $begin=0; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$length; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $end=$22; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$4; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)|0)!=0; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 12; break; } //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      __label__ = 7; break; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $27=$begin; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$length; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($27)>>>0) < (($28)>>>0); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 8; break; } else { var $37 = 0;__label__ = 9; break; } //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $31=$begin; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$chars; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+($31<<1))|0); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=HEAP16[(($33)>>1)]; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=__ZN2js7unicode7IsSpaceEt($34); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37 = $35;__label__ = 9; break;
    case 9: 
      var $37;
      if ($37) { __label__ = 10; break; } else { __label__ = 11; break; }
    case 10: 
      var $39=$begin; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39+1)|0); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $begin=$40; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 7; break; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      __label__ = 12; break; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $43=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43)|0)!=0; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 13; break; } else { __label__ = 19; break; } //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      __label__ = 14; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $47=$end; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$begin; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($47)>>>0) > (($48)>>>0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($49) { __label__ = 15; break; } else { var $58 = 0;__label__ = 16; break; } //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $51=$end; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($51-1)|0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$chars; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($53+($52<<1))|0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=HEAP16[(($54)>>1)]; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=__ZN2js7unicode7IsSpaceEt($55); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58 = $56;__label__ = 16; break;
    case 16: 
      var $58;
      if ($58) { __label__ = 17; break; } else { __label__ = 18; break; }
    case 17: 
      var $60=$end; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=(($60-1)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $end=$61; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 14; break; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      __label__ = 19; break; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $64=$2; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$str; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$begin; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$end; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$begin; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($67-$68)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=__Z21js_NewDependentStringP9JSContextP8JSStringjj($64, $65, $66, $69); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$70; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$71; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$str; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($72)|0)!=0; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($73) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      $1=0; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 22; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $76=$3; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$str; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($76, $77); //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 22; break; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $79=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $79; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13js_TrimStringP9JSContextPN2JS5ValueEii["X"]=1;

function __ZL18js_DoubleToIntegerd3931($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $neg;
      $2=$d;
      var $3=$2; //@line 572 "./jsnum.h"
      var $4=$3 == 0; //@line 572 "./jsnum.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 572 "./jsnum.h"
    case 2: 
      var $6=$2; //@line 573 "./jsnum.h"
      $1=$6; //@line 573 "./jsnum.h"
      __label__ = 14; break; //@line 573 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 575 "./jsnum.h"
      var $9=__ZL18JSDOUBLE_IS_FINITEd3932($8); //@line 575 "./jsnum.h"
      var $10=(($9)|0)!=0; //@line 575 "./jsnum.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 575 "./jsnum.h"
    case 4: 
      var $12=$2; //@line 576 "./jsnum.h"
      var $13=__ZL15JSDOUBLE_IS_NaNd3930($12); //@line 576 "./jsnum.h"
      var $14=(($13)|0)!=0; //@line 576 "./jsnum.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 576 "./jsnum.h"
    case 5: 
      $1=0; //@line 577 "./jsnum.h"
      __label__ = 14; break; //@line 577 "./jsnum.h"
    case 6: 
      var $17=$2; //@line 578 "./jsnum.h"
      $1=$17; //@line 578 "./jsnum.h"
      __label__ = 14; break; //@line 578 "./jsnum.h"
    case 7: 
      var $19=$2; //@line 581 "./jsnum.h"
      var $20=$19 < 0; //@line 581 "./jsnum.h"
      var $21=(($20)&1); //@line 581 "./jsnum.h"
      $neg=$21; //@line 581 "./jsnum.h"
      var $22=$neg; //@line 582 "./jsnum.h"
      var $23=(($22)|0)!=0; //@line 582 "./jsnum.h"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 582 "./jsnum.h"
    case 8: 
      var $25=$2; //@line 582 "./jsnum.h"
      var $26=(-$25); //@line 582 "./jsnum.h"
      var $30 = $26;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 9: 
      var $28=$2; //@line 582 "./jsnum.h"
      var $30 = $28;__label__ = 10; break; //@line 582 "./jsnum.h"
    case 10: 
      var $30; //@line 582 "./jsnum.h"
      var $31=_floor($30); //@line 582 "./jsnum.h"
      $2=$31; //@line 582 "./jsnum.h"
      var $32=$neg; //@line 584 "./jsnum.h"
      var $33=(($32)|0)!=0; //@line 584 "./jsnum.h"
      if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 584 "./jsnum.h"
    case 11: 
      var $35=$2; //@line 584 "./jsnum.h"
      var $36=(-$35); //@line 584 "./jsnum.h"
      var $40 = $36;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 12: 
      var $38=$2; //@line 584 "./jsnum.h"
      var $40 = $38;__label__ = 13; break; //@line 584 "./jsnum.h"
    case 13: 
      var $40; //@line 584 "./jsnum.h"
      $1=$40; //@line 584 "./jsnum.h"
      __label__ = 14; break; //@line 584 "./jsnum.h"
    case 14: 
      var $42=$1; //@line 585 "./jsnum.h"
      ;
      return $42; //@line 585 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18js_DoubleToIntegerd3931["X"]=1;

function __ZN11ReplaceDataD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+96)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js12StringBufferD1Ev($3); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $4=(($2+72)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js15InvokeArgsGuardD1Ev($4); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=(($2+4)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN11RegExpGuardD1Ev($5); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN2js11RopeBuilderC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 267 "./jsstrinlines.h"
  __ZN2js11RopeBuilderC2EP9JSContext($3, $4); //@line 267 "./jsstrinlines.h"
  ;
  return; //@line 267 "./jsstrinlines.h"
}


function __ZN2js18StringSegmentRangeC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 302 "./jsstrinlines.h"
  __ZN2js18StringSegmentRangeC2EP9JSContext($3, $4); //@line 302 "./jsstrinlines.h"
  ;
  return; //@line 302 "./jsstrinlines.h"
}


function __ZN2js18StringSegmentRange4initEP8JSString($this, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$str;
  var $3=$1;
  var $4=$2; //@line 306 "./jsstrinlines.h"
  var $5=__ZN2js18StringSegmentRange6settleEP8JSString($3, $4); //@line 306 "./jsstrinlines.h"
  ;
  return $5; //@line 306 "./jsstrinlines.h"
}


function __ZN2js11RopeBuilder6appendEP8JSString($this, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$str;
  var $3=$1;
  var $4=(($3)|0); //@line 270 "./jsstrinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 270 "./jsstrinlines.h"
  var $6=(($3+4)|0); //@line 270 "./jsstrinlines.h"
  var $7=HEAP32[(($6)>>2)]; //@line 270 "./jsstrinlines.h"
  var $8=$2; //@line 270 "./jsstrinlines.h"
  var $9=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($5, $7, $8); //@line 270 "./jsstrinlines.h"
  var $10=(($3+4)|0); //@line 270 "./jsstrinlines.h"
  HEAP32[(($10)>>2)]=$9; //@line 270 "./jsstrinlines.h"
  var $11=(($3+4)|0); //@line 271 "./jsstrinlines.h"
  var $12=HEAP32[(($11)>>2)]; //@line 271 "./jsstrinlines.h"
  var $13=(($12)|0)!=0; //@line 271 "./jsstrinlines.h"
  var $14=$13 ^ 1; //@line 271 "./jsstrinlines.h"
  var $15=$14 ^ 1; //@line 271 "./jsstrinlines.h"
  ;
  return $15; //@line 271 "./jsstrinlines.h"
}


function __ZN2js18StringSegmentRange8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3)|0); //@line 320 "./jsstrinlines.h"
      var $5=__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE5emptyEv($4); //@line 320 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 320 "./jsstrinlines.h"
    case 2: 
      var $7=(($3+144)|0); //@line 321 "./jsstrinlines.h"
      HEAP32[(($7)>>2)]=0; //@line 321 "./jsstrinlines.h"
      $1=1; //@line 322 "./jsstrinlines.h"
      __label__ = 4; break; //@line 322 "./jsstrinlines.h"
    case 3: 
      var $9=(($3)|0); //@line 324 "./jsstrinlines.h"
      var $10=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE7popCopyEv($9); //@line 324 "./jsstrinlines.h"
      var $11=__ZN2js18StringSegmentRange6settleEP8JSString($3, $10); //@line 324 "./jsstrinlines.h"
      $1=$11; //@line 324 "./jsstrinlines.h"
      __label__ = 4; break; //@line 324 "./jsstrinlines.h"
    case 4: 
      var $13=$1; //@line 325 "./jsstrinlines.h"
      ;
      return $13; //@line 325 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18StringSegmentRangeD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js18StringSegmentRangeD2Ev($2); //@line 279 "./jsstrinlines.h"
  ;
  return; //@line 279 "./jsstrinlines.h"
}


function __ZN2js18StringSegmentRangeD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 279 "./jsstrinlines.h"
  __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEED1Ev($3); //@line 279 "./jsstrinlines.h"
  ;
  return; //@line 279 "./jsstrinlines.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js15TempAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+16)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj128EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js18StringSegmentRange6settleEP8JSString($this, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rope;
      $2=$this;
      $3=$str;
      var $4=$2;
      __label__ = 2; break; //@line 289 "./jsstrinlines.h"
    case 2: 
      var $6=$3; //@line 289 "./jsstrinlines.h"
      var $7=__ZNK8JSString6isRopeEv($6); //@line 289 "./jsstrinlines.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 289 "./jsstrinlines.h"
    case 3: 
      var $9=$3; //@line 290 "./jsstrinlines.h"
      var $10=__ZN8JSString6asRopeEv($9); //@line 290 "./jsstrinlines.h"
      $rope=$10; //@line 290 "./jsstrinlines.h"
      var $11=(($4)|0); //@line 291 "./jsstrinlines.h"
      var $12=$rope; //@line 291 "./jsstrinlines.h"
      var $13=__ZNK6JSRope10rightChildEv($12); //@line 291 "./jsstrinlines.h"
      var $14=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE6appendIS2_EEbT_($11, $13); //@line 291 "./jsstrinlines.h"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 291 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 292 "./jsstrinlines.h"
      __label__ = 7; break; //@line 292 "./jsstrinlines.h"
    case 5: 
      var $17=$rope; //@line 293 "./jsstrinlines.h"
      var $18=__ZNK6JSRope9leftChildEv($17); //@line 293 "./jsstrinlines.h"
      $3=$18; //@line 293 "./jsstrinlines.h"
      __label__ = 2; break; //@line 294 "./jsstrinlines.h"
    case 6: 
      var $20=$3; //@line 295 "./jsstrinlines.h"
      var $21=__ZN8JSString8asLinearEv($20); //@line 295 "./jsstrinlines.h"
      var $22=(($4+144)|0); //@line 295 "./jsstrinlines.h"
      HEAP32[(($22)>>2)]=$21; //@line 295 "./jsstrinlines.h"
      $1=1; //@line 296 "./jsstrinlines.h"
      __label__ = 7; break; //@line 296 "./jsstrinlines.h"
    case 7: 
      var $24=$1; //@line 297 "./jsstrinlines.h"
      ;
      return $24; //@line 297 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE7popCopyEv($this) {
  ;
  var __label__;

  var $1;
  var $ret;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE4backEv($2); //@line 906 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 906 "./jsvector.h"
  $ret=$4; //@line 906 "./jsvector.h"
  __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE7popBackEv($2); //@line 907 "./jsvector.h"
  var $5=$ret; //@line 908 "./jsvector.h"
  ;
  return $5; //@line 908 "./jsvector.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE4backEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE3endEv($2); //@line 372 "./jsvector.h"
  var $4=(($3-4)|0); //@line 372 "./jsvector.h"
  ;
  return $4; //@line 372 "./jsvector.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE7popBackEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEEEERT_($g, $2); //@line 896 "./jsvector.h"
  var $3=(($2+8)|0); //@line 898 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 898 "./jsvector.h"
  var $5=(($4-1)|0); //@line 898 "./jsvector.h"
  HEAP32[(($3)>>2)]=$5; //@line 898 "./jsvector.h"
  var $6=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE10endNoCheckEv($2); //@line 899 "./jsvector.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 900 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 900 "./jsvector.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+8)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11RopeBuilderC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 267 "./jsstrinlines.h"
  var $5=$2; //@line 267 "./jsstrinlines.h"
  HEAP32[(($4)>>2)]=$5; //@line 267 "./jsstrinlines.h"
  var $6=(($3+4)|0); //@line 267 "./jsstrinlines.h"
  var $7=$2; //@line 267 "./jsstrinlines.h"
  var $8=(($7+52)|0); //@line 267 "./jsstrinlines.h"
  var $9=HEAP32[(($8)>>2)]; //@line 267 "./jsstrinlines.h"
  var $10=(($9+144136)|0); //@line 267 "./jsstrinlines.h"
  var $11=HEAP32[(($10)>>2)]; //@line 267 "./jsstrinlines.h"
  var $12=$11; //@line 267 "./jsstrinlines.h"
  HEAP32[(($6)>>2)]=$12; //@line 267 "./jsstrinlines.h"
  ;
  return; //@line 267 "./jsstrinlines.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+8)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+12)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+8)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+8)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js15TempAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4+4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+12)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+8)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj32ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js15TempAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj32ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+12)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12+4)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js15TempAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25+4)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+12)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js18StringSegmentRangeC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=(($4)|0); //@line 302 "./jsstrinlines.h"
  var $6=$2; //@line 302 "./jsstrinlines.h"
  __ZN2js15TempAllocPolicyC1EP9JSContext($3, $6); //@line 302 "./jsstrinlines.h"
  __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEC1ES3_($5, $3); //@line 302 "./jsstrinlines.h"
  var $7=(($4+144)|0); //@line 302 "./jsstrinlines.h"
  HEAP32[(($7)>>2)]=0; //@line 302 "./jsstrinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 302 "./jsstrinlines.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=$3; //@line 493 "./jsvector.h"
  var $5=$ap; //@line 493 "./jsvector.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 493 "./jsvector.h"
  var $6=(($2+4)|0); //@line 493 "./jsvector.h"
  var $7=(($2+16)|0); //@line 488 "./jsvector.h"
  var $8=__ZN7mozilla14AlignedStorageILj128EE4addrEv($7); //@line 488 "./jsvector.h"
  var $9=$8; //@line 488 "./jsvector.h"
  HEAP32[(($6)>>2)]=$9; //@line 488 "./jsvector.h"
  var $10=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($10)>>2)]=0; //@line 488 "./jsvector.h"
  var $11=(($2+12)|0); //@line 488 "./jsvector.h"
  HEAP32[(($11)>>2)]=32; //@line 488 "./jsvector.h"
  var $12=(($2+16)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js12StringBuffer16infallibleAppendEPKtS2_($this, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$begin;
  $3=$end;
  var $4=$1;
  var $5=(($4)|0); //@line 112 "./jsstrinlines.h"
  var $6=$2; //@line 112 "./jsstrinlines.h"
  var $7=$3; //@line 112 "./jsstrinlines.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendItEEvPKT_S6_($5, $6, $7); //@line 112 "./jsstrinlines.h"
  ;
  return; //@line 113 "./jsstrinlines.h"
}


function __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendItEEvPKT_S6_($this, $begin, $end) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  var $2=__stackBase__+4;
  var $3;
  var $4;
  var $5;
  $3=$this;
  $4=$begin;
  $5=$end;
  var $6=$3;
  var $7=$4; //@line 432 "./jsvector.h"
  var $8=$4; //@line 432 "./jsvector.h"
  var $9=$5; //@line 432 "./jsvector.h"
  var $10=$1;
  var $11=$2;
  HEAP32[(($1)>>2)]=$8;
  HEAP32[(($2)>>2)]=$9;
  var $12=HEAP32[(($2)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
  var $13=$12; //@line 330 "./dist/include/mozilla/Util.h"
  var $14=HEAP32[(($1)>>2)]; //@line 330 "./dist/include/mozilla/Util.h"
  var $15=$14; //@line 330 "./dist/include/mozilla/Util.h"
  var $16=(($13-$15)|0); //@line 330 "./dist/include/mozilla/Util.h"
  var $17=Math.floor((($16)>>>0)/2); //@line 330 "./dist/include/mozilla/Util.h"
  var $18=$1; //@line 330 "./dist/include/mozilla/Util.h"
  var $19=$2; //@line 330 "./dist/include/mozilla/Util.h"
  __ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvPKT_j($6, $7, $17); //@line 432 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 433 "./jsvector.h"
}


function __ZL21ReplaceRegExpCallbackP9JSContextPN2js13RegExpStaticsEjPv($cx, $res, $count, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $rdata;
      var $str;
      var $leftoff;
      var $left;
      var $leftlen;
      var $replen=__stackBase__;
      var $growth;
      $2=$cx;
      $3=$res;
      $4=$count;
      $5=$p;
      var $6=$5; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$6; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $rdata=$7; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=$rdata; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=(($8+68)|0); //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP8[($9)]=1; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=$rdata; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=(($10)|0); //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=__ZN8JSString8asLinearEv($12); //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$13; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=$rdata; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=(($14+56)|0); //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $leftoff=$16; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=$str; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=__ZNK14JSLinearString5charsEv($17); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=$leftoff; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($18+($19<<1))|0); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $left=$20; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$3; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZNK2js13RegExpStatics10matchStartEv($21); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$leftoff; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($22-$23)|0); //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $leftlen=$24; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$3; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=__ZNK2js13RegExpStatics10matchLimitEv($25); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$rdata; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=(($27+56)|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($28)>>2)]=$26; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($replen)>>2)]=0; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$2; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$3; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$rdata; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=__ZL17FindReplaceLengthP9JSContextPN2js13RegExpStaticsER11ReplaceDataPj($29, $30, $31, $replen); //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $35=$leftlen; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=HEAP32[(($replen)>>2)]; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=(($35+$36)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $growth=$37; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$rdata; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=(($38+96)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$rdata; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40+96)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=__ZNK2js12StringBuffer6lengthEv($41); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$growth; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($42+$43)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=__ZN2js12StringBuffer7reserveEj($39, $44); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      $1=0; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 1870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $48=$rdata; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48+96)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$left; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$leftlen; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js12StringBuffer16infallibleAppendEPKtj($49, $50, $51); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$2; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$3; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=$rdata; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZL9DoReplaceP9JSContextPN2js13RegExpStaticsER11ReplaceData($52, $53, $54); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $56=$1; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21ReplaceRegExpCallbackP9JSContextPN2js13RegExpStaticsEjPv["X"]=1;

function __ZNK2js13RegExpStatics15getRightContextEP11JSSubString($this, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$out;
      var $3=$1;
      var $4=__ZNK2js13RegExpStatics9pairCountEv($3); //@line 754 "./jsregexpinlines.h"
      var $5=(($4)|0)!=0; //@line 754 "./jsregexpinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 754 "./jsregexpinlines.h"
    case 2: 
      var $7=$2; //@line 755 "./jsregexpinlines.h"
      var $8=$7; //@line 755 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_js_EmptySubString)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_js_EmptySubString+4)>>2)]; //@line 755 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 756 "./jsregexpinlines.h"
    case 3: 
      var $10=(($3+92)|0); //@line 758 "./jsregexpinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 758 "./jsregexpinlines.h"
      var $12=__ZNK14JSLinearString5charsEv($11); //@line 758 "./jsregexpinlines.h"
      var $13=__ZNK2js13RegExpStatics3getEjb($3, 0, 1); //@line 758 "./jsregexpinlines.h"
      var $14=(($12+($13<<1))|0); //@line 758 "./jsregexpinlines.h"
      var $15=$2; //@line 758 "./jsregexpinlines.h"
      var $16=(($15+4)|0); //@line 758 "./jsregexpinlines.h"
      HEAP32[(($16)>>2)]=$14; //@line 758 "./jsregexpinlines.h"
      var $17=(($3+92)|0); //@line 760 "./jsregexpinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 760 "./jsregexpinlines.h"
      var $19=$18; //@line 760 "./jsregexpinlines.h"
      var $20=__ZNK8JSString6lengthEv($19); //@line 760 "./jsregexpinlines.h"
      var $21=__ZNK2js13RegExpStatics3getEjb($3, 0, 1); //@line 760 "./jsregexpinlines.h"
      var $22=(($20-$21)|0); //@line 760 "./jsregexpinlines.h"
      var $23=$2; //@line 760 "./jsregexpinlines.h"
      var $24=(($23)|0); //@line 760 "./jsregexpinlines.h"
      HEAP32[(($24)>>2)]=$22; //@line 760 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 761 "./jsregexpinlines.h"
    case 4: 
      ;
      return; //@line 761 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics10matchLimitEv($this) {
  ;
  var __label__;

  var $1;
  var $limit;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js13RegExpStatics3getEjb($2, 0, 1); //@line 251 "./jsregexp.h"
  $limit=$3; //@line 251 "./jsregexp.h"
  var $4=$limit; //@line 253 "./jsregexp.h"
  ;
  return $4; //@line 253 "./jsregexp.h"
}


function __ZL17FindReplaceLengthP9JSContextPN2js13RegExpStaticsER11ReplaceDataPj($cx, $res, $rdata, $sizep) {
  var __stackBase__  = STACKTOP; STACKTOP += 168; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $base;
      var $match=__stackBase__;
      var $str;
      var $atom;
      var $id;
      var $holder=__stackBase__+8;
      var $prop=__stackBase__+12;
      var $shape;
      var $value=__stackBase__+16;
      var $lambda;
      var $staticsGuard=__stackBase__+24;
      var $6;
      var $p;
      var $argc;
      var $args;
      var $7=__stackBase__+140;
      var $8=__stackBase__+148;
      var $argi;
      var $i;
      var $repstr;
      var $repstr1;
      var $replen;
      var $dp;
      var $ep;
      var $sub=__stackBase__+156;
      var $skip=__stackBase__+164;
      $2=$cx;
      $3=$res;
      $4=$rdata;
      $5=$sizep;
      var $9=$4; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9+40)|0); //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $base=$11; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$base; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12)|0)!=0; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 22; break; } //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $15=$3; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$2; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=__ZNK2js13RegExpStatics15createLastMatchEP9JSContextPN2JS5ValueE($15, $16, $match); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      $1=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 52; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $20=__ZNK2JS5Value8toStringEv($match); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $str=$20; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$str; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZNK8JSString6isAtomEv($21); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $24=$str; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=__ZNK8JSString6asAtomEv($24); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $atom=$25; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 9; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $27=$2; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$str; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($27, $28, 0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $atom=$29; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$atom; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=(($30)|0)!=0; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      $1=0; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 52; break; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $35=$atom; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=__ZL12ATOM_TO_JSIDP6JSAtom3836($35); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $id=$36; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($prop)>>2)]=0; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $37=$2; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=$base; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$id; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($37, $38, $39, 1, $holder, $prop); //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      $1=0; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 52; break; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $43=HEAP32[(($prop)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=(($43)|0)!=0; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 21; break; } //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      var $46=HEAP32[(($holder)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$base; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($46)|0)==(($47)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($48) { __label__ = 13; break; } else { __label__ = 21; break; } //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $50=HEAP32[(($prop)>>2)]; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$50; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $shape=$51; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$shape; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=(($52+24)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $55=(($54)|0)!=-1; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($55) { __label__ = 14; break; } else { __label__ = 20; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $57=$shape; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=__ZNK2js5Shape16hasDefaultGetterEv($57); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 20; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      var $60=$base; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$shape; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61+24)|0); //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=__ZNK8JSObject7getSlotEj($60, $63); //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$value; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$64; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($65)>>2)]=HEAP32[(($66)>>2)];HEAP32[(($65+4)>>2)]=HEAP32[(($66+4)>>2)]; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=__ZNK2JS5Value8isStringEv($value); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $69=__ZNK2JS5Value8toStringEv($value); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=$2; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=__ZN8JSString12ensureLinearEP9JSContext($69, $70); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$4; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=(($72+44)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($73)>>2)]=$71; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$4; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=(($74+44)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=(($76)|0)!=0; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($77) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      $1=0; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 52; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $80=$4; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=(($80+44)|0); //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=$82; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=__ZNK8JSString6lengthEv($83); //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=$5; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($85)>>2)]=$84; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 52; break; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      __label__ = 20; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      __label__ = 21; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $89=$4; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=(($89+40)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($90)>>2)]=0; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 22; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $92=$4; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $93=(($92+36)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $lambda=$94; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=$lambda; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=(($95)|0)!=0; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($96) { __label__ = 23; break; } else { __label__ = 44; break; } //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $98=$3; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js21PreserveRegExpStaticsC1EPNS_13RegExpStaticsE($staticsGuard, $98); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99=$2; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=__ZN2js21PreserveRegExpStatics4initEP9JSContext($staticsGuard, $99); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($100) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      $1=0; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 43; break; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $103=$3; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=__ZNK2js13RegExpStatics10parenCountEv($103); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p=$104; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=$p; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=(($105+1)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=(($106+2)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $argc=$107; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=$4; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=(($108+72)|0); //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $args=$109; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=$args; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=__ZNK2js15InvokeArgsGuard6pushedEv($110); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($111) { __label__ = 28; break; } else { __label__ = 26; break; } //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $113=$2; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=(($113+60)|0); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=$2; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $116=$argc; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $117=$args; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE($114, $115, $116, $117); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($118) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      $1=0; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 43; break; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $121=$args; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=$121; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js12CallReceiver18calleeHasBeenResetEv($122); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=$args; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $124=$123; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $125=__ZNK2js12CallReceiver7calleevEv($124); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $126=$lambda; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL11ObjectValueER8JSObject3902($7, $126); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$125; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=$7; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($127)>>2)]=HEAP32[(($128)>>2)];HEAP32[(($127+4)>>2)]=HEAP32[(($128+4)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $129=$args; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $130=$129; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=__ZNK2js12CallReceiver5thisvEv($130); //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JSL14UndefinedValueEv3828($8); //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=$131; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $133=$8; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($132)>>2)]=HEAP32[(($133)>>2)];HEAP32[(($132+4)>>2)]=HEAP32[(($133+4)>>2)]; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $argi=0; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $134=$3; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $135=$2; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=$args; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=$136; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $138=$argi; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $139=(($138+1)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $argi=$139; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=__ZNK2js8CallArgsixEj($137, $138); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=__ZNK2js13RegExpStatics15createLastMatchEP9JSContextPN2JS5ValueE($134, $135, $140); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($141) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      $1=0; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 43; break; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $145=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $146=$3; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=__ZNK2js13RegExpStatics10parenCountEv($146); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=(($145)>>>0) < (($147)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($148) { __label__ = 32; break; } else { __label__ = 36; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      var $150=$3; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=$2; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=$i; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=(($152+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=$args; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $155=$154; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $156=$argi; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $157=(($156+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $argi=$157; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=__ZNK2js8CallArgsixEj($155, $156); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE($150, $151, $153, $158); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($159) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      $1=0; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 43; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      __label__ = 35; break; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $163=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $164=(($163+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $i=$164; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $166=$args; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $167=$166; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $168=$argi; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=(($168+1)|0); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $argi=$169; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $170=__ZNK2js8CallArgsixEj($167, $168); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $171=$3; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=__ZNK2js13RegExpStatics10matchStartEv($171); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value8setInt32Ei($170, $172); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=$args; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $174=$173; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $175=$argi; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $176=__ZNK2js8CallArgsixEj($174, $175); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $177=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $178=(($177)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2JS5Value9setStringEP8JSString($176, $179); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $180=$2; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $181=$args; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $182=__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE($180, $181, 0); //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($182) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      $1=0; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 43; break; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      var $185=$2; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $186=$args; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $187=$186; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $188=__ZNK2js12CallReceiver4rvalEv($187); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $189=__ZN2jsL33ValueToString_TestForStringInlineEP9JSContextRKN2JS5ValueE($185, $188); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $repstr=$189; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $190=$repstr; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $191=(($190)|0)!=0; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($191) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      $1=0; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 43; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      var $194=$repstr; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $195=$2; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $196=__ZN8JSString12ensureLinearEP9JSContext($194, $195); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $197=$4; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $198=(($197+44)|0); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($198)>>2)]=$196; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $199=$4; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $200=(($199+44)|0); //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $202=(($201)|0)!=0; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($202) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      $1=0; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 43; break; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      var $205=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $206=(($205+44)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $208=$207; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $209=__ZNK8JSString6lengthEv($208); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $210=$5; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($210)>>2)]=$209; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $6=1;
      __label__ = 43; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      __ZN2js21PreserveRegExpStaticsD1Ev($staticsGuard); //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 52; break;
    case 44: 
      var $213=$4; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $214=(($213+44)|0); //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $216=$215; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $repstr1=$216; //@line 1802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $217=$repstr1; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $218=__ZNK8JSString6lengthEv($217); //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $replen=$218; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $219=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $220=(($219+48)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $221=HEAP32[(($220)>>2)]; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dp=$221; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $222=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $223=(($222+52)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $224=HEAP32[(($223)>>2)]; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ep=$224; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 45; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 45: 
      var $226=$dp; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $227=(($226)|0)!=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($227) { __label__ = 46; break; } else { __label__ = 51; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 46: 
      var $229=$2; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $230=$3; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $231=$dp; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $232=$ep; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $233=$4; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $234=__ZL15InterpretDollarP9JSContextPN2js13RegExpStaticsEPKtS5_R11ReplaceDataP11JSSubStringPj($229, $230, $231, $232, $233, $sub, $skip); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($234) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 47: 
      var $236=(($sub)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $237=HEAP32[(($236)>>2)]; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $238=HEAP32[(($skip)>>2)]; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $239=(($237-$238)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $240=$replen; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $241=(($240+$239)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $replen=$241; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $242=HEAP32[(($skip)>>2)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $243=$dp; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $244=(($243+($242<<1))|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dp=$244; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 48: 
      var $246=$dp; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $247=(($246+2)|0); //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dp=$247; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 49; break;
    case 49: 
      __label__ = 50; break; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 50: 
      var $250=$dp; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $251=$ep; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $252=__Z15js_strchr_limitPKttS0_($250, 36, $251); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dp=$252; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 45; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 51: 
      var $254=$replen; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $255=$5; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($255)>>2)]=$254; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 52; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 52: 
      var $257=$1; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $257; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17FindReplaceLengthP9JSContextPN2js13RegExpStaticsER11ReplaceDataPj["X"]=1;

function __ZL9DoReplaceP9JSContextPN2js13RegExpStaticsER11ReplaceData($cx, $res, $rdata) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $repstr;
      var $cp;
      var $bp;
      var $dp;
      var $ep;
      var $len;
      var $sub=__stackBase__;
      var $skip=__stackBase__+8;
      $1=$cx;
      $2=$res;
      $3=$rdata;
      var $4=$3; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $5=(($4+44)|0); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $repstr=$6; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $7=$repstr; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $8=__ZNK14JSLinearString5charsEv($7); //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cp=$8; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $bp=$8; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $9=$3; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9+48)|0); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dp=$11; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=$3; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $13=(($12+52)|0); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ep=$14; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $16=$dp; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($16)|0)!=0; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $19=$dp; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=$cp; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$19; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=$20; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=(($21-$22)|0); //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(((($23)|0)/2)&-1); //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $len=$24; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$3; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=(($25+96)|0); //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$cp; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=$len; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js12StringBuffer16infallibleAppendEPKtj($26, $27, $28); //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=$dp; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cp=$29; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $30=$1; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $31=$2; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$dp; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=$ep; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$3; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=__ZL15InterpretDollarP9JSContextPN2js13RegExpStaticsEPKtS5_R11ReplaceDataP11JSSubStringPj($30, $31, $32, $33, $34, $sub, $skip); //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $37=(($sub)|0); //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $len=$38; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=$3; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=(($39+96)|0); //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($sub+4)|0); //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=$len; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js12StringBuffer16infallibleAppendEPKtj($40, $42, $43); //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=HEAP32[(($skip)>>2)]; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=$cp; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45+($44<<1))|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cp=$46; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=HEAP32[(($skip)>>2)]; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=$dp; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48+($47<<1))|0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dp=$49; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      var $51=$dp; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=(($51+2)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dp=$52; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $55=$dp; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $56=$ep; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=__Z15js_strchr_limitPKttS0_($55, 36, $56); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dp=$57; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 2; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $59=$3; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $60=(($59+96)|0); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=$cp; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=$repstr; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $63=$62; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=__ZNK8JSString6lengthEv($63); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=$cp; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$bp; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$65; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$66; //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($67-$68)|0); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(((($69)|0)/2)&-1); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=(($64-$70)|0); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=__ZN2js12StringBuffer6appendEPKtj($60, $61, $71); //@line 1849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9DoReplaceP9JSContextPN2js13RegExpStaticsER11ReplaceData["X"]=1;

function __ZL15InterpretDollarP9JSContextPN2js13RegExpStaticsEPKtS5_R11ReplaceDataP11JSSubStringPj($cx, $res, $dp, $ep, $rdata, $out, $skip) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $dc;
      var $num;
      var $cp;
      var $tmp;
      $2=$cx;
      $3=$res;
      $4=$dp;
      $5=$ep;
      $6=$rdata;
      $7=$out;
      $8=$skip;
      var $9=$4; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9+2)|0); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $11=$5; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $12=(($10)>>>0) >= (($11)>>>0); //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      $1=0; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $15=$4; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=(($15+2)|0); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=HEAP16[(($16)>>1)]; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dc=$17; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $18=$dc; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $19=(($18)&65535); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $20=(($19-48)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=(($20)>>>0) <= 9; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 14; break; } //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $23=$dc; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=(($23)&65535); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=(($24-48)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $num=$25; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$num; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=$3; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $28=__ZNK2js13RegExpStatics10parenCountEv($27); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $29=(($26)>>>0) > (($28)>>>0); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      $1=0; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      var $32=$4; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $33=(($32+4)|0); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cp=$33; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $34=$cp; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=$5; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($34)>>>0) < (($35)>>>0); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      var $38=$cp; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=HEAP16[(($38)>>1)]; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $dc=$39; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $40=$dc; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $41=(($40)&65535); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=(($41-48)|0); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=(($42)>>>0) <= 9; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $45=$num; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $46=(($45*10)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $47=$dc; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $48=(($47)&65535); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=(($48-48)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=(($46+$49)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $tmp=$50; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$tmp; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=$3; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=__ZNK2js13RegExpStatics10parenCountEv($52); //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $54=(($51)>>>0) <= (($53)>>>0); //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($54) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $56=$cp; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $57=(($56+2)|0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $cp=$57; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $58=$tmp; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $num=$58; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 10; break; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      __label__ = 11; break; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $61=$num; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $62=(($61)|0)==0; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $1=0; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $65=$cp; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $66=$4; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $67=$65; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=$66; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=(($67-$68)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=(((($69)|0)/2)&-1); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$8; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($71)>>2)]=$70; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$3; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=$num; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$7; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js13RegExpStatics8getParenEjP11JSSubString($72, $73, $74); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $76=$8; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($76)>>2)]=2; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$dc; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=(($77)&65535); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ((($78)|0) == 36) {
        __label__ = 15; break;
      }
      else if ((($78)|0) == 38) {
        __label__ = 16; break;
      }
      else if ((($78)|0) == 43) {
        __label__ = 17; break;
      }
      else if ((($78)|0) == 96) {
        __label__ = 18; break;
      }
      else if ((($78)|0) == 39) {
        __label__ = 19; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 15: 
      var $80=$4; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $81=$6; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $82=(($81+60)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=(($82+4)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($83)>>2)]=$80; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=$6; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=(($84+60)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $86=(($85)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($86)>>2)]=1; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $87=$7; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=$6; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=(($88+60)|0); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=$87; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=$89; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($90)>>2)]=HEAP32[(($91)>>2)];HEAP32[(($90+4)>>2)]=HEAP32[(($91+4)>>2)]; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      var $93=$3; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $94=$7; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js13RegExpStatics12getLastMatchEP11JSSubString($93, $94); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      var $96=$3; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=$7; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js13RegExpStatics12getLastParenEP11JSSubString($96, $97); //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      var $99=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js13RegExpStatics14getLeftContextEP11JSSubString($99, $100); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 19: 
      var $102=$3; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=$7; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZNK2js13RegExpStatics15getRightContextEP11JSSubString($102, $103); //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      $1=0; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 21; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $106=$1; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      ;
      return $106; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15InterpretDollarP9JSContextPN2js13RegExpStaticsEPKtS5_R11ReplaceDataP11JSSubStringPj["X"]=1;

function __ZNK2js13RegExpStatics12getLastParenEP11JSSubString($this, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $pc;
      $1=$this;
      $2=$out;
      var $3=$1;
      var $4=__ZNK2js13RegExpStatics9pairCountEv($3); //@line 731 "./jsregexpinlines.h"
      $pc=$4; //@line 731 "./jsregexpinlines.h"
      var $5=$pc; //@line 733 "./jsregexpinlines.h"
      var $6=(($5)>>>0) <= 1; //@line 733 "./jsregexpinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 733 "./jsregexpinlines.h"
    case 2: 
      var $8=$2; //@line 734 "./jsregexpinlines.h"
      var $9=$8; //@line 734 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[((_js_EmptySubString)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[((_js_EmptySubString+4)>>2)]; //@line 734 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 735 "./jsregexpinlines.h"
    case 3: 
      var $11=$pc; //@line 737 "./jsregexpinlines.h"
      var $12=(($11-1)|0); //@line 737 "./jsregexpinlines.h"
      var $13=$2; //@line 737 "./jsregexpinlines.h"
      __ZNK2js13RegExpStatics8getParenEjP11JSSubString($3, $12, $13); //@line 737 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 738 "./jsregexpinlines.h"
    case 4: 
      ;
      return; //@line 738 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js13RegExpStatics14getLeftContextEP11JSSubString($this, $out) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$out;
      var $3=$1;
      var $4=__ZNK2js13RegExpStatics9pairCountEv($3); //@line 743 "./jsregexpinlines.h"
      var $5=(($4)|0)!=0; //@line 743 "./jsregexpinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 743 "./jsregexpinlines.h"
    case 2: 
      var $7=$2; //@line 744 "./jsregexpinlines.h"
      var $8=$7; //@line 744 "./jsregexpinlines.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_js_EmptySubString)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_js_EmptySubString+4)>>2)]; //@line 744 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 745 "./jsregexpinlines.h"
    case 3: 
      var $10=(($3+92)|0); //@line 747 "./jsregexpinlines.h"
      var $11=HEAP32[(($10)>>2)]; //@line 747 "./jsregexpinlines.h"
      var $12=__ZNK14JSLinearString5charsEv($11); //@line 747 "./jsregexpinlines.h"
      var $13=$2; //@line 747 "./jsregexpinlines.h"
      var $14=(($13+4)|0); //@line 747 "./jsregexpinlines.h"
      HEAP32[(($14)>>2)]=$12; //@line 747 "./jsregexpinlines.h"
      var $15=__ZNK2js13RegExpStatics3getEjb($3, 0, 0); //@line 748 "./jsregexpinlines.h"
      var $16=$2; //@line 748 "./jsregexpinlines.h"
      var $17=(($16)|0); //@line 748 "./jsregexpinlines.h"
      HEAP32[(($17)>>2)]=$15; //@line 748 "./jsregexpinlines.h"
      __label__ = 4; break; //@line 749 "./jsregexpinlines.h"
    case 4: 
      ;
      return; //@line 749 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21PreserveRegExpStaticsC1EPNS_13RegExpStaticsE($this, $original) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$original;
  var $3=$1;
  var $4=$2; //@line 310 "./jsregexp.h"
  __ZN2js21PreserveRegExpStaticsC2EPNS_13RegExpStaticsE($3, $4); //@line 310 "./jsregexp.h"
  ;
  return; //@line 310 "./jsregexp.h"
}


function __ZN2js21PreserveRegExpStatics4initEP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3)|0); //@line 313 "./jsregexp.h"
  var $5=HEAP32[(($4)>>2)]; //@line 313 "./jsregexp.h"
  var $6=$2; //@line 313 "./jsregexp.h"
  var $7=(($3+4)|0); //@line 313 "./jsregexp.h"
  var $8=__ZN2js13RegExpStatics4saveEP9JSContextPS0_($5, $6, $7); //@line 313 "./jsregexp.h"
  ;
  return $8; //@line 313 "./jsregexp.h"
}


function __ZN2jsL33ValueToString_TestForStringInlineEP9JSContextRKN2JS5ValueE($cx, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 159 "./jsstr.h"
      var $5=__ZNK2JS5Value8isStringEv($4); //@line 159 "./jsstr.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 159 "./jsstr.h"
    case 2: 
      var $7=$3; //@line 160 "./jsstr.h"
      var $8=__ZNK2JS5Value8toStringEv($7); //@line 160 "./jsstr.h"
      $1=$8; //@line 160 "./jsstr.h"
      __label__ = 4; break; //@line 160 "./jsstr.h"
    case 3: 
      var $10=$2; //@line 161 "./jsstr.h"
      var $11=$3; //@line 161 "./jsstr.h"
      var $12=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($10, $11); //@line 161 "./jsstr.h"
      $1=$12; //@line 161 "./jsstr.h"
      __label__ = 4; break; //@line 161 "./jsstr.h"
    case 4: 
      var $14=$1; //@line 162 "./jsstr.h"
      ;
      return $14; //@line 162 "./jsstr.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21PreserveRegExpStaticsD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js21PreserveRegExpStaticsD2Ev($2); //@line 316 "./jsregexp.h"
  ;
  return; //@line 318 "./jsregexp.h"
}


function __ZN2js21PreserveRegExpStaticsD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 317 "./jsregexp.h"
  var $4=HEAP32[(($3)>>2)]; //@line 317 "./jsregexp.h"
  __ZN2js13RegExpStatics7restoreEv($4); //@line 317 "./jsregexp.h"
  var $5=(($2+4)|0); //@line 318 "./jsregexp.h"
  __ZN2js13RegExpStaticsD1Ev($5); //@line 318 "./jsregexp.h"
  ;
  return; //@line 318 "./jsregexp.h"
}


function __ZN2js13RegExpStatics7restoreEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+104)|0); //@line 99 "./jsregexp.h"
      var $4=HEAP32[(($3)>>2)]; //@line 99 "./jsregexp.h"
      var $5=(($4+108)|0); //@line 99 "./jsregexp.h"
      var $6=HEAP8[($5)]; //@line 99 "./jsregexp.h"
      var $7=(($6) & 1); //@line 99 "./jsregexp.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 99 "./jsregexp.h"
    case 2: 
      var $9=(($2+104)|0); //@line 100 "./jsregexp.h"
      var $10=HEAP32[(($9)>>2)]; //@line 100 "./jsregexp.h"
      __ZN2js13RegExpStatics6copyToERS0_($10, $2); //@line 100 "./jsregexp.h"
      __label__ = 3; break; //@line 100 "./jsregexp.h"
    case 3: 
      var $12=(($2+104)|0); //@line 101 "./jsregexp.h"
      var $13=HEAP32[(($12)>>2)]; //@line 101 "./jsregexp.h"
      var $14=(($13+104)|0); //@line 101 "./jsregexp.h"
      var $15=HEAP32[(($14)>>2)]; //@line 101 "./jsregexp.h"
      var $16=(($2+104)|0); //@line 101 "./jsregexp.h"
      HEAP32[(($16)>>2)]=$15; //@line 101 "./jsregexp.h"
      ;
      return; //@line 102 "./jsregexp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "./jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 347 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "./jsvector.h"
  ;
  return $4; //@line 347 "./jsvector.h"
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 352 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "./jsvector.h"
  var $5=(($2+4)|0); //@line 352 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "./jsvector.h"
  ;
  return $7; //@line 352 "./jsvector.h"
}


function __ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "./jsvector.h"
  ;
  return $4; //@line 286 "./jsvector.h"
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 290 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "./jsvector.h"
  var $5=(($2+4)|0); //@line 290 "./jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "./jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "./jsvector.h"
  ;
  return $7; //@line 290 "./jsvector.h"
}


function __ZN2js13RegExpStatics4saveEP9JSContextPS0_($this, $cx, $buffer) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$cx;
      $4=$buffer;
      var $5=$2;
      var $6=(($5+104)|0); //@line 89 "./jsregexp.h"
      var $7=HEAP32[(($6)>>2)]; //@line 89 "./jsregexp.h"
      var $8=$4; //@line 89 "./jsregexp.h"
      var $9=(($8+104)|0); //@line 89 "./jsregexp.h"
      HEAP32[(($9)>>2)]=$7; //@line 89 "./jsregexp.h"
      var $10=$4; //@line 90 "./jsregexp.h"
      var $11=(($5+104)|0); //@line 90 "./jsregexp.h"
      HEAP32[(($11)>>2)]=$10; //@line 90 "./jsregexp.h"
      var $12=$4; //@line 91 "./jsregexp.h"
      var $13=(($12)|0); //@line 91 "./jsregexp.h"
      var $14=(($5)|0); //@line 91 "./jsregexp.h"
      var $15=__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE6lengthEv($14); //@line 91 "./jsregexp.h"
      var $16=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE7reserveEj($13, $15); //@line 91 "./jsregexp.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 91 "./jsregexp.h"
    case 2: 
      var $18=$3; //@line 92 "./jsregexp.h"
      __Z20js_ReportOutOfMemoryP9JSContext($18); //@line 92 "./jsregexp.h"
      $1=0; //@line 93 "./jsregexp.h"
      __label__ = 4; break; //@line 93 "./jsregexp.h"
    case 3: 
      $1=1; //@line 95 "./jsregexp.h"
      __label__ = 4; break; //@line 95 "./jsregexp.h"
    case 4: 
      var $21=$1; //@line 96 "./jsregexp.h"
      ;
      return $21; //@line 96 "./jsregexp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE7reserveEj($this, $request) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$request;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 645 "./jsvector.h"
      var $6=$3; //@line 646 "./jsvector.h"
      var $7=(($5+8)|0); //@line 646 "./jsvector.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 646 "./jsvector.h"
      var $9=(($6)>>>0) > (($8)>>>0); //@line 646 "./jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 646 "./jsvector.h"
    case 2: 
      var $11=$3; //@line 646 "./jsvector.h"
      var $12=(($5+4)|0); //@line 646 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 646 "./jsvector.h"
      var $14=(($11-$13)|0); //@line 646 "./jsvector.h"
      var $15=__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE13growStorageByEj($5, $14); //@line 646 "./jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 646 "./jsvector.h"
    case 3: 
      $1=0; //@line 647 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 647 "./jsvector.h"
    case 4: 
      $1=1; //@line 655 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 655 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 656 "./jsvector.h"
      var $19=$1; //@line 656 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $19; //@line 656 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js21PreserveRegExpStaticsC2EPNS_13RegExpStaticsE($this, $original) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$original;
  var $4=$1;
  var $5=(($4)|0); //@line 310 "./jsregexp.h"
  var $6=$2; //@line 310 "./jsregexp.h"
  HEAP32[(($5)>>2)]=$6; //@line 310 "./jsregexp.h"
  var $7=(($4+4)|0); //@line 310 "./jsregexp.h"
  __ZN2js13RegExpStaticsC1ENS0_10InitBufferE($7, $3); //@line 310 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 310 "./jsregexp.h"
}


function __ZN2js13RegExpStaticsC1ENS0_10InitBufferE($this, $0) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($0)]=HEAP8[(tempParam)];
  var __label__;

  var $2;
  $2=$this;
  var $3=$2;
  __ZN2js13RegExpStaticsC2ENS0_10InitBufferE($3, $0); //@line 161 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 161 "./jsregexp.h"
}


function __ZN2js13RegExpStaticsC2ENS0_10InitBufferE($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($0)]=HEAP8[(tempParam)];
  var __label__;

  var $2;
  var $3=__stackBase__;
  $2=$this;
  var $4=$2;
  var $5=(($4)|0); //@line 161 "./jsregexp.h"
  __ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEC1ES1_($5, $3); //@line 161 "./jsregexp.h"
  var $6=(($4+104)|0); //@line 161 "./jsregexp.h"
  HEAP32[(($6)>>2)]=0; //@line 161 "./jsregexp.h"
  var $7=(($4+108)|0); //@line 161 "./jsregexp.h"
  HEAP8[($7)]=0; //@line 161 "./jsregexp.h"
  STACKTOP = __stackBase__;
  return; //@line 161 "./jsregexp.h"
}


function __ZN2js6RegExp12hasMetaCharsEPKtj($chars, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $2=$chars;
      $3=$length;
      $i=0; //@line 579 "./jsregexpinlines.h"
      __label__ = 2; break; //@line 579 "./jsregexpinlines.h"
    case 2: 
      var $5=$i; //@line 579 "./jsregexpinlines.h"
      var $6=$3; //@line 579 "./jsregexpinlines.h"
      var $7=(($5)>>>0) < (($6)>>>0); //@line 579 "./jsregexpinlines.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 579 "./jsregexpinlines.h"
    case 3: 
      var $9=$i; //@line 580 "./jsregexpinlines.h"
      var $10=$2; //@line 580 "./jsregexpinlines.h"
      var $11=(($10+($9<<1))|0); //@line 580 "./jsregexpinlines.h"
      var $12=HEAP16[(($11)>>1)]; //@line 580 "./jsregexpinlines.h"
      var $13=__ZN2js6RegExp10isMetaCharEt($12); //@line 580 "./jsregexpinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 580 "./jsregexpinlines.h"
    case 4: 
      $1=1; //@line 581 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 581 "./jsregexpinlines.h"
    case 5: 
      __label__ = 6; break; //@line 582 "./jsregexpinlines.h"
    case 6: 
      var $17=$i; //@line 579 "./jsregexpinlines.h"
      var $18=(($17+1)|0); //@line 579 "./jsregexpinlines.h"
      $i=$18; //@line 579 "./jsregexpinlines.h"
      __label__ = 2; break; //@line 579 "./jsregexpinlines.h"
    case 7: 
      $1=0; //@line 583 "./jsregexpinlines.h"
      __label__ = 8; break; //@line 583 "./jsregexpinlines.h"
    case 8: 
      var $21=$1; //@line 584 "./jsregexpinlines.h"
      ;
      return $21; //@line 584 "./jsregexpinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9RopeMatchP9JSContextP8JSStringPKtjPi($cx, $textstr, $pat, $patlen, $match) {
  var __stackBase__  = STACKTOP; STACKTOP += 228; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $strs=__stackBase__;
      var $7=__stackBase__+76;
      var $textstrlen;
      var $threshold;
      var $r=__stackBase__+80;
      var $8;
      var $chars;
      var $pos;
      var $outerp;
      var $outer;
      var $chars1;
      var $len;
      var $matchResult;
      var $innerp;
      var $text;
      var $textend;
      var $p0;
      var $p1;
      var $patend;
      var $t;
      var $ttend;
      var $pp;
      var $tt;
      var $inner;
      $2=$cx;
      $3=$textstr;
      $4=$pat;
      $5=$patlen;
      $6=$match;
      var $9=$5; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $10=(($9)|0)==0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 2: 
      var $12=$6; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($12)>>2)]=0; //@line 961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 3: 
      var $14=$3; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $15=__ZNK8JSString6lengthEv($14); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $16=$5; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $17=(($15)>>>0) < (($16)>>>0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 4: 
      var $19=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($19)>>2)]=-1; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 5: 
      __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEC1ES3_($strs, $7); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $21=$3; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $22=__ZNK8JSString6lengthEv($21); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textstrlen=$22; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $23=$textstrlen; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $24=$23 >>> 5; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $threshold=$24; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $25=$2; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __ZN2js18StringSegmentRangeC1EP9JSContext($r, $25); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $26=$3; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $27=__ZN2js18StringSegmentRange4initEP8JSString($r, $26); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 6: 
      $1=0; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 18; break; //@line 987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 7: 
      __label__ = 8; break; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 8: 
      var $31=__ZNK2js18StringSegmentRange5emptyEv($r); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $32=$31 ^ 1; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 17; break; } //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 9: 
      var $34=$threshold; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $35=(($34-1)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $threshold=$35; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $36=(($34)|0)==0; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 10: 
      var $38=__ZNK2js18StringSegmentRange5frontEv($r); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $39=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($strs, $38); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($39) { __label__ = 14; break; } else { __label__ = 11; break; } //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 11: 
      var $41=$3; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $42=$2; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $43=__ZN8JSString8getCharsEP9JSContext($41, $42); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars=$43; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $44=$chars; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $45=(($44)|0)!=0; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 12: 
      $1=0; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 18; break; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 13: 
      var $48=$chars; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $49=$textstrlen; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $50=$4; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $51=$5; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $52=__ZL11StringMatchPKtjS0_j($48, $49, $50, $51); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $53=$6; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($53)>>2)]=$52; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 18; break; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 14: 
      var $55=__ZN2js18StringSegmentRange8popFrontEv($r); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($55) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 15: 
      $1=0; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 18; break; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 16: 
      __label__ = 8; break; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 17: 
      $8=0; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 18; break; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 18: 
      __ZN2js18StringSegmentRangeD1Ev($r); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 19; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 19: 
      $pos=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $61=__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE5beginEv($strs); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $outerp=$61; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 20: 
      var $63=$outerp; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $64=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE3endEv($strs); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $65=(($63)|0)!=(($64)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($65) { __label__ = 21; break; } else { __label__ = 45; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 21: 
      var $67=$outerp; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $outer=$68; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $69=$outer; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $70=__ZNK14JSLinearString5charsEv($69); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $chars1=$70; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $71=$outer; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $72=$71; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $73=__ZNK8JSString6lengthEv($72); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $len=$73; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $74=$chars1; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $75=$len; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $76=$4; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $77=$5; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $78=__ZL11StringMatchPKtjS0_j($74, $75, $76, $77); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $matchResult=$78; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $79=$matchResult; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $80=(($79)|0)!=-1; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($80) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 22: 
      var $82=$pos; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $83=$matchResult; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $84=(($82+$83)|0); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $85=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($85)>>2)]=$84; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 46; break; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 23: 
      var $87=$outerp; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $innerp=$87; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $88=$chars1; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $89=$5; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $90=$len; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $91=(($89)>>>0) > (($90)>>>0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($91) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 24: 
      var $99 = 0;__label__ = 26; break; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 25: 
      var $94=$len; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $95=$5; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $96=(($94-$95)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $97=(($96+1)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $99 = $97;__label__ = 26; break; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 26: 
      var $99; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $100=(($88+($99<<1))|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $text=$100; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $101=$chars1; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $102=$len; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $103=(($101+($102<<1))|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $textend=$103; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $104=$4; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $105=HEAP16[(($104)>>1)]; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p0=$105; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $106=$4; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $107=(($106+2)|0); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $p1=$107; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $108=$4; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $109=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $110=(($108+($109<<1))|0); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $patend=$110; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $111=$text; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$111; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 27; break; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 27: 
      var $113=$t; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $114=$textend; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $115=(($113)|0)!=(($114)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($115) { __label__ = 28; break; } else { __label__ = 43; break; } //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 28: 
      var $117=$t; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $118=(($117+2)|0); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $t=$118; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $119=HEAPU16[(($117)>>1)]; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $120=(($119)&65535); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $121=$p0; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $122=(($121)&65535); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $123=(($120)|0)!=(($122)|0); //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($123) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 29: 
      __label__ = 27; break; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 30: 
      var $126=$textend; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ttend=$126; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $127=$p1; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $pp=$127; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $128=$t; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $tt=$128; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 31: 
      var $130=$pp; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $131=$patend; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $132=(($130)|0)!=(($131)|0); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($132) { __label__ = 32; break; } else { __label__ = 41; break; } //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 32: 
      __label__ = 33; break; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 33: 
      var $135=$tt; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $136=$ttend; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $137=(($135)|0)==(($136)|0); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($137) { __label__ = 34; break; } else { __label__ = 37; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 34: 
      var $139=$innerp; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $140=(($139+4)|0); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $innerp=$140; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $141=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE3endEv($strs); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $142=(($140)|0)==(($141)|0); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($142) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 35: 
      var $144=$6; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($144)>>2)]=-1; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 46; break; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 36: 
      var $146=$innerp; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $inner=$147; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $148=$inner; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $149=__ZNK14JSLinearString5charsEv($148); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $tt=$149; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $150=$tt; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $151=$inner; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $152=$151; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $153=__ZNK8JSString6lengthEv($152); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $154=(($150+($153<<1))|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $ttend=$154; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 33; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 37: 
      var $156=$pp; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $157=HEAPU16[(($156)>>1)]; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $158=(($157)&65535); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $159=$tt; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $160=HEAPU16[(($159)>>1)]; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $161=(($160)&65535); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $162=(($158)|0)!=(($161)|0); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      if ($162) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 38: 
      __label__ = 42; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 39: 
      __label__ = 40; break; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 40: 
      var $166=$pp; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $167=(($166+2)|0); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $pp=$167; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $168=$tt; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $169=(($168+2)|0); //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $tt=$169; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 31; break; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 41: 
      var $171=$pos; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $172=$t; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $173=$chars1; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $174=$172; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $175=$173; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $176=(($174-$175)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $177=(((($176)|0)/2)&-1); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $178=(($171+$177)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $179=(($178-1)|0); //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $180=$6; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($180)>>2)]=$179; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 46; break; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 42: 
      __label__ = 27; break; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 43: 
      var $183=$len; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $184=$pos; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $185=(($184+$183)|0); //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $pos=$185; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 44; break; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 44: 
      var $187=$outerp; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      var $188=(($187+4)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $outerp=$188; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 20; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 45: 
      var $190=$6; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      HEAP32[(($190)>>2)]=-1; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $1=1; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      $8=1;
      __label__ = 46; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    case 46: 
      __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEED1Ev($strs); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      __label__ = 47; break;
    case 47: 
      var $193=$1; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
      STACKTOP = __stackBase__;
      return $193; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9RopeMatchP9JSContextP8JSStringPKtjPi["X"]=1;

function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEC1ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEC2ES3_($2, $ap); //@line 493 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE6appendIS2_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$t;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 757 "./jsvector.h"
      var $6=(($5+4)|0); //@line 758 "./jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "./jsvector.h"
      var $8=(($5+8)|0); //@line 758 "./jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "./jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "./jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "./jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "./jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "./jsvector.h"
    case 3: 
      $1=0; //@line 759 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 759 "./jsvector.h"
    case 4: 
      var $15=$3; //@line 765 "./jsvector.h"
      __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_($5, $15); //@line 765 "./jsvector.h"
      $1=1; //@line 766 "./jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 766 "./jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "./jsvector.h"
      var $17=$1; //@line 767 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $17; //@line 767 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEED2Ev($2); //@line 544 "./jsvector.h"
  ;
  return; //@line 549 "./jsvector.h"
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 545 "./jsvector.h"
      var $3=__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 546 "./jsvector.h"
      var $4=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 546 "./jsvector.h"
      __ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($3, $4); //@line 546 "./jsvector.h"
      var $5=__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "./jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "./jsvector.h"
      var $8=__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 548 "./jsvector.h"
      var $9=$8; //@line 548 "./jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($7, $9); //@line 548 "./jsvector.h"
      __label__ = 3; break; //@line 548 "./jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "./jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 282 "./jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "./jsvector.h"
  var $5=(($2+12)|0); //@line 282 "./jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj64EE4addrEv($5); //@line 282 "./jsvector.h"
  var $7=$6; //@line 282 "./jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "./jsvector.h"
  ;
  return $8; //@line 282 "./jsvector.h"
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "./jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "./jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "./jsvector.h"
      var $7=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "./jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "./jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "./jsvector.h"
      var $10=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "./jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "./jsvector.h"
    case 4: 
      var $12; //@line 638 "./jsvector.h"
      ;
      return $12; //@line 638 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 776 "./jsvector.h"
      var $5=$4; //@line 776 "./jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "./jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "./jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "./jsvector.h"
      var $9=$2; //@line 776 "./jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "./jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "./jsvector.h"
    case 3: 
      var $11; //@line 776 "./jsvector.h"
      var $12=(($3+4)|0); //@line 777 "./jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "./jsvector.h"
      var $14=(($13+1)|0); //@line 777 "./jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "./jsvector.h"
      ;
      return; //@line 778 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+4)|0); //@line 612 "./jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "./jsvector.h"
      var $7=$3; //@line 612 "./jsvector.h"
      var $8=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "./jsvector.h"
    case 2: 
      $1=0; //@line 613 "./jsvector.h"
      __label__ = 6; break; //@line 613 "./jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "./jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "./jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "./jsvector.h"
      var $14=__ZN2js17SystemAllocPolicy7malloc_Ej($11, $13); //@line 616 "./jsvector.h"
      var $15=$14; //@line 616 "./jsvector.h"
      $newBuf=$15; //@line 616 "./jsvector.h"
      var $16=$newBuf; //@line 617 "./jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "./jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "./jsvector.h"
    case 4: 
      $1=0; //@line 618 "./jsvector.h"
      __label__ = 6; break; //@line 618 "./jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "./jsvector.h"
      var $21=__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 621 "./jsvector.h"
      var $22=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 621 "./jsvector.h"
      __ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($20, $21, $22); //@line 621 "./jsvector.h"
      var $23=__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 622 "./jsvector.h"
      var $24=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 622 "./jsvector.h"
      __ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_($23, $24); //@line 622 "./jsvector.h"
      var $25=$newBuf; //@line 625 "./jsvector.h"
      var $26=(($4)|0); //@line 625 "./jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "./jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "./jsvector.h"
      var $28=(($4+8)|0); //@line 627 "./jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "./jsvector.h"
      $1=1; //@line 628 "./jsvector.h"
      __label__ = 6; break; //@line 628 "./jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "./jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 597 "./jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "./jsvector.h"
      var $6=$2; //@line 597 "./jsvector.h"
      var $7=__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "./jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "./jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "./jsvector.h"
      var $10=__ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj16ES3_EEj($3, $9); //@line 598 "./jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "./jsvector.h"
      var $8=$4; //@line 561 "./jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "./jsvector.h"
      $newMinCap=$9; //@line 561 "./jsvector.h"
      var $10=$newMinCap; //@line 567 "./jsvector.h"
      var $11=$3; //@line 567 "./jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "./jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "./jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "./jsvector.h"
      var $15=$14 & -536870912; //@line 567 "./jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "./jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "./jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($18); //@line 569 "./jsvector.h"
      $1=0; //@line 570 "./jsvector.h"
      __label__ = 7; break; //@line 570 "./jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "./jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "./jsvector.h"
      var $22=$5; //@line 574 "./jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "./jsvector.h"
      var $23=$5; //@line 580 "./jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "./jsvector.h"
      var $25=$24 & -536870912; //@line 580 "./jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "./jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "./jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "./jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($28); //@line 581 "./jsvector.h"
      $1=0; //@line 582 "./jsvector.h"
      __label__ = 7; break; //@line 582 "./jsvector.h"
    case 6: 
      $1=1; //@line 584 "./jsvector.h"
      __label__ = 7; break; //@line 584 "./jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "./jsvector.h"
      ;
      return $31; //@line 585 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj16ES3_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "./jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "./jsvector.h"
      $bytes=$5; //@line 176 "./jsvector.h"
      var $6=$2; //@line 177 "./jsvector.h"
      var $7=(($6+8)|0); //@line 177 "./jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "./jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "./jsvector.h"
      $oldBytes=$9; //@line 177 "./jsvector.h"
      var $10=$2; //@line 178 "./jsvector.h"
      var $11=$10; //@line 178 "./jsvector.h"
      var $12=$2; //@line 178 "./jsvector.h"
      var $13=(($12)|0); //@line 178 "./jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "./jsvector.h"
      var $15=$14; //@line 178 "./jsvector.h"
      var $16=$oldBytes; //@line 178 "./jsvector.h"
      var $17=$bytes; //@line 178 "./jsvector.h"
      var $18=__ZN2js17SystemAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "./jsvector.h"
      var $19=$18; //@line 178 "./jsvector.h"
      $newbuf=$19; //@line 178 "./jsvector.h"
      var $20=$newbuf; //@line 179 "./jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "./jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "./jsvector.h"
    case 2: 
      $1=0; //@line 180 "./jsvector.h"
      __label__ = 4; break; //@line 180 "./jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "./jsvector.h"
      var $25=$2; //@line 181 "./jsvector.h"
      var $26=(($25)|0); //@line 181 "./jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "./jsvector.h"
      var $27=$3; //@line 183 "./jsvector.h"
      var $28=$2; //@line 183 "./jsvector.h"
      var $29=(($28+8)|0); //@line 183 "./jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "./jsvector.h"
      $1=1; //@line 184 "./jsvector.h"
      __label__ = 4; break; //@line 184 "./jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "./jsvector.h"
      ;
      return $31; //@line 185 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBufferD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function _JSID_TO_INT3948($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _DOUBLE_TO_JSVAL_IMPL3936($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function __ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "./jsvector.h"
      $p=$4; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "./jsvector.h"
      var $7=$3; //@line 160 "./jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "./jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "./jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "./jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "./jsvector.h"
      var $12=$1; //@line 161 "./jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "./jsvector.h"
      __label__ = 4; break; //@line 161 "./jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "./jsvector.h"
      var $15=(($14+4)|0); //@line 160 "./jsvector.h"
      $p=$15; //@line 160 "./jsvector.h"
      var $16=$1; //@line 160 "./jsvector.h"
      var $17=(($16+4)|0); //@line 160 "./jsvector.h"
      $1=$17; //@line 160 "./jsvector.h"
      __label__ = 2; break; //@line 160 "./jsvector.h"
    case 5: 
      ;
      return; //@line 162 "./jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_OBJECT_IMPL3933($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL3934($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL3935($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL3937($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL3943($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL3944($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL3945($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL3946($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL3947($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZN8JSObject8setClassEPN2js5ClassE($this, $c) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$c;
  var $3=$1;
  var $4=$2; //@line 556 "./jsobj.h"
  var $5=(($3+4)|0); //@line 556 "./jsobj.h"
  HEAP32[(($5)>>2)]=$4; //@line 556 "./jsobj.h"
  ;
  return; //@line 556 "./jsobj.h"
}


function __ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "./jsvector.h"
  var $5=$2; //@line 166 "./jsvector.h"
  var $6=$3; //@line 166 "./jsvector.h"
  __ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_($4, $5, $6); //@line 166 "./jsvector.h"
  ;
  return; //@line 167 "./jsvector.h"
}


function __ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEC2ES3_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "./jsvector.h"
  var $4=(($2)|0); //@line 493 "./jsvector.h"
  var $5=(($2+12)|0); //@line 488 "./jsvector.h"
  var $6=__ZN7mozilla14AlignedStorageILj64EE4addrEv($5); //@line 488 "./jsvector.h"
  var $7=$6; //@line 488 "./jsvector.h"
  HEAP32[(($4)>>2)]=$7; //@line 488 "./jsvector.h"
  var $8=(($2+4)|0); //@line 488 "./jsvector.h"
  HEAP32[(($8)>>2)]=0; //@line 488 "./jsvector.h"
  var $9=(($2+8)|0); //@line 488 "./jsvector.h"
  HEAP32[(($9)>>2)]=16; //@line 488 "./jsvector.h"
  var $10=(($2+12)|0); //@line 488 "./jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "./jsvector.h"
}


function __ZN10RegExpPair5resetER8JSObject($this, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $re;
  var $3=__stackBase__;
  $1=$this;
  $2=$obj;
  var $4=$1;
  var $5=$2; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=(($4+8)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  HEAP32[(($6)>>2)]=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($4+8)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $9=__ZN2js6RegExp11extractFromEP8JSObject($8); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  $re=$9; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $10=(($4)|0); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $11=$re; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js11NeedsIncRefINS_6RegExpEEC1EPS1_($3, $11); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js12AutoRefCountINS_6RegExpEE5resetENS_11NeedsIncRefIS1_EE($10, $3); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  STACKTOP = __stackBase__;
  return; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN2js12AutoRefCountINS_6RegExpEE5resetENS_11NeedsIncRefIS1_EE($this, $aobj) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $aobj; $aobj = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($aobj)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 2013 "./jscntxt.h"
      var $4=HEAP32[(($3)>>2)]; //@line 2013 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 2013 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2013 "./jscntxt.h"
    case 2: 
      var $7=(($2+4)|0); //@line 2014 "./jscntxt.h"
      var $8=HEAP32[(($7)>>2)]; //@line 2014 "./jscntxt.h"
      var $9=(($2)|0); //@line 2014 "./jscntxt.h"
      var $10=HEAP32[(($9)>>2)]; //@line 2014 "./jscntxt.h"
      __ZN2js6RegExp6decrefEP9JSContext($8, $10); //@line 2014 "./jscntxt.h"
      __label__ = 3; break; //@line 2014 "./jscntxt.h"
    case 3: 
      var $12=__ZNK2js11NeedsIncRefINS_6RegExpEE3getEv($aobj); //@line 2015 "./jscntxt.h"
      var $13=(($2+4)|0); //@line 2015 "./jscntxt.h"
      HEAP32[(($13)>>2)]=$12; //@line 2015 "./jscntxt.h"
      var $14=(($2+4)|0); //@line 2016 "./jscntxt.h"
      var $15=HEAP32[(($14)>>2)]; //@line 2016 "./jscntxt.h"
      var $16=(($15)|0)!=0; //@line 2016 "./jscntxt.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2016 "./jscntxt.h"
    case 4: 
      var $18=(($2+4)|0); //@line 2017 "./jscntxt.h"
      var $19=HEAP32[(($18)>>2)]; //@line 2017 "./jscntxt.h"
      var $20=(($2)|0); //@line 2017 "./jscntxt.h"
      var $21=HEAP32[(($20)>>2)]; //@line 2017 "./jscntxt.h"
      __ZN2js6RegExp6increfEP9JSContext($19, $21); //@line 2017 "./jscntxt.h"
      __label__ = 5; break; //@line 2017 "./jscntxt.h"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 2018 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11ReplaceDataC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=(($3+4)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $5=$2; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN11RegExpGuardC1EP9JSContext($4, $5); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $6=(($3+60)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $7=(($3+72)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js15InvokeArgsGuardC1Ev($7); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $8=(($3+96)|0); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  var $9=$2; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  __ZN2js12StringBufferC1EP9JSContext($8, $9); //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
  ;
  return; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsstr.cpp"
}


function __ZN2jsL19ClassMethodIsNativeEP9JSContextP8JSObjectPNS_5ClassEiPFiS1_jPN2JS5ValueEE3938($cx, $obj, $clasp, $methodid, $native) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v=__stackBase__;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$methodid;
      $6=$native;
      var $7=$2; //@line 329 "./jsfun.h"
      var $8=$3; //@line 329 "./jsfun.h"
      var $9=$5; //@line 329 "./jsfun.h"
      var $10=__ZN2js15HasDataPropertyEP9JSContextP8JSObjectiPN2JS5ValueE($7, $8, $9, $v); //@line 329 "./jsfun.h"
      if ($10) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 329 "./jsfun.h"
    case 2: 
      var $12=$3; //@line 330 "./jsfun.h"
      var $13=__ZNK8JSObject8getProtoEv($12); //@line 330 "./jsfun.h"
      $proto=$13; //@line 330 "./jsfun.h"
      var $14=$proto; //@line 331 "./jsfun.h"
      var $15=(($14)|0)!=0; //@line 331 "./jsfun.h"
      if ($15) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 331 "./jsfun.h"
    case 3: 
      var $17=$proto; //@line 331 "./jsfun.h"
      var $18=__ZNK8JSObject8getClassEv($17); //@line 331 "./jsfun.h"
      var $19=$4; //@line 331 "./jsfun.h"
      var $20=(($18)|0)!=(($19)|0); //@line 331 "./jsfun.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 331 "./jsfun.h"
    case 4: 
      var $22=$2; //@line 331 "./jsfun.h"
      var $23=$proto; //@line 331 "./jsfun.h"
      var $24=$5; //@line 331 "./jsfun.h"
      var $25=__ZN2js15HasDataPropertyEP9JSContextP8JSObjectiPN2JS5ValueE($22, $23, $24, $v); //@line 331 "./jsfun.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 331 "./jsfun.h"
    case 5: 
      $1=0; //@line 332 "./jsfun.h"
      __label__ = 8; break; //@line 332 "./jsfun.h"
    case 6: 
      __label__ = 7; break; //@line 333 "./jsfun.h"
    case 7: 
      var $29=$6; //@line 335 "./jsfun.h"
      var $30=__ZN2jsL16IsNativeFunctionERKN2JS5ValueEPFiP9JSContextjPS1_E3939($v, $29); //@line 335 "./jsfun.h"
      $1=$30; //@line 335 "./jsfun.h"
      __label__ = 8; break; //@line 335 "./jsfun.h"
    case 8: 
      var $32=$1; //@line 336 "./jsfun.h"
      STACKTOP = __stackBase__;
      return $32; //@line 336 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsNativeFunctionERKN2JS5ValueEPFiP9JSContextjPS1_E3939($v, $native) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $fun=__stackBase__;
      $1=$v;
      $2=$native;
      var $3=$1; //@line 312 "./jsfun.h"
      var $4=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction3940($3, $fun); //@line 312 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 312 "./jsfun.h"
    case 2: 
      var $6=HEAP32[(($fun)>>2)]; //@line 312 "./jsfun.h"
      var $7=__ZNK10JSFunction11maybeNativeEv($6); //@line 312 "./jsfun.h"
      var $8=$2; //@line 312 "./jsfun.h"
      var $9=(($7)|0)==(($8)|0); //@line 312 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      STACKTOP = __stackBase__;
      return $11; //@line 313 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction3940($v, $fun) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $funobj=__stackBase__;
  $1=$v;
  $2=$fun;
  var $3=$1; //@line 292 "./jsfun.h"
  var $4=$2; //@line 292 "./jsfun.h"
  var $5=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction3941($3, $funobj, $4); //@line 292 "./jsfun.h"
  STACKTOP = __stackBase__;
  return $5; //@line 292 "./jsfun.h"
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction3941($v, $funobj, $fun) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $b;
      $1=$v;
      $2=$funobj;
      $3=$fun;
      var $4=$1; //@line 282 "./jsfun.h"
      var $5=$2; //@line 282 "./jsfun.h"
      var $6=__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject3942($4, $5); //@line 282 "./jsfun.h"
      var $7=(($6)&1); //@line 282 "./jsfun.h"
      $b=$7; //@line 282 "./jsfun.h"
      var $8=$b; //@line 283 "./jsfun.h"
      var $9=(($8) & 1); //@line 283 "./jsfun.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 283 "./jsfun.h"
    case 2: 
      var $11=$2; //@line 284 "./jsfun.h"
      var $12=HEAP32[(($11)>>2)]; //@line 284 "./jsfun.h"
      var $13=__ZNK8JSObject18getFunctionPrivateEv($12); //@line 284 "./jsfun.h"
      var $14=$3; //@line 284 "./jsfun.h"
      HEAP32[(($14)>>2)]=$13; //@line 284 "./jsfun.h"
      __label__ = 3; break; //@line 284 "./jsfun.h"
    case 3: 
      var $16=$b; //@line 285 "./jsfun.h"
      var $17=(($16) & 1); //@line 285 "./jsfun.h"
      ;
      return $17; //@line 285 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject3942($v, $funobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$v;
      $2=$funobj;
      var $3=$1; //@line 276 "./jsfun.h"
      var $4=__ZNK2JS5Value8isObjectEv($3); //@line 276 "./jsfun.h"
      if ($4) { __label__ = 2; break; } else { var $11 = 0;__label__ = 3; break; } //@line 276 "./jsfun.h"
    case 2: 
      var $6=$1; //@line 276 "./jsfun.h"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 276 "./jsfun.h"
      var $8=$2; //@line 276 "./jsfun.h"
      HEAP32[(($8)>>2)]=$7; //@line 276 "./jsfun.h"
      var $9=__ZNK8JSObject10isFunctionEv($7); //@line 276 "./jsfun.h"
      var $11 = $9;__label__ = 3; break;
    case 3: 
      var $11;
      ;
      return $11; //@line 277 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer14getArrayBufferEP8JSObject($obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$obj;
      __label__ = 2; break; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $3=$1; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=(($3)|0)!=0; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($4) { __label__ = 3; break; } else { var $11 = 0;__label__ = 4; break; } //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $6=$1; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__Z16js_IsArrayBufferP8JSObject($6); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7)|0)!=0; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$8 ^ 1; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11 = $9;__label__ = 4; break;
    case 4: 
      var $11;
      if ($11) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $13=$1; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getProtoEv($13); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$14; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 2; break; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $16=$1; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $16; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z16js_IsArrayBufferP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZNK8JSObject13isArrayBufferEv($2); //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=(($3)&1); //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $4; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer18prop_getByteLengthEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $arrayBuffer;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $6=$3; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js11ArrayBuffer14getArrayBufferEP8JSObject($6); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayBuffer=$7; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$arrayBuffer; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8)|0)!=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $11=$5; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($11, 0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$5; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$arrayBuffer; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN8JSObject21arrayBufferByteLengthEv($14); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($13, $15); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $nbytes=__stackBase__;
      var $bufobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      HEAP32[(($nbytes)>>2)]=0; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)>>>0) > 0; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9+16)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi($8, $10, $nbytes); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      $1=0; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$2; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($nbytes)>>2)]; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN2js11ArrayBuffer6createEP9JSContexti($14, $15); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$16; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$bufobj; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      $1=0; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$4; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$bufobj; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($21, $22); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $24=$1; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $24; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer6createEP9JSContexti($cx, $nbytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      $2=$cx;
      $3=$nbytes;
      var $4=$2; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($4, __ZN2js11ArrayBuffer9slowClassE); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$5; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$obj; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6)|0)!=0; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $10=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0) < 0; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$2; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($13, 2, 0, 152, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15=$obj; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($15); //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($16, __ZN2js16ArrayBufferClassE); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$obj; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$2; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$3; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN8JSObject24allocateArrayBufferSlotsEP9JSContextj($17, $18, $19); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $23=$obj; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $25=$1; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $25; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject24allocateArrayBufferSlotsEP9JSContextj($this, $cx, $size) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $bytes;
      var $tmpslots;
      $2=$this;
      $3=$cx;
      $4=$size;
      var $5=$2;
      var $6=$4; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytes=$7; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8)>>>0) > 120; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $11=$3; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$bytes; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZN9JSContext7calloc_Ej($11, $12); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tmpslots=$14; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tmpslots; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      $1=0; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$tmpslots; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($5+32)|0); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bytes; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=Math.floor((($21)>>>0)/8); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($5+28)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $25=__ZNK8JSObject10fixedSlotsEv($5); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($5+32)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($26)>>2)]=$25; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($5+32)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$28; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$bytes; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _memset($29, 0, $30, 1); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $32=$4; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($5+32)|0); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$34; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($35)>>2)]=$32; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$1; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $37; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN8JSObject24allocateArrayBufferSlotsEP9JSContextj["X"]=1;

function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb4033($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4041($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2js11ArrayBuffer9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $delegate;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$4; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$5; //@line 235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$delegate; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6)|0)!=0; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$1; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$delegate; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($9, $10, ((STRING_TABLE.__str3951)|0)); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty($cx, $obj, $id, $objp, $propp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $delegate;
      var $delegateResult;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$objp;
      $6=$propp;
      var $7=$4; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+536)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=HEAP32[((__ZL14PROPERTY_FOUND)>>2)]; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$6; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$3; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js11ArrayBuffer14getArrayBufferEP8JSObject($20); //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($22)>>2)]=$21; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$2; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZL14DelegateObjectP9JSContextP8JSObject($24, $25); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$26; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$delegate; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0)!=0; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $31=$delegate; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$2; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$5; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$6; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($31, $32, $33, $34, $35); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegateResult=$36; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$delegateResult; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $41=$6; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42)|0)!=0; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $45=$5; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$delegate; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($46)|0)==(($47)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $50=$3; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$5; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($51)>>2)]=$50; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 10; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=1; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $54=$3; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZNK8JSObject8getProtoEv($54); //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$55; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$proto; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56)|0)!=0; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($59)>>2)]=0; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$6; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($60)>>2)]=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $62=$proto; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$2; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$4; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$5; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$6; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($62, $63, $64, $65, $66); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$67; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $69=$1; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $69; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11ArrayBuffer18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty["X"]=1;

function __ZL12JSID_IS_ATOMiP6JSAtom3982($id, $atom) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$id;
  $2=$atom;
  var $3=$1; //@line 81 "./jsatom.h"
  var $4=$2; //@line 81 "./jsatom.h"
  var $5=__ZL12ATOM_TO_JSIDP6JSAtom3984($4); //@line 81 "./jsatom.h"
  var $6=(($3)|0)==(($5)|0); //@line 81 "./jsatom.h"
  var $7=(($6)&1); //@line 81 "./jsatom.h"
  ;
  return $7; //@line 81 "./jsatom.h"
}


function __ZL14DelegateObjectP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $delegate;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK8JSObject10getPrivateEv($4); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZNK8JSObject8getProtoEv($9); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4032($8, __ZN2js11ObjectClassE, $10, 0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$11; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$3; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$delegate; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($12, $14); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$delegate; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$15; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $17=$3; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZNK8JSObject10getPrivateEv($17); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$18; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $21=$1; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$sid;
  var $2=$1; //@line 147 "./jsclass.h"
  var $3=(($2)|0); //@line 147 "./jsclass.h"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "./jsclass.h"
  $id=$4; //@line 147 "./jsclass.h"
  var $5=$id; //@line 152 "./jsclass.h"
  ;
  return $5; //@line 152 "./jsclass.h"
}


function __ZN2js11ArrayBuffer17obj_lookupElementEP9JSContextP8JSObjectjPS4_PP10JSProperty($cx, $obj, $index, $objp, $propp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $delegate;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$objp;
      $6=$propp;
      var $7=$2; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZL14DelegateObjectP9JSContextP8JSObject($7, $8); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$9; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$delegate; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$delegate; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$6; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN8JSObject13lookupElementEP9JSContextjPPS_PP10JSProperty($14, $15, $16, $17, $18); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19)|0)!=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $23=$6; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $27=$5; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$delegate; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=(($28)|0)==(($29)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$5; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=1; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $36=$3; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZNK8JSObject8getProtoEv($36); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$37; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$proto; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0)!=0; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $41=$proto; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$6; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZN8JSObject13lookupElementEP9JSContextjPPS_PP10JSProperty($41, $42, $43, $44, $45); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$46; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $48=$5; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($48)>>2)]=0; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$6; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($49)>>2)]=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $51=$1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $51; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11ArrayBuffer17obj_lookupElementEP9JSContextP8JSObjectjPS4_PP10JSProperty["X"]=1;

function __ZN2js11ArrayBuffer17obj_lookupSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPS4_PP10JSProperty($cx, $obj, $sid, $objp, $propp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$objp;
  $4=$propp;
  var $5=$1; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN2js11ArrayBuffer18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty($5, $6, $7, $8, $9); //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+536)|0); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$2; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$3; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZL14DelegateObjectP9JSContextP8JSObject($21, $22); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$23; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$delegate; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $28=$2; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$delegate; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$4; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$5; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$6; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$7; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$8; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($28, $29, $30, $31, $32, $33, $34); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$35; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $37=$1; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $37; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11ArrayBuffer18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej["X"]=1;

function __ZN2js11ArrayBuffer17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$2; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL14DelegateObjectP9JSContextP8JSObject($9, $10); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$11; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$delegate; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12)|0)!=0; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$delegate; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$7; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$8; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__Z16js_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($16, $17, $18, $19, $20, $21, $22); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $25=$1; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $25; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer17obj_defineSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS7_EPFiS2_S4_iiSA_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN2js11ArrayBuffer18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js11ArrayBuffer14getArrayBufferEP8JSObject($7); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+536)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$3; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN8JSObject21arrayBufferByteLengthEv($21); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($20, $22); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$2; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZL14DelegateObjectP9JSContextP8JSObject($24, $25); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$26; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$delegate; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0)!=0; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $31=$2; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$delegate; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$5; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$6; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__Z14js_GetPropertyP9JSContextP8JSObjectS2_iPN2JS5ValueE($31, $32, $33, $34, $35); //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$36; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $38=$1; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $38; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11ArrayBuffer14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN2js11ArrayBuffer15obj_getPropertyEP9JSContextP8JSObjectS4_PNS_12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN2js11ArrayBuffer14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12ATOM_TO_JSIDP6JSAtom3984($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj4031($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2js11ArrayBuffer14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$2; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js11ArrayBuffer14getArrayBufferEP8JSObject($8); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZL14DelegateObjectP9JSContextP8JSObject($7, $9); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$10; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$delegate; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15=$2; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$delegate; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$4; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$6; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__Z13js_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE($15, $16, $17, $18, $19); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$20; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $22=$1; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $22; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer14obj_getSpecialEP9JSContextP8JSObjectS4_NS_9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN2js11ArrayBuffer14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $delegate;
      var $oldDelegateProto;
      var $delegate1;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$4; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+536)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$4; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$2; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+52)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22+209948)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($23+344)|0); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$25; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZL12JSID_IS_ATOMiP6JSAtom3982($19, $26); //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0)!=0; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$3; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZL14DelegateObjectP9JSContextP8JSObject($30, $31); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$32; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$delegate; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=(($33)|0)!=0; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      $1=0; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $37=$delegate; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZNK8JSObject8getProtoEv($37); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $oldDelegateProto=$38; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$delegate; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$6; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($39, $40, $41, 0, $42, $43); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($44)|0)!=0; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      $1=0; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $48=$delegate; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZNK8JSObject8getProtoEv($48); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$oldDelegateProto; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($49)|0)!=(($50)|0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $53=$2; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$3; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$5; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value14toObjectOrNullEv($55); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=__ZN2js8SetProtoEP9JSContextP8JSObjectS3_b($53, $54, $56, 1); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $59=$2; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$delegate; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$oldDelegateProto; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js8SetProtoEP9JSContextP8JSObjectS3_b($59, $60, $61, 1); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 12; break; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=1; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $66=$2; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=$3; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZL14DelegateObjectP9JSContextP8JSObject($66, $67); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate1=$68; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$delegate1; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      $1=0; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $73=$2; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$delegate1; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=$4; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$5; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$6; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($73, $74, $75, 0, $76, $77); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $80=$1; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $80; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11ArrayBuffer15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN2js11ArrayBuffer14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$2; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZL14DelegateObjectP9JSContextP8JSObject($7, $8); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$9; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$delegate; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$2; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$delegate; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$6; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__Z19js_SetElementHelperP9JSContextP8JSObjectjjPN2JS5ValueEi($14, $15, $16, 0, $17, $18); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $21=$1; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer14obj_setSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN2js11ArrayBuffer15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer17obj_getAttributesEP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$attrsp;
      var $6=$4; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+52)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9+209948)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+536)|0); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$12; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZL12JSID_IS_ATOMiP6JSAtom3982($6, $13); //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($14)|0)!=0; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$5; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($17)>>2)]=6; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$2; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$3; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZL14DelegateObjectP9JSContextP8JSObject($19, $20); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$21; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$delegate; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$2; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$delegate; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$5; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__Z16js_GetAttributesP9JSContextP8JSObjectiPj($26, $27, $28, $29); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$30; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $32=$1; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $32; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer24obj_getElementAttributesEP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$3; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZL14DelegateObjectP9JSContextP8JSObject($6, $7); //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$8; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$delegate; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$delegate; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$4; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__Z23js_GetElementAttributesP9JSContextP8JSObjectjPj($13, $14, $15, $16); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$17; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$1; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $19; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer24obj_getSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$2; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2js11ArrayBuffer17obj_getAttributesEP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer17obj_setAttributesEP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$attrsp;
      var $6=$4; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+52)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9+209948)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+536)|0); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$12; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZL12JSID_IS_ATOMiP6JSAtom3982($6, $13); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($14)|0)!=0; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$2; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($17, 2, 0, 225, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$2; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$3; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZL14DelegateObjectP9JSContextP8JSObject($19, $20); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$21; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$delegate; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$2; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$delegate; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$5; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__Z16js_SetAttributesP9JSContextP8JSObjectiPj($26, $27, $28, $29); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$30; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $32=$1; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $32; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer24obj_setElementAttributesEP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$3; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZL14DelegateObjectP9JSContextP8JSObject($6, $7); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$8; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$delegate; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$delegate; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$4; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__Z23js_SetElementAttributesP9JSContextP8JSObjectjPj($13, $14, $15, $16); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$17; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$1; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $19; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer24obj_setSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$2; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2js11ArrayBuffer17obj_setAttributesEP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+536)|0); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$2; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$3; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZL14DelegateObjectP9JSContextP8JSObject($20, $21); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$22; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$delegate; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($23)|0)!=0; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $27=$2; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$delegate; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$4; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$5; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$6; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($27, $28, $29, $30, $31); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$32; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $34=$1; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $34; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10TypedArray10dataOffsetEv() {
  ;
  var __label__;

  ;
  return 24; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray24obj_getElementAttributesEP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$attrsp;
  var $5=$4; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP32[(($5)>>2)]=5; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return 1; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN8JSObject18getFixedSlotOffsetEj($slot) {
  ;
  var __label__;

  var $1;
  $1=$slot;
  var $2=$1; //@line 1618 "./jsobj.h"
  var $3=((($2<<3))|0); //@line 1618 "./jsobj.h"
  var $4=(($3+40)|0); //@line 1618 "./jsobj.h"
  ;
  return $4; //@line 1618 "./jsobj.h"
}


function __Z32js_TypedArray_uint8_clamp_doubled($x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $toTruncate;
      var $y;
      $2=$x;
      var $3=$2; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$3 >= 0; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($4) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $7=$2; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$7 > 255; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=255; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $11=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$11+0.5; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $toTruncate=$12; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$toTruncate; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=($13 >= 0 ? Math.floor($13) : Math.ceil($13)); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $y=$14; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$y; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)&255); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$toTruncate; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$17 == $18; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$y; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&255); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 & -2; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$y; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)&255); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$26; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 8; break; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $28=$1; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $28; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $delegate;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$2; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZL14DelegateObjectP9JSContextP8JSObject($7, $8); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $delegate=$9; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$delegate; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$2; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$delegate; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$6; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__Z16js_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi($14, $15, $16, $17, $18); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $21=$1; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11ArrayBuffer17obj_deleteSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN2js11ArrayBuffer18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js11ArrayBuffer13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$enum_op;
  $4=$statep;
  $5=$idp;
  var $6=$4; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JS5Value7setNullEv($6); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return 1; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray13getTypedArrayEP8JSObject($obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$obj;
      __label__ = 2; break; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $3=$1; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__Z15js_IsTypedArrayP8JSObject($3); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$5 ^ 1; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $8=$1; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZNK8JSObject8getProtoEv($8); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$9; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 2; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $11=$1; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $11; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z15js_IsTypedArrayP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  var $clasp;
  $1=$obj;
  var $2=$1; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZNK8JSObject8getClassEv($2); //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $clasp=$3; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=$clasp; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN2js21IsFastTypedArrayClassEPKNS_5ClassE($4); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=(($5)&1); //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $6; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray14prop_getBufferEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$4; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN16TypedArrayGetterIXadL_Z14getBufferValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE($5, $6, $7, $8); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=(($9)&1); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $10; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN16TypedArrayGetterIXadL_Z14getBufferValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      __label__ = 2; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__Z15js_IsTypedArrayP8JSObject($8); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZN2js10TypedArray13getTypedArrayEP8JSObject($12); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$13; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$tarray; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($14)|0)!=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$5; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$tarray; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __Z14getBufferValueP8JSObject($6, $18); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$17; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      $1=1; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      __label__ = 7; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $24=$3; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZNK8JSObject8getProtoEv($24); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$25; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0)!=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=1; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $29=$1; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10TypedArray18prop_getByteOffsetEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$4; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN16TypedArrayGetterIXadL_Z18getByteOffsetValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE($5, $6, $7, $8); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=(($9)&1); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $10; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN16TypedArrayGetterIXadL_Z18getByteOffsetValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      __label__ = 2; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__Z15js_IsTypedArrayP8JSObject($8); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZN2js10TypedArray13getTypedArrayEP8JSObject($12); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$13; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$tarray; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($14)|0)!=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$5; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$tarray; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __Z18getByteOffsetValueP8JSObject($6, $18); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$17; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      $1=1; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      __label__ = 7; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $24=$3; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZNK8JSObject8getProtoEv($24); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$25; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0)!=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=1; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $29=$1; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10TypedArray18prop_getByteLengthEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$4; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN16TypedArrayGetterIXadL_Z18getByteLengthValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE($5, $6, $7, $8); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=(($9)&1); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $10; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN16TypedArrayGetterIXadL_Z18getByteLengthValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      __label__ = 2; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__Z15js_IsTypedArrayP8JSObject($8); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZN2js10TypedArray13getTypedArrayEP8JSObject($12); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$13; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$tarray; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($14)|0)!=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$5; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$tarray; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __Z18getByteLengthValueP8JSObject($6, $18); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$17; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      $1=1; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      __label__ = 7; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $24=$3; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZNK8JSObject8getProtoEv($24); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$25; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0)!=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=1; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $29=$1; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10TypedArray14prop_getLengthEP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  var $5=$1; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$4; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN16TypedArrayGetterIXadL_Z14getLengthValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE($5, $6, $7, $8); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=(($9)&1); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $10; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN16TypedArrayGetterIXadL_Z14getLengthValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      __label__ = 2; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__Z15js_IsTypedArrayP8JSObject($8); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZN2js10TypedArray13getTypedArrayEP8JSObject($12); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$13; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$tarray; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($14)|0)!=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$5; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$tarray; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __Z14getLengthValueP8JSObject($6, $18); //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$17; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      $1=1; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      __label__ = 7; break; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $24=$3; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZNK8JSObject8getProtoEv($24); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$25; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0)!=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=1; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $29=$1; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10TypedArray18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty($cx, $obj, $id, $objp, $propp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$objp;
      $6=$propp;
      var $7=$3; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$2; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($9, $10, $11, 0); //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=HEAP32[((__ZL14PROPERTY_FOUND)>>2)]; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$6; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$3; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$5; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($24)>>2)]=0; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$6; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($25)>>2)]=0; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $27=$proto; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$2; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$4; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$5; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$6; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($27, $28, $29, $30, $31); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$32; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $34=$1; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $34; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10TypedArray18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty["X"]=1;

function __ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($cx, $obj, $id, $ip) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$ip;
      var $6=$4; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__Z12js_IdIsIndexiPj($6, $index); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7)|0)!=0; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=HEAPU32[(($index)>>2)]; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$3; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray9getLengthEP8JSObject($11); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($10)>>>0) < (($12)>>>0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15=$5; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=HEAP32[(($index)>>2)]; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      $1=1; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $23=$1; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10TypedArray17obj_lookupElementEP9JSContextP8JSObjectjPS4_PP10JSProperty($cx, $obj, $index, $objp, $propp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$objp;
      $6=$propp;
      var $7=$3; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=HEAP32[((__ZL14PROPERTY_FOUND)>>2)]; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$6; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$3; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$proto; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$6; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN8JSObject13lookupElementEP9JSContextjPPS_PP10JSProperty($24, $25, $26, $27, $28); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$29; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $31=$5; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($31)>>2)]=0; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$6; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($32)>>2)]=0; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $34=$1; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $34; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10TypedArray17obj_lookupElementEP9JSContextP8JSObjectjPS4_PP10JSProperty["X"]=1;

function __ZN2js10TypedArray17obj_lookupSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPS4_PP10JSProperty($cx, $obj, $sid, $objp, $propp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$objp;
  $4=$propp;
  var $5=$1; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN2js10TypedArray18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty($5, $6, $7, $8, $9); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray17obj_getAttributesEP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$attrsp;
  var $5=$3; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$1; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($6+52)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($8+209948)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=(($9+308)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$11; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZL12JSID_IS_ATOMiP6JSAtom3982($5, $12); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($13)|0)!=0; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$14 ? 6 : 5; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$4; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP32[(($16)>>2)]=$15; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return 1; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray24obj_getSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$2; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2js10TypedArray17obj_getAttributesEP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray17obj_setAttributesEP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$attrsp;
  var $5=$1; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  _JS_ReportErrorNumber($5, 2, 0, 225, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray24obj_setElementAttributesEP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$attrsp;
  var $5=$1; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  _JS_ReportErrorNumber($5, 2, 0, 225, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray24obj_setSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$2; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2js10TypedArray17obj_setAttributesEP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray12lengthOffsetEv() {
  ;
  var __label__;

  var $1=__ZN8JSObject18getFixedSlotOffsetEj(0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=(($1)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $val;
  $1=$cx;
  $2=$tarray;
  $3=$index;
  $4=$vp;
  var $5=$2; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$3; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN18TypedArrayTemplateIiE8getIndexEP8JSObjectj($5, $6); //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $val=$7; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$4; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$val; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JS5Value8setInt32Ei($8, $9); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE8getIndexEP8JSObjectj($obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($5+($6<<2))|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $8; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $val;
  $1=$cx;
  $2=$tarray;
  $3=$index;
  $4=$vp;
  var $5=$2; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$3; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN18TypedArrayTemplateIjE8getIndexEP8JSObjectj($5, $6); //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $val=$7; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$4; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$val; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN2JS5Value9setNumberEj($8, $9); //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE8getIndexEP8JSObjectj($obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($5+($6<<2))|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $8; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $val;
      var $dval;
      $1=$cx;
      $2=$tarray;
      $3=$index;
      $4=$vp;
      var $5=$2; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN18TypedArrayTemplateIfE8getIndexEP8JSObjectj($5, $6); //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $val=$7; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$val; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$8; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dval=$9; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$dval; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL15JSDOUBLE_IS_NaNd3989($10); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dval=$14; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$4; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$dval; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setDoubleEd($16, $17); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15JSDOUBLE_IS_NaNd3989($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 91 "./jsnum.h"
  var $3=$u; //@line 91 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 91 "./jsnum.h"
  var $4=$u; //@line 92 "./jsnum.h"
  var $5=(($4+4)|0); //@line 92 "./jsnum.h"
  var $6=HEAP32[(($5)>>2)]; //@line 92 "./jsnum.h"
  var $7=$6 & 2146959360; //@line 92 "./jsnum.h"
  var $8=(($7)|0)==2146959360; //@line 92 "./jsnum.h"
  var $9=(($8)&1); //@line 92 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $9; //@line 92 "./jsnum.h"
}


function __ZN18TypedArrayTemplateIfE8getIndexEP8JSObjectj($obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($5+($6<<2))|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=HEAPF32[(($7)>>2)]; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $8; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $val;
      $1=$cx;
      $2=$tarray;
      $3=$index;
      $4=$vp;
      var $5=$2; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN18TypedArrayTemplateIdE8getIndexEP8JSObjectj($5, $6); //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $val=$7; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$val; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZL15JSDOUBLE_IS_NaNd3989($8); //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $12=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $val=$12; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$val; //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setDoubleEd($14, $15); //@line 1977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIdE8getIndexEP8JSObjectj($obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($5+($6<<3))|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=(tempDoubleI32[0]=HEAP32[(($7)>>2)],tempDoubleI32[1]=HEAP32[(($7+4)>>2)],tempDoubleF64[0]); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $8; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIaE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIaE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateIaE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIaE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIaE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIaE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateIaE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateIaE13copyFromArrayEP9JSContextP8JSObjectS4_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIhE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIhE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIhE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateIhE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIhE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIhE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIhE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateIhE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateIhE13copyFromArrayEP9JSContextP8JSObjectS4_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIsE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIsE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIsE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateIsE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIsE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIsE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIsE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateIsE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateIsE13copyFromArrayEP9JSContextP8JSObjectS4_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateItE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateItE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateItE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateItE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateItE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateItE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateItE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateItE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateItE13copyFromArrayEP9JSContextP8JSObjectS4_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIiE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIiE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIiE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateIiE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIiE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIiE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIiE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateIiE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateIiE13copyFromArrayEP9JSContextP8JSObjectS4_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIjE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIjE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIjE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateIjE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIjE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIjE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIjE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateIjE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateIjE13copyFromArrayEP9JSContextP8JSObjectS4_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIfE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIfE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIfE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateIfE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIfE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIfE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIfE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateIfE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateIfE13copyFromArrayEP9JSContextP8JSObjectS4_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIdE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIdE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIdE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateIdE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIdE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIdE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateIdE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateIdE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateIdE13copyFromArrayEP9JSContextP8JSObjectS4_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE12fun_subarrayEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $begin=__stackBase__;
      var $end=__stackBase__+4;
      var $length;
      var $argv;
      var $nobj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateI13uint8_clampedE9fastClassEv(); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateI13uint8_clampedE9fastClassEv(); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($begin)>>2)]=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$tarray; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray9getLengthEP8JSObject($28); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$29; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$tarray; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN2js10TypedArray9getLengthEP8JSObject($30); //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$31; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$3; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32)>>>0) > 0; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 29; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $35=$4; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+16)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$36; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$2; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$argv; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38)|0); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($37, $39, $begin); //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=HEAP32[(($begin)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43)|0) < 0; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$length; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP32[(($begin)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+$46)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$48; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP32[(($begin)>>2)]; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)|0) < 0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      HEAP32[(($begin)>>2)]=0; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 17; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $54=HEAP32[(($begin)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$length; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)|0) > (($55)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$length; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$58; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      var $61=$3; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)>>>0) > 1; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $64=$2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$argv; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+8)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($64, $66, $end); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      $1=0; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $70=HEAP32[(($end)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)|0) < 0; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $73=$length; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=HEAP32[(($end)>>2)]; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=(($74+$73)|0); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$75; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=HEAP32[(($end)>>2)]; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76)|0) < 0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      HEAP32[(($end)>>2)]=0; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 23; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 27; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $81=HEAP32[(($end)>>2)]; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$length; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($81)|0) > (($82)|0); //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($83) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      var $85=$length; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($end)>>2)]=$85; //@line 1424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break;
    case 27: 
      __label__ = 28; break; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      __label__ = 29; break; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $90=HEAP32[(($begin)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=HEAP32[(($end)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($90)|0) > (($91)|0); //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($92) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      var $94=HEAP32[(($end)>>2)]; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($begin)>>2)]=$94; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 31; break; //@line 1430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $96=$2; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($begin)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP32[(($end)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN18TypedArrayTemplateI13uint8_clampedE14createSubarrayEP9JSContextP8JSObjectjj($96, $97, $98, $99); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $nobj=$100; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=$nobj; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101)|0)!=0; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($102) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      $1=0; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $105=$4; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$nobj; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($105, $106); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $108=$1; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE12fun_subarrayEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE7fun_setEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $tarray;
      var $off=__stackBase__;
      var $argv;
      var $offset;
      var $arg0;
      var $src;
      var $len=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$4; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=(($6+8)|0); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$8; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$obj; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$obj; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject8getClassEv($13); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateI13uint8_clampedE9fastClassEv(); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14)|0)!=(($15)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN18TypedArrayTemplateI13uint8_clampedE9fastClassEv(); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, $20); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$obj; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2js10TypedArray13getTypedArrayEP8JSObject($22); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$23; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$tarray; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)|0)!=0; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=1; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      HEAP32[(($off)>>2)]=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$4; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28+16)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argv=$29; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$3; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0) > 1; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$argv; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($33, $35, $off); //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $39=HEAP32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($39)|0) < 0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($40) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $42=HEAPU32[(($off)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$tarray; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) > (($44)>>>0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $47=$2; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($47, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $50=HEAP32[(($off)>>2)]; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $offset=$50; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51)|0)==0; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $54=$argv; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK2JS5Value8isObjectEv($55); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $58=$2; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $60=$argv; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZNK2JS5Value14toObjectOrNullEv($61); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arg0=$62; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$arg0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z15js_IsTypedArrayP8JSObject($63); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)|0)!=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $67=$arg0; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=__ZN2js10TypedArray13getTypedArrayEP8JSObject($67); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$68; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$src; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)!=0; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $72=$src; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN2js10TypedArray9getLengthEP8JSObject($72); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$tarray; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js10TypedArray9getLengthEP8JSObject($74); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$offset; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($75-$76)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $80=$2; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($80, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $82=$2; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=$obj; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$src; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$offset; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=__ZN18TypedArrayTemplateI13uint8_clampedE18copyFromTypedArrayEP9JSContextP8JSObjectS5_j($82, $83, $84, $85); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($86) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      __label__ = 31; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$arg0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($90, $91, $len); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $96=HEAPU32[(($len)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$tarray; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray9getLengthEP8JSObject($97); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$offset; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98-$99)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($96)>>>0) > (($100)>>>0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $103=$2; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($103, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $105=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$obj; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$arg0; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAP32[(($len)>>2)]; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=$offset; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=__ZN18TypedArrayTemplateI13uint8_clampedE13copyFromArrayEP9JSContextP8JSObjectS5_jj($105, $106, $107, $108, $109); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      $1=0; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 31; break;
    case 31: 
      var $114=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($114); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $116=$1; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE7fun_setEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIaE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIaE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateIaE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIaE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIaE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIaE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIaE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIaE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateIaE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIaE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIaE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIaE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateIaE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIaE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateIaE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIaE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIaE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIaE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIaE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIaE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZN18TypedArrayTemplateIhE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIhE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateIhE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIhE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIhE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIhE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIhE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIhE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateIhE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIhE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIhE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIhE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateIhE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIhE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateIhE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIhE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIhE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIhE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIhE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIhE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZN18TypedArrayTemplateIsE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIsE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateIsE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIsE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIsE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIsE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIsE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIsE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateIsE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIsE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIsE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIsE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateIsE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIsE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateIsE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIsE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIsE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIsE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIsE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIsE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZN18TypedArrayTemplateItE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateItE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateItE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateItE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateItE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateItE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateItE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateItE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateItE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateItE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateItE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateItE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateItE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateItE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateItE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateItE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateItE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateItE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateItE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateItE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZN18TypedArrayTemplateIiE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIiE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateIiE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIiE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIiE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIiE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIiE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIiE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateIiE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIiE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIiE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIiE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateIiE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIiE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateIiE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIiE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIiE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIiE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIiE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIiE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZN18TypedArrayTemplateIjE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIjE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateIjE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIjE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIjE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIjE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIjE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIjE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateIjE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIjE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIjE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIjE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateIjE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIjE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateIjE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIjE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIjE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIjE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIjE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIjE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZN18TypedArrayTemplateIfE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIfE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateIfE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIfE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIfE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIfE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIfE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIfE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateIfE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIfE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIfE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIfE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateIfE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIfE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateIfE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIfE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIfE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIfE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIfE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIfE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZN18TypedArrayTemplateIdE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIdE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateIdE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIdE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIdE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateIdE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIdE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIdE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateIdE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIdE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIdE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIdE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateIdE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIdE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateIdE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIdE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIdE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIdE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIdE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateIdE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE9obj_traceEP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $buffer;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZN2js10TypedArray9getBufferEP8JSObject($3); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $buffer=$4; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$buffer; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)!=0; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$1; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$buffer; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $9, ((STRING_TABLE.__str193976)|0)); //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      ;
      return; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateI13uint8_clampedE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS3_S5_iPS7_EPFiS3_S5_iiSA_Ej($cx, $obj, $id, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      $6=$getter;
      $7=$setter;
      $8=$attrs;
      var $9=$4; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=1; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$5; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$tmp; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$21; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$2; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$3; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$4; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN18TypedArrayTemplateI13uint8_clampedE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($24, $25, $26, $tmp, 0); //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$27; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $29=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateI13uint8_clampedE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS3_S5_iPS7_EPFiS3_S5_iiSA_Ej($cx, $obj, $index, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $tmp=__stackBase__;
  $1=$cx;
  $2=$obj;
  $3=$index;
  $4=$v;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $8=$4; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$tmp; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$8; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$1; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$2; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$3; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateI13uint8_clampedE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($11, $12, $13, $tmp, 0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS3_S5_iPS9_EPFiS3_S5_iiSC_Ej($cx, $obj, $sid, $v, $getter, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$cx;
  $2=$obj;
  $3=$v;
  $4=$getter;
  $5=$setter;
  $6=$attrs;
  var $7=$1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$3; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=$6; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=__ZN18TypedArrayTemplateI13uint8_clampedE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS3_S5_iPS7_EPFiS3_S5_iiSA_Ej($7, $8, $9, $10, $11, $12, $13); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $14; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE10obj_typeOfEP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 1; //@line 1246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE14obj_getGenericEP9JSContextP8JSObjectS5_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      var $proto;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$3; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$6; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$5; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$tarray; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=HEAP32[(($index)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$6; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($30, $31, $32, $33); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $35=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK8JSObject8getProtoEv($35); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$36; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$proto; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)|0)!=0; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$6; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($40); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$6; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($42); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$proto; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46+208)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($43, $44, $45, $48, $obj2, $prop); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $52=HEAP32[(($prop)>>2)]; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)|0)!=0; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $55=HEAP32[(($obj2)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=__ZNK8JSObject8isNativeEv($55); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=HEAP32[(($prop)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$59; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$2; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP32[(($obj2)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$shape; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($60, $61, $62, $63, 0, $64); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)!=0; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      $1=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      __label__ = 14; break; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=1; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $73=$1; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getGenericEP9JSContextP8JSObjectS5_iPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE15obj_getPropertyEP9JSContextP8JSObjectS5_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$9; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom3984($10); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$5; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getGenericEP9JSContextP8JSObjectS5_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $13; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE14obj_getElementEP9JSContextP8JSObjectS5_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $proto;
      var $id=__stackBase__;
      var $obj2=__stackBase__+4;
      var $prop=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$3; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$tarray; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$5; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$6; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($14, $15, $16, $17); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$3; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK8JSObject8getProtoEv($19); //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$20; //@line 992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$proto; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)|0)!=0; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$6; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$6; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($26); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$2; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js9IndexToIdEP9JSContextjPi($27, $28, $id); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $32=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($id)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$2; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+208)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($32, $33, $34, $37, $obj2, $prop); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=HEAP32[(($prop)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)|0)!=0; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=HEAP32[(($obj2)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZNK8JSObject8isNativeEv($44); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=1; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=HEAP32[(($prop)>>2)]; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$48; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $shape=$49; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP32[(($obj2)>>2)]; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$shape; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$6; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE($50, $51, $52, $53, 0, $54); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$55; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$1; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getElementEP9JSContextP8JSObjectS5_jPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE14obj_getSpecialEP9JSContextP8JSObjectS5_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getGenericEP9JSContextP8JSObjectS5_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      var $index=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$2; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+52)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12+209948)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+308)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL12JSID_IS_ATOMiP6JSAtom3982($9, $16); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $20=$5; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$tarray; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray9getLengthEP8JSObject($21); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN2JS5Value9setNumberEj($20, $22); //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $25=$2; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$tarray; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($25, $26, $27, $index); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$5; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($30); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$2; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$tarray; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=HEAP32[(($index)>>2)]; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$6; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN18TypedArrayTemplateI13uint8_clampedE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($32, $33, $34, $35, $36); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37)&1); //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$38; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $40=$1; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$3; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) >= (($11)>>>0); //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value12setUndefinedEv($14); //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$2; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$tarray; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$4; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$6; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateI13uint8_clampedE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($16, $17, $18, $19, $20); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)&1); //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$22; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$1; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $24; //@line 1119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateI13uint8_clampedE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateI13uint8_clampedE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $7=$4; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8+52)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10+209948)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11+308)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$13; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZL12JSID_IS_ATOMiP6JSAtom3982($7, $14); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15)|0)!=0; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $18=$5; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($18, 0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getTypedArrayEP8JSObject($20); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$21; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$2; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$tarray; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj($22, $23, $24, 0); //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$5; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($27, 0); //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$5; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($29, 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $31=$1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $31; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateI13uint8_clampedE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $tarray;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $7=$3; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$8; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$tarray; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getLengthEP8JSObject($10); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)>>>0) < (($11)>>>0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$5; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($14, 0); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($16, 1); //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$1; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $18; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateI13uint8_clampedE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983($sid); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=$4; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=__ZN18TypedArrayTemplateI13uint8_clampedE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $tarray;
      var $index;
      $1=$cx;
      $2=$obj;
      $3=$enum_op;
      $4=$statep;
      $5=$idp;
      var $6=$2; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $tarray=$7; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$3; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($8)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($8)|0) == 0) {
        __label__ = 5; break;
      }
      else if ((($8)|0) == 2) {
        __label__ = 8; break;
      }
      else if ((($8)|0) == 3) {
        __label__ = 15; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 2: 
      var $10=$4; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value10setBooleanEb($10, 1); //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$5; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)|0)!=0; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$tarray; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray9getLengthEP8JSObject($14); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+1)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=_INT_TO_JSID4006($16); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      __label__ = 16; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$4; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($21, 0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$tarray; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=_INT_TO_JSID4006($26); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 16; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZNK2JS5Value6isTrueEv($31); //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $34=$1; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+52)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+209948)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=(($37+308)|0); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZL12ATOM_TO_JSIDP6JSAtom3984($40); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($43, 0); //@line 1222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value7toInt32Ev($45); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $index=$46; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$index; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$tarray; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray9getLengthEP8JSObject($48); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($47)>>>0) < (($49)>>>0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $52=$index; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=_INT_TO_JSID4006($52); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$5; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$4; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$index; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($55, $57); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $59=$4; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($59); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $63=$4; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value7setNullEv($63); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      ;
      return 1; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __Z24js_InitTypedArrayClassesP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $stop=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $global=$5; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$2; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$global; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$7; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__Z17js_GetClassObjectP9JSContextP8JSObject10JSProtoKeyPS2_($6, $8, 24, $stop); //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0)!=0; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=HEAP32[(($stop)>>2)]; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13)|0)!=0; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $16=HEAP32[(($stop)>>2)]; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$16; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $18=$2; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$global; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZL19InitTypedArrayClassI9Int8ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($18, $19); //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20)|0)!=0; //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 14; break; } //@line 2284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $23=$2; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$global; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZL19InitTypedArrayClassI10Uint8ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($23, $24); //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0)!=0; //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 14; break; } //@line 2285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $28=$2; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$global; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZL19InitTypedArrayClassI10Int16ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($28, $29); //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)|0)!=0; //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 2286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$2; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$global; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZL19InitTypedArrayClassI11Uint16ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($33, $34); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 14; break; } //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$2; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$global; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZL19InitTypedArrayClassI10Int32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($38, $39); //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40)|0)!=0; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$global; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZL19InitTypedArrayClassI11Uint32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($43, $44); //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 2289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $48=$2; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$global; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=__ZL19InitTypedArrayClassI12Float32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($48, $49); //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)|0)!=0; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $53=$2; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$global; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZL19InitTypedArrayClassI12Float64ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($53, $54); //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55)|0)!=0; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $58=$2; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$global; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL19InitTypedArrayClassI17Uint8ClampedArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($58, $59); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60)|0)!=0; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      $1=0; //@line 2294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 2294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $64=$2; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$global; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=__ZL20InitArrayBufferClassP9JSContextPN2js12GlobalObjectE($64, $65); //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$66; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $68=$1; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $68; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z24js_InitTypedArrayClassesP9JSContextP8JSObject["X"]=1;

function __ZL19InitTypedArrayClassI9Int8ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateIaE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIaE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+100)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 308, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 1); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 1); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN9Int8Array7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 25, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI9Int8ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL19InitTypedArrayClassI10Uint8ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateIhE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIhE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+104)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 310, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 1); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 1); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN10Uint8Array7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 26, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI10Uint8ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL19InitTypedArrayClassI10Int16ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateIsE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIsE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+108)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 312, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 2); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 2); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN10Int16Array7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 27, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI10Int16ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL19InitTypedArrayClassI11Uint16ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateItE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateItE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+112)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 314, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 2); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 2); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN11Uint16Array7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 28, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI11Uint16ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL19InitTypedArrayClassI10Int32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateIiE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIiE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+116)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 316, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 4); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 4); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN10Int32Array7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 29, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI10Int32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL19InitTypedArrayClassI11Uint32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateIjE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIjE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+120)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 318, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 4); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 4); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN11Uint32Array7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 30, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI11Uint32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL19InitTypedArrayClassI12Float32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateIfE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIfE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+124)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 320, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 4); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 4); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN12Float32Array7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 31, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI12Float32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL19InitTypedArrayClassI12Float64ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateIdE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIdE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+128)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 322, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 8); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 8); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN12Float64Array7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 32, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI12Float64ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL12TypeIDOfTypeI13uint8_clampedEKiv() {
  ;
  var __label__;

  ;
  return 8; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js21IsFastTypedArrayClassEPKNS_5ClassE($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$clasp;
      var $2=$1; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $3=(((((__ZN2js10TypedArray11fastClassesE)|0)))>>>0) <= (($2)>>>0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($3) { __label__ = 2; break; } else { var $8 = 0;__label__ = 3; break; } //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $5=$1; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)>>>0) < (((((__ZN2js10TypedArray11fastClassesE+2088)|0)))>>>0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8 = $6;__label__ = 3; break;
    case 3: 
      var $8;
      ;
      return $8; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_IS_INT4003($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING4004($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING4005($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function __ZNK8JSObject13isArrayBufferEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1533 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1533 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js16ArrayBufferClassE)|0); //@line 1533 "./jsobj.h"
  ;
  return $5; //@line 1533 "./jsobj.h"
}


function _BUILD_JSVAL3999($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZL19InitTypedArrayClassI17Uint8ClampedArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE($cx, $global) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $proto;
      var $ctor;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$global;
      var $6=$3; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$2; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN18TypedArrayTemplateI13uint8_clampedE9slowClassEv(); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, $8); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $proto=$9; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$proto; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$3; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateI13uint8_clampedE9fastClassEv(); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+52)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19+209948)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+72)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21+132)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 324, $16, $24, 3); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$25; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$ctor; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$2; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$ctor; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$proto; //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($30, $32, $33); //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $37=$ctor; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$37; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($40+52)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42+209948)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(($43+236)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$45; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZL12ATOM_TO_JSIDP6JSAtom3984($46); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($4, 1); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($38, $39, $47, $4, 8, 10, 6); //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $51=$proto; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$2; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+52)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+209948)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+236)|0); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58; //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZL12ATOM_TO_JSIDP6JSAtom3984($59); //@line 2194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($5, 1); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($51, $52, $60, $5, 8, 10, 6); //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($61)|0)!=0; //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($62) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $65=$2; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$proto; //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($65, $66, ((__ZN2js10TypedArray7jspropsE)|0), ((__ZN17Uint8ClampedArray7jsfuncsE)|0)); //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $70=$2; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$3; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$ctor; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=$proto; //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($70, $71, 33, $73, $74); //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $78=$proto; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$78; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 15; break; //@line 2208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $80=$1; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $80; //@line 2209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19InitTypedArrayClassI17Uint8ClampedArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE["X"]=1;

function __ZL20InitArrayBufferClassP9JSContextPN2js12GlobalObjectE($cx, $global) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $arrayBufferProto;
      var $ctor;
      $2=$cx;
      $3=$global;
      var $4=$3; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$2; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($4, $5, __ZN2js11ArrayBuffer9slowClassE); //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayBufferProto=$6; //@line 2248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$arrayBufferProto; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7)|0)!=0; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $11=$3; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$2; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$2; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13+52)|0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($15+209948)|0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16+72)|0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17+96)|0); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$19; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($11, $12, 326, __ZN2js16ArrayBufferClassE, $20, 1); //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $ctor=$21; //@line 2253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$ctor; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$2; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$ctor; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$27; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$arrayBufferProto; //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($26, $28, $29); //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $33=$2; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$arrayBufferProto; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($33, $34, ((__ZN2js11ArrayBuffer7jspropsE)|0), 0); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $1=0; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$2; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$ctor; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$40; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$arrayBufferProto; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($38, $39, 24, $41, $42); //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $46=$arrayBufferProto; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$46; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $48=$1; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $48; //@line 2268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20InitArrayBufferClassP9JSContextPN2js12GlobalObjectE["X"]=1;

function __Z27JS_GetArrayBufferByteLengthP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZN8JSObject21arrayBufferByteLengthEv($2); //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $3; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z21JS_GetArrayBufferDataP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZN8JSObject21arrayBufferDataOffsetEv($2); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $3; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z20js_CreateArrayBufferP9JSContextj($cx, $nbytes) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$nbytes;
  var $3=$1; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=$2; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN2js11ArrayBuffer6createEP9JSContexti($3, $4); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $5; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z19js_CreateTypedArrayP9JSContextij($cx, $atype, $nelements) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $nelems=__stackBase__;
  $1=$cx;
  $2=$atype;
  $3=$nelements;
  var $4=$3; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JSL10Int32ValueEi3996($nelems, $4); //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZL19TypedArrayConstructP9JSContextijPN2JS5ValueE($5, $6, 1, $nelems); //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $7; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2JSL10Int32ValueEi3996($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZL19TypedArrayConstructP9JSContextijPN2JS5ValueE($cx, $atype, $argc, $argv) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      $2=$cx;
      $3=$atype;
      $4=$argc;
      $5=$argv;
      var $6=$3; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($6)|0) == 0) {
        __label__ = 2; break;
      }
      else if ((($6)|0) == 1) {
        __label__ = 3; break;
      }
      else if ((($6)|0) == 2) {
        __label__ = 4; break;
      }
      else if ((($6)|0) == 3) {
        __label__ = 5; break;
      }
      else if ((($6)|0) == 4) {
        __label__ = 6; break;
      }
      else if ((($6)|0) == 5) {
        __label__ = 7; break;
      }
      else if ((($6)|0) == 6) {
        __label__ = 8; break;
      }
      else if ((($6)|0) == 7) {
        __label__ = 9; break;
      }
      else if ((($6)|0) == 8) {
        __label__ = 10; break;
      }
      else {
      __label__ = 11; break;
      }
      
    case 2: 
      var $8=$2; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$5; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN18TypedArrayTemplateIaE6createEP9JSContextjPN2JS5ValueE($8, $9, $10); //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$11; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$4; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$5; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIhE6createEP9JSContextjPN2JS5ValueE($13, $14, $15); //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$16; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$2; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=$5; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN18TypedArrayTemplateIsE6createEP9JSContextjPN2JS5ValueE($18, $19, $20); //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$21; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $23=$2; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$5; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN18TypedArrayTemplateItE6createEP9JSContextjPN2JS5ValueE($23, $24, $25); //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$26; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $28=$2; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$4; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$5; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN18TypedArrayTemplateIiE6createEP9JSContextjPN2JS5ValueE($28, $29, $30); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$31; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $33=$2; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$4; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$5; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN18TypedArrayTemplateIjE6createEP9JSContextjPN2JS5ValueE($33, $34, $35); //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$36; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $38=$2; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$4; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$5; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN18TypedArrayTemplateIfE6createEP9JSContextjPN2JS5ValueE($38, $39, $40); //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$41; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $43=$2; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$4; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$5; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZN18TypedArrayTemplateIdE6createEP9JSContextjPN2JS5ValueE($43, $44, $45); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$46; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $48=$2; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$4; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$5; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN18TypedArrayTemplateI13uint8_clampedE6createEP9JSContextjPN2JS5ValueE($48, $49, $50); //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$51; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 2377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $54=$1; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $54; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19TypedArrayConstructP9JSContextijPN2JS5ValueE["X"]=1;

function __Z28js_CreateTypedArrayWithArrayP9JSContextiP8JSObject($cx, $atype, $arrayArg) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $arrval=__stackBase__;
  $1=$cx;
  $2=$atype;
  $3=$arrayArg;
  var $4=$3; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JSL11ObjectValueER8JSObject3997($arrval, $4); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=__ZL19TypedArrayConstructP9JSContextijPN2JS5ValueE($5, $6, 1, $arrval); //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return $7; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2JSL11ObjectValueER8JSObject3997($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __Z29js_CreateTypedArrayWithBufferP9JSContextiP8JSObjectii($cx, $atype, $bufArg, $byteoffset, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $vals=__stackBase__;
      var $argc;
      var $tvr=__stackBase__+32;
      var $7;
      $2=$cx;
      $3=$atype;
      $4=$bufArg;
      $5=$byteoffset;
      $6=$length;
      $argc=1; //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($vals)|0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($8, $9); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$5; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0) >= 0; //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $13=$argc; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($vals+($13<<3))|0); //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$5; //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($14, $15); //@line 2413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$argc; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16+1)|0); //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argc=$17; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 3; break; //@line 2415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $19=$6; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19)|0) >= 0; //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $22=$argc; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($vals+($22<<3))|0); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$6; //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value8setInt32Ei($23, $24); //@line 2418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$argc; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25+1)|0); //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $argc=$26; //@line 2419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $28=$2; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($vals)|0); //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $28, 4, $29); //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$2; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$3; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$argc; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($vals)|0); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZL19TypedArrayConstructP9JSContextijPN2JS5ValueE($30, $31, $32, $33); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$34; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $7=1;
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$1; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z29js_CreateTypedArrayWithBufferP9JSContextiP8JSObjectii["X"]=1;

function __Z22JS_GetTypedArrayLengthP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZNK8JSObject7getSlotEj($2, 0); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZNK2JS5Value7toInt32Ev($3); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $4; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z26JS_GetTypedArrayByteOffsetP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZNK8JSObject7getSlotEj($2, 1); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZNK2JS5Value7toInt32Ev($3); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $4; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z26JS_GetTypedArrayByteLengthP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZNK8JSObject7getSlotEj($2, 2); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZNK2JS5Value7toInt32Ev($3); //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $4; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z20JS_GetTypedArrayTypeP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZNK8JSObject7getSlotEj($2, 3); //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZNK2JS5Value7toInt32Ev($3); //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $4; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z22JS_GetTypedArrayBufferP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZNK8JSObject7getSlotEj($2, 4); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZNK2JS5Value9toPrivateEv($3); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $5; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z20JS_GetTypedArrayDataP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZN2js10TypedArray13getDataOffsetEP8JSObject($2); //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $3; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateI13uint8_clampedE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateI13uint8_clampedE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateI13uint8_clampedE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateI13uint8_clampedE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2JSL14UndefinedValueEv3998($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4000($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj4001($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4002($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4000["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj4001($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4002($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeI13uint8_clampedEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateI13uint8_clampedE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateI13uint8_clampedE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateI13uint8_clampedE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateI13uint8_clampedE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateI13uint8_clampedE18copyFromTypedArrayEP9JSContextP8JSObjectS5_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateI13uint8_clampedE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($cx, $v, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $d;
      var $length;
      $2=$cx;
      $3=$v;
      $4=$len;
      var $5=$3; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=__ZNK2JS5Value7isInt32Ev($5); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$3; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZNK2JS5Value7toInt32Ev($8); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$9; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$i; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0) < 0; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      $1=0; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$i; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$4; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $17=$3; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZNK2JS5Value8isDoubleEv($17); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $20=$3; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZNK2JS5Value8toDoubleEv($20); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$21; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$d; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZL15JSDOUBLE_IS_NaNd3989($22); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($23)|0)!=0; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      $1=0; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$d; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=($27 >= 0 ? Math.floor($27) : Math.ceil($27)); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $length=$28; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$d; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$length; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$29 != $31; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      $1=0; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $35=$length; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$4; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $39=$1; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $39; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=1; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateI13uint8_clampedE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateI13uint8_clampedE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateI13uint8_clampedE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateI13uint8_clampedE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateI13uint8_clampedE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE18copyFromTypedArrayEP9JSContextP8JSObjectS5_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $6=__stackBase__;
      var $src1;
      var $i2;
      var $7=__stackBase__+4;
      var $src3;
      var $i4;
      var $8=__stackBase__+8;
      var $src5;
      var $i6;
      var $9=__stackBase__+12;
      var $src7;
      var $i8;
      var $10=__stackBase__+16;
      var $src9;
      var $i10;
      var $11=__stackBase__+20;
      var $src11;
      var $i12;
      var $12=__stackBase__+24;
      var $src13;
      var $i14;
      var $13=__stackBase__+28;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $14=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray13getTypedArrayEP8JSObject($14); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$15; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZN2js10TypedArray9getBufferEP8JSObject($16); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js10TypedArray9getBufferEP8JSObject($18); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($17)|0)==(($19)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $22=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN18TypedArrayTemplateI13uint8_clampedE19copyFromWithOverlapEP9JSContextP8JSObjectS5_j($22, $23, $24, $25); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$26; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $28=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZN2js10TypedArray13getDataOffsetEP8JSObject($28); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$29; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($30+$31)|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$32; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray7getTypeEP8JSObject($33); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray7getTypeEP8JSObject($35); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($34)|0)==(($36)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $39=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$39; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZN2js10TypedArray13getDataOffsetEP8JSObject($41); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray13getByteLengthEP8JSObject($43); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($44 % 1 === 0, 'memcpy given ' + $44 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($40, $42, $44, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $46=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZN2js10TypedArray9getLengthEP8JSObject($46); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$47; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=__ZN2js10TypedArray7getTypeEP8JSObject($48); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($49)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($49)|0) == 1 || (($49)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($49)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($49)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($49)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($49)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($49)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($49)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $51=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN2js10TypedArray13getDataOffsetEP8JSObject($51); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$52; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $54=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($54)>>>0) < (($55)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $58=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=(($58+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$59; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=(($60+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$61; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=HEAP8[($60)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ea($6, $62); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=__ZN13uint8_clampedaSERKS_($58, $6); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $65=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$66; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $69=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js10TypedArray13getDataOffsetEP8JSObject($69); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$70; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $72=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($72)>>>0) < (($73)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $76=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=(($76+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$77; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$79; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=HEAP8[($78)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Eh($7, $80); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=__ZN13uint8_clampedaSERKS_($76, $7); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $83=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=(($83+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$84; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $87=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=__ZN2js10TypedArray13getDataOffsetEP8JSObject($87); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$88; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$89; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $91=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($91)>>>0) < (($92)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $95=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=(($95+1)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$96; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=(($97+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$98; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=HEAP16[(($97)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Es($8, $99); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN13uint8_clampedaSERKS_($95, $8); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $102=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=(($102+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$103; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $106=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=__ZN2js10TypedArray13getDataOffsetEP8JSObject($106); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=$107; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$108; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $110=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $112=(($110)>>>0) < (($111)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($112) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $114=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=(($114+1)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$115; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $116=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $117=(($116+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$117; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=HEAP16[(($116)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Et($9, $118); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=__ZN13uint8_clampedaSERKS_($114, $9); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $121=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=(($121+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$122; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $125=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=__ZN2js10TypedArray13getDataOffsetEP8JSObject($125); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=$126; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$127; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $129=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $130=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $131=(($129)>>>0) < (($130)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($131) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $133=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $134=(($133+1)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$134; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $135=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=(($135+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$136; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=HEAP32[(($135)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ei($10, $137); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=__ZN13uint8_clampedaSERKS_($133, $10); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $140=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=(($140+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$141; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $144=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=__ZN2js10TypedArray13getDataOffsetEP8JSObject($144); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=$145; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$146; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $148=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $149=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $150=(($148)>>>0) < (($149)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($150) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $152=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $153=(($152+1)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$153; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=(($154+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$155; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=HEAP32[(($154)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ej($11, $156); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=__ZN13uint8_clampedaSERKS_($152, $11); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $159=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=(($159+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$160; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $163=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=__ZN2js10TypedArray13getDataOffsetEP8JSObject($163); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=$164; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$165; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $167=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $168=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $169=(($167)>>>0) < (($168)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($169) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $171=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $172=(($171+1)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$172; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=(($173+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$174; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=HEAPF32[(($173)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $176=$175; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($12, $176); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=__ZN13uint8_clampedaSERKS_($171, $12); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $179=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(($179+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$180; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $183=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $184=__ZN2js10TypedArray13getDataOffsetEP8JSObject($183); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=$184; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$185; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $187=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $188=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $189=(($187)>>>0) < (($188)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($189) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $191=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $192=(($191+1)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$192; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $193=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $194=(($193+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$194; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $195=(tempDoubleI32[0]=HEAP32[(($193)>>2)],tempDoubleI32[1]=HEAP32[(($193+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($13, $195); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $196=__ZN13uint8_clampedaSERKS_($191, $13); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $198=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $199=(($198+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$199; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $204=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $204; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE18copyFromTypedArrayEP9JSContextP8JSObjectS5_j["X"]=1;

function __ZL19TypeIsFloatingPointI13uint8_clampedEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedI13uint8_clampedEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function _INT_TO_JSID4006($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZN13uint8_clampedaSERKS_($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=(($4)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=HEAP8[($5)]; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($3)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP8[($7)]=$6; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $3; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function _JSVAL_IS_NUMBER_IMPL4008($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL4009($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL4010($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function __ZL18JSDOUBLE_IS_FINITEd4011($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $u=__stackBase__;
  $1=$d;
  var $2=$1; //@line 100 "./jsnum.h"
  var $3=$u; //@line 100 "./jsnum.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 100 "./jsnum.h"
  var $4=$u; //@line 101 "./jsnum.h"
  var $st$7$0=(($4)|0);
  var $5$0=HEAP32[(($st$7$0)>>2)];
  var $st$7$1=(($4+4)|0);
  var $5$1=HEAP32[(($st$7$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=2146435072;
  var $6$0=$5$0 & $$emscripten$temp$0$0;
  var $6$1=$5$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=2146435072;
  var $7=$6$0 != $$emscripten$temp$1$0 || $6$1 != $$emscripten$temp$1$1; //@line 101 "./jsnum.h"
  var $8=(($7)&1); //@line 101 "./jsnum.h"
  STACKTOP = __stackBase__;
  return $8; //@line 101 "./jsnum.h"
}


function __ZN13uint8_clampedaSEj($this, $x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$x;
      var $3=$1;
      var $4=$2; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)>>>0) > 255; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $12 = 255;__label__ = 4; break; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $8=$2; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8) & 255); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)&255); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12 = $10;__label__ = 4; break; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $12; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12) & 255); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($3)|0); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($14)]=$13; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $3; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_DOUBLE_IMPL4012($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function __ZN13uint8_clampedaSEi($this, $x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$x;
      var $3=$1;
      var $4=$2; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0) >= 0; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$2; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7)|0) < 255; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $10=$2; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10) & 255); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($11)&255); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $12;__label__ = 5; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $15 = 255;__label__ = 5; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18 = $15;__label__ = 7; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $18 = 0;__label__ = 7; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $18; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($18) & 255); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($3)|0); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($20)]=$19; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $3; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_INT32_IMPL4013($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%1; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 2147483647; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateI13uint8_clampedE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateI13uint8_clampedE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateI13uint8_clampedE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateI13uint8_clampedE13copyFromArrayEP9JSContextP8JSObjectS5_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE13copyFromArrayEP9JSContextP8JSObjectS5_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $7=__stackBase__;
      var $v=__stackBase__+4;
      var $i1;
      var $8=__stackBase__+12;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $9=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getTypedArrayEP8JSObject($9); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$10; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray13getDataOffsetEP8JSObject($11); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$12; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($13+$14)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$15; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZNK8JSObject12isDenseArrayEv($16); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $19=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN8JSObject30getDenseArrayInitializedLengthEv($19); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($20)>>>0) >= (($21)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN8JSObject21getDenseArrayElementsEv($24); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$25; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $27=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($27)>>>0) < (($28)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $31=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31+1)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$32; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$35; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE15nativeFromValueEP9JSContextRKN2JS5ValueE($7, $33, $34); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN13uint8_clampedaSERKS_($31, $7); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $38=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=(($38+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$39; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $43=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($43)>>>0) < (($44)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $47=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($47, $48, $49, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $54=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE15nativeFromValueEP9JSContextRKN2JS5ValueE($8, $56, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=__ZN13uint8_clampedaSERKS_($54, $8); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $59=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=(($59+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$60; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $64=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE13copyFromArrayEP9JSContextP8JSObjectS5_jj["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE15nativeFromValueEP9JSContextRKN2JS5ValueE($agg_result, $cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $d;
      var $dval=__stackBase__;
      $1=$cx;
      $2=$v;
      var $3=$2; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=__ZNK2JS5Value7isInt32Ev($3); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $6=$2; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK2JS5Value7toInt32Ev($6); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ei($agg_result, $7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $9=$2; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZNK2JS5Value8isDoubleEv($9); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $12=$2; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value8toDoubleEv($12); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$13; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateI13uint8_clampedE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($14) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $16=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZL15JSDOUBLE_IS_NaNd3989($16); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($17)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      __ZN13uint8_clampedC1Ei($agg_result, 0); //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $21=__ZL19TypeIsFloatingPointI13uint8_clampedEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($21) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $23=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($agg_result, $23); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $25=__ZL14TypeIsUnsignedI13uint8_clampedEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($25) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $27=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__Z21js_DoubleToECMAUint32d($27); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ej($agg_result, $28); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $30=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZL20js_DoubleToECMAInt32d4007($30); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ei($agg_result, $31); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $33=$2; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZNK2JS5Value11isPrimitiveEv($33); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $36=$2; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZNK2JS5Value7isMagicEv($36); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $39=$1; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($39, $40, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($agg_result, $42); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $44=__ZN18TypedArrayTemplateI13uint8_clampedE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($44) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $46=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($agg_result, $46); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      __ZN13uint8_clampedC1Ei($agg_result, 0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      STACKTOP = __stackBase__;
      return; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN13uint8_clampedC1Ei($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC2Ei($3, $4); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointI13uint8_clampedEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC1Ed($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC2Ed($3, $4); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC1Ej($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC2Ej($3, $4); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL20js_DoubleToECMAInt32d4007($d) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $two32;
      var $two31;
      $2=$d;
      var $3=$2; //@line 547 "./jsnum.h"
      var $4=__ZL18JSDOUBLE_IS_FINITEd4011($3); //@line 547 "./jsnum.h"
      var $5=(($4)|0)!=0; //@line 547 "./jsnum.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "./jsnum.h"
    case 2: 
      $1=0; //@line 548 "./jsnum.h"
      __label__ = 12; break; //@line 548 "./jsnum.h"
    case 3: 
      var $8=$2; //@line 550 "./jsnum.h"
      var $9=(($8)&-1); //@line 550 "./jsnum.h"
      $i=$9; //@line 550 "./jsnum.h"
      var $10=$i; //@line 551 "./jsnum.h"
      var $11=(($10)|0); //@line 551 "./jsnum.h"
      var $12=$2; //@line 551 "./jsnum.h"
      var $13=$11 == $12; //@line 551 "./jsnum.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 551 "./jsnum.h"
    case 4: 
      var $15=$i; //@line 552 "./jsnum.h"
      $1=$15; //@line 552 "./jsnum.h"
      __label__ = 12; break; //@line 552 "./jsnum.h"
    case 5: 
      $two32=4294967296; //@line 554 "./jsnum.h"
      $two31=2147483648; //@line 555 "./jsnum.h"
      var $17=$2; //@line 556 "./jsnum.h"
      var $18=$two32; //@line 556 "./jsnum.h"
      var $19=_fmod($17, $18); //@line 556 "./jsnum.h"
      $2=$19; //@line 556 "./jsnum.h"
      var $20=$2; //@line 557 "./jsnum.h"
      var $21=$20 >= 0; //@line 557 "./jsnum.h"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 557 "./jsnum.h"
    case 6: 
      var $23=$2; //@line 557 "./jsnum.h"
      var $24=_floor($23); //@line 557 "./jsnum.h"
      var $31 = $24;__label__ = 8; break; //@line 557 "./jsnum.h"
    case 7: 
      var $26=$2; //@line 557 "./jsnum.h"
      var $27=_ceil($26); //@line 557 "./jsnum.h"
      var $28=$two32; //@line 557 "./jsnum.h"
      var $29=$27+$28; //@line 557 "./jsnum.h"
      var $31 = $29;__label__ = 8; break; //@line 557 "./jsnum.h"
    case 8: 
      var $31; //@line 557 "./jsnum.h"
      $2=$31; //@line 557 "./jsnum.h"
      var $32=$2; //@line 558 "./jsnum.h"
      var $33=$two31; //@line 558 "./jsnum.h"
      var $34=$32 >= $33; //@line 558 "./jsnum.h"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 558 "./jsnum.h"
    case 9: 
      var $36=$2; //@line 558 "./jsnum.h"
      var $37=$two32; //@line 558 "./jsnum.h"
      var $38=$36-$37; //@line 558 "./jsnum.h"
      var $42 = $38;__label__ = 11; break; //@line 558 "./jsnum.h"
    case 10: 
      var $40=$2; //@line 558 "./jsnum.h"
      var $42 = $40;__label__ = 11; break; //@line 558 "./jsnum.h"
    case 11: 
      var $42; //@line 558 "./jsnum.h"
      var $43=(($42)&-1); //@line 558 "./jsnum.h"
      $1=$43; //@line 558 "./jsnum.h"
      __label__ = 12; break; //@line 558 "./jsnum.h"
    case 12: 
      var $45=$1; //@line 560 "./jsnum.h"
      ;
      return $45; //@line 560 "./jsnum.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20js_DoubleToECMAInt32d4007["X"]=1;

function __ZN13uint8_clampedC2Ej($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN13uint8_clampedaSEj($3, $4); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC2Ed($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN13uint8_clampedaSEd($3, $4); //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedaSEd($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__Z32js_TypedArray_uint8_clamp_doubled($4); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=(($5) & 255); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($3)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP8[($7)]=$6; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $3; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC2Ei($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN13uint8_clampedaSEi($3, $4); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray9getBufferEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 94 "./jstypedarrayinlines.h"
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 4); //@line 94 "./jstypedarrayinlines.h"
  var $4=__ZNK2JS5Value8toObjectEv($3); //@line 94 "./jstypedarrayinlines.h"
  ;
  return $4; //@line 94 "./jstypedarrayinlines.h"
}


function __ZL12TypeIDOfTypeIdEKiv() {
  ;
  var __label__;

  ;
  return 7; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedaSEt($this, $x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$x;
      var $3=$1;
      var $4=$2; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)&65535); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0) > 255; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $13 = 255;__label__ = 4; break; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $9=$2; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9) & 255); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)&255); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13 = $11;__label__ = 4; break; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13) & 255); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($3)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($15)]=$14; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $3; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13uint8_clampedaSEs($this, $x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$x;
      var $3=$1;
      var $4=$2; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4 << 16) >> 16); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0) >= 0; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8 << 16) >> 16); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 255; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12) & 255); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13)&255); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17 = $14;__label__ = 5; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17 = 255;__label__ = 5; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $17; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20 = $17;__label__ = 7; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $20 = 0;__label__ = 7; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $20; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20) & 255); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($3)|0); //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($22)]=$21; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $3; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13uint8_clampedaSEh($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=(($3)|0); //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP8[($5)]=$4; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $3; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedaSEa($this, $x) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$x;
      var $3=$1;
      var $4=$2; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4 << 24) >> 24); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0) >= 0; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8)&255); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12 = $9;__label__ = 4; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $12; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($12) & 255); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($3)|0); //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($14)]=$13; //@line 839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $3; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_OBJECT_IMPL4016($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL4017($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE19copyFromWithOverlapEP9JSContextP8JSObjectS5_j($cx, $self, $tarray, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $6=__stackBase__;
      var $src1;
      var $i2;
      var $7=__stackBase__+4;
      var $src3;
      var $i4;
      var $8=__stackBase__+8;
      var $src5;
      var $i6;
      var $9=__stackBase__+12;
      var $src7;
      var $i8;
      var $10=__stackBase__+16;
      var $src9;
      var $i10;
      var $11=__stackBase__+20;
      var $src11;
      var $i12;
      var $12=__stackBase__+24;
      var $src13;
      var $i14;
      var $13=__stackBase__+28;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $14=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2js10TypedArray13getDataOffsetEP8JSObject($14); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$15; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=(($16+$17)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$18; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray7getTypeEP8JSObject($19); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray7getTypeEP8JSObject($21); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($20)|0)==(($22)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $25=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$25; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray13getDataOffsetEP8JSObject($27); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZN2js10TypedArray13getByteLengthEP8JSObject($29); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($26, $28, $30, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $32=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray9getLengthEP8JSObject($33); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN9JSContext7malloc_Ej($32, $34); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$35; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $40=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZN2js10TypedArray13getDataOffsetEP8JSObject($41); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray13getByteLengthEP8JSObject($43); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($44 % 1 === 0, 'memcpy given ' + $44 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($40, $42, $44, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZN2js10TypedArray7getTypeEP8JSObject($45); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($46)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($46)|0) == 1 || (($46)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($46)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($46)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($46)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($46)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($46)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($46)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $48=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$48; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $50=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN2js10TypedArray9getLengthEP8JSObject($51); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($50)>>>0) < (($52)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($53) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $55=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$56; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$58; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=HEAP8[($57)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ea($6, $59); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__ZN13uint8_clampedaSERKS_($55, $6); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $62=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($62+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$63; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $66=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $68=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js10TypedArray9getLengthEP8JSObject($69); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($68)>>>0) < (($70)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $73=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$74; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=(($75+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$76; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=HEAP8[($75)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Eh($7, $77); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=__ZN13uint8_clampedaSERKS_($73, $7); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $80=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=(($80+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$81; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $84=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=$84; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$85; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $87=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=__ZN2js10TypedArray9getLengthEP8JSObject($88); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=(($87)>>>0) < (($89)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($90) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $92=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92+1)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$93; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $94=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=(($94+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$95; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP16[(($94)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Es($8, $96); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=__ZN13uint8_clampedaSERKS_($92, $8); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $99=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($99+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$100; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $103=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=$103; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$104; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $106=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=__ZN2js10TypedArray9getLengthEP8JSObject($107); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($106)>>>0) < (($108)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($109) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $111=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $112=(($111+1)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$112; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $113=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=(($113+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$114; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=HEAP16[(($113)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Et($9, $115); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $116=__ZN13uint8_clampedaSERKS_($111, $9); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $118=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=(($118+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$119; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $122=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=$122; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$123; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $125=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=__ZN2js10TypedArray9getLengthEP8JSObject($126); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=(($125)>>>0) < (($127)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($128) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $130=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $131=(($130+1)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$131; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $132=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=(($132+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$133; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $134=HEAP32[(($132)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ei($10, $134); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $135=__ZN13uint8_clampedaSERKS_($130, $10); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $137=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=(($137+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$138; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $141=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=$141; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$142; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $144=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=__ZN2js10TypedArray9getLengthEP8JSObject($145); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($144)>>>0) < (($146)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($147) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $149=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $150=(($149+1)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$150; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $151=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $152=(($151+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$152; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $153=HEAP32[(($151)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ej($11, $153); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=__ZN13uint8_clampedaSERKS_($149, $11); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $156=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=(($156+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$157; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $160=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=$160; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$161; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $163=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=__ZN2js10TypedArray9getLengthEP8JSObject($164); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($163)>>>0) < (($165)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($166) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $168=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $169=(($168+1)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$169; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $170=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $171=(($170+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$171; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $172=HEAPF32[(($170)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=$172; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($12, $173); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=__ZN13uint8_clampedaSERKS_($168, $12); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $176=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=(($176+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$177; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $180=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=$180; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$181; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $183=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $184=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=__ZN2js10TypedArray9getLengthEP8JSObject($184); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $186=(($183)>>>0) < (($185)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($186) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $188=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $189=(($188+1)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$189; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $190=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $191=(($190+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$191; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $192=(tempDoubleI32[0]=HEAP32[(($190)>>2)],tempDoubleI32[1]=HEAP32[(($190+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($13, $192); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $193=__ZN13uint8_clampedaSERKS_($188, $13); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $195=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $196=(($195+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$196; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $200=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($200); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $202=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $202; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE19copyFromWithOverlapEP9JSContextP8JSObjectS5_j["X"]=1;

function __ZN2js10TypedArray13getByteLengthEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 84 "./jstypedarrayinlines.h"
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 2); //@line 84 "./jstypedarrayinlines.h"
  var $4=__ZNK2JS5Value7toInt32Ev($3); //@line 84 "./jstypedarrayinlines.h"
  ;
  return $4; //@line 84 "./jstypedarrayinlines.h"
}


function __ZN13uint8_clampedC1Ea($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC2Ea($3, $4); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC1Eh($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC2Eh($3, $4); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC1Es($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC2Es($3, $4); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC1Et($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC2Et($3, $4); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC2Et($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN13uint8_clampedaSEt($3, $4); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC2Es($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN13uint8_clampedaSEs($3, $4); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC2Eh($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN13uint8_clampedaSEh($3, $4); //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC2Ea($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=$2; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=__ZN13uint8_clampedaSEa($3, $4); //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function _js_free4014($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc4015($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_4018($t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 660 "./jsutil.h"
  var $3=$2; //@line 660 "./jsutil.h"
  HEAP8[($3)]=0; HEAP8[($3+1)]=0; HEAP8[($3+2)]=0; HEAP8[($3+3)]=0; HEAP8[($3+4)]=0; HEAP8[($3+5)]=0; HEAP8[($3+6)]=0; HEAP8[($3+7)]=0; //@line 660 "./jsutil.h"
  ;
  return; //@line 661 "./jsutil.h"
}


function __ZN18TypedArrayTemplateIdE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIdE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateIdE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIdE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIdE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeIdEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIdE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateIdE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateIdE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIdE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateIdE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateIdE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIdE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=8; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19TypeIsFloatingPointIdEKbv() {
  ;
  var __label__;

  ;
  return 1; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedIdEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateIdE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateIdE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateIdE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<3))|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateIdE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZN18TypedArrayTemplateIdE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js10TypedArray9getBufferEP8JSObject($8); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getBufferEP8JSObject($10); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN18TypedArrayTemplateIdE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($14, $15, $16, $17); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$18; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getDataOffsetEP8JSObject($20); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$21; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($22+($23<<3))|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$24; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray7getTypeEP8JSObject($25); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray7getTypeEP8JSObject($27); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($26)|0)==(($28)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $31=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $38=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray9getLengthEP8JSObject($38); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$39; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray7getTypeEP8JSObject($40); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($41)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($41)|0) == 1 || (($41)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($41)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($41)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($41)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($41)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($41)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($41)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $43=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray13getDataOffsetEP8JSObject($43); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$44; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $46=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $50=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$51; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP8[($50)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52 << 24) >> 24); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+8)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$53,HEAP32[(($54)>>2)]=tempDoubleI32[0],HEAP32[(($54+4)>>2)]=tempDoubleI32[1]); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $57=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$58; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $61=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray13getDataOffsetEP8JSObject($61); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$62; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $64=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $68=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=HEAPU8[($68)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)&255); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+8)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$73; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$71,HEAP32[(($72)>>2)]=tempDoubleI32[0],HEAP32[(($72+4)>>2)]=tempDoubleI32[1]); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $75=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=(($75+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$76; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $79=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=__ZN2js10TypedArray13getDataOffsetEP8JSObject($79); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=$80; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$81; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $83=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($83)>>>0) < (($84)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $87=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$88; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=HEAP16[(($87)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=(($89 << 16) >> 16); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($91+8)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$92; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$90,HEAP32[(($91)>>2)]=tempDoubleI32[0],HEAP32[(($91+4)>>2)]=tempDoubleI32[1]); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $94=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=(($94+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$95; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $98=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN2js10TypedArray13getDataOffsetEP8JSObject($98); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=$99; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$100; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $102=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($102)>>>0) < (($103)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($104) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $106=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=(($106+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$107; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAPU16[(($106)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($108)&65535); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=(($110+8)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$111; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$109,HEAP32[(($110)>>2)]=tempDoubleI32[0],HEAP32[(($110+4)>>2)]=tempDoubleI32[1]); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $113=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=(($113+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$114; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $117=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=__ZN2js10TypedArray13getDataOffsetEP8JSObject($117); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=$118; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$119; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $121=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($121)>>>0) < (($122)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($123) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $125=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$126; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=HEAP32[(($125)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=(($127)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $129=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $130=(($129+8)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$130; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$128,HEAP32[(($129)>>2)]=tempDoubleI32[0],HEAP32[(($129+4)>>2)]=tempDoubleI32[1]); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $132=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=(($132+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$133; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $136=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=__ZN2js10TypedArray13getDataOffsetEP8JSObject($136); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=$137; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$138; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $140=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=(($140)>>>0) < (($141)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($142) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $144=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=(($144+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$145; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=HEAPU32[(($144)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146)>>>0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $148=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $149=(($148+8)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$149; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$147,HEAP32[(($148)>>2)]=tempDoubleI32[0],HEAP32[(($148+4)>>2)]=tempDoubleI32[1]); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $151=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $152=(($151+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$152; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $155=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=__ZN2js10TypedArray13getDataOffsetEP8JSObject($155); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=$156; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$157; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $159=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=(($159)>>>0) < (($160)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($161) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $163=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$164; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=HEAPF32[(($163)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=$165; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $167=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $168=(($167+8)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$168; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$166,HEAP32[(($167)>>2)]=tempDoubleI32[0],HEAP32[(($167+4)>>2)]=tempDoubleI32[1]); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $170=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $171=(($170+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$171; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $174=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=__ZN2js10TypedArray13getDataOffsetEP8JSObject($174); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $176=$175; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$176; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $178=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(($178)>>>0) < (($179)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($180) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $182=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$183; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $184=(tempDoubleI32[0]=HEAP32[(($182)>>2)],tempDoubleI32[1]=HEAP32[(($182+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $186=(($185+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$186; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$184,HEAP32[(($185)>>2)]=tempDoubleI32[0],HEAP32[(($185+4)>>2)]=tempDoubleI32[1]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $188=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $189=(($188+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$189; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $194=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $194; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIdE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%8; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)/8); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=((($35<<3))|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<3))|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 268435455; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateIdE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateIdE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateIdE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateIdE13copyFromArrayEP9JSContextP8JSObjectS4_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateIdE13copyFromArrayEP9JSContextP8JSObjectS4_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $v=__stackBase__;
      var $i1;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $7=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getDataOffsetEP8JSObject($9); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$10; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($11+($12<<3))|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$13; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK8JSObject12isDenseArrayEv($14); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject30getDenseArrayInitializedLengthEv($17); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($18)>>>0) >= (($19)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $22=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN8JSObject21getDenseArrayElementsEv($22); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$23; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $25=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($25)>>>0) < (($26)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$31; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN18TypedArrayTemplateIdE15nativeFromValueEP9JSContextRKN2JS5ValueE($29, $30); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=(($33+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$34; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$32,HEAP32[(($33)>>2)]=tempDoubleI32[0],HEAP32[(($33+4)>>2)]=tempDoubleI32[1]); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $36=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$37; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($45, $46, $47, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $52=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=__ZN18TypedArrayTemplateIdE15nativeFromValueEP9JSContextRKN2JS5ValueE($52, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+8)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$53,HEAP32[(($54)>>2)]=tempDoubleI32[0],HEAP32[(($54+4)>>2)]=tempDoubleI32[1]); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$58; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $62=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE13copyFromArrayEP9JSContextP8JSObjectS4_jj["X"]=1;

function __ZN18TypedArrayTemplateIdE15nativeFromValueEP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d;
      var $dval=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8)|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$9; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $11=$3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZNK2JS5Value8isDoubleEv($11); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIdE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $18=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZL15JSDOUBLE_IS_NaNd3989($18); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $23=__ZL19TypeIsFloatingPointIdEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $25=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$25; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $27=__ZL14TypeIsUnsignedIdEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $29=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__Z21js_DoubleToECMAUint32d($29); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30)>>>0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$31; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $33=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZL20js_DoubleToECMAInt32d4007($33); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=(($34)|0); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$35; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $37=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZNK2JS5Value11isPrimitiveEv($37); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($38) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $40=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZNK2JS5Value7isMagicEv($40); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $43=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$3; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($43, $44, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$46; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $48=__ZN18TypedArrayTemplateIdE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $50=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$50; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $53=$1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIdE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointIdEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12TypeIDOfTypeIfEKiv() {
  ;
  var __label__;

  ;
  return 6; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($cx, $self, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getDataOffsetEP8JSObject($6); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$7; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($8+($9<<3))|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$10; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray7getTypeEP8JSObject($11); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN2js10TypedArray7getTypeEP8JSObject($13); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$17; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray13getDataOffsetEP8JSObject($19); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray13getByteLengthEP8JSObject($21); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($18, $20, $22, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN9JSContext7malloc_Ej($24, $26); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$27; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js10TypedArray7getTypeEP8JSObject($37); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($38)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($38)|0) == 1 || (($38)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($38)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($38)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($38)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($38)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($38)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($38)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $40=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$40; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) < (($44)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $47=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$48; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP8[($47)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49 << 24) >> 24); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+8)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$52; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$50,HEAP32[(($51)>>2)]=tempDoubleI32[0],HEAP32[(($51+4)>>2)]=tempDoubleI32[1]); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $54=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$55; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$58; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $60=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray9getLengthEP8JSObject($61); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($60)>>>0) < (($62)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $65=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=HEAPU8[($65)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)&255); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69+8)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$70; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$68,HEAP32[(($69)>>2)]=tempDoubleI32[0],HEAP32[(($69+4)>>2)]=tempDoubleI32[1]); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $72=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$73; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $76=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$76; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$77; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $79=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=__ZN2js10TypedArray9getLengthEP8JSObject($80); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=(($79)>>>0) < (($81)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $84=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$85; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=HEAP16[(($84)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $87=(($86 << 16) >> 16); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=(($88+8)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$89; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$87,HEAP32[(($88)>>2)]=tempDoubleI32[0],HEAP32[(($88+4)>>2)]=tempDoubleI32[1]); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $91=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($91+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$92; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $95=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$95; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$96; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $98=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN2js10TypedArray9getLengthEP8JSObject($99); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($98)>>>0) < (($100)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $103=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($103+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$104; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $105=HEAPU16[(($103)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=(($105)&65535); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=(($107+8)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$108; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$106,HEAP32[(($107)>>2)]=tempDoubleI32[0],HEAP32[(($107+4)>>2)]=tempDoubleI32[1]); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $110=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=(($110+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$111; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $114=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=$114; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$115; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $117=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=__ZN2js10TypedArray9getLengthEP8JSObject($118); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $120=(($117)>>>0) < (($119)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($120) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $122=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($122+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$123; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=HEAP32[(($122)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=(($124)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=(($126+8)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$127; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$125,HEAP32[(($126)>>2)]=tempDoubleI32[0],HEAP32[(($126+4)>>2)]=tempDoubleI32[1]); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $129=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $130=(($129+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$130; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $133=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $134=$133; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$134; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $136=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=__ZN2js10TypedArray9getLengthEP8JSObject($137); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $139=(($136)>>>0) < (($138)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($139) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $141=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=(($141+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$142; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=HEAPU32[(($141)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=(($143)>>>0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=(($145+8)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$146; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$144,HEAP32[(($145)>>2)]=tempDoubleI32[0],HEAP32[(($145+4)>>2)]=tempDoubleI32[1]); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $148=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $149=(($148+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$149; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $152=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $153=$152; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$153; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $155=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=__ZN2js10TypedArray9getLengthEP8JSObject($156); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $158=(($155)>>>0) < (($157)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($158) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $160=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=(($160+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$161; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=HEAPF32[(($160)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=$162; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=(($164+8)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$165; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$163,HEAP32[(($164)>>2)]=tempDoubleI32[0],HEAP32[(($164+4)>>2)]=tempDoubleI32[1]); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $167=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $168=(($167+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$168; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $171=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $172=$171; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$172; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $174=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $176=__ZN2js10TypedArray9getLengthEP8JSObject($175); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=(($174)>>>0) < (($176)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($177) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $179=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(($179+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$180; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=(tempDoubleI32[0]=HEAP32[(($179)>>2)],tempDoubleI32[1]=HEAP32[(($179+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$183; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$181,HEAP32[(($182)>>2)]=tempDoubleI32[0],HEAP32[(($182+4)>>2)]=tempDoubleI32[1]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $185=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $186=(($185+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$186; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $190=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($190); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $192=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $192; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIfE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIfE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateIfE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIfE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIfE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeIfEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIfE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateIfE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateIfE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIfE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateIfE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateIfE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIfE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=4; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIfE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateIfE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateIfE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateIfE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<2))|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateIfE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZL19TypeIsFloatingPointIfEKbv() {
  ;
  var __label__;

  ;
  return 1; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedIfEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js10TypedArray9getBufferEP8JSObject($8); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getBufferEP8JSObject($10); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN18TypedArrayTemplateIfE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($14, $15, $16, $17); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$18; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getDataOffsetEP8JSObject($20); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$21; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($22+($23<<2))|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$24; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray7getTypeEP8JSObject($25); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray7getTypeEP8JSObject($27); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($26)|0)==(($28)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $31=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $38=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray9getLengthEP8JSObject($38); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$39; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray7getTypeEP8JSObject($40); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($41)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($41)|0) == 1 || (($41)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($41)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($41)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($41)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($41)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($41)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($41)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $43=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray13getDataOffsetEP8JSObject($43); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$44; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $46=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $50=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$51; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP8[($50)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52 << 24) >> 24); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+4)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($54)>>2)]=$53; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $57=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$58; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $61=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray13getDataOffsetEP8JSObject($61); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$62; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $64=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $68=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=HEAPU8[($68)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)&255); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+4)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$73; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($72)>>2)]=$71; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $75=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=(($75+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$76; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $79=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=__ZN2js10TypedArray13getDataOffsetEP8JSObject($79); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=$80; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$81; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $83=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($83)>>>0) < (($84)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $87=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$88; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=HEAP16[(($87)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=(($89 << 16) >> 16); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($91+4)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$92; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($91)>>2)]=$90; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $94=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=(($94+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$95; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $98=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN2js10TypedArray13getDataOffsetEP8JSObject($98); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=$99; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$100; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $102=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($102)>>>0) < (($103)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($104) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $106=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=(($106+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$107; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAPU16[(($106)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($108)&65535); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=(($110+4)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$111; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($110)>>2)]=$109; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $113=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=(($113+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$114; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $117=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=__ZN2js10TypedArray13getDataOffsetEP8JSObject($117); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=$118; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$119; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $121=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($121)>>>0) < (($122)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($123) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $125=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$126; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=HEAP32[(($125)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=(($127)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $129=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $130=(($129+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$130; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($129)>>2)]=$128; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $132=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=(($132+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$133; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $136=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=__ZN2js10TypedArray13getDataOffsetEP8JSObject($136); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=$137; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$138; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $140=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=(($140)>>>0) < (($141)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($142) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $144=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=(($144+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$145; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=HEAPU32[(($144)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146)>>>0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $148=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $149=(($148+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$149; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($148)>>2)]=$147; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $151=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $152=(($151+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$152; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $155=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=__ZN2js10TypedArray13getDataOffsetEP8JSObject($155); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=$156; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$157; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $159=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=(($159)>>>0) < (($160)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($161) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $163=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$164; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=HEAPF32[(($163)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $167=(($166+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$167; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($166)>>2)]=$165; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $169=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $170=(($169+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$170; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $173=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=__ZN2js10TypedArray13getDataOffsetEP8JSObject($173); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=$174; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$175; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $177=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=(($177)>>>0) < (($178)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($179) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $181=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(($181+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$182; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(tempDoubleI32[0]=HEAP32[(($181)>>2)],tempDoubleI32[1]=HEAP32[(($181+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $184=$183; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $186=(($185+4)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$186; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($185)>>2)]=$184; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $188=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $189=(($188+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$189; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $194=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $194; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIfE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%4; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)/4); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=((($35<<2))|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<2))|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 536870911; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateIfE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateIfE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateIfE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateIfE13copyFromArrayEP9JSContextP8JSObjectS4_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateIfE13copyFromArrayEP9JSContextP8JSObjectS4_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $v=__stackBase__;
      var $i1;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $7=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getDataOffsetEP8JSObject($9); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$10; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($11+($12<<2))|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$13; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK8JSObject12isDenseArrayEv($14); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject30getDenseArrayInitializedLengthEv($17); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($18)>>>0) >= (($19)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $22=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN8JSObject21getDenseArrayElementsEv($22); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$23; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $25=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($25)>>>0) < (($26)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$31; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN18TypedArrayTemplateIfE15nativeFromValueEP9JSContextRKN2JS5ValueE($29, $30); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=(($33+4)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$34; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($33)>>2)]=$32; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $36=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$37; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($45, $46, $47, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $52=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=__ZN18TypedArrayTemplateIfE15nativeFromValueEP9JSContextRKN2JS5ValueE($52, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+4)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($54)>>2)]=$53; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$58; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $62=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE13copyFromArrayEP9JSContextP8JSObjectS4_jj["X"]=1;

function __ZN18TypedArrayTemplateIfE15nativeFromValueEP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d;
      var $dval=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8)|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$9; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $11=$3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZNK2JS5Value8isDoubleEv($11); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIfE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $18=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZL15JSDOUBLE_IS_NaNd3989($18); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $23=__ZL19TypeIsFloatingPointIfEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $25=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$25; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$26; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $28=__ZL14TypeIsUnsignedIfEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $30=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__Z21js_DoubleToECMAUint32d($30); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)>>>0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$32; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $34=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZL20js_DoubleToECMAInt32d4007($34); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$36; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $38=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZNK2JS5Value11isPrimitiveEv($38); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $41=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value7isMagicEv($41); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $44=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$3; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($44, $45, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$47; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$48; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $50=__ZN18TypedArrayTemplateIfE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $52=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$52; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$53; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $56=$1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIfE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointIfEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12TypeIDOfTypeIjEKiv() {
  ;
  var __label__;

  ;
  return 5; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($cx, $self, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getDataOffsetEP8JSObject($6); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$7; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($8+($9<<2))|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$10; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray7getTypeEP8JSObject($11); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN2js10TypedArray7getTypeEP8JSObject($13); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$17; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray13getDataOffsetEP8JSObject($19); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray13getByteLengthEP8JSObject($21); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($18, $20, $22, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN9JSContext7malloc_Ej($24, $26); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$27; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js10TypedArray7getTypeEP8JSObject($37); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($38)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($38)|0) == 1 || (($38)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($38)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($38)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($38)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($38)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($38)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($38)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $40=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$40; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) < (($44)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $47=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$48; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP8[($47)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49 << 24) >> 24); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+4)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$52; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($51)>>2)]=$50; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $54=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$55; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$58; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $60=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray9getLengthEP8JSObject($61); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($60)>>>0) < (($62)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $65=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=HEAPU8[($65)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)&255); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69+4)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$70; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($69)>>2)]=$68; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $72=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$73; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $76=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$76; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$77; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $79=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=__ZN2js10TypedArray9getLengthEP8JSObject($80); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=(($79)>>>0) < (($81)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $84=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$85; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=HEAP16[(($84)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $87=(($86 << 16) >> 16); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=(($88+4)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$89; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($88)>>2)]=$87; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $91=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($91+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$92; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $95=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$95; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$96; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $98=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN2js10TypedArray9getLengthEP8JSObject($99); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($98)>>>0) < (($100)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $103=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($103+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$104; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $105=HEAPU16[(($103)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=(($105)&65535); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=(($107+4)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$108; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($107)>>2)]=$106; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $110=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=(($110+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$111; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $114=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=$114; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$115; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $117=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=__ZN2js10TypedArray9getLengthEP8JSObject($118); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $120=(($117)>>>0) < (($119)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($120) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $122=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($122+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$123; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=HEAP32[(($122)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=(($124)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=(($126+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$127; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($126)>>2)]=$125; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $129=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $130=(($129+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$130; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $133=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $134=$133; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$134; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $136=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=__ZN2js10TypedArray9getLengthEP8JSObject($137); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $139=(($136)>>>0) < (($138)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($139) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $141=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=(($141+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$142; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=HEAPU32[(($141)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=(($143)>>>0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=(($145+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$146; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($145)>>2)]=$144; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $148=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $149=(($148+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$149; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $152=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $153=$152; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$153; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $155=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=__ZN2js10TypedArray9getLengthEP8JSObject($156); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $158=(($155)>>>0) < (($157)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($158) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $160=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=(($160+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$161; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=HEAPF32[(($160)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$164; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($163)>>2)]=$162; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $166=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $167=(($166+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$167; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $170=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $171=$170; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$171; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $173=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=__ZN2js10TypedArray9getLengthEP8JSObject($174); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $176=(($173)>>>0) < (($175)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($176) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $178=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=(($178+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$179; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(tempDoubleI32[0]=HEAP32[(($178)>>2)],tempDoubleI32[1]=HEAP32[(($178+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=$180; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182+4)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$183; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAPF32[(($182)>>2)]=$181; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $185=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $186=(($185+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$186; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $190=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($190); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $192=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $192; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIjE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIjE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateIjE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIjE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIjE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeIjEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIjE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateIjE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateIjE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIjE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateIjE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateIjE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIjE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=4; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIjE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateIjE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateIjE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateIjE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<2))|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateIjE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZL19TypeIsFloatingPointIjEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedIjEKbv() {
  ;
  var __label__;

  ;
  return 1; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js10TypedArray9getBufferEP8JSObject($8); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getBufferEP8JSObject($10); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN18TypedArrayTemplateIjE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($14, $15, $16, $17); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$18; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getDataOffsetEP8JSObject($20); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$21; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($22+($23<<2))|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$24; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray7getTypeEP8JSObject($25); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray7getTypeEP8JSObject($27); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($26)|0)==(($28)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $31=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $38=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray9getLengthEP8JSObject($38); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$39; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray7getTypeEP8JSObject($40); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($41)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($41)|0) == 1 || (($41)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($41)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($41)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($41)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($41)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($41)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($41)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $43=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray13getDataOffsetEP8JSObject($43); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$44; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $46=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $50=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$51; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP8[($50)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52 << 24) >> 24); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+4)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $57=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$58; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $61=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray13getDataOffsetEP8JSObject($61); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$62; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $64=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $68=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=HEAPU8[($68)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)&255); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+4)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$73; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($72)>>2)]=$71; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $75=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=(($75+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$76; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $79=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=__ZN2js10TypedArray13getDataOffsetEP8JSObject($79); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=$80; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$81; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $83=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($83)>>>0) < (($84)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $87=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$88; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=HEAP16[(($87)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=(($89 << 16) >> 16); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($91+4)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$92; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($91)>>2)]=$90; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $94=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=(($94+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$95; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $98=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN2js10TypedArray13getDataOffsetEP8JSObject($98); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=$99; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$100; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $102=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($102)>>>0) < (($103)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($104) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $106=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=(($106+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$107; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAPU16[(($106)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($108)&65535); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=(($110+4)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$111; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($110)>>2)]=$109; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $113=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=(($113+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$114; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $117=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=__ZN2js10TypedArray13getDataOffsetEP8JSObject($117); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=$118; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$119; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $121=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($121)>>>0) < (($122)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($123) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $125=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$126; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=HEAP32[(($125)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $129=(($128+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$129; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($128)>>2)]=$127; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $131=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $132=(($131+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$132; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $135=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=__ZN2js10TypedArray13getDataOffsetEP8JSObject($135); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=$136; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$137; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $139=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $140=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=(($139)>>>0) < (($140)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($141) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $143=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=(($143+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$144; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=HEAP32[(($143)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$147; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($146)>>2)]=$145; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $149=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $150=(($149+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$150; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $153=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=__ZN2js10TypedArray13getDataOffsetEP8JSObject($153); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=$154; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$155; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $157=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $158=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($157)>>>0) < (($158)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($159) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $161=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=(($161+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$162; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=HEAPF32[(($161)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=($163 >= 0 ? Math.floor($163) : Math.ceil($163)); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($165+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$166; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($165)>>2)]=$164; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $168=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $169=(($168+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$169; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $172=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=__ZN2js10TypedArray13getDataOffsetEP8JSObject($172); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=$173; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$174; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $176=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($176)>>>0) < (($177)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($178) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $180=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=(($180+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$181; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(tempDoubleI32[0]=HEAP32[(($180)>>2)],tempDoubleI32[1]=HEAP32[(($180+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=($182 >= 0 ? Math.floor($182) : Math.ceil($182)); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $184=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=(($184+4)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$185; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($184)>>2)]=$183; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $187=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $188=(($187+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$188; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $193=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $193; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIjE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%4; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)/4); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=((($35<<2))|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<2))|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 536870911; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateIjE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateIjE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateIjE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateIjE13copyFromArrayEP9JSContextP8JSObjectS4_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateIjE13copyFromArrayEP9JSContextP8JSObjectS4_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $v=__stackBase__;
      var $i1;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $7=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getDataOffsetEP8JSObject($9); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$10; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($11+($12<<2))|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$13; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK8JSObject12isDenseArrayEv($14); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject30getDenseArrayInitializedLengthEv($17); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($18)>>>0) >= (($19)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $22=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN8JSObject21getDenseArrayElementsEv($22); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$23; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $25=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($25)>>>0) < (($26)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$31; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN18TypedArrayTemplateIjE15nativeFromValueEP9JSContextRKN2JS5ValueE($29, $30); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=(($33+4)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$34; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $36=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$37; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($45, $46, $47, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $52=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=__ZN18TypedArrayTemplateIjE15nativeFromValueEP9JSContextRKN2JS5ValueE($52, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+4)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$58; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $62=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE13copyFromArrayEP9JSContextP8JSObjectS4_jj["X"]=1;

function __ZN18TypedArrayTemplateIjE15nativeFromValueEP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d;
      var $dval=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$8; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $10=$3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZNK2JS5Value8isDoubleEv($10); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK2JS5Value8toDoubleEv($13); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$14; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIjE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $17=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZL15JSDOUBLE_IS_NaNd3989($17); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($18)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $22=__ZL19TypeIsFloatingPointIjEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $24=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=($24 >= 0 ? Math.floor($24) : Math.ceil($24)); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$25; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $27=__ZL14TypeIsUnsignedIjEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $29=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__Z21js_DoubleToECMAUint32d($29); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$30; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $32=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZL20js_DoubleToECMAInt32d4007($32); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$33; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $35=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK2JS5Value11isPrimitiveEv($35); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $38=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZNK2JS5Value7isMagicEv($38); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($39) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $41=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$3; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($41, $42, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=($44 >= 0 ? Math.floor($44) : Math.ceil($44)); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$45; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $47=__ZN18TypedArrayTemplateIjE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($47) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $49=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=($49 >= 0 ? Math.floor($49) : Math.ceil($49)); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$50; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $53=$1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIjE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointIjEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12TypeIDOfTypeIiEKiv() {
  ;
  var __label__;

  ;
  return 4; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($cx, $self, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getDataOffsetEP8JSObject($6); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$7; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($8+($9<<2))|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$10; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray7getTypeEP8JSObject($11); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN2js10TypedArray7getTypeEP8JSObject($13); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$17; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray13getDataOffsetEP8JSObject($19); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray13getByteLengthEP8JSObject($21); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($18, $20, $22, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN9JSContext7malloc_Ej($24, $26); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$27; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js10TypedArray7getTypeEP8JSObject($37); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($38)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($38)|0) == 1 || (($38)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($38)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($38)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($38)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($38)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($38)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($38)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $40=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$40; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) < (($44)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $47=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$48; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP8[($47)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49 << 24) >> 24); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+4)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$52; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($51)>>2)]=$50; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $54=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$55; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$58; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $60=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray9getLengthEP8JSObject($61); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($60)>>>0) < (($62)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $65=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=HEAPU8[($65)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)&255); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69+4)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$70; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($69)>>2)]=$68; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $72=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$73; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $76=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$76; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$77; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $79=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=__ZN2js10TypedArray9getLengthEP8JSObject($80); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=(($79)>>>0) < (($81)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $84=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$85; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=HEAP16[(($84)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $87=(($86 << 16) >> 16); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=(($88+4)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$89; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($88)>>2)]=$87; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $91=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($91+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$92; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $95=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$95; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$96; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $98=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN2js10TypedArray9getLengthEP8JSObject($99); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($98)>>>0) < (($100)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $103=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($103+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$104; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $105=HEAPU16[(($103)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=(($105)&65535); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=(($107+4)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$108; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($107)>>2)]=$106; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $110=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=(($110+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$111; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $114=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=$114; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$115; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $117=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=__ZN2js10TypedArray9getLengthEP8JSObject($118); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $120=(($117)>>>0) < (($119)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($120) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $122=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($122+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$123; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=HEAP32[(($122)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$126; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($125)>>2)]=$124; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $128=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $129=(($128+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$129; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $132=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=$132; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$133; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $135=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=__ZN2js10TypedArray9getLengthEP8JSObject($136); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=(($135)>>>0) < (($137)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($138) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $140=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=(($140+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$141; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=HEAP32[(($140)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=(($143+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$144; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($143)>>2)]=$142; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $146=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$147; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $150=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $151=$150; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$151; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $153=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=__ZN2js10TypedArray9getLengthEP8JSObject($154); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=(($153)>>>0) < (($155)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($156) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $158=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($158+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$159; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=HEAPF32[(($158)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=($160 >= 0 ? Math.floor($160) : Math.ceil($160)); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=(($162+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$163; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($162)>>2)]=$161; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $165=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($165+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$166; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $169=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $170=$169; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$170; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $172=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=__ZN2js10TypedArray9getLengthEP8JSObject($173); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=(($172)>>>0) < (($174)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($175) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $177=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($177+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$178; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=(tempDoubleI32[0]=HEAP32[(($177)>>2)],tempDoubleI32[1]=HEAP32[(($177+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=($179 >= 0 ? Math.floor($179) : Math.ceil($179)); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(($181+4)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$182; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($181)>>2)]=$180; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $184=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=(($184+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$185; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $189=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($189); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $191=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $191; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIiE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIiE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateIiE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIiE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIiE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeIiEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIiE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateIiE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateIiE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIiE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateIiE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateIiE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIiE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=4; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIiE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateIiE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateIiE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateIiE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<2))|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateIiE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZL19TypeIsFloatingPointIiEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedIiEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js10TypedArray9getBufferEP8JSObject($8); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getBufferEP8JSObject($10); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN18TypedArrayTemplateIiE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($14, $15, $16, $17); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$18; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getDataOffsetEP8JSObject($20); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$21; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($22+($23<<2))|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$24; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray7getTypeEP8JSObject($25); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray7getTypeEP8JSObject($27); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($26)|0)==(($28)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $31=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $38=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray9getLengthEP8JSObject($38); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$39; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray7getTypeEP8JSObject($40); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($41)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($41)|0) == 1 || (($41)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($41)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($41)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($41)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($41)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($41)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($41)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $43=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray13getDataOffsetEP8JSObject($43); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$44; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $46=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $50=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$51; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP8[($50)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52 << 24) >> 24); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+4)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $57=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$58; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $61=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray13getDataOffsetEP8JSObject($61); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$62; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $64=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $68=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=HEAPU8[($68)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)&255); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+4)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$73; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($72)>>2)]=$71; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $75=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=(($75+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$76; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $79=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=__ZN2js10TypedArray13getDataOffsetEP8JSObject($79); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=$80; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$81; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $83=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($83)>>>0) < (($84)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $87=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$88; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=HEAP16[(($87)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=(($89 << 16) >> 16); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($91+4)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$92; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($91)>>2)]=$90; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $94=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=(($94+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$95; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $98=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN2js10TypedArray13getDataOffsetEP8JSObject($98); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=$99; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$100; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $102=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($102)>>>0) < (($103)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($104) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $106=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=(($106+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$107; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=HEAPU16[(($106)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($108)&65535); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=(($110+4)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$111; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($110)>>2)]=$109; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $113=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=(($113+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$114; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $117=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=__ZN2js10TypedArray13getDataOffsetEP8JSObject($117); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=$118; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$119; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $121=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($121)>>>0) < (($122)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($123) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $125=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$126; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=HEAP32[(($125)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $129=(($128+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$129; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($128)>>2)]=$127; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $131=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $132=(($131+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$132; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $135=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=__ZN2js10TypedArray13getDataOffsetEP8JSObject($135); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=$136; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$137; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $139=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $140=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=(($139)>>>0) < (($140)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($141) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $143=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=(($143+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$144; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=HEAP32[(($143)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$147; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($146)>>2)]=$145; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $149=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $150=(($149+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$150; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $153=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=__ZN2js10TypedArray13getDataOffsetEP8JSObject($153); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=$154; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$155; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $157=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $158=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($157)>>>0) < (($158)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($159) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $161=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=(($161+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$162; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=HEAPF32[(($161)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163)&-1); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($165+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$166; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($165)>>2)]=$164; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $168=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $169=(($168+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$169; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $172=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=__ZN2js10TypedArray13getDataOffsetEP8JSObject($172); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=$173; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$174; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $176=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($176)>>>0) < (($177)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($178) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $180=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=(($180+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$181; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(tempDoubleI32[0]=HEAP32[(($180)>>2)],tempDoubleI32[1]=HEAP32[(($180+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182)&-1); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $184=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=(($184+4)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$185; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($184)>>2)]=$183; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $187=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $188=(($187+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$188; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $193=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $193; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIiE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%4; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)/4); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=((($35<<2))|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<2))|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 536870911; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateIiE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateIiE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateIiE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateIiE13copyFromArrayEP9JSContextP8JSObjectS4_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateIiE13copyFromArrayEP9JSContextP8JSObjectS4_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $v=__stackBase__;
      var $i1;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $7=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getDataOffsetEP8JSObject($9); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$10; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($11+($12<<2))|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$13; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK8JSObject12isDenseArrayEv($14); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject30getDenseArrayInitializedLengthEv($17); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($18)>>>0) >= (($19)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $22=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN8JSObject21getDenseArrayElementsEv($22); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$23; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $25=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($25)>>>0) < (($26)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$31; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN18TypedArrayTemplateIiE15nativeFromValueEP9JSContextRKN2JS5ValueE($29, $30); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=(($33+4)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$34; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $36=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$37; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($45, $46, $47, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $52=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=__ZN18TypedArrayTemplateIiE15nativeFromValueEP9JSContextRKN2JS5ValueE($52, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+4)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$58; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $62=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE13copyFromArrayEP9JSContextP8JSObjectS4_jj["X"]=1;

function __ZN18TypedArrayTemplateIiE15nativeFromValueEP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d;
      var $dval=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$8; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $10=$3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZNK2JS5Value8isDoubleEv($10); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK2JS5Value8toDoubleEv($13); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$14; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIiE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $17=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZL15JSDOUBLE_IS_NaNd3989($17); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($18)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $22=__ZL19TypeIsFloatingPointIiEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $24=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=(($24)&-1); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$25; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $27=__ZL14TypeIsUnsignedIiEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $29=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__Z21js_DoubleToECMAUint32d($29); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$30; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $32=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZL20js_DoubleToECMAInt32d4007($32); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$33; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $35=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK2JS5Value11isPrimitiveEv($35); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $38=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZNK2JS5Value7isMagicEv($38); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($39) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $41=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$3; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($41, $42, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($44)&-1); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$45; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $47=__ZN18TypedArrayTemplateIiE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($47) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $49=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49)&-1); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$50; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $53=$1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIiE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointIiEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12TypeIDOfTypeItEKiv() {
  ;
  var __label__;

  ;
  return 3; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($cx, $self, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getDataOffsetEP8JSObject($6); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$7; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($8+($9<<2))|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$10; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray7getTypeEP8JSObject($11); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN2js10TypedArray7getTypeEP8JSObject($13); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$17; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray13getDataOffsetEP8JSObject($19); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray13getByteLengthEP8JSObject($21); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($18, $20, $22, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN9JSContext7malloc_Ej($24, $26); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$27; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js10TypedArray7getTypeEP8JSObject($37); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($38)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($38)|0) == 1 || (($38)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($38)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($38)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($38)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($38)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($38)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($38)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $40=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$40; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) < (($44)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $47=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$48; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP8[($47)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49 << 24) >> 24); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+4)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$52; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($51)>>2)]=$50; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $54=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$55; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$58; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $60=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray9getLengthEP8JSObject($61); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($60)>>>0) < (($62)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $65=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=HEAPU8[($65)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)&255); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69+4)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$70; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($69)>>2)]=$68; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $72=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$73; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $76=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$76; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$77; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $79=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=__ZN2js10TypedArray9getLengthEP8JSObject($80); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=(($79)>>>0) < (($81)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $84=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$85; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=HEAP16[(($84)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $87=(($86 << 16) >> 16); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=(($88+4)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$89; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($88)>>2)]=$87; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $91=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=(($91+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$92; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $95=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$95; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$96; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $98=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=__ZN2js10TypedArray9getLengthEP8JSObject($99); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=(($98)>>>0) < (($100)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($101) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $103=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($103+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$104; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $105=HEAPU16[(($103)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=(($105)&65535); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=(($107+4)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$108; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($107)>>2)]=$106; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $110=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=(($110+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$111; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $114=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=$114; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$115; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $117=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=__ZN2js10TypedArray9getLengthEP8JSObject($118); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $120=(($117)>>>0) < (($119)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($120) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $122=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($122+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$123; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=HEAP32[(($122)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$126; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($125)>>2)]=$124; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $128=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $129=(($128+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$129; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $132=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=$132; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$133; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $135=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=__ZN2js10TypedArray9getLengthEP8JSObject($136); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=(($135)>>>0) < (($137)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($138) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $140=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=(($140+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$141; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=HEAP32[(($140)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=(($143+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$144; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($143)>>2)]=$142; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $146=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$147; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $150=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $151=$150; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$151; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $153=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=__ZN2js10TypedArray9getLengthEP8JSObject($154); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=(($153)>>>0) < (($155)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($156) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $158=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($158+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$159; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=HEAPF32[(($158)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=(($160)&-1); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=(($162+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$163; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($162)>>2)]=$161; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $165=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($165+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$166; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $169=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $170=$169; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$170; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $172=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=__ZN2js10TypedArray9getLengthEP8JSObject($173); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=(($172)>>>0) < (($174)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($175) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $177=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($177+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$178; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=(tempDoubleI32[0]=HEAP32[(($177)>>2)],tempDoubleI32[1]=HEAP32[(($177+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(($179)&-1); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(($181+4)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$182; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($181)>>2)]=$180; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $184=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=(($184+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$185; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $189=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($189); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $191=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $191; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateItE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateItE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateItE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateItE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateItE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeItEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateItE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateItE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateItE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateItE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateItE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateItE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateItE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=2; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateItE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateItE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateItE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateItE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<1))|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateItE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZL19TypeIsFloatingPointItEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedItEKbv() {
  ;
  var __label__;

  ;
  return 1; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js10TypedArray9getBufferEP8JSObject($8); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getBufferEP8JSObject($10); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN18TypedArrayTemplateItE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($14, $15, $16, $17); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$18; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getDataOffsetEP8JSObject($20); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$21; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($22+($23<<1))|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$24; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray7getTypeEP8JSObject($25); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray7getTypeEP8JSObject($27); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($26)|0)==(($28)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $31=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $38=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray9getLengthEP8JSObject($38); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$39; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray7getTypeEP8JSObject($40); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($41)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($41)|0) == 1 || (($41)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($41)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($41)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($41)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($41)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($41)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($41)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $43=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray13getDataOffsetEP8JSObject($43); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$44; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $46=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $50=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$51; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP8[($50)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52 << 24) >> 24); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+2)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($54)>>1)]=$53; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $57=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$58; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $61=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray13getDataOffsetEP8JSObject($61); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$62; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $64=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $68=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=HEAPU8[($68)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)&255); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+2)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$73; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($72)>>1)]=$71; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $75=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=(($75+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$76; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $79=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=__ZN2js10TypedArray13getDataOffsetEP8JSObject($79); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=$80; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$81; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $83=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($83)>>>0) < (($84)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $87=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$88; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=HEAP16[(($87)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=(($90+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$91; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($90)>>1)]=$89; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $93=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $94=(($93+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$94; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $97=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray13getDataOffsetEP8JSObject($97); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$98; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$99; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $101=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=(($101)>>>0) < (($102)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($103) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $105=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=(($105+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$106; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=HEAP16[(($105)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($108+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$109; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($108)>>1)]=$107; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $111=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $112=(($111+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$112; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $115=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $116=__ZN2js10TypedArray13getDataOffsetEP8JSObject($115); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $117=$116; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$117; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $119=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $120=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $121=(($119)>>>0) < (($120)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($121) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $123=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=(($123+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$124; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=HEAP32[(($123)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125) & 65535); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=(($127+2)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$128; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($127)>>1)]=$126; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $130=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $131=(($130+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$131; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $134=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $135=__ZN2js10TypedArray13getDataOffsetEP8JSObject($134); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=$135; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$136; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $138=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $139=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $140=(($138)>>>0) < (($139)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($140) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $142=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=(($142+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$143; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=HEAP32[(($142)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=(($144) & 65535); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146+2)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$147; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($146)>>1)]=$145; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $149=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $150=(($149+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$150; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $153=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=__ZN2js10TypedArray13getDataOffsetEP8JSObject($153); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=$154; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$155; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $157=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $158=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($157)>>>0) < (($158)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($159) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $161=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=(($161+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$162; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=HEAPF32[(($161)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=($163 >= 0 ? Math.floor($163) : Math.ceil($163)); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($165+2)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$166; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($165)>>1)]=$164; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $168=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $169=(($168+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$169; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $172=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=__ZN2js10TypedArray13getDataOffsetEP8JSObject($172); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=$173; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$174; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $176=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($176)>>>0) < (($177)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($178) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $180=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=(($180+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$181; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(tempDoubleI32[0]=HEAP32[(($180)>>2)],tempDoubleI32[1]=HEAP32[(($180+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=($182 >= 0 ? Math.floor($182) : Math.ceil($182)); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $184=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=(($184+2)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$185; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($184)>>1)]=$183; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $187=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $188=(($187+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$188; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $193=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $193; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateItE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%2; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)/2); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=((($35<<1))|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<1))|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 1073741823; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateItE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateItE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateItE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateItE13copyFromArrayEP9JSContextP8JSObjectS4_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateItE13copyFromArrayEP9JSContextP8JSObjectS4_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $v=__stackBase__;
      var $i1;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $7=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getDataOffsetEP8JSObject($9); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$10; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($11+($12<<1))|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$13; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK8JSObject12isDenseArrayEv($14); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject30getDenseArrayInitializedLengthEv($17); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($18)>>>0) >= (($19)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $22=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN8JSObject21getDenseArrayElementsEv($22); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$23; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $25=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($25)>>>0) < (($26)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$31; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN18TypedArrayTemplateItE15nativeFromValueEP9JSContextRKN2JS5ValueE($29, $30); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=(($33+2)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$34; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($33)>>1)]=$32; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $36=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$37; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($45, $46, $47, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $52=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=__ZN18TypedArrayTemplateItE15nativeFromValueEP9JSContextRKN2JS5ValueE($52, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+2)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($54)>>1)]=$53; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$58; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $62=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE13copyFromArrayEP9JSContextP8JSObjectS4_jj["X"]=1;

function __ZN18TypedArrayTemplateItE15nativeFromValueEP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d;
      var $dval=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8) & 65535); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$9; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $11=$3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZNK2JS5Value8isDoubleEv($11); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateItE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $18=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZL15JSDOUBLE_IS_NaNd3989($18); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $23=__ZL19TypeIsFloatingPointItEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $25=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=($25 >= 0 ? Math.floor($25) : Math.ceil($25)); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$26; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $28=__ZL14TypeIsUnsignedItEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $30=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__Z21js_DoubleToECMAUint32d($30); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31) & 65535); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$32; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $34=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZL20js_DoubleToECMAInt32d4007($34); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35) & 65535); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$36; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $38=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZNK2JS5Value11isPrimitiveEv($38); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $41=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value7isMagicEv($41); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $44=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$3; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($44, $45, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=($47 >= 0 ? Math.floor($47) : Math.ceil($47)); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$48; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $50=__ZN18TypedArrayTemplateItE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $52=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=($52 >= 0 ? Math.floor($52) : Math.ceil($52)); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$53; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $56=$1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateItE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointItEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12TypeIDOfTypeIsEKiv() {
  ;
  var __label__;

  ;
  return 2; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($cx, $self, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getDataOffsetEP8JSObject($6); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$7; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($8+($9<<1))|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$10; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray7getTypeEP8JSObject($11); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN2js10TypedArray7getTypeEP8JSObject($13); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$17; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray13getDataOffsetEP8JSObject($19); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray13getByteLengthEP8JSObject($21); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($18, $20, $22, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN9JSContext7malloc_Ej($24, $26); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$27; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js10TypedArray7getTypeEP8JSObject($37); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($38)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($38)|0) == 1 || (($38)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($38)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($38)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($38)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($38)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($38)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($38)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $40=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$40; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) < (($44)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $47=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$48; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP8[($47)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49 << 24) >> 24); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+2)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$52; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($51)>>1)]=$50; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $54=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$55; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$58; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $60=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray9getLengthEP8JSObject($61); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($60)>>>0) < (($62)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $65=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=HEAPU8[($65)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)&255); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69+2)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$70; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($69)>>1)]=$68; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $72=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$73; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $76=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$76; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$77; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $79=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=__ZN2js10TypedArray9getLengthEP8JSObject($80); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=(($79)>>>0) < (($81)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $84=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$85; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=HEAP16[(($84)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $87=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$88; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($87)>>1)]=$86; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $90=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=(($90+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$91; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $94=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$94; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$95; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $97=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN2js10TypedArray9getLengthEP8JSObject($98); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($97)>>>0) < (($99)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($100) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $102=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=(($102+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$103; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=HEAP16[(($102)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $105=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=(($105+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$106; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($105)>>1)]=$104; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $108=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($108+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$109; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $112=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $113=$112; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$113; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $115=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $116=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $117=__ZN2js10TypedArray9getLengthEP8JSObject($116); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=(($115)>>>0) < (($117)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($118) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $120=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $121=(($120+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$121; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=HEAP32[(($120)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($122) & 65535); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=(($124+2)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$125; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($124)>>1)]=$123; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $127=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=(($127+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$128; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $131=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $132=$131; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$132; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $134=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $135=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=__ZN2js10TypedArray9getLengthEP8JSObject($135); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=(($134)>>>0) < (($136)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($137) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $139=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $140=(($139+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$140; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=HEAP32[(($139)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=(($141) & 65535); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=(($143+2)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$144; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($143)>>1)]=$142; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $146=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$147; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $150=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $151=$150; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$151; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $153=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=__ZN2js10TypedArray9getLengthEP8JSObject($154); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=(($153)>>>0) < (($155)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($156) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $158=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($158+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$159; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=HEAPF32[(($158)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=($160 >= 0 ? Math.floor($160) : Math.ceil($160)); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=(($162+2)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$163; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($162)>>1)]=$161; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $165=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($165+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$166; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $169=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $170=$169; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$170; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $172=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=__ZN2js10TypedArray9getLengthEP8JSObject($173); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=(($172)>>>0) < (($174)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($175) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $177=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($177+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$178; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=(tempDoubleI32[0]=HEAP32[(($177)>>2)],tempDoubleI32[1]=HEAP32[(($177+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=($179 >= 0 ? Math.floor($179) : Math.ceil($179)); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(($181+2)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$182; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($181)>>1)]=$180; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $184=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=(($184+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$185; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $189=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($189); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $191=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $191; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIsE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIsE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateIsE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIsE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIsE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeIsEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIsE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateIsE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateIsE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIsE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateIsE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateIsE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIsE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=2; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIsE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateIsE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateIsE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateIsE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<1))|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateIsE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZL19TypeIsFloatingPointIsEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedIsEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js10TypedArray9getBufferEP8JSObject($8); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getBufferEP8JSObject($10); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN18TypedArrayTemplateIsE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($14, $15, $16, $17); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$18; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getDataOffsetEP8JSObject($20); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$21; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=(($22+($23<<1))|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$24; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray7getTypeEP8JSObject($25); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=__ZN2js10TypedArray7getTypeEP8JSObject($27); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($26)|0)==(($28)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $31=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$31; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $38=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray9getLengthEP8JSObject($38); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$39; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray7getTypeEP8JSObject($40); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($41)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($41)|0) == 1 || (($41)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($41)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($41)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($41)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($41)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($41)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($41)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $43=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray13getDataOffsetEP8JSObject($43); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$44; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $46=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $50=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$51; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=HEAP8[($50)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52 << 24) >> 24); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+2)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($54)>>1)]=$53; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $57=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$58; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $61=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray13getDataOffsetEP8JSObject($61); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$62; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $64=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $68=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=HEAPU8[($68)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)&255); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+2)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$73; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($72)>>1)]=$71; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $75=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=(($75+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$76; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $79=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=__ZN2js10TypedArray13getDataOffsetEP8JSObject($79); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=$80; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$81; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $83=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($83)>>>0) < (($84)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $87=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$88; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=HEAP16[(($87)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=(($90+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$91; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($90)>>1)]=$89; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $93=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $94=(($93+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$94; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $97=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN2js10TypedArray13getDataOffsetEP8JSObject($97); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$98; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$99; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $101=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=(($101)>>>0) < (($102)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($103) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $105=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=(($105+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$106; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=HEAP16[(($105)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $108=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($108+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$109; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($108)>>1)]=$107; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $111=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $112=(($111+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$112; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $115=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $116=__ZN2js10TypedArray13getDataOffsetEP8JSObject($115); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $117=$116; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$117; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $119=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $120=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $121=(($119)>>>0) < (($120)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($121) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $123=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=(($123+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$124; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=HEAP32[(($123)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125) & 65535); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $127=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=(($127+2)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$128; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($127)>>1)]=$126; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $130=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $131=(($130+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$131; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $134=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $135=__ZN2js10TypedArray13getDataOffsetEP8JSObject($134); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=$135; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$136; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $138=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $139=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $140=(($138)>>>0) < (($139)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($140) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $142=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=(($142+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$143; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=HEAP32[(($142)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=(($144) & 65535); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $146=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146+2)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$147; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($146)>>1)]=$145; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $149=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $150=(($149+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$150; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $153=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=__ZN2js10TypedArray13getDataOffsetEP8JSObject($153); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=$154; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$155; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $157=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $158=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($157)>>>0) < (($158)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($159) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $161=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=(($161+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$162; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=HEAPF32[(($161)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163)&-1); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $165=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($165+2)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$166; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($165)>>1)]=$164; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $168=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $169=(($168+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$169; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $172=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=__ZN2js10TypedArray13getDataOffsetEP8JSObject($172); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=$173; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$174; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $176=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($176)>>>0) < (($177)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($178) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $180=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=(($180+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$181; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(tempDoubleI32[0]=HEAP32[(($180)>>2)],tempDoubleI32[1]=HEAP32[(($180+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182)&-1); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $184=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=(($184+2)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$185; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($184)>>1)]=$183; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $187=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $188=(($187+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$188; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $193=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $193; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIsE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%2; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)/2); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=((($35<<1))|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=((($48<<1))|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 1073741823; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateIsE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateIsE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateIsE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateIsE13copyFromArrayEP9JSContextP8JSObjectS4_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateIsE13copyFromArrayEP9JSContextP8JSObjectS4_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $v=__stackBase__;
      var $i1;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $7=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getDataOffsetEP8JSObject($9); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$10; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=(($11+($12<<1))|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$13; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK8JSObject12isDenseArrayEv($14); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject30getDenseArrayInitializedLengthEv($17); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($18)>>>0) >= (($19)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $22=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN8JSObject21getDenseArrayElementsEv($22); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$23; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $25=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($25)>>>0) < (($26)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $29=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=(($30+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$31; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN18TypedArrayTemplateIsE15nativeFromValueEP9JSContextRKN2JS5ValueE($29, $30); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=(($33+2)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$34; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($33)>>1)]=$32; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $36=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=(($36+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$37; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $41=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($41)>>>0) < (($42)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $45=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($45, $46, $47, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $52=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=__ZN18TypedArrayTemplateIsE15nativeFromValueEP9JSContextRKN2JS5ValueE($52, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+2)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$55; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($54)>>1)]=$53; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $57=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=(($57+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$58; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $62=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE13copyFromArrayEP9JSContextP8JSObjectS4_jj["X"]=1;

function __ZN18TypedArrayTemplateIsE15nativeFromValueEP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d;
      var $dval=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8) & 65535); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$9; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $11=$3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZNK2JS5Value8isDoubleEv($11); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIsE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $18=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZL15JSDOUBLE_IS_NaNd3989($18); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $23=__ZL19TypeIsFloatingPointIsEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $25=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)&-1); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$26; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $28=__ZL14TypeIsUnsignedIsEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $30=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__Z21js_DoubleToECMAUint32d($30); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31) & 65535); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$32; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $34=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZL20js_DoubleToECMAInt32d4007($34); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35) & 65535); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$36; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $38=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZNK2JS5Value11isPrimitiveEv($38); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $41=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value7isMagicEv($41); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $44=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$3; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($44, $45, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47)&-1); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$48; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $50=__ZN18TypedArrayTemplateIsE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $52=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)&-1); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$53; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $56=$1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIsE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointIsEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12TypeIDOfTypeIhEKiv() {
  ;
  var __label__;

  ;
  return 1; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($cx, $self, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getDataOffsetEP8JSObject($6); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$7; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($8+($9<<1))|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$10; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZN2js10TypedArray7getTypeEP8JSObject($11); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN2js10TypedArray7getTypeEP8JSObject($13); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $17=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$17; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray13getDataOffsetEP8JSObject($19); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN2js10TypedArray13getByteLengthEP8JSObject($21); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($18, $20, $22, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $24=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZN2js10TypedArray9getLengthEP8JSObject($25); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN9JSContext7malloc_Ej($24, $26); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$27; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getDataOffsetEP8JSObject($33); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray13getByteLengthEP8JSObject($35); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($36 % 1 === 0, 'memcpy given ' + $36 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($32, $34, $36, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js10TypedArray7getTypeEP8JSObject($37); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($38)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($38)|0) == 1 || (($38)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($38)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($38)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($38)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($38)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($38)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($38)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $40=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$40; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $42=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN2js10TypedArray9getLengthEP8JSObject($43); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=(($42)>>>0) < (($44)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $47=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$48; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=HEAP8[($47)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=(($49 << 24) >> 24); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+2)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$52; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($51)>>1)]=$50; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $54=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$55; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$58; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $60=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=__ZN2js10TypedArray9getLengthEP8JSObject($61); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($60)>>>0) < (($62)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $65=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=HEAPU8[($65)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)&255); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69+2)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$70; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($69)>>1)]=$68; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $72=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$73; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $76=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$76; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$77; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $79=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=__ZN2js10TypedArray9getLengthEP8JSObject($80); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=(($79)>>>0) < (($81)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($82) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $84=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$85; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=HEAP16[(($84)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $87=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$88; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($87)>>1)]=$86; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $90=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=(($90+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$91; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $94=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$94; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$95; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $97=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN2js10TypedArray9getLengthEP8JSObject($98); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($97)>>>0) < (($99)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($100) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $102=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=(($102+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$103; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=HEAP16[(($102)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $105=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=(($105+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$106; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($105)>>1)]=$104; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $108=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $109=(($108+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$109; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $112=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $113=$112; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$113; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $115=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $116=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $117=__ZN2js10TypedArray9getLengthEP8JSObject($116); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=(($115)>>>0) < (($117)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($118) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $120=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $121=(($120+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$121; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=HEAP32[(($120)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($122) & 65535); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=(($124+2)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$125; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($124)>>1)]=$123; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $127=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $128=(($127+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$128; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $131=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $132=$131; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$132; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $134=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $135=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $136=__ZN2js10TypedArray9getLengthEP8JSObject($135); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=(($134)>>>0) < (($136)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($137) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $139=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $140=(($139+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$140; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=HEAP32[(($139)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=(($141) & 65535); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=(($143+2)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$144; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($143)>>1)]=$142; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $146=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $147=(($146+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$147; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $150=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $151=$150; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$151; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $153=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $155=__ZN2js10TypedArray9getLengthEP8JSObject($154); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=(($153)>>>0) < (($155)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($156) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $158=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($158+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$159; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=HEAPF32[(($158)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=(($160)&-1); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=(($162+2)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$163; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($162)>>1)]=$161; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $165=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $166=(($165+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$166; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $169=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $170=$169; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$170; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $172=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $174=__ZN2js10TypedArray9getLengthEP8JSObject($173); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=(($172)>>>0) < (($174)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($175) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $177=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($177+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$178; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=(tempDoubleI32[0]=HEAP32[(($177)>>2)],tempDoubleI32[1]=HEAP32[(($177+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(($179)&-1); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=(($181+2)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$182; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP16[(($181)>>1)]=$180; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $184=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $185=(($184+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$185; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $189=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($189); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $191=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $191; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIhE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIhE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateIhE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIhE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIhE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeIhEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIhE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateIhE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateIhE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIhE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateIhE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateIhE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIhE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=1; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIhE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateIhE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateIhE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateIhE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateIhE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZL19TypeIsFloatingPointIhEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedIhEKbv() {
  ;
  var __label__;

  ;
  return 1; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js10TypedArray9getBufferEP8JSObject($8); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getBufferEP8JSObject($10); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN18TypedArrayTemplateIhE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($14, $15, $16, $17); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$18; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getDataOffsetEP8JSObject($20); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($21+$22)|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$23; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray7getTypeEP8JSObject($24); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js10TypedArray7getTypeEP8JSObject($26); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($25)|0)==(($27)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN2js10TypedArray13getDataOffsetEP8JSObject($31); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getByteLengthEP8JSObject($33); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($34 % 1 === 0, 'memcpy given ' + $34 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($30, $32, $34, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $36=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN2js10TypedArray9getLengthEP8JSObject($36); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$37; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray7getTypeEP8JSObject($38); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($39)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($39)|0) == 1 || (($39)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($39)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($39)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($39)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($39)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($39)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($39)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $41=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZN2js10TypedArray13getDataOffsetEP8JSObject($41); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$42; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $44=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($44)>>>0) < (($45)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $48=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$49; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=HEAP8[($48)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$52; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($51)]=$50; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $54=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$55; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN2js10TypedArray13getDataOffsetEP8JSObject($58); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$59; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $61=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($61)>>>0) < (($62)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $65=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=HEAP8[($65)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($68)]=$67; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $71=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=(($71+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$72; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $75=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=__ZN2js10TypedArray13getDataOffsetEP8JSObject($75); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$76; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$77; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $79=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=(($79)>>>0) < (($80)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($81) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $83=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=(($83+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$84; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=HEAP16[(($83)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=(($85) & 255); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $87=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+1)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$88; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($87)]=$86; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $90=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=(($90+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$91; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $94=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=__ZN2js10TypedArray13getDataOffsetEP8JSObject($94); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$95; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$96; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $98=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98)>>>0) < (($99)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($100) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $102=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=(($102+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$103; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=HEAP16[(($102)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $105=(($104) & 255); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=(($106+1)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$107; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($106)]=$105; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $109=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=(($109+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$110; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $113=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=__ZN2js10TypedArray13getDataOffsetEP8JSObject($113); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=$114; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$115; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $117=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=(($117)>>>0) < (($118)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($119) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $121=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=(($121+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$122; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=HEAP32[(($121)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=(($123) & 255); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+1)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$126; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($125)]=$124; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $128=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $129=(($128+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$129; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $132=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=__ZN2js10TypedArray13getDataOffsetEP8JSObject($132); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $134=$133; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$134; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $136=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=(($136)>>>0) < (($137)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($138) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $140=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=(($140+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$141; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=HEAP32[(($140)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=(($142) & 255); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=(($144+1)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$145; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($144)]=$143; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $147=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $148=(($147+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$148; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $151=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $152=__ZN2js10TypedArray13getDataOffsetEP8JSObject($151); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $153=$152; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$153; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $155=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=(($155)>>>0) < (($156)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($157) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $159=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=(($159+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$160; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=HEAPF32[(($159)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=($161 >= 0 ? Math.floor($161) : Math.ceil($161)); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163+1)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$164; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($163)]=$162; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $166=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $167=(($166+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$167; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $170=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $171=__ZN2js10TypedArray13getDataOffsetEP8JSObject($170); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $172=$171; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$172; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $174=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $176=(($174)>>>0) < (($175)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($176) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $178=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=(($178+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$179; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(tempDoubleI32[0]=HEAP32[(($178)>>2)],tempDoubleI32[1]=HEAP32[(($178+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=($180 >= 0 ? Math.floor($180) : Math.ceil($180)); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182+1)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$183; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($182)]=$181; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $185=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $186=(($185+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$186; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $191=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $191; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIhE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%1; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 2147483647; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateIhE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateIhE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateIhE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateIhE13copyFromArrayEP9JSContextP8JSObjectS4_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateIhE13copyFromArrayEP9JSContextP8JSObjectS4_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $v=__stackBase__;
      var $i1;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $7=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getDataOffsetEP8JSObject($9); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($10+$11)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$12; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject12isDenseArrayEv($13); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $16=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZN8JSObject30getDenseArrayInitializedLengthEv($16); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($17)>>>0) >= (($18)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN8JSObject21getDenseArrayElementsEv($21); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$22; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($24)>>>0) < (($25)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $28=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=(($29+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$30; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN18TypedArrayTemplateIhE15nativeFromValueEP9JSContextRKN2JS5ValueE($28, $29); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32+1)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$33; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($32)]=$31; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $35=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$36; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $40=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40)>>>0) < (($41)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($44, $45, $46, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $51=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIhE15nativeFromValueEP9JSContextRKN2JS5ValueE($51, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+1)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$54; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($53)]=$52; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $56=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$57; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $61=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE13copyFromArrayEP9JSContextP8JSObjectS4_jj["X"]=1;

function __ZN18TypedArrayTemplateIhE15nativeFromValueEP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d;
      var $dval=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8) & 255); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$9; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $11=$3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZNK2JS5Value8isDoubleEv($11); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIhE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $18=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZL15JSDOUBLE_IS_NaNd3989($18); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $23=__ZL19TypeIsFloatingPointIhEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $25=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=($25 >= 0 ? Math.floor($25) : Math.ceil($25)); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$26; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $28=__ZL14TypeIsUnsignedIhEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $30=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__Z21js_DoubleToECMAUint32d($30); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31) & 255); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$32; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $34=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZL20js_DoubleToECMAInt32d4007($34); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35) & 255); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$36; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $38=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZNK2JS5Value11isPrimitiveEv($38); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $41=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value7isMagicEv($41); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $44=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$3; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($44, $45, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=($47 >= 0 ? Math.floor($47) : Math.ceil($47)); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$48; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $50=__ZN18TypedArrayTemplateIhE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $52=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=($52 >= 0 ? Math.floor($52) : Math.ceil($52)); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$53; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $56=$1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIhE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointIhEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12TypeIDOfTypeIaEKiv() {
  ;
  var __label__;

  ;
  return 0; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($cx, $self, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getDataOffsetEP8JSObject($6); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($7+$8)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$9; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray7getTypeEP8JSObject($10); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZN2js10TypedArray7getTypeEP8JSObject($12); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($11)|0)==(($13)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $16=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN2js10TypedArray13getDataOffsetEP8JSObject($17); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray13getByteLengthEP8JSObject($19); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($16, $18, $20, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $22=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=__ZN2js10TypedArray9getLengthEP8JSObject($23); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN9JSContext7malloc_Ej($22, $24); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$25; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN2js10TypedArray13getDataOffsetEP8JSObject($31); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getByteLengthEP8JSObject($33); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($34 % 1 === 0, 'memcpy given ' + $34 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($30, $32, $34, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray7getTypeEP8JSObject($35); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($36)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($36)|0) == 1 || (($36)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($36)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($36)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($36)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($36)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($36)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($36)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $38=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$38; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $40=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZN2js10TypedArray9getLengthEP8JSObject($41); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($40)>>>0) < (($42)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $45=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$46; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP8[($45)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$49; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($48)]=$47; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $51=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$52; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $55=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$55; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $57=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN2js10TypedArray9getLengthEP8JSObject($58); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=(($57)>>>0) < (($59)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $62=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($62+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$63; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=HEAP8[($62)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$66; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($65)]=$64; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $68=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$69; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $72=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$73; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $75=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__ZN2js10TypedArray9getLengthEP8JSObject($76); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($75)>>>0) < (($77)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $80=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=(($80+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$81; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP16[(($80)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82) & 255); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84+1)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$85; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($84)]=$83; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $87=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$88; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $91=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$91; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$92; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $94=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=__ZN2js10TypedArray9getLengthEP8JSObject($95); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=(($94)>>>0) < (($96)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($97) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $99=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($99+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$100; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=HEAP16[(($99)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101) & 255); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($103+1)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$104; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($103)]=$102; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $106=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=(($106+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$107; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $110=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=$110; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$111; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $113=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=__ZN2js10TypedArray9getLengthEP8JSObject($114); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $116=(($113)>>>0) < (($115)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($116) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $118=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=(($118+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$119; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $120=HEAP32[(($118)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $121=(($120) & 255); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($122+1)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$123; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($122)]=$121; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $125=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$126; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $129=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $130=$129; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$130; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $132=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $134=__ZN2js10TypedArray9getLengthEP8JSObject($133); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $135=(($132)>>>0) < (($134)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($135) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $137=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=(($137+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$138; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $139=HEAP32[(($137)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $140=(($139) & 255); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=(($141+1)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$142; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($141)]=$140; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $144=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=(($144+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$145; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $148=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $149=$148; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$149; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $151=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $152=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $153=__ZN2js10TypedArray9getLengthEP8JSObject($152); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=(($151)>>>0) < (($153)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($154) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $156=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=(($156+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$157; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $158=HEAPF32[(($156)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=($158 >= 0 ? Math.floor($158) : Math.ceil($158)); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=(($160+1)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$161; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($160)]=$159; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $163=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$164; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $167=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $168=$167; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$168; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $170=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $171=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $172=__ZN2js10TypedArray9getLengthEP8JSObject($171); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=(($170)>>>0) < (($172)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($173) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $175=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $176=(($175+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$176; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=(tempDoubleI32[0]=HEAP32[(($175)>>2)],tempDoubleI32[1]=HEAP32[(($175+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=($177 >= 0 ? Math.floor($177) : Math.ceil($177)); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(($179+1)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$180; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($179)]=$178; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $182=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$183; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $187=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($187); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $189=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $189; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIaE9slowClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIaE11ArrayTypeIDEv(); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11slowClassesE+$1*232)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE17class_constructorEP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=$3; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=$4; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=(($7+16)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN18TypedArrayTemplateIaE6createEP9JSContextjPN2JS5ValueE($5, $6, $8); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$9; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$obj; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=(($10)|0)!=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $14=$4; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$obj; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $17=$1; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $17; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIaE9fastClassEv() {
  ;
  var __label__;

  var $1=__ZN18TypedArrayTemplateIaE11ArrayTypeIDEv(); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $2=((__ZN2js10TypedArray11fastClassesE+$1*232)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $2; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE11ArrayTypeIDEv() {
  ;
  var __label__;

  var $1=__ZL12TypeIDOfTypeIaEKiv(); //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE6createEP9JSContextjPN2JS5ValueE($cx, $argc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $len=__stackBase__;
      var $bufobj;
      var $dataObj;
      var $otherTypedArray;
      var $len1;
      var $bufobj2;
      var $obj;
      var $byteOffset=__stackBase__+4;
      var $length=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      HEAP32[(($len)>>2)]=0; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=$3; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $6=(($5)|0)==0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $8=$2; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$4; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj($8, $10, $len); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $13=$2; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=HEAP32[(($len)>>2)]; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN18TypedArrayTemplateIaE28createBufferWithSizeAndCountEP9JSContextj($13, $14); //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$15; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$bufobj; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $20=$2; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=$bufobj; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAP32[(($len)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZN18TypedArrayTemplateIaE16createTypedArrayEP9JSContextP8JSObjectjj($20, $21, 0, $22); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$23; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $25=$4; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value8isObjectEv($26); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $29=$2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $31=$4; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31)|0); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZNK2JS5Value8toObjectEv($32); //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dataObj=$33; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$dataObj; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__Z15js_IsTypedArrayP8JSObject($34); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0)!=0; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $38=$dataObj; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $otherTypedArray=$39; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=$otherTypedArray; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZN2js10TypedArray9getLengthEP8JSObject($40); //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len1=$41; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$len1; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=__ZN18TypedArrayTemplateIaE28createBufferWithSizeAndCountEP9JSContextj($42, $43); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj2=$44; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$bufobj2; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45)|0)!=0; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      $1=0; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $49=$2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$bufobj2; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$len1; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIaE16createTypedArrayEP9JSContextP8JSObjectjj($49, $50, 0, $51); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$52; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53)|0)!=0; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $56=$2; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=$obj; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$otherTypedArray; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN18TypedArrayTemplateIaE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($56, $57, $58, 0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      $1=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $62=$obj; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$62; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      HEAP32[(($byteOffset)>>2)]=-1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($length)>>2)]=-1; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$3; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0) > 1; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 16; break; } else { __label__ = 27; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $67=$2; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+8)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($67, $69, $byteOffset); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $73=HEAP32[(($byteOffset)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(($73)|0) < 0; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $76=$2; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($76, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str163973)|0),tempInt)); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $78=$3; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=(($78)>>>0) > 2; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=$4; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82+16)|0); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi($81, $83, $length); //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $87=HEAP32[(($length)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87)|0) < 0; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $90=$2; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($90, 2, 0, 245, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str173974)|0),tempInt)); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 26; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      __label__ = 27; break; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $94=$2; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$dataObj; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=HEAP32[(($byteOffset)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=HEAP32[(($length)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=__ZN18TypedArrayTemplateIaE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($94, $95, $96, $97); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$98; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $100=$1; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE6createEP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIaE28createBufferWithSizeAndCountEP9JSContextj($cx, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $bytelen;
      $2=$cx;
      $3=$count;
      $size=1; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $4=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=(($4)|0)!=0; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$size; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=Math.floor(2147483647/(($8)>>>0)); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($7)>>>0) >= (($9)>>>0); //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $12=$2; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 17, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str183975)|0),tempInt)); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$size; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=(($14*$15)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bytelen=$16; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$2; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$bytelen; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZN2js11ArrayBuffer6createEP9JSContexti($17, $18); //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$19; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 5; break; //@line 1851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$1; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $21; //@line 1852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN18TypedArrayTemplateIaE16createTypedArrayEP9JSContextP8JSObjectjj($cx, $bufobj, $byteOffset, $len) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $key;
      var $type;
      var $6=__stackBase__;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $bufferByteLength=__stackBase__+40;
      var $11=__stackBase__+44;
      var $12;
      $2=$cx;
      $3=$bufobj;
      $4=$byteOffset;
      $5=$len;
      var $13=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZN18TypedArrayTemplateIaE9slowClassEv(); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981($13, $14); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$15; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$obj; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=(($16)|0)!=0; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      $1=0; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=__ZN18TypedArrayTemplateIaE9slowClassEv(); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=(($20+4)|0); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=HEAPU32[(($21)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$22 >>> 24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$23 & 255; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $key=$24; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$2; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$key; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey($25, $26); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $type=$27; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=$type; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=(($28)|0)!=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $32=$obj; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$type; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setTypeEPN2js5types10TypeObjectE($32, $33); //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=$obj; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZN18TypedArrayTemplateIaE11ArrayTypeIDEv(); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($6, $35); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($34, 3, $6); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=$obj; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL11ObjectValueER8JSObject3997($7, $37); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($36, 4, $7); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$obj; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$3; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=__ZN8JSObject21arrayBufferDataOffsetEv($39); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40+$41)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject10setPrivateEPv($38, $42); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=$obj; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $44=$5; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($8, $44); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($43, 0, $8); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$obj; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($9, $46); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($45, 1, $9); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=$obj; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$5; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2JSL10Int32ValueEi3996($10, $49); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($47, 2, $10); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$obj; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=__ZN2js10TypedArray9getBufferEP8JSObject($50); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN8JSObject21arrayBufferByteLengthEv($51); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($11)>>2)]=$52; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN7mozilla9DebugOnlyIjEC1ERKj($bufferByteLength, $11); //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$obj; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject21setSharedNonNativeMapEv($53); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$obj; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=__ZN18TypedArrayTemplateIaE9fastClassEv(); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN8JSObject8setClassEPN2js5ClassE($54, $55); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$obj; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+8)|0); //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=$58 | 4; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP32[(($57)>>2)]=$59; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=$obj; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$60; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $12=1;
      __ZN7mozilla9DebugOnlyIjED1Ev($bufferByteLength); //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break;
    case 6: 
      var $62=$1; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 1295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE16createTypedArrayEP9JSContextP8JSObjectjj["X"]=1;

function __ZL19TypeIsFloatingPointIaEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL14TypeIsUnsignedIaEKbv() {
  ;
  var __label__;

  ;
  return 0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j($cx, $thisTypedArrayObj, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srclen;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getTypedArrayEP8JSObject($6); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$7; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$4; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=__ZN2js10TypedArray9getBufferEP8JSObject($8); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$3; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray9getBufferEP8JSObject($10); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($9)|0)==(($11)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $14=$2; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=$3; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN18TypedArrayTemplateIaE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($14, $15, $16, $17); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$18; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$3; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZN2js10TypedArray13getDataOffsetEP8JSObject($20); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=$5; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($21+$22)|0); //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$23; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=$4; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN2js10TypedArray7getTypeEP8JSObject($24); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$3; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZN2js10TypedArray7getTypeEP8JSObject($26); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($25)|0)==(($27)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $30=$dest; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN2js10TypedArray13getDataOffsetEP8JSObject($31); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getByteLengthEP8JSObject($33); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($34 % 1 === 0, 'memcpy given ' + $34 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($30, $32, $34, 1); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $36=$4; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZN2js10TypedArray9getLengthEP8JSObject($36); //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srclen=$37; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=$4; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZN2js10TypedArray7getTypeEP8JSObject($38); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($39)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($39)|0) == 1 || (($39)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($39)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($39)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($39)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($39)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($39)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($39)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $41=$4; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZN2js10TypedArray13getDataOffsetEP8JSObject($41); //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$42; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $44=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$srclen; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($44)>>>0) < (($45)>>>0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($46) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $48=$src; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$49; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=HEAP8[($48)]; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=$dest; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+1)|0); //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$52; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($51)]=$50; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $54=$i; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54+1)|0); //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$55; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $58=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN2js10TypedArray13getDataOffsetEP8JSObject($58); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$59; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $61=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$srclen; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($61)>>>0) < (($62)>>>0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $65=$src1; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$66; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=HEAP8[($65)]; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=$dest; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$69; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($68)]=$67; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $71=$i2; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=(($71+1)|0); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$72; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $75=$4; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=__ZN2js10TypedArray13getDataOffsetEP8JSObject($75); //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$76; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$77; //@line 1714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $79=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$srclen; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=(($79)>>>0) < (($80)>>>0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($81) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $83=$src3; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=(($83+2)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$84; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=HEAP16[(($83)>>1)]; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $86=(($85) & 255); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $87=$dest; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+1)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$88; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($87)]=$86; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $90=$i4; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=(($90+1)|0); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$91; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $94=$4; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=__ZN2js10TypedArray13getDataOffsetEP8JSObject($94); //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$95; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$96; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $98=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=$srclen; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($98)>>>0) < (($99)>>>0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($100) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $102=$src5; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=(($102+2)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$103; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=HEAP16[(($102)>>1)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $105=(($104) & 255); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $106=$dest; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=(($106+1)|0); //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$107; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($106)]=$105; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $109=$i6; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $110=(($109+1)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$110; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $113=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=__ZN2js10TypedArray13getDataOffsetEP8JSObject($113); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=$114; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$115; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $117=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $118=$srclen; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=(($117)>>>0) < (($118)>>>0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($119) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $121=$src7; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=(($121+4)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$122; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=HEAP32[(($121)>>2)]; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $124=(($123) & 255); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $125=$dest; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+1)|0); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$126; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($125)]=$124; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $128=$i8; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $129=(($128+1)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$129; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $132=$4; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=__ZN2js10TypedArray13getDataOffsetEP8JSObject($132); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $134=$133; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$134; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $136=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $137=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=(($136)>>>0) < (($137)>>>0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($138) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $140=$src9; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=(($140+4)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$141; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=HEAP32[(($140)>>2)]; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $143=(($142) & 255); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $144=$dest; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=(($144+1)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$145; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($144)]=$143; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $147=$i10; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $148=(($147+1)|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$148; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $151=$4; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $152=__ZN2js10TypedArray13getDataOffsetEP8JSObject($151); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $153=$152; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$153; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $155=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $156=$srclen; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=(($155)>>>0) < (($156)>>>0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($157) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $159=$src11; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=(($159+4)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$160; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=HEAPF32[(($159)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $162=(($161)&-1); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $163=$dest; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163+1)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$164; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($163)]=$162; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $166=$i12; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $167=(($166+1)|0); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$167; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $170=$4; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $171=__ZN2js10TypedArray13getDataOffsetEP8JSObject($170); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $172=$171; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$172; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $174=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $175=$srclen; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $176=(($174)>>>0) < (($175)>>>0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($176) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $178=$src13; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=(($178+8)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$179; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(tempDoubleI32[0]=HEAP32[(($178)>>2)],tempDoubleI32[1]=HEAP32[(($178+4)>>2)],tempDoubleF64[0]); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $181=(($180)&-1); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $182=$dest; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182+1)|0); //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$183; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($182)]=$181; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $185=$i14; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $186=(($185+1)|0); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$186; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      $1=1; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $191=$1; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $191; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateIaE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii($cx, $other, $byteOffsetInt, $lengthInt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $boffset;
      var $len;
      var $arrayByteLength;
      var $len1=__stackBase__;
      var $bufobj;
      var $obj;
      $2=$cx;
      $3=$other;
      $4=$byteOffsetInt;
      $5=$lengthInt;
      var $6=$3; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZNK8JSObject13isArrayBufferEv($6); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 19; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $9=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=(($9)|0) < 0; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15 = 0;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $13=$4; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15 = $13;__label__ = 5; break; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $boffset=$15; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$3; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN8JSObject21arrayBufferByteLengthEv($17); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($16)>>>0) > (($18)>>>0); //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $21=$boffset; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=(($21)>>>0)%1; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=(($22)|0)!=0; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$2; //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $27=$5; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $28=(($27)|0) < 0; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $30=$3; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN8JSObject21arrayBufferByteLengthEv($30); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$boffset; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($31-$32)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=Math.floor((($33)>>>0)); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$34; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$len; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$3; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN8JSObject21arrayBufferByteLengthEv($37); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=$boffset; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $40=(($38-$39)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=(($36)|0)!=(($40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $43=$2; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($43, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      __label__ = 13; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $46=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $len=$46; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$len; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48)|0); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $arrayByteLength=$49; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $50=$len; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $51=(($50)>>>0) >= 2147483647; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $53=$boffset; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$arrayByteLength; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=((2147483647-$54)|0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($53)>>>0) >= (($55)>>>0); //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $58=$2; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($58, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $60=$arrayByteLength; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$boffset; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=(($60+$61)|0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$3; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__ZN8JSObject21arrayBufferByteLengthEv($63); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($62)>>>0) > (($64)>>>0); //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $67=$2; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _JS_ReportErrorNumber($67, 2, 0, 246, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=0; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $69=$2; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$3; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$boffset; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=$len; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=__ZN18TypedArrayTemplateIaE16createTypedArrayEP9JSContextP8JSObjectjj($69, $70, $71, $72); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$73; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $75=$2; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$3; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj($75, $76, $len1); //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0)!=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      $1=0; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $81=$2; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP32[(($len1)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=__ZN18TypedArrayTemplateIaE28createBufferWithSizeAndCountEP9JSContextj($81, $82); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $bufobj=$83; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$bufobj; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84)|0)!=0; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      $1=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $88=$2; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $89=$bufobj; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $90=HEAP32[(($len1)>>2)]; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $91=__ZN18TypedArrayTemplateIaE16createTypedArrayEP9JSContextP8JSObjectjj($88, $89, 0, $90); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $obj=$91; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $93=(($92)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($93) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $95=$2; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=$obj; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=$3; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $98=HEAP32[(($len1)>>2)]; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $99=__ZN18TypedArrayTemplateIaE13copyFromArrayEP9JSContextP8JSObjectS4_jj($95, $96, $97, $98, 0); //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($99) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      $1=0; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $102=$obj; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$102; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $104=$1; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii["X"]=1;

function __ZN18TypedArrayTemplateIaE13copyFromArrayEP9JSContextP8JSObjectS4_jj($cx, $thisTypedArrayObj, $ar, $len, $offset) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $dest;
      var $src;
      var $i;
      var $v=__stackBase__;
      var $i1;
      $2=$cx;
      $3=$thisTypedArrayObj;
      $4=$ar;
      $5=$len;
      $6=$offset;
      var $7=$3; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZN2js10TypedArray13getTypedArrayEP8JSObject($7); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $3=$8; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=$3; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=__ZN2js10TypedArray13getDataOffsetEP8JSObject($9); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$6; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=(($10+$11)|0); //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$12; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=__ZNK8JSObject12isDenseArrayEv($13); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $16=$4; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZN8JSObject30getDenseArrayInitializedLengthEv($16); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=$5; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=(($17)>>>0) >= (($18)>>>0); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $21=$4; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZN8JSObject21getDenseArrayElementsEv($21); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$22; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $24=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=$5; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($24)>>>0) < (($25)>>>0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $28=$2; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=$src; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=(($29+8)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$30; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZN18TypedArrayTemplateIaE15nativeFromValueEP9JSContextRKN2JS5ValueE($28, $29); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$dest; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=(($32+1)|0); //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$33; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($32)]=$31; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 6; break; //@line 1665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      var $35=$i; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35+1)|0); //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$36; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 4; break; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      __label__ = 15; break; //@line 1666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      $i1=0; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $40=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$5; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($40)>>>0) < (($41)>>>0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $44=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=$i1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE($44, $45, $46, $v); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      $1=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $51=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=__ZN18TypedArrayTemplateIaE15nativeFromValueEP9JSContextRKN2JS5ValueE($51, $v); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$dest; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(($53+1)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$54; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($53)]=$52; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $56=$i1; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $57=(($56+1)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i1=$57; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $61=$1; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE13copyFromArrayEP9JSContextP8JSObjectS4_jj["X"]=1;

function __ZN18TypedArrayTemplateIaE15nativeFromValueEP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d;
      var $dval=__stackBase__;
      $2=$cx;
      $3=$v;
      var $4=$3; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $5=__ZNK2JS5Value7isInt32Ev($4); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $7=$3; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7toInt32Ev($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($8) & 255); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$9; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $11=$3; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=__ZNK2JS5Value8isDoubleEv($11); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $14=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $15=__ZNK2JS5Value8toDoubleEv($14); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $d=$15; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZN18TypedArrayTemplateIaE24ArrayTypeIsFloatingPointEv(); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $18=$d; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZL15JSDOUBLE_IS_NaNd3989($18); //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=(($19)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $23=__ZL19TypeIsFloatingPointIaEKbv(); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $25=$d; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=(($25)&-1); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$26; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $28=__ZL14TypeIsUnsignedIaEKbv(); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($28) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $30=$d; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__Z21js_DoubleToECMAUint32d($30); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=(($31) & 255); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$32; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $34=$d; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=__ZL20js_DoubleToECMAInt32d4007($34); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=(($35) & 255); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$36; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $38=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $39=__ZNK2JS5Value11isPrimitiveEv($38); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($39) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $41=$3; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value7isMagicEv($41); //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($42) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $44=$2; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $45=$3; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($44, $45, $dval); //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(tempDoubleI32[0]=HEAP32[(($dval)>>2)],tempDoubleI32[1]=HEAP32[(($dval+4)>>2)],tempDoubleF64[0]); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=(($47)&-1); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$48; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $50=__ZN18TypedArrayTemplateIaE24ArrayTypeIsFloatingPointEv(); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $52=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=(($52)&-1); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=$53; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      $1=0; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $56=$1; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE15nativeFromValueEP9JSContextRKN2JS5ValueE["X"]=1;

function __ZN18TypedArrayTemplateIaE24ArrayTypeIsFloatingPointEv() {
  ;
  var __label__;

  var $1=__ZL19TypeIsFloatingPointIaEKbv(); //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function _JSVAL_IS_SPECIFIC_BOOLEAN4019($l, $b) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$b;
      var $2=$l; //@line 614 "./jsval.h"
      var $3=(($2+4)|0); //@line 614 "./jsval.h"
      var $4=HEAP32[(($3)>>2)]; //@line 614 "./jsval.h"
      var $5=(($4)|0)==-125; //@line 614 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 614 "./jsval.h"
    case 2: 
      var $7=$l; //@line 614 "./jsval.h"
      var $8=(($7)|0); //@line 614 "./jsval.h"
      var $9=$8; //@line 614 "./jsval.h"
      var $10=HEAP32[(($9)>>2)]; //@line 614 "./jsval.h"
      var $11=$1; //@line 614 "./jsval.h"
      var $12=(($10)|0)==(($11)|0); //@line 614 "./jsval.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      STACKTOP = __stackBase__;
      return $15; //@line 615 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_BOOLEAN_IMPL4020($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL4021($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL4022($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL4023($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function __ZNK13uint8_clampedcvhEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=HEAP8[($3)]; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $4; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC2ERKS_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=(($3)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$2; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=(($5)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=HEAP8[($6)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP8[($4)]=$7; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j($cx, $self, $tarray, $offset) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $dest;
      var $srcbuf;
      var $src;
      var $i;
      var $src1;
      var $i2;
      var $src3;
      var $i4;
      var $src5;
      var $i6;
      var $src7;
      var $i8;
      var $src9;
      var $i10;
      var $src11;
      var $i12;
      var $src13;
      var $i14;
      $2=$cx;
      $3=$self;
      $4=$tarray;
      $5=$offset;
      var $6=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $7=__ZN2js10TypedArray13getDataOffsetEP8JSObject($6); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=$5; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $9=(($7+$8)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$9; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $10=$4; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=__ZN2js10TypedArray7getTypeEP8JSObject($10); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$3; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZN2js10TypedArray7getTypeEP8JSObject($12); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($11)|0)==(($13)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $16=$dest; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZN2js10TypedArray13getDataOffsetEP8JSObject($17); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=$4; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZN2js10TypedArray13getByteLengthEP8JSObject($19); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      _llvm_memmove_p0i8_p0i8_i32($16, $18, $20, 1, 0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $22=$2; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=$4; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=__ZN2js10TypedArray9getLengthEP8JSObject($23); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $25=__ZN9JSContext7malloc_Ej($22, $24); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $srcbuf=$25; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=$srcbuf; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=(($26)|0)!=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      $1=0; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $30=$srcbuf; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=__ZN2js10TypedArray13getDataOffsetEP8JSObject($31); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$4; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js10TypedArray13getByteLengthEP8JSObject($33); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      assert($34 % 1 === 0, 'memcpy given ' + $34 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($30, $32, $34, 1); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $35=$4; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZN2js10TypedArray7getTypeEP8JSObject($35); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ((($36)|0) == 0) {
        __label__ = 6; break;
      }
      else if ((($36)|0) == 1 || (($36)|0) == 8) {
        __label__ = 11; break;
      }
      else if ((($36)|0) == 2) {
        __label__ = 16; break;
      }
      else if ((($36)|0) == 3) {
        __label__ = 21; break;
      }
      else if ((($36)|0) == 4) {
        __label__ = 26; break;
      }
      else if ((($36)|0) == 5) {
        __label__ = 31; break;
      }
      else if ((($36)|0) == 6) {
        __label__ = 36; break;
      }
      else if ((($36)|0) == 7) {
        __label__ = 41; break;
      }
      else {
      __label__ = 46; break;
      }
      
    case 6: 
      var $38=$srcbuf; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$38; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $40=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZN2js10TypedArray9getLengthEP8JSObject($41); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($40)>>>0) < (($42)>>>0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $45=$src; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=(($45+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src=$46; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=HEAP8[($45)]; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $48=$dest; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $49=(($48+1)|0); //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$49; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($48)]=$47; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 9; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $51=$i; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $52=(($51+1)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i=$52; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 7; break; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      __label__ = 47; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $55=$srcbuf; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$55; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=0; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $57=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$4; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=__ZN2js10TypedArray9getLengthEP8JSObject($58); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=(($57)>>>0) < (($59)>>>0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 13: 
      var $62=$src1; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=(($62+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src1=$63; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=HEAP8[($62)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$dest; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65+1)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$66; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($65)]=$64; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 14: 
      var $68=$i2; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=(($68+1)|0); //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i2=$69; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 12; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      __label__ = 47; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 16: 
      var $72=$srcbuf; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$73; //@line 1791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 17: 
      var $75=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__ZN2js10TypedArray9getLengthEP8JSObject($76); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($75)>>>0) < (($77)>>>0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 18: 
      var $80=$src3; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $81=(($80+2)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src3=$81; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $82=HEAP16[(($80)>>1)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $83=(($82) & 255); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $84=$dest; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $85=(($84+1)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$85; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($84)]=$83; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 19; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $87=$i4; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $88=(($87+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i4=$88; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      __label__ = 47; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $91=$srcbuf; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $92=$91; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$92; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=0; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $94=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $95=$4; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $96=__ZN2js10TypedArray9getLengthEP8JSObject($95); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $97=(($94)>>>0) < (($96)>>>0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($97) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $99=$src5; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $100=(($99+2)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src5=$100; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $101=HEAP16[(($99)>>1)]; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $102=(($101) & 255); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $103=$dest; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $104=(($103+1)|0); //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$104; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($103)]=$102; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 24; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $106=$i6; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $107=(($106+1)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i6=$107; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 22; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 25: 
      __label__ = 47; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 26: 
      var $110=$srcbuf; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $111=$110; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$111; //@line 1803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=0; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 27: 
      var $113=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $114=$4; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $115=__ZN2js10TypedArray9getLengthEP8JSObject($114); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $116=(($113)>>>0) < (($115)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($116) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $118=$src7; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $119=(($118+4)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src7=$119; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $120=HEAP32[(($118)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $121=(($120) & 255); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $122=$dest; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $123=(($122+1)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$123; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($122)]=$121; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 29; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 29: 
      var $125=$i8; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $126=(($125+1)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i8=$126; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 30: 
      __label__ = 47; break; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 31: 
      var $129=$srcbuf; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $130=$129; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$130; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 32: 
      var $132=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $133=$4; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $134=__ZN2js10TypedArray9getLengthEP8JSObject($133); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $135=(($132)>>>0) < (($134)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($135) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 33: 
      var $137=$src9; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $138=(($137+4)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src9=$138; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $139=HEAP32[(($137)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $140=(($139) & 255); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $141=$dest; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $142=(($141+1)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$142; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($141)]=$140; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 34; break; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 34: 
      var $144=$i10; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $145=(($144+1)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i10=$145; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 32; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 35: 
      __label__ = 47; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 36: 
      var $148=$srcbuf; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $149=$148; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$149; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=0; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 37: 
      var $151=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $152=$4; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $153=__ZN2js10TypedArray9getLengthEP8JSObject($152); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $154=(($151)>>>0) < (($153)>>>0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($154) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 38: 
      var $156=$src11; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $157=(($156+4)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src11=$157; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $158=HEAPF32[(($156)>>2)]; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $159=(($158)&-1); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $160=$dest; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $161=(($160+1)|0); //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$161; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($160)]=$159; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 39; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 39: 
      var $163=$i12; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $164=(($163+1)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i12=$164; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 37; break; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 40: 
      __label__ = 47; break; //@line 1818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 41: 
      var $167=$srcbuf; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $168=$167; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$168; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=0; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 42: 
      var $170=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $171=$4; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $172=__ZN2js10TypedArray9getLengthEP8JSObject($171); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $173=(($170)>>>0) < (($172)>>>0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($173) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 43: 
      var $175=$src13; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $176=(($175+8)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $src13=$176; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $177=(tempDoubleI32[0]=HEAP32[(($175)>>2)],tempDoubleI32[1]=HEAP32[(($175+4)>>2)],tempDoubleF64[0]); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $178=(($177)&-1); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $179=$dest; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $180=(($179+1)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $dest=$180; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      HEAP8[($179)]=$178; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 44; break; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 44: 
      var $182=$i14; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $183=(($182+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $i14=$183; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 42; break; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 45: 
      __label__ = 47; break; //@line 1824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 46: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 47: 
      var $187=$srcbuf; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN2js10Foreground5free_EPv($187); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 48; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 48: 
      var $189=$1; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      ;
      return $189; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      var $d=__stackBase__+4;
      var $8=__stackBase__+12;
      var $n;
      var $9=__stackBase__+16;
      var $10=__stackBase__+20;
      var $n1;
      var $11=__stackBase__+24;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $12=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7isInt32Ev($12); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $15=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $18=__ZNK2JS5Value7toInt32Ev($17); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ei($7, $18); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE8setIndexEP8JSObjectjS0_($15, $16, $7); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $20=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $21=__ZNK2JS5Value8isDoubleEv($20); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $23=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $24=__ZNK2JS5Value8toDoubleEv($23); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$24,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $26=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value6isNullEv($26); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $30=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $31=__ZNK2JS5Value11isPrimitiveEv($30); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $33=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZNK2JS5Value8isStringEv($33); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $36=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $38=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($36, $37, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $40=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZNK2JS5Value11isUndefinedEv($40); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $43=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$43,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $45=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $46=__ZNK2JS5Value9toBooleanEv($45); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $47=(($46)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$47,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $51=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$51,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $55=__ZN18TypedArrayTemplateI13uint8_clampedE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($55) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $57=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $58=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $59=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($8, $59); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE8setIndexEP8JSObjectjS0_($57, $58, $8); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $61=__ZN18TypedArrayTemplateI13uint8_clampedE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($61) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $63=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=__Z21js_DoubleToECMAUint32d($63); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$64; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ej($9, $67); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE8setIndexEP8JSObjectjS0_($65, $66, $9); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $69=__ZN18TypedArrayTemplateI13uint8_clampedE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(($69)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($70) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $72=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ed($10, $74); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE8setIndexEP8JSObjectjS0_($72, $73, $10); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $76=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=__ZL20js_DoubleToECMAInt32d4007($76); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$77; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN13uint8_clampedC1Ei($11, $80); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateI13uint8_clampedE8setIndexEP8JSObjectjS0_($78, $79, $11); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $85=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateI13uint8_clampedE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateI13uint8_clampedE8setIndexEP8JSObjectjS0_($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($5+$6)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN13uint8_clampedaSERKS_($7, $val); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedI13uint8_clampedEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$cx;
  $2=$tarray;
  $3=$index;
  $4=$vp;
  var $6=$4; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN18TypedArrayTemplateI13uint8_clampedE8getIndexEP8JSObjectj($5, $7, $8); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=__ZNK13uint8_clampedcvhEv($5); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=(($9)&255); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JS5Value8setInt32Ei($6, $10); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  STACKTOP = __stackBase__;
  return; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE8getIndexEP8JSObjectj($agg_result, $obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($5+$6)|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC1ERKS_($agg_result, $7); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN13uint8_clampedC1ERKS_($this, $other) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$other;
  var $3=$1;
  var $4=$2; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN13uint8_clampedC2ERKS_($3, $4); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d=__stackBase__;
      var $n;
      var $n1;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7isInt32Ev($7); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7toInt32Ev($12); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIdE8setIndexEP8JSObjectjd($10, $11, $14); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZNK2JS5Value8isDoubleEv($16); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK2JS5Value8toDoubleEv($19); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$20,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZNK2JS5Value6isNullEv($22); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $26=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value11isPrimitiveEv($26); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $29=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZNK2JS5Value8isStringEv($29); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $32=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($32, $33, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $36=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZNK2JS5Value11isUndefinedEv($36); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $39=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$39,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $41=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value9toBooleanEv($41); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$43,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $47=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$47,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $51=__ZN18TypedArrayTemplateIdE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $53=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIdE8setIndexEP8JSObjectjd($53, $54, $55); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $57=__ZN18TypedArrayTemplateIdE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($57) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $59=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__Z21js_DoubleToECMAUint32d($59); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$60; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=(($63)>>>0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIdE8setIndexEP8JSObjectjd($61, $62, $64); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $66=__ZN18TypedArrayTemplateIdE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $67=(($66)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($67) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $69=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIdE8setIndexEP8JSObjectjd($69, $70, $71); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $73=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=__ZL20js_DoubleToECMAInt32d4007($73); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$74; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=(($77)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIdE8setIndexEP8JSObjectjd($75, $76, $78); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $83=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIdE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIdE8setIndexEP8JSObjectjd($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$obj;
  $2=$index;
  $3=$val;
  var $4=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray13getDataOffsetEP8JSObject($5); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$6; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7+($8<<3))|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  (tempDoubleF64[0]=$4,HEAP32[(($9)>>2)]=tempDoubleI32[0],HEAP32[(($9+4)>>2)]=tempDoubleI32[1]); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIdE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedIdEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d=__stackBase__;
      var $n;
      var $n1;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7isInt32Ev($7); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7toInt32Ev($12); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13)|0); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIfE8setIndexEP8JSObjectjf($10, $11, $14); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZNK2JS5Value8isDoubleEv($16); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK2JS5Value8toDoubleEv($19); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$20,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZNK2JS5Value6isNullEv($22); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $26=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value11isPrimitiveEv($26); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $29=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZNK2JS5Value8isStringEv($29); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $32=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($32, $33, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $36=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZNK2JS5Value11isUndefinedEv($36); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $39=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$39,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $41=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value9toBooleanEv($41); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$43,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $47=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$47,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $51=__ZN18TypedArrayTemplateIfE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $53=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=$55; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIfE8setIndexEP8JSObjectjf($53, $54, $56); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $58=__ZN18TypedArrayTemplateIfE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($58) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $60=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__Z21js_DoubleToECMAUint32d($60); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$61; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64)>>>0); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIfE8setIndexEP8JSObjectjf($62, $63, $65); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $67=__ZN18TypedArrayTemplateIfE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($68) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $70=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=$72; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIfE8setIndexEP8JSObjectjf($70, $71, $73); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $75=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=__ZL20js_DoubleToECMAInt32d4007($75); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$76; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=(($79)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIfE8setIndexEP8JSObjectjf($77, $78, $80); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $85=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIfE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIfE8setIndexEP8JSObjectjf($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$obj;
  $2=$index;
  $3=$val;
  var $4=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray13getDataOffsetEP8JSObject($5); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$6; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7+($8<<2))|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAPF32[(($9)>>2)]=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedIfEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d=__stackBase__;
      var $n;
      var $n1;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7isInt32Ev($7); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7toInt32Ev($12); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIjE8setIndexEP8JSObjectjj($10, $11, $13); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZNK2JS5Value8isDoubleEv($15); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZNK2JS5Value8toDoubleEv($18); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$19,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZNK2JS5Value6isNullEv($21); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZNK2JS5Value11isPrimitiveEv($25); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $28=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZNK2JS5Value8isStringEv($28); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $31=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($31, $32, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $35=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK2JS5Value11isUndefinedEv($35); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $38=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$38,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $40=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZNK2JS5Value9toBooleanEv($40); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$42,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $46=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$46,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $50=__ZN18TypedArrayTemplateIjE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $52=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=($54 >= 0 ? Math.floor($54) : Math.ceil($54)); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIjE8setIndexEP8JSObjectjj($52, $53, $55); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $57=__ZN18TypedArrayTemplateIjE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($57) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $59=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__Z21js_DoubleToECMAUint32d($59); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$60; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIjE8setIndexEP8JSObjectjj($61, $62, $63); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $65=__ZN18TypedArrayTemplateIjE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $68=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=($70 >= 0 ? Math.floor($70) : Math.ceil($70)); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIjE8setIndexEP8JSObjectjj($68, $69, $71); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $73=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=__ZL20js_DoubleToECMAInt32d4007($73); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$74; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIjE8setIndexEP8JSObjectjj($75, $76, $77); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $82=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $82; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIjE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIjE8setIndexEP8JSObjectjj($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$obj;
  $2=$index;
  $3=$val;
  var $4=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray13getDataOffsetEP8JSObject($5); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$6; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7+($8<<2))|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP32[(($9)>>2)]=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedIjEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d=__stackBase__;
      var $n;
      var $n1;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7isInt32Ev($7); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7toInt32Ev($12); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIiE8setIndexEP8JSObjectji($10, $11, $13); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $15=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $16=__ZNK2JS5Value8isDoubleEv($15); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $18=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $19=__ZNK2JS5Value8toDoubleEv($18); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$19,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $21=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $22=__ZNK2JS5Value6isNullEv($21); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $25=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $26=__ZNK2JS5Value11isPrimitiveEv($25); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $28=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $29=__ZNK2JS5Value8isStringEv($28); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $31=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $32=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($31, $32, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $35=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $36=__ZNK2JS5Value11isUndefinedEv($35); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $38=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$38,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $40=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $41=__ZNK2JS5Value9toBooleanEv($40); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=(($41)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$42,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $46=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$46,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $50=__ZN18TypedArrayTemplateIiE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($50) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $52=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $53=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(($54)&-1); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIiE8setIndexEP8JSObjectji($52, $53, $55); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $57=__ZN18TypedArrayTemplateIiE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($57) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $59=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $60=__Z21js_DoubleToECMAUint32d($59); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$60; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIiE8setIndexEP8JSObjectji($61, $62, $63); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $65=__ZN18TypedArrayTemplateIiE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $66=(($65)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($66) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $68=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $69=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $70=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=(($70)&-1); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIiE8setIndexEP8JSObjectji($68, $69, $71); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $73=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $74=__ZL20js_DoubleToECMAInt32d4007($73); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$74; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $75=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIiE8setIndexEP8JSObjectji($75, $76, $77); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $82=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $82; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIiE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIiE8setIndexEP8JSObjectji($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$obj;
  $2=$index;
  $3=$val;
  var $4=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray13getDataOffsetEP8JSObject($5); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$6; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7+($8<<2))|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP32[(($9)>>2)]=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedIiEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d=__stackBase__;
      var $n;
      var $n1;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7isInt32Ev($7); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7toInt32Ev($12); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13) & 65535); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateItE8setIndexEP8JSObjectjt($10, $11, $14); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZNK2JS5Value8isDoubleEv($16); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK2JS5Value8toDoubleEv($19); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$20,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZNK2JS5Value6isNullEv($22); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $26=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value11isPrimitiveEv($26); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $29=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZNK2JS5Value8isStringEv($29); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $32=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($32, $33, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $36=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZNK2JS5Value11isUndefinedEv($36); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $39=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$39,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $41=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value9toBooleanEv($41); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$43,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $47=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$47,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $51=__ZN18TypedArrayTemplateItE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $53=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=($55 >= 0 ? Math.floor($55) : Math.ceil($55)); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateItE8setIndexEP8JSObjectjt($53, $54, $56); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $58=__ZN18TypedArrayTemplateItE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($58) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $60=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__Z21js_DoubleToECMAUint32d($60); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$61; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64) & 65535); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateItE8setIndexEP8JSObjectjt($62, $63, $65); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $67=__ZN18TypedArrayTemplateItE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($68) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $70=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=($72 >= 0 ? Math.floor($72) : Math.ceil($72)); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateItE8setIndexEP8JSObjectjt($70, $71, $73); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $75=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=__ZL20js_DoubleToECMAInt32d4007($75); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$76; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=(($79) & 65535); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateItE8setIndexEP8JSObjectjt($77, $78, $80); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $85=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateItE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateItE8setIndexEP8JSObjectjt($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$obj;
  $2=$index;
  $3=$val;
  var $4=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray13getDataOffsetEP8JSObject($5); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$6; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7+($8<<1))|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP16[(($9)>>1)]=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedItEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$tarray;
  $3=$index;
  $4=$vp;
  var $5=$4; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN18TypedArrayTemplateItE8getIndexEP8JSObjectj($6, $7); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($8)&65535); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JS5Value8setInt32Ei($5, $9); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE8getIndexEP8JSObjectj($obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($5+($6<<1))|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=HEAP16[(($7)>>1)]; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $8; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d=__stackBase__;
      var $n;
      var $n1;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7isInt32Ev($7); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7toInt32Ev($12); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13) & 65535); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIsE8setIndexEP8JSObjectjs($10, $11, $14); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZNK2JS5Value8isDoubleEv($16); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK2JS5Value8toDoubleEv($19); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$20,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZNK2JS5Value6isNullEv($22); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $26=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value11isPrimitiveEv($26); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $29=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZNK2JS5Value8isStringEv($29); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $32=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($32, $33, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $36=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZNK2JS5Value11isUndefinedEv($36); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $39=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$39,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $41=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value9toBooleanEv($41); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$43,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $47=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$47,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $51=__ZN18TypedArrayTemplateIsE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $53=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55)&-1); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIsE8setIndexEP8JSObjectjs($53, $54, $56); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $58=__ZN18TypedArrayTemplateIsE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($58) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $60=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__Z21js_DoubleToECMAUint32d($60); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$61; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64) & 65535); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIsE8setIndexEP8JSObjectjs($62, $63, $65); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $67=__ZN18TypedArrayTemplateIsE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($68) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $70=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72)&-1); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIsE8setIndexEP8JSObjectjs($70, $71, $73); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $75=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=__ZL20js_DoubleToECMAInt32d4007($75); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$76; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=(($79) & 65535); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIsE8setIndexEP8JSObjectjs($77, $78, $80); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $85=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIsE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZL14JSID_FROM_BITSj4031($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _JSID_TO_INT4027($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_TO_STRING4029($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function _DOUBLE_TO_JSVAL_IMPL4026($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL4024($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL4025($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL4030($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZN18TypedArrayTemplateIsE8setIndexEP8JSObjectjs($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$obj;
  $2=$index;
  $3=$val;
  var $4=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray13getDataOffsetEP8JSObject($5); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$6; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7+($8<<1))|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP16[(($9)>>1)]=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedIsEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$tarray;
  $3=$index;
  $4=$vp;
  var $5=$4; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN18TypedArrayTemplateIsE8getIndexEP8JSObjectj($6, $7); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($8 << 16) >> 16); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JS5Value8setInt32Ei($5, $9); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE8getIndexEP8JSObjectj($obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$4; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=(($5+($6<<1))|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=HEAP16[(($7)>>1)]; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $8; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d=__stackBase__;
      var $n;
      var $n1;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7isInt32Ev($7); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7toInt32Ev($12); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13) & 255); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIhE8setIndexEP8JSObjectjh($10, $11, $14); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZNK2JS5Value8isDoubleEv($16); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK2JS5Value8toDoubleEv($19); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$20,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZNK2JS5Value6isNullEv($22); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $26=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value11isPrimitiveEv($26); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $29=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZNK2JS5Value8isStringEv($29); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $32=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($32, $33, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $36=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZNK2JS5Value11isUndefinedEv($36); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $39=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$39,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $41=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value9toBooleanEv($41); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$43,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $47=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$47,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $51=__ZN18TypedArrayTemplateIhE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $53=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=($55 >= 0 ? Math.floor($55) : Math.ceil($55)); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIhE8setIndexEP8JSObjectjh($53, $54, $56); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $58=__ZN18TypedArrayTemplateIhE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($58) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $60=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__Z21js_DoubleToECMAUint32d($60); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$61; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64) & 255); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIhE8setIndexEP8JSObjectjh($62, $63, $65); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $67=__ZN18TypedArrayTemplateIhE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($68) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $70=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=($72 >= 0 ? Math.floor($72) : Math.ceil($72)); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIhE8setIndexEP8JSObjectjh($70, $71, $73); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $75=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=__ZL20js_DoubleToECMAInt32d4007($75); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$76; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=(($79) & 255); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIhE8setIndexEP8JSObjectjh($77, $78, $80); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $85=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIhE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIhE8setIndexEP8JSObjectjh($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$obj;
  $2=$index;
  $3=$val;
  var $4=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray13getDataOffsetEP8JSObject($5); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=(($6+$7)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP8[($8)]=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedIhEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$tarray;
  $3=$index;
  $4=$vp;
  var $5=$4; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN18TypedArrayTemplateIhE8getIndexEP8JSObjectj($6, $7); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($8)&255); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JS5Value8setInt32Ei($5, $9); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE8getIndexEP8JSObjectj($obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=(($4+$5)|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=HEAP8[($6)]; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $7; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $tarray, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $d=__stackBase__;
      var $n;
      var $n1;
      $2=$cx;
      $3=$tarray;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$5; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $8=__ZNK2JS5Value7isInt32Ev($7); //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 2: 
      var $10=$3; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $11=$4; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $12=$5; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $13=__ZNK2JS5Value7toInt32Ev($12); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $14=(($13) & 255); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIaE8setIndexEP8JSObjectja($10, $11, $14); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $1=1; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 3: 
      var $16=$5; //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $17=__ZNK2JS5Value8isDoubleEv($16); //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 4: 
      var $19=$5; //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $20=__ZNK2JS5Value8toDoubleEv($19); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$20,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 18; break; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 5: 
      var $22=$5; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $23=__ZNK2JS5Value6isNullEv($22); //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 6: 
      (tempDoubleF64[0]=0,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 17; break; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 7: 
      var $26=$5; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $27=__ZNK2JS5Value11isPrimitiveEv($26); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($27) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 8: 
      var $29=$5; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $30=__ZNK2JS5Value8isStringEv($29); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 9: 
      var $32=$2; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $33=$5; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $34=__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd($32, $33, $d); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 14; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 10: 
      var $36=$5; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $37=__ZNK2JS5Value11isUndefinedEv($36); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 11: 
      var $39=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$39,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 12: 
      var $41=$5; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $42=__ZNK2JS5Value9toBooleanEv($41); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $43=(($42)&1); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$43,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      __label__ = 16; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 15: 
      var $47=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      (tempDoubleF64[0]=$47,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $51=__ZN18TypedArrayTemplateIaE24ArrayTypeIsFloatingPointEv(); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($51) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 19: 
      var $53=$3; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $54=$4; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $55=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $56=(($55)&-1); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIaE8setIndexEP8JSObjectja($53, $54, $56); //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 27; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 20: 
      var $58=__ZN18TypedArrayTemplateIaE19ArrayTypeIsUnsignedEv(); //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($58) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 21: 
      var $60=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $61=__Z21js_DoubleToECMAUint32d($60); //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n=$61; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $62=$3; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $63=$4; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $64=$n; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $65=(($64) & 255); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIaE8setIndexEP8JSObjectja($62, $63, $65); //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 26; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 22: 
      var $67=__ZN18TypedArrayTemplateIaE11ArrayTypeIDEv(); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $68=(($67)|0)==8; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      if ($68) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 23: 
      var $70=$3; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $71=$4; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $72=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $73=(($72)&-1); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIaE8setIndexEP8JSObjectja($70, $71, $73); //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break; //@line 1067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 24: 
      var $75=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $76=__ZL20js_DoubleToECMAInt32d4007($75); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      $n1=$76; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $77=$3; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $78=$4; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $79=$n1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      var $80=(($79) & 255); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __ZN18TypedArrayTemplateIaE8setIndexEP8JSObjectja($77, $78, $80); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break;
    case 26: 
      __label__ = 27; break;
    case 27: 
      $1=1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      __label__ = 28; break; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    case 28: 
      var $85=$1; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN18TypedArrayTemplateIaE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZN18TypedArrayTemplateIaE8setIndexEP8JSObjectja($obj, $index, $val) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$obj;
  $2=$index;
  $3=$val;
  var $4=$3; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$1; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray13getDataOffsetEP8JSObject($5); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$2; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=(($6+$7)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  HEAP8[($8)]=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE19ArrayTypeIsUnsignedEv() {
  ;
  var __label__;

  var $1=__ZL14TypeIsUnsignedIaEKbv(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $1; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE($cx, $tarray, $index, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$tarray;
  $3=$index;
  $4=$vp;
  var $5=$4; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=$2; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$3; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=__ZN18TypedArrayTemplateIaE8getIndexEP8JSObjectj($6, $7); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($8 << 24) >> 24); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JS5Value8setInt32Ei($5, $9); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE8getIndexEP8JSObjectj($obj, $index) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$obj;
  $2=$index;
  var $3=$1; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=__ZN2js10TypedArray13getDataOffsetEP8JSObject($3); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $5=$2; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=(($4+$5)|0); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=HEAP8[($6)]; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $7; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateI13uint8_clampedE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=(($12)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateI13uint8_clampedE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN2js10TypedArray13getByteOffsetEP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 79 "./jstypedarrayinlines.h"
  var $3=__ZNK8JSObject12getFixedSlotEj($2, 1); //@line 79 "./jstypedarrayinlines.h"
  var $4=__ZNK2JS5Value7toInt32Ev($3); //@line 79 "./jstypedarrayinlines.h"
  ;
  return $4; //@line 79 "./jstypedarrayinlines.h"
}


function __ZN18TypedArrayTemplateIdE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=((($12<<3))|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateIdE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIfE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=((($12<<2))|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateIfE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIjE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=((($12<<2))|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateIjE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIiE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=((($12<<2))|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateIiE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateItE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=((($12<<1))|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateItE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIsE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=((($12<<1))|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateIsE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIhE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=(($12)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateIhE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZN18TypedArrayTemplateIaE14createSubarrayEP9JSContextP8JSObjectjj($cx, $tarray, $begin, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $bufobj;
  var $length;
  var $byteOffset;
  $1=$cx;
  $2=$tarray;
  $3=$begin;
  $4=$end;
  var $5=$2; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $6=__ZN2js10TypedArray9getBufferEP8JSObject($5); //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $bufobj=$6; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $7=$4; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $8=$3; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $9=(($7-$8)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $length=$9; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $10=$2; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $11=__ZN2js10TypedArray13getByteOffsetEP8JSObject($10); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $12=$3; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $13=(($12)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $14=(($11+$13)|0); //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $byteOffset=$14; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $15=$1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $16=$bufobj; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $17=$byteOffset; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $18=$length; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $19=__ZN18TypedArrayTemplateIaE16createTypedArrayEP9JSContextP8JSObjectjj($15, $16, $17, $18); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return $19; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z14getLengthValueP8JSObject($agg_result, $tarray) {
  ;
  var __label__;

  var $1;
  $1=$tarray;
  var $2=$1; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZN2js10TypedArray9getLengthEP8JSObject($2); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JSL10Int32ValueEi3996($agg_result, $3); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z18getByteLengthValueP8JSObject($agg_result, $tarray) {
  ;
  var __label__;

  var $1;
  $1=$tarray;
  var $2=$1; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZN2js10TypedArray13getByteLengthEP8JSObject($2); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JSL10Int32ValueEi3996($agg_result, $3); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z18getByteOffsetValueP8JSObject($agg_result, $tarray) {
  ;
  var __label__;

  var $1;
  $1=$tarray;
  var $2=$1; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZN2js10TypedArray13getByteOffsetEP8JSObject($2); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JSL10Int32ValueEi3996($agg_result, $3); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __Z14getBufferValueP8JSObject($agg_result, $tarray) {
  ;
  var __label__;

  var $1;
  var $buffer;
  $1=$tarray;
  var $2=$1; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $3=__ZN2js10TypedArray9getBufferEP8JSObject($2); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  $buffer=$3; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  var $4=$buffer; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  __ZN2JSL11ObjectValueER8JSObject3997($agg_result, $4); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
  ;
  return; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jstypedarray.cpp"
}


function __ZL12JSID_TO_ATOMi4028($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING4029($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4035($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE4040($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4036($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb4033($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL4039($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL4044($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL4045($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4032($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb4033($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4034($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4034($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$6; //@line 1443 "./jsobjinlines.h"
      var $21=$3; //@line 1443 "./jsobjinlines.h"
      var $22=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4035($20, $21); //@line 1443 "./jsobjinlines.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1443 "./jsobjinlines.h"
    case 7: 
      var $24=$6; //@line 1444 "./jsobjinlines.h"
      var $25=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4036($24); //@line 1444 "./jsobjinlines.h"
      $6=$25; //@line 1444 "./jsobjinlines.h"
      __label__ = 8; break; //@line 1444 "./jsobjinlines.h"
    case 8: 
      var $27=$2; //@line 1446 "./jsobjinlines.h"
      var $28=$6; //@line 1446 "./jsobjinlines.h"
      var $29=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($27, $28); //@line 1446 "./jsobjinlines.h"
      $obj=$29; //@line 1446 "./jsobjinlines.h"
      var $30=$obj; //@line 1447 "./jsobjinlines.h"
      var $31=(($30)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1447 "./jsobjinlines.h"
    case 9: 
      __label__ = 20; break; //@line 1448 "./jsobjinlines.h"
    case 10: 
      var $34=$obj; //@line 1457 "./jsobjinlines.h"
      var $35=$2; //@line 1457 "./jsobjinlines.h"
      var $36=$3; //@line 1457 "./jsobjinlines.h"
      var $37=$type; //@line 1457 "./jsobjinlines.h"
      var $38=$5; //@line 1457 "./jsobjinlines.h"
      var $39=(($38)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($39) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 11: 
      var $41=$4; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 12: 
      var $44=$4; //@line 1458 "./jsobjinlines.h"
      var $45=__ZNK8JSObject9getParentEv($44); //@line 1458 "./jsobjinlines.h"
      var $49 = $45;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 13: 
      var $47=$5; //@line 1458 "./jsobjinlines.h"
      var $49 = $47;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 14: 
      var $49; //@line 1458 "./jsobjinlines.h"
      var $50=$3; //@line 1458 "./jsobjinlines.h"
      var $51=(($50)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($34, $35, $36, $37, $49, 0, $51); //@line 1458 "./jsobjinlines.h"
      var $52=$3; //@line 1461 "./jsobjinlines.h"
      var $53=__ZNK2js5Class8isNativeEv($52); //@line 1461 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1461 "./jsobjinlines.h"
    case 15: 
      var $55=$2; //@line 1462 "./jsobjinlines.h"
      var $56=$obj; //@line 1462 "./jsobjinlines.h"
      var $57=$3; //@line 1462 "./jsobjinlines.h"
      var $58=$type; //@line 1462 "./jsobjinlines.h"
      var $59=$6; //@line 1462 "./jsobjinlines.h"
      var $60=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4037($55, $56, $57, $58, $59); //@line 1462 "./jsobjinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1462 "./jsobjinlines.h"
    case 16: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 20; break; //@line 1464 "./jsobjinlines.h"
    case 17: 
      __label__ = 19; break; //@line 1466 "./jsobjinlines.h"
    case 18: 
      var $64=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($64); //@line 1467 "./jsobjinlines.h"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $67=$2; //@line 1471 "./jsobjinlines.h"
      var $68=$obj; //@line 1471 "./jsobjinlines.h"
      var $69=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($67, $68); //@line 1471 "./jsobjinlines.h"
      var $70=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$70; //@line 1472 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1472 "./jsobjinlines.h"
    case 21: 
      var $72=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $72; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4034["X"]=1;

function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4037($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4037["X"]=1;

function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb4038($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4041($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4042($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4041["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4042($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4035($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4036($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4042["X"]=1;

function _js_calloc4043($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_Assert($s, $file, $ln) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$s;
  $2=$file;
  $3=$ln;
  var $4=HEAP32[((_stderr)>>2)]; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  var $5=$1; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  var $6=$2; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  var $7=$3; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  var $8=_fprintf($4, ((STRING_TABLE.__str4046)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$5,HEAP32[((tempInt+4)>>2)]=$6,HEAP32[((tempInt+8)>>2)]=$7,tempInt)); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  var $9=HEAP32[((_stderr)>>2)]; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  var $10=_fflush($9); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  __ZL9CrashInJSv(); //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  STACKTOP = __stackBase__;
  return; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
}


function __ZL9CrashInJSv() {
  ;
  var __label__;

  var $1=_raise(6); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
  ;
  return; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsutil.cpp"
}


function __ZN2js13WatchpointMap4initEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $4=__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj($3, 0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  ;
  return $4; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN2js13WatchpointMap5watchEP9JSContextP8JSObjectiPFiS2_S4_iN2JS5ValueEPS6_PvES4_($this, $cx, $obj, $id, $handler, $closure) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $w=__stackBase__;
      var $8=__stackBase__+12;
      $2=$this;
      $3=$cx;
      $4=$obj;
      $5=$id;
      $6=$handler;
      $7=$closure;
      var $9=$2;
      var $10=$4; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $11=$3; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN8JSObject10setWatchedEP9JSContext($10, $11); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $12=$6; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $13=(($w)|0); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      HEAP32[(($13)>>2)]=$12; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=$7; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=(($w+4)|0); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $16=(($w+8)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      HEAP8[($16)]=0; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $17=(($9)|0); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $18=$4; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $19=$5; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js8WatchKeyC1EP8JSObjecti($8, $18, $19); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $20=__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3putERKS1_RKS2_($17, $8, $w); //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $21=(($20)|0)!=0; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $23=$3; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __Z20js_ReportOutOfMemoryP9JSContext($23); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $1=0; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 4; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      $1=1; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 4; break; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 4: 
      var $26=$1; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject10setWatchedEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=__ZNK8JSObject7watchedEv($3); //@line 628 "./jsobj.h"
      if ($4) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 628 "./jsobj.h"
    case 2: 
      var $6=(($3+8)|0); //@line 629 "./jsobj.h"
      var $7=HEAP32[(($6)>>2)]; //@line 629 "./jsobj.h"
      var $8=$7 | 8192; //@line 629 "./jsobj.h"
      HEAP32[(($6)>>2)]=$8; //@line 629 "./jsobj.h"
      var $9=$2; //@line 630 "./jsobj.h"
      __ZN8JSObject16generateOwnShapeEP9JSContext($3, $9); //@line 630 "./jsobj.h"
      __label__ = 3; break; //@line 631 "./jsobj.h"
    case 3: 
      ;
      return; //@line 632 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3putERKS1_RKS2_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$k;
      $4=$v;
      var $6=$2;
      var $7=$3; //@line 1140 "./jshashtable.h"
      __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_($p, $6, $7); //@line 1140 "./jshashtable.h"
      var $8=$p; //@line 1141 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($5, $8); //@line 1141 "./jshashtable.h"
      var $9={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1141 "./jshashtable.h"
      var $10=$9.f0; //@line 1141 "./jshashtable.h"
      var $11=(($10)|0)!=0; //@line 1141 "./jshashtable.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1141 "./jshashtable.h"
    case 2: 
      var $13=$p; //@line 1142 "./jshashtable.h"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($13); //@line 1142 "./jshashtable.h"
      var $15=(($14+8)|0); //@line 1142 "./jshashtable.h"
      var $16=$4; //@line 1142 "./jshashtable.h"
      var $17=$15; //@line 1142 "./jshashtable.h"
      var $18=$16; //@line 1142 "./jshashtable.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)];HEAP32[(($17+8)>>2)]=HEAP32[(($18+8)>>2)]; //@line 1142 "./jshashtable.h"
      var $19=$p; //@line 1143 "./jshashtable.h"
      var $20=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrdeEv($19); //@line 1143 "./jshashtable.h"
      $1=$20; //@line 1143 "./jshashtable.h"
      __label__ = 7; break; //@line 1143 "./jshashtable.h"
    case 3: 
      var $22=$3; //@line 1145 "./jshashtable.h"
      var $23=$4; //@line 1145 "./jshashtable.h"
      var $24=__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS1_RKS2_($6, $p, $22, $23); //@line 1145 "./jshashtable.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1145 "./jshashtable.h"
    case 4: 
      var $26=$p; //@line 1145 "./jshashtable.h"
      var $27=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrdeEv($26); //@line 1145 "./jshashtable.h"
      var $30 = $27;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 5: 
      var $30 = 0;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 6: 
      var $30; //@line 1145 "./jshashtable.h"
      $1=$30; //@line 1145 "./jshashtable.h"
      __label__ = 7; break; //@line 1145 "./jshashtable.h"
    case 7: 
      var $32=$1; //@line 1146 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $32; //@line 1146 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js8WatchKeyC1EP8JSObjecti($this, $obj, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$obj;
  $3=$id;
  var $4=$1;
  var $5=$2; //@line 51 "./jswatchpoint.h"
  var $6=$3; //@line 51 "./jswatchpoint.h"
  __ZN2js8WatchKeyC2EP8JSObjecti($4, $5, $6); //@line 51 "./jswatchpoint.h"
  ;
  return; //@line 51 "./jswatchpoint.h"
}


function __ZN2js13WatchpointMap7unwatchEP8JSObjectiPPFiP9JSContextS2_iN2JS5ValueEPS6_PvEPS2_($this, $obj, $id, $handlerp, $closurep) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $p=__stackBase__;
      var $6=__stackBase__+4;
      var $7=__stackBase__+12;
      var $8=__stackBase__+20;
      $1=$this;
      $2=$obj;
      $3=$id;
      $4=$handlerp;
      $5=$closurep;
      var $9=$1;
      var $10=(($9)|0); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $11=$2; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $12=$3; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js8WatchKeyC1EP8JSObjecti($6, $11, $12); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_($p, $10, $6); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($7, $p); //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $13={ f0: HEAP32[(($7)>>2)], f1: HEAP32[(($7+4)>>2)] }; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=$13.f0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=(($14)|0)!=0; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $17=$4; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $18=(($17)|0)!=0; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      var $20=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($p); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $21=(($20+8)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $22=(($21)|0); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $24=$4; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      HEAP32[(($24)>>2)]=$23; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 4; break; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 4: 
      var $26=$5; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $27=(($26)|0)!=0; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 5: 
      var $29=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($p); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $30=(($29+8)|0); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $31=(($30+4)|0); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $33=$5; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 6; break; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 6: 
      var $35=(($9)|0); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $36=$8; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $37=$p; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)]; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E3PtrE($35, $8); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 7; break; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13WatchpointMap7unwatchEP8JSObjectiPPFiP9JSContextS2_iN2JS5ValueEPS6_PvEPS2_["X"]=1;

function __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 328, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeENSC_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN2js13WatchpointMap13unwatchObjectEP8JSObject($this, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $r=__stackBase__;
      var $3;
      var $e;
      $1=$this;
      $2=$obj;
      var $4=$1;
      var $5=(($4)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($r, $5); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 2; break; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $7=$r; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $8=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($7); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $9=$8 ^ 1; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      $3=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($r); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 8; break;
    case 4: 
      var $12=$r; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($12); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $e=$13; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=$e; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=(($14)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $16=(($15)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $18=$2; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $19=(($17)|0)==(($18)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 5: 
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($r); //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 6; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 6: 
      __label__ = 7; break; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 7: 
      var $23=$r; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($23); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 2; break; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 8: 
      STACKTOP = __stackBase__;
      return; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+24)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN2js13WatchpointMap5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE5clearEv($3); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  ;
  return; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1112 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5clearEv($3); //@line 1112 "./jshashtable.h"
  ;
  return; //@line 1112 "./jshashtable.h"
}


function __ZN2js13WatchpointMap17triggerWatchpointEP9JSContextP8JSObjectiPN2JS5ValueE($this, $cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $p=__stackBase__;
      var $7=__stackBase__+4;
      var $8=__stackBase__+12;
      var $holder=__stackBase__+20;
      var $9=__stackBase__+40;
      var $handler;
      var $closure;
      var $old=__stackBase__+44;
      var $shape;
      var $slot;
      var $method=__stackBase__+52;
      var $10;
      var $11=__stackBase__+60;
      $2=$this;
      $3=$cx;
      $4=$obj;
      $5=$id;
      $6=$vp;
      var $12=$2;
      var $13=(($12)|0); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=$4; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=$5; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js8WatchKeyC1EP8JSObjecti($7, $14, $15); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_($p, $13, $7); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($8, $p); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $16={ f0: HEAP32[(($8)>>2)], f1: HEAP32[(($8+4)>>2)] }; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $17=$16.f0; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $18=(($17)|0)!=0; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $20=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($p); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $21=(($20+8)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $22=(($21+8)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $23=HEAP8[($22)]; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $24=(($23) & 1); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      $1=1; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 17; break; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 4: 
      var $27=(($12)|0); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $28=$9; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $29=$p; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)]; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN15AutoEntryHolderC1ERN2js7HashMapINS0_8WatchKeyENS0_10WatchpointENS0_13DefaultHasherIS2_EENS0_17SystemAllocPolicyEEENS0_6detail9HashTableINS0_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE($holder, $27, $9); //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $30=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($p); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $31=(($30+8)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $32=(($31)|0); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $handler=$33; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $34=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($p); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $35=(($34+8)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $36=(($35+4)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $closure=$37; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2JS5Value12setUndefinedEv($old); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $38=$4; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $39=__ZNK8JSObject8isNativeEv($38); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($39) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 5: 
      var $41=$4; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $42=$3; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $43=$5; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $44=__ZN8JSObject12nativeLookupEP9JSContexti($41, $42, $43); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $shape=$44; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $45=$shape; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $46=(($45)|0)!=0; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($46) { __label__ = 6; break; } else { __label__ = 14; break; } //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 6: 
      var $48=$shape; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $49=(($48+24)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $slot=$50; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $51=$4; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $52=$slot; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $53=__ZNK8JSObject12containsSlotEj($51, $52); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($53) { __label__ = 7; break; } else { __label__ = 13; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 7: 
      var $55=$shape; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $56=__ZNK2js5Shape8isMethodEv($55); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($56) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 8: 
      var $58=$shape; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $59=__ZNK2js5Shape12methodObjectEv($58); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2JSL11ObjectValueER8JSObject4064($method, $59); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $60=$4; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $61=$3; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $62=$shape; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $63=__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE($60, $61, $62, $method); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $64=(($63)|0)!=0; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($64) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 9: 
      $1=0; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $10=1;
      __label__ = 16; break; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 10: 
      var $67=$4; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $68=$3; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $69=$5; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $70=__ZN8JSObject12nativeLookupEP9JSContexti($67, $68, $69); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $shape=$70; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $71=$old; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $72=$method; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 12; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 11: 
      var $74=$4; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $75=$slot; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $76=__ZNK8JSObject13nativeGetSlotEj($74, $75); //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $77=$old; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $78=$76; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($77)>>2)]=HEAP32[(($78)>>2)];HEAP32[(($77+4)>>2)]=HEAP32[(($78+4)>>2)]; //@line 165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 13; break; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 13: 
      __label__ = 14; break; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 14: 
      __label__ = 15; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 15: 
      var $83=$handler; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $84=$3; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $85=$4; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $86=$5; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $87=$11; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $88=$old; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[(($88+4)>>2)]; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $89=$6; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $90=$closure; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $91=$90; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $92=FUNCTION_TABLE[$83]($84, $85, $86, $11, $89, $91); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $93=(($92)|0)!=0; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $1=$93; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $10=1;
      __label__ = 16; break; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 16: 
      __ZN15AutoEntryHolderD1Ev($holder); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 17; break;
    case 17: 
      var $96=$1; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      STACKTOP = __stackBase__;
      return $96; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13WatchpointMap17triggerWatchpointEP9JSContextP8JSObjectiPN2JS5ValueE["X"]=1;

function __ZN15AutoEntryHolderC1ERN2js7HashMapINS0_8WatchKeyENS0_10WatchpointENS0_13DefaultHasherIS2_EENS0_17SystemAllocPolicyEEENS0_6detail9HashTableINS0_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE($this, $map, $p) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  __ZN15AutoEntryHolderC2ERN2js7HashMapINS0_8WatchKeyENS0_10WatchpointENS0_13DefaultHasherIS2_EENS0_17SystemAllocPolicyEEENS0_6detail9HashTableINS0_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE($3, $4, $p); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  STACKTOP = __stackBase__;
  return; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
}


function __ZN2JSL11ObjectValueER8JSObject4064($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN15AutoEntryHolderD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN15AutoEntryHolderD2Ev($2); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  ;
  return; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
}


function __ZN2js13WatchpointMap18markAllIterativelyEP8JSTracer($trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rt;
      var $wpmap;
      var $mutated;
      var $c;
      $2=$trc;
      var $3=$2; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $4=(($3)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $6=(($5+52)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $rt=$7; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $8=$rt; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $9=(($8+144080)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $11=(($10)|0)!=0; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $13=$rt; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=(($13+144080)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $16=(($15+1984)|0); //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $wpmap=$17; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $18=$wpmap; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $19=(($18)|0)!=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($19) { __label__ = 3; break; } else { var $25 = 0;__label__ = 4; break; } //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      var $21=$wpmap; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $22=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $23=__ZN2js13WatchpointMap15markIterativelyEP8JSTracer($21, $22); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $25 = $23;__label__ = 4; break;
    case 4: 
      var $25;
      $1=$25;
      __label__ = 12; break;
    case 5: 
      $mutated=0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $27=$rt; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $28=(($27+4)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $29=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($28); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $c=$29; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 6; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 6: 
      var $31=$c; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $32=$rt; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $33=(($32+4)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $34=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($33); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $35=(($31)|0)!=(($34)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 7: 
      var $37=$c; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $39=(($38+1984)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $41=(($40)|0)!=0; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 8: 
      var $43=$c; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $45=(($44+1984)|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $47=$2; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $48=__ZN2js13WatchpointMap15markIterativelyEP8JSTracer($46, $47); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $49=(($48)&1); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $50=$mutated; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $51=(($50) & 1); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $52=(($51)&1); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $53=$52 | $49; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $54=(($53)|0)!=0; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $55=(($54)&1); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $mutated=$55; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 9; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 9: 
      __label__ = 10; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 10: 
      var $58=$c; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $59=(($58+4)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $c=$59; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 6; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 11: 
      var $61=$mutated; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $62=(($61) & 1); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $1=$62; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 12; break; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 12: 
      var $64=$1; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      ;
      return $64; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13WatchpointMap18markAllIterativelyEP8JSTracer["X"]=1;

function __ZN2js13WatchpointMap15markIterativelyEP8JSTracer($this, $trc) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cx;
      var $marked;
      var $r=__stackBase__;
      var $e;
      var $objectIsLive;
      var $id;
      $1=$this;
      $2=$trc;
      var $3=$1;
      var $4=$2; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $5=(($4)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $cx=$6; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $marked=0; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $7=(($3)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3allEv($r, $7); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 2; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($r); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $10=$9 ^ 1; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 13; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($r); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $e=$12; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $13=$cx; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=$e; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=(($14)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $16=(($15)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $18=$17; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $19=__Z20IsAboutToBeFinalizedP9JSContextPKv($13, $18); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $20=$19 ^ 1; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $21=(($20)&1); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $objectIsLive=$21; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $22=$objectIsLive; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $23=(($22) & 1); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 4: 
      var $25=$e; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $26=(($25+8)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $27=(($26+8)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $28=HEAP8[($27)]; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $29=(($28) & 1); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 5: 
      var $31=$objectIsLive; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $32=(($31) & 1); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 6: 
      var $34=$2; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $35=$e; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $36=(($35)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $37=(($36)|0); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($34, $38, ((STRING_TABLE.__str4049)|0)); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $marked=1; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 7; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 7: 
      var $40=$e; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $41=(($40)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $42=(($41+4)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $id=$43; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $44=$2; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $45=$id; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js2gc6MarkIdEP8JSTraceriPKc($44, $45, ((STRING_TABLE.__str14050)|0)); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $46=$e; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $47=(($46+8)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $48=(($47+4)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $50=(($49)|0)!=0; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($50) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 8: 
      var $52=$cx; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $53=$e; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $54=(($53+8)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $55=(($54+4)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $57=$56; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $58=__Z20IsAboutToBeFinalizedP9JSContextPKv($52, $57); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($58) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 9: 
      var $60=$2; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $61=$e; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $62=(($61+8)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $63=(($62+4)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($60, $64, ((STRING_TABLE.__str24051)|0)); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $marked=1; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 10; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 10: 
      __label__ = 11; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 11: 
      __label__ = 12; break; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 12: 
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($r); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 2; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 13: 
      var $69=$marked; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $70=(($69) & 1); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      STACKTOP = __stackBase__;
      return $70; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13WatchpointMap15markIterativelyEP8JSTracer["X"]=1;

function __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZN2js13WatchpointMap8sweepAllEP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $wpmap;
      var $c;
      var $wpmap1;
      $1=$cx;
      var $2=$1; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $3=(($2+52)|0); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $rt=$4; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $5=$rt; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $6=(($5+144080)|0); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $8=(($7)|0)!=0; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $10=$rt; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $11=(($10+144080)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $13=(($12+1984)|0); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $wpmap=$14; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=$wpmap; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $16=(($15)|0)!=0; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      var $18=$wpmap; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $19=$1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js13WatchpointMap5sweepEP9JSContext($18, $19); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 4; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 4: 
      __label__ = 12; break; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 5: 
      var $22=$rt; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $23=(($22+4)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $24=__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv($23); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $c=$24; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 6; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 6: 
      var $26=$c; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $27=$rt; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $28=(($27+4)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $29=__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv($28); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $30=(($26)|0)!=(($29)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 7: 
      var $32=$c; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $34=(($33+1984)|0); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $wpmap1=$35; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $36=$wpmap1; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $37=(($36)|0)!=0; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 8: 
      var $39=$wpmap1; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $40=$1; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js13WatchpointMap5sweepEP9JSContext($39, $40); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 9; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 9: 
      __label__ = 10; break; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 10: 
      var $43=$c; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $44=(($43+4)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $c=$44; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 6; break; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js13WatchpointMap8sweepAllEP9JSContext["X"]=1;

function __ZN2js13WatchpointMap5sweepEP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $r=__stackBase__;
      var $3;
      var $e;
      $1=$this;
      $2=$cx;
      var $4=$1;
      var $5=(($4)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_($r, $5); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 2; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $7=$r; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $8=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv($7); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $9=$8 ^ 1; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      $3=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev($r); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 8; break;
    case 4: 
      var $12=$r; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv($12); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      $e=$13; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=$2; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=$e; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $16=(($15)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $17=(($16)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $19=$18; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $20=__Z20IsAboutToBeFinalizedP9JSContextPKv($14, $19); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 5: 
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv($r); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 6; break; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 6: 
      __label__ = 7; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 7: 
      var $24=$r; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv($24); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 2; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 8: 
      STACKTOP = __stackBase__;
      return; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+4)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*24)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+24)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5clearEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $e;
      var $end;
      var $2=__stackBase__;
      var $3=__stackBase__+4;
      $1=$this;
      var $4=$1;
      var $5=(($4+20)|0); //@line 610 "./jshashtable.h"
      var $6=HEAP32[(($5)>>2)]; //@line 610 "./jshashtable.h"
      $e=$6; //@line 610 "./jshashtable.h"
      var $7=(($4+20)|0); //@line 610 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 610 "./jshashtable.h"
      var $9=(($4+4)|0); //@line 610 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 610 "./jshashtable.h"
      var $11=(($8+$10*24)|0); //@line 610 "./jshashtable.h"
      $end=$11; //@line 610 "./jshashtable.h"
      __label__ = 2; break; //@line 610 "./jshashtable.h"
    case 2: 
      var $13=$e; //@line 610 "./jshashtable.h"
      var $14=$end; //@line 610 "./jshashtable.h"
      var $15=(($13)|0)!=(($14)|0); //@line 610 "./jshashtable.h"
      if ($15) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 610 "./jshashtable.h"
    case 3: 
      var $17=$e; //@line 611 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC1Ev($3); //@line 611 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEENS_7MoveRefIT_EERKS9_($2, $3); //@line 611 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEaSENS_7MoveRefIS6_EE($17, $2); //@line 611 "./jshashtable.h"
      __label__ = 4; break; //@line 611 "./jshashtable.h"
    case 4: 
      var $19=$e; //@line 610 "./jshashtable.h"
      var $20=(($19+24)|0); //@line 610 "./jshashtable.h"
      $e=$20; //@line 610 "./jshashtable.h"
      __label__ = 2; break; //@line 610 "./jshashtable.h"
    case 5: 
      var $22=(($4+16)|0); //@line 613 "./jshashtable.h"
      HEAP32[(($22)>>2)]=0; //@line 613 "./jshashtable.h"
      var $23=(($4+8)|0); //@line 614 "./jshashtable.h"
      HEAP32[(($23)>>2)]=0; //@line 614 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 618 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEaSENS_7MoveRefIS6_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+4)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+4)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEENS_7MoveRefIT_EERS6_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEaSENS_7MoveRefIS3_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEENS_7MoveRefIT_EERKS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEC1ERS7_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+4)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js8WatchKeyC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 50 "./jswatchpoint.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEC2ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC2ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_8WatchKeyEEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_10WatchpointEEcvRS1_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "./jsutil.h"
  ;
  return $4; //@line 836 "./jsutil.h"
}


function __ZN2js7MoveRefINS_10WatchpointEEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefINS_8WatchKeyEEC2ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+4)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+4)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+4)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  __ZN2js8WatchKeyC1Ev($3); //@line 911 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 911 "./jshashtable.h"
  var $5=$4; //@line 911 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; HEAP32[(($5+4)>>2)]=0; HEAP32[(($5+8)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js8WatchKeyC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js8WatchKeyC2Ev($2); //@line 50 "./jswatchpoint.h"
  ;
  return; //@line 50 "./jswatchpoint.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEC1ERS7_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEC2ERS7_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEaSENS_7MoveRefIS3_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=(($4)|0); //@line 916 "./jshashtable.h"
  var $6=__ZNK2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $7=(($6)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveINS_8WatchKeyEEENS_7MoveRefIT_EERKS3_($2, $7); //@line 916 "./jshashtable.h"
  var $8=__ZNK2js7MoveRefINS_8WatchKeyEEcvRS1_Ev($2); //@line 916 "./jshashtable.h"
  var $9=$5; //@line 916 "./jshashtable.h"
  var $10=$8; //@line 916 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 916 "./jshashtable.h"
  var $11=(($4+8)|0); //@line 917 "./jshashtable.h"
  var $12=__ZNK2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $13=(($12+8)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveINS_10WatchpointEEENS_7MoveRefIT_EERS3_($3, $13); //@line 917 "./jshashtable.h"
  var $14=__ZNK2js7MoveRefINS_10WatchpointEEcvRS1_Ev($3); //@line 917 "./jshashtable.h"
  var $15=$11; //@line 917 "./jshashtable.h"
  var $16=$14; //@line 917 "./jshashtable.h"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)];HEAP32[(($15+8)>>2)]=HEAP32[(($16+8)>>2)]; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEENS_7MoveRefIT_EERS6_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC1ERS4_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC1ERS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC2ERS4_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js4MoveINS_8WatchKeyEEENS_7MoveRefIT_EERKS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "./jsutil.h"
  __ZN2js7MoveRefINS_8WatchKeyEEC1ERS1_($agg_result, $2); //@line 845 "./jsutil.h"
  ;
  return; //@line 845 "./jsutil.h"
}


function __ZN2js4MoveINS_10WatchpointEEENS_7MoveRefIT_EERS3_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_10WatchpointEEC1ERS1_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_10WatchpointEEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_10WatchpointEEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js7MoveRefINS_8WatchKeyEEC1ERS1_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_8WatchKeyEEC2ERS1_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+16)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+8)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEaSERKS3_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+4)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEaSERKS3_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEaSERKS3_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=(($3)|0); //@line 906 "./jshashtable.h"
  var $5=$2; //@line 906 "./jshashtable.h"
  var $6=(($5)|0); //@line 906 "./jshashtable.h"
  var $7=$4; //@line 906 "./jshashtable.h"
  var $8=$6; //@line 906 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 906 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 907 "./jshashtable.h"
  var $10=$2; //@line 907 "./jshashtable.h"
  var $11=(($10+8)|0); //@line 907 "./jshashtable.h"
  var $12=$9; //@line 907 "./jshashtable.h"
  var $13=$11; //@line 907 "./jshashtable.h"
  assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)];HEAP32[(($12+8)>>2)]=HEAP32[(($13+8)>>2)]; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+20)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+4)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+16)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+12)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+20)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*24)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEENS_7MoveRefIT_EERS9_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEaSENS_7MoveRefIS6_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+24)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*24)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js17SystemAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*24)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+24)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+20)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*24)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+20)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*24)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj["X"]=1;

function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEENS_7MoveRefIT_EERS9_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEC1ERS7_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function _js_free4069($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc4070($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3allEv($3, $6); //@line 231 "./jshashtable.h"
  var $7=$5; //@line 231 "./jshashtable.h"
  var $8=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 231 "./jshashtable.h"
  var $9=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $10=$2; //@line 231 "./jshashtable.h"
  var $11=(($10)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$11; //@line 231 "./jshashtable.h"
  var $12=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($12)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeENSC_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS3_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS1_RKS2_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $13=(($12)|0); //@line 1052 "./jshashtable.h"
      var $14=$4; //@line 1052 "./jshashtable.h"
      var $15=$13; //@line 1052 "./jshashtable.h"
      var $16=$14; //@line 1052 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1052 "./jshashtable.h"
      var $17=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $18=(($17+8)|0); //@line 1053 "./jshashtable.h"
      var $19=$5; //@line 1053 "./jshashtable.h"
      var $20=$18; //@line 1053 "./jshashtable.h"
      var $21=$19; //@line 1053 "./jshashtable.h"
      assert(12 % 1 === 0, 'memcpy given ' + 12 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)];HEAP32[(($20+8)>>2)]=HEAP32[(($21+8)>>2)]; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $23=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $23; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+4)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2jsL6HashIdEi4071($id) {
  ;
  var __label__;

  var $1;
  var $n;
  $1=$id;
  var $2=$1; //@line 104 "./jsatom.h"
  $n=$2; //@line 104 "./jsatom.h"
  var $3=$n; //@line 110 "./jsatom.h"
  var $4=(($3*-1640531527)|0); //@line 110 "./jsatom.h"
  ;
  return $4; //@line 110 "./jsatom.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+16)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+4)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js13DefaultHasherINS_8WatchKeyEE5matchERKS1_S4_($k, $l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$k;
      $2=$l;
      var $3=$1; //@line 68 "./jswatchpoint.h"
      var $4=(($3)|0); //@line 68 "./jswatchpoint.h"
      var $5=HEAP32[(($4)>>2)]; //@line 68 "./jswatchpoint.h"
      var $6=$2; //@line 68 "./jswatchpoint.h"
      var $7=(($6)|0); //@line 68 "./jswatchpoint.h"
      var $8=HEAP32[(($7)>>2)]; //@line 68 "./jswatchpoint.h"
      var $9=(($5)|0)==(($8)|0); //@line 68 "./jswatchpoint.h"
      if ($9) { __label__ = 2; break; } else { var $19 = 0;__label__ = 3; break; } //@line 68 "./jswatchpoint.h"
    case 2: 
      var $11=$1; //@line 68 "./jswatchpoint.h"
      var $12=(($11+4)|0); //@line 68 "./jswatchpoint.h"
      var $13=HEAP32[(($12)>>2)]; //@line 68 "./jswatchpoint.h"
      var $14=$2; //@line 68 "./jswatchpoint.h"
      var $15=(($14+4)|0); //@line 68 "./jswatchpoint.h"
      var $16=HEAP32[(($15)>>2)]; //@line 68 "./jswatchpoint.h"
      var $17=(($13)|0)==(($16)|0); //@line 68 "./jswatchpoint.h"
      var $19 = $17;__label__ = 3; break;
    case 3: 
      var $19;
      ;
      return $19; //@line 69 "./jsprvtd.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S2_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10generationEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 650 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 650 "./jshashtable.h"
  ;
  return $4; //@line 650 "./jshashtable.h"
}


function _OBJECT_TO_JSVAL_IMPL4072($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL4073($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _BUILD_JSVAL4074($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function __ZN2js8WatchKeyC2EP8JSObjecti($this, $obj, $id) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$obj;
  $3=$id;
  var $4=$1;
  var $5=(($4)|0); //@line 51 "./jswatchpoint.h"
  var $6=$2; //@line 51 "./jswatchpoint.h"
  HEAP32[(($5)>>2)]=$6; //@line 51 "./jswatchpoint.h"
  var $7=(($4+4)|0); //@line 51 "./jswatchpoint.h"
  var $8=$3; //@line 51 "./jswatchpoint.h"
  HEAP32[(($7)>>2)]=$8; //@line 51 "./jswatchpoint.h"
  ;
  return; //@line 51 "./jswatchpoint.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+16)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+16)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+4)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+8)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS3_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS3_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13DefaultHasherINS_8WatchKeyEE4hashERKS1_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+20)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*24)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS3_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+20)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*24)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS3_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS3_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+4)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S2_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13DefaultHasherINS_8WatchKeyEE5matchERKS1_S4_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js13DefaultHasherINS_8WatchKeyEE4hashERKS1_($key) {
  ;
  var __label__;

  var $1;
  $1=$key;
  var $2=$1; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $3=(($2)|0); //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $4=__ZN2js13PointerHasherIP8JSObjectLj2EE4hashERKS2_($3); //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $5=$1; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $6=(($5+4)|0); //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $8=__ZN2jsL6HashIdEi4071($7); //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $9=$4 ^ $8; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  ;
  return $9; //@line 51 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+20)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+20)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj["X"]=1;

function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS3_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN15AutoEntryHolderD2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      var $3=__stackBase__+4;
      $1=$this;
      var $4=$1;
      var $5=(($4+8)|0); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $7=(($4)|0); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $9=__ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE10generationEv($8); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $10=(($6)|0)!=(($9)|0); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 2: 
      var $12=(($4+4)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $13=(($4)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $15=(($4+12)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_($2, $14, $15); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $16=$12; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $17=$2; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)]; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 3; break; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 3: 
      var $19=(($4+4)|0); //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv($3, $19); //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $20={ f0: HEAP32[(($3)>>2)], f1: HEAP32[(($3+4)>>2)] }; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $21=$20.f0; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $22=(($21)|0)!=0; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 4: 
      var $24=(($4+4)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $25=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($24); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $26=(($25+8)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      var $27=(($26+8)|0); //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      HEAP8[($27)]=0; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
      __label__ = 5; break; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE10generationEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1127 "./jshashtable.h"
  var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10generationEv($3); //@line 1127 "./jshashtable.h"
  ;
  return $4; //@line 1127 "./jshashtable.h"
}


function __ZN15AutoEntryHolderC2ERN2js7HashMapINS0_8WatchKeyENS0_10WatchpointENS0_13DefaultHasherIS2_EENS0_17SystemAllocPolicyEEENS0_6detail9HashTableINS0_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE($this, $map, $p) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=(($3)|0); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $5=$2; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  HEAP32[(($4)>>2)]=$5; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $6=(($3+4)|0); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $7=$6; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $8=$p; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)]; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $9=(($3+8)|0); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $10=$2; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $11=__ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE10generationEv($10); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  HEAP32[(($9)>>2)]=$11; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $12=(($3+12)|0); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($p); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $14=(($13)|0); //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $15=$12; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $16=$14; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $17=__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv($p); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $18=(($17+8)|0); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  var $19=(($18+8)|0); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  HEAP8[($19)]=1; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
  STACKTOP = __stackBase__;
  return; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswatchpoint.cpp"
}


function __ZN2js11WeakMapBase18markAllIterativelyEP8JSTracer($tracer) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $markedAny;
      var $rt;
      var $m;
      $1=$tracer;
      $markedAny=0; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $2=$1; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $3=(($2)|0); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $5=(($4+52)|0); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $rt=$6; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $7=$rt; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $8=(($7+200)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $m=$9; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 2; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      var $11=$m; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $12=(($11)|0)!=0; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $14=$m; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $15=$14; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $17=(($16+4)|0); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $19=$1; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $20=FUNCTION_TABLE[$18]($14, $19); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      $markedAny=1; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 5; break; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 5: 
      __label__ = 6; break; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 6: 
      var $24=$m; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $25=(($24+4)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $m=$26; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 2; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 7: 
      var $28=$markedAny; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $29=(($28) & 1); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      ;
      return $29; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11WeakMapBase8sweepAllEP8JSTracer($tracer) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $rt;
      var $m;
      $1=$tracer;
      var $2=$1; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $3=(($2)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $5=(($4+52)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $rt=$6; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $7=$rt; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $8=(($7+200)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $m=$9; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 2; break; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      var $11=$m; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $12=(($11)|0)!=0; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $14=$m; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $15=$14; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $17=(($16+8)|0); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $19=$1; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      FUNCTION_TABLE[$18]($14, $19); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 4; break; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      var $21=$m; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $22=(($21+4)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $m=$23; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 2; break; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 5: 
      ;
      return; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16WeakMap_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $map;
  $1=$cx;
  $2=$obj;
  var $3=$2; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  var $4=__ZL12GetObjectMapP8JSObject($3); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  $map=$4; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  var $5=$1; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  var $6=$map; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  __ZN9JSContext7delete_IN2js7WeakMapIP8JSObjectN2JS5ValueENS1_13DefaultHasherIS4_EENS1_17DefaultMarkPolicyIS4_S6_EEEEEEvPT_($5, $6); //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  ;
  return; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
}


function __ZL12WeakMap_markP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $map;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $4=__ZL12GetObjectMapP8JSObject($3); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $map=$4; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $5=$map; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $6=(($5)|0)!=0; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      var $8=$map; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $9=$8; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $10=$1; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2js11WeakMapBase5traceEP8JSTracer($9, $10); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 3; break; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      ;
      return; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj4107($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _JSID_IS_INT4103($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_IS_STRING4104($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_FLAT_STRING4105($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _BUILD_JSVAL4099($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL4106($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function __ZL11WeakMap_hasP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $key=__stackBase__;
      var $map;
      var $ptr=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $9=$4; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $10=(($9+8)|0); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $11=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($8, $10); //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $obj=$11; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $12=$obj; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $13=(($12)|0)!=0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      $1=0; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $16=$obj; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $17=__ZNK8JSObject9isWeakMapEv($16); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      var $19=$2; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $20=$4; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($19, $20, __ZN2js12WeakMapClassE); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 5: 
      var $22=$3; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $23=(($22)>>>0) < 1; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 6: 
      var $25=$2; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str124089)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str64083)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str74084)|0),tempInt)); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 7: 
      var $27=$2; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $28=$4; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $29=(($28+16)|0); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $30=__ZL13NonNullObjectP9JSContextPN2JS5ValueE($27, $29); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      HEAP32[(($key)>>2)]=$30; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $31=HEAP32[(($key)>>2)]; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $32=(($31)|0)!=0; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 8: 
      $1=0; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 9: 
      var $35=$obj; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $36=__ZL12GetObjectMapP8JSObject($35); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $map=$36; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $37=$map; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $38=(($37)|0)!=0; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 10: 
      var $40=$map; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $41=$40; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $42=(($41+8)|0); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $43=$42; //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($ptr, $43, $key); //@line 122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $ptr); //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $44={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $45=$44.f0; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $46=(($45)|0)!=0; //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 11: 
      var $48=$4; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2JSL12BooleanValueEb4125($6, 1); //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $49=$48; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $50=$6; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=1; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 12: 
      __label__ = 13; break; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 13: 
      var $53=$4; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2JSL12BooleanValueEb4125($7, 0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $54=$53; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $55=$7; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)]; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=1; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 14: 
      var $57=$1; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11WeakMap_hasP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11WeakMap_getP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $key=__stackBase__;
      var $map;
      var $ptr=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $8=$4; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $9=(($8+8)|0); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $obj=$10; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $11=$obj; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $12=(($11)|0)!=0; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      $1=0; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 17; break; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $15=$obj; //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $16=__ZNK8JSObject9isWeakMapEv($15); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      var $18=$2; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $19=$4; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, __ZN2js12WeakMapClassE); //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 17; break; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 5: 
      var $21=$3; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $22=(($21)>>>0) < 1; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 6: 
      var $24=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      _JS_ReportErrorNumber($24, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str114088)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str64083)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str74084)|0),tempInt)); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 17; break; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 7: 
      var $26=$2; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $27=$4; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $28=(($27+16)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $29=__ZL13NonNullObjectP9JSContextPN2JS5ValueE($26, $28); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      HEAP32[(($key)>>2)]=$29; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $30=HEAP32[(($key)>>2)]; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $31=(($30)|0)!=0; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 8: 
      $1=0; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 17; break; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 9: 
      var $34=$obj; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $35=__ZL12GetObjectMapP8JSObject($34); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $map=$35; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $36=$map; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $37=(($36)|0)!=0; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 10: 
      var $39=$map; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $40=$39; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $41=(($40+8)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $42=$41; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($ptr, $42, $key); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $ptr); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $43={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $44=$43.f0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $45=(($44)|0)!=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 11: 
      var $47=$4; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $48=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($ptr); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $49=(($48+8)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $50=$47; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $51=$49; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=1; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 17; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 12: 
      __label__ = 13; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 13: 
      var $54=$4; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $55=$3; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $56=(($55)>>>0) > 1; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 14: 
      var $58=$4; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $59=(($58+24)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $60=$6; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $61=$59; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[(($61+4)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 16; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 15: 
      __ZN2JSL14UndefinedValueEv4098($6); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 16; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 16: 
      var $64=$54; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $65=$6; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=1; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 17; break; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 17: 
      var $67=$1; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      STACKTOP = __stackBase__;
      return $67; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11WeakMap_getP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL14WeakMap_deleteP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $key=__stackBase__;
      var $map;
      var $ptr=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+20;
      var $8=__stackBase__+28;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$2; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $10=$4; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $11=(($10+8)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $12=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($9, $11); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $obj=$12; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $13=$obj; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $14=(($13)|0)!=0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      $1=0; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $17=$obj; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $18=__ZNK8JSObject9isWeakMapEv($17); //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      var $20=$2; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $21=$4; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($20, $21, __ZN2js12WeakMapClassE); //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 5: 
      var $23=$3; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $24=(($23)>>>0) < 1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 6: 
      var $26=$2; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      _JS_ReportErrorNumber($26, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str104087)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str64083)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str74084)|0),tempInt)); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 7: 
      var $28=$2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $29=$4; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $30=(($29+16)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $31=__ZL13NonNullObjectP9JSContextPN2JS5ValueE($28, $30); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      HEAP32[(($key)>>2)]=$31; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $32=HEAP32[(($key)>>2)]; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $33=(($32)|0)!=0; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 8: 
      $1=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 9: 
      var $36=$obj; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $37=__ZL12GetObjectMapP8JSObject($36); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $map=$37; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $38=$map; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $39=(($38)|0)!=0; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 10: 
      var $41=$map; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $42=$41; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $43=(($42+8)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $44=$43; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($ptr, $44, $key); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $ptr); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $45={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $46=$45.f0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $47=(($46)|0)!=0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 11: 
      var $49=$map; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $50=$49; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $51=(($50+8)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $52=$51; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $53=$6; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $54=$ptr; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE($52, $6); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $55=$4; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2JSL12BooleanValueEb4125($7, 1); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $56=$55; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $57=$7; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($56)>>2)]=HEAP32[(($57)>>2)];HEAP32[(($56+4)>>2)]=HEAP32[(($57+4)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=1; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 12: 
      __label__ = 13; break; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 13: 
      var $60=$4; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2JSL12BooleanValueEb4125($8, 0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $61=$60; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $62=$8; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[(($62)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[(($62+4)>>2)]; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=1; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 14; break; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 14: 
      var $64=$1; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14WeakMap_deleteP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11WeakMap_setP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $key=__stackBase__;
      var $value=__stackBase__+4;
      var $map;
      var $5=__stackBase__+12;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $7=$4; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $8=(($7+8)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $obj=$9; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $10=$obj; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $11=(($10)|0)!=0; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      $1=0; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 20; break; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $14=$obj; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $15=__ZNK8JSObject9isWeakMapEv($14); //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      var $17=$2; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $18=$4; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $18, __ZN2js12WeakMapClassE); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 20; break; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 5: 
      var $20=$3; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $21=(($20)>>>0) < 1; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 6: 
      var $23=$2; //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      _JS_ReportErrorNumber($23, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str54082)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str64083)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str74084)|0),tempInt)); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 20; break; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 7: 
      var $25=$2; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $26=$4; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $27=(($26+16)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $28=__ZL13NonNullObjectP9JSContextPN2JS5ValueE($25, $27); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      HEAP32[(($key)>>2)]=$28; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $29=HEAP32[(($key)>>2)]; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $30=(($29)|0)!=0; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 8: 
      $1=0; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 20; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 9: 
      var $33=$3; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $34=(($33)>>>0) > 1; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 10: 
      var $36=$4; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $37=(($36+24)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $38=$value; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $39=$37; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 12; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 11: 
      __ZN2JSL14UndefinedValueEv4098($value); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 12; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 12: 
      var $42=$obj; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $43=__ZL12GetObjectMapP8JSObject($42); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $map=$43; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $44=$map; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $45=(($44)|0)!=0; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($45) { __label__ = 16; break; } else { __label__ = 13; break; } //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 13: 
      var $47=$2; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $48=$2; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $49=__ZN9JSContext4new_IN2js7WeakMapIP8JSObjectN2JS5ValueENS1_13DefaultHasherIS4_EENS1_17DefaultMarkPolicyIS4_S6_EEEEPS_EEPT_T0_($47, $48); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $map=$49; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $50=$map; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $51=$50; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $52=(($51+8)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $53=$52; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $54=__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($53, 0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($54) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 14: 
      var $56=$2; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $57=$map; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN9JSContext7delete_IN2js7WeakMapIP8JSObjectN2JS5ValueENS1_13DefaultHasherIS4_EENS1_17DefaultMarkPolicyIS4_S6_EEEEEEvPT_($56, $57); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 19; break; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 15: 
      var $59=$obj; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $60=$map; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $61=$60; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN8JSObject10setPrivateEPv($59, $61); //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 16; break; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 16: 
      var $63=$4; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2JSL14UndefinedValueEv4098($5); //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $64=$63; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $65=$5; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $66=$map; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $67=$66; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $68=(($67+8)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $69=$68; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $70=__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3putERKS2_RKS4_($69, $key, $value); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $71=(($70)|0)!=0; //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 17: 
      __label__ = 19; break; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 18: 
      $1=1; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 20; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 19: 
      var $75=$2; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      _JS_ReportOutOfMemory($75); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 20; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 20: 
      var $77=$1; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      STACKTOP = __stackBase__;
      return $77; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11WeakMap_setP9JSContextjPN2JS5ValueE["X"]=1;

function __Z19js_InitWeakMapClassP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $weakMapProto;
      var $ctor;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $global=$5; //@line 297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $6=$global; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $7=$2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $8=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, __ZN2js12WeakMapClassE); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $weakMapProto=$8; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $9=$weakMapProto; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $10=(($9)|0)!=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      $1=0; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 12; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $13=$weakMapProto; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN8JSObject10setPrivateEPv($13, 0); //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $14=$global; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $15=$2; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $16=$2; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $17=(($16+52)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $19=(($18+209948)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $20=(($19+72)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $21=(($20+144)|0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $23=$22; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $24=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($14, $15, 330, __ZN2js12WeakMapClassE, $23, 0); //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $ctor=$24; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $25=$ctor; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $26=(($25)|0)!=0; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      $1=0; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 12; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 5: 
      var $29=$2; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $30=$ctor; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $31=$30; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $32=$weakMapProto; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $33=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($29, $31, $32); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 6: 
      $1=0; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 12; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 7: 
      var $36=$2; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $37=$weakMapProto; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $38=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($36, $37, 0, ((__ZL16weak_map_methods)|0)); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 8: 
      $1=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 12; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 9: 
      var $41=$2; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $42=$global; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $43=$ctor; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $44=$43; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $45=$weakMapProto; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $46=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($41, $42, 36, $44, $45); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 10: 
      $1=0; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 12; break; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 11: 
      var $49=$weakMapProto; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=$49; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 12; break; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 12: 
      var $51=$1; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      ;
      return $51; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_InitWeakMapClassP9JSContextP8JSObject["X"]=1;

function __ZL17WeakMap_constructP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $6=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE4108($5, __ZN2js12WeakMapClassE); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $obj=$6; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $7=$obj; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $8=(($7)|0)!=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      $1=0; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 4; break; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $11=$obj; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN8JSObject10setPrivateEPv($11, 0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $12=$4; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $13=$obj; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __ZN2JS5Value9setObjectER8JSObject($12, $13); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=1; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 4; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      var $15=$1; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      ;
      return $15; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12ATOM_TO_JSIDP6JSAtom4096($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj4107($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZN2JSL11ObjectValueER8JSObject4097($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN2JSL14UndefinedValueEv4098($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4100($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj4101($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4102($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4100["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj4101($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4102($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4112($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE4118($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4113($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb4109($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _MAGIC_TO_JSVAL_IMPL4117($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL4119($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL4120($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZNK8JSObject9isWeakMapEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1560 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1560 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js12WeakMapClassE)|0); //@line 1560 "./jsobj.h"
  ;
  return $5; //@line 1560 "./jsobj.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 152 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 152 "./jshashtable.h"
  var $5=(($4+8)|0); //@line 152 "./jshashtable.h"
  ;
  return $5; //@line 152 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 151 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 151 "./jshashtable.h"
  var $5=(($4+8)|0); //@line 151 "./jshashtable.h"
  ;
  return $5; //@line 151 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE9isRemovedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 89 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 89 "./jshashtable.h"
  var $5=(($4)|0)==1; //@line 89 "./jshashtable.h"
  ;
  return $5; //@line 89 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 431 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 431 "./jshashtable.h"
  var $5=(($2+20)|0); //@line 431 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 431 "./jshashtable.h"
  var $7=(($4+$6)|0); //@line 431 "./jshashtable.h"
  var $8=(($2+8)|0); //@line 431 "./jshashtable.h"
  var $9=HEAP32[(($8)>>2)]; //@line 431 "./jshashtable.h"
  var $10=(($9*192)|0); //@line 431 "./jshashtable.h"
  var $11=$10 >>> 8; //@line 431 "./jshashtable.h"
  var $12=(($7)>>>0) >= (($11)>>>0); //@line 431 "./jshashtable.h"
  ;
  return $12; //@line 431 "./jshashtable.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE4108($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb4109($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4110($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4110($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4111($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4110["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4111($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4112($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4113($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4111["X"]=1;

function _js_free4114($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_calloc4115($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb4116($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13NonNullObjectP9JSContextPN2JS5ValueE($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$vp;
      var $4=$3; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $5=__ZNK2JS5Value11isPrimitiveEv($4); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 2: 
      var $7=$2; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      _JS_ReportErrorNumber($7, 2, 0, 231, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=0; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 4; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 3: 
      var $9=$3; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      $1=$10; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      __label__ = 4; break; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    case 4: 
      var $12=$1; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
      ;
      return $12; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12GetObjectMapP8JSObject($obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  var $3=__ZNK8JSObject10getPrivateEv($2); //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  var $4=$3; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
  ;
  return $4; //@line 89 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsweakmap.cpp"
}


function __ZN9JSContext4new_IN2js7WeakMapIP8JSObjectN2JS5ValueENS1_13DefaultHasherIS4_EENS1_17DefaultMarkPolicyIS4_S6_EEEEPS_EEPT_T0_($this, $p1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      $1=$this;
      $2=$p1;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 36); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $14 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      var $12=$2; //@line 1291 "./jscntxt.h"
      __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEC1EP9JSContext($11, $12); //@line 1291 "./jscntxt.h"
      var $14 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $14; //@line 1291 "./jscntxt.h"
      var $17 = $14;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $17 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $17; //@line 1291 "./jscntxt.h"
      ;
      return $17; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj($this, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$len;
  var $3=$1;
  var $4=(($3)|0); //@line 986 "./jshashtable.h"
  var $5=$2; //@line 986 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj($4, $5); //@line 986 "./jshashtable.h"
  ;
  return $6; //@line 986 "./jshashtable.h"
}


function __ZN9JSContext7delete_IN2js7WeakMapIP8JSObjectN2JS5ValueENS1_13DefaultHasherIS4_EENS1_17DefaultMarkPolicyIS4_S6_EEEEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEED1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3putERKS2_RKS4_($this, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $p=__stackBase__;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$k;
      $4=$v;
      var $6=$2;
      var $7=$3; //@line 1140 "./jshashtable.h"
      __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($p, $6, $7); //@line 1140 "./jshashtable.h"
      var $8=$p; //@line 1141 "./jshashtable.h"
      __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($5, $8); //@line 1141 "./jshashtable.h"
      var $9={ f0: HEAP32[(($5)>>2)], f1: HEAP32[(($5+4)>>2)] }; //@line 1141 "./jshashtable.h"
      var $10=$9.f0; //@line 1141 "./jshashtable.h"
      var $11=(($10)|0)!=0; //@line 1141 "./jshashtable.h"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1141 "./jshashtable.h"
    case 2: 
      var $13=$p; //@line 1142 "./jshashtable.h"
      var $14=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv($13); //@line 1142 "./jshashtable.h"
      var $15=(($14+8)|0); //@line 1142 "./jshashtable.h"
      var $16=$4; //@line 1142 "./jshashtable.h"
      var $17=$15; //@line 1142 "./jshashtable.h"
      var $18=$16; //@line 1142 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1142 "./jshashtable.h"
      var $19=$p; //@line 1143 "./jshashtable.h"
      var $20=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($19); //@line 1143 "./jshashtable.h"
      $1=$20; //@line 1143 "./jshashtable.h"
      __label__ = 7; break; //@line 1143 "./jshashtable.h"
    case 3: 
      var $22=$3; //@line 1145 "./jshashtable.h"
      var $23=$4; //@line 1145 "./jshashtable.h"
      var $24=__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($6, $p, $22, $23); //@line 1145 "./jshashtable.h"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1145 "./jshashtable.h"
    case 4: 
      var $26=$p; //@line 1145 "./jshashtable.h"
      var $27=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv($26); //@line 1145 "./jshashtable.h"
      var $30 = $27;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 5: 
      var $30 = 0;__label__ = 6; break; //@line 1145 "./jshashtable.h"
    case 6: 
      var $30; //@line 1145 "./jshashtable.h"
      $1=$30; //@line 1145 "./jshashtable.h"
      __label__ = 7; break; //@line 1145 "./jshashtable.h"
    case 7: 
      var $32=$1; //@line 1146 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $32; //@line 1146 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1045 "./jshashtable.h"
  var $5=$2; //@line 1045 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $4, $5); //@line 1045 "./jshashtable.h"
  ;
  return; //@line 1045 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv($agg_result, $this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($3); //@line 147 "./jshashtable.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 147 "./jshashtable.h"
    case 2: 
      var $8 = { f0: 332, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 3: 
      var $8 = { f0: 0, f1: 0 };__label__ = 4; break; //@line 147 "./jshashtable.h"
    case 4: 
      var $8; //@line 147 "./jshashtable.h"
      HEAP32[(($1)>>2)]=$8.f0; HEAP32[(($1+4)>>2)]=$8.f1; //@line 147 "./jshashtable.h"
      var $9={ f0: HEAP32[(($1)>>2)], f1: HEAP32[(($1+4)>>2)] }; //@line 147 "./jshashtable.h"
      HEAP32[(($agg_result)>>2)]=$9.f0; HEAP32[(($agg_result+4)>>2)]=$9.f1; //@line 147 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return; //@line 147 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_($this, $p, $k, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pentry=__stackBase__;
      $2=$this;
      $3=$p;
      $4=$k;
      $5=$v;
      var $6=$2;
      var $7=(($6)|0); //@line 1050 "./jshashtable.h"
      var $8=$3; //@line 1050 "./jshashtable.h"
      var $9=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($7, $8, $pentry); //@line 1050 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1050 "./jshashtable.h"
    case 2: 
      $1=0; //@line 1051 "./jshashtable.h"
      __label__ = 4; break; //@line 1051 "./jshashtable.h"
    case 3: 
      var $12=$4; //@line 1052 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 1052 "./jshashtable.h"
      var $14=HEAP32[(($pentry)>>2)]; //@line 1052 "./jshashtable.h"
      var $15=(($14)|0); //@line 1052 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$13; //@line 1052 "./jshashtable.h"
      var $16=HEAP32[(($pentry)>>2)]; //@line 1053 "./jshashtable.h"
      var $17=(($16+8)|0); //@line 1053 "./jshashtable.h"
      var $18=$5; //@line 1053 "./jshashtable.h"
      var $19=$17; //@line 1053 "./jshashtable.h"
      var $20=$18; //@line 1053 "./jshashtable.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1053 "./jshashtable.h"
      $1=1; //@line 1054 "./jshashtable.h"
      __label__ = 4; break; //@line 1054 "./jshashtable.h"
    case 4: 
      var $22=$1; //@line 1055 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $22; //@line 1055 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_($this, $p, $pentry) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$p;
      $4=$pentry;
      var $5=$2;
      var $6=$3; //@line 732 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($5, $6); //@line 732 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 732 "./jshashtable.h"
    case 2: 
      $1=0; //@line 733 "./jshashtable.h"
      __label__ = 4; break; //@line 733 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 734 "./jshashtable.h"
      var $11=$10; //@line 734 "./jshashtable.h"
      var $12=(($11)|0); //@line 734 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 734 "./jshashtable.h"
      var $14=(($13+8)|0); //@line 734 "./jshashtable.h"
      var $15=$4; //@line 734 "./jshashtable.h"
      HEAP32[(($15)>>2)]=$14; //@line 734 "./jshashtable.h"
      $1=1; //@line 735 "./jshashtable.h"
      __label__ = 4; break; //@line 735 "./jshashtable.h"
    case 4: 
      var $17=$1; //@line 736 "./jshashtable.h"
      ;
      return $17; //@line 736 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $deltaLog2;
      var $4;
      $2=$this;
      $3=$p;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $5); //@line 682 "./jshashtable.h"
      var $6=$3; //@line 692 "./jshashtable.h"
      var $7=$6; //@line 692 "./jshashtable.h"
      var $8=(($7)|0); //@line 692 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 692 "./jshashtable.h"
      var $10=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE9isRemovedEv($9); //@line 692 "./jshashtable.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 692 "./jshashtable.h"
    case 2: 
      var $12=(($5+20)|0); //@line 694 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 694 "./jshashtable.h"
      var $14=(($13-1)|0); //@line 694 "./jshashtable.h"
      HEAP32[(($12)>>2)]=$14; //@line 694 "./jshashtable.h"
      var $15=$3; //@line 695 "./jshashtable.h"
      var $16=(($15+4)|0); //@line 695 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 695 "./jshashtable.h"
      var $18=$17 | 1; //@line 695 "./jshashtable.h"
      HEAP32[(($16)>>2)]=$18; //@line 695 "./jshashtable.h"
      __label__ = 11; break; //@line 696 "./jshashtable.h"
    case 3: 
      var $20=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv($5); //@line 698 "./jshashtable.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 698 "./jshashtable.h"
    case 4: 
      var $22=(($5+20)|0); //@line 701 "./jshashtable.h"
      var $23=HEAPU32[(($22)>>2)]; //@line 701 "./jshashtable.h"
      var $24=(($5+8)|0); //@line 701 "./jshashtable.h"
      var $25=HEAPU32[(($24)>>2)]; //@line 701 "./jshashtable.h"
      var $26=$25 >>> 2; //@line 701 "./jshashtable.h"
      var $27=(($23)>>>0) >= (($26)>>>0); //@line 701 "./jshashtable.h"
      if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 701 "./jshashtable.h"
    case 5: 
      $deltaLog2=0; //@line 703 "./jshashtable.h"
      __label__ = 7; break; //@line 704 "./jshashtable.h"
    case 6: 
      $deltaLog2=1; //@line 706 "./jshashtable.h"
      __label__ = 7; break;
    case 7: 
      var $31=$deltaLog2; //@line 709 "./jshashtable.h"
      var $32=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($5, $31); //@line 709 "./jshashtable.h"
      if ($32) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 709 "./jshashtable.h"
    case 8: 
      $1=0; //@line 710 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 710 "./jshashtable.h"
    case 9: 
      var $35=$3; //@line 713 "./jshashtable.h"
      var $36=(($35+4)|0); //@line 713 "./jshashtable.h"
      var $37=HEAP32[(($36)>>2)]; //@line 713 "./jshashtable.h"
      var $38=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $37); //@line 713 "./jshashtable.h"
      var $39=$3; //@line 713 "./jshashtable.h"
      var $40=$39; //@line 713 "./jshashtable.h"
      var $41=(($40)|0); //@line 713 "./jshashtable.h"
      HEAP32[(($41)>>2)]=$38; //@line 713 "./jshashtable.h"
      __label__ = 10; break; //@line 714 "./jshashtable.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $44=$3; //@line 717 "./jshashtable.h"
      var $45=$44; //@line 717 "./jshashtable.h"
      var $46=(($45)|0); //@line 717 "./jshashtable.h"
      var $47=HEAP32[(($46)>>2)]; //@line 717 "./jshashtable.h"
      var $48=$3; //@line 717 "./jshashtable.h"
      var $49=(($48+4)|0); //@line 717 "./jshashtable.h"
      var $50=HEAP32[(($49)>>2)]; //@line 717 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE7setLiveEj($47, $50); //@line 717 "./jshashtable.h"
      var $51=(($5+12)|0); //@line 718 "./jshashtable.h"
      var $52=HEAP32[(($51)>>2)]; //@line 718 "./jshashtable.h"
      var $53=(($52+1)|0); //@line 718 "./jshashtable.h"
      HEAP32[(($51)>>2)]=$53; //@line 718 "./jshashtable.h"
      $1=1; //@line 722 "./jshashtable.h"
      $4=1;
      __label__ = 12; break; //@line 722 "./jshashtable.h"
    case 12: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 723 "./jshashtable.h"
      var $55=$1; //@line 723 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $55; //@line 723 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE["X"]=1;

function __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 131 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($hash0, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$hash0;
  $2=$shift;
  var $3=$1; //@line 423 "./jshashtable.h"
  var $4=$2; //@line 423 "./jshashtable.h"
  var $5=$3 >>> (($4)>>>0); //@line 423 "./jshashtable.h"
  ;
  return $5; //@line 423 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($hash0, $log2, $shift) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$hash0;
  $2=$log2;
  $3=$shift;
  var $4=$1; //@line 427 "./jshashtable.h"
  var $5=$2; //@line 427 "./jshashtable.h"
  var $6=$4 << $5; //@line 427 "./jshashtable.h"
  var $7=$3; //@line 427 "./jshashtable.h"
  var $8=$6 >>> (($7)>>>0); //@line 427 "./jshashtable.h"
  var $9=$8 | 1; //@line 427 "./jshashtable.h"
  ;
  return $9; //@line 427 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 76 "./jshashtable.h"
  var $3=(($2)>>>0) > 1; //@line 76 "./jshashtable.h"
  ;
  return $3; //@line 76 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE7setLiveEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=$2; //@line 92 "./jshashtable.h"
  var $5=(($3)|0); //@line 92 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$4; //@line 92 "./jshashtable.h"
  ;
  return; //@line 92 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isFreeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 87 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 87 "./jshashtable.h"
  var $5=(($4)|0)==0; //@line 87 "./jshashtable.h"
  ;
  return $5; //@line 87 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12setCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 94 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 94 "./jshashtable.h"
  var $5=$4 | 1; //@line 94 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 94 "./jshashtable.h"
  ;
  return; //@line 94 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($this, $sizeLog2) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$sizeLog2;
  var $3=$1;
  var $4=$2; //@line 271 "./jshashtable.h"
  var $5=((32-$4)|0); //@line 271 "./jshashtable.h"
  var $6=(($3+4)|0); //@line 271 "./jshashtable.h"
  HEAP32[(($6)>>2)]=$5; //@line 271 "./jshashtable.h"
  var $7=$2; //@line 272 "./jshashtable.h"
  var $8=1 << $7; //@line 272 "./jshashtable.h"
  var $9=(($3+8)|0); //@line 272 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 272 "./jshashtable.h"
  ;
  return; //@line 273 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE14unsetCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 98 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 98 "./jshashtable.h"
  var $5=$4 & -2; //@line 98 "./jshashtable.h"
  HEAP32[(($3)>>2)]=$5; //@line 98 "./jshashtable.h"
  ;
  return; //@line 98 "./jshashtable.h"
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10getKeyHashEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 101 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 101 "./jshashtable.h"
  ;
  return $4; //@line 101 "./jshashtable.h"
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEC2ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC2ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "./jsutil.h"
  var $5=$2; //@line 833 "./jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEptEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 835 "./jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 835 "./jsutil.h"
  ;
  return $4; //@line 835 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=(($3)|0); //@line 136 "./jshashtable.h"
  var $5=$2; //@line 136 "./jshashtable.h"
  HEAP32[(($4)>>2)]=$5; //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE9matchHashEj($this, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$hn;
  var $3=$1;
  var $4=(($3)|0); //@line 100 "./jshashtable.h"
  var $5=HEAP32[(($4)>>2)]; //@line 100 "./jshashtable.h"
  var $6=$5 & -2; //@line 100 "./jshashtable.h"
  var $7=$2; //@line 100 "./jshashtable.h"
  var $8=(($6)|0)==(($7)|0); //@line 100 "./jshashtable.h"
  ;
  return $8; //@line 100 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12setCollisionEj($this, $collisionBit) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$collisionBit;
  var $3=$1;
  var $4=$2; //@line 96 "./jshashtable.h"
  var $5=(($3)|0); //@line 96 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 96 "./jshashtable.h"
  var $7=$6 | $4; //@line 96 "./jshashtable.h"
  HEAP32[(($5)>>2)]=$7; //@line 96 "./jshashtable.h"
  ;
  return; //@line 97 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($e) {
  ;
  var __label__;

  var $1;
  $1=$e;
  var $2=$1; //@line 968 "./jshashtable.h"
  var $3=(($2)|0); //@line 968 "./jshashtable.h"
  ;
  return $3; //@line 968 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($this, $deltaLog2) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $oldTable;
      var $oldCap;
      var $newLog2;
      var $newCapacity;
      var $newTable;
      var $src;
      var $end;
      var $4=__stackBase__;
      $2=$this;
      $3=$deltaLog2;
      var $5=$2;
      var $6=(($5+24)|0); //@line 549 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 549 "./jshashtable.h"
      $oldTable=$7; //@line 549 "./jshashtable.h"
      var $8=(($5+8)|0); //@line 550 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 550 "./jshashtable.h"
      $oldCap=$9; //@line 550 "./jshashtable.h"
      var $10=(($5+4)|0); //@line 551 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 551 "./jshashtable.h"
      var $12=((32-$11)|0); //@line 551 "./jshashtable.h"
      var $13=$3; //@line 551 "./jshashtable.h"
      var $14=(($12+$13)|0); //@line 551 "./jshashtable.h"
      $newLog2=$14; //@line 551 "./jshashtable.h"
      var $15=$newLog2; //@line 552 "./jshashtable.h"
      var $16=1 << $15; //@line 552 "./jshashtable.h"
      $newCapacity=$16; //@line 552 "./jshashtable.h"
      var $17=$newCapacity; //@line 553 "./jshashtable.h"
      var $18=(($17)>>>0) > 16777216; //@line 553 "./jshashtable.h"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 553 "./jshashtable.h"
    case 2: 
      var $20=$5; //@line 554 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($20); //@line 554 "./jshashtable.h"
      $1=0; //@line 555 "./jshashtable.h"
      __label__ = 12; break; //@line 555 "./jshashtable.h"
    case 3: 
      var $22=$5; //@line 558 "./jshashtable.h"
      var $23=$newCapacity; //@line 558 "./jshashtable.h"
      var $24=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($22, $23); //@line 558 "./jshashtable.h"
      $newTable=$24; //@line 558 "./jshashtable.h"
      var $25=$newTable; //@line 559 "./jshashtable.h"
      var $26=(($25)|0)!=0; //@line 559 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 559 "./jshashtable.h"
    case 4: 
      $1=0; //@line 560 "./jshashtable.h"
      __label__ = 12; break; //@line 560 "./jshashtable.h"
    case 5: 
      var $29=$newLog2; //@line 563 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($5, $29); //@line 563 "./jshashtable.h"
      var $30=(($5+20)|0); //@line 564 "./jshashtable.h"
      HEAP32[(($30)>>2)]=0; //@line 564 "./jshashtable.h"
      var $31=(($5+16)|0); //@line 565 "./jshashtable.h"
      var $32=HEAP32[(($31)>>2)]; //@line 565 "./jshashtable.h"
      var $33=(($32+1)|0); //@line 565 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$33; //@line 565 "./jshashtable.h"
      var $34=$newTable; //@line 566 "./jshashtable.h"
      var $35=(($5+24)|0); //@line 566 "./jshashtable.h"
      HEAP32[(($35)>>2)]=$34; //@line 566 "./jshashtable.h"
      var $36=$oldTable; //@line 569 "./jshashtable.h"
      $src=$36; //@line 569 "./jshashtable.h"
      var $37=$src; //@line 569 "./jshashtable.h"
      var $38=$oldCap; //@line 569 "./jshashtable.h"
      var $39=(($37+$38*24)|0); //@line 569 "./jshashtable.h"
      $end=$39; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 6: 
      var $41=$src; //@line 569 "./jshashtable.h"
      var $42=$end; //@line 569 "./jshashtable.h"
      var $43=(($41)|0)!=(($42)|0); //@line 569 "./jshashtable.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 569 "./jshashtable.h"
    case 7: 
      var $45=$src; //@line 570 "./jshashtable.h"
      var $46=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isLiveEv($45); //@line 570 "./jshashtable.h"
      if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 570 "./jshashtable.h"
    case 8: 
      var $48=$src; //@line 571 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE14unsetCollisionEv($48); //@line 571 "./jshashtable.h"
      var $49=$src; //@line 572 "./jshashtable.h"
      var $50=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10getKeyHashEv($49); //@line 572 "./jshashtable.h"
      var $51=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($5, $50); //@line 572 "./jshashtable.h"
      var $52=$src; //@line 572 "./jshashtable.h"
      __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEENS_7MoveRefIT_EERSB_($4, $52); //@line 572 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEaSENS_7MoveRefIS8_EE($51, $4); //@line 572 "./jshashtable.h"
      __label__ = 9; break; //@line 573 "./jshashtable.h"
    case 9: 
      __label__ = 10; break; //@line 574 "./jshashtable.h"
    case 10: 
      var $55=$src; //@line 569 "./jshashtable.h"
      var $56=(($55+24)|0); //@line 569 "./jshashtable.h"
      $src=$56; //@line 569 "./jshashtable.h"
      __label__ = 6; break; //@line 569 "./jshashtable.h"
    case 11: 
      var $58=$5; //@line 576 "./jshashtable.h"
      var $59=$oldTable; //@line 576 "./jshashtable.h"
      var $60=$oldCap; //@line 576 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($58, $59, $60); //@line 576 "./jshashtable.h"
      $1=1; //@line 577 "./jshashtable.h"
      __label__ = 12; break; //@line 577 "./jshashtable.h"
    case 12: 
      var $62=$1; //@line 578 "./jshashtable.h"
      STACKTOP = __stackBase__;
      return $62; //@line 578 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj($this, $keyHash) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      $2=$this;
      $3=$keyHash;
      var $4=$2;
      var $5=$3; //@line 516 "./jshashtable.h"
      var $6=(($4+4)|0); //@line 516 "./jshashtable.h"
      var $7=HEAP32[(($6)>>2)]; //@line 516 "./jshashtable.h"
      var $8=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($5, $7); //@line 516 "./jshashtable.h"
      $h1=$8; //@line 516 "./jshashtable.h"
      var $9=$h1; //@line 517 "./jshashtable.h"
      var $10=(($4+24)|0); //@line 517 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 517 "./jshashtable.h"
      var $12=(($11+$9*24)|0); //@line 517 "./jshashtable.h"
      $entry=$12; //@line 517 "./jshashtable.h"
      var $13=$entry; //@line 520 "./jshashtable.h"
      var $14=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isFreeEv($13); //@line 520 "./jshashtable.h"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 520 "./jshashtable.h"
    case 2: 
      var $16=$entry; //@line 522 "./jshashtable.h"
      $1=$16; //@line 522 "./jshashtable.h"
      __label__ = 7; break; //@line 522 "./jshashtable.h"
    case 3: 
      var $18=(($4+4)|0); //@line 526 "./jshashtable.h"
      var $19=HEAP32[(($18)>>2)]; //@line 526 "./jshashtable.h"
      var $20=((32-$19)|0); //@line 526 "./jshashtable.h"
      $sizeLog2=$20; //@line 526 "./jshashtable.h"
      var $21=$3; //@line 527 "./jshashtable.h"
      var $22=$sizeLog2; //@line 527 "./jshashtable.h"
      var $23=(($4+4)|0); //@line 527 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 527 "./jshashtable.h"
      var $25=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($21, $22, $24); //@line 527 "./jshashtable.h"
      $h2=$25; //@line 527 "./jshashtable.h"
      var $26=$sizeLog2; //@line 528 "./jshashtable.h"
      var $27=1 << $26; //@line 528 "./jshashtable.h"
      var $28=(($27-1)|0); //@line 528 "./jshashtable.h"
      $sizeMask=$28; //@line 528 "./jshashtable.h"
      __label__ = 4; break; //@line 530 "./jshashtable.h"
    case 4: 
      var $30=$entry; //@line 532 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12setCollisionEv($30); //@line 532 "./jshashtable.h"
      var $31=$h2; //@line 535 "./jshashtable.h"
      var $32=$h1; //@line 535 "./jshashtable.h"
      var $33=(($32-$31)|0); //@line 535 "./jshashtable.h"
      $h1=$33; //@line 535 "./jshashtable.h"
      var $34=$sizeMask; //@line 536 "./jshashtable.h"
      var $35=$h1; //@line 536 "./jshashtable.h"
      var $36=$35 & $34; //@line 536 "./jshashtable.h"
      $h1=$36; //@line 536 "./jshashtable.h"
      var $37=$h1; //@line 538 "./jshashtable.h"
      var $38=(($4+24)|0); //@line 538 "./jshashtable.h"
      var $39=HEAP32[(($38)>>2)]; //@line 538 "./jshashtable.h"
      var $40=(($39+$37*24)|0); //@line 538 "./jshashtable.h"
      $entry=$40; //@line 538 "./jshashtable.h"
      var $41=$entry; //@line 539 "./jshashtable.h"
      var $42=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isFreeEv($41); //@line 539 "./jshashtable.h"
      if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 539 "./jshashtable.h"
    case 5: 
      var $44=$entry; //@line 541 "./jshashtable.h"
      $1=$44; //@line 541 "./jshashtable.h"
      __label__ = 7; break; //@line 541 "./jshashtable.h"
    case 6: 
      __label__ = 4; break; //@line 543 "./jshashtable.h"
    case 7: 
      var $47=$1; //@line 544 "./jshashtable.h"
      ;
      return $47; //@line 544 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($alloc, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newTable;
      var $e;
      var $end;
      $2=$alloc;
      $3=$capacity;
      var $4=$2; //@line 340 "./jshashtable.h"
      var $5=$3; //@line 340 "./jshashtable.h"
      var $6=(($5*24)|0); //@line 340 "./jshashtable.h"
      var $7=__ZN2js18RuntimeAllocPolicy7malloc_Ej($4, $6); //@line 340 "./jshashtable.h"
      var $8=$7; //@line 340 "./jshashtable.h"
      $newTable=$8; //@line 340 "./jshashtable.h"
      var $9=$newTable; //@line 341 "./jshashtable.h"
      var $10=(($9)|0)!=0; //@line 341 "./jshashtable.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 341 "./jshashtable.h"
    case 2: 
      $1=0; //@line 342 "./jshashtable.h"
      __label__ = 10; break; //@line 342 "./jshashtable.h"
    case 3: 
      var $13=$newTable; //@line 343 "./jshashtable.h"
      $e=$13; //@line 343 "./jshashtable.h"
      var $14=$e; //@line 343 "./jshashtable.h"
      var $15=$3; //@line 343 "./jshashtable.h"
      var $16=(($14+$15*24)|0); //@line 343 "./jshashtable.h"
      $end=$16; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 4: 
      var $18=$e; //@line 343 "./jshashtable.h"
      var $19=$end; //@line 343 "./jshashtable.h"
      var $20=(($18)|0)!=(($19)|0); //@line 343 "./jshashtable.h"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 343 "./jshashtable.h"
    case 5: 
      var $22=$e; //@line 344 "./jshashtable.h"
      var $23=$22; //@line 344 "./jshashtable.h"
      var $24=(($23)|0)==0; //@line 344 "./jshashtable.h"
      if ($24) { var $28 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 344 "./jshashtable.h"
    case 6: 
      var $26=$23; //@line 344 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC1Ev($26); //@line 344 "./jshashtable.h"
      var $28 = $26;__label__ = 7; break; //@line 344 "./jshashtable.h"
    case 7: 
      var $28; //@line 344 "./jshashtable.h"
      __label__ = 8; break; //@line 344 "./jshashtable.h"
    case 8: 
      var $30=$e; //@line 343 "./jshashtable.h"
      var $31=(($30+24)|0); //@line 343 "./jshashtable.h"
      $e=$31; //@line 343 "./jshashtable.h"
      __label__ = 4; break; //@line 343 "./jshashtable.h"
    case 9: 
      var $33=$newTable; //@line 345 "./jshashtable.h"
      $1=$33; //@line 345 "./jshashtable.h"
      __label__ = 10; break; //@line 345 "./jshashtable.h"
    case 10: 
      var $35=$1; //@line 346 "./jshashtable.h"
      ;
      return $35; //@line 346 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isLiveEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 91 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 91 "./jshashtable.h"
  var $5=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10isLiveHashEj($4); //@line 91 "./jshashtable.h"
  ;
  return $5; //@line 91 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEaSENS_7MoveRefIS8_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $5=(($4)|0); //@line 83 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 83 "./jshashtable.h"
  var $7=(($3)|0); //@line 83 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 83 "./jshashtable.h"
  var $8=(($3+8)|0); //@line 83 "./jshashtable.h"
  var $9=__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEptEv($rhs); //@line 83 "./jshashtable.h"
  var $10=(($9+8)|0); //@line 83 "./jshashtable.h"
  __ZN2js4MoveINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEENS_7MoveRefIT_EERS8_($2, $10); //@line 83 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEaSENS_7MoveRefIS5_EE($8, $2); //@line 83 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 83 "./jshashtable.h"
}


function __ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEENS_7MoveRefIT_EERSB_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEC1ERS9_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($alloc, $oldTable, $capacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $e;
      var $end;
      $1=$alloc;
      $2=$oldTable;
      $3=$capacity;
      var $4=$2; //@line 350 "./jshashtable.h"
      $e=$4; //@line 350 "./jshashtable.h"
      var $5=$e; //@line 350 "./jshashtable.h"
      var $6=$3; //@line 350 "./jshashtable.h"
      var $7=(($5+$6*24)|0); //@line 350 "./jshashtable.h"
      $end=$7; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 2: 
      var $9=$e; //@line 350 "./jshashtable.h"
      var $10=$end; //@line 350 "./jshashtable.h"
      var $11=(($9)|0)!=(($10)|0); //@line 350 "./jshashtable.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 350 "./jshashtable.h"
    case 3: 
      var $13=$e; //@line 351 "./jshashtable.h"
      __label__ = 4; break; //@line 351 "./jshashtable.h"
    case 4: 
      var $15=$e; //@line 350 "./jshashtable.h"
      var $16=(($15+24)|0); //@line 350 "./jshashtable.h"
      $e=$16; //@line 350 "./jshashtable.h"
      __label__ = 2; break; //@line 350 "./jshashtable.h"
    case 5: 
      var $18=$1; //@line 352 "./jshashtable.h"
      var $19=$2; //@line 352 "./jshashtable.h"
      var $20=$19; //@line 352 "./jshashtable.h"
      __ZN2js18RuntimeAllocPolicy5free_EPv($18, $20); //@line 352 "./jshashtable.h"
      ;
      return; //@line 353 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEC1ERS9_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEC2ERS9_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEaSENS_7MoveRefIS5_EE($this, $rhs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $rhs; $rhs = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($rhs)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  var $3=__stackBase__+4;
  $1=$this;
  var $4=$1;
  var $5=__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEptEv($rhs); //@line 916 "./jshashtable.h"
  var $6=(($5)|0); //@line 916 "./jshashtable.h"
  __ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERKS4_($2, $6); //@line 916 "./jshashtable.h"
  var $7=__ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev($2); //@line 916 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 916 "./jshashtable.h"
  var $9=(($4)|0); //@line 916 "./jshashtable.h"
  HEAP32[(($9)>>2)]=$8; //@line 916 "./jshashtable.h"
  var $10=(($4+8)|0); //@line 917 "./jshashtable.h"
  var $11=__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEptEv($rhs); //@line 917 "./jshashtable.h"
  var $12=(($11+8)|0); //@line 917 "./jshashtable.h"
  __ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERS4_($3, $12); //@line 917 "./jshashtable.h"
  var $13=__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev($3); //@line 917 "./jshashtable.h"
  var $14=$10; //@line 917 "./jshashtable.h"
  var $15=$13; //@line 917 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 917 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 918 "./jshashtable.h"
}


function __ZN2js4MoveINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEENS_7MoveRefIT_EERS8_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC1ERS6_($agg_result, $2); //@line 842 "./jsutil.h"
  ;
  return; //@line 842 "./jsutil.h"
}


function __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC1ERS6_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "./jsutil.h"
  __ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC2ERS6_($3, $4); //@line 833 "./jsutil.h"
  ;
  return; //@line 833 "./jsutil.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC2Ev($2); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 80 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 80 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 80 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEC1Ev($4); //@line 80 "./jshashtable.h"
  ;
  return; //@line 80 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEC2Ev($2); //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 911 "./jshashtable.h"
  HEAP32[(($3)>>2)]=0; //@line 911 "./jshashtable.h"
  var $4=(($2+8)|0); //@line 911 "./jshashtable.h"
  var $5=$4; //@line 911 "./jshashtable.h"
  HEAP32[(($5)>>2)]=0; HEAP32[(($5+4)>>2)]=0; //@line 911 "./jshashtable.h"
  ;
  return; //@line 911 "./jshashtable.h"
}


function _js_malloc4121($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 146 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 146 "./jshashtable.h"
  var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isLiveEv($4); //@line 146 "./jshashtable.h"
  ;
  return $5; //@line 146 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $entry;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 670 "./jshashtable.h"
  var $5=$2; //@line 671 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 671 "./jshashtable.h"
  $keyHash=$6; //@line 671 "./jshashtable.h"
  var $7=$2; //@line 672 "./jshashtable.h"
  var $8=$keyHash; //@line 672 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 1); //@line 672 "./jshashtable.h"
  $entry=$9; //@line 672 "./jshashtable.h"
  var $10=$entry; //@line 676 "./jshashtable.h"
  var $11=$keyHash; //@line 676 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($agg_result, $10, $11); //@line 676 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 678 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 678 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "./jstl.h"
  __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($4, $5); //@line 204 "./jstl.h"
  ;
  return; //@line 204 "./jstl.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($l) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $keyHash;
      $1=$l;
      var $2=$1; //@line 327 "./jshashtable.h"
      var $3=__ZN2js13PointerHasherIP8JSObjectLj2EE4hashERKS2_($2); //@line 327 "./jshashtable.h"
      $keyHash=$3; //@line 327 "./jshashtable.h"
      var $4=$keyHash; //@line 330 "./jshashtable.h"
      var $5=(($4*-1640531527)|0); //@line 330 "./jshashtable.h"
      $keyHash=$5; //@line 330 "./jshashtable.h"
      var $6=$keyHash; //@line 333 "./jshashtable.h"
      var $7=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($6); //@line 333 "./jshashtable.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "./jshashtable.h"
    case 2: 
      var $9=$keyHash; //@line 334 "./jshashtable.h"
      var $10=(($9-2)|0); //@line 334 "./jshashtable.h"
      $keyHash=$10; //@line 334 "./jshashtable.h"
      __label__ = 3; break; //@line 334 "./jshashtable.h"
    case 3: 
      var $12=$keyHash; //@line 335 "./jshashtable.h"
      var $13=$12 & -2; //@line 335 "./jshashtable.h"
      ;
      return $13; //@line 335 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($this, $l, $keyHash, $collisionBit) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $h1;
      var $entry;
      var $sizeLog2;
      var $h2;
      var $sizeMask;
      var $firstRemoved;
      $2=$this;
      $3=$l;
      $4=$keyHash;
      $5=$collisionBit;
      var $6=$2;
      var $7=$4; //@line 452 "./jshashtable.h"
      var $8=(($6+4)|0); //@line 452 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 452 "./jshashtable.h"
      var $10=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj($7, $9); //@line 452 "./jshashtable.h"
      $h1=$10; //@line 452 "./jshashtable.h"
      var $11=$h1; //@line 453 "./jshashtable.h"
      var $12=(($6+24)|0); //@line 453 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 453 "./jshashtable.h"
      var $14=(($13+$11*24)|0); //@line 453 "./jshashtable.h"
      $entry=$14; //@line 453 "./jshashtable.h"
      var $15=$entry; //@line 456 "./jshashtable.h"
      var $16=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isFreeEv($15); //@line 456 "./jshashtable.h"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 456 "./jshashtable.h"
    case 2: 
      var $18=$entry; //@line 458 "./jshashtable.h"
      $1=$18; //@line 458 "./jshashtable.h"
      __label__ = 21; break; //@line 458 "./jshashtable.h"
    case 3: 
      var $20=$entry; //@line 462 "./jshashtable.h"
      var $21=$4; //@line 462 "./jshashtable.h"
      var $22=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE9matchHashEj($20, $21); //@line 462 "./jshashtable.h"
      if ($22) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 4: 
      var $24=$entry; //@line 462 "./jshashtable.h"
      var $25=$3; //@line 462 "./jshashtable.h"
      var $26=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($24, $25); //@line 462 "./jshashtable.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "./jshashtable.h"
    case 5: 
      var $28=$entry; //@line 464 "./jshashtable.h"
      $1=$28; //@line 464 "./jshashtable.h"
      __label__ = 21; break; //@line 464 "./jshashtable.h"
    case 6: 
      var $30=(($6+4)|0); //@line 468 "./jshashtable.h"
      var $31=HEAP32[(($30)>>2)]; //@line 468 "./jshashtable.h"
      var $32=((32-$31)|0); //@line 468 "./jshashtable.h"
      $sizeLog2=$32; //@line 468 "./jshashtable.h"
      var $33=$4; //@line 469 "./jshashtable.h"
      var $34=$sizeLog2; //@line 469 "./jshashtable.h"
      var $35=(($6+4)|0); //@line 469 "./jshashtable.h"
      var $36=HEAP32[(($35)>>2)]; //@line 469 "./jshashtable.h"
      var $37=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj($33, $34, $36); //@line 469 "./jshashtable.h"
      $h2=$37; //@line 469 "./jshashtable.h"
      var $38=$sizeLog2; //@line 470 "./jshashtable.h"
      var $39=1 << $38; //@line 470 "./jshashtable.h"
      var $40=(($39-1)|0); //@line 470 "./jshashtable.h"
      $sizeMask=$40; //@line 470 "./jshashtable.h"
      $firstRemoved=0; //@line 473 "./jshashtable.h"
      __label__ = 7; break; //@line 475 "./jshashtable.h"
    case 7: 
      var $42=$entry; //@line 476 "./jshashtable.h"
      var $43=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE9isRemovedEv($42); //@line 476 "./jshashtable.h"
      if ($43) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 476 "./jshashtable.h"
    case 8: 
      var $45=$firstRemoved; //@line 477 "./jshashtable.h"
      var $46=(($45)|0)!=0; //@line 477 "./jshashtable.h"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 477 "./jshashtable.h"
    case 9: 
      var $48=$entry; //@line 478 "./jshashtable.h"
      $firstRemoved=$48; //@line 478 "./jshashtable.h"
      __label__ = 10; break; //@line 478 "./jshashtable.h"
    case 10: 
      __label__ = 12; break; //@line 479 "./jshashtable.h"
    case 11: 
      var $51=$entry; //@line 480 "./jshashtable.h"
      var $52=$5; //@line 480 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12setCollisionEj($51, $52); //@line 480 "./jshashtable.h"
      __label__ = 12; break;
    case 12: 
      var $54=$h2; //@line 484 "./jshashtable.h"
      var $55=$h1; //@line 484 "./jshashtable.h"
      var $56=(($55-$54)|0); //@line 484 "./jshashtable.h"
      $h1=$56; //@line 484 "./jshashtable.h"
      var $57=$sizeMask; //@line 485 "./jshashtable.h"
      var $58=$h1; //@line 485 "./jshashtable.h"
      var $59=$58 & $57; //@line 485 "./jshashtable.h"
      $h1=$59; //@line 485 "./jshashtable.h"
      var $60=$h1; //@line 487 "./jshashtable.h"
      var $61=(($6+24)|0); //@line 487 "./jshashtable.h"
      var $62=HEAP32[(($61)>>2)]; //@line 487 "./jshashtable.h"
      var $63=(($62+$60*24)|0); //@line 487 "./jshashtable.h"
      $entry=$63; //@line 487 "./jshashtable.h"
      var $64=$entry; //@line 488 "./jshashtable.h"
      var $65=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isFreeEv($64); //@line 488 "./jshashtable.h"
      if ($65) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 488 "./jshashtable.h"
    case 13: 
      var $67=$firstRemoved; //@line 490 "./jshashtable.h"
      var $68=(($67)|0)!=0; //@line 490 "./jshashtable.h"
      if ($68) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 490 "./jshashtable.h"
    case 14: 
      var $70=$firstRemoved; //@line 490 "./jshashtable.h"
      var $74 = $70;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 15: 
      var $72=$entry; //@line 490 "./jshashtable.h"
      var $74 = $72;__label__ = 16; break; //@line 490 "./jshashtable.h"
    case 16: 
      var $74; //@line 490 "./jshashtable.h"
      $1=$74; //@line 490 "./jshashtable.h"
      __label__ = 21; break; //@line 490 "./jshashtable.h"
    case 17: 
      var $76=$entry; //@line 493 "./jshashtable.h"
      var $77=$4; //@line 493 "./jshashtable.h"
      var $78=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE9matchHashEj($76, $77); //@line 493 "./jshashtable.h"
      if ($78) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 18: 
      var $80=$entry; //@line 493 "./jshashtable.h"
      var $81=$3; //@line 493 "./jshashtable.h"
      var $82=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($80, $81); //@line 493 "./jshashtable.h"
      if ($82) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 493 "./jshashtable.h"
    case 19: 
      var $84=$entry; //@line 495 "./jshashtable.h"
      $1=$84; //@line 495 "./jshashtable.h"
      __label__ = 21; break; //@line 495 "./jshashtable.h"
    case 20: 
      __label__ = 7; break; //@line 497 "./jshashtable.h"
    case 21: 
      var $87=$1; //@line 498 "./jshashtable.h"
      ;
      return $87; //@line 498 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj["X"]=1;

function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$3; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($4, $6, $5); //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj($this, $entry, $hn) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$entry;
  $3=$hn;
  var $4=$1;
  var $5=$4; //@line 166 "./jshashtable.h"
  var $6=$2; //@line 166 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($5, $6); //@line 166 "./jshashtable.h"
  var $7=(($4+4)|0); //@line 166 "./jshashtable.h"
  var $8=$3; //@line 166 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$8; //@line 166 "./jshashtable.h"
  ;
  return; //@line 166 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_($e, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$e;
  $2=$l;
  var $3=$1; //@line 440 "./jshashtable.h"
  var $4=(($3+8)|0); //@line 440 "./jshashtable.h"
  var $5=__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE($4); //@line 440 "./jshashtable.h"
  var $6=$2; //@line 440 "./jshashtable.h"
  var $7=__ZN2js13PointerHasherIP8JSObjectLj2EE5matchERKS2_S5_($5, $6); //@line 440 "./jshashtable.h"
  ;
  return $7; //@line 440 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj($hash) {
  ;
  var __label__;

  var $1;
  $1=$hash;
  var $2=$1; //@line 322 "./jshashtable.h"
  var $3=__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10isLiveHashEj($2); //@line 322 "./jshashtable.h"
  ;
  return $3; //@line 322 "./jshashtable.h"
}


function __ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "./jstl.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 195 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 195 "./jshashtable.h"
  var $5=(($2+4)|0); //@line 195 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 195 "./jshashtable.h"
  var $7=(($4)|0)==(($6)|0); //@line 195 "./jshashtable.h"
  ;
  return $7; //@line 195 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 200 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 200 "./jshashtable.h"
  var $5=(($4+8)|0); //@line 200 "./jshashtable.h"
  ;
  return $5; //@line 200 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $4=HEAPU32[(($3)>>2)]; //@line 435 "./jshashtable.h"
      var $5=(($4)>>>0) > 16; //@line 435 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { var $15 = 0;__label__ = 3; break; } //@line 435 "./jshashtable.h"
    case 2: 
      var $7=(($2+12)|0); //@line 435 "./jshashtable.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 435 "./jshashtable.h"
      var $9=(($2+8)|0); //@line 435 "./jshashtable.h"
      var $10=HEAP32[(($9)>>2)]; //@line 435 "./jshashtable.h"
      var $11=((($10<<6))|0); //@line 435 "./jshashtable.h"
      var $12=$11 >>> 8; //@line 435 "./jshashtable.h"
      var $13=(($8)>>>0) <= (($12)>>>0); //@line 435 "./jshashtable.h"
      var $15 = $13;__label__ = 3; break;
    case 3: 
      var $15;
      ;
      return $15; //@line 437 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12hasCollisionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 99 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 99 "./jshashtable.h"
  var $5=$4 & 1; //@line 99 "./jshashtable.h"
  var $6=(($5)|0)!=0; //@line 99 "./jshashtable.h"
  ;
  return $6; //@line 99 "./jshashtable.h"
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEEC2EP8JSTracer($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 253 "./jsweakmap.h"
  var $5=$2; //@line 253 "./jsweakmap.h"
  HEAP32[(($4)>>2)]=$5; //@line 253 "./jsweakmap.h"
  ;
  return; //@line 253 "./jsweakmap.h"
}


function _JSVAL_TO_GCTHING_IMPL4122($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 590 "./jsval.h"
  var $2=(($1)|0); //@line 590 "./jsval.h"
  var $3=$2; //@line 590 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 590 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 590 "./jsval.h"
}


function _JSVAL_IS_TRACEABLE_IMPL4123($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=$l; //@line 596 "./jsval.h"
      var $2=(($1+4)|0); //@line 596 "./jsval.h"
      var $3=HEAP32[(($2)>>2)]; //@line 596 "./jsval.h"
      var $4=(($3)|0)==-123; //@line 596 "./jsval.h"
      if ($4) { var $11 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 596 "./jsval.h"
    case 2: 
      var $6=$l; //@line 596 "./jsval.h"
      var $7=(($6+4)|0); //@line 596 "./jsval.h"
      var $8=HEAP32[(($7)>>2)]; //@line 596 "./jsval.h"
      var $9=(($8)|0)==-121; //@line 596 "./jsval.h"
      var $11 = $9;__label__ = 3; break; //@line 596 "./jsval.h"
    case 3: 
      var $11;
      var $12=(($11)&1); //@line 596 "./jsval.h"
      STACKTOP = __stackBase__;
      return $12; //@line 596 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_PRIMITIVE_IMPL4124($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEED2Ev($2); //@line 189 "./jsweakmap.h"
  ;
  return; //@line 189 "./jsweakmap.h"
}


function __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 189 "./jsweakmap.h"
  var $4=(($3+8)|0); //@line 189 "./jsweakmap.h"
  var $5=$4; //@line 189 "./jsweakmap.h"
  __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev($5); //@line 189 "./jsweakmap.h"
  ;
  return; //@line 189 "./jsweakmap.h"
}


function __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 956 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev($3); //@line 956 "./jshashtable.h"
  ;
  return; //@line 956 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev($2); //@line 411 "./jshashtable.h"
  ;
  return; //@line 414 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+24)|0); //@line 412 "./jshashtable.h"
      var $4=HEAP32[(($3)>>2)]; //@line 412 "./jshashtable.h"
      var $5=(($4)|0)!=0; //@line 412 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 412 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 413 "./jshashtable.h"
      var $8=(($2+24)|0); //@line 413 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 413 "./jshashtable.h"
      var $10=(($2+8)|0); //@line 413 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 413 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj($7, $9, $11); //@line 413 "./jshashtable.h"
      __label__ = 3; break; //@line 413 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 414 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj($this, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $capacity;
      var $roundUp;
      var $roundUpLog2;
      $2=$this;
      $3=$length;
      var $4=$2;
      var $5=$3; //@line 377 "./jshashtable.h"
      var $6=(($5)>>>0) > 8388608; //@line 377 "./jshashtable.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "./jshashtable.h"
    case 2: 
      var $8=$4; //@line 378 "./jshashtable.h"
      __ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv($8); //@line 378 "./jshashtable.h"
      $1=0; //@line 379 "./jshashtable.h"
      __label__ = 11; break; //@line 379 "./jshashtable.h"
    case 3: 
      var $10=$3; //@line 381 "./jshashtable.h"
      var $11=(($10*171)|0); //@line 381 "./jshashtable.h"
      var $12=$11 >>> 7; //@line 381 "./jshashtable.h"
      $capacity=$12; //@line 381 "./jshashtable.h"
      var $13=$capacity; //@line 383 "./jshashtable.h"
      var $14=(($13)>>>0) < 16; //@line 383 "./jshashtable.h"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 383 "./jshashtable.h"
    case 4: 
      $capacity=16; //@line 384 "./jshashtable.h"
      __label__ = 5; break; //@line 384 "./jshashtable.h"
    case 5: 
      $roundUp=16; //@line 387 "./jshashtable.h"
      $roundUpLog2=4; //@line 387 "./jshashtable.h"
      __label__ = 6; break; //@line 388 "./jshashtable.h"
    case 6: 
      var $18=$roundUp; //@line 388 "./jshashtable.h"
      var $19=$capacity; //@line 388 "./jshashtable.h"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 388 "./jshashtable.h"
      if ($20) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 388 "./jshashtable.h"
    case 7: 
      var $22=$roundUp; //@line 389 "./jshashtable.h"
      var $23=$22 << 1; //@line 389 "./jshashtable.h"
      $roundUp=$23; //@line 389 "./jshashtable.h"
      var $24=$roundUpLog2; //@line 390 "./jshashtable.h"
      var $25=(($24+1)|0); //@line 390 "./jshashtable.h"
      $roundUpLog2=$25; //@line 390 "./jshashtable.h"
      __label__ = 6; break; //@line 391 "./jshashtable.h"
    case 8: 
      var $27=$roundUp; //@line 393 "./jshashtable.h"
      $capacity=$27; //@line 393 "./jshashtable.h"
      var $28=$4; //@line 396 "./jshashtable.h"
      var $29=$capacity; //@line 396 "./jshashtable.h"
      var $30=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j($28, $29); //@line 396 "./jshashtable.h"
      var $31=(($4+24)|0); //@line 396 "./jshashtable.h"
      HEAP32[(($31)>>2)]=$30; //@line 396 "./jshashtable.h"
      var $32=(($4+24)|0); //@line 397 "./jshashtable.h"
      var $33=HEAP32[(($32)>>2)]; //@line 397 "./jshashtable.h"
      var $34=(($33)|0)!=0; //@line 397 "./jshashtable.h"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 397 "./jshashtable.h"
    case 9: 
      $1=0; //@line 398 "./jshashtable.h"
      __label__ = 11; break; //@line 398 "./jshashtable.h"
    case 10: 
      var $37=$roundUpLog2; //@line 400 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej($4, $37); //@line 400 "./jshashtable.h"
      $1=1; //@line 402 "./jshashtable.h"
      __label__ = 11; break; //@line 402 "./jshashtable.h"
    case 11: 
      var $39=$1; //@line 403 "./jshashtable.h"
      ;
      return $39; //@line 403 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj["X"]=1;

function __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 197 "./jsweakmap.h"
  __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEC2EP9JSContext($3, $4); //@line 197 "./jsweakmap.h"
  ;
  return; //@line 197 "./jsweakmap.h"
}


function __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEC2EP9JSContext($this, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$cx;
  var $4=$1;
  var $5=$4; //@line 197 "./jsweakmap.h"
  var $6=(($5+8)|0); //@line 197 "./jsweakmap.h"
  var $7=$6; //@line 197 "./jsweakmap.h"
  var $8=$2; //@line 197 "./jsweakmap.h"
  __ZN2js18RuntimeAllocPolicyC1EP9JSContext($3, $8); //@line 197 "./jsweakmap.h"
  __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_($7, $3); //@line 197 "./jsweakmap.h"
  var $9=$4; //@line 197 "./jsweakmap.h"
  __ZN2js11WeakMapBaseC2Ev($9); //@line 197 "./jsweakmap.h"
  var $10=$4; //@line 197 "./jsweakmap.h"
  HEAP32[(($10)>>2)]=((__ZTVN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEE+8)|0); //@line 197 "./jsweakmap.h"
  STACKTOP = __stackBase__;
  return; //@line 197 "./jsweakmap.h"
}


function __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_($this, $a) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $a; $a = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($a)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 985 "./jshashtable.h"
  var $5=$2; //@line 985 "./jshashtable.h"
  var $6=$a; //@line 985 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 985 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_($4, $2); //@line 985 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 985 "./jshashtable.h"
}


function __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE15nonMarkingTraceEP8JSTracer($this, $tracer) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $t=__stackBase__;
      var $r=__stackBase__+4;
      $1=$this;
      $2=$tracer;
      var $3=$1;
      var $4=$2; //@line 201 "./jsweakmap.h"
      __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEEC1EP8JSTracer($t, $4); //@line 201 "./jsweakmap.h"
      var $5=$3; //@line 202 "./jsweakmap.h"
      var $6=(($5+8)|0); //@line 202 "./jsweakmap.h"
      var $7=$6; //@line 202 "./jsweakmap.h"
      __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($r, $7); //@line 202 "./jsweakmap.h"
      __label__ = 2; break; //@line 202 "./jsweakmap.h"
    case 2: 
      var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($r); //@line 202 "./jsweakmap.h"
      var $10=$9 ^ 1; //@line 202 "./jsweakmap.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 202 "./jsweakmap.h"
    case 3: 
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($r); //@line 203 "./jsweakmap.h"
      var $13=(($12+8)|0); //@line 203 "./jsweakmap.h"
      __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE9markEntryERKS4_($t, $13); //@line 203 "./jsweakmap.h"
      __label__ = 4; break; //@line 203 "./jsweakmap.h"
    case 4: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($r); //@line 202 "./jsweakmap.h"
      __label__ = 2; break; //@line 202 "./jsweakmap.h"
    case 5: 
      STACKTOP = __stackBase__;
      return; //@line 204 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE15markIterativelyEP8JSTracer($this, $tracer) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $t=__stackBase__;
      var $markedAny;
      var $r=__stackBase__+4;
      $1=$this;
      $2=$tracer;
      var $3=$1;
      var $4=$2; //@line 207 "./jsweakmap.h"
      __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEEC1EP8JSTracer($t, $4); //@line 207 "./jsweakmap.h"
      $markedAny=0; //@line 208 "./jsweakmap.h"
      var $5=$3; //@line 209 "./jsweakmap.h"
      var $6=(($5+8)|0); //@line 209 "./jsweakmap.h"
      var $7=$6; //@line 209 "./jsweakmap.h"
      __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($r, $7); //@line 209 "./jsweakmap.h"
      __label__ = 2; break; //@line 209 "./jsweakmap.h"
    case 2: 
      var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($r); //@line 209 "./jsweakmap.h"
      var $10=$9 ^ 1; //@line 209 "./jsweakmap.h"
      if ($10) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 209 "./jsweakmap.h"
    case 3: 
      var $12=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($r); //@line 211 "./jsweakmap.h"
      var $13=(($12)|0); //@line 211 "./jsweakmap.h"
      var $14=HEAP32[(($13)>>2)]; //@line 211 "./jsweakmap.h"
      var $15=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($r); //@line 211 "./jsweakmap.h"
      var $16=(($15+8)|0); //@line 211 "./jsweakmap.h"
      var $17=__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE15markEntryIfLiveES2_RKS4_($t, $14, $16); //@line 211 "./jsweakmap.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 211 "./jsweakmap.h"
    case 4: 
      $markedAny=1; //@line 213 "./jsweakmap.h"
      __label__ = 5; break; //@line 214 "./jsweakmap.h"
    case 5: 
      __label__ = 6; break; //@line 216 "./jsweakmap.h"
    case 6: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($r); //@line 209 "./jsweakmap.h"
      __label__ = 2; break; //@line 209 "./jsweakmap.h"
    case 7: 
      var $22=$markedAny; //@line 217 "./jsweakmap.h"
      var $23=(($22) & 1); //@line 217 "./jsweakmap.h"
      STACKTOP = __stackBase__;
      return $23; //@line 217 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE5sweepEP8JSTracer($this, $tracer) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $t=__stackBase__;
      var $e=__stackBase__+4;
      var $3;
      $1=$this;
      $2=$tracer;
      var $4=$1;
      var $5=$2; //@line 221 "./jsweakmap.h"
      __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEEC1EP8JSTracer($t, $5); //@line 221 "./jsweakmap.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC1INS_7WeakMapIS4_S6_SA_NS_17DefaultMarkPolicyIS4_S6_EEEEEERT_($e, $4); //@line 224 "./jsweakmap.h"
      __label__ = 2; break; //@line 224 "./jsweakmap.h"
    case 2: 
      var $7=$e; //@line 224 "./jsweakmap.h"
      var $8=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv($7); //@line 224 "./jsweakmap.h"
      var $9=$8 ^ 1; //@line 224 "./jsweakmap.h"
      if ($9) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 224 "./jsweakmap.h"
    case 3: 
      $3=2;
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD1Ev($e); //@line 224 "./jsweakmap.h"
      __label__ = 8; break;
    case 4: 
      var $12=$e; //@line 225 "./jsweakmap.h"
      var $13=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv($12); //@line 225 "./jsweakmap.h"
      var $14=(($13)|0); //@line 225 "./jsweakmap.h"
      var $15=HEAP32[(($14)>>2)]; //@line 225 "./jsweakmap.h"
      var $16=__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE9keyMarkedES2_($t, $15); //@line 225 "./jsweakmap.h"
      if ($16) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 225 "./jsweakmap.h"
    case 5: 
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4Enum11removeFrontEv($e); //@line 226 "./jsweakmap.h"
      __label__ = 6; break; //@line 226 "./jsweakmap.h"
    case 6: 
      __label__ = 7; break; //@line 227 "./jsweakmap.h"
    case 7: 
      var $20=$e; //@line 224 "./jsweakmap.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($20); //@line 224 "./jsweakmap.h"
      __label__ = 2; break; //@line 224 "./jsweakmap.h"
    case 8: 
      STACKTOP = __stackBase__;
      return; //@line 239 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEEC1EP8JSTracer($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 253 "./jsweakmap.h"
  __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEEC2EP8JSTracer($3, $4); //@line 253 "./jsweakmap.h"
  ;
  return; //@line 253 "./jsweakmap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC1INS_7WeakMapIS4_S6_SA_NS_17DefaultMarkPolicyIS4_S6_EEEEEERT_($this, $map) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$map;
  var $3=$1;
  var $4=$2; //@line 231 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC2INS_7WeakMapIS4_S6_SA_NS_17DefaultMarkPolicyIS4_S6_EEEEEERT_($3, $4); //@line 231 "./jshashtable.h"
  ;
  return; //@line 231 "./jshashtable.h"
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE9keyMarkedES2_($this, $k) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$k;
  var $3=$1;
  var $4=(($3)|0); //@line 254 "./jsweakmap.h"
  var $5=HEAP32[(($4)>>2)]; //@line 254 "./jsweakmap.h"
  var $6=(($5)|0); //@line 254 "./jsweakmap.h"
  var $7=HEAP32[(($6)>>2)]; //@line 254 "./jsweakmap.h"
  var $8=$2; //@line 254 "./jsweakmap.h"
  var $9=$8; //@line 254 "./jsweakmap.h"
  var $10=__Z20IsAboutToBeFinalizedP9JSContextPKv($7, $9); //@line 254 "./jsweakmap.h"
  var $11=$10 ^ 1; //@line 254 "./jsweakmap.h"
  ;
  return $11; //@line 254 "./jsweakmap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4Enum11removeFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 243 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 243 "./jshashtable.h"
  var $5=$2; //@line 243 "./jshashtable.h"
  var $6=(($5)|0); //@line 243 "./jshashtable.h"
  var $7=HEAP32[(($6)>>2)]; //@line 243 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($4, $7); //@line 243 "./jshashtable.h"
  var $8=(($2+12)|0); //@line 244 "./jshashtable.h"
  HEAP8[($8)]=1; //@line 244 "./jshashtable.h"
  ;
  return; //@line 245 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 205 "./jshashtable.h"
    case 2: 
      var $4=(($2)|0); //@line 205 "./jshashtable.h"
      var $5=HEAP32[(($4)>>2)]; //@line 205 "./jshashtable.h"
      var $6=(($5+24)|0); //@line 205 "./jshashtable.h"
      HEAP32[(($4)>>2)]=$6; //@line 205 "./jshashtable.h"
      var $7=(($2+4)|0); //@line 205 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 205 "./jshashtable.h"
      var $9=(($6)|0)!=(($8)|0); //@line 205 "./jshashtable.h"
      if ($9) { __label__ = 3; break; } else { var $16 = 0;__label__ = 4; break; } //@line 205 "./jshashtable.h"
    case 3: 
      var $11=(($2)|0); //@line 205 "./jshashtable.h"
      var $12=HEAP32[(($11)>>2)]; //@line 205 "./jshashtable.h"
      var $13=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isLiveEv($12); //@line 205 "./jshashtable.h"
      var $14=$13 ^ 1; //@line 205 "./jshashtable.h"
      var $16 = $14;__label__ = 4; break;
    case 4: 
      var $16;
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      __label__ = 2; break;
    case 6: 
      ;
      return; //@line 206 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD2Ev($2); //@line 248 "./jshashtable.h"
  ;
  return; //@line 251 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 249 "./jshashtable.h"
      var $4=HEAP8[($3)]; //@line 249 "./jshashtable.h"
      var $5=(($4) & 1); //@line 249 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 249 "./jshashtable.h"
    case 2: 
      var $7=(($2+8)|0); //@line 250 "./jshashtable.h"
      var $8=HEAP32[(($7)>>2)]; //@line 250 "./jshashtable.h"
      __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($8); //@line 250 "./jshashtable.h"
      __label__ = 3; break; //@line 250 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 251 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv($2); //@line 598 "./jshashtable.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 598 "./jshashtable.h"
    case 2: 
      var $5=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi($2, -1); //@line 600 "./jshashtable.h"
      __label__ = 3; break; //@line 601 "./jshashtable.h"
    case 3: 
      ;
      return; //@line 602 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($this, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$e;
      var $3=$1;
      var $4=$2; //@line 583 "./jshashtable.h"
      var $5=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12hasCollisionEv($4); //@line 583 "./jshashtable.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 583 "./jshashtable.h"
    case 2: 
      var $7=$2; //@line 584 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10setRemovedEv($7); //@line 584 "./jshashtable.h"
      var $8=(($3+20)|0); //@line 585 "./jshashtable.h"
      var $9=HEAP32[(($8)>>2)]; //@line 585 "./jshashtable.h"
      var $10=(($9+1)|0); //@line 585 "./jshashtable.h"
      HEAP32[(($8)>>2)]=$10; //@line 585 "./jshashtable.h"
      __label__ = 4; break; //@line 586 "./jshashtable.h"
    case 3: 
      var $12=$2; //@line 588 "./jshashtable.h"
      __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE7setFreeEv($12); //@line 588 "./jshashtable.h"
      __label__ = 4; break;
    case 4: 
      var $14=(($3+12)|0); //@line 590 "./jshashtable.h"
      var $15=HEAP32[(($14)>>2)]; //@line 590 "./jshashtable.h"
      var $16=(($15-1)|0); //@line 590 "./jshashtable.h"
      HEAP32[(($14)>>2)]=$16; //@line 590 "./jshashtable.h"
      ;
      return; //@line 594 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10setRemovedEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 90 "./jshashtable.h"
  HEAP32[(($4)>>2)]=1; //@line 90 "./jshashtable.h"
  var $5=(($3+8)|0); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEC1Ev($2); //@line 90 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEaSERKS5_($5, $2); //@line 90 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 90 "./jshashtable.h"
}


function __ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE7setFreeEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 88 "./jshashtable.h"
  HEAP32[(($4)>>2)]=0; //@line 88 "./jshashtable.h"
  var $5=(($3+8)|0); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEC1Ev($2); //@line 88 "./jshashtable.h"
  __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEaSERKS5_($5, $2); //@line 88 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 88 "./jshashtable.h"
}


function __ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEaSERKS5_($this, $rhs) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$rhs;
  var $3=$1;
  var $4=$2; //@line 906 "./jshashtable.h"
  var $5=(($4)|0); //@line 906 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 906 "./jshashtable.h"
  var $7=(($3)|0); //@line 906 "./jshashtable.h"
  HEAP32[(($7)>>2)]=$6; //@line 906 "./jshashtable.h"
  var $8=(($3+8)|0); //@line 907 "./jshashtable.h"
  var $9=$2; //@line 907 "./jshashtable.h"
  var $10=(($9+8)|0); //@line 907 "./jshashtable.h"
  var $11=$8; //@line 907 "./jshashtable.h"
  var $12=$10; //@line 907 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 907 "./jshashtable.h"
  ;
  return; //@line 908 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC2INS_7WeakMapIS4_S6_SA_NS_17DefaultMarkPolicyIS4_S6_EEEEEERT_($this, $map) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$map;
  var $4=$1;
  var $5=$4; //@line 231 "./jshashtable.h"
  var $6=$2; //@line 231 "./jshashtable.h"
  var $7=$6; //@line 231 "./jshashtable.h"
  var $8=(($7+8)|0); //@line 231 "./jshashtable.h"
  var $9=$8; //@line 231 "./jshashtable.h"
  __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($3, $9); //@line 231 "./jshashtable.h"
  var $10=$5; //@line 231 "./jshashtable.h"
  var $11=$3; //@line 231 "./jshashtable.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 231 "./jshashtable.h"
  var $12=(($4+8)|0); //@line 231 "./jshashtable.h"
  var $13=$2; //@line 231 "./jshashtable.h"
  var $14=$13; //@line 231 "./jshashtable.h"
  var $15=(($14+8)|0); //@line 231 "./jshashtable.h"
  var $16=$15; //@line 231 "./jshashtable.h"
  var $17=(($16)|0); //@line 231 "./jshashtable.h"
  HEAP32[(($12)>>2)]=$17; //@line 231 "./jshashtable.h"
  var $18=(($4+12)|0); //@line 231 "./jshashtable.h"
  HEAP8[($18)]=0; //@line 231 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 231 "./jshashtable.h"
}


function __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1089 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv($agg_result, $3); //@line 1089 "./jshashtable.h"
  ;
  return; //@line 1089 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 638 "./jshashtable.h"
  var $5=(($2+24)|0); //@line 638 "./jshashtable.h"
  var $6=HEAP32[(($5)>>2)]; //@line 638 "./jshashtable.h"
  var $7=(($2+8)|0); //@line 638 "./jshashtable.h"
  var $8=HEAP32[(($7)>>2)]; //@line 638 "./jshashtable.h"
  var $9=(($6+$8*24)|0); //@line 638 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_($agg_result, $4, $9); //@line 638 "./jshashtable.h"
  ;
  return; //@line 638 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_($this, $c, $e) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$c;
  $3=$e;
  var $4=$1;
  var $5=$2; //@line 187 "./jshashtable.h"
  var $6=$3; //@line 187 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_($4, $5, $6); //@line 187 "./jshashtable.h"
  ;
  return; //@line 187 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_($this, $c, $e) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$c;
      $3=$e;
      var $4=$1;
      var $5=(($4)|0); //@line 184 "./jshashtable.h"
      var $6=$2; //@line 184 "./jshashtable.h"
      HEAP32[(($5)>>2)]=$6; //@line 184 "./jshashtable.h"
      var $7=(($4+4)|0); //@line 184 "./jshashtable.h"
      var $8=$3; //@line 184 "./jshashtable.h"
      HEAP32[(($7)>>2)]=$8; //@line 184 "./jshashtable.h"
      __label__ = 2; break; //@line 185 "./jshashtable.h"
    case 2: 
      var $10=(($4)|0); //@line 185 "./jshashtable.h"
      var $11=HEAP32[(($10)>>2)]; //@line 185 "./jshashtable.h"
      var $12=(($4+4)|0); //@line 185 "./jshashtable.h"
      var $13=HEAP32[(($12)>>2)]; //@line 185 "./jshashtable.h"
      var $14=(($11)|0)!=(($13)|0); //@line 185 "./jshashtable.h"
      if ($14) { __label__ = 3; break; } else { var $21 = 0;__label__ = 4; break; } //@line 185 "./jshashtable.h"
    case 3: 
      var $16=(($4)|0); //@line 185 "./jshashtable.h"
      var $17=HEAP32[(($16)>>2)]; //@line 185 "./jshashtable.h"
      var $18=__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isLiveEv($17); //@line 185 "./jshashtable.h"
      var $19=$18 ^ 1; //@line 185 "./jshashtable.h"
      var $21 = $19;__label__ = 4; break;
    case 4: 
      var $21;
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; }
    case 5: 
      var $23=(($4)|0); //@line 186 "./jshashtable.h"
      var $24=HEAP32[(($23)>>2)]; //@line 186 "./jshashtable.h"
      var $25=(($24+24)|0); //@line 186 "./jshashtable.h"
      HEAP32[(($23)>>2)]=$25; //@line 186 "./jshashtable.h"
      __label__ = 2; break; //@line 186 "./jshashtable.h"
    case 6: 
      ;
      return; //@line 187 "./jshashtable.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE15markEntryIfLiveES2_RKS4_($this, $k, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$this;
      $3=$k;
      $4=$v;
      var $5=$2;
      var $6=$3; //@line 279 "./jsweakmap.h"
      var $7=__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE9keyMarkedES2_($5, $6); //@line 279 "./jsweakmap.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 279 "./jsweakmap.h"
    case 2: 
      var $9=$4; //@line 280 "./jsweakmap.h"
      var $10=__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE17markUnmarkedValueERKS4_($5, $9); //@line 280 "./jsweakmap.h"
      $1=$10; //@line 280 "./jsweakmap.h"
      __label__ = 6; break; //@line 280 "./jsweakmap.h"
    case 3: 
      var $12=$3; //@line 281 "./jsweakmap.h"
      var $13=__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE18overrideKeyMarkingES2_($5, $12); //@line 281 "./jsweakmap.h"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 281 "./jsweakmap.h"
    case 4: 
      $1=0; //@line 282 "./jsweakmap.h"
      __label__ = 6; break; //@line 282 "./jsweakmap.h"
    case 5: 
      var $16=(($5)|0); //@line 283 "./jsweakmap.h"
      var $17=HEAP32[(($16)>>2)]; //@line 283 "./jsweakmap.h"
      var $18=$3; //@line 283 "./jsweakmap.h"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($17, $18, ((STRING_TABLE.__str84085)|0)); //@line 283 "./jsweakmap.h"
      var $19=$4; //@line 284 "./jsweakmap.h"
      var $20=__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE17markUnmarkedValueERKS4_($5, $19); //@line 284 "./jsweakmap.h"
      $1=1; //@line 285 "./jsweakmap.h"
      __label__ = 6; break; //@line 285 "./jsweakmap.h"
    case 6: 
      var $22=$1; //@line 286 "./jsweakmap.h"
      ;
      return $22; //@line 286 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE17markUnmarkedValueERKS4_($this, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$v;
      var $4=$2;
      var $5=$3; //@line 262 "./jsweakmap.h"
      var $6=__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE11valueMarkedERKS4_($4, $5); //@line 262 "./jsweakmap.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 262 "./jsweakmap.h"
    case 2: 
      $1=0; //@line 263 "./jsweakmap.h"
      __label__ = 4; break; //@line 263 "./jsweakmap.h"
    case 3: 
      var $9=(($4)|0); //@line 264 "./jsweakmap.h"
      var $10=HEAP32[(($9)>>2)]; //@line 264 "./jsweakmap.h"
      var $11=$3; //@line 264 "./jsweakmap.h"
      __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($10, $11, ((STRING_TABLE.__str94086)|0)); //@line 264 "./jsweakmap.h"
      $1=1; //@line 265 "./jsweakmap.h"
      __label__ = 4; break; //@line 265 "./jsweakmap.h"
    case 4: 
      var $13=$1; //@line 266 "./jsweakmap.h"
      ;
      return $13; //@line 266 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE18overrideKeyMarkingES2_($this, $k) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$k;
      var $4=$2;
      var $5=(($4)|0); //@line 273 "./jsweakmap.h"
      var $6=HEAP32[(($5)>>2)]; //@line 273 "./jsweakmap.h"
      var $7=(($6+4)|0); //@line 273 "./jsweakmap.h"
      var $8=HEAP32[(($7)>>2)]; //@line 273 "./jsweakmap.h"
      var $9=(($8)|0)==0; //@line 273 "./jsweakmap.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 273 "./jsweakmap.h"
    case 2: 
      $1=0; //@line 274 "./jsweakmap.h"
      __label__ = 4; break; //@line 274 "./jsweakmap.h"
    case 3: 
      var $12=$3; //@line 275 "./jsweakmap.h"
      var $13=__ZNK8JSObject8getClassEv($12); //@line 275 "./jsweakmap.h"
      var $14=(($13+68)|0); //@line 275 "./jsweakmap.h"
      var $15=(($14+20)|0); //@line 275 "./jsweakmap.h"
      var $16=HEAP8[($15)]; //@line 275 "./jsweakmap.h"
      var $17=(($16) & 1); //@line 275 "./jsweakmap.h"
      $1=$17; //@line 275 "./jsweakmap.h"
      __label__ = 4; break; //@line 275 "./jsweakmap.h"
    case 4: 
      var $19=$1; //@line 276 "./jsweakmap.h"
      ;
      return $19; //@line 276 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE11valueMarkedERKS4_($this, $v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$this;
      $3=$v;
      var $4=$2;
      var $5=$3; //@line 256 "./jsweakmap.h"
      var $6=__ZNK2JS5Value10isMarkableEv($5); //@line 256 "./jsweakmap.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 256 "./jsweakmap.h"
    case 2: 
      var $8=(($4)|0); //@line 257 "./jsweakmap.h"
      var $9=HEAP32[(($8)>>2)]; //@line 257 "./jsweakmap.h"
      var $10=(($9)|0); //@line 257 "./jsweakmap.h"
      var $11=HEAP32[(($10)>>2)]; //@line 257 "./jsweakmap.h"
      var $12=$3; //@line 257 "./jsweakmap.h"
      var $13=__ZNK2JS5Value9toGCThingEv($12); //@line 257 "./jsweakmap.h"
      var $14=__Z20IsAboutToBeFinalizedP9JSContextPKv($11, $13); //@line 257 "./jsweakmap.h"
      var $15=$14 ^ 1; //@line 257 "./jsweakmap.h"
      $1=$15; //@line 257 "./jsweakmap.h"
      __label__ = 4; break; //@line 257 "./jsweakmap.h"
    case 3: 
      $1=1; //@line 258 "./jsweakmap.h"
      __label__ = 4; break; //@line 258 "./jsweakmap.h"
    case 4: 
      var $18=$1; //@line 259 "./jsweakmap.h"
      ;
      return $18; //@line 259 "./jsweakmap.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE9markEntryERKS4_($this, $v) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$v;
  var $3=$1;
  var $4=(($3)|0); //@line 288 "./jsweakmap.h"
  var $5=HEAP32[(($4)>>2)]; //@line 288 "./jsweakmap.h"
  var $6=$2; //@line 288 "./jsweakmap.h"
  __ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc($5, $6, ((STRING_TABLE.__str94086)|0)); //@line 288 "./jsweakmap.h"
  ;
  return; //@line 289 "./jsweakmap.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_($2, $ap); //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($ap)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 366 "./jshashtable.h"
  var $4=$3; //@line 366 "./jshashtable.h"
  var $5=$ap; //@line 366 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)]; //@line 366 "./jshashtable.h"
  var $6=(($2+12)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($6)>>2)]=0; //@line 366 "./jshashtable.h"
  var $7=(($2+16)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($7)>>2)]=0; //@line 366 "./jshashtable.h"
  var $8=(($2+20)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($8)>>2)]=0; //@line 366 "./jshashtable.h"
  var $9=(($2+24)|0); //@line 366 "./jshashtable.h"
  HEAP32[(($9)>>2)]=0; //@line 366 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 366 "./jshashtable.h"
}


function __ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_($agg_result, $this, $l) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$l;
  var $3=$1;
  var $4=(($3)|0); //@line 1003 "./jshashtable.h"
  var $5=$2; //@line 1003 "./jshashtable.h"
  __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $4, $5); //@line 1003 "./jshashtable.h"
  ;
  return; //@line 1003 "./jshashtable.h"
}


function __ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 1006 "./jshashtable.h"
  var $5=$2; //@line 1006 "./jshashtable.h"
  var $6=$p; //@line 1006 "./jshashtable.h"
  assert(4 % 1 === 0, 'memcpy given ' + 4 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)]; //@line 1006 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE($4, $2); //@line 1006 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 1006 "./jshashtable.h"
}


function __ZN9JSWrapper16getWrapperFamilyEv() {
  ;
  var __label__;

  ;
  return __ZL14sWrapperFamily; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZL4CondiPb($b, $bp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$b;
  $2=$bp;
  var $3=$1; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $4=(($3)|0)!=0; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $5=$4 ^ 1; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=$5 ^ 1; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=$2; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $8=(($6)&1); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP8[($7)]=$8; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return 1; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function _BOOLEAN_TO_JSVAL_IMPL4126($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function __ZN2js14JSProxyHandler6familyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 96 "./jsproxy.h"
  var $4=HEAP32[(($3)>>2)]; //@line 96 "./jsproxy.h"
  ;
  return $4; //@line 96 "./jsproxy.h"
}


function __ZN2JSL12BooleanValueEb4125($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "./jsapi.h"
  var $4=(($3) & 1); //@line 726 "./jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "./jsapi.h"
  ;
  return; //@line 727 "./jsapi.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE($this, $p) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $p; $p = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($p)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $g=__stackBase__;
  $1=$this;
  var $2=$1;
  __ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $2); //@line 760 "./jshashtable.h"
  var $3=(($p)|0); //@line 762 "./jshashtable.h"
  var $4=HEAP32[(($3)>>2)]; //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE($2, $4); //@line 762 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv($2); //@line 763 "./jshashtable.h"
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 764 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 764 "./jshashtable.h"
}


function __ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_($agg_result, $this, $l) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $g=__stackBase__;
  var $keyHash;
  var $3;
  $1=$this;
  $2=$l;
  var $4=$1;
  __ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_($g, $4); //@line 664 "./jshashtable.h"
  var $5=$2; //@line 665 "./jshashtable.h"
  var $6=__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_($5); //@line 665 "./jshashtable.h"
  $keyHash=$6; //@line 665 "./jshashtable.h"
  var $7=$2; //@line 666 "./jshashtable.h"
  var $8=$keyHash; //@line 666 "./jshashtable.h"
  var $9=__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj($4, $7, $8, 0); //@line 666 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($agg_result, $9); //@line 666 "./jshashtable.h"
  $3=1;
  __ZN2js15ReentrancyGuardD1Ev($g); //@line 667 "./jshashtable.h"
  STACKTOP = __stackBase__;
  return; //@line 667 "./jshashtable.h"
}


function __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE($this, $entry) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$entry;
  var $3=$1;
  var $4=$2; //@line 136 "./jshashtable.h"
  __ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE($3, $4); //@line 136 "./jshashtable.h"
  ;
  return; //@line 136 "./jshashtable.h"
}


function __ZNK8JSObject9isWrapperEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject7isProxyEv($2); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $5=__ZNK8JSObject15getProxyHandlerEv($2); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $6=__ZN2js14JSProxyHandler6familyEv($5); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=(($6)|0)==((__ZL14sWrapperFamily)|0); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject25isCrossCompartmentWrapperEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject9isWrapperEv($2); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($3) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $5=__ZNK8JSObject17getWrapperHandlerEv($2); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $6=__ZNK9JSWrapper5flagsEv($5); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=$6 & 1; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=(($7)|0)!=0; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=$8 ^ 1; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$9 ^ 1; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      ;
      return $12; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject17getWrapperHandlerEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject15getProxyHandlerEv($2); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $4=$3; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return $4; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN8JSObject6unwrapEPj($this, $flagsp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $wrapped;
      var $flags;
      $1=$this;
      $2=$flagsp;
      var $3=$1;
      $wrapped=$3; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $flags=0; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $5=$wrapped; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $6=__ZNK8JSObject9isWrapperEv($5); //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $8=$wrapped; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=__ZNK8JSObject15getProxyHandlerEv($8); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$9; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZNK9JSWrapper5flagsEv($10); //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$flags; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$12 | $11; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $flags=$13; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$wrapped; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=__ZNK8JSObject15getProxyPrivateEv($14); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=__ZNK2JS5Value14toObjectOrNullEv($15); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $wrapped=$16; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$wrapped; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=__ZNK8JSObject8getClassEv($17); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=(($18+68)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19+8)|0); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($21)|0)!=0; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      __label__ = 6; break; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      __label__ = 2; break; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $26=$2; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26)|0)!=0; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $29=$flags; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$2; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($30)>>2)]=$29; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $32=$wrapped; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      ;
      return $32; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSWrapperC2Ej($this, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$flags;
  var $3=$1;
  var $4=$3; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN2js14JSProxyHandlerC2EPv($4, __ZL14sWrapperFamily); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $5=$3; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP32[(($5)>>2)]=((__ZTV9JSWrapper+8)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=(($3+8)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=$2; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP32[(($6)>>2)]=$7; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapperD0Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  FUNCTION_TABLE[__ZN9JSWrapperD1Ev]($2); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $3=$2; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZdlPv($3); //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapperD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN2js14JSProxyHandlerD2Ev($3); //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($this, $cx, $wrapper, $id, $set, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$id;
      var $8=(($set)&1);
      $6=$8;
      $7=$desc;
      var $9=$2;
      var $10=$7; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=(($10)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($11)>>2)]=0; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $13=$9; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=(($14+100)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$3; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$4; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=$5; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$6; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=(($20) & 1); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$21 ? 1 : 0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=FUNCTION_TABLE[$16]($9, $17, $18, $19, $22, $status); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $25=HEAP8[($status)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=(($25) & 1); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$26; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $28=$3; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$4; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=__ZN9JSWrapper13wrappedObjectEPK8JSObject($29); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$5; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$7; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=_JS_GetPropertyDescriptorById($28, $30, $31, 1, $32); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=(($33)|0)!=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=(($34)&1); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$35; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=$9; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=(($37+104)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=$3; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=$4; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$39]($9, $40, $41); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=$ok; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=(($42) & 1); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$43; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $45=$1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor["X"]=1;

function __ZN9JSWrapper13wrappedObjectEPK8JSObject($wrapper) {
  ;
  var __label__;

  var $1;
  $1=$wrapper;
  var $2=$1; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $3=__ZNK8JSObject15getProxyPrivateEv($2); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $4=__ZNK2JS5Value14toObjectOrNullEv($3); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return $4; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($this, $cx, $wrapper, $id, $set, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$id;
      var $8=(($set)&1);
      $6=$8;
      $7=$desc;
      var $9=$2;
      var $10=$7; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=(($10)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($11)>>2)]=0; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $13=$9; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=(($14+100)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$3; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$4; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=$5; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$6; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=(($20) & 1); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$21 ? 1 : 0; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=FUNCTION_TABLE[$16]($9, $17, $18, $19, $22, $status); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $25=HEAP8[($status)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=(($25) & 1); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$26; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $28=$3; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$4; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=__ZN9JSWrapper13wrappedObjectEPK8JSObject($29); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$5; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$7; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=__ZL24GetOwnPropertyDescriptorP9JSContextP8JSObjectijP20JSPropertyDescriptor($28, $30, $31, 1, $32); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=(($33)&1); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$34; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=$9; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=(($36+104)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$3; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=$4; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$38]($9, $39, $40); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=$ok; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=(($41) & 1); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$42; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $44=$1; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor["X"]=1;

function __ZL24GetOwnPropertyDescriptorP9JSContextP8JSObjectijP20JSPropertyDescriptor($cx, $obj, $id, $flags, $desc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$desc;
      var $7=$3; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=__ZNK8JSObject7isProxyEv($7); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$3; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$4; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$5; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$13 & 2; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=(($14)|0)!=0; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$6; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($10, $11, $12, $15, $16); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$17; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $19=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$3; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=$4; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$5; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$6; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=_JS_GetPropertyDescriptorById($19, $20, $21, $22, $23); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=(($24)|0)!=0; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      $1=0; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $28=$6; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=(($28)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=(($30)|0)!=(($31)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $34=$6; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=(($34)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($35)>>2)]=0; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      $1=1; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $38=$1; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      ;
      return $38; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor($this, $cx, $wrapper, $id, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $status=__stackBase__;
      var $ok;
      var $7=__stackBase__+4;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$id;
      $6=$desc;
      var $8=$2;
      __label__ = 2; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$8; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=(($11+100)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$3; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$4; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$5; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=FUNCTION_TABLE[$13]($8, $14, $15, $16, 1, $status); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $19=HEAP8[($status)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19) & 1); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$20; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $22=$3; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$4; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN9JSWrapper13wrappedObjectEPK8JSObject($23); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$5; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$6; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26+16)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=$7; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$27; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$6; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=(($30+8)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=$6; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=(($33+12)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=$6; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=(($36+4)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=_JS_DefinePropertyById($22, $24, $25, $7, $32, $35, $38); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=(($39)|0)!=0; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=(($40)&1); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$41; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=$8; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=(($43+104)|0); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $46=$3; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $47=$4; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$45]($8, $46, $47); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $48=$ok; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $49=(($48) & 1); //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$49; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $51=$1; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor["X"]=1;

function __ZN9JSWrapper19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $wrapper, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$props;
      var $6=$2;
      $id=2; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $8=$6; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=(($9+100)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$3; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$4; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$id; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=FUNCTION_TABLE[$11]($6, $12, $13, $14, 0, $status); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $17=HEAP8[($status)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=(($17) & 1); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$18; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $20=$3; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=$4; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=__ZN9JSWrapper13wrappedObjectEPK8JSObject($21); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$5; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($20, $22, 24, $23); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=(($24)&1); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$25; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$6; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=(($27+104)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$3; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$4; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$29]($6, $30, $31); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$ok; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=(($32) & 1); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$33; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $35=$1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSWrapper7delete_EP9JSContextP8JSObjectiPb($this, $cx, $wrapper, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v=__stackBase__;
      var $status=__stackBase__+8;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$id;
      $6=$bp;
      var $7=$2;
      var $8=$6; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP8[($8)]=1; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$7; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=(($11+100)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$3; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$4; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$5; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=FUNCTION_TABLE[$13]($7, $14, $15, $16, 1, $status); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $19=HEAP8[($status)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19) & 1); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$20; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $22=$3; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$4; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN9JSWrapper13wrappedObjectEPK8JSObject($23); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$5; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=_JS_DeletePropertyById2($22, $24, $25, $v); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26)|0)!=0; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($27) { __label__ = 5; break; } else { var $32 = 0;__label__ = 6; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $29=$6; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=__ZL14ValueToBooleanPN2JS5ValueEPb($v, $29); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32 = $30;__label__ = 6; break;
    case 6: 
      var $32;
      var $33=(($32)&1);
      $ok=$33;
      var $34=$7; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=(($35+104)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=$3; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$4; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$37]($7, $38, $39); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=$ok; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=(($40) & 1); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$41; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $43=$1; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper7delete_EP9JSContextP8JSObjectiPb["X"]=1;

function __ZL14ValueToBooleanPN2JS5ValueEPb($vp, $bp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$vp;
  $2=$bp;
  var $3=$1; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $4=__Z17js_ValueToBooleanRKN2JS5ValueE($3); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $5=(($4)|0)!=0; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=$2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=(($5)&1); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP8[($6)]=$7; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return 1; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapper9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $wrapper, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$props;
      var $6=$2;
      __label__ = 2; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $8=$6; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=(($9+100)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$3; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$4; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[((_id)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=FUNCTION_TABLE[$11]($6, $12, $13, $14, 0, $status); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $17=HEAP8[($status)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=(($17) & 1); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$18; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $20=$3; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=$4; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=__ZN9JSWrapper13wrappedObjectEPK8JSObject($21); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$5; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($20, $22, 0, $23); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=(($24)&1); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$25; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$6; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=(($27+104)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$3; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$4; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$29]($6, $30, $31); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$ok; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=(($32) & 1); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$33; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $35=$1; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSWrapper3fixEP9JSContextP8JSObjectPN2JS5ValueE($this, $cx, $wrapper, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$wrapper;
  $4=$vp;
  var $5=$1;
  var $6=$4; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN2JS5Value12setUndefinedEv($6); //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return 1; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapper3hasEP9JSContextP8JSObjectiPb($this, $cx, $wrapper, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $found=__stackBase__;
      var $status=__stackBase__+4;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$id;
      $6=$bp;
      var $7=$2;
      var $8=$6; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP8[($8)]=0; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$7; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=(($11+100)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$3; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$5; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=FUNCTION_TABLE[$13]($7, $14, $15, $16, 0, $status); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $19=HEAP8[($status)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19) & 1); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$20; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $22=$3; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN9JSWrapper13wrappedObjectEPK8JSObject($23); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$5; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=_JS_HasPropertyById($22, $24, $25, $found); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26)|0)!=0; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($27) { __label__ = 5; break; } else { var $33 = 0;__label__ = 6; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $29=HEAP32[(($found)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$6; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=__ZL4CondiPb($29, $30); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33 = $31;__label__ = 6; break;
    case 6: 
      var $33;
      var $34=(($33)&1);
      $ok=$34;
      var $35=$7; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=(($36+104)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$3; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=$4; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$38]($7, $39, $40); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=$ok; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=(($41) & 1); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$42; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $44=$1; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper3hasEP9JSContextP8JSObjectiPb["X"]=1;

function __ZN9JSWrapper6hasOwnEP9JSContextP8JSObjectiPb($this, $cx, $wrapper, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $desc=__stackBase__;
      var $wobj;
      var $status=__stackBase__+32;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$id;
      $6=$bp;
      var $7=$2;
      var $8=$6; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP8[($8)]=0; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=$4; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=__ZN9JSWrapper13wrappedObjectEPK8JSObject($9); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $wobj=$10; //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $12=$7; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=(($13+100)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$4; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$5; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=FUNCTION_TABLE[$15]($7, $16, $17, $18, 0, $status); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $21=HEAP8[($status)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($21) & 1); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$22; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $24=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$wobj; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$5; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=_JS_GetPropertyDescriptorById($24, $25, $26, 1, $desc); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=(($27)|0)!=0; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($28) { __label__ = 5; break; } else { var $38 = 0;__label__ = 6; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $30=(($desc)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$wobj; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=(($31)|0)==(($32)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=(($33)&1); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=$6; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=__ZL4CondiPb($34, $35); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38 = $36;__label__ = 6; break;
    case 6: 
      var $38;
      var $39=(($38)&1);
      $ok=$39;
      var $40=$7; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=(($41+104)|0); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=$3; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $45=$4; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$43]($7, $44, $45); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $46=$ok; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $47=(($46) & 1); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$47; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $49=$1; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper6hasOwnEP9JSContextP8JSObjectiPb["X"]=1;

function __ZN9JSWrapper5enterEP9JSContextP8JSObjectiNS_6ActionEPb($this, $cx, $wrapper, $id, $act, $bp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$cx;
  $3=$wrapper;
  $4=$id;
  $5=$act;
  $6=$bp;
  var $7=$1;
  var $8=$6; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP8[($8)]=1; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return 1; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapper5leaveEP9JSContextP8JSObject($this, $cx, $wrapper) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$wrapper;
  var $4=$1;
  ;
  return; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN2js10ForceFrameC2EP9JSContextP8JSObject($this, $cx, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$target;
  var $4=$1;
  var $5=(($4)|0); //@line 404 "./jswrapper.h"
  var $6=$2; //@line 404 "./jswrapper.h"
  HEAP32[(($5)>>2)]=$6; //@line 404 "./jswrapper.h"
  var $7=(($4+4)|0); //@line 404 "./jswrapper.h"
  var $8=$3; //@line 404 "./jswrapper.h"
  HEAP32[(($7)>>2)]=$8; //@line 404 "./jswrapper.h"
  var $9=(($4+8)|0); //@line 404 "./jswrapper.h"
  HEAP32[(($9)>>2)]=0; //@line 404 "./jswrapper.h"
  ;
  return; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE($this, $cx, $wrapper, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$receiver;
      $6=$id;
      $7=$vp;
      var $8=$2;
      var $9=$7; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JS5Value12setUndefinedEv($9); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $11=$8; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=(($12+100)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$6; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=FUNCTION_TABLE[$14]($8, $15, $16, $17, 0, $status); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $20=HEAP8[($status)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=(($20) & 1); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$21; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $23=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN9JSWrapper13wrappedObjectEPK8JSObject($23); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$5; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$6; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=$7; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=__ZN8JSObject10getGenericEP9JSContextPS_iPN2JS5ValueE($24, $25, $26, $27, $28); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=(($29)|0)!=0; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=(($30)&1); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$31; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$8; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=(($33+104)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=$4; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$35]($8, $36, $37); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=$ok; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=(($38) & 1); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$39; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $41=$1; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE["X"]=1;

function __ZN9JSWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE($this, $cx, $wrapper, $receiver, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$receiver;
      $6=$id;
      var $9=(($strict)&1);
      $7=$9;
      $8=$vp;
      var $10=$2;
      __label__ = 2; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $12=$10; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=(($13+100)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$3; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$4; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$6; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=FUNCTION_TABLE[$15]($10, $16, $17, $18, 1, $status); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $21=HEAP8[($status)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($21) & 1); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$22; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $24=$4; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=__ZN9JSWrapper13wrappedObjectEPK8JSObject($24); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$3; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$6; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=$8; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($25, $26, $27, $28, 0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=(($29)|0)!=0; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=(($30)&1); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$31; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$10; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=(($33+104)|0); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=$3; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=$4; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$35]($10, $36, $37); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=$ok; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=(($38) & 1); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$39; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $41=$1; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE["X"]=1;

function __ZN9JSWrapper4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $wrapper, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$props;
      var $6=$2;
      $id=2; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $8=$6; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=(($9+100)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$4; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=FUNCTION_TABLE[$11]($6, $12, $13, 2, 0, $status); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $16=HEAP8[($status)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=(($16) & 1); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$17; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $19=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$4; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=__ZN9JSWrapper13wrappedObjectEPK8JSObject($20); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$5; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE($19, $21, 8, $22); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=(($23)&1); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$24; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$6; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26+104)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$4; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$28]($6, $29, $30); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$ok; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=(($31) & 1); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$32; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $34=$1; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE($this, $cx, $wrapper, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$flags;
      $6=$vp;
      var $7=$2;
      var $8=$6; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JS5Value12setUndefinedEv($8); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $id=2; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$7; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=(($11+100)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$4; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=FUNCTION_TABLE[$13]($7, $14, $15, 2, 0, $status); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $18=HEAP8[($status)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=(($18) & 1); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$19; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $21=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$4; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=__ZN9JSWrapper13wrappedObjectEPK8JSObject($22); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$5; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$6; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=__ZN2js11GetIteratorEP9JSContextP8JSObjectjPN2JS5ValueE($21, $23, $24, $25); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26)&1); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$27; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=$7; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=(($29+104)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$3; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=$4; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$31]($7, $32, $33); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=$ok; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=(($34) & 1); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$35; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $37=$1; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function __ZN9JSWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE($this, $cx, $wrapper, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$argc;
      $6=$vp;
      var $7=$2;
      var $8=$6; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JS5Value12setUndefinedEv($8); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $id=2; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$7; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=(($11+100)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$4; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=FUNCTION_TABLE[$13]($7, $14, $15, 2, 2, $status); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $18=HEAP8[($status)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=(($18) & 1); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$19; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $21=$7; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$4; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$5; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$6; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=__ZN2js14JSProxyHandler4callEP9JSContextP8JSObjectjPN2JS5ValueE($21, $22, $23, $24, $25); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26)&1); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$27; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=$7; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=(($29+104)|0); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=$4; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$31]($7, $32, $33); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=$ok; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=(($34) & 1); //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$35; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $37=$1; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function __ZN9JSWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_($this, $cx, $wrapper, $argc, $argv, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $id;
      var $status=__stackBase__;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$argc;
      $6=$argv;
      $7=$vp;
      var $8=$2;
      var $9=$7; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JS5Value12setUndefinedEv($9); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $id=2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $11=$8; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=(($12+100)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$3; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$4; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=FUNCTION_TABLE[$14]($8, $15, $16, 2, 0, $status); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $19=HEAP8[($status)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19) & 1); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$20; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $22=$8; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$3; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$4; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$5; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$6; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$7; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=__ZN2js14JSProxyHandler9constructEP9JSContextP8JSObjectjPN2JS5ValueES7_($22, $23, $24, $25, $26, $27); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=(($28)&1); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$29; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$8; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=(($31+104)|0); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=$3; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=$4; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$33]($8, $34, $35); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=$ok; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=(($36) & 1); //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$37; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 5; break; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $39=$1; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_["X"]=1;

function __ZN9JSWrapper11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb($this, $cx, $wrapper, $vp, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id;
      var $b=__stackBase__;
      var $status=__stackBase__+4;
      var $ok;
      var $7=__stackBase__+8;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$vp;
      $6=$bp;
      var $8=$2;
      var $9=$6; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP8[($9)]=0; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $id=2; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($b)>>2)]=0; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $11=$8; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=(($12+100)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$3; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$4; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=FUNCTION_TABLE[$14]($8, $15, $16, 2, 0, $status); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $19=HEAP8[($status)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19) & 1); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$20; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $22=$3; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$4; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN9JSWrapper13wrappedObjectEPK8JSObject($23); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$5; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$7; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$25; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=_JS_HasInstance($22, $24, $7, $b); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=(($28)|0)!=0; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($29) { __label__ = 5; break; } else { var $35 = 0;__label__ = 6; break; } //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $31=HEAP32[(($b)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$6; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=__ZL4CondiPb($31, $32); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35 = $33;__label__ = 6; break;
    case 6: 
      var $35;
      var $36=(($35)&1);
      $ok=$36;
      var $37=$8; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=(($38+104)|0); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=$3; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=$4; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$40]($8, $41, $42); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=$ok; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=(($43) & 1); //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$44; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $46=$1; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb["X"]=1;

function __ZN9JSWrapper6typeOfEP9JSContextP8JSObject($this, $cx, $wrapper) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$wrapper;
  var $5=$1;
  var $6=$2; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=$3; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $8=__ZN9JSWrapper13wrappedObjectEPK8JSObject($7); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN2JSL11ObjectValueER8JSObject4137($4, $8); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $9=__ZN2js11TypeOfValueEP9JSContextRKN2JS5ValueE($6, $4); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  STACKTOP = __stackBase__;
  return $9; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN2JSL11ObjectValueER8JSObject4137($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function __ZN9JSWrapper12obj_toStringEP9JSContextP8JSObject($this, $cx, $wrapper) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $status=__stackBase__;
      var $str;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      var $5=$2;
      var $6=$5; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=(($7+100)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$3; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$4; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=FUNCTION_TABLE[$9]($5, $10, $11, 2, 0, $status); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $14=HEAP8[($status)]; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=(($14) & 1); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $17=$3; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=_JS_NewStringCopyZ($17, ((STRING_TABLE.__str4127)|0)); //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$18; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 6; break; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      $1=0; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 6; break; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $21=$3; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$4; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=__ZN9JSWrapper13wrappedObjectEPK8JSObject($22); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN2js18obj_toStringHelperEP9JSContextP8JSObject($21, $23); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $str=$24; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$5; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26+104)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$3; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$4; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$28]($5, $29, $30); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$str; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$31; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 6; break; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $33=$1; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSWrapper12fun_toStringEP9JSContextP8JSObjectj($this, $cx, $wrapper, $indent) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $status=__stackBase__;
      var $v=__stackBase__+4;
      var $str;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$indent;
      var $6=$2;
      var $7=$6; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=(($8+100)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$3; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$4; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=FUNCTION_TABLE[$10]($6, $11, $12, 2, 0, $status); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($13) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $15=HEAP8[($status)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=(($15) & 1); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $18=$4; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=__ZN8JSObject10isCallableEv($18); //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $21=$3; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=_JS_NewStringCopyZ($21, ((STRING_TABLE.__str14128)|0)); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$22; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $24=$4; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JSL11ObjectValueER8JSObject4137($v, $24); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$3; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj($25, $v, 0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=0; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      $1=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $28=$6; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$3; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$4; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$5; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=__ZN2js14JSProxyHandler12fun_toStringEP9JSContextP8JSObjectj($28, $29, $30, $31); //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $str=$32; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=$6; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=(($34+104)|0); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=$3; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=$4; //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[$36]($6, $37, $38); //@line 327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$str; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$39; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $41=$1; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN9JSWrapper12fun_toStringEP9JSContextP8JSObjectj["X"]=1;

function __ZN9JSWrapper12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($this, $cx, $wrapper, $hint, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$hint;
      $6=$vp;
      var $8=$2;
      var $9=$6; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$4; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZN9JSWrapper13wrappedObjectEPK8JSObject($10); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JSL11ObjectValueER8JSObject4137($7, $11); //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$9; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$7; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$5; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=(($14)|0)==0; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $17=$3; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$6; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=__ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE4138($17, $18); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$19; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 4; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $21=$3; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$5; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$6; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE4139($21, $22, $23); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$24; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 4; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $26=$1; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE4138($cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$vp;
      var $4=$3; //@line 2136 "./jsobj.h"
      var $5=__ZNK2JS5Value11isPrimitiveEv($4); //@line 2136 "./jsobj.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2136 "./jsobj.h"
    case 2: 
      $1=1; //@line 2137 "./jsobj.h"
      __label__ = 4; break; //@line 2137 "./jsobj.h"
    case 3: 
      var $8=$3; //@line 2138 "./jsobj.h"
      var $9=__ZNK2JS5Value8toObjectEv($8); //@line 2138 "./jsobj.h"
      var $10=$2; //@line 2138 "./jsobj.h"
      var $11=$3; //@line 2138 "./jsobj.h"
      var $12=__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($9, $10, 0, $11); //@line 2138 "./jsobj.h"
      $1=$12; //@line 2138 "./jsobj.h"
      __label__ = 4; break; //@line 2138 "./jsobj.h"
    case 4: 
      var $14=$1; //@line 2139 "./jsobj.h"
      ;
      return $14; //@line 2139 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE4139($cx, $preferredType, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$preferredType;
      $4=$vp;
      var $5=$4; //@line 2146 "./jsobj.h"
      var $6=__ZNK2JS5Value11isPrimitiveEv($5); //@line 2146 "./jsobj.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2146 "./jsobj.h"
    case 2: 
      $1=1; //@line 2147 "./jsobj.h"
      __label__ = 4; break; //@line 2147 "./jsobj.h"
    case 3: 
      var $9=$4; //@line 2148 "./jsobj.h"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 2148 "./jsobj.h"
      var $11=$2; //@line 2148 "./jsobj.h"
      var $12=$3; //@line 2148 "./jsobj.h"
      var $13=$4; //@line 2148 "./jsobj.h"
      var $14=__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($10, $11, $12, $13); //@line 2148 "./jsobj.h"
      $1=$14; //@line 2148 "./jsobj.h"
      __label__ = 4; break; //@line 2148 "./jsobj.h"
    case 4: 
      var $16=$1; //@line 2149 "./jsobj.h"
      ;
      return $16; //@line 2149 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSWrapper5traceEP8JSTracerP8JSObject($this, $trc, $wrapper) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$trc;
  $3=$wrapper;
  var $4=$1;
  var $5=$2; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=$3; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=__ZN9JSWrapper13wrappedObjectEPK8JSObject($6); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($5, $7, ((STRING_TABLE.__str24129)|0)); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSWrapper14wrapperHandlerEPK8JSObject($wrapper) {
  ;
  var __label__;

  var $1;
  $1=$wrapper;
  var $2=$1; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $3=__ZNK8JSObject15getProxyHandlerEv($2); //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $4=$3; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return $4; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function ___cxx_global_var_init4142() {
  ;
  var __label__;

  FUNCTION_TABLE[__ZN9JSWrapperC1Ej](__ZN9JSWrapper9singletonE, 0);
  var $1=___cxa_atexit(334, __ZN9JSWrapper9singletonE, ___dso_handle);
  ;
  return;
}


function __ZN9JSWrapper3NewEP9JSContextP8JSObjectS3_S3_PS_($cx, $obj, $proto, $parent, $handler) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$proto;
      $5=$parent;
      $6=$handler;
      var $8=$3; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=__ZNK8JSObject5isXMLEv($8); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $11=$2; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      _JS_ReportErrorNumber($11, 2, 0, 263, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=0; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $13=$2; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$6; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$14; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$3; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JSL11ObjectValueER8JSObject4137($7, $16); //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$4; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$5; //@line 381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=$3; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=__ZN8JSObject10isCallableEv($19); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $22=$3; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25 = $22;__label__ = 6; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $25 = 0;__label__ = 6; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $25; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=__ZN2js14NewProxyObjectEP9JSContextPNS_14JSProxyHandlerERKN2JS5ValueEP8JSObjectS9_S9_S9_($13, $15, $7, $17, $18, $25, 0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$26; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $28=$1; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _TransparentObjectWrapper($cx, $obj, $wrappedProto, $parent, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$wrappedProto;
  $4=$parent;
  $5=$flags;
  var $6=$1; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=$2; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $8=$3; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $9=$4; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $10=__ZN9JSWrapper3NewEP9JSContextP8JSObjectS3_S3_PS_($6, $7, $8, $9, ((__ZN25JSCrossCompartmentWrapper9singletonE)|0)); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return $10; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN2js10ForceFrameD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $5=(($2+8)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN9JSContext7delete_IN2js15DummyFrameGuardEEEvPT_($4, $6); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN9JSContext7delete_IN2js15DummyFrameGuardEEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN2js15DummyFrameGuardD1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}

// WARNING: content after a branch in a label, line: 585151

function __ZN2js10ForceFrame5enterEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $destination;
      var $scopeChain;
      $2=$this;
      var $3=$2;
      var $4=(($3)|0); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $6=__ZN9JSContext4new_IN2js15DummyFrameGuardEEEPT_v($5); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=(($3+8)|0); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($7)>>2)]=$6; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=(($3+8)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=(($9)|0)!=0; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      $1=0; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 4; break; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $13=(($3)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=(($3)|0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=(($16+56)|0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $destination=$18; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=(($3+4)|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=__ZNK8JSObject9getGlobalEv($20); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$21; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $scopeChain=$22; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=(($3)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=(($24+60)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=(($3)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=$destination; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$scopeChain; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=(($3+8)|0); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=__ZN2js12ContextStack14pushDummyFrameEP9JSContextP13JSCompartmentR8JSObjectPNS_15DummyFrameGuardE($25, $27, $28, $29, $31); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$32; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 4; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $34=$1; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      ;
      return $34; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_IN2js15DummyFrameGuardEEEPT_v($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $memory;
      $1=$this;
      var $2=$1;
      var $3=__ZN9JSContext7malloc_Ej($2, 28); //@line 1291 "./jscntxt.h"
      $memory=$3; //@line 1291 "./jscntxt.h"
      var $4=$memory; //@line 1291 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $7=$memory; //@line 1291 "./jscntxt.h"
      var $8=(($7)|0)==0; //@line 1291 "./jscntxt.h"
      if ($8) { var $13 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $10=$7; //@line 1291 "./jscntxt.h"
      var $11=$10; //@line 1291 "./jscntxt.h"
      HEAP32[(($11)>>2)]=0; HEAP32[(($11+4)>>2)]=0; HEAP32[(($11+8)>>2)]=0; HEAP32[(($11+12)>>2)]=0; HEAP32[(($11+16)>>2)]=0; HEAP32[(($11+20)>>2)]=0; HEAP32[(($11+24)>>2)]=0; //@line 1291 "./jscntxt.h"
      __ZN2js15DummyFrameGuardC1Ev($10); //@line 1291 "./jscntxt.h"
      var $13 = $10;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $13; //@line 1291 "./jscntxt.h"
      var $16 = $13;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $16 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $16; //@line 1291 "./jscntxt.h"
      ;
      return $16; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15AutoCompartmentC2EP9JSContextP8JSObject($this, $cx, $target) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$target;
  var $4=$1;
  var $5=(($4)|0); //@line 435 "./jswrapper.h"
  var $6=$2; //@line 435 "./jswrapper.h"
  HEAP32[(($5)>>2)]=$6; //@line 435 "./jswrapper.h"
  var $7=(($4+4)|0); //@line 435 "./jswrapper.h"
  var $8=$2; //@line 435 "./jswrapper.h"
  var $9=(($8+56)|0); //@line 435 "./jswrapper.h"
  var $10=HEAP32[(($9)>>2)]; //@line 435 "./jswrapper.h"
  HEAP32[(($7)>>2)]=$10; //@line 435 "./jswrapper.h"
  var $11=(($4+8)|0); //@line 435 "./jswrapper.h"
  var $12=$3; //@line 435 "./jswrapper.h"
  HEAP32[(($11)>>2)]=$12; //@line 435 "./jswrapper.h"
  var $13=(($4+12)|0); //@line 435 "./jswrapper.h"
  var $14=$3; //@line 433 "./jswrapper.h"
  var $15=__ZNK8JSObject14getCompartmentEv($14); //@line 433 "./jswrapper.h"
  HEAP32[(($13)>>2)]=$15; //@line 433 "./jswrapper.h"
  var $16=(($4+16)|0); //@line 433 "./jswrapper.h"
  __ZN7mozilla5MaybeIN2js15DummyFrameGuardEEC1Ev($16); //@line 433 "./jswrapper.h"
  var $17=(($4+48)|0); //@line 433 "./jswrapper.h"
  HEAP8[($17)]=0; //@line 433 "./jswrapper.h"
  ;
  return; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN7mozilla5MaybeIN2js15DummyFrameGuardEEC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla5MaybeIN2js15DummyFrameGuardEEC2Ev($2); //@line 254 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 254 "./dist/include/mozilla/Util.h"
}


function __ZN2js15AutoCompartmentD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+48)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $4=HEAP8[($3)]; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $5=(($4) & 1); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      __ZN2js15AutoCompartment5leaveEv($2); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 3; break; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $8=(($2+16)|0); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN7mozilla5MaybeIN2js15DummyFrameGuardEED1Ev($8); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      ;
      return; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15AutoCompartment5leaveEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $5=(($2+12)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=(($4)|0)!=(($6)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $9=(($2+16)|0); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN7mozilla5MaybeIN2js15DummyFrameGuardEE7destroyEv($9); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=(($2)|0); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN9JSContext16resetCompartmentEv($11); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 3; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $13=(($2+48)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP8[($13)]=0; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      ;
      return; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js15DummyFrameGuardEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN7mozilla5MaybeIN2js15DummyFrameGuardEED2Ev($2); //@line 255 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 255 "./dist/include/mozilla/Util.h"
}


function __ZN2js15AutoCompartment5enterEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $scopeChain;
      $2=$this;
      var $3=$2;
      var $4=(($3+4)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $6=(($3+12)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=(($5)|0)!=(($7)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=(($3)|0); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js10LeaveTraceEP9JSContext($11); //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=(($3+8)|0); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=__ZNK8JSObject9getGlobalEv($13); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$14; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $scopeChain=$15; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=(($3+16)|0); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN7mozilla5MaybeIN2js15DummyFrameGuardEE9constructEv($16); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=(($3)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=(($18+60)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($3)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($3+12)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$scopeChain; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=(($3+16)|0); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=__ZN7mozilla5MaybeIN2js15DummyFrameGuardEE3refEv($25); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=__ZN2js12ContextStack14pushDummyFrameEP9JSContextP13JSCompartmentR8JSObjectPNS_15DummyFrameGuardE($19, $21, $23, $24, $26); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $30=(($3)|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=__ZN9JSContext18isExceptionPendingEv($31); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $34=(($3)|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN9JSContext20wrapPendingExceptionEv($35); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 6; break; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      __label__ = 7; break; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $38=(($3+48)|0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP8[($38)]=1; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=1; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $40=$1; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      ;
      return $40; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js15AutoCompartment5enterEv["X"]=1;

function __ZN7mozilla5MaybeIN2js15DummyFrameGuardEE9constructEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 261 "./dist/include/mozilla/Util.h"
      var $4=__ZN7mozilla15AlignedStorage2IN2js15DummyFrameGuardEE4addrEv($3); //@line 261 "./dist/include/mozilla/Util.h"
      var $5=$4; //@line 261 "./dist/include/mozilla/Util.h"
      var $6=(($5)|0)==0; //@line 261 "./dist/include/mozilla/Util.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 261 "./dist/include/mozilla/Util.h"
    case 2: 
      var $8=$5; //@line 261 "./dist/include/mozilla/Util.h"
      var $9=$8; //@line 261 "./dist/include/mozilla/Util.h"
      HEAP32[(($9)>>2)]=0; HEAP32[(($9+4)>>2)]=0; HEAP32[(($9+8)>>2)]=0; HEAP32[(($9+12)>>2)]=0; HEAP32[(($9+16)>>2)]=0; HEAP32[(($9+20)>>2)]=0; HEAP32[(($9+24)>>2)]=0; //@line 261 "./dist/include/mozilla/Util.h"
      __ZN2js15DummyFrameGuardC1Ev($8); //@line 261 "./dist/include/mozilla/Util.h"
      var $11 = $8;__label__ = 3; break; //@line 261 "./dist/include/mozilla/Util.h"
    case 3: 
      var $11; //@line 261 "./dist/include/mozilla/Util.h"
      var $12=(($2+28)|0); //@line 262 "./dist/include/mozilla/Util.h"
      HEAP8[($12)]=1; //@line 262 "./dist/include/mozilla/Util.h"
      ;
      return; //@line 263 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN7mozilla5MaybeIN2js15DummyFrameGuardEE3refEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN7mozilla5MaybeIN2js15DummyFrameGuardEE3asTEv($2); //@line 300 "./dist/include/mozilla/Util.h"
  ;
  return $3; //@line 300 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla5MaybeIN2js15DummyFrameGuardEE7destroyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN7mozilla5MaybeIN2js15DummyFrameGuardEE3refEv($2); //@line 309 "./dist/include/mozilla/Util.h"
  __ZN2js15DummyFrameGuardD1Ev($3); //@line 309 "./dist/include/mozilla/Util.h"
  var $4=(($2+28)|0); //@line 310 "./dist/include/mozilla/Util.h"
  HEAP8[($4)]=0; //@line 310 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 311 "./dist/include/mozilla/Util.h"
}


function __ZN2js11ErrorCopierD2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $cx;
      var $exc=__stackBase__;
      var $copyobj;
      var $2=__stackBase__+8;
      $1=$this;
      var $3=$1;
      var $4=(($3)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $6=(($5)|0); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $cx=$7; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=$cx; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=(($8+56)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=(($3)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=(($12+12)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=(($10)|0)==(($14)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $17=(($3)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=(($18+4)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=(($3)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=(($22+12)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=(($20)|0)!=(($24)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $27=$cx; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=__ZN9JSContext18isExceptionPendingEv($27); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($28) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $30=$cx; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN9JSContext19getPendingExceptionEv($exc, $30); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=__ZNK2JS5Value8isObjectEv($exc); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $33=__ZNK2JS5Value8toObjectEv($exc); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=__ZNK8JSObject7isErrorEv($33); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $36=__ZNK2JS5Value8toObjectEv($exc); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=__ZNK8JSObject10getPrivateEv($36); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=(($37)|0)!=0; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $40=$cx; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN9JSContext21clearPendingExceptionEv($40); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=(($3)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js15AutoCompartment5leaveEv($42); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=$cx; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=__ZNK2JS5Value8toObjectEv($exc); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $45=(($3+4)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $47=__Z18js_CopyErrorObjectP9JSContextP8JSObjectS2_($43, $44, $46); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $copyobj=$47; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $48=$copyobj; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $49=(($48)|0)!=0; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $51=$cx; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $52=$copyobj; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JSL11ObjectValueER8JSObject4137($2, $52); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN9JSContext19setPendingExceptionEN2JS5ValueE($51, $2); //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 9; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 9: 
      __label__ = 10; break; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 10: 
      __label__ = 11; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 11: 
      STACKTOP = __stackBase__;
      return; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11ErrorCopierD2Ev["X"]=1;

function __ZN25JSCrossCompartmentWrapperC2Ej($this, $flags) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$flags;
  var $3=$1;
  var $4=$3; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $5=$2; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=1 | $5; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN9JSWrapperC2Ej($4, $6); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=$3; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP32[(($7)>>2)]=((__ZTV25JSCrossCompartmentWrapper+8)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN25JSCrossCompartmentWrapperD0Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  FUNCTION_TABLE[__ZN25JSCrossCompartmentWrapperD1Ev]($2); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $3=$2; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZdlPv($3); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN25JSCrossCompartmentWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($this, $cx, $wrapper, $id, $set, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $7;
      var $call=__stackBase__+4;
      var $8;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      HEAP32[(($5)>>2)]=$id;
      var $9=(($set)&1);
      $6=$9;
      $7=$desc;
      var $10=$2;
      __label__ = 2; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $12=$3; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$4; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=__ZN9JSWrapper13wrappedObjectEPK8JSObject($13); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $12, $14); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=__ZN2js15AutoCompartment5enterEv($call); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $8=1;
      __label__ = 9; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $18=(($call+12)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$3; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=__ZN13JSCompartment6wrapIdEP9JSContextPi($19, $20, $5); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($21) { __label__ = 5; break; } else { var $32 = 0;__label__ = 6; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $23=$10; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$3; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$4; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=HEAP32[(($5)>>2)]; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$6; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=(($27) & 1); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$7; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=__ZN9JSWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($23, $24, $25, $26, $28, $29); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32 = $30;__label__ = 6; break;
    case 6: 
      var $32;
      var $33=(($32)&1);
      $ok=$33;
      __ZN2js15AutoCompartment5leaveEv($call); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=$ok; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=(($34) & 1); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($35) { __label__ = 7; break; } else { var $43 = 0;__label__ = 8; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $37=(($call+4)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$3; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=$7; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=__ZN13JSCompartment4wrapEP9JSContextP20JSPropertyDescriptor($38, $39, $40); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43 = $41;__label__ = 8; break;
    case 8: 
      var $43;
      $1=$43;
      $8=1;
      __label__ = 9; break;
    case 9: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 10; break;
    case 10: 
      var $46=$1; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor["X"]=1;

function __ZN25JSCrossCompartmentWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($this, $cx, $wrapper, $id, $set, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $7;
      var $call=__stackBase__+4;
      var $8;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      HEAP32[(($5)>>2)]=$id;
      var $9=(($set)&1);
      $6=$9;
      $7=$desc;
      var $10=$2;
      __label__ = 2; break; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $12=$3; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$4; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=__ZN9JSWrapper13wrappedObjectEPK8JSObject($13); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $12, $14); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=__ZN2js15AutoCompartment5enterEv($call); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $8=1;
      __label__ = 9; break; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $18=(($call+12)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$3; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=__ZN13JSCompartment6wrapIdEP9JSContextPi($19, $20, $5); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($21) { __label__ = 5; break; } else { var $32 = 0;__label__ = 6; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $23=$10; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$3; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$4; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=HEAP32[(($5)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$6; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=(($27) & 1); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$7; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=__ZN9JSWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($23, $24, $25, $26, $28, $29); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32 = $30;__label__ = 6; break;
    case 6: 
      var $32;
      var $33=(($32)&1);
      $ok=$33;
      __ZN2js15AutoCompartment5leaveEv($call); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=$ok; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=(($34) & 1); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($35) { __label__ = 7; break; } else { var $43 = 0;__label__ = 8; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $37=(($call+4)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$3; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=$7; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=__ZN13JSCompartment4wrapEP9JSContextP20JSPropertyDescriptor($38, $39, $40); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43 = $41;__label__ = 8; break;
    case 8: 
      var $43;
      $1=$43;
      $8=1;
      __label__ = 9; break;
    case 9: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 10; break;
    case 10: 
      var $46=$1; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor["X"]=1;

function __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContextP20JSPropertyDescriptor($this, $cx, $desc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$desc;
  var $4=$1;
  var $5=$2; //@line 1204 "./jsobjinlines.h"
  var $6=$3; //@line 1204 "./jsobjinlines.h"
  __ZN2js28AutoPropertyDescriptorRooterC2EP9JSContextP20JSPropertyDescriptor($4, $5, $6); //@line 1204 "./jsobjinlines.h"
  ;
  return; //@line 1204 "./jsobjinlines.h"
}


function __ZN25JSCrossCompartmentWrapper19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $wrapper, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $call=__stackBase__;
      var $6;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$props;
      var $7=$2;
      __label__ = 2; break; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $9=$3; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$4; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZN9JSWrapper13wrappedObjectEPK8JSObject($10); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $9, $11); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN2js15AutoCompartment5enterEv($call); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $6=1;
      __label__ = 7; break; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $15=$7; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$3; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$4; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$5; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=__ZN9JSWrapper19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE($15, $16, $17, $18); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19)&1); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$20; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js15AutoCompartment5leaveEv($call); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=$ok; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($21) & 1); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($22) { __label__ = 5; break; } else { var $30 = 0;__label__ = 6; break; } //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $24=(($call+4)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$3; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$5; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=__ZN13JSCompartment4wrapEP9JSContextRN2js12AutoIdVectorE($25, $26, $27); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30 = $28;__label__ = 6; break;
    case 6: 
      var $30;
      $1=$30;
      $6=1;
      __label__ = 7; break;
    case 7: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break;
    case 8: 
      var $33=$1; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN25JSCrossCompartmentWrapper7delete_EP9JSContextP8JSObjectiPb($this, $cx, $wrapper, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $call=__stackBase__+4;
      var $7;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      HEAP32[(($5)>>2)]=$id;
      $6=$bp;
      var $8=$2;
      __label__ = 2; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$3; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$4; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN9JSWrapper13wrappedObjectEPK8JSObject($11); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $10, $12); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=__ZN2js15AutoCompartment5enterEv($call); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 9; break; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $16=(($call+12)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$3; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=__ZN13JSCompartment6wrapIdEP9JSContextPi($17, $18, $5); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($19) { __label__ = 5; break; } else { var $28 = 0;__label__ = 6; break; } //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $21=$8; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$3; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$4; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=HEAP32[(($5)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$6; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=__ZN9JSWrapper7delete_EP9JSContextP8JSObjectiPb($21, $22, $23, $24, $25); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28 = $26;__label__ = 6; break;
    case 6: 
      var $28;
      var $29=(($28)&1);
      $ok=$29;
      __ZN2js15AutoCompartment5leaveEv($call); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$ok; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=(($30) & 1); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($31) { __label__ = 7; break; } else { var $34 = 0;__label__ = 8; break; } //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $34 = 1;__label__ = 8; break;
    case 8: 
      var $34;
      $1=$34;
      $7=1;
      __label__ = 9; break;
    case 9: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 10; break;
    case 10: 
      var $37=$1; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper7delete_EP9JSContextP8JSObjectiPb["X"]=1;

function __ZN25JSCrossCompartmentWrapper9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $wrapper, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $call=__stackBase__;
      var $6;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$props;
      var $7=$2;
      __label__ = 2; break; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $9=$3; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$4; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZN9JSWrapper13wrappedObjectEPK8JSObject($10); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $9, $11); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN2js15AutoCompartment5enterEv($call); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $6=1;
      __label__ = 7; break; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $15=$7; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$3; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$4; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$5; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=__ZN9JSWrapper9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE($15, $16, $17, $18); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19)&1); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$20; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js15AutoCompartment5leaveEv($call); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=$ok; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($21) & 1); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($22) { __label__ = 5; break; } else { var $30 = 0;__label__ = 6; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $24=(($call+4)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$3; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$5; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=__ZN13JSCompartment4wrapEP9JSContextRN2js12AutoIdVectorE($25, $26, $27); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30 = $28;__label__ = 6; break;
    case 6: 
      var $30;
      $1=$30;
      $6=1;
      __label__ = 7; break;
    case 7: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break;
    case 8: 
      var $33=$1; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN25JSCrossCompartmentWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor($this, $cx, $wrapper, $id, $desc) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $desc2=__stackBase__+4;
      var $call=__stackBase__+52;
      var $7;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      HEAP32[(($5)>>2)]=$id;
      $6=$desc;
      var $8=$2;
      var $9=$3; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$6; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js28AutoPropertyDescriptorRooterC1EP9JSContextP20JSPropertyDescriptor($desc2, $9, $10); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $12=$3; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$4; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=__ZN9JSWrapper13wrappedObjectEPK8JSObject($13); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $12, $14); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=__ZN2js15AutoCompartment5enterEv($call); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 16; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $18=(($call+12)|0); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$3; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=__ZN13JSCompartment6wrapIdEP9JSContextPi($19, $20, $5); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($21) { __label__ = 5; break; } else { var $50 = 0;__label__ = 13; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $23=(($call+12)|0); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$3; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=(($desc2)|0)==0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $28=$desc2; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=(($28+16)|0); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$29; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33 = $30;__label__ = 8; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $33 = 0;__label__ = 8; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $33; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=__ZN13JSCompartment4wrapEP9JSContextP20JSPropertyDescriptor($24, $25, $33); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($34) { __label__ = 9; break; } else { var $50 = 0;__label__ = 13; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 9: 
      var $36=$8; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=$3; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=$4; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=HEAP32[(($5)>>2)]; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=(($desc2)|0)==0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 10: 
      var $42=$desc2; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=(($42+16)|0); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=$43; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $47 = $44;__label__ = 12; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 11: 
      var $47 = 0;__label__ = 12; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 12: 
      var $47; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $48=__ZN9JSWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor($36, $37, $38, $39, $47); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $50 = $48;__label__ = 13; break;
    case 13: 
      var $50;
      var $51=(($50)&1);
      $ok=$51;
      __ZN2js15AutoCompartment5leaveEv($call); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $52=$ok; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $53=(($52) & 1); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($53) { __label__ = 14; break; } else { var $56 = 0;__label__ = 15; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 14: 
      var $56 = 1;__label__ = 15; break;
    case 15: 
      var $56;
      $1=$56;
      $7=1;
      __label__ = 16; break;
    case 16: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 18; break;
    case 17: 
      $7=0; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 18; break; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 18: 
      __ZN2js28AutoPropertyDescriptorRooterD1Ev($desc2); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 19; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 19: 
      var $62=$1; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 20: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor["X"]=1;
// WARNING: content after a branch in a label, line: 585786

function __ZN25JSCrossCompartmentWrapper3hasEP9JSContextP8JSObjectiPb($this, $cx, $wrapper, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $call=__stackBase__+4;
      var $7;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      HEAP32[(($5)>>2)]=$id;
      $6=$bp;
      var $8=$2;
      __label__ = 2; break; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$3; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$4; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN9JSWrapper13wrappedObjectEPK8JSObject($11); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $10, $12); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=__ZN2js15AutoCompartment5enterEv($call); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 9; break; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $16=(($call+12)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$3; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=__ZN13JSCompartment6wrapIdEP9JSContextPi($17, $18, $5); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($19) { __label__ = 5; break; } else { var $28 = 0;__label__ = 6; break; } //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $21=$8; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$3; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$4; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=HEAP32[(($5)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$6; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=__ZN9JSWrapper3hasEP9JSContextP8JSObjectiPb($21, $22, $23, $24, $25); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28 = $26;__label__ = 6; break;
    case 6: 
      var $28;
      var $29=(($28)&1);
      $ok=$29;
      __ZN2js15AutoCompartment5leaveEv($call); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$ok; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=(($30) & 1); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($31) { __label__ = 7; break; } else { var $34 = 0;__label__ = 8; break; } //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $34 = 1;__label__ = 8; break;
    case 8: 
      var $34;
      $1=$34;
      $7=1;
      __label__ = 9; break;
    case 9: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 10; break;
    case 10: 
      var $37=$1; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper3hasEP9JSContextP8JSObjectiPb["X"]=1;

function __ZN25JSCrossCompartmentWrapper6hasOwnEP9JSContextP8JSObjectiPb($this, $cx, $wrapper, $id, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6;
      var $call=__stackBase__+4;
      var $7;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      HEAP32[(($5)>>2)]=$id;
      $6=$bp;
      var $8=$2;
      __label__ = 2; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$3; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$4; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN9JSWrapper13wrappedObjectEPK8JSObject($11); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $10, $12); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=__ZN2js15AutoCompartment5enterEv($call); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 9; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $16=(($call+12)|0); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$3; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=__ZN13JSCompartment6wrapIdEP9JSContextPi($17, $18, $5); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($19) { __label__ = 5; break; } else { var $28 = 0;__label__ = 6; break; } //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $21=$8; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$3; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$4; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=HEAP32[(($5)>>2)]; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$6; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=__ZN9JSWrapper6hasOwnEP9JSContextP8JSObjectiPb($21, $22, $23, $24, $25); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28 = $26;__label__ = 6; break;
    case 6: 
      var $28;
      var $29=(($28)&1);
      $ok=$29;
      __ZN2js15AutoCompartment5leaveEv($call); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$ok; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=(($30) & 1); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($31) { __label__ = 7; break; } else { var $34 = 0;__label__ = 8; break; } //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $34 = 1;__label__ = 8; break;
    case 8: 
      var $34;
      $1=$34;
      $7=1;
      __label__ = 9; break;
    case 9: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 10; break;
    case 10: 
      var $37=$1; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper6hasOwnEP9JSContextP8JSObjectiPb["X"]=1;

function __ZN25JSCrossCompartmentWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE($this, $cx, $wrapper, $receiver, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6=__stackBase__+4;
      var $7;
      var $call=__stackBase__+8;
      var $8;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      HEAP32[(($5)>>2)]=$receiver;
      HEAP32[(($6)>>2)]=$id;
      $7=$vp;
      var $9=$2;
      __label__ = 2; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $11=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$4; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=__ZN9JSWrapper13wrappedObjectEPK8JSObject($12); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $11, $13); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=__ZN2js15AutoCompartment5enterEv($call); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $8=1;
      __label__ = 10; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $17=(($call+12)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($18, $19, $5); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($20) { __label__ = 5; break; } else { var $35 = 0;__label__ = 7; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $22=(($call+12)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=__ZN13JSCompartment6wrapIdEP9JSContextPi($23, $24, $6); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($25) { __label__ = 6; break; } else { var $35 = 0;__label__ = 7; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $27=$9; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$4; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=HEAP32[(($5)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=HEAP32[(($6)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$7; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=__ZN9JSWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE($27, $28, $29, $30, $31, $32); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35 = $33;__label__ = 7; break;
    case 7: 
      var $35;
      var $36=(($35)&1);
      $ok=$36;
      __ZN2js15AutoCompartment5leaveEv($call); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=$ok; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=(($37) & 1); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($38) { __label__ = 8; break; } else { var $46 = 0;__label__ = 9; break; } //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $40=(($call+4)|0); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=$3; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=$7; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($41, $42, $43); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $46 = $44;__label__ = 9; break;
    case 9: 
      var $46;
      $1=$46;
      $8=1;
      __label__ = 10; break;
    case 10: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 11; break;
    case 11: 
      var $49=$1; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE["X"]=1;

function __ZN25JSCrossCompartmentWrapper4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE($this, $cx, $wrapper, $props) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $call=__stackBase__;
      var $6;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$props;
      var $7=$2;
      __label__ = 2; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $9=$3; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$4; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZN9JSWrapper13wrappedObjectEPK8JSObject($10); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $9, $11); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN2js15AutoCompartment5enterEv($call); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $6=1;
      __label__ = 7; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $15=$7; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$3; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$4; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$5; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=__ZN9JSWrapper4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE($15, $16, $17, $18); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19)&1); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$20; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js15AutoCompartment5leaveEv($call); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=$ok; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($21) & 1); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($22) { __label__ = 5; break; } else { var $30 = 0;__label__ = 6; break; } //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $24=(($call+4)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$3; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$5; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=__ZN13JSCompartment4wrapEP9JSContextRN2js12AutoIdVectorE($25, $26, $27); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30 = $28;__label__ = 6; break;
    case 6: 
      var $30;
      $1=$30;
      $6=1;
      __label__ = 7; break;
    case 7: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 8; break;
    case 8: 
      var $33=$1; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN25JSCrossCompartmentWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE($this, $cx, $wrapper, $flags, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $call=__stackBase__;
      var $7;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$flags;
      $6=$vp;
      var $8=$2;
      __label__ = 2; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $10=$3; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$4; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN9JSWrapper13wrappedObjectEPK8JSObject($11); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $10, $12); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=__ZN2js15AutoCompartment5enterEv($call); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 10; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $16=$8; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$3; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$4; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=$5; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$6; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=__ZN9JSWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE($16, $17, $18, $19, $20); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($21)&1); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ok=$22; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js15AutoCompartment5leaveEv($call); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$ok; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=(($23) & 1); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($24) { __label__ = 5; break; } else { var $43 = 0;__label__ = 9; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $26=$6; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=__ZL8CanReifyPN2JS5ValueE($26); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $29=$3; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=(($call+4)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=$6; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=__ZL5ReifyP9JSContextP13JSCompartmentPN2JS5ValueE($29, $31, $32); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41 = $33;__label__ = 8; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $35=(($call+4)|0); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=$3; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=$6; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($36, $37, $38); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41 = $39;__label__ = 8; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $41; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43 = $41;__label__ = 9; break;
    case 9: 
      var $43;
      $1=$43;
      $7=1;
      __label__ = 10; break;
    case 10: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 11; break;
    case 11: 
      var $46=$1; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function __ZL8CanReifyPN2JS5ValueE($vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $obj;
      $1=$vp;
      var $2=$1; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($3) { __label__ = 2; break; } else { var $17 = 0;__label__ = 4; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $5=$1; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $obj=$6; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=__ZNK8JSObject8getClassEv($6); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=(($7)|0)==((__ZN2js13IteratorClassE)|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($8) { __label__ = 3; break; } else { var $17 = 0;__label__ = 4; break; } //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $10=$obj; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZNK8JSObject17getNativeIteratorEv($10); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=(($11+28)|0); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$13 & 1; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=(($14)|0)!=0; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17 = $15;__label__ = 4; break;
    case 4: 
      var $17;
      ;
      return $17; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL5ReifyP9JSContextP13JSCompartmentPN2JS5ValueE($cx, $origin, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $iterObj;
      var $ni;
      var $close=__stackBase__;
      var $obj=__stackBase__+8;
      var $5;
      var $length;
      var $isKeyIter;
      var $keys=__stackBase__+12;
      var $i;
      $2=$cx;
      $3=$origin;
      $4=$vp;
      var $6=$4; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $7=__ZNK2JS5Value8toObjectEv($6); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $iterObj=$7; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=$iterObj; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=__ZNK8JSObject17getNativeIteratorEv($8); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $ni=$9; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$2; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$iterObj; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN17AutoCloseIteratorC1EP9JSContextP8JSObject($close, $10, $11); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=$ni; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=(($12)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($obj)>>2)]=$14; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$3; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$2; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($15, $16, $obj); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      $1=0; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 19; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $20=$ni; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=__ZNK2js14NativeIterator7numKeysEv($20); //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $length=$21; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=$ni; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=__ZNK2js14NativeIterator9isKeyIterEv($22); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=(($23)&1); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $isKeyIter=$24; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$2; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js12AutoIdVectorC1EP9JSContext($keys, $25); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$length; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=(($26)>>>0) > 0; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $29=$keys; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$length; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=__ZN2js16AutoVectorRooterIiE6resizeEj($29, $30); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      $1=0; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 18; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      $i=0; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $35=$i; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=$length; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $39=$i; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=$ni; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=__ZNK2js14NativeIterator5beginEv($40); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=(($41+($39<<2))|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=$keys; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $45=$i; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $46=__ZN2js16AutoVectorRooterIiEixEj($44, $45); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($46)>>2)]=$43; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $47=$3; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $48=$2; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $49=$keys; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $50=$i; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $51=__ZN2js16AutoVectorRooterIiEixEj($49, $50); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $52=__ZN13JSCompartment6wrapIdEP9JSContextPi($47, $48, $51); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 9: 
      $1=0; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 18; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 10: 
      __label__ = 11; break; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 11: 
      var $56=$i; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $57=(($56+1)|0); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $i=$57; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 7; break; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 12: 
      __label__ = 13; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 13: 
      __ZN17AutoCloseIterator5clearEv($close); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $60=$2; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $61=$iterObj; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $62=__Z16js_CloseIteratorP9JSContextP8JSObject($60, $61); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $63=(($62)|0)!=0; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 14: 
      $1=0; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 18; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 15: 
      var $66=$isKeyIter; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $67=(($66) & 1); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 16: 
      var $69=$2; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $70=HEAP32[(($obj)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $71=$ni; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $72=(($71+28)|0); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $74=$4; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $75=__ZN2js19VectorToKeyIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($69, $70, $73, $keys, $74); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$75; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 18; break; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 17: 
      var $77=$2; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $78=HEAP32[(($obj)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $79=$ni; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $80=(($79+28)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $82=$4; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $83=__ZN2js21VectorToValueIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE($77, $78, $81, $keys, $82); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$83; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 18; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 18: 
      __ZN2js12AutoIdVectorD1Ev($keys); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 19; break;
    case 19: 
      __ZN17AutoCloseIteratorD1Ev($close); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $86=$1; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $86; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5ReifyP9JSContextP13JSCompartmentPN2JS5ValueE["X"]=1;

function __ZN25JSCrossCompartmentWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE($this, $cx, $wrapper, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $call=__stackBase__;
      var $7;
      var $8=__stackBase__+52;
      var $argv;
      var $n;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$argc;
      $6=$vp;
      var $9=$2;
      var $10=$3; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$4; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN9JSWrapper13wrappedObjectEPK8JSObject($11); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $10, $12); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=__ZN2js15AutoCompartment5enterEv($call); //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      $1=0; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 14; break; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $16=$6; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=(($16)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=(($call+8)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2JSL11ObjectValueER8JSObject4137($8, $19); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$17; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=$8; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=(($call+12)|0); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$3; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$6; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=(($25+8)|0); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($23, $24, $26); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      $1=0; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 14; break; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $30=$6; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=(($30+16)|0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $argv=$31; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $n=0; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 6; break; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $33=$n; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=$5; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=(($33)>>>0) < (($34)>>>0); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $37=(($call+12)|0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$3; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=$n; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=$argv; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=(($41+($40<<3))|0); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($38, $39, $42); //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($43) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      $1=0; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 14; break; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 9: 
      __label__ = 10; break; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 10: 
      var $47=$n; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $48=(($47+1)|0); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $n=$48; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 6; break; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 11: 
      var $50=$9; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $51=$3; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $52=$4; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $53=$5; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $54=$6; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $55=__ZN9JSWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE($50, $51, $52, $53, $54); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 12: 
      $1=0; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 14; break; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 13: 
      __ZN2js15AutoCompartment5leaveEv($call); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $58=(($call+4)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $60=$3; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $61=$6; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $62=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($59, $60, $61); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$62; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 14; break; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 14: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $64=$1; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE["X"]=1;

function __ZN25JSCrossCompartmentWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_($this, $cx, $wrapper, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $call=__stackBase__;
      var $8;
      var $n;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$argc;
      $6=$argv;
      $7=$rval;
      var $9=$2;
      var $10=$3; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=$4; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN9JSWrapper13wrappedObjectEPK8JSObject($11); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $10, $12); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=__ZN2js15AutoCompartment5enterEv($call); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      $1=0; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $8=1;
      __label__ = 12; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $n=0; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 4; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $17=$n; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$5; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=(($17)>>>0) < (($18)>>>0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $21=(($call+12)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$3; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=$n; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$6; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=(($25+($24<<3))|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($22, $23, $26); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      $1=0; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $8=1;
      __label__ = 12; break; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      __label__ = 8; break; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      var $31=$n; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=(($31+1)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $n=$32; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 4; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 9: 
      var $34=$9; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=$3; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $36=$4; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $37=$5; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=$6; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$7; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=__ZN9JSWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_($34, $35, $36, $37, $38, $39); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 10: 
      $1=0; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $8=1;
      __label__ = 12; break; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 11: 
      __ZN2js15AutoCompartment5leaveEv($call); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=(($call+4)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $45=$3; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $46=$7; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $47=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($44, $45, $46); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$47; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $8=1;
      __label__ = 12; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 12: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $49=$1; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_["X"]=1;

function __ZN25JSCrossCompartmentWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE($this, $cx, $wrapper, $receiver, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6=__stackBase__+4;
      var $7;
      var $8;
      var $tvr=__stackBase__+8;
      var $call=__stackBase__+32;
      var $9;
      var $ok;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      HEAP32[(($5)>>2)]=$receiver;
      HEAP32[(($6)>>2)]=$id;
      var $10=(($strict)&1);
      $7=$10;
      $8=$vp;
      var $11=$2;
      var $12=$3; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $13=$8; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($tvr, $12, $13); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 2; break; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $15=$3; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$4; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=__ZN9JSWrapper13wrappedObjectEPK8JSObject($16); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $15, $17); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=__ZN2js15AutoCompartment5enterEv($call); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      $1=0; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $9=1;
      __label__ = 11; break; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      var $21=(($call+12)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$3; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($22, $23, $5); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($24) { __label__ = 5; break; } else { var $47 = 0;__label__ = 8; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $26=(($call+12)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=$3; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=__ZN13JSCompartment6wrapIdEP9JSContextPi($27, $28, $6); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($29) { __label__ = 6; break; } else { var $47 = 0;__label__ = 8; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      var $31=(($call+12)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $33=$3; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $34=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $35=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($32, $33, $34); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($35) { __label__ = 7; break; } else { var $47 = 0;__label__ = 8; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $37=$11; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $38=$3; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $39=$4; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $40=HEAP32[(($5)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $41=HEAP32[(($6)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $42=$7; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $43=(($42) & 1); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $44=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $45=__ZN9JSWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE($37, $38, $39, $40, $41, $43, $44); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $47 = $45;__label__ = 8; break;
    case 8: 
      var $47;
      var $48=(($47)&1);
      $ok=$48;
      __ZN2js15AutoCompartment5leaveEv($call); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $49=$ok; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $50=(($49) & 1); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($50) { __label__ = 9; break; } else { var $53 = 0;__label__ = 10; break; } //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 9: 
      var $53 = 1;__label__ = 10; break;
    case 10: 
      var $53;
      $1=$53;
      $9=1;
      __label__ = 11; break;
    case 11: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 13; break;
    case 12: 
      $9=0; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 13; break; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 13: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $cleanup_dest=$9;
      if ((($cleanup_dest)|0) == 0 || (($cleanup_dest)|0) == 1) {
        __label__ = 14; break;
      }
      else {
      __label__ = 15; break;
      }
      
    case 14: 
      var $59=$1; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 15: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE["X"]=1;

function _INT_TO_JSID4153($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZN7mozilla15AlignedStorage2IN2js15DummyFrameGuardEE4addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 228 "./dist/include/mozilla/Util.h"
  var $4=$3; //@line 228 "./dist/include/mozilla/Util.h"
  var $5=(($4)|0); //@line 228 "./dist/include/mozilla/Util.h"
  var $6=$5; //@line 228 "./dist/include/mozilla/Util.h"
  ;
  return $6; //@line 228 "./dist/include/mozilla/Util.h"
}


function __ZN7mozilla5MaybeIN2js15DummyFrameGuardEEC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 254 "./dist/include/mozilla/Util.h"
  var $4=(($2+28)|0); //@line 254 "./dist/include/mozilla/Util.h"
  HEAP8[($4)]=0; //@line 254 "./dist/include/mozilla/Util.h"
  ;
  return; //@line 254 "./dist/include/mozilla/Util.h"
}


function __ZN17AutoCloseIterator5clearEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP32[(($3)>>2)]=0; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN17AutoCloseIteratorC2EP9JSContextP8JSObject($this, $cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$obj;
  var $4=$1;
  var $5=(($4)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=$2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP32[(($5)>>2)]=$6; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=(($4+4)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $8=$3; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  HEAP32[(($7)>>2)]=$8; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function _JSVAL_TO_OBJECT_IMPL4155($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL4156($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL4157($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL4158($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _BUILD_JSVAL4159($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL4160($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function _JS_XDRInitBase($xdr, $mode, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$xdr;
  $2=$mode;
  $3=$cx;
  var $4=$2; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $5=$1; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $6=(($5)|0); //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($6)>>2)]=$4; //@line 236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $7=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $8=$1; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $9=(($8+8)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($9)>>2)]=$7; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $10=$1; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $11=(($10+12)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($11)>>2)]=0; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $12=$1; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $13=(($12+20)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($13)>>2)]=0; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $14=$1; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $15=(($14+16)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($15)>>2)]=0; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $16=$1; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $17=(($16+24)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($17)>>2)]=0; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $18=$1; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $19=(($18+28)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($19)>>2)]=0; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $20=$1; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $21=(($20+32)|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($21)>>2)]=0; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $22=$1; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $23=(($22+36)|0); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($23)>>2)]=0; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  ;
  return; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
}


function _JS_XDRMemGetData($xdr, $lp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$xdr;
      $3=$lp;
      var $4=$2; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4+4)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)!=((__ZL10xdrmem_ops)|0); //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $1=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $10=$2; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$10; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=(($11+44)|0); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$3; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($14)>>2)]=$13; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$2; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=$15; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16+40)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$18; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $20=$1; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $20; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRMemSetData($xdr, $data, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$xdr;
      $2=$data;
      $3=$len;
      var $4=$1; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4+4)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)!=((__ZL10xdrmem_ops)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      __label__ = 4; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $10=$3; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$1; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=$11; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12+48)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($13)>>2)]=$10; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$2; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$1; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=$15; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16+40)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($17)>>2)]=$14; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=$1; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=$18; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=(($19+44)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($20)>>2)]=0; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      ;
      return; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRMemDataLeft($xdr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$xdr;
      var $3=$2; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $4=(($3+4)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)|0)!=((__ZL10xdrmem_ops)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $1=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $9=$2; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=$9; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=(($10+48)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=$2; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$13; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=(($14+44)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($12-$16)|0); //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$17; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $19=$1; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $19; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRMemResetData($xdr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$xdr;
      var $2=$1; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $3=(($2+4)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4)|0)!=((__ZL10xdrmem_ops)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      __label__ = 4; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $8=$1; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=$8; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=(($9+44)|0); //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($10)>>2)]=0; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      ;
      return; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN25JSCrossCompartmentWrapper11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb($this, $cx, $wrapper, $vp, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $call=__stackBase__;
      var $7;
      var $v=__stackBase__+52;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$vp;
      $6=$bp;
      var $8=$2;
      var $9=$3; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$4; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZN9JSWrapper13wrappedObjectEPK8JSObject($10); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $9, $11); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN2js15AutoCompartment5enterEv($call); //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      $1=0; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 6; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $15=$5; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$v; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$15; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=(($call+12)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=$3; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($19, $20, $v); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      $1=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 6; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      var $24=$8; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$3; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$4; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=$6; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $28=__ZN9JSWrapper11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb($24, $25, $26, $v, $27); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$28; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 6; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $30=$1; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $30; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN25JSCrossCompartmentWrapper12obj_toStringEP9JSContextP8JSObject($this, $cx, $wrapper) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $call=__stackBase__;
      var $5;
      var $str=__stackBase__+52;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      var $6=$2;
      var $7=$3; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=$4; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=__ZN9JSWrapper13wrappedObjectEPK8JSObject($8); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $7, $9); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=__ZN2js15AutoCompartment5enterEv($call); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      $1=0; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 8; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $13=$6; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $14=$3; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$4; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=__ZN9JSWrapper12obj_toStringEP9JSContextP8JSObject($13, $14, $15); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($str)>>2)]=$16; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=HEAP32[(($str)>>2)]; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=(($17)|0)!=0; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      $1=0; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 8; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      __ZN2js15AutoCompartment5leaveEv($call); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $21=(($call+4)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=$3; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=__ZN13JSCompartment4wrapEP9JSContextPP8JSString($22, $23, $str); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      $1=0; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 8; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $27=HEAP32[(($str)>>2)]; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$27; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $5=1;
      __label__ = 8; break; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$1; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN25JSCrossCompartmentWrapper12fun_toStringEP9JSContextP8JSObjectj($this, $cx, $wrapper, $indent) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $call=__stackBase__;
      var $6;
      var $str=__stackBase__+52;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$indent;
      var $7=$2;
      var $8=$3; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=$4; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=__ZN9JSWrapper13wrappedObjectEPK8JSObject($9); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $8, $10); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZN2js15AutoCompartment5enterEv($call); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      $1=0; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $6=1;
      __label__ = 8; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $14=$7; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $15=$3; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$4; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$5; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=__ZN9JSWrapper12fun_toStringEP9JSContextP8JSObjectj($14, $15, $16, $17); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      HEAP32[(($str)>>2)]=$18; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=HEAP32[(($str)>>2)]; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=(($19)|0)!=0; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      $1=0; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $6=1;
      __label__ = 8; break; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      __ZN2js15AutoCompartment5leaveEv($call); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=(($call+4)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$3; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=__ZN13JSCompartment4wrapEP9JSContextPP8JSString($24, $25, $str); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      $1=0; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $6=1;
      __label__ = 8; break; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 7: 
      var $29=HEAP32[(($str)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$29; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $6=1;
      __label__ = 8; break; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $31=$1; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN25JSCrossCompartmentWrapper12fun_toStringEP9JSContextP8JSObjectj["X"]=1;

function __ZN25JSCrossCompartmentWrapper12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($this, $cx, $wrapper, $hint, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $call=__stackBase__;
      var $7;
      $2=$this;
      $3=$cx;
      $4=$wrapper;
      $5=$hint;
      $6=$vp;
      var $8=$2;
      var $9=$3; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=$4; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__ZN9JSWrapper13wrappedObjectEPK8JSObject($10); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      FUNCTION_TABLE[__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject]($call, $9, $11); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $12=__ZN2js15AutoCompartment5enterEv($call); //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      $1=0; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 6; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      var $15=$8; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $16=$3; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $17=$4; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $18=$5; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $19=$6; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $20=__ZN9JSWrapper12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE($15, $16, $17, $18, $19); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 4: 
      $1=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 6; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 5: 
      __ZN2js15AutoCompartment5leaveEv($call); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $23=(($call+4)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $25=$3; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $26=$6; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $27=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($24, $25, $26); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $1=$27; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      $7=1;
      __label__ = 6; break; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 6: 
      FUNCTION_TABLE[__ZN2js15AutoCompartmentD1Ev]($call); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $29=$1; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN25JSCrossCompartmentWrapper5traceEP8JSTracerP8JSObject($this, $trc, $wrapper) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$trc;
  $3=$wrapper;
  var $4=$1;
  var $5=$2; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=$3; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $7=__ZN9JSWrapper13wrappedObjectEPK8JSObject($6); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN2js2gc26MarkCrossCompartmentObjectEP8JSTracerR8JSObjectPKc($5, $7, ((STRING_TABLE.__str24129)|0)); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function ___cxx_global_var_init34149() {
  ;
  var __label__;

  FUNCTION_TABLE[__ZN25JSCrossCompartmentWrapperC1Ej](__ZN25JSCrossCompartmentWrapper9singletonE, 0);
  var $1=___cxa_atexit(336, __ZN25JSCrossCompartmentWrapper9singletonE, ___dso_handle);
  ;
  return;
}


function __ZN2js15DummyFrameGuardD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15DummyFrameGuardD2Ev($2); //@line 1786 "./vm/Stack.h"
  ;
  return; //@line 1786 "./vm/Stack.h"
}


function __ZN2js15DummyFrameGuardD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1786 "./vm/Stack.h"
  __ZN2js10FrameGuardD2Ev($3); //@line 1786 "./vm/Stack.h"
  ;
  return; //@line 1786 "./vm/Stack.h"
}


function __ZN7mozilla5MaybeIN2js15DummyFrameGuardEE3asTEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 248 "./dist/include/mozilla/Util.h"
  var $4=__ZN7mozilla15AlignedStorage2IN2js15DummyFrameGuardEE4addrEv($3); //@line 248 "./dist/include/mozilla/Util.h"
  ;
  return $4; //@line 248 "./dist/include/mozilla/Util.h"
}


function __ZN2js15DummyFrameGuardC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js15DummyFrameGuardC2Ev($2); //@line 1786 "./vm/Stack.h"
  ;
  return; //@line 1786 "./vm/Stack.h"
}


function __ZN2js15DummyFrameGuardC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1786 "./vm/Stack.h"
  __ZN2js10FrameGuardC2Ev($3); //@line 1786 "./vm/Stack.h"
  ;
  return; //@line 1786 "./vm/Stack.h"
}


function __ZN7mozilla5MaybeIN2js15DummyFrameGuardEED2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+28)|0); //@line 255 "./dist/include/mozilla/Util.h"
      var $4=HEAP8[($3)]; //@line 255 "./dist/include/mozilla/Util.h"
      var $5=(($4) & 1); //@line 255 "./dist/include/mozilla/Util.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 255 "./dist/include/mozilla/Util.h"
    case 2: 
      var $7=__ZN7mozilla5MaybeIN2js15DummyFrameGuardEE3asTEv($2); //@line 255 "./dist/include/mozilla/Util.h"
      __ZN2js15DummyFrameGuardD1Ev($7); //@line 255 "./dist/include/mozilla/Util.h"
      __label__ = 3; break; //@line 255 "./dist/include/mozilla/Util.h"
    case 3: 
      ;
      return; //@line 255 "./dist/include/mozilla/Util.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc4150($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free4151($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN17AutoCloseIteratorC1EP9JSContextP8JSObject($this, $cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$obj;
  var $4=$1;
  var $5=$2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  var $6=$3; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  __ZN17AutoCloseIteratorC2EP9JSContextP8JSObject($4, $5, $6); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZNK2js14NativeIterator7numKeysEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2js14NativeIterator3endEv($2); //@line 93 "./jsiter.h"
  var $4=__ZNK2js14NativeIterator5beginEv($2); //@line 93 "./jsiter.h"
  var $5=$3; //@line 93 "./jsiter.h"
  var $6=$4; //@line 93 "./jsiter.h"
  var $7=(($5-$6)|0); //@line 93 "./jsiter.h"
  var $8=(((($7)|0)/4)&-1); //@line 93 "./jsiter.h"
  ;
  return $8; //@line 93 "./jsiter.h"
}


function __ZN17AutoCloseIteratorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN17AutoCloseIteratorD2Ev($2); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
  ;
  return; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
}


function __ZN17AutoCloseIteratorD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $5=(($4)|0)!=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 2: 
      var $7=(($2)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $9=(($2+4)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      var $11=__Z16js_CloseIteratorP9JSContextP8JSObject($8, $10); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
      __label__ = 3; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    case 3: 
      ;
      return; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jswrapper.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15MakeRangeGCSafeEPiS0_4152($beg, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $id;
      $1=$beg;
      $2=$end;
      var $3=$1; //@line 378 "./jsinterp.h"
      $id=$3; //@line 378 "./jsinterp.h"
      __label__ = 2; break; //@line 378 "./jsinterp.h"
    case 2: 
      var $5=$id; //@line 378 "./jsinterp.h"
      var $6=$2; //@line 378 "./jsinterp.h"
      var $7=(($5)|0)!=(($6)|0); //@line 378 "./jsinterp.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 378 "./jsinterp.h"
    case 3: 
      var $9=_INT_TO_JSID4153(0); //@line 379 "./jsinterp.h"
      var $10=$id; //@line 379 "./jsinterp.h"
      HEAP32[(($10)>>2)]=$9; //@line 379 "./jsinterp.h"
      __label__ = 4; break; //@line 379 "./jsinterp.h"
    case 4: 
      var $12=$id; //@line 378 "./jsinterp.h"
      var $13=(($12+4)|0); //@line 378 "./jsinterp.h"
      $id=$13; //@line 378 "./jsinterp.h"
      __label__ = 2; break; //@line 378 "./jsinterp.h"
    case 5: 
      ;
      return; //@line 380 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc4154($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js28AutoPropertyDescriptorRooterC2EP9JSContextP20JSPropertyDescriptor($this, $cx, $desc) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$desc;
  var $4=$1;
  var $5=$4; //@line 1198 "./jsobjinlines.h"
  var $6=$2; //@line 1198 "./jsobjinlines.h"
  __ZN2js12AutoGCRooterC2EP9JSContexti($5, $6, -13); //@line 1198 "./jsobjinlines.h"
  var $7=$4; //@line 1198 "./jsobjinlines.h"
  var $8=(($7+16)|0); //@line 1198 "./jsobjinlines.h"
  var $9=$8; //@line 1198 "./jsobjinlines.h"
  var $10=$3; //@line 1199 "./jsobjinlines.h"
  var $11=(($10)|0); //@line 1199 "./jsobjinlines.h"
  var $12=HEAP32[(($11)>>2)]; //@line 1199 "./jsobjinlines.h"
  var $13=$4; //@line 1199 "./jsobjinlines.h"
  var $14=(($13+16)|0); //@line 1199 "./jsobjinlines.h"
  var $15=$14; //@line 1199 "./jsobjinlines.h"
  var $16=(($15)|0); //@line 1199 "./jsobjinlines.h"
  HEAP32[(($16)>>2)]=$12; //@line 1199 "./jsobjinlines.h"
  var $17=$3; //@line 1200 "./jsobjinlines.h"
  var $18=(($17+4)|0); //@line 1200 "./jsobjinlines.h"
  var $19=HEAP32[(($18)>>2)]; //@line 1200 "./jsobjinlines.h"
  var $20=$4; //@line 1200 "./jsobjinlines.h"
  var $21=(($20+16)|0); //@line 1200 "./jsobjinlines.h"
  var $22=$21; //@line 1200 "./jsobjinlines.h"
  var $23=(($22+4)|0); //@line 1200 "./jsobjinlines.h"
  HEAP32[(($23)>>2)]=$19; //@line 1200 "./jsobjinlines.h"
  var $24=$3; //@line 1201 "./jsobjinlines.h"
  var $25=(($24+8)|0); //@line 1201 "./jsobjinlines.h"
  var $26=HEAP32[(($25)>>2)]; //@line 1201 "./jsobjinlines.h"
  var $27=$4; //@line 1201 "./jsobjinlines.h"
  var $28=(($27+16)|0); //@line 1201 "./jsobjinlines.h"
  var $29=$28; //@line 1201 "./jsobjinlines.h"
  var $30=(($29+8)|0); //@line 1201 "./jsobjinlines.h"
  HEAP32[(($30)>>2)]=$26; //@line 1201 "./jsobjinlines.h"
  var $31=$3; //@line 1202 "./jsobjinlines.h"
  var $32=(($31+12)|0); //@line 1202 "./jsobjinlines.h"
  var $33=HEAP32[(($32)>>2)]; //@line 1202 "./jsobjinlines.h"
  var $34=$4; //@line 1202 "./jsobjinlines.h"
  var $35=(($34+16)|0); //@line 1202 "./jsobjinlines.h"
  var $36=$35; //@line 1202 "./jsobjinlines.h"
  var $37=(($36+12)|0); //@line 1202 "./jsobjinlines.h"
  HEAP32[(($37)>>2)]=$33; //@line 1202 "./jsobjinlines.h"
  var $38=$4; //@line 1203 "./jsobjinlines.h"
  var $39=(($38+16)|0); //@line 1203 "./jsobjinlines.h"
  var $40=$39; //@line 1203 "./jsobjinlines.h"
  var $41=(($40+16)|0); //@line 1203 "./jsobjinlines.h"
  var $42=$3; //@line 1203 "./jsobjinlines.h"
  var $43=(($42+16)|0); //@line 1203 "./jsobjinlines.h"
  var $44=$41; //@line 1203 "./jsobjinlines.h"
  var $45=$43; //@line 1203 "./jsobjinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 1203 "./jsobjinlines.h"
  ;
  return; //@line 1204 "./jsobjinlines.h"
}
__ZN2js28AutoPropertyDescriptorRooterC2EP9JSContextP20JSPropertyDescriptor["X"]=1;

function __GLOBAL__I_a4161() {
  ;
  var __label__;

  ___cxx_global_var_init4142();
  ___cxx_global_var_init34149();
  ;
  return;
}


function _JS_XDRNewMem($cx, $mode) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $xdr;
      $2=$cx;
      $3=$mode;
      var $4=$2; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=__ZN9JSContext7malloc_Ej($4, 52); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=$5; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $xdr=$6; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=$xdr; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7)|0)!=0; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $1=0; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $11=$xdr; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=$3; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=$2; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_XDRInitBase($11, $12, $13); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=(($14)|0)==0; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $17=$2; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=__ZN9JSContext7malloc_Ej($17, 8192); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=$xdr; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=$19; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($20+40)|0); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($21)>>2)]=$18; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=(($18)|0)!=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $24=$2; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=$xdr; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=$25; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __ZN9JSContext5free_EPv($24, $26); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      __label__ = 8; break; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $29=$xdr; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$29; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=(($30+40)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($31)>>2)]=0; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 8; break;
    case 8: 
      var $33=$xdr; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=(($33+4)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($34)>>2)]=__ZL10xdrmem_ops; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=$xdr; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=$35; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=(($36+44)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($37)>>2)]=0; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=$xdr; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=$38; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=(($39+48)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($40)>>2)]=8192; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=$xdr; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$41; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      var $43=$1; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $43; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_XDRNewMem["X"]=1;

function _JS_XDRDestroy($xdr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $cx;
      $1=$xdr;
      var $2=$1; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $3=(($2+8)|0); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $cx=$4; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=$1; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5+4)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7+28)|0); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=$1; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      FUNCTION_TABLE[$9]($10); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$1; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=(($11+12)|0); //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=(($13)|0)!=0; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $16=$cx; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=$1; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=(($17+12)|0); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=$19; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __ZN9JSContext5free_EPv($16, $20); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=$1; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=(($21+24)|0); //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23)|0)!=0; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $26=$1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=(($26+24)|0); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=$28; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_DHashTableDestroy($29); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      __label__ = 5; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $32=$cx; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=$1; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=$33; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __ZN9JSContext5free_EPv($32, $34); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRUint8($xdr, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $l=__stackBase__;
      $2=$xdr;
      $3=$b;
      var $4=$3; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=HEAPU8[($4)]; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)&255); //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($l)>>2)]=$6; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=$2; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=_JS_XDRUint32($7, $l); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=(($8)|0)!=0; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $1=0; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $12=HEAP32[(($l)>>2)]; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12) & 255); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$3; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP8[($14)]=$13; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $16=$1; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRUint32($xdr, $lp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ok;
      var $xl=__stackBase__;
      $1=$xdr;
      $2=$lp;
      $ok=1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $3=$1; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $4=(($3)|0); //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)|0)==0; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $8=$2; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($xl)>>2)]=$9; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=$1; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=(($10+4)|0); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12+4)|0); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$1; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=FUNCTION_TABLE[$14]($15, $xl); //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $ok=$16; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 6; break; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $18=$1; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($18)|0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($20)|0)==1; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $23=$1; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23+4)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=(($25)|0); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=$1; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=$2; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=FUNCTION_TABLE[$27]($28, $29); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $ok=$30; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=$2; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 5; break; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $36=$ok; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRUint16($xdr, $s) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $l=__stackBase__;
      $2=$xdr;
      $3=$s;
      var $4=$3; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=HEAPU16[(($4)>>1)]; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)&65535); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($l)>>2)]=$6; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=$2; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=_JS_XDRUint32($7, $l); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=(($8)|0)!=0; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $1=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $12=HEAP32[(($l)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12) & 65535); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$3; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP16[(($14)>>1)]=$13; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $16=$1; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRBytes($xdr, $bytes, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $padlen;
      $2=$xdr;
      $3=$bytes;
      $4=$len;
      var $5=$2; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)|0); //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7)|0)==0; //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $10=$2; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=(($10+4)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12+12)|0); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$2; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=$3; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=$4; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=FUNCTION_TABLE[$14]($15, $16, $17); //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($18)|0)!=0; //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      $1=0; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 18; break; //@line 358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      __label__ = 8; break; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $23=$2; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23+4)|0); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=(($25+8)|0); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=$2; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=$3; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$4; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=FUNCTION_TABLE[$27]($28, $29, $30); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=(($31)|0)!=0; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      $1=0; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 18; break; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $36=$2; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=(($36+4)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=(($38+24)|0); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=$2; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=FUNCTION_TABLE[$40]($41); //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $4=$42; //@line 363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=$4; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=(($43)>>>0)%4; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=(($44)|0)!=0; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 17; break; } //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      var $47=$4; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $48=(($47)>>>0)%4; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $49=((4-$48)|0); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $padlen=$49; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $50=$2; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=(($50)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=(($52)|0)==0; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $55=$2; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=(($55+4)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=(($57+12)|0); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $60=$2; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=$padlen; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=FUNCTION_TABLE[$59]($60, ((__ZZ11JS_XDRBytesE6padbuf)|0), $61); //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=(($62)|0)!=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($63) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      $1=0; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 18; break; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      __label__ = 16; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      var $67=$2; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $68=(($67+4)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $70=(($69+20)|0); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $72=$2; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $73=$padlen; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=FUNCTION_TABLE[$71]($72, $73, 1); //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=(($74)|0)!=0; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($75) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      $1=0; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 18; break; //@line 371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      $1=1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 18; break; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 18: 
      var $81=$1; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $81; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_XDRBytes["X"]=1;

function _JS_XDRCString($xdr, $sp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $len=__stackBase__;
      $2=$xdr;
      $3=$sp;
      var $4=$2; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4)|0); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)==0; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $9=$3; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=_strlen($10); //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($len)>>2)]=$11; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 3; break; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $13=$2; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=_JS_XDRUint32($13, $len); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$2; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=(($15)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=(($17)|0)==1; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $20=$2; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($20+8)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=HEAP32[(($len)>>2)]; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23+1)|0); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=__ZN9JSContext7malloc_Ej($22, $24); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=$3; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($26)>>2)]=$25; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=(($25)|0)!=0; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      $1=0; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      __label__ = 7; break; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $31=$2; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=$3; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=HEAP32[(($len)>>2)]; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=_JS_XDRBytes($31, $33, $34); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=(($35)|0)!=0; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 8; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      var $38=$2; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=(($38)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=(($40)|0)==1; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      var $43=$2; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=(($43+8)|0); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=$3; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __ZN9JSContext5free_EPv($45, $47); //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 10; break; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      $1=0; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $50=$2; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=(($50)|0); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=(($52)|0)==1; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($53) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $55=HEAP32[(($len)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=$3; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=(($57+$55)|0); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP8[($58)]=0; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 13; break; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      $1=1; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      var $61=$1; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_XDRCString["X"]=1;

function _JS_XDRCStringOrNull($xdr, $sp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $null=__stackBase__;
      $2=$xdr;
      $3=$sp;
      var $4=$3; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)|0)==0; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)&1); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($null)>>2)]=$7; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=$2; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=_JS_XDRUint32($8, $null); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=(($9)|0)!=0; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $1=0; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 6; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $13=HEAP32[(($null)>>2)]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=(($13)|0)!=0; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $16=$3; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($16)>>2)]=0; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 6; break; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $18=$2; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=$3; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=_JS_XDRCString($18, $19); //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$20; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 6; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $22=$1; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRString($xdr, $strp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nchars=__stackBase__;
      var $chars;
      $2=$xdr;
      $3=$strp;
      var $4=$2; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4)|0); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)==0; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $9=$3; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=__ZNK8JSString6lengthEv($10); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($nchars)>>2)]=$11; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 3; break; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $13=$2; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=_JS_XDRUint32($13, $nchars); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=(($14)|0)!=0; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      $1=0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 20; break; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $18=$2; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($18)|0); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($20)|0)==1; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $23=$2; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23+8)|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=HEAP32[(($nchars)>>2)]; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=(($26+1)|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=((($27<<1))|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=__ZN9JSContext7malloc_Ej($25, $28); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$29; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $chars=$30; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 8; break; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $32=$3; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=$2; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=(($34+8)|0); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=__ZN8JSString8getCharsEP9JSContext($33, $36); //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $chars=$37; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 8; break;
    case 8: 
      var $39=$chars; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=(($39)|0)!=0; //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      $1=0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 20; break; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $43=$2; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=$chars; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=HEAP32[(($nchars)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=__ZL8XDRCharsP10JSXDRStatePtj($43, $44, $45); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=(($46)|0)!=0; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      __label__ = 17; break; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $50=$2; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=(($50)|0); //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=(($52)|0)==1; //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($53) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      var $55=HEAP32[(($nchars)>>2)]; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=$chars; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=(($56+($55<<1))|0); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP16[(($57)>>1)]=0; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=$2; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $59=(($58+8)|0); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=$chars; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=HEAP32[(($nchars)>>2)]; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=_JS_NewUCString($60, $61, $62); //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $64=$3; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($64)>>2)]=$63; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $65=$3; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $67=(($66)|0)!=0; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      __label__ = 17; break; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      __label__ = 16; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      $1=1; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 20; break; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      var $72=$2; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $73=(($72)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=(($74)|0)==1; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($75) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 18: 
      var $77=$2; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $78=(($77+8)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $80=$chars; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $81=$80; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __ZN9JSContext5free_EPv($79, $81); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 19; break; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 19: 
      $1=0; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 20; break; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 20: 
      var $84=$1; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $84; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_XDRString["X"]=1;

function __ZL8XDRCharsP10JSXDRStatePtj($xdr, $chars, $nchars) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $padlen;
      var $nbytes;
      var $raw;
      $2=$xdr;
      $3=$chars;
      $4=$nchars;
      var $5=$4; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=((($5<<1))|0); //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $nbytes=$6; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=$nbytes; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7)>>>0)%4; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $padlen=$8; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=$padlen; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=(($9)|0)!=0; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $12=$padlen; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=((4-$12)|0); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $padlen=$13; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$padlen; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$nbytes; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=(($15+$14)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $nbytes=$16; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 3; break; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $18=$2; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($18+4)|0); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($20+16)|0); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=$2; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=$nbytes; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=FUNCTION_TABLE[$22]($23, $24); //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=$25; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $raw=$26; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=(($26)|0)!=0; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      $1=0; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 21; break; //@line 431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $30=$2; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=(($30)|0); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=(($32)|0)==0; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 13; break; } //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      $i=0; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 7; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $36=$i; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=$4; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=(($36)|0)!=(($37)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      var $40=$i; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=$3; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=(($41+($40<<1))|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=HEAP16[(($42)>>1)]; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=$i; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=$raw; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=(($45+($44<<1))|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP16[(($46)>>1)]=$43; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      var $48=$i; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $49=(($48+1)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $i=$49; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 7; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $51=$padlen; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=(($51)|0)!=0; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $54=$raw; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $55=$54; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=$nbytes; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=(($55+$56)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=$padlen; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $59=(((-$58))|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $60=(($57+$59)|0); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=$padlen; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _memset($60, 0, $61, 1); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 12; break; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      __label__ = 20; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      var $64=$2; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $65=(($64)|0); //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $67=(($66)|0)==1; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 19; break; } //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      $i=0; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 15; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      var $70=$i; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $71=$4; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $72=(($70)|0)!=(($71)|0); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($72) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      var $74=$i; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=$raw; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $76=(($75+($74<<1))|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $77=HEAP16[(($76)>>1)]; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $78=$i; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $79=$3; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $80=(($79+($78<<1))|0); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP16[(($80)>>1)]=$77; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      var $82=$i; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $83=(($82+1)|0); //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $i=$83; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 15; break; //@line 438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 18: 
      __label__ = 19; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      $1=1; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 21; break; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 21: 
      var $88=$1; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $88; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8XDRCharsP10JSXDRStatePtj["X"]=1;

function _JS_XDRStringOrNull($xdr, $strp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $null=__stackBase__;
      $2=$xdr;
      $3=$strp;
      var $4=$3; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)|0)==0; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)&1); //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($null)>>2)]=$7; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=$2; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=_JS_XDRUint32($8, $null); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=(($9)|0)!=0; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $1=0; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 6; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $13=HEAP32[(($null)>>2)]; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=(($13)|0)!=0; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $16=$3; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($16)>>2)]=0; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 6; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $18=$2; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=$3; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=_JS_XDRString($18, $19); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$20; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 6; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $22=$1; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRDouble($xdr, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $d=__stackBase__;
      $2=$xdr;
      $3=$dp;
      var $4=$2; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4)|0); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)==0; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $9=$3; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=(tempDoubleI32[0]=HEAP32[(($9)>>2)],tempDoubleI32[1]=HEAP32[(($9+4)>>2)],tempDoubleF64[0]); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13 = $10;__label__ = 4; break; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $13 = 0;__label__ = 4; break; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $13; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      (tempDoubleF64[0]=$13,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$2; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=__ZL14XDRDoubleValueP10JSXDRStatePd($14, $d); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=(($15)|0)!=0; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($16) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      $1=0; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $19=$2; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=(($19)|0); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=(($21)|0)==1; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $24=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=$3; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      (tempDoubleF64[0]=$24,HEAP32[(($25)>>2)]=tempDoubleI32[0],HEAP32[(($25+4)>>2)]=tempDoubleI32[1]); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 8; break; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      $1=1; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      var $28=$1; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14XDRDoubleValueP10JSXDRStatePd($xdr, $dp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $u=__stackBase__;
      $2=$xdr;
      $3=$dp;
      var $4=$2; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4)|0); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)==0; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $9=$3; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=(tempDoubleI32[0]=HEAP32[(($9)>>2)],tempDoubleI32[1]=HEAP32[(($9+4)>>2)],tempDoubleF64[0]); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13 = $10;__label__ = 4; break; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $13 = 0;__label__ = 4; break; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $13; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$u; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      (tempDoubleF64[0]=$13,HEAP32[(($14)>>2)]=tempDoubleI32[0],HEAP32[(($14+4)>>2)]=tempDoubleI32[1]); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$2; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=$u; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=_JS_XDRUint32($15, $17); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($18)|0)!=0; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $21=$2; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=$u; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=(($22+4)|0); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=_JS_XDRUint32($21, $23); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=(($24)|0)!=0; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      $1=0; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 10; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $28=$2; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=(($28)|0); //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=(($30)|0)==1; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      var $33=$u; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=(tempDoubleI32[0]=HEAP32[(($33)>>2)],tempDoubleI32[1]=HEAP32[(($33+4)>>2)],tempDoubleF64[0]); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=$3; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      (tempDoubleF64[0]=$34,HEAP32[(($35)>>2)]=tempDoubleI32[0],HEAP32[(($35+4)>>2)]=tempDoubleI32[1]); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      $1=1; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 10; break; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $38=$1; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRValue($xdr, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $type=__stackBase__;
      var $3=__stackBase__+4;
      $1=$xdr;
      $2=$vp;
      var $4=$1; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)==0; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $9=$2; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=$3; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$9; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=__ZL9GetXDRTagN2JS5ValueE($3); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($type)>>2)]=$12; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 3; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $14=$1; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=_JS_XDRUint32($14, $type); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=(($15)|0)!=0; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($16) { __label__ = 4; break; } else { var $24 = 0;__label__ = 5; break; } //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $18=$1; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=HEAP32[(($type)>>2)]; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=$2; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=__ZL12XDRValueBodyP10JSXDRStatejPN2JS5ValueE($18, $19, $20); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=(($21)|0)!=0; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24 = $22;__label__ = 5; break;
    case 5: 
      var $24;
      var $25=(($24)&1);
      STACKTOP = __stackBase__;
      return $25; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js14XDRScriptStateC2EP10JSXDRState($this, $x) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$x;
  var $3=$1;
  var $4=(($3)|0); //@line 671 "./jsxdrapi.h"
  var $5=$2; //@line 671 "./jsxdrapi.h"
  HEAP32[(($4)>>2)]=$5; //@line 671 "./jsxdrapi.h"
  var $6=(($3+4)|0); //@line 671 "./jsxdrapi.h"
  HEAP32[(($6)>>2)]=0; //@line 671 "./jsxdrapi.h"
  var $7=(($3+8)|0); //@line 671 "./jsxdrapi.h"
  HEAP8[($7)]=0; //@line 671 "./jsxdrapi.h"
  var $8=(($3)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $10=(($9+36)|0); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  HEAP32[(($10)>>2)]=$3; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  ;
  return; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
}


function __ZL9GetXDRTagN2JS5ValueE($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $v=__stackBase__;
      var $3=__stackBase__+8;
      var $4=__stackBase__+16;
      var $5=__stackBase__+24;
      var $6=__stackBase__+32;
      var $7=__stackBase__+40;
      var $8=__stackBase__+48;
      var $9=$v;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      var $11=$3; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=$v; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=_JSVAL_IS_NULL($3); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=(($13)|0)!=0; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $2=5; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $17=$4; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=$v; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=_JSVAL_IS_VOID($4); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=(($19)|0)!=0; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      $2=6; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $23=$5; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=$v; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=_JSVAL_IS_OBJECT($5); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=(($25)|0)!=0; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      $2=0; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $29=$6; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$v; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=_JSVAL_IS_INT($6); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=(($31)|0)!=0; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      $2=1; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      var $35=$7; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=$v; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=_JSVAL_IS_DOUBLE4214($7); //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=(($37)|0)!=0; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      $2=2; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $41=$8; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=$v; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=_JSVAL_IS_STRING4215($8); //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=(($43)|0)!=0; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      $2=3; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      $2=4; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      var $48=$2; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9GetXDRTagN2JS5ValueE["X"]=1;

function __ZL12XDRValueBodyP10JSXDRStatejPN2JS5ValueE($xdr, $type, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str=__stackBase__;
      var $5=__stackBase__+4;
      var $6=__stackBase__+12;
      var $d=__stackBase__+20;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $obj=__stackBase__+44;
      var $9=__stackBase__+48;
      var $10=__stackBase__+56;
      var $b=__stackBase__+64;
      var $11=__stackBase__+68;
      var $12=__stackBase__+76;
      var $i=__stackBase__+84;
      var $13=__stackBase__+88;
      var $14=__stackBase__+96;
      $2=$xdr;
      $3=$type;
      $4=$vp;
      var $15=$3; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ((($15)|0) == 5) {
        __label__ = 2; break;
      }
      else if ((($15)|0) == 6) {
        __label__ = 3; break;
      }
      else if ((($15)|0) == 3) {
        __label__ = 4; break;
      }
      else if ((($15)|0) == 2) {
        __label__ = 11; break;
      }
      else if ((($15)|0) == 0) {
        __label__ = 19; break;
      }
      else if ((($15)|0) == 4) {
        __label__ = 26; break;
      }
      else {
      __label__ = 33; break;
      }
      
    case 2: 
      var $17=$4; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=$17; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 40; break; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $20=$4; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=$20; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 40; break; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $23=$2; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=(($25)|0)==0; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $28=$4; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=$5; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$28; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=_JSVAL_TO_STRING4194($5); //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($str)>>2)]=$31; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 6; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $33=$2; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=_JS_XDRString($33, $str); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=(($34)|0)!=0; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      $1=0; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 41; break; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      var $38=$2; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=(($38)|0); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=(($40)|0)==1; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      var $43=$4; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=HEAP32[(($str)>>2)]; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _STRING_TO_JSVAL4195($6, $44); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=$43; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=$6; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 10; break; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      __label__ = 40; break; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $49=$2; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $50=(($49)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=(($51)|0)==0; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $54=$4; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $55=$7; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=$54; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=_JSVAL_TO_DOUBLE4196($7); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $60 = $57;__label__ = 14; break; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      var $60 = 0;__label__ = 14; break; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      var $60; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      (tempDoubleF64[0]=$60,HEAP32[(($d)>>2)]=tempDoubleI32[0],HEAP32[(($d+4)>>2)]=tempDoubleI32[1]); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=$2; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=_JS_XDRDouble($61, $d); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=(($62)|0)!=0; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($63) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      $1=0; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 41; break; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      var $66=$2; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $67=(($66)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $69=(($68)|0)==1; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($69) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      var $71=$4; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $72=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _DOUBLE_TO_JSVAL4197($8, $72); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $73=$71; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=$8; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($73)>>2)]=HEAP32[(($74)>>2)];HEAP32[(($73+4)>>2)]=HEAP32[(($74+4)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 18; break; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 18: 
      __label__ = 40; break; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 19: 
      var $77=$2; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $78=(($77)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $80=(($79)|0)==0; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($80) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 20: 
      var $82=$4; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $83=$9; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $84=$82; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($83)>>2)]=HEAP32[(($84)>>2)];HEAP32[(($83+4)>>2)]=HEAP32[(($84+4)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $85=_JSVAL_TO_OBJECT4198($9); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($obj)>>2)]=$85; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 21; break; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 21: 
      var $87=$2; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $88=__Z12js_XDRObjectP10JSXDRStatePP8JSObject($87, $obj); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $89=(($88)|0)!=0; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($89) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 22: 
      $1=0; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 41; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 23: 
      var $92=$2; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $93=(($92)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $95=(($94)|0)==1; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($95) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 24: 
      var $97=$4; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $98=HEAP32[(($obj)>>2)]; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _OBJECT_TO_JSVAL4199($10, $98); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $99=$97; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $100=$10; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($99)>>2)]=HEAP32[(($100)>>2)];HEAP32[(($99+4)>>2)]=HEAP32[(($100+4)>>2)]; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 25; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 25: 
      __label__ = 40; break; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 26: 
      var $103=$2; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $104=(($103)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $106=(($105)|0)==0; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($106) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 27: 
      var $108=$4; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $109=$11; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $110=$108; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($109)>>2)]=HEAP32[(($110)>>2)];HEAP32[(($109+4)>>2)]=HEAP32[(($110+4)>>2)]; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $111=_JSVAL_TO_BOOLEAN4200($11); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($b)>>2)]=$111; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 28; break; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 28: 
      var $113=$2; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $114=_JS_XDRUint32($113, $b); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $115=(($114)|0)!=0; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($115) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 29: 
      $1=0; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 41; break; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 30: 
      var $118=$2; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $119=(($118)|0); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $121=(($120)|0)==1; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($121) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 31: 
      var $123=$4; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $124=HEAP32[(($b)>>2)]; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $125=(($124)|0)!=0; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $126=$125 ^ 1; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $127=$126 ^ 1; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $128=(($127)&1); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _BOOLEAN_TO_JSVAL4201($12, $128); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $129=$123; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $130=$12; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($129)>>2)]=HEAP32[(($130)>>2)];HEAP32[(($129+4)>>2)]=HEAP32[(($130+4)>>2)]; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 32; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 32: 
      __label__ = 40; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 33: 
      var $133=$2; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $134=(($133)|0); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $136=(($135)|0)==0; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($136) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 34: 
      var $138=$4; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $139=$13; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $140=$138; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($139)>>2)]=HEAP32[(($140)>>2)];HEAP32[(($139+4)>>2)]=HEAP32[(($140+4)>>2)]; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $141=_JSVAL_TO_INT4202($13); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($i)>>2)]=$141; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 35; break; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 35: 
      var $143=$2; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $144=_JS_XDRUint32($143, $i); //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $145=(($144)|0)!=0; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($145) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 36: 
      $1=0; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 41; break; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 37: 
      var $148=$2; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $149=(($148)|0); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $151=(($150)|0)==1; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($151) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 38: 
      var $153=$4; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $154=HEAP32[(($i)>>2)]; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _INT_TO_JSVAL4203($14, $154); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $155=$153; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $156=$14; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($155)>>2)]=HEAP32[(($156)>>2)];HEAP32[(($155+4)>>2)]=HEAP32[(($156+4)>>2)]; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 39; break; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 39: 
      __label__ = 40; break; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 40: 
      $1=1; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 41; break; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 41: 
      var $160=$1; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $160; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12XDRValueBodyP10JSXDRStatejPN2JS5ValueE["X"]=1;

function _js_XDRAtom($xdr, $atomp) {
  var __stackBase__  = STACKTOP; STACKTOP += 520; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $str=__stackBase__;
      var $nchars=__stackBase__+4;
      var $atom;
      var $cx;
      var $chars;
      var $stackChars=__stackBase__+8;
      $2=$xdr;
      $3=$atomp;
      var $4=$2; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)==0; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $9=$3; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$10; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($str)>>2)]=$11; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=$2; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=_JS_XDRString($12, $str); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$13; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $15=$2; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=_JS_XDRUint32($15, $nchars); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16)|0)!=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      $1=0; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      $atom=0; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=$2; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($20+8)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $cx=$22; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=HEAPU32[(($nchars)>>2)]; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23)>>>0) <= 256; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $26=(($stackChars)|0); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $chars=$26; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 10; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $28=$cx; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=HEAP32[(($nchars)>>2)]; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=((($29<<1))|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=__ZN9JSContext7malloc_Ej($28, $30); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=$31; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $chars=$32; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=$chars; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=(($33)|0)!=0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      $1=0; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $38=$2; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=$chars; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=HEAP32[(($nchars)>>2)]; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=__ZL8XDRCharsP10JSXDRStatePtj($38, $39, $40); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=(($41)|0)!=0; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $44=$cx; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=$chars; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=HEAP32[(($nchars)>>2)]; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($44, $45, $46, 0); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $atom=$47; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 12; break; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $49=$chars; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $50=(($stackChars)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=(($49)|0)!=(($50)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($51) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      var $53=$cx; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $54=$chars; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $55=$54; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __ZN9JSContext5free_EPv($53, $55); //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      var $57=$atom; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=(($57)|0)!=0; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($58) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      $1=0; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      var $61=$atom; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=$3; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($62)>>2)]=$61; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      var $64=$1; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_XDRAtom["X"]=1;

function __ZN2js14XDRScriptStateD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4+36)|0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($5)>>2)]=0; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($2)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=(($9)|0)==1; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $12=(($2+4)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=(($13)|0)!=0; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $16=(($2+8)|0); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=HEAP8[($16)]; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=(($17) & 1); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $20=(($2)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=(($21+8)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($2+4)|0); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __ZN9JSContext5free_EPv($23, $25); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 5; break; //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      ;
      return; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_XDRScript($xdr, $scriptp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $script=__stackBase__;
      var $magic=__stackBase__+4;
      var $state=__stackBase__+8;
      var $4;
      $2=$xdr;
      $3=$scriptp;
      var $5=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)|0); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7)|0)==1; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      HEAP32[(($script)>>2)]=0; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=$3; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($10)>>2)]=0; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $12=$3; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($script)>>2)]=$13; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($magic)>>2)]=-559087605; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break;
    case 4: 
      var $15=$2; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=_JS_XDRUint32($15, $magic); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16)|0)!=0; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      $1=0; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 22; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $20=HEAP32[(($magic)>>2)]; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($20)|0)!=-559087605; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $23=$2; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23+8)|0); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 68, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 22; break; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      var $27=$2; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      FUNCTION_TABLE[__ZN2js14XDRScriptStateC1EP10JSXDRState]($state, $27); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=$2; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=(($28+36)|0); //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=(($30)|0)!=0; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      $1=0; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $4=1;
      __label__ = 21; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $34=$2; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=(($34)|0); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=(($36)|0)==0; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $39=HEAP32[(($script)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=(($39+52)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=(($state+4)|0); //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 12; break; //@line 713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $44=$2; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=(($state+4)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=_JS_XDRCStringOrNull($44, $45); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=(($46)|0)!=0; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($47) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      $1=0; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $4=1;
      __label__ = 21; break; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      var $50=$2; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=__Z12js_XDRScriptP10JSXDRStatePP8JSScript($50, $script); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=(($51)|0)!=0; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      $1=0; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $4=1;
      __label__ = 21; break; //@line 718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      var $55=$2; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=(($55)|0); //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=(($57)|0)==1; //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($58) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      var $60=$2; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=(($60+8)|0); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=HEAP32[(($script)>>2)]; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $64=__Z18js_NewScriptObjectP9JSContextP8JSScript($62, $63); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $65=(($64)|0)!=0; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($65) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 18: 
      $1=0; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $4=1;
      __label__ = 21; break; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 19: 
      var $68=$2; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $69=(($68+8)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $71=HEAP32[(($script)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __Z20js_CallNewScriptHookP9JSContextP8JSScriptP10JSFunction($70, $71, 0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $72=$2; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $73=(($72+8)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=HEAP32[(($script)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $76=HEAP32[(($script)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $77=(($76+84)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $78=$77; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __ZN2js8Debugger11onNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE($74, $75, $79, 1); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $80=HEAP32[(($script)>>2)]; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $81=$3; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($81)>>2)]=$80; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 20; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 20: 
      $1=1; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $4=1;
      __label__ = 21; break; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 21: 
      FUNCTION_TABLE[__ZN2js14XDRScriptStateD1Ev]($state); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 22; break;
    case 22: 
      var $85=$1; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_XDRScript["X"]=1;

function _JS_XDRRegisterClass($xdr, $clasp, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $numclasses;
      var $maxclasses;
      var $registry;
      var $entry;
      $2=$xdr;
      $3=$clasp;
      $4=$idp;
      var $5=$2; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5+16)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $numclasses=$7; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=$2; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=(($8+20)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $maxclasses=$10; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$numclasses; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=$maxclasses; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($11)|0)==(($12)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $15=$maxclasses; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=(($15)|0)==0; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $22 = 8;__label__ = 5; break; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $19=$maxclasses; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=$19 << 1; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22 = $20;__label__ = 5; break; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $22; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $maxclasses=$22; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=$2; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23+8)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=$2; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=(($26+12)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=$28; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$maxclasses; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=((($30<<2))|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=__ZN9JSContext8realloc_EPvj($25, $29, $31); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=$32; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $registry=$33; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=$registry; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=(($34)|0)!=0; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      $1=0; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $38=$registry; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=$2; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=(($39+12)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($40)>>2)]=$38; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=$maxclasses; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=$2; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=(($42+20)|0); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($43)>>2)]=$41; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      var $45=$2; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=(($45+12)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $registry=$47; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break;
    case 9: 
      var $49=$3; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $50=$numclasses; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=$registry; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=(($51+($50<<2))|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($52)>>2)]=$49; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=$2; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $54=(($53+24)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=(($55)|0)!=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($56) { __label__ = 10; break; } else { __label__ = 13; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $58=$2; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $59=(($58+24)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=$60; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=$3; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=(($62)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $65=_JS_DHashTableOperate($61, $64, 1); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $66=$65; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $entry=$66; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $67=$entry; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $68=(($67)|0)!=0; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($68) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $70=$2; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $71=(($70+8)|0); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportOutOfMemory($72); //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $74=$3; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=(($74)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $77=$entry; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $78=(($77+4)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($78)>>2)]=$76; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $79=$numclasses; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $80=$entry; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $81=(($80+8)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($81)>>2)]=$79; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 13; break; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      var $83=$numclasses; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $84=(($83+1)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $85=$4; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($85)>>2)]=$84; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $86=$numclasses; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $87=(($86+1)|0); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $numclasses=$87; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $88=$2; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $89=(($88+16)|0); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($89)>>2)]=$87; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 14; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      var $91=$1; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $91; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_XDRRegisterClass["X"]=1;

function _JS_XDRFindClassById($xdr, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $2=$xdr;
      $3=$id;
      var $4=$3; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4-1)|0); //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $i=$5; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=$i; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=$2; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7+16)|0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=(($6)>>>0) >= (($9)>>>0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      $1=0; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $13=$i; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=$2; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=(($14+12)|0); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16+($13<<2))|0); //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$18; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 4; break; //@line 831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $20=$1; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $20; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _INT32_TO_JSVAL_IMPL4205($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL4206($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _BOOLEAN_TO_JSVAL_IMPL4208($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _JSVAL_TO_BOOLEAN_IMPL4209($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "./jsval.h"
  var $2=(($1)|0); //@line 496 "./jsval.h"
  var $3=$2; //@line 496 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL4210($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSVAL_TO_OBJECT_IMPL4211($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _STRING_TO_JSVAL_IMPL4212($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function _JSVAL_TO_STRING_IMPL4213($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL4216($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL4217($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "./jsval.h"
  var $2=(($1+4)|0); //@line 418 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "./jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "./jsval.h"
  var $5=(($4)&1); //@line 418 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL4218($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JSVAL_IS_OBJECT_OR_NULL_IMPL4219($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 538 "./jsval.h"
  var $2=(($1+4)|0); //@line 538 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 538 "./jsval.h"
  var $4=(($3)>>>0) >= 4294967174; //@line 538 "./jsval.h"
  var $5=(($4)&1); //@line 538 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 538 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL4220($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL4221($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function _JS_XDRFindClassIdByName($xdr, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $numclasses;
      var $entry;
      var $clasp;
      $2=$xdr;
      $3=$name;
      var $4=$2; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4+16)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $numclasses=$6; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=$numclasses; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7)>>>0) >= 10; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 15; break; } //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $10=$2; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=(($10+24)|0); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12)|0)!=0; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($13) { __label__ = 10; break; } else { __label__ = 3; break; } //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $15=_JS_DHashGetStubOps(); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=$numclasses; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16)>>>0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=$17/0.75; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=($18 >= 0 ? Math.floor($18) : Math.ceil($18)); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=$numclasses; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($20)>>>0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=$21/0.75; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=($22 >= 0 ? Math.floor($22) : Math.ceil($22)); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23*192)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=$24 >>> 8; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=$numclasses; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=(($25)>>>0) < (($26)>>>0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=(($27)&1); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=(($19+$28)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=_JS_NewDHashTable($15, 0, 12, $29); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=$30; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=$2; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=(($32+24)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($33)>>2)]=$31; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=$2; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=(($34+24)|0); //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=(($36)|0)!=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($37) { __label__ = 4; break; } else { __label__ = 9; break; } //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      $i=0; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 5; break; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $40=$i; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=$numclasses; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=(($40)>>>0) < (($41)>>>0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($42) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $44=$i; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=$2; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=(($45+12)|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $48=(($47+($44<<2))|0); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $clasp=$49; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $50=$2; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=(($50+24)|0); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=$52; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $54=$clasp; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $55=(($54)|0); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=_JS_DHashTableOperate($53, $56, 1); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=$57; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $entry=$58; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $59=$clasp; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $60=(($59)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=$entry; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=(($62+4)|0); //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($63)>>2)]=$61; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $64=$i; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $65=$entry; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $66=(($65+8)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($66)>>2)]=$64; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 7; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $68=$i; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $69=(($68+1)|0); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $i=$69; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 5; break; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      __label__ = 9; break; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      __label__ = 10; break; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $73=$2; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=(($73+24)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $76=(($75)|0)!=0; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($76) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $78=$2; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $79=(($78+24)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $81=$80; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $82=$3; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $83=_JS_DHashTableOperate($81, $82, 0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $84=$83; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $entry=$84; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $85=$entry; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $86=(($85)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $87=(($86)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $89=(($88)|0)==0; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($89) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $91=$entry; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $92=(($91+8)|0); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $94=(($93+1)|0); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$94; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 22; break; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      __label__ = 14; break; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      __label__ = 15; break; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      $i=0; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 16; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      var $99=$i; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $100=$numclasses; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $101=(($99)>>>0) < (($100)>>>0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($101) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      var $103=$3; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $104=$i; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $105=$2; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $106=(($105+12)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $108=(($107+($104<<2))|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $110=(($109)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $112=_strcmp($103, $111); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $113=(($112)|0)!=0; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($113) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 18: 
      var $115=$i; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $116=(($115+1)|0); //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$116; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 22; break; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 19: 
      __label__ = 20; break; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 20: 
      var $119=$i; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $120=(($119+1)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $i=$120; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 16; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 21: 
      $1=0; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 22; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 22: 
      var $123=$1; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $123; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_JS_XDRFindClassIdByName["X"]=1;

function _js_realloc4193($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_STRING4194($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1369 "./jsapi.h"
  var $7=$v; //@line 1369 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1369 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1369 "./jsapi.h"
  var $8=_JSVAL_TO_STRING_IMPL4213($2); //@line 1369 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1369 "./jsapi.h"
}


function _STRING_TO_JSVAL4195($agg_result, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$str;
  var $3=$1; //@line 1375 "./jsapi.h"
  _STRING_TO_JSVAL_IMPL4212($2, $3); //@line 1375 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout4204($agg_result, $2); //@line 1375 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1375 "./jsapi.h"
}


function _JSVAL_TO_DOUBLE4196($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $l=__stackBase__+8;
  var $2=__stackBase__+16;
  var $3=__stackBase__+24;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1325 "./jsapi.h"
  var $7=$v; //@line 1325 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1325 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1325 "./jsapi.h"
  var $8=$l; //@line 1325 "./jsapi.h"
  var $9=$2; //@line 1325 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 1325 "./jsapi.h"
  var $10=$l; //@line 1326 "./jsapi.h"
  var $11=(tempDoubleI32[0]=HEAP32[(($10)>>2)],tempDoubleI32[1]=HEAP32[(($10+4)>>2)],tempDoubleF64[0]); //@line 1326 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $11; //@line 1326 "./jsapi.h"
}


function _DOUBLE_TO_JSVAL4197($agg_result, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $l=__stackBase__;
      var $2=__stackBase__+8;
      $1=$d;
      var $3=$1; //@line 1337 "./jsapi.h"
      var $4=$1; //@line 1337 "./jsapi.h"
      var $5=$3 != $4; //@line 1337 "./jsapi.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1337 "./jsapi.h"
    case 2: 
      var $7=$l; //@line 1338 "./jsapi.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=2146959360;
      var $st$3$0=(($7)|0);
      HEAP32[(($st$3$0)>>2)]=$$emscripten$temp$0$0;
      var $st$3$1=(($7+4)|0);
      HEAP32[(($st$3$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 4; break; //@line 1339 "./jsapi.h"
    case 3: 
      var $9=$1; //@line 1340 "./jsapi.h"
      var $10=$l; //@line 1340 "./jsapi.h"
      (tempDoubleF64[0]=$9,HEAP32[(($10)>>2)]=tempDoubleI32[0],HEAP32[(($10+4)>>2)]=tempDoubleI32[1]); //@line 1340 "./jsapi.h"
      __label__ = 4; break;
    case 4: 
      var $12=$2; //@line 1342 "./jsapi.h"
      var $13=$l; //@line 1342 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1342 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout4204($agg_result, $2); //@line 1342 "./jsapi.h"
      STACKTOP = __stackBase__;
      return; //@line 1342 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_OBJECT4198($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1388 "./jsapi.h"
  var $7=$v; //@line 1388 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1388 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1388 "./jsapi.h"
  var $8=_JSVAL_TO_OBJECT_IMPL4211($2); //@line 1388 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1388 "./jsapi.h"
}


function _OBJECT_TO_JSVAL4199($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL4210($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout4204($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_BOOLEAN4200($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1409 "./jsapi.h"
  var $7=$v; //@line 1409 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1409 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1409 "./jsapi.h"
  var $8=_JSVAL_TO_BOOLEAN_IMPL4209($2); //@line 1409 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1409 "./jsapi.h"
}


function _BOOLEAN_TO_JSVAL4201($agg_result, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$b;
  var $3=$1; //@line 1415 "./jsapi.h"
  _BOOLEAN_TO_JSVAL_IMPL4208($2, $3); //@line 1415 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout4204($agg_result, $2); //@line 1415 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1415 "./jsapi.h"
}


function _JSVAL_TO_INT4202($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1305 "./jsapi.h"
  var $7=$v; //@line 1305 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1305 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1305 "./jsapi.h"
  var $8=_JSVAL_TO_INT32_IMPL4206($2); //@line 1305 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1305 "./jsapi.h"
}


function _INT_TO_JSVAL4203($agg_result, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$i;
  var $3=$1; //@line 1311 "./jsapi.h"
  _INT32_TO_JSVAL_IMPL4205($2, $3); //@line 1311 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout4204($agg_result, $2); //@line 1311 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1311 "./jsapi.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout4204($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "./jsapi.h"
  var $5=$agg_result; //@line 822 "./jsapi.h"
  var $6=$4; //@line 822 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "./jsapi.h"
}


function _JSVAL_IS_NULL($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1286 "./jsapi.h"
  var $7=$v; //@line 1286 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1286 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1286 "./jsapi.h"
  var $8=_JSVAL_IS_NULL_IMPL4221($2); //@line 1286 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1286 "./jsapi.h"
}


function _JSVAL_IS_VOID($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1292 "./jsapi.h"
  var $7=$v; //@line 1292 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1292 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1292 "./jsapi.h"
  var $8=_JSVAL_IS_UNDEFINED_IMPL4220($2); //@line 1292 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1292 "./jsapi.h"
}


function _JSVAL_IS_OBJECT($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1381 "./jsapi.h"
  var $7=$v; //@line 1381 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1381 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1381 "./jsapi.h"
  var $8=_JSVAL_IS_OBJECT_OR_NULL_IMPL4219($2); //@line 1381 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1381 "./jsapi.h"
}


function _JSVAL_IS_INT($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1298 "./jsapi.h"
  var $7=$v; //@line 1298 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1298 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1298 "./jsapi.h"
  var $8=_JSVAL_IS_INT32_IMPL4218($2); //@line 1298 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1298 "./jsapi.h"
}


function _JSVAL_IS_DOUBLE4214($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1317 "./jsapi.h"
  var $7=$v; //@line 1317 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1317 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1317 "./jsapi.h"
  var $8=_JSVAL_IS_DOUBLE_IMPL4217($2); //@line 1317 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1317 "./jsapi.h"
}


function _JSVAL_IS_STRING4215($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1362 "./jsapi.h"
  var $7=$v; //@line 1362 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1362 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4207($2, $3); //@line 1362 "./jsapi.h"
  var $8=_JSVAL_IS_STRING_IMPL4216($2); //@line 1362 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1362 "./jsapi.h"
}


function __ZL9mem_get32P10JSXDRStatePj($xdr, $lp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$xdr;
      $3=$lp;
      __label__ = 2; break; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $5=$2; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7)|0)==1; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $10=$2; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$10; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=(($11+44)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=(($13+4)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$2; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=$15; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16+48)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=HEAPU32[(($17)>>2)]; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($14)>>>0) > (($18)>>>0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $21=$2; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=(($21+8)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($23, 2, 0, 63, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 7; break; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $26=$2; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=$26; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=(($27+40)|0); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$2; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=$30; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=(($31+44)|0); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=(($29+$33)|0); //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=$34; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=$3; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($37)>>2)]=$36; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=$2; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=$38; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=(($39+44)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=(($41+4)|0); //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($40)>>2)]=$42; //@line 118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 7; break; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $44=$1; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $44; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9mem_get32P10JSXDRStatePj["X"]=1;

function __ZL9mem_set32P10JSXDRStatePj($xdr, $lp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $limit_;
      var $data_;
      $2=$xdr;
      $3=$lp;
      __label__ = 2; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $5=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=(($5)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=(($7)|0)==0; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $10=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$10; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=(($11+48)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=(($13)|0)!=0; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $16=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=$16; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=(($17+44)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=(($19+4)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=$21; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=(($22+48)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=HEAPU32[(($23)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=(($20)>>>0) > (($24)>>>0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $27=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=$27; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=(($28+44)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=(($30+4)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=(($31+8192)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=(($32-1)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=Math.floor((($33)>>>0)/8192); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=((($34<<13))|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $limit_=$35; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=(($36+8)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=$39; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=(($40+40)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=$limit_; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=__ZN9JSContext8realloc_EPvj($38, $42, $43); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $data_=$44; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=$data_; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=(($45)|0)!=0; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($46) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      $1=0; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $49=$data_; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $50=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=$50; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=(($51+40)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($52)>>2)]=$49; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=$limit_; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $54=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $55=$54; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=(($55+48)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($56)>>2)]=$53; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 8; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      __label__ = 15; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      __label__ = 10; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $60=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=(($60)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=(($62)|0)==1; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($63) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $65=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $66=$65; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $67=(($66+44)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $69=(($68+4)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $70=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $71=$70; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $72=(($71+48)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $73=HEAPU32[(($72)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=(($69)>>>0) > (($73)>>>0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($74) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $76=$2; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $77=(($76+8)|0); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($78, 2, 0, 63, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      __label__ = 14; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break; //@line 125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      var $83=$3; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $85=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $86=$85; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $87=(($86+40)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $89=$2; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $90=$89; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $91=(($90+44)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $93=(($88+$92)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $94=$93; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($94)>>2)]=$84; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $95=$2; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $96=$95; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $97=(($96+44)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $99=(($98+4)|0); //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($97)>>2)]=$99; //@line 127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      var $101=$1; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $101; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9mem_set32P10JSXDRStatePj["X"]=1;

function __ZL12mem_getbytesP10JSXDRStatePcj($xdr, $bytes, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$xdr;
      $3=$bytes;
      $4=$len;
      __label__ = 2; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $6=$2; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=(($8)|0)==1; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $11=$2; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=$11; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12+44)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=$4; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=(($14+$15)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=$2; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=$17; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($18+48)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=HEAPU32[(($19)>>2)]; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=(($16)>>>0) > (($20)>>>0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $23=$2; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23+8)|0); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($25, 2, 0, 63, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 7; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $28=$3; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=$2; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$29; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=(($30+40)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=$2; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=$33; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=(($34+44)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=(($32+$36)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=$4; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert($38 % 1 === 0, 'memcpy given ' + $38 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($28, $37, $38, 1); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=$4; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=$2; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=$40; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=(($41+44)|0); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=(($43+$39)|0); //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($42)>>2)]=$44; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 7; break; //@line 137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $46=$1; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $46; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12mem_getbytesP10JSXDRStatePcj["X"]=1;

function __ZL8mem_tellP10JSXDRState($xdr) {
  ;
  var __label__;

  var $1;
  $1=$xdr;
  var $2=$1; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $3=$2; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $4=(($3+44)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $5=HEAP32[(($4)>>2)]; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  ;
  return $5; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
}


function __ZL12mem_setbytesP10JSXDRStatePcj($xdr, $bytes, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $limit_;
      var $data_;
      $2=$xdr;
      $3=$bytes;
      $4=$len;
      __label__ = 2; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      var $6=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=(($8)|0)==0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $11=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=$11; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12+48)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $15=(($14)|0)!=0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $17=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=$17; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($18+44)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $21=$4; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=(($20+$21)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=$23; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=(($24+48)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=HEAPU32[(($25)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=(($22)>>>0) > (($26)>>>0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($27) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $29=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=$29; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=(($30+44)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $33=$4; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=(($32+$33)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=(($34+8192)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=(($35-1)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=Math.floor((($36)>>>0)/8192); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=((($37<<13))|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $limit_=$38; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=(($39+8)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=$42; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=(($43+40)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=$limit_; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=__ZN9JSContext8realloc_EPvj($41, $45, $46); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $data_=$47; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $48=$data_; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $49=(($48)|0)!=0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($49) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      $1=0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $52=$data_; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $54=$53; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $55=(($54+40)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($55)>>2)]=$52; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=$limit_; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=$57; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $59=(($58+48)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($59)>>2)]=$56; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 8; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      __label__ = 15; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      __label__ = 10; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      var $63=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $64=(($63)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $66=(($65)|0)==1; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($66) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $68=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $69=$68; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $70=(($69+44)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $72=$4; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $73=(($71+$72)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=$74; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $76=(($75+48)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $77=HEAPU32[(($76)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $78=(($73)>>>0) > (($77)>>>0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($78) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $80=$2; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $81=(($80+8)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($82, 2, 0, 63, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      __label__ = 14; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      var $87=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $88=$87; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $89=(($88+40)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $91=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $92=$91; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $93=(($92+44)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $95=(($90+$94)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $96=$3; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $97=$4; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      assert($97 % 1 === 0, 'memcpy given ' + $97 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($95, $96, $97, 1); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $98=$4; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $99=$2; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $100=$99; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $101=(($100+44)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $103=(($102+$98)|0); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($101)>>2)]=$103; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 17; break; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      var $105=$1; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $105; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12mem_setbytesP10JSXDRStatePcj["X"]=1;

function __ZL7mem_rawP10JSXDRStatej($xdr, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $data;
      var $limit_;
      var $data_;
      $2=$xdr;
      $3=$len;
      var $4=$2; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $5=(($4)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $7=(($6)|0)==0; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 18; break; } //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 2: 
      __label__ = 3; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $10=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=(($10)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12)|0)==0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $15=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=$15; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=(($16+48)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $19=(($18)|0)!=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      var $21=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $22=$21; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $23=(($22+44)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=$3; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=(($24+$25)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $27=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $28=$27; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=(($28+48)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=HEAPU32[(($29)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=(($26)>>>0) > (($30)>>>0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $33=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $34=$33; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=(($34+44)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=$3; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=(($36+$37)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=(($38+8192)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=(($39-1)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=Math.floor((($40)>>>0)/8192); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=((($41<<13))|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $limit_=$42; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=(($43+8)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $46=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=$46; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $48=(($47+40)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $50=$limit_; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=__ZN9JSContext8realloc_EPvj($45, $49, $50); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $data_=$51; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=$data_; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=(($52)|0)!=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($53) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      $1=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 27; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      var $56=$data_; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=$57; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $59=(($58+40)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($59)>>2)]=$56; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $60=$limit_; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=$61; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=(($62+48)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($63)>>2)]=$60; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 9; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      __label__ = 16; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      __label__ = 11; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $67=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $68=(($67)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $70=(($69)|0)==1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($70) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      var $72=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $73=$72; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=(($73+44)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $76=$3; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $77=(($75+$76)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $78=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $79=$78; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $80=(($79+48)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $81=HEAPU32[(($80)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $82=(($77)>>>0) > (($81)>>>0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($82) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      var $84=$2; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $85=(($84+8)|0); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($86, 2, 0, 63, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 27; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      __label__ = 15; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      __label__ = 26; break; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 18: 
      var $92=$2; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $93=(($92)|0); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $95=(($94)|0)==1; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($95) { __label__ = 19; break; } else { __label__ = 25; break; } //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 19: 
      __label__ = 20; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 20: 
      var $98=$2; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $99=(($98)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $101=(($100)|0)==1; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($101) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 21: 
      var $103=$2; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $104=$103; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $105=(($104+44)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $107=$3; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $108=(($106+$107)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $109=$2; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $110=$109; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $111=(($110+48)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $112=HEAPU32[(($111)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $113=(($108)>>>0) > (($112)>>>0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($113) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 22: 
      var $115=$2; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $116=(($115+8)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($117, 2, 0, 63, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 27; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 23: 
      __label__ = 24; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 24: 
      __label__ = 25; break; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 25: 
      __label__ = 26; break;
    case 26: 
      var $122=$2; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $123=$122; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $124=(($123+40)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $126=$2; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $127=$126; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $128=(($127+44)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $130=(($125+$129)|0); //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $data=$130; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $131=$3; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $132=$2; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $133=$132; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $134=(($133+44)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $136=(($135+$131)|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($134)>>2)]=$136; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $137=$data; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=$137; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 27; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 27: 
      var $139=$1; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      ;
      return $139; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7mem_rawP10JSXDRStatej["X"]=1;

function __ZL8mem_seekP10JSXDRStatei11JSXDRWhence($xdr, $offset, $whence) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $limit_;
      var $data_;
      var $limit_1;
      var $data_2;
      var $numBuf=__stackBase__;
      $2=$xdr;
      $3=$offset;
      $4=$whence;
      var $5=$4; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ((($5)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($5)|0) == 0) {
        __label__ = 22; break;
      }
      else if ((($5)|0) == 2) {
        __label__ = 47; break;
      }
      else {
      __label__ = 52; break;
      }
      
    case 2: 
      var $7=$2; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $8=$7; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $9=(($8+44)|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $11=$3; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $12=(($10+$11)|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $13=(($12)|0) < 0; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 3: 
      var $15=$2; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $16=(($15+8)|0); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($17, 2, 0, 64, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 4: 
      var $19=$3; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $20=(($19)|0) > 0; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 21; break; } //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 5: 
      __label__ = 6; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 6: 
      var $23=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $24=(($23)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $26=(($25)|0)==0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 13; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 7: 
      var $28=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $29=$28; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $30=(($29+48)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $32=(($31)|0)!=0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 8: 
      var $34=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $35=$34; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $36=(($35+44)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $38=$3; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $39=(($37+$38)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $40=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $41=$40; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $42=(($41+48)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $43=HEAPU32[(($42)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $44=(($39)>>>0) > (($43)>>>0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 9: 
      var $46=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $47=$46; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $48=(($47+44)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $50=$3; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $51=(($49+$50)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $52=(($51+8192)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $53=(($52-1)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $54=Math.floor((($53)>>>0)/8192); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $55=((($54<<13))|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $limit_=$55; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $56=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $57=(($56+8)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $59=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $60=$59; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $61=(($60+40)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $63=$limit_; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $64=__ZN9JSContext8realloc_EPvj($58, $62, $63); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $data_=$64; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $65=$data_; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $66=(($65)|0)!=0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($66) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 10: 
      $1=0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 11: 
      var $69=$data_; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $70=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $71=$70; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $72=(($71+40)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($72)>>2)]=$69; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $73=$limit_; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $74=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $75=$74; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $76=(($75+48)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($76)>>2)]=$73; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 12; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 12: 
      __label__ = 19; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 13: 
      __label__ = 14; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 14: 
      var $80=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $81=(($80)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $83=(($82)|0)==1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($83) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 15: 
      var $85=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $86=$85; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $87=(($86+44)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $89=$3; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $90=(($88+$89)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $91=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $92=$91; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $93=(($92+48)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $94=HEAPU32[(($93)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $95=(($90)>>>0) > (($94)>>>0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($95) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 16: 
      var $97=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $98=(($97+8)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($99, 2, 0, 63, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 17: 
      __label__ = 18; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 18: 
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 20: 
      __label__ = 21; break; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 21: 
      var $105=$3; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $106=$2; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $107=$106; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $108=(($107+44)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $110=(($109+$105)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($108)>>2)]=$110; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 22: 
      var $112=$3; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $113=(($112)|0) < 0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($113) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 23: 
      var $115=$2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $116=(($115+8)|0); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($117, 2, 0, 64, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 24: 
      var $119=$2; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $120=(($119)|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $122=(($121)|0)==0; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($122) { __label__ = 25; break; } else { __label__ = 43; break; } //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 25: 
      var $124=$3; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $125=$2; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $126=$125; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $127=(($126+44)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $128=HEAPU32[(($127)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $129=(($124)>>>0) > (($128)>>>0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($129) { __label__ = 26; break; } else { __label__ = 42; break; } //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 26: 
      __label__ = 27; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 27: 
      var $132=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $133=(($132)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $135=(($134)|0)==0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($135) { __label__ = 28; break; } else { __label__ = 34; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 28: 
      var $137=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $138=$137; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $139=(($138+48)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $141=(($140)|0)!=0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($141) { __label__ = 29; break; } else { __label__ = 33; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 29: 
      var $143=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $144=$143; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $145=(($144+44)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $147=$3; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $148=(($146+$147)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $149=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $150=$149; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $151=(($150+44)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $153=(($148-$152)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $154=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $155=$154; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $156=(($155+48)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $157=HEAPU32[(($156)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $158=(($153)>>>0) > (($157)>>>0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($158) { __label__ = 30; break; } else { __label__ = 33; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 30: 
      var $160=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $161=$160; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $162=(($161+44)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $164=$3; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $165=(($163+$164)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $166=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $167=$166; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $168=(($167+44)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $170=(($165-$169)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $171=(($170+8192)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $172=(($171-1)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $173=Math.floor((($172)>>>0)/8192); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $174=((($173<<13))|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $limit_1=$174; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $175=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $176=(($175+8)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $178=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $179=$178; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $180=(($179+40)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $181=HEAP32[(($180)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $182=$limit_1; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $183=__ZN9JSContext8realloc_EPvj($177, $181, $182); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $data_2=$183; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $184=$data_2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $185=(($184)|0)!=0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($185) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 31: 
      $1=0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 32: 
      var $188=$data_2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $189=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $190=$189; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $191=(($190+40)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($191)>>2)]=$188; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $192=$limit_1; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $193=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $194=$193; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $195=(($194+48)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($195)>>2)]=$192; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 33; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 33: 
      __label__ = 40; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 34: 
      __label__ = 35; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 35: 
      var $199=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $200=(($199)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $202=(($201)|0)==1; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($202) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 36: 
      var $204=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $205=$204; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $206=(($205+44)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $207=HEAP32[(($206)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $208=$3; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $209=(($207+$208)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $210=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $211=$210; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $212=(($211+44)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $214=(($209-$213)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $215=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $216=$215; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $217=(($216+48)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $218=HEAPU32[(($217)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $219=(($214)>>>0) > (($218)>>>0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($219) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 37: 
      var $221=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $222=(($221+8)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $223=HEAP32[(($222)>>2)]; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($223, 2, 0, 63, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 38: 
      __label__ = 39; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 39: 
      __label__ = 40; break;
    case 40: 
      __label__ = 41; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 41: 
      __label__ = 42; break; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 42: 
      var $229=$3; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $230=$2; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $231=$230; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $232=(($231+44)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($232)>>2)]=$229; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 46; break; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 43: 
      var $234=$3; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $235=$2; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $236=$235; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $237=(($236+48)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $238=HEAPU32[(($237)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $239=(($234)>>>0) > (($238)>>>0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($239) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 44: 
      var $241=$2; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $242=(($241+8)|0); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $243=HEAP32[(($242)>>2)]; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($243, 2, 0, 65, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 45: 
      var $245=$3; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $246=$2; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $247=$246; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $248=(($247+44)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($248)>>2)]=$245; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 46; break;
    case 46: 
      $1=1; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 47: 
      var $251=$3; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $252=(($251)|0) >= 0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($252) { __label__ = 50; break; } else { __label__ = 48; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 48: 
      var $254=$2; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $255=(($254)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $256=HEAP32[(($255)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $257=(($256)|0)==0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($257) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 49: 
      var $259=$2; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $260=$259; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $261=(($260+48)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $262=HEAP32[(($261)>>2)]; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $263=$3; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $264=(($262+$263)|0); //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $265=(($264)|0) < 0; //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      if ($265) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 50: 
      var $267=$2; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $268=(($267+8)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $269=HEAP32[(($268)>>2)]; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($269, 2, 0, 66, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 51: 
      var $271=$2; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $272=$271; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $273=(($272+48)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $275=$3; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $276=(($274+$275)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $277=$2; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $278=$277; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $279=(($278+44)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      HEAP32[(($279)>>2)]=$276; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=1; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 52: 
      var $281=(($numBuf)|0); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $282=$4; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $283=_JS_snprintf($281, 12, ((STRING_TABLE.__str4168)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$282,tempInt)); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $284=$2; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $285=(($284+8)|0); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $286=HEAP32[(($285)>>2)]; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      var $287=(($numBuf)|0); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      _JS_ReportErrorNumber($286, 2, 0, 67, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$287,tempInt)); //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      $1=0; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      __label__ = 53; break; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    case 53: 
      var $289=$1; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
      STACKTOP = __stackBase__;
      return $289; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8mem_seekP10JSXDRStatei11JSXDRWhence["X"]=1;

function __ZL12mem_finalizeP10JSXDRState($xdr) {
  ;
  var __label__;

  var $1;
  $1=$xdr;
  var $2=$1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $3=(($2+8)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $5=$1; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $6=$5; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $7=(($6+40)|0); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  __ZN9JSContext5free_EPv($4, $8); //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
  ;
  return; //@line 226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxdrapi.cpp"
}


function _js_free4222($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc4223($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18namespace_equalityP9JSContextP8JSObjectPKN2JS5ValueEPi($cx, $obj, $v, $bp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj2;
      $1=$cx;
      $2=$obj;
      $3=$v;
      $4=$bp;
      var $5=$3; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__ZNK2JS5Value14toObjectOrNullEv($5); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj2=$6; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$obj2; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)!=0; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$obj2; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZNK8JSObject8getClassEv($10); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=((__ZN2js14NamespaceClassE)|0); //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $22 = 0;__label__ = 5; break; //@line 206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $15=$2; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__ZNK8JSObject10getNameURIEv($15); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$obj2; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__ZNK8JSObject10getNameURIEv($17); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=__ZN2js12EqualStringsEP14JSLinearStringS1_($16, $18); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)&1); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22 = $20;__label__ = 5; break; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$4; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($23)>>2)]=$22; //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return 1; //@line 209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18namespace_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+8)|0); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$obj; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK8JSObject11isNamespaceEv($14); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$2; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$4; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $18, __ZN2js14NamespaceClassE); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$4; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$obj; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject13getNameURIValEv($5, $21); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$20; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$5; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $25=$1; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject7isQNameEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 1568 "./jsobj.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1568 "./jsobj.h"
      var $5=(($4)|0)==((__ZN2js10QNameClassE)|0); //@line 1568 "./jsobj.h"
      if ($5) { var $15 = 1;__label__ = 4; break; } else { __label__ = 2; break; } //@line 1568 "./jsobj.h"
    case 2: 
      var $7=(($2+4)|0); //@line 1568 "./jsobj.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1568 "./jsobj.h"
      var $9=(($8)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 1568 "./jsobj.h"
      if ($9) { var $15 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1568 "./jsobj.h"
    case 3: 
      var $11=(($2+4)|0); //@line 1568 "./jsobj.h"
      var $12=HEAP32[(($11)>>2)]; //@line 1568 "./jsobj.h"
      var $13=(($12)|0)==((__ZN2js12AnyNameClassE)|0); //@line 1568 "./jsobj.h"
      var $15 = $13;__label__ = 4; break; //@line 1568 "./jsobj.h"
    case 4: 
      var $15;
      ;
      return $15; //@line 1568 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16JSXMLArrayCursor10disconnectEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 97 "./jsxml.h"
      var $4=HEAP32[(($3)>>2)]; //@line 97 "./jsxml.h"
      var $5=(($4)|0)!=0; //@line 97 "./jsxml.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 97 "./jsxml.h"
    case 2: 
      __label__ = 6; break; //@line 98 "./jsxml.h"
    case 3: 
      var $8=(($2+8)|0); //@line 99 "./jsxml.h"
      var $9=HEAP32[(($8)>>2)]; //@line 99 "./jsxml.h"
      var $10=(($9)|0)!=0; //@line 99 "./jsxml.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 99 "./jsxml.h"
    case 4: 
      var $12=(($2+12)|0); //@line 100 "./jsxml.h"
      var $13=HEAP32[(($12)>>2)]; //@line 100 "./jsxml.h"
      var $14=(($2+8)|0); //@line 100 "./jsxml.h"
      var $15=HEAP32[(($14)>>2)]; //@line 100 "./jsxml.h"
      var $16=(($15+12)|0); //@line 100 "./jsxml.h"
      HEAP32[(($16)>>2)]=$13; //@line 100 "./jsxml.h"
      __label__ = 5; break; //@line 100 "./jsxml.h"
    case 5: 
      var $18=(($2+8)|0); //@line 101 "./jsxml.h"
      var $19=HEAP32[(($18)>>2)]; //@line 101 "./jsxml.h"
      var $20=(($2+12)|0); //@line 101 "./jsxml.h"
      var $21=HEAP32[(($20)>>2)]; //@line 101 "./jsxml.h"
      HEAP32[(($21)>>2)]=$19; //@line 101 "./jsxml.h"
      var $22=(($2)|0); //@line 102 "./jsxml.h"
      HEAP32[(($22)>>2)]=0; //@line 102 "./jsxml.h"
      __label__ = 6; break; //@line 103 "./jsxml.h"
    case 6: 
      ;
      return; //@line 103 "./jsxml.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14qname_equalityP9JSContextP8JSObjectPKN2JS5ValueEPi($cx, $qn, $v, $bp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj2;
      $1=$cx;
      $2=$qn;
      $3=$v;
      $4=$bp;
      var $5=$3; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__ZNK2JS5Value14toObjectOrNullEv($5); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj2=$6; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$obj2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)!=0; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$obj2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZNK8JSObject8getClassEv($10); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=((__ZN2js10QNameClassE)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $19 = 0;__label__ = 5; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $15=$2; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$obj2; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL14qname_identityP8JSObjectS0_($15, $16); //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19 = $17;__label__ = 5; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$4; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($20)>>2)]=$19; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return 1; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14qname_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $str;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$4; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+8)|0); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$8; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$obj; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$obj; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK8JSObject7isQNameEv($13); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$2; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($16, $17, __ZN2js10QNameClassE); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$2; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$obj; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZL20ConvertQNameToStringP9JSContextP8JSObject($19, $20); //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$21; //@line 455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$str; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $26=$4; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$str; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value9setStringEP8JSString($26, $27); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $29=$1; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $29; //@line 461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z26js_ConstructXMLQNameObjectP9JSContextRKN2JS5ValueES4_($cx, $nsval, $lnval) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $argv=__stackBase__;
      $1=$cx;
      $2=$nsval;
      $3=$lnval;
      var $4=$2; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=__ZNK2JS5Value8isObjectEv($4); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $7=$2; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZNK2JS5Value8toObjectEv($7); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZNK8JSObject8getClassEv($8); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)==((__ZN2js12AnyNameClassE)|0); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=(($argv)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value7setNullEv($12); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $14=(($argv)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$2; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$14; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$15; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break;
    case 5: 
      var $19=(($argv+8)|0); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$3; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$19; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$20; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$1; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($argv)|0); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($23, __ZN2js10QNameClassE, 0, 0, 2, $24); //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z12js_IsXMLNameP9JSContextN2JS5ValueE($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $name;
      var $older;
      var $4=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $str;
      $3=$cx;
      var $7=$v;
      var $8=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
      $name=0; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$v; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=_JSVAL_IS_PRIMITIVE4303($4); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $14=$5; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$v; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=_JSVAL_TO_OBJECT4304($5); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZNK8JSObject7isQNameEv($16); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $19=$6; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$v; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=_JSVAL_TO_OBJECT4304($6); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=__ZNK8JSObject17getQNameLocalNameEv($21); //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $name=$23; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $25=$3; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=_JS_SetErrorReporter($25, 0); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $older=$26; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$3; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($27, $v); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$28; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$str; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $32=$str; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$3; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZN8JSString12ensureLinearEP9JSContext($32, $33); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $name=$34; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $36=$3; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$older; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=_JS_SetErrorReporter($36, $37); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$name; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0)!=0; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $42=$3; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ClearPendingException($42); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $45=$name; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=__ZNK14JSLinearString5charsEv($45); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$name; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$47; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZNK8JSString6lengthEv($48); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=__ZL9IsXMLNamePKtj($46, $49); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$50; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $52=$2; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $52; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z12js_IsXMLNameP9JSContextN2JS5ValueE["X"]=1;

function _JSVAL_IS_PRIMITIVE4303($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1421 "./jsapi.h"
  var $7=$v; //@line 1421 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1421 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1421 "./jsapi.h"
  var $8=_JSVAL_IS_PRIMITIVE_IMPL4409($2); //@line 1421 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1421 "./jsapi.h"
}


function _JSVAL_TO_OBJECT4304($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1388 "./jsapi.h"
  var $7=$v; //@line 1388 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1388 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1388 "./jsapi.h"
  var $8=_JSVAL_TO_OBJECT_IMPL4449($2); //@line 1388 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1388 "./jsapi.h"
}


function __ZNK8JSObject17getQNameLocalNameEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject7getSlotEj($2, 2); //@line 748 "./jsobjinlines.h"
      $v=$3; //@line 748 "./jsobjinlines.h"
      var $4=$v; //@line 749 "./jsobjinlines.h"
      var $5=__ZNK2JS5Value11isUndefinedEv($4); //@line 749 "./jsobjinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 749 "./jsobjinlines.h"
    case 2: 
      var $7=$v; //@line 749 "./jsobjinlines.h"
      var $8=__ZNK2JS5Value8toStringEv($7); //@line 749 "./jsobjinlines.h"
      var $9=__ZNK8JSString6asAtomEv($8); //@line 749 "./jsobjinlines.h"
      var $12 = $9;__label__ = 4; break; //@line 749 "./jsobjinlines.h"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 749 "./jsobjinlines.h"
    case 4: 
      var $12; //@line 749 "./jsobjinlines.h"
      ;
      return $12; //@line 749 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9IsXMLNamePKtj($cp, $n) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $rv;
      var $c;
      $2=$cp;
      $3=$n;
      $rv=0; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=$3; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4)|0)!=0; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $7=$2; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=HEAP16[(($7)>>1)]; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js7unicode19IsXMLNamespaceStartEt($8); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      __label__ = 4; break; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $12=$3; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12-1)|0); //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$13; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $16=$2; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+2)|0); //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$17; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP16[(($17)>>1)]; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $c=$18; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$c; //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZN2js7unicode18IsXMLNamespacePartEt($19); //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $22=$rv; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$22; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 4; break; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $rv=1; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $26=$rv; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$26; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $28=$1; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $28; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN16JSXMLArrayCursor5traceEP8JSTracer($this, $trc) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cursor;
      $1=$this;
      $2=$trc;
      var $3=$1;
      $cursor=$3; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $5=$cursor; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5)|0)!=0; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $8=$2; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$cursor; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+16)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($3+4)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+1)|0); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($12)>>2)]=$14; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js2gc11MarkGCThingEP8JSTracerPvPKcj($8, $11, ((STRING_TABLE.__str24246)|0), $13); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$cursor; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+8)|0); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$18; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      ;
      return; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10JSXMLArray11setCapacityEP9JSContextj($this, $cx, $newCapacity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $tmp;
      $2=$this;
      $3=$cx;
      $4=$newCapacity;
      var $5=$2;
      var $6=$4; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)==0; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $9=(($5+8)|0); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$3; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$3; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($5+8)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$18; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($16, $19); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $21=(($5+8)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js10Foreground5free_EPv($23); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $26=(($5+8)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($26)>>2)]=0; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $28=$4; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)>>>0) > 1073741823; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $31=(($5+8)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$32; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$4; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=((($34<<2))|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZN2js11OffTheBooks8realloc_EPvj($33, $35); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$36; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $tmp=$37; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)!=0; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 13; break; } else { __label__ = 10; break; } //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $40=$3; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)!=0; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $43=$3; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportOutOfMemory($43); //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=0; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $46=$tmp; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($5+8)|0); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($47)>>2)]=$46; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break;
    case 14: 
      var $49=$4; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=-2147483648 | $49; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($5+4)|0); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($51)>>2)]=$50; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $53=$1; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $53; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10JSXMLArray11setCapacityEP9JSContextj["X"]=1;

function __ZN10JSXMLArray4trimEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+4)|0); //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4 & -2147483648; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5)|0)!=0; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      __label__ = 5; break; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $9=(($2)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($2+4)|0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($10)>>>0) < (($12)>>>0); //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $15=(($2)|0); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZN10JSXMLArray11setCapacityEP9JSContextj($2, 0, $16); //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      ;
      return; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10JSXMLArray6finishEP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cursor;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=$2; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($3+8)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$6; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($4, $7); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $9=(($3+12)|0); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$10; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$cursor; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$cursor; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursor10disconnectEv($14); //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      ;
      return; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z32js_GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($obj, $funidp, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$obj;
      $3=$funidp;
      $4=$cx;
      var $5=$2; //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__ZNK8JSObject7isQNameEv($5); //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $9=$2; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$3; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZL29GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($9, $10, $11); //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$12; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $14=$1; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $14; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL29GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($qn, $funidp, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $atom;
      var $uri;
      $2=$qn;
      $3=$funidp;
      $4=$cx;
      var $5=$4; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5+52)|0); //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+209948)|0); //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+480)|0); //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$10; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $atom=$11; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$2; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZNK8JSObject10getNameURIEv($12); //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$13; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$uri; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $17=$uri; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$atom; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$18; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($17)|0)==(($19)|0); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $22=$uri; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$atom; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZN2js12EqualStringsEP14JSLinearStringS1_($22, $24); //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27=$2; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZNK8JSObject17getQNameLocalNameEv($27); //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZL12ATOM_TO_JSIDP6JSAtom4336($28); //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$3; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($30)>>2)]=$29; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=0; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $33=$1; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $33; //@line 2821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z11xml_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE($cx, $obj, $hint, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $anch=__stackBase__;
      var $str;
      var $6;
      var $7=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$hint;
      $5=$rval;
      var $8=$3; //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS6AnchorIP8JSObjectEC1ES2_($anch, $8); //@line 4995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$2; //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$3; //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZNK8JSObject10getPrivateEv($10); //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$11; //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZL19xml_toString_helperP9JSContextP5JSXML($9, $12); //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$13; //@line 4996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$str; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 4; break; //@line 4998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$5; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$str; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($7, $19); //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$18; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$7; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 4999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 4; break; //@line 5000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __ZN2JS6AnchorIP8JSObjectED1Ev($anch); //@line 5001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$1; //@line 5001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 5001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS6AnchorIP8JSObjectEC1ES2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 139 "./jsapi.h"
  __ZN2JS6AnchorIP8JSObjectEC2ES2_($3, $4); //@line 139 "./jsapi.h"
  ;
  return; //@line 139 "./jsapi.h"
}


function __ZL19xml_toString_helperP9JSContextP5JSXML($cx, $xml) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $str;
      var $kidstr;
      var $4=__stackBase__;
      var $cursor=__stackBase__+8;
      var $kid;
      var $5;
      $2=$cx;
      $3=$xml;
      var $6=$3; //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+16)|0); //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)==2; //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=$3; //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+16)|0); //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)==4; //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 6853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$3; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+24)|0); //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$19; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 6855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $21=$3; //@line 6858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=__ZL16HasSimpleContentP5JSXML($21); //@line 6858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 6858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 6858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$2; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$3; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($4, $28); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZL11ToXMLStringP9JSContextN2JS5ValueEj($25, $4, 0); //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$29; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 6859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $31=$2; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+52)|0); //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+144136)|0); //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$36; //@line 6861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$2; //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=__ZL22js_EnterLocalRootScopeP9JSContext($37); //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 6863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 6863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $41=$3; //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+24)|0); //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0); //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $44); //@line 6864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $46=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$46; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$47; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$kid; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 18; break; } //@line 6865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $51=$kid; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+16)|0); //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0)!=5; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $56=$kid; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56+16)|0); //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)!=3; //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 12; break; } else { __label__ = 17; break; } //@line 6866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $61=$2; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$kid; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__ZL19xml_toString_helperP9JSContextP5JSXML($61, $62); //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidstr=$63; //@line 6868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$kidstr; //@line 6869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0)!=0; //@line 6869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($65) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $str=0; //@line 6870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 6871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $68=$2; //@line 6873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$str; //@line 6873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$kidstr; //@line 6873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($68, $69, $70); //@line 6873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$71; //@line 6873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$str; //@line 6874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72)|0)!=0; //@line 6874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($73) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 6874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 18; break; //@line 6875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 6876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 9; break; //@line 6877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $78=$2; //@line 6878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$str; //@line 6878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$79; //@line 6878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextPv($78, $80); //@line 6878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$str; //@line 6879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$81; //@line 6879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 6880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break;
    case 19: 
      var $83=$1; //@line 6880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 6880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19xml_toString_helperP9JSContextP5JSXML["X"]=1;

function __ZN2JSL11StringValueEP8JSString4311($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "./jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "./jsapi.h"
  ;
  return; //@line 719 "./jsapi.h"
}


function __ZN2JS6AnchorIP8JSObjectED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2JS6AnchorIP8JSObjectED2Ev($2); //@line 155 "./jsapi.h"
  ;
  return; //@line 168 "./jsapi.h"
}


function _JSID_IS_OBJECT4314($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "./jsapi.h"
      var $3=$2 & 7; //@line 1558 "./jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "./jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "./jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT4315($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "./jsapi.h"
  var $3=$2 & -8; //@line 1566 "./jsapi.h"
  var $4=$3; //@line 1566 "./jsapi.h"
  ;
  return $4; //@line 1566 "./jsapi.h"
}


function __Z15js_GetXMLMethodP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $tvr=__stackBase__+4;
      var $ok;
      var $6;
      $2=$cx;
      $3=$obj;
      HEAP32[(($4)>>2)]=$id;
      $5=$vp;
      var $7=HEAP32[(($4)>>2)]; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=_JSID_IS_OBJECT4314($7); //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=HEAP32[(($4)>>2)]; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=_JSID_TO_OBJECT4315($11); //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$2; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__Z32js_GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($12, $4, $13); //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$2; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $16); //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$2; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$3; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($4)>>2)]; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZL14GetXMLFunctionP9JSContextP8JSObjectiPN2JS5ValueE($17, $18, $19, $20); //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$21; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$5; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__ZNK2js15AutoValueRooter5valueEv($tvr); //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$22; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$23; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$ok; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$26; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$1; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14GetXMLFunctionP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $target;
      var $tvr=__stackBase__;
      var $6;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $xml;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $9=$3; //@line 7677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $target=$9; //@line 7677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$2; //@line 7678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $10, 0); //@line 7678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 7679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $12=$2; //@line 7680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$target; //@line 7680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$4; //@line 7680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$5; //@line 7680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__Z14js_GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($12, $13, $14, $15); //@line 7680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 7680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $1=0; //@line 7681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 16; break; //@line 7681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$5; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$7; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$20; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=_JSVAL_IS_PRIMITIVE4303($7); //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26=$5; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$8; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$26; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_JSVAL_TO_OBJECT4304($8); //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=__ZNK8JSObject10isFunctionEv($29); //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=1; //@line 7683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 16; break; //@line 7683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $33=$target; //@line 7684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZNK8JSObject8getProtoEv($33); //@line 7684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $target=$34; //@line 7684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$target; //@line 7685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0)==0; //@line 7685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 7685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $38=$target; //@line 7685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=__ZNK8JSObject8isNativeEv($38); //@line 7685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 7685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 11; break; //@line 7686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $42=$target; //@line 7687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js16AutoObjectRooter9setObjectEP8JSObject($tvr, $42); //@line 7687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 7688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $44=$3; //@line 7690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=__ZNK8JSObject10getPrivateEv($44); //@line 7690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$45; //@line 7690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$46; //@line 7690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$xml; //@line 7691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__ZL16HasSimpleContentP5JSXML($47); //@line 7691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 7691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 7691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=1; //@line 7692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 16; break; //@line 7692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $52=$2; //@line 7695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZN2js16AutoObjectRooter4addrEv($tvr); //@line 7695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($52, 0, 9, $53, 0); //@line 7695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0)!=0; //@line 7695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 7695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=0; //@line 7696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 16; break; //@line 7696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $58=__ZNK2js16AutoObjectRooter6objectEv($tvr); //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$2; //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$4; //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$5; //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($58, $59, $60, $61); //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$62; //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 16; break; //@line 7699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$1; //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $64; //@line 7700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14GetXMLFunctionP9JSContextP8JSObjectiPN2JS5ValueE["X"]=1;

function __Z18js_TestXMLEqualityP9JSContextRKN2JS5ValueES4_Pi($cx, $v1, $v2, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 136; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $xml;
      var $vxml;
      var $vobj;
      var $ok;
      var $str;
      var $vstr;
      var $d=__stackBase__;
      var $d2;
      var $obj;
      var $v=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $7=__stackBase__+32;
      var $8=__stackBase__+40;
      var $9=__stackBase__+48;
      var $10=__stackBase__+56;
      var $11=__stackBase__+64;
      var $12=__stackBase__+72;
      var $13=__stackBase__+80;
      var $14=__stackBase__+88;
      var $15=__stackBase__+96;
      var $16=__stackBase__+104;
      var $17=__stackBase__+112;
      var $18=__stackBase__+120;
      var $19=__stackBase__+128;
      $1=$cx;
      $2=$v1;
      $3=$v2;
      $4=$bp;
      var $20=$2; //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK2JS5Value8isObjectEv($20); //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $23=$2; //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__ZNK2JS5Value8toObjectEv($23); //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZNK8JSObject5isXMLEv($24); //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 5154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $27=$2; //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZNK2JS5Value8toObjectEv($27); //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$28; //@line 5155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$3; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$v; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$29; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 5156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 5157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $33=$2; //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$v; //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$33; //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 5158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$3; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=__ZNK2JS5Value8toObjectEv($36); //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$37; //@line 5159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break;
    case 5: 
      var $39=$obj; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=__ZNK8JSObject10getPrivateEv($39); //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$40; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$41; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=0; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$5; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$v; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=_JSVAL_IS_PRIMITIVE4303($5); //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0)!=0; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 6; break; } //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $47=$6; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$v; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=_JSVAL_TO_OBJECT4304($6); //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$49; //@line 5167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$vobj; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=__ZNK8JSObject5isXMLEv($50); //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($51) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $53=$vobj; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=__ZNK8JSObject10getPrivateEv($53); //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$54; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$55; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 9; break; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $58=$xml; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58+16)|0); //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0)==0; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $63=$1; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$xml; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$7; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$v; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($65)>>2)]=HEAP32[(($66)>>2)];HEAP32[(($65+4)>>2)]=HEAP32[(($66+4)>>2)]; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$4; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=__ZL6EqualsP9JSContextP5JSXMLN2JS5ValueEPi($63, $64, $7, $67); //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$68; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 56; break; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $70=$vxml; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=0; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 12; break; } else { __label__ = 30; break; } //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $73=$vxml; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73+16)|0); //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0)==0; //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 5175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $78=$1; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$vxml; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$obj; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($8, $80); //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$4; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=__ZL6EqualsP9JSContextP5JSXMLN2JS5ValueEPi($78, $79, $8, $81); //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$82; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 5177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $84=$xml; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+16)|0); //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=(($86)|0)==4; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($87) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $89=$xml; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89+16)|0); //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91)|0)==2; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($92) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $94=$vxml; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=__ZL16HasSimpleContentP5JSXML($94); //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0)!=0; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($96) { __label__ = 20; break; } else { __label__ = 17; break; } //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $98=$vxml; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=(($98+16)|0); //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($100)|0)==4; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($101) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $103=$vxml; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103+16)|0); //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0)==2; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 19; break; } else { __label__ = 27; break; } //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $108=$xml; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=__ZL16HasSimpleContentP5JSXML($108); //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($109)|0)!=0; //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($110) { __label__ = 20; break; } else { __label__ = 27; break; } //@line 5183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $112=$1; //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=__ZL22js_EnterLocalRootScopeP9JSContext($112); //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113)&1); //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$114; //@line 5184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$ok; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($115)|0)!=0; //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($116) { __label__ = 21; break; } else { __label__ = 26; break; } //@line 5185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $118=$1; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$obj; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($9, $119); //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($118, $9); //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$120; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120)|0)!=0; //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($121) { __label__ = 22; break; } else { var $127 = 0;__label__ = 23; break; } //@line 5186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $123=$1; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($123, $v); //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vstr=$124; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($124)|0)!=0; //@line 5187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127 = $125;__label__ = 23; break;
    case 23: 
      var $127;
      var $128=(($127)&1);
      $ok=$128;
      var $129=$ok; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=(($129)|0)!=0; //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($130) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 5188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $132=$1; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=$str; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$vstr; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$4; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($132, $133, $134, $135); //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136)&1); //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$137; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 5189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $139=$1; //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL22js_LeaveLocalRootScopeP9JSContext($139); //@line 5190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 5191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 28; break; //@line 5192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $142=$1; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=$xml; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$vxml; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$4; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=__ZL9XMLEqualsP9JSContextP5JSXMLS2_Pi($142, $143, $144, $145); //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$146; //@line 5193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break;
    case 28: 
      __label__ = 29; break;
    case 29: 
      __label__ = 55; break; //@line 5196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $150=$1; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=__ZL22js_EnterLocalRootScopeP9JSContext($150); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=(($151)&1); //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$152; //@line 5197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$ok; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=(($153)|0)!=0; //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($154) { __label__ = 31; break; } else { __label__ = 54; break; } //@line 5198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $156=$xml; //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=__ZL16HasSimpleContentP5JSXML($156); //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=(($157)|0)!=0; //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($158) { __label__ = 32; break; } else { __label__ = 37; break; } //@line 5199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $160=$1; //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$obj; //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($10, $161); //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($160, $10); //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$162; //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=(($162)|0)!=0; //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($163) { __label__ = 33; break; } else { var $169 = 0;__label__ = 34; break; } //@line 5200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $165=$1; //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($165, $v); //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vstr=$166; //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=(($166)|0)!=0; //@line 5201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169 = $167;__label__ = 34; break;
    case 34: 
      var $169;
      var $170=(($169)&1);
      $ok=$170;
      var $171=$ok; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=(($171)|0)!=0; //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($172) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 5202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $174=$1; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=$str; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=$vstr; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=$4; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($174, $175, $176, $177); //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=(($178)&1); //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$179; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 5203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      __label__ = 53; break; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $182=$11; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=$v; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($182)>>2)]=HEAP32[(($183)>>2)];HEAP32[(($182+4)>>2)]=HEAP32[(($183+4)>>2)]; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=_JSVAL_IS_STRING4320($11); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=(($184)|0)!=0; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($185) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $187=$12; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $188=$v; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($187)>>2)]=HEAP32[(($188)>>2)];HEAP32[(($187+4)>>2)]=HEAP32[(($188+4)>>2)]; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $189=_JSVAL_IS_NUMBER($12); //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $190=(($189)|0)!=0; //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($190) { __label__ = 39; break; } else { __label__ = 51; break; } //@line 5204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $192=$1; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=$obj; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($13, $193); //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($192, $13); //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$194; //@line 5205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=$str; //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $196=(($195)|0)!=0; //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($196) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 5206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      $ok=0; //@line 5207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $199=$14; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $200=$v; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($199)>>2)]=HEAP32[(($200)>>2)];HEAP32[(($199+4)>>2)]=HEAP32[(($200+4)>>2)]; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $201=_JSVAL_IS_STRING4320($14); //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=(($201)|0)!=0; //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($202) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 5208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $204=$1; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $205=$str; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=$15; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=$v; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($206)>>2)]=HEAP32[(($207)>>2)];HEAP32[(($206+4)>>2)]=HEAP32[(($207+4)>>2)]; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=_JSVAL_TO_STRING4321($15); //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $209=$4; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $210=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($204, $205, $208, $209); //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=(($210)&1); //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$211; //@line 5209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 5210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $213=$1; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $214=$str; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($16, $214); //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $215=_JS_ValueToNumber($213, $16, $d); //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$215; //@line 5211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=$ok; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=(($216)|0)!=0; //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($217) { __label__ = 44; break; } else { __label__ = 48; break; } //@line 5212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $219=$17; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $220=$v; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($219)>>2)]=HEAP32[(($220)>>2)];HEAP32[(($219+4)>>2)]=HEAP32[(($220+4)>>2)]; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $221=_JSVAL_IS_INT4323($17); //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $222=(($221)|0)!=0; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($222) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $224=$18; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $225=$v; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($224)>>2)]=HEAP32[(($225)>>2)];HEAP32[(($224+4)>>2)]=HEAP32[(($225+4)>>2)]; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $226=_JSVAL_TO_INT4324($18); //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $227=(($226)|0); //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $233 = $227;__label__ = 47; break; //@line 5213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      var $229=$19; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $230=$v; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($229)>>2)]=HEAP32[(($230)>>2)];HEAP32[(($229+4)>>2)]=HEAP32[(($230+4)>>2)]; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $231=_JSVAL_TO_DOUBLE4325($19); //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $233 = $231;__label__ = 47; break; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      var $233; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $d2=$233; //@line 5214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $234=(tempDoubleI32[0]=HEAP32[(($d)>>2)],tempDoubleI32[1]=HEAP32[(($d+4)>>2)],tempDoubleF64[0]); //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $235=$d2; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $236=$234 == $235; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $237=(($236)&1); //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $238=$4; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($238)>>2)]=$237; //@line 5215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      __label__ = 49; break;
    case 49: 
      __label__ = 50; break;
    case 50: 
      __label__ = 52; break; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      var $243=$4; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($243)>>2)]=0; //@line 5219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break;
    case 52: 
      __label__ = 53; break;
    case 53: 
      var $246=$1; //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL22js_LeaveLocalRootScopeP9JSContext($246); //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 54; break; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 54: 
      __label__ = 55; break;
    case 55: 
      __label__ = 56; break;
    case 56: 
      var $250=$ok; //@line 5224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $250; //@line 5224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_TestXMLEqualityP9JSContextRKN2JS5ValueES4_Pi["X"]=1;

function __ZL6EqualsP9JSContextP5JSXMLN2JS5ValueEPi($cx, $xml, $0, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $5;
      var $vobj;
      var $vxml;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      $3=$cx;
      $4=$xml;
      var $10=$v;
      var $11=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      $5=$bp;
      var $12=$6; //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$v; //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=_JSVAL_IS_PRIMITIVE4303($6); //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 17; break; } //@line 3374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $17=$5; //@line 3375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($17)>>2)]=0; //@line 3375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$4; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+16)|0); //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)==0; //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 16; break; } //@line 3376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $23=$4; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+24)|0); //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0); //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0); //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0)==1; //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 3377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $31=$4; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+24)|0); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$32; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33)|0); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAPU32[(($35)>>2)]; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=0 < (($36)>>>0); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $39=$4; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+24)|0); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$40; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+8)|0); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0); //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$46; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50 = $47;__label__ = 7; break; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $50 = 0;__label__ = 7; break; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $50; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$50; //@line 3378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$vxml; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)|0)!=0; //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $2=1; //@line 3380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 3380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $55=$3; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$vxml; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__Z15js_GetXMLObjectP9JSContextP5JSXML($55, $56); //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$57; //@line 3381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$vobj; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)!=0; //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 3382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $2=0; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 3383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $62=$3; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$vobj; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($7, $63); //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$5; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=__Z18js_TestXMLEqualityP9JSContextRKN2JS5ValueES4_Pi($62, $7, $v, $64); //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$65; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 3384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $67=$8; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$v; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=_JSVAL_IS_VOID4396($8); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69)|0)!=0; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($70) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $72=$4; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72+24)|0); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$73; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74)|0); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0); //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)|0)==0; //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 3386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $80=$5; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($80)>>2)]=1; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 3387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break; //@line 3388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 23; break; //@line 3389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $84=$9; //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$v; //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($84)>>2)]=HEAP32[(($85)>>2)];HEAP32[(($84+4)>>2)]=HEAP32[(($85+4)>>2)]; //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=_JSVAL_TO_OBJECT4304($9); //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$86; //@line 3390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$vobj; //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=__ZNK8JSObject5isXMLEv($87); //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($88) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $90=$5; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($90)>>2)]=0; //@line 3392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 3393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $92=$vobj; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=__ZNK8JSObject10getPrivateEv($92); //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$93; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$94; //@line 3394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$3; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$4; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$vxml; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$5; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=__ZL9XMLEqualsP9JSContextP5JSXMLS2_Pi($95, $96, $97, $98); //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99)|0)!=0; //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($100) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $2=0; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 3396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      __label__ = 23; break;
    case 23: 
      $2=1; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 3399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $106=$2; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $106; //@line 3400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6EqualsP9JSContextP5JSXMLN2JS5ValueEPi["X"]=1;

function _OBJECT_TO_JSVAL4318($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "./jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "./jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "./jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "./jsapi.h"
      _OBJECT_TO_JSVAL_IMPL4443($2, $6); //@line 1395 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout4416($agg_result, $2); //@line 1395 "./jsapi.h"
      __label__ = 4; break; //@line 1395 "./jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "./jsapi.h"
      __label__ = 4; break; //@line 1396 "./jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL22js_EnterLocalRootScopeP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 1; //@line 105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL22js_LeaveLocalRootScopeP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL16HasSimpleContentP5JSXML($xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $kid;
      var $simple;
      var $i;
      var $n;
      $2=$xml;
      __label__ = 2; break; //@line 5091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $4=$2; //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4+16)|0); //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 5094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ((($6)|0) == 5 || (($6)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($6)|0) == 0) {
        __label__ = 4; break;
      }
      else {
      __label__ = 14; break;
      }
      
    case 3: 
      $1=0; //@line 5097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 5097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $9=$2; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+24)|0); //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$10; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0); //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0); //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)==0; //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=1; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 5100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $18=$2; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+24)|0); //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$19; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0); //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0); //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)==1; //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 13; break; } //@line 5101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $26=$2; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26+24)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$27; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=HEAPU32[(($30)>>2)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=0 < (($31)>>>0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $34=$2; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+24)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+8)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0); //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$41; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45 = $42;__label__ = 10; break; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $45 = 0;__label__ = 10; break; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $45; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$45; //@line 5102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$kid; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0)!=0; //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $49=$kid; //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$49; //@line 5104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 5105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 14; break; //@line 5107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $simple=1; //@line 5110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$2; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+16)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=HEAPU32[(($54)>>2)]; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)>>>0) < 2; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $58=$2; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58+24)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66 = $63;__label__ = 17; break; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $66 = 0;__label__ = 17; break; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $66; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$66; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $68=$i; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$n; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($68)>>>0) < (($69)>>>0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($70) { __label__ = 19; break; } else { __label__ = 27; break; } //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $72=$i; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$2; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73+24)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$74; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=HEAPU32[(($77)>>2)]; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($72)>>>0) < (($78)>>>0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($79) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $81=$i; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$2; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82+24)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$83; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85+8)|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87+($81<<2))|0); //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$89; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93 = $90;__label__ = 22; break; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $93 = 0;__label__ = 22; break; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $93; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$93; //@line 5112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$kid; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94)|0)!=0; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($95) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $97=$kid; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=(($97+16)|0); //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99)|0)==1; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($100) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      $simple=0; //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      __label__ = 26; break; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $104=$i; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104+1)|0); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$105; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $107=$simple; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$107; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 5118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $109=$1; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $109; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16HasSimpleContentP5JSXML["X"]=1;

function __ZN2JSL11ObjectValueER8JSObject4319($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "./jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "./jsapi.h"
  ;
  return; //@line 735 "./jsapi.h"
}


function _JSVAL_IS_STRING4320($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1362 "./jsapi.h"
  var $7=$v; //@line 1362 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1362 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1362 "./jsapi.h"
  var $8=_JSVAL_IS_STRING_IMPL4412($2); //@line 1362 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1362 "./jsapi.h"
}


function _JSVAL_IS_NUMBER($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1356 "./jsapi.h"
  var $7=$v; //@line 1356 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1356 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1356 "./jsapi.h"
  var $8=_JSVAL_IS_NUMBER_IMPL4446($2); //@line 1356 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1356 "./jsapi.h"
}


function _JSVAL_TO_STRING4321($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1369 "./jsapi.h"
  var $7=$v; //@line 1369 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1369 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1369 "./jsapi.h"
  var $8=_JSVAL_TO_STRING_IMPL4397($2); //@line 1369 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1369 "./jsapi.h"
}


function _STRING_TO_JSVAL4322($agg_result, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$str;
  var $3=$1; //@line 1375 "./jsapi.h"
  _STRING_TO_JSVAL_IMPL4413($2, $3); //@line 1375 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout4416($agg_result, $2); //@line 1375 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1375 "./jsapi.h"
}


function _JSVAL_IS_INT4323($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1298 "./jsapi.h"
  var $7=$v; //@line 1298 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1298 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1298 "./jsapi.h"
  var $8=_JSVAL_IS_INT32_IMPL4445($2); //@line 1298 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1298 "./jsapi.h"
}


function _JSVAL_TO_INT4324($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1305 "./jsapi.h"
  var $7=$v; //@line 1305 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1305 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1305 "./jsapi.h"
  var $8=_JSVAL_TO_INT32_IMPL4444($2); //@line 1305 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1305 "./jsapi.h"
}


function _JSVAL_TO_DOUBLE4325($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $l=__stackBase__+8;
  var $2=__stackBase__+16;
  var $3=__stackBase__+24;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1325 "./jsapi.h"
  var $7=$v; //@line 1325 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1325 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1325 "./jsapi.h"
  var $8=$l; //@line 1325 "./jsapi.h"
  var $9=$2; //@line 1325 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 1325 "./jsapi.h"
  var $10=$l; //@line 1326 "./jsapi.h"
  var $11=(tempDoubleI32[0]=HEAP32[(($10)>>2)],tempDoubleI32[1]=HEAP32[(($10+4)>>2)],tempDoubleF64[0]); //@line 1326 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $11; //@line 1326 "./jsapi.h"
}


function __ZL9XMLEqualsP9JSContextP5JSXMLS2_Pi($cx, $xml, $vxml, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $qn;
      var $vqn;
      var $i;
      var $j;
      var $n;
      var $kid;
      var $vkid;
      var $attr;
      var $vattr;
      var $xobj;
      var $vobj;
      var $cursor=__stackBase__;
      var $vcursor=__stackBase__+20;
      var $6=__stackBase__+40;
      var $7=__stackBase__+48;
      var $8;
      $2=$cx;
      $3=$xml;
      $4=$vxml;
      $5=$bp;
      __label__ = 2; break; //@line 3286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$3; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+16)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$4; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+16)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($12)|0)!=(($15)|0); //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 20; break; } //@line 3289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$3; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+16)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)==0; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $23=$3; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+24)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0); //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0)==1; //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 11; break; } //@line 3290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $31=$3; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+24)|0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$32; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33)|0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAPU32[(($35)>>2)]; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=0 < (($36)>>>0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $39=$3; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+24)|0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$40; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+8)|0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0); //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$46; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50 = $47;__label__ = 8; break; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $50 = 0;__label__ = 8; break; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $50; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$50; //@line 3291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$3; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)|0)!=0; //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 2; break; //@line 3293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 11; break; //@line 3294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $56=$4; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56+16)|0); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)==0; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 12; break; } else { __label__ = 19; break; } //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $61=$4; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61+24)|0); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$62; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)|0); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0); //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0)==1; //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 19; break; } //@line 3295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $69=$4; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69+24)|0); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$70; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71)|0); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72)|0); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=HEAPU32[(($73)>>2)]; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=0 < (($74)>>>0); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($75) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $77=$4; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77+24)|0); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$78; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79)|0); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+8)|0); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82)|0); //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$84; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88 = $85;__label__ = 16; break; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $88 = 0;__label__ = 16; break; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $88; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=$88; //@line 3296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$4; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)|0)!=0; //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($90) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 2; break; //@line 3298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 19; break; //@line 3299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $94=$5; //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($94)>>2)]=0; //@line 3300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 77; break; //@line 3301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $96=$3; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96+12)|0); //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$98; //@line 3304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$4; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99+12)|0); //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vqn=$101; //@line 3305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=$qn; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102)|0)!=0; //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($103) { __label__ = 21; break; } else { __label__ = 25; break; } //@line 3306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $105=$vqn; //@line 3307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0)!=0; //@line 3307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 22; break; } else { var $122 = 0;__label__ = 24; break; } //@line 3307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $108=$qn; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=__ZNK8JSObject17getQNameLocalNameEv($108); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$109; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$vqn; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=__ZNK8JSObject17getQNameLocalNameEv($111); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$112; //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=__ZN2js12EqualStringsEP14JSLinearStringS1_($110, $113); //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($114) { __label__ = 23; break; } else { var $122 = 0;__label__ = 24; break; } //@line 3308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $116=$qn; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=__ZNK8JSObject10getNameURIEv($116); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=$vqn; //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=__ZNK8JSObject10getNameURIEv($118); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=__ZN2js12EqualStringsEP14JSLinearStringS1_($117, $119); //@line 3309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122 = $120;__label__ = 24; break;
    case 24: 
      var $122;
      var $123=(($122)&1);
      var $124=$5;
      HEAP32[(($124)>>2)]=$123;
      __label__ = 26; break; //@line 3310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $126=$vqn; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=(($126)|0)==0; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($127)&1); //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=$5; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($129)>>2)]=$128; //@line 3311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break;
    case 26: 
      var $131=$5; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=(($132)|0)!=0; //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($133) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 3313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      $1=1; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 77; break; //@line 3314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $136=$3; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136+16)|0); //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=HEAPU32[(($137)>>2)]; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138)>>>0) >= 2; //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($139) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 3316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $141=$2; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=$3; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142+24)|0); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$143; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=$4; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=(($146+24)|0); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=$147; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=$5; //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($141, $145, $149, $150); //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($151) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 3317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      $1=0; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 77; break; //@line 3318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      __label__ = 76; break; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $155=$3; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($155+24)|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=$156; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=(($157)|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($158)|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$4; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=(($161+24)|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$162; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=(($163)|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=HEAP32[(($165)>>2)]; //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=(($160)|0)!=(($166)|0); //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($167) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 3319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $169=$5; //@line 3320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($169)>>2)]=0; //@line 3320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 75; break; //@line 3321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $171=$3; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=(($171+24)|0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=$172; //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=(($173)|0); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $174); //@line 3323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=$4; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=(($175+24)|0); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=$176; //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=(($177)|0); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($vcursor, $178); //@line 3324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 3325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $180=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181=$180; //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$181; //@line 3326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=__ZN16JSXMLArrayCursor7getNextEv($vcursor); //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=$182; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vkid=$183; //@line 3327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=$kid; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=(($184)|0)!=0; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($185) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $187=$vkid; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $188=(($187)|0)!=0; //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($188) { __label__ = 40; break; } else { __label__ = 37; break; } //@line 3328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $190=$kid; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $191=(($190)|0)!=0; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($191) { var $197 = 0;__label__ = 39; break; } else { __label__ = 38; break; } //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $193=$vkid; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=(($193)|0)!=0; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=$194 ^ 1; //@line 3329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $197 = $195;__label__ = 39; break;
    case 39: 
      var $197;
      var $198=(($197)&1);
      var $199=$5;
      HEAP32[(($199)>>2)]=$198;
      __label__ = 47; break; //@line 3330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $201=$2; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=$kid; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $203=__Z15js_GetXMLObjectP9JSContextP5JSXML($201, $202); //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xobj=$203; //@line 3332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $204=$2; //@line 3333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $205=$vkid; //@line 3333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=__Z15js_GetXMLObjectP9JSContextP5JSXML($204, $205); //@line 3333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$206; //@line 3333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=$xobj; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=(($207)|0)!=0; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($208) { __label__ = 41; break; } else { __label__ = 43; break; } //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $210=$vobj; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=(($210)|0)!=0; //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($211) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 3334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $213=$2; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $214=$xobj; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($6, $214); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $215=$vobj; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($7, $215); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=$5; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=__Z18js_TestXMLEqualityP9JSContextRKN2JS5ValueES4_Pi($213, $6, $7, $216); //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=(($217)|0)!=0; //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($218) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 3335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      $1=0; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $8=1;
      __label__ = 48; break; //@line 3336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $221=$5; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $223=(($222)|0)!=0; //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($223) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 3337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      __label__ = 47; break; //@line 3338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      __label__ = 35; break; //@line 3339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      $8=0; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      __ZN16JSXMLArrayCursorD1Ev($vcursor); //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 3340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 49; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 77; break;
      }
      else {
      __label__ = 78; break;
      }
      
    case 49: 
      var $229=$5; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $230=HEAP32[(($229)>>2)]; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $231=(($230)|0)!=0; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($231) { __label__ = 50; break; } else { __label__ = 74; break; } //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 50: 
      var $233=$3; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $234=(($233+16)|0); //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $235=HEAP32[(($234)>>2)]; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $236=(($235)|0)==1; //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($236) { __label__ = 51; break; } else { __label__ = 74; break; } //@line 3342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      var $238=$3; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $239=(($238+24)|0); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $240=$239; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $241=(($240+32)|0); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $242=(($241)|0); //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $243=HEAP32[(($242)>>2)]; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$243; //@line 3343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $244=$n; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $245=$4; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $246=(($245+24)|0); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $247=$246; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $248=(($247+32)|0); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $249=(($248)|0); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $250=HEAP32[(($249)>>2)]; //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $251=(($244)|0)!=(($250)|0); //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($251) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 3344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 52: 
      var $253=$5; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($253)>>2)]=0; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 3345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 53: 
      $i=0; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 54; break; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 54: 
      var $256=$5; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $257=HEAP32[(($256)>>2)]; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $258=(($257)|0)!=0; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($258) { __label__ = 55; break; } else { var $264 = 0;__label__ = 56; break; } //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 55: 
      var $260=$i; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $261=$n; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $262=(($260)>>>0) < (($261)>>>0); //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $264 = $262;__label__ = 56; break;
    case 56: 
      var $264;
      if ($264) { __label__ = 57; break; } else { __label__ = 73; break; }
    case 57: 
      var $266=$i; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $267=$3; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $268=(($267+24)|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $269=$268; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $270=(($269+32)|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $271=(($270)|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $272=HEAPU32[(($271)>>2)]; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $273=(($266)>>>0) < (($272)>>>0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($273) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 58: 
      var $275=$i; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $276=$3; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $277=(($276+24)|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $278=$277; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $279=(($278+32)|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $280=(($279+8)|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $281=HEAP32[(($280)>>2)]; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $282=(($281+($275<<2))|0); //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $283=HEAP32[(($282)>>2)]; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $284=$283; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $287 = $284;__label__ = 60; break; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 59: 
      var $287 = 0;__label__ = 60; break; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 60: 
      var $287; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$287; //@line 3347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $288=$attr; //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $289=(($288)|0)!=0; //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($289) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 3348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 61: 
      __label__ = 72; break; //@line 3349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 62: 
      var $292=$4; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $293=(($292+24)|0); //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $294=$293; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $295=(($294+32)|0); //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $296=$attr; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $297=$296; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $298=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($295, $297, 338); //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$298; //@line 3350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $299=$j; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $300=(($299)|0)==-1; //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($300) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 3351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 63: 
      var $302=$5; //@line 3352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($302)>>2)]=0; //@line 3352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 73; break; //@line 3353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 64: 
      var $304=$j; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $305=$4; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $306=(($305+24)|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $307=$306; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $308=(($307+32)|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $309=(($308)|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $310=HEAPU32[(($309)>>2)]; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $311=(($304)>>>0) < (($310)>>>0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($311) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 65: 
      var $313=$j; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $314=$4; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $315=(($314+24)|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $316=$315; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $317=(($316+32)|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $318=(($317+8)|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $319=HEAP32[(($318)>>2)]; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $320=(($319+($313<<2))|0); //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $321=HEAP32[(($320)>>2)]; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $322=$321; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $325 = $322;__label__ = 67; break; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 66: 
      var $325 = 0;__label__ = 67; break; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 67: 
      var $325; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vattr=$325; //@line 3355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $326=$vattr; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $327=(($326)|0)!=0; //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($327) { __label__ = 69; break; } else { __label__ = 68; break; } //@line 3356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 68: 
      __label__ = 72; break; //@line 3357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 69: 
      var $330=$2; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $331=$attr; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $332=(($331+24)|0); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $333=$332; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $334=HEAP32[(($333)>>2)]; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $335=$vattr; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $336=(($335+24)|0); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $337=$336; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $338=HEAP32[(($337)>>2)]; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $339=$5; //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $340=__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi($330, $334, $338, $339); //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($340) { __label__ = 71; break; } else { __label__ = 70; break; } //@line 3358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 70: 
      $1=0; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 77; break; //@line 3359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 71: 
      __label__ = 72; break; //@line 3360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 72: 
      var $344=$i; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $345=(($344+1)|0); //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$345; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 54; break; //@line 3346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 73: 
      __label__ = 74; break; //@line 3361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 74: 
      __label__ = 75; break;
    case 75: 
      __label__ = 76; break;
    case 76: 
      $1=1; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 77; break; //@line 3364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 77: 
      var $351=$1; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $351; //@line 3365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 78: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9XMLEqualsP9JSContextP5JSXMLS2_Pi["X"]=1;

function __ZL15xml_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi($cx, $obj, $0, $bp) {
  ;
  var __label__;

  var $2;
  var $3;
  var $4;
  var $5;
  $2=$cx;
  $3=$obj;
  $4=$0;
  $5=$bp;
  ;
  return 1; //@line 5062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __Z17js_ConcatenateXMLP9JSContextP8JSObjectS2_PN2JS5ValueE($cx, $obj, $robj, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $ok;
      var $listobj;
      var $list;
      var $lxml;
      var $rxml;
      var $6=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$robj;
      $5=$vp;
      var $7=$2; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL22js_EnterLocalRootScopeP9JSContext($7); //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)&1); //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$9; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$ok; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$2; //@line 5239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($14, 0); //@line 5239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $listobj=$15; //@line 5239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$listobj; //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $ok=0; //@line 5241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$listobj; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSObject10getPrivateEv($20); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$22; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$3; //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__ZNK8JSObject10getPrivateEv($23); //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24; //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $lxml=$25; //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$2; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$list; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$lxml; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZL6AppendP9JSContextP5JSXMLS2_($26, $27, $28); //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$29; //@line 5247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$ok; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __label__ = 10; break; //@line 5249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $34=$4; //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=__ZNK8JSObject10getPrivateEv($34); //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $rxml=$36; //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$2; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$list; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$rxml; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=__ZL6AppendP9JSContextP5JSXMLS2_($37, $38, $39); //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$40; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$ok; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)!=0; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 10; break; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $45=$5; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$listobj; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value9setObjectER8JSObject($45, $46); //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $48=$2; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$5; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$6; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$49; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextN2JS5ValueE($48, $6); //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$ok; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$52; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $54=$1; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 5261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_ConcatenateXMLP9JSContextP8JSObjectS2_PN2JS5ValueE["X"]=1;

function __Z15js_NewXMLObjectP9JSContext10JSXMLClass($cx, $xml_class) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $xml;
      var $root=__stackBase__;
      var $4;
      $2=$cx;
      $3=$xml_class;
      var $5=$2; //@line 7228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 7228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__Z9js_NewXMLP9JSContext10JSXMLClass($5, $6); //@line 7228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$7; //@line 7228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$xml; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$2; //@line 7232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$xml; //@line 7232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js13AutoXMLRooterC1EP9JSContextP5JSXML($root, $12, $13); //@line 7232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$2; //@line 7233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$xml; //@line 7233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__Z15js_GetXMLObjectP9JSContextP5JSXML($14, $15); //@line 7233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$16; //@line 7233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=1;
      __ZN2js13AutoXMLRooterD1Ev($root); //@line 7234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break;
    case 4: 
      var $18=$1; //@line 7234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $18; //@line 7234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6AppendP9JSContextP5JSXMLS2_($cx, $list, $xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $j;
      var $k;
      var $n;
      var $kid;
      $2=$cx;
      $3=$list;
      $4=$xml;
      var $5=$3; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5+24)|0); //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$6; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0); //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0); //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$10; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=1; //@line 2972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+16)|0); //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)==0; //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 21; break; } //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $16=$4; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+24)|0); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+16)|0); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$3; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+24)|0); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+16)|0); //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($24)>>2)]=$20; //@line 2974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$4; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25+24)|0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$26; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+20)|0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$3; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+24)|0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$31; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+20)|0); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($33)>>2)]=$29; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$4; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+16)|0); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAPU32[(($35)>>2)]; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)>>>0) < 2; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $39=$4; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+24)|0); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$40; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)|0); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47 = $44;__label__ = 5; break; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $47 = 0;__label__ = 5; break; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $47; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$47; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$i; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$n; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($48+$49)|0); //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $k=$50; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$3; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+24)|0); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$52; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$2; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$k; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__ZN10JSXMLArray11setCapacityEP9JSContextj($54, $55, $56); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $j=0; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $61=$j; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$n; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($61)>>>0) < (($62)>>>0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($63) { __label__ = 9; break; } else { __label__ = 20; break; } //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $65=$j; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$4; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66+24)|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$67; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68)|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69)|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=HEAPU32[(($70)>>2)]; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($65)>>>0) < (($71)>>>0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($72) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $74=$j; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$4; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75+24)|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$76; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($78+8)|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+($74<<2))|0); //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$82; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86 = $83;__label__ = 12; break; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $86 = 0;__label__ = 12; break; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $86; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$86; //@line 2981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$kid; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87)|0)!=0; //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($88) { __label__ = 13; break; } else { __label__ = 18; break; } //@line 2982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 14; break; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $91=$3; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91+24)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$92; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($93)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=HEAPU32[(($95)>>2)]; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$i; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$j; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=(($97+$98)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($96)>>>0) <= (($99)>>>0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($100) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $102=$i; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$j; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($102+$103)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104+1)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$3; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106+24)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$107; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($109)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($110)>>2)]=$105; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $112=$kid; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$112; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$i; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$j; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($114+$115)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=$3; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117+24)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$118; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120+8)|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122+($116<<2))|0); //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($123)>>2)]=$113; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 18; break; //@line 2983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 19; break; //@line 2984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $127=$j; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($127+1)|0); //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$128; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 2980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $1=1; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $131=$4; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($131+8)|0); //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$3; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134+24)|0); //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=$135; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136+16)|0); //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($137)>>2)]=$133; //@line 2988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=$4; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138+16)|0); //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140)|0)==3; //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($141) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $143=$3; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=(($143+24)|0); //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$144; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=(($145+20)|0); //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($146)>>2)]=0; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $148=$4; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=(($148+12)|0); //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=$3; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=(($151+24)|0); //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$152; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=(($153+20)|0); //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($154)>>2)]=$150; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break;
    case 24: 
      var $156=$2; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=$3; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=(($157+24)|0); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=$158; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=(($159)|0); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$i; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=$4; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$162; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($156, $160, $161, $163); //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0)!=0; //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($165) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 2993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $1=0; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      $1=1; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $169=$1; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $169; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6AppendP9JSContextP5JSXMLS2_["X"]=1;

function __ZL32js_LeaveLocalRootScopeWithResultP9JSContextN2JS5ValueE($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $rval=__stackBase__;
  $2=$cx;
  var $3=$rval;
  var $4=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
  STACKTOP = __stackBase__;
  return; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL12xml_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $xml;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$5; //@line 4655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$xml; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)!=0; //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      __label__ = 5; break; //@line 4657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $10=$xml; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0); //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$2; //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($12)|0)==(($13)|0); //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$xml; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0); //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($17)>>2)]=0; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 4659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      ;
      return; //@line 4660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9xml_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $xml;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$5; //@line 5068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$xml; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)!=0; //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 5069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      __label__ = 3; break; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      __label__ = 4; break; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 5; break; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $12=$1; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$xml; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$13; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_CallTracer($12, $14, 3); //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __label__ = 7; break; //@line 5070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      ;
      return; //@line 5071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL18xml_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($cx, $obj, $id, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $found;
      var $xml;
      var $i=__stackBase__;
      var $qn;
      var $funid=__stackBase__+4;
      var $7=__stackBase__+8;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$objp;
      $6=$propp;
      var $8=$3; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZNK8JSObject10getPrivateEv($8); //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$9; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$10; //@line 4701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__Z12js_IdIsIndexiPj($11, $i); //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$xml; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($i)>>2)]; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL18HasIndexedPropertyP5JSXMLj($15, $16); //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $found=$17; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $19=$2; //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$4; //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToJsvalEi4431($7, $20); //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZL9ToXMLNameP9JSContextN2JS5ValueEPi($19, $7, $funid); //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$21; //@line 4705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$qn; //@line 4706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 4706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26=HEAP32[(($funid)>>2)]; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=_JSID_IS_VOID4359($26); //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)!=0; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $30=$2; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$3; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP32[(($funid)>>2)]; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$5; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$6; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($30, $31, $32, $33, $34); //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$35; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $37=$xml; //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$qn; //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=__ZL16HasNamedPropertyP5JSXMLP8JSObject($37, $38); //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $found=$39; //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break;
    case 8: 
      var $41=$found; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)!=0; //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $44=$5; //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($44)>>2)]=0; //@line 4713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$6; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($45)>>2)]=0; //@line 4714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 4715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $47=$2; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$3; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$4; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=__Z20js_AddNativePropertyP9JSContextP8JSObjectiPFiS0_S2_iPN2JS5ValueEEPFiS0_S2_iiS5_Ejjji($47, $48, $49, 340, 342, -1, 1, 0, 0); //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $shape=$50; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$shape; //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)|0)!=0; //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $55=$3; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$5; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($56)>>2)]=$55; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$shape; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$57; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$6; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($59)>>2)]=$58; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break;
    case 13: 
      $1=1; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $62=$1; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18xml_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty["X"]=1;

function __ZL17xml_lookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty($cx, $obj, $index, $objp, $propp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $xml;
      var $id=__stackBase__;
      var $shape;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$objp;
      $6=$propp;
      var $7=$3; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZNK8JSObject10getPrivateEv($7); //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$8; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$9; //@line 4733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$xml; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZL18HasIndexedPropertyP5JSXMLj($10, $11); //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$5; //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($15)>>2)]=0; //@line 4735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$6; //@line 4736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($16)>>2)]=0; //@line 4736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 4737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$2; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$4; //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZN2js9IndexToIdEP9JSContextjPi($18, $19, $id); //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 4742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$2; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$3; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=HEAP32[(($id)>>2)]; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=__Z20js_AddNativePropertyP9JSContextP8JSObjectiPFiS0_S2_iPN2JS5ValueEEPFiS0_S2_iiS5_Ejjji($23, $24, $25, 340, 342, -1, 1, 0, 0); //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $shape=$26; //@line 4745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$shape; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)!=0; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 4749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $31=$3; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$5; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$shape; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$33; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$6; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($35)>>2)]=$34; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 4753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $37=$1; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17xml_lookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty["X"]=1;

function __ZL17xml_lookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty($cx, $obj, $sid, $objp, $propp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$objp;
  $4=$propp;
  var $5=$1; //@line 4759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 4759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid); //@line 4759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$3; //@line 4759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$4; //@line 4759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=__ZL18xml_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($5, $6, $7, $8, $9); //@line 4759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 4759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL18xml_definePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($cx, $obj, $id, $v, $getter_coerce, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $tmp=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$v;
      var $11=$getter_coerce;
      $6=$11;
      var $getter=$6;
      $7=$getter;
      $8=$setter;
      $9=$attrs;
      var $12=$5; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZN2jsL16IsFunctionObjectERKN2JS5ValueE4442($12); //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 6; break; } else { __label__ = 2; break; } //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$7; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$8; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $21=$9; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21 & 1; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)==0; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$9; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$25 & 70; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0)!=0; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $29=$2; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$3; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$4; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$5; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$7; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$8; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$9; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $10=$33; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$10; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$36; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($29, $30, $31, $32, $37, $34, $35); //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$38; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $40=$5; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$tmp; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$40; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 4772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$2; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$3; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$4; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($43, $44, $45, 0, $tmp); //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$46; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 4773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $48=$1; //@line 4774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 4774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18xml_definePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej["X"]=1;

function __ZL17xml_defineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($cx, $obj, $index, $v, $getter_coerce, $setter, $attrs) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $id=__stackBase__;
      var $10;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$v;
      var $11=$getter_coerce;
      $6=$11;
      var $getter=$6;
      $7=$getter;
      $8=$setter;
      $9=$attrs;
      var $12=$2; //@line 4781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$4; //@line 4781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZN2js9IndexToIdEP9JSContextjPi($12, $13, $id); //@line 4781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$2; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$3; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($id)>>2)]; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$5; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$7; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$8; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$9; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $10=$21; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$10; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=__ZL18xml_definePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($17, $18, $19, $20, $25, $22, $23); //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$26; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $28=$1; //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 4784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17xml_defineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej($cx, $obj, $sid, $v, $getter_coerce, $setter, $attrs) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  var $7;
  var $8;
  $1=$cx;
  $2=$obj;
  $3=$v;
  var $9=$getter_coerce;
  $4=$9;
  var $getter=$4;
  $5=$getter;
  $6=$setter;
  $7=$attrs;
  var $10=$1; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=$2; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $12=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid); //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $13=$3; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $14=$5; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $15=$6; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $16=$7; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $8=$14; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $17=$8; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $18=$17; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $19=__ZL18xml_definePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej($10, $11, $12, $13, $18, $15, $16); //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $19; //@line 4790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL14xml_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($cx, $obj, $receiver, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$id;
      $6=$vp;
      var $7=$5; //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=_JSID_IS_DEFAULT_XML_NAMESPACE4441($7); //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=$6; //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value12setUndefinedEv($11); //@line 4797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$3; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$5; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$6; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($13, $14, $15, $16); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$17; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$1; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $19; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15xml_getPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE($cx, $obj, $receiver, $name, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$name;
  $5=$vp;
  var $6=$1; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$2; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$3; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$4; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=$9; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=__ZL12ATOM_TO_JSIDP6JSAtom4336($10); //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $12=$5; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $13=__ZL14xml_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($6, $7, $8, $11, $12); //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return $13; //@line 4807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL10xml_typeOfP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return 7; //@line 5056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL7xml_fixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE($cx, $obj, $success, $props) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$success;
  $4=$props;
  var $5=$3; //@line 5077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  HEAP8[($5)]=0; //@line 5077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return 1; //@line 5078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL9xml_clearP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  ;
  return; //@line 5084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL14xml_getElementP9JSContextP8JSObjectS2_jPN2JS5ValueE($cx, $obj, $receiver, $index, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$receiver;
      $5=$index;
      $6=$vp;
      var $7=$2; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$5; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$2; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$4; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($id)>>2)]; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$6; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL14xml_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($12, $13, $14, $15, $16); //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$17; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$1; //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14xml_getSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE($cx, $obj, $receiver, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$receiver;
  $4=$vp;
  var $5=$1; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$3; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid); //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$4; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=__ZL14xml_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE($5, $6, $7, $8, $9); //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 4822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL15xml_setPropertyP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  $5=$strict;
  var $6=$1; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$2; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$3; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$4; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=$5; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=__ZL14xml_setGenericP9JSContextP8JSObjectiPN2JS5ValueEi($6, $7, $8, $9, $10); //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return $11; //@line 4834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL14xml_setElementP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $vp, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$vp;
      $6=$strict;
      var $7=$2; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js9IndexToIdEP9JSContextjPi($7, $8, $id); //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$2; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=HEAP32[(($id)>>2)]; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$5; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$6; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL14xml_setGenericP9JSContextP8JSObjectiPN2JS5ValueEi($12, $13, $14, $15, $16); //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$17; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$1; //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 4844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14xml_setSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $vp, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$vp;
  $4=$strict;
  var $5=$1; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid); //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$3; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$4; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=__ZL14xml_setGenericP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL17xml_getAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $found=__stackBase__;
      var $6=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$attrsp;
      var $7=$2; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$3; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToJsvalEi4431($6, $9); //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZL11HasPropertyP9JSContextP8JSObjectN2JS5ValueEPi($7, $8, $6, $found); //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=HEAP32[(($found)>>2)]; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$15 ? 1 : 0; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$5; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$1; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL24xml_getElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $11=$2; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$3; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$5; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZL17xml_getAttributesP9JSContextP8JSObjectiPj($11, $12, $13, $14); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$15; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$1; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 4870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL24xml_getSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid); //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$3; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZL17xml_getAttributesP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 4875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL17xml_setAttributesP9JSContextP8JSObjectiPj($cx, $obj, $id, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $found=__stackBase__;
      var $6=__stackBase__+4;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$attrsp;
      var $7=$2; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$3; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToJsvalEi4431($6, $9); //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZL11HasPropertyP9JSContextP8JSObjectN2JS5ValueEPi($7, $8, $6, $found); //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 4883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=HEAP32[(($found)>>2)]; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$2; //@line 4886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($17, 2, 0, 189, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 4888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=1; //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $20=$1; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $20; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL24xml_setElementAttributesP9JSContextP8JSObjectjPj($cx, $obj, $index, $attrsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $id=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$attrsp;
      var $6=$2; //@line 4897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 4897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js9IndexToIdEP9JSContextjPi($6, $7, $id); //@line 4897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $11=$2; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$3; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($id)>>2)]; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$5; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZL17xml_setAttributesP9JSContextP8JSObjectiPj($11, $12, $13, $14); //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$15; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 4899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$1; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 4900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL24xml_setSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj($cx, $obj, $sid, $attrsp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$obj;
  $3=$attrsp;
  var $4=$1; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid); //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$3; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZL17xml_setAttributesP9JSContextP8JSObjectiPj($4, $5, $6, $7); //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL18xml_deletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $xml;
      var $idval=__stackBase__;
      var $index=__stackBase__+8;
      var $nameqn;
      var $funid=__stackBase__+12;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$rval;
      $6=$strict;
      var $10=$4; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToJsvalEi4431($7, $10); //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$idval; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$7; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 4918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK8JSObject10getPrivateEv($13); //@line 4918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$14; //@line 4918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$15; //@line 4918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$4; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__Z12js_IdIsIndexiPj($16, $index); //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=0; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $20=$xml; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+16)|0); //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $25=$2; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$4; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToValueEi4432($8, $26); //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16ReportBadXMLNameP9JSContextRKN2JS5ValueE($25, $8); //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $28=$2; //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$xml; //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($index)>>2)]; //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL17DeleteListElementP9JSContextP5JSXMLj($28, $29, $30); //@line 4927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 4928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $32=$2; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$9; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$idval; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=__ZL9ToXMLNameP9JSContextN2JS5ValueEPi($32, $9, $funid); //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$35; //@line 4929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$nameqn; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0)!=0; //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $40=HEAP32[(($funid)>>2)]; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=_JSID_IS_VOID4359($40); //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)!=0; //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $44=$2; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$3; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAP32[(($funid)>>2)]; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$5; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($44, $45, $46, $47, 0); //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$48; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $50=$2; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$xml; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$nameqn; //@line 4935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$nameqn; //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=__ZNK8JSObject8getClassEv($53); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)&1); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL19DeleteNamedPropertyP9JSContextP5JSXMLP8JSObjecti($50, $51, $52, $56); //@line 4936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break;
    case 10: 
      var $58=$3; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=__ZNK8JSObject11nativeEmptyEv($58); //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $61=$2; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$3; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$4; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$5; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($61, $62, $63, $64, 0); //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65)|0)!=0; //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 4946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=0; //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $69=$5; //@line 4949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value10setBooleanEb($69, 1); //@line 4949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $71=$1; //@line 4951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $71; //@line 4951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18xml_deletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi["X"]=1;

function __ZL17xml_deleteElementP9JSContextP8JSObjectjPN2JS5ValueEi($cx, $obj, $index, $rval, $strict) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $xml;
      var $7=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$index;
      $5=$rval;
      $6=$strict;
      var $8=$3; //@line 4956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZNK8JSObject10getPrivateEv($8); //@line 4956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$9; //@line 4956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$10; //@line 4956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$xml; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+16)|0); //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $16=$2; //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)>>>0); //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11DoubleValueEd4439($7, $18); //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16ReportBadXMLNameP9JSContextRKN2JS5ValueE($16, $7); //@line 4959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 4960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 4960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $20=$2; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$xml; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$4; //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL17DeleteListElementP9JSContextP5JSXMLj($20, $21, $22); //@line 4964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$3; //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__ZNK8JSObject11nativeEmptyEv($23); //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $26=$2; //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$3; //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$4; //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$5; //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=__Z16js_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi($26, $27, $28, $29, 0); //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=0; //@line 4974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 4974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $34=$5; //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value10setBooleanEb($34, 1); //@line 4976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 4977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $36=$1; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 4978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17xml_deleteElementP9JSContextP8JSObjectjPN2JS5ValueEi["X"]=1;

function __ZL17xml_deleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi($cx, $obj, $sid, $rval, $strict) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$obj;
  $3=$rval;
  $4=$strict;
  var $5=$1; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid); //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$3; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$4; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=__ZL18xml_deletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi($5, $6, $7, $8, $9); //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 4983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL13xml_enumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $xml;
      var $length;
      var $index;
      var $cursor;
      $2=$cx;
      $3=$obj;
      $4=$enum_op;
      $5=$statep;
      $6=$idp;
      var $7=$3; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZNK8JSObject10getPrivateEv($7); //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$8; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$9; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$xml; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+16)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)>>>0) < 2; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$xml; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+24)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$16; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0); //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23 = $20;__label__ = 4; break; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $23 = 0;__label__ = 4; break; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $23; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$23; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$4; //@line 5013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ((($24)|0) == 0 || (($24)|0) == 1) {
        __label__ = 5; break;
      }
      else if ((($24)|0) == 2) {
        __label__ = 13; break;
      }
      else if ((($24)|0) == 3) {
        __label__ = 20; break;
      }
      else {
      __label__ = 25; break;
      }
      
    case 5: 
      var $26=$length; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0)==0; //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $29=$5; //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value8setInt32Ei($29, 0); //@line 5017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $31=$2; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$xml; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+24)|0); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$33; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZN9JSContext4new_I16JSXMLArrayCursorP10JSXMLArrayEEPT_T0_($31, $35); //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$36; //@line 5019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$cursor; //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)!=0; //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 5020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 5021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $41=$5; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$cursor; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value10setPrivateEPv($41, $43); //@line 5022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break;
    case 10: 
      var $45=$6; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $48=$length; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=_INT_TO_JSID4434($48); //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$6; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($50)>>2)]=$49; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 5025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 25; break; //@line 5026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $53=$5; //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=__ZNK2JS5Value7isInt32Ei($53, 0); //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $56=$5; //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value7setNullEv($56); //@line 5030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 5031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $58=$5; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=__ZNK2JS5Value9toPrivateEv($58); //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$60; //@line 5033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$cursor; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61)|0)!=0; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($62) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $64=$cursor; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0); //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0)!=0; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 17; break; } else { __label__ = 19; break; } //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $69=$cursor; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69+4)|0); //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=HEAPU32[(($70)>>2)]; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $index=$71; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$length; //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($71)>>>0) < (($72)>>>0); //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($73) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 5034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $75=$index; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=_INT_TO_JSID4434($75); //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$6; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($77)>>2)]=$76; //@line 5035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$index; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($78+1)|0); //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$cursor; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+4)|0); //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($81)>>2)]=$79; //@line 5036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 5037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 20; break; //@line 5038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $84=$5; //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=__ZNK2JS5Value7isInt32Ei($84, 0); //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($85) { __label__ = 24; break; } else { __label__ = 21; break; } //@line 5042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $87=$5; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=__ZNK2JS5Value9toPrivateEv($87); //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$88; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$89; //@line 5043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$cursor; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90)|0)!=0; //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($91) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 5044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $93=$2; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$cursor; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext7delete_I16JSXMLArrayCursorEEvPT_($93, $94); //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 5045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break; //@line 5046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $97=$5; //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value7setNullEv($97); //@line 5047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 5048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $1=1; //@line 5050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 5050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $100=$1; //@line 5051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $100; //@line 5051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13xml_enumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZL16xml_addNamespaceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ns;
      var $obj=__stackBase__;
      var $xml;
      var $5=__stackBase__+4;
      var $6=__stackBase__+12;
      var $7=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($8, $9, $obj); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$10; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$xml; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$xml; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+16)|0); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=1; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 15; break; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $21=$xml; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0); //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($obj)>>2)]; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($23)|0)==(($24)|0); //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$xml; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34 = $27;__label__ = 8; break; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $29=$2; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$xml; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=HEAP32[(($obj)>>2)]; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($29, $30, $31); //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34 = $32;__label__ = 8; break; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $34; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$34; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$xml; //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0)!=0; //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $39=$2; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$3; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)==0; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$41 ? -1 : 1; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$4; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+16)|0); //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$4; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=__ZL15NamespaceHelperP9JSContextP8JSObjectiPN2JS5ValueES5_($39, 0, $42, $44, $45); //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0)!=0; //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $50=$4; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$5; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$50; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=_JSVAL_TO_OBJECT4304($5); //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$53; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$2; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$xml; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$ns; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject($54, $55, $56); //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0)!=0; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $61=$ns; //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$6; //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject20setNamespaceDeclaredEN2JS5ValueE($61, $6); //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 5401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $64=$4; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=HEAP32[(($obj)>>2)]; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $65); //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$64; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$7; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($66)>>2)]=HEAP32[(($67)>>2)];HEAP32[(($66+4)>>2)]=HEAP32[(($67+4)>>2)]; //@line 5404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $69=$1; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $69; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16xml_addNamespaceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL15xml_appendChildP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $vobj;
      var $vxml;
      var $obj=__stackBase__+8;
      var $xml;
      var $name=__stackBase__+12;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $7=__stackBase__+32;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($8, $9, $obj); //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$10; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$xml; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$xml; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0); //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($obj)>>2)]; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($17)|0)==(($18)|0); //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $21=$xml; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28 = $21;__label__ = 6; break; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$2; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$xml; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=HEAP32[(($obj)>>2)]; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($23, $24, $25); //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28 = $26;__label__ = 6; break; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $28; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$28; //@line 5416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$xml; //@line 5417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 5417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $33=$2; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__Z13js_GetAnyNameP9JSContextPi($33, $name); //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $38=$2; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP32[(($obj)>>2)]; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAP32[(($name)>>2)]; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($38, $39, $40, $v); //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)!=0; //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $45=$5; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$v; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=_JSVAL_TO_OBJECT4304($5); //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$47; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$vobj; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZNK8JSObject10getPrivateEv($48); //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$49; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$50; //@line 5430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$2; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$vxml; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52+24)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$53; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)|0); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=__ZN2js9IndexToIdEP9JSContextjPi($51, $57, $name); //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $61=$4; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$3; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)|0)!=0; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $65=$4; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+16)|0); //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69 = $66;__label__ = 17; break; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $69 = _JSVAL_VOID;__label__ = 17; break; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $69; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$61; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$69; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[(($71)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[(($71+4)>>2)]; //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$2; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$6; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$v; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($73)>>2)]=HEAP32[(($74)>>2)];HEAP32[(($73+4)>>2)]=HEAP32[(($74+4)>>2)]; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=_JSVAL_TO_OBJECT4304($6); //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=HEAP32[(($name)>>2)]; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$4; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($72, $75, $76, 0, $77); //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($78)|0)!=0; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($79) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 5438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $82=$4; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=HEAP32[(($obj)>>2)]; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $83); //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$82; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$7; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($84)>>2)]=HEAP32[(($85)>>2)];HEAP32[(($84+4)>>2)]=HEAP32[(($85+4)>>2)]; //@line 5440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $87=$1; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $87; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15xml_appendChildP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13xml_attributeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $qn;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      var $id;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$3; //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)==0; //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$2; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __Z19js_ReportMissingArgP9JSContextRKN2JS5ValueEj($10, $11, 0); //@line 5451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$4; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+16)|0); //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$5; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$15; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__ZL15ToAttributeNameP9JSContextN2JS5ValueE($13, $5); //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$18; //@line 5455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$qn; //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0)!=0; //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$4; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+16)|0); //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$qn; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($6, $25); //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$24; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$6; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 5458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$qn; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_OBJECT_TO_JSID4356($28); //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $id=$29; //@line 5460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$2; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$4; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+8)|0); //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($30, $32); //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$33; //@line 5461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$obj; //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $38=$2; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$obj; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$id; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$4; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($38, $39, $40, $41); //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$42; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $44=$1; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 5465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13xml_attributeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL14xml_attributesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $name=__stackBase__;
      var $qn;
      var $5=__stackBase__+8;
      var $tvr=__stackBase__+16;
      var $id;
      var $obj;
      var $6;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+52)|0); //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+209948)|0); //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+464)|0); //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$12; //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($name, $13); //@line 5471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$2; //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$5; //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$name; //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL15ToAttributeNameP9JSContextN2JS5ValueE($14, $5); //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$17; //@line 5472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$qn; //@line 5473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 5473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 5474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $22=$2; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$qn; //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $22, $23); //@line 5476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$qn; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=_OBJECT_TO_JSID4356($24); //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $id=$25; //@line 5477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$2; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$4; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+8)|0); //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($26, $28); //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$29; //@line 5478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$obj; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 5480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 6; break; //@line 5480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $34=$2; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$obj; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$id; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$4; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($34, $35, $36, $37); //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$38; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 6; break; //@line 5481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break;
    case 7: 
      var $41=$1; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 5482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14xml_attributesP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL9xml_childP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 76; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $list;
      var $vxml;
      var $kidobj;
      var $obj;
      var $xml;
      var $name=__stackBase__+8;
      var $cursor=__stackBase__+16;
      var $kid;
      var $5;
      var $6=__stackBase__+36;
      var $7=__stackBase__+44;
      var $8=__stackBase__+52;
      var $9=__stackBase__+60;
      var $10=__stackBase__+68;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $11=$2; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$4; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12+8)|0); //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($11, $13); //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$14; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$obj; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $19=$obj; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZNK8JSObject5isXMLEv($19); //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $22=$2; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$4; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($22, $23, __ZN2js8XMLClassE); //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$obj; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=__ZNK8JSObject10getPrivateEv($25); //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$26; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$27; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$xml; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0)!=0; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $32=$3; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)|0)!=0; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $35=$4; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+16)|0); //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39 = $36;__label__ = 10; break; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $39 = _JSVAL_VOID;__label__ = 10; break; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $39; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$name; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$39; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 5571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$xml; //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+16)|0); //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0)==0; //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 28; break; } //@line 5572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $47=$2; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$xml; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$4; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($47, $48, $49); //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$50; //@line 5574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$list; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)|0)!=0; //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 5575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=0; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $55=$xml; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+24)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$56; //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $58); //@line 5578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $60=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$60; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$61; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$kid; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)|0)!=0; //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 26; break; } //@line 5579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $65=$2; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$kid; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=__Z15js_GetXMLObjectP9JSContextP5JSXML($65, $66); //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$67; //@line 5580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$kidobj; //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68)|0)!=0; //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($69) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 5581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $1=0; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __label__ = 27; break; //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $72=$2; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$kidobj; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$kid; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$6; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$name; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($75)>>2)]=HEAP32[(($76)>>2)];HEAP32[(($75+4)>>2)]=HEAP32[(($76+4)>>2)]; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=__ZL16xml_child_helperP9JSContextP8JSObjectP5JSXMLN2JS5ValueEPS6_($72, $73, $74, $6, $v); //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)|0)!=0; //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 5583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __label__ = 27; break; //@line 5584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $81=$7; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$v; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($81)>>2)]=HEAP32[(($82)>>2)];HEAP32[(($81+4)>>2)]=HEAP32[(($82+4)>>2)]; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=_JSVAL_IS_VOID4396($7); //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0)!=0; //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 5585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 14; break; //@line 5587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $87=$8; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$v; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[(($88+4)>>2)]; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=_JSVAL_TO_OBJECT4304($8); //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=__ZNK8JSObject10getPrivateEv($89); //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$90; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$91; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$vxml; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+16)|0); //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=HEAPU32[(($93)>>2)]; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94)>>>0) < 2; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $97=$vxml; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=(($97+24)|0); //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$98; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99)|0); //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($100)|0); //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102)|0)!=0; //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($103) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 5592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $105=$2; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$list; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$vxml; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=__ZL6AppendP9JSContextP5JSXMLS2_($105, $106, $107); //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108)|0)!=0; //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($109) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 5593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      $1=0; //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __label__ = 27; break; //@line 5594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      __label__ = 14; break; //@line 5596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      $1=1; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __label__ = 27; break; //@line 5597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 5598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break;
    case 28: 
      var $115=$2; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$obj; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=$xml; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=$9; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$name; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($118)>>2)]=HEAP32[(($119)>>2)];HEAP32[(($118+4)>>2)]=HEAP32[(($119+4)>>2)]; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$4; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=__ZL16xml_child_helperP9JSContextP8JSObjectP5JSXMLN2JS5ValueEPS6_($115, $116, $117, $9, $120); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=(($121)|0)!=0; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($122) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      $1=0; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $125=$4; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=$10; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=$125; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($126)>>2)]=HEAP32[(($127)>>2)];HEAP32[(($126+4)>>2)]=HEAP32[(($127+4)>>2)]; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=_JSVAL_IS_VOID4396($10); //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128)|0)!=0; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($129) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $131=$2; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$xml; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=$4; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($131, $132, $133); //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134)|0)!=0; //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($135) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 5603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      $1=0; //@line 5604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      $1=1; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $139=$1; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $139; //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9xml_childP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL14xml_childIndexP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $parent;
      var $i;
      var $n;
      var $obj=__stackBase__;
      var $xml;
      var $5=__stackBase__+4;
      var $6=__stackBase__+12;
      var $7=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($8, $9, $obj); //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$10; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$xml; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 5614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$xml; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+8)|0); //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parent=$17; //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$parent; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $21=$xml; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+16)|0); //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)==2; //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26=$4; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(tempDoubleI32[0]=HEAP32[((_js_NaN)>>2)],tempDoubleI32[1]=HEAP32[((_js_NaN+4)>>2)],tempDoubleF64[0]); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _DOUBLE_TO_JSVAL4435($5, $27); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$26; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$5; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $i=0; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$parent; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+16)|0); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAPU32[(($32)>>2)]; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33)>>>0) < 2; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $36=$parent; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+24)|0); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44 = $41;__label__ = 9; break; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $44 = 0;__label__ = 9; break; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $44; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$44; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $46=$i; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$n; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $50=$i; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$parent; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+24)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$52; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=HEAPU32[(($55)>>2)]; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($50)>>>0) < (($56)>>>0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $59=$i; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$parent; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60+24)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$61; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63+8)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+($59<<2))|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$67; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71 = $68;__label__ = 14; break; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $71 = 0;__label__ = 14; break; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $71; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$xml; //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($71)|0)==(($72)|0); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($73) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 18; break; //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $77=$i; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77+1)|0); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$78; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $80=$i; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80)>>>0) <= 2147483647; //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 5625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $83=$4; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$i; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _INT_TO_JSVAL4421($6, $84); //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$83; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$6; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($85)>>2)]=HEAP32[(($86)>>2)];HEAP32[(($85+4)>>2)]=HEAP32[(($86+4)>>2)]; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 5626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $88=$4; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$i; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)>>>0); //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _DOUBLE_TO_JSVAL4435($7, $90); //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$88; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$7; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($91)>>2)]=HEAP32[(($92)>>2)];HEAP32[(($91+4)>>2)]=HEAP32[(($92+4)>>2)]; //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break;
    case 21: 
      $1=1; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 5629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $95=$1; //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $95; //@line 5630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14xml_childIndexP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12xml_childrenP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $name;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$4; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+8)|0); //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$8; //@line 5636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$obj; //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 5638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+52)|0); //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+209948)|0); //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+464)|0); //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$18; //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZL12ATOM_TO_JSIDP6JSAtom4336($19); //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $name=$20; //@line 5639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$2; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$obj; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$name; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$4; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($21, $22, $23, $24); //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$25; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 5640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27=$1; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $27; //@line 5641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12xml_commentsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $xml;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$4; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+8)|0); //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$8; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$obj; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$obj; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK8JSObject5isXMLEv($13); //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$2; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($16, $17, __ZN2js8XMLClassE); //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$obj; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZNK8JSObject10getPrivateEv($19); //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$20; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$21; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$xml; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $26=$2; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$obj; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$xml; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$4; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=__ZL19xml_comments_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE($26, $27, $28, $29); //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$30; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $32=$1; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $32; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8xml_copyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $copy;
      var $obj;
      var $xml;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+8)|0); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$obj; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK8JSObject5isXMLEv($14); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$2; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$4; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $18, __ZN2js8XMLClassE); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$obj; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSObject10getPrivateEv($20); //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$22; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$xml; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27=$2; //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$xml; //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZL8DeepCopyP9JSContextP5JSXMLP8JSObjectj($27, $28, 0, 0); //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $copy=$29; //@line 5742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$copy; //@line 5743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 5743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 5743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $34=$4; //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$copy; //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0); //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $37); //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$34; //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$5; //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 5745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $41=$1; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 5747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8xml_copyP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL15xml_descendantsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $name=__stackBase__;
      var $list;
      var $obj;
      var $xml;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+8)|0); //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($8, $10); //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$11; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$obj; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$obj; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZNK8JSObject5isXMLEv($16); //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$2; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$4; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($19, $20, __ZN2js8XMLClassE); //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$obj; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__ZNK8JSObject10getPrivateEv($22); //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$24; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$xml; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $29=$3; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)==0; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $32=$2; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+52)|0); //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+209948)|0); //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+464)|0); //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($5, $38); //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $40=$4; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+16)|0); //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$5; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$41; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $45=$name; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$5; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 5757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$2; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$xml; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$6; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$name; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=__ZL11DescendantsP9JSContextP5JSXMLN2JS5ValueE($47, $48, $6); //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$51; //@line 5758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$list; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0)!=0; //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $56=$4; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$list; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0); //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $59); //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$56; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$7; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[(($61+4)>>2)]; //@line 5761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $63=$1; //@line 5763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 5763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15xml_descendantsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12xml_elementsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $name=__stackBase__;
      var $nameqn;
      var $funid=__stackBase__+8;
      var $obj;
      var $xml;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+8)|0); //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$10; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$obj; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$obj; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__ZNK8JSObject5isXMLEv($15); //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$2; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$4; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, __ZN2js8XMLClassE); //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $21=$obj; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=__ZNK8JSObject10getPrivateEv($21); //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$23; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$xml; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)!=0; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 5831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $28=$3; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0)==0; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $31=$2; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+52)|0); //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+209948)|0); //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+464)|0); //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$36; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($5, $37); //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $39=$4; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+16)|0); //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$5; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$40; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $44=$name; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$5; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 5833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$2; //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$6; //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$name; //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZL9ToXMLNameP9JSContextN2JS5ValueEPi($46, $6, $funid); //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$49; //@line 5834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$nameqn; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50)|0)!=0; //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 5836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $54=HEAP32[(($funid)>>2)]; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=_JSID_IS_VOID4359($54); //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)|0)!=0; //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 5838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $58=$2; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$xml; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$4; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($58, $59, $60); //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61)|0)!=0; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)&1); //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$63; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 5839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $65=$2; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$obj; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$xml; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$nameqn; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$4; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=__ZL19xml_elements_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE($65, $66, $67, $68, $69); //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$70; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 5841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $72=$1; //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $72; //@line 5842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12xml_elementsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL18xml_hasOwnPropertyP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $name=__stackBase__;
      var $found=__stackBase__+8;
      var $obj;
      var $5=__stackBase__+12;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+8)|0); //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 5851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$obj; //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK8JSObject5isXMLEv($14); //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$2; //@line 5855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$4; //@line 5855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $18, __ZN2js8XMLClassE); //@line 5855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$3; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)!=0; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $23=$4; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+16)|0); //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27 = $24;__label__ = 8; break; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27 = _JSVAL_VOID;__label__ = 8; break; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $27; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$name; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$27; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 5859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$2; //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$obj; //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$5; //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$name; //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZL11HasPropertyP9JSContextP8JSObjectN2JS5ValueEPi($30, $31, $5, $found); //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $38=HEAP32[(($found)>>2)]; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0)!=0; //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $41=$4; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$41; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 5863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $44=$2; //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$3; //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$4; //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=__Z23js_HasOwnPropertyHelperP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyEjPN2JS5ValueE($44, 46, $45, $46); //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$47; //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 5866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $49=$1; //@line 5867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 5867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18xml_hasOwnPropertyP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL21xml_hasComplexContentP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kid;
      var $kidobj;
      var $i;
      var $n;
      var $obj;
      var $xml;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$4; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+8)|0); //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$8; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$obj; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$obj; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK8JSObject5isXMLEv($13); //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$2; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($16, $17, __ZN2js8XMLClassE); //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$obj; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZNK8JSObject10getPrivateEv($19); //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$20; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$21; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$xml; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 8; break; //@line 5877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $27=$xml; //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+16)|0); //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 5879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ((($29)|0) == 2 || (($29)|0) == 5 || (($29)|0) == 3 || (($29)|0) == 4) {
        __label__ = 9; break;
      }
      else if ((($29)|0) == 0) {
        __label__ = 10; break;
      }
      else {
      __label__ = 23; break;
      }
      
    case 9: 
      var $31=$4; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$31; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[((_JSVAL_FALSE)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[((_JSVAL_FALSE+4)>>2)]; //@line 5884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $34=$xml; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+24)|0); //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0); //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0); //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0)==0; //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $42=$4; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 5888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $45=$xml; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45+24)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$46; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0); //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50)|0)==1; //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($51) { __label__ = 13; break; } else { __label__ = 21; break; } //@line 5889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $53=$xml; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+24)|0); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$54; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)|0); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)|0); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=HEAPU32[(($57)>>2)]; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=0 < (($58)>>>0); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $61=$xml; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61+24)|0); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$62; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)|0); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64+8)|0); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0); //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$68; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72 = $69;__label__ = 16; break; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $72 = 0;__label__ = 16; break; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $72; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$72; //@line 5890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$kid; //@line 5891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)!=0; //@line 5891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 5891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $76=$2; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$kid; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=__Z15js_GetXMLObjectP9JSContextP5JSXML($76, $77); //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$78; //@line 5892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$kidobj; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79)|0)!=0; //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 5893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 5894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $83=$kidobj; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$83; //@line 5895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$obj; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=__ZNK8JSObject10getPrivateEv($84); //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$85; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$86; //@line 5896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 21; break; //@line 5899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 22; break;
    case 22: 
      __label__ = 23; break;
    case 23: 
      var $91=$4; //@line 5902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$91; //@line 5902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($92)>>2)]=HEAP32[((_JSVAL_FALSE)>>2)];HEAP32[(($92+4)>>2)]=HEAP32[((_JSVAL_FALSE+4)>>2)]; //@line 5902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$xml; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($93+24)|0); //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$94; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0); //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96)|0); //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$98; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $100=$i; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$n; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($100)>>>0) < (($101)>>>0); //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($102) { __label__ = 25; break; } else { __label__ = 33; break; } //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $104=$i; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$xml; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105+24)|0); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$106; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107)|0); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108)|0); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=HEAPU32[(($109)>>2)]; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($104)>>>0) < (($110)>>>0); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($111) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $113=$i; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$xml; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114+24)|0); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$115; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116)|0); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117+8)|0); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119+($113<<2))|0); //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$121; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125 = $122;__label__ = 28; break; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $125 = 0;__label__ = 28; break; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $125; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$125; //@line 5904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=$kid; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=(($126)|0)!=0; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($127) { __label__ = 29; break; } else { __label__ = 31; break; } //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $129=$kid; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=(($129+16)|0); //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($131)|0)==1; //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($132) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 5905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $134=$4; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$134; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($135)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($135+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 5906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 5907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      __label__ = 32; break; //@line 5909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $138=$i; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138+1)|0); //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$139; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 5903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      __label__ = 34; break; //@line 5910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      $1=1; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 5912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $143=$1; //@line 5913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $143; //@line 5913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21xml_hasComplexContentP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL20xml_hasSimpleContentP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $xml;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+8)|0); //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$obj; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK8JSObject5isXMLEv($14); //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$2; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$4; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $18, __ZN2js8XMLClassE); //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$obj; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSObject10getPrivateEv($20); //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$22; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$xml; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27=$4; //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$xml; //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZL16HasSimpleContentP5JSXML($28); //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _BOOLEAN_TO_JSVAL4415($5, $29); //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$27; //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$5; //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 5920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $33=$1; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 5922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12xml_containsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $value=__stackBase__;
      var $eq=__stackBase__+8;
      var $kidobj;
      var $obj;
      var $xml;
      var $cursor=__stackBase__+12;
      var $kid;
      var $5=__stackBase__+32;
      var $6;
      var $7=__stackBase__+40;
      var $8=__stackBase__+48;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$2; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$4; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+8)|0); //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($9, $11); //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$12; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$obj; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$obj; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__ZNK8JSObject5isXMLEv($17); //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$2; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$4; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($20, $21, __ZN2js8XMLClassE); //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$obj; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__ZNK8JSObject10getPrivateEv($23); //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$25; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$xml; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0)!=0; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 5715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $30=$3; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $33=$4; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+16)|0); //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37 = $34;__label__ = 10; break; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $37 = _JSVAL_VOID;__label__ = 10; break; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $37; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$value; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$37; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 5716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$xml; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+16)|0); //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)|0)==0; //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 22; break; } //@line 5717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      HEAP32[(($eq)>>2)]=0; //@line 5718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$xml; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45+24)|0); //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$46; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47)|0); //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $48); //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $50=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$50; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$51; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$kid; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0)!=0; //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 13; break; } else { __label__ = 19; break; } //@line 5720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $55=$2; //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$kid; //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__Z15js_GetXMLObjectP9JSContextP5JSXML($55, $56); //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$57; //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$kidobj; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)!=0; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $61=$2; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$kidobj; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($5, $62); //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__Z18js_TestXMLEqualityP9JSContextRKN2JS5ValueES4_Pi($61, $5, $value, $eq); //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)|0)!=0; //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($64) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 5722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $1=0; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 20; break; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $67=HEAP32[(($eq)>>2)]; //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=0; //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 19; break; //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 12; break; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $6=0; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 21; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 26; break;
      }
      else {
      __label__ = 27; break;
      }
      
    case 21: 
      __label__ = 25; break; //@line 5727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $75=$2; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$obj; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($7, $76); //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=__Z18js_TestXMLEqualityP9JSContextRKN2JS5ValueES4_Pi($75, $7, $value, $eq); //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)|0)!=0; //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 5728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $1=0; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 5729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      var $82=$4; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=HEAP32[(($eq)>>2)]; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _BOOLEAN_TO_JSVAL4415($8, $83); //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$82; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$8; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($84)>>2)]=HEAP32[(($85)>>2)];HEAP32[(($84+4)>>2)]=HEAP32[(($85+4)>>2)]; //@line 5731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 5732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $87=$1; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $87; //@line 5733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12xml_containsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL21xml_inScopeNamespacesP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $xml;
      var $namespaces=__stackBase__+4;
      var $5;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($6, $7, $obj); //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$8; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$xml; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 5992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayC1EP9JSContext($namespaces, $13); //@line 5994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$2; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$xml; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($namespaces+12)|0); //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL21FindInScopeNamespacesP9JSContextP5JSXMLP10JSXMLArray($14, $15, $16); //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=0; //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 4; break; } else { var $25 = 0;__label__ = 5; break; } //@line 5995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$2; //@line 5996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($namespaces+12)|0); //@line 5996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$4; //@line 5996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__ZL19NamespacesToJSArrayP9JSContextP10JSXMLArrayPN2JS5ValueE($20, $21, $22); //@line 5996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25 = $23;__label__ = 5; break;
    case 5: 
      var $25;
      var $26=(($25)&1);
      $1=$26;
      $5=1;
      __ZN2js18AutoNamespaceArrayD1Ev($namespaces); //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break;
    case 6: 
      var $28=$1; //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 5997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20xml_insertChildAfterP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $arg=__stackBase__;
      var $kid;
      var $i;
      var $obj=__stackBase__+8;
      var $xml;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $9=__stackBase__+44;
      var $10=__stackBase__+52;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $11=$2; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$4; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($11, $12, $obj); //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$13; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$xml; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$4; //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($obj)>>2)]; //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $19); //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$18; //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$5; //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 6007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$xml; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+16)|0); //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAPU32[(($23)>>2)]; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)>>>0) < 2; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27=$3; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)==0; //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 6008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=1; //@line 6009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $31=$4; //@line 6011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+16)|0); //@line 6011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$arg; //@line 6011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$32; //@line 6011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 6011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$6; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$arg; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=_JSVAL_IS_NULL4395($6); //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)!=0; //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 6012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $kid=0; //@line 6013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 6014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 6015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $41=$7; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$arg; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=_JSVAL_IS_PRIMITIVE4303($7); //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $46=$8; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$arg; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=_JSVAL_TO_OBJECT4304($8); //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZNK8JSObject5isXMLEv($48); //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=1; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $52=$9; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$arg; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=_JSVAL_TO_OBJECT4304($9); //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__ZNK8JSObject10getPrivateEv($54); //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$55; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$56; //@line 6018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$xml; //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57+24)|0); //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$58; //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59)|0); //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$kid; //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$61; //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($60, $62, 0); //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$63; //@line 6019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$i; //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0)==-1; //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 6020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=1; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $68=$i; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68+1)|0); //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$69; //@line 6022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break;
    case 14: 
      var $71=$xml; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71)|0); //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=HEAP32[(($obj)>>2)]; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($73)|0)==(($74)|0); //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($75) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $77=$xml; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84 = $77;__label__ = 17; break; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $79=$2; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$xml; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=HEAP32[(($obj)>>2)]; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($79, $80, $81); //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84 = $82;__label__ = 17; break; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $84; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$84; //@line 6025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$xml; //@line 6026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85)|0)!=0; //@line 6026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($86) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 6026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 6027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $89=$2; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$xml; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$i; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$3; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92)>>>0) >= 2; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($93) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $95=$4; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95+24)|0); //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99 = $96;__label__ = 22; break; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $99 = _JSVAL_VOID;__label__ = 22; break; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $99; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$10; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$99; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($100)>>2)]=HEAP32[(($101)>>2)];HEAP32[(($100+4)>>2)]=HEAP32[(($101+4)>>2)]; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=__ZL6InsertP9JSContextP5JSXMLjN2JS5ValueE($89, $90, $91, $10); //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$102; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $104=$1; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $104; //@line 6029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20xml_insertChildAfterP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL21xml_insertChildBeforeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $arg=__stackBase__;
      var $kid;
      var $i;
      var $obj=__stackBase__+8;
      var $xml;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $9=__stackBase__+44;
      var $10=__stackBase__+52;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $11=$2; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$4; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($11, $12, $obj); //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$13; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$xml; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$4; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($obj)>>2)]; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $19); //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$18; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$5; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 6039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$xml; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+16)|0); //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAPU32[(($23)>>2)]; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)>>>0) < 2; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27=$3; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)==0; //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 6040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=1; //@line 6041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $31=$4; //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+16)|0); //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$arg; //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$32; //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 6043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$6; //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$arg; //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=_JSVAL_IS_NULL4395($6); //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)!=0; //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 6044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $kid=0; //@line 6045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$xml; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+24)|0); //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$41; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)|0); //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0); //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$45; //@line 6046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 6047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $47=$7; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$arg; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=_JSVAL_IS_PRIMITIVE4303($7); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0)!=0; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $52=$8; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$arg; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=_JSVAL_TO_OBJECT4304($8); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__ZNK8JSObject5isXMLEv($54); //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=1; //@line 6049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $58=$9; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$arg; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=_JSVAL_TO_OBJECT4304($9); //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=__ZNK8JSObject10getPrivateEv($60); //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$61; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$62; //@line 6050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$xml; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63+24)|0); //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$64; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65)|0); //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$kid; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$67; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($66, $68, 0); //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$69; //@line 6051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$i; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)==-1; //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 6052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=1; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $75=$xml; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0); //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=HEAP32[(($obj)>>2)]; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($77)|0)==(($78)|0); //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($79) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $81=$xml; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88 = $81;__label__ = 17; break; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $83=$2; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$xml; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=HEAP32[(($obj)>>2)]; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($83, $84, $85); //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88 = $86;__label__ = 17; break; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $88; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$88; //@line 6056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$xml; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)|0)!=0; //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($90) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 6057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $93=$2; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$xml; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$i; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$3; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96)>>>0) >= 2; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($97) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $99=$4; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99+24)|0); //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103 = $100;__label__ = 22; break; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $103 = _JSVAL_VOID;__label__ = 22; break; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $103; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$10; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$103; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($104)>>2)]=HEAP32[(($105)>>2)];HEAP32[(($104+4)>>2)]=HEAP32[(($105+4)>>2)]; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=__ZL6InsertP9JSContextP5JSXMLjN2JS5ValueE($93, $94, $95, $10); //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$106; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $108=$1; //@line 6060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $108; //@line 6060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21xml_insertChildBeforeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL10xml_lengthP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $xml;
      var $l;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+8)|0); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$10; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$obj; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$obj; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__ZNK8JSObject5isXMLEv($15); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$2; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$4; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($18, $19, __ZN2js8XMLClassE); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $21=$obj; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=__ZNK8JSObject10getPrivateEv($21); //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$23; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$xml; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)!=0; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 6066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $28=$xml; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+16)|0); //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 6067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $33=$4; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$33; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[((_JSVAL_ONE)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[((_JSVAL_ONE+4)>>2)]; //@line 6068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 6069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $36=$xml; //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+24)|0); //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0); //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0); //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $l=$41; //@line 6070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$l; //@line 6071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)>>>0) <= 2147483647; //@line 6071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 6071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $45=$4; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$l; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _INT_TO_JSVAL4421($5, $46); //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$45; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$5; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 6072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $50=$4; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$l; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)>>>0); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _DOUBLE_TO_JSVAL4435($6, $52); //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$50; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$6; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 6074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 13; break;
    case 13: 
      $1=1; //@line 6076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 6076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $58=$1; //@line 6077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $58; //@line 6077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10xml_lengthP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13xml_localNameP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $xml;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($6, $7, $obj); //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$8; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$xml; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 6082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$4; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$xml; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+12)|0); //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$xml; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19+12)|0); //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject20getQNameLocalNameValEv($5, $21); //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$5; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $25=$13; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$5; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 6083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 6084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $28=$1; //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $28; //@line 6085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8xml_nameP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $xml;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($6, $7, $obj); //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$8; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$xml; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 6090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$4; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$xml; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+12)|0); //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $16); //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$13; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$5; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 6091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 6092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$1; //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $20; //@line 6093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13xml_namespaceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $prefix;
      var $nsprefix;
      var $i;
      var $length;
      var $ns;
      var $obj=__stackBase__;
      var $xml;
      var $str;
      var $5=__stackBase__+4;
      var $inScopeNSes=__stackBase__+12;
      var $6;
      var $7=__stackBase__+40;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($8, $9, $obj); //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$10; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$xml; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 6102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$3; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)==0; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$xml; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+16)|0); //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20-1)|0); //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)>>>0) <= 2; //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 6103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$4; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 6104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 6105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$3; //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)==0; //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 6108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $prefix=0; //@line 6109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 6110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $31=$2; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$4; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+16)|0); //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($31, $33); //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$34; //@line 6111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$str; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0)!=0; //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 6113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 6113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $39=$str; //@line 6114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$2; //@line 6114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=__ZN8JSString12ensureLinearEP9JSContext($39, $40); //@line 6114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$41; //@line 6114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$prefix; //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)|0)!=0; //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($43) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 6115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 6116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $46=$4; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46+16)|0); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$prefix; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$48; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($5, $49); //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$47; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$5; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 6117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break;
    case 13: 
      var $53=$2; //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayC1EP9JSContext($inScopeNSes, $53); //@line 6120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$2; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$xml; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($inScopeNSes+12)|0); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__ZL21FindInScopeNamespacesP9JSContextP5JSXMLP10JSXMLArray($54, $55, $56); //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0)!=0; //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 6121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=0; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 36; break; //@line 6122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $61=$prefix; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61)|0)!=0; //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($62) { __label__ = 19; break; } else { __label__ = 16; break; } //@line 6124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $64=$2; //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$xml; //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+12)|0); //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($inScopeNSes+12)|0); //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($64, $67, $68); //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$69; //@line 6125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$ns; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=0; //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 6126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      $1=0; //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 36; break; //@line 6127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 32; break; //@line 6128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $ns=0; //@line 6129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($inScopeNSes+12)|0); //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0); //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$77; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $79=$i; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$length; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($79)>>>0) < (($80)>>>0); //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 21; break; } else { __label__ = 31; break; } //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $83=$i; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($inScopeNSes+12)|0); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84)|0); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=HEAPU32[(($85)>>2)]; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=(($83)>>>0) < (($86)>>>0); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($87) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $89=$i; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($inScopeNSes+12)|0); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90+8)|0); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+($89<<2))|0); //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$94; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98 = $95;__label__ = 24; break; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $98 = 0;__label__ = 24; break; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $98; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$98; //@line 6131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$ns; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99)|0)!=0; //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($100) { __label__ = 25; break; } else { __label__ = 29; break; } //@line 6132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $102=$ns; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=__ZNK8JSObject13getNamePrefixEv($102); //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsprefix=$103; //@line 6133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$nsprefix; //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104)|0)!=0; //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($105) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $107=$nsprefix; //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$prefix; //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=__ZN2js12EqualStringsEP14JSLinearStringS1_($107, $108); //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($109) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 6134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      __label__ = 31; break; //@line 6135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      $ns=0; //@line 6136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 6137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __label__ = 30; break; //@line 6138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $114=$i; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114+1)|0); //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$115; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 6130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      __label__ = 32; break;
    case 32: 
      var $118=$4; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$ns; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119)|0)!=0; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $122=$7; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($122)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($122+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $124=$ns; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $124); //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $126=$118; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=$7; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($126)>>2)]=HEAP32[(($127)>>2)];HEAP32[(($126+4)>>2)]=HEAP32[(($127+4)>>2)]; //@line 6141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 36; break; //@line 6142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      __ZN2js18AutoNamespaceArrayD1Ev($inScopeNSes); //@line 6143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break;
    case 37: 
      var $130=$1; //@line 6143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $130; //@line 6143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13xml_namespaceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL25xml_namespaceDeclarationsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $xml;
      var $ancestors=__stackBase__+4;
      var $declared=__stackBase__+32;
      var $yml;
      var $i;
      var $n;
      var $ns;
      var $5;
      var $i1;
      var $n2;
      var $ns3;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($6, $7, $obj); //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$8; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$xml; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 6148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$xml; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+16)|0); //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAPU32[(($14)>>2)]; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)>>>0) >= 2; //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=1; //@line 6150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 6150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$2; //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayC1EP9JSContext($ancestors, $19); //@line 6152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$2; //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayC1EP9JSContext($declared, $20); //@line 6153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$xml; //@line 6155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $yml=$21; //@line 6155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $23=$yml; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+8)|0); //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $yml=$25; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 20; break; } //@line 6156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $i=0; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$yml; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+24)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$29; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+16)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$33; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $35=$i; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$n; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 19; break; } //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $39=$i; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$yml; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+24)|0); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$41; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+16)|0); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=HEAPU32[(($44)>>2)]; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($39)>>>0) < (($45)>>>0); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $48=$i; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$yml; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49+24)|0); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$50; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+16)|0); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52+8)|0); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54+($48<<2))|0); //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$56; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60 = $57;__label__ = 12; break; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $60 = 0;__label__ = 12; break; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $60; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$60; //@line 6159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$ns; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61)|0)!=0; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($62) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $64=(($ancestors+12)|0); //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$ns; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$65; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($64, $66, 344); //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=-1; //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 17; break; } else { __label__ = 14; break; } //@line 6160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $70=$2; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($ancestors+12)|0); //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($ancestors+12)|0); //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72)|0); //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$ns; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$75; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($70, $71, $74, $76); //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)|0)!=0; //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 6161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $1=0; //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __label__ = 36; break; //@line 6162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 6163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 18; break; //@line 6164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $83=$i; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83+1)|0); //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$84; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 6; break; //@line 6165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $i1=0; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$xml; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87+24)|0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$88; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89+16)|0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90)|0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n2=$92; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $94=$i1; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$n2; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($94)>>>0) < (($95)>>>0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($96) { __label__ = 22; break; } else { __label__ = 35; break; } //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $98=$i1; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$xml; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99+24)|0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$100; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101+16)|0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102)|0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=HEAPU32[(($103)>>2)]; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($98)>>>0) < (($104)>>>0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($105) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $107=$i1; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$xml; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108+24)|0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$109; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110+16)|0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111+8)|0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113+($107<<2))|0); //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$115; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119 = $116;__label__ = 25; break; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $119 = 0;__label__ = 25; break; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $119; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns3=$119; //@line 6168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$ns3; //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120)|0)!=0; //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($121) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 6169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 34; break; //@line 6170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $124=$ns3; //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=__ZL10IsDeclaredPK8JSObject($124); //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0)!=0; //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($126) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 6171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      __label__ = 34; break; //@line 6172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $129=(($ancestors+12)|0); //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$ns3; //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=$130; //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($129, $131, 344); //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=(($132)|0)!=-1; //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($133) { __label__ = 33; break; } else { __label__ = 30; break; } //@line 6173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $135=$2; //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($declared+12)|0); //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($declared+12)|0); //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137)|0); //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$ns3; //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=$140; //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($135, $136, $139, $141); //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142)|0)!=0; //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($143) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 6174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      $1=0; //@line 6175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __label__ = 36; break; //@line 6175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      __label__ = 33; break; //@line 6176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      __label__ = 34; break; //@line 6177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $148=$i1; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=(($148+1)|0); //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i1=$149; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 6167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $151=$2; //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=(($declared+12)|0); //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$4; //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=__ZL19NamespacesToJSArrayP9JSContextP10JSXMLArrayPN2JS5ValueE($151, $152, $153); //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154)&1); //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$155; //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __label__ = 36; break; //@line 6179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      __ZN2js18AutoNamespaceArrayD1Ev($declared); //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayD1Ev($ancestors); //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break;
    case 37: 
      var $158=$1; //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $158; //@line 6180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL25xml_namespaceDeclarationsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12xml_nodeKindP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $obj=__stackBase__;
      var $xml;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($6, $7, $obj); //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$8; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$xml; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$xml; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+16)|0); //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=((_js_xml_class_str+($16<<2))|0); //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=_JS_InternString($13, $18); //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$19; //@line 6201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$str; //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)!=0; //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 6203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$4; //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$str; //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($5, $25); //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$24; //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$5; //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 6204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $29=$1; //@line 6206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 6206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13xml_normalizeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $xml;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+8)|0); //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$obj; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK8JSObject5isXMLEv($14); //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$2; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$4; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $18, __ZN2js8XMLClassE); //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$obj; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSObject10getPrivateEv($20); //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$22; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$xml; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27=$4; //@line 6267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$obj; //@line 6267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $28); //@line 6267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$27; //@line 6267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$5; //@line 6267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 6267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$2; //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$obj; //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$xml; //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZL20xml_normalize_helperP9JSContextP8JSObjectP5JSXML($31, $32, $33); //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$34; //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $36=$1; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 6269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13xml_normalizeP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL10xml_parentP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $parent;
      var $kid;
      var $i;
      var $n;
      var $parentobj;
      var $obj;
      var $xml;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+8)|0); //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$obj; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK8JSObject5isXMLEv($14); //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$2; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$4; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $18, __ZN2js8XMLClassE); //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$obj; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSObject10getPrivateEv($20); //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$22; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$xml; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27=$xml; //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+8)|0); //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parent=$29; //@line 6280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$xml; //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+16)|0); //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)|0)==0; //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 26; break; } //@line 6281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $35=$4; //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 6282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$xml; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+24)|0); //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$38; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0); //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0); //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$42; //@line 6283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$n; //@line 6284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)==0; //@line 6284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 6284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=1; //@line 6285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $47=$xml; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47+24)|0); //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$48; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0); //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50)|0); //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=HEAPU32[(($51)>>2)]; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=0 < (($52)>>>0); //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $55=$xml; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+24)|0); //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$56; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0); //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58+8)|0); //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0); //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$62; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66 = $63;__label__ = 13; break; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $66 = 0;__label__ = 13; break; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $66; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$66; //@line 6287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$kid; //@line 6288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=0; //@line 6288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 6288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=1; //@line 6289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $71=$kid; //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71+8)|0); //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parent=$73; //@line 6290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=1; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $75=$i; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$n; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($75)>>>0) < (($76)>>>0); //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 25; break; } //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $79=$i; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$xml; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+24)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$81; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=HEAPU32[(($84)>>2)]; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($79)>>>0) < (($85)>>>0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($86) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $88=$i; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$xml; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89+24)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$90; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+8)|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94+($88<<2))|0); //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$96; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100 = $97;__label__ = 20; break; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $100 = 0;__label__ = 20; break; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $100; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$100; //@line 6292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$kid; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0)!=0; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($102) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $104=$kid; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104+8)|0); //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$parent; //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($106)|0)!=(($107)|0); //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($108) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 6293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      $1=1; //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break; //@line 6295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $112=$i; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=(($112+1)|0); //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$113; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      __label__ = 26; break; //@line 6296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $116=$parent; //@line 6298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116)|0)!=0; //@line 6298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($117) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 6298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $119=$4; //@line 6299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$119; //@line 6299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($120)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($120+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 6299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $122=$2; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$parent; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=__Z15js_GetXMLObjectP9JSContextP5JSXML($122, $123); //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parentobj=$124; //@line 6303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$parentobj; //@line 6304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0)!=0; //@line 6304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($126) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 6304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      $1=0; //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $129=$4; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$parentobj; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $130); //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=$129; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$5; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($131)>>2)]=HEAP32[(($132)>>2)];HEAP32[(($131+4)>>2)]=HEAP32[(($132+4)>>2)]; //@line 6306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 6307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $134=$1; //@line 6308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $134; //@line 6308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10xml_parentP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL26xml_processingInstructionsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $name=__stackBase__;
      var $nameqn;
      var $funid=__stackBase__+8;
      var $obj;
      var $xml;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      var $7=__stackBase__+28;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+8)|0); //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($8, $10); //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$11; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$obj; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$obj; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZNK8JSObject5isXMLEv($16); //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$2; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$4; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($19, $20, __ZN2js8XMLClassE); //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$obj; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__ZNK8JSObject10getPrivateEv($22); //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$24; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$xml; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 6381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $29=$3; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)==0; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $32=$2; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+52)|0); //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+209948)|0); //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+464)|0); //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($5, $38); //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $40=$4; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+16)|0); //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$5; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$41; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $45=$name; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$5; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 6383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$2; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$6; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$name; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=__ZL9ToXMLNameP9JSContextN2JS5ValueEPi($47, $6, $funid); //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$50; //@line 6384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$nameqn; //@line 6385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)|0)!=0; //@line 6385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 6385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 6386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $55=$4; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+16)|0); //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$nameqn; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $57); //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$56; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$7; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($58)>>2)]=HEAP32[(($59)>>2)];HEAP32[(($58+4)>>2)]=HEAP32[(($59+4)>>2)]; //@line 6387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=HEAP32[(($funid)>>2)]; //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=_JSID_IS_VOID4359($60); //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61)|0)!=0; //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($62) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $64=$2; //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$xml; //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$4; //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($64, $65, $66); //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=0; //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68)&1); //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$69; //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 6390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $71=$2; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$obj; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$xml; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$nameqn; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$4; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=__ZL33xml_processingInstructions_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE($71, $72, $73, $74, $75); //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$76; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 6392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $78=$1; //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $78; //@line 6393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL26xml_processingInstructionsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL16xml_prependChildP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $xml;
      var $5=__stackBase__+4;
      var $6=__stackBase__+12;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($7, $8, $obj); //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$9; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$xml; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 6398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$xml; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0); //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($obj)>>2)]; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($16)|0)==(($17)|0); //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$xml; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27 = $20;__label__ = 6; break; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$2; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$xml; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($obj)>>2)]; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($22, $23, $24); //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27 = $25;__label__ = 6; break; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$27; //@line 6399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$xml; //@line 6400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0)!=0; //@line 6400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 6401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 6401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $32=$4; //@line 6402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($obj)>>2)]; //@line 6402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $33); //@line 6402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$32; //@line 6402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$5; //@line 6402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 6402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$2; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$xml; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$3; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0)!=0; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $41=$4; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+16)|0); //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45 = $42;__label__ = 11; break; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $45 = _JSVAL_VOID;__label__ = 11; break; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $45; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$6; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$45; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__ZL6InsertP9JSContextP5JSXMLjN2JS5ValueE($36, $37, 0, $6); //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$48; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 6403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $50=$1; //@line 6404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 6404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16xml_prependChildP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL24xml_propertyIsEnumerableP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $isIndex=__stackBase__;
      var $index=__stackBase__+4;
      var $obj;
      var $xml;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+8)|0); //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($8, $10); //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$11; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$obj; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$obj; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZNK8JSObject5isXMLEv($16); //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$2; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$4; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($19, $20, __ZN2js8XMLClassE); //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$obj; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__ZNK8JSObject10getPrivateEv($22); //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$24; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$xml; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $29=$4; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$29; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[((_JSVAL_FALSE)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[((_JSVAL_FALSE+4)>>2)]; //@line 6414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$3; //@line 6415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 6415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 16; break; } //@line 6415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $34=$2; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$4; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+16)|0); //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$5; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$36; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=__ZL12IdValIsIndexP9JSContextN2JS5ValueEPjPb($34, $5, $index, $isIndex); //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 6417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $42=HEAP8[($isIndex)]; //@line 6419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42) & 1); //@line 6419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($43) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 6419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $45=$xml; //@line 6420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45+16)|0); //@line 6420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 6420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47)|0)==0; //@line 6420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 6420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $50=$4; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=HEAPU32[(($index)>>2)]; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$xml; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52+24)|0); //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$53; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0); //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)|0); //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=HEAPU32[(($56)>>2)]; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($51)>>>0) < (($57)>>>0); //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)&1); //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _BOOLEAN_TO_JSVAL4415($6, $59); //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$50; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$6; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[(($61+4)>>2)]; //@line 6422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 6423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $63=$4; //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=HEAP32[(($index)>>2)]; //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0)==0; //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65)&1); //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _BOOLEAN_TO_JSVAL4415($7, $66); //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$63; //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$7; //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 6425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break; //@line 6427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break; //@line 6428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $1=1; //@line 6429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $73=$1; //@line 6430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $73; //@line 6430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL24xml_propertyIsEnumerableP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL19xml_removeNamespaceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ns;
      var $obj=__stackBase__;
      var $xml;
      var $5=__stackBase__+4;
      var $6=__stackBase__+12;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($7, $8, $obj); //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$9; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$xml; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$xml; //@line 6490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+16)|0); //@line 6490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 6490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=1; //@line 6490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 15; break; //@line 6491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$xml; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0); //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP32[(($obj)>>2)]; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($22)|0)==(($23)|0); //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $26=$xml; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33 = $26;__label__ = 8; break; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $28=$2; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$xml; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($obj)>>2)]; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($28, $29, $30); //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33 = $31;__label__ = 8; break; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $33; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$33; //@line 6492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$xml; //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 6494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $38=$2; //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$3; //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0)==0; //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$40 ? -1 : 1; //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$4; //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+16)|0); //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$4; //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=__ZL15NamespaceHelperP9JSContextP8JSObjectiPN2JS5ValueES5_($38, 0, $41, $43, $44); //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 6496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 6497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $49=$4; //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$5; //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$49; //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=_JSVAL_TO_OBJECT4304($5); //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$52; //@line 6499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$2; //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$xml; //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$ns; //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZL26xml_removeNamespace_helperP9JSContextP5JSXMLP8JSObject($53, $54, $55); //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)|0)!=0; //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 15; break; //@line 6503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $61=$4; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=HEAP32[(($obj)>>2)]; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($6, $62); //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$61; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$6; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($63)>>2)]=HEAP32[(($64)>>2)];HEAP32[(($63+4)>>2)]=HEAP32[(($64+4)>>2)]; //@line 6505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $66=$1; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $66; //@line 6507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19xml_removeNamespaceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11xml_replaceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 100; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $value=__stackBase__;
      var $vxml;
      var $kid;
      var $index=__stackBase__+8;
      var $i;
      var $nameqn;
      var $obj=__stackBase__+12;
      var $xml;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $7=__stackBase__+32;
      var $8=__stackBase__+40;
      var $9=__stackBase__+48;
      var $10=__stackBase__+56;
      var $haveIndex=__stackBase__+64;
      var $11=__stackBase__+68;
      var $12=__stackBase__+76;
      var $13=__stackBase__+84;
      var $14=__stackBase__+92;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $15=$2; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$4; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($15, $16, $obj); //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$17; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$xml; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 6517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $22=$xml; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+16)|0); //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)!=1; //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 49; break; //@line 6519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $28=$3; //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)>>>0) <= 1; //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $31=$2; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+52)|0); //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+209948)|0); //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+36)|0); //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0); //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($5, $38); //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$value; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$5; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 6522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 6523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $42=$4; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+24)|0); //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$value; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$43; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 6524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$6; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$value; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=_JSVAL_IS_PRIMITIVE4303($6); //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $51=$7; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$value; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=_JSVAL_TO_OBJECT4304($7); //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=__ZNK8JSObject5isXMLEv($53); //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 6525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $56=$8; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$value; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($56)>>2)]=HEAP32[(($57)>>2)];HEAP32[(($56+4)>>2)]=HEAP32[(($57+4)>>2)]; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=_JSVAL_TO_OBJECT4304($8); //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=__ZNK8JSObject10getPrivateEv($58); //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63 = $60;__label__ = 11; break; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $63 = 0;__label__ = 11; break; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $63; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$63; //@line 6526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$vxml; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0)!=0; //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 12; break; } //@line 6528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $67=$2; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$9; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$value; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($68)>>2)]=HEAP32[(($69)>>2)];HEAP32[(($68+4)>>2)]=HEAP32[(($69+4)>>2)]; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$4; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70+24)|0); //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=_JS_ConvertValue($67, $9, 3, $71); //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72)|0)!=0; //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($73) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 6530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $76=$4; //@line 6531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76+24)|0); //@line 6531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$value; //@line 6531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$77; //@line 6531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[(($79)>>2)];HEAP32[(($78+4)>>2)]=HEAP32[(($79+4)>>2)]; //@line 6531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 6532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $81=$2; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$vxml; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=__ZL8DeepCopyP9JSContextP5JSXMLP8JSObjectj($81, $82, 0, 0); //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$83; //@line 6533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$vxml; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84)|0)!=0; //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($85) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 6534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $1=0; //@line 6535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 6535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $88=$4; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88+24)|0); //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$vxml; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90)|0); //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($10, $92); //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$89; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$10; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($93)>>2)]=HEAP32[(($94)>>2)];HEAP32[(($93+4)>>2)]=HEAP32[(($94+4)>>2)]; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$value; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$89; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($95)>>2)]=HEAP32[(($96)>>2)];HEAP32[(($95+4)>>2)]=HEAP32[(($96+4)>>2)]; //@line 6536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $99=$xml; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99)|0); //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=HEAP32[(($obj)>>2)]; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($101)|0)==(($102)|0); //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($103) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $105=$xml; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112 = $105;__label__ = 22; break; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $107=$2; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$xml; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=HEAP32[(($obj)>>2)]; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($107, $108, $109); //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112 = $110;__label__ = 22; break; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $112; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$112; //@line 6540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$xml; //@line 6541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113)|0)!=0; //@line 6541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($114) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 6541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $1=0; //@line 6542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 6542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $117=$3; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117)|0)==0; //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($118) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 6545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      HEAP8[($haveIndex)]=0; //@line 6546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 6547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $121=$2; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$4; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122+16)|0); //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=$11; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$123; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($124)>>2)]=HEAP32[(($125)>>2)];HEAP32[(($124+4)>>2)]=HEAP32[(($125+4)>>2)]; //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=__ZL12IdValIsIndexP9JSContextN2JS5ValueEPjPb($121, $11, $index, $haveIndex); //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($126) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 6548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      $1=0; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 6549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      var $130=HEAP8[($haveIndex)]; //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130) & 1); //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($131) { __label__ = 46; break; } else { __label__ = 30; break; } //@line 6552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $133=$2; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$3; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134)|0)==0; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=$135 ? -1 : 1; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=$4; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137+16)|0); //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=$4; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=__ZL11QNameHelperP9JSContextP8JSObjectiPN2JS5ValueES5_($133, 0, $136, $138, $139); //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140)|0)!=0; //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($141) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 6557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      $1=0; //@line 6558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 6558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $144=$4; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$12; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=$144; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($145)>>2)]=HEAP32[(($146)>>2)];HEAP32[(($145+4)>>2)]=HEAP32[(($146+4)>>2)]; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=_JSVAL_TO_OBJECT4304($12); //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$147; //@line 6560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=$xml; //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=(($148+24)|0); //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=$149; //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=(($150)|0); //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=(($151)|0); //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$153; //@line 6562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($index)>>2)]=-1; //@line 6563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $155=$i; //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($155)|0)!=0; //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($156) { __label__ = 34; break; } else { __label__ = 43; break; } //@line 6564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $158=$i; //@line 6565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($158-1)|0); //@line 6565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$159; //@line 6565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=$i; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$xml; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=(($161+24)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$162; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=(($163)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=HEAPU32[(($165)>>2)]; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=(($160)>>>0) < (($166)>>>0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($167) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $169=$i; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=$xml; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=(($170+24)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=$171; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=(($172)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=(($173+8)|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=(($175+($169<<2))|0); //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=$177; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181 = $178;__label__ = 37; break; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $181 = 0;__label__ = 37; break; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $181; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$181; //@line 6566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=$kid; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=(($182)|0)!=0; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($183) { __label__ = 38; break; } else { __label__ = 42; break; } //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $185=$nameqn; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=$kid; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=__ZL13MatchElemNameP8JSObjectP5JSXML($185, $186); //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $188=(($187)|0)!=0; //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($188) { __label__ = 39; break; } else { __label__ = 42; break; } //@line 6567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $190=$i; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $191=(($190)|0)!=-1; //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($191) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 6568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $193=$2; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=$xml; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=$i; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL13DeleteByIndexP9JSContextP5JSXMLj($193, $194, $195); //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 6569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $197=$i; //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($index)>>2)]=$197; //@line 6570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 42; break; //@line 6571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      __label__ = 33; break; //@line 6572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $200=HEAP32[(($index)>>2)]; //@line 6574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $201=(($200)|0)==-1; //@line 6574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($201) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 6574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      __label__ = 49; break; //@line 6575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      __label__ = 46; break; //@line 6576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      var $205=$2; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=$xml; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=HEAP32[(($index)>>2)]; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=$13; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $209=$value; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($208)>>2)]=HEAP32[(($209)>>2)];HEAP32[(($208+4)>>2)]=HEAP32[(($209+4)>>2)]; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $210=__ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE($205, $206, $207, $13); //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=(($210)|0)!=0; //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($211) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 6578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      $1=0; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      __label__ = 49; break; //@line 6579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $215=$4; //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=HEAP32[(($obj)>>2)]; //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($14, $216); //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=$215; //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=$14; //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($217)>>2)]=HEAP32[(($218)>>2)];HEAP32[(($217+4)>>2)]=HEAP32[(($218+4)>>2)]; //@line 6582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 6583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 50: 
      var $220=$1; //@line 6584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $220; //@line 6584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11xml_replaceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL15xml_setChildrenP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($6, $7, $obj); //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 6592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$4; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$4; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20 = $17;__label__ = 6; break; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20 = _JSVAL_VOID;__label__ = 6; break; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $20; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$12; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$20; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 6594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$2; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($obj)>>2)]; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$2; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25+52)|0); //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+209948)|0); //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+464)|0); //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$30; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=__ZL12ATOM_TO_JSIDP6JSAtom4336($31); //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$4; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($23, $24, $32, 0, $33); //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 6596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 6596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $38=$4; //@line 6598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP32[(($obj)>>2)]; //@line 6598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $39); //@line 6598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$38; //@line 6598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$5; //@line 6598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 6598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 6599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $43=$1; //@line 6600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $43; //@line 6600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15xml_setChildrenP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL16xml_setLocalNameP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $xml;
      var $namestr=__stackBase__+4;
      var $name=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $7=__stackBase__+32;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$2; //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($8, $9, $obj); //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$10; //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$xml; //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 6605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$xml; //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+16)|0); //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17-1)|0); //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)>>>0) <= 2; //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $21=$4; //@line 6607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0); //@line 6607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 6607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 6607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 6608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$3; //@line 6612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)==0; //@line 6612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $28=$2; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+52)|0); //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+209948)|0); //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+36)|0); //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)|0); //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($namestr)>>2)]=$35; //@line 6613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 6614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $37=$4; //@line 6615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+16)|0); //@line 6615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$name; //@line 6615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$38; //@line 6615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 6615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$5; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$name; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=_JSVAL_IS_PRIMITIVE4303($5); //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $46=$6; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$name; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($46)>>2)]=HEAP32[(($47)>>2)];HEAP32[(($46+4)>>2)]=HEAP32[(($47+4)>>2)]; //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=_JSVAL_TO_OBJECT4304($6); //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZNK8JSObject7isQNameEv($48); //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 6616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $51=$7; //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$name; //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=_JSVAL_TO_OBJECT4304($7); //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=__ZNK8JSObject17getQNameLocalNameEv($53); //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($namestr)>>2)]=$54; //@line 6617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 6618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $56=$2; //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($56, $name, $namestr); //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 6619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 6620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $62=$xml; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)|0); //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=HEAP32[(($obj)>>2)]; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($64)|0)==(($65)|0); //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($66) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $68=$xml; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75 = $68;__label__ = 17; break; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $70=$2; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$xml; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=HEAP32[(($obj)>>2)]; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($70, $71, $72); //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75 = $73;__label__ = 17; break; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $75; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$75; //@line 6624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$xml; //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0)!=0; //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 6625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 6626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $80=HEAP32[(($namestr)>>2)]; //@line 6627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80)|0)!=0; //@line 6627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 6627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $83=$xml; //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83+12)|0); //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=HEAP32[(($namestr)>>2)]; //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject17setQNameLocalNameEP6JSAtom($85, $86); //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 6628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $88=$4; //@line 6629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0); //@line 6629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$89; //@line 6629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($90)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($90+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 6629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 6630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $92=$1; //@line 6631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $92; //@line 6631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16xml_setLocalNameP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11xml_setNameP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $name=__stackBase__;
      var $nameqn;
      var $nsowner;
      var $nsarray;
      var $i;
      var $n;
      var $ns;
      var $obj=__stackBase__+8;
      var $xml;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $9=__stackBase__+44;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $10=$2; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($10, $11, $obj); //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$12; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$xml; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$xml; //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17+16)|0); //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19-1)|0); //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)>>>0) <= 2; //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=1; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$3; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)==0; //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$2; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+52)|0); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29+209948)|0); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+36)|0); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$33; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($5, $34); //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$name; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$5; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 6648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 6649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $38=$4; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+16)|0); //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$name; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$39; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 6650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$6; //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$name; //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=_JSVAL_IS_PRIMITIVE4303($6); //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0)!=0; //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 8; break; } //@line 6651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $47=$7; //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$name; //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=_JSVAL_TO_OBJECT4304($7); //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=__ZNK8JSObject8getClassEv($49); //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50)|0)==((__ZN2js10QNameClassE)|0); //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 6652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $53=$8; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$name; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=_JSVAL_TO_OBJECT4304($8); //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$55; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZNK8JSObject10getNameURIEv($55); //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)|0)!=0; //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $59=$4; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59+16)|0); //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$nameqn; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject20getQNameLocalNameValEv($9, $61); //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$60; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$9; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)]; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$name; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$60; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 6654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 6655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $68=$2; //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($68, __ZN2js10QNameClassE, 0, 0, 1, $name); //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$69; //@line 6658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$nameqn; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=0; //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 6660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $74=$xml; //@line 6663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74+16)|0); //@line 6663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 6663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0)==3; //@line 6663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $79=$nameqn; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$2; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+52)|0); //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82+144136)|0); //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$84; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($79, $85); //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $87=$xml; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87)|0); //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=HEAP32[(($obj)>>2)]; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($89)|0)==(($90)|0); //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($91) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $93=$xml; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100 = $93;__label__ = 19; break; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $95=$2; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$xml; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=HEAP32[(($obj)>>2)]; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($95, $96, $97); //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100 = $98;__label__ = 19; break; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $100; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$100; //@line 6666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$xml; //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0)!=0; //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($102) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 6667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $1=0; //@line 6668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $105=$nameqn; //@line 6669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$xml; //@line 6669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106+12)|0); //@line 6669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($107)>>2)]=$105; //@line 6669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$xml; //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108+16)|0); //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0)==1; //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($111) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 6678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $113=$xml; //@line 6679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsowner=$113; //@line 6679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 6680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $115=$xml; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($115+8)|0); //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117)|0)!=0; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($118) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $120=$xml; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120+8)|0); //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122+16)|0); //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($124)|0)!=1; //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($125) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 6681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $1=1; //@line 6682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $128=$xml; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128+8)|0); //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsowner=$130; //@line 6683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break;
    case 27: 
      var $132=$nameqn; //@line 6686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=__ZNK8JSObject13getNamePrefixEv($132); //@line 6686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=(($133)|0)!=0; //@line 6686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($134) { __label__ = 28; break; } else { __label__ = 33; break; } //@line 6686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $136=$2; //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=$nameqn; //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=$nsowner; //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138+24)|0); //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$139; //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140+16)|0); //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($136, $137, $141); //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$142; //@line 6697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=$ns; //@line 6698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=(($143)|0)!=0; //@line 6698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($144) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 6698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      $1=0; //@line 6699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $147=$nsowner; //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+24)|0); //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=$148; //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149+16)|0); //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=$ns; //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=$151; //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($150, $152, 0); //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=(($153)|0)!=-1; //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($154) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 6702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $156=$4; //@line 6703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=(($156)|0); //@line 6703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=$157; //@line 6703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($158)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($158+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 6703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      __label__ = 46; break; //@line 6706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $161=$nsowner; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=(($161+24)|0); //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$162; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=(($163+16)|0); //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsarray=$164; //@line 6723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=$nsarray; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=(($165)|0); //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$167; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $169=$i; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=$n; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=(($169)>>>0) < (($170)>>>0); //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($171) { __label__ = 35; break; } else { __label__ = 43; break; } //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $173=$i; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=$nsarray; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174)|0); //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=HEAPU32[(($175)>>2)]; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=(($173)>>>0) < (($176)>>>0); //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($177) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $179=$i; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=$nsarray; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181=(($180+8)|0); //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=HEAP32[(($181)>>2)]; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=(($182+($179<<2))|0); //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=HEAP32[(($183)>>2)]; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=$184; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $188 = $185;__label__ = 38; break; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $188 = 0;__label__ = 38; break; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $188; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$188; //@line 6725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $189=$ns; //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $190=(($189)|0)!=0; //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($190) { __label__ = 39; break; } else { __label__ = 41; break; } //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $192=$ns; //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=__ZNK8JSObject10getNameURIEv($192); //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=$nameqn; //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=__ZNK8JSObject10getNameURIEv($194); //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $196=__ZN2js12EqualStringsEP14JSLinearStringS1_($193, $195); //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($196) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 6726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $198=$nameqn; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $199=$ns; //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $200=__ZNK8JSObject13getNamePrefixEv($199); //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($198, $200); //@line 6727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $201=$4; //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=(($201)|0); //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $203=$202; //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($203)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($203+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 6728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      __label__ = 42; break; //@line 6731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $206=$i; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=(($206+1)|0); //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$207; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 6724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $209=$2; //@line 6733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $210=$nameqn; //@line 6733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=__ZNK8JSObject10getNameURIEv($210); //@line 6733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $212=__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i($209, 0, $211, 1); //@line 6733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$212; //@line 6733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $213=$ns; //@line 6734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $214=(($213)|0)!=0; //@line 6734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($214) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 6734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      $1=0; //@line 6735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      __label__ = 46; break;
    case 46: 
      var $218=$2; //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219=$nsowner; //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $220=$ns; //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $221=__ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject($218, $219, $220); //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $222=(($221)|0)!=0; //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($222) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 6738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      $1=0; //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      var $225=$4; //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $226=(($225)|0); //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $227=$226; //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($227)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($227+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 6740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 6741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $229=$1; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $229; //@line 6742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11xml_setNameP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL16xml_setNamespaceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $qn;
      var $ns;
      var $qnargv=__stackBase__;
      var $nsowner;
      var $obj=__stackBase__+16;
      var $xml;
      var $5=__stackBase__+20;
      var $6=__stackBase__+28;
      var $7=__stackBase__+36;
      var $8=__stackBase__+44;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$2; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$4; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($9, $10, $obj); //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$11; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$xml; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$xml; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18-1)|0); //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)>>>0) <= 2; //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=1; //@line 6754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$xml; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0); //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=HEAP32[(($obj)>>2)]; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($25)|0)==(($26)|0); //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $29=$xml; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36 = $29;__label__ = 8; break; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $31=$2; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$xml; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($obj)>>2)]; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($31, $32, $33); //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36 = $34;__label__ = 8; break; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $36; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$36; //@line 6756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$xml; //@line 6757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)!=0; //@line 6757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 6758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $41=$2; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=HEAP32[(($obj)>>2)]; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$3; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)==0; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44 ? 0 : 1; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$4; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46+16)|0); //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($41, __ZN2js14NamespaceClassE, 0, $42, $45, $47); //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$48; //@line 6760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$ns; //@line 6761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0)!=0; //@line 6761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 6761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 6762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $53=$4; //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0); //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$ns; //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $55); //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$54; //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$5; //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($56)>>2)]=HEAP32[(($57)>>2)];HEAP32[(($56+4)>>2)]=HEAP32[(($57+4)>>2)]; //@line 6763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$ns; //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$6; //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject20setNamespaceDeclaredEN2JS5ValueE($58, $6); //@line 6764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($qnargv)|0); //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$ns; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $61); //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$60; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$7; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)]; //@line 6766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($qnargv+8)|0); //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$xml; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+12)|0); //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($8, $67); //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$64; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$8; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($68)>>2)]=HEAP32[(($69)>>2)];HEAP32[(($68+4)>>2)]=HEAP32[(($69+4)>>2)]; //@line 6767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$2; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($qnargv)|0); //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($70, __ZN2js10QNameClassE, 0, 0, 2, $71); //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$72; //@line 6768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$qn; //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)!=0; //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 6770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $77=$qn; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$xml; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($78+12)|0); //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($79)>>2)]=$77; //@line 6772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$xml; //@line 6778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+16)|0); //@line 6778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 6778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82)|0)==1; //@line 6778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($83) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $85=$xml; //@line 6779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsowner=$85; //@line 6779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 6780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $87=$xml; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87+8)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)|0)!=0; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($90) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $92=$xml; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+8)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94+16)|0); //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=HEAP32[(($95)>>2)]; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96)|0)!=1; //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($97) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 6781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=1; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $100=$xml; //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($100+8)|0); //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=HEAP32[(($101)>>2)]; //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsowner=$102; //@line 6783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break;
    case 20: 
      var $104=$2; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$nsowner; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$ns; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=__ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject($104, $105, $106); //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107)|0)!=0; //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($108) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 6785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      $1=0; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $111=$4; //@line 6787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111)|0); //@line 6787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$112; //@line 6787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($113)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($113+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 6787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 6788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $115=$1; //@line 6789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $115; //@line 6789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16xml_setNamespaceP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8xml_textP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $xml;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$4; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+8)|0); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($5, $7); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$8; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$obj; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$obj; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK8JSObject5isXMLEv($13); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$2; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($16, $17, __ZN2js8XMLClassE); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$obj; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZNK8JSObject10getPrivateEv($19); //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$20; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$21; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$xml; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $26=$2; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$obj; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$xml; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$4; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=__ZL15xml_text_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE($26, $27, $28, $29); //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$30; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 6844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $32=$1; //@line 6845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $32; //@line 6845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12xml_toSourceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $str;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+8)|0); //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$10; //@line 6885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$obj; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$2; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$obj; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $16); //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL11ToXMLStringP9JSContextN2JS5ValueEj($15, $5, -2147483648); //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$17; //@line 6888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$str; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 6890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$4; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$str; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($6, $23); //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$22; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$6; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 6891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$1; //@line 6893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 6893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12xml_toStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $obj;
      var $xml;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+8)|0); //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$obj; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK8JSObject5isXMLEv($14); //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$2; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$4; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($17, $18, __ZN2js8XMLClassE); //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$obj; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSObject10getPrivateEv($20); //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$22; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$xml; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 6900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27=$2; //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$xml; //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZL19xml_toString_helperP9JSContextP5JSXML($27, $28); //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$29; //@line 6901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$str; //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 6902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 6903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 6903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $34=$4; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$str; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($5, $35); //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$34; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$5; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 6904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 6905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $39=$1; //@line 6906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 6906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12xml_toStringP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL15xml_toXMLStringP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $str;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 6912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 6912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+8)|0); //@line 6912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($7, $9); //@line 6912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$10; //@line 6912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$obj; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$2; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$obj; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $16); //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL11ToXMLStringP9JSContextN2JS5ValueEj($15, $5, 0); //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$17; //@line 6915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$str; //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 6917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$4; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$str; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($6, $23); //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$22; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$6; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 6918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 6919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$1; //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 6920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11xml_valueOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+8)|0); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($6, $8); //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 6926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 6928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$4; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$obj; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $15); //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$14; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$5; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 6929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 6930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 6930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$1; //@line 6931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 6931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12xml_settingsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $settings;
      var $5=__stackBase__;
      var $obj;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=_JS_NewObject($6, 0, 0, 0); //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $settings=$7; //@line 7022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$settings; //@line 7023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 7023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$4; //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$settings; //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $13); //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$12; //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$5; //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 7025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$2; //@line 7026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 7026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17+8)|0); //@line 7026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($16, $18); //@line 7026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$19; //@line 7026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$obj; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)!=0; //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$2; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$obj; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$settings; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=__ZL15CopyXMLSettingsP9JSContextP8JSObjectS2_($24, $25, $26); //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$27; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $29=$1; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 7030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10JSXMLArray4initEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 66 "./jsxml.h"
  HEAP32[(($3)>>2)]=0; //@line 66 "./jsxml.h"
  var $4=(($2)|0); //@line 66 "./jsxml.h"
  HEAP32[(($4)>>2)]=0; //@line 66 "./jsxml.h"
  var $5=(($2+8)|0); //@line 67 "./jsxml.h"
  HEAP32[(($5)>>2)]=0; //@line 67 "./jsxml.h"
  var $6=(($2+12)|0); //@line 68 "./jsxml.h"
  HEAP32[(($6)>>2)]=0; //@line 68 "./jsxml.h"
  ;
  return; //@line 69 "./jsxml.h"
}


function __ZL15xml_setSettingsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $settings;
      var $v=__stackBase__;
      var $ok;
      var $obj;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$2; //@line 7039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$4; //@line 7039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+8)|0); //@line 7039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($9, $11); //@line 7039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$12; //@line 7039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$obj; //@line 7040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 7040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 7041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$3; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)==0; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $24 = _JSVAL_VOID;__label__ = 6; break; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $21=$4; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+16)|0); //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24 = $22;__label__ = 6; break; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $24; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$v; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$24; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 7042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$5; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$v; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_JSVAL_IS_NULL4395($5); //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $32=$6; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$v; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=_JSVAL_IS_VOID4396($6); //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 7043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $37=$2; //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$obj; //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=__ZL21SetDefaultXMLSettingsP9JSContextP8JSObject($37, $38); //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$39; //@line 7044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $41=$7; //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$v; //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=_JSVAL_IS_PRIMITIVE4303($7); //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 7046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $46=$4; //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0); //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$47; //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 7047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 7048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $50=$8; //@line 7050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$v; //@line 7050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 7050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=_JSVAL_TO_OBJECT4304($8); //@line 7050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $settings=$52; //@line 7050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$2; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$settings; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$obj; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZL15CopyXMLSettingsP9JSContextP8JSObjectS2_($53, $54, $55); //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$56; //@line 7051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break;
    case 12: 
      var $58=$4; //@line 7053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0); //@line 7053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 7053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 7053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$ok; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$61; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 7054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $63=$1; //@line 7055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 7055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15xml_setSettingsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL19xml_defaultSettingsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $settings;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=_JS_NewObject($6, 0, 0, 0); //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $settings=$7; //@line 7062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$settings; //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$4; //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$settings; //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $13); //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$12; //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$5; //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 7065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$2; //@line 7066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$settings; //@line 7066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__ZL21SetDefaultXMLSettingsP9JSContextP8JSObject($16, $17); //@line 7066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$18; //@line 7066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$1; //@line 7067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $20; //@line 7067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z9js_NewXMLP9JSContext10JSXMLClass($cx, $xml_class) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $xml;
      $2=$cx;
      $3=$xml_class;
      var $4=$2; //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=__Z11js_NewGCXMLP9JSContext($4); //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$5; //@line 7156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$xml; //@line 7157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)!=0; //@line 7157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 7158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $10=$xml; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0); //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($11)>>2)]=0; //@line 7160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$xml; //@line 7161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12+4)|0); //@line 7161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($13)>>2)]=0; //@line 7161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$xml; //@line 7162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+8)|0); //@line 7162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($15)>>2)]=0; //@line 7162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$xml; //@line 7163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+12)|0); //@line 7163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($17)>>2)]=0; //@line 7163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$3; //@line 7164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$xml; //@line 7164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19+16)|0); //@line 7164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($20)>>2)]=$18; //@line 7164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$xml; //@line 7165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+20)|0); //@line 7165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($22)>>2)]=0; //@line 7165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$3; //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0) >= 2; //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $26=$2; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26+52)|0); //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+144136)|0); //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$30; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$xml; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+24)|0); //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$33; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($34)>>2)]=$31; //@line 7167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 7168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $36=$xml; //@line 7169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+24)|0); //@line 7169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 7169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0); //@line 7169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray4initEv($39); //@line 7169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$3; //@line 7170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)==0; //@line 7170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $43=$xml; //@line 7171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+24)|0); //@line 7171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44; //@line 7171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45+16)|0); //@line 7171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($46)>>2)]=0; //@line 7171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$xml; //@line 7172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47+24)|0); //@line 7172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$48; //@line 7172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49+20)|0); //@line 7172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($50)>>2)]=0; //@line 7172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 7173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $52=$xml; //@line 7174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52+24)|0); //@line 7174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$53; //@line 7174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54+16)|0); //@line 7174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray4initEv($55); //@line 7174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$xml; //@line 7175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56+24)|0); //@line 7175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$57; //@line 7175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58+32)|0); //@line 7175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray4initEv($59); //@line 7175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $62=$xml; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$62; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 7183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $64=$1; //@line 7184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $64; //@line 7184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9js_NewXMLP9JSContext10JSXMLClass["X"]=1;

function _js_TraceXML($trc, $xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$trc;
      $2=$xml;
      var $3=$2; //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=(($3)|0); //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5)|0)!=0; //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $8=$1; //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$2; //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0); //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($8, $11, ((STRING_TABLE.__str394285)|0)); //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 7190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 7191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+12)|0); //@line 7191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 7191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$1; //@line 7192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$2; //@line 7192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19+12)|0); //@line 7192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 7192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($18, $21, ((STRING_TABLE.__str404286)|0)); //@line 7192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 7192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$2; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+8)|0); //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 7193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __label__ = 7; break; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 8; break; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 9; break; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $31=$1; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$2; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+8)|0); //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_CallTracer($31, $35, 3); //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 11; break; //@line 7194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $38=$2; //@line 7196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+16)|0); //@line 7196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAPU32[(($39)>>2)]; //@line 7196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)>>>0) >= 2; //@line 7196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 7196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $43=$2; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+24)|0); //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0)!=0; //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 7197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $49=$1; //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$2; //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50+24)|0); //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$51; //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc($49, $53, ((STRING_TABLE.__str414287)|0)); //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 26; break; //@line 7199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $56=$1; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$2; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57+24)|0); //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$58; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59)|0); //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60+8)|0); //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$62; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$2; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64+24)|0); //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$65; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0); //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0); //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16xml_trace_vectorP8JSTracerPP5JSXMLj($56, $63, $69); //@line 7202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$1; //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$2; //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71+24)|0); //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$72; //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0); //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74+12)|0); //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL19XMLArrayCursorTraceP8JSTracerP16JSXMLArrayCursor($70, $76); //@line 7205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$2; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77+16)|0); //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79)|0)==0; //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($80) { __label__ = 16; break; } else { __label__ = 25; break; } //@line 7207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $82=$2; //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82+24)|0); //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$83; //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+16)|0); //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=(($86)|0)!=0; //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($87) { __label__ = 17; break; } else { __label__ = 22; break; } //@line 7208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 18; break; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 19; break; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 20; break; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $92=$1; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$2; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($93+24)|0); //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$94; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95+16)|0); //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$97; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_CallTracer($92, $98, 3); //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 22; break; //@line 7209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $101=$2; //@line 7210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101+24)|0); //@line 7210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$102; //@line 7210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103+20)|0); //@line 7210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 7210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0)!=0; //@line 7210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 7210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $108=$1; //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$2; //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($109+24)|0); //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$110; //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111+20)|0); //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc($108, $113, ((STRING_TABLE.__str424288)|0)); //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 7211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      __label__ = 26; break; //@line 7212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $116=$1; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=$2; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117+24)|0); //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$118; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119+16)|0); //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120)|0); //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$2; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($123+24)|0); //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$124; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125+16)|0); //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=(($126+8)|0); //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=$128; //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js2gc15MarkObjectRangeEP8JSTracerjPP8JSObjectPKc($116, $122, $129, ((STRING_TABLE.__str434289)|0)); //@line 7213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$1; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=$2; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($131+24)|0); //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=$132; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=(($133+16)|0); //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134+12)|0); //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL19XMLArrayCursorTraceP8JSTracerP16JSXMLArrayCursor($130, $136); //@line 7216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=$1; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=$2; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138+24)|0); //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$139; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140+32)|0); //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=(($141+8)|0); //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$143; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$2; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=(($145+24)|0); //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=$146; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+32)|0); //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=(($148)|0); //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16xml_trace_vectorP8JSTracerPP5JSXMLj($137, $144, $150); //@line 7218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=$1; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=$2; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=(($152+24)|0); //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$153; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154+32)|0); //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($155+12)|0); //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=HEAP32[(($156)>>2)]; //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL19XMLArrayCursorTraceP8JSTracerP16JSXMLArrayCursor($151, $157); //@line 7221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break;
    case 26: 
      ;
      return; //@line 7223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_js_TraceXML["X"]=1;

function __ZL16xml_trace_vectorP8JSTracerPP5JSXMLj($trc, $vec, $len) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$trc;
  $2=$vec;
  $3=$len;
  var $4=$1; //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$3; //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN2js2gc12MarkXMLRangeEP8JSTracerjPP5JSXMLPKc($4, $5, $6, ((STRING_TABLE.__str534299)|0)); //@line 4665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return; //@line 4666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL19XMLArrayCursorTraceP8JSTracerP16JSXMLArrayCursor($trc, $cursor) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$trc;
  $2=$cursor;
  var $3=$2; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $4=$1; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN16JSXMLArrayCursor5traceEP8JSTracer($3, $4); //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZN2js13AutoXMLRooterC1EP9JSContextP5JSXML($this, $cx, $xml) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$xml;
  var $4=$1;
  var $5=$2; //@line 1759 "./jscntxt.h"
  var $6=$3; //@line 1759 "./jscntxt.h"
  __ZN2js13AutoXMLRooterC2EP9JSContextP5JSXML($4, $5, $6); //@line 1759 "./jscntxt.h"
  ;
  return; //@line 1759 "./jscntxt.h"
}


function __Z15js_GetXMLObjectP9JSContextP5JSXML($cx, $xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      $2=$cx;
      $3=$xml;
      var $4=$3; //@line 7254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4)|0); //@line 7254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 7254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$6; //@line 7254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$obj; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)!=0; //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$obj; //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$10; //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$2; //@line 7260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 7260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZL12NewXMLObjectP9JSContextP5JSXML($12, $13); //@line 7260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$14; //@line 7260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$obj; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 7262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$obj; //@line 7263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$3; //@line 7263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0); //@line 7263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 7263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$obj; //@line 7264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$22; //@line 7264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $24=$1; //@line 7265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $24; //@line 7265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13AutoXMLRooterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js13AutoXMLRooterD2Ev($2); //@line 1751 "./jscntxt.h"
  ;
  return; //@line 1751 "./jscntxt.h"
}


function __ZL12NewXMLObjectP9JSContextP5JSXML($cx, $xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $parent;
      $2=$cx;
      $3=$xml;
      var $4=$2; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=__ZN2jsL22GetGlobalForScopeChainEP9JSContext4366($4); //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$5; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parent=$6; //@line 7241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$2; //@line 7242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$parent; //@line 7242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4427($7, __ZN2js8XMLClassE, 0, $8); //@line 7242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$9; //@line 7242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$obj; //@line 7243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 7243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$obj; //@line 7245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$3; //@line 7245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$15; //@line 7245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setPrivateEPv($14, $16); //@line 7245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$obj; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$17; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$1; //@line 7247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $19; //@line 7247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z21js_InitNamespaceClassP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $namespaceProto;
      var $empty;
      var $NAMESPACE_CTOR_LENGTH;
      var $ctor;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 7272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 7272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $global=$5; //@line 7272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$global; //@line 7274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$2; //@line 7274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, __ZN2js14NamespaceClassE); //@line 7274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $namespaceProto=$8; //@line 7274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$namespaceProto; //@line 7275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 7275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+52)|0); //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+144136)|0); //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $empty=$18; //@line 7277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$namespaceProto; //@line 7278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$empty; //@line 7278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$20; //@line 7278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($19, $21); //@line 7278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$namespaceProto; //@line 7279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$empty; //@line 7279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 7279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($22, $24); //@line 7279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$namespaceProto; //@line 7280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($25); //@line 7280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $NAMESPACE_CTOR_LENGTH=2; //@line 7282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$global; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$2; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$2; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+52)|0); //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+209948)|0); //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+72)|0); //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+48)|0); //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($26, $27, 346, __ZN2js14NamespaceClassE, $35, 2); //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ctor=$36; //@line 7283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$ctor; //@line 7286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)!=0; //@line 7286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 7287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $41=$2; //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$ctor; //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$namespaceProto; //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($41, $43, $44); //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($45) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 7289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $48=$2; //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$namespaceProto; //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($48, $49, ((__ZL15namespace_props)|0), ((__ZL17namespace_methods)|0)); //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($50) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 7292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $53=$2; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$global; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$ctor; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$55; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$namespaceProto; //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($53, $54, 12, $56, $57); //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 7295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $61=$namespaceProto; //@line 7298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$61; //@line 7298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $63=$1; //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $63; //@line 7299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z21js_InitNamespaceClassP9JSContextP8JSObject["X"]=1;

function __ZN8JSObject13setNamePrefixEP14JSLinearString($this, $prefix) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$this;
      $2=$prefix;
      var $4=$1;
      var $5=$2; //@line 698 "./jsobjinlines.h"
      var $6=(($5)|0)!=0; //@line 698 "./jsobjinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 698 "./jsobjinlines.h"
    case 2: 
      var $8=$2; //@line 698 "./jsobjinlines.h"
      var $9=$8; //@line 698 "./jsobjinlines.h"
      __ZN2JSL11StringValueEP8JSString4311($3, $9); //@line 698 "./jsobjinlines.h"
      __label__ = 4; break; //@line 698 "./jsobjinlines.h"
    case 3: 
      __ZN2JSL14UndefinedValueEv4406($3); //@line 698 "./jsobjinlines.h"
      __label__ = 4; break; //@line 698 "./jsobjinlines.h"
    case 4: 
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($4, 0, $3); //@line 698 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return; //@line 699 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8JSObject10setNameURIEP14JSLinearString($this, $uri) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$this;
      $2=$uri;
      var $4=$1;
      var $5=$2; //@line 727 "./jsobjinlines.h"
      var $6=(($5)|0)!=0; //@line 727 "./jsobjinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 727 "./jsobjinlines.h"
    case 2: 
      var $8=$2; //@line 727 "./jsobjinlines.h"
      var $9=$8; //@line 727 "./jsobjinlines.h"
      __ZN2JSL11StringValueEP8JSString4311($3, $9); //@line 727 "./jsobjinlines.h"
      __label__ = 4; break; //@line 727 "./jsobjinlines.h"
    case 3: 
      __ZN2JSL14UndefinedValueEv4406($3); //@line 727 "./jsobjinlines.h"
      __label__ = 4; break; //@line 727 "./jsobjinlines.h"
    case 4: 
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($4, 1, $3); //@line 727 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return; //@line 728 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9NamespaceP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $thisobj=__stackBase__;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  HEAP32[(($thisobj)>>2)]=0; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $4=$3; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=__ZN2jsL42IsConstructing_PossiblyWithGivenThisObjectEPKN2JS5ValueEPP8JSObject($4, $thisobj); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$1; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=HEAP32[(($thisobj)>>2)]; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$2; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$3; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=(($9+16)|0); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=$3; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $12=__ZL15NamespaceHelperP9JSContextP8JSObjectiPN2JS5ValueES5_($6, $7, $8, $10, $11); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __Z17js_InitQNameClassP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $qnameProto;
      var $empty;
      var $QNAME_CTOR_LENGTH;
      var $ctor;
      $2=$cx;
      $3=$obj;
      var $4=$3; //@line 7306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=__ZN8JSObject8asGlobalEv($4); //@line 7306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $global=$5; //@line 7306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$global; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$2; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($6, $7, __ZN2js10QNameClassE); //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qnameProto=$8; //@line 7308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$qnameProto; //@line 7309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 7309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 7311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+52)|0); //@line 7311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+144136)|0); //@line 7311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 7311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $empty=$17; //@line 7311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$2; //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$qnameProto; //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$empty; //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$20; //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$empty; //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$empty; //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZL12InitXMLQNameP9JSContextP8JSObjectP14JSLinearStringS4_P6JSAtom($18, $19, $21, $23, $24); //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 7313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $28=$qnameProto; //@line 7314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($28); //@line 7314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $QNAME_CTOR_LENGTH=2; //@line 7316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$global; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$2; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$2; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+52)|0); //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+209948)|0); //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+72)|0); //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+52)|0); //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($29, $30, 348, __ZN2js10QNameClassE, $38, 2); //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ctor=$39; //@line 7317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$ctor; //@line 7319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)!=0; //@line 7319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 7319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $44=$2; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$ctor; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$45; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$qnameProto; //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($44, $46, $47); //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 7322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 7323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $51=$2; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$qnameProto; //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($51, $52, 0, ((__ZL13qname_methods)|0)); //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 7325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 7326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $56=$2; //@line 7328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$global; //@line 7328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$ctor; //@line 7328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$58; //@line 7328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$qnameProto; //@line 7328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($56, $57, 13, $59, $60); //@line 7328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 7328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=0; //@line 7329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $64=$qnameProto; //@line 7331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$64; //@line 7331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $66=$1; //@line 7332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $66; //@line 7332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z17js_InitQNameClassP9JSContextP8JSObject["X"]=1;

function __ZL12InitXMLQNameP9JSContextP8JSObjectP14JSLinearStringS4_P6JSAtom($cx, $obj, $uri, $prefix, $localName) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$uri;
      $5=$prefix;
      $6=$localName;
      var $7=$2; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$3; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=_JS_DefineProperties($7, $8, ((__ZL11qname_props)|0)); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$4; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$3; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($16, $17); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$5; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0)!=0; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $22=$3; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$5; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($22, $23); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $25=$6; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $28=$3; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$6; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject17setQNameLocalNameEP6JSAtom($28, $29); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=1; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $32=$1; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $32; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL5QNameP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $thisobj=__stackBase__;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  HEAP32[(($thisobj)>>2)]=0; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $4=$3; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=__ZN2jsL42IsConstructing_PossiblyWithGivenThisObjectEPKN2JS5ValueEPP8JSObject($4, $thisobj); //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$1; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=HEAP32[(($thisobj)>>2)]; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$2; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$3; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=(($9+16)|0); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=$3; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $12=__ZL11QNameHelperP9JSContextP8JSObjectiPN2JS5ValueES5_($6, $7, $8, $10, $11); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __Z15js_InitXMLClassP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $xmlProto;
      var $xml;
      var $XML_CTOR_LENGTH;
      var $ctor;
      var $xmllist;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=$3; //@line 7339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__ZN8JSObject8asGlobalEv($5); //@line 7339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $global=$6; //@line 7339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$global; //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$2; //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE($7, $8, __ZN2js8XMLClassE); //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xmlProto=$9; //@line 7341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$xmlProto; //@line 7342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 7342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$2; //@line 7344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__Z9js_NewXMLP9JSContext10JSXMLClass($14, 4); //@line 7344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$15; //@line 7344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$xml; //@line 7345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 7345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$xmlProto; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$xml; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setPrivateEPv($20, $22); //@line 7347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$xmlProto; //@line 7348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$xml; //@line 7348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0); //@line 7348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($25)>>2)]=$23; //@line 7348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$2; //@line 7351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=__ZNK9JSContext28runningWithTrustedPrincipalsEv($26); //@line 7351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 7351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $29=HEAP32[((_sE4XObjectsCreated)>>2)]; //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29-1)|0); //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[((_sE4XObjectsCreated)>>2)]=$30; //@line 7353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 7354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $XML_CTOR_LENGTH=1; //@line 7356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$global; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$2; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$2; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+52)|0); //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+209948)|0); //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+72)|0); //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+44)|0); //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$40; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj($32, $33, 350, __ZN2js8XMLClassE, $41, 1); //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ctor=$42; //@line 7357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$ctor; //@line 7359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 7359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 7359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 7360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $47=$2; //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$ctor; //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$48; //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$xmlProto; //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_($47, $49, $50); //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($51) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 7362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 7363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $54=$2; //@line 7365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$xmlProto; //@line 7365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($54, $55, 0, ((__ZL11xml_methods)|0)); //@line 7365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 7365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $58=$2; //@line 7366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$ctor; //@line 7366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 7366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec($58, $60, ((__ZL16xml_static_props)|0), ((__ZL18xml_static_methods)|0)); //@line 7366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 7366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $64=$2; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$ctor; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$65; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=__ZL21SetDefaultXMLSettingsP9JSContextP8JSObject($64, $66); //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=0; //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 7371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $1=0; //@line 7372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $71=$2; //@line 7376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$global; //@line 7376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$72; //@line 7376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=_JS_DefineFunction($71, $73, ((STRING_TABLE._js_XMLList_str)|0), 352, 1, 512); //@line 7376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xmllist=$74; //@line 7376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$xmllist; //@line 7377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0)!=0; //@line 7377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 7377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      $1=0; //@line 7378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $79=$xmllist; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$79; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$2; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$2; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82+52)|0); //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+209948)|0); //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85+252)|0); //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$87; //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=__ZL12ATOM_TO_JSIDP6JSAtom4336($88); //@line 7379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$xmlProto; //@line 7380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($4, $90); //@line 7380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($80, $81, $89, $4, 8, 10, 6); //@line 7380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91)|0)!=0; //@line 7380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($92) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 7380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $1=0; //@line 7383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $95=$2; //@line 7386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$global; //@line 7386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$ctor; //@line 7386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$97; //@line 7386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$xmlProto; //@line 7386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_($95, $96, 11, $98, $99); //@line 7386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($100) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 7386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      $1=0; //@line 7387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $103=$2; //@line 7390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$3; //@line 7390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=_JS_DefineFunction($103, $104, ((STRING_TABLE._js_isXMLName_str)|0), 354, 1, 0); //@line 7390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0)!=0; //@line 7390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 7390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $1=0; //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $109=$xmlProto; //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$109; //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 7393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $111=$1; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $111; //@line 7394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z15js_InitXMLClassP9JSContextP8JSObject["X"]=1;

function __ZL3XMLP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $xml;
      var $copy;
      var $xobj;
      var $vobj;
      var $clasp;
      var $v=__stackBase__;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $11=$3; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $14=$4; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+16)|0); //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18 = $15;__label__ = 4; break; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18 = _JSVAL_VOID;__label__ = 4; break; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$v; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$18; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 7083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$5; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$v; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=_JSVAL_IS_NULL4395($5); //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26=$6; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$v; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=_JSVAL_IS_VOID4396($6); //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0)!=0; //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $31=$2; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+52)|0); //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+144136)|0); //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($7, $36); //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$v; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$7; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 7086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $40=$2; //@line 7088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$8; //@line 7088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$v; //@line 7088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 7088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=__ZL5ToXMLP9JSContextN2JS5ValueE($40, $8); //@line 7088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xobj=$43; //@line 7088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$xobj; //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0)!=0; //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 7089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 7090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 7090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $48=$xobj; //@line 7091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZNK8JSObject10getPrivateEv($48); //@line 7091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$49; //@line 7091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$50; //@line 7091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$4; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=__ZN2jsL14IsConstructingEPKN2JS5ValueE4419($51); //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 17; break; } //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $54=$9; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$v; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)]; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=_JSVAL_IS_PRIMITIVE4303($9); //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)|0)!=0; //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 17; break; } else { __label__ = 11; break; } //@line 7093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $59=$10; //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$v; //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=_JSVAL_TO_OBJECT4304($10); //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$61; //@line 7094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$vobj; //@line 7095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__ZNK8JSObject8getClassEv($62); //@line 7095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $clasp=$63; //@line 7095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$clasp; //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0)==((__ZN2js8XMLClassE)|0); //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($65) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $67=$clasp; //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67+4)|0); //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$69 & 128; //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=0; //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 7096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $73=$2; //@line 7098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$xml; //@line 7098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=__ZL8DeepCopyP9JSContextP5JSXMLP8JSObjectj($73, $74, 0, 0); //@line 7098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $copy=$75; //@line 7098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$copy; //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0)!=0; //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 7099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=0; //@line 7100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 7100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $80=$4; //@line 7101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$copy; //@line 7101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=(($81)|0); //@line 7101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 7101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value9setObjectER8JSObject($80, $83); //@line 7101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 7102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 7104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $86=$4; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$xobj; //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value9setObjectER8JSObject($86, $87); //@line 7106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 7107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $89=$1; //@line 7108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $89; //@line 7108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL3XMLP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL21SetDefaultXMLSettingsP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $v=__stackBase__;
      var $4=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $i=0; //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $6=$i; //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=((__ZL16xml_static_props+($6<<4))|0); //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0); //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$i; //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=((__ZL16xml_static_props+($12<<4))|0); //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0); //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=(((((STRING_TABLE.__ZL19js_prettyIndent_str)|0)))|0); //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$4; //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      _INT_TO_JSVAL4421($4, 2); //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $21=$v; //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$4; //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 7012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$2; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$3; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$i; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=((__ZL16xml_static_props+($25<<4))|0); //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0); //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_JS_SetProperty($23, $24, $28, $v); //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 7013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 7014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 7014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 9; break; //@line 7015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $34=$i; //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+1)|0); //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$35; //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 7010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=1; //@line 7016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 7016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $38=$1; //@line 7017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $38; //@line 7017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21SetDefaultXMLSettingsP9JSContextP8JSObject["X"]=1;

function __ZL7XMLListP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $vobj;
      var $listobj;
      var $xml;
      var $list;
      var $v=__stackBase__;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      var $12=__stackBase__+64;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $13=$3; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $16=$4; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20 = $17;__label__ = 4; break; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $20 = _JSVAL_VOID;__label__ = 4; break; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$v; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$20; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 7116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$5; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$v; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=_JSVAL_IS_NULL4395($5); //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $28=$6; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$v; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=_JSVAL_IS_VOID4396($6); //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $33=$2; //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+52)|0); //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+144136)|0); //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($7, $38); //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$v; //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$7; //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 7119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $42=$4; //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=__ZN2jsL14IsConstructingEPKN2JS5ValueE4419($42); //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 18; break; } //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $45=$8; //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$v; //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=_JSVAL_IS_PRIMITIVE4303($8); //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47)|0)!=0; //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 18; break; } else { __label__ = 9; break; } //@line 7121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $50=$9; //@line 7122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$v; //@line 7122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 7122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=_JSVAL_TO_OBJECT4304($9); //@line 7122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$52; //@line 7122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$vobj; //@line 7123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=__ZNK8JSObject5isXMLEv($53); //@line 7123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 10; break; } else { __label__ = 17; break; } //@line 7123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $56=$vobj; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__ZNK8JSObject10getPrivateEv($56); //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$57; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$58; //@line 7124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$xml; //@line 7125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59+16)|0); //@line 7125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 7125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61)|0)==0; //@line 7125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($62) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 7125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $64=$2; //@line 7126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($64, 0); //@line 7126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $listobj=$65; //@line 7126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$listobj; //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0)!=0; //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 7127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=0; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 7128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $70=$4; //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$listobj; //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($10, $71); //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$70; //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$10; //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($72)>>2)]=HEAP32[(($73)>>2)];HEAP32[(($72+4)>>2)]=HEAP32[(($73+4)>>2)]; //@line 7129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$listobj; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=__ZNK8JSObject10getPrivateEv($74); //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$75; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$76; //@line 7131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$2; //@line 7132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$list; //@line 7132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$xml; //@line 7132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=__ZL6AppendP9JSContextP5JSXMLS2_($77, $78, $79); //@line 7132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80)|0)!=0; //@line 7132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 7132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=0; //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 7133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $1=1; //@line 7134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 7134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 7136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 18; break; //@line 7137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $87=$2; //@line 7140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$11; //@line 7140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$v; //@line 7140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($88)>>2)]=HEAP32[(($89)>>2)];HEAP32[(($88+4)>>2)]=HEAP32[(($89+4)>>2)]; //@line 7140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=__ZL9ToXMLListP9JSContextN2JS5ValueE($87, $11); //@line 7140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $listobj=$90; //@line 7140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$listobj; //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91)|0)!=0; //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($92) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 7141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $1=0; //@line 7142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 7142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $95=$4; //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$listobj; //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($12, $96); //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$95; //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$12; //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($97)>>2)]=HEAP32[(($98)>>2)];HEAP32[(($97+4)>>2)]=HEAP32[(($98+4)>>2)]; //@line 7144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 7145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $100=$1; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 7146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7XMLListP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL12ATOM_TO_JSIDP6JSAtom4336($atom) {
  ;
  var __label__;

  var $1;
  $1=$atom;
  var $2=$1; //@line 68 "./jsatom.h"
  var $3=$2; //@line 68 "./jsatom.h"
  var $4=__ZL14JSID_FROM_BITSj4418($3); //@line 68 "./jsatom.h"
  ;
  return $4; //@line 68 "./jsatom.h"
}


function __ZL13xml_isXMLNameP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      $1=$cx;
      $2=$argc;
      $3=$vp;
      var $6=$3; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$1; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$2; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=$3; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+16)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15 = $12;__label__ = 4; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15 = _JSVAL_VOID;__label__ = 4; break; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $15; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$5; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$15; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__Z12js_IsXMLNameP9JSContextN2JS5ValueE($7, $5); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _BOOLEAN_TO_JSVAL4415($4, $18); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$6; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$4; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return 1; //@line 161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z17js_InitXMLClassesP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$obj;
      var $4=$2; //@line 7399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$3; //@line 7399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__Z21js_InitNamespaceClassP9JSContextP8JSObject($4, $5); //@line 7399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)!=0; //@line 7399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $10=$2; //@line 7401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$3; //@line 7401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__Z17js_InitQNameClassP9JSContextP8JSObject($10, $11); //@line 7401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 7401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 7402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $16=$2; //@line 7403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$3; //@line 7403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__Z15js_InitXMLClassP9JSContextP8JSObject($16, $17); //@line 7403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$18; //@line 7403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $20=$1; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $20; //@line 7404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js12GlobalObject20getFunctionNamespaceEP9JSContextPN2JS5ValueE($this, $cx, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v;
      var $rt;
      var $prefix;
      var $uri;
      var $obj;
      $2=$this;
      $3=$cx;
      $4=$vp;
      var $5=$2;
      var $6=$5; //@line 7411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZN8JSObject10getSlotRefEj($6, 114); //@line 7411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $v=$7; //@line 7411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$v; //@line 7412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZNK2JS5Value11isUndefinedEv($8); //@line 7412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 7412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=$3; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+52)|0); //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $rt=$13; //@line 7413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$rt; //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+209948)|0); //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+36)|0); //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+8)|0); //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$18; //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$19; //@line 7414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$rt; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+209948)|0); //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+480)|0); //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$24; //@line 7415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$3; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$prefix; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$uri; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i($25, $26, $27, 0); //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$28; //@line 7416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$obj; //@line 7417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 7417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $1=0; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $33=$obj; //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject9clearTypeEv($33); //@line 7427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$v; //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$obj; //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value9setObjectER8JSObject($34, $35); //@line 7429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 7430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $37=$4; //@line 7432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$v; //@line 7432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$37; //@line 7432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$38; //@line 7432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 7432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $42=$1; //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $42; //@line 7434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js12GlobalObject20getFunctionNamespaceEP9JSContextPN2JS5ValueE["X"]=1;

function __ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i($cx, $prefix, $uri, $declared) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      var $6=__stackBase__;
      $2=$cx;
      $3=$prefix;
      $4=$uri;
      $5=$declared;
      var $7=$2; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL26NewBuiltinClassInstanceXMLP9JSContextPN2js5ClassE($7, __ZN2js14NamespaceClassE); //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$8; //@line 273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$obj; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$obj; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=_JS_DefineProperties($13, $14, ((__ZL15namespace_props)|0)); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$3; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0)!=0; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $22=$obj; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$3; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($22, $23); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $25=$4; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $28=$obj; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$4; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($28, $29); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $31=$5; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $34=$obj; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$6; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject20setNamespaceDeclaredEN2JS5ValueE($34, $6); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $37=$obj; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$37; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $39=$1; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i["X"]=1;

function __Z25js_GetDefaultXMLNamespaceP9JSContextPN2JS5ValueE($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $ns;
      var $obj;
      var $tmp;
      var $v=__stackBase__;
      var $scopeChain;
      var $clasp;
      var $4=__stackBase__+8;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      $2=$cx;
      $3=$vp;
      var $7=$2; //@line 7459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN2js13GetScopeChainEP9JSContext($7); //@line 7459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $scopeChain=$8; //@line 7459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=0; //@line 7461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$scopeChain; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $tmp=$9; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=$tmp; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$tmp; //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK8JSObject8getClassEv($14); //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $clasp=$15; //@line 7463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$clasp; //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)==((__ZN2js10BlockClassE)|0); //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$clasp; //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0)==((__ZN2js9WithClassE)|0); //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 7464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 11; break; //@line 7465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $23=$tmp; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$2; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js9SpecialId19defaultXMLNamespaceEv($4); //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZN8JSObject10getSpecialEP9JSContextN2js9SpecialIdEPN2JS5ValueE($23, $24, $4, $v); //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 7466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $29=$5; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$v; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=_JSVAL_IS_PRIMITIVE4303($5); //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 7468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $34=$3; //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$v; //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 7469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $38=$tmp; //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$38; //@line 7472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 7473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $40=$tmp; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=__ZNK8JSObject9getParentEv($40); //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $tmp=$41; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 7462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $43=$2; //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$obj; //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($43, __ZN2js14NamespaceClassE, 0, $44, 0, 0); //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$45; //@line 7475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$ns; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0)!=0; //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 7476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 7477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $50=$ns; //@line 7478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($6, $50); //@line 7478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$v; //@line 7478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$6; //@line 7478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 7478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$obj; //@line 7479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$2; //@line 7479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($53, $54, 6, $v, 8, 10, 4); //@line 7479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)|0)!=0; //@line 7479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 7479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $1=0; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $59=$3; //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$v; //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($60)>>2)]=HEAP32[(($61)>>2)];HEAP32[(($60+4)>>2)]=HEAP32[(($61+4)>>2)]; //@line 7483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $63=$1; //@line 7485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 7485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z25js_GetDefaultXMLNamespaceP9JSContextPN2JS5ValueE["X"]=1;

function __ZN8JSObject10getSpecialEP9JSContextN2js9SpecialIdEPN2JS5ValueE($this, $cx, $sid, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $sid; $sid = STACKTOP;STACKTOP += 4;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($sid)>>2)]=HEAP32[((tempParam)>>2)];
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$vp;
  var $4=$1;
  var $5=$2; //@line 1143 "./jsobjinlines.h"
  var $6=__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid); //@line 1143 "./jsobjinlines.h"
  var $7=$3; //@line 1143 "./jsobjinlines.h"
  var $8=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($4, $5, $6, $7); //@line 1143 "./jsobjinlines.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1143 "./jsobjinlines.h"
}


function __ZN2js9SpecialId19defaultXMLNamespaceEv($agg_result) {
  ;
  var __label__;

  __ZN2js9SpecialIdC1Ej($agg_result, 6); //@line 133 "./jsclass.h"
  ;
  return; //@line 135 "./jsclass.h"
}


function __Z25js_SetDefaultXMLNamespaceP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $argv=__stackBase__;
      var $ns;
      var $varobj;
      var $4=__stackBase__+16;
      $2=$cx;
      $3=$v;
      var $5=(($argv)|0); //@line 7491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$2; //@line 7491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+52)|0); //@line 7491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 7491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+144136)|0); //@line 7491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 7491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$10; //@line 7491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value9setStringEP8JSString($5, $11); //@line 7491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($argv+8)|0); //@line 7492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 7492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$12; //@line 7492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$13; //@line 7492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 7492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$2; //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($argv)|0); //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($16, __ZN2js14NamespaceClassE, 0, 0, 2, $17); //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$18; //@line 7493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$ns; //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0)!=0; //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $23=$2; //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__ZNK9JSContext2fpEv($23); //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZN2js10StackFrame6varObjEv($24); //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $varobj=$25; //@line 7497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$varobj; //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$2; //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$ns; //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($4, $28); //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej($26, $27, 6, $4, 8, 10, 4); //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 7500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=1; //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $34=$1; //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 7503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z18js_ToAttributeNameP9JSContextPN2JS5ValueE($cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $qn;
      var $4=__stackBase__;
      $2=$cx;
      $3=$vp;
      var $5=$2; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$6; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZL15ToAttributeNameP9JSContextN2JS5ValueE($5, $4); //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$9; //@line 7510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$qn; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$3; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$qn; //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value9setObjectER8JSObject($14, $15); //@line 7513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$1; //@line 7515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $17; //@line 7515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15ToAttributeNameP9JSContextN2JS5ValueE($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $uri;
      var $prefix;
      var $obj;
      var $clasp;
      var $qn;
      var $name=__stackBase__+8;
      var $4=__stackBase__+12;
      var $5=__stackBase__+20;
      var $6=__stackBase__+28;
      $3=$cx;
      var $7=$v;
      var $8=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)];
      var $9=$4; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$v; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=_JSVAL_IS_STRING4320($4); //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $14=$3; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($14, $v, $name); //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $2=0; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 2769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$3; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+52)|0); //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+144136)|0); //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$23; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$23; //@line 2770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 2771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$5; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$v; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=_JSVAL_IS_PRIMITIVE4303($5); //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)!=0; //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $30=$3; //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($30, 0, 178, 0, $v, 0, 0, 0); //@line 2773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 2775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $33=$6; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$v; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=_JSVAL_TO_OBJECT4304($6); //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$35; //@line 2778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$obj; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=__ZNK8JSObject8getClassEv($36); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $clasp=$37; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$clasp; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $41=$obj; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$41; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $43=$clasp; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)==((__ZN2js10QNameClassE)|0); //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $46=$obj; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$46; //@line 2784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$qn; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__ZNK8JSObject10getNameURIEv($47); //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$48; //@line 2785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$qn; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=__ZNK8JSObject13getNamePrefixEv($49); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$50; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$qn; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=__ZNK8JSObject17getQNameLocalNameEv($51); //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($name)>>2)]=$52; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $54=$clasp; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0)==((__ZN2js12AnyNameClassE)|0); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($55) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $57=$3; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57+52)|0); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59+209948)|0); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60+464)|0); //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$62; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($name)>>2)]=$63; //@line 2790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $65=$3; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($65, $v, $name); //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($66) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $2=0; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      var $70=$3; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70+52)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72+144136)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=HEAP32[(($73)>>2)]; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$74; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$75; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$75; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $78=$3; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$uri; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$prefix; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=HEAP32[(($name)>>2)]; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=__ZL19NewXMLAttributeNameP9JSContextP14JSLinearStringS2_P6JSAtom($78, $79, $80, $81); //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$82; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$qn; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0)!=0; //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $2=0; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 2801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $87=$qn; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$87; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 2802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $89=$2; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $89; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15ToAttributeNameP9JSContextN2JS5ValueE["X"]=1;

function __Z23js_EscapeAttributeValueP9JSContextP8JSStringi($cx, $str, $quote) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $sb=__stackBase__;
  var $5;
  $2=$cx;
  $3=$str;
  $4=$quote;
  var $6=$2; //@line 7520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN2js12StringBufferC1EP9JSContext($sb, $6); //@line 7520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$2; //@line 7521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$3; //@line 7521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$4; //@line 7521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=__ZL20EscapeAttributeValueP9JSContextRN2js12StringBufferEP8JSStringi($7, $sb, $8, $9); //@line 7521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $1=$10; //@line 7521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $5=1;
  __ZN2js12StringBufferD1Ev($sb); //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=$1; //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $11; //@line 7522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL20EscapeAttributeValueP9JSContextRN2js12StringBufferEP8JSStringi($cx, $sb, $str, $quote) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length;
      var $start;
      var $cp;
      var $end;
      var $c;
      $2=$cx;
      $3=$sb;
      $4=$str;
      $5=$quote;
      var $6=$4; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZNK8JSString6lengthEv($6); //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$7; //@line 2107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$2; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZN8JSString8getCharsEP9JSContext($8, $9); //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $start=$10; //@line 2108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$start; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$5; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$3; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=__ZN2js12StringBuffer6appendEt($18, 34); //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=0; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $22=$start; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$22; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$start; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$length; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($23+($24<<1))|0); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $end=$25; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27=$cp; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$end; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($27)|0)!=(($28)|0); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 32; break; } //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $31=$cp; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP16[(($31)>>1)]; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $c=$32; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$c; //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33)&65535); //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ((($34)|0) == 34) {
        __label__ = 9; break;
      }
      else if ((($34)|0) == 60) {
        __label__ = 12; break;
      }
      else if ((($34)|0) == 38) {
        __label__ = 15; break;
      }
      else if ((($34)|0) == 10) {
        __label__ = 18; break;
      }
      else if ((($34)|0) == 13) {
        __label__ = 21; break;
      }
      else if ((($34)|0) == 9) {
        __label__ = 24; break;
      }
      else {
      __label__ = 27; break;
      }
      
    case 9: 
      var $36=$3; //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=__ZN2js12StringBuffer6appendILj7EEEbRAT__Kc($36, STRING_TABLE._js_quot_entity_str); //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      __label__ = 30; break; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $41=$3; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($41, STRING_TABLE._js_lt_entity_str); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 30; break; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $46=$3; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=__ZN2js12StringBuffer6appendILj6EEEbRAT__Kc($46, STRING_TABLE._js_amp_entity_str); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $1=0; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 30; break; //@line 2129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $51=$3; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=__ZN2js12StringBuffer6appendILj6EEEbRAT__Kc($51, STRING_TABLE.__str504296); //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $1=0; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 30; break; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $56=$3; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__ZN2js12StringBuffer6appendILj6EEEbRAT__Kc($56, STRING_TABLE.__str514297); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      $1=0; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 30; break; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $61=$3; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=__ZN2js12StringBuffer6appendILj6EEEbRAT__Kc($61, STRING_TABLE.__str524298); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($62) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $1=0; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 30; break; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $66=$3; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$c; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=__ZN2js12StringBuffer6appendEt($66, $67); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      $1=0; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __label__ = 30; break; //@line 2145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      __label__ = 31; break; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $73=$cp; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73+2)|0); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$74; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $76=$5; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0)!=0; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $79=$3; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=__ZN2js12StringBuffer6appendEt($79, 34); //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($80) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      $1=0; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $83=$3; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=__ZN2js12StringBuffer12finishStringEv($83); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$84; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$85; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $87=$1; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $87; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20EscapeAttributeValueP9JSContextRN2js12StringBufferEP8JSStringi["X"]=1;

function __Z19js_AddAttributePartP9JSContextiP8JSStringS2_($cx, $isName, $str, $str2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $len;
      var $chars;
      var $len2;
      var $chars2;
      var $newlen;
      var $newchars;
      $2=$cx;
      $3=$isName;
      $4=$str;
      $5=$str2;
      var $6=$4; //@line 7527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZNK8JSString6lengthEv($6); //@line 7527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $len=$7; //@line 7527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$2; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZN8JSString8getCharsEP9JSContext($8, $9); //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $chars=$10; //@line 7528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$chars; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$5; //@line 7532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__ZNK8JSString6lengthEv($15); //@line 7532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $len2=$16; //@line 7532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$5; //@line 7533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$2; //@line 7533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=__ZN8JSString8getCharsEP9JSContext($17, $18); //@line 7533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $chars2=$19; //@line 7533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$chars2; //@line 7534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)!=0; //@line 7534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 7535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$3; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)!=0; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$len; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+1)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$len2; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($28+$29)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38 = $30;__label__ = 8; break; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $32=$len; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+2)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$len2; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($33+$34)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+1)|0); //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38 = $36;__label__ = 8; break; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $38; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newlen=$38; //@line 7537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$2; //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$newlen; //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+1)|0); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=((($41<<1))|0); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=__ZN9JSContext7malloc_Ej($39, $42); //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$43; //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newchars=$44; //@line 7538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$newchars; //@line 7539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 7539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 7539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 7540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $49=$newchars; //@line 7542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$49; //@line 7542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$chars; //@line 7542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$51; //@line 7542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$len; //@line 7542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=((($53<<1))|0); //@line 7542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert($54 % 1 === 0, 'memcpy given ' + $54 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($50, $52, $54, 1); //@line 7542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$len; //@line 7543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$newchars; //@line 7543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56+($55<<1))|0); //@line 7543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newchars=$57; //@line 7543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$3; //@line 7544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)!=0; //@line 7544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 7544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $61=$newchars; //@line 7545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61+2)|0); //@line 7545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newchars=$62; //@line 7545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($61)>>1)]=32; //@line 7545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$newchars; //@line 7546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$63; //@line 7546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$chars2; //@line 7546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$65; //@line 7546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$len2; //@line 7546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=((($67<<1))|0); //@line 7546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert($68 % 1 === 0, 'memcpy given ' + $68 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($64, $66, $68, 1); //@line 7546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$len2; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$newchars; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70+($69<<1))|0); //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newchars=$71; //@line 7547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 7548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $73=$newchars; //@line 7549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73+2)|0); //@line 7549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newchars=$74; //@line 7549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($73)>>1)]=61; //@line 7549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$newchars; //@line 7550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75+2)|0); //@line 7550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newchars=$76; //@line 7550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($75)>>1)]=34; //@line 7550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$newchars; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$77; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$chars2; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$79; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$len2; //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=((($81<<1))|0); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert($82 % 1 === 0, 'memcpy given ' + $82 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($78, $80, $82, 1); //@line 7551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$len2; //@line 7552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$newchars; //@line 7552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+($83<<1))|0); //@line 7552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newchars=$85; //@line 7552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$newchars; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=(($86+2)|0); //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newchars=$87; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($86)>>1)]=34; //@line 7553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break;
    case 13: 
      var $89=$newchars; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($89)>>1)]=0; //@line 7555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$2; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$newchars; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$newlen; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(((-$92))|0); //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($91+($93<<1))|0); //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$newlen; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=__Z12js_NewStringP9JSContextPtj($90, $94, $95); //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$96; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$97; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 7556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $99=$1; //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $99; //@line 7557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z19js_AddAttributePartP9JSContextiP8JSStringS2_["X"]=1;

function __Z21js_EscapeElementValueP9JSContextP8JSString($cx, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $sb=__stackBase__;
  var $4;
  $2=$cx;
  $3=$str;
  var $5=$2; //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN2js12StringBufferC1EP9JSContext($sb, $5); //@line 7562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$3; //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZL18EscapeElementValueP9JSContextRN2js12StringBufferEP8JSStringj($6, $sb, $7, 0); //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $1=$8; //@line 7563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $4=1;
  __ZN2js12StringBufferD1Ev($sb); //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$1; //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $9; //@line 7564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function _OBJECT_TO_JSID4356($obj) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$obj;
  var $2=$1; //@line 1575 "./jsapi.h"
  var $3=$2; //@line 1575 "./jsapi.h"
  var $4=$3 | 4; //@line 1575 "./jsapi.h"
  $iden=$4; //@line 1575 "./jsapi.h"
  var $5=$iden; //@line 1576 "./jsapi.h"
  ;
  return $5; //@line 1576 "./jsapi.h"
}


function _JSID_IS_VOID4359($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1622 "./jsapi.h"
  var $3=(($2)|0)==2; //@line 1622 "./jsapi.h"
  var $4=(($3)&1); //@line 1622 "./jsapi.h"
  ;
  return $4; //@line 1622 "./jsapi.h"
}


function __ZL18EscapeElementValueP9JSContextRN2js12StringBufferEP8JSStringj($cx, $sb, $str, $toSourceFlag) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length;
      var $start;
      var $cp;
      var $end;
      var $c;
      $2=$cx;
      $3=$sb;
      $4=$str;
      $5=$toSourceFlag;
      var $6=$4; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZNK8JSString6lengthEv($6); //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$7; //@line 2060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$2; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZN8JSString8getCharsEP9JSContext($8, $9); //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $start=$10; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$start; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$start; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$15; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$start; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$length; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($16+($17<<1))|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $end=$18; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$cp; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$end; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($20)|0)!=(($21)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 25; break; } //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$cp; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=HEAP16[(($24)>>1)]; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $c=$25; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$cp; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=HEAPU16[(($26)>>1)]; //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)&65535); //@line 2067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ((($28)|0) == 60) {
        __label__ = 6; break;
      }
      else if ((($28)|0) == 62) {
        __label__ = 9; break;
      }
      else if ((($28)|0) == 38) {
        __label__ = 12; break;
      }
      else if ((($28)|0) == 123) {
        __label__ = 15; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 6: 
      var $30=$3; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($30, STRING_TABLE._js_lt_entity_str); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 23; break; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $35=$3; //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc($35, STRING_TABLE._js_gt_entity_str); //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      __label__ = 23; break; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $40=$3; //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=__ZN2js12StringBuffer6appendILj6EEEbRAT__Kc($40, STRING_TABLE._js_amp_entity_str); //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 23; break; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $45=$5; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $48=$3; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZN2js12StringBuffer6appendILj7EEEbRAT__Kc($48, STRING_TABLE.__ZL23js_leftcurly_entity_str); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      $1=0; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 23; break; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 20; break; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $54=$3; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$c; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZN2js12StringBuffer6appendEt($54, $55); //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      $1=0; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 23; break; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $61=$cp; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61+2)|0); //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$62; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 2065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $64=$3; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=__ZN2js12StringBuffer12finishStringEv($64); //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$65; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$66; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $68=$1; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $68; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18EscapeElementValueP9JSContextRN2js12StringBufferEP8JSStringj["X"]=1;

function __Z19js_ValueToXMLStringP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$cx;
  $2=$v;
  var $4=$1; //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$3; //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$5; //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZL11ToXMLStringP9JSContextN2JS5ValueEj($4, $3, 0); //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 7569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL11ToXMLStringP9JSContextN2JS5ValueEj($cx, $0, $toSourceFlag) {
  var __stackBase__  = STACKTOP; STACKTOP += 236; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $sb=__stackBase__+56;
      var $11=__stackBase__+136;
      var $12;
      var $obj;
      var $13=__stackBase__+144;
      var $str;
      var $sb1=__stackBase__+152;
      var $anch=__stackBase__+232;
      var $xml;
      $3=$cx;
      var $14=$v;
      var $15=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)];
      $4=$toSourceFlag;
      var $16=$5; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$v; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=_JSVAL_IS_NULL4395($5); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $21=$6; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$v; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=_JSVAL_IS_VOID4396($6); //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 2726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $26=$3; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$7; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$v; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_JSVAL_IS_NULL4395($7); //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $34 = (STRING_TABLE._js_null_str);__label__ = 6; break; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $34 = (STRING_TABLE._js_undefined_str);__label__ = 6; break; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $34; //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0); //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($26, 2, 0, 180, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$35,tempInt)); //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $37=$8; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$v; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=_JSVAL_IS_BOOLEAN4407($8); //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0)!=0; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $42=$9; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$v; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($42)>>2)]=HEAP32[(($43)>>2)];HEAP32[(($42+4)>>2)]=HEAP32[(($43+4)>>2)]; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=_JSVAL_IS_NUMBER($9); //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0)!=0; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $47=$3; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($47, $v); //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$48; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $50=$10; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$v; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[(($51)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[(($51+4)>>2)]; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=_JSVAL_IS_STRING4320($10); //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0)!=0; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $55=$3; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $55); //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$3; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$11; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$v; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=_JSVAL_TO_STRING4321($11); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$4; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=__ZL18EscapeElementValueP9JSContextRN2js12StringBufferEP8JSStringj($56, $sb, $59, $60); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$61; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$62; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $12=1;
      __ZN2js12StringBufferD1Ev($sb); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break;
    case 12: 
      var $64=$13; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$v; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=_JSVAL_TO_OBJECT4304($13); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$66; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$obj; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=__ZNK8JSObject5isXMLEv($67); //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 18; break; } else { __label__ = 13; break; } //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $70=$3; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE4408($70, 3, $v); //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $2=0; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $74=$3; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($74, $v); //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$75; //@line 2745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$str; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0)!=0; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $2=0; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $80=$3; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb1, $80); //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$3; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$str; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$4; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=__ZL18EscapeElementValueP9JSContextRN2js12StringBufferEP8JSStringj($81, $sb1, $82, $83); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$84; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$85; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $12=1;
      __ZN2js12StringBufferD1Ev($sb1); //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break;
    case 18: 
      var $87=$obj; //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS6AnchorIP8JSObjectEC1ES2_($anch, $87); //@line 2753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$obj; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=__ZNK8JSObject10getPrivateEv($88); //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$89; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$90; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$3; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$xml; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$4; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=__ZL14XMLToXMLStringP9JSContextP5JSXMLPK10JSXMLArrayj($91, $92, 0, $93); //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$94; //@line 2755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $12=1;
      __ZN2JS6AnchorIP8JSObjectED1Ev($anch); //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break;
    case 19: 
      var $96=$2; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $96; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11ToXMLStringP9JSContextN2JS5ValueEj["X"]=1;

function __Z13js_GetAnyNameP9JSContextPi($cx, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $global;
      var $v=__stackBase__;
      var $obj;
      var $rt;
      $2=$cx;
      $3=$idp;
      var $4=$2; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=__ZNK9JSContext5hasfpEv($4); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $7=$2; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZNK9JSContext2fpEv($7); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZNK2js10StackFrame10scopeChainEv($8); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZNK8JSObject9getGlobalEv($9); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$10; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17 = $11;__label__ = 4; break; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+132)|0); //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17 = $15;__label__ = 4; break; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $global=$17; //@line 7575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$global; //@line 7576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject15getReservedSlotEj($v, $18, 35); //@line 7576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=__ZNK2JS5Value11isUndefinedEv($v); //@line 7577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 7577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $21=$2; //@line 7578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$global; //@line 7578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4355($21, __ZN2js12AnyNameClassE, 0, $22); //@line 7578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$23; //@line 7578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$obj; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)!=0; //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 7579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 7580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 7580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $28=$2; //@line 7584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+52)|0); //@line 7584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 7584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $rt=$30; //@line 7584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$2; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$obj; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$rt; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+144136)|0); //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$rt; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+144136)|0); //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$39; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$rt; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+209948)|0); //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+464)|0); //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44; //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=__ZL12InitXMLQNameP9JSContextP8JSObjectP14JSLinearStringS4_P6JSAtom($31, $32, $36, $40, $45); //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 7585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 7586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 7586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $49=$obj; //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS5Value9setObjectER8JSObject($v, $49); //@line 7588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$2; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$global; //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE($50, $51, 35, $v); //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 7589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 7590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      __label__ = 12; break; //@line 7591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $56=__ZNK2JS5Value8toObjectEv($v); //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=_OBJECT_TO_JSID4356($56); //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$3; //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($58)>>2)]=$57; //@line 7592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 7593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $60=$1; //@line 7594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $60; //@line 7594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z13js_GetAnyNameP9JSContextPi["X"]=1;

function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4355($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb4379($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4380($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __Z18js_FindXMLPropertyP9JSContextRKN2JS5ValueEPP8JSObjectPi($cx, $nameval, $objp, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $nameobj;
      var $v=__stackBase__;
      var $qn;
      var $funid=__stackBase__+8;
      var $obj;
      var $target;
      var $proto;
      var $pobj=__stackBase__+12;
      var $xml;
      var $found=__stackBase__+16;
      var $prop=__stackBase__+20;
      var $6=__stackBase__+24;
      var $printable=__stackBase__+32;
      var $str;
      var $7=__stackBase__+36;
      var $8;
      $2=$cx;
      $3=$nameval;
      $4=$objp;
      $5=$idp;
      var $9=$3; //@line 7609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 7609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameobj=$10; //@line 7609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$nameobj; //@line 7610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZNK8JSObject8getClassEv($11); //@line 7610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)==((__ZN2js12AnyNameClassE)|0); //@line 7610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 7610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$2; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+52)|0); //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17+209948)|0); //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+464)|0); //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$20; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($6, $21); //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$v; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$6; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 7611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$2; //@line 7612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($24, __ZN2js10QNameClassE, 0, 0, 1, $v); //@line 7612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameobj=$25; //@line 7612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$nameobj; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0)!=0; //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $1=0; //@line 7614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 7614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 6; break; //@line 7615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $32=$nameobj; //@line 7620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$32; //@line 7620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$qn; //@line 7621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$2; //@line 7621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=__ZL29GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($33, $funid, $34); //@line 7621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 7621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      HEAP32[(($funid)>>2)]=2; //@line 7622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 7622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $38=$2; //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+60)|0); //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=__ZNK2js12ContextStack25currentScriptedScopeChainEv($39); //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$40; //@line 7624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 7625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $42=$obj; //@line 7627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $target=$42; //@line 7627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 7628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $44=$target; //@line 7628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=__ZNK8JSObject8getClassEv($44); //@line 7628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)==((__ZN2js9WithClassE)|0); //@line 7628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 7628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $48=$target; //@line 7629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZNK8JSObject8getProtoEv($48); //@line 7629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $proto=$49; //@line 7629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$proto; //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50)|0)!=0; //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($51) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 7630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 14; break; //@line 7631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $54=$proto; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $target=$54; //@line 7632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 7633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $56=$target; //@line 7635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__ZNK8JSObject5isXMLEv($56); //@line 7635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 15; break; } else { __label__ = 23; break; } //@line 7635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $59=HEAP32[(($funid)>>2)]; //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=_JSID_IS_VOID4359($59); //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0)!=0; //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 7636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $63=$target; //@line 7637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=__ZNK8JSObject10getPrivateEv($63); //@line 7637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$64; //@line 7637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$65; //@line 7637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$xml; //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$qn; //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=__ZL16HasNamedPropertyP5JSXMLP8JSObject($66, $67); //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($found)>>2)]=$68; //@line 7638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 7639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $70=$2; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$target; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=HEAP32[(($funid)>>2)]; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=__ZL19HasFunctionPropertyP9JSContextP8JSObjectiPi($70, $71, $72, $found); //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)!=0; //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 7640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 7641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 7641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $78=HEAP32[(($found)>>2)]; //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($78)|0)!=0; //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($79) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 7643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $81=$nameobj; //@line 7644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=_OBJECT_TO_JSID4356($81); //@line 7644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$5; //@line 7644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($83)>>2)]=$82; //@line 7644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$target; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$4; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($85)>>2)]=$84; //@line 7645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 7646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 30; break; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $88=HEAP32[(($funid)>>2)]; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=_JSID_IS_VOID4359($88); //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)|0)!=0; //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($90) { __label__ = 29; break; } else { __label__ = 24; break; } //@line 7648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $92=$target; //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$2; //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=HEAP32[(($funid)>>2)]; //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($92, $93, $94, $pobj, $prop); //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0)!=0; //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($96) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 7649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $1=0; //@line 7650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 7650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $99=HEAP32[(($prop)>>2)]; //@line 7651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99)|0)!=0; //@line 7651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($100) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 7651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $102=HEAP32[(($funid)>>2)]; //@line 7652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$5; //@line 7652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($103)>>2)]=$102; //@line 7652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$target; //@line 7653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$4; //@line 7653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($105)>>2)]=$104; //@line 7653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 7654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      __label__ = 29; break; //@line 7656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __label__ = 30; break;
    case 30: 
      __label__ = 31; break; //@line 7657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $110=$obj; //@line 7657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=__ZNK8JSObject9getParentEv($110); //@line 7657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$111; //@line 7657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111)|0)!=0; //@line 7657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($112) { __label__ = 9; break; } else { __label__ = 32; break; } //@line 7657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      __ZN16JSAutoByteStringC1Ev($printable); //@line 7659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$2; //@line 7660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$nameobj; //@line 7660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=__ZL20ConvertQNameToStringP9JSContextP8JSObject($114, $115); //@line 7660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$116; //@line 7660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=$str; //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117)|0)!=0; //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($118) { __label__ = 33; break; } else { __label__ = 35; break; } //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $120=$2; //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=$str; //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($7, $121); //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($120, $7, $printable, 0); //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122)|0)!=0; //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($123) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 7661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $125=$2; //@line 7662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=__ZNK16JSAutoByteString3ptrEv($printable); //@line 7663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=_JS_ReportErrorFlagsAndNumber($125, 0, 2, 0, 197, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$126,tempInt)); //@line 7663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 7664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      $1=0; //@line 7665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $8=1;
      __ZN16JSAutoByteStringD1Ev($printable); //@line 7666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break;
    case 36: 
      var $130=$1; //@line 7666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $130; //@line 7666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z18js_FindXMLPropertyP9JSContextRKN2JS5ValueEPP8JSObjectPi["X"]=1;

function __ZL16HasNamedPropertyP5JSXMLP8JSObject($xml, $nameqn) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $found;
      var $array;
      var $matcher;
      var $i;
      var $n;
      var $cursor=__stackBase__;
      var $kid;
      var $4;
      var $kid1;
      $2=$xml;
      $3=$nameqn;
      var $5=$2; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5+16)|0); //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)==0; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $found=0; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$2; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+24)|0); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$11; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $13); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$15; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$16; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$kid; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=0; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$kid; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$3; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=__ZL16HasNamedPropertyP5JSXMLP8JSObject($20, $21); //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $found=$22; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$found; //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 7; break; //@line 4524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __label__ = 3; break; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $28=$found; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$28; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=1;
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break;
    case 8: 
      var $30=$2; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+16)|0); //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)|0)==1; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 23; break; } //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $35=$3; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZNK8JSObject8getClassEv($35); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $39=$2; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+24)|0); //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$40; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+32)|0); //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $array=$42; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matcher=356; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $44=$2; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44+24)|0); //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$45; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0); //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $array=$47; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matcher=358; //@line 4535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break;
    case 12: 
      $i=0; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$array; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0); //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$51; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $53=$i; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$n; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($53)>>>0) < (($54)>>>0); //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($55) { __label__ = 14; break; } else { __label__ = 22; break; } //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $57=$i; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$array; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0); //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=HEAPU32[(($59)>>2)]; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($57)>>>0) < (($60)>>>0); //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $63=$i; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$array; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64+8)|0); //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66+($63<<2))|0); //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$68; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72 = $69;__label__ = 17; break; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $72 = 0;__label__ = 17; break; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $72; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid1=$72; //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$kid1; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)!=0; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $76=$matcher; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$3; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$kid1; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=FUNCTION_TABLE[$76]($77, $78); //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79)|0)!=0; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($80) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $1=1; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 21; break; //@line 4541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $84=$i; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+1)|0); //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$85; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 23; break; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $1=0; //@line 4544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 4544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $89=$1; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $89; //@line 4545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16HasNamedPropertyP5JSXMLP8JSObject["X"]=1;

function __Z20js_GetXMLDescendantsP9JSContextP8JSObjectN2JS5ValueEPS4_($cx, $obj, $0, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $id=__stackBase__;
      var $5;
      var $xml;
      var $list;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      $3=$cx;
      $4=$obj;
      var $8=$id;
      var $9=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
      $5=$vp;
      var $10=$3; //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZL10GetPrivateP9JSContextP8JSObjectPKc($10, $11, ((STRING_TABLE.__str444290)|0)); //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$12; //@line 7719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$xml; //@line 7720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 7720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $2=0; //@line 7721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$3; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$xml; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$6; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$id; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZL11DescendantsP9JSContextP5JSXMLN2JS5ValueE($17, $18, $6); //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$21; //@line 7723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$list; //@line 7724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 7724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $2=0; //@line 7725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26=$5; //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$list; //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0); //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $29); //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$26; //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$7; //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 7726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=1; //@line 7727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 7727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $33=$2; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $33; //@line 7728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10GetPrivateP9JSContextP8JSObjectPKc($cx, $obj, $method) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$obj;
      $4=$method;
      var $5=$3; //@line 7705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__ZNK8JSObject5isXMLEv($5); //@line 7705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $8=$2; //@line 7706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 7706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$3; //@line 7708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZNK8JSObject8getClassEv($10); //@line 7708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0); //@line 7708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 7708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($8, 2, 0, 188, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_XML_str)|0),HEAP32[((tempInt+4)>>2)]=$9,HEAP32[((tempInt+8)>>2)]=$13,tempInt)); //@line 7708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 7709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$3; //@line 7711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__ZNK8JSObject10getPrivateEv($15); //@line 7711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$16; //@line 7711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$17; //@line 7711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$1; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $19; //@line 7712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11DescendantsP9JSContextP5JSXMLN2JS5ValueE($cx, $xml, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $id=__stackBase__;
      var $funid=__stackBase__+8;
      var $nameqn;
      var $listobj;
      var $list;
      var $kid;
      var $i;
      var $n;
      var $ok;
      var $5=__stackBase__+12;
      $3=$cx;
      $4=$xml;
      var $6=$id;
      var $7=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
      var $8=$3; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$5; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$id; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZL9ToXMLNameP9JSContextN2JS5ValueEPi($8, $5, $funid); //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$11; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$nameqn; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $2=0; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 3241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$3; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($16, 0); //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $listobj=$17; //@line 3243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$listobj; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $2=0; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 3245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$listobj; //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__ZNK8JSObject10getPrivateEv($22); //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$24; //@line 3246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=HEAP32[(($funid)>>2)]; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=_JSID_IS_VOID4359($25); //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0)!=0; //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $29=$list; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$29; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 3248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $31=$nameqn; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$list; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+12)|0); //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($33)>>2)]=$31; //@line 3256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$3; //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=__ZL22js_EnterLocalRootScopeP9JSContext($34); //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $2=0; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 3258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $38=$4; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+16)|0); //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)==0; //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 23; break; } //@line 3259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $ok=1; //@line 3260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$4; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+24)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$48; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $50=$i; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$n; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($50)>>>0) < (($51)>>>0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 22; break; } //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $54=$i; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$4; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+24)|0); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$56; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=HEAPU32[(($59)>>2)]; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($54)>>>0) < (($60)>>>0); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $63=$i; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$4; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64+24)|0); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$65; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67+8)|0); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69+($63<<2))|0); //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$71; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75 = $72;__label__ = 15; break; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $75 = 0;__label__ = 15; break; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $75; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$75; //@line 3262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$kid; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0)!=0; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $79=$kid; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79+16)|0); //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=(($81)|0)==1; //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($82) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 3263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $84=$3; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$kid; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$nameqn; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$list; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=__ZL17DescendantsHelperP9JSContextP5JSXMLP8JSObjectS2_($84, $85, $86, $87); //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$88; //@line 3264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$ok; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)|0)!=0; //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($90) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 22; break; //@line 3266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 20; break; //@line 3267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 21; break; //@line 3268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $95=$i; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95+1)|0); //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$96; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 3261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 24; break; //@line 3269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $99=$3; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$4; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$nameqn; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=$list; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=__ZL17DescendantsHelperP9JSContextP5JSXMLP8JSObjectS2_($99, $100, $101, $102); //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$103; //@line 3270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break;
    case 24: 
      var $105=$3; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$list; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$106; //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextPv($105, $107); //@line 3272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$ok; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108)|0)!=0; //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($109) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 3273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $2=0; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 3274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $112=$list; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=(($112+12)|0); //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($113)>>2)]=0; //@line 3275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$list; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$114; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 3276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $116=$2; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $116; //@line 3277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11DescendantsP9JSContextP5JSXMLN2JS5ValueE["X"]=1;

function __Z24js_DeleteXMLListElementsP9JSContextP8JSObject($cx, $listobj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $list;
      var $n;
      $1=$cx;
      $2=$listobj;
      var $3=$2; //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$5; //@line 7736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$list; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+24)|0); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$7; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$11; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $13=$n; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$1; //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$list; //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL17DeleteListElementP9JSContextP5JSXMLj($16, $17, 0); //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$n; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19-1)|0); //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$20; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 7737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      ;
      return 1; //@line 7740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17DeleteListElementP9JSContextP5JSXMLj($cx, $xml, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $kid;
      var $parent;
      var $kidIndex;
      $1=$cx;
      $2=$xml;
      $3=$index;
      var $4=$3; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$2; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5+24)|0); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$6; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($4)>>>0) < (($10)>>>0); //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 3609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $13=$3; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$2; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+24)|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$15; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAPU32[(($18)>>2)]; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($13)>>>0) < (($19)>>>0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $22=$3; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$2; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+24)|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26+8)|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+($22<<2))|0); //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$30; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34 = $31;__label__ = 5; break; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $34 = 0;__label__ = 5; break; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $34; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$34; //@line 3610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$kid; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0)!=0; //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 12; break; } //@line 3611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $38=$kid; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+8)|0); //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parent=$40; //@line 3612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$parent; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)!=0; //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 3613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $44=$kid; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44+16)|0); //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0)==2; //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $49=$1; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$parent; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$kid; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+12)|0); //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL19DeleteNamedPropertyP9JSContextP5JSXMLP8JSObjecti($49, $50, $53, 1); //@line 3618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 3619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $55=$parent; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+24)|0); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$56; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$kid; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($58, $60, 0); //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidIndex=$61; //@line 3620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$1; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$parent; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$kidIndex; //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL13DeleteByIndexP9JSContextP5JSXMLj($62, $63, $64); //@line 3623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break;
    case 10: 
      __label__ = 11; break; //@line 3625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $67=$1; //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$2; //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68+24)|0); //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$69; //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0); //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$3; //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji($67, $71, $72, 1); //@line 3626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 3627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 3628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      ;
      return; //@line 3629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17DeleteListElementP9JSContextP5JSXMLj["X"]=1;

function __ZL18xmlfilter_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $filter;
      $1=$cx;
      $2=$obj;
      var $3=$2; //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $filter=$5; //@line 7779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$filter; //@line 7780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)!=0; //@line 7780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      __label__ = 4; break; //@line 7781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $10=$1; //@line 7783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$filter; //@line 7783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext7delete_I11JSXMLFilterEEvPT_($10, $11); //@line 7783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 7784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      ;
      return; //@line 7784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15xmlfilter_traceP8JSTracerP8JSObject($trc, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $filter;
      $1=$trc;
      $2=$obj;
      var $3=$2; //@line 7759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=__ZNK8JSObject10getPrivateEv($3); //@line 7759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 7759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $filter=$5; //@line 7759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$filter; //@line 7760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)!=0; //@line 7760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      __label__ = 19; break; //@line 7761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      __label__ = 4; break; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 5; break; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 6; break; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $13=$1; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$filter; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0); //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$16; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_CallTracer($13, $17, 3); //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 7764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $19=$filter; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19+4)|0); //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0)!=0; //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 7765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 9; break; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 10; break; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 11; break; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $27=$1; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$filter; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+4)|0); //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$30; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_CallTracer($27, $31, 3); //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 7766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $34=$filter; //@line 7767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+8)|0); //@line 7767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 7767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0)!=0; //@line 7767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 14; break; } else { __label__ = 19; break; } //@line 7767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 15; break; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $42=$1; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$filter; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+8)|0); //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$45; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_CallTracer($42, $46, 3); //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 19; break; //@line 7768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      ;
      return; //@line 7774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15xmlfilter_traceP8JSTracerP8JSObject["X"]=1;

function __ZL19HasFunctionPropertyP9JSContextP8JSObjectiPi($cx, $obj, $funid, $found) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pobj=__stackBase__;
      var $prop=__stackBase__+4;
      var $xml;
      var $tvr=__stackBase__+8;
      var $6;
      $2=$cx;
      $3=$obj;
      $4=$funid;
      $5=$found;
      var $7=$2; //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$3; //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($7, $8, $9, $pobj, $prop); //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=HEAP32[(($prop)>>2)]; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 13; break; } else { __label__ = 4; break; } //@line 4573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$3; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__ZNK8JSObject10getPrivateEv($17); //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$18; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$19; //@line 4574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$xml; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZL16HasSimpleContentP5JSXML($20); //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0)!=0; //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 4575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$2; //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($tvr, $24, 0); //@line 4576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$2; //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=__ZN2js16AutoObjectRooter4addrEv($tvr); //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($25, 0, 9, $26, 0); //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)!=0; //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 10; break; //@line 4583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $31=$2; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=__ZNK2js16AutoObjectRooter6objectEv($tvr); //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$4; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty($31, $32, $33, $pobj, $prop); //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 10; break; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $6=0; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __ZN2js16AutoObjectRooterD1Ev($tvr); //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 11; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 14; break;
      }
      else {
      __label__ = 15; break;
      }
      
    case 11: 
      __label__ = 12; break; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 4589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $42=HEAP32[(($prop)>>2)]; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)|0)!=0; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)&1); //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$5; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($45)>>2)]=$44; //@line 4590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $47=$1; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $47; //@line 4592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19HasFunctionPropertyP9JSContextP8JSObjectiPi["X"]=1;

function __ZL20ConvertQNameToStringP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $uri;
      var $str;
      var $qualstr;
      var $anchor=__stackBase__;
      var $length;
      var $chars;
      var $4;
      var $strChars;
      $2=$cx;
      $3=$obj;
      var $5=$3; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__ZNK8JSObject10getNameURIEv($5); //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$6; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$7; //@line 402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$uri; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=$2; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+52)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+209948)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+468)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$16; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$17; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $19=$uri; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZNK8JSString5emptyEv($19); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $22=$2; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+52)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24+144136)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$26; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$27; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $29=$2; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29+52)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+209948)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+452)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qualstr=$35; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$2; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$uri; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$qualstr; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($36, $37, $38); //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$39; //@line 412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$str; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)!=0; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $46=$2; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$str; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$3; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZNK8JSObject17getQNameLocalNameEv($48); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$49; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($46, $47, $50); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$51; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$str; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0)!=0; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $56=$3; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__ZNK8JSObject8getClassEv($56); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 12; break; } else { __label__ = 21; break; } //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $60=$str; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($anchor, $60); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$str; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=__ZNK8JSString6lengthEv($61); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$62; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$2; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$length; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64+2)|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=((($65<<1))|0); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=__ZN9JSContext7malloc_Ej($63, $66); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$67; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $chars=$68; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$chars; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69)|0)!=0; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($70) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=1;
      __label__ = 19; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $73=$chars; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($73)>>1)]=64; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$str; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$2; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=__ZN8JSString8getCharsEP9JSContext($74, $75); //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $strChars=$76; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$strChars; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)|0)!=0; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $80=$2; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$chars; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$81; //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($80, $82); //@line 429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=1;
      __label__ = 19; break; //@line 430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $84=$chars; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+2)|0); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$85; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$strChars; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$87; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$length; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=((($89<<1))|0); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert($90 % 1 === 0, 'memcpy given ' + $90 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($86, $88, $90, 1); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$length; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91+1)|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$92; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$chars; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($93+($92<<1))|0); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($94)>>1)]=0; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$2; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$chars; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$length; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=__Z12js_NewStringP9JSContextPtj($95, $96, $97); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$98; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$99; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$str; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($100)|0)!=0; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($101) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $103=$2; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$chars; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$104; //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($103, $105); //@line 436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=1;
      __label__ = 19; break; //@line 437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $4=0; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __ZN2JS6AnchorIP8JSStringED1Ev($anchor); //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 20; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 22; break;
      }
      else {
      __label__ = 23; break;
      }
      
    case 20: 
      __label__ = 21; break; //@line 439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $110=$str; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$110; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $112=$1; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $112; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20ConvertQNameToStringP9JSContextP8JSObject["X"]=1;

function __ZN16JSXMLArrayCursor7getNextEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3)|0); //@line 106 "./jsxml.h"
      var $5=HEAP32[(($4)>>2)]; //@line 106 "./jsxml.h"
      var $6=(($5)|0)!=0; //@line 106 "./jsxml.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 106 "./jsxml.h"
    case 2: 
      var $8=(($3+4)|0); //@line 106 "./jsxml.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 106 "./jsxml.h"
      var $10=(($3)|0); //@line 106 "./jsxml.h"
      var $11=HEAP32[(($10)>>2)]; //@line 106 "./jsxml.h"
      var $12=(($11)|0); //@line 106 "./jsxml.h"
      var $13=HEAPU32[(($12)>>2)]; //@line 106 "./jsxml.h"
      var $14=(($9)>>>0) >= (($13)>>>0); //@line 106 "./jsxml.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 106 "./jsxml.h"
    case 3: 
      $1=0; //@line 107 "./jsxml.h"
      __label__ = 5; break; //@line 107 "./jsxml.h"
    case 4: 
      var $17=(($3+4)|0); //@line 108 "./jsxml.h"
      var $18=HEAPU32[(($17)>>2)]; //@line 108 "./jsxml.h"
      var $19=(($18+1)|0); //@line 108 "./jsxml.h"
      HEAP32[(($17)>>2)]=$19; //@line 108 "./jsxml.h"
      var $20=(($3)|0); //@line 108 "./jsxml.h"
      var $21=HEAP32[(($20)>>2)]; //@line 108 "./jsxml.h"
      var $22=(($21+8)|0); //@line 108 "./jsxml.h"
      var $23=HEAP32[(($22)>>2)]; //@line 108 "./jsxml.h"
      var $24=(($23+($18<<2))|0); //@line 108 "./jsxml.h"
      var $25=HEAP32[(($24)>>2)]; //@line 108 "./jsxml.h"
      var $26=(($3+16)|0); //@line 108 "./jsxml.h"
      HEAP32[(($26)>>2)]=$25; //@line 108 "./jsxml.h"
      $1=$25; //@line 108 "./jsxml.h"
      __label__ = 5; break; //@line 108 "./jsxml.h"
    case 5: 
      var $28=$1; //@line 109 "./jsxml.h"
      ;
      return $28; //@line 109 "./jsxml.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z20js_StepXMLListFilterP9JSContexti($cx, $initialized) {
  var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $sp;
      var $obj;
      var $filterobj;
      var $resobj;
      var $kidobj;
      var $xml;
      var $list;
      var $filter;
      var $4=__stackBase__;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $parent;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      var $11=__stackBase__+56;
      $2=$cx;
      $3=$initialized;
      var $12=$2; //@line 7814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js10LeaveTraceEP9JSContext($12); //@line 7814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$2; //@line 7815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK9JSContext4regsEv($13); //@line 7815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0); //@line 7815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 7815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $sp=$16; //@line 7815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$3; //@line 7816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=0; //@line 7816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 19; break; } else { __label__ = 2; break; } //@line 7816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $20=$sp; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20-16)|0); //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$4; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$21; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=_JSVAL_IS_PRIMITIVE4303($4); //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)!=0; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $27=$sp; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27-16)|0); //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$5; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$28; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=_JSVAL_TO_OBJECT4304($5); //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=__ZNK8JSObject5isXMLEv($31); //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 7821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $34=$2; //@line 7822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$sp; //@line 7822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35-16)|0); //@line 7822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($34, 0, 217, -2, $36, 0, 0, 0); //@line 7822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 7823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $39=$sp; //@line 7825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39-16)|0); //@line 7825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$6; //@line 7825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$40; //@line 7825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 7825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=_JSVAL_TO_OBJECT4304($6); //@line 7825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$43; //@line 7825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$obj; //@line 7826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=__ZNK8JSObject10getPrivateEv($44); //@line 7826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$45; //@line 7826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$46; //@line 7826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$xml; //@line 7828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47+16)|0); //@line 7828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 7828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0)==0; //@line 7828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($50) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 7828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $52=$xml; //@line 7829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$52; //@line 7829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 7830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $54=$2; //@line 7831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($54, 0); //@line 7831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$55; //@line 7831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$obj; //@line 7832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)|0)!=0; //@line 7832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 7832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 7833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $60=$sp; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60-8)|0); //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$obj; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $62); //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$61; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$7; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($63)>>2)]=HEAP32[(($64)>>2)];HEAP32[(($63+4)>>2)]=HEAP32[(($64+4)>>2)]; //@line 7839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$obj; //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=__ZNK8JSObject10getPrivateEv($65); //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$66; //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$67; //@line 7840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$2; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$list; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$xml; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=__ZL6AppendP9JSContextP5JSXMLS2_($68, $69, $70); //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71)|0)!=0; //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($72) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 7841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 7842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $76=$2; //@line 7845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=__ZN2jsL22GetGlobalForScopeChainEP9JSContext4366($76); //@line 7845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$77; //@line 7845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parent=$78; //@line 7845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$2; //@line 7846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$parent; //@line 7846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4355($79, _js_XMLFilterClass, 0, $80); //@line 7846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $filterobj=$81; //@line 7846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$filterobj; //@line 7847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82)|0)!=0; //@line 7847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($83) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 7847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 7848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $86=$2; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$list; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$list; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88+24)|0); //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$89; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90)|0); //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=__ZN9JSContext4new_I11JSXMLFilterP5JSXMLP10JSXMLArrayEEPT_T0_T1_($86, $87, $91); //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $filter=$92; //@line 7854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$filter; //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($93)|0)!=0; //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($94) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 7855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $1=0; //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $97=$filterobj; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$filter; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$98; //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setPrivateEPv($97, $99); //@line 7857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$sp; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($100-16)|0); //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=$filterobj; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($8, $102); //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$101; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$8; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($103)>>2)]=HEAP32[(($104)>>2)];HEAP32[(($103+4)>>2)]=HEAP32[(($104+4)>>2)]; //@line 7860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$2; //@line 7862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($105, 0); //@line 7862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $resobj=$106; //@line 7862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$resobj; //@line 7863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107)|0)!=0; //@line 7863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($108) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 7863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      $1=0; //@line 7864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $111=$resobj; //@line 7867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=__ZNK8JSObject10getPrivateEv($111); //@line 7867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$112; //@line 7867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$filter; //@line 7867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114+4)|0); //@line 7867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($115)>>2)]=$113; //@line 7867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 7868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $117=$sp; //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117-16)|0); //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$9; //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$118; //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($119)>>2)]=HEAP32[(($120)>>2)];HEAP32[(($119+4)>>2)]=HEAP32[(($120+4)>>2)]; //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=_JSVAL_TO_OBJECT4304($9); //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=__ZNK8JSObject10getPrivateEv($121); //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$122; //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $filter=$123; //@line 7872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=$sp; //@line 7876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($124-8)|0); //@line 7876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=__Z17js_ValueToBooleanRKN2JS5ValueE($125); //@line 7876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=(($126)|0)!=0; //@line 7876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($127) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 7876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $129=$2; //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$filter; //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130+4)|0); //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=$filter; //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=(($133+8)|0); //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=__ZL6AppendP9JSContextP5JSXMLS2_($129, $132, $135); //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136)|0)!=0; //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($137) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 7877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      $1=0; //@line 7878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 23; break;
    case 23: 
      var $141=$filter; //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=(($141+12)|0); //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=__ZN16JSXMLArrayCursor7getNextEv($142); //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$143; //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$filter; //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=(($145+8)|0); //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($146)>>2)]=$144; //@line 7883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=$filter; //@line 7884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+8)|0); //@line 7884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 7884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149)|0)!=0; //@line 7884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($150) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 7884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $152=$filter; //@line 7889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=(($152+12)|0); //@line 7889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursor10disconnectEv($153); //@line 7889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$sp; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154-16)|0); //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=$filter; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=(($156+4)|0); //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($158)|0); //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($10, $160); //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$155; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=$10; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($161)>>2)]=HEAP32[(($162)>>2)];HEAP32[(($161+4)>>2)]=HEAP32[(($162+4)>>2)]; //@line 7891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=0; //@line 7892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 7893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $164=$2; //@line 7894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=$filter; //@line 7894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=(($165+8)|0); //@line 7894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 7894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=__Z15js_GetXMLObjectP9JSContextP5JSXML($164, $167); //@line 7894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$168; //@line 7894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=$kidobj; //@line 7895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=(($169)|0)!=0; //@line 7895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($170) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 7895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      $1=0; //@line 7896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $174=$sp; //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174-8)|0); //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=$kidobj; //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($11, $176); //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=$175; //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=$11; //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($177)>>2)]=HEAP32[(($178)>>2)];HEAP32[(($177+4)>>2)]=HEAP32[(($178+4)>>2)]; //@line 7900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 7901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 7901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $180=$1; //@line 7902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $180; //@line 7902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z20js_StepXMLListFilterP9JSContexti["X"]=1;

function __ZN2jsL22GetGlobalForScopeChainEP9JSContext4366($cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $scope=__stackBase__;
      $2=$cx;
      var $3=$2; //@line 87 "./jscntxtinlines.h"
      var $4=__ZNK9JSContext5hasfpEv($3); //@line 87 "./jscntxtinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 87 "./jscntxtinlines.h"
    case 2: 
      var $6=$2; //@line 88 "./jscntxtinlines.h"
      var $7=__ZNK9JSContext2fpEv($6); //@line 88 "./jscntxtinlines.h"
      var $8=__ZNK2js10StackFrame10scopeChainEv($7); //@line 88 "./jscntxtinlines.h"
      var $9=__ZNK8JSObject9getGlobalEv($8); //@line 88 "./jscntxtinlines.h"
      $1=$9; //@line 88 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 88 "./jscntxtinlines.h"
    case 3: 
      var $11=$2; //@line 90 "./jscntxtinlines.h"
      var $12=(($11+132)|0); //@line 90 "./jscntxtinlines.h"
      var $13=HEAP32[(($12)>>2)]; //@line 90 "./jscntxtinlines.h"
      HEAP32[(($scope)>>2)]=$13; //@line 90 "./jscntxtinlines.h"
      var $14=$2; //@line 91 "./jscntxtinlines.h"
      var $15=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($14, $scope); //@line 91 "./jscntxtinlines.h"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 91 "./jscntxtinlines.h"
    case 4: 
      $1=0; //@line 92 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 92 "./jscntxtinlines.h"
    case 5: 
      var $18=HEAP32[(($scope)>>2)]; //@line 93 "./jscntxtinlines.h"
      var $19=__ZN8JSObject8asGlobalEv($18); //@line 93 "./jscntxtinlines.h"
      $1=$19; //@line 93 "./jscntxtinlines.h"
      __label__ = 6; break; //@line 93 "./jscntxtinlines.h"
    case 6: 
      var $21=$1; //@line 94 "./jscntxtinlines.h"
      STACKTOP = __stackBase__;
      return $21; //@line 94 "./jscntxtinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN9JSContext4new_I11JSXMLFilterP5JSXMLP10JSXMLArrayEEPT_T0_T1_($this, $p1, $p2) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $memory;
      $1=$this;
      $2=$p1;
      $3=$p2;
      var $4=$1;
      var $5=__ZN9JSContext7malloc_Ej($4, 32); //@line 1291 "./jscntxt.h"
      $memory=$5; //@line 1291 "./jscntxt.h"
      var $6=$memory; //@line 1291 "./jscntxt.h"
      var $7=(($6)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $9=$memory; //@line 1291 "./jscntxt.h"
      var $10=(($9)|0)==0; //@line 1291 "./jscntxt.h"
      if ($10) { var $16 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $12=$9; //@line 1291 "./jscntxt.h"
      var $13=$2; //@line 1291 "./jscntxt.h"
      var $14=$3; //@line 1291 "./jscntxt.h"
      __ZN11JSXMLFilterC1EP5JSXMLP10JSXMLArray($12, $13, $14); //@line 1291 "./jscntxt.h"
      var $16 = $12;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $16; //@line 1291 "./jscntxt.h"
      var $19 = $16;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $19 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $19; //@line 1291 "./jscntxt.h"
      ;
      return $19; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z19js_ValueToXMLObjectP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$cx;
  $2=$v;
  var $4=$1; //@line 7907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 7907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$3; //@line 7907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$5; //@line 7907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 7907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZL5ToXMLP9JSContextN2JS5ValueE($4, $3); //@line 7907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 7907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL5ToXMLP9JSContextN2JS5ValueE($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $obj;
      var $xml;
      var $clasp;
      var $str;
      var $length;
      var $4=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $7=__stackBase__+32;
      $3=$cx;
      var $8=$v;
      var $9=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
      var $10=$4; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$v; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=_JSVAL_IS_PRIMITIVE4303($4); //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$5; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$v; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=_JSVAL_IS_NULL4395($5); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=0; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $20=$6; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$v; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=_JSVAL_IS_VOID4396($6); //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 47; break; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 24; break; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$7; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$v; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_JSVAL_TO_OBJECT4304($7); //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$29; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$obj; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__ZNK8JSObject5isXMLEv($30); //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 17; break; } //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $33=$obj; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZNK8JSObject10getPrivateEv($33); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$35; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$xml; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+16)|0); //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0)==0; //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 16; break; } //@line 1833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $41=$xml; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+24)|0); //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0); //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0); //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0)!=1; //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 47; break; //@line 1835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $50=$xml; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50+24)|0); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$51; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=HEAPU32[(($54)>>2)]; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=0 < (($55)>>>0); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $58=$xml; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58+24)|0); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61+8)|0); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=HEAP32[(($62)>>2)]; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)|0); //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$65; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69 = $66;__label__ = 13; break; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $69 = 0;__label__ = 13; break; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $69; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$69; //@line 1836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$xml; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=0; //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $73=$3; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$xml; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=__Z15js_GetXMLObjectP9JSContextP5JSXML($73, $74); //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$75; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $78=$obj; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$78; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $80=$obj; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=__ZNK8JSObject8getClassEv($80); //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $clasp=$81; //@line 1845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$clasp; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82+4)|0); //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$84 & 128; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85)|0)!=0; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($86) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 19; break; //@line 1848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $89=$clasp; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)|0)!=((__ZN2js11StringClassE)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($90) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $92=$clasp; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92)|0)!=((__ZN2js11NumberClassE)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($93) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $95=$clasp; //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0)!=((__ZN2js12BooleanClassE)|0); //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($96) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 47; break; //@line 1853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $100=$3; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($100, $v); //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$101; //@line 1857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=$str; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102)|0)!=0; //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($103) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $2=0; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $106=$str; //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=__ZNK8JSString5emptyEv($106); //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($107) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      $length=0; //@line 1861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=0; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 1865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $110=$3; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$str; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=__ZL14ParseXMLSourceP9JSContextP8JSString($110, $111); //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$112; //@line 1866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$xml; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113)|0)!=0; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($114) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      $2=0; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $117=$xml; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117+16)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=HEAPU32[(($118)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119)>>>0) < 2; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $122=$xml; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122+24)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=$123; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($124)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130 = $127;__label__ = 33; break; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $130 = 0;__label__ = 33; break; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $130; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$130; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break;
    case 34: 
      var $132=$length; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=(($132)|0)==0; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($133) { __label__ = 35; break; } else { __label__ = 38; break; } //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $135=$3; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($135, 4); //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$136; //@line 1873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=$obj; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137)|0)!=0; //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($138) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 1874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      $2=0; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      __label__ = 46; break; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $142=$length; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142)|0)==1; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($143) { __label__ = 39; break; } else { __label__ = 44; break; } //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $145=$3; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=$xml; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=__ZL14OrphanXMLChildP9JSContextP5JSXMLj($145, $146, 0); //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$147; //@line 1877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=$xml; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=(($148)|0)!=0; //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($149) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 1878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      $2=0; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $152=$3; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$xml; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=__Z15js_GetXMLObjectP9JSContextP5JSXML($152, $153); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$154; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=$obj; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($155)|0)!=0; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($156) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      $2=0; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      __label__ = 45; break; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $160=$3; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($160, 2, 0, 133, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      __label__ = 46; break;
    case 46: 
      var $163=$obj; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$163; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      var $165=$3; //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($165, 0, 180, 0, $v, 0, 0, 0); //@line 1890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 1892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      var $168=$2; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $168; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5ToXMLP9JSContextN2JS5ValueE["X"]=1;

function __Z23js_ValueToXMLListObjectP9JSContextRKN2JS5ValueE($cx, $v) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$cx;
  $2=$v;
  var $4=$1; //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$3; //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$5; //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZL9ToXMLListP9JSContextN2JS5ValueE($4, $3); //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $8; //@line 7913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZN2JS6AnchorIP8JSObjectED2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 168 "./jsapi.h"
}


function __ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4381($kind, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$kind;
  $2=$clasp;
  ;
  return 0; //@line 1255 "./jsobjinlines.h"
}


function __ZN16JSXMLArrayCursorC2EP10JSXMLArray($this, $array) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$array;
      var $3=$1;
      var $4=(($3)|0); //@line 88 "./jsxml.h"
      var $5=$2; //@line 88 "./jsxml.h"
      HEAP32[(($4)>>2)]=$5; //@line 88 "./jsxml.h"
      var $6=(($3+4)|0); //@line 88 "./jsxml.h"
      HEAP32[(($6)>>2)]=0; //@line 88 "./jsxml.h"
      var $7=(($3+8)|0); //@line 88 "./jsxml.h"
      var $8=$2; //@line 88 "./jsxml.h"
      var $9=(($8+12)|0); //@line 88 "./jsxml.h"
      var $10=HEAP32[(($9)>>2)]; //@line 88 "./jsxml.h"
      HEAP32[(($7)>>2)]=$10; //@line 88 "./jsxml.h"
      var $11=(($3+12)|0); //@line 88 "./jsxml.h"
      var $12=$2; //@line 88 "./jsxml.h"
      var $13=(($12+12)|0); //@line 88 "./jsxml.h"
      HEAP32[(($11)>>2)]=$13; //@line 88 "./jsxml.h"
      var $14=(($3+16)|0); //@line 88 "./jsxml.h"
      HEAP32[(($14)>>2)]=0; //@line 88 "./jsxml.h"
      var $15=(($3+8)|0); //@line 89 "./jsxml.h"
      var $16=HEAP32[(($15)>>2)]; //@line 89 "./jsxml.h"
      var $17=(($16)|0)!=0; //@line 89 "./jsxml.h"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 89 "./jsxml.h"
    case 2: 
      var $19=(($3+8)|0); //@line 90 "./jsxml.h"
      var $20=(($3+8)|0); //@line 90 "./jsxml.h"
      var $21=HEAP32[(($20)>>2)]; //@line 90 "./jsxml.h"
      var $22=(($21+12)|0); //@line 90 "./jsxml.h"
      HEAP32[(($22)>>2)]=$19; //@line 90 "./jsxml.h"
      __label__ = 3; break; //@line 90 "./jsxml.h"
    case 3: 
      var $24=$2; //@line 91 "./jsxml.h"
      var $25=(($24+12)|0); //@line 91 "./jsxml.h"
      HEAP32[(($25)>>2)]=$3; //@line 91 "./jsxml.h"
      ;
      return; //@line 92 "./jsxml.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JS6AnchorIP8JSObjectEC2ES2_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$3; //@line 139 "./jsapi.h"
  var $5=$2; //@line 139 "./jsapi.h"
  var $6=(($3)|0); //@line 139 "./jsapi.h"
  HEAP32[(($6)>>2)]=$5; //@line 139 "./jsapi.h"
  ;
  return; //@line 139 "./jsapi.h"
}


function __ZN2js2gcL15GetGCObjectKindEjb4379($numSlots, $isArray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$numSlots;
      var $4=(($isArray)&1);
      $3=$4;
      var $5=$2; //@line 75 "./jsgcinlines.h"
      var $6=(($5)>>>0) >= 17; //@line 75 "./jsgcinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 75 "./jsgcinlines.h"
    case 2: 
      var $8=$3; //@line 82 "./jsgcinlines.h"
      var $9=(($8) & 1); //@line 82 "./jsgcinlines.h"
      var $10=$9 ? 0 : 10; //@line 82 "./jsgcinlines.h"
      $1=$10; //@line 82 "./jsgcinlines.h"
      __label__ = 4; break; //@line 82 "./jsgcinlines.h"
    case 3: 
      var $12=$2; //@line 84 "./jsgcinlines.h"
      var $13=((__ZN2js2gc16slotsToThingKindE+($12<<2))|0); //@line 84 "./jsgcinlines.h"
      var $14=((((HEAPU8[($13)])|(HEAPU8[($13+1)]<<8)|(HEAPU8[($13+2)]<<16)|(HEAPU8[($13+3)]<<24))|0)); //@line 84 "./jsgcinlines.h"
      $1=$14; //@line 84 "./jsgcinlines.h"
      __label__ = 4; break; //@line 84 "./jsgcinlines.h"
    case 4: 
      var $16=$1; //@line 85 "./jsgcinlines.h"
      ;
      return $16; //@line 85 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL9ToXMLListP9JSContextN2JS5ValueE($cx, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $obj;
      var $listobj;
      var $xml;
      var $list;
      var $kid;
      var $clasp;
      var $str;
      var $i;
      var $length;
      var $4=__stackBase__+8;
      var $5=__stackBase__+16;
      var $6=__stackBase__+24;
      var $7=__stackBase__+32;
      $3=$cx;
      var $8=$v;
      var $9=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
      var $10=$4; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$v; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=_JSVAL_IS_PRIMITIVE4303($4); //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$5; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$v; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=_JSVAL_IS_NULL4395($5); //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=0; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $20=$6; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$v; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=_JSVAL_IS_VOID4396($6); //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 45; break; //@line 1909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 21; break; //@line 1910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$7; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$v; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_JSVAL_TO_OBJECT4304($7); //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$29; //@line 1911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$obj; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__ZNK8JSObject5isXMLEv($30); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 14; break; } //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $33=$obj; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZNK8JSObject10getPrivateEv($33); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$35; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$xml; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+16)|0); //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0)!=0; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $41=$3; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($41, 0); //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $listobj=$42; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$listobj; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $2=0; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $47=$listobj; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__ZNK8JSObject10getPrivateEv($47); //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$48; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$49; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$3; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$list; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$xml; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZL6AppendP9JSContextP5JSXMLS2_($50, $51, $52); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0)!=0; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $2=0; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $57=$listobj; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$57; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $59=$obj; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$59; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $61=$obj; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=__ZNK8JSObject8getClassEv($61); //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $clasp=$62; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$clasp; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63+4)|0); //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$65 & 128; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0)!=0; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $70=$clasp; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=((__ZN2js11StringClassE)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $73=$clasp; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)!=((__ZN2js11NumberClassE)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $76=$clasp; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0)!=((__ZN2js12BooleanClassE)|0); //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 45; break; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 21; break;
    case 21: 
      var $81=$3; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($81, $v); //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$82; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$str; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0)!=0; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      $2=0; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $87=$str; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=__ZNK8JSString5emptyEv($87); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      $xml=0; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=0; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $91=$3; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=__ZL22js_EnterLocalRootScopeP9JSContext($91); //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($92) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      $2=0; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $95=$3; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$str; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=__ZL14ParseXMLSourceP9JSContextP8JSString($95, $96); //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$97; //@line 1947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$xml; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=(($98)|0)!=0; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($99) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $101=$3; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL22js_LeaveLocalRootScopeP9JSContext($101); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $103=$xml; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103+16)|0); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=HEAPU32[(($104)>>2)]; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)>>>0) < 2; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $108=$xml; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108+24)|0); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$109; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111)|0); //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116 = $113;__label__ = 32; break; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $116 = 0;__label__ = 32; break; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $116; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$116; //@line 1952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break;
    case 33: 
      var $118=$3; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($118, 0); //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $listobj=$119; //@line 1955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$listobj; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120)|0)!=0; //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($121) { __label__ = 34; break; } else { __label__ = 42; break; } //@line 1956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $123=$listobj; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=__ZNK8JSObject10getPrivateEv($123); //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$124; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$125; //@line 1957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $127=$i; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=$length; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($127)>>>0) < (($128)>>>0); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($129) { __label__ = 36; break; } else { __label__ = 41; break; } //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $131=$3; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$xml; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=$i; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=__ZL14OrphanXMLChildP9JSContextP5JSXMLj($131, $132, $133); //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$134; //@line 1959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$kid; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($135)|0)!=0; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($136) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $138=$3; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=$list; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$kid; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=__ZL6AppendP9JSContextP5JSXMLS2_($138, $139, $140); //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=(($141)|0)!=0; //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($142) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 1960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      $listobj=0; //@line 1961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 1962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      __label__ = 40; break; //@line 1964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $146=$i; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=(($146+1)|0); //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$147; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 1958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      __label__ = 42; break; //@line 1965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $150=$xml; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=(($150)|0)!=0; //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($151) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $153=$3; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$listobj; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=$154; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextPv($153, $155); //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 44; break; //@line 1968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $157=$listobj; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$157; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $159=$3; //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($159, 0, 181, 0, $v, 0, 0, 0); //@line 1972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      var $162=$2; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $162; //@line 1975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9ToXMLListP9JSContextN2JS5ValueE["X"]=1;

function __Z22js_NewXMLSpecialObjectP9JSContext10JSXMLClassP8JSStringS3_($cx, $xml_class, $name, $value) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $flags=__stackBase__;
      var $obj;
      var $xml;
      var $qn;
      var $atomName;
      $2=$cx;
      $3=$xml_class;
      $4=$name;
      $5=$value;
      var $6=$2; //@line 7925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZL18GetXMLSettingFlagsP9JSContextPj($6, $flags); //@line 7925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)!=0; //@line 7925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 7925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 7926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $11=$3; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)==5; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $14=HEAP32[(($flags)>>2)]; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$14 & 1; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 7; break; } else { __label__ = 5; break; } //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $18=$3; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)==3; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $21=HEAP32[(($flags)>>2)]; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21 & 2; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 7928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $25=$2; //@line 7932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($25, 4); //@line 7932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$26; //@line 7932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $28=$2; //@line 7935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$3; //@line 7935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($28, $29); //@line 7935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$30; //@line 7935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$obj; //@line 7936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 7936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 7936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 7937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $35=$obj; //@line 7938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZNK8JSObject10getPrivateEv($35); //@line 7938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$36; //@line 7938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$37; //@line 7938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$4; //@line 7939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0)!=0; //@line 7939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 7939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $41=$2; //@line 7940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$4; //@line 7940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($41, $42, 0); //@line 7940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $atomName=$43; //@line 7940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$atomName; //@line 7941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0)!=0; //@line 7941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($45) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 7941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=0; //@line 7942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $48=$2; //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$2; //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49+52)|0); //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+144136)|0); //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$53; //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$atomName; //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZL11NewXMLQNameP9JSContextP14JSLinearStringS2_P6JSAtom($48, $54, 0, $55); //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$56; //@line 7943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$qn; //@line 7944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0)!=0; //@line 7944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 7944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=0; //@line 7945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $61=$qn; //@line 7946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$xml; //@line 7946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62+12)|0); //@line 7946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($63)>>2)]=$61; //@line 7946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 7947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $65=$5; //@line 7948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$xml; //@line 7948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66+24)|0); //@line 7948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$67; //@line 7948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($68)>>2)]=$65; //@line 7948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$obj; //@line 7949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$69; //@line 7949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $71=$1; //@line 7950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $71; //@line 7950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z22js_NewXMLSpecialObjectP9JSContext10JSXMLClassP8JSStringS3_["X"]=1;

function __ZL18GetXMLSettingFlagsP9JSContextPj($cx, $flagsp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $flag=__stackBase__;
      var $n;
      $2=$cx;
      $3=$flagsp;
      var $4=$2; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($flag)|0); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__ZL20GetBooleanXMLSettingP9JSContextPKcPi($4, ((STRING_TABLE.__ZL21js_ignoreComments_str)|0), $5); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)!=0; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $9=$2; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($flag+4)|0); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZL20GetBooleanXMLSettingP9JSContextPKcPi($9, ((STRING_TABLE.__ZL35js_ignoreProcessingInstructions_str)|0), $10); //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($flag+8)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__ZL20GetBooleanXMLSettingP9JSContextPKcPi($14, ((STRING_TABLE.__ZL23js_ignoreWhitespace_str)|0), $15); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$2; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($flag+12)|0); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZL20GetBooleanXMLSettingP9JSContextPKcPi($19, ((STRING_TABLE.__ZL21js_prettyPrinting_str)|0), $20); //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0)!=0; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=0; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $25=$3; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($25)>>2)]=0; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=0; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27=$n; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)>>>0) < 4; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $30=$n; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($flag+($30<<2))|0); //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)|0)!=0; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $35=$n; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=1 << $35; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$3; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$38 | $36; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($37)>>2)]=$39; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 11; break; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $42=$n; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+1)|0); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$43; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=1; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $46=$1; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18GetXMLSettingFlagsP9JSContextPj["X"]=1;

function __ZL11NewXMLQNameP9JSContextP14JSLinearStringS2_P6JSAtom($cx, $uri, $prefix, $localName) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $obj;
      $2=$cx;
      $3=$uri;
      $4=$prefix;
      $5=$localName;
      var $6=$2; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZL26NewBuiltinClassInstanceXMLP9JSContextPN2js5ClassE($6, __ZN2js10QNameClassE); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$7; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$obj; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$2; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$obj; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$3; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$4; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$5; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZL12InitXMLQNameP9JSContextP8JSObjectP14JSLinearStringS4_P6JSAtom($12, $13, $14, $15, $16); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$obj; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$20; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $22=$1; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $22; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z21js_MakeXMLCDATAStringP9JSContextP8JSString($cx, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $sb=__stackBase__;
  var $4;
  $2=$cx;
  $3=$str;
  var $5=$2; //@line 7955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN2js12StringBufferC1EP9JSContext($sb, $5); //@line 7955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$3; //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSString($6, $sb, $7); //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$8; //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $1=$9; //@line 7956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $4=1;
  __ZN2js12StringBufferD1Ev($sb); //@line 7957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=$1; //@line 7957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 7957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSString($cx, $sb, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$sb;
  $3=$str;
  var $4=$1; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$3; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=__ZL20MakeXMLSpecialStringP9JSContextRN2js12StringBufferEP8JSStringS5_PKtjS7_j($4, $5, $6, 0, ((__ZZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSStringE19cdata_prefix_ucNstr)|0), 9, ((__ZZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSStringE19cdata_suffix_ucNstr)|0), 3); //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return $7; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __Z23js_MakeXMLCommentStringP9JSContextP8JSString($cx, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $sb=__stackBase__;
  var $4;
  $2=$cx;
  $3=$str;
  var $5=$2; //@line 7962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN2js12StringBufferC1EP9JSContext($sb, $5); //@line 7962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 7963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$3; //@line 7963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=__ZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSString($6, $sb, $7); //@line 7963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$8; //@line 7963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $1=$9; //@line 7963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $4=1;
  __ZN2js12StringBufferD1Ev($sb); //@line 7964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=$1; //@line 7964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $10; //@line 7964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSString($cx, $sb, $str) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$sb;
  $3=$str;
  var $4=$1; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$3; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=__ZL20MakeXMLSpecialStringP9JSContextRN2js12StringBufferEP8JSStringS5_PKtjS7_j($4, $5, $6, 0, ((__ZZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSStringE21comment_prefix_ucNstr)|0), 4, ((__ZZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSStringE21comment_suffix_ucNstr)|0), 3); //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return $7; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __Z18js_MakeXMLPIStringP9JSContextP8JSStringS2_($cx, $name, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $sb=__stackBase__;
  var $5;
  $2=$cx;
  $3=$name;
  $4=$str;
  var $6=$2; //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN2js12StringBufferC1EP9JSContext($sb, $6); //@line 7969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$2; //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$3; //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$4; //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=__ZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_($7, $sb, $8, $9); //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=$10; //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $1=$11; //@line 7970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $5=1;
  __ZN2js12StringBufferD1Ev($sb); //@line 7971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $12=$1; //@line 7971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $12; //@line 7971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_($cx, $sb, $name, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$cx;
  $2=$sb;
  $3=$name;
  $4=$value;
  var $5=$1; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$3; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$4; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=__ZL20MakeXMLSpecialStringP9JSContextRN2js12StringBufferEP8JSStringS5_PKtjS7_j($5, $6, $7, $8, ((__ZZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_E16pi_prefix_ucNstr)|0), 2, ((__ZZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_E16pi_suffix_ucNstr)|0), 2); //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return $9; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZN11JSXMLFilterC1EP5JSXMLP10JSXMLArray($this, $list, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$list;
  $3=$array;
  var $4=$1;
  var $5=$2; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$3; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN11JSXMLFilterC2EP5JSXMLP10JSXMLArray($4, $5, $6); //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZN11JSXMLFilterC2EP5JSXMLP10JSXMLArray($this, $list, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$list;
  $3=$array;
  var $4=$1;
  var $5=(($4)|0); //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$2; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  HEAP32[(($5)>>2)]=$6; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=(($4+4)|0); //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  HEAP32[(($7)>>2)]=0; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=(($4+8)|0); //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  HEAP32[(($8)>>2)]=0; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=(($4+12)|0); //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=$3; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN16JSXMLArrayCursorC1EP10JSXMLArray($9, $10); //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return; //@line 7751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZN16JSXMLArrayCursorC1EP10JSXMLArray($this, $array) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$array;
  var $3=$1;
  var $4=$2; //@line 92 "./jsxml.h"
  __ZN16JSXMLArrayCursorC2EP10JSXMLArray($3, $4); //@line 92 "./jsxml.h"
  ;
  return; //@line 92 "./jsxml.h"
}


function __ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4380($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1431 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1431 "./jsobjinlines.h"
    case 2: 
      var $10=$4; //@line 1431 "./jsobjinlines.h"
      var $11=$2; //@line 1431 "./jsobjinlines.h"
      var $12=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($10, $11, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $15 = $12;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 3: 
      var $15 = __ZN2js5types15emptyTypeObjectE;__label__ = 4; break; //@line 1431 "./jsobjinlines.h"
    case 4: 
      var $15; //@line 1431 "./jsobjinlines.h"
      $type=$15; //@line 1431 "./jsobjinlines.h"
      var $16=$type; //@line 1432 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($17) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1432 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1433 "./jsobjinlines.h"
    case 6: 
      var $20=$6; //@line 1443 "./jsobjinlines.h"
      var $21=$3; //@line 1443 "./jsobjinlines.h"
      var $22=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4381($20, $21); //@line 1443 "./jsobjinlines.h"
      if ($22) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1443 "./jsobjinlines.h"
    case 7: 
      var $24=$6; //@line 1444 "./jsobjinlines.h"
      var $25=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4382($24); //@line 1444 "./jsobjinlines.h"
      $6=$25; //@line 1444 "./jsobjinlines.h"
      __label__ = 8; break; //@line 1444 "./jsobjinlines.h"
    case 8: 
      var $27=$2; //@line 1446 "./jsobjinlines.h"
      var $28=$6; //@line 1446 "./jsobjinlines.h"
      var $29=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($27, $28); //@line 1446 "./jsobjinlines.h"
      $obj=$29; //@line 1446 "./jsobjinlines.h"
      var $30=$obj; //@line 1447 "./jsobjinlines.h"
      var $31=(($30)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1447 "./jsobjinlines.h"
    case 9: 
      __label__ = 20; break; //@line 1448 "./jsobjinlines.h"
    case 10: 
      var $34=$obj; //@line 1457 "./jsobjinlines.h"
      var $35=$2; //@line 1457 "./jsobjinlines.h"
      var $36=$3; //@line 1457 "./jsobjinlines.h"
      var $37=$type; //@line 1457 "./jsobjinlines.h"
      var $38=$5; //@line 1457 "./jsobjinlines.h"
      var $39=(($38)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($39) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 1457 "./jsobjinlines.h"
    case 11: 
      var $41=$4; //@line 1457 "./jsobjinlines.h"
      var $42=(($41)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1457 "./jsobjinlines.h"
    case 12: 
      var $44=$4; //@line 1458 "./jsobjinlines.h"
      var $45=__ZNK8JSObject9getParentEv($44); //@line 1458 "./jsobjinlines.h"
      var $49 = $45;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 13: 
      var $47=$5; //@line 1458 "./jsobjinlines.h"
      var $49 = $47;__label__ = 14; break; //@line 1458 "./jsobjinlines.h"
    case 14: 
      var $49; //@line 1458 "./jsobjinlines.h"
      var $50=$3; //@line 1458 "./jsobjinlines.h"
      var $51=(($50)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($34, $35, $36, $37, $49, 0, $51); //@line 1458 "./jsobjinlines.h"
      var $52=$3; //@line 1461 "./jsobjinlines.h"
      var $53=__ZNK2js5Class8isNativeEv($52); //@line 1461 "./jsobjinlines.h"
      if ($53) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1461 "./jsobjinlines.h"
    case 15: 
      var $55=$2; //@line 1462 "./jsobjinlines.h"
      var $56=$obj; //@line 1462 "./jsobjinlines.h"
      var $57=$3; //@line 1462 "./jsobjinlines.h"
      var $58=$type; //@line 1462 "./jsobjinlines.h"
      var $59=$6; //@line 1462 "./jsobjinlines.h"
      var $60=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4383($55, $56, $57, $58, $59); //@line 1462 "./jsobjinlines.h"
      if ($60) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 1462 "./jsobjinlines.h"
    case 16: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 20; break; //@line 1464 "./jsobjinlines.h"
    case 17: 
      __label__ = 19; break; //@line 1466 "./jsobjinlines.h"
    case 18: 
      var $64=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($64); //@line 1467 "./jsobjinlines.h"
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $67=$2; //@line 1471 "./jsobjinlines.h"
      var $68=$obj; //@line 1471 "./jsobjinlines.h"
      var $69=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($67, $68); //@line 1471 "./jsobjinlines.h"
      var $70=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$70; //@line 1472 "./jsobjinlines.h"
      __label__ = 21; break; //@line 1472 "./jsobjinlines.h"
    case 21: 
      var $72=$1; //@line 1473 "./jsobjinlines.h"
      ;
      return $72; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4380["X"]=1;

function __ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE4388($thingKind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$thingKind;
      var $3=$2; //@line 129 "./jsgcinlines.h"
      if ((($3)|0) == 0 || (($3)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($3)|0) == 2 || (($3)|0) == 3) {
        __label__ = 3; break;
      }
      else if ((($3)|0) == 4 || (($3)|0) == 5) {
        __label__ = 4; break;
      }
      else if ((($3)|0) == 6 || (($3)|0) == 7) {
        __label__ = 5; break;
      }
      else if ((($3)|0) == 8 || (($3)|0) == 9) {
        __label__ = 6; break;
      }
      else if ((($3)|0) == 10 || (($3)|0) == 11) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 2: 
      $1=0; //@line 132 "./jsgcinlines.h"
      __label__ = 9; break; //@line 132 "./jsgcinlines.h"
    case 3: 
      $1=2; //@line 135 "./jsgcinlines.h"
      __label__ = 9; break; //@line 135 "./jsgcinlines.h"
    case 4: 
      $1=4; //@line 138 "./jsgcinlines.h"
      __label__ = 9; break; //@line 138 "./jsgcinlines.h"
    case 5: 
      $1=8; //@line 141 "./jsgcinlines.h"
      __label__ = 9; break; //@line 141 "./jsgcinlines.h"
    case 6: 
      $1=12; //@line 144 "./jsgcinlines.h"
      __label__ = 9; break; //@line 144 "./jsgcinlines.h"
    case 7: 
      $1=16; //@line 147 "./jsgcinlines.h"
      __label__ = 9; break; //@line 147 "./jsgcinlines.h"
    case 8: 
      $1=0; //@line 150 "./jsgcinlines.h"
      __label__ = 9; break; //@line 150 "./jsgcinlines.h"
    case 9: 
      var $12=$1; //@line 152 "./jsgcinlines.h"
      ;
      return $12; //@line 152 "./jsgcinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11JS_ON_TRACEPK9JSContext4391($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  ;
  return 0; //@line 643 "./jscompartment.h"
}


function __ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4382($kind) {
  ;
  var __label__;

  var $1;
  $1=$kind;
  var $2=$1; //@line 107 "./jsgcinlines.h"
  var $3=(($2+1)|0); //@line 107 "./jsgcinlines.h"
  ;
  return $3; //@line 107 "./jsgcinlines.h"
}


function _BUILD_JSVAL4386($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "./jsval.h"
  var $4=$agg_result; //@line 411 "./jsval.h"
  var $5=(($4+4)|0); //@line 411 "./jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "./jsval.h"
  var $6=$2; //@line 411 "./jsval.h"
  var $7=$agg_result; //@line 411 "./jsval.h"
  var $8=(($7)|0); //@line 411 "./jsval.h"
  var $9=$8; //@line 411 "./jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "./jsval.h"
  ;
  return; //@line 412 "./jsval.h"
}


function _MAGIC_TO_JSVAL_IMPL4387($agg_result, $why) {
  ;
  var __label__;

  var $1;
  $1=$why;
  var $2=$agg_result; //@line 621 "./jsval.h"
  var $3=(($2+4)|0); //@line 621 "./jsval.h"
  HEAP32[(($3)>>2)]=-124; //@line 621 "./jsval.h"
  var $4=$1; //@line 622 "./jsval.h"
  var $5=$agg_result; //@line 622 "./jsval.h"
  var $6=(($5)|0); //@line 622 "./jsval.h"
  var $7=$6; //@line 622 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 622 "./jsval.h"
  ;
  return; //@line 623 "./jsval.h"
}


function __ZNK8JSString5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "./vm/String.h"
  var $4=(($3)|0); //@line 286 "./vm/String.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 286 "./vm/String.h"
  var $6=(($5)>>>0) <= 15; //@line 286 "./vm/String.h"
  ;
  return $6; //@line 286 "./vm/String.h"
}


function __ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4383($cx, $obj, $clasp, $type, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $empty;
      var $freeslot;
      $2=$cx;
      $3=$obj;
      $4=$clasp;
      $5=$type;
      $6=$kind;
      $empty=0; //@line 1216 "./jsobjinlines.h"
      var $7=$4; //@line 1218 "./jsobjinlines.h"
      var $8=(($7+4)|0); //@line 1218 "./jsobjinlines.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 1218 "./jsobjinlines.h"
      var $10=$9 >>> 8; //@line 1218 "./jsobjinlines.h"
      var $11=$10 & 255; //@line 1218 "./jsobjinlines.h"
      $freeslot=$11; //@line 1218 "./jsobjinlines.h"
      var $12=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $13=$3; //@line 1219 "./jsobjinlines.h"
      var $14=__ZNK8JSObject8numSlotsEv($13); //@line 1219 "./jsobjinlines.h"
      var $15=(($12)>>>0) > (($14)>>>0); //@line 1219 "./jsobjinlines.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1219 "./jsobjinlines.h"
    case 2: 
      var $17=$3; //@line 1219 "./jsobjinlines.h"
      var $18=$2; //@line 1219 "./jsobjinlines.h"
      var $19=$freeslot; //@line 1219 "./jsobjinlines.h"
      var $20=__ZN8JSObject10allocSlotsEP9JSContextj($17, $18, $19); //@line 1219 "./jsobjinlines.h"
      if ($20) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1219 "./jsobjinlines.h"
    case 3: 
      __label__ = 10; break; //@line 1220 "./jsobjinlines.h"
    case 4: 
      var $23=$5; //@line 1222 "./jsobjinlines.h"
      var $24=$4; //@line 1222 "./jsobjinlines.h"
      var $25=__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE($23, $24); //@line 1222 "./jsobjinlines.h"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1222 "./jsobjinlines.h"
    case 5: 
      var $27=$5; //@line 1223 "./jsobjinlines.h"
      var $28=$2; //@line 1223 "./jsobjinlines.h"
      var $29=$4; //@line 1223 "./jsobjinlines.h"
      var $30=$6; //@line 1223 "./jsobjinlines.h"
      var $31=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($27, $28, $29, $30); //@line 1223 "./jsobjinlines.h"
      $empty=$31; //@line 1223 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1223 "./jsobjinlines.h"
    case 6: 
      var $33=$2; //@line 1225 "./jsobjinlines.h"
      var $34=$4; //@line 1225 "./jsobjinlines.h"
      var $35=__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE($33, $34); //@line 1225 "./jsobjinlines.h"
      $empty=$35; //@line 1225 "./jsobjinlines.h"
      __label__ = 7; break;
    case 7: 
      var $37=$empty; //@line 1226 "./jsobjinlines.h"
      var $38=(($37)|0)!=0; //@line 1226 "./jsobjinlines.h"
      if ($38) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1226 "./jsobjinlines.h"
    case 8: 
      __label__ = 10; break; //@line 1227 "./jsobjinlines.h"
    case 9: 
      var $41=$3; //@line 1229 "./jsobjinlines.h"
      var $42=$empty; //@line 1229 "./jsobjinlines.h"
      var $43=$42; //@line 1229 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($41, $43); //@line 1229 "./jsobjinlines.h"
      $1=1; //@line 1230 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1230 "./jsobjinlines.h"
    case 10: 
      $1=0; //@line 1235 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1235 "./jsobjinlines.h"
    case 11: 
      var $46=$1; //@line 1236 "./jsobjinlines.h"
      ;
      return $46; //@line 1236 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4383["X"]=1;

function _js_calloc4384($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 275 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 275 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 276 "./jsutil.h"
      var $5=_calloc($4, 1); //@line 276 "./jsutil.h"
      ;
      return $5; //@line 276 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL15ClearValueRangeEPN2JS5ValueEjb4385($vec, $len, $useHoles) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $i1;
      $1=$vec;
      $2=$len;
      var $4=(($useHoles)&1);
      $3=$4;
      var $5=$3; //@line 354 "./jsinterp.h"
      var $6=(($5) & 1); //@line 354 "./jsinterp.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 354 "./jsinterp.h"
    case 2: 
      $i=0; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 3: 
      var $9=$i; //@line 355 "./jsinterp.h"
      var $10=$2; //@line 355 "./jsinterp.h"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 355 "./jsinterp.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 355 "./jsinterp.h"
    case 4: 
      var $13=$i; //@line 356 "./jsinterp.h"
      var $14=$1; //@line 356 "./jsinterp.h"
      var $15=(($14+($13<<3))|0); //@line 356 "./jsinterp.h"
      __ZN2JS5Value8setMagicE10JSWhyMagic($15, 0); //@line 356 "./jsinterp.h"
      __label__ = 5; break; //@line 356 "./jsinterp.h"
    case 5: 
      var $17=$i; //@line 355 "./jsinterp.h"
      var $18=(($17+1)|0); //@line 355 "./jsinterp.h"
      $i=$18; //@line 355 "./jsinterp.h"
      __label__ = 3; break; //@line 355 "./jsinterp.h"
    case 6: 
      __label__ = 12; break; //@line 357 "./jsinterp.h"
    case 7: 
      $i1=0; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 8: 
      var $22=$i1; //@line 358 "./jsinterp.h"
      var $23=$2; //@line 358 "./jsinterp.h"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 358 "./jsinterp.h"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 358 "./jsinterp.h"
    case 9: 
      var $26=$i1; //@line 359 "./jsinterp.h"
      var $27=$1; //@line 359 "./jsinterp.h"
      var $28=(($27+($26<<3))|0); //@line 359 "./jsinterp.h"
      __ZN2JS5Value12setUndefinedEv($28); //@line 359 "./jsinterp.h"
      __label__ = 10; break; //@line 359 "./jsinterp.h"
    case 10: 
      var $30=$i1; //@line 358 "./jsinterp.h"
      var $31=(($30+1)|0); //@line 358 "./jsinterp.h"
      $i1=$31; //@line 358 "./jsinterp.h"
      __label__ = 8; break; //@line 358 "./jsinterp.h"
    case 11: 
      __label__ = 12; break;
    case 12: 
      ;
      return; //@line 361 "./jsinterp.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20MakeXMLSpecialStringP9JSContextRN2js12StringBufferEP8JSStringS5_PKtjS7_j($cx, $sb, $str, $str2, $prefix, $prefixlength, $suffix, $suffixlength) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      $2=$cx;
      $3=$sb;
      $4=$str;
      $5=$str2;
      $6=$prefix;
      $7=$prefixlength;
      $8=$suffix;
      $9=$suffixlength;
      var $10=$3; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$6; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$7; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZN2js12StringBuffer6appendEPKtj($10, $11, $12); //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$3; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$4; //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZN2js12StringBuffer6appendEP8JSString($15, $16); //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $1=0; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$5; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)!=0; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$5; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__ZNK8JSString5emptyEv($23); //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 10; break; } else { __label__ = 6; break; } //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $26=$3; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=__ZN2js12StringBuffer6appendEt($26, 32); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $29=$3; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$5; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__ZN2js12StringBuffer6appendEP8JSString($29, $30); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 10; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $35=$3; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$8; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$9; //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=__ZN2js12StringBuffer6appendEPKtj($35, $36, $37); //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $41=$3; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=__ZN2js12StringBuffer12finishStringEv($41); //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$43; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $45=$1; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $45; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20MakeXMLSpecialStringP9JSContextRN2js12StringBufferEP8JSStringS5_PKtjS7_j["X"]=1;

function _js_realloc4389($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "./jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "./jsutil.h"
      var $6=$2; //@line 281 "./jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "./jsutil.h"
      ;
      return $7; //@line 281 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL17CheckStringLengthEP9JSContextj4390($cx, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$length;
      var $4=$3; //@line 54 "./jsstrinlines.h"
      var $5=(($4)>>>0) > 268435455; //@line 54 "./jsstrinlines.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 54 "./jsstrinlines.h"
    case 2: 
      var $7=$2; //@line 55 "./jsstrinlines.h"
      var $8=__ZL11JS_ON_TRACEPK9JSContext4391($7); //@line 55 "./jsstrinlines.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 55 "./jsstrinlines.h"
    case 3: 
      var $10=$2; //@line 60 "./jsstrinlines.h"
      var $11=__ZN2js13CanLeaveTraceEP9JSContext($10); //@line 60 "./jsstrinlines.h"
      if ($11) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 60 "./jsstrinlines.h"
    case 4: 
      $1=0; //@line 61 "./jsstrinlines.h"
      __label__ = 8; break; //@line 61 "./jsstrinlines.h"
    case 5: 
      var $14=$2; //@line 63 "./jsstrinlines.h"
      __ZN2js10LeaveTraceEP9JSContext($14); //@line 63 "./jsstrinlines.h"
      __label__ = 6; break; //@line 64 "./jsstrinlines.h"
    case 6: 
      var $16=$2; //@line 65 "./jsstrinlines.h"
      __Z27js_ReportAllocationOverflowP9JSContext($16); //@line 65 "./jsstrinlines.h"
      $1=0; //@line 66 "./jsstrinlines.h"
      __label__ = 8; break; //@line 66 "./jsstrinlines.h"
    case 7: 
      $1=1; //@line 69 "./jsstrinlines.h"
      __label__ = 8; break; //@line 69 "./jsstrinlines.h"
    case 8: 
      var $19=$1; //@line 70 "./jsstrinlines.h"
      ;
      return $19; //@line 70 "./jsstrinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26NewBuiltinClassInstanceXMLP9JSContextPN2js5ClassE($cx, $clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $obj;
      $1=$cx;
      $2=$clasp;
      var $3=$1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=__ZNK9JSContext28runningWithTrustedPrincipalsEv($3); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($4) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $6=HEAP32[((_sE4XObjectsCreated)>>2)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+1)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[((_sE4XObjectsCreated)>>2)]=$7; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $9=$1; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$2; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE4392($9, $10); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$11; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$obj; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $15=$obj; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject19syncSpecialEqualityEv($15); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $17=$obj; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $17; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE4392($cx, $clasp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $kind;
  $1=$cx;
  $2=$clasp;
  var $3=$2; //@line 1358 "./jsobjinlines.h"
  var $4=(($3+4)|0); //@line 1358 "./jsobjinlines.h"
  var $5=HEAPU32[(($4)>>2)]; //@line 1358 "./jsobjinlines.h"
  var $6=$5 >>> 8; //@line 1358 "./jsobjinlines.h"
  var $7=$6 & 255; //@line 1358 "./jsobjinlines.h"
  var $8=__ZN2js2gcL15GetGCObjectKindEjb4379($7, 0); //@line 1358 "./jsobjinlines.h"
  $kind=$8; //@line 1358 "./jsobjinlines.h"
  var $9=$1; //@line 1359 "./jsobjinlines.h"
  var $10=$2; //@line 1359 "./jsobjinlines.h"
  var $11=$kind; //@line 1359 "./jsobjinlines.h"
  var $12=__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4393($9, $10, $11); //@line 1359 "./jsobjinlines.h"
  ;
  return $12; //@line 1359 "./jsobjinlines.h"
}


function __ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4393($cx, $clasp, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $protoKey;
      var $global=__stackBase__;
      var $v;
      var $5=__stackBase__+4;
      var $proto=__stackBase__+12;
      $2=$cx;
      $3=$clasp;
      $4=$kind;
      var $6=$3; //@line 1328 "./jsobjinlines.h"
      var $7=(($6+4)|0); //@line 1328 "./jsobjinlines.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 1328 "./jsobjinlines.h"
      var $9=$8 >>> 24; //@line 1328 "./jsobjinlines.h"
      var $10=$9 & 255; //@line 1328 "./jsobjinlines.h"
      $protoKey=$10; //@line 1328 "./jsobjinlines.h"
      var $11=$2; //@line 1333 "./jsobjinlines.h"
      var $12=__ZNK9JSContext5hasfpEv($11); //@line 1333 "./jsobjinlines.h"
      if ($12) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1333 "./jsobjinlines.h"
    case 2: 
      var $14=$2; //@line 1334 "./jsobjinlines.h"
      var $15=(($14+132)|0); //@line 1334 "./jsobjinlines.h"
      var $16=HEAP32[(($15)>>2)]; //@line 1334 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$16; //@line 1334 "./jsobjinlines.h"
      var $17=$2; //@line 1335 "./jsobjinlines.h"
      var $18=__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($17, $global); //@line 1335 "./jsobjinlines.h"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1335 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1336 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1336 "./jsobjinlines.h"
    case 4: 
      __label__ = 6; break; //@line 1337 "./jsobjinlines.h"
    case 5: 
      var $22=$2; //@line 1338 "./jsobjinlines.h"
      var $23=__ZNK9JSContext2fpEv($22); //@line 1338 "./jsobjinlines.h"
      var $24=__ZNK2js10StackFrame10scopeChainEv($23); //@line 1338 "./jsobjinlines.h"
      var $25=__ZNK8JSObject9getGlobalEv($24); //@line 1338 "./jsobjinlines.h"
      var $26=$25; //@line 1338 "./jsobjinlines.h"
      HEAP32[(($global)>>2)]=$26; //@line 1338 "./jsobjinlines.h"
      __label__ = 6; break;
    case 6: 
      var $28=HEAP32[(($global)>>2)]; //@line 1342 "./jsobjinlines.h"
      var $29=$protoKey; //@line 1342 "./jsobjinlines.h"
      var $30=(($29+37)|0); //@line 1342 "./jsobjinlines.h"
      __ZNK8JSObject15getReservedSlotEj($5, $28, $30); //@line 1342 "./jsobjinlines.h"
      $v=$5; //@line 1342 "./jsobjinlines.h"
      var $31=$v; //@line 1344 "./jsobjinlines.h"
      var $32=__ZNK2JS5Value8isObjectEv($31); //@line 1344 "./jsobjinlines.h"
      if ($32) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1344 "./jsobjinlines.h"
    case 7: 
      var $34=$v; //@line 1345 "./jsobjinlines.h"
      var $35=__ZNK2JS5Value8toObjectEv($34); //@line 1345 "./jsobjinlines.h"
      HEAP32[(($proto)>>2)]=$35; //@line 1345 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1347 "./jsobjinlines.h"
    case 8: 
      var $37=$2; //@line 1348 "./jsobjinlines.h"
      var $38=HEAP32[(($global)>>2)]; //@line 1348 "./jsobjinlines.h"
      var $39=$protoKey; //@line 1348 "./jsobjinlines.h"
      var $40=$3; //@line 1348 "./jsobjinlines.h"
      var $41=__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE($37, $38, $39, $proto, $40); //@line 1348 "./jsobjinlines.h"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1348 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1349 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1349 "./jsobjinlines.h"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $45=$2; //@line 1352 "./jsobjinlines.h"
      var $46=$3; //@line 1352 "./jsobjinlines.h"
      var $47=HEAP32[(($proto)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $48=HEAP32[(($global)>>2)]; //@line 1352 "./jsobjinlines.h"
      var $49=$4; //@line 1352 "./jsobjinlines.h"
      var $50=__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4394($45, $46, $47, $48, $49); //@line 1352 "./jsobjinlines.h"
      $1=$50; //@line 1352 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1352 "./jsobjinlines.h"
    case 12: 
      var $52=$1; //@line 1353 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $52; //@line 1353 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4393["X"]=1;

function __ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4394($cx, $clasp, $proto, $parent, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $type;
      var $obj;
      var $denseArray;
      var $empty;
      $2=$cx;
      $3=$clasp;
      $4=$proto;
      $5=$parent;
      $6=$kind;
      var $7=$4; //@line 1272 "./jsobjinlines.h"
      var $8=$2; //@line 1272 "./jsobjinlines.h"
      var $9=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($7, $8, 0, 0); //@line 1272 "./jsobjinlines.h"
      $type=$9; //@line 1272 "./jsobjinlines.h"
      var $10=$type; //@line 1273 "./jsobjinlines.h"
      var $11=(($10)|0)!=0; //@line 1273 "./jsobjinlines.h"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1273 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1274 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1274 "./jsobjinlines.h"
    case 3: 
      var $14=$6; //@line 1281 "./jsobjinlines.h"
      var $15=$3; //@line 1281 "./jsobjinlines.h"
      var $16=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4381($14, $15); //@line 1281 "./jsobjinlines.h"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1281 "./jsobjinlines.h"
    case 4: 
      var $18=$6; //@line 1282 "./jsobjinlines.h"
      var $19=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4382($18); //@line 1282 "./jsobjinlines.h"
      $6=$19; //@line 1282 "./jsobjinlines.h"
      __label__ = 5; break; //@line 1282 "./jsobjinlines.h"
    case 5: 
      var $21=$2; //@line 1284 "./jsobjinlines.h"
      var $22=$6; //@line 1284 "./jsobjinlines.h"
      var $23=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($21, $22); //@line 1284 "./jsobjinlines.h"
      $obj=$23; //@line 1284 "./jsobjinlines.h"
      var $24=$obj; //@line 1286 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1286 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 1286 "./jsobjinlines.h"
    case 6: 
      var $27=$3; //@line 1291 "./jsobjinlines.h"
      var $28=(($27)|0)==((__ZN2js10ArrayClassE)|0); //@line 1291 "./jsobjinlines.h"
      var $29=(($28)&1); //@line 1291 "./jsobjinlines.h"
      $denseArray=$29; //@line 1291 "./jsobjinlines.h"
      var $30=$obj; //@line 1292 "./jsobjinlines.h"
      var $31=$2; //@line 1292 "./jsobjinlines.h"
      var $32=$3; //@line 1292 "./jsobjinlines.h"
      var $33=$type; //@line 1292 "./jsobjinlines.h"
      var $34=$5; //@line 1292 "./jsobjinlines.h"
      var $35=$denseArray; //@line 1292 "./jsobjinlines.h"
      var $36=(($35) & 1); //@line 1292 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($30, $31, $32, $33, $34, 0, $36); //@line 1292 "./jsobjinlines.h"
      var $37=$type; //@line 1295 "./jsobjinlines.h"
      var $38=$2; //@line 1295 "./jsobjinlines.h"
      var $39=$3; //@line 1295 "./jsobjinlines.h"
      var $40=$6; //@line 1295 "./jsobjinlines.h"
      var $41=__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE($37, $38, $39, $40); //@line 1295 "./jsobjinlines.h"
      $empty=$41; //@line 1295 "./jsobjinlines.h"
      var $42=$empty; //@line 1297 "./jsobjinlines.h"
      var $43=(($42)|0)!=0; //@line 1297 "./jsobjinlines.h"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1297 "./jsobjinlines.h"
    case 7: 
      var $45=$obj; //@line 1298 "./jsobjinlines.h"
      var $46=$empty; //@line 1298 "./jsobjinlines.h"
      var $47=$46; //@line 1298 "./jsobjinlines.h"
      __ZN8JSObject6setMapEPN2js5ShapeE($45, $47); //@line 1298 "./jsobjinlines.h"
      __label__ = 9; break; //@line 1298 "./jsobjinlines.h"
    case 8: 
      $obj=0; //@line 1300 "./jsobjinlines.h"
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 1301 "./jsobjinlines.h"
    case 10: 
      var $51=$obj; //@line 1303 "./jsobjinlines.h"
      $1=$51; //@line 1303 "./jsobjinlines.h"
      __label__ = 11; break; //@line 1303 "./jsobjinlines.h"
    case 11: 
      var $53=$1; //@line 1304 "./jsobjinlines.h"
      ;
      return $53; //@line 1304 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4394["X"]=1;

function __ZL20GetBooleanXMLSettingP9JSContextPKcPi($cx, $name, $bp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4=__stackBase__+8;
      $1=$cx;
      $2=$name;
      $3=$bp;
      var $5=$1; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$2; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZL13GetXMLSettingP9JSContextPKcPN2JS5ValueE($5, $6, $v); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)!=0; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { var $17 = 0;__label__ = 3; break; } //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$1; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$v; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=_JS_ValueToBoolean($10, $4, $13); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17 = $15;__label__ = 3; break;
    case 3: 
      var $17;
      var $18=(($17)&1);
      STACKTOP = __stackBase__;
      return $18; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13GetXMLSettingP9JSContextPKcPN2JS5ValueE($cx, $name, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      $2=$cx;
      $3=$name;
      $4=$vp;
      var $8=$2; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__Z18js_FindClassObjectP9JSContextP8JSObject10JSProtoKeyPN2JS5ValueEPN2js5ClassE($8, 0, 11, $v, 0); //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$5; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$v; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=_JSVAL_IS_PRIMITIVE4303($5); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$6; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$v; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=_JSVAL_TO_OBJECT4304($6); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSObject10isFunctionEv($20); //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$4; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $26=$2; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$7; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$v; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_JSVAL_TO_OBJECT4304($7); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$3; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$4; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=_JS_GetProperty($26, $29, $30, $31); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$32; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $34=$1; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $34; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_NULL4395($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1286 "./jsapi.h"
  var $7=$v; //@line 1286 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1286 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1286 "./jsapi.h"
  var $8=_JSVAL_IS_NULL_IMPL4400($2); //@line 1286 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1286 "./jsapi.h"
}


function _JSVAL_IS_VOID4396($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1292 "./jsapi.h"
  var $7=$v; //@line 1292 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1292 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1292 "./jsapi.h"
  var $8=_JSVAL_IS_UNDEFINED_IMPL4398($2); //@line 1292 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1292 "./jsapi.h"
}


function __ZL32js_LeaveLocalRootScopeWithResultP9JSContextPv($cx, $rval) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$rval;
  ;
  return; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL14OrphanXMLChildP9JSContextP5JSXMLj($cx, $xml, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ns;
      var $5=__stackBase__;
      $2=$cx;
      $3=$xml;
      $4=$i;
      var $6=$3; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+24)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$7; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+16)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=0 < (($11)>>>0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $14=$3; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+24)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$15; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17+8)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25 = $22;__label__ = 4; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $25 = 0;__label__ = 4; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $25; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$25; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$4; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$3; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+24)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$28; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAPU32[(($31)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($26)>>>0) < (($32)>>>0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $35=$4; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$3; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+24)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+8)|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+($35<<2))|0); //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$43; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47 = $44;__label__ = 7; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $47 = 0;__label__ = 7; break; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $47; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$47; //@line 1805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$ns; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $51=$3; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)|0)!=0; //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $54=$3; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$54; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 1807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $56=$3; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56+16)|0); //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)==1; //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $61=$2; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$3; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62+24)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$63; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64+16)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$3; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66+24)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$67; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68+16)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69)|0); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$ns; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$72; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($61, $65, $71, $73); //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74)|0)!=0; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($75) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=0; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $78=$ns; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$5; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($79)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($79+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject20setNamespaceDeclaredEN2JS5ValueE($78, $5); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $81=$3; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=(($81+8)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($82)>>2)]=0; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$3; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$83; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $85=$1; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14OrphanXMLChildP9JSContextP5JSXMLj["X"]=1;

function __ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($cx, $array, $index, $elt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $capacity;
      var $i;
      var $log2;
      var $vector;
      var $j_;
      $2=$cx;
      $3=$array;
      $4=$index;
      $5=$elt;
      var $6=$4; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$3; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($6)>>>0) >= (($9)>>>0); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 20; break; } //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $12=$4; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+4)|0); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$15 & 2147483647; //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($12)>>>0) >= (($16)>>>0); //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 19; break; } //@line 975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $19=$4; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19+1)|0); //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $capacity=$20; //@line 977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$4; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)>>>0) >= 256; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $24=$capacity; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24+32)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25-1)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=Math.floor((($26)>>>0)/32); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=((($27<<5))|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $capacity=$28; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 6; break; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $31=$capacity; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j_=$31; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$j_; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)>>>0) <= 1; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $41 = 0;__label__ = 9; break; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $36=$j_; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36-1)|0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=_llvm_ctlz_i32($37); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=((32-$38)|0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41 = $39;__label__ = 9; break; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $41; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $log2=$41; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $43=$log2; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=1 << $43; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $capacity=$44; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break;
    case 11: 
      var $46=$capacity; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)>>>0) > 1073741823; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $49=$2; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$3; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50+8)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$52; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$capacity; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=((($54<<2))|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZN9JSContext8realloc_EPvj($49, $53, $55); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$56; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vector=$57; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0)!=0; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $60=$2; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportOutOfMemory($60); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $62=$capacity; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$3; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63+4)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($64)>>2)]=$62; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$vector; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$3; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66+8)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($67)>>2)]=$65; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$3; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$70; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $72=$i; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$4; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($72)>>>0) < (($73)>>>0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $76=$i; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$vector; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77+($76<<2))|0); //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($78)>>2)]=0; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $80=$i; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+1)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$81; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 19; break; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $84=$4; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+1)|0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$3; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=(($86)|0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($87)>>2)]=$85; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $89=$5; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$4; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$3; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91+8)|0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($93+($90<<2))|0); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($94)>>2)]=$89; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $96=$1; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $96; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv["X"]=1;

function __ZN8JSObject20setNamespaceDeclaredEN2JS5ValueE($this, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $decl=__stackBase__;
  $2=$this;
  var $3=$decl;
  var $4=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
  var $5=$2;
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($5, 2, $decl); //@line 741 "./jsobjinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 742 "./jsobjinlines.h"
}


function __ZNK8JSObject10getNameURIEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject7getSlotEj($2, 1); //@line 712 "./jsobjinlines.h"
      $v=$3; //@line 712 "./jsobjinlines.h"
      var $4=$v; //@line 713 "./jsobjinlines.h"
      var $5=__ZNK2JS5Value11isUndefinedEv($4); //@line 713 "./jsobjinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 713 "./jsobjinlines.h"
    case 2: 
      var $7=$v; //@line 713 "./jsobjinlines.h"
      var $8=__ZNK2JS5Value8toStringEv($7); //@line 713 "./jsobjinlines.h"
      var $9=__ZN8JSString8asLinearEv($8); //@line 713 "./jsobjinlines.h"
      var $12 = $9;__label__ = 4; break; //@line 713 "./jsobjinlines.h"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 713 "./jsobjinlines.h"
    case 4: 
      var $12; //@line 713 "./jsobjinlines.h"
      ;
      return $12; //@line 713 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18AutoNamespaceArrayC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 106 "./jscntxtinlines.h"
  __ZN2js18AutoNamespaceArrayC2EP9JSContext($3, $4); //@line 106 "./jscntxtinlines.h"
  ;
  return; //@line 106 "./jscntxtinlines.h"
}


function __ZL14ParseXMLSourceP9JSContextP8JSString($cx, $src) {
  var __stackBase__  = STACKTOP; STACKTOP += 1084; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nsval=__stackBase__;
      var $uri;
      var $urilen;
      var $srclen;
      var $length;
      var $offset;
      var $dstlen=__stackBase__+8;
      var $chars;
      var $srcp;
      var $endp;
      var $xml;
      var $filename;
      var $lineno;
      var $op;
      var $4=__stackBase__+12;
      var $i=__stackBase__+20;
      var $parser=__stackBase__+60;
      var $scopeChain;
      var $5;
      var $pn;
      var $flags=__stackBase__+1052;
      var $namespaces=__stackBase__+1056;
      $2=$cx;
      $3=$src;
      var $6=$2; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__Z25js_GetDefaultXMLNamespaceP9JSContextPN2JS5ValueE($6, $nsval); //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)!=0; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $11=$4; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$nsval; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=_JSVAL_TO_OBJECT4304($4); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK8JSObject10getNameURIEv($13); //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$14; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$2; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$uri; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$16; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__Z23js_EscapeAttributeValueP9JSContextP8JSStringi($15, $17, 0); //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$18; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$19; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$uri; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)!=0; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$uri; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=__ZNK8JSString6lengthEv($25); //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $urilen=$26; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$3; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZNK8JSString6lengthEv($27); //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $srclen=$28; //@line 1712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$urilen; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29+15)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+2)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$srclen; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($31+$32)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+9)|0); //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$34; //@line 1713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$2; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$length; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+1)|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=((($37<<1))|0); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=__ZN9JSContext7malloc_Ej($35, $38); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$39; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $chars=$40; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$chars; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)!=0; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $45=$length; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($dstlen)>>2)]=$45; //@line 1720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$2; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$chars; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=__ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj($46, ((STRING_TABLE.__ZZL14ParseXMLSourceP9JSContextP8JSStringE6prefix)|0), 15, $47, $dstlen); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=HEAP32[(($dstlen)>>2)]; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $offset=$49; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$chars; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$offset; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($50+($51<<1))|0); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$52; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$uri; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__ZNK14JSLinearString5charsEv($54); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$55; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$urilen; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=((($57<<1))|0); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert($58 % 1 === 0, 'memcpy given ' + $58 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($53, $56, $58, 1); //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$urilen; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$offset; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60+$59)|0); //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $offset=$61; //@line 1724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$length; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$offset; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($62-$63)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64+1)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($dstlen)>>2)]=$65; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$2; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$chars; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$offset; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($67+($68<<1))|0); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=__ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj($66, ((STRING_TABLE.__ZZL14ParseXMLSourceP9JSContextP8JSStringE6middle)|0), 2, $69, $dstlen); //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=HEAP32[(($dstlen)>>2)]; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$offset; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72+$71)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $offset=$73; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$3; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$2; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=__ZN8JSString8getCharsEP9JSContext($74, $75); //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $srcp=$76; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$srcp; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)|0)!=0; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $80=$2; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$chars; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$81; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($80, $82); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $84=$chars; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$offset; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($84+($85<<1))|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$86; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$srcp; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$88; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$srclen; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=((($90<<1))|0); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert($91 % 1 === 0, 'memcpy given ' + $91 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($87, $89, $91, 1); //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$srclen; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$offset; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($93+$92)|0); //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $offset=$94; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$length; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$offset; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($95-$96)|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=(($97+1)|0); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($dstlen)>>2)]=$98; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$2; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$chars; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$offset; //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($100+($101<<1))|0); //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=__ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj($99, ((STRING_TABLE.__ZZL14ParseXMLSourceP9JSContextP8JSStringE6suffix)|0), 9, $102, $dstlen); //@line 1736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$offset; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=HEAP32[(($dstlen)>>2)]; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($104+$105)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$chars; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107+($106<<1))|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($108)>>1)]=0; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$2; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js10LeaveTraceEP9JSContext($109); //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=0; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $filename=0; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $lineno=1; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$2; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($i, $110, 0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=__ZNK2js13FrameRegsIter4doneEv($i); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($111) { __label__ = 20; break; } else { __label__ = 10; break; } //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $113=__ZNK2js13FrameRegsIter2pcEv($i); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=HEAPU8[($113)]; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114)&255); //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $op=$115; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$op; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116)|0)==178; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($117) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $119=$op; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119)|0)==179; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 12; break; } else { __label__ = 19; break; } //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $122=__ZNK2js13FrameRegsIter2fpEv($i); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=__ZNK2js10StackFrame6scriptEv($122); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($123+52)|0); //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $filename=$125; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=$2; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=__ZNK2js13FrameRegsIter2fpEv($i); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=__ZNK2js13FrameRegsIter2pcEv($i); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=__Z22js_FramePCToLineNumberP9JSContextPN2js10StackFrameEPh($126, $127, $128); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $lineno=$129; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$srcp; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=$srclen; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($130+($131<<1))|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $endp=$132; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $134=$srcp; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$endp; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($134)>>>0) < (($135)>>>0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($136) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $138=$srcp; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=HEAPU16[(($138)>>1)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=(($139)&65535); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140)|0)==10; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($141) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $143=$lineno; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=(($143-1)|0); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $lineno=$144; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $147=$srcp; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+2)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $srcp=$148; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 19; break; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 20; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $152=$2; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      FUNCTION_TABLE[__ZN2js6ParserC1EP9JSContextP12JSPrincipalsPNS_10StackFrameEb]($parser, $152, 0, 0, 1); //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$chars; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$length; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=$filename; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=$lineno; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=$2; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=__ZNK9JSContext11findVersionEv($157); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=__ZN2js6Parser4initEPKtjPKcj9JSVersion($parser, $153, $154, $155, $156, $158); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($159) { __label__ = 21; break; } else { __label__ = 29; break; } //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $161=$2; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=__ZN2js13GetScopeChainEP9JSContext($161); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $scopeChain=$162; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$scopeChain; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=(($163)|0)!=0; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($164) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $166=$2; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=$chars; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=$167; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($166, $168); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=1;
      __label__ = 30; break; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $170=$scopeChain; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=__ZN2js6Parser12parseXMLTextEP8JSObjectb($parser, $170, 0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn=$171; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=$pn; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=(($172)|0)!=0; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($173) { __label__ = 24; break; } else { __label__ = 28; break; } //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $175=$2; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=__ZL18GetXMLSettingFlagsP9JSContextPj($175, $flags); //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=(($176)|0)!=0; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($177) { __label__ = 25; break; } else { __label__ = 28; break; } //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $179=$2; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayC1EP9JSContext($namespaces, $179); //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=(($namespaces+12)|0); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181=$2; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=__ZN10JSXMLArray11setCapacityEP9JSContextj($180, $181, 1); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($182) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $184=$pn; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=(($namespaces+12)|0); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=HEAP32[(($flags)>>2)]; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=__ZL14ParseNodeToXMLPN2js6ParserEP11JSParseNodeP10JSXMLArrayj($parser, $184, $185, $186); //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$187; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      __ZN2js18AutoNamespaceArrayD1Ev($namespaces); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      __label__ = 29; break; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      $5=0; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 30; break; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      FUNCTION_TABLE[__ZN2js6ParserD1Ev]($parser); //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest=$5;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 31; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 32; break;
      }
      else {
      __label__ = 33; break;
      }
      
    case 31: 
      var $193=$2; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=$chars; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=$194; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($193, $195); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $196=$xml; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$196; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $198=$1; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $198; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14ParseXMLSourceP9JSContextP8JSString["X"]=1;

function __ZL14ParseNodeToXMLPN2js6ParserEP11JSParseNodeP10JSXMLArrayj($parser, $pn, $inScopeNSes, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $cx;
      var $xml;
      var $kid;
      var $attr;
      var $attrj;
      var $str;
      var $length;
      var $n;
      var $i;
      var $j;
      var $pn2;
      var $pn3;
      var $head;
      var $pnp;
      var $ns;
      var $qn;
      var $attrjqn;
      var $xml_class;
      var $stackDummy=__stackBase__;
      var $str1;
      var $length2;
      var $chars;
      var $v=__stackBase__+4;
      var $bytes=__stackBase__+12;
      var $6;
      var $atom;
      var $uri;
      var $prefix;
      var $v3=__stackBase__+16;
      var $bytes4=__stackBase__+24;
      var $v6=__stackBase__+28;
      var $bytes7=__stackBase__+36;
      $2=$parser;
      $3=$pn;
      $4=$inScopeNSes;
      $5=$flags;
      var $7=$2; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+12)|0); //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cx=$9; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$stackDummy; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$cx; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+48)|0); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($10)>>>0) < (($13)>>>0); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $16=$cx; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$2; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17+40)|0); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$3; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($16, $18, $19, 0, 26, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 156; break; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $xml=0; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$cx; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__ZL22js_EnterLocalRootScopeP9JSContext($22); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 156; break; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26=$3; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=__ZNK11JSParseNode7getKindEv($26); //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ((($27)|0) == 75) {
        __label__ = 6; break;
      }
      else if ((($27)|0) == 76) {
        __label__ = 36; break;
      }
      else if ((($27)|0) == 59 || (($27)|0) == 61) {
        __label__ = 57; break;
      }
      else if ((($27)|0) == 65 || (($27)|0) == 66 || (($27)|0) == 68 || (($27)|0) == 67 || (($27)|0) == 69) {
        __label__ = 126; break;
      }
      else {
      __label__ = 151; break;
      }
      
    case 6: 
      var $29=$4; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0); //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$31; //@line 1318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$3; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+32)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$33; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$36; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$2; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$pn2; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$4; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$5; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=__ZL14ParseNodeToXMLPN2js6ParserEP11JSParseNodeP10JSXMLArrayj($37, $38, $39, $40); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$41; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$xml; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)|0)!=0; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($43) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 155; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $46=$3; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46+32)|0); //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$47; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48+8)|0); //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$50; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$n; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51-2)|0); //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$52; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$xml; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+24)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$54; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$cx; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$n; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=__ZN10JSXMLArray11setCapacityEP9JSContextj($56, $57, $58); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 155; break; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $i=0; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $63=$pn2; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63+24)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$65; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65)|0)!=0; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($66) { __label__ = 12; break; } else { __label__ = 33; break; } //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $68=$pn2; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68+24)|0); //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=0; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 33; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $74=$5; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$74 & 4; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0)!=0; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 18; break; } //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $78=$n; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($78)>>>0) > 1; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($79) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $81=$pn2; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=__ZNK11JSParseNode6isKindEN2js9TokenKindE($81, 65); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($82) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $84=$n; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84-1)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$85; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $87=$2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$pn2; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$4; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$5; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=__ZL14ParseNodeToXMLPN2js6ParserEP11JSParseNodeP10JSXMLArrayj($87, $88, $89, $90); //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$91; //@line 1344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$kid; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92)|0)==1; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($93) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $95=$n; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95-1)|0); //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$96; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 1347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $98=$kid; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=(($98)|0)!=0; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($99) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 155; break; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 23; break; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $103=$xml; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103+24)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$104; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=HEAPU32[(($107)>>2)]; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$i; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($108)>>>0) <= (($109)>>>0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($110) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $112=$i; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=(($112+1)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$xml; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114+24)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$115; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($118)>>2)]=$113; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $120=$kid; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=$120; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$i; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$xml; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($123+24)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$124; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=(($126+8)|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=HEAP32[(($127)>>2)]; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128+($122<<2))|0); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($129)>>2)]=$121; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $131=$xml; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$kid; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=(($132+8)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($133)>>2)]=$131; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$i; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134+1)|0); //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$135; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=$5; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=$136 & 4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137)|0)!=0; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($138) { __label__ = 27; break; } else { __label__ = 32; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $140=$n; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140)>>>0) > 1; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($141) { __label__ = 28; break; } else { __label__ = 32; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $143=$kid; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=(($143+16)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=(($145)|0)==4; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($146) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $148=$cx; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=$kid; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149+24)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=$150; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=__ZL18ChompXMLWhitespaceP9JSContextP8JSString($148, $152); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str1=$153; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$str1; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154)|0)!=0; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($155) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      __label__ = 155; break; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $158=$str1; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=$kid; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=(($159+24)|0); //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$160; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($161)>>2)]=$158; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      __label__ = 11; break; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $164=$n; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=$3; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=(($165+32)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=$166; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=(($167+8)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=(($169-2)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=(($164)>>>0) < (($170)>>>0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($171) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $173=$xml; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=(($173+24)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=$174; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=(($175)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray4trimEv($176); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $178=$cx; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=$4; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=$length; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16XMLArrayTruncateP9JSContextP10JSXMLArrayj($178, $179, $180); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 152; break; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $182=$cx; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=__Z9js_NewXMLP9JSContext10JSXMLClass($182, 0); //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$183; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=$xml; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=(($184)|0)!=0; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($185) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      __label__ = 155; break; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $188=$3; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $189=(($188+32)|0); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $190=$189; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $191=(($190+8)|0); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $192=HEAP32[(($191)>>2)]; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$192; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=$xml; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=(($193+24)|0); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=$194; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $196=(($195)|0); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $197=$cx; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $198=$n; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $199=__ZN10JSXMLArray11setCapacityEP9JSContextj($196, $197, $198); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($199) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      __label__ = 155; break; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      $i=0; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=$3; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $203=(($202+32)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $204=$203; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $205=(($204)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=HEAP32[(($205)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$206; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $208=$pn2; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $209=(($208)|0)!=0; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($209) { __label__ = 42; break; } else { __label__ = 54; break; } //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $211=$pn2; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $212=__ZNK11JSParseNode6isKindEN2js9TokenKindE($211, 65); //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($212) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $214=$n; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $215=(($214-1)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$215; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $217=$2; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=$pn2; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219=$4; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $220=$5; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $221=__ZL14ParseNodeToXMLPN2js6ParserEP11JSParseNodeP10JSXMLArrayj($217, $218, $219, $220); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$221; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $222=$kid; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $223=(($222)|0)==1; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($223) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $225=$n; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $226=(($225-1)|0); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$226; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      var $228=$kid; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $229=(($228)|0)!=0; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($229) { __label__ = 48; break; } else { __label__ = 47; break; } //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      __label__ = 155; break; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      __label__ = 49; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $233=$xml; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $234=(($233+24)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $235=$234; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $236=(($235)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $237=(($236)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $238=HEAPU32[(($237)>>2)]; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $239=$i; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $240=(($238)>>>0) <= (($239)>>>0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($240) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 50: 
      var $242=$i; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $243=(($242+1)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $244=$xml; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $245=(($244+24)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $246=$245; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $247=(($246)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $248=(($247)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($248)>>2)]=$243; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 51; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      var $250=$kid; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $251=$250; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $252=$i; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $253=$xml; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $254=(($253+24)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $255=$254; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $256=(($255)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $257=(($256+8)|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $258=HEAP32[(($257)>>2)]; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $259=(($258+($252<<2))|0); //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($259)>>2)]=$251; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 52: 
      var $261=$i; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $262=(($261+1)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$262; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 53: 
      var $264=$pn2; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $265=(($264+24)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $266=HEAP32[(($265)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$266; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 54: 
      var $268=$n; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $269=$3; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $270=(($269+32)|0); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $271=$270; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $272=(($271+8)|0); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $273=HEAPU32[(($272)>>2)]; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $274=(($268)>>>0) < (($273)>>>0); //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($274) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 55: 
      var $276=$xml; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $277=(($276+24)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $278=$277; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $279=(($278)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray4trimEv($279); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 56; break; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 56: 
      __label__ = 152; break; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 57: 
      var $282=$4; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $283=(($282)|0); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $284=HEAP32[(($283)>>2)]; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$284; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $285=$3; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $286=(($285+32)|0); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $287=$286; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $288=(($287)|0); //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $289=HEAP32[(($288)>>2)]; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$289; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $290=$pn2; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $291=__ZNK11JSParseNode7isArityE16JSParseNodeArity($290, 5); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($291) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 58: 
      __label__ = 154; break; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 59: 
      var $294=$cx; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $295=__Z9js_NewXMLP9JSContext10JSXMLClass($294, 1); //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$295; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $296=$xml; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $297=(($296)|0)!=0; //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($297) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 1421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 60: 
      __label__ = 155; break; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 61: 
      var $300=$3; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $301=(($300+32)|0); //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $302=$301; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $303=(($302+8)|0); //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $304=HEAP32[(($303)>>2)]; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $305=(($304-1)|0); //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$305; //@line 1426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $306=$pn2; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $307=(($306+24)|0); //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pnp=$307; //@line 1427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $308=$pnp; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $309=HEAP32[(($308)>>2)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $head=$309; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 62; break; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 62: 
      var $311=$pnp; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $312=HEAP32[(($311)>>2)]; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$312; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $313=(($312)|0)!=0; //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($313) { __label__ = 63; break; } else { __label__ = 95; break; } //@line 1429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 63: 
      var $315=$pn2; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $316=__ZNK11JSParseNode6isKindEN2js9TokenKindE($315, 63); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($316) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 64: 
      var $318=$pn2; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $319=__ZNK11JSParseNode7isArityE16JSParseNodeArity($318, 0); //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($319) { __label__ = 66; break; } else { __label__ = 65; break; } //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 65: 
      __label__ = 154; break; //@line 1434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 66: 
      var $322=$head; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn3=$322; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 67; break; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 67: 
      var $324=$pn3; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $325=$pn2; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $326=(($324)|0)!=(($325)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($326) { __label__ = 68; break; } else { __label__ = 74; break; } //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 68: 
      var $328=$pn3; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $329=(($328+32)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $330=$329; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $331=(($330)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $332=$331; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $333=HEAP32[(($332)>>2)]; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $334=$pn2; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $335=(($334+32)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $336=$335; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $337=(($336)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $338=$337; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $339=HEAP32[(($338)>>2)]; //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $340=(($333)|0)==(($339)|0); //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($340) { __label__ = 69; break; } else { __label__ = 72; break; } //@line 1438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 69: 
      var $342=$pn2; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $343=(($342+32)|0); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $344=$343; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $345=(($344)|0); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $346=$345; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $347=HEAP32[(($346)>>2)]; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $348=$347; //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($v, $348); //@line 1439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 1440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $349=$cx; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $350=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($349, $v, $bytes, 0); //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $351=(($350)|0)!=0; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($351) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 70: 
      var $353=$cx; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $354=$2; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $355=(($354+40)|0); //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $356=$pn2; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $357=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $358=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($353, $355, $356, 0, 198, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$357,tempInt)); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 71; break; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 71: 
      $6=3;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 3) {
        __label__ = 155; break;
      }
      else {
      __label__ = 157; break;
      }
      
    case 72: 
      __label__ = 73; break; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 73: 
      var $362=$pn3; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $363=(($362+24)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $364=HEAP32[(($363)>>2)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $365=(($364+24)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $366=HEAP32[(($365)>>2)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn3=$366; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 67; break; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 74: 
      var $368=$pn2; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $369=(($368+32)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $370=$369; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $371=(($370)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $372=$371; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $373=HEAP32[(($372)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $atom=$373; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $374=$pn2; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $375=(($374+24)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $376=HEAP32[(($375)>>2)]; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$376; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $377=$pn2; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $378=__ZNK11JSParseNode6isKindEN2js9TokenKindE($377, 64); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($378) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 75: 
      __label__ = 154; break; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 76: 
      var $381=$atom; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $382=$381; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $383=__ZNK14JSLinearString5charsEv($382); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $chars=$383; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $384=$atom; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $385=$384; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $386=__ZNK8JSString6lengthEv($385); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length2=$386; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $387=$length2; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $388=(($387)>>>0) >= 5; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($388) { __label__ = 77; break; } else { __label__ = 94; break; } //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 77: 
      var $390=$chars; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $391=__ZL12IS_XML_CHARSPKt($390); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($391) { __label__ = 78; break; } else { __label__ = 94; break; } //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 78: 
      var $393=$chars; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $394=__ZL16HAS_NS_AFTER_XMLPKt($393); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($394) { __label__ = 79; break; } else { __label__ = 94; break; } //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 79: 
      var $396=$length2; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $397=(($396)|0)==5; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($397) { __label__ = 81; break; } else { __label__ = 80; break; } //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 80: 
      var $399=$chars; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $400=(($399+10)|0); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $401=HEAPU16[(($400)>>1)]; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $402=(($401)&65535); //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $403=(($402)|0)==58; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($403) { __label__ = 81; break; } else { __label__ = 94; break; } //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 81: 
      var $405=$pn2; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $406=(($405+32)|0); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $407=$406; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $408=(($407)|0); //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $409=$408; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $410=HEAP32[(($409)>>2)]; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $411=$410; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$411; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $412=$length2; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $413=(($412)|0)==5; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($413) { __label__ = 82; break; } else { __label__ = 83; break; } //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 82: 
      var $415=$cx; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $416=(($415+52)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $417=HEAP32[(($416)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $418=(($417+144136)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $419=HEAP32[(($418)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $420=$419; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$420; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 86; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 83: 
      var $422=$cx; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $423=$chars; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $424=(($423+12)|0); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $425=$length2; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $426=(($425-6)|0); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $427=__Z17js_NewStringCopyNP9JSContextPKtj($422, $424, $426); //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $428=$427; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$428; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $429=$prefix; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $430=(($429)|0)!=0; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($430) { __label__ = 85; break; } else { __label__ = 84; break; } //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 84: 
      __label__ = 155; break; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 85: 
      __label__ = 86; break;
    case 86: 
      var $434=$cx; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $435=$prefix; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $436=$uri; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $437=__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i($434, $435, $436, 1); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$437; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $438=$ns; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $439=(($438)|0)!=0; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($439) { __label__ = 88; break; } else { __label__ = 87; break; } //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 87: 
      __label__ = 155; break; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 88: 
      var $442=$4; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $443=$ns; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $444=$443; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $445=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($442, $444, 360); //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $446=(($445)|0)!=-1; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($446) { __label__ = 93; break; } else { __label__ = 89; break; } //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 89: 
      var $448=$cx; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $449=$4; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $450=$4; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $451=(($450)|0); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $452=HEAP32[(($451)>>2)]; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $453=$ns; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $454=$453; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $455=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($448, $449, $452, $454); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $456=(($455)|0)!=0; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($456) { __label__ = 90; break; } else { __label__ = 91; break; } //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 90: 
      var $458=$cx; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $459=$xml; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $460=(($459+24)|0); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $461=$460; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $462=(($461+16)|0); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $463=$xml; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $464=(($463+24)|0); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $465=$464; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $466=(($465+16)|0); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $467=(($466)|0); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $468=HEAP32[(($467)>>2)]; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $469=$ns; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $470=$469; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $471=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($458, $462, $468, $470); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $472=(($471)|0)!=0; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($472) { __label__ = 92; break; } else { __label__ = 91; break; } //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 91: 
      __label__ = 155; break; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 92: 
      __label__ = 93; break; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 93: 
      var $476=$n; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $477=(($476-2)|0); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$477; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $478=$pn2; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $479=(($478+24)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $480=HEAP32[(($479)>>2)]; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $481=$pnp; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($481)>>2)]=$480; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 62; break; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 94: 
      var $483=$pn2; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $484=(($483+24)|0); //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pnp=$484; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 62; break; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 95: 
      var $486=$xml; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $487=(($486+24)|0); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $488=$487; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $489=(($488+16)|0); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray4trimEv($489); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $490=$3; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $491=(($490+32)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $492=$491; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $493=(($492)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $494=HEAP32[(($493)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$494; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $495=$2; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $496=$pn2; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $497=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $498=__ZL16ParseNodeToQNamePN2js6ParserEP11JSParseNodeP10JSXMLArrayi($495, $496, $497, 0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$498; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $499=$qn; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $500=(($499)|0)!=0; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($500) { __label__ = 97; break; } else { __label__ = 96; break; } //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 96: 
      __label__ = 155; break; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 97: 
      var $503=$qn; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $504=$xml; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $505=(($504+12)|0); //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($505)>>2)]=$503; //@line 1514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $506=$n; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $507=$506 >>> 1; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$507; //@line 1517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $508=$xml; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $509=(($508+24)|0); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $510=$509; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $511=(($510+32)|0); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $512=$cx; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $513=$n; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $514=__ZN10JSXMLArray11setCapacityEP9JSContextj($511, $512, $513); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($514) { __label__ = 99; break; } else { __label__ = 98; break; } //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 98: 
      __label__ = 155; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 99: 
      $i=0; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 100; break; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 100: 
      var $518=$pn2; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $519=(($518+24)|0); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $520=HEAP32[(($519)>>2)]; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$520; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $521=(($520)|0)!=0; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($521) { __label__ = 101; break; } else { __label__ = 123; break; } //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 101: 
      var $523=$2; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $524=$pn2; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $525=$4; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $526=__ZL16ParseNodeToQNamePN2js6ParserEP11JSParseNodeP10JSXMLArrayi($523, $524, $525, 1); //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$526; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $527=$qn; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $528=(($527)|0)!=0; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($528) { __label__ = 103; break; } else { __label__ = 102; break; } //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 102: 
      var $530=$i; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $531=$xml; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $532=(($531+24)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $533=$532; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $534=(($533+32)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $535=(($534)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($535)>>2)]=$530; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 155; break; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 103: 
      $j=0; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 104; break; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 104: 
      var $538=$j; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $539=$i; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $540=(($538)>>>0) < (($539)>>>0); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($540) { __label__ = 105; break; } else { __label__ = 115; break; } //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 105: 
      var $542=$j; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $543=$xml; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $544=(($543+24)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $545=$544; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $546=(($545+32)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $547=(($546)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $548=HEAPU32[(($547)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $549=(($542)>>>0) < (($548)>>>0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($549) { __label__ = 106; break; } else { __label__ = 107; break; } //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 106: 
      var $551=$j; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $552=$xml; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $553=(($552+24)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $554=$553; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $555=(($554+32)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $556=(($555+8)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $557=HEAP32[(($556)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $558=(($557+($551<<2))|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $559=HEAP32[(($558)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $560=$559; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $563 = $560;__label__ = 108; break; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 107: 
      var $563 = 0;__label__ = 108; break; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 108: 
      var $563; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attrj=$563; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $564=$attrj; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $565=(($564+12)|0); //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $566=HEAP32[(($565)>>2)]; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attrjqn=$566; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $567=$attrjqn; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $568=__ZNK8JSObject10getNameURIEv($567); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $569=$qn; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $570=__ZNK8JSObject10getNameURIEv($569); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $571=__ZN2js12EqualStringsEP14JSLinearStringS1_($568, $570); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($571) { __label__ = 109; break; } else { __label__ = 113; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 109: 
      var $573=$attrjqn; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $574=__ZNK8JSObject17getQNameLocalNameEv($573); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $575=$574; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $576=$qn; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $577=__ZNK8JSObject17getQNameLocalNameEv($576); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $578=$577; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $579=__ZN2js12EqualStringsEP14JSLinearStringS1_($575, $578); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($579) { __label__ = 110; break; } else { __label__ = 113; break; } //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 110: 
      var $581=$pn2; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $582=(($581+32)|0); //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $583=$582; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $584=(($583)|0); //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $585=$584; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $586=HEAP32[(($585)>>2)]; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $587=$586; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($v3, $587); //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSAutoByteStringC1Ev($bytes4); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $588=$cx; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $589=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($588, $v3, $bytes4, 0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $590=(($589)|0)!=0; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($590) { __label__ = 111; break; } else { __label__ = 112; break; } //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 111: 
      var $592=$cx; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $593=$2; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $594=(($593+40)|0); //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $595=$pn2; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $596=__ZNK16JSAutoByteString3ptrEv($bytes4); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $597=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($592, $594, $595, 0, 198, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$596,tempInt)); //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 112; break; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 112: 
      $6=3;
      __ZN16JSAutoByteStringD1Ev($bytes4); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest5=$6;
      if ((($cleanup_dest5)|0) == 3) {
        __label__ = 155; break;
      }
      else {
      __label__ = 157; break;
      }
      
    case 113: 
      __label__ = 114; break; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 114: 
      var $601=$j; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $602=(($601+1)|0); //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$602; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 104; break; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 115: 
      var $604=$pn2; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $605=(($604+24)|0); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $606=HEAP32[(($605)>>2)]; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $pn2=$606; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $607=$cx; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $608=__Z9js_NewXMLP9JSContext10JSXMLClass($607, 2); //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$608; //@line 1552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $609=$attr; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $610=(($609)|0)!=0; //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($610) { __label__ = 117; break; } else { __label__ = 116; break; } //@line 1553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 116: 
      __label__ = 155; break; //@line 1554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 117: 
      __label__ = 118; break; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 118: 
      var $614=$xml; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $615=(($614+24)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $616=$615; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $617=(($616+32)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $618=(($617)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $619=HEAPU32[(($618)>>2)]; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $620=$i; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $621=(($619)>>>0) <= (($620)>>>0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($621) { __label__ = 119; break; } else { __label__ = 120; break; } //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 119: 
      var $623=$i; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $624=(($623+1)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $625=$xml; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $626=(($625+24)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $627=$626; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $628=(($627+32)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $629=(($628)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($629)>>2)]=$624; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 120; break; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 120: 
      var $631=$attr; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $632=$631; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $633=$i; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $634=$xml; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $635=(($634+24)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $636=$635; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $637=(($636+32)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $638=(($637+8)|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $639=HEAP32[(($638)>>2)]; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $640=(($639+($633<<2))|0); //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($640)>>2)]=$632; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 121; break; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 121: 
      var $642=$xml; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $643=$attr; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $644=(($643+8)|0); //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($644)>>2)]=$642; //@line 1557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $645=$qn; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $646=$attr; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $647=(($646+12)|0); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($647)>>2)]=$645; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $648=$pn2; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $649=(($648+32)|0); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $650=$649; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $651=(($650)|0); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $652=$651; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $653=HEAP32[(($652)>>2)]; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $654=$653; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $655=$attr; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $656=(($655+24)|0); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $657=$656; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($657)>>2)]=$654; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 122; break; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 122: 
      var $659=$i; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $660=(($659+1)|0); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$660; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 100; break; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 123: 
      var $662=$3; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $663=__ZNK11JSParseNode6isKindEN2js9TokenKindE($662, 61); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($663) { __label__ = 124; break; } else { __label__ = 125; break; } //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 124: 
      var $665=$cx; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $666=$4; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $667=$length; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16XMLArrayTruncateP9JSContextP10JSXMLArrayj($665, $666, $667); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 125; break; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 125: 
      __label__ = 152; break; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 126: 
      var $670=$3; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $671=(($670+32)|0); //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $672=$671; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $673=(($672)|0); //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $674=$673; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $675=HEAP32[(($674)>>2)]; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $676=$675; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$676; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $677=$3; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $678=__ZNK11JSParseNode6isKindEN2js9TokenKindE($677, 67); //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($678) { __label__ = 127; break; } else { __label__ = 130; break; } //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 127: 
      var $680=$5; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $681=$680 & 1; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $682=(($681)|0)!=0; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($682) { __label__ = 128; break; } else { __label__ = 129; break; } //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 128: 
      __label__ = 153; break; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 129: 
      $xml_class=5; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 146; break; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 130: 
      var $686=$3; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $687=__ZNK11JSParseNode6isKindEN2js9TokenKindE($686, 69); //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($687) { __label__ = 131; break; } else { __label__ = 144; break; } //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 131: 
      var $689=$str; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $690=$689; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $691=__ZNK8JSString6lengthEv($690); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $692=(($691)|0)==3; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($692) { __label__ = 132; break; } else { __label__ = 136; break; } //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 132: 
      var $694=$str; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $695=__ZNK14JSLinearString5charsEv($694); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $696=__ZL12IS_XML_CHARSPKt($695); //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($696) { __label__ = 133; break; } else { __label__ = 136; break; } //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 133: 
      var $698=$str; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $699=$698; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($v6, $699); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSAutoByteStringC1Ev($bytes7); //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $700=$cx; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $701=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($700, $v6, $bytes7, 0); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $702=(($701)|0)!=0; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($702) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 134: 
      var $704=$cx; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $705=$2; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $706=(($705+40)|0); //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $707=$3; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $708=__ZNK16JSAutoByteString3ptrEv($bytes7); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $709=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($704, $706, $707, 0, 132, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$708,tempInt)); //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 135; break; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 135: 
      $6=3;
      __ZN16JSAutoByteStringD1Ev($bytes7); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest8=$6;
      if ((($cleanup_dest8)|0) == 3) {
        __label__ = 155; break;
      }
      else {
      __label__ = 157; break;
      }
      
    case 136: 
      var $712=$5; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $713=$712 & 2; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $714=(($713)|0)!=0; //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($714) { __label__ = 137; break; } else { __label__ = 138; break; } //@line 1589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 137: 
      __label__ = 153; break; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 138: 
      var $717=$2; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $718=$3; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $719=$4; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $720=__ZL16ParseNodeToQNamePN2js6ParserEP11JSParseNodeP10JSXMLArrayi($717, $718, $719, 0); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$720; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $721=$qn; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $722=(($721)|0)!=0; //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($722) { __label__ = 140; break; } else { __label__ = 139; break; } //@line 1593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 139: 
      __label__ = 155; break; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 140: 
      var $725=$3; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $726=(($725+32)|0); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $727=$726; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $728=(($727+4)|0); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $729=HEAP32[(($728)>>2)]; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $730=(($729)|0)!=0; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($730) { __label__ = 141; break; } else { __label__ = 142; break; } //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 141: 
      var $732=$3; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $733=(($732+32)|0); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $734=$733; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $735=(($734+4)|0); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $736=HEAP32[(($735)>>2)]; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $744 = $736;__label__ = 143; break; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 142: 
      var $738=$cx; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $739=(($738+52)|0); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $740=HEAP32[(($739)>>2)]; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $741=(($740+144136)|0); //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $742=HEAP32[(($741)>>2)]; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $744 = $742;__label__ = 143; break; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 143: 
      var $744; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $745=$744; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$745; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml_class=3; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 145; break; //@line 1598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 144: 
      $xml_class=4; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 145; break;
    case 145: 
      __label__ = 146; break;
    case 146: 
      var $749=$cx; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $750=$xml_class; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $751=__Z9js_NewXMLP9JSContext10JSXMLClass($749, $750); //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$751; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $752=$xml; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $753=(($752)|0)!=0; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($753) { __label__ = 148; break; } else { __label__ = 147; break; } //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 147: 
      __label__ = 155; break; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 148: 
      var $756=$qn; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $757=$xml; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $758=(($757+12)|0); //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($758)>>2)]=$756; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $759=$3; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $760=__ZNK11JSParseNode6isKindEN2js9TokenKindE($759, 65); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($760) { __label__ = 149; break; } else { __label__ = 150; break; } //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 149: 
      var $762=$xml; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $763=(($762+20)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $764=HEAP32[(($763)>>2)]; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $765=$764 | 1; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($763)>>2)]=$765; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 150; break; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 150: 
      var $767=$str; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $768=$767; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $769=$xml; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $770=(($769+24)|0); //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $771=$770; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($771)>>2)]=$768; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 152; break; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 151: 
      __label__ = 154; break; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 152: 
      var $774=$cx; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $775=$xml; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $776=$775; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextPv($774, $776); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $777=$xml; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$777; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 156; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 153: 
      var $779=$cx; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL22js_LeaveLocalRootScopeP9JSContext($779); //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 156; break; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 154: 
      var $781=$cx; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $782=$2; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $783=(($782+40)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $784=$3; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $785=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($781, $783, $784, 0, 170, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 155; break; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 155: 
      var $787=$cx; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL22js_LeaveLocalRootScopeP9JSContext($787); //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 156; break; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 156: 
      var $789=$1; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $789; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 157: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14ParseNodeToXMLPN2js6ParserEP11JSParseNodeP10JSXMLArrayj["X"]=1;

function _JS_ASSERT_STRING_IS_FLAT($str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 4118 "./jsapi.h"
  var $3=$2; //@line 4118 "./jsapi.h"
  ;
  return $3; //@line 4118 "./jsapi.h"
}


function __ZL12IS_XML_CHARSPKt($chars) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$chars;
      var $2=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $3=(($2)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=HEAPU16[(($3)>>1)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4)&65535); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5)|0)==120; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $8=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAPU16[(($9)>>1)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)&65535); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)==88; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { var $40 = 0;__label__ = 8; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+2)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAPU16[(($15)>>1)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)&65535); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)==109; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+2)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=HEAPU16[(($21)>>1)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)&65535); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)==77; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 5; break; } else { var $40 = 0;__label__ = 8; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26+4)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=HEAPU16[(($27)>>1)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)&65535); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)==108; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { var $38 = 1;__label__ = 7; break; } else { __label__ = 6; break; } //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $32=$1; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+4)|0); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAPU16[(($33)>>1)]; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)&65535); //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0)==76; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38 = $36;__label__ = 7; break; //@line 1136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $38;
      var $40 = $38;__label__ = 8; break;
    case 8: 
      var $40;
      ;
      return $40; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16HAS_NS_AFTER_XMLPKt($chars) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$chars;
      var $2=$1; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $3=(($2+6)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=HEAPU16[(($3)>>1)]; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4)&65535); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5)|0)==110; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $8=$1; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+6)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAPU16[(($9)>>1)]; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)&65535); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)==78; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { var $28 = 0;__label__ = 6; break; } //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$1; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+8)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAPU16[(($15)>>1)]; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)&65535); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)==115; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { var $26 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$1; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+8)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=HEAPU16[(($21)>>1)]; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)&65535); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)==83; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26 = $24;__label__ = 5; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26;
      var $28 = $26;__label__ = 6; break;
    case 6: 
      var $28;
      ;
      return $28; //@line 1146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18AutoNamespaceArrayD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js18AutoNamespaceArrayD2Ev($2); //@line 108 "./jscntxtinlines.h"
  ;
  return; //@line 110 "./jscntxtinlines.h"
}


function __ZN2js18AutoNamespaceArrayD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 109 "./jscntxtinlines.h"
  var $4=$2; //@line 109 "./jscntxtinlines.h"
  var $5=(($4+8)|0); //@line 109 "./jscntxtinlines.h"
  var $6=HEAP32[(($5)>>2)]; //@line 109 "./jscntxtinlines.h"
  __ZN10JSXMLArray6finishEP9JSContext($3, $6); //@line 109 "./jscntxtinlines.h"
  var $7=$2; //@line 110 "./jscntxtinlines.h"
  __ZN2js12AutoGCRooterD2Ev($7); //@line 110 "./jscntxtinlines.h"
  ;
  return; //@line 110 "./jscntxtinlines.h"
}


function __ZL18ChompXMLWhitespaceP9JSContextP8JSString($cx, $str) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $length;
      var $newlength;
      var $offset;
      var $cp;
      var $start;
      var $end;
      var $c;
      $2=$cx;
      $3=$str;
      var $4=$3; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=__ZNK8JSString6lengthEv($4); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$5; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$2; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZN8JSString8getCharsEP9JSContext($6, $7); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $start=$8; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$start; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$start; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$13; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$cp; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$length; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($14+($15<<1))|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $end=$16; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$cp; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$end; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($18)>>>0) < (($19)>>>0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$cp; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP16[(($22)>>1)]; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $c=$23; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$c; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZN2js7unicode10IsXMLSpaceEt($24); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __label__ = 9; break; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 8; break; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $29=$cp; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29+2)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$30; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 10; break; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $33=$end; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$cp; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($33)>>>0) > (($34)>>>0); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $37=$end; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37-2)|0); //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP16[(($38)>>1)]; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $c=$39; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$c; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=__ZN2js7unicode10IsXMLSpaceEt($40); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 14; break; //@line 1276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $44=$end; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44-2)|0); //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $end=$45; //@line 1277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $47=$end; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$cp; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$47; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$48; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($49-$50)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(((($51)|0)/2)&-1); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newlength=$52; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$newlength; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$length; //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($53)|0)==(($54)|0); //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($55) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $57=$3; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$57; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 1281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $59=$cp; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$start; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$59; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$60; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($61-$62)|0); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(((($63)|0)/2)&-1); //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $offset=$64; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$2; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$3; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$offset; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$newlength; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=__Z21js_NewDependentStringP9JSContextP8JSStringjj($65, $66, $67, $68); //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$69; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$70; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $72=$1; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $72; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18ChompXMLWhitespaceP9JSContextP8JSString["X"]=1;

function __ZL16XMLArrayTruncateP9JSContextP10JSXMLArrayj($cx, $array, $length) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $vector;
      $1=$cx;
      $2=$array;
      $3=$length;
      var $4=$3; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$2; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5)|0); //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAPU32[(($6)>>2)]; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($4)>>>0) >= (($7)>>>0); //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      __label__ = 13; break; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $11=$3; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)==0; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $14=$2; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+8)|0); //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$2; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+8)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($19, $23); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $vector=0; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $26=$1; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$2; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+8)|0); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$29; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$3; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=((($31<<2))|0); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=__ZN9JSContext8realloc_EPvj($26, $30, $32); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$33; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vector=$34; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$vector; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0)!=0; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 13; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $40=$2; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=HEAPU32[(($41)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$3; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($42)>>>0) > (($43)>>>0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $46=$3; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$2; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47)|0); //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $50=$3; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$2; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+4)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($52)>>2)]=$50; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$vector; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$2; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54+8)|0); //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($55)>>2)]=$53; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      ;
      return; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16XMLArrayTruncateP9JSContextP10JSXMLArrayj["X"]=1;

function __ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($array, $elt, $identity) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $vector;
      var $i;
      var $n;
      $2=$array;
      $3=$elt;
      $4=$identity;
      var $5=$2; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5+8)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vector=$7; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$4; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $i=0; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$13; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$i; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$n; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($15)>>>0) < (($16)>>>0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$4; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$i; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$vector; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+($20<<2))|0); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$3; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=FUNCTION_TABLE[$19]($23, $24); //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $28=$i; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$28; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __label__ = 7; break; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $31=$i; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+1)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$32; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 16; break; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $i=0; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$2; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$37; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $39=$i; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$n; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($39)>>>0) < (($40)>>>0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $43=$i; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$vector; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44+($43<<2))|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$3; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($46)|0)==(($47)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $50=$i; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$50; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 14; break; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $53=$i; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+1)|0); //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$54; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      $1=-1; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $58=$1; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $58; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E["X"]=1;

function __ZL18namespace_identityPKvS0_($a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nsa;
      var $nsb;
      var $prefixa;
      var $prefixb;
      $2=$a;
      $3=$b;
      var $4=$2; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsa=$5; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$6; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsb=$7; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$nsa; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZNK8JSObject13getNamePrefixEv($8); //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefixa=$9; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$nsb; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZNK8JSObject13getNamePrefixEv($10); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefixb=$11; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$prefixa; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$prefixb; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$prefixa; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$prefixb; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZN2js12EqualStringsEP14JSLinearStringS1_($18, $19); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 10; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $24=$prefixa; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)!=0; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $27=$prefixb; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)!=0; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $32=$nsa; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=__ZNK8JSObject10getNameURIEv($32); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$nsb; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=__ZNK8JSObject10getNameURIEv($34); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZN2js12EqualStringsEP14JSLinearStringS1_($33, $35); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)&1); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$37; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $39=$1; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $39; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18namespace_identityPKvS0_["X"]=1;

function __ZL16ParseNodeToQNamePN2js6ParserEP11JSParseNodeP10JSXMLArrayi($parser, $pn, $inScopeNSes, $isAttributeName) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $cx;
      var $uri;
      var $prefix;
      var $length;
      var $offset;
      var $start;
      var $limit;
      var $colon;
      var $n;
      var $ns;
      var $nsprefix;
      var $str;
      var $localName;
      var $v=__stackBase__;
      var $bytes=__stackBase__+8;
      var $6;
      $2=$parser;
      $3=$pn;
      $4=$inScopeNSes;
      $5=$isAttributeName;
      var $7=$2; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+12)|0); //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cx=$9; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$3; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+32)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$11; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$13; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$15; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$str; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$16; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__ZNK14JSLinearString5charsEv($17); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $start=$18; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$str; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$19; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSString6lengthEv($20); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$21; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$cx; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+52)|0); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24+144136)|0); //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$26; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$27; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$start; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$length; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($28+($29<<1))|0); //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $limit=$30; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$start; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$limit; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=__Z15js_strchr_limitPKttS0_($31, 58, $32); //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $colon=$33; //@line 1180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$colon; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 2; break; } else { __label__ = 35; break; } //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $37=$colon; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$start; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$37; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$38; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($39-$40)|0); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(((($41)|0)/2)&-1); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $offset=$42; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$cx; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$str; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$offset; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=__Z21js_NewDependentStringP9JSContextP8JSStringjj($43, $45, 0, $46); //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$47; //@line 1183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$prefix; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $1=0; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break; //@line 1185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $52=$offset; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)>>>0) >= 3; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 5; break; } else { __label__ = 18; break; } //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $55=$start; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZL12IS_XML_CHARSPKt($55); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 6; break; } else { __label__ = 18; break; } //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $58=$offset; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)==3; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $61=$cx; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=_JS_InternString($61, ((STRING_TABLE.__ZL17xml_namespace_str)|0)); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=_JS_ASSERT_STRING_IS_FLAT($62); //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$63; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$64; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$uri; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65)|0)!=0; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($66) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 17; break; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $70=$offset; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)==5; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $73=$start; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=__ZL16HAS_NS_AFTER_XMLPKt($73); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $76=$cx; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=_JS_InternString($76, ((STRING_TABLE.__ZL19xmlns_namespace_str)|0)); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=_JS_ASSERT_STRING_IS_FLAT($77); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$78; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$79; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$uri; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80)|0)!=0; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 16; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $uri=0; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 28; break; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $uri=0; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$4; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$90; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $92=$n; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92)|0)!=0; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($93) { __label__ = 20; break; } else { __label__ = 27; break; } //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $95=$n; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95-1)|0); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$96; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$n; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$4; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=(($98)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=HEAPU32[(($99)>>2)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($97)>>>0) < (($100)>>>0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($101) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $103=$n; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$4; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104+8)|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=HEAP32[(($105)>>2)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106+($103<<2))|0); //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$108; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112 = $109;__label__ = 23; break; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $112 = 0;__label__ = 23; break; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $112; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$112; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$ns; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=__ZNK8JSObject13getNamePrefixEv($113); //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsprefix=$114; //@line 1205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$nsprefix; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($115)|0)!=0; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($116) { __label__ = 24; break; } else { __label__ = 26; break; } //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $118=$nsprefix; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$prefix; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=__ZN2js12EqualStringsEP14JSLinearStringS1_($118, $119); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $122=$ns; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=__ZNK8JSObject10getNameURIEv($122); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$123; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 19; break; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      __label__ = 28; break;
    case 28: 
      var $127=$uri; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($127)|0)!=0; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($128) { __label__ = 32; break; } else { __label__ = 29; break; } //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $130=$prefix; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=$130; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($v, $131); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$2; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=(($132+12)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($134, $v, $bytes, 0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($135)|0)!=0; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($136) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $138=$2; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138+12)|0); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=HEAP32[(($139)>>2)]; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=$2; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=(($141+40)|0); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=$3; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz($140, $142, $143, 0, 177, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$144,tempInt)); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      $1=0; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 1221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break;
    case 32: 
      var $148=$2; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=(($148+12)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=$colon; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=(($151+2)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$length; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$offset; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154+1)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($153-$155)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE($150, $152, $156, 0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $localName=$157; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=$localName; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($158)|0)!=0; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($159) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      $1=0; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      __label__ = 51; break; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $163=$5; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=(($163)|0)!=0; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($164) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $166=$uri; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$166; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break; //@line 1233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $168=$4; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=(($168)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$170; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $172=$n; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=(($172)|0)!=0; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($173) { __label__ = 39; break; } else { __label__ = 46; break; } //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $175=$n; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=(($175-1)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$176; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=$n; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=$4; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=(($178)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=HEAPU32[(($179)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181=(($177)>>>0) < (($180)>>>0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($181) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $183=$n; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=$4; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=(($184+8)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=HEAP32[(($185)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=(($186+($183<<2))|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $188=HEAP32[(($187)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $189=$188; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $192 = $189;__label__ = 42; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $192 = 0;__label__ = 42; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $192; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$192; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=$ns; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=__ZNK8JSObject13getNamePrefixEv($193); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsprefix=$194; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=$nsprefix; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $196=(($195)|0)!=0; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($196) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $198=$nsprefix; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $199=$198; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $200=__ZNK8JSString5emptyEv($199); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($200) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $202=$ns; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $203=__ZNK8JSObject10getNameURIEv($202); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$203; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 1245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      __label__ = 38; break; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      var $206=$uri; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=$206; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=__ZNK8JSString5emptyEv($207); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($208) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      var $210=$2; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=(($210+12)|0); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $212=HEAP32[(($211)>>2)]; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $213=(($212+52)|0); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $215=(($214+144136)|0); //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=HEAP32[(($215)>>2)]; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219 = $216;__label__ = 49; break; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      var $219 = 0;__label__ = 49; break; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $219; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $220=$219; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$220; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 50; break;
    case 50: 
      var $222=$str; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $localName=$222; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 51; break;
    case 51: 
      var $224=$2; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $225=(($224+12)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $226=HEAP32[(($225)>>2)]; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $227=$uri; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $228=$prefix; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $229=$localName; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $230=__ZL11NewXMLQNameP9JSContextP14JSLinearStringS2_P6JSAtom($226, $227, $228, $229); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$230; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 52: 
      var $232=$1; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $232; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16ParseNodeToQNamePN2js6ParserEP11JSParseNodeP10JSXMLArrayi["X"]=1;

function _JSVAL_TO_STRING_IMPL4397($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "./jsval.h"
  var $2=(($1)|0); //@line 484 "./jsval.h"
  var $3=$2; //@line 484 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "./jsval.h"
}


function _JSVAL_IS_UNDEFINED_IMPL4398($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "./jsval.h"
  var $2=(($1+4)|0); //@line 462 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "./jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "./jsval.h"
  var $5=(($4)&1); //@line 462 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "./jsval.h"
}


function _JSVAL_IS_NULL_IMPL4400($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "./jsval.h"
  var $2=(($1+4)|0); //@line 560 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "./jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "./jsval.h"
  var $5=(($4)&1); //@line 560 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "./jsval.h"
}


function __ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji($cx, $array, $index, $compress) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $length;
      var $vector;
      var $elt;
      var $cursor;
      $2=$cx;
      $3=$array;
      $4=$index;
      $5=$compress;
      var $6=$3; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$8; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$length; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($9)>>>0) >= (($10)>>>0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$3; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+8)|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vector=$16; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$vector; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+($17<<2))|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $elt=$20; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$5; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0)!=0; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 5; break; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$4; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25+1)|0); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=$26; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$length; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($26)>>>0) < (($27)>>>0); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $30=$4; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$vector; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+($30<<2))|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$4; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34-1)|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$vector; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+($35<<2))|0); //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($37)>>2)]=$33; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $39=$length; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39-1)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$3; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($42)>>2)]=$40; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$3; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+4)|0); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$45 & 2147483647; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$3; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47+4)|0); //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($48)>>2)]=$46; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $50=$4; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$vector; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+($50<<2))|0); //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($52)>>2)]=0; //@line 1049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break;
    case 9: 
      var $54=$3; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54+12)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$56; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $58=$cursor; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)!=0; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $61=$cursor; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61+4)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=HEAPU32[(($62)>>2)]; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$4; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($63)>>>0) > (($64)>>>0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($65) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $67=$cursor; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67+4)|0); //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69-1)|0); //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($68)>>2)]=$70; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 14; break; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $73=$cursor; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73+8)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$75; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $77=$elt; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$77; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $79=$1; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $79; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji["X"]=1;

function __ZNK8JSObject13getNamePrefixEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $v;
      $1=$this;
      var $2=$1;
      var $3=__ZNK8JSObject7getSlotEj($2, 0); //@line 683 "./jsobjinlines.h"
      $v=$3; //@line 683 "./jsobjinlines.h"
      var $4=$v; //@line 684 "./jsobjinlines.h"
      var $5=__ZNK2JS5Value11isUndefinedEv($4); //@line 684 "./jsobjinlines.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 684 "./jsobjinlines.h"
    case 2: 
      var $7=$v; //@line 684 "./jsobjinlines.h"
      var $8=__ZNK2JS5Value8toStringEv($7); //@line 684 "./jsobjinlines.h"
      var $9=__ZN8JSString8asLinearEv($8); //@line 684 "./jsobjinlines.h"
      var $12 = $9;__label__ = 4; break; //@line 684 "./jsobjinlines.h"
    case 3: 
      var $12 = 0;__label__ = 4; break; //@line 684 "./jsobjinlines.h"
    case 4: 
      var $12; //@line 684 "./jsobjinlines.h"
      ;
      return $12; //@line 684 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js18AutoNamespaceArrayC2EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$3; //@line 104 "./jscntxtinlines.h"
  var $5=$2; //@line 104 "./jscntxtinlines.h"
  __ZN2js12AutoGCRooterC2EP9JSContexti($4, $5, -8); //@line 104 "./jscntxtinlines.h"
  var $6=(($3+12)|0); //@line 104 "./jscntxtinlines.h"
  var $7=(($3+12)|0); //@line 105 "./jscntxtinlines.h"
  __ZN10JSXMLArray4initEv($7); //@line 105 "./jscntxtinlines.h"
  ;
  return; //@line 106 "./jscntxtinlines.h"
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "./jsapi.h"
  var $5=$agg_result; //@line 822 "./jsapi.h"
  var $6=$4; //@line 822 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "./jsapi.h"
}


function __ZN9JSContext7delete_I11JSXMLFilterEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN11JSXMLFilterD1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11JSXMLFilterD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN11JSXMLFilterD2Ev($2); //@line 7753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return; //@line 7753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZN11JSXMLFilterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 7753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZN16JSXMLArrayCursorD1Ev($3); //@line 7753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return; //@line 7753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZN16JSXMLArrayCursorD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN16JSXMLArrayCursorD2Ev($2); //@line 94 "./jsxml.h"
  ;
  return; //@line 94 "./jsxml.h"
}


function __ZN16JSXMLArrayCursorD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN16JSXMLArrayCursor10disconnectEv($2); //@line 94 "./jsxml.h"
  ;
  return; //@line 94 "./jsxml.h"
}


function __ZL19DeleteNamedPropertyP9JSContextP5JSXMLP8JSObjecti($cx, $xml, $nameqn, $attributes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $array;
      var $index;
      var $deleteCount;
      var $kid;
      var $matcher;
      $1=$cx;
      $2=$xml;
      $3=$nameqn;
      $4=$attributes;
      var $5=$2; //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5+16)|0); //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)==0; //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 3568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$2; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+24)|0); //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$11; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0); //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $array=$13; //@line 3569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $index=0; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$index; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$array; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0); //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAPU32[(($17)>>2)]; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($15)>>>0) < (($18)>>>0); //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 12; break; } //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $21=$index; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$array; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0); //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAPU32[(($23)>>2)]; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($21)>>>0) < (($24)>>>0); //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $27=$index; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$array; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+8)|0); //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+($27<<2))|0); //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$32; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36 = $33;__label__ = 7; break; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $36 = 0;__label__ = 7; break; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $36; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$36; //@line 3571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$kid; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)!=0; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $40=$kid; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+16)|0); //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)|0)==1; //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($43) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 3572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $45=$1; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$kid; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$3; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$4; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL19DeleteNamedPropertyP9JSContextP5JSXMLP8JSObjecti($45, $46, $47, $48); //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 3573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 11; break; //@line 3574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $51=$index; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+1)|0); //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $index=$52; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 3570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 36; break; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $55=$2; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+16)|0); //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0)==1; //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 14; break; } else { __label__ = 35; break; } //@line 3575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $60=$4; //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0)!=0; //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 3576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $63=$2; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63+24)|0); //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$64; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+32)|0); //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $array=$66; //@line 3577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matcher=356; //@line 3578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 3579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $68=$2; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68+24)|0); //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$69; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0); //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $array=$71; //@line 3580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matcher=358; //@line 3581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break;
    case 17: 
      $deleteCount=0; //@line 3583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $index=0; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $74=$index; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$array; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0); //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=HEAPU32[(($76)>>2)]; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($74)>>>0) < (($77)>>>0); //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 34; break; } //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $80=$index; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$array; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=(($81)|0); //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=HEAPU32[(($82)>>2)]; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($80)>>>0) < (($83)>>>0); //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $86=$index; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$array; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87+8)|0); //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89+($86<<2))|0); //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$91; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95 = $92;__label__ = 22; break; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $95 = 0;__label__ = 22; break; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $95; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$95; //@line 3585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$kid; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96)|0)!=0; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($97) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $99=$matcher; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$3; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$kid; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=FUNCTION_TABLE[$99]($100, $101); //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102)|0)!=0; //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($103) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 3586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $105=$kid; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105+8)|0); //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($106)>>2)]=0; //@line 3587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$1; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$array; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$index; //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji($107, $108, $109, 0); //@line 3588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$deleteCount; //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111+1)|0); //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $deleteCount=$112; //@line 3589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $114=$deleteCount; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114)|0)!=0; //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($115) { __label__ = 26; break; } else { __label__ = 31; break; } //@line 3590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 27; break; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $118=$array; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=(($118)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=HEAPU32[(($119)>>2)]; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=$index; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$deleteCount; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($121-$122)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($120)>>>0) <= (($123)>>>0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($124) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $126=$index; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=$deleteCount; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($126-$127)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128+1)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$array; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($131)>>2)]=$129; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $133=$index; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$array; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134+8)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136+($133<<2))|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=$index; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$deleteCount; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($139-$140)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=$array; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142+8)|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=(($144+($141<<2))|0); //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($145)>>2)]=$138; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 30; break; //@line 3591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      __label__ = 31; break; //@line 3594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      __label__ = 32; break;
    case 32: 
      __label__ = 33; break; //@line 3595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $150=$index; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=(($150+1)|0); //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $index=$151; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 3584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $153=$deleteCount; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$array; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154)|0); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=HEAP32[(($155)>>2)]; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=(($156-$153)|0); //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($155)>>2)]=$157; //@line 3596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 3597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      __label__ = 36; break;
    case 36: 
      ;
      return; //@line 3598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19DeleteNamedPropertyP9JSContextP5JSXMLP8JSObjecti["X"]=1;

function __ZL13DeleteByIndexP9JSContextP5JSXMLj($cx, $xml, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $kid;
      $1=$cx;
      $2=$xml;
      $3=$index;
      var $4=$2; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4+16)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=HEAPU32[(($5)>>2)]; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)>>>0) < 2; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 9; break; } //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $9=$3; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$2; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+24)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$11; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAPU32[(($14)>>2)]; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($9)>>>0) < (($15)>>>0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$3; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$2; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19+24)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$20; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAPU32[(($23)>>2)]; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($18)>>>0) < (($24)>>>0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27=$3; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$2; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+24)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$29; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+8)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+($27<<2))|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39 = $36;__label__ = 6; break; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $39 = 0;__label__ = 6; break; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $39; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$39; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$kid; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)!=0; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $43=$kid; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+8)|0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($44)>>2)]=0; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $46=$1; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$2; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47+24)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$48; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$3; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji($46, $50, $51, 1); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      ;
      return; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13DeleteByIndexP9JSContextP5JSXMLj["X"]=1;

function __ZL13MatchAttrNameP8JSObjectP5JSXML($nameqn, $attr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $attrqn;
      var $localName;
      var $uri;
      $1=$nameqn;
      $2=$attr;
      var $3=$2; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=(($3+12)|0); //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attrqn=$5; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$1; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZNK8JSObject17getQNameLocalNameEv($6); //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$7; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $localName=$8; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$localName; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$9; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZNK8JSString6lengthEv($10); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)==1; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $14=$localName; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK14JSLinearString5charsEv($14); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=HEAPU16[(($15)>>1)]; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)&65535); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)==42; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $20=$attrqn; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZNK8JSObject17getQNameLocalNameEv($20); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$localName; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__ZN2js12EqualStringsEP14JSLinearStringS1_($22, $23); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 4; break; } else { var $37 = 0;__label__ = 7; break; } //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $26=$1; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=__ZNK8JSObject10getNameURIEv($26); //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$27; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)!=0; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 5; break; } else { var $35 = 1;__label__ = 6; break; } //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $30=$attrqn; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__ZNK8JSObject10getNameURIEv($30); //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$uri; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=__ZN2js12EqualStringsEP14JSLinearStringS1_($31, $32); //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35 = $33;__label__ = 6; break; //@line 3177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $35;
      var $37 = $35;__label__ = 7; break;
    case 7: 
      var $37;
      var $38=(($37)&1);
      ;
      return $38; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13MatchElemNameP8JSObjectP5JSXML($nameqn, $elem) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $localName;
      var $uri;
      $1=$nameqn;
      $2=$elem;
      var $3=$1; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $4=__ZNK8JSObject17getQNameLocalNameEv($3); //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $localName=$5; //@line 3183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$localName; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$6; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZNK8JSString6lengthEv($7); //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)==1; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=$localName; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZNK14JSLinearString5charsEv($11); //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAPU16[(($12)>>1)]; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)&65535); //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)==42; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$2; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17+16)|0); //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0)==1; //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 4; break; } else { var $50 = 0;__label__ = 10; break; } //@line 3186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $22=$2; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+12)|0); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZNK8JSObject17getQNameLocalNameEv($24); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$25; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$localName; //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZN2js12EqualStringsEP14JSLinearStringS1_($26, $27); //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 5; break; } else { var $50 = 0;__label__ = 10; break; } //@line 3188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $30=$1; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__ZNK8JSObject10getNameURIEv($30); //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$31; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 6; break; } else { var $48 = 1;__label__ = 9; break; } //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $34=$2; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+16)|0); //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0)==1; //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 7; break; } else { var $46 = 0;__label__ = 8; break; } //@line 3189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $39=$2; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+12)|0); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=__ZNK8JSObject10getNameURIEv($41); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$uri; //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=__ZN2js12EqualStringsEP14JSLinearStringS1_($42, $43); //@line 3191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46 = $44;__label__ = 8; break;
    case 8: 
      var $46;
      var $48 = $46;__label__ = 9; break;
    case 9: 
      var $48;
      var $50 = $48;__label__ = 10; break;
    case 10: 
      var $50;
      var $51=(($50)&1);
      ;
      return $51; //@line 3192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13MatchElemNameP8JSObjectP5JSXML["X"]=1;

function _JSID_IS_INT4401($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "./jsapi.h"
  var $3=$2 & 1; //@line 1522 "./jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "./jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "./jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "./jsapi.h"
  var $7=(($6)&1); //@line 1522 "./jsapi.h"
  ;
  return $7; //@line 1522 "./jsapi.h"
}


function _JSID_TO_INT4402($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "./jsapi.h"
  var $3=$2 >> 1; //@line 1529 "./jsapi.h"
  ;
  return $3; //@line 1529 "./jsapi.h"
}


function _JSID_IS_STRING4403($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "./jsapi.h"
  var $3=$2 & 7; //@line 1482 "./jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "./jsapi.h"
  var $5=(($4)&1); //@line 1482 "./jsapi.h"
  ;
  return $5; //@line 1482 "./jsapi.h"
}


function _JSID_TO_STRING4405($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "./jsapi.h"
  var $3=$2; //@line 1489 "./jsapi.h"
  ;
  return $3; //@line 1489 "./jsapi.h"
}


function __ZN2js16AutoObjectRooter9setObjectEP8JSObject($this, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$obj;
  var $3=$1;
  var $4=$2; //@line 1571 "./jscntxt.h"
  var $5=(($3+12)|0); //@line 1571 "./jscntxt.h"
  HEAP32[(($5)>>2)]=$4; //@line 1571 "./jscntxt.h"
  ;
  return; //@line 1572 "./jscntxt.h"
}


function __ZL9ToXMLNameP9JSContextN2JS5ValueEPi($cx, $0, $funidp) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $atomizedName;
      var $name;
      var $obj;
      var $clasp;
      var $index=__stackBase__+8;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $9=__stackBase__+44;
      var $10=__stackBase__+52;
      var $bytes=__stackBase__+60;
      var $11=__stackBase__+64;
      var $12;
      $3=$cx;
      var $13=$v;
      var $14=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)];
      $4=$funidp;
      var $15=$5; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$v; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=_JSVAL_IS_STRING4320($5); //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=0; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $20=$6; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$v; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=_JSVAL_TO_STRING4321($6); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $name=$22; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $24=$7; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$v; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=_JSVAL_IS_PRIMITIVE4303($7); //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0)!=0; //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $29=$3; //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16ReportBadXMLNameP9JSContextRKN2JS5ValueE($29, $v); //@line 2844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $31=$8; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$v; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=_JSVAL_TO_OBJECT4304($8); //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$33; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$obj; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=__ZNK8JSObject8getClassEv($34); //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $clasp=$35; //@line 2849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$clasp; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $39=$clasp; //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0)==((__ZN2js10QNameClassE)|0); //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 25; break; //@line 2851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $43=$clasp; //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)==((__ZN2js12AnyNameClassE)|0); //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $46=$3; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46+52)|0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48+209948)|0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49+464)|0); //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$51; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $name=$52; //@line 2853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 2854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $54=$3; //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($54, $v); //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $name=$55; //@line 2856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$name; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)|0)!=0; //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $2=0; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      var $61=$3; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$name; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($61, $62, 0); //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $atomizedName=$63; //@line 2861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$atomizedName; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0)!=0; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $2=0; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $68=$atomizedName; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=__ZL12ATOM_TO_JSIDP6JSAtom4336($68); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=__Z12js_IdIsIndexiPj($69, $index); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=0; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 28; break; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $74=$atomizedName; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$74; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=__ZNK14JSLinearString5charsEv($75); //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=HEAPU16[(($76)>>1)]; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)&65535); //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($78)|0)==64; //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($79) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 2881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $81=$3; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$name; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$name; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=__ZNK8JSString6lengthEv($83); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84-1)|0); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=__Z21js_NewDependentStringP9JSContextP8JSStringjj($81, $82, 1, $85); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$86; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $name=$87; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$name; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0)!=0; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($89) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $2=0; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $92=$4; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($92)>>2)]=2; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$3; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$name; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($9, $94); //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=__ZL15ToAttributeNameP9JSContextN2JS5ValueE($93, $9); //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$95; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 22; break; //@line 2887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $98=$name; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($10, $98); //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$v; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$10; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($99)>>2)]=HEAP32[(($100)>>2)];HEAP32[(($99+4)>>2)]=HEAP32[(($100+4)>>2)]; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$3; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($101, __ZN2js10QNameClassE, 0, 0, 1, $v); //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$102; //@line 2891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$obj; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103)|0)!=0; //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($104) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 2892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $2=0; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      __label__ = 25; break; //@line 2893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $108=$obj; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$4; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$3; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=__ZL29GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext($108, $109, $110); //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($111) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $113=$4; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($113)>>2)]=2; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 2897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $115=$obj; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$115; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 2901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=$3; //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=$name; //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($11, $118); //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($117, $11, $bytes, 0); //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119)|0)!=0; //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $122=$3; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($122, 2, 0, 179, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$123,tempInt)); //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 30; break; //@line 2903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      $2=0; //@line 2904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $12=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break;
    case 31: 
      var $126=$2; //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $126; //@line 2905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9ToXMLNameP9JSContextN2JS5ValueEPi["X"]=1;

function __ZL17DescendantsHelperP9JSContextP5JSXMLP8JSObjectS2_($cx, $xml, $nameqn, $list) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      var $n;
      var $attr;
      var $kid;
      var $stackDummy_=__stackBase__;
      $2=$cx;
      $3=$xml;
      $4=$nameqn;
      $5=$list;
      __label__ = 2; break; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $7=$stackDummy_; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$2; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+48)|0); //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($7)>>>0) < (($10)>>>0); //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$2; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __Z21js_ReportOverRecursedP9JSContext($13); //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 40; break; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 5; break; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $16=$3; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)==1; //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 20; break; } //@line 3203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $21=$4; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=__ZNK8JSObject8getClassEv($21); //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 20; break; } //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $i=0; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$3; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25+24)|0); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$26; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+32)|0); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$30; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $32=$i; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$n; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($32)>>>0) < (($33)>>>0); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 19; break; } //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $36=$i; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$3; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+24)|0); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$38; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+32)|0); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=HEAPU32[(($41)>>2)]; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($36)>>>0) < (($42)>>>0); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($43) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $45=$i; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$3; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46+24)|0); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$47; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48+32)|0); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49+8)|0); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=HEAP32[(($50)>>2)]; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+($45<<2))|0); //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$53; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57 = $54;__label__ = 12; break; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $57 = 0;__label__ = 12; break; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $57; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$57; //@line 3206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$attr; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)!=0; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $61=$4; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$attr; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__ZL13MatchAttrNameP8JSObjectP5JSXML($61, $62); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)|0)!=0; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($64) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $66=$2; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$5; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$attr; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=__ZL6AppendP9JSContextP5JSXMLS2_($66, $67, $68); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69)|0)!=0; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($70) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $1=0; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 40; break; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 18; break; //@line 3211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $75=$i; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75+1)|0); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$76; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 20; break; //@line 3212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $i=0; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$3; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79+16)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=HEAPU32[(($80)>>2)]; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=(($81)>>>0) < 2; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($82) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $84=$3; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+24)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$85; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=(($86)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92 = $89;__label__ = 23; break; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $92 = 0;__label__ = 23; break; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $92; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$92; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $94=$i; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$n; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($94)>>>0) < (($95)>>>0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($96) { __label__ = 25; break; } else { __label__ = 39; break; } //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $98=$i; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$3; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99+24)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$100; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=HEAPU32[(($103)>>2)]; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($98)>>>0) < (($104)>>>0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($105) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $107=$i; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$3; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108+24)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$109; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111+8)|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113+($107<<2))|0); //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$115; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119 = $116;__label__ = 28; break; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $119 = 0;__label__ = 28; break; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $119; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$119; //@line 3215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$kid; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120)|0)!=0; //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($121) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 3216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __label__ = 38; break; //@line 3217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $124=$4; //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=__ZNK8JSObject8getClassEv($124); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0)!=((__ZN2js18AttributeNameClassE)|0); //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($126) { __label__ = 31; break; } else { __label__ = 35; break; } //@line 3218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $128=$4; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=$kid; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=__ZL13MatchElemNameP8JSObjectP5JSXML($128, $129); //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130)|0)!=0; //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($131) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 3219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $133=$2; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$5; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$kid; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=__ZL6AppendP9JSContextP5JSXMLS2_($133, $134, $135); //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136)|0)!=0; //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($137) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 3220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      $1=0; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 40; break; //@line 3221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      __label__ = 35; break; //@line 3222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $141=$2; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=$kid; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=$4; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$5; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=__ZL17DescendantsHelperP9JSContextP5JSXMLP8JSObjectS2_($141, $142, $143, $144); //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=(($145)|0)!=0; //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($146) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 3223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      $1=0; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 40; break; //@line 3224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      __label__ = 38; break; //@line 3225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $150=$i; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=(($150+1)|0); //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$151; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 3214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      $1=1; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 40; break; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $154=$1; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $154; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17DescendantsHelperP9JSContextP5JSXMLP8JSObjectS2_["X"]=1;

function __ZL16ReportBadXMLNameP9JSContextRKN2JS5ValueE($cx, $idval) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$idval;
  var $3=$1; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $4=$2; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_($3, 0, 179, 0, $4, 0, 0, 0); //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL12JSID_TO_ATOMi4404($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 87 "./jsatom.h"
  var $3=_JSID_TO_STRING4405($2); //@line 87 "./jsatom.h"
  var $4=$3; //@line 87 "./jsatom.h"
  ;
  return $4; //@line 87 "./jsatom.h"
}


function __ZN2JSL14UndefinedValueEv4406($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "./jsapi.h"
  ;
  return; //@line 695 "./jsapi.h"
}


function _JSVAL_IS_BOOLEAN4407($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1402 "./jsapi.h"
  var $7=$v; //@line 1402 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1402 "./jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE4399($2, $3); //@line 1402 "./jsapi.h"
  var $8=_JSVAL_IS_BOOLEAN_IMPL4410($2); //@line 1402 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1402 "./jsapi.h"
}


function __ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE4408($cx, $preferredType, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$preferredType;
      $4=$vp;
      var $5=$4; //@line 2146 "./jsobj.h"
      var $6=__ZNK2JS5Value11isPrimitiveEv($5); //@line 2146 "./jsobj.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2146 "./jsobj.h"
    case 2: 
      $1=1; //@line 2147 "./jsobj.h"
      __label__ = 4; break; //@line 2147 "./jsobj.h"
    case 3: 
      var $9=$4; //@line 2148 "./jsobj.h"
      var $10=__ZNK2JS5Value8toObjectEv($9); //@line 2148 "./jsobj.h"
      var $11=$2; //@line 2148 "./jsobj.h"
      var $12=$3; //@line 2148 "./jsobj.h"
      var $13=$4; //@line 2148 "./jsobj.h"
      var $14=__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE($10, $11, $12, $13); //@line 2148 "./jsobj.h"
      $1=$14; //@line 2148 "./jsobj.h"
      __label__ = 4; break; //@line 2148 "./jsobj.h"
    case 4: 
      var $16=$1; //@line 2149 "./jsobj.h"
      ;
      return $16; //@line 2149 "./jsobj.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14XMLToXMLStringP9JSContextP5JSXMLPK10JSXMLArrayj($cx, $xml, $ancestorNSes, $indentLevel) {
  var __stackBase__  = STACKTOP; STACKTOP += 272; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $pretty=__stackBase__;
      var $indentKids;
      var $sb=__stackBase__+4;
      var $str;
      var $prefix;
      var $nsuri;
      var $i=__stackBase__+84;
      var $n;
      var $nextIndentLevel;
      var $ns;
      var $ns2;
      var $empty=__stackBase__+88;
      var $decls=__stackBase__+116;
      var $ancdecls=__stackBase__+144;
      var $6;
      var $cursor=__stackBase__+172;
      var $kid;
      var $kidstr;
      var $cursor1=__stackBase__+192;
      var $cursor3=__stackBase__+212;
      var $attr;
      var $cursor5=__stackBase__+232;
      var $ns3;
      var $kid7;
      var $cursor8=__stackBase__+252;
      var $kid9;
      var $kidstr10;
      $2=$cx;
      $3=$xml;
      $4=$ancestorNSes;
      $5=$indentLevel;
      var $7=$2; //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js12StringBufferC1EP9JSContext($sb, $7); //@line 2374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$2; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayC1EP9JSContext($empty, $8); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$2; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayC1EP9JSContext($decls, $9); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$2; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayC1EP9JSContext($ancdecls, $10); //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$2; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZL20GetBooleanXMLSettingP9JSContextPKcPi($11, ((STRING_TABLE.__ZL21js_prettyPrinting_str)|0), $pretty); //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=HEAP32[(($pretty)>>2)]; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 2384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=$5; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$19 & 2147483647; //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZN2js12StringBuffer7appendNEtj($sb, 32, $20); //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=0; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __label__ = 7; break; //@line 2387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $str=0; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$3; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25+16)|0); //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ((($27)|0) == 4) {
        __label__ = 8; break;
      }
      else if ((($27)|0) == 2) {
        __label__ = 14; break;
      }
      else if ((($27)|0) == 5) {
        __label__ = 15; break;
      }
      else if ((($27)|0) == 3) {
        __label__ = 16; break;
      }
      else if ((($27)|0) == 0) {
        __label__ = 17; break;
      }
      else {
      __label__ = 33; break;
      }
      
    case 8: 
      var $29=HEAP32[(($pretty)>>2)]; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 2394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $32=$2; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$3; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+24)|0); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=__ZL18ChompXMLWhitespaceP9JSContextP8JSString($32, $36); //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$37; //@line 2395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$str; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0)!=0; //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $1=0; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      __label__ = 13; break; //@line 2398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $43=$3; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+24)|0); //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$46; //@line 2399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$2; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$str; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$5; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$50 & -2147483648; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=__ZL18EscapeElementValueP9JSContextRN2js12StringBufferEP8JSStringj($48, $sb, $49, $51); //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$52; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$53; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $55=$2; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$3; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56+24)|0); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$57; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$5; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$60 & -2147483648; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61)|0)!=0; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)&1); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=__ZL20EscapeAttributeValueP9JSContextRN2js12StringBufferEP8JSStringi($55, $sb, $59, $63); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$64; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$65; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $67=$2; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$3; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68+24)|0); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$69; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=HEAP32[(($70)>>2)]; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=__ZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSString($67, $sb, $71); //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$72; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$73; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $75=$2; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$3; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76+12)|0); //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=__ZNK8JSObject17getQNameLocalNameEv($78); //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$79; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$3; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=(($81+24)|0); //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$82; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=HEAP32[(($83)>>2)]; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=__ZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_($75, $sb, $80, $84); //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$85; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$86; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $88=$3; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88+24)|0); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$89; //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90)|0); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $91); //@line 2420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($i)>>2)]=0; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $93=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$93; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$94; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$kid; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0)!=0; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($96) { __label__ = 19; break; } else { __label__ = 28; break; } //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $98=HEAP32[(($pretty)>>2)]; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=(($98)|0)!=0; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($99) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $101=HEAP32[(($i)>>2)]; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0)!=0; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($102) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $104=__ZN2js12StringBuffer6appendEt($sb, 10); //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($104) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      $1=0; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 29; break; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break; //@line 2426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $108=$2; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$kid; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$4; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$5; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=__ZL14XMLToXMLStringP9JSContextP5JSXMLPK10JSXMLArrayj($108, $109, $110, $111); //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidstr=$112; //@line 2428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$kidstr; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113)|0)!=0; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($114) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $116=$kidstr; //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=__ZN2js12StringBuffer6appendEP8JSString($sb, $116); //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($117) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 2429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      $1=0; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 29; break; //@line 2430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $120=HEAP32[(($i)>>2)]; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120+1)|0); //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($i)>>2)]=$121; //@line 2431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      $6=0; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 30; break;
      }
      else {
      __label__ = 200; break;
      }
      
    case 30: 
      var $125=__ZNK2js12StringBuffer5emptyEv($sb); //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($125) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $127=$2; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($127+52)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=HEAP32[(($128)>>2)]; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=(($129+144136)|0); //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=HEAP32[(($130)>>2)]; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$131; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$132; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $134=__ZN2js12StringBuffer12finishStringEv($sb); //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$134; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$135; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      __label__ = 34; break; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $138=$2; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=__ZL22js_EnterLocalRootScopeP9JSContext($138); //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($139) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      $1=0; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $142=$4; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142)|0)!=0; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($143) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $145=(($empty+12)|0); //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=$145; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $147=$3; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+24)|0); //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=$148; //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149+16)|0); //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor1, $150); //@line 2452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $152=__ZN16JSXMLArrayCursor7getNextEv($cursor1); //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$152; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$153; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=(($153)|0)!=0; //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($154) { __label__ = 40; break; } else { __label__ = 48; break; } //@line 2453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $156=$ns; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=__ZL10IsDeclaredPK8JSObject($156); //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=(($157)|0)!=0; //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($158) { __label__ = 42; break; } else { __label__ = 41; break; } //@line 2454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      __label__ = 39; break; //@line 2455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $161=$4; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=$ns; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$162; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($161, $163, 360); //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0)!=-1; //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($165) { __label__ = 47; break; } else { __label__ = 43; break; } //@line 2456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $167=$2; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=$ns; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=__ZNK8JSObject13getNamePrefixEv($168); //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=$ns; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=__ZNK8JSObject10getNameURIEv($170); //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i($167, $169, $171, 1); //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$172; //@line 2458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=$ns2; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=(($173)|0)!=0; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($174) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $176=$2; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=(($decls+12)|0); //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=(($decls+12)|0); //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=(($178)|0); //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=HEAP32[(($179)>>2)]; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181=$ns2; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=$181; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($176, $177, $180, $182); //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=(($183)|0)!=0; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($184) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      $6=7;
      __label__ = 49; break; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      __label__ = 47; break; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      __label__ = 39; break; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      $6=0; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      __ZN16JSXMLArrayCursorD1Ev($cursor1); //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest2=$6;
      if ((($cleanup_dest2)|0) == 0) {
        __label__ = 50; break;
      }
      else if ((($cleanup_dest2)|0) == 7) {
        __label__ = 199; break;
      }
      else {
      __label__ = 200; break;
      }
      
    case 50: 
      var $191=(($ancdecls+12)|0); //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $192=$2; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=$4; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=(($193)|0); //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $196=__ZNK2js18AutoNamespaceArray6lengthEv($decls); //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $197=(($195+$196)|0); //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $198=__ZN10JSXMLArray11setCapacityEP9JSContextj($191, $192, $197); //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($198) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 2471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      __label__ = 199; break; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 52: 
      HEAP32[(($i)>>2)]=0; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $201=$4; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=(($201)|0); //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$203; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 53: 
      var $205=HEAPU32[(($i)>>2)]; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=$n; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=(($205)>>>0) < (($206)>>>0); //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($207) { __label__ = 54; break; } else { __label__ = 63; break; } //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 54: 
      var $209=HEAPU32[(($i)>>2)]; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $210=$4; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=(($210)|0); //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $212=HEAPU32[(($211)>>2)]; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $213=(($209)>>>0) < (($212)>>>0); //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($213) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 55: 
      var $215=HEAP32[(($i)>>2)]; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=$4; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=(($216+8)|0); //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=HEAP32[(($217)>>2)]; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219=(($218+($215<<2))|0); //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $221=$220; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $224 = $221;__label__ = 57; break; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 56: 
      var $224 = 0;__label__ = 57; break; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 57: 
      var $224; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$224; //@line 2474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $225=$ns2; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $226=(($225)|0)!=0; //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($226) { __label__ = 59; break; } else { __label__ = 58; break; } //@line 2475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 58: 
      __label__ = 62; break; //@line 2476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 59: 
      var $229=$2; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $230=(($ancdecls+12)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $231=(($ancdecls+12)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $232=(($231)|0); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $233=HEAP32[(($232)>>2)]; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $234=$ns2; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $235=$234; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $236=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($229, $230, $233, $235); //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $237=(($236)|0)!=0; //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($237) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 2478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 60: 
      __label__ = 199; break; //@line 2479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 61: 
      __label__ = 62; break; //@line 2480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 62: 
      var $241=HEAP32[(($i)>>2)]; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $242=(($241+1)|0); //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($i)>>2)]=$242; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 63: 
      HEAP32[(($i)>>2)]=0; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $244=__ZNK2js18AutoNamespaceArray6lengthEv($decls); //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$244; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 64; break; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 64: 
      var $246=HEAPU32[(($i)>>2)]; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $247=$n; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $248=(($246)>>>0) < (($247)>>>0); //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($248) { __label__ = 65; break; } else { __label__ = 74; break; } //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 65: 
      var $250=HEAPU32[(($i)>>2)]; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $251=(($decls+12)|0); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $252=(($251)|0); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $253=HEAPU32[(($252)>>2)]; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $254=(($250)>>>0) < (($253)>>>0); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($254) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 66: 
      var $256=HEAP32[(($i)>>2)]; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $257=(($decls+12)|0); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $258=(($257+8)|0); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $259=HEAP32[(($258)>>2)]; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $260=(($259+($256<<2))|0); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $262=$261; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $265 = $262;__label__ = 68; break; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 67: 
      var $265 = 0;__label__ = 68; break; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 68: 
      var $265; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$265; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $266=$ns2; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $267=(($266)|0)!=0; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($267) { __label__ = 70; break; } else { __label__ = 69; break; } //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 69: 
      __label__ = 73; break; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 70: 
      var $270=$2; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $271=(($ancdecls+12)|0); //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $272=(($ancdecls+12)|0); //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $273=(($272)|0); //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $274=HEAP32[(($273)>>2)]; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $275=$ns2; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $276=$275; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $277=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($270, $271, $274, $276); //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $278=(($277)|0)!=0; //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($278) { __label__ = 72; break; } else { __label__ = 71; break; } //@line 2486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 71: 
      __label__ = 199; break; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 72: 
      __label__ = 73; break; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 73: 
      var $282=HEAP32[(($i)>>2)]; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $283=(($282+1)|0); //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($i)>>2)]=$283; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 64; break; //@line 2481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 74: 
      var $285=$2; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $286=$3; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $287=(($286+12)|0); //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $288=HEAP32[(($287)>>2)]; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $289=(($ancdecls+12)|0); //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $290=__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($285, $288, $289); //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$290; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $291=$ns; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $292=(($291)|0)!=0; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($292) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 75: 
      __label__ = 199; break; //@line 2493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 76: 
      var $295=$ns; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $296=__ZNK8JSObject13getNamePrefixEv($295); //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$296; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $297=$prefix; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $298=(($297)|0)!=0; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($298) { __label__ = 92; break; } else { __label__ = 77; break; } //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 77: 
      var $300=$ns; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $301=__ZNK8JSObject10getNameURIEv($300); //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsuri=$301; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $302=$3; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $303=(($302+12)|0); //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $304=HEAP32[(($303)>>2)]; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $305=__ZNK8JSObject13getNamePrefixEv($304); //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $306=(($305)|0)!=0; //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($306) { __label__ = 79; break; } else { __label__ = 78; break; } //@line 2513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 78: 
      var $308=$2; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $309=(($308+52)|0); //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $310=HEAP32[(($309)>>2)]; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $311=(($310+144136)|0); //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $312=HEAP32[(($311)>>2)]; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $313=$312; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$313; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 82; break; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 79: 
      var $315=$2; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $316=$nsuri; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $317=(($ancdecls+12)|0); //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $318=__ZL14GeneratePrefixP9JSContextP14JSLinearStringP10JSXMLArray($315, $316, $317); //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$318; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $319=$prefix; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $320=(($319)|0)!=0; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($320) { __label__ = 81; break; } else { __label__ = 80; break; } //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 80: 
      __label__ = 199; break; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 81: 
      __label__ = 82; break;
    case 82: 
      var $324=$2; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $325=$prefix; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $326=$nsuri; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $327=__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i($324, $325, $326, 1); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$327; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $328=$ns; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $329=(($328)|0)!=0; //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($329) { __label__ = 84; break; } else { __label__ = 83; break; } //@line 2521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 83: 
      __label__ = 199; break; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 84: 
      var $332=$prefix; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $333=$332; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $334=__ZNK8JSString5emptyEv($333); //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($334) { __label__ = 85; break; } else { __label__ = 88; break; } //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 85: 
      var $336=(($decls+12)|0); //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $337=$ns; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $338=$337; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $339=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($336, $338, 344); //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($i)>>2)]=$339; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $340=HEAP32[(($i)>>2)]; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $341=(($340)|0)!=-1; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($341) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 86: 
      var $343=$2; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $344=(($decls+12)|0); //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $345=HEAP32[(($i)>>2)]; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $346=__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji($343, $344, $345, 1); //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 87; break; //@line 2540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 87: 
      __label__ = 88; break; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 88: 
      var $349=$2; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $350=(($ancdecls+12)|0); //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $351=(($ancdecls+12)|0); //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $352=(($351)|0); //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $353=HEAP32[(($352)>>2)]; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $354=$ns; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $355=$354; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $356=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($349, $350, $353, $355); //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $357=(($356)|0)!=0; //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($357) { __label__ = 89; break; } else { __label__ = 90; break; } //@line 2550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 89: 
      var $359=$2; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $360=(($decls+12)|0); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $361=(($decls+12)|0); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $362=(($361)|0); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $363=HEAP32[(($362)>>2)]; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $364=$ns; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $365=$364; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $366=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($359, $360, $363, $365); //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $367=(($366)|0)!=0; //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($367) { __label__ = 91; break; } else { __label__ = 90; break; } //@line 2551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 90: 
      __label__ = 199; break; //@line 2552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 91: 
      __label__ = 92; break; //@line 2554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 92: 
      var $371=__ZN2js12StringBuffer6appendEt($sb, 60); //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($371) { __label__ = 94; break; } else { __label__ = 93; break; } //@line 2557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 93: 
      __label__ = 199; break; //@line 2558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 94: 
      var $374=$prefix; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $375=$374; //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $376=__ZNK8JSString5emptyEv($375); //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($376) { __label__ = 99; break; } else { __label__ = 95; break; } //@line 2560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 95: 
      var $378=$prefix; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $379=$378; //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $380=__ZN2js12StringBuffer6appendEP8JSString($sb, $379); //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($380) { __label__ = 96; break; } else { __label__ = 97; break; } //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 96: 
      var $382=__ZN2js12StringBuffer6appendEt($sb, 58); //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($382) { __label__ = 98; break; } else { __label__ = 97; break; } //@line 2561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 97: 
      __label__ = 199; break; //@line 2562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 98: 
      __label__ = 99; break; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 99: 
      var $386=$3; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $387=(($386+12)|0); //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $388=HEAP32[(($387)>>2)]; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $389=__ZNK8JSObject17getQNameLocalNameEv($388); //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $390=__ZN2js12StringBuffer6appendEP6JSAtom($sb, $389); //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($390) { __label__ = 101; break; } else { __label__ = 100; break; } //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 100: 
      __label__ = 199; break; //@line 2565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 101: 
      var $393=$3; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $394=(($393+24)|0); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $395=$394; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $396=(($395+32)|0); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor3, $396); //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 102; break; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 102: 
      var $398=__ZN16JSXMLArrayCursor7getNextEv($cursor3); //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $399=$398; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$399; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $400=$attr; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $401=(($400)|0)!=0; //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($401) { __label__ = 103; break; } else { __label__ = 126; break; } //@line 2576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 103: 
      var $403=__ZN2js12StringBuffer6appendEt($sb, 32); //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($403) { __label__ = 105; break; } else { __label__ = 104; break; } //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 104: 
      $6=7;
      __label__ = 127; break; //@line 2578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 105: 
      var $406=$2; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $407=$attr; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $408=(($407+12)|0); //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $409=HEAP32[(($408)>>2)]; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $410=(($ancdecls+12)|0); //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $411=__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($406, $409, $410); //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$411; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $412=$ns2; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $413=(($412)|0)!=0; //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($413) { __label__ = 107; break; } else { __label__ = 106; break; } //@line 2580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 106: 
      $6=7;
      __label__ = 127; break; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 107: 
      var $416=$ns2; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $417=__ZNK8JSObject13getNamePrefixEv($416); //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$417; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $418=$prefix; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $419=(($418)|0)!=0; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($419) { __label__ = 116; break; } else { __label__ = 108; break; } //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 108: 
      var $421=$2; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $422=$ns2; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $423=__ZNK8JSObject10getNameURIEv($422); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $424=(($ancdecls+12)|0); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $425=__ZL14GeneratePrefixP9JSContextP14JSLinearStringP10JSXMLArray($421, $423, $424); //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$425; //@line 2586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $426=$prefix; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $427=(($426)|0)!=0; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($427) { __label__ = 110; break; } else { __label__ = 109; break; } //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 109: 
      $6=7;
      __label__ = 127; break; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 110: 
      var $430=$2; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $431=$prefix; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $432=$ns2; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $433=__ZNK8JSObject10getNameURIEv($432); //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $434=__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i($430, $431, $433, 1); //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$434; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $435=$ns2; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $436=(($435)|0)!=0; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($436) { __label__ = 112; break; } else { __label__ = 111; break; } //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 111: 
      $6=7;
      __label__ = 127; break; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 112: 
      var $439=$2; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $440=(($ancdecls+12)|0); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $441=(($ancdecls+12)|0); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $442=(($441)|0); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $443=HEAP32[(($442)>>2)]; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $444=$ns2; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $445=$444; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $446=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($439, $440, $443, $445); //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $447=(($446)|0)!=0; //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($447) { __label__ = 113; break; } else { __label__ = 114; break; } //@line 2602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 113: 
      var $449=$2; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $450=(($decls+12)|0); //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $451=(($decls+12)|0); //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $452=(($451)|0); //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $453=HEAP32[(($452)>>2)]; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $454=$ns2; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $455=$454; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $456=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($449, $450, $453, $455); //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $457=(($456)|0)!=0; //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($457) { __label__ = 115; break; } else { __label__ = 114; break; } //@line 2603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 114: 
      $6=7;
      __label__ = 127; break; //@line 2604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 115: 
      __label__ = 116; break; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 116: 
      var $461=$prefix; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $462=$461; //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $463=__ZNK8JSString5emptyEv($462); //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($463) { __label__ = 121; break; } else { __label__ = 117; break; } //@line 2609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 117: 
      var $465=$prefix; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $466=$465; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $467=__ZN2js12StringBuffer6appendEP8JSString($sb, $466); //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($467) { __label__ = 118; break; } else { __label__ = 119; break; } //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 118: 
      var $469=__ZN2js12StringBuffer6appendEt($sb, 58); //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($469) { __label__ = 120; break; } else { __label__ = 119; break; } //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 119: 
      $6=7;
      __label__ = 127; break; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 120: 
      __label__ = 121; break; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 121: 
      var $473=$attr; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $474=(($473+12)|0); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $475=HEAP32[(($474)>>2)]; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $476=__ZNK8JSObject17getQNameLocalNameEv($475); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $477=__ZN2js12StringBuffer6appendEP6JSAtom($sb, $476); //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($477) { __label__ = 123; break; } else { __label__ = 122; break; } //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 122: 
      $6=7;
      __label__ = 127; break; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 123: 
      var $480=$2; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $481=$attr; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $482=(($481+24)|0); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $483=$482; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $484=HEAP32[(($483)>>2)]; //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $485=__ZL20AppendAttributeValueP9JSContextRN2js12StringBufferEP8JSString($480, $sb, $484); //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($485) { __label__ = 125; break; } else { __label__ = 124; break; } //@line 2619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 124: 
      $6=7;
      __label__ = 127; break; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 125: 
      __label__ = 102; break; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 126: 
      $6=0; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 127; break; //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 127: 
      __ZN16JSXMLArrayCursorD1Ev($cursor3); //@line 2622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest4=$6;
      if ((($cleanup_dest4)|0) == 0) {
        __label__ = 128; break;
      }
      else if ((($cleanup_dest4)|0) == 7) {
        __label__ = 199; break;
      }
      else {
      __label__ = 200; break;
      }
      
    case 128: 
      var $491=(($decls+12)|0); //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor5, $491); //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 129; break; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 129: 
      var $493=__ZN16JSXMLArrayCursor7getNextEv($cursor5); //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $494=$493; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns3=$494; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $495=$ns3; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $496=(($495)|0)!=0; //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($496) { __label__ = 130; break; } else { __label__ = 144; break; } //@line 2627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 130: 
      var $498=__ZN2js12StringBuffer6appendILj7EEEbRAT__Kc($sb, STRING_TABLE.__str464292); //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($498) { __label__ = 132; break; } else { __label__ = 131; break; } //@line 2630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 131: 
      $6=7;
      __label__ = 145; break; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 132: 
      var $501=$ns3; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $502=__ZNK8JSObject13getNamePrefixEv($501); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$502; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $503=$prefix; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $504=(($503)|0)!=0; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($504) { __label__ = 136; break; } else { __label__ = 133; break; } //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 133: 
      var $506=$2; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $507=$ns3; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $508=__ZNK8JSObject10getNameURIEv($507); //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $509=(($ancdecls+12)|0); //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $510=__ZL14GeneratePrefixP9JSContextP14JSLinearStringP10JSXMLArray($506, $508, $509); //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$510; //@line 2636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $511=$prefix; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $512=(($511)|0)!=0; //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($512) { __label__ = 135; break; } else { __label__ = 134; break; } //@line 2637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 134: 
      $6=7;
      __label__ = 145; break; //@line 2638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 135: 
      var $515=$ns3; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $516=$prefix; //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($515, $516); //@line 2639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 136; break; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 136: 
      var $518=$prefix; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $519=$518; //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $520=__ZNK8JSString5emptyEv($519); //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($520) { __label__ = 141; break; } else { __label__ = 137; break; } //@line 2643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 137: 
      var $522=__ZN2js12StringBuffer6appendEt($sb, 58); //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($522) { __label__ = 138; break; } else { __label__ = 139; break; } //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 138: 
      var $524=$prefix; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $525=$524; //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $526=__ZN2js12StringBuffer6appendEP8JSString($sb, $525); //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($526) { __label__ = 140; break; } else { __label__ = 139; break; } //@line 2644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 139: 
      $6=7;
      __label__ = 145; break; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 140: 
      __label__ = 141; break; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 141: 
      var $530=$2; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $531=$ns3; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $532=__ZNK8JSObject10getNameURIEv($531); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $533=$532; //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $534=__ZL20AppendAttributeValueP9JSContextRN2js12StringBufferEP8JSString($530, $sb, $533); //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($534) { __label__ = 143; break; } else { __label__ = 142; break; } //@line 2649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 142: 
      $6=7;
      __label__ = 145; break; //@line 2650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 143: 
      __label__ = 129; break; //@line 2651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 144: 
      $6=0; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 145; break; //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 145: 
      __ZN16JSXMLArrayCursorD1Ev($cursor5); //@line 2652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest6=$6;
      if ((($cleanup_dest6)|0) == 0) {
        __label__ = 146; break;
      }
      else if ((($cleanup_dest6)|0) == 7) {
        __label__ = 199; break;
      }
      else {
      __label__ = 200; break;
      }
      
    case 146: 
      var $540=$3; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $541=(($540+24)|0); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $542=$541; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $543=(($542)|0); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $544=(($543)|0); //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $545=HEAP32[(($544)>>2)]; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$545; //@line 2655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $546=$n; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $547=(($546)|0)==0; //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($547) { __label__ = 147; break; } else { __label__ = 150; break; } //@line 2656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 147: 
      var $549=__ZN2js12StringBuffer6appendILj3EEEbRAT__Kc($sb, STRING_TABLE.__str474293); //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($549) { __label__ = 149; break; } else { __label__ = 148; break; } //@line 2657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 148: 
      __label__ = 199; break; //@line 2658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 149: 
      __label__ = 198; break; //@line 2659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 150: 
      var $553=__ZN2js12StringBuffer6appendEt($sb, 62); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($553) { __label__ = 152; break; } else { __label__ = 151; break; } //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 151: 
      __label__ = 199; break; //@line 2662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 152: 
      var $556=$n; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $557=(($556)>>>0) > 1; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($557) { var $591 = 1;__label__ = 160; break; } else { __label__ = 153; break; } //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 153: 
      var $559=$n; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $560=(($559)|0)==1; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($560) { __label__ = 154; break; } else { var $589 = 0;__label__ = 159; break; } //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 154: 
      var $562=$3; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $563=(($562+24)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $564=$563; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $565=(($564)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $566=(($565)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $567=HEAPU32[(($566)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $568=0 < (($567)>>>0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($568) { __label__ = 155; break; } else { __label__ = 156; break; } //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 155: 
      var $570=$3; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $571=(($570+24)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $572=$571; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $573=(($572)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $574=(($573+8)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $575=HEAP32[(($574)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $576=(($575)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $577=HEAP32[(($576)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $578=$577; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $581 = $578;__label__ = 157; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 156: 
      var $581 = 0;__label__ = 157; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 157: 
      var $581; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid7=$581; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $582=(($581)|0)!=0; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($582) { __label__ = 158; break; } else { var $589 = 0;__label__ = 159; break; } //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 158: 
      var $584=$kid7; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $585=(($584+16)|0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $586=HEAP32[(($585)>>2)]; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $587=(($586)|0)!=4; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $589 = $587;__label__ = 159; break;
    case 159: 
      var $589;
      var $591 = $589;__label__ = 160; break;
    case 160: 
      var $591;
      var $592=(($591)&1);
      $indentKids=$592;
      var $593=HEAP32[(($pretty)>>2)]; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $594=(($593)|0)!=0; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($594) { __label__ = 161; break; } else { __label__ = 165; break; } //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 161: 
      var $596=$indentKids; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $597=(($596)|0)!=0; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($597) { __label__ = 162; break; } else { __label__ = 165; break; } //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 162: 
      var $599=$2; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $600=__ZL19GetUint32XMLSettingP9JSContextPKcPj($599, ((STRING_TABLE.__ZL19js_prettyIndent_str)|0), $i); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $601=(($600)|0)!=0; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($601) { __label__ = 164; break; } else { __label__ = 163; break; } //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 163: 
      __label__ = 199; break; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 164: 
      var $604=$5; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $605=HEAP32[(($i)>>2)]; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $606=(($604+$605)|0); //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nextIndentLevel=$606; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 166; break; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 165: 
      var $608=$5; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $609=$608 & -2147483648; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nextIndentLevel=$609; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 166; break;
    case 166: 
      var $611=$3; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $612=(($611+24)|0); //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $613=$612; //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $614=(($613)|0); //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor8, $614); //@line 2680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 167; break; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 167: 
      var $616=__ZN16JSXMLArrayCursor7getNextEv($cursor8); //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $617=$616; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid9=$617; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $618=$kid9; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $619=(($618)|0)!=0; //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($619) { __label__ = 168; break; } else { __label__ = 178; break; } //@line 2681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 168: 
      var $621=HEAP32[(($pretty)>>2)]; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $622=(($621)|0)!=0; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($622) { __label__ = 169; break; } else { __label__ = 173; break; } //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 169: 
      var $624=$indentKids; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $625=(($624)|0)!=0; //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($625) { __label__ = 170; break; } else { __label__ = 173; break; } //@line 2682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 170: 
      var $627=__ZN2js12StringBuffer6appendEt($sb, 10); //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($627) { __label__ = 172; break; } else { __label__ = 171; break; } //@line 2683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 171: 
      $6=7;
      __label__ = 179; break; //@line 2684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 172: 
      __label__ = 173; break; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 173: 
      var $631=$2; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $632=$kid9; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $633=(($ancdecls+12)|0); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $634=$nextIndentLevel; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $635=__ZL14XMLToXMLStringP9JSContextP5JSXMLPK10JSXMLArrayj($631, $632, $633, $634); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidstr10=$635; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $636=$kidstr10; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $637=(($636)|0)!=0; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($637) { __label__ = 175; break; } else { __label__ = 174; break; } //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 174: 
      $6=7;
      __label__ = 179; break; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 175: 
      var $640=$kidstr10; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $641=__ZN2js12StringBuffer6appendEP8JSString($sb, $640); //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($641) { __label__ = 177; break; } else { __label__ = 176; break; } //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 176: 
      $6=7;
      __label__ = 179; break; //@line 2692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 177: 
      __label__ = 167; break; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 178: 
      $6=0; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 179; break; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 179: 
      __ZN16JSXMLArrayCursorD1Ev($cursor8); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest11=$6;
      if ((($cleanup_dest11)|0) == 0) {
        __label__ = 180; break;
      }
      else if ((($cleanup_dest11)|0) == 7) {
        __label__ = 199; break;
      }
      else {
      __label__ = 200; break;
      }
      
    case 180: 
      var $647=HEAP32[(($pretty)>>2)]; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $648=(($647)|0)!=0; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($648) { __label__ = 181; break; } else { __label__ = 186; break; } //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 181: 
      var $650=$indentKids; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $651=(($650)|0)!=0; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($651) { __label__ = 182; break; } else { __label__ = 186; break; } //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 182: 
      var $653=__ZN2js12StringBuffer6appendEt($sb, 10); //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($653) { __label__ = 183; break; } else { __label__ = 184; break; } //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 183: 
      var $655=$5; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $656=$655 & 2147483647; //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $657=__ZN2js12StringBuffer7appendNEtj($sb, 32, $656); //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($657) { __label__ = 185; break; } else { __label__ = 184; break; } //@line 2698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 184: 
      __label__ = 199; break; //@line 2699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 185: 
      __label__ = 186; break; //@line 2700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 186: 
      var $661=__ZN2js12StringBuffer6appendILj3EEEbRAT__Kc($sb, STRING_TABLE.__str484294); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($661) { __label__ = 188; break; } else { __label__ = 187; break; } //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 187: 
      __label__ = 199; break; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 188: 
      var $664=$ns; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $665=__ZNK8JSObject13getNamePrefixEv($664); //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$665; //@line 2705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $666=$prefix; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $667=(($666)|0)!=0; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($667) { __label__ = 189; break; } else { __label__ = 194; break; } //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 189: 
      var $669=$prefix; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $670=$669; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $671=__ZNK8JSString5emptyEv($670); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($671) { __label__ = 194; break; } else { __label__ = 190; break; } //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 190: 
      var $673=$prefix; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $674=$673; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $675=__ZN2js12StringBuffer6appendEP8JSString($sb, $674); //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($675) { __label__ = 191; break; } else { __label__ = 192; break; } //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 191: 
      var $677=__ZN2js12StringBuffer6appendEt($sb, 58); //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($677) { __label__ = 193; break; } else { __label__ = 192; break; } //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 192: 
      __label__ = 199; break; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 193: 
      __label__ = 194; break; //@line 2709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 194: 
      var $681=$3; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $682=(($681+12)|0); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $683=HEAP32[(($682)>>2)]; //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $684=__ZNK8JSObject17getQNameLocalNameEv($683); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $685=__ZN2js12StringBuffer6appendEP6JSAtom($sb, $684); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($685) { __label__ = 195; break; } else { __label__ = 196; break; } //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 195: 
      var $687=__ZN2js12StringBuffer6appendEt($sb, 62); //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($687) { __label__ = 197; break; } else { __label__ = 196; break; } //@line 2712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 196: 
      __label__ = 199; break; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 197: 
      __label__ = 198; break;
    case 198: 
      var $691=__ZN2js12StringBuffer12finishStringEv($sb); //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $692=$691; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$692; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 199; break; //@line 2716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 199: 
      var $694=$2; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $695=$str; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $696=$695; //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextPv($694, $696); //@line 2718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $697=$str; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$697; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 200; break; //@line 2719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 200: 
      __ZN2js18AutoNamespaceArrayD1Ev($ancdecls); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayD1Ev($decls); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js18AutoNamespaceArrayD1Ev($empty); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js12StringBufferD1Ev($sb); //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $699=$1; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $699; //@line 2720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14XMLToXMLStringP9JSContextP5JSXMLPK10JSXMLArrayj["X"]=1;

function __ZNK2js18AutoNamespaceArray6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 112 "./jscntxtinlines.h"
  var $4=(($3)|0); //@line 112 "./jscntxtinlines.h"
  var $5=HEAP32[(($4)>>2)]; //@line 112 "./jscntxtinlines.h"
  ;
  return $5; //@line 112 "./jscntxtinlines.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL4409($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "./jsval.h"
  var $2=(($1+4)|0); //@line 531 "./jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "./jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "./jsval.h"
  var $5=(($4)&1); //@line 531 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "./jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL4410($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "./jsval.h"
  var $2=(($1+4)|0); //@line 490 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "./jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "./jsval.h"
  var $5=(($4)&1); //@line 490 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "./jsval.h"
}


function _JSVAL_IS_STRING_IMPL4412($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "./jsval.h"
  var $2=(($1+4)|0); //@line 468 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "./jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "./jsval.h"
  var $5=(($4)&1); //@line 468 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "./jsval.h"
}


function __ZL10IsDeclaredPK8JSObject($obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $v=__stackBase__;
  var $2=__stackBase__+8;
  $1=$obj;
  var $3=$1; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  __ZNK8JSObject20getNamespaceDeclaredEv($2, $3); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $4=$v; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=__ZNK2JS5ValueeqERKS0_($v, _JSVAL_TRUE); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=(($6)&1); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  STACKTOP = __stackBase__;
  return $7; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($cx, $qn, $inScopeNSes) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $uri;
      var $prefix;
      var $nsprefix;
      var $match;
      var $ns;
      var $i;
      var $n;
      var $argv=__stackBase__;
      var $bytes=__stackBase__+16;
      var $s;
      var $5=__stackBase__+20;
      var $6;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      $2=$cx;
      $3=$qn;
      $4=$inScopeNSes;
      var $9=$3; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=__ZNK8JSObject10getNameURIEv($9); //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$10; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$3; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZNK8JSObject13getNamePrefixEv($11); //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$12; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$uri; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 2167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$prefix; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $25 = ((STRING_TABLE._js_undefined_str)|0);__label__ = 5; break; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $20=$2; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$prefix; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($5, $22); //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($20, $5, $bytes, 0); //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25 = $23;__label__ = 5; break; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $s=$25; //@line 2170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$s; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26)|0)!=0; //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $29=$2; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$s; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($29, 2, 0, 177, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$30,tempInt)); //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 2173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 2174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break;
    case 8: 
      $match=0; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$4; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33)|0)!=0; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($34) { __label__ = 9; break; } else { __label__ = 27; break; } //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $i=0; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$4; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0); //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$38; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $40=$i; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$n; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($40)>>>0) < (($41)>>>0); //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 11; break; } else { __label__ = 26; break; } //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $44=$i; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$4; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=HEAPU32[(($46)>>2)]; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($44)>>>0) < (($47)>>>0); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $50=$i; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$4; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+8)|0); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=HEAP32[(($52)>>2)]; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+($50<<2))|0); //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$55; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59 = $56;__label__ = 14; break; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $59 = 0;__label__ = 14; break; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $59; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$59; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$ns; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0)!=0; //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 25; break; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $64=$ns; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=__ZNK8JSObject10getNameURIEv($64); //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$uri; //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=__ZN2js12EqualStringsEP14JSLinearStringS1_($65, $66); //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 17; break; } else { __label__ = 24; break; } //@line 2211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $69=$ns; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=__ZNK8JSObject13getNamePrefixEv($69); //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsprefix=$70; //@line 2212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$nsprefix; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$prefix; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($71)|0)==(($72)|0); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($73) { __label__ = 22; break; } else { __label__ = 18; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $75=$nsprefix; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0)!=0; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $78=$prefix; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=(($78)|0)!=0; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($79) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $81=$nsprefix; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$prefix; //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=__ZN2js12EqualStringsEP14JSLinearStringS1_($81, $82); //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($83) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $85=$nsprefix; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85)|0)!=0; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$nsprefix; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$prefix; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$86 ? $87 : $88; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$89; //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=__ZNK8JSString5emptyEv($90); //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($91) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $93=$ns; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $match=$93; //@line 2217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      __label__ = 25; break; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $97=$i; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=(($97+1)|0); //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$98; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 27; break; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $101=$match; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0)!=0; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($102) { __label__ = 34; break; } else { __label__ = 28; break; } //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $104=(($argv)|0); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$prefix; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0)!=0; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $108=$prefix; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$108; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($7, $109); //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $111=$7; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($111)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($111+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $113=$104; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$7; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($113)>>2)]=HEAP32[(($114)>>2)];HEAP32[(($113+4)>>2)]=HEAP32[(($114+4)>>2)]; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($argv+8)|0); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$uri; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=$116; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($8, $117); //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=$115; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$8; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($118)>>2)]=HEAP32[(($119)>>2)];HEAP32[(($118+4)>>2)]=HEAP32[(($119+4)>>2)]; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$2; //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($argv)|0); //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE($120, __ZN2js14NamespaceClassE, 0, 0, 2, $121); //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$122; //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$ns; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($123)|0)!=0; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($124) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      $1=0; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $127=$ns; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $match=$127; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $129=$match; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$129; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $131=$1; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $131; //@line 2234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray["X"]=1;

function __ZL14GeneratePrefixP9JSContextP14JSLinearStringP10JSXMLArray($cx, $uri, $decls) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $cp;
      var $start;
      var $end;
      var $length;
      var $newlength;
      var $offset;
      var $i;
      var $n;
      var $m;
      var $serial;
      var $bp;
      var $dp;
      var $done;
      var $ns;
      var $nsprefix;
      var $prefix;
      $2=$cx;
      $3=$uri;
      $4=$decls;
      var $5=$4; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5)|0); //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)==0; //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$2; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__Z17js_NewStringCopyZP9JSContextPKc($10, ((STRING_TABLE.__str494295)|0)); //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$11; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$12; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$3; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=__ZNK14JSLinearString5charsEv($14); //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $start=$15; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$start; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$3; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=__ZNK8JSString6lengthEv($18); //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($16+($19<<1))|0); //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $end=$20; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$end; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$21; //@line 2271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $23=$cp; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23-2)|0); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$24; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$start; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($24)>>>0) > (($25)>>>0); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $28=$cp; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAPU16[(($28)>>1)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)&65535); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)==46; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $33=$cp; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAPU16[(($33)>>1)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)&65535); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0)==47; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $38=$cp; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAPU16[(($38)>>1)]; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)&65535); //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)==58; //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 13; break; } //@line 2273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $43=$cp; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+2)|0); //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$44; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$end; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$cp; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$45; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$46; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($47-$48)|0); //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(((($49)|0)/2)&-1); //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$50; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$cp; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$length; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZL9IsXMLNamePKtj($51, $52); //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0)!=0; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $56=$length; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)>>>0) >= 3; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $59=$cp; //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=__ZL12IS_XML_CHARSPKt($59); //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($60) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      __label__ = 14; break; //@line 2277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $63=$cp; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63-2)|0); //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cp=$64; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $end=$64; //@line 2278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 2279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 4; break; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $67=$end; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$cp; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$67; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$68; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($69-$70)|0); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(((($71)|0)/2)&-1); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$72; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$cp; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $bp=$73; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$length; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newlength=$74; //@line 2291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$length; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)>>>0) >= 3; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $78=$cp; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=__ZL12IS_XML_CHARSPKt($78); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($79) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $81=$cp; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$length; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=__ZL9IsXMLNamePKtj($81, $82); //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0)!=0; //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($84) { __label__ = 24; break; } else { __label__ = 17; break; } //@line 2292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $86=$length; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=(($86+2)|0); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$4; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=HEAPU32[(($89)>>2)]; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90)>>>0); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=_log10($91); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=($92 >= 0 ? Math.floor($92) : Math.ceil($92)); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($87+$93)|0); //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newlength=$94; //@line 2293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$2; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$newlength; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96+1)|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=((($97<<1))|0); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=__ZN9JSContext7malloc_Ej($95, $98); //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$99; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $bp=$100; //@line 2295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$bp; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0)!=0; //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($102) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 2296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 2297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $105=$newlength; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$bp; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106+($105<<1))|0); //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($107)>>1)]=0; //@line 2299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $109=$i; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$newlength; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($109)>>>0) < (($110)>>>0); //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($111) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $113=$i; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$bp; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114+($113<<1))|0); //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($115)>>1)]=97; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $117=$i; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117+1)|0); //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$118; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break; //@line 2302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      $serial=0; //@line 2308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 2309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $done=1; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$4; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122)|0); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$124; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $126=$i; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=$n; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($126)>>>0) < (($127)>>>0); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($128) { __label__ = 27; break; } else { __label__ = 45; break; } //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $130=$i; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=$4; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($131)|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=HEAPU32[(($132)>>2)]; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=(($130)>>>0) < (($133)>>>0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($134) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $136=$i; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=$4; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137+8)|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=(($139+($136<<2))|0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=$141; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145 = $142;__label__ = 30; break; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $145 = 0;__label__ = 30; break; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $145; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$145; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=$ns; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=(($146)|0)!=0; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($147) { __label__ = 31; break; } else { __label__ = 43; break; } //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $149=$ns; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=__ZNK8JSObject13getNamePrefixEv($149); //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsprefix=$150; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=(($150)|0)!=0; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($151) { __label__ = 32; break; } else { __label__ = 43; break; } //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $153=$nsprefix; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$153; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=__ZNK8JSString6lengthEv($154); //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=$newlength; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=(($155)|0)==(($156)|0); //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($157) { __label__ = 33; break; } else { __label__ = 43; break; } //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $159=$nsprefix; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=__ZNK14JSLinearString5charsEv($159); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$160; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=$bp; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$162; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=$newlength; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=((($164<<1))|0); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=_memcmp($161, $163, $165); //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=(($166)|0)!=0; //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($167) { __label__ = 43; break; } else { __label__ = 34; break; } //@line 2315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $169=$bp; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=$cp; //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=(($169)|0)==(($170)|0); //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($171) { __label__ = 35; break; } else { __label__ = 38; break; } //@line 2317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $173=$length; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=(($173+2)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=$n; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=(($175)>>>0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=_log10($176); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=($177 >= 0 ? Math.floor($177) : Math.ceil($177)); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=(($174+$178)|0); //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $newlength=$179; //@line 2318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=$2; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181=$newlength; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=(($181+1)|0); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=((($182<<1))|0); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=__ZN9JSContext7malloc_Ej($180, $183); //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=$184; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $bp=$185; //@line 2320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=$bp; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=(($186)|0)!=0; //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($187) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 2321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      $1=0; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $190=$bp; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $191=$190; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $192=$cp; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=$192; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=$length; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=((($194<<1))|0); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert($195 % 1 === 0, 'memcpy given ' + $195 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($191, $193, $195, 1); //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 2324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $197=$serial; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $198=(($197+1)|0); //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $serial=$198; //@line 2326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $199=$bp; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $200=$length; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $201=(($199+($200<<1))|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=(($201+4)|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $203=$serial; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $204=(($203)>>>0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $205=_log10($204); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=($205 >= 0 ? Math.floor($205) : Math.ceil($205)); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=(($202+($206<<1))|0); //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $dp=$207; //@line 2328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=$dp; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($208)>>1)]=0; //@line 2329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $209=$serial; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $m=$209; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $211=$m; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $212=(($211)|0)!=0; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($212) { __label__ = 40; break; } else { __label__ = 42; break; } //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $214=$m; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $215=(($214)>>>0)%10; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=(($215+48)|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=(($216) & 65535); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=$dp; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219=(($218-2)|0); //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $dp=$219; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($219)>>1)]=$217; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 2331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $221=$m; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $222=Math.floor((($221)>>>0)/10); //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $m=$222; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 2330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $224=$dp; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $225=(($224-2)|0); //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $dp=$225; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP16[(($225)>>1)]=45; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $done=0; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 45; break; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      __label__ = 44; break; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $228=$i; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $229=(($228+1)|0); //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$229; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 2311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      __label__ = 46; break; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      var $232=$done; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $233=(($232)|0)!=0; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $234=$233 ^ 1; //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($234) { __label__ = 25; break; } else { __label__ = 47; break; } //@line 2339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      var $236=$bp; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $237=$cp; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $238=(($236)|0)==(($237)|0); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($238) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      var $240=$cp; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $241=$start; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $242=$240; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $243=$241; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $244=(($242-$243)|0); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $245=(((($244)|0)/2)&-1); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $offset=$245; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $246=$2; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $247=$3; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $248=$247; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $249=$offset; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $250=$length; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $251=__Z21js_NewDependentStringP9JSContextP8JSStringjj($246, $248, $249, $250); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$251; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 52; break; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $253=$2; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $254=$bp; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $255=$newlength; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $256=__Z12js_NewStringP9JSContextPtj($253, $254, $255); //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $257=$256; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$257; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $258=$prefix; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $259=(($258)|0)!=0; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($259) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 50: 
      var $261=$2; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $262=$bp; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $263=$262; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN9JSContext5free_EPv($261, $263); //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 51; break; //@line 2347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      __label__ = 52; break;
    case 52: 
      var $266=$prefix; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$266; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 2349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 53: 
      var $268=$1; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $268; //@line 2350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14GeneratePrefixP9JSContextP14JSLinearStringP10JSXMLArray["X"]=1;

function __ZL15namespace_matchPKvS0_($a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nsa;
      var $nsb;
      var $prefixa;
      var $prefixb;
      $2=$a;
      $3=$b;
      var $4=$2; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsa=$5; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$6; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsb=$7; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$nsb; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZNK8JSObject13getNamePrefixEv($8); //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefixb=$9; //@line 2357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$prefixb; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $13=$nsa; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK8JSObject13getNamePrefixEv($13); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefixa=$14; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$prefixa; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 3; break; } else { var $22 = 0;__label__ = 4; break; } //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$prefixa; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$prefixb; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZN2js12EqualStringsEP14JSLinearStringS1_($18, $19); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22 = $20;__label__ = 4; break;
    case 4: 
      var $22;
      var $23=(($22)&1);
      $1=$23;
      __label__ = 6; break;
    case 5: 
      var $25=$nsa; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=__ZNK8JSObject10getNameURIEv($25); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$nsb; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZNK8JSObject10getNameURIEv($27); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZN2js12EqualStringsEP14JSLinearStringS1_($26, $28); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)&1); //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$30; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 2363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $32=$1; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $32; //@line 2364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20AppendAttributeValueP9JSContextRN2js12StringBufferEP8JSString($cx, $sb, $valstr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$sb;
      $4=$valstr;
      var $5=$3; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=__ZN2js12StringBuffer6appendEt($5, 61); //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $9=$2; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$4; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__Z23js_EscapeAttributeValueP9JSContextP8JSStringi($9, $10, 1); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$11; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=$12; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$4; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 4; break; } else { var $20 = 0;__label__ = 5; break; } //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $16=$3; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$4; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=__ZN2js12StringBuffer6appendEP8JSString($16, $17); //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20 = $18;__label__ = 5; break;
    case 5: 
      var $20;
      $1=$20;
      __label__ = 6; break;
    case 6: 
      var $22=$1; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $22; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19GetUint32XMLSettingP9JSContextPKcPj($cx, $name, $uip) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4=__stackBase__+8;
      $1=$cx;
      $2=$name;
      $3=$uip;
      var $5=$1; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$2; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZL13GetXMLSettingP9JSContextPKcPN2JS5ValueE($5, $6, $v); //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)!=0; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { var $17 = 0;__label__ = 3; break; } //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$1; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$v; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=_JS_ValueToECMAUint32($10, $4, $13); //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17 = $15;__label__ = 3; break;
    case 3: 
      var $17;
      var $18=(($17)&1);
      STACKTOP = __stackBase__;
      return $18; //@line 1664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject20getNamespaceDeclaredEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 2); //@line 734 "./jsobjinlines.h"
  var $4=$agg_result; //@line 734 "./jsobjinlines.h"
  var $5=$3; //@line 734 "./jsobjinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 734 "./jsobjinlines.h"
  ;
  return; //@line 734 "./jsobjinlines.h"
}


function _js_malloc4411($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19NewXMLAttributeNameP9JSContextP14JSLinearStringS2_P6JSAtom($cx, $uri, $prefix, $localName) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $parent;
      var $obj;
      $2=$cx;
      $3=$uri;
      $4=$prefix;
      $5=$localName;
      var $6=$2; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZN2jsL22GetGlobalForScopeChainEP9JSContext4366($6); //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$7; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parent=$8; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$2; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$parent; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4355($9, __ZN2js18AttributeNameClassE, 0, $10); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj=$11; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$obj; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$2; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$obj; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$3; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$4; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$5; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=__ZL12InitXMLQNameP9JSContextP8JSObjectP14JSLinearStringS4_P6JSAtom($16, $17, $18, $19, $20); //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$obj; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$24; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $26=$1; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $26; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14JSID_FROM_BITSj4418($bits) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$bits;
  var $2=$1; //@line 60 "./jsatom.h"
  $id=$2; //@line 60 "./jsatom.h"
  var $3=$id; //@line 61 "./jsatom.h"
  ;
  return $3; //@line 61 "./jsatom.h"
}


function _STRING_TO_JSVAL_IMPL4413($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "./jsval.h"
  var $3=(($2+4)|0); //@line 476 "./jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "./jsval.h"
  var $4=$1; //@line 477 "./jsval.h"
  var $5=$agg_result; //@line 477 "./jsval.h"
  var $6=(($5)|0); //@line 477 "./jsval.h"
  var $7=$6; //@line 477 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "./jsval.h"
  ;
  return; //@line 478 "./jsval.h"
}


function __ZN2js9SpecialIdC2Ej($this, $bits) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bits;
  var $3=$1;
  var $4=(($3)|0); //@line 83 "./jsclass.h"
  var $5=$2; //@line 83 "./jsclass.h"
  HEAP32[(($4)>>2)]=$5; //@line 83 "./jsclass.h"
  ;
  return; //@line 83 "./jsclass.h"
}


function __ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414($sid) {
  ;
  var __label__;

  var $1;
  var $id;
  $1=$sid;
  var $2=$1; //@line 147 "./jsclass.h"
  var $3=(($2)|0); //@line 147 "./jsclass.h"
  var $4=HEAP32[(($3)>>2)]; //@line 147 "./jsclass.h"
  $id=$4; //@line 147 "./jsclass.h"
  var $5=$id; //@line 152 "./jsclass.h"
  ;
  return $5; //@line 152 "./jsclass.h"
}


function _BOOLEAN_TO_JSVAL_IMPL4417($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "./jsval.h"
  var $3=(($2+4)|0); //@line 504 "./jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "./jsval.h"
  var $4=$1; //@line 505 "./jsval.h"
  var $5=$agg_result; //@line 505 "./jsval.h"
  var $6=(($5)|0); //@line 505 "./jsval.h"
  var $7=$6; //@line 505 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "./jsval.h"
  ;
  return; //@line 506 "./jsval.h"
}


function _JSVAL_IS_MAGIC_IMPL4420($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 512 "./jsval.h"
  var $2=(($1+4)|0); //@line 512 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 512 "./jsval.h"
  var $4=(($3)|0)==-124; //@line 512 "./jsval.h"
  var $5=(($4)&1); //@line 512 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 512 "./jsval.h"
}


function _INT32_TO_JSVAL_IMPL4422($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "./jsval.h"
  var $3=(($2+4)|0); //@line 446 "./jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "./jsval.h"
  var $4=$1; //@line 447 "./jsval.h"
  var $5=$agg_result; //@line 447 "./jsval.h"
  var $6=(($5)|0); //@line 447 "./jsval.h"
  var $7=$6; //@line 447 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "./jsval.h"
  ;
  return; //@line 448 "./jsval.h"
}


function __ZN2js9SpecialIdC1Ej($this, $bits) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$bits;
  var $3=$1;
  var $4=$2; //@line 83 "./jsclass.h"
  __ZN2js9SpecialIdC2Ej($3, $4); //@line 83 "./jsclass.h"
  ;
  return; //@line 83 "./jsclass.h"
}


function _BOOLEAN_TO_JSVAL4415($agg_result, $b) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$b;
  var $3=$1; //@line 1415 "./jsapi.h"
  _BOOLEAN_TO_JSVAL_IMPL4417($2, $3); //@line 1415 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout4416($agg_result, $2); //@line 1415 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1415 "./jsapi.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout4416($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "./jsapi.h"
  var $2=$1; //@line 829 "./jsapi.h"
  var $3=$l; //@line 829 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "./jsapi.h"
}


function __ZN2jsL14IsConstructingEPKN2JS5ValueE4419($vp) {
  ;
  var __label__;

  var $1;
  $1=$vp;
  var $2=$1; //@line 372 "./jsfun.h"
  var $3=(($2+8)|0); //@line 372 "./jsfun.h"
  var $4=__ZNK2JS5Value7isMagicEv($3); //@line 372 "./jsfun.h"
  ;
  return $4; //@line 372 "./jsfun.h"
}


function _INT_TO_JSVAL4421($agg_result, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$i;
  var $3=$1; //@line 1311 "./jsapi.h"
  _INT32_TO_JSVAL_IMPL4422($2, $3); //@line 1311 "./jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout4416($agg_result, $2); //@line 1311 "./jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1311 "./jsapi.h"
}


function __ZL8DeepCopyP9JSContextP5JSXMLP8JSObjectj($cx, $xml, $obj, $flags) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $copy;
      $2=$cx;
      $3=$xml;
      $4=$obj;
      $5=$flags;
      var $6=$2; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZL22js_EnterLocalRootScopeP9JSContext($6); //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $10=$2; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$3; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$5; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZL13DeepCopyInLRSP9JSContextP5JSXMLj($10, $11, $12); //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $copy=$13; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$copy; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 3011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$4; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0)!=0; //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$4; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$copy; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setPrivateEPv($20, $22); //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$4; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$copy; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0); //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($25)>>2)]=$23; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$2; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$copy; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__Z15js_GetXMLObjectP9JSContextP5JSXML($27, $28); //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $copy=0; //@line 3017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      __label__ = 10; break; //@line 3019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $35=$2; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$copy; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$36; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextPv($35, $37); //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$copy; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$38; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 11; break; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $40=$1; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $40; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8DeepCopyP9JSContextP5JSXMLP8JSObjectj["X"]=1;

function __ZL13DeepCopyInLRSP9JSContextP5JSXMLj($cx, $xml, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $copy;
      var $qn;
      var $ok;
      var $i;
      var $n;
      var $ns;
      var $ns2;
      var $stackDummy_=__stackBase__;
      $2=$cx;
      $3=$xml;
      $4=$flags;
      __label__ = 2; break; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $6=$stackDummy_; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$2; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+48)|0); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=HEAPU32[(($8)>>2)]; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($6)>>>0) < (($9)>>>0); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$2; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __Z21js_ReportOverRecursedP9JSContext($12); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 42; break; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 5; break; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $15=$2; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$3; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=__Z9js_NewXMLP9JSContext10JSXMLClass($15, $18); //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $copy=$19; //@line 3094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$copy; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)!=0; //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 42; break; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $24=$3; //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24+12)|0); //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$26; //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$qn; //@line 3098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27)|0)!=0; //@line 3098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 3098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $30=$2; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$qn; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=__ZNK8JSObject10getNameURIEv($31); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$qn; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZNK8JSObject13getNamePrefixEv($33); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$qn; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZNK8JSObject17getQNameLocalNameEv($35); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=__ZL11NewXMLQNameP9JSContextP14JSLinearStringS2_P6JSAtom($30, $32, $34, $36); //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$37; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$qn; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0)!=0; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $ok=0; //@line 3101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 3102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 11; break; //@line 3104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $43=$qn; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$copy; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44+12)|0); //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 3105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$3; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46+20)|0); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$copy; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49+20)|0); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($50)>>2)]=$48; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$3; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+16)|0); //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=HEAPU32[(($52)>>2)]; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)>>>0) >= 2; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $56=$3; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56+24)|0); //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$57; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$copy; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60+24)|0); //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$61; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($62)>>2)]=$59; //@line 3109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=1; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $64=$2; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$3; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+24)|0); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$66; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$copy; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69+24)|0); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$70; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71)|0); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$copy; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$4; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=__ZL16DeepCopySetInLRSP9JSContextP10JSXMLArrayS2_P5JSXMLj($64, $68, $72, $73, $74); //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$75; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$ok; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76)|0)!=0; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($77) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 39; break; //@line 3114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $80=$3; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+16)|0); //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82)|0)==0; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($83) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $85=$3; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85+24)|0); //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$86; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87+16)|0); //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$copy; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90+24)|0); //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$91; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+16)|0); //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($93)>>2)]=$89; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$3; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94+24)|0); //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$95; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96+20)|0); //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=$copy; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99+24)|0); //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$100; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101+20)|0); //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($102)>>2)]=$98; //@line 3118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $104=$3; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104+24)|0); //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$105; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106+16)|0); //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107)|0); //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$109; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$copy; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110+24)|0); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=$111; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=(($112+16)|0); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=$2; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$n; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=__ZN10JSXMLArray11setCapacityEP9JSContextj($113, $114, $115); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116)&1); //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$117; //@line 3121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=$ok; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=(($118)|0)!=0; //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($119) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      __label__ = 39; break; //@line 3123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $i=0; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $123=$i; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=$n; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($123)>>>0) < (($124)>>>0); //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($125) { __label__ = 21; break; } else { __label__ = 34; break; } //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $127=$i; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=$3; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128+24)|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$129; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130+16)|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($131)|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=HEAPU32[(($132)>>2)]; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=(($127)>>>0) < (($133)>>>0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($134) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $136=$i; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=$3; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137+24)|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=$138; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=(($139+16)|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140+8)|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142+($136<<2))|0); //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$144; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148 = $145;__label__ = 24; break; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $148 = 0;__label__ = 24; break; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $148; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$148; //@line 3125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=$ns; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149)|0)!=0; //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($150) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 3126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      __label__ = 33; break; //@line 3127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $153=$2; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$ns; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=__ZNK8JSObject13getNamePrefixEv($154); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=$ns; //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=__ZNK8JSObject10getNameURIEv($156); //@line 3128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=$ns; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=__ZL10IsDeclaredPK8JSObject($158); //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i($153, $155, $157, $159); //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$160; //@line 3129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$ns2; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=(($161)|0)!=0; //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($162) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 3130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $164=$i; //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=$copy; //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=(($165+24)|0); //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=$166; //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=(($167+16)|0); //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=(($168)|0); //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($169)>>2)]=$164; //@line 3131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=0; //@line 3132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      __label__ = 29; break; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $172=$copy; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=(($172+24)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=$173; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174+16)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=(($175)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=HEAPU32[(($176)>>2)]; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=$i; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=(($177)>>>0) <= (($178)>>>0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($179) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $181=$i; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=(($181+1)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=$copy; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=(($183+24)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=$184; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=(($185+16)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=(($186)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($187)>>2)]=$182; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $189=$ns2; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $190=$189; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $191=$i; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $192=$copy; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=(($192+24)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=$193; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=(($194+16)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $196=(($195+8)|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $197=HEAP32[(($196)>>2)]; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $198=(($197+($191<<2))|0); //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($198)>>2)]=$190; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 3135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      __label__ = 33; break; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $201=$i; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=(($201+1)|0); //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$202; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 3124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $204=$2; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $205=$3; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=(($205+24)|0); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=$206; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=(($207+32)|0); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $209=$copy; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $210=(($209+24)|0); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=$210; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $212=(($211+32)|0); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $213=$copy; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $214=__ZL16DeepCopySetInLRSP9JSContextP10JSXMLArrayS2_P5JSXMLj($204, $208, $212, $213, 0); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$214; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $215=$ok; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=(($215)|0)!=0; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($216) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      __label__ = 39; break; //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      __label__ = 37; break;
    case 37: 
      __label__ = 38; break;
    case 38: 
      __label__ = 39; break;
    case 39: 
      var $222=$ok; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $223=(($222)|0)!=0; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($223) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      $1=0; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 42; break; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $226=$copy; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$226; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 42; break; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $228=$1; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $228; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13DeepCopyInLRSP9JSContextP5JSXMLj["X"]=1;

function __ZL16DeepCopySetInLRSP9JSContextP10JSXMLArrayS2_P5JSXMLj($cx, $from, $to, $parent, $flags) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $j;
      var $n;
      var $kid2;
      var $str;
      var $cursor=__stackBase__;
      var $kid;
      var $7;
      $2=$cx;
      $3=$from;
      $4=$to;
      $5=$parent;
      $6=$flags;
      var $8=$3; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0); //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$10; //@line 3037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$4; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$2; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$n; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZN10JSXMLArray11setCapacityEP9JSContextj($11, $12, $13); //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 3039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$3; //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $17); //@line 3041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=0; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $19=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$19; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$20; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$kid; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0)!=0; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 30; break; } //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $24=$6; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$24 & 1; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $28=$kid; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+16)|0); //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)==5; //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 4; break; //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $34=$6; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34 & 2; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0)!=0; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $38=$kid; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+16)|0); //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)==3; //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 4; break; //@line 3050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $44=$6; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44 & 4; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $48=$kid; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48+20)|0); //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$50 & 1; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)|0)!=0; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 4; break; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $55=$2; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$kid; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$6; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=__ZL13DeepCopyInLRSP9JSContextP5JSXMLj($55, $56, $57); //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid2=$58; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=$kid2; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59)|0)!=0; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($60) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $62=$j; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$4; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)|0); //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($64)>>2)]=$62; //@line 3058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $7=1;
      __label__ = 33; break; //@line 3059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $66=$6; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$66 & 4; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=0; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 17; break; } else { __label__ = 22; break; } //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $70=$n; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)>>>0) > 1; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 18; break; } else { __label__ = 22; break; } //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $73=$kid2; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73+16)|0); //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0)==4; //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 3062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $78=$2; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$kid2; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79+24)|0); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$80; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=__ZL18ChompXMLWhitespaceP9JSContextP8JSString($78, $82); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$83; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$str; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84)|0)!=0; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($85) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $87=$j; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$4; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0); //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($89)>>2)]=$87; //@line 3066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $7=1;
      __label__ = 33; break; //@line 3067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $91=$str; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$kid2; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+24)|0); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$93; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($94)>>2)]=$91; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 23; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $97=$4; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=(($97)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=HEAPU32[(($98)>>2)]; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$j; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($99)>>>0) <= (($100)>>>0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($101) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $103=$j; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103+1)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$4; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($106)>>2)]=$104; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $108=$kid2; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$108; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$j; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$4; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111+8)|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113+($110<<2))|0); //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($114)>>2)]=$109; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 27; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $117=$j; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117+1)|0); //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$118; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$5; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119+16)|0); //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=(($121)|0)!=0; //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($122) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 3074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $124=$5; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$kid2; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125+8)|0); //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($126)>>2)]=$124; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __label__ = 4; break; //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $129=$j; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$n; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($129)>>>0) < (($130)>>>0); //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($131) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $133=$4; //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray4trimEv($133); //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 3079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      $1=1; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $7=1;
      __label__ = 33; break; //@line 3080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break;
    case 34: 
      var $137=$1; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $137; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16DeepCopySetInLRSP9JSContextP10JSXMLArrayS2_P5JSXMLj["X"]=1;

function __ZN2jsL42IsConstructing_PossiblyWithGivenThisObjectEPKN2JS5ValueEPP8JSObject($vp, $ctorThis) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $isCtor;
      $1=$vp;
      $2=$ctorThis;
      var $3=$1; //@line 387 "./jsfun.h"
      var $4=(($3+8)|0); //@line 387 "./jsfun.h"
      var $5=__ZNK2JS5Value7isMagicEv($4); //@line 387 "./jsfun.h"
      var $6=(($5)&1); //@line 387 "./jsfun.h"
      $isCtor=$6; //@line 387 "./jsfun.h"
      var $7=$isCtor; //@line 388 "./jsfun.h"
      var $8=(($7) & 1); //@line 388 "./jsfun.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 388 "./jsfun.h"
    case 2: 
      var $10=$1; //@line 389 "./jsfun.h"
      var $11=(($10+8)|0); //@line 389 "./jsfun.h"
      var $12=__ZNK2JS5Value27getMagicObjectOrNullPayloadEv($11); //@line 389 "./jsfun.h"
      var $13=$2; //@line 389 "./jsfun.h"
      HEAP32[(($13)>>2)]=$12; //@line 389 "./jsfun.h"
      __label__ = 3; break; //@line 389 "./jsfun.h"
    case 3: 
      var $15=$isCtor; //@line 390 "./jsfun.h"
      var $16=(($15) & 1); //@line 390 "./jsfun.h"
      ;
      return $16; //@line 390 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_FLAT_STRING4426($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 4111 "./jsapi.h"
  var $3=$2; //@line 4111 "./jsapi.h"
  ;
  return $3; //@line 4111 "./jsapi.h"
}


function _MAGIC_JSVAL_TO_OBJECT_OR_NULL_IMPL($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 519 "./jsval.h"
  var $2=(($1)|0); //@line 519 "./jsval.h"
  var $3=$2; //@line 519 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 519 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 519 "./jsval.h"
}


function __ZL11QNameHelperP9JSContextP8JSObjectiPN2JS5ValueES5_($cx, $obj, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 100; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $nameval=__stackBase__;
      var $nsval=__stackBase__+8;
      var $isQName;
      var $isNamespace;
      var $qn;
      var $uri;
      var $prefix;
      var $obj2;
      var $name=__stackBase__+16;
      var $7=__stackBase__+20;
      var $8=__stackBase__+28;
      var $9=__stackBase__+36;
      var $10=__stackBase__+44;
      var $11=__stackBase__+52;
      var $12=__stackBase__+60;
      var $13=__stackBase__+68;
      var $14=__stackBase__+76;
      var $15=__stackBase__+84;
      var $str;
      var $16=__stackBase__+92;
      $2=$cx;
      $3=$obj;
      $4=$argc;
      $5=$argv;
      $6=$rval;
      var $17=$4; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0) <= 0; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($18) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $20=$nameval; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $isQName=0; //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $22=$4; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0) > 1; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)&1); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$5; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25+($24<<3))|0); //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$nameval; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$26; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$7; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$nameval; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=_JSVAL_IS_PRIMITIVE4303($7); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { var $40 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $34=$8; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$nameval; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=_JSVAL_TO_OBJECT4304($8); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=__ZNK8JSObject8getClassEv($36); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)==((__ZN2js10QNameClassE)|0); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40 = $38;__label__ = 5; break;
    case 5: 
      var $40;
      var $41=(($40)&1);
      $isQName=$41;
      __label__ = 6; break;
    case 6: 
      var $43=$3; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 13; break; } else { __label__ = 7; break; } //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $46=$4; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0)==1; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $49=$isQName; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0)!=0; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($50) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $52=$6; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$52; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$nameval; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $56=$2; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=__ZL26NewBuiltinClassInstanceXMLP9JSContextPN2js5ClassE($56, __ZN2js10QNameClassE); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$57; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$3; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)!=0; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $63=$6; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$3; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($9, $64); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$63; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$9; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($65)>>2)]=HEAP32[(($66)>>2)];HEAP32[(($65+4)>>2)]=HEAP32[(($66+4)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$isQName; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=0; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $70=$10; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$nameval; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[(($71)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[(($71+4)>>2)]; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=_JSVAL_TO_OBJECT4304($10); //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$72; //@line 750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$4; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)==1; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $76=$qn; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=__ZNK8JSObject10getNameURIEv($76); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$77; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$qn; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=__ZNK8JSObject13getNamePrefixEv($78); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$79; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$qn; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=__ZNK8JSObject17getQNameLocalNameEv($80); //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($name)>>2)]=$81; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 56; break; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $83=$qn; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject20getQNameLocalNameValEv($11, $83); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$nameval; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$11; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($84)>>2)]=HEAP32[(($85)>>2)];HEAP32[(($84+4)>>2)]=HEAP32[(($85+4)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $87=$4; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87)|0)==0; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($88) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $90=$2; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90+52)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+144136)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=HEAP32[(($93)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($name)>>2)]=$94; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 25; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $96=$4; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96)|0) < 0; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($97) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $99=$2; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99+52)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101+209948)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102+36)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=HEAP32[(($104)>>2)]; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$105; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($name)>>2)]=$106; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 24; break; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $108=$2; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom($108, $nameval, $name); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($109) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      $1=0; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break;
    case 24: 
      __label__ = 25; break;
    case 25: 
      var $114=$4; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114)|0) > 1; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($115) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $117=$5; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$12; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$118; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($119)>>2)]=HEAP32[(($120)>>2)];HEAP32[(($119+4)>>2)]=HEAP32[(($120+4)>>2)]; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=_JSVAL_IS_VOID4396($12); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=(($121)|0)!=0; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($122) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $124=$5; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($124)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=$nsval; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=$125; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($126)>>2)]=HEAP32[(($127)>>2)];HEAP32[(($126+4)>>2)]=HEAP32[(($127+4)>>2)]; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $129=HEAP32[(($name)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$129; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=__ZNK8JSString6lengthEv($130); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($131)|0)==1; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($132) { __label__ = 29; break; } else { __label__ = 31; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $134=HEAP32[(($name)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$134; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=__ZNK14JSLinearString5charsEv($135); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=HEAPU16[(($136)>>1)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137)&65535); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138)|0)==42; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($139) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $141=$nsval; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($141)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($141+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $143=$2; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=__Z25js_GetDefaultXMLNamespaceP9JSContextPN2JS5ValueE($143, $nsval); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=(($144)|0)!=0; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($145) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      $1=0; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      __label__ = 34; break;
    case 34: 
      __label__ = 35; break;
    case 35: 
      var $150=$13; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=$nsval; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($150)>>2)]=HEAP32[(($151)>>2)];HEAP32[(($150+4)>>2)]=HEAP32[(($151+4)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=_JSVAL_IS_NULL4395($13); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=(($152)|0)!=0; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($153) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      $uri=0; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=0; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 55; break; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      $isQName=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $isNamespace=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=$14; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=$nsval; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($156)>>2)]=HEAP32[(($157)>>2)];HEAP32[(($156+4)>>2)]=HEAP32[(($157+4)>>2)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=_JSVAL_IS_PRIMITIVE4303($14); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($158)|0)!=0; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($159) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $161=$15; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=$nsval; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($161)>>2)]=HEAP32[(($162)>>2)];HEAP32[(($161+4)>>2)]=HEAP32[(($162+4)>>2)]; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=_JSVAL_TO_OBJECT4304($15); //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $obj2=$163; //@line 796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=$obj2; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=__ZNK8JSObject8getClassEv($164); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=(($165)|0)==((__ZN2js14NamespaceClassE)|0); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=(($166)&1); //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $isNamespace=$167; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=$obj2; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=__ZNK8JSObject8getClassEv($168); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=(($169)|0)==((__ZN2js10QNameClassE)|0); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=(($170)&1); //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $isQName=$171; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 40; break; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      $obj2=0; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 40; break;
    case 40: 
      var $174=$isNamespace; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174)|0)!=0; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($175) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $177=$obj2; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=__ZNK8JSObject10getNameURIEv($177); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$178; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=$obj2; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=__ZNK8JSObject13getNamePrefixEv($179); //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$180; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 54; break; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $182=$isQName; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=(($182)|0)!=0; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($183) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $185=$obj2; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=__ZNK8JSObject10getNameURIEv($185); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$186; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=(($186)|0)!=0; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($187) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $189=$obj2; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $190=__ZNK8JSObject13getNamePrefixEv($189); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$190; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $192=$2; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($192, $nsval); //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$193; //@line 812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=$str; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=(($194)|0)!=0; //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($195) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      $1=0; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      var $198=$str; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $199=$2; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $200=__ZN8JSString12ensureLinearEP9JSContext($198, $199); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$200; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $201=$uri; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=(($201)|0)!=0; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($202) { __label__ = 49; break; } else { __label__ = 48; break; } //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      $1=0; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $205=$5; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=(($205)|0); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=$uri; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=$207; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($16, $208); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $209=$206; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $210=$16; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($209)>>2)]=HEAP32[(($210)>>2)];HEAP32[(($209+4)>>2)]=HEAP32[(($210+4)>>2)]; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=$uri; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $212=$211; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $213=__ZNK8JSString5emptyEv($212); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($213) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 50: 
      var $215=$2; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=(($215+52)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=(($217+144136)|0); //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219=HEAP32[(($218)>>2)]; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $222 = $219;__label__ = 52; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      var $222 = 0;__label__ = 52; break; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 52: 
      var $222; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $223=$222; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$223; //@line 821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break;
    case 53: 
      __label__ = 54; break;
    case 54: 
      __label__ = 55; break;
    case 55: 
      __label__ = 56; break;
    case 56: 
      var $228=$2; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $229=$3; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $230=$uri; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $231=$prefix; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $232=HEAP32[(($name)>>2)]; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $233=__ZL12InitXMLQNameP9JSContextP8JSObjectP14JSLinearStringS4_P6JSAtom($228, $229, $230, $231, $232); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $234=(($233)&1); //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$234; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 57: 
      var $236=$1; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $236; //@line 827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11QNameHelperP9JSContextP8JSObjectiPN2JS5ValueES5_["X"]=1;

function __ZNK8JSObject20getQNameLocalNameValEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 2); //@line 756 "./jsobjinlines.h"
  var $4=$agg_result; //@line 756 "./jsobjinlines.h"
  var $5=$3; //@line 756 "./jsobjinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 756 "./jsobjinlines.h"
  ;
  return; //@line 756 "./jsobjinlines.h"
}


function __ZNK2JS5Value27getMagicObjectOrNullPayloadEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  var $4=(($3)|0); //@line 315 "./jsapi.h"
  var $5=$2; //@line 315 "./jsapi.h"
  var $6=$4; //@line 315 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 315 "./jsapi.h"
  var $7=_MAGIC_JSVAL_TO_OBJECT_OR_NULL_IMPL($2); //@line 315 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 315 "./jsapi.h"
}


function __ZN8JSObject17setQNameLocalNameEP6JSAtom($this, $name) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$this;
      $2=$name;
      var $4=$1;
      var $5=$2; //@line 763 "./jsobjinlines.h"
      var $6=(($5)|0)!=0; //@line 763 "./jsobjinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 763 "./jsobjinlines.h"
    case 2: 
      var $8=$2; //@line 763 "./jsobjinlines.h"
      var $9=$8; //@line 763 "./jsobjinlines.h"
      __ZN2JSL11StringValueEP8JSString4311($3, $9); //@line 763 "./jsobjinlines.h"
      __label__ = 4; break; //@line 763 "./jsobjinlines.h"
    case 3: 
      __ZN2JSL14UndefinedValueEv4406($3); //@line 763 "./jsobjinlines.h"
      __label__ = 4; break; //@line 763 "./jsobjinlines.h"
    case 4: 
      __ZN8JSObject7setSlotEjRKN2JS5ValueE($4, 2, $3); //@line 763 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return; //@line 764 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19QNameNameURI_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $7=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZNK8JSObject8getClassEv($7); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)==((__ZN2js10QNameClassE)|0); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $11=$4; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject13getNameURIValEv($6, $12); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=_JSVAL_IS_VOID4396($6); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$5; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $18=$2; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject13getNameURIValEv($5, $18); //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $20=$11; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$5; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      STACKTOP = __stackBase__;
      return 1; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21QNameLocalName_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $6=$2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZNK8JSObject8getClassEv($6); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)==((__ZN2js10QNameClassE)|0); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$4; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$2; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject20getQNameLocalNameValEv($5, $11); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$10; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$5; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return 1; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject13getNameURIValEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 1); //@line 720 "./jsobjinlines.h"
  var $4=$agg_result; //@line 720 "./jsobjinlines.h"
  var $5=$3; //@line 720 "./jsobjinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 720 "./jsobjinlines.h"
  ;
  return; //@line 720 "./jsobjinlines.h"
}


function __ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4423($values, $count, $key) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $capacity;
      var $pos;
      $2=$values;
      $3=$count;
      $4=$key;
      var $5=$3; //@line 896 "./jsinferinlines.h"
      var $6=(($5)|0)==0; //@line 896 "./jsinferinlines.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 896 "./jsinferinlines.h"
    case 2: 
      $1=0; //@line 897 "./jsinferinlines.h"
      __label__ = 22; break; //@line 897 "./jsinferinlines.h"
    case 3: 
      var $9=$3; //@line 899 "./jsinferinlines.h"
      var $10=(($9)|0)==1; //@line 899 "./jsinferinlines.h"
      if ($10) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 899 "./jsinferinlines.h"
    case 4: 
      var $12=$2; //@line 900 "./jsinferinlines.h"
      var $13=$12; //@line 900 "./jsinferinlines.h"
      var $14=__ZN2js5types8Property6getKeyEPS1_($13); //@line 900 "./jsinferinlines.h"
      var $15=$4; //@line 900 "./jsinferinlines.h"
      var $16=(($14)|0)==(($15)|0); //@line 900 "./jsinferinlines.h"
      if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 900 "./jsinferinlines.h"
    case 5: 
      var $18=$2; //@line 900 "./jsinferinlines.h"
      var $19=$18; //@line 900 "./jsinferinlines.h"
      var $22 = $19;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 6: 
      var $22 = 0;__label__ = 7; break; //@line 900 "./jsinferinlines.h"
    case 7: 
      var $22; //@line 900 "./jsinferinlines.h"
      $1=$22; //@line 900 "./jsinferinlines.h"
      __label__ = 22; break; //@line 900 "./jsinferinlines.h"
    case 8: 
      var $24=$3; //@line 902 "./jsinferinlines.h"
      var $25=(($24)>>>0) <= 8; //@line 902 "./jsinferinlines.h"
      if ($25) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 902 "./jsinferinlines.h"
    case 9: 
      $i=0; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 10: 
      var $28=$i; //@line 903 "./jsinferinlines.h"
      var $29=$3; //@line 903 "./jsinferinlines.h"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 903 "./jsinferinlines.h"
      if ($30) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 903 "./jsinferinlines.h"
    case 11: 
      var $32=$i; //@line 904 "./jsinferinlines.h"
      var $33=$2; //@line 904 "./jsinferinlines.h"
      var $34=(($33+($32<<2))|0); //@line 904 "./jsinferinlines.h"
      var $35=HEAP32[(($34)>>2)]; //@line 904 "./jsinferinlines.h"
      var $36=__ZN2js5types8Property6getKeyEPS1_($35); //@line 904 "./jsinferinlines.h"
      var $37=$4; //@line 904 "./jsinferinlines.h"
      var $38=(($36)|0)==(($37)|0); //@line 904 "./jsinferinlines.h"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 904 "./jsinferinlines.h"
    case 12: 
      var $40=$i; //@line 905 "./jsinferinlines.h"
      var $41=$2; //@line 905 "./jsinferinlines.h"
      var $42=(($41+($40<<2))|0); //@line 905 "./jsinferinlines.h"
      var $43=HEAP32[(($42)>>2)]; //@line 905 "./jsinferinlines.h"
      $1=$43; //@line 905 "./jsinferinlines.h"
      __label__ = 22; break; //@line 905 "./jsinferinlines.h"
    case 13: 
      __label__ = 14; break; //@line 906 "./jsinferinlines.h"
    case 14: 
      var $46=$i; //@line 903 "./jsinferinlines.h"
      var $47=(($46+1)|0); //@line 903 "./jsinferinlines.h"
      $i=$47; //@line 903 "./jsinferinlines.h"
      __label__ = 10; break; //@line 903 "./jsinferinlines.h"
    case 15: 
      $1=0; //@line 907 "./jsinferinlines.h"
      __label__ = 22; break; //@line 907 "./jsinferinlines.h"
    case 16: 
      var $50=$3; //@line 910 "./jsinferinlines.h"
      var $51=__ZN2js5typesL15HashSetCapacityEj4424($50); //@line 910 "./jsinferinlines.h"
      $capacity=$51; //@line 910 "./jsinferinlines.h"
      var $52=$4; //@line 911 "./jsinferinlines.h"
      var $53=__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4425($52); //@line 911 "./jsinferinlines.h"
      var $54=$capacity; //@line 911 "./jsinferinlines.h"
      var $55=(($54-1)|0); //@line 911 "./jsinferinlines.h"
      var $56=$53 & $55; //@line 911 "./jsinferinlines.h"
      $pos=$56; //@line 911 "./jsinferinlines.h"
      __label__ = 17; break; //@line 913 "./jsinferinlines.h"
    case 17: 
      var $58=$pos; //@line 913 "./jsinferinlines.h"
      var $59=$2; //@line 913 "./jsinferinlines.h"
      var $60=(($59+($58<<2))|0); //@line 913 "./jsinferinlines.h"
      var $61=HEAP32[(($60)>>2)]; //@line 913 "./jsinferinlines.h"
      var $62=(($61)|0)!=0; //@line 913 "./jsinferinlines.h"
      if ($62) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 913 "./jsinferinlines.h"
    case 18: 
      var $64=$pos; //@line 914 "./jsinferinlines.h"
      var $65=$2; //@line 914 "./jsinferinlines.h"
      var $66=(($65+($64<<2))|0); //@line 914 "./jsinferinlines.h"
      var $67=HEAP32[(($66)>>2)]; //@line 914 "./jsinferinlines.h"
      var $68=__ZN2js5types8Property6getKeyEPS1_($67); //@line 914 "./jsinferinlines.h"
      var $69=$4; //@line 914 "./jsinferinlines.h"
      var $70=(($68)|0)==(($69)|0); //@line 914 "./jsinferinlines.h"
      if ($70) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 914 "./jsinferinlines.h"
    case 19: 
      var $72=$pos; //@line 915 "./jsinferinlines.h"
      var $73=$2; //@line 915 "./jsinferinlines.h"
      var $74=(($73+($72<<2))|0); //@line 915 "./jsinferinlines.h"
      var $75=HEAP32[(($74)>>2)]; //@line 915 "./jsinferinlines.h"
      $1=$75; //@line 915 "./jsinferinlines.h"
      __label__ = 22; break; //@line 915 "./jsinferinlines.h"
    case 20: 
      var $77=$pos; //@line 916 "./jsinferinlines.h"
      var $78=(($77+1)|0); //@line 916 "./jsinferinlines.h"
      var $79=$capacity; //@line 916 "./jsinferinlines.h"
      var $80=(($79-1)|0); //@line 916 "./jsinferinlines.h"
      var $81=$78 & $80; //@line 916 "./jsinferinlines.h"
      $pos=$81; //@line 916 "./jsinferinlines.h"
      __label__ = 17; break; //@line 917 "./jsinferinlines.h"
    case 21: 
      $1=0; //@line 919 "./jsinferinlines.h"
      __label__ = 22; break; //@line 919 "./jsinferinlines.h"
    case 22: 
      var $84=$1; //@line 920 "./jsinferinlines.h"
      ;
      return $84; //@line 920 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4423["X"]=1;

function __ZN2js5typesL15HashSetCapacityEj4424($count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $log2;
      $2=$count;
      var $3=$2; //@line 772 "./jsinferinlines.h"
      var $4=(($3)>>>0) <= 8; //@line 772 "./jsinferinlines.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 772 "./jsinferinlines.h"
    case 2: 
      $1=8; //@line 773 "./jsinferinlines.h"
      __label__ = 6; break; //@line 773 "./jsinferinlines.h"
    case 3: 
      __label__ = 4; break; //@line 776 "./jsinferinlines.h"
    case 4: 
      var $8=$2; //@line 776 "./jsinferinlines.h"
      var $9=$8 | 1; //@line 776 "./jsinferinlines.h"
      var $10=_llvm_ctlz_i32($9); //@line 776 "./jsinferinlines.h"
      var $11=((31-$10)|0); //@line 776 "./jsinferinlines.h"
      $log2=$11; //@line 776 "./jsinferinlines.h"
      __label__ = 5; break; //@line 776 "./jsinferinlines.h"
    case 5: 
      var $13=$log2; //@line 777 "./jsinferinlines.h"
      var $14=(($13+2)|0); //@line 777 "./jsinferinlines.h"
      var $15=1 << $14; //@line 777 "./jsinferinlines.h"
      $1=$15; //@line 777 "./jsinferinlines.h"
      __label__ = 6; break; //@line 777 "./jsinferinlines.h"
    case 6: 
      var $17=$1; //@line 778 "./jsinferinlines.h"
      ;
      return $17; //@line 778 "./jsinferinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4425($v) {
  ;
  var __label__;

  var $1;
  var $nv;
  var $hash;
  $1=$v;
  var $2=$1; //@line 785 "./jsinferinlines.h"
  var $3=__ZN2js5types8Property7keyBitsEi($2); //@line 785 "./jsinferinlines.h"
  $nv=$3; //@line 785 "./jsinferinlines.h"
  var $4=$nv; //@line 787 "./jsinferinlines.h"
  var $5=$4 & 255; //@line 787 "./jsinferinlines.h"
  var $6=84696351 ^ $5; //@line 787 "./jsinferinlines.h"
  $hash=$6; //@line 787 "./jsinferinlines.h"
  var $7=$hash; //@line 788 "./jsinferinlines.h"
  var $8=(($7*16777619)|0); //@line 788 "./jsinferinlines.h"
  var $9=$nv; //@line 788 "./jsinferinlines.h"
  var $10=$9 >>> 8; //@line 788 "./jsinferinlines.h"
  var $11=$10 & 255; //@line 788 "./jsinferinlines.h"
  var $12=$8 ^ $11; //@line 788 "./jsinferinlines.h"
  $hash=$12; //@line 788 "./jsinferinlines.h"
  var $13=$hash; //@line 789 "./jsinferinlines.h"
  var $14=(($13*16777619)|0); //@line 789 "./jsinferinlines.h"
  var $15=$nv; //@line 789 "./jsinferinlines.h"
  var $16=$15 >>> 16; //@line 789 "./jsinferinlines.h"
  var $17=$16 & 255; //@line 789 "./jsinferinlines.h"
  var $18=$14 ^ $17; //@line 789 "./jsinferinlines.h"
  $hash=$18; //@line 789 "./jsinferinlines.h"
  var $19=$hash; //@line 790 "./jsinferinlines.h"
  var $20=(($19*16777619)|0); //@line 790 "./jsinferinlines.h"
  var $21=$nv; //@line 790 "./jsinferinlines.h"
  var $22=$21 >>> 24; //@line 790 "./jsinferinlines.h"
  var $23=$22 & 255; //@line 790 "./jsinferinlines.h"
  var $24=$20 ^ $23; //@line 790 "./jsinferinlines.h"
  ;
  return $24; //@line 790 "./jsinferinlines.h"
}


function __ZL17NamePrefix_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $6=$2; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZNK8JSObject8getClassEv($6); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)==((__ZN2js14NamespaceClassE)|0); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$4; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$2; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject16getNamePrefixValEv($5, $11); //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$10; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$5; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return 1; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14NameURI_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $6=$2; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZNK8JSObject8getClassEv($6); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)==((__ZN2js14NamespaceClassE)|0); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $10=$4; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$2; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZNK8JSObject13getNameURIValEv($5, $11); //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$10; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$5; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return 1; //@line 196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK8JSObject16getNamePrefixValEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZNK8JSObject7getSlotEj($2, 0); //@line 691 "./jsobjinlines.h"
  var $4=$agg_result; //@line 691 "./jsobjinlines.h"
  var $5=$3; //@line 691 "./jsobjinlines.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)]; //@line 691 "./jsobjinlines.h"
  ;
  return; //@line 691 "./jsobjinlines.h"
}


function __ZN2jsL16GetClassProtoKeyEPNS_5ClassE4430($clasp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $key;
      $2=$clasp;
      var $3=$2; //@line 1365 "./jsobjinlines.h"
      var $4=(($3+4)|0); //@line 1365 "./jsobjinlines.h"
      var $5=HEAPU32[(($4)>>2)]; //@line 1365 "./jsobjinlines.h"
      var $6=$5 >>> 24; //@line 1365 "./jsobjinlines.h"
      var $7=$6 & 255; //@line 1365 "./jsobjinlines.h"
      $key=$7; //@line 1365 "./jsobjinlines.h"
      var $8=$key; //@line 1366 "./jsobjinlines.h"
      var $9=(($8)|0)!=0; //@line 1366 "./jsobjinlines.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1366 "./jsobjinlines.h"
    case 2: 
      var $11=$key; //@line 1367 "./jsobjinlines.h"
      $1=$11; //@line 1367 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1367 "./jsobjinlines.h"
    case 3: 
      var $13=$2; //@line 1368 "./jsobjinlines.h"
      var $14=(($13+4)|0); //@line 1368 "./jsobjinlines.h"
      var $15=HEAP32[(($14)>>2)]; //@line 1368 "./jsobjinlines.h"
      var $16=$15 & 131072; //@line 1368 "./jsobjinlines.h"
      var $17=(($16)|0)!=0; //@line 1368 "./jsobjinlines.h"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1368 "./jsobjinlines.h"
    case 4: 
      $1=1; //@line 1369 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1369 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1370 "./jsobjinlines.h"
      __label__ = 6; break; //@line 1370 "./jsobjinlines.h"
    case 6: 
      var $21=$1; //@line 1371 "./jsobjinlines.h"
      ;
      return $21; //@line 1371 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15NamespaceHelperP9JSContextP8JSObjectiPN2JS5ValueES5_($cx, $obj, $argc, $argv, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 76; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $urival=__stackBase__;
      var $prefixval=__stackBase__+8;
      var $uriobj;
      var $isNamespace;
      var $isQName;
      var $clasp;
      var $empty;
      var $prefix;
      var $uri;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $str;
      var $str1;
      var $10=__stackBase__+40;
      var $str2;
      var $bytes=__stackBase__+48;
      var $11=__stackBase__+52;
      var $12;
      var $13=__stackBase__+60;
      var $14=__stackBase__+68;
      var $str3;
      $2=$cx;
      $3=$obj;
      $4=$argc;
      $5=$argv;
      $6=$rval;
      $isQName=0; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $isNamespace=0; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uriobj=0; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$4; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0) <= 0; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $18=$urival; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 6; break; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $20=$4; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0) > 1; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)&1); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$5; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+($22<<3))|0); //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$urival; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$24; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$7; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$urival; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=_JSVAL_IS_PRIMITIVE4303($7); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $32=$8; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$urival; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=_JSVAL_TO_OBJECT4304($8); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uriobj=$34; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$uriobj; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=__ZNK8JSObject8getClassEv($35); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $clasp=$36; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$clasp; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)==((__ZN2js14NamespaceClassE)|0); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)&1); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $isNamespace=$39; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$clasp; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)==((__ZN2js10QNameClassE)|0); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)&1); //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $isQName=$42; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $45=$3; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 13; break; } else { __label__ = 7; break; } //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $48=$4; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)==1; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $51=$isNamespace; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51)|0)!=0; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($52) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $54=$6; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$54; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$urival; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $58=$2; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=__ZL26NewBuiltinClassInstanceXMLP9JSContextPN2js5ClassE($58, __ZN2js14NamespaceClassE); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$59; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$3; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0)!=0; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($61) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $65=$2; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$3; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=_JS_DefineProperties($65, $66, ((__ZL15namespace_props)|0)); //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=0; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=0; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $71=$6; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$3; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($9, $72); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$71; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$9; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($73)>>2)]=HEAP32[(($74)>>2)];HEAP32[(($73+4)>>2)]=HEAP32[(($74+4)>>2)]; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$2; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75+52)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77+144136)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$79; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $empty=$80; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$3; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$empty; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($81, $82); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$3; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$empty; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($83, $84); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$4; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85)|0)==1; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($86) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $88=$4; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0)==-1; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($89) { __label__ = 17; break; } else { __label__ = 31; break; } //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $91=$isNamespace; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91)|0)!=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($92) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $94=$3; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$uriobj; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=__ZNK8JSObject10getNameURIEv($95); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($94, $96); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$3; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$uriobj; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=__ZNK8JSObject13getNamePrefixEv($98); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($97, $99); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 30; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $101=$isQName; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0)!=0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($102) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $104=$uriobj; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=__ZNK8JSObject10getNameURIEv($104); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$105; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0)!=0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $108=$3; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$uri; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($108, $109); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$3; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$uriobj; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=__ZNK8JSObject13getNamePrefixEv($111); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($110, $112); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $114=$2; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($114, $urival); //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$115; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$str; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116)|0)!=0; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($117) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $1=0; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $120=$str; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=$2; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=__ZN8JSString12ensureLinearEP9JSContext($120, $121); //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$122; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$uri; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($123)|0)!=0; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($124) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $1=0; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $127=$3; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=$uri; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($127, $128); //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=$uri; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$129; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=__ZNK8JSString5emptyEv($130); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($131) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $133=$3; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject15clearNamePrefixEv($133); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      __label__ = 29; break;
    case 29: 
      __label__ = 30; break;
    case 30: 
      __label__ = 60; break; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $138=$4; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138)|0)==2; //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($139) { __label__ = 32; break; } else { __label__ = 59; break; } //@line 660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $141=$isQName; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=(($141)|0)!=0; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($142) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $144=$uriobj; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=__ZNK8JSObject10getNameURIEv($144); //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$145; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=(($145)|0)!=0; //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($146) { __label__ = 39; break; } else { __label__ = 34; break; } //@line 661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $148=$2; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($148, $urival); //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str1=$149; //@line 662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=$str1; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=(($150)|0)!=0; //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($151) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      $1=0; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $154=$str1; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=$2; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=__ZN8JSString12ensureLinearEP9JSContext($154, $155); //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$156; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=$uri; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=(($157)|0)!=0; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($158) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      $1=0; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      __label__ = 39; break; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $162=$3; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$uri; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject10setNameURIEP14JSLinearString($162, $163); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=$5; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=$prefixval; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=$165; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($166)>>2)]=HEAP32[(($167)>>2)];HEAP32[(($166+4)>>2)]=HEAP32[(($167+4)>>2)]; //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=$uri; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=$168; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=__ZNK8JSString5emptyEv($169); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($170) { __label__ = 40; break; } else { __label__ = 49; break; } //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $172=$10; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=$prefixval; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($172)>>2)]=HEAP32[(($173)>>2)];HEAP32[(($172+4)>>2)]=HEAP32[(($173+4)>>2)]; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=_JSVAL_IS_VOID4396($10); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174)|0)!=0; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($175) { __label__ = 48; break; } else { __label__ = 41; break; } //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $177=$2; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($177, $prefixval); //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str2=$178; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=$str2; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=(($179)|0)!=0; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($180) { __label__ = 43; break; } else { __label__ = 42; break; } //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      $1=0; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $183=$str2; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=__ZNK8JSString5emptyEv($183); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($184) { __label__ = 47; break; } else { __label__ = 44; break; } //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=$2; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=$str2; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11StringValueEP8JSString4311($11, $187); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $188=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($186, $11, $bytes, 0); //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $189=(($188)|0)!=0; //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($189) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $191=$2; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $192=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($191, 2, 0, 177, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$192,tempInt)); //@line 681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      $1=0; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $12=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break;
    case 47: 
      __label__ = 48; break; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      __label__ = 58; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $197=$13; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $198=$prefixval; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($197)>>2)]=HEAP32[(($198)>>2)];HEAP32[(($197+4)>>2)]=HEAP32[(($198+4)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $199=_JSVAL_IS_VOID4396($13); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $200=(($199)|0)!=0; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($200) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 50: 
      var $202=$2; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $203=$14; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $204=$prefixval; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($203)>>2)]=HEAP32[(($204)>>2)];HEAP32[(($203+4)>>2)]=HEAP32[(($204+4)>>2)]; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $205=__Z12js_IsXMLNameP9JSContextN2JS5ValueE($202, $14); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=(($205)|0)!=0; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($206) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      var $208=$3; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject15clearNamePrefixEv($208); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 52: 
      var $210=$2; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $211=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($210, $prefixval); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str3=$211; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $212=$str3; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $213=(($212)|0)!=0; //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($213) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 53: 
      $1=0; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 54: 
      var $216=$str3; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=$2; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=__ZN8JSString12ensureLinearEP9JSContext($216, $217); //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$218; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219=$prefix; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $220=(($219)|0)!=0; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($220) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 55: 
      $1=0; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 56: 
      var $223=$3; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $224=$prefix; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject13setNamePrefixEP14JSLinearString($223, $224); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 57; break;
    case 57: 
      __label__ = 58; break;
    case 58: 
      __label__ = 59; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 59: 
      __label__ = 60; break;
    case 60: 
      $1=1; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 61; break; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 61: 
      var $230=$1; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $230; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15NamespaceHelperP9JSContextP8JSObjectiPN2JS5ValueES5_["X"]=1;

function __ZN8JSObject15clearNamePrefixEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$this;
  var $3=$1;
  __ZN2JSL14UndefinedValueEv4406($2); //@line 705 "./jsobjinlines.h"
  __ZN8JSObject7setSlotEjRKN2JS5ValueE($3, 0, $2); //@line 705 "./jsobjinlines.h"
  STACKTOP = __stackBase__;
  return; //@line 706 "./jsobjinlines.h"
}


function __ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4427($cx, $clasp, $proto, $parent) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $kind;
  $1=$cx;
  $2=$clasp;
  $3=$proto;
  $4=$parent;
  var $5=$2; //@line 1505 "./jsobjinlines.h"
  var $6=(($5+4)|0); //@line 1505 "./jsobjinlines.h"
  var $7=HEAPU32[(($6)>>2)]; //@line 1505 "./jsobjinlines.h"
  var $8=$7 >>> 8; //@line 1505 "./jsobjinlines.h"
  var $9=$8 & 255; //@line 1505 "./jsobjinlines.h"
  var $10=__ZN2js2gcL15GetGCObjectKindEjb4379($9, 0); //@line 1505 "./jsobjinlines.h"
  $kind=$10; //@line 1505 "./jsobjinlines.h"
  var $11=$1; //@line 1506 "./jsobjinlines.h"
  var $12=$2; //@line 1506 "./jsobjinlines.h"
  var $13=$3; //@line 1506 "./jsobjinlines.h"
  var $14=$4; //@line 1506 "./jsobjinlines.h"
  var $15=$kind; //@line 1506 "./jsobjinlines.h"
  var $16=__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4428($11, $12, $13, $14, $15); //@line 1506 "./jsobjinlines.h"
  ;
  return $16; //@line 1506 "./jsobjinlines.h"
}


function __ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4428($cx, $clasp, $proto, $parent, $kind) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4=__stackBase__;
      var $5;
      var $6;
      var $type;
      var $obj;
      $2=$cx;
      $3=$clasp;
      HEAP32[(($4)>>2)]=$proto;
      $5=$parent;
      $6=$kind;
      var $7=HEAP32[(($4)>>2)]; //@line 1426 "./jsobjinlines.h"
      var $8=(($7)|0)!=0; //@line 1426 "./jsobjinlines.h"
      if ($8) { __label__ = 5; break; } else { __label__ = 2; break; } //@line 1426 "./jsobjinlines.h"
    case 2: 
      var $10=$2; //@line 1427 "./jsobjinlines.h"
      var $11=$3; //@line 1427 "./jsobjinlines.h"
      var $12=$5; //@line 1427 "./jsobjinlines.h"
      var $13=__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_4429($10, $11, $12, $4); //@line 1427 "./jsobjinlines.h"
      if ($13) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1427 "./jsobjinlines.h"
    case 3: 
      $1=0; //@line 1428 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1428 "./jsobjinlines.h"
    case 4: 
      __label__ = 5; break; //@line 1429 "./jsobjinlines.h"
    case 5: 
      var $17=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $18=(($17)|0)!=0; //@line 1431 "./jsobjinlines.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1431 "./jsobjinlines.h"
    case 6: 
      var $20=HEAP32[(($4)>>2)]; //@line 1431 "./jsobjinlines.h"
      var $21=$2; //@line 1431 "./jsobjinlines.h"
      var $22=__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb($20, $21, 0, 0); //@line 1431 "./jsobjinlines.h"
      var $25 = $22;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 7: 
      var $25 = __ZN2js5types15emptyTypeObjectE;__label__ = 8; break; //@line 1431 "./jsobjinlines.h"
    case 8: 
      var $25; //@line 1431 "./jsobjinlines.h"
      $type=$25; //@line 1431 "./jsobjinlines.h"
      var $26=$type; //@line 1432 "./jsobjinlines.h"
      var $27=(($26)|0)!=0; //@line 1432 "./jsobjinlines.h"
      if ($27) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1432 "./jsobjinlines.h"
    case 9: 
      $1=0; //@line 1433 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1433 "./jsobjinlines.h"
    case 10: 
      var $30=$6; //@line 1443 "./jsobjinlines.h"
      var $31=$3; //@line 1443 "./jsobjinlines.h"
      var $32=__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4381($30, $31); //@line 1443 "./jsobjinlines.h"
      if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1443 "./jsobjinlines.h"
    case 11: 
      var $34=$6; //@line 1444 "./jsobjinlines.h"
      var $35=__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4382($34); //@line 1444 "./jsobjinlines.h"
      $6=$35; //@line 1444 "./jsobjinlines.h"
      __label__ = 12; break; //@line 1444 "./jsobjinlines.h"
    case 12: 
      var $37=$2; //@line 1446 "./jsobjinlines.h"
      var $38=$6; //@line 1446 "./jsobjinlines.h"
      var $39=__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE($37, $38); //@line 1446 "./jsobjinlines.h"
      $obj=$39; //@line 1446 "./jsobjinlines.h"
      var $40=$obj; //@line 1447 "./jsobjinlines.h"
      var $41=(($40)|0)!=0; //@line 1447 "./jsobjinlines.h"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 1447 "./jsobjinlines.h"
    case 13: 
      __label__ = 24; break; //@line 1448 "./jsobjinlines.h"
    case 14: 
      var $44=$obj; //@line 1457 "./jsobjinlines.h"
      var $45=$2; //@line 1457 "./jsobjinlines.h"
      var $46=$3; //@line 1457 "./jsobjinlines.h"
      var $47=$type; //@line 1457 "./jsobjinlines.h"
      var $48=$5; //@line 1457 "./jsobjinlines.h"
      var $49=(($48)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($49) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 1457 "./jsobjinlines.h"
    case 15: 
      var $51=HEAP32[(($4)>>2)]; //@line 1457 "./jsobjinlines.h"
      var $52=(($51)|0)!=0; //@line 1457 "./jsobjinlines.h"
      if ($52) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1457 "./jsobjinlines.h"
    case 16: 
      var $54=HEAP32[(($4)>>2)]; //@line 1458 "./jsobjinlines.h"
      var $55=__ZNK8JSObject9getParentEv($54); //@line 1458 "./jsobjinlines.h"
      var $59 = $55;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 17: 
      var $57=$5; //@line 1458 "./jsobjinlines.h"
      var $59 = $57;__label__ = 18; break; //@line 1458 "./jsobjinlines.h"
    case 18: 
      var $59; //@line 1458 "./jsobjinlines.h"
      var $60=$3; //@line 1458 "./jsobjinlines.h"
      var $61=(($60)|0)==((__ZN2js10ArrayClassE)|0); //@line 1458 "./jsobjinlines.h"
      __ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb($44, $45, $46, $47, $59, 0, $61); //@line 1458 "./jsobjinlines.h"
      var $62=$3; //@line 1461 "./jsobjinlines.h"
      var $63=__ZNK2js5Class8isNativeEv($62); //@line 1461 "./jsobjinlines.h"
      if ($63) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 1461 "./jsobjinlines.h"
    case 19: 
      var $65=$2; //@line 1462 "./jsobjinlines.h"
      var $66=$obj; //@line 1462 "./jsobjinlines.h"
      var $67=$3; //@line 1462 "./jsobjinlines.h"
      var $68=$type; //@line 1462 "./jsobjinlines.h"
      var $69=$6; //@line 1462 "./jsobjinlines.h"
      var $70=__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4383($65, $66, $67, $68, $69); //@line 1462 "./jsobjinlines.h"
      if ($70) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1462 "./jsobjinlines.h"
    case 20: 
      $obj=0; //@line 1463 "./jsobjinlines.h"
      __label__ = 24; break; //@line 1464 "./jsobjinlines.h"
    case 21: 
      __label__ = 23; break; //@line 1466 "./jsobjinlines.h"
    case 22: 
      var $74=$obj; //@line 1467 "./jsobjinlines.h"
      __ZN8JSObject21setSharedNonNativeMapEv($74); //@line 1467 "./jsobjinlines.h"
      __label__ = 23; break;
    case 23: 
      __label__ = 24; break;
    case 24: 
      var $77=$2; //@line 1471 "./jsobjinlines.h"
      var $78=$obj; //@line 1471 "./jsobjinlines.h"
      var $79=__ZN2js6Probes12createObjectEP9JSContextP8JSObject($77, $78); //@line 1471 "./jsobjinlines.h"
      var $80=$obj; //@line 1472 "./jsobjinlines.h"
      $1=$80; //@line 1472 "./jsobjinlines.h"
      __label__ = 25; break; //@line 1472 "./jsobjinlines.h"
    case 25: 
      var $82=$1; //@line 1473 "./jsobjinlines.h"
      STACKTOP = __stackBase__;
      return $82; //@line 1473 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4428["X"]=1;

function __ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_4429($cx, $clasp, $parent, $proto) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $protoKey;
      $2=$cx;
      $3=$clasp;
      $4=$parent;
      $5=$proto;
      var $6=$3; //@line 1409 "./jsobjinlines.h"
      var $7=__ZN2jsL16GetClassProtoKeyEPNS_5ClassE4430($6); //@line 1409 "./jsobjinlines.h"
      $protoKey=$7; //@line 1409 "./jsobjinlines.h"
      var $8=$2; //@line 1410 "./jsobjinlines.h"
      var $9=$4; //@line 1410 "./jsobjinlines.h"
      var $10=$protoKey; //@line 1410 "./jsobjinlines.h"
      var $11=$5; //@line 1410 "./jsobjinlines.h"
      var $12=$3; //@line 1410 "./jsobjinlines.h"
      var $13=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($8, $9, $10, $11, $12); //@line 1410 "./jsobjinlines.h"
      var $14=(($13)|0)!=0; //@line 1410 "./jsobjinlines.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1410 "./jsobjinlines.h"
    case 2: 
      $1=0; //@line 1411 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1411 "./jsobjinlines.h"
    case 3: 
      var $17=$5; //@line 1412 "./jsobjinlines.h"
      var $18=HEAP32[(($17)>>2)]; //@line 1412 "./jsobjinlines.h"
      var $19=(($18)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($19) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1412 "./jsobjinlines.h"
    case 4: 
      var $21=$2; //@line 1412 "./jsobjinlines.h"
      var $22=$4; //@line 1412 "./jsobjinlines.h"
      var $23=$5; //@line 1412 "./jsobjinlines.h"
      var $24=__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE($21, $22, 1, $23, 0); //@line 1412 "./jsobjinlines.h"
      var $25=(($24)|0)!=0; //@line 1412 "./jsobjinlines.h"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1412 "./jsobjinlines.h"
    case 5: 
      $1=0; //@line 1413 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1413 "./jsobjinlines.h"
    case 6: 
      $1=1; //@line 1415 "./jsobjinlines.h"
      __label__ = 7; break; //@line 1415 "./jsobjinlines.h"
    case 7: 
      var $29=$1; //@line 1416 "./jsobjinlines.h"
      ;
      return $29; //@line 1416 "./jsobjinlines.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js13AutoXMLRooterD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 1751 "./jscntxt.h"
  __ZN2js12AutoGCRooterD2Ev($3); //@line 1751 "./jscntxt.h"
  ;
  return; //@line 1751 "./jscntxt.h"
}


function __ZN2js13AutoXMLRooterC2EP9JSContextP5JSXML($this, $cx, $xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$xml;
      var $4=$1;
      var $5=$4; //@line 1756 "./jscntxt.h"
      var $6=$2; //@line 1756 "./jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($5, $6, -9); //@line 1756 "./jscntxt.h"
      var $7=(($4+12)|0); //@line 1756 "./jscntxt.h"
      var $8=$3; //@line 1756 "./jscntxt.h"
      HEAP32[(($7)>>2)]=$8; //@line 1756 "./jscntxt.h"
      __label__ = 2; break; //@line 1757 "./jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1757 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1759 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15CopyXMLSettingsP9JSContextP8JSObjectS2_($cx, $from, $to) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $name;
      var $v=__stackBase__;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      $2=$cx;
      $3=$from;
      $4=$to;
      $i=0; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $8=$i; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=((__ZL16xml_static_props+($8<<4))|0); //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0); //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 16; break; } //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$i; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=((__ZL16xml_static_props+($14<<4))|0); //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0); //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $name=$17; //@line 6986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$2; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$3; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$name; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=_JS_GetProperty($18, $19, $20, $v); //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21)|0)!=0; //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$name; //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)==(((((STRING_TABLE.__ZL19js_prettyIndent_str)|0)))|0); //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 6989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $28=$5; //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$v; //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=_JSVAL_IS_NUMBER($5); //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0)!=0; //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 15; break; //@line 6991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 12; break; //@line 6992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $35=$6; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$v; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=_JSVAL_IS_BOOLEAN4407($6); //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0)!=0; //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 6993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 15; break; //@line 6994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $42=$2; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$4; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$name; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=_JS_SetProperty($42, $43, $44, $v); //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      $1=0; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 15; break; //@line 6998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $50=$i; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50+1)|0); //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$51; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 6985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $1=1; //@line 7000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 7000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $54=$1; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $54; //@line 7001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15CopyXMLSettingsP9JSContextP8JSObjectS2_["X"]=1;

function __ZL15xml_text_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE($cx, $obj, $xml, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $list;
      var $kid;
      var $vxml;
      var $i;
      var $n;
      var $ok;
      var $kidobj;
      var $v=__stackBase__;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      $4=$xml;
      $5=$vp;
      var $8=$2; //@line 6801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 6801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$5; //@line 6801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($8, $9, $10); //@line 6801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$11; //@line 6801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$list; //@line 6802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 6802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 45; break; //@line 6803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$4; //@line 6805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 6805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 6805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)==0; //@line 6805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 28; break; } //@line 6805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $ok=1; //@line 6806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$4; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+24)|0); //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$22; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0); //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0); //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$26; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $28=$i; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$n; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($28)>>>0) < (($29)>>>0); //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 27; break; } //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $32=$i; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$4; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+24)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$34; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=HEAPU32[(($37)>>2)]; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($32)>>>0) < (($38)>>>0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($39) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $41=$i; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$4; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+24)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$43; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45+8)|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47+($41<<2))|0); //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$49; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53 = $50;__label__ = 9; break; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $53 = 0;__label__ = 9; break; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $53; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$53; //@line 6808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$kid; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0)!=0; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($55) { __label__ = 10; break; } else { __label__ = 25; break; } //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $57=$kid; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57+16)|0); //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59)|0)==1; //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($60) { __label__ = 11; break; } else { __label__ = 25; break; } //@line 6809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $62=$2; //@line 6810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__ZL22js_EnterLocalRootScopeP9JSContext($62); //@line 6810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)&1); //@line 6810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$64; //@line 6810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$ok; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65)|0)!=0; //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($66) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 6811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 27; break; //@line 6812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $69=$2; //@line 6813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$kid; //@line 6813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=__Z15js_GetXMLObjectP9JSContextP5JSXML($69, $70); //@line 6813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$71; //@line 6813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$kidobj; //@line 6814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72)|0)!=0; //@line 6814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($73) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 6814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $75=$2; //@line 6815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$kidobj; //@line 6815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$kid; //@line 6815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=__ZL15xml_text_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE($75, $76, $77, $v); //@line 6815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$78; //@line 6815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $ok=0; //@line 6817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$v; //@line 6818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($80)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($80+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 6818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break;
    case 16: 
      var $82=$2; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$6; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$v; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($83)>>2)]=HEAP32[(($84)>>2)];HEAP32[(($83+4)>>2)]=HEAP32[(($84+4)>>2)]; //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextN2JS5ValueE($82, $6); //@line 6820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$ok; //@line 6821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85)|0)!=0; //@line 6821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($86) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 6821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      $1=0; //@line 6822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 45; break; //@line 6822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $89=$7; //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$v; //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($89)>>2)]=HEAP32[(($90)>>2)];HEAP32[(($89+4)>>2)]=HEAP32[(($90+4)>>2)]; //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=_JSVAL_TO_OBJECT4304($7); //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=__ZNK8JSObject10getPrivateEv($91); //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$92; //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$93; //@line 6823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$vxml; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94+16)|0); //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=HEAPU32[(($95)>>2)]; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96)>>>0) < 2; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($97) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $99=$vxml; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99+24)|0); //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$100; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0); //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102)|0); //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107 = $104;__label__ = 21; break; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $107 = 0;__label__ = 21; break; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $107; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107)|0)!=0; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($108) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $110=$2; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$list; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=$vxml; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=__ZL6AppendP9JSContextP5JSXMLS2_($110, $111, $112); //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113)|0)!=0; //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($114) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 6824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $1=0; //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 45; break; //@line 6825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      __label__ = 25; break; //@line 6826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      __label__ = 26; break; //@line 6827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $119=$i; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119+1)|0); //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$120; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 6807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      __label__ = 44; break; //@line 6828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      $i=0; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$4; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($123+16)|0); //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=HEAPU32[(($124)>>2)]; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)>>>0) < 2; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($126) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $128=$4; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128+24)|0); //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$129; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130)|0); //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($131)|0); //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136 = $133;__label__ = 31; break; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $136 = 0;__label__ = 31; break; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $136; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$136; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $138=$i; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=$n; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=(($138)>>>0) < (($139)>>>0); //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($140) { __label__ = 33; break; } else { __label__ = 43; break; } //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $142=$i; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=$4; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=(($143+24)|0); //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$144; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=(($145)|0); //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=(($146)|0); //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=HEAPU32[(($147)>>2)]; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=(($142)>>>0) < (($148)>>>0); //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($149) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $151=$i; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=$4; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=(($152+24)|0); //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$153; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154)|0); //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($155+8)|0); //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=HEAP32[(($156)>>2)]; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=(($157+($151<<2))|0); //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=HEAP32[(($158)>>2)]; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=$159; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163 = $160;__label__ = 36; break; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $163 = 0;__label__ = 36; break; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $163; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$163; //@line 6830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=$kid; //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0)!=0; //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($165) { __label__ = 37; break; } else { __label__ = 41; break; } //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $167=$kid; //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=(($167+16)|0); //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=(($169)|0)==4; //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($170) { __label__ = 38; break; } else { __label__ = 41; break; } //@line 6831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $172=$2; //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=$list; //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=$kid; //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=__ZL6AppendP9JSContextP5JSXMLS2_($172, $173, $174); //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=(($175)|0)!=0; //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($176) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 6832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      $1=0; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 45; break; //@line 6833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      __label__ = 41; break; //@line 6834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      __label__ = 42; break; //@line 6835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $181=$i; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=(($181+1)|0); //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$182; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 6829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      __label__ = 44; break;
    case 44: 
      $1=1; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 45; break; //@line 6837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $186=$1; //@line 6838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $186; //@line 6838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15xml_text_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE["X"]=1;

function __ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($cx, $xml, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $listobj;
      var $list;
      var $5=__stackBase__;
      $2=$cx;
      $3=$xml;
      $4=$rval;
      var $6=$2; //@line 5490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($6, 0); //@line 5490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $listobj=$7; //@line 5490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$listobj; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 5492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $12=$4; //@line 5494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$listobj; //@line 5494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $13); //@line 5494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$12; //@line 5494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$5; //@line 5494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 5494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$listobj; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZNK8JSObject10getPrivateEv($16); //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$18; //@line 5495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$3; //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$list; //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+24)|0); //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$21; //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+16)|0); //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($23)>>2)]=$19; //@line 5496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$list; //@line 5497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$24; //@line 5497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 5497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $26=$1; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 5498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject($cx, $vp, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $xml;
      var $fun;
      var $numBuf=__stackBase__;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      var $funNameBytes=__stackBase__+28;
      var $funName;
      var $7;
      $2=$cx;
      $3=$vp;
      $4=$objp;
      var $8=$2; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$3; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+8)|0); //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZN2js8ToObjectEP9JSContextPN2JS5ValueE($8, $10); //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$4; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($12)>>2)]=$11; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$4; //@line 5331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 5331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 5331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$4; //@line 5333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 5333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZNK8JSObject5isXMLEv($19); //@line 5333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $22=$2; //@line 5334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$3; //@line 5334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE($22, $23, __ZN2js8XMLClassE); //@line 5334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$4; //@line 5337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 5337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=__ZNK8JSObject10getPrivateEv($26); //@line 5337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$27; //@line 5337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$28; //@line 5337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$xml; //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)!=0; //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $32=$xml; //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+16)|0); //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $37=$xml; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$37; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $39=$xml; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+24)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$40; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42)|0); //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0)==1; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($45) { __label__ = 9; break; } else { __label__ = 17; break; } //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $47=$xml; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47+24)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$48; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=HEAPU32[(($51)>>2)]; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=0 < (($52)>>>0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $55=$xml; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+24)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$56; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58+8)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0); //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$62; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66 = $63;__label__ = 12; break; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $66 = 0;__label__ = 12; break; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $66; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$66; //@line 5342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=$xml; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)!=0; //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 5343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $70=$2; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$xml; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=__Z15js_GetXMLObjectP9JSContextP5JSXML($70, $71); //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$4; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($73)>>2)]=$72; //@line 5344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$4; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0)!=0; //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 5345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=0; //@line 5346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $79=$3; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79+8)|0); //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$4; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $82); //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$80; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$5; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($83)>>2)]=HEAP32[(($84)>>2)];HEAP32[(($83+4)>>2)]=HEAP32[(($84+4)>>2)]; //@line 5347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$xml; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$85; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 17; break; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $88=$3; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$6; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$88; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($89)>>2)]=HEAP32[(($90)>>2)];HEAP32[(($89+4)>>2)]=HEAP32[(($90+4)>>2)]; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=_JSVAL_TO_OBJECT4304($6); //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=__ZNK8JSObject18getFunctionPrivateEv($91); //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $fun=$92; //@line 5352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($numBuf)|0); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$xml; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94+24)|0); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$95; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96)|0); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=(($97)|0); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=HEAP32[(($98)>>2)]; //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=_JS_snprintf($93, 12, ((STRING_TABLE.__str544300)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$99,tempInt)); //@line 5353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSAutoByteStringC1Ev($funNameBytes); //@line 5354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$2; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=$fun; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=__ZN2js20GetFunctionNameBytesEP9JSContextP10JSFunctionP16JSAutoByteString($101, $102, $funNameBytes); //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $funName=$103; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$funName; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104)|0)!=0; //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($105) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 5355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $107=$2; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$funName; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($numBuf)|0); //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($107, 2, 0, 219, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$108,HEAP32[((tempInt+4)>>2)]=$109,tempInt)); //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 5358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      $1=0; //@line 5359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $7=1;
      __ZN16JSAutoByteStringD1Ev($funNameBytes); //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 20; break;
    case 20: 
      var $112=$1; //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $112; //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject["X"]=1;

function __ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($cx, $xml, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$xml;
      $4=$obj;
      var $5=$2; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=__ZL8DeepCopyP9JSContextP5JSXMLP8JSObjectj($5, $6, $7, 0); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$8; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$3; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)!=0; //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$3; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$13; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 3783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $15=$1; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $15; //@line 3784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject($cx, $xml, $ns) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $prefix;
      var $prefix2;
      var $match;
      var $ns2;
      var $i;
      var $n;
      var $m;
      $2=$cx;
      $3=$xml;
      $4=$ns;
      var $5=$3; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5+16)|0); //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)|0)!=1; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=1; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $11=$4; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZNK8JSObject13getNamePrefixEv($11); //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$12; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$prefix; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 18; break; } else { __label__ = 4; break; } //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $match=0; //@line 2921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$3; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+24)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+16)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$21; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$i; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$n; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($23)>>>0) < (($24)>>>0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 14; break; } //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$i; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$3; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+24)|0); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$29; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+16)|0); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAPU32[(($32)>>2)]; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($27)>>>0) < (($33)>>>0); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($34) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $36=$i; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$3; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+24)|0); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$38; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+16)|0); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+8)|0); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+($36<<2))|0); //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48 = $45;__label__ = 9; break; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $48 = 0;__label__ = 9; break; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $48; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$48; //@line 2923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$ns2; //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0)!=0; //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $52=$ns2; //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZNK8JSObject10getNameURIEv($52); //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$4; //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__ZNK8JSObject10getNameURIEv($54); //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=__ZN2js12EqualStringsEP14JSLinearStringS1_($53, $55); //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $58=$ns2; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $match=$58; //@line 2925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 2926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 2928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $61=$i; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=(($61+1)|0); //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$62; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 2922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $64=$match; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0)!=0; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($65) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $67=$2; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$3; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68+24)|0); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$69; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70+16)|0); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$n; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$4; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$73; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($67, $71, $72, $74); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0)!=0; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $1=0; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 40; break; //@line 2931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $80=$prefix; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$80; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=__ZNK8JSString5emptyEv($81); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($82) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $84=$3; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+12)|0); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=__ZNK8JSObject10getNameURIEv($86); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$87; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=__ZNK8JSString5emptyEv($88); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($89) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $1=1; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      $match=0; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $m=-1; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$3; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+24)|0); //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$93; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94+16)|0); //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0); //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$97; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $99=$i; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$n; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($99)>>>0) < (($100)>>>0); //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($101) { __label__ = 23; break; } else { __label__ = 32; break; } //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $103=$i; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$3; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104+24)|0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$105; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106+16)|0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107)|0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=HEAPU32[(($108)>>2)]; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($103)>>>0) < (($109)>>>0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($110) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $112=$i; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$3; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113+24)|0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$114; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($115+16)|0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116+8)|0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=(($118+($112<<2))|0); //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=$120; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124 = $121;__label__ = 26; break; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $124 = 0;__label__ = 26; break; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $124; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$124; //@line 2939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$ns2; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0)!=0; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($126) { __label__ = 27; break; } else { __label__ = 30; break; } //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $128=$ns2; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=__ZNK8JSObject13getNamePrefixEv($128); //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix2=$129; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=(($129)|0)!=0; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($130) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $132=$prefix2; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=$prefix; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=__ZN2js12EqualStringsEP14JSLinearStringS1_($132, $133); //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($134) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $136=$ns2; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $match=$136; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=$i; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $m=$137; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 32; break; //@line 2944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      __label__ = 31; break; //@line 2946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $140=$i; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140+1)|0); //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$141; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $143=$match; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=(($143)|0)!=0; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($144) { __label__ = 33; break; } else { __label__ = 37; break; } //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $146=$match; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=__ZNK8JSObject10getNameURIEv($146); //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=$4; //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=__ZNK8JSObject10getNameURIEv($148); //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=__ZN2js12EqualStringsEP14JSLinearStringS1_($147, $149); //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($150) { __label__ = 37; break; } else { __label__ = 34; break; } //@line 2947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $152=$2; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$3; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=(($153+24)|0); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=$154; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($155+16)|0); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=$m; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji($152, $156, $157, 1); //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=$158; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$159; //@line 2948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=$match; //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN8JSObject15clearNamePrefixEv($160); //@line 2951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$2; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=$3; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=$match; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=__ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject($161, $162, $163); //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0)!=0; //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($165) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 2952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      $1=0; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 2953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      __label__ = 37; break; //@line 2954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $169=$2; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=$3; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=(($170+24)|0); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=$171; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=(($172+16)|0); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=$3; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174+24)|0); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=$175; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=(($176+16)|0); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=(($177)|0); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=$4; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181=$180; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($169, $173, $179, $181); //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=(($182)|0)!=0; //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($183) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 2955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      $1=0; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 2956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      __label__ = 40; break;
    case 40: 
      $1=1; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $188=$1; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $188; //@line 2961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject["X"]=1;

function __ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 356; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $ok;
      var $primitiveAssign;
      var $xml;
      var $vxml;
      var $rxml=__stackBase__;
      var $kid;
      var $attr;
      var $parent;
      var $copy;
      var $kid2;
      var $match;
      var $vobj;
      var $nameobj;
      var $attrobj;
      var $parentobj;
      var $kidobj;
      var $copyobj;
      var $targetprop;
      var $nameqn;
      var $attrqn;
      var $index=__stackBase__+4;
      var $i;
      var $j;
      var $k;
      var $n;
      var $q;
      var $matchIndex;
      var $attrval=__stackBase__+8;
      var $nsval=__stackBase__+16;
      var $funid=__stackBase__+24;
      var $ns;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $roots=__stackBase__+44;
      var $9=__stackBase__+68;
      var $10=__stackBase__+76;
      var $tvr=__stackBase__+84;
      var $11=__stackBase__+100;
      var $12=__stackBase__+108;
      var $13=__stackBase__+116;
      var $14=__stackBase__+124;
      var $15=__stackBase__+132;
      var $16=__stackBase__+140;
      var $17=__stackBase__+148;
      var $18=__stackBase__+156;
      var $19=__stackBase__+164;
      var $20=__stackBase__+172;
      var $21=__stackBase__+180;
      var $22=__stackBase__+188;
      var $23=__stackBase__+196;
      var $24=__stackBase__+204;
      var $25=__stackBase__+212;
      var $26=__stackBase__+220;
      var $27=__stackBase__+228;
      var $28=__stackBase__+236;
      var $left;
      var $space;
      var $right;
      var $29=__stackBase__+244;
      var $30=__stackBase__+252;
      var $uri;
      var $uri1;
      var $left2;
      var $right3;
      var $31=__stackBase__+260;
      var $32=__stackBase__+268;
      var $uri4;
      var $left5;
      var $right6;
      var $33=__stackBase__+276;
      var $34=__stackBase__+284;
      var $cursor=__stackBase__+292;
      var $35=__stackBase__+312;
      var $36=__stackBase__+320;
      var $37=__stackBase__+328;
      var $38=__stackBase__+336;
      var $39;
      var $bytes=__stackBase__+344;
      var $40=__stackBase__+348;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $41=$3; //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=__ZNK8JSObject5isXMLEv($41); //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=1; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 324; break; //@line 3823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $45=$3; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=__ZNK8JSObject10getPrivateEv($45); //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$46; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$47; //@line 3824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$xml; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=1; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 324; break; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $52=$xml; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$3; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($54)|0)==(($55)|0); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($56) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $58=$xml; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65 = $58;__label__ = 8; break; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $60=$2; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$xml; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$3; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($60, $61, $62); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65 = $63;__label__ = 8; break; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $65; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$65; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$xml; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0)!=0; //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $1=0; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 324; break; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $vxml=0; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$6; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$7; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$70; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=_JSVAL_IS_PRIMITIVE4303($7); //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)!=0; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 14; break; } else { __label__ = 11; break; } //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $76=$6; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$8; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$76; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($77)>>2)]=HEAP32[(($78)>>2)];HEAP32[(($77+4)>>2)]=HEAP32[(($78+4)>>2)]; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=_JSVAL_TO_OBJECT4304($8); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$79; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$vobj; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=__ZNK8JSObject5isXMLEv($80); //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $83=$vobj; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=__ZNK8JSObject10getPrivateEv($83); //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$84; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$85; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 14; break; //@line 3838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $88=$2; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=__ZL22js_EnterLocalRootScopeP9JSContext($88); //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)&1); //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$90; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$ok; //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91)|0)!=0; //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($92) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $1=0; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 324; break; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $95=(($roots)|0); //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$3; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($9, $96); //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$95; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$9; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($97)>>2)]=HEAP32[(($98)>>2)];HEAP32[(($97+4)>>2)]=HEAP32[(($98+4)>>2)]; //@line 3846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=(($roots+8)|0); //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$4; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToJsvalEi4431($10, $100); //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$99; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=$10; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($101)>>2)]=HEAP32[(($102)>>2)];HEAP32[(($101+4)>>2)]=HEAP32[(($102+4)>>2)]; //@line 3847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($roots+16)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$6; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=$103; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$104; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($105)>>2)]=HEAP32[(($106)>>2)];HEAP32[(($105+4)>>2)]=HEAP32[(($106+4)>>2)]; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$2; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($roots)|0); //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $107, 3, $108); //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$4; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=__Z12js_IdIsIndexiPj($109, $index); //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0)!=0; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($111) { __label__ = 17; break; } else { __label__ = 164; break; } //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $113=$xml; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113+16)|0); //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($115)|0)!=0; //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($116) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $118=$2; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$4; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToValueEi4432($11, $119); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16ReportBadXMLNameP9JSContextRKN2JS5ValueE($118, $11); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 323; break; //@line 3855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $121=HEAP32[(($index)>>2)]; //@line 3861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$121; //@line 3861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$xml; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122+24)|0); //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=$123; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($124+16)|0); //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=HEAP32[(($125)>>2)]; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=(($126)|0)!=0; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($127) { __label__ = 20; break; } else { __label__ = 25; break; } //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $129=$2; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$xml; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130+24)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$131; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=(($132+16)|0); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=HEAP32[(($133)>>2)]; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=__ZL12ResolveValueP9JSContextP5JSXMLPS2_($129, $134, $rxml); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$135; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=$ok; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136)|0)!=0; //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($137) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 3866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 319; break; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $140=HEAP32[(($rxml)>>2)]; //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140)|0)!=0; //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($141) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 3868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 319; break; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      __label__ = 26; break; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      HEAP32[(($rxml)>>2)]=0; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 26; break;
    case 26: 
      var $146=HEAPU32[(($index)>>2)]; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=$xml; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+24)|0); //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=$148; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149)|0); //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=(($150)|0); //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=HEAPU32[(($151)>>2)]; //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=(($146)>>>0) >= (($152)>>>0); //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($153) { __label__ = 27; break; } else { __label__ = 88; break; } //@line 3876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $155=HEAP32[(($rxml)>>2)]; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($155)|0)!=0; //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($156) { __label__ = 28; break; } else { __label__ = 42; break; } //@line 3878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $158=HEAP32[(($rxml)>>2)]; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($158+16)|0); //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=(($160)|0)==0; //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($161) { __label__ = 29; break; } else { __label__ = 39; break; } //@line 3879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $163=HEAP32[(($rxml)>>2)]; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=(($163+24)|0); //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=$164; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=(($165)|0); //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=(($166)|0); //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=(($168)|0)!=1; //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($169) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 3880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      __label__ = 319; break; //@line 3881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $172=HEAP32[(($rxml)>>2)]; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=(($172+24)|0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=$173; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174)|0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=(($175)|0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=HEAPU32[(($176)>>2)]; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=0 < (($177)>>>0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($178) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $180=HEAP32[(($rxml)>>2)]; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $181=(($180+24)|0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182=$181; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=(($182)|0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=(($183+8)|0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=(($185)|0); //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=HEAP32[(($186)>>2)]; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $188=$187; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $191 = $188;__label__ = 34; break; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $191 = 0;__label__ = 34; break; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $191; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($rxml)>>2)]=$191; //@line 3882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $192=HEAP32[(($rxml)>>2)]; //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=(($192)|0)!=0; //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($193) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 3883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      __label__ = 319; break; //@line 3884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $196=$2; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $197=HEAP32[(($rxml)>>2)]; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $198=__Z15js_GetXMLObjectP9JSContextP5JSXML($196, $197); //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $199=(($198)|0)!=0; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $200=(($199)&1); //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$200; //@line 3885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $201=$ok; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $202=(($201)|0)!=0; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($202) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      __label__ = 319; break; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      __label__ = 39; break; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $206=HEAP32[(($rxml)>>2)]; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=(($206+16)|0); //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=HEAPU32[(($207)>>2)]; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $209=(($208)>>>0) < 2; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($209) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      __label__ = 319; break; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      __label__ = 42; break; //@line 3907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $213=$xml; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $214=(($213+24)|0); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $215=$214; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=(($215+20)|0); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=HEAP32[(($216)>>2)]; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $targetprop=$217; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=$targetprop; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219=(($218)|0)!=0; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($219) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $221=$targetprop; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $222=__ZNK8JSObject17getQNameLocalNameEv($221); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $223=$222; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $224=__ZNK8JSString6lengthEv($223); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $225=(($224)|0)==1; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($225) { __label__ = 44; break; } else { __label__ = 48; break; } //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      var $227=$targetprop; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $228=__ZNK8JSObject17getQNameLocalNameEv($227); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $229=$228; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $230=__ZNK14JSLinearString5charsEv($229); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $231=HEAPU16[(($230)>>1)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $232=(($231)&65535); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $233=(($232)|0)==42; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($233) { __label__ = 45; break; } else { __label__ = 48; break; } //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $235=$2; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $236=__Z9js_NewXMLP9JSContext10JSXMLClass($235, 4); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$236; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $237=$kid; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $238=(($237)|0)!=0; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($238) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      __label__ = 323; break; //@line 3915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      __label__ = 63; break; //@line 3916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      var $242=$targetprop; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameobj=$242; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $243=$nameobj; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $244=__ZNK8JSObject8getClassEv($243); //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $245=(($244)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($245) { __label__ = 49; break; } else { __label__ = 59; break; } //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $247=$2; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $248=HEAP32[(($rxml)>>2)]; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $249=(($248)|0); //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $250=HEAP32[(($249)>>2)]; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $251=$4; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $252=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($247, $250, $251, $attrval); //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$252; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $253=$ok; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $254=(($253)|0)!=0; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($254) { __label__ = 51; break; } else { __label__ = 50; break; } //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 50: 
      __label__ = 319; break; //@line 3926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      var $257=$12; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $258=$attrval; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($257)>>2)]=HEAP32[(($258)>>2)];HEAP32[(($257+4)>>2)]=HEAP32[(($258+4)>>2)]; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $259=_JSVAL_IS_PRIMITIVE4303($12); //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $260=(($259)|0)!=0; //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($260) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 3927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 52: 
      __label__ = 319; break; //@line 3928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 53: 
      var $263=$13; //@line 3929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $264=$attrval; //@line 3929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($263)>>2)]=HEAP32[(($264)>>2)];HEAP32[(($263+4)>>2)]=HEAP32[(($264+4)>>2)]; //@line 3929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $265=_JSVAL_TO_OBJECT4304($13); //@line 3929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attrobj=$265; //@line 3929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $266=$attrobj; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $267=__ZNK8JSObject10getPrivateEv($266); //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $268=$267; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$268; //@line 3930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $269=$attr; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $270=(($269+16)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $271=HEAPU32[(($270)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $272=(($271)>>>0) < 2; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($272) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 54: 
      var $274=$attr; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $275=(($274+24)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $276=$275; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $277=(($276)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $278=(($277)|0); //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $279=HEAP32[(($278)>>2)]; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $282 = $279;__label__ = 56; break; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 55: 
      var $282 = 0;__label__ = 56; break; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 56: 
      var $282; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $283=(($282)|0)!=0; //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($283) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 3931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 57: 
      __label__ = 319; break; //@line 3932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 58: 
      var $286=$2; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $287=__Z9js_NewXMLP9JSContext10JSXMLClass($286, 2); //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$287; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 60; break; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 59: 
      var $289=$2; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $290=__Z9js_NewXMLP9JSContext10JSXMLClass($289, 1); //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$290; //@line 3937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 60; break;
    case 60: 
      var $292=$kid; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $293=(($292)|0)!=0; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($293) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 61: 
      __label__ = 323; break; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 62: 
      var $296=$targetprop; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $297=$kid; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $298=(($297+12)|0); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($298)>>2)]=$296; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 63; break;
    case 63: 
      var $300=HEAP32[(($rxml)>>2)]; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $301=$kid; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $302=(($301+8)|0); //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($302)>>2)]=$300; //@line 3947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $303=$xml; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $304=(($303+24)|0); //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $305=$304; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $306=(($305)|0); //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $307=(($306)|0); //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $308=HEAP32[(($307)>>2)]; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$308; //@line 3950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $309=$kid; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $310=(($309+16)|0); //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $311=HEAP32[(($310)>>2)]; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $312=(($311)|0)!=2; //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($312) { __label__ = 64; break; } else { __label__ = 85; break; } //@line 3951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 64: 
      var $314=HEAP32[(($rxml)>>2)]; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $315=(($314)|0)!=0; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($315) { __label__ = 65; break; } else { __label__ = 79; break; } //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 65: 
      var $317=HEAP32[(($rxml)>>2)]; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $318=(($317+24)|0); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $319=$318; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $320=(($319)|0); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $321=(($320)|0); //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $322=HEAP32[(($321)>>2)]; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$322; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $323=$n; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $324=(($323-1)|0); //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$324; //@line 3961 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $325=$n; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $326=(($325)|0)!=0; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($326) { __label__ = 66; break; } else { __label__ = 74; break; } //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 66: 
      var $328=$i; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $329=(($328)|0)!=0; //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($329) { __label__ = 67; break; } else { __label__ = 74; break; } //@line 3962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 67: 
      var $331=$j; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$331; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=0; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 68; break; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 68: 
      var $333=$j; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $334=$n; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $335=(($333)>>>0) < (($334)>>>0); //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($335) { __label__ = 69; break; } else { __label__ = 73; break; } //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 69: 
      var $337=$j; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $338=HEAP32[(($rxml)>>2)]; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $339=(($338+24)|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $340=$339; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $341=(($340)|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $342=(($341+8)|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $343=HEAP32[(($342)>>2)]; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $344=(($343+($337<<2))|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $345=HEAP32[(($344)>>2)]; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $346=$i; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $347=(($346-1)|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $348=$xml; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $349=(($348+24)|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $350=$349; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $351=(($350)|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $352=(($351+8)|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $353=HEAP32[(($352)>>2)]; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $354=(($353+($347<<2))|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $355=HEAP32[(($354)>>2)]; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $356=(($345)|0)==(($355)|0); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($356) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 70: 
      __label__ = 73; break; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 71: 
      __label__ = 72; break; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 72: 
      var $360=$j; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $361=(($360+1)|0); //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$361; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 68; break; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 73: 
      __label__ = 74; break; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 74: 
      var $364=$2; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $365=$kid; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $366=__Z15js_GetXMLObjectP9JSContextP5JSXML($364, $365); //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$366; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $367=$kidobj; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $368=(($367)|0)!=0; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($368) { __label__ = 76; break; } else { __label__ = 75; break; } //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 75: 
      __label__ = 323; break; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 76: 
      var $371=$2; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $372=HEAP32[(($rxml)>>2)]; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $373=$j; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $374=(($373+1)|0); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $375=$kidobj; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($14, $375); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $376=__ZL6InsertP9JSContextP5JSXMLjN2JS5ValueE($371, $372, $374, $14); //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$376; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $377=$ok; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $378=(($377)|0)!=0; //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($378) { __label__ = 78; break; } else { __label__ = 77; break; } //@line 3975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 77: 
      __label__ = 319; break; //@line 3976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 78: 
      __label__ = 79; break; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 79: 
      var $382=$vxml; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $383=(($382)|0)!=0; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($383) { __label__ = 80; break; } else { __label__ = 84; break; } //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 80: 
      var $385=$vxml; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $386=(($385+16)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $387=HEAP32[(($386)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $388=(($387)|0)==0; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($388) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 81: 
      var $390=$vxml; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $391=(($390+24)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $392=$391; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $393=(($392+20)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $394=HEAP32[(($393)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $400 = $394;__label__ = 83; break; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 82: 
      var $396=$vxml; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $397=(($396+12)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $398=HEAP32[(($397)>>2)]; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $400 = $398;__label__ = 83; break; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 83: 
      var $400; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $401=$kid; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $402=(($401+12)|0); //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($402)>>2)]=$400; //@line 3985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 84; break; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 84: 
      __label__ = 85; break; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 85: 
      var $405=$2; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $406=$xml; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $407=$kid; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $408=__ZL6AppendP9JSContextP5JSXMLS2_($405, $406, $407); //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$408; //@line 3992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $409=$ok; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $410=(($409)|0)!=0; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($410) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 86: 
      __label__ = 319; break; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 87: 
      __label__ = 88; break; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 88: 
      var $414=$vxml; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $415=(($414)|0)!=0; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($415) { __label__ = 89; break; } else { __label__ = 91; break; } //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 89: 
      var $417=$vxml; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $418=(($417+16)|0); //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $419=HEAP32[(($418)>>2)]; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $420=(($419)|0)==4; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($420) { __label__ = 91; break; } else { __label__ = 90; break; } //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 90: 
      var $422=$vxml; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $423=(($422+16)|0); //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $424=HEAP32[(($423)>>2)]; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $425=(($424)|0)==2; //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($425) { __label__ = 91; break; } else { __label__ = 94; break; } //@line 3998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 91: 
      var $427=$2; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $428=$6; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $429=$15; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $430=$428; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($429)>>2)]=HEAP32[(($430)>>2)];HEAP32[(($429+4)>>2)]=HEAP32[(($430+4)>>2)]; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $431=$6; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $432=_JS_ConvertValue($427, $15, 3, $431); //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$432; //@line 4001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $433=$ok; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $434=(($433)|0)!=0; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($434) { __label__ = 93; break; } else { __label__ = 92; break; } //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 92: 
      __label__ = 319; break; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 93: 
      var $437=(($roots+16)|0); //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $438=$6; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $439=$437; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $440=$438; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($439)>>2)]=HEAP32[(($440)>>2)];HEAP32[(($439+4)>>2)]=HEAP32[(($440+4)>>2)]; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 94; break; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 94: 
      var $442=$i; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $443=$xml; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $444=(($443+24)|0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $445=$444; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $446=(($445)|0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $447=(($446)|0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $448=HEAPU32[(($447)>>2)]; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $449=(($442)>>>0) < (($448)>>>0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($449) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 95: 
      var $451=$i; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $452=$xml; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $453=(($452+24)|0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $454=$453; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $455=(($454)|0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $456=(($455+8)|0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $457=HEAP32[(($456)>>2)]; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $458=(($457+($451<<2))|0); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $459=HEAP32[(($458)>>2)]; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $460=$459; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $463 = $460;__label__ = 97; break; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 96: 
      var $463 = 0;__label__ = 97; break; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 97: 
      var $463; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$463; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $464=$kid; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $465=(($464)|0)!=0; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($465) { __label__ = 99; break; } else { __label__ = 98; break; } //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 98: 
      __label__ = 319; break; //@line 4010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 99: 
      var $468=$kid; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $469=(($468+8)|0); //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $470=HEAP32[(($469)>>2)]; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parent=$470; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $471=$kid; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $472=(($471+16)|0); //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $473=HEAP32[(($472)>>2)]; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $474=(($473)|0)==2; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($474) { __label__ = 100; break; } else { __label__ = 115; break; } //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 100: 
      var $476=$kid; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $477=(($476+12)|0); //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $478=HEAP32[(($477)>>2)]; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameobj=$478; //@line 4013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $479=$nameobj; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $480=__ZNK8JSObject8getClassEv($479); //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $481=(($480)|0)!=((__ZN2js18AttributeNameClassE)|0); //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($481) { __label__ = 101; break; } else { __label__ = 104; break; } //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 101: 
      var $483=$2; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $484=$nameobj; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $485=__ZNK8JSObject10getNameURIEv($484); //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $486=$nameobj; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $487=__ZNK8JSObject13getNamePrefixEv($486); //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $488=$nameobj; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $489=__ZNK8JSObject17getQNameLocalNameEv($488); //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $490=__ZL19NewXMLAttributeNameP9JSContextP14JSLinearStringS2_P6JSAtom($483, $485, $487, $489); //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameobj=$490; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $491=$nameobj; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $492=(($491)|0)!=0; //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($492) { __label__ = 103; break; } else { __label__ = 102; break; } //@line 4017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 102: 
      __label__ = 323; break; //@line 4018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 103: 
      __label__ = 104; break; //@line 4019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 104: 
      var $496=$nameobj; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $497=_OBJECT_TO_JSID4356($496); //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=$497; //@line 4020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $498=$parent; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $499=(($498)|0)!=0; //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($499) { __label__ = 105; break; } else { __label__ = 114; break; } //@line 4022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 105: 
      var $501=$2; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $502=$parent; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $503=__Z15js_GetXMLObjectP9JSContextP5JSXML($501, $502); //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $parentobj=$503; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $504=$parentobj; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $505=(($504)|0)!=0; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($505) { __label__ = 107; break; } else { __label__ = 106; break; } //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 106: 
      __label__ = 323; break; //@line 4026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 107: 
      var $508=$2; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $509=$parentobj; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $510=$4; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $511=$5; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $512=$6; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $513=__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($508, $509, $510, $511, $512); //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$513; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $514=$ok; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $515=(($514)|0)!=0; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($515) { __label__ = 109; break; } else { __label__ = 108; break; } //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 108: 
      __label__ = 319; break; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 109: 
      var $518=$2; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $519=$parentobj; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $520=$4; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $521=$6; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $522=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($518, $519, $520, $521); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$522; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $523=$ok; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $524=(($523)|0)!=0; //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($524) { __label__ = 111; break; } else { __label__ = 110; break; } //@line 4033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 110: 
      __label__ = 319; break; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 111: 
      var $527=$6; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $528=$16; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $529=$527; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($528)>>2)]=HEAP32[(($529)>>2)];HEAP32[(($528+4)>>2)]=HEAP32[(($529+4)>>2)]; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $530=_JSVAL_TO_OBJECT4304($16); //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $531=__ZNK8JSObject10getPrivateEv($530); //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $532=$531; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$532; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $533=$attr; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $534=(($533+24)|0); //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $535=$534; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $536=(($535)|0); //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $537=(($536)|0); //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $538=HEAP32[(($537)>>2)]; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $539=(($538)|0)!=0; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($539) { __label__ = 112; break; } else { __label__ = 113; break; } //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 112: 
      var $541=$attr; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $542=(($541+24)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $543=$542; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $544=(($543)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $545=(($544+8)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $546=HEAP32[(($545)>>2)]; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $547=(($546)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $548=HEAP32[(($547)>>2)]; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $549=$i; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $550=$xml; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $551=(($550+24)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $552=$551; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $553=(($552)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $554=(($553+8)|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $555=HEAP32[(($554)>>2)]; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $556=(($555+($549<<2))|0); //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($556)>>2)]=$548; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 113; break; //@line 4039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 113: 
      __label__ = 114; break; //@line 4040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 114: 
      __label__ = 163; break; //@line 4041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 115: 
      var $560=$vxml; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $561=(($560)|0)!=0; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($561) { __label__ = 116; break; } else { __label__ = 135; break; } //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 116: 
      var $563=$vxml; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $564=(($563+16)|0); //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $565=HEAP32[(($564)>>2)]; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $566=(($565)|0)==0; //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($566) { __label__ = 117; break; } else { __label__ = 135; break; } //@line 4044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 117: 
      var $568=$2; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $569=$vxml; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $570=__ZL13DeepCopyInLRSP9JSContextP5JSXMLj($568, $569, 0); //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $copy=$570; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $571=$copy; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $572=(($571)|0)!=0; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($572) { __label__ = 119; break; } else { __label__ = 118; break; } //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 118: 
      __label__ = 323; break; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 119: 
      var $575=$2; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $576=$copy; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $577=__Z15js_GetXMLObjectP9JSContextP5JSXML($575, $576); //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $copyobj=$577; //@line 4057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $578=$copyobj; //@line 4058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $579=(($578)|0)!=0; //@line 4058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($579) { __label__ = 121; break; } else { __label__ = 120; break; } //@line 4058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 120: 
      __label__ = 323; break; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 121: 
      var $582=$parent; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $583=(($582)|0)!=0; //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($583) { __label__ = 122; break; } else { __label__ = 125; break; } //@line 4062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 122: 
      var $585=$parent; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $586=(($585+24)|0); //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $587=$586; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $588=(($587)|0); //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $589=$kid; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $590=$589; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $591=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($588, $590, 0); //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $q=$591; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $592=$2; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $593=$parent; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $594=$q; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $595=$copyobj; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($17, $595); //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $596=__ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE($592, $593, $594, $17); //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$596; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $597=$ok; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $598=(($597)|0)!=0; //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($598) { __label__ = 124; break; } else { __label__ = 123; break; } //@line 4066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 123: 
      __label__ = 319; break; //@line 4067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 124: 
      __label__ = 125; break; //@line 4077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 125: 
      var $602=$copy; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $603=(($602+24)|0); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $604=$603; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $605=(($604)|0); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $606=(($605)|0); //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $607=HEAP32[(($606)>>2)]; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$607; //@line 4084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $608=$n; //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $609=(($608)|0)==0; //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($609) { __label__ = 126; break; } else { __label__ = 127; break; } //@line 4085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 126: 
      var $611=$2; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $612=$xml; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $613=(($612+24)|0); //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $614=$613; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $615=(($614)|0); //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $616=$i; //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $617=__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji($611, $615, $616, 1); //@line 4086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 134; break; //@line 4087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 127: 
      var $619=$2; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $620=$xml; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $621=(($620+24)|0); //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $622=$621; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $623=(($622)|0); //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $624=$i; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $625=(($624+1)|0); //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $626=$n; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $627=(($626-1)|0); //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $628=__ZL14XMLArrayInsertP9JSContextP10JSXMLArrayjj($619, $623, $625, $627); //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$628; //@line 4088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $629=$ok; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $630=(($629)|0)!=0; //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($630) { __label__ = 129; break; } else { __label__ = 128; break; } //@line 4089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 128: 
      __label__ = 319; break; //@line 4090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 129: 
      $j=0; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 130; break; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 130: 
      var $634=$j; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $635=$n; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $636=(($634)>>>0) < (($635)>>>0); //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($636) { __label__ = 131; break; } else { __label__ = 133; break; } //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 131: 
      var $638=$j; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $639=$copy; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $640=(($639+24)|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $641=$640; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $642=(($641)|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $643=(($642+8)|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $644=HEAP32[(($643)>>2)]; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $645=(($644+($638<<2))|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $646=HEAP32[(($645)>>2)]; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $647=$i; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $648=$j; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $649=(($647+$648)|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $650=$xml; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $651=(($650+24)|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $652=$651; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $653=(($652)|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $654=(($653+8)|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $655=HEAP32[(($654)>>2)]; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $656=(($655+($649<<2))|0); //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($656)>>2)]=$646; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 132; break; //@line 4093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 132: 
      var $658=$j; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $659=(($658+1)|0); //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$659; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 130; break; //@line 4092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 133: 
      __label__ = 134; break;
    case 134: 
      __label__ = 162; break; //@line 4095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 135: 
      var $663=$vxml; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $664=(($663)|0)!=0; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($664) { __label__ = 137; break; } else { __label__ = 136; break; } //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 136: 
      var $666=$kid; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $667=(($666+16)|0); //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $668=HEAPU32[(($667)>>2)]; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $669=(($668)>>>0) >= 2; //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($669) { __label__ = 137; break; } else { __label__ = 156; break; } //@line 4098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 137: 
      var $671=$parent; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $672=(($671)|0)!=0; //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($672) { __label__ = 138; break; } else { __label__ = 146; break; } //@line 4099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 138: 
      var $674=$parent; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $675=(($674+24)|0); //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $676=$675; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $677=(($676)|0); //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $678=$kid; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $679=$678; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $680=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($677, $679, 0); //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $q=$680; //@line 4100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $681=$2; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $682=$parent; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $683=$q; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $684=$6; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $685=$18; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $686=$684; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($685)>>2)]=HEAP32[(($686)>>2)];HEAP32[(($685+4)>>2)]=HEAP32[(($686+4)>>2)]; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $687=__ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE($681, $682, $683, $18); //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$687; //@line 4102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $688=$ok; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $689=(($688)|0)!=0; //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($689) { __label__ = 140; break; } else { __label__ = 139; break; } //@line 4103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 139: 
      __label__ = 319; break; //@line 4104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 140: 
      var $692=$q; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $693=$parent; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $694=(($693+24)|0); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $695=$694; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $696=(($695)|0); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $697=(($696)|0); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $698=HEAPU32[(($697)>>2)]; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $699=(($692)>>>0) < (($698)>>>0); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($699) { __label__ = 141; break; } else { __label__ = 142; break; } //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 141: 
      var $701=$q; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $702=$parent; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $703=(($702+24)|0); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $704=$703; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $705=(($704)|0); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $706=(($705+8)|0); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $707=HEAP32[(($706)>>2)]; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $708=(($707+($701<<2))|0); //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $709=HEAP32[(($708)>>2)]; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $710=$709; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $713 = $710;__label__ = 143; break; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 142: 
      var $713 = 0;__label__ = 143; break; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 143: 
      var $713; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$713; //@line 4106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $714=$vxml; //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $715=(($714)|0)!=0; //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($715) { __label__ = 145; break; } else { __label__ = 144; break; } //@line 4107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 144: 
      __label__ = 319; break; //@line 4108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 145: 
      var $718=(($roots+16)|0); //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $719=$6; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $720=$vxml; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $721=(($720)|0); //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $722=HEAP32[(($721)>>2)]; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($19, $722); //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $723=$719; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $724=$19; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($723)>>2)]=HEAP32[(($724)>>2)];HEAP32[(($723+4)>>2)]=HEAP32[(($724+4)>>2)]; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $725=$718; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $726=$719; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($725)>>2)]=HEAP32[(($726)>>2)];HEAP32[(($725+4)>>2)]=HEAP32[(($726+4)>>2)]; //@line 4109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 146; break; //@line 4110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 146: 
      var $728=$vxml; //@line 4122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $729=(($728)|0)!=0; //@line 4122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($729) { __label__ = 150; break; } else { __label__ = 147; break; } //@line 4122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 147: 
      var $731=$2; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $732=$6; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $733=$20; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $734=$732; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($733)>>2)]=HEAP32[(($734)>>2)];HEAP32[(($733+4)>>2)]=HEAP32[(($734+4)>>2)]; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $735=__ZL5ToXMLP9JSContextN2JS5ValueE($731, $20); //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$735; //@line 4124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $736=$vobj; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $737=(($736)|0)!=0; //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($737) { __label__ = 149; break; } else { __label__ = 148; break; } //@line 4125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 148: 
      __label__ = 323; break; //@line 4126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 149: 
      var $740=(($roots+16)|0); //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $741=$6; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $742=$vobj; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($21, $742); //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $743=$741; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $744=$21; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($743)>>2)]=HEAP32[(($744)>>2)];HEAP32[(($743+4)>>2)]=HEAP32[(($744+4)>>2)]; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $745=$740; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $746=$741; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($745)>>2)]=HEAP32[(($746)>>2)];HEAP32[(($745+4)>>2)]=HEAP32[(($746+4)>>2)]; //@line 4127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $747=$vobj; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $748=__ZNK8JSObject10getPrivateEv($747); //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $749=$748; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$749; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 150; break; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 150: 
      __label__ = 151; break; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 151: 
      var $752=$xml; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $753=(($752+24)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $754=$753; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $755=(($754)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $756=(($755)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $757=HEAPU32[(($756)>>2)]; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $758=$i; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $759=(($757)>>>0) <= (($758)>>>0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($759) { __label__ = 152; break; } else { __label__ = 153; break; } //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 152: 
      var $761=$i; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $762=(($761+1)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $763=$xml; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $764=(($763+24)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $765=$764; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $766=(($765)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $767=(($766)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($767)>>2)]=$762; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 153; break; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 153: 
      var $769=$vxml; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $770=$769; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $771=$i; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $772=$xml; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $773=(($772+24)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $774=$773; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $775=(($774)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $776=(($775+8)|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $777=HEAP32[(($776)>>2)]; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $778=(($777+($771<<2))|0); //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($778)>>2)]=$770; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 154; break; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 154: 
      __label__ = 155; break; //@line 4130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 155: 
      __label__ = 161; break; //@line 4131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 156: 
      var $782=$2; //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $783=$kid; //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $784=__Z15js_GetXMLObjectP9JSContextP5JSXML($782, $783); //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$784; //@line 4135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $785=$kidobj; //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $786=(($785)|0)!=0; //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($786) { __label__ = 158; break; } else { __label__ = 157; break; } //@line 4136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 157: 
      __label__ = 323; break; //@line 4137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 158: 
      var $789=$2; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $790=(($789+52)|0); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $791=HEAP32[(($790)>>2)]; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $792=(($791+209948)|0); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $793=(($792+464)|0); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $794=HEAP32[(($793)>>2)]; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $795=$794; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $796=__ZL12ATOM_TO_JSIDP6JSAtom4336($795); //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=$796; //@line 4138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $797=$2; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $798=$kidobj; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $799=$4; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $800=$5; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $801=$6; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $802=__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($797, $798, $799, $800, $801); //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$802; //@line 4139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $803=$ok; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $804=(($803)|0)!=0; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($804) { __label__ = 160; break; } else { __label__ = 159; break; } //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 159: 
      __label__ = 319; break; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 160: 
      __label__ = 161; break;
    case 161: 
      __label__ = 162; break;
    case 162: 
      __label__ = 163; break;
    case 163: 
      __label__ = 318; break; //@line 4143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 164: 
      var $811=$2; //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $812=$4; //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToJsvalEi4431($22, $812); //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $813=__ZL9ToXMLNameP9JSContextN2JS5ValueEPi($811, $22, $funid); //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$813; //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $814=$nameqn; //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $815=(($814)|0)!=0; //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($815) { __label__ = 166; break; } else { __label__ = 165; break; } //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 165: 
      __label__ = 323; break; //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 166: 
      var $818=HEAP32[(($funid)>>2)]; //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $819=_JSID_IS_VOID4359($818); //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $820=(($819)|0)!=0; //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($820) { __label__ = 168; break; } else { __label__ = 167; break; } //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 167: 
      var $822=$2; //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $823=$3; //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $824=HEAP32[(($funid)>>2)]; //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $825=$6; //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $826=__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi($822, $823, $824, 0, $825, 0); //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$826; //@line 4151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 319; break; //@line 4152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 168: 
      var $828=$nameqn; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameobj=$828; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $829=(($roots+8)|0); //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $830=$nameobj; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($23, $830); //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $831=$829; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $832=$23; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($831)>>2)]=HEAP32[(($832)>>2)];HEAP32[(($831+4)>>2)]=HEAP32[(($832+4)>>2)]; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $833=$xml; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $834=(($833+16)|0); //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $835=HEAP32[(($834)>>2)]; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $836=(($835)|0)==0; //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($836) { __label__ = 169; break; } else { __label__ = 194; break; } //@line 4157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 169: 
      var $838=$xml; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $839=(($838+16)|0); //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $840=HEAPU32[(($839)>>2)]; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $841=(($840)>>>0) < 2; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($841) { __label__ = 170; break; } else { __label__ = 171; break; } //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 170: 
      var $843=$xml; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $844=(($843+24)|0); //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $845=$844; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $846=(($845)|0); //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $847=(($846)|0); //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $848=HEAP32[(($847)>>2)]; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $851 = $848;__label__ = 172; break; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 171: 
      var $851 = 0;__label__ = 172; break; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 172: 
      var $851; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$851; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $852=$n; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $853=(($852)>>>0) > 1; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($853) { __label__ = 173; break; } else { __label__ = 174; break; } //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 173: 
      __label__ = 320; break; //@line 4165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 174: 
      var $856=$n; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $857=(($856)|0)==0; //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($857) { __label__ = 175; break; } else { __label__ = 186; break; } //@line 4166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 175: 
      var $859=$2; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $860=$xml; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $861=__ZL12ResolveValueP9JSContextP5JSXMLPS2_($859, $860, $rxml); //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$861; //@line 4167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $862=$ok; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $863=(($862)|0)!=0; //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($863) { __label__ = 177; break; } else { __label__ = 176; break; } //@line 4168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 176: 
      __label__ = 319; break; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 177: 
      var $866=HEAP32[(($rxml)>>2)]; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $867=(($866)|0)!=0; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($867) { __label__ = 178; break; } else { __label__ = 182; break; } //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 178: 
      var $869=HEAP32[(($rxml)>>2)]; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $870=(($869+16)|0); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $871=HEAPU32[(($870)>>2)]; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $872=(($871)>>>0) < 2; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($872) { __label__ = 179; break; } else { __label__ = 180; break; } //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 179: 
      var $874=HEAP32[(($rxml)>>2)]; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $875=(($874+24)|0); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $876=$875; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $877=(($876)|0); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $878=(($877)|0); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $879=HEAP32[(($878)>>2)]; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $882 = $879;__label__ = 181; break; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 180: 
      var $882 = 0;__label__ = 181; break; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 181: 
      var $882; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $883=(($882)|0)!=1; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($883) { __label__ = 182; break; } else { __label__ = 183; break; } //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 182: 
      __label__ = 320; break; //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 183: 
      var $886=$2; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $887=$xml; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $888=HEAP32[(($rxml)>>2)]; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $889=__ZL6AppendP9JSContextP5JSXMLS2_($886, $887, $888); //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$889; //@line 4172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $890=$ok; //@line 4173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $891=(($890)|0)!=0; //@line 4173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($891) { __label__ = 185; break; } else { __label__ = 184; break; } //@line 4173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 184: 
      __label__ = 319; break; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 185: 
      __label__ = 186; break; //@line 4175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 186: 
      var $895=$xml; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $896=(($895+24)|0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $897=$896; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $898=(($897)|0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $899=(($898)|0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $900=HEAPU32[(($899)>>2)]; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $901=0 < (($900)>>>0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($901) { __label__ = 187; break; } else { __label__ = 188; break; } //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 187: 
      var $903=$xml; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $904=(($903+24)|0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $905=$904; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $906=(($905)|0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $907=(($906+8)|0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $908=HEAP32[(($907)>>2)]; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $909=(($908)|0); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $910=HEAP32[(($909)>>2)]; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $911=$910; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $914 = $911;__label__ = 189; break; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 188: 
      var $914 = 0;__label__ = 189; break; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 189: 
      var $914; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$914; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $915=$xml; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $916=(($915)|0)!=0; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($916) { __label__ = 191; break; } else { __label__ = 190; break; } //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 190: 
      __label__ = 319; break; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 191: 
      var $919=$2; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $920=$xml; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $921=__Z15js_GetXMLObjectP9JSContextP5JSXML($919, $920); //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$921; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $922=$3; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $923=(($922)|0)!=0; //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($923) { __label__ = 193; break; } else { __label__ = 192; break; } //@line 4182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 192: 
      __label__ = 323; break; //@line 4183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 193: 
      var $926=(($roots)|0); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $927=$3; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($24, $927); //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $928=$926; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $929=$24; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($928)>>2)]=HEAP32[(($929)>>2)];HEAP32[(($928+4)>>2)]=HEAP32[(($929+4)>>2)]; //@line 4184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 194; break; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 194: 
      var $931=$xml; //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $932=(($931+16)|0); //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $933=HEAPU32[(($932)>>2)]; //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $934=(($933)>>>0) >= 2; //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($934) { __label__ = 195; break; } else { __label__ = 196; break; } //@line 4195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 195: 
      __label__ = 319; break; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 196: 
      var $937=$vxml; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $938=(($937)|0)!=0; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($938) { __label__ = 197; break; } else { __label__ = 199; break; } //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 197: 
      var $940=$vxml; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $941=(($940+16)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $942=HEAP32[(($941)>>2)]; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $943=(($942)|0)==4; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($943) { __label__ = 199; break; } else { __label__ = 198; break; } //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 198: 
      var $945=$vxml; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $946=(($945+16)|0); //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $947=HEAP32[(($946)>>2)]; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $948=(($947)|0)==2; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($948) { __label__ = 199; break; } else { __label__ = 202; break; } //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 199: 
      var $950=$2; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $951=$6; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $952=$25; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $953=$951; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($952)>>2)]=HEAP32[(($953)>>2)];HEAP32[(($952+4)>>2)]=HEAP32[(($953+4)>>2)]; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $954=$6; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $955=_JS_ConvertValue($950, $25, 3, $954); //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$955; //@line 4201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $956=$ok; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $957=(($956)|0)!=0; //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($957) { __label__ = 201; break; } else { __label__ = 200; break; } //@line 4202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 200: 
      __label__ = 319; break; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 201: 
      __label__ = 206; break; //@line 4204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 202: 
      var $961=$2; //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $962=$vxml; //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $963=__ZL13DeepCopyInLRSP9JSContextP5JSXMLj($961, $962, 0); //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($rxml)>>2)]=$963; //@line 4205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $964=HEAP32[(($rxml)>>2)]; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $965=(($964)|0)!=0; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($965) { __label__ = 203; break; } else { __label__ = 204; break; } //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 203: 
      var $967=$2; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $968=HEAP32[(($rxml)>>2)]; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $969=__Z15js_GetXMLObjectP9JSContextP5JSXML($967, $968); //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $970=(($969)|0)!=0; //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($970) { __label__ = 205; break; } else { __label__ = 204; break; } //@line 4206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 204: 
      __label__ = 323; break; //@line 4207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 205: 
      var $973=HEAP32[(($rxml)>>2)]; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$973; //@line 4208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $974=$6; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $975=$vxml; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $976=(($975)|0); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $977=HEAP32[(($976)>>2)]; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($26, $977); //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $978=$974; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $979=$26; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($978)>>2)]=HEAP32[(($979)>>2)];HEAP32[(($978+4)>>2)]=HEAP32[(($979+4)>>2)]; //@line 4209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 206; break;
    case 206: 
      var $981=(($roots+16)|0); //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $982=$6; //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $983=$981; //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $984=$982; //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($983)>>2)]=HEAP32[(($984)>>2)];HEAP32[(($983+4)>>2)]=HEAP32[(($984+4)>>2)]; //@line 4211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $985=$2; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $986=__Z25js_GetDefaultXMLNamespaceP9JSContextPN2JS5ValueE($985, $nsval); //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$986; //@line 4217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $987=$ok; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $988=(($987)|0)!=0; //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($988) { __label__ = 208; break; } else { __label__ = 207; break; } //@line 4218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 207: 
      __label__ = 319; break; //@line 4219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 208: 
      var $991=$nameobj; //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $992=__ZNK8JSObject8getClassEv($991); //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $993=(($992)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($993) { __label__ = 209; break; } else { __label__ = 265; break; } //@line 4221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 209: 
      var $995=$2; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $996=$nameobj; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($27, $996); //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $997=__Z12js_IsXMLNameP9JSContextN2JS5ValueE($995, $27); //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $998=(($997)|0)!=0; //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($998) { __label__ = 211; break; } else { __label__ = 210; break; } //@line 4223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 210: 
      __label__ = 319; break; //@line 4224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 211: 
      var $1001=$vxml; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1002=(($1001)|0)!=0; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1002) { __label__ = 212; break; } else { __label__ = 229; break; } //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 212: 
      var $1004=$vxml; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1005=(($1004+16)|0); //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1006=HEAP32[(($1005)>>2)]; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1007=(($1006)|0)==0; //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1007) { __label__ = 213; break; } else { __label__ = 229; break; } //@line 4227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 213: 
      var $1009=$vxml; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1010=(($1009+24)|0); //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1011=$1010; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1012=(($1011)|0); //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1013=(($1012)|0); //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1014=HEAP32[(($1013)>>2)]; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$1014; //@line 4228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1015=$n; //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1016=(($1015)|0)==0; //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1016) { __label__ = 214; break; } else { __label__ = 215; break; } //@line 4229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 214: 
      var $1018=$6; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1019=$2; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1020=(($1019+52)|0); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1021=HEAP32[(($1020)>>2)]; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1022=(($1021+144136)|0); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1023=HEAP32[(($1022)>>2)]; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1024=$1023; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($28, $1024); //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1025=$1018; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1026=$28; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1025)>>2)]=HEAP32[(($1026)>>2)];HEAP32[(($1025+4)>>2)]=HEAP32[(($1026+4)>>2)]; //@line 4230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 228; break; //@line 4231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 215: 
      var $1028=$2; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1029=$vxml; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1030=__ZL11KidToStringP9JSContextP5JSXMLj($1028, $1029, 0); //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $left=$1030; //@line 4232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1031=$left; //@line 4233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1032=(($1031)|0)!=0; //@line 4233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1032) { __label__ = 217; break; } else { __label__ = 216; break; } //@line 4233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 216: 
      __label__ = 323; break; //@line 4234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 217: 
      var $1035=$2; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1036=(($1035+52)|0); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1037=HEAP32[(($1036)>>2)]; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1038=(($1037+209948)|0); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1039=(($1038+456)|0); //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1040=HEAP32[(($1039)>>2)]; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1041=$1040; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $space=$1041; //@line 4236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=1; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 218; break; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 218: 
      var $1043=$i; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1044=$n; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1045=(($1043)>>>0) < (($1044)>>>0); //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1045) { __label__ = 219; break; } else { __label__ = 227; break; } //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 219: 
      var $1047=$2; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1048=$left; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1049=$space; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1050=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($1047, $1048, $1049); //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $left=$1050; //@line 4238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1051=$left; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1052=(($1051)|0)!=0; //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1052) { __label__ = 221; break; } else { __label__ = 220; break; } //@line 4239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 220: 
      __label__ = 323; break; //@line 4240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 221: 
      var $1055=$2; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1056=$vxml; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1057=$i; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1058=__ZL11KidToStringP9JSContextP5JSXMLj($1055, $1056, $1057); //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $right=$1058; //@line 4241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1059=$right; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1060=(($1059)|0)!=0; //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1060) { __label__ = 223; break; } else { __label__ = 222; break; } //@line 4242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 222: 
      __label__ = 323; break; //@line 4243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 223: 
      var $1063=$2; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1064=$left; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1065=$right; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1066=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($1063, $1064, $1065); //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $left=$1066; //@line 4244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1067=$left; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1068=(($1067)|0)!=0; //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1068) { __label__ = 225; break; } else { __label__ = 224; break; } //@line 4245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 224: 
      __label__ = 323; break; //@line 4246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 225: 
      __label__ = 226; break; //@line 4247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 226: 
      var $1072=$i; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1073=(($1072+1)|0); //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$1073; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 218; break; //@line 4237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 227: 
      var $1075=(($roots+16)|0); //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1076=$6; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1077=$left; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($29, $1077); //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1078=$1076; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1079=$29; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1078)>>2)]=HEAP32[(($1079)>>2)];HEAP32[(($1078+4)>>2)]=HEAP32[(($1079+4)>>2)]; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1080=$1075; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1081=$1076; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1080)>>2)]=HEAP32[(($1081)>>2)];HEAP32[(($1080+4)>>2)]=HEAP32[(($1081+4)>>2)]; //@line 4249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 228; break;
    case 228: 
      __label__ = 232; break; //@line 4251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 229: 
      var $1084=$2; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1085=$6; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1086=$30; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1087=$1085; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1086)>>2)]=HEAP32[(($1087)>>2)];HEAP32[(($1086+4)>>2)]=HEAP32[(($1087+4)>>2)]; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1088=$6; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1089=_JS_ConvertValue($1084, $30, 3, $1088); //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1089; //@line 4252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1090=$ok; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1091=(($1090)|0)!=0; //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1091) { __label__ = 231; break; } else { __label__ = 230; break; } //@line 4253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 230: 
      __label__ = 319; break; //@line 4254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 231: 
      var $1094=(($roots+16)|0); //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1095=$6; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1096=$1094; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1097=$1095; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1096)>>2)]=HEAP32[(($1097)>>2)];HEAP32[(($1096+4)>>2)]=HEAP32[(($1097+4)>>2)]; //@line 4255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 232; break;
    case 232: 
      $match=0; //@line 4259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1099=$xml; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1100=(($1099+24)|0); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1101=$1100; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1102=(($1101+32)|0); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1103=(($1102)|0); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1104=HEAP32[(($1103)>>2)]; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$1104; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 233; break; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 233: 
      var $1106=$i; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1107=$n; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1108=(($1106)>>>0) < (($1107)>>>0); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1108) { __label__ = 234; break; } else { __label__ = 249; break; } //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 234: 
      var $1110=$i; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1111=$xml; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1112=(($1111+24)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1113=$1112; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1114=(($1113+32)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1115=(($1114)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1116=HEAPU32[(($1115)>>2)]; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1117=(($1110)>>>0) < (($1116)>>>0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1117) { __label__ = 235; break; } else { __label__ = 236; break; } //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 235: 
      var $1119=$i; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1120=$xml; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1121=(($1120+24)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1122=$1121; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1123=(($1122+32)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1124=(($1123+8)|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1125=HEAP32[(($1124)>>2)]; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1126=(($1125+($1119<<2))|0); //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1127=HEAP32[(($1126)>>2)]; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1128=$1127; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1131 = $1128;__label__ = 237; break; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 236: 
      var $1131 = 0;__label__ = 237; break; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 237: 
      var $1131; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$1131; //@line 4261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1132=$attr; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1133=(($1132)|0)!=0; //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1133) { __label__ = 239; break; } else { __label__ = 238; break; } //@line 4262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 238: 
      __label__ = 248; break; //@line 4263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 239: 
      var $1136=$attr; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1137=(($1136+12)|0); //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1138=HEAP32[(($1137)>>2)]; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attrqn=$1138; //@line 4264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1139=$attrqn; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1140=__ZNK8JSObject17getQNameLocalNameEv($1139); //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1141=$1140; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1142=$nameqn; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1143=__ZNK8JSObject17getQNameLocalNameEv($1142); //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1144=$1143; //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1145=__ZN2js12EqualStringsEP14JSLinearStringS1_($1141, $1144); //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1145) { __label__ = 240; break; } else { __label__ = 247; break; } //@line 4265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 240: 
      var $1147=$nameqn; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1148=__ZNK8JSObject10getNameURIEv($1147); //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri=$1148; //@line 4266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1149=$uri; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1150=(($1149)|0)!=0; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1150) { __label__ = 241; break; } else { __label__ = 242; break; } //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 241: 
      var $1152=$attrqn; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1153=__ZNK8JSObject10getNameURIEv($1152); //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1154=$uri; //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1155=__ZN2js12EqualStringsEP14JSLinearStringS1_($1153, $1154); //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1155) { __label__ = 242; break; } else { __label__ = 246; break; } //@line 4267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 242: 
      var $1157=$match; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1158=(($1157)|0)!=0; //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1158) { __label__ = 244; break; } else { __label__ = 243; break; } //@line 4268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 243: 
      var $1160=$attr; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $match=$1160; //@line 4269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 245; break; //@line 4270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 244: 
      var $1162=$2; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1163=$xml; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1164=$attrqn; //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL19DeleteNamedPropertyP9JSContextP5JSXMLP8JSObjecti($1162, $1163, $1164, 1); //@line 4271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1165=$i; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1166=(($1165-1)|0); //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$1166; //@line 4272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 245; break;
    case 245: 
      __label__ = 246; break; //@line 4274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 246: 
      __label__ = 247; break; //@line 4275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 247: 
      __label__ = 248; break; //@line 4276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 248: 
      var $1171=$i; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1172=(($1171+1)|0); //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$1172; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 233; break; //@line 4260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 249: 
      var $1174=$match; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$1174; //@line 4279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1175=$attr; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1176=(($1175)|0)!=0; //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1176) { __label__ = 264; break; } else { __label__ = 250; break; } //@line 4280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 250: 
      var $1178=$nameqn; //@line 4282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1179=__ZNK8JSObject10getNameURIEv($1178); //@line 4282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri1=$1179; //@line 4282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1180=$uri1; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1181=(($1180)|0)!=0; //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1181) { __label__ = 252; break; } else { __label__ = 251; break; } //@line 4284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 251: 
      var $1183=$2; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1184=(($1183+52)|0); //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1185=HEAP32[(($1184)>>2)]; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1186=(($1185+144136)|0); //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1187=HEAP32[(($1186)>>2)]; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1188=$1187; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $right3=$1188; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $left2=$1188; //@line 4285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 253; break; //@line 4286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 252: 
      var $1190=$uri1; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $left2=$1190; //@line 4287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1191=$nameqn; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1192=__ZNK8JSObject13getNamePrefixEv($1191); //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $right3=$1192; //@line 4288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 253; break;
    case 253: 
      var $1194=$2; //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1195=$left2; //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1196=$right3; //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1197=$nameqn; //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1198=__ZNK8JSObject17getQNameLocalNameEv($1197); //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1199=__ZL11NewXMLQNameP9JSContextP14JSLinearStringS2_P6JSAtom($1194, $1195, $1196, $1198); //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$1199; //@line 4290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1200=$nameqn; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1201=(($1200)|0)!=0; //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1201) { __label__ = 255; break; } else { __label__ = 254; break; } //@line 4291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 254: 
      __label__ = 323; break; //@line 4292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 255: 
      var $1204=$2; //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1205=__Z9js_NewXMLP9JSContext10JSXMLClass($1204, 2); //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$1205; //@line 4295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1206=$attr; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1207=(($1206)|0)!=0; //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1207) { __label__ = 257; break; } else { __label__ = 256; break; } //@line 4296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 256: 
      __label__ = 323; break; //@line 4297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 257: 
      var $1210=$xml; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1211=$attr; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1212=(($1211+8)|0); //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($1212)>>2)]=$1210; //@line 4298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1213=$nameqn; //@line 4299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1214=$attr; //@line 4299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1215=(($1214+12)|0); //@line 4299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($1215)>>2)]=$1213; //@line 4299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1216=$2; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1217=$xml; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1218=(($1217+24)|0); //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1219=$1218; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1220=(($1219+32)|0); //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1221=$n; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1222=$attr; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1223=$1222; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1224=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($1216, $1220, $1221, $1223); //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1224; //@line 4302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1225=$ok; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1226=(($1225)|0)!=0; //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1226) { __label__ = 259; break; } else { __label__ = 258; break; } //@line 4303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 258: 
      __label__ = 319; break; //@line 4304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 259: 
      var $1229=$2; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1230=$nameqn; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1231=__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($1229, $1230, 0); //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$1231; //@line 4307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1232=$ns; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1233=(($1232)|0)!=0; //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1233) { __label__ = 261; break; } else { __label__ = 260; break; } //@line 4308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 260: 
      __label__ = 323; break; //@line 4309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 261: 
      var $1236=$2; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1237=$xml; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1238=$ns; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1239=__ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject($1236, $1237, $1238); //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1239; //@line 4310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1240=$ok; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1241=(($1240)|0)!=0; //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1241) { __label__ = 263; break; } else { __label__ = 262; break; } //@line 4311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 262: 
      __label__ = 319; break; //@line 4312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 263: 
      __label__ = 264; break; //@line 4313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 264: 
      var $1245=$6; //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1246=$31; //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1247=$1245; //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1246)>>2)]=HEAP32[(($1247)>>2)];HEAP32[(($1246+4)>>2)]=HEAP32[(($1247+4)>>2)]; //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1248=_JSVAL_TO_STRING4321($31); //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1249=$attr; //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1250=(($1249+24)|0); //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1251=$1250; //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($1251)>>2)]=$1248; //@line 4316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 319; break; //@line 4317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 265: 
      var $1253=$2; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1254=$nameobj; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($32, $1254); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1255=__Z12js_IsXMLNameP9JSContextN2JS5ValueE($1253, $32); //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1256=(($1255)|0)!=0; //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1256) { __label__ = 269; break; } else { __label__ = 266; break; } //@line 4321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 266: 
      var $1258=$nameqn; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1259=__ZNK8JSObject17getQNameLocalNameEv($1258); //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1260=$1259; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1261=__ZNK8JSString6lengthEv($1260); //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1262=(($1261)|0)==1; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1262) { __label__ = 267; break; } else { __label__ = 268; break; } //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 267: 
      var $1264=$nameqn; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1265=__ZNK8JSObject17getQNameLocalNameEv($1264); //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1266=$1265; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1267=__ZNK14JSLinearString5charsEv($1266); //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1268=HEAPU16[(($1267)>>1)]; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1269=(($1268)&65535); //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1270=(($1269)|0)==42; //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1270) { __label__ = 269; break; } else { __label__ = 268; break; } //@line 4322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 268: 
      __label__ = 319; break; //@line 4323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 269: 
      $4=2; //@line 4327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1273=$vxml; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1274=(($1273)|0)!=0; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1274) { var $1293 = 0;__label__ = 273; break; } else { __label__ = 270; break; } //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 270: 
      var $1276=$nameqn; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1277=__ZNK8JSObject17getQNameLocalNameEv($1276); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1278=$1277; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1279=__ZNK8JSString6lengthEv($1278); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1280=(($1279)|0)==1; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1280) { __label__ = 271; break; } else { var $1290 = 0;__label__ = 272; break; } //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 271: 
      var $1282=$nameqn; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1283=__ZNK8JSObject17getQNameLocalNameEv($1282); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1284=$1283; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1285=__ZNK14JSLinearString5charsEv($1284); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1286=HEAPU16[(($1285)>>1)]; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1287=(($1286)&65535); //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1288=(($1287)|0)==42; //@line 4328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1290 = $1288;__label__ = 272; break;
    case 272: 
      var $1290;
      var $1291=$1290 ^ 1;
      var $1293 = $1291;__label__ = 273; break;
    case 273: 
      var $1293;
      var $1294=(($1293)&1);
      $primitiveAssign=$1294;
      var $1295=$xml; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1296=(($1295+24)|0); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1297=$1296; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1298=(($1297)|0); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1299=(($1298)|0); //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1300=HEAP32[(($1299)>>2)]; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$1300; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $k=$1300; //@line 4331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matchIndex=-1; //@line 4332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid2=0; //@line 4333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 274; break; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 274: 
      var $1302=$k; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1303=(($1302)|0)!=0; //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1303) { __label__ = 275; break; } else { __label__ = 284; break; } //@line 4334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 275: 
      var $1305=$k; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1306=(($1305-1)|0); //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $k=$1306; //@line 4335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1307=$k; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1308=$xml; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1309=(($1308+24)|0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1310=$1309; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1311=(($1310)|0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1312=(($1311)|0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1313=HEAPU32[(($1312)>>2)]; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1314=(($1307)>>>0) < (($1313)>>>0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1314) { __label__ = 276; break; } else { __label__ = 277; break; } //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 276: 
      var $1316=$k; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1317=$xml; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1318=(($1317+24)|0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1319=$1318; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1320=(($1319)|0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1321=(($1320+8)|0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1322=HEAP32[(($1321)>>2)]; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1323=(($1322+($1316<<2))|0); //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1324=HEAP32[(($1323)>>2)]; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1325=$1324; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1328 = $1325;__label__ = 278; break; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 277: 
      var $1328 = 0;__label__ = 278; break; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 278: 
      var $1328; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$1328; //@line 4336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1329=$kid; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1330=(($1329)|0)!=0; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1330) { __label__ = 279; break; } else { __label__ = 283; break; } //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 279: 
      var $1332=$nameqn; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1333=$kid; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1334=__ZL13MatchElemNameP8JSObjectP5JSXML($1332, $1333); //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1335=(($1334)|0)!=0; //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1335) { __label__ = 280; break; } else { __label__ = 283; break; } //@line 4337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 280: 
      var $1337=$matchIndex; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1338=(($1337)|0)!=-1; //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1338) { __label__ = 281; break; } else { __label__ = 282; break; } //@line 4338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 281: 
      var $1340=$2; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1341=$xml; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1342=$matchIndex; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL13DeleteByIndexP9JSContextP5JSXMLj($1340, $1341, $1342); //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 282; break; //@line 4339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 282: 
      var $1344=$k; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matchIndex=$1344; //@line 4340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1345=$kid; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid2=$1345; //@line 4341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 283; break; //@line 4342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 283: 
      __label__ = 274; break; //@line 4343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 284: 
      var $1348=$kid2; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1349=(($1348)|0)!=0; //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1349) { __label__ = 285; break; } else { __label__ = 288; break; } //@line 4361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 285: 
      var $1351=$kid2; //@line 4363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1352=(($1351+8)|0); //@line 4363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1353=HEAP32[(($1352)>>2)]; //@line 4363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1354=(($1353)|0)!=0; //@line 4363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1354) { __label__ = 287; break; } else { __label__ = 286; break; } //@line 4363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 286: 
      var $1356=$xml; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1357=$kid2; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1358=(($1357+8)|0); //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($1358)>>2)]=$1356; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 287; break; //@line 4364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 287: 
      __label__ = 288; break; //@line 4365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 288: 
      var $1361=$matchIndex; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1362=(($1361)|0)==-1; //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1362) { __label__ = 289; break; } else { __label__ = 305; break; } //@line 4368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 289: 
      var $1364=$n; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matchIndex=$1364; //@line 4370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1365=$primitiveAssign; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1366=(($1365)|0)!=0; //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1366) { __label__ = 290; break; } else { __label__ = 304; break; } //@line 4373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 290: 
      var $1368=$nameqn; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1369=__ZNK8JSObject10getNameURIEv($1368); //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri4=$1369; //@line 4374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1370=$uri4; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1371=(($1370)|0)!=0; //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1371) { __label__ = 292; break; } else { __label__ = 291; break; } //@line 4376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 291: 
      var $1373=$33; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1374=$nsval; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1373)>>2)]=HEAP32[(($1374)>>2)];HEAP32[(($1373+4)>>2)]=HEAP32[(($1374+4)>>2)]; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1375=_JSVAL_TO_OBJECT4304($33); //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$1375; //@line 4377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1376=$ns; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1377=__ZNK8JSObject10getNameURIEv($1376); //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $left5=$1377; //@line 4378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1378=$ns; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1379=__ZNK8JSObject13getNamePrefixEv($1378); //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $right6=$1379; //@line 4379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 293; break; //@line 4380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 292: 
      var $1381=$uri4; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $left5=$1381; //@line 4381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1382=$nameqn; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1383=__ZNK8JSObject13getNamePrefixEv($1382); //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $right6=$1383; //@line 4382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 293; break;
    case 293: 
      var $1385=$2; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1386=$left5; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1387=$right6; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1388=$nameqn; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1389=__ZNK8JSObject17getQNameLocalNameEv($1388); //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1390=__ZL11NewXMLQNameP9JSContextP14JSLinearStringS2_P6JSAtom($1385, $1386, $1387, $1389); //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$1390; //@line 4384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1391=$nameqn; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1392=(($1391)|0)!=0; //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1392) { __label__ = 295; break; } else { __label__ = 294; break; } //@line 4385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 294: 
      __label__ = 323; break; //@line 4386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 295: 
      var $1395=$2; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1396=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($1395, 1); //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$1396; //@line 4389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1397=$vobj; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1398=(($1397)|0)!=0; //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1398) { __label__ = 297; break; } else { __label__ = 296; break; } //@line 4390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 296: 
      __label__ = 323; break; //@line 4391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 297: 
      var $1401=$vobj; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1402=__ZNK8JSObject10getPrivateEv($1401); //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1403=$1402; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$1403; //@line 4392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1404=$xml; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1405=$vxml; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1406=(($1405+8)|0); //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($1406)>>2)]=$1404; //@line 4393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1407=$nameqn; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1408=$vxml; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1409=(($1408+12)|0); //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($1409)>>2)]=$1407; //@line 4394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1410=$2; //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1411=$nameqn; //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1412=__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($1410, $1411, 0); //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$1412; //@line 4397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1413=$ns; //@line 4398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1414=(($1413)|0)!=0; //@line 4398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1414) { __label__ = 299; break; } else { __label__ = 298; break; } //@line 4398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 298: 
      __label__ = 323; break; //@line 4399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 299: 
      var $1417=$2; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1418=$xml; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1419=$matchIndex; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1420=$vobj; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($34, $1420); //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1421=__ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE($1417, $1418, $1419, $34); //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1421; //@line 4400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1422=$ok; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1423=(($1422)|0)!=0; //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1423) { __label__ = 301; break; } else { __label__ = 300; break; } //@line 4401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 300: 
      __label__ = 319; break; //@line 4402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 301: 
      var $1426=$2; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1427=$vxml; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1428=$ns; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1429=__ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject($1426, $1427, $1428); //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1429; //@line 4403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1430=$ok; //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1431=(($1430)|0)!=0; //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1431) { __label__ = 303; break; } else { __label__ = 302; break; } //@line 4404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 302: 
      __label__ = 319; break; //@line 4405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 303: 
      __label__ = 304; break; //@line 4406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 304: 
      __label__ = 305; break; //@line 4407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 305: 
      var $1436=$primitiveAssign; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1437=(($1436)|0)!=0; //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1437) { __label__ = 306; break; } else { __label__ = 316; break; } //@line 4410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 306: 
      var $1439=$xml; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1440=(($1439+24)|0); //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1441=$1440; //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1442=(($1441)|0); //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $1442); //@line 4411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1443=$matchIndex; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1444=(($cursor+4)|0); //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($1444)>>2)]=$1443; //@line 4412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1445=__ZN16JSXMLArrayCursor10getCurrentEv($cursor); //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1446=$1445; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$1446; //@line 4413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1447=$kid; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1448=(($1447+16)|0); //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1449=HEAPU32[(($1448)>>2)]; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1450=(($1449)>>>0) < 2; //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1450) { __label__ = 307; break; } else { __label__ = 308; break; } //@line 4414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 307: 
      var $1452=$kid; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1453=(($1452+24)|0); //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1454=$1453; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1455=(($1454)|0); //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1456=$2; //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray6finishEP9JSContext($1455, $1456); //@line 4415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1457=$kid; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1458=(($1457+24)|0); //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1459=$1458; //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1460=(($1459)|0); //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN10JSXMLArray4initEv($1460); //@line 4416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1461=$kid; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1462=(($1461+24)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1463=$1462; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1464=(($1463)|0); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1465=$2; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1466=__ZN10JSXMLArray11setCapacityEP9JSContextj($1464, $1465, 1); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1467=(($1466)&1); //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1467; //@line 4417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 308; break; //@line 4418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 308: 
      var $1469=$ok; //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1470=(($1469)|0)!=0; //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1470) { __label__ = 309; break; } else { __label__ = 315; break; } //@line 4422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 309: 
      var $1472=$2; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1473=$6; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1474=$35; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1475=$1473; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1474)>>2)]=HEAP32[(($1475)>>2)];HEAP32[(($1474+4)>>2)]=HEAP32[(($1475+4)>>2)]; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1476=$6; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1477=_JS_ConvertValue($1472, $35, 3, $1476); //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1477; //@line 4423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1478=$ok; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1479=(($1478)|0)!=0; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1479) { __label__ = 310; break; } else { __label__ = 314; break; } //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 310: 
      var $1481=$6; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1482=$36; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1483=$1481; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1482)>>2)]=HEAP32[(($1483)>>2)];HEAP32[(($1482+4)>>2)]=HEAP32[(($1483+4)>>2)]; //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1484=_JSVAL_TO_STRING4321($36); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1485=__ZNK8JSString5emptyEv($1484); //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1485) { __label__ = 314; break; } else { __label__ = 311; break; } //@line 4424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 311: 
      var $1487=(($roots+16)|0); //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1488=$6; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1489=$1487; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1490=$1488; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1489)>>2)]=HEAP32[(($1490)>>2)];HEAP32[(($1489+4)>>2)]=HEAP32[(($1490+4)>>2)]; //@line 4425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1491=__ZN16JSXMLArrayCursor10getCurrentEv($cursor); //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1492=$1491; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1493=$kid; //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1494=(($1492)|0)==(($1493)|0); //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1494) { __label__ = 312; break; } else { __label__ = 313; break; } //@line 4426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 312: 
      var $1496=$2; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1497=$kid; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1498=$6; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1499=$37; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1500=$1498; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1499)>>2)]=HEAP32[(($1500)>>2)];HEAP32[(($1499+4)>>2)]=HEAP32[(($1500+4)>>2)]; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1501=__ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE($1496, $1497, 0, $37); //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1501; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 313; break; //@line 4427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 313: 
      __label__ = 314; break; //@line 4428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 314: 
      __label__ = 315; break; //@line 4429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 315: 
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 317; break; //@line 4430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 316: 
      var $1506=$2; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1507=$xml; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1508=$matchIndex; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1509=$6; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1510=$38; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1511=$1509; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($1510)>>2)]=HEAP32[(($1511)>>2)];HEAP32[(($1510+4)>>2)]=HEAP32[(($1511+4)>>2)]; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1512=__ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE($1506, $1507, $1508, $38); //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$1512; //@line 4432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 317; break;
    case 317: 
      __label__ = 318; break;
    case 318: 
      __label__ = 319; break;
    case 319: 
      var $1516=$2; //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL22js_LeaveLocalRootScopeP9JSContext($1516); //@line 4437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1517=$ok; //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$1517; //@line 4438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $39=1;
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 4449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 324; break;
    case 320: 
      __ZN16JSAutoByteStringC1Ev($bytes); //@line 4442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1519=$2; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1520=$4; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToValueEi4432($40, $1520); //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1521=__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb($1519, $40, $bytes, 0); //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1522=(($1521)|0)!=0; //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($1522) { __label__ = 321; break; } else { __label__ = 322; break; } //@line 4443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 321: 
      var $1524=$2; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $1525=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($1524, 2, 0, 194, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$1525,tempInt)); //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 322; break; //@line 4444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 322: 
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 323; break; //@line 4445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 323: 
      $ok=0; //@line 4447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 319; break; //@line 4448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 324: 
      var $1529=$1; //@line 4449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $1529; //@line 4449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZN2jsL9IdToJsvalEi4431($agg_result, $id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 129 "./jsatom.h"
  __ZN2jsL9IdToValueEi4432($agg_result, $2); //@line 129 "./jsatom.h"
  ;
  return; //@line 129 "./jsatom.h"
}


function __ZN2jsL9IdToValueEi4432($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "./jsatom.h"
      var $3=_JSID_IS_STRING4403($2); //@line 116 "./jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "./jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "./jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "./jsatom.h"
      var $7=_JSID_TO_STRING4405($6); //@line 117 "./jsatom.h"
      __ZN2JSL11StringValueEP8JSString4311($agg_result, $7); //@line 117 "./jsatom.h"
      __label__ = 8; break; //@line 117 "./jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "./jsatom.h"
      var $10=_JSID_IS_INT4401($9); //@line 118 "./jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "./jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "./jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "./jsatom.h"
      var $14=_JSID_TO_INT4402($13); //@line 119 "./jsatom.h"
      __ZN2JSL10Int32ValueEi4433($agg_result, $14); //@line 119 "./jsatom.h"
      __label__ = 8; break; //@line 119 "./jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "./jsatom.h"
      var $17=_JSID_IS_OBJECT4314($16); //@line 120 "./jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "./jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "./jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "./jsatom.h"
      var $21=_JSID_TO_OBJECT4315($20); //@line 121 "./jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject4319($agg_result, $21); //@line 121 "./jsatom.h"
      __label__ = 8; break; //@line 121 "./jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv4406($agg_result); //@line 123 "./jsatom.h"
      __label__ = 8; break; //@line 123 "./jsatom.h"
    case 8: 
      ;
      return; //@line 124 "./jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12ResolveValueP9JSContextP5JSXMLPS2_($cx, $list, $result) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $target;
      var $base=__stackBase__;
      var $targetprop;
      var $id;
      var $tv=__stackBase__+4;
      var $5=__stackBase__+12;
      var $6=__stackBase__+20;
      var $7=__stackBase__+28;
      $2=$cx;
      $3=$list;
      $4=$result;
      var $8=$3; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8+16)|0); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $13=$3; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+24)|0); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$14; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0); //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 4460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $21=$2; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$3; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=__Z15js_GetXMLObjectP9JSContextP5JSXML($21, $22); //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)|0)!=0; //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $27=$3; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$4; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 4463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $30=$3; //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+24)|0); //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=$31; //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+16)|0); //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $target=$34; //@line 4467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$3; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+24)|0); //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$36; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+20)|0); //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $targetprop=$39; //@line 4468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$target; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)!=0; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $43=$targetprop; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $46=$targetprop; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=__ZNK8JSObject17getQNameLocalNameEv($46); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$47; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=__ZNK8JSString6lengthEv($48); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($49)|0)==1; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($50) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $52=$targetprop; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZNK8JSObject17getQNameLocalNameEv($52); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$53; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__ZNK14JSLinearString5charsEv($54); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=HEAPU16[(($55)>>1)]; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)&65535); //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57)|0)==42; //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($58) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $60=$4; //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($60)>>2)]=0; //@line 4470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $62=$targetprop; //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__ZNK8JSObject8getClassEv($62); //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($64) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 4474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $66=$4; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($66)>>2)]=0; //@line 4475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $68=$2; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$target; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=__ZL12ResolveValueP9JSContextP5JSXMLPS2_($68, $69, $base); //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=(($70)|0)!=0; //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($71) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=0; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $74=HEAP32[(($base)>>2)]; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74)|0)!=0; //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 4481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $77=$4; //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($77)>>2)]=0; //@line 4482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $79=$2; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=HEAP32[(($base)>>2)]; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=__Z15js_GetXMLObjectP9JSContextP5JSXML($79, $80); //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=(($81)|0)!=0; //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($82) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 4485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $85=$targetprop; //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=_OBJECT_TO_JSID4356($85); //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $id=$86; //@line 4488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$2; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=HEAP32[(($base)>>2)]; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$id; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($87, $90, $91, $tv); //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92)|0)!=0; //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($93) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 4489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $1=0; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $96=$5; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$tv; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($96)>>2)]=HEAP32[(($97)>>2)];HEAP32[(($96+4)>>2)]=HEAP32[(($97+4)>>2)]; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=_JSVAL_TO_OBJECT4304($5); //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=__ZNK8JSObject10getPrivateEv($98); //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$99; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $target=$100; //@line 4491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$target; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101+16)|0); //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=HEAPU32[(($102)>>2)]; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103)>>>0) < 2; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($104) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $106=$target; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106+24)|0); //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$107; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108)|0); //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($109)|0); //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=HEAP32[(($110)>>2)]; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114 = $111;__label__ = 24; break; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $114 = 0;__label__ = 24; break; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $114; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=(($114)|0)==0; //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($115) { __label__ = 25; break; } else { __label__ = 36; break; } //@line 4493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $117=HEAP32[(($base)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117+16)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119)|0)==0; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 26; break; } else { __label__ = 31; break; } //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $122=HEAP32[(($base)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122+16)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=HEAPU32[(($123)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($124)>>>0) < 2; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($125) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $127=HEAP32[(($base)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($127+24)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=$128; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=(($129)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130)|0); //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=HEAP32[(($131)>>2)]; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135 = $132;__label__ = 29; break; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $135 = 0;__label__ = 29; break; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $135; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($135)>>>0) > 1; //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($136) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 4494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $138=$4; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($138)>>2)]=0; //@line 4495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $140=$2; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140+52)|0); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142+144136)|0); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$144; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _STRING_TO_JSVAL4322($6, $145); //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=$tv; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=$6; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($146)>>2)]=HEAP32[(($147)>>2)];HEAP32[(($146+4)>>2)]=HEAP32[(($147+4)>>2)]; //@line 4498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=$2; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=HEAP32[(($base)>>2)]; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149)|0); //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=HEAP32[(($150)>>2)]; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=$id; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($148, $151, $152, 0, $tv); //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=(($153)|0)!=0; //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($154) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 4499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      $1=0; //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $157=$2; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=HEAP32[(($base)>>2)]; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($158)|0); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$id; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($157, $160, $161, $tv); //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=(($162)|0)!=0; //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($163) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 4501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      $1=0; //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $166=$7; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=$tv; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($166)>>2)]=HEAP32[(($167)>>2)];HEAP32[(($166+4)>>2)]=HEAP32[(($167+4)>>2)]; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=_JSVAL_TO_OBJECT4304($7); //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=__ZNK8JSObject10getPrivateEv($168); //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=$169; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $target=$170; //@line 4503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 4504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $172=$target; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=$4; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($173)>>2)]=$172; //@line 4506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 37; break; //@line 4507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $175=$1; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $175; //@line 4508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12ResolveValueP9JSContextP5JSXMLPS2_["X"]=1;

function __ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $xml;
      var $list;
      var $kid;
      var $index=__stackBase__;
      var $kidobj;
      var $listobj;
      var $nameqn;
      var $funid=__stackBase__+4;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $roots=__stackBase__+32;
      var $tvr=__stackBase__+48;
      var $9;
      var $10=__stackBase__+64;
      var $11=__stackBase__+72;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $12=$3; //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZNK8JSObject5isXMLEv($12); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=1; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $16=$3; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=__ZNK8JSObject10getPrivateEv($16); //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$18; //@line 3705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$xml; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0)!=0; //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=1; //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23=$4; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__Z12js_IdIsIndexiPj($23, $index); //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)!=0; //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 23; break; } //@line 3709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$xml; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+16)|0); //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAPU32[(($28)>>2)]; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)>>>0) < 2; //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 11; break; } else { __label__ = 7; break; } //@line 3710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $32=$5; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($index)>>2)]; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33)|0)==0; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $36=$3; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($6, $36); //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $38=$6; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $40=$32; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$6; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 3711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 3712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $43=HEAPU32[(($index)>>2)]; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$xml; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44+24)|0); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$45; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47)|0); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=HEAPU32[(($48)>>2)]; //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=(($43)>>>0) < (($49)>>>0); //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($50) { __label__ = 12; break; } else { __label__ = 20; break; } //@line 3720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $52=HEAPU32[(($index)>>2)]; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$xml; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+24)|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=$54; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55)|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56)|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=HEAPU32[(($57)>>2)]; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($52)>>>0) < (($58)>>>0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $61=HEAP32[(($index)>>2)]; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$xml; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62+24)|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$63; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+8)|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67+($61<<2))|0); //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$69; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73 = $70;__label__ = 15; break; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $73 = 0;__label__ = 15; break; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $73; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$73; //@line 3721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$kid; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74)|0)!=0; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $77=$5; //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$77; //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($78+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 3723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $80=$2; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$kid; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=__Z15js_GetXMLObjectP9JSContextP5JSXML($80, $81); //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$82; //@line 3726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$kidobj; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0)!=0; //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($84) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $87=$5; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$kidobj; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($7, $88); //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$87; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$7; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($89)>>2)]=HEAP32[(($90)>>2)];HEAP32[(($89+4)>>2)]=HEAP32[(($90+4)>>2)]; //@line 3730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break; //@line 3731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $92=$5; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$92; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($93)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($93+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 3732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 21; break;
    case 21: 
      __label__ = 22; break;
    case 22: 
      $1=1; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $97=$2; //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$4; //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2jsL9IdToJsvalEi4431($8, $98); //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=__ZL9ToXMLNameP9JSContextN2JS5ValueEPi($97, $8, $funid); //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nameqn=$99; //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$nameqn; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($100)|0)!=0; //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($101) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 3742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      $1=0; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $104=HEAP32[(($funid)>>2)]; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=_JSID_IS_VOID4359($104); //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)|0)!=0; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $108=$2; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$3; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=HEAP32[(($funid)>>2)]; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$5; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=__ZL14GetXMLFunctionP9JSContextP8JSObjectiPN2JS5ValueE($108, $109, $110, $111); //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$112; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $114=(($roots)|0); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$nameqn; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($114, $115); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($114+8)|0); //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=$116; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($117)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($117+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 3747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=$2; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=(($roots)|0); //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE($tvr, $118, 2, $119); //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$2; //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=__Z15js_NewXMLObjectP9JSContext10JSXMLClass($120, 0); //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $listobj=$121; //@line 3750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$listobj; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122)|0)!=0; //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($123) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 3751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      $1=0; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $9=1;
      __label__ = 32; break; //@line 3752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $126=(($roots+8)|0); //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=$listobj; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($10, $127); //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=$126; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=$10; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($128)>>2)]=HEAP32[(($129)>>2)];HEAP32[(($128+4)>>2)]=HEAP32[(($129+4)>>2)]; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$listobj; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=__ZNK8JSObject10getPrivateEv($130); //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$131; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$132; //@line 3756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=$2; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$xml; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$nameqn; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=$list; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=__ZL16GetNamedPropertyP9JSContextP5JSXMLP8JSObjectS2_($133, $134, $135, $136); //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137)|0)!=0; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($138) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      $1=0; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $9=1;
      __label__ = 32; break; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $141=$xml; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=$list; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142+24)|0); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$143; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=(($144+16)|0); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($145)>>2)]=$141; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=$nameqn; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=$list; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+24)|0); //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=$148; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149+20)|0); //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($150)>>2)]=$146; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=$5; //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=$listobj; //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($11, $152); //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$151; //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$11; //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($153)>>2)]=HEAP32[(($154)>>2)];HEAP32[(($153+4)>>2)]=HEAP32[(($154+4)>>2)]; //@line 3769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=1; //@line 3770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $9=1;
      __label__ = 32; break; //@line 3770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      __ZN2js15AutoArrayRooterD1Ev($tvr); //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break;
    case 33: 
      var $157=$1; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $157; //@line 3771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE["X"]=1;

function __ZN16JSXMLArrayCursor10getCurrentEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3)|0); //@line 112 "./jsxml.h"
      var $5=HEAP32[(($4)>>2)]; //@line 112 "./jsxml.h"
      var $6=(($5)|0)!=0; //@line 112 "./jsxml.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 112 "./jsxml.h"
    case 2: 
      var $8=(($3+4)|0); //@line 112 "./jsxml.h"
      var $9=HEAPU32[(($8)>>2)]; //@line 112 "./jsxml.h"
      var $10=(($3)|0); //@line 112 "./jsxml.h"
      var $11=HEAP32[(($10)>>2)]; //@line 112 "./jsxml.h"
      var $12=(($11)|0); //@line 112 "./jsxml.h"
      var $13=HEAPU32[(($12)>>2)]; //@line 112 "./jsxml.h"
      var $14=(($9)>>>0) >= (($13)>>>0); //@line 112 "./jsxml.h"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 112 "./jsxml.h"
    case 3: 
      $1=0; //@line 113 "./jsxml.h"
      __label__ = 5; break; //@line 113 "./jsxml.h"
    case 4: 
      var $17=(($3+4)|0); //@line 114 "./jsxml.h"
      var $18=HEAP32[(($17)>>2)]; //@line 114 "./jsxml.h"
      var $19=(($3)|0); //@line 114 "./jsxml.h"
      var $20=HEAP32[(($19)>>2)]; //@line 114 "./jsxml.h"
      var $21=(($20+8)|0); //@line 114 "./jsxml.h"
      var $22=HEAP32[(($21)>>2)]; //@line 114 "./jsxml.h"
      var $23=(($22+($18<<2))|0); //@line 114 "./jsxml.h"
      var $24=HEAP32[(($23)>>2)]; //@line 114 "./jsxml.h"
      var $25=(($3+16)|0); //@line 114 "./jsxml.h"
      HEAP32[(($25)>>2)]=$24; //@line 114 "./jsxml.h"
      $1=$24; //@line 114 "./jsxml.h"
      __label__ = 5; break; //@line 114 "./jsxml.h"
    case 5: 
      var $27=$1; //@line 115 "./jsxml.h"
      ;
      return $27; //@line 115 "./jsxml.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6InsertP9JSContextP5JSXMLjN2JS5ValueE($cx, $xml, $i, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $v=__stackBase__;
      var $j;
      var $n;
      var $vxml;
      var $kid;
      var $vobj;
      var $str;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      $3=$cx;
      $4=$xml;
      $5=$i;
      var $8=$v;
      var $9=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
      var $10=$4; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+16)|0); //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)>>>0) < 2; //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $2=1; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 58; break; //@line 3428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $n=1; //@line 3430 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=0; //@line 3431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$6; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$v; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=_JSVAL_IS_PRIMITIVE4303($6); //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)!=0; //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 27; break; } else { __label__ = 4; break; } //@line 3432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $21=$7; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$v; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=_JSVAL_TO_OBJECT4304($7); //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$23; //@line 3433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$vobj; //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZNK8JSObject5isXMLEv($24); //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 26; break; } //@line 3434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $27=$vobj; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZNK8JSObject10getPrivateEv($27); //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$28; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$29; //@line 3435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$vxml; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+16)|0); //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)|0)==0; //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 20; break; } //@line 3436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $35=$vxml; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+24)|0); //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$36; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37)|0); //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38)|0); //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$40; //@line 3437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$n; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)==0; //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $2=1; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 58; break; //@line 3439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $j=0; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $46=$j; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$n; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($46)>>>0) < (($47)>>>0); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $50=$j; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$vxml; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+24)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$52; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=HEAPU32[(($55)>>2)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($50)>>>0) < (($56)>>>0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $59=$j; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$vxml; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60+24)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$61; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63+8)|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+($59<<2))|0); //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$67; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71 = $68;__label__ = 13; break; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $71 = 0;__label__ = 13; break; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $71; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$71; //@line 3441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$kid; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=(($72)|0)!=0; //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($73) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 18; break; //@line 3443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $76=$3; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=$4; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$kid; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=__ZL10CheckCycleP9JSContextP5JSXMLS2_($76, $77, $78); //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79)|0)!=0; //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($80) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $2=0; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 58; break; //@line 3445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      __label__ = 18; break; //@line 3446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $84=$j; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84+1)|0); //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$85; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 3440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 25; break; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $88=$vxml; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88+16)|0); //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90)|0)==1; //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($91) { __label__ = 21; break; } else { __label__ = 24; break; } //@line 3447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $93=$3; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$4; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$vxml; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=__ZL10CheckCycleP9JSContextP5JSXMLS2_($93, $94, $95); //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96)|0)!=0; //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($97) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      $2=0; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 58; break; //@line 3450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break; //@line 3451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      __label__ = 25; break;
    case 25: 
      __label__ = 26; break; //@line 3452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 27; break; //@line 3453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $104=$vxml; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104)|0)!=0; //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($105) { __label__ = 33; break; } else { __label__ = 28; break; } //@line 3454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $107=$3; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($107, $v); //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$108; //@line 3455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$str; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($109)|0)!=0; //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($110) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 3456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      $2=0; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 58; break; //@line 3457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $113=$3; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=__Z9js_NewXMLP9JSContext10JSXMLClass($113, 4); //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$114; //@line 3459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$vxml; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($115)|0)!=0; //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($116) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 3460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      $2=0; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 58; break; //@line 3461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $119=$str; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$vxml; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=(($120+24)|0); //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$121; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($122)>>2)]=$119; //@line 3462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $124=$5; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$4; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125+24)|0); //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=$126; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($127)|0); //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128)|0); //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=HEAPU32[(($129)>>2)]; //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($124)>>>0) > (($130)>>>0); //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($131) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 3465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $133=$4; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=(($133+24)|0); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$134; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($135)|0); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136)|0); //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=HEAP32[(($137)>>2)]; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=$138; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 35; break; //@line 3466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $140=$3; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=$4; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=(($141+24)|0); //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=$142; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=(($143)|0); //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$5; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=$n; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=__ZL14XMLArrayInsertP9JSContextP10JSXMLArrayjj($140, $144, $145, $146); //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147)|0)!=0; //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($148) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 3468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      $2=0; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 58; break; //@line 3469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $151=$vxml; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=(($151+16)|0); //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=(($153)|0)==0; //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($154) { __label__ = 38; break; } else { __label__ = 52; break; } //@line 3471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      $j=0; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $157=$j; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=$n; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($157)>>>0) < (($158)>>>0); //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($159) { __label__ = 40; break; } else { __label__ = 51; break; } //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $161=$j; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=$vxml; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=(($162+24)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=$163; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=(($165)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=HEAPU32[(($166)>>2)]; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=(($161)>>>0) < (($167)>>>0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($168) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $170=$j; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=$vxml; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=(($171+24)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=$172; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=(($173)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174+8)|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=HEAP32[(($175)>>2)]; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=(($176+($170<<2))|0); //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=HEAP32[(($177)>>2)]; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=$178; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $182 = $179;__label__ = 43; break; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $182 = 0;__label__ = 43; break; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      var $182; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$182; //@line 3473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=$kid; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=(($183)|0)!=0; //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($184) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 3474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      __label__ = 50; break; //@line 3475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $187=$4; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $188=$kid; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $189=(($188+8)|0); //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($189)>>2)]=$187; //@line 3476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 46; break; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      var $191=$4; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $192=(($191+24)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=$192; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $194=(($193)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $195=(($194)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $196=HEAPU32[(($195)>>2)]; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $197=$5; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $198=$j; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $199=(($197+$198)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $200=(($196)>>>0) <= (($199)>>>0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($200) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      var $202=$5; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $203=$j; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $204=(($202+$203)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $205=(($204+1)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $206=$4; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $207=(($206+24)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $208=$207; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $209=(($208)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $210=(($209)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($210)>>2)]=$205; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 48; break; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 48: 
      var $212=$kid; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $213=$212; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $214=$5; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $215=$j; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $216=(($214+$215)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $217=$4; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $218=(($217+24)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $219=$218; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $220=(($219)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $221=(($220+8)|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $222=HEAP32[(($221)>>2)]; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $223=(($222+($216<<2))|0); //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($223)>>2)]=$213; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 3477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      __label__ = 50; break; //@line 3480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 50: 
      var $226=$j; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $227=(($226+1)|0); //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$227; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 3472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 51: 
      __label__ = 57; break; //@line 3481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 52: 
      var $230=$4; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $231=$vxml; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $232=(($231+8)|0); //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($232)>>2)]=$230; //@line 3482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 53; break; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 53: 
      var $234=$4; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $235=(($234+24)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $236=$235; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $237=(($236)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $238=(($237)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $239=HEAPU32[(($238)>>2)]; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $240=$5; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $241=(($239)>>>0) <= (($240)>>>0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($241) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 54: 
      var $243=$5; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $244=(($243+1)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $245=$4; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $246=(($245+24)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $247=$246; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $248=(($247)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $249=(($248)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($249)>>2)]=$244; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 55; break; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 55: 
      var $251=$vxml; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $252=$251; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $253=$5; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $254=$4; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $255=(($254+24)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $256=$255; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $257=(($256)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $258=(($257+8)|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $259=HEAP32[(($258)>>2)]; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $260=(($259+($253<<2))|0); //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($260)>>2)]=$252; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 56; break; //@line 3483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 56: 
      __label__ = 57; break;
    case 57: 
      $2=1; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 58; break; //@line 3485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 58: 
      var $264=$2; //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $264; //@line 3486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6InsertP9JSContextP5JSXMLjN2JS5ValueE["X"]=1;

function __ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE($cx, $xml, $i, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $v=__stackBase__;
      var $n;
      var $vxml;
      var $kid;
      var $vobj;
      var $str;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      $3=$cx;
      $4=$xml;
      $5=$i;
      var $9=$v;
      var $10=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)];
      var $11=$4; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+16)|0); //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAPU32[(($12)>>2)]; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)>>>0) < 2; //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $2=1; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 3498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$4; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17+24)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$18; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0); //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$22; //@line 3505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$5; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$n; //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($23)>>>0) > (($24)>>>0); //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27=$n; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $5=$27; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 3507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $vxml=0; //@line 3509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$6; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$v; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=_JSVAL_IS_PRIMITIVE4303($6); //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 6; break; } //@line 3510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $34=$7; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$v; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=_JSVAL_TO_OBJECT4304($7); //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vobj=$36; //@line 3511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$vobj; //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=__ZNK8JSObject5isXMLEv($37); //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $40=$vobj; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=__ZNK8JSObject10getPrivateEv($40); //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$41; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$42; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 3513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 9; break; //@line 3514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $45=$vxml; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $48=$vxml; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48+16)|0); //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=HEAP32[(($49)>>2)]; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53 = $50;__label__ = 12; break; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $53 = 6;__label__ = 12; break; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $53; //@line 3516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ((($53)|0) == 1) {
        __label__ = 13; break;
      }
      else if ((($53)|0) == 5 || (($53)|0) == 3 || (($53)|0) == 4) {
        __label__ = 16; break;
      }
      else if ((($53)|0) == 0) {
        __label__ = 17; break;
      }
      else {
      __label__ = 22; break;
      }
      
    case 13: 
      var $55=$3; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$4; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$vxml; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=__ZL10CheckCycleP9JSContextP5JSXMLS2_($55, $56, $57); //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0)!=0; //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $2=0; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break; //@line 3520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      __label__ = 27; break; //@line 3524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $64=$5; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$n; //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($66) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $68=$3; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$4; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$5; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL13DeleteByIndexP9JSContextP5JSXMLj($68, $69, $70); //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 3528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $72=$3; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$4; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$5; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$8; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$v; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($75)>>2)]=HEAP32[(($76)>>2)];HEAP32[(($75+4)>>2)]=HEAP32[(($76+4)>>2)]; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=__ZL6InsertP9JSContextP5JSXMLjN2JS5ValueE($72, $73, $74, $8); //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)|0)!=0; //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $2=0; //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 3530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 37; break; //@line 3531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $82=$3; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($82, $v); //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$83; //@line 3534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$str; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84)|0)!=0; //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($85) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 3535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $2=0; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 3536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $88=$3; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=__Z9js_NewXMLP9JSContext10JSXMLClass($88, 4); //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$89; //@line 3538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$vxml; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=(($90)|0)!=0; //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($91) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 3539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      $2=0; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 3540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $94=$str; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$vxml; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95+24)|0); //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=$96; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($97)>>2)]=$94; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 3541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $99=$4; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$vxml; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($100+8)|0); //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($101)>>2)]=$99; //@line 3544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=$5; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$n; //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($102)>>>0) < (($103)>>>0); //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($104) { __label__ = 28; break; } else { __label__ = 34; break; } //@line 3545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $106=$5; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$4; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107+24)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$108; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($109)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=HEAPU32[(($111)>>2)]; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=(($106)>>>0) < (($112)>>>0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($113) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $115=$5; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$4; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116+24)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=$117; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=(($118)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119+8)|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=(($121+($115<<2))|0); //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=$123; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127 = $124;__label__ = 31; break; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $127 = 0;__label__ = 31; break; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $127; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$127; //@line 3546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=$kid; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128)|0)!=0; //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($129) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 3547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $131=$kid; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=(($131+8)|0); //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($132)>>2)]=0; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 33; break; //@line 3548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      __label__ = 34; break; //@line 3549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $135=$3; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=$4; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136+24)|0); //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=$137; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138)|0); //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$5; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=$vxml; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=$141; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($135, $139, $140, $142); //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=(($143)|0)!=0; //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($144) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 3550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      $2=0; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 3551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      __label__ = 37; break; //@line 3552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      $2=1; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 38; break; //@line 3555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $149=$2; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $149; //@line 3556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE["X"]=1;

function __ZL14XMLArrayInsertP9JSContextP10JSXMLArrayjj($cx, $array, $i, $n) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $j;
      var $cursor;
      $2=$cx;
      $3=$array;
      $4=$i;
      $5=$n;
      var $6=$3; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0); //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$8; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$3; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$2; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$j; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$5; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($11+$12)|0); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZN10JSXMLArray11setCapacityEP9JSContextj($9, $10, $13); //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$j; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$5; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($17+$18)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$3; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0); //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($21)>>2)]=$19; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $23=$j; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$4; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($23)|0)!=(($24)|0); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $27=$j; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27-1)|0); //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$28; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$j; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$3; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30+8)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32+($29<<2))|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$j; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$5; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($35+$36)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$3; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+8)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+($37<<2))|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($41)>>2)]=$34; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $43=$3; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+12)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$45; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $47=$cursor; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47)|0)!=0; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 12; break; } //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $50=$cursor; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50+4)|0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=HEAPU32[(($51)>>2)]; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$4; //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($52)>>>0) > (($53)>>>0); //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $56=$5; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$cursor; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57+4)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59+$56)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($58)>>2)]=$60; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 11; break; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $63=$cursor; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63+8)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=HEAP32[(($64)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $cursor=$65; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      $1=1; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $68=$1; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $68; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14XMLArrayInsertP9JSContextP10JSXMLArrayjj["X"]=1;

function __ZL11KidToStringP9JSContextP5JSXMLj($cx, $xml, $index) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kid;
      var $kidobj;
      var $5=__stackBase__;
      $2=$cx;
      $3=$xml;
      $4=$index;
      var $6=$4; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$3; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+24)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$8; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($6)>>>0) < (($12)>>>0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $15=$4; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$3; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+24)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19+8)|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+($15<<2))|0); //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$23; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27 = $24;__label__ = 4; break; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $27 = 0;__label__ = 4; break; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$27; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$kid; //@line 3796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0)!=0; //@line 3796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $31=$2; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+52)|0); //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+144136)|0); //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$35; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$36; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 3797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $38=$2; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$kid; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=__Z15js_GetXMLObjectP9JSContextP5JSXML($38, $39); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$40; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$kidobj; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)!=0; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 3800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $45=$2; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$kidobj; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($5, $46); //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=__Z16js_ValueToStringP9JSContextRKN2JS5ValueE($45, $5); //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$47; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 3801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $49=$1; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $49; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11KidToStringP9JSContextP5JSXMLj["X"]=1;

function __ZL10CheckCycleP9JSContextP5JSXMLS2_($cx, $xml, $kid) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$cx;
      $3=$xml;
      $4=$kid;
      __label__ = 2; break; //@line 3407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $6=$3; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$4; //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($6)|0)==(($7)|0); //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $10=$2; //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _JS_ReportErrorNumber($10, 2, 0, 36, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE._js_XML_str)|0),tempInt)); //@line 3409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=0; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 3411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      __label__ = 5; break; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $13=$3; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13+8)|0); //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$15; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 3413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=1; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 3415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $19=$1; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $19; //@line 3416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21SyncInScopeNamespacesP9JSContextP5JSXML($cx, $xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nsarray;
      var $i;
      var $n;
      var $ns;
      $2=$cx;
      $3=$xml;
      var $4=$3; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4+24)|0); //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$5; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+16)|0); //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsarray=$7; //@line 3638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $9=$3; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+8)|0); //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$11; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=0; //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 16; break; } //@line 3639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $i=0; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$3; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14+24)|0); //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$15; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0); //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$19; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $21=$i; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$n; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($21)>>>0) < (($22)>>>0); //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $25=$i; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$3; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26+24)|0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$27; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+16)|0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=HEAPU32[(($30)>>2)]; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($25)>>>0) < (($31)>>>0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $34=$i; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=$3; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=(($35+24)|0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$36; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+16)|0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+8)|0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+($34<<2))|0); //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46 = $43;__label__ = 8; break; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $46 = 0;__label__ = 8; break; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $46; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$46; //@line 3641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=$ns; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=(($47)|0)!=0; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $50=$nsarray; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$ns; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$51; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($50, $52, 360); //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0)!=-1; //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 13; break; } else { __label__ = 10; break; } //@line 3642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $56=$2; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$nsarray; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$nsarray; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0); //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=HEAP32[(($59)>>2)]; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$ns; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$61; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($56, $57, $60, $62); //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=(($63)|0)!=0; //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($64) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 3644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 3645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 14; break; //@line 3646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $69=$i; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=(($69+1)|0); //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$70; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 3640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 2; break; //@line 3647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $1=1; //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 3648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $74=$1; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $74; //@line 3649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21SyncInScopeNamespacesP9JSContextP5JSXML["X"]=1;

function __ZN2JSL10Int32ValueEi4433($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "./jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "./jsapi.h"
  ;
  return; //@line 703 "./jsapi.h"
}


function __ZL12IdValIsIndexP9JSContextN2JS5ValueEPjPb($cx, $0, $indexp, $isIndex) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $id=__stackBase__;
      var $4;
      var $5;
      var $6=__stackBase__+8;
      var $i;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $str;
      var $9=__stackBase__+32;
      $3=$cx;
      var $10=$id;
      var $11=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      $4=$indexp;
      $5=$isIndex;
      var $12=$6; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$id; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=_JSVAL_IS_INT4323($6); //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0)!=0; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $17=$7; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$id; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=_JSVAL_TO_INT4324($7); //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$19; //@line 4599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$i; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0) < 0; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $23=$5; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP8[($23)]=0; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=1; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $25=$i; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$4; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($26)>>2)]=$25; //@line 4604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$5; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP8[($27)]=1; //@line 4605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=1; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $29=$8; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$id; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=_JSVAL_IS_STRING4320($8); //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $34=$5; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP8[($34)]=0; //@line 4610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=1; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $36=$9; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$id; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=_JSVAL_TO_STRING4321($9); //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$3; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=__ZN8JSString12ensureLinearEP9JSContext($38, $39); //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$40; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$str; //@line 4615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)!=0; //@line 4615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $2=0; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 4616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $45=$str; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=$4; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=__ZN2js18StringIsArrayIndexEP14JSLinearStringPj($45, $46); //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$5; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($47)&1); //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP8[($48)]=$49; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=1; //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 10; break; //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $51=$2; //@line 4620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $51; //@line 4620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12IdValIsIndexP9JSContextN2JS5ValueEPjPb["X"]=1;

function __ZL26xml_removeNamespace_helperP9JSContextP5JSXMLP8JSObject($cx, $xml, $ns) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisns;
      var $attrns;
      var $i;
      var $n;
      var $attr;
      var $kid;
      $2=$cx;
      $3=$xml;
      $4=$ns;
      var $5=$2; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6+12)|0); //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$3; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+24)|0); //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$10; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11+16)|0); //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($5, $8, $12); //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $thisns=$13; //@line 6455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$thisns; //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$4; //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($14)|0)==(($15)|0); //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=1; //@line 6458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 6458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $i=0; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$3; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19+24)|0); //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$20; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+32)|0); //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0); //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$24; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $26=$i; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$n; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($26)>>>0) < (($27)>>>0); //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $30=$i; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$3; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31+24)|0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$32; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33+32)|0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAPU32[(($35)>>2)]; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($30)>>>0) < (($36)>>>0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $39=$i; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$3; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40+24)|0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$41; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=(($42+32)|0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+8)|0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45+($39<<2))|0); //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$47; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51 = $48;__label__ = 8; break; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $51 = 0;__label__ = 8; break; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $51; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attr=$51; //@line 6461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$attr; //@line 6462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0)!=0; //@line 6462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 6462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 13; break; //@line 6463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $56=$2; //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$attr; //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57+12)|0); //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$3; //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60+24)|0); //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$61; //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62+16)|0); //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray($56, $59, $63); //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attrns=$64; //@line 6464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$attrns; //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$4; //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($65)|0)==(($66)|0); //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 6466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=1; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 6467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 6468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $71=$i; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71+1)|0); //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$72; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 6460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $74=$3; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74+24)|0); //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=$75; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=(($76+16)|0); //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$4; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$78; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E($77, $79, 362); //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$80; //@line 6470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=$i; //@line 6471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=(($81)|0)!=-1; //@line 6471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($82) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $84=$2; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$3; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85+24)|0); //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$86; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87+16)|0); //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$i; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji($84, $88, $89, 1); //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 6472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      $i=0; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$3; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=(($92+24)|0); //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$93; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=(($94)|0); //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0); //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$97; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $99=$i; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$n; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($99)>>>0) < (($100)>>>0); //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($101) { __label__ = 18; break; } else { __label__ = 28; break; } //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $103=$i; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=$3; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104+24)|0); //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=$105; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106)|0); //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107)|0); //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=HEAPU32[(($108)>>2)]; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($103)>>>0) < (($109)>>>0); //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($110) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $112=$i; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=$3; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113+24)|0); //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=$114; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($115)|0); //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $117=(($116+8)|0); //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=(($118+($112<<2))|0); //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=$120; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124 = $121;__label__ = 21; break; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $124 = 0;__label__ = 21; break; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $124; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$124; //@line 6475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$kid; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0)!=0; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($126) { __label__ = 22; break; } else { __label__ = 26; break; } //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $128=$kid; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($128+16)|0); //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130)|0)==1; //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($131) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 6476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $133=$2; //@line 6477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$kid; //@line 6477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=$4; //@line 6477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=__ZL26xml_removeNamespace_helperP9JSContextP5JSXMLP8JSObject($133, $134, $135); //@line 6477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=(($136)|0)!=0; //@line 6477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($137) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 6477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      $1=0; //@line 6478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 6478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      __label__ = 26; break; //@line 6479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 27; break; //@line 6480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $142=$i; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=(($142+1)|0); //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$143; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 6474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      $1=1; //@line 6481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 6481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $146=$1; //@line 6482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $146; //@line 6482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL26xml_removeNamespace_helperP9JSContextP5JSXMLP8JSObject["X"]=1;

function __ZL20namespace_full_matchPKvS0_($a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $nsa;
      var $nsb;
      var $prefixa;
      var $prefixb;
      $2=$a;
      $3=$b;
      var $4=$2; //@line 6435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=$4; //@line 6435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsa=$5; //@line 6435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=$6; //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $nsb=$7; //@line 6436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$nsa; //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZNK8JSObject13getNamePrefixEv($8); //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefixa=$9; //@line 6437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$prefixa; //@line 6440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 6440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 6440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $13=$nsb; //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=__ZNK8JSObject13getNamePrefixEv($13); //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefixb=$14; //@line 6441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$prefixb; //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $18=$prefixa; //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$prefixb; //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=__ZN2js12EqualStringsEP14JSLinearStringS1_($18, $19); //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 6442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $1=0; //@line 6443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 6443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      __label__ = 6; break; //@line 6444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $24=$nsa; //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZNK8JSObject10getNameURIEv($24); //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=$nsb; //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=__ZNK8JSObject10getNameURIEv($26); //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZN2js12EqualStringsEP14JSLinearStringS1_($25, $27); //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)&1); //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$29; //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 6445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $31=$1; //@line 6446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $31; //@line 6446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16GetNamedPropertyP9JSContextP5JSXMLP8JSObjectS2_($cx, $xml, $nameqn, $list) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $array;
      var $matcher;
      var $attrs;
      var $cursor=__stackBase__;
      var $kid;
      var $6;
      var $cursor1=__stackBase__+20;
      var $kid2;
      $2=$cx;
      $3=$xml;
      $4=$nameqn;
      $5=$list;
      var $7=$3; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7+16)|0); //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9)|0)==0; //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 3658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $12=$3; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12+24)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$13; //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)|0); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $15); //@line 3659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 3; break; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$17; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$18; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$kid; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0)!=0; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $22=$kid; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+16)|0); //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)==1; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $27=$2; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$kid; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$4; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$5; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=__ZL16GetNamedPropertyP9JSContextP5JSXMLP8JSObjectS2_($27, $28, $29, $30); //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $1=0; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 9; break; //@line 3663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      __label__ = 3; break; //@line 3665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $6=0; //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 10; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 31; break;
      }
      else {
      __label__ = 32; break;
      }
      
    case 10: 
      __label__ = 30; break; //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $39=$3; //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+16)|0); //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41)|0)==1; //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 29; break; } //@line 3666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $44=$4; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=__ZNK8JSObject8getClassEv($44); //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)==((__ZN2js18AttributeNameClassE)|0); //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)&1); //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $attrs=$47; //@line 3667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$attrs; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $51=$3; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=(($51+24)|0); //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=$52; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+32)|0); //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $array=$54; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matcher=356; //@line 3670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 3671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $56=$3; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($56+24)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$57; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58)|0); //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $array=$59; //@line 3672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $matcher=358; //@line 3673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break;
    case 15: 
      var $61=$array; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor1, $61); //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $63=__ZN16JSXMLArrayCursor7getNextEv($cursor1); //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$63; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid2=$64; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$kid2; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65)|0)!=0; //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($66) { __label__ = 17; break; } else { __label__ = 26; break; } //@line 3677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $68=$matcher; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=$4; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=$kid2; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=FUNCTION_TABLE[$68]($69, $70); //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71)|0)!=0; //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($72) { __label__ = 18; break; } else { __label__ = 25; break; } //@line 3678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $74=$attrs; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74)|0)!=0; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($75) { __label__ = 22; break; } else { __label__ = 19; break; } //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $77=$kid2; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77+16)|0); //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=HEAP32[(($78)>>2)]; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=(($79)|0)==1; //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($80) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 3679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $82=$2; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=$kid2; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=__ZL21SyncInScopeNamespacesP9JSContextP5JSXML($82, $83); //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=(($84)|0)!=0; //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($85) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 3681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      $1=0; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 27; break; //@line 3682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $88=$2; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=$5; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=$kid2; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=__ZL6AppendP9JSContextP5JSXMLS2_($88, $89, $90); //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91)|0)!=0; //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($92) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 3684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      $1=0; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $6=1;
      __label__ = 27; break; //@line 3685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      __label__ = 25; break; //@line 3686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      __label__ = 16; break; //@line 3687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      $6=0; //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 27; break; //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      __ZN16JSXMLArrayCursorD1Ev($cursor1); //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $cleanup_dest3=$6;
      if ((($cleanup_dest3)|0) == 0) {
        __label__ = 28; break;
      }
      else if ((($cleanup_dest3)|0) == 1) {
        __label__ = 31; break;
      }
      else {
      __label__ = 32; break;
      }
      
    case 28: 
      __label__ = 29; break; //@line 3688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __label__ = 30; break;
    case 30: 
      $1=1; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 31; break; //@line 3690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $102=$1; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $102; //@line 3691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16GetNamedPropertyP9JSContextP5JSXMLP8JSObjectS2_["X"]=1;

function _INT_TO_JSID4434($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "./jsapi.h"
  var $3=$2 << 1; //@line 1551 "./jsapi.h"
  var $4=$3 | 1; //@line 1551 "./jsapi.h"
  $iden=$4; //@line 1551 "./jsapi.h"
  var $5=$iden; //@line 1552 "./jsapi.h"
  ;
  return $5; //@line 1552 "./jsapi.h"
}


function __ZL33xml_processingInstructions_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE($cx, $obj, $xml, $nameqn, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $list;
      var $vxml;
      var $ok;
      var $kidobj;
      var $v=__stackBase__;
      var $i;
      var $n;
      var $cursor=__stackBase__+8;
      var $kid;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $kid1;
      var $localName;
      $2=$cx;
      $3=$obj;
      $4=$xml;
      $5=$nameqn;
      $6=$vp;
      var $9=$2; //@line 6321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$4; //@line 6321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$6; //@line 6321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($9, $10, $11); //@line 6321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$12; //@line 6321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$list; //@line 6322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 6322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 6323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 45; break; //@line 6323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$5; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$list; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+24)|0); //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$19; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+20)|0); //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($21)>>2)]=$17; //@line 6325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=1; //@line 6326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$4; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+16)|0); //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)==0; //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 24; break; } //@line 6328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27=$4; //@line 6330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+24)|0); //@line 6330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$28; //@line 6330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0); //@line 6330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $30); //@line 6330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $32=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$32; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$33; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$kid; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 23; break; } //@line 6331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $37=$kid; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+16)|0); //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0)==1; //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 22; break; } //@line 6332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $42=$2; //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=__ZL22js_EnterLocalRootScopeP9JSContext($42); //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)&1); //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$44; //@line 6333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$ok; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 6334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 23; break; //@line 6335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $49=$2; //@line 6336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$kid; //@line 6336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=__Z15js_GetXMLObjectP9JSContextP5JSXML($49, $50); //@line 6336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$51; //@line 6336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$kidobj; //@line 6337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0)!=0; //@line 6337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 6337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $55=$2; //@line 6338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$kidobj; //@line 6338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$kid; //@line 6338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$5; //@line 6338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=__ZL33xml_processingInstructions_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE($55, $56, $57, $58, $v); //@line 6338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$59; //@line 6338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 6340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $ok=0; //@line 6341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$v; //@line 6342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 6342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break;
    case 12: 
      var $63=$2; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$7; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$v; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextN2JS5ValueE($63, $7); //@line 6344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$ok; //@line 6345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0)!=0; //@line 6345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 6345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 23; break; //@line 6346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $70=$8; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$v; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[(($71)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[(($71+4)>>2)]; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=_JSVAL_TO_OBJECT4304($8); //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=__ZNK8JSObject10getPrivateEv($72); //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$73; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$74; //@line 6347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$vxml; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75+16)|0); //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=HEAPU32[(($76)>>2)]; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)>>>0) < 2; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $80=$vxml; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+24)|0); //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$81; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82)|0); //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0); //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88 = $85;__label__ = 17; break; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $88 = 0;__label__ = 17; break; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $88; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0)!=0; //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($89) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 6348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $91=$2; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$list; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$vxml; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=__ZL6AppendP9JSContextP5JSXMLS2_($91, $92, $93); //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$94; //@line 6349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$ok; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0)!=0; //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($96) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 6350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 23; break; //@line 6351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 21; break; //@line 6352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 22; break; //@line 6353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 5; break; //@line 6354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 6355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 44; break; //@line 6355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      $i=0; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$4; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103+16)|0); //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=HEAPU32[(($104)>>2)]; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)>>>0) < 2; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $108=$4; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108+24)|0); //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$109; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0); //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111)|0); //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116 = $113;__label__ = 27; break; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $116 = 0;__label__ = 27; break; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $116; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$116; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $118=$i; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$n; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($118)>>>0) < (($119)>>>0); //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 29; break; } else { __label__ = 43; break; } //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $122=$i; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$4; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($123+24)|0); //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$124; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0); //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=(($126)|0); //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=HEAPU32[(($127)>>2)]; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($122)>>>0) < (($128)>>>0); //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($129) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $131=$i; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$4; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=(($132+24)|0); //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$133; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134)|0); //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($135+8)|0); //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137+($131<<2))|0); //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$139; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143 = $140;__label__ = 32; break; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $143 = 0;__label__ = 32; break; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $143; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid1=$143; //@line 6358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$kid1; //@line 6359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=(($144)|0)!=0; //@line 6359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($145) { __label__ = 33; break; } else { __label__ = 41; break; } //@line 6359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $147=$kid1; //@line 6359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+16)|0); //@line 6359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 6359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149)|0)==3; //@line 6359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($150) { __label__ = 34; break; } else { __label__ = 41; break; } //@line 6359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $152=$5; //@line 6360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=__ZNK8JSObject17getQNameLocalNameEv($152); //@line 6360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$153; //@line 6360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $localName=$154; //@line 6360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=$localName; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=$155; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=__ZNK8JSString6lengthEv($156); //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=(($157)|0)==1; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($158) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $160=$localName; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=__ZNK14JSLinearString5charsEv($160); //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=HEAPU16[(($161)>>1)]; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=(($162)&65535); //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=(($163)|0)==42; //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($164) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 6361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $166=$localName; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=$kid1; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=(($167+12)|0); //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=__ZNK8JSObject17getQNameLocalNameEv($169); //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=$170; //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=__ZN2js12EqualStringsEP14JSLinearStringS1_($166, $171); //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($172) { __label__ = 37; break; } else { __label__ = 40; break; } //@line 6362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $174=$2; //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=$list; //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $176=$kid1; //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $177=__ZL6AppendP9JSContextP5JSXMLS2_($174, $175, $176); //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$177; //@line 6363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=$ok; //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=(($178)|0)!=0; //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($179) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 6364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      __label__ = 43; break; //@line 6365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      __label__ = 40; break; //@line 6366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      __label__ = 41; break; //@line 6367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      __label__ = 42; break; //@line 6368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $185=$i; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=(($185+1)|0); //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$186; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 6357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      __label__ = 44; break;
    case 44: 
      var $189=$ok; //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$189; //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 45; break; //@line 6371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      var $191=$1; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $191; //@line 6372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL33xml_processingInstructions_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE["X"]=1;

function __ZL20xml_normalize_helperP9JSContextP8JSObjectP5JSXML($cx, $obj, $xml) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $kid;
      var $kid2;
      var $i;
      var $n;
      var $kidobj;
      var $str;
      $2=$cx;
      $3=$obj;
      $4=$xml;
      var $5=$4; //@line 6226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5+16)|0); //@line 6226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAPU32[(($6)>>2)]; //@line 6226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=(($7)>>>0) < 2; //@line 6226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 6226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=1; //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 6227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $11=$4; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0); //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$3; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($13)|0)==(($14)|0); //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $17=$4; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24 = $17;__label__ = 6; break; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $19=$2; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$4; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$3; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject($19, $20, $21); //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24 = $22;__label__ = 6; break; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $24; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $4=$24; //@line 6229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$4; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)|0)!=0; //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 6230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      $1=0; //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 6231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $i=0; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$4; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29+24)|0); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$30; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)|0); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$34; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $36=$i; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$n; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($36)>>>0) < (($37)>>>0); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 38; break; } //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $40=$i; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$4; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+24)|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAPU32[(($45)>>2)]; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($40)>>>0) < (($46)>>>0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $49=$i; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$4; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50+24)|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$51; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+8)|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+($49<<2))|0); //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$57; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61 = $58;__label__ = 13; break; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $61 = 0;__label__ = 13; break; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $61; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$61; //@line 6234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$kid; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)|0)!=0; //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 6235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      __label__ = 37; break; //@line 6236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $66=$kid; //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66+16)|0); //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68)|0)==1; //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($69) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 6237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $71=$2; //@line 6238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=$kid; //@line 6238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=__Z15js_GetXMLObjectP9JSContextP5JSXML($71, $72); //@line 6238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$73; //@line 6238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$kidobj; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=(($74)|0)!=0; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $77=$2; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$kidobj; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$kid; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=__ZL20xml_normalize_helperP9JSContextP8JSObjectP5JSXML($77, $78, $79); //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80)|0)!=0; //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 6239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $1=0; //@line 6240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 6240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 36; break; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $85=$kid; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=(($85+16)|0); //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=(($87)|0)==4; //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($88) { __label__ = 21; break; } else { __label__ = 35; break; } //@line 6241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 22; break; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $91=$i; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=(($91+1)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$n; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($92)>>>0) < (($93)>>>0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($94) { __label__ = 23; break; } else { var $127 = 0;__label__ = 28; break; } //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $96=$i; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=(($96+1)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$4; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=(($98+24)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=$99; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=(($100)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=(($101)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=HEAPU32[(($102)>>2)]; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($97)>>>0) < (($103)>>>0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($104) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $106=$i; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=(($106+1)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$4; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108+24)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$109; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111+8)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113+($107<<2))|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=$115; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119 = $116;__label__ = 26; break; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $119 = 0;__label__ = 26; break; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $119; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid2=$119; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($119)|0)!=0; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 27; break; } else { var $127 = 0;__label__ = 28; break; } //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $122=$kid2; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122+16)|0); //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=(($124)|0)==4; //@line 6242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127 = $125;__label__ = 28; break;
    case 28: 
      var $127;
      if ($127) { __label__ = 29; break; } else { __label__ = 32; break; }
    case 29: 
      var $129=$2; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=$kid; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $131=(($130+24)|0); //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$131; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=HEAP32[(($132)>>2)]; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$kid2; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134+24)|0); //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=$135; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=__Z16js_ConcatStringsP9JSContextP8JSStringS2_($129, $133, $137); //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $str=$138; //@line 6245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=$str; //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=(($139)|0)!=0; //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($140) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 6246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      $1=0; //@line 6247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 6247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $143=$2; //@line 6248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$4; //@line 6248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=$i; //@line 6248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146=(($145+1)|0); //@line 6248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL17NormalizingDeleteP9JSContextP5JSXMLj($143, $144, $146); //@line 6248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $147=$4; //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+24)|0); //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=$148; //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149)|0); //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $151=(($150)|0); //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$152; //@line 6249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$str; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=$kid; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154+24)|0); //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=$155; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($156)>>2)]=$153; //@line 6250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 22; break; //@line 6251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $158=$kid; //@line 6252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($158+24)|0); //@line 6252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=$159; //@line 6252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=HEAP32[(($160)>>2)]; //@line 6252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=__ZNK8JSString5emptyEv($161); //@line 6252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($162) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 6252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $164=$2; //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=$4; //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=$i; //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL17NormalizingDeleteP9JSContextP5JSXMLj($164, $165, $166); //@line 6253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=$4; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=(($167+24)|0); //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=$168; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=(($169)|0); //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $171=(($170)|0); //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $172=HEAP32[(($171)>>2)]; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$172; //@line 6254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173=$i; //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=(($173-1)|0); //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$174; //@line 6255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 6256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      __label__ = 35; break; //@line 6257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      __label__ = 36; break;
    case 36: 
      __label__ = 37; break; //@line 6258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $179=$i; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=(($179+1)|0); //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$180; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 6233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      $1=1; //@line 6260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 39; break; //@line 6260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $183=$1; //@line 6261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $183; //@line 6261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20xml_normalize_helperP9JSContextP8JSObjectP5JSXML["X"]=1;

function __ZL17NormalizingDeleteP9JSContextP5JSXMLj($cx, $xml, $index) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$xml;
      $3=$index;
      var $4=$2; //@line 6211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4+16)|0); //@line 6211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 6211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)==0; //@line 6211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 6211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $9=$1; //@line 6212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$2; //@line 6212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$3; //@line 6212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL17DeleteListElementP9JSContextP5JSXMLj($9, $10, $11); //@line 6212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 6212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $13=$1; //@line 6214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$2; //@line 6214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$3; //@line 6214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL13DeleteByIndexP9JSContextP5JSXMLj($13, $14, $15); //@line 6214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return; //@line 6215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19NamespacesToJSArrayP9JSContextP10JSXMLArrayPN2JS5ValueE($cx, $array, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $arrayobj;
      var $5=__stackBase__;
      var $tvr=__stackBase__+8;
      var $i;
      var $n;
      var $ns;
      var $6=__stackBase__+32;
      var $7;
      $2=$cx;
      $3=$array;
      $4=$rval;
      var $8=$2; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject($8, 0); //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $arrayobj=$9; //@line 5972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$arrayobj; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)|0)!=0; //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 5974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $14=$4; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$arrayobj; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($5, $15); //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$14; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$5; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 5975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$2; //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContext($tvr, $18); //@line 5977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=0; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$3; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19)|0); //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$21; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $23=$i; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$n; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($23)>>>0) < (($24)>>>0); //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $27=$i; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$3; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0); //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=HEAPU32[(($29)>>2)]; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($27)>>>0) < (($30)>>>0); //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $33=$i; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$3; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34+8)|0); //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+($33<<2))|0); //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$38; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42 = $39;__label__ = 8; break; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $42 = 0;__label__ = 8; break; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $42; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$42; //@line 5979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$ns; //@line 5980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 5980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      __label__ = 13; break; //@line 5981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $47=$ns; //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2JSL11ObjectValueER8JSObject4319($6, $47); //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js15AutoValueRooter3setEN2JS5ValueE($tvr, $6); //@line 5982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$arrayobj; //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$2; //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$i; //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=_INT_TO_JSID4434($50); //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=__ZN2js15AutoValueRooter4addrEv($tvr); //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi($48, $49, $51, $52, 0); //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53)|0)!=0; //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($54) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $1=0; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $7=1;
      __label__ = 15; break; //@line 5984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      __label__ = 13; break; //@line 5985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $58=$i; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=(($58+1)|0); //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$59; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 4; break; //@line 5978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      $1=1; //@line 5986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $7=1;
      __label__ = 15; break; //@line 5986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __ZN2js15AutoValueRooterD1Ev($tvr); //@line 5987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break;
    case 16: 
      var $63=$1; //@line 5987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $63; //@line 5987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19NamespacesToJSArrayP9JSContextP10JSXMLArrayPN2JS5ValueE["X"]=1;

function __ZL18HasIndexedPropertyP5JSXMLj($xml, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$xml;
      $3=$i;
      var $4=$2; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=(($4+16)|0); //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=(($6)|0)==0; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $9=$3; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$2; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10+16)|0); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=HEAPU32[(($11)>>2)]; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)>>>0) < 2; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $15=$2; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+24)|0); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$16; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17)|0); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23 = $20;__label__ = 5; break; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $23 = 0;__label__ = 5; break; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $23; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($9)>>>0) < (($23)>>>0); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)&1); //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$25; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $27=$2; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+16)|0); //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0)==1; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($30) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $32=$3; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($32)|0)==0; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=(($33)&1); //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$34; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      $1=0; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 9; break; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $37=$1; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $37; //@line 4557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21FindInScopeNamespacesP9JSContextP5JSXMLP10JSXMLArray($cx, $xml, $nsarray) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $length;
      var $i;
      var $j;
      var $n;
      var $ns;
      var $ns2;
      var $prefix;
      var $prefix2;
      $2=$cx;
      $3=$xml;
      $4=$nsarray;
      var $5=$4; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=(($5)|0); //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$7; //@line 5931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 2; break; //@line 5932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $9=$3; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=(($9+16)|0); //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=(($11)|0)!=1; //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 5933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      __label__ = 32; break; //@line 5934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $i=0; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$3; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15+24)|0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=$16; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=(($17+16)|0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$20; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $22=$i; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$n; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($22)>>>0) < (($23)>>>0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 31; break; } //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $26=$i; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$3; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+24)|0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$28; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29+16)|0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=HEAPU32[(($31)>>2)]; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=(($26)>>>0) < (($32)>>>0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $35=$i; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=$3; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36+24)|0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=$37; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=(($38+16)|0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39+8)|0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+($35<<2))|0); //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$43; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47 = $44;__label__ = 9; break; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $47 = 0;__label__ = 9; break; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $47; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns=$47; //@line 5936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$ns; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 5937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 30; break; //@line 5938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $52=$ns; //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZNK8JSObject13getNamePrefixEv($52); //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix=$53; //@line 5940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=0; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $55=$j; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$length; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=(($55)>>>0) < (($56)>>>0); //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($57) { __label__ = 13; break; } else { __label__ = 25; break; } //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $59=$j; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$4; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=(($60)|0); //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=HEAPU32[(($61)>>2)]; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($59)>>>0) < (($62)>>>0); //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($63) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $65=$j; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$4; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66+8)|0); //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $69=(($68+($65<<2))|0); //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$70; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74 = $71;__label__ = 16; break; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $74 = 0;__label__ = 16; break; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $74; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ns2=$74; //@line 5942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$ns2; //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75)|0)!=0; //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($76) { __label__ = 17; break; } else { __label__ = 23; break; } //@line 5943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $78=$ns2; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=__ZNK8JSObject13getNamePrefixEv($78); //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $prefix2=$79; //@line 5944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$prefix2; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80)|0)!=0; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $83=$prefix; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0)!=0; //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($84) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 5945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $86=$prefix2; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$prefix; //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=__ZN2js12EqualStringsEP14JSLinearStringS1_($86, $87); //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($88) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 5946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      var $90=$ns2; //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=__ZNK8JSObject10getNameURIEv($90); //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$ns; //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=__ZNK8JSObject10getNameURIEv($92); //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=__ZN2js12EqualStringsEP14JSLinearStringS1_($91, $93); //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($94) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 5947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 25; break; //@line 5948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 23; break; //@line 5950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __label__ = 24; break; //@line 5951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $99=$j; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=(($99+1)|0); //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $j=$100; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 5941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $102=$j; //@line 5953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$length; //@line 5953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($102)|0)==(($103)|0); //@line 5953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($104) { __label__ = 26; break; } else { __label__ = 29; break; } //@line 5953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $106=$2; //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $107=$4; //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=$4; //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108)|0); //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=$ns; //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=$111; //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv($106, $107, $110, $112); //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $114=(($113)|0)!=0; //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($114) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 5954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      $1=0; //@line 5955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $117=$length; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $118=(($117+1)|0); //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $length=$118; //@line 5956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 29; break; //@line 5957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __label__ = 30; break; //@line 5958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $121=$i; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=(($121+1)|0); //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$122; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 5935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      __label__ = 32; break; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $125=$3; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125+8)|0); //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $3=$127; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=(($127)|0)!=0; //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($128) { __label__ = 2; break; } else { __label__ = 33; break; } //@line 5959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      $1=1; //@line 5962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 34; break; //@line 5962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $131=$1; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $131; //@line 5963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL21FindInScopeNamespacesP9JSContextP5JSXMLP10JSXMLArray["X"]=1;

function _DOUBLE_TO_JSVAL4435($agg_result, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $l=__stackBase__;
      var $2=__stackBase__+8;
      $1=$d;
      var $3=$1; //@line 1337 "./jsapi.h"
      var $4=$1; //@line 1337 "./jsapi.h"
      var $5=$3 != $4; //@line 1337 "./jsapi.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1337 "./jsapi.h"
    case 2: 
      var $7=$l; //@line 1338 "./jsapi.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=2146959360;
      var $st$3$0=(($7)|0);
      HEAP32[(($st$3$0)>>2)]=$$emscripten$temp$0$0;
      var $st$3$1=(($7+4)|0);
      HEAP32[(($st$3$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 4; break; //@line 1339 "./jsapi.h"
    case 3: 
      var $9=$1; //@line 1340 "./jsapi.h"
      var $10=$l; //@line 1340 "./jsapi.h"
      (tempDoubleF64[0]=$9,HEAP32[(($10)>>2)]=tempDoubleI32[0],HEAP32[(($10+4)>>2)]=tempDoubleI32[1]); //@line 1340 "./jsapi.h"
      __label__ = 4; break;
    case 4: 
      var $12=$2; //@line 1342 "./jsapi.h"
      var $13=$l; //@line 1342 "./jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1342 "./jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout4416($agg_result, $2); //@line 1342 "./jsapi.h"
      STACKTOP = __stackBase__;
      return; //@line 1342 "./jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11HasPropertyP9JSContextP8JSObjectN2JS5ValueEPi($cx, $obj, $0, $found) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $id=__stackBase__;
      var $5;
      var $xml;
      var $isIndex=__stackBase__+8;
      var $i=__stackBase__+12;
      var $qn;
      var $funid=__stackBase__+16;
      var $6=__stackBase__+20;
      var $7=__stackBase__+28;
      $3=$cx;
      $4=$obj;
      var $8=$id;
      var $9=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
      $5=$found;
      var $10=$4; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZNK8JSObject10getPrivateEv($10); //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$11; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $xml=$12; //@line 4632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$3; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$6; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$id; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__ZL12IdValIsIndexP9JSContextN2JS5ValueEPjPb($13, $6, $i, $isIndex); //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $2=0; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $19=HEAP8[($isIndex)]; //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19) & 1); //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 4636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $22=$xml; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAP32[(($i)>>2)]; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=__ZL18HasIndexedPropertyP5JSXMLj($22, $23); //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=$5; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($25)>>2)]=$24; //@line 4637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 13; break; //@line 4638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $27=$3; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$7; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$id; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=__ZL9ToXMLNameP9JSContextN2JS5ValueEPi($27, $7, $funid); //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $qn=$30; //@line 4639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$qn; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0)!=0; //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($32) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      $2=0; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $35=HEAP32[(($funid)>>2)]; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36=_JSID_IS_VOID4359($35); //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($36)|0)!=0; //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 11; break; } else { __label__ = 8; break; } //@line 4642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $39=$3; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$4; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=HEAP32[(($funid)>>2)]; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=$5; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=__ZL19HasFunctionPropertyP9JSContextP8JSObjectiPi($39, $40, $41, $42); //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0)!=0; //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      $2=0; //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      __label__ = 12; break; //@line 4645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $48=$xml; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=$qn; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=__ZL16HasNamedPropertyP5JSXMLP8JSObject($48, $49); //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=$5; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($51)>>2)]=$50; //@line 4646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 13; break;
    case 13: 
      $2=1; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 14; break; //@line 4649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $55=$2; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $55; //@line 4650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11HasPropertyP9JSContextP8JSObjectN2JS5ValueEPi["X"]=1;

function __ZL19xml_elements_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE($cx, $obj, $xml, $nameqn, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $list;
      var $vxml;
      var $v=__stackBase__;
      var $ok;
      var $kidobj;
      var $i;
      var $n;
      var $cursor=__stackBase__+8;
      var $kid;
      var $7=__stackBase__+28;
      var $8=__stackBase__+36;
      var $kid1;
      $2=$cx;
      $3=$obj;
      $4=$xml;
      $5=$nameqn;
      $6=$vp;
      var $9=$2; //@line 5776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$4; //@line 5776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=$6; //@line 5776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($9, $10, $11); //@line 5776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$12; //@line 5776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=$list; //@line 5777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=(($13)|0)!=0; //@line 5777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 42; break; //@line 5778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $17=$5; //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=$list; //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18+24)|0); //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=$19; //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20+20)|0); //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($21)>>2)]=$17; //@line 5780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=1; //@line 5781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=$4; //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22+16)|0); //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=(($24)|0)==0; //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 24; break; } //@line 5783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $27=$4; //@line 5785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=(($27+24)|0); //@line 5785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=$28; //@line 5785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0); //@line 5785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($cursor, $30); //@line 5785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 5; break; //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $32=__ZN16JSXMLArrayCursor7getNextEv($cursor); //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$32; //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$33; //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=$kid; //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)|0)!=0; //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 23; break; } //@line 5786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $37=$kid; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($37+16)|0); //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=(($39)|0)==1; //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 22; break; } //@line 5787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $42=$2; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=__ZL22js_EnterLocalRootScopeP9JSContext($42); //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)&1); //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$44; //@line 5788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$ok; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0)!=0; //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($46) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 5789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      __label__ = 23; break; //@line 5790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $49=$2; //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$kid; //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=__Z15js_GetXMLObjectP9JSContextP5JSXML($49, $50); //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$51; //@line 5791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$kidobj; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0)!=0; //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($53) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $55=$2; //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=$kidobj; //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=$kid; //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$5; //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=__ZL19xml_elements_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE($55, $56, $57, $58, $v); //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$59; //@line 5793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break; //@line 5794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      $ok=0; //@line 5795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61=$v; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($61)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($61+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 5796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 12; break;
    case 12: 
      var $63=$2; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$7; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=$v; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextN2JS5ValueE($63, $7); //@line 5798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$ok; //@line 5799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=(($66)|0)!=0; //@line 5799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 5799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      __label__ = 23; break; //@line 5800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $70=$8; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$v; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[(($71)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[(($71+4)>>2)]; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=_JSVAL_TO_OBJECT4304($8); //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=__ZNK8JSObject10getPrivateEv($72); //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=$73; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$74; //@line 5801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $75=$vxml; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $76=(($75+16)|0); //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $77=HEAPU32[(($76)>>2)]; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=(($77)>>>0) < 2; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($78) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      var $80=$vxml; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80+24)|0); //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $82=$81; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $83=(($82)|0); //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=(($83)|0); //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=HEAP32[(($84)>>2)]; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88 = $85;__label__ = 17; break; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $88 = 0;__label__ = 17; break; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $88; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=(($88)|0)!=0; //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($89) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 5802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $91=$2; //@line 5803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$list; //@line 5803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$vxml; //@line 5803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=__ZL6AppendP9JSContextP5JSXMLS2_($91, $92, $93); //@line 5803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$94; //@line 5803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=$ok; //@line 5804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=(($95)|0)!=0; //@line 5804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($96) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 5804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      __label__ = 23; break; //@line 5805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 21; break; //@line 5806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      __label__ = 22; break; //@line 5807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __label__ = 5; break; //@line 5808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      __ZN16JSXMLArrayCursorD1Ev($cursor); //@line 5809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 41; break; //@line 5809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      $i=0; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=$4; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=(($103+16)|0); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=HEAPU32[(($104)>>2)]; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $106=(($105)>>>0) < 2; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($106) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $108=$4; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=(($108+24)|0); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=$109; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=(($111)|0); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116 = $113;__label__ = 27; break; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      var $116 = 0;__label__ = 27; break; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      var $116; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$116; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      var $118=$i; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$n; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=(($118)>>>0) < (($119)>>>0); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($120) { __label__ = 29; break; } else { __label__ = 40; break; } //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      var $122=$i; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=$4; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $124=(($123+24)|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $125=$124; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $126=(($125)|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $127=(($126)|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $128=HEAPU32[(($127)>>2)]; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $129=(($122)>>>0) < (($128)>>>0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($129) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $131=$i; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $132=$4; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=(($132+24)|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=$133; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=(($134)|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($135+8)|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $137=HEAP32[(($136)>>2)]; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $138=(($137+($131<<2))|0); //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$139; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143 = $140;__label__ = 32; break; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      var $143 = 0;__label__ = 32; break; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      var $143; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid1=$143; //@line 5811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $144=$kid1; //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $145=(($144)|0)!=0; //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($145) { __label__ = 33; break; } else { __label__ = 38; break; } //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $147=$kid1; //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $148=(($147+16)|0); //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=HEAP32[(($148)>>2)]; //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($149)|0)==1; //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($150) { __label__ = 34; break; } else { __label__ = 38; break; } //@line 5812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $152=$5; //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$kid1; //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=__ZL13MatchElemNameP8JSObjectP5JSXML($152, $153); //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=(($154)|0)!=0; //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($155) { __label__ = 35; break; } else { __label__ = 38; break; } //@line 5813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $157=$2; //@line 5814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=$list; //@line 5814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=$kid1; //@line 5814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $160=__ZL6AppendP9JSContextP5JSXMLS2_($157, $158, $159); //@line 5814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$160; //@line 5814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $161=$ok; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=(($161)|0)!=0; //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($162) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 5815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      __label__ = 40; break; //@line 5816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      __label__ = 38; break; //@line 5817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      __label__ = 39; break; //@line 5818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $167=$i; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=(($167+1)|0); //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$168; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 28; break; //@line 5810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      __label__ = 41; break;
    case 41: 
      var $171=$ok; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$171; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 42; break; //@line 5821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $173=$1; //@line 5822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $173; //@line 5822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19xml_elements_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE["X"]=1;

function _INT_FITS_IN_JSID4436($i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$1; //@line 1542 "./jsapi.h"
  var $3=(($2+1073741824)|0); //@line 1542 "./jsapi.h"
  var $4=(($3)>>>0) <= 2147483647; //@line 1542 "./jsapi.h"
  var $5=(($4)&1); //@line 1542 "./jsapi.h"
  ;
  return $5; //@line 1542 "./jsapi.h"
}


function _JSID_IS_DEFAULT_XML_NAMESPACE4441($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1601 "./jsapi.h"
  var $3=(($2)|0)==6; //@line 1601 "./jsapi.h"
  var $4=(($3)&1); //@line 1601 "./jsapi.h"
  ;
  return $4; //@line 1601 "./jsapi.h"
}


function _DOUBLE_TO_JSVAL_IMPL4440($agg_result, $d) {
  ;
  var __label__;

  var $1;
  $1=$d;
  var $2=$1; //@line 425 "./jsval.h"
  var $3=$agg_result; //@line 425 "./jsval.h"
  (tempDoubleF64[0]=$2,HEAP32[(($3)>>2)]=tempDoubleI32[0],HEAP32[(($3+4)>>2)]=tempDoubleI32[1]); //@line 425 "./jsval.h"
  ;
  return; //@line 427 "./jsval.h"
}


function _JSVAL_TO_PRIVATE_PTR_IMPL4437($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 577 "./jsval.h"
  var $2=(($1)|0); //@line 577 "./jsval.h"
  var $3=$2; //@line 577 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 577 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 577 "./jsval.h"
}


function _JSVAL_IS_SPECIFIC_INT32_IMPL($l, $i32) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$i32;
      var $2=$l; //@line 608 "./jsval.h"
      var $3=(($2+4)|0); //@line 608 "./jsval.h"
      var $4=HEAP32[(($3)>>2)]; //@line 608 "./jsval.h"
      var $5=(($4)|0)==-127; //@line 608 "./jsval.h"
      if ($5) { __label__ = 2; break; } else { var $14 = 0;__label__ = 3; break; } //@line 608 "./jsval.h"
    case 2: 
      var $7=$l; //@line 608 "./jsval.h"
      var $8=(($7)|0); //@line 608 "./jsval.h"
      var $9=$8; //@line 608 "./jsval.h"
      var $10=HEAP32[(($9)>>2)]; //@line 608 "./jsval.h"
      var $11=$1; //@line 608 "./jsval.h"
      var $12=(($10)|0)==(($11)|0); //@line 608 "./jsval.h"
      var $14 = $12;__label__ = 3; break;
    case 3: 
      var $14;
      var $15=(($14)&1);
      STACKTOP = __stackBase__;
      return $15; //@line 609 "./jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _PRIVATE_PTR_TO_JSVAL_IMPL4438($agg_result, $ptr) {
  ;
  var __label__;

  var $1;
  $1=$ptr;
  var $2=$agg_result; //@line 568 "./jsval.h"
  var $3=(($2+4)|0); //@line 568 "./jsval.h"
  HEAP32[(($3)>>2)]=0; //@line 568 "./jsval.h"
  var $4=$1; //@line 569 "./jsval.h"
  var $5=$agg_result; //@line 569 "./jsval.h"
  var $6=(($5)|0); //@line 569 "./jsval.h"
  var $7=$6; //@line 569 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 569 "./jsval.h"
  ;
  return; //@line 571 "./jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL4443($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "./jsval.h"
  var $3=(($2+4)|0); //@line 552 "./jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "./jsval.h"
  var $4=$1; //@line 553 "./jsval.h"
  var $5=$agg_result; //@line 553 "./jsval.h"
  var $6=(($5)|0); //@line 553 "./jsval.h"
  var $7=$6; //@line 553 "./jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "./jsval.h"
  ;
  return; //@line 554 "./jsval.h"
}


function _JSVAL_TO_INT32_IMPL4444($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "./jsval.h"
  var $2=(($1)|0); //@line 439 "./jsval.h"
  var $3=$2; //@line 439 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "./jsval.h"
}


function _JSVAL_IS_INT32_IMPL4445($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "./jsval.h"
  var $2=(($1+4)|0); //@line 433 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "./jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "./jsval.h"
  var $5=(($4)&1); //@line 433 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "./jsval.h"
}


function _JSVAL_IS_NUMBER_IMPL4446($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $tag;
  var $1=$l; //@line 454 "./jsval.h"
  var $2=(($1+4)|0); //@line 454 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 454 "./jsval.h"
  $tag=$3; //@line 454 "./jsval.h"
  var $4=$tag; //@line 456 "./jsval.h"
  var $5=(($4)>>>0) <= 4294967169; //@line 456 "./jsval.h"
  var $6=(($5)&1); //@line 456 "./jsval.h"
  STACKTOP = __stackBase__;
  return $6; //@line 456 "./jsval.h"
}


function __ZL19xml_comments_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE($cx, $obj, $xml, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $list;
      var $kid;
      var $vxml;
      var $ok;
      var $i;
      var $n;
      var $kidobj;
      var $v=__stackBase__;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      $4=$xml;
      $5=$vp;
      var $8=$2; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=$4; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$5; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE($8, $9, $10); //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $list=$11; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$list; //@line 5654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 5654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      $ok=1; //@line 5657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$4; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16+16)|0); //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=(($18)|0)==0; //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 32; break; } //@line 5659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      $i=0; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$4; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=(($21+16)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=HEAPU32[(($22)>>2)]; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23)>>>0) < 2; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $26=$4; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=(($26+24)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=$27; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=(($29)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34 = $31;__label__ = 7; break; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $34 = 0;__label__ = 7; break; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $34; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$34; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $36=$i; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=$n; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $38=(($36)>>>0) < (($37)>>>0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($38) { __label__ = 9; break; } else { __label__ = 31; break; } //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $40=$i; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=$4; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $42=(($41+24)|0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$42; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43)|0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=(($44)|0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=HEAPU32[(($45)>>2)]; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($40)>>>0) < (($46)>>>0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $49=$i; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $50=$4; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $51=(($50+24)|0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$51; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52)|0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=(($53+8)|0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+($49<<2))|0); //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$57; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $61 = $58;__label__ = 12; break; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $61 = 0;__label__ = 12; break; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $61; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$61; //@line 5662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $62=$kid; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=(($62)|0)!=0; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($63) { __label__ = 13; break; } else { __label__ = 29; break; } //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $65=$kid; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=(($65+16)|0); //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=(($67)|0)==1; //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($68) { __label__ = 14; break; } else { __label__ = 29; break; } //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $70=$2; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=__ZL22js_EnterLocalRootScopeP9JSContext($70); //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=(($71)&1); //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$72; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$ok; //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)!=0; //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 5665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 31; break; //@line 5666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $77=$2; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$kid; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=__Z15js_GetXMLObjectP9JSContextP5JSXML($77, $78); //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$79; //@line 5667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$kidobj; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $81=(($80)|0)!=0; //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($81) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 5668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 17: 
      var $83=$2; //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $84=$kidobj; //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=$kid; //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=__ZL19xml_comments_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE($83, $84, $85, $v); //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$86; //@line 5669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break; //@line 5670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      $ok=0; //@line 5671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$v; //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($88)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($88+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 5672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 19; break;
    case 19: 
      var $90=$2; //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $91=$6; //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $92=$v; //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($91)>>2)]=HEAP32[(($92)>>2)];HEAP32[(($91+4)>>2)]=HEAP32[(($92+4)>>2)]; //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL32js_LeaveLocalRootScopeWithResultP9JSContextN2JS5ValueE($90, $6); //@line 5674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $93=$ok; //@line 5675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=(($93)|0)!=0; //@line 5675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($94) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      __label__ = 31; break; //@line 5676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $97=$7; //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $98=$v; //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($97)>>2)]=HEAP32[(($98)>>2)];HEAP32[(($97+4)>>2)]=HEAP32[(($98+4)>>2)]; //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $99=_JSVAL_TO_OBJECT4304($7); //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $100=__ZNK8JSObject10getPrivateEv($99); //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $101=$100; //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $vxml=$101; //@line 5677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $102=$vxml; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $103=(($102+16)|0); //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $104=HEAPU32[(($103)>>2)]; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $105=(($104)>>>0) < 2; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($105) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      var $107=$vxml; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $108=(($107+24)|0); //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $109=$108; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $110=(($109)|0); //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $111=(($110)|0); //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $115 = $112;__label__ = 24; break; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 23: 
      var $115 = 0;__label__ = 24; break; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 24: 
      var $115; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $116=(($115)|0)!=0; //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($116) { __label__ = 25; break; } else { __label__ = 28; break; } //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 25: 
      var $118=$2; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $119=$list; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $120=$vxml; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $121=__ZL6AppendP9JSContextP5JSXMLS2_($118, $119, $120); //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$121; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $122=$ok; //@line 5680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $123=(($122)|0)!=0; //@line 5680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($123) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 5680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 26: 
      __label__ = 31; break; //@line 5681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 27: 
      __label__ = 28; break; //@line 5682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 28: 
      __label__ = 29; break; //@line 5683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 29: 
      __label__ = 30; break; //@line 5684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 30: 
      var $129=$i; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $130=(($129+1)|0); //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$130; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 8; break; //@line 5661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 31: 
      __label__ = 48; break; //@line 5685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 32: 
      $i=0; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $133=$4; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $134=(($133+16)|0); //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $135=HEAPU32[(($134)>>2)]; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $136=(($135)>>>0) < 2; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($136) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 33: 
      var $138=$4; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $139=(($138+24)|0); //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $140=$139; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $141=(($140)|0); //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $142=(($141)|0); //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $146 = $143;__label__ = 35; break; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 34: 
      var $146 = 0;__label__ = 35; break; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 35: 
      var $146; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $n=$146; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 36: 
      var $148=$i; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $149=$n; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $150=(($148)>>>0) < (($149)>>>0); //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($150) { __label__ = 37; break; } else { __label__ = 47; break; } //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 37: 
      var $152=$i; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $153=$4; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $154=(($153+24)|0); //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $155=$154; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $156=(($155)|0); //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $157=(($156)|0); //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $158=HEAPU32[(($157)>>2)]; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $159=(($152)>>>0) < (($158)>>>0); //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($159) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 38: 
      var $161=$i; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $162=$4; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $163=(($162+24)|0); //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $164=$163; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $165=(($164)|0); //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $166=(($165+8)|0); //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $168=(($167+($161<<2))|0); //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $169=HEAP32[(($168)>>2)]; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $170=$169; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $173 = $170;__label__ = 40; break; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 39: 
      var $173 = 0;__label__ = 40; break; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 40: 
      var $173; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$173; //@line 5688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $174=$kid; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $175=(($174)|0)!=0; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($175) { __label__ = 41; break; } else { __label__ = 45; break; } //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 41: 
      var $177=$kid; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $178=(($177+16)|0); //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $179=HEAP32[(($178)>>2)]; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $180=(($179)|0)==5; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($180) { __label__ = 42; break; } else { __label__ = 45; break; } //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 42: 
      var $182=$2; //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $183=$list; //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $184=$kid; //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $185=__ZL6AppendP9JSContextP5JSXMLS2_($182, $183, $184); //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $ok=$185; //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $186=$ok; //@line 5691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $187=(($186)|0)!=0; //@line 5691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($187) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 5691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 43: 
      __label__ = 47; break; //@line 5692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 44: 
      __label__ = 45; break; //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 45: 
      __label__ = 46; break; //@line 5694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 46: 
      var $192=$i; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $193=(($192+1)|0); //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$193; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 36; break; //@line 5687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 47: 
      __label__ = 48; break;
    case 48: 
      var $196=$ok; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$196; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 49; break; //@line 5697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 49: 
      var $198=$1; //@line 5698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $198; //@line 5698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL19xml_comments_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE["X"]=1;

function __ZL16xml_child_helperP9JSContextP8JSObjectP5JSXMLN2JS5ValueEPS6_($cx, $obj, $xml, $0, $rval) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $4;
      var $5;
      var $name=__stackBase__;
      var $6;
      var $isIndex=__stackBase__+8;
      var $index=__stackBase__+12;
      var $kid;
      var $kidobj;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $idr=__stackBase__+32;
      var $9=__stackBase__+48;
      var $10;
      $3=$cx;
      $4=$obj;
      $5=$xml;
      var $11=$name;
      var $12=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];
      $6=$rval;
      var $13=$3; //@line 5535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$7; //@line 5535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=$name; //@line 5535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 5535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=__ZL12IdValIsIndexP9JSContextN2JS5ValueEPjPb($13, $7, $index, $isIndex); //@line 5535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $2=0; //@line 5536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 5536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $19=HEAP8[($isIndex)]; //@line 5538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=(($19) & 1); //@line 5538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 19; break; } //@line 5538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $22=HEAPU32[(($index)>>2)]; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=$5; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=(($23+16)|0); //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=HEAPU32[(($24)>>2)]; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=(($25)>>>0) < 2; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      var $28=$5; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=(($28+24)|0); //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$29; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=(($30)|0); //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=(($31)|0); //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $36 = $33;__label__ = 7; break; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $36 = 0;__label__ = 7; break; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $36; //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $37=(($22)>>>0) >= (($36)>>>0); //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $39=$6; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=$39; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 5540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 5541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $42=HEAPU32[(($index)>>2)]; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $43=$5; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=(($43+24)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$44; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=(($45)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=(($46)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=HEAPU32[(($47)>>2)]; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($42)>>>0) < (($48)>>>0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      var $51=HEAP32[(($index)>>2)]; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $52=$5; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=(($52+24)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$53; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=(($54)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $56=(($55+8)|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=(($57+($51<<2))|0); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=$59; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63 = $60;__label__ = 12; break; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $63 = 0;__label__ = 12; break; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $63; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kid=$63; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=$kid; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=(($64)|0)!=0; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($65) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $67=$6; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $68=$67; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($68)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($68+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 5544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break; //@line 5545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $70=$3; //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $71=$kid; //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $72=__Z15js_GetXMLObjectP9JSContextP5JSXML($70, $71); //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $kidobj=$72; //@line 5546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $73=$kidobj; //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $74=(($73)|0)!=0; //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($74) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 5547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      $2=0; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 5548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 16: 
      var $77=$6; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $78=$kidobj; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      _OBJECT_TO_JSVAL4318($8, $78); //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $79=$77; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $80=$8; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($79)>>2)]=HEAP32[(($80)>>2)];HEAP32[(($79+4)>>2)]=HEAP32[(($80+4)>>2)]; //@line 5549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      $2=1; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break; //@line 5552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 19: 
      var $84=$3; //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $85=_INT_TO_JSID4434(0); //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZN2js12AutoIdRooterC1EP9JSContexti($idr, $84, $85); //@line 5555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $86=$3; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $87=$9; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $88=$name; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[(($88)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[(($88+4)>>2)]; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $89=__ZL9ValueToIdP9JSContextN2JS5ValueEPN2js12AutoIdRooterE($86, $9, $idr); //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $90=(($89)|0)!=0; //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($90) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 20: 
      $2=0; //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $10=1;
      __label__ = 22; break; //@line 5557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 21: 
      var $93=$3; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $94=$4; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $95=__ZN2js12AutoIdRooter2idEv($idr); //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $96=$6; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $97=__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE($93, $94, $95, $96); //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=$97; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $10=1;
      __label__ = 22; break; //@line 5559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 22: 
      __ZN2js12AutoIdRooterD1Ev($idr); //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 23; break;
    case 23: 
      var $100=$2; //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $100; //@line 5560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16xml_child_helperP9JSContextP8JSObjectP5JSXMLN2JS5ValueEPS6_["X"]=1;

function __ZL9ValueToIdP9JSContextN2JS5ValueEPN2js12AutoIdRooterE($cx, $0, $idr) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $5=__stackBase__+8;
      var $i;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $atom;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      $3=$cx;
      var $11=$v;
      var $12=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)];
      $4=$idr;
      var $13=$5; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$v; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[(($14)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[(($14+4)>>2)]; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=_JSVAL_IS_INT4323($5); //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=(($15)|0)!=0; //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($16) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 5503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      var $18=$6; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $19=$v; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $20=_JSVAL_TO_INT4324($6); //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $i=$20; //@line 5504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=$i; //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $22=_INT_FITS_IN_JSID4436($21); //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $23=(($22)|0)!=0; //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 5505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $25=$i; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $26=_INT_TO_JSID4434($25); //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $27=$4; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $28=__ZN2js12AutoIdRooter4addrEv($27); //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($28)>>2)]=$26; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $30=$3; //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$4; //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=__ZN2js12AutoIdRooter4addrEv($31); //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi($30, $v, $32); //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($33) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $2=0; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 5508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      __label__ = 17; break; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 8: 
      var $38=$7; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $39=$v; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $40=_JSVAL_IS_STRING4320($7); //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $41=(($40)|0)!=0; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 9: 
      var $43=$3; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $44=$8; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $45=$v; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $46=_JSVAL_TO_STRING4321($8); //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $47=__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE($43, $46, 0); //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $atom=$47; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $48=$atom; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $49=(($48)|0)!=0; //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 5511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 10: 
      $2=0; //@line 5512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 5512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 11: 
      var $52=$atom; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $53=__ZL12ATOM_TO_JSIDP6JSAtom4336($52); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $54=$4; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $55=__ZN2js12AutoIdRooter4addrEv($54); //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($55)>>2)]=$53; //@line 5513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 16; break; //@line 5514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 12: 
      var $57=$9; //@line 5514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $58=$v; //@line 5514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 5514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $59=_JSVAL_IS_PRIMITIVE4303($9); //@line 5514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $60=(($59)|0)!=0; //@line 5514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 5514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 13: 
      var $62=$10; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $63=$v; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)]; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $64=_JSVAL_TO_OBJECT4304($10); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $65=_OBJECT_TO_JSID4356($64); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $66=$4; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $67=__ZN2js12AutoIdRooter4addrEv($66); //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      HEAP32[(($67)>>2)]=$65; //@line 5515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 15; break; //@line 5516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 14: 
      var $69=$3; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __ZL16ReportBadXMLNameP9JSContextRKN2JS5ValueE($69, $v); //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $2=0; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 15: 
      __label__ = 16; break;
    case 16: 
      __label__ = 17; break;
    case 17: 
      $2=1; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 18; break; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 18: 
      var $74=$2; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      STACKTOP = __stackBase__;
      return $74; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9ValueToIdP9JSContextN2JS5ValueEPN2js12AutoIdRooterE["X"]=1;

function __ZN9JSContext4new_I16JSXMLArrayCursorP10JSXMLArrayEEPT_T0_($this, $p1) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $memory;
      $1=$this;
      $2=$p1;
      var $3=$1;
      var $4=__ZN9JSContext7malloc_Ej($3, 20); //@line 1291 "./jscntxt.h"
      $memory=$4; //@line 1291 "./jscntxt.h"
      var $5=$memory; //@line 1291 "./jscntxt.h"
      var $6=(($5)|0)!=0; //@line 1291 "./jscntxt.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1291 "./jscntxt.h"
    case 2: 
      var $8=$memory; //@line 1291 "./jscntxt.h"
      var $9=(($8)|0)==0; //@line 1291 "./jscntxt.h"
      if ($9) { var $14 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 1291 "./jscntxt.h"
    case 3: 
      var $11=$8; //@line 1291 "./jscntxt.h"
      var $12=$2; //@line 1291 "./jscntxt.h"
      __ZN16JSXMLArrayCursorC1EP10JSXMLArray($11, $12); //@line 1291 "./jscntxt.h"
      var $14 = $11;__label__ = 4; break; //@line 1291 "./jscntxt.h"
    case 4: 
      var $14; //@line 1291 "./jscntxt.h"
      var $17 = $14;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 5: 
      var $17 = 0;__label__ = 6; break; //@line 1291 "./jscntxt.h"
    case 6: 
      var $17; //@line 1291 "./jscntxt.h"
      ;
      return $17; //@line 1291 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2JS5Value7isInt32Ei($this, $i32) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  $1=$this;
  $2=$i32;
  var $4=$1;
  var $5=(($4)|0); //@line 388 "./jsapi.h"
  var $6=$3; //@line 388 "./jsapi.h"
  var $7=$5; //@line 388 "./jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 388 "./jsapi.h"
  var $8=$2; //@line 388 "./jsapi.h"
  var $9=_JSVAL_IS_SPECIFIC_INT32_IMPL($3, $8); //@line 388 "./jsapi.h"
  var $10=(($9)|0)!=0; //@line 388 "./jsapi.h"
  STACKTOP = __stackBase__;
  return $10; //@line 388 "./jsapi.h"
}


function __ZN9JSContext7delete_I16JSXMLArrayCursorEEvPT_($this, $p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$p;
      var $3=$1;
      var $4=$2; //@line 1292 "./jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1292 "./jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "./jscntxt.h"
    case 2: 
      var $7=$2; //@line 1292 "./jscntxt.h"
      __ZN16JSXMLArrayCursorD1Ev($7); //@line 1292 "./jscntxt.h"
      var $8=$2; //@line 1292 "./jscntxt.h"
      var $9=$8; //@line 1292 "./jscntxt.h"
      __ZN9JSContext5free_EPv($3, $9); //@line 1292 "./jscntxt.h"
      __label__ = 3; break; //@line 1292 "./jscntxt.h"
    case 3: 
      ;
      return; //@line 1292 "./jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL11DoubleValueEd4439($agg_result, $dbl) {
  ;
  var __label__;

  var $1;
  $1=$dbl;
  var $2=$1; //@line 710 "./jsapi.h"
  __ZN2JS5Value9setDoubleEd($agg_result, $2); //@line 710 "./jsapi.h"
  ;
  return; //@line 711 "./jsapi.h"
}


function __ZL14xml_setGenericP9JSContextP8JSObjectiPN2JS5ValueEi($cx, $obj, $id, $vp, $strict) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$vp;
  $5=$strict;
  var $6=$1; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$2; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=$3; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=$5; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=$4; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($6, $7, $8, $9, $10); //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return $11; //@line 4828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function __ZN2jsL16IsFunctionObjectERKN2JS5ValueE4442($v) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$v;
      var $2=$1; //@line 270 "./jsfun.h"
      var $3=__ZNK2JS5Value8isObjectEv($2); //@line 270 "./jsfun.h"
      if ($3) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 270 "./jsfun.h"
    case 2: 
      var $5=$1; //@line 270 "./jsfun.h"
      var $6=__ZNK2JS5Value8toObjectEv($5); //@line 270 "./jsfun.h"
      var $7=__ZNK8JSObject10isFunctionEv($6); //@line 270 "./jsfun.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      ;
      return $9; //@line 271 "./jsfun.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13attr_identityPKvS0_($a, $b) {
  ;
  var __label__;

  var $1;
  var $2;
  var $xmla;
  var $xmlb;
  $1=$a;
  $2=$b;
  var $3=$1; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $4=$3; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $xmla=$4; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $5=$2; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $6=$5; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  $xmlb=$6; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $7=$xmla; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $8=(($7+12)|0); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $9=HEAP32[(($8)>>2)]; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $10=$xmlb; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $11=(($10+12)|0); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  var $13=__ZL14qname_identityP8JSObjectS0_($9, $12); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
  ;
  return $13; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
}


function _JSVAL_TO_OBJECT_IMPL4449($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "./jsval.h"
  var $2=(($1)|0); //@line 544 "./jsval.h"
  var $3=$2; //@line 544 "./jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "./jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "./jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL4450($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "./jsval.h"
  var $2=(($1+4)|0); //@line 525 "./jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "./jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "./jsval.h"
  var $5=(($4)&1); //@line 525 "./jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "./jsval.h"
}


function __ZNK8JSObject11isNamespaceEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 1559 "./jsobj.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1559 "./jsobj.h"
  var $5=(($4)|0)==((__ZN2js14NamespaceClassE)|0); //@line 1559 "./jsobj.h"
  ;
  return $5; //@line 1559 "./jsobj.h"
}


function __ZL14qname_identityP8JSObjectS0_($qna, $qnb) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $uri1;
      var $uri2;
      $2=$qna;
      $3=$qnb;
      var $4=$2; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $5=__ZNK8JSObject10getNameURIEv($4); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri1=$5; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $6=$3; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $7=__ZNK8JSObject10getNameURIEv($6); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $uri2=$7; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $8=$uri1; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $9=(($8)|0)!=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $10=$9 ^ 1; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $11=(($10)&1); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $12=$uri2; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $13=(($12)|0)!=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $14=$13 ^ 1; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $15=(($14)&1); //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $16=$11 ^ $15; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $17=(($16)|0)!=0; //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($17) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 2: 
      $1=0; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 3: 
      var $20=$uri1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $21=(($20)|0)!=0; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 4: 
      var $23=$uri1; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $24=$uri2; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $25=__ZN2js12EqualStringsEP14JSLinearStringS1_($23, $24); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 5: 
      $1=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 6: 
      var $28=$2; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $29=__ZNK8JSObject17getQNameLocalNameEv($28); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $30=$29; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $31=$3; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $32=__ZNK8JSObject17getQNameLocalNameEv($31); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $33=$32; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $34=__ZN2js12EqualStringsEP14JSLinearStringS1_($30, $33); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      var $35=(($34)&1); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      $1=$35; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      __label__ = 7; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    case 7: 
      var $37=$1; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
      ;
      return $37; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/jsxml.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL9NullValueEv4447($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "./jsapi.h"
  ;
  return; //@line 687 "./jsapi.h"
}


function _js_free4448($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __Z15jsRegExpCompilePKti24JSRegExpIgnoreCaseOption23JSRegExpMultilineOptionPjPi($pattern, $patternLength, $ignoreCase, $multiline, $numSubpatterns, $error) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $cd=__stackBase__;
      var $errorcode=__stackBase__+20;
      var $length;
      var $size;
      var $re;
      var $codeStart;
      var $ptr=__stackBase__+24;
      var $patternEnd;
      var $code=__stackBase__+28;
      var $firstByte=__stackBase__+32;
      var $reqByte=__stackBase__+36;
      var $bracketCount=__stackBase__+40;
      var $codeBefore;
      var $ch;
      var $ch1;
      $2=$pattern;
      $3=$patternLength;
      $4=$ignoreCase;
      $5=$multiline;
      $6=$numSubpatterns;
      $7=$error;
      var $8=$7; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=(($8)|0)!=0; //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      $1=0; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 55; break; //@line 2574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $12=$7; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($12)>>2)]=0; //@line 2575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZN11CompileDataC1Ev($cd); //@line 2577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($errorcode)>>2)]=0; //@line 2579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=$2; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=$3; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=$4; //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=__ZL30calculateCompiledPatternLengthPKti24JSRegExpIgnoreCaseOptionR11CompileDataR9ErrorCode($13, $14, $15, $cd, $errorcode); //@line 2581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=$2; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=$3; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $19=$4; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $20=__ZL30calculateCompiledPatternLengthPKti24JSRegExpIgnoreCaseOptionR11CompileDataR9ErrorCode($17, $18, $19, $cd, $errorcode); //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$20; //@line 2583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=HEAP32[(($errorcode)>>2)]; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $22=(($21)|0)!=0; //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 2584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $24=HEAP32[(($errorcode)>>2)]; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $25=$7; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $26=__ZL11returnError9ErrorCodePi($24, $25); //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$26; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 55; break; //@line 2585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $28=$length; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $29=(($28)|0) > 4194304; //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $31=$7; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $32=__ZL11returnError9ErrorCodePi(16, $31); //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$32; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 55; break; //@line 2588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $34=$length; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $35=(($34+12)|0); //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $size=$35; //@line 2590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $36=$size; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $37=__ZN2js11OffTheBooks9array_newIcEEPT_j($36); //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $38=$37; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $re=$38; //@line 2591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $39=$re; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $40=(($39)|0)!=0; //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      var $42=$7; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $43=__ZL11returnError9ErrorCodePi(13, $42); //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$43; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 55; break; //@line 2593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $45=$4; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $46=(($45)|0)!=0; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $47=$46 ? 1 : 0; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $48=$5; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $49=(($48)|0)!=0; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $50=$49 ? 2 : 0; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $51=$47 | $50; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $52=$re; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $53=(($52)|0); //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($53)>>2)]=$51; //@line 2595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $54=$re; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $55=(($54+12)|0); //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $56=$55; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $codeStart=$56; //@line 2600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $57=$2; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$57; //@line 2606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $58=$2; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $59=$3; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $60=(($58+($59<<1))|0); //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $patternEnd=$60; //@line 2607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $61=$codeStart; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$61; //@line 2608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($bracketCount)>>2)]=0; //@line 2610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $62=(($cd+12)|0); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $63=HEAP8[($62)]; //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $64=(($63) & 1); //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($64) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 2611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      var $66=$re; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $67=(($66)|0); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $68=HEAP32[(($67)>>2)]; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $69=$patternEnd; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $70=__ZL13compileBranchiPiPPhPPKtS3_P9ErrorCodeS_S_R11CompileData($68, $bracketCount, $code, $ptr, $69, $errorcode, $firstByte, $reqByte, $cd); //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 12; break; //@line 2612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      var $72=HEAP32[(($code)>>2)]; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($72)]=67; //@line 2614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $73=HEAP32[(($code)>>2)]; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $codeBefore=$73; //@line 2615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $74=$re; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $75=(($74)|0); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $77=$patternEnd; //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $78=__ZL14compileBracketiPiPPhPPKtS3_P9ErrorCodeiS_S_R11CompileData($76, $bracketCount, $code, $ptr, $77, $errorcode, 2, $firstByte, $reqByte, $cd); //@line 2616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $79=$codeBefore; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $80=(($79+1)|0); //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $81=(($80+3)|0); //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $82=HEAP32[(($bracketCount)>>2)]; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $83=$82 & 255; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $84=0 | $83; //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL13put2ByteValuePhi($81, $84); //@line 2618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 12; break;
    case 12: 
      var $86=HEAP32[(($bracketCount)>>2)]; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $87=(($86) & 65535); //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $88=$re; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $89=(($88+4)|0); //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP16[(($89)>>1)]=$87; //@line 2620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $90=(($cd)|0); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $92=(($91) & 65535); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $93=$re; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $94=(($93+6)|0); //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP16[(($94)>>1)]=$92; //@line 2621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $95=HEAP32[(($errorcode)>>2)]; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $96=(($95)|0)==0; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($96) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 13: 
      var $98=HEAPU32[(($ptr)>>2)]; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $99=$patternEnd; //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $100=(($98)>>>0) < (($99)>>>0); //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($100) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      HEAP32[(($errorcode)>>2)]=10; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 15; break; //@line 2626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 15: 
      var $103=HEAP32[(($code)>>2)]; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $104=(($103+1)|0); //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$104; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($103)]=0; //@line 2631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $105=HEAP32[(($code)>>2)]; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $106=$codeStart; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $107=$105; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $108=$106; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $109=(($107-$108)|0); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $110=$length; //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $111=(($109)|0) > (($110)|0); //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($111) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 16: 
      HEAP32[(($errorcode)>>2)]=7; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 17; break; //@line 2635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 17: 
      var $114=$re; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $115=(($114+6)|0); //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $116=HEAPU16[(($115)>>1)]; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $117=(($116)&65535); //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $118=$re; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $119=(($118+4)|0); //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $120=HEAPU16[(($119)>>1)]; //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $121=(($120)&65535); //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $122=(($117)|0) > (($121)|0); //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($122) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 18: 
      HEAP32[(($errorcode)>>2)]=15; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 19; break; //@line 2641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 19: 
      var $125=HEAP32[(($errorcode)>>2)]; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $126=(($125)|0)!=0; //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($126) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 20: 
      var $128=$re; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $129=$128; //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZN2js10Foreground12array_deleteIcEEvPT_($129); //@line 2646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $130=HEAP32[(($errorcode)>>2)]; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $131=$7; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $132=__ZL11returnError9ErrorCodePi($130, $131); //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$132; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 55; break; //@line 2647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 21: 
      var $134=(($cd+12)|0); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $135=HEAP8[($134)]; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $136=(($135) & 1); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($136) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 22: 
      var $138=$codeStart; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $139=__ZL17bracketIsAnchoredPKh($138); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($139) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 23: 
      var $141=$codeStart; //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $142=__ZL16branchIsAnchoredPKh($141); //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($142) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 24: 
      var $144=$re; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $145=(($144)|0); //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $147=$146 | 33554432; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($145)>>2)]=$147; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 42; break; //@line 2661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 25: 
      var $149=HEAP32[(($firstByte)>>2)]; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $150=(($149)|0) < 0; //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($150) { __label__ = 26; break; } else { __label__ = 30; break; } //@line 2663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 26: 
      var $152=(($cd+12)|0); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $153=HEAP8[($152)]; //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $154=(($153) & 1); //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($154) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 27: 
      var $156=$codeStart; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $157=__ZL33bracketFindFirstAssertedCharacterPKhb($156, 0); //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $162 = $157;__label__ = 29; break; //@line 2665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 28: 
      var $159=$codeStart; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $160=__ZL32branchFindFirstAssertedCharacterPKhb($159, 0); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $162 = $160;__label__ = 29; break; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 29: 
      var $162; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $163=$re; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $164=(($163)|0); //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $166=$165 & 1; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $167=(($166)|0)!=0; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $168=$167 ? 256 : 0; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $169=$162 | $168; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($firstByte)>>2)]=$169; //@line 2666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 30; break; //@line 2668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 30: 
      var $171=HEAP32[(($firstByte)>>2)]; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $172=(($171)|0) >= 0; //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($172) { __label__ = 31; break; } else { __label__ = 36; break; } //@line 2669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 31: 
      var $174=HEAP32[(($firstByte)>>2)]; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $175=$174 & 255; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ch=$175; //@line 2670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $176=$ch; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $177=(($176)|0) < 127; //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($177) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 2671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 32: 
      var $179=HEAP32[(($firstByte)>>2)]; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $180=$179 & 256; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $181=(($180)|0)!=0; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($181) { __label__ = 33; break; } else { var $190 = 0;__label__ = 34; break; } //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 33: 
      var $183=$ch; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $184=(($183) & 255); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $185=__ZL8flipCaseh($184); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $186=(($185)&255); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $187=$ch; //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $188=(($186)|0)==(($187)|0); //@line 2672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $190 = $188;__label__ = 34; break;
    case 34: 
      var $190;
      var $191=$ch;
      var $192=HEAP32[(($firstByte)>>2)];
      var $193=$190 ? $191 : $192;
      var $194=(($193) & 65535);
      var $195=$re;
      var $196=(($195+8)|0);
      HEAP16[(($196)>>1)]=$194;
      var $197=$re; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $198=(($197)|0); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $199=HEAP32[(($198)>>2)]; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $200=$199 | 1073741824; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($198)>>2)]=$200; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 35; break; //@line 2674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 35: 
      __label__ = 41; break; //@line 2675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 36: 
      var $203=(($cd+12)|0); //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $204=HEAP8[($203)]; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $205=(($204) & 1); //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($205) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 37: 
      var $207=$codeStart; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $208=(($cd+4)|0); //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $209=HEAP32[(($208)>>2)]; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $210=__ZL21bracketNeedsLineStartPKhjj($207, 0, $209); //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($210) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 38: 
      var $212=$codeStart; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $213=(($cd+4)|0); //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $214=HEAP32[(($213)>>2)]; //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $215=__ZL20branchNeedsLineStartPKhjj($212, 0, $214); //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($215) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 39: 
      var $217=$re; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $218=(($217)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $219=HEAP32[(($218)>>2)]; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $220=$219 | 268435456; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($218)>>2)]=$220; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 40; break; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 40: 
      __label__ = 41; break;
    case 41: 
      __label__ = 42; break;
    case 42: 
      var $224=HEAP32[(($reqByte)>>2)]; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $225=(($224)|0) >= 0; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($225) { __label__ = 43; break; } else { __label__ = 52; break; } //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 43: 
      var $227=$re; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $228=(($227)|0); //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $229=HEAP32[(($228)>>2)]; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $230=$229 & 33554432; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $231=(($230)|0)!=0; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($231) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 44: 
      var $233=HEAP32[(($reqByte)>>2)]; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $234=$233 & 512; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $235=(($234)|0)!=0; //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($235) { __label__ = 45; break; } else { __label__ = 52; break; } //@line 2685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 45: 
      var $237=HEAP32[(($reqByte)>>2)]; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $238=$237 & 255; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ch1=$238; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $239=$ch1; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $240=(($239)|0) < 127; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($240) { __label__ = 46; break; } else { __label__ = 51; break; } //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 46: 
      var $242=HEAP32[(($reqByte)>>2)]; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $243=$242 & 256; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $244=(($243)|0)!=0; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($244) { __label__ = 47; break; } else { __label__ = 49; break; } //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 47: 
      var $246=$ch1; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $247=(($246) & 255); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $248=__ZL8flipCaseh($247); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $249=(($248)&255); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $250=$ch1; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $251=(($249)|0)==(($250)|0); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($251) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 48: 
      var $253=HEAP32[(($reqByte)>>2)]; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $254=$253 & -257; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $258 = $254;__label__ = 50; break; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 49: 
      var $256=HEAP32[(($reqByte)>>2)]; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $258 = $256;__label__ = 50; break; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 50: 
      var $258; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $259=(($258) & 65535); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $260=$re; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $261=(($260+10)|0); //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP16[(($261)>>1)]=$259; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $262=$re; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $263=(($262)|0); //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $264=HEAP32[(($263)>>2)]; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $265=$264 | 536870912; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($263)>>2)]=$265; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 51; break; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 51: 
      __label__ = 52; break; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 52: 
      var $268=$6; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $269=(($268)|0)!=0; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($269) { __label__ = 53; break; } else { __label__ = 54; break; } //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 53: 
      var $271=$re; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $272=(($271+4)|0); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $273=HEAPU16[(($272)>>1)]; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $274=(($273)&65535); //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $275=$6; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($275)>>2)]=$274; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 54; break; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 54: 
      var $277=$re; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$277; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 55; break; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 55: 
      var $279=$1; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      STACKTOP = __stackBase__;
      return $279; //@line 2697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z15jsRegExpCompilePKti24JSRegExpIgnoreCaseOption23JSRegExpMultilineOptionPjPi["X"]=1;

function __ZN11CompileDataC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN11CompileDataC2Ev($2); //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  ;
  return; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
}


function __ZL30calculateCompiledPatternLengthPKti24JSRegExpIgnoreCaseOptionR11CompileDataR9ErrorCode($pattern, $patternLength, $ignoreCase, $cd, $errorcode) {
  var __stackBase__  = STACKTOP; STACKTOP += 1040; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $length;
      var $branch_extra;
      var $lastitemlength;
      var $brastackptr;
      var $brastack=__stackBase__;
      var $bralenstack=__stackBase__+800;
      var $bracount;
      var $ptr=__stackBase__+1000;
      var $patternEnd;
      var $minRepeats=__stackBase__+1004;
      var $maxRepeats=__stackBase__+1008;
      var $c;
      var $i;
      var $refnum;
      var $class_optcount;
      var $class_utf8;
      var $d;
      var $hyptr;
      var $buffer=__stackBase__+1012;
      var $occ=__stackBase__+1020;
      var $ocd=__stackBase__+1024;
      var $cc=__stackBase__+1028;
      var $origd;
      var $buffer1=__stackBase__+1032;
      var $branch_newextra;
      var $bracket_length;
      var $capturing;
      var $duplength;
      var $repeatsLength;
      var $i2;
      $2=$pattern;
      $3=$patternLength;
      $4=$ignoreCase;
      $5=$cd;
      $6=$errorcode;
      var $7=$3; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=(($7)|0) > 4194304; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $10=$6; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($10)>>2)]=16; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      $length=6; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $branch_extra=0; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastitemlength=0; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $brastackptr=0; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bracount=0; //@line 2043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=$2; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=(($12-2)|0); //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$13; //@line 2045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=$2; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=$3; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=(($14+($15<<1))|0); //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $patternEnd=$16; //@line 2046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 4; break; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $18=HEAP32[(($ptr)>>2)]; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $19=(($18+2)|0); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$19; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $20=$patternEnd; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=(($19)>>>0) < (($20)>>>0); //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 217; break; } //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      HEAP32[(($minRepeats)>>2)]=0; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($maxRepeats)>>2)]=0; //@line 2049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $23=HEAP32[(($ptr)>>2)]; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $24=HEAPU16[(($23)>>1)]; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $25=(($24)&65535); //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$25; //@line 2050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $26=$c; //@line 2052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ((($26)|0) == 92) {
        __label__ = 6; break;
      }
      else if ((($26)|0) == 94 || (($26)|0) == 46 || (($26)|0) == 36) {
        __label__ = 40; break;
      }
      else if ((($26)|0) == 42 || (($26)|0) == 43 || (($26)|0) == 63) {
        __label__ = 41; break;
      }
      else if ((($26)|0) == 123) {
        __label__ = 42; break;
      }
      else if ((($26)|0) == 124) {
        __label__ = 63; break;
      }
      else if ((($26)|0) == 91) {
        __label__ = 66; break;
      }
      else if ((($26)|0) == 40) {
        __label__ = 152; break;
      }
      else if ((($26)|0) == 41) {
        __label__ = 168; break;
      }
      else {
      __label__ = 207; break;
      }
      
    case 6: 
      var $28=$patternEnd; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $29=$6; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=$5; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=(($30+16)|0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $33=__ZL11checkEscapePPKtS0_P9ErrorCodeib($ptr, $28, $29, $32, 0); //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$33; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $34=$6; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $36=(($35)|0)!=0; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      $1=-1; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      $lastitemlength=1; //@line 2061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $39=$c; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $40=(($39)|0) >= 0; //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($40) { __label__ = 9; break; } else { __label__ = 18; break; } //@line 2063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $42=$length; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $43=(($42+2)|0); //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$43; //@line 2064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $44=$c; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $45=(($44)|0) > 127; //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($45) { __label__ = 10; break; } else { __label__ = 17; break; } //@line 2066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      $i=0; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 11; break; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      var $48=$i; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $49=(($48)|0) < 6; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($49) { __label__ = 12; break; } else { __label__ = 16; break; } //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 12: 
      var $51=$c; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $52=$i; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $53=((_jsc_pcre_utf8_table1+($52<<2))|0); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $55=(($51)|0) <= (($54)|0); //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 13: 
      __label__ = 16; break; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      __label__ = 15; break; //@line 2069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 15: 
      var $59=$i; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $60=(($59+1)|0); //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i=$60; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 11; break; //@line 2068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 16: 
      var $62=$i; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $63=$length; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $64=(($63+$62)|0); //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$64; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $65=$i; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $66=$lastitemlength; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $67=(($66+$65)|0); //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastitemlength=$67; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 17; break; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 17: 
      __label__ = 4; break; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 18: 
      var $70=$length; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $71=(($70+1)|0); //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$71; //@line 2079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $72=$c; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $73=(($72)|0) <= -9; //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($73) { __label__ = 19; break; } else { __label__ = 39; break; } //@line 2085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 19: 
      var $75=$c; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $76=(((-$75))|0); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $77=(($76-9)|0); //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $refnum=$77; //@line 2086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $78=$refnum; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $79=(($78)|0) < 32; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($79) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 20: 
      var $81=$refnum; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $82=1 << $81; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $85 = $82;__label__ = 22; break; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 21: 
      var $85 = 1;__label__ = 22; break; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 22: 
      var $85; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $86=$5; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $87=(($86+4)|0); //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $88=HEAP32[(($87)>>2)]; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $89=$88 | $85; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($87)>>2)]=$89; //@line 2087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $90=$refnum; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $91=$5; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $92=(($91)|0); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $94=(($90)|0) > (($93)|0); //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($94) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 23: 
      var $96=$refnum; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $97=$5; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $98=(($97)|0); //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($98)>>2)]=$96; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 24; break; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 24: 
      var $100=$length; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $101=(($100+2)|0); //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$101; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $102=HEAP32[(($ptr)>>2)]; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $103=$patternEnd; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $104=__ZL19safelyCheckNextCharPKtS0_t($102, $103, 123); //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($104) { __label__ = 25; break; } else { __label__ = 38; break; } //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 25: 
      var $106=HEAP32[(($ptr)>>2)]; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $107=(($106+4)|0); //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $108=$patternEnd; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $109=__ZL15isCountedRepeatPKtS0_($107, $108); //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($109) { __label__ = 26; break; } else { __label__ = 38; break; } //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 26: 
      var $111=HEAP32[(($ptr)>>2)]; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $112=(($111+4)|0); //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $113=$6; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $114=__ZL16readRepeatCountsPKtPiS1_P9ErrorCode($112, $minRepeats, $maxRepeats, $113); //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$114; //@line 2092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $115=$6; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $117=(($116)|0)!=0; //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($117) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 27: 
      $1=-1; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 28: 
      var $120=HEAP32[(($minRepeats)>>2)]; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $121=(($120)|0)==0; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($121) { __label__ = 29; break; } else { __label__ = 31; break; } //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 29: 
      var $123=HEAP32[(($maxRepeats)>>2)]; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $124=(($123)|0)==1; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($124) { __label__ = 33; break; } else { __label__ = 30; break; } //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 30: 
      var $126=HEAP32[(($maxRepeats)>>2)]; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $127=(($126)|0)==-1; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($127) { __label__ = 33; break; } else { __label__ = 31; break; } //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 31: 
      var $129=HEAP32[(($minRepeats)>>2)]; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $130=(($129)|0)==1; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($130) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 32: 
      var $132=HEAP32[(($maxRepeats)>>2)]; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $133=(($132)|0)==-1; //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($133) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 2095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 33: 
      var $135=$length; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $136=(($135+1)|0); //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$136; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 35; break; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 34: 
      var $138=$length; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $139=(($138+5)|0); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$139; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 35; break;
    case 35: 
      var $141=HEAP32[(($ptr)>>2)]; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $142=$patternEnd; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $143=__ZL19safelyCheckNextCharPKtS0_t($141, $142, 63); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($143) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 36: 
      var $145=HEAP32[(($ptr)>>2)]; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $146=(($145+2)|0); //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$146; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 37; break; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 37: 
      __label__ = 38; break; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 38: 
      __label__ = 39; break; //@line 2103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 39: 
      __label__ = 4; break; //@line 2104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 40: 
      var $151=$length; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $152=(($151+1)|0); //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$152; //@line 2109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastitemlength=1; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 4; break; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 41: 
      var $154=$length; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $155=(($154+1)|0); //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$155; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 60; break; //@line 2117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 42: 
      var $157=HEAP32[(($ptr)>>2)]; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $158=(($157+2)|0); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $159=$patternEnd; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $160=__ZL15isCountedRepeatPKtS0_($158, $159); //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($160) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 43: 
      __label__ = 208; break; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 44: 
      var $163=HEAP32[(($ptr)>>2)]; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $164=(($163+2)|0); //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $165=$6; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $166=__ZL16readRepeatCountsPKtPiS1_P9ErrorCode($164, $minRepeats, $maxRepeats, $165); //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$166; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $167=$6; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $168=HEAP32[(($167)>>2)]; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $169=(($168)|0)!=0; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($169) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 45: 
      $1=-1; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 46: 
      var $172=HEAP32[(($minRepeats)>>2)]; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $173=(($172)|0)==0; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($173) { __label__ = 47; break; } else { __label__ = 49; break; } //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 47: 
      var $175=HEAP32[(($maxRepeats)>>2)]; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $176=(($175)|0)==1; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($176) { __label__ = 51; break; } else { __label__ = 48; break; } //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 48: 
      var $178=HEAP32[(($maxRepeats)>>2)]; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $179=(($178)|0)==-1; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($179) { __label__ = 51; break; } else { __label__ = 49; break; } //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 49: 
      var $181=HEAP32[(($minRepeats)>>2)]; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $182=(($181)|0)==1; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($182) { __label__ = 50; break; } else { __label__ = 52; break; } //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 50: 
      var $184=HEAP32[(($maxRepeats)>>2)]; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $185=(($184)|0)==-1; //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($185) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 2131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 51: 
      var $187=$length; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $188=(($187+1)|0); //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$188; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 57; break; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 52: 
      var $190=HEAP32[(($minRepeats)>>2)]; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $191=(($190)|0)!=1; //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($191) { __label__ = 53; break; } else { __label__ = 56; break; } //@line 2138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 53: 
      var $193=$lastitemlength; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $194=$length; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $195=(($194-$193)|0); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$195; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $196=HEAP32[(($minRepeats)>>2)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $197=(($196)|0) > 0; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($197) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 54: 
      var $199=$lastitemlength; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $200=(($199+5)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $201=$length; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $202=(($201+$200)|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$202; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 55; break; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 55: 
      __label__ = 56; break; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 56: 
      var $205=$lastitemlength; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $206=HEAP32[(($maxRepeats)>>2)]; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $207=(($206)|0) > 0; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $208=$207 ? 5 : 1; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $209=(($205+$208)|0); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $210=$length; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $211=(($210+$209)|0); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$211; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 57; break;
    case 57: 
      var $213=HEAP32[(($ptr)>>2)]; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $214=$patternEnd; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $215=__ZL19safelyCheckNextCharPKtS0_t($213, $214, 63); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($215) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 58: 
      var $217=HEAP32[(($ptr)>>2)]; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $218=(($217+2)|0); //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$218; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 59; break; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 59: 
      __label__ = 60; break; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 60: 
      var $221=HEAP32[(($ptr)>>2)]; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $222=$patternEnd; //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $223=__ZL19safelyCheckNextCharPKtS0_t($221, $222, 43); //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($223) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 2150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 61: 
      var $225=HEAP32[(($ptr)>>2)]; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $226=(($225+2)|0); //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$226; //@line 2151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $227=$length; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $228=(($227+8)|0); //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$228; //@line 2152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 62; break; //@line 2153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 62: 
      __label__ = 4; break; //@line 2154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 63: 
      var $231=$brastackptr; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $232=(($231)|0)==0; //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($232) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 2162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 64: 
      var $234=$5; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $235=(($234+12)|0); //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($235)]=1; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 65; break; //@line 2163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 65: 
      var $237=$branch_extra; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $238=(($237+4)|0); //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $239=$length; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $240=(($239+$238)|0); //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$240; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 4; break; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 66: 
      var $242=HEAP32[(($ptr)>>2)]; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $243=(($242+2)|0); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$243; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $244=HEAPU16[(($243)>>1)]; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $245=(($244)&65535); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $246=(($245)|0)==94; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($246) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 67: 
      $class_optcount=10; //@line 2178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $248=HEAP32[(($ptr)>>2)]; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $249=(($248+2)|0); //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$249; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 69; break; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 68: 
      $class_optcount=0; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 69; break;
    case 69: 
      $class_utf8=0; //@line 2184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 70; break; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 70: 
      var $253=HEAPU32[(($ptr)>>2)]; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $254=$patternEnd; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $255=(($253)>>>0) < (($254)>>>0); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($255) { __label__ = 71; break; } else { var $262 = 0;__label__ = 72; break; } //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 71: 
      var $257=HEAP32[(($ptr)>>2)]; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $258=HEAPU16[(($257)>>1)]; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $259=(($258)&65535); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $260=(($259)|0)!=93; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $262 = $260;__label__ = 72; break;
    case 72: 
      var $262;
      if ($262) { __label__ = 73; break; } else { __label__ = 130; break; }
    case 73: 
      var $264=HEAP32[(($ptr)>>2)]; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $265=HEAPU16[(($264)>>1)]; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $266=(($265)&65535); //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $267=(($266)|0)==92; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($267) { __label__ = 74; break; } else { __label__ = 80; break; } //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 74: 
      var $269=$patternEnd; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $270=$6; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $271=$5; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $272=(($271+16)|0); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $273=HEAP32[(($272)>>2)]; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $274=__ZL11checkEscapePPKtS0_P9ErrorCodeib($ptr, $269, $270, $273, 1); //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$274; //@line 2190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $275=$6; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $276=HEAP32[(($275)>>2)]; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $277=(($276)|0)!=0; //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($277) { __label__ = 75; break; } else { __label__ = 76; break; } //@line 2191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 75: 
      $1=-1; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 76: 
      var $280=$c; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $281=(($280)|0) >= 0; //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($281) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 2196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 77: 
      __label__ = 81; break; //@line 2197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 78: 
      $class_optcount=10; //@line 2203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 79; break;
    case 79: 
      __label__ = 128; break; //@line 2204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 80: 
      var $286=HEAP32[(($ptr)>>2)]; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $287=HEAPU16[(($286)>>1)]; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $288=(($287)&65535); //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$288; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 81; break; //@line 2213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 81: 
      var $290=$class_optcount; //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $291=(($290+1)|0); //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_optcount=$291; //@line 2218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $d=-1; //@line 2220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $292=HEAP32[(($ptr)>>2)]; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $293=$patternEnd; //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $294=__ZL19safelyCheckNextCharPKtS0_t($292, $293, 45); //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($294) { __label__ = 82; break; } else { __label__ = 93; break; } //@line 2221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 82: 
      var $296=HEAP32[(($ptr)>>2)]; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $297=(($296+2)|0); //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$297; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $hyptr=$296; //@line 2222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $298=HEAP32[(($ptr)>>2)]; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $299=$patternEnd; //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $300=__ZL19safelyCheckNextCharPKtS0_t($298, $299, 92); //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($300) { __label__ = 83; break; } else { __label__ = 86; break; } //@line 2223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 83: 
      var $302=HEAP32[(($ptr)>>2)]; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $303=(($302+2)|0); //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$303; //@line 2224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $304=$patternEnd; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $305=$6; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $306=$5; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $307=(($306+16)|0); //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $308=HEAP32[(($307)>>2)]; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $309=__ZL11checkEscapePPKtS0_P9ErrorCodeib($ptr, $304, $305, $308, 1); //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $d=$309; //@line 2225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $310=$6; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $311=HEAP32[(($310)>>2)]; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $312=(($311)|0)!=0; //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($312) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 2226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 84: 
      $1=-1; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 85: 
      __label__ = 90; break; //@line 2228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 86: 
      var $316=HEAP32[(($ptr)>>2)]; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $317=(($316+2)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $318=$patternEnd; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $319=(($317)>>>0) < (($318)>>>0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($319) { __label__ = 87; break; } else { __label__ = 89; break; } //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 87: 
      var $321=HEAP32[(($ptr)>>2)]; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $322=(($321+2)|0); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $323=HEAPU16[(($322)>>1)]; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $324=(($323)&65535); //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $325=(($324)|0)!=93; //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($325) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 2229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 88: 
      var $327=HEAP32[(($ptr)>>2)]; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $328=(($327+2)|0); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$328; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $329=HEAPU16[(($328)>>1)]; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $330=(($329)&65535); //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $d=$330; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 89; break; //@line 2230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 89: 
      __label__ = 90; break;
    case 90: 
      var $333=$d; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $334=(($333)|0) < 0; //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($334) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 2231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 91: 
      var $336=$hyptr; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$336; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 92; break; //@line 2232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 92: 
      __label__ = 93; break; //@line 2233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 93: 
      var $339=$d; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $340=(($339)|0) >= 0; //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($340) { __label__ = 94; break; } else { __label__ = 120; break; } //@line 2238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 94: 
      $class_optcount=10; //@line 2239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $342=$d; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $343=$c; //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $344=(($342)|0) < (($343)|0); //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($344) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 2240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 95: 
      var $346=$6; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($346)>>2)]=8; //@line 2241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 96: 
      var $348=$d; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $349=(($348)|0) > 255; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($349) { __label__ = 99; break; } else { __label__ = 97; break; } //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 97: 
      var $351=$4; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $352=(($351)|0)!=0; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($352) { __label__ = 98; break; } else { __label__ = 119; break; } //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 98: 
      var $354=$d; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $355=(($354)|0) > 127; //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($355) { __label__ = 99; break; } else { __label__ = 119; break; } //@line 2245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 99: 
      var $357=$class_utf8; //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $358=(($357) & 1); //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($358) { __label__ = 101; break; } else { __label__ = 100; break; } //@line 2247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 100: 
      $class_utf8=1; //@line 2249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $360=$length; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $361=(($360+5)|0); //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$361; //@line 2250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 101; break; //@line 2251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 101: 
      var $363=$4; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $364=(($363)|0)!=0; //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($364) { __label__ = 102; break; } else { __label__ = 118; break; } //@line 2259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 102: 
      var $366=$c; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($cc)>>2)]=$366; //@line 2261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $367=$d; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $origd=$367; //@line 2262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 103; break; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 103: 
      var $369=$origd; //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $370=__ZL17getOthercaseRangePiiS_S_($cc, $369, $occ, $ocd); //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($370) { __label__ = 104; break; } else { __label__ = 117; break; } //@line 2263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 104: 
      var $372=HEAP32[(($occ)>>2)]; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $373=$c; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $374=(($372)|0) >= (($373)|0); //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($374) { __label__ = 105; break; } else { __label__ = 107; break; } //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 105: 
      var $376=HEAP32[(($ocd)>>2)]; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $377=$d; //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $378=(($376)|0) <= (($377)|0); //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($378) { __label__ = 106; break; } else { __label__ = 107; break; } //@line 2264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 106: 
      __label__ = 103; break; //@line 2265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 107: 
      var $381=HEAP32[(($occ)>>2)]; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $382=$c; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $383=(($381)|0) < (($382)|0); //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($383) { __label__ = 108; break; } else { __label__ = 110; break; } //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 108: 
      var $385=HEAP32[(($ocd)>>2)]; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $386=$c; //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $387=(($386-1)|0); //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $388=(($385)|0) >= (($387)|0); //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($388) { __label__ = 109; break; } else { __label__ = 110; break; } //@line 2267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 109: 
      var $390=HEAP32[(($occ)>>2)]; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$390; //@line 2269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 103; break; //@line 2270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 110: 
      var $392=HEAP32[(($ocd)>>2)]; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $393=$d; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $394=(($392)|0) > (($393)|0); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($394) { __label__ = 111; break; } else { __label__ = 113; break; } //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 111: 
      var $396=HEAP32[(($occ)>>2)]; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $397=$d; //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $398=(($397+1)|0); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $399=(($396)|0) <= (($398)|0); //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($399) { __label__ = 112; break; } else { __label__ = 113; break; } //@line 2272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 112: 
      var $401=HEAP32[(($ocd)>>2)]; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $d=$401; //@line 2274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 103; break; //@line 2275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 113: 
      var $403=HEAP32[(($occ)>>2)]; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $404=(($buffer)|0); //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $405=__ZL10encodeUTF8iPh($403, $404); //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $406=(($405+1)|0); //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $407=HEAP32[(($occ)>>2)]; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $408=HEAP32[(($ocd)>>2)]; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $409=(($407)|0)==(($408)|0); //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($409) { __label__ = 114; break; } else { __label__ = 115; break; } //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 114: 
      var $416 = 0;__label__ = 116; break; //@line 2280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 115: 
      var $412=HEAP32[(($ocd)>>2)]; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $413=(($buffer)|0); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $414=__ZL10encodeUTF8iPh($412, $413); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $416 = $414;__label__ = 116; break; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 116: 
      var $416; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $417=(($406+$416)|0); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $418=$length; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $419=(($418+$417)|0); //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$419; //@line 2281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 103; break; //@line 2282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 117: 
      __label__ = 118; break; //@line 2283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 118: 
      var $422=$c; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $423=(($buffer)|0); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $424=__ZL10encodeUTF8iPh($422, $423); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $425=(($424+1)|0); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $426=$d; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $427=(($buffer)|0); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $428=__ZL10encodeUTF8iPh($426, $427); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $429=(($425+$428)|0); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $430=$length; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $431=(($430+$429)|0); //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$431; //@line 2287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 119; break; //@line 2288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 119: 
      __label__ = 127; break; //@line 2290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 120: 
      var $434=$c; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $435=(($434)|0) > 255; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($435) { __label__ = 123; break; } else { __label__ = 121; break; } //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 121: 
      var $437=$4; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $438=(($437)|0)!=0; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($438) { __label__ = 122; break; } else { __label__ = 126; break; } //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 122: 
      var $440=$c; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $441=(($440)|0) > 127; //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($441) { __label__ = 123; break; } else { __label__ = 126; break; } //@line 2298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 123: 
      $class_optcount=10; //@line 2300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $443=$class_utf8; //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $444=(($443) & 1); //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($444) { __label__ = 125; break; } else { __label__ = 124; break; } //@line 2301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 124: 
      $class_utf8=1; //@line 2303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $446=$length; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $447=(($446+5)|0); //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$447; //@line 2304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 125; break; //@line 2305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 125: 
      var $449=$4; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $450=(($449)|0)!=0; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $451=$450 ? 2 : 1; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $452=$c; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $453=(($buffer1)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $454=__ZL10encodeUTF8iPh($452, $453); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $455=(($454+1)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $456=(($451*$455)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $457=$length; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $458=(($457+$456)|0); //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$458; //@line 2306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 126; break; //@line 2307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 126: 
      __label__ = 127; break;
    case 127: 
      __label__ = 128; break;
    case 128: 
      __label__ = 129; break; //@line 2310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 129: 
      var $463=HEAP32[(($ptr)>>2)]; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $464=(($463+2)|0); //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$464; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 70; break; //@line 2186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 130: 
      var $466=HEAPU32[(($ptr)>>2)]; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $467=$patternEnd; //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $468=(($466)>>>0) >= (($467)>>>0); //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($468) { __label__ = 131; break; } else { __label__ = 132; break; } //@line 2312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 131: 
      var $470=$6; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($470)>>2)]=6; //@line 2313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 132: 
      var $472=$class_optcount; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $473=(($472)|0)==1; //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($473) { __label__ = 133; break; } else { __label__ = 134; break; } //@line 2322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 133: 
      __label__ = 208; break; //@line 2323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 134: 
      var $476=$length; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $477=(($476+33)|0); //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$477; //@line 2327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $478=HEAP32[(($ptr)>>2)]; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $479=$patternEnd; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $480=__ZL19safelyCheckNextCharPKtS0_t($478, $479, 123); //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($480) { __label__ = 135; break; } else { __label__ = 151; break; } //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 135: 
      var $482=HEAP32[(($ptr)>>2)]; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $483=(($482+4)|0); //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $484=$patternEnd; //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $485=__ZL15isCountedRepeatPKtS0_($483, $484); //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($485) { __label__ = 136; break; } else { __label__ = 151; break; } //@line 2332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 136: 
      var $487=HEAP32[(($ptr)>>2)]; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $488=(($487+4)|0); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $489=$6; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $490=__ZL16readRepeatCountsPKtPiS1_P9ErrorCode($488, $minRepeats, $maxRepeats, $489); //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$490; //@line 2333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $491=$6; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $492=HEAP32[(($491)>>2)]; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $493=(($492)|0)!=0; //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($493) { __label__ = 137; break; } else { __label__ = 138; break; } //@line 2334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 137: 
      $1=-1; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 138: 
      var $496=HEAP32[(($minRepeats)>>2)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $497=(($496)|0)==0; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($497) { __label__ = 139; break; } else { __label__ = 141; break; } //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 139: 
      var $499=HEAP32[(($maxRepeats)>>2)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $500=(($499)|0)==1; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($500) { __label__ = 143; break; } else { __label__ = 140; break; } //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 140: 
      var $502=HEAP32[(($maxRepeats)>>2)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $503=(($502)|0)==-1; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($503) { __label__ = 143; break; } else { __label__ = 141; break; } //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 141: 
      var $505=HEAP32[(($minRepeats)>>2)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $506=(($505)|0)==1; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($506) { __label__ = 142; break; } else { __label__ = 144; break; } //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 142: 
      var $508=HEAP32[(($maxRepeats)>>2)]; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $509=(($508)|0)==-1; //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($509) { __label__ = 143; break; } else { __label__ = 144; break; } //@line 2336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 143: 
      var $511=$length; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $512=(($511+1)|0); //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$512; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 145; break; //@line 2338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 144: 
      var $514=$length; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $515=(($514+5)|0); //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$515; //@line 2340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 145; break;
    case 145: 
      var $517=HEAP32[(($ptr)>>2)]; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $518=$patternEnd; //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $519=__ZL19safelyCheckNextCharPKtS0_t($517, $518, 43); //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($519) { __label__ = 146; break; } else { __label__ = 147; break; } //@line 2341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 146: 
      var $521=HEAP32[(($ptr)>>2)]; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $522=(($521+2)|0); //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$522; //@line 2342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $523=$length; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $524=(($523+8)|0); //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$524; //@line 2343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 150; break; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 147: 
      var $526=HEAP32[(($ptr)>>2)]; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $527=$patternEnd; //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $528=__ZL19safelyCheckNextCharPKtS0_t($526, $527, 63); //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($528) { __label__ = 148; break; } else { __label__ = 149; break; } //@line 2344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 148: 
      var $530=HEAP32[(($ptr)>>2)]; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $531=(($530+2)|0); //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$531; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 149; break; //@line 2345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 149: 
      __label__ = 150; break;
    case 150: 
      __label__ = 151; break; //@line 2346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 151: 
      __label__ = 4; break; //@line 2348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 152: 
      $branch_newextra=0; //@line 2354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bracket_length=6; //@line 2355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $capturing=0; //@line 2356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $536=HEAP32[(($ptr)>>2)]; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $537=$patternEnd; //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $538=__ZL19safelyCheckNextCharPKtS0_t($536, $537, 63); //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($538) { __label__ = 153; break; } else { __label__ = 160; break; } //@line 2360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 153: 
      var $540=HEAP32[(($ptr)>>2)]; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $541=(($540+4)|0); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $542=$patternEnd; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $543=(($541)>>>0) < (($542)>>>0); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($543) { __label__ = 154; break; } else { __label__ = 155; break; } //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 154: 
      var $545=HEAP32[(($ptr)>>2)]; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $546=(($545+4)|0); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $547=HEAPU16[(($546)>>1)]; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $548=(($547)&65535); //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $551 = $548;__label__ = 156; break; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 155: 
      var $551 = 0;__label__ = 156; break; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 156: 
      var $551; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$551; //@line 2361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ((($551)|0) == 58 || (($551)|0) == 61 || (($551)|0) == 33) {
        __label__ = 157; break;
      }
      else {
      __label__ = 158; break;
      }
      
    case 157: 
      var $553=HEAP32[(($ptr)>>2)]; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $554=(($553+4)|0); //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$554; //@line 2370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 159; break; //@line 2371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 158: 
      var $556=$6; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($556)>>2)]=12; //@line 2379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 159: 
      __label__ = 161; break; //@line 2382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 160: 
      $capturing=1; //@line 2383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 161; break;
    case 161: 
      var $560=$capturing; //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $561=(($560) & 1); //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($561) { __label__ = 162; break; } else { __label__ = 165; break; } //@line 2389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 162: 
      var $563=$bracount; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $564=(($563+1)|0); //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bracount=$564; //@line 2390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $565=$bracount; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $566=(($565)|0) > 100; //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($566) { __label__ = 163; break; } else { __label__ = 164; break; } //@line 2391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 163: 
      var $568=$bracket_length; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $569=(($568+3)|0); //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bracket_length=$569; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 164; break; //@line 2392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 164: 
      __label__ = 165; break; //@line 2393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 165: 
      var $572=$brastackptr; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $573=(($572)>>>0) >= 200; //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($573) { __label__ = 166; break; } else { __label__ = 167; break; } //@line 2400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 166: 
      var $575=$6; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($575)>>2)]=17; //@line 2401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 167: 
      var $577=$branch_extra; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $578=(($577) & 255); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $579=$brastackptr; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $580=(($bralenstack+$579)|0); //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($580)]=$578; //@line 2405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $581=$branch_newextra; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $branch_extra=$581; //@line 2406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $582=$length; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $583=$brastackptr; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $584=(($583+1)|0); //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $brastackptr=$584; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $585=(($brastack+($583<<2))|0); //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($585)>>2)]=$582; //@line 2408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $586=$bracket_length; //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $587=$length; //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $588=(($587+$586)|0); //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$588; //@line 2409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 4; break; //@line 2410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 168: 
      var $590=$length; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $591=(($590+4)|0); //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$591; //@line 2421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $592=$brastackptr; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $593=(($592)>>>0) > 0; //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($593) { __label__ = 169; break; } else { __label__ = 170; break; } //@line 2422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 169: 
      var $595=$length; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $596=$brastackptr; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $597=(($596-1)|0); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $brastackptr=$597; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $598=(($brastack+($597<<2))|0); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $599=HEAP32[(($598)>>2)]; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $600=(($595-$599)|0); //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $duplength=$600; //@line 2423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $601=$brastackptr; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $602=(($bralenstack+$601)|0); //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $603=HEAPU8[($602)]; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $604=(($603)&255); //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $branch_extra=$604; //@line 2424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 171; break; //@line 2425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 170: 
      $duplength=0; //@line 2427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 171; break;
    case 171: 
      var $607=HEAP32[(($ptr)>>2)]; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $608=(($607+2)|0); //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $609=$patternEnd; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $610=(($608)>>>0) < (($609)>>>0); //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($610) { __label__ = 172; break; } else { __label__ = 177; break; } //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 172: 
      var $612=HEAP32[(($ptr)>>2)]; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $613=(($612+2)|0); //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $614=HEAPU16[(($613)>>1)]; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $615=(($614)&65535); //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$615; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $616=(($615)|0)==123; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($616) { __label__ = 173; break; } else { __label__ = 177; break; } //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 173: 
      var $618=HEAP32[(($ptr)>>2)]; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $619=(($618+4)|0); //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $620=$patternEnd; //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $621=__ZL15isCountedRepeatPKtS0_($619, $620); //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($621) { __label__ = 174; break; } else { __label__ = 177; break; } //@line 2432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 174: 
      var $623=HEAP32[(($ptr)>>2)]; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $624=(($623+4)|0); //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $625=$6; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $626=__ZL16readRepeatCountsPKtPiS1_P9ErrorCode($624, $minRepeats, $maxRepeats, $625); //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$626; //@line 2433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $627=$6; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $628=HEAP32[(($627)>>2)]; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $629=(($628)|0)!=0; //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($629) { __label__ = 175; break; } else { __label__ = 176; break; } //@line 2434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 175: 
      $1=-1; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 176: 
      __label__ = 187; break; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 177: 
      var $633=$c; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $634=(($633)|0)==42; //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($634) { __label__ = 178; break; } else { __label__ = 179; break; } //@line 2436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 178: 
      HEAP32[(($minRepeats)>>2)]=0; //@line 2437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($maxRepeats)>>2)]=-1; //@line 2438 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $636=HEAP32[(($ptr)>>2)]; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $637=(($636+2)|0); //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$637; //@line 2439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 186; break; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 179: 
      var $639=$c; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $640=(($639)|0)==43; //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($640) { __label__ = 180; break; } else { __label__ = 181; break; } //@line 2440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 180: 
      HEAP32[(($minRepeats)>>2)]=1; //@line 2441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($maxRepeats)>>2)]=-1; //@line 2442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $642=HEAP32[(($ptr)>>2)]; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $643=(($642+2)|0); //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$643; //@line 2443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 185; break; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 181: 
      var $645=$c; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $646=(($645)|0)==63; //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($646) { __label__ = 182; break; } else { __label__ = 183; break; } //@line 2444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 182: 
      HEAP32[(($minRepeats)>>2)]=0; //@line 2445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($maxRepeats)>>2)]=1; //@line 2446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $648=HEAP32[(($ptr)>>2)]; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $649=(($648+2)|0); //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$649; //@line 2447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 184; break; //@line 2448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 183: 
      HEAP32[(($minRepeats)>>2)]=1; //@line 2449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($maxRepeats)>>2)]=1; //@line 2450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 184; break;
    case 184: 
      __label__ = 185; break;
    case 185: 
      __label__ = 186; break;
    case 186: 
      __label__ = 187; break;
    case 187: 
      var $655=HEAP32[(($minRepeats)>>2)]; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $656=(($655)|0)==0; //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($656) { __label__ = 188; break; } else { __label__ = 195; break; } //@line 2459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 188: 
      var $658=$length; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $659=(($658+1)|0); //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$659; //@line 2460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $660=HEAP32[(($maxRepeats)>>2)]; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $661=(($660)|0) > 0; //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($661) { __label__ = 189; break; } else { __label__ = 194; break; } //@line 2461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 189: 
      var $663=HEAP32[(($maxRepeats)>>2)]; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $664=(($663-1)|0); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $665=$duplength; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $666=(($665+6)|0); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $667=(($666+4)|0); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $668=(($667+1)|0); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $669=__ZL25multiplyWithOverflowCheckii($664, $668); //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $repeatsLength=$669; //@line 2462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $670=$repeatsLength; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $671=(($670)|0) < 0; //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($671) { __label__ = 190; break; } else { __label__ = 191; break; } //@line 2463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 190: 
      var $673=$6; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($673)>>2)]=16; //@line 2464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 191: 
      var $675=$repeatsLength; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $676=$length; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $677=(($676+$675)|0); //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$677; //@line 2467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $678=$length; //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $679=(($678)|0) > 4194304; //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($679) { __label__ = 192; break; } else { __label__ = 193; break; } //@line 2468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 192: 
      var $681=$6; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($681)>>2)]=16; //@line 2469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 193: 
      __label__ = 194; break; //@line 2472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 194: 
      __label__ = 204; break; //@line 2473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 195: 
      var $685=HEAP32[(($minRepeats)>>2)]; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $686=(($685-1)|0); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $687=$duplength; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $688=__ZL25multiplyWithOverflowCheckii($686, $687); //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $repeatsLength=$688; //@line 2482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $689=$repeatsLength; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $690=(($689)|0) < 0; //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($690) { __label__ = 196; break; } else { __label__ = 197; break; } //@line 2483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 196: 
      var $692=$6; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($692)>>2)]=16; //@line 2484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 197: 
      var $694=$repeatsLength; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $695=$length; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $696=(($695+$694)|0); //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$696; //@line 2487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $697=HEAP32[(($maxRepeats)>>2)]; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $698=HEAP32[(($minRepeats)>>2)]; //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $699=(($697)|0) > (($698)|0); //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($699) { __label__ = 198; break; } else { __label__ = 201; break; } //@line 2488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 198: 
      var $701=HEAP32[(($maxRepeats)>>2)]; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $702=HEAP32[(($minRepeats)>>2)]; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $703=(($701-$702)|0); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $704=$duplength; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $705=(($704+1)|0); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $706=(($705+6)|0); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $707=(($706+4)|0); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $708=__ZL25multiplyWithOverflowCheckii($703, $707); //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $repeatsLength=$708; //@line 2489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $709=$repeatsLength; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $710=(($709)|0) < 0; //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($710) { __label__ = 199; break; } else { __label__ = 200; break; } //@line 2490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 199: 
      var $712=$6; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($712)>>2)]=16; //@line 2491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 200: 
      var $714=$repeatsLength; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $715=(($714-8)|0); //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $716=$length; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $717=(($716+$715)|0); //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$717; //@line 2494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 201; break; //@line 2495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 201: 
      var $719=$length; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $720=(($719)|0) > 4194304; //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($720) { __label__ = 202; break; } else { __label__ = 203; break; } //@line 2496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 202: 
      var $722=$6; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($722)>>2)]=16; //@line 2497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=-1; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 203: 
      __label__ = 204; break;
    case 204: 
      var $725=HEAP32[(($ptr)>>2)]; //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $726=$patternEnd; //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $727=__ZL19safelyCheckNextCharPKtS0_t($725, $726, 43); //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($727) { __label__ = 205; break; } else { __label__ = 206; break; } //@line 2504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 205: 
      var $729=HEAP32[(($ptr)>>2)]; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $730=(($729+2)|0); //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$730; //@line 2505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $731=$length; //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $732=(($731+8)|0); //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$732; //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 206; break; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 206: 
      __label__ = 4; break; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 207: 
      __label__ = 208; break; //@line 2509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 208: 
      var $736=$length; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $737=(($736+2)|0); //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$737; //@line 2517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastitemlength=1; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $738=$c; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $739=(($738)|0) > 127; //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($739) { __label__ = 209; break; } else { __label__ = 216; break; } //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 209: 
      $i2=0; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 210; break; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 210: 
      var $742=$i2; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $743=(($742)|0) < 6; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($743) { __label__ = 211; break; } else { __label__ = 215; break; } //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 211: 
      var $745=$c; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $746=$i2; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $747=((_jsc_pcre_utf8_table1+($746<<2))|0); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $748=HEAP32[(($747)>>2)]; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $749=(($745)|0) <= (($748)|0); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($749) { __label__ = 212; break; } else { __label__ = 213; break; } //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 212: 
      __label__ = 215; break; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 213: 
      __label__ = 214; break; //@line 2524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 214: 
      var $753=$i2; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $754=(($753+1)|0); //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i2=$754; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 210; break; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 215: 
      var $756=$i2; //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $757=$length; //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $758=(($757+$756)|0); //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$758; //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $759=$i2; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $760=$lastitemlength; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $761=(($760+$759)|0); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastitemlength=$761; //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 216; break; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 216: 
      __label__ = 4; break; //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 217: 
      var $764=$length; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $765=(($764+5)|0); //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$765; //@line 2533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $766=$bracount; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $767=$5; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $768=(($767+16)|0); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($768)>>2)]=$766; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $769=$length; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$769; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 218; break; //@line 2536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 218: 
      var $771=$1; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      STACKTOP = __stackBase__;
      return $771; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL30calculateCompiledPatternLengthPKti24JSRegExpIgnoreCaseOptionR11CompileDataR9ErrorCode["X"]=1;

function __ZL11returnError9ErrorCodePi($errorcode, $error) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$errorcode;
  $2=$error;
  var $3=$1; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  var $4=$2; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  HEAP32[(($4)>>2)]=$3; //@line 2563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  ;
  return 0; //@line 2564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
}


function __ZN2js11OffTheBooks9array_newIcEEPT_j($n) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $numBytes64=__stackBase__;
      var $numBytes;
      var $memory;
      $2=$n;
      var $3=$2; //@line 509 "./jsutil.h"
      var $4$0=$3;
      var $4$1=0;
      var $$emscripten$temp$0$0=1;
      var $$emscripten$temp$0$1=0;
      var $5$0 = (i64Math.multiply($$emscripten$temp$0$0,$$emscripten$temp$0$1,$4$0,$4$1),i64Math.result[0]); var $5$1 = i64Math.result[1]; //@line 509 "./jsutil.h"
      var $$emscripten$temp$1$0=8;
      var $$emscripten$temp$1$1=0;
      var $6$0 = (i64Math.add($$emscripten$temp$1$0,$$emscripten$temp$1$1,$5$0,$5$1),i64Math.result[0]); var $6$1 = i64Math.result[1]; //@line 509 "./jsutil.h"
      var $st$15$0=(($numBytes64)|0);
      HEAP32[(($st$15$0)>>2)]=$6$0;
      var $st$15$1=(($numBytes64+4)|0);
      HEAP32[(($st$15$1)>>2)]=$6$1;
      var $st$19$0=(($numBytes64)|0);
      var $7$0=HEAP32[(($st$19$0)>>2)];
      var $st$19$1=(($numBytes64+4)|0);
      var $7$1=HEAP32[(($st$19$1)>>2)];
      var $8$0=$7$0;
      var $8=$8$0;
      $numBytes=$8; //@line 509 "./jsutil.h"
      var $st$26$0=(($numBytes64)|0);
      var $9$0=HEAP32[(($st$26$0)>>2)];
      var $st$26$1=(($numBytes64+4)|0);
      var $9$1=HEAP32[(($st$26$1)>>2)];
      var $10=$numBytes; //@line 509 "./jsutil.h"
      var $11$0=$10;
      var $11$1=0;
      var $12=$9$0 != $11$0 || $9$1 != $11$1; //@line 509 "./jsutil.h"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 509 "./jsutil.h"
    case 2: 
      $1=0; //@line 509 "./jsutil.h"
      __label__ = 6; break; //@line 509 "./jsutil.h"
    case 3: 
      var $15=$numBytes; //@line 509 "./jsutil.h"
      var $16=_js_malloc4456($15); //@line 509 "./jsutil.h"
      $memory=$16; //@line 509 "./jsutil.h"
      var $17=$memory; //@line 509 "./jsutil.h"
      var $18=(($17)|0)!=0; //@line 509 "./jsutil.h"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 509 "./jsutil.h"
    case 4: 
      $1=0; //@line 509 "./jsutil.h"
      __label__ = 6; break; //@line 509 "./jsutil.h"
    case 5: 
      var $21=$2; //@line 509 "./jsutil.h"
      var $22=$memory; //@line 509 "./jsutil.h"
      var $23=$22; //@line 509 "./jsutil.h"
      HEAP32[(($23)>>2)]=$21; //@line 509 "./jsutil.h"
      var $24=$memory; //@line 509 "./jsutil.h"
      var $25=$24; //@line 509 "./jsutil.h"
      var $26=(($25+8)|0); //@line 509 "./jsutil.h"
      var $27=$26; //@line 509 "./jsutil.h"
      $memory=$27; //@line 509 "./jsutil.h"
      var $28=$2; //@line 509 "./jsutil.h"
      var $29=$memory; //@line 509 "./jsutil.h"
      $1=$29; //@line 509 "./jsutil.h"
      __label__ = 6; break; //@line 509 "./jsutil.h"
    case 6: 
      var $31=$1; //@line 509 "./jsutil.h"
      STACKTOP = __stackBase__;
      return $31; //@line 509 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js11OffTheBooks9array_newIcEEPT_j["X"]=1;

function __ZL13compileBranchiPiPPhPPKtS3_P9ErrorCodeS_S_R11CompileData($options, $brackets, $codePtr, $ptrPtr, $patternEnd, $errorCodePtr, $firstbyteptr, $reqbyteptr, $cd) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $repeatType;
      var $opType;
      var $repeatMin=__stackBase__;
      var $repeat_max=__stackBase__+4;
      var $bravalue;
      var $reqvary;
      var $tempreqvary;
      var $c;
      var $code=__stackBase__+8;
      var $tempcode=__stackBase__+12;
      var $didGroupSetFirstByte;
      var $ptr=__stackBase__+16;
      var $tempptr;
      var $previous=__stackBase__+20;
      var $classbits=__stackBase__+24;
      var $class_utf8;
      var $class_utf8data;
      var $utf8_char=__stackBase__+56;
      var $firstByte;
      var $reqByte;
      var $zeroReqByte;
      var $zeroFirstByte;
      var $reqCaseOpt;
      var $negateClass;
      var $shouldFlipNegation;
      var $classCharCount;
      var $classLastChar;
      var $skipBytes;
      var $subReqByte=__stackBase__+64;
      var $subFirstByte=__stackBase__+68;
      var $mcLength;
      var $mcbuffer=__stackBase__+72;
      var $isQuantifier;
      var $d;
      var $oldptr;
      var $occ=__stackBase__+80;
      var $ocd=__stackBase__+84;
      var $cc=__stackBase__+88;
      var $origd;
      var $uc;
      var $othercase;
      var $len;
      var $lastchar;
      var $prop_type;
      var $prop_value;
      var $oldcode;
      var $ketoffset;
      var $len1;
      var $bralink;
      var $nested;
      var $ket=__stackBase__+92;
      var $offset;
      var $i;
      var $i2;
      var $offset3;
      var $offset4;
      var $bra;
      var $oldlinkoffset;
      var $minBracket;
      var $bracketsBeforeRecursion;
      var $enclosedBrackets;
      var $limitBracket;
      var $number;
      $2=$options;
      $3=$brackets;
      $4=$codePtr;
      $5=$ptrPtr;
      $6=$patternEnd;
      $7=$errorCodePtr;
      $8=$firstbyteptr;
      $9=$reqbyteptr;
      $10=$cd;
      HEAP32[(($repeatMin)>>2)]=0; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($repeat_max)>>2)]=0; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bravalue=0; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=$4; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$12; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $didGroupSetFirstByte=0; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=$5; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$14; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=0; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $firstByte=-2; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=-2; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroReqByte=-2; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroFirstByte=-2; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=$2; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=$15 & 1; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=(($16)|0)!=0; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=$17 ? 256 : 0; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqCaseOpt=$18; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $20=HEAPU32[(($ptr)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=$6; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $22=(($20)>>>0) < (($21)>>>0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $24=HEAP32[(($ptr)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $25=HEAPU16[(($24)>>1)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $26=(($25)&65535); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $29 = $26;__label__ = 5; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $29 = 0;__label__ = 5; break; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $29; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$29; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=$c; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=(($30)|0)==42; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($31) { var $49 = 1;__label__ = 11; break; } else { __label__ = 6; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $33=$c; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $34=(($33)|0)==43; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($34) { var $49 = 1;__label__ = 11; break; } else { __label__ = 7; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $36=$c; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $37=(($36)|0)==63; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($37) { var $49 = 1;__label__ = 11; break; } else { __label__ = 8; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      var $39=$c; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $40=(($39)|0)==123; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($40) { __label__ = 9; break; } else { var $47 = 0;__label__ = 10; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $42=HEAP32[(($ptr)>>2)]; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $43=(($42+2)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $44=$6; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $45=__ZL15isCountedRepeatPKtS0_($43, $44); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $47 = $45;__label__ = 10; break;
    case 10: 
      var $47;
      var $49 = $47;__label__ = 11; break;
    case 11: 
      var $49;
      var $50=(($49)&1);
      $isQuantifier=$50;
      var $51=$c; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ((($51)|0) == 0) {
        __label__ = 12; break;
      }
      else if ((($51)|0) == 124 || (($51)|0) == 41) {
        __label__ = 15; break;
      }
      else if ((($51)|0) == 94) {
        __label__ = 16; break;
      }
      else if ((($51)|0) == 36) {
        __label__ = 22; break;
      }
      else if ((($51)|0) == 46) {
        __label__ = 26; break;
      }
      else if ((($51)|0) == 91) {
        __label__ = 29; break;
      }
      else if ((($51)|0) == 123) {
        __label__ = 149; break;
      }
      else if ((($51)|0) == 42) {
        __label__ = 154; break;
      }
      else if ((($51)|0) == 43) {
        __label__ = 155; break;
      }
      else if ((($51)|0) == 63) {
        __label__ = 156; break;
      }
      else if ((($51)|0) == 40) {
        __label__ = 303; break;
      }
      else if ((($51)|0) == 92) {
        __label__ = 340; break;
      }
      else {
      __label__ = 354; break;
      }
      
    case 12: 
      var $53=HEAPU32[(($ptr)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $54=$6; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $55=(($53)>>>0) < (($54)>>>0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 13: 
      __label__ = 355; break; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      __label__ = 15; break; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 15: 
      var $59=$firstByte; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $60=$8; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($60)>>2)]=$59; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $61=$reqByte; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $62=$9; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($62)>>2)]=$61; //@line 634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $63=HEAP32[(($code)>>2)]; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $64=$4; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($64)>>2)]=$63; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $65=HEAP32[(($ptr)>>2)]; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $66=$5; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($66)>>2)]=$65; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=1; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 383; break; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 16: 
      var $68=$2; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $69=$68 & 2; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $70=(($69)|0)!=0; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($70) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 17: 
      var $72=$firstByte; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $73=(($72)|0)==-2; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($73) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 18: 
      $firstByte=-1; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 19; break; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 19: 
      var $76=HEAP32[(($code)>>2)]; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $77=(($76+1)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$77; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($76)]=12; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 21; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 20: 
      var $79=HEAP32[(($code)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $80=(($79+1)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$80; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($79)]=10; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 21; break;
    case 21: 
      HEAP32[(($previous)>>2)]=0; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 380; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 22: 
      HEAP32[(($previous)>>2)]=0; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $83=$2; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $84=$83 & 2; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $85=(($84)|0)!=0; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($85) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 23: 
      var $87=HEAP32[(($code)>>2)]; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $88=(($87+1)|0); //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$88; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($87)]=13; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 25; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 24: 
      var $90=HEAP32[(($code)>>2)]; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $91=(($90+1)|0); //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$91; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($90)]=11; //@line 657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 25; break;
    case 25: 
      __label__ = 380; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 26: 
      var $94=$firstByte; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $95=(($94)|0)==-2; //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($95) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 27: 
      $firstByte=-1; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 28; break; //@line 665 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 28: 
      var $98=$firstByte; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroFirstByte=$98; //@line 666 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $99=$reqByte; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroReqByte=$99; //@line 667 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $100=HEAP32[(($code)>>2)]; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$100; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $101=HEAP32[(($code)>>2)]; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $102=(($101+1)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$102; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($101)]=9; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 380; break; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 29: 
      var $104=HEAP32[(($code)>>2)]; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$104; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $shouldFlipNegation=0; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $105=HEAP32[(($ptr)>>2)]; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $106=(($105+2)|0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $107=$6; //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $108=(($106)>>>0) >= (($107)>>>0); //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($108) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 30: 
      var $110=$7; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($110)>>2)]=6; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 383; break; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 31: 
      var $112=HEAP32[(($ptr)>>2)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $113=(($112+2)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $114=HEAPU16[(($113)>>1)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $115=(($114)&65535); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $116=(($115)|0)==94; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($116) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 32: 
      $negateClass=1; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $118=HEAP32[(($ptr)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $119=(($118+2)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$119; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 34; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 33: 
      $negateClass=0; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 34; break;
    case 34: 
      $classCharCount=0; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $classLastChar=-1; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8=0; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $122=HEAP32[(($code)>>2)]; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $123=(($122+3)|0); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $124=(($123+34)|0); //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$124; //@line 712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $125=(($classbits)|0); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      _memset($125, 0, 32, 1); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 35; break; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 35: 
      var $127=HEAP32[(($ptr)>>2)]; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $128=(($127+2)|0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$128; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $129=$6; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $130=(($128)>>>0) < (($129)>>>0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($130) { __label__ = 36; break; } else { var $137 = 0;__label__ = 37; break; } //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 36: 
      var $132=HEAP32[(($ptr)>>2)]; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $133=HEAPU16[(($132)>>1)]; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $134=(($133)&65535); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$134; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $135=(($134)|0)!=93; //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $137 = $135;__label__ = 37; break;
    case 37: 
      var $137;
      if ($137) { __label__ = 38; break; } else { __label__ = 124; break; }
    case 38: 
      var $139=$c; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $140=(($139)|0)==92; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($140) { __label__ = 39; break; } else { __label__ = 74; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 39: 
      var $142=$6; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $143=$7; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $144=$10; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $145=(($144+16)|0); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $146=HEAP32[(($145)>>2)]; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $147=__ZL11checkEscapePPKtS0_P9ErrorCodeib($ptr, $142, $143, $146, 1); //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$147; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $148=$c; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $149=(($148)|0) < 0; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($149) { __label__ = 40; break; } else { __label__ = 73; break; } //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 40: 
      var $151=$classCharCount; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $152=(($151+2)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $classCharCount=$152; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $153=$c; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $154=(((-$153))|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ((($154)|0) == 4) {
        __label__ = 41; break;
      }
      else if ((($154)|0) == 3) {
        __label__ = 46; break;
      }
      else if ((($154)|0) == 8) {
        __label__ = 51; break;
      }
      else if ((($154)|0) == 7) {
        __label__ = 56; break;
      }
      else if ((($154)|0) == 6) {
        __label__ = 61; break;
      }
      else if ((($154)|0) == 5) {
        __label__ = 66; break;
      }
      else {
      __label__ = 71; break;
      }
      
    case 41: 
      $c=0; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 42; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 42: 
      var $157=$c; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $158=(($157)|0) < 32; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($158) { __label__ = 43; break; } else { __label__ = 45; break; } //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 43: 
      var $160=$c; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $161=(($160+32)|0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $162=(($161) & 255); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $163=__ZL18classBitmapForCharh($162); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $164=(($163)&255); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $165=$c; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $166=(($classbits+$165)|0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $167=HEAPU8[($166)]; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $168=(($167)&255); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $169=$168 | $164; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $170=(($169) & 255); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($166)]=$170; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 44; break; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 44: 
      var $172=$c; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $173=(($172+1)|0); //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$173; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 42; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 45: 
      __label__ = 35; break; //@line 743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 46: 
      $shouldFlipNegation=1; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=0; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 47; break; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 47: 
      var $177=$c; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $178=(($177)|0) < 32; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($178) { __label__ = 48; break; } else { __label__ = 50; break; } //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 48: 
      var $180=$c; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $181=(($180+32)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $182=(($181) & 255); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $183=__ZL18classBitmapForCharh($182); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $184=(($183)&255); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $185=$184 ^ -1; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $186=$c; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $187=(($classbits+$186)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $188=HEAPU8[($187)]; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $189=(($188)&255); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $190=$189 | $185; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $191=(($190) & 255); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($187)]=$191; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 49; break; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 49: 
      var $193=$c; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $194=(($193+1)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$194; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 47; break; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 50: 
      __label__ = 35; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 51: 
      $c=0; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 52; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 52: 
      var $198=$c; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $199=(($198)|0) < 32; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($199) { __label__ = 53; break; } else { __label__ = 55; break; } //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 53: 
      var $201=$c; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $202=(($201+64)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $203=(($202) & 255); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $204=__ZL18classBitmapForCharh($203); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $205=(($204)&255); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $206=$c; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $207=(($classbits+$206)|0); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $208=HEAPU8[($207)]; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $209=(($208)&255); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $210=$209 | $205; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $211=(($210) & 255); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($207)]=$211; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 54; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 54: 
      var $213=$c; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $214=(($213+1)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$214; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 52; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 55: 
      __label__ = 35; break; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 56: 
      $shouldFlipNegation=1; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=0; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 57; break; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 57: 
      var $218=$c; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $219=(($218)|0) < 32; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($219) { __label__ = 58; break; } else { __label__ = 60; break; } //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 58: 
      var $221=$c; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $222=(($221+64)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $223=(($222) & 255); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $224=__ZL18classBitmapForCharh($223); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $225=(($224)&255); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $226=$225 ^ -1; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $227=$c; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $228=(($classbits+$227)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $229=HEAPU8[($228)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $230=(($229)&255); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $231=$230 | $226; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $232=(($231) & 255); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($228)]=$232; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 59; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 59: 
      var $234=$c; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $235=(($234+1)|0); //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$235; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 57; break; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 60: 
      __label__ = 35; break; //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 61: 
      $c=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 62; break; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 62: 
      var $239=$c; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $240=(($239)|0) < 32; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($240) { __label__ = 63; break; } else { __label__ = 65; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 63: 
      var $242=$c; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $243=(($242)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $244=(($243) & 255); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $245=__ZL18classBitmapForCharh($244); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $246=(($245)&255); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $247=$c; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $248=(($classbits+$247)|0); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $249=HEAPU8[($248)]; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $250=(($249)&255); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $251=$250 | $246; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $252=(($251) & 255); //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($248)]=$252; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 64; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 64: 
      var $254=$c; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $255=(($254+1)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$255; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 62; break; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 65: 
      __label__ = 35; break; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 66: 
      $shouldFlipNegation=1; //@line 768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=0; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 67; break; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 67: 
      var $259=$c; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $260=(($259)|0) < 32; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($260) { __label__ = 68; break; } else { __label__ = 70; break; } //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 68: 
      var $262=$c; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $263=(($262)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $264=(($263) & 255); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $265=__ZL18classBitmapForCharh($264); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $266=(($265)&255); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $267=$266 ^ -1; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $268=$c; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $269=(($classbits+$268)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $270=HEAPU8[($269)]; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $271=(($270)&255); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $272=$271 | $267; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $273=(($272) & 255); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($269)]=$273; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 69; break; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 69: 
      var $275=$c; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $276=(($275+1)|0); //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$276; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 67; break; //@line 769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 70: 
      __label__ = 35; break; //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 71: 
      var $279=HEAP32[(($ptr)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $280=HEAPU16[(($279)>>1)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $281=(($280)&65535); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$281; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $282=$classCharCount; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $283=(($282-2)|0); //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $classCharCount=$283; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 72; break; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 72: 
      __label__ = 73; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 73: 
      __label__ = 74; break; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 74: 
      var $287=HEAP32[(($ptr)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $288=(($287+4)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $289=$6; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $290=(($288)>>>0) < (($289)>>>0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($290) { __label__ = 75; break; } else { __label__ = 111; break; } //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 75: 
      var $292=HEAP32[(($ptr)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $293=(($292+2)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $294=HEAPU16[(($293)>>1)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $295=(($294)&65535); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $296=(($295)|0)==45; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($296) { __label__ = 76; break; } else { __label__ = 111; break; } //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 76: 
      var $298=HEAP32[(($ptr)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $299=(($298+4)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $300=HEAPU16[(($299)>>1)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $301=(($300)&65535); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $302=(($301)|0)!=93; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($302) { __label__ = 77; break; } else { __label__ = 111; break; } //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 77: 
      var $304=HEAP32[(($ptr)>>2)]; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $305=(($304+4)|0); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$305; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $306=HEAP32[(($ptr)>>2)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $307=HEAPU16[(($306)>>1)]; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $308=(($307)&65535); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $d=$308; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $309=$d; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $310=(($309)|0)==92; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($310) { __label__ = 78; break; } else { __label__ = 81; break; } //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 78: 
      var $312=HEAP32[(($ptr)>>2)]; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $oldptr=$312; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $313=$6; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $314=$7; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $315=$10; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $316=(($315+16)|0); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $317=HEAP32[(($316)>>2)]; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $318=__ZL11checkEscapePPKtS0_P9ErrorCodeib($ptr, $313, $314, $317, 1); //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $d=$318; //@line 803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $319=$d; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $320=(($319)|0) < 0; //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($320) { __label__ = 79; break; } else { __label__ = 80; break; } //@line 806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 79: 
      var $322=$oldptr; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $323=(($322-4)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$323; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 112; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 80: 
      __label__ = 81; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 81: 
      var $326=$d; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $327=$c; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $328=(($326)|0)==(($327)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($328) { __label__ = 82; break; } else { __label__ = 83; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 82: 
      __label__ = 112; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 83: 
      var $331=$d; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $332=(($331)|0) > 255; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($332) { __label__ = 86; break; } else { __label__ = 84; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 84: 
      var $334=$2; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $335=$334 & 1; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $336=(($335)|0)!=0; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($336) { __label__ = 85; break; } else { __label__ = 104; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 85: 
      var $338=$d; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $339=(($338)|0) > 127; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($339) { __label__ = 86; break; } else { __label__ = 104; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 86: 
      $class_utf8=1; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $341=$2; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $342=$341 & 1; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $343=(($342)|0)!=0; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($343) { __label__ = 87; break; } else { __label__ = 103; break; } //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 87: 
      var $345=$c; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($cc)>>2)]=$345; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $346=$d; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $origd=$346; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 88; break; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 88: 
      var $348=$origd; //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $349=__ZL17getOthercaseRangePiiS_S_($cc, $348, $occ, $ocd); //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($349) { __label__ = 89; break; } else { __label__ = 102; break; } //@line 834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 89: 
      var $351=HEAP32[(($occ)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $352=$c; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $353=(($351)|0) >= (($352)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($353) { __label__ = 90; break; } else { __label__ = 92; break; } //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 90: 
      var $355=HEAP32[(($ocd)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $356=$d; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $357=(($355)|0) <= (($356)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($357) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 91: 
      __label__ = 88; break; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 92: 
      var $360=HEAP32[(($occ)>>2)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $361=$c; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $362=(($360)|0) < (($361)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($362) { __label__ = 93; break; } else { __label__ = 95; break; } //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 93: 
      var $364=HEAP32[(($ocd)>>2)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $365=$c; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $366=(($365-1)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $367=(($364)|0) >= (($366)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($367) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 94: 
      var $369=HEAP32[(($occ)>>2)]; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$369; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 88; break; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 95: 
      var $371=HEAP32[(($ocd)>>2)]; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $372=$d; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $373=(($371)|0) > (($372)|0); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($373) { __label__ = 96; break; } else { __label__ = 98; break; } //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 96: 
      var $375=HEAP32[(($occ)>>2)]; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $376=$d; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $377=(($376+1)|0); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $378=(($375)|0) <= (($377)|0); //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($378) { __label__ = 97; break; } else { __label__ = 98; break; } //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 97: 
      var $380=HEAP32[(($ocd)>>2)]; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $d=$380; //@line 845 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 88; break; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 98: 
      var $382=HEAP32[(($occ)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $383=HEAP32[(($ocd)>>2)]; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $384=(($382)|0)==(($383)|0); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($384) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 99: 
      var $386=$class_utf8data; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $387=(($386+1)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$387; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($386)]=1; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 101; break; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 100: 
      var $389=$class_utf8data; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $390=(($389+1)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$390; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($389)]=2; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $391=HEAP32[(($occ)>>2)]; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $392=$class_utf8data; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $393=__ZL10encodeUTF8iPh($391, $392); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $394=$class_utf8data; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $395=(($394+$393)|0); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$395; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 101; break;
    case 101: 
      var $397=HEAP32[(($ocd)>>2)]; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $398=$class_utf8data; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $399=__ZL10encodeUTF8iPh($397, $398); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $400=$class_utf8data; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $401=(($400+$399)|0); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$401; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 88; break; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 102: 
      __label__ = 103; break; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 103: 
      var $404=$class_utf8data; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $405=(($404+1)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$405; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($404)]=2; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $406=$c; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $407=$class_utf8data; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $408=__ZL10encodeUTF8iPh($406, $407); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $409=$class_utf8data; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $410=(($409+$408)|0); //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$410; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $411=$d; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $412=$class_utf8data; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $413=__ZL10encodeUTF8iPh($411, $412); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $414=$class_utf8data; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $415=(($414+$413)|0); //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$415; //@line 864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 35; break; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 104: 
      __label__ = 105; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 105: 
      var $418=$c; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $419=$d; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $420=(($418)|0) <= (($419)|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($420) { __label__ = 106; break; } else { __label__ = 110; break; } //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 106: 
      var $422=$c; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $423=$422 & 7; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $424=1 << $423; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $425=$c; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $426=(((($425)|0)/8)&-1); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $427=(($classbits+$426)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $428=HEAPU8[($427)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $429=(($428)&255); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $430=$429 | $424; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $431=(($430) & 255); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($427)]=$431; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $432=$2; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $433=$432 & 1; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $434=(($433)|0)!=0; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($434) { __label__ = 107; break; } else { __label__ = 108; break; } //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 107: 
      var $436=$c; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $437=(($436) & 255); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $438=__ZL8flipCaseh($437); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $439=(($438)&255); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $uc=$439; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $440=$uc; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $441=$440 & 7; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $442=1 << $441; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $443=$uc; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $444=(((($443)|0)/8)&-1); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $445=(($classbits+$444)|0); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $446=HEAPU8[($445)]; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $447=(($446)&255); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $448=$447 | $442; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $449=(($448) & 255); //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($445)]=$449; //@line 881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 108; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 108: 
      var $451=$classCharCount; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $452=(($451+1)|0); //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $classCharCount=$452; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $453=$c; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $classLastChar=$453; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 109; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 109: 
      var $455=$c; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $456=(($455+1)|0); //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$456; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 105; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 110: 
      __label__ = 35; break; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 111: 
      __label__ = 112; break; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 112: 
      var $460=$c; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $461=(($460)|0) > 255; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($461) { __label__ = 115; break; } else { __label__ = 113; break; } //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 113: 
      var $463=$2; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $464=$463 & 1; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $465=(($464)|0)!=0; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($465) { __label__ = 114; break; } else { __label__ = 120; break; } //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 114: 
      var $467=$c; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $468=(($467)|0) > 127; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($468) { __label__ = 115; break; } else { __label__ = 120; break; } //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 115: 
      $class_utf8=1; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $470=$class_utf8data; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $471=(($470+1)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$471; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($470)]=1; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $472=$c; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $473=$class_utf8data; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $474=__ZL10encodeUTF8iPh($472, $473); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $475=$class_utf8data; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $476=(($475+$474)|0); //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$476; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $477=$2; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $478=$477 & 1; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $479=(($478)|0)!=0; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($479) { __label__ = 116; break; } else { __label__ = 119; break; } //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 116: 
      var $481=$c; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $482=__Z22jsc_pcre_ucp_othercasej($481); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $othercase=$482; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $483=(($482)|0) >= 0; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($483) { __label__ = 117; break; } else { __label__ = 118; break; } //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 117: 
      var $485=$class_utf8data; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $486=(($485+1)|0); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$486; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($485)]=1; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $487=$othercase; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $488=$class_utf8data; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $489=__ZL10encodeUTF8iPh($487, $488); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $490=$class_utf8data; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $491=(($490+$489)|0); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$491; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 118; break; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 118: 
      __label__ = 119; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 119: 
      __label__ = 123; break; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 120: 
      var $495=$c; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $496=$495 & 7; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $497=1 << $496; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $498=$c; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $499=(((($498)|0)/8)&-1); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $500=(($classbits+$499)|0); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $501=HEAPU8[($500)]; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $502=(($501)&255); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $503=$502 | $497; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $504=(($503) & 255); //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($500)]=$504; //@line 912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $505=$2; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $506=$505 & 1; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $507=(($506)|0)!=0; //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($507) { __label__ = 121; break; } else { __label__ = 122; break; } //@line 913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 121: 
      var $509=$c; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $510=(($509) & 255); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $511=__ZL8flipCaseh($510); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $512=(($511)&255); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$512; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $513=$c; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $514=$513 & 7; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $515=1 << $514; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $516=$c; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $517=(((($516)|0)/8)&-1); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $518=(($classbits+$517)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $519=HEAPU8[($518)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $520=(($519)&255); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $521=$520 | $515; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $522=(($521) & 255); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($518)]=$522; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 122; break; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 122: 
      var $524=$classCharCount; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $525=(($524+1)|0); //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $classCharCount=$525; //@line 917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $526=$c; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $classLastChar=$526; //@line 918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 123; break;
    case 123: 
      __label__ = 35; break; //@line 920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 124: 
      var $529=$classCharCount; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $530=(($529)|0)==1; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($530) { __label__ = 125; break; } else { __label__ = 133; break; } //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 125: 
      var $532=$class_utf8; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $533=(($532) & 1); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($533) { __label__ = 133; break; } else { __label__ = 126; break; } //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 126: 
      var $535=$negateClass; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $536=(($535) & 1); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($536) { __label__ = 127; break; } else { __label__ = 128; break; } //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 127: 
      var $538=$classLastChar; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $539=(($538)|0) < 128; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($539) { __label__ = 128; break; } else { __label__ = 133; break; } //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 128: 
      var $541=$reqByte; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroReqByte=$541; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $542=$negateClass; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $543=(($542) & 1); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($543) { __label__ = 129; break; } else { __label__ = 132; break; } //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 129: 
      var $545=$firstByte; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $546=(($545)|0)==-2; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($546) { __label__ = 130; break; } else { __label__ = 131; break; } //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 130: 
      $firstByte=-1; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 131; break; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 131: 
      var $549=$firstByte; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroFirstByte=$549; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $550=HEAP32[(($code)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $551=(($550+1)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$551; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($550)]=18; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $552=$classLastChar; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $553=(($552) & 255); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $554=HEAP32[(($code)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $555=(($554+1)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$555; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($554)]=$553; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 380; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 132: 
      var $557=$classLastChar; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$557; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 355; break; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 133: 
      var $559=$firstByte; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $560=(($559)|0)==-2; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($560) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 134: 
      $firstByte=-1; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 135; break; //@line 962 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 135: 
      var $563=$firstByte; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroFirstByte=$563; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $564=$reqByte; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroReqByte=$564; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $565=$class_utf8; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $566=(($565) & 1); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($566) { __label__ = 136; break; } else { __label__ = 141; break; } //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 136: 
      var $568=$shouldFlipNegation; //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $569=(($568) & 1); //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($569) { __label__ = 141; break; } else { __label__ = 137; break; } //@line 970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 137: 
      var $571=$class_utf8data; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $572=(($571+1)|0); //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $class_utf8data=$572; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($571)]=0; //@line 971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $573=HEAP32[(($code)>>2)]; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $574=(($573+1)|0); //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$574; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($573)]=56; //@line 972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $575=HEAP32[(($code)>>2)]; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $576=(($575+3)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$576; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $577=$negateClass; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $578=(($577) & 1); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $579=$578 ? 1 : 0; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $580=(($579) & 255); //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $581=HEAP32[(($code)>>2)]; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($581)]=$580; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $582=$classCharCount; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $583=(($582)|0) > 0; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($583) { __label__ = 138; break; } else { __label__ = 139; break; } //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 138: 
      var $585=HEAPU32[(($code)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $586=(($585+1)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$586; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $587=HEAPU8[($585)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $588=(($587)&255); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $589=$588 | 2; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $590=(($589) & 255); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($585)]=$590; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $591=HEAP32[(($code)>>2)]; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $592=(($classbits)|0); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      assert(32 % 1 === 0, 'memcpy given ' + 32 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($591, $592, 32, 1); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $593=$class_utf8data; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$593; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 140; break; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 139: 
      var $595=$class_utf8data; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $596=HEAP32[(($code)>>2)]; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $597=(($596+33)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $598=$595; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $599=$597; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $600=(($598-$599)|0); //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $len=$600; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $601=HEAP32[(($code)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $602=(($601+1)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $603=HEAP32[(($code)>>2)]; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $604=(($603+33)|0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $605=$len; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      _llvm_memmove_p0i8_p0i8_i32($602, $604, $605, 1, 0); //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $606=$len; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $607=(($606+1)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $608=HEAP32[(($code)>>2)]; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $609=(($608+$607)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$609; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 140; break;
    case 140: 
      var $611=HEAP32[(($previous)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $612=(($611+1)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $613=HEAP32[(($code)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $614=HEAP32[(($previous)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $615=$613; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $616=$614; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $617=(($615-$616)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL12putLinkValuePhi($612, $617); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 380; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 141: 
      var $619=$negateClass; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $620=(($619) & 1); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $621=(($620)&1); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $622=$shouldFlipNegation; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $623=(($622) & 1); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $624=(($623)&1); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $625=(($621)|0)==(($624)|0); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $626=$625 ? 54 : 55; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $627=(($626) & 255); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $628=HEAP32[(($code)>>2)]; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $629=(($628+1)|0); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$629; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($628)]=$627; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $630=$negateClass; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $631=(($630) & 1); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($631) { __label__ = 142; break; } else { __label__ = 147; break; } //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 142: 
      $c=0; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 143; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 143: 
      var $634=$c; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $635=(($634)|0) < 32; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($635) { __label__ = 144; break; } else { __label__ = 146; break; } //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 144: 
      var $637=$c; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $638=(($classbits+$637)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $639=HEAPU8[($638)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $640=(($639)&255); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $641=$640 ^ -1; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $642=(($641) & 255); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $643=$c; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $644=HEAP32[(($code)>>2)]; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $645=(($644+$643)|0); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($645)]=$642; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 145; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 145: 
      var $647=$c; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $648=(($647+1)|0); //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$648; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 143; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 146: 
      __label__ = 148; break; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 147: 
      var $651=HEAP32[(($code)>>2)]; //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $652=(($classbits)|0); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      assert(32 % 1 === 0, 'memcpy given ' + 32 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($651, $652, 32, 1); //@line 1009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 148; break;
    case 148: 
      var $654=HEAP32[(($code)>>2)]; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $655=(($654+32)|0); //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$655; //@line 1010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 380; break; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 149: 
      var $657=$isQuantifier; //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $658=(($657) & 1); //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($658) { __label__ = 151; break; } else { __label__ = 150; break; } //@line 1018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 150: 
      __label__ = 355; break; //@line 1019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 151: 
      var $661=HEAP32[(($ptr)>>2)]; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $662=(($661+2)|0); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $663=$7; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $664=__ZL16readRepeatCountsPKtPiS1_P9ErrorCode($662, $repeatMin, $repeat_max, $663); //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$664; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $665=$7; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $666=HEAP32[(($665)>>2)]; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $667=(($666)|0)!=0; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($667) { __label__ = 152; break; } else { __label__ = 153; break; } //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 152: 
      __label__ = 382; break; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 153: 
      __label__ = 157; break; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 154: 
      HEAP32[(($repeatMin)>>2)]=0; //@line 1026 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($repeat_max)>>2)]=-1; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 157; break; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 155: 
      HEAP32[(($repeatMin)>>2)]=1; //@line 1031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($repeat_max)>>2)]=-1; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 157; break; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 156: 
      HEAP32[(($repeatMin)>>2)]=0; //@line 1036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($repeat_max)>>2)]=1; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 157; break; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 157: 
      var $674=HEAP32[(($previous)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $675=(($674)|0)!=0; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($675) { __label__ = 159; break; } else { __label__ = 158; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 158: 
      var $677=$7; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($677)>>2)]=9; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 382; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 159: 
      var $679=HEAP32[(($repeatMin)>>2)]; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $680=(($679)|0)==0; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($680) { __label__ = 160; break; } else { __label__ = 161; break; } //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 160: 
      var $682=$zeroFirstByte; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $firstByte=$682; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $683=$zeroReqByte; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$683; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 161; break; //@line 1048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 161: 
      var $685=HEAP32[(($repeatMin)>>2)]; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $686=HEAP32[(($repeat_max)>>2)]; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $687=(($685)|0)==(($686)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $688=$687 ? 0 : 512; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqvary=$688; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $opType=0; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $689=HEAP32[(($previous)>>2)]; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($tempcode)>>2)]=$689; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $690=HEAP32[(($ptr)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $691=$6; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $692=__ZL19safelyCheckNextCharPKtS0_t($690, $691, 63); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($692) { __label__ = 162; break; } else { __label__ = 163; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 162: 
      $repeatType=1; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $694=HEAP32[(($ptr)>>2)]; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $695=(($694+2)|0); //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$695; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 164; break; //@line 1071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 163: 
      $repeatType=0; //@line 1072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 164; break;
    case 164: 
      var $698=HEAP32[(($previous)>>2)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $699=HEAPU8[($698)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $700=(($699)&255); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $701=(($700)|0)==14; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($701) { __label__ = 166; break; } else { __label__ = 165; break; } //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 165: 
      var $703=HEAP32[(($previous)>>2)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $704=HEAPU8[($703)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $705=(($704)&255); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $706=(($705)|0)==15; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($706) { __label__ = 166; break; } else { __label__ = 175; break; } //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 166: 
      var $708=HEAP32[(($code)>>2)]; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $709=(($708-1)|0); //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $710=HEAPU8[($709)]; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $711=(($710)&255); //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $712=$711 & 128; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $713=(($712)|0)!=0; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($713) { __label__ = 167; break; } else { __label__ = 171; break; } //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 167: 
      var $715=HEAP32[(($code)>>2)]; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $716=(($715-1)|0); //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastchar=$716; //@line 1087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 168; break; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 168: 
      var $718=$lastchar; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $719=HEAPU8[($718)]; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $720=(($719)&255); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $721=$720 & 192; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $722=(($721)|0)==128; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($722) { __label__ = 169; break; } else { __label__ = 170; break; } //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 169: 
      var $724=$lastchar; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $725=(($724-1)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastchar=$725; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 168; break; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 170: 
      var $727=HEAP32[(($code)>>2)]; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $728=$lastchar; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $729=$727; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $730=$728; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $731=(($729-$730)|0); //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$731; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $732=(($utf8_char)|0); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $733=$lastchar; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $734=$c; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      assert($734 % 1 === 0, 'memcpy given ' + $734 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($732, $733, $734, 1); //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $735=$c; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $736=$735 | 128; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$736; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 174; break; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 171: 
      var $738=HEAP32[(($code)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $739=(($738-1)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $740=HEAPU8[($739)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $741=(($740)&255); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$741; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $742=HEAP32[(($repeatMin)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $743=(($742)|0) > 1; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($743) { __label__ = 172; break; } else { __label__ = 173; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 172: 
      var $745=$c; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $746=$reqCaseOpt; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $747=$745 | $746; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $748=$10; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $749=(($748+8)|0); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $750=HEAP32[(($749)>>2)]; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $751=$747 | $750; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$751; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 173; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 173: 
      __label__ = 174; break;
    case 174: 
      __label__ = 184; break; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 175: 
      var $755=HEAP32[(($previous)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $756=HEAPU8[($755)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $757=(($756)&255); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $758=(($757)|0)==16; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($758) { __label__ = 177; break; } else { __label__ = 176; break; } //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 176: 
      var $760=HEAP32[(($previous)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $761=HEAPU8[($760)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $762=(($761)&255); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $763=(($762)|0)==17; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($763) { __label__ = 177; break; } else { __label__ = 180; break; } //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 177: 
      var $765=HEAP32[(($previous)>>2)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $766=(($765+1)|0); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $767=HEAPU8[($766)]; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $768=(($767)&255); //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$768; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $769=HEAP32[(($repeatMin)>>2)]; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $770=(($769)|0) > 1; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($770) { __label__ = 178; break; } else { __label__ = 179; break; } //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 178: 
      var $772=$c; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $773=$reqCaseOpt; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $774=$772 | $773; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $775=$10; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $776=(($775+8)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $777=HEAP32[(($776)>>2)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $778=$774 | $777; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$778; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 179; break; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 179: 
      __label__ = 184; break; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 180: 
      var $781=HEAP32[(($previous)>>2)]; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $782=HEAPU8[($781)]; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $783=(($782)&255); //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $784=(($783)|0)==18; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($784) { __label__ = 181; break; } else { __label__ = 182; break; } //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 181: 
      $opType=9; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $786=HEAP32[(($previous)>>2)]; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $787=(($786+1)|0); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $788=HEAPU8[($787)]; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $789=(($788)&255); //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$789; //@line 1117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 184; break; //@line 1118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 182: 
      var $791=HEAP32[(($previous)>>2)]; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $792=HEAPU8[($791)]; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $793=(($792)&255); //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $794=(($793)|0) <= 9; //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($794) { __label__ = 183; break; } else { __label__ = 224; break; } //@line 1125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 183: 
      $opType=18; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $796=HEAP32[(($previous)>>2)]; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $797=HEAPU8[($796)]; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $798=(($797)&255); //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$798; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 184; break; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 184: 
      $prop_type=-1; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $prop_value=-1; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $800=HEAP32[(($code)>>2)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $oldcode=$800; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $801=HEAP32[(($previous)>>2)]; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$801; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $802=HEAP32[(($repeat_max)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $803=(($802)|0)==0; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($803) { __label__ = 185; break; } else { __label__ = 186; break; } //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 185: 
      __label__ = 302; break; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 186: 
      var $806=$opType; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $807=$repeatType; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $808=(($807+$806)|0); //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $repeatType=$808; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $809=HEAP32[(($repeatMin)>>2)]; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $810=(($809)|0)==0; //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($810) { __label__ = 187; break; } else { __label__ = 194; break; } //@line 1149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 187: 
      var $812=HEAP32[(($repeat_max)>>2)]; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $813=(($812)|0)==-1; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($813) { __label__ = 188; break; } else { __label__ = 189; break; } //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 188: 
      var $815=$repeatType; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $816=(($815+19)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $817=(($816) & 255); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $818=HEAP32[(($code)>>2)]; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $819=(($818+1)|0); //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$819; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($818)]=$817; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 193; break; //@line 1151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 189: 
      var $821=HEAP32[(($repeat_max)>>2)]; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $822=(($821)|0)==1; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($822) { __label__ = 190; break; } else { __label__ = 191; break; } //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 190: 
      var $824=$repeatType; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $825=(($824+23)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $826=(($825) & 255); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $827=HEAP32[(($code)>>2)]; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $828=(($827+1)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$828; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($827)]=$826; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 192; break; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 191: 
      var $830=$repeatType; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $831=(($830+25)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $832=(($831) & 255); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $833=HEAP32[(($code)>>2)]; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $834=(($833+1)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$834; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($833)]=$832; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $835=HEAP32[(($repeat_max)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($code, $835); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 192; break;
    case 192: 
      __label__ = 193; break;
    case 193: 
      __label__ = 218; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 194: 
      var $839=HEAP32[(($repeatMin)>>2)]; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $840=(($839)|0)==1; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($840) { __label__ = 195; break; } else { __label__ = 201; break; } //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 195: 
      var $842=HEAP32[(($repeat_max)>>2)]; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $843=(($842)|0)==-1; //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($843) { __label__ = 196; break; } else { __label__ = 197; break; } //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 196: 
      var $845=$repeatType; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $846=(($845+21)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $847=(($846) & 255); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $848=HEAP32[(($code)>>2)]; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $849=(($848+1)|0); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$849; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($848)]=$847; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 200; break; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 197: 
      var $851=$oldcode; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$851; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $852=HEAP32[(($repeat_max)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $853=(($852)|0)==1; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($853) { __label__ = 198; break; } else { __label__ = 199; break; } //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 198: 
      __label__ = 302; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 199: 
      var $856=$repeatType; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $857=(($856+25)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $858=(($857) & 255); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $859=HEAP32[(($code)>>2)]; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $860=(($859+1)|0); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$860; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($859)]=$858; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $861=HEAP32[(($repeat_max)>>2)]; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $862=(($861-1)|0); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($code, $862); //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 200; break;
    case 200: 
      __label__ = 217; break; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 201: 
      var $865=$opType; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $866=(($865+27)|0); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $867=(($866) & 255); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $868=HEAP32[(($code)>>2)]; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $869=(($868+1)|0); //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$869; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($868)]=$867; //@line 1181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $870=HEAP32[(($repeatMin)>>2)]; //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($code, $870); //@line 1182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $871=HEAP32[(($repeat_max)>>2)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $872=(($871)|0) < 0; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($872) { __label__ = 202; break; } else { __label__ = 208; break; } //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 202: 
      var $874=$c; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $875=(($874)|0) >= 128; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($875) { __label__ = 203; break; } else { __label__ = 204; break; } //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 203: 
      var $877=HEAP32[(($code)>>2)]; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $878=(($utf8_char)|0); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $879=$c; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $880=$879 & 7; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      assert($880 % 1 === 0, 'memcpy given ' + $880 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($877, $878, $880, 1); //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $881=$c; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $882=$881 & 7; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $883=HEAP32[(($code)>>2)]; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $884=(($883+$882)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$884; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 207; break; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 204: 
      var $886=$c; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $887=(($886) & 255); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $888=HEAP32[(($code)>>2)]; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $889=(($888+1)|0); //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$889; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($888)]=$887; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $890=$prop_type; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $891=(($890)|0) >= 0; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($891) { __label__ = 205; break; } else { __label__ = 206; break; } //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 205: 
      var $893=$prop_type; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $894=(($893) & 255); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $895=HEAP32[(($code)>>2)]; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $896=(($895+1)|0); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$896; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($895)]=$894; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $897=$prop_value; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $898=(($897) & 255); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $899=HEAP32[(($code)>>2)]; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $900=(($899+1)|0); //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$900; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($899)]=$898; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 206; break; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 206: 
      __label__ = 207; break;
    case 207: 
      var $903=$repeatType; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $904=(($903+19)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $905=(($904) & 255); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $906=HEAP32[(($code)>>2)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $907=(($906+1)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$907; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($906)]=$905; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 216; break; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 208: 
      var $909=HEAP32[(($repeat_max)>>2)]; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $910=HEAP32[(($repeatMin)>>2)]; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $911=(($909)|0)!=(($910)|0); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($911) { __label__ = 209; break; } else { __label__ = 215; break; } //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 209: 
      var $913=$c; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $914=(($913)|0) >= 128; //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($914) { __label__ = 210; break; } else { __label__ = 211; break; } //@line 1208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 210: 
      var $916=HEAP32[(($code)>>2)]; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $917=(($utf8_char)|0); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $918=$c; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $919=$918 & 7; //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      assert($919 % 1 === 0, 'memcpy given ' + $919 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($916, $917, $919, 1); //@line 1209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $920=$c; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $921=$920 & 7; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $922=HEAP32[(($code)>>2)]; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $923=(($922+$921)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$923; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 212; break; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 211: 
      var $925=$c; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $926=(($925) & 255); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $927=HEAP32[(($code)>>2)]; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $928=(($927+1)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$928; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($927)]=$926; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 212; break;
    case 212: 
      var $930=$prop_type; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $931=(($930)|0) >= 0; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($931) { __label__ = 213; break; } else { __label__ = 214; break; } //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 213: 
      var $933=$prop_type; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $934=(($933) & 255); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $935=HEAP32[(($code)>>2)]; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $936=(($935+1)|0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$936; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($935)]=$934; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $937=$prop_value; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $938=(($937) & 255); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $939=HEAP32[(($code)>>2)]; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $940=(($939+1)|0); //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$940; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($939)]=$938; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 214; break; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 214: 
      var $942=HEAP32[(($repeatMin)>>2)]; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $943=HEAP32[(($repeat_max)>>2)]; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $944=(($943-$942)|0); //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($repeat_max)>>2)]=$944; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $945=$repeatType; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $946=(($945+25)|0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $947=(($946) & 255); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $948=HEAP32[(($code)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $949=(($948+1)|0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$949; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($948)]=$947; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $950=HEAP32[(($repeat_max)>>2)]; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($code, $950); //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 215; break; //@line 1220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 215: 
      __label__ = 216; break;
    case 216: 
      __label__ = 217; break;
    case 217: 
      __label__ = 218; break;
    case 218: 
      var $955=$c; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $956=(($955)|0) >= 128; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($956) { __label__ = 219; break; } else { __label__ = 220; break; } //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 219: 
      var $958=HEAP32[(($code)>>2)]; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $959=(($utf8_char)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $960=$c; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $961=$960 & 7; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      assert($961 % 1 === 0, 'memcpy given ' + $961 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($958, $959, $961, 1); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $962=$c; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $963=$962 & 7; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $964=HEAP32[(($code)>>2)]; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $965=(($964+$963)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$965; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 221; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 220: 
      var $967=$c; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $968=(($967) & 255); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $969=HEAP32[(($code)>>2)]; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $970=(($969+1)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$970; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($969)]=$968; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 221; break;
    case 221: 
      var $972=$prop_type; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $973=(($972)|0) >= 0; //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($973) { __label__ = 222; break; } else { __label__ = 223; break; } //@line 1234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 222: 
      var $975=$prop_type; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $976=(($975) & 255); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $977=HEAP32[(($code)>>2)]; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $978=(($977+1)|0); //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$978; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($977)]=$976; //@line 1235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $979=$prop_value; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $980=(($979) & 255); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $981=HEAP32[(($code)>>2)]; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $982=(($981+1)|0); //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$982; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($981)]=$980; //@line 1236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 223; break; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 223: 
      __label__ = 298; break; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 224: 
      var $985=HEAP32[(($previous)>>2)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $986=HEAPU8[($985)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $987=(($986)&255); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $988=(($987)|0)==54; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($988) { __label__ = 228; break; } else { __label__ = 225; break; } //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 225: 
      var $990=HEAP32[(($previous)>>2)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $991=HEAPU8[($990)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $992=(($991)&255); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $993=(($992)|0)==55; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($993) { __label__ = 228; break; } else { __label__ = 226; break; } //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 226: 
      var $995=HEAP32[(($previous)>>2)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $996=HEAPU8[($995)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $997=(($996)&255); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $998=(($997)|0)==56; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($998) { __label__ = 228; break; } else { __label__ = 227; break; } //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 227: 
      var $1000=HEAP32[(($previous)>>2)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1001=HEAPU8[($1000)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1002=(($1001)&255); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1003=(($1002)|0)==57; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1003) { __label__ = 228; break; } else { __label__ = 245; break; } //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 228: 
      var $1005=HEAP32[(($repeat_max)>>2)]; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1006=(($1005)|0)==0; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1006) { __label__ = 229; break; } else { __label__ = 230; break; } //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 229: 
      var $1008=HEAP32[(($previous)>>2)]; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1008; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 302; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 230: 
      var $1010=HEAP32[(($repeatMin)>>2)]; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1011=(($1010)|0)==0; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1011) { __label__ = 231; break; } else { __label__ = 233; break; } //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 231: 
      var $1013=HEAP32[(($repeat_max)>>2)]; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1014=(($1013)|0)==-1; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1014) { __label__ = 232; break; } else { __label__ = 233; break; } //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 232: 
      var $1016=$repeatType; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1017=(($1016+46)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1018=(($1017) & 255); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1019=HEAP32[(($code)>>2)]; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1020=(($1019+1)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1020; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1019)]=$1018; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 244; break; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 233: 
      var $1022=HEAP32[(($repeatMin)>>2)]; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1023=(($1022)|0)==1; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1023) { __label__ = 234; break; } else { __label__ = 236; break; } //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 234: 
      var $1025=HEAP32[(($repeat_max)>>2)]; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1026=(($1025)|0)==-1; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1026) { __label__ = 235; break; } else { __label__ = 236; break; } //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 235: 
      var $1028=$repeatType; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1029=(($1028+48)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1030=(($1029) & 255); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1031=HEAP32[(($code)>>2)]; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1032=(($1031+1)|0); //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1032; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1031)]=$1030; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 243; break; //@line 1256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 236: 
      var $1034=HEAP32[(($repeatMin)>>2)]; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1035=(($1034)|0)==0; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1035) { __label__ = 237; break; } else { __label__ = 239; break; } //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 237: 
      var $1037=HEAP32[(($repeat_max)>>2)]; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1038=(($1037)|0)==1; //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1038) { __label__ = 238; break; } else { __label__ = 239; break; } //@line 1257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 238: 
      var $1040=$repeatType; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1041=(($1040+50)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1042=(($1041) & 255); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1043=HEAP32[(($code)>>2)]; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1044=(($1043+1)|0); //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1044; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1043)]=$1042; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 242; break; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 239: 
      var $1046=$repeatType; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1047=(($1046+52)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1048=(($1047) & 255); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1049=HEAP32[(($code)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1050=(($1049+1)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1050; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1049)]=$1048; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1051=HEAP32[(($repeatMin)>>2)]; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($code, $1051); //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1052=HEAP32[(($repeat_max)>>2)]; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1053=(($1052)|0)==-1; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1053) { __label__ = 240; break; } else { __label__ = 241; break; } //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 240: 
      HEAP32[(($repeat_max)>>2)]=0; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 241; break; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 241: 
      var $1056=HEAP32[(($repeat_max)>>2)]; //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($code, $1056); //@line 1264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 242; break;
    case 242: 
      __label__ = 243; break;
    case 243: 
      __label__ = 244; break;
    case 244: 
      __label__ = 297; break; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 245: 
      var $1061=HEAP32[(($previous)>>2)]; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1062=HEAPU8[($1061)]; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1063=(($1062)&255); //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1064=(($1063)|0) >= 67; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1064) { __label__ = 246; break; } else { __label__ = 289; break; } //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 246: 
      $ketoffset=0; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1066=HEAP32[(($code)>>2)]; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1067=HEAP32[(($previous)>>2)]; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1068=$1066; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1069=$1067; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1070=(($1068-$1069)|0); //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $len1=$1070; //@line 1273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bralink=0; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1071=HEAP32[(($previous)>>2)]; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1072=(($1071+1)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1073=(($1072+3)|0); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1074=__ZL13get2ByteValuePKh($1073); //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $nested=$1074; //@line 1275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1075=HEAP32[(($repeat_max)>>2)]; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1076=(($1075)|0)==-1; //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1076) { __label__ = 247; break; } else { __label__ = 248; break; } //@line 1283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 247: 
      var $1078=HEAP32[(($previous)>>2)]; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ket)>>2)]=$1078; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL21advanceToEndOfBracketRPKh($ket); //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1079=HEAP32[(($code)>>2)]; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1080=HEAP32[(($ket)>>2)]; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1081=$1079; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1082=$1080; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1083=(($1081-$1082)|0); //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ketoffset=$1083; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 248; break; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 248: 
      var $1085=HEAP32[(($repeatMin)>>2)]; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1086=(($1085)|0)==0; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1086) { __label__ = 249; break; } else { __label__ = 258; break; } //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 249: 
      var $1088=HEAP32[(($repeat_max)>>2)]; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1089=(($1088)|0)==0; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1089) { __label__ = 250; break; } else { __label__ = 251; break; } //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 250: 
      var $1091=HEAP32[(($previous)>>2)]; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1091; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 302; break; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 251: 
      var $1093=HEAP32[(($repeat_max)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1094=(($1093)|0) <= 1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1094) { __label__ = 252; break; } else { __label__ = 253; break; } //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 252: 
      var $1096=HEAP32[(($code)>>2)]; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1096)]=0; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1097=HEAP32[(($previous)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1098=(($1097+1)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1099=HEAP32[(($previous)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1100=$len1; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      _llvm_memmove_p0i8_p0i8_i32($1098, $1099, $1100, 1, 0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1101=HEAP32[(($code)>>2)]; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1102=(($1101+1)|0); //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1102; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1103=$repeatType; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1104=(($1103+64)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1105=(($1104) & 255); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1106=HEAP32[(($previous)>>2)]; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1107=(($1106+1)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$1107; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1106)]=$1105; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 257; break; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 253: 
      var $1109=HEAP32[(($code)>>2)]; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1109)]=0; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1110=HEAP32[(($previous)>>2)]; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1111=(($1110+4)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1112=(($1111+3)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1113=HEAP32[(($previous)>>2)]; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1114=$len1; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      _llvm_memmove_p0i8_p0i8_i32($1112, $1113, $1114, 1, 0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1115=HEAP32[(($code)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1116=(($1115+7)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1116; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1117=$repeatType; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1118=(($1117+64)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1119=(($1118) & 255); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1120=HEAP32[(($previous)>>2)]; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1121=(($1120+1)|0); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$1121; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1120)]=$1119; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1122=HEAP32[(($previous)>>2)]; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1123=(($1122+1)|0); //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$1123; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1122)]=67; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1124=$bralink; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1125=(($1124)|0)!=0; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1125) { __label__ = 255; break; } else { __label__ = 254; break; } //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 254: 
      var $1134 = 0;__label__ = 256; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 255: 
      var $1128=HEAP32[(($previous)>>2)]; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1129=$bralink; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1130=$1128; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1131=$1129; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1132=(($1130-$1131)|0); //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1134 = $1132;__label__ = 256; break; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 256: 
      var $1134; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $offset=$1134; //@line 1335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1135=HEAP32[(($previous)>>2)]; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bralink=$1135; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1136=$offset; //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL31putLinkValueAllowZeroAndAdvanceRPhi($previous, $1136); //@line 1337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1137=$nested; //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($previous, $1137); //@line 1338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 257; break;
    case 257: 
      var $1139=HEAP32[(($repeat_max)>>2)]; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1140=(($1139-1)|0); //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($repeat_max)>>2)]=$1140; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 270; break; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 258: 
      var $1142=HEAP32[(($repeatMin)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1143=(($1142)|0) > 1; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1143) { __label__ = 259; break; } else { __label__ = 267; break; } //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 259: 
      var $1145=$didGroupSetFirstByte; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1146=(($1145) & 1); //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1146) { __label__ = 260; break; } else { __label__ = 262; break; } //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 260: 
      var $1148=$reqByte; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1149=(($1148)|0) < 0; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1149) { __label__ = 261; break; } else { __label__ = 262; break; } //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 261: 
      var $1151=$firstByte; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$1151; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 262; break; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 262: 
      $i=1; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 263; break; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 263: 
      var $1154=$i; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1155=HEAP32[(($repeatMin)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1156=(($1154)|0) < (($1155)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1156) { __label__ = 264; break; } else { __label__ = 266; break; } //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 264: 
      var $1158=HEAP32[(($code)>>2)]; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1159=HEAP32[(($previous)>>2)]; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1160=$len1; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      assert($1160 % 1 === 0, 'memcpy given ' + $1160 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($1158, $1159, $1160, 1); //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1161=$len1; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1162=HEAP32[(($code)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1163=(($1162+$1161)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1163; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 265; break; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 265: 
      var $1165=$i; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1166=(($1165+1)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i=$1166; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 263; break; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 266: 
      __label__ = 267; break; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 267: 
      var $1169=HEAP32[(($repeat_max)>>2)]; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1170=(($1169)|0) > 0; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1170) { __label__ = 268; break; } else { __label__ = 269; break; } //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 268: 
      var $1172=HEAP32[(($repeatMin)>>2)]; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1173=HEAP32[(($repeat_max)>>2)]; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1174=(($1173-$1172)|0); //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($repeat_max)>>2)]=$1174; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 269; break; //@line 1359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 269: 
      __label__ = 270; break;
    case 270: 
      var $1177=HEAP32[(($repeat_max)>>2)]; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1178=(($1177)|0) >= 0; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1178) { __label__ = 271; break; } else { __label__ = 287; break; } //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 271: 
      var $1180=HEAP32[(($repeat_max)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1181=(($1180-1)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i2=$1181; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 272; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 272: 
      var $1183=$i2; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1184=(($1183)|0) >= 0; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1184) { __label__ = 273; break; } else { __label__ = 280; break; } //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 273: 
      var $1186=$repeatType; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1187=(($1186+64)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1188=(($1187) & 255); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1189=HEAP32[(($code)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1190=(($1189+1)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1190; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1189)]=$1188; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1191=$i2; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1192=(($1191)|0)!=0; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1192) { __label__ = 274; break; } else { __label__ = 278; break; } //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 274: 
      var $1194=HEAP32[(($code)>>2)]; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1195=(($1194+1)|0); //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1195; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1194)]=67; //@line 1376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1196=$bralink; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1197=(($1196)|0)!=0; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1197) { __label__ = 276; break; } else { __label__ = 275; break; } //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 275: 
      var $1206 = 0;__label__ = 277; break; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 276: 
      var $1200=HEAP32[(($code)>>2)]; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1201=$bralink; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1202=$1200; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1203=$1201; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1204=(($1202-$1203)|0); //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1206 = $1204;__label__ = 277; break; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 277: 
      var $1206; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $offset3=$1206; //@line 1377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1207=HEAP32[(($code)>>2)]; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bralink=$1207; //@line 1378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1208=$offset3; //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL31putLinkValueAllowZeroAndAdvanceRPhi($code, $1208); //@line 1379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1209=$nested; //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($code, $1209); //@line 1380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 278; break; //@line 1381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 278: 
      var $1211=HEAP32[(($code)>>2)]; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1212=HEAP32[(($previous)>>2)]; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1213=$len1; //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      assert($1213 % 1 === 0, 'memcpy given ' + $1213 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($1211, $1212, $1213, 1); //@line 1383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1214=$len1; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1215=HEAP32[(($code)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1216=(($1215+$1214)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1216; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 279; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 279: 
      var $1218=$i2; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1219=(($1218-1)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i2=$1219; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 272; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 280: 
      __label__ = 281; break; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 281: 
      var $1222=$bralink; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1223=(($1222)|0)!=0; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1223) { __label__ = 282; break; } else { __label__ = 286; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 282: 
      var $1225=HEAP32[(($code)>>2)]; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1226=$bralink; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1227=$1225; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1228=$1226; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1229=(($1227-$1228)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1230=(($1229+1)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $offset4=$1230; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1231=HEAP32[(($code)>>2)]; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1232=$offset4; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1233=(((-$1232))|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1234=(($1231+$1233)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bra=$1234; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1235=$bra; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1236=(($1235+1)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1237=__ZL21getLinkValueAllowZeroPKh($1236); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $oldlinkoffset=$1237; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1238=$oldlinkoffset; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1239=(($1238)|0)!=0; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1239) { __label__ = 284; break; } else { __label__ = 283; break; } //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 283: 
      var $1247 = 0;__label__ = 285; break; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 284: 
      var $1242=$bralink; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1243=$oldlinkoffset; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1244=(((-$1243))|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1245=(($1242+$1244)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1247 = $1245;__label__ = 285; break; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 285: 
      var $1247; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bralink=$1247; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1248=HEAP32[(($code)>>2)]; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1249=(($1248+1)|0); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1249; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1248)]=59; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1250=$offset4; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL22putLinkValueAndAdvanceRPhi($code, $1250); //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1251=$bra; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1252=(($1251+1)|0); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1253=$offset4; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL12putLinkValuePhi($1252, $1253); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 281; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 286: 
      __label__ = 288; break; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 287: 
      var $1256=$repeatType; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1257=(($1256+60)|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1258=(($1257) & 255); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1259=$ketoffset; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1260=(((-$1259))|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1261=HEAP32[(($code)>>2)]; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1262=(($1261+$1260)|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1262)]=$1258; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 288; break;
    case 288: 
      __label__ = 296; break; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 289: 
      var $1265=HEAP32[(($previous)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1266=HEAPU8[($1265)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1267=(($1266)&255); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1268=(($1267)|0)==62; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1268) { __label__ = 291; break; } else { __label__ = 290; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 290: 
      var $1270=HEAP32[(($previous)>>2)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1271=HEAPU8[($1270)]; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1272=(($1271)&255); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1273=(($1272)|0)==63; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1273) { __label__ = 291; break; } else { __label__ = 294; break; } //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 291: 
      var $1275=HEAP32[(($repeatMin)>>2)]; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1276=(($1275)|0)==0; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1276) { __label__ = 292; break; } else { __label__ = 293; break; } //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 292: 
      var $1278=HEAP32[(($previous)>>2)]; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1278; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 302; break; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 293: 
      __label__ = 295; break; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 294: 
      var $1281=$7; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1281)>>2)]=11; //@line 1422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 382; break; //@line 1423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 295: 
      __label__ = 296; break;
    case 296: 
      __label__ = 297; break;
    case 297: 
      __label__ = 298; break;
    case 298: 
      __label__ = 299; break;
    case 299: 
      __label__ = 300; break;
    case 300: 
      __label__ = 301; break;
    case 301: 
      __label__ = 302; break;
    case 302: 
      HEAP32[(($previous)>>2)]=0; //@line 1431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1290=$reqvary; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1291=$10; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1292=(($1291+8)|0); //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1293=HEAP32[(($1292)>>2)]; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1294=$1293 | $1290; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1292)>>2)]=$1294; //@line 1432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 380; break; //@line 1433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 303: 
      $skipBytes=2; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1296=$3; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1297=HEAP32[(($1296)>>2)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1298=(($1297+1)|0); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $minBracket=$1298; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1299=HEAP32[(($ptr)>>2)]; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1300=(($1299+2)|0); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$1300; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1301=HEAPU16[(($1300)>>1)]; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1302=(($1301)&65535); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1303=(($1302)|0)==63; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1303) { __label__ = 304; break; } else { __label__ = 310; break; } //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 304: 
      var $1305=HEAP32[(($ptr)>>2)]; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1306=(($1305+2)|0); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$1306; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1307=HEAPU16[(($1306)>>1)]; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1308=(($1307)&65535); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ((($1308)|0) == 58) {
        __label__ = 305; break;
      }
      else if ((($1308)|0) == 61) {
        __label__ = 306; break;
      }
      else if ((($1308)|0) == 33) {
        __label__ = 307; break;
      }
      else {
      __label__ = 308; break;
      }
      
    case 305: 
      $bravalue=67; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1310=HEAP32[(($ptr)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1311=(($1310+2)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$1311; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 309; break; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 306: 
      $bravalue=62; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1313=HEAP32[(($ptr)>>2)]; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1314=(($1313+2)|0); //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$1314; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 309; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 307: 
      $bravalue=63; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1316=HEAP32[(($ptr)>>2)]; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1317=(($1316+2)|0); //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$1317; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 309; break; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 308: 
      var $1319=$7; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1319)>>2)]=12; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 382; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 309: 
      __label__ = 314; break; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 310: 
      var $1322=$3; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1323=HEAP32[(($1322)>>2)]; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1324=(($1323+1)|0); //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1322)>>2)]=$1324; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1325=(($1324)|0) > 100; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1325) { __label__ = 311; break; } else { __label__ = 312; break; } //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 311: 
      $bravalue=168; //@line 1477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1327=HEAP32[(($code)>>2)]; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1328=(($1327+6)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1328)]=66; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1329=HEAP32[(($code)>>2)]; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1330=(($1329+4)|0); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1331=(($1330+3)|0); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1332=$3; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1333=HEAP32[(($1332)>>2)]; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL13put2ByteValuePhi($1331, $1333); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $skipBytes=5; //@line 1480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 313; break; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 312: 
      var $1335=$3; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1336=HEAP32[(($1335)>>2)]; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1337=(($1336+67)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bravalue=$1337; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 313; break;
    case 313: 
      __label__ = 314; break;
    case 314: 
      var $1340=HEAP32[(($code)>>2)]; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$1340; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1341=$bravalue; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1342=(($1341) & 255); //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1343=HEAP32[(($code)>>2)]; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1343)]=$1342; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1344=HEAP32[(($code)>>2)]; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($tempcode)>>2)]=$1344; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1345=$10; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1346=(($1345+8)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1347=HEAP32[(($1346)>>2)]; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $tempreqvary=$1347; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1348=$3; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1349=HEAP32[(($1348)>>2)]; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bracketsBeforeRecursion=$1349; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1350=$2; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1351=$3; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1352=$6; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1353=$7; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1354=$skipBytes; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1355=$10; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1356=__ZL14compileBracketiPiPPhPPKtS3_P9ErrorCodeiS_S_R11CompileData($1350, $1351, $tempcode, $ptr, $1352, $1353, $1354, $subFirstByte, $subReqByte, $1355); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1356) { __label__ = 316; break; } else { __label__ = 315; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 315: 
      __label__ = 382; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 316: 
      var $1359=$3; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1360=HEAP32[(($1359)>>2)]; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1361=$bracketsBeforeRecursion; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1362=(($1360-$1361)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $enclosedBrackets=$1362; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1363=$minBracket; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1364=$enclosedBrackets; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1365=(($1363+$1364)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1366=$bravalue; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1367=(($1366)|0) > 67; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1368=(($1367)&1); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1369=(($1365+$1368)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $limitBracket=$1369; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1370=$minBracket; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1371=$1370 & 511; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1372=$minBracket; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1373=(($1371)|0)==(($1372)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1373) { __label__ = 317; break; } else { __label__ = 318; break; } //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 317: 
      var $1375=$limitBracket; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1376=$1375 & 511; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1377=$limitBracket; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1378=(($1376)|0)==(($1377)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1378) { __label__ = 319; break; } else { __label__ = 318; break; } //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 318: 
      var $1380=$7; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1380)>>2)]=17; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=0; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 383; break; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 319: 
      var $1382=HEAP32[(($code)>>2)]; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1383=(($1382+1)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1384=(($1383+3)|0); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1385=$minBracket; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1386=$1385 << 8; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1387=$limitBracket; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1388=$1386 | $1387; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL13put2ByteValuePhi($1384, $1388); //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1389=$reqByte; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroReqByte=$1389; //@line 1530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1390=$firstByte; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroFirstByte=$1390; //@line 1531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $didGroupSetFirstByte=0; //@line 1532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1391=$bravalue; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1392=(($1391)|0) >= 67; //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1392) { __label__ = 320; break; } else { __label__ = 332; break; } //@line 1534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 320: 
      var $1394=$firstByte; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1395=(($1394)|0)==-2; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1395) { __label__ = 321; break; } else { __label__ = 325; break; } //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 321: 
      var $1397=HEAP32[(($subFirstByte)>>2)]; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1398=(($1397)|0) >= 0; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1398) { __label__ = 322; break; } else { __label__ = 323; break; } //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 322: 
      var $1400=HEAP32[(($subFirstByte)>>2)]; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $firstByte=$1400; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $didGroupSetFirstByte=1; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 324; break; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 323: 
      $firstByte=-1; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 324; break;
    case 324: 
      $zeroFirstByte=-1; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 329; break; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 325: 
      var $1404=HEAP32[(($subFirstByte)>>2)]; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1405=(($1404)|0) >= 0; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1405) { __label__ = 326; break; } else { __label__ = 328; break; } //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 326: 
      var $1407=HEAP32[(($subReqByte)>>2)]; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1408=(($1407)|0) < 0; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1408) { __label__ = 327; break; } else { __label__ = 328; break; } //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 327: 
      var $1410=HEAP32[(($subFirstByte)>>2)]; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1411=$tempreqvary; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1412=$1410 | $1411; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($subReqByte)>>2)]=$1412; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 328; break; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 328: 
      __label__ = 329; break;
    case 329: 
      var $1415=HEAP32[(($subReqByte)>>2)]; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1416=(($1415)|0) >= 0; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1416) { __label__ = 330; break; } else { __label__ = 331; break; } //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 330: 
      var $1418=HEAP32[(($subReqByte)>>2)]; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$1418; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 331; break; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 331: 
      __label__ = 336; break; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 332: 
      var $1421=$bravalue; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1422=(($1421)|0)==62; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1422) { __label__ = 333; break; } else { __label__ = 335; break; } //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 333: 
      var $1424=HEAP32[(($subReqByte)>>2)]; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1425=(($1424)|0) >= 0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1425) { __label__ = 334; break; } else { __label__ = 335; break; } //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 334: 
      var $1427=HEAP32[(($subReqByte)>>2)]; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$1427; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 335; break; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 335: 
      __label__ = 336; break;
    case 336: 
      var $1430=HEAP32[(($tempcode)>>2)]; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1430; //@line 1578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1431=HEAPU32[(($ptr)>>2)]; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1432=$6; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1433=(($1431)>>>0) >= (($1432)>>>0); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1433) { __label__ = 338; break; } else { __label__ = 337; break; } //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 337: 
      var $1435=HEAP32[(($ptr)>>2)]; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1436=HEAPU16[(($1435)>>1)]; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1437=(($1436)&65535); //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1438=(($1437)|0)!=41; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1438) { __label__ = 338; break; } else { __label__ = 339; break; } //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 338: 
      var $1440=$7; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1440)>>2)]=14; //@line 1583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 382; break; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 339: 
      __label__ = 380; break; //@line 1586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 340: 
      var $1443=HEAP32[(($ptr)>>2)]; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $tempptr=$1443; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1444=$6; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1445=$7; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1446=$10; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1447=(($1446+16)|0); //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1448=HEAP32[(($1447)>>2)]; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1449=__ZL11checkEscapePPKtS0_P9ErrorCodeib($ptr, $1444, $1445, $1448, 0); //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$1449; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1450=$c; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1451=(($1450)|0) < 0; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1451) { __label__ = 341; break; } else { __label__ = 353; break; } //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 341: 
      var $1453=$firstByte; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1454=(($1453)|0)==-2; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1454) { __label__ = 342; break; } else { __label__ = 345; break; } //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 342: 
      var $1456=$c; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1457=(((-$1456))|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1458=(($1457)|0) > 2; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1458) { __label__ = 343; break; } else { __label__ = 345; break; } //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 343: 
      var $1460=$c; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1461=(((-$1460))|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1462=(($1461)|0) <= 8; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1462) { __label__ = 344; break; } else { __label__ = 345; break; } //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 344: 
      $firstByte=-1; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 345; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 345: 
      var $1465=$firstByte; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroFirstByte=$1465; //@line 1613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1466=$reqByte; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroReqByte=$1466; //@line 1614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1467=$c; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1468=(((-$1467))|0); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1469=(($1468)|0) >= 9; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1469) { __label__ = 346; break; } else { __label__ = 347; break; } //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 346: 
      var $1471=$c; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1472=(((-$1471))|0); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1473=(($1472-9)|0); //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $number=$1473; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1474=HEAP32[(($code)>>2)]; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$1474; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1475=HEAP32[(($code)>>2)]; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1476=(($1475+1)|0); //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1476; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1475)]=57; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1477=$number; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL23put2ByteValueAndAdvanceRPhi($code, $1477); //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 352; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 347: 
      var $1479=$c; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1480=(((-$1479))|0); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1481=(($1480)|0) > 2; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1481) { __label__ = 348; break; } else { __label__ = 350; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 348: 
      var $1483=$c; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1484=(((-$1483))|0); //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1485=(($1484)|0) <= 8; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1485) { __label__ = 349; break; } else { __label__ = 350; break; } //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 349: 
      var $1487=HEAP32[(($code)>>2)]; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1490 = $1487;__label__ = 351; break; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 350: 
      var $1490 = 0;__label__ = 351; break; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 351: 
      var $1490; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$1490; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1491=$c; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1492=(((-$1491))|0); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1493=(($1492) & 255); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1494=HEAP32[(($code)>>2)]; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1495=(($1494+1)|0); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1495; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1494)]=$1493; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 352; break;
    case 352: 
      __label__ = 381; break; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 353: 
      __label__ = 354; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 354: 
      __label__ = 355; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 355: 
      var $1500=HEAP32[(($code)>>2)]; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($previous)>>2)]=$1500; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1501=$c; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1502=(($1501)|0) < 128; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1502) { __label__ = 356; break; } else { __label__ = 362; break; } //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 356: 
      $mcLength=1; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1504=$c; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1505=(($1504) & 255); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1506=(($mcbuffer)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1506)]=$1505; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1507=$2; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1508=$1507 & 1; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1509=(($1508)|0)!=0; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1509) { __label__ = 357; break; } else { __label__ = 360; break; } //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 357: 
      var $1511=$c; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1512=$1511 | 32; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1513=(($1512)|0) >= 97; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1513) { __label__ = 358; break; } else { __label__ = 360; break; } //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 358: 
      var $1515=$c; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1516=$1515 | 32; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1517=(($1516)|0) <= 122; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1517) { __label__ = 359; break; } else { __label__ = 360; break; } //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 359: 
      var $1519=HEAP32[(($code)>>2)]; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1520=(($1519+1)|0); //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1520; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1519)]=17; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1521=$c; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1522=$1521 | 32; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1523=(($1522) & 255); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1524=HEAP32[(($code)>>2)]; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1525=(($1524+1)|0); //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1525; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1524)]=$1523; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 361; break; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 360: 
      var $1527=HEAP32[(($code)>>2)]; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1528=(($1527+1)|0); //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1528; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1527)]=16; //@line 1654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1529=$c; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1530=(($1529) & 255); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1531=HEAP32[(($code)>>2)]; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1532=(($1531+1)|0); //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1532; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1531)]=$1530; //@line 1655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 361; break;
    case 361: 
      __label__ = 367; break; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 362: 
      var $1535=$c; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1536=(($mcbuffer)|0); //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1537=__ZL10encodeUTF8iPh($1535, $1536); //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $mcLength=$1537; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1538=$2; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1539=$1538 & 1; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1540=(($1539)|0)!=0; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1541=$1540 ? 15 : 14; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1542=(($1541) & 255); //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1543=HEAP32[(($code)>>2)]; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1544=(($1543+1)|0); //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1544; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1543)]=$1542; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=0; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 363; break; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 363: 
      var $1546=$c; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1547=$mcLength; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1548=(($1546)|0) < (($1547)|0); //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1548) { __label__ = 364; break; } else { __label__ = 366; break; } //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 364: 
      var $1550=$c; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1551=(($mcbuffer+$1550)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1552=HEAP8[($1551)]; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1553=HEAP32[(($code)>>2)]; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1554=(($1553+1)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$1554; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($1553)]=$1552; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 365; break; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 365: 
      var $1556=$c; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1557=(($1556+1)|0); //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$1557; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 363; break; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 366: 
      __label__ = 367; break;
    case 367: 
      var $1560=$firstByte; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1561=(($1560)|0)==-2; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1561) { __label__ = 368; break; } else { __label__ = 375; break; } //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 368: 
      $zeroFirstByte=-1; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1563=$reqByte; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroReqByte=$1563; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1564=$mcLength; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1565=(($1564)|0)==1; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1565) { __label__ = 370; break; } else { __label__ = 369; break; } //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 369: 
      var $1567=$reqCaseOpt; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1568=(($1567)|0)==0; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1568) { __label__ = 370; break; } else { __label__ = 373; break; } //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 370: 
      var $1570=(($mcbuffer)|0); //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1571=HEAPU8[($1570)]; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1572=(($1571)&255); //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1573=$reqCaseOpt; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1574=$1572 | $1573; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $firstByte=$1574; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1575=$mcLength; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1576=(($1575)|0)!=1; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1576) { __label__ = 371; break; } else { __label__ = 372; break; } //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 371: 
      var $1578=HEAP32[(($code)>>2)]; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1579=(($1578-1)|0); //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1580=HEAPU8[($1579)]; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1581=(($1580)&255); //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1582=$10; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1583=(($1582+8)|0); //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1584=HEAP32[(($1583)>>2)]; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1585=$1581 | $1584; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$1585; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 372; break; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 372: 
      __label__ = 374; break; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 373: 
      $reqByte=-1; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $firstByte=-1; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 374; break;
    case 374: 
      __label__ = 379; break; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 375: 
      var $1590=$firstByte; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroFirstByte=$1590; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1591=$reqByte; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $zeroReqByte=$1591; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1592=$mcLength; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1593=(($1592)|0)==1; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1593) { __label__ = 377; break; } else { __label__ = 376; break; } //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 376: 
      var $1595=$reqCaseOpt; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1596=(($1595)|0)==0; //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($1596) { __label__ = 377; break; } else { __label__ = 378; break; } //@line 1692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 377: 
      var $1598=HEAP32[(($code)>>2)]; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1599=(($1598-1)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1600=HEAPU8[($1599)]; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1601=(($1600)&255); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1602=$reqCaseOpt; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1603=$1601 | $1602; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1604=$10; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1605=(($1604+8)|0); //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1606=HEAP32[(($1605)>>2)]; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1607=$1603 | $1606; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$1607; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 378; break; //@line 1693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 378: 
      __label__ = 379; break;
    case 379: 
      __label__ = 380; break; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 380: 
      __label__ = 381; break; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 381: 
      var $1612=HEAP32[(($ptr)>>2)]; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1613=(($1612+2)|0); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$1613; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 382: 
      var $1615=HEAP32[(($ptr)>>2)]; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $1616=$5; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1616)>>2)]=$1615; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=0; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 383; break; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 383: 
      var $1618=$1; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      STACKTOP = __stackBase__;
      return $1618; //@line 1707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13compileBranchiPiPPhPPKtS3_P9ErrorCodeS_S_R11CompileData["X"]=1;

function __ZL13put2ByteValuePhi($opcodePtr, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$opcodePtr;
  $2=$value;
  var $3=$2; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=$3 >> 8; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4) & 255); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$1; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=(($6)|0); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  HEAP8[($7)]=$5; //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=$2; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $9=(($8) & 255); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $10=$1; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $11=(($10+1)|0); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  HEAP8[($11)]=$9; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL8flipCaseh($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)&255); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAP32[((__ZZL8flipCasehE16flippedCaseChars)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4+$3)|0); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=HEAP8[($5)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $6; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL22firstSignificantOpcodePKh($code) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$code;
      __label__ = 2; break; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $3=$1; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $4=HEAPU8[($3)]; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $5=(($4)&255); //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $6=(($5)|0)==66; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $8=$1; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=(($8+3)|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$9; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $11=$1; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $11; //@line 435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13get2ByteValuePKh($opcodePtr) {
  ;
  var __label__;

  var $1;
  $1=$opcodePtr;
  var $2=$1; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAPU8[($3)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4)&255); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$5 << 8; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=$1; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=(($7+1)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $9=HEAPU8[($8)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $10=(($9)&255); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $11=$6 | $10; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $11; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL13get3ByteValuePKh($opcodePtr) {
  ;
  var __label__;

  var $1;
  $1=$opcodePtr;
  var $2=$1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAPU8[($3)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4)&255); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$5 << 16; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=$1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=(($7+1)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $9=HEAPU8[($8)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $10=(($9)&255); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $11=$10 << 8; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $12=$6 | $11; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $13=$1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $14=(($13+2)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $15=HEAPU8[($14)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $16=(($15)&255); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $17=$12 | $16; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $17; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL14compileBracketiPiPPhPPKtS3_P9ErrorCodeiS_S_R11CompileData($options, $brackets, $codePtr, $ptrPtr, $patternEnd, $errorCodePtr, $skipBytes, $firstbyteptr, $reqbyteptr, $cd) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $9;
      var $10;
      var $11;
      var $ptr=__stackBase__;
      var $code=__stackBase__+4;
      var $lastBranch;
      var $start_bracket;
      var $firstByte;
      var $reqByte;
      var $branchFirstByte=__stackBase__+8;
      var $branchReqByte=__stackBase__+12;
      var $length;
      var $prevLength;
      $2=$options;
      $3=$brackets;
      $4=$codePtr;
      $5=$ptrPtr;
      $6=$patternEnd;
      $7=$errorCodePtr;
      $8=$skipBytes;
      $9=$firstbyteptr;
      $10=$reqbyteptr;
      $11=$cd;
      var $12=$5; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$13; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=$4; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$15; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=HEAP32[(($code)>>2)]; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastBranch=$16; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=HEAP32[(($code)>>2)]; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $start_bracket=$17; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $firstByte=-2; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=-2; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=HEAP32[(($code)>>2)]; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $19=(($18+1)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL21putLinkValueAllowZeroPhi($19, 0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $20=$8; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=(($20+4)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $22=HEAP32[(($code)>>2)]; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $23=(($22+$21)|0); //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$23; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $25=$2; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $26=$3; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $27=$6; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $28=$7; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $29=$11; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=__ZL13compileBranchiPiPPhPPKtS3_P9ErrorCodeS_S_R11CompileData($25, $26, $code, $ptr, $27, $28, $branchFirstByte, $branchReqByte, $29); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $32=HEAP32[(($ptr)>>2)]; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $33=$5; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 26; break; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $35=$lastBranch; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $36=HEAPU8[($35)]; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $37=(($36)&255); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $38=(($37)|0)!=58; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($38) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $40=HEAP32[(($branchFirstByte)>>2)]; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $firstByte=$40; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $41=HEAP32[(($branchReqByte)>>2)]; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$41; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 19; break; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $43=$firstByte; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $44=(($43)|0) >= 0; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $46=$firstByte; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $47=HEAP32[(($branchFirstByte)>>2)]; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $48=(($46)|0)!=(($47)|0); //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($48) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      var $50=$reqByte; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $51=(($50)|0) < 0; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($51) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $53=$firstByte; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$53; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      $firstByte=-1; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 11; break; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      var $56=$firstByte; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $57=(($56)|0) < 0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($57) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 12: 
      var $59=HEAP32[(($branchFirstByte)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $60=(($59)|0) >= 0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($60) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 13: 
      var $62=HEAP32[(($branchReqByte)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $63=(($62)|0) < 0; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($63) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      var $65=HEAP32[(($branchFirstByte)>>2)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($branchReqByte)>>2)]=$65; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 15; break; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 15: 
      var $67=$reqByte; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $68=$67 & -513; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $69=HEAP32[(($branchReqByte)>>2)]; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $70=$69 & -513; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $71=(($68)|0)!=(($70)|0); //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($71) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 16: 
      $reqByte=-1; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 18; break; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 17: 
      var $74=HEAP32[(($branchReqByte)>>2)]; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $75=$reqByte; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $76=$75 | $74; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $reqByte=$76; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $79=HEAPU32[(($ptr)>>2)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $80=$6; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $81=(($79)>>>0) >= (($80)>>>0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($81) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 20: 
      var $83=HEAP32[(($ptr)>>2)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $84=HEAPU16[(($83)>>1)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $85=(($84)&65535); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $86=(($85)|0)!=124; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($86) { __label__ = 21; break; } else { __label__ = 25; break; } //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 21: 
      var $88=HEAP32[(($code)>>2)]; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $89=$lastBranch; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $90=$88; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $91=$89; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $92=(($90-$91)|0); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$92; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 22; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 22: 
      var $94=$lastBranch; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $95=(($94+1)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $96=__ZL21getLinkValueAllowZeroPKh($95); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $prevLength=$96; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $97=$lastBranch; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $98=(($97+1)|0); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $99=$length; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL12putLinkValuePhi($98, $99); //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $100=$prevLength; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $length=$100; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $101=$length; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $102=$lastBranch; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $103=(((-$101))|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $104=(($102+$103)|0); //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastBranch=$104; //@line 1816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 23; break; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 23: 
      var $106=$length; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $107=(($106)|0) > 0; //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($107) { __label__ = 22; break; } else { __label__ = 24; break; } //@line 1817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 24: 
      var $109=HEAP32[(($code)>>2)]; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($109)]=59; //@line 1821 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $110=HEAP32[(($code)>>2)]; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $111=(($110+1)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $112=HEAP32[(($code)>>2)]; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $113=$start_bracket; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $114=$112; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $115=$113; //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $116=(($114-$115)|0); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL12putLinkValuePhi($111, $116); //@line 1822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $117=HEAP32[(($code)>>2)]; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $118=(($117+4)|0); //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$118; //@line 1823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $119=HEAP32[(($code)>>2)]; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $120=$4; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($120)>>2)]=$119; //@line 1827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $121=HEAP32[(($ptr)>>2)]; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $122=$5; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($122)>>2)]=$121; //@line 1828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $123=$firstByte; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $124=$9; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($124)>>2)]=$123; //@line 1829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $125=$reqByte; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $126=$10; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($126)>>2)]=$125; //@line 1830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=1; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 26; break; //@line 1831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 25: 
      var $128=HEAP32[(($code)>>2)]; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($128)]=58; //@line 1839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $129=HEAP32[(($code)>>2)]; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $130=(($129+1)|0); //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $131=HEAP32[(($code)>>2)]; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $132=$lastBranch; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $133=$131; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $134=$132; //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $135=(($133-$134)|0); //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __ZL12putLinkValuePhi($130, $135); //@line 1840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $136=HEAP32[(($code)>>2)]; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $lastBranch=$136; //@line 1841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $137=HEAP32[(($code)>>2)]; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $138=(($137+4)|0); //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($code)>>2)]=$138; //@line 1842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $139=HEAP32[(($ptr)>>2)]; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $140=(($139+2)|0); //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($ptr)>>2)]=$140; //@line 1843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 1844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 26: 
      var $142=$1; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      STACKTOP = __stackBase__;
      return $142; //@line 1846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14compileBracketiPiPPhPPKtS3_P9ErrorCodeiS_S_R11CompileData["X"]=1;

function __ZN2js10Foreground12array_deleteIcEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $p0;
      var $n;
      var $i;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      var $6=$5; //@line 535 "./jsutil.h"
      var $7=(($6-8)|0); //@line 535 "./jsutil.h"
      var $8=$7; //@line 535 "./jsutil.h"
      $p0=$8; //@line 535 "./jsutil.h"
      var $9=$p0; //@line 535 "./jsutil.h"
      var $10=$9; //@line 535 "./jsutil.h"
      var $11=HEAP32[(($10)>>2)]; //@line 535 "./jsutil.h"
      $n=$11; //@line 535 "./jsutil.h"
      $i=0; //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      var $13=$i; //@line 535 "./jsutil.h"
      var $14=$n; //@line 535 "./jsutil.h"
      var $15=(($13)>>>0) < (($14)>>>0); //@line 535 "./jsutil.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 535 "./jsutil.h"
    case 4: 
      var $17=$1; //@line 535 "./jsutil.h"
      var $18=$i; //@line 535 "./jsutil.h"
      var $19=(($17+$18)|0); //@line 535 "./jsutil.h"
      __label__ = 5; break; //@line 535 "./jsutil.h"
    case 5: 
      var $21=$i; //@line 535 "./jsutil.h"
      var $22=(($21+1)|0); //@line 535 "./jsutil.h"
      $i=$22; //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 6: 
      var $24=$p0; //@line 535 "./jsutil.h"
      _js_free4455($24); //@line 535 "./jsutil.h"
      __label__ = 7; break; //@line 535 "./jsutil.h"
    case 7: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL17bracketIsAnchoredPKh($code) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$code;
      __label__ = 2; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $4=$2; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $5=(($4+1)|0); //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $6=(($5+3)|0); //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=__ZL16branchIsAnchoredPKh($6); //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($7) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      $1=0; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $10=$2; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=(($10+1)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=__ZL12getLinkValuePKh($11); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=$2; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=(($13+$12)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$14; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 5; break; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $16=$2; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=HEAPU8[($16)]; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=(($17)&255); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $19=(($18)|0)==58; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      $1=1; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $22=$1; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $22; //@line 1886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16branchIsAnchoredPKh($code) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $scode;
      var $op;
      $2=$code;
      var $3=$2; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $4=__ZL22firstSignificantOpcodePKh($3); //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $scode=$4; //@line 1867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $5=$scode; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $6=HEAPU8[($5)]; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=(($6)&255); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $op=$7; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=$op; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=(($8)|0) >= 67; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $11=$op; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=(($11)|0)==62; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $14=$scode; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=__ZL17bracketIsAnchoredPKh($14); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$15; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 5; break; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $17=$op; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=(($17)|0)==10; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$18; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 5; break; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $20=$1; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $20; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL33bracketFindFirstAssertedCharacterPKhb($code, $inassert) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $c;
      var $d;
      $2=$code;
      var $4=(($inassert)&1);
      $3=$4;
      $c=-1; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $6=$2; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=(($6+1)|0); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=(($7+3)|0); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=$3; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=(($9) & 1); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=__ZL32branchFindFirstAssertedCharacterPKhb($8, $10); //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $d=$11; //@line 2004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=$d; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=(($12)|0) < 0; //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      $1=-1; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 12; break; //@line 2006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $16=$c; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=(($16)|0) < 0; //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $19=$d; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$19; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 9; break; //@line 2008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $21=$c; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $22=$d; //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $23=(($21)|0)!=(($22)|0); //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      $1=-1; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 12; break; //@line 2010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      __label__ = 9; break;
    case 9: 
      var $27=$2; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $28=(($27+1)|0); //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $29=__ZL12getLinkValuePKh($28); //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=$2; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=(($30+$29)|0); //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$31; //@line 2011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      var $33=$2; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $34=HEAPU8[($33)]; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $35=(($34)&255); //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $36=(($35)|0)==58; //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($36) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 2012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      var $38=$c; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$38; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 12; break; //@line 2013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 12: 
      var $40=$1; //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $40; //@line 2014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL33bracketFindFirstAssertedCharacterPKhb["X"]=1;

function __ZL32branchFindFirstAssertedCharacterPKhb($code, $inassert) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $scode;
      var $op;
      $2=$code;
      var $4=(($inassert)&1);
      $3=$4;
      var $5=$2; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $6=__ZL40firstSignificantOpcodeSkippingAssertionsPKh($5); //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $scode=$6; //@line 1970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=$scode; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=HEAPU8[($7)]; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=(($8)&255); //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $op=$9; //@line 1971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=$op; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=(($10)|0) >= 67; //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      $op=67; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 3; break; //@line 1974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $14=$op; //@line 1976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ((($14)|0) == 67 || (($14)|0) == 62) {
        __label__ = 5; break;
      }
      else if ((($14)|0) == 27) {
        __label__ = 6; break;
      }
      else if ((($14)|0) == 14 || (($14)|0) == 15 || (($14)|0) == 16 || (($14)|0) == 17 || (($14)|0) == 21 || (($14)|0) == 22) {
        __label__ = 7; break;
      }
      else {
      __label__ = 4; break;
      }
      
    case 4: 
      $1=-1; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 1978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $17=$scode; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=$op; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $19=(($18)|0)==62; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $20=__ZL33bracketFindFirstAssertedCharacterPKhb($17, $19); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$20; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $22=$scode; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $23=(($22+2)|0); //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $scode=$23; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $25=$3; //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $26=(($25) & 1); //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($26) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 1994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      $1=-1; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $29=$scode; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=(($29+1)|0); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=HEAPU8[($30)]; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $32=(($31)&255); //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$32; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 1996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      var $34=$1; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $34; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21bracketNeedsLineStartPKhjj($code, $captureMap, $backrefMap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$code;
      $3=$captureMap;
      $4=$backrefMap;
      __label__ = 2; break; //@line 1940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $6=$2; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=(($6+1)|0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=(($7+3)|0); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=$3; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=$4; //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=__ZL20branchNeedsLineStartPKhjj($8, $9, $10); //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      $1=0; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 1942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $14=$2; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=(($14+1)|0); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=__ZL12getLinkValuePKh($15); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=$2; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=(($17+$16)|0); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$18; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 5; break; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $20=$2; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=HEAPU8[($20)]; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $22=(($21)&255); //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $23=(($22)|0)==58; //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($23) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 1944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      $1=1; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 1945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $26=$1; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $26; //@line 1946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL20branchNeedsLineStartPKhjj($code, $captureMap, $backrefMap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $scode;
      var $op;
      var $captureNum;
      var $bracketMask;
      $2=$code;
      $3=$captureMap;
      $4=$backrefMap;
      var $5=$2; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $6=__ZL22firstSignificantOpcodePKh($5); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $scode=$6; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=$scode; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=HEAPU8[($7)]; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=(($8)&255); //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $op=$9; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=$op; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=(($10)|0) > 67; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $13=$op; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=(($13-67)|0); //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $captureNum=$14; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=$captureNum; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=(($15)|0) > 100; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $18=$scode; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $19=(($18+2)|0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $20=(($19+3)|0); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=__ZL13get2ByteValuePKh($20); //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $captureNum=$21; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 4; break; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $23=$captureNum; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $24=(($23)|0) < 32; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $26=$captureNum; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $27=1 << $26; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30 = $27;__label__ = 7; break; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $30 = 1;__label__ = 7; break; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $30; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $bracketMask=$30; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=$scode; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $32=$3; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $33=$bracketMask; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $34=$32 | $33; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $35=$4; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $36=__ZL21bracketNeedsLineStartPKhjj($31, $34, $35); //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$36; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 19; break; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      var $38=$op; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $39=(($38)|0)==67; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $41=$op; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $42=(($41)|0)==62; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      var $44=$scode; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $45=$3; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $46=$4; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $47=__ZL21bracketNeedsLineStartPKhjj($44, $45, $46); //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$47; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 19; break; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      var $49=$op; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $50=(($49)|0)==37; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($50) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 12: 
      var $52=$op; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $53=(($52)|0)==38; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($53) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 13: 
      var $55=$scode; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $56=(($55+1)|0); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $57=HEAPU8[($56)]; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $58=(($57)&255); //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $59=(($58)|0)==9; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($59) { __label__ = 14; break; } else { var $67 = 0;__label__ = 15; break; } //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      var $61=$3; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $62=$4; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $63=$61 & $62; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $64=(($63)|0)!=0; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $65=$64 ^ 1; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $67 = $65;__label__ = 15; break;
    case 15: 
      var $67;
      $1=$67;
      __label__ = 19; break;
    case 16: 
      var $69=$op; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $70=(($69)|0)==10; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($70) { var $75 = 1;__label__ = 18; break; } else { __label__ = 17; break; } //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 17: 
      var $72=$op; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $73=(($72)|0)==12; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $75 = $73;__label__ = 18; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 18: 
      var $75;
      $1=$75; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 19; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 19: 
      var $77=$1; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $77; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20branchNeedsLineStartPKhjj["X"]=1;

function __Z12jsRegExpFreeP8JSRegExp($re) {
  ;
  var __label__;

  var $1;
  $1=$re;
  var $2=$1; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  var $3=$2; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  __ZN2js10Foreground12array_deleteIcEEvPT_($3); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  ;
  return; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
}


function _js_free4455($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function _js_malloc4456($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12getLinkValuePKh($opcodePtr) {
  ;
  var __label__;

  var $1;
  var $value;
  $1=$opcodePtr;
  var $2=$1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=__ZL21getLinkValueAllowZeroPKh($2); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  $value=$3; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=$value; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $4; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL21getLinkValueAllowZeroPKh($opcodePtr) {
  ;
  var __label__;

  var $1;
  $1=$opcodePtr;
  var $2=$1; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=__ZL13get3ByteValuePKh($2); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $3; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL40firstSignificantOpcodeSkippingAssertionsPKh($code) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      HEAP32[(($1)>>2)]=$code;
      __label__ = 2; break; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $3=HEAP32[(($1)>>2)]; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $4=HEAPU8[($3)]; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $5=(($4)&255); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ((($5)|0) == 63) {
        __label__ = 3; break;
      }
      else if ((($5)|0) == 2 || (($5)|0) == 1) {
        __label__ = 4; break;
      }
      else if ((($5)|0) == 66) {
        __label__ = 5; break;
      }
      else {
      __label__ = 6; break;
      }
      
    case 3: 
      __ZL21advanceToEndOfBracketRPKh($1); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=HEAP32[(($1)>>2)]; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=(($7+4)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1)>>2)]=$8; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $10=HEAP32[(($1)>>2)]; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=(($10+1)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1)>>2)]=$11; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $13=HEAP32[(($1)>>2)]; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=(($13+3)|0); //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($1)>>2)]=$14; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $16=HEAP32[(($1)>>2)]; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      STACKTOP = __stackBase__;
      return $16; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      __label__ = 2; break; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21advanceToEndOfBracketRPKh($opcodePtr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$opcodePtr;
      __label__ = 2; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 2: 
      var $3=$1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $4=HEAP32[(($3)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $5=(($4+1)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $6=__ZL12getLinkValuePKh($5); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $7=$1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $8=HEAP32[(($7)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $9=(($8+$6)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      HEAP32[(($7)>>2)]=$9; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      __label__ = 3; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 3: 
      var $11=$1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $12=HEAP32[(($11)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $13=HEAPU8[($12)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $14=(($13)&255); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $15=(($14)|0)==58; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 4: 
      ;
      return; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL21putLinkValueAllowZeroPhi($opcodePtr, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$opcodePtr;
  $2=$value;
  var $3=$1; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  __ZL13put3ByteValuePhi($3, $4); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL12putLinkValuePhi($opcodePtr, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$opcodePtr;
  $2=$value;
  var $3=$1; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=$2; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  __ZL21putLinkValueAllowZeroPhi($3, $4); //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL13put3ByteValuePhi($opcodePtr, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$opcodePtr;
  $2=$value;
  var $3=$2; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=$3 >> 16; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4) & 255); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$1; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=(($6)|0); //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  HEAP8[($7)]=$5; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=$2; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $9=$8 >> 8; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $10=(($9) & 255); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $11=$1; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $12=(($11+1)|0); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  HEAP8[($12)]=$10; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $13=$2; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $14=(($13) & 255); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $15=$1; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $16=(($15+2)|0); //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  HEAP8[($16)]=$14; //@line 116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return; //@line 117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL18classBitmapForCharh($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)&255); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAP32[((__ZZL18classBitmapForCharhE16charClassBitmaps)>>2)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4+$3)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=HEAP8[($5)]; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $6; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL10encodeUTF8iPh($cvalue, $buffer) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      var $j;
      $1=$cvalue;
      $2=$buffer;
      $i=0; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $4=$i; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $5=(($4)|0) < 6; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $7=$1; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=$i; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=((_jsc_pcre_utf8_table1+($8<<2))|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=(($7)|0) <= (($10)|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      __label__ = 7; break; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      __label__ = 6; break; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $15=$i; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=(($15+1)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i=$16; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $18=$i; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $19=$2; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $20=(($19+$18)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$20; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=$i; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $j=$21; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 8; break; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      var $23=$j; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $24=(($23)|0) > 0; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($24) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $26=$1; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $27=$26 & 63; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $28=128 | $27; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $29=(($28) & 255); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=$2; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=(($30-1)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$31; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($30)]=$29; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $32=$1; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $33=$32 >> 6; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$33; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      var $35=$j; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $36=(($35-1)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $j=$36; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 8; break; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      var $38=$i; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $39=((_jsc_pcre_utf8_table2+($38<<2))|0); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $41=$1; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $42=$40 | $41; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $43=(($42) & 255); //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $44=$2; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP8[($44)]=$43; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $45=$i; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $46=(($45+1)|0); //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $46; //@line 530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10encodeUTF8iPh["X"]=1;

function __ZL15isCountedRepeatPKtS0_($p, $patternEnd) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$p;
      $3=$patternEnd;
      var $4=$2; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $5=$3; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $6=(($4)>>>0) >= (($5)>>>0); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $8=$2; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=HEAP16[(($8)>>1)]; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=__ZN3WTF12isASCIIDigitEt($9); //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      $1=0; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 29; break; //@line 334 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $13=$2; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=(($13+2)|0); //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$14; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 5; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $16=$2; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=$3; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=(($16)>>>0) < (($17)>>>0); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($18) { __label__ = 6; break; } else { var $24 = 0;__label__ = 7; break; } //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $20=$2; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=HEAP16[(($20)>>1)]; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $22=__ZN3WTF12isASCIIDigitEt($21); //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $24 = $22;__label__ = 7; break;
    case 7: 
      var $24;
      if ($24) { __label__ = 8; break; } else { __label__ = 9; break; }
    case 8: 
      var $26=$2; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $27=(($26+2)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$27; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 5; break; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $29=$2; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=$3; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=(($29)>>>0) < (($30)>>>0); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      var $33=$2; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $34=HEAPU16[(($33)>>1)]; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $35=(($34)&65535); //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $36=(($35)|0)==125; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      $1=1; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 29; break; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 12: 
      var $39=$2; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $40=$3; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $41=(($39)>>>0) >= (($40)>>>0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 13: 
      var $43=$2; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $44=(($43+2)|0); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$44; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $45=HEAPU16[(($43)>>1)]; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $46=(($45)&65535); //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $47=(($46)|0)!=44; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($47) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      $1=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 29; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 15: 
      var $50=$2; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $51=$3; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $52=(($50)>>>0) < (($51)>>>0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 16: 
      var $54=$2; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $55=HEAPU16[(($54)>>1)]; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $56=(($55)&65535); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $57=(($56)|0)==125; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($57) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 17: 
      $1=1; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 29; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 18: 
      var $60=$2; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $61=$3; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $62=(($60)>>>0) >= (($61)>>>0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($62) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 19: 
      var $64=$2; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $65=HEAP16[(($64)>>1)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $66=__ZN3WTF12isASCIIDigitEt($65); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($66) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 20: 
      $1=0; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 29; break; //@line 347 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 21: 
      var $69=$2; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $70=(($69+2)|0); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$70; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 22; break; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 22: 
      var $72=$2; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $73=$3; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $74=(($72)>>>0) < (($73)>>>0); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($74) { __label__ = 23; break; } else { var $80 = 0;__label__ = 24; break; } //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 23: 
      var $76=$2; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $77=HEAP16[(($76)>>1)]; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $78=__ZN3WTF12isASCIIDigitEt($77); //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $80 = $78;__label__ = 24; break;
    case 24: 
      var $80;
      if ($80) { __label__ = 25; break; } else { __label__ = 26; break; }
    case 25: 
      var $82=$2; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $83=(($82+2)|0); //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$83; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 22; break; //@line 350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 26: 
      var $85=$2; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $86=$3; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $87=(($85)>>>0) < (($86)>>>0); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($87) { __label__ = 27; break; } else { var $94 = 0;__label__ = 28; break; } //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 27: 
      var $89=$2; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $90=HEAPU16[(($89)>>1)]; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $91=(($90)&65535); //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $92=(($91)|0)==125; //@line 352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $94 = $92;__label__ = 28; break;
    case 28: 
      var $94;
      $1=$94;
      __label__ = 29; break;
    case 29: 
      var $96=$1; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $96; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15isCountedRepeatPKtS0_["X"]=1;

function __ZL11checkEscapePPKtS0_P9ErrorCodeib($ptrPtr, $patternEnd, $errorCodePtr, $bracount, $isClass) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $ptr;
      var $c;
      var $escapeValue;
      var $oldptr;
      var $i;
      var $cc;
      var $i1;
      var $cc2;
      var $i3;
      var $cc4;
      $2=$ptrPtr;
      $3=$patternEnd;
      $4=$errorCodePtr;
      $5=$bracount;
      var $7=(($isClass)&1);
      $6=$7;
      var $8=$2; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=(($9+2)|0); //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$10; //@line 172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=$ptr; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=$3; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=(($11)|0)==(($12)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $15=$4; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($15)>>2)]=1; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=$ptr; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=$2; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($17)>>2)]=$16; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=0; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 71; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $19=$ptr; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $20=HEAPU16[(($19)>>1)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=(($20)&65535); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$21; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $22=$c; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $23=(($22)|0) < 48; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $25=$c; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $26=(($25)|0) > 122; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      __label__ = 70; break; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $29=$c; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=(($29-48)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=((__ZL7escapes+($30<<1))|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $32=HEAP16[(($31)>>1)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $33=(($32 << 16) >> 16); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $escapeValue=$33; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $34=$escapeValue; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $35=(($34)|0)!=0; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 15; break; } //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $37=$escapeValue; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$37; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $38=$6; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $39=(($38) & 1); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 14; break; } //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      var $41=$c; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $42=(((-$41))|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $43=(($42)|0)==2; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($43) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      $c=8; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 13; break; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      var $46=$c; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $47=(((-$46))|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $48=(($47)|0)==1; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($48) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      $c=66; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 12; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 12: 
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      __label__ = 69; break; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 15: 
      var $54=$c; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ((($54)|0) == 49 || (($54)|0) == 50 || (($54)|0) == 51 || (($54)|0) == 52 || (($54)|0) == 53 || (($54)|0) == 54 || (($54)|0) == 55 || (($54)|0) == 56 || (($54)|0) == 57) {
        __label__ = 16; break;
      }
      else if ((($54)|0) == 48) {
        __label__ = 29; break;
      }
      else if ((($54)|0) == 120) {
        __label__ = 40; break;
      }
      else if ((($54)|0) == 117) {
        __label__ = 50; break;
      }
      else if ((($54)|0) == 99) {
        __label__ = 60; break;
      }
      else {
      __label__ = 68; break;
      }
      
    case 16: 
      var $56=$6; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $57=(($56) & 1); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($57) { __label__ = 26; break; } else { __label__ = 17; break; } //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 17: 
      var $59=$ptr; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $oldptr=$59; //@line 215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $60=$c; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $61=(($60-48)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$61; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 18; break; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 18: 
      var $63=$ptr; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $64=(($63+2)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $65=$3; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $66=(($64)>>>0) < (($65)>>>0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($66) { __label__ = 19; break; } else { var $77 = 0;__label__ = 21; break; } //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 19: 
      var $68=$ptr; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $69=(($68+2)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $70=HEAP16[(($69)>>1)]; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $71=__ZN3WTF12isASCIIDigitEt($70); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($71) { __label__ = 20; break; } else { var $77 = 0;__label__ = 21; break; } //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 20: 
      var $73=$c; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $74=$5; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $75=(($73)|0) <= (($74)|0); //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $77 = $75;__label__ = 21; break;
    case 21: 
      var $77;
      if ($77) { __label__ = 22; break; } else { __label__ = 23; break; }
    case 22: 
      var $79=$c; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $80=(($79*10)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $81=$ptr; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $82=(($81+2)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$82; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $83=HEAPU16[(($82)>>1)]; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $84=(($83)&65535); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $85=(($80+$84)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $86=(($85-48)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$86; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 18; break; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 23: 
      var $88=$c; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $89=$5; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $90=(($88)|0) <= (($89)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($90) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 24: 
      var $92=$c; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $93=(($92+9)|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $94=(((-$93))|0); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$94; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 68; break; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 25: 
      var $96=$oldptr; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$96; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 26; break; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 26: 
      var $98=$ptr; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $99=HEAPU16[(($98)>>1)]; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $100=(($99)&65535); //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$100; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $101=(($100)|0) >= 56; //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 27: 
      $c=92; //@line 230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $103=$ptr; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $104=(($103-2)|0); //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$104; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 68; break; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 28: 
      __label__ = 29; break; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 29: 
      var $107=$c; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $108=(($107-48)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$108; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i=1; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 30; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 30: 
      var $110=$i; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $111=(($110)|0) <= 2; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($111) { __label__ = 31; break; } else { __label__ = 39; break; } //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 31: 
      var $113=$ptr; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $114=$i; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $115=(($113+($114<<1))|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $116=$3; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $117=(($115)>>>0) >= (($116)>>>0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($117) { __label__ = 34; break; } else { __label__ = 32; break; } //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 32: 
      var $119=$i; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $120=$ptr; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $121=(($120+($119<<1))|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $122=HEAPU16[(($121)>>1)]; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $123=(($122)&65535); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $124=(($123)|0) < 48; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($124) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 33: 
      var $126=$i; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $127=$ptr; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $128=(($127+($126<<1))|0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $129=HEAPU16[(($128)>>1)]; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $130=(($129)&65535); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $131=(($130)|0) > 55; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($131) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 34: 
      __label__ = 39; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 35: 
      var $134=$c; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $135=((($134<<3))|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $136=$i; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $137=$ptr; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $138=(($137+($136<<1))|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $139=HEAPU16[(($138)>>1)]; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $140=(($139)&65535); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $141=(($135+$140)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $142=(($141-48)|0); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $cc=$142; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $143=$cc; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $144=(($143)|0) > 255; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($144) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 36: 
      __label__ = 39; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 37: 
      var $147=$cc; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$147; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 38; break; //@line 248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 38: 
      var $149=$i; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $150=(($149+1)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i=$150; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 30; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 39: 
      var $152=$i; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $153=(($152-1)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $154=$ptr; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $155=(($154+($153<<1))|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$155; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 68; break; //@line 250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 40: 
      $c=0; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i1=1; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 41; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 41: 
      var $158=$i1; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $159=(($158)|0) <= 2; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($159) { __label__ = 42; break; } else { __label__ = 49; break; } //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 42: 
      var $161=$ptr; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $162=$i1; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $163=(($161+($162<<1))|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $164=$3; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $165=(($163)>>>0) >= (($164)>>>0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($165) { __label__ = 44; break; } else { __label__ = 43; break; } //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 43: 
      var $167=$i1; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $168=$ptr; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $169=(($168+($167<<1))|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $170=HEAP16[(($169)>>1)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $171=__ZN3WTF15isASCIIHexDigitEt($170); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($171) { __label__ = 45; break; } else { __label__ = 44; break; } //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 44: 
      $c=120; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i1=1; //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 49; break; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 45: 
      var $174=$i1; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $175=$ptr; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $176=(($175+($174<<1))|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $177=HEAPU16[(($176)>>1)]; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $178=(($177)&65535); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $cc2=$178; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $179=$cc2; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $180=(($179)|0) >= 97; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($180) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 46: 
      var $182=$cc2; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $183=(($182-32)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $cc2=$183; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 47; break; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 47: 
      var $185=$c; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $186=((($185<<4))|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $187=$cc2; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $188=(($186+$187)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $189=$cc2; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $190=(($189)|0) < 65; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $191=$190 ? 48 : 55; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $192=(($188-$191)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$192; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 48; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 48: 
      var $194=$i1; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $195=(($194+1)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i1=$195; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 41; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 49: 
      var $197=$i1; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $198=(($197-1)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $199=$ptr; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $200=(($199+($198<<1))|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$200; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 68; break; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 50: 
      $c=0; //@line 272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i3=1; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 51; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 51: 
      var $203=$i3; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $204=(($203)|0) <= 4; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($204) { __label__ = 52; break; } else { __label__ = 59; break; } //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 52: 
      var $206=$ptr; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $207=$i3; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $208=(($206+($207<<1))|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $209=$3; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $210=(($208)>>>0) >= (($209)>>>0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($210) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 53: 
      var $212=$i3; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $213=$ptr; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $214=(($213+($212<<1))|0); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $215=HEAP16[(($214)>>1)]; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $216=__ZN3WTF15isASCIIHexDigitEt($215); //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($216) { __label__ = 55; break; } else { __label__ = 54; break; } //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 54: 
      $c=117; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i3=1; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 59; break; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 55: 
      var $219=$i3; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $220=$ptr; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $221=(($220+($219<<1))|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $222=HEAPU16[(($221)>>1)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $223=(($222)&65535); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $cc4=$223; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $224=$cc4; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $225=(($224)|0) >= 97; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($225) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 56: 
      var $227=$cc4; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $228=(($227-32)|0); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $cc4=$228; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 57; break; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 57: 
      var $230=$c; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $231=((($230<<4))|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $232=$cc4; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $233=(($231+$232)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $234=$cc4; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $235=(($234)|0) < 65; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $236=$235 ? 48 : 55; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $237=(($233-$236)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$237; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 58; break; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 58: 
      var $239=$i3; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $240=(($239+1)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $i3=$240; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 51; break; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 59: 
      var $242=$i3; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $243=(($242-1)|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $244=$ptr; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $245=(($244+($243<<1))|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$245; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 68; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 60: 
      var $247=$ptr; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $248=(($247+2)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$248; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $249=$3; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $250=(($248)|0)==(($249)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($250) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 61: 
      var $252=$4; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($252)>>2)]=2; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=0; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 71; break; //@line 292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 62: 
      var $254=$ptr; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $255=HEAPU16[(($254)>>1)]; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $256=(($255)&65535); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$256; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $257=$6; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $258=(($257) & 1); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($258) { __label__ = 64; break; } else { __label__ = 63; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 63: 
      var $260=$c; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $261=__ZN3WTF12isASCIIAlphaEi($260); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($261) { __label__ = 64; break; } else { __label__ = 66; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 64: 
      var $263=$c; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $264=__ZN3WTF19isASCIIAlphanumericEi($263); //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($264) { __label__ = 67; break; } else { __label__ = 65; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 65: 
      var $266=$c; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $267=(($266)|0)!=95; //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($267) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 66: 
      $c=92; //@line 300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $269=$ptr; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $270=(($269-4)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $ptr=$270; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 68; break; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 67: 
      var $272=$c; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $273=__ZN3WTF12toASCIIUpperEi($272); //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $274=$273 ^ 64; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$274; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 68; break; //@line 308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 68: 
      __label__ = 69; break;
    case 69: 
      __label__ = 70; break;
    case 70: 
      var $278=$ptr; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $279=$2; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($279)>>2)]=$278; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $280=$c; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$280; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 71; break; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 71: 
      var $282=$1; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $282; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11checkEscapePPKtS0_P9ErrorCodeib["X"]=1;

function __ZL17getOthercaseRangePiiS_S_($cptr, $d, $ocptr, $odptr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $c;
      var $othercase;
      var $next;
      $2=$cptr;
      $3=$d;
      $4=$ocptr;
      $5=$odptr;
      $othercase=0; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $6=$2; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$7; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $9=$c; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=$3; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=(($9)|0) <= (($10)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $13=$c; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=__Z22jsc_pcre_ucp_othercasej($13); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $othercase=$14; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=(($14)|0) >= 0; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      __label__ = 7; break; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      __label__ = 6; break; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $19=$c; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $20=(($19+1)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$20; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $22=$c; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $23=$3; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $24=(($22)|0) > (($23)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      $1=0; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 16; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $27=$othercase; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $28=$4; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($28)>>2)]=$27; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $29=$othercase; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=(($29+1)|0); //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $next=$30; //@line 490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=$c; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $32=(($31+1)|0); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$32; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      var $34=$c; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $35=$3; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $36=(($34)|0) <= (($35)|0); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      var $38=$c; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $39=__Z22jsc_pcre_ucp_othercasej($38); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $40=$next; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $41=(($39)|0)!=(($40)|0); //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($41) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 12: 
      __label__ = 15; break; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 13: 
      var $44=$next; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $45=(($44+1)|0); //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $next=$45; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 14; break; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      var $47=$c; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $48=(($47+1)|0); //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $c=$48; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 10; break; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 15: 
      var $50=$next; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $51=(($50-1)|0); //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $52=$5; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($52)>>2)]=$51; //@line 498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $53=$c; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $54=$2; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($54)>>2)]=$53; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=1; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 16; break; //@line 501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 16: 
      var $56=$1; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $56; //@line 502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL17getOthercaseRangePiiS_S_["X"]=1;

function __ZN3WTF12isASCIIDigitEt($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 75 "./yarr/ASCIICType.h"
  var $3=(($2)&65535); //@line 75 "./yarr/ASCIICType.h"
  var $4=(($3)|0) >= 48; //@line 75 "./yarr/ASCIICType.h"
  var $5=(($4)&1); //@line 75 "./yarr/ASCIICType.h"
  var $6=$1; //@line 75 "./yarr/ASCIICType.h"
  var $7=(($6)&65535); //@line 75 "./yarr/ASCIICType.h"
  var $8=(($7)|0) <= 57; //@line 75 "./yarr/ASCIICType.h"
  var $9=(($8)&1); //@line 75 "./yarr/ASCIICType.h"
  var $10=$5 & $9; //@line 75 "./yarr/ASCIICType.h"
  var $11=(($10)|0)!=0; //@line 75 "./yarr/ASCIICType.h"
  ;
  return $11; //@line 75 "./yarr/ASCIICType.h"
}


function __ZN3WTF15isASCIIHexDigitEt($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 83 "./yarr/ASCIICType.h"
      var $3=(($2)&65535); //@line 83 "./yarr/ASCIICType.h"
      var $4=(($3)|0) >= 48; //@line 83 "./yarr/ASCIICType.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 83 "./yarr/ASCIICType.h"
    case 2: 
      var $6=$1; //@line 83 "./yarr/ASCIICType.h"
      var $7=(($6)&65535); //@line 83 "./yarr/ASCIICType.h"
      var $8=(($7)|0) <= 57; //@line 83 "./yarr/ASCIICType.h"
      if ($8) { var $22 = 1;__label__ = 6; break; } else { __label__ = 3; break; } //@line 83 "./yarr/ASCIICType.h"
    case 3: 
      var $10=$1; //@line 83 "./yarr/ASCIICType.h"
      var $11=(($10)&65535); //@line 83 "./yarr/ASCIICType.h"
      var $12=$11 | 32; //@line 83 "./yarr/ASCIICType.h"
      var $13=(($12)|0) >= 97; //@line 83 "./yarr/ASCIICType.h"
      if ($13) { __label__ = 4; break; } else { var $20 = 0;__label__ = 5; break; } //@line 83 "./yarr/ASCIICType.h"
    case 4: 
      var $15=$1; //@line 83 "./yarr/ASCIICType.h"
      var $16=(($15)&65535); //@line 83 "./yarr/ASCIICType.h"
      var $17=$16 | 32; //@line 83 "./yarr/ASCIICType.h"
      var $18=(($17)|0) <= 102; //@line 83 "./yarr/ASCIICType.h"
      var $20 = $18;__label__ = 5; break;
    case 5: 
      var $20;
      var $22 = $20;__label__ = 6; break;
    case 6: 
      var $22;
      ;
      return $22; //@line 83 "./yarr/ASCIICType.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN3WTF12isASCIIAlphaEi($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 63 "./yarr/ASCIICType.h"
      var $3=$2 | 32; //@line 63 "./yarr/ASCIICType.h"
      var $4=(($3)|0) >= 97; //@line 63 "./yarr/ASCIICType.h"
      if ($4) { __label__ = 2; break; } else { var $10 = 0;__label__ = 3; break; } //@line 63 "./yarr/ASCIICType.h"
    case 2: 
      var $6=$1; //@line 63 "./yarr/ASCIICType.h"
      var $7=$6 | 32; //@line 63 "./yarr/ASCIICType.h"
      var $8=(($7)|0) <= 122; //@line 63 "./yarr/ASCIICType.h"
      var $10 = $8;__label__ = 3; break;
    case 3: 
      var $10;
      ;
      return $10; //@line 63 "./yarr/ASCIICType.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN3WTF19isASCIIAlphanumericEi($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 71 "./yarr/ASCIICType.h"
      var $3=(($2)|0) >= 48; //@line 71 "./yarr/ASCIICType.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 71 "./yarr/ASCIICType.h"
    case 2: 
      var $5=$1; //@line 71 "./yarr/ASCIICType.h"
      var $6=(($5)|0) <= 57; //@line 71 "./yarr/ASCIICType.h"
      if ($6) { var $18 = 1;__label__ = 6; break; } else { __label__ = 3; break; } //@line 71 "./yarr/ASCIICType.h"
    case 3: 
      var $8=$1; //@line 71 "./yarr/ASCIICType.h"
      var $9=$8 | 32; //@line 71 "./yarr/ASCIICType.h"
      var $10=(($9)|0) >= 97; //@line 71 "./yarr/ASCIICType.h"
      if ($10) { __label__ = 4; break; } else { var $16 = 0;__label__ = 5; break; } //@line 71 "./yarr/ASCIICType.h"
    case 4: 
      var $12=$1; //@line 71 "./yarr/ASCIICType.h"
      var $13=$12 | 32; //@line 71 "./yarr/ASCIICType.h"
      var $14=(($13)|0) <= 122; //@line 71 "./yarr/ASCIICType.h"
      var $16 = $14;__label__ = 5; break;
    case 5: 
      var $16;
      var $18 = $16;__label__ = 6; break;
    case 6: 
      var $18;
      ;
      return $18; //@line 71 "./yarr/ASCIICType.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN3WTF12toASCIIUpperEi($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 149 "./yarr/ASCIICType.h"
      var $3=$1; //@line 149 "./yarr/ASCIICType.h"
      var $4=(($3)|0) >= 97; //@line 149 "./yarr/ASCIICType.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 149 "./yarr/ASCIICType.h"
    case 2: 
      var $6=$1; //@line 149 "./yarr/ASCIICType.h"
      var $7=(($6)|0) <= 122; //@line 149 "./yarr/ASCIICType.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      var $11=$10 << 5;
      var $12=$11 ^ -1;
      var $13=$2 & $12;
      ;
      return $13; //@line 149 "./yarr/ASCIICType.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL25multiplyWithOverflowCheckii($a, $b) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$a;
      $3=$b;
      var $4=$2; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $5=(($4)|0)!=0; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $7=$3; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=(($7)|0)!=0; //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($8) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      $1=0; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 2019 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $11=$2; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=$3; //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=((4194304/(($12)|0))&-1); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=(($11)|0) > (($13)|0); //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      $1=-1; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $17=$2; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=$3; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $19=(($17*$18)|0); //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$19; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 7; break; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $21=$1; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $21; //@line 2023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL19safelyCheckNextCharPKtS0_t($ptr, $patternEnd, $expected) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$ptr;
      $2=$patternEnd;
      $3=$expected;
      var $4=$1; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $5=(($4+2)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $6=$2; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $7=(($5)>>>0) < (($6)>>>0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($7) { __label__ = 2; break; } else { var $17 = 0;__label__ = 3; break; } //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $9=$1; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $10=(($9+2)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $11=HEAPU16[(($10)>>1)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=(($11)&65535); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=$3; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=(($13)&65535); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=(($12)|0)==(($14)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17 = $15;__label__ = 3; break;
    case 3: 
      var $17;
      ;
      return $17; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN11CompileDataC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  HEAP32[(($3)>>2)]=0; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  var $4=(($2+4)|0); //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  HEAP32[(($4)>>2)]=0; //@line 129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  var $5=(($2+8)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  HEAP32[(($5)>>2)]=0; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  var $6=(($2+12)|0); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  HEAP8[($6)]=0; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  var $7=(($2+16)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  HEAP32[(($7)>>2)]=0; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
  ;
  return; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
}


function __ZL11toLowerCaseh($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)&255); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAP32[((__ZZL11toLowerCasehE14lowerCaseChars)>>2)]; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4+$3)|0); //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=HEAP8[($5)]; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $6; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL8flipCaseh4460($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)&255); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAP32[((__ZZL8flipCasehE16flippedCaseChars4457)>>2)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4+$3)|0); //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=HEAP8[($5)]; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $6; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL16readRepeatCountsPKtPiS1_P9ErrorCode($p, $minp, $maxp, $errorCodePtr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $min;
      var $max;
      $2=$p;
      $3=$minp;
      $4=$maxp;
      $5=$errorCodePtr;
      $min=0; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $max=-1; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 2: 
      var $7=$2; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $8=HEAP16[(($7)>>1)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $9=__ZN3WTF12isASCIIDigitEt($8); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 3: 
      var $11=$min; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $12=(($11*10)|0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $13=$2; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $14=(($13+2)|0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$14; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $15=HEAPU16[(($13)>>1)]; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $16=(($15)&65535); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $17=(($12+$16)|0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $18=(($17-48)|0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $min=$18; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 2; break; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 4: 
      var $20=$min; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $21=(($20)|0) < 0; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 5: 
      var $23=$min; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $24=(($23)|0) > 65535; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 6: 
      var $26=$5; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($26)>>2)]=5; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $27=$2; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$27; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 21; break; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 7: 
      var $29=$2; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $30=HEAPU16[(($29)>>1)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $31=(($30)&65535); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $32=(($31)|0)==125; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 8: 
      var $34=$min; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $max=$34; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 20; break; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 9: 
      var $36=$2; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $37=(($36+2)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$37; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $38=HEAPU16[(($37)>>1)]; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $39=(($38)&65535); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $40=(($39)|0)!=125; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 10: 
      $max=0; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 11; break; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 11: 
      var $43=$2; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $44=HEAP16[(($43)>>1)]; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $45=__ZN3WTF12isASCIIDigitEt($44); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 12: 
      var $47=$max; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $48=(($47*10)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $49=$2; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $50=(($49+2)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $2=$50; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $51=HEAPU16[(($49)>>1)]; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $52=(($51)&65535); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $53=(($48+$52)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $54=(($53-48)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $max=$54; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 11; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 13: 
      var $56=$max; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $57=(($56)|0) < 0; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($57) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 14: 
      var $59=$max; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $60=(($59)|0) > 65535; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($60) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 15: 
      var $62=$5; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($62)>>2)]=5; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $63=$2; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$63; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 21; break; //@line 401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 16: 
      var $65=$max; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $66=$min; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $67=(($65)|0) < (($66)|0); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      if ($67) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 17: 
      var $69=$5; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($69)>>2)]=4; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $70=$2; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$70; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 21; break; //@line 405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 18: 
      __label__ = 19; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      var $74=$min; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $75=$3; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($75)>>2)]=$74; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $76=$max; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $77=$4; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      HEAP32[(($77)>>2)]=$76; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      var $78=$2; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      $1=$78; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      __label__ = 21; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    case 21: 
      var $80=$1; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
      ;
      return $80; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_compile.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16readRepeatCountsPKtPiS1_P9ErrorCode["X"]=1;

function __ZL23put2ByteValueAndAdvanceRPhi($opcodePtr, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$opcodePtr;
  $2=$value;
  var $3=$1; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAP32[(($3)>>2)]; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=$2; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  __ZL13put2ByteValuePhi($4, $5); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$1; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=HEAP32[(($6)>>2)]; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=(($7+2)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  HEAP32[(($6)>>2)]=$8; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL31putLinkValueAllowZeroAndAdvanceRPhi($opcodePtr, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$opcodePtr;
  $2=$value;
  var $3=$1; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAP32[(($3)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=$2; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  __ZL21putLinkValueAllowZeroPhi($4, $5); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$1; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=HEAP32[(($6)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=(($7+3)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  HEAP32[(($6)>>2)]=$8; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return; //@line 189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL22putLinkValueAndAdvanceRPhi($opcodePtr, $value) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$opcodePtr;
  $2=$value;
  var $3=$1; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAP32[(($3)>>2)]; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=$2; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  __ZL12putLinkValuePhi($4, $5); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$1; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=HEAP32[(($6)>>2)]; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=(($7+3)|0); //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  HEAP32[(($6)>>2)]=$8; //@line 182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __Z15jsRegExpExecuteP9JSContextPK8JSRegExpPKtiiPii($cx, $re, $subject, $length, $start_offset, $offsets, $offsetCount) {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $matchBlock=__stackBase__;
      var $endSubject;
      var $ocount;
      var $resetCount;
      var $iptr;
      var $iend;
      var $firstByteIsCaseless;
      var $firstByte;
      var $reqByteIsCaseless;
      var $reqByte;
      var $reqByte2;
      var $startMatch=__stackBase__+36;
      var $reqBytePtr=__stackBase__+40;
      var $useMultiLineFirstCharOptimization;
      var $iptr1;
      var $iend2;
      var $start_code;
      var $returnCode;
      $2=$cx;
      $3=$re;
      $4=$subject;
      $5=$length;
      $6=$start_offset;
      $7=$offsets;
      $8=$offsetCount;
      var $9=$4; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=(($matchBlock+16)|0); //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($10)>>2)]=$9; //@line 2070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=(($matchBlock+16)|0); //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $13=$5; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=(($12+($13<<1))|0); //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=(($matchBlock+20)|0); //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 2071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $16=(($matchBlock+20)|0); //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $endSubject=$17; //@line 2072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=$3; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=(($18)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=$20 & 2; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $22=(($21)|0)!=0; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $23=(($matchBlock+32)|0); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=(($22)&1); //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($23)]=$24; //@line 2074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=$3; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($25)|0); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=$27 & 1; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=(($28)|0)!=0; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $30=(($matchBlock+33)|0); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $31=(($29)&1); //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($30)]=$31; //@line 2075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $32=$8; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $33=$8; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $34=(($33)|0)%3; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=(($32-$34)|0); //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $ocount=$35; //@line 2078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=$7; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $37=(($matchBlock)|0); //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($37)>>2)]=$36; //@line 2080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $38=$ocount; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $39=(($matchBlock+4)|0); //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($39)>>2)]=$38; //@line 2081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $40=$ocount; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $41=((($40<<1))|0); //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $42=(((($41)|0)/3)&-1); //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $43=(($matchBlock+8)|0); //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($43)>>2)]=$42; //@line 2082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $44=(($matchBlock+12)|0); //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($44)]=0; //@line 2083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $45=$3; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $46=(($45+4)|0); //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $47=HEAPU16[(($46)>>1)]; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $48=(($47)&65535); //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $49=((($48<<1))|0); //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $50=(($49+2)|0); //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $resetCount=$50; //@line 2089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $51=$resetCount; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $52=$8; //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $53=(($51)|0) > (($52)|0); //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($53) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $55=$ocount; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $resetCount=$55; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 3; break; //@line 2091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $57=(($matchBlock)|0); //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $59=(($58)|0)!=0; //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($59) { __label__ = 4; break; } else { __label__ = 8; break; } //@line 2097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $61=(($matchBlock)|0); //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $63=$ocount; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $64=(($62+($63<<2))|0); //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $iptr=$64; //@line 2098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $65=$iptr; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $66=$resetCount; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $67=(((($66)|0)/2)&-1); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $68=(((-$67))|0); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $69=(($65+($68<<2))|0); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $70=(($69+4)|0); //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $iend=$70; //@line 2099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      var $72=$iptr; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $73=(($72-4)|0); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $iptr=$73; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $74=$iend; //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $75=(($73)>>>0) >= (($74)>>>0); //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($75) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 6: 
      var $77=$iptr; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($77)>>2)]=-1; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 2101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 7: 
      __label__ = 8; break; //@line 2102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 8: 
      $firstByteIsCaseless=0; //@line 2110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $firstByte=-1; //@line 2111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $80=$3; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $81=(($80)|0); //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $83=$82 & 1073741824; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $84=(($83)|0)!=0; //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($84) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 2112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 9: 
      var $86=$3; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $87=(($86+8)|0); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $88=HEAPU16[(($87)>>1)]; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $89=(($88)&65535); //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $90=$89 & 255; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $firstByte=$90; //@line 2113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $91=$3; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $92=(($91+8)|0); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $93=HEAPU16[(($92)>>1)]; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $94=(($93)&65535); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $95=$94 & 256; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $96=(($95)|0)!=0; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $97=(($96)&1); //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $firstByteIsCaseless=$97; //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($96) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 10: 
      var $99=$firstByte; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $100=(($99) & 255); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $101=__ZL11toLowerCaseh($100); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $102=(($101)&255); //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $firstByte=$102; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 11; break; //@line 2115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 11: 
      __label__ = 12; break; //@line 2116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 12: 
      $reqByteIsCaseless=0; //@line 2121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $reqByte=-1; //@line 2122 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $reqByte2=-1; //@line 2123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $105=$3; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $106=(($105)|0); //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $108=$107 & 536870912; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $109=(($108)|0)!=0; //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($109) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 13: 
      var $111=$3; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $112=(($111+10)|0); //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $113=HEAPU16[(($112)>>1)]; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $114=(($113)&65535); //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $115=$114 & 255; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $reqByte=$115; //@line 2125 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $116=$3; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $117=(($116+10)|0); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $118=HEAPU16[(($117)>>1)]; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $119=(($118)&65535); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $120=$119 & 256; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $121=(($120)|0)!=0; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $122=(($121)&1); //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $reqByteIsCaseless=$122; //@line 2126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $123=$reqByte; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $124=(($123) & 255); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $125=__ZL8flipCaseh4460($124); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $126=(($125)&255); //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $reqByte2=$126; //@line 2127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 14; break; //@line 2128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 14: 
      var $128=$4; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $129=$6; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $130=(($128+($129<<1))|0); //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($startMatch)>>2)]=$130; //@line 2133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $131=HEAP32[(($startMatch)>>2)]; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $132=(($131-2)|0); //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($reqBytePtr)>>2)]=$132; //@line 2134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $133=$3; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $134=(($133)|0); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $136=$135 & 268435456; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $137=(($136)|0)!=0; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $138=(($137)&1); //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $useMultiLineFirstCharOptimization=$138; //@line 2135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 15; break; //@line 2137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 15: 
      var $140=(($matchBlock)|0); //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $141=HEAP32[(($140)>>2)]; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $142=(($141)|0)!=0; //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($142) { __label__ = 16; break; } else { __label__ = 20; break; } //@line 2139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 16: 
      var $144=(($matchBlock)|0); //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $iptr1=$145; //@line 2140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $146=$iptr1; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $147=$resetCount; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $148=(($146+($147<<2))|0); //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $iend2=$148; //@line 2141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 17; break; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 17: 
      var $150=$iptr1; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $151=$iend2; //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $152=(($150)>>>0) < (($151)>>>0); //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($152) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 18: 
      var $154=$iptr1; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $155=(($154+4)|0); //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $iptr1=$155; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($154)>>2)]=-1; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 17; break; //@line 2143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 19: 
      __label__ = 20; break; //@line 2144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 20: 
      var $158=$endSubject; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $159=$firstByte; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $160=$firstByteIsCaseless; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $161=(($160) & 1); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $162=$useMultiLineFirstCharOptimization; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $163=(($162) & 1); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $164=(($matchBlock+16)|0); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $165=HEAP32[(($164)>>2)]; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $166=$6; //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $167=(($165+($166<<1))|0); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL24tryFirstByteOptimizationRPKtS0_ibbS0_($startMatch, $158, $159, $161, $163, $167); //@line 2146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $168=$endSubject; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $169=$reqByte; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $170=$reqByte2; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $171=$reqByteIsCaseless; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $172=(($171) & 1); //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $173=$firstByte; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $174=(($173)|0) >= 0; //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $175=__ZL27tryRequiredByteOptimizationRPKtS0_iibbS1_($startMatch, $168, $169, $170, $172, $174, $reqBytePtr); //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($175) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 2147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 21: 
      __label__ = 36; break; //@line 2148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 22: 
      var $178=$3; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $179=(($178+12)|0); //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $180=$179; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $start_code=$180; //@line 2158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $181=$2; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $182=(($181+104)|0); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $183=HEAP32[(($startMatch)>>2)]; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $184=$start_code; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $185=__ZL5matchP11JSArenaPoolPKtPKhiR9MatchData($182, $183, $184, 2, $matchBlock); //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $returnCode=$185; //@line 2160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $186=$returnCode; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $187=(($186)|0)==0; //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($187) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 23: 
      var $189=HEAP32[(($startMatch)>>2)]; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $190=(($189+2)|0); //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($startMatch)>>2)]=$190; //@line 2165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 33; break; //@line 2166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 24: 
      var $192=$returnCode; //@line 2169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $193=(($192)|0)!=1; //@line 2169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($193) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 25: 
      var $195=$returnCode; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$195; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 37; break; //@line 2172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 26: 
      var $197=(($matchBlock+12)|0); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $198=HEAP8[($197)]; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $199=(($198) & 1); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($199) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 27: 
      var $206 = 0;__label__ = 29; break; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 28: 
      var $202=(($matchBlock+28)|0); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $204=(((($203)|0)/2)&-1); //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $206 = $204;__label__ = 29; break; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 29: 
      var $206; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $returnCode=$206; //@line 2177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $207=$8; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $208=(($207)|0) < 2; //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($208) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 2179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 30: 
      $returnCode=0; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 32; break; //@line 2180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 31: 
      var $211=HEAP32[(($startMatch)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $212=(($matchBlock+16)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $213=HEAP32[(($212)>>2)]; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $214=$211; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $215=$213; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $216=(($214-$215)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $217=(((($216)|0)/2)&-1); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $218=$7; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $219=(($218)|0); //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($219)>>2)]=$217; //@line 2182 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $220=(($matchBlock+24)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $221=HEAP32[(($220)>>2)]; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $222=(($matchBlock+16)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $223=HEAP32[(($222)>>2)]; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $224=$221; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $225=$223; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $226=(($224-$225)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $227=(((($226)|0)/2)&-1); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $228=$7; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $229=(($228+4)|0); //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($229)>>2)]=$227; //@line 2183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 32; break;
    case 32: 
      var $231=$returnCode; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$231; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 37; break; //@line 2188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 33: 
      var $233=$3; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $234=(($233)|0); //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $235=HEAP32[(($234)>>2)]; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $236=$235 & 33554432; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $237=(($236)|0)!=0; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($237) { var $243 = 0;__label__ = 35; break; } else { __label__ = 34; break; } //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 34: 
      var $239=HEAPU32[(($startMatch)>>2)]; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $240=$endSubject; //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $241=(($239)>>>0) <= (($240)>>>0); //@line 2189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $243 = $241;__label__ = 35; break;
    case 35: 
      var $243;
      if ($243) { __label__ = 15; break; } else { __label__ = 36; break; }
    case 36: 
      $1=-1; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 37; break; //@line 2192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 37: 
      var $246=$1; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      STACKTOP = __stackBase__;
      return $246; //@line 2193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z15jsRegExpExecuteP9JSContextPK8JSRegExpPKtiiPii["X"]=1;

function __ZL27tryRequiredByteOptimizationRPKtS0_iibbS1_($subjectPtr, $endSubject, $reqByte, $reqByte2, $reqByteIsCaseless, $hasFirstByte, $reqBytePtr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8;
      var $p;
      var $pp;
      $2=$subjectPtr;
      $3=$endSubject;
      $4=$reqByte;
      $5=$reqByte2;
      var $9=(($reqByteIsCaseless)&1);
      $6=$9;
      var $10=(($hasFirstByte)&1);
      $7=$10;
      $8=$reqBytePtr;
      var $11=$4; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=(($11)|0) >= 0; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 22; break; } //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $14=$3; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=$2; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=$14; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=$16; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=(($17-$18)|0); //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=(((($19)|0)/2)&-1); //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=(($20)|0) < 1000; //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 22; break; } //@line 2021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $23=$2; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=$7; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($25) & 1); //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=$26 ? 1 : 0; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=(($24+($27<<1))|0); //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $p=$28; //@line 2022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=$p; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $30=$8; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $31=HEAPU32[(($30)>>2)]; //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $32=(($29)>>>0) > (($31)>>>0); //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($32) { __label__ = 4; break; } else { __label__ = 21; break; } //@line 2027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $34=$6; //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=(($34) & 1); //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 12; break; } //@line 2028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      __label__ = 6; break; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 6: 
      var $38=$p; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $39=$3; //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $40=(($38)>>>0) < (($39)>>>0); //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($40) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 2029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 7: 
      var $42=$p; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $43=(($42+2)|0); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $p=$43; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $44=HEAPU16[(($42)>>1)]; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $45=(($44)&65535); //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $pp=$45; //@line 2030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $46=$pp; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $47=$4; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $48=(($46)|0)==(($47)|0); //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($48) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 8: 
      var $50=$pp; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $51=$5; //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $52=(($50)|0)==(($51)|0); //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($52) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 9: 
      var $54=$p; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $55=(($54-2)|0); //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $p=$55; //@line 2032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 11; break; //@line 2033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 10: 
      __label__ = 6; break; //@line 2035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 11: 
      __label__ = 18; break; //@line 2036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 12: 
      __label__ = 13; break; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 13: 
      var $60=$p; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $61=$3; //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $62=(($60)>>>0) < (($61)>>>0); //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($62) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 2037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 14: 
      var $64=$p; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $65=(($64+2)|0); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $p=$65; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $66=HEAPU16[(($64)>>1)]; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $67=(($66)&65535); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $68=$4; //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $69=(($67)|0)==(($68)|0); //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($69) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 15: 
      var $71=$p; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $72=(($71-2)|0); //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $p=$72; //@line 2039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 17; break; //@line 2040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 16: 
      __label__ = 13; break; //@line 2042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      var $76=$p; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $77=$3; //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $78=(($76)>>>0) >= (($77)>>>0); //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 19: 
      $1=1; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 23; break; //@line 2048 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 20: 
      var $81=$p; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $82=$8; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($82)>>2)]=$81; //@line 2054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 21; break; //@line 2055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 21: 
      __label__ = 22; break; //@line 2056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 22: 
      $1=0; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 23; break; //@line 2057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 23: 
      var $86=$1; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      ;
      return $86; //@line 2058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL27tryRequiredByteOptimizationRPKtS0_iibbS1_["X"]=1;

function __ZL24tryFirstByteOptimizationRPKtS0_ibbS0_($subjectPtr, $endSubject, $firstByte, $firstByteIsCaseless, $useMultiLineFirstCharOptimization, $originalSubjectStart) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $firstChar;
      var $c;
      $1=$subjectPtr;
      $2=$endSubject;
      $3=$firstByte;
      var $7=(($firstByteIsCaseless)&1);
      $4=$7;
      var $8=(($useMultiLineFirstCharOptimization)&1);
      $5=$8;
      $6=$originalSubjectStart;
      var $9=$3; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=(($9)|0) >= 0; //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 18; break; } //@line 1980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $12=$3; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $13=(($12) & 65535); //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $firstChar=$13; //@line 1981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=$4; //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=(($14) & 1); //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 1982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      __label__ = 4; break; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $18=$1; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=HEAPU32[(($18)>>2)]; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=$2; //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=(($19)>>>0) < (($20)>>>0); //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 1983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      var $23=$1; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=HEAPU16[(($24)>>1)]; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($25)&65535); //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c=$26; //@line 1984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=$c; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=(($27)|0) > 127; //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 6: 
      __label__ = 10; break; //@line 1986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 7: 
      var $31=$c; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $32=(($31) & 255); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $33=__ZL11toLowerCaseh($32); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $34=(($33)&255); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=$firstChar; //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=(($35)&65535); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $37=(($34)|0)==(($36)|0); //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 8: 
      __label__ = 10; break; //@line 1988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 9: 
      var $40=$1; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $42=(($41+2)|0); //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($40)>>2)]=$42; //@line 1989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 4; break; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 10: 
      __label__ = 17; break; //@line 1990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 11: 
      __label__ = 12; break; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 12: 
      var $46=$1; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $47=HEAPU32[(($46)>>2)]; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $48=$2; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $49=(($47)>>>0) < (($48)>>>0); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($49) { __label__ = 13; break; } else { var $59 = 0;__label__ = 14; break; } //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 13: 
      var $51=$1; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $53=HEAPU16[(($52)>>1)]; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $54=(($53)&65535); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $55=$firstChar; //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $56=(($55)&65535); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $57=(($54)|0)!=(($56)|0); //@line 1992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $59 = $57;__label__ = 14; break;
    case 14: 
      var $59;
      if ($59) { __label__ = 15; break; } else { __label__ = 16; break; }
    case 15: 
      var $61=$1; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $63=(($62+2)|0); //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($61)>>2)]=$63; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 12; break; //@line 1993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      __label__ = 28; break; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 18: 
      var $67=$5; //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $68=(($67) & 1); //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($68) { __label__ = 19; break; } else { __label__ = 27; break; } //@line 1995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 19: 
      var $70=$1; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $71=HEAPU32[(($70)>>2)]; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $72=$6; //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $73=(($71)>>>0) > (($72)>>>0); //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($73) { __label__ = 20; break; } else { __label__ = 26; break; } //@line 1998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 20: 
      __label__ = 21; break; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 21: 
      var $76=$1; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $77=HEAPU32[(($76)>>2)]; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $78=$2; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $79=(($77)>>>0) < (($78)>>>0); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($79) { __label__ = 22; break; } else { var $88 = 0;__label__ = 23; break; } //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 22: 
      var $81=$1; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $82=HEAP32[(($81)>>2)]; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $83=(($82-2)|0); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $84=HEAP16[(($83)>>1)]; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $85=__ZL9isNewlinet($84); //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $86=$85 ^ 1; //@line 1999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $88 = $86;__label__ = 23; break;
    case 23: 
      var $88;
      if ($88) { __label__ = 24; break; } else { __label__ = 25; break; }
    case 24: 
      var $90=$1; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $91=HEAP32[(($90)>>2)]; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $92=(($91+2)|0); //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($90)>>2)]=$92; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 21; break; //@line 2000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 25: 
      __label__ = 26; break; //@line 2001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 26: 
      __label__ = 27; break; //@line 2002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 27: 
      __label__ = 28; break;
    case 28: 
      ;
      return; //@line 2003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL24tryFirstByteOptimizationRPKtS0_ibbS0_["X"]=1;
// WARNING: content after a branch in a label, line: 635656
// WARNING: content after a branch in a label, line: 635732
// WARNING: content after a branch in a label, line: 635770
// WARNING: content after a branch in a label, line: 635934
// WARNING: content after a branch in a label, line: 636045
// WARNING: content after a branch in a label, line: 636191
// WARNING: content after a branch in a label, line: 636291
// WARNING: content after a branch in a label, line: 636400
// WARNING: content after a branch in a label, line: 636536
// WARNING: content after a branch in a label, line: 636648
// WARNING: content after a branch in a label, line: 636744
// WARNING: content after a branch in a label, line: 636879
// WARNING: content after a branch in a label, line: 636941
// WARNING: content after a branch in a label, line: 636968
// WARNING: content after a branch in a label, line: 637022
// WARNING: content after a branch in a label, line: 637065
// WARNING: content after a branch in a label, line: 637118
// WARNING: content after a branch in a label, line: 637240
// WARNING: content after a branch in a label, line: 637276
// WARNING: content after a branch in a label, line: 637309
// WARNING: content after a branch in a label, line: 637352
// WARNING: content after a branch in a label, line: 637385
// WARNING: content after a branch in a label, line: 637428
// WARNING: content after a branch in a label, line: 637461
// WARNING: content after a branch in a label, line: 637504
// WARNING: content after a branch in a label, line: 637537
// WARNING: content after a branch in a label, line: 637580
// WARNING: content after a branch in a label, line: 637613
// WARNING: content after a branch in a label, line: 637656
// WARNING: content after a branch in a label, line: 637689
// WARNING: content after a branch in a label, line: 637732
// WARNING: content after a branch in a label, line: 637765
// WARNING: content after a branch in a label, line: 637997
// WARNING: content after a branch in a label, line: 638076
// WARNING: content after a branch in a label, line: 638170
// WARNING: content after a branch in a label, line: 638215
// WARNING: content after a branch in a label, line: 638367
// WARNING: content after a branch in a label, line: 638398
// WARNING: content after a branch in a label, line: 638567
// WARNING: content after a branch in a label, line: 638616
// WARNING: content after a branch in a label, line: 638658
// WARNING: content after a branch in a label, line: 638743
// WARNING: content after a branch in a label, line: 638780
// WARNING: content after a branch in a label, line: 638819
// WARNING: content after a branch in a label, line: 638851
// WARNING: content after a branch in a label, line: 639023
// WARNING: content after a branch in a label, line: 639056
// WARNING: content after a branch in a label, line: 639227
// WARNING: content after a branch in a label, line: 639269
// WARNING: content after a branch in a label, line: 639351
// WARNING: content after a branch in a label, line: 639388
// WARNING: content after a branch in a label, line: 639420
// WARNING: content after a branch in a label, line: 639555
// WARNING: content after a branch in a label, line: 639588
// WARNING: content after a branch in a label, line: 639656
// WARNING: content after a branch in a label, line: 639695
// WARNING: content after a branch in a label, line: 639769
// WARNING: content after a branch in a label, line: 639822
// WARNING: content after a branch in a label, line: 639858
// WARNING: content after a branch in a label, line: 639898
// WARNING: content after a branch in a label, line: 639948
// WARNING: content after a branch in a label, line: 639989
// WARNING: content after a branch in a label, line: 640147
// WARNING: content after a branch in a label, line: 640249
// WARNING: content after a branch in a label, line: 640344
// WARNING: content after a branch in a label, line: 640381
// WARNING: content after a branch in a label, line: 640424
// WARNING: content after a branch in a label, line: 640589
// WARNING: content after a branch in a label, line: 640614
// WARNING: content after a branch in a label, line: 640665
// WARNING: content after a branch in a label, line: 640754
// WARNING: content after a branch in a label, line: 640791
// WARNING: content after a branch in a label, line: 640818
// WARNING: content after a branch in a label, line: 640972
// WARNING: content after a branch in a label, line: 640997
// WARNING: content after a branch in a label, line: 641036
// WARNING: content after a branch in a label, line: 641114
// WARNING: content after a branch in a label, line: 641144
// WARNING: content after a branch in a label, line: 641264
// WARNING: content after a branch in a label, line: 641376
// WARNING: content after a branch in a label, line: 641458
// WARNING: content after a branch in a label, line: 641529
// WARNING: content after a branch in a label, line: 641677
// WARNING: content after a branch in a label, line: 641710
// WARNING: content after a branch in a label, line: 641760
// WARNING: content after a branch in a label, line: 641842
// WARNING: content after a branch in a label, line: 641900
// WARNING: content after a branch in a label, line: 642035
// WARNING: content after a branch in a label, line: 642068
// WARNING: content after a branch in a label, line: 642196
// WARNING: content after a branch in a label, line: 642259
// WARNING: content after a branch in a label, line: 642320
// WARNING: content after a branch in a label, line: 642381
// WARNING: content after a branch in a label, line: 642442
// WARNING: content after a branch in a label, line: 642503
// WARNING: content after a branch in a label, line: 642564
// WARNING: content after a branch in a label, line: 642625
// WARNING: content after a branch in a label, line: 642726
// WARNING: content after a branch in a label, line: 642763
// WARNING: content after a branch in a label, line: 642807
// WARNING: content after a branch in a label, line: 642826
// WARNING: content after a branch in a label, line: 642845
// WARNING: content after a branch in a label, line: 642865
// WARNING: content after a branch in a label, line: 642885
// WARNING: content after a branch in a label, line: 642905
// WARNING: content after a branch in a label, line: 642925
// WARNING: content after a branch in a label, line: 643488
// WARNING: content after a branch in a label, line: 643521
// WARNING: content after a branch in a label, line: 643719
// WARNING: content after a branch in a label, line: 643814

function __ZL5matchP11JSArenaPoolPKtPKhiR9MatchData($regExpPool, $subjectPtr, $instructionPtr, $offsetTop, $md) {
  var __stackBase__  = STACKTOP; STACKTOP += 1952; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $isMatch;
      var $min=__stackBase__;
      var $minimize=__stackBase__+4;
      var $remainingMatchCount;
      var $othercase;
      var $minSatisfied;
      var $stack=__stackBase__+8;
      var $minSatNextBracket=__stackBase__+1948;
      var $7;
      var $i;
      var $bracketMess;
      var $i1;
      var $bracketMess2;
      var $start;
      var $end;
      var $currentCharIsWordChar;
      var $previousCharIsWordChar;
      var $wordBoundaryDesired;
      var $i3;
      var $i4;
      var $i5;
      var $c;
      var $c6;
      var $i7;
      var $c8;
      var $i9;
      var $c10;
      var $c11;
      var $i12;
      var $c13;
      var $dc;
      var $i14;
      var $i15;
      var $i16;
      var $i17;
      var $b;
      var $c18;
      var $i19;
      var $d;
      var $d20;
      var $i21;
      var $d22;
      var $i23;
      var $d24;
      var $d25;
      var $i26;
      var $d27;
      var $i28;
      var $i29;
      var $i30;
      var $i31;
      var $i32;
      var $i33;
      var $i34;
      var $c35;
      var $i36;
      var $i37;
      var $c38;
      var $i39;
      var $c40;
      var $i41;
      var $c42;
      var $i43;
      var $c44;
      var $i45;
      var $c46;
      var $i47;
      var $c48;
      var $i49;
      $2=$regExpPool;
      $3=$subjectPtr;
      $4=$instructionPtr;
      $5=$offsetTop;
      $6=$md;
      $isMatch=0; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=0; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $remainingMatchCount=1000000; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $8=$2; //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStackC1EP11JSArenaPool($stack, $8); //@line 499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10LinearFlagC1Ev($minSatNextBracket); //@line 500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=(($stack+1932)|0); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=(($10)|0); //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($11)>>2)]=0; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=$3; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $13=(($stack+1932)|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=(($14+20)|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $16=(($15)|0); //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($16)>>2)]=$12; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=$4; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=(($stack+1932)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=(($19+20)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=(($20+4)|0); //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($21)>>2)]=$17; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $22=$5; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $23=(($stack+1932)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=(($24+20)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($25+8)|0); //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($26)>>2)]=$22; //@line 524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=(($stack+1932)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=(($28+20)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $30=(($29+12)|0); //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($30)>>2)]=0; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $31=(($stack+1932)|0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($32, 0); //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $34=$remainingMatchCount; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=(($34-1)|0); //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $remainingMatchCount=$35; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=(($35)|0)!=0; //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($36) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $38=__ZL10matchErroriR10MatchStack(-2, $stack); //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$38; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $7=1;
      __label__ = 1183; break; //@line 532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      __label__ = 5; break; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      __label__ = 6; break; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 6: 
      var $42=(($stack+1932)|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $44=(($43+20)|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $45=(($44+4)|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $47=HEAPU8[($46)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $48=(($47)&255); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ((($48)|0) == 67) {
        __label__ = 7; break;
      }
      else if ((($48)|0) == 66) {
        __label__ = 26; break;
      }
      else if ((($48)|0) == 0) {
        __label__ = 27; break;
      }
      else if ((($48)|0) == 62) {
        __label__ = 30; break;
      }
      else if ((($48)|0) == 63) {
        __label__ = 51; break;
      }
      else if ((($48)|0) == 58) {
        __label__ = 66; break;
      }
      else if ((($48)|0) == 64) {
        __label__ = 67; break;
      }
      else if ((($48)|0) == 65) {
        __label__ = 76; break;
      }
      else if ((($48)|0) == 59 || (($48)|0) == 61 || (($48)|0) == 60) {
        __label__ = 85; break;
      }
      else if ((($48)|0) == 10) {
        __label__ = 150; break;
      }
      else if ((($48)|0) == 12) {
        __label__ = 158; break;
      }
      else if ((($48)|0) == 11) {
        __label__ = 167; break;
      }
      else if ((($48)|0) == 13) {
        __label__ = 175; break;
      }
      else if ((($48)|0) == 1 || (($48)|0) == 2) {
        __label__ = 184; break;
      }
      else if ((($48)|0) == 9) {
        __label__ = 198; break;
      }
      else if ((($48)|0) == 3) {
        __label__ = 213; break;
      }
      else if ((($48)|0) == 4) {
        __label__ = 228; break;
      }
      else if ((($48)|0) == 5) {
        __label__ = 243; break;
      }
      else if ((($48)|0) == 6) {
        __label__ = 258; break;
      }
      else if ((($48)|0) == 7) {
        __label__ = 273; break;
      }
      else if ((($48)|0) == 8) {
        __label__ = 288; break;
      }
      else if ((($48)|0) == 57) {
        __label__ = 303; break;
      }
      else if ((($48)|0) == 55 || (($48)|0) == 54) {
        __label__ = 376; break;
      }
      else if ((($48)|0) == 56) {
        __label__ = 469; break;
      }
      else if ((($48)|0) == 14) {
        __label__ = 540; break;
      }
      else if ((($48)|0) == 15) {
        __label__ = 555; break;
      }
      else if ((($48)|0) == 16) {
        __label__ = 571; break;
      }
      else if ((($48)|0) == 17) {
        __label__ = 586; break;
      }
      else if ((($48)|0) == 27) {
        __label__ = 601; break;
      }
      else if ((($48)|0) == 25 || (($48)|0) == 26) {
        __label__ = 602; break;
      }
      else if ((($48)|0) == 19 || (($48)|0) == 20 || (($48)|0) == 21 || (($48)|0) == 22 || (($48)|0) == 23 || (($48)|0) == 24) {
        __label__ = 603; break;
      }
      else if ((($48)|0) == 18) {
        __label__ = 739; break;
      }
      else if ((($48)|0) == 36) {
        __label__ = 766; break;
      }
      else if ((($48)|0) == 34 || (($48)|0) == 35) {
        __label__ = 767; break;
      }
      else if ((($48)|0) == 28 || (($48)|0) == 29 || (($48)|0) == 30 || (($48)|0) == 31 || (($48)|0) == 32 || (($48)|0) == 33) {
        __label__ = 768; break;
      }
      else if ((($48)|0) == 45) {
        __label__ = 896; break;
      }
      else if ((($48)|0) == 43 || (($48)|0) == 44) {
        __label__ = 897; break;
      }
      else if ((($48)|0) == 37 || (($48)|0) == 38 || (($48)|0) == 39 || (($48)|0) == 40 || (($48)|0) == 41 || (($48)|0) == 42) {
        __label__ = 898; break;
      }
      else if ((($48)|0) == 49 || (($48)|0) == 51 || (($48)|0) == 53 || (($48)|0) == 47 || (($48)|0) == 48 || (($48)|0) == 50 || (($48)|0) == 52 || (($48)|0) == 46) {
        __label__ = 1130; break;
      }
      else {
      __label__ = 1131; break;
      }
      
    case 7: 
      __label__ = 8; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 8: 
      var $51=(($stack+1932)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $53=(($stack+1932)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $55=(($54+20)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $56=(($55+4)|0); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $57=HEAP32[(($56)>>2)]; //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame15extractBracketsEPKh($52, $57); //@line 561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $58=(($stack+1932)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $60=(($59+36)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $61=(($60+52)|0); //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($61)>>2)]=3; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $62=__ZN10LinearFlag12readAndClearEv($minSatNextBracket); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $63=(($stack+1932)|0); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $65=(($64+36)|0); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $66=(($65+68)|0); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $67=(($62)&1); //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($66)]=$67; //@line 566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 9; break; //@line 567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 9: 
      var $69=(($stack+1932)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $71=(($70+36)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $72=(($71+68)|0); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $73=HEAP8[($72)]; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $74=(($73) & 1); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $75=(($74)&1); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $minSatisfied=$75; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 10; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 10: 
      var $77=(($stack+1932)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $78=HEAP32[(($77)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $79=(($78+20)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $80=(($79+4)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $82=(($stack+1932)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $83=HEAP32[(($82)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $84=(($83+36)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $85=(($84+52)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $87=(($81+$86)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $88=(($87+3)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $89=(($stack+1932)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $90=HEAP32[(($89)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $91=(($90+20)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $92=(($91+12)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $88, $93, 2); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $94=(($stack+1932)|0); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $96=$minSatisfied; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $97=(($96) & 1); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($95, $97); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 11: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 12; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 12: 
      __label__ = 13; break; //@line 571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 13: 
      var $101=$isMatch; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $102=(($101) & 1); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($102) { __label__ = 14; break; } else { __label__ = 17; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 14: 
      __label__ = 15; break; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 15: 
      __label__ = 1153; break; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 16: 
      __label__ = 17; break; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 17: 
      var $108=(($stack+1932)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $109=HEAP32[(($108)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $110=(($109+36)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $111=(($110+52)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($111)>>2)]=1; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $112=(($stack+1932)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $114=(($113+20)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $115=(($114+4)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $116=HEAP32[(($115)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $117=(($116+1)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $118=__ZL12getLinkValuePKh4461($117); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $119=(($stack+1932)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $120=HEAP32[(($119)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $121=(($120+20)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $122=(($121+4)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $123=HEAP32[(($122)>>2)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $124=(($123+$118)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($122)>>2)]=$124; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 18; break; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 18: 
      var $126=(($stack+1932)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $128=(($127+20)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $129=(($128+4)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $130=HEAP32[(($129)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $131=HEAPU8[($130)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $132=(($131)&255); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $133=(($132)|0)==58; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($133) { __label__ = 9; break; } else { __label__ = 19; break; } //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 19: 
      var $135=(($stack+1932)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $136=HEAP32[(($135)>>2)]; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $137=(($136+36)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $138=(($137+56)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i=$139; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 20; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 20: 
      var $141=$i; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $142=(($stack+1932)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $143=HEAP32[(($142)>>2)]; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $144=(($143+36)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $145=(($144+60)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $146=HEAPU32[(($145)>>2)]; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $147=(($141)>>>0) < (($146)>>>0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($147) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 21: 
      var $149=$6; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $150=$i; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN9MatchData13setOffsetPairEjii($149, $150, -1, -1); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 22; break; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 22: 
      var $152=$i; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $153=(($152+1)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i=$153; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 20; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 23: 
      __label__ = 24; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 24: 
      __label__ = 1153; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 25: 
      __label__ = 26; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 26: 
      var $159=(($stack+1932)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $161=(($160+20)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $162=(($161+4)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $163=HEAP32[(($162)>>2)]; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $164=(($163+3)|0); //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($162)>>2)]=$164; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 27: 
      var $166=(($stack+1932)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $168=(($167+20)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $169=(($168)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $171=$6; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $172=(($171+24)|0); //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($172)>>2)]=$170; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $173=(($stack+1932)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $174=HEAP32[(($173)>>2)]; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $175=(($174+20)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $176=(($175+8)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $177=HEAP32[(($176)>>2)]; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $178=$6; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $179=(($178+28)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($179)>>2)]=$177; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $isMatch=1; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 28; break; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 28: 
      __label__ = 1153; break; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 29: 
      __label__ = 30; break; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 30: 
      var $184=(($stack+1932)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $185=HEAP32[(($184)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $186=(($185+20)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $187=(($186+4)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $188=HEAP32[(($187)>>2)]; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $189=(($188+1)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $190=(($189+3)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $191=__ZL13get2ByteValuePKh4462($190); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $192=(($191) & 65535); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $bracketMess=$192; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $193=$bracketMess; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $194=(($193)&65535); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $195=$194 >> 8; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $196=$195 & 255; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $197=(($stack+1932)|0); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $199=(($198+36)|0); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $200=(($199+56)|0); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($200)>>2)]=$196; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $201=$bracketMess; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $202=(($201)&65535); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $203=$202 & 255; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $204=(($stack+1932)|0); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $205=HEAP32[(($204)>>2)]; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $206=(($205+36)|0); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $207=(($206+60)|0); //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($207)>>2)]=$203; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $208=(($stack+1932)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $209=HEAP32[(($208)>>2)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $210=(($209+36)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $211=(($210+52)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($211)>>2)]=3; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 31; break; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 31: 
      __label__ = 32; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 32: 
      var $214=(($stack+1932)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $215=HEAP32[(($214)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $216=(($215+20)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $217=(($216+4)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $218=HEAP32[(($217)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $219=(($stack+1932)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $220=HEAP32[(($219)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $221=(($220+36)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $222=(($221+52)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $223=HEAP32[(($222)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $224=(($218+$223)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $225=(($224+3)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $225, 0, 6); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $226=(($stack+1932)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $227=HEAP32[(($226)>>2)]; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($227, 0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 33: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 34; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 34: 
      __label__ = 35; break; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 35: 
      var $231=$isMatch; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $232=(($231) & 1); //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($232) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 36: 
      __label__ = 39; break; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 37: 
      var $235=(($stack+1932)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $236=HEAP32[(($235)>>2)]; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $237=(($236+36)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $238=(($237+52)|0); //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($238)>>2)]=1; //@line 616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $239=(($stack+1932)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $240=HEAP32[(($239)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $241=(($240+20)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $242=(($241+4)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $243=HEAP32[(($242)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $244=(($243+1)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $245=__ZL12getLinkValuePKh4461($244); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $246=(($stack+1932)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $247=HEAP32[(($246)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $248=(($247+20)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $249=(($248+4)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $250=HEAP32[(($249)>>2)]; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $251=(($250+$245)|0); //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($249)>>2)]=$251; //@line 617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 38; break; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 38: 
      var $253=(($stack+1932)|0); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $254=HEAP32[(($253)>>2)]; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $255=(($254+20)|0); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $256=(($255+4)|0); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $257=HEAP32[(($256)>>2)]; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $258=HEAPU8[($257)]; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $259=(($258)&255); //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $260=(($259)|0)==58; //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($260) { __label__ = 31; break; } else { __label__ = 39; break; } //@line 618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 39: 
      var $262=(($stack+1932)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $263=HEAP32[(($262)>>2)]; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $264=(($263+20)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $265=(($264+4)|0); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $266=HEAP32[(($265)>>2)]; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $267=HEAPU8[($266)]; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $268=(($267)&255); //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $269=(($268)|0)==59; //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($269) { __label__ = 40; break; } else { __label__ = 50; break; } //@line 619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 40: 
      var $271=(($stack+1932)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $272=HEAP32[(($271)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $273=(($272+36)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $274=(($273+56)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $275=HEAP32[(($274)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i1=$275; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 41; break; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 41: 
      var $277=$i1; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $278=(($stack+1932)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $279=HEAP32[(($278)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $280=(($279+36)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $281=(($280+60)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $282=HEAPU32[(($281)>>2)]; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $283=(($277)>>>0) < (($282)>>>0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($283) { __label__ = 42; break; } else { __label__ = 44; break; } //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 42: 
      var $285=$6; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $286=$i1; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN9MatchData13setOffsetPairEjii($285, $286, -1, -1); //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 43; break; //@line 621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 43: 
      var $288=$i1; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $289=(($288+1)|0); //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i1=$289; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 41; break; //@line 620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 44: 
      __label__ = 45; break; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 45: 
      $isMatch=0; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 46; break; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 46: 
      __label__ = 1153; break; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 47: 
      __label__ = 48; break; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 48: 
      __label__ = 49; break; //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 49: 
      __label__ = 50; break; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 50: 
      var $298=(($stack+1932)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $299=HEAP32[(($298)>>2)]; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $300=(($299+20)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $301=(($300+4)|0); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL21advanceToEndOfBracketRPKh4463($301); //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $302=(($stack+1932)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $303=HEAP32[(($302)>>2)]; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $304=(($303+20)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $305=(($304+4)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $306=HEAP32[(($305)>>2)]; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $307=(($306+4)|0); //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($305)>>2)]=$307; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $308=$6; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $309=(($308+28)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $310=HEAP32[(($309)>>2)]; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $311=(($stack+1932)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $312=HEAP32[(($311)>>2)]; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $313=(($312+20)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $314=(($313+8)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($314)>>2)]=$310; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 51: 
      var $316=(($stack+1932)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $317=HEAP32[(($316)>>2)]; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $318=(($317+36)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $319=(($318+52)|0); //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($319)>>2)]=3; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $320=(($stack+1932)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $321=HEAP32[(($320)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $322=(($321+20)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $323=(($322+4)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $324=HEAP32[(($323)>>2)]; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $325=(($324+1)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $326=(($325+3)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $327=__ZL13get2ByteValuePKh4462($326); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $bracketMess2=$327; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $328=$bracketMess2; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $329=$328 >>> 8; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $330=$329 & 255; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $331=(($stack+1932)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $332=HEAP32[(($331)>>2)]; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $333=(($332+36)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $334=(($333+56)|0); //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($334)>>2)]=$330; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $335=$bracketMess2; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $336=$335 & 255; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $337=(($stack+1932)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $338=HEAP32[(($337)>>2)]; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $339=(($338+36)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $340=(($339+60)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($340)>>2)]=$336; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 52; break; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 52: 
      __label__ = 53; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 53: 
      var $343=(($stack+1932)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $344=HEAP32[(($343)>>2)]; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $345=(($344+20)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $346=(($345+4)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $347=HEAP32[(($346)>>2)]; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $348=(($stack+1932)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $349=HEAP32[(($348)>>2)]; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $350=(($349+36)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $351=(($350+52)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $352=HEAP32[(($351)>>2)]; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $353=(($347+$352)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $354=(($353+3)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $354, 0, 7); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $355=(($stack+1932)|0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $356=HEAP32[(($355)>>2)]; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($356, 0); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 54: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 55; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 55: 
      __label__ = 56; break; //@line 644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 56: 
      var $360=$isMatch; //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $361=(($360) & 1); //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($361) { __label__ = 57; break; } else { __label__ = 63; break; } //@line 645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 57: 
      __label__ = 58; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 58: 
      $isMatch=0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 59; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 59: 
      __label__ = 1153; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 60: 
      __label__ = 61; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 61: 
      __label__ = 62; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 62: 
      __label__ = 63; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 63: 
      var $370=(($stack+1932)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $371=HEAP32[(($370)>>2)]; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $372=(($371+36)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $373=(($372+52)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($373)>>2)]=1; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $374=(($stack+1932)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $375=HEAP32[(($374)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $376=(($375+20)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $377=(($376+4)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $378=HEAP32[(($377)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $379=(($378+1)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $380=__ZL12getLinkValuePKh4461($379); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $381=(($stack+1932)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $382=HEAP32[(($381)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $383=(($382+20)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $384=(($383+4)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $385=HEAP32[(($384)>>2)]; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $386=(($385+$380)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($384)>>2)]=$386; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 64; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 64: 
      var $388=(($stack+1932)|0); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $389=HEAP32[(($388)>>2)]; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $390=(($389+20)|0); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $391=(($390+4)|0); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $392=HEAP32[(($391)>>2)]; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $393=HEAPU8[($392)]; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $394=(($393)&255); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $395=(($394)|0)==58; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($395) { __label__ = 52; break; } else { __label__ = 65; break; } //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 65: 
      var $397=(($stack+1932)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $398=HEAP32[(($397)>>2)]; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $399=(($398+36)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $400=(($399+52)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $401=HEAP32[(($400)>>2)]; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $402=(($401+3)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $403=(($stack+1932)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $404=HEAP32[(($403)>>2)]; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $405=(($404+20)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $406=(($405+4)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $407=HEAP32[(($406)>>2)]; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $408=(($407+$402)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($406)>>2)]=$408; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 66: 
      var $410=(($stack+1932)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $411=HEAP32[(($410)>>2)]; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $412=(($411+20)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $413=(($412+4)|0); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL21advanceToEndOfBracketRPKh4463($413); //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 67: 
      var $415=(($stack+1932)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $416=HEAP32[(($415)>>2)]; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $417=(($416+20)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $418=(($417+4)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $419=HEAP32[(($418)>>2)]; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $420=(($419+1)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $421=(($stack+1932)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $422=HEAP32[(($421)>>2)]; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $423=(($422+36)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $424=(($423+4)|0); //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($424)>>2)]=$420; //@line 668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $425=(($stack+1932)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $426=HEAP32[(($425)>>2)]; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $427=(($stack+1932)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $428=HEAP32[(($427)>>2)]; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $429=(($428+20)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $430=(($429+4)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $431=HEAP32[(($430)>>2)]; //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $432=(($431+1)|0); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame15extractBracketsEPKh($426, $432); //@line 669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $433=(($stack+1932)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $434=HEAP32[(($433)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $435=(($stack+1932)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $436=HEAP32[(($435)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $437=(($436+36)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $438=(($437+56)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $439=HEAP32[(($438)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $440=(($stack+1932)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $441=HEAP32[(($440)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $442=(($441+36)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $443=(($442+60)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $444=HEAP32[(($443)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $445=$6; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $446=(($445)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $447=HEAP32[(($446)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $448=$6; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $449=(($448+4)|0); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $450=HEAP32[(($449)>>2)]; //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame11saveOffsetsEiiPii($434, $439, $444, $447, $450); //@line 670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10LinearFlag3setEv($minSatNextBracket); //@line 671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 68; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 68: 
      var $452=(($stack+1932)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $453=HEAP32[(($452)>>2)]; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $454=(($453+36)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $455=(($454+4)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $456=HEAP32[(($455)>>2)]; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $457=(($stack+1932)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $458=HEAP32[(($457)>>2)]; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $459=(($458+20)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $460=(($459+12)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $461=HEAP32[(($460)>>2)]; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $456, $461, 14); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $462=(($stack+1932)|0); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $463=HEAP32[(($462)>>2)]; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($463, 1); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 69: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 70; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 70: 
      __label__ = 71; break; //@line 672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 71: 
      var $467=$isMatch; //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $468=(($467) & 1); //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($468) { __label__ = 72; break; } else { __label__ = 75; break; } //@line 673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 72: 
      __label__ = 73; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 73: 
      __label__ = 1153; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 74: 
      __label__ = 75; break; //@line 674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 75: 
      var $474=(($stack+1932)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $475=HEAP32[(($474)>>2)]; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $476=(($stack+1932)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $477=HEAP32[(($476)>>2)]; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $478=(($477+36)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $479=(($478+56)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $480=HEAP32[(($479)>>2)]; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $481=(($stack+1932)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $482=HEAP32[(($481)>>2)]; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $483=(($482+36)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $484=(($483+60)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $485=HEAP32[(($484)>>2)]; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $486=$6; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $487=(($486)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $488=HEAP32[(($487)>>2)]; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $489=$6; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $490=(($489+4)|0); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $491=HEAP32[(($490)>>2)]; //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame14restoreOffsetsEiiPii($475, $480, $485, $488, $491); //@line 675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $492=(($stack+1932)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $493=HEAP32[(($492)>>2)]; //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $494=(($493+36)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $495=(($494+4)|0); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL21advanceToEndOfBracketRPKh4463($495); //@line 676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $496=(($stack+1932)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $497=HEAP32[(($496)>>2)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $498=(($497+36)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $499=(($498+4)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $500=HEAP32[(($499)>>2)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $501=(($500+1)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $502=(($501+3)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $503=(($stack+1932)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $504=HEAP32[(($503)>>2)]; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $505=(($504+20)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $506=(($505+4)|0); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($506)>>2)]=$502; //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 76: 
      var $508=(($stack+1932)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $509=HEAP32[(($508)>>2)]; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $510=(($509+20)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $511=(($510+4)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $512=HEAP32[(($511)>>2)]; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $513=(($512+1)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $514=(($stack+1932)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $515=HEAP32[(($514)>>2)]; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $516=(($515+36)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $517=(($516+4)|0); //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($517)>>2)]=$513; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $518=(($stack+1932)|0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $519=HEAP32[(($518)>>2)]; //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $520=(($519+36)|0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $521=(($520+4)|0); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL21advanceToEndOfBracketRPKh4463($521); //@line 683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 77; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 77: 
      var $523=(($stack+1932)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $524=HEAP32[(($523)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $525=(($524+36)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $526=(($525+4)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $527=HEAP32[(($526)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $528=(($527+1)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $529=(($528+3)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $530=(($stack+1932)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $531=HEAP32[(($530)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $532=(($531+20)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $533=(($532+12)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $534=HEAP32[(($533)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $529, $534, 15); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $535=(($stack+1932)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $536=HEAP32[(($535)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($536, 0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 78: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 79; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 79: 
      __label__ = 80; break; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 80: 
      var $540=$isMatch; //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $541=(($540) & 1); //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($541) { __label__ = 81; break; } else { __label__ = 84; break; } //@line 685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 81: 
      __label__ = 82; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 82: 
      __label__ = 1153; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 83: 
      __label__ = 84; break; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 84: 
      var $547=(($stack+1932)|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $548=HEAP32[(($547)>>2)]; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $549=(($548+20)|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $550=(($549+4)|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $551=HEAP32[(($550)>>2)]; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $552=(($551+1)|0); //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($550)>>2)]=$552; //@line 687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 85: 
      var $554=(($stack+1932)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $555=HEAP32[(($554)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $556=(($555+20)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $557=(($556+4)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $558=HEAP32[(($557)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $559=(($stack+1932)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $560=HEAP32[(($559)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $561=(($560+20)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $562=(($561+4)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $563=HEAP32[(($562)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $564=(($563+1)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $565=__ZL12getLinkValuePKh4461($564); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $566=(((-$565))|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $567=(($558+$566)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $568=(($stack+1932)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $569=HEAP32[(($568)>>2)]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $570=(($569+36)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $571=(($570+12)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($571)>>2)]=$567; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $572=(($stack+1932)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $573=HEAP32[(($572)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $574=(($573+20)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $575=(($574+12)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $576=HEAP32[(($575)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $577=(($576+4)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $578=HEAP32[(($577)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $579=(($stack+1932)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $580=HEAP32[(($579)>>2)]; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $581=(($580+36)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $582=(($581+8)|0); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($582)>>2)]=$578; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $583=(($stack+1932)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $584=HEAP32[(($583)>>2)]; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $585=(($584+20)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $586=(($585+12)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $587=HEAP32[(($586)>>2)]; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $588=(($587+8)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $589=HEAP8[($588)]; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $590=(($589) & 1); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $591=(($stack+1932)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $592=HEAP32[(($591)>>2)]; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $593=(($592+36)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $594=(($593+68)|0); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $595=(($590)&1); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($594)]=$595; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $596=(($stack+1932)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $597=HEAP32[(($596)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $598=(($597+20)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $599=(($598+12)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $600=HEAP32[(($599)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $601=(($600)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $602=HEAP32[(($601)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $603=(($stack+1932)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $604=HEAP32[(($603)>>2)]; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $605=(($604+20)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $606=(($605+12)|0); //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($606)>>2)]=$602; //@line 705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $607=(($stack+1932)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $608=HEAP32[(($607)>>2)]; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $609=(($608+36)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $610=(($609+12)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $611=HEAP32[(($610)>>2)]; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $612=HEAPU8[($611)]; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $613=(($612)&255); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $614=(($613)|0)==62; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($614) { __label__ = 87; break; } else { __label__ = 86; break; } //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 86: 
      var $616=(($stack+1932)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $617=HEAP32[(($616)>>2)]; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $618=(($617+36)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $619=(($618+12)|0); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $620=HEAP32[(($619)>>2)]; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $621=HEAPU8[($620)]; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $622=(($621)&255); //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $623=(($622)|0)==63; //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($623) { __label__ = 87; break; } else { __label__ = 90; break; } //@line 707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 87: 
      var $625=(($stack+1932)|0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $626=HEAP32[(($625)>>2)]; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $627=(($626+20)|0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $628=(($627+8)|0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $629=HEAP32[(($628)>>2)]; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $630=$6; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $631=(($630+28)|0); //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($631)>>2)]=$629; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $isMatch=1; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 88; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 88: 
      __label__ = 1153; break; //@line 710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 89: 
      __label__ = 90; break; //@line 711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 90: 
      var $636=(($stack+1932)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $637=HEAP32[(($636)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $638=(($637+36)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $639=(($638+12)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $640=HEAP32[(($639)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $641=HEAPU8[($640)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $642=(($641)&255); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $643=(($642-67)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $644=(($stack+1932)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $645=HEAP32[(($644)>>2)]; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $646=(($645+36)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $647=(($646+44)|0); //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($647)>>2)]=$643; //@line 717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $648=(($stack+1932)|0); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $649=HEAP32[(($648)>>2)]; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $650=(($649+36)|0); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $651=(($650+44)|0); //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $652=HEAP32[(($651)>>2)]; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $653=(($652)|0) > 100; //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($653) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 91: 
      var $655=(($stack+1932)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $656=HEAP32[(($655)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $657=(($656+36)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $658=(($657+12)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $659=HEAP32[(($658)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $660=(($659+4)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $661=(($660+3)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $662=__ZL13get2ByteValuePKh4462($661); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $663=(($stack+1932)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $664=HEAP32[(($663)>>2)]; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $665=(($664+36)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $666=(($665+44)|0); //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($666)>>2)]=$662; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 92; break; //@line 723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 92: 
      var $668=(($stack+1932)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $669=HEAP32[(($668)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $670=(($669+36)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $671=(($670+44)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $672=HEAP32[(($671)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $673=((($672<<1))|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $674=(($stack+1932)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $675=HEAP32[(($674)>>2)]; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $676=(($675+36)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $677=(($676+48)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($677)>>2)]=$673; //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $678=(($stack+1932)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $679=HEAP32[(($678)>>2)]; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $680=(($679+36)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $681=(($680+44)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $682=HEAP32[(($681)>>2)]; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $683=(($682)|0) > 0; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($683) { __label__ = 93; break; } else { __label__ = 107; break; } //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 93: 
      var $685=(($stack+1932)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $686=HEAP32[(($685)>>2)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $687=(($686+36)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $688=(($687+48)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $689=HEAP32[(($688)>>2)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $690=$6; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $691=(($690+8)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $692=HEAP32[(($691)>>2)]; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $693=(($689)|0) >= (($692)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($693) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 94: 
      var $695=$6; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $696=(($695+12)|0); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($696)]=1; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 106; break; //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 95: 
      var $698=$6; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $699=(($698+4)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $700=HEAP32[(($699)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $701=(($stack+1932)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $702=HEAP32[(($701)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $703=(($702+36)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $704=(($703+44)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $705=HEAP32[(($704)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $706=(($700-$705)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $707=$6; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $708=(($707)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $709=HEAP32[(($708)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $710=(($709+($706<<2))|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $711=HEAP32[(($710)>>2)]; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $start=$711; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $712=(($stack+1932)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $713=HEAP32[(($712)>>2)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $714=(($713+20)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $715=(($714)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $716=HEAP32[(($715)>>2)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $717=$6; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $718=(($717+16)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $719=HEAP32[(($718)>>2)]; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $720=$716; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $721=$719; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $722=(($720-$721)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $723=(((($722)|0)/2)&-1); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $end=$723; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $724=$start; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $725=$end; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $726=(($724)|0)==(($725)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($726) { __label__ = 96; break; } else { __label__ = 103; break; } //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 96: 
      var $728=(($stack+1932)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $729=HEAP32[(($728)>>2)]; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $730=(($729+36)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $731=(($730+68)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $732=HEAP8[($731)]; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $733=(($732) & 1); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($733) { __label__ = 97; break; } else { __label__ = 103; break; } //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 97: 
      __label__ = 98; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 98: 
      $isMatch=0; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 99; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 99: 
      __label__ = 1153; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 100: 
      __label__ = 101; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 101: 
      __label__ = 102; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 102: 
      __label__ = 103; break; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 103: 
      var $742=$6; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $743=(($stack+1932)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $744=HEAP32[(($743)>>2)]; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $745=(($744+36)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $746=(($745+44)|0); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $747=HEAP32[(($746)>>2)]; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $748=$start; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $749=$end; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN9MatchData13setOffsetPairEjii($742, $747, $748, $749); //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $750=(($stack+1932)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $751=HEAP32[(($750)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $752=(($751+20)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $753=(($752+8)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $754=HEAP32[(($753)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $755=(($stack+1932)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $756=HEAP32[(($755)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $757=(($756+36)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $758=(($757+48)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $759=HEAP32[(($758)>>2)]; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $760=(($754)|0) <= (($759)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($760) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 104: 
      var $762=(($stack+1932)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $763=HEAP32[(($762)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $764=(($763+36)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $765=(($764+48)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $766=HEAP32[(($765)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $767=(($766+2)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $768=(($stack+1932)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $769=HEAP32[(($768)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $770=(($769+20)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $771=(($770+8)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($771)>>2)]=$767; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 105; break; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 105: 
      __label__ = 106; break;
    case 106: 
      __label__ = 107; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 107: 
      var $775=(($stack+1932)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $776=HEAP32[(($775)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $777=(($776+20)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $778=(($777+4)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $779=HEAP32[(($778)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $780=HEAPU8[($779)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $781=(($780)&255); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $782=(($781)|0)==59; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($782) { __label__ = 109; break; } else { __label__ = 108; break; } //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 108: 
      var $784=(($stack+1932)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $785=HEAP32[(($784)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $786=(($785+20)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $787=(($786)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $788=HEAP32[(($787)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $789=(($stack+1932)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $790=HEAP32[(($789)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $791=(($790+36)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $792=(($791+8)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $793=HEAP32[(($792)>>2)]; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $794=(($788)|0)==(($793)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($794) { __label__ = 109; break; } else { __label__ = 118; break; } //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 109: 
      var $796=(($stack+1932)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $797=HEAP32[(($796)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $798=(($797+20)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $799=(($798)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $800=HEAP32[(($799)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $801=(($stack+1932)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $802=HEAP32[(($801)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $803=(($802+36)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $804=(($803+8)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $805=HEAP32[(($804)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $806=(($800)|0)==(($805)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($806) { __label__ = 110; break; } else { __label__ = 117; break; } //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 110: 
      var $808=(($stack+1932)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $809=HEAP32[(($808)>>2)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $810=(($809+36)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $811=(($810+68)|0); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $812=HEAP8[($811)]; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $813=(($812) & 1); //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($813) { __label__ = 111; break; } else { __label__ = 117; break; } //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 111: 
      __label__ = 112; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 112: 
      $isMatch=0; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 113; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 113: 
      __label__ = 1153; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 114: 
      __label__ = 115; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 115: 
      __label__ = 116; break; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 116: 
      __label__ = 117; break; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 117: 
      var $822=(($stack+1932)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $823=HEAP32[(($822)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $824=(($823+20)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $825=(($824+4)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $826=HEAP32[(($825)>>2)]; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $827=(($826+4)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($825)>>2)]=$827; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 118: 
      var $829=(($stack+1932)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $830=HEAP32[(($829)>>2)]; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $831=(($stack+1932)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $832=HEAP32[(($831)>>2)]; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $833=(($832+36)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $834=(($833+12)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $835=HEAP32[(($834)>>2)]; //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame15extractBracketsEPKh($830, $835); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $836=(($stack+1932)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $837=HEAP32[(($836)>>2)]; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $838=(($837+20)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $839=(($838+4)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $840=HEAP32[(($839)>>2)]; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $841=HEAPU8[($840)]; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $842=(($841)&255); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $843=(($842)|0)==61; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($843) { __label__ = 119; break; } else { __label__ = 133; break; } //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 119: 
      var $845=(($stack+1932)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $846=HEAP32[(($845)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $847=(($stack+1932)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $848=HEAP32[(($847)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $849=(($848+36)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $850=(($849+56)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $851=HEAP32[(($850)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $852=(($stack+1932)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $853=HEAP32[(($852)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $854=(($853+36)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $855=(($854+60)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $856=HEAP32[(($855)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $857=$6; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $858=(($857)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $859=HEAP32[(($858)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $860=$6; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $861=(($860+4)|0); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $862=HEAP32[(($861)>>2)]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame11saveOffsetsEiiPii($846, $851, $856, $859, $862); //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 120; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 120: 
      var $864=(($stack+1932)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $865=HEAP32[(($864)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $866=(($865+20)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $867=(($866+4)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $868=HEAP32[(($867)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $869=(($868+1)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $870=(($869+3)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $871=(($stack+1932)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $872=HEAP32[(($871)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $873=(($872+20)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $874=(($873+12)|0); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $875=HEAP32[(($874)>>2)]; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $870, $875, 16); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 121: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 122; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 122: 
      __label__ = 123; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 123: 
      var $879=$isMatch; //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $880=(($879) & 1); //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($880) { __label__ = 124; break; } else { __label__ = 127; break; } //@line 775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 124: 
      __label__ = 125; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 125: 
      __label__ = 1153; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 126: 
      __label__ = 128; break; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 127: 
      var $886=(($stack+1932)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $887=HEAP32[(($886)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $888=(($stack+1932)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $889=HEAP32[(($888)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $890=(($889+36)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $891=(($890+56)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $892=HEAP32[(($891)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $893=(($stack+1932)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $894=HEAP32[(($893)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $895=(($894+36)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $896=(($895+60)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $897=HEAP32[(($896)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $898=$6; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $899=(($898)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $900=HEAP32[(($899)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $901=$6; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $902=(($901+4)|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $903=HEAP32[(($902)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame14restoreOffsetsEiiPii($887, $892, $897, $900, $903); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 128; break;
    case 128: 
      __ZN10LinearFlag3setEv($minSatNextBracket); //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 129; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 129: 
      var $906=(($stack+1932)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $907=HEAP32[(($906)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $908=(($907+36)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $909=(($908+12)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $910=HEAP32[(($909)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $911=(($stack+1932)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $912=HEAP32[(($911)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $913=(($912+20)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $914=(($913+12)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $915=HEAP32[(($914)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $910, $915, 17); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $916=(($stack+1932)|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $917=HEAP32[(($916)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($917, 1); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 130: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 131; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 131: 
      __label__ = 132; break; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 132: 
      __label__ = 147; break; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 133: 
      var $922=(($stack+1932)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $923=HEAP32[(($922)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $924=(($stack+1932)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $925=HEAP32[(($924)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $926=(($925+36)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $927=(($926+56)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $928=HEAP32[(($927)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $929=(($stack+1932)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $930=HEAP32[(($929)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $931=(($930+36)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $932=(($931+60)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $933=HEAP32[(($932)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $934=$6; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $935=(($934)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $936=HEAP32[(($935)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $937=$6; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $938=(($937+4)|0); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $939=HEAP32[(($938)>>2)]; //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame11saveOffsetsEiiPii($923, $928, $933, $936, $939); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $940=(($stack+1932)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $941=HEAP32[(($940)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $942=(($stack+1932)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $943=HEAP32[(($942)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $944=(($943+36)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $945=(($944+56)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $946=HEAP32[(($945)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $947=(($stack+1932)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $948=HEAP32[(($947)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $949=(($948+36)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $950=(($949+60)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $951=HEAP32[(($950)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $952=$6; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $953=(($952)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $954=HEAP32[(($953)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $955=$6; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $956=(($955+4)|0); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $957=HEAP32[(($956)>>2)]; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame14clobberOffsetsEiiPii($941, $946, $951, $954, $957); //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10LinearFlag3setEv($minSatNextBracket); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 134; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 134: 
      var $959=(($stack+1932)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $960=HEAP32[(($959)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $961=(($960+36)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $962=(($961+12)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $963=HEAP32[(($962)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $964=(($stack+1932)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $965=HEAP32[(($964)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $966=(($965+20)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $967=(($966+12)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $968=HEAP32[(($967)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $963, $968, 18); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $969=(($stack+1932)|0); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $970=HEAP32[(($969)>>2)]; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($970, 1); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 135: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 136; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 136: 
      __label__ = 137; break; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 137: 
      var $974=$isMatch; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $975=(($974) & 1); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($975) { __label__ = 138; break; } else { __label__ = 141; break; } //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 138: 
      __label__ = 139; break; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 139: 
      __label__ = 1153; break; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 140: 
      __label__ = 142; break; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 141: 
      var $981=(($stack+1932)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $982=HEAP32[(($981)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $983=(($stack+1932)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $984=HEAP32[(($983)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $985=(($984+36)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $986=(($985+56)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $987=HEAP32[(($986)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $988=(($stack+1932)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $989=HEAP32[(($988)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $990=(($989+36)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $991=(($990+60)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $992=HEAP32[(($991)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $993=$6; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $994=(($993)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $995=HEAP32[(($994)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $996=$6; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $997=(($996+4)|0); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $998=HEAP32[(($997)>>2)]; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame14restoreOffsetsEiiPii($982, $987, $992, $995, $998); //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 142; break;
    case 142: 
      __label__ = 143; break; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 143: 
      var $1001=(($stack+1932)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1002=HEAP32[(($1001)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1003=(($1002+20)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1004=(($1003+4)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1005=HEAP32[(($1004)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1006=(($1005+1)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1007=(($1006+3)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1008=(($stack+1932)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1009=HEAP32[(($1008)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1010=(($1009+20)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1011=(($1010+12)|0); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1012=HEAP32[(($1011)>>2)]; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $1007, $1012, 19); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 144: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 145; break; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 145: 
      __label__ = 146; break; //@line 792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 146: 
      __label__ = 147; break;
    case 147: 
      __label__ = 148; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 148: 
      __label__ = 1153; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 149: 
      __label__ = 150; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 150: 
      var $1021=(($stack+1932)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1022=HEAP32[(($1021)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1023=(($1022+20)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1024=(($1023)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1025=HEAP32[(($1024)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1026=$6; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1027=(($1026+16)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1028=HEAP32[(($1027)>>2)]; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1029=(($1025)|0)!=(($1028)|0); //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1029) { __label__ = 151; break; } else { __label__ = 157; break; } //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 151: 
      __label__ = 152; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 152: 
      $isMatch=0; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 153; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 153: 
      __label__ = 1153; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 154: 
      __label__ = 155; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 155: 
      __label__ = 156; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 156: 
      __label__ = 157; break; //@line 800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 157: 
      var $1038=(($stack+1932)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1039=HEAP32[(($1038)>>2)]; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1040=(($1039+20)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1041=(($1040+4)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1042=HEAP32[(($1041)>>2)]; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1043=(($1042+1)|0); //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1041)>>2)]=$1043; //@line 801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 158: 
      var $1045=(($stack+1932)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1046=HEAP32[(($1045)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1047=(($1046+20)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1048=(($1047)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1049=HEAP32[(($1048)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1050=$6; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1051=(($1050+16)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1052=HEAP32[(($1051)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1053=(($1049)|0)!=(($1052)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1053) { __label__ = 159; break; } else { __label__ = 166; break; } //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 159: 
      var $1055=(($stack+1932)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1056=HEAP32[(($1055)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1057=(($1056+20)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1058=(($1057)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1059=HEAP32[(($1058)>>2)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1060=(($1059-2)|0); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1061=HEAP16[(($1060)>>1)]; //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1062=__ZL9isNewlinet($1061); //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1062) { __label__ = 166; break; } else { __label__ = 160; break; } //@line 807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 160: 
      __label__ = 161; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 161: 
      $isMatch=0; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 162; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 162: 
      __label__ = 1153; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 163: 
      __label__ = 164; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 164: 
      __label__ = 165; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 165: 
      __label__ = 166; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 166: 
      var $1071=(($stack+1932)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1072=HEAP32[(($1071)>>2)]; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1073=(($1072+20)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1074=(($1073+4)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1075=HEAP32[(($1074)>>2)]; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1076=(($1075+1)|0); //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1074)>>2)]=$1076; //@line 809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 167: 
      var $1078=(($stack+1932)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1079=HEAP32[(($1078)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1080=(($1079+20)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1081=(($1080)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1082=HEAPU32[(($1081)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1083=$6; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1084=(($1083+20)|0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1085=HEAPU32[(($1084)>>2)]; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1086=(($1082)>>>0) < (($1085)>>>0); //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1086) { __label__ = 168; break; } else { __label__ = 174; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 168: 
      __label__ = 169; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 169: 
      $isMatch=0; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 170; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 170: 
      __label__ = 1153; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 171: 
      __label__ = 172; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 172: 
      __label__ = 173; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 173: 
      __label__ = 174; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 174: 
      var $1095=(($stack+1932)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1096=HEAP32[(($1095)>>2)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1097=(($1096+20)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1098=(($1097+4)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1099=HEAP32[(($1098)>>2)]; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1100=(($1099+1)|0); //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1098)>>2)]=$1100; //@line 817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 175: 
      var $1102=(($stack+1932)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1103=HEAP32[(($1102)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1104=(($1103+20)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1105=(($1104)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1106=HEAPU32[(($1105)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1107=$6; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1108=(($1107+20)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1109=HEAPU32[(($1108)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1110=(($1106)>>>0) < (($1109)>>>0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1110) { __label__ = 176; break; } else { __label__ = 183; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 176: 
      var $1112=(($stack+1932)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1113=HEAP32[(($1112)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1114=(($1113+20)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1115=(($1114)|0); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1116=HEAP32[(($1115)>>2)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1117=HEAP16[(($1116)>>1)]; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1118=__ZL9isNewlinet($1117); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1118) { __label__ = 183; break; } else { __label__ = 177; break; } //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 177: 
      __label__ = 178; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 178: 
      $isMatch=0; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 179; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 179: 
      __label__ = 1153; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 180: 
      __label__ = 181; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 181: 
      __label__ = 182; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 182: 
      __label__ = 183; break; //@line 824 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 183: 
      var $1127=(($stack+1932)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1128=HEAP32[(($1127)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1129=(($1128+20)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1130=(($1129+4)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1131=HEAP32[(($1130)>>2)]; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1132=(($1131+1)|0); //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1130)>>2)]=$1132; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 184: 
      $currentCharIsWordChar=0; //@line 832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $previousCharIsWordChar=0; //@line 833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1134=(($stack+1932)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1135=HEAP32[(($1134)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1136=(($1135+20)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1137=(($1136)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1138=HEAPU32[(($1137)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1139=$6; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1140=(($1139+16)|0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1141=HEAPU32[(($1140)>>2)]; //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1142=(($1138)>>>0) > (($1141)>>>0); //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1142) { __label__ = 185; break; } else { __label__ = 186; break; } //@line 835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 185: 
      var $1144=(($stack+1932)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1145=HEAP32[(($1144)>>2)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1146=(($1145+20)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1147=(($1146)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1148=HEAP32[(($1147)>>2)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1149=(($1148-2)|0); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1150=HEAP16[(($1149)>>1)]; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1151=__ZL10isWordChart($1150); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1152=(($1151)&1); //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $previousCharIsWordChar=$1152; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 186; break; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 186: 
      var $1154=(($stack+1932)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1155=HEAP32[(($1154)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1156=(($1155+20)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1157=(($1156)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1158=HEAPU32[(($1157)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1159=$6; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1160=(($1159+20)|0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1161=HEAPU32[(($1160)>>2)]; //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1162=(($1158)>>>0) < (($1161)>>>0); //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1162) { __label__ = 187; break; } else { __label__ = 188; break; } //@line 837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 187: 
      var $1164=(($stack+1932)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1165=HEAP32[(($1164)>>2)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1166=(($1165+20)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1167=(($1166)|0); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1168=HEAP32[(($1167)>>2)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1169=HEAP16[(($1168)>>1)]; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1170=__ZL10isWordChart($1169); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1171=(($1170)&1); //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $currentCharIsWordChar=$1171; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 188; break; //@line 838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 188: 
      var $1173=(($stack+1932)|0); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1174=HEAP32[(($1173)>>2)]; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1175=(($1174+20)|0); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1176=(($1175+4)|0); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1177=HEAP32[(($1176)>>2)]; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1178=(($1177+1)|0); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1176)>>2)]=$1178; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1179=HEAPU8[($1177)]; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1180=(($1179)&255); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1181=(($1180)|0)==2; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1182=(($1181)&1); //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $wordBoundaryDesired=$1182; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1183=$wordBoundaryDesired; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1184=(($1183) & 1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1184) { __label__ = 189; break; } else { __label__ = 190; break; } //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 189: 
      var $1186=$currentCharIsWordChar; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1187=(($1186) & 1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1188=(($1187)&1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1189=$previousCharIsWordChar; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1190=(($1189) & 1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1191=(($1190)&1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1192=(($1188)|0)==(($1191)|0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1192) { __label__ = 191; break; } else { __label__ = 197; break; } //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 190: 
      var $1194=$currentCharIsWordChar; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1195=(($1194) & 1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1196=(($1195)&1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1197=$previousCharIsWordChar; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1198=(($1197) & 1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1199=(($1198)&1); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1200=(($1196)|0)!=(($1199)|0); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1200) { __label__ = 191; break; } else { __label__ = 197; break; } //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 191: 
      __label__ = 192; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 192: 
      $isMatch=0; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 193; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 193: 
      __label__ = 1153; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 194: 
      __label__ = 195; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 195: 
      __label__ = 196; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 196: 
      __label__ = 197; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 197: 
      __label__ = 5; break; //@line 844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 198: 
      var $1210=(($stack+1932)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1211=HEAP32[(($1210)>>2)]; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1212=(($1211+20)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1213=(($1212)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1214=HEAPU32[(($1213)>>2)]; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1215=$6; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1216=(($1215+20)|0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1217=HEAPU32[(($1216)>>2)]; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1218=(($1214)>>>0) >= (($1217)>>>0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1218) { __label__ = 199; break; } else { __label__ = 205; break; } //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 199: 
      __label__ = 200; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 200: 
      $isMatch=0; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 201; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 201: 
      __label__ = 1153; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 202: 
      __label__ = 203; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 203: 
      __label__ = 204; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 204: 
      __label__ = 205; break; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 205: 
      var $1227=(($stack+1932)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1228=HEAP32[(($1227)>>2)]; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1229=(($1228+20)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1230=(($1229)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1231=HEAP32[(($1230)>>2)]; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1232=(($1231+2)|0); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1230)>>2)]=$1232; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1233=HEAP16[(($1231)>>1)]; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1234=__ZL9isNewlinet($1233); //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1234) { __label__ = 206; break; } else { __label__ = 212; break; } //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 206: 
      __label__ = 207; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 207: 
      $isMatch=0; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 208; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 208: 
      __label__ = 1153; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 209: 
      __label__ = 210; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 210: 
      __label__ = 211; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 211: 
      __label__ = 212; break; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 212: 
      var $1243=(($stack+1932)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1244=HEAP32[(($1243)>>2)]; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1245=(($1244+20)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1246=(($1245+4)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1247=HEAP32[(($1246)>>2)]; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1248=(($1247+1)|0); //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1246)>>2)]=$1248; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 213: 
      var $1250=(($stack+1932)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1251=HEAP32[(($1250)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1252=(($1251+20)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1253=(($1252)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1254=HEAPU32[(($1253)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1255=$6; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1256=(($1255+20)|0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1257=HEAPU32[(($1256)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1258=(($1254)>>>0) >= (($1257)>>>0); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1258) { __label__ = 214; break; } else { __label__ = 220; break; } //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 214: 
      __label__ = 215; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 215: 
      $isMatch=0; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 216; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 216: 
      __label__ = 1153; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 217: 
      __label__ = 218; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 218: 
      __label__ = 219; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 219: 
      __label__ = 220; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 220: 
      var $1267=(($stack+1932)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1268=HEAP32[(($1267)>>2)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1269=(($1268+20)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1270=(($1269)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1271=HEAP32[(($1270)>>2)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1272=(($1271+2)|0); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1270)>>2)]=$1272; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1273=HEAP16[(($1271)>>1)]; //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1274=__ZN3WTF12isASCIIDigitEt($1273); //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1274) { __label__ = 221; break; } else { __label__ = 227; break; } //@line 860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 221: 
      __label__ = 222; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 222: 
      $isMatch=0; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 223; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 223: 
      __label__ = 1153; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 224: 
      __label__ = 225; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 225: 
      __label__ = 226; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 226: 
      __label__ = 227; break; //@line 861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 227: 
      var $1283=(($stack+1932)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1284=HEAP32[(($1283)>>2)]; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1285=(($1284+20)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1286=(($1285+4)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1287=HEAP32[(($1286)>>2)]; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1288=(($1287+1)|0); //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1286)>>2)]=$1288; //@line 862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 228: 
      var $1290=(($stack+1932)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1291=HEAP32[(($1290)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1292=(($1291+20)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1293=(($1292)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1294=HEAPU32[(($1293)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1295=$6; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1296=(($1295+20)|0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1297=HEAPU32[(($1296)>>2)]; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1298=(($1294)>>>0) >= (($1297)>>>0); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1298) { __label__ = 229; break; } else { __label__ = 235; break; } //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 229: 
      __label__ = 230; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 230: 
      $isMatch=0; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 231; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 231: 
      __label__ = 1153; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 232: 
      __label__ = 233; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 233: 
      __label__ = 234; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 234: 
      __label__ = 235; break; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 235: 
      var $1307=(($stack+1932)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1308=HEAP32[(($1307)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1309=(($1308+20)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1310=(($1309)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1311=HEAP32[(($1310)>>2)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1312=(($1311+2)|0); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1310)>>2)]=$1312; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1313=HEAP16[(($1311)>>1)]; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1314=__ZN3WTF12isASCIIDigitEt($1313); //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1314) { __label__ = 242; break; } else { __label__ = 236; break; } //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 236: 
      __label__ = 237; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 237: 
      $isMatch=0; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 238; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 238: 
      __label__ = 1153; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 239: 
      __label__ = 240; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 240: 
      __label__ = 241; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 241: 
      __label__ = 242; break; //@line 869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 242: 
      var $1323=(($stack+1932)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1324=HEAP32[(($1323)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1325=(($1324+20)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1326=(($1325+4)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1327=HEAP32[(($1326)>>2)]; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1328=(($1327+1)|0); //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1326)>>2)]=$1328; //@line 870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 243: 
      var $1330=(($stack+1932)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1331=HEAP32[(($1330)>>2)]; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1332=(($1331+20)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1333=(($1332)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1334=HEAPU32[(($1333)>>2)]; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1335=$6; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1336=(($1335+20)|0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1337=HEAPU32[(($1336)>>2)]; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1338=(($1334)>>>0) >= (($1337)>>>0); //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1338) { __label__ = 244; break; } else { __label__ = 250; break; } //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 244: 
      __label__ = 245; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 245: 
      $isMatch=0; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 246; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 246: 
      __label__ = 1153; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 247: 
      __label__ = 248; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 248: 
      __label__ = 249; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 249: 
      __label__ = 250; break; //@line 875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 250: 
      var $1347=(($stack+1932)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1348=HEAP32[(($1347)>>2)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1349=(($1348+20)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1350=(($1349)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1351=HEAP32[(($1350)>>2)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1352=(($1351+2)|0); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1350)>>2)]=$1352; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1353=HEAP16[(($1351)>>1)]; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1354=__ZL11isSpaceChart($1353); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1354) { __label__ = 251; break; } else { __label__ = 257; break; } //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 251: 
      __label__ = 252; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 252: 
      $isMatch=0; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 253; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 253: 
      __label__ = 1153; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 254: 
      __label__ = 255; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 255: 
      __label__ = 256; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 256: 
      __label__ = 257; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 257: 
      var $1363=(($stack+1932)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1364=HEAP32[(($1363)>>2)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1365=(($1364+20)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1366=(($1365+4)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1367=HEAP32[(($1366)>>2)]; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1368=(($1367+1)|0); //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1366)>>2)]=$1368; //@line 878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 258: 
      var $1370=(($stack+1932)|0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1371=HEAP32[(($1370)>>2)]; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1372=(($1371+20)|0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1373=(($1372)|0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1374=HEAPU32[(($1373)>>2)]; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1375=$6; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1376=(($1375+20)|0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1377=HEAPU32[(($1376)>>2)]; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1378=(($1374)>>>0) >= (($1377)>>>0); //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1378) { __label__ = 259; break; } else { __label__ = 265; break; } //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 259: 
      __label__ = 260; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 260: 
      $isMatch=0; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 261; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 261: 
      __label__ = 1153; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 262: 
      __label__ = 263; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 263: 
      __label__ = 264; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 264: 
      __label__ = 265; break; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 265: 
      var $1387=(($stack+1932)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1388=HEAP32[(($1387)>>2)]; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1389=(($1388+20)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1390=(($1389)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1391=HEAP32[(($1390)>>2)]; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1392=(($1391+2)|0); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1390)>>2)]=$1392; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1393=HEAP16[(($1391)>>1)]; //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1394=__ZL11isSpaceChart($1393); //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1394) { __label__ = 272; break; } else { __label__ = 266; break; } //@line 884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 266: 
      __label__ = 267; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 267: 
      $isMatch=0; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 268; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 268: 
      __label__ = 1153; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 269: 
      __label__ = 270; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 270: 
      __label__ = 271; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 271: 
      __label__ = 272; break; //@line 885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 272: 
      var $1403=(($stack+1932)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1404=HEAP32[(($1403)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1405=(($1404+20)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1406=(($1405+4)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1407=HEAP32[(($1406)>>2)]; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1408=(($1407+1)|0); //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1406)>>2)]=$1408; //@line 886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 273: 
      var $1410=(($stack+1932)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1411=HEAP32[(($1410)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1412=(($1411+20)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1413=(($1412)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1414=HEAPU32[(($1413)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1415=$6; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1416=(($1415+20)|0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1417=HEAPU32[(($1416)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1418=(($1414)>>>0) >= (($1417)>>>0); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1418) { __label__ = 274; break; } else { __label__ = 280; break; } //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 274: 
      __label__ = 275; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 275: 
      $isMatch=0; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 276; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 276: 
      __label__ = 1153; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 277: 
      __label__ = 278; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 278: 
      __label__ = 279; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 279: 
      __label__ = 280; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 280: 
      var $1427=(($stack+1932)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1428=HEAP32[(($1427)>>2)]; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1429=(($1428+20)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1430=(($1429)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1431=HEAP32[(($1430)>>2)]; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1432=(($1431+2)|0); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1430)>>2)]=$1432; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1433=HEAP16[(($1431)>>1)]; //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1434=__ZL10isWordChart($1433); //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1434) { __label__ = 281; break; } else { __label__ = 287; break; } //@line 892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 281: 
      __label__ = 282; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 282: 
      $isMatch=0; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 283; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 283: 
      __label__ = 1153; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 284: 
      __label__ = 285; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 285: 
      __label__ = 286; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 286: 
      __label__ = 287; break; //@line 893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 287: 
      var $1443=(($stack+1932)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1444=HEAP32[(($1443)>>2)]; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1445=(($1444+20)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1446=(($1445+4)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1447=HEAP32[(($1446)>>2)]; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1448=(($1447+1)|0); //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1446)>>2)]=$1448; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 288: 
      var $1450=(($stack+1932)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1451=HEAP32[(($1450)>>2)]; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1452=(($1451+20)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1453=(($1452)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1454=HEAPU32[(($1453)>>2)]; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1455=$6; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1456=(($1455+20)|0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1457=HEAPU32[(($1456)>>2)]; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1458=(($1454)>>>0) >= (($1457)>>>0); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1458) { __label__ = 289; break; } else { __label__ = 295; break; } //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 289: 
      __label__ = 290; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 290: 
      $isMatch=0; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 291; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 291: 
      __label__ = 1153; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 292: 
      __label__ = 293; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 293: 
      __label__ = 294; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 294: 
      __label__ = 295; break; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 295: 
      var $1467=(($stack+1932)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1468=HEAP32[(($1467)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1469=(($1468+20)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1470=(($1469)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1471=HEAP32[(($1470)>>2)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1472=(($1471+2)|0); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1470)>>2)]=$1472; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1473=HEAP16[(($1471)>>1)]; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1474=__ZL10isWordChart($1473); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1474) { __label__ = 302; break; } else { __label__ = 296; break; } //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 296: 
      __label__ = 297; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 297: 
      $isMatch=0; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 298; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 298: 
      __label__ = 1153; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 299: 
      __label__ = 300; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 300: 
      __label__ = 301; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 301: 
      __label__ = 302; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 302: 
      var $1483=(($stack+1932)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1484=HEAP32[(($1483)>>2)]; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1485=(($1484+20)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1486=(($1485+4)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1487=HEAP32[(($1486)>>2)]; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1488=(($1487+1)|0); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1486)>>2)]=$1488; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 303: 
      var $1490=(($stack+1932)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1491=HEAP32[(($1490)>>2)]; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1492=(($1491+20)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1493=(($1492+4)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1494=HEAP32[(($1493)>>2)]; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1495=(($1494+1)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1496=__ZL13get2ByteValuePKh4462($1495); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1497=$1496 << 1; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1498=(($stack+1932)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1499=HEAP32[(($1498)>>2)]; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1500=(($1499+36)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1501=(($1500+48)|0); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1501)>>2)]=$1497; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1502=(($stack+1932)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1503=HEAP32[(($1502)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1504=(($1503+20)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1505=(($1504+4)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1506=HEAP32[(($1505)>>2)]; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1507=(($1506+3)|0); //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1505)>>2)]=$1507; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1508=(($stack+1932)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1509=HEAP32[(($1508)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1510=(($1509+36)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1511=(($1510+48)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1512=HEAP32[(($1511)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1513=(($stack+1932)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1514=HEAP32[(($1513)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1515=(($1514+20)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1516=(($1515+8)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1517=HEAP32[(($1516)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1518=(($1512)|0) >= (($1517)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1518) { __label__ = 305; break; } else { __label__ = 304; break; } //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 304: 
      var $1520=(($stack+1932)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1521=HEAP32[(($1520)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1522=(($1521+36)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1523=(($1522+48)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1524=HEAP32[(($1523)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1525=$6; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1526=(($1525)|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1527=HEAP32[(($1526)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1528=(($1527+($1524<<2))|0); //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1529=HEAP32[(($1528)>>2)]; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1530=(($1529)|0) < 0; //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1530) { __label__ = 305; break; } else { __label__ = 306; break; } //@line 922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 305: 
      var $1532=(($stack+1932)|0); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1533=HEAP32[(($1532)>>2)]; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1534=(($1533+36)|0); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1535=(($1534+36)|0); //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1535)>>2)]=0; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 307; break; //@line 923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 306: 
      var $1537=(($stack+1932)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1538=HEAP32[(($1537)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1539=(($1538+36)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1540=(($1539+48)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1541=HEAP32[(($1540)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1542=(($1541+1)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1543=$6; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1544=(($1543)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1545=HEAP32[(($1544)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1546=(($1545+($1542<<2))|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1547=HEAP32[(($1546)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1548=(($stack+1932)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1549=HEAP32[(($1548)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1550=(($1549+36)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1551=(($1550+48)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1552=HEAP32[(($1551)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1553=$6; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1554=(($1553)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1555=HEAP32[(($1554)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1556=(($1555+($1552<<2))|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1557=HEAP32[(($1556)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1558=(($1547-$1557)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1559=(($stack+1932)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1560=HEAP32[(($1559)>>2)]; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1561=(($1560+36)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1562=(($1561+36)|0); //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1562)>>2)]=$1558; //@line 925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 307; break;
    case 307: 
      var $1564=(($stack+1932)|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1565=HEAP32[(($1564)>>2)]; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1566=(($1565+20)|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1567=(($1566+4)|0); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1568=HEAP32[(($1567)>>2)]; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1569=HEAPU8[($1568)]; //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1570=(($1569)&255); //@line 929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ((($1570)|0) == 46 || (($1570)|0) == 47 || (($1570)|0) == 48 || (($1570)|0) == 49 || (($1570)|0) == 50 || (($1570)|0) == 51) {
        __label__ = 308; break;
      }
      else if ((($1570)|0) == 52 || (($1570)|0) == 53) {
        __label__ = 309; break;
      }
      else {
      __label__ = 312; break;
      }
      
    case 308: 
      var $1572=(($stack+1932)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1573=HEAP32[(($1572)>>2)]; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1574=(($1573+20)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1575=(($1574+4)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1576=HEAP32[(($1575)>>2)]; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1577=(($1576+1)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1575)>>2)]=$1577; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1578=HEAPU8[($1576)]; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1579=(($1578)&255); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1580=(($1579-46)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1581=(($1580) & 65535); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1582=(($stack+1932)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1583=HEAP32[(($1582)>>2)]; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1584=(($1583+36)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1585=(($1584+40)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL38repeatInformationFromInstructionOffsetsRbRiS0_($1581, $minimize, $min, $1585); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 320; break; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 309: 
      var $1587=(($stack+1932)|0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1588=HEAP32[(($1587)>>2)]; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1589=(($1588+20)|0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1590=(($1589+4)|0); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1591=HEAP32[(($1590)>>2)]; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1592=HEAPU8[($1591)]; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1593=(($1592)&255); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1594=(($1593)|0)==53; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1595=(($1594)&1); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=$1595; //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1596=(($stack+1932)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1597=HEAP32[(($1596)>>2)]; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1598=(($1597+20)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1599=(($1598+4)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1600=HEAP32[(($1599)>>2)]; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1601=(($1600+1)|0); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1602=__ZL13get2ByteValuePKh4462($1601); //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($min)>>2)]=$1602; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1603=(($stack+1932)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1604=HEAP32[(($1603)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1605=(($1604+20)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1606=(($1605+4)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1607=HEAP32[(($1606)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1608=(($1607+3)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1609=__ZL13get2ByteValuePKh4462($1608); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1610=(($stack+1932)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1611=HEAP32[(($1610)>>2)]; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1612=(($1611+36)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1613=(($1612+40)|0); //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1613)>>2)]=$1609; //@line 943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1614=(($stack+1932)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1615=HEAP32[(($1614)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1616=(($1615+36)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1617=(($1616+40)|0); //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1618=HEAP32[(($1617)>>2)]; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1619=(($1618)|0)==0; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1619) { __label__ = 310; break; } else { __label__ = 311; break; } //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 310: 
      var $1621=(($stack+1932)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1622=HEAP32[(($1621)>>2)]; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1623=(($1622+36)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1624=(($1623+40)|0); //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1624)>>2)]=2147483647; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 311; break; //@line 945 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 311: 
      var $1626=(($stack+1932)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1627=HEAP32[(($1626)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1628=(($1627+20)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1629=(($1628+4)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1630=HEAP32[(($1629)>>2)]; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1631=(($1630+5)|0); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1629)>>2)]=$1631; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 320; break; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 312: 
      var $1633=(($stack+1932)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1634=HEAP32[(($1633)>>2)]; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1635=(($1634+36)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1636=(($1635+48)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1637=HEAP32[(($1636)>>2)]; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1638=(($stack+1932)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1639=HEAP32[(($1638)>>2)]; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1640=(($1639+20)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1641=(($1640)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1642=HEAP32[(($1641)>>2)]; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1643=(($stack+1932)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1644=HEAP32[(($1643)>>2)]; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1645=(($1644+36)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1646=(($1645+36)|0); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1647=HEAP32[(($1646)>>2)]; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1648=$6; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1649=__ZL8matchRefiPKtiRK9MatchData($1637, $1642, $1647, $1648); //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1649) { __label__ = 319; break; } else { __label__ = 313; break; } //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 313: 
      __label__ = 314; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 314: 
      $isMatch=0; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 315; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 315: 
      __label__ = 1153; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 316: 
      __label__ = 317; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 317: 
      __label__ = 318; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 318: 
      __label__ = 319; break; //@line 951 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 319: 
      var $1658=(($stack+1932)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1659=HEAP32[(($1658)>>2)]; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1660=(($1659+36)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1661=(($1660+36)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1662=HEAP32[(($1661)>>2)]; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1663=(($stack+1932)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1664=HEAP32[(($1663)>>2)]; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1665=(($1664+20)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1666=(($1665)|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1667=HEAP32[(($1666)>>2)]; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1668=(($1667+($1662<<1))|0); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1666)>>2)]=$1668; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 320: 
      var $1670=(($stack+1932)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1671=HEAP32[(($1670)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1672=(($1671+36)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1673=(($1672+36)|0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1674=HEAP32[(($1673)>>2)]; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1675=(($1674)|0)==0; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1675) { __label__ = 321; break; } else { __label__ = 322; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 321: 
      __label__ = 5; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 322: 
      $i3=1; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 323; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 323: 
      var $1679=$i3; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1680=HEAP32[(($min)>>2)]; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1681=(($1679)|0) <= (($1680)|0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1681) { __label__ = 324; break; } else { __label__ = 333; break; } //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 324: 
      var $1683=(($stack+1932)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1684=HEAP32[(($1683)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1685=(($1684+36)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1686=(($1685+48)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1687=HEAP32[(($1686)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1688=(($stack+1932)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1689=HEAP32[(($1688)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1690=(($1689+20)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1691=(($1690)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1692=HEAP32[(($1691)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1693=(($stack+1932)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1694=HEAP32[(($1693)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1695=(($1694+36)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1696=(($1695+36)|0); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1697=HEAP32[(($1696)>>2)]; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1698=$6; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1699=__ZL8matchRefiPKtiRK9MatchData($1687, $1692, $1697, $1698); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1699) { __label__ = 331; break; } else { __label__ = 325; break; } //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 325: 
      __label__ = 326; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 326: 
      $isMatch=0; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 327; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 327: 
      __label__ = 1153; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 328: 
      __label__ = 329; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 329: 
      __label__ = 330; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 330: 
      __label__ = 331; break; //@line 966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 331: 
      var $1708=(($stack+1932)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1709=HEAP32[(($1708)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1710=(($1709+36)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1711=(($1710+36)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1712=HEAP32[(($1711)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1713=(($stack+1932)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1714=HEAP32[(($1713)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1715=(($1714+20)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1716=(($1715)|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1717=HEAP32[(($1716)>>2)]; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1718=(($1717+($1712<<1))|0); //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1716)>>2)]=$1718; //@line 967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 332; break; //@line 968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 332: 
      var $1720=$i3; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1721=(($1720+1)|0); //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i3=$1721; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 323; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 333: 
      var $1723=HEAP32[(($min)>>2)]; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1724=(($stack+1932)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1725=HEAP32[(($1724)>>2)]; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1726=(($1725+36)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1727=(($1726+40)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1728=HEAP32[(($1727)>>2)]; //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1729=(($1723)|0)==(($1728)|0); //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1729) { __label__ = 334; break; } else { __label__ = 335; break; } //@line 973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 334: 
      __label__ = 5; break; //@line 974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 335: 
      var $1732=HEAP8[($minimize)]; //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1733=(($1732) & 1); //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1733) { __label__ = 336; break; } else { __label__ = 352; break; } //@line 978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 336: 
      var $1735=HEAP32[(($min)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1736=(($stack+1932)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1737=HEAP32[(($1736)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1738=(($1737+36)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1739=(($1738+32)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1739)>>2)]=$1735; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 337; break; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 337: 
      __label__ = 338; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 338: 
      var $1742=(($stack+1932)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1743=HEAP32[(($1742)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1744=(($1743+20)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1745=(($1744+4)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1746=HEAP32[(($1745)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1747=(($stack+1932)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1748=HEAP32[(($1747)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1749=(($1748+20)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1750=(($1749+12)|0); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1751=HEAP32[(($1750)>>2)]; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $1746, $1751, 20); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 339: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 340; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 340: 
      __label__ = 341; break; //@line 980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 341: 
      var $1755=$isMatch; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1756=(($1755) & 1); //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1756) { __label__ = 342; break; } else { __label__ = 345; break; } //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 342: 
      __label__ = 343; break; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 343: 
      __label__ = 1153; break; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 344: 
      __label__ = 345; break; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 345: 
      var $1762=(($stack+1932)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1763=HEAP32[(($1762)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1764=(($1763+36)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1765=(($1764+32)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1766=HEAP32[(($1765)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1767=(($stack+1932)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1768=HEAP32[(($1767)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1769=(($1768+36)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1770=(($1769+40)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1771=HEAP32[(($1770)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1772=(($1766)|0) >= (($1771)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1772) { __label__ = 347; break; } else { __label__ = 346; break; } //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 346: 
      var $1774=(($stack+1932)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1775=HEAP32[(($1774)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1776=(($1775+36)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1777=(($1776+48)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1778=HEAP32[(($1777)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1779=(($stack+1932)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1780=HEAP32[(($1779)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1781=(($1780+20)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1782=(($1781)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1783=HEAP32[(($1782)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1784=(($stack+1932)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1785=HEAP32[(($1784)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1786=(($1785+36)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1787=(($1786+36)|0); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1788=HEAP32[(($1787)>>2)]; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1789=$6; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1790=__ZL8matchRefiPKtiRK9MatchData($1778, $1783, $1788, $1789); //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1790) { __label__ = 350; break; } else { __label__ = 347; break; } //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 347: 
      __label__ = 348; break; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 348: 
      __label__ = 1153; break; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 349: 
      __label__ = 350; break; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 350: 
      var $1796=(($stack+1932)|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1797=HEAP32[(($1796)>>2)]; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1798=(($1797+36)|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1799=(($1798+36)|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1800=HEAP32[(($1799)>>2)]; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1801=(($stack+1932)|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1802=HEAP32[(($1801)>>2)]; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1803=(($1802+20)|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1804=(($1803)|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1805=HEAP32[(($1804)>>2)]; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1806=(($1805+($1800<<1))|0); //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1804)>>2)]=$1806; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 351; break; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 351: 
      var $1808=(($stack+1932)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1809=HEAP32[(($1808)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1810=(($1809+36)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1811=(($1810+32)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1812=HEAP32[(($1811)>>2)]; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1813=(($1812+1)|0); //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1811)>>2)]=$1813; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 337; break; //@line 979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 352: 
      var $1815=(($stack+1932)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1816=HEAP32[(($1815)>>2)]; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1817=(($1816+20)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1818=(($1817)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1819=HEAP32[(($1818)>>2)]; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1820=(($stack+1932)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1821=HEAP32[(($1820)>>2)]; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1822=(($1821+36)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1823=(($1822+8)|0); //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1823)>>2)]=$1819; //@line 993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1824=HEAP32[(($min)>>2)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i4=$1824; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 353; break; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 353: 
      var $1826=$i4; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1827=(($stack+1932)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1828=HEAP32[(($1827)>>2)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1829=(($1828+36)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1830=(($1829+40)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1831=HEAP32[(($1830)>>2)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1832=(($1826)|0) < (($1831)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1832) { __label__ = 354; break; } else { __label__ = 358; break; } //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 354: 
      var $1834=(($stack+1932)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1835=HEAP32[(($1834)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1836=(($1835+36)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1837=(($1836+48)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1838=HEAP32[(($1837)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1839=(($stack+1932)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1840=HEAP32[(($1839)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1841=(($1840+20)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1842=(($1841)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1843=HEAP32[(($1842)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1844=(($stack+1932)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1845=HEAP32[(($1844)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1846=(($1845+36)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1847=(($1846+36)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1848=HEAP32[(($1847)>>2)]; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1849=$6; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1850=__ZL8matchRefiPKtiRK9MatchData($1838, $1843, $1848, $1849); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1850) { __label__ = 356; break; } else { __label__ = 355; break; } //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 355: 
      __label__ = 358; break; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 356: 
      var $1853=(($stack+1932)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1854=HEAP32[(($1853)>>2)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1855=(($1854+36)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1856=(($1855+36)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1857=HEAP32[(($1856)>>2)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1858=(($stack+1932)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1859=HEAP32[(($1858)>>2)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1860=(($1859+20)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1861=(($1860)|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1862=HEAP32[(($1861)>>2)]; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1863=(($1862+($1857<<1))|0); //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1861)>>2)]=$1863; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 357; break; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 357: 
      var $1865=$i4; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1866=(($1865+1)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i4=$1866; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 353; break; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 358: 
      __label__ = 359; break; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 359: 
      var $1869=(($stack+1932)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1870=HEAP32[(($1869)>>2)]; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1871=(($1870+20)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1872=(($1871)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1873=HEAPU32[(($1872)>>2)]; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1874=(($stack+1932)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1875=HEAP32[(($1874)>>2)]; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1876=(($1875+36)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1877=(($1876+8)|0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1878=HEAPU32[(($1877)>>2)]; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1879=(($1873)>>>0) >= (($1878)>>>0); //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1879) { __label__ = 360; break; } else { __label__ = 369; break; } //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 360: 
      __label__ = 361; break; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 361: 
      var $1882=(($stack+1932)|0); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1883=HEAP32[(($1882)>>2)]; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1884=(($1883+20)|0); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1885=(($1884+4)|0); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1886=HEAP32[(($1885)>>2)]; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1887=(($stack+1932)|0); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1888=HEAP32[(($1887)>>2)]; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1889=(($1888+20)|0); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1890=(($1889+12)|0); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1891=HEAP32[(($1890)>>2)]; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $1886, $1891, 21); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 362: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 363; break; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 363: 
      __label__ = 364; break; //@line 1000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 364: 
      var $1895=$isMatch; //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1896=(($1895) & 1); //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1896) { __label__ = 365; break; } else { __label__ = 368; break; } //@line 1001 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 365: 
      __label__ = 366; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 366: 
      __label__ = 1153; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 367: 
      __label__ = 368; break; //@line 1002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 368: 
      var $1902=(($stack+1932)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1903=HEAP32[(($1902)>>2)]; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1904=(($1903+36)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1905=(($1904+36)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1906=HEAP32[(($1905)>>2)]; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1907=(($stack+1932)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1908=HEAP32[(($1907)>>2)]; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1909=(($1908+20)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1910=(($1909)|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1911=HEAP32[(($1910)>>2)]; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1912=(((-$1906))|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1913=(($1911+($1912<<1))|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1910)>>2)]=$1913; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 359; break; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 369: 
      __label__ = 370; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 370: 
      $isMatch=0; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 371; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 371: 
      __label__ = 1153; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 372: 
      __label__ = 373; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 373: 
      __label__ = 374; break; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 374: 
      __label__ = 375; break;
    case 375: 
      __label__ = 376; break;
    case 376: 
      var $1923=(($stack+1932)|0); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1924=HEAP32[(($1923)>>2)]; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1925=(($1924+20)|0); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1926=(($1925+4)|0); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1927=HEAP32[(($1926)>>2)]; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1928=(($1927+1)|0); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1929=(($stack+1932)|0); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1930=HEAP32[(($1929)>>2)]; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1931=(($1930+36)|0); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1932=(($1931)|0); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1932)>>2)]=$1928; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1933=(($stack+1932)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1934=HEAP32[(($1933)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1935=(($1934+20)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1936=(($1935+4)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1937=HEAP32[(($1936)>>2)]; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1938=(($1937+33)|0); //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1936)>>2)]=$1938; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1939=(($stack+1932)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1940=HEAP32[(($1939)>>2)]; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1941=(($1940+20)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1942=(($1941+4)|0); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1943=HEAP32[(($1942)>>2)]; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1944=HEAPU8[($1943)]; //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1945=(($1944)&255); //@line 1025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ((($1945)|0) == 46 || (($1945)|0) == 47 || (($1945)|0) == 48 || (($1945)|0) == 49 || (($1945)|0) == 50 || (($1945)|0) == 51) {
        __label__ = 377; break;
      }
      else if ((($1945)|0) == 52 || (($1945)|0) == 53) {
        __label__ = 378; break;
      }
      else {
      __label__ = 381; break;
      }
      
    case 377: 
      var $1947=(($stack+1932)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1948=HEAP32[(($1947)>>2)]; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1949=(($1948+20)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1950=(($1949+4)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1951=HEAP32[(($1950)>>2)]; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1952=(($1951+1)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1950)>>2)]=$1952; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1953=HEAPU8[($1951)]; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1954=(($1953)&255); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1955=(($1954-46)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1956=(($1955) & 65535); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1957=(($stack+1932)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1958=HEAP32[(($1957)>>2)]; //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1959=(($1958+36)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1960=(($1959+40)|0); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL38repeatInformationFromInstructionOffsetsRbRiS0_($1956, $minimize, $min, $1960); //@line 1032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 382; break; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 378: 
      var $1962=(($stack+1932)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1963=HEAP32[(($1962)>>2)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1964=(($1963+20)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1965=(($1964+4)|0); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1966=HEAP32[(($1965)>>2)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1967=HEAPU8[($1966)]; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1968=(($1967)&255); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1969=(($1968)|0)==53; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1970=(($1969)&1); //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=$1970; //@line 1037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1971=(($stack+1932)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1972=HEAP32[(($1971)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1973=(($1972+20)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1974=(($1973+4)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1975=HEAP32[(($1974)>>2)]; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1976=(($1975+1)|0); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1977=__ZL13get2ByteValuePKh4462($1976); //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($min)>>2)]=$1977; //@line 1038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1978=(($stack+1932)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1979=HEAP32[(($1978)>>2)]; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1980=(($1979+20)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1981=(($1980+4)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1982=HEAP32[(($1981)>>2)]; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1983=(($1982+3)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1984=__ZL13get2ByteValuePKh4462($1983); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1985=(($stack+1932)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1986=HEAP32[(($1985)>>2)]; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1987=(($1986+36)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1988=(($1987+40)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1988)>>2)]=$1984; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1989=(($stack+1932)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1990=HEAP32[(($1989)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1991=(($1990+36)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1992=(($1991+40)|0); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1993=HEAP32[(($1992)>>2)]; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1994=(($1993)|0)==0; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($1994) { __label__ = 379; break; } else { __label__ = 380; break; } //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 379: 
      var $1996=(($stack+1932)|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1997=HEAP32[(($1996)>>2)]; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1998=(($1997+36)|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $1999=(($1998+40)|0); //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($1999)>>2)]=2147483647; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 380; break; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 380: 
      var $2001=(($stack+1932)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2002=HEAP32[(($2001)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2003=(($2002+20)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2004=(($2003+4)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2005=HEAP32[(($2004)>>2)]; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2006=(($2005+5)|0); //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2004)>>2)]=$2006; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 382; break; //@line 1043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 381: 
      var $2008=(($stack+1932)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2009=HEAP32[(($2008)>>2)]; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2010=(($2009+36)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2011=(($2010+40)|0); //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2011)>>2)]=1; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($min)>>2)]=1; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 382; break; //@line 1047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 382: 
      $i5=1; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 383; break; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 383: 
      var $2014=$i5; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2015=HEAP32[(($min)>>2)]; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2016=(($2014)|0) <= (($2015)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2016) { __label__ = 384; break; } else { __label__ = 410; break; } //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 384: 
      var $2018=(($stack+1932)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2019=HEAP32[(($2018)>>2)]; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2020=(($2019+20)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2021=(($2020)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2022=HEAPU32[(($2021)>>2)]; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2023=$6; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2024=(($2023+20)|0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2025=HEAPU32[(($2024)>>2)]; //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2026=(($2022)>>>0) >= (($2025)>>>0); //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2026) { __label__ = 385; break; } else { __label__ = 391; break; } //@line 1053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 385: 
      __label__ = 386; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 386: 
      $isMatch=0; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 387; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 387: 
      __label__ = 1153; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 388: 
      __label__ = 389; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 389: 
      __label__ = 390; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 390: 
      __label__ = 391; break; //@line 1054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 391: 
      var $2035=(($stack+1932)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2036=HEAP32[(($2035)>>2)]; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2037=(($2036+20)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2038=(($2037)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2039=HEAP32[(($2038)>>2)]; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2040=(($2039+2)|0); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2038)>>2)]=$2040; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2041=HEAPU16[(($2039)>>1)]; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2042=(($2041)&65535); //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c=$2042; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2043=$c; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2044=(($2043)|0) > 255; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2044) { __label__ = 392; break; } else { __label__ = 400; break; } //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 392: 
      var $2046=(($stack+1932)|0); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2047=HEAP32[(($2046)>>2)]; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2048=(($2047+36)|0); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2049=(($2048)|0); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2050=HEAP32[(($2049)>>2)]; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2051=(($2050-1)|0); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2052=HEAPU8[($2051)]; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2053=(($2052)&255); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2054=(($2053)|0)==54; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2054) { __label__ = 393; break; } else { __label__ = 399; break; } //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 393: 
      __label__ = 394; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 394: 
      $isMatch=0; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 395; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 395: 
      __label__ = 1153; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 396: 
      __label__ = 397; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 397: 
      __label__ = 398; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 398: 
      __label__ = 399; break; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 399: 
      __label__ = 408; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 400: 
      var $2064=$c; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2065=(((($2064)|0)/8)&-1); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2066=(($stack+1932)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2067=HEAP32[(($2066)>>2)]; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2068=(($2067+36)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2069=(($2068)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2070=HEAP32[(($2069)>>2)]; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2071=(($2070+$2065)|0); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2072=HEAPU8[($2071)]; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2073=(($2072)&255); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2074=$c; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2075=$2074 & 7; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2076=1 << $2075; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2077=$2073 & $2076; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2078=(($2077)|0)!=0; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2078) { __label__ = 407; break; } else { __label__ = 401; break; } //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 401: 
      __label__ = 402; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 402: 
      $isMatch=0; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 403; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 403: 
      __label__ = 1153; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 404: 
      __label__ = 405; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 405: 
      __label__ = 406; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 406: 
      __label__ = 407; break; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 407: 
      __label__ = 408; break;
    case 408: 
      __label__ = 409; break; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 409: 
      var $2089=$i5; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2090=(($2089+1)|0); //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i5=$2090; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 383; break; //@line 1052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 410: 
      var $2092=HEAP32[(($min)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2093=(($stack+1932)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2094=HEAP32[(($2093)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2095=(($2094+36)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2096=(($2095+40)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2097=HEAP32[(($2096)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2098=(($2092)|0)==(($2097)|0); //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2098) { __label__ = 411; break; } else { __label__ = 412; break; } //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 411: 
      __label__ = 5; break; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 412: 
      var $2101=HEAP8[($minimize)]; //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2102=(($2101) & 1); //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2102) { __label__ = 413; break; } else { __label__ = 440; break; } //@line 1073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 413: 
      var $2104=HEAP32[(($min)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2105=(($stack+1932)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2106=HEAP32[(($2105)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2107=(($2106+36)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2108=(($2107+32)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2108)>>2)]=$2104; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 414; break; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 414: 
      __label__ = 415; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 415: 
      var $2111=(($stack+1932)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2112=HEAP32[(($2111)>>2)]; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2113=(($2112+20)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2114=(($2113+4)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2115=HEAP32[(($2114)>>2)]; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2116=(($stack+1932)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2117=HEAP32[(($2116)>>2)]; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2118=(($2117+20)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2119=(($2118+12)|0); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2120=HEAP32[(($2119)>>2)]; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $2115, $2120, 22); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 416: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 417; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 417: 
      __label__ = 418; break; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 418: 
      var $2124=$isMatch; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2125=(($2124) & 1); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2125) { __label__ = 419; break; } else { __label__ = 422; break; } //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 419: 
      __label__ = 420; break; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 420: 
      __label__ = 1153; break; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 421: 
      __label__ = 422; break; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 422: 
      var $2131=(($stack+1932)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2132=HEAP32[(($2131)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2133=(($2132+36)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2134=(($2133+32)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2135=HEAP32[(($2134)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2136=(($stack+1932)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2137=HEAP32[(($2136)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2138=(($2137+36)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2139=(($2138+40)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2140=HEAP32[(($2139)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2141=(($2135)|0) >= (($2140)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2141) { __label__ = 424; break; } else { __label__ = 423; break; } //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 423: 
      var $2143=(($stack+1932)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2144=HEAP32[(($2143)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2145=(($2144+20)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2146=(($2145)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2147=HEAPU32[(($2146)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2148=$6; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2149=(($2148+20)|0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2150=HEAPU32[(($2149)>>2)]; //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2151=(($2147)>>>0) >= (($2150)>>>0); //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2151) { __label__ = 424; break; } else { __label__ = 427; break; } //@line 1078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 424: 
      __label__ = 425; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 425: 
      __label__ = 1153; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 426: 
      __label__ = 427; break; //@line 1079 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 427: 
      var $2157=(($stack+1932)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2158=HEAP32[(($2157)>>2)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2159=(($2158+20)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2160=(($2159)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2161=HEAP32[(($2160)>>2)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2162=(($2161+2)|0); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2160)>>2)]=$2162; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2163=HEAPU16[(($2161)>>1)]; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2164=(($2163)&65535); //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c6=$2164; //@line 1080 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2165=$c6; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2166=(($2165)|0) > 255; //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2166) { __label__ = 428; break; } else { __label__ = 433; break; } //@line 1081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 428: 
      var $2168=(($stack+1932)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2169=HEAP32[(($2168)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2170=(($2169+36)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2171=(($2170)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2172=HEAP32[(($2171)>>2)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2173=(($2172-1)|0); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2174=HEAPU8[($2173)]; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2175=(($2174)&255); //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2176=(($2175)|0)==54; //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2176) { __label__ = 429; break; } else { __label__ = 432; break; } //@line 1082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 429: 
      __label__ = 430; break; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 430: 
      __label__ = 1153; break; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 431: 
      __label__ = 432; break; //@line 1083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 432: 
      __label__ = 438; break; //@line 1084 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 433: 
      var $2183=$c6; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2184=(((($2183)|0)/8)&-1); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2185=(($stack+1932)|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2186=HEAP32[(($2185)>>2)]; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2187=(($2186+36)|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2188=(($2187)|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2189=HEAP32[(($2188)>>2)]; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2190=(($2189+$2184)|0); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2191=HEAPU8[($2190)]; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2192=(($2191)&255); //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2193=$c6; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2194=$2193 & 7; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2195=1 << $2194; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2196=$2192 & $2195; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2197=(($2196)|0)==0; //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2197) { __label__ = 434; break; } else { __label__ = 437; break; } //@line 1085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 434: 
      __label__ = 435; break; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 435: 
      __label__ = 1153; break; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 436: 
      __label__ = 437; break; //@line 1086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 437: 
      __label__ = 438; break;
    case 438: 
      __label__ = 439; break; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 439: 
      var $2205=(($stack+1932)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2206=HEAP32[(($2205)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2207=(($2206+36)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2208=(($2207+32)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2209=HEAP32[(($2208)>>2)]; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2210=(($2209+1)|0); //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2208)>>2)]=$2210; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 414; break; //@line 1074 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 440: 
      var $2212=(($stack+1932)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2213=HEAP32[(($2212)>>2)]; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2214=(($2213+20)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2215=(($2214)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2216=HEAP32[(($2215)>>2)]; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2217=(($stack+1932)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2218=HEAP32[(($2217)>>2)]; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2219=(($2218+36)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2220=(($2219+8)|0); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2220)>>2)]=$2216; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2221=HEAP32[(($min)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i7=$2221; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 441; break; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 441: 
      var $2223=$i7; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2224=(($stack+1932)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2225=HEAP32[(($2224)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2226=(($2225+36)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2227=(($2226+40)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2228=HEAP32[(($2227)>>2)]; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2229=(($2223)|0) < (($2228)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2229) { __label__ = 442; break; } else { __label__ = 453; break; } //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 442: 
      var $2231=(($stack+1932)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2232=HEAP32[(($2231)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2233=(($2232+20)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2234=(($2233)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2235=HEAPU32[(($2234)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2236=$6; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2237=(($2236+20)|0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2238=HEAPU32[(($2237)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2239=(($2235)>>>0) >= (($2238)>>>0); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2239) { __label__ = 443; break; } else { __label__ = 444; break; } //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 443: 
      __label__ = 453; break; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 444: 
      var $2242=(($stack+1932)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2243=HEAP32[(($2242)>>2)]; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2244=(($2243+20)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2245=(($2244)|0); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2246=HEAP32[(($2245)>>2)]; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2247=HEAPU16[(($2246)>>1)]; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2248=(($2247)&65535); //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c8=$2248; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2249=$c8; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2250=(($2249)|0) > 255; //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2250) { __label__ = 445; break; } else { __label__ = 448; break; } //@line 1099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 445: 
      var $2252=(($stack+1932)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2253=HEAP32[(($2252)>>2)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2254=(($2253+36)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2255=(($2254)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2256=HEAP32[(($2255)>>2)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2257=(($2256-1)|0); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2258=HEAPU8[($2257)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2259=(($2258)&255); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2260=(($2259)|0)==54; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2260) { __label__ = 446; break; } else { __label__ = 447; break; } //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 446: 
      __label__ = 453; break; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 447: 
      __label__ = 451; break; //@line 1102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 448: 
      var $2264=$c8; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2265=(((($2264)|0)/8)&-1); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2266=(($stack+1932)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2267=HEAP32[(($2266)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2268=(($2267+36)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2269=(($2268)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2270=HEAP32[(($2269)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2271=(($2270+$2265)|0); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2272=HEAPU8[($2271)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2273=(($2272)&255); //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2274=$c8; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2275=$2274 & 7; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2276=1 << $2275; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2277=$2273 & $2276; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2278=(($2277)|0)!=0; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2278) { __label__ = 450; break; } else { __label__ = 449; break; } //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 449: 
      __label__ = 453; break; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 450: 
      __label__ = 451; break;
    case 451: 
      var $2282=(($stack+1932)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2283=HEAP32[(($2282)>>2)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2284=(($2283+20)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2285=(($2284)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2286=HEAP32[(($2285)>>2)]; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2287=(($2286+2)|0); //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2285)>>2)]=$2287; //@line 1106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 452; break; //@line 1107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 452: 
      var $2289=$i7; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2290=(($2289+1)|0); //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i7=$2290; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 441; break; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 453: 
      __label__ = 454; break; //@line 1108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 454: 
      __label__ = 455; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 455: 
      var $2294=(($stack+1932)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2295=HEAP32[(($2294)>>2)]; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2296=(($2295+20)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2297=(($2296+4)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2298=HEAP32[(($2297)>>2)]; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2299=(($stack+1932)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2300=HEAP32[(($2299)>>2)]; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2301=(($2300+20)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2302=(($2301+12)|0); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2303=HEAP32[(($2302)>>2)]; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $2298, $2303, 24); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 456: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 457; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 457: 
      __label__ = 458; break; //@line 1109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 458: 
      var $2307=$isMatch; //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2308=(($2307) & 1); //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2308) { __label__ = 459; break; } else { __label__ = 462; break; } //@line 1110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 459: 
      __label__ = 460; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 460: 
      __label__ = 1153; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 461: 
      __label__ = 462; break; //@line 1111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 462: 
      var $2314=(($stack+1932)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2315=HEAP32[(($2314)>>2)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2316=(($2315+20)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2317=(($2316)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2318=HEAP32[(($2317)>>2)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2319=(($2318-2)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2317)>>2)]=$2319; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2320=(($stack+1932)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2321=HEAP32[(($2320)>>2)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2322=(($2321+36)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2323=(($2322+8)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2324=HEAP32[(($2323)>>2)]; //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2325=(($2318)|0)==(($2324)|0); //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2325) { __label__ = 463; break; } else { __label__ = 464; break; } //@line 1112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 463: 
      __label__ = 465; break; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 464: 
      __label__ = 454; break; //@line 1114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 465: 
      __label__ = 466; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 466: 
      __label__ = 1153; break; //@line 1116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 467: 
      __label__ = 468; break;
    case 468: 
      __label__ = 469; break;
    case 469: 
      var $2334=(($stack+1932)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2335=HEAP32[(($2334)>>2)]; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2336=(($2335+20)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2337=(($2336+4)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2338=HEAP32[(($2337)>>2)]; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2339=(($2338+1)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2340=(($2339+3)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2341=(($stack+1932)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2342=HEAP32[(($2341)>>2)]; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2343=(($2342+36)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2344=(($2343)|0); //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2344)>>2)]=$2340; //@line 1123 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2345=(($stack+1932)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2346=HEAP32[(($2345)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2347=(($2346+20)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2348=(($2347+4)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2349=HEAP32[(($2348)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2350=(($2349+1)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2351=__ZL12getLinkValuePKh4461($2350); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2352=(($stack+1932)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2353=HEAP32[(($2352)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2354=(($2353+20)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2355=(($2354+4)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2356=HEAP32[(($2355)>>2)]; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2357=(($2356+$2351)|0); //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2355)>>2)]=$2357; //@line 1124 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2358=(($stack+1932)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2359=HEAP32[(($2358)>>2)]; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2360=(($2359+20)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2361=(($2360+4)|0); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2362=HEAP32[(($2361)>>2)]; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2363=HEAPU8[($2362)]; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2364=(($2363)&255); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ((($2364)|0) == 46 || (($2364)|0) == 47 || (($2364)|0) == 48 || (($2364)|0) == 49 || (($2364)|0) == 50 || (($2364)|0) == 51) {
        __label__ = 470; break;
      }
      else if ((($2364)|0) == 52 || (($2364)|0) == 53) {
        __label__ = 471; break;
      }
      else {
      __label__ = 474; break;
      }
      
    case 470: 
      var $2366=(($stack+1932)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2367=HEAP32[(($2366)>>2)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2368=(($2367+20)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2369=(($2368+4)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2370=HEAP32[(($2369)>>2)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2371=(($2370+1)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2369)>>2)]=$2371; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2372=HEAPU8[($2370)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2373=(($2372)&255); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2374=(($2373-46)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2375=(($2374) & 65535); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2376=(($stack+1932)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2377=HEAP32[(($2376)>>2)]; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2378=(($2377+36)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2379=(($2378+40)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL38repeatInformationFromInstructionOffsetsRbRiS0_($2375, $minimize, $min, $2379); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 475; break; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 471: 
      var $2381=(($stack+1932)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2382=HEAP32[(($2381)>>2)]; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2383=(($2382+20)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2384=(($2383+4)|0); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2385=HEAP32[(($2384)>>2)]; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2386=HEAPU8[($2385)]; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2387=(($2386)&255); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2388=(($2387)|0)==53; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2389=(($2388)&1); //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=$2389; //@line 1138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2390=(($stack+1932)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2391=HEAP32[(($2390)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2392=(($2391+20)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2393=(($2392+4)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2394=HEAP32[(($2393)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2395=(($2394+1)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2396=__ZL13get2ByteValuePKh4462($2395); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($min)>>2)]=$2396; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2397=(($stack+1932)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2398=HEAP32[(($2397)>>2)]; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2399=(($2398+20)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2400=(($2399+4)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2401=HEAP32[(($2400)>>2)]; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2402=(($2401+3)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2403=__ZL13get2ByteValuePKh4462($2402); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2404=(($stack+1932)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2405=HEAP32[(($2404)>>2)]; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2406=(($2405+36)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2407=(($2406+40)|0); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2407)>>2)]=$2403; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2408=(($stack+1932)|0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2409=HEAP32[(($2408)>>2)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2410=(($2409+36)|0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2411=(($2410+40)|0); //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2412=HEAP32[(($2411)>>2)]; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2413=(($2412)|0)==0; //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2413) { __label__ = 472; break; } else { __label__ = 473; break; } //@line 1141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 472: 
      var $2415=(($stack+1932)|0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2416=HEAP32[(($2415)>>2)]; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2417=(($2416+36)|0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2418=(($2417+40)|0); //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2418)>>2)]=2147483647; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 473; break; //@line 1142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 473: 
      var $2420=(($stack+1932)|0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2421=HEAP32[(($2420)>>2)]; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2422=(($2421+20)|0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2423=(($2422+4)|0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2424=HEAP32[(($2423)>>2)]; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2425=(($2424+5)|0); //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2423)>>2)]=$2425; //@line 1143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 475; break; //@line 1144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 474: 
      var $2427=(($stack+1932)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2428=HEAP32[(($2427)>>2)]; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2429=(($2428+36)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2430=(($2429+40)|0); //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2430)>>2)]=1; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($min)>>2)]=1; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 475; break; //@line 1148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 475: 
      $i9=1; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 476; break; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 476: 
      var $2433=$i9; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2434=HEAP32[(($min)>>2)]; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2435=(($2433)|0) <= (($2434)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2435) { __label__ = 477; break; } else { __label__ = 493; break; } //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 477: 
      var $2437=(($stack+1932)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2438=HEAP32[(($2437)>>2)]; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2439=(($2438+20)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2440=(($2439)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2441=HEAPU32[(($2440)>>2)]; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2442=$6; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2443=(($2442+20)|0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2444=HEAPU32[(($2443)>>2)]; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2445=(($2441)>>>0) >= (($2444)>>>0); //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2445) { __label__ = 478; break; } else { __label__ = 484; break; } //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 478: 
      __label__ = 479; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 479: 
      $isMatch=0; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 480; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 480: 
      __label__ = 1153; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 481: 
      __label__ = 482; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 482: 
      __label__ = 483; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 483: 
      __label__ = 484; break; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 484: 
      var $2454=(($stack+1932)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2455=HEAP32[(($2454)>>2)]; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2456=(($2455+20)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2457=(($2456)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2458=HEAP32[(($2457)>>2)]; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2459=(($2458+2)|0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2457)>>2)]=$2459; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2460=HEAPU16[(($2458)>>1)]; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2461=(($2460)&65535); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c10=$2461; //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2462=$c10; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2463=(($stack+1932)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2464=HEAP32[(($2463)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2465=(($2464+36)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2466=(($2465)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2467=HEAP32[(($2466)>>2)]; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2468=__Z15jsc_pcre_xclassiPKh($2462, $2467); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2468) { __label__ = 491; break; } else { __label__ = 485; break; } //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 485: 
      __label__ = 486; break; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 486: 
      $isMatch=0; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 487; break; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 487: 
      __label__ = 1153; break; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 488: 
      __label__ = 489; break; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 489: 
      __label__ = 490; break; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 490: 
      __label__ = 491; break; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 491: 
      __label__ = 492; break; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 492: 
      var $2478=$i9; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2479=(($2478+1)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i9=$2479; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 476; break; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 493: 
      var $2481=HEAP32[(($min)>>2)]; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2482=(($stack+1932)|0); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2483=HEAP32[(($2482)>>2)]; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2484=(($2483+36)|0); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2485=(($2484+40)|0); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2486=HEAP32[(($2485)>>2)]; //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2487=(($2481)|0)==(($2486)|0); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2487) { __label__ = 494; break; } else { __label__ = 495; break; } //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 494: 
      __label__ = 5; break; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 495: 
      var $2490=HEAP8[($minimize)]; //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2491=(($2490) & 1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2491) { __label__ = 496; break; } else { __label__ = 516; break; } //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 496: 
      var $2493=HEAP32[(($min)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2494=(($stack+1932)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2495=HEAP32[(($2494)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2496=(($2495+36)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2497=(($2496+32)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2497)>>2)]=$2493; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 497; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 497: 
      __label__ = 498; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 498: 
      var $2500=(($stack+1932)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2501=HEAP32[(($2500)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2502=(($2501+20)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2503=(($2502+4)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2504=HEAP32[(($2503)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2505=(($stack+1932)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2506=HEAP32[(($2505)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2507=(($2506+20)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2508=(($2507+12)|0); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2509=HEAP32[(($2508)>>2)]; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $2504, $2509, 26); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 499: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 500; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 500: 
      __label__ = 501; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 501: 
      var $2513=$isMatch; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2514=(($2513) & 1); //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2514) { __label__ = 502; break; } else { __label__ = 505; break; } //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 502: 
      __label__ = 503; break; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 503: 
      __label__ = 1153; break; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 504: 
      __label__ = 505; break; //@line 1173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 505: 
      var $2520=(($stack+1932)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2521=HEAP32[(($2520)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2522=(($2521+36)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2523=(($2522+32)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2524=HEAP32[(($2523)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2525=(($stack+1932)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2526=HEAP32[(($2525)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2527=(($2526+36)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2528=(($2527+40)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2529=HEAP32[(($2528)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2530=(($2524)|0) >= (($2529)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2530) { __label__ = 507; break; } else { __label__ = 506; break; } //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 506: 
      var $2532=(($stack+1932)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2533=HEAP32[(($2532)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2534=(($2533+20)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2535=(($2534)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2536=HEAPU32[(($2535)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2537=$6; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2538=(($2537+20)|0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2539=HEAPU32[(($2538)>>2)]; //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2540=(($2536)>>>0) >= (($2539)>>>0); //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2540) { __label__ = 507; break; } else { __label__ = 510; break; } //@line 1174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 507: 
      __label__ = 508; break; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 508: 
      __label__ = 1153; break; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 509: 
      __label__ = 510; break; //@line 1175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 510: 
      var $2546=(($stack+1932)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2547=HEAP32[(($2546)>>2)]; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2548=(($2547+20)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2549=(($2548)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2550=HEAP32[(($2549)>>2)]; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2551=(($2550+2)|0); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2549)>>2)]=$2551; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2552=HEAPU16[(($2550)>>1)]; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2553=(($2552)&65535); //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c11=$2553; //@line 1176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2554=$c11; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2555=(($stack+1932)|0); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2556=HEAP32[(($2555)>>2)]; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2557=(($2556+36)|0); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2558=(($2557)|0); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2559=HEAP32[(($2558)>>2)]; //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2560=__Z15jsc_pcre_xclassiPKh($2554, $2559); //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2560) { __label__ = 514; break; } else { __label__ = 511; break; } //@line 1177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 511: 
      __label__ = 512; break; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 512: 
      __label__ = 1153; break; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 513: 
      __label__ = 514; break; //@line 1178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 514: 
      __label__ = 515; break; //@line 1179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 515: 
      var $2567=(($stack+1932)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2568=HEAP32[(($2567)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2569=(($2568+36)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2570=(($2569+32)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2571=HEAP32[(($2570)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2572=(($2571+1)|0); //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2570)>>2)]=$2572; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 497; break; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 516: 
      var $2574=(($stack+1932)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2575=HEAP32[(($2574)>>2)]; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2576=(($2575+20)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2577=(($2576)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2578=HEAP32[(($2577)>>2)]; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2579=(($stack+1932)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2580=HEAP32[(($2579)>>2)]; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2581=(($2580+36)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2582=(($2581+8)|0); //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2582)>>2)]=$2578; //@line 1186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2583=HEAP32[(($min)>>2)]; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i12=$2583; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 517; break; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 517: 
      var $2585=$i12; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2586=(($stack+1932)|0); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2587=HEAP32[(($2586)>>2)]; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2588=(($2587+36)|0); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2589=(($2588+40)|0); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2590=HEAP32[(($2589)>>2)]; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2591=(($2585)|0) < (($2590)|0); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2591) { __label__ = 518; break; } else { __label__ = 524; break; } //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 518: 
      var $2593=(($stack+1932)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2594=HEAP32[(($2593)>>2)]; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2595=(($2594+20)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2596=(($2595)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2597=HEAPU32[(($2596)>>2)]; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2598=$6; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2599=(($2598+20)|0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2600=HEAPU32[(($2599)>>2)]; //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2601=(($2597)>>>0) >= (($2600)>>>0); //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2601) { __label__ = 519; break; } else { __label__ = 520; break; } //@line 1188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 519: 
      __label__ = 524; break; //@line 1189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 520: 
      var $2604=(($stack+1932)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2605=HEAP32[(($2604)>>2)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2606=(($2605+20)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2607=(($2606)|0); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2608=HEAP32[(($2607)>>2)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2609=HEAPU16[(($2608)>>1)]; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2610=(($2609)&65535); //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c13=$2610; //@line 1190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2611=$c13; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2612=(($stack+1932)|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2613=HEAP32[(($2612)>>2)]; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2614=(($2613+36)|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2615=(($2614)|0); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2616=HEAP32[(($2615)>>2)]; //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2617=__Z15jsc_pcre_xclassiPKh($2611, $2616); //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2617) { __label__ = 522; break; } else { __label__ = 521; break; } //@line 1191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 521: 
      __label__ = 524; break; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 522: 
      var $2620=(($stack+1932)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2621=HEAP32[(($2620)>>2)]; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2622=(($2621+20)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2623=(($2622)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2624=HEAP32[(($2623)>>2)]; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2625=(($2624+2)|0); //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2623)>>2)]=$2625; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 523; break; //@line 1194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 523: 
      var $2627=$i12; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2628=(($2627+1)|0); //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i12=$2628; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 517; break; //@line 1187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 524: 
      __label__ = 525; break; //@line 1195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 525: 
      __label__ = 526; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 526: 
      var $2632=(($stack+1932)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2633=HEAP32[(($2632)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2634=(($2633+20)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2635=(($2634+4)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2636=HEAP32[(($2635)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2637=(($stack+1932)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2638=HEAP32[(($2637)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2639=(($2638+20)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2640=(($2639+12)|0); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2641=HEAP32[(($2640)>>2)]; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $2636, $2641, 27); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 527: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 528; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 528: 
      __label__ = 529; break; //@line 1196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 529: 
      var $2645=$isMatch; //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2646=(($2645) & 1); //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2646) { __label__ = 530; break; } else { __label__ = 533; break; } //@line 1197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 530: 
      __label__ = 531; break; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 531: 
      __label__ = 1153; break; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 532: 
      __label__ = 533; break; //@line 1198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 533: 
      var $2652=(($stack+1932)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2653=HEAP32[(($2652)>>2)]; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2654=(($2653+20)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2655=(($2654)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2656=HEAP32[(($2655)>>2)]; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2657=(($2656-2)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2655)>>2)]=$2657; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2658=(($stack+1932)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2659=HEAP32[(($2658)>>2)]; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2660=(($2659+36)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2661=(($2660+8)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2662=HEAP32[(($2661)>>2)]; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2663=(($2656)|0)==(($2662)|0); //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2663) { __label__ = 534; break; } else { __label__ = 535; break; } //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 534: 
      __label__ = 536; break; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 535: 
      __label__ = 525; break; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 536: 
      __label__ = 537; break; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 537: 
      __label__ = 1153; break; //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 538: 
      __label__ = 539; break;
    case 539: 
      __label__ = 540; break;
    case 540: 
      var $2672=(($stack+1932)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2673=HEAP32[(($2672)>>2)]; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2674=(($2673+36)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2675=(($2674+36)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2675)>>2)]=1; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2676=(($stack+1932)|0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2677=HEAP32[(($2676)>>2)]; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2678=(($2677+20)|0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2679=(($2678+4)|0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2680=HEAP32[(($2679)>>2)]; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2681=(($2680+1)|0); //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2679)>>2)]=$2681; //@line 1211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2682=(($stack+1932)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2683=HEAP32[(($2682)>>2)]; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2684=(($2683+36)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2685=(($2684+28)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2686=(($stack+1932)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2687=HEAP32[(($2686)>>2)]; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2688=(($2687+20)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2689=(($2688+4)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2690=HEAP32[(($2689)>>2)]; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2691=(($stack+1932)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2692=HEAP32[(($2691)>>2)]; //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2693=(($2692+36)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2694=(($2693+36)|0); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL29getUTF8CharAndIncrementLengthRiPKhS_($2685, $2690, $2694); //@line 1212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2695=(($stack+1932)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2696=HEAP32[(($2695)>>2)]; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2697=(($2696+36)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2698=(($2697+36)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2699=HEAP32[(($2698)>>2)]; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2700=(($stack+1932)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2701=HEAP32[(($2700)>>2)]; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2702=(($2701+20)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2703=(($2702+4)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2704=HEAP32[(($2703)>>2)]; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2705=(($2704+$2699)|0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2703)>>2)]=$2705; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2706=(($stack+1932)|0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2707=HEAP32[(($2706)>>2)]; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2708=(($2707+20)|0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2709=(($2708)|0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2710=HEAPU32[(($2709)>>2)]; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2711=$6; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2712=(($2711+20)|0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2713=HEAPU32[(($2712)>>2)]; //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2714=(($2710)>>>0) >= (($2713)>>>0); //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2714) { __label__ = 541; break; } else { __label__ = 547; break; } //@line 1214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 541: 
      __label__ = 542; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 542: 
      $isMatch=0; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 543; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 543: 
      __label__ = 1153; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 544: 
      __label__ = 545; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 545: 
      __label__ = 546; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 546: 
      __label__ = 547; break; //@line 1215 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 547: 
      var $2723=(($stack+1932)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2724=HEAP32[(($2723)>>2)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2725=(($2724+36)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2726=(($2725+28)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2727=HEAP32[(($2726)>>2)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2728=(($stack+1932)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2729=HEAP32[(($2728)>>2)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2730=(($2729+20)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2731=(($2730)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2732=HEAP32[(($2731)>>2)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2733=(($2732+2)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2731)>>2)]=$2733; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2734=HEAPU16[(($2732)>>1)]; //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2735=(($2734)&65535); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2736=(($2727)|0)!=(($2735)|0); //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2736) { __label__ = 548; break; } else { __label__ = 554; break; } //@line 1216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 548: 
      __label__ = 549; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 549: 
      $isMatch=0; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 550; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 550: 
      __label__ = 1153; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 551: 
      __label__ = 552; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 552: 
      __label__ = 553; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 553: 
      __label__ = 554; break; //@line 1217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 554: 
      __label__ = 5; break; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 555: 
      var $2746=(($stack+1932)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2747=HEAP32[(($2746)>>2)]; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2748=(($2747+36)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2749=(($2748+36)|0); //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2749)>>2)]=1; //@line 1223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2750=(($stack+1932)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2751=HEAP32[(($2750)>>2)]; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2752=(($2751+20)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2753=(($2752+4)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2754=HEAP32[(($2753)>>2)]; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2755=(($2754+1)|0); //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2753)>>2)]=$2755; //@line 1224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2756=(($stack+1932)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2757=HEAP32[(($2756)>>2)]; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2758=(($2757+36)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2759=(($2758+28)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2760=(($stack+1932)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2761=HEAP32[(($2760)>>2)]; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2762=(($2761+20)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2763=(($2762+4)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2764=HEAP32[(($2763)>>2)]; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2765=(($stack+1932)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2766=HEAP32[(($2765)>>2)]; //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2767=(($2766+36)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2768=(($2767+36)|0); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL29getUTF8CharAndIncrementLengthRiPKhS_($2759, $2764, $2768); //@line 1225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2769=(($stack+1932)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2770=HEAP32[(($2769)>>2)]; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2771=(($2770+36)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2772=(($2771+36)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2773=HEAP32[(($2772)>>2)]; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2774=(($stack+1932)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2775=HEAP32[(($2774)>>2)]; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2776=(($2775+20)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2777=(($2776+4)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2778=HEAP32[(($2777)>>2)]; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2779=(($2778+$2773)|0); //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2777)>>2)]=$2779; //@line 1226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2780=(($stack+1932)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2781=HEAP32[(($2780)>>2)]; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2782=(($2781+20)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2783=(($2782)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2784=HEAPU32[(($2783)>>2)]; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2785=$6; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2786=(($2785+20)|0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2787=HEAPU32[(($2786)>>2)]; //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2788=(($2784)>>>0) >= (($2787)>>>0); //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2788) { __label__ = 556; break; } else { __label__ = 562; break; } //@line 1227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 556: 
      __label__ = 557; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 557: 
      $isMatch=0; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 558; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 558: 
      __label__ = 1153; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 559: 
      __label__ = 560; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 560: 
      __label__ = 561; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 561: 
      __label__ = 562; break; //@line 1228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 562: 
      var $2797=(($stack+1932)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2798=HEAP32[(($2797)>>2)]; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2799=(($2798+20)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2800=(($2799)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2801=HEAP32[(($2800)>>2)]; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2802=(($2801+2)|0); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2800)>>2)]=$2802; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2803=HEAPU16[(($2801)>>1)]; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2804=(($2803)&65535); //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $dc=$2804; //@line 1229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2805=(($stack+1932)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2806=HEAP32[(($2805)>>2)]; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2807=(($2806+36)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2808=(($2807+28)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2809=HEAP32[(($2808)>>2)]; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2810=$dc; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2811=(($2809)|0)!=(($2810)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2811) { __label__ = 563; break; } else { __label__ = 570; break; } //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 563: 
      var $2813=(($stack+1932)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2814=HEAP32[(($2813)>>2)]; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2815=(($2814+36)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2816=(($2815+28)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2817=HEAP32[(($2816)>>2)]; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2818=__Z22jsc_pcre_ucp_othercasej($2817); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2819=$dc; //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2820=(($2818)|0)!=(($2819)|0); //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2820) { __label__ = 564; break; } else { __label__ = 570; break; } //@line 1230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 564: 
      __label__ = 565; break; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 565: 
      $isMatch=0; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 566; break; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 566: 
      __label__ = 1153; break; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 567: 
      __label__ = 568; break; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 568: 
      __label__ = 569; break; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 569: 
      __label__ = 570; break; //@line 1231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 570: 
      __label__ = 5; break; //@line 1232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 571: 
      var $2830=$6; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2831=(($2830+20)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2832=HEAP32[(($2831)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2833=(($stack+1932)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2834=HEAP32[(($2833)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2835=(($2834+20)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2836=(($2835)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2837=HEAP32[(($2836)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2838=(($2832)|0)==(($2837)|0); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2838) { __label__ = 572; break; } else { __label__ = 578; break; } //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 572: 
      __label__ = 573; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 573: 
      $isMatch=0; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 574; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 574: 
      __label__ = 1153; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 575: 
      __label__ = 576; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 576: 
      __label__ = 577; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 577: 
      __label__ = 578; break; //@line 1239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 578: 
      var $2847=(($stack+1932)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2848=HEAP32[(($2847)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2849=(($2848+20)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2850=(($2849)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2851=HEAP32[(($2850)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2852=HEAPU16[(($2851)>>1)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2853=(($2852)&65535); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2854=(($stack+1932)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2855=HEAP32[(($2854)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2856=(($2855+20)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2857=(($2856+4)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2858=HEAP32[(($2857)>>2)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2859=(($2858+1)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2860=HEAPU8[($2859)]; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2861=(($2860)&255); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2862=(($2853)|0)!=(($2861)|0); //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2862) { __label__ = 579; break; } else { __label__ = 585; break; } //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 579: 
      __label__ = 580; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 580: 
      $isMatch=0; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 581; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 581: 
      __label__ = 1153; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 582: 
      __label__ = 583; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 583: 
      __label__ = 584; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 584: 
      __label__ = 585; break; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 585: 
      var $2871=(($stack+1932)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2872=HEAP32[(($2871)>>2)]; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2873=(($2872+20)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2874=(($2873)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2875=HEAP32[(($2874)>>2)]; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2876=(($2875+2)|0); //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2874)>>2)]=$2876; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2877=(($stack+1932)|0); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2878=HEAP32[(($2877)>>2)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2879=(($2878+20)|0); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2880=(($2879+4)|0); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2881=HEAP32[(($2880)>>2)]; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2882=(($2881+2)|0); //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2880)>>2)]=$2882; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 586: 
      var $2884=$6; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2885=(($2884+20)|0); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2886=HEAP32[(($2885)>>2)]; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2887=(($stack+1932)|0); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2888=HEAP32[(($2887)>>2)]; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2889=(($2888+20)|0); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2890=(($2889)|0); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2891=HEAP32[(($2890)>>2)]; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2892=(($2886)|0)==(($2891)|0); //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2892) { __label__ = 587; break; } else { __label__ = 593; break; } //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 587: 
      __label__ = 588; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 588: 
      $isMatch=0; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 589; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 589: 
      __label__ = 1153; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 590: 
      __label__ = 591; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 591: 
      __label__ = 592; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 592: 
      __label__ = 593; break; //@line 1250 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 593: 
      var $2901=(($stack+1932)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2902=HEAP32[(($2901)>>2)]; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2903=(($2902+20)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2904=(($2903)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2905=HEAP32[(($2904)>>2)]; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2906=HEAPU16[(($2905)>>1)]; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2907=(($2906)&65535); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2908=$2907 | 32; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2909=(($stack+1932)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2910=HEAP32[(($2909)>>2)]; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2911=(($2910+20)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2912=(($2911+4)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2913=HEAP32[(($2912)>>2)]; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2914=(($2913+1)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2915=HEAPU8[($2914)]; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2916=(($2915)&255); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2917=(($2908)|0)!=(($2916)|0); //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($2917) { __label__ = 594; break; } else { __label__ = 600; break; } //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 594: 
      __label__ = 595; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 595: 
      $isMatch=0; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 596; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 596: 
      __label__ = 1153; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 597: 
      __label__ = 598; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 598: 
      __label__ = 599; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 599: 
      __label__ = 600; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 600: 
      var $2926=(($stack+1932)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2927=HEAP32[(($2926)>>2)]; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2928=(($2927+20)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2929=(($2928)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2930=HEAP32[(($2929)>>2)]; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2931=(($2930+2)|0); //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2929)>>2)]=$2931; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2932=(($stack+1932)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2933=HEAP32[(($2932)>>2)]; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2934=(($2933+20)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2935=(($2934+4)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2936=HEAP32[(($2935)>>2)]; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2937=(($2936+2)|0); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2935)>>2)]=$2937; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 1255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 601: 
      var $2939=(($stack+1932)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2940=HEAP32[(($2939)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2941=(($2940+20)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2942=(($2941+4)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2943=HEAP32[(($2942)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2944=(($2943+1)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2945=__ZL13get2ByteValuePKh4462($2944); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2946=(($stack+1932)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2947=HEAP32[(($2946)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2948=(($2947+36)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2949=(($2948+40)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2949)>>2)]=$2945; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($min)>>2)]=$2945; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=0; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2950=(($stack+1932)|0); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2951=HEAP32[(($2950)>>2)]; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2952=(($2951+20)|0); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2953=(($2952+4)|0); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2954=HEAP32[(($2953)>>2)]; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2955=(($2954+3)|0); //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2953)>>2)]=$2955; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 604; break; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 602: 
      HEAP32[(($min)>>2)]=0; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2957=(($stack+1932)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2958=HEAP32[(($2957)>>2)]; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2959=(($2958+20)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2960=(($2959+4)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2961=HEAP32[(($2960)>>2)]; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2962=(($2961+1)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2963=__ZL13get2ByteValuePKh4462($2962); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2964=(($stack+1932)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2965=HEAP32[(($2964)>>2)]; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2966=(($2965+36)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2967=(($2966+40)|0); //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2967)>>2)]=$2963; //@line 1268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2968=(($stack+1932)|0); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2969=HEAP32[(($2968)>>2)]; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2970=(($2969+20)|0); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2971=(($2970+4)|0); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2972=HEAP32[(($2971)>>2)]; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2973=HEAPU8[($2972)]; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2974=(($2973)&255); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2975=(($2974)|0)==26; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2976=(($2975)&1); //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=$2976; //@line 1269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2977=(($stack+1932)|0); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2978=HEAP32[(($2977)>>2)]; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2979=(($2978+20)|0); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2980=(($2979+4)|0); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2981=HEAP32[(($2980)>>2)]; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2982=(($2981+3)|0); //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2980)>>2)]=$2982; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 604; break; //@line 1271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 603: 
      var $2984=(($stack+1932)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2985=HEAP32[(($2984)>>2)]; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2986=(($2985+20)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2987=(($2986+4)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2988=HEAP32[(($2987)>>2)]; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2989=(($2988+1)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($2987)>>2)]=$2989; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2990=HEAPU8[($2988)]; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2991=(($2990)&255); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2992=(($2991-19)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2993=(($2992) & 65535); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2994=(($stack+1932)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2995=HEAP32[(($2994)>>2)]; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2996=(($2995+36)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $2997=(($2996+40)|0); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL38repeatInformationFromInstructionOffsetsRbRiS0_($2993, $minimize, $min, $2997); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 604; break; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 604: 
      var $2999=(($stack+1932)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3000=HEAP32[(($2999)>>2)]; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3001=(($3000+36)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3002=(($3001+36)|0); //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3002)>>2)]=1; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3003=(($stack+1932)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3004=HEAP32[(($3003)>>2)]; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3005=(($3004+36)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3006=(($3005+28)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3007=(($stack+1932)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3008=HEAP32[(($3007)>>2)]; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3009=(($3008+20)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3010=(($3009+4)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3011=HEAP32[(($3010)>>2)]; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3012=(($stack+1932)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3013=HEAP32[(($3012)>>2)]; //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3014=(($3013+36)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3015=(($3014+36)|0); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL29getUTF8CharAndIncrementLengthRiPKhS_($3006, $3011, $3015); //@line 1288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3016=HEAP32[(($min)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3017=(($stack+1932)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3018=HEAP32[(($3017)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3019=(($3018+36)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3020=(($3019+28)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3021=HEAP32[(($3020)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3022=(($3021)|0) > 65535; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3023=$3022 ? 2 : 1; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3024=(($3016*$3023)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3025=$6; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3026=(($3025+20)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3027=HEAP32[(($3026)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3028=(($stack+1932)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3029=HEAP32[(($3028)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3030=(($3029+20)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3031=(($3030)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3032=HEAP32[(($3031)>>2)]; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3033=$3027; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3034=$3032; //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3035=(($3033-$3034)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3036=(((($3035)|0)/2)&-1); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3037=(($3024)|0) > (($3036)|0); //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3037) { __label__ = 605; break; } else { __label__ = 611; break; } //@line 1289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 605: 
      __label__ = 606; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 606: 
      $isMatch=0; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 607; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 607: 
      __label__ = 1153; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 608: 
      __label__ = 609; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 609: 
      __label__ = 610; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 610: 
      __label__ = 611; break; //@line 1290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 611: 
      var $3046=(($stack+1932)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3047=HEAP32[(($3046)>>2)]; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3048=(($3047+36)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3049=(($3048+36)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3050=HEAP32[(($3049)>>2)]; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3051=(($stack+1932)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3052=HEAP32[(($3051)>>2)]; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3053=(($3052+20)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3054=(($3053+4)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3055=HEAP32[(($3054)>>2)]; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3056=(($3055+$3050)|0); //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3054)>>2)]=$3056; //@line 1291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3057=(($stack+1932)|0); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3058=HEAP32[(($3057)>>2)]; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3059=(($3058+36)|0); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3060=(($3059+28)|0); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3061=HEAP32[(($3060)>>2)]; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3062=(($3061)|0) <= 65535; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3062) { __label__ = 612; break; } else { __label__ = 678; break; } //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 612: 
      var $3064=$6; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3065=(($3064+33)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3066=HEAP8[($3065)]; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3067=(($3066) & 1); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3067) { __label__ = 613; break; } else { __label__ = 614; break; } //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 613: 
      var $3069=(($stack+1932)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3070=HEAP32[(($3069)>>2)]; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3071=(($3070+36)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3072=(($3071+28)|0); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3073=HEAP32[(($3072)>>2)]; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3074=__Z22jsc_pcre_ucp_othercasej($3073); //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3077 = $3074;__label__ = 615; break; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 614: 
      var $3077 = -1;__label__ = 615; break; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 615: 
      var $3077; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $othercase=$3077; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i14=1; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 616; break; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 616: 
      var $3079=$i14; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3080=HEAP32[(($min)>>2)]; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3081=(($3079)|0) <= (($3080)|0); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3081) { __label__ = 617; break; } else { __label__ = 627; break; } //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 617: 
      var $3083=(($stack+1932)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3084=HEAP32[(($3083)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3085=(($3084+20)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3086=(($3085)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3087=HEAP32[(($3086)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3088=HEAPU16[(($3087)>>1)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3089=(($3088)&65535); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3090=(($stack+1932)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3091=HEAP32[(($3090)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3092=(($3091+36)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3093=(($3092+28)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3094=HEAP32[(($3093)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3095=(($3089)|0)!=(($3094)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3095) { __label__ = 618; break; } else { __label__ = 625; break; } //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 618: 
      var $3097=(($stack+1932)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3098=HEAP32[(($3097)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3099=(($3098+20)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3100=(($3099)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3101=HEAP32[(($3100)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3102=HEAPU16[(($3101)>>1)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3103=(($3102)&65535); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3104=$othercase; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3105=(($3103)|0)!=(($3104)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3105) { __label__ = 619; break; } else { __label__ = 625; break; } //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 619: 
      __label__ = 620; break; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 620: 
      $isMatch=0; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 621; break; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 621: 
      __label__ = 1153; break; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 622: 
      __label__ = 623; break; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 623: 
      __label__ = 624; break; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 624: 
      __label__ = 625; break; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 625: 
      var $3114=(($stack+1932)|0); //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3115=HEAP32[(($3114)>>2)]; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3116=(($3115+20)|0); //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3117=(($3116)|0); //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3118=HEAP32[(($3117)>>2)]; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3119=(($3118+2)|0); //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3117)>>2)]=$3119; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 626; break; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 626: 
      var $3121=$i14; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3122=(($3121+1)|0); //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i14=$3122; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 616; break; //@line 1296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 627: 
      var $3124=HEAP32[(($min)>>2)]; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3125=(($stack+1932)|0); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3126=HEAP32[(($3125)>>2)]; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3127=(($3126+36)|0); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3128=(($3127+40)|0); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3129=HEAP32[(($3128)>>2)]; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3130=(($3124)|0)==(($3129)|0); //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3130) { __label__ = 628; break; } else { __label__ = 629; break; } //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 628: 
      __label__ = 5; break; //@line 1303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 629: 
      var $3133=HEAP8[($minimize)]; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3134=(($3133) & 1); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3134) { __label__ = 630; break; } else { __label__ = 651; break; } //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 630: 
      var $3136=$othercase; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3137=(($stack+1932)|0); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3138=HEAP32[(($3137)>>2)]; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3139=(($3138+36)|0); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3140=(($3139+16)|0); //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3140)>>2)]=$3136; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3141=HEAP32[(($min)>>2)]; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3142=(($stack+1932)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3143=HEAP32[(($3142)>>2)]; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3144=(($3143+36)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3145=(($3144+32)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3145)>>2)]=$3141; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 631; break; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 631: 
      __label__ = 632; break; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 632: 
      var $3148=(($stack+1932)|0); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3149=HEAP32[(($3148)>>2)]; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3150=(($3149+20)|0); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3151=(($3150+4)|0); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3152=HEAP32[(($3151)>>2)]; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3153=(($stack+1932)|0); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3154=HEAP32[(($3153)>>2)]; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3155=(($3154+20)|0); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3156=(($3155+12)|0); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3157=HEAP32[(($3156)>>2)]; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $3152, $3157, 28); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 633: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 634; break; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 634: 
      __label__ = 635; break; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 635: 
      var $3161=$isMatch; //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3162=(($3161) & 1); //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3162) { __label__ = 636; break; } else { __label__ = 639; break; } //@line 1309 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 636: 
      __label__ = 637; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 637: 
      __label__ = 1153; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 638: 
      __label__ = 639; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 639: 
      var $3168=(($stack+1932)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3169=HEAP32[(($3168)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3170=(($3169+36)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3171=(($3170+32)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3172=HEAP32[(($3171)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3173=(($stack+1932)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3174=HEAP32[(($3173)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3175=(($3174+36)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3176=(($3175+40)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3177=HEAP32[(($3176)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3178=(($3172)|0) >= (($3177)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3178) { __label__ = 641; break; } else { __label__ = 640; break; } //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 640: 
      var $3180=(($stack+1932)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3181=HEAP32[(($3180)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3182=(($3181+20)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3183=(($3182)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3184=HEAPU32[(($3183)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3185=$6; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3186=(($3185+20)|0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3187=HEAPU32[(($3186)>>2)]; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3188=(($3184)>>>0) >= (($3187)>>>0); //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3188) { __label__ = 641; break; } else { __label__ = 644; break; } //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 641: 
      __label__ = 642; break; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 642: 
      __label__ = 1153; break; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 643: 
      __label__ = 644; break; //@line 1312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 644: 
      var $3194=(($stack+1932)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3195=HEAP32[(($3194)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3196=(($3195+20)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3197=(($3196)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3198=HEAP32[(($3197)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3199=HEAPU16[(($3198)>>1)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3200=(($3199)&65535); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3201=(($stack+1932)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3202=HEAP32[(($3201)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3203=(($3202+36)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3204=(($3203+28)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3205=HEAP32[(($3204)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3206=(($3200)|0)!=(($3205)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3206) { __label__ = 645; break; } else { __label__ = 649; break; } //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 645: 
      var $3208=(($stack+1932)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3209=HEAP32[(($3208)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3210=(($3209+20)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3211=(($3210)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3212=HEAP32[(($3211)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3213=HEAPU16[(($3212)>>1)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3214=(($3213)&65535); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3215=(($stack+1932)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3216=HEAP32[(($3215)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3217=(($3216+36)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3218=(($3217+16)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3219=HEAP32[(($3218)>>2)]; //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3220=(($3214)|0)!=(($3219)|0); //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3220) { __label__ = 646; break; } else { __label__ = 649; break; } //@line 1313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 646: 
      __label__ = 647; break; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 647: 
      __label__ = 1153; break; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 648: 
      __label__ = 649; break; //@line 1314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 649: 
      var $3226=(($stack+1932)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3227=HEAP32[(($3226)>>2)]; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3228=(($3227+20)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3229=(($3228)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3230=HEAP32[(($3229)>>2)]; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3231=(($3230+2)|0); //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3229)>>2)]=$3231; //@line 1315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 650; break; //@line 1316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 650: 
      var $3233=(($stack+1932)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3234=HEAP32[(($3233)>>2)]; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3235=(($3234+36)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3236=(($3235+32)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3237=HEAP32[(($3236)>>2)]; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3238=(($3237+1)|0); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3236)>>2)]=$3238; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 631; break; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 651: 
      var $3240=(($stack+1932)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3241=HEAP32[(($3240)>>2)]; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3242=(($3241+20)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3243=(($3242)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3244=HEAP32[(($3243)>>2)]; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3245=(($stack+1932)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3246=HEAP32[(($3245)>>2)]; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3247=(($3246+36)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3248=(($3247+8)|0); //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3248)>>2)]=$3244; //@line 1319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3249=HEAP32[(($min)>>2)]; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i15=$3249; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 652; break; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 652: 
      var $3251=$i15; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3252=(($stack+1932)|0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3253=HEAP32[(($3252)>>2)]; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3254=(($3253+36)|0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3255=(($3254+40)|0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3256=HEAP32[(($3255)>>2)]; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3257=(($3251)|0) < (($3256)|0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3257) { __label__ = 653; break; } else { __label__ = 660; break; } //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 653: 
      var $3259=(($stack+1932)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3260=HEAP32[(($3259)>>2)]; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3261=(($3260+20)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3262=(($3261)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3263=HEAPU32[(($3262)>>2)]; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3264=$6; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3265=(($3264+20)|0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3266=HEAPU32[(($3265)>>2)]; //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3267=(($3263)>>>0) >= (($3266)>>>0); //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3267) { __label__ = 654; break; } else { __label__ = 655; break; } //@line 1321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 654: 
      __label__ = 660; break; //@line 1322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 655: 
      var $3270=(($stack+1932)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3271=HEAP32[(($3270)>>2)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3272=(($3271+20)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3273=(($3272)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3274=HEAP32[(($3273)>>2)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3275=HEAPU16[(($3274)>>1)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3276=(($3275)&65535); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3277=(($stack+1932)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3278=HEAP32[(($3277)>>2)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3279=(($3278+36)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3280=(($3279+28)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3281=HEAP32[(($3280)>>2)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3282=(($3276)|0)!=(($3281)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3282) { __label__ = 656; break; } else { __label__ = 658; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 656: 
      var $3284=(($stack+1932)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3285=HEAP32[(($3284)>>2)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3286=(($3285+20)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3287=(($3286)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3288=HEAP32[(($3287)>>2)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3289=HEAPU16[(($3288)>>1)]; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3290=(($3289)&65535); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3291=$othercase; //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3292=(($3290)|0)!=(($3291)|0); //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3292) { __label__ = 657; break; } else { __label__ = 658; break; } //@line 1323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 657: 
      __label__ = 660; break; //@line 1324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 658: 
      var $3295=(($stack+1932)|0); //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3296=HEAP32[(($3295)>>2)]; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3297=(($3296+20)|0); //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3298=(($3297)|0); //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3299=HEAP32[(($3298)>>2)]; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3300=(($3299+2)|0); //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3298)>>2)]=$3300; //@line 1325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 659; break; //@line 1326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 659: 
      var $3302=$i15; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3303=(($3302+1)|0); //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i15=$3303; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 652; break; //@line 1320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 660: 
      __label__ = 661; break; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 661: 
      var $3306=(($stack+1932)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3307=HEAP32[(($3306)>>2)]; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3308=(($3307+20)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3309=(($3308)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3310=HEAPU32[(($3309)>>2)]; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3311=(($stack+1932)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3312=HEAP32[(($3311)>>2)]; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3313=(($3312+36)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3314=(($3313+8)|0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3315=HEAPU32[(($3314)>>2)]; //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3316=(($3310)>>>0) >= (($3315)>>>0); //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3316) { __label__ = 662; break; } else { __label__ = 671; break; } //@line 1327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 662: 
      __label__ = 663; break; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 663: 
      var $3319=(($stack+1932)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3320=HEAP32[(($3319)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3321=(($3320+20)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3322=(($3321+4)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3323=HEAP32[(($3322)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3324=(($stack+1932)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3325=HEAP32[(($3324)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3326=(($3325+20)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3327=(($3326+12)|0); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3328=HEAP32[(($3327)>>2)]; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $3323, $3328, 29); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 664: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 665; break; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 665: 
      __label__ = 666; break; //@line 1328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 666: 
      var $3332=$isMatch; //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3333=(($3332) & 1); //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3333) { __label__ = 667; break; } else { __label__ = 670; break; } //@line 1329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 667: 
      __label__ = 668; break; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 668: 
      __label__ = 1153; break; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 669: 
      __label__ = 670; break; //@line 1330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 670: 
      var $3339=(($stack+1932)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3340=HEAP32[(($3339)>>2)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3341=(($3340+20)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3342=(($3341)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3343=HEAP32[(($3342)>>2)]; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3344=(($3343-2)|0); //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3342)>>2)]=$3344; //@line 1331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 661; break; //@line 1332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 671: 
      __label__ = 672; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 672: 
      $isMatch=0; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 673; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 673: 
      __label__ = 1153; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 674: 
      __label__ = 675; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 675: 
      __label__ = 676; break; //@line 1333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 676: 
      __label__ = 677; break;
    case 677: 
      __label__ = 738; break; //@line 1336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 678: 
      $i16=1; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 679; break; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 679: 
      var $3355=$i16; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3356=HEAP32[(($min)>>2)]; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3357=(($3355)|0) <= (($3356)|0); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3357) { __label__ = 680; break; } else { __label__ = 689; break; } //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 680: 
      var $3359=(($stack+1932)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3360=HEAP32[(($3359)>>2)]; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3361=(($3360+20)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3362=(($3361)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3363=HEAP32[(($3362)>>2)]; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3364=HEAPU16[(($3363)>>1)]; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3365=(($3364)&65535); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3366=(($stack+1932)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3367=HEAP32[(($3366)>>2)]; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3368=(($3367+36)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3369=(($3368+28)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3370=HEAP32[(($3369)>>2)]; //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3371=(($3365)|0)!=(($3370)|0); //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3371) { __label__ = 681; break; } else { __label__ = 687; break; } //@line 1340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 681: 
      __label__ = 682; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 682: 
      $isMatch=0; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 683; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 683: 
      __label__ = 1153; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 684: 
      __label__ = 685; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 685: 
      __label__ = 686; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 686: 
      __label__ = 687; break; //@line 1341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 687: 
      var $3380=(($stack+1932)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3381=HEAP32[(($3380)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3382=(($3381+20)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3383=(($3382)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3384=HEAP32[(($3383)>>2)]; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3385=(($3384+4)|0); //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3383)>>2)]=$3385; //@line 1342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 688; break; //@line 1343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 688: 
      var $3387=$i16; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3388=(($3387+1)|0); //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i16=$3388; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 679; break; //@line 1339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 689: 
      var $3390=HEAP32[(($min)>>2)]; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3391=(($stack+1932)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3392=HEAP32[(($3391)>>2)]; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3393=(($3392+36)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3394=(($3393+40)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3395=HEAP32[(($3394)>>2)]; //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3396=(($3390)|0)==(($3395)|0); //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3396) { __label__ = 690; break; } else { __label__ = 691; break; } //@line 1345 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 690: 
      __label__ = 5; break; //@line 1346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 691: 
      var $3399=HEAP8[($minimize)]; //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3400=(($3399) & 1); //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3400) { __label__ = 692; break; } else { __label__ = 712; break; } //@line 1348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 692: 
      var $3402=HEAP32[(($min)>>2)]; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3403=(($stack+1932)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3404=HEAP32[(($3403)>>2)]; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3405=(($3404+36)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3406=(($3405+32)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3406)>>2)]=$3402; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 693; break; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 693: 
      __label__ = 694; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 694: 
      var $3409=(($stack+1932)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3410=HEAP32[(($3409)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3411=(($3410+20)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3412=(($3411+4)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3413=HEAP32[(($3412)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3414=(($stack+1932)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3415=HEAP32[(($3414)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3416=(($3415+20)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3417=(($3416+12)|0); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3418=HEAP32[(($3417)>>2)]; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $3413, $3418, 30); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 695: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 696; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 696: 
      __label__ = 697; break; //@line 1350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 697: 
      var $3422=$isMatch; //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3423=(($3422) & 1); //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3423) { __label__ = 698; break; } else { __label__ = 701; break; } //@line 1351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 698: 
      __label__ = 699; break; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 699: 
      __label__ = 1153; break; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 700: 
      __label__ = 701; break; //@line 1352 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 701: 
      var $3429=(($stack+1932)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3430=HEAP32[(($3429)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3431=(($3430+36)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3432=(($3431+32)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3433=HEAP32[(($3432)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3434=(($stack+1932)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3435=HEAP32[(($3434)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3436=(($3435+36)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3437=(($3436+40)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3438=HEAP32[(($3437)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3439=(($3433)|0) >= (($3438)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3439) { __label__ = 703; break; } else { __label__ = 702; break; } //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 702: 
      var $3441=(($stack+1932)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3442=HEAP32[(($3441)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3443=(($3442+20)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3444=(($3443)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3445=HEAPU32[(($3444)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3446=$6; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3447=(($3446+20)|0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3448=HEAPU32[(($3447)>>2)]; //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3449=(($3445)>>>0) >= (($3448)>>>0); //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3449) { __label__ = 703; break; } else { __label__ = 706; break; } //@line 1353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 703: 
      __label__ = 704; break; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 704: 
      __label__ = 1153; break; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 705: 
      __label__ = 706; break; //@line 1354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 706: 
      var $3455=(($stack+1932)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3456=HEAP32[(($3455)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3457=(($3456+20)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3458=(($3457)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3459=HEAP32[(($3458)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3460=HEAPU16[(($3459)>>1)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3461=(($3460)&65535); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3462=(($stack+1932)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3463=HEAP32[(($3462)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3464=(($3463+36)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3465=(($3464+28)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3466=HEAP32[(($3465)>>2)]; //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3467=(($3461)|0)!=(($3466)|0); //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3467) { __label__ = 707; break; } else { __label__ = 710; break; } //@line 1355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 707: 
      __label__ = 708; break; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 708: 
      __label__ = 1153; break; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 709: 
      __label__ = 710; break; //@line 1356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 710: 
      var $3473=(($stack+1932)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3474=HEAP32[(($3473)>>2)]; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3475=(($3474+20)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3476=(($3475)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3477=HEAP32[(($3476)>>2)]; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3478=(($3477+4)|0); //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3476)>>2)]=$3478; //@line 1357 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 711; break; //@line 1358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 711: 
      var $3480=(($stack+1932)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3481=HEAP32[(($3480)>>2)]; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3482=(($3481+36)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3483=(($3482+32)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3484=HEAP32[(($3483)>>2)]; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3485=(($3484+1)|0); //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3483)>>2)]=$3485; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 693; break; //@line 1349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 712: 
      var $3487=(($stack+1932)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3488=HEAP32[(($3487)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3489=(($3488+20)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3490=(($3489)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3491=HEAP32[(($3490)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3492=(($stack+1932)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3493=HEAP32[(($3492)>>2)]; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3494=(($3493+36)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3495=(($3494+8)|0); //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3495)>>2)]=$3491; //@line 1361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3496=HEAP32[(($min)>>2)]; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i17=$3496; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 713; break; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 713: 
      var $3498=$i17; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3499=(($stack+1932)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3500=HEAP32[(($3499)>>2)]; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3501=(($3500+36)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3502=(($3501+40)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3503=HEAP32[(($3502)>>2)]; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3504=(($3498)|0) < (($3503)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3504) { __label__ = 714; break; } else { __label__ = 720; break; } //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 714: 
      var $3506=(($stack+1932)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3507=HEAP32[(($3506)>>2)]; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3508=(($3507+20)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3509=(($3508)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3510=HEAPU32[(($3509)>>2)]; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3511=$6; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3512=(($3511+20)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3513=HEAP32[(($3512)>>2)]; //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3514=(($3513-4)|0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3515=(($3510)>>>0) > (($3514)>>>0); //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3515) { __label__ = 715; break; } else { __label__ = 716; break; } //@line 1363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 715: 
      __label__ = 720; break; //@line 1364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 716: 
      var $3518=(($stack+1932)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3519=HEAP32[(($3518)>>2)]; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3520=(($3519+20)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3521=(($3520)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3522=HEAP32[(($3521)>>2)]; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3523=HEAPU16[(($3522)>>1)]; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3524=(($3523)&65535); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3525=(($stack+1932)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3526=HEAP32[(($3525)>>2)]; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3527=(($3526+36)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3528=(($3527+28)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3529=HEAP32[(($3528)>>2)]; //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3530=(($3524)|0)!=(($3529)|0); //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3530) { __label__ = 717; break; } else { __label__ = 718; break; } //@line 1365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 717: 
      __label__ = 720; break; //@line 1366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 718: 
      var $3533=(($stack+1932)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3534=HEAP32[(($3533)>>2)]; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3535=(($3534+20)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3536=(($3535)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3537=HEAP32[(($3536)>>2)]; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3538=(($3537+4)|0); //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3536)>>2)]=$3538; //@line 1367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 719; break; //@line 1368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 719: 
      var $3540=$i17; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3541=(($3540+1)|0); //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i17=$3541; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 713; break; //@line 1362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 720: 
      __label__ = 721; break; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 721: 
      var $3544=(($stack+1932)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3545=HEAP32[(($3544)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3546=(($3545+20)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3547=(($3546)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3548=HEAPU32[(($3547)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3549=(($stack+1932)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3550=HEAP32[(($3549)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3551=(($3550+36)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3552=(($3551+8)|0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3553=HEAPU32[(($3552)>>2)]; //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3554=(($3548)>>>0) >= (($3553)>>>0); //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3554) { __label__ = 722; break; } else { __label__ = 731; break; } //@line 1369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 722: 
      __label__ = 723; break; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 723: 
      var $3557=(($stack+1932)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3558=HEAP32[(($3557)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3559=(($3558+20)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3560=(($3559+4)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3561=HEAP32[(($3560)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3562=(($stack+1932)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3563=HEAP32[(($3562)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3564=(($3563+20)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3565=(($3564+12)|0); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3566=HEAP32[(($3565)>>2)]; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $3561, $3566, 31); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 724: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 725; break; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 725: 
      __label__ = 726; break; //@line 1370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 726: 
      var $3570=$isMatch; //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3571=(($3570) & 1); //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3571) { __label__ = 727; break; } else { __label__ = 730; break; } //@line 1371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 727: 
      __label__ = 728; break; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 728: 
      __label__ = 1153; break; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 729: 
      __label__ = 730; break; //@line 1372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 730: 
      var $3577=(($stack+1932)|0); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3578=HEAP32[(($3577)>>2)]; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3579=(($3578+20)|0); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3580=(($3579)|0); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3581=HEAP32[(($3580)>>2)]; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3582=(($3581-4)|0); //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3580)>>2)]=$3582; //@line 1373 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 721; break; //@line 1374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 731: 
      __label__ = 732; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 732: 
      $isMatch=0; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 733; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 733: 
      __label__ = 1153; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 734: 
      __label__ = 735; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 735: 
      __label__ = 736; break; //@line 1375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 736: 
      __label__ = 737; break;
    case 737: 
      __label__ = 738; break;
    case 738: 
      __label__ = 739; break;
    case 739: 
      var $3593=(($stack+1932)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3594=HEAP32[(($3593)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3595=(($3594+20)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3596=(($3595)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3597=HEAPU32[(($3596)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3598=$6; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3599=(($3598+20)|0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3600=HEAPU32[(($3599)>>2)]; //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3601=(($3597)>>>0) >= (($3600)>>>0); //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3601) { __label__ = 740; break; } else { __label__ = 746; break; } //@line 1384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 740: 
      __label__ = 741; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 741: 
      $isMatch=0; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 742; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 742: 
      __label__ = 1153; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 743: 
      __label__ = 744; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 744: 
      __label__ = 745; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 745: 
      __label__ = 746; break; //@line 1385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 746: 
      var $3610=(($stack+1932)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3611=HEAP32[(($3610)>>2)]; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3612=(($3611+20)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3613=(($3612+4)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3614=HEAP32[(($3613)>>2)]; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3615=(($3614+1)|0); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3616=HEAPU8[($3615)]; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3617=(($3616)&255); //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $b=$3617; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3618=(($stack+1932)|0); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3619=HEAP32[(($3618)>>2)]; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3620=(($3619+20)|0); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3621=(($3620)|0); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3622=HEAP32[(($3621)>>2)]; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3623=(($3622+2)|0); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3621)>>2)]=$3623; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3624=HEAPU16[(($3622)>>1)]; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3625=(($3624)&65535); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c18=$3625; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3626=(($stack+1932)|0); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3627=HEAP32[(($3626)>>2)]; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3628=(($3627+20)|0); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3629=(($3628+4)|0); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3630=HEAP32[(($3629)>>2)]; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3631=(($3630+2)|0); //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3629)>>2)]=$3631; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3632=$6; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3633=(($3632+33)|0); //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3634=HEAP8[($3633)]; //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3635=(($3634) & 1); //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3635) { __label__ = 747; break; } else { __label__ = 757; break; } //@line 1389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 747: 
      var $3637=$c18; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3638=(($3637)|0) < 128; //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3638) { __label__ = 748; break; } else { __label__ = 749; break; } //@line 1390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 748: 
      var $3640=$c18; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3641=(($3640) & 255); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3642=__ZL11toLowerCaseh($3641); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3643=(($3642)&255); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c18=$3643; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 749; break; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 749: 
      var $3645=$b; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3646=(($3645) & 255); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3647=__ZL11toLowerCaseh($3646); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3648=(($3647)&255); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3649=$c18; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3650=(($3648)|0)==(($3649)|0); //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3650) { __label__ = 750; break; } else { __label__ = 756; break; } //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 750: 
      __label__ = 751; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 751: 
      $isMatch=0; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 752; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 752: 
      __label__ = 1153; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 753: 
      __label__ = 754; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 754: 
      __label__ = 755; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 755: 
      __label__ = 756; break; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 756: 
      __label__ = 765; break; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 757: 
      var $3660=$b; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3661=$c18; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3662=(($3660)|0)==(($3661)|0); //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3662) { __label__ = 758; break; } else { __label__ = 764; break; } //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 758: 
      __label__ = 759; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 759: 
      $isMatch=0; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 760; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 760: 
      __label__ = 1153; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 761: 
      __label__ = 762; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 762: 
      __label__ = 763; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 763: 
      __label__ = 764; break; //@line 1396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 764: 
      __label__ = 765; break;
    case 765: 
      __label__ = 5; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 766: 
      var $3673=(($stack+1932)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3674=HEAP32[(($3673)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3675=(($3674+20)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3676=(($3675+4)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3677=HEAP32[(($3676)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3678=(($3677+1)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3679=__ZL13get2ByteValuePKh4462($3678); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3680=(($stack+1932)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3681=HEAP32[(($3680)>>2)]; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3682=(($3681+36)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3683=(($3682+40)|0); //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3683)>>2)]=$3679; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($min)>>2)]=$3679; //@line 1409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=0; //@line 1410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3684=(($stack+1932)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3685=HEAP32[(($3684)>>2)]; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3686=(($3685+20)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3687=(($3686+4)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3688=HEAP32[(($3687)>>2)]; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3689=(($3688+3)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3687)>>2)]=$3689; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 769; break; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 767: 
      HEAP32[(($min)>>2)]=0; //@line 1416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3691=(($stack+1932)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3692=HEAP32[(($3691)>>2)]; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3693=(($3692+20)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3694=(($3693+4)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3695=HEAP32[(($3694)>>2)]; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3696=(($3695+1)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3697=__ZL13get2ByteValuePKh4462($3696); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3698=(($stack+1932)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3699=HEAP32[(($3698)>>2)]; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3700=(($3699+36)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3701=(($3700+40)|0); //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3701)>>2)]=$3697; //@line 1417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3702=(($stack+1932)|0); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3703=HEAP32[(($3702)>>2)]; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3704=(($3703+20)|0); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3705=(($3704+4)|0); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3706=HEAP32[(($3705)>>2)]; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3707=HEAPU8[($3706)]; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3708=(($3707)&255); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3709=(($3708)|0)==35; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3710=(($3709)&1); //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=$3710; //@line 1418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3711=(($stack+1932)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3712=HEAP32[(($3711)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3713=(($3712+20)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3714=(($3713+4)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3715=HEAP32[(($3714)>>2)]; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3716=(($3715+3)|0); //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3714)>>2)]=$3716; //@line 1419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 769; break; //@line 1420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 768: 
      var $3718=(($stack+1932)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3719=HEAP32[(($3718)>>2)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3720=(($3719+20)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3721=(($3720+4)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3722=HEAP32[(($3721)>>2)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3723=(($3722+1)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3721)>>2)]=$3723; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3724=HEAPU8[($3722)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3725=(($3724)&255); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3726=(($3725-28)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3727=(($3726) & 65535); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3728=(($stack+1932)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3729=HEAP32[(($3728)>>2)]; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3730=(($3729+36)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3731=(($3730+40)|0); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL38repeatInformationFromInstructionOffsetsRbRiS0_($3727, $minimize, $min, $3731); //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 769; break; //@line 1428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 769: 
      var $3733=HEAP32[(($min)>>2)]; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3734=$6; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3735=(($3734+20)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3736=HEAP32[(($3735)>>2)]; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3737=(($stack+1932)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3738=HEAP32[(($3737)>>2)]; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3739=(($3738+20)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3740=(($3739)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3741=HEAP32[(($3740)>>2)]; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3742=$3736; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3743=$3741; //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3744=(($3742-$3743)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3745=(((($3744)|0)/2)&-1); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3746=(($3733)|0) > (($3745)|0); //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3746) { __label__ = 770; break; } else { __label__ = 776; break; } //@line 1435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 770: 
      __label__ = 771; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 771: 
      $isMatch=0; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 772; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 772: 
      __label__ = 1153; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 773: 
      __label__ = 774; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 774: 
      __label__ = 775; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 775: 
      __label__ = 776; break; //@line 1436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 776: 
      var $3755=(($stack+1932)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3756=HEAP32[(($3755)>>2)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3757=(($3756+20)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3758=(($3757+4)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3759=HEAP32[(($3758)>>2)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3760=(($3759+1)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3758)>>2)]=$3760; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3761=HEAPU8[($3759)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3762=(($3761)&255); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3763=(($stack+1932)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3764=HEAP32[(($3763)>>2)]; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3765=(($3764+36)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3766=(($3765+28)|0); //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3766)>>2)]=$3762; //@line 1437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3767=$6; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3768=(($3767+33)|0); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3769=HEAP8[($3768)]; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3770=(($3769) & 1); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3770) { __label__ = 777; break; } else { __label__ = 840; break; } //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 777: 
      var $3772=(($stack+1932)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3773=HEAP32[(($3772)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3774=(($3773+36)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3775=(($3774+28)|0); //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3776=HEAP32[(($3775)>>2)]; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3777=(($3776)|0) < 128; //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3777) { __label__ = 778; break; } else { __label__ = 779; break; } //@line 1450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 778: 
      var $3779=(($stack+1932)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3780=HEAP32[(($3779)>>2)]; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3781=(($3780+36)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3782=(($3781+28)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3783=HEAP32[(($3782)>>2)]; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3784=(($3783) & 255); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3785=__ZL11toLowerCaseh($3784); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3786=(($3785)&255); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3787=(($stack+1932)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3788=HEAP32[(($3787)>>2)]; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3789=(($3788+36)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3790=(($3789+28)|0); //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3790)>>2)]=$3786; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 779; break; //@line 1451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 779: 
      $i19=1; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 780; break; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 780: 
      var $3793=$i19; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3794=HEAP32[(($min)>>2)]; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3795=(($3793)|0) <= (($3794)|0); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3795) { __label__ = 781; break; } else { __label__ = 792; break; } //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 781: 
      var $3797=(($stack+1932)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3798=HEAP32[(($3797)>>2)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3799=(($3798+20)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3800=(($3799)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3801=HEAP32[(($3800)>>2)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3802=(($3801+2)|0); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3800)>>2)]=$3802; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3803=HEAPU16[(($3801)>>1)]; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3804=(($3803)&65535); //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d=$3804; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3805=$d; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3806=(($3805)|0) < 128; //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3806) { __label__ = 782; break; } else { __label__ = 783; break; } //@line 1455 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 782: 
      var $3808=$d; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3809=(($3808) & 255); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3810=__ZL11toLowerCaseh($3809); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3811=(($3810)&255); //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d=$3811; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 783; break; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 783: 
      var $3813=(($stack+1932)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3814=HEAP32[(($3813)>>2)]; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3815=(($3814+36)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3816=(($3815+28)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3817=HEAP32[(($3816)>>2)]; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3818=$d; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3819=(($3817)|0)==(($3818)|0); //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3819) { __label__ = 784; break; } else { __label__ = 790; break; } //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 784: 
      __label__ = 785; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 785: 
      $isMatch=0; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 786; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 786: 
      __label__ = 1153; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 787: 
      __label__ = 788; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 788: 
      __label__ = 789; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 789: 
      __label__ = 790; break; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 790: 
      __label__ = 791; break; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 791: 
      var $3829=$i19; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3830=(($3829+1)|0); //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i19=$3830; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 780; break; //@line 1453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 792: 
      var $3832=HEAP32[(($min)>>2)]; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3833=(($stack+1932)|0); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3834=HEAP32[(($3833)>>2)]; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3835=(($3834+36)|0); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3836=(($3835+40)|0); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3837=HEAP32[(($3836)>>2)]; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3838=(($3832)|0)==(($3837)|0); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3838) { __label__ = 793; break; } else { __label__ = 794; break; } //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 793: 
      __label__ = 5; break; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 794: 
      var $3841=HEAP8[($minimize)]; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3842=(($3841) & 1); //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3842) { __label__ = 795; break; } else { __label__ = 814; break; } //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 795: 
      var $3844=HEAP32[(($min)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3845=(($stack+1932)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3846=HEAP32[(($3845)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3847=(($3846+36)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3848=(($3847+32)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3848)>>2)]=$3844; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 796; break; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 796: 
      __label__ = 797; break; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 797: 
      var $3851=(($stack+1932)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3852=HEAP32[(($3851)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3853=(($3852+20)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3854=(($3853+4)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3855=HEAP32[(($3854)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3856=(($stack+1932)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3857=HEAP32[(($3856)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3858=(($3857+20)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3859=(($3858+12)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3860=HEAP32[(($3859)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $3855, $3860, 38); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 798: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 799; break; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 799: 
      __label__ = 800; break; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 800: 
      var $3864=$isMatch; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3865=(($3864) & 1); //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3865) { __label__ = 801; break; } else { __label__ = 804; break; } //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 801: 
      __label__ = 802; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 802: 
      __label__ = 1153; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 803: 
      __label__ = 804; break; //@line 1468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 804: 
      var $3871=(($stack+1932)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3872=HEAP32[(($3871)>>2)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3873=(($3872+20)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3874=(($3873)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3875=HEAP32[(($3874)>>2)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3876=(($3875+2)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3874)>>2)]=$3876; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3877=HEAPU16[(($3875)>>1)]; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3878=(($3877)&65535); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d20=$3878; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3879=$d20; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3880=(($3879)|0) < 128; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3880) { __label__ = 805; break; } else { __label__ = 806; break; } //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 805: 
      var $3882=$d20; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3883=(($3882) & 255); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3884=__ZL11toLowerCaseh($3883); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3885=(($3884)&255); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d20=$3885; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 806; break; //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 806: 
      var $3887=(($stack+1932)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3888=HEAP32[(($3887)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3889=(($3888+36)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3890=(($3889+32)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3891=HEAP32[(($3890)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3892=(($stack+1932)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3893=HEAP32[(($3892)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3894=(($3893+36)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3895=(($3894+40)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3896=HEAP32[(($3895)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3897=(($3891)|0) >= (($3896)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3897) { __label__ = 809; break; } else { __label__ = 807; break; } //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 807: 
      var $3899=(($stack+1932)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3900=HEAP32[(($3899)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3901=(($3900+20)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3902=(($3901)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3903=HEAPU32[(($3902)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3904=$6; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3905=(($3904+20)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3906=HEAPU32[(($3905)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3907=(($3903)>>>0) >= (($3906)>>>0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3907) { __label__ = 809; break; } else { __label__ = 808; break; } //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 808: 
      var $3909=(($stack+1932)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3910=HEAP32[(($3909)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3911=(($3910+36)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3912=(($3911+28)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3913=HEAP32[(($3912)>>2)]; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3914=$d20; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3915=(($3913)|0)==(($3914)|0); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3915) { __label__ = 809; break; } else { __label__ = 812; break; } //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 809: 
      __label__ = 810; break; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 810: 
      __label__ = 1153; break; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 811: 
      __label__ = 812; break; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 812: 
      __label__ = 813; break; //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 813: 
      var $3922=(($stack+1932)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3923=HEAP32[(($3922)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3924=(($3923+36)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3925=(($3924+32)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3926=HEAP32[(($3925)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3927=(($3926+1)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3925)>>2)]=$3927; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 796; break; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 814: 
      var $3929=(($stack+1932)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3930=HEAP32[(($3929)>>2)]; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3931=(($3930+20)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3932=(($3931)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3933=HEAP32[(($3932)>>2)]; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3934=(($stack+1932)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3935=HEAP32[(($3934)>>2)]; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3936=(($3935+36)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3937=(($3936+8)|0); //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3937)>>2)]=$3933; //@line 1481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3938=HEAP32[(($min)>>2)]; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i21=$3938; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 815; break; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 815: 
      var $3940=$i21; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3941=(($stack+1932)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3942=HEAP32[(($3941)>>2)]; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3943=(($3942+36)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3944=(($3943+40)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3945=HEAP32[(($3944)>>2)]; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3946=(($3940)|0) < (($3945)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3946) { __label__ = 816; break; } else { __label__ = 824; break; } //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 816: 
      var $3948=(($stack+1932)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3949=HEAP32[(($3948)>>2)]; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3950=(($3949+20)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3951=(($3950)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3952=HEAPU32[(($3951)>>2)]; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3953=$6; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3954=(($3953+20)|0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3955=HEAPU32[(($3954)>>2)]; //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3956=(($3952)>>>0) >= (($3955)>>>0); //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3956) { __label__ = 817; break; } else { __label__ = 818; break; } //@line 1484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 817: 
      __label__ = 824; break; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 818: 
      var $3959=(($stack+1932)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3960=HEAP32[(($3959)>>2)]; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3961=(($3960+20)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3962=(($3961)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3963=HEAP32[(($3962)>>2)]; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3964=HEAPU16[(($3963)>>1)]; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3965=(($3964)&65535); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d22=$3965; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3966=$d22; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3967=(($3966)|0) < 128; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3967) { __label__ = 819; break; } else { __label__ = 820; break; } //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 819: 
      var $3969=$d22; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3970=(($3969) & 255); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3971=__ZL11toLowerCaseh($3970); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3972=(($3971)&255); //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d22=$3972; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 820; break; //@line 1488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 820: 
      var $3974=(($stack+1932)|0); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3975=HEAP32[(($3974)>>2)]; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3976=(($3975+36)|0); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3977=(($3976+28)|0); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3978=HEAP32[(($3977)>>2)]; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3979=$d22; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3980=(($3978)|0)==(($3979)|0); //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($3980) { __label__ = 821; break; } else { __label__ = 822; break; } //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 821: 
      __label__ = 824; break; //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 822: 
      var $3983=(($stack+1932)|0); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3984=HEAP32[(($3983)>>2)]; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3985=(($3984+20)|0); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3986=(($3985)|0); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3987=HEAP32[(($3986)>>2)]; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3988=(($3987+2)|0); //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($3986)>>2)]=$3988; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 823; break; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 823: 
      var $3990=$i21; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3991=(($3990+1)|0); //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i21=$3991; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 815; break; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 824: 
      __label__ = 825; break; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 825: 
      __label__ = 826; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 826: 
      var $3995=(($stack+1932)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3996=HEAP32[(($3995)>>2)]; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3997=(($3996+20)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3998=(($3997+4)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $3999=HEAP32[(($3998)>>2)]; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4000=(($stack+1932)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4001=HEAP32[(($4000)>>2)]; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4002=(($4001+20)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4003=(($4002+12)|0); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4004=HEAP32[(($4003)>>2)]; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $3999, $4004, 40); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 827: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 828; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 828: 
      __label__ = 829; break; //@line 1494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 829: 
      var $4008=$isMatch; //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4009=(($4008) & 1); //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4009) { __label__ = 830; break; } else { __label__ = 833; break; } //@line 1495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 830: 
      __label__ = 831; break; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 831: 
      __label__ = 1153; break; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 832: 
      __label__ = 833; break; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 833: 
      var $4015=(($stack+1932)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4016=HEAP32[(($4015)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4017=(($4016+20)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4018=(($4017)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4019=HEAP32[(($4018)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4020=(($4019-2)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4018)>>2)]=$4020; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4021=(($stack+1932)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4022=HEAP32[(($4021)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4023=(($4022+36)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4024=(($4023+8)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4025=HEAP32[(($4024)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4026=(($4019)|0)==(($4025)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4026) { __label__ = 834; break; } else { __label__ = 835; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 834: 
      __label__ = 836; break; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 835: 
      __label__ = 825; break; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 836: 
      __label__ = 837; break; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 837: 
      __label__ = 1153; break; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 838: 
      __label__ = 839; break;
    case 839: 
      __label__ = 895; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 840: 
      $i23=1; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 841; break; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 841: 
      var $4036=$i23; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4037=HEAP32[(($min)>>2)]; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4038=(($4036)|0) <= (($4037)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4038) { __label__ = 842; break; } else { __label__ = 851; break; } //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 842: 
      var $4040=(($stack+1932)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4041=HEAP32[(($4040)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4042=(($4041+20)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4043=(($4042)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4044=HEAP32[(($4043)>>2)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4045=(($4044+2)|0); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4043)>>2)]=$4045; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4046=HEAPU16[(($4044)>>1)]; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4047=(($4046)&65535); //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d24=$4047; //@line 1510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4048=(($stack+1932)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4049=HEAP32[(($4048)>>2)]; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4050=(($4049+36)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4051=(($4050+28)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4052=HEAP32[(($4051)>>2)]; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4053=$d24; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4054=(($4052)|0)==(($4053)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4054) { __label__ = 843; break; } else { __label__ = 849; break; } //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 843: 
      __label__ = 844; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 844: 
      $isMatch=0; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 845; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 845: 
      __label__ = 1153; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 846: 
      __label__ = 847; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 847: 
      __label__ = 848; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 848: 
      __label__ = 849; break; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 849: 
      __label__ = 850; break; //@line 1513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 850: 
      var $4064=$i23; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4065=(($4064+1)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i23=$4065; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 841; break; //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 851: 
      var $4067=HEAP32[(($min)>>2)]; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4068=(($stack+1932)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4069=HEAP32[(($4068)>>2)]; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4070=(($4069+36)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4071=(($4070+40)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4072=HEAP32[(($4071)>>2)]; //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4073=(($4067)|0)==(($4072)|0); //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4073) { __label__ = 852; break; } else { __label__ = 853; break; } //@line 1515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 852: 
      __label__ = 5; break; //@line 1516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 853: 
      var $4076=HEAP8[($minimize)]; //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4077=(($4076) & 1); //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4077) { __label__ = 854; break; } else { __label__ = 871; break; } //@line 1518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 854: 
      var $4079=HEAP32[(($min)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4080=(($stack+1932)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4081=HEAP32[(($4080)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4082=(($4081+36)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4083=(($4082+32)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4083)>>2)]=$4079; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 855; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 855: 
      __label__ = 856; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 856: 
      var $4086=(($stack+1932)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4087=HEAP32[(($4086)>>2)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4088=(($4087+20)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4089=(($4088+4)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4090=HEAP32[(($4089)>>2)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4091=(($stack+1932)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4092=HEAP32[(($4091)>>2)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4093=(($4092+20)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4094=(($4093+12)|0); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4095=HEAP32[(($4094)>>2)]; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $4090, $4095, 42); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 857: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 858; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 858: 
      __label__ = 859; break; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 859: 
      var $4099=$isMatch; //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4100=(($4099) & 1); //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4100) { __label__ = 860; break; } else { __label__ = 863; break; } //@line 1521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 860: 
      __label__ = 861; break; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 861: 
      __label__ = 1153; break; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 862: 
      __label__ = 863; break; //@line 1522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 863: 
      var $4106=(($stack+1932)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4107=HEAP32[(($4106)>>2)]; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4108=(($4107+20)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4109=(($4108)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4110=HEAP32[(($4109)>>2)]; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4111=(($4110+2)|0); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4109)>>2)]=$4111; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4112=HEAPU16[(($4110)>>1)]; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4113=(($4112)&65535); //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d25=$4113; //@line 1523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4114=(($stack+1932)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4115=HEAP32[(($4114)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4116=(($4115+36)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4117=(($4116+32)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4118=HEAP32[(($4117)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4119=(($stack+1932)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4120=HEAP32[(($4119)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4121=(($4120+36)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4122=(($4121+40)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4123=HEAP32[(($4122)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4124=(($4118)|0) >= (($4123)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4124) { __label__ = 866; break; } else { __label__ = 864; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 864: 
      var $4126=(($stack+1932)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4127=HEAP32[(($4126)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4128=(($4127+20)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4129=(($4128)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4130=HEAPU32[(($4129)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4131=$6; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4132=(($4131+20)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4133=HEAPU32[(($4132)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4134=(($4130)>>>0) >= (($4133)>>>0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4134) { __label__ = 866; break; } else { __label__ = 865; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 865: 
      var $4136=(($stack+1932)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4137=HEAP32[(($4136)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4138=(($4137+36)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4139=(($4138+28)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4140=HEAP32[(($4139)>>2)]; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4141=$d25; //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4142=(($4140)|0)==(($4141)|0); //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4142) { __label__ = 866; break; } else { __label__ = 869; break; } //@line 1524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 866: 
      __label__ = 867; break; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 867: 
      __label__ = 1153; break; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 868: 
      __label__ = 869; break; //@line 1525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 869: 
      __label__ = 870; break; //@line 1526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 870: 
      var $4149=(($stack+1932)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4150=HEAP32[(($4149)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4151=(($4150+36)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4152=(($4151+32)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4153=HEAP32[(($4152)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4154=(($4153+1)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4152)>>2)]=$4154; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 855; break; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 871: 
      var $4156=(($stack+1932)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4157=HEAP32[(($4156)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4158=(($4157+20)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4159=(($4158)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4160=HEAP32[(($4159)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4161=(($stack+1932)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4162=HEAP32[(($4161)>>2)]; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4163=(($4162+36)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4164=(($4163+8)|0); //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4164)>>2)]=$4160; //@line 1533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4165=HEAP32[(($min)>>2)]; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i26=$4165; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 872; break; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 872: 
      var $4167=$i26; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4168=(($stack+1932)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4169=HEAP32[(($4168)>>2)]; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4170=(($4169+36)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4171=(($4170+40)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4172=HEAP32[(($4171)>>2)]; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4173=(($4167)|0) < (($4172)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4173) { __label__ = 873; break; } else { __label__ = 879; break; } //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 873: 
      var $4175=(($stack+1932)|0); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4176=HEAP32[(($4175)>>2)]; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4177=(($4176+20)|0); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4178=(($4177)|0); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4179=HEAPU32[(($4178)>>2)]; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4180=$6; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4181=(($4180+20)|0); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4182=HEAPU32[(($4181)>>2)]; //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4183=(($4179)>>>0) >= (($4182)>>>0); //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4183) { __label__ = 874; break; } else { __label__ = 875; break; } //@line 1536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 874: 
      __label__ = 879; break; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 875: 
      var $4186=(($stack+1932)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4187=HEAP32[(($4186)>>2)]; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4188=(($4187+20)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4189=(($4188)|0); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4190=HEAP32[(($4189)>>2)]; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4191=HEAPU16[(($4190)>>1)]; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4192=(($4191)&65535); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d27=$4192; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4193=(($stack+1932)|0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4194=HEAP32[(($4193)>>2)]; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4195=(($4194+36)|0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4196=(($4195+28)|0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4197=HEAP32[(($4196)>>2)]; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4198=$d27; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4199=(($4197)|0)==(($4198)|0); //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4199) { __label__ = 876; break; } else { __label__ = 877; break; } //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 876: 
      __label__ = 879; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 877: 
      var $4202=(($stack+1932)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4203=HEAP32[(($4202)>>2)]; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4204=(($4203+20)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4205=(($4204)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4206=HEAP32[(($4205)>>2)]; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4207=(($4206+2)|0); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4205)>>2)]=$4207; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 878; break; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 878: 
      var $4209=$i26; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4210=(($4209+1)|0); //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i26=$4210; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 872; break; //@line 1535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 879: 
      __label__ = 880; break; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 880: 
      __label__ = 881; break; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 881: 
      var $4214=(($stack+1932)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4215=HEAP32[(($4214)>>2)]; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4216=(($4215+20)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4217=(($4216+4)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4218=HEAP32[(($4217)>>2)]; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4219=(($stack+1932)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4220=HEAP32[(($4219)>>2)]; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4221=(($4220+20)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4222=(($4221+12)|0); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4223=HEAP32[(($4222)>>2)]; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $4218, $4223, 44); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 882: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 883; break; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 883: 
      __label__ = 884; break; //@line 1544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 884: 
      var $4227=$isMatch; //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4228=(($4227) & 1); //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4228) { __label__ = 885; break; } else { __label__ = 888; break; } //@line 1545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 885: 
      __label__ = 886; break; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 886: 
      __label__ = 1153; break; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 887: 
      __label__ = 888; break; //@line 1546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 888: 
      var $4234=(($stack+1932)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4235=HEAP32[(($4234)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4236=(($4235+20)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4237=(($4236)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4238=HEAP32[(($4237)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4239=(($4238-2)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4237)>>2)]=$4239; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4240=(($stack+1932)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4241=HEAP32[(($4240)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4242=(($4241+36)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4243=(($4242+8)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4244=HEAP32[(($4243)>>2)]; //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4245=(($4238)|0)==(($4244)|0); //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4245) { __label__ = 889; break; } else { __label__ = 890; break; } //@line 1547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 889: 
      __label__ = 891; break; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 890: 
      __label__ = 880; break; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 891: 
      __label__ = 892; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 892: 
      __label__ = 1153; break; //@line 1551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 893: 
      __label__ = 894; break;
    case 894: 
      __label__ = 895; break;
    case 895: 
      __label__ = 896; break;
    case 896: 
      var $4255=(($stack+1932)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4256=HEAP32[(($4255)>>2)]; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4257=(($4256+20)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4258=(($4257+4)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4259=HEAP32[(($4258)>>2)]; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4260=(($4259+1)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4261=__ZL13get2ByteValuePKh4462($4260); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4262=(($stack+1932)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4263=HEAP32[(($4262)>>2)]; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4264=(($4263+36)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4265=(($4264+40)|0); //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4265)>>2)]=$4261; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($min)>>2)]=$4261; //@line 1561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=1; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4266=(($stack+1932)|0); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4267=HEAP32[(($4266)>>2)]; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4268=(($4267+20)|0); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4269=(($4268+4)|0); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4270=HEAP32[(($4269)>>2)]; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4271=(($4270+3)|0); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4269)>>2)]=$4271; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 899; break; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 897: 
      HEAP32[(($min)>>2)]=0; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4273=(($stack+1932)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4274=HEAP32[(($4273)>>2)]; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4275=(($4274+20)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4276=(($4275+4)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4277=HEAP32[(($4276)>>2)]; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4278=(($4277+1)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4279=__ZL13get2ByteValuePKh4462($4278); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4280=(($stack+1932)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4281=HEAP32[(($4280)>>2)]; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4282=(($4281+36)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4283=(($4282+40)|0); //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4283)>>2)]=$4279; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4284=(($stack+1932)|0); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4285=HEAP32[(($4284)>>2)]; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4286=(($4285+20)|0); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4287=(($4286+4)|0); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4288=HEAP32[(($4287)>>2)]; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4289=HEAPU8[($4288)]; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4290=(($4289)&255); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4291=(($4290)|0)==44; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4292=(($4291)&1); //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($minimize)]=$4292; //@line 1570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4293=(($stack+1932)|0); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4294=HEAP32[(($4293)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4295=(($4294+20)|0); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4296=(($4295+4)|0); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4297=HEAP32[(($4296)>>2)]; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4298=(($4297+3)|0); //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4296)>>2)]=$4298; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 899; break; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 898: 
      var $4300=(($stack+1932)|0); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4301=HEAP32[(($4300)>>2)]; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4302=(($4301+20)|0); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4303=(($4302+4)|0); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4304=HEAP32[(($4303)>>2)]; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4305=(($4304+1)|0); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4303)>>2)]=$4305; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4306=HEAPU8[($4304)]; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4307=(($4306)&255); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4308=(($4307-37)|0); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4309=(($4308) & 65535); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4310=(($stack+1932)|0); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4311=HEAP32[(($4310)>>2)]; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4312=(($4311+36)|0); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4313=(($4312+40)|0); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZL38repeatInformationFromInstructionOffsetsRbRiS0_($4309, $minimize, $min, $4313); //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 899; break; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 899: 
      var $4315=(($stack+1932)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4316=HEAP32[(($4315)>>2)]; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4317=(($4316+20)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4318=(($4317+4)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4319=HEAP32[(($4318)>>2)]; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4320=(($4319+1)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4318)>>2)]=$4320; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4321=HEAPU8[($4319)]; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4322=(($4321)&255); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4323=(($stack+1932)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4324=HEAP32[(($4323)>>2)]; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4325=(($4324+36)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4326=(($4325+24)|0); //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4326)>>2)]=$4322; //@line 1587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4327=HEAP32[(($min)>>2)]; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4328=$6; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4329=(($4328+20)|0); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4330=HEAP32[(($4329)>>2)]; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4331=(($stack+1932)|0); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4332=HEAP32[(($4331)>>2)]; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4333=(($4332+20)|0); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4334=(($4333)|0); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4335=HEAP32[(($4334)>>2)]; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4336=$4330; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4337=$4335; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4338=(($4336-$4337)|0); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4339=(((($4338)|0)/2)&-1); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4340=(($4327)|0) > (($4339)|0); //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4340) { __label__ = 900; break; } else { __label__ = 906; break; } //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 900: 
      __label__ = 901; break; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 901: 
      $isMatch=0; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 902; break; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 902: 
      __label__ = 1153; break; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 903: 
      __label__ = 904; break; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 904: 
      __label__ = 905; break; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 905: 
      __label__ = 906; break; //@line 1595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 906: 
      var $4349=HEAP32[(($min)>>2)]; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4350=(($4349)|0) > 0; //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4350) { __label__ = 907; break; } else { __label__ = 994; break; } //@line 1596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 907: 
      var $4352=(($stack+1932)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4353=HEAP32[(($4352)>>2)]; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4354=(($4353+36)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4355=(($4354+24)|0); //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4356=HEAP32[(($4355)>>2)]; //@line 1597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ((($4356)|0) == 9) {
        __label__ = 908; break;
      }
      else if ((($4356)|0) == 3) {
        __label__ = 920; break;
      }
      else if ((($4356)|0) == 4) {
        __label__ = 932; break;
      }
      else if ((($4356)|0) == 5) {
        __label__ = 944; break;
      }
      else if ((($4356)|0) == 6) {
        __label__ = 956; break;
      }
      else if ((($4356)|0) == 7) {
        __label__ = 968; break;
      }
      else if ((($4356)|0) == 8) {
        __label__ = 980; break;
      }
      else {
      __label__ = 992; break;
      }
      
    case 908: 
      $i28=1; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 909; break; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 909: 
      var $4359=$i28; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4360=HEAP32[(($min)>>2)]; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4361=(($4359)|0) <= (($4360)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4361) { __label__ = 910; break; } else { __label__ = 919; break; } //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 910: 
      var $4363=(($stack+1932)|0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4364=HEAP32[(($4363)>>2)]; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4365=(($4364+20)|0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4366=(($4365)|0); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4367=HEAP32[(($4366)>>2)]; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4368=HEAP16[(($4367)>>1)]; //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4369=__ZL9isNewlinet($4368); //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4369) { __label__ = 911; break; } else { __label__ = 917; break; } //@line 1600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 911: 
      __label__ = 912; break; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 912: 
      $isMatch=0; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 913; break; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 913: 
      __label__ = 1153; break; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 914: 
      __label__ = 915; break; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 915: 
      __label__ = 916; break; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 916: 
      __label__ = 917; break; //@line 1601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 917: 
      var $4378=(($stack+1932)|0); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4379=HEAP32[(($4378)>>2)]; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4380=(($4379+20)|0); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4381=(($4380)|0); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4382=HEAP32[(($4381)>>2)]; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4383=(($4382+2)|0); //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4381)>>2)]=$4383; //@line 1602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 918; break; //@line 1603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 918: 
      var $4385=$i28; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4386=(($4385+1)|0); //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i28=$4386; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 909; break; //@line 1599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 919: 
      __label__ = 993; break; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 920: 
      $i29=1; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 921; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 921: 
      var $4390=$i29; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4391=HEAP32[(($min)>>2)]; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4392=(($4390)|0) <= (($4391)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4392) { __label__ = 922; break; } else { __label__ = 931; break; } //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 922: 
      var $4394=(($stack+1932)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4395=HEAP32[(($4394)>>2)]; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4396=(($4395+20)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4397=(($4396)|0); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4398=HEAP32[(($4397)>>2)]; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4399=HEAP16[(($4398)>>1)]; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4400=__ZN3WTF12isASCIIDigitEt($4399); //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4400) { __label__ = 923; break; } else { __label__ = 929; break; } //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 923: 
      __label__ = 924; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 924: 
      $isMatch=0; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 925; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 925: 
      __label__ = 1153; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 926: 
      __label__ = 927; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 927: 
      __label__ = 928; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 928: 
      __label__ = 929; break; //@line 1609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 929: 
      var $4409=(($stack+1932)|0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4410=HEAP32[(($4409)>>2)]; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4411=(($4410+20)|0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4412=(($4411)|0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4413=HEAP32[(($4412)>>2)]; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4414=(($4413+2)|0); //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4412)>>2)]=$4414; //@line 1610 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 930; break; //@line 1611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 930: 
      var $4416=$i29; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4417=(($4416+1)|0); //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i29=$4417; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 921; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 931: 
      __label__ = 993; break; //@line 1612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 932: 
      $i30=1; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 933; break; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 933: 
      var $4421=$i30; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4422=HEAP32[(($min)>>2)]; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4423=(($4421)|0) <= (($4422)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4423) { __label__ = 934; break; } else { __label__ = 943; break; } //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 934: 
      var $4425=(($stack+1932)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4426=HEAP32[(($4425)>>2)]; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4427=(($4426+20)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4428=(($4427)|0); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4429=HEAP32[(($4428)>>2)]; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4430=HEAP16[(($4429)>>1)]; //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4431=__ZN3WTF12isASCIIDigitEt($4430); //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4431) { __label__ = 941; break; } else { __label__ = 935; break; } //@line 1616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 935: 
      __label__ = 936; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 936: 
      $isMatch=0; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 937; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 937: 
      __label__ = 1153; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 938: 
      __label__ = 939; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 939: 
      __label__ = 940; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 940: 
      __label__ = 941; break; //@line 1617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 941: 
      var $4440=(($stack+1932)|0); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4441=HEAP32[(($4440)>>2)]; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4442=(($4441+20)|0); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4443=(($4442)|0); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4444=HEAP32[(($4443)>>2)]; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4445=(($4444+2)|0); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4443)>>2)]=$4445; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 942; break; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 942: 
      var $4447=$i30; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4448=(($4447+1)|0); //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i30=$4448; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 933; break; //@line 1615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 943: 
      __label__ = 993; break; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 944: 
      $i31=1; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 945; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 945: 
      var $4452=$i31; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4453=HEAP32[(($min)>>2)]; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4454=(($4452)|0) <= (($4453)|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4454) { __label__ = 946; break; } else { __label__ = 955; break; } //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 946: 
      var $4456=(($stack+1932)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4457=HEAP32[(($4456)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4458=(($4457+20)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4459=(($4458)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4460=HEAP32[(($4459)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4461=HEAP16[(($4460)>>1)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4462=__ZL11isSpaceChart($4461); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4462) { __label__ = 947; break; } else { __label__ = 953; break; } //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 947: 
      __label__ = 948; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 948: 
      $isMatch=0; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 949; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 949: 
      __label__ = 1153; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 950: 
      __label__ = 951; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 951: 
      __label__ = 952; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 952: 
      __label__ = 953; break; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 953: 
      var $4471=(($stack+1932)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4472=HEAP32[(($4471)>>2)]; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4473=(($4472+20)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4474=(($4473)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4475=HEAP32[(($4474)>>2)]; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4476=(($4475+2)|0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4474)>>2)]=$4476; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 954; break; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 954: 
      var $4478=$i31; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4479=(($4478+1)|0); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i31=$4479; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 945; break; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 955: 
      __label__ = 993; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 956: 
      $i32=1; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 957; break; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 957: 
      var $4483=$i32; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4484=HEAP32[(($min)>>2)]; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4485=(($4483)|0) <= (($4484)|0); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4485) { __label__ = 958; break; } else { __label__ = 967; break; } //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 958: 
      var $4487=(($stack+1932)|0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4488=HEAP32[(($4487)>>2)]; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4489=(($4488+20)|0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4490=(($4489)|0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4491=HEAP32[(($4490)>>2)]; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4492=HEAP16[(($4491)>>1)]; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4493=__ZL11isSpaceChart($4492); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4493) { __label__ = 965; break; } else { __label__ = 959; break; } //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 959: 
      __label__ = 960; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 960: 
      $isMatch=0; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 961; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 961: 
      __label__ = 1153; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 962: 
      __label__ = 963; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 963: 
      __label__ = 964; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 964: 
      __label__ = 965; break; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 965: 
      var $4502=(($stack+1932)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4503=HEAP32[(($4502)>>2)]; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4504=(($4503+20)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4505=(($4504)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4506=HEAP32[(($4505)>>2)]; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4507=(($4506+2)|0); //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4505)>>2)]=$4507; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 966; break; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 966: 
      var $4509=$i32; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4510=(($4509+1)|0); //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i32=$4510; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 957; break; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 967: 
      __label__ = 993; break; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 968: 
      $i33=1; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 969; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 969: 
      var $4514=$i33; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4515=HEAP32[(($min)>>2)]; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4516=(($4514)|0) <= (($4515)|0); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4516) { __label__ = 970; break; } else { __label__ = 979; break; } //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 970: 
      var $4518=(($stack+1932)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4519=HEAP32[(($4518)>>2)]; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4520=(($4519+20)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4521=(($4520)|0); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4522=HEAP32[(($4521)>>2)]; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4523=HEAP16[(($4522)>>1)]; //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4524=__ZL10isWordChart($4523); //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4524) { __label__ = 971; break; } else { __label__ = 977; break; } //@line 1640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 971: 
      __label__ = 972; break; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 972: 
      $isMatch=0; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 973; break; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 973: 
      __label__ = 1153; break; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 974: 
      __label__ = 975; break; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 975: 
      __label__ = 976; break; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 976: 
      __label__ = 977; break; //@line 1641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 977: 
      var $4533=(($stack+1932)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4534=HEAP32[(($4533)>>2)]; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4535=(($4534+20)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4536=(($4535)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4537=HEAP32[(($4536)>>2)]; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4538=(($4537+2)|0); //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4536)>>2)]=$4538; //@line 1642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 978; break; //@line 1643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 978: 
      var $4540=$i33; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4541=(($4540+1)|0); //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i33=$4541; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 969; break; //@line 1639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 979: 
      __label__ = 993; break; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 980: 
      $i34=1; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 981; break; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 981: 
      var $4545=$i34; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4546=HEAP32[(($min)>>2)]; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4547=(($4545)|0) <= (($4546)|0); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4547) { __label__ = 982; break; } else { __label__ = 991; break; } //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 982: 
      var $4549=(($stack+1932)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4550=HEAP32[(($4549)>>2)]; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4551=(($4550+20)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4552=(($4551)|0); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4553=HEAP32[(($4552)>>2)]; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4554=HEAP16[(($4553)>>1)]; //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4555=__ZL10isWordChart($4554); //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4555) { __label__ = 989; break; } else { __label__ = 983; break; } //@line 1648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 983: 
      __label__ = 984; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 984: 
      $isMatch=0; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 985; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 985: 
      __label__ = 1153; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 986: 
      __label__ = 987; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 987: 
      __label__ = 988; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 988: 
      __label__ = 989; break; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 989: 
      var $4564=(($stack+1932)|0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4565=HEAP32[(($4564)>>2)]; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4566=(($4565+20)|0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4567=(($4566)|0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4568=HEAP32[(($4567)>>2)]; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4569=(($4568+2)|0); //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4567)>>2)]=$4569; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 990; break; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 990: 
      var $4571=$i34; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4572=(($4571+1)|0); //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i34=$4572; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 981; break; //@line 1647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 991: 
      __label__ = 993; break; //@line 1652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 992: 
      var $4575=__ZL10matchErroriR10MatchStack(-4, $stack); //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$4575; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $7=1;
      __label__ = 1183; break; //@line 1656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 993: 
      __label__ = 994; break; //@line 1658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 994: 
      var $4578=HEAP32[(($min)>>2)]; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4579=(($stack+1932)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4580=HEAP32[(($4579)>>2)]; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4581=(($4580+36)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4582=(($4581+40)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4583=HEAP32[(($4582)>>2)]; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4584=(($4578)|0)==(($4583)|0); //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4584) { __label__ = 995; break; } else { __label__ = 996; break; } //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 995: 
      __label__ = 5; break; //@line 1663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 996: 
      var $4587=HEAP8[($minimize)]; //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4588=(($4587) & 1); //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4588) { __label__ = 997; break; } else { __label__ = 1050; break; } //@line 1668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 997: 
      var $4590=HEAP32[(($min)>>2)]; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4591=(($stack+1932)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4592=HEAP32[(($4591)>>2)]; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4593=(($4592+36)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4594=(($4593+32)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4594)>>2)]=$4590; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 998; break; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 998: 
      __label__ = 999; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 999: 
      var $4597=(($stack+1932)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4598=HEAP32[(($4597)>>2)]; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4599=(($4598+20)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4600=(($4599+4)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4601=HEAP32[(($4600)>>2)]; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4602=(($stack+1932)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4603=HEAP32[(($4602)>>2)]; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4604=(($4603+20)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4605=(($4604+12)|0); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4606=HEAP32[(($4605)>>2)]; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $4601, $4606, 48); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1000: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1001; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1001: 
      __label__ = 1002; break; //@line 1670 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1002: 
      var $4610=$isMatch; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4611=(($4610) & 1); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4611) { __label__ = 1003; break; } else { __label__ = 1006; break; } //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1003: 
      __label__ = 1004; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1004: 
      __label__ = 1153; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1005: 
      __label__ = 1006; break; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1006: 
      var $4617=(($stack+1932)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4618=HEAP32[(($4617)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4619=(($4618+36)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4620=(($4619+32)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4621=HEAP32[(($4620)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4622=(($stack+1932)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4623=HEAP32[(($4622)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4624=(($4623+36)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4625=(($4624+40)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4626=HEAP32[(($4625)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4627=(($4621)|0) >= (($4626)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4627) { __label__ = 1008; break; } else { __label__ = 1007; break; } //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1007: 
      var $4629=(($stack+1932)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4630=HEAP32[(($4629)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4631=(($4630+20)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4632=(($4631)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4633=HEAPU32[(($4632)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4634=$6; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4635=(($4634+20)|0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4636=HEAPU32[(($4635)>>2)]; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4637=(($4633)>>>0) >= (($4636)>>>0); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4637) { __label__ = 1008; break; } else { __label__ = 1011; break; } //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1008: 
      __label__ = 1009; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1009: 
      __label__ = 1153; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1010: 
      __label__ = 1011; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1011: 
      var $4643=(($stack+1932)|0); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4644=HEAP32[(($4643)>>2)]; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4645=(($4644+20)|0); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4646=(($4645)|0); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4647=HEAP32[(($4646)>>2)]; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4648=(($4647+2)|0); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4646)>>2)]=$4648; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4649=HEAPU16[(($4647)>>1)]; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4650=(($4649)&65535); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c35=$4650; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4651=(($stack+1932)|0); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4652=HEAP32[(($4651)>>2)]; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4653=(($4652+36)|0); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4654=(($4653+24)|0); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4655=HEAP32[(($4654)>>2)]; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ((($4655)|0) == 9) {
        __label__ = 1012; break;
      }
      else if ((($4655)|0) == 3) {
        __label__ = 1017; break;
      }
      else if ((($4655)|0) == 4) {
        __label__ = 1022; break;
      }
      else if ((($4655)|0) == 5) {
        __label__ = 1027; break;
      }
      else if ((($4655)|0) == 6) {
        __label__ = 1032; break;
      }
      else if ((($4655)|0) == 7) {
        __label__ = 1037; break;
      }
      else if ((($4655)|0) == 8) {
        __label__ = 1042; break;
      }
      else {
      __label__ = 1047; break;
      }
      
    case 1012: 
      var $4657=$c35; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4658=(($4657) & 65535); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4659=__ZL9isNewlinet($4658); //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4659) { __label__ = 1013; break; } else { __label__ = 1016; break; } //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1013: 
      __label__ = 1014; break; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1014: 
      __label__ = 1153; break; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1015: 
      __label__ = 1016; break; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1016: 
      __label__ = 1048; break; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1017: 
      var $4666=$c35; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4667=__ZN3WTF12isASCIIDigitEi($4666); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4667) { __label__ = 1018; break; } else { __label__ = 1021; break; } //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1018: 
      __label__ = 1019; break; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1019: 
      __label__ = 1153; break; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1020: 
      __label__ = 1021; break; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1021: 
      __label__ = 1048; break; //@line 1686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1022: 
      var $4674=$c35; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4675=__ZN3WTF12isASCIIDigitEi($4674); //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4675) { __label__ = 1026; break; } else { __label__ = 1023; break; } //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1023: 
      __label__ = 1024; break; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1024: 
      __label__ = 1153; break; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1025: 
      __label__ = 1026; break; //@line 1690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1026: 
      __label__ = 1048; break; //@line 1691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1027: 
      var $4682=$c35; //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4683=(($4682) & 65535); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4684=__ZL11isSpaceChart($4683); //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4684) { __label__ = 1028; break; } else { __label__ = 1031; break; } //@line 1694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1028: 
      __label__ = 1029; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1029: 
      __label__ = 1153; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1030: 
      __label__ = 1031; break; //@line 1695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1031: 
      __label__ = 1048; break; //@line 1696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1032: 
      var $4691=$c35; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4692=(($4691) & 65535); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4693=__ZL11isSpaceChart($4692); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4693) { __label__ = 1036; break; } else { __label__ = 1033; break; } //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1033: 
      __label__ = 1034; break; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1034: 
      __label__ = 1153; break; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1035: 
      __label__ = 1036; break; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1036: 
      __label__ = 1048; break; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1037: 
      var $4700=$c35; //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4701=(($4700) & 65535); //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4702=__ZL10isWordChart($4701); //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4702) { __label__ = 1038; break; } else { __label__ = 1041; break; } //@line 1704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1038: 
      __label__ = 1039; break; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1039: 
      __label__ = 1153; break; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1040: 
      __label__ = 1041; break; //@line 1705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1041: 
      __label__ = 1048; break; //@line 1706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1042: 
      var $4709=$c35; //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4710=(($4709) & 65535); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4711=__ZL10isWordChart($4710); //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4711) { __label__ = 1046; break; } else { __label__ = 1043; break; } //@line 1709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1043: 
      __label__ = 1044; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1044: 
      __label__ = 1153; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1045: 
      __label__ = 1046; break; //@line 1710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1046: 
      __label__ = 1048; break; //@line 1711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1047: 
      var $4718=__ZL10matchErroriR10MatchStack(-4, $stack); //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$4718; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $7=1;
      __label__ = 1183; break; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1048: 
      __label__ = 1049; break; //@line 1717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1049: 
      var $4721=(($stack+1932)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4722=HEAP32[(($4721)>>2)]; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4723=(($4722+36)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4724=(($4723+32)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4725=HEAP32[(($4724)>>2)]; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4726=(($4725+1)|0); //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4724)>>2)]=$4726; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 998; break; //@line 1669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1050: 
      var $4728=(($stack+1932)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4729=HEAP32[(($4728)>>2)]; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4730=(($4729+20)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4731=(($4730)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4732=HEAP32[(($4731)>>2)]; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4733=(($stack+1932)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4734=HEAP32[(($4733)>>2)]; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4735=(($4734+36)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4736=(($4735+8)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4736)>>2)]=$4732; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4737=(($stack+1932)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4738=HEAP32[(($4737)>>2)]; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4739=(($4738+36)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4740=(($4739+24)|0); //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4741=HEAP32[(($4740)>>2)]; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ((($4741)|0) == 9) {
        __label__ = 1051; break;
      }
      else if ((($4741)|0) == 3) {
        __label__ = 1059; break;
      }
      else if ((($4741)|0) == 4) {
        __label__ = 1068; break;
      }
      else if ((($4741)|0) == 5) {
        __label__ = 1077; break;
      }
      else if ((($4741)|0) == 6) {
        __label__ = 1086; break;
      }
      else if ((($4741)|0) == 7) {
        __label__ = 1095; break;
      }
      else if ((($4741)|0) == 8) {
        __label__ = 1104; break;
      }
      else {
      __label__ = 1113; break;
      }
      
    case 1051: 
      var $4743=HEAP32[(($min)>>2)]; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i36=$4743; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1052; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1052: 
      var $4745=$i36; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4746=(($stack+1932)|0); //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4747=HEAP32[(($4746)>>2)]; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4748=(($4747+36)|0); //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4749=(($4748+40)|0); //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4750=HEAP32[(($4749)>>2)]; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4751=(($4745)|0) < (($4750)|0); //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4751) { __label__ = 1053; break; } else { __label__ = 1058; break; } //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1053: 
      var $4753=(($stack+1932)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4754=HEAP32[(($4753)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4755=(($4754+20)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4756=(($4755)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4757=HEAPU32[(($4756)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4758=$6; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4759=(($4758+20)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4760=HEAPU32[(($4759)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4761=(($4757)>>>0) >= (($4760)>>>0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4761) { __label__ = 1055; break; } else { __label__ = 1054; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1054: 
      var $4763=(($stack+1932)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4764=HEAP32[(($4763)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4765=(($4764+20)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4766=(($4765)|0); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4767=HEAP32[(($4766)>>2)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4768=HEAP16[(($4767)>>1)]; //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4769=__ZL9isNewlinet($4768); //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4769) { __label__ = 1055; break; } else { __label__ = 1056; break; } //@line 1730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1055: 
      __label__ = 1058; break; //@line 1731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1056: 
      var $4772=(($stack+1932)|0); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4773=HEAP32[(($4772)>>2)]; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4774=(($4773+20)|0); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4775=(($4774)|0); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4776=HEAP32[(($4775)>>2)]; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4777=(($4776+2)|0); //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4775)>>2)]=$4777; //@line 1732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1057; break; //@line 1733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1057: 
      var $4779=$i36; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4780=(($4779+1)|0); //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i36=$4780; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1052; break; //@line 1729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1058: 
      __label__ = 1114; break; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1059: 
      var $4783=HEAP32[(($min)>>2)]; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i37=$4783; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1060; break; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1060: 
      var $4785=$i37; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4786=(($stack+1932)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4787=HEAP32[(($4786)>>2)]; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4788=(($4787+36)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4789=(($4788+40)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4790=HEAP32[(($4789)>>2)]; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4791=(($4785)|0) < (($4790)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4791) { __label__ = 1061; break; } else { __label__ = 1067; break; } //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1061: 
      var $4793=(($stack+1932)|0); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4794=HEAP32[(($4793)>>2)]; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4795=(($4794+20)|0); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4796=(($4795)|0); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4797=HEAPU32[(($4796)>>2)]; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4798=$6; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4799=(($4798+20)|0); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4800=HEAPU32[(($4799)>>2)]; //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4801=(($4797)>>>0) >= (($4800)>>>0); //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4801) { __label__ = 1062; break; } else { __label__ = 1063; break; } //@line 1738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1062: 
      __label__ = 1067; break; //@line 1739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1063: 
      var $4804=(($stack+1932)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4805=HEAP32[(($4804)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4806=(($4805+20)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4807=(($4806)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4808=HEAP32[(($4807)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4809=HEAPU16[(($4808)>>1)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4810=(($4809)&65535); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c38=$4810; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4811=$c38; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4812=__ZN3WTF12isASCIIDigitEi($4811); //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4812) { __label__ = 1064; break; } else { __label__ = 1065; break; } //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1064: 
      __label__ = 1067; break; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1065: 
      var $4815=(($stack+1932)|0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4816=HEAP32[(($4815)>>2)]; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4817=(($4816+20)|0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4818=(($4817)|0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4819=HEAP32[(($4818)>>2)]; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4820=(($4819+2)|0); //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4818)>>2)]=$4820; //@line 1743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1066; break; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1066: 
      var $4822=$i37; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4823=(($4822+1)|0); //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i37=$4823; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1060; break; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1067: 
      __label__ = 1114; break; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1068: 
      var $4826=HEAP32[(($min)>>2)]; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i39=$4826; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1069; break; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1069: 
      var $4828=$i39; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4829=(($stack+1932)|0); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4830=HEAP32[(($4829)>>2)]; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4831=(($4830+36)|0); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4832=(($4831+40)|0); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4833=HEAP32[(($4832)>>2)]; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4834=(($4828)|0) < (($4833)|0); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4834) { __label__ = 1070; break; } else { __label__ = 1076; break; } //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1070: 
      var $4836=(($stack+1932)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4837=HEAP32[(($4836)>>2)]; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4838=(($4837+20)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4839=(($4838)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4840=HEAPU32[(($4839)>>2)]; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4841=$6; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4842=(($4841+20)|0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4843=HEAPU32[(($4842)>>2)]; //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4844=(($4840)>>>0) >= (($4843)>>>0); //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4844) { __label__ = 1071; break; } else { __label__ = 1072; break; } //@line 1749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1071: 
      __label__ = 1076; break; //@line 1750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1072: 
      var $4847=(($stack+1932)|0); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4848=HEAP32[(($4847)>>2)]; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4849=(($4848+20)|0); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4850=(($4849)|0); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4851=HEAP32[(($4850)>>2)]; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4852=HEAPU16[(($4851)>>1)]; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4853=(($4852)&65535); //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c40=$4853; //@line 1751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4854=$c40; //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4855=__ZN3WTF12isASCIIDigitEi($4854); //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4855) { __label__ = 1074; break; } else { __label__ = 1073; break; } //@line 1752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1073: 
      __label__ = 1076; break; //@line 1753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1074: 
      var $4858=(($stack+1932)|0); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4859=HEAP32[(($4858)>>2)]; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4860=(($4859+20)|0); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4861=(($4860)|0); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4862=HEAP32[(($4861)>>2)]; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4863=(($4862+2)|0); //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4861)>>2)]=$4863; //@line 1754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1075; break; //@line 1755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1075: 
      var $4865=$i39; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4866=(($4865+1)|0); //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i39=$4866; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1069; break; //@line 1748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1076: 
      __label__ = 1114; break; //@line 1756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1077: 
      var $4869=HEAP32[(($min)>>2)]; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i41=$4869; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1078; break; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1078: 
      var $4871=$i41; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4872=(($stack+1932)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4873=HEAP32[(($4872)>>2)]; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4874=(($4873+36)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4875=(($4874+40)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4876=HEAP32[(($4875)>>2)]; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4877=(($4871)|0) < (($4876)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4877) { __label__ = 1079; break; } else { __label__ = 1085; break; } //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1079: 
      var $4879=(($stack+1932)|0); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4880=HEAP32[(($4879)>>2)]; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4881=(($4880+20)|0); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4882=(($4881)|0); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4883=HEAPU32[(($4882)>>2)]; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4884=$6; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4885=(($4884+20)|0); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4886=HEAPU32[(($4885)>>2)]; //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4887=(($4883)>>>0) >= (($4886)>>>0); //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4887) { __label__ = 1080; break; } else { __label__ = 1081; break; } //@line 1760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1080: 
      __label__ = 1085; break; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1081: 
      var $4890=(($stack+1932)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4891=HEAP32[(($4890)>>2)]; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4892=(($4891+20)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4893=(($4892)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4894=HEAP32[(($4893)>>2)]; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4895=HEAPU16[(($4894)>>1)]; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4896=(($4895)&65535); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c42=$4896; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4897=$c42; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4898=(($4897) & 65535); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4899=__ZL11isSpaceChart($4898); //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4899) { __label__ = 1082; break; } else { __label__ = 1083; break; } //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1082: 
      __label__ = 1085; break; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1083: 
      var $4902=(($stack+1932)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4903=HEAP32[(($4902)>>2)]; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4904=(($4903+20)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4905=(($4904)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4906=HEAP32[(($4905)>>2)]; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4907=(($4906+2)|0); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4905)>>2)]=$4907; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1084; break; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1084: 
      var $4909=$i41; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4910=(($4909+1)|0); //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i41=$4910; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1078; break; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1085: 
      __label__ = 1114; break; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1086: 
      var $4913=HEAP32[(($min)>>2)]; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i43=$4913; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1087; break; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1087: 
      var $4915=$i43; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4916=(($stack+1932)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4917=HEAP32[(($4916)>>2)]; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4918=(($4917+36)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4919=(($4918+40)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4920=HEAP32[(($4919)>>2)]; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4921=(($4915)|0) < (($4920)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4921) { __label__ = 1088; break; } else { __label__ = 1094; break; } //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1088: 
      var $4923=(($stack+1932)|0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4924=HEAP32[(($4923)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4925=(($4924+20)|0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4926=(($4925)|0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4927=HEAPU32[(($4926)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4928=$6; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4929=(($4928+20)|0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4930=HEAPU32[(($4929)>>2)]; //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4931=(($4927)>>>0) >= (($4930)>>>0); //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4931) { __label__ = 1089; break; } else { __label__ = 1090; break; } //@line 1771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1089: 
      __label__ = 1094; break; //@line 1772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1090: 
      var $4934=(($stack+1932)|0); //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4935=HEAP32[(($4934)>>2)]; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4936=(($4935+20)|0); //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4937=(($4936)|0); //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4938=HEAP32[(($4937)>>2)]; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4939=HEAPU16[(($4938)>>1)]; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4940=(($4939)&65535); //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c44=$4940; //@line 1773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4941=$c44; //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4942=(($4941) & 65535); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4943=__ZL11isSpaceChart($4942); //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4943) { __label__ = 1092; break; } else { __label__ = 1091; break; } //@line 1774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1091: 
      __label__ = 1094; break; //@line 1775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1092: 
      var $4946=(($stack+1932)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4947=HEAP32[(($4946)>>2)]; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4948=(($4947+20)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4949=(($4948)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4950=HEAP32[(($4949)>>2)]; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4951=(($4950+2)|0); //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4949)>>2)]=$4951; //@line 1776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1093; break; //@line 1777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1093: 
      var $4953=$i43; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4954=(($4953+1)|0); //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i43=$4954; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1087; break; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1094: 
      __label__ = 1114; break; //@line 1778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1095: 
      var $4957=HEAP32[(($min)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i45=$4957; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1096; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1096: 
      var $4959=$i45; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4960=(($stack+1932)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4961=HEAP32[(($4960)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4962=(($4961+36)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4963=(($4962+40)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4964=HEAP32[(($4963)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4965=(($4959)|0) < (($4964)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4965) { __label__ = 1097; break; } else { __label__ = 1103; break; } //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1097: 
      var $4967=(($stack+1932)|0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4968=HEAP32[(($4967)>>2)]; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4969=(($4968+20)|0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4970=(($4969)|0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4971=HEAPU32[(($4970)>>2)]; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4972=$6; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4973=(($4972+20)|0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4974=HEAPU32[(($4973)>>2)]; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4975=(($4971)>>>0) >= (($4974)>>>0); //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4975) { __label__ = 1098; break; } else { __label__ = 1099; break; } //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1098: 
      __label__ = 1103; break; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1099: 
      var $4978=(($stack+1932)|0); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4979=HEAP32[(($4978)>>2)]; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4980=(($4979+20)|0); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4981=(($4980)|0); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4982=HEAP32[(($4981)>>2)]; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4983=HEAPU16[(($4982)>>1)]; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4984=(($4983)&65535); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c46=$4984; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4985=$c46; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4986=(($4985) & 65535); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4987=__ZL10isWordChart($4986); //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4987) { __label__ = 1100; break; } else { __label__ = 1101; break; } //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1100: 
      __label__ = 1103; break; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1101: 
      var $4990=(($stack+1932)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4991=HEAP32[(($4990)>>2)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4992=(($4991+20)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4993=(($4992)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4994=HEAP32[(($4993)>>2)]; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4995=(($4994+2)|0); //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4993)>>2)]=$4995; //@line 1787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1102; break; //@line 1788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1102: 
      var $4997=$i45; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4998=(($4997+1)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i45=$4998; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1096; break; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1103: 
      __label__ = 1114; break; //@line 1789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1104: 
      var $5001=HEAP32[(($min)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i47=$5001; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1105; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1105: 
      var $5003=$i47; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5004=(($stack+1932)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5005=HEAP32[(($5004)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5006=(($5005+36)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5007=(($5006+40)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5008=HEAP32[(($5007)>>2)]; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5009=(($5003)|0) < (($5008)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5009) { __label__ = 1106; break; } else { __label__ = 1112; break; } //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1106: 
      var $5011=(($stack+1932)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5012=HEAP32[(($5011)>>2)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5013=(($5012+20)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5014=(($5013)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5015=HEAPU32[(($5014)>>2)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5016=$6; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5017=(($5016+20)|0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5018=HEAPU32[(($5017)>>2)]; //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5019=(($5015)>>>0) >= (($5018)>>>0); //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5019) { __label__ = 1107; break; } else { __label__ = 1108; break; } //@line 1793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1107: 
      __label__ = 1112; break; //@line 1794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1108: 
      var $5022=(($stack+1932)|0); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5023=HEAP32[(($5022)>>2)]; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5024=(($5023+20)|0); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5025=(($5024)|0); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5026=HEAP32[(($5025)>>2)]; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5027=HEAPU16[(($5026)>>1)]; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5028=(($5027)&65535); //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c48=$5028; //@line 1795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5029=$c48; //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5030=(($5029) & 65535); //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5031=__ZL10isWordChart($5030); //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5031) { __label__ = 1110; break; } else { __label__ = 1109; break; } //@line 1796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1109: 
      __label__ = 1112; break; //@line 1797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1110: 
      var $5034=(($stack+1932)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5035=HEAP32[(($5034)>>2)]; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5036=(($5035+20)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5037=(($5036)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5038=HEAP32[(($5037)>>2)]; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5039=(($5038+2)|0); //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5037)>>2)]=$5039; //@line 1798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1111; break; //@line 1799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1111: 
      var $5041=$i47; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5042=(($5041+1)|0); //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i47=$5042; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1105; break; //@line 1792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1112: 
      __label__ = 1114; break; //@line 1800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1113: 
      var $5045=__ZL10matchErroriR10MatchStack(-4, $stack); //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$5045; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $7=1;
      __label__ = 1183; break; //@line 1804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1114: 
      __label__ = 1115; break; //@line 1809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1115: 
      __label__ = 1116; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1116: 
      var $5049=(($stack+1932)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5050=HEAP32[(($5049)>>2)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5051=(($5050+20)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5052=(($5051+4)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5053=HEAP32[(($5052)>>2)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5054=(($stack+1932)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5055=HEAP32[(($5054)>>2)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5056=(($5055+20)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5057=(($5056+12)|0); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5058=HEAP32[(($5057)>>2)]; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $5053, $5058, 52); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1117: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1118; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1118: 
      __label__ = 1119; break; //@line 1810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1119: 
      var $5062=$isMatch; //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5063=(($5062) & 1); //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5063) { __label__ = 1120; break; } else { __label__ = 1123; break; } //@line 1811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1120: 
      __label__ = 1121; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1121: 
      __label__ = 1153; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1122: 
      __label__ = 1123; break; //@line 1812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1123: 
      var $5069=(($stack+1932)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5070=HEAP32[(($5069)>>2)]; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5071=(($5070+20)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5072=(($5071)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5073=HEAP32[(($5072)>>2)]; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5074=(($5073-2)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5072)>>2)]=$5074; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5075=(($stack+1932)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5076=HEAP32[(($5075)>>2)]; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5077=(($5076+36)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5078=(($5077+8)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5079=HEAP32[(($5078)>>2)]; //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5080=(($5073)|0)==(($5079)|0); //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5080) { __label__ = 1124; break; } else { __label__ = 1125; break; } //@line 1813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1124: 
      __label__ = 1126; break; //@line 1814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1125: 
      __label__ = 1115; break; //@line 1815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1126: 
      __label__ = 1127; break; //@line 1819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1127: 
      __label__ = 1153; break; //@line 1819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1128: 
      __label__ = 1129; break;
    case 1129: 
      __label__ = 1130; break;
    case 1130: 
      var $5089=__ZL10matchErroriR10MatchStack(-4, $stack); //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$5089; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $7=1;
      __label__ = 1183; break; //@line 1832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1131: 
      var $5091=(($stack+1932)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5092=HEAP32[(($5091)>>2)]; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5093=(($5092+20)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5094=(($5093+4)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5095=HEAP32[(($5094)>>2)]; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5096=HEAPU8[($5095)]; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5097=(($5096)&255); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5098=(($5097-67)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5099=(($stack+1932)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5100=HEAP32[(($5099)>>2)]; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5101=(($5100+36)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5102=(($5101+44)|0); //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5102)>>2)]=$5098; //@line 1855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5103=(($stack+1932)|0); //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5104=HEAP32[(($5103)>>2)]; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5105=(($stack+1932)|0); //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5106=HEAP32[(($5105)>>2)]; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5107=(($5106+20)|0); //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5108=(($5107+4)|0); //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5109=HEAP32[(($5108)>>2)]; //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame15extractBracketsEPKh($5104, $5109); //@line 1856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5110=(($stack+1932)|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5111=HEAP32[(($5110)>>2)]; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5112=(($5111+36)|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5113=(($5112+44)|0); //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5114=HEAP32[(($5113)>>2)]; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5115=(($5114)|0) > 100; //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5115) { __label__ = 1132; break; } else { __label__ = 1133; break; } //@line 1862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1132: 
      var $5117=(($stack+1932)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5118=HEAP32[(($5117)>>2)]; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5119=(($5118+20)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5120=(($5119+4)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5121=HEAP32[(($5120)>>2)]; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5122=(($5121+4)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5123=(($5122+3)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5124=__ZL13get2ByteValuePKh4462($5123); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5125=(($stack+1932)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5126=HEAP32[(($5125)>>2)]; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5127=(($5126+36)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5128=(($5127+44)|0); //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5128)>>2)]=$5124; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1133; break; //@line 1863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1133: 
      var $5130=(($stack+1932)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5131=HEAP32[(($5130)>>2)]; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5132=(($5131+36)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5133=(($5132+44)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5134=HEAP32[(($5133)>>2)]; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5135=((($5134<<1))|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5136=(($stack+1932)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5137=HEAP32[(($5136)>>2)]; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5138=(($5137+36)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5139=(($5138+48)|0); //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5139)>>2)]=$5135; //@line 1864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5140=(($stack+1932)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5141=HEAP32[(($5140)>>2)]; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5142=(($5141+36)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5143=(($5142+48)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5144=HEAP32[(($5143)>>2)]; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5145=$6; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5146=(($5145+8)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5147=HEAP32[(($5146)>>2)]; //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5148=(($5144)|0) < (($5147)|0); //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5148) { __label__ = 1134; break; } else { __label__ = 1152; break; } //@line 1868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1134: 
      var $5150=$6; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5151=(($5150+4)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5152=HEAP32[(($5151)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5153=(($stack+1932)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5154=HEAP32[(($5153)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5155=(($5154+36)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5156=(($5155+44)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5157=HEAP32[(($5156)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5158=(($5152-$5157)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5159=$6; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5160=(($5159)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5161=HEAP32[(($5160)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5162=(($5161+($5158<<2))|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5163=HEAP32[(($5162)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5164=(($stack+1932)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5165=HEAP32[(($5164)>>2)]; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5166=(($5165+36)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5167=(($5166+20)|0); //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5167)>>2)]=$5163; //@line 1869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5168=(($stack+1932)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5169=HEAP32[(($5168)>>2)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5170=(($5169+20)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5171=(($5170)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5172=HEAP32[(($5171)>>2)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5173=$6; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5174=(($5173+16)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5175=HEAP32[(($5174)>>2)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5176=$5172; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5177=$5175; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5178=(($5176-$5177)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5179=(((($5178)|0)/2)&-1); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5180=$6; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5181=(($5180+4)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5182=HEAP32[(($5181)>>2)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5183=(($stack+1932)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5184=HEAP32[(($5183)>>2)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5185=(($5184+36)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5186=(($5185+44)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5187=HEAP32[(($5186)>>2)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5188=(($5182-$5187)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5189=$6; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5190=(($5189)|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5191=HEAP32[(($5190)>>2)]; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5192=(($5191+($5188<<2))|0); //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5192)>>2)]=$5179; //@line 1871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5193=(($stack+1932)|0); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5194=HEAP32[(($5193)>>2)]; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5195=(($5194+36)|0); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5196=(($5195+52)|0); //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5196)>>2)]=3; //@line 1872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5197=__ZN10LinearFlag12readAndClearEv($minSatNextBracket); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5198=(($stack+1932)|0); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5199=HEAP32[(($5198)>>2)]; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5200=(($5199+36)|0); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5201=(($5200+68)|0); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5202=(($5197)&1); //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP8[($5201)]=$5202; //@line 1875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1135; break; //@line 1876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1135: 
      var $5204=(($stack+1932)|0); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5205=HEAP32[(($5204)>>2)]; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5206=(($5205+36)|0); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5207=(($5206+68)|0); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5208=HEAP8[($5207)]; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5209=(($5208) & 1); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5210=(($5209)&1); //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $minSatisfied=$5210; //@line 1879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1136; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1136: 
      var $5212=(($stack+1932)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5213=HEAP32[(($5212)>>2)]; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5214=(($5213+20)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5215=(($5214+4)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5216=HEAP32[(($5215)>>2)]; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5217=(($stack+1932)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5218=HEAP32[(($5217)>>2)]; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5219=(($5218+36)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5220=(($5219+52)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5221=HEAP32[(($5220)>>2)]; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5222=(($5216+$5221)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5223=(($5222+3)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5224=(($stack+1932)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5225=HEAP32[(($5224)>>2)]; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5226=(($5225+20)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5227=(($5226+12)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5228=HEAP32[(($5227)>>2)]; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($stack, $5223, $5228, 1); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5229=(($stack+1932)|0); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5230=HEAP32[(($5229)>>2)]; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5231=$minSatisfied; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5232=(($5231) & 1); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame13startNewGroupEb($5230, $5232); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1137: 
      __ZN10MatchStack15popCurrentFrameEv($stack); //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1138; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1138: 
      __label__ = 1139; break; //@line 1880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1139: 
      var $5236=$isMatch; //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5237=(($5236) & 1); //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5237) { __label__ = 1140; break; } else { __label__ = 1143; break; } //@line 1881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1140: 
      __label__ = 1141; break; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1141: 
      __label__ = 1153; break; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1142: 
      __label__ = 1143; break; //@line 1882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1143: 
      var $5243=(($stack+1932)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5244=HEAP32[(($5243)>>2)]; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5245=(($5244+36)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5246=(($5245+52)|0); //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5246)>>2)]=1; //@line 1883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5247=(($stack+1932)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5248=HEAP32[(($5247)>>2)]; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5249=(($5248+20)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5250=(($5249+4)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5251=HEAP32[(($5250)>>2)]; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5252=(($5251+1)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5253=__ZL12getLinkValuePKh4461($5252); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5254=(($stack+1932)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5255=HEAP32[(($5254)>>2)]; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5256=(($5255+20)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5257=(($5256+4)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5258=HEAP32[(($5257)>>2)]; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5259=(($5258+$5253)|0); //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5257)>>2)]=$5259; //@line 1884 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1144; break; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1144: 
      var $5261=(($stack+1932)|0); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5262=HEAP32[(($5261)>>2)]; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5263=(($5262+20)|0); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5264=(($5263+4)|0); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5265=HEAP32[(($5264)>>2)]; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5266=HEAPU8[($5265)]; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5267=(($5266)&255); //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5268=(($5267)|0)==58; //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5268) { __label__ = 1135; break; } else { __label__ = 1145; break; } //@line 1885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1145: 
      var $5270=(($stack+1932)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5271=HEAP32[(($5270)>>2)]; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5272=(($5271+36)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5273=(($5272+56)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5274=HEAP32[(($5273)>>2)]; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i49=$5274; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1146; break; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1146: 
      var $5276=$i49; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5277=(($stack+1932)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5278=HEAP32[(($5277)>>2)]; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5279=(($5278+36)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5280=(($5279+60)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5281=HEAPU32[(($5280)>>2)]; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5282=(($5276)>>>0) < (($5281)>>>0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($5282) { __label__ = 1147; break; } else { __label__ = 1149; break; } //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1147: 
      var $5284=$6; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5285=$i49; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN9MatchData13setOffsetPairEjii($5284, $5285, -1, -1); //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1148; break; //@line 1889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1148: 
      var $5287=$i49; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5288=(($5287+1)|0); //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i49=$5288; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1146; break; //@line 1888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1149: 
      var $5290=(($stack+1932)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5291=HEAP32[(($5290)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5292=(($5291+36)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5293=(($5292+20)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5294=HEAP32[(($5293)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5295=$6; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5296=(($5295+4)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5297=HEAP32[(($5296)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5298=(($stack+1932)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5299=HEAP32[(($5298)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5300=(($5299+36)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5301=(($5300+44)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5302=HEAP32[(($5301)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5303=(($5297-$5302)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5304=$6; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5305=(($5304)|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5306=HEAP32[(($5305)>>2)]; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5307=(($5306+($5303<<2))|0); //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($5307)>>2)]=$5294; //@line 1891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 1150; break; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1150: 
      __label__ = 1153; break; //@line 1893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1151: 
      __label__ = 1152; break; //@line 1894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1152: 
      __label__ = 8; break; //@line 1898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1153: 
      var $5313=(($stack+1932)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5314=HEAP32[(($5313)>>2)]; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5315=(($5314)|0); //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5316=HEAP32[(($5315)>>2)]; //@line 1912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ((($5316)|0) == 0) {
        __label__ = 1154; break;
      }
      else if ((($5316)|0) == 1) {
        __label__ = 1155; break;
      }
      else if ((($5316)|0) == 2) {
        __label__ = 1156; break;
      }
      else if ((($5316)|0) == 6) {
        __label__ = 1157; break;
      }
      else if ((($5316)|0) == 7) {
        __label__ = 1158; break;
      }
      else if ((($5316)|0) == 14) {
        __label__ = 1159; break;
      }
      else if ((($5316)|0) == 15) {
        __label__ = 1160; break;
      }
      else if ((($5316)|0) == 16) {
        __label__ = 1161; break;
      }
      else if ((($5316)|0) == 17) {
        __label__ = 1162; break;
      }
      else if ((($5316)|0) == 18) {
        __label__ = 1163; break;
      }
      else if ((($5316)|0) == 19) {
        __label__ = 1164; break;
      }
      else if ((($5316)|0) == 20) {
        __label__ = 1165; break;
      }
      else if ((($5316)|0) == 21) {
        __label__ = 1166; break;
      }
      else if ((($5316)|0) == 22) {
        __label__ = 1167; break;
      }
      else if ((($5316)|0) == 24) {
        __label__ = 1168; break;
      }
      else if ((($5316)|0) == 26) {
        __label__ = 1169; break;
      }
      else if ((($5316)|0) == 27) {
        __label__ = 1170; break;
      }
      else if ((($5316)|0) == 28) {
        __label__ = 1171; break;
      }
      else if ((($5316)|0) == 29) {
        __label__ = 1172; break;
      }
      else if ((($5316)|0) == 30) {
        __label__ = 1173; break;
      }
      else if ((($5316)|0) == 31) {
        __label__ = 1174; break;
      }
      else if ((($5316)|0) == 38) {
        __label__ = 1175; break;
      }
      else if ((($5316)|0) == 40) {
        __label__ = 1176; break;
      }
      else if ((($5316)|0) == 42) {
        __label__ = 1177; break;
      }
      else if ((($5316)|0) == 44) {
        __label__ = 1178; break;
      }
      else if ((($5316)|0) == 48) {
        __label__ = 1179; break;
      }
      else if ((($5316)|0) == 52) {
        __label__ = 1180; break;
      }
      else {
      __label__ = 1181; break;
      }
      
    case 1154: 
      __label__ = 1182; break; //@line 1913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1155: 
      __label__ = 1137; break; //@line 1914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1156: 
      __label__ = 11; break; //@line 1915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1157: 
      __label__ = 33; break; //@line 1916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1158: 
      __label__ = 54; break; //@line 1917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1159: 
      __label__ = 69; break; //@line 1918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1160: 
      __label__ = 78; break; //@line 1919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1161: 
      __label__ = 121; break; //@line 1920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1162: 
      __label__ = 130; break; //@line 1921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1163: 
      __label__ = 135; break; //@line 1922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1164: 
      __label__ = 144; break; //@line 1923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1165: 
      __label__ = 339; break; //@line 1924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1166: 
      __label__ = 362; break; //@line 1925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1167: 
      __label__ = 416; break; //@line 1926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1168: 
      __label__ = 456; break; //@line 1927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1169: 
      __label__ = 499; break; //@line 1928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1170: 
      __label__ = 527; break; //@line 1929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1171: 
      __label__ = 633; break; //@line 1930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1172: 
      __label__ = 664; break; //@line 1931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1173: 
      __label__ = 695; break; //@line 1932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1174: 
      __label__ = 724; break; //@line 1933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1175: 
      __label__ = 798; break; //@line 1934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1176: 
      __label__ = 827; break; //@line 1935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1177: 
      __label__ = 857; break; //@line 1936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1178: 
      __label__ = 882; break; //@line 1937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1179: 
      __label__ = 1000; break; //@line 1938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1180: 
      __label__ = 1117; break; //@line 1939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1181: 
      var $5345=__ZL10matchErroriR10MatchStack(-4, $stack); //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$5345; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $7=1;
      __label__ = 1183; break; //@line 1943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1182: 
      var $5347=$isMatch; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5348=(($5347) & 1); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5349=(($5348)&1); //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$5349; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $7=1;
      __label__ = 1183; break; //@line 1948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 1183: 
      __ZN10MatchStackD1Ev($stack); //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5351=$1; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      STACKTOP = __stackBase__;
      return $5351; //@line 1949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5matchP11JSArenaPoolPKtPKhiR9MatchData["X"]=1;

function __ZL9isNewlinet($nl) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$nl;
      var $2=$1; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $3=(($2)&65535); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $4=(($3)|0)==10; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      if ($4) { var $18 = 1;__label__ = 5; break; } else { __label__ = 2; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 2: 
      var $6=$1; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $7=(($6)&65535); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $8=(($7)|0)==13; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      if ($8) { var $18 = 1;__label__ = 5; break; } else { __label__ = 3; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 3: 
      var $10=$1; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $11=(($10)&65535); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $12=(($11)|0)==8232; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      if ($12) { var $18 = 1;__label__ = 5; break; } else { __label__ = 4; break; } //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 4: 
      var $14=$1; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $15=(($14)&65535); //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $16=(($15)|0)==8233; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $18 = $16;__label__ = 5; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 5: 
      var $18;
      ;
      return $18; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10MatchFrame13startNewGroupEb($this, $minSatisfied) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($minSatisfied)&1);
  $2=$3;
  var $4=$1;
  var $5=(($4+20)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $6=(($5+12)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $8=(($4+36)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $9=(($8+72)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $10=(($9)|0); //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($10)>>2)]=$7; //@line 210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $11=(($4+20)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $12=(($11)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $13=HEAP32[(($12)>>2)]; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $14=(($4+36)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $15=(($14+72)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $16=(($15+4)|0); //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($16)>>2)]=$13; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $17=$2; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $18=(($17) & 1); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $19=(($4+36)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $20=(($19+72)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $21=(($20+8)|0); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $22=(($18)&1); //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP8[($21)]=$22; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $23=(($4+36)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $24=(($23+72)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $25=(($4+20)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $26=(($25+12)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($26)>>2)]=$24; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10LinearFlag12readAndClearEv($this) {
  ;
  var __label__;

  var $1;
  var $rv;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $4=HEAP8[($3)]; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $5=(($4) & 1); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $6=(($5)&1); //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  $rv=$6; //@line 476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $7=(($2)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP8[($7)]=0; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $8=$rv; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $9=(($8) & 1); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return $9; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN9MatchData13setOffsetPairEjii($this, $pairNum, $start, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$pairNum;
  $3=$start;
  $4=$end;
  var $5=$1;
  var $6=$3; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $7=$2; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $8=((($7<<1))|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $9=(($8)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $10=(($5)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $11=HEAP32[(($10)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $12=(($11+($9<<2))|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($12)>>2)]=$6; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $13=$4; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $14=$2; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $15=((($14<<1))|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $16=(($15+1)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $17=(($5)|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $18=HEAP32[(($17)>>2)]; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $19=(($18+($16<<2))|0); //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($19)>>2)]=$13; //@line 238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZL13get2ByteValuePKh4462($opcodePtr) {
  ;
  var __label__;

  var $1;
  $1=$opcodePtr;
  var $2=$1; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAPU8[($3)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4)&255); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$5 << 8; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=$1; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=(($7+1)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $9=HEAPU8[($8)]; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $10=(($9)&255); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $11=$6 | $10; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $11; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZN10LinearFlag3setEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP8[($3)]=1; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10MatchFrame14restoreOffsetsEiiPii($this, $minBracket, $limitBracket, $offsets, $offsetEnd) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      var $bracketIter;
      var $start;
      var $end;
      var $offset;
      $1=$this;
      $2=$minBracket;
      $3=$limitBracket;
      $4=$offsets;
      $5=$offsetEnd;
      var $6=$1;
      $i=0; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $8=$i; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=$3; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=$2; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=(($9-$10)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=(($8)|0) < (($11)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $14=$2; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=$i; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $16=(($14+$15)|0); //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $bracketIter=$16; //@line 185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=$i; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=(($17*3)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=(($18)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=(($6+8)|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $22=(($21+($19<<2))|0); //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $start=$23; //@line 186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=$i; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=(($24*3)|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($25+1)|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=(($6+8)|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=(($28+($26<<2))|0); //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $end=$30; //@line 187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $31=$i; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $32=(($31*3)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $33=(($32+2)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $34=(($6+8)|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=(($35+($33<<2))|0); //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $offset=$37; //@line 188 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $38=$start; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $39=$bracketIter; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $40=((($39<<1))|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $41=(($40)|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $42=$4; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $43=(($42+($41<<2))|0); //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($43)>>2)]=$38; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $44=$end; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $45=$bracketIter; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $46=((($45<<1))|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $47=(($46+1)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $48=$4; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $49=(($48+($47<<2))|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($49)>>2)]=$44; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $50=$offset; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $51=$5; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $52=$bracketIter; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $53=(($51-$52)|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $54=$4; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $55=(($54+($53<<2))|0); //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($55)>>2)]=$50; //@line 193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 4; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $57=$i; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $58=(($57+1)|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i=$58; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      ;
      return; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10MatchFrame14restoreOffsetsEiiPii["X"]=1;

function __ZN10MatchFrame14clobberOffsetsEiiPii($this, $minBracket, $limitBracket, $offsets, $offsetEnd) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $i;
      var $bracketIter;
      $1=$this;
      $2=$minBracket;
      $3=$limitBracket;
      $4=$offsets;
      $5=$offsetEnd;
      var $6=$1;
      $i=0; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $8=$i; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=$3; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=$2; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=(($9-$10)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=(($8)|0) < (($11)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $14=$2; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=$i; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $16=(($14+$15)|0); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $bracketIter=$16; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=$bracketIter; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=((($17<<1))|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=(($18)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=$4; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=(($20+($19<<2))|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($21)>>2)]=-1; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $22=$bracketIter; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $23=((($22<<1))|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=(($23+1)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=$4; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($25+($24<<2))|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($26)>>2)]=-1; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 4; break; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $28=$i; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=(($28+1)|0); //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i=$29; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      ;
      return; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL38repeatInformationFromInstructionOffsetsRbRiS0_($instructionOffset, $minimize, $minimumRepeats, $maximumRepeats) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$instructionOffset;
  $2=$minimize;
  $3=$minimumRepeats;
  $4=$maximumRepeats;
  var $5=$1; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $6=(($5 << 16) >> 16); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $7=$6 & 1; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $8=(($7)|0)!=0; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $9=$2; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $10=(($8)&1); //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP8[($9)]=$10; //@line 463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $11=$1; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $12=(($11 << 16) >> 16); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $13=((STRING_TABLE.__ZZL38repeatInformationFromInstructionOffsetsRbRiS0_E35minimumRepeatsFromInstructionOffset+$12)|0); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $14=HEAP8[($13)]; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $15=(($14 << 24) >> 24); //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $16=$3; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($16)>>2)]=$15; //@line 464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $17=$1; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $18=(($17 << 16) >> 16); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $19=((__ZZL38repeatInformationFromInstructionOffsetsRbRiS0_E35maximumRepeatsFromInstructionOffset+($18<<2))|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $20=HEAP32[(($19)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $21=$4; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($21)>>2)]=$20; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10MatchStackC1EP11JSArenaPool($this, $regExpPool) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$regExpPool;
  var $3=$1;
  var $4=$2; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  __ZN10MatchStackC2EP11JSArenaPool($3, $4); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10LinearFlagC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN10LinearFlagC2Ev($2); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZL10matchErroriR10MatchStack($errorCode, $stack) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$errorCode;
  $2=$stack;
  var $3=$2; //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  __ZN10MatchStack12popAllFramesEv($3); //@line 432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $4=$1; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return $4; //@line 433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10MatchFrame15extractBracketsEPKh($this, $instructionPtr) {
  ;
  var __label__;

  var $1;
  var $2;
  var $bracketMess;
  $1=$this;
  $2=$instructionPtr;
  var $3=$1;
  var $4=$2; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $5=(($4+1)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $6=(($5+3)|0); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $7=__ZL13get2ByteValuePKh4462($6); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $8=(($7) & 65535); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  $bracketMess=$8; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $9=$bracketMess; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $10=(($9)&65535); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $11=$10 >> 8; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $12=$11 & 255; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $13=(($3+36)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $14=(($13+56)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($14)>>2)]=$12; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $15=$bracketMess; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $16=(($15)&65535); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $17=$16 & 255; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $18=(($3+36)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $19=(($18+60)|0); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($19)>>2)]=$17; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei($this, $instructionPtr, $bracketChain, $returnLocation) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $newframe;
  $1=$this;
  $2=$instructionPtr;
  $3=$bracketChain;
  $4=$returnLocation;
  var $5=$1;
  var $6=__ZN10MatchStack17allocateNextFrameEv($5); //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  $newframe=$6; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $7=(($5+1932)|0); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $9=$newframe; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $10=(($9+4)|0); //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($10)>>2)]=$8; //@line 404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $11=(($5+1932)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $12=HEAP32[(($11)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $13=(($12+20)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $14=(($13)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $15=HEAP32[(($14)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $16=$newframe; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $17=(($16+20)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $18=(($17)|0); //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($18)>>2)]=$15; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $19=(($5+1932)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $20=HEAP32[(($19)>>2)]; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $21=(($20+20)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $22=(($21+8)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $23=HEAP32[(($22)>>2)]; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $24=$newframe; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $25=(($24+20)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $26=(($25+8)|0); //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($26)>>2)]=$23; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $27=$2; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $28=$newframe; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $29=(($28+20)|0); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $30=(($29+4)|0); //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($30)>>2)]=$27; //@line 408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $31=$3; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $32=$newframe; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $33=(($32+20)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $34=(($33+12)|0); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($34)>>2)]=$31; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $35=$4; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $36=$newframe; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $37=(($36)|0); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($37)>>2)]=$35; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $38=(($5+1936)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $39=HEAP32[(($38)>>2)]; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $40=(($39+1)|0); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($38)>>2)]=$40; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $41=$newframe; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $42=(($5+1932)|0); //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($42)>>2)]=$41; //@line 413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}
__ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei["X"]=1;

function __ZN10MatchStack15popCurrentFrameEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $oldFrame;
      $1=$this;
      var $2=$1;
      var $3=(($2+1932)|0); //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $oldFrame=$4; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5=(($2+1932)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $7=(($6+4)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=(($2+1932)|0); //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($9)>>2)]=$8; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=(($2+1936)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=HEAPU32[(($10)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=(($11)>>>0) > 16; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $14=$oldFrame; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN2js10Foreground7delete_I10MatchFrameEEvPT_($14); //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 3; break; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $16=(($2+1936)|0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=(($17-1)|0); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($16)>>2)]=$18; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      ;
      return; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12getLinkValuePKh4461($opcodePtr) {
  ;
  var __label__;

  var $1;
  var $value;
  $1=$opcodePtr;
  var $2=$1; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=__ZL21getLinkValueAllowZeroPKh4464($2); //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  $value=$3; //@line 174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=$value; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $4; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL21advanceToEndOfBracketRPKh4463($opcodePtr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$opcodePtr;
      __label__ = 2; break; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 2: 
      var $3=$1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $4=HEAP32[(($3)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $5=(($4+1)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $6=__ZL12getLinkValuePKh4461($5); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $7=$1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $8=HEAP32[(($7)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $9=(($8+$6)|0); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      HEAP32[(($7)>>2)]=$9; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      __label__ = 3; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 3: 
      var $11=$1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $12=HEAP32[(($11)>>2)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $13=HEAPU8[($12)]; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $14=(($13)&255); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $15=(($14)|0)==58; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      if ($15) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 4: 
      ;
      return; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10MatchFrame11saveOffsetsEiiPii($this, $minBracket, $limitBracket, $offsets, $offsetEnd) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newSavedOffsetCount;
      var $targetSize;
      var $_a;
      var $_nb;
      var $_p;
      var $i;
      var $bracketIter;
      var $start;
      var $end;
      var $offset;
      $1=$this;
      $2=$minBracket;
      $3=$limitBracket;
      $4=$offsets;
      $5=$offsetEnd;
      var $6=$1;
      var $7=$2; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $8=$3; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=(($7)|0)==(($8)|0); //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      __label__ = 17; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $12=$3; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $13=$2; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=(($12-$13)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=(($14*3)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $newSavedOffsetCount=$15; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $16=$newSavedOffsetCount; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=((($16<<2))|0); //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $targetSize=$17; //@line 149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=(($6+12)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=HEAPU32[(($18)>>2)]; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=$targetSize; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=(($19)>>>0) < (($20)>>>0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 13; break; } //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      __label__ = 5; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      var $24=(($6+16)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($25+16)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $_a=$27; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=$targetSize; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=(($6+16)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $31=(($30+24)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $33=(($28+$32)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $34=(($6+16)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=(($35+24)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $38=$37 ^ -1; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $39=$33 & $38; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $_nb=$39; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $40=$_a; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $41=(($40+12)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $_p=$42; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $43=$_nb; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $44=$_a; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $45=(($44+8)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $46=HEAPU32[(($45)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $47=(($43)>>>0) > (($46)>>>0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($47) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 6: 
      var $49=$_p; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $50=$_a; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $51=(($50+8)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $53=$_nb; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $54=(($52-$53)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $55=(($49)>>>0) > (($54)>>>0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($55) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 7: 
      var $57=(($6+16)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $59=$_nb; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $60=_JS_ArenaAllocate($58, $59); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $61=$60; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $_p=$61; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 9; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 8: 
      var $63=$_p; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $64=$_nb; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $65=(($63+$64)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $66=$_a; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $67=(($66+12)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($67)>>2)]=$65; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 9; break;
    case 9: 
      var $69=$_p; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $70=$69; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $71=(($6+8)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($71)>>2)]=$70; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 10; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 10: 
      __label__ = 11; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 11: 
      __label__ = 12; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 12: 
      var $75=$targetSize; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $76=(($6+12)|0); //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($76)>>2)]=$75; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 13; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 13: 
      $i=0; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 14; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 14: 
      var $79=$i; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $80=$3; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $81=$2; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $82=(($80-$81)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $83=(($79)>>>0) < (($82)>>>0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($83) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 15: 
      var $85=$2; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $86=$i; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $87=(($85+$86)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $bracketIter=$87; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $88=$bracketIter; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $89=((($88<<1))|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $90=$4; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $91=(($90+($89<<2))|0); //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $start=$92; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $93=$bracketIter; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $94=((($93<<1))|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $95=(($94+1)|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $96=$4; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $97=(($96+($95<<2))|0); //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $end=$98; //@line 160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $99=$5; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $100=$bracketIter; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $101=(($99-$100)|0); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $102=$4; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $103=(($102+($101<<2))|0); //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $offset=$104; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $105=$start; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $106=$i; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $107=(($106*3)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $108=(($107)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $109=(($6+8)|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $110=HEAP32[(($109)>>2)]; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $111=(($110+($108<<2))|0); //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($111)>>2)]=$105; //@line 166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $112=$end; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $113=$i; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $114=(($113*3)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $115=(($114+1)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $116=(($6+8)|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $117=HEAP32[(($116)>>2)]; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $118=(($117+($115<<2))|0); //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($118)>>2)]=$112; //@line 167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $119=$offset; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $120=$i; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $121=(($120*3)|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $122=(($121+2)|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $123=(($6+8)|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $124=HEAP32[(($123)>>2)]; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $125=(($124+($122<<2))|0); //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($125)>>2)]=$119; //@line 168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 16; break; //@line 169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 16: 
      var $127=$i; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $128=(($127+1)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i=$128; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 14; break; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 17: 
      ;
      return; //@line 170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10MatchFrame11saveOffsetsEiiPii["X"]=1;

function __ZL10isWordChart($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $3=(($2)&65535); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $4=(($3)|0) < 128; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      if ($4) { __label__ = 2; break; } else { var $13 = 0;__label__ = 3; break; } //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 2: 
      var $6=$1; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $7=(($6) & 255); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $8=__ZL15charTypeForCharh($7); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $9=(($8)&255); //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $10=$9 & 16; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $11=(($10)|0)!=0; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $13 = $11;__label__ = 3; break;
    case 3: 
      var $13;
      ;
      return $13; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11isSpaceChart($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$c;
      var $2=$1; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $3=(($2)&65535); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $4=(($3)|0) < 128; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 2: 
      var $6=$1; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $7=(($6) & 255); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $8=__ZL15charTypeForCharh($7); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $9=(($8)&255); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $10=$9 & 1; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $11=(($10)|0)!=0; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      if ($11) { var $17 = 1;__label__ = 4; break; } else { __label__ = 3; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 3: 
      var $13=$1; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $14=(($13)&65535); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $15=(($14)|0)==160; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
      var $17 = $15;__label__ = 4; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    case 4: 
      var $17;
      ;
      return $17; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8matchRefiPKtiRK9MatchData($offset, $subjectPtr, $length, $md) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $p;
      var $c;
      var $othercase;
      var $d;
      $2=$offset;
      $3=$subjectPtr;
      $4=$length;
      $5=$md;
      var $6=$5; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $7=(($6+16)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=$2; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=$5; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=(($10)|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $13=(($12+($9<<2))|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=(($8+($14<<1))|0); //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $p=$15; //@line 270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $16=$4; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=$5; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=(($17+20)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=$3; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=$19; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $22=$20; //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $23=(($21-$22)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=(((($23)|0)/2)&-1); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=(($16)|0) > (($24)|0); //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($25) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      $1=0; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 18; break; //@line 275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $28=$5; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=(($28+33)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $30=HEAP8[($29)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $31=(($30) & 1); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($31) { __label__ = 4; break; } else { __label__ = 11; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      __label__ = 5; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      var $34=$4; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=(($34-1)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $4=$35; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=(($34)|0) > 0; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 6: 
      var $38=$p; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $39=(($38+2)|0); //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $p=$39; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $40=HEAP16[(($38)>>1)]; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $c=$40; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $41=$c; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $42=(($41)&65535); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $43=__Z22jsc_pcre_ucp_othercasej($42); //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $othercase=$43; //@line 282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $44=$3; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $45=(($44+2)|0); //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $3=$45; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $46=HEAP16[(($44)>>1)]; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $d=$46; //@line 283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $47=$c; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $48=(($47)&65535); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $49=$d; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $50=(($49)&65535); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $51=(($48)|0)!=(($50)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($51) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 7: 
      var $53=$othercase; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $54=$d; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $55=(($54)&65535); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $56=(($53)|0)!=(($55)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($56) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 8: 
      $1=0; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 18; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 9: 
      __label__ = 5; break; //@line 286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 10: 
      __label__ = 17; break; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 11: 
      __label__ = 12; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 12: 
      var $62=$4; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $63=(($62-1)|0); //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $4=$63; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $64=(($62)|0) > 0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($64) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 13: 
      var $66=$p; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $67=(($66+2)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $p=$67; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $68=HEAPU16[(($66)>>1)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $69=(($68)&65535); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $70=$3; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $71=(($70+2)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $3=$71; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $72=HEAPU16[(($70)>>1)]; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $73=(($72)&65535); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $74=(($69)|0)!=(($73)|0); //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($74) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 14: 
      $1=0; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 18; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 15: 
      __label__ = 12; break; //@line 291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 16: 
      __label__ = 17; break;
    case 17: 
      $1=1; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 18; break; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 18: 
      var $80=$1; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      ;
      return $80; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8matchRefiPKtiRK9MatchData["X"]=1;

function __ZN2JS15PerfMeasurement19canMeasureSomethingEv() {
  ;
  var __label__;

  ;
  return 0; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
}


function __ZN2JS15PerfMeasurementD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
}


function __ZN2JS15PerfMeasurement5startEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
}


function __ZN2JS15PerfMeasurement4stopEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
}


function __ZN3WTF12isASCIIDigitEi($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 79 "./yarr/ASCIICType.h"
  var $3=(($2)|0) >= 48; //@line 79 "./yarr/ASCIICType.h"
  var $4=(($3)&1); //@line 79 "./yarr/ASCIICType.h"
  var $5=$1; //@line 79 "./yarr/ASCIICType.h"
  var $6=(($5)|0) <= 57; //@line 79 "./yarr/ASCIICType.h"
  var $7=(($6)&1); //@line 79 "./yarr/ASCIICType.h"
  var $8=$4 & $7; //@line 79 "./yarr/ASCIICType.h"
  var $9=(($8)|0)!=0; //@line 79 "./yarr/ASCIICType.h"
  ;
  return $9; //@line 79 "./yarr/ASCIICType.h"
}


function __ZL29getUTF8CharAndIncrementLengthRiPKhS_($c, $subjectPtr, $len) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $gcaa;
      var $gcss;
      var $gcii;
      $1=$c;
      $2=$subjectPtr;
      $3=$len;
      var $4=$2; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5=HEAPU8[($4)]; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $6=(($5)&255); //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $7=$1; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($7)>>2)]=$6; //@line 441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $8=$1; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=$9 & 192; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=(($10)|0)==192; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $13=$1; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=$14 & 63; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $16=((STRING_TABLE._jsc_pcre_utf8_table4+$15)|0); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=HEAPU8[($16)]; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=(($17)&255); //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $gcaa=$18; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=$gcaa; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=(($19*6)|0); //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $gcss=$20; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=$1; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $23=$gcaa; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=((_jsc_pcre_utf8_table3+($23<<2))|0); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=$22 & $25; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=$gcss; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=$26 << $27; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=$1; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($29)>>2)]=$28; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $gcii=1; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 3; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $31=$gcii; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $32=$gcaa; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $33=(($31)|0) <= (($32)|0); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($33) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $35=$gcss; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=(($35-6)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $gcss=$36; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $37=$gcii; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $38=$2; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $39=(($38+$37)|0); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $40=HEAPU8[($39)]; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $41=(($40)&255); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $42=$41 & 63; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $43=$gcss; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $44=$42 << $43; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $45=$1; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $47=$46 | $44; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($45)>>2)]=$47; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 5; break; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      var $49=$gcii; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $50=(($49+1)|0); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $gcii=$50; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 3; break; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 6: 
      var $52=$gcaa; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $53=$3; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $54=HEAP32[(($53)>>2)]; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $55=(($54+$52)|0); //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($53)>>2)]=$55; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 7; break; //@line 451 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 7: 
      ;
      return; //@line 452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL29getUTF8CharAndIncrementLengthRiPKhS_["X"]=1;

function __ZL15charTypeForCharh($c) {
  ;
  var __label__;

  var $1;
  var $charTypeMap;
  $1=$c;
  $charTypeMap=((STRING_TABLE._jsc_pcre_default_tables+352)|0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $2=$1; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)&255); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=$charTypeMap; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4+$3)|0); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=HEAP8[($5)]; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $6; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZL13get3ByteValuePKh4465($opcodePtr) {
  ;
  var __label__;

  var $1;
  $1=$opcodePtr;
  var $2=$1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=(($2)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $4=HEAPU8[($3)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $5=(($4)&255); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $6=$5 << 16; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $7=$1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $8=(($7+1)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $9=HEAPU8[($8)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $10=(($9)&255); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $11=$10 << 8; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $12=$6 | $11; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $13=$1; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $14=(($13+2)|0); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $15=HEAPU8[($14)]; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $16=(($15)&255); //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $17=$12 | $16; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $17; //@line 126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZN10MatchStack29canUseStackBufferForNextFrameEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+1936)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $4=HEAPU32[(($3)>>2)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $5=(($4)>>>0) < 16; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return $5; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10MatchFrame4initEP11JSArenaPool($this, $regExpPool) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$regExpPool;
  var $3=$1;
  var $4=$2; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $5=(($3+16)|0); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($5)>>2)]=$4; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10MatchFrameC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($3)>>2)]=0; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $4=(($2+16)|0); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP32[(($4)>>2)]=0; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $5=(($2+20)|0); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  var $6=(($2+36)|0); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10LinearFlagC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  HEAP8[($3)]=0; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __Z22jsc_pcre_ucp_othercasej($c) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $bot;
      var $top;
      var $mid;
      var $offset;
      $2=$c;
      $bot=0; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      $top=2963; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      __label__ = 2; break; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 2: 
      var $4=$top; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $5=$bot; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $6=(($4)|0) <= (($5)|0); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 3: 
      $1=-1; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      __label__ = 21; break; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 4: 
      var $9=$bot; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $10=$top; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $11=(($9+$10)|0); //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $12=$11 >> 1; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      $mid=$12; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $13=$2; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $14=$mid; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $15=((__ZL9ucp_table+($14<<3))|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $16=(($15)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $18=$17 & 2097151; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $19=(($13)|0)==(($18)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 5: 
      __label__ = 13; break; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 6: 
      var $22=$2; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $23=$mid; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $24=((__ZL9ucp_table+($23<<3))|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $25=(($24)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $27=$26 & 2097151; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $28=(($22)>>>0) < (($27)>>>0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 7: 
      var $30=$mid; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      $top=$30; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      __label__ = 12; break; //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 8: 
      var $32=$mid; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $33=((__ZL9ucp_table+($32<<3))|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $34=(($33)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $36=$35 & 15728640; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $37=(($36)|0)!=0; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 9: 
      var $39=$2; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $40=$mid; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $41=((__ZL9ucp_table+($40<<3))|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $42=(($41)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $44=$43 & 2097151; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $45=$mid; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $46=((__ZL9ucp_table+($45<<3))|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $47=(($46+4)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $49=$48 & 65535; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $50=(($44+$49)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $51=(($39)>>>0) <= (($50)>>>0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      if ($51) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 10: 
      __label__ = 13; break; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 11: 
      var $54=$mid; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $55=(($54+1)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      $bot=$55; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      __label__ = 12; break;
    case 12: 
      __label__ = 2; break; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 13: 
      var $58=$mid; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $59=((__ZL9ucp_table+($58<<3))|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $60=(($59)|0); //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $62=$61 & 15728640; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $63=(($62)|0)!=0; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      if ($63) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 14: 
      $1=-1; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      __label__ = 21; break; //@line 92 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 15: 
      var $66=$mid; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $67=((__ZL9ucp_table+($66<<3))|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $68=(($67+4)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $70=$69 & 65535; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      $offset=$70; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $71=$offset; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $72=$71 & -32768; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $73=(($72)|0)!=0; //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      if ($73) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 95 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 16: 
      var $75=$offset; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $76=$75 | -32768; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      $offset=$76; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      __label__ = 17; break; //@line 96 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 17: 
      var $78=$offset; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $79=(($78)|0)!=0; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      if ($79) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 18: 
      var $86 = -1;__label__ = 20; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 19: 
      var $82=$2; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $83=$offset; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $84=(($82+$83)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      var $86 = $84;__label__ = 20; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 20: 
      var $86; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      $1=$86; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      __label__ = 21; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    case 21: 
      var $88=$1; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
      ;
      return $88; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_ucp_searchfuncs.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z22jsc_pcre_ucp_othercasej["X"]=1;

function __ZL28getUTF8CharAndAdvancePointerRiRPKh($c, $subjectPtr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $gcaa;
      var $gcss;
      $1=$c;
      $2=$subjectPtr;
      var $3=$2; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $4=HEAP32[(($3)>>2)]; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $5=(($4+1)|0); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      HEAP32[(($3)>>2)]=$5; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $6=HEAPU8[($4)]; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $7=(($6)&255); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $8=$1; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      HEAP32[(($8)>>2)]=$7; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $9=$1; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $10=HEAP32[(($9)>>2)]; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $11=$10 & 192; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $12=(($11)|0)==192; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 2: 
      var $14=$1; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $16=$15 & 63; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $17=((STRING_TABLE._jsc_pcre_utf8_table4+$16)|0); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $18=HEAPU8[($17)]; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $19=(($18)&255); //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $gcaa=$19; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $20=$gcaa; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $21=(($20*6)|0); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $gcss=$21; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $22=$1; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $24=$gcaa; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $25=((_jsc_pcre_utf8_table3+($24<<2))|0); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $27=$23 & $26; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $28=$gcss; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $29=$27 << $28; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $30=$1; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      HEAP32[(($30)>>2)]=$29; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      __label__ = 3; break; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 3: 
      var $32=$gcaa; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $33=(($32-1)|0); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $gcaa=$33; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $34=(($32)|0) > 0; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($34) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 4: 
      var $36=$gcss; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $37=(($36-6)|0); //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $gcss=$37; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $38=$2; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $40=(($39+1)|0); //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      HEAP32[(($38)>>2)]=$40; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $41=HEAPU8[($39)]; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $42=(($41)&255); //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $43=$42 & 63; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $44=$gcss; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $45=$43 << $44; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $46=$1; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $48=$47 | $45; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      HEAP32[(($46)>>2)]=$48; //@line 71 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      __label__ = 3; break; //@line 72 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 5: 
      __label__ = 6; break; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 6: 
      ;
      return; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL28getUTF8CharAndAdvancePointerRiRPKh["X"]=1;

function __ZN2JS15PerfMeasurementC2ENS0_9EventMaskE($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=(($4)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  HEAP32[(($5)>>2)]=0; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $6=(($4+4)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  HEAP32[(($6)>>2)]=0; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $7=(($4+8)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$0$0=-1;
  var $$emscripten$temp$0$1=-1;
  var $st$12$0=(($7)|0);
  HEAP32[(($st$12$0)>>2)]=$$emscripten$temp$0$0;
  var $st$12$1=(($7+4)|0);
  HEAP32[(($st$12$1)>>2)]=$$emscripten$temp$0$1;
  var $8=(($4+16)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$1$0=-1;
  var $$emscripten$temp$1$1=-1;
  var $st$19$0=(($8)|0);
  HEAP32[(($st$19$0)>>2)]=$$emscripten$temp$1$0;
  var $st$19$1=(($8+4)|0);
  HEAP32[(($st$19$1)>>2)]=$$emscripten$temp$1$1;
  var $9=(($4+24)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$2$0=-1;
  var $$emscripten$temp$2$1=-1;
  var $st$26$0=(($9)|0);
  HEAP32[(($st$26$0)>>2)]=$$emscripten$temp$2$0;
  var $st$26$1=(($9+4)|0);
  HEAP32[(($st$26$1)>>2)]=$$emscripten$temp$2$1;
  var $10=(($4+32)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$3$0=-1;
  var $$emscripten$temp$3$1=-1;
  var $st$33$0=(($10)|0);
  HEAP32[(($st$33$0)>>2)]=$$emscripten$temp$3$0;
  var $st$33$1=(($10+4)|0);
  HEAP32[(($st$33$1)>>2)]=$$emscripten$temp$3$1;
  var $11=(($4+40)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$4$0=-1;
  var $$emscripten$temp$4$1=-1;
  var $st$40$0=(($11)|0);
  HEAP32[(($st$40$0)>>2)]=$$emscripten$temp$4$0;
  var $st$40$1=(($11+4)|0);
  HEAP32[(($st$40$1)>>2)]=$$emscripten$temp$4$1;
  var $12=(($4+48)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$5$0=-1;
  var $$emscripten$temp$5$1=-1;
  var $st$47$0=(($12)|0);
  HEAP32[(($st$47$0)>>2)]=$$emscripten$temp$5$0;
  var $st$47$1=(($12+4)|0);
  HEAP32[(($st$47$1)>>2)]=$$emscripten$temp$5$1;
  var $13=(($4+56)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$6$0=-1;
  var $$emscripten$temp$6$1=-1;
  var $st$54$0=(($13)|0);
  HEAP32[(($st$54$0)>>2)]=$$emscripten$temp$6$0;
  var $st$54$1=(($13+4)|0);
  HEAP32[(($st$54$1)>>2)]=$$emscripten$temp$6$1;
  var $14=(($4+64)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$7$0=-1;
  var $$emscripten$temp$7$1=-1;
  var $st$61$0=(($14)|0);
  HEAP32[(($st$61$0)>>2)]=$$emscripten$temp$7$0;
  var $st$61$1=(($14+4)|0);
  HEAP32[(($st$61$1)>>2)]=$$emscripten$temp$7$1;
  var $15=(($4+72)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$8$0=-1;
  var $$emscripten$temp$8$1=-1;
  var $st$68$0=(($15)|0);
  HEAP32[(($st$68$0)>>2)]=$$emscripten$temp$8$0;
  var $st$68$1=(($15+4)|0);
  HEAP32[(($st$68$1)>>2)]=$$emscripten$temp$8$1;
  var $16=(($4+80)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$9$0=-1;
  var $$emscripten$temp$9$1=-1;
  var $st$75$0=(($16)|0);
  HEAP32[(($st$75$0)>>2)]=$$emscripten$temp$9$0;
  var $st$75$1=(($16+4)|0);
  HEAP32[(($st$75$1)>>2)]=$$emscripten$temp$9$1;
  var $17=(($4+88)|0); //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/jsperf.h"
  var $$emscripten$temp$10$0=-1;
  var $$emscripten$temp$10$1=-1;
  var $st$82$0=(($17)|0);
  HEAP32[(($st$82$0)>>2)]=$$emscripten$temp$10$0;
  var $st$82$1=(($17+4)|0);
  HEAP32[(($st$82$1)>>2)]=$$emscripten$temp$10$1;
  ;
  return; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
}
__ZN2JS15PerfMeasurementC2ENS0_9EventMaskE["X"]=1;

function __ZN2JS15PerfMeasurement5resetEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+8)|0); //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$0$0=-1;
  var $$emscripten$temp$0$1=-1;
  var $st$6$0=(($3)|0);
  HEAP32[(($st$6$0)>>2)]=$$emscripten$temp$0$0;
  var $st$6$1=(($3+4)|0);
  HEAP32[(($st$6$1)>>2)]=$$emscripten$temp$0$1;
  var $4=(($2+16)|0); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$1$0=-1;
  var $$emscripten$temp$1$1=-1;
  var $st$13$0=(($4)|0);
  HEAP32[(($st$13$0)>>2)]=$$emscripten$temp$1$0;
  var $st$13$1=(($4+4)|0);
  HEAP32[(($st$13$1)>>2)]=$$emscripten$temp$1$1;
  var $5=(($2+24)|0); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$2$0=-1;
  var $$emscripten$temp$2$1=-1;
  var $st$20$0=(($5)|0);
  HEAP32[(($st$20$0)>>2)]=$$emscripten$temp$2$0;
  var $st$20$1=(($5+4)|0);
  HEAP32[(($st$20$1)>>2)]=$$emscripten$temp$2$1;
  var $6=(($2+32)|0); //@line 80 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$3$0=-1;
  var $$emscripten$temp$3$1=-1;
  var $st$27$0=(($6)|0);
  HEAP32[(($st$27$0)>>2)]=$$emscripten$temp$3$0;
  var $st$27$1=(($6+4)|0);
  HEAP32[(($st$27$1)>>2)]=$$emscripten$temp$3$1;
  var $7=(($2+40)|0); //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$4$0=-1;
  var $$emscripten$temp$4$1=-1;
  var $st$34$0=(($7)|0);
  HEAP32[(($st$34$0)>>2)]=$$emscripten$temp$4$0;
  var $st$34$1=(($7+4)|0);
  HEAP32[(($st$34$1)>>2)]=$$emscripten$temp$4$1;
  var $8=(($2+48)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$5$0=-1;
  var $$emscripten$temp$5$1=-1;
  var $st$41$0=(($8)|0);
  HEAP32[(($st$41$0)>>2)]=$$emscripten$temp$5$0;
  var $st$41$1=(($8+4)|0);
  HEAP32[(($st$41$1)>>2)]=$$emscripten$temp$5$1;
  var $9=(($2+56)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$6$0=-1;
  var $$emscripten$temp$6$1=-1;
  var $st$48$0=(($9)|0);
  HEAP32[(($st$48$0)>>2)]=$$emscripten$temp$6$0;
  var $st$48$1=(($9+4)|0);
  HEAP32[(($st$48$1)>>2)]=$$emscripten$temp$6$1;
  var $10=(($2+64)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$7$0=-1;
  var $$emscripten$temp$7$1=-1;
  var $st$55$0=(($10)|0);
  HEAP32[(($st$55$0)>>2)]=$$emscripten$temp$7$0;
  var $st$55$1=(($10+4)|0);
  HEAP32[(($st$55$1)>>2)]=$$emscripten$temp$7$1;
  var $11=(($2+72)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$8$0=-1;
  var $$emscripten$temp$8$1=-1;
  var $st$62$0=(($11)|0);
  HEAP32[(($st$62$0)>>2)]=$$emscripten$temp$8$0;
  var $st$62$1=(($11+4)|0);
  HEAP32[(($st$62$1)>>2)]=$$emscripten$temp$8$1;
  var $12=(($2+80)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$9$0=-1;
  var $$emscripten$temp$9$1=-1;
  var $st$69$0=(($12)|0);
  HEAP32[(($st$69$0)>>2)]=$$emscripten$temp$9$0;
  var $st$69$1=(($12+4)|0);
  HEAP32[(($st$69$1)>>2)]=$$emscripten$temp$9$1;
  var $13=(($2+88)|0); //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
  var $$emscripten$temp$10$0=-1;
  var $$emscripten$temp$10$1=-1;
  var $st$76$0=(($13)|0);
  HEAP32[(($st$76$0)>>2)]=$$emscripten$temp$10$0;
  var $st$76$1=(($13+4)|0);
  HEAP32[(($st$76$1)>>2)]=$$emscripten$temp$10$1;
  ;
  return; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/perf/pm_stub.cpp"
}
__ZN2JS15PerfMeasurement5resetEv["X"]=1;

function __ZN10MatchStackD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN10MatchStackD2Ev($2); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10MatchStackD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $_m;
      var $_a;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $4=(($2+4)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $_m=$5; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $6=(($2)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $8=(($7+16)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $_a=$9; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=$_a; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=(($2)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $13=(($12)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=(($10)|0)!=(($13)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $16=$_m; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17=$16; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=$_a; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=(($18+4)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $20=HEAP32[(($19)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $21=(($17-$20)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $22=$_a; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $23=(($22+12)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=$_a; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($25+4)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=(($24-$27)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $29=(($21)>>>0) <= (($28)>>>0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $31=$_m; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $32=$31; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $33=(($2)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $34=HEAP32[(($33)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=(($34+24)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $37=(($32+$36)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $38=(($2)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $40=(($39+24)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $41=HEAP32[(($40)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $42=$41 ^ -1; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $43=$37 & $42; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $44=$_a; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $45=(($44+12)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 6; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      var $47=(($2)|0); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $49=$_m; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      _JS_ArenaRelease($48, $49); //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 6; break;
    case 6: 
      __label__ = 7; break; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 7: 
      ;
      return; //@line 382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10MatchStackD2Ev["X"]=1;

function __ZL21getLinkValueAllowZeroPKh4464($opcodePtr) {
  ;
  var __label__;

  var $1;
  $1=$opcodePtr;
  var $2=$1; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  var $3=__ZL13get3ByteValuePKh4465($2); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
  ;
  return $3; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_internal.h"
}


function __ZN2js10Foreground7delete_I10MatchFrameEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "./jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "./jsutil.h"
      var $6=$1; //@line 535 "./jsutil.h"
      var $7=$6; //@line 535 "./jsutil.h"
      _js_free4466($7); //@line 535 "./jsutil.h"
      __label__ = 3; break; //@line 535 "./jsutil.h"
    case 3: 
      ;
      return; //@line 535 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_free4466($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "./jsutil.h"
  ; //@line 285 "./jsutil.h"
  ;
  return; //@line 286 "./jsutil.h"
}


function __ZN10MatchStack17allocateNextFrameEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $frame;
      $2=$this;
      var $3=$2;
      var $4=__ZN10MatchStack29canUseStackBufferForNextFrameEv($3); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $6=(($3+1932)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $7=HEAP32[(($6)>>2)]; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $8=(($7+120)|0); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$8; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 4; break; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $10=__ZN2js11OffTheBooks4new_I10MatchFrameEEPT_v(); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $frame=$10; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=$frame; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=(($3)|0); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame4initEP11JSArenaPool($11, $13); //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=$frame; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $1=$14; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 4; break; //@line 399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $16=$1; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      ;
      return $16; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks4new_I10MatchFrameEEPT_v() {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $memory;
      var $1=_js_malloc4467(120); //@line 509 "./jsutil.h"
      $memory=$1; //@line 509 "./jsutil.h"
      var $2=$memory; //@line 509 "./jsutil.h"
      var $3=(($2)|0)!=0; //@line 509 "./jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "./jsutil.h"
    case 2: 
      var $5=$memory; //@line 509 "./jsutil.h"
      var $6=(($5)|0)==0; //@line 509 "./jsutil.h"
      if ($6) { var $10 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "./jsutil.h"
    case 3: 
      var $8=$5; //@line 509 "./jsutil.h"
      __ZN10MatchFrameC1Ev($8); //@line 509 "./jsutil.h"
      var $10 = $8;__label__ = 4; break; //@line 509 "./jsutil.h"
    case 4: 
      var $10; //@line 509 "./jsutil.h"
      var $13 = $10;__label__ = 6; break; //@line 509 "./jsutil.h"
    case 5: 
      var $13 = 0;__label__ = 6; break; //@line 509 "./jsutil.h"
    case 6: 
      var $13; //@line 509 "./jsutil.h"
      ;
      return $13; //@line 509 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc4467($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "./jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "./jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "./jsutil.h"
      var $5=_malloc($4); //@line 271 "./jsutil.h"
      ;
      return $5; //@line 271 "./jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10MatchFrameC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN10MatchFrameC2Ev($2); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
  ;
  return; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
}


function __ZN10MatchStack12popAllFramesEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      __label__ = 2; break; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $4=(($2+1936)|0); //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $6=(($5)|0)!=0; //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 425 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      __ZN10MatchStack15popCurrentFrameEv($2); //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 2; break; //@line 426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      ;
      return; //@line 427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN10MatchStackC2EP11JSArenaPool($this, $regExpPool) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $i;
      $1=$this;
      $2=$regExpPool;
      var $3=$1;
      var $4=(($3)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $5=$2; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($4)>>2)]=$5; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $6=(($3+4)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $7=$2; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $8=(($7+16)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $10=(($9+12)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $12=$11; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($6)>>2)]=$12; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $13=(($3+8)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $14=(($13)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $15=(($14+1920)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $17 = $14;__label__ = 2; break; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 2: 
      var $17; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrameC1Ev($17); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $18=(($17+120)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $19=(($18)|0)==(($15)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($19) { __label__ = 3; break; } else { var $17 = $18;__label__ = 2; break; } //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 3: 
      var $21=(($3+1928)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $22=(($3+8)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $23=(($22)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $24=(($23+1920)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($21)>>2)]=$24; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $25=(($3+1932)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $26=(($3+8)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $27=(($26)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($25)>>2)]=$27; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $28=(($3+1936)|0); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      HEAP32[(($28)>>2)]=1; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i=0; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 4; break; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 4: 
      var $30=$i; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $31=(($30)>>>0) < 16; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 5: 
      var $33=$i; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $34=(($3+8)|0); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $35=(($34+$33*120)|0); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $36=$2; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __ZN10MatchFrame4initEP11JSArenaPool($35, $36); //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 6; break; //@line 379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 6: 
      var $38=$i; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      var $39=(($38+1)|0); //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      $i=$39; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
      __label__ = 4; break; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    case 7: 
      ;
      return; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_exec.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN10MatchStackC2EP11JSArenaPool["X"]=1;

function __Z15jsc_pcre_xclassiPKh($c, $data) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      var $negated;
      var $t;
      var $x=__stackBase__+4;
      var $x1=__stackBase__+8;
      var $y=__stackBase__+12;
      $2=$c;
      HEAP32[(($3)>>2)]=$data;
      var $4=HEAP32[(($3)>>2)]; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $5=HEAPU8[($4)]; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $6=(($5)&255); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $7=$6 & 1; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $8=(($7)|0)!=0; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $9=(($8)&1); //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $negated=$9; //@line 78 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $10=$2; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $11=(($10)|0) < 256; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 2: 
      var $13=HEAP32[(($3)>>2)]; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $14=HEAPU8[($13)]; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $15=(($14)&255); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $16=$15 & 2; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $17=(($16)|0)!=0; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($17) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 3: 
      var $19=$2; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $20=(((($19)|0)/8)&-1); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $21=(($20+1)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $22=HEAP32[(($3)>>2)]; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $23=(($22+$21)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $24=HEAPU8[($23)]; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $25=(($24)&255); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $26=$2; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $27=$26 & 7; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $28=1 << $27; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $29=$25 & $28; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $30=(($29)|0)!=0; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 4: 
      var $32=$negated; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $33=(($32) & 1); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $34=$33 ^ 1; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $1=$34; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      __label__ = 22; break; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 5: 
      __label__ = 6; break; //@line 87 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 6: 
      var $37=HEAP32[(($3)>>2)]; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $38=(($37+1)|0); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      HEAP32[(($3)>>2)]=$38; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $39=HEAPU8[($37)]; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $40=(($39)&255); //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $41=$40 & 2; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $42=(($41)|0)!=0; //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($42) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 93 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 7: 
      var $44=HEAP32[(($3)>>2)]; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $45=(($44+32)|0); //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      HEAP32[(($3)>>2)]=$45; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      __label__ = 8; break; //@line 94 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 8: 
      __label__ = 9; break; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 9: 
      var $48=HEAP32[(($3)>>2)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $49=(($48+1)|0); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      HEAP32[(($3)>>2)]=$49; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $50=HEAPU8[($48)]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $51=(($50)&255); //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $t=$51; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $52=(($51)|0)!=0; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($52) { __label__ = 10; break; } else { __label__ = 21; break; } //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 10: 
      var $54=$t; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $55=(($54)|0)==1; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($55) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 11: 
      __ZL28getUTF8CharAndAdvancePointerRiRPKh($x, $3); //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $57=$2; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $58=HEAP32[(($x)>>2)]; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $59=(($57)|0)==(($58)|0); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($59) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 12: 
      var $61=$negated; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $62=(($61) & 1); //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $63=$62 ^ 1; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $1=$63; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      __label__ = 22; break; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 13: 
      __label__ = 20; break; //@line 103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 14: 
      var $66=$t; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $67=(($66)|0)==2; //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($67) { __label__ = 15; break; } else { __label__ = 19; break; } //@line 104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 15: 
      __ZL28getUTF8CharAndAdvancePointerRiRPKh($x1, $3); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      __ZL28getUTF8CharAndAdvancePointerRiRPKh($y, $3); //@line 107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $69=$2; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $70=HEAP32[(($x1)>>2)]; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $71=(($69)|0) >= (($70)|0); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($71) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 16: 
      var $73=$2; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $74=HEAP32[(($y)>>2)]; //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $75=(($73)|0) <= (($74)|0); //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      if ($75) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 17: 
      var $77=$negated; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $78=(($77) & 1); //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $79=$78 ^ 1; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $1=$79; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      __label__ = 22; break; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 18: 
      __label__ = 19; break; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 19: 
      __label__ = 20; break;
    case 20: 
      __label__ = 9; break; //@line 111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 21: 
      var $84=$negated; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      var $85=(($84) & 1); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      $1=$85; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      __label__ = 22; break; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    case 22: 
      var $87=$1; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
      STACKTOP = __stackBase__;
      return $87; //@line 114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/yarr/pcre/pcre_xclass.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z15jsc_pcre_xclassiPKh["X"]=1;

function __ZN2v88internal7ceilingEd($x) {
  ;
  var __label__;

  var $1;
  $1=$x;
  var $2=$1; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/platform.cc"
  var $3=_ceil($2); //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/platform.cc"
  ;
  return $3; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/platform.cc"
}


function __ZN2v88internal2OS5AbortEv() {
  ;
  var __label__;

  var $1=_raise(6); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/platform.cc"
  ;
  return; //@line 81 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/platform.cc"
}


function __ZN14DSTOffsetCache11sanityCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
}


function __ZNK2v88internal6VectorIcE5startEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $4=HEAP32[(($3)>>2)]; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return $4; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function _PRMJ_LocalGMTDifference() {
  var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $day;
      var $tm=__stackBase__;
      var $time;
      $day=0; //@line 136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $2=__ZL16ComputeLocalTimelP2tm(0, $tm); //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($2) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 2: 
      $1=0; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 10; break; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 3: 
      var $5=(($tm+32)|0); //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $6=HEAP32[(($5)>>2)]; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $7=(($6)|0) > 0; //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($7) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 4: 
      $day=180; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $9=$day; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $10=(($9*86400)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $11=__ZL16ComputeLocalTimelP2tm($10, $tm); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($11) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 5: 
      $1=0; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 10; break; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 6: 
      __label__ = 7; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 7: 
      var $15=(($tm+8)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $17=(($16*3600)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $18=(($tm+4)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $20=(($19*60)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $21=(($17+$20)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $22=(($tm)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $24=(($21+$23)|0); //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $time=$24; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $25=$time; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $26=((86400-$25)|0); //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $time=$26; //@line 148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $27=(($tm+28)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $29=$day; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $30=(($28)|0)==(($29)|0); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 8: 
      var $32=$time; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $33=(($32-86400)|0); //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $time=$33; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 9; break; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 9: 
      var $35=$time; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $1=$35; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 10; break; //@line 153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 10: 
      var $37=$1; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      STACKTOP = __stackBase__;
      return $37; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16ComputeLocalTimelP2tm($local, $ptm) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  var $2;
  HEAP32[(($1)>>2)]=$local;
  $2=$ptm;
  var $3=$2; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  var $4=_localtime_r($1, $3); //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  var $5=(($4)|0)!=0; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  STACKTOP = __stackBase__;
  return $5; //@line 106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
}


function _PRMJ_Now() {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $tv=__stackBase__;
  var $1=_gettimeofday($tv, 0); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  var $2=(($tv)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  var $3=HEAP32[(($2)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  var $4$0=$3;
  var $4$1=(($3|0) < 0 ? -1 : 0);
  var $$emscripten$temp$0$0=1000000;
  var $$emscripten$temp$0$1=0;
  var $5$0 = (i64Math.multiply($4$0,$4$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $5$1 = i64Math.result[1]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  var $6=(($tv+4)|0); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  var $7=HEAP32[(($6)>>2)]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  var $8$0=$7;
  var $8$1=(($7|0) < 0 ? -1 : 0);
  var $9$0 = (i64Math.add($5$0,$5$1,$8$0,$8$1),i64Math.result[0]); var $9$1 = i64Math.result[1]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
  STACKTOP = __stackBase__;
  return [$9$0,$9$1]; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
}


function _PRMJ_FormatTime($buf, $buflen, $fmt, $prtm) {
  var __stackBase__  = STACKTOP; STACKTOP += 124; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $result;
      var $a=__stackBase__;
      var $fake_tm_year;
      var $td=__stackBase__+44;
      var $t=__stackBase__+88;
      var $real_year=__stackBase__+92;
      var $fake_year=__stackBase__+108;
      var $real_year_len;
      var $fake_year_len;
      var $p;
      var $new_result;
      $2=$buf;
      $3=$buflen;
      $4=$fmt;
      $5=$prtm;
      $result=0; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $fake_tm_year=0; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $6=$a; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      _memset($6, 0, 44, 1); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $7=$5; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $8=(($7+4)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $9=HEAP8[($8)]; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $10=(($9 << 24) >> 24); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $11=(($a)|0); //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($11)>>2)]=$10; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $12=$5; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $13=(($12+5)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $14=HEAP8[($13)]; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $15=(($14 << 24) >> 24); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $16=(($a+4)|0); //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $17=$5; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $18=(($17+6)|0); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $19=HEAP8[($18)]; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $20=(($19 << 24) >> 24); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $21=(($a+8)|0); //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($21)>>2)]=$20; //@line 556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $22=$5; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $23=(($22+7)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $24=HEAP8[($23)]; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $25=(($24 << 24) >> 24); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $26=(($a+12)|0); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($26)>>2)]=$25; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $27=$5; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $28=(($27+8)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $29=HEAP8[($28)]; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $30=(($29 << 24) >> 24); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $31=(($a+16)|0); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($31)>>2)]=$30; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $32=$5; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $33=(($32+9)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $34=HEAP8[($33)]; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $35=(($34 << 24) >> 24); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $36=(($a+24)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $37=$td; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      _memset($37, 0, 44, 1); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $38=$5; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $39=(($38+4)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $40=HEAP8[($39)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $41=(($40 << 24) >> 24); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $42=(($td)|0); //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($42)>>2)]=$41; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $43=$5; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $44=(($43+5)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $45=HEAP8[($44)]; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $46=(($45 << 24) >> 24); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $47=(($td+4)|0); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($47)>>2)]=$46; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $48=$5; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $49=(($48+6)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $50=HEAP8[($49)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $51=(($50 << 24) >> 24); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $52=(($td+8)|0); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($52)>>2)]=$51; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $53=$5; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $54=(($53+7)|0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $55=HEAP8[($54)]; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $56=(($55 << 24) >> 24); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $57=(($td+12)|0); //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($57)>>2)]=$56; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $58=$5; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $59=(($58+8)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $60=HEAP8[($59)]; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $61=(($60 << 24) >> 24); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $62=(($td+16)|0); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($62)>>2)]=$61; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $63=$5; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $64=(($63+9)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $65=HEAP8[($64)]; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $66=(($65 << 24) >> 24); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $67=(($td+24)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($67)>>2)]=$66; //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $68=$5; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $69=(($68+12)|0); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $70=HEAP32[(($69)>>2)]; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $71=(($70-1900)|0); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $72=(($td+20)|0); //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($72)>>2)]=$71; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $73=$5; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $74=(($73+16)|0); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $75=HEAP16[(($74)>>1)]; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $76=(($75 << 16) >> 16); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $77=(($td+28)|0); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($77)>>2)]=$76; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $78=$5; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $79=(($78+18)|0); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $80=HEAP8[($79)]; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $81=(($80 << 24) >> 24); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $82=(($td+32)|0); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($82)>>2)]=$81; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $83=_mktime($td); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($t)>>2)]=$83; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $84=_localtime_r($t, $td); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $85=(($td+36)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $86=HEAP32[(($85)>>2)]; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $87=(($a+36)|0); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($87)>>2)]=$86; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $88=(($td+40)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $89=HEAP32[(($88)>>2)]; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $90=(($a+40)|0); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($90)>>2)]=$89; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $91=$5; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $92=(($91+12)|0); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $93=HEAP32[(($92)>>2)]; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $94=(($93)|0) < 1900; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($94) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 2: 
      var $96=$5; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $97=(($96+12)|0); //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $98=HEAP32[(($97)>>2)]; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $99=(($98)|0) > 9999; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($99) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 3: 
      var $101=$5; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $102=(($101+12)|0); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $103=HEAP32[(($102)>>2)]; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $104=(($103)|0)%100; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $105=(($104+9900)|0); //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $fake_tm_year=$105; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $106=$fake_tm_year; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $107=(($106-1900)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $108=(($a+20)|0); //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($108)>>2)]=$107; //@line 606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 5; break; //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 4: 
      var $110=$5; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $111=(($110+12)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $113=(($112-1900)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $114=(($a+20)|0); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($114)>>2)]=$113; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 5; break;
    case 5: 
      var $116=$5; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $117=(($116+16)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $118=HEAP16[(($117)>>1)]; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $119=(($118 << 16) >> 16); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $120=(($a+28)|0); //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($120)>>2)]=$119; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $121=$5; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $122=(($121+18)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $123=HEAP8[($122)]; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $124=(($123 << 24) >> 24); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $125=(($a+32)|0); //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP32[(($125)>>2)]=$124; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $126=$2; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $127=$3; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $128=$4; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $129=_strftime($126, $127, $128, $a); //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $result=$129; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $130=$fake_tm_year; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $131=(($130)|0)!=0; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($131) { __label__ = 6; break; } else { __label__ = 14; break; } //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 6: 
      var $133=$result; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $134=(($133)|0)!=0; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($134) { __label__ = 7; break; } else { __label__ = 14; break; } //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 7: 
      var $136=(($real_year)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $137=$5; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $138=(($137+12)|0); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $140=_sprintf($136, ((STRING_TABLE.__str4498)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$139,tempInt)); //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $141=(($real_year)|0); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $142=_strlen($141); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $real_year_len=$142; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $143=(($fake_year)|0); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $144=$fake_tm_year; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $145=_sprintf($143, ((STRING_TABLE.__str4498)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$144,tempInt)); //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $146=(($fake_year)|0); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $147=_strlen($146); //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $fake_year_len=$147; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $148=$2; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $p=$148; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 8; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 8: 
      var $150=$p; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $151=(($fake_year)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $152=_strstr($150, $151); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $p=$152; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $153=(($152)|0)!=0; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($153) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 9: 
      var $155=$result; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $156=$real_year_len; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $157=(($155+$156)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $158=$fake_year_len; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $159=(($157-$158)|0); //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $new_result=$159; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $160=$new_result; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $161=$3; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $162=(($160)|0) >= (($161)|0); //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($162) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 10: 
      $1=0; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 15; break; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 11: 
      var $165=$p; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $166=$real_year_len; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $167=(($165+$166)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $168=$p; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $169=$fake_year_len; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $170=(($168+$169)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $171=$p; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $172=$fake_year_len; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $173=(($171+$172)|0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $174=_strlen($173); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      _llvm_memmove_p0i8_p0i8_i32($167, $170, $174, 1, 0); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $175=$p; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $176=(($real_year)|0); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $177=$real_year_len; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      assert($177 % 1 === 0, 'memcpy given ' + $177 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($175, $176, $177, 1); //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $178=$new_result; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $result=$178; //@line 653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $179=$2; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $180=$result; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $181=(($179+$180)|0); //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      HEAP8[($181)]=0; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 12; break; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 12: 
      var $183=$real_year_len; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $184=$p; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $185=(($184+$183)|0); //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $p=$185; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 8; break; //@line 646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 13: 
      __label__ = 14; break; //@line 656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 14: 
      var $188=$result; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $1=$188; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 15; break; //@line 658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 15: 
      var $190=$1; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      STACKTOP = __stackBase__;
      return $190; //@line 659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
_PRMJ_FormatTime["X"]=1;

function __ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx($this, $localTimeSeconds$0, $localTimeSeconds$1) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      var $3=__stackBase__+8;
      var $tm=__stackBase__+16;
      var $base;
      var $dayoff;
      var $tmoff;
      var $diff;
      $2=$this;
      var $st$9$0=(($3)|0);
      HEAP32[(($st$9$0)>>2)]=$localTimeSeconds$0;
      var $st$9$1=(($3+4)|0);
      HEAP32[(($st$9$1)>>2)]=$localTimeSeconds$1;
      var $4=$2;
      var $st$14$0=(($3)|0);
      var $5$0=HEAP32[(($st$14$0)>>2)];
      var $st$14$1=(($3+4)|0);
      var $5$1=HEAP32[(($st$14$1)>>2)];
      var $6$0=$5$0;
      var $6=$6$0;
      var $7=__ZL16ComputeLocalTimelP2tm($6, $tm); //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 2: 
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=0;
      var $st$2$0=(($1)|0);
      HEAP32[(($st$2$0)>>2)]=$$emscripten$temp$0$0;
      var $st$2$1=(($1+4)|0);
      HEAP32[(($st$2$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 6; break; //@line 678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 3: 
      var $10=_PRMJ_LocalGMTDifference(); //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $base=$10; //@line 680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$2$0=(($3)|0);
      var $11$0=HEAP32[(($st$2$0)>>2)];
      var $st$2$1=(($3+4)|0);
      var $11$1=HEAP32[(($st$2$1)>>2)];
      var $12=$base; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $13$0=$12;
      var $13$1=(($12|0) < 0 ? -1 : 0);
      var $14$0 = (i64Math.subtract($11$0,$11$1,$13$0,$13$1),i64Math.result[0]); var $14$1 = i64Math.result[1]; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $$emscripten$temp$1$0=86400;
      var $$emscripten$temp$1$1=0;
      var $15$0 = (i64Math.modulo($14$0,$14$1,$$emscripten$temp$1$0,$$emscripten$temp$1$1),i64Math.result[0]); var $15$1 = i64Math.result[1]; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $16$0=$15$0;
      var $16=$16$0;
      $dayoff=$16; //@line 682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $17=(($tm)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $19$0=$18;
      var $19$1=(($18|0) < 0 ? -1 : 0);
      var $20=(($tm+4)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $22$0=$21;
      var $22$1=(($21|0) < 0 ? -1 : 0);
      var $$emscripten$temp$2$0=60;
      var $$emscripten$temp$2$1=0;
      var $23$0 = (i64Math.multiply($22$0,$22$1,$$emscripten$temp$2$0,$$emscripten$temp$2$1),i64Math.result[0]); var $23$1 = i64Math.result[1]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $24$0 = (i64Math.add($19$0,$19$1,$23$0,$23$1),i64Math.result[0]); var $24$1 = i64Math.result[1]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $25=(($tm+8)|0); //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $27$0=$26;
      var $27$1=(($26|0) < 0 ? -1 : 0);
      var $$emscripten$temp$3$0=3600;
      var $$emscripten$temp$3$1=0;
      var $28$0 = (i64Math.multiply($27$0,$27$1,$$emscripten$temp$3$0,$$emscripten$temp$3$1),i64Math.result[0]); var $28$1 = i64Math.result[1]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $29$0 = (i64Math.add($24$0,$24$1,$28$0,$28$1),i64Math.result[0]); var $29$1 = i64Math.result[1]; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $30$0=$29$0;
      var $30=$30$0;
      $tmoff=$30; //@line 684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $31=$tmoff; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $32=$dayoff; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $33=(($31-$32)|0); //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      $diff=$33; //@line 686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $34=$diff; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $35=(($34)|0) < 0; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 4: 
      var $37=$diff; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $38$0=$37;
      var $38$1=(($37|0) < 0 ? -1 : 0);
      var $$emscripten$temp$4$0=86400;
      var $$emscripten$temp$4$1=0;
      var $39$0 = (i64Math.add($38$0,$38$1,$$emscripten$temp$4$0,$$emscripten$temp$4$1),i64Math.result[0]); var $39$1 = i64Math.result[1]; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $40$0=$39$0;
      var $40=$40$0;
      $diff=$40; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      __label__ = 5; break; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 5: 
      var $42=$diff; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $43$0=$42;
      var $43$1=(($42|0) < 0 ? -1 : 0);
      var $$emscripten$temp$5$0=1000;
      var $$emscripten$temp$5$1=0;
      var $44$0 = (i64Math.multiply($43$0,$43$1,$$emscripten$temp$5$0,$$emscripten$temp$5$1),i64Math.result[0]); var $44$1 = i64Math.result[1]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$6$0=(($1)|0);
      HEAP32[(($st$6$0)>>2)]=$44$0;
      var $st$6$1=(($1+4)|0);
      HEAP32[(($st$6$1)>>2)]=$44$1;
      __label__ = 6; break; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 6: 
      var $st$0$0=(($1)|0);
      var $46$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($1+4)|0);
      var $46$1=HEAP32[(($st$0$1)>>2)];
      STACKTOP = __stackBase__;
      return [$46$0,$46$1]; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx["X"]=1;

function __ZN14DSTOffsetCache24getDSTOffsetMillisecondsExP9JSContext($this, $localTimeMilliseconds$0, $localTimeMilliseconds$1, $cx) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=__stackBase__;
      var $2;
      var $3=__stackBase__+8;
      var $4;
      var $localTimeSeconds=__stackBase__+16;
      var $newEndSeconds=__stackBase__+24;
      var $endOffsetMilliseconds=__stackBase__+32;
      var $newStartSeconds=__stackBase__+40;
      var $startOffsetMilliseconds=__stackBase__+48;
      $2=$this;
      var $st$10$0=(($3)|0);
      HEAP32[(($st$10$0)>>2)]=$localTimeMilliseconds$0;
      var $st$10$1=(($3+4)|0);
      HEAP32[(($st$10$1)>>2)]=$localTimeMilliseconds$1;
      $4=$cx;
      var $5=$2;
      __ZN14DSTOffsetCache11sanityCheckEv($5); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$17$0=(($3)|0);
      var $6$0=HEAP32[(($st$17$0)>>2)];
      var $st$17$1=(($3+4)|0);
      var $6$1=HEAP32[(($st$17$1)>>2)];
      var $$emscripten$temp$0$0=1000;
      var $$emscripten$temp$0$1=0;
      var $7$0 = (i64Math.divide($6$0,$6$1,$$emscripten$temp$0$0,$$emscripten$temp$0$1),i64Math.result[0]); var $7$1 = i64Math.result[1]; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$24$0=(($localTimeSeconds)|0);
      HEAP32[(($st$24$0)>>2)]=$7$0;
      var $st$24$1=(($localTimeSeconds+4)|0);
      HEAP32[(($st$24$1)>>2)]=$7$1;
      var $st$28$0=(($localTimeSeconds)|0);
      var $8$0=HEAP32[(($st$28$0)>>2)];
      var $st$28$1=(($localTimeSeconds+4)|0);
      var $8$1=HEAP32[(($st$28$1)>>2)];
      var $$emscripten$temp$1$0=2145859200;
      var $$emscripten$temp$1$1=0;
      var $9=($8$1|0) > ($$emscripten$temp$1$1|0) || (($8$1|0) == ($$emscripten$temp$1$1|0) && ($8$0>>>0) >  ($$emscripten$temp$1$0>>>0)); //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 2: 
      var $$emscripten$temp$2$0=2145859200;
      var $$emscripten$temp$2$1=0;
      var $st$2$0=(($localTimeSeconds)|0);
      HEAP32[(($st$2$0)>>2)]=$$emscripten$temp$2$0;
      var $st$2$1=(($localTimeSeconds+4)|0);
      HEAP32[(($st$2$1)>>2)]=$$emscripten$temp$2$1;
      __label__ = 6; break; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 3: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $12$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $12$1=HEAP32[(($st$0$1)>>2)];
      var $$emscripten$temp$3$0=0;
      var $$emscripten$temp$3$1=0;
      var $13=($12$1|0) < ($$emscripten$temp$3$1|0) || (($12$1|0) == ($$emscripten$temp$3$1|0) && ($12$0>>>0) <  ($$emscripten$temp$3$0>>>0)); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 4: 
      var $$emscripten$temp$4$0=86400;
      var $$emscripten$temp$4$1=0;
      var $st$2$0=(($localTimeSeconds)|0);
      HEAP32[(($st$2$0)>>2)]=$$emscripten$temp$4$0;
      var $st$2$1=(($localTimeSeconds+4)|0);
      HEAP32[(($st$2$1)>>2)]=$$emscripten$temp$4$1;
      __label__ = 5; break; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 5: 
      __label__ = 6; break;
    case 6: 
      var $17=(($5+8)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($17)|0);
      var $18$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($17+4)|0);
      var $18$1=HEAP32[(($st$1$1)>>2)];
      var $st$5$0=(($localTimeSeconds)|0);
      var $19$0=HEAP32[(($st$5$0)>>2)];
      var $st$5$1=(($localTimeSeconds+4)|0);
      var $19$1=HEAP32[(($st$5$1)>>2)];
      var $20=($18$1|0) <= ($19$1|0) && (($18$1|0) <  ($19$1|0) || ($18$0>>>0) <= ($19$0>>>0)); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($20) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 7: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $22$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $22$1=HEAP32[(($st$0$1)>>2)];
      var $23=(($5+16)|0); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($23)|0);
      var $24$0=HEAP32[(($st$5$0)>>2)];
      var $st$5$1=(($23+4)|0);
      var $24$1=HEAP32[(($st$5$1)>>2)];
      var $25=($22$1|0) <= ($24$1|0) && (($22$1|0) <  ($24$1|0) || ($22$0>>>0) <= ($24$0>>>0)); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 8: 
      var $27=(($5)|0); //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($27)|0);
      var $28$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($27+4)|0);
      var $28$1=HEAP32[(($st$1$1)>>2)];
      var $st$5$0=(($1)|0);
      HEAP32[(($st$5$0)>>2)]=$28$0;
      var $st$5$1=(($1+4)|0);
      HEAP32[(($st$5$1)>>2)]=$28$1;
      __label__ = 35; break; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 9: 
      var $30=(($5+32)|0); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($30)|0);
      var $31$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($30+4)|0);
      var $31$1=HEAP32[(($st$1$1)>>2)];
      var $st$5$0=(($localTimeSeconds)|0);
      var $32$0=HEAP32[(($st$5$0)>>2)];
      var $st$5$1=(($localTimeSeconds+4)|0);
      var $32$1=HEAP32[(($st$5$1)>>2)];
      var $33=($31$1|0) <= ($32$1|0) && (($31$1|0) <  ($32$1|0) || ($31$0>>>0) <= ($32$0>>>0)); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($33) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 10: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $35$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $35$1=HEAP32[(($st$0$1)>>2)];
      var $36=(($5+40)|0); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($36)|0);
      var $37$0=HEAP32[(($st$5$0)>>2)];
      var $st$5$1=(($36+4)|0);
      var $37$1=HEAP32[(($st$5$1)>>2)];
      var $38=($35$1|0) <= ($37$1|0) && (($35$1|0) <  ($37$1|0) || ($35$0>>>0) <= ($37$0>>>0)); //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($38) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 11: 
      var $40=(($5+24)|0); //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($40)|0);
      var $41$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($40+4)|0);
      var $41$1=HEAP32[(($st$1$1)>>2)];
      var $st$5$0=(($1)|0);
      HEAP32[(($st$5$0)>>2)]=$41$0;
      var $st$5$1=(($1+4)|0);
      HEAP32[(($st$5$1)>>2)]=$41$1;
      __label__ = 35; break; //@line 721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 12: 
      var $43=(($5)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($43)|0);
      var $44$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($43+4)|0);
      var $44$1=HEAP32[(($st$1$1)>>2)];
      var $45=(($5+24)|0); //@line 724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$6$0=(($45)|0);
      HEAP32[(($st$6$0)>>2)]=$44$0;
      var $st$6$1=(($45+4)|0);
      HEAP32[(($st$6$1)>>2)]=$44$1;
      var $46=(($5+8)|0); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$11$0=(($46)|0);
      var $47$0=HEAP32[(($st$11$0)>>2)];
      var $st$11$1=(($46+4)|0);
      var $47$1=HEAP32[(($st$11$1)>>2)];
      var $48=(($5+32)|0); //@line 725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$16$0=(($48)|0);
      HEAP32[(($st$16$0)>>2)]=$47$0;
      var $st$16$1=(($48+4)|0);
      HEAP32[(($st$16$1)>>2)]=$47$1;
      var $49=(($5+16)|0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$21$0=(($49)|0);
      var $50$0=HEAP32[(($st$21$0)>>2)];
      var $st$21$1=(($49+4)|0);
      var $50$1=HEAP32[(($st$21$1)>>2)];
      var $51=(($5+40)|0); //@line 726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$26$0=(($51)|0);
      HEAP32[(($st$26$0)>>2)]=$50$0;
      var $st$26$1=(($51+4)|0);
      HEAP32[(($st$26$1)>>2)]=$50$1;
      var $52=(($5+8)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$31$0=(($52)|0);
      var $53$0=HEAP32[(($st$31$0)>>2)];
      var $st$31$1=(($52+4)|0);
      var $53$1=HEAP32[(($st$31$1)>>2)];
      var $st$35$0=(($localTimeSeconds)|0);
      var $54$0=HEAP32[(($st$35$0)>>2)];
      var $st$35$1=(($localTimeSeconds+4)|0);
      var $54$1=HEAP32[(($st$35$1)>>2)];
      var $55=($53$1|0) <= ($54$1|0) && (($53$1|0) <  ($54$1|0) || ($53$0>>>0) <= ($54$0>>>0)); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 24; break; } //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 13: 
      var $57=(($5+16)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($57)|0);
      var $58$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($57+4)|0);
      var $58$1=HEAP32[(($st$1$1)>>2)];
      var $$emscripten$temp$5$0=2592000;
      var $$emscripten$temp$5$1=0;
      var $59$0 = (i64Math.add($58$0,$58$1,$$emscripten$temp$5$0,$$emscripten$temp$5$1),i64Math.result[0]); var $59$1 = i64Math.result[1]; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $$emscripten$temp$6$0=2145859200;
      var $$emscripten$temp$6$1=0;
      var $60=($59$1|0) < ($$emscripten$temp$6$1|0) || (($59$1|0) == ($$emscripten$temp$6$1|0) && ($59$0>>>0) <  ($$emscripten$temp$6$0>>>0)); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($60) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 14: 
      var $62=(($5+16)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($62)|0);
      var $63$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($62+4)|0);
      var $63$1=HEAP32[(($st$1$1)>>2)];
      var $$emscripten$temp$7$0=2592000;
      var $$emscripten$temp$7$1=0;
      var $64$0 = (i64Math.add($63$0,$63$1,$$emscripten$temp$7$0,$$emscripten$temp$7$1),i64Math.result[0]); var $64$1 = i64Math.result[1]; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $67$1 = $64$1;var $67$0 = $64$0;__label__ = 16; break; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 15: 
      var $67$1 = 0;var $67$0 = 2145859200;__label__ = 16; break; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 16: 
      var $67$0;
      var $67$1;
      var $st$2$0=(($newEndSeconds)|0);
      HEAP32[(($st$2$0)>>2)]=$67$0;
      var $st$2$1=(($newEndSeconds+4)|0);
      HEAP32[(($st$2$1)>>2)]=$67$1;
      var $st$6$0=(($newEndSeconds)|0);
      var $68$0=HEAP32[(($st$6$0)>>2)];
      var $st$6$1=(($newEndSeconds+4)|0);
      var $68$1=HEAP32[(($st$6$1)>>2)];
      var $st$10$0=(($localTimeSeconds)|0);
      var $69$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($localTimeSeconds+4)|0);
      var $69$1=HEAP32[(($st$10$1)>>2)];
      var $70=($68$1|0) >= ($69$1|0) && (($68$1|0) >  ($69$1|0) || ($68$0>>>0) >= ($69$0>>>0)); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($70) { __label__ = 17; break; } else { __label__ = 23; break; } //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 17: 
      var $st$0$0=(($newEndSeconds)|0);
      var $72$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($newEndSeconds+4)|0);
      var $72$1=HEAP32[(($st$0$1)>>2)];
      var $73=__ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx($5, $72$0, $72$1);
      var $73$0=$73[0];
      var $73$1=$73[1];
      var $st$7$0=(($endOffsetMilliseconds)|0);
      HEAP32[(($st$7$0)>>2)]=$73$0;
      var $st$7$1=(($endOffsetMilliseconds+4)|0);
      HEAP32[(($st$7$1)>>2)]=$73$1;
      var $st$11$0=(($endOffsetMilliseconds)|0);
      var $74$0=HEAP32[(($st$11$0)>>2)];
      var $st$11$1=(($endOffsetMilliseconds+4)|0);
      var $74$1=HEAP32[(($st$11$1)>>2)];
      var $75=(($5)|0); //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$16$0=(($75)|0);
      var $76$0=HEAP32[(($st$16$0)>>2)];
      var $st$16$1=(($75+4)|0);
      var $76$1=HEAP32[(($st$16$1)>>2)];
      var $77=$74$0 == $76$0 && $74$1 == $76$1; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($77) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 18: 
      var $st$0$0=(($newEndSeconds)|0);
      var $79$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($newEndSeconds+4)|0);
      var $79$1=HEAP32[(($st$0$1)>>2)];
      var $80=(($5+16)|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($80)|0);
      HEAP32[(($st$5$0)>>2)]=$79$0;
      var $st$5$1=(($80+4)|0);
      HEAP32[(($st$5$1)>>2)]=$79$1;
      var $81=(($5)|0); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$10$0=(($81)|0);
      var $82$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($81+4)|0);
      var $82$1=HEAP32[(($st$10$1)>>2)];
      var $st$14$0=(($1)|0);
      HEAP32[(($st$14$0)>>2)]=$82$0;
      var $st$14$1=(($1+4)|0);
      HEAP32[(($st$14$1)>>2)]=$82$1;
      __label__ = 35; break; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 19: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $84$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $84$1=HEAP32[(($st$0$1)>>2)];
      var $85=__ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx($5, $84$0, $84$1);
      var $85$0=$85[0];
      var $85$1=$85[1];
      var $86=(($5)|0); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$8$0=(($86)|0);
      HEAP32[(($st$8$0)>>2)]=$85$0;
      var $st$8$1=(($86+4)|0);
      HEAP32[(($st$8$1)>>2)]=$85$1;
      var $87=(($5)|0); //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$13$0=(($87)|0);
      var $88$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($87+4)|0);
      var $88$1=HEAP32[(($st$13$1)>>2)];
      var $st$17$0=(($endOffsetMilliseconds)|0);
      var $89$0=HEAP32[(($st$17$0)>>2)];
      var $st$17$1=(($endOffsetMilliseconds+4)|0);
      var $89$1=HEAP32[(($st$17$1)>>2)];
      var $90=$88$0 == $89$0 && $88$1 == $89$1; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($90) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 20: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $92$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $92$1=HEAP32[(($st$0$1)>>2)];
      var $93=(($5+8)|0); //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($93)|0);
      HEAP32[(($st$5$0)>>2)]=$92$0;
      var $st$5$1=(($93+4)|0);
      HEAP32[(($st$5$1)>>2)]=$92$1;
      var $st$9$0=(($newEndSeconds)|0);
      var $94$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($newEndSeconds+4)|0);
      var $94$1=HEAP32[(($st$9$1)>>2)];
      var $95=(($5+16)|0); //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$14$0=(($95)|0);
      HEAP32[(($st$14$0)>>2)]=$94$0;
      var $st$14$1=(($95+4)|0);
      HEAP32[(($st$14$1)>>2)]=$94$1;
      __label__ = 22; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 21: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $97$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $97$1=HEAP32[(($st$0$1)>>2)];
      var $98=(($5+16)|0); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($98)|0);
      HEAP32[(($st$5$0)>>2)]=$97$0;
      var $st$5$1=(($98+4)|0);
      HEAP32[(($st$5$1)>>2)]=$97$1;
      __label__ = 22; break;
    case 22: 
      var $100=(($5)|0); //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($100)|0);
      var $101$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($100+4)|0);
      var $101$1=HEAP32[(($st$1$1)>>2)];
      var $st$5$0=(($1)|0);
      HEAP32[(($st$5$0)>>2)]=$101$0;
      var $st$5$1=(($1+4)|0);
      HEAP32[(($st$5$1)>>2)]=$101$1;
      __label__ = 35; break; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 23: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $103$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $103$1=HEAP32[(($st$0$1)>>2)];
      var $104=__ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx($5, $103$0, $103$1);
      var $104$0=$104[0];
      var $104$1=$104[1];
      var $105=(($5)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$8$0=(($105)|0);
      HEAP32[(($st$8$0)>>2)]=$104$0;
      var $st$8$1=(($105+4)|0);
      HEAP32[(($st$8$1)>>2)]=$104$1;
      var $st$12$0=(($localTimeSeconds)|0);
      var $106$0=HEAP32[(($st$12$0)>>2)];
      var $st$12$1=(($localTimeSeconds+4)|0);
      var $106$1=HEAP32[(($st$12$1)>>2)];
      var $107=(($5+16)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$17$0=(($107)|0);
      HEAP32[(($st$17$0)>>2)]=$106$0;
      var $st$17$1=(($107+4)|0);
      HEAP32[(($st$17$1)>>2)]=$106$1;
      var $108=(($5+8)|0); //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$22$0=(($108)|0);
      HEAP32[(($st$22$0)>>2)]=$106$0;
      var $st$22$1=(($108+4)|0);
      HEAP32[(($st$22$1)>>2)]=$106$1;
      var $109=(($5)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$27$0=(($109)|0);
      var $110$0=HEAP32[(($st$27$0)>>2)];
      var $st$27$1=(($109+4)|0);
      var $110$1=HEAP32[(($st$27$1)>>2)];
      var $st$31$0=(($1)|0);
      HEAP32[(($st$31$0)>>2)]=$110$0;
      var $st$31$1=(($1+4)|0);
      HEAP32[(($st$31$1)>>2)]=$110$1;
      __label__ = 35; break; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 24: 
      var $112=(($5+8)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($112)|0);
      var $113$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($112+4)|0);
      var $113$1=HEAP32[(($st$1$1)>>2)];
      var $$emscripten$temp$8$0=2592000;
      var $$emscripten$temp$8$1=0;
      var $114$0 = (i64Math.subtract($113$0,$113$1,$$emscripten$temp$8$0,$$emscripten$temp$8$1),i64Math.result[0]); var $114$1 = i64Math.result[1]; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $$emscripten$temp$9$0=0;
      var $$emscripten$temp$9$1=0;
      var $115=($114$1|0) > ($$emscripten$temp$9$1|0) || (($114$1|0) == ($$emscripten$temp$9$1|0) && ($114$0>>>0) >  ($$emscripten$temp$9$0>>>0)); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($115) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 25: 
      var $117=(($5+8)|0); //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($117)|0);
      var $118$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($117+4)|0);
      var $118$1=HEAP32[(($st$1$1)>>2)];
      var $$emscripten$temp$10$0=2592000;
      var $$emscripten$temp$10$1=0;
      var $119$0 = (i64Math.subtract($118$0,$118$1,$$emscripten$temp$10$0,$$emscripten$temp$10$1),i64Math.result[0]); var $119$1 = i64Math.result[1]; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $122$1 = $119$1;var $122$0 = $119$0;__label__ = 27; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 26: 
      var $122$1 = 0;var $122$0 = 0;__label__ = 27; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 27: 
      var $122$0;
      var $122$1;
      var $st$2$0=(($newStartSeconds)|0);
      HEAP32[(($st$2$0)>>2)]=$122$0;
      var $st$2$1=(($newStartSeconds+4)|0);
      HEAP32[(($st$2$1)>>2)]=$122$1;
      var $st$6$0=(($newStartSeconds)|0);
      var $123$0=HEAP32[(($st$6$0)>>2)];
      var $st$6$1=(($newStartSeconds+4)|0);
      var $123$1=HEAP32[(($st$6$1)>>2)];
      var $st$10$0=(($localTimeSeconds)|0);
      var $124$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($localTimeSeconds+4)|0);
      var $124$1=HEAP32[(($st$10$1)>>2)];
      var $125=($123$1|0) <= ($124$1|0) && (($123$1|0) <  ($124$1|0) || ($123$0>>>0) <= ($124$0>>>0)); //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($125) { __label__ = 28; break; } else { __label__ = 34; break; } //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 28: 
      var $st$0$0=(($newStartSeconds)|0);
      var $127$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($newStartSeconds+4)|0);
      var $127$1=HEAP32[(($st$0$1)>>2)];
      var $128=__ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx($5, $127$0, $127$1);
      var $128$0=$128[0];
      var $128$1=$128[1];
      var $st$7$0=(($startOffsetMilliseconds)|0);
      HEAP32[(($st$7$0)>>2)]=$128$0;
      var $st$7$1=(($startOffsetMilliseconds+4)|0);
      HEAP32[(($st$7$1)>>2)]=$128$1;
      var $st$11$0=(($startOffsetMilliseconds)|0);
      var $129$0=HEAP32[(($st$11$0)>>2)];
      var $st$11$1=(($startOffsetMilliseconds+4)|0);
      var $129$1=HEAP32[(($st$11$1)>>2)];
      var $130=(($5)|0); //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$16$0=(($130)|0);
      var $131$0=HEAP32[(($st$16$0)>>2)];
      var $st$16$1=(($130+4)|0);
      var $131$1=HEAP32[(($st$16$1)>>2)];
      var $132=$129$0 == $131$0 && $129$1 == $131$1; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($132) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 29: 
      var $st$0$0=(($newStartSeconds)|0);
      var $134$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($newStartSeconds+4)|0);
      var $134$1=HEAP32[(($st$0$1)>>2)];
      var $135=(($5+8)|0); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($135)|0);
      HEAP32[(($st$5$0)>>2)]=$134$0;
      var $st$5$1=(($135+4)|0);
      HEAP32[(($st$5$1)>>2)]=$134$1;
      var $136=(($5)|0); //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$10$0=(($136)|0);
      var $137$0=HEAP32[(($st$10$0)>>2)];
      var $st$10$1=(($136+4)|0);
      var $137$1=HEAP32[(($st$10$1)>>2)];
      var $st$14$0=(($1)|0);
      HEAP32[(($st$14$0)>>2)]=$137$0;
      var $st$14$1=(($1+4)|0);
      HEAP32[(($st$14$1)>>2)]=$137$1;
      __label__ = 35; break; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 30: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $139$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $139$1=HEAP32[(($st$0$1)>>2)];
      var $140=__ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx($5, $139$0, $139$1);
      var $140$0=$140[0];
      var $140$1=$140[1];
      var $141=(($5)|0); //@line 760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$8$0=(($141)|0);
      HEAP32[(($st$8$0)>>2)]=$140$0;
      var $st$8$1=(($141+4)|0);
      HEAP32[(($st$8$1)>>2)]=$140$1;
      var $142=(($5)|0); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$13$0=(($142)|0);
      var $143$0=HEAP32[(($st$13$0)>>2)];
      var $st$13$1=(($142+4)|0);
      var $143$1=HEAP32[(($st$13$1)>>2)];
      var $st$17$0=(($startOffsetMilliseconds)|0);
      var $144$0=HEAP32[(($st$17$0)>>2)];
      var $st$17$1=(($startOffsetMilliseconds+4)|0);
      var $144$1=HEAP32[(($st$17$1)>>2)];
      var $145=$143$0 == $144$0 && $143$1 == $144$1; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      if ($145) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 31: 
      var $st$0$0=(($newStartSeconds)|0);
      var $147$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($newStartSeconds+4)|0);
      var $147$1=HEAP32[(($st$0$1)>>2)];
      var $148=(($5+8)|0); //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($148)|0);
      HEAP32[(($st$5$0)>>2)]=$147$0;
      var $st$5$1=(($148+4)|0);
      HEAP32[(($st$5$1)>>2)]=$147$1;
      var $st$9$0=(($localTimeSeconds)|0);
      var $149$0=HEAP32[(($st$9$0)>>2)];
      var $st$9$1=(($localTimeSeconds+4)|0);
      var $149$1=HEAP32[(($st$9$1)>>2)];
      var $150=(($5+16)|0); //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$14$0=(($150)|0);
      HEAP32[(($st$14$0)>>2)]=$149$0;
      var $st$14$1=(($150+4)|0);
      HEAP32[(($st$14$1)>>2)]=$149$1;
      __label__ = 33; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 32: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $152$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $152$1=HEAP32[(($st$0$1)>>2)];
      var $153=(($5+8)|0); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($153)|0);
      HEAP32[(($st$5$0)>>2)]=$152$0;
      var $st$5$1=(($153+4)|0);
      HEAP32[(($st$5$1)>>2)]=$152$1;
      __label__ = 33; break;
    case 33: 
      var $155=(($5)|0); //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$1$0=(($155)|0);
      var $156$0=HEAP32[(($st$1$0)>>2)];
      var $st$1$1=(($155+4)|0);
      var $156$1=HEAP32[(($st$1$1)>>2)];
      var $st$5$0=(($1)|0);
      HEAP32[(($st$5$0)>>2)]=$156$0;
      var $st$5$1=(($1+4)|0);
      HEAP32[(($st$5$1)>>2)]=$156$1;
      __label__ = 35; break; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 34: 
      var $st$0$0=(($localTimeSeconds)|0);
      var $158$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($localTimeSeconds+4)|0);
      var $158$1=HEAP32[(($st$0$1)>>2)];
      var $159=(($5+16)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$5$0=(($159)|0);
      HEAP32[(($st$5$0)>>2)]=$158$0;
      var $st$5$1=(($159+4)|0);
      HEAP32[(($st$5$1)>>2)]=$158$1;
      var $160=(($5+8)|0); //@line 770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$10$0=(($160)|0);
      HEAP32[(($st$10$0)>>2)]=$158$0;
      var $st$10$1=(($160+4)|0);
      HEAP32[(($st$10$1)>>2)]=$158$1;
      var $st$14$0=(($localTimeSeconds)|0);
      var $161$0=HEAP32[(($st$14$0)>>2)];
      var $st$14$1=(($localTimeSeconds+4)|0);
      var $161$1=HEAP32[(($st$14$1)>>2)];
      var $162=__ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx($5, $161$0, $161$1);
      var $162$0=$162[0];
      var $162$1=$162[1];
      var $163=(($5)|0); //@line 771 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$22$0=(($163)|0);
      HEAP32[(($st$22$0)>>2)]=$162$0;
      var $st$22$1=(($163+4)|0);
      HEAP32[(($st$22$1)>>2)]=$162$1;
      var $164=(($5)|0); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
      var $st$27$0=(($164)|0);
      var $165$0=HEAP32[(($st$27$0)>>2)];
      var $st$27$1=(($164+4)|0);
      var $165$1=HEAP32[(($st$27$1)>>2)];
      var $st$31$0=(($1)|0);
      HEAP32[(($st$31$0)>>2)]=$165$0;
      var $st$31$1=(($1+4)|0);
      HEAP32[(($st$31$1)>>2)]=$165$1;
      __label__ = 35; break; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    case 35: 
      var $st$0$0=(($1)|0);
      var $167$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($1+4)|0);
      var $167$1=HEAP32[(($st$0$1)>>2)];
      STACKTOP = __stackBase__;
      return [$167$0,$167$1]; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/prmjtime.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN14DSTOffsetCache24getDSTOffsetMillisecondsExP9JSContext["X"]=1;

function __ZN2v88internal13StringBuilder9AddStringEPKc($this, $s) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$s;
  var $3=$1;
  var $4=$2; //@line 40 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $5=$2; //@line 40 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $6=__ZN2v88internal9StrLengthEPKc($5); //@line 40 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  __ZN2v88internal13StringBuilder12AddSubstringEPKci($3, $4, $6); //@line 40 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  ;
  return; //@line 41 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
}


function __ZN2v88internal13StringBuilder12AddSubstringEPKci($this, $s, $n) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$s;
  $3=$n;
  var $4=$1;
  var $5=(($4)|0); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $6=(($4+8)|0); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $7=HEAP32[(($6)>>2)]; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $8=__ZNK2v88internal6VectorIcEixEi($5, $7); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $9=$2; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $10=$3; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $11=(($10)|0); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  assert($11 % 1 === 0, 'memcpy given ' + $11 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($8, $9, $11, 1); //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $12=$3; //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $13=(($4+8)|0); //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $14=HEAP32[(($13)>>2)]; //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $15=(($14+$12)|0); //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  HEAP32[(($13)>>2)]=$15; //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  ;
  return; //@line 49 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
}


function __ZN2v88internal9StrLengthEPKc($string) {
  ;
  var __label__;

  var $1;
  var $length;
  $1=$string;
  var $2=$1; //@line 41 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $3=_strlen($2); //@line 41 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  $length=$3; //@line 41 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  var $4=$length; //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
  ;
  return $4; //@line 43 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.h"
}


function __ZN2v88internal13StringBuilder10AddIntegerEi($this, $n) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $ndigits;
      var $n2;
      var $i;
      $1=$this;
      $2=$n;
      var $3=$1;
      $ndigits=0; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $4=$2; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      $n2=$4; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      __label__ = 2; break; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 2: 
      var $6=$ndigits; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $7=(($6+1)|0); //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      $ndigits=$7; //@line 59 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $8=$n2; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $9=(((($8)|0)/10)&-1); //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      $n2=$9; //@line 60 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      __label__ = 3; break; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 3: 
      var $11=$n2; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $12=(($11)|0)!=0; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      if ($12) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 4: 
      var $14=$ndigits; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $15=(($3+8)|0); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $16=HEAP32[(($15)>>2)]; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $17=(($16+$14)|0); //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      HEAP32[(($15)>>2)]=$17; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $18=(($3+8)|0); //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $19=HEAP32[(($18)>>2)]; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      $i=$19; //@line 65 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      __label__ = 5; break; //@line 66 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 5: 
      var $21=$2; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $22=(($21)|0)%10; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $23=(($22+48)|0); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $24=(($23) & 255); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $25=(($3)|0); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $26=$i; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $27=(($26-1)|0); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      $i=$27; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $28=__ZNK2v88internal6VectorIcEixEi($25, $27); //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      HEAP8[($28)]=$24; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $29=$2; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $30=(((($29)|0)/10)&-1); //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      $2=$30; //@line 68 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      __label__ = 6; break; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 6: 
      var $32=$2; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $33=(($32)|0)!=0; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      if ($33) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 7: 
      ;
      return; //@line 70 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2v88internal13StringBuilder10AddPaddingEci($this, $c, $count) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      $1=$this;
      $2=$c;
      $3=$count;
      var $4=$1;
      $i=0; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      __label__ = 2; break; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 2: 
      var $6=$i; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $7=$3; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $8=(($6)|0) < (($7)|0); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 3: 
      var $10=$2; //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      __ZN2v88internal13StringBuilder12AddCharacterEc($4, $10); //@line 75 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      __label__ = 4; break; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 4: 
      var $12=$i; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      var $13=(($12+1)|0); //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      $i=$13; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
      __label__ = 2; break; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    case 5: 
      ;
      return; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2v88internal13StringBuilder8FinalizeEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $4=(($2+8)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $5=HEAP32[(($4)>>2)]; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $6=__ZNK2v88internal6VectorIcEixEi($3, $5); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  HEAP8[($6)]=0; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $7=(($2+8)|0); //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  HEAP32[(($7)>>2)]=-1; //@line 86 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $8=(($2)|0); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  var $9=__ZNK2v88internal6VectorIcE5startEv($8); //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
  ;
  return $9; //@line 88 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/utils.cc"
}


function __ZL18my_GetErrorMessagePvPKcj($userRef, $locale, $errorNumber) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $2=$userRef;
      $3=$locale;
      $4=$errorNumber;
      var $5=$4; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($5)>>>0) > 0; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $8=$4; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)>>>0) < 15; //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $11=$4; //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=((_jsShell_ErrorFormatString+($11<<3))|0); //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$12; //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 4838 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 4839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 4839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $15=$1; //@line 4840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $15; //@line 4840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2v88internal13DoubleToAsciiEdNS0_8DtoaModeEiNS0_6VectorIcEEPiS4_S4_($v, $mode, $requested_digits, $buffer, $sign, $length, $point) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $buffer; $buffer = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($buffer)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($buffer+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $8=__stackBase__;
      var $9=__stackBase__+8;
      $2=$v;
      $3=$mode;
      $4=$requested_digits;
      $5=$sign;
      $6=$length;
      $7=$point;
      var $10=$2; //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      __ZN2v88internal6DoubleC1Ed($8, $10); //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $11=__ZNK2v88internal6Double4SignEv($8); //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $12=(($11)|0) < 0; //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 46 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 2: 
      var $14=$5; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      HEAP32[(($14)>>2)]=1; //@line 47 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $15=$2; //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $16=(-$15); //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      $2=$16; //@line 48 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      __label__ = 4; break; //@line 49 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 3: 
      var $18=$5; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      HEAP32[(($18)>>2)]=0; //@line 50 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      __label__ = 4; break;
    case 4: 
      var $20=$2; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $21=$20 == 0; //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 53 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 5: 
      var $23=__ZNK2v88internal6VectorIcEixEi($buffer, 0); //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      HEAP8[($23)]=48; //@line 54 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $24=__ZNK2v88internal6VectorIcEixEi($buffer, 1); //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      HEAP8[($24)]=0; //@line 55 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $25=$6; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      HEAP32[(($25)>>2)]=1; //@line 56 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $26=$7; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      HEAP32[(($26)>>2)]=1; //@line 57 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      $1=1; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      __label__ = 14; break; //@line 58 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 6: 
      var $28=$3; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $29=(($28)|0)==2; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      if ($29) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 7: 
      var $31=$4; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $32=(($31)|0)==0; //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 61 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 8: 
      var $34=__ZNK2v88internal6VectorIcEixEi($buffer, 0); //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      HEAP8[($34)]=0; //@line 62 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $35=$6; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      HEAP32[(($35)>>2)]=0; //@line 63 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      $1=1; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      __label__ = 14; break; //@line 64 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 9: 
      var $37=$3; //@line 67 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      if ((($37)|0) == 0) {
        __label__ = 10; break;
      }
      else if ((($37)|0) == 1) {
        __label__ = 11; break;
      }
      else {
      __label__ = 12; break;
      }
      
    case 10: 
      var $39=$2; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $40=$9; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $41=$buffer; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $42=$6; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $43=$7; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      var $44=__ZN2v88internal8FastDtoaEdNS0_6VectorIcEEPiS3_($39, $9, $42, $43); //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      $1=$44; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      __label__ = 14; break; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 11: 
      __label__ = 12; break; //@line 69 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 12: 
      __label__ = 13; break; //@line 74 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 13: 
      $1=0; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      __label__ = 14; break; //@line 76 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    case 14: 
      var $49=$1; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
      STACKTOP = __stackBase__;
      return $49; //@line 77 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/v8-dtoa.cc"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2v88internal13DoubleToAsciiEdNS0_8DtoaModeEiNS0_6VectorIcEEPiS4_S4_["X"]=1;

function __ZNK2v88internal6Double4SignEv($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $d64=__stackBase__;
  $1=$this;
  var $2=$1;
  var $3=__ZNK2v88internal6Double8AsUint64Ev($2);
  var $3$0=$3[0];
  var $3$1=$3[1];
  var $st$7$0=(($d64)|0);
  HEAP32[(($st$7$0)>>2)]=$3$0;
  var $st$7$1=(($d64+4)|0);
  HEAP32[(($st$7$1)>>2)]=$3$1;
  var $st$11$0=(($d64)|0);
  var $4$0=HEAP32[(($st$11$0)>>2)];
  var $st$11$1=(($d64+4)|0);
  var $4$1=HEAP32[(($st$11$1)>>2)];
  var $$emscripten$temp$0$0=0;
  var $$emscripten$temp$0$1=-2147483648;
  var $5$0=$4$0 & $$emscripten$temp$0$0;
  var $5$1=$4$1 & $$emscripten$temp$0$1;
  var $$emscripten$temp$1$0=0;
  var $$emscripten$temp$1$1=0;
  var $6=$5$0 == $$emscripten$temp$1$0 && $5$1 == $$emscripten$temp$1$1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  var $7=$6 ? 1 : -1; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
  STACKTOP = __stackBase__;
  return $7; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
}


function __ZN2v88internalL16double_to_uint64Ed4521($d) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1=__stackBase__;
  (tempDoubleF64[0]=$d,HEAP32[(($1)>>2)]=tempDoubleI32[0],HEAP32[(($1+4)>>2)]=tempDoubleI32[1]);
  var $2=__ZN2v88internal7BitCastIydEET_RKT0_($1);
  var $2$0=$2[0];
  var $2$1=$2[1];
  STACKTOP = __stackBase__;
  return [$2$0,$2$1]; //@line 37 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/v8-dtoa/double.h"
}


function __Z9DumpStackP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $arr;
      var $evalStr;
      var $globalStr;
      var $iter=__stackBase__;
      var $index;
      var $v=__stackBase__+40;
      var $5=__stackBase__+48;
      var $6=__stackBase__+56;
      var $7=__stackBase__+64;
      var $8=__stackBase__+72;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$2; //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=_JS_NewArrayObject($9, 0, 0); //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $arr=$10; //@line 2506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$arr; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)!=0; //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 2508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=$2; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_JS_NewStringCopyZ($15, ((STRING_TABLE.__str293)|0)); //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $evalStr=$16; //@line 2510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$evalStr; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 2512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $21=$2; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=_JS_NewStringCopyZ($21, ((STRING_TABLE.__str1294)|0)); //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $globalStr=$22; //@line 2514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$globalStr; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23)|0)!=0; //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($24) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 2516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $27=$2; //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      FUNCTION_TABLE[__ZN2js9StackIterC1EP9JSContextNS0_11SavedOptionE]($iter, $27, 0); //@line 2518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=__ZN2js9StackIterppEv($iter); //@line 2520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $index=0; //@line 2522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $30=__ZNK2js9StackIter4doneEv($iter); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$30 ^ 1; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($31) { __label__ = 9; break; } else { __label__ = 24; break; } //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $33=__ZNK2js9StackIter8isScriptEv($iter); //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($33) { __label__ = 10; break; } else { __label__ = 19; break; } //@line 2525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $35=__ZNK2js9StackIter2fpEv($iter); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=__ZNK2js10StackFrame22isNonEvalFunctionFrameEv($35); //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 2526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $38=__ZNK2js9StackIter2fpEv($iter); //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$2; //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=__ZN2js10StackFrame20getValidCalleeObjectEP9JSContextPN2JS5ValueE($38, $39, $v); //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($40) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      $1=0; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 2528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      __label__ = 18; break; //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $44=__ZNK2js9StackIter2fpEv($iter); //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=__ZNK2js10StackFrame11isEvalFrameEv($44); //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($45) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $47=$evalStr; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2JSL11StringValueEP8JSString587($5, $47); //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$v; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$5; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 2530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 2531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $51=$globalStr; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2JSL11StringValueEP8JSString587($6, $51); //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$v; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=$6; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 2532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break;
    case 17: 
      __label__ = 18; break;
    case 18: 
      __label__ = 20; break; //@line 2534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      __ZNK2js9StackIter10nativeArgsEv($7, $iter); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$7; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=__ZNK2js12CallReceiver7calleevEv($57); //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$v; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=$58; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 2535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break;
    case 20: 
      var $62=$2; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$arr; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=$index; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=_JS_SetElement($62, $63, $64, $v); //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=(($65)|0)!=0; //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($66) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 2537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      $1=0; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 2538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      __label__ = 23; break; //@line 2539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $70=$index; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=(($70+1)|0); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $index=$71; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=__ZN2js9StackIterppEv($iter); //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 2523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $74=$4; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=$arr; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2JSL11ObjectValueER8JSObject588($8, $75); //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=$74; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=$8; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($76)>>2)]=HEAP32[(($77)>>2)];HEAP32[(($76+4)>>2)]=HEAP32[(($77+4)>>2)]; //@line 2541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 2542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $79=$1; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $79; //@line 2543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9DumpStackP9JSContextjPN2JS5ValueE["X"]=1;

function __ZN2JSL11StringValueEP8JSString587($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$1; //@line 718 "../jsapi.h"
  __ZN2JS5Value9setStringEP8JSString($agg_result, $2); //@line 718 "../jsapi.h"
  ;
  return; //@line 719 "../jsapi.h"
}


function __ZN2JSL11ObjectValueER8JSObject588($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$1; //@line 734 "../jsapi.h"
  __ZN2JS5Value9setObjectER8JSObject($agg_result, $2); //@line 734 "../jsapi.h"
  ;
  return; //@line 735 "../jsapi.h"
}


function __ZL17sandbox_enumerateP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v=__stackBase__;
      var $b=__stackBase__+8;
      var $4=__stackBase__+12;
      $2=$cx;
      $3=$obj;
      var $5=$2; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$3; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=_JS_GetProperty($5, $6, ((STRING_TABLE.__str245538)|0), $v); //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)|0)!=0; //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 2916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $11=$2; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$4; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$v; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_JS_ValueToBoolean($11, $4, $b); //@line 2918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=HEAP32[(($b)>>2)]; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0)!=0; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($16) { __label__ = 4; break; } else { var $23 = 1;__label__ = 5; break; } //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $18=$2; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$3; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=_JS_EnumerateStandardClasses($18, $19); //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=0; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23 = $21;__label__ = 5; break; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $23;
      var $24=(($23)&1); //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$24; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 2919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $26=$1; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 2920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15sandbox_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v=__stackBase__;
      var $b=__stackBase__+8;
      var $resolved=__stackBase__+12;
      var $7=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $8=$2; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$3; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=_JS_GetProperty($8, $9, ((STRING_TABLE.__str245538)|0), $v); //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2929 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2930 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$2; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$7; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$v; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JS_ValueToBoolean($14, $7, $b); //@line 2932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=HEAP32[(($b)>>2)]; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 10; break; } //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $21=$5; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$21 & 2; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)==0; //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 10; break; } //@line 2933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $25=$2; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$3; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$4; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_JS_ResolveStandardClass($25, $26, $27, $resolved); //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=0; //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $32=HEAP32[(($resolved)>>2)]; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=(($32)|0)!=0; //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $35=$3; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$6; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($36)>>2)]=$35; //@line 2937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      __label__ = 10; break; //@line 2940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $39=$6; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($39)>>2)]=0; //@line 2941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $41=$1; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 2943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15sandbox_resolveP9JSContextP8JSObjectijPS2_["X"]=1;

function __ZL18resolver_enumerateP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $v=__stackBase__;
      var $referent;
      var $4=__stackBase__+8;
      var $ida=__stackBase__+16;
      var $ok;
      var $ignore=__stackBase__+32;
      var $i;
      var $5;
      $2=$cx;
      $3=$obj;
      var $6=$2; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$3; //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=_JS_GetReservedSlot($6, $7, 0, $v); //@line 3201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$4; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$v; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JSVAL_TO_OBJECT590($4); //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $referent=$11; //@line 3202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$2; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$2; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$referent; //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=_JS_Enumerate($13, $14); //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js11AutoIdArrayC1EP9JSContextP9JSIdArray($ida, $12, $15); //@line 3204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=__ZN2js11AutoIdArrayntEv($ida); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$16 ^ 1; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)&1); //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$18; //@line 3205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $20=$ok; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20) & 1); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 3; break; } else { var $27 = 0;__label__ = 4; break; } //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $23=$i; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=__ZNK2js11AutoIdArray6lengthEv($ida); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=(($23)>>>0) < (($24)>>>0); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27 = $25;__label__ = 4; break;
    case 4: 
      var $27;
      if ($27) { __label__ = 5; break; } else { __label__ = 7; break; }
    case 5: 
      var $29=$2; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$3; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$referent; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$i; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=__ZNK2js11AutoIdArrayixEj($ida, $32); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=__ZL12CopyPropertyP9JSContextP8JSObjectS2_ijPS2_($29, $30, $31, $33, 1, $ignore); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)!=0; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35)&1); //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$36; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 3208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $38=$i; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=(($38+1)|0); //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$39; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 3207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $41=$ok; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41) & 1); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=(($42)&1); //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$43; //@line 3209 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __ZN2js11AutoIdArrayD1Ev($ida); //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$1; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $44; //@line 3210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL18resolver_enumerateP9JSContextP8JSObject["X"]=1;

function __ZL16resolver_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $v=__stackBase__;
  var $6=__stackBase__+8;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$flags;
  $5=$objp;
  var $7=$1; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $8=$2; //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $9=_JS_GetReservedSlot($7, $8, 0, $v); //@line 3193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $10=$1; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $11=$2; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $12=$6; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $13=$v; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $14=_JSVAL_TO_OBJECT590($6); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $15=$3; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $16=$4; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $17=$5; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $18=__ZL12CopyPropertyP9JSContextP8JSObjectS2_ijPS2_($10, $11, $14, $15, $16, $17); //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return $18; //@line 3194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __Z4WrapP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $5=__stackBase__+8;
      var $obj;
      var $6=__stackBase__+16;
      var $wrapped;
      var $7=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$3; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)>>>0) > 0; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $11=$4; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+16)|0); //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0); //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16 = $13;__label__ = 4; break; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $16 = _JSVAL_VOID;__label__ = 4; break; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $16; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$v; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$16; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 4002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$v; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JSVAL_IS_PRIMITIVE589($5); //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $24=$4; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$24; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$v; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 4004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 4005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $28=$6; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$v; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=_JSVAL_TO_OBJECT590($6); //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$30; //@line 4008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$2; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$obj; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$obj; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=__ZNK8JSObject8getProtoEv($33); //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$obj; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=__ZNK8JSObject9getGlobalEv($35); //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$36; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=__ZN9JSWrapper3NewEP9JSContextP8JSObjectS3_S3_PS_($31, $32, $34, $37, __ZN9JSWrapper9singletonE); //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $wrapped=$38; //@line 4009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$wrapped; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39)|0)!=0; //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($40) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 4011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 4012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $43=$4; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$wrapped; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($7, $44); //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$43; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$7; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 4014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 4015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $48=$1; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 4016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z4WrapP9JSContextjPN2JS5ValueE["X"]=1;

function _JSVAL_IS_PRIMITIVE589($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1421 "../jsapi.h"
  var $7=$v; //@line 1421 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1421 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1421 "../jsapi.h"
  var $8=_JSVAL_IS_PRIMITIVE_IMPL650($2); //@line 1421 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1421 "../jsapi.h"
}


function _JSVAL_TO_OBJECT590($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1388 "../jsapi.h"
  var $7=$v; //@line 1388 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1388 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1388 "../jsapi.h"
  var $8=_JSVAL_TO_OBJECT_IMPL642($2); //@line 1388 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1388 "../jsapi.h"
}


function _OBJECT_TO_JSVAL591($agg_result, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2=__stackBase__;
      $1=$obj;
      var $3=$1; //@line 1394 "../jsapi.h"
      var $4=(($3)|0)!=0; //@line 1394 "../jsapi.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1394 "../jsapi.h"
    case 2: 
      var $6=$1; //@line 1395 "../jsapi.h"
      _OBJECT_TO_JSVAL_IMPL649($2, $6); //@line 1395 "../jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout600($agg_result, $2); //@line 1395 "../jsapi.h"
      __label__ = 4; break; //@line 1395 "../jsapi.h"
    case 3: 
      var $8=$agg_result; //@line 1396 "../jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1396 "../jsapi.h"
      __label__ = 4; break; //@line 1396 "../jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 1397 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __Z9SerializeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $datap=__stackBase__+8;
      var $nbytes=__stackBase__+12;
      var $5=__stackBase__+16;
      var $arrayobj;
      var $array;
      var $6=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$3; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)>>>0) > 0; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $10=$4; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10+16)|0); //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0); //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15 = $12;__label__ = 4; break; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15 = _JSVAL_VOID;__label__ = 4; break; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $15; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$v; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$15; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 4021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$2; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$v; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JS_WriteStructuredClone($18, $5, $datap, $nbytes, 0, 0); //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 4025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $25=$2; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=HEAP32[(($nbytes)>>2)]; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=__Z19js_CreateTypedArrayP9JSContextij($25, 1, $26); //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $arrayobj=$27; //@line 4027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$arrayobj; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=0; //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 4028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $31=$2; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=HEAP32[(($datap)>>2)]; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$32; //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($31, $33); //@line 4029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 4030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $35=$arrayobj; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=__ZN2js10TypedArray13getTypedArrayEP8JSObject($35); //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $array=$36; //@line 4032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$array; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=__ZN2js10TypedArray13getDataOffsetEP8JSObject($37); //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=HEAP32[(($datap)>>2)]; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$39; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=HEAP32[(($nbytes)>>2)]; //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert($41 % 1 === 0, 'memcpy given ' + $41 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($38, $40, $41, 1); //@line 4034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$2; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=HEAP32[(($datap)>>2)]; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$43; //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($42, $44); //@line 4035 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$4; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$arrayobj; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($6, $46); //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$45; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$6; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 4036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 4037 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $50=$1; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 4038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9SerializeP9JSContextjPN2JS5ValueE["X"]=1;

function __Z11DeserializeP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $obj;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $array;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$3; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)>>>0) > 0; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $10=$4; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10+16)|0); //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0); //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15 = $12;__label__ = 4; break; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15 = _JSVAL_VOID;__label__ = 4; break; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $15; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$v; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$15; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 4043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$5; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$v; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=_JSVAL_IS_PRIMITIVE589($5); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=0; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $23=$6; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$v; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=_JSVAL_TO_OBJECT590($6); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$25; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=__Z15js_IsTypedArrayP8JSObject($25); //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=(($26)|0)!=0; //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $29=$2; //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($29, 364, 0, 12, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str4297)|0),tempInt)); //@line 4046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $31=$obj; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=__ZN2js10TypedArray13getTypedArrayEP8JSObject($31); //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $array=$32; //@line 4049 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$array; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=__ZN2js10TypedArray13getByteLengthEP8JSObject($33); //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$34 & 7; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35)|0)!=0; //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 4050 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $38=$2; //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($38, 364, 0, 12, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str4297)|0),tempInt)); //@line 4051 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $40=$array; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=__ZN2js10TypedArray13getDataOffsetEP8JSObject($40); //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$41; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$42 & 7; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($43)|0)!=0; //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($44) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $46=$2; //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($46, 364, 0, 14, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $48=$2; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$array; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=__ZN2js10TypedArray13getDataOffsetEP8JSObject($49); //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$50; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$array; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=__ZN2js10TypedArray13getByteLengthEP8JSObject($52); //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=_JS_ReadStructuredClone($48, $51, $53, 1, $v, 0, 0); //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=(($54)|0)!=0; //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 4059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      $1=0; //@line 4061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $58=$4; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$58; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=$v; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[(($60)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[(($60+4)>>2)]; //@line 4063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $62=$1; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 4065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z11DeserializeP9JSContextjPN2JS5ValueE["X"]=1;

function __Z13MJitCodeStatsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=$4; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 4081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return 1; //@line 4083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __Z13MJitDataStatsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=$4; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 4118 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return 1; //@line 4120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __Z11StringStatsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $5=$3; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _INT_TO_JSVAL592($4, 0); //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=$5; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=$4; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 4128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return 1; //@line 4129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function _INT_TO_JSVAL592($agg_result, $i) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$i;
  var $3=$1; //@line 1311 "../jsapi.h"
  _INT32_TO_JSVAL_IMPL613($2, $3); //@line 1311 "../jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout600($agg_result, $2); //@line 1311 "../jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1311 "../jsapi.h"
}


function __Z9NewGlobalP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $str;
      var $6=__stackBase__+8;
      var $equalSame=__stackBase__+16;
      var $equalNew=__stackBase__+20;
      var $global;
      var $7=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$3; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)!=1; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $11=$4; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+16)|0); //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0); //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$5; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$13; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_JSVAL_IS_STRING593($5); //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0)!=0; //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $19=$2; //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($19, 364, 0, 12, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str5298)|0),tempInt)); //@line 4141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 4142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $21=$4; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21+16)|0); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$6; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$23; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JSVAL_TO_STRING594($6); //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$26; //@line 4145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($equalSame)>>2)]=0; //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($equalNew)>>2)]=0; //@line 4147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$2; //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$str; //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JS_StringEqualsAscii($27, $28, ((STRING_TABLE.__str6299)|0), $equalSame); //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29)|0)!=0; //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 4148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $32=$2; //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$str; //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_JS_StringEqualsAscii($32, $33, ((STRING_TABLE.__str7300)|0), $equalNew); //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)!=0; //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 4150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $38=HEAP32[(($equalSame)>>2)]; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=(($38)|0)!=0; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($39) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $41=HEAP32[(($equalNew)>>2)]; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41)|0)!=0; //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($42) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 4153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $44=$2; //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($44, 364, 0, 12, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str5298)|0),tempInt)); //@line 4154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 4155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $46=$2; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=HEAP32[(($equalSame)>>2)]; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($47)|0)!=0; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$48 ? 0 : 1; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=__ZL15NewGlobalObjectP9JSContext15CompartmentKind($46, $49); //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $global=$50; //@line 4158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$global; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=(($51)|0)!=0; //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($52) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      $1=0; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 4160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $55=$4; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=$global; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($7, $56); //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$55; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$7; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 4162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 4163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $60=$1; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $60; //@line 4164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z9NewGlobalP9JSContextjPN2JS5ValueE["X"]=1;

function _JSVAL_IS_STRING593($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1362 "../jsapi.h"
  var $7=$v; //@line 1362 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1362 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1362 "../jsapi.h"
  var $8=_JSVAL_IS_STRING_IMPL638($2); //@line 1362 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1362 "../jsapi.h"
}


function _JSVAL_TO_STRING594($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1369 "../jsapi.h"
  var $7=$v; //@line 1369 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1369 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1369 "../jsapi.h"
  var $8=_JSVAL_TO_STRING_IMPL648($2); //@line 1369 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1369 "../jsapi.h"
}


function __ZL7VersionP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      var $v;
      var $7=__stackBase__+16;
      var $8=__stackBase__+24;
      var $9=__stackBase__+32;
      var $fv;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $12=$4; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12+16)|0); //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$13; //@line 688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$3; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14)|0)==0; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($15) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $17=$argv; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$18; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JSVAL_IS_VOID595($5); //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $24=$4; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$2; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JS_GetVersion($25); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _INT_TO_JSVAL592($6, $26); //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$24; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$6; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 692 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $v=-1; //@line 694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$argv; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=(($30)|0); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$7; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$31; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_JSVAL_IS_INT622($7); //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)!=0; //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $37=$argv; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37)|0); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$8; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$38; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=_JSVAL_TO_INT623($8); //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $v=$41; //@line 696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $43=$argv; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($43)|0); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$9; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$44; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=_JSVAL_IS_DOUBLE645($9); //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($47)|0)!=0; //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($48) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $50=$argv; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=(($50)|0); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$10; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=$51; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=_JSVAL_TO_DOUBLE646($10); //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fv=$54; //@line 698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=$fv; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55)&-1); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=(($56)|0); //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$fv; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$57 == $58; //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $61=$fv; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=(($61)&-1); //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $v=$62; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      __label__ = 10; break; //@line 701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      __label__ = 11; break;
    case 11: 
      var $66=$v; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=(($66)|0) < 0; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($67) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $69=$v; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=(($69)|0) > 185; //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($70) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $72=$2; //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($72, 364, 0, 12, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str8301)|0),tempInt)); //@line 703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break; //@line 704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $74=$4; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=$2; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=$v; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=_JS_SetVersion($75, $76); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _INT_TO_JSVAL592($11, $77); //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=$74; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=$11; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[(($79)>>2)];HEAP32[(($78+4)>>2)]=HEAP32[(($79+4)>>2)]; //@line 706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break;
    case 15: 
      $1=1; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break; //@line 708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $82=$1; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $82; //@line 709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7VersionP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13RevertVersionP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _js_RevertVersion($4); //@line 714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=$3; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=$5; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return 1; //@line 716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL15NewGlobalObjectP9JSContext15CompartmentKind($cx, $compartment) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $glob=__stackBase__;
      var $ac=__stackBase__+4;
      var $4;
      var $it;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      $2=$cx;
      $3=$compartment;
      var $7=$3; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)|0)==1; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $10=$2; //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JS_NewCompartmentAndGlobalObject($10, _global_class, 0); //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16 = $11;__label__ = 4; break; //@line 5252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $13=$2; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_JS_NewGlobalObject($13, _global_class); //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16 = $14;__label__ = 4; break; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $16; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($glob)>>2)]=$16; //@line 5253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=HEAP32[(($glob)>>2)]; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 5254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 31; break; //@line 5255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      __ZN22JSAutoEnterCompartmentC1Ev($ac); //@line 5258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$2; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[(($glob)>>2)]; //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=__ZN22JSAutoEnterCompartment5enterEP9JSContextP8JSObject($ac, $21, $22); //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $26=$2; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=HEAP32[(($glob)>>2)]; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_JS_InitReflect($26, $27); //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=0; //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5271 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $32=$2; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=HEAP32[(($glob)>>2)]; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_JS_DefineDebuggerObject($32, $33); //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)!=0; //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5273 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      $1=0; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $38=$2; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=HEAP32[(($glob)>>2)]; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=__ZN2JS23RegisterPerfMeasurementEP9JSContextP8JSObject($38, $39); //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40)|0)!=0; //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 5275 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      $1=0; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $44=$2; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=HEAP32[(($glob)>>2)]; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=_JS_DefineFunctions($44, $45, ((__ZL15shell_functions)|0)); //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($46)|0)!=0; //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($47) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 5277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $49=$2; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=HEAP32[(($glob)>>2)]; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=_JS_DefineProfilingFunctions($49, $50); //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=(($51)|0)!=0; //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($52) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 5278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      $1=0; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $55=$2; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=HEAP32[(($glob)>>2)]; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=_JS_DefineObject($55, $56, ((STRING_TABLE.__str143436)|0), __ZL9its_class, 0, 0); //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $it=$57; //@line 5282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$it; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($58)|0)!=0; //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 5283 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      $1=0; //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $62=$2; //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$it; //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=_JS_DefineProperties($62, $63, ((__ZL9its_props)|0)); //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=(($64)|0)!=0; //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($65) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      $1=0; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $68=$2; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=HEAP32[(($glob)>>2)]; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=$5; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($70)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($70+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=_JS_DefineProperty($68, $69, ((STRING_TABLE.__str68361)|0), $5, 366, 368, 0); //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=(($71)|0)!=0; //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($72) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 5288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      $1=0; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $75=$2; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=HEAP32[(($glob)>>2)]; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=$6; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($77)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($77+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=_JS_DefineProperty($75, $76, ((STRING_TABLE.__str69362)|0), $6, 366, 368, 2); //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=(($78)|0)!=0; //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($79) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 5291 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      $1=0; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 26; break; //@line 5293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      $4=0; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 26; break; //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      __ZN22JSAutoEnterCompartmentD1Ev($ac); //@line 5294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 27; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 31; break;
      }
      else {
      __label__ = 32; break;
      }
      
    case 27: 
      var $84=$3; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=(($84)|0)==1; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($85) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $87=$2; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=_JS_WrapObject($87, $glob); //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $89=(($88)|0)!=0; //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($89) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 5296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      $1=0; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 31; break; //@line 5297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 30: 
      var $92=HEAP32[(($glob)>>2)]; //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$92; //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 31; break; //@line 5299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 31: 
      var $94=$1; //@line 5300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $94; //@line 5300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15NewGlobalObjectP9JSContext15CompartmentKind["X"]=1;

function __ZL7OptionsP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $optset;
      var $flag;
      var $str;
      var $names;
      var $found;
      var $argv;
      var $i;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      var $opt=__stackBase__+16;
      var $7;
      var $i1;
      var $8=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $optset=0; //@line 727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$4; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9+16)|0); //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$10; //@line 728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $12=$i; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$3; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($12)>>>0) < (($13)>>>0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 13; break; } //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $16=$2; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$i; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$argv; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18+($17<<3))|0); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$5; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$19; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=_JS_ValueToString($16, $5); //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$22; //@line 730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$str; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23)|0)!=0; //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $27=$i; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$argv; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28+($27<<3))|0); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$str; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($6, $30); //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$29; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$6; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$2; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$str; //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($opt, $33, $34); //@line 734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=__ZNK16JSAutoByteStringntEv($opt); //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 10; break; //@line 736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $38=$2; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=__ZNK16JSAutoByteString3ptrEv($opt); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=__ZL26MapContextOptionNameToFlagP9JSContextPKc($38, $39); //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $flag=$40; //@line 737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$flag; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41)|0)!=0; //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($42) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $1=0; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 10; break; //@line 739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $45=$flag; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$optset; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$46 | $45; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $optset=$47; //@line 740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=0; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      __ZN16JSAutoByteStringD1Ev($opt); //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $cleanup_dest=$7;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 11; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 28; break;
      }
      else {
      __label__ = 29; break;
      }
      
    case 11: 
      __label__ = 12; break; //@line 741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $51=$i; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=(($51+1)|0); //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$52; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $54=$2; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=$optset; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=_JS_ToggleOptions($54, $55); //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $optset=$56; //@line 742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $names=0; //@line 744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $found=0; //@line 745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i1=0; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $58=$i1; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($58)|0)!=10; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 21; break; } //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $61=$i1; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=((__ZL10js_options+($61<<3))|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=(($62+4)|0); //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$optset; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=$64 & $65; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=(($66)|0)!=0; //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($67) { __label__ = 16; break; } else { __label__ = 19; break; } //@line 747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      $found=1; //@line 748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$names; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=$names; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=(($70)|0)!=0; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=$71 ? (((STRING_TABLE.__str288581)|0)) : (((__str89382)|0)); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=$i1; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=((__ZL10js_options+($73<<3))|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=(($74)|0); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=_JS_sprintf_append($69, ((STRING_TABLE.__str283576)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$72,HEAP32[((tempInt+4)>>2)]=$76,tempInt)); //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $names=$77; //@line 749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=$names; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=(($78)|0)!=0; //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($79) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      __label__ = 21; break; //@line 752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      __label__ = 19; break; //@line 753 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      __label__ = 20; break; //@line 754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $84=$i1; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=(($84+1)|0); //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i1=$85; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $87=$found; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=(($87)|0)!=0; //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($88) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $90=_strdup(((__str89382)|0)); //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $names=$90; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $92=$names; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=(($92)|0)!=0; //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($93) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $95=$2; //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportOutOfMemory($95); //@line 758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $97=$2; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $98=$names; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=_JS_NewStringCopyZ($97, $98); //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$99; //@line 761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=$names; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=$str; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=(($101)|0)!=0; //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($102) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      $1=0; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $105=$4; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=$str; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($8, $106); //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=$105; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $108=$8; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($107)>>2)]=HEAP32[(($108)>>2)];HEAP32[(($107+4)>>2)]=HEAP32[(($108+4)>>2)]; //@line 765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $110=$1; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $110; //@line 767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7OptionsP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL4LoadP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisobj;
      var $5=__stackBase__;
      var $argv;
      var $i;
      var $str;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $filename=__stackBase__+24;
      var $8;
      var $oldopts;
      var $script;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$2; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$4; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_THIS644($5, $9, $10); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JSVAL_TO_OBJECT590($5); //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $thisobj=$11; //@line 772 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$thisobj; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0)!=0; //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $16=$4; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16+16)|0); //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$17; //@line 776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $19=$i; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$3; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($19)>>>0) < (($20)>>>0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 18; break; } //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $23=$2; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$i; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$argv; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25+($24<<3))|0); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$6; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$26; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JS_ValueToString($23, $6); //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$29; //@line 778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$str; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=(($30)|0)!=0; //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $34=$i; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$argv; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35+($34<<3))|0); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$str; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($7, $37); //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$36; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$7; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$2; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$str; //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($filename, $40, $41); //@line 782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=__ZNK16JSAutoByteStringntEv($filename); //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($42) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $1=0; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 15; break; //@line 784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $45=___errno(); //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($45)>>2)]=0; //@line 785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$2; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=_JS_GetOptions($46); //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $oldopts=$47; //@line 786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$2; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$oldopts; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$49 | 16; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$50 | 4096; //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=_JS_SetOptions($48, $51); //@line 787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=$2; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=$thisobj; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=__ZNK16JSAutoByteString3ptrEv($filename); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=_JS_CompileFile($53, $54, $55); //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$56; //@line 788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$2; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$oldopts; //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=_JS_SetOptions($57, $58); //@line 789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=$script; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=(($60)|0)!=0; //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($61) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 790 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      $1=0; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 15; break; //@line 791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $64=HEAP32[((__ZL11compileOnly)>>2)]; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=(($64)|0)!=0; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($65) { __label__ = 14; break; } else { __label__ = 12; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $67=$2; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=$thisobj; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$script; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=_JS_ExecuteScript($67, $68, $69, 0); //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=(($70)|0)!=0; //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($71) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      $1=0; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 15; break; //@line 794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      $8=0; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      __ZN16JSAutoByteStringD1Ev($filename); //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 16; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 19; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 16: 
      __label__ = 17; break; //@line 795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $77=$i; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=(($77+1)|0); //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$78; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $80=$4; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=$80; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($81)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($81+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $83=$1; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL4LoadP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8EvaluateP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $code;
      var $6=__stackBase__+8;
      var $codeLength=__stackBase__+16;
      var $codeChars;
      var $thisobj;
      var $7=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$3; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)!=1; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $11=$4; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+16)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$5; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$13; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_JSVAL_IS_STRING593($5); //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0)!=0; //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $19=$2; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$3; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=1; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$21 ? 8 : 12; //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($19, 364, 0, $22, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str12305)|0),tempInt)); //@line 805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $24=$4; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=(($24+16)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$6; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$26; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JSVAL_TO_STRING594($6); //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $code=$29; //@line 811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$2; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$code; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=_JS_GetStringCharsAndLength($30, $31, $codeLength); //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $codeChars=$32; //@line 814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$codeChars; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33)|0)!=0; //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $37=$2; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$4; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_THIS644($7, $37, $38); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=_JSVAL_TO_OBJECT590($7); //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $thisobj=$39; //@line 818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$thisobj; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40)|0)!=0; //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $44=$thisobj; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=_JS_GetClass($44); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45+4)|0); //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$47 & 262144; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=(($48)|0)!=262144; //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($49) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 822 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $51=$2; //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($51, 2, 0, 222, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str285578)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str286579)|0),tempInt)); //@line 823 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 825 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $53=$4; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=$53; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=$2; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=$thisobj; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$codeChars; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=HEAP32[(($codeLength)>>2)]; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=_JS_EvaluateUCScript($55, $56, $57, $58, ((STRING_TABLE.__str287580)|0), 0, 0); //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$59; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $61=$1; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8EvaluateP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL3RunP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $thisobj;
      var $5=__stackBase__;
      var $argv;
      var $str;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $filename=__stackBase__+24;
      var $8;
      var $ucbuf;
      var $buflen=__stackBase__+28;
      var $a_str=__stackBase__+32;
      var $oldopts;
      var $startClock=__stackBase__+36;
      var $script;
      var $endClock=__stackBase__+44;
      var $9=__stackBase__+52;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $10=$3; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=1; //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 926 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $13=$2; //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($13, 364, 0, 12, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str13306)|0),tempInt)); //@line 927 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 928 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=$2; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$4; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_THIS644($5, $15, $16); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JSVAL_TO_OBJECT590($5); //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $thisobj=$17; //@line 931 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$thisobj; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 932 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $22=$4; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22+16)|0); //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$23; //@line 935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$2; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$argv; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$6; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$26; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JS_ValueToString($24, $6); //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$29; //@line 936 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$str; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=(($30)|0)!=0; //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($31) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 937 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 938 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $34=$argv; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$str; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($7, $36); //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$35; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$7; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$2; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$str; //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($filename, $39, $40); //@line 940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=__ZNK16JSAutoByteStringntEv($filename); //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 941 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $1=0; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 18; break; //@line 942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $ucbuf=0; //@line 944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$2; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=__ZNK16JSAutoByteString3ptrEv($filename); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=__ZL12FileAsStringP9JSContextPKc($44, $45); //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$46; //@line 946 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$str; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($47)|0)!=0; //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($48) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 947 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $50=$2; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$str; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=_JS_GetStringCharsAndLength($50, $51, $buflen); //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ucbuf=$52; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 948 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $54=$ucbuf; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=(($54)|0)!=0; //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($55) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 949 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      $1=0; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 18; break; //@line 950 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $58=$str; //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2JS6AnchorIP8JSStringEC1ES2_($a_str, $58); //@line 952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$2; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=_JS_GetOptions($59); //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $oldopts=$60; //@line 953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=$2; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$oldopts; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$62 | 16; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=$63 | 4096; //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=_JS_SetOptions($61, $64); //@line 954 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=_PRMJ_Now();
      var $66$0=$66[0];
      var $66$1=$66[1];
      var $st$13$0=(($startClock)|0);
      HEAP32[(($st$13$0)>>2)]=$66$0;
      var $st$13$1=(($startClock+4)|0);
      HEAP32[(($st$13$1)>>2)]=$66$1;
      var $67=$2; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=$thisobj; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$ucbuf; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=HEAP32[(($buflen)>>2)]; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=__ZNK16JSAutoByteString3ptrEv($filename); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=_JS_CompileUCScript($67, $68, $69, $70, $71, 1); //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$72; //@line 957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=$2; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=$oldopts; //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=_JS_SetOptions($73, $74); //@line 958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=$script; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=(($76)|0)!=0; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($77) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $79=$2; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=$thisobj; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=$script; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $82=_JS_ExecuteScript($79, $80, $81, 0); //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $83=(($82)|0)!=0; //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($83) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      $1=0; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 17; break; //@line 960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $86=_PRMJ_Now();
      var $86$0=$86[0];
      var $86$1=$86[1];
      var $st$3$0=(($endClock)|0);
      HEAP32[(($st$3$0)>>2)]=$86$0;
      var $st$3$1=(($endClock+4)|0);
      HEAP32[(($st$3$1)>>2)]=$86$1;
      var $87=$4; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $st$8$0=(($endClock)|0);
      var $88$0=HEAP32[(($st$8$0)>>2)];
      var $st$8$1=(($endClock+4)|0);
      var $88$1=HEAP32[(($st$8$1)>>2)];
      var $st$12$0=(($startClock)|0);
      var $89$0=HEAP32[(($st$12$0)>>2)];
      var $st$12$1=(($startClock+4)|0);
      var $89$1=HEAP32[(($st$12$1)>>2)];
      var $90$0 = (i64Math.subtract($88$0,$88$1,$89$0,$89$1),i64Math.result[0]); var $90$1 = i64Math.result[1]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$90$0 + $90$1*4294967296; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=$91/1000; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _DOUBLE_TO_JSVAL632($9, $92); //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=$87; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=$9; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($93)>>2)]=HEAP32[(($94)>>2)];HEAP32[(($93+4)>>2)]=HEAP32[(($94+4)>>2)]; //@line 963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 17; break; //@line 964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      __ZN2JS6AnchorIP8JSStringED1Ev($a_str); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break;
    case 18: 
      __ZN16JSAutoByteStringD1Ev($filename); //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break;
    case 19: 
      var $98=$1; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $98; //@line 965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL3RunP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8ReadLineP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $from;
      var $buf;
      var $tmp;
      var $bufsize;
      var $buflength;
      var $gotlength;
      var $sawNewline;
      var $str;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=HEAP32[((_stdin)>>2)]; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $from=$7; //@line 981 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buflength=0; //@line 982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $bufsize=256; //@line 983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$2; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$bufsize; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=_JS_malloc($8, $9); //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buf=$10; //@line 984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$buf; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)!=0; //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      $sawNewline=0; //@line 988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $16=$buf; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$buflength; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($16+$17)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$bufsize; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$buflength; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($19-$20)|0); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$from; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=__Z8js_fgetsPciP7__sFILE($18, $21, $22); //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $gotlength=$23; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23)>>>0) > 0; //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 16; break; } //@line 990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $26=$gotlength; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$buflength; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=(($27+$26)|0); //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buflength=$28; //@line 991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$buflength; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29-1)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$buf; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31+$30)|0); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=HEAP8[($32)]; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33 << 24) >> 24); //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)==10; //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $37=$buflength; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37-1)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$buf; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39+$38)|0); //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP8[($40)]=0; //@line 995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $sawNewline=1; //@line 996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break; //@line 997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $42=$buflength; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$bufsize; //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($43-1)|0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=(($42)>>>0) < (($44)>>>0); //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      __label__ = 16; break; //@line 999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      var $49=$bufsize; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=((($49<<1))|0); //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $bufsize=$50; //@line 1003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$bufsize; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$buflength; //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=(($51)>>>0) > (($52)>>>0); //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $55=$2; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=$buf; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$bufsize; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=_JS_realloc($55, $56, $57); //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $tmp=$58; //@line 1005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 1006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $60=$2; //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportOutOfMemory($60); //@line 1007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $tmp=0; //@line 1008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break;
    case 13: 
      var $62=$tmp; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=(($62)|0)!=0; //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 1011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $65=$2; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=$buf; //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($65, $66); //@line 1012 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 1013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $68=$tmp; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buf=$68; //@line 1016 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 1017 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $70=$buflength; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=(($70)|0)==0; //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($71) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 1020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $73=$4; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=$from; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=_feof($74); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=(($75)|0)!=0; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($76) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $78=$5; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($78+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $80=$2; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_GetEmptyStringValue($5, $80); //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $82=$73; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $83=$5; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($82)>>2)]=HEAP32[(($83)>>2)];HEAP32[(($82+4)>>2)]=HEAP32[(($83+4)>>2)]; //@line 1021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84=$2; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=$buf; //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($84, $85); //@line 1022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 1023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $87=$2; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=$buf; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $89=$buflength; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=_JS_realloc($87, $88, $89); //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $tmp=$90; //@line 1027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$tmp; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=(($91)|0)!=0; //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($92) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 1028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $94=$2; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=$buf; //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($94, $95); //@line 1029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 1030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $97=$tmp; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buf=$97; //@line 1033 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $98=$2; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=$buf; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=$sawNewline; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=(($100)|0)!=0; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($101) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $103=$buflength; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $104=(($103-1)|0); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $108 = $104;__label__ = 26; break; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $106=$buflength; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $108 = $106;__label__ = 26; break; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $108; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $109=_JS_NewStringCopyN($98, $99, $108); //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$109; //@line 1039 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $110=$2; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=$buf; //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($110, $111); //@line 1040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=$str; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=(($112)|0)!=0; //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($113) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1041 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      $1=0; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 1042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $116=$4; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $117=$str; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($6, $117); //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $118=$116; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $119=$6; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($118)>>2)]=HEAP32[(($119)>>2)];HEAP32[(($118+4)>>2)]=HEAP32[(($119+4)>>2)]; //@line 1044 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 1045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      var $121=$1; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $121; //@line 1046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8ReadLineP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL5PrintP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $i;
      var $str;
      var $bytes;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$4; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6+16)|0); //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$7; //@line 1088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$i; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$3; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($9)>>>0) < (($10)>>>0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $13=$2; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$i; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$argv; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15+($14<<3))|0); //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$5; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$16; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=_JS_ValueToString($13, $5); //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$19; //@line 1090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$str; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=0; //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $24=$2; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$str; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JS_EncodeString($24, $25); //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $bytes=$26; //@line 1093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$bytes; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=(($27)|0)!=0; //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1094 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1095 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $31=HEAP32[((_gOutFile)>>2)]; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$i; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=(($32)|0)!=0; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$33 ? (((STRING_TABLE.__str284577)|0)) : (((__str89382)|0)); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$bytes; //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=_fprintf($31, ((STRING_TABLE.__str283576)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$34,HEAP32[((tempInt+4)>>2)]=$35,tempInt)); //@line 1096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$2; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$bytes; //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($37, $38); //@line 1097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1098 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $40=$i; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40+1)|0); //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$41; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 1089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $43=HEAP32[((_gOutFile)>>2)]; //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=_fputc(10, $43); //@line 1100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=HEAP32[((_gOutFile)>>2)]; //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=_fflush($45); //@line 1101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$4; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$47; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1103 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1104 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $50=$1; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 1105 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5PrintP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL6PutStrP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $str;
      var $bytes;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)!=0; //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 1055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$4; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9+16)|0); //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$10; //@line 1056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$2; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$argv; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$5; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$13; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_JS_ValueToString($11, $5); //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$16; //@line 1057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$str; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1058 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      $1=0; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1059 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $21=$2; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$str; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=_JS_EncodeString($21, $22); //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $bytes=$23; //@line 1060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$bytes; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=(($24)|0)!=0; //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($25) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1062 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $28=$bytes; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=HEAP32[((_gOutFile)>>2)]; //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=_fputs($28, $29); //@line 1063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$2; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$bytes; //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($31, $32); //@line 1064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=HEAP32[((_gOutFile)>>2)]; //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_fflush($33); //@line 1065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 1066 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $36=$4; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$36; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1068 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $39=$1; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 1070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6PutStrP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL3NowP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $now;
  var $4=__stackBase__;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $5=_PRMJ_Now();
  var $5$0=$5[0];
  var $5$1=$5[1];
  var $6=$5$0 + $5$1*4294967296; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=$6/1000; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  $now=$7; //@line 1075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $8=$3; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $9=$now; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _DOUBLE_TO_JSVAL632($4, $9); //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $10=$8; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $11=$4; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 1076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return 1; //@line 1077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL4QuitP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=$2; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=$3; //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=(($6+16)|0); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $8=_JS_ConvertArguments($4, $5, $7, ((STRING_TABLE.__str282575)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=_gExitCode,tempInt)); //@line 1113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  HEAP32[((_gQuitting)>>2)]=1; //@line 1115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 1120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL8AssertEqP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $argv;
      var $same=__stackBase__+8;
      var $6=__stackBase__+12;
      var $7=__stackBase__+20;
      var $bytes0=__stackBase__+28;
      var $bytes1=__stackBase__+32;
      var $actual;
      var $expected;
      var $bytes2=__stackBase__+36;
      var $8=__stackBase__+40;
      var $9;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $10=$3; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)==2; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $13=$3; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0)==3; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $16=$4; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16+16)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17+16)|0); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$18; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JSVAL_IS_STRING593($5); //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 8; break; } else { __label__ = 4; break; } //@line 1139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $24=$2; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)>>>0) < 2; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $33 = 8;__label__ = 7; break; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $29=$3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29)|0)==3; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$30 ? 12 : 9; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33 = $31;__label__ = 7; break; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $33; //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($24, 364, 0, $33, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str20313)|0),tempInt)); //@line 1140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 21; break; //@line 1147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $35=$4; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35+16)|0); //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$36; //@line 1150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$2; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$argv; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=(($38)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$6; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$39; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$argv; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=(($42+8)|0); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$7; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$43; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($44)>>2)]=HEAP32[(($45)>>2)];HEAP32[(($44+4)>>2)]=HEAP32[(($45+4)>>2)]; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=_JS_SameValue($37, $6, $7, $same); //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($46)|0)!=0; //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 21; break; //@line 1153 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $50=HEAP32[(($same)>>2)]; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=(($50)|0)!=0; //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($51) { __label__ = 20; break; } else { __label__ = 11; break; } //@line 1154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      __ZN16JSAutoByteStringC1Ev($bytes0); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1Ev($bytes1); //@line 1155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=$2; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=$argv; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=(($54)|0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=__ZL8ToSourceP9JSContextPN2JS5ValueEP16JSAutoByteString($53, $55, $bytes0); //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $actual=$56; //@line 1156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$2; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$argv; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($58+8)|0); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=__ZL8ToSourceP9JSContextPN2JS5ValueEP16JSAutoByteString($57, $59, $bytes1); //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $expected=$60; //@line 1157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=$3; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=(($61)|0)==2; //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $64=$2; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$actual; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=$expected; //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($64, 364, 0, 10, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$65,HEAP32[((tempInt+4)>>2)]=$66,tempInt)); //@line 1159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 1161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $68=$2; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$argv; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=(($69+16)|0); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=$8; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=$70; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=_JSVAL_TO_STRING594($8); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($bytes2, $68, $73); //@line 1162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=__ZNK16JSAutoByteStringntEv($bytes2); //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($74) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      $1=0; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $9=1;
      __label__ = 16; break; //@line 1164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $77=$2; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=$actual; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=$expected; //@line 1165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=__ZNK16JSAutoByteString3ptrEv($bytes2); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($77, 364, 0, 11, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$78,HEAP32[((tempInt+4)>>2)]=$79,HEAP32[((tempInt+8)>>2)]=$80,tempInt)); //@line 1166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $9=0; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break; //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      __ZN16JSAutoByteStringD1Ev($bytes2); //@line 1167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $cleanup_dest=$9;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 17; break;
      }
      else {
      __label__ = 19; break;
      }
      
    case 17: 
      __label__ = 18; break;
    case 18: 
      $1=0; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $9=1;
      __label__ = 19; break; //@line 1168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      __ZN16JSAutoByteStringD1Ev($bytes1); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringD1Ev($bytes0); //@line 1169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 21; break;
    case 20: 
      var $86=$4; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=$86; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($87)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($87+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 21; break; //@line 1171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $89=$1; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $89; //@line 1172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8AssertEqP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL9AssertJitP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$3; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=$4; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return 1; //@line 1193 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL2GCP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 272; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $comp;
      var $arg=__stackBase__;
      var $preBytes;
      var $buf=__stackBase__+8;
      var $4=__stackBase__+264;
      $1=$cx;
      $2=$argc;
      $3=$vp;
      $comp=0; //@line 1199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=$2; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($5)|0)==1; //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $8=$3; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8+16)|0); //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$arg; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$9; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 1201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=__ZNK2JS5Value8isObjectEv($arg); //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=__ZNK2JS5Value8toObjectEv($arg); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=__ZN8JSObject6unwrapEPj($14, 0); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$15; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=__ZNK2js2gc4Cell11compartmentEv($16); //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $comp=$17; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 1203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      __label__ = 5; break; //@line 1204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $20=$1; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20+52)|0); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22+140)|0); //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $preBytes=$24; //@line 1206 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$1; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$comp; //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_CompartmentGC($25, $26); //@line 1207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=(($buf)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$preBytes; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$1; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29+52)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31+140)|0); //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1210 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_sbrk(0); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$34; //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=_JS_snprintf($27, 256, ((STRING_TABLE.__str280573)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$28,HEAP32[((tempInt+4)>>2)]=$33,HEAP32[((tempInt+8)>>2)]=$35,tempInt)); //@line 1213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$3; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$1; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=(($buf)|0); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=_JS_NewStringCopyZ($38, $39); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($4, $40); //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$37; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$4; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 1218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return 1; //@line 1219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL2GCP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11GCParameterP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $flatStr;
      var $paramIndex;
      var $param;
      var $value;
      var $value1=__stackBase__+24;
      var $8=__stackBase__+28;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$3; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9)|0)==0; //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $12=$2; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$5; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($13)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($13+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_JS_ValueToString($12, $5); //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$14; //@line 1238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $16=$2; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$4; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17+16)|0); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$6; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$18; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JS_ValueToString($16, $6); //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$21; //@line 1241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$str; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)!=0; //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 1243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $26=$4; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=(($26+16)|0); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$str; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($7, $28); //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$27; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$7; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[(($30)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[(($30+4)>>2)]; //@line 1244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break;
    case 6: 
      var $32=$2; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$str; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_JS_FlattenString($32, $33); //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $flatStr=$34; //@line 1247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$flatStr; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35)|0)!=0; //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 1248 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 1249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $paramIndex=0; //@line 1251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $40=$paramIndex; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40)|0)==5; //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $43=$2; //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($43, ((STRING_TABLE.__str277570)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 1258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $45=$flatStr; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$paramIndex; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=((__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap+($46<<3))|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($47)|0); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=_JS_FlatStringEqualsAscii($45, $49); //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=(($50)|0)!=0; //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      __label__ = 15; break; //@line 1261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      __label__ = 14; break; //@line 1262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $55=$paramIndex; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55+1)|0); //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $paramIndex=$56; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 1252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $58=$paramIndex; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=((__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap+($58<<3))|0); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=(($59+4)|0); //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=HEAP32[(($60)>>2)]; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $param=$61; //@line 1263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$3; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=(($62)|0)==1; //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($63) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $65=$2; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=(($65+52)|0); //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=$param; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=_JS_GetGCParameter($67, $68); //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $value=$69; //@line 1266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=$2; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=$value; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=(($71)>>>0); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=$4; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=(($73)|0); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=_JS_NewNumberValue($70, $72, $74); //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$75; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 1267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $77=$param; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=(($77)|0)==4; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($78) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $80=$param; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=(($80)|0)==3; //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($81) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1270 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $83=$2; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84=$paramIndex; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=((__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap+($84<<3))|0); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $86=(($85)|0); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($83, ((STRING_TABLE.__str278571)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$87,tempInt)); //@line 1272 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 1274 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $89=$2; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=$4; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=(($90+24)|0); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=$8; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=$91; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($92)>>2)]=HEAP32[(($93)>>2)];HEAP32[(($92+4)>>2)]=HEAP32[(($93+4)>>2)]; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=_JS_ValueToECMAUint32($89, $8, $value1); //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=(($94)|0)!=0; //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 1278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $97=$2; //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($97, ((STRING_TABLE.__str279572)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 1282 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $99=$2; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=(($99+52)|0); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=HEAP32[(($100)>>2)]; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=$param; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $103=HEAP32[(($value1)>>2)]; //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetGCParameter($101, $102, $103); //@line 1284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $104=$4; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=$104; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($105)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($105+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 1286 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $107=$1; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $107; //@line 1287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11GCParameterP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL4HelpP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i;
      var $j;
      var $did_header;
      var $did_something;
      var $type;
      var $fun;
      var $str;
      var $argv;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      var $7=__stackBase__+16;
      var $funcName=__stackBase__+24;
      var $8;
      var $msg;
      var $p;
      var $9=__stackBase__+28;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $10=HEAP32[((_gOutFile)>>2)]; //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JS_GetImplementationVersion(); //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=_fprintf($10, ((STRING_TABLE.__str124417)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$11,tempInt)); //@line 4517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$3; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0)==0; //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 7; break; } //@line 4518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $16=HEAP32[((_gOutFile)>>2)]; //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_fputs(((STRING_TABLE.__ZL17shell_help_header)|0), $16); //@line 4519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $19=$i; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($19)>>>0) < 57; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $22=HEAP32[((_gOutFile)>>2)]; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$i; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=((__ZL19shell_help_messages+($23<<2))|0); //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_fprintf($22, ((STRING_TABLE.__str124417)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$25,tempInt)); //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 4521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $28=$i; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28+1)|0); //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$29; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 4520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      __label__ = 38; break; //@line 4522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $did_header=0; //@line 4523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$4; //@line 4524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=(($32+16)|0); //@line 4524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$33; //@line 4524 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $35=$i; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$3; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=(($35)>>>0) < (($36)>>>0); //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($37) { __label__ = 9; break; } else { __label__ = 37; break; } //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $did_something=0; //@line 4526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$2; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$i; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$argv; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41+($40<<3))|0); //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$5; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$42; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=_JS_TypeOfValue($39, $5); //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $type=$45; //@line 4527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$type; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($46)|0)==2; //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $49=$2; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$i; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$argv; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=(($51+($50<<3))|0); //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=$6; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=$52; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=_JS_ValueToFunction($49, $6); //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fun=$55; //@line 4529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=$fun; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=(($56+72)|0); //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=HEAP32[(($57)>>2)]; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$58; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$59; //@line 4530 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $61=$type; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=(($61)|0)==3; //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($62) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 4531 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $64=$i; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$argv; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=(($65+($64<<3))|0); //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=$7; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=$66; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($67)>>2)]=HEAP32[(($68)>>2)];HEAP32[(($67+4)>>2)]=HEAP32[(($68+4)>>2)]; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=_JSVAL_TO_STRING594($7); //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$69; //@line 4532 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      $str=0; //@line 4534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break;
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $73=$str; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=(($73)|0)!=0; //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($74) { __label__ = 16; break; } else { __label__ = 31; break; } //@line 4536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $76=$2; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=$str; //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($funcName, $76, $77); //@line 4537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=__ZNK16JSAutoByteStringntEv($funcName); //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($78) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 4538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      $1=0; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 29; break; //@line 4539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      $j=0; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $82=$j; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $83=(($82)>>>0) < 57; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($83) { __label__ = 20; break; } else { __label__ = 28; break; } //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $85=$j; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $86=((__ZL19shell_help_messages+($85<<2))|0); //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=HEAP32[(($86)>>2)]; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $msg=$87; //@line 4542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=$msg; //@line 4543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $89=_strchr($88, 40); //@line 4543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $p=$89; //@line 4543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=$p; //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$msg; //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=$90; //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=$91; //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=(($92-$93)|0); //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=$str; //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $96=__ZNK8JSString6lengthEv($95); //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $97=(($94)|0)!=(($96)|0); //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($97) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 4546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      __label__ = 27; break; //@line 4547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $100=__ZNK16JSAutoByteString3ptrEv($funcName); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=$msg; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=$p; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $103=$msg; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $104=$102; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=$103; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=(($104-$105)|0); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=_strncmp($100, $101, $106); //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $108=(($107)|0)==0; //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($108) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 4549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $110=$did_header; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=(($110)|0)!=0; //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($111) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 4550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      $did_header=1; //@line 4551 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=HEAP32[((_gOutFile)>>2)]; //@line 4552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=_fputs(((STRING_TABLE.__ZL17shell_help_header)|0), $113); //@line 4552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 4553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      $did_something=1; //@line 4554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $116=HEAP32[((_gOutFile)>>2)]; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $117=$j; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $118=((__ZL19shell_help_messages+($117<<2))|0); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $119=HEAP32[(($118)>>2)]; //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $120=_fprintf($116, ((STRING_TABLE.__str124417)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$119,tempInt)); //@line 4555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 4556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      __label__ = 27; break; //@line 4558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $123=$j; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $124=(($123+1)|0); //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $j=$124; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 4540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      $8=0; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      __ZN16JSAutoByteStringD1Ev($funcName); //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 30; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 39; break;
      }
      else {
      __label__ = 40; break;
      }
      
    case 30: 
      __label__ = 31; break; //@line 4559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 31: 
      var $129=$did_something; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $130=(($129)|0)!=0; //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($130) { __label__ = 35; break; } else { __label__ = 32; break; } //@line 4560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      var $132=$2; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $133=$i; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $134=$argv; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $135=(($134+($133<<3))|0); //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $136=$9; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $137=$135; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($136)>>2)]=HEAP32[(($137)>>2)];HEAP32[(($136+4)>>2)]=HEAP32[(($137+4)>>2)]; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $138=_JS_ValueToString($132, $9); //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$138; //@line 4561 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $139=$str; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $140=(($139)|0)!=0; //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($140) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 4562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 33: 
      $1=0; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 39; break; //@line 4563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 34: 
      var $143=HEAP32[((_gErrFile)>>2)]; //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $144=_fputs(((STRING_TABLE.__str163456)|0), $143); //@line 4564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $145=HEAP32[((_gErrFile)>>2)]; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $146=$str; //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $147=_JS_FileEscapedString($145, $146, 0); //@line 4565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $148=HEAP32[((_gErrFile)>>2)]; //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $149=_putc(10, $148); //@line 4566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 35; break; //@line 4567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 35: 
      __label__ = 36; break; //@line 4568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 36: 
      var $152=$i; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $153=(($152+1)|0); //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$153; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 4525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 37: 
      __label__ = 38; break;
    case 38: 
      var $156=$4; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $157=$156; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($157)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($157+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 4570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 39; break; //@line 4571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 39: 
      var $159=$1; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $159; //@line 4572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 40: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL4HelpP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL9CountHeapP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 120; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $startThing;
      var $startTraceKind;
      var $v=__stackBase__;
      var $traceKind;
      var $i;
      var $str;
      var $countTracer=__stackBase__+8;
      var $node;
      var $counter;
      var $5=__stackBase__+76;
      var $6=__stackBase__+84;
      var $7=__stackBase__+92;
      var $8=__stackBase__+100;
      var $9=__stackBase__+108;
      var $flatStr;
      var $bytes=__stackBase__+116;
      var $10;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      $startThing=0; //@line 1441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $startTraceKind=0; //@line 1442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$3; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)>>>0) > 0; //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 8; break; } //@line 1443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $14=$4; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14+16)|0); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0); //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$v; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$16; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$v; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JSVAL_IS_TRACEABLE633($5); //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $24=$6; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$v; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JSVAL_TO_TRACEABLE($6); //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $startThing=$26; //@line 1446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$7; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$v; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JSVAL_TRACE_KIND634($7); //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $startTraceKind=$29; //@line 1447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $31=$8; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$v; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=_JSVAL_IS_NULL635($8); //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33)|0)!=0; //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($34) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $36=$2; //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($36, ((STRING_TABLE.__str270563)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 43; break; //@line 1452 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      __label__ = 8; break; //@line 1454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $traceKind=-1; //@line 1456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$3; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40)>>>0) > 1; //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 22; break; } //@line 1457 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $43=$2; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$4; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=(($44+16)|0); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45+8)|0); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$9; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$46; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=_JS_ValueToString($43, $9); //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$49; //@line 1458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$str; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=(($50)|0)!=0; //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($51) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      $1=0; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 43; break; //@line 1460 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $54=$2; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=$str; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=_JS_FlattenString($54, $55); //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $flatStr=$56; //@line 1461 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$flatStr; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=(($57)|0)!=0; //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($58) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1462 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      $1=0; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 43; break; //@line 1463 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      $i=0; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 1464 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $62=$flatStr; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$i; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=((__ZZL9CountHeapP9JSContextjPN2JS5ValueEE14traceKindNames+($63<<3))|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=(($64)|0); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=_JS_FlatStringEqualsAscii($62, $66); //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=(($67)|0)!=0; //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($68) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $70=$i; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=((__ZZL9CountHeapP9JSContextjPN2JS5ValueEE14traceKindNames+($70<<3))|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=(($71+4)|0); //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $traceKind=$73; //@line 1466 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 21; break; //@line 1467 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $75=$i; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=(($75+1)|0); //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$76; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=(($76)|0)==4; //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($77) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 1469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $79=$2; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=$str; //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($bytes, $79, $80); //@line 1470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=__ZNK16JSAutoByteStringntEv($bytes); //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($81) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $83=$2; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($83, ((STRING_TABLE.__str271564)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$84,tempInt)); //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 1472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      $1=0; //@line 1473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $10=1;
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 1474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 43; break;
    case 20: 
      __label__ = 14; break; //@line 1475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      __label__ = 22; break; //@line 1476 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      __label__ = 23; break; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $90=$2; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=(($countTracer)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=(($91)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($92)>>2)]=$90; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=(($countTracer)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=(($93+4)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($94)>>2)]=370; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=(($countTracer)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $96=(($95+8)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($96)>>2)]=0; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $97=(($countTracer)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $98=(($97+12)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($98)>>2)]=0; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=(($countTracer)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=(($99+16)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($100)>>2)]=-1; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=(($countTracer)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=(($101+20)|0); //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($102)>>2)]=1; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 24; break; //@line 1478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $104=(($countTracer+24)|0); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=_JS_DHashGetStubOps(); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=_JS_DHashTableInit($104, $105, 0, 8, 134); //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=(($106)|0)!=0; //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($107) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 1479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $109=$2; //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportOutOfMemory($109); //@line 1482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 43; break; //@line 1483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $111=(($countTracer+56)|0); //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($111)>>2)]=1; //@line 1485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=(($countTracer+60)|0); //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($112)>>2)]=0; //@line 1486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=(($countTracer+64)|0); //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($113)>>2)]=0; //@line 1487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=$startThing; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $115=(($114)|0)!=0; //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($115) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 1489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $117=(($countTracer)|0); //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_TraceRuntime($117); //@line 1490 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 31; break; //@line 1491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      __label__ = 29; break; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      __label__ = 30; break; //@line 1492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 30: 
      var $121=(($countTracer)|0); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $122=$startThing; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $123=$startTraceKind; //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_CallTracer($121, $122, $123); //@line 1493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 31; break;
    case 31: 
      $counter=0; //@line 1496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 32; break; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      var $126=(($countTracer+60)|0); //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $node=$127; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $128=(($127)|0)!=0; //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($128) { __label__ = 33; break; } else { __label__ = 37; break; } //@line 1497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 33: 
      var $130=$traceKind; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $131=(($130)|0)==-1; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($131) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 34: 
      var $133=$node; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $134=(($133+4)|0); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $136=$traceKind; //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $137=(($135)|0)==(($136)|0); //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($137) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1498 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 35: 
      var $139=$counter; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $140=(($139+1)|0); //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $counter=$140; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 36; break; //@line 1499 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 36: 
      var $142=$node; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $143=(($142+8)|0); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $144=HEAP32[(($143)>>2)]; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $145=(($countTracer+60)|0); //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($145)>>2)]=$144; //@line 1500 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $146=(($countTracer+64)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $148=$node; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $149=(($148+8)|0); //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($149)>>2)]=$147; //@line 1501 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $150=$node; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $151=(($countTracer+64)|0); //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($151)>>2)]=$150; //@line 1502 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $152=(($countTracer)|0); //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $153=$node; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $154=(($153)|0); //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $156=$node; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $157=(($156+4)|0); //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $158=HEAP32[(($157)>>2)]; //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_TraceChildren($152, $155, $158); //@line 1503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 32; break; //@line 1504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 37: 
      __label__ = 38; break; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 38: 
      var $161=(($countTracer+64)|0); //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $node=$162; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $163=(($162)|0)!=0; //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($163) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 1505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 39: 
      var $165=$node; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $166=(($165+8)|0); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $167=HEAP32[(($166)>>2)]; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $168=(($countTracer+64)|0); //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($168)>>2)]=$167; //@line 1506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $169=$2; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $170=$node; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $171=$170; //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($169, $171); //@line 1507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 38; break; //@line 1508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 40: 
      var $173=(($countTracer+24)|0); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_DHashTableFinish($173); //@line 1509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $174=(($countTracer+56)|0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $175=HEAP32[(($174)>>2)]; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $176=(($175)|0)!=0; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($176) { __label__ = 41; break; } else { var $185 = 0;__label__ = 42; break; } //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 41: 
      var $178=$2; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $179=$counter; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $180=(($179)>>>0); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $181=$4; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $182=_JS_NewNumberValue($178, $180, $181); //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $183=(($182)|0)!=0; //@line 1511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $185 = $183;__label__ = 42; break;
    case 42: 
      var $185;
      var $186=(($185)&1);
      $1=$186;
      __label__ = 43; break;
    case 43: 
      var $188=$1; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $188; //@line 1512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL9CountHeapP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL20MakeFinalizeObserverP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 1537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$2; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=_JS_GetGlobalObject($7); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=_JS_NewObjectWithGivenProto($6, __ZL20FinalizeCounterClass, 0, $8); //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$9; //@line 1538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$obj; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 1540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$4; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$obj; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($5, $15); //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$14; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$5; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 1541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 1542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $19=$1; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $19; //@line 1543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL13FinalizeCountP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $5=$3; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=HEAP32[((__ZL13finalizeCount)>>2)]; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _INT_TO_JSVAL592($4, $6); //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=$5; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $8=$4; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($7)>>2)]=HEAP32[(($8)>>2)];HEAP32[(($7+4)>>2)]=HEAP32[(($8+4)>>2)]; //@line 1548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return 1; //@line 1549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL13InternalConstP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $5=__stackBase__;
      var $flat;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$3; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)|0)!=1; //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1292 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $10=$2; //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($10, ((STRING_TABLE.__str262555)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $12=$2; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$4; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13+16)|0); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$5; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$14; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JS_ValueToString($12, $5); //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$17; //@line 1297 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$str; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1299 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $22=$2; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$str; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=_JS_FlattenString($22, $23); //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $flat=$24; //@line 1300 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$flat; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0)!=0; //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $29=$flat; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=_JS_FlatStringEqualsAscii($29, ((STRING_TABLE.__str263556)|0)); //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=(($30)|0)!=0; //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $33=$4; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33)|0); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _UINT_TO_JSVAL($6, 32768); //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$34; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$6; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($35)>>2)]=HEAP32[(($36)>>2)];HEAP32[(($35+4)>>2)]=HEAP32[(($36+4)>>2)]; //@line 1305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $38=$2; //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($38, ((STRING_TABLE.__str264557)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      $1=1; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $41=$1; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $41; //@line 1311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13InternalConstP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8SetDebugP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $5=__stackBase__;
      var $ok;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$4; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7+16)|0); //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$8; //@line 1590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$3; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9)|0)==0; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $12=$argv; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$5; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$13; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_JSVAL_IS_BOOLEAN617($5); //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0)!=0; //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 1591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $19=$2; //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($19, 364, 0, 8, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str28321)|0),tempInt)); //@line 1592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 1594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $21=$2; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$argv; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$6; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$23; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JSVAL_TO_BOOLEAN624($6); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_JS_SetDebugMode($21, $26); //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$27; //@line 1604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$ok; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=0; //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $31=$4; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$31; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[((_JSVAL_TRUE)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[((_JSVAL_TRUE+4)>>2)]; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $34=$ok; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$34; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 1607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $36=$1; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 1608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8SetDebugP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL18SetDebuggerHandlerP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)==0; //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$2; //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($9, 364, 0, 8, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str29322)|0),tempInt)); //@line 1716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $11=$2; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$4; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12+16)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$5; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$14; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JS_ValueToString($11, $5); //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$17; //@line 1721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$str; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $22=$2; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22+52)|0); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$str; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$25; //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_JS_SetDebuggerHandler($24, 372, $26); //@line 1725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$4; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$28; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $31=$1; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 1728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12SetThrowHookP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)==0; //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$2; //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($9, 364, 0, 8, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str30323)|0),tempInt)); //@line 1735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $11=$2; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$4; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12+16)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$5; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$14; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JS_ValueToString($11, $5); //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$17; //@line 1740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$str; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $22=$2; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22+52)|0); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$str; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$25; //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_JS_SetThrowHook($24, 372, $26); //@line 1744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$4; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$28; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $31=$1; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 1747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL4TrapP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $script=__stackBase__;
      var $i=__stackBase__+4;
      var $argv;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$4; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8+16)|0); //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$9; //@line 1671 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$3; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)==0; //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1672 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $13=$2; //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($13, 364, 0, 2, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1674 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=$3; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15-1)|0); //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $3=$16; //@line 1676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$2; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$3; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$argv; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($19+($18<<3))|0); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$5; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$20; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[(($22)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[(($22+4)>>2)]; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=_JS_ValueToString($17, $5); //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$23; //@line 1677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$str; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=(($24)|0)!=0; //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($25) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $28=$3; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$argv; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29+($28<<3))|0); //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$str; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($6, $31); //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$30; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$6; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($32)>>2)]=HEAP32[(($33)>>2)];HEAP32[(($32+4)>>2)]=HEAP32[(($33+4)>>2)]; //@line 1680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$2; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$3; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$argv; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=__ZL11GetTrapArgsP9JSContextjPN2JS5ValueEPP8JSScriptPi($34, $35, $36, $script, $i); //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37)|0)!=0; //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($38) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $41=HEAPU32[(($i)>>2)]; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=HEAP32[(($script)>>2)]; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=(($42+8)|0); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=HEAPU32[(($43)>>2)]; //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=(($41)>>>0) >= (($44)>>>0); //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($45) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $47=$2; //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($47, 364, 0, 2, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $49=$4; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$49; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$2; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=HEAP32[(($script)>>2)]; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=HEAP32[(($script)>>2)]; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=(($53)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=HEAP32[(($i)>>2)]; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=(($55+$56)|0); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$str; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($7, $58); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=_JS_SetTrap($51, $52, $57, 374, $7); //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$59; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 1688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $61=$1; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $61; //@line 1689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL4TrapP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL6UntrapP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $script=__stackBase__;
      var $i=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$2; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$3; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$4; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7+16)|0); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=__ZL11GetTrapArgsP9JSContextjPN2JS5ValueEPP8JSScriptPi($5, $6, $8, $script, $i); //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9)|0)!=0; //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 1698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $13=$2; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=HEAP32[(($script)>>2)]; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=HEAP32[(($script)>>2)]; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=HEAP32[(($i)>>2)]; //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($17+$18)|0); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ClearTrap($13, $14, $19, 0, 0); //@line 1699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$4; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$20; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($21)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($21+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 1700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 1701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $23=$1; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $23; //@line 1702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8LineToPCP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $script=__stackBase__;
      var $i=__stackBase__+4;
      var $lineno;
      var $pc;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)==0; //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$2; //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($9, 364, 0, 3, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $11=$2; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$2; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=_JS_GetScriptedCaller($12, 0); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_JS_GetFrameScript($11, $13); //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($script)>>2)]=$14; //@line 1761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$2; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$3; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$4; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17+16)|0); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=__ZL11GetTrapArgsP9JSContextjPN2JS5ValueEPP8JSScriptPi($15, $16, $18, $script, $i); //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($19)|0)!=0; //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $23=HEAP32[(($i)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23)|0)==0; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($24) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $26=HEAP32[(($script)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=(($26+28)|0); //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32 = $28;__label__ = 8; break; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $30=HEAP32[(($i)>>2)]; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32 = $30;__label__ = 8; break; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $32; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $lineno=$32; //@line 1764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$2; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=HEAP32[(($script)>>2)]; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$lineno; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=_JS_LineNumberToPC($33, $34, $35); //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $pc=$36; //@line 1765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$pc; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37)|0)!=0; //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $41=$4; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$pc; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=HEAP32[(($script)>>2)]; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($43)|0); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=HEAP32[(($44)>>2)]; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$42; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$45; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($46-$47)|0); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _INT_TO_JSVAL592($5, $48); //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$41; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$5; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 1768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 1769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $52=$1; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $52; //@line 1770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8LineToPCP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8PCToLineP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $script=__stackBase__;
      var $i=__stackBase__+4;
      var $lineno;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$3; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$4; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8+16)|0); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=__ZL11GetTrapArgsP9JSContextjPN2JS5ValueEPP8JSScriptPi($6, $7, $9, $script, $i); //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$2; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=HEAP32[(($script)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=HEAP32[(($script)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=HEAP32[(($17)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=HEAP32[(($i)>>2)]; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($18+$19)|0); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JS_PCToLineNumber($14, $15, $20); //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $lineno=$21; //@line 1781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$lineno; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)!=0; //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $26=$4; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$lineno; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _INT_TO_JSVAL592($5, $27); //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$26; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$5; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($28)>>2)]=HEAP32[(($29)>>2)];HEAP32[(($28+4)>>2)]=HEAP32[(($29+4)>>2)]; //@line 1784 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1785 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $31=$1; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 1786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14StringsAreUTF8P9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$cx;
      $2=$argc;
      $3=$vp;
      var $4=$3; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=_JS_CStringsAreUTF8(); //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($5)|0)!=0; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $10 = _JSVAL_TRUE;__label__ = 4; break; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $10 = _JSVAL_FALSE;__label__ = 4; break; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $10; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$4; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$10; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($11)>>2)]=HEAP32[(($12)>>2)];HEAP32[(($11+4)>>2)]=HEAP32[(($12+4)>>2)]; //@line 2847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return 1; //@line 2848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL8TestUTF8P9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $mode=__stackBase__;
      var $chars=__stackBase__+4;
      var $charsLength=__stackBase__+44;
      var $bytes=__stackBase__+48;
      var $bytesLength=__stackBase__+68;
      var $5=__stackBase__+72;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      HEAP32[(($mode)>>2)]=1; //@line 2858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($charsLength)>>2)]=5; //@line 2860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($bytesLength)>>2)]=20; //@line 2862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$3; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)!=0; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$2; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$4; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10+16)|0); //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$5; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$11; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_JS_ValueToInt32($9, $5, $mode); //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14)|0)!=0; //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      $1=0; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $18=HEAP32[(($mode)>>2)]; //@line 2867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ((($18)|0) == 1) {
        __label__ = 5; break;
      }
      else if ((($18)|0) == 2) {
        __label__ = 6; break;
      }
      else if ((($18)|0) == 3) {
        __label__ = 7; break;
      }
      else if ((($18)|0) == 4) {
        __label__ = 8; break;
      }
      else {
      __label__ = 9; break;
      }
      
    case 5: 
      var $20=$2; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=HEAP32[((__ZL7badUTF8)>>2)]; //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=_JS_NewStringCopyZ($20, $21); //@line 2870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 2871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $24=$2; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=HEAP32[((__ZL7bigUTF8)>>2)]; //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JS_NewStringCopyZ($24, $25); //@line 2874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 2875 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $28=$2; //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($bytes)|0); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=_JS_EncodeCharacters($28, ((__ZL12badSurrogate)|0), 6, $29, $bytesLength); //@line 2878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 2879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $32=$2; //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=(($chars)|0); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_JS_DecodeBytes($32, ((STRING_TABLE.__str258551)|0), 10, $33, $charsLength); //@line 2882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 2883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $36=$2; //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($36, ((STRING_TABLE.__str259552)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $38=$4; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$38; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 2888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$2; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=_JS_IsExceptionPending($40); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41)|0)!=0; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$42 ^ 1; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($43)&1); //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$44; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $46=$1; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 2890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8TestUTF8P9JSContextjPN2JS5ValueE["X"]=1;

function __ZL10ThrowErrorP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$1; //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _JS_ReportError($4, ((STRING_TABLE.__str257550)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return 0; //@line 2896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL9BuildDateP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $version=__stackBase__;
  $1=$cx;
  $2=$argc;
  $3=$vp;
  var $4=$version; //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(20 % 1 === 0, 'memcpy given ' + 20 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');_memcpy($4, ((STRING_TABLE.__ZZL9BuildDateP9JSContextjPN2JS5ValueEE7version)|0), 20, 1); //@line 2673 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=HEAP32[((_gOutFile)>>2)]; //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=(($version)|0); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=_fprintf($5, ((STRING_TABLE.__str254547)|0), (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str255548)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str256549)|0),HEAP32[((tempInt+8)>>2)]=$6,tempInt)); //@line 2677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $8=$3; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $9=$8; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 2678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return 1; //@line 2679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL5ClearP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $obj=__stackBase__;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)==0; //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 2686 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$2; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=_JS_GetGlobalForScopeChain($9); //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($obj)>>2)]=$10; //@line 2687 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=HEAP32[(($obj)>>2)]; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)!=0; //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 2688 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      $1=0; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 2689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      __label__ = 8; break; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $16=$2; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$4; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17+16)|0); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$5; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$19; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=_JS_ValueToObject($16, $5, $obj); //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)!=0; //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 2691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $27=$2; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=HEAP32[(($obj)>>2)]; //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ClearScope($27, $28); //@line 2693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$4; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$29; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 2694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 2695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $32=$1; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $32; //@line 2696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6InternP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $5=__stackBase__;
      var $length=__stackBase__+8;
      var $chars;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$3; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)|0)==0; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $14 = _JSVAL_VOID;__label__ = 4; break; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $11=$4; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+16)|0); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14 = $12;__label__ = 4; break; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $14; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$5; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$14; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JS_ValueToString($6, $5); //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$17; //@line 2701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$str; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 2703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $22=$2; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$str; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=_JS_GetStringCharsAndLength($22, $23, $length); //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $chars=$24; //@line 2706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$chars; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0)!=0; //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $29=$2; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$chars; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=HEAP32[(($length)>>2)]; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=_JS_InternUCStringN($29, $30, $31); //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=(($32)|0)!=0; //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($33) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $36=$4; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$36; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 2713 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2714 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $39=$1; //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $39; //@line 2715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6InternP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL6GetPDAP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $vobj=__stackBase__;
      var $aobj;
      var $pdobj;
      var $ok;
      var $pda=__stackBase__+4;
      var $pd;
      var $v=__stackBase__+12;
      var $5=__stackBase__+20;
      var $6=__stackBase__+28;
      var $i;
      var $7=__stackBase__+36;
      var $8=__stackBase__+44;
      var $9=__stackBase__+52;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $10=$2; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$3; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)==0; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $18 = _JSVAL_VOID;__label__ = 4; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=$4; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15+16)|0); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18 = $16;__label__ = 4; break; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $18; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$18; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JS_ValueToObject($10, $5, $vobj); //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 2780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $25=HEAP32[(($vobj)>>2)]; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0)!=0; //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $28=$4; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$28; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($29)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($29+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 2782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 2783 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $31=$2; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=_JS_NewArrayObject($31, 0, 0); //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $aobj=$32; //@line 2786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$aobj; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33)|0)!=0; //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 2788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $37=$4; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$aobj; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($6, $38); //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$37; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$6; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 2789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$2; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=HEAP32[(($vobj)>>2)]; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=_JS_GetPropertyDescArray($41, $42, $pda); //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$43; //@line 2791 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$ok; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=(($44)|0)!=0; //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($45) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 2792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      $1=0; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 2793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $48=(($pda+4)|0); //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $pd=$49; //@line 2794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $51=$i; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=(($pda)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=HEAPU32[(($52)>>2)]; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=(($51)>>>0) < (($53)>>>0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($54) { __label__ = 14; break; } else { __label__ = 27; break; } //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $56=$2; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=_JS_NewObject($56, 0, 0, 0); //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $pdobj=$57; //@line 2796 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$pdobj; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($58)|0)!=0; //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 2797 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      $ok=0; //@line 2798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 27; break; //@line 2799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $62=$pdobj; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($7, $62); //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$v; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=$7; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($63)>>2)]=HEAP32[(($64)>>2)];HEAP32[(($63+4)>>2)]=HEAP32[(($64+4)>>2)]; //@line 2803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$2; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=$aobj; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=$i; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=_JS_SetElement($65, $66, $67, $v); //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$68; //@line 2804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$ok; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=(($69)|0)!=0; //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($70) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      __label__ = 27; break; //@line 2806 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $73=$2; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=$pdobj; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=$pd; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=(($75)|0); //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=_JS_SetProperty($73, $74, ((STRING_TABLE.__str246539)|0), $76); //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=(($77)|0)!=0; //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($78) { __label__ = 19; break; } else { var $116 = 0;__label__ = 23; break; } //@line 2808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $80=$2; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=$pdobj; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $82=$pd; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $83=(($82+8)|0); //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84=_JS_SetProperty($80, $81, ((STRING_TABLE.__str247540)|0), $83); //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=(($84)|0)!=0; //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($85) { __label__ = 20; break; } else { var $116 = 0;__label__ = 23; break; } //@line 2809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $87=$pd; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=(($87+16)|0); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $89=HEAPU8[($88)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=(($89)&255); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _INT_TO_JSVAL592($8, $90); //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$v; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=$8; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($91)>>2)]=HEAP32[(($92)>>2)];HEAP32[(($91+4)>>2)]=HEAP32[(($92+4)>>2)]; //@line 2810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=$2; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=$pdobj; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=_JS_SetProperty($93, $94, ((STRING_TABLE.__str248541)|0), $v); //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $96=(($95)|0)!=0; //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($96) { __label__ = 21; break; } else { var $116 = 0;__label__ = 23; break; } //@line 2811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $98=$pd; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=(($98+18)|0); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=HEAPU16[(($99)>>1)]; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=(($100)&65535); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _INT_TO_JSVAL592($9, $101); //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=$v; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $103=$9; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($102)>>2)]=HEAP32[(($103)>>2)];HEAP32[(($102+4)>>2)]=HEAP32[(($103+4)>>2)]; //@line 2812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $104=$2; //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=$pdobj; //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=_JS_SetProperty($104, $105, ((STRING_TABLE.__str249542)|0), $v); //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=(($106)|0)!=0; //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($107) { __label__ = 22; break; } else { var $116 = 0;__label__ = 23; break; } //@line 2813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $109=$2; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $110=$pdobj; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=$pd; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=(($111+24)|0); //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=_JS_SetProperty($109, $110, ((STRING_TABLE.__str250543)|0), $112); //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=(($113)|0)!=0; //@line 2814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $116 = $114;__label__ = 23; break;
    case 23: 
      var $116;
      var $117=(($116)&1);
      $ok=$117;
      var $118=$ok; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $119=(($118)|0)!=0; //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($119) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 2815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      __label__ = 27; break; //@line 2816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      __label__ = 26; break; //@line 2817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $123=$i; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $124=(($123+1)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$124; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $125=$pd; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $126=(($125+32)|0); //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $pd=$126; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 2795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $128=$2; //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_PutPropertyDescArray($128, $pda); //@line 2818 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $129=$ok; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$129; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 2819 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $131=$1; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $131; //@line 2820 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6GetPDAP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL6GetSLXP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $script;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $7=$2; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$3; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)==0; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $15 = _JSVAL_VOID;__label__ = 4; break; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $12=$4; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12+16)|0); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15 = $13;__label__ = 4; break; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $15; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$5; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$15; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=__ZL13ValueToScriptP9JSContextN2JS5ValueEPP10JSFunction($7, $5, 0); //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$18; //@line 2827 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$script; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($19)|0)!=0; //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 2829 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $23=$4; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$script; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=__Z22js_GetScriptLineExtentP8JSScript($24); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _INT_TO_JSVAL592($6, $25); //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$23; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$6; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 2830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 2831 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $29=$1; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 2832 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7ToInt32P9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $i=__stackBase__;
      var $5=__stackBase__+4;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$2; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$3; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)|0)==0; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $14 = _JSVAL_VOID;__label__ = 4; break; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $11=$4; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+16)|0); //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14 = $12;__label__ = 4; break; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $14; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$5; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$14; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JS_ValueToInt32($6, $5, $i); //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 2839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 2840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $21=$2; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[(($i)>>2)]; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$4; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=_JS_NewNumberValue($21, $23, $24); //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$25; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 2841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $27=$1; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 2842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL5CloneP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $funobj;
      var $parent=__stackBase__;
      var $clone;
      var $argv;
      var $ac=__stackBase__+4;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      var $obj;
      var $7=__stackBase__+24;
      var $8;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $11=__stackBase__+48;
      var $12=__stackBase__+56;
      var $fun;
      var $13=__stackBase__+64;
      var $fun1;
      var $14=__stackBase__+72;
      var $15=__stackBase__+80;
      var $16=__stackBase__+88;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $17=$3; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $20=$2; //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($20, ((STRING_TABLE.__str251544)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 2723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 2724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $22=$4; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22+16)|0); //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$23; //@line 2727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN22JSAutoEnterCompartmentC1Ev($ac); //@line 2729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$argv; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=(($24)|0); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$5; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$25; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_JSVAL_IS_PRIMITIVE589($5); //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=0; //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 8; break; } else { __label__ = 4; break; } //@line 2730 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $31=$argv; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31)|0); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$6; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$32; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=_JSVAL_TO_OBJECT590($6); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=__ZNK8JSObject25isCrossCompartmentWrapperEv($35); //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 2731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $38=$argv; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=(($38)|0); //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$7; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$39; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=_JSVAL_TO_OBJECT590($7); //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=__ZN8JSObject6unwrapEPj($42, 0); //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$43; //@line 2733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$2; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$obj; //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=__ZN22JSAutoEnterCompartment5enterEP9JSContextP8JSObject($ac, $44, $45); //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($46) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 2734 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 15; break; //@line 2735 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $49=$argv; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=(($49)|0); //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$obj; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($9, $51); //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$50; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=$9; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($52)>>2)]=HEAP32[(($53)>>2)];HEAP32[(($52+4)>>2)]=HEAP32[(($53+4)>>2)]; //@line 2736 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 2737 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $55=$argv; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55)|0); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$10; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$56; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($57)>>2)]=HEAP32[(($58)>>2)];HEAP32[(($57+4)>>2)]=HEAP32[(($58+4)>>2)]; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=_JSVAL_IS_PRIMITIVE589($10); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=(($59)|0)!=0; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($60) { __label__ = 11; break; } else { __label__ = 9; break; } //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $62=$argv; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=(($62)|0); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=$11; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$63; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($64)>>2)]=HEAP32[(($65)>>2)];HEAP32[(($64+4)>>2)]=HEAP32[(($65+4)>>2)]; //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=_JSVAL_TO_OBJECT590($11); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=__ZNK8JSObject10isFunctionEv($66); //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($67) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2738 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $69=$argv; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=(($69)|0); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=$12; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=$70; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($71)>>2)]=HEAP32[(($72)>>2)];HEAP32[(($71+4)>>2)]=HEAP32[(($72+4)>>2)]; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=_JSVAL_TO_OBJECT590($12); //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $funobj=$73; //@line 2739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 2740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $75=$2; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=$argv; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=(($76)|0); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=$13; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=$77; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($78)>>2)]=HEAP32[(($79)>>2)];HEAP32[(($78+4)>>2)]=HEAP32[(($79+4)>>2)]; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=_JS_ValueToFunction($75, $13); //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fun=$80; //@line 2741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=$fun; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $82=(($81)|0)!=0; //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($82) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 2742 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      $1=0; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 15; break; //@line 2743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $85=$fun; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $86=_JS_GetFunctionObject($85); //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $funobj=$86; //@line 2744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break;
    case 14: 
      $8=0; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      __ZN22JSAutoEnterCompartmentD1Ev($ac); //@line 2746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $cleanup_dest=$8;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 16; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 29; break;
      }
      else {
      __label__ = 30; break;
      }
      
    case 16: 
      var $90=$funobj; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$90; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=__ZNK2js2gc4Cell11compartmentEv($91); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=$2; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=(($93+56)|0); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=HEAP32[(($94)>>2)]; //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $96=(($92)|0)!=(($95)|0); //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($96) { __label__ = 17; break; } else { __label__ = 21; break; } //@line 2747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $98=$funobj; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=__ZNK8JSObject18getFunctionPrivateEv($98); //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fun1=$99; //@line 2748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=$fun1; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=__ZNK10JSFunction13isInterpretedEv($100); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($101) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $103=$fun1; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $104=(($103+60)|0); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=$104; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=(($105)|0); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $108=$107; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $109=(($108+36)|0); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $110=HEAPU8[($109)]; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=(($110)&255) >>> 4; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=$111 & 1; //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=(($112) & 1); //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($113) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $115=$2; //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($115, 2, 0, 222, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str252545)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str253546)|0),tempInt)); //@line 2750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 2752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      __label__ = 21; break; //@line 2754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $118=$3; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $119=(($118)>>>0) > 1; //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($119) { __label__ = 22; break; } else { __label__ = 25; break; } //@line 2756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $121=$2; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $122=$argv; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $123=(($122+8)|0); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $124=$14; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $125=$123; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($124)>>2)]=HEAP32[(($125)>>2)];HEAP32[(($124+4)>>2)]=HEAP32[(($125+4)>>2)]; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $126=_JS_ValueToObject($121, $14, $parent); //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $127=(($126)|0)!=0; //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($127) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 2757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      $1=0; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 2758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      __label__ = 26; break; //@line 2759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $131=$2; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $132=$4; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $133=(($132)|0); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $134=$15; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $135=$133; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($134)>>2)]=HEAP32[(($135)>>2)];HEAP32[(($134+4)>>2)]=HEAP32[(($135+4)>>2)]; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $136=_JSVAL_TO_OBJECT590($15); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $137=_JS_GetParent($131, $136); //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($parent)>>2)]=$137; //@line 2760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 26; break;
    case 26: 
      var $139=$2; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $140=$funobj; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $141=HEAP32[(($parent)>>2)]; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $142=_JS_CloneFunctionObject($139, $140, $141); //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $clone=$142; //@line 2763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $143=$clone; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $144=(($143)|0)!=0; //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($144) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 2764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      $1=0; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 2765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $147=$4; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $148=$clone; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($16, $148); //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $149=$147; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $150=$16; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($149)>>2)]=HEAP32[(($150)>>2)];HEAP32[(($149+4)>>2)]=HEAP32[(($150+4)>>2)]; //@line 2766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 2767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      var $152=$1; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $152; //@line 2768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 30: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5CloneP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL11EvalInFrameP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argv;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      var $upCount;
      var $7=__stackBase__+16;
      var $str;
      var $8=__stackBase__+24;
      var $saveCurrent;
      var $9=__stackBase__+32;
      var $10=__stackBase__+40;
      var $fi=__stackBase__+48;
      var $i;
      var $fp;
      var $saved;
      var $length=__stackBase__+88;
      var $chars;
      var $ok;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $11=$4; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+16)|0); //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $argv=$12; //@line 3052 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$3; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)>>>0) < 2; //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 3053 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $16=$argv; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0); //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$5; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$17; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=_JSVAL_IS_INT622($5); //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=0; //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3054 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $23=$argv; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23+8)|0); //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$6; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$24; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_JSVAL_IS_STRING593($6); //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=(($27)|0)!=0; //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($28) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3055 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $30=$2; //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($30, ((STRING_TABLE.__str241534)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3056 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 24; break; //@line 3057 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $32=$argv; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=(($32)|0); //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$7; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$33; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($34)>>2)]=HEAP32[(($35)>>2)];HEAP32[(($34+4)>>2)]=HEAP32[(($35+4)>>2)]; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=_JSVAL_TO_INT623($7); //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $upCount=$36; //@line 3060 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$argv; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37+8)|0); //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$8; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$38; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($39)>>2)]=HEAP32[(($40)>>2)];HEAP32[(($39+4)>>2)]=HEAP32[(($40+4)>>2)]; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=_JSVAL_TO_STRING594($8); //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$41; //@line 3061 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$3; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=(($42)>>>0) >= 3; //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($43) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 3065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $45=$argv; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45+16)|0); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$9; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$46; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($47)>>2)]=HEAP32[(($48)>>2)];HEAP32[(($47+4)>>2)]=HEAP32[(($48+4)>>2)]; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=_JSVAL_IS_BOOLEAN617($9); //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=(($49)|0)!=0; //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($50) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3063 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $52=$argv; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=(($52+16)|0); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=$10; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=$53; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($54)>>2)]=HEAP32[(($55)>>2)];HEAP32[(($54+4)>>2)]=HEAP32[(($55+4)>>2)]; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=_JSVAL_TO_BOOLEAN624($10); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=(($56)|0)!=0; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$57 ^ 1; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$58 ^ 1; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62 = $59;__label__ = 9; break; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $62 = 0;__label__ = 9; break; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $62; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=(($62)&1); //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $saveCurrent=$63; //@line 3064 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=$2; //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE($fi, $64, 0); //@line 3069 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $66=$i; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=$upCount; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=(($66)>>>0) < (($67)>>>0); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($68) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $70=__ZNK2js13FrameRegsIter2fpEv($fi); //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=__ZNK2js10StackFrame4prevEv($70); //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=(($71)|0)!=0; //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($72) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 3071 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      __label__ = 15; break; //@line 3072 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      __label__ = 14; break; //@line 3073 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $76=$i; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=(($76+1)|0); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$77; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=__ZN2js13FrameRegsIterppEv($fi); //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 3070 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $80=__ZNK2js13FrameRegsIter2fpEv($fi); //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fp=$80; //@line 3075 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=$fp; //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $82=__ZNK2js10StackFrame13isScriptFrameEv($81); //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($82) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3076 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $84=$2; //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($84, ((STRING_TABLE.__str242535)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3077 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 24; break; //@line 3078 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      $saved=0; //@line 3081 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $86=$saveCurrent; //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=(($86) & 1); //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($87) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 3082 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $89=$2; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=_JS_SaveFrameChain($89); //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $saved=$90; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 3083 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $92=$2; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=$str; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=_JS_GetStringCharsAndLength($92, $93, $length); //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $chars=$94; //@line 3086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=$chars; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $96=(($95)|0)!=0; //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($96) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      $1=0; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 24; break; //@line 3088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $99=$2; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=$fp; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=__ZN2jsL8JsvalifyEPNS_10StackFrameE625($100); //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=$chars; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $103=HEAP32[(($length)>>2)]; //@line 3090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $104=$fp; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=__ZNK2js10StackFrame6scriptEv($104); //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=(($105+52)|0); //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=HEAP32[(($106)>>2)]; //@line 3091 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $108=$2; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $109=$fp; //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $110=__ZNK2js10StackFrame6scriptEv($109); //@line 3092 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=__ZNK2js13FrameRegsIter2pcEv($fi); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=_JS_PCToLineNumber($108, $110, $111); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=$4; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=_JS_EvaluateUCInStackFrame($99, $101, $102, $103, $107, $112, $113); //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$114; //@line 3093 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $115=$saved; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $116=(($115)|0)!=0; //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($116) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 3096 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $118=$2; //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_RestoreFrameChain($118); //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 3097 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $120=$ok; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$120; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 24; break; //@line 3099 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $122=$1; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $122; //@line 3100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11EvalInFrameP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL7ShapeOfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $5=__stackBase__+8;
      var $obj;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$3; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)>>>0) < 1; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $11=$4; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+16)|0); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$v; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$13; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$5; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$v; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=_JSVAL_IS_OBJECT620($5); //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3106 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $21=$2; //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($21, ((STRING_TABLE.__str240533)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3107 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3108 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $23=$6; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$v; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=_JSVAL_TO_OBJECT590($6); //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$25; //@line 3110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$obj; //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=(($26)|0)!=0; //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 3111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $29=$4; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$29; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[((_JSVAL_ZERO)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[((_JSVAL_ZERO+4)>>2)]; //@line 3112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $32=$obj; //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=__ZNK8JSObject8isNativeEv($32); //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($33) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $35=$4; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _INT_TO_JSVAL592($7, -1); //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$35; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$7; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($36)>>2)]=HEAP32[(($37)>>2)];HEAP32[(($36+4)>>2)]=HEAP32[(($37+4)>>2)]; //@line 3116 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $39=$2; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$obj; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=__ZNK8JSObject5shapeEv($40); //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41)>>>0); //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$4; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=_JS_NewNumberValue($39, $42, $43); //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$44; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $46=$1; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $46; //@line 3120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7ShapeOfP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL8ResolverP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $referent=__stackBase__;
      var $proto=__stackBase__+4;
      var $result;
      var $5=__stackBase__+8;
      var $6=__stackBase__+16;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      HEAP32[(($proto)>>2)]=0; //@line 3226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$2; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$3; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$4; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9+16)|0); //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JS_ConvertArguments($7, $8, $10, ((STRING_TABLE.__str239532)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$referent,HEAP32[((tempInt+4)>>2)]=$proto,tempInt)); //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)!=0; //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=$3; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)>>>0) > 1; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $20 = 376;__label__ = 6; break; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $20 = 378;__label__ = 6; break; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $20; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$2; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[(($proto)>>2)]; //@line 3230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$2; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=HEAP32[(($referent)>>2)]; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=_JS_GetParent($23, $24); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=FUNCTION_TABLE[$20]($21, __ZL14resolver_class, $22, $25); //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $result=$26; //@line 3232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$result; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=(($27)|0)!=0; //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 3233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $31=$2; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$result; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=HEAP32[(($referent)>>2)]; //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($5, $33); //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_JS_SetReservedSlot($31, $32, 0, $5); //@line 3236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$4; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$result; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($6, $36); //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$35; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$6; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 3237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3238 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $40=$1; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 3239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL8ResolverP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL5SnarfP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $5=__stackBase__;
      var $filename=__stackBase__+8;
      var $6;
      var $fp;
      var $script;
      var $pathname;
      var $pnGuard=__stackBase__+12;
      var $opt;
      var $7=__stackBase__+20;
      var $match=__stackBase__+28;
      var $obj;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $10=$3; //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3952 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 26; break; //@line 3953 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$2; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$4; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15+16)|0); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$5; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$17; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=_JS_ValueToString($14, $5); //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$20; //@line 3955 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$str; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3956 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 26; break; //@line 3957 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $25=$2; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$str; //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($filename, $25, $26); //@line 3958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=__ZNK16JSAutoByteStringntEv($filename); //@line 3959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 25; break; //@line 3960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $30=$2; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=_JS_GetScriptedCaller($30, 0); //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fp=$31; //@line 3963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$2; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$fp; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_JS_GetFrameScript($32, $33); //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$34; //@line 3964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=__ZNK16JSAutoByteString3ptrEv($filename); //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $pathname=$35; //@line 3966 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$2; //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN12FreeOnReturnC1EP9JSContextPKc($pnGuard, $36, 0); //@line 3968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$pathname; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37)|0); //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=HEAP8[($38)]; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39 << 24) >> 24); //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40)|0)!=47; //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 3969 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $43=$2; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$script; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=(($44+52)|0); //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$pathname; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=__ZL20MakeAbsolutePathnameP9JSContextPKcS2_($43, $46, $47); //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $pathname=$48; //@line 3970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$pathname; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=(($49)|0)!=0; //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($50) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 24; break; //@line 3972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $53=$pathname; //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN12FreeOnReturn4initEPKc($pnGuard, $53); //@line 3973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 3974 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $55=$3; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55)>>>0) > 1; //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($56) { __label__ = 12; break; } else { __label__ = 21; break; } //@line 3977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $58=$2; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$4; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=(($59+16)|0); //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=(($60+8)|0); //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$7; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$61; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[(($63)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[(($63+4)>>2)]; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=_JS_ValueToString($58, $7); //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $opt=$64; //@line 3978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$opt; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=(($65)|0)!=0; //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($66) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 3979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      $1=0; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 24; break; //@line 3980 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $69=$2; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=$opt; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=_JS_StringEqualsAscii($69, $70, ((STRING_TABLE.__str231524)|0), $match); //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=(($71)|0)!=0; //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($72) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 3982 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      $1=0; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 24; break; //@line 3983 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $75=HEAP32[(($match)>>2)]; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=(($75)|0)!=0; //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($76) { __label__ = 17; break; } else { __label__ = 20; break; } //@line 3984 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $78=$2; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=$pathname; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=__ZL16FileAsTypedArrayP9JSContextPKc($78, $79); //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$80; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=(($80)|0)!=0; //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($81) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 3986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      $1=0; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 24; break; //@line 3987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $84=$4; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=$obj; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($8, $85); //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $86=$84; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=$8; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($86)>>2)]=HEAP32[(($87)>>2)];HEAP32[(($86+4)>>2)]=HEAP32[(($87+4)>>2)]; //@line 3988 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 24; break; //@line 3989 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      __label__ = 21; break; //@line 3991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $90=$2; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$pathname; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=__ZL12FileAsStringP9JSContextPKc($90, $91); //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$92; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=(($92)|0)!=0; //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($93) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 3993 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      $1=0; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 24; break; //@line 3994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $96=$4; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $97=$str; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($9, $97); //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $98=$96; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=$9; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($98)>>2)]=HEAP32[(($99)>>2)];HEAP32[(($98+4)>>2)]=HEAP32[(($99+4)>>2)]; //@line 3995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 24; break; //@line 3996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      __ZN12FreeOnReturnD1Ev($pnGuard); //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break;
    case 25: 
      __ZN16JSAutoByteStringD1Ev($filename); //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 26; break;
    case 26: 
      var $103=$1; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $103; //@line 3997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5SnarfP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL7CompileP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $arg0=__stackBase__;
      var $5=__stackBase__+8;
      var $typeName;
      var $6=__stackBase__+16;
      var $fakeGlobal;
      var $scriptContents;
      var $7=__stackBase__+24;
      var $oldopts;
      var $ok;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$3; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)>>>0) < 1; //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $11=$2; //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($11, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str51344)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str225518)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str226519)|0),tempInt)); //@line 3865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $13=$4; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13+16)|0); //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14)|0); //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$arg0; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$15; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 3869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$5; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$arg0; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=_JSVAL_IS_STRING593($5); //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=0; //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3870 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $23=$2; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$2; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$6; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$arg0; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_JS_TypeOfValue($24, $6); //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_JS_GetTypeName($23, $27); //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $typeName=$28; //@line 3871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$2; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$typeName; //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($29, ((STRING_TABLE.__str229522)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$30,tempInt)); //@line 3872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $32=$2; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=_JS_NewGlobalObject($32, __ZZL7CompileP9JSContextjPN2JS5ValueEE11dummy_class); //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fakeGlobal=$33; //@line 3886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$fakeGlobal; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)!=0; //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $38=$7; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$arg0; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=_JSVAL_TO_STRING594($7); //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $scriptContents=$40; //@line 3890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$2; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=_JS_GetOptions($41); //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $oldopts=$42; //@line 3892 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$2; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$oldopts; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$44 | 16; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$45 | 4096; //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=_JS_SetOptions($43, $46); //@line 3893 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$2; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$fakeGlobal; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$2; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$scriptContents; //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=_JS_GetStringCharsZ($50, $51); //@line 3894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=$scriptContents; //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=_JS_GetStringLength($53); //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=_JS_CompileUCScript($48, $49, $52, $54, ((STRING_TABLE.__str228521)|0), 0); //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55)|0)!=0; //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=(($56)&1); //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$57; //@line 3895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$2; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$oldopts; //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=_JS_SetOptions($58, $59); //@line 3896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=$4; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$61; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($62)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($62+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 3898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$ok; //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=(($63) & 1); //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=(($64)&1); //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$65; //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $67=$1; //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $67; //@line 3900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7CompileP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL13EvalInContextP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str=__stackBase__;
      var $sobj=__stackBase__+4;
      var $srclen=__stackBase__+8;
      var $src;
      var $lazy;
      var $5=__stackBase__+12;
      var $fp;
      var $script;
      var $pc;
      var $rval=__stackBase__+20;
      var $ac=__stackBase__+28;
      var $flags=__stackBase__+32;
      var $unwrapped;
      var $6;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      HEAP32[(($sobj)>>2)]=0; //@line 2985 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$2; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$3; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$4; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9+16)|0); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JS_ConvertArguments($7, $8, $10, ((STRING_TABLE.__str243536)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$str,HEAP32[((tempInt+4)>>2)]=$sobj,tempInt)); //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)!=0; //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2986 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 33; break; //@line 2987 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=$2; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=HEAP32[(($str)>>2)]; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JS_GetStringCharsAndLength($15, $16, $srclen); //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $src=$17; //@line 2990 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$src; //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2991 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 33; break; //@line 2992 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $lazy=0; //@line 2994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[(($srclen)>>2)]; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)==4; //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 12; break; } //@line 2995 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $25=$src; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=HEAPU16[(($26)>>1)]; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=(($27)&65535); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)==108; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 11; break; } //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $31=$src; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31+2)|0); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=HEAPU16[(($32)>>1)]; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33)&65535); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)==97; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 8; break; } else { __label__ = 11; break; } //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $37=$src; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37+4)|0); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=HEAPU16[(($38)>>1)]; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39)&65535); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40)|0)==122; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $43=$src; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($43+6)|0); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=HEAPU16[(($44)>>1)]; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45)&65535); //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($46)|0)==121; //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2996 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      $lazy=1; //@line 2997 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($srclen)>>2)]=0; //@line 2998 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2999 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      __label__ = 12; break; //@line 3000 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $51=HEAP32[(($sobj)>>2)]; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=(($51)|0)!=0; //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($52) { __label__ = 16; break; } else { __label__ = 13; break; } //@line 3002 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $54=$2; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=$lazy; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55) & 1); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=__ZL10NewSandboxP9JSContextb($54, $56); //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($sobj)>>2)]=$57; //@line 3003 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=HEAP32[(($sobj)>>2)]; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($58)|0)!=0; //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 3004 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      $1=0; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 33; break; //@line 3005 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      __label__ = 16; break; //@line 3006 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $63=HEAP32[(($srclen)>>2)]; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=(($63)|0)==0; //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($64) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 3008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $66=$4; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=HEAP32[(($sobj)>>2)]; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($5, $67); //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=$66; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$5; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($68)>>2)]=HEAP32[(($69)>>2)];HEAP32[(($68+4)>>2)]=HEAP32[(($69+4)>>2)]; //@line 3009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 33; break; //@line 3010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $71=$2; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=_JS_GetScriptedCaller($71, 0); //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fp=$72; //@line 3013 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=$2; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=$fp; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=_JS_GetFrameScript($73, $74); //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$75; //@line 3014 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=$2; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=$fp; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=_JS_GetFramePC($76, $77); //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $pc=$78; //@line 3015 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN22JSAutoEnterCompartmentC1Ev($ac); //@line 3018 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=HEAP32[(($sobj)>>2)]; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=__ZN8JSObject6unwrapEPj($79, $flags); //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $unwrapped=$80; //@line 3020 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=HEAP32[(($flags)>>2)]; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $82=$81 & 1; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $83=(($82)|0)!=0; //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($83) { __label__ = 19; break; } else { __label__ = 22; break; } //@line 3021 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $85=$unwrapped; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($sobj)>>2)]=$85; //@line 3022 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $86=$2; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=HEAP32[(($sobj)>>2)]; //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=__ZN22JSAutoEnterCompartment5enterEP9JSContextP8JSObject($ac, $86, $87); //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($88) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 3023 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      $1=0; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 29; break; //@line 3024 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      __label__ = 22; break; //@line 3025 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $92=$2; //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject($92, $sobj); //@line 3027 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=HEAP32[(($sobj)>>2)]; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=(($93)|0)!=0; //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($94) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 3028 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      $1=0; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 29; break; //@line 3029 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $97=HEAP32[(($sobj)>>2)]; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $98=__ZNK8JSObject8getClassEv($97); //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=(($98+4)|0); //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=$100 & 262144; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=(($101)|0)!=0; //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($102) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 3030 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $104=$2; //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($104, ((STRING_TABLE.__str244537)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3031 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 29; break; //@line 3032 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $106=$2; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=HEAP32[(($sobj)>>2)]; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $108=$src; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $109=HEAP32[(($srclen)>>2)]; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $110=$script; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=(($110+52)|0); //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=HEAP32[(($111)>>2)]; //@line 3034 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=$2; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=$script; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $115=$pc; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $116=_JS_PCToLineNumber($113, $114, $115); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $117=_JS_EvaluateUCScript($106, $107, $108, $109, $112, $116, $rval); //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $118=(($117)|0)!=0; //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($118) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 3036 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      $1=0; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $6=1;
      __label__ = 29; break; //@line 3038 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      $6=0; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 29; break; //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      __ZN22JSAutoEnterCompartmentD1Ev($ac); //@line 3040 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $cleanup_dest=$6;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 30; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 33; break;
      }
      else {
      __label__ = 34; break;
      }
      
    case 30: 
      var $123=$2; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $124=(($123+56)|0); //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $125=HEAP32[(($124)>>2)]; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $126=$2; //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $127=__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE($125, $126, $rval); //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($127) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 3042 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 31: 
      $1=0; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 33; break; //@line 3043 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      var $130=$4; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $131=$130; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $132=$rval; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($131)>>2)]=HEAP32[(($132)>>2)];HEAP32[(($131+4)>>2)]=HEAP32[(($132+4)>>2)]; //@line 3045 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 33; break; //@line 3046 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 33: 
      var $134=$1; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $134; //@line 3047 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 34: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13EvalInContextP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL5ParseP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 1024; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $arg0=__stackBase__;
      var $5=__stackBase__+8;
      var $typeName;
      var $6=__stackBase__+16;
      var $scriptContents;
      var $7=__stackBase__+24;
      var $parser=__stackBase__+32;
      var $8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$3; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9)>>>0) < 1; //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $12=$2; //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($12, 2, 0, 3, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str51344)|0),HEAP32[((tempInt+4)>>2)]=((STRING_TABLE.__str225518)|0),HEAP32[((tempInt+8)>>2)]=((STRING_TABLE.__str226519)|0),tempInt)); //@line 3906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$4; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14+16)|0); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0); //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$arg0; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$16; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 3910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$arg0; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JSVAL_IS_STRING593($5); //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $24=$2; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$2; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$6; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$arg0; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_JS_TypeOfValue($25, $6); //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JS_GetTypeName($24, $28); //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $typeName=$29; //@line 3912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$2; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$typeName; //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($30, ((STRING_TABLE.__str227520)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$31,tempInt)); //@line 3913 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 3914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $33=$7; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$arg0; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=_JSVAL_TO_STRING594($7); //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $scriptContents=$35; //@line 3917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$2; //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      FUNCTION_TABLE[__ZN2js6ParserC1EP9JSContextP12JSPrincipalsPNS_10StackFrameEb]($parser, $36, 0, 0, 1); //@line 3918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$2; //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$scriptContents; //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=_JS_GetStringCharsZ($37, $38); //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$scriptContents; //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=_JS_GetStringLength($40); //@line 3919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$2; //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=__ZNK9JSContext11findVersionEv($42); //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=__ZN2js6Parser4initEPKtjPKcj9JSVersion($parser, $39, $41, ((STRING_TABLE.__str228521)|0), 0, $43); //@line 3920 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=__ZN2js6Parser5parseEP8JSObject($parser, 0); //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45)|0)!=0; //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($46) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 8; break; //@line 3922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $49=$4; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$49; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($50)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($50+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 3923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 8; break; //@line 3924 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      FUNCTION_TABLE[__ZN2js6ParserD1Ev]($parser); //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break;
    case 9: 
      var $53=$1; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 3925 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL5ParseP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL7TimeoutP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $t=__stackBase__;
      var $5=__stackBase__+8;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)==0; //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$2; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(tempDoubleI32[0]=HEAP32[((__ZL16gTimeoutInterval)>>2)],tempDoubleI32[1]=HEAP32[((__ZL16gTimeoutInterval+4)>>2)],tempDoubleF64[0]); //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$4; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=_JS_NewNumberValue($9, $10, $11); //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$12; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$3; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14)>>>0) > 1; //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $17=$2; //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($17, ((STRING_TABLE.__str221514)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3758 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3759 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $19=$2; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$4; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20+16)|0); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$5; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$22; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=_JS_ValueToNumber($19, $5, $t); //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0)!=0; //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 3763 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3764 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $29=$4; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$29; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 3766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$2; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(tempDoubleI32[0]=HEAP32[(($t)>>2)],tempDoubleI32[1]=HEAP32[(($t+4)>>2)],tempDoubleF64[0]); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=__ZL15SetTimeoutValueP9JSContextd($31, $32); //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$33; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $35=$1; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $35; //@line 3768 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL7ElapsedP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $d;
      var $data;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $5=$3; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($5)|0)==0; //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 3773 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $d=0; //@line 3774 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$2; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=__ZL14GetContextDataP9JSContext($8); //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $data=$9; //@line 3775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$data; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 3776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $13=__Z14js_IntervalNowv(); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$data; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14)|0); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($13-$16)|0); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)>>>0); //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $d=$18; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 3777 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $20=$2; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$d; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$4; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=_JS_NewNumberValue($20, $21, $22); //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$23; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 3778 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $25=$2; //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($25, ((STRING_TABLE.__str221514)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 3781 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $27=$1; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $27; //@line 3782 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL6ParentP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $v=__stackBase__;
      var $5=__stackBase__+8;
      var $parent;
      var $6=__stackBase__+16;
      var $7=__stackBase__+24;
      var $op;
      var $8=__stackBase__+32;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $9=$3; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9)|0)!=1; //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $12=$2; //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($12, ((STRING_TABLE.__str221514)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 3789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$4; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14+16)|0); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0); //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$v; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$16; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 3792 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$v; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JSVAL_IS_PRIMITIVE589($5); //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 3793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $24=$2; //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($24, ((STRING_TABLE.__str222515)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 3795 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $26=$2; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$6; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$v; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($27)>>2)]=HEAP32[(($28)>>2)];HEAP32[(($27+4)>>2)]=HEAP32[(($28+4)>>2)]; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JSVAL_TO_OBJECT590($6); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=_JS_GetParent($26, $29); //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $parent=$30; //@line 3798 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$4; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$parent; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($7, $32); //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$31; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$7; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($33)>>2)]=HEAP32[(($34)>>2)];HEAP32[(($33+4)>>2)]=HEAP32[(($34+4)>>2)]; //@line 3799 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$parent; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35)|0)!=0; //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 3802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $38=$parent; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=__ZNK8JSObject8getClassEv($38); //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39+68)|0); //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40+4)|0); //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $op=$42; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$op; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($43)|0)!=0; //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($44) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 3803 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $46=$4; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$op; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$2; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$parent; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=FUNCTION_TABLE[$47]($48, $49); //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($8, $50); //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$46; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$8; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 3804 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      __label__ = 9; break; //@line 3805 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=1; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 3807 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $56=$1; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 3808 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL6ParentP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL15ParseLegacyJSONP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      var $str;
      var $6=__stackBase__+8;
      var $length=__stackBase__+16;
      var $chars;
      var $7=__stackBase__+20;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $8=$3; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)!=1; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $11=$4; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+16)|0); //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0); //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$5; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$13; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($14)>>2)]=HEAP32[(($15)>>2)];HEAP32[(($14+4)>>2)]=HEAP32[(($15+4)>>2)]; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_JSVAL_IS_STRING593($5); //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0)!=0; //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $19=$2; //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($19, 364, 0, 12, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str59352)|0),tempInt)); //@line 4170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 4171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $21=$4; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21+16)|0); //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0); //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$6; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$23; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($24)>>2)]=HEAP32[(($25)>>2)];HEAP32[(($24+4)>>2)]=HEAP32[(($25+4)>>2)]; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JSVAL_TO_STRING594($6); //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$26; //@line 4174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$2; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$str; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JS_GetStringCharsAndLength($27, $28, $length); //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $chars=$29; //@line 4177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$chars; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=(($30)|0)!=0; //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 4179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $34=$2; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$chars; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=HEAP32[(($length)>>2)]; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2JSL9NullValueEv619($7); //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$4; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=__ZN2js20ParseJSONWithReviverEP9JSContextPKtjRKN2JS5ValueEPS5_12DecodingMode($34, $35, $36, $7, $37, 1); //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$38; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 4180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $40=$1; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $40; //@line 4181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15ParseLegacyJSONP9JSContextjPN2JS5ValueE["X"]=1;

function __ZL27EnableStackWalkingAssertionP9JSContextjPN2JS5ValueE($cx, $argc, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5=__stackBase__;
      $2=$cx;
      $3=$argc;
      $4=$vp;
      var $6=$3; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)==0; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$4; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9+16)|0); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$5; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$11; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_JSVAL_IS_BOOLEAN617($5); //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14)|0)!=0; //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 4186 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $17=$2; //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($17, 364, 0, 12, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=((STRING_TABLE.__str60353)|0),tempInt)); //@line 4187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 4189 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $19=$4; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$19; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[((_JSVAL_VOID)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[((_JSVAL_VOID+4)>>2)]; //@line 4196 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 4197 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $22=$1; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $22; //@line 4198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10GetMaxArgsP9JSContextjPN2JS5ValueE($cx, $arg, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4=__stackBase__;
  $1=$cx;
  $2=$arg;
  $3=$vp;
  var $5=$3; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _INT_TO_JSVAL592($4, 491520); //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=$5; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=$4; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 4203 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return 1; //@line 4204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL10its_getterP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $val;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$vp;
      var $5=$1; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$2; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=_JS_GetPrivate($5, $6); //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$7; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $val=$8; //@line 4586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$4; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$val; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $13=$val; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16 = $13;__label__ = 4; break; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $16 = _JSVAL_VOID;__label__ = 4; break; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $16; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$9; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$16; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 4587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return 1; //@line 4588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL10its_setterP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $val;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $7=$2; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$3; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=_JS_GetPrivate($7, $8); //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$9; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $val=$10; //@line 4594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$val; //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)!=0; //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $14=$val; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$6; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$14; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$15; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 4596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $19=__Znwj(8); //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$19; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $val=$20; //@line 4600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$val; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $24=$2; //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportOutOfMemory($24); //@line 4602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $26=$2; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$val; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_JS_AddValueRoot($26, $27); //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=0; //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 6; break; } //@line 4606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $31=$val; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31)|0)==0; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $34=$31; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZdlPv($34); //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 4607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $1=0; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $37=$2; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$3; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$val; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$39; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=_JS_SetPrivate($37, $38, $40); //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41)|0)!=0; //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($42) { __label__ = 13; break; } else { __label__ = 10; break; } //@line 4611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $44=$2; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$val; //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=_JS_RemoveValueRoot($44, $45); //@line 4612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$val; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($47)|0)==0; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($48) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $50=$47; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZdlPv($50); //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 12; break; //@line 4613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      $1=0; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $53=$val; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=$6; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=$53; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=$54; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($55)>>2)]=HEAP32[(($56)>>2)];HEAP32[(($55+4)>>2)]=HEAP32[(($56+4)>>2)]; //@line 4617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 4618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $58=$1; //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $58; //@line 4619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10its_setterP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZL15its_addPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $idString=__stackBase__;
      var $valueString=__stackBase__+16;
      var $6=__stackBase__+32;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $8=HEAP32[((__ZL9its_noisy)>>2)]; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)!=0; //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4677 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=1; //@line 4678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 4678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $12=$2; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$4; //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierC1EP9JSContextii($idString, $12, $13, 0); //@line 4680 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=HEAP32[((_gOutFile)>>2)]; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$idString; //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=__ZN8ToString8getBytesEv($15); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_fprintf($14, ((STRING_TABLE.__str162455)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$16,tempInt)); //@line 4681 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$2; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$6; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$19; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN8ToStringC1EP9JSContextN2JS5ValueEi($valueString, $18, $6, 0); //@line 4682 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[((_gOutFile)>>2)]; //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=__ZN8ToString8getBytesEv($valueString); //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=_fprintf($22, ((STRING_TABLE.__str160453)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$23,tempInt)); //@line 4683 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4684 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __ZN8ToStringD1Ev($valueString); //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierD1Ev($idString); //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break;
    case 4: 
      var $26=$1; //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 4685 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15its_delPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $idString=__stackBase__;
      var $valueString=__stackBase__+16;
      var $6=__stackBase__+32;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $8=HEAP32[((__ZL9its_noisy)>>2)]; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)!=0; //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=1; //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 4691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $12=$2; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$4; //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierC1EP9JSContextii($idString, $12, $13, 0); //@line 4693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=HEAP32[((_gOutFile)>>2)]; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$idString; //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=__ZN8ToString8getBytesEv($15); //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_fprintf($14, ((STRING_TABLE.__str161454)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$16,tempInt)); //@line 4694 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$2; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$6; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$19; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN8ToStringC1EP9JSContextN2JS5ValueEi($valueString, $18, $6, 0); //@line 4695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[((_gOutFile)>>2)]; //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=__ZN8ToString8getBytesEv($valueString); //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=_fprintf($22, ((STRING_TABLE.__str160453)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$23,tempInt)); //@line 4696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4697 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __ZN8ToStringD1Ev($valueString); //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierD1Ev($idString); //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break;
    case 4: 
      var $26=$1; //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 4698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15its_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE($cx, $obj, $id, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $idString=__stackBase__;
      var $valueString=__stackBase__+16;
      var $6=__stackBase__+32;
      var $7;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$vp;
      var $8=HEAP32[((__ZL9its_noisy)>>2)]; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)!=0; //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=1; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 4704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $12=$2; //@line 4706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$4; //@line 4706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierC1EP9JSContextii($idString, $12, $13, 0); //@line 4706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=HEAP32[((_gOutFile)>>2)]; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$idString; //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=__ZN8ToString8getBytesEv($15); //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_fprintf($14, ((STRING_TABLE.__str159452)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$16,tempInt)); //@line 4707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$2; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$5; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$6; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$19; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($20)>>2)]=HEAP32[(($21)>>2)];HEAP32[(($20+4)>>2)]=HEAP32[(($21+4)>>2)]; //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN8ToStringC1EP9JSContextN2JS5ValueEi($valueString, $18, $6, 0); //@line 4708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[((_gOutFile)>>2)]; //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=__ZN8ToString8getBytesEv($valueString); //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=_fprintf($22, ((STRING_TABLE.__str160453)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$23,tempInt)); //@line 4709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 4710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __ZN8ToStringD1Ev($valueString); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierD1Ev($idString); //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break;
    case 4: 
      var $26=$1; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $26; //@line 4711 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15its_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $idString=__stackBase__;
      var $valueString=__stackBase__+16;
      var $7=__stackBase__+32;
      var $8;
      var $9=__stackBase__+40;
      var $10=__stackBase__+48;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $11=$2; //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$4; //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierC1EP9JSContextii($idString, $11, $12, 0); //@line 4716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=HEAP32[((__ZL9its_noisy)>>2)]; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0)!=0; //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $16=HEAP32[((_gOutFile)>>2)]; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$idString; //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=__ZN8ToString8getBytesEv($17); //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=_fprintf($16, ((STRING_TABLE.__str155448)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$18,tempInt)); //@line 4718 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$2; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$6; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$7; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$21; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($22)>>2)]=HEAP32[(($23)>>2)];HEAP32[(($22+4)>>2)]=HEAP32[(($23+4)>>2)]; //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN8ToStringC1EP9JSContextN2JS5ValueEi($valueString, $20, $7, 0); //@line 4719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=HEAP32[((_gOutFile)>>2)]; //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=__ZN8ToString8getBytesEv($valueString); //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_fprintf($24, ((STRING_TABLE.__str156449)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$25,tempInt)); //@line 4720 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN8ToStringD1Ev($valueString); //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 4721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $28=$4; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=__ZL12JSID_IS_ATOMi616($28); //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29)|0)!=0; //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 4723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=1; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 11; break; //@line 4724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $33=$idString; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=__ZN8ToString8getBytesEv($33); //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=_strcmp($34, ((STRING_TABLE.__str157450)|0)); //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35)|0)!=0; //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 4726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $38=$2; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$6; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$9; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$39; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($40)>>2)]=HEAP32[(($41)>>2)];HEAP32[(($40+4)>>2)]=HEAP32[(($41+4)>>2)]; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=_JS_ValueToBoolean($38, $9, __ZL9its_noisy); //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 4727 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $44=$idString; //@line 4728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=__ZN8ToString8getBytesEv($44); //@line 4728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=_strcmp($45, ((STRING_TABLE.__str158451)|0)); //@line 4728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($46)|0)!=0; //@line 4728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($47) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 4728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $49=$2; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$6; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$10; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$50; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($51)>>2)]=HEAP32[(($52)>>2)];HEAP32[(($51+4)>>2)]=HEAP32[(($52+4)>>2)]; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=_JS_ValueToBoolean($49, $10, __ZL13its_enum_fail); //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 4729 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      __label__ = 10; break;
    case 10: 
      $1=1; //@line 4731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $8=1;
      __label__ = 11; break; //@line 4731 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      __ZN13IdStringifierD1Ev($idString); //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=$1; //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $57; //@line 4732 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15its_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZL13its_enumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi($cx, $obj, $enum_op, $statep, $idp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $iterator;
      var $7=__stackBase__;
      var $8=__stackBase__+8;
      $2=$cx;
      $3=$obj;
      $4=$enum_op;
      $5=$statep;
      $6=$idp;
      var $9=$4; //@line 4744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ((($9)|0) == 0 || (($9)|0) == 1) {
        __label__ = 2; break;
      }
      else if ((($9)|0) == 2) {
        __label__ = 9; break;
      }
      else if ((($9)|0) == 3) {
        __label__ = 16; break;
      }
      else {
      __label__ = 17; break;
      }
      
    case 2: 
      var $11=HEAP32[((__ZL9its_noisy)>>2)]; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)!=0; //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 4747 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=HEAP32[((_gOutFile)>>2)]; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=_fprintf($14, ((STRING_TABLE.__str153446)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 4748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $17=$2; //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$3; //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=_JS_NewPropertyIterator($17, $18); //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $iterator=$19; //@line 4750 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$iterator; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=0; //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4751 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=0; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 4752 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $24=$5; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$iterator; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($7, $25); //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$24; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$7; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($26)>>2)]=HEAP32[(($27)>>2)];HEAP32[(($26+4)>>2)]=HEAP32[(($27+4)>>2)]; //@line 4754 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$6; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=0; //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4755 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $31=_INT_TO_JSID614(0); //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$6; //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($32)>>2)]=$31; //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 4756 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      __label__ = 17; break; //@line 4757 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $35=HEAP32[((__ZL13its_enum_fail)>>2)]; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35)|0)!=0; //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4760 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $38=$2; //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($38, ((STRING_TABLE.__str154447)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4761 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 4762 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $40=$5; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$8; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$40; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($41)>>2)]=HEAP32[(($42)>>2)];HEAP32[(($41+4)>>2)]=HEAP32[(($42+4)>>2)]; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=_JSVAL_TO_OBJECT590($8); //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $iterator=$43; //@line 4765 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$2; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$iterator; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$6; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=_JS_NextProperty($44, $45, $46); //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($47)|0)!=0; //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($48) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 4766 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      $1=0; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 4767 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $51=$6; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=_JSID_IS_VOID615($52); //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=(($53)|0)!=0; //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($54) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 4769 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      __label__ = 17; break; //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      __label__ = 16; break; //@line 4770 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $58=$5; //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$58; //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($59)>>2)]=HEAP32[((_JSVAL_NULL)>>2)];HEAP32[(($59+4)>>2)]=HEAP32[((_JSVAL_NULL+4)>>2)]; //@line 4775 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 4776 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      $1=1; //@line 4779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 4779 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $62=$1; //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $62; //@line 4780 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13its_enumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi["X"]=1;

function __ZL11its_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $idString=__stackBase__;
      $1=$cx;
      $2=$obj;
      $3=$id;
      $4=$flags;
      $5=$objp;
      var $6=HEAP32[((__ZL9its_noisy)>>2)]; //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)!=0; //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4786 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$1; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$3; //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierC1EP9JSContextii($idString, $9, $10, 0); //@line 4787 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=HEAP32[((_gOutFile)>>2)]; //@line 4788 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$idString; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=__ZN8ToString8getBytesEv($12); //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$4; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$14 & 1; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0)!=0; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$16 ? (((STRING_TABLE.__str150443)|0)) : (((__str89382)|0)); //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$4; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$18 & 2; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($19)|0)!=0; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$20 ? (((STRING_TABLE.__str151444)|0)) : (((__str89382)|0)); //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$4; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$22 & 4; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23)|0)!=0; //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$24 ? (((STRING_TABLE.__str152445)|0)) : (((__str89382)|0)); //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_fprintf($11, ((STRING_TABLE.__str149442)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$13,HEAP32[((tempInt+4)>>2)]=$17,HEAP32[((tempInt+8)>>2)]=$21,HEAP32[((tempInt+12)>>2)]=$25,tempInt)); //@line 4789 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierD1Ev($idString); //@line 4793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 4793 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      STACKTOP = __stackBase__;
      return 1; //@line 4794 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL11its_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE($cx, $obj, $type, $vp) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      $1=$cx;
      $2=$obj;
      $3=$type;
      $4=$vp;
      var $5=HEAP32[((__ZL9its_noisy)>>2)]; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($5)|0)!=0; //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4800 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $8=HEAP32[((_gOutFile)>>2)]; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$1; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$3; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JS_GetTypeName($9, $10); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=_fprintf($8, ((STRING_TABLE.__str148441)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$11,tempInt)); //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 4801 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$1; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$2; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$3; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$4; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=_JS_ConvertStub($14, $15, $16, $17); //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $18; //@line 4802 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12its_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $rootedVal;
      $1=$cx;
      $2=$obj;
      var $3=HEAP32[((__ZL9its_noisy)>>2)]; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $4=(($3)|0)!=0; //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 4809 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $6=HEAP32[((_gOutFile)>>2)]; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=_fprintf($6, ((STRING_TABLE.__str147440)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 4810 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $9=$1; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$2; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JS_GetPrivate($9, $10); //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$11; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $rootedVal=$12; //@line 4811 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$rootedVal; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0)!=0; //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 4812 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $16=$1; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$rootedVal; //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=_JS_RemoveValueRoot($16, $17); //@line 4813 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$1; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$2; //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JS_SetPrivate($19, $20, 0); //@line 4814 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$rootedVal; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)==0; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $25=$22; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZdlPv($25); //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 4815 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      __label__ = 7; break; //@line 4816 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      ;
      return; //@line 4817 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL16global_enumerateP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=$1; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $4=$2; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=_JS_EnumerateStandardClasses($3, $4); //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return $5; //@line 4994 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL14global_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $resolved=__stackBase__;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $7=$2; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$3; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$4; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=_JS_ResolveStandardClass($7, $8, $9, $resolved); //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5007 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 5008 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=HEAP32[(($resolved)>>2)]; //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($14)|0)!=0; //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5009 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $17=$3; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$6; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($18)>>2)]=$17; //@line 5010 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 5011 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=1; //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 5065 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $21=$1; //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $21; //@line 5067 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL15env_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE($cx, $obj, $id, $strict, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $rv;
      var $idstr=__stackBase__;
      var $7;
      var $valstr=__stackBase__+16;
      var $8=__stackBase__+32;
      var $9=__stackBase__+40;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$strict;
      $6=$vp;
      var $10=$2; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$4; //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierC1EP9JSContextii($idstr, $10, $11, 1); //@line 5085 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$idstr; //@line 5086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=__ZN8ToString5threwEv($12); //@line 5086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0)!=0; //@line 5086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5086 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 9; break; //@line 5087 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $17=$2; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$6; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$8; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$18; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($19)>>2)]=HEAP32[(($20)>>2)];HEAP32[(($19+4)>>2)]=HEAP32[(($20+4)>>2)]; //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN8ToStringC1EP9JSContextN2JS5ValueEi($valstr, $17, $8, 1); //@line 5088 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=__ZN8ToString5threwEv($valstr); //@line 5089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0)!=0; //@line 5089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5089 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 8; break; //@line 5090 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $25=$idstr; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=__ZN8ToString8getBytesEv($25); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=__ZN8ToString8getBytesEv($valstr); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_setenv($26, $27, 1); //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $rv=$28; //@line 5111 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$rv; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29)|0) < 0; //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $32=$2; //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$idstr; //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=__ZN8ToString8getBytesEv($33); //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=__ZN8ToString8getBytesEv($valstr); //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($32, ((STRING_TABLE.__str146439)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$34,HEAP32[((tempInt+4)>>2)]=$35,tempInt)); //@line 5114 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 8; break; //@line 5115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $37=$6; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN8ToString8getJSValEv($9, $valstr); //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$37; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$9; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($38)>>2)]=HEAP32[(($39)>>2)];HEAP32[(($38+4)>>2)]=HEAP32[(($39+4)>>2)]; //@line 5117 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 8; break; //@line 5119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      __ZN8ToStringD1Ev($valstr); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break;
    case 9: 
      __ZN13IdStringifierD1Ev($idstr); //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$1; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $42; //@line 5120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15env_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE["X"]=1;

function __ZL13env_enumerateP9JSContextP8JSObject($cx, $obj) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $evp;
      var $name;
      var $value;
      var $valstr;
      var $ok;
      var $4=__stackBase__;
      $2=$cx;
      $3=$obj;
      var $5=HEAP32[((__ZZL13env_enumerateP9JSContextP8JSObjectE9reflected)>>2)]; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($5)|0)!=0; //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=1; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 5131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $9=$2; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$3; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JS_GetPrivate($9, $10); //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$11; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $evp=$12; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $14=$evp; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $name=$15; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0)!=0; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 14; break; } //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $18=$name; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=_strchr($18, 61); //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $value=$19; //@line 5134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$value; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=0; //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      __label__ = 13; break; //@line 5136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $24=$value; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=(($24+1)|0); //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $value=$25; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP8[($24)]=0; //@line 5137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$2; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$value; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_JS_NewStringCopyZ($26, $27); //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $valstr=$28; //@line 5138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$valstr; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29)|0)!=0; //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($30) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 5139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $ok=0; //@line 5140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 5141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $33=$2; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$3; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$name; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$valstr; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($4, $36); //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=_JS_DefineProperty($33, $34, $35, $4, 0, 0, 1); //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$37; //@line 5142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break;
    case 10: 
      var $39=$value; //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39-1)|0); //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP8[($40)]=61; //@line 5145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$ok; //@line 5146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41)|0)!=0; //@line 5146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 5146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      $1=0; //@line 5147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 5147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      __label__ = 13; break; //@line 5148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $46=$evp; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($46+4)|0); //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $evp=$47; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 5133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      HEAP32[((__ZZL13env_enumerateP9JSContextP8JSObjectE9reflected)>>2)]=1; //@line 5150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 5151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 5151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $50=$1; //@line 5152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 5152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13env_enumerateP9JSContextP8JSObject["X"]=1;

function __ZL11env_resolveP9JSContextP8JSObjectijPS2_($cx, $obj, $id, $flags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $valstr;
      var $name;
      var $value;
      var $idstr=__stackBase__;
      var $7;
      var $8=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      $4=$id;
      $5=$flags;
      $6=$objp;
      var $9=$5; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$9 & 2; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=1; //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 5162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$2; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$4; //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13IdStringifierC1EP9JSContextii($idstr, $14, $15, 1); //@line 5164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$idstr; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=__ZN8ToString5threwEv($16); //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 12; break; //@line 5166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $21=$idstr; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=__ZN8ToString8getBytesEv($21); //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $name=$22; //@line 5168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$name; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=_getenv($23); //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $value=$24; //@line 5169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$value; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0)!=0; //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 5170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $28=$2; //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$value; //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=_JS_NewStringCopyZ($28, $29); //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $valstr=$30; //@line 5171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$valstr; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31)|0)!=0; //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 5172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 12; break; //@line 5173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $35=$2; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$3; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$name; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$valstr; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($8, $38); //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=_JS_DefineProperty($35, $36, $37, $8, 0, 0, 1); //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39)|0)!=0; //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 12; break; //@line 5176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $43=$3; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$6; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($44)>>2)]=$43; //@line 5178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 5179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      $1=1; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $7=1;
      __label__ = 12; break; //@line 5180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      __ZN13IdStringifierD1Ev($idstr); //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break;
    case 13: 
      var $48=$1; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $48; //@line 5181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11env_resolveP9JSContextP8JSObjectijPS2_["X"]=1;

function __Z5ShellP9JSContextPN2js3cli12OptionParserEPPc($cx, $op, $envp) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ar=__stackBase__;
      var $glob;
      var $5;
      var $ac=__stackBase__+8;
      var $envobj;
      var $result;
      $2=$cx;
      $3=$op;
      $4=$envp;
      var $6=$2; //@line 5420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN13JSAutoRequestC1EP9JSContext($ar, $6); //@line 5420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$3; //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=__ZNK2js3cli12OptionParser13getBoolOptionEc($7, 110); //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5426 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $10=HEAP8[(__ZL19enableTypeInference)]; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10) & 1); //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$11 ^ 1; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)&1); //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP8[(__ZL19enableTypeInference)]=$13; //@line 5427 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$2; //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=_JS_ToggleOptions($14, 262144); //@line 5428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 5429 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $17=$2; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=__ZL15NewGlobalObjectP9JSContext15CompartmentKind($17, 1); //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $glob=$18; //@line 5431 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$glob; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($19)|0)!=0; //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5432 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=1; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 14; break; //@line 5433 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      __ZN22JSAutoEnterCompartmentC1Ev($ac); //@line 5435 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$2; //@line 5436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$glob; //@line 5436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=__ZN22JSAutoEnterCompartment5enterEP9JSContextP8JSObject($ac, $23, $24); //@line 5436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5436 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=1; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 13; break; //@line 5437 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $28=$2; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$glob; //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetGlobalObject($28, $29); //@line 5439 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$2; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$glob; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=_JS_DefineObject($30, $31, ((STRING_TABLE.__str87380)|0), __ZL9env_class, 0, 0); //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $envobj=$32; //@line 5441 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$envobj; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33)|0)!=0; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $36=$2; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$envobj; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$4; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$38; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=_JS_SetPrivate($36, $37, $39); //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40)|0)!=0; //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=1; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 13; break; //@line 5443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $44=$2; //@line 5487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$glob; //@line 5487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$3; //@line 5487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=__ZL11ProcessArgsP9JSContextP8JSObjectPN2js3cli12OptionParserE($44, $45, $46); //@line 5487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $result=$47; //@line 5487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=HEAP8[(__ZL22enableDisassemblyDumps)]; //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=(($48) & 1); //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($49) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 5506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $51=$2; //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_DumpCompartmentBytecode($51); //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 12; break; //@line 5507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $53=$result; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$53; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 13; break; //@line 5509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      __ZN22JSAutoEnterCompartmentD1Ev($ac); //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break;
    case 14: 
      __ZN13JSAutoRequestD1Ev($ar); //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=$1; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $56; //@line 5510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__Z5ShellP9JSContextPN2js3cli12OptionParserEPPc["X"]=1;

function __ZN13JSAutoRequestC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1958 "../jsapi.h"
  __ZN13JSAutoRequestC2EP9JSContext($3, $4); //@line 1958 "../jsapi.h"
  ;
  return; //@line 1958 "../jsapi.h"
}


function __ZN22JSAutoEnterCompartmentC1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN22JSAutoEnterCompartmentC2Ev($2); //@line 2220 "../jsapi.h"
  ;
  return; //@line 2220 "../jsapi.h"
}


function __Z22ShellPrincipalsSubsumeP12JSPrincipalsS0_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return 1; //@line 5526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL12InitWatchdogP9JSRuntime($rt) {
  ;
  var __label__;

  var $1;
  $1=$rt;
  var $2=$1; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  HEAP32[((__ZL8gRuntime)>>2)]=$2; //@line 3668 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return 1; //@line 3669 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN2js3cli12OptionParser14setDescriptionEPKc($this, $description) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$description;
  var $3=$1;
  var $4=$2; //@line 274 "./jsoptparse.h"
  var $5=(($3+76)|0); //@line 274 "./jsoptparse.h"
  HEAP32[(($5)>>2)]=$4; //@line 274 "./jsoptparse.h"
  ;
  return; //@line 274 "./jsoptparse.h"
}


function __ZN2js3cli12OptionParser19setDescriptionWidthEj($this, $width) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$width;
  var $3=$1;
  var $4=$2; //@line 273 "./jsoptparse.h"
  var $5=(($3+80)|0); //@line 273 "./jsoptparse.h"
  HEAP32[(($5)>>2)]=$4; //@line 273 "./jsoptparse.h"
  ;
  return; //@line 273 "./jsoptparse.h"
}


function __ZN2js3cli12OptionParser12setHelpWidthEj($this, $width) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$width;
  var $3=$1;
  var $4=$2; //@line 272 "./jsoptparse.h"
  var $5=(($3+84)|0); //@line 272 "./jsoptparse.h"
  HEAP32[(($5)>>2)]=$4; //@line 272 "./jsoptparse.h"
  ;
  return; //@line 272 "./jsoptparse.h"
}


function __ZN2js3cli12OptionParser10setVersionEPKc($this, $version) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$version;
  var $3=$1;
  var $4=$2; //@line 271 "./jsoptparse.h"
  var $5=(($3+72)|0); //@line 271 "./jsoptparse.h"
  HEAP32[(($5)>>2)]=$4; //@line 271 "./jsoptparse.h"
  ;
  return; //@line 271 "./jsoptparse.h"
}


function __ZL11ProcessArgsP9JSContextP8JSObjectPN2js3cli12OptionParserE($cx, $obj, $op) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $filePaths=__stackBase__;
      var $codeChunks=__stackBase__+8;
      var $fpArgno;
      var $ccArgno;
      var $path;
      var $code;
      var $rval=__stackBase__+16;
      var $path1;
      $2=$cx;
      $3=$obj;
      $4=$op;
      var $5=$4; //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=__ZNK2js3cli12OptionParser13getBoolOptionEc($5, 97); //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 5335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $8=$2; //@line 5336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=_JS_ToggleOptions($8, 65536); //@line 5336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 5336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $11=$4; //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=__ZNK2js3cli12OptionParser13getBoolOptionEc($11, 109); //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 5338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      HEAP8[(__ZL15enableMethodJit)]=1; //@line 5339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$2; //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=_JS_ToggleOptions($14, 16384); //@line 5340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 5341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $17=$4; //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=__ZNK2js3cli12OptionParser13getBoolOptionEc($17, 106); //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 5348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      HEAP8[(__ZL14enableTraceJit)]=1; //@line 5349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$2; //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_JS_ToggleOptions($20, 2048); //@line 5350 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 5356 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $23=$4; //@line 5358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=__ZNK2js3cli12OptionParser13getBoolOptionEc($23, 112); //@line 5358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5358 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      HEAP8[(__ZL15enableProfiling)]=1; //@line 5359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$2; //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_JS_ToggleOptions($26, 32768); //@line 5360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 5361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $29=$4; //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=__ZNK2js3cli12OptionParser13getBoolOptionEc($29, 100); //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5363 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $32=$2; //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=_JS_GetRuntime($32); //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetRuntimeDebugMode($33, 1); //@line 5364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$2; //@line 5365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=_JS_SetDebugMode($34, 1); //@line 5365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 5366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $37=$4; //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=__ZNK2js3cli12OptionParser13getBoolOptionEc($37, 98); //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($38) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 5368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      HEAP8[(__ZL11printTiming)]=1; //@line 5369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 5369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $41=$4; //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=__ZNK2js3cli12OptionParser13getBoolOptionEc($41, 68); //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($42) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5371 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      HEAP8[(__ZL22enableDisassemblyDumps)]=1; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 5372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $45=$2; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$3; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$4; //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=__ZL14BindScriptArgsP9JSContextP8JSObjectPN2js3cli12OptionParserE($45, $46, $47); //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($48) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 5375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      $1=1; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 49; break; //@line 5376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $51=$4; //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZNK2js3cli12OptionParser20getMultiStringOptionEc($filePaths, $51, 102); //@line 5378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$4; //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZNK2js3cli12OptionParser20getMultiStringOptionEc($codeChunks, $52, 101); //@line 5379 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=__ZNK2js3cli16MultiStringRange5emptyEv($filePaths); //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($53) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $55=__ZNK2js3cli16MultiStringRange5emptyEv($codeChunks); //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($55) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $57=$4; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=__ZNK2js3cli12OptionParser12getStringArgEPKc($57, ((STRING_TABLE.__str120413)|0)); //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($58)|0)!=0; //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 21; break; } else { __label__ = 20; break; } //@line 5381 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $61=$2; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$3; //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL7ProcessP9JSContextP8JSObjectPKcb($61, $62, 0, 1); //@line 5382 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=HEAP32[((_gExitCode)>>2)]; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$63; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 49; break; //@line 5383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      __label__ = 22; break; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $66=__ZNK2js3cli16MultiStringRange5emptyEv($filePaths); //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($66) { __label__ = 23; break; } else { var $71 = 1;__label__ = 24; break; } //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $68=__ZNK2js3cli16MultiStringRange5emptyEv($codeChunks); //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$68 ^ 1; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71 = $69;__label__ = 24; break; //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $71;
      if ($71) { __label__ = 25; break; } else { __label__ = 39; break; } //@line 5386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $73=__ZNK2js3cli16MultiStringRange5emptyEv($filePaths); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($73) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $78 = -1;__label__ = 28; break; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $76=__ZNK2js3cli16MultiStringRange5argnoEv($filePaths); //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78 = $76;__label__ = 28; break; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $78; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fpArgno=$78; //@line 5387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=__ZNK2js3cli16MultiStringRange5emptyEv($codeChunks); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($79) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      var $84 = -1;__label__ = 31; break; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 30: 
      var $82=__ZNK2js3cli16MultiStringRange5argnoEv($codeChunks); //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84 = $82;__label__ = 31; break; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 31: 
      var $84; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ccArgno=$84; //@line 5388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=$fpArgno; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $86=$ccArgno; //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=(($85)>>>0) < (($86)>>>0); //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($87) { __label__ = 32; break; } else { __label__ = 35; break; } //@line 5389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      var $89=__ZNK2js3cli16MultiStringRange5frontEv($filePaths); //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $path=$89; //@line 5390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=$2; //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$3; //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=$path; //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL7ProcessP9JSContextP8JSObjectPKcb($90, $91, $92, 0); //@line 5391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=HEAP32[((_gExitCode)>>2)]; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=(($93)|0)!=0; //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($94) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 5392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 33: 
      var $96=HEAP32[((_gExitCode)>>2)]; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$96; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 49; break; //@line 5393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 34: 
      __ZN2js3cli16MultiStringRange8popFrontEv($filePaths); //@line 5394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 38; break; //@line 5395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 35: 
      var $99=__ZNK2js3cli16MultiStringRange5frontEv($codeChunks); //@line 5396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $code=$99; //@line 5396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=$2; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $101=$3; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=$code; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $103=$code; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $104=_strlen($103); //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=_JS_EvaluateScript($100, $101, $102, $104, ((STRING_TABLE.__str134427)|0), 1, $rval); //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=(($105)|0)!=0; //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($106) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 5398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 36: 
      $1=1; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 49; break; //@line 5399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 37: 
      __ZN2js3cli16MultiStringRange8popFrontEv($codeChunks); //@line 5400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 38; break;
    case 38: 
      __label__ = 22; break; //@line 5402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 39: 
      var $111=$4; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=__ZNK2js3cli12OptionParser12getStringArgEPKc($111, ((STRING_TABLE.__str120413)|0)); //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $path1=$112; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=$path1; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=(($113)|0)!=0; //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($114) { __label__ = 40; break; } else { __label__ = 43; break; } //@line 5405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 40: 
      var $116=$2; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $117=$3; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $118=$path1; //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL7ProcessP9JSContextP8JSObjectPKcb($116, $117, $118, 0); //@line 5406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $119=HEAP32[((_gExitCode)>>2)]; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $120=(($119)|0)!=0; //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($120) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 5407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 41: 
      var $122=HEAP32[((_gExitCode)>>2)]; //@line 5408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$122; //@line 5408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 49; break; //@line 5408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 42: 
      __label__ = 43; break; //@line 5409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 43: 
      var $125=$4; //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $126=__ZNK2js3cli12OptionParser13getBoolOptionEc($125, 105); //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($126) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 5411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 44: 
      var $128=$2; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $129=$3; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL7ProcessP9JSContextP8JSObjectPKcb($128, $129, 0, 1); //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 45; break; //@line 5412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 45: 
      var $131=HEAP32[((_gExitCode)>>2)]; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $132=(($131)|0)!=0; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($132) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 46: 
      var $134=HEAP32[((_gExitCode)>>2)]; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $137 = $134;__label__ = 48; break; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 47: 
      var $137 = 0;__label__ = 48; break; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 48: 
      var $137; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$137; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 49; break; //@line 5414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 49: 
      var $139=$1; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $139; //@line 5415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11ProcessArgsP9JSContextP8JSObjectPN2js3cli12OptionParserE["X"]=1;

function __ZN22JSAutoEnterCompartmentD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN22JSAutoEnterCompartmentD2Ev($2); //@line 2228 "../jsapi.h"
  ;
  return; //@line 2231 "../jsapi.h"
}


function __ZN13JSAutoRequestD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN13JSAutoRequestD2Ev($2); //@line 1959 "../jsapi.h"
  ;
  return; //@line 1961 "../jsapi.h"
}


function __Z17CheckObjectAccessP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueE($cx, $obj, $id, $mode, $vp) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$cx;
  $2=$obj;
  $3=$id;
  $4=$mode;
  $5=$vp;
  var $6=$1; //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZN2js10LeaveTraceEP9JSContext($6); //@line 5542 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return 1; //@line 5543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function _main($argc, $argv, $envp) {
  var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $stackDummy=__stackBase__;
      var $rt;
      var $cx;
      var $result;
      var $op=__stackBase__+4;
      var $5;
      $1=0;
      $2=$argc;
      $3=$argv;
      $4=$envp;
      var $6=_setlocale(0, ((__str89382)|0)); //@line 5582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$stackDummy; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[((__ZL10gStackBase)>>2)]=$7; //@line 5591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=HEAP32[((_stderr)>>2)]; //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL27MaybeOverrideOutFileFromEnvPKcP7__sFILEPS2_(((STRING_TABLE.__str90383)|0), $8, _gErrFile); //@line 5601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=HEAP32[((_stdout)>>2)]; //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL27MaybeOverrideOutFileFromEnvPKcP7__sFILEPS2_(((STRING_TABLE.__str91384)|0), $9, _gOutFile); //@line 5602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js3cli12OptionParserC1EPKc($op, ((STRING_TABLE.__str92385)|0)); //@line 5604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js3cli12OptionParser14setDescriptionEPKc($op, ((STRING_TABLE.__str93386)|0)); //@line 5606 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js3cli12OptionParser19setDescriptionWidthEj($op, 72); //@line 5611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js3cli12OptionParser12setHelpWidthEj($op, 80); //@line 5612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=_JS_GetImplementationVersion(); //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js3cli12OptionParser10setVersionEPKc($op, $10); //@line 5613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=__ZN2js3cli12OptionParser20addMultiStringOptionEcPKcS3_S3_($op, 102, ((STRING_TABLE.__str94387)|0), ((STRING_TABLE.__str95388)|0), ((STRING_TABLE.__str96389)|0)); //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 15; break; } //@line 5615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $13=__ZN2js3cli12OptionParser20addMultiStringOptionEcPKcS3_S3_($op, 101, ((STRING_TABLE.__str97390)|0), ((STRING_TABLE.__str98391)|0), ((STRING_TABLE.__str99392)|0)); //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 15; break; } //@line 5616 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 105, ((STRING_TABLE.__str100393)|0), ((STRING_TABLE.__str101394)|0)); //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($15) { __label__ = 4; break; } else { __label__ = 15; break; } //@line 5617 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $17=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 109, ((STRING_TABLE.__str102395)|0), ((STRING_TABLE.__str103396)|0)); //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($17) { __label__ = 5; break; } else { __label__ = 15; break; } //@line 5618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $19=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 106, ((STRING_TABLE.__str104397)|0), ((STRING_TABLE.__str105398)|0)); //@line 5619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 15; break; } //@line 5619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $21=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 112, ((STRING_TABLE.__str106399)|0), ((STRING_TABLE.__str107400)|0)); //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 7; break; } else { __label__ = 15; break; } //@line 5620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $23=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 110, ((STRING_TABLE.__str108401)|0), ((STRING_TABLE.__str109402)|0)); //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 15; break; } //@line 5621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $25=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 100, ((STRING_TABLE.__str110403)|0), ((STRING_TABLE.__str111404)|0)); //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($25) { __label__ = 9; break; } else { __label__ = 15; break; } //@line 5622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $27=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 97, ((STRING_TABLE.__str112405)|0), ((STRING_TABLE.__str113406)|0)); //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($27) { __label__ = 10; break; } else { __label__ = 15; break; } //@line 5623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $29=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 68, ((STRING_TABLE.__str114407)|0), ((STRING_TABLE.__str115408)|0)); //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 5627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $31=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 98, ((STRING_TABLE.__str116409)|0), ((STRING_TABLE.__str117410)|0)); //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($31) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 5628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $33=__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($op, 85, ((STRING_TABLE.__str118411)|0), ((STRING_TABLE.__str119412)|0)); //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($33) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 5633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $35=__ZN2js3cli12OptionParser20addOptionalStringArgEPKcS3_($op, ((STRING_TABLE.__str120413)|0), ((STRING_TABLE.__str121414)|0)); //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 5642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $37=__ZN2js3cli12OptionParser25addOptionalMultiStringArgEPKcS3_($op, ((STRING_TABLE.__str122415)|0), ((STRING_TABLE.__str123416)|0)); //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($37) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 5643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      $1=1; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      __ZN2js3cli12OptionParser23setArgTerminatesOptionsEPKcb($op, ((STRING_TABLE.__str120413)|0), 1); //@line 5649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$2; //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$3; //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=__ZN2js3cli12OptionParser9parseArgsEiPPc($op, $40, $41); //@line 5651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ((($42)|0) == 3) {
        __label__ = 17; break;
      }
      else if ((($42)|0) == 2) {
        __label__ = 18; break;
      }
      else if ((($42)|0) == 1) {
        __label__ = 19; break;
      }
      else if ((($42)|0) == 0) {
        __label__ = 20; break;
      }
      else {
      __label__ = 20; break;
      }
      
    case 17: 
      $1=0; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $45=$3; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45)|0); //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=__ZN2js3cli12OptionParser9printHelpEPKc($op, $47); //@line 5655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=1; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5656 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      $1=1; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5658 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $51=__ZNK2js3cli12OptionParser13getHelpOptionEv($op); //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($51) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 5663 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      $1=0; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5664 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $54=__ZNK2js3cli12OptionParser13getBoolOptionEc($op, 85); //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($54) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 5678 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      _JS_SetCStringsAreUTF8(); //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 24; break; //@line 5679 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $57=_JS_Init(33554432); //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $rt=$57; //@line 5689 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$rt; //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($58)|0)!=0; //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 5690 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      $1=1; //@line 5691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5691 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $62=$rt; //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetGCParameter($62, 0, -1); //@line 5693 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$rt; //@line 5695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetTrustedPrincipals($63, _shellTrustedPrincipals); //@line 5695 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=$rt; //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=_JS_SetRuntimeSecurityCallbacks($64, _securityCallbacks); //@line 5696 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=$rt; //@line 5698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=__ZL12InitWatchdogP9JSRuntime($66); //@line 5698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($67) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 5698 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      $1=1; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $70=$rt; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=__ZL10NewContextP9JSRuntime($70); //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $cx=$71; //@line 5701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=$cx; //@line 5702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=(($72)|0)!=0; //@line 5702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($73) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 5702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      $1=1; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 30: 
      var $76=$rt; //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetGCParameter($76, 6, 1); //@line 5705 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=$cx; //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetGCParameterForThread($77, 5, 16777216); //@line 5706 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=__ZNK2js3cli12OptionParser13getBoolOptionEc($op, 68); //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($78) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 5709 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 31: 
      var $80=$cx; //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=_JS_ToggleOptions($80, 131072); //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 32; break; //@line 5710 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      var $83=$cx; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84=$4; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=__Z5ShellP9JSContextPN2js3cli12OptionParserEPPc($83, $op, $84); //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $result=$85; //@line 5712 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $86=$cx; //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL14DestroyContextP9JSContextb($86, 1); //@line 5719 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL12KillWatchdogv(); //@line 5721 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=$rt; //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_Finish($87); //@line 5723 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ShutDown(); //@line 5724 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=$result; //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$88; //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $5=1;
      __label__ = 33; break; //@line 5725 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 33: 
      FUNCTION_TABLE[__ZN2js3cli12OptionParserD1Ev]($op); //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=$1; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $90; //@line 5726 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
Module["_main"] = _main;_main["X"]=1;

function __ZL27MaybeOverrideOutFileFromEnvPKcP7__sFILEPS2_($envVar, $defaultOut, $outFile) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $outPath;
      $1=$envVar;
      $2=$defaultOut;
      $3=$outFile;
      var $4=$1; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=_getenv($4); //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $outPath=$5; //@line 5517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$outPath; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)!=0; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$outPath; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=HEAP8[($9)]; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10 << 24) >> 24)!=0; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $13=$outPath; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_fopen($13, ((STRING_TABLE.__str133426)|0)); //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$3; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($15)>>2)]=$14; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($14)|0)!=0; //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $18=$2; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$3; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 5519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 5520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      ;
      return; //@line 5521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli12OptionParserC1EPKc($this, $usage) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$usage;
  var $3=$1;
  var $4=$2; //@line 262 "./jsoptparse.h"
  __ZN2js3cli12OptionParserC2EPKc($3, $4); //@line 262 "./jsoptparse.h"
  ;
  return; //@line 262 "./jsoptparse.h"
}


function __ZL10NewContextP9JSRuntime($rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $cx;
      var $data;
      $2=$rt;
      __label__ = 2; break; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $4=HEAP32[((__ZL8gRuntime)>>2)]; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=__ZL16ScheduleWatchdogP9JSRuntimed($4, -1); //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$2; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=HEAP32[((_gStackChunkSize)>>2)]; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=_JS_NewContext($6, $7); //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $cx=$8; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=HEAP32[((__ZL8gRuntime)>>2)]; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(tempDoubleI32[0]=HEAP32[((__ZL16gTimeoutInterval)>>2)],tempDoubleI32[1]=HEAP32[((__ZL16gTimeoutInterval+4)>>2)],tempDoubleF64[0]); //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=__ZL16ScheduleWatchdogP9JSRuntimed($9, $10); //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 5216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $13=$cx; //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0)!=0; //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 5218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $17=__ZL14NewContextDatav(); //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $data=$17; //@line 5220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$data; //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 5221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $21=$cx; //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL14DestroyContextP9JSContextb($21, 0); //@line 5222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 5223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $23=$cx; //@line 5226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$data; //@line 5226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$24; //@line 5226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetContextPrivate($23, $25); //@line 5226 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$cx; //@line 5227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_JS_SetErrorReporter($26, 380); //@line 5227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$cx; //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_JS_SetVersion($28, 185); //@line 5228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$cx; //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL17SetContextOptionsP9JSContext($30); //@line 5229 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=HEAP8[(__ZL14enableTraceJit)]; //@line 5230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31) & 1); //@line 5230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($32) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5230 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $34=$cx; //@line 5231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=_JS_ToggleOptions($34, 2048); //@line 5231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 5231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $37=HEAP8[(__ZL15enableMethodJit)]; //@line 5232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37) & 1); //@line 5232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($38) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 5232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $40=$cx; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=_JS_ToggleOptions($40, 16384); //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 5233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $43=HEAP8[(__ZL19enableTypeInference)]; //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($43) & 1); //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($44) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 5234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $46=$cx; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=_JS_ToggleOptions($46, 262144); //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 5235 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $49=$cx; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$49; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 5236 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $51=$1; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $51; //@line 5237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10NewContextP9JSRuntime["X"]=1;

function __ZL14DestroyContextP9JSContextb($cx, $withGC) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $data;
      $1=$cx;
      var $3=(($withGC)&1);
      $2=$3;
      var $4=$1; //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=__ZL14GetContextDataP9JSContext($4); //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $data=$5; //@line 5242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$1; //@line 5243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_SetContextPrivate($6, 0); //@line 5243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$data; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$7; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 5244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $10=HEAP32[((__ZL8gRuntime)>>2)]; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=__ZL16ScheduleWatchdogP9JSRuntimed($10, -1); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$2; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12) & 1); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=$1; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_DestroyContext($15); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $17=$1; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_DestroyContextNoGC($17); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 5; break; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $19=HEAP32[((__ZL8gRuntime)>>2)]; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(tempDoubleI32[0]=HEAP32[((__ZL16gTimeoutInterval)>>2)],tempDoubleI32[1]=HEAP32[((__ZL16gTimeoutInterval+4)>>2)],tempDoubleF64[0]); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=__ZL16ScheduleWatchdogP9JSRuntimed($19, $20); //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 5245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      ;
      return; //@line 5246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12KillWatchdogv() {
  ;
  var __label__;

  var $1=HEAP32[((__ZL8gRuntime)>>2)]; //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $2=__ZL16ScheduleWatchdogP9JSRuntimed($1, -1); //@line 3675 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 3676 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL16ScheduleWatchdogP9JSRuntimed($rt, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$rt;
      $2=$t;
      var $3=$2; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $4=$3 <= 0; //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3699 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $6=_alarm(0); //@line 3700 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=_signal(14, 0); //@line 3701 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 3702 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $9=_signal(14, 382); //@line 3703 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$2; //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_ceil($10); //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=($11 >= 0 ? Math.floor($11) : Math.ceil($11)); //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=_alarm($12); //@line 3704 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break;
    case 4: 
      ;
      return 1; //@line 3707 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL12AlarmHandleri($sig) {
  ;
  var __label__;

  var $1;
  $1=$sig;
  var $2=HEAP32[((__ZL8gRuntime)>>2)]; //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZL15CancelExecutionP9JSRuntime($2); //@line 3660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 3661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL15CancelExecutionP9JSRuntime($rt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $dummy;
      $1=$rt;
      HEAP8[(__ZL9gCanceled)]=1; //@line 3715 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $2=HEAP32[((_gExitCode)>>2)]; //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $3=(($2)|0)==0; //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3716 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      HEAP32[((_gExitCode)>>2)]=6; //@line 3717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 3; break; //@line 3717 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $6=$1; //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_TriggerAllOperationCallbacks($6); //@line 3722 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=_write(2, ((STRING_TABLE.__ZZL15CancelExecutionP9JSRuntimeE3msg)|0), 39); //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $dummy=$7; //@line 3728 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return; //@line 3733 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14GetContextDataP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  var $data;
  $1=$cx;
  var $2=$1; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $3=_JS_GetContextPrivate($2); //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $4=$3; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  $data=$4; //@line 375 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=$data; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return $5; //@line 378 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL14NewContextDatav() {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $data;
      var $2=HEAP8[(__ZL9gCanceled)]; //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $3=(($2) & 1); //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 361 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 362 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $6=_calloc(4, 1); //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=$6; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $data=$7; //@line 365 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$data; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)!=0; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 367 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $12=__Z14js_IntervalNowv(); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$data; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0); //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($14)>>2)]=$12; //@line 368 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$data; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$15; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 369 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $17=$1; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $17; //@line 370 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js3cli6detail6Option8isValuedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 0; //@line 84 "./jsoptparse.h"
}


function __ZNK2js3cli6detail6Option10isVariadicEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 0; //@line 87 "./jsoptparse.h"
}


function __ZN2js3cli6detail6OptionD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return; //@line 115 "./jsoptparse.h"
}


function __ZN2js3cli6detail6OptionC2ENS1_10OptionKindEcPKcS5_($this, $kind, $shortflag, $longflag, $help) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$kind;
  $3=$shortflag;
  $4=$longflag;
  $5=$help;
  var $6=$1;
  var $7=$6; //@line 77 "./jsoptparse.h"
  HEAP32[(($7)>>2)]=((__ZTVN2js3cli6detail6OptionE+8)|0); //@line 77 "./jsoptparse.h"
  var $8=(($6+4)|0); //@line 77 "./jsoptparse.h"
  var $9=$4; //@line 77 "./jsoptparse.h"
  HEAP32[(($8)>>2)]=$9; //@line 77 "./jsoptparse.h"
  var $10=(($6+8)|0); //@line 77 "./jsoptparse.h"
  var $11=$5; //@line 77 "./jsoptparse.h"
  HEAP32[(($10)>>2)]=$11; //@line 77 "./jsoptparse.h"
  var $12=(($6+12)|0); //@line 77 "./jsoptparse.h"
  var $13=$2; //@line 77 "./jsoptparse.h"
  HEAP32[(($12)>>2)]=$13; //@line 77 "./jsoptparse.h"
  var $14=(($6+16)|0); //@line 77 "./jsoptparse.h"
  var $15=$3; //@line 77 "./jsoptparse.h"
  HEAP8[($14)]=$15; //@line 77 "./jsoptparse.h"
  var $16=(($6+17)|0); //@line 77 "./jsoptparse.h"
  HEAP8[($16)]=0; //@line 77 "./jsoptparse.h"
  ;
  return; //@line 77 "./jsoptparse.h"
}


function __ZNK2js3cli16MultiStringRange5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 202 "./jsoptparse.h"
  var $4=HEAP32[(($3)>>2)]; //@line 202 "./jsoptparse.h"
  var $5=(($2+4)|0); //@line 202 "./jsoptparse.h"
  var $6=HEAP32[(($5)>>2)]; //@line 202 "./jsoptparse.h"
  var $7=(($4)|0)==(($6)|0); //@line 202 "./jsoptparse.h"
  ;
  return $7; //@line 202 "./jsoptparse.h"
}


function __ZL16my_ErrorReporterP9JSContextPKcP13JSErrorReport($cx, $message, $report) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $j;
      var $k;
      var $n;
      var $prefix;
      var $tmp;
      var $ctmp;
      $1=$cx;
      $2=$message;
      $3=$report;
      var $4=$3; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=(($4)|0)!=0; //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 4849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $7=HEAP32[((_gErrFile)>>2)]; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$2; //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=_fprintf($7, ((STRING_TABLE.__str124417)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$8,tempInt)); //@line 4850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=HEAP32[((_gErrFile)>>2)]; //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_fflush($10); //@line 4851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 46; break; //@line 4852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $13=$3; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13+24)|0); //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$15 & 1; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0)!=0; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $19=HEAP32[((__ZL14reportWarnings)>>2)]; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($19)|0)!=0; //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($20) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 4856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      __label__ = 46; break; //@line 4857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $prefix=0; //@line 4859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$3; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23)|0); //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0)!=0; //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 4860 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $28=$3; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0); //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=_JS_smprintf(((STRING_TABLE.__str125418)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$30,tempInt)); //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $prefix=$31; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 4861 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $33=$3; //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33+4)|0); //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35)|0)!=0; //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 4862 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $38=$prefix; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $tmp=$38; //@line 4863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$tmp; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39)|0)!=0; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($40) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $42=$tmp; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45 = $42;__label__ = 12; break; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $45 = ((__str89382)|0);__label__ = 12; break; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $45; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$3; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($46+4)|0); //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=HEAP32[(($47)>>2)]; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=_JS_smprintf(((STRING_TABLE.__str126419)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$45,HEAP32[((tempInt+4)>>2)]=$48,tempInt)); //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $prefix=$49; //@line 4864 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$1; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$tmp; //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($50, $51); //@line 4865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 4866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $53=$3; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=(($53+24)|0); //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=$55 & 1; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=(($56)|0)!=0; //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($57) { __label__ = 14; break; } else { __label__ = 18; break; } //@line 4867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $59=$prefix; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $tmp=$59; //@line 4868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=$tmp; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=(($60)|0)!=0; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($61) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $63=$tmp; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66 = $63;__label__ = 17; break; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $66 = ((__str89382)|0);__label__ = 17; break; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $66; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=$3; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=(($67+24)|0); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=HEAP32[(($68)>>2)]; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=$69 & 4; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=(($70)|0)!=0; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=$71 ? (((STRING_TABLE.__str128421)|0)) : (((__str89382)|0)); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=_JS_smprintf(((STRING_TABLE.__str127420)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$66,HEAP32[((tempInt+4)>>2)]=$72,tempInt)); //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $prefix=$73; //@line 4869 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=$1; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=$tmp; //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($74, $75); //@line 4872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 4873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      __label__ = 19; break; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $78=$2; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=_strchr($78, 10); //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ctmp=$79; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=(($79)|0)!=0; //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($80) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 4876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $82=$ctmp; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $83=(($82+1)|0); //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ctmp=$83; //@line 4877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84=$prefix; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=(($84)|0)!=0; //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($85) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 4878 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $87=$prefix; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=HEAP32[((_gErrFile)>>2)]; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $89=_fputs($87, $88); //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 22; break; //@line 4879 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $91=$2; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=$ctmp; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $93=$2; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=$92; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=$93; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $96=(($94-$95)|0); //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $97=HEAP32[((_gErrFile)>>2)]; //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $98=_fwrite($91, 1, $96, $97); //@line 4880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=$ctmp; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $2=$99; //@line 4881 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 4882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $101=$prefix; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $102=(($101)|0)!=0; //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($102) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 4885 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $104=$prefix; //@line 4886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=HEAP32[((_gErrFile)>>2)]; //@line 4886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=_fputs($104, $105); //@line 4886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 4886 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $108=$2; //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $109=HEAP32[((_gErrFile)>>2)]; //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $110=_fputs($108, $109); //@line 4887 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=$3; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=(($111+8)|0); //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=HEAP32[(($112)>>2)]; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=(($113)|0)!=0; //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($114) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 4889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $116=HEAP32[((_gErrFile)>>2)]; //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $117=_fputc(10, $116); //@line 4890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 40; break; //@line 4891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $119=$3; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $120=(($119+8)|0); //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $121=HEAP32[(($120)>>2)]; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $122=_strlen($121); //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $n=$122; //@line 4895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $123=HEAP32[((_gErrFile)>>2)]; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $124=$prefix; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $125=$3; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $126=(($125+8)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $128=$n; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $129=(($128)|0) > 0; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($129) { __label__ = 28; break; } else { var $141 = 0;__label__ = 29; break; } //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $131=$n; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $132=(($131-1)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $133=$3; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $134=(($133+8)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $135=HEAP32[(($134)>>2)]; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $136=(($135+$132)|0); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $137=HEAP8[($136)]; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $138=(($137 << 24) >> 24); //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $139=(($138)|0)==10; //@line 4896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $141 = $139;__label__ = 29; break;
    case 29: 
      var $141;
      var $142=$141 ? (((__str89382)|0)) : (((STRING_TABLE.__str130423)|0));
      var $143=$prefix;
      var $144=_fprintf($123, ((STRING_TABLE.__str129422)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$124,HEAP32[((tempInt+4)>>2)]=$127,HEAP32[((tempInt+8)>>2)]=$142,HEAP32[((tempInt+12)>>2)]=$143,tempInt));
      var $145=$3; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $146=(($145+12)|0); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $147=HEAP32[(($146)>>2)]; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $148=$3; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $149=(($148+8)|0); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $150=HEAP32[(($149)>>2)]; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $151=$147; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $152=$150; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $153=(($151-$152)|0); //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $n=$153; //@line 4901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $j=0; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=0; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 30; break; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 30: 
      var $155=$i; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $156=$n; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $157=(($155)|0) < (($156)|0); //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($157) { __label__ = 31; break; } else { __label__ = 39; break; } //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 31: 
      var $159=$i; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $160=$3; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $161=(($160+8)|0); //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $163=(($162+$159)|0); //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $164=HEAP8[($163)]; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $165=(($164 << 24) >> 24); //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $166=(($165)|0)==9; //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($166) { __label__ = 32; break; } else { __label__ = 37; break; } //@line 4903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      var $168=$j; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $169=(($168+8)|0); //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $170=$169 & -8; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $k=$170; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 33; break; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 33: 
      var $172=$j; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $173=$k; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $174=(($172)|0) < (($173)|0); //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($174) { __label__ = 34; break; } else { __label__ = 36; break; } //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 34: 
      var $176=HEAP32[((_gErrFile)>>2)]; //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $177=_fputc(46, $176); //@line 4905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 35; break; //@line 4906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 35: 
      var $179=$j; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $180=(($179+1)|0); //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $j=$180; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 33; break; //@line 4904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 36: 
      __label__ = 38; break; //@line 4907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 37: 
      var $183=HEAP32[((_gErrFile)>>2)]; //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $184=_fputc(46, $183); //@line 4909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $185=$j; //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $186=(($185+1)|0); //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $j=$186; //@line 4910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 38; break; //@line 4911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 38: 
      var $188=$i; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $189=(($188+1)|0); //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$189; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 30; break; //@line 4902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 39: 
      var $191=HEAP32[((_gErrFile)>>2)]; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $192=_fputs(((STRING_TABLE.__str131424)|0), $191); //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 40; break; //@line 4912 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 40: 
      var $194=HEAP32[((_gErrFile)>>2)]; //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $195=_fflush($194); //@line 4914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $196=$3; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $197=(($196+24)|0); //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $198=HEAP32[(($197)>>2)]; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $199=$198 & 1; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $200=(($199)|0)!=0; //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($200) { __label__ = 45; break; } else { __label__ = 41; break; } //@line 4915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 41: 
      var $202=$3; //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $203=(($202+28)|0); //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $204=HEAP32[(($203)>>2)]; //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $205=(($204)|0)==137; //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($205) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 4916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 42: 
      HEAP32[((_gExitCode)>>2)]=5; //@line 4917 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 44; break; //@line 4918 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 43: 
      HEAP32[((_gExitCode)>>2)]=3; //@line 4919 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 44; break;
    case 44: 
      __label__ = 45; break; //@line 4921 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 45: 
      var $210=$1; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $211=$prefix; //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($210, $211); //@line 4922 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 46; break; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 46: 
      ;
      return; //@line 4923 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16my_ErrorReporterP9JSContextPKcP13JSErrorReport["X"]=1;

function __ZL17SetContextOptionsP9JSContext($cx) {
  ;
  var __label__;

  var $1;
  $1=$cx;
  var $2=$1; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $3=HEAP32[((_gMaxStackSize)>>2)]; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _JS_SetNativeStackQuota($2, $3); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $4=$1; //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=_JS_SetOperationCallback($4, 384); //@line 395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 396 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL22ShellOperationCallbackP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$cx;
      var $3=HEAP8[(__ZL9gCanceled)]; //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $4=(($3) & 1); //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($4) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 384 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=1; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $7=$2; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ClearPendingException($7); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $9=$1; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $9; //@line 389 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli12OptionParserC2EPKc($this, $usage) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3=__stackBase__;
  var $4=__stackBase__+4;
  $1=$this;
  $2=$usage;
  var $5=$1;
  var $6=(($5)|0); //@line 262 "./jsoptparse.h"
  __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEC1ES5_($6, $3); //@line 262 "./jsoptparse.h"
  var $7=(($5+20)|0); //@line 262 "./jsoptparse.h"
  __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEC1ES5_($7, $4); //@line 262 "./jsoptparse.h"
  var $8=(($5+40)|0); //@line 262 "./jsoptparse.h"
  __ZN2js3cli6detail10BoolOptionC1EcPKcS4_($8, 104, ((STRING_TABLE.__str18311)|0), ((STRING_TABLE.__str132425)|0)); //@line 262 "./jsoptparse.h"
  var $9=(($5+68)|0); //@line 262 "./jsoptparse.h"
  var $10=$2; //@line 262 "./jsoptparse.h"
  HEAP32[(($9)>>2)]=$10; //@line 262 "./jsoptparse.h"
  var $11=(($5+72)|0); //@line 262 "./jsoptparse.h"
  HEAP32[(($11)>>2)]=0; //@line 262 "./jsoptparse.h"
  var $12=(($5+76)|0); //@line 262 "./jsoptparse.h"
  HEAP32[(($12)>>2)]=0; //@line 262 "./jsoptparse.h"
  var $13=(($5+80)|0); //@line 262 "./jsoptparse.h"
  HEAP32[(($13)>>2)]=80; //@line 262 "./jsoptparse.h"
  var $14=(($5+84)|0); //@line 262 "./jsoptparse.h"
  HEAP32[(($14)>>2)]=80; //@line 262 "./jsoptparse.h"
  var $15=(($5+88)|0); //@line 262 "./jsoptparse.h"
  HEAP32[(($15)>>2)]=0; //@line 262 "./jsoptparse.h"
  STACKTOP = __stackBase__;
  return; //@line 262 "./jsoptparse.h"
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEC1ES5_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEC2ES5_($2, $ap); //@line 493 "../jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "../jsvector.h"
}


function __ZN2js3cli6detail10BoolOptionC1EcPKcS4_($this, $shortflag, $longflag, $help) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  var $5=$1;
  var $6=$2; //@line 124 "./jsoptparse.h"
  var $7=$3; //@line 124 "./jsoptparse.h"
  var $8=$4; //@line 124 "./jsoptparse.h"
  __ZN2js3cli6detail10BoolOptionC2EcPKcS4_($5, $6, $7, $8); //@line 124 "./jsoptparse.h"
  ;
  return; //@line 124 "./jsoptparse.h"
}


function __ZN2js3cli6detail10BoolOptionC2EcPKcS4_($this, $shortflag, $longflag, $help) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  var $5=$1;
  var $6=$5; //@line 124 "./jsoptparse.h"
  var $7=$2; //@line 124 "./jsoptparse.h"
  var $8=$3; //@line 124 "./jsoptparse.h"
  var $9=$4; //@line 124 "./jsoptparse.h"
  __ZN2js3cli6detail6OptionC2ENS1_10OptionKindEcPKcS5_($6, 0, $7, $8, $9); //@line 124 "./jsoptparse.h"
  var $10=$5; //@line 124 "./jsoptparse.h"
  HEAP32[(($10)>>2)]=((__ZTVN2js3cli6detail10BoolOptionE+8)|0); //@line 124 "./jsoptparse.h"
  var $11=(($5+24)|0); //@line 124 "./jsoptparse.h"
  HEAP8[($11)]=0; //@line 124 "./jsoptparse.h"
  ;
  return; //@line 124 "./jsoptparse.h"
}


function __ZN2js3cli6detail10BoolOptionD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js3cli6detail10BoolOptionD2Ev($2); //@line 126 "./jsoptparse.h"
  ;
  return; //@line 126 "./jsoptparse.h"
}


function __ZN2js3cli6detail10BoolOptionD0Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js3cli6detail10BoolOptionD1Ev($2); //@line 126 "./jsoptparse.h"
  var $3=$2; //@line 126 "./jsoptparse.h"
  __ZdlPv($3); //@line 126 "./jsoptparse.h"
  ;
  return; //@line 126 "./jsoptparse.h"
}


function __ZN2js3cli6detail10BoolOptionD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 126 "./jsoptparse.h"
  __ZN2js3cli6detail6OptionD2Ev($3); //@line 126 "./jsoptparse.h"
  ;
  return; //@line 126 "./jsoptparse.h"
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEC2ES5_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "../jsvector.h"
  var $4=(($2)|0); //@line 493 "../jsvector.h"
  var $5=(($2+12)|0); //@line 488 "../jsvector.h"
  var $6=__ZN7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 488 "../jsvector.h"
  var $7=$6; //@line 488 "../jsvector.h"
  HEAP32[(($4)>>2)]=$7; //@line 488 "../jsvector.h"
  var $8=(($2+4)|0); //@line 488 "../jsvector.h"
  HEAP32[(($8)>>2)]=0; //@line 488 "../jsvector.h"
  var $9=(($2+8)|0); //@line 488 "../jsvector.h"
  HEAP32[(($9)>>2)]=0; //@line 488 "../jsvector.h"
  var $10=(($2+12)|0); //@line 488 "../jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "../jsvector.h"
}


function __ZN13JSAutoRequestD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 1960 "../jsapi.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1960 "../jsapi.h"
  _JS_EndRequest($4); //@line 1960 "../jsapi.h"
  ;
  return; //@line 1961 "../jsapi.h"
}


function __ZN22JSAutoEnterCompartmentD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 2229 "../jsapi.h"
      var $4=HEAP32[(($3)>>2)]; //@line 2229 "../jsapi.h"
      var $5=(($4)|0)!=0; //@line 2229 "../jsapi.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 2229 "../jsapi.h"
    case 2: 
      var $7=(($2)|0); //@line 2229 "../jsapi.h"
      var $8=HEAP32[(($7)>>2)]; //@line 2229 "../jsapi.h"
      var $9=(($8)|0)!=1; //@line 2229 "../jsapi.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2229 "../jsapi.h"
    case 3: 
      var $11=(($2)|0); //@line 2230 "../jsapi.h"
      var $12=HEAP32[(($11)>>2)]; //@line 2230 "../jsapi.h"
      _JS_LeaveCrossCompartmentCall($12); //@line 2230 "../jsapi.h"
      __label__ = 4; break; //@line 2230 "../jsapi.h"
    case 4: 
      ;
      return; //@line 2231 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL14BindScriptArgsP9JSContextP8JSObjectPN2js3cli12OptionParserE($cx, $obj, $op) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $msr=__stackBase__;
      var $scriptArgs;
      var $5=__stackBase__+8;
      var $i;
      var $scriptArg;
      var $str;
      var $6=__stackBase__+16;
      $2=$cx;
      $3=$obj;
      $4=$op;
      var $7=$4; //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZNK2js3cli12OptionParser17getMultiStringArgEPKc($msr, $7, ((STRING_TABLE.__str122415)|0)); //@line 5305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$2; //@line 5306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=_JS_NewArrayObject($8, 0, 0); //@line 5306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $scriptArgs=$9; //@line 5306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$scriptArgs; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0)!=0; //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 5307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 5308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 5308 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$2; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$3; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$scriptArgs; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _OBJECT_TO_JSVAL591($5, $16); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JS_DefineProperty($14, $15, ((STRING_TABLE.__str142435)|0), $5, 0, 0, 0); //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 5316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 5317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $i=0; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $22=__ZNK2js3cli16MultiStringRange5emptyEv($msr); //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$22 ^ 1; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 12; break; } //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $25=__ZNK2js3cli16MultiStringRange5frontEv($msr); //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $scriptArg=$25; //@line 5320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$2; //@line 5321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$scriptArg; //@line 5321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=_JS_NewStringCopyZ($26, $27); //@line 5321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$28; //@line 5321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$str; //@line 5322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29)|0)!=0; //@line 5322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 5322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $32=$2; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$scriptArgs; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$i; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$str; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($6, $35); //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=_JS_DefineElement($32, $33, $34, $6, 0, 0, 1); //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=(($36)|0)!=0; //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($37) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 5323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 5325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      __label__ = 11; break; //@line 5327 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      __ZN2js3cli16MultiStringRange8popFrontEv($msr); //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$i; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41+1)|0); //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$42; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 5319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      $1=1; //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 5329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $45=$1; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $45; //@line 5330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14BindScriptArgsP9JSContextP8JSObjectPN2js3cli12OptionParserE["X"]=1;

function __ZNK2js3cli16MultiStringRange5argnoEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 205 "./jsoptparse.h"
  var $4=HEAP32[(($3)>>2)]; //@line 205 "./jsoptparse.h"
  var $5=(($4+4)|0); //@line 205 "./jsoptparse.h"
  var $6=HEAP32[(($5)>>2)]; //@line 205 "./jsoptparse.h"
  ;
  return $6; //@line 205 "./jsoptparse.h"
}


function __ZNK2js3cli16MultiStringRange5frontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 204 "./jsoptparse.h"
  var $4=HEAP32[(($3)>>2)]; //@line 204 "./jsoptparse.h"
  var $5=(($4)|0); //@line 204 "./jsoptparse.h"
  var $6=HEAP32[(($5)>>2)]; //@line 204 "./jsoptparse.h"
  ;
  return $6; //@line 204 "./jsoptparse.h"
}


function __ZN2js3cli16MultiStringRange8popFrontEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 203 "./jsoptparse.h"
  var $4=HEAP32[(($3)>>2)]; //@line 203 "./jsoptparse.h"
  var $5=(($4+8)|0); //@line 203 "./jsoptparse.h"
  HEAP32[(($3)>>2)]=$5; //@line 203 "./jsoptparse.h"
  ;
  return; //@line 203 "./jsoptparse.h"
}


function _JSVAL_IS_UNDEFINED_IMPL597($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 462 "../jsval.h"
  var $2=(($1+4)|0); //@line 462 "../jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 462 "../jsval.h"
  var $4=(($3)|0)==-126; //@line 462 "../jsval.h"
  var $5=(($4)&1); //@line 462 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 462 "../jsval.h"
}


function __ZL7ProcessP9JSContextP8JSObjectPKcb($cx, $obj, $filename, $forceTTY) {
  var __stackBase__  = STACKTOP; STACKTOP += 56; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $ok;
      var $hitEOF;
      var $script;
      var $result=__stackBase__;
      var $str;
      var $buffer;
      var $size;
      var $uc_buffer;
      var $uc_len=__stackBase__+8;
      var $lineno;
      var $startline;
      var $file;
      var $oldopts;
      var $ch;
      var $t1=__stackBase__+12;
      var $t2=__stackBase__+20;
      var $len;
      var $line;
      var $suspended=__stackBase__+28;
      var $newlen;
      var $newBuf;
      var $current;
      var $5=__stackBase__+36;
      var $6=__stackBase__+44;
      var $bytes=__stackBase__+52;
      $1=$cx;
      $2=$obj;
      $3=$filename;
      var $7=(($forceTTY)&1);
      $4=$7;
      var $8=$4; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8) & 1); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $11=$3; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)!=0; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$3; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=_strcmp($14, ((STRING_TABLE.__str135428)|0)); //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0)==0; //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 442 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $18=HEAP32[((_stdin)>>2)]; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $file=$18; //@line 443 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 444 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $20=$3; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=_fopen($20, ((STRING_TABLE.__str136429)|0)); //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $file=$21; //@line 445 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$file; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)!=0; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $25=$1; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$3; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=___errno(); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=_strerror($28); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($25, 364, 0, 1, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$26,HEAP32[((tempInt+4)>>2)]=$29,tempInt)); //@line 448 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[((_gExitCode)>>2)]=4; //@line 449 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 76; break; //@line 450 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      __label__ = 8; break;
    case 8: 
      var $32=$1; //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL17SetContextOptionsP9JSContext($32); //@line 454 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$4; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33) & 1); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($34) { __label__ = 24; break; } else { __label__ = 9; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $36=$file; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=_fileno($36); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=_isatty($37); //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=(($38)|0)!=0; //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($39) { __label__ = 24; break; } else { __label__ = 10; break; } //@line 456 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $41=$file; //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL11SkipUTF8BOMP7__sFILE($41); //@line 458 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$file; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=_fgetc($42); //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ch=$43; //@line 468 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$ch; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=(($44)|0)==35; //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($45) { __label__ = 11; break; } else { __label__ = 18; break; } //@line 469 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      __label__ = 12; break; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $48=$file; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=_fgetc($48); //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ch=$49; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=(($49)|0)!=-1; //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($50) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 470 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $52=$ch; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=(($52)|0)==10; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($53) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $55=$ch; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55)|0)==13; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($56) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      __label__ = 17; break; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      __label__ = 12; break; //@line 473 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      __label__ = 18; break; //@line 474 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $61=$ch; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$file; //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=_ungetc($61, $62); //@line 475 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=_PRMJ_Now();
      var $64$0=$64[0];
      var $64$1=$64[1];
      var $st$6$0=(($t1)|0);
      HEAP32[(($st$6$0)>>2)]=$64$0;
      var $st$6$1=(($t1+4)|0);
      HEAP32[(($st$6$1)>>2)]=$64$1;
      var $65=$1; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=_JS_GetOptions($65); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $oldopts=$66; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=$1; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=$oldopts; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$68 | 16; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=$69 | 4096; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=_JS_SetOptions($67, $70); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=$1; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=$2; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=$3; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=$file; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=_JS_CompileFileHandle($72, $73, $74, $75); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$76; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=$1; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=$oldopts; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=_JS_SetOptions($77, $78); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=$script; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=(($80)|0)!=0; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($81) { __label__ = 19; break; } else { __label__ = 23; break; } //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $83=HEAP32[((__ZL11compileOnly)>>2)]; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84=(($83)|0)!=0; //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($84) { __label__ = 23; break; } else { __label__ = 20; break; } //@line 482 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $86=$1; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=$2; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=$script; //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $89=_JS_ExecuteScript($86, $87, $88, 0); //@line 483 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=_PRMJ_Now();
      var $90$0=$90[0];
      var $90$1=$90[1];
      var $st$7$0=(($t1)|0);
      var $91$0=HEAP32[(($st$7$0)>>2)];
      var $st$7$1=(($t1+4)|0);
      var $91$1=HEAP32[(($st$7$1)>>2)];
      var $92$0 = (i64Math.subtract($90$0,$90$1,$91$0,$91$1),i64Math.result[0]); var $92$1 = i64Math.result[1]; //@line 484 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $st$12$0=(($t2)|0);
      HEAP32[(($st$12$0)>>2)]=$92$0;
      var $st$12$1=(($t2+4)|0);
      HEAP32[(($st$12$1)>>2)]=$92$1;
      var $93=HEAP8[(__ZL11printTiming)]; //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $94=(($93) & 1); //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($94) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 485 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $st$0$0=(($t2)|0);
      var $96$0=HEAP32[(($st$0$0)>>2)];
      var $st$0$1=(($t2+4)|0);
      var $96$1=HEAP32[(($st$0$1)>>2)];
      var $97=$96$0 + $96$1*4294967296; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $98=$97/1000; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=_printf(((STRING_TABLE.__str137430)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),(tempDoubleF64[0]=$98,HEAP32[((tempInt)>>2)]=tempDoubleI32[0],HEAP32[((tempInt+4)>>2)]=tempDoubleI32[1]),tempInt)); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 22; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      __label__ = 23; break; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      __label__ = 73; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      $lineno=1; //@line 493 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $hitEOF=0; //@line 494 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buffer=0; //@line 495 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $size=0; //@line 496 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 25; break; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $104=$lineno; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $startline=$104; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $len=0; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 26; break; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $106=$1; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=(($106+52)|0); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $108=HEAP32[(($107)>>2)]; //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $109=__ZL16ScheduleWatchdogP9JSRuntimed($108, -1); //@line 507 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP8[(__ZL9gCanceled)]=0; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $110=___errno(); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($110)>>2)]=0; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=$1; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN20JSAutoSuspendRequestC1EP9JSContext($suspended, $111); //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=$file; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=$startline; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=$lineno; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $115=(($113)|0)==(($114)|0); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $116=$115 ? (((STRING_TABLE.__str138431)|0)) : (((__str89382)|0)); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $117=__ZL7GetLineP7__sFILEPKc($112, $116); //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $line=$117; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN20JSAutoSuspendRequestD1Ev($suspended); //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $118=$line; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $119=(($118)|0)!=0; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($119) { __label__ = 30; break; } else { __label__ = 27; break; } //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $121=___errno(); //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $122=HEAP32[(($121)>>2)]; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $123=(($122)|0)!=0; //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($123) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 517 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $125=$1; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $126=___errno(); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $127=HEAP32[(($126)>>2)]; //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $128=_strerror($127); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($125, $128, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 518 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $129=$buffer; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 73; break; //@line 520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      $hitEOF=1; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 49; break; //@line 523 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 30: 
      var $132=$buffer; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $133=(($132)|0)!=0; //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($133) { __label__ = 32; break; } else { __label__ = 31; break; } //@line 525 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 31: 
      var $135=$line; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buffer=$135; //@line 526 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $136=$buffer; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $137=_strlen($136); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $len=$137; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $138=$len; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $139=(($138+1)|0); //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $size=$139; //@line 528 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 45; break; //@line 529 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      var $141=$line; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $142=_strlen($141); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $143=$len; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $144=(($143)|0)!=0; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($144) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 33: 
      var $146=$len; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $147=(($146+1)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $150 = $147;__label__ = 35; break; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 34: 
      var $150 = 0;__label__ = 35; break; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 35: 
      var $150; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $151=(($142+$150)|0); //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $newlen=$151; //@line 533 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $152=$newlen; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $153=(($152+1)|0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $154=$size; //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $155=(($153)>>>0) > (($154)>>>0); //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($155) { __label__ = 36; break; } else { __label__ = 42; break; } //@line 534 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 36: 
      var $157=$newlen; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $158=(($157+1)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $159=$size; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $160=((($159<<1))|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $161=(($158)>>>0) > (($160)>>>0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($161) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 37: 
      var $163=$newlen; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $164=(($163+1)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $169 = $164;__label__ = 39; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 38: 
      var $166=$size; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $167=((($166<<1))|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $169 = $167;__label__ = 39; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 39: 
      var $169; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $size=$169; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $170=$buffer; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $171=$size; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $172=_realloc($170, $171); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $newBuf=$172; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $173=$newBuf; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $174=(($173)|0)!=0; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($174) { __label__ = 41; break; } else { __label__ = 40; break; } //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 40: 
      var $176=$buffer; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $177=$line; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $178=$1; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportOutOfMemory($178); //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 73; break; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 41: 
      var $180=$newBuf; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buffer=$180; //@line 543 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 42; break; //@line 544 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 42: 
      var $182=$buffer; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $183=$len; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $184=(($182+$183)|0); //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $current=$184; //@line 545 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $185=$startline; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $186=$lineno; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $187=(($185)|0)!=(($186)|0); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($187) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 43: 
      var $189=$current; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $190=(($189+1)|0); //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $current=$190; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP8[($189)]=10; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 44; break; //@line 547 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 44: 
      var $192=$current; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $193=$line; //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $194=_strcpy($192, $193); //@line 548 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $195=$newlen; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $len=$195; //@line 549 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $196=$line; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 550 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 45; break;
    case 45: 
      var $198=$lineno; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $199=(($198+1)|0); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $lineno=$199; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $200=$1; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $201=(($200+52)|0); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $202=HEAP32[(($201)>>2)]; //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $203=(tempDoubleI32[0]=HEAP32[((__ZL16gTimeoutInterval)>>2)],tempDoubleI32[1]=HEAP32[((__ZL16gTimeoutInterval+4)>>2)],tempDoubleF64[0]); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $204=__ZL16ScheduleWatchdogP9JSRuntimed($202, $203); //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($204) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 553 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 46: 
      $hitEOF=1; //@line 554 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 49; break; //@line 555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 47: 
      __label__ = 48; break; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 48: 
      var $208=$1; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $209=$2; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $210=$buffer; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $211=$len; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $212=_JS_BufferIsCompilableUnit($208, 1, $209, $210, $211); //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $213=(($212)|0)!=0; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $214=$213 ^ 1; //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($214) { __label__ = 26; break; } else { __label__ = 49; break; } //@line 557 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 49: 
      var $216=$hitEOF; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $217=(($216)|0)!=0; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($217) { __label__ = 50; break; } else { __label__ = 52; break; } //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 50: 
      var $219=$buffer; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $220=(($219)|0)!=0; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($220) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 51: 
      __label__ = 72; break; //@line 560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 52: 
      var $223=$1; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $224=$buffer; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $225=$len; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $226=_JS_DecodeUTF8($223, $224, $225, 0, $uc_len); //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $227=(($226)|0)!=0; //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($227) { __label__ = 54; break; } else { __label__ = 53; break; } //@line 562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 53: 
      var $229=$1; //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($229, ((STRING_TABLE.__str139432)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[((_gExitCode)>>2)]=3; //@line 564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 76; break; //@line 565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 54: 
      var $231=HEAP32[(($uc_len)>>2)]; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $232=((($231<<1))|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $233=_malloc($232); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $234=$233; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $uc_buffer=$234; //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $235=$1; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $236=$buffer; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $237=$len; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $238=$uc_buffer; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $239=_JS_DecodeUTF8($235, $236, $237, $238, $uc_len); //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $240=$1; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ClearPendingException($240); //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $241=$1; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $242=_JS_GetOptions($241); //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $oldopts=$242; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $243=HEAP32[((__ZL11compileOnly)>>2)]; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $244=(($243)|0)!=0; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($244) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 55: 
      var $246=$1; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $247=$oldopts; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $248=$247 | 16; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $249=_JS_SetOptions($246, $248); //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 56; break; //@line 577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 56: 
      var $251=$1; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $252=$2; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $253=$uc_buffer; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $254=HEAP32[(($uc_len)>>2)]; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $255=$startline; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $256=_JS_CompileUCScript($251, $252, $253, $254, ((STRING_TABLE.__str140433)|0), $255); //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$256; //@line 578 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $257=HEAP32[((__ZL11compileOnly)>>2)]; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $258=(($257)|0)!=0; //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($258) { __label__ = 58; break; } else { __label__ = 57; break; } //@line 579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 57: 
      var $260=$1; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $261=$oldopts; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $262=_JS_SetOptions($260, $261); //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 58; break; //@line 580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 58: 
      var $264=$script; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $265=(($264)|0)!=0; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($265) { __label__ = 59; break; } else { __label__ = 68; break; } //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 59: 
      var $267=HEAP32[((__ZL11compileOnly)>>2)]; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $268=(($267)|0)!=0; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($268) { __label__ = 68; break; } else { __label__ = 60; break; } //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 60: 
      var $270=$1; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $271=$2; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $272=$script; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $273=_JS_ExecuteScript($270, $271, $272, $result); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$273; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $274=$ok; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $275=(($274)|0)!=0; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($275) { __label__ = 61; break; } else { __label__ = 67; break; } //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 61: 
      var $277=$5; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $278=$result; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($277)>>2)]=HEAP32[(($278)>>2)];HEAP32[(($277+4)>>2)]=HEAP32[(($278+4)>>2)]; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $279=_JSVAL_IS_VOID595($5); //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $280=(($279)|0)!=0; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($280) { __label__ = 67; break; } else { __label__ = 62; break; } //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 62: 
      var $282=$1; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $283=$6; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $284=$result; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($283)>>2)]=HEAP32[(($284)>>2)];HEAP32[(($283+4)>>2)]=HEAP32[(($284+4)>>2)]; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $285=_JS_ValueToSource($282, $6); //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$285; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $286=$str; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $287=(($286)|0)!=0; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $288=$287 ^ 1; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $289=$288 ^ 1; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $290=(($289)&1); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$290; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $291=$ok; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $292=(($291)|0)!=0; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($292) { __label__ = 63; break; } else { __label__ = 66; break; } //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 63: 
      var $294=$1; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $295=$str; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1EP9JSContextP8JSString($bytes, $294, $295); //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $296=__ZNK16JSAutoByteStringntEv($bytes); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $297=$296 ^ 1; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $298=(($297)&1); //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ok=$298; //@line 589 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $299=$ok; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $300=(($299)|0)!=0; //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($300) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 590 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 64: 
      var $302=HEAP32[((_gOutFile)>>2)]; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $303=__ZNK16JSAutoByteString3ptrEv($bytes); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $304=_fprintf($302, ((STRING_TABLE.__str124417)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$303,tempInt)); //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 65; break; //@line 591 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 65: 
      __ZN16JSAutoByteStringD1Ev($bytes); //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 66; break; //@line 592 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 66: 
      __label__ = 67; break; //@line 593 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 67: 
      __label__ = 68; break; //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 68: 
      var $309=$buffer; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP8[($309)]=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $310=$uc_buffer; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $311=$310; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 69; break; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 69: 
      var $313=$hitEOF; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $314=(($313)|0)!=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($314) { var $320 = 0;__label__ = 71; break; } else { __label__ = 70; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 70: 
      var $316=HEAP32[((_gQuitting)>>2)]; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $317=(($316)|0)!=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $318=$317 ^ 1; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $320 = $318;__label__ = 71; break;
    case 71: 
      var $320;
      if ($320) { __label__ = 25; break; } else { __label__ = 72; break; }
    case 72: 
      var $322=$buffer; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $323=HEAP32[((_gOutFile)>>2)]; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $324=_fprintf($323, ((STRING_TABLE.__str130423)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 73; break; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 73: 
      var $326=$file; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $327=HEAP32[((_stdin)>>2)]; //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $328=(($326)|0)!=(($327)|0); //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($328) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 602 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 74: 
      var $330=$file; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $331=_fclose($330); //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 75; break; //@line 603 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 75: 
      __label__ = 76; break; //@line 604 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 76: 
      STACKTOP = __stackBase__;
      return; //@line 605 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7ProcessP9JSContextP8JSObjectPKcb["X"]=1;

function __ZL11SkipUTF8BOMP7__sFILE($file) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $ch1;
      var $ch2;
      var $ch3;
      $1=$file;
      var $2=HEAP32[((_js_CStringsAreUTF8)>>2)]; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $3=(($2)|0)!=0; //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($3) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      __label__ = 13; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $6=$1; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=_fgetc($6); //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ch1=$7; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$1; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=_fgetc($8); //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ch2=$9; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$1; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_fgetc($10); //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ch3=$11; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$ch1; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0)==239; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($13) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $15=$ch2; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0)==187; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $18=$ch3; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)==191; //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      __label__ = 13; break; //@line 415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $22=$ch3; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)!=-1; //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 418 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $25=$ch3; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$1; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_ungetc($25, $26); //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 9; break; //@line 419 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $29=$ch2; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=(($29)|0)!=-1; //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($30) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 420 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $32=$ch2; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$1; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_ungetc($32, $33); //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 421 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $36=$ch1; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=(($36)|0)!=-1; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($37) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $39=$ch1; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$1; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=_ungetc($39, $40); //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 423 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      ;
      return; //@line 424 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11SkipUTF8BOMP7__sFILE["X"]=1;

function __ZN20JSAutoSuspendRequestC1EP9JSContext($this, $cx) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$cx;
  var $3=$1;
  var $4=$2; //@line 1990 "../jsapi.h"
  __ZN20JSAutoSuspendRequestC2EP9JSContext($3, $4); //@line 1990 "../jsapi.h"
  ;
  return; //@line 1990 "../jsapi.h"
}


function __ZL7GetLineP7__sFILEPKc($file, $prompt) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $size;
      var $buffer;
      var $linep;
      var $len;
      var $current;
      var $t;
      var $tmp;
      $2=$file;
      $3=$prompt;
      var $4=$2; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=HEAP32[((_stdin)>>2)]; //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($4)|0)==(($5)|0); //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 11; break; } //@line 293 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $8=$3; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=_readline($8); //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $linep=$9; //@line 294 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=___errno(); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=HEAP32[(($10)>>2)]; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11)|0)==251; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($12) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=___errno(); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=(($15)|0)==25; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($16) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $18=___errno(); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=(($19)|0)==22; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $22=___errno(); //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($22)>>2)]=0; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $24=$linep; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=(($24)|0)!=0; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($25) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $28=$linep; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=HEAP8[($29)]; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=(($30 << 24) >> 24); //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31)|0)!=0; //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 305 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $34=$linep; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _add_history($34); //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 10; break; //@line 306 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $36=$linep; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$36; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 307 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      $len=0; //@line 310 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$3; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=HEAP8[($38)]; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=(($39 << 24) >> 24); //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40)|0)!=0; //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($41) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 311 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $43=HEAP32[((_gOutFile)>>2)]; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$3; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=_fprintf($43, ((STRING_TABLE.__str141434)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$44,tempInt)); //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=HEAP32[((_gOutFile)>>2)]; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=_fflush($46); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      $size=80; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$size; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=_malloc($49); //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buffer=$50; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$buffer; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=(($51)|0)!=0; //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($52) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 317 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      $1=0; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 318 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $55=$buffer; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $current=$55; //@line 319 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $57=$current; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$size; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$len; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=(($58-$59)|0); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=$2; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=_fgets($57, $60, $61); //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=(($62)|0)!=0; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 24; break; } //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $65=$current; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=_strlen($65); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=$len; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=(($67+$66)|0); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $len=$68; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=$buffer; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=$len; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=(($69+$70)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=(($71-1)|0); //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $t=$72; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=$t; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=HEAP8[($73)]; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=(($74 << 24) >> 24); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=(($75)|0)==10; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($76) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $78=$t; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP8[($78)]=0; //@line 325 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=$buffer; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$79; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 326 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $81=$len; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $82=(($81+1)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $83=$size; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $84=(($82)|0)==(($83)|0); //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($84) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $86=$size; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=((($86<<1))|0); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $size=$87; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=$buffer; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $89=$size; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=_realloc($88, $89); //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $tmp=$90; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$tmp; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=(($91)|0)!=0; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($92) { __label__ = 22; break; } else { __label__ = 21; break; } //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $94=$buffer; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 333 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $96=$tmp; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buffer=$96; //@line 335 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 23; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      var $98=$buffer; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=$len; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=(($98+$99)|0); //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $current=$100; //@line 337 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $102=$len; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $103=(($102)|0)!=0; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($103) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      var $105=$2; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $106=_ferror($105); //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $107=(($106)|0)!=0; //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($107) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 339 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      var $109=$buffer; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$109; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 340 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $111=$buffer; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 341 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 28; break; //@line 342 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      var $113=$1; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $113; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL7GetLineP7__sFILEPKc["X"]=1;

function __ZN20JSAutoSuspendRequestD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN20JSAutoSuspendRequestD2Ev($2); //@line 1991 "../jsapi.h"
  ;
  return; //@line 1993 "../jsapi.h"
}


function _JSVAL_IS_VOID595($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1292 "../jsapi.h"
  var $7=$v; //@line 1292 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1292 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1292 "../jsapi.h"
  var $8=_JSVAL_IS_UNDEFINED_IMPL597($2); //@line 1292 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1292 "../jsapi.h"
}


function _js_free596($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "../jsutil.h"
  ; //@line 285 "../jsutil.h"
  ;
  return; //@line 286 "../jsutil.h"
}


function __ZL13JSVAL_TO_IMPLN2JS5ValueE598($agg_result, $0) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=$v;
  var $3=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)];
  var $4=(($v)|0); //@line 822 "../jsapi.h"
  var $5=$agg_result; //@line 822 "../jsapi.h"
  var $6=$4; //@line 822 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 822 "../jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 822 "../jsapi.h"
}


function __ZN20JSAutoSuspendRequestD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN20JSAutoSuspendRequest6resumeEv($2); //@line 1992 "../jsapi.h"
  ;
  return; //@line 1993 "../jsapi.h"
}


function _JSID_IS_STRING604($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1482 "../jsapi.h"
  var $3=$2 & 7; //@line 1482 "../jsapi.h"
  var $4=(($3)|0)==0; //@line 1482 "../jsapi.h"
  var $5=(($4)&1); //@line 1482 "../jsapi.h"
  ;
  return $5; //@line 1482 "../jsapi.h"
}


function _JSID_TO_STRING605($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1489 "../jsapi.h"
  var $3=$2; //@line 1489 "../jsapi.h"
  ;
  return $3; //@line 1489 "../jsapi.h"
}


function _JSID_IS_INT606($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1522 "../jsapi.h"
  var $3=$2 & 1; //@line 1522 "../jsapi.h"
  var $4=(($3)|0)!=0; //@line 1522 "../jsapi.h"
  var $5=$4 ^ 1; //@line 1522 "../jsapi.h"
  var $6=$5 ^ 1; //@line 1522 "../jsapi.h"
  var $7=(($6)&1); //@line 1522 "../jsapi.h"
  ;
  return $7; //@line 1522 "../jsapi.h"
}


function _JSID_TO_INT608($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1529 "../jsapi.h"
  var $3=$2 >> 1; //@line 1529 "../jsapi.h"
  ;
  return $3; //@line 1529 "../jsapi.h"
}


function _JSID_IS_OBJECT609($iden) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$iden;
      var $2=$1; //@line 1558 "../jsapi.h"
      var $3=$2 & 7; //@line 1558 "../jsapi.h"
      var $4=(($3)|0)==4; //@line 1558 "../jsapi.h"
      if ($4) { __label__ = 2; break; } else { var $9 = 0;__label__ = 3; break; } //@line 1558 "../jsapi.h"
    case 2: 
      var $6=$1; //@line 1558 "../jsapi.h"
      var $7=(($6)|0)!=4; //@line 1558 "../jsapi.h"
      var $9 = $7;__label__ = 3; break;
    case 3: 
      var $9;
      var $10=(($9)&1);
      ;
      return $10; //@line 1560 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSID_TO_OBJECT610($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1566 "../jsapi.h"
  var $3=$2 & -8; //@line 1566 "../jsapi.h"
  var $4=$3; //@line 1566 "../jsapi.h"
  ;
  return $4; //@line 1566 "../jsapi.h"
}


function _INT_TO_JSID614($i) {
  ;
  var __label__;

  var $1;
  var $iden;
  $1=$i;
  var $2=$1; //@line 1551 "../jsapi.h"
  var $3=$2 << 1; //@line 1551 "../jsapi.h"
  var $4=$3 | 1; //@line 1551 "../jsapi.h"
  $iden=$4; //@line 1551 "../jsapi.h"
  var $5=$iden; //@line 1552 "../jsapi.h"
  ;
  return $5; //@line 1552 "../jsapi.h"
}


function _JSID_IS_VOID615($iden) {
  ;
  var __label__;

  var $1;
  $1=$iden;
  var $2=$1; //@line 1622 "../jsapi.h"
  var $3=(($2)|0)==2; //@line 1622 "../jsapi.h"
  var $4=(($3)&1); //@line 1622 "../jsapi.h"
  ;
  return $4; //@line 1622 "../jsapi.h"
}


function _STRING_TO_JSVAL_IMPL601($agg_result, $str) {
  ;
  var __label__;

  var $1;
  $1=$str;
  var $2=$agg_result; //@line 476 "../jsval.h"
  var $3=(($2+4)|0); //@line 476 "../jsval.h"
  HEAP32[(($3)>>2)]=-123; //@line 476 "../jsval.h"
  var $4=$1; //@line 477 "../jsval.h"
  var $5=$agg_result; //@line 477 "../jsval.h"
  var $6=(($5)|0); //@line 477 "../jsval.h"
  var $7=$6; //@line 477 "../jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 477 "../jsval.h"
  ;
  return; //@line 478 "../jsval.h"
}


function __ZN22JSAutoEnterCompartmentC2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 2220 "../jsapi.h"
  HEAP32[(($3)>>2)]=0; //@line 2220 "../jsapi.h"
  ;
  return; //@line 2220 "../jsapi.h"
}


function __ZN8ToString5threwEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=(($4)|0)!=0; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=$5 ^ 1; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=(($6)&1); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return $7; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function _BUILD_JSVAL612($agg_result, $tag, $payload) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$tag;
  $2=$payload;
  var $3=$1; //@line 411 "../jsval.h"
  var $4=$agg_result; //@line 411 "../jsval.h"
  var $5=(($4+4)|0); //@line 411 "../jsval.h"
  HEAP32[(($5)>>2)]=$3; //@line 411 "../jsval.h"
  var $6=$2; //@line 411 "../jsval.h"
  var $7=$agg_result; //@line 411 "../jsval.h"
  var $8=(($7)|0); //@line 411 "../jsval.h"
  var $9=$8; //@line 411 "../jsval.h"
  HEAP32[(($9)>>2)]=$6; //@line 411 "../jsval.h"
  ;
  return; //@line 412 "../jsval.h"
}


function _INT32_TO_JSVAL_IMPL613($agg_result, $i) {
  ;
  var __label__;

  var $1;
  $1=$i;
  var $2=$agg_result; //@line 446 "../jsval.h"
  var $3=(($2+4)|0); //@line 446 "../jsval.h"
  HEAP32[(($3)>>2)]=-127; //@line 446 "../jsval.h"
  var $4=$1; //@line 447 "../jsval.h"
  var $5=$agg_result; //@line 447 "../jsval.h"
  var $6=(($5)|0); //@line 447 "../jsval.h"
  var $7=$6; //@line 447 "../jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 447 "../jsval.h"
  ;
  return; //@line 448 "../jsval.h"
}


function _JSVAL_IS_BOOLEAN_IMPL618($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 490 "../jsval.h"
  var $2=(($1+4)|0); //@line 490 "../jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 490 "../jsval.h"
  var $4=(($3)|0)==-125; //@line 490 "../jsval.h"
  var $5=(($4)&1); //@line 490 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 490 "../jsval.h"
}


function __ZN12FreeOnReturn4initEPKc($this, $ptr) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$ptr;
  var $3=$1;
  var $4=$2; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=(($3+4)|0); //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  HEAP32[(($5)>>2)]=$4; //@line 3939 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 3940 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN20JSAutoSuspendRequest6resumeEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 1996 "../jsapi.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1996 "../jsapi.h"
      var $5=(($4)|0)!=0; //@line 1996 "../jsapi.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1996 "../jsapi.h"
    case 2: 
      var $7=(($2)|0); //@line 1997 "../jsapi.h"
      var $8=HEAP32[(($7)>>2)]; //@line 1997 "../jsapi.h"
      var $9=(($2+4)|0); //@line 1997 "../jsapi.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1997 "../jsapi.h"
      _JS_ResumeRequest($8, $10); //@line 1997 "../jsapi.h"
      var $11=(($2)|0); //@line 1998 "../jsapi.h"
      HEAP32[(($11)>>2)]=0; //@line 1998 "../jsapi.h"
      __label__ = 3; break; //@line 1999 "../jsapi.h"
    case 3: 
      ;
      return; //@line 2000 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN20JSAutoSuspendRequestC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 1985 "../jsapi.h"
      var $5=$2; //@line 1985 "../jsapi.h"
      HEAP32[(($4)>>2)]=$5; //@line 1985 "../jsapi.h"
      var $6=(($3+4)|0); //@line 1985 "../jsapi.h"
      HEAP32[(($6)>>2)]=0; //@line 1985 "../jsapi.h"
      __label__ = 2; break; //@line 1986 "../jsapi.h"
    case 2: 
      __label__ = 3; break; //@line 1986 "../jsapi.h"
    case 3: 
      var $9=(($3)|0); //@line 1987 "../jsapi.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1987 "../jsapi.h"
      var $11=(($10)|0)!=0; //@line 1987 "../jsapi.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1987 "../jsapi.h"
    case 4: 
      var $13=(($3)|0); //@line 1988 "../jsapi.h"
      var $14=HEAP32[(($13)>>2)]; //@line 1988 "../jsapi.h"
      var $15=_JS_SuspendRequest($14); //@line 1988 "../jsapi.h"
      var $16=(($3+4)|0); //@line 1988 "../jsapi.h"
      HEAP32[(($16)>>2)]=$15; //@line 1988 "../jsapi.h"
      __label__ = 5; break; //@line 1989 "../jsapi.h"
    case 5: 
      ;
      return; //@line 1990 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _STRING_TO_JSVAL599($agg_result, $str) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2=__stackBase__;
  $1=$str;
  var $3=$1; //@line 1375 "../jsapi.h"
  _STRING_TO_JSVAL_IMPL601($2, $3); //@line 1375 "../jsapi.h"
  __ZL13IMPL_TO_JSVAL12jsval_layout600($agg_result, $2); //@line 1375 "../jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 1375 "../jsapi.h"
}


function __ZL13IMPL_TO_JSVAL12jsval_layout600($agg_result, $l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=(($agg_result)|0); //@line 829 "../jsapi.h"
  var $2=$1; //@line 829 "../jsapi.h"
  var $3=$l; //@line 829 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 829 "../jsapi.h"
  STACKTOP = __stackBase__;
  return; //@line 830 "../jsapi.h"
}


function __ZN13JSAutoRequestC2EP9JSContext($this, $cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$cx;
      var $3=$1;
      var $4=(($3)|0); //@line 1955 "../jsapi.h"
      var $5=$2; //@line 1955 "../jsapi.h"
      HEAP32[(($4)>>2)]=$5; //@line 1955 "../jsapi.h"
      var $6=(($3+4)|0); //@line 1955 "../jsapi.h"
      HEAP32[(($6)>>2)]=0; //@line 1955 "../jsapi.h"
      __label__ = 2; break; //@line 1956 "../jsapi.h"
    case 2: 
      __label__ = 3; break; //@line 1956 "../jsapi.h"
    case 3: 
      var $9=(($3)|0); //@line 1957 "../jsapi.h"
      var $10=HEAP32[(($9)>>2)]; //@line 1957 "../jsapi.h"
      _JS_BeginRequest($10); //@line 1957 "../jsapi.h"
      ;
      return; //@line 1958 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13IdStringifierC1EP9JSContextii($this, $cx, $id, $aThrow) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$cx;
  $3=$id;
  $4=$aThrow;
  var $5=$1;
  var $6=$2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=$3; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $8=$4; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZN13IdStringifierC2EP9JSContextii($5, $6, $7, $8); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN8ToString8getBytesEv($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $2=$this;
      var $3=$2;
      var $4=(($3+4)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($5)|0)!=0; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $8=(($3+12)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=__ZNK16JSAutoByteString3ptrEv($8); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9)|0)!=0; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($10) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $12=(($3+12)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($3)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=HEAP32[(($13)>>2)]; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=(($3+4)|0); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=HEAP32[(($15)>>2)]; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=__ZN16JSAutoByteString6encodeEP9JSContextP8JSString($12, $14, $16); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $20=(($3+12)|0); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=__ZNK16JSAutoByteString3ptrEv($20); //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$21; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=((STRING_TABLE.__str144437)|0); //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $24=$1; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $24; //@line 268 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN13IdStringifierD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN13IdStringifierD2Ev($2); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN13IdStringifierD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZN8ToStringD2Ev($3); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN8ToStringD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=(($2+4)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=_JS_RemoveStringRoot($4, $5); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $7=(($2+12)|0); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZN16JSAutoByteStringD1Ev($7); //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN13IdStringifierC2EP9JSContextii($this, $cx, $id, $aThrow) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5=__stackBase__;
  $1=$this;
  $2=$cx;
  $3=$id;
  $4=$aThrow;
  var $6=$1;
  var $7=$6; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $8=$2; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $9=$3; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZN2jsL9IdToJsvalEi602($5, $9); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $10=$4; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZN8ToStringC2EP9JSContextN2JS5ValueEi($7, $8, $5, $10); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN8ToStringC2EP9JSContextN2JS5ValueEi($this, $aCx, $0, $aThrow) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $5=__stackBase__+8;
      $2=$this;
      $3=$aCx;
      var $6=$v;
      var $7=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)];
      $4=$aThrow;
      var $8=$2;
      var $9=(($8)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$3; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($9)>>2)]=$10; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($8+8)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$4; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($11)>>2)]=$12; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($8+12)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN16JSAutoByteStringC1Ev($13); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($8)|0); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$5; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$v; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=_JS_ValueToString($15, $5); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($8+4)|0); //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 254 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$4; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0)!=0; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 2; break; } //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $23=(($8+4)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=(($24)|0)!=0; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($25) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $27=(($8)|0); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZL15ReportExceptionP9JSContext($28); //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $30=(($8)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=HEAP32[(($30)>>2)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($8+4)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=_JS_AddNamedStringRoot($31, $32, ((STRING_TABLE.__str145438)|0)); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2jsL9IdToJsvalEi602($agg_result, $id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 129 "../jsatom.h"
  __ZN2jsL9IdToValueEi603($agg_result, $2); //@line 129 "../jsatom.h"
  ;
  return; //@line 129 "../jsatom.h"
}


function __ZN2jsL9IdToValueEi603($agg_result, $id) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$id;
      var $2=$1; //@line 116 "../jsatom.h"
      var $3=_JSID_IS_STRING604($2); //@line 116 "../jsatom.h"
      var $4=(($3)|0)!=0; //@line 116 "../jsatom.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 116 "../jsatom.h"
    case 2: 
      var $6=$1; //@line 117 "../jsatom.h"
      var $7=_JSID_TO_STRING605($6); //@line 117 "../jsatom.h"
      __ZN2JSL11StringValueEP8JSString587($agg_result, $7); //@line 117 "../jsatom.h"
      __label__ = 8; break; //@line 117 "../jsatom.h"
    case 3: 
      var $9=$1; //@line 118 "../jsatom.h"
      var $10=_JSID_IS_INT606($9); //@line 118 "../jsatom.h"
      var $11=(($10)|0)!=0; //@line 118 "../jsatom.h"
      if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 118 "../jsatom.h"
    case 4: 
      var $13=$1; //@line 119 "../jsatom.h"
      var $14=_JSID_TO_INT608($13); //@line 119 "../jsatom.h"
      __ZN2JSL10Int32ValueEi607($agg_result, $14); //@line 119 "../jsatom.h"
      __label__ = 8; break; //@line 119 "../jsatom.h"
    case 5: 
      var $16=$1; //@line 120 "../jsatom.h"
      var $17=_JSID_IS_OBJECT609($16); //@line 120 "../jsatom.h"
      var $18=(($17)|0)!=0; //@line 120 "../jsatom.h"
      if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 120 "../jsatom.h"
    case 6: 
      var $20=$1; //@line 121 "../jsatom.h"
      var $21=_JSID_TO_OBJECT610($20); //@line 121 "../jsatom.h"
      __ZN2JSL11ObjectValueER8JSObject588($agg_result, $21); //@line 121 "../jsatom.h"
      __label__ = 8; break; //@line 121 "../jsatom.h"
    case 7: 
      __ZN2JSL14UndefinedValueEv611($agg_result); //@line 123 "../jsatom.h"
      __label__ = 8; break; //@line 123 "../jsatom.h"
    case 8: 
      ;
      return; //@line 124 "../jsatom.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2JSL10Int32ValueEi607($agg_result, $i32) {
  ;
  var __label__;

  var $1;
  $1=$i32;
  var $2=$1; //@line 702 "../jsapi.h"
  __ZN2JS5Value8setInt32Ei($agg_result, $2); //@line 702 "../jsapi.h"
  ;
  return; //@line 703 "../jsapi.h"
}


function __ZN2JSL14UndefinedValueEv611($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value12setUndefinedEv($agg_result); //@line 694 "../jsapi.h"
  ;
  return; //@line 695 "../jsapi.h"
}


function __ZL15ReportExceptionP9JSContext($cx) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$cx;
      var $2=$1; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $3=_JS_IsExceptionPending($2); //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $4=(($3)|0)!=0; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($4) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $6=$1; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=_JS_ReportPendingException($6); //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)|0)!=0; //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 244 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $10=$1; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ClearPendingException($10); //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 245 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      __label__ = 5; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      ;
      return; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN8ToStringC1EP9JSContextN2JS5ValueEi($this, $aCx, $0, $aThrow) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $2;
  var $3;
  var $v=__stackBase__;
  var $4;
  $2=$this;
  $3=$aCx;
  var $5=$v;
  var $6=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)];
  $4=$aThrow;
  var $7=$2;
  var $8=$3; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $9=$4; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZN8ToStringC2EP9JSContextN2JS5ValueEi($7, $8, $v, $9); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN8ToString8getJSValEv($agg_result, $this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _STRING_TO_JSVAL599($agg_result, $4); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN8ToStringD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN8ToStringD2Ev($2); //@line 259 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 261 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL12JSID_IS_ATOMi616($id) {
  ;
  var __label__;

  var $1;
  $1=$id;
  var $2=$1; //@line 75 "../jsatom.h"
  var $3=_JSID_IS_STRING604($2); //@line 75 "../jsatom.h"
  ;
  return $3; //@line 75 "../jsatom.h"
}


function _JSVAL_IS_BOOLEAN617($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1402 "../jsapi.h"
  var $7=$v; //@line 1402 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1402 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1402 "../jsapi.h"
  var $8=_JSVAL_IS_BOOLEAN_IMPL618($2); //@line 1402 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1402 "../jsapi.h"
}


function __ZN2JSL9NullValueEv619($agg_result) {
  ;
  var __label__;

  __ZN2JS5Value7setNullEv($agg_result); //@line 686 "../jsapi.h"
  ;
  return; //@line 687 "../jsapi.h"
}


function __ZL15SetTimeoutValueP9JSContextd($cx, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $2=$cx;
      $3=$t;
      var $4=$3; //@line 3739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=(tempDoubleI32[0]=HEAP32[((__ZL20MAX_TIMEOUT_INTERVAL)>>2)],tempDoubleI32[1]=HEAP32[((__ZL20MAX_TIMEOUT_INTERVAL+4)>>2)],tempDoubleF64[0]); //@line 3739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$4 <= $5; //@line 3739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 3739 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $8=$2; //@line 3740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($8, ((STRING_TABLE.__str223516)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3740 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 3741 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $10=$3; //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      (tempDoubleF64[0]=$10,HEAP32[((__ZL16gTimeoutInterval)>>2)]=tempDoubleI32[0],HEAP32[((__ZL16gTimeoutInterval+4)>>2)]=tempDoubleI32[1]); //@line 3743 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$2; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=(($11+52)|0); //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$3; //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=__ZL16ScheduleWatchdogP9JSRuntimed($13, $14); //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 3744 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $17=$2; //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($17, ((STRING_TABLE.__str224517)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 3745 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 3746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 3746 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=1; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 3748 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $20=$1; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $20; //@line 3749 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN12FreeOnReturnC1EP9JSContextPKc($this, $cx, $ptr) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$ptr;
  var $4=$1;
  var $5=$2; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=$3; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  __ZN12FreeOnReturnC2EP9JSContextPKc($4, $5, $6); //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZL20MakeAbsolutePathnameP9JSContextPKcS2_($cx, $from, $leaf) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $dirlen;
      var $dir;
      var $slash;
      var $cp;
      $2=$cx;
      $3=$from;
      $4=$leaf;
      $slash=0; //@line 3826 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=$4; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=HEAP8[($5)]; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6 << 24) >> 24); //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=(($7)|0)==47; //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 3828 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $10=$2; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$4; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=_JS_strdup($10, $11); //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$12; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 3830 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $14=$3; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $cp=$14; //@line 3833 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $16=$cp; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=HEAP8[($16)]; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17 << 24) >> 24)!=0; //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 3834 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $20=$cp; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=HEAP8[($20)]; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21 << 24) >> 24); //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)==47; //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 3835 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $25=$cp; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $slash=$25; //@line 3836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 3837 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $27=$cp; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=(($27+1)|0); //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $cp=$28; //@line 3839 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 4; break; //@line 3840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $30=$slash; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=(($30)|0)!=0; //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($31) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 3842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $33=$2; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$4; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=_JS_strdup($33, $34); //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$35; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 3844 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $37=$slash; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$3; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$37; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$38; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($39-$40)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41+1)|0); //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $dirlen=$42; //@line 3848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$2; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$dirlen; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$4; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=_strlen($45); //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($44+$46)|0); //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($47+1)|0); //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=_JS_malloc($43, $48); //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $dir=$49; //@line 3849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$dir; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=(($50)|0)!=0; //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($51) { __label__ = 12; break; } else { __label__ = 11; break; } //@line 3850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      $1=0; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 3851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $54=$dir; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=$3; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=$dirlen; //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=_strncpy($54, $55, $56); //@line 3853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$dir; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$dirlen; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=(($58+$59)|0); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=$4; //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=_strcpy($60, $61); //@line 3854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$dir; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$63; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 3856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $65=$1; //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $65; //@line 3857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL20MakeAbsolutePathnameP9JSContextPKcS2_["X"]=1;

function __ZL16FileAsTypedArrayP9JSContextPKc($cx, $pathname) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $file;
      var $obj;
      var $len;
      var $buf;
      var $cc;
      $2=$cx;
      $3=$pathname;
      var $4=$3; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=_fopen($4, ((STRING_TABLE.__str232525)|0)); //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $file=$5; //@line 888 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$file; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)!=0; //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 889 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$2; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$3; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=___errno(); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=_strerror($12); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($9, ((STRING_TABLE.__str233526)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$10,HEAP32[((tempInt+4)>>2)]=$13,tempInt)); //@line 890 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 891 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      $obj=0; //@line 894 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$file; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_fseek($15, 0, 2); //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0)!=0; //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 895 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $19=$2; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$3; //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($19, ((STRING_TABLE.__str234527)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,tempInt)); //@line 896 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break; //@line 897 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $22=$file; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=_ftell($22); //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $len=$23; //@line 898 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$file; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=_fseek($24, 0, 0); //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0)!=0; //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 899 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $28=$2; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$3; //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($28, ((STRING_TABLE.__str235528)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$29,tempInt)); //@line 900 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 901 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $31=$2; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$len; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=__Z19js_CreateTypedArrayP9JSContextij($31, 1, $32); //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$33; //@line 902 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$obj; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)!=0; //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 903 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $1=0; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 904 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $38=$obj; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=__ZN2js10TypedArray13getTypedArrayEP8JSObject($38); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=__ZN2js10TypedArray13getDataOffsetEP8JSObject($39); //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buf=$40; //@line 905 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$buf; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$len; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$file; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=_fread($41, 1, $42, $43); //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $cc=$44; //@line 906 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$cc; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$len; //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($45)|0)!=(($46)|0); //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($47) { __label__ = 10; break; } else { __label__ = 14; break; } //@line 907 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $49=$2; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$3; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$cc; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=(($51)|0) < 0; //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 908 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $54=___errno(); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=HEAP32[(($54)>>2)]; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=_strerror($55); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59 = $56;__label__ = 13; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $59 = ((STRING_TABLE.__str237530)|0);__label__ = 13; break; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $59; //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($49, ((STRING_TABLE.__str236529)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$50,HEAP32[((tempInt+4)>>2)]=$59,tempInt)); //@line 909 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=0; //@line 910 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 911 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      __label__ = 16; break;
    case 16: 
      var $63=$file; //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=_fclose($63); //@line 914 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$obj; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$65; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 915 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $67=$1; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $67; //@line 916 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL16FileAsTypedArrayP9JSContextPKc["X"]=1;

function __ZL25finalize_counter_finalizeP9JSContextP8JSObject($cx, $obj) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$cx;
  $2=$obj;
  var $3=HEAP32[((__ZL13finalizeCount)>>2)]; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $4=(($3+1)|0); //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  HEAP32[((__ZL13finalizeCount)>>2)]=$4; //@line 1519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 1520 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN2jsL8JsvalifyEPNS_10StackFrameE625($fp) {
  ;
  var __label__;

  var $1;
  $1=$fp;
  var $2=$1; //@line 1244 "../vm/Stack.h"
  var $3=$2; //@line 1244 "../vm/Stack.h"
  ;
  return $3; //@line 1244 "../vm/Stack.h"
}


function __ZN2jsL8JsvalifyEPNS_5ClassE631($c) {
  ;
  var __label__;

  var $1;
  $1=$c;
  var $2=$1; //@line 382 "../jsclass.h"
  var $3=$2; //@line 382 "../jsclass.h"
  ;
  return $3; //@line 382 "../jsclass.h"
}


function __ZN12FreeOnReturnC2EP9JSContextPKc($this, $cx, $ptr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$ptr;
      var $4=$1;
      var $5=(($4)|0); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$2; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($5)>>2)]=$6; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($4+4)|0); //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$3; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($7)>>2)]=$8; //@line 3933 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      __label__ = 3; break; //@line 3934 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      ;
      return; //@line 3935 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_OBJECT_OR_NULL_IMPL621($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 538 "../jsval.h"
  var $2=(($1+4)|0); //@line 538 "../jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 538 "../jsval.h"
  var $4=(($3)>>>0) >= 4294967174; //@line 538 "../jsval.h"
  var $5=(($4)&1); //@line 538 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 538 "../jsval.h"
}


function _JSVAL_TO_BOOLEAN_IMPL626($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 496 "../jsval.h"
  var $2=(($1)|0); //@line 496 "../jsval.h"
  var $3=$2; //@line 496 "../jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 496 "../jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 496 "../jsval.h"
}


function _JSVAL_TO_INT32_IMPL627($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 439 "../jsval.h"
  var $2=(($1)|0); //@line 439 "../jsval.h"
  var $3=$2; //@line 439 "../jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 439 "../jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 439 "../jsval.h"
}


function _JSVAL_IS_INT32_IMPL628($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 433 "../jsval.h"
  var $2=(($1+4)|0); //@line 433 "../jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 433 "../jsval.h"
  var $4=(($3)|0)==-127; //@line 433 "../jsval.h"
  var $5=(($4)&1); //@line 433 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 433 "../jsval.h"
}


function __ZN2js15AutoValueRooter10jsval_addrEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+16)|0); //@line 1550 "../jscntxt.h"
  ;
  return $3; //@line 1550 "../jscntxt.h"
}


function _BOOLEAN_TO_JSVAL_IMPL630($agg_result, $b) {
  ;
  var __label__;

  var $1;
  $1=$b;
  var $2=$agg_result; //@line 504 "../jsval.h"
  var $3=(($2+4)|0); //@line 504 "../jsval.h"
  HEAP32[(($3)>>2)]=-125; //@line 504 "../jsval.h"
  var $4=$1; //@line 505 "../jsval.h"
  var $5=$agg_result; //@line 505 "../jsval.h"
  var $6=(($5)|0); //@line 505 "../jsval.h"
  var $7=$6; //@line 505 "../jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 505 "../jsval.h"
  ;
  return; //@line 506 "../jsval.h"
}


function __ZL12FileAsStringP9JSContextPKc($cx, $pathname) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $file;
      var $str;
      var $len;
      var $cc;
      var $buf;
      var $ucbuf;
      var $uclen=__stackBase__;
      $2=$cx;
      $3=$pathname;
      $str=0; //@line 836 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $4=$3; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=_fopen($4, ((STRING_TABLE.__str232525)|0)); //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $file=$5; //@line 840 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$file; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6)|0)!=0; //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($7) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 841 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $9=$2; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$3; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=___errno(); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=_strerror($12); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($9, ((STRING_TABLE.__str233526)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$10,HEAP32[((tempInt+4)>>2)]=$13,tempInt)); //@line 842 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break; //@line 843 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $15=$file; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_fseek($15, 0, 2); //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=(($16)|0)!=0; //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($17) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 846 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $19=$2; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$3; //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($19, ((STRING_TABLE.__str234527)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$20,tempInt)); //@line 847 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 848 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $22=$file; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=_ftell($22); //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $len=$23; //@line 849 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$file; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=_fseek($24, 0, 0); //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=(($25)|0)!=0; //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 850 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $28=$2; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$3; //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($28, ((STRING_TABLE.__str235528)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$29,tempInt)); //@line 851 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 852 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $31=$2; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=$len; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=(($32+1)|0); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=_JS_malloc($31, $33); //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $buf=$34; //@line 853 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$buf; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35)|0)!=0; //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($36) { __label__ = 8; break; } else { __label__ = 17; break; } //@line 854 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $38=$buf; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=$len; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$file; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=_fread($38, 1, $39, $40); //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $cc=$41; //@line 855 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$cc; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$len; //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=(($42)|0)!=(($43)|0); //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($44) { __label__ = 9; break; } else { __label__ = 13; break; } //@line 856 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $46=$2; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=$3; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$cc; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=(($48)|0) < 0; //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 857 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $51=___errno(); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=_strerror($52); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56 = $53;__label__ = 12; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $56 = ((STRING_TABLE.__str237530)|0);__label__ = 12; break; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $56; //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($46, ((STRING_TABLE.__str236529)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$47,HEAP32[((tempInt+4)>>2)]=$56,tempInt)); //@line 858 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break; //@line 859 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $58=$cc; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $len=$58; //@line 863 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=$2; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=$buf; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=$len; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=_JS_DecodeUTF8($59, $60, $61, 0, $uclen); //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=(($62)|0)!=0; //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($63) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 865 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $65=$2; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=$3; //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($65, ((STRING_TABLE.__str238531)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$66,tempInt)); //@line 866 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[((_gExitCode)>>2)]=3; //@line 867 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=0; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break; //@line 868 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $68=HEAP32[(($uclen)>>2)]; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=((($68<<1))|0); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=_malloc($69); //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=$70; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $ucbuf=$71; //@line 871 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=$2; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=$buf; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=$len; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=$ucbuf; //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=_JS_DecodeUTF8($72, $73, $74, $75, $uclen); //@line 872 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=$2; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $78=$ucbuf; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $79=HEAP32[(($uclen)>>2)]; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=_JS_NewUCStringCopyN($77, $78, $79); //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$80; //@line 873 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=$ucbuf; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $82=$81; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 874 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 16; break;
    case 16: 
      var $84=$2; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $85=$buf; //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_free($84, $85); //@line 876 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 877 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break;
    case 19: 
      var $89=$file; //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=_fclose($89); //@line 880 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$str; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$91; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break; //@line 882 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $93=$1; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $93; //@line 883 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12FileAsStringP9JSContextPKc["X"]=1;

function __ZN12FreeOnReturnD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN12FreeOnReturnD2Ev($2); //@line 3942 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function __ZN12FreeOnReturnD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $5=(($2+4)|0); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $6=HEAP32[(($5)>>2)]; //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _JS_free($4, $6); //@line 3943 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  ;
  return; //@line 3944 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function _JSVAL_IS_OBJECT620($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1381 "../jsapi.h"
  var $7=$v; //@line 1381 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1381 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1381 "../jsapi.h"
  var $8=_JSVAL_IS_OBJECT_OR_NULL_IMPL621($2); //@line 1381 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1381 "../jsapi.h"
}


function _JSVAL_IS_INT622($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1298 "../jsapi.h"
  var $7=$v; //@line 1298 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1298 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1298 "../jsapi.h"
  var $8=_JSVAL_IS_INT32_IMPL628($2); //@line 1298 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1298 "../jsapi.h"
}


function _JSVAL_TO_INT623($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1305 "../jsapi.h"
  var $7=$v; //@line 1305 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1305 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1305 "../jsapi.h"
  var $8=_JSVAL_TO_INT32_IMPL627($2); //@line 1305 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1305 "../jsapi.h"
}


function _JSVAL_TO_BOOLEAN624($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1409 "../jsapi.h"
  var $7=$v; //@line 1409 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1409 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1409 "../jsapi.h"
  var $8=_JSVAL_TO_BOOLEAN_IMPL626($2); //@line 1409 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1409 "../jsapi.h"
}


function __ZN2JSL12BooleanValueEb629($agg_result, $boo) {
  ;
  var __label__;

  var $1;
  var $2=(($boo)&1);
  $1=$2;
  var $3=$1; //@line 726 "../jsapi.h"
  var $4=(($3) & 1); //@line 726 "../jsapi.h"
  __ZN2JS5Value10setBooleanEb($agg_result, $4); //@line 726 "../jsapi.h"
  ;
  return; //@line 727 "../jsapi.h"
}


function __ZL13ValueToScriptP9JSContextN2JS5ValueEPP10JSFunction($cx, $0, $funp) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $2;
      var $3;
      var $v=__stackBase__;
      var $4;
      var $script;
      var $fun;
      var $5=__stackBase__+8;
      var $obj;
      var $6=__stackBase__+16;
      var $clasp;
      var $gen;
      var $7=__stackBase__+24;
      $3=$cx;
      var $8=$v;
      var $9=$0;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)];
      $4=$funp;
      $script=0; //@line 1555 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fun=0; //@line 1556 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$5; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=$v; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)]; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=_JSVAL_IS_PRIMITIVE589($5); //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0)!=0; //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($13) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 1558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $15=$6; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$v; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=_JSVAL_TO_OBJECT590($6); //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$17; //@line 1559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$obj; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=_JS_GetClass($18); //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $clasp=$19; //@line 1560 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$clasp; //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=__ZN2jsL8JsvalifyEPNS_5ClassE631(__ZN2js11ScriptClassE); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($20)|0)==(($21)|0); //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($22) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1562 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $24=$3; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$obj; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JS_GetPrivate($24, $25); //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=$26; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$27; //@line 1563 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 7; break; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $29=$clasp; //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=__ZN2jsL8JsvalifyEPNS_5ClassE631(__ZN2js14GeneratorClassE); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=(($29)|0)==(($30)|0); //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($31) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1564 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $33=$3; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$obj; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=_JS_GetPrivate($33, $34); //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$35; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $gen=$36; //@line 1565 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$gen; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=__ZN11JSGenerator13floatingFrameEv($37); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=__ZNK2js10StackFrame3funEv($38); //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fun=$39; //@line 1566 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$fun; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=__ZNK10JSFunction6scriptEv($40); //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$41; //@line 1567 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      __label__ = 7; break;
    case 7: 
      __label__ = 8; break; //@line 1569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $45=$script; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45)|0)!=0; //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($46) { __label__ = 14; break; } else { __label__ = 9; break; } //@line 1571 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $48=$3; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$7; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=$v; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($49)>>2)]=HEAP32[(($50)>>2)];HEAP32[(($49+4)>>2)]=HEAP32[(($50+4)>>2)]; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=_JS_ValueToFunction($48, $7); //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $fun=$51; //@line 1572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$fun; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=(($52)|0)!=0; //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      $2=0; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 1574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $56=$fun; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=__ZNK10JSFunction11maybeScriptEv($56); //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$57; //@line 1575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$script; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($58)|0)!=0; //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $61=$3; //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportErrorNumber($61, 364, 0, 7, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 1577 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 1579 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      __label__ = 14; break; //@line 1580 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $64=$fun; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=(($64)|0)!=0; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($65) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $67=$4; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=(($67)|0)!=0; //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($68) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $70=$fun; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=$4; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($71)>>2)]=$70; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 1582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $73=$script; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $2=$73; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 18; break; //@line 1584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $75=$2; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $75; //@line 1585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL13ValueToScriptP9JSContextN2JS5ValueEPP10JSFunction["X"]=1;

function __ZL11GetTrapArgsP9JSContextjPN2JS5ValueEPP8JSScriptPi($cx, $argc, $argv, $scriptp, $ip) {
  var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $v=__stackBase__;
      var $intarg;
      var $script;
      var $7=__stackBase__+8;
      var $8=__stackBase__+16;
      var $9=__stackBase__+24;
      var $10=__stackBase__+32;
      var $11=__stackBase__+40;
      $2=$cx;
      $3=$argc;
      $4=$argv;
      $5=$scriptp;
      $6=$ip;
      var $12=$2; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$2; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_JS_GetScriptedCaller($13, 0); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=_JS_GetFrameScript($12, $14); //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$5; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($16)>>2)]=$15; //@line 1618 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$6; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($17)>>2)]=0; //@line 1619 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$3; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18)|0)!=0; //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 2; break; } else { __label__ = 13; break; } //@line 1620 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $21=$4; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=(($21)|0); //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$v; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=$22; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($23)>>2)]=HEAP32[(($24)>>2)];HEAP32[(($23+4)>>2)]=HEAP32[(($24+4)>>2)]; //@line 1621 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $intarg=0; //@line 1622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$7; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$v; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($25)>>2)]=HEAP32[(($26)>>2)];HEAP32[(($25+4)>>2)]=HEAP32[(($26+4)>>2)]; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=_JSVAL_IS_PRIMITIVE589($7); //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=(($27)|0)!=0; //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($28) { __label__ = 8; break; } else { __label__ = 3; break; } //@line 1623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $30=$8; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$v; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($30)>>2)]=HEAP32[(($31)>>2)];HEAP32[(($30+4)>>2)]=HEAP32[(($31+4)>>2)]; //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=_JSVAL_TO_OBJECT590($8); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=_JS_GetClass($32); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=__ZN2jsL8JsvalifyEPNS_5ClassE631(__ZN2js13FunctionClassE); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($33)|0)==(($34)|0); //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $37=$9; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$v; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($37)>>2)]=HEAP32[(($38)>>2)];HEAP32[(($37+4)>>2)]=HEAP32[(($38+4)>>2)]; //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=_JSVAL_TO_OBJECT590($9); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=_JS_GetClass($39); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=__ZN2jsL8JsvalifyEPNS_5ClassE631(__ZN2js11ScriptClassE); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($40)|0)==(($41)|0); //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($42) { __label__ = 5; break; } else { __label__ = 8; break; } //@line 1625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $44=$2; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$10; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=$v; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($45)>>2)]=HEAP32[(($46)>>2)];HEAP32[(($45+4)>>2)]=HEAP32[(($46+4)>>2)]; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=__ZL13ValueToScriptP9JSContextN2JS5ValueEPP10JSFunction($44, $10, 0); //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$47; //@line 1626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$script; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=(($48)|0)!=0; //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($49) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $1=0; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 1628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $52=$script; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=$5; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($53)>>2)]=$52; //@line 1629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=$intarg; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=(($54+1)|0); //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $intarg=$55; //@line 1630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $57=$3; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$intarg; //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=(($57)>>>0) > (($58)>>>0); //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($59) { __label__ = 9; break; } else { __label__ = 12; break; } //@line 1632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $61=$2; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$intarg; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$4; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=(($63+($62<<3))|0); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$11; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=$64; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($65)>>2)]=HEAP32[(($66)>>2)];HEAP32[(($65+4)>>2)]=HEAP32[(($66+4)>>2)]; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=$6; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=_JS_ValueToInt32($61, $11, $67); //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=(($68)|0)!=0; //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($69) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      $1=0; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 1634 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      __label__ = 12; break; //@line 1635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      __label__ = 13; break; //@line 1636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      $1=1; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 14; break; //@line 1637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $75=$1; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $75; //@line 1638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11GetTrapArgsP9JSContextjPN2JS5ValueEPP8JSScriptPi["X"]=1;

function __ZL11TrapHandlerP9JSContextP8JSScriptPhPN2JS5ValueES5_($cx, $0, $pc, $rval, $1) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $1; $1 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($1)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($1+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $closure=__stackBase__;
      var $str;
      var $8=__stackBase__+8;
      var $caller;
      var $script;
      var $length=__stackBase__+16;
      var $chars;
      var $9=__stackBase__+20;
      $4=$cx;
      $5=$0;
      $6=$pc;
      $7=$rval;
      var $10=$closure;
      var $11=$1;
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($10)>>2)]=HEAP32[(($11)>>2)];HEAP32[(($10+4)>>2)]=HEAP32[(($11+4)>>2)];
      var $12=$8; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$closure; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=_JSVAL_TO_STRING594($8); //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$14; //@line 1644 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$4; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=_JS_GetScriptedCaller($15, 0); //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $caller=$16; //@line 1645 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$4; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$caller; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=_JS_GetFrameScript($17, $18); //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $script=$19; //@line 1646 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$4; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$str; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=_JS_GetStringCharsAndLength($20, $21, $length); //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $chars=$22; //@line 1649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$chars; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23)|0)!=0; //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($24) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $3=0; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $27=$4; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$caller; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=$chars; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=HEAP32[(($length)>>2)]; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$script; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31+52)|0); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=HEAP32[(($32)>>2)]; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$script; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34+28)|0); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=$7; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=_JS_EvaluateUCInStackFrame($27, $28, $29, $30, $33, $36, $37); //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=(($38)|0)!=0; //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($39) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1653 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $3=0; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1657 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $42=$7; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$9; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$42; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($43)>>2)]=HEAP32[(($44)>>2)];HEAP32[(($43+4)>>2)]=HEAP32[(($44+4)>>2)]; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=_JSVAL_IS_VOID595($9); //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45)|0)!=0; //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($46) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1659 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      $3=2; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1660 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $3=1; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 1661 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $50=$3; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $50; //@line 1662 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL11TrapHandlerP9JSContextP8JSScriptPhPN2JS5ValueES5_["X"]=1;

function __ZL23DebuggerAndThrowHandlerP9JSContextP8JSScriptPhPN2JS5ValueEPv($cx, $script, $pc, $rval, $closure) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6=__stackBase__;
  $1=$cx;
  $2=$script;
  $3=$pc;
  $4=$rval;
  $5=$closure;
  var $7=$1; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $8=$2; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $9=$3; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $10=$4; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $11=$5; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $12=$11; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  _STRING_TO_JSVAL599($6, $12); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  var $13=__ZL11TrapHandlerP9JSContextP8JSScriptPhPN2JS5ValueES5_($7, $8, $9, $10, $6); //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
  STACKTOP = __stackBase__;
  return $13; //@line 1708 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
}


function _UINT_TO_JSVAL($agg_result, $i) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$i;
      var $2=$1; //@line 1348 "../jsapi.h"
      var $3=(($2)>>>0) <= 2147483647; //@line 1348 "../jsapi.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1348 "../jsapi.h"
    case 2: 
      var $5=$1; //@line 1349 "../jsapi.h"
      _INT_TO_JSVAL592($agg_result, $5); //@line 1349 "../jsapi.h"
      __label__ = 4; break; //@line 1349 "../jsapi.h"
    case 3: 
      var $7=$1; //@line 1350 "../jsapi.h"
      var $8=(($7)>>>0); //@line 1350 "../jsapi.h"
      _DOUBLE_TO_JSVAL632($agg_result, $8); //@line 1350 "../jsapi.h"
      __label__ = 4; break; //@line 1350 "../jsapi.h"
    case 4: 
      ;
      return; //@line 1351 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _DOUBLE_TO_JSVAL632($agg_result, $d) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $l=__stackBase__;
      var $2=__stackBase__+8;
      $1=$d;
      var $3=$1; //@line 1337 "../jsapi.h"
      var $4=$1; //@line 1337 "../jsapi.h"
      var $5=$3 != $4; //@line 1337 "../jsapi.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1337 "../jsapi.h"
    case 2: 
      var $7=$l; //@line 1338 "../jsapi.h"
      var $$emscripten$temp$0$0=0;
      var $$emscripten$temp$0$1=2146959360;
      var $st$3$0=(($7)|0);
      HEAP32[(($st$3$0)>>2)]=$$emscripten$temp$0$0;
      var $st$3$1=(($7+4)|0);
      HEAP32[(($st$3$1)>>2)]=$$emscripten$temp$0$1;
      __label__ = 4; break; //@line 1339 "../jsapi.h"
    case 3: 
      var $9=$1; //@line 1340 "../jsapi.h"
      var $10=$l; //@line 1340 "../jsapi.h"
      (tempDoubleF64[0]=$9,HEAP32[(($10)>>2)]=tempDoubleI32[0],HEAP32[(($10+4)>>2)]=tempDoubleI32[1]); //@line 1340 "../jsapi.h"
      __label__ = 4; break;
    case 4: 
      var $12=$2; //@line 1342 "../jsapi.h"
      var $13=$l; //@line 1342 "../jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($12)>>2)]=HEAP32[(($13)>>2)];HEAP32[(($12+4)>>2)]=HEAP32[(($13+4)>>2)]; //@line 1342 "../jsapi.h"
      __ZL13IMPL_TO_JSVAL12jsval_layout600($agg_result, $2); //@line 1342 "../jsapi.h"
      STACKTOP = __stackBase__;
      return; //@line 1342 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_IS_TRACEABLE633($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 2621 "../jsapi.h"
  var $7=$v; //@line 2621 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 2621 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 2621 "../jsapi.h"
  var $8=_JSVAL_IS_TRACEABLE_IMPL641($2); //@line 2621 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 2621 "../jsapi.h"
}


function _JSVAL_TO_TRACEABLE($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=$v;
  var $4=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($3)>>2)]=HEAP32[(($4)>>2)];HEAP32[(($3+4)>>2)]=HEAP32[(($4+4)>>2)];
  var $5=$2; //@line 2627 "../jsapi.h"
  var $6=$v; //@line 2627 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($5)>>2)]=HEAP32[(($6)>>2)];HEAP32[(($5+4)>>2)]=HEAP32[(($6+4)>>2)]; //@line 2627 "../jsapi.h"
  var $7=_JSVAL_TO_GCTHING639($2); //@line 2627 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $7; //@line 2627 "../jsapi.h"
}


function _JSVAL_TRACE_KIND634($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 2634 "../jsapi.h"
  var $7=$v; //@line 2634 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 2634 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 2634 "../jsapi.h"
  var $8=_JSVAL_TRACE_KIND_IMPL637($2); //@line 2634 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 2634 "../jsapi.h"
}


function __ZL10NewSandboxP9JSContextb($cx, $lazy) {
  var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $obj;
      var $ac=__stackBase__;
      var $4;
      var $root=__stackBase__+4;
      var $5=__stackBase__+28;
      var $objroot=__stackBase__+36;
      $2=$cx;
      var $6=(($lazy)&1);
      $3=$6;
      var $7=$2; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=_JS_NewCompartmentAndGlobalObject($7, __ZL13sandbox_class, 0); //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $obj=$8; //@line 2958 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$obj; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=(($9)|0)!=0; //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 2959 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      $1=0; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 2960 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      __ZN22JSAutoEnterCompartmentC1Ev($ac); //@line 2963 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$2; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$obj; //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=__ZN22JSAutoEnterCompartment5enterEP9JSContextP8JSObject($ac, $13, $14); //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($15) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2964 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      $1=0; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 12; break; //@line 2965 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $18=$3; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=(($18) & 1); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($19) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $21=$2; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=$obj; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=_JS_InitStandardClasses($21, $22); //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23)|0)!=0; //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($24) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 2967 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      $1=0; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 12; break; //@line 2968 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $27=$2; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=$3; //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28) & 1); //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2JSL12BooleanValueEb629($5, $29); //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE($root, $27, $5); //@line 2970 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$2; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$obj; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=__ZN2js15AutoValueRooter10jsval_addrEv($root); //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=_JS_SetProperty($30, $31, ((STRING_TABLE.__str245538)|0), $32); //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33)|0)!=0; //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($34) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 2971 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      $1=0; //@line 2972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 11; break; //@line 2972 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      $4=0; //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 11; break; //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      __ZN2js15AutoValueRooterD1Ev($root); //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 12; break;
    case 12: 
      __ZN22JSAutoEnterCompartmentD1Ev($ac); //@line 2973 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $cleanup_dest=$4;
      if ((($cleanup_dest)|0) == 0) {
        __label__ = 13; break;
      }
      else if ((($cleanup_dest)|0) == 1) {
        __label__ = 17; break;
      }
      else {
      __label__ = 18; break;
      }
      
    case 13: 
      var $40=$2; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=$obj; //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject($objroot, $40, $41); //@line 2975 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=$2; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=(($42+56)|0); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=$2; //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=__ZN2js16AutoObjectRooter4addrEv($objroot); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=__ZN13JSCompartment4wrapEP9JSContextPP8JSObject($44, $45, $46); //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($47) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 2976 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      $1=0; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 16; break; //@line 2977 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $50=__ZNK2js16AutoObjectRooter6objectEv($objroot); //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$50; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $4=1;
      __label__ = 16; break; //@line 2978 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      __ZN2js16AutoObjectRooterD1Ev($objroot); //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break;
    case 17: 
      var $53=$1; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $53; //@line 2979 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      throw "Reached an unreachable!"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL10NewSandboxP9JSContextb["X"]=1;

function __ZN2js3cli6detail6Option8asValuedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 73 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli6detail6Option12asBoolOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli6detail6Option14asStringOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function _JSVAL_IS_NULL_IMPL636($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 560 "../jsval.h"
  var $2=(($1+4)|0); //@line 560 "../jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 560 "../jsval.h"
  var $4=(($3)|0)==-122; //@line 560 "../jsval.h"
  var $5=(($4)&1); //@line 560 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 560 "../jsval.h"
}


function _JSVAL_IS_STRING_IMPL638($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 468 "../jsval.h"
  var $2=(($1+4)|0); //@line 468 "../jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 468 "../jsval.h"
  var $4=(($3)|0)==-123; //@line 468 "../jsval.h"
  var $5=(($4)&1); //@line 468 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 468 "../jsval.h"
}


function _JSVAL_TO_GCTHING_IMPL640($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 590 "../jsval.h"
  var $2=(($1)|0); //@line 590 "../jsval.h"
  var $3=$2; //@line 590 "../jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 590 "../jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 590 "../jsval.h"
}


function _JSVAL_IS_TRACEABLE_IMPL641($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1=$l; //@line 596 "../jsval.h"
      var $2=(($1+4)|0); //@line 596 "../jsval.h"
      var $3=HEAP32[(($2)>>2)]; //@line 596 "../jsval.h"
      var $4=(($3)|0)==-123; //@line 596 "../jsval.h"
      if ($4) { var $11 = 1;__label__ = 3; break; } else { __label__ = 2; break; } //@line 596 "../jsval.h"
    case 2: 
      var $6=$l; //@line 596 "../jsval.h"
      var $7=(($6+4)|0); //@line 596 "../jsval.h"
      var $8=HEAP32[(($7)>>2)]; //@line 596 "../jsval.h"
      var $9=(($8)|0)==-121; //@line 596 "../jsval.h"
      var $11 = $9;__label__ = 3; break; //@line 596 "../jsval.h"
    case 3: 
      var $11;
      var $12=(($11)&1); //@line 596 "../jsval.h"
      STACKTOP = __stackBase__;
      return $12; //@line 596 "../jsval.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JSVAL_TO_OBJECT_IMPL642($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 544 "../jsval.h"
  var $2=(($1)|0); //@line 544 "../jsval.h"
  var $3=$2; //@line 544 "../jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 544 "../jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 544 "../jsval.h"
}


function _JSVAL_IS_OBJECT_IMPL643($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 525 "../jsval.h"
  var $2=(($1+4)|0); //@line 525 "../jsval.h"
  var $3=HEAP32[(($2)>>2)]; //@line 525 "../jsval.h"
  var $4=(($3)|0)==-121; //@line 525 "../jsval.h"
  var $5=(($4)&1); //@line 525 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 525 "../jsval.h"
}


function _JSVAL_IS_DOUBLE_IMPL647($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 418 "../jsval.h"
  var $2=(($1+4)|0); //@line 418 "../jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 418 "../jsval.h"
  var $4=(($3)>>>0) <= 4294967168; //@line 418 "../jsval.h"
  var $5=(($4)&1); //@line 418 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 418 "../jsval.h"
}


function _JSVAL_TO_STRING_IMPL648($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 484 "../jsval.h"
  var $2=(($1)|0); //@line 484 "../jsval.h"
  var $3=$2; //@line 484 "../jsval.h"
  var $4=HEAP32[(($3)>>2)]; //@line 484 "../jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 484 "../jsval.h"
}


function _OBJECT_TO_JSVAL_IMPL649($agg_result, $obj) {
  ;
  var __label__;

  var $1;
  $1=$obj;
  var $2=$agg_result; //@line 552 "../jsval.h"
  var $3=(($2+4)|0); //@line 552 "../jsval.h"
  HEAP32[(($3)>>2)]=-121; //@line 552 "../jsval.h"
  var $4=$1; //@line 553 "../jsval.h"
  var $5=$agg_result; //@line 553 "../jsval.h"
  var $6=(($5)|0); //@line 553 "../jsval.h"
  var $7=$6; //@line 553 "../jsval.h"
  HEAP32[(($7)>>2)]=$4; //@line 553 "../jsval.h"
  ;
  return; //@line 554 "../jsval.h"
}


function _JSVAL_IS_PRIMITIVE_IMPL650($l) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=$l; //@line 531 "../jsval.h"
  var $2=(($1+4)|0); //@line 531 "../jsval.h"
  var $3=HEAPU32[(($2)>>2)]; //@line 531 "../jsval.h"
  var $4=(($3)>>>0) < 4294967175; //@line 531 "../jsval.h"
  var $5=(($4)&1); //@line 531 "../jsval.h"
  STACKTOP = __stackBase__;
  return $5; //@line 531 "../jsval.h"
}


function __ZN2js11AutoIdArrayntEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1684 "../jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1684 "../jscntxt.h"
  var $5=(($4)|0)==0; //@line 1684 "../jscntxt.h"
  ;
  return $5; //@line 1684 "../jscntxt.h"
}


function __ZNK2js11AutoIdArray6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 1692 "../jscntxt.h"
  var $4=HEAP32[(($3)>>2)]; //@line 1692 "../jscntxt.h"
  var $5=(($4)|0); //@line 1692 "../jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1692 "../jscntxt.h"
  ;
  return $6; //@line 1692 "../jscntxt.h"
}


function __ZNK2js11AutoIdArrayixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 1689 "../jscntxt.h"
  var $5=(($3+12)|0); //@line 1689 "../jscntxt.h"
  var $6=HEAP32[(($5)>>2)]; //@line 1689 "../jscntxt.h"
  var $7=(($6+4)|0); //@line 1689 "../jscntxt.h"
  var $8=(($7+($4<<2))|0); //@line 1689 "../jscntxt.h"
  var $9=HEAP32[(($8)>>2)]; //@line 1689 "../jscntxt.h"
  ;
  return $9; //@line 1689 "../jscntxt.h"
}


function __ZNK2js3cli6detail6Option12isBoolOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=(($4)|0)==0; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $5; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli6detail6Option14isStringOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=(($4)|0)==1; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $5; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function _JSVAL_IS_NULL635($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1286 "../jsapi.h"
  var $7=$v; //@line 1286 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1286 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1286 "../jsapi.h"
  var $8=_JSVAL_IS_NULL_IMPL636($2); //@line 1286 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1286 "../jsapi.h"
}


function __ZL15CountHeapNotifyP8JSTracerPv13JSGCTraceKind($trc, $thing, $kind) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $countTracer;
      var $entry;
      var $node;
      $1=$trc;
      $2=$thing;
      $3=$kind;
      var $4=$1; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $5=$4; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $countTracer=$5; //@line 1386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=$countTracer; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $7=(($6+56)|0); //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=HEAP32[(($7)>>2)]; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=(($8)|0)!=0; //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($9) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 1387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      __label__ = 13; break; //@line 1388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $12=$countTracer; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12+24)|0); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$2; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=_JS_DHashTableOperate($13, $14, 1); //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$15; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $entry=$16; //@line 1391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$entry; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17)|0)!=0; //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 1392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $20=$1; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($20)|0); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportOutOfMemory($22); //@line 1393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=$countTracer; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $24=(($23+56)|0); //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($24)>>2)]=0; //@line 1394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 1395 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $26=$entry; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=(($26+4)|0); //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=0; //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      __label__ = 13; break; //@line 1398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $32=$2; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=$entry; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=(($33+4)|0); //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($34)>>2)]=$32; //@line 1399 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=$countTracer; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=(($35+64)|0); //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $node=$37; //@line 1401 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=$node; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=(($38)|0)!=0; //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($39) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1402 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $41=$node; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41+8)|0); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=HEAP32[(($42)>>2)]; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$countTracer; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=(($44+64)|0); //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($45)>>2)]=$43; //@line 1403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 12; break; //@line 1404 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $47=$1; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=(($47)|0); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50=_JS_malloc($49, 12); //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=$50; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $node=$51; //@line 1405 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $52=$node; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $53=(($52)|0)!=0; //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($53) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1406 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $55=$countTracer; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55+56)|0); //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($56)>>2)]=0; //@line 1407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 1408 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      __label__ = 12; break;
    case 12: 
      var $59=$2; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=$node; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=(($60)|0); //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($61)>>2)]=$59; //@line 1411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$3; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$node; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $64=(($63+4)|0); //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($64)>>2)]=$62; //@line 1412 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $65=$countTracer; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=(($65+60)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=HEAP32[(($66)>>2)]; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=$node; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $69=(($68+8)|0); //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($69)>>2)]=$67; //@line 1413 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $70=$node; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $71=$countTracer; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $72=(($71+60)|0); //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($72)>>2)]=$70; //@line 1414 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      ;
      return; //@line 1415 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL15CountHeapNotifyP8JSTracerPv13JSGCTraceKind["X"]=1;

function _JSVAL_TRACE_KIND_IMPL637($l) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $l; $l = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($l)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($l+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $1=__stackBase__;
  var $2=$1; //@line 602 "../jsval.h"
  var $3=$l; //@line 602 "../jsval.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($2)>>2)]=HEAP32[(($3)>>2)];HEAP32[(($2+4)>>2)]=HEAP32[(($3+4)>>2)]; //@line 602 "../jsval.h"
  var $4=_JSVAL_IS_STRING_IMPL638($1); //@line 602 "../jsval.h"
  STACKTOP = __stackBase__;
  return $4; //@line 602 "../jsval.h"
}


function _JSVAL_TO_GCTHING639($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1434 "../jsapi.h"
  var $7=$v; //@line 1434 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1434 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1434 "../jsapi.h"
  var $8=_JSVAL_TO_GCTHING_IMPL640($2); //@line 1434 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1434 "../jsapi.h"
}


function __ZL8ToSourceP9JSContextPN2JS5ValueEP16JSAutoByteString($cx, $vp, $bytes) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $str;
      var $5=__stackBase__;
      var $6=__stackBase__+8;
      $2=$cx;
      $3=$vp;
      $4=$bytes;
      var $7=$2; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$3; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$5; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=$8; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($9)>>2)]=HEAP32[(($10)>>2)];HEAP32[(($9+4)>>2)]=HEAP32[(($10+4)>>2)]; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=_JS_ValueToSource($7, $5); //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $str=$11; //@line 1126 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=$str; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=(($12)|0)!=0; //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 1127 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $15=$3; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=$str; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _STRING_TO_JSVAL599($6, $16); //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=$15; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=$6; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($17)>>2)]=HEAP32[(($18)>>2)];HEAP32[(($17+4)>>2)]=HEAP32[(($18+4)>>2)]; //@line 1128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=$4; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$2; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=$str; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $22=__ZN16JSAutoByteString6encodeEP9JSContextP8JSString($19, $20, $21); //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22)|0)!=0; //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1129 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $25=$4; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=__ZNK16JSAutoByteString3ptrEv($25); //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$26; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      __label__ = 5; break; //@line 1131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      var $29=$2; //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ClearPendingException($29); //@line 1132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=((STRING_TABLE.__str281574)|0); //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 6; break; //@line 1133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $31=$1; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 1134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function _JS_THIS644($agg_result, $cx, $vp) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3=__stackBase__;
      $1=$cx;
      $2=$vp;
      var $4=$2; //@line 2397 "../jsapi.h"
      var $5=(($4+8)|0); //@line 2397 "../jsapi.h"
      var $6=$3; //@line 2397 "../jsapi.h"
      var $7=$5; //@line 2397 "../jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 2397 "../jsapi.h"
      var $8=_JSVAL_IS_PRIMITIVE589($3); //@line 2397 "../jsapi.h"
      var $9=(($8)|0)!=0; //@line 2397 "../jsapi.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 2397 "../jsapi.h"
    case 2: 
      var $11=$1; //@line 2397 "../jsapi.h"
      var $12=$2; //@line 2397 "../jsapi.h"
      _JS_ComputeThis($agg_result, $11, $12); //@line 2397 "../jsapi.h"
      __label__ = 4; break; //@line 2397 "../jsapi.h"
    case 3: 
      var $14=$2; //@line 2397 "../jsapi.h"
      var $15=(($14+8)|0); //@line 2397 "../jsapi.h"
      var $16=$agg_result; //@line 2397 "../jsapi.h"
      var $17=$15; //@line 2397 "../jsapi.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($16)>>2)]=HEAP32[(($17)>>2)];HEAP32[(($16+4)>>2)]=HEAP32[(($17+4)>>2)]; //@line 2397 "../jsapi.h"
      __label__ = 4; break; //@line 2397 "../jsapi.h"
    case 4: 
      STACKTOP = __stackBase__;
      return; //@line 2397 "../jsapi.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZL26MapContextOptionNameToFlagP9JSContextPKc($cx, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $i;
      var $msg;
      var $i1;
      $2=$cx;
      $3=$name;
      $i=0; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $5=$i; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $6=(($5)|0)!=10; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($6) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      var $8=$3; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$i; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=((__ZL10js_options+($9<<3))|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $11=(($10)|0); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=_strcmp($8, $12); //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=(($13)|0)==0; //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 631 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $16=$i; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $17=((__ZL10js_options+($16<<3))|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $18=(($17+4)|0); //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$19; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break; //@line 632 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      __label__ = 6; break; //@line 633 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $22=$i; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $23=(($22+1)|0); //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i=$23; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 2; break; //@line 630 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $25=$3; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=_JS_sprintf_append(0, ((STRING_TABLE.__str295)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$25,tempInt)); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $msg=$26; //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i1=0; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      var $28=$i1; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $29=(($28)|0)!=10; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($29) { __label__ = 9; break; } else { __label__ = 16; break; } //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      var $31=$msg; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($31)|0)!=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($32) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      __label__ = 16; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $35=$msg; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $36=$i1; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $37=((__ZL10js_options+($36<<3))|0); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $38=(($37)|0); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $39=HEAP32[(($38)>>2)]; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=$i1; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $41=(($40+2)|0); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $42=(($41)>>>0) < 10; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($42) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $50 = ((STRING_TABLE.__str296)|0);__label__ = 14; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 13: 
      var $45=$i1; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=(($45+2)|0); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=(($46)|0)==10; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$47 ? (((STRING_TABLE.__str297)|0)) : (((STRING_TABLE.__str298)|0)); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $50 = $48;__label__ = 14; break; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 14: 
      var $50; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $51=_JS_sprintf_append($35, ((STRING_TABLE.__str283576)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$39,HEAP32[((tempInt+4)>>2)]=$50,tempInt)); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $msg=$51; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 15; break; //@line 647 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $53=$i1; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $54=(($53+1)|0); //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $i1=$54; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 8; break; //@line 638 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $56=$msg; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=(($56)|0)!=0; //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($57) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 648 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $59=$2; //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportOutOfMemory($59); //@line 649 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break; //@line 650 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $61=$2; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=$msg; //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      _JS_ReportError($61, $62, (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 651 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=$msg; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ; //@line 652 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 19; break;
    case 19: 
      $1=0; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break; //@line 654 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $66=$1; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      ;
      return $66; //@line 655 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL26MapContextOptionNameToFlagP9JSContextPKc["X"]=1;

function _JSVAL_IS_DOUBLE645($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $2=__stackBase__+8;
  var $3=__stackBase__+16;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1317 "../jsapi.h"
  var $7=$v; //@line 1317 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1317 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1317 "../jsapi.h"
  var $8=_JSVAL_IS_DOUBLE_IMPL647($2); //@line 1317 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $8; //@line 1317 "../jsapi.h"
}


function _JSVAL_TO_DOUBLE646($0) {
  var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $0; $0 = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($0)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($0+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;

  var $v=__stackBase__;
  var $l=__stackBase__+8;
  var $2=__stackBase__+16;
  var $3=__stackBase__+24;
  var $4=$v;
  var $5=$0;
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($4)>>2)]=HEAP32[(($5)>>2)];HEAP32[(($4+4)>>2)]=HEAP32[(($5+4)>>2)];
  var $6=$3; //@line 1325 "../jsapi.h"
  var $7=$v; //@line 1325 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($6)>>2)]=HEAP32[(($7)>>2)];HEAP32[(($6+4)>>2)]=HEAP32[(($7+4)>>2)]; //@line 1325 "../jsapi.h"
  __ZL13JSVAL_TO_IMPLN2JS5ValueE598($2, $3); //@line 1325 "../jsapi.h"
  var $8=$l; //@line 1325 "../jsapi.h"
  var $9=$2; //@line 1325 "../jsapi.h"
  assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 1325 "../jsapi.h"
  var $10=$l; //@line 1326 "../jsapi.h"
  var $11=(tempDoubleI32[0]=HEAP32[(($10)>>2)],tempDoubleI32[1]=HEAP32[(($10+4)>>2)],tempDoubleF64[0]); //@line 1326 "../jsapi.h"
  STACKTOP = __stackBase__;
  return $11; //@line 1326 "../jsapi.h"
}


function __ZL12CopyPropertyP9JSContextP8JSObjectS2_ijPS2_($cx, $obj, $referent, $id, $lookupFlags, $objp) {
  var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $prop=__stackBase__;
      var $desc=__stackBase__+4;
      var $propFlags;
      var $obj2=__stackBase__+36;
      var $shape;
      var $desc1=__stackBase__+40;
      $2=$cx;
      $3=$obj;
      $4=$referent;
      $5=$id;
      $6=$lookupFlags;
      $7=$objp;
      $propFlags=0; //@line 3133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $8=$7; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($8)>>2)]=0; //@line 3136 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $9=$4; //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $10=__ZNK8JSObject8isNativeEv($9); //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($10) { __label__ = 2; break; } else { __label__ = 21; break; } //@line 3137 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 2: 
      var $12=$2; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $13=$4; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $14=$5; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $15=$6; //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $16=__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty($12, $13, $14, $15, $obj2, $prop); //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($16) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 3138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 3: 
      $1=0; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3139 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 4: 
      var $19=HEAP32[(($obj2)>>2)]; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $20=$4; //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $21=(($19)|0)!=(($20)|0); //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($21) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 3140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 5: 
      $1=1; //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3141 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 6: 
      var $24=HEAP32[(($prop)>>2)]; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $25=$24; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $shape=$25; //@line 3143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $26=$shape; //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $27=__ZNK2js5Shape8isMethodEv($26); //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($27) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 3144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 7: 
      var $29=$4; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $30=$2; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $31=$shape; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $32=(($desc+16)|0); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $33=__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE($29, $30, $31, $32); //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $shape=$33; //@line 3145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $34=$shape; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $35=(($34)|0)!=0; //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($35) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 3146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 8: 
      $1=0; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 9: 
      __label__ = 14; break; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 10: 
      var $39=$shape; //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $40=__ZNK2js5Shape7hasSlotEv($39); //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($40) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 3148 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 11: 
      var $42=(($desc+16)|0); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $43=$4; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $44=$shape; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $45=(($44+24)|0); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $47=__ZNK8JSObject13nativeGetSlotEj($43, $46); //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $48=$42; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $49=$47; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($48)>>2)]=HEAP32[(($49)>>2)];HEAP32[(($48+4)>>2)]=HEAP32[(($49+4)>>2)]; //@line 3149 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break; //@line 3150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 12: 
      var $51=(($desc+16)|0); //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __ZN2JS5Value12setUndefinedEv($51); //@line 3151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 13; break;
    case 13: 
      __label__ = 14; break;
    case 14: 
      var $54=$shape; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $55=__ZNK2js5Shape10attributesEv($54); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $56=(($55)&255); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $57=(($desc+4)|0); //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($57)>>2)]=$56; //@line 3154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $58=$shape; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $59=__ZNK2js5Shape6getterEv($58); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $60=(($desc+8)|0); //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($60)>>2)]=$59; //@line 3155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $61=(($desc+8)|0); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $63=(($62)|0)!=0; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($63) { __label__ = 17; break; } else { __label__ = 15; break; } //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 15: 
      var $65=(($desc+4)|0); //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $67=$66 & 16; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $68=(($67)|0)!=0; //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($68) { __label__ = 17; break; } else { __label__ = 16; break; } //@line 3156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 16: 
      var $70=(($desc+8)|0); //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($70)>>2)]=8; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 17; break; //@line 3157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 17: 
      var $72=$shape; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $73=__ZNK2js5Shape6setterEv($72); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $74=(($desc+12)|0); //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($74)>>2)]=$73; //@line 3158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $75=(($desc+12)|0); //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $76=HEAP32[(($75)>>2)]; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $77=(($76)|0)!=0; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($77) { __label__ = 20; break; } else { __label__ = 18; break; } //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 18: 
      var $79=(($desc+4)|0); //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $80=HEAP32[(($79)>>2)]; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $81=$80 & 32; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $82=(($81)|0)!=0; //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($82) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 3159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 19: 
      var $84=(($desc+12)|0); //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($84)>>2)]=10; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 20; break; //@line 3160 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 20: 
      var $86=$shape; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $87=(($86+30)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $88=HEAP16[(($87)>>1)]; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $89=(($88 << 16) >> 16); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $90=(($desc+24)|0); //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($90)>>2)]=$89; //@line 3161 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $91=$shape; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $92=__ZNK2js5Shape8getFlagsEv($91); //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $propFlags=$92; //@line 3162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 36; break; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 21: 
      var $94=$4; //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $95=__ZNK8JSObject7isProxyEv($94); //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 27; break; } //@line 3163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 22: 
      var $97=$2; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $98=$4; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $99=$5; //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $100=__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor($97, $98, $99, 0, $desc1); //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($100) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 3165 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 23: 
      $1=0; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3166 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 24: 
      var $103=(($desc1)|0); //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $104=HEAP32[(($103)>>2)]; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $105=(($104)|0)!=0; //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($105) { __label__ = 26; break; } else { __label__ = 25; break; } //@line 3167 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 25: 
      $1=1; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3168 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 26: 
      __label__ = 35; break; //@line 3169 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 27: 
      var $109=$4; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $110=$2; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $111=$5; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $112=$7; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $113=__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty($109, $110, $111, $112, $prop); //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $114=(($113)|0)!=0; //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($114) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 3170 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 28: 
      $1=0; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3171 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 29: 
      var $117=$7; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $119=$4; //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $120=(($118)|0)!=(($119)|0); //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($120) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 3172 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 30: 
      $1=1; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3173 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 31: 
      var $123=$4; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $124=$2; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $125=$5; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $126=(($desc+16)|0); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $127=__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE($123, $124, $125, $126); //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $128=(($127)|0)!=0; //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($128) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 3174 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 32: 
      var $130=$4; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $131=$2; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $132=$5; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $133=(($desc+4)|0); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $134=__ZN8JSObject13getAttributesEP9JSContextiPj($130, $131, $132, $133); //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $135=(($134)|0)!=0; //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      if ($135) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 3175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 33: 
      $1=0; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 34: 
      var $138=(($desc+4)|0); //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $139=HEAP32[(($138)>>2)]; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $140=$139 & 7; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($138)>>2)]=$140; //@line 3178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $141=(($desc+8)|0); //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($141)>>2)]=8; //@line 3179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $142=(($desc+12)|0); //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($142)>>2)]=10; //@line 3180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $143=(($desc+24)|0); //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($143)>>2)]=0; //@line 3181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 35; break;
    case 35: 
      __label__ = 36; break;
    case 36: 
      var $146=$3; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $147=$7; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      HEAP32[(($147)>>2)]=$146; //@line 3184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $148=$2; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $149=$3; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $150=$5; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $151=(($desc+16)|0); //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $152=(($desc+8)|0); //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $153=HEAP32[(($152)>>2)]; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $154=(($desc+12)|0); //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $155=HEAP32[(($154)>>2)]; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $156=(($desc+4)|0); //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $157=HEAP32[(($156)>>2)]; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $158=$propFlags; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $159=(($desc+24)|0); //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $160=HEAP32[(($159)>>2)]; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $161=__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij($148, $149, $150, $151, $153, $155, $157, $158, $160, 0); //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $162=(($161)|0)!=0; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $163=$162 ^ 1; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $164=$163 ^ 1; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      var $165=(($164)&1); //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      $1=$165; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      __label__ = 37; break; //@line 3185 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    case 37: 
      var $167=$1; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
      STACKTOP = __stackBase__;
      return $167; //@line 3187 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/js.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL12CopyPropertyP9JSContextP8JSObjectS2_ijPS2_["X"]=1;

function __ZN2js11AutoIdArrayC1EP9JSContextP9JSIdArray($this, $cx, $ida) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cx;
  $3=$ida;
  var $4=$1;
  var $5=$2; //@line 1678 "../jscntxt.h"
  var $6=$3; //@line 1678 "../jscntxt.h"
  __ZN2js11AutoIdArrayC2EP9JSContextP9JSIdArray($4, $5, $6); //@line 1678 "../jscntxt.h"
  ;
  return; //@line 1678 "../jscntxt.h"
}


function __ZN2js11AutoIdArrayD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js11AutoIdArrayD2Ev($2); //@line 1679 "../jscntxt.h"
  ;
  return; //@line 1682 "../jscntxt.h"
}


function __ZN2js11AutoIdArrayD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=(($2+12)|0); //@line 1680 "../jscntxt.h"
      var $4=HEAP32[(($3)>>2)]; //@line 1680 "../jscntxt.h"
      var $5=(($4)|0)!=0; //@line 1680 "../jscntxt.h"
      if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1680 "../jscntxt.h"
    case 2: 
      var $7=$2; //@line 1681 "../jscntxt.h"
      var $8=(($7+8)|0); //@line 1681 "../jscntxt.h"
      var $9=HEAP32[(($8)>>2)]; //@line 1681 "../jscntxt.h"
      var $10=(($2+12)|0); //@line 1681 "../jscntxt.h"
      var $11=HEAP32[(($10)>>2)]; //@line 1681 "../jscntxt.h"
      _JS_DestroyIdArray($9, $11); //@line 1681 "../jscntxt.h"
      __label__ = 3; break; //@line 1681 "../jscntxt.h"
    case 3: 
      var $13=$2; //@line 1682 "../jscntxt.h"
      __ZN2js12AutoGCRooterD2Ev($13); //@line 1682 "../jscntxt.h"
      ;
      return; //@line 1682 "../jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11AutoIdArrayC2EP9JSContextP9JSIdArray($this, $cx, $ida) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      $1=$this;
      $2=$cx;
      $3=$ida;
      var $4=$1;
      var $5=$4; //@line 1676 "../jscntxt.h"
      var $6=$2; //@line 1676 "../jscntxt.h"
      __ZN2js12AutoGCRooterC2EP9JSContexti($5, $6, -6); //@line 1676 "../jscntxt.h"
      var $7=(($4+12)|0); //@line 1676 "../jscntxt.h"
      var $8=$3; //@line 1676 "../jscntxt.h"
      HEAP32[(($7)>>2)]=$8; //@line 1676 "../jscntxt.h"
      __label__ = 2; break; //@line 1677 "../jscntxt.h"
    case 2: 
      __label__ = 3; break; //@line 1677 "../jscntxt.h"
    case 3: 
      ;
      return; //@line 1678 "../jscntxt.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js3cli6detail6Option8asValuedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js3cli6detail6Option8asValuedEv($2); //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 79 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli6detail6Option12asBoolOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js3cli6detail6Option12asBoolOptionEv($2); //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 82 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli6detail6Option14asStringOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js3cli6detail6Option14asStringOptionEv($2); //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 83 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli6detail6Option11asIntOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli6detail6Option19asMultiStringOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli6detail6Option11isIntOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=(($4)|0)==2; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $5; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli6detail6Option19isMultiStringOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+12)|0); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $4=HEAP32[(($3)>>2)]; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=(($4)|0)==3; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $5; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli6detail6Option20setTerminatesOptionsEb($this, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  var $3=(($enabled)&1);
  $2=$3;
  var $4=$1;
  var $5=$2; //@line 81 "./jsoptparse.h"
  var $6=(($5) & 1); //@line 81 "./jsoptparse.h"
  var $7=(($4+17)|0); //@line 81 "./jsoptparse.h"
  var $8=(($6)&1); //@line 81 "./jsoptparse.h"
  HEAP8[($7)]=$8; //@line 81 "./jsoptparse.h"
  ;
  return; //@line 81 "./jsoptparse.h"
}


function __ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5emptyEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 338 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 338 "../jsvector.h"
  var $5=(($4)|0)==0; //@line 338 "../jsvector.h"
  ;
  return $5; //@line 338 "../jsvector.h"
}


function __ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 347 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "../jsvector.h"
  ;
  return $4; //@line 347 "../jsvector.h"
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 352 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 352 "../jsvector.h"
  var $5=(($2+4)|0); //@line 352 "../jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 352 "../jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 352 "../jsvector.h"
  ;
  return $7; //@line 352 "../jsvector.h"
}


function __ZNK2js3cli6detail6Option11asIntOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js3cli6detail6Option11asIntOptionEv($2); //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 84 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli6detail6Option19asMultiStringOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=__ZN2js3cli6detail6Option19asMultiStringOptionEv($2); //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $3; //@line 85 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli12OptionParser23setArgTerminatesOptionsEPKcb($this, $name, $enabled) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$name;
  var $4=(($enabled)&1);
  $3=$4;
  var $5=$1;
  var $6=$2; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=__ZN2js3cli12OptionParser12findArgumentEPKc($5, $6); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=$3; //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $9=(($8) & 1); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  __ZN2js3cli6detail6Option20setTerminatesOptionsEb($7, $9); //@line 90 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return; //@line 91 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli12OptionParser12findArgumentEPKc($this, $name) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $it;
      var $end;
      var $target;
      $2=$this;
      $3=$name;
      var $4=$2;
      var $5=(($4+20)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $6=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($5); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$6; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $7=(($4+20)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $8=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($7); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end=$8; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $10=$it; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=$end; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=(($10)|0)!=(($11)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $14=$it; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=(($15+4)|0); //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $target=$17; //@line 536 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=$target; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=$3; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=_strcmp($18, $19); //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=(($20)|0)==0; //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 537 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      var $23=$it; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$24; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 8; break; //@line 538 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      __label__ = 6; break; //@line 539 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $27=$it; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $28=(($27+4)|0); //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$28; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 535 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      $1=0; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 8; break; //@line 540 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      var $31=$1; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      ;
      return $31; //@line 541 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli12OptionParser5errorEPKcz($this, $fmt) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $args=__stackBase__;
  $1=$this;
  $2=$fmt;
  var $3=$1;
  var $4=$args; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  HEAP32[(($4)>>2)]=arguments[__ZN2js3cli12OptionParser5errorEPKcz.length]; //@line 97 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=HEAP32[((_stderr)>>2)]; //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=_fprintf($5, ((STRING_TABLE.__str651)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 98 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=HEAP32[((_stderr)>>2)]; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=$2; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $9=HEAP32[(($args)>>2)]; //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $10=_vfprintf($7, $8, $9); //@line 99 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $11=$args; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ; //@line 100 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $12=HEAP32[((_stderr)>>2)]; //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $13=_fputs(((STRING_TABLE.__str1652)|0), $12); //@line 101 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  STACKTOP = __stackBase__;
  return 2; //@line 102 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli12OptionParser9printHelpEPKc($this, $progname) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $prefixEnd;
      var $fmtChars;
      var $lhsLen;
      var $it;
      var $end;
      var $it1;
      var $end2;
      var $arg;
      var $chars;
      var $lhsLen3;
      var $it4;
      var $end5;
      var $opt;
      var $longflagLen;
      var $fmtLen=__stackBase__;
      var $len;
      var $it6;
      var $end7;
      var $opt8;
      var $fmtLen9=__stackBase__+4;
      var $fmt;
      var $chars10;
      $1=$this;
      $2=$progname;
      var $3=$1;
      var $4=(($3+68)|0); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $5=HEAP32[(($4)>>2)]; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $6=_strstr($5, ((STRING_TABLE.__ZN2js3cli12OptionParser12prognameMetaE)|0)); //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $prefixEnd=$6; //@line 190 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $7=$prefixEnd; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $8=(($7)|0)!=0; //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 191 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $10=$prefixEnd; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=(($3+68)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=$10; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $14=$12; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=(($13-$14)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=(($3+68)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=$2; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=$prefixEnd; //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=(($19+11)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=(($20-1)|0); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=_printf(((STRING_TABLE.__str2653)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$15,HEAP32[((tempInt+4)>>2)]=$17,HEAP32[((tempInt+8)>>2)]=$18,HEAP32[((tempInt+12)>>2)]=$21,tempInt)); //@line 192 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 4; break; //@line 194 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $24=(($3+68)|0); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $25=HEAP32[(($24)>>2)]; //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $26=_puts($25); //@line 195 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 4; break;
    case 4: 
      var $28=(($3+76)|0); //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $30=(($29)|0)!=0; //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($30) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 198 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $32=HEAP32[((_stdout)>>2)]; //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $33=_putc(10, $32); //@line 199 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=(($3+76)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $36=(($3+80)|0); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $37=HEAP32[(($36)>>2)]; //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZL14PrintParagraphPKcjjb($35, 2, $37, 1); //@line 200 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $38=HEAP32[((_stdout)>>2)]; //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $39=_putc(10, $38); //@line 201 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 202 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $41=(($3+72)|0); //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $42=HEAP32[(($41)>>2)]; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $43=(($42)|0)!=0; //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($43) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 204 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      var $45=(($3+72)|0); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $46=HEAP32[(($45)>>2)]; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $47=_printf(((STRING_TABLE.__str3654)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$46,tempInt)); //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 8; break; //@line 205 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      var $49=(($3+20)|0); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $50=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5emptyEv($49); //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($50) { __label__ = 25; break; } else { __label__ = 9; break; } //@line 207 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 9: 
      var $52=_printf(((STRING_TABLE.__str4655)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 208 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $fmtChars=4; //@line 211 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $lhsLen=0; //@line 212 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $53=(($3+20)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $54=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($53); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$54; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $55=(($3+20)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $56=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($55); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end=$56; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 10; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 10: 
      var $58=$it; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $59=$end; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $60=(($58)|0)!=(($59)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($60) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 11: 
      var $62=$lhsLen; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $63=$it; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $64=HEAP32[(($63)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $65=(($64+4)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $66=HEAP32[(($65)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $67=_strlen($66); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $68=$fmtChars; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $69=(($67+$68)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $70=(($62)>>>0) > (($69)>>>0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($70) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 12: 
      var $72=$lhsLen; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $82 = $72;__label__ = 14; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 13: 
      var $74=$it; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $75=HEAP32[(($74)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $76=(($75+4)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $77=HEAP32[(($76)>>2)]; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $78=_strlen($77); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $79=$fmtChars; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $80=(($78+$79)|0); //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $82 = $80;__label__ = 14; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 14: 
      var $82; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $lhsLen=$82; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 15; break; //@line 214 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 15: 
      var $84=$it; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $85=(($84+4)|0); //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$85; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 10; break; //@line 213 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 16: 
      var $87=(($3+20)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $88=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($87); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it1=$88; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $89=(($3+20)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $90=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($89); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end2=$90; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 17: 
      var $92=$it1; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $93=$end2; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $94=(($92)|0)!=(($93)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($94) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 18: 
      var $96=$it1; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $97=HEAP32[(($96)>>2)]; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $arg=$97; //@line 217 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $98=$arg; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $99=(($98+4)|0); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $100=HEAP32[(($99)>>2)]; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $101=_printf(((STRING_TABLE.__ZZN2js3cli12OptionParser9printHelpEPKcE3fmt)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$100,tempInt)); //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $chars=$101; //@line 218 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 19; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 19: 
      var $103=$chars; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $104=$lhsLen; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $105=(($103)>>>0) < (($104)>>>0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($105) { __label__ = 20; break; } else { __label__ = 22; break; } //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 20: 
      var $107=HEAP32[((_stdout)>>2)]; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $108=_putc(32, $107); //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 21; break; //@line 220 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 21: 
      var $110=$chars; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $111=(($110+1)|0); //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $chars=$111; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 19; break; //@line 219 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 22: 
      var $113=$arg; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $114=(($113+8)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $115=HEAP32[(($114)>>2)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $116=$lhsLen; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $117=(($3+84)|0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $118=HEAP32[(($117)>>2)]; //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZL14PrintParagraphPKcjjb($115, $116, $118, 0); //@line 221 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $119=HEAP32[((_stdout)>>2)]; //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $120=_putc(10, $119); //@line 222 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 23; break; //@line 223 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 23: 
      var $122=$it1; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $123=(($122+4)|0); //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it1=$123; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 216 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 24: 
      var $125=HEAP32[((_stdout)>>2)]; //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $126=_putc(10, $125); //@line 224 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 25; break; //@line 225 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 25: 
      var $128=(($3)|0); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $129=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5emptyEv($128); //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($129) { __label__ = 50; break; } else { __label__ = 26; break; } //@line 227 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 26: 
      var $131=_printf(((STRING_TABLE.__str5656)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 228 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $lhsLen3=0; //@line 231 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $132=(($3)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $133=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($132); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it4=$133; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $134=(($3)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $135=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($134); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end5=$135; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 27; break; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 27: 
      var $137=$it4; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $138=$end5; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $139=(($137)|0)!=(($138)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($139) { __label__ = 28; break; } else { __label__ = 32; break; } //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 28: 
      var $141=$it4; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $142=HEAP32[(($141)>>2)]; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $opt=$142; //@line 233 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $143=$opt; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $144=(($143+4)|0); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $145=HEAP32[(($144)>>2)]; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $146=_strlen($145); //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $longflagLen=$146; //@line 234 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $147=$opt; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $148=(($147+16)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $149=HEAP8[($148)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $150=$opt; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $151=$150; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $152=HEAP32[(($151)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $153=(($152+8)|0); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $154=HEAP32[(($153)>>2)]; //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $155=FUNCTION_TABLE[$154]($150); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $156=__ZL23OptionFlagsToFormatInfocbPj($149, $155, $fmtLen); //@line 237 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $157=HEAP32[(($fmtLen)>>2)]; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $158=$longflagLen; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $159=(($157+$158)|0); //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $len=$159; //@line 239 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $160=$opt; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $161=$160; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $162=HEAP32[(($161)>>2)]; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $163=(($162+8)|0); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $164=HEAP32[(($163)>>2)]; //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $165=FUNCTION_TABLE[$164]($160); //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($165) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 240 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 29: 
      var $167=$opt; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $168=__ZN2js3cli6detail6Option8asValuedEv($167); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $169=(($168+20)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $170=HEAP32[(($169)>>2)]; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $171=_strlen($170); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $172=$len; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $173=(($172+$171)|0); //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $len=$173; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 30; break; //@line 241 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 30: 
      var $175=$lhsLen3; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $176=$len; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $177=(($175)>>>0) > (($176)>>>0); //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $178=$lhsLen3; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $179=$len; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $180=$177 ? $178 : $179; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $lhsLen3=$180; //@line 242 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 31; break; //@line 243 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 31: 
      var $182=$it4; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $183=(($182+4)|0); //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it4=$183; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 27; break; //@line 232 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 32: 
      var $185=(($3)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $186=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($185); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it6=$186; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $187=(($3)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $188=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($187); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end7=$188; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 33; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 33: 
      var $190=$it6; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $191=$end7; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $192=(($190)|0)!=(($191)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($192) { __label__ = 34; break; } else { __label__ = 49; break; } //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 34: 
      var $194=$it6; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $195=HEAP32[(($194)>>2)]; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $opt8=$195; //@line 247 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $196=$opt8; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $197=(($196+16)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $198=HEAP8[($197)]; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $199=$opt8; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $200=$199; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $201=HEAP32[(($200)>>2)]; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $202=(($201+8)|0); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $203=HEAP32[(($202)>>2)]; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $204=FUNCTION_TABLE[$203]($199); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $205=__ZL23OptionFlagsToFormatInfocbPj($198, $204, $fmtLen9); //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $fmt=$205; //@line 249 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $206=$opt8; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $207=$206; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $208=HEAP32[(($207)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $209=(($208+8)|0); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $210=HEAP32[(($209)>>2)]; //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $211=FUNCTION_TABLE[$210]($206); //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($211) { __label__ = 35; break; } else { __label__ = 39; break; } //@line 251 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 35: 
      var $213=$opt8; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $214=(($213+16)|0); //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $215=HEAP8[($214)]; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $216=(($215 << 24) >> 24)!=0; //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($216) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 252 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 36: 
      var $218=$fmt; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $219=$opt8; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $220=(($219+16)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $221=HEAP8[($220)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $222=(($221 << 24) >> 24); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $223=$opt8; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $224=(($223+4)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $225=HEAP32[(($224)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $226=$opt8; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $227=__ZN2js3cli6detail6Option8asValuedEv($226); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $228=(($227+20)|0); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $229=HEAP32[(($228)>>2)]; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $230=_printf($218, (tempInt=STACKTOP,STACKTOP += 12,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$222,HEAP32[((tempInt+4)>>2)]=$225,HEAP32[((tempInt+8)>>2)]=$229,tempInt)); //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $chars10=$230; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 38; break; //@line 253 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 37: 
      var $232=$fmt; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $233=$opt8; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $234=(($233+4)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $235=HEAP32[(($234)>>2)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $236=$opt8; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $237=__ZN2js3cli6detail6Option8asValuedEv($236); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $238=(($237+20)|0); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $239=HEAP32[(($238)>>2)]; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $240=_printf($232, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$235,HEAP32[((tempInt+4)>>2)]=$239,tempInt)); //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $chars10=$240; //@line 255 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 38; break;
    case 38: 
      __label__ = 43; break; //@line 256 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 39: 
      var $243=$opt8; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $244=(($243+16)|0); //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $245=HEAP8[($244)]; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $246=(($245 << 24) >> 24)!=0; //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($246) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 257 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 40: 
      var $248=$fmt; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $249=$opt8; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $250=(($249+16)|0); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $251=HEAP8[($250)]; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $252=(($251 << 24) >> 24); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $253=$opt8; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $254=(($253+4)|0); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $255=HEAP32[(($254)>>2)]; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $256=_printf($248, (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$252,HEAP32[((tempInt+4)>>2)]=$255,tempInt)); //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $chars10=$256; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 42; break; //@line 258 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 41: 
      var $258=$fmt; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $259=$opt8; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $260=(($259+4)|0); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $261=HEAP32[(($260)>>2)]; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $262=_printf($258, (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$261,tempInt)); //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $chars10=$262; //@line 260 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 42; break;
    case 42: 
      __label__ = 43; break;
    case 43: 
      __label__ = 44; break; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 44: 
      var $266=$chars10; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $267=$lhsLen3; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $268=(($266)>>>0) < (($267)>>>0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($268) { __label__ = 45; break; } else { __label__ = 47; break; } //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 45: 
      var $270=HEAP32[((_stdout)>>2)]; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $271=_putc(32, $270); //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 46; break; //@line 263 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 46: 
      var $273=$chars10; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $274=(($273+1)|0); //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $chars10=$274; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 44; break; //@line 262 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 47: 
      var $276=$opt8; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $277=(($276+8)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $278=HEAP32[(($277)>>2)]; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $279=$lhsLen3; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $280=(($3+84)|0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $281=HEAP32[(($280)>>2)]; //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZL14PrintParagraphPKcjjb($278, $279, $281, 0); //@line 264 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $282=HEAP32[((_stdout)>>2)]; //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $283=_putc(10, $282); //@line 265 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 48; break; //@line 266 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 48: 
      var $285=$it6; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $286=(($285+4)|0); //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it6=$286; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 33; break; //@line 246 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 49: 
      __label__ = 50; break; //@line 267 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 50: 
      STACKTOP = __stackBase__;
      return 3; //@line 269 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js3cli12OptionParser9printHelpEPKc["X"]=1;

function __ZL14PrintParagraphPKcjjb($text, $startColno, $limitColno, $padFirstLine) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $colno;
      var $it;
      var $limit;
      var $tokLen;
      $1=$text;
      $2=$startColno;
      $3=$limitColno;
      var $5=(($padFirstLine)&1);
      $4=$5;
      var $6=$2; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $colno=$6; //@line 109 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $7=$1; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$7; //@line 110 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $8=$4; //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $9=(($8) & 1); //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($9) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 112 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $11=$2; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=_printf(((STRING_TABLE.__str16667)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$11,HEAP32[((tempInt+4)>>2)]=((__str17668)|0),tempInt)); //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 3; break; //@line 113 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      __label__ = 4; break; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      var $15=$it; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=HEAP8[($15)]; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=(($16 << 24) >> 24); //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=(($17)|0)!=0; //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 25; break; } //@line 115 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $20=$it; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $limit=$20; //@line 119 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $22=$limit; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=HEAP8[($22)]; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=(($23 << 24) >> 24); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $25=_isspace($24); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $26=(($25)|0)!=0; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($26) { var $33 = 0;__label__ = 8; break; } else { __label__ = 7; break; } //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      var $28=$limit; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $29=HEAP8[($28)]; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $30=(($29 << 24) >> 24); //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $31=(($30)|0)!=0; //@line 120 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $33 = $31;__label__ = 8; break;
    case 8: 
      var $33;
      if ($33) { __label__ = 9; break; } else { __label__ = 10; break; }
    case 9: 
      var $35=$limit; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $36=(($35+1)|0); //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $limit=$36; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 121 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 10: 
      var $38=$limit; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $39=$it; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $40=$38; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $41=$39; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $42=(($40-$41)|0); //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $tokLen=$42; //@line 128 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $43=$tokLen; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $44=$colno; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $45=(($43+$44)|0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $46=$3; //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $47=(($45)>>>0) >= (($46)>>>0); //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($47) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 130 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 11: 
      var $49=$2; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $50=$tokLen; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $51=$it; //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $52=_printf(((STRING_TABLE.__str18669)|0), (tempInt=STACKTOP,STACKTOP += 16,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$49,HEAP32[((tempInt+4)>>2)]=((__str17668)|0),HEAP32[((tempInt+8)>>2)]=$50,HEAP32[((tempInt+12)>>2)]=$51,tempInt)); //@line 131 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $53=$2; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $54=$tokLen; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $55=(($53+$54)|0); //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $colno=$55; //@line 132 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 13; break; //@line 133 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 12: 
      var $57=$tokLen; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $58=$it; //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $59=_printf(((STRING_TABLE.__str19670)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$57,HEAP32[((tempInt+4)>>2)]=$58,tempInt)); //@line 134 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $60=$tokLen; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $61=$colno; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $62=(($61+$60)|0); //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $colno=$62; //@line 135 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 13; break;
    case 13: 
      var $64=$limit; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $65=HEAP8[($64)]; //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $66=(($65 << 24) >> 24); //@line 138 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ((($66)|0) == 0) {
        __label__ = 14; break;
      }
      else if ((($66)|0) == 32) {
        __label__ = 15; break;
      }
      else if ((($66)|0) == 10) {
        __label__ = 19; break;
      }
      else {
      __label__ = 23; break;
      }
      
    case 14: 
      __label__ = 25; break; //@line 140 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 15: 
      var $69=HEAP32[((_stdout)>>2)]; //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $70=_putc(32, $69); //@line 142 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $71=$colno; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $72=(($71+1)|0); //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $colno=$72; //@line 143 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $73=$limit; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$73; //@line 144 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 16; break; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 16: 
      var $75=$it; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $76=HEAP8[($75)]; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $77=(($76 << 24) >> 24); //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $78=(($77)|0)==32; //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($78) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 145 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 17: 
      var $80=$it; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $81=(($80+1)|0); //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$81; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 16; break; //@line 146 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 18: 
      __label__ = 24; break; //@line 147 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 19: 
      var $84=$2; //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $85=_printf(((STRING_TABLE.__str20671)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$84,HEAP32[((tempInt+4)>>2)]=((__str17668)|0),tempInt)); //@line 150 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $86=$2; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $colno=$86; //@line 151 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $87=$limit; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $88=(($87+1)|0); //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$88; //@line 152 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 20; break; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 20: 
      var $90=$it; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $91=HEAP8[($90)]; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $92=(($91 << 24) >> 24); //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $93=(($92)|0)==32; //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($93) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 154 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 21: 
      var $95=HEAP32[((_stdout)>>2)]; //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $96=_putc(32, $95); //@line 155 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $97=$colno; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $98=(($97+1)|0); //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $colno=$98; //@line 156 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $99=$it; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $100=(($99+1)|0); //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$100; //@line 157 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 20; break; //@line 158 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 22: 
      __label__ = 24; break; //@line 159 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 23: 
      __label__ = 24; break; //@line 162 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 24: 
      __label__ = 4; break; //@line 163 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 25: 
      ;
      return; //@line 164 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZL14PrintParagraphPKcjjb["X"]=1;

function __ZL23OptionFlagsToFormatInfocbPj($shortflag, $isValued, $length) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $lengths=__stackBase__;
      var $index;
      $1=$shortflag;
      var $4=(($isValued)&1);
      $2=$4;
      $3=$length;
      var $5=(($lengths)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $6=HEAP32[((((__ZZL23OptionFlagsToFormatInfocbPjE3fmt)|0))>>2)]; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $7=_strlen($6); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $8=(($7-3)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($5)>>2)]=$8; //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $9=(($5+4)|0); //@line 175 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=HEAP32[((((__ZZL23OptionFlagsToFormatInfocbPjE3fmt+4)|0))>>2)]; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=_strlen($10); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=(($11-3)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($9)>>2)]=$12; //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=(($9+4)|0); //@line 176 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $14=HEAP32[((((__ZZL23OptionFlagsToFormatInfocbPjE3fmt+8)|0))>>2)]; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=_strlen($14); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=(($15-5)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($13)>>2)]=$16; //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=(($13+4)|0); //@line 177 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=HEAP32[((((__ZZL23OptionFlagsToFormatInfocbPjE3fmt+12)|0))>>2)]; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=_strlen($18); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=(($19-5)|0); //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($17)>>2)]=$20; //@line 178 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=$2; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=(($21) & 1); //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=$22 ? 2 : 0; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $index=$23; //@line 179 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=$1; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $25=(($24 << 24) >> 24)!=0; //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($25) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 180 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $27=$index; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $28=(($27+1)|0); //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $index=$28; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 3; break; //@line 181 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $30=$index; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $31=(($lengths+($30<<2))|0); //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $33=$3; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($33)>>2)]=$32; //@line 183 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=$index; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=((__ZZL23OptionFlagsToFormatInfocbPjE3fmt+($34<<2))|0); //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $36=HEAP32[(($35)>>2)]; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $36; //@line 184 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js3cli6detail6Option20getTerminatesOptionsEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+17)|0); //@line 82 "./jsoptparse.h"
  var $4=HEAP8[($3)]; //@line 82 "./jsoptparse.h"
  var $5=(($4) & 1); //@line 82 "./jsoptparse.h"
  ;
  return $5; //@line 82 "./jsoptparse.h"
}


function __ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+4)|0); //@line 334 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 334 "../jsvector.h"
  ;
  return $4; //@line 334 "../jsvector.h"
}


function __ZN2js3cli6detail6Option11setFlagInfoEcPKcS4_($this, $shortflag, $longflag, $help) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  var $5=$1;
  var $6=$2; //@line 96 "./jsoptparse.h"
  var $7=(($5+16)|0); //@line 96 "./jsoptparse.h"
  HEAP8[($7)]=$6; //@line 96 "./jsoptparse.h"
  var $8=$3; //@line 97 "./jsoptparse.h"
  var $9=(($5+4)|0); //@line 97 "./jsoptparse.h"
  HEAP32[(($9)>>2)]=$8; //@line 97 "./jsoptparse.h"
  var $10=$4; //@line 98 "./jsoptparse.h"
  var $11=(($5+8)|0); //@line 98 "./jsoptparse.h"
  HEAP32[(($11)>>2)]=$10; //@line 98 "./jsoptparse.h"
  ;
  return; //@line 99 "./jsoptparse.h"
}


function __ZNK2js3cli12OptionParser13getHelpOptionEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2+40)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $4=(($3+24)|0); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=HEAP8[($4)]; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=(($5) & 1); //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $6; //@line 422 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli12OptionParser12extractValueEjPPcPjS3_($this, $argc, $argv, $i, $value) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $eq;
      $2=$this;
      $3=$argc;
      $4=$argv;
      $5=$i;
      $6=$value;
      var $7=$2;
      var $8=$5; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $9=HEAP32[(($8)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=$4; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=(($10+($9<<2))|0); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=HEAP32[(($11)>>2)]; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=_strchr($12, 61); //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $eq=$13; //@line 276 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $14=$eq; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=(($14)|0)!=0; //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($15) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 277 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $17=$eq; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=(($17+1)|0); //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=$6; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($19)>>2)]=$18; //@line 278 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=$6; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=(($20)|0); //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=HEAP32[(($21)>>2)]; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=(($22)|0)==0; //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 279 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $25=$eq; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $26=$5; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $27=HEAP32[(($26)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $28=$4; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $29=(($28+($27<<2))|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $30=HEAP32[(($29)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $31=$25; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $32=$30; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $33=(($31-$32)|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=$5; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $36=$4; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $37=(($36+($35<<2))|0); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $38=HEAP32[(($37)>>2)]; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $39=__ZN2js3cli12OptionParser5errorEPKcz($7, ((STRING_TABLE.__str6657)|0), (tempInt=STACKTOP,STACKTOP += 8,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$33,HEAP32[((tempInt+4)>>2)]=$38,tempInt)); //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$39; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 8; break; //@line 280 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      $1=0; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 8; break; //@line 281 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $42=$3; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $43=$5; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $45=(($44+1)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $46=(($42)|0)==(($45)|0); //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($46) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 284 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $48=$5; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $50=$4; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $51=(($50+($49<<2))|0); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $52=HEAP32[(($51)>>2)]; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $53=__ZN2js3cli12OptionParser5errorEPKcz($7, ((STRING_TABLE.__str7658)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$52,tempInt)); //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$53; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 8; break; //@line 285 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      var $55=$5; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $56=HEAP32[(($55)>>2)]; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $57=(($56+1)|0); //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($55)>>2)]=$57; //@line 287 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $58=$5; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $59=HEAP32[(($58)>>2)]; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $60=$4; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $61=(($60+($59<<2))|0); //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $62=HEAP32[(($61)>>2)]; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $63=$6; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($63)>>2)]=$62; //@line 288 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=0; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 8; break; //@line 289 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      var $65=$1; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      ;
      return $65; //@line 290 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js3cli12OptionParser12extractValueEjPPcPjS3_["X"]=1;

function __ZN2js3cli12OptionParser12handleOptionEPNS0_6detail6OptionEjPPcPjPb($this, $opt, $argc, $argv, $i, $optionsAllowed) {
  var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $value=__stackBase__;
      var $r;
      var $value1=__stackBase__+4;
      var $r2;
      var $value3=__stackBase__+8;
      var $r4;
      var $arg=__stackBase__+12;
      var $8=__stackBase__+20;
      $2=$this;
      $3=$opt;
      $4=$argc;
      $5=$argv;
      $6=$i;
      $7=$optionsAllowed;
      var $9=$2;
      var $10=$3; //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=__ZNK2js3cli6detail6Option20getTerminatesOptionsEv($10); //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 295 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $13=$7; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP8[($13)]=0; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 3; break; //@line 296 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $15=$3; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=(($15+12)|0); //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 298 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ((($17)|0) == 0) {
        __label__ = 4; break;
      }
      else if ((($17)|0) == 1) {
        __label__ = 7; break;
      }
      else if ((($17)|0) == 2) {
        __label__ = 10; break;
      }
      else if ((($17)|0) == 3) {
        __label__ = 13; break;
      }
      else {
      __label__ = 16; break;
      }
      
    case 4: 
      var $19=$3; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=(($9+40)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=$20; //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=(($19)|0)==(($21)|0); //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 301 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $24=$5; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $25=(($24)|0); //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $26=HEAP32[(($25)>>2)]; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $27=__ZN2js3cli12OptionParser9printHelpEPKc($9, $26); //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$27; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 302 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $29=$3; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $30=__ZN2js3cli6detail6Option12asBoolOptionEv($29); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $31=(($30+24)|0); //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP8[($31)]=1; //@line 303 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=0; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 304 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      HEAP32[(($value)>>2)]=0; //@line 312 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $33=$4; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=$5; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=$6; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $36=__ZN2js3cli12OptionParser12extractValueEjPPcPjS3_($9, $33, $34, $35, $value); //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $r=$36; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $37=$r; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $38=(($37)|0)!=0; //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 313 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      var $40=$r; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$40; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 314 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 9: 
      var $42=HEAP32[(($value)>>2)]; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $43=$3; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $44=__ZN2js3cli6detail6Option14asStringOptionEv($43); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $45=(($44+24)|0); //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($45)>>2)]=$42; //@line 315 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=0; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 316 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 10: 
      HEAP32[(($value1)>>2)]=0; //@line 320 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $47=$4; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $48=$5; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $49=$6; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $50=__ZN2js3cli12OptionParser12extractValueEjPPcPjS3_($9, $47, $48, $49, $value1); //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $r2=$50; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $51=$r2; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $52=(($51)|0)!=0; //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($52) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 321 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 11: 
      var $54=$r2; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$54; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 322 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 12: 
      var $56=HEAP32[(($value1)>>2)]; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $57=_atoi($56); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $58=$3; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $59=__ZN2js3cli6detail6Option11asIntOptionEv($58); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $60=(($59+24)|0); //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($60)>>2)]=$57; //@line 323 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=0; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 324 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 13: 
      HEAP32[(($value3)>>2)]=0; //@line 328 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $62=$4; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $63=$5; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $64=$6; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $65=__ZN2js3cli12OptionParser12extractValueEjPPcPjS3_($9, $62, $63, $64, $value3); //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $r4=$65; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $66=$r4; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $67=(($66)|0)!=0; //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($67) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 329 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 14: 
      var $69=$r4; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$69; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 330 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 15: 
      var $71=HEAP32[(($value3)>>2)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $72=$6; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $73=HEAP32[(($72)>>2)]; //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js3cli6detail9StringArgC1EPcj($arg, $71, $73); //@line 331 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $74=$3; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $75=__ZN2js3cli6detail6Option19asMultiStringOptionEv($74); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $76=(($75+24)|0); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $77=$8; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $78=$arg; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($77)>>2)]=HEAP32[(($78)>>2)];HEAP32[(($77+4)>>2)]=HEAP32[(($78+4)>>2)]; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $79=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE6appendIS3_EEbT_($76, $8); //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $80=$79 ? 0 : 1; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$80; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 332 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 16: 
      $1=1; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 336 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 17: 
      var $83=$1; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $83; //@line 338 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js3cli12OptionParser12handleOptionEPNS0_6detail6OptionEjPPcPjPb["X"]=1;

function __ZN2js3cli6detail9StringArgC1EPcj($this, $value, $argno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$value;
  $3=$argno;
  var $4=$1;
  var $5=$2; //@line 172 "./jsoptparse.h"
  var $6=$3; //@line 172 "./jsoptparse.h"
  __ZN2js3cli6detail9StringArgC2EPcj($4, $5, $6); //@line 172 "./jsoptparse.h"
  ;
  return; //@line 172 "./jsoptparse.h"
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE6appendIS3_EEbT_($this, $t) {
  var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $g=__stackBase__;
      var $3;
      var $4=__stackBase__+4;
      $2=$this;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 757 "../jsvector.h"
      var $6=(($5+4)|0); //@line 758 "../jsvector.h"
      var $7=HEAP32[(($6)>>2)]; //@line 758 "../jsvector.h"
      var $8=(($5+8)|0); //@line 758 "../jsvector.h"
      var $9=HEAP32[(($8)>>2)]; //@line 758 "../jsvector.h"
      var $10=(($7)|0)==(($9)|0); //@line 758 "../jsvector.h"
      if ($10) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 758 "../jsvector.h"
    case 2: 
      var $12=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE13growStorageByEj($5, 1); //@line 758 "../jsvector.h"
      if ($12) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 758 "../jsvector.h"
    case 3: 
      $1=0; //@line 759 "../jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 759 "../jsvector.h"
    case 4: 
      var $15=$4; //@line 765 "../jsvector.h"
      var $16=$t; //@line 765 "../jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($15)>>2)]=HEAP32[(($16)>>2)];HEAP32[(($15+4)>>2)]=HEAP32[(($16+4)>>2)]; //@line 765 "../jsvector.h"
      __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE14internalAppendIS3_EEvT_($5, $4); //@line 765 "../jsvector.h"
      $1=1; //@line 766 "../jsvector.h"
      $3=1;
      __label__ = 5; break; //@line 766 "../jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 767 "../jsvector.h"
      var $18=$1; //@line 767 "../jsvector.h"
      STACKTOP = __stackBase__;
      return $18; //@line 767 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli12OptionParser9handleArgEjPPcPjPb($this, $argc, $argv, $i, $optionsAllowed) {
  var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $arg;
      var $value=__stackBase__;
      var $7=__stackBase__+8;
      $2=$this;
      $3=$argc;
      $4=$argv;
      $5=$i;
      $6=$optionsAllowed;
      var $8=$2;
      var $9=(($8+88)|0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=HEAPU32[(($9)>>2)]; //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=(($8+20)|0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv($11); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=(($10)>>>0) >= (($12)>>>0); //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 343 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $15=__ZN2js3cli12OptionParser5errorEPKcz($8, ((STRING_TABLE.__str8659)|0), (tempInt=STACKTOP,STACKTOP += 1,STACKTOP = ((((STACKTOP)+3)>>2)<<2),assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=0,tempInt)); //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$15; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 9; break; //@line 344 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $17=(($8+20)|0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=(($8+88)|0); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEixEj($17, $19); //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $arg=$21; //@line 346 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=$arg; //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=__ZNK2js3cli6detail6Option20getTerminatesOptionsEv($22); //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($23) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 348 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      var $25=$6; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP8[($25)]=0; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 5; break; //@line 349 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $27=$arg; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $28=(($27+12)|0); //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $29=HEAP32[(($28)>>2)]; //@line 351 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ((($29)|0) == 1) {
        __label__ = 6; break;
      }
      else if ((($29)|0) == 3) {
        __label__ = 7; break;
      }
      else {
      __label__ = 8; break;
      }
      
    case 6: 
      var $31=$5; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $32=HEAP32[(($31)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $33=$4; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=(($33+($32<<2))|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=HEAP32[(($34)>>2)]; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $36=$arg; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $37=__ZN2js3cli6detail6Option14asStringOptionEv($36); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $38=(($37+24)|0); //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($38)>>2)]=$35; //@line 353 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $39=(($8+88)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $40=HEAP32[(($39)>>2)]; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $41=(($40+1)|0); //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($39)>>2)]=$41; //@line 354 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=0; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 9; break; //@line 355 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      var $43=$5; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $44=HEAP32[(($43)>>2)]; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $45=$4; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $46=(($45+($44<<2))|0); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $47=HEAP32[(($46)>>2)]; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $48=$5; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $49=HEAP32[(($48)>>2)]; //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js3cli6detail9StringArgC1EPcj($value, $47, $49); //@line 359 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $50=$arg; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $51=__ZN2js3cli6detail6Option19asMultiStringOptionEv($50); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $52=(($51+24)|0); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $53=$7; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $54=$value; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($53)>>2)]=HEAP32[(($54)>>2)];HEAP32[(($53+4)>>2)]=HEAP32[(($54+4)>>2)]; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $55=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE6appendIS3_EEbT_($52, $7); //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $56=$55 ? 0 : 1; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$56; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 9; break; //@line 360 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      $1=1; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 9; break; //@line 364 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 9: 
      var $59=$1; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $59; //@line 366 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js3cli12OptionParser9handleArgEjPPcPjPb["X"]=1;

function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEixEj($this, $i) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$i;
  var $3=$1;
  var $4=$2; //@line 362 "../jsvector.h"
  var $5=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($3); //@line 362 "../jsvector.h"
  var $6=(($5+($4<<2))|0); //@line 362 "../jsvector.h"
  ;
  return $6; //@line 362 "../jsvector.h"
}


function __ZN2js3cli12OptionParser9parseArgsEiPPc($this, $inputArgc, $argv) {
  var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $argc;
      var $optionsAllowed=__stackBase__;
      var $i=__stackBase__+4;
      var $arg;
      var $r;
      var $opt;
      $2=$this;
      $3=$inputArgc;
      $4=$argv;
      var $5=$2;
      var $6=$3; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $argc=$6; //@line 372 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP8[($optionsAllowed)]=1; //@line 374 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($i)>>2)]=1; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $8=HEAPU32[(($i)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $9=$argc; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=(($8)>>>0) < (($9)>>>0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 21; break; } //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $12=HEAP32[(($i)>>2)]; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=$4; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $14=(($13+($12<<2))|0); //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $arg=$15; //@line 377 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=$arg; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=(($16)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=HEAP8[($17)]; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=(($18 << 24) >> 24); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=(($19)|0)==45; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($20) { __label__ = 4; break; } else { __label__ = 16; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      var $22=$arg; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=(($22+1)|0); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=HEAP8[($23)]; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $25=(($24 << 24) >> 24); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $26=(($25)|0)!=0; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($26) { __label__ = 5; break; } else { __label__ = 16; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $28=HEAP8[($optionsAllowed)]; //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $29=(($28) & 1); //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($29) { __label__ = 6; break; } else { __label__ = 16; break; } //@line 380 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $31=$arg; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $32=(($31+1)|0); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $33=HEAP8[($32)]; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=(($33 << 24) >> 24); //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=(($34)|0)==45; //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($35) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 383 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      var $37=$arg; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $38=(($37+2)|0); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $39=__ZN2js3cli12OptionParser10findOptionEPKc($5, $38); //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $opt=$39; //@line 385 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $40=$opt; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $41=(($40)|0)!=0; //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($41) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 386 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      var $43=$arg; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $44=__ZN2js3cli12OptionParser5errorEPKcz($5, ((STRING_TABLE.__str9660)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$43,tempInt)); //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$44; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 22; break; //@line 387 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 9: 
      __label__ = 15; break; //@line 388 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 10: 
      var $47=$arg; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $48=(($47+2)|0); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $49=HEAP8[($48)]; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $50=(($49 << 24) >> 24); //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $51=(($50)|0)!=0; //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($51) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 390 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 11: 
      var $53=$arg; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $54=__ZN2js3cli12OptionParser5errorEPKcz($5, ((STRING_TABLE.__str10661)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$53,tempInt)); //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$54; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 22; break; //@line 391 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 12: 
      var $56=$arg; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $57=(($56+1)|0); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $58=HEAP8[($57)]; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $59=__ZN2js3cli12OptionParser10findOptionEc($5, $58); //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $opt=$59; //@line 392 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $60=$opt; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $61=(($60)|0)!=0; //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($61) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 393 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 13: 
      var $63=$arg; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $64=__ZN2js3cli12OptionParser5errorEPKcz($5, ((STRING_TABLE.__str11662)|0), (tempInt=STACKTOP,STACKTOP += 4,assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"),HEAP32[((tempInt)>>2)]=$63,tempInt)); //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$64; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 22; break; //@line 394 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 14: 
      __label__ = 15; break;
    case 15: 
      var $67=$opt; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $68=$argc; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $69=$4; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $70=__ZN2js3cli12OptionParser12handleOptionEPNS0_6detail6OptionEjPPcPjPb($5, $67, $68, $69, $i, $optionsAllowed); //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $r=$70; //@line 397 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break; //@line 398 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 16: 
      var $72=$argc; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $73=$4; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $74=__ZN2js3cli12OptionParser9handleArgEjPPcPjPb($5, $72, $73, $i, $optionsAllowed); //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $r=$74; //@line 400 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 17; break;
    case 17: 
      var $76=$r; //@line 403 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ((($76)|0) == 0) {
        __label__ = 19; break;
      }
      else {
      __label__ = 18; break;
      }
      
    case 18: 
      var $78=$r; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$78; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 22; break; //@line 407 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 19: 
      __label__ = 20; break; //@line 409 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 20: 
      var $81=HEAP32[(($i)>>2)]; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $82=(($81+1)|0); //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($i)>>2)]=$82; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 376 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 21: 
      $1=0; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 22; break; //@line 410 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 22: 
      var $85=$1; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $85; //@line 411 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js3cli12OptionParser9parseArgsEiPPc["X"]=1;

function __ZN2js3cli12OptionParser10findOptionEPKc($this, $longflag) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $it;
      var $end;
      var $target;
      var $targetLen;
      var $i;
      $2=$this;
      $3=$longflag;
      var $4=$2;
      var $5=(($4)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $6=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($5); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$6; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $7=(($4)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $8=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($7); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end=$8; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $10=$it; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=$end; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=(($10)|0)!=(($11)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 21; break; } //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $14=$it; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=(($15+4)|0); //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=HEAP32[(($16)>>2)]; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $target=$17; //@line 504 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=$it; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=HEAP32[(($18)>>2)]; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=$19; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=HEAP32[(($20)>>2)]; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=(($21+8)|0); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=HEAP32[(($22)>>2)]; //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=FUNCTION_TABLE[$23]($19); //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($24) { __label__ = 4; break; } else { __label__ = 15; break; } //@line 505 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      var $26=$target; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $27=_strlen($26); //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $targetLen=$27; //@line 506 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $i=0; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 5; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $29=$i; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $30=$targetLen; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $31=(($29)>>>0) < (($30)>>>0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($31) { __label__ = 6; break; } else { __label__ = 11; break; } //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $33=$i; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=$3; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=(($34+$33)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $36=HEAP8[($35)]; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $37=(($36 << 24) >> 24); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $38=(($37)|0)==0; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      var $40=$i; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $41=$3; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $42=(($41+$40)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $43=HEAP8[($42)]; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $44=(($43 << 24) >> 24); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $45=$i; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $46=$target; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $47=(($46+$45)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $48=HEAP8[($47)]; //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $49=(($48 << 24) >> 24); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $50=(($44)|0)!=(($49)|0); //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($50) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 509 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      __label__ = 19; break; //@line 510 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 9: 
      __label__ = 10; break; //@line 511 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 10: 
      var $54=$i; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $55=(($54+1)|0); //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $i=$55; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 5; break; //@line 508 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 11: 
      var $57=$targetLen; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $58=$3; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $59=(($58+$57)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $60=HEAP8[($59)]; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $61=(($60 << 24) >> 24); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $62=(($61)|0)==0; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($62) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 12: 
      var $64=$targetLen; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $65=$3; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $66=(($65+$64)|0); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $67=HEAP8[($66)]; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $68=(($67 << 24) >> 24); //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $69=(($68)|0)==61; //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($69) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 512 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 13: 
      var $71=$it; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $72=HEAP32[(($71)>>2)]; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$72; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 25; break; //@line 513 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 14: 
      __label__ = 18; break; //@line 514 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 15: 
      var $75=$target; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $76=$3; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $77=_strcmp($75, $76); //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $78=(($77)|0)==0; //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($78) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 515 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 16: 
      var $80=$it; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $81=HEAP32[(($80)>>2)]; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$81; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 25; break; //@line 516 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 17: 
      __label__ = 18; break;
    case 18: 
      __label__ = 19; break;
    case 19: 
      __label__ = 20; break; //@line 519 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 20: 
      var $86=$it; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $87=(($86+4)|0); //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$87; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 503 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 21: 
      var $89=(($4+40)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $90=$89; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $91=(($90+4)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $92=HEAP32[(($91)>>2)]; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $93=$3; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $94=_strcmp($92, $93); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $95=(($94)|0)!=0; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($95) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 22: 
      var $100 = 0;__label__ = 24; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 23: 
      var $98=(($4+40)|0); //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $100 = $98;__label__ = 24; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 24: 
      var $100; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $101=$100; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$101; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 25; break; //@line 521 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 25: 
      var $103=$1; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      ;
      return $103; //@line 522 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js3cli12OptionParser10findOptionEPKc["X"]=1;

function __ZN2js3cli12OptionParser10findOptionEc($this, $shortflag) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $it;
      var $end;
      $2=$this;
      $3=$shortflag;
      var $4=$2;
      var $5=(($4)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $6=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($5); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$6; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $7=(($4)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $8=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($7); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end=$8; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $10=$it; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=$end; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=(($10)|0)!=(($11)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $14=$it; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=HEAP32[(($14)>>2)]; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=(($15+16)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=HEAP8[($16)]; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=(($17 << 24) >> 24); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=$3; //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=(($19 << 24) >> 24); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=(($18)|0)==(($20)|0); //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 487 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      var $23=$it; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=HEAP32[(($23)>>2)]; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$24; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 11; break; //@line 488 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      __label__ = 6; break; //@line 489 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $27=$it; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $28=(($27+4)|0); //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$28; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 486 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      var $30=(($4+40)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $31=$30; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $32=(($31+16)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $33=HEAP8[($32)]; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=(($33 << 24) >> 24); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=$3; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $36=(($35 << 24) >> 24); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $37=(($34)|0)==(($36)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($37) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      var $39=(($4+40)|0); //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $42 = $39;__label__ = 10; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 9: 
      var $42 = 0;__label__ = 10; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 10: 
      var $42; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $43=$42; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=$43; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 11; break; //@line 491 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 11: 
      var $45=$1; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      ;
      return $45; //@line 492 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js3cli12OptionParser10findOptionEc["X"]=1;

function __ZN2js3cli12OptionParser13setHelpOptionEcPKcS3_($this, $shortflag, $longflag, $help) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  var $5=$1;
  var $6=(($5+40)|0); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=$6; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=$2; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $9=$3; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $10=$4; //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  __ZN2js3cli6detail6Option11setFlagInfoEcPKcS4_($7, $8, $9, $10); //@line 416 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return; //@line 417 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser13getBoolOptionEc($this, $shortflag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shortflag;
  var $3=$1;
  var $4=$2; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser10findOptionEc($3, $4); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option12asBoolOptionEv($5); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=(($6+24)|0); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=HEAP8[($7)]; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $9=(($8) & 1); //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $9; //@line 428 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser10findOptionEc($this, $shortflag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shortflag;
  var $3=$1;
  var $4=$2; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZN2js3cli12OptionParser10findOptionEc($3, $4); //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $5; //@line 497 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser12getIntOptionEc($this, $shortflag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shortflag;
  var $3=$1;
  var $4=$2; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser10findOptionEc($3, $4); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option11asIntOptionEv($5); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=(($6+24)|0); //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $8; //@line 434 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE5beginEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 347 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 347 "../jsvector.h"
  ;
  return $4; //@line 347 "../jsvector.h"
}


function __ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE3endEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 357 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 357 "../jsvector.h"
  var $5=(($2+4)|0); //@line 357 "../jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 357 "../jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 357 "../jsvector.h"
  ;
  return $7; //@line 357 "../jsvector.h"
}


function __ZNK2js3cli12OptionParser15getStringOptionEc($this, $shortflag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$shortflag;
  var $3=$1;
  var $4=$2; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser10findOptionEc($3, $4); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option14asStringOptionEv($5); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=(($6+24)|0); //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $8; //@line 440 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser20getMultiStringOptionEc($agg_result, $this, $shortflag) {
  ;
  var __label__;

  var $1;
  var $2;
  var $mso;
  $1=$this;
  $2=$shortflag;
  var $3=$1;
  var $4=$2; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser10findOptionEc($3, $4); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option19asMultiStringOptionEv($5); //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  $mso=$6; //@line 446 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=$mso; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=(($7+24)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $9=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE5beginEv($8); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $10=$mso; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $11=(($10+24)|0); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $12=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE3endEv($11); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  __ZN2js3cli16MultiStringRangeC1EPKNS0_6detail9StringArgES5_($agg_result, $9, $12); //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return; //@line 447 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli16MultiStringRangeC1EPKNS0_6detail9StringArgES5_($this, $cur, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cur;
  $3=$end;
  var $4=$1;
  var $5=$2; //@line 200 "./jsoptparse.h"
  var $6=$3; //@line 200 "./jsoptparse.h"
  __ZN2js3cli16MultiStringRangeC2EPKNS0_6detail9StringArgES5_($4, $5, $6); //@line 200 "./jsoptparse.h"
  ;
  return; //@line 200 "./jsoptparse.h"
}


function __ZNK2js3cli12OptionParser13getBoolOptionEPKc($this, $longflag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$longflag;
  var $3=$1;
  var $4=$2; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser10findOptionEPKc($3, $4); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option12asBoolOptionEv($5); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=(($6+24)|0); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=HEAP8[($7)]; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $9=(($8) & 1); //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $9; //@line 453 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser10findOptionEPKc($this, $longflag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$longflag;
  var $3=$1;
  var $4=$2; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZN2js3cli12OptionParser10findOptionEPKc($3, $4); //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $5; //@line 527 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser12getIntOptionEPKc($this, $longflag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$longflag;
  var $3=$1;
  var $4=$2; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser10findOptionEPKc($3, $4); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option11asIntOptionEv($5); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=(($6+24)|0); //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $8; //@line 459 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser15getStringOptionEPKc($this, $longflag) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$longflag;
  var $3=$1;
  var $4=$2; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser10findOptionEPKc($3, $4); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option14asStringOptionEv($5); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=(($6+24)|0); //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $8; //@line 465 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser20getMultiStringOptionEPKc($agg_result, $this, $longflag) {
  ;
  var __label__;

  var $1;
  var $2;
  var $mso;
  $1=$this;
  $2=$longflag;
  var $3=$1;
  var $4=$2; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser10findOptionEPKc($3, $4); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option19asMultiStringOptionEv($5); //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  $mso=$6; //@line 471 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=$mso; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=(($7+24)|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $9=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE5beginEv($8); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $10=$mso; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $11=(($10+24)|0); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $12=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE3endEv($11); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  __ZN2js3cli16MultiStringRangeC1EPKNS0_6detail9StringArgES5_($agg_result, $9, $12); //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return; //@line 472 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli12OptionParserD2Ev($this) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $it;
      var $end;
      var $it1;
      var $end2;
      $1=$this;
      var $2=$1;
      var $3=(($2)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $4=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($3); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$4; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $5=(($2)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $6=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($5); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end=$6; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      var $8=$it; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $9=$end; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=(($8)|0)!=(($9)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($10) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $12=$it; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=HEAP32[(($12)>>2)]; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js10Foreground7delete_INS_3cli6detail6OptionEEEvPT_($13); //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 4; break; //@line 478 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      var $15=$it; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=(($15+4)|0); //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it=$16; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 2; break; //@line 477 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $18=(($2+20)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv($18); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it1=$19; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=(($2+20)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv($20); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $end2=$21; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $23=$it1; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=$end2; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $25=(($23)|0)!=(($24)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($25) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 7: 
      var $27=$it1; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $28=HEAP32[(($27)>>2)]; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js10Foreground7delete_INS_3cli6detail6OptionEEEvPT_($28); //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 8; break; //@line 480 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 8: 
      var $30=$it1; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $31=(($30+4)|0); //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $it1=$31; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 479 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 9: 
      var $33=(($2+40)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js3cli6detail10BoolOptionD1Ev($33); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $34=(($2+20)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEED1Ev($34); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $35=(($2)|0); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEED1Ev($35); //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      ;
      return; //@line 481 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js3cli12OptionParserD2Ev["X"]=1;

function __ZN2js10Foreground7delete_INS_3cli6detail6OptionEEEvPT_($p) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$p;
      var $2=$1; //@line 535 "../jsutil.h"
      var $3=(($2)|0)!=0; //@line 535 "../jsutil.h"
      if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 535 "../jsutil.h"
    case 2: 
      var $5=$1; //@line 535 "../jsutil.h"
      var $6=$5; //@line 535 "../jsutil.h"
      var $7=HEAP32[(($6)>>2)]; //@line 535 "../jsutil.h"
      var $8=(($7)|0); //@line 535 "../jsutil.h"
      var $9=HEAP32[(($8)>>2)]; //@line 535 "../jsutil.h"
      FUNCTION_TABLE[$9]($5); //@line 535 "../jsutil.h"
      var $10=$1; //@line 535 "../jsutil.h"
      var $11=$10; //@line 535 "../jsutil.h"
      _js_free697($11); //@line 535 "../jsutil.h"
      __label__ = 3; break; //@line 535 "../jsutil.h"
    case 3: 
      ;
      return; //@line 535 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEED2Ev($2); //@line 544 "../jsvector.h"
  ;
  return; //@line 549 "../jsvector.h"
}


function __ZNK2js3cli12OptionParser12findArgumentEPKc($this, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$name;
  var $3=$1;
  var $4=$2; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZN2js3cli12OptionParser12findArgumentEPKc($3, $4); //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $5; //@line 546 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser12getStringArgEPKc($this, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$name;
  var $3=$1;
  var $4=$2; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser12findArgumentEPKc($3, $4); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option14asStringOptionEv($5); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=(($6+24)|0); //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=HEAP32[(($7)>>2)]; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return $8; //@line 552 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZNK2js3cli12OptionParser17getMultiStringArgEPKc($agg_result, $this, $name) {
  ;
  var __label__;

  var $1;
  var $2;
  var $mso;
  $1=$this;
  $2=$name;
  var $3=$1;
  var $4=$2; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $5=__ZNK2js3cli12OptionParser12findArgumentEPKc($3, $4); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $6=__ZNK2js3cli6detail6Option19asMultiStringOptionEv($5); //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  $mso=$6; //@line 558 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $7=$mso; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $8=(($7+24)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $9=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE5beginEv($8); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $10=$mso; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $11=(($10+24)|0); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  var $12=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE3endEv($11); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  __ZN2js3cli16MultiStringRangeC1EPKNS0_6detail9StringArgES5_($agg_result, $9, $12); //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
  ;
  return; //@line 559 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
}


function __ZN2js3cli12OptionParser12addIntOptionEcPKcS3_S3_i($this, $shortflag, $longflag, $metavar, $help, $defaultValue) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $7;
      var $io;
      var $8=__stackBase__;
      $2=$this;
      $3=$shortflag;
      $4=$longflag;
      $5=$metavar;
      $6=$help;
      $7=$defaultValue;
      var $9=$2;
      var $10=(($9)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=(($9)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv($11); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=(($12+1)|0); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $14=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE7reserveEj($10, $13); //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($14) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 568 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      $1=0; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 569 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $17=$3; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=$4; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=$6; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=$5; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=$7; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=__ZN2js11OffTheBooks4new_INS_3cli6detail9IntOptionEcPKcS6_S6_iEEPT_T0_T1_T2_T3_T4_($17, $18, $19, $20, $21); //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $io=$22; //@line 570 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=$io; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=(($23)|0)!=0; //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($24) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 572 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      $1=0; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 573 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $27=(($9)|0); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $28=$io; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $29=$28; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($8)>>2)]=$29; //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE16infallibleAppendERKS4_($27, $8); //@line 574 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=1; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 575 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $31=$1; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $31; //@line 576 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE7reserveEj($this, $request) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $g=__stackBase__;
      var $4;
      $2=$this;
      $3=$request;
      var $5=$2;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEEEERT_($g, $5); //@line 645 "../jsvector.h"
      var $6=$3; //@line 646 "../jsvector.h"
      var $7=(($5+8)|0); //@line 646 "../jsvector.h"
      var $8=HEAPU32[(($7)>>2)]; //@line 646 "../jsvector.h"
      var $9=(($6)>>>0) > (($8)>>>0); //@line 646 "../jsvector.h"
      if ($9) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 646 "../jsvector.h"
    case 2: 
      var $11=$3; //@line 646 "../jsvector.h"
      var $12=(($5+4)|0); //@line 646 "../jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 646 "../jsvector.h"
      var $14=(($11-$13)|0); //@line 646 "../jsvector.h"
      var $15=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE13growStorageByEj($5, $14); //@line 646 "../jsvector.h"
      if ($15) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 646 "../jsvector.h"
    case 3: 
      $1=0; //@line 647 "../jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 647 "../jsvector.h"
    case 4: 
      $1=1; //@line 655 "../jsvector.h"
      $4=1;
      __label__ = 5; break; //@line 655 "../jsvector.h"
    case 5: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 656 "../jsvector.h"
      var $19=$1; //@line 656 "../jsvector.h"
      STACKTOP = __stackBase__;
      return $19; //@line 656 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks4new_INS_3cli6detail9IntOptionEcPKcS6_S6_iEEPT_T0_T1_T2_T3_T4_($p1, $p2, $p3, $p4, $p5) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $memory;
      $1=$p1;
      $2=$p2;
      $3=$p3;
      $4=$p4;
      $5=$p5;
      var $6=_js_malloc696(28); //@line 509 "../jsutil.h"
      $memory=$6; //@line 509 "../jsutil.h"
      var $7=$memory; //@line 509 "../jsutil.h"
      var $8=(($7)|0)!=0; //@line 509 "../jsutil.h"
      if ($8) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "../jsutil.h"
    case 2: 
      var $10=$memory; //@line 509 "../jsutil.h"
      var $11=(($10)|0)==0; //@line 509 "../jsutil.h"
      if ($11) { var $20 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "../jsutil.h"
    case 3: 
      var $13=$10; //@line 509 "../jsutil.h"
      var $14=$1; //@line 509 "../jsutil.h"
      var $15=$2; //@line 509 "../jsutil.h"
      var $16=$3; //@line 509 "../jsutil.h"
      var $17=$4; //@line 509 "../jsutil.h"
      var $18=$5; //@line 509 "../jsutil.h"
      __ZN2js3cli6detail9IntOptionC1EcPKcS4_S4_i($13, $14, $15, $16, $17, $18); //@line 509 "../jsutil.h"
      var $20 = $13;__label__ = 4; break; //@line 509 "../jsutil.h"
    case 4: 
      var $20; //@line 509 "../jsutil.h"
      var $23 = $20;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 5: 
      var $23 = 0;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 6: 
      var $23; //@line 509 "../jsutil.h"
      ;
      return $23; //@line 509 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE16infallibleAppendERKS4_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 426 "../jsvector.h"
  var $5=HEAP32[(($4)>>2)]; //@line 426 "../jsvector.h"
  __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE14internalAppendIS4_EEvT_($3, $5); //@line 426 "../jsvector.h"
  ;
  return; //@line 427 "../jsvector.h"
}


function __ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_($this, $shortflag, $longflag, $help) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $bo;
      var $6=__stackBase__;
      $2=$this;
      $3=$shortflag;
      $4=$longflag;
      $5=$help;
      var $7=$2;
      var $8=(($7)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $9=(($7)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv($9); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=(($10+1)|0); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE7reserveEj($8, $11); //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 581 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      $1=0; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 582 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $15=$3; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=$4; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=$5; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=__ZN2js11OffTheBooks4new_INS_3cli6detail10BoolOptionEcPKcS6_EEPT_T0_T1_T2_($15, $16, $17); //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $bo=$18; //@line 583 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=$bo; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=(($19)|0)!=0; //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($20) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 584 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      $1=0; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 585 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $23=(($7)|0); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $24=$bo; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $25=$24; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($6)>>2)]=$25; //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE16infallibleAppendERKS4_($23, $6); //@line 586 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=1; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 587 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $27=$1; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $27; //@line 588 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks4new_INS_3cli6detail10BoolOptionEcPKcS6_EEPT_T0_T1_T2_($p1, $p2, $p3) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $memory;
      $1=$p1;
      $2=$p2;
      $3=$p3;
      var $4=_js_malloc696(28); //@line 509 "../jsutil.h"
      $memory=$4; //@line 509 "../jsutil.h"
      var $5=$memory; //@line 509 "../jsutil.h"
      var $6=(($5)|0)!=0; //@line 509 "../jsutil.h"
      if ($6) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "../jsutil.h"
    case 2: 
      var $8=$memory; //@line 509 "../jsutil.h"
      var $9=(($8)|0)==0; //@line 509 "../jsutil.h"
      if ($9) { var $16 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "../jsutil.h"
    case 3: 
      var $11=$8; //@line 509 "../jsutil.h"
      var $12=$1; //@line 509 "../jsutil.h"
      var $13=$2; //@line 509 "../jsutil.h"
      var $14=$3; //@line 509 "../jsutil.h"
      __ZN2js3cli6detail10BoolOptionC1EcPKcS4_($11, $12, $13, $14); //@line 509 "../jsutil.h"
      var $16 = $11;__label__ = 4; break; //@line 509 "../jsutil.h"
    case 4: 
      var $16; //@line 509 "../jsutil.h"
      var $19 = $16;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 5: 
      var $19 = 0;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 6: 
      var $19; //@line 509 "../jsutil.h"
      ;
      return $19; //@line 509 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli12OptionParser15addStringOptionEcPKcS3_S3_($this, $shortflag, $longflag, $metavar, $help) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $so;
      var $7=__stackBase__;
      $2=$this;
      $3=$shortflag;
      $4=$longflag;
      $5=$metavar;
      $6=$help;
      var $8=$2;
      var $9=(($8)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=(($8)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv($10); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=(($11+1)|0); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE7reserveEj($9, $12); //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 594 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      $1=0; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 595 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $16=$3; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=$4; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=$6; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=$5; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=__ZN2js11OffTheBooks4new_INS_3cli6detail12StringOptionEcPKcS6_S6_EEPT_T0_T1_T2_T3_($16, $17, $18, $19); //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $so=$20; //@line 596 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=$so; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=(($21)|0)!=0; //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 597 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      $1=0; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 598 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $25=(($8)|0); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $26=$so; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $27=$26; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($7)>>2)]=$27; //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE16infallibleAppendERKS4_($25, $7); //@line 599 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=1; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 600 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $29=$1; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 601 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks4new_INS_3cli6detail12StringOptionEcPKcS6_S6_EEPT_T0_T1_T2_T3_($p1, $p2, $p3, $p4) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $memory;
      $1=$p1;
      $2=$p2;
      $3=$p3;
      $4=$p4;
      var $5=_js_malloc696(28); //@line 509 "../jsutil.h"
      $memory=$5; //@line 509 "../jsutil.h"
      var $6=$memory; //@line 509 "../jsutil.h"
      var $7=(($6)|0)!=0; //@line 509 "../jsutil.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "../jsutil.h"
    case 2: 
      var $9=$memory; //@line 509 "../jsutil.h"
      var $10=(($9)|0)==0; //@line 509 "../jsutil.h"
      if ($10) { var $18 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "../jsutil.h"
    case 3: 
      var $12=$9; //@line 509 "../jsutil.h"
      var $13=$1; //@line 509 "../jsutil.h"
      var $14=$2; //@line 509 "../jsutil.h"
      var $15=$3; //@line 509 "../jsutil.h"
      var $16=$4; //@line 509 "../jsutil.h"
      __ZN2js3cli6detail12StringOptionC1EcPKcS4_S4_($12, $13, $14, $15, $16); //@line 509 "../jsutil.h"
      var $18 = $12;__label__ = 4; break; //@line 509 "../jsutil.h"
    case 4: 
      var $18; //@line 509 "../jsutil.h"
      var $21 = $18;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 5: 
      var $21 = 0;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 6: 
      var $21; //@line 509 "../jsutil.h"
      ;
      return $21; //@line 509 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli12OptionParser20addMultiStringOptionEcPKcS3_S3_($this, $shortflag, $longflag, $metavar, $help) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $6;
      var $mso;
      var $7=__stackBase__;
      $2=$this;
      $3=$shortflag;
      $4=$longflag;
      $5=$metavar;
      $6=$help;
      var $8=$2;
      var $9=(($8)|0); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=(($8)|0); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv($10); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $12=(($11+1)|0); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $13=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE7reserveEj($9, $12); //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($13) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 607 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      $1=0; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 608 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $16=$3; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=$4; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=$6; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $19=$5; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $20=__ZN2js11OffTheBooks4new_INS_3cli6detail17MultiStringOptionEcPKcS6_S6_EEPT_T0_T1_T2_T3_($16, $17, $18, $19); //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $mso=$20; //@line 609 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $21=$mso; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=(($21)|0)!=0; //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($22) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 611 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      $1=0; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 612 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $25=(($8)|0); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $26=$mso; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $27=$26; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($7)>>2)]=$27; //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE16infallibleAppendERKS4_($25, $7); //@line 613 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=1; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 614 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $29=$1; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $29; //@line 615 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks4new_INS_3cli6detail17MultiStringOptionEcPKcS6_S6_EEPT_T0_T1_T2_T3_($p1, $p2, $p3, $p4) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $memory;
      $1=$p1;
      $2=$p2;
      $3=$p3;
      $4=$p4;
      var $5=_js_malloc696(44); //@line 509 "../jsutil.h"
      $memory=$5; //@line 509 "../jsutil.h"
      var $6=$memory; //@line 509 "../jsutil.h"
      var $7=(($6)|0)!=0; //@line 509 "../jsutil.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "../jsutil.h"
    case 2: 
      var $9=$memory; //@line 509 "../jsutil.h"
      var $10=(($9)|0)==0; //@line 509 "../jsutil.h"
      if ($10) { var $18 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "../jsutil.h"
    case 3: 
      var $12=$9; //@line 509 "../jsutil.h"
      var $13=$1; //@line 509 "../jsutil.h"
      var $14=$2; //@line 509 "../jsutil.h"
      var $15=$3; //@line 509 "../jsutil.h"
      var $16=$4; //@line 509 "../jsutil.h"
      __ZN2js3cli6detail17MultiStringOptionC1EcPKcS4_S4_($12, $13, $14, $15, $16); //@line 509 "../jsutil.h"
      var $18 = $12;__label__ = 4; break; //@line 509 "../jsutil.h"
    case 4: 
      var $18; //@line 509 "../jsutil.h"
      var $21 = $18;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 5: 
      var $21 = 0;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 6: 
      var $21; //@line 509 "../jsutil.h"
      ;
      return $21; //@line 509 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli12OptionParser20addOptionalStringArgEPKcS3_($this, $name, $help) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $so;
      var $5=__stackBase__;
      $2=$this;
      $3=$name;
      $4=$help;
      var $6=$2;
      var $7=(($6+20)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $8=(($6+20)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $9=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv($8); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=(($9+1)|0); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE7reserveEj($7, $10); //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 622 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      $1=0; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 623 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $14=$3; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=$4; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=__ZN2js11OffTheBooks4new_INS_3cli6detail12StringOptionEiPKcS6_S6_EEPT_T0_T1_T2_T3_(1, $14, $15, 0); //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $so=$16; //@line 624 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=$so; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=(($17)|0)!=0; //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 625 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      $1=0; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 626 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $21=(($6+20)|0); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=$so; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=$22; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($5)>>2)]=$23; //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE16infallibleAppendERKS4_($21, $5); //@line 627 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=1; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 628 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $25=$1; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 629 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks4new_INS_3cli6detail12StringOptionEiPKcS6_S6_EEPT_T0_T1_T2_T3_($p1, $p2, $p3, $p4) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $memory;
      $1=$p1;
      $2=$p2;
      $3=$p3;
      $4=$p4;
      var $5=_js_malloc696(28); //@line 509 "../jsutil.h"
      $memory=$5; //@line 509 "../jsutil.h"
      var $6=$memory; //@line 509 "../jsutil.h"
      var $7=(($6)|0)!=0; //@line 509 "../jsutil.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "../jsutil.h"
    case 2: 
      var $9=$memory; //@line 509 "../jsutil.h"
      var $10=(($9)|0)==0; //@line 509 "../jsutil.h"
      if ($10) { var $19 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "../jsutil.h"
    case 3: 
      var $12=$9; //@line 509 "../jsutil.h"
      var $13=$1; //@line 509 "../jsutil.h"
      var $14=(($13) & 255); //@line 509 "../jsutil.h"
      var $15=$2; //@line 509 "../jsutil.h"
      var $16=$3; //@line 509 "../jsutil.h"
      var $17=$4; //@line 509 "../jsutil.h"
      __ZN2js3cli6detail12StringOptionC1EcPKcS4_S4_($12, $14, $15, $16, $17); //@line 509 "../jsutil.h"
      var $19 = $12;__label__ = 4; break; //@line 509 "../jsutil.h"
    case 4: 
      var $19; //@line 509 "../jsutil.h"
      var $22 = $19;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 5: 
      var $22 = 0;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 6: 
      var $22; //@line 509 "../jsutil.h"
      ;
      return $22; //@line 509 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli12OptionParser25addOptionalMultiStringArgEPKcS3_($this, $name, $help) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $mso;
      var $5=__stackBase__;
      $2=$this;
      $3=$name;
      $4=$help;
      var $6=$2;
      var $7=(($6+20)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $8=(($6+20)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $9=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv($8); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $10=(($9+1)|0); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $11=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE7reserveEj($7, $10); //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($11) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 635 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 2: 
      $1=0; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 636 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 3: 
      var $14=$3; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $15=$4; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $16=__ZN2js11OffTheBooks4new_INS_3cli6detail17MultiStringOptionEiPKcS6_S6_EEPT_T0_T1_T2_T3_(1, $14, $15, 0); //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $mso=$16; //@line 637 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $17=$mso; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $18=(($17)|0)!=0; //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 639 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 4: 
      $1=0; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 640 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 5: 
      var $21=(($6+20)|0); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $22=$mso; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      var $23=$22; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      HEAP32[(($5)>>2)]=$23; //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE16infallibleAppendERKS4_($21, $5); //@line 641 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      $1=1; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      __label__ = 6; break; //@line 642 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    case 6: 
      var $25=$1; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
      STACKTOP = __stackBase__;
      return $25; //@line 643 "/disk/local/jterrace/buildbot/slave/js_js_Build_All/build/builder/build/mozilla-central/js/src/shell/jsoptparse.cpp"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js11OffTheBooks4new_INS_3cli6detail17MultiStringOptionEiPKcS6_S6_EEPT_T0_T1_T2_T3_($p1, $p2, $p3, $p4) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $memory;
      $1=$p1;
      $2=$p2;
      $3=$p3;
      $4=$p4;
      var $5=_js_malloc696(44); //@line 509 "../jsutil.h"
      $memory=$5; //@line 509 "../jsutil.h"
      var $6=$memory; //@line 509 "../jsutil.h"
      var $7=(($6)|0)!=0; //@line 509 "../jsutil.h"
      if ($7) { __label__ = 2; break; } else { __label__ = 5; break; } //@line 509 "../jsutil.h"
    case 2: 
      var $9=$memory; //@line 509 "../jsutil.h"
      var $10=(($9)|0)==0; //@line 509 "../jsutil.h"
      if ($10) { var $19 = 0;__label__ = 4; break; } else { __label__ = 3; break; } //@line 509 "../jsutil.h"
    case 3: 
      var $12=$9; //@line 509 "../jsutil.h"
      var $13=$1; //@line 509 "../jsutil.h"
      var $14=(($13) & 255); //@line 509 "../jsutil.h"
      var $15=$2; //@line 509 "../jsutil.h"
      var $16=$3; //@line 509 "../jsutil.h"
      var $17=$4; //@line 509 "../jsutil.h"
      __ZN2js3cli6detail17MultiStringOptionC1EcPKcS4_S4_($12, $14, $15, $16, $17); //@line 509 "../jsutil.h"
      var $19 = $12;__label__ = 4; break; //@line 509 "../jsutil.h"
    case 4: 
      var $19; //@line 509 "../jsutil.h"
      var $22 = $19;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 5: 
      var $22 = 0;__label__ = 6; break; //@line 509 "../jsutil.h"
    case 6: 
      var $22; //@line 509 "../jsutil.h"
      ;
      return $22; //@line 509 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js3cli6detail12ValuedOption8isValuedEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 1; //@line 139 "./jsoptparse.h"
}


function __ZNK2js3cli6detail17MultiStringOption10isVariadicEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  ;
  return 1; //@line 185 "./jsoptparse.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "../jstl.h"
}


function __ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE7destroyEPS4_S7_($0, $1) {
  ;
  var __label__;

  var $3;
  var $4;
  $3=$0;
  $4=$1;
  ;
  return; //@line 136 "../jsvector.h"
}


function __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  ;
  return; //@line 204 "../jstl.h"
}


function __ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE7destroyEPS3_S6_($begin, $end) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $p;
      $1=$begin;
      $2=$end;
      var $3=$1; //@line 66 "../jsvector.h"
      $p=$3; //@line 66 "../jsvector.h"
      __label__ = 2; break; //@line 66 "../jsvector.h"
    case 2: 
      var $5=$p; //@line 66 "../jsvector.h"
      var $6=$2; //@line 66 "../jsvector.h"
      var $7=(($5)|0)!=(($6)|0); //@line 66 "../jsvector.h"
      if ($7) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 66 "../jsvector.h"
    case 3: 
      var $9=$p; //@line 67 "../jsvector.h"
      __label__ = 4; break; //@line 67 "../jsvector.h"
    case 4: 
      var $11=$p; //@line 66 "../jsvector.h"
      var $12=(($11+8)|0); //@line 66 "../jsvector.h"
      $p=$12; //@line 66 "../jsvector.h"
      __label__ = 2; break; //@line 66 "../jsvector.h"
    case 5: 
      ;
      return; //@line 68 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "../jsvector.h"
  ;
  return $4; //@line 286 "../jsvector.h"
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 290 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "../jsvector.h"
  var $5=(($2+4)|0); //@line 290 "../jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "../jsvector.h"
  var $7=(($4+($6<<3))|0); //@line 290 "../jsvector.h"
  ;
  return $7; //@line 290 "../jsvector.h"
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 290 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 290 "../jsvector.h"
  var $5=(($2+4)|0); //@line 290 "../jsvector.h"
  var $6=HEAP32[(($5)>>2)]; //@line 290 "../jsvector.h"
  var $7=(($4+($6<<2))|0); //@line 290 "../jsvector.h"
  ;
  return $7; //@line 290 "../jsvector.h"
}


function __ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 286 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 286 "../jsvector.h"
  ;
  return $4; //@line 286 "../jsvector.h"
}


function __ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS4_EEvPS4_PKT_SB_($dst, $srcbeg, $srcend) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $4=$2; //@line 160 "../jsvector.h"
      $p=$4; //@line 160 "../jsvector.h"
      __label__ = 2; break; //@line 160 "../jsvector.h"
    case 2: 
      var $6=$p; //@line 160 "../jsvector.h"
      var $7=$3; //@line 160 "../jsvector.h"
      var $8=(($6)|0)!=(($7)|0); //@line 160 "../jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 160 "../jsvector.h"
    case 3: 
      var $10=$p; //@line 161 "../jsvector.h"
      var $11=HEAP32[(($10)>>2)]; //@line 161 "../jsvector.h"
      var $12=$1; //@line 161 "../jsvector.h"
      HEAP32[(($12)>>2)]=$11; //@line 161 "../jsvector.h"
      __label__ = 4; break; //@line 161 "../jsvector.h"
    case 4: 
      var $14=$p; //@line 160 "../jsvector.h"
      var $15=(($14+4)|0); //@line 160 "../jsvector.h"
      $p=$15; //@line 160 "../jsvector.h"
      var $16=$1; //@line 160 "../jsvector.h"
      var $17=(($16+4)|0); //@line 160 "../jsvector.h"
      $1=$17; //@line 160 "../jsvector.h"
      __label__ = 2; break; //@line 160 "../jsvector.h"
    case 5: 
      ;
      return; //@line 162 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_malloc696($bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$bytes;
      __label__ = 2; break; //@line 270 "../jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 270 "../jsutil.h"
    case 3: 
      var $4=$1; //@line 271 "../jsutil.h"
      var $5=_malloc($4); //@line 271 "../jsutil.h"
      ;
      return $5; //@line 271 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli6detail17MultiStringOptionC1EcPKcS4_S4_($this, $shortflag, $longflag, $help, $metavar) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  $5=$metavar;
  var $6=$1;
  var $7=$2; //@line 181 "./jsoptparse.h"
  var $8=$3; //@line 181 "./jsoptparse.h"
  var $9=$4; //@line 181 "./jsoptparse.h"
  var $10=$5; //@line 181 "./jsoptparse.h"
  __ZN2js3cli6detail17MultiStringOptionC2EcPKcS4_S4_($6, $7, $8, $9, $10); //@line 181 "./jsoptparse.h"
  ;
  return; //@line 181 "./jsoptparse.h"
}


function __ZN2js3cli6detail17MultiStringOptionC2EcPKcS4_S4_($this, $shortflag, $longflag, $help, $metavar) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6=__stackBase__;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  $5=$metavar;
  var $7=$1;
  var $8=$7; //@line 181 "./jsoptparse.h"
  var $9=$2; //@line 181 "./jsoptparse.h"
  var $10=$3; //@line 181 "./jsoptparse.h"
  var $11=$4; //@line 181 "./jsoptparse.h"
  var $12=$5; //@line 181 "./jsoptparse.h"
  __ZN2js3cli6detail12ValuedOptionC2ENS1_10OptionKindEcPKcS5_S5_($8, 3, $9, $10, $11, $12); //@line 181 "./jsoptparse.h"
  var $13=$7; //@line 181 "./jsoptparse.h"
  HEAP32[(($13)>>2)]=((__ZTVN2js3cli6detail17MultiStringOptionE+8)|0); //@line 181 "./jsoptparse.h"
  var $14=(($7+24)|0); //@line 181 "./jsoptparse.h"
  __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEC1ES4_($14, $6); //@line 181 "./jsoptparse.h"
  STACKTOP = __stackBase__;
  return; //@line 181 "./jsoptparse.h"
}


function __ZN2js3cli6detail12ValuedOptionC2ENS1_10OptionKindEcPKcS5_S5_($this, $kind, $shortflag, $longflag, $help, $metavar) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$kind;
  $3=$shortflag;
  $4=$longflag;
  $5=$help;
  $6=$metavar;
  var $7=$1;
  var $8=$7; //@line 136 "./jsoptparse.h"
  var $9=$2; //@line 136 "./jsoptparse.h"
  var $10=$3; //@line 136 "./jsoptparse.h"
  var $11=$4; //@line 136 "./jsoptparse.h"
  var $12=$5; //@line 136 "./jsoptparse.h"
  __ZN2js3cli6detail6OptionC2ENS1_10OptionKindEcPKcS5_($8, $9, $10, $11, $12); //@line 136 "./jsoptparse.h"
  var $13=$7; //@line 136 "./jsoptparse.h"
  HEAP32[(($13)>>2)]=((__ZTVN2js3cli6detail12ValuedOptionE+8)|0); //@line 136 "./jsoptparse.h"
  var $14=(($7+20)|0); //@line 136 "./jsoptparse.h"
  var $15=$6; //@line 136 "./jsoptparse.h"
  HEAP32[(($14)>>2)]=$15; //@line 136 "./jsoptparse.h"
  ;
  return; //@line 136 "./jsoptparse.h"
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEC1ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEC2ES4_($2, $ap); //@line 493 "../jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "../jsvector.h"
}


function __ZN2js3cli6detail17MultiStringOptionD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js3cli6detail17MultiStringOptionD2Ev($2); //@line 183 "./jsoptparse.h"
  ;
  return; //@line 183 "./jsoptparse.h"
}


function __ZN2js3cli6detail17MultiStringOptionD0Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js3cli6detail17MultiStringOptionD1Ev($2); //@line 183 "./jsoptparse.h"
  var $3=$2; //@line 183 "./jsoptparse.h"
  __ZdlPv($3); //@line 183 "./jsoptparse.h"
  ;
  return; //@line 183 "./jsoptparse.h"
}


function __ZN2js3cli6detail17MultiStringOptionD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 183 "./jsoptparse.h"
  HEAP32[(($3)>>2)]=((__ZTVN2js3cli6detail17MultiStringOptionE+8)|0); //@line 183 "./jsoptparse.h"
  var $4=(($2+24)|0); //@line 183 "./jsoptparse.h"
  __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEED1Ev($4); //@line 183 "./jsoptparse.h"
  var $5=$2; //@line 183 "./jsoptparse.h"
  __ZN2js3cli6detail12ValuedOptionD2Ev($5); //@line 183 "./jsoptparse.h"
  ;
  return; //@line 183 "./jsoptparse.h"
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEED1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEED2Ev($2); //@line 544 "../jsvector.h"
  ;
  return; //@line 549 "../jsvector.h"
}


function __ZN2js3cli6detail12ValuedOptionD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 142 "./jsoptparse.h"
  __ZN2js3cli6detail6OptionD2Ev($3); //@line 142 "./jsoptparse.h"
  ;
  return; //@line 142 "./jsoptparse.h"
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 545 "../jsvector.h"
      var $3=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 546 "../jsvector.h"
      var $4=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 546 "../jsvector.h"
      __ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE7destroyEPS3_S6_($3, $4); //@line 546 "../jsvector.h"
      var $5=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "../jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "../jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "../jsvector.h"
      var $8=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 548 "../jsvector.h"
      var $9=$8; //@line 548 "../jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($7, $9); //@line 548 "../jsvector.h"
      __label__ = 3; break; //@line 548 "../jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "../jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js15ReentrancyGuardC1INS_6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "../jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEEEERT_($4, $5); //@line 204 "../jstl.h"
  ;
  return; //@line 204 "../jstl.h"
}


function __ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 282 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "../jsvector.h"
  var $5=(($2+12)|0); //@line 282 "../jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "../jsvector.h"
  var $7=$6; //@line 282 "../jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "../jsvector.h"
  ;
  return $8; //@line 282 "../jsvector.h"
}


function _js_free697($p) {
  ;
  var __label__;

  var $1;
  $1=$p;
  var $2=$1; //@line 285 "../jsutil.h"
  ; //@line 285 "../jsutil.h"
  ;
  return; //@line 286 "../jsutil.h"
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEC2ES4_($this, $ap) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $ap; $ap = STACKTOP;STACKTOP += 1;STACKTOP = ((((STACKTOP)+3)>>2)<<2);assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");;;HEAP8[($ap)]=HEAP8[(tempParam)];
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 493 "../jsvector.h"
  var $4=(($2)|0); //@line 493 "../jsvector.h"
  var $5=(($2+12)|0); //@line 488 "../jsvector.h"
  var $6=__ZN7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 488 "../jsvector.h"
  var $7=$6; //@line 488 "../jsvector.h"
  HEAP32[(($4)>>2)]=$7; //@line 488 "../jsvector.h"
  var $8=(($2+4)|0); //@line 488 "../jsvector.h"
  HEAP32[(($8)>>2)]=0; //@line 488 "../jsvector.h"
  var $9=(($2+8)|0); //@line 488 "../jsvector.h"
  HEAP32[(($9)>>2)]=0; //@line 488 "../jsvector.h"
  var $10=(($2+12)|0); //@line 488 "../jsvector.h"
  STACKTOP = __stackBase__;
  return; //@line 493 "../jsvector.h"
}


function __ZN2js3cli6detail12StringOptionC1EcPKcS4_S4_($this, $shortflag, $longflag, $help, $metavar) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  $5=$metavar;
  var $6=$1;
  var $7=$2; //@line 150 "./jsoptparse.h"
  var $8=$3; //@line 150 "./jsoptparse.h"
  var $9=$4; //@line 150 "./jsoptparse.h"
  var $10=$5; //@line 150 "./jsoptparse.h"
  __ZN2js3cli6detail12StringOptionC2EcPKcS4_S4_($6, $7, $8, $9, $10); //@line 150 "./jsoptparse.h"
  ;
  return; //@line 150 "./jsoptparse.h"
}


function __ZN2js3cli6detail12StringOptionC2EcPKcS4_S4_($this, $shortflag, $longflag, $help, $metavar) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  $5=$metavar;
  var $6=$1;
  var $7=$6; //@line 150 "./jsoptparse.h"
  var $8=$2; //@line 150 "./jsoptparse.h"
  var $9=$3; //@line 150 "./jsoptparse.h"
  var $10=$4; //@line 150 "./jsoptparse.h"
  var $11=$5; //@line 150 "./jsoptparse.h"
  __ZN2js3cli6detail12ValuedOptionC2ENS1_10OptionKindEcPKcS5_S5_($7, 1, $8, $9, $10, $11); //@line 150 "./jsoptparse.h"
  var $12=$6; //@line 150 "./jsoptparse.h"
  HEAP32[(($12)>>2)]=((__ZTVN2js3cli6detail12StringOptionE+8)|0); //@line 150 "./jsoptparse.h"
  var $13=(($6+24)|0); //@line 150 "./jsoptparse.h"
  HEAP32[(($13)>>2)]=0; //@line 150 "./jsoptparse.h"
  ;
  return; //@line 150 "./jsoptparse.h"
}


function __ZN2js3cli6detail12StringOptionD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js3cli6detail12StringOptionD2Ev($2); //@line 152 "./jsoptparse.h"
  ;
  return; //@line 152 "./jsoptparse.h"
}


function __ZN2js3cli6detail12StringOptionD0Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js3cli6detail12StringOptionD1Ev($2); //@line 152 "./jsoptparse.h"
  var $3=$2; //@line 152 "./jsoptparse.h"
  __ZdlPv($3); //@line 152 "./jsoptparse.h"
  ;
  return; //@line 152 "./jsoptparse.h"
}


function __ZN2js3cli6detail12StringOptionD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 152 "./jsoptparse.h"
  __ZN2js3cli6detail12ValuedOptionD2Ev($3); //@line 152 "./jsoptparse.h"
  ;
  return; //@line 152 "./jsoptparse.h"
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE14internalAppendIS4_EEvT_($this, $t) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$t;
      var $3=$1;
      var $4=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($3); //@line 776 "../jsvector.h"
      var $5=$4; //@line 776 "../jsvector.h"
      var $6=(($5)|0)==0; //@line 776 "../jsvector.h"
      if ($6) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "../jsvector.h"
    case 2: 
      var $8=$5; //@line 776 "../jsvector.h"
      var $9=$2; //@line 776 "../jsvector.h"
      HEAP32[(($8)>>2)]=$9; //@line 776 "../jsvector.h"
      var $11 = $8;__label__ = 3; break; //@line 776 "../jsvector.h"
    case 3: 
      var $11; //@line 776 "../jsvector.h"
      var $12=(($3+4)|0); //@line 777 "../jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "../jsvector.h"
      var $14=(($13+1)|0); //@line 777 "../jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "../jsvector.h"
      ;
      return; //@line 778 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js3cli6detail9IntOptionC1EcPKcS4_S4_i($this, $shortflag, $longflag, $help, $metavar, $defaultValue) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  $5=$metavar;
  $6=$defaultValue;
  var $7=$1;
  var $8=$2; //@line 162 "./jsoptparse.h"
  var $9=$3; //@line 162 "./jsoptparse.h"
  var $10=$4; //@line 162 "./jsoptparse.h"
  var $11=$5; //@line 162 "./jsoptparse.h"
  var $12=$6; //@line 162 "./jsoptparse.h"
  __ZN2js3cli6detail9IntOptionC2EcPKcS4_S4_i($7, $8, $9, $10, $11, $12); //@line 162 "./jsoptparse.h"
  ;
  return; //@line 162 "./jsoptparse.h"
}


function __ZN2js3cli6detail9IntOptionC2EcPKcS4_S4_i($this, $shortflag, $longflag, $help, $metavar, $defaultValue) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  var $4;
  var $5;
  var $6;
  $1=$this;
  $2=$shortflag;
  $3=$longflag;
  $4=$help;
  $5=$metavar;
  $6=$defaultValue;
  var $7=$1;
  var $8=$7; //@line 162 "./jsoptparse.h"
  var $9=$2; //@line 162 "./jsoptparse.h"
  var $10=$3; //@line 162 "./jsoptparse.h"
  var $11=$4; //@line 162 "./jsoptparse.h"
  var $12=$5; //@line 162 "./jsoptparse.h"
  __ZN2js3cli6detail12ValuedOptionC2ENS1_10OptionKindEcPKcS5_S5_($8, 2, $9, $10, $11, $12); //@line 162 "./jsoptparse.h"
  var $13=$7; //@line 162 "./jsoptparse.h"
  HEAP32[(($13)>>2)]=((__ZTVN2js3cli6detail9IntOptionE+8)|0); //@line 162 "./jsoptparse.h"
  var $14=(($7+24)|0); //@line 162 "./jsoptparse.h"
  var $15=$6; //@line 162 "./jsoptparse.h"
  HEAP32[(($14)>>2)]=$15; //@line 162 "./jsoptparse.h"
  ;
  return; //@line 162 "./jsoptparse.h"
}


function __ZN2js3cli6detail9IntOptionD1Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js3cli6detail9IntOptionD2Ev($2); //@line 164 "./jsoptparse.h"
  ;
  return; //@line 164 "./jsoptparse.h"
}


function __ZN2js3cli6detail9IntOptionD0Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  __ZN2js3cli6detail9IntOptionD1Ev($2); //@line 164 "./jsoptparse.h"
  var $3=$2; //@line 164 "./jsoptparse.h"
  __ZdlPv($3); //@line 164 "./jsoptparse.h"
  ;
  return; //@line 164 "./jsoptparse.h"
}


function __ZN2js3cli6detail9IntOptionD2Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=$2; //@line 164 "./jsoptparse.h"
  __ZN2js3cli6detail12ValuedOptionD2Ev($3); //@line 164 "./jsoptparse.h"
  ;
  return; //@line 164 "./jsoptparse.h"
}


function __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEEEERT_($this, $0) {
  ;
  var __label__;

  var $2;
  var $3;
  $2=$this;
  $3=$0;
  var $4=$2;
  var $5=$3; //@line 204 "../jstl.h"
  __ZN2js15ReentrancyGuardC2INS_6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEEEERT_($4, $5); //@line 204 "../jstl.h"
  ;
  return; //@line 204 "../jstl.h"
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "../jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "../jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "../jsvector.h"
      var $7=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "../jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "../jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "../jsvector.h"
      var $10=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "../jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "../jsvector.h"
    case 4: 
      var $12; //@line 638 "../jsvector.h"
      ;
      return $12; //@line 638 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 282 "../jsvector.h"
  var $4=HEAP32[(($3)>>2)]; //@line 282 "../jsvector.h"
  var $5=(($2+12)|0); //@line 282 "../jsvector.h"
  var $6=__ZNK7mozilla14AlignedStorageILj1EE4addrEv($5); //@line 282 "../jsvector.h"
  var $7=$6; //@line 282 "../jsvector.h"
  var $8=(($4)|0)==(($7)|0); //@line 282 "../jsvector.h"
  ;
  return $8; //@line 282 "../jsvector.h"
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+4)|0); //@line 612 "../jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "../jsvector.h"
      var $7=$3; //@line 612 "../jsvector.h"
      var $8=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "../jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "../jsvector.h"
    case 2: 
      $1=0; //@line 613 "../jsvector.h"
      __label__ = 6; break; //@line 613 "../jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "../jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "../jsvector.h"
      var $13=((($12<<2))|0); //@line 616 "../jsvector.h"
      var $14=__ZN2js17SystemAllocPolicy7malloc_Ej($11, $13); //@line 616 "../jsvector.h"
      var $15=$14; //@line 616 "../jsvector.h"
      $newBuf=$15; //@line 616 "../jsvector.h"
      var $16=$newBuf; //@line 617 "../jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "../jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "../jsvector.h"
    case 4: 
      $1=0; //@line 618 "../jsvector.h"
      __label__ = 6; break; //@line 618 "../jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "../jsvector.h"
      var $21=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 621 "../jsvector.h"
      var $22=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 621 "../jsvector.h"
      __ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS4_EEvPS4_PKT_SB_($20, $21, $22); //@line 621 "../jsvector.h"
      var $23=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 622 "../jsvector.h"
      var $24=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 622 "../jsvector.h"
      __ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE7destroyEPS4_S7_($23, $24); //@line 622 "../jsvector.h"
      var $25=$newBuf; //@line 625 "../jsvector.h"
      var $26=(($4)|0); //@line 625 "../jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "../jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "../jsvector.h"
      var $28=(($4+8)|0); //@line 627 "../jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "../jsvector.h"
      $1=1; //@line 628 "../jsvector.h"
      __label__ = 6; break; //@line 628 "../jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "../jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 597 "../jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "../jsvector.h"
      var $6=$2; //@line 597 "../jsvector.h"
      var $7=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "../jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "../jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "../jsvector.h"
      var $10=__ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS4_Lj0ES5_EEj($3, $9); //@line 598 "../jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "../jsvector.h"
      var $8=$4; //@line 561 "../jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "../jsvector.h"
      $newMinCap=$9; //@line 561 "../jsvector.h"
      var $10=$newMinCap; //@line 567 "../jsvector.h"
      var $11=$3; //@line 567 "../jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "../jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "../jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "../jsvector.h"
      var $15=$14 & -536870912; //@line 567 "../jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "../jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "../jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "../jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($18); //@line 569 "../jsvector.h"
      $1=0; //@line 570 "../jsvector.h"
      __label__ = 7; break; //@line 570 "../jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "../jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "../jsvector.h"
      var $22=$5; //@line 574 "../jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "../jsvector.h"
      var $23=$5; //@line 580 "../jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "../jsvector.h"
      var $25=$24 & -536870912; //@line 580 "../jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "../jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "../jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "../jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($28); //@line 581 "../jsvector.h"
      $1=0; //@line 582 "../jsvector.h"
      __label__ = 7; break; //@line 582 "../jsvector.h"
    case 6: 
      $1=1; //@line 584 "../jsvector.h"
      __label__ = 7; break; //@line 584 "../jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "../jsvector.h"
      ;
      return $31; //@line 585 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS4_Lj0ES5_EEj($v, $newcap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $bytes;
      var $oldBytes;
      var $newbuf;
      $2=$v;
      $3=$newcap;
      var $4=$3; //@line 176 "../jsvector.h"
      var $5=((($4<<2))|0); //@line 176 "../jsvector.h"
      $bytes=$5; //@line 176 "../jsvector.h"
      var $6=$2; //@line 177 "../jsvector.h"
      var $7=(($6+8)|0); //@line 177 "../jsvector.h"
      var $8=HEAP32[(($7)>>2)]; //@line 177 "../jsvector.h"
      var $9=((($8<<2))|0); //@line 177 "../jsvector.h"
      $oldBytes=$9; //@line 177 "../jsvector.h"
      var $10=$2; //@line 178 "../jsvector.h"
      var $11=$10; //@line 178 "../jsvector.h"
      var $12=$2; //@line 178 "../jsvector.h"
      var $13=(($12)|0); //@line 178 "../jsvector.h"
      var $14=HEAP32[(($13)>>2)]; //@line 178 "../jsvector.h"
      var $15=$14; //@line 178 "../jsvector.h"
      var $16=$oldBytes; //@line 178 "../jsvector.h"
      var $17=$bytes; //@line 178 "../jsvector.h"
      var $18=__ZN2js17SystemAllocPolicy8realloc_EPvjj($11, $15, $16, $17); //@line 178 "../jsvector.h"
      var $19=$18; //@line 178 "../jsvector.h"
      $newbuf=$19; //@line 178 "../jsvector.h"
      var $20=$newbuf; //@line 179 "../jsvector.h"
      var $21=(($20)|0)!=0; //@line 179 "../jsvector.h"
      if ($21) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 179 "../jsvector.h"
    case 2: 
      $1=0; //@line 180 "../jsvector.h"
      __label__ = 4; break; //@line 180 "../jsvector.h"
    case 3: 
      var $24=$newbuf; //@line 181 "../jsvector.h"
      var $25=$2; //@line 181 "../jsvector.h"
      var $26=(($25)|0); //@line 181 "../jsvector.h"
      HEAP32[(($26)>>2)]=$24; //@line 181 "../jsvector.h"
      var $27=$3; //@line 183 "../jsvector.h"
      var $28=$2; //@line 183 "../jsvector.h"
      var $29=(($28+8)|0); //@line 183 "../jsvector.h"
      HEAP32[(($29)>>2)]=$27; //@line 183 "../jsvector.h"
      $1=1; //@line 184 "../jsvector.h"
      __label__ = 4; break; //@line 184 "../jsvector.h"
    case 4: 
      var $31=$1; //@line 185 "../jsvector.h"
      ;
      return $31; //@line 185 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function _js_realloc698($p, $bytes) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$p;
      $2=$bytes;
      __label__ = 2; break; //@line 280 "../jsutil.h"
    case 2: 
      __label__ = 3; break; //@line 280 "../jsutil.h"
    case 3: 
      var $5=$1; //@line 281 "../jsutil.h"
      var $6=$2; //@line 281 "../jsutil.h"
      var $7=_realloc($5, $6); //@line 281 "../jsutil.h"
      ;
      return $7; //@line 281 "../jsutil.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS4_EEvPS4_PKT_SB_($dst, $srcbeg, $srcend) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$dst;
  $2=$srcbeg;
  $3=$srcend;
  var $4=$1; //@line 166 "../jsvector.h"
  var $5=$2; //@line 166 "../jsvector.h"
  var $6=$3; //@line 166 "../jsvector.h"
  __ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS4_EEvPS4_PKT_SB_($4, $5, $6); //@line 166 "../jsvector.h"
  ;
  return; //@line 167 "../jsvector.h"
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE13growStorageByEj($this, $incr) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      $1=$this;
      $2=$incr;
      var $3=$1;
      var $4=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($3); //@line 636 "../jsvector.h"
      if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 636 "../jsvector.h"
    case 2: 
      var $6=$2; //@line 637 "../jsvector.h"
      var $7=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($3, $6); //@line 637 "../jsvector.h"
      var $12 = $7;__label__ = 4; break; //@line 637 "../jsvector.h"
    case 3: 
      var $9=$2; //@line 638 "../jsvector.h"
      var $10=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj($3, $9); //@line 638 "../jsvector.h"
      var $12 = $10;__label__ = 4; break; //@line 638 "../jsvector.h"
    case 4: 
      var $12; //@line 638 "../jsvector.h"
      ;
      return $12; //@line 638 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE14internalAppendIS3_EEvT_($this, $t) {
  var __stackBase__  = STACKTOP; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var tempParam = $t; $t = STACKTOP;STACKTOP += 8;assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack");HEAP32[(($t)>>2)]=HEAP32[((tempParam)>>2)];HEAP32[(($t+4)>>2)]=HEAP32[((tempParam+4)>>2)];
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      $1=$this;
      var $2=$1;
      var $3=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 776 "../jsvector.h"
      var $4=$3; //@line 776 "../jsvector.h"
      var $5=(($4)|0)==0; //@line 776 "../jsvector.h"
      if ($5) { var $11 = 0;__label__ = 3; break; } else { __label__ = 2; break; } //@line 776 "../jsvector.h"
    case 2: 
      var $7=$4; //@line 776 "../jsvector.h"
      var $8=$7; //@line 776 "../jsvector.h"
      var $9=$t; //@line 776 "../jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($8)>>2)]=HEAP32[(($9)>>2)];HEAP32[(($8+4)>>2)]=HEAP32[(($9+4)>>2)]; //@line 776 "../jsvector.h"
      var $11 = $7;__label__ = 3; break; //@line 776 "../jsvector.h"
    case 3: 
      var $11; //@line 776 "../jsvector.h"
      var $12=(($2+4)|0); //@line 777 "../jsvector.h"
      var $13=HEAP32[(($12)>>2)]; //@line 777 "../jsvector.h"
      var $14=(($13+1)|0); //@line 777 "../jsvector.h"
      HEAP32[(($12)>>2)]=$14; //@line 777 "../jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 778 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newCap=__stackBase__;
      var $newBuf;
      $2=$this;
      $3=$lengthInc;
      var $4=$2;
      var $5=(($4+4)|0); //@line 612 "../jsvector.h"
      var $6=HEAP32[(($5)>>2)]; //@line 612 "../jsvector.h"
      var $7=$3; //@line 612 "../jsvector.h"
      var $8=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($4, $6, $7, $newCap); //@line 612 "../jsvector.h"
      if ($8) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 612 "../jsvector.h"
    case 2: 
      $1=0; //@line 613 "../jsvector.h"
      __label__ = 6; break; //@line 613 "../jsvector.h"
    case 3: 
      var $11=$4; //@line 616 "../jsvector.h"
      var $12=HEAP32[(($newCap)>>2)]; //@line 616 "../jsvector.h"
      var $13=((($12<<3))|0); //@line 616 "../jsvector.h"
      var $14=__ZN2js17SystemAllocPolicy7malloc_Ej($11, $13); //@line 616 "../jsvector.h"
      var $15=$14; //@line 616 "../jsvector.h"
      $newBuf=$15; //@line 616 "../jsvector.h"
      var $16=$newBuf; //@line 617 "../jsvector.h"
      var $17=(($16)|0)!=0; //@line 617 "../jsvector.h"
      if ($17) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 617 "../jsvector.h"
    case 4: 
      $1=0; //@line 618 "../jsvector.h"
      __label__ = 6; break; //@line 618 "../jsvector.h"
    case 5: 
      var $20=$newBuf; //@line 621 "../jsvector.h"
      var $21=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 621 "../jsvector.h"
      var $22=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 621 "../jsvector.h"
      __ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE13moveConstructIS3_EEvPS3_PKT_SA_($20, $21, $22); //@line 621 "../jsvector.h"
      var $23=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($4); //@line 622 "../jsvector.h"
      var $24=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($4); //@line 622 "../jsvector.h"
      __ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE7destroyEPS3_S6_($23, $24); //@line 622 "../jsvector.h"
      var $25=$newBuf; //@line 625 "../jsvector.h"
      var $26=(($4)|0); //@line 625 "../jsvector.h"
      HEAP32[(($26)>>2)]=$25; //@line 625 "../jsvector.h"
      var $27=HEAP32[(($newCap)>>2)]; //@line 627 "../jsvector.h"
      var $28=(($4+8)|0); //@line 627 "../jsvector.h"
      HEAP32[(($28)>>2)]=$27; //@line 627 "../jsvector.h"
      $1=1; //@line 628 "../jsvector.h"
      __label__ = 6; break; //@line 628 "../jsvector.h"
    case 6: 
      var $30=$1; //@line 629 "../jsvector.h"
      STACKTOP = __stackBase__;
      return $30; //@line 629 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZNK2js7MoveRefINS_3cli6detail9StringArgEEcvRS3_Ev($this) {
  ;
  var __label__;

  var $1;
  $1=$this;
  var $2=$1;
  var $3=(($2)|0); //@line 836 "../jsutil.h"
  var $4=HEAP32[(($3)>>2)]; //@line 836 "../jsutil.h"
  ;
  return $4; //@line 836 "../jsutil.h"
}


function __ZN2js7MoveRefINS_3cli6detail9StringArgEEC2ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=(($3)|0); //@line 833 "../jsutil.h"
  var $5=$2; //@line 833 "../jsutil.h"
  HEAP32[(($4)>>2)]=$5; //@line 833 "../jsutil.h"
  ;
  return; //@line 833 "../jsutil.h"
}


function __ZN2js3cli16MultiStringRangeC2EPKNS0_6detail9StringArgES5_($this, $cur, $end) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$cur;
  $3=$end;
  var $4=$1;
  var $5=(($4)|0); //@line 198 "./jsoptparse.h"
  var $6=$2; //@line 198 "./jsoptparse.h"
  HEAP32[(($5)>>2)]=$6; //@line 198 "./jsoptparse.h"
  var $7=(($4+4)|0); //@line 198 "./jsoptparse.h"
  var $8=$3; //@line 198 "./jsoptparse.h"
  HEAP32[(($7)>>2)]=$8; //@line 198 "./jsoptparse.h"
  ;
  return; //@line 200 "./jsoptparse.h"
}


function __ZN2js3cli6detail9StringArgC2EPcj($this, $value, $argno) {
  ;
  var __label__;

  var $1;
  var $2;
  var $3;
  $1=$this;
  $2=$value;
  $3=$argno;
  var $4=$1;
  var $5=(($4)|0); //@line 172 "./jsoptparse.h"
  var $6=$2; //@line 172 "./jsoptparse.h"
  HEAP32[(($5)>>2)]=$6; //@line 172 "./jsoptparse.h"
  var $7=(($4+4)|0); //@line 172 "./jsoptparse.h"
  var $8=$3; //@line 172 "./jsoptparse.h"
  HEAP32[(($7)>>2)]=$8; //@line 172 "./jsoptparse.h"
  ;
  return; //@line 172 "./jsoptparse.h"
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj($this, $lengthInc) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $newCap=__stackBase__;
      $1=$this;
      $2=$lengthInc;
      var $3=$1;
      var $4=(($3+4)|0); //@line 597 "../jsvector.h"
      var $5=HEAP32[(($4)>>2)]; //@line 597 "../jsvector.h"
      var $6=$2; //@line 597 "../jsvector.h"
      var $7=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($3, $5, $6, $newCap); //@line 597 "../jsvector.h"
      if ($7) { __label__ = 2; break; } else { var $12 = 0;__label__ = 3; break; } //@line 597 "../jsvector.h"
    case 2: 
      var $9=HEAP32[(($newCap)>>2)]; //@line 598 "../jsvector.h"
      var $10=__ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE6growToERNS_6VectorIS3_Lj0ES4_EEj($3, $9); //@line 598 "../jsvector.h"
      var $12 = $10;__label__ = 3; break;
    case 3: 
      var $12;
      STACKTOP = __stackBase__;
      return $12; //@line 599 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj($this, $curLength, $lengthInc, $newCap) {
  ;
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $4;
      var $5;
      var $newMinCap;
      $2=$this;
      $3=$curLength;
      $4=$lengthInc;
      $5=$newCap;
      var $6=$2;
      var $7=$3; //@line 561 "../jsvector.h"
      var $8=$4; //@line 561 "../jsvector.h"
      var $9=(($7+$8)|0); //@line 561 "../jsvector.h"
      $newMinCap=$9; //@line 561 "../jsvector.h"
      var $10=$newMinCap; //@line 567 "../jsvector.h"
      var $11=$3; //@line 567 "../jsvector.h"
      var $12=(($10)>>>0) < (($11)>>>0); //@line 567 "../jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 567 "../jsvector.h"
    case 2: 
      var $14=$newMinCap; //@line 567 "../jsvector.h"
      var $15=$14 & -268435456; //@line 567 "../jsvector.h"
      var $16=(($15)|0)!=0; //@line 567 "../jsvector.h"
      if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 567 "../jsvector.h"
    case 3: 
      var $18=$6; //@line 569 "../jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($18); //@line 569 "../jsvector.h"
      $1=0; //@line 570 "../jsvector.h"
      __label__ = 7; break; //@line 570 "../jsvector.h"
    case 4: 
      var $20=$newMinCap; //@line 574 "../jsvector.h"
      var $21=__ZN2js11RoundUpPow2Ej($20); //@line 574 "../jsvector.h"
      var $22=$5; //@line 574 "../jsvector.h"
      HEAP32[(($22)>>2)]=$21; //@line 574 "../jsvector.h"
      var $23=$5; //@line 580 "../jsvector.h"
      var $24=HEAP32[(($23)>>2)]; //@line 580 "../jsvector.h"
      var $25=$24 & -268435456; //@line 580 "../jsvector.h"
      var $26=(($25)|0)!=0; //@line 580 "../jsvector.h"
      if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 580 "../jsvector.h"
    case 5: 
      var $28=$6; //@line 581 "../jsvector.h"
      __ZNK2js17SystemAllocPolicy19reportAllocOverflowEv($28); //@line 581 "../jsvector.h"
      $1=0; //@line 582 "../jsvector.h"
      __label__ = 7; break; //@line 582 "../jsvector.h"
    case 6: 
      $1=1; //@line 584 "../jsvector.h"
      __label__ = 7; break; //@line 584 "../jsvector.h"
    case 7: 
      var $31=$1; //@line 585 "../jsvector.h"
      ;
      return $31; //@line 585 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE6growToERNS_6VectorIS3_Lj0ES4_EEj($v, $newcap) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $newbuf;
      var $dst;
      var $src;
      var $4=__stackBase__;
      $2=$v;
      $3=$newcap;
      var $5=$2; //@line 114 "../jsvector.h"
      var $6=$5; //@line 114 "../jsvector.h"
      var $7=$3; //@line 114 "../jsvector.h"
      var $8=((($7<<3))|0); //@line 114 "../jsvector.h"
      var $9=__ZN2js17SystemAllocPolicy7malloc_Ej($6, $8); //@line 114 "../jsvector.h"
      var $10=$9; //@line 114 "../jsvector.h"
      $newbuf=$10; //@line 114 "../jsvector.h"
      var $11=$newbuf; //@line 115 "../jsvector.h"
      var $12=(($11)|0)!=0; //@line 115 "../jsvector.h"
      if ($12) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 115 "../jsvector.h"
    case 2: 
      $1=0; //@line 116 "../jsvector.h"
      __label__ = 10; break; //@line 116 "../jsvector.h"
    case 3: 
      var $15=$newbuf; //@line 117 "../jsvector.h"
      $dst=$15; //@line 117 "../jsvector.h"
      var $16=$2; //@line 117 "../jsvector.h"
      var $17=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($16); //@line 117 "../jsvector.h"
      $src=$17; //@line 117 "../jsvector.h"
      __label__ = 4; break; //@line 117 "../jsvector.h"
    case 4: 
      var $19=$src; //@line 117 "../jsvector.h"
      var $20=$2; //@line 117 "../jsvector.h"
      var $21=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($20); //@line 117 "../jsvector.h"
      var $22=(($19)|0)!=(($21)|0); //@line 117 "../jsvector.h"
      if ($22) { __label__ = 5; break; } else { __label__ = 9; break; } //@line 117 "../jsvector.h"
    case 5: 
      var $24=$dst; //@line 118 "../jsvector.h"
      var $25=$24; //@line 118 "../jsvector.h"
      var $26=(($25)|0)==0; //@line 118 "../jsvector.h"
      if ($26) { var $34 = 0;__label__ = 7; break; } else { __label__ = 6; break; } //@line 118 "../jsvector.h"
    case 6: 
      var $28=$25; //@line 118 "../jsvector.h"
      var $29=$src; //@line 118 "../jsvector.h"
      __ZN2js4MoveINS_3cli6detail9StringArgEEENS_7MoveRefIT_EERS5_($4, $29); //@line 118 "../jsvector.h"
      var $30=__ZNK2js7MoveRefINS_3cli6detail9StringArgEEcvRS3_Ev($4); //@line 118 "../jsvector.h"
      var $31=$28; //@line 118 "../jsvector.h"
      var $32=$30; //@line 118 "../jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($31)>>2)]=HEAP32[(($32)>>2)];HEAP32[(($31+4)>>2)]=HEAP32[(($32+4)>>2)]; //@line 118 "../jsvector.h"
      var $34 = $28;__label__ = 7; break; //@line 118 "../jsvector.h"
    case 7: 
      var $34; //@line 118 "../jsvector.h"
      __label__ = 8; break; //@line 118 "../jsvector.h"
    case 8: 
      var $36=$dst; //@line 117 "../jsvector.h"
      var $37=(($36+8)|0); //@line 117 "../jsvector.h"
      $dst=$37; //@line 117 "../jsvector.h"
      var $38=$src; //@line 117 "../jsvector.h"
      var $39=(($38+8)|0); //@line 117 "../jsvector.h"
      $src=$39; //@line 117 "../jsvector.h"
      __label__ = 4; break; //@line 117 "../jsvector.h"
    case 9: 
      var $41=$2; //@line 119 "../jsvector.h"
      var $42=__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($41); //@line 119 "../jsvector.h"
      var $43=$2; //@line 119 "../jsvector.h"
      var $44=__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($43); //@line 119 "../jsvector.h"
      __ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE7destroyEPS3_S6_($42, $44); //@line 119 "../jsvector.h"
      var $45=$2; //@line 120 "../jsvector.h"
      var $46=$45; //@line 120 "../jsvector.h"
      var $47=$2; //@line 120 "../jsvector.h"
      var $48=(($47)|0); //@line 120 "../jsvector.h"
      var $49=HEAP32[(($48)>>2)]; //@line 120 "../jsvector.h"
      var $50=$49; //@line 120 "../jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($46, $50); //@line 120 "../jsvector.h"
      var $51=$newbuf; //@line 121 "../jsvector.h"
      var $52=$2; //@line 121 "../jsvector.h"
      var $53=(($52)|0); //@line 121 "../jsvector.h"
      HEAP32[(($53)>>2)]=$51; //@line 121 "../jsvector.h"
      var $54=$3; //@line 123 "../jsvector.h"
      var $55=$2; //@line 123 "../jsvector.h"
      var $56=(($55+8)|0); //@line 123 "../jsvector.h"
      HEAP32[(($56)>>2)]=$54; //@line 123 "../jsvector.h"
      $1=1; //@line 124 "../jsvector.h"
      __label__ = 10; break; //@line 124 "../jsvector.h"
    case 10: 
      var $58=$1; //@line 125 "../jsvector.h"
      STACKTOP = __stackBase__;
      return $58; //@line 125 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}
__ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE6growToERNS_6VectorIS3_Lj0ES4_EEj["X"]=1;

function __ZN2js4MoveINS_3cli6detail9StringArgEEENS_7MoveRefIT_EERS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 842 "../jsutil.h"
  __ZN2js7MoveRefINS_3cli6detail9StringArgEEC1ERS3_($agg_result, $2); //@line 842 "../jsutil.h"
  ;
  return; //@line 842 "../jsutil.h"
}


function __ZN2js7MoveRefINS_3cli6detail9StringArgEEC1ERS3_($this, $t) {
  ;
  var __label__;

  var $1;
  var $2;
  $1=$this;
  $2=$t;
  var $3=$1;
  var $4=$2; //@line 833 "../jsutil.h"
  __ZN2js7MoveRefINS_3cli6detail9StringArgEEC2ERS3_($3, $4); //@line 833 "../jsutil.h"
  ;
  return; //@line 833 "../jsutil.h"
}


function __ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE13moveConstructIS3_EEvPS3_PKT_SA_($dst, $srcbeg, $srcend) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $2;
      var $3;
      var $p;
      var $4=__stackBase__;
      $1=$dst;
      $2=$srcbeg;
      $3=$srcend;
      var $5=$2; //@line 92 "../jsvector.h"
      $p=$5; //@line 92 "../jsvector.h"
      __label__ = 2; break; //@line 92 "../jsvector.h"
    case 2: 
      var $7=$p; //@line 92 "../jsvector.h"
      var $8=$3; //@line 92 "../jsvector.h"
      var $9=(($7)|0)!=(($8)|0); //@line 92 "../jsvector.h"
      if ($9) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 92 "../jsvector.h"
    case 3: 
      var $11=$1; //@line 93 "../jsvector.h"
      var $12=$11; //@line 93 "../jsvector.h"
      var $13=(($12)|0)==0; //@line 93 "../jsvector.h"
      if ($13) { var $21 = 0;__label__ = 5; break; } else { __label__ = 4; break; } //@line 93 "../jsvector.h"
    case 4: 
      var $15=$12; //@line 93 "../jsvector.h"
      var $16=$p; //@line 93 "../jsvector.h"
      __ZN2js4MoveINS_3cli6detail9StringArgEEENS_7MoveRefIT_EERKS5_($4, $16); //@line 93 "../jsvector.h"
      var $17=__ZNK2js7MoveRefINS_3cli6detail9StringArgEEcvRS3_Ev($4); //@line 93 "../jsvector.h"
      var $18=$15; //@line 93 "../jsvector.h"
      var $19=$17; //@line 93 "../jsvector.h"
      assert(8 % 1 === 0, 'memcpy given ' + 8 + ' bytes to copy. Problem with quantum=1 corrections perhaps?');HEAP32[(($18)>>2)]=HEAP32[(($19)>>2)];HEAP32[(($18+4)>>2)]=HEAP32[(($19+4)>>2)]; //@line 93 "../jsvector.h"
      var $21 = $15;__label__ = 5; break; //@line 93 "../jsvector.h"
    case 5: 
      var $21; //@line 93 "../jsvector.h"
      __label__ = 6; break; //@line 93 "../jsvector.h"
    case 6: 
      var $23=$p; //@line 92 "../jsvector.h"
      var $24=(($23+8)|0); //@line 92 "../jsvector.h"
      $p=$24; //@line 92 "../jsvector.h"
      var $25=$1; //@line 92 "../jsvector.h"
      var $26=(($25+8)|0); //@line 92 "../jsvector.h"
      $1=$26; //@line 92 "../jsvector.h"
      __label__ = 2; break; //@line 92 "../jsvector.h"
    case 7: 
      STACKTOP = __stackBase__;
      return; //@line 94 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}


function __ZN2js4MoveINS_3cli6detail9StringArgEEENS_7MoveRefIT_EERKS5_($agg_result, $t) {
  ;
  var __label__;

  var $1;
  $1=$t;
  var $2=$1; //@line 845 "../jsutil.h"
  __ZN2js7MoveRefINS_3cli6detail9StringArgEEC1ERS3_($agg_result, $2); //@line 845 "../jsutil.h"
  ;
  return; //@line 845 "../jsutil.h"
}


function __ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEED2Ev($this) {
  var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP % 4 == 0, "Stack is unaligned"); assert(STACKTOP < STACK_MAX, "Ran out of stack");
  var __label__;
  __label__ = 1; 
  while(1) switch(__label__) {
    case 1: 
      var $1;
      var $g=__stackBase__;
      $1=$this;
      var $2=$1;
      __ZN2js15ReentrancyGuardC1INS_6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEEEERT_($g, $2); //@line 545 "../jsvector.h"
      var $3=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 546 "../jsvector.h"
      var $4=__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE10endNoCheckEv($2); //@line 546 "../jsvector.h"
      __ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE7destroyEPS4_S7_($3, $4); //@line 546 "../jsvector.h"
      var $5=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv($2); //@line 547 "../jsvector.h"
      if ($5) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 547 "../jsvector.h"
    case 2: 
      var $7=$2; //@line 548 "../jsvector.h"
      var $8=__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv($2); //@line 548 "../jsvector.h"
      var $9=$8; //@line 548 "../jsvector.h"
      __ZN2js17SystemAllocPolicy5free_EPv($7, $9); //@line 548 "../jsvector.h"
      __label__ = 3; break; //@line 548 "../jsvector.h"
    case 3: 
      __ZN2js15ReentrancyGuardD1Ev($g); //@line 549 "../jsvector.h"
      STACKTOP = __stackBase__;
      return; //@line 549 "../jsvector.h"
    default: assert(0, "bad label: " + __label__);
  }
}

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
var goog = { math: {} };


/**
 * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
 * values as *signed* integers.  See the from* functions below for more
 * convenient ways of constructing Longs.
 *
 * The internal representation of a long is the two given signed, 32-bit values.
 * We use 32-bit pieces because these are the size of integers on which
 * Javascript performs bit-operations.  For operations like addition and
 * multiplication, we split each number into 16-bit pieces, which can easily be
 * multiplied within Javascript's floating-point representation without overflow
 * or change in sign.
 *
 * In the algorithms below, we frequently reduce the negative case to the
 * positive case by negating the input(s) and then post-processing the result.
 * Note that we must ALWAYS check specially whether those values are MIN_VALUE
 * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
 * a positive number, it overflows back into a negative).  Not handling this
 * case would often result in infinite recursion.
 *
 * @param {number} low  The low (signed) 32 bits of the long.
 * @param {number} high  The high (signed) 32 bits of the long.
 * @constructor
 */
goog.math.Long = function(low, high) {
  /**
   * @type {number}
   * @private
   */
  this.low_ = low | 0;  // force into 32 signed bits.

  /**
   * @type {number}
   * @private
   */
  this.high_ = high | 0;  // force into 32 signed bits.
};


// NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
// from* methods on which they depend.


/**
 * A cache of the Long representations of small integer values.
 * @type {!Object}
 * @private
 */
goog.math.Long.IntCache_ = {};


/**
 * Returns a Long representing the given (32-bit) integer value.
 * @param {number} value The 32-bit integer in question.
 * @return {!goog.math.Long} The corresponding Long value.
 */
goog.math.Long.fromInt = function(value) {
  if (-128 <= value && value < 128) {
    var cachedObj = goog.math.Long.IntCache_[value];
    if (cachedObj) {
      return cachedObj;
    }
  }

  var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
  if (-128 <= value && value < 128) {
    goog.math.Long.IntCache_[value] = obj;
  }
  return obj;
};


/**
 * Returns a Long representing the given value, provided that it is a finite
 * number.  Otherwise, zero is returned.
 * @param {number} value The number in question.
 * @return {!goog.math.Long} The corresponding Long value.
 */
goog.math.Long.fromNumber = function(value) {
  if (isNaN(value) || !isFinite(value)) {
    return goog.math.Long.ZERO;
  } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
    return goog.math.Long.MIN_VALUE;
  } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
    return goog.math.Long.MAX_VALUE;
  } else if (value < 0) {
    return goog.math.Long.fromNumber(-value).negate();
  } else {
    return new goog.math.Long(
        (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
        (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
  }
};


/**
 * Returns a Long representing the 64-bit integer that comes by concatenating
 * the given high and low bits.  Each is assumed to use 32 bits.
 * @param {number} lowBits The low 32-bits.
 * @param {number} highBits The high 32-bits.
 * @return {!goog.math.Long} The corresponding Long value.
 */
goog.math.Long.fromBits = function(lowBits, highBits) {
  return new goog.math.Long(lowBits, highBits);
};


/**
 * Returns a Long representation of the given string, written using the given
 * radix.
 * @param {string} str The textual representation of the Long.
 * @param {number=} opt_radix The radix in which the text is written.
 * @return {!goog.math.Long} The corresponding Long value.
 */
goog.math.Long.fromString = function(str, opt_radix) {
  if (str.length == 0) {
    throw Error('number format error: empty string');
  }

  var radix = opt_radix || 10;
  if (radix < 2 || 36 < radix) {
    throw Error('radix out of range: ' + radix);
  }

  if (str.charAt(0) == '-') {
    return goog.math.Long.fromString(str.substring(1), radix).negate();
  } else if (str.indexOf('-') >= 0) {
    throw Error('number format error: interior "-" character: ' + str);
  }

  // Do several (8) digits each time through the loop, so as to
  // minimize the calls to the very expensive emulated div.
  var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

  var result = goog.math.Long.ZERO;
  for (var i = 0; i < str.length; i += 8) {
    var size = Math.min(8, str.length - i);
    var value = parseInt(str.substring(i, i + size), radix);
    if (size < 8) {
      var power = goog.math.Long.fromNumber(Math.pow(radix, size));
      result = result.multiply(power).add(goog.math.Long.fromNumber(value));
    } else {
      result = result.multiply(radixToPower);
      result = result.add(goog.math.Long.fromNumber(value));
    }
  }
  return result;
};


// NOTE: the compiler should inline these constant values below and then remove
// these variables, so there should be no runtime penalty for these.


/**
 * Number used repeated below in calculations.  This must appear before the
 * first call to any from* function below.
 * @type {number}
 * @private
 */
goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


/**
 * @type {number}
 * @private
 */
goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


/**
 * @type {number}
 * @private
 */
goog.math.Long.TWO_PWR_32_DBL_ =
    goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


/**
 * @type {number}
 * @private
 */
goog.math.Long.TWO_PWR_31_DBL_ =
    goog.math.Long.TWO_PWR_32_DBL_ / 2;


/**
 * @type {number}
 * @private
 */
goog.math.Long.TWO_PWR_48_DBL_ =
    goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


/**
 * @type {number}
 * @private
 */
goog.math.Long.TWO_PWR_64_DBL_ =
    goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


/**
 * @type {number}
 * @private
 */
goog.math.Long.TWO_PWR_63_DBL_ =
    goog.math.Long.TWO_PWR_64_DBL_ / 2;


/** @type {!goog.math.Long} */
goog.math.Long.ZERO = goog.math.Long.fromInt(0);


/** @type {!goog.math.Long} */
goog.math.Long.ONE = goog.math.Long.fromInt(1);


/** @type {!goog.math.Long} */
goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


/** @type {!goog.math.Long} */
goog.math.Long.MAX_VALUE =
    goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


/** @type {!goog.math.Long} */
goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


/**
 * @type {!goog.math.Long}
 * @private
 */
goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


/** @return {number} The value, assuming it is a 32-bit integer. */
goog.math.Long.prototype.toInt = function() {
  return this.low_;
};


/** @return {number} The closest floating-point representation to this value. */
goog.math.Long.prototype.toNumber = function() {
  return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
         this.getLowBitsUnsigned();
};


/**
 * @param {number=} opt_radix The radix in which the text should be written.
 * @return {string} The textual representation of this value.
 */
goog.math.Long.prototype.toString = function(opt_radix) {
  var radix = opt_radix || 10;
  if (radix < 2 || 36 < radix) {
    throw Error('radix out of range: ' + radix);
  }

  if (this.isZero()) {
    return '0';
  }

  if (this.isNegative()) {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      // We need to change the Long value before it can be negated, so we remove
      // the bottom-most digit in this base and then recurse to do the rest.
      var radixLong = goog.math.Long.fromNumber(radix);
      var div = this.div(radixLong);
      var rem = div.multiply(radixLong).subtract(this);
      return div.toString(radix) + rem.toInt().toString(radix);
    } else {
      return '-' + this.negate().toString(radix);
    }
  }

  // Do several (6) digits each time through the loop, so as to
  // minimize the calls to the very expensive emulated div.
  var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

  var rem = this;
  var result = '';
  while (true) {
    var remDiv = rem.div(radixToPower);
    var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
    var digits = intval.toString(radix);

    rem = remDiv;
    if (rem.isZero()) {
      return digits + result;
    } else {
      while (digits.length < 6) {
        digits = '0' + digits;
      }
      result = '' + digits + result;
    }
  }
};


/** @return {number} The high 32-bits as a signed value. */
goog.math.Long.prototype.getHighBits = function() {
  return this.high_;
};


/** @return {number} The low 32-bits as a signed value. */
goog.math.Long.prototype.getLowBits = function() {
  return this.low_;
};


/** @return {number} The low 32-bits as an unsigned value. */
goog.math.Long.prototype.getLowBitsUnsigned = function() {
  return (this.low_ >= 0) ?
      this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
};


/**
 * @return {number} Returns the number of bits needed to represent the absolute
 *     value of this Long.
 */
goog.math.Long.prototype.getNumBitsAbs = function() {
  if (this.isNegative()) {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return 64;
    } else {
      return this.negate().getNumBitsAbs();
    }
  } else {
    var val = this.high_ != 0 ? this.high_ : this.low_;
    for (var bit = 31; bit > 0; bit--) {
      if ((val & (1 << bit)) != 0) {
        break;
      }
    }
    return this.high_ != 0 ? bit + 33 : bit + 1;
  }
};


/** @return {boolean} Whether this value is zero. */
goog.math.Long.prototype.isZero = function() {
  return this.high_ == 0 && this.low_ == 0;
};


/** @return {boolean} Whether this value is negative. */
goog.math.Long.prototype.isNegative = function() {
  return this.high_ < 0;
};


/** @return {boolean} Whether this value is odd. */
goog.math.Long.prototype.isOdd = function() {
  return (this.low_ & 1) == 1;
};


/**
 * @param {goog.math.Long} other Long to compare against.
 * @return {boolean} Whether this Long equals the other.
 */
goog.math.Long.prototype.equals = function(other) {
  return (this.high_ == other.high_) && (this.low_ == other.low_);
};


/**
 * @param {goog.math.Long} other Long to compare against.
 * @return {boolean} Whether this Long does not equal the other.
 */
goog.math.Long.prototype.notEquals = function(other) {
  return (this.high_ != other.high_) || (this.low_ != other.low_);
};


/**
 * @param {goog.math.Long} other Long to compare against.
 * @return {boolean} Whether this Long is less than the other.
 */
goog.math.Long.prototype.lessThan = function(other) {
  return this.compare(other) < 0;
};


/**
 * @param {goog.math.Long} other Long to compare against.
 * @return {boolean} Whether this Long is less than or equal to the other.
 */
goog.math.Long.prototype.lessThanOrEqual = function(other) {
  return this.compare(other) <= 0;
};


/**
 * @param {goog.math.Long} other Long to compare against.
 * @return {boolean} Whether this Long is greater than the other.
 */
goog.math.Long.prototype.greaterThan = function(other) {
  return this.compare(other) > 0;
};


/**
 * @param {goog.math.Long} other Long to compare against.
 * @return {boolean} Whether this Long is greater than or equal to the other.
 */
goog.math.Long.prototype.greaterThanOrEqual = function(other) {
  return this.compare(other) >= 0;
};


/**
 * Compares this Long with the given one.
 * @param {goog.math.Long} other Long to compare against.
 * @return {number} 0 if they are the same, 1 if the this is greater, and -1
 *     if the given one is greater.
 */
goog.math.Long.prototype.compare = function(other) {
  if (this.equals(other)) {
    return 0;
  }

  var thisNeg = this.isNegative();
  var otherNeg = other.isNegative();
  if (thisNeg && !otherNeg) {
    return -1;
  }
  if (!thisNeg && otherNeg) {
    return 1;
  }

  // at this point, the signs are the same, so subtraction will not overflow
  if (this.subtract(other).isNegative()) {
    return -1;
  } else {
    return 1;
  }
};


/** @return {!goog.math.Long} The negation of this value. */
goog.math.Long.prototype.negate = function() {
  if (this.equals(goog.math.Long.MIN_VALUE)) {
    return goog.math.Long.MIN_VALUE;
  } else {
    return this.not().add(goog.math.Long.ONE);
  }
};


/**
 * Returns the sum of this and the given Long.
 * @param {goog.math.Long} other Long to add to this one.
 * @return {!goog.math.Long} The sum of this and the given Long.
 */
goog.math.Long.prototype.add = function(other) {
  // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

  var a48 = this.high_ >>> 16;
  var a32 = this.high_ & 0xFFFF;
  var a16 = this.low_ >>> 16;
  var a00 = this.low_ & 0xFFFF;

  var b48 = other.high_ >>> 16;
  var b32 = other.high_ & 0xFFFF;
  var b16 = other.low_ >>> 16;
  var b00 = other.low_ & 0xFFFF;

  var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
  c00 += a00 + b00;
  c16 += c00 >>> 16;
  c00 &= 0xFFFF;
  c16 += a16 + b16;
  c32 += c16 >>> 16;
  c16 &= 0xFFFF;
  c32 += a32 + b32;
  c48 += c32 >>> 16;
  c32 &= 0xFFFF;
  c48 += a48 + b48;
  c48 &= 0xFFFF;
  return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
};


/**
 * Returns the difference of this and the given Long.
 * @param {goog.math.Long} other Long to subtract from this.
 * @return {!goog.math.Long} The difference of this and the given Long.
 */
goog.math.Long.prototype.subtract = function(other) {
  return this.add(other.negate());
};


/**
 * Returns the product of this and the given long.
 * @param {goog.math.Long} other Long to multiply with this.
 * @return {!goog.math.Long} The product of this and the other.
 */
goog.math.Long.prototype.multiply = function(other) {
  if (this.isZero()) {
    return goog.math.Long.ZERO;
  } else if (other.isZero()) {
    return goog.math.Long.ZERO;
  }

  if (this.equals(goog.math.Long.MIN_VALUE)) {
    return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
  } else if (other.equals(goog.math.Long.MIN_VALUE)) {
    return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
  }

  if (this.isNegative()) {
    if (other.isNegative()) {
      return this.negate().multiply(other.negate());
    } else {
      return this.negate().multiply(other).negate();
    }
  } else if (other.isNegative()) {
    return this.multiply(other.negate()).negate();
  }

  // If both longs are small, use float multiplication
  if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
      other.lessThan(goog.math.Long.TWO_PWR_24_)) {
    return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
  }

  // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
  // We can skip products that would overflow.

  var a48 = this.high_ >>> 16;
  var a32 = this.high_ & 0xFFFF;
  var a16 = this.low_ >>> 16;
  var a00 = this.low_ & 0xFFFF;

  var b48 = other.high_ >>> 16;
  var b32 = other.high_ & 0xFFFF;
  var b16 = other.low_ >>> 16;
  var b00 = other.low_ & 0xFFFF;

  var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
  c00 += a00 * b00;
  c16 += c00 >>> 16;
  c00 &= 0xFFFF;
  c16 += a16 * b00;
  c32 += c16 >>> 16;
  c16 &= 0xFFFF;
  c16 += a00 * b16;
  c32 += c16 >>> 16;
  c16 &= 0xFFFF;
  c32 += a32 * b00;
  c48 += c32 >>> 16;
  c32 &= 0xFFFF;
  c32 += a16 * b16;
  c48 += c32 >>> 16;
  c32 &= 0xFFFF;
  c32 += a00 * b32;
  c48 += c32 >>> 16;
  c32 &= 0xFFFF;
  c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
  c48 &= 0xFFFF;
  return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
};


/**
 * Returns this Long divided by the given one.
 * @param {goog.math.Long} other Long by which to divide.
 * @return {!goog.math.Long} This Long divided by the given one.
 */
goog.math.Long.prototype.div = function(other) {
  if (other.isZero()) {
    throw Error('division by zero');
  } else if (this.isZero()) {
    return goog.math.Long.ZERO;
  }

  if (this.equals(goog.math.Long.MIN_VALUE)) {
    if (other.equals(goog.math.Long.ONE) ||
        other.equals(goog.math.Long.NEG_ONE)) {
      return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ONE;
    } else {
      // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
      var halfThis = this.shiftRight(1);
      var approx = halfThis.div(other).shiftLeft(1);
      if (approx.equals(goog.math.Long.ZERO)) {
        return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
      } else {
        var rem = this.subtract(other.multiply(approx));
        var result = approx.add(rem.div(other));
        return result;
      }
    }
  } else if (other.equals(goog.math.Long.MIN_VALUE)) {
    return goog.math.Long.ZERO;
  }

  if (this.isNegative()) {
    if (other.isNegative()) {
      return this.negate().div(other.negate());
    } else {
      return this.negate().div(other).negate();
    }
  } else if (other.isNegative()) {
    return this.div(other.negate()).negate();
  }

  // Repeat the following until the remainder is less than other:  find a
  // floating-point that approximates remainder / other *from below*, add this
  // into the result, and subtract it from the remainder.  It is critical that
  // the approximate value is less than or equal to the real value so that the
  // remainder never becomes negative.
  var res = goog.math.Long.ZERO;
  var rem = this;
  while (rem.greaterThanOrEqual(other)) {
    // Approximate the result of division. This may be a little greater or
    // smaller than the actual value.
    var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

    // We will tweak the approximate result by changing it in the 48-th digit or
    // the smallest non-fractional digit, whichever is larger.
    var log2 = Math.ceil(Math.log(approx) / Math.LN2);
    var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

    // Decrease the approximation until it is smaller than the remainder.  Note
    // that if it is too large, the product overflows and is negative.
    var approxRes = goog.math.Long.fromNumber(approx);
    var approxRem = approxRes.multiply(other);
    while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
      approx -= delta;
      approxRes = goog.math.Long.fromNumber(approx);
      approxRem = approxRes.multiply(other);
    }

    // We know the answer can't be zero... and actually, zero would cause
    // infinite recursion since we would make no progress.
    if (approxRes.isZero()) {
      approxRes = goog.math.Long.ONE;
    }

    res = res.add(approxRes);
    rem = rem.subtract(approxRem);
  }
  return res;
};


/**
 * Returns this Long modulo the given one.
 * @param {goog.math.Long} other Long by which to mod.
 * @return {!goog.math.Long} This Long modulo the given one.
 */
goog.math.Long.prototype.modulo = function(other) {
  return this.subtract(this.div(other).multiply(other));
};


/** @return {!goog.math.Long} The bitwise-NOT of this value. */
goog.math.Long.prototype.not = function() {
  return goog.math.Long.fromBits(~this.low_, ~this.high_);
};


/**
 * Returns the bitwise-AND of this Long and the given one.
 * @param {goog.math.Long} other The Long with which to AND.
 * @return {!goog.math.Long} The bitwise-AND of this and the other.
 */
goog.math.Long.prototype.and = function(other) {
  return goog.math.Long.fromBits(this.low_ & other.low_,
                                 this.high_ & other.high_);
};


/**
 * Returns the bitwise-OR of this Long and the given one.
 * @param {goog.math.Long} other The Long with which to OR.
 * @return {!goog.math.Long} The bitwise-OR of this and the other.
 */
goog.math.Long.prototype.or = function(other) {
  return goog.math.Long.fromBits(this.low_ | other.low_,
                                 this.high_ | other.high_);
};


/**
 * Returns the bitwise-XOR of this Long and the given one.
 * @param {goog.math.Long} other The Long with which to XOR.
 * @return {!goog.math.Long} The bitwise-XOR of this and the other.
 */
goog.math.Long.prototype.xor = function(other) {
  return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                 this.high_ ^ other.high_);
};


/**
 * Returns this Long with bits shifted to the left by the given amount.
 * @param {number} numBits The number of bits by which to shift.
 * @return {!goog.math.Long} This shifted to the left by the given amount.
 */
goog.math.Long.prototype.shiftLeft = function(numBits) {
  numBits &= 63;
  if (numBits == 0) {
    return this;
  } else {
    var low = this.low_;
    if (numBits < 32) {
      var high = this.high_;
      return goog.math.Long.fromBits(
          low << numBits,
          (high << numBits) | (low >>> (32 - numBits)));
    } else {
      return goog.math.Long.fromBits(0, low << (numBits - 32));
    }
  }
};


/**
 * Returns this Long with bits shifted to the right by the given amount.
 * @param {number} numBits The number of bits by which to shift.
 * @return {!goog.math.Long} This shifted to the right by the given amount.
 */
goog.math.Long.prototype.shiftRight = function(numBits) {
  numBits &= 63;
  if (numBits == 0) {
    return this;
  } else {
    var high = this.high_;
    if (numBits < 32) {
      var low = this.low_;
      return goog.math.Long.fromBits(
          (low >>> numBits) | (high << (32 - numBits)),
          high >> numBits);
    } else {
      return goog.math.Long.fromBits(
          high >> (numBits - 32),
          high >= 0 ? 0 : -1);
    }
  }
};


/**
 * Returns this Long with bits shifted to the right by the given amount, with
 * the new top bits matching the current sign bit.
 * @param {number} numBits The number of bits by which to shift.
 * @return {!goog.math.Long} This shifted to the right by the given amount, with
 *     zeros placed into the new leading bits.
 */
goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
  numBits &= 63;
  if (numBits == 0) {
    return this;
  } else {
    var high = this.high_;
    if (numBits < 32) {
      var low = this.low_;
      return goog.math.Long.fromBits(
          (low >>> numBits) | (high << (32 - numBits)),
          high >>> numBits);
    } else if (numBits == 32) {
      return goog.math.Long.fromBits(high, 0);
    } else {
      return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
    }
  }
};

//======= begin jsbn =======

var navigator = { appName: 'Modern Browser' }; // polyfill a little

// Copyright (c) 2005  Tom Wu
// All Rights Reserved.
// http://www-cs-students.stanford.edu/~tjw/jsbn/

/*
 * Copyright (c) 2003-2005  Tom Wu
 * All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
 *
 * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
 * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
 * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * In addition, the following condition applies:
 *
 * All redistributions must retain an intact copy of this copyright notice
 * and disclaimer.
 */

// Basic JavaScript BN library - subset useful for RSA encryption.

// Bits per digit
var dbits;

// JavaScript engine analysis
var canary = 0xdeadbeefcafe;
var j_lm = ((canary&0xffffff)==0xefcafe);

// (public) Constructor
function BigInteger(a,b,c) {
  if(a != null)
    if("number" == typeof a) this.fromNumber(a,b,c);
    else if(b == null && "string" != typeof a) this.fromString(a,256);
    else this.fromString(a,b);
}

// return new, unset BigInteger
function nbi() { return new BigInteger(null); }

// am: Compute w_j += (x*this_i), propagate carries,
// c is initial carry, returns final carry.
// c < 3*dvalue, x < 2*dvalue, this_i < dvalue
// We need to select the fastest one that works in this environment.

// am1: use a single mult and divide to get the high bits,
// max digit bits should be 26 because
// max internal value = 2*dvalue^2-2*dvalue (< 2^53)
function am1(i,x,w,j,c,n) {
  while(--n >= 0) {
    var v = x*this[i++]+w[j]+c;
    c = Math.floor(v/0x4000000);
    w[j++] = v&0x3ffffff;
  }
  return c;
}
// am2 avoids a big mult-and-extract completely.
// Max digit bits should be <= 30 because we do bitwise ops
// on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
function am2(i,x,w,j,c,n) {
  var xl = x&0x7fff, xh = x>>15;
  while(--n >= 0) {
    var l = this[i]&0x7fff;
    var h = this[i++]>>15;
    var m = xh*l+h*xl;
    l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
    c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
    w[j++] = l&0x3fffffff;
  }
  return c;
}
// Alternately, set max digit bits to 28 since some
// browsers slow down when dealing with 32-bit numbers.
function am3(i,x,w,j,c,n) {
  var xl = x&0x3fff, xh = x>>14;
  while(--n >= 0) {
    var l = this[i]&0x3fff;
    var h = this[i++]>>14;
    var m = xh*l+h*xl;
    l = xl*l+((m&0x3fff)<<14)+w[j]+c;
    c = (l>>28)+(m>>14)+xh*h;
    w[j++] = l&0xfffffff;
  }
  return c;
}
if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
  BigInteger.prototype.am = am2;
  dbits = 30;
}
else if(j_lm && (navigator.appName != "Netscape")) {
  BigInteger.prototype.am = am1;
  dbits = 26;
}
else { // Mozilla/Netscape seems to prefer am3
  BigInteger.prototype.am = am3;
  dbits = 28;
}

BigInteger.prototype.DB = dbits;
BigInteger.prototype.DM = ((1<<dbits)-1);
BigInteger.prototype.DV = (1<<dbits);

var BI_FP = 52;
BigInteger.prototype.FV = Math.pow(2,BI_FP);
BigInteger.prototype.F1 = BI_FP-dbits;
BigInteger.prototype.F2 = 2*dbits-BI_FP;

// Digit conversions
var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
var BI_RC = new Array();
var rr,vv;
rr = "0".charCodeAt(0);
for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
rr = "a".charCodeAt(0);
for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
rr = "A".charCodeAt(0);
for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

function int2char(n) { return BI_RM.charAt(n); }
function intAt(s,i) {
  var c = BI_RC[s.charCodeAt(i)];
  return (c==null)?-1:c;
}

// (protected) copy this to r
function bnpCopyTo(r) {
  for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
  r.t = this.t;
  r.s = this.s;
}

// (protected) set from integer value x, -DV <= x < DV
function bnpFromInt(x) {
  this.t = 1;
  this.s = (x<0)?-1:0;
  if(x > 0) this[0] = x;
  else if(x < -1) this[0] = x+DV;
  else this.t = 0;
}

// return bigint initialized to value
function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

// (protected) set from string and radix
function bnpFromString(s,b) {
  var k;
  if(b == 16) k = 4;
  else if(b == 8) k = 3;
  else if(b == 256) k = 8; // byte array
  else if(b == 2) k = 1;
  else if(b == 32) k = 5;
  else if(b == 4) k = 2;
  else { this.fromRadix(s,b); return; }
  this.t = 0;
  this.s = 0;
  var i = s.length, mi = false, sh = 0;
  while(--i >= 0) {
    var x = (k==8)?s[i]&0xff:intAt(s,i);
    if(x < 0) {
      if(s.charAt(i) == "-") mi = true;
      continue;
    }
    mi = false;
    if(sh == 0)
      this[this.t++] = x;
    else if(sh+k > this.DB) {
      this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
      this[this.t++] = (x>>(this.DB-sh));
    }
    else
      this[this.t-1] |= x<<sh;
    sh += k;
    if(sh >= this.DB) sh -= this.DB;
  }
  if(k == 8 && (s[0]&0x80) != 0) {
    this.s = -1;
    if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
  }
  this.clamp();
  if(mi) BigInteger.ZERO.subTo(this,this);
}

// (protected) clamp off excess high words
function bnpClamp() {
  var c = this.s&this.DM;
  while(this.t > 0 && this[this.t-1] == c) --this.t;
}

// (public) return string representation in given radix
function bnToString(b) {
  if(this.s < 0) return "-"+this.negate().toString(b);
  var k;
  if(b == 16) k = 4;
  else if(b == 8) k = 3;
  else if(b == 2) k = 1;
  else if(b == 32) k = 5;
  else if(b == 4) k = 2;
  else return this.toRadix(b);
  var km = (1<<k)-1, d, m = false, r = "", i = this.t;
  var p = this.DB-(i*this.DB)%k;
  if(i-- > 0) {
    if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
    while(i >= 0) {
      if(p < k) {
        d = (this[i]&((1<<p)-1))<<(k-p);
        d |= this[--i]>>(p+=this.DB-k);
      }
      else {
        d = (this[i]>>(p-=k))&km;
        if(p <= 0) { p += this.DB; --i; }
      }
      if(d > 0) m = true;
      if(m) r += int2char(d);
    }
  }
  return m?r:"0";
}

// (public) -this
function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

// (public) |this|
function bnAbs() { return (this.s<0)?this.negate():this; }

// (public) return + if this > a, - if this < a, 0 if equal
function bnCompareTo(a) {
  var r = this.s-a.s;
  if(r != 0) return r;
  var i = this.t;
  r = i-a.t;
  if(r != 0) return r;
  while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
  return 0;
}

// returns bit length of the integer x
function nbits(x) {
  var r = 1, t;
  if((t=x>>>16) != 0) { x = t; r += 16; }
  if((t=x>>8) != 0) { x = t; r += 8; }
  if((t=x>>4) != 0) { x = t; r += 4; }
  if((t=x>>2) != 0) { x = t; r += 2; }
  if((t=x>>1) != 0) { x = t; r += 1; }
  return r;
}

// (public) return the number of bits in "this"
function bnBitLength() {
  if(this.t <= 0) return 0;
  return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
}

// (protected) r = this << n*DB
function bnpDLShiftTo(n,r) {
  var i;
  for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
  for(i = n-1; i >= 0; --i) r[i] = 0;
  r.t = this.t+n;
  r.s = this.s;
}

// (protected) r = this >> n*DB
function bnpDRShiftTo(n,r) {
  for(var i = n; i < this.t; ++i) r[i-n] = this[i];
  r.t = Math.max(this.t-n,0);
  r.s = this.s;
}

// (protected) r = this << n
function bnpLShiftTo(n,r) {
  var bs = n%this.DB;
  var cbs = this.DB-bs;
  var bm = (1<<cbs)-1;
  var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
  for(i = this.t-1; i >= 0; --i) {
    r[i+ds+1] = (this[i]>>cbs)|c;
    c = (this[i]&bm)<<bs;
  }
  for(i = ds-1; i >= 0; --i) r[i] = 0;
  r[ds] = c;
  r.t = this.t+ds+1;
  r.s = this.s;
  r.clamp();
}

// (protected) r = this >> n
function bnpRShiftTo(n,r) {
  r.s = this.s;
  var ds = Math.floor(n/this.DB);
  if(ds >= this.t) { r.t = 0; return; }
  var bs = n%this.DB;
  var cbs = this.DB-bs;
  var bm = (1<<bs)-1;
  r[0] = this[ds]>>bs;
  for(var i = ds+1; i < this.t; ++i) {
    r[i-ds-1] |= (this[i]&bm)<<cbs;
    r[i-ds] = this[i]>>bs;
  }
  if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
  r.t = this.t-ds;
  r.clamp();
}

// (protected) r = this - a
function bnpSubTo(a,r) {
  var i = 0, c = 0, m = Math.min(a.t,this.t);
  while(i < m) {
    c += this[i]-a[i];
    r[i++] = c&this.DM;
    c >>= this.DB;
  }
  if(a.t < this.t) {
    c -= a.s;
    while(i < this.t) {
      c += this[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    c += this.s;
  }
  else {
    c += this.s;
    while(i < a.t) {
      c -= a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    c -= a.s;
  }
  r.s = (c<0)?-1:0;
  if(c < -1) r[i++] = this.DV+c;
  else if(c > 0) r[i++] = c;
  r.t = i;
  r.clamp();
}

// (protected) r = this * a, r != this,a (HAC 14.12)
// "this" should be the larger one if appropriate.
function bnpMultiplyTo(a,r) {
  var x = this.abs(), y = a.abs();
  var i = x.t;
  r.t = i+y.t;
  while(--i >= 0) r[i] = 0;
  for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
  r.s = 0;
  r.clamp();
  if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
}

// (protected) r = this^2, r != this (HAC 14.16)
function bnpSquareTo(r) {
  var x = this.abs();
  var i = r.t = 2*x.t;
  while(--i >= 0) r[i] = 0;
  for(i = 0; i < x.t-1; ++i) {
    var c = x.am(i,x[i],r,2*i,0,1);
    if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
      r[i+x.t] -= x.DV;
      r[i+x.t+1] = 1;
    }
  }
  if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
  r.s = 0;
  r.clamp();
}

// (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
// r != q, this != m.  q or r may be null.
function bnpDivRemTo(m,q,r) {
  var pm = m.abs();
  if(pm.t <= 0) return;
  var pt = this.abs();
  if(pt.t < pm.t) {
    if(q != null) q.fromInt(0);
    if(r != null) this.copyTo(r);
    return;
  }
  if(r == null) r = nbi();
  var y = nbi(), ts = this.s, ms = m.s;
  var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
  if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
  else { pm.copyTo(y); pt.copyTo(r); }
  var ys = y.t;
  var y0 = y[ys-1];
  if(y0 == 0) return;
  var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
  var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
  var i = r.t, j = i-ys, t = (q==null)?nbi():q;
  y.dlShiftTo(j,t);
  if(r.compareTo(t) >= 0) {
    r[r.t++] = 1;
    r.subTo(t,r);
  }
  BigInteger.ONE.dlShiftTo(ys,t);
  t.subTo(y,y);	// "negative" y so we can replace sub with am later
  while(y.t < ys) y[y.t++] = 0;
  while(--j >= 0) {
    // Estimate quotient digit
    var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
    if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
      y.dlShiftTo(j,t);
      r.subTo(t,r);
      while(r[i] < --qd) r.subTo(t,r);
    }
  }
  if(q != null) {
    r.drShiftTo(ys,q);
    if(ts != ms) BigInteger.ZERO.subTo(q,q);
  }
  r.t = ys;
  r.clamp();
  if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
  if(ts < 0) BigInteger.ZERO.subTo(r,r);
}

// (public) this mod a
function bnMod(a) {
  var r = nbi();
  this.abs().divRemTo(a,null,r);
  if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
  return r;
}

// Modular reduction using "classic" algorithm
function Classic(m) { this.m = m; }
function cConvert(x) {
  if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
  else return x;
}
function cRevert(x) { return x; }
function cReduce(x) { x.divRemTo(this.m,null,x); }
function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

Classic.prototype.convert = cConvert;
Classic.prototype.revert = cRevert;
Classic.prototype.reduce = cReduce;
Classic.prototype.mulTo = cMulTo;
Classic.prototype.sqrTo = cSqrTo;

// (protected) return "-1/this % 2^DB"; useful for Mont. reduction
// justification:
//         xy == 1 (mod m)
//         xy =  1+km
//   xy(2-xy) = (1+km)(1-km)
// x[y(2-xy)] = 1-k^2m^2
// x[y(2-xy)] == 1 (mod m^2)
// if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
// should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
// JS multiply "overflows" differently from C/C++, so care is needed here.
function bnpInvDigit() {
  if(this.t < 1) return 0;
  var x = this[0];
  if((x&1) == 0) return 0;
  var y = x&3;		// y == 1/x mod 2^2
  y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
  y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
  y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
  // last step - calculate inverse mod DV directly;
  // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
  y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
  // we really want the negative inverse, and -DV < y < DV
  return (y>0)?this.DV-y:-y;
}

// Montgomery reduction
function Montgomery(m) {
  this.m = m;
  this.mp = m.invDigit();
  this.mpl = this.mp&0x7fff;
  this.mph = this.mp>>15;
  this.um = (1<<(m.DB-15))-1;
  this.mt2 = 2*m.t;
}

// xR mod m
function montConvert(x) {
  var r = nbi();
  x.abs().dlShiftTo(this.m.t,r);
  r.divRemTo(this.m,null,r);
  if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
  return r;
}

// x/R mod m
function montRevert(x) {
  var r = nbi();
  x.copyTo(r);
  this.reduce(r);
  return r;
}

// x = x/R mod m (HAC 14.32)
function montReduce(x) {
  while(x.t <= this.mt2)	// pad x so am has enough room later
    x[x.t++] = 0;
  for(var i = 0; i < this.m.t; ++i) {
    // faster way of calculating u0 = x[i]*mp mod DV
    var j = x[i]&0x7fff;
    var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
    // use am to combine the multiply-shift-add into one call
    j = i+this.m.t;
    x[j] += this.m.am(0,u0,x,i,0,this.m.t);
    // propagate carry
    while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
  }
  x.clamp();
  x.drShiftTo(this.m.t,x);
  if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
}

// r = "x^2/R mod m"; x != r
function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

// r = "xy/R mod m"; x,y != r
function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

Montgomery.prototype.convert = montConvert;
Montgomery.prototype.revert = montRevert;
Montgomery.prototype.reduce = montReduce;
Montgomery.prototype.mulTo = montMulTo;
Montgomery.prototype.sqrTo = montSqrTo;

// (protected) true iff this is even
function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

// (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
function bnpExp(e,z) {
  if(e > 0xffffffff || e < 1) return BigInteger.ONE;
  var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
  g.copyTo(r);
  while(--i >= 0) {
    z.sqrTo(r,r2);
    if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
    else { var t = r; r = r2; r2 = t; }
  }
  return z.revert(r);
}

// (public) this^e % m, 0 <= e < 2^32
function bnModPowInt(e,m) {
  var z;
  if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
  return this.exp(e,z);
}

// protected
BigInteger.prototype.copyTo = bnpCopyTo;
BigInteger.prototype.fromInt = bnpFromInt;
BigInteger.prototype.fromString = bnpFromString;
BigInteger.prototype.clamp = bnpClamp;
BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
BigInteger.prototype.drShiftTo = bnpDRShiftTo;
BigInteger.prototype.lShiftTo = bnpLShiftTo;
BigInteger.prototype.rShiftTo = bnpRShiftTo;
BigInteger.prototype.subTo = bnpSubTo;
BigInteger.prototype.multiplyTo = bnpMultiplyTo;
BigInteger.prototype.squareTo = bnpSquareTo;
BigInteger.prototype.divRemTo = bnpDivRemTo;
BigInteger.prototype.invDigit = bnpInvDigit;
BigInteger.prototype.isEven = bnpIsEven;
BigInteger.prototype.exp = bnpExp;

// public
BigInteger.prototype.toString = bnToString;
BigInteger.prototype.negate = bnNegate;
BigInteger.prototype.abs = bnAbs;
BigInteger.prototype.compareTo = bnCompareTo;
BigInteger.prototype.bitLength = bnBitLength;
BigInteger.prototype.mod = bnMod;
BigInteger.prototype.modPowInt = bnModPowInt;

// "constants"
BigInteger.ZERO = nbv(0);
BigInteger.ONE = nbv(1);

// jsbn2 stuff

// (protected) convert from radix string
function bnpFromRadix(s,b) {
  this.fromInt(0);
  if(b == null) b = 10;
  var cs = this.chunkSize(b);
  var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
  for(var i = 0; i < s.length; ++i) {
    var x = intAt(s,i);
    if(x < 0) {
      if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
      continue;
    }
    w = b*w+x;
    if(++j >= cs) {
      this.dMultiply(d);
      this.dAddOffset(w,0);
      j = 0;
      w = 0;
    }
  }
  if(j > 0) {
    this.dMultiply(Math.pow(b,j));
    this.dAddOffset(w,0);
  }
  if(mi) BigInteger.ZERO.subTo(this,this);
}

// (protected) return x s.t. r^x < DV
function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

// (public) 0 if this == 0, 1 if this > 0
function bnSigNum() {
  if(this.s < 0) return -1;
  else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
  else return 1;
}

// (protected) this *= n, this >= 0, 1 < n < DV
function bnpDMultiply(n) {
  this[this.t] = this.am(0,n-1,this,0,0,this.t);
  ++this.t;
  this.clamp();
}

// (protected) this += n << w words, this >= 0
function bnpDAddOffset(n,w) {
  if(n == 0) return;
  while(this.t <= w) this[this.t++] = 0;
  this[w] += n;
  while(this[w] >= this.DV) {
    this[w] -= this.DV;
    if(++w >= this.t) this[this.t++] = 0;
    ++this[w];
  }
}

// (protected) convert to radix string
function bnpToRadix(b) {
  if(b == null) b = 10;
  if(this.signum() == 0 || b < 2 || b > 36) return "0";
  var cs = this.chunkSize(b);
  var a = Math.pow(b,cs);
  var d = nbv(a), y = nbi(), z = nbi(), r = "";
  this.divRemTo(d,y,z);
  while(y.signum() > 0) {
    r = (a+z.intValue()).toString(b).substr(1) + r;
    y.divRemTo(d,y,z);
  }
  return z.intValue().toString(b) + r;
}

// (public) return value as integer
function bnIntValue() {
  if(this.s < 0) {
    if(this.t == 1) return this[0]-this.DV;
    else if(this.t == 0) return -1;
  }
  else if(this.t == 1) return this[0];
  else if(this.t == 0) return 0;
  // assumes 16 < DB < 32
  return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
}

// (protected) r = this + a
function bnpAddTo(a,r) {
  var i = 0, c = 0, m = Math.min(a.t,this.t);
  while(i < m) {
    c += this[i]+a[i];
    r[i++] = c&this.DM;
    c >>= this.DB;
  }
  if(a.t < this.t) {
    c += a.s;
    while(i < this.t) {
      c += this[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    c += this.s;
  }
  else {
    c += this.s;
    while(i < a.t) {
      c += a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    c += a.s;
  }
  r.s = (c<0)?-1:0;
  if(c > 0) r[i++] = c;
  else if(c < -1) r[i++] = this.DV+c;
  r.t = i;
  r.clamp();
}

BigInteger.prototype.fromRadix = bnpFromRadix;
BigInteger.prototype.chunkSize = bnpChunkSize;
BigInteger.prototype.signum = bnSigNum;
BigInteger.prototype.dMultiply = bnpDMultiply;
BigInteger.prototype.dAddOffset = bnpDAddOffset;
BigInteger.prototype.toRadix = bnpToRadix;
BigInteger.prototype.intValue = bnIntValue;
BigInteger.prototype.addTo = bnpAddTo;

//======= end jsbn =======

// Emscripten wrapper
var Wrapper = {
  result: [0, 0], // return result stored here
  add: function(xl, xh, yl, yh) {
    var x = new goog.math.Long(xl, xh);
    var y = new goog.math.Long(yl, yh);
    var ret = x.add(y);
    Wrapper.result[0] = ret.low_;
    Wrapper.result[1] = ret.high_;
  },
  subtract: function(xl, xh, yl, yh) {
    var x = new goog.math.Long(xl, xh);
    var y = new goog.math.Long(yl, yh);
    var ret = x.subtract(y);
    Wrapper.result[0] = ret.low_;
    Wrapper.result[1] = ret.high_;
  },
  multiply: function(xl, xh, yl, yh) {
    var x = new goog.math.Long(xl, xh);
    var y = new goog.math.Long(yl, yh);
    var ret = x.multiply(y);
    Wrapper.result[0] = ret.low_;
    Wrapper.result[1] = ret.high_;
  },
  makeTwo32: function() {
    Wrapper.two32 = new BigInteger();
    Wrapper.two32.fromString('4294967296', 10);
  },
  lh2bignum: function(l, h) {
    var a = new BigInteger();
    a.fromString(h.toString(), 10);
    var b = new BigInteger();
    a.multiplyTo(Wrapper.two32, b);
    var c = new BigInteger();
    c.fromString(l.toString(), 10);
    var d = new BigInteger();
    c.addTo(b, d);
    return d;
  },
  divide: function(xl, xh, yl, yh, unsigned) {
    if (!Wrapper.two32) Wrapper.makeTwo32();
    if (!unsigned) {
      var x = new goog.math.Long(xl, xh);
      var y = new goog.math.Long(yl, yh);
      var ret = x.div(y);
      Wrapper.result[0] = ret.low_;
      Wrapper.result[1] = ret.high_;
    } else {
      // slow precise bignum division
      var x = Wrapper.lh2bignum(xl >>> 0, xh >>> 0);
      var y = Wrapper.lh2bignum(yl >>> 0, yh >>> 0);
      var z = new BigInteger();
      x.divRemTo(y, z, null);
      var l = new BigInteger();
      var h = new BigInteger();
      z.divRemTo(Wrapper.two32, h, l);
      Wrapper.result[0] = parseInt(l.toString()) | 0;
      Wrapper.result[1] = parseInt(h.toString()) | 0;
    }
  },
  modulo: function(xl, xh, yl, yh, unsigned) {
    if (!Wrapper.two32) Wrapper.makeTwo32();
    if (!unsigned) {
      var x = new goog.math.Long(xl, xh);
      var y = new goog.math.Long(yl, yh);
      var ret = x.modulo(y);
      Wrapper.result[0] = ret.low_;
      Wrapper.result[1] = ret.high_;
    } else {
      // slow precise bignum division
      var x = Wrapper.lh2bignum(xl >>> 0, xh >>> 0);
      var y = Wrapper.lh2bignum(yl >>> 0, yh >>> 0);
      var z = new BigInteger();
      x.divRemTo(y, null, z);
      var l = new BigInteger();
      var h = new BigInteger();
      z.divRemTo(Wrapper.two32, h, l);
      Wrapper.result[0] = parseInt(l.toString()) | 0;
      Wrapper.result[1] = parseInt(h.toString()) | 0;
    }
  },
  stringify: function(l, h, unsigned) {
    var ret = new goog.math.Long(l, h).toString();
    if (unsigned && ret[0] == '-') {
      // unsign slowly using jsbn bignums
      if (!Wrapper.two64) {
        Wrapper.two64 = new BigInteger();
        Wrapper.two64.fromString('18446744073709551616', 10);
      }
      var bignum = new BigInteger();
      bignum.fromString(ret, 10);
      ret = new BigInteger();
      Wrapper.two64.addTo(bignum, ret);
      ret = ret.toString(10);
    }
    return ret;
  }
};
return Wrapper;
})();

//======= end closure i64 code =======


var _llvm_dbg_declare; // stub for _llvm_dbg_declare

  
  function _memcpy(dest, src, num, align) {
      assert(num % 1 === 0, 'memcpy given ' + num + ' bytes to copy. Problem with quantum=1 corrections perhaps?');
      if (num >= 20 && src % 2 == dest % 2) {
        // This is unaligned, but quite large, and potentially alignable, so work hard to get to aligned settings
        if (src % 4 == dest % 4) {
          var stop = src + num;
          while (src % 4) { // no need to check for stop, since we have large num
            HEAP8[dest++] = HEAP8[src++];
          }
          var src4 = src >> 2, dest4 = dest >> 2, stop4 = stop >> 2;
          while (src4 < stop4) {
            HEAP32[dest4++] = HEAP32[src4++];
          }
          src = src4 << 2;
          dest = dest4 << 2;
          while (src < stop) {
            HEAP8[dest++] = HEAP8[src++];
          }
        } else {
          var stop = src + num;
          if (src % 2) { // no need to check for stop, since we have large num
            HEAP8[dest++] = HEAP8[src++];
          }
          var src2 = src >> 1, dest2 = dest >> 1, stop2 = stop >> 1;
          while (src2 < stop2) {
            HEAP16[dest2++] = HEAP16[src2++];
          }
          src = src2 << 1;
          dest = dest2 << 1;
          if (src < stop) {
            HEAP8[dest++] = HEAP8[src++];
          }
        }
      } else {
        while (num--) {
          HEAP8[dest++] = HEAP8[src++];
        }
      }
    }var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  function _strlen(ptr) {
      return String_len(ptr);
    }

  function _free(){}
  Module["_free"] = _free;

  function _malloc(bytes) {
      /* Over-allocate to make sure it is byte-aligned by 8.
       * This will leak memory, but this is only the dummy
       * implementation (replaced by dlmalloc normally) so
       * not an issue.
       */
      ptr = Runtime.staticAlloc(bytes + 8);
      return (ptr+8) & 0xFFFFFFF8;
    }
  Module["_malloc"] = _malloc;

  function _realloc(ptr, size) {
      // Very simple, inefficient implementation - if you use a real malloc, best to use
      // a real realloc with it
      if (!size) {
        if (ptr) _free(ptr);
        return 0;
      }
      var ret = _malloc(size);
      if (ptr) {
        _memcpy(ret, ptr, size); // might be some invalid reads
        _free(ptr);
      }
      return ret;
    }

  function _llvm_ctlz_i32(x) {
      for (var i=0; i<32; i++) {
          if ( (x & (1 << (31-i))) != 0 ) {
              return i;
          }
      }
      return 32;
    }

  
  function _memset(ptr, value, num, align) {
      // TODO: make these settings, and in memcpy, {{'s
      if (num >= 20) {
        // This is unaligned, but quite large, so work hard to get to aligned settings
        var stop = ptr + num;
        while (ptr % 4) { // no need to check for stop, since we have large num
          HEAP8[ptr++] = value;
        }
        if (value < 0) value += 256; // make it unsigned
        var ptr4 = ptr >> 2, stop4 = stop >> 2, value4 = value | (value << 8) | (value << 16) | (value << 24);
        while (ptr4 < stop4) {
          HEAP32[ptr4++] = value4;
        }
        ptr = ptr4 << 2;
        while (ptr < stop) {
          HEAP8[ptr++] = value;
        }
      } else {
        while (num--) {
          HEAP8[ptr++] = value;
        }
      }
    }var _llvm_memset_p0i8_i32=_memset;

  function _calloc(n, s) {
      var ret = _malloc(n*s);
      _memset(ret, 0, n*s);
      return ret;
    }

  function ___cxa_pure_virtual() {
      ABORT = true;
      throw 'Pure virtual function called!';
    }

  
  
  var ERRNO_CODES={E2BIG:7,EACCES:13,EADDRINUSE:98,EADDRNOTAVAIL:99,EAFNOSUPPORT:97,EAGAIN:11,EALREADY:114,EBADF:9,EBADMSG:74,EBUSY:16,ECANCELED:125,ECHILD:10,ECONNABORTED:103,ECONNREFUSED:111,ECONNRESET:104,EDEADLK:35,EDESTADDRREQ:89,EDOM:33,EDQUOT:122,EEXIST:17,EFAULT:14,EFBIG:27,EHOSTUNREACH:113,EIDRM:43,EILSEQ:84,EINPROGRESS:115,EINTR:4,EINVAL:22,EIO:5,EISCONN:106,EISDIR:21,ELOOP:40,EMFILE:24,EMLINK:31,EMSGSIZE:90,EMULTIHOP:72,ENAMETOOLONG:36,ENETDOWN:100,ENETRESET:102,ENETUNREACH:101,ENFILE:23,ENOBUFS:105,ENODATA:61,ENODEV:19,ENOENT:2,ENOEXEC:8,ENOLCK:37,ENOLINK:67,ENOMEM:12,ENOMSG:42,ENOPROTOOPT:92,ENOSPC:28,ENOSR:63,ENOSTR:60,ENOSYS:38,ENOTCONN:107,ENOTDIR:20,ENOTEMPTY:39,ENOTRECOVERABLE:131,ENOTSOCK:88,ENOTSUP:95,ENOTTY:25,ENXIO:6,EOVERFLOW:75,EOWNERDEAD:130,EPERM:1,EPIPE:32,EPROTO:71,EPROTONOSUPPORT:93,EPROTOTYPE:91,ERANGE:34,EROFS:30,ESPIPE:29,ESRCH:3,ESTALE:116,ETIME:62,ETIMEDOUT:110,ETXTBSY:26,EWOULDBLOCK:11,EXDEV:18};
  
  function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      if (!___setErrNo.ret) ___setErrNo.ret = allocate([0], 'i32', ALLOC_STATIC);
      HEAP32[((___setErrNo.ret)>>2)]=value
      return value;
    }
  
  var _stdin=0;
  
  var _stdout=0;
  
  var _stderr=0;
  
  var __impure_ptr=0;var FS={currentPath:"/",nextInode:2,streams:[null],ignorePermissions:true,absolutePath:function (relative, base) {
        if (typeof relative !== 'string') return null;
        if (base === undefined) base = FS.currentPath;
        if (relative && relative[0] == '/') base = '';
        var full = base + '/' + relative;
        var parts = full.split('/').reverse();
        var absolute = [''];
        while (parts.length) {
          var part = parts.pop();
          if (part == '' || part == '.') {
            // Nothing.
          } else if (part == '..') {
            if (absolute.length > 1) absolute.pop();
          } else {
            absolute.push(part);
          }
        }
        return absolute.length == 1 ? '/' : absolute.join('/');
      },analyzePath:function (path, dontResolveLastLink, linksVisited) {
        var ret = {
          isRoot: false,
          exists: false,
          error: 0,
          name: null,
          path: null,
          object: null,
          parentExists: false,
          parentPath: null,
          parentObject: null
        };
        path = FS.absolutePath(path);
        if (path == '/') {
          ret.isRoot = true;
          ret.exists = ret.parentExists = true;
          ret.name = '/';
          ret.path = ret.parentPath = '/';
          ret.object = ret.parentObject = FS.root;
        } else if (path !== null) {
          linksVisited = linksVisited || 0;
          path = path.slice(1).split('/');
          var current = FS.root;
          var traversed = [''];
          while (path.length) {
            if (path.length == 1 && current.isFolder) {
              ret.parentExists = true;
              ret.parentPath = traversed.length == 1 ? '/' : traversed.join('/');
              ret.parentObject = current;
              ret.name = path[0];
            }
            var target = path.shift();
            if (!current.isFolder) {
              ret.error = ERRNO_CODES.ENOTDIR;
              break;
            } else if (!current.read) {
              ret.error = ERRNO_CODES.EACCES;
              break;
            } else if (!current.contents.hasOwnProperty(target)) {
              ret.error = ERRNO_CODES.ENOENT;
              break;
            }
            current = current.contents[target];
            if (current.link && !(dontResolveLastLink && path.length == 0)) {
              if (linksVisited > 40) { // Usual Linux SYMLOOP_MAX.
                ret.error = ERRNO_CODES.ELOOP;
                break;
              }
              var link = FS.absolutePath(current.link, traversed.join('/'));
              ret = FS.analyzePath([link].concat(path).join('/'),
                                   dontResolveLastLink, linksVisited + 1);
              return ret;
            }
            traversed.push(target);
            if (path.length == 0) {
              ret.exists = true;
              ret.path = traversed.join('/');
              ret.object = current;
            }
          }
        }
        return ret;
      },findObject:function (path, dontResolveLastLink) {
        FS.ensureRoot();
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },createObject:function (parent, name, properties, canRead, canWrite) {
        if (!parent) parent = '/';
        if (typeof parent === 'string') parent = FS.findObject(parent);
  
        if (!parent) {
          ___setErrNo(ERRNO_CODES.EACCES);
          throw new Error('Parent path must exist.');
        }
        if (!parent.isFolder) {
          ___setErrNo(ERRNO_CODES.ENOTDIR);
          throw new Error('Parent must be a folder.');
        }
        if (!parent.write && !FS.ignorePermissions) {
          ___setErrNo(ERRNO_CODES.EACCES);
          throw new Error('Parent folder must be writeable.');
        }
        if (!name || name == '.' || name == '..') {
          ___setErrNo(ERRNO_CODES.ENOENT);
          throw new Error('Name must not be empty.');
        }
        if (parent.contents.hasOwnProperty(name)) {
          ___setErrNo(ERRNO_CODES.EEXIST);
          throw new Error("Can't overwrite object.");
        }
  
        parent.contents[name] = {
          read: canRead === undefined ? true : canRead,
          write: canWrite === undefined ? false : canWrite,
          timestamp: Date.now(),
          inodeNumber: FS.nextInode++
        };
        for (var key in properties) {
          if (properties.hasOwnProperty(key)) {
            parent.contents[name][key] = properties[key];
          }
        }
  
        return parent.contents[name];
      },createFolder:function (parent, name, canRead, canWrite) {
        var properties = {isFolder: true, isDevice: false, contents: {}};
        return FS.createObject(parent, name, properties, canRead, canWrite);
      },createPath:function (parent, path, canRead, canWrite) {
        var current = FS.findObject(parent);
        if (current === null) throw new Error('Invalid parent.');
        path = path.split('/').reverse();
        while (path.length) {
          var part = path.pop();
          if (!part) continue;
          if (!current.contents.hasOwnProperty(part)) {
            FS.createFolder(current, part, canRead, canWrite);
          }
          current = current.contents[part];
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        properties.isFolder = false;
        return FS.createObject(parent, name, properties, canRead, canWrite);
      },createDataFile:function (parent, name, data, canRead, canWrite) {
        if (typeof data === 'string') {
          var dataArray = new Array(data.length);
          for (var i = 0, len = data.length; i < len; ++i) dataArray[i] = data.charCodeAt(i);
          data = dataArray;
        }
        var properties = {isDevice: false, contents: data};
        return FS.createFile(parent, name, properties, canRead, canWrite);
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        var properties = {isDevice: false, url: url};
        return FS.createFile(parent, name, properties, canRead, canWrite);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var properties = {isDevice: false, link: target};
        return FS.createFile(parent, name, properties, canRead, canWrite);
      },createDevice:function (parent, name, input, output) {
        if (!(input || output)) {
          throw new Error('A device must have at least one callback defined.');
        }
        var ops = {isDevice: true, input: input, output: output};
        return FS.createFile(parent, name, ops, Boolean(input), Boolean(output));
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          // Browser.
          assert('Cannot do synchronous binary XHRs in modern browsers. Use --embed-file or --preload-file in emcc');
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },ensureRoot:function () {
        if (FS.root) return;
        // The main file system tree. All the contents are inside this.
        FS.root = {
          read: true,
          write: true,
          isFolder: true,
          isDevice: false,
          timestamp: Date.now(),
          inodeNumber: 1,
          contents: {}
        };
      },init:function (input, output, error) {
        // Make sure we initialize only once.
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureRoot();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        input = input || Module['stdin'];
        output = output || Module['stdout'];
        error = error || Module['stderr'];
  
        // Default handlers.
        var stdinOverridden = true, stdoutOverridden = true, stderrOverridden = true;
        if (!input) {
          stdinOverridden = false;
          input = function() {
            if (!input.cache || !input.cache.length) {
              var result;
              if (typeof window != 'undefined' &&
                  typeof window.prompt == 'function') {
                // Browser.
                result = window.prompt('Input: ');
              } else if (typeof readline == 'function') {
                // Command line.
                result = readline();
              }
              if (!result) result = '';
              input.cache = intArrayFromString(result + '\n', true);
            }
            return input.cache.shift();
          };
        }
        function simpleOutput(val) {
          if (val === null || val === '\n'.charCodeAt(0)) {
            output.printer(output.buffer.join(''));
            output.buffer = [];
          } else {
            output.buffer.push(String.fromCharCode(val));
          }
        }
        if (!output) {
          stdoutOverridden = false;
          output = simpleOutput;
        }
        if (!output.printer) output.printer = Module['print'];
        if (!output.buffer) output.buffer = [];
        if (!error) {
          stderrOverridden = false;
          error = simpleOutput;
        }
        if (!error.printer) error.printer = Module['print'];
        if (!error.buffer) error.buffer = [];
  
        // Create the temporary folder.
        FS.createFolder('/', 'tmp', true, true);
  
        // Create the I/O devices.
        var devFolder = FS.createFolder('/', 'dev', true, true);
        var stdin = FS.createDevice(devFolder, 'stdin', input);
        var stdout = FS.createDevice(devFolder, 'stdout', null, output);
        var stderr = FS.createDevice(devFolder, 'stderr', null, error);
        FS.createDevice(devFolder, 'tty', input, output);
  
        // Create default streams.
        FS.streams[1] = {
          path: '/dev/stdin',
          object: stdin,
          position: 0,
          isRead: true,
          isWrite: false,
          isAppend: false,
          isTerminal: !stdinOverridden,
          error: false,
          eof: false,
          ungotten: []
        };
        FS.streams[2] = {
          path: '/dev/stdout',
          object: stdout,
          position: 0,
          isRead: false,
          isWrite: true,
          isAppend: false,
          isTerminal: !stdoutOverridden,
          error: false,
          eof: false,
          ungotten: []
        };
        FS.streams[3] = {
          path: '/dev/stderr',
          object: stderr,
          position: 0,
          isRead: false,
          isWrite: true,
          isAppend: false,
          isTerminal: !stderrOverridden,
          error: false,
          eof: false,
          ungotten: []
        };
        _stdin = allocate([1], 'void*', ALLOC_STATIC);
        _stdout = allocate([2], 'void*', ALLOC_STATIC);
        _stderr = allocate([3], 'void*', ALLOC_STATIC);
  
        // Other system paths
        FS.createPath('/', 'dev/shm/tmp', true, true); // temp files
  
        // Newlib initialization
        FS.streams[_stdin] = FS.streams[1];
        FS.streams[_stdout] = FS.streams[2];
        FS.streams[_stderr] = FS.streams[3];
        __impure_ptr = allocate([ allocate(
          [0, 0, 0, 0, _stdin, 0, 0, 0, _stdout, 0, 0, 0, _stderr, 0, 0, 0],
          'void*', ALLOC_STATIC) ], 'void*', ALLOC_STATIC);
      },quit:function () {
        if (!FS.init.initialized) return;
        // Flush any partially-printed lines in stdout and stderr. Careful, they may have been closed
        if (FS.streams[2] && FS.streams[2].object.output.buffer.length > 0) FS.streams[2].object.output('\n'.charCodeAt(0));
        if (FS.streams[3] && FS.streams[3].object.output.buffer.length > 0) FS.streams[3].object.output('\n'.charCodeAt(0));
      },standardizePath:function (path) {
        if (path.substr(0, 2) == './') path = path.substr(2);
        return path;
      },deleteFile:function (path) {
        var path = FS.analyzePath(path);
        if (!path.parentExists || !path.exists) {
          throw 'Invalid path ' + path;
        }
        delete path.parentObject.contents[path.name];
      }};function _mmap(start, num, prot, flags, stream, offset) {
      /* FIXME: Since mmap is normally implemented at the kernel level,
       * this implementation simply uses malloc underneath the call to
       * mmap.
       */
      if (stream == -1) {
        var ptr = _malloc(num);
        _memset(ptr, 0, num);
        return ptr;
      }
      var info = FS.streams[stream];
      if (!info) return -1;
      var contents = info.object.contents;
      contents = Array.prototype.slice.call(contents, offset, offset+num);
      return allocate(contents, 'i8', ALLOC_NORMAL);
    }

  function _munmap(start, num) {
      _free(start);
      return 0;
    }

  
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      var flush = function(filedes) {
        // Right now we write all data directly, except for output devices.
        if (filedes in FS.streams && FS.streams[filedes].object.output) {
          if (!FS.streams[filedes].isTerminal) { // don't flush terminals, it would cause a \n to also appear
            FS.streams[filedes].object.output(null);
          }
        }
      };
      try {
        if (stream === 0) {
          for (var i in FS.streams) flush(i);
        } else {
          flush(stream);
        }
        return 0;
      } catch (e) {
        ___setErrNo(ERRNO_CODES.EIO);
        return -1;
      }
    }

  
  
  
  
  
  
  
  
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.streams[fildes];
      if (!stream || stream.object.isDevice) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      } else if (!stream.isWrite) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      } else if (stream.object.isFolder) {
        ___setErrNo(ERRNO_CODES.EISDIR);
        return -1;
      } else if (nbyte < 0 || offset < 0) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      } else {
        var contents = stream.object.contents;
        while (contents.length < offset) contents.push(0);
        for (var i = 0; i < nbyte; i++) {
          contents[offset + i] = HEAPU8[(buf+i)];
        }
        stream.object.timestamp = Date.now();
        return i;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.streams[fildes];
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      } else if (!stream.isWrite) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      } else if (nbyte < 0) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      } else {
        if (stream.object.isDevice) {
          if (stream.object.output) {
            for (var i = 0; i < nbyte; i++) {
              try {
                stream.object.output(HEAP8[(buf+i)]);
              } catch (e) {
                ___setErrNo(ERRNO_CODES.EIO);
                return -1;
              }
            }
            stream.object.timestamp = Date.now();
            return i;
          } else {
            ___setErrNo(ERRNO_CODES.ENXIO);
            return -1;
          }
        } else {
          var bytesWritten = _pwrite(fildes, buf, nbyte, stream.position);
          if (bytesWritten != -1) stream.position += bytesWritten;
          return bytesWritten;
        }
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var bytesWritten = _write(stream, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        if (FS.streams[stream]) FS.streams[stream].error = true;
        return -1;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }
  
  function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = (tempDoubleI32[0]=HEAP32[((varargs+argIndex)>>2)],tempDoubleI32[1]=HEAP32[((varargs+argIndex+4)>>2)],tempDoubleF64[0]);
        } else if (type == 'i64') {
          ret = [HEAP32[((varargs+argIndex)>>2)],
                 HEAP32[((varargs+argIndex+4)>>2)]];
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[((varargs+argIndex)>>2)];
        }
        argIndex += Runtime.getNativeFieldSize(type);
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[(textIndex+1)];
        if (curr == '%'.charCodeAt(0)) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          flagsLoop: while (1) {
            switch (next) {
              case '+'.charCodeAt(0):
                flagAlwaysSigned = true;
                break;
              case '-'.charCodeAt(0):
                flagLeftAlign = true;
                break;
              case '#'.charCodeAt(0):
                flagAlternative = true;
                break;
              case '0'.charCodeAt(0):
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[(textIndex+1)];
          }
  
          // Handle width.
          var width = 0;
          if (next == '*'.charCodeAt(0)) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[(textIndex+1)];
          } else {
            while (next >= '0'.charCodeAt(0) && next <= '9'.charCodeAt(0)) {
              width = width * 10 + (next - '0'.charCodeAt(0));
              textIndex++;
              next = HEAP8[(textIndex+1)];
            }
          }
  
          // Handle precision.
          var precisionSet = false;
          if (next == '.'.charCodeAt(0)) {
            var precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[(textIndex+1)];
            if (next == '*'.charCodeAt(0)) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[(textIndex+1)];
                if (precisionChr < '0'.charCodeAt(0) ||
                    precisionChr > '9'.charCodeAt(0)) break;
                precision = precision * 10 + (precisionChr - '0'.charCodeAt(0));
                textIndex++;
              }
            }
            next = HEAP8[(textIndex+1)];
          } else {
            var precision = 6; // Standard default.
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[(textIndex+2)];
              if (nextNext == 'h'.charCodeAt(0)) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[(textIndex+2)];
              if (nextNext == 'l'.charCodeAt(0)) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[(textIndex+1)];
  
          // Handle type specifier.
          if (['d', 'i', 'u', 'o', 'x', 'X', 'p'].indexOf(String.fromCharCode(next)) != -1) {
            // Integer.
            var signed = next == 'd'.charCodeAt(0) || next == 'i'.charCodeAt(0);
            argSize = argSize || 4;
            var currArg = getNextArg('i' + (argSize * 8));
            var origArg = currArg;
            var argText;
            // Flatten i64-1 [low, high] into a (slightly rounded) double
            if (argSize == 8) {
              currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 'u'.charCodeAt(0));
            }
            // Truncate to requested size.
            if (argSize <= 4) {
              var limit = Math.pow(256, argSize) - 1;
              currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
            }
            // Format the number.
            var currAbsArg = Math.abs(currArg);
            var prefix = '';
            if (next == 'd'.charCodeAt(0) || next == 'i'.charCodeAt(0)) {
              if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1]); else
              argText = reSign(currArg, 8 * argSize, 1).toString(10);
            } else if (next == 'u'.charCodeAt(0)) {
              if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
              argText = unSign(currArg, 8 * argSize, 1).toString(10);
              currArg = Math.abs(currArg);
            } else if (next == 'o'.charCodeAt(0)) {
              argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
            } else if (next == 'x'.charCodeAt(0) || next == 'X'.charCodeAt(0)) {
              prefix = flagAlternative ? '0x' : '';
              if (currArg < 0) {
                // Represent negative numbers in hex as 2's complement.
                currArg = -currArg;
                argText = (currAbsArg - 1).toString(16);
                var buffer = [];
                for (var i = 0; i < argText.length; i++) {
                  buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                }
                argText = buffer.join('');
                while (argText.length < argSize * 2) argText = 'f' + argText;
              } else {
                argText = currAbsArg.toString(16);
              }
              if (next == 'X'.charCodeAt(0)) {
                prefix = prefix.toUpperCase();
                argText = argText.toUpperCase();
              }
            } else if (next == 'p'.charCodeAt(0)) {
              if (currAbsArg === 0) {
                argText = '(nil)';
              } else {
                prefix = '0x';
                argText = currAbsArg.toString(16);
              }
            }
            if (precisionSet) {
              while (argText.length < precision) {
                argText = '0' + argText;
              }
            }
  
            // Add sign if needed
            if (flagAlwaysSigned) {
              if (currArg < 0) {
                prefix = '-' + prefix;
              } else {
                prefix = '+' + prefix;
              }
            }
  
            // Add padding.
            while (prefix.length + argText.length < width) {
              if (flagLeftAlign) {
                argText += ' ';
              } else {
                if (flagZeroPad) {
                  argText = '0' + argText;
                } else {
                  prefix = ' ' + prefix;
                }
              }
            }
  
            // Insert the result into the buffer.
            argText = prefix + argText;
            argText.split('').forEach(function(chr) {
              ret.push(chr.charCodeAt(0));
            });
          } else if (['f', 'F', 'e', 'E', 'g', 'G'].indexOf(String.fromCharCode(next)) != -1) {
            // Float.
            var currArg = getNextArg('double');
            var argText;
  
            if (isNaN(currArg)) {
              argText = 'nan';
              flagZeroPad = false;
            } else if (!isFinite(currArg)) {
              argText = (currArg < 0 ? '-' : '') + 'inf';
              flagZeroPad = false;
            } else {
              var isGeneral = false;
              var effectivePrecision = Math.min(precision, 20);
  
              // Convert g/G to f/F or e/E, as per:
              // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
              if (next == 'g'.charCodeAt(0) || next == 'G'.charCodeAt(0)) {
                isGeneral = true;
                precision = precision || 1;
                var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                if (precision > exponent && exponent >= -4) {
                  next = ((next == 'g'.charCodeAt(0)) ? 'f' : 'F').charCodeAt(0);
                  precision -= exponent + 1;
                } else {
                  next = ((next == 'g'.charCodeAt(0)) ? 'e' : 'E').charCodeAt(0);
                  precision--;
                }
                effectivePrecision = Math.min(precision, 20);
              }
  
              if (next == 'e'.charCodeAt(0) || next == 'E'.charCodeAt(0)) {
                argText = currArg.toExponential(effectivePrecision);
                // Make sure the exponent has at least 2 digits.
                if (/[eE][-+]\d$/.test(argText)) {
                  argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                }
              } else if (next == 'f'.charCodeAt(0) || next == 'F'.charCodeAt(0)) {
                argText = currArg.toFixed(effectivePrecision);
              }
  
              var parts = argText.split('e');
              if (isGeneral && !flagAlternative) {
                // Discard trailing zeros and periods.
                while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                       (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                  parts[0] = parts[0].slice(0, -1);
                }
              } else {
                // Make sure we have a period in alternative mode.
                if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                // Zero pad until required precision.
                while (precision > effectivePrecision++) parts[0] += '0';
              }
              argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
              // Capitalize 'E' if needed.
              if (next == 'E'.charCodeAt(0)) argText = argText.toUpperCase();
  
              // Add sign.
              if (flagAlwaysSigned && currArg >= 0) {
                argText = '+' + argText;
              }
            }
  
            // Add padding.
            while (argText.length < width) {
              if (flagLeftAlign) {
                argText += ' ';
              } else {
                if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                  argText = argText[0] + '0' + argText.slice(1);
                } else {
                  argText = (flagZeroPad ? '0' : ' ') + argText;
                }
              }
            }
  
            // Adjust case.
            if (next < 'a'.charCodeAt(0)) argText = argText.toUpperCase();
  
            // Insert the result into the buffer.
            argText.split('').forEach(function(chr) {
              ret.push(chr.charCodeAt(0));
            });
          } else if (next == 's'.charCodeAt(0)) {
            // String.
            var arg = getNextArg('i8*');
            var copiedString;
            if (arg) {
              copiedString = String_copy(arg);
              if (precisionSet && copiedString.length > precision) {
                copiedString = copiedString.slice(0, precision);
              }
            } else {
              copiedString = intArrayFromString('(null)', true);
            }
            if (!flagLeftAlign) {
              while (copiedString.length < width--) {
                ret.push(' '.charCodeAt(0));
              }
            }
            ret = ret.concat(copiedString);
            if (flagLeftAlign) {
              while (copiedString.length < width--) {
                ret.push(' '.charCodeAt(0));
              }
            }
          } else if (next == 'c'.charCodeAt(0)) {
            // Character.
            if (flagLeftAlign) ret.push(getNextArg('i8'));
            while (--width > 0) {
              ret.push(' '.charCodeAt(0));
            }
            if (!flagLeftAlign) ret.push(getNextArg('i8'));
          } else if (next == 'n'.charCodeAt(0)) {
            // Write the length written so far to the next parameter.
            var ptr = getNextArg('i32*');
            HEAP32[((ptr)>>2)]=ret.length
          } else if (next == '%'.charCodeAt(0)) {
            // Literal percent sign.
            ret.push(curr);
          } else {
            // Unknown specifiers remain untouched.
            for (var i = startTextIndex; i < textIndex + 2; i++) {
              ret.push(HEAP8[(i)]);
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }
var _llvm_va_start; // stub for _llvm_va_start

  
  
  var _vfprintf=_fprintf;

  function _llvm_va_end() {}

  
  function ___fpclassifyf(x) {
      if (isNaN(x)) return 0;
      if (!isFinite(x)) return 1;
      if (x == 0) return 2;
      // FP_SUBNORMAL..?  
      return 4;
    }var ___fpclassifyd=___fpclassifyf;

  function _memcmp(p1, p2, num) {
      for (var i = 0; i < num; i++) {
        var v1 = HEAP8[(p1+i)];
        var v2 = HEAP8[(p2+i)];
        if (v1 != v2) return v1 > v2 ? 1 : -1;
      }
      return 0;
    }

  function _isspace(chr) {
      return chr in { 32: 0, 9: 0, 10: 0, 11: 0, 12: 0, 13: 0 };
    }

  
  function _strncmp(px, py, n) {
      var i = 0;
      while (i < n) {
        var x = HEAP8[(px+i)];
        var y = HEAP8[(py+i)];
        if (x == y && x == 0) return 0;
        if (x == 0) return -1;
        if (y == 0) return 1;
        if (x == y) {
          i ++;
          continue;
        } else {
          return x > y ? 1 : -1;
        }
      }
      return 0;
    }function _strcmp(px, py) {
      return _strncmp(px, py, TOTAL_MEMORY);
    }

  
  
  
  
  
  
  
  
  var ___dirent_struct_layout=null;function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      // NOTE: This implementation tries to mimic glibc rather that strictly
      // following the POSIX standard.
  
      var mode = HEAP32[((varargs)>>2)];
  
      // Simplify flags.
      var accessMode = oflag & 3;
      var isWrite = accessMode != 0;
      var isRead = accessMode != 1;
      var isCreate = Boolean(oflag & 512);
      var isExistCheck = Boolean(oflag & 2048);
      var isTruncate = Boolean(oflag & 1024);
      var isAppend = Boolean(oflag & 8);
  
      // Verify path.
      var origPath = path;
      path = FS.analyzePath(Pointer_stringify(path));
      if (!path.parentExists) {
        ___setErrNo(path.error);
        return -1;
      }
      var target = path.object || null;
      var finalPath;
  
      // Verify the file exists, create if needed and allowed.
      if (target) {
        if (isCreate && isExistCheck) {
          ___setErrNo(ERRNO_CODES.EEXIST);
          return -1;
        }
        if ((isWrite || isCreate || isTruncate) && target.isFolder) {
          ___setErrNo(ERRNO_CODES.EISDIR);
          return -1;
        }
        if (isRead && !target.read || isWrite && !target.write) {
          ___setErrNo(ERRNO_CODES.EACCES);
          return -1;
        }
        if (isTruncate && !target.isDevice) {
          target.contents = [];
        } else {
          if (!FS.forceLoadFile(target)) {
            ___setErrNo(ERRNO_CODES.EIO);
            return -1;
          }
        }
        finalPath = path.path;
      } else {
        if (!isCreate) {
          ___setErrNo(ERRNO_CODES.ENOENT);
          return -1;
        }
        if (!path.parentObject.write) {
          ___setErrNo(ERRNO_CODES.EACCES);
          return -1;
        }
        target = FS.createDataFile(path.parentObject, path.name, [],
                                   mode & 0x100, mode & 0x80);  // S_IRUSR, S_IWUSR.
        finalPath = path.parentPath + '/' + path.name;
      }
      // Actually create an open stream.
      var id = FS.streams.length;
      if (target.isFolder) {
        var entryBuffer = 0;
        if (___dirent_struct_layout) {
          entryBuffer = _malloc(___dirent_struct_layout.__size__);
        }
        var contents = [];
        for (var key in target.contents) contents.push(key);
        FS.streams[id] = {
          path: finalPath,
          object: target,
          // An index into contents. Special values: -2 is ".", -1 is "..".
          position: -2,
          isRead: true,
          isWrite: false,
          isAppend: false,
          error: false,
          eof: false,
          ungotten: [],
          // Folder-specific properties:
          // Remember the contents at the time of opening in an array, so we can
          // seek between them relying on a single order.
          contents: contents,
          // Each stream has its own area for readdir() returns.
          currentEntry: entryBuffer
        };
      } else {
        FS.streams[id] = {
          path: finalPath,
          object: target,
          position: 0,
          isRead: isRead,
          isWrite: isWrite,
          isAppend: isAppend,
          error: false,
          eof: false,
          ungotten: []
        };
      }
      return id;
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 512;
        flags |= 1024;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 512;
        flags |= 8;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var ret = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return (ret == -1) ? 0 : ret;
    }

  
  
  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      if (FS.streams[fildes]) {
        if (FS.streams[fildes].currentEntry) {
          _free(FS.streams[fildes].currentEntry);
        }
        delete FS.streams[fildes];
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      if (FS.streams[fildes]) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      _fsync(stream);
      return _close(stream);
    }

  
  
  
  
  
  
  var ___stat_struct_layout={__size__:72,st_dev:0,st_ino:4,st_mode:8,st_nlink:12,st_uid:16,st_gid:20,st_rdev:24,st_size:28,st_atime:32,st_spare1:36,st_mtime:40,st_spare2:44,st_ctime:48,st_spare3:52,st_blksize:56,st_blocks:60,st_spare4:64};function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      var obj = FS.findObject(Pointer_stringify(path), dontResolveLastLink);
      if (obj === null || !FS.forceLoadFile(obj)) return -1;
  
      var offsets = ___stat_struct_layout;
  
      // Constants.
      HEAP32[((buf+offsets.st_nlink)>>2)]=1
      HEAP32[((buf+offsets.st_uid)>>2)]=0
      HEAP32[((buf+offsets.st_gid)>>2)]=0
      HEAP32[((buf+offsets.st_blksize)>>2)]=4096
  
      // Variables.
      HEAP32[((buf+offsets.st_ino)>>2)]=obj.inodeNumber
      var time = Math.floor(obj.timestamp / 1000);
      if (offsets.st_atime === undefined) {
        offsets.st_atime = offsets.st_atim.tv_sec;
        offsets.st_mtime = offsets.st_mtim.tv_sec;
        offsets.st_ctime = offsets.st_ctim.tv_sec;
        var nanosec = (obj.timestamp % 1000) * 1000;
        HEAP32[((buf+offsets.st_atim.tv_nsec)>>2)]=nanosec
        HEAP32[((buf+offsets.st_mtim.tv_nsec)>>2)]=nanosec
        HEAP32[((buf+offsets.st_ctim.tv_nsec)>>2)]=nanosec
      }
      HEAP32[((buf+offsets.st_atime)>>2)]=time
      HEAP32[((buf+offsets.st_mtime)>>2)]=time
      HEAP32[((buf+offsets.st_ctime)>>2)]=time
      var mode = 0;
      var size = 0;
      var blocks = 0;
      var dev = 0;
      var rdev = 0;
      if (obj.isDevice) {
        //  Device numbers reuse inode numbers.
        dev = rdev = obj.inodeNumber;
        size = blocks = 0;
        mode = 0x2000;  // S_IFCHR.
      } else {
        dev = 1;
        rdev = 0;
        // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
        //       but this is not required by the standard.
        if (obj.isFolder) {
          size = 4096;
          blocks = 1;
          mode = 0x4000;  // S_IFDIR.
        } else {
          var data = obj.contents || obj.link;
          size = data.length;
          blocks = Math.ceil(data.length / 4096);
          mode = obj.link === undefined ? 0x8000 : 0xA000;  // S_IFREG, S_IFLNK.
        }
      }
      HEAP32[((buf+offsets.st_dev)>>2)]=dev;
      HEAP32[((buf+offsets.st_rdev)>>2)]=rdev;
      HEAP32[((buf+offsets.st_size)>>2)]=size
      HEAP32[((buf+offsets.st_blocks)>>2)]=blocks
      if (obj.read) mode |= 0x16D;  // S_IRUSR | S_IXUSR | S_IRGRP | S_IXGRP | S_IROTH | S_IXOTH.
      if (obj.write) mode |= 0x92;  // S_IWUSR | S_IWGRP | S_IWOTH.
      HEAP32[((buf+offsets.st_mode)>>2)]=mode
  
      return 0;
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      if (!FS.streams[fildes]) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      } else {
        var pathArray = intArrayFromString(FS.streams[fildes].path);
        return _stat(allocate(pathArray, 'i8', ALLOC_STACK), buf);
      }
    }

  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      // We use file descriptor numbers and FILE* streams interchangeably.
      return stream;
    }

  
  
  
  
  
  
  
  
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.streams[fildes];
      if (!stream || stream.object.isDevice) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      } else if (!stream.isRead) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      } else if (stream.object.isFolder) {
        ___setErrNo(ERRNO_CODES.EISDIR);
        return -1;
      } else if (nbyte < 0 || offset < 0) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      } else {
        var bytesRead = 0;
        while (stream.ungotten.length && nbyte > 0) {
          HEAP8[(buf++)]=stream.ungotten.pop()
          nbyte--;
          bytesRead++;
        }
        var contents = stream.object.contents;
        var size = Math.min(contents.length - offset, nbyte);
        for (var i = 0; i < size; i++) {
          HEAP8[(buf+i)]=contents[offset + i]
          bytesRead++;
        }
        return bytesRead;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.streams[fildes];
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      } else if (!stream.isRead) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      } else if (nbyte < 0) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      } else {
        var bytesRead;
        if (stream.object.isDevice) {
          if (stream.object.input) {
            bytesRead = 0;
            while (stream.ungotten.length && nbyte > 0) {
              HEAP8[(buf++)]=stream.ungotten.pop()
              nbyte--;
              bytesRead++;
            }
            for (var i = 0; i < nbyte; i++) {
              try {
                var result = stream.object.input();
              } catch (e) {
                ___setErrNo(ERRNO_CODES.EIO);
                return -1;
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              HEAP8[(buf+i)]=result
            }
            return bytesRead;
          } else {
            ___setErrNo(ERRNO_CODES.ENXIO);
            return -1;
          }
        } else {
          var ungotSize = stream.ungotten.length;
          bytesRead = _pread(fildes, buf, nbyte, stream.position);
          if (bytesRead != -1) {
            stream.position += (stream.ungotten.length - ungotSize) + bytesRead;
          }
          return bytesRead;
        }
      }
    }function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      if (!(stream in FS.streams)) return -1;
      var streamObj = FS.streams[stream];
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _read(stream, _fgetc.ret, 1);
      if (ret == 0) {
        streamObj.eof = true;
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAP8[(_fgetc.ret)];
      }
    }
  
  var _getc_unlocked=_fgetc;

  
  function _memmove(dest, src, num, align) {
      if (src < dest && dest < src + num) {
        // Copy backwards in a safe manner
        src += num;
        dest += num;
        while (num--) {
          dest--;
          src--;
          HEAP8[(dest)]=HEAP8[(src)];
        }
      } else {
        _memcpy(dest, src, num, align);
      }
    }
  var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _fmod(x, y) {
      return x % y;
    }

  var _floor=Math.floor;

  var _ceil=Math.ceil;


  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function _isdigit(chr) {
      return chr >= '0'.charCodeAt(0) && chr <= '9'.charCodeAt(0);
    }

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret
      }
      return ret;
    }

  function _isalpha(chr) {
      return (chr >= 'a'.charCodeAt(0) && chr <= 'z'.charCodeAt(0)) ||
             (chr >= 'A'.charCodeAt(0) && chr <= 'Z'.charCodeAt(0));
    }

  function _strcpy(pdest, psrc) {
      var i = 0;
      do {
        HEAP8[(pdest+i)]=HEAP8[(psrc+i)];
        i ++;
      } while (HEAP8[(psrc+i-1)] != 0);
      return pdest;
    }

  
  function ___errno_location() {
      return ___setErrNo.ret;
    }
  var ___errno=___errno_location;
var _setjmp; // stub for _setjmp

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }

  
  
  
  var _environ=null;
  
  var ___environ=null;function ___buildEnvironment(env) {
      // WARNING: Arbitrary limit!
      var MAX_ENV_VALUES = 64;
      var TOTAL_ENV_SIZE = 1024;
  
      // Statically allocate memory for the environment.
      var poolPtr;
      var envPtr;
      if (_environ === null) {
        // Set default values. Use string keys for Closure Compiler compatibility.
        ENV['USER'] = 'root';
        ENV['PATH'] = '/';
        ENV['PWD'] = '/';
        ENV['HOME'] = '/home/emscripten';
        ENV['LANG'] = 'en_US.UTF-8';
        ENV['_'] = './this.program';
        // Allocate memory.
        poolPtr = allocate(TOTAL_ENV_SIZE, 'i8', ALLOC_STATIC);
        envPtr = allocate(MAX_ENV_VALUES * 4,
                          'i8*', ALLOC_STATIC);
        HEAP32[((envPtr)>>2)]=poolPtr
        _environ = allocate([envPtr], 'i8**', ALLOC_STATIC);
        // Set up global variable alias.
        ___environ = _environ;
      } else {
        envPtr = HEAP32[((_environ)>>2)];
        poolPtr = HEAP32[((envPtr)>>2)];
      }
  
      // Collect key=value lines.
      var strings = [];
      var totalSize = 0;
      for (var key in env) {
        if (typeof env[key] === 'string') {
          var line = key + '=' + env[key];
          strings.push(line);
          totalSize += line.length;
        }
      }
      if (totalSize > TOTAL_ENV_SIZE) {
        throw new Error('Environment size exceeded TOTAL_ENV_SIZE!');
      }
  
      // Make new.
      var ptrSize = 4;
      for (var i = 0; i < strings.length; i++) {
        var line = strings[i];
        for (var j = 0; j < line.length; j++) {
          HEAP8[(poolPtr+j)]=line.charCodeAt(j);
        }
        HEAP8[(poolPtr+j)]=0;
        HEAP32[((envPtr+i * ptrSize)>>2)]=poolPtr;
        poolPtr += line.length + 1;
      }
      HEAP32[((envPtr+strings.length * ptrSize)>>2)]=0;
    }var ENV={};function _getenv(name) {
      // char *getenv(const char *name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/getenv.html
      if (name === 0) return 0;
      name = Pointer_stringify(name);
      if (!ENV.hasOwnProperty(name)) return 0;
  
      if (_getenv.ret) _free(_getenv.ret);
      _getenv.ret = allocate(intArrayFromString(ENV[name]), 'i8', ALLOC_NORMAL);
      return _getenv.ret;
    }

  function _strstr(ptr1, ptr2) {
      var str1 = Pointer_stringify(ptr1);
      var str2 = Pointer_stringify(ptr2);
      var ret = str1.search(str2);
      return ret >= 0 ? ptr1 + ret : 0;
    }

  var _fabs=Math.abs;

  function _copysign(a, b) {
        if (a < 0 === b < 0) return a;
        return -a;
    }

  var _sqrt=Math.sqrt;

  var _llvm_pow_f64=Math.pow;

  var _tan=Math.tan;

  var _sin=Math.sin;

  var _log=Math.log;

  var _exp=Math.exp;

  var _cos=Math.cos;

  var _atan2=Math.atan2;

  var _atan=Math.atan;

  var _asin=Math.asin;

  var _acos=Math.acos;

  function _pthread_self() {
      //FIXME: assumes only a single thread
      return 0;
    }

  function _pthread_attr_init(attr) {
      /* int pthread_attr_init(pthread_attr_t *attr); */
      //FIXME: should allocate a pthread_attr_t
      return 0;
    }

  function _pthread_getattr_np(thread, attr) {
      /* int pthread_getattr_np(pthread_t thread, pthread_attr_t *attr); */
      //FIXME: should fill in attributes of the given thread in pthread_attr_t
      return 0;
    }

  function _pthread_attr_getstack(attr, stackaddr, stacksize) {
      /* int pthread_attr_getstack(const pthread_attr_t *restrict attr,
         void **restrict stackaddr, size_t *restrict stacksize); */
      /*FIXME: assumes that there is only one thread, and that attr is the
        current thread*/
      HEAP32[((stackaddr)>>2)]=STACK_ROOT
      HEAP32[((stacksize)>>2)]=TOTAL_STACK
      return 0;
    }

  function _pthread_attr_destroy(attr) {
      /* int pthread_attr_destroy(pthread_attr_t *attr); */
      //FIXME: should destroy the pthread_attr_t struct
      return 0;
    }

  function _localeconv() {
      // %struct.timeval = type { char* decimal point, other stuff... }
      // var indexes = Runtime.calculateStructAlignment({ fields: ['i32', 'i32'] });
      var me = _localeconv;
      if (!me.ret) {
        me.ret = allocate([allocate(intArrayFromString('.'), 'i8', ALLOC_NORMAL)], 'i8*', ALLOC_NORMAL); // just decimal point, for now
      }
      return me.ret;
    }

  function _isxdigit(chr) {
      return (chr >= '0'.charCodeAt(0) && chr <= '9'.charCodeAt(0)) ||
             (chr >= 'a'.charCodeAt(0) && chr <= 'f'.charCodeAt(0)) ||
             (chr >= 'A'.charCodeAt(0) && chr <= 'F'.charCodeAt(0));
    }

  function _tolower(chr) {
      if (chr >= 'A'.charCodeAt(0) && chr <= 'Z'.charCodeAt(0)) {
        return chr - 'A'.charCodeAt(0) + 'a'.charCodeAt(0);
      } else {
        return chr;
      }
    }

  function _isprint(chr) {
      return 0x1F < chr && chr < 0x7F;
    }

  function _strchr(ptr, chr) {
      ptr--;
      do {
        ptr++;
        var val = HEAP8[(ptr)];
        if (val == chr) return ptr;
      } while (val);
      return 0;
    }

  
  function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, n - 1);
      for (var i = 0; i < limit; i++) {
        HEAP8[(s+i)]=result[i];
      }
      HEAP8[(s+i)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _llvm_va_copy(ppdest, ppsrc) {
      HEAP8[(ppdest)]=HEAP8[(ppsrc)];HEAP8[(ppdest+1)]=HEAP8[(ppsrc+1)];HEAP8[(ppdest+2)]=HEAP8[(ppsrc+2)];HEAP8[(ppdest+3)]=HEAP8[(ppsrc+3)];
      /* Alternate implementation that copies the actual DATA; it assumes the va_list is prefixed by its size
      var psrc = IHEAP[ppsrc]-1;
      var num = IHEAP[psrc]; // right before the data, is the number of (flattened) values
      var pdest = _malloc(num+1);
      _memcpy(pdest, psrc, num+1);
      IHEAP[ppdest] = pdest+1;
      */
    }

  var __ZdlPv=_free;

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  var _llvm_memset_p0i8_i64=_memset;

  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      if (stream in FS.streams) {
        c = unSign(c & 0xFF);
        FS.streams[stream].ungotten.push(c);
        return c;
      } else {
        return -1;
      }
    }

  
  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[(_fputc.ret)]=chr
      var ret = _write(stream, _fputc.ret, 1);
      if (ret == -1) {
        if (stream in FS.streams) FS.streams[stream].error = true;
        return -1;
      } else {
        return chr;
      }
    }
var _raise; // stub for _raise

  function _log10(x) {
      return Math.log(x) / Math.LN10;
    }

  function _gettimeofday(ptr) {
      // %struct.timeval = type { i32, i32 }
      var indexes = Runtime.calculateStructAlignment({ fields: ['i32', 'i32'] });
      var now = Date.now();
      HEAP32[((ptr+indexes[0])>>2)]=Math.floor(now/1000) // seconds
      HEAP32[((ptr+indexes[1])>>2)]=Math.floor((now-1000*Math.floor(now/1000))*1000) // microseconds
      return 0;
    }

  
  var ___tm_struct_layout={__size__:44,tm_sec:0,tm_min:4,tm_hour:8,tm_mday:12,tm_mon:16,tm_year:20,tm_wday:24,tm_yday:28,tm_isdst:32,tm_gmtoff:36,tm_zone:40};
  
  
  var __tzname=null;
  
  var __daylight=null;
  
  var __timezone=null;function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (__tzname) return; // glibc does not need the double __
  
      __timezone = _malloc(4);
      HEAP32[((__timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60
  
      __daylight = _malloc(4);
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((__daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset())
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      __tzname = _malloc(2 * 4); // glibc does not need the double __
      HEAP32[((__tzname)>>2)]=winterNamePtr
      HEAP32[((__tzname+4)>>2)]=summerNamePtr
    }function _mktime(tmPtr) {
      _tzset();
      var offsets = ___tm_struct_layout;
      var year = HEAP32[((tmPtr+offsets.tm_year)>>2)];
      var timestamp = new Date(year >= 1900 ? year : year + 1900,
                               HEAP32[((tmPtr+offsets.tm_mon)>>2)],
                               HEAP32[((tmPtr+offsets.tm_mday)>>2)],
                               HEAP32[((tmPtr+offsets.tm_hour)>>2)],
                               HEAP32[((tmPtr+offsets.tm_min)>>2)],
                               HEAP32[((tmPtr+offsets.tm_sec)>>2)],
                               0).getTime() / 1000;
      HEAP32[((tmPtr+offsets.tm_wday)>>2)]=new Date(timestamp).getDay()
      var yday = Math.round((timestamp - (new Date(year, 0, 1)).getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[((tmPtr+offsets.tm_yday)>>2)]=yday
      return timestamp;
    }

  
  
  var ___tm_timezones={};
  function _localtime_r(time, tmPtr) {
      _tzset();
      var offsets = ___tm_struct_layout;
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr+offsets.tm_sec)>>2)]=date.getSeconds()
      HEAP32[((tmPtr+offsets.tm_min)>>2)]=date.getMinutes()
      HEAP32[((tmPtr+offsets.tm_hour)>>2)]=date.getHours()
      HEAP32[((tmPtr+offsets.tm_mday)>>2)]=date.getDate()
      HEAP32[((tmPtr+offsets.tm_mon)>>2)]=date.getMonth()
      HEAP32[((tmPtr+offsets.tm_year)>>2)]=date.getFullYear()-1900
      HEAP32[((tmPtr+offsets.tm_wday)>>2)]=date.getDay()
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[((tmPtr+offsets.tm_yday)>>2)]=yday
      HEAP32[((tmPtr+offsets.tm_gmtoff)>>2)]=start.getTimezoneOffset() * 60
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[((tmPtr+offsets.tm_isdst)>>2)]=dst
  
      var timezone = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | date.toString().match(/\(([A-Z]+)\)/)[1];
      if (!(timezone in ___tm_timezones)) {
        ___tm_timezones[timezone] = allocate(intArrayFromString(timezone), 'i8', ALLOC_NORMAL);
      }
      HEAP32[((tmPtr+offsets.tm_zone)>>2)]=___tm_timezones[timezone]
  
      return tmPtr;
    }

  function _strftime(s, maxsize, format, timeptr) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      // TODO: Implement.
      return 0;
    }

  function _setlocale(category, locale) {
      if (!_setlocale.ret) _setlocale.ret = allocate([0], 'i8', ALLOC_NORMAL);
      return _setlocale.ret;
    }

  function _alarm(seconds) {
      // unsigned alarm(unsigned seconds);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/alarm.html
      // We don't support signals, and there's no way to indicate failure, so just
      // fail silently.
      return 0;
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }


  
  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      return _write(stream, s, _strlen(s));
    }


  
  
  
  var ERRNO_MESSAGES={1:"Operation not permitted",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"Input/output error",6:"No such device or address",8:"Exec format error",9:"Bad file descriptor",10:"No child processes",11:"Resource temporarily unavailable",12:"Cannot allocate memory",13:"Permission denied",14:"Bad address",16:"Device or resource busy",17:"File exists",18:"Invalid cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Inappropriate ioctl for device",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read-only file system",31:"Too many links",32:"Broken pipe",33:"Numerical argument out of domain",34:"Numerical result out of range",35:"Resource deadlock avoided",36:"File name too long",37:"No locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many levels of symbolic links",42:"No message of desired type",43:"Identifier removed",60:"Device not a stream",61:"No data available",62:"Timer expired",63:"Out of streams resources",67:"Link has been severed",71:"Protocol error",72:"Multihop attempted",74:"Bad message",75:"Value too large for defined data type",84:"Invalid or incomplete multibyte or wide character",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Protocol not supported",95:"Operation not supported",97:"Address family not supported by protocol",98:"Address already in use",99:"Cannot assign requested address",100:"Network is down",101:"Network is unreachable",102:"Network dropped connection on reset",103:"Software caused connection abort",104:"Connection reset by peer",105:"No buffer space available",106:"Transport endpoint is already connected",107:"Transport endpoint is not connected",110:"Connection timed out",111:"Connection refused",113:"No route to host",114:"Operation already in progress",115:"Operation now in progress",116:"Stale NFS file handle",122:"Disk quota exceeded",125:"Operation canceled",130:"Owner died",131:"State not recoverable"};
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          for (var i = 0; i < msg.length; i++) {
            HEAP8[(strerrbuf+i)]=msg.charCodeAt(i)
          }
          HEAP8[(strerrbuf+i)]=0
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  
  
  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      if (!FS.streams[fildes]) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      if (FS.streams[fildes].isTerminal) return 1;
      ___setErrNo(ERRNO_CODES.ENOTTY);
      return 0;
    }

var _readline; // stub for _readline
var _add_history; // stub for _add_history

  function _fgets(s, n, stream) {
      // char *fgets(char *restrict s, int n, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgets.html
      if (!(stream in FS.streams)) return 0;
      var streamObj = FS.streams[stream];
      if (streamObj.error || streamObj.eof) return 0;
      var byte_;
      for (var i = 0; i < n - 1 && byte_ != '\n'.charCodeAt(0); i++) {
        byte_ = _fgetc(stream);
        if (byte_ == -1) {
          if (streamObj.error) return 0;
          else if (streamObj.eof) break;
        }
        HEAP8[(s+i)]=byte_
      }
      HEAP8[(s+i)]=0
      return s;
    }

  function _ferror(stream) {
      // int ferror(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ferror.html
      return Number(stream in FS.streams && FS.streams[stream].error);
    }

  
  
  
  function _setenv(envname, envval, overwrite) {
      // int setenv(const char *envname, const char *envval, int overwrite);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/setenv.html
      if (envname === 0) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var name = Pointer_stringify(envname);
      var val = Pointer_stringify(envval);
      if (name === '' || name.indexOf('=') !== -1) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      if (ENV.hasOwnProperty(name) && !overwrite) return 0;
      ENV[name] = val;
      ___buildEnvironment(ENV);
      return 0;
    }

  var __Znwj=_malloc;

  
  
  var _putc=_fputc;

  
  
  
  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      if (FS.streams[fildes] && !FS.streams[fildes].isDevice) {
        var stream = FS.streams[fildes];
        var position = offset;
        if (whence === 1) {  // SEEK_CUR.
          position += stream.position;
        } else if (whence === 2) {  // SEEK_END.
          position += stream.object.contents.length;
        }
        if (position < 0) {
          ___setErrNo(ERRNO_CODES.EINVAL);
          return -1;
        } else {
          stream.ungotten = [];
          stream.position = position;
          return position;
        }
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var ret = _lseek(stream, offset, whence);
      if (ret == -1) {
        return -1;
      } else {
        FS.streams[stream].eof = false;
        return 0;
      }
    }

  
  
  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      if (stream in FS.streams) {
        stream = FS.streams[stream];
        if (stream.object.isDevice) {
          ___setErrNo(ERRNO_CODES.ESPIPE);
          return -1;
        } else {
          return stream.position;
        }
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }

  
  function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) return 0;
      var bytesRead = _read(stream, ptr, bytesToRead);
      var streamObj = FS.streams[stream];
      if (bytesRead == -1) {
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        if (bytesRead < bytesToRead) streamObj.eof = true;
        return Math.floor(bytesRead / size);
      }
    }

  function _strncpy(pdest, psrc, num) {
      var padding = false, curr;
      for (var i = 0; i < num; i++) {
        curr = padding ? 0 : HEAP8[(psrc+i)];
        HEAP8[(pdest+i)]=curr
        padding = padding || HEAP8[(psrc+i)] == 0;
      }
      return pdest;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
  
      // We need to make sure no one else allocates unfreeable memory!
      // We must control this entirely. So we don't even need to do
      // unfreeable allocations - the HEAP is ours, from STATICTOP up.
      // TODO: We could in theory slice off the top of the HEAP when
      //       sbrk gets a negative increment in |bytes|...
      var self = _sbrk;
      if (!self.called) {
        STATICTOP = alignMemoryPage(STATICTOP); // make sure we start out aligned
        self.called = true;
      }
      var ret = STATICTOP;
      if (bytes != 0) Runtime.staticAlloc(bytes);
      return ret;  // Previous break location.
    }

  function _feof(stream) {
      // int feof(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/feof.html
      return Number(stream in FS.streams && FS.streams[stream].eof);
    }

  function _strdup(ptr) {
      var len = String_len(ptr);
      var newStr = _malloc(len + 1);
      _memcpy(newStr, ptr, len, 1);
      HEAP8[(newStr+len)]=0;
      return newStr;
    }

  
  
  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc('\n'.charCodeAt(0), stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  
  function _atoi(s) {
      var c;
      while ((c = HEAP8[(s)]) && _isspace(c)) s++;
      if (!c || !_isdigit(c)) return 0;
      var e = s;
      while ((c = HEAP8[(e)]) && _isdigit(c)) e++;
      return Math.floor(Number(Pointer_stringify(s).substr(0, e-s)));
    }




__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });
___setErrNo(0);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___buildEnvironment(ENV);
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);

// === Auto-generated postamble setup entry stuff ===

Module.callMain = function callMain(args) {
  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_STATIC) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_STATIC));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_STATIC);

  return _main(argc, argv, 0);
}


var __str;

var _DebuggerFrame_class;
var _DebuggerObject_class;









var __ZN2js8Debugger7jsclassE;

























var __ZN2js8Debugger10propertiesE;
var __ZN2js8Debugger7methodsE;

var _DebuggerScript_class;




var __ZL25DebuggerScript_properties;







var __ZL22DebuggerScript_methods;


var _DebuggerArguments_class;










var __ZL24DebuggerFrame_properties;


var __ZL21DebuggerFrame_methods;






var __ZL25DebuggerObject_properties;













var __ZL22DebuggerObject_methods;
var __ZTVN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEE;

var __ZTVN2js11WeakMapBaseE;









































var __ZN2jsL21GlobalDebuggees_classE;


var __ZN16JSExternalString14str_finalizersE;




var __ZZL10AllocCharsP9JSContextjPPtPjE12DOUBLING_MAX;
var __ZN2js7unicode11js_charinfoE;
var __ZN2js7unicode6index1E;
var __ZN2js7unicode6index2E;
var _stdout;
var _stderr;
var __ZL33fatal_error_handler_nesting_depth;






var __ZN2v88internalL15kCachedPowers20E;
var __ZN2v88internalL15kCachedPowers19E;
var __ZN2v88internalL15kCachedPowers18E;
var __ZN2v88internalL15kCachedPowers17E;
var __ZN2v88internalL15kCachedPowers16E;
var __ZN2v88internalL15kCachedPowers15E;
var __ZN2v88internalL15kCachedPowers14E;
var __ZN2v88internalL15kCachedPowers13E;
var __ZN2v88internalL15kCachedPowers12E;
var __ZN2v88internalL15kCachedPowers11E;
var __ZN2v88internalL15kCachedPowers10E;
var __ZN2v88internalL14kCachedPowers9E;
var __ZN2v88internalL14kCachedPowers8E;
var __ZN2v88internalL14kCachedPowers7E;
var __ZN2v88internalL14kCachedPowers6E;
var __ZN2v88internalL14kCachedPowers5E;
var __ZN2v88internalL14kCachedPowers4E;
var __ZN2v88internalL14kCachedPowers3E;
var __ZN2v88internalL14kCachedPowers2E;
var __ZN2v88internalL14kCachedPowers1E;
var __str188;

var __ZZN2js7analyze14ScriptAnalysis15analyzeBytecodeEP9JSContextE11LOCAL_LIMIT;
var _JSVAL_NULL;
var _JSVAL_ZERO;
var _JSVAL_ONE;
var _JSVAL_FALSE;
var _JSVAL_TRUE;
var _JSVAL_VOID;

var __str6199;


var __ZL22js_NewRuntimeWasCalled;











var __ZL6v2smap;



var _js_dummy_class;
var __ZL20standard_class_atoms;
var __ZL20standard_class_names;
var __ZL22object_prototype_names;

var __ZL15prop_iter_class;

var _stdin;




var _js_CStringsAreUTF8;

var __ZZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamEE6prefix;
var __ZZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamEE7postfix;



__ATINIT__ = __ATINIT__.concat([
  { func: __GLOBAL__I_a },
  { func: __GLOBAL__I_a891 },
  { func: __GLOBAL__I_a1774 },
  { func: __GLOBAL__I_a2526 },
  { func: __GLOBAL__I_a3151 },
  { func: __GLOBAL__I_a4161 }
]);


var __ZN2js10ArrayClassE;
var __ZN2js14SlowArrayClassE;



















var __ZL13array_methods;

var __ZL20array_static_methods;





var __ZZL18array_toString_subP9JSContextP8JSObjectiP8JSStringPN2JS5ValueEE5comma;


var __ZN11JSAtomState17commonAtomsOffsetE;
var __ZN11JSAtomState15lazyAtomsOffsetE;





































var __str430;































var _js_common_atom_names;
var _js_common_atom_count;





























































var __ZZ10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingEE15ATOMIZE_BUF_MAX;

var __ZN2js12BooleanClassE;
var __ZL15boolean_methods;

















var __str5650;































































































































































































































































































var _js_ErrorFormatString;
var __ZZN13JSCompartment4initEP9JSContextE22ARENA_HEADER_SIZE_HACK;






var __ZN2js5crashL8gGCStackE;
var __ZN2js5crashL11gErrorStackE;
var __ZN2js5crashL11gRingBufferE;
var __ZN2js5crashL12gInitializedE;

var __ZN2js9DateClassE;



var __ZL19date_static_methods;










































var __ZL12date_methods;
var __ZL8LocalTZA;
var __ZL15firstDayOfMonth;
var __ZL16yearStartingWith;
var __ZL3wtb;
var __ZL3ttb;



































var __ZL4days;
var __ZL6months;

var __str80974;




























var _js_NullDebugHooks;
var __ZL10gLastError;
var __ZL8stub_ops;





var _tens;
var _bigtens;
var _p05;
var _tinytens;



























var _js_SrcNoteSpec;

var __ZL13statementName;
















var __ZN2js10ErrorClassE;
var __ZL17exception_methods;








var __ZN2js26StrictArgumentsObjectClassE;
var __ZN2js26NormalArgumentsObjectClassE;

var __ZN2js12DeclEnvClassE;

var __ZN2js9CallClassE;
var __ZL15poisonPillProps;
var __ZN2js13FunctionClassE;



var __ZN2js16function_methodsE;











var __ZN2js2gc16slotsToThingKindE;
var __ZN2js2gc5Arena10ThingSizesE;
var __ZN2js2gc5Arena17FirstThingOffsetsE;








var __ZZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindEE3map;















































var __ZZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindEE3map1495;
var __ZN2js8gcReasonE;











var __ZN2js9gcReasonsE;
var __ZN2js13newChunkCountE;
var __ZN2js17destroyChunkCountE;
var __ZL19defaultHashAllocOps;


















var __ZN2js5types15emptyTypeObjectE;


var __str201590;































var __ZTV18TypeConstraintProp;
var __ZTV22TypeConstraintCallProp;
var __ZTV24TypeConstraintSetElement;
var __ZTV18TypeConstraintCall;
var __ZTV19TypeConstraintArith;
var __ZTV27TypeConstraintTransformThis;
var __ZTV27TypeConstraintPropagateThis;

var __ZTV26TypeConstraintFreezeGlobal;
var __ZTVN2js5types14TypeConstraintE;

var __ZTV31TypeConstraintFreezeOwnProperty;

var __ZTV31TypeConstraintFreezeObjectFlags;

var __ZTV34TypeConstraintFreezeObjectFlagsSet;

var __ZTV27TypeConstraintFreezeTypeTag;

var __ZTV20TypeConstraintFreeze;

var __ZTV27TypeConstraintLazyArguments;

var __ZTV27TypeConstraintSubsetBarrier;

var __ZTV29TypeConstraintFilterPrimitive;








var __ZTV20TypeConstraintSubset;



var __ZTV33TypeConstraintClearDefiniteSingle;

var __ZTV33TypeConstraintClearDefiniteSetter;

var __ZZL15InferSpewActiveN2js5types11SpewChannelEE6active;
var __ZZL15InferSpewActiveN2js5types11SpewChannelEE7checked;













var _js_NoSuchMethodClass;



var __ZTV23GenericInterruptEnablerIiE;
var __ZTVN2js17InterpreterFrames20InterruptEnablerBaseE;








var __ZN2js13IteratorClassE;


var _sCustomIteratorCount;
var __ZL16iterator_methods;
var __ZN2js18StopIterationClassE;

var __ZN2js14GeneratorClassE;
var __ZL17generator_methods;
var __ZN2js9MathClassE;


















var __ZL19math_static_methods;
var __ZL14math_constants;














var __ZL16number_functions;
var __ZN2js11NumberClassE;



var __ZL14number_methods;
var _js_NaN;
var _js_PositiveInfinity;
var _js_NegativeInfinity;
var __ZL16number_constants;










var __ZN2js5Shape15sharedNonNativeE;
var __ZN2js11ObjectClassE;
var _object_props;
var _sSetProtoCalled;


















var _object_methods;













var _object_static_methods;

var __ZN2js9WithClassE;

var __ZN2js10BlockClassE;
var __ZZN8JSObject9growSlotsEP9JSContextjE21CAPACITY_DOUBLING_MAX;
var __ZZN8JSObject9growSlotsEP9JSContextjE14CAPACITY_CHUNK;
var __ZL19lazy_prototype_init;
























var __ZL16JS_CACHED_SCRIPT;


var __ZN2js9JSONClassE;


var __ZL19json_static_methods;

































var _js_CodeSpec;
var _js_NumCodeSpecs;


























var __ZL9CodeToken;


var __str272700;
























































































































var __ZL10var_prefix;


















var _table;







var __str62887;








var __ZL6pm_fns;

var __ZL8pm_class;
var __ZL8pm_props;
var __ZL9pm_consts;






























var __str23014;




var __ZN2js6Probes15ProfilingActiveE;
var __ZTVN2js14JSProxyHandlerE;



var __ZL27sScriptedProxyHandlerFamily;
var __ZTV22JSScriptedProxyHandler;
var __ZN22JSScriptedProxyHandler9singletonE;
var ___dso_handle;

var __ZN2js16ObjectProxyClassE;
var __ZN2js21OuterWindowProxyClassE;
var __ZN2js18FunctionProxyClassE;


var __ZL14static_methods;

var __ZN2js19CallableObjectClassE;
var __ZN2js10ProxyClassE;

var __str93064;


















var __ZN2js8aopNamesE;






















var __ZN2js10binopNamesE;





var __ZN2js9unopNamesE;




































































var __ZN2js13nodeTypeNamesE;





































































var __ZN2js13callbackNamesE;































































var __ZL14static_methods3391;






var __ZN2js20regexp_statics_classE;





















var __ZL19regexp_static_props;
var __ZN2js11RegExpClassE;




var __ZL14regexp_methods;


















































var __ZL8keywords;











var __ZN2js11ScriptClassE;








var __ZL16string_functions;
var _js_empty_ucstr;
var _js_EmptySubString;
var __ZN2js11StringClassE;
var __ZZN2js11str_replaceEP9JSContextjPN2JS5ValueEE6optarg;


































var __ZL14string_methods;

var __ZL21string_static_methods;

var __ZZ16js_ValueToSourceP9JSContextRKN2JS5ValueEE17js_negzero_ucNstr;





var __ZZL17Utf8ToOneUcs4CharPKhiE12minucs4Table;
var __ZL21js_uriUnescaped_ucstr;

var __ZL29js_uriReservedPlusPound_ucstr;









var __ZZN11RegExpGuard14flattenPatternEP9JSContextP14JSLinearStringE11ESCAPE_CHAR;

var __ZZL23str_replace_flat_lambdaP9JSContextjPN2JS5ValueER11ReplaceDataRK9FlatMatchE10lambdaArgc;





var __ZN2js11ArrayBuffer9slowClassE;

var __ZL14PROPERTY_FOUND;

var __ZN2js16ArrayBufferClassE;

var __ZN2js11ArrayBuffer7jspropsE;


var __ZN2js10TypedArray7jspropsE;


var __ZN9Int8Array7jsfuncsE;
var __ZN10Uint8Array7jsfuncsE;
var __ZN10Int16Array7jsfuncsE;
var __ZN11Uint16Array7jsfuncsE;
var __ZN10Int32Array7jsfuncsE;
var __ZN11Uint32Array7jsfuncsE;
var __ZN12Float32Array7jsfuncsE;
var __ZN12Float64Array7jsfuncsE;
var __ZN17Uint8ClampedArray7jsfuncsE;









var __ZN2js10TypedArray11fastClassesE;
var __ZN2js10TypedArray11slowClassesE;









var __ZN2js12WeakMapClassE;




var __ZL16weak_map_methods;



var __ZTVN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEE;





var __ZL14sWrapperFamily;
var __ZTV9JSWrapper;
var _id;



var __ZN9JSWrapper9singletonE;
var __ZN25JSCrossCompartmentWrapper9singletonE;
var __ZTV25JSCrossCompartmentWrapper;
var __ZL10xdrmem_ops;
var __ZZ11JS_XDRBytesE6padbuf;








var _sE4XObjectsCreated;

var __ZN2js14NamespaceClassE;
var __ZL17namespace_methods;

var __ZN2js10QNameClassE;
var __ZN2js18AttributeNameClassE;
var __ZN2js12AnyNameClassE;
var __ZL13qname_methods;






var __ZL16xml_static_props;
var __ZN2js8XMLClassE;






var _js_xml_class_str;
































var __ZL11xml_methods;



var __ZL18xml_static_methods;





var __ZL15namespace_props;


var _js_XMLFilterClass;
var __ZZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_E16pi_prefix_ucNstr;
var __ZZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_E16pi_suffix_ucNstr;
var __ZZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSStringE21comment_prefix_ucNstr;
var __ZZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSStringE21comment_suffix_ucNstr;
var __ZZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSStringE19cdata_prefix_ucNstr;
var __ZZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSStringE19cdata_suffix_ucNstr;













var __ZL11qname_props;




var __ZZL8flipCasehE16flippedCaseChars;
var __ZZL18classBitmapForCharhE16charClassBitmaps;
var __ZL7escapes;

var __ZZL38repeatInformationFromInstructionOffsetsRbRiS0_E35maximumRepeatsFromInstructionOffset;
var __ZZL8flipCasehE16flippedCaseChars4457;
var __ZZL11toLowerCasehE14lowerCaseChars;
var _jsc_pcre_utf8_table1;
var _jsc_pcre_utf8_table2;
var _jsc_pcre_utf8_table3;


var __ZL9ucp_table;

var _gStackChunkSize;
var _gMaxStackSize;
var __ZL9gCanceled;
var __ZL14enableTraceJit;
var __ZL15enableMethodJit;
var __ZL15enableProfiling;
var __ZL19enableTypeInference;
var __ZL22enableDisassemblyDumps;
var __ZL11printTiming;
var __ZL8gRuntime;
var _gExitCode;
var _gQuitting;
var _gErrFile;
var _gOutFile;



var __ZL13sandbox_class;

var __ZL14resolver_class;


























































var __ZL15shell_functions;








var __ZL9its_props;

var __ZL9its_class;















var _jsShell_ErrorFormatString;

var _global_class;

var __ZL9env_class;

var _shellTrustedPrincipals;
var _securityCallbacks;
var __str89382;
var __ZL10gStackBase;



































var __ZL16gTimeoutInterval;

var __ZL14reportWarnings;








var __ZTVN2js3cli6detail10BoolOptionE;
var __ZTVN2js3cli6detail6OptionE;




var __ZL11compileOnly;









var __ZZL13env_enumerateP9JSContextP8JSObjectE9reflected;

var __ZL9its_noisy;







var __ZL13its_enum_fail;










var __ZL19shell_help_messages;




























































var __ZL20MAX_TIMEOUT_INTERVAL;







var __ZZL7CompileP9JSContextjPN2JS5ValueEE11dummy_class;





























var __ZL7badUTF8;
var __ZL7bigUTF8;
var __ZL12badSurrogate;







var __ZL13finalizeCount;
var __ZL20FinalizeCounterClass;

var __ZZL9CountHeapP9JSContextjPN2JS5ValueEE14traceKindNames;






var __ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap;
















var __ZL10js_options;

























var __ZTVN2js3cli6detail17MultiStringOptionE;
var __ZTVN2js3cli6detail12ValuedOptionE;
var __ZTVN2js3cli6detail12StringOptionE;
var __ZTVN2js3cli6detail9IntOptionE;
var __ZZL23OptionFlagsToFormatInfocbPjE3fmt;





var __str17668;



var __ZN2js14BreakpointSiteC1EP8JSScriptPh;
var __ZN2js10BreakpointC1EPNS_8DebuggerEPNS_14BreakpointSiteEP8JSObject;
var __ZN2js8DebuggerC1EP9JSContextP8JSObject;
var __ZN2js8DebuggerD1Ev;
var __ZN2js10StackSpaceC1Ev;
var __ZN2js10StackSpaceD1Ev;
var __ZN2js12ContextStackC1EP9JSContext;
var __ZN2js12ContextStackD1Ev;
var __ZN2js9StackIterC1EP9JSContextNS0_11SavedOptionE;
var __ZN2js13AllFramesIterC1ERNS_10StackSpaceE;
var __ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesD1Ev;
var __ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesC1ES3_PNS0_8SSAValueE;
var __ZN9JSRuntimeC1Ev;
var __ZN9JSRuntimeD1Ev;
var __ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorD1Ev;
var __ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorC1ES1_RS4_;
var __ZN2js7SCInputC1EP9JSContextPKyj;
var __ZN2js8SCOutputC1EP9JSContext;
var __ZN2js10ThreadDataC1Ev;
var __ZN2js10ThreadDataD1Ev;
var __ZN9JSContextC1EP9JSRuntime;
var __ZN9JSContextD1Ev;
var __ZN13JSCompartmentC1EP9JSRuntime;
var __ZN13JSCompartmentD1Ev;
var __ZN2js5crash5StackC1Ey;
var __ZN2js5crash4RingC1Ey;
var __ZN15JSCodeGeneratorC1EPN2js6ParserEj;
var __ZN15JSCodeGeneratorD1Ev;
var __ZZ18js_CopyErrorObjectP9JSContextP8JSObjectS2_EN8AutoFreeD1Ev;
var __ZN2JS23AutoPreserveCompartmentC1EP9JSContext;
var __ZN2JS23AutoPreserveCompartmentD1Ev;
var __ZN2JS21AutoSwitchCompartmentC1EP9JSContextP13JSCompartment;
var __ZN2JS21AutoSwitchCompartmentC1EP9JSContextP8JSObject;
var __ZN2JS21AutoSwitchCompartmentD1Ev;
var __ZN2js8GCMarkerC1EP9JSContext;
var __ZN2js8GCMarkerD1Ev;
var __ZN13AutoGCSessionC1EP9JSContext;
var __ZN13AutoGCSessionD1Ev;
var __ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeD1Ev;
var __ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeC1ES2_;
var __ZN2js7GCTimerC1EP9JSRuntimeP13JSCompartment;
var __ZN2js5types17TypeScriptNestingD1Ev;
var __ZN2js5types15TypeCompartmentD1Ev;
var __ZN2js9MathCacheC1Ev;
var __ZN2js12ToCStringBufC1Ev;
var __ZN2js12ToCStringBufD1Ev;
var __ZN2js8PropDescC1Ev;
var __ZN2js6ParserC1EP9JSContextP12JSPrincipalsPNS_10StackFrameEb;
var __ZN2js6ParserD1Ev;
var __ZN2js8CompilerC1EP9JSContextP12JSPrincipalsPNS_10StackFrameE;
var __ZN2js14JSProxyHandlerD1Ev;
var __ZN22JSScriptedProxyHandlerC1Ev;
var __ZN22JSScriptedProxyHandlerD1Ev;
var __ZN22JSScriptedProxyHandlerD2Ev;
var __ZN2js11TokenStreamC1EP9JSContext;
var __ZN2js11TokenStreamD1Ev;
var __ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkD1Ev;
var __ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkC1EP11JSArenaPool;
var __ZN2js11ArrayBufferD1Ev;
var __ZN9JSWrapperC1Ej;
var __ZN9JSWrapperD1Ev;
var __ZN2js10ForceFrameC1EP9JSContextP8JSObject;
var __ZN2js10ForceFrameD1Ev;
var __ZN2js15AutoCompartmentC1EP9JSContextP8JSObject;
var __ZN2js15AutoCompartmentD1Ev;
var __ZN2js11ErrorCopierD1Ev;
var __ZN25JSCrossCompartmentWrapperC1Ej;
var __ZN25JSCrossCompartmentWrapperD1Ev;
var __ZN25JSCrossCompartmentWrapperD2Ev;
var __ZN2js14XDRScriptStateC1EP10JSXDRState;
var __ZN2js14XDRScriptStateD1Ev;
var __ZN2JS15PerfMeasurementC1ENS0_9EventMaskE;
var __ZN2JS15PerfMeasurementD1Ev;
var __ZN2js3cli12OptionParserD1Ev;
__str=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str1=allocate([115,0] /* s\00 */, "i8", ALLOC_STATIC);
_DebuggerFrame_class=allocate([0, 0, 0, 0, 769, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
_DebuggerObject_class=allocate([0, 0, 0, 0, 257, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 386, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str2=allocate([68,101,98,117,103,103,101,114,0] /* Debugger\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3=allocate([68,101,98,117,103,103,101,114,46,79,98,106,101,99,116,0] /* Debugger.Object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4=allocate([104,105,116,0] /* hit\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str5=allocate([99,114,111,115,115,45,99,111,109,112,97,114,116,109,101,110,116,32,87,101,97,107,77,97,112,32,107,101,121,0] /* cross-compartment We */, "i8", ALLOC_STATIC);
STRING_TABLE.__str6=allocate([101,110,97,98,108,101,100,32,68,101,98,117,103,103,101,114,0] /* enabled Debugger\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str7=allocate([98,114,101,97,107,112,111,105,110,116,32,104,97,110,100,108,101,114,0] /* breakpoint handler\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8=allocate([104,111,111,107,115,0] /* hooks\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str9=allocate([108,105,118,101,32,68,101,98,117,103,103,101,114,46,70,114,97,109,101,0] /* live Debugger.Frame\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str10=allocate([108,105,118,101,32,101,118,97,108,32,68,101,98,117,103,103,101,114,46,83,99,114,105,112,116,0] /* live eval Debugger.S */, "i8", ALLOC_STATIC);
__ZN2js8Debugger7jsclassE=allocate([0, 0, 0, 0, 1793, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 388, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 390, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str11=allocate([112,114,111,116,111,116,121,112,101,32,111,98,106,101,99,116,0] /* prototype object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12=allocate([103,101,116,32,101,110,97,98,108,101,100,0] /* get enabled\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13=allocate([68,101,98,117,103,103,101,114,46,115,101,116,32,101,110,97,98,108,101,100,0] /* Debugger.set enabled */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14=allocate([115,101,116,32,101,110,97,98,108,101,100,0] /* set enabled\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str15=allocate([103,101,116,72,111,111,107,0] /* getHook\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str16=allocate([68,101,98,117,103,103,101,114,46,115,101,116,72,111,111,107,0] /* Debugger.setHook\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str17=allocate([115,101,116,72,111,111,107,0] /* setHook\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str18=allocate([103,101,116,32,117,110,99,97,117,103,104,116,69,120,99,101,112,116,105,111,110,72,111,111,107,0] /* get uncaughtExceptio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str19=allocate([68,101,98,117,103,103,101,114,46,115,101,116,32,117,110,99,97,117,103,104,116,69,120,99,101,112,116,105,111,110,72,111,111,107,0] /* Debugger.set uncaugh */, "i8", ALLOC_STATIC);
STRING_TABLE.__str20=allocate([115,101,116,32,117,110,99,97,117,103,104,116,69,120,99,101,112,116,105,111,110,72,111,111,107,0] /* set uncaughtExceptio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21=allocate([117,110,99,97,117,103,104,116,69,120,99,101,112,116,105,111,110,72,111,111,107,0] /* uncaughtExceptionHoo */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22=allocate([68,101,98,117,103,103,101,114,46,97,100,100,68,101,98,117,103,103,101,101,0] /* Debugger.addDebuggee */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23=allocate([97,100,100,68,101,98,117,103,103,101,101,0] /* addDebuggee\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24=allocate([68,101,98,117,103,103,101,114,46,114,101,109,111,118,101,68,101,98,117,103,103,101,101,0] /* Debugger.removeDebug */, "i8", ALLOC_STATIC);
STRING_TABLE.__str25=allocate([114,101,109,111,118,101,68,101,98,117,103,103,101,101,0] /* removeDebuggee\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str26=allocate([68,101,98,117,103,103,101,114,46,104,97,115,68,101,98,117,103,103,101,101,0] /* Debugger.hasDebuggee */, "i8", ALLOC_STATIC);
STRING_TABLE.__str27=allocate([104,97,115,68,101,98,117,103,103,101,101,0] /* hasDebuggee\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str28=allocate([103,101,116,68,101,98,117,103,103,101,101,115,0] /* getDebuggees\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str29=allocate([103,101,116,78,101,119,101,115,116,70,114,97,109,101,0] /* getNewestFrame\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str30=allocate([99,108,101,97,114,65,108,108,66,114,101,97,107,112,111,105,110,116,115,0] /* clearAllBreakpoints\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31=allocate([101,110,97,98,108,101,100,0] /* enabled\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32=allocate([111,110,68,101,98,117,103,103,101,114,83,116,97,116,101,109,101,110,116,0] /* onDebuggerStatement\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str33=allocate([111,110,69,120,99,101,112,116,105,111,110,85,110,119,105,110,100,0] /* onExceptionUnwind\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str34=allocate([111,110,78,101,119,83,99,114,105,112,116,0] /* onNewScript\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str35=allocate([111,110,69,110,116,101,114,70,114,97,109,101,0] /* onEnterFrame\00 */, "i8", ALLOC_STATIC);
__ZN2js8Debugger10propertiesE=allocate([0, 0, 0, 0, 0, 72, 0, 0, 392, 0, 0, 0, 394, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 396, 0, 0, 0, 398, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 400, 0, 0, 0, 402, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 404, 0, 0, 0, 406, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 408, 0, 0, 0, 410, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 412, 0, 0, 0, 414, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZN2js8Debugger7methodsE=allocate([0, 0, 0, 0, 416, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 418, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 420, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 422, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 424, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 426, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str36=allocate([83,99,114,105,112,116,0] /* Script\00 */, "i8", ALLOC_STATIC);
_DebuggerScript_class=allocate([0, 0, 0, 0, 513, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 428, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str37=allocate([117,114,108,0] /* url\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str38=allocate([115,116,97,114,116,76,105,110,101,0] /* startLine\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str39=allocate([108,105,110,101,67,111,117,110,116,0] /* lineCount\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str40=allocate([108,105,118,101,0] /* live\00 */, "i8", ALLOC_STATIC);
__ZL25DebuggerScript_properties=allocate([0, 0, 0, 0, 0, 72, 0, 0, 430, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 432, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 434, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 436, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str41=allocate([103,101,116,67,104,105,108,100,83,99,114,105,112,116,115,0] /* getChildScripts\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42=allocate([103,101,116,65,108,108,79,102,102,115,101,116,115,0] /* getAllOffsets\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43=allocate([103,101,116,76,105,110,101,79,102,102,115,101,116,115,0] /* getLineOffsets\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str44=allocate([103,101,116,79,102,102,115,101,116,76,105,110,101,0] /* getOffsetLine\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str45=allocate([115,101,116,66,114,101,97,107,112,111,105,110,116,0] /* setBreakpoint\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str46=allocate([103,101,116,66,114,101,97,107,112,111,105,110,116,115,0] /* getBreakpoints\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str47=allocate([99,108,101,97,114,66,114,101,97,107,112,111,105,110,116,0] /* clearBreakpoint\00 */, "i8", ALLOC_STATIC);
__ZL22DebuggerScript_methods=allocate([0, 0, 0, 0, 438, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 440, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 442, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 444, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 446, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 448, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 450, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 452, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str48=allocate([70,114,97,109,101,0] /* Frame\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str49=allocate([65,114,103,117,109,101,110,116,115,0] /* Arguments\00 */, "i8", ALLOC_STATIC);
_DebuggerArguments_class=allocate([0, 0, 0, 0, 256, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str50=allocate([97,114,103,117,109,101,110,116,115,0] /* arguments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51=allocate([99,97,108,108,101,101,0] /* callee\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52=allocate([99,111,110,115,116,114,117,99,116,105,110,103,0] /* constructing\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str53=allocate([103,101,110,101,114,97,116,111,114,0] /* generator\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str54=allocate([111,102,102,115,101,116,0] /* offset\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str55=allocate([111,108,100,101,114,0] /* older\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str56=allocate([115,99,114,105,112,116,0] /* script\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str57=allocate([116,104,105,115,0] /* this\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str58=allocate([116,121,112,101,0] /* type\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str59=allocate([111,110,83,116,101,112,0] /* onStep\00 */, "i8", ALLOC_STATIC);
__ZL24DebuggerFrame_properties=allocate([0, 0, 0, 0, 0, 72, 0, 0, 454, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 456, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 458, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 460, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 462, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 464, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 466, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 468, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 470, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 472, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 474, 0, 0, 0, 476, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str60=allocate([101,118,97,108,0] /* eval\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61=allocate([101,118,97,108,87,105,116,104,66,105,110,100,105,110,103,115,0] /* evalWithBindings\00 */, "i8", ALLOC_STATIC);
__ZL21DebuggerFrame_methods=allocate([0, 0, 0, 0, 478, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 480, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str62=allocate([79,98,106,101,99,116,0] /* Object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63=allocate([112,114,111,116,111,0] /* proto\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str64=allocate([99,108,97,115,115,0] /* class\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str65=allocate([99,97,108,108,97,98,108,101,0] /* callable\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str66=allocate([110,97,109,101,0] /* name\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str67=allocate([112,97,114,97,109,101,116,101,114,78,97,109,101,115,0] /* parameterNames\00 */, "i8", ALLOC_STATIC);
__ZL25DebuggerObject_properties=allocate([0, 0, 0, 0, 0, 72, 0, 0, 482, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 484, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 486, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 488, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 490, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 492, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str68=allocate([103,101,116,79,119,110,80,114,111,112,101,114,116,121,68,101,115,99,114,105,112,116,111,114,0] /* getOwnPropertyDescri */, "i8", ALLOC_STATIC);
STRING_TABLE.__str69=allocate([103,101,116,79,119,110,80,114,111,112,101,114,116,121,78,97,109,101,115,0] /* getOwnPropertyNames\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str70=allocate([100,101,102,105,110,101,80,114,111,112,101,114,116,121,0] /* defineProperty\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71=allocate([100,101,102,105,110,101,80,114,111,112,101,114,116,105,101,115,0] /* defineProperties\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72=allocate([100,101,108,101,116,101,80,114,111,112,101,114,116,121,0] /* deleteProperty\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str73=allocate([115,101,97,108,0] /* seal\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str74=allocate([102,114,101,101,122,101,0] /* freeze\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str75=allocate([112,114,101,118,101,110,116,69,120,116,101,110,115,105,111,110,115,0] /* preventExtensions\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str76=allocate([105,115,83,101,97,108,101,100,0] /* isSealed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str77=allocate([105,115,70,114,111,122,101,110,0] /* isFrozen\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str78=allocate([105,115,69,120,116,101,110,115,105,98,108,101,0] /* isExtensible\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str79=allocate([97,112,112,108,121,0] /* apply\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str80=allocate([99,97,108,108,0] /* call\00 */, "i8", ALLOC_STATIC);
__ZL22DebuggerObject_methods=allocate([0, 0, 0, 0, 494, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 496, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 498, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 500, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 502, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 504, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 506, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 508, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 510, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 512, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 514, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 516, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 518, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZTVN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 520, 0, 0, 0, 522, 0, 0, 0, 524, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str81=allocate([87,101,97,107,77,97,112,32,101,110,116,114,121,32,118,97,108,117,101,0] /* WeakMap entry value\ */, "i8", ALLOC_STATIC);
__ZTVN2js11WeakMapBaseE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str82=allocate([68,101,98,117,103,103,101,114,46,83,99,114,105,112,116,0] /* Debugger.Script\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str83=allocate([68,101,98,117,103,103,101,114,46,70,114,97,109,101,0] /* Debugger.Frame\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str84=allocate([68,101,98,117,103,103,101,114,46,79,98,106,101,99,116,46,100,101,102,105,110,101,80,114,111,112,101,114,116,105,101,115,0] /* Debugger.Object.defi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str85=allocate([118,97,108,117,101,0] /* value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str86=allocate([103,101,116,0] /* get\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str87=allocate([115,101,116,0] /* set\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str88=allocate([68,101,98,117,103,103,101,114,46,79,98,106,101,99,116,46,100,101,102,105,110,101,80,114,111,112,101,114,116,121,0] /* Debugger.Object.defi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str89=allocate([103,101,116,32,115,99,114,105,112,116,0] /* get script\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str90=allocate([103,101,116,32,112,97,114,97,109,101,116,101,114,78,97,109,101,115,0] /* get parameterNames\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91=allocate([103,101,116,32,110,97,109,101,0] /* get name\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92=allocate([103,101,116,32,99,97,108,108,97,98,108,101,0] /* get callable\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str93=allocate([103,101,116,32,99,108,97,115,115,0] /* get class\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str94=allocate([103,101,116,32,112,114,111,116,111,0] /* get proto\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str95=allocate([68,101,98,117,103,103,101,114,46,79,98,106,101,99,116,32,114,101,102,101,114,101,110,116,0] /* Debugger.Object refe */, "i8", ALLOC_STATIC);
STRING_TABLE.__str96=allocate([68,101,98,117,103,103,101,114,46,70,114,97,109,101,46,101,118,97,108,87,105,116,104,66,105,110,100,105,110,103,115,0] /* Debugger.Frame.evalW */, "i8", ALLOC_STATIC);
STRING_TABLE.__str97=allocate([68,101,98,117,103,103,101,114,46,70,114,97,109,101,46,101,118,97,108,0] /* Debugger.Frame.eval\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str98=allocate([115,116,114,105,110,103,0] /* string\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str99=allocate([100,101,98,117,103,103,101,114,32,101,118,97,108,32,99,111,100,101,0] /* debugger eval code\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str100=allocate([115,116,97,99,107,32,102,114,97,109,101,0] /* stack frame\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101=allocate([68,101,98,117,103,103,101,114,46,70,114,97,109,101,46,115,101,116,32,111,110,83,116,101,112,0] /* Debugger.Frame.set o */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102=allocate([115,101,116,32,111,110,83,116,101,112,0] /* set onStep\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str103=allocate([103,101,116,32,111,110,83,116,101,112,0] /* get onStep\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str104=allocate([103,101,116,32,116,121,112,101,0] /* get type\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str105=allocate([103,101,116,32,116,104,105,115,0] /* get this\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str106=allocate([103,101,116,32,111,102,102,115,101,116,0] /* get offset\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str107=allocate([103,101,116,32,108,105,118,101,0] /* get live\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str108=allocate([103,101,116,32,103,101,110,101,114,97,116,111,114,0] /* get generator\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str109=allocate([103,101,116,32,99,111,110,115,116,114,117,99,116,105,110,103,0] /* get constructing\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str110=allocate([103,101,116,32,99,97,108,108,101,101,0] /* get callee\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str111=allocate([103,101,116,32,97,114,103,117,109,101,110,116,115,0] /* get arguments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112=allocate([103,101,116,65,114,103,117,109,101,110,116,0] /* getArgument\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str113=allocate([103,101,116,32,97,114,103,117,109,101,110,116,0] /* get argument\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str114=allocate([68,101,98,117,103,103,101,114,46,83,99,114,105,112,116,46,99,108,101,97,114,66,114,101,97,107,112,111,105,110,116,0] /* Debugger.Script.clea */, "i8", ALLOC_STATIC);
STRING_TABLE.__str115=allocate([68,101,98,117,103,103,101,114,46,83,99,114,105,112,116,46,115,101,116,66,114,101,97,107,112,111,105,110,116,0] /* Debugger.Script.setB */, "i8", ALLOC_STATIC);
STRING_TABLE.__str116=allocate([68,101,98,117,103,103,101,114,46,83,99,114,105,112,116,46,103,101,116,79,102,102,115,101,116,76,105,110,101,0] /* Debugger.Script.getO */, "i8", ALLOC_STATIC);
STRING_TABLE.__str117=allocate([68,101,98,117,103,103,101,114,46,83,99,114,105,112,116,46,103,101,116,76,105,110,101,79,102,102,115,101,116,115,0] /* Debugger.Script.getL */, "i8", ALLOC_STATIC);
STRING_TABLE.__str118=allocate([103,101,116,32,108,105,110,101,67,111,117,110,116,0] /* get lineCount\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str119=allocate([103,101,116,32,115,116,97,114,116,76,105,110,101,0] /* get startLine\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str120=allocate([103,101,116,32,117,114,108,0] /* get url\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str121=allocate([68,101,98,117,103,103,101,114,46,83,99,114,105,112,116,32,114,101,102,101,114,101,110,116,32,104,111,108,100,101,114,0] /* Debugger.Script refe */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122=allocate([71,108,111,98,97,108,68,101,98,117,103,103,101,101,0] /* GlobalDebuggee\00 */, "i8", ALLOC_STATIC);
__ZN2jsL21GlobalDebuggees_classE=allocate([0, 0, 0, 0, 1, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 528, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str156=allocate([65,98,111,117,116,32,116,111,32,100,101,114,101,102,101,114,101,110,99,101,32,105,110,118,97,108,105,100,32,115,108,111,116,0] /* About to dereference */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1157=allocate([47,100,105,115,107,47,108,111,99,97,108,47,106,116,101,114,114,97,99,101,47,98,117,105,108,100,98,111,116,47,115,108,97,118,101,47,106,115,95,106,115,95,66,117,105,108,100,95,65,108,108,47,98,117,105,108,100,47,98,117,105,108,100,101,114,47,98,117,105,108,100,47,109,111,122,105,108,108,97,45,99,101,110,116,114,97,108,47,106,115,47,115,114,99,47,118,109,47,83,116,97,99,107,46,99,112,112,0] /* /disk/local/jterrace */, "i8", ALLOC_STATIC);
__ZN16JSExternalString14str_finalizersE=allocate(32, "*", ALLOC_STATIC);
STRING_TABLE.__ZN2js13StaticStrings11toSmallCharE=allocate([255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,3,4,5,6,7,8,9,255,255,255,255,255,255,255,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255] /* \FF\FF\FF\FF\FF\FF\F */, "i8", ALLOC_STATIC);
STRING_TABLE.__str174=allocate([117,110,105,116,45,115,116,97,116,105,99,45,115,116,114,105,110,103,0] /* unit-static-string\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1175=allocate([108,101,110,103,116,104,50,45,115,116,97,116,105,99,45,115,116,114,105,110,103,0] /* length2-static-strin */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2176=allocate([105,110,116,45,115,116,97,116,105,99,45,115,116,114,105,110,103,0] /* int-static-string\00 */, "i8", ALLOC_STATIC);
__ZZL10AllocCharsP9JSContextjPPtPjE12DOUBLING_MAX=allocate([1048576], ["i32",0,0,0,0], ALLOC_STATIC);
__ZN2js7unicode11js_charinfoE=allocate([0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 1, undef, 0, 0, 0, 0, 4, undef, 0, 0, 32, 0, 2, undef, -32, 0, 0, 0, 2, undef, 0, 0, 0, 0, 2, undef, 743, 0, 0, 0, 2, undef, 121, 0, 0, 0, 2, undef, 0, 0, 1, 0, 2, undef, -1, 0, 0, 0, 2, undef, 0, 0, -199, 0, 2, undef, -232, 0, 0, 0, 2, undef, 0, 0, -121, 0, 2, undef, -300, 0, 0, 0, 2, undef, 195, 0, 0, 0, 2, undef, 0, 0, 210, 0, 2, undef, 0, 0, 206, 0, 2, undef, 0, 0, 205, 0, 2, undef, 0, 0, 79, 0, 2, undef, 0, 0, 202, 0, 2, undef, 0, 0, 203, 0, 2, undef, 0, 0, 207, 0, 2, undef, 97, 0, 0, 0, 2, undef, 0, 0, 211, 0, 2, undef, 0, 0, 209, 0, 2, undef, 163, 0, 0, 0, 2, undef, 0, 0, 213, 0, 2, undef, 130, 0, 0, 0, 2, undef, 0, 0, 214, 0, 2, undef, 0, 0, 218, 0, 2, undef, 0, 0, 217, 0, 2, undef, 0, 0, 219, 0, 2, undef, 56, 0, 0, 0, 2, undef, 0, 0, 2, 0, 2, undef, -1, 0, 1, 0, 2, undef, -2, 0, 0, 0, 2, undef, -79, 0, 0, 0, 2, undef, 0, 0, -97, 0, 2, undef, 0, 0, -56, 0, 2, undef, 0, 0, -130, 0, 2, undef, 0, 0, 10795, 0, 2, undef, 0, 0, -163, 0, 2, undef, 0, 0, 10792, 0, 2, undef, 10815, 0, 0, 0, 2, undef, 0, 0, -195, 0, 2, undef, 0, 0, 69, 0, 2, undef, 0, 0, 71, 0, 2, undef, 10783, 0, 0, 0, 2, undef, 10780, 0, 0, 0, 2, undef, 10782, 0, 0, 0, 2, undef, -210, 0, 0, 0, 2, undef, -206, 0, 0, 0, 2, undef, -205, 0, 0, 0, 2, undef, -202, 0, 0, 0, 2, undef, -203, 0, 0, 0, 2, undef, -207, 0, 0, 0, 2, undef, -22643, 0, 613, 0, 10, undef, -209, 0, 0, 0, 2, undef, -211, 0, 0, 0, 2, undef, 10743, 0, 0, 0, 2, undef, 10749, 0, 0, 0, 2, undef, -213, 0, 0, 0, 2, undef, -214, 0, 0, 0, 2, undef, 10727, 0, 0, 0, 2, undef, -218, 0, 0, 0, 2, undef, -69, 0, 0, 0, 2, undef, -217, 0, 0, 0, 2, undef, -71, 0, 0, 0, 2, undef, -219, 0, 0, 0, 2, undef, 84, 0, 0, 0, 4, undef, 0, 0, 38, 0, 2, undef, 0, 0, 37, 0, 2, undef, 0, 0, 64, 0, 2, undef, 0, 0, 63, 0, 2, undef, -38, 0, 0, 0, 2, undef, -37, 0, 0, 0, 2, undef, -31, 0, 0, 0, 2, undef, -64, 0, 0, 0, 2, undef, -63, 0, 0, 0, 2, undef, 0, 0, 8, 0, 2, undef, -62, 0, 0, 0, 2, undef, -57, 0, 0, 0, 2, undef, -47, 0, 0, 0, 2, undef, -54, 0, 0, 0, 2, undef, -8, 0, 0, 0, 2, undef, -86, 0, 0, 0, 2, undef, -80, 0, 0, 0, 2, undef, 7, 0, 0, 0, 2, undef, 0, 0, -60, 0, 2, undef, -96, 0, 0, 0, 2, undef, 0, 0, -7, 0, 2, undef, 0, 0, 80, 0, 2, undef, 0, 0, 0, 0, 16, undef, 0, 0, 15, 0, 2, undef, -15, 0, 0, 0, 2, undef, 0, 0, 48, 0, 2, undef, -48, 0, 0, 0, 2, undef, 0, 0, 0, 0, 36, undef, 0, 0, 7264, 0, 2, undef, -22659, 0, 7545, 0, 10, undef, 3814, 0, 0, 0, 2, undef, -59, 0, 0, 0, 2, undef, 0, 0, -7615, 0, 2, undef, 8, 0, 0, 0, 2, undef, 0, 0, -8, 0, 2, undef, 74, 0, 0, 0, 2, undef, 86, 0, 0, 0, 2, undef, 100, 0, 0, 0, 2, undef, 128, 0, 0, 0, 2, undef, 112, 0, 0, 0, 2, undef, 126, 0, 0, 0, 2, undef, 9, 0, 0, 0, 2, undef, 0, 0, -74, 0, 2, undef, 0, 0, -9, 0, 2, undef, -7205, 0, 0, 0, 2, undef, 0, 0, -86, 0, 2, undef, 0, 0, -100, 0, 2, undef, 0, 0, -112, 0, 2, undef, 0, 0, -128, 0, 2, undef, 0, 0, -126, 0, 2, undef, 0, 0, -7517, 0, 2, undef, 0, 0, -8383, 0, 2, undef, 0, 0, -8262, 0, 2, undef, 0, 0, 28, 0, 2, undef, -28, 0, 0, 0, 2, undef, 0, 0, 16, 0, 2, undef, -16, 0, 0, 0, 2, undef, 0, 0, 26, 0, 0, undef, -26, 0, 0, 0, 0, undef, 0, 0, -10743, 0, 2, undef, 0, 0, -3814, 0, 2, undef, 0, 0, -10727, 0, 2, undef, -10795, 0, 0, 0, 2, undef, -10792, 0, 0, 0, 2, undef, 0, 0, -10780, 0, 2, undef, 0, 0, -10749, 0, 2, undef, 0, 0, -10783, 0, 2, undef, 0, 0, -10782, 0, 2, undef, 0, 0, -10815, 0, 2, undef, -7264, 0, 0, 0, 2, undef], ["i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8","i16",0,"i16",0,"i8","i8"], ALLOC_STATIC);
__ZN2js7unicode6index1E=allocate([0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 0, 8, 0, 9, 0, 10, 0, 11, 0, 12, 0, 13, 0, 14, 0, 15, 0, 16, 0, 17, 0, 18, 0, 19, 0, 20, 0, 21, 0, 22, 0, 23, 0, 24, 0, 25, 0, 26, 0, 27, 0, 28, 0, 29, 0, 30, 0, 31, 0, 32, 0, 33, 0, 34, 0, 34, 0, 35, 0, 36, 0, 37, 0, 38, 0, 39, 0, 40, 0, 41, 0, 42, 0, 43, 0, 44, 0, 45, 0, 46, 0, 47, 0, 48, 0, 49, 0, 50, 0, 51, 0, 52, 0, 53, 0, 54, 0, 55, 0, 56, 0, 57, 0, 58, 0, 59, 0, 60, 0, 61, 0, 62, 0, 63, 0, 64, 0, 65, 0, 66, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 67, 0, 68, 0, 69, 0, 70, 0, 71, 0, 72, 0, 73, 0, 74, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 75, 0, 76, 0, 77, 0, 78, 0, 79, 0, 80, 0, 81, 0, 82, 0, 83, 0, 84, 0, 85, 0, 86, 0, 87, 0, 88, 0, 89, 0, 90, 0, 91, 0, 92, 0, 34, 0, 93, 0, 94, 0, 95, 0, 96, 0, 97, 0, 98, 0, 34, 0, 99, 0, 26, 0, 100, 0, 26, 0, 101, 0, 102, 0, 102, 0, 103, 0, 102, 0, 104, 0, 105, 0, 106, 0, 107, 0, 108, 0, 109, 0, 110, 0, 111, 0, 112, 0, 113, 0, 114, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 115, 0, 116, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 117, 0, 118, 0, 102, 0, 119, 0, 120, 0, 121, 0, 122, 0, 123, 0, 124, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 125, 0, 74, 0, 126, 0, 127, 0, 128, 0, 26, 0, 129, 0, 130, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 85, 0, 34, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 131, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 132, 0, 133, 0, 26, 0, 26, 0, 26, 0, 26, 0, 134, 0, 135, 0, 136, 0, 137, 0, 138, 0, 139, 0, 140, 0, 141, 0, 142, 0, 143, 0, 144, 0, 145, 0, 146, 0, 147, 0, 148, 0, 149, 0, 150, 0, 151, 0, 152, 0, 153, 0, 154, 0, 34, 0, 34, 0, 155, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 26, 0, 156, 0, 157, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 34, 0, 26, 0, 26, 0, 26, 0, 26, 0, 158, 0, 158, 0, 26, 0, 159, 0, 160, 0, 161, 0, 162, 0, 163, 0, 26, 0, 26, 0, 26, 0, 26, 0, 164, 0, 165, 0, 166, 0, 167, 0, 168, 0, 169, 0, 26, 0, 170, 0, 171, 0, 172, 0, 173, 0, 174, 0], ["i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2js7unicode6index2E=allocate([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 0, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 5, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 0, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 7, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 10, 0, 11, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 12, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 13, 0, 14, 0, 15, 0, 8, 0, 9, 0, 8, 0, 9, 0, 16, 0, 8, 0, 9, 0, 17, 0, 17, 0, 8, 0, 9, 0, 5, 0, 18, 0, 19, 0, 20, 0, 8, 0, 9, 0, 17, 0, 21, 0, 22, 0, 23, 0, 24, 0, 8, 0, 9, 0, 25, 0, 5, 0, 23, 0, 26, 0, 27, 0, 28, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 29, 0, 8, 0, 9, 0, 29, 0, 5, 0, 5, 0, 8, 0, 9, 0, 29, 0, 8, 0, 9, 0, 30, 0, 30, 0, 8, 0, 9, 0, 8, 0, 9, 0, 31, 0, 8, 0, 9, 0, 5, 0, 5, 0, 8, 0, 9, 0, 5, 0, 32, 0, 5, 0, 5, 0, 5, 0, 5, 0, 33, 0, 34, 0, 35, 0, 33, 0, 34, 0, 35, 0, 33, 0, 34, 0, 35, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 36, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 33, 0, 34, 0, 35, 0, 8, 0, 9, 0, 37, 0, 38, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 39, 0, 5, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 40, 0, 8, 0, 9, 0, 41, 0, 42, 0, 43, 0, 43, 0, 8, 0, 9, 0, 44, 0, 45, 0, 46, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 47, 0, 48, 0, 49, 0, 50, 0, 51, 0, 5, 0, 52, 0, 52, 0, 5, 0, 53, 0, 5, 0, 54, 0, 5, 0, 5, 0, 5, 0, 5, 0, 52, 0, 5, 0, 5, 0, 55, 0, 5, 0, 56, 0, 5, 0, 5, 0, 57, 0, 58, 0, 5, 0, 59, 0, 5, 0, 5, 0, 5, 0, 58, 0, 5, 0, 60, 0, 61, 0, 5, 0, 5, 0, 62, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 63, 0, 5, 0, 5, 0, 64, 0, 5, 0, 5, 0, 64, 0, 5, 0, 5, 0, 5, 0, 5, 0, 64, 0, 65, 0, 66, 0, 66, 0, 67, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 68, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 69, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 0, 0, 8, 0, 9, 0, 0, 0, 0, 0, 5, 0, 27, 0, 27, 0, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 71, 0, 71, 0, 71, 0, 0, 0, 72, 0, 0, 0, 73, 0, 73, 0, 5, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 0, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 74, 0, 75, 0, 75, 0, 75, 0, 5, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 76, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 77, 0, 78, 0, 78, 0, 79, 0, 80, 0, 81, 0, 5, 0, 5, 0, 5, 0, 82, 0, 83, 0, 84, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 85, 0, 86, 0, 87, 0, 5, 0, 88, 0, 89, 0, 0, 0, 8, 0, 9, 0, 90, 0, 8, 0, 9, 0, 5, 0, 39, 0, 39, 0, 39, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 91, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 86, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 92, 0, 92, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 93, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 94, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 2, 0, 2, 0, 2, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 97, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 97, 0, 2, 0, 5, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 97, 0, 97, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 2, 0, 97, 0, 97, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 2, 0, 5, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 97, 0, 97, 0, 0, 0, 0, 0, 97, 0, 97, 0, 2, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 97, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 2, 0, 0, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 97, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 2, 0, 5, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 97, 0, 0, 0, 97, 0, 97, 0, 2, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 97, 0, 97, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 2, 0, 5, 0, 97, 0, 2, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 97, 0, 97, 0, 0, 0, 0, 0, 97, 0, 97, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 2, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 97, 0, 0, 0, 97, 0, 97, 0, 97, 0, 2, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 97, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 2, 0, 5, 0, 97, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 0, 0, 2, 0, 97, 0, 97, 0, 0, 0, 97, 0, 97, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 97, 0, 97, 0, 97, 0, 0, 0, 97, 0, 97, 0, 97, 0, 2, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 97, 0, 97, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 0, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 2, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 97, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 5, 0, 97, 0, 97, 0, 97, 0, 5, 0, 5, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 5, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 2, 0, 0, 0, 0, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 1, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 2, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 97, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 97, 0, 97, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 97, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 97, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 97, 0, 2, 0, 2, 0, 97, 0, 97, 0, 97, 0, 2, 0, 97, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 99, 0, 5, 0, 5, 0, 5, 0, 100, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 101, 0, 5, 0, 5, 0, 102, 0, 5, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 0, 0, 0, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 0, 0, 0, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 0, 0, 0, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 0, 0, 0, 0, 5, 0, 103, 0, 5, 0, 103, 0, 5, 0, 103, 0, 5, 0, 103, 0, 0, 0, 104, 0, 0, 0, 104, 0, 0, 0, 104, 0, 0, 0, 104, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 105, 0, 105, 0, 106, 0, 106, 0, 106, 0, 106, 0, 107, 0, 107, 0, 108, 0, 108, 0, 109, 0, 109, 0, 110, 0, 110, 0, 0, 0, 0, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 103, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 104, 0, 103, 0, 103, 0, 5, 0, 111, 0, 5, 0, 0, 0, 5, 0, 5, 0, 104, 0, 104, 0, 112, 0, 112, 0, 113, 0, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 5, 0, 111, 0, 5, 0, 0, 0, 5, 0, 5, 0, 115, 0, 115, 0, 115, 0, 115, 0, 113, 0, 0, 0, 0, 0, 0, 0, 103, 0, 103, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 104, 0, 104, 0, 116, 0, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 103, 0, 103, 0, 5, 0, 5, 0, 5, 0, 87, 0, 5, 0, 5, 0, 104, 0, 104, 0, 117, 0, 117, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 111, 0, 5, 0, 0, 0, 5, 0, 5, 0, 118, 0, 118, 0, 119, 0, 119, 0, 113, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 92, 0, 92, 0, 92, 0, 92, 0, 2, 0, 92, 0, 92, 0, 92, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 120, 0, 0, 0, 5, 0, 0, 0, 121, 0, 122, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 123, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 125, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 126, 0, 5, 0, 5, 0, 5, 0, 8, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 127, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 95, 0, 0, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 96, 0, 0, 0, 8, 0, 9, 0, 129, 0, 130, 0, 131, 0, 132, 0, 133, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 134, 0, 135, 0, 136, 0, 137, 0, 5, 0, 8, 0, 9, 0, 5, 0, 8, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 138, 0, 138, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 9, 0, 8, 0, 9, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 2, 0, 92, 0, 92, 0, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 5, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 5, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 8, 0, 9, 0, 8, 0, 9, 0, 99, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 5, 0, 0, 0, 0, 0, 8, 0, 9, 0, 56, 0, 5, 0, 0, 0, 8, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 8, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 97, 0, 2, 0, 2, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 97, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 97, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 97, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 2, 0, 97, 0, 97, 0, 97, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 97, 0, 97, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 97, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 5, 0, 2, 0, 2, 0, 2, 0, 5, 0, 5, 0, 2, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 2, 0, 2, 0, 5, 0, 2, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 97, 0, 97, 0, 2, 0, 97, 0, 97, 0, 2, 0, 97, 0, 97, 0, 0, 0, 97, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 2, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
__ZL33fatal_error_handler_nesting_depth=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str182=allocate([10,10,35,10,35,32,70,97,116,97,108,32,101,114,114,111,114,32,105,110,32,37,115,44,32,108,105,110,101,32,37,100,10,35,32,0] /* \0A\0A#\0A# Fatal er */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1183=allocate([10,35,10,10,0] /* \0A#\0A\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str184=allocate([78,97,78,0] /* NaN\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1185=allocate([45,73,110,102,105,110,105,116,121,0] /* -Infinity\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2186=allocate([73,110,102,105,110,105,116,121,0] /* Infinity\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3187=allocate([48,46,0] /* 0.\00 */, "i8", ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers20E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 2204812663, 0, 0, 0, 2615987810, 0, 0, 0, -1020, 0, -288, 0, 827693699, 0, 0, 0, 3545324584, 0, 0, 0, -954, 0, -268, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 1308317239, 0, 0, 0, 3255866422, 0, 0, 0, -821, 0, -228, 0, 1034206304, 0, 0, 0, 2206260905, 0, 0, 0, -754, 0, -208, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 3158281378, 0, 0, 0, 4052261297, 0, 0, 0, -622, 0, -168, 0, 224385782, 0, 0, 0, 2745919064, 0, 0, 0, -555, 0, -148, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 2444895829, 0, 0, 0, 2521728396, 0, 0, 0, -422, 0, -108, 0, 2033478602, 0, 0, 0, 3417579257, 0, 0, 0, -356, 0, -88, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 2977874265, 0, 0, 0, 3138550867, 0, 0, 0, -223, 0, -48, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 0, 0, 0, 0, 3906250000, 0, 0, 0, -24, 0, 12, 0, 728806814, 0, 0, 0, 2646977960, 0, 0, 0, 43, 0, 32, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 3927784011, 0, 0, 0, 2430865342, 0, 0, 0, 176, 0, 72, 0, 1114709402, 0, 0, 0, 3294436857, 0, 0, 0, 242, 0, 92, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 2044532855, 0, 0, 0, 3025462433, 0, 0, 0, 375, 0, 132, 0, 4015754449, 0, 0, 0, 4100266178, 0, 0, 0, 441, 0, 152, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 958879083, 0, 0, 0, 3765499789, 0, 0, 0, 574, 0, 192, 0, 2065781727, 0, 0, 0, 2551601907, 0, 0, 0, 641, 0, 212, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 2812132482, 0, 0, 0, 3175731530, 0, 0, 0, 840, 0, 272, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 3532863990, 0, 0, 0, 2916448807, 0, 0, 0, 973, 0, 312, 0, 3135207385, 0, 0, 0, 3952525166, 0, 0, 0, 1039, 0, 332, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers19E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 3527700261, 0, 0, 0, 4185580496, 0, 0, 0, -1024, 0, -289, 0, 3793899112, 0, 0, 0, 2269007733, 0, 0, 0, -960, 0, -270, 0, 1987385183, 0, 0, 0, 2460063114, 0, 0, 0, -897, 0, -251, 0, 652584674, 0, 0, 0, 2667205773, 0, 0, 0, -834, 0, -232, 0, 3080413753, 0, 0, 0, 2891790293, 0, 0, 0, -771, 0, -213, 0, 3524876051, 0, 0, 0, 3135285318, 0, 0, 0, -708, 0, -194, 0, 117293116, 0, 0, 0, 3399283154, 0, 0, 0, -645, 0, -175, 0, 2103616900, 0, 0, 0, 3685510180, 0, 0, 0, -582, 0, -156, 0, 1737185663, 0, 0, 0, 3995838144, 0, 0, 0, -519, 0, -137, 0, 2284435591, 0, 0, 0, 2166148198, 0, 0, 0, -455, 0, -118, 0, 3323588406, 0, 0, 0, 2348542582, 0, 0, 0, -392, 0, -99, 0, 1795758502, 0, 0, 0, 2546294970, 0, 0, 0, -329, 0, -80, 0, 3076165163, 0, 0, 0, 2760698538, 0, 0, 0, -266, 0, -61, 0, 1089586716, 0, 0, 0, 2993155353, 0, 0, 0, -203, 0, -42, 0, 2509408807, 0, 0, 0, 3245185536, 0, 0, 0, -140, 0, -23, 0, 3793315116, 0, 0, 0, 3518437208, 0, 0, 0, -77, 0, -4, 0, 2684354560, 0, 0, 0, 3814697265, 0, 0, 0, -14, 0, 15, 0, 3286244295, 0, 0, 0, 4135903062, 0, 0, 0, 49, 0, 34, 0, 3950112833, 0, 0, 0, 2242077542, 0, 0, 0, 113, 0, 53, 0, 3927784011, 0, 0, 0, 2430865342, 0, 0, 0, 176, 0, 72, 0, 3468747899, 0, 0, 0, 2635549485, 0, 0, 0, 239, 0, 91, 0, 883420895, 0, 0, 0, 2857468478, 0, 0, 0, 302, 0, 110, 0, 3777228824, 0, 0, 0, 3098073531, 0, 0, 0, 365, 0, 129, 0, 3365297469, 0, 0, 0, 3358938053, 0, 0, 0, 428, 0, 148, 0, 671522212, 0, 0, 0, 3641767935, 0, 0, 0, 491, 0, 167, 0, 4228675930, 0, 0, 0, 3948412706, 0, 0, 0, 554, 0, 186, 0, 3358824142, 0, 0, 0, 4280877634, 0, 0, 0, 617, 0, 205, 0, 3812411696, 0, 0, 0, 2320668415, 0, 0, 0, 681, 0, 224, 0, 532061401, 0, 0, 0, 2516073738, 0, 0, 0, 744, 0, 243, 0, 32792387, 0, 0, 0, 2727932613, 0, 0, 0, 807, 0, 262, 0, 1790729824, 0, 0, 0, 2957630465, 0, 0, 0, 870, 0, 281, 0, 61660461, 0, 0, 0, 3206669376, 0, 0, 0, 933, 0, 300, 0, 3940641776, 0, 0, 0, 3476677903, 0, 0, 0, 996, 0, 319, 0, 1974420904, 0, 0, 0, 3769421736, 0, 0, 0, 1059, 0, 338, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers18E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 1963166750, 0, 0, 0, 3348464397, 0, 0, 0, -1027, 0, -290, 0, 1592015719, 0, 0, 0, 2904329899, 0, 0, 0, -967, 0, -272, 0, 901211061, 0, 0, 0, 2519104629, 0, 0, 0, -907, 0, -254, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 2008899837, 0, 0, 0, 3287584938, 0, 0, 0, -728, 0, -200, 0, 59579836, 0, 0, 0, 2851525386, 0, 0, 0, -668, 0, -182, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 2498086432, 0, 0, 0, 4290498537, 0, 0, 0, -549, 0, -146, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 2614070586, 0, 0, 0, 3227812347, 0, 0, 0, -429, 0, -110, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 1211873722, 0, 0, 0, 2428336115, 0, 0, 0, -309, 0, -74, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 1889785610, 0, 0, 0, 2748779069, 0, 0, 0, -70, 0, -2, 0, 67108864, 0, 0, 0, 2384185791, 0, 0, 0, -10, 0, 16, 0, 3286244295, 0, 0, 0, 4135903062, 0, 0, 0, 49, 0, 34, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 3996771383, 0, 0, 0, 3111507638, 0, 0, 0, 169, 0, 70, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 1486484589, 0, 0, 0, 2340838177, 0, 0, 0, 289, 0, 106, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 2959191467, 0, 0, 0, 2649734913, 0, 0, 0, 528, 0, 178, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 1885606668, 0, 0, 0, 3986877980, 0, 0, 0, 647, 0, 214, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 3398444024, 0, 0, 0, 2999393627, 0, 0, 0, 767, 0, 250, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 3569276608, 0, 0, 0, 2256492969, 0, 0, 0, 887, 0, 286, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers17E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 4147513777, 0, 0, 0, 2678771517, 0, 0, 0, -1030, 0, -291, 0, 835189277, 0, 0, 0, 3717542271, 0, 0, 0, -974, 0, -274, 0, 1335156987, 0, 0, 0, 2579563140, 0, 0, 0, -917, 0, -257, 0, 3476218327, 0, 0, 0, 3579862989, 0, 0, 0, -861, 0, -240, 0, 2925449527, 0, 0, 0, 2484028947, 0, 0, 0, -804, 0, -223, 0, 1884382806, 0, 0, 0, 3447282664, 0, 0, 0, -748, 0, -206, 0, 2284516670, 0, 0, 0, 2392032866, 0, 0, 0, -691, 0, -189, 0, 450088378, 0, 0, 0, 3319612455, 0, 0, 0, -635, 0, -172, 0, 3462244210, 0, 0, 0, 2303443862, 0, 0, 0, -578, 0, -155, 0, 2248741990, 0, 0, 0, 3196670515, 0, 0, 0, -522, 0, -138, 0, 1274110156, 0, 0, 0, 2218135755, 0, 0, 0, -465, 0, -121, 0, 400800715, 0, 0, 0, 3078281734, 0, 0, 0, -409, 0, -104, 0, 3615590077, 0, 0, 0, 4271974071, 0, 0, 0, -353, 0, -87, 0, 2041374775, 0, 0, 0, 2964277484, 0, 0, 0, -296, 0, -70, 0, 1301439968, 0, 0, 0, 4113761393, 0, 0, 0, -240, 0, -53, 0, 1769181907, 0, 0, 0, 2854495385, 0, 0, 0, -183, 0, -36, 0, 3063243173, 0, 0, 0, 3961408125, 0, 0, 0, -127, 0, -19, 0, 1889785610, 0, 0, 0, 2748779069, 0, 0, 0, -70, 0, -2, 0, 2684354560, 0, 0, 0, 3814697265, 0, 0, 0, -14, 0, 15, 0, 728806814, 0, 0, 0, 2646977960, 0, 0, 0, 43, 0, 32, 0, 1372879692, 0, 0, 0, 3673419846, 0, 0, 0, 99, 0, 49, 0, 3487185495, 0, 0, 0, 2548947057, 0, 0, 0, 156, 0, 66, 0, 715904556, 0, 0, 0, 3537374640, 0, 0, 0, 212, 0, 83, 0, 2786846552, 0, 0, 0, 2454546732, 0, 0, 0, 269, 0, 100, 0, 28005660, 0, 0, 0, 3406367872, 0, 0, 0, 325, 0, 117, 0, 657767197, 0, 0, 0, 2363642526, 0, 0, 0, 382, 0, 134, 0, 635623182, 0, 0, 0, 3280212943, 0, 0, 0, 438, 0, 151, 0, 2030314119, 0, 0, 0, 2276104959, 0, 0, 0, 495, 0, 168, 0, 2523947285, 0, 0, 0, 3158730165, 0, 0, 0, 551, 0, 185, 0, 36090781, 0, 0, 0, 2191809349, 0, 0, 0, 608, 0, 202, 0, 310335944, 0, 0, 0, 3041746506, 0, 0, 0, 664, 0, 219, 0, 2762425404, 0, 0, 0, 4221271257, 0, 0, 0, 720, 0, 236, 0, 2748367649, 0, 0, 0, 2929095339, 0, 0, 0, 777, 0, 253, 0, 1022549200, 0, 0, 0, 4064936359, 0, 0, 0, 833, 0, 270, 0, 1240370288, 0, 0, 0, 2820616212, 0, 0, 0, 890, 0, 287, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 1870666835, 0, 0, 0, 2716154612, 0, 0, 0, 1003, 0, 321, 0, 1974420904, 0, 0, 0, 3769421736, 0, 0, 0, 1059, 0, 338, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers16E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 3200048207, 0, 0, 0, 4286034428, 0, 0, 0, -1034, 0, -292, 0, 2424306748, 0, 0, 0, 2379227053, 0, 0, 0, -980, 0, -276, 0, 2913388981, 0, 0, 0, 2641472655, 0, 0, 0, -927, 0, -260, 0, 1081627501, 0, 0, 0, 2932623761, 0, 0, 0, -874, 0, -244, 0, 1308317239, 0, 0, 0, 3255866422, 0, 0, 0, -821, 0, -228, 0, 629291719, 0, 0, 0, 3614737867, 0, 0, 0, -768, 0, -212, 0, 388672741, 0, 0, 0, 4013165208, 0, 0, 0, -715, 0, -196, 0, 3536207675, 0, 0, 0, 2227754207, 0, 0, 0, -661, 0, -180, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 224385782, 0, 0, 0, 2745919064, 0, 0, 0, -555, 0, -148, 0, 2868871352, 0, 0, 0, 3048582568, 0, 0, 0, -502, 0, -132, 0, 885076051, 0, 0, 0, 3384606560, 0, 0, 0, -449, 0, -116, 0, 1881767613, 0, 0, 0, 3757668132, 0, 0, 0, -396, 0, -100, 0, 2289335700, 0, 0, 0, 4171849679, 0, 0, 0, -343, 0, -84, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 3497754540, 0, 0, 0, 2571100870, 0, 0, 0, -236, 0, -52, 0, 1769181907, 0, 0, 0, 2854495385, 0, 0, 0, -183, 0, -36, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 3793315116, 0, 0, 0, 3518437208, 0, 0, 0, -77, 0, -4, 0, 0, 0, 0, 0, 3906250000, 0, 0, 0, -24, 0, 12, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 2078956656, 0, 0, 0, 2407412430, 0, 0, 0, 83, 0, 44, 0, 395977285, 0, 0, 0, 2672764710, 0, 0, 0, 136, 0, 60, 0, 2361961896, 0, 0, 0, 2967364920, 0, 0, 0, 189, 0, 76, 0, 1114709402, 0, 0, 0, 3294436857, 0, 0, 0, 242, 0, 92, 0, 443583978, 0, 0, 0, 3657559652, 0, 0, 0, 295, 0, 108, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 1536935362, 0, 0, 0, 2254145170, 0, 0, 0, 402, 0, 140, 0, 4204241075, 0, 0, 0, 2502603868, 0, 0, 0, 455, 0, 156, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 1424604878, 0, 0, 0, 3084697427, 0, 0, 0, 561, 0, 188, 0, 3546052773, 0, 0, 0, 3424702107, 0, 0, 0, 614, 0, 204, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 2762425404, 0, 0, 0, 4221271257, 0, 0, 0, 720, 0, 236, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 1648096297, 0, 0, 0, 2888311001, 0, 0, 0, 880, 0, 284, 0, 61660461, 0, 0, 0, 3206669376, 0, 0, 0, 933, 0, 300, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 3135207385, 0, 0, 0, 3952525166, 0, 0, 0, 1039, 0, 332, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers15E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 4278025484, 0, 0, 0, 3428827542, 0, 0, 0, -1037, 0, -293, 0, 2415917870, 0, 0, 0, 3045410628, 0, 0, 0, -987, 0, -278, 0, 1780719474, 0, 0, 0, 2704867999, 0, 0, 0, -937, 0, -263, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 185142019, 0, 0, 0, 4267529237, 0, 0, 0, -838, 0, -233, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 4256136688, 0, 0, 0, 3366486976, 0, 0, 0, -738, 0, -203, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 360070703, 0, 0, 0, 2655689964, 0, 0, 0, -638, 0, -173, 0, 2205308275, 0, 0, 0, 2358726515, 0, 0, 0, -588, 0, -158, 0, 459826043, 0, 0, 0, 4189939978, 0, 0, 0, -539, 0, -143, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 4085557553, 0, 0, 0, 3305279843, 0, 0, 0, -439, 0, -113, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 3041447549, 0, 0, 0, 2607406049, 0, 0, 0, -339, 0, -83, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 1301439968, 0, 0, 0, 4113761393, 0, 0, 0, -240, 0, -53, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 2509408807, 0, 0, 0, 3245185536, 0, 0, 0, -140, 0, -23, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 0, 0, 0, 0, 2560000000, 0, 0, 0, -40, 0, 7, 0, 1856802816, 0, 0, 0, 2273736754, 0, 0, 0, 10, 0, 22, 0, 3142114080, 0, 0, 0, 4038967834, 0, 0, 0, 59, 0, 37, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 1137756396, 0, 0, 0, 3186183822, 0, 0, 0, 159, 0, 67, 0, 572723645, 0, 0, 0, 2829899712, 0, 0, 0, 209, 0, 82, 0, 998304998, 0, 0, 0, 2513455854, 0, 0, 0, 259, 0, 97, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 3460463360, 0, 0, 0, 3965534120, 0, 0, 0, 358, 0, 127, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 960334048, 0, 0, 0, 3128254836, 0, 0, 0, 458, 0, 157, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 3716664280, 0, 0, 0, 2467757941, 0, 0, 0, 558, 0, 187, 0, 36090781, 0, 0, 0, 2191809349, 0, 0, 0, 608, 0, 202, 0, 3317807770, 0, 0, 0, 3893435527, 0, 0, 0, 657, 0, 217, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 3686165111, 0, 0, 0, 3071379074, 0, 0, 0, 757, 0, 247, 0, 32792387, 0, 0, 0, 2727932613, 0, 0, 0, 807, 0, 262, 0, 1157728226, 0, 0, 0, 2422890877, 0, 0, 0, 857, 0, 277, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 1671534821, 0, 0, 0, 3822647781, 0, 0, 0, 956, 0, 307, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 720543264, 0, 0, 0, 3015537389, 0, 0, 0, 1056, 0, 337, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers14E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 1704433469, 0, 0, 0, 2743062034, 0, 0, 0, -1040, 0, -294, 0, 2405180106, 0, 0, 0, 3898125604, 0, 0, 0, -994, 0, -280, 0, 1720377526, 0, 0, 0, 2769784831, 0, 0, 0, -947, 0, -266, 0, 602835915, 0, 0, 0, 3936100983, 0, 0, 0, -901, 0, -252, 0, 3386884208, 0, 0, 0, 2796767960, 0, 0, 0, -854, 0, -238, 0, 1244745406, 0, 0, 0, 3974446316, 0, 0, 0, -808, 0, -224, 0, 3041770988, 0, 0, 0, 2824013958, 0, 0, 0, -761, 0, -210, 0, 388672741, 0, 0, 0, 4013165208, 0, 0, 0, -715, 0, -196, 0, 59579836, 0, 0, 0, 2851525386, 0, 0, 0, -668, 0, -182, 0, 3158281378, 0, 0, 0, 4052261297, 0, 0, 0, -622, 0, -168, 0, 2180321615, 0, 0, 0, 2879304828, 0, 0, 0, -575, 0, -154, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 783520414, 0, 0, 0, 2907354897, 0, 0, 0, -482, 0, -126, 0, 4033205117, 0, 0, 0, 4131599804, 0, 0, 0, -436, 0, -112, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 2289335700, 0, 0, 0, 4171849679, 0, 0, 0, -343, 0, -84, 0, 2041374775, 0, 0, 0, 2964277484, 0, 0, 0, -296, 0, -70, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 1089586716, 0, 0, 0, 2993155353, 0, 0, 0, -203, 0, -42, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 157079567, 0, 0, 0, 3022314549, 0, 0, 0, -110, 0, -14, 0, 0, 0, 0, 0, 2147483648, 0, 0, 0, -63, 0, 0, 0, 2147483648, 0, 0, 0, 3051757812, 0, 0, 0, -17, 0, 14, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 84084142, 0, 0, 0, 3081487911, 0, 0, 0, 76, 0, 42, 0, 2179810464, 0, 0, 0, 2189528850, 0, 0, 0, 123, 0, 56, 0, 3996771383, 0, 0, 0, 3111507638, 0, 0, 0, 169, 0, 70, 0, 447440347, 0, 0, 0, 2210859150, 0, 0, 0, 216, 0, 84, 0, 3395364895, 0, 0, 0, 3141819817, 0, 0, 0, 262, 0, 98, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 2768370688, 0, 0, 0, 3172427296, 0, 0, 0, 355, 0, 126, 0, 1536935362, 0, 0, 0, 2254145170, 0, 0, 0, 402, 0, 140, 0, 1258259972, 0, 0, 0, 3203332952, 0, 0, 0, 448, 0, 154, 0, 2030314119, 0, 0, 0, 2276104959, 0, 0, 0, 495, 0, 168, 0, 2412723328, 0, 0, 0, 3234539689, 0, 0, 0, 541, 0, 182, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 2472401918, 0, 0, 0, 3266050441, 0, 0, 0, 634, 0, 210, 0, 3812411696, 0, 0, 0, 2320668415, 0, 0, 0, 681, 0, 224, 0, 144878927, 0, 0, 0, 3297868170, 0, 0, 0, 727, 0, 238, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 2095238729, 0, 0, 0, 3329995865, 0, 0, 0, 820, 0, 266, 0, 1432583859, 0, 0, 0, 2366104372, 0, 0, 0, 867, 0, 280, 0, 2678469697, 0, 0, 0, 3362436547, 0, 0, 0, 913, 0, 294, 0, 1581580175, 0, 0, 0, 2389154863, 0, 0, 0, 960, 0, 308, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 1435428070, 0, 0, 0, 2412429911, 0, 0, 0, 1053, 0, 336, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers13E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 2222540234, 0, 0, 0, 2194449627, 0, 0, 0, -1043, 0, -295, 0, 3944496953, 0, 0, 0, 2494800386, 0, 0, 0, -1000, 0, -282, 0, 1521148418, 0, 0, 0, 2836259667, 0, 0, 0, -957, 0, -269, 0, 1668946234, 0, 0, 0, 3224453925, 0, 0, 0, -914, 0, -256, 0, 2425776201, 0, 0, 0, 3665779701, 0, 0, 0, -871, 0, -243, 0, 2361840833, 0, 0, 0, 4167509020, 0, 0, 0, -828, 0, -230, 0, 2633426109, 0, 0, 0, 2368954608, 0, 0, 0, -784, 0, -217, 0, 2545915892, 0, 0, 0, 2693189581, 0, 0, 0, -741, 0, -204, 0, 690798344, 0, 0, 0, 3061802069, 0, 0, 0, -698, 0, -191, 0, 3109405388, 0, 0, 0, 3480865949, 0, 0, 0, -655, 0, -178, 0, 2446724950, 0, 0, 0, 3957286423, 0, 0, 0, -612, 0, -165, 0, 1166505350, 0, 0, 0, 2249456897, 0, 0, 0, -568, 0, -152, 0, 1798993592, 0, 0, 0, 2557336412, 0, 0, 0, -525, 0, -139, 0, 783520414, 0, 0, 0, 2907354897, 0, 0, 0, -482, 0, -126, 0, 4085557553, 0, 0, 0, 3305279843, 0, 0, 0, -439, 0, -113, 0, 1881767613, 0, 0, 0, 3757668132, 0, 0, 0, -396, 0, -100, 0, 3615590077, 0, 0, 0, 4271974071, 0, 0, 0, -353, 0, -87, 0, 1211873722, 0, 0, 0, 2428336115, 0, 0, 0, -309, 0, -74, 0, 3076165163, 0, 0, 0, 2760698538, 0, 0, 0, -266, 0, -61, 0, 2977874265, 0, 0, 0, 3138550867, 0, 0, 0, -223, 0, -48, 0, 3285219208, 0, 0, 0, 3568119231, 0, 0, 0, -180, 0, -35, 0, 3136761009, 0, 0, 0, 4056481920, 0, 0, 0, -137, 0, -22, 0, 917808535, 0, 0, 0, 2305843009, 0, 0, 0, -93, 0, -9, 0, 0, 0, 0, 0, 2621440000, 0, 0, 0, -50, 0, 4, 0, 3305111552, 0, 0, 0, 2980232238, 0, 0, 0, -7, 0, 17, 0, 73879263, 0, 0, 0, 3388131789, 0, 0, 0, 36, 0, 30, 0, 3326330649, 0, 0, 0, 3851859888, 0, 0, 0, 79, 0, 43, 0, 2179810464, 0, 0, 0, 2189528850, 0, 0, 0, 123, 0, 56, 0, 620436729, 0, 0, 0, 2489206111, 0, 0, 0, 166, 0, 69, 0, 572723645, 0, 0, 0, 2829899712, 0, 0, 0, 209, 0, 82, 0, 1793226473, 0, 0, 0, 3217223493, 0, 0, 0, 252, 0, 95, 0, 443583978, 0, 0, 0, 3657559652, 0, 0, 0, 295, 0, 108, 0, 1107928421, 0, 0, 0, 4158163906, 0, 0, 0, 338, 0, 121, 0, 657767197, 0, 0, 0, 2363642526, 0, 0, 0, 382, 0, 134, 0, 115257598, 0, 0, 0, 2687150443, 0, 0, 0, 425, 0, 147, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 302509871, 0, 0, 0, 3473060546, 0, 0, 0, 511, 0, 173, 0, 4228675930, 0, 0, 0, 3948412706, 0, 0, 0, 554, 0, 186, 0, 1651864663, 0, 0, 0, 2244412773, 0, 0, 0, 598, 0, 199, 0, 2065781727, 0, 0, 0, 2551601907, 0, 0, 0, 641, 0, 212, 0, 3691772795, 0, 0, 0, 2900835519, 0, 0, 0, 684, 0, 225, 0, 144878927, 0, 0, 0, 3297868170, 0, 0, 0, 727, 0, 238, 0, 3174313207, 0, 0, 0, 3749242034, 0, 0, 0, 770, 0, 251, 0, 3540899032, 0, 0, 0, 4262394707, 0, 0, 0, 813, 0, 264, 0, 1157728226, 0, 0, 0, 2422890877, 0, 0, 0, 857, 0, 277, 0, 3493000486, 0, 0, 0, 2754508019, 0, 0, 0, 900, 0, 290, 0, 2207698942, 0, 0, 0, 3131513062, 0, 0, 0, 943, 0, 303, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 3141732885, 0, 0, 0, 4047385770, 0, 0, 0, 1029, 0, 329, 0, 2446604868, 0, 0, 0, 2300672446, 0, 0, 0, 1073, 0, 342, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers12E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 120090538, 0, 0, 0, 3511119404, 0, 0, 0, -1047, 0, -296, 0, 1097586188, 0, 0, 0, 3193344495, 0, 0, 0, -1007, 0, -284, 0, 1592015719, 0, 0, 0, 2904329899, 0, 0, 0, -967, 0, -272, 0, 2913388981, 0, 0, 0, 2641472655, 0, 0, 0, -927, 0, -260, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 1244745406, 0, 0, 0, 3974446316, 0, 0, 0, -808, 0, -224, 0, 629291719, 0, 0, 0, 3614737867, 0, 0, 0, -768, 0, -212, 0, 2008899837, 0, 0, 0, 3287584938, 0, 0, 0, -728, 0, -200, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 952827952, 0, 0, 0, 2719426523, 0, 0, 0, -648, 0, -176, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 1166505350, 0, 0, 0, 2249456897, 0, 0, 0, -568, 0, -152, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 885076051, 0, 0, 0, 3384606560, 0, 0, 0, -449, 0, -116, 0, 400800715, 0, 0, 0, 3078281734, 0, 0, 0, -409, 0, -104, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 1795758502, 0, 0, 0, 2546294970, 0, 0, 0, -329, 0, -80, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 707476230, 0, 0, 0, 3831238852, 0, 0, 0, -210, 0, -44, 0, 1161401530, 0, 0, 0, 3484491437, 0, 0, 0, -170, 0, -32, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 0, 0, 0, 0, 2621440000, 0, 0, 0, -50, 0, 4, 0, 67108864, 0, 0, 0, 2384185791, 0, 0, 0, -10, 0, 16, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 451225085, 0, 0, 0, 3944304526, 0, 0, 0, 69, 0, 40, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 4291798741, 0, 0, 0, 3262652233, 0, 0, 0, 149, 0, 64, 0, 2361961896, 0, 0, 0, 2967364920, 0, 0, 0, 189, 0, 76, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 2786846552, 0, 0, 0, 2454546732, 0, 0, 0, 269, 0, 100, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 490890333, 0, 0, 0, 3693191447, 0, 0, 0, 388, 0, 136, 0, 3365297469, 0, 0, 0, 3358938053, 0, 0, 0, 428, 0, 148, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 2019157828, 0, 0, 0, 2526984132, 0, 0, 0, 548, 0, 184, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 931291462, 0, 0, 0, 4180544565, 0, 0, 0, 627, 0, 208, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 2812560400, 0, 0, 0, 3145092172, 0, 0, 0, 747, 0, 244, 0, 2650398350, 0, 0, 0, 2860444667, 0, 0, 0, 787, 0, 256, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 1432583859, 0, 0, 0, 2366104372, 0, 0, 0, 867, 0, 280, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 2513386308, 0, 0, 0, 3237908616, 0, 0, 0, 1026, 0, 328, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers11E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 955065890, 0, 0, 0, 2808895523, 0, 0, 0, -1050, 0, -297, 0, 3981890698, 0, 0, 0, 4087480953, 0, 0, 0, -1014, 0, -286, 0, 4104125259, 0, 0, 0, 2974033816, 0, 0, 0, -977, 0, -275, 0, 2283569038, 0, 0, 0, 2163894399, 0, 0, 0, -940, 0, -264, 0, 2200255651, 0, 0, 0, 3148880786, 0, 0, 0, -904, 0, -253, 0, 2052981037, 0, 0, 0, 2291112313, 0, 0, 0, -867, 0, -242, 0, 1889472666, 0, 0, 0, 3334007216, 0, 0, 0, -831, 0, -231, 0, 944281679, 0, 0, 0, 2425809519, 0, 0, 0, -794, 0, -220, 0, 1654730087, 0, 0, 0, 3530017448, 0, 0, 0, -758, 0, -209, 0, 764146629, 0, 0, 0, 2568425733, 0, 0, 0, -721, 0, -198, 0, 4106428209, 0, 0, 0, 3737551353, 0, 0, 0, -685, 0, -187, 0, 952827952, 0, 0, 0, 2719426523, 0, 0, 0, -648, 0, -176, 0, 2446724950, 0, 0, 0, 3957286423, 0, 0, 0, -612, 0, -165, 0, 2180321615, 0, 0, 0, 2879304828, 0, 0, 0, -575, 0, -154, 0, 459826043, 0, 0, 0, 4189939978, 0, 0, 0, -539, 0, -143, 0, 2868871352, 0, 0, 0, 3048582568, 0, 0, 0, -502, 0, -132, 0, 1274110156, 0, 0, 0, 2218135755, 0, 0, 0, -465, 0, -121, 0, 2614070586, 0, 0, 0, 3227812347, 0, 0, 0, -429, 0, -110, 0, 3323588406, 0, 0, 0, 2348542582, 0, 0, 0, -392, 0, -99, 0, 2033478602, 0, 0, 0, 3417579257, 0, 0, 0, -356, 0, -88, 0, 210166540, 0, 0, 0, 2486616182, 0, 0, 0, -319, 0, -77, 0, 2861011319, 0, 0, 0, 3618502788, 0, 0, 0, -283, 0, -66, 0, 3066304573, 0, 0, 0, 2632807291, 0, 0, 0, -246, 0, -55, 0, 707476230, 0, 0, 0, 3831238852, 0, 0, 0, -210, 0, -44, 0, 3506101602, 0, 0, 0, 2787593149, 0, 0, 0, -173, 0, -33, 0, 3136761009, 0, 0, 0, 4056481920, 0, 0, 0, -137, 0, -22, 0, 3408177919, 0, 0, 0, 2951479051, 0, 0, 0, -100, 0, -11, 0, 0, 0, 0, 0, 2147483648, 0, 0, 0, -63, 0, 0, 0, 0, 0, 0, 0, 3125000000, 0, 0, 0, -27, 0, 11, 0, 1856802816, 0, 0, 0, 2273736754, 0, 0, 0, 10, 0, 22, 0, 911008517, 0, 0, 0, 3308722450, 0, 0, 0, 46, 0, 33, 0, 2078956656, 0, 0, 0, 2407412430, 0, 0, 0, 83, 0, 44, 0, 3487696742, 0, 0, 0, 3503246160, 0, 0, 0, 119, 0, 55, 0, 3487185495, 0, 0, 0, 2548947057, 0, 0, 0, 156, 0, 66, 0, 2952452370, 0, 0, 0, 3709206150, 0, 0, 0, 192, 0, 77, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 1022980647, 0, 0, 0, 3927274772, 0, 0, 0, 265, 0, 99, 0, 883420895, 0, 0, 0, 2857468478, 0, 0, 0, 302, 0, 110, 0, 1107928421, 0, 0, 0, 4158163906, 0, 0, 0, 338, 0, 121, 0, 2044532855, 0, 0, 0, 3025462433, 0, 0, 0, 375, 0, 132, 0, 3983941407, 0, 0, 0, 2201313642, 0, 0, 0, 412, 0, 143, 0, 1258259972, 0, 0, 0, 3203332952, 0, 0, 0, 448, 0, 154, 0, 2147761134, 0, 0, 0, 2330731478, 0, 0, 0, 485, 0, 165, 0, 2241576851, 0, 0, 0, 3391660689, 0, 0, 0, 521, 0, 176, 0, 3716664280, 0, 0, 0, 2467757941, 0, 0, 0, 558, 0, 187, 0, 1783990002, 0, 0, 0, 3591060437, 0, 0, 0, 594, 0, 198, 0, 1118928076, 0, 0, 0, 2612840353, 0, 0, 0, 631, 0, 209, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 1756781921, 0, 0, 0, 2766452331, 0, 0, 0, 704, 0, 231, 0, 4287272079, 0, 0, 0, 4025717980, 0, 0, 0, 740, 0, 242, 0, 2748367649, 0, 0, 0, 2929095339, 0, 0, 0, 777, 0, 253, 0, 3540899032, 0, 0, 0, 4262394707, 0, 0, 0, 813, 0, 264, 0, 3887073815, 0, 0, 0, 3101300322, 0, 0, 0, 850, 0, 275, 0, 3569276608, 0, 0, 0, 2256492969, 0, 0, 0, 887, 0, 286, 0, 166219527, 0, 0, 0, 3283629441, 0, 0, 0, 923, 0, 297, 0, 1581580175, 0, 0, 0, 2389154863, 0, 0, 0, 960, 0, 308, 0, 3940641776, 0, 0, 0, 3476677903, 0, 0, 0, 996, 0, 319, 0, 3037324877, 0, 0, 0, 2529616106, 0, 0, 0, 1033, 0, 330, 0, 2196580870, 0, 0, 0, 3681075914, 0, 0, 0, 1069, 0, 341, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL15kCachedPowers10E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 2482039630, 0, 0, 0, 2247116418, 0, 0, 0, -1053, 0, -298, 0, 2204812663, 0, 0, 0, 2615987810, 0, 0, 0, -1020, 0, -288, 0, 2415917870, 0, 0, 0, 3045410628, 0, 0, 0, -987, 0, -278, 0, 827693699, 0, 0, 0, 3545324584, 0, 0, 0, -954, 0, -268, 0, 2136251179, 0, 0, 0, 4127301024, 0, 0, 0, -921, 0, -258, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 3386884208, 0, 0, 0, 2796767960, 0, 0, 0, -854, 0, -238, 0, 1308317239, 0, 0, 0, 3255866422, 0, 0, 0, -821, 0, -228, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 1034206304, 0, 0, 0, 2206260905, 0, 0, 0, -754, 0, -208, 0, 764146629, 0, 0, 0, 2568425733, 0, 0, 0, -721, 0, -198, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 3109405388, 0, 0, 0, 3480865949, 0, 0, 0, -655, 0, -178, 0, 3158281378, 0, 0, 0, 4052261297, 0, 0, 0, -622, 0, -168, 0, 2205308275, 0, 0, 0, 2358726515, 0, 0, 0, -588, 0, -158, 0, 224385782, 0, 0, 0, 2745919064, 0, 0, 0, -555, 0, -148, 0, 2248741990, 0, 0, 0, 3196670515, 0, 0, 0, -522, 0, -138, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 2284435591, 0, 0, 0, 2166148198, 0, 0, 0, -455, 0, -118, 0, 2444895829, 0, 0, 0, 2521728396, 0, 0, 0, -422, 0, -108, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 2033478602, 0, 0, 0, 3417579257, 0, 0, 0, -356, 0, -88, 0, 1195259923, 0, 0, 0, 3978585891, 0, 0, 0, -323, 0, -78, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 3071176406, 0, 0, 0, 2695994666, 0, 0, 0, -256, 0, -58, 0, 2977874265, 0, 0, 0, 3138550867, 0, 0, 0, -223, 0, -48, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 2451397895, 0, 0, 0, 2475880078, 0, 0, 0, -123, 0, -18, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 0, 0, 0, 0, 3355443200, 0, 0, 0, -57, 0, 2, 0, 0, 0, 0, 0, 3906250000, 0, 0, 0, -24, 0, 12, 0, 1856802816, 0, 0, 0, 2273736754, 0, 0, 0, 10, 0, 22, 0, 728806814, 0, 0, 0, 2646977960, 0, 0, 0, 43, 0, 32, 0, 84084142, 0, 0, 0, 3081487911, 0, 0, 0, 76, 0, 42, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 2229327244, 0, 0, 0, 4176194859, 0, 0, 0, 142, 0, 62, 0, 3927784011, 0, 0, 0, 2430865342, 0, 0, 0, 176, 0, 72, 0, 572723645, 0, 0, 0, 2829899712, 0, 0, 0, 209, 0, 82, 0, 1114709402, 0, 0, 0, 3294436857, 0, 0, 0, 242, 0, 92, 0, 3280705914, 0, 0, 0, 3835229269, 0, 0, 0, 275, 0, 102, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 1766197087, 0, 0, 0, 2598852441, 0, 0, 0, 342, 0, 122, 0, 2044532855, 0, 0, 0, 3025462433, 0, 0, 0, 375, 0, 132, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 4015754449, 0, 0, 0, 4100266178, 0, 0, 0, 441, 0, 152, 0, 4226531965, 0, 0, 0, 2386669033, 0, 0, 0, 475, 0, 162, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 2412723328, 0, 0, 0, 3234539689, 0, 0, 0, 541, 0, 182, 0, 958879083, 0, 0, 0, 3765499789, 0, 0, 0, 574, 0, 192, 0, 36090781, 0, 0, 0, 2191809349, 0, 0, 0, 608, 0, 202, 0, 2065781727, 0, 0, 0, 2551601907, 0, 0, 0, 641, 0, 212, 0, 1443913133, 0, 0, 0, 2970455572, 0, 0, 0, 674, 0, 222, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 4287272079, 0, 0, 0, 4025717980, 0, 0, 0, 740, 0, 242, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 32792387, 0, 0, 0, 2727932613, 0, 0, 0, 807, 0, 262, 0, 2812132482, 0, 0, 0, 3175731530, 0, 0, 0, 840, 0, 272, 0, 3312154103, 0, 0, 0, 3697038081, 0, 0, 0, 873, 0, 282, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 48172235, 0, 0, 0, 2505210450, 0, 0, 0, 940, 0, 302, 0, 3532863990, 0, 0, 0, 2916448807, 0, 0, 0, 973, 0, 312, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 3135207385, 0, 0, 0, 3952525166, 0, 0, 0, 1039, 0, 332, 0, 2446604868, 0, 0, 0, 2300672446, 0, 0, 0, 1073, 0, 342, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers9E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 3112269949, 0, 0, 0, 3595386269, 0, 0, 0, -1057, 0, -299, 0, 1963166750, 0, 0, 0, 3348464397, 0, 0, 0, -1027, 0, -290, 0, 2783137544, 0, 0, 0, 3118500483, 0, 0, 0, -997, 0, -281, 0, 1592015719, 0, 0, 0, 2904329899, 0, 0, 0, -967, 0, -272, 0, 1780719474, 0, 0, 0, 2704867999, 0, 0, 0, -937, 0, -263, 0, 901211061, 0, 0, 0, 2519104629, 0, 0, 0, -907, 0, -254, 0, 6308542, 0, 0, 0, 2346099009, 0, 0, 0, -877, 0, -245, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 3782880196, 0, 0, 0, 4069833027, 0, 0, 0, -818, 0, -227, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 1654730087, 0, 0, 0, 3530017448, 0, 0, 0, -758, 0, -209, 0, 2008899837, 0, 0, 0, 3287584938, 0, 0, 0, -728, 0, -200, 0, 690798344, 0, 0, 0, 3061802069, 0, 0, 0, -698, 0, -191, 0, 59579836, 0, 0, 0, 2851525386, 0, 0, 0, -668, 0, -182, 0, 360070703, 0, 0, 0, 2655689964, 0, 0, 0, -638, 0, -173, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 3462244210, 0, 0, 0, 2303443862, 0, 0, 0, -578, 0, -155, 0, 2498086432, 0, 0, 0, 4290498537, 0, 0, 0, -549, 0, -146, 0, 1737185663, 0, 0, 0, 3995838144, 0, 0, 0, -519, 0, -137, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 2796103486, 0, 0, 0, 3465837117, 0, 0, 0, -459, 0, -119, 0, 2614070586, 0, 0, 0, 3227812347, 0, 0, 0, -429, 0, -110, 0, 4082394468, 0, 0, 0, 3006134505, 0, 0, 0, -399, 0, -101, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 3041447549, 0, 0, 0, 2607406049, 0, 0, 0, -339, 0, -83, 0, 1211873722, 0, 0, 0, 2428336115, 0, 0, 0, -309, 0, -74, 0, 3935615723, 0, 0, 0, 2261564242, 0, 0, 0, -279, 0, -65, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 2648601008, 0, 0, 0, 3923188584, 0, 0, 0, -220, 0, -47, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 899300158, 0, 0, 0, 3402823669, 0, 0, 0, -160, 0, -29, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 3408177919, 0, 0, 0, 2951479051, 0, 0, 0, -100, 0, -11, 0, 1889785610, 0, 0, 0, 2748779069, 0, 0, 0, -70, 0, -2, 0, 0, 0, 0, 0, 2560000000, 0, 0, 0, -40, 0, 7, 0, 67108864, 0, 0, 0, 2384185791, 0, 0, 0, -10, 0, 16, 0, 1075086496, 0, 0, 0, 2220446049, 0, 0, 0, 20, 0, 25, 0, 3286244295, 0, 0, 0, 4135903062, 0, 0, 0, 49, 0, 34, 0, 3326330649, 0, 0, 0, 3851859888, 0, 0, 0, 79, 0, 43, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 2642455254, 0, 0, 0, 3340955887, 0, 0, 0, 139, 0, 61, 0, 3996771383, 0, 0, 0, 3111507638, 0, 0, 0, 169, 0, 70, 0, 964426134, 0, 0, 0, 2897817305, 0, 0, 0, 199, 0, 79, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 998304998, 0, 0, 0, 2513455854, 0, 0, 0, 259, 0, 97, 0, 1486484589, 0, 0, 0, 2340838177, 0, 0, 0, 289, 0, 106, 0, 361521006, 0, 0, 0, 2180075438, 0, 0, 0, 319, 0, 115, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 3629407893, 0, 0, 0, 3781828041, 0, 0, 0, 378, 0, 133, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 635623182, 0, 0, 0, 3280212943, 0, 0, 0, 438, 0, 151, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 1464150824, 0, 0, 0, 2845131199, 0, 0, 0, 498, 0, 169, 0, 2959191467, 0, 0, 0, 2649734913, 0, 0, 0, 528, 0, 178, 0, 3716664280, 0, 0, 0, 2467757941, 0, 0, 0, 558, 0, 187, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 3358824142, 0, 0, 0, 4280877634, 0, 0, 0, 617, 0, 205, 0, 1885606668, 0, 0, 0, 3986877980, 0, 0, 0, 647, 0, 214, 0, 1804891417, 0, 0, 0, 3713069465, 0, 0, 0, 677, 0, 223, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 3429817663, 0, 0, 0, 3220574384, 0, 0, 0, 737, 0, 241, 0, 3398444024, 0, 0, 0, 2999393627, 0, 0, 0, 767, 0, 250, 0, 3091596119, 0, 0, 0, 2793402995, 0, 0, 0, 797, 0, 259, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 1157728226, 0, 0, 0, 2422890877, 0, 0, 0, 857, 0, 277, 0, 3569276608, 0, 0, 0, 2256492969, 0, 0, 0, 887, 0, 286, 0, 2274345297, 0, 0, 0, 4203045684, 0, 0, 0, 916, 0, 295, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 3342338164, 0, 0, 0, 3645561009, 0, 0, 0, 976, 0, 313, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 1649172449, 0, 0, 0, 3162020133, 0, 0, 0, 1036, 0, 331, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers8E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 3348809418, 0, 0, 0, 2876309015, 0, 0, 0, -1060, 0, -300, 0, 3200048207, 0, 0, 0, 4286034428, 0, 0, 0, -1034, 0, -292, 0, 1097586188, 0, 0, 0, 3193344495, 0, 0, 0, -1007, 0, -284, 0, 2424306748, 0, 0, 0, 2379227053, 0, 0, 0, -980, 0, -276, 0, 827693699, 0, 0, 0, 3545324584, 0, 0, 0, -954, 0, -268, 0, 2913388981, 0, 0, 0, 2641472655, 0, 0, 0, -927, 0, -260, 0, 602835915, 0, 0, 0, 3936100983, 0, 0, 0, -901, 0, -252, 0, 1081627501, 0, 0, 0, 2932623761, 0, 0, 0, -874, 0, -244, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 1308317239, 0, 0, 0, 3255866422, 0, 0, 0, -821, 0, -228, 0, 944281679, 0, 0, 0, 2425809519, 0, 0, 0, -794, 0, -220, 0, 629291719, 0, 0, 0, 3614737867, 0, 0, 0, -768, 0, -212, 0, 2545915892, 0, 0, 0, 2693189581, 0, 0, 0, -741, 0, -204, 0, 388672741, 0, 0, 0, 4013165208, 0, 0, 0, -715, 0, -196, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 3536207675, 0, 0, 0, 2227754207, 0, 0, 0, -661, 0, -180, 0, 450088378, 0, 0, 0, 3319612455, 0, 0, 0, -635, 0, -172, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 2103616900, 0, 0, 0, 3685510180, 0, 0, 0, -582, 0, -156, 0, 224385782, 0, 0, 0, 2745919064, 0, 0, 0, -555, 0, -148, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 2868871352, 0, 0, 0, 3048582568, 0, 0, 0, -502, 0, -132, 0, 1820084875, 0, 0, 0, 2271371013, 0, 0, 0, -475, 0, -124, 0, 885076051, 0, 0, 0, 3384606560, 0, 0, 0, -449, 0, -116, 0, 2444895829, 0, 0, 0, 2521728396, 0, 0, 0, -422, 0, -108, 0, 1881767613, 0, 0, 0, 3757668132, 0, 0, 0, -396, 0, -100, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 2289335700, 0, 0, 0, 4171849679, 0, 0, 0, -343, 0, -84, 0, 2410191823, 0, 0, 0, 3108270227, 0, 0, 0, -316, 0, -76, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 1697722806, 0, 0, 0, 3450873173, 0, 0, 0, -263, 0, -60, 0, 3497754540, 0, 0, 0, 2571100870, 0, 0, 0, -236, 0, -52, 0, 707476230, 0, 0, 0, 3831238852, 0, 0, 0, -210, 0, -44, 0, 1769181907, 0, 0, 0, 2854495385, 0, 0, 0, -183, 0, -36, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 1867548876, 0, 0, 0, 2361183241, 0, 0, 0, -103, 0, -12, 0, 3793315116, 0, 0, 0, 3518437208, 0, 0, 0, -77, 0, -4, 0, 0, 0, 0, 0, 2621440000, 0, 0, 0, -50, 0, 4, 0, 0, 0, 0, 0, 3906250000, 0, 0, 0, -24, 0, 12, 0, 2892103680, 0, 0, 0, 2910383045, 0, 0, 0, 3, 0, 20, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 3372684723, 0, 0, 0, 3231174267, 0, 0, 0, 56, 0, 36, 0, 2078956656, 0, 0, 0, 2407412430, 0, 0, 0, 83, 0, 44, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 395977285, 0, 0, 0, 2672764710, 0, 0, 0, 136, 0, 60, 0, 3569679143, 0, 0, 0, 3982729777, 0, 0, 0, 162, 0, 68, 0, 2361961896, 0, 0, 0, 2967364920, 0, 0, 0, 189, 0, 76, 0, 447440347, 0, 0, 0, 2210859150, 0, 0, 0, 216, 0, 84, 0, 1114709402, 0, 0, 0, 3294436857, 0, 0, 0, 242, 0, 92, 0, 2786846552, 0, 0, 0, 2454546732, 0, 0, 0, 269, 0, 100, 0, 443583978, 0, 0, 0, 3657559652, 0, 0, 0, 295, 0, 108, 0, 2599384906, 0, 0, 0, 2725094297, 0, 0, 0, 322, 0, 116, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 2044532855, 0, 0, 0, 3025462433, 0, 0, 0, 375, 0, 132, 0, 1536935362, 0, 0, 0, 2254145170, 0, 0, 0, 402, 0, 140, 0, 3365297469, 0, 0, 0, 3358938053, 0, 0, 0, 428, 0, 148, 0, 4204241075, 0, 0, 0, 2502603868, 0, 0, 0, 455, 0, 156, 0, 2577424355, 0, 0, 0, 3729170365, 0, 0, 0, 481, 0, 164, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 2744688476, 0, 0, 0, 4140210802, 0, 0, 0, 534, 0, 180, 0, 1424604878, 0, 0, 0, 3084697427, 0, 0, 0, 561, 0, 188, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 3546052773, 0, 0, 0, 3424702107, 0, 0, 0, 614, 0, 204, 0, 2065781727, 0, 0, 0, 2551601907, 0, 0, 0, 641, 0, 212, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 1558426518, 0, 0, 0, 2832847187, 0, 0, 0, 694, 0, 228, 0, 2762425404, 0, 0, 0, 4221271257, 0, 0, 0, 720, 0, 236, 0, 2812560400, 0, 0, 0, 3145092172, 0, 0, 0, 747, 0, 244, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 2790753324, 0, 0, 0, 3491753744, 0, 0, 0, 800, 0, 260, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 2711358621, 0, 0, 0, 3876625403, 0, 0, 0, 853, 0, 276, 0, 1648096297, 0, 0, 0, 2888311001, 0, 0, 0, 880, 0, 284, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 61660461, 0, 0, 0, 3206669376, 0, 0, 0, 933, 0, 300, 0, 1581580175, 0, 0, 0, 2389154863, 0, 0, 0, 960, 0, 308, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 3034782633, 0, 0, 0, 2652494738, 0, 0, 0, 1013, 0, 324, 0, 3135207385, 0, 0, 0, 3952525166, 0, 0, 0, 1039, 0, 332, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers7E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 2679047535, 0, 0, 0, 2301047212, 0, 0, 0, -1063, 0, -301, 0, 1704433469, 0, 0, 0, 2743062034, 0, 0, 0, -1040, 0, -294, 0, 608532181, 0, 0, 0, 3269984763, 0, 0, 0, -1017, 0, -287, 0, 2405180106, 0, 0, 0, 3898125604, 0, 0, 0, -994, 0, -280, 0, 2132606034, 0, 0, 0, 2323463919, 0, 0, 0, -970, 0, -273, 0, 1720377526, 0, 0, 0, 2769784831, 0, 0, 0, -947, 0, -266, 0, 2567994403, 0, 0, 0, 3301840819, 0, 0, 0, -924, 0, -259, 0, 602835915, 0, 0, 0, 3936100983, 0, 0, 0, -901, 0, -252, 0, 6308542, 0, 0, 0, 2346099009, 0, 0, 0, -877, 0, -245, 0, 3386884208, 0, 0, 0, 2796767960, 0, 0, 0, -854, 0, -238, 0, 1889472666, 0, 0, 0, 3334007216, 0, 0, 0, -831, 0, -231, 0, 1244745406, 0, 0, 0, 3974446316, 0, 0, 0, -808, 0, -224, 0, 2633426109, 0, 0, 0, 2368954608, 0, 0, 0, -784, 0, -217, 0, 3041770988, 0, 0, 0, 2824013958, 0, 0, 0, -761, 0, -210, 0, 4256136688, 0, 0, 0, 3366486976, 0, 0, 0, -738, 0, -203, 0, 388672741, 0, 0, 0, 4013165208, 0, 0, 0, -715, 0, -196, 0, 2284516670, 0, 0, 0, 2392032866, 0, 0, 0, -691, 0, -189, 0, 59579836, 0, 0, 0, 2851525386, 0, 0, 0, -668, 0, -182, 0, 117293116, 0, 0, 0, 3399283154, 0, 0, 0, -645, 0, -175, 0, 3158281378, 0, 0, 0, 4052261297, 0, 0, 0, -622, 0, -168, 0, 3804423900, 0, 0, 0, 2415335951, 0, 0, 0, -598, 0, -161, 0, 2180321615, 0, 0, 0, 2879304828, 0, 0, 0, -575, 0, -154, 0, 280482227, 0, 0, 0, 3432398830, 0, 0, 0, -552, 0, -147, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 4013084000, 0, 0, 0, 2438866054, 0, 0, 0, -505, 0, -133, 0, 783520414, 0, 0, 0, 2907354897, 0, 0, 0, -482, 0, -126, 0, 2796103486, 0, 0, 0, 3465837117, 0, 0, 0, -459, 0, -119, 0, 4033205117, 0, 0, 0, 4131599804, 0, 0, 0, -436, 0, -112, 0, 1179634031, 0, 0, 0, 2462625387, 0, 0, 0, -412, 0, -105, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 2803836594, 0, 0, 0, 3499601159, 0, 0, 0, -366, 0, -91, 0, 2289335700, 0, 0, 0, 4171849679, 0, 0, 0, -343, 0, -84, 0, 210166540, 0, 0, 0, 2486616182, 0, 0, 0, -319, 0, -77, 0, 2041374775, 0, 0, 0, 2964277484, 0, 0, 0, -296, 0, -70, 0, 2391303183, 0, 0, 0, 3533694129, 0, 0, 0, -273, 0, -63, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 664312494, 0, 0, 0, 2510840694, 0, 0, 0, -226, 0, -49, 0, 1089586716, 0, 0, 0, 2993155353, 0, 0, 0, -203, 0, -42, 0, 3285219208, 0, 0, 0, 3568119231, 0, 0, 0, -180, 0, -35, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 1960475631, 0, 0, 0, 2535301200, 0, 0, 0, -133, 0, -21, 0, 157079567, 0, 0, 0, 3022314549, 0, 0, 0, -110, 0, -14, 0, 3849994940, 0, 0, 0, 3602879701, 0, 0, 0, -87, 0, -7, 0, 0, 0, 0, 0, 2147483648, 0, 0, 0, -63, 0, 0, 0, 0, 0, 0, 0, 2560000000, 0, 0, 0, -40, 0, 7, 0, 2147483648, 0, 0, 0, 3051757812, 0, 0, 0, -17, 0, 14, 0, 393904128, 0, 0, 0, 3637978807, 0, 0, 0, 6, 0, 21, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 980160860, 0, 0, 0, 2584939414, 0, 0, 0, 53, 0, 35, 0, 84084142, 0, 0, 0, 3081487911, 0, 0, 0, 76, 0, 42, 0, 1372879692, 0, 0, 0, 3673419846, 0, 0, 0, 99, 0, 49, 0, 2179810464, 0, 0, 0, 2189528850, 0, 0, 0, 123, 0, 56, 0, 856458615, 0, 0, 0, 2610121787, 0, 0, 0, 146, 0, 63, 0, 3996771383, 0, 0, 0, 3111507638, 0, 0, 0, 169, 0, 70, 0, 2952452370, 0, 0, 0, 3709206150, 0, 0, 0, 192, 0, 77, 0, 447440347, 0, 0, 0, 2210859150, 0, 0, 0, 216, 0, 84, 0, 3468747899, 0, 0, 0, 2635549485, 0, 0, 0, 239, 0, 91, 0, 3395364895, 0, 0, 0, 3141819817, 0, 0, 0, 262, 0, 98, 0, 3237368801, 0, 0, 0, 3745341083, 0, 0, 0, 285, 0, 105, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 21879422, 0, 0, 0, 2661224900, 0, 0, 0, 332, 0, 119, 0, 2768370688, 0, 0, 0, 3172427296, 0, 0, 0, 355, 0, 126, 0, 3629407893, 0, 0, 0, 3781828041, 0, 0, 0, 378, 0, 133, 0, 1536935362, 0, 0, 0, 2254145170, 0, 0, 0, 402, 0, 140, 0, 115257598, 0, 0, 0, 2687150443, 0, 0, 0, 425, 0, 147, 0, 1258259972, 0, 0, 0, 3203332952, 0, 0, 0, 448, 0, 154, 0, 1608490389, 0, 0, 0, 3818670454, 0, 0, 0, 471, 0, 161, 0, 2030314119, 0, 0, 0, 2276104959, 0, 0, 0, 495, 0, 168, 0, 2652254940, 0, 0, 0, 2713328551, 0, 0, 0, 518, 0, 175, 0, 2412723328, 0, 0, 0, 3234539689, 0, 0, 0, 541, 0, 182, 0, 707014274, 0, 0, 0, 3855871784, 0, 0, 0, 564, 0, 189, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 1118855300, 0, 0, 0, 2739761686, 0, 0, 0, 611, 0, 203, 0, 2472401918, 0, 0, 0, 3266050441, 0, 0, 0, 634, 0, 210, 0, 3317807770, 0, 0, 0, 3893435527, 0, 0, 0, 657, 0, 217, 0, 3812411696, 0, 0, 0, 2320668415, 0, 0, 0, 681, 0, 224, 0, 1756781921, 0, 0, 0, 2766452331, 0, 0, 0, 704, 0, 231, 0, 144878927, 0, 0, 0, 3297868170, 0, 0, 0, 727, 0, 238, 0, 3515700500, 0, 0, 0, 3931365215, 0, 0, 0, 750, 0, 245, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 3091596119, 0, 0, 0, 2793402995, 0, 0, 0, 797, 0, 259, 0, 2095238729, 0, 0, 0, 3329995865, 0, 0, 0, 820, 0, 266, 0, 1367681955, 0, 0, 0, 3969664413, 0, 0, 0, 843, 0, 273, 0, 1432583859, 0, 0, 0, 2366104372, 0, 0, 0, 867, 0, 280, 0, 1240370288, 0, 0, 0, 2820616212, 0, 0, 0, 890, 0, 287, 0, 2678469697, 0, 0, 0, 3362436547, 0, 0, 0, 913, 0, 294, 0, 77075576, 0, 0, 0, 4008336720, 0, 0, 0, 936, 0, 301, 0, 1581580175, 0, 0, 0, 2389154863, 0, 0, 0, 960, 0, 308, 0, 3819161243, 0, 0, 0, 2848094538, 0, 0, 0, 983, 0, 315, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 3141732885, 0, 0, 0, 4047385770, 0, 0, 0, 1029, 0, 329, 0, 1435428070, 0, 0, 0, 2412429911, 0, 0, 0, 1053, 0, 336, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers6E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 850502219, 0, 0, 0, 3681675540, 0, 0, 0, -1067, 0, -302, 0, 120090538, 0, 0, 0, 3511119404, 0, 0, 0, -1047, 0, -296, 0, 1963166750, 0, 0, 0, 3348464397, 0, 0, 0, -1027, 0, -290, 0, 1097586188, 0, 0, 0, 3193344495, 0, 0, 0, -1007, 0, -284, 0, 2415917870, 0, 0, 0, 3045410628, 0, 0, 0, -987, 0, -278, 0, 1592015719, 0, 0, 0, 2904329899, 0, 0, 0, -967, 0, -272, 0, 1720377526, 0, 0, 0, 2769784831, 0, 0, 0, -947, 0, -266, 0, 2913388981, 0, 0, 0, 2641472655, 0, 0, 0, -927, 0, -260, 0, 901211061, 0, 0, 0, 2519104629, 0, 0, 0, -907, 0, -254, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 2052981037, 0, 0, 0, 2291112313, 0, 0, 0, -867, 0, -242, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 2361840833, 0, 0, 0, 4167509020, 0, 0, 0, -828, 0, -230, 0, 1244745406, 0, 0, 0, 3974446316, 0, 0, 0, -808, 0, -224, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 629291719, 0, 0, 0, 3614737867, 0, 0, 0, -768, 0, -212, 0, 1884382806, 0, 0, 0, 3447282664, 0, 0, 0, -748, 0, -206, 0, 2008899837, 0, 0, 0, 3287584938, 0, 0, 0, -728, 0, -200, 0, 3524876051, 0, 0, 0, 3135285318, 0, 0, 0, -708, 0, -194, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 59579836, 0, 0, 0, 2851525386, 0, 0, 0, -668, 0, -182, 0, 952827952, 0, 0, 0, 2719426523, 0, 0, 0, -648, 0, -176, 0, 2364897466, 0, 0, 0, 2593447230, 0, 0, 0, -628, 0, -170, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 2205308275, 0, 0, 0, 2358726515, 0, 0, 0, -588, 0, -158, 0, 1166505350, 0, 0, 0, 2249456897, 0, 0, 0, -568, 0, -152, 0, 2498086432, 0, 0, 0, 4290498537, 0, 0, 0, -549, 0, -146, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 3843954022, 0, 0, 0, 3902185687, 0, 0, 0, -509, 0, -134, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 2038576249, 0, 0, 0, 3549017208, 0, 0, 0, -469, 0, -122, 0, 885076051, 0, 0, 0, 3384606560, 0, 0, 0, -449, 0, -116, 0, 2614070586, 0, 0, 0, 3227812347, 0, 0, 0, -429, 0, -110, 0, 400800715, 0, 0, 0, 3078281734, 0, 0, 0, -409, 0, -104, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 3870356534, 0, 0, 0, 2669983794, 0, 0, 0, -349, 0, -86, 0, 1795758502, 0, 0, 0, 2546294970, 0, 0, 0, -329, 0, -80, 0, 1211873722, 0, 0, 0, 2428336115, 0, 0, 0, -309, 0, -74, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 4178919049, 0, 0, 0, 2208558830, 0, 0, 0, -269, 0, -62, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 2780886909, 0, 0, 0, 4017345110, 0, 0, 0, -230, 0, -50, 0, 707476230, 0, 0, 0, 3831238852, 0, 0, 0, -210, 0, -44, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 1161401530, 0, 0, 0, 3484491437, 0, 0, 0, -170, 0, -32, 0, 1985519067, 0, 0, 0, 3323069989, 0, 0, 0, -150, 0, -26, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 157079567, 0, 0, 0, 3022314549, 0, 0, 0, -110, 0, -14, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 1889785610, 0, 0, 0, 2748779069, 0, 0, 0, -70, 0, -2, 0, 0, 0, 0, 0, 2621440000, 0, 0, 0, -50, 0, 4, 0, 0, 0, 0, 0, 2500000000, 0, 0, 0, -30, 0, 10, 0, 67108864, 0, 0, 0, 2384185791, 0, 0, 0, -10, 0, 16, 0, 1856802816, 0, 0, 0, 2273736754, 0, 0, 0, 10, 0, 22, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 3286244295, 0, 0, 0, 4135903062, 0, 0, 0, 49, 0, 34, 0, 451225085, 0, 0, 0, 3944304526, 0, 0, 0, 69, 0, 40, 0, 2711498863, 0, 0, 0, 3761581922, 0, 0, 0, 89, 0, 46, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 3942824762, 0, 0, 0, 3421138828, 0, 0, 0, 129, 0, 58, 0, 4291798741, 0, 0, 0, 3262652233, 0, 0, 0, 149, 0, 64, 0, 3996771383, 0, 0, 0, 3111507638, 0, 0, 0, 169, 0, 70, 0, 2361961896, 0, 0, 0, 2967364920, 0, 0, 0, 189, 0, 76, 0, 572723645, 0, 0, 0, 2829899712, 0, 0, 0, 209, 0, 82, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 3152568096, 0, 0, 0, 2573778794, 0, 0, 0, 249, 0, 94, 0, 2786846552, 0, 0, 0, 2454546732, 0, 0, 0, 269, 0, 100, 0, 1486484589, 0, 0, 0, 2340838177, 0, 0, 0, 289, 0, 106, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 35007075, 0, 0, 0, 4257959840, 0, 0, 0, 328, 0, 118, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 3647794206, 0, 0, 0, 3872591914, 0, 0, 0, 368, 0, 130, 0, 490890333, 0, 0, 0, 3693191447, 0, 0, 0, 388, 0, 136, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 3365297469, 0, 0, 0, 3358938053, 0, 0, 0, 428, 0, 148, 0, 1258259972, 0, 0, 0, 3203332952, 0, 0, 0, 448, 0, 154, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 537217770, 0, 0, 0, 2913414348, 0, 0, 0, 488, 0, 166, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 2959191467, 0, 0, 0, 2649734913, 0, 0, 0, 528, 0, 178, 0, 2019157828, 0, 0, 0, 2526984132, 0, 0, 0, 548, 0, 184, 0, 441883921, 0, 0, 0, 2409919865, 0, 0, 0, 568, 0, 190, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 36090781, 0, 0, 0, 2191809349, 0, 0, 0, 608, 0, 202, 0, 931291462, 0, 0, 0, 4180544565, 0, 0, 0, 627, 0, 208, 0, 1885606668, 0, 0, 0, 3986877980, 0, 0, 0, 647, 0, 214, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 3540974170, 0, 0, 0, 3626044399, 0, 0, 0, 687, 0, 226, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 144878927, 0, 0, 0, 3297868170, 0, 0, 0, 727, 0, 238, 0, 2812560400, 0, 0, 0, 3145092172, 0, 0, 0, 747, 0, 244, 0, 3398444024, 0, 0, 0, 2999393627, 0, 0, 0, 767, 0, 250, 0, 2650398350, 0, 0, 0, 2860444667, 0, 0, 0, 787, 0, 256, 0, 32792387, 0, 0, 0, 2727932613, 0, 0, 0, 807, 0, 262, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 1391672134, 0, 0, 0, 2481040258, 0, 0, 0, 847, 0, 274, 0, 1432583859, 0, 0, 0, 2366104372, 0, 0, 0, 867, 0, 280, 0, 3569276608, 0, 0, 0, 2256492969, 0, 0, 0, 887, 0, 286, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 1281516233, 0, 0, 0, 4104536801, 0, 0, 0, 926, 0, 298, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 55299920, 0, 0, 0, 3733054474, 0, 0, 0, 966, 0, 310, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 2513386308, 0, 0, 0, 3237908616, 0, 0, 0, 1026, 0, 328, 0, 2180945313, 0, 0, 0, 3087910286, 0, 0, 0, 1046, 0, 334, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers5E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 680401775, 0, 0, 0, 2945340432, 0, 0, 0, -1070, 0, -303, 0, 2482039630, 0, 0, 0, 2247116418, 0, 0, 0, -1053, 0, -298, 0, 4278025484, 0, 0, 0, 3428827542, 0, 0, 0, -1037, 0, -293, 0, 2204812663, 0, 0, 0, 2615987810, 0, 0, 0, -1020, 0, -288, 0, 298240911, 0, 0, 0, 3991680619, 0, 0, 0, -1004, 0, -283, 0, 2415917870, 0, 0, 0, 3045410628, 0, 0, 0, -987, 0, -278, 0, 2132606034, 0, 0, 0, 2323463919, 0, 0, 0, -970, 0, -273, 0, 827693699, 0, 0, 0, 3545324584, 0, 0, 0, -954, 0, -268, 0, 1780719474, 0, 0, 0, 2704867999, 0, 0, 0, -937, 0, -263, 0, 2136251179, 0, 0, 0, 4127301024, 0, 0, 0, -921, 0, -258, 0, 2200255651, 0, 0, 0, 3148880786, 0, 0, 0, -904, 0, -253, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 2425776201, 0, 0, 0, 3665779701, 0, 0, 0, -871, 0, -243, 0, 3386884208, 0, 0, 0, 2796767960, 0, 0, 0, -854, 0, -238, 0, 185142019, 0, 0, 0, 4267529237, 0, 0, 0, -838, 0, -233, 0, 1308317239, 0, 0, 0, 3255866422, 0, 0, 0, -821, 0, -228, 0, 2925449527, 0, 0, 0, 2484028947, 0, 0, 0, -804, 0, -223, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 3080413753, 0, 0, 0, 2891790293, 0, 0, 0, -771, 0, -213, 0, 1034206304, 0, 0, 0, 2206260905, 0, 0, 0, -754, 0, -208, 0, 4256136688, 0, 0, 0, 3366486976, 0, 0, 0, -738, 0, -203, 0, 764146629, 0, 0, 0, 2568425733, 0, 0, 0, -721, 0, -198, 0, 2258611415, 0, 0, 0, 3919106648, 0, 0, 0, -705, 0, -193, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 3483637706, 0, 0, 0, 2281220308, 0, 0, 0, -671, 0, -183, 0, 3109405388, 0, 0, 0, 3480865949, 0, 0, 0, -655, 0, -178, 0, 360070703, 0, 0, 0, 2655689964, 0, 0, 0, -638, 0, -173, 0, 3158281378, 0, 0, 0, 4052261297, 0, 0, 0, -622, 0, -168, 0, 1777286139, 0, 0, 0, 3091630018, 0, 0, 0, -605, 0, -163, 0, 2205308275, 0, 0, 0, 2358726515, 0, 0, 0, -588, 0, -158, 0, 2725402019, 0, 0, 0, 3599131035, 0, 0, 0, -572, 0, -153, 0, 224385782, 0, 0, 0, 2745919064, 0, 0, 0, -555, 0, -148, 0, 459826043, 0, 0, 0, 4189939978, 0, 0, 0, -539, 0, -143, 0, 2248741990, 0, 0, 0, 3196670515, 0, 0, 0, -522, 0, -138, 0, 4013084000, 0, 0, 0, 2438866054, 0, 0, 0, -505, 0, -133, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 3348847918, 0, 0, 0, 2839213766, 0, 0, 0, -472, 0, -123, 0, 2284435591, 0, 0, 0, 2166148198, 0, 0, 0, -455, 0, -118, 0, 4085557553, 0, 0, 0, 3305279843, 0, 0, 0, -439, 0, -113, 0, 2444895829, 0, 0, 0, 2521728396, 0, 0, 0, -422, 0, -108, 0, 2648484542, 0, 0, 0, 3847852167, 0, 0, 0, -406, 0, -103, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 763663269, 0, 0, 0, 2239744742, 0, 0, 0, -372, 0, -93, 0, 2033478602, 0, 0, 0, 3417579257, 0, 0, 0, -356, 0, -88, 0, 3041447549, 0, 0, 0, 2607406049, 0, 0, 0, -339, 0, -83, 0, 1195259923, 0, 0, 0, 3978585891, 0, 0, 0, -323, 0, -78, 0, 441100328, 0, 0, 0, 3035420144, 0, 0, 0, -306, 0, -73, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 2391303183, 0, 0, 0, 3533694129, 0, 0, 0, -273, 0, -63, 0, 3071176406, 0, 0, 0, 2695994666, 0, 0, 0, -256, 0, -58, 0, 1301439968, 0, 0, 0, 4113761393, 0, 0, 0, -240, 0, -53, 0, 2977874265, 0, 0, 0, 3138550867, 0, 0, 0, -223, 0, -48, 0, 2589656291, 0, 0, 0, 2394524282, 0, 0, 0, -206, 0, -43, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 3506101602, 0, 0, 0, 2787593149, 0, 0, 0, -173, 0, -33, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 2509408807, 0, 0, 0, 3245185536, 0, 0, 0, -140, 0, -23, 0, 2451397895, 0, 0, 0, 2475880078, 0, 0, 0, -123, 0, -18, 0, 1270091283, 0, 0, 0, 3777893186, 0, 0, 0, -107, 0, -13, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 2370821947, 0, 0, 0, 2199023255, 0, 0, 0, -73, 0, -3, 0, 0, 0, 0, 0, 3355443200, 0, 0, 0, -57, 0, 2, 0, 0, 0, 0, 0, 2560000000, 0, 0, 0, -40, 0, 7, 0, 0, 0, 0, 0, 3906250000, 0, 0, 0, -24, 0, 12, 0, 3305111552, 0, 0, 0, 2980232238, 0, 0, 0, -7, 0, 17, 0, 1856802816, 0, 0, 0, 2273736754, 0, 0, 0, 10, 0, 22, 0, 4095741754, 0, 0, 0, 3469446951, 0, 0, 0, 26, 0, 27, 0, 728806814, 0, 0, 0, 2646977960, 0, 0, 0, 43, 0, 32, 0, 3142114080, 0, 0, 0, 4038967834, 0, 0, 0, 59, 0, 37, 0, 84084142, 0, 0, 0, 3081487911, 0, 0, 0, 76, 0, 42, 0, 2768428613, 0, 0, 0, 2350988701, 0, 0, 0, 93, 0, 47, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 577279432, 0, 0, 0, 2736911063, 0, 0, 0, 126, 0, 57, 0, 2229327244, 0, 0, 0, 4176194859, 0, 0, 0, 142, 0, 62, 0, 1137756396, 0, 0, 0, 3186183822, 0, 0, 0, 159, 0, 67, 0, 3927784011, 0, 0, 0, 2430865342, 0, 0, 0, 176, 0, 72, 0, 2952452370, 0, 0, 0, 3709206150, 0, 0, 0, 192, 0, 77, 0, 572723645, 0, 0, 0, 2829899712, 0, 0, 0, 209, 0, 82, 0, 3322634616, 0, 0, 0, 2159042138, 0, 0, 0, 226, 0, 87, 0, 1114709402, 0, 0, 0, 3294436857, 0, 0, 0, 242, 0, 92, 0, 998304998, 0, 0, 0, 2513455854, 0, 0, 0, 259, 0, 97, 0, 3280705914, 0, 0, 0, 3835229269, 0, 0, 0, 275, 0, 102, 0, 2931847560, 0, 0, 0, 2926047721, 0, 0, 0, 292, 0, 107, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 28005660, 0, 0, 0, 3406367872, 0, 0, 0, 325, 0, 117, 0, 1766197087, 0, 0, 0, 2598852441, 0, 0, 0, 342, 0, 122, 0, 3460463360, 0, 0, 0, 3965534120, 0, 0, 0, 358, 0, 127, 0, 2044532855, 0, 0, 0, 3025462433, 0, 0, 0, 375, 0, 132, 0, 1917419194, 0, 0, 0, 2308244654, 0, 0, 0, 392, 0, 137, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 115257598, 0, 0, 0, 2687150443, 0, 0, 0, 425, 0, 147, 0, 4015754449, 0, 0, 0, 4100266178, 0, 0, 0, 441, 0, 152, 0, 960334048, 0, 0, 0, 3128254836, 0, 0, 0, 458, 0, 157, 0, 4226531965, 0, 0, 0, 2386669033, 0, 0, 0, 475, 0, 162, 0, 671522212, 0, 0, 0, 3641767935, 0, 0, 0, 491, 0, 167, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 3875712888, 0, 0, 0, 4239575861, 0, 0, 0, 524, 0, 177, 0, 2412723328, 0, 0, 0, 3234539689, 0, 0, 0, 541, 0, 182, 0, 3716664280, 0, 0, 0, 2467757941, 0, 0, 0, 558, 0, 187, 0, 958879083, 0, 0, 0, 3765499789, 0, 0, 0, 574, 0, 192, 0, 4004172379, 0, 0, 0, 2872848349, 0, 0, 0, 591, 0, 197, 0, 36090781, 0, 0, 0, 2191809349, 0, 0, 0, 608, 0, 202, 0, 745033169, 0, 0, 0, 3344435652, 0, 0, 0, 624, 0, 207, 0, 2065781727, 0, 0, 0, 2551601907, 0, 0, 0, 641, 0, 212, 0, 3317807770, 0, 0, 0, 3893435527, 0, 0, 0, 657, 0, 217, 0, 1443913133, 0, 0, 0, 2970455572, 0, 0, 0, 674, 0, 222, 0, 3823721592, 0, 0, 0, 2266277749, 0, 0, 0, 691, 0, 227, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 115903142, 0, 0, 0, 2638294536, 0, 0, 0, 724, 0, 237, 0, 4287272079, 0, 0, 0, 4025717980, 0, 0, 0, 740, 0, 242, 0, 3686165111, 0, 0, 0, 3071379074, 0, 0, 0, 757, 0, 247, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 2239256113, 0, 0, 0, 3575555834, 0, 0, 0, 790, 0, 257, 0, 32792387, 0, 0, 0, 2727932613, 0, 0, 0, 807, 0, 262, 0, 3692790235, 0, 0, 0, 4162494831, 0, 0, 0, 823, 0, 267, 0, 2812132482, 0, 0, 0, 3175731530, 0, 0, 0, 840, 0, 272, 0, 1157728226, 0, 0, 0, 2422890877, 0, 0, 0, 857, 0, 277, 0, 3312154103, 0, 0, 0, 3697038081, 0, 0, 0, 873, 0, 282, 0, 1240370288, 0, 0, 0, 2820616212, 0, 0, 0, 890, 0, 287, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 166219527, 0, 0, 0, 3283629441, 0, 0, 0, 923, 0, 297, 0, 48172235, 0, 0, 0, 2505210450, 0, 0, 0, 940, 0, 302, 0, 1671534821, 0, 0, 0, 3822647781, 0, 0, 0, 956, 0, 307, 0, 3532863990, 0, 0, 0, 2916448807, 0, 0, 0, 973, 0, 312, 0, 2178413353, 0, 0, 0, 2225073858, 0, 0, 0, 990, 0, 317, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 1151715587, 0, 0, 0, 2590326893, 0, 0, 0, 1023, 0, 327, 0, 3135207385, 0, 0, 0, 3952525166, 0, 0, 0, 1039, 0, 332, 0, 720543264, 0, 0, 0, 3015537389, 0, 0, 0, 1056, 0, 337, 0, 2446604868, 0, 0, 0, 2300672446, 0, 0, 0, 1073, 0, 342, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers4E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 3121301798, 0, 0, 0, 2356272345, 0, 0, 0, -1073, 0, -304, 0, 3348809418, 0, 0, 0, 2876309015, 0, 0, 0, -1060, 0, -300, 0, 120090538, 0, 0, 0, 3511119404, 0, 0, 0, -1047, 0, -296, 0, 3200048207, 0, 0, 0, 4286034428, 0, 0, 0, -1034, 0, -292, 0, 2204812663, 0, 0, 0, 2615987810, 0, 0, 0, -1020, 0, -288, 0, 1097586188, 0, 0, 0, 3193344495, 0, 0, 0, -1007, 0, -284, 0, 2405180106, 0, 0, 0, 3898125604, 0, 0, 0, -994, 0, -280, 0, 2424306748, 0, 0, 0, 2379227053, 0, 0, 0, -980, 0, -276, 0, 1592015719, 0, 0, 0, 2904329899, 0, 0, 0, -967, 0, -272, 0, 827693699, 0, 0, 0, 3545324584, 0, 0, 0, -954, 0, -268, 0, 2283569038, 0, 0, 0, 2163894399, 0, 0, 0, -940, 0, -264, 0, 2913388981, 0, 0, 0, 2641472655, 0, 0, 0, -927, 0, -260, 0, 1668946234, 0, 0, 0, 3224453925, 0, 0, 0, -914, 0, -256, 0, 602835915, 0, 0, 0, 3936100983, 0, 0, 0, -901, 0, -252, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 1081627501, 0, 0, 0, 2932623761, 0, 0, 0, -874, 0, -244, 0, 3476218327, 0, 0, 0, 3579862989, 0, 0, 0, -861, 0, -240, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 652584674, 0, 0, 0, 2667205773, 0, 0, 0, -834, 0, -232, 0, 1308317239, 0, 0, 0, 3255866422, 0, 0, 0, -821, 0, -228, 0, 1244745406, 0, 0, 0, 3974446316, 0, 0, 0, -808, 0, -224, 0, 944281679, 0, 0, 0, 2425809519, 0, 0, 0, -794, 0, -220, 0, 3291782637, 0, 0, 0, 2961193260, 0, 0, 0, -781, 0, -216, 0, 629291719, 0, 0, 0, 3614737867, 0, 0, 0, -768, 0, -212, 0, 1034206304, 0, 0, 0, 2206260905, 0, 0, 0, -754, 0, -208, 0, 2545915892, 0, 0, 0, 2693189581, 0, 0, 0, -741, 0, -204, 0, 2008899837, 0, 0, 0, 3287584938, 0, 0, 0, -728, 0, -200, 0, 388672741, 0, 0, 0, 4013165208, 0, 0, 0, -715, 0, -196, 0, 1411632134, 0, 0, 0, 2449441655, 0, 0, 0, -701, 0, -192, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 419859574, 0, 0, 0, 3649952494, 0, 0, 0, -675, 0, -184, 0, 3536207675, 0, 0, 0, 2227754207, 0, 0, 0, -661, 0, -180, 0, 952827952, 0, 0, 0, 2719426523, 0, 0, 0, -648, 0, -176, 0, 450088378, 0, 0, 0, 3319612455, 0, 0, 0, -635, 0, -172, 0, 3158281378, 0, 0, 0, 4052261297, 0, 0, 0, -622, 0, -168, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 3681788051, 0, 0, 0, 3019169939, 0, 0, 0, -595, 0, -160, 0, 2103616900, 0, 0, 0, 3685510180, 0, 0, 0, -582, 0, -156, 0, 1166505350, 0, 0, 0, 2249456897, 0, 0, 0, -568, 0, -152, 0, 224385782, 0, 0, 0, 2745919064, 0, 0, 0, -555, 0, -148, 0, 2085847753, 0, 0, 0, 3351951982, 0, 0, 0, -542, 0, -144, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 1085741040, 0, 0, 0, 2497398840, 0, 0, 0, -515, 0, -136, 0, 2868871352, 0, 0, 0, 3048582568, 0, 0, 0, -502, 0, -132, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 1820084875, 0, 0, 0, 2271371013, 0, 0, 0, -475, 0, -124, 0, 518895871, 0, 0, 0, 2772669694, 0, 0, 0, -462, 0, -120, 0, 885076051, 0, 0, 0, 3384606560, 0, 0, 0, -449, 0, -116, 0, 4033205117, 0, 0, 0, 4131599804, 0, 0, 0, -436, 0, -112, 0, 2444895829, 0, 0, 0, 2521728396, 0, 0, 0, -422, 0, -108, 0, 400800715, 0, 0, 0, 3078281734, 0, 0, 0, -409, 0, -104, 0, 1881767613, 0, 0, 0, 3757668132, 0, 0, 0, -396, 0, -100, 0, 4252324763, 0, 0, 0, 2293498615, 0, 0, 0, -382, 0, -96, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 2033478602, 0, 0, 0, 3417579257, 0, 0, 0, -356, 0, -88, 0, 2289335700, 0, 0, 0, 4171849679, 0, 0, 0, -343, 0, -84, 0, 1795758502, 0, 0, 0, 2546294970, 0, 0, 0, -329, 0, -80, 0, 2410191823, 0, 0, 0, 3108270227, 0, 0, 0, -316, 0, -76, 0, 551375410, 0, 0, 0, 3794275180, 0, 0, 0, -303, 0, -72, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 2772036005, 0, 0, 0, 2826955303, 0, 0, 0, -276, 0, -64, 0, 1697722806, 0, 0, 0, 3450873173, 0, 0, 0, -263, 0, -60, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 3497754540, 0, 0, 0, 2571100870, 0, 0, 0, -236, 0, -52, 0, 2977874265, 0, 0, 0, 3138550867, 0, 0, 0, -223, 0, -48, 0, 707476230, 0, 0, 0, 3831238852, 0, 0, 0, -210, 0, -44, 0, 3132940998, 0, 0, 0, 2338402619, 0, 0, 0, -196, 0, -40, 0, 1769181907, 0, 0, 0, 2854495385, 0, 0, 0, -183, 0, -36, 0, 1161401530, 0, 0, 0, 3484491437, 0, 0, 0, -170, 0, -32, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 1148533587, 0, 0, 0, 2596148429, 0, 0, 0, -143, 0, -24, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 3293438299, 0, 0, 0, 3868562622, 0, 0, 0, -117, 0, -16, 0, 1867548876, 0, 0, 0, 2361183241, 0, 0, 0, -103, 0, -12, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 3793315116, 0, 0, 0, 3518437208, 0, 0, 0, -77, 0, -4, 0, 0, 0, 0, 0, 2147483648, 0, 0, 0, -63, 0, 0, 0, 0, 0, 0, 0, 2621440000, 0, 0, 0, -50, 0, 4, 0, 0, 0, 0, 0, 3200000000, 0, 0, 0, -37, 0, 8, 0, 0, 0, 0, 0, 3906250000, 0, 0, 0, -24, 0, 12, 0, 67108864, 0, 0, 0, 2384185791, 0, 0, 0, -10, 0, 16, 0, 2892103680, 0, 0, 0, 2910383045, 0, 0, 0, 3, 0, 20, 0, 3438125312, 0, 0, 0, 3552713678, 0, 0, 0, 16, 0, 24, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 728806814, 0, 0, 0, 2646977960, 0, 0, 0, 43, 0, 32, 0, 3372684723, 0, 0, 0, 3231174267, 0, 0, 0, 56, 0, 36, 0, 451225085, 0, 0, 0, 3944304526, 0, 0, 0, 69, 0, 40, 0, 2078956656, 0, 0, 0, 2407412430, 0, 0, 0, 83, 0, 44, 0, 239310295, 0, 0, 0, 2938735877, 0, 0, 0, 96, 0, 48, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 2179810464, 0, 0, 0, 2189528850, 0, 0, 0, 123, 0, 56, 0, 395977285, 0, 0, 0, 2672764710, 0, 0, 0, 136, 0, 60, 0, 4291798741, 0, 0, 0, 3262652233, 0, 0, 0, 149, 0, 64, 0, 3569679143, 0, 0, 0, 3982729777, 0, 0, 0, 162, 0, 68, 0, 3927784011, 0, 0, 0, 2430865342, 0, 0, 0, 176, 0, 72, 0, 2361961896, 0, 0, 0, 2967364920, 0, 0, 0, 189, 0, 76, 0, 2279274492, 0, 0, 0, 3622271631, 0, 0, 0, 202, 0, 80, 0, 447440347, 0, 0, 0, 2210859150, 0, 0, 0, 216, 0, 84, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 1114709402, 0, 0, 0, 3294436857, 0, 0, 0, 242, 0, 92, 0, 3315274915, 0, 0, 0, 4021529366, 0, 0, 0, 255, 0, 96, 0, 2786846552, 0, 0, 0, 2454546732, 0, 0, 0, 269, 0, 100, 0, 12914663, 0, 0, 0, 2996272867, 0, 0, 0, 282, 0, 104, 0, 443583978, 0, 0, 0, 3657559652, 0, 0, 0, 295, 0, 108, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 2599384906, 0, 0, 0, 2725094297, 0, 0, 0, 322, 0, 116, 0, 27349278, 0, 0, 0, 3326531125, 0, 0, 0, 335, 0, 120, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 2162789600, 0, 0, 0, 2478458825, 0, 0, 0, 362, 0, 128, 0, 2044532855, 0, 0, 0, 3025462433, 0, 0, 0, 375, 0, 132, 0, 490890333, 0, 0, 0, 3693191447, 0, 0, 0, 388, 0, 136, 0, 1536935362, 0, 0, 0, 2254145170, 0, 0, 0, 402, 0, 140, 0, 2832443111, 0, 0, 0, 2751642053, 0, 0, 0, 415, 0, 144, 0, 3365297469, 0, 0, 0, 3358938053, 0, 0, 0, 428, 0, 148, 0, 4015754449, 0, 0, 0, 4100266178, 0, 0, 0, 441, 0, 152, 0, 4204241075, 0, 0, 0, 2502603868, 0, 0, 0, 455, 0, 156, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 2577424355, 0, 0, 0, 3729170365, 0, 0, 0, 481, 0, 164, 0, 2030314119, 0, 0, 0, 2276104959, 0, 0, 0, 495, 0, 168, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 2241576851, 0, 0, 0, 3391660689, 0, 0, 0, 521, 0, 176, 0, 2744688476, 0, 0, 0, 4140210802, 0, 0, 0, 534, 0, 180, 0, 2019157828, 0, 0, 0, 2526984132, 0, 0, 0, 548, 0, 184, 0, 1424604878, 0, 0, 0, 3084697427, 0, 0, 0, 561, 0, 188, 0, 958879083, 0, 0, 0, 3765499789, 0, 0, 0, 574, 0, 192, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 3138572653, 0, 0, 0, 2805515966, 0, 0, 0, 601, 0, 200, 0, 3546052773, 0, 0, 0, 3424702107, 0, 0, 0, 614, 0, 204, 0, 931291462, 0, 0, 0, 4180544565, 0, 0, 0, 627, 0, 208, 0, 2065781727, 0, 0, 0, 2551601907, 0, 0, 0, 641, 0, 212, 0, 936259297, 0, 0, 0, 3114748422, 0, 0, 0, 654, 0, 216, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 3812411696, 0, 0, 0, 2320668415, 0, 0, 0, 681, 0, 224, 0, 1558426518, 0, 0, 0, 2832847187, 0, 0, 0, 694, 0, 228, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 2762425404, 0, 0, 0, 4221271257, 0, 0, 0, 720, 0, 236, 0, 3602847590, 0, 0, 0, 2576459507, 0, 0, 0, 734, 0, 240, 0, 2812560400, 0, 0, 0, 3145092172, 0, 0, 0, 747, 0, 244, 0, 2460222741, 0, 0, 0, 3839223843, 0, 0, 0, 760, 0, 248, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 2650398350, 0, 0, 0, 2860444667, 0, 0, 0, 787, 0, 256, 0, 2790753324, 0, 0, 0, 3491753744, 0, 0, 0, 800, 0, 260, 0, 3540899032, 0, 0, 0, 4262394707, 0, 0, 0, 813, 0, 264, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 2812132482, 0, 0, 0, 3175731530, 0, 0, 0, 840, 0, 272, 0, 2711358621, 0, 0, 0, 3876625403, 0, 0, 0, 853, 0, 276, 0, 1432583859, 0, 0, 0, 2366104372, 0, 0, 0, 867, 0, 280, 0, 1648096297, 0, 0, 0, 2888311001, 0, 0, 0, 880, 0, 284, 0, 1550462860, 0, 0, 0, 3525770265, 0, 0, 0, 893, 0, 288, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 3568949458, 0, 0, 0, 2626903552, 0, 0, 0, 920, 0, 296, 0, 61660461, 0, 0, 0, 3206669376, 0, 0, 0, 933, 0, 300, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 1581580175, 0, 0, 0, 2389154863, 0, 0, 0, 960, 0, 308, 0, 3532863990, 0, 0, 0, 2916448807, 0, 0, 0, 973, 0, 312, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 4073513846, 0, 0, 0, 2172923689, 0, 0, 0, 1000, 0, 320, 0, 3034782633, 0, 0, 0, 2652494738, 0, 0, 0, 1013, 0, 324, 0, 2513386308, 0, 0, 0, 3237908616, 0, 0, 0, 1026, 0, 328, 0, 3135207385, 0, 0, 0, 3952525166, 0, 0, 0, 1039, 0, 332, 0, 1435428070, 0, 0, 0, 2412429911, 0, 0, 0, 1053, 0, 336, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers3E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 699115580, 0, 0, 0, 3770035753, 0, 0, 0, -1077, 0, -305, 0, 850502219, 0, 0, 0, 3681675540, 0, 0, 0, -1067, 0, -302, 0, 3112269949, 0, 0, 0, 3595386269, 0, 0, 0, -1057, 0, -299, 0, 120090538, 0, 0, 0, 3511119404, 0, 0, 0, -1047, 0, -296, 0, 4278025484, 0, 0, 0, 3428827542, 0, 0, 0, -1037, 0, -293, 0, 1963166750, 0, 0, 0, 3348464397, 0, 0, 0, -1027, 0, -290, 0, 608532181, 0, 0, 0, 3269984763, 0, 0, 0, -1017, 0, -287, 0, 1097586188, 0, 0, 0, 3193344495, 0, 0, 0, -1007, 0, -284, 0, 2783137544, 0, 0, 0, 3118500483, 0, 0, 0, -997, 0, -281, 0, 2415917870, 0, 0, 0, 3045410628, 0, 0, 0, -987, 0, -278, 0, 4104125259, 0, 0, 0, 2974033816, 0, 0, 0, -977, 0, -275, 0, 1592015719, 0, 0, 0, 2904329899, 0, 0, 0, -967, 0, -272, 0, 1521148418, 0, 0, 0, 2836259667, 0, 0, 0, -957, 0, -269, 0, 1720377526, 0, 0, 0, 2769784831, 0, 0, 0, -947, 0, -266, 0, 1780719474, 0, 0, 0, 2704867999, 0, 0, 0, -937, 0, -263, 0, 2913388981, 0, 0, 0, 2641472655, 0, 0, 0, -927, 0, -260, 0, 1335156987, 0, 0, 0, 2579563140, 0, 0, 0, -917, 0, -257, 0, 901211061, 0, 0, 0, 2519104629, 0, 0, 0, -907, 0, -254, 0, 1987385183, 0, 0, 0, 2460063114, 0, 0, 0, -897, 0, -251, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 6308542, 0, 0, 0, 2346099009, 0, 0, 0, -877, 0, -245, 0, 2052981037, 0, 0, 0, 2291112313, 0, 0, 0, -867, 0, -242, 0, 2709507366, 0, 0, 0, 2237414368, 0, 0, 0, -857, 0, -239, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 185142019, 0, 0, 0, 4267529237, 0, 0, 0, -838, 0, -233, 0, 2361840833, 0, 0, 0, 4167509020, 0, 0, 0, -828, 0, -230, 0, 3782880196, 0, 0, 0, 4069833027, 0, 0, 0, -818, 0, -227, 0, 1244745406, 0, 0, 0, 3974446316, 0, 0, 0, -808, 0, -224, 0, 3228837605, 0, 0, 0, 3881295230, 0, 0, 0, -798, 0, -221, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 4114728296, 0, 0, 0, 3701491575, 0, 0, 0, -778, 0, -215, 0, 629291719, 0, 0, 0, 3614737867, 0, 0, 0, -768, 0, -212, 0, 1654730087, 0, 0, 0, 3530017448, 0, 0, 0, -758, 0, -209, 0, 1884382806, 0, 0, 0, 3447282664, 0, 0, 0, -748, 0, -206, 0, 4256136688, 0, 0, 0, 3366486976, 0, 0, 0, -738, 0, -203, 0, 2008899837, 0, 0, 0, 3287584938, 0, 0, 0, -728, 0, -200, 0, 2028925111, 0, 0, 0, 3210532166, 0, 0, 0, -718, 0, -197, 0, 3524876051, 0, 0, 0, 3135285318, 0, 0, 0, -708, 0, -194, 0, 690798344, 0, 0, 0, 3061802069, 0, 0, 0, -698, 0, -191, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 1194881119, 0, 0, 0, 2919961995, 0, 0, 0, -678, 0, -185, 0, 59579836, 0, 0, 0, 2851525386, 0, 0, 0, -668, 0, -182, 0, 3346517770, 0, 0, 0, 2784692759, 0, 0, 0, -658, 0, -179, 0, 952827952, 0, 0, 0, 2719426523, 0, 0, 0, -648, 0, -176, 0, 360070703, 0, 0, 0, 2655689964, 0, 0, 0, -638, 0, -173, 0, 2364897466, 0, 0, 0, 2593447230, 0, 0, 0, -628, 0, -170, 0, 363313125, 0, 0, 0, 2532663311, 0, 0, 0, -618, 0, -167, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 3804423900, 0, 0, 0, 2415335951, 0, 0, 0, -598, 0, -161, 0, 2205308275, 0, 0, 0, 2358726515, 0, 0, 0, -588, 0, -158, 0, 3462244210, 0, 0, 0, 2303443862, 0, 0, 0, -578, 0, -155, 0, 1166505350, 0, 0, 0, 2249456897, 0, 0, 0, -568, 0, -152, 0, 1038502085, 0, 0, 0, 2196735251, 0, 0, 0, -558, 0, -149, 0, 2498086432, 0, 0, 0, 4290498537, 0, 0, 0, -549, 0, -146, 0, 459826043, 0, 0, 0, 4189939978, 0, 0, 0, -539, 0, -143, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 1737185663, 0, 0, 0, 3995838144, 0, 0, 0, -519, 0, -137, 0, 3843954022, 0, 0, 0, 3902185687, 0, 0, 0, -509, 0, -134, 0, 3586089190, 0, 0, 0, 3810728210, 0, 0, 0, -499, 0, -131, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 2053142341, 0, 0, 0, 3634193621, 0, 0, 0, -479, 0, -125, 0, 2038576249, 0, 0, 0, 3549017208, 0, 0, 0, -469, 0, -122, 0, 2796103486, 0, 0, 0, 3465837117, 0, 0, 0, -459, 0, -119, 0, 885076051, 0, 0, 0, 3384606560, 0, 0, 0, -449, 0, -116, 0, 4085557553, 0, 0, 0, 3305279843, 0, 0, 0, -439, 0, -113, 0, 2614070586, 0, 0, 0, 3227812347, 0, 0, 0, -429, 0, -110, 0, 3056119787, 0, 0, 0, 3152160495, 0, 0, 0, -419, 0, -107, 0, 400800715, 0, 0, 0, 3078281734, 0, 0, 0, -409, 0, -104, 0, 4082394468, 0, 0, 0, 3006134505, 0, 0, 0, -399, 0, -101, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 4241664130, 0, 0, 0, 2866873269, 0, 0, 0, -379, 0, -95, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 4203763259, 0, 0, 0, 2734063405, 0, 0, 0, -359, 0, -89, 0, 3870356534, 0, 0, 0, 2669983794, 0, 0, 0, -349, 0, -86, 0, 3041447549, 0, 0, 0, 2607406049, 0, 0, 0, -339, 0, -83, 0, 1795758502, 0, 0, 0, 2546294970, 0, 0, 0, -329, 0, -80, 0, 210166540, 0, 0, 0, 2486616182, 0, 0, 0, -319, 0, -77, 0, 1211873722, 0, 0, 0, 2428336115, 0, 0, 0, -309, 0, -74, 0, 2492093279, 0, 0, 0, 2371421987, 0, 0, 0, -299, 0, -71, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 3935615723, 0, 0, 0, 2261564242, 0, 0, 0, -279, 0, -65, 0, 4178919049, 0, 0, 0, 2208558830, 0, 0, 0, -269, 0, -62, 0, 1597947666, 0, 0, 0, 2156795733, 0, 0, 0, -259, 0, -59, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 1301439968, 0, 0, 0, 4113761393, 0, 0, 0, -240, 0, -53, 0, 2780886909, 0, 0, 0, 4017345110, 0, 0, 0, -230, 0, -50, 0, 2648601008, 0, 0, 0, 3923188584, 0, 0, 0, -220, 0, -47, 0, 707476230, 0, 0, 0, 3831238852, 0, 0, 0, -210, 0, -44, 0, 2435725219, 0, 0, 0, 3741444191, 0, 0, 0, -200, 0, -41, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 3285219208, 0, 0, 0, 3568119231, 0, 0, 0, -180, 0, -35, 0, 1161401530, 0, 0, 0, 3484491437, 0, 0, 0, -170, 0, -32, 0, 899300158, 0, 0, 0, 3402823669, 0, 0, 0, -160, 0, -29, 0, 1985519067, 0, 0, 0, 3323069989, 0, 0, 0, -150, 0, -26, 0, 2509408807, 0, 0, 0, 3245185536, 0, 0, 0, -140, 0, -23, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 916763721, 0, 0, 0, 3094850098, 0, 0, 0, -120, 0, -17, 0, 157079567, 0, 0, 0, 3022314549, 0, 0, 0, -110, 0, -14, 0, 3408177919, 0, 0, 0, 2951479051, 0, 0, 0, -100, 0, -11, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 457671715, 0, 0, 0, 2814749767, 0, 0, 0, -80, 0, -5, 0, 1889785610, 0, 0, 0, 2748779069, 0, 0, 0, -70, 0, -2, 0, 0, 0, 0, 0, 2684354560, 0, 0, 0, -60, 0, 1, 0, 0, 0, 0, 0, 2621440000, 0, 0, 0, -50, 0, 4, 0, 0, 0, 0, 0, 2560000000, 0, 0, 0, -40, 0, 7, 0, 0, 0, 0, 0, 2500000000, 0, 0, 0, -30, 0, 10, 0, 0, 0, 0, 0, 2441406250, 0, 0, 0, -20, 0, 13, 0, 67108864, 0, 0, 0, 2384185791, 0, 0, 0, -10, 0, 16, 0, 2313682944, 0, 0, 0, 2328306436, 0, 0, 0, 0, 0, 19, 0, 1856802816, 0, 0, 0, 2273736754, 0, 0, 0, 10, 0, 22, 0, 1075086496, 0, 0, 0, 2220446049, 0, 0, 0, 20, 0, 25, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 1166090902, 0, 0, 0, 4235164736, 0, 0, 0, 39, 0, 31, 0, 3286244295, 0, 0, 0, 4135903062, 0, 0, 0, 49, 0, 34, 0, 3142114080, 0, 0, 0, 4038967834, 0, 0, 0, 59, 0, 37, 0, 451225085, 0, 0, 0, 3944304526, 0, 0, 0, 69, 0, 40, 0, 3326330649, 0, 0, 0, 3851859888, 0, 0, 0, 79, 0, 43, 0, 2711498863, 0, 0, 0, 3761581922, 0, 0, 0, 89, 0, 46, 0, 1372879692, 0, 0, 0, 3673419846, 0, 0, 0, 99, 0, 49, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 3487696742, 0, 0, 0, 3503246160, 0, 0, 0, 119, 0, 55, 0, 3942824762, 0, 0, 0, 3421138828, 0, 0, 0, 129, 0, 58, 0, 2642455254, 0, 0, 0, 3340955887, 0, 0, 0, 139, 0, 61, 0, 4291798741, 0, 0, 0, 3262652233, 0, 0, 0, 149, 0, 64, 0, 1137756396, 0, 0, 0, 3186183822, 0, 0, 0, 159, 0, 67, 0, 3996771383, 0, 0, 0, 3111507638, 0, 0, 0, 169, 0, 70, 0, 2762246365, 0, 0, 0, 3038581678, 0, 0, 0, 179, 0, 73, 0, 2361961896, 0, 0, 0, 2967364920, 0, 0, 0, 189, 0, 76, 0, 964426134, 0, 0, 0, 2897817305, 0, 0, 0, 199, 0, 79, 0, 572723645, 0, 0, 0, 2829899712, 0, 0, 0, 209, 0, 82, 0, 2706784082, 0, 0, 0, 2763573937, 0, 0, 0, 219, 0, 85, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 3468747899, 0, 0, 0, 2635549485, 0, 0, 0, 239, 0, 91, 0, 3152568096, 0, 0, 0, 2573778794, 0, 0, 0, 249, 0, 94, 0, 998304998, 0, 0, 0, 2513455854, 0, 0, 0, 259, 0, 97, 0, 2786846552, 0, 0, 0, 2454546732, 0, 0, 0, 269, 0, 100, 0, 2587312108, 0, 0, 0, 2397018293, 0, 0, 0, 279, 0, 103, 0, 1486484589, 0, 0, 0, 2340838177, 0, 0, 0, 289, 0, 106, 0, 2424723634, 0, 0, 0, 2285974782, 0, 0, 0, 299, 0, 109, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 361521006, 0, 0, 0, 2180075438, 0, 0, 0, 319, 0, 115, 0, 35007075, 0, 0, 0, 4257959840, 0, 0, 0, 328, 0, 118, 0, 1107928421, 0, 0, 0, 4158163906, 0, 0, 0, 338, 0, 121, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 3460463360, 0, 0, 0, 3965534120, 0, 0, 0, 358, 0, 127, 0, 3647794206, 0, 0, 0, 3872591914, 0, 0, 0, 368, 0, 130, 0, 3629407893, 0, 0, 0, 3781828041, 0, 0, 0, 378, 0, 133, 0, 490890333, 0, 0, 0, 3693191447, 0, 0, 0, 388, 0, 136, 0, 2459096579, 0, 0, 0, 3606632272, 0, 0, 0, 398, 0, 139, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 319328417, 0, 0, 0, 3439552567, 0, 0, 0, 418, 0, 145, 0, 3365297469, 0, 0, 0, 3358938053, 0, 0, 0, 428, 0, 148, 0, 635623182, 0, 0, 0, 3280212943, 0, 0, 0, 438, 0, 151, 0, 1258259972, 0, 0, 0, 3203332952, 0, 0, 0, 448, 0, 154, 0, 960334048, 0, 0, 0, 3128254836, 0, 0, 0, 458, 0, 157, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 2061939484, 0, 0, 0, 2983336292, 0, 0, 0, 478, 0, 163, 0, 537217770, 0, 0, 0, 2913414348, 0, 0, 0, 488, 0, 166, 0, 1464150824, 0, 0, 0, 2845131199, 0, 0, 0, 498, 0, 169, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 2652254940, 0, 0, 0, 2713328551, 0, 0, 0, 518, 0, 175, 0, 2959191467, 0, 0, 0, 2649734913, 0, 0, 0, 528, 0, 178, 0, 2789172121, 0, 0, 0, 2587631751, 0, 0, 0, 538, 0, 181, 0, 2019157828, 0, 0, 0, 2526984132, 0, 0, 0, 548, 0, 184, 0, 3716664280, 0, 0, 0, 2467757941, 0, 0, 0, 558, 0, 187, 0, 441883921, 0, 0, 0, 2409919865, 0, 0, 0, 568, 0, 190, 0, 1136170339, 0, 0, 0, 2353437368, 0, 0, 0, 578, 0, 193, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 1651864663, 0, 0, 0, 2244412773, 0, 0, 0, 598, 0, 199, 0, 36090781, 0, 0, 0, 2191809349, 0, 0, 0, 608, 0, 202, 0, 3358824142, 0, 0, 0, 4280877634, 0, 0, 0, 617, 0, 205, 0, 931291462, 0, 0, 0, 4180544565, 0, 0, 0, 627, 0, 208, 0, 4164244222, 0, 0, 0, 4082563051, 0, 0, 0, 637, 0, 211, 0, 1885606668, 0, 0, 0, 3986877980, 0, 0, 0, 647, 0, 214, 0, 3317807770, 0, 0, 0, 3893435527, 0, 0, 0, 657, 0, 217, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 1804891417, 0, 0, 0, 3713069465, 0, 0, 0, 677, 0, 223, 0, 3540974170, 0, 0, 0, 3626044399, 0, 0, 0, 687, 0, 226, 0, 874291324, 0, 0, 0, 3541058984, 0, 0, 0, 697, 0, 229, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 491953405, 0, 0, 0, 3377017006, 0, 0, 0, 717, 0, 235, 0, 144878927, 0, 0, 0, 3297868170, 0, 0, 0, 727, 0, 238, 0, 3429817663, 0, 0, 0, 3220574384, 0, 0, 0, 737, 0, 241, 0, 2812560400, 0, 0, 0, 3145092172, 0, 0, 0, 747, 0, 244, 0, 3686165111, 0, 0, 0, 3071379074, 0, 0, 0, 757, 0, 247, 0, 3398444024, 0, 0, 0, 2999393627, 0, 0, 0, 767, 0, 250, 0, 2748367649, 0, 0, 0, 2929095339, 0, 0, 0, 777, 0, 253, 0, 2650398350, 0, 0, 0, 2860444667, 0, 0, 0, 787, 0, 256, 0, 3091596119, 0, 0, 0, 2793402995, 0, 0, 0, 797, 0, 259, 0, 32792387, 0, 0, 0, 2727932613, 0, 0, 0, 807, 0, 262, 0, 1676190983, 0, 0, 0, 2663996692, 0, 0, 0, 817, 0, 265, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 2249705986, 0, 0, 0, 2540585224, 0, 0, 0, 837, 0, 271, 0, 1391672134, 0, 0, 0, 2481040258, 0, 0, 0, 847, 0, 274, 0, 1157728226, 0, 0, 0, 2422890877, 0, 0, 0, 857, 0, 277, 0, 1432583859, 0, 0, 0, 2366104372, 0, 0, 0, 867, 0, 280, 0, 459483579, 0, 0, 0, 2310648801, 0, 0, 0, 877, 0, 283, 0, 3569276608, 0, 0, 0, 2256492969, 0, 0, 0, 887, 0, 286, 0, 3653393848, 0, 0, 0, 2203606415, 0, 0, 0, 897, 0, 289, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 2274345297, 0, 0, 0, 4203045684, 0, 0, 0, 916, 0, 295, 0, 1281516233, 0, 0, 0, 4104536801, 0, 0, 0, 926, 0, 298, 0, 77075576, 0, 0, 0, 4008336720, 0, 0, 0, 936, 0, 301, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 1671534821, 0, 0, 0, 3822647781, 0, 0, 0, 956, 0, 307, 0, 55299920, 0, 0, 0, 3733054474, 0, 0, 0, 966, 0, 310, 0, 3342338164, 0, 0, 0, 3645561009, 0, 0, 0, 976, 0, 313, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 3940641776, 0, 0, 0, 3476677903, 0, 0, 0, 996, 0, 319, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 1645994644, 0, 0, 0, 3315618423, 0, 0, 0, 1016, 0, 325, 0, 2513386308, 0, 0, 0, 3237908616, 0, 0, 0, 1026, 0, 328, 0, 1649172449, 0, 0, 0, 3162020133, 0, 0, 0, 1036, 0, 331, 0, 2180945313, 0, 0, 0, 3087910286, 0, 0, 0, 1046, 0, 334, 0, 720543264, 0, 0, 0, 3015537389, 0, 0, 0, 1056, 0, 337, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers2E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 2277279383, 0, 0, 0, 3016028602, 0, 0, 0, -1080, 0, -306, 0, 3121301798, 0, 0, 0, 2356272345, 0, 0, 0, -1073, 0, -304, 0, 850502219, 0, 0, 0, 3681675540, 0, 0, 0, -1067, 0, -302, 0, 3348809418, 0, 0, 0, 2876309015, 0, 0, 0, -1060, 0, -300, 0, 2482039630, 0, 0, 0, 2247116418, 0, 0, 0, -1053, 0, -298, 0, 120090538, 0, 0, 0, 3511119404, 0, 0, 0, -1047, 0, -296, 0, 1704433469, 0, 0, 0, 2743062034, 0, 0, 0, -1040, 0, -294, 0, 3200048207, 0, 0, 0, 4286034428, 0, 0, 0, -1034, 0, -292, 0, 1963166750, 0, 0, 0, 3348464397, 0, 0, 0, -1027, 0, -290, 0, 2204812663, 0, 0, 0, 2615987810, 0, 0, 0, -1020, 0, -288, 0, 3981890698, 0, 0, 0, 4087480953, 0, 0, 0, -1014, 0, -286, 0, 1097586188, 0, 0, 0, 3193344495, 0, 0, 0, -1007, 0, -284, 0, 3944496953, 0, 0, 0, 2494800386, 0, 0, 0, -1000, 0, -282, 0, 2405180106, 0, 0, 0, 3898125604, 0, 0, 0, -994, 0, -280, 0, 2415917870, 0, 0, 0, 3045410628, 0, 0, 0, -987, 0, -278, 0, 2424306748, 0, 0, 0, 2379227053, 0, 0, 0, -980, 0, -276, 0, 835189277, 0, 0, 0, 3717542271, 0, 0, 0, -974, 0, -274, 0, 1592015719, 0, 0, 0, 2904329899, 0, 0, 0, -967, 0, -272, 0, 3793899112, 0, 0, 0, 2269007733, 0, 0, 0, -960, 0, -270, 0, 827693699, 0, 0, 0, 3545324584, 0, 0, 0, -954, 0, -268, 0, 1720377526, 0, 0, 0, 2769784831, 0, 0, 0, -947, 0, -266, 0, 2283569038, 0, 0, 0, 2163894399, 0, 0, 0, -940, 0, -264, 0, 1152157519, 0, 0, 0, 3381084999, 0, 0, 0, -934, 0, -262, 0, 2913388981, 0, 0, 0, 2641472655, 0, 0, 0, -927, 0, -260, 0, 2136251179, 0, 0, 0, 4127301024, 0, 0, 0, -921, 0, -258, 0, 1668946234, 0, 0, 0, 3224453925, 0, 0, 0, -914, 0, -256, 0, 901211061, 0, 0, 0, 2519104629, 0, 0, 0, -907, 0, -254, 0, 602835915, 0, 0, 0, 3936100983, 0, 0, 0, -901, 0, -252, 0, 336747831, 0, 0, 0, 3075078893, 0, 0, 0, -894, 0, -250, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 1728080585, 0, 0, 0, 3753758414, 0, 0, 0, -881, 0, -246, 0, 1081627501, 0, 0, 0, 2932623761, 0, 0, 0, -874, 0, -244, 0, 2052981037, 0, 0, 0, 2291112313, 0, 0, 0, -867, 0, -242, 0, 3476218327, 0, 0, 0, 3579862989, 0, 0, 0, -861, 0, -240, 0, 3386884208, 0, 0, 0, 2796767960, 0, 0, 0, -854, 0, -238, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 2725093993, 0, 0, 0, 3414023389, 0, 0, 0, -841, 0, -234, 0, 652584674, 0, 0, 0, 2667205773, 0, 0, 0, -834, 0, -232, 0, 2361840833, 0, 0, 0, 4167509020, 0, 0, 0, -828, 0, -230, 0, 1308317239, 0, 0, 0, 3255866422, 0, 0, 0, -821, 0, -228, 0, 1827429211, 0, 0, 0, 2543645642, 0, 0, 0, -814, 0, -226, 0, 1244745406, 0, 0, 0, 3974446316, 0, 0, 0, -808, 0, -224, 0, 2583070084, 0, 0, 0, 3105036184, 0, 0, 0, -801, 0, -222, 0, 944281679, 0, 0, 0, 2425809519, 0, 0, 0, -794, 0, -220, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 3291782637, 0, 0, 0, 2961193260, 0, 0, 0, -781, 0, -216, 0, 4182317921, 0, 0, 0, 2313432234, 0, 0, 0, -774, 0, -214, 0, 629291719, 0, 0, 0, 3614737867, 0, 0, 0, -768, 0, -212, 0, 3041770988, 0, 0, 0, 2824013958, 0, 0, 0, -761, 0, -210, 0, 1034206304, 0, 0, 0, 2206260905, 0, 0, 0, -754, 0, -208, 0, 1884382806, 0, 0, 0, 3447282664, 0, 0, 0, -748, 0, -206, 0, 2545915892, 0, 0, 0, 2693189581, 0, 0, 0, -741, 0, -204, 0, 1025203564, 0, 0, 0, 4208108721, 0, 0, 0, -735, 0, -202, 0, 2008899837, 0, 0, 0, 3287584938, 0, 0, 0, -728, 0, -200, 0, 764146629, 0, 0, 0, 2568425733, 0, 0, 0, -721, 0, -198, 0, 388672741, 0, 0, 0, 4013165208, 0, 0, 0, -715, 0, -196, 0, 3524876051, 0, 0, 0, 3135285318, 0, 0, 0, -708, 0, -194, 0, 1411632134, 0, 0, 0, 2449441655, 0, 0, 0, -701, 0, -192, 0, 1937239754, 0, 0, 0, 3827252586, 0, 0, 0, -695, 0, -190, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 955904895, 0, 0, 0, 2335969596, 0, 0, 0, -681, 0, -186, 0, 419859574, 0, 0, 0, 3649952494, 0, 0, 0, -675, 0, -184, 0, 59579836, 0, 0, 0, 2851525386, 0, 0, 0, -668, 0, -182, 0, 3536207675, 0, 0, 0, 2227754207, 0, 0, 0, -661, 0, -180, 0, 3109405388, 0, 0, 0, 3480865949, 0, 0, 0, -655, 0, -178, 0, 952827952, 0, 0, 0, 2719426523, 0, 0, 0, -648, 0, -176, 0, 2294100043, 0, 0, 0, 4249103942, 0, 0, 0, -642, 0, -174, 0, 450088378, 0, 0, 0, 3319612455, 0, 0, 0, -635, 0, -172, 0, 2364897466, 0, 0, 0, 2593447230, 0, 0, 0, -628, 0, -170, 0, 3158281378, 0, 0, 0, 4052261297, 0, 0, 0, -622, 0, -168, 0, 3675366878, 0, 0, 0, 3165829138, 0, 0, 0, -615, 0, -166, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 74124026, 0, 0, 0, 3864537523, 0, 0, 0, -602, 0, -162, 0, 3681788051, 0, 0, 0, 3019169939, 0, 0, 0, -595, 0, -160, 0, 2205308275, 0, 0, 0, 2358726515, 0, 0, 0, -588, 0, -158, 0, 2103616900, 0, 0, 0, 3685510180, 0, 0, 0, -582, 0, -156, 0, 2180321615, 0, 0, 0, 2879304828, 0, 0, 0, -575, 0, -154, 0, 1166505350, 0, 0, 0, 2249456897, 0, 0, 0, -568, 0, -152, 0, 4238583713, 0, 0, 0, 3514776401, 0, 0, 0, -562, 0, -150, 0, 224385782, 0, 0, 0, 2745919064, 0, 0, 0, -555, 0, -148, 0, 2498086432, 0, 0, 0, 4290498537, 0, 0, 0, -549, 0, -146, 0, 2085847753, 0, 0, 0, 3351951982, 0, 0, 0, -542, 0, -144, 0, 1361133101, 0, 0, 0, 2618712486, 0, 0, 0, -535, 0, -142, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 2248741990, 0, 0, 0, 3196670515, 0, 0, 0, -522, 0, -138, 0, 1085741040, 0, 0, 0, 2497398840, 0, 0, 0, -515, 0, -136, 0, 3843954022, 0, 0, 0, 3902185687, 0, 0, 0, -509, 0, -134, 0, 2868871352, 0, 0, 0, 3048582568, 0, 0, 0, -502, 0, -132, 0, 3315047568, 0, 0, 0, 2381705131, 0, 0, 0, -495, 0, -130, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 783520414, 0, 0, 0, 2907354897, 0, 0, 0, -482, 0, -126, 0, 1820084875, 0, 0, 0, 2271371013, 0, 0, 0, -475, 0, -124, 0, 2038576249, 0, 0, 0, 3549017208, 0, 0, 0, -469, 0, -122, 0, 518895871, 0, 0, 0, 2772669694, 0, 0, 0, -462, 0, -120, 0, 2284435591, 0, 0, 0, 2166148198, 0, 0, 0, -455, 0, -118, 0, 885076051, 0, 0, 0, 3384606560, 0, 0, 0, -449, 0, -116, 0, 691465665, 0, 0, 0, 2644223875, 0, 0, 0, -442, 0, -114, 0, 4033205117, 0, 0, 0, 4131599804, 0, 0, 0, -436, 0, -112, 0, 2614070586, 0, 0, 0, 3227812347, 0, 0, 0, -429, 0, -110, 0, 2444895829, 0, 0, 0, 2521728396, 0, 0, 0, -422, 0, -108, 0, 2746407909, 0, 0, 0, 3940200619, 0, 0, 0, -416, 0, -106, 0, 400800715, 0, 0, 0, 3078281734, 0, 0, 0, -409, 0, -104, 0, 3265915575, 0, 0, 0, 2404907604, 0, 0, 0, -402, 0, -102, 0, 1881767613, 0, 0, 0, 3757668132, 0, 0, 0, -396, 0, -100, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 4252324763, 0, 0, 0, 2293498615, 0, 0, 0, -382, 0, -96, 0, 2080854690, 0, 0, 0, 3583591587, 0, 0, 0, -376, 0, -94, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 3363010608, 0, 0, 0, 2187250724, 0, 0, 0, -362, 0, -90, 0, 2033478602, 0, 0, 0, 3417579257, 0, 0, 0, -356, 0, -88, 0, 3870356534, 0, 0, 0, 2669983794, 0, 0, 0, -349, 0, -86, 0, 2289335700, 0, 0, 0, 4171849679, 0, 0, 0, -343, 0, -84, 0, 580583964, 0, 0, 0, 3259257562, 0, 0, 0, -336, 0, -82, 0, 1795758502, 0, 0, 0, 2546294970, 0, 0, 0, -329, 0, -80, 0, 1195259923, 0, 0, 0, 3978585891, 0, 0, 0, -323, 0, -78, 0, 2410191823, 0, 0, 0, 3108270227, 0, 0, 0, -316, 0, -76, 0, 1211873722, 0, 0, 0, 2428336115, 0, 0, 0, -309, 0, -74, 0, 551375410, 0, 0, 0, 3794275180, 0, 0, 0, -303, 0, -72, 0, 2041374775, 0, 0, 0, 2964277484, 0, 0, 0, -296, 0, -70, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 2861011319, 0, 0, 0, 3618502788, 0, 0, 0, -283, 0, -66, 0, 2772036005, 0, 0, 0, 2826955303, 0, 0, 0, -276, 0, -64, 0, 4178919049, 0, 0, 0, 2208558830, 0, 0, 0, -269, 0, -62, 0, 1697722806, 0, 0, 0, 3450873173, 0, 0, 0, -263, 0, -60, 0, 3071176406, 0, 0, 0, 2695994666, 0, 0, 0, -256, 0, -58, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 2759138893, 0, 0, 0, 3291009114, 0, 0, 0, -243, 0, -54, 0, 3497754540, 0, 0, 0, 2571100870, 0, 0, 0, -236, 0, -52, 0, 2780886909, 0, 0, 0, 4017345110, 0, 0, 0, -230, 0, -50, 0, 2977874265, 0, 0, 0, 3138550867, 0, 0, 0, -223, 0, -48, 0, 1655375630, 0, 0, 0, 2451992865, 0, 0, 0, -216, 0, -46, 0, 707476230, 0, 0, 0, 3831238852, 0, 0, 0, -210, 0, -44, 0, 1089586716, 0, 0, 0, 2993155353, 0, 0, 0, -203, 0, -42, 0, 3132940998, 0, 0, 0, 2338402619, 0, 0, 0, -196, 0, -40, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 1769181907, 0, 0, 0, 2854495385, 0, 0, 0, -183, 0, -36, 0, 3663874741, 0, 0, 0, 2230074519, 0, 0, 0, -176, 0, -34, 0, 1161401530, 0, 0, 0, 3484491437, 0, 0, 0, -170, 0, -32, 0, 1578433586, 0, 0, 0, 2722258935, 0, 0, 0, -163, 0, -30, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 1985519067, 0, 0, 0, 3323069989, 0, 0, 0, -150, 0, -26, 0, 1148533587, 0, 0, 0, 2596148429, 0, 0, 0, -143, 0, -24, 0, 3136761009, 0, 0, 0, 4056481920, 0, 0, 0, -137, 0, -22, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 2451397895, 0, 0, 0, 2475880078, 0, 0, 0, -123, 0, -18, 0, 3293438299, 0, 0, 0, 3868562622, 0, 0, 0, -117, 0, -16, 0, 157079567, 0, 0, 0, 3022314549, 0, 0, 0, -110, 0, -14, 0, 1867548876, 0, 0, 0, 2361183241, 0, 0, 0, -103, 0, -12, 0, 3186480575, 0, 0, 0, 3689348814, 0, 0, 0, -97, 0, -10, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 2943117750, 0, 0, 0, 2251799813, 0, 0, 0, -83, 0, -6, 0, 3793315116, 0, 0, 0, 3518437208, 0, 0, 0, -77, 0, -4, 0, 1889785610, 0, 0, 0, 2748779069, 0, 0, 0, -70, 0, -2, 0, 0, 0, 0, 0, 2147483648, 0, 0, 0, -63, 0, 0, 0, 0, 0, 0, 0, 3355443200, 0, 0, 0, -57, 0, 2, 0, 0, 0, 0, 0, 2621440000, 0, 0, 0, -50, 0, 4, 0, 0, 0, 0, 0, 4096000000, 0, 0, 0, -44, 0, 6, 0, 0, 0, 0, 0, 3200000000, 0, 0, 0, -37, 0, 8, 0, 0, 0, 0, 0, 2500000000, 0, 0, 0, -30, 0, 10, 0, 0, 0, 0, 0, 3906250000, 0, 0, 0, -24, 0, 12, 0, 2147483648, 0, 0, 0, 3051757812, 0, 0, 0, -17, 0, 14, 0, 67108864, 0, 0, 0, 2384185791, 0, 0, 0, -10, 0, 16, 0, 1983905792, 0, 0, 0, 3725290298, 0, 0, 0, -4, 0, 18, 0, 2892103680, 0, 0, 0, 2910383045, 0, 0, 0, 3, 0, 20, 0, 1856802816, 0, 0, 0, 2273736754, 0, 0, 0, 10, 0, 22, 0, 3438125312, 0, 0, 0, 3552713678, 0, 0, 0, 16, 0, 24, 0, 2417599944, 0, 0, 0, 2775557561, 0, 0, 0, 23, 0, 26, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 73879263, 0, 0, 0, 3388131789, 0, 0, 0, 36, 0, 30, 0, 728806814, 0, 0, 0, 2646977960, 0, 0, 0, 43, 0, 32, 0, 3286244295, 0, 0, 0, 4135903062, 0, 0, 0, 49, 0, 34, 0, 3372684723, 0, 0, 0, 3231174267, 0, 0, 0, 56, 0, 36, 0, 3037563124, 0, 0, 0, 2524354896, 0, 0, 0, 63, 0, 38, 0, 451225085, 0, 0, 0, 3944304526, 0, 0, 0, 69, 0, 40, 0, 84084142, 0, 0, 0, 3081487911, 0, 0, 0, 76, 0, 42, 0, 2078956656, 0, 0, 0, 2407412430, 0, 0, 0, 83, 0, 44, 0, 2711498863, 0, 0, 0, 3761581922, 0, 0, 0, 89, 0, 46, 0, 239310295, 0, 0, 0, 2938735877, 0, 0, 0, 96, 0, 48, 0, 4079275280, 0, 0, 0, 2295887403, 0, 0, 0, 103, 0, 50, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 2790157394, 0, 0, 0, 2802596928, 0, 0, 0, 116, 0, 54, 0, 2179810464, 0, 0, 0, 2189528850, 0, 0, 0, 123, 0, 56, 0, 3942824762, 0, 0, 0, 3421138828, 0, 0, 0, 129, 0, 58, 0, 395977285, 0, 0, 0, 2672764710, 0, 0, 0, 136, 0, 60, 0, 2229327244, 0, 0, 0, 4176194859, 0, 0, 0, 142, 0, 62, 0, 4291798741, 0, 0, 0, 3262652233, 0, 0, 0, 149, 0, 64, 0, 3487185495, 0, 0, 0, 2548947057, 0, 0, 0, 156, 0, 66, 0, 3569679143, 0, 0, 0, 3982729777, 0, 0, 0, 162, 0, 68, 0, 3996771383, 0, 0, 0, 3111507638, 0, 0, 0, 169, 0, 70, 0, 3927784011, 0, 0, 0, 2430865342, 0, 0, 0, 176, 0, 72, 0, 1305324309, 0, 0, 0, 3798227098, 0, 0, 0, 182, 0, 74, 0, 2361961896, 0, 0, 0, 2967364920, 0, 0, 0, 189, 0, 76, 0, 771540907, 0, 0, 0, 2318253844, 0, 0, 0, 196, 0, 78, 0, 2279274492, 0, 0, 0, 3622271631, 0, 0, 0, 202, 0, 80, 0, 572723645, 0, 0, 0, 2829899712, 0, 0, 0, 209, 0, 82, 0, 447440347, 0, 0, 0, 2210859150, 0, 0, 0, 216, 0, 84, 0, 162254631, 0, 0, 0, 3454467422, 0, 0, 0, 222, 0, 86, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 1255029343, 0, 0, 0, 4216879177, 0, 0, 0, 235, 0, 90, 0, 1114709402, 0, 0, 0, 3294436857, 0, 0, 0, 242, 0, 92, 0, 3152568096, 0, 0, 0, 2573778794, 0, 0, 0, 249, 0, 94, 0, 3315274915, 0, 0, 0, 4021529366, 0, 0, 0, 255, 0, 96, 0, 3395364895, 0, 0, 0, 3141819817, 0, 0, 0, 262, 0, 98, 0, 2786846552, 0, 0, 0, 2454546732, 0, 0, 0, 269, 0, 100, 0, 3280705914, 0, 0, 0, 3835229269, 0, 0, 0, 275, 0, 102, 0, 12914663, 0, 0, 0, 2996272867, 0, 0, 0, 282, 0, 104, 0, 1486484589, 0, 0, 0, 2340838177, 0, 0, 0, 289, 0, 106, 0, 443583978, 0, 0, 0, 3657559652, 0, 0, 0, 295, 0, 108, 0, 883420895, 0, 0, 0, 2857468478, 0, 0, 0, 302, 0, 110, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 4014407447, 0, 0, 0, 3488120700, 0, 0, 0, 315, 0, 114, 0, 2599384906, 0, 0, 0, 2725094297, 0, 0, 0, 322, 0, 116, 0, 35007075, 0, 0, 0, 4257959840, 0, 0, 0, 328, 0, 118, 0, 27349278, 0, 0, 0, 3326531125, 0, 0, 0, 335, 0, 120, 0, 1766197087, 0, 0, 0, 2598852441, 0, 0, 0, 342, 0, 122, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 2768370688, 0, 0, 0, 3172427296, 0, 0, 0, 355, 0, 126, 0, 2162789600, 0, 0, 0, 2478458825, 0, 0, 0, 362, 0, 128, 0, 3647794206, 0, 0, 0, 3872591914, 0, 0, 0, 368, 0, 130, 0, 2044532855, 0, 0, 0, 3025462433, 0, 0, 0, 375, 0, 132, 0, 657767197, 0, 0, 0, 2363642526, 0, 0, 0, 382, 0, 134, 0, 490890333, 0, 0, 0, 3693191447, 0, 0, 0, 388, 0, 136, 0, 249290345, 0, 0, 0, 2885305818, 0, 0, 0, 395, 0, 138, 0, 1536935362, 0, 0, 0, 2254145170, 0, 0, 0, 402, 0, 140, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 2832443111, 0, 0, 0, 2751642053, 0, 0, 0, 415, 0, 144, 0, 1810192997, 0, 0, 0, 2149720354, 0, 0, 0, 422, 0, 146, 0, 3365297469, 0, 0, 0, 3358938053, 0, 0, 0, 428, 0, 148, 0, 2226485464, 0, 0, 0, 2624170354, 0, 0, 0, 435, 0, 150, 0, 4015754449, 0, 0, 0, 4100266178, 0, 0, 0, 441, 0, 152, 0, 1258259972, 0, 0, 0, 3203332952, 0, 0, 0, 448, 0, 154, 0, 4204241075, 0, 0, 0, 2502603868, 0, 0, 0, 455, 0, 156, 0, 1200417559, 0, 0, 0, 3910318545, 0, 0, 0, 461, 0, 158, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 4226531965, 0, 0, 0, 2386669033, 0, 0, 0, 475, 0, 162, 0, 2577424355, 0, 0, 0, 3729170365, 0, 0, 0, 481, 0, 164, 0, 537217770, 0, 0, 0, 2913414348, 0, 0, 0, 488, 0, 166, 0, 2030314119, 0, 0, 0, 2276104959, 0, 0, 0, 495, 0, 168, 0, 756446706, 0, 0, 0, 3556413999, 0, 0, 0, 501, 0, 170, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 1262810493, 0, 0, 0, 2170662841, 0, 0, 0, 515, 0, 174, 0, 2241576851, 0, 0, 0, 3391660689, 0, 0, 0, 521, 0, 176, 0, 2959191467, 0, 0, 0, 2649734913, 0, 0, 0, 528, 0, 178, 0, 2744688476, 0, 0, 0, 4140210802, 0, 0, 0, 534, 0, 180, 0, 2412723328, 0, 0, 0, 3234539689, 0, 0, 0, 541, 0, 182, 0, 2019157828, 0, 0, 0, 2526984132, 0, 0, 0, 548, 0, 184, 0, 4228675930, 0, 0, 0, 3948412706, 0, 0, 0, 554, 0, 186, 0, 1424604878, 0, 0, 0, 3084697427, 0, 0, 0, 561, 0, 188, 0, 441883921, 0, 0, 0, 2409919865, 0, 0, 0, 568, 0, 190, 0, 958879083, 0, 0, 0, 3765499789, 0, 0, 0, 574, 0, 192, 0, 1420212923, 0, 0, 0, 2941796710, 0, 0, 0, 581, 0, 194, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 1783990002, 0, 0, 0, 3591060437, 0, 0, 0, 594, 0, 198, 0, 3138572653, 0, 0, 0, 2805515966, 0, 0, 0, 601, 0, 200, 0, 36090781, 0, 0, 0, 2191809349, 0, 0, 0, 608, 0, 202, 0, 3546052773, 0, 0, 0, 3424702107, 0, 0, 0, 614, 0, 204, 0, 3173006913, 0, 0, 0, 2675548521, 0, 0, 0, 621, 0, 206, 0, 931291462, 0, 0, 0, 4180544565, 0, 0, 0, 627, 0, 208, 0, 2472401918, 0, 0, 0, 3266050441, 0, 0, 0, 634, 0, 210, 0, 2065781727, 0, 0, 0, 2551601907, 0, 0, 0, 641, 0, 212, 0, 1885606668, 0, 0, 0, 3986877980, 0, 0, 0, 647, 0, 214, 0, 936259297, 0, 0, 0, 3114748422, 0, 0, 0, 654, 0, 216, 0, 3684242592, 0, 0, 0, 2433397204, 0, 0, 0, 661, 0, 218, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 1443913133, 0, 0, 0, 2970455572, 0, 0, 0, 674, 0, 222, 0, 3812411696, 0, 0, 0, 2320668415, 0, 0, 0, 681, 0, 224, 0, 3540974170, 0, 0, 0, 3626044399, 0, 0, 0, 687, 0, 226, 0, 1558426518, 0, 0, 0, 2832847187, 0, 0, 0, 694, 0, 228, 0, 546432078, 0, 0, 0, 2213161865, 0, 0, 0, 701, 0, 230, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 3829536561, 0, 0, 0, 2701613604, 0, 0, 0, 714, 0, 234, 0, 2762425404, 0, 0, 0, 4221271257, 0, 0, 0, 720, 0, 236, 0, 144878927, 0, 0, 0, 3297868170, 0, 0, 0, 727, 0, 238, 0, 3602847590, 0, 0, 0, 2576459507, 0, 0, 0, 734, 0, 240, 0, 4287272079, 0, 0, 0, 4025717980, 0, 0, 0, 740, 0, 242, 0, 2812560400, 0, 0, 0, 3145092172, 0, 0, 0, 747, 0, 244, 0, 3807925548, 0, 0, 0, 2457103259, 0, 0, 0, 754, 0, 246, 0, 2460222741, 0, 0, 0, 3839223843, 0, 0, 0, 760, 0, 248, 0, 3398444024, 0, 0, 0, 2999393627, 0, 0, 0, 767, 0, 250, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 2361717737, 0, 0, 0, 3661369174, 0, 0, 0, 780, 0, 254, 0, 2650398350, 0, 0, 0, 2860444667, 0, 0, 0, 787, 0, 256, 0, 2473276895, 0, 0, 0, 2234722396, 0, 0, 0, 794, 0, 258, 0, 2790753324, 0, 0, 0, 3491753744, 0, 0, 0, 800, 0, 260, 0, 32792387, 0, 0, 0, 2727932613, 0, 0, 0, 807, 0, 262, 0, 3540899032, 0, 0, 0, 4262394707, 0, 0, 0, 813, 0, 264, 0, 2095238729, 0, 0, 0, 3329995865, 0, 0, 0, 820, 0, 266, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 1022549200, 0, 0, 0, 4064936359, 0, 0, 0, 833, 0, 270, 0, 2812132482, 0, 0, 0, 3175731530, 0, 0, 0, 840, 0, 272, 0, 1391672134, 0, 0, 0, 2481040258, 0, 0, 0, 847, 0, 274, 0, 2711358621, 0, 0, 0, 3876625403, 0, 0, 0, 853, 0, 276, 0, 2520902107, 0, 0, 0, 3028613596, 0, 0, 0, 860, 0, 278, 0, 1432583859, 0, 0, 0, 2366104372, 0, 0, 0, 867, 0, 280, 0, 3312154103, 0, 0, 0, 3697038081, 0, 0, 0, 873, 0, 282, 0, 1648096297, 0, 0, 0, 2888311001, 0, 0, 0, 880, 0, 284, 0, 3569276608, 0, 0, 0, 2256492969, 0, 0, 0, 887, 0, 286, 0, 1550462860, 0, 0, 0, 3525770265, 0, 0, 0, 893, 0, 288, 0, 3493000486, 0, 0, 0, 2754508019, 0, 0, 0, 900, 0, 290, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 2678469697, 0, 0, 0, 3362436547, 0, 0, 0, 913, 0, 294, 0, 3568949458, 0, 0, 0, 2626903552, 0, 0, 0, 920, 0, 296, 0, 1281516233, 0, 0, 0, 4104536801, 0, 0, 0, 926, 0, 298, 0, 61660461, 0, 0, 0, 3206669376, 0, 0, 0, 933, 0, 300, 0, 48172235, 0, 0, 0, 2505210450, 0, 0, 0, 940, 0, 302, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 478234398, 0, 0, 0, 3058118225, 0, 0, 0, 953, 0, 306, 0, 1581580175, 0, 0, 0, 2389154863, 0, 0, 0, 960, 0, 308, 0, 55299920, 0, 0, 0, 3733054474, 0, 0, 0, 966, 0, 310, 0, 3532863990, 0, 0, 0, 2916448807, 0, 0, 0, 973, 0, 312, 0, 478348617, 0, 0, 0, 2278475631, 0, 0, 0, 980, 0, 314, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 575533043, 0, 0, 0, 2781342323, 0, 0, 0, 993, 0, 318, 0, 4073513846, 0, 0, 0, 2172923689, 0, 0, 0, 1000, 0, 320, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 3034782633, 0, 0, 0, 2652494738, 0, 0, 0, 1013, 0, 324, 0, 983751481, 0, 0, 0, 4144523029, 0, 0, 0, 1019, 0, 326, 0, 2513386308, 0, 0, 0, 3237908616, 0, 0, 0, 1026, 0, 328, 0, 3037324877, 0, 0, 0, 2529616106, 0, 0, 0, 1033, 0, 330, 0, 3135207385, 0, 0, 0, 3952525166, 0, 0, 0, 1039, 0, 332, 0, 2180945313, 0, 0, 0, 3087910286, 0, 0, 0, 1046, 0, 334, 0, 1435428070, 0, 0, 0, 2412429911, 0, 0, 0, 1053, 0, 336, 0, 1974420904, 0, 0, 0, 3769421736, 0, 0, 0, 1059, 0, 338, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0, 2446604868, 0, 0, 0, 2300672446, 0, 0, 0, 1073, 0, 342, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2v88internalL14kCachedPowers1E=allocate([1025131999, 0, 0, 0, 3860516611, 0, 0, 0, -1087, 0, -308, 0, 103836588, 0, 0, 0, 2412822882, 0, 0, 0, -1083, 0, -307, 0, 2277279383, 0, 0, 0, 3016028602, 0, 0, 0, -1080, 0, -306, 0, 699115580, 0, 0, 0, 3770035753, 0, 0, 0, -1077, 0, -305, 0, 3121301798, 0, 0, 0, 2356272345, 0, 0, 0, -1073, 0, -304, 0, 680401775, 0, 0, 0, 2945340432, 0, 0, 0, -1070, 0, -303, 0, 850502219, 0, 0, 0, 3681675540, 0, 0, 0, -1067, 0, -302, 0, 2679047535, 0, 0, 0, 2301047212, 0, 0, 0, -1063, 0, -301, 0, 3348809418, 0, 0, 0, 2876309015, 0, 0, 0, -1060, 0, -300, 0, 3112269949, 0, 0, 0, 3595386269, 0, 0, 0, -1057, 0, -299, 0, 2482039630, 0, 0, 0, 2247116418, 0, 0, 0, -1053, 0, -298, 0, 955065890, 0, 0, 0, 2808895523, 0, 0, 0, -1050, 0, -297, 0, 120090538, 0, 0, 0, 3511119404, 0, 0, 0, -1047, 0, -296, 0, 2222540234, 0, 0, 0, 2194449627, 0, 0, 0, -1043, 0, -295, 0, 1704433469, 0, 0, 0, 2743062034, 0, 0, 0, -1040, 0, -294, 0, 4278025484, 0, 0, 0, 3428827542, 0, 0, 0, -1037, 0, -293, 0, 3200048207, 0, 0, 0, 4286034428, 0, 0, 0, -1034, 0, -292, 0, 4147513777, 0, 0, 0, 2678771517, 0, 0, 0, -1030, 0, -291, 0, 1963166750, 0, 0, 0, 3348464397, 0, 0, 0, -1027, 0, -290, 0, 3527700261, 0, 0, 0, 4185580496, 0, 0, 0, -1024, 0, -289, 0, 2204812663, 0, 0, 0, 2615987810, 0, 0, 0, -1020, 0, -288, 0, 608532181, 0, 0, 0, 3269984763, 0, 0, 0, -1017, 0, -287, 0, 3981890698, 0, 0, 0, 4087480953, 0, 0, 0, -1014, 0, -286, 0, 878068951, 0, 0, 0, 2554675596, 0, 0, 0, -1010, 0, -285, 0, 1097586188, 0, 0, 0, 3193344495, 0, 0, 0, -1007, 0, -284, 0, 298240911, 0, 0, 0, 3991680619, 0, 0, 0, -1004, 0, -283, 0, 3944496953, 0, 0, 0, 2494800386, 0, 0, 0, -1000, 0, -282, 0, 2783137544, 0, 0, 0, 3118500483, 0, 0, 0, -997, 0, -281, 0, 2405180106, 0, 0, 0, 3898125604, 0, 0, 0, -994, 0, -280, 0, 3650721214, 0, 0, 0, 2436328502, 0, 0, 0, -990, 0, -279, 0, 2415917870, 0, 0, 0, 3045410628, 0, 0, 0, -987, 0, -278, 0, 3019897337, 0, 0, 0, 3806763285, 0, 0, 0, -984, 0, -277, 0, 2424306748, 0, 0, 0, 2379227053, 0, 0, 0, -980, 0, -276, 0, 4104125259, 0, 0, 0, 2974033816, 0, 0, 0, -977, 0, -275, 0, 835189277, 0, 0, 0, 3717542271, 0, 0, 0, -974, 0, -274, 0, 2132606034, 0, 0, 0, 2323463919, 0, 0, 0, -970, 0, -273, 0, 1592015719, 0, 0, 0, 2904329899, 0, 0, 0, -967, 0, -272, 0, 916277825, 0, 0, 0, 3630412374, 0, 0, 0, -964, 0, -271, 0, 3793899112, 0, 0, 0, 2269007733, 0, 0, 0, -960, 0, -270, 0, 1521148418, 0, 0, 0, 2836259667, 0, 0, 0, -957, 0, -269, 0, 827693699, 0, 0, 0, 3545324584, 0, 0, 0, -954, 0, -268, 0, 517308562, 0, 0, 0, 2215827865, 0, 0, 0, -950, 0, -267, 0, 1720377526, 0, 0, 0, 2769784831, 0, 0, 0, -947, 0, -266, 0, 1076730084, 0, 0, 0, 3462231039, 0, 0, 0, -944, 0, -265, 0, 2283569038, 0, 0, 0, 2163894399, 0, 0, 0, -940, 0, -264, 0, 1780719474, 0, 0, 0, 2704867999, 0, 0, 0, -937, 0, -263, 0, 1152157519, 0, 0, 0, 3381084999, 0, 0, 0, -934, 0, -262, 0, 366455074, 0, 0, 0, 4226356249, 0, 0, 0, -931, 0, -261, 0, 2913388981, 0, 0, 0, 2641472655, 0, 0, 0, -927, 0, -260, 0, 2567994403, 0, 0, 0, 3301840819, 0, 0, 0, -924, 0, -259, 0, 2136251179, 0, 0, 0, 4127301024, 0, 0, 0, -921, 0, -258, 0, 1335156987, 0, 0, 0, 2579563140, 0, 0, 0, -917, 0, -257, 0, 1668946234, 0, 0, 0, 3224453925, 0, 0, 0, -914, 0, -256, 0, 3159924616, 0, 0, 0, 4030567406, 0, 0, 0, -911, 0, -255, 0, 901211061, 0, 0, 0, 2519104629, 0, 0, 0, -907, 0, -254, 0, 2200255651, 0, 0, 0, 3148880786, 0, 0, 0, -904, 0, -253, 0, 602835915, 0, 0, 0, 3936100983, 0, 0, 0, -901, 0, -252, 0, 1987385183, 0, 0, 0, 2460063114, 0, 0, 0, -897, 0, -251, 0, 336747831, 0, 0, 0, 3075078893, 0, 0, 0, -894, 0, -250, 0, 1494676613, 0, 0, 0, 3843848616, 0, 0, 0, -891, 0, -249, 0, 934172883, 0, 0, 0, 2402405385, 0, 0, 0, -887, 0, -248, 0, 2241457928, 0, 0, 0, 3003006731, 0, 0, 0, -884, 0, -247, 0, 1728080585, 0, 0, 0, 3753758414, 0, 0, 0, -881, 0, -246, 0, 6308542, 0, 0, 0, 2346099009, 0, 0, 0, -877, 0, -245, 0, 1081627501, 0, 0, 0, 2932623761, 0, 0, 0, -874, 0, -244, 0, 2425776201, 0, 0, 0, 3665779701, 0, 0, 0, -871, 0, -243, 0, 2052981037, 0, 0, 0, 2291112313, 0, 0, 0, -867, 0, -242, 0, 3639968121, 0, 0, 0, 2863890391, 0, 0, 0, -864, 0, -241, 0, 3476218327, 0, 0, 0, 3579862989, 0, 0, 0, -861, 0, -240, 0, 2709507366, 0, 0, 0, 2237414368, 0, 0, 0, -857, 0, -239, 0, 3386884208, 0, 0, 0, 2796767960, 0, 0, 0, -854, 0, -238, 0, 4233605260, 0, 0, 0, 3495959950, 0, 0, 0, -851, 0, -237, 0, 1572261463, 0, 0, 0, 2184974969, 0, 0, 0, -847, 0, -236, 0, 3039068653, 0, 0, 0, 2731218711, 0, 0, 0, -844, 0, -235, 0, 2725093993, 0, 0, 0, 3414023389, 0, 0, 0, -841, 0, -234, 0, 185142019, 0, 0, 0, 4267529237, 0, 0, 0, -838, 0, -233, 0, 652584674, 0, 0, 0, 2667205773, 0, 0, 0, -834, 0, -232, 0, 1889472666, 0, 0, 0, 3334007216, 0, 0, 0, -831, 0, -231, 0, 2361840833, 0, 0, 0, 4167509020, 0, 0, 0, -828, 0, -230, 0, 3623634168, 0, 0, 0, 2604693137, 0, 0, 0, -824, 0, -229, 0, 1308317239, 0, 0, 0, 3255866422, 0, 0, 0, -821, 0, -228, 0, 3782880196, 0, 0, 0, 4069833027, 0, 0, 0, -818, 0, -227, 0, 1827429211, 0, 0, 0, 2543645642, 0, 0, 0, -814, 0, -226, 0, 136802865, 0, 0, 0, 3179557053, 0, 0, 0, -811, 0, -225, 0, 1244745406, 0, 0, 0, 3974446316, 0, 0, 0, -808, 0, -224, 0, 2925449527, 0, 0, 0, 2484028947, 0, 0, 0, -804, 0, -223, 0, 2583070084, 0, 0, 0, 3105036184, 0, 0, 0, -801, 0, -222, 0, 3228837605, 0, 0, 0, 3881295230, 0, 0, 0, -798, 0, -221, 0, 944281679, 0, 0, 0, 2425809519, 0, 0, 0, -794, 0, -220, 0, 106610275, 0, 0, 0, 3032261899, 0, 0, 0, -791, 0, -219, 0, 3354488316, 0, 0, 0, 3790327373, 0, 0, 0, -788, 0, -218, 0, 2633426109, 0, 0, 0, 2368954608, 0, 0, 0, -784, 0, -217, 0, 3291782637, 0, 0, 0, 2961193260, 0, 0, 0, -781, 0, -216, 0, 4114728296, 0, 0, 0, 3701491575, 0, 0, 0, -778, 0, -215, 0, 4182317921, 0, 0, 0, 2313432234, 0, 0, 0, -774, 0, -214, 0, 3080413753, 0, 0, 0, 2891790293, 0, 0, 0, -771, 0, -213, 0, 629291719, 0, 0, 0, 3614737867, 0, 0, 0, -768, 0, -212, 0, 4151403709, 0, 0, 0, 2259211166, 0, 0, 0, -764, 0, -211, 0, 3041770988, 0, 0, 0, 2824013958, 0, 0, 0, -761, 0, -210, 0, 1654730087, 0, 0, 0, 3530017448, 0, 0, 0, -758, 0, -209, 0, 1034206304, 0, 0, 0, 2206260905, 0, 0, 0, -754, 0, -208, 0, 2366499704, 0, 0, 0, 2757826131, 0, 0, 0, -751, 0, -207, 0, 1884382806, 0, 0, 0, 3447282664, 0, 0, 0, -748, 0, -206, 0, 1177739254, 0, 0, 0, 2154551665, 0, 0, 0, -744, 0, -205, 0, 2545915892, 0, 0, 0, 2693189581, 0, 0, 0, -741, 0, -204, 0, 4256136688, 0, 0, 0, 3366486976, 0, 0, 0, -738, 0, -203, 0, 1025203564, 0, 0, 0, 4208108721, 0, 0, 0, -735, 0, -202, 0, 3325106788, 0, 0, 0, 2630067950, 0, 0, 0, -731, 0, -201, 0, 2008899837, 0, 0, 0, 3287584938, 0, 0, 0, -728, 0, -200, 0, 363641148, 0, 0, 0, 4109481173, 0, 0, 0, -725, 0, -199, 0, 764146629, 0, 0, 0, 2568425733, 0, 0, 0, -721, 0, -198, 0, 2028925111, 0, 0, 0, 3210532166, 0, 0, 0, -718, 0, -197, 0, 388672741, 0, 0, 0, 4013165208, 0, 0, 0, -715, 0, -196, 0, 242920463, 0, 0, 0, 2508228255, 0, 0, 0, -711, 0, -195, 0, 3524876051, 0, 0, 0, 3135285318, 0, 0, 0, -708, 0, -194, 0, 2258611415, 0, 0, 0, 3919106648, 0, 0, 0, -705, 0, -193, 0, 1411632134, 0, 0, 0, 2449441655, 0, 0, 0, -701, 0, -192, 0, 690798344, 0, 0, 0, 3061802069, 0, 0, 0, -698, 0, -191, 0, 1937239754, 0, 0, 0, 3827252586, 0, 0, 0, -695, 0, -190, 0, 2284516670, 0, 0, 0, 2392032866, 0, 0, 0, -691, 0, -189, 0, 708162190, 0, 0, 0, 2990041083, 0, 0, 0, -688, 0, -188, 0, 4106428209, 0, 0, 0, 3737551353, 0, 0, 0, -685, 0, -187, 0, 955904895, 0, 0, 0, 2335969596, 0, 0, 0, -681, 0, -186, 0, 1194881119, 0, 0, 0, 2919961995, 0, 0, 0, -678, 0, -185, 0, 419859574, 0, 0, 0, 3649952494, 0, 0, 0, -675, 0, -184, 0, 3483637706, 0, 0, 0, 2281220308, 0, 0, 0, -671, 0, -183, 0, 59579836, 0, 0, 0, 2851525386, 0, 0, 0, -668, 0, -182, 0, 2221958443, 0, 0, 0, 3564406732, 0, 0, 0, -665, 0, -181, 0, 3536207675, 0, 0, 0, 2227754207, 0, 0, 0, -661, 0, -180, 0, 3346517770, 0, 0, 0, 2784692759, 0, 0, 0, -658, 0, -179, 0, 3109405388, 0, 0, 0, 3480865949, 0, 0, 0, -655, 0, -178, 0, 2480249280, 0, 0, 0, 2175541218, 0, 0, 0, -651, 0, -177, 0, 952827952, 0, 0, 0, 2719426523, 0, 0, 0, -648, 0, -176, 0, 117293116, 0, 0, 0, 3399283154, 0, 0, 0, -645, 0, -175, 0, 2294100043, 0, 0, 0, 4249103942, 0, 0, 0, -642, 0, -174, 0, 360070703, 0, 0, 0, 2655689964, 0, 0, 0, -638, 0, -173, 0, 450088378, 0, 0, 0, 3319612455, 0, 0, 0, -635, 0, -172, 0, 3783835945, 0, 0, 0, 4149515568, 0, 0, 0, -632, 0, -171, 0, 2364897466, 0, 0, 0, 2593447230, 0, 0, 0, -628, 0, -170, 0, 808638184, 0, 0, 0, 3241809038, 0, 0, 0, -625, 0, -169, 0, 3158281378, 0, 0, 0, 4052261297, 0, 0, 0, -622, 0, -168, 0, 363313125, 0, 0, 0, 2532663311, 0, 0, 0, -618, 0, -167, 0, 3675366878, 0, 0, 0, 3165829138, 0, 0, 0, -615, 0, -166, 0, 2446724950, 0, 0, 0, 3957286423, 0, 0, 0, -612, 0, -165, 0, 3139815830, 0, 0, 0, 2473304014, 0, 0, 0, -608, 0, -164, 0, 1777286139, 0, 0, 0, 3091630018, 0, 0, 0, -605, 0, -163, 0, 74124026, 0, 0, 0, 3864537523, 0, 0, 0, -602, 0, -162, 0, 3804423900, 0, 0, 0, 2415335951, 0, 0, 0, -598, 0, -161, 0, 3681788051, 0, 0, 0, 3019169939, 0, 0, 0, -595, 0, -160, 0, 3528493240, 0, 0, 0, 3773962424, 0, 0, 0, -592, 0, -159, 0, 2205308275, 0, 0, 0, 2358726515, 0, 0, 0, -588, 0, -158, 0, 1682893520, 0, 0, 0, 2948408144, 0, 0, 0, -585, 0, -157, 0, 2103616900, 0, 0, 0, 3685510180, 0, 0, 0, -582, 0, -156, 0, 3462244210, 0, 0, 0, 2303443862, 0, 0, 0, -578, 0, -155, 0, 2180321615, 0, 0, 0, 2879304828, 0, 0, 0, -575, 0, -154, 0, 2725402019, 0, 0, 0, 3599131035, 0, 0, 0, -572, 0, -153, 0, 1166505350, 0, 0, 0, 2249456897, 0, 0, 0, -568, 0, -152, 0, 2531873511, 0, 0, 0, 2811821121, 0, 0, 0, -565, 0, -151, 0, 4238583713, 0, 0, 0, 3514776401, 0, 0, 0, -562, 0, -150, 0, 1038502085, 0, 0, 0, 2196735251, 0, 0, 0, -558, 0, -149, 0, 224385782, 0, 0, 0, 2745919064, 0, 0, 0, -555, 0, -148, 0, 280482227, 0, 0, 0, 3432398830, 0, 0, 0, -552, 0, -147, 0, 2498086432, 0, 0, 0, 4290498537, 0, 0, 0, -549, 0, -146, 0, 4245658580, 0, 0, 0, 2681561585, 0, 0, 0, -545, 0, -145, 0, 2085847753, 0, 0, 0, 3351951982, 0, 0, 0, -542, 0, -144, 0, 459826043, 0, 0, 0, 4189939978, 0, 0, 0, -539, 0, -143, 0, 1361133101, 0, 0, 0, 2618712486, 0, 0, 0, -535, 0, -142, 0, 3848900024, 0, 0, 0, 3273390607, 0, 0, 0, -532, 0, -141, 0, 3737383206, 0, 0, 0, 4091738259, 0, 0, 0, -529, 0, -140, 0, 1798993592, 0, 0, 0, 2557336412, 0, 0, 0, -525, 0, -139, 0, 2248741990, 0, 0, 0, 3196670515, 0, 0, 0, -522, 0, -138, 0, 1737185663, 0, 0, 0, 3995838144, 0, 0, 0, -519, 0, -137, 0, 1085741040, 0, 0, 0, 2497398840, 0, 0, 0, -515, 0, -136, 0, 1357176300, 0, 0, 0, 3121748550, 0, 0, 0, -512, 0, -135, 0, 3843954022, 0, 0, 0, 3902185687, 0, 0, 0, -509, 0, -134, 0, 4013084000, 0, 0, 0, 2438866054, 0, 0, 0, -505, 0, -133, 0, 2868871352, 0, 0, 0, 3048582568, 0, 0, 0, -502, 0, -132, 0, 3586089190, 0, 0, 0, 3810728210, 0, 0, 0, -499, 0, -131, 0, 3315047568, 0, 0, 0, 2381705131, 0, 0, 0, -495, 0, -130, 0, 3070067636, 0, 0, 0, 2977131414, 0, 0, 0, -492, 0, -129, 0, 1690100897, 0, 0, 0, 3721414268, 0, 0, 0, -489, 0, -128, 0, 3203796708, 0, 0, 0, 2325883917, 0, 0, 0, -485, 0, -127, 0, 783520414, 0, 0, 0, 2907354897, 0, 0, 0, -482, 0, -126, 0, 2053142341, 0, 0, 0, 3634193621, 0, 0, 0, -479, 0, -125, 0, 1820084875, 0, 0, 0, 2271371013, 0, 0, 0, -475, 0, -124, 0, 3348847918, 0, 0, 0, 2839213766, 0, 0, 0, -472, 0, -123, 0, 2038576249, 0, 0, 0, 3549017208, 0, 0, 0, -469, 0, -122, 0, 1274110156, 0, 0, 0, 2218135755, 0, 0, 0, -465, 0, -121, 0, 518895871, 0, 0, 0, 2772669694, 0, 0, 0, -462, 0, -120, 0, 2796103486, 0, 0, 0, 3465837117, 0, 0, 0, -459, 0, -119, 0, 2284435591, 0, 0, 0, 2166148198, 0, 0, 0, -455, 0, -118, 0, 708060841, 0, 0, 0, 2707685248, 0, 0, 0, -452, 0, -117, 0, 885076051, 0, 0, 0, 3384606560, 0, 0, 0, -449, 0, -116, 0, 1106345064, 0, 0, 0, 4230758200, 0, 0, 0, -446, 0, -115, 0, 691465665, 0, 0, 0, 2644223875, 0, 0, 0, -442, 0, -114, 0, 4085557553, 0, 0, 0, 3305279843, 0, 0, 0, -439, 0, -113, 0, 4033205117, 0, 0, 0, 4131599804, 0, 0, 0, -436, 0, -112, 0, 373269550, 0, 0, 0, 2582249878, 0, 0, 0, -432, 0, -111, 0, 2614070586, 0, 0, 0, 3227812347, 0, 0, 0, -429, 0, -110, 0, 2193846408, 0, 0, 0, 4034765434, 0, 0, 0, -426, 0, -109, 0, 2444895829, 0, 0, 0, 2521728396, 0, 0, 0, -422, 0, -108, 0, 3056119787, 0, 0, 0, 3152160495, 0, 0, 0, -419, 0, -107, 0, 2746407909, 0, 0, 0, 3940200619, 0, 0, 0, -416, 0, -106, 0, 1179634031, 0, 0, 0, 2462625387, 0, 0, 0, -412, 0, -105, 0, 400800715, 0, 0, 0, 3078281734, 0, 0, 0, -409, 0, -104, 0, 2648484542, 0, 0, 0, 3847852167, 0, 0, 0, -406, 0, -103, 0, 3265915575, 0, 0, 0, 2404907604, 0, 0, 0, -402, 0, -102, 0, 4082394468, 0, 0, 0, 3006134505, 0, 0, 0, -399, 0, -101, 0, 1881767613, 0, 0, 0, 3757668132, 0, 0, 0, -396, 0, -100, 0, 3323588406, 0, 0, 0, 2348542582, 0, 0, 0, -392, 0, -99, 0, 2007001860, 0, 0, 0, 2935678228, 0, 0, 0, -389, 0, -98, 0, 2508752325, 0, 0, 0, 3669597785, 0, 0, 0, -386, 0, -97, 0, 4252324763, 0, 0, 0, 2293498615, 0, 0, 0, -382, 0, -96, 0, 4241664130, 0, 0, 0, 2866873269, 0, 0, 0, -379, 0, -95, 0, 2080854690, 0, 0, 0, 3583591587, 0, 0, 0, -376, 0, -94, 0, 763663269, 0, 0, 0, 2239744742, 0, 0, 0, -372, 0, -93, 0, 3102062735, 0, 0, 0, 2799680927, 0, 0, 0, -369, 0, -92, 0, 2803836594, 0, 0, 0, 3499601159, 0, 0, 0, -366, 0, -91, 0, 3363010608, 0, 0, 0, 2187250724, 0, 0, 0, -362, 0, -90, 0, 4203763259, 0, 0, 0, 2734063405, 0, 0, 0, -359, 0, -89, 0, 2033478602, 0, 0, 0, 3417579257, 0, 0, 0, -356, 0, -88, 0, 3615590077, 0, 0, 0, 4271974071, 0, 0, 0, -353, 0, -87, 0, 3870356534, 0, 0, 0, 2669983794, 0, 0, 0, -349, 0, -86, 0, 2690462020, 0, 0, 0, 3337479743, 0, 0, 0, -346, 0, -85, 0, 2289335700, 0, 0, 0, 4171849679, 0, 0, 0, -343, 0, -84, 0, 3041447549, 0, 0, 0, 2607406049, 0, 0, 0, -339, 0, -83, 0, 580583964, 0, 0, 0, 3259257562, 0, 0, 0, -336, 0, -82, 0, 2873213603, 0, 0, 0, 4074071952, 0, 0, 0, -333, 0, -81, 0, 1795758502, 0, 0, 0, 2546294970, 0, 0, 0, -329, 0, -80, 0, 97214479, 0, 0, 0, 3182868713, 0, 0, 0, -326, 0, -79, 0, 1195259923, 0, 0, 0, 3978585891, 0, 0, 0, -323, 0, -78, 0, 210166540, 0, 0, 0, 2486616182, 0, 0, 0, -319, 0, -77, 0, 2410191823, 0, 0, 0, 3108270227, 0, 0, 0, -316, 0, -76, 0, 1938997955, 0, 0, 0, 3885337784, 0, 0, 0, -313, 0, -75, 0, 1211873722, 0, 0, 0, 2428336115, 0, 0, 0, -309, 0, -74, 0, 441100328, 0, 0, 0, 3035420144, 0, 0, 0, -306, 0, -73, 0, 551375410, 0, 0, 0, 3794275180, 0, 0, 0, -303, 0, -72, 0, 2492093279, 0, 0, 0, 2371421987, 0, 0, 0, -299, 0, -71, 0, 2041374775, 0, 0, 0, 2964277484, 0, 0, 0, -296, 0, -70, 0, 2551718469, 0, 0, 0, 3705346855, 0, 0, 0, -293, 0, -69, 0, 3205436779, 0, 0, 0, 2315841784, 0, 0, 0, -289, 0, -68, 0, 4006795974, 0, 0, 0, 2894802230, 0, 0, 0, -286, 0, -67, 0, 2861011319, 0, 0, 0, 3618502788, 0, 0, 0, -283, 0, -66, 0, 3935615723, 0, 0, 0, 2261564242, 0, 0, 0, -279, 0, -65, 0, 2772036005, 0, 0, 0, 2826955303, 0, 0, 0, -276, 0, -64, 0, 2391303183, 0, 0, 0, 3533694129, 0, 0, 0, -273, 0, -63, 0, 4178919049, 0, 0, 0, 2208558830, 0, 0, 0, -269, 0, -62, 0, 3076165163, 0, 0, 0, 2760698538, 0, 0, 0, -266, 0, -61, 0, 1697722806, 0, 0, 0, 3450873173, 0, 0, 0, -263, 0, -60, 0, 1597947666, 0, 0, 0, 2156795733, 0, 0, 0, -259, 0, -59, 0, 3071176406, 0, 0, 0, 2695994666, 0, 0, 0, -256, 0, -58, 0, 1691486860, 0, 0, 0, 3369993333, 0, 0, 0, -253, 0, -57, 0, 3188100399, 0, 0, 0, 4212491666, 0, 0, 0, -250, 0, -56, 0, 3066304573, 0, 0, 0, 2632807291, 0, 0, 0, -246, 0, -55, 0, 2759138893, 0, 0, 0, 3291009114, 0, 0, 0, -243, 0, -54, 0, 1301439968, 0, 0, 0, 4113761393, 0, 0, 0, -240, 0, -53, 0, 3497754540, 0, 0, 0, 2571100870, 0, 0, 0, -236, 0, -52, 0, 2224709527, 0, 0, 0, 3213876088, 0, 0, 0, -233, 0, -51, 0, 2780886909, 0, 0, 0, 4017345110, 0, 0, 0, -230, 0, -50, 0, 664312494, 0, 0, 0, 2510840694, 0, 0, 0, -226, 0, -49, 0, 2977874265, 0, 0, 0, 3138550867, 0, 0, 0, -223, 0, -48, 0, 2648601008, 0, 0, 0, 3923188584, 0, 0, 0, -220, 0, -47, 0, 1655375630, 0, 0, 0, 2451992865, 0, 0, 0, -216, 0, -46, 0, 3142961361, 0, 0, 0, 3064991081, 0, 0, 0, -213, 0, -45, 0, 707476230, 0, 0, 0, 3831238852, 0, 0, 0, -210, 0, -44, 0, 2589656291, 0, 0, 0, 2394524282, 0, 0, 0, -206, 0, -43, 0, 1089586716, 0, 0, 0, 2993155353, 0, 0, 0, -203, 0, -42, 0, 2435725219, 0, 0, 0, 3741444191, 0, 0, 0, -200, 0, -41, 0, 3132940998, 0, 0, 0, 2338402619, 0, 0, 0, -196, 0, -40, 0, 2842434424, 0, 0, 0, 2923003274, 0, 0, 0, -193, 0, -39, 0, 1405559382, 0, 0, 0, 3653754093, 0, 0, 0, -190, 0, -38, 0, 1415345525, 0, 0, 0, 2283596308, 0, 0, 0, -186, 0, -37, 0, 1769181907, 0, 0, 0, 2854495385, 0, 0, 0, -183, 0, -36, 0, 3285219208, 0, 0, 0, 3568119231, 0, 0, 0, -180, 0, -35, 0, 3663874741, 0, 0, 0, 2230074519, 0, 0, 0, -176, 0, -34, 0, 3506101602, 0, 0, 0, 2787593149, 0, 0, 0, -173, 0, -33, 0, 1161401530, 0, 0, 0, 3484491437, 0, 0, 0, -170, 0, -32, 0, 1262746869, 0, 0, 0, 2177807148, 0, 0, 0, -166, 0, -31, 0, 1578433586, 0, 0, 0, 2722258935, 0, 0, 0, -163, 0, -30, 0, 899300158, 0, 0, 0, 3402823669, 0, 0, 0, -160, 0, -29, 0, 2197867022, 0, 0, 0, 4253529586, 0, 0, 0, -157, 0, -28, 0, 2447408712, 0, 0, 0, 2658455991, 0, 0, 0, -153, 0, -27, 0, 1985519067, 0, 0, 0, 3323069989, 0, 0, 0, -150, 0, -26, 0, 3555640657, 0, 0, 0, 4153837486, 0, 0, 0, -147, 0, -25, 0, 1148533587, 0, 0, 0, 2596148429, 0, 0, 0, -143, 0, -24, 0, 2509408807, 0, 0, 0, 3245185536, 0, 0, 0, -140, 0, -23, 0, 3136761009, 0, 0, 0, 4056481920, 0, 0, 0, -137, 0, -22, 0, 1960475631, 0, 0, 0, 2535301200, 0, 0, 0, -133, 0, -21, 0, 2450594539, 0, 0, 0, 3169126500, 0, 0, 0, -130, 0, -20, 0, 3063243173, 0, 0, 0, 3961408125, 0, 0, 0, -127, 0, -19, 0, 2451397895, 0, 0, 0, 2475880078, 0, 0, 0, -123, 0, -18, 0, 916763721, 0, 0, 0, 3094850098, 0, 0, 0, -120, 0, -17, 0, 3293438299, 0, 0, 0, 3868562622, 0, 0, 0, -117, 0, -16, 0, 984657113, 0, 0, 0, 2417851639, 0, 0, 0, -113, 0, -15, 0, 157079567, 0, 0, 0, 3022314549, 0, 0, 0, -110, 0, -14, 0, 1270091283, 0, 0, 0, 3777893186, 0, 0, 0, -107, 0, -13, 0, 1867548876, 0, 0, 0, 2361183241, 0, 0, 0, -103, 0, -12, 0, 3408177919, 0, 0, 0, 2951479051, 0, 0, 0, -100, 0, -11, 0, 3186480575, 0, 0, 0, 3689348814, 0, 0, 0, -97, 0, -10, 0, 917808535, 0, 0, 0, 2305843009, 0, 0, 0, -93, 0, -9, 0, 2221002493, 0, 0, 0, 2882303761, 0, 0, 0, -90, 0, -8, 0, 3849994940, 0, 0, 0, 3602879701, 0, 0, 0, -87, 0, -7, 0, 2943117750, 0, 0, 0, 2251799813, 0, 0, 0, -83, 0, -6, 0, 457671715, 0, 0, 0, 2814749767, 0, 0, 0, -80, 0, -5, 0, 3793315116, 0, 0, 0, 3518437208, 0, 0, 0, -77, 0, -4, 0, 2370821947, 0, 0, 0, 2199023255, 0, 0, 0, -73, 0, -3, 0, 1889785610, 0, 0, 0, 2748779069, 0, 0, 0, -70, 0, -2, 0, 3435973837, 0, 0, 0, 3435973836, 0, 0, 0, -67, 0, -1, 0, 0, 0, 0, 0, 2147483648, 0, 0, 0, -63, 0, 0, 0, 0, 0, 0, 0, 2684354560, 0, 0, 0, -60, 0, 1, 0, 0, 0, 0, 0, 3355443200, 0, 0, 0, -57, 0, 2, 0, 0, 0, 0, 0, 4194304000, 0, 0, 0, -54, 0, 3, 0, 0, 0, 0, 0, 2621440000, 0, 0, 0, -50, 0, 4, 0, 0, 0, 0, 0, 3276800000, 0, 0, 0, -47, 0, 5, 0, 0, 0, 0, 0, 4096000000, 0, 0, 0, -44, 0, 6, 0, 0, 0, 0, 0, 2560000000, 0, 0, 0, -40, 0, 7, 0, 0, 0, 0, 0, 3200000000, 0, 0, 0, -37, 0, 8, 0, 0, 0, 0, 0, 4000000000, 0, 0, 0, -34, 0, 9, 0, 0, 0, 0, 0, 2500000000, 0, 0, 0, -30, 0, 10, 0, 0, 0, 0, 0, 3125000000, 0, 0, 0, -27, 0, 11, 0, 0, 0, 0, 0, 3906250000, 0, 0, 0, -24, 0, 12, 0, 0, 0, 0, 0, 2441406250, 0, 0, 0, -20, 0, 13, 0, 2147483648, 0, 0, 0, 3051757812, 0, 0, 0, -17, 0, 14, 0, 2684354560, 0, 0, 0, 3814697265, 0, 0, 0, -14, 0, 15, 0, 67108864, 0, 0, 0, 2384185791, 0, 0, 0, -10, 0, 16, 0, 3305111552, 0, 0, 0, 2980232238, 0, 0, 0, -7, 0, 17, 0, 1983905792, 0, 0, 0, 3725290298, 0, 0, 0, -4, 0, 18, 0, 2313682944, 0, 0, 0, 2328306436, 0, 0, 0, 0, 0, 19, 0, 2892103680, 0, 0, 0, 2910383045, 0, 0, 0, 3, 0, 20, 0, 393904128, 0, 0, 0, 3637978807, 0, 0, 0, 6, 0, 21, 0, 1856802816, 0, 0, 0, 2273736754, 0, 0, 0, 10, 0, 22, 0, 173519872, 0, 0, 0, 2842170943, 0, 0, 0, 13, 0, 23, 0, 3438125312, 0, 0, 0, 3552713678, 0, 0, 0, 16, 0, 24, 0, 1075086496, 0, 0, 0, 2220446049, 0, 0, 0, 20, 0, 25, 0, 2417599944, 0, 0, 0, 2775557561, 0, 0, 0, 23, 0, 26, 0, 4095741754, 0, 0, 0, 3469446951, 0, 0, 0, 26, 0, 27, 0, 4170451332, 0, 0, 0, 2168404344, 0, 0, 0, 30, 0, 28, 0, 918096869, 0, 0, 0, 2710505431, 0, 0, 0, 33, 0, 29, 0, 73879263, 0, 0, 0, 3388131789, 0, 0, 0, 36, 0, 30, 0, 1166090902, 0, 0, 0, 4235164736, 0, 0, 0, 39, 0, 31, 0, 728806814, 0, 0, 0, 2646977960, 0, 0, 0, 43, 0, 32, 0, 911008517, 0, 0, 0, 3308722450, 0, 0, 0, 46, 0, 33, 0, 3286244295, 0, 0, 0, 4135903062, 0, 0, 0, 49, 0, 34, 0, 980160860, 0, 0, 0, 2584939414, 0, 0, 0, 53, 0, 35, 0, 3372684723, 0, 0, 0, 3231174267, 0, 0, 0, 56, 0, 36, 0, 3142114080, 0, 0, 0, 4038967834, 0, 0, 0, 59, 0, 37, 0, 3037563124, 0, 0, 0, 2524354896, 0, 0, 0, 63, 0, 38, 0, 3796953905, 0, 0, 0, 3155443620, 0, 0, 0, 66, 0, 39, 0, 451225085, 0, 0, 0, 3944304526, 0, 0, 0, 69, 0, 40, 0, 3503241150, 0, 0, 0, 2465190328, 0, 0, 0, 73, 0, 41, 0, 84084142, 0, 0, 0, 3081487911, 0, 0, 0, 76, 0, 42, 0, 3326330649, 0, 0, 0, 3851859888, 0, 0, 0, 79, 0, 43, 0, 2078956656, 0, 0, 0, 2407412430, 0, 0, 0, 83, 0, 44, 0, 451212172, 0, 0, 0, 3009265538, 0, 0, 0, 86, 0, 45, 0, 2711498863, 0, 0, 0, 3761581922, 0, 0, 0, 89, 0, 46, 0, 2768428613, 0, 0, 0, 2350988701, 0, 0, 0, 93, 0, 47, 0, 239310295, 0, 0, 0, 2938735877, 0, 0, 0, 96, 0, 48, 0, 1372879692, 0, 0, 0, 3673419846, 0, 0, 0, 99, 0, 49, 0, 4079275280, 0, 0, 0, 2295887403, 0, 0, 0, 103, 0, 50, 0, 4025352276, 0, 0, 0, 2869859254, 0, 0, 0, 106, 0, 51, 0, 2884206696, 0, 0, 0, 3587324068, 0, 0, 0, 109, 0, 52, 0, 3950112833, 0, 0, 0, 2242077542, 0, 0, 0, 113, 0, 53, 0, 2790157394, 0, 0, 0, 2802596928, 0, 0, 0, 116, 0, 54, 0, 3487696742, 0, 0, 0, 3503246160, 0, 0, 0, 119, 0, 55, 0, 2179810464, 0, 0, 0, 2189528850, 0, 0, 0, 123, 0, 56, 0, 577279432, 0, 0, 0, 2736911063, 0, 0, 0, 126, 0, 57, 0, 3942824762, 0, 0, 0, 3421138828, 0, 0, 0, 129, 0, 58, 0, 633563656, 0, 0, 0, 4276423536, 0, 0, 0, 132, 0, 59, 0, 395977285, 0, 0, 0, 2672764710, 0, 0, 0, 136, 0, 60, 0, 2642455254, 0, 0, 0, 3340955887, 0, 0, 0, 139, 0, 61, 0, 2229327244, 0, 0, 0, 4176194859, 0, 0, 0, 142, 0, 62, 0, 856458615, 0, 0, 0, 2610121787, 0, 0, 0, 146, 0, 63, 0, 4291798741, 0, 0, 0, 3262652233, 0, 0, 0, 149, 0, 64, 0, 2143522955, 0, 0, 0, 4078315292, 0, 0, 0, 152, 0, 65, 0, 3487185495, 0, 0, 0, 2548947057, 0, 0, 0, 156, 0, 66, 0, 1137756396, 0, 0, 0, 3186183822, 0, 0, 0, 159, 0, 67, 0, 3569679143, 0, 0, 0, 3982729777, 0, 0, 0, 162, 0, 68, 0, 620436729, 0, 0, 0, 2489206111, 0, 0, 0, 166, 0, 69, 0, 3996771383, 0, 0, 0, 3111507638, 0, 0, 0, 169, 0, 70, 0, 2848480580, 0, 0, 0, 3889384548, 0, 0, 0, 172, 0, 71, 0, 3927784011, 0, 0, 0, 2430865342, 0, 0, 0, 176, 0, 72, 0, 2762246365, 0, 0, 0, 3038581678, 0, 0, 0, 179, 0, 73, 0, 1305324309, 0, 0, 0, 3798227098, 0, 0, 0, 182, 0, 74, 0, 1889569517, 0, 0, 0, 2373891936, 0, 0, 0, 186, 0, 75, 0, 2361961896, 0, 0, 0, 2967364920, 0, 0, 0, 189, 0, 76, 0, 2952452370, 0, 0, 0, 3709206150, 0, 0, 0, 192, 0, 77, 0, 771540907, 0, 0, 0, 2318253844, 0, 0, 0, 196, 0, 78, 0, 964426134, 0, 0, 0, 2897817305, 0, 0, 0, 199, 0, 79, 0, 2279274492, 0, 0, 0, 3622271631, 0, 0, 0, 202, 0, 80, 0, 3035159293, 0, 0, 0, 2263919769, 0, 0, 0, 206, 0, 81, 0, 572723645, 0, 0, 0, 2829899712, 0, 0, 0, 209, 0, 82, 0, 715904556, 0, 0, 0, 3537374640, 0, 0, 0, 212, 0, 83, 0, 447440347, 0, 0, 0, 2210859150, 0, 0, 0, 216, 0, 84, 0, 2706784082, 0, 0, 0, 2763573937, 0, 0, 0, 219, 0, 85, 0, 162254631, 0, 0, 0, 3454467422, 0, 0, 0, 222, 0, 86, 0, 3322634616, 0, 0, 0, 2159042138, 0, 0, 0, 226, 0, 87, 0, 2005809622, 0, 0, 0, 2698802673, 0, 0, 0, 229, 0, 88, 0, 3581003852, 0, 0, 0, 3373503341, 0, 0, 0, 232, 0, 89, 0, 1255029343, 0, 0, 0, 4216879177, 0, 0, 0, 235, 0, 90, 0, 3468747899, 0, 0, 0, 2635549485, 0, 0, 0, 239, 0, 91, 0, 1114709402, 0, 0, 0, 3294436857, 0, 0, 0, 242, 0, 92, 0, 2467128577, 0, 0, 0, 4118046071, 0, 0, 0, 245, 0, 93, 0, 3152568096, 0, 0, 0, 2573778794, 0, 0, 0, 249, 0, 94, 0, 1793226473, 0, 0, 0, 3217223493, 0, 0, 0, 252, 0, 95, 0, 3315274915, 0, 0, 0, 4021529366, 0, 0, 0, 255, 0, 96, 0, 998304998, 0, 0, 0, 2513455854, 0, 0, 0, 259, 0, 97, 0, 3395364895, 0, 0, 0, 3141819817, 0, 0, 0, 262, 0, 98, 0, 1022980647, 0, 0, 0, 3927274772, 0, 0, 0, 265, 0, 99, 0, 2786846552, 0, 0, 0, 2454546732, 0, 0, 0, 269, 0, 100, 0, 3483558190, 0, 0, 0, 3068183415, 0, 0, 0, 272, 0, 101, 0, 3280705914, 0, 0, 0, 3835229269, 0, 0, 0, 275, 0, 102, 0, 2587312108, 0, 0, 0, 2397018293, 0, 0, 0, 279, 0, 103, 0, 12914663, 0, 0, 0, 2996272867, 0, 0, 0, 282, 0, 104, 0, 3237368801, 0, 0, 0, 3745341083, 0, 0, 0, 285, 0, 105, 0, 1486484589, 0, 0, 0, 2340838177, 0, 0, 0, 289, 0, 106, 0, 2931847560, 0, 0, 0, 2926047721, 0, 0, 0, 292, 0, 107, 0, 443583978, 0, 0, 0, 3657559652, 0, 0, 0, 295, 0, 108, 0, 2424723634, 0, 0, 0, 2285974782, 0, 0, 0, 299, 0, 109, 0, 883420895, 0, 0, 0, 2857468478, 0, 0, 0, 302, 0, 110, 0, 3251759766, 0, 0, 0, 3571835597, 0, 0, 0, 305, 0, 111, 0, 2569220766, 0, 0, 0, 2232397248, 0, 0, 0, 309, 0, 112, 0, 3211525958, 0, 0, 0, 2790496560, 0, 0, 0, 312, 0, 113, 0, 4014407447, 0, 0, 0, 3488120700, 0, 0, 0, 315, 0, 114, 0, 361521006, 0, 0, 0, 2180075438, 0, 0, 0, 319, 0, 115, 0, 2599384906, 0, 0, 0, 2725094297, 0, 0, 0, 322, 0, 116, 0, 28005660, 0, 0, 0, 3406367872, 0, 0, 0, 325, 0, 117, 0, 35007075, 0, 0, 0, 4257959840, 0, 0, 0, 328, 0, 118, 0, 21879422, 0, 0, 0, 2661224900, 0, 0, 0, 332, 0, 119, 0, 27349278, 0, 0, 0, 3326531125, 0, 0, 0, 335, 0, 120, 0, 1107928421, 0, 0, 0, 4158163906, 0, 0, 0, 338, 0, 121, 0, 1766197087, 0, 0, 0, 2598852441, 0, 0, 0, 342, 0, 122, 0, 3281488183, 0, 0, 0, 3248565551, 0, 0, 0, 345, 0, 123, 0, 3028118405, 0, 0, 0, 4060706939, 0, 0, 0, 348, 0, 124, 0, 1355703091, 0, 0, 0, 2537941837, 0, 0, 0, 352, 0, 125, 0, 2768370688, 0, 0, 0, 3172427296, 0, 0, 0, 355, 0, 126, 0, 3460463360, 0, 0, 0, 3965534120, 0, 0, 0, 358, 0, 127, 0, 2162789600, 0, 0, 0, 2478458825, 0, 0, 0, 362, 0, 128, 0, 3777228824, 0, 0, 0, 3098073531, 0, 0, 0, 365, 0, 129, 0, 3647794206, 0, 0, 0, 3872591914, 0, 0, 0, 368, 0, 130, 0, 3353613203, 0, 0, 0, 2420369946, 0, 0, 0, 372, 0, 131, 0, 2044532855, 0, 0, 0, 3025462433, 0, 0, 0, 375, 0, 132, 0, 3629407893, 0, 0, 0, 3781828041, 0, 0, 0, 378, 0, 133, 0, 657767197, 0, 0, 0, 2363642526, 0, 0, 0, 382, 0, 134, 0, 2969692644, 0, 0, 0, 2954553157, 0, 0, 0, 385, 0, 135, 0, 490890333, 0, 0, 0, 3693191447, 0, 0, 0, 388, 0, 136, 0, 1917419194, 0, 0, 0, 2308244654, 0, 0, 0, 392, 0, 137, 0, 249290345, 0, 0, 0, 2885305818, 0, 0, 0, 395, 0, 138, 0, 2459096579, 0, 0, 0, 3606632272, 0, 0, 0, 398, 0, 139, 0, 1536935362, 0, 0, 0, 2254145170, 0, 0, 0, 402, 0, 140, 0, 4068652851, 0, 0, 0, 2817681462, 0, 0, 0, 405, 0, 141, 0, 2938332415, 0, 0, 0, 3522101828, 0, 0, 0, 408, 0, 142, 0, 3983941407, 0, 0, 0, 2201313642, 0, 0, 0, 412, 0, 143, 0, 2832443111, 0, 0, 0, 2751642053, 0, 0, 0, 415, 0, 144, 0, 319328417, 0, 0, 0, 3439552567, 0, 0, 0, 418, 0, 145, 0, 1810192997, 0, 0, 0, 2149720354, 0, 0, 0, 422, 0, 146, 0, 115257598, 0, 0, 0, 2687150443, 0, 0, 0, 425, 0, 147, 0, 3365297469, 0, 0, 0, 3358938053, 0, 0, 0, 428, 0, 148, 0, 985396365, 0, 0, 0, 4198672567, 0, 0, 0, 431, 0, 149, 0, 2226485464, 0, 0, 0, 2624170354, 0, 0, 0, 435, 0, 150, 0, 635623182, 0, 0, 0, 3280212943, 0, 0, 0, 438, 0, 151, 0, 4015754449, 0, 0, 0, 4100266178, 0, 0, 0, 441, 0, 152, 0, 3583588355, 0, 0, 0, 2562666361, 0, 0, 0, 445, 0, 153, 0, 1258259972, 0, 0, 0, 3203332952, 0, 0, 0, 448, 0, 154, 0, 1572824965, 0, 0, 0, 4004166190, 0, 0, 0, 451, 0, 155, 0, 4204241075, 0, 0, 0, 2502603868, 0, 0, 0, 455, 0, 156, 0, 960334048, 0, 0, 0, 3128254836, 0, 0, 0, 458, 0, 157, 0, 1200417559, 0, 0, 0, 3910318545, 0, 0, 0, 461, 0, 158, 0, 3434615535, 0, 0, 0, 2443949090, 0, 0, 0, 465, 0, 159, 0, 2145785770, 0, 0, 0, 3054936363, 0, 0, 0, 468, 0, 160, 0, 1608490389, 0, 0, 0, 3818670454, 0, 0, 0, 471, 0, 161, 0, 4226531965, 0, 0, 0, 2386669033, 0, 0, 0, 475, 0, 162, 0, 2061939484, 0, 0, 0, 2983336292, 0, 0, 0, 478, 0, 163, 0, 2577424355, 0, 0, 0, 3729170365, 0, 0, 0, 481, 0, 164, 0, 2147761134, 0, 0, 0, 2330731478, 0, 0, 0, 485, 0, 165, 0, 537217770, 0, 0, 0, 2913414348, 0, 0, 0, 488, 0, 166, 0, 671522212, 0, 0, 0, 3641767935, 0, 0, 0, 491, 0, 167, 0, 2030314119, 0, 0, 0, 2276104959, 0, 0, 0, 495, 0, 168, 0, 1464150824, 0, 0, 0, 2845131199, 0, 0, 0, 498, 0, 169, 0, 756446706, 0, 0, 0, 3556413999, 0, 0, 0, 501, 0, 170, 0, 2083391927, 0, 0, 0, 2222758749, 0, 0, 0, 505, 0, 171, 0, 3677981733, 0, 0, 0, 2778448436, 0, 0, 0, 508, 0, 172, 0, 302509871, 0, 0, 0, 3473060546, 0, 0, 0, 511, 0, 173, 0, 1262810493, 0, 0, 0, 2170662841, 0, 0, 0, 515, 0, 174, 0, 2652254940, 0, 0, 0, 2713328551, 0, 0, 0, 518, 0, 175, 0, 2241576851, 0, 0, 0, 3391660689, 0, 0, 0, 521, 0, 176, 0, 3875712888, 0, 0, 0, 4239575861, 0, 0, 0, 524, 0, 177, 0, 2959191467, 0, 0, 0, 2649734913, 0, 0, 0, 528, 0, 178, 0, 477763862, 0, 0, 0, 3312168642, 0, 0, 0, 531, 0, 179, 0, 2744688476, 0, 0, 0, 4140210802, 0, 0, 0, 534, 0, 180, 0, 2789172121, 0, 0, 0, 2587631751, 0, 0, 0, 538, 0, 181, 0, 2412723328, 0, 0, 0, 3234539689, 0, 0, 0, 541, 0, 182, 0, 4089645983, 0, 0, 0, 4043174611, 0, 0, 0, 544, 0, 183, 0, 2019157828, 0, 0, 0, 2526984132, 0, 0, 0, 548, 0, 184, 0, 2523947285, 0, 0, 0, 3158730165, 0, 0, 0, 551, 0, 185, 0, 4228675930, 0, 0, 0, 3948412706, 0, 0, 0, 554, 0, 186, 0, 3716664280, 0, 0, 0, 2467757941, 0, 0, 0, 558, 0, 187, 0, 1424604878, 0, 0, 0, 3084697427, 0, 0, 0, 561, 0, 188, 0, 707014274, 0, 0, 0, 3855871784, 0, 0, 0, 564, 0, 189, 0, 441883921, 0, 0, 0, 2409919865, 0, 0, 0, 568, 0, 190, 0, 1626096725, 0, 0, 0, 3012399831, 0, 0, 0, 571, 0, 191, 0, 958879083, 0, 0, 0, 3765499789, 0, 0, 0, 574, 0, 192, 0, 1136170339, 0, 0, 0, 2353437368, 0, 0, 0, 578, 0, 193, 0, 1420212923, 0, 0, 0, 2941796710, 0, 0, 0, 581, 0, 194, 0, 3922749802, 0, 0, 0, 3677245887, 0, 0, 0, 584, 0, 195, 0, 4062331362, 0, 0, 0, 2298278679, 0, 0, 0, 588, 0, 196, 0, 4004172379, 0, 0, 0, 2872848349, 0, 0, 0, 591, 0, 197, 0, 1783990002, 0, 0, 0, 3591060437, 0, 0, 0, 594, 0, 198, 0, 1651864663, 0, 0, 0, 2244412773, 0, 0, 0, 598, 0, 199, 0, 3138572653, 0, 0, 0, 2805515966, 0, 0, 0, 601, 0, 200, 0, 1775732168, 0, 0, 0, 3506894958, 0, 0, 0, 604, 0, 201, 0, 36090781, 0, 0, 0, 2191809349, 0, 0, 0, 608, 0, 202, 0, 1118855300, 0, 0, 0, 2739761686, 0, 0, 0, 611, 0, 203, 0, 3546052773, 0, 0, 0, 3424702107, 0, 0, 0, 614, 0, 204, 0, 3358824142, 0, 0, 0, 4280877634, 0, 0, 0, 617, 0, 205, 0, 3173006913, 0, 0, 0, 2675548521, 0, 0, 0, 621, 0, 206, 0, 745033169, 0, 0, 0, 3344435652, 0, 0, 0, 624, 0, 207, 0, 931291462, 0, 0, 0, 4180544565, 0, 0, 0, 627, 0, 208, 0, 1118928076, 0, 0, 0, 2612840353, 0, 0, 0, 631, 0, 209, 0, 2472401918, 0, 0, 0, 3266050441, 0, 0, 0, 634, 0, 210, 0, 4164244222, 0, 0, 0, 4082563051, 0, 0, 0, 637, 0, 211, 0, 2065781727, 0, 0, 0, 2551601907, 0, 0, 0, 641, 0, 212, 0, 1508485334, 0, 0, 0, 3189502384, 0, 0, 0, 644, 0, 213, 0, 1885606668, 0, 0, 0, 3986877980, 0, 0, 0, 647, 0, 214, 0, 3325987816, 0, 0, 0, 2491798737, 0, 0, 0, 651, 0, 215, 0, 936259297, 0, 0, 0, 3114748422, 0, 0, 0, 654, 0, 216, 0, 3317807770, 0, 0, 0, 3893435527, 0, 0, 0, 657, 0, 217, 0, 3684242592, 0, 0, 0, 2433397204, 0, 0, 0, 661, 0, 218, 0, 310335944, 0, 0, 0, 3041746506, 0, 0, 0, 664, 0, 219, 0, 2535403578, 0, 0, 0, 3802183132, 0, 0, 0, 667, 0, 220, 0, 3732110884, 0, 0, 0, 2376364457, 0, 0, 0, 671, 0, 221, 0, 1443913133, 0, 0, 0, 2970455572, 0, 0, 0, 674, 0, 222, 0, 1804891417, 0, 0, 0, 3713069465, 0, 0, 0, 677, 0, 223, 0, 3812411696, 0, 0, 0, 2320668415, 0, 0, 0, 681, 0, 224, 0, 3691772795, 0, 0, 0, 2900835519, 0, 0, 0, 684, 0, 225, 0, 3540974170, 0, 0, 0, 3626044399, 0, 0, 0, 687, 0, 226, 0, 3823721592, 0, 0, 0, 2266277749, 0, 0, 0, 691, 0, 227, 0, 1558426518, 0, 0, 0, 2832847187, 0, 0, 0, 694, 0, 228, 0, 874291324, 0, 0, 0, 3541058984, 0, 0, 0, 697, 0, 229, 0, 546432078, 0, 0, 0, 2213161865, 0, 0, 0, 701, 0, 230, 0, 1756781921, 0, 0, 0, 2766452331, 0, 0, 0, 704, 0, 231, 0, 1122235577, 0, 0, 0, 3458065414, 0, 0, 0, 707, 0, 232, 0, 3922622708, 0, 0, 0, 2161290883, 0, 0, 0, 711, 0, 233, 0, 3829536561, 0, 0, 0, 2701613604, 0, 0, 0, 714, 0, 234, 0, 491953405, 0, 0, 0, 3377017006, 0, 0, 0, 717, 0, 235, 0, 2762425404, 0, 0, 0, 4221271257, 0, 0, 0, 720, 0, 236, 0, 115903142, 0, 0, 0, 2638294536, 0, 0, 0, 724, 0, 237, 0, 144878927, 0, 0, 0, 3297868170, 0, 0, 0, 727, 0, 238, 0, 2328582307, 0, 0, 0, 4122335212, 0, 0, 0, 730, 0, 239, 0, 3602847590, 0, 0, 0, 2576459507, 0, 0, 0, 734, 0, 240, 0, 3429817663, 0, 0, 0, 3220574384, 0, 0, 0, 737, 0, 241, 0, 4287272079, 0, 0, 0, 4025717980, 0, 0, 0, 740, 0, 242, 0, 532061401, 0, 0, 0, 2516073738, 0, 0, 0, 744, 0, 243, 0, 2812560400, 0, 0, 0, 3145092172, 0, 0, 0, 747, 0, 244, 0, 3515700500, 0, 0, 0, 3931365215, 0, 0, 0, 750, 0, 245, 0, 3807925548, 0, 0, 0, 2457103259, 0, 0, 0, 754, 0, 246, 0, 3686165111, 0, 0, 0, 3071379074, 0, 0, 0, 757, 0, 247, 0, 2460222741, 0, 0, 0, 3839223843, 0, 0, 0, 760, 0, 248, 0, 1000768301, 0, 0, 0, 2399514902, 0, 0, 0, 764, 0, 249, 0, 3398444024, 0, 0, 0, 2999393627, 0, 0, 0, 767, 0, 250, 0, 3174313207, 0, 0, 0, 3749242034, 0, 0, 0, 770, 0, 251, 0, 3057687578, 0, 0, 0, 2343276271, 0, 0, 0, 774, 0, 252, 0, 2748367649, 0, 0, 0, 2929095339, 0, 0, 0, 777, 0, 253, 0, 2361717737, 0, 0, 0, 3661369174, 0, 0, 0, 780, 0, 254, 0, 402331761, 0, 0, 0, 2288355734, 0, 0, 0, 784, 0, 255, 0, 2650398350, 0, 0, 0, 2860444667, 0, 0, 0, 787, 0, 256, 0, 2239256113, 0, 0, 0, 3575555834, 0, 0, 0, 790, 0, 257, 0, 2473276895, 0, 0, 0, 2234722396, 0, 0, 0, 794, 0, 258, 0, 3091596119, 0, 0, 0, 2793402995, 0, 0, 0, 797, 0, 259, 0, 2790753324, 0, 0, 0, 3491753744, 0, 0, 0, 800, 0, 260, 0, 1744220828, 0, 0, 0, 2182346090, 0, 0, 0, 804, 0, 261, 0, 32792387, 0, 0, 0, 2727932613, 0, 0, 0, 807, 0, 262, 0, 1114732307, 0, 0, 0, 3409915766, 0, 0, 0, 810, 0, 263, 0, 3540899032, 0, 0, 0, 4262394707, 0, 0, 0, 813, 0, 264, 0, 1676190983, 0, 0, 0, 2663996692, 0, 0, 0, 817, 0, 265, 0, 2095238729, 0, 0, 0, 3329995865, 0, 0, 0, 820, 0, 266, 0, 3692790235, 0, 0, 0, 4162494831, 0, 0, 0, 823, 0, 267, 0, 3918606633, 0, 0, 0, 2601559269, 0, 0, 0, 827, 0, 268, 0, 1677032819, 0, 0, 0, 3251949087, 0, 0, 0, 830, 0, 269, 0, 1022549200, 0, 0, 0, 4064936359, 0, 0, 0, 833, 0, 270, 0, 2249705986, 0, 0, 0, 2540585224, 0, 0, 0, 837, 0, 271, 0, 2812132482, 0, 0, 0, 3175731530, 0, 0, 0, 840, 0, 272, 0, 1367681955, 0, 0, 0, 3969664413, 0, 0, 0, 843, 0, 273, 0, 1391672134, 0, 0, 0, 2481040258, 0, 0, 0, 847, 0, 274, 0, 3887073815, 0, 0, 0, 3101300322, 0, 0, 0, 850, 0, 275, 0, 2711358621, 0, 0, 0, 3876625403, 0, 0, 0, 853, 0, 276, 0, 1157728226, 0, 0, 0, 2422890877, 0, 0, 0, 857, 0, 277, 0, 2520902107, 0, 0, 0, 3028613596, 0, 0, 0, 860, 0, 278, 0, 3151127633, 0, 0, 0, 3785766995, 0, 0, 0, 863, 0, 279, 0, 1432583859, 0, 0, 0, 2366104372, 0, 0, 0, 867, 0, 280, 0, 1790729824, 0, 0, 0, 2957630465, 0, 0, 0, 870, 0, 281, 0, 3312154103, 0, 0, 0, 3697038081, 0, 0, 0, 873, 0, 282, 0, 459483579, 0, 0, 0, 2310648801, 0, 0, 0, 877, 0, 283, 0, 1648096297, 0, 0, 0, 2888311001, 0, 0, 0, 880, 0, 284, 0, 3133862196, 0, 0, 0, 3610388751, 0, 0, 0, 883, 0, 285, 0, 3569276608, 0, 0, 0, 2256492969, 0, 0, 0, 887, 0, 286, 0, 1240370288, 0, 0, 0, 2820616212, 0, 0, 0, 890, 0, 287, 0, 1550462860, 0, 0, 0, 3525770265, 0, 0, 0, 893, 0, 288, 0, 3653393848, 0, 0, 0, 2203606415, 0, 0, 0, 897, 0, 289, 0, 3493000486, 0, 0, 0, 2754508019, 0, 0, 0, 900, 0, 290, 0, 3292508783, 0, 0, 0, 3443135024, 0, 0, 0, 903, 0, 291, 0, 2057817989, 0, 0, 0, 2151959390, 0, 0, 0, 907, 0, 292, 0, 424788839, 0, 0, 0, 2689949238, 0, 0, 0, 910, 0, 293, 0, 2678469697, 0, 0, 0, 3362436547, 0, 0, 0, 913, 0, 294, 0, 2274345297, 0, 0, 0, 4203045684, 0, 0, 0, 916, 0, 295, 0, 3568949458, 0, 0, 0, 2626903552, 0, 0, 0, 920, 0, 296, 0, 166219527, 0, 0, 0, 3283629441, 0, 0, 0, 923, 0, 297, 0, 1281516233, 0, 0, 0, 4104536801, 0, 0, 0, 926, 0, 298, 0, 3485302206, 0, 0, 0, 2565335500, 0, 0, 0, 930, 0, 299, 0, 61660461, 0, 0, 0, 3206669376, 0, 0, 0, 933, 0, 300, 0, 77075576, 0, 0, 0, 4008336720, 0, 0, 0, 936, 0, 301, 0, 48172235, 0, 0, 0, 2505210450, 0, 0, 0, 940, 0, 302, 0, 2207698942, 0, 0, 0, 3131513062, 0, 0, 0, 943, 0, 303, 0, 612140029, 0, 0, 0, 3914391328, 0, 0, 0, 946, 0, 304, 0, 382587518, 0, 0, 0, 2446494580, 0, 0, 0, 950, 0, 305, 0, 478234398, 0, 0, 0, 3058118225, 0, 0, 0, 953, 0, 306, 0, 1671534821, 0, 0, 0, 3822647781, 0, 0, 0, 956, 0, 307, 0, 1581580175, 0, 0, 0, 2389154863, 0, 0, 0, 960, 0, 308, 0, 903233395, 0, 0, 0, 2986443579, 0, 0, 0, 963, 0, 309, 0, 55299920, 0, 0, 0, 3733054474, 0, 0, 0, 966, 0, 310, 0, 1108304274, 0, 0, 0, 2333159046, 0, 0, 0, 970, 0, 311, 0, 3532863990, 0, 0, 0, 2916448807, 0, 0, 0, 973, 0, 312, 0, 3342338164, 0, 0, 0, 3645561009, 0, 0, 0, 976, 0, 313, 0, 478348617, 0, 0, 0, 2278475631, 0, 0, 0, 980, 0, 314, 0, 3819161243, 0, 0, 0, 2848094538, 0, 0, 0, 983, 0, 315, 0, 2626467905, 0, 0, 0, 3560118173, 0, 0, 0, 986, 0, 316, 0, 2178413353, 0, 0, 0, 2225073858, 0, 0, 0, 990, 0, 317, 0, 575533043, 0, 0, 0, 2781342323, 0, 0, 0, 993, 0, 318, 0, 3940641776, 0, 0, 0, 3476677903, 0, 0, 0, 996, 0, 319, 0, 4073513846, 0, 0, 0, 2172923689, 0, 0, 0, 1000, 0, 320, 0, 1870666835, 0, 0, 0, 2716154612, 0, 0, 0, 1003, 0, 321, 0, 2338333544, 0, 0, 0, 3395193265, 0, 0, 0, 1006, 0, 322, 0, 3996658754, 0, 0, 0, 4243991581, 0, 0, 0, 1009, 0, 323, 0, 3034782633, 0, 0, 0, 2652494738, 0, 0, 0, 1013, 0, 324, 0, 1645994644, 0, 0, 0, 3315618423, 0, 0, 0, 1016, 0, 325, 0, 983751481, 0, 0, 0, 4144523029, 0, 0, 0, 1019, 0, 326, 0, 1151715587, 0, 0, 0, 2590326893, 0, 0, 0, 1023, 0, 327, 0, 2513386308, 0, 0, 0, 3237908616, 0, 0, 0, 1026, 0, 328, 0, 3141732885, 0, 0, 0, 4047385770, 0, 0, 0, 1029, 0, 329, 0, 3037324877, 0, 0, 0, 2529616106, 0, 0, 0, 1033, 0, 330, 0, 1649172449, 0, 0, 0, 3162020133, 0, 0, 0, 1036, 0, 331, 0, 3135207385, 0, 0, 0, 3952525166, 0, 0, 0, 1039, 0, 332, 0, 885762792, 0, 0, 0, 2470328229, 0, 0, 0, 1043, 0, 333, 0, 2180945313, 0, 0, 0, 3087910286, 0, 0, 0, 1046, 0, 334, 0, 578697994, 0, 0, 0, 3859887858, 0, 0, 0, 1049, 0, 335, 0, 1435428070, 0, 0, 0, 2412429911, 0, 0, 0, 1053, 0, 336, 0, 720543264, 0, 0, 0, 3015537389, 0, 0, 0, 1056, 0, 337, 0, 1974420904, 0, 0, 0, 3769421736, 0, 0, 0, 1059, 0, 338, 0, 1234013065, 0, 0, 0, 2355888585, 0, 0, 0, 1063, 0, 339, 0, 2616258155, 0, 0, 0, 2944860731, 0, 0, 0, 1066, 0, 340, 0, 2196580870, 0, 0, 0, 3681075914, 0, 0, 0, 1069, 0, 341, 0, 2446604868, 0, 0, 0, 2300672446, 0, 0, 0, 1073, 0, 342, 0], ["i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0,"i64",0,0,0,"i32",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__str188=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str1189=allocate([117,110,105,109,112,108,101,109,101,110,116,101,100,32,99,111,100,101,0] /* unimplemented code\0 */, "i8", ALLOC_STATIC);
__ZZN2js7analyze14ScriptAnalysis15analyzeBytecodeEP9JSContextE11LOCAL_LIMIT=allocate([50], ["i32",0,0,0,0], ALLOC_STATIC);
_JSVAL_NULL=allocate(8, ["i64",0,0,0,"i32",0,0,0], ALLOC_STATIC);
_JSVAL_ZERO=allocate(8, ["i64",0,0,0,"i32",0,0,0], ALLOC_STATIC);
_JSVAL_ONE=allocate(8, ["i64",0,0,0,"i32",0,0,0], ALLOC_STATIC);
_JSVAL_FALSE=allocate(8, ["i64",0,0,0,"i32",0,0,0], ALLOC_STATIC);
_JSVAL_TRUE=allocate(8, ["i64",0,0,0,"i32",0,0,0], ALLOC_STATIC);
_JSVAL_VOID=allocate(8, ["i64",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str198=allocate([37,117,0] /* %u\00 */, "i8", ALLOC_STATIC);
__str6199=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str7200=allocate([115,0] /* s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8201=allocate([37,100,0] /* %d\00 */, "i8", ALLOC_STATIC);
__ZL22js_NewRuntimeWasCalled=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str9202=allocate([49,46,48,0] /* 1.0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str10203=allocate([49,46,49,0] /* 1.1\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11204=allocate([49,46,50,0] /* 1.2\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12205=allocate([49,46,51,0] /* 1.3\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13206=allocate([49,46,52,0] /* 1.4\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14207=allocate([69,67,77,65,118,51,0] /* ECMAv3\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str15208=allocate([49,46,53,0] /* 1.5\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str16209=allocate([49,46,54,0] /* 1.6\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str17210=allocate([49,46,55,0] /* 1.7\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str18211=allocate([49,46,56,0] /* 1.8\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str19212=allocate([69,67,77,65,118,53,0] /* ECMAv5\00 */, "i8", ALLOC_STATIC);
__ZL6v2smap=allocate([100, 0, 0, 0, 0, 0, 0, 0, 110, 0, 0, 0, 0, 0, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 130, 0, 0, 0, 0, 0, 0, 0, 140, 0, 0, 0, 0, 0, 0, 0, 148, 0, 0, 0, 0, 0, 0, 0, 150, 0, 0, 0, 0, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 170, 0, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0], ["i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str20213=allocate([117,110,107,110,111,119,110,0] /* unknown\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21214=allocate([74,97,118,97,83,99,114,105,112,116,45,67,32,49,46,56,46,53,43,32,50,48,49,49,45,48,52,45,49,54,0] /* JavaScript-C 1.8.5+  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22215=allocate([106,100,117,109,109,121,0] /* jdummy\00 */, "i8", ALLOC_STATIC);
_js_dummy_class=allocate([0, 0, 0, 0, 292608, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZL20standard_class_atoms=allocate([530, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 532, 0, 0, 0, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 534, 0, 0, 0, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 536, 0, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 538, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 540, 0, 0, 0, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 542, 0, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 546, 0, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 548, 0, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 550, 0, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 552, 0, 0, 0, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 554, 0, 0, 0, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 556, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 560, 0, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZL20standard_class_names=allocate([44, 0, 0, 0, 264, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 540, 0, 0, 0, 432, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 540, 0, 0, 0, 428, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 540, 0, 0, 0, 588, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 540, 0, 0, 0, 584, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 540, 0, 0, 0, 608, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 540, 0, 0, 0, 612, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 542, 0, 0, 0, 576, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 542, 0, 0, 0, 620, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 542, 0, 0, 0, 552, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 542, 0, 0, 0, 568, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 542, 0, 0, 0, 556, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 542, 0, 0, 0, 572, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 542, 0, 0, 0, 624, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 544, 0, 0, 0, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 548, 0, 0, 0, 548, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 548, 0, 0, 0, 596, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 554, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 558, 0, 0, 0, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 562, 0, 0, 0, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZL22object_prototype_names=allocate([44, 0, 0, 0, 344, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 372, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 376, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 368, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 384, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 632, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 628, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 580, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 592, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 616, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 560, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 564, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 600, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 604, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str23216=allocate([80,114,111,112,101,114,116,121,73,116,101,114,97,116,111,114,0] /* PropertyIterator\00 */, "i8", ALLOC_STATIC);
__ZL15prop_iter_class=allocate([0, 0, 0, 0, 257, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 564, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 566, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str24217=allocate([45,0] /* -\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str25218=allocate([114,0] /* r\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str26219=allocate([78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0] /* No such file or dire */, "i8", ALLOC_STATIC);
STRING_TABLE.__str27220=allocate([74,83,95,68,101,99,111,109,112,105,108,101,70,117,110,99,116,105,111,110,0] /* JS_DecompileFunction */, "i8", ALLOC_STATIC);
STRING_TABLE.__str28221=allocate([74,83,95,68,101,99,111,109,112,105,108,101,70,117,110,99,116,105,111,110,66,111,100,121,0] /* JS_DecompileFunction */, "i8", ALLOC_STATIC);
_js_CStringsAreUTF8=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str29222=allocate([74,83,69,120,99,101,112,116,105,111,110,83,116,97,116,101,46,101,120,99,101,112,116,105,111,110,0] /* JSExceptionState.exc */, "i8", ALLOC_STATIC);
__ZZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamEE6prefix=allocate([94, 0, 40, 0, 63, 0, 58, 0], ["i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
__ZZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamEE7postfix=allocate([41, 0], ["i16",0], ALLOC_STATIC);
STRING_TABLE.__str30223=allocate([112,114,111,112,32,105,116,101,114,32,115,104,97,112,101,0] /* prop iter shape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31224=allocate([112,114,111,112,32,105,116,101,114,0] /* prop iter\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str313=allocate([65,114,114,97,121,0] /* Array\00 */, "i8", ALLOC_STATIC);
__ZN2js10ArrayClassE=allocate([0, 0, 0, 0, 50855937, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 568, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 570, 0, 0, 0, 570, 0, 0, 0, 572, 0, 0, 0, 574, 0, 0, 0, 576, 0, 0, 0, 576, 0, 0, 0, 578, 0, 0, 0, 580, 0, 0, 0, 582, 0, 0, 0, 584, 0, 0, 0, 586, 0, 0, 0, 588, 0, 0, 0, 590, 0, 0, 0, 590, 0, 0, 0, 592, 0, 0, 0, 594, 0, 0, 0, 596, 0, 0, 0, 596, 0, 0, 0, 598, 0, 0, 0, 600, 0, 0, 0, 602, 0, 0, 0, 602, 0, 0, 0, 604, 0, 0, 0, 606, 0, 0, 0, 608, 0, 0, 0, 608, 0, 0, 0, 610, 0, 0, 0, 612, 0, 0, 0, 0, 0, 0, 0, 614, 0, 0, 0, 616, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js14SlowArrayClassE=allocate([0, 0, 0, 0, 50331649, 0, 0, 0, 618, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str1318=allocate([106,111,105,110,0] /* join\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2319=allocate([114,101,118,101,114,115,101,0] /* reverse\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3320=allocate([115,111,114,116,0] /* sort\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4321=allocate([112,117,115,104,0] /* push\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str5322=allocate([112,111,112,0] /* pop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str6323=allocate([115,104,105,102,116,0] /* shift\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str7324=allocate([117,110,115,104,105,102,116,0] /* unshift\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8325=allocate([115,112,108,105,99,101,0] /* splice\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str9326=allocate([99,111,110,99,97,116,0] /* concat\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str10327=allocate([115,108,105,99,101,0] /* slice\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11328=allocate([105,110,100,101,120,79,102,0] /* indexOf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12329=allocate([108,97,115,116,73,110,100,101,120,79,102,0] /* lastIndexOf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13330=allocate([102,111,114,69,97,99,104,0] /* forEach\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14331=allocate([109,97,112,0] /* map\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str15332=allocate([114,101,100,117,99,101,0] /* reduce\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str16333=allocate([114,101,100,117,99,101,82,105,103,104,116,0] /* reduceRight\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str17334=allocate([102,105,108,116,101,114,0] /* filter\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str18335=allocate([115,111,109,101,0] /* some\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str19336=allocate([101,118,101,114,121,0] /* every\00 */, "i8", ALLOC_STATIC);
__ZL13array_methods=allocate([0, 0, 0, 0, 620, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 622, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 624, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 626, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 628, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 144, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 134, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 136, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 630, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 632, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 634, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 636, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 638, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 640, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 642, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 644, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 646, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 648, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 650, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 652, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 654, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 656, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str20337=allocate([105,115,65,114,114,97,121,0] /* isArray\00 */, "i8", ALLOC_STATIC);
__ZL20array_static_methods=allocate([0, 0, 0, 0, 658, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str21338=allocate([108,105,109,105,116,85,110,107,110,111,119,110,58,32,37,115,84,37,112,37,115,0] /* limitUnknown: %sT%p% */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22339=allocate([97,100,100,84,121,112,101,58,32,37,115,84,37,112,37,115,32,37,115,0] /* addType: %sT%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23340=allocate([114,101,115,111,108,118,101,58,32,37,115,67,37,112,37,115,32,37,115,0] /* resolve: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24341=allocate([112,101,110,100,105,110,103,58,32,37,115,67,37,112,37,115,32,37,115,0] /* pending: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str25342=allocate([112,114,111,112,101,114,116,121,79,118,101,114,102,108,111,119,0] /* propertyOverflow\00 */, "i8", ALLOC_STATIC);
__ZZL18array_toString_subP9JSContextP8JSObjectiP8JSStringPN2JS5ValueEE5comma=allocate([44], ["i16",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str26343=allocate([44,32,0] /* , \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str27344=allocate([101,108,101,109,101,110,116,0] /* element\00 */, "i8", ALLOC_STATIC);
__ZN11JSAtomState17commonAtomsOffsetE=allocate([24], ["i32",0,0,0,0], ALLOC_STATIC);
__ZN11JSAtomState15lazyAtomsOffsetE=allocate([548], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE._js_Null_str=allocate([78,117,108,108,0] /* Null\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Object_str=allocate([79,98,106,101,99,116,0] /* Object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Function_str=allocate([70,117,110,99,116,105,111,110,0] /* Function\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Array_str=allocate([65,114,114,97,121,0] /* Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Boolean_str=allocate([66,111,111,108,101,97,110,0] /* Boolean\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_JSON_str=allocate([74,83,79,78,0] /* JSON\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Date_str=allocate([68,97,116,101,0] /* Date\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Math_str=allocate([77,97,116,104,0] /* Math\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Number_str=allocate([78,117,109,98,101,114,0] /* Number\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_String_str=allocate([83,116,114,105,110,103,0] /* String\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_RegExp_str=allocate([82,101,103,69,120,112,0] /* RegExp\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_XML_str=allocate([88,77,76,0] /* XML\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Namespace_str=allocate([78,97,109,101,115,112,97,99,101,0] /* Namespace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_QName_str=allocate([81,78,97,109,101,0] /* QName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Error_str=allocate([69,114,114,111,114,0] /* Error\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_InternalError_str=allocate([73,110,116,101,114,110,97,108,69,114,114,111,114,0] /* InternalError\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_EvalError_str=allocate([69,118,97,108,69,114,114,111,114,0] /* EvalError\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_RangeError_str=allocate([82,97,110,103,101,69,114,114,111,114,0] /* RangeError\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_ReferenceError_str=allocate([82,101,102,101,114,101,110,99,101,69,114,114,111,114,0] /* ReferenceError\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_SyntaxError_str=allocate([83,121,110,116,97,120,69,114,114,111,114,0] /* SyntaxError\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_TypeError_str=allocate([84,121,112,101,69,114,114,111,114,0] /* TypeError\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_URIError_str=allocate([85,82,73,69,114,114,111,114,0] /* URIError\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Iterator_str=allocate([73,116,101,114,97,116,111,114,0] /* Iterator\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_StopIteration_str=allocate([83,116,111,112,73,116,101,114,97,116,105,111,110,0] /* StopIteration\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_ArrayBuffer_str=allocate([65,114,114,97,121,66,117,102,102,101,114,0] /* ArrayBuffer\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Int8Array_str=allocate([73,110,116,56,65,114,114,97,121,0] /* Int8Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Uint8Array_str=allocate([85,105,110,116,56,65,114,114,97,121,0] /* Uint8Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Int16Array_str=allocate([73,110,116,49,54,65,114,114,97,121,0] /* Int16Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Uint16Array_str=allocate([85,105,110,116,49,54,65,114,114,97,121,0] /* Uint16Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Int32Array_str=allocate([73,110,116,51,50,65,114,114,97,121,0] /* Int32Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Uint32Array_str=allocate([85,105,110,116,51,50,65,114,114,97,121,0] /* Uint32Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Float32Array_str=allocate([70,108,111,97,116,51,50,65,114,114,97,121,0] /* Float32Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Float64Array_str=allocate([70,108,111,97,116,54,52,65,114,114,97,121,0] /* Float64Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Uint8ClampedArray_str=allocate([85,105,110,116,56,67,108,97,109,112,101,100,65,114,114,97,121,0] /* Uint8ClampedArray\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Proxy_str=allocate([80,114,111,120,121,0] /* Proxy\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_AnyName_str=allocate([65,110,121,78,97,109,101,0] /* AnyName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_WeakMap_str=allocate([87,101,97,107,77,97,112,0] /* WeakMap\00 */, "i8", ALLOC_STATIC);
__str430=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str1431=allocate([115,116,114,105,110,103,0] /* string\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2432=allocate([110,117,109,98,101,114,0] /* number\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3433=allocate([98,111,111,108,101,97,110,0] /* boolean\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4434=allocate([120,109,108,0] /* xml\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str5435=allocate([116,111,73,83,79,83,116,114,105,110,103,0] /* toISOString\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str6436=allocate([91,111,98,106,101,99,116,32,78,117,108,108,93,0] /* [object Null]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str7437=allocate([91,111,98,106,101,99,116,32,85,110,100,101,102,105,110,101,100,93,0] /* [object Undefined]\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8438=allocate([40,118,111,105,100,32,48,41,0] /* (void 0)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str9439=allocate([117,115,101,32,115,116,114,105,99,116,0] /* use strict\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str10440=allocate([108,111,99,0] /* loc\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11441=allocate([108,105,110,101,0] /* line\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12442=allocate([73,110,102,105,110,105,116,121,0] /* Infinity\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13443=allocate([78,97,78,0] /* NaN\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14444=allocate([98,117,105,108,100,101,114,0] /* builder\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str15445=allocate([64,109,111,122,105,108,108,97,46,111,114,103,47,106,115,47,102,117,110,99,116,105,111,110,0] /* @mozilla.org/js/func */, "i8", ALLOC_STATIC);
STRING_TABLE.__str16446=allocate([80,114,111,120,121,0] /* Proxy\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str17447=allocate([103,101,116,79,119,110,80,114,111,112,101,114,116,121,68,101,115,99,114,105,112,116,111,114,0] /* getOwnPropertyDescri */, "i8", ALLOC_STATIC);
STRING_TABLE.__str18448=allocate([103,101,116,80,114,111,112,101,114,116,121,68,101,115,99,114,105,112,116,111,114,0] /* getPropertyDescripto */, "i8", ALLOC_STATIC);
STRING_TABLE.__str19449=allocate([100,101,102,105,110,101,80,114,111,112,101,114,116,121,0] /* defineProperty\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str20450=allocate([100,101,108,101,116,101,0] /* delete\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21451=allocate([103,101,116,79,119,110,80,114,111,112,101,114,116,121,78,97,109,101,115,0] /* getOwnPropertyNames\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22452=allocate([101,110,117,109,101,114,97,116,101,0] /* enumerate\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23453=allocate([102,105,120,0] /* fix\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24454=allocate([104,97,115,0] /* has\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str25455=allocate([104,97,115,79,119,110,0] /* hasOwn\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str26456=allocate([107,101,121,115,0] /* keys\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str27457=allocate([105,116,101,114,97,116,101,0] /* iterate\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str28458=allocate([87,101,97,107,77,97,112,0] /* WeakMap\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str29459=allocate([98,121,116,101,76,101,110,103,116,104,0] /* byteLength\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str30460=allocate([114,101,116,117,114,110,0] /* return\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31461=allocate([116,104,114,111,119,0] /* throw\00 */, "i8", ALLOC_STATIC);
_js_common_atom_names=allocate(524, "*", ALLOC_STATIC);
_js_common_atom_count=allocate([131], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE._js_anonymous_str=allocate([97,110,111,110,121,109,111,117,115,0] /* anonymous\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_apply_str=allocate([97,112,112,108,121,0] /* apply\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_arguments_str=allocate([97,114,103,117,109,101,110,116,115,0] /* arguments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_arity_str=allocate([97,114,105,116,121,0] /* arity\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_BYTES_PER_ELEMENT_str=allocate([66,89,84,69,83,95,80,69,82,95,69,76,69,77,69,78,84,0] /* BYTES_PER_ELEMENT\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_call_str=allocate([99,97,108,108,0] /* call\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_callee_str=allocate([99,97,108,108,101,101,0] /* callee\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_caller_str=allocate([99,97,108,108,101,114,0] /* caller\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_class_prototype_str=allocate([112,114,111,116,111,116,121,112,101,0] /* prototype\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_constructor_str=allocate([99,111,110,115,116,114,117,99,116,111,114,0] /* constructor\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_each_str=allocate([101,97,99,104,0] /* each\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_eval_str=allocate([101,118,97,108,0] /* eval\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_fileName_str=allocate([102,105,108,101,78,97,109,101,0] /* fileName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_get_str=allocate([103,101,116,0] /* get\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_getter_str=allocate([103,101,116,116,101,114,0] /* getter\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_global_str=allocate([103,108,111,98,97,108,0] /* global\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_ignoreCase_str=allocate([105,103,110,111,114,101,67,97,115,101,0] /* ignoreCase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_index_str=allocate([105,110,100,101,120,0] /* index\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_input_str=allocate([105,110,112,117,116,0] /* input\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_iterator_str=allocate([95,95,105,116,101,114,97,116,111,114,95,95,0] /* __iterator__\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_join_str=allocate([106,111,105,110,0] /* join\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_lastIndex_str=allocate([108,97,115,116,73,110,100,101,120,0] /* lastIndex\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_length_str=allocate([108,101,110,103,116,104,0] /* length\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_lineNumber_str=allocate([108,105,110,101,78,117,109,98,101,114,0] /* lineNumber\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_message_str=allocate([109,101,115,115,97,103,101,0] /* message\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_multiline_str=allocate([109,117,108,116,105,108,105,110,101,0] /* multiline\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_name_str=allocate([110,97,109,101,0] /* name\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_next_str=allocate([110,101,120,116,0] /* next\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_noSuchMethod_str=allocate([95,95,110,111,83,117,99,104,77,101,116,104,111,100,95,95,0] /* __noSuchMethod__\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_object_str=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_proto_str=allocate([95,95,112,114,111,116,111,95,95,0] /* __proto__\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_setter_str=allocate([115,101,116,116,101,114,0] /* setter\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_set_str=allocate([115,101,116,0] /* set\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_source_str=allocate([115,111,117,114,99,101,0] /* source\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_stack_str=allocate([115,116,97,99,107,0] /* stack\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_sticky_str=allocate([115,116,105,99,107,121,0] /* sticky\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_toGMTString_str=allocate([116,111,71,77,84,83,116,114,105,110,103,0] /* toGMTString\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_toLocaleString_str=allocate([116,111,76,111,99,97,108,101,83,116,114,105,110,103,0] /* toLocaleString\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_toSource_str=allocate([116,111,83,111,117,114,99,101,0] /* toSource\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_toString_str=allocate([116,111,83,116,114,105,110,103,0] /* toString\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_toUTCString_str=allocate([116,111,85,84,67,83,116,114,105,110,103,0] /* toUTCString\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_undefined_str=allocate([117,110,100,101,102,105,110,101,100,0] /* undefined\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_valueOf_str=allocate([118,97,108,117,101,79,102,0] /* valueOf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_toJSON_str=allocate([116,111,74,83,79,78,0] /* toJSON\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_enumerable_str=allocate([101,110,117,109,101,114,97,98,108,101,0] /* enumerable\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_configurable_str=allocate([99,111,110,102,105,103,117,114,97,98,108,101,0] /* configurable\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_writable_str=allocate([119,114,105,116,97,98,108,101,0] /* writable\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_value_str=allocate([118,97,108,117,101,0] /* value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_test_str=allocate([116,101,115,116,0] /* test\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_etago_str=allocate([60,47,0] /* _/\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_namespace_str=allocate([110,97,109,101,115,112,97,99,101,0] /* namespace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_ptagc_str=allocate([47,62,0] /* /_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_qualifier_str=allocate([58,58,0] /* ::\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_space_str=allocate([32,0] /*  \00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_stago_str=allocate([60,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_star_str=allocate([42,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_starQualifier_str=allocate([42,58,58,0] /* _::\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_tagc_str=allocate([62,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_xml_str=allocate([120,109,108,0] /* xml\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_close_str=allocate([99,108,111,115,101,0] /* close\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_send_str=allocate([115,101,110,100,0] /* send\00 */, "i8", ALLOC_STATIC);
__ZZ10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingEE15ATOMIZE_BUF_MAX=allocate([32], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str524=allocate([66,111,111,108,101,97,110,0] /* Boolean\00 */, "i8", ALLOC_STATIC);
__ZN2js12BooleanClassE=allocate([0, 0, 0, 0, 67109120, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZL15boolean_methods=allocate([0, 0, 0, 0, 660, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 662, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 664, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str1527=allocate([116,114,117,101,0] /* true\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2528=allocate([102,97,108,115,101,0] /* false\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3529=allocate([40,110,101,119,32,66,111,111,108,101,97,110,40,37,115,41,41,0] /* (new Boolean(%s))\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str573=allocate([116,114,117,110,99,97,116,101,100,0] /* truncated\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1574=allocate([111,98,106,101,99,116,32,103,114,97,112,104,32,116,111,32,115,101,114,105,97,108,105,122,101,0] /* object graph to seri */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2575=allocate([117,110,114,101,99,111,103,110,105,122,101,100,32,78,97,78,0] /* unrecognized NaN\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3576=allocate([115,116,114,105,110,103,32,108,101,110,103,116,104,0] /* string length\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4577=allocate([100,97,116,101,0] /* date\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str5578=allocate([114,101,103,101,120,112,0] /* regexp\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str6579=allocate([105,110,118,97,108,105,100,32,105,110,112,117,116,0] /* invalid input\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str7580=allocate([117,110,115,117,112,112,111,114,116,101,100,32,116,121,112,101,0] /* unsupported type\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8581=allocate([105,100,0] /* id\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str645=allocate([116,101,109,112,0] /* temp\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1646=allocate([114,101,103,69,120,112,0] /* regExp\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2647=allocate([79,117,116,32,111,102,32,109,101,109,111,114,121,0] /* Out of memory\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3648=allocate([78,111,32,101,114,114,111,114,32,109,101,115,115,97,103,101,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,0] /* No error message ava */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4649=allocate([37,117,0] /* %u\00 */, "i8", ALLOC_STATIC);
__str5650=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str6651=allocate([60,69,114,114,111,114,32,35,48,32,105,115,32,114,101,115,101,114,118,101,100,62,0] /* _Error #0 is reserve */, "i8", ALLOC_STATIC);
STRING_TABLE.__str7652=allocate([123,48,125,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,0] /* {0} is not defined\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8653=allocate([110,111,116,104,105,110,103,32,97,99,116,105,118,101,32,111,110,32,99,111,110,116,101,120,116,0] /* nothing active on co */, "i8", ALLOC_STATIC);
STRING_TABLE.__str9654=allocate([123,48,125,32,114,101,113,117,105,114,101,115,32,109,111,114,101,32,116,104,97,110,32,123,49,125,32,97,114,103,117,109,101,110,116,123,50,125,0] /* {0} requires more th */, "i8", ALLOC_STATIC);
STRING_TABLE.__str10655=allocate([105,110,118,97,108,105,100,32,102,111,114,109,97,116,32,99,104,97,114,97,99,116,101,114,32,123,48,125,0] /* invalid format chara */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11656=allocate([117,110,107,110,111,119,110,32,116,121,112,101,32,123,48,125,0] /* unknown type {0}\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12657=allocate([97,108,108,111,99,97,116,105,111,110,32,115,105,122,101,32,111,118,101,114,102,108,111,119,0] /* allocation size over */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13658=allocate([109,105,115,115,105,110,103,32,104,101,120,97,100,101,99,105,109,97,108,32,100,105,103,105,116,115,32,97,102,116,101,114,32,39,48,120,39,0] /* missing hexadecimal  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14659=allocate([123,48,125,46,112,114,111,116,111,116,121,112,101,46,123,49,125,32,99,97,108,108,101,100,32,111,110,32,105,110,99,111,109,112,97,116,105,98,108,101,32,123,50,125,0] /* {0}.prototype.{1} ca */, "i8", ALLOC_STATIC);
STRING_TABLE.__str15660=allocate([123,48,125,32,104,97,115,32,110,111,32,99,111,110,115,116,114,117,99,116,111,114,0] /* {0} has no construct */, "i8", ALLOC_STATIC);
STRING_TABLE.__str16661=allocate([99,97,110,39,116,32,97,108,105,97,115,32,123,48,125,32,116,111,32,123,49,125,32,105,110,32,99,108,97,115,115,32,123,50,125,0] /* can't alias {0} to { */, "i8", ALLOC_STATIC);
STRING_TABLE.__str17662=allocate([123,48,125,32,105,115,32,110,111,116,32,97,32,115,99,114,105,112,116,101,100,32,102,117,110,99,116,105,111,110,0] /* {0} is not a scripte */, "i8", ALLOC_STATIC);
STRING_TABLE.__str18663=allocate([105,110,118,97,108,105,100,32,65,114,114,97,121,46,112,114,111,116,111,116,121,112,101,46,115,111,114,116,32,97,114,103,117,109,101,110,116,0] /* invalid Array.protot */, "i8", ALLOC_STATIC);
STRING_TABLE.__str19664=allocate([105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,110,111,32,105,110,100,101,120,32,102,111,114,32,97,116,111,109,32,123,48,125,0] /* internal error: no i */, "i8", ALLOC_STATIC);
STRING_TABLE.__str20665=allocate([116,111,111,32,109,97,110,121,32,108,105,116,101,114,97,108,115,0] /* too many literals\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21666=allocate([99,97,110,39,116,32,119,97,116,99,104,32,110,111,110,45,110,97,116,105,118,101,32,111,98,106,101,99,116,115,32,111,102,32,99,108,97,115,115,32,123,48,125,0] /* can't watch non-nati */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22667=allocate([105,110,116,101,114,110,97,108,32,101,114,114,111,114,32,99,111,109,112,105,108,105,110,103,32,123,48,125,58,32,115,116,97,99,107,32,117,110,100,101,114,102,108,111,119,32,97,116,32,112,99,32,123,49,125,0] /* internal error compi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23668=allocate([123,48,125,32,116,111,111,32,108,97,114,103,101,0] /* {0} too large\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24669=allocate([111,117,116,32,111,102,32,108,111,99,97,108,32,114,111,111,116,32,115,112,97,99,101,0] /* out of local root sp */, "i8", ALLOC_STATIC);
STRING_TABLE.__str25670=allocate([123,48,125,32,105,115,32,114,101,97,100,45,111,110,108,121,0] /* {0} is read-only\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str26671=allocate([109,97,108,102,111,114,109,101,100,32,102,111,114,109,97,108,32,112,97,114,97,109,101,116,101,114,0] /* malformed formal par */, "i8", ALLOC_STATIC);
STRING_TABLE.__str27672=allocate([112,114,111,112,101,114,116,121,32,123,48,125,32,105,115,32,110,111,110,45,99,111,110,102,105,103,117,114,97,98,108,101,32,97,110,100,32,99,97,110,39,116,32,98,101,32,100,101,108,101,116,101,100,0] /* property {0} is non- */, "i8", ALLOC_STATIC);
STRING_TABLE.__str28673=allocate([123,48,125,32,105,115,32,110,111,116,32,97,32,102,117,110,99,116,105,111,110,0] /* {0} is not a functio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str29674=allocate([123,48,125,32,105,115,32,110,111,116,32,97,32,99,111,110,115,116,114,117,99,116,111,114,0] /* {0} is not a constru */, "i8", ALLOC_STATIC);
STRING_TABLE.__str30675=allocate([105,110,118,97,108,105,100,32,100,97,116,101,0] /* invalid date\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31676=allocate([123,48,125,32,110,101,115,116,101,100,32,116,111,111,32,100,101,101,112,108,121,0] /* {0} nested too deepl */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32677=allocate([116,111,111,32,109,117,99,104,32,114,101,99,117,114,115,105,111,110,0] /* too much recursion\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str33678=allocate([105,110,118,97,108,105,100,32,39,105,110,39,32,111,112,101,114,97,110,100,32,123,48,125,0] /* invalid 'in' operand */, "i8", ALLOC_STATIC);
STRING_TABLE.__str34679=allocate([105,110,118,97,108,105,100,32,110,101,119,32,101,120,112,114,101,115,115,105,111,110,32,114,101,115,117,108,116,32,123,48,125,0] /* invalid new expressi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str35680=allocate([105,110,118,97,108,105,100,32,115,104,97,114,112,32,118,97,114,105,97,98,108,101,32,100,101,102,105,110,105,116,105,111,110,32,35,123,48,125,61,0] /* invalid sharp variab */, "i8", ALLOC_STATIC);
STRING_TABLE.__str36681=allocate([105,110,118,97,108,105,100,32,115,104,97,114,112,32,118,97,114,105,97,98,108,101,32,117,115,101,32,35,123,48,125,35,0] /* invalid sharp variab */, "i8", ALLOC_STATIC);
STRING_TABLE.__str37682=allocate([105,110,118,97,108,105,100,32,39,105,110,115,116,97,110,99,101,111,102,39,32,111,112,101,114,97,110,100,32,123,48,125,0] /* invalid 'instanceof' */, "i8", ALLOC_STATIC);
STRING_TABLE.__str38683=allocate([117,110,105,109,112,108,101,109,101,110,116,101,100,32,74,97,118,97,83,99,114,105,112,116,32,98,121,116,101,99,111,100,101,32,123,48,125,0] /* unimplemented JavaSc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str39684=allocate([114,97,100,105,120,32,109,117,115,116,32,98,101,32,97,110,32,105,110,116,101,103,101,114,32,97,116,32,108,101,97,115,116,32,50,32,97,110,100,32,110,111,32,103,114,101,97,116,101,114,32,116,104,97,110,32,51,54,0] /* radix must be an int */, "i8", ALLOC_STATIC);
STRING_TABLE.__str40685=allocate([109,105,115,115,105,110,103,32,40,32,98,101,102,111,114,101,32,108,101,116,32,104,101,97,100,0] /* missing ( before let */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41686=allocate([99,97,110,39,116,32,99,111,110,118,101,114,116,32,123,48,125,32,116,111,32,97,110,32,105,110,116,101,103,101,114,0] /* can't convert {0} to */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42687=allocate([99,121,99,108,105,99,32,123,48,125,32,118,97,108,117,101,0] /* cyclic {0} value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43688=allocate([99,97,110,39,116,32,99,111,109,112,105,108,101,32,111,118,101,114,32,97,32,115,99,114,105,112,116,32,116,104,97,116,32,105,115,32,99,117,114,114,101,110,116,108,121,32,101,120,101,99,117,116,105,110,103,0] /* can't compile over a */, "i8", ALLOC_STATIC);
STRING_TABLE.__str44689=allocate([99,97,110,39,116,32,99,111,110,118,101,114,116,32,123,48,125,32,116,111,32,123,49,125,0] /* can't convert {0} to */, "i8", ALLOC_STATIC);
STRING_TABLE.__str45690=allocate([123,48,125,32,104,97,115,32,110,111,32,112,114,111,112,101,114,116,105,101,115,0] /* {0} has no propertie */, "i8", ALLOC_STATIC);
STRING_TABLE.__str46691=allocate([99,97,110,39,116,32,102,105,110,100,32,99,108,97,115,115,32,105,100,32,123,48,125,0] /* can't find class id  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str47692=allocate([99,97,110,39,116,32,88,68,82,32,99,108,97,115,115,32,123,48,125,0] /* can't XDR class {0}\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str48693=allocate([98,121,116,101,99,111,100,101,32,123,48,125,32,116,111,111,32,108,97,114,103,101,32,40,108,105,109,105,116,32,123,49,125,41,0] /* bytecode {0} too lar */, "i8", ALLOC_STATIC);
STRING_TABLE.__str49694=allocate([117,110,107,110,111,119,110,32,98,121,116,101,99,111,100,101,32,102,111,114,109,97,116,32,123,48,125,0] /* unknown bytecode for */, "i8", ALLOC_STATIC);
STRING_TABLE.__str50695=allocate([116,111,111,32,109,97,110,121,32,99,111,110,115,116,114,117,99,116,111,114,32,97,114,103,117,109,101,110,116,115,0] /* too many constructor */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51696=allocate([116,111,111,32,109,97,110,121,32,102,117,110,99,116,105,111,110,32,97,114,103,117,109,101,110,116,115,0] /* too many function ar */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52697=allocate([105,110,118,97,108,105,100,32,113,117,97,110,116,105,102,105,101,114,0] /* invalid quantifier\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str53698=allocate([111,118,101,114,108,97,114,103,101,32,109,105,110,105,109,117,109,32,123,48,125,0] /* overlarge minimum {0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str54699=allocate([111,118,101,114,108,97,114,103,101,32,109,97,120,105,109,117,109,32,123,48,125,0] /* overlarge maximum {0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str55700=allocate([109,97,120,105,109,117,109,32,123,48,125,32,108,101,115,115,32,116,104,97,110,32,109,105,110,105,109,117,109,0] /* maximum {0} less tha */, "i8", ALLOC_STATIC);
STRING_TABLE.__str56701=allocate([109,105,115,115,105,110,103,32,61,32,105,110,32,100,101,115,116,114,117,99,116,117,114,105,110,103,32,100,101,99,108,97,114,97,116,105,111,110,0] /* missing = in destruc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str57702=allocate([105,110,118,97,108,105,100,32,100,101,115,116,114,117,99,116,117,114,105,110,103,32,97,115,115,105,103,110,109,101,110,116,32,111,112,101,114,97,116,111,114,0] /* invalid destructurin */, "i8", ALLOC_STATIC);
STRING_TABLE.__str58703=allocate([109,105,115,115,105,110,103,32,41,32,97,102,116,101,114,32,108,101,116,32,104,101,97,100,0] /* missing ) after let  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str59704=allocate([109,105,115,115,105,110,103,32,125,32,97,102,116,101,114,32,108,101,116,32,98,108,111,99,107,0] /* missing } after let  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str60705=allocate([117,110,116,101,114,109,105,110,97,116,101,100,32,112,97,114,101,110,116,104,101,116,105,99,97,108,0] /* unterminated parenth */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61706=allocate([117,110,116,101,114,109,105,110,97,116,101,100,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,123,48,125,0] /* unterminated charact */, "i8", ALLOC_STATIC);
STRING_TABLE.__str62707=allocate([116,114,97,105,108,105,110,103,32,92,32,105,110,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,0] /* trailing \5C in regu */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63708=allocate([105,110,118,97,108,105,100,32,114,97,110,103,101,32,105,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,0] /* invalid range in cha */, "i8", ALLOC_STATIC);
STRING_TABLE.__str64709=allocate([105,110,118,97,108,105,100,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,32,102,108,97,103,32,123,48,125,0] /* invalid regular expr */, "i8", ALLOC_STATIC);
STRING_TABLE.__str65710=allocate([110,111,32,105,110,112,117,116,32,102,111,114,32,47,123,48,125,47,123,49,125,123,50,125,123,51,125,123,52,125,0] /* no input for /{0}/{1 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str66711=allocate([99,97,110,39,116,32,111,112,101,110,32,123,48,125,58,32,123,49,125,0] /* can't open {0}: {1}\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str67712=allocate([97,114,103,117,109,101,110,116,115,32,97,114,114,97,121,32,112,97,115,115,101,100,32,116,111,32,70,117,110,99,116,105,111,110,46,112,114,111,116,111,116,121,112,101,46,97,112,112,108,121,32,105,115,32,116,111,111,32,108,97,114,103,101,0] /* arguments array pass */, "i8", ALLOC_STATIC);
STRING_TABLE.__str68713=allocate([117,110,109,97,116,99,104,101,100,32,41,32,105,110,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,0] /* unmatched ) in regul */, "i8", ALLOC_STATIC);
STRING_TABLE.__str69714=allocate([117,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,100,97,116,97,0] /* unexpected end of da */, "i8", ALLOC_STATIC);
STRING_TABLE.__str70715=allocate([105,108,108,101,103,97,108,32,115,101,101,107,32,98,101,121,111,110,100,32,115,116,97,114,116,0] /* illegal seek beyond  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71716=allocate([105,108,108,101,103,97,108,32,115,101,101,107,32,98,101,121,111,110,100,32,101,110,100,0] /* illegal seek beyond  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72717=allocate([105,108,108,101,103,97,108,32,101,110,100,45,98,97,115,101,100,32,115,101,101,107,0] /* illegal end-based se */, "i8", ALLOC_STATIC);
STRING_TABLE.__str73718=allocate([117,110,107,110,111,119,110,32,115,101,101,107,32,119,104,101,110,99,101,58,32,123,48,125,0] /* unknown seek whence: */, "i8", ALLOC_STATIC);
STRING_TABLE.__str74719=allocate([98,97,100,32,115,99,114,105,112,116,32,88,68,82,32,109,97,103,105,99,32,110,117,109,98,101,114,0] /* bad script XDR magic */, "i8", ALLOC_STATIC);
STRING_TABLE.__str75720=allocate([109,105,115,115,105,110,103,32,40,32,98,101,102,111,114,101,32,102,111,114,109,97,108,32,112,97,114,97,109,101,116,101,114,115,0] /* missing ( before for */, "i8", ALLOC_STATIC);
STRING_TABLE.__str76721=allocate([109,105,115,115,105,110,103,32,102,111,114,109,97,108,32,112,97,114,97,109,101,116,101,114,0] /* missing formal param */, "i8", ALLOC_STATIC);
STRING_TABLE.__str77722=allocate([109,105,115,115,105,110,103,32,41,32,97,102,116,101,114,32,102,111,114,109,97,108,32,112,97,114,97,109,101,116,101,114,115,0] /* missing ) after form */, "i8", ALLOC_STATIC);
STRING_TABLE.__str78723=allocate([109,105,115,115,105,110,103,32,123,32,98,101,102,111,114,101,32,102,117,110,99,116,105,111,110,32,98,111,100,121,0] /* missing { before fun */, "i8", ALLOC_STATIC);
STRING_TABLE.__str79724=allocate([109,105,115,115,105,110,103,32,125,32,97,102,116,101,114,32,102,117,110,99,116,105,111,110,32,98,111,100,121,0] /* missing } after func */, "i8", ALLOC_STATIC);
STRING_TABLE.__str80725=allocate([109,105,115,115,105,110,103,32,40,32,98,101,102,111,114,101,32,99,111,110,100,105,116,105,111,110,0] /* missing ( before con */, "i8", ALLOC_STATIC);
STRING_TABLE.__str81726=allocate([109,105,115,115,105,110,103,32,41,32,97,102,116,101,114,32,99,111,110,100,105,116,105,111,110,0] /* missing ) after cond */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82727=allocate([100,117,112,108,105,99,97,116,101,32,97,114,103,117,109,101,110,116,32,105,115,32,109,105,120,101,100,32,119,105,116,104,32,100,101,115,116,114,117,99,116,117,114,105,110,103,32,112,97,116,116,101,114,110,0] /* duplicate argument i */, "i8", ALLOC_STATIC);
STRING_TABLE.__str83728=allocate([109,105,115,115,105,110,103,32,110,97,109,101,32,97,102,116,101,114,32,46,32,111,112,101,114,97,116,111,114,0] /* missing name after . */, "i8", ALLOC_STATIC);
STRING_TABLE.__str84729=allocate([109,105,115,115,105,110,103,32,93,32,105,110,32,105,110,100,101,120,32,101,120,112,114,101,115,115,105,111,110,0] /* missing ] in index e */, "i8", ALLOC_STATIC);
STRING_TABLE.__str85730=allocate([88,77,76,32,99,97,110,39,116,32,98,101,32,116,104,101,32,119,104,111,108,101,32,112,114,111,103,114,97,109,0] /* XML can't be the who */, "i8", ALLOC_STATIC);
STRING_TABLE.__str86731=allocate([109,105,115,115,105,110,103,32,40,32,98,101,102,111,114,101,32,115,119,105,116,99,104,32,101,120,112,114,101,115,115,105,111,110,0] /* missing ( before swi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str87732=allocate([109,105,115,115,105,110,103,32,41,32,97,102,116,101,114,32,115,119,105,116,99,104,32,101,120,112,114,101,115,115,105,111,110,0] /* missing ) after swit */, "i8", ALLOC_STATIC);
STRING_TABLE.__str88733=allocate([109,105,115,115,105,110,103,32,123,32,98,101,102,111,114,101,32,115,119,105,116,99,104,32,98,111,100,121,0] /* missing { before swi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str89734=allocate([109,105,115,115,105,110,103,32,58,32,97,102,116,101,114,32,99,97,115,101,32,108,97,98,101,108,0] /* missing : after case */, "i8", ALLOC_STATIC);
STRING_TABLE.__str90735=allocate([109,105,115,115,105,110,103,32,119,104,105,108,101,32,97,102,116,101,114,32,100,111,45,108,111,111,112,32,98,111,100,121,0] /* missing while after  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91736=allocate([109,105,115,115,105,110,103,32,40,32,97,102,116,101,114,32,102,111,114,0] /* missing ( after for\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92737=allocate([109,105,115,115,105,110,103,32,59,32,97,102,116,101,114,32,102,111,114,45,108,111,111,112,32,105,110,105,116,105,97,108,105,122,101,114,0] /* missing ; after for- */, "i8", ALLOC_STATIC);
STRING_TABLE.__str93738=allocate([109,105,115,115,105,110,103,32,59,32,97,102,116,101,114,32,102,111,114,45,108,111,111,112,32,99,111,110,100,105,116,105,111,110,0] /* missing ; after for- */, "i8", ALLOC_STATIC);
STRING_TABLE.__str94739=allocate([109,105,115,115,105,110,103,32,41,32,97,102,116,101,114,32,102,111,114,45,108,111,111,112,32,99,111,110,116,114,111,108,0] /* missing ) after for- */, "i8", ALLOC_STATIC);
STRING_TABLE.__str95740=allocate([109,105,115,115,105,110,103,32,123,32,98,101,102,111,114,101,32,116,114,121,32,98,108,111,99,107,0] /* missing { before try */, "i8", ALLOC_STATIC);
STRING_TABLE.__str96741=allocate([109,105,115,115,105,110,103,32,125,32,97,102,116,101,114,32,116,114,121,32,98,108,111,99,107,0] /* missing } after try  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str97742=allocate([109,105,115,115,105,110,103,32,40,32,98,101,102,111,114,101,32,99,97,116,99,104,0] /* missing ( before cat */, "i8", ALLOC_STATIC);
STRING_TABLE.__str98743=allocate([109,105,115,115,105,110,103,32,105,100,101,110,116,105,102,105,101,114,32,105,110,32,99,97,116,99,104,0] /* missing identifier i */, "i8", ALLOC_STATIC);
STRING_TABLE.__str99744=allocate([109,105,115,115,105,110,103,32,41,32,97,102,116,101,114,32,99,97,116,99,104,0] /* missing ) after catc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str100745=allocate([109,105,115,115,105,110,103,32,123,32,98,101,102,111,114,101,32,99,97,116,99,104,32,98,108,111,99,107,0] /* missing { before cat */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101746=allocate([109,105,115,115,105,110,103,32,125,32,97,102,116,101,114,32,99,97,116,99,104,32,98,108,111,99,107,0] /* missing } after catc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102747=allocate([109,105,115,115,105,110,103,32,123,32,98,101,102,111,114,101,32,102,105,110,97,108,108,121,32,98,108,111,99,107,0] /* missing { before fin */, "i8", ALLOC_STATIC);
STRING_TABLE.__str103748=allocate([109,105,115,115,105,110,103,32,125,32,97,102,116,101,114,32,102,105,110,97,108,108,121,32,98,108,111,99,107,0] /* missing } after fina */, "i8", ALLOC_STATIC);
STRING_TABLE.__str104749=allocate([109,105,115,115,105,110,103,32,99,97,116,99,104,32,111,114,32,102,105,110,97,108,108,121,32,97,102,116,101,114,32,116,114,121,0] /* missing catch or fin */, "i8", ALLOC_STATIC);
STRING_TABLE.__str105750=allocate([109,105,115,115,105,110,103,32,40,32,98,101,102,111,114,101,32,119,105,116,104,45,115,116,97,116,101,109,101,110,116,32,111,98,106,101,99,116,0] /* missing ( before wit */, "i8", ALLOC_STATIC);
STRING_TABLE.__str106751=allocate([109,105,115,115,105,110,103,32,41,32,97,102,116,101,114,32,119,105,116,104,45,115,116,97,116,101,109,101,110,116,32,111,98,106,101,99,116,0] /* missing ) after with */, "i8", ALLOC_STATIC);
STRING_TABLE.__str107752=allocate([109,105,115,115,105,110,103,32,125,32,105,110,32,99,111,109,112,111,117,110,100,32,115,116,97,116,101,109,101,110,116,0] /* missing } in compoun */, "i8", ALLOC_STATIC);
STRING_TABLE.__str108753=allocate([109,105,115,115,105,110,103,32,118,97,114,105,97,98,108,101,32,110,97,109,101,0] /* missing variable nam */, "i8", ALLOC_STATIC);
STRING_TABLE.__str109754=allocate([109,105,115,115,105,110,103,32,58,32,105,110,32,99,111,110,100,105,116,105,111,110,97,108,32,101,120,112,114,101,115,115,105,111,110,0] /* missing : in conditi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str110755=allocate([109,105,115,115,105,110,103,32,41,32,97,102,116,101,114,32,97,114,103,117,109,101,110,116,32,108,105,115,116,0] /* missing ) after argu */, "i8", ALLOC_STATIC);
STRING_TABLE.__str111756=allocate([109,105,115,115,105,110,103,32,93,32,97,102,116,101,114,32,101,108,101,109,101,110,116,32,108,105,115,116,0] /* missing ] after elem */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112757=allocate([109,105,115,115,105,110,103,32,58,32,97,102,116,101,114,32,112,114,111,112,101,114,116,121,32,105,100,0] /* missing : after prop */, "i8", ALLOC_STATIC);
STRING_TABLE.__str113758=allocate([109,105,115,115,105,110,103,32,125,32,97,102,116,101,114,32,112,114,111,112,101,114,116,121,32,108,105,115,116,0] /* missing } after prop */, "i8", ALLOC_STATIC);
STRING_TABLE.__str114759=allocate([109,105,115,115,105,110,103,32,41,32,105,110,32,112,97,114,101,110,116,104,101,116,105,99,97,108,0] /* missing ) in parenth */, "i8", ALLOC_STATIC);
STRING_TABLE.__str115760=allocate([109,105,115,115,105,110,103,32,59,32,98,101,102,111,114,101,32,115,116,97,116,101,109,101,110,116,0] /* missing ; before sta */, "i8", ALLOC_STATIC);
STRING_TABLE.__str116761=allocate([102,117,110,99,116,105,111,110,32,123,48,125,32,100,111,101,115,32,110,111,116,32,97,108,119,97,121,115,32,114,101,116,117,114,110,32,97,32,118,97,108,117,101,0] /* function {0} does no */, "i8", ALLOC_STATIC);
STRING_TABLE.__str117762=allocate([100,117,112,108,105,99,97,116,101,32,102,111,114,109,97,108,32,97,114,103,117,109,101,110,116,32,123,48,125,0] /* duplicate formal arg */, "i8", ALLOC_STATIC);
STRING_TABLE.__str118763=allocate([116,101,115,116,32,102,111,114,32,101,113,117,97,108,105,116,121,32,40,61,61,41,32,109,105,115,116,121,112,101,100,32,97,115,32,97,115,115,105,103,110,109,101,110,116,32,40,61,41,63,123,48,125,0] /* test for equality (= */, "i8", ALLOC_STATIC);
STRING_TABLE.__str119764=allocate([99,97,110,39,116,32,97,99,99,101,115,115,32,111,112,116,105,109,105,122,101,100,32,99,108,111,115,117,114,101,0] /* can't access optimiz */, "i8", ALLOC_STATIC);
STRING_TABLE.__str120765=allocate([109,111,114,101,32,116,104,97,110,32,111,110,101,32,115,119,105,116,99,104,32,100,101,102,97,117,108,116,0] /* more than one switch */, "i8", ALLOC_STATIC);
STRING_TABLE.__str121766=allocate([116,111,111,32,109,97,110,121,32,115,119,105,116,99,104,32,99,97,115,101,115,0] /* too many switch case */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122767=allocate([105,110,118,97,108,105,100,32,115,119,105,116,99,104,32,115,116,97,116,101,109,101,110,116,0] /* invalid switch state */, "i8", ALLOC_STATIC);
STRING_TABLE.__str123=allocate([105,110,118,97,108,105,100,32,102,111,114,47,105,110,32,108,101,102,116,45,104,97,110,100,32,115,105,100,101,0] /* invalid for/in left- */, "i8", ALLOC_STATIC);
STRING_TABLE.__str124=allocate([99,97,116,99,104,32,97,102,116,101,114,32,117,110,99,111,110,100,105,116,105,111,110,97,108,32,99,97,116,99,104,0] /* catch after uncondit */, "i8", ALLOC_STATIC);
STRING_TABLE.__str125=allocate([99,97,116,99,104,32,119,105,116,104,111,117,116,32,116,114,121,0] /* catch without try\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str126=allocate([102,105,110,97,108,108,121,32,119,105,116,104,111,117,116,32,116,114,121,0] /* finally without try\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str127=allocate([108,97,98,101,108,32,110,111,116,32,102,111,117,110,100,0] /* label not found\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str128=allocate([117,110,108,97,98,101,108,101,100,32,98,114,101,97,107,32,109,117,115,116,32,98,101,32,105,110,115,105,100,101,32,108,111,111,112,32,111,114,32,115,119,105,116,99,104,0] /* unlabeled break must */, "i8", ALLOC_STATIC);
STRING_TABLE.__str129=allocate([99,111,110,116,105,110,117,101,32,109,117,115,116,32,98,101,32,105,110,115,105,100,101,32,108,111,111,112,0] /* continue must be ins */, "i8", ALLOC_STATIC);
STRING_TABLE.__str130=allocate([123,48,125,32,110,111,116,32,105,110,32,102,117,110,99,116,105,111,110,0] /* {0} not in function\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str131=allocate([105,110,118,97,108,105,100,32,108,97,98,101,108,0] /* invalid label\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str132=allocate([100,117,112,108,105,99,97,116,101,32,108,97,98,101,108,0] /* duplicate label\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str133=allocate([118,97,114,105,97,98,108,101,32,123,48,125,32,114,101,100,101,99,108,97,114,101,115,32,97,114,103,117,109,101,110,116,0] /* variable {0} redecla */, "i8", ALLOC_STATIC);
STRING_TABLE.__str134=allocate([105,110,118,97,108,105,100,32,118,97,114,105,97,98,108,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0] /* invalid variable ini */, "i8", ALLOC_STATIC);
STRING_TABLE.__str135=allocate([105,110,118,97,108,105,100,32,97,115,115,105,103,110,109,101,110,116,32,108,101,102,116,45,104,97,110,100,32,115,105,100,101,0] /* invalid assignment l */, "i8", ALLOC_STATIC);
STRING_TABLE.__str136=allocate([105,110,118,97,108,105,100,32,123,48,125,32,111,112,101,114,97,110,100,0] /* invalid {0} operand\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str137=allocate([105,110,118,97,108,105,100,32,112,114,111,112,101,114,116,121,32,105,100,0] /* invalid property id\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str138=allocate([123,48,125,32,105,115,32,97,32,114,101,115,101,114,118,101,100,32,105,100,101,110,116,105,102,105,101,114,0] /* {0} is a reserved id */, "i8", ALLOC_STATIC);
STRING_TABLE.__str139=allocate([115,121,110,116,97,120,32,101,114,114,111,114,0] /* syntax error\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str140=allocate([105,110,118,97,108,105,100,32,115,104,97,114,112,32,118,97,114,105,97,98,108,101,32,100,101,102,105,110,105,116,105,111,110,0] /* invalid sharp variab */, "i8", ALLOC_STATIC);
STRING_TABLE.__str141=allocate([39,112,114,111,116,111,116,121,112,101,39,32,112,114,111,112,101,114,116,121,32,111,102,32,123,48,125,32,105,115,32,110,111,116,32,97,110,32,111,98,106,101,99,116,0] /* 'prototype' property */, "i8", ALLOC_STATIC);
STRING_TABLE.__str142=allocate([109,105,115,115,105,110,103,32,101,120,112,111,110,101,110,116,0] /* missing exponent\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str143=allocate([111,117,116,32,111,102,32,109,101,109,111,114,121,0] /* out of memory\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str144=allocate([117,110,116,101,114,109,105,110,97,116,101,100,32,115,116,114,105,110,103,32,108,105,116,101,114,97,108,0] /* unterminated string  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str145=allocate([116,111,111,32,109,97,110,121,32,112,97,114,101,110,116,104,101,115,101,115,32,105,110,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,0] /* too many parentheses */, "i8", ALLOC_STATIC);
STRING_TABLE.__str146=allocate([117,110,116,101,114,109,105,110,97,116,101,100,32,99,111,109,109,101,110,116,0] /* unterminated comment */, "i8", ALLOC_STATIC);
STRING_TABLE.__str147=allocate([117,110,116,101,114,109,105,110,97,116,101,100,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,32,108,105,116,101,114,97,108,0] /* unterminated regular */, "i8", ALLOC_STATIC);
STRING_TABLE.__str148=allocate([98,97,100,32,99,108,111,110,101,100,32,102,117,110,99,116,105,111,110,32,115,99,111,112,101,32,99,104,97,105,110,0] /* bad cloned function  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str149=allocate([111,118,101,114,108,97,114,103,101,32,115,104,97,114,112,32,118,97,114,105,97,98,108,101,32,110,117,109,98,101,114,0] /* overlarge sharp vari */, "i8", ALLOC_STATIC);
STRING_TABLE.__str150=allocate([105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,0] /* illegal character\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str151=allocate([123,48,125,32,105,115,32,110,111,116,32,97,32,108,101,103,97,108,32,69,67,77,65,45,50,54,50,32,111,99,116,97,108,32,99,111,110,115,116,97,110,116,0] /* {0} is not a legal E */, "i8", ALLOC_STATIC);
STRING_TABLE.__str152=allocate([102,117,110,99,116,105,111,110,32,123,48,125,32,109,117,115,116,32,98,101,32,99,97,108,108,101,100,32,100,105,114,101,99,116,108,121,44,32,97,110,100,32,110,111,116,32,98,121,32,119,97,121,32,111,102,32,97,32,102,117,110,99,116,105,111,110,32,111,102,32,97,110,111,116,104,101,114,32,110,97,109,101,0] /* function {0} must be */, "i8", ALLOC_STATIC);
STRING_TABLE.__str153=allocate([117,110,99,97,117,103,104,116,32,101,120,99,101,112,116,105,111,110,58,32,123,48,125,0] /* uncaught exception:  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str154=allocate([110,111,110,45,111,99,116,97,108,32,100,105,103,105,116,32,105,110,32,97,110,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,32,116,104,97,116,32,100,111,101,115,110,39,116,32,109,97,116,99,104,32,97,32,98,97,99,107,45,114,101,102,101,114,101,110,99,101,0] /* non-octal digit in a */, "i8", ALLOC_STATIC);
STRING_TABLE.__str155=allocate([98,97,99,107,45,114,101,102,101,114,101,110,99,101,32,101,120,99,101,101,100,115,32,110,117,109,98,101,114,32,111,102,32,99,97,112,116,117,114,105,110,103,32,112,97,114,101,110,116,104,101,115,101,115,0] /* back-reference excee */, "i8", ALLOC_STATIC);
STRING_TABLE.__str156768=allocate([112,114,101,99,105,115,105,111,110,32,123,48,125,32,111,117,116,32,111,102,32,114,97,110,103,101,0] /* precision {0} out of */, "i8", ALLOC_STATIC);
STRING_TABLE.__str157=allocate([105,110,118,97,108,105,100,32,123,48,125,32,117,115,97,103,101,0] /* invalid {0} usage\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str158=allocate([105,110,118,97,108,105,100,32,97,114,114,97,121,32,108,101,110,103,116,104,0] /* invalid array length */, "i8", ALLOC_STATIC);
STRING_TABLE.__str159=allocate([99,97,110,39,116,32,100,101,115,99,114,105,98,101,32,110,111,110,45,110,97,116,105,118,101,32,112,114,111,112,101,114,116,105,101,115,32,111,102,32,99,108,97,115,115,32,123,48,125,0] /* can't describe non-n */, "i8", ALLOC_STATIC);
STRING_TABLE.__str160=allocate([115,101,99,111,110,100,32,97,114,103,117,109,101,110,116,32,116,111,32,70,117,110,99,116,105,111,110,46,112,114,111,116,111,116,121,112,101,46,123,48,125,32,109,117,115,116,32,98,101,32,97,110,32,97,114,114,97,121,0] /* second argument to F */, "i8", ALLOC_STATIC);
STRING_TABLE.__str161=allocate([114,101,100,101,99,108,97,114,97,116,105,111,110,32,111,102,32,123,48,125,32,123,49,125,0] /* redeclaration of {0} */, "i8", ALLOC_STATIC);
STRING_TABLE.__str162=allocate([97,115,115,105,103,110,109,101,110,116,32,116,111,32,117,110,100,101,99,108,97,114,101,100,32,118,97,114,105,97,98,108,101,32,123,48,125,0] /* assignment to undecl */, "i8", ALLOC_STATIC);
STRING_TABLE.__str163=allocate([97,110,111,110,121,109,111,117,115,32,102,117,110,99,116,105,111,110,32,100,111,101,115,32,110,111,116,32,97,108,119,97,121,115,32,114,101,116,117,114,110,32,97,32,118,97,108,117,101,0] /* anonymous function d */, "i8", ALLOC_STATIC);
STRING_TABLE.__str164=allocate([100,101,112,114,101,99,97,116,101,100,32,123,48,125,32,117,115,97,103,101,0] /* deprecated {0} usage */, "i8", ALLOC_STATIC);
STRING_TABLE.__str165=allocate([109,97,108,102,111,114,109,101,100,32,85,82,73,32,115,101,113,117,101,110,99,101,0] /* malformed URI sequen */, "i8", ALLOC_STATIC);
STRING_TABLE.__str166=allocate([115,101,116,116,105,110,103,32,97,32,112,114,111,112,101,114,116,121,32,116,104,97,116,32,104,97,115,32,111,110,108,121,32,97,32,103,101,116,116,101,114,0] /* setting a property t */, "i8", ALLOC_STATIC);
STRING_TABLE.__str167=allocate([105,100,101,110,116,105,102,105,101,114,32,115,116,97,114,116,115,32,105,109,109,101,100,105,97,116,101,108,121,32,97,102,116,101,114,32,110,117,109,101,114,105,99,32,108,105,116,101,114,97,108,0] /* identifier starts im */, "i8", ALLOC_STATIC);
STRING_TABLE.__str168=allocate([114,101,102,101,114,101,110,99,101,32,116,111,32,117,110,100,101,102,105,110,101,100,32,112,114,111,112,101,114,116,121,32,123,48,125,0] /* reference to undefin */, "i8", ALLOC_STATIC);
STRING_TABLE.__str169=allocate([117,115,101,108,101,115,115,32,101,120,112,114,101,115,115,105,111,110,0] /* useless expression\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str170=allocate([114,101,100,101,99,108,97,114,97,116,105,111,110,32,111,102,32,102,111,114,109,97,108,32,112,97,114,97,109,101,116,101,114,32,123,48,125,0] /* redeclaration of for */, "i8", ALLOC_STATIC);
STRING_TABLE.__str171=allocate([99,97,110,39,116,32,115,117,112,112,108,121,32,102,108,97,103,115,32,119,104,101,110,32,99,111,110,115,116,114,117,99,116,105,110,103,32,111,110,101,32,82,101,103,69,120,112,32,102,114,111,109,32,97,110,111,116,104,101,114,0] /* can't supply flags w */, "i8", ALLOC_STATIC);
STRING_TABLE.__str172=allocate([114,101,115,101,114,118,101,100,32,115,108,111,116,32,105,110,100,101,120,32,111,117,116,32,111,102,32,114,97,110,103,101,0] /* reserved slot index  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str173=allocate([99,97,110,39,116,32,100,101,99,111,100,101,32,74,83,80,114,105,110,99,105,112,97,108,115,0] /* can't decode JSPrinc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str174769=allocate([99,97,110,39,116,32,115,101,97,108,32,123,48,125,32,111,98,106,101,99,116,115,0] /* can't seal {0} objec */, "i8", ALLOC_STATIC);
STRING_TABLE.__str175=allocate([116,111,111,32,109,97,110,121,32,99,97,116,99,104,32,118,97,114,105,97,98,108,101,115,0] /* too many catch varia */, "i8", ALLOC_STATIC);
STRING_TABLE.__str176=allocate([105,110,118,97,108,105,100,32,88,77,76,32,109,97,114,107,117,112,0] /* invalid XML markup\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str177=allocate([105,108,108,101,103,97,108,32,88,77,76,32,99,104,97,114,97,99,116,101,114,0] /* illegal XML characte */, "i8", ALLOC_STATIC);
STRING_TABLE.__str178=allocate([105,110,118,97,108,105,100,32,100,101,102,97,117,108,116,32,88,77,76,32,110,97,109,101,115,112,97,99,101,0] /* invalid default XML  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str179=allocate([105,110,118,97,108,105,100,32,88,77,76,32,110,97,109,101,0] /* invalid XML name\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str180=allocate([109,105,115,115,105,110,103,32,93,32,97,102,116,101,114,32,97,116,116,114,105,98,117,116,101,32,101,120,112,114,101,115,115,105,111,110,0] /* missing ] after attr */, "i8", ALLOC_STATIC);
STRING_TABLE.__str181=allocate([97,108,114,101,97,100,121,32,101,120,101,99,117,116,105,110,103,32,103,101,110,101,114,97,116,111,114,32,123,48,125,0] /* already executing ge */, "i8", ALLOC_STATIC);
STRING_TABLE.__str182770=allocate([109,105,115,115,105,110,103,32,125,32,105,110,32,88,77,76,32,101,120,112,114,101,115,115,105,111,110,0] /* missing } in XML exp */, "i8", ALLOC_STATIC);
STRING_TABLE.__str183=allocate([105,110,118,97,108,105,100,32,88,77,76,32,110,97,109,101,115,112,97,99,101,32,123,48,125,0] /* invalid XML namespac */, "i8", ALLOC_STATIC);
STRING_TABLE.__str184771=allocate([105,110,118,97,108,105,100,32,88,77,76,32,97,116,116,114,105,98,117,116,101,32,110,97,109,101,32,123,48,125,0] /* invalid XML attribut */, "i8", ALLOC_STATIC);
STRING_TABLE.__str185=allocate([105,110,118,97,108,105,100,32,88,77,76,32,110,97,109,101,32,123,48,125,0] /* invalid XML name {0} */, "i8", ALLOC_STATIC);
STRING_TABLE.__str186=allocate([99,97,110,39,116,32,99,111,110,118,101,114,116,32,123,48,125,32,116,111,32,88,77,76,0] /* can't convert {0} to */, "i8", ALLOC_STATIC);
STRING_TABLE.__str187=allocate([99,97,110,39,116,32,99,111,110,118,101,114,116,32,123,48,125,32,116,111,32,88,77,76,76,105,115,116,0] /* can't convert {0} to */, "i8", ALLOC_STATIC);
STRING_TABLE.__str188772=allocate([97,116,116,101,109,112,116,32,116,111,32,115,101,110,100,32,123,48,125,32,116,111,32,110,101,119,98,111,114,110,32,103,101,110,101,114,97,116,111,114,0] /* attempt to send {0}  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str189=allocate([109,105,115,115,105,110,103,32,61,32,105,110,32,88,77,76,32,97,116,116,114,105,98,117,116,101,0] /* missing = in XML att */, "i8", ALLOC_STATIC);
STRING_TABLE.__str190=allocate([105,110,118,97,108,105,100,32,88,77,76,32,97,116,116,114,105,98,117,116,101,32,118,97,108,117,101,0] /* invalid XML attribut */, "i8", ALLOC_STATIC);
STRING_TABLE.__str191=allocate([88,77,76,32,116,97,103,32,110,97,109,101,32,109,105,115,109,97,116,99,104,32,40,101,120,112,101,99,116,101,100,32,123,48,125,41,0] /* XML tag name mismatc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str192=allocate([105,110,118,97,108,105,100,32,88,77,76,32,116,97,103,32,115,121,110,116,97,120,0] /* invalid XML tag synt */, "i8", ALLOC_STATIC);
STRING_TABLE.__str193=allocate([105,110,118,97,108,105,100,32,88,77,76,32,108,105,115,116,32,115,121,110,116,97,120,0] /* invalid XML list syn */, "i8", ALLOC_STATIC);
STRING_TABLE.__str194=allocate([123,48,125,32,123,49,125,32,99,97,108,108,101,100,32,111,110,32,105,110,99,111,109,112,97,116,105,98,108,101,32,123,50,125,0] /* {0} {1} called on in */, "i8", ALLOC_STATIC);
STRING_TABLE.__str195=allocate([99,97,110,39,116,32,115,101,116,32,88,77,76,32,112,114,111,112,101,114,116,121,32,97,116,116,114,105,98,117,116,101,115,0] /* can't set XML proper */, "i8", ALLOC_STATIC);
STRING_TABLE.__str196=allocate([117,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,88,77,76,32,115,111,117,114,99,101,0] /* unexpected end of XM */, "i8", ALLOC_STATIC);
STRING_TABLE.__str197=allocate([117,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,88,77,76,32,101,110,116,105,116,121,0] /* unexpected end of XM */, "i8", ALLOC_STATIC);
STRING_TABLE.__str198773=allocate([105,110,118,97,108,105,100,32,88,77,76,32,113,117,97,108,105,102,105,101,100,32,110,97,109,101,0] /* invalid XML qualifie */, "i8", ALLOC_STATIC);
STRING_TABLE.__str199=allocate([105,110,118,97,108,105,100,32,102,111,114,32,101,97,99,104,32,108,111,111,112,0] /* invalid for each loo */, "i8", ALLOC_STATIC);
STRING_TABLE.__str200=allocate([99,97,110,39,116,32,115,101,116,32,112,114,111,112,101,114,116,121,32,123,48,125,32,105,110,32,88,77,76,76,105,115,116,0] /* can't set property { */, "i8", ALLOC_STATIC);
STRING_TABLE.__str201=allocate([117,110,107,110,111,119,110,32,88,77,76,32,101,110,116,105,116,121,32,123,48,125,0] /* unknown XML entity { */, "i8", ALLOC_STATIC);
STRING_TABLE.__str202=allocate([109,97,108,102,111,114,109,101,100,32,88,77,76,32,99,104,97,114,97,99,116,101,114,32,123,48,125,0] /* malformed XML charac */, "i8", ALLOC_STATIC);
STRING_TABLE.__str203=allocate([114,101,102,101,114,101,110,99,101,32,116,111,32,117,110,100,101,102,105,110,101,100,32,88,77,76,32,110,97,109,101,32,123,48,125,0] /* reference to undefin */, "i8", ALLOC_STATIC);
STRING_TABLE.__str204=allocate([100,117,112,108,105,99,97,116,101,32,88,77,76,32,97,116,116,114,105,98,117,116,101,32,123,48,125,0] /* duplicate XML attrib */, "i8", ALLOC_STATIC);
STRING_TABLE.__str205=allocate([116,111,111,32,109,97,110,121,32,108,111,99,97,108,32,118,97,114,105,97,98,108,101,115,0] /* too many local varia */, "i8", ALLOC_STATIC);
STRING_TABLE.__str206=allocate([97,114,114,97,121,32,105,110,105,116,105,97,108,105,115,101,114,32,116,111,111,32,108,97,114,103,101,0] /* array initialiser to */, "i8", ALLOC_STATIC);
STRING_TABLE.__str207=allocate([114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,32,116,111,111,32,99,111,109,112,108,101,120,0] /* regular expression t */, "i8", ALLOC_STATIC);
STRING_TABLE.__str208=allocate([98,117,102,102,101,114,32,116,111,111,32,115,109,97,108,108,0] /* buffer too small\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str209=allocate([98,97,100,32,115,117,114,114,111,103,97,116,101,32,99,104,97,114,97,99,116,101,114,32,123,48,125,0] /* bad surrogate charac */, "i8", ALLOC_STATIC);
STRING_TABLE.__str210=allocate([85,84,70,45,56,32,99,104,97,114,97,99,116,101,114,32,123,48,125,32,116,111,111,32,108,97,114,103,101,0] /* UTF-8 character {0}  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str211=allocate([109,97,108,102,111,114,109,101,100,32,85,84,70,45,56,32,99,104,97,114,97,99,116,101,114,32,115,101,113,117,101,110,99,101,32,97,116,32,111,102,102,115,101,116,32,123,48,125,0] /* malformed UTF-8 char */, "i8", ALLOC_STATIC);
STRING_TABLE.__str212=allocate([74,83,95,82,101,112,111,114,116,69,114,114,111,114,32,119,97,115,32,99,97,108,108,101,100,0] /* JS_ReportError was c */, "i8", ALLOC_STATIC);
STRING_TABLE.__str213=allocate([119,114,111,110,103,32,99,111,110,115,116,114,117,99,116,111,114,32,99,97,108,108,101,100,32,102,111,114,32,123,48,125,0] /* wrong constructor ca */, "i8", ALLOC_STATIC);
STRING_TABLE.__str214=allocate([103,101,110,101,114,97,116,111,114,32,102,117,110,99,116,105,111,110,32,123,48,125,32,114,101,116,117,114,110,115,32,97,32,118,97,108,117,101,0] /* generator function { */, "i8", ALLOC_STATIC);
STRING_TABLE.__str215=allocate([97,110,111,110,121,109,111,117,115,32,103,101,110,101,114,97,116,111,114,32,102,117,110,99,116,105,111,110,32,114,101,116,117,114,110,115,32,97,32,118,97,108,117,101,0] /* anonymous generator  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str216=allocate([109,105,115,115,105,110,103,32,110,97,109,101,32,97,102,116,101,114,32,102,111,114,32,40,0] /* missing name after f */, "i8", ALLOC_STATIC);
STRING_TABLE.__str217=allocate([109,105,115,115,105,110,103,32,105,110,32,97,102,116,101,114,32,102,111,114,0] /* missing in after for */, "i8", ALLOC_STATIC);
STRING_TABLE.__str218=allocate([116,114,97,112,32,123,49,125,32,102,111,114,32,123,48,125,32,114,101,116,117,114,110,101,100,32,97,32,112,114,105,109,105,116,105,118,101,32,118,97,108,117,101,0] /* trap {1} for {0} ret */, "i8", ALLOC_STATIC);
STRING_TABLE.__str219=allocate([107,101,121,119,111,114,100,32,105,115,32,117,115,101,100,32,97,115,32,110,97,109,101,115,112,97,99,101,0] /* keyword is used as n */, "i8", ALLOC_STATIC);
STRING_TABLE.__str220=allocate([121,105,101,108,100,32,102,114,111,109,32,99,108,111,115,105,110,103,32,103,101,110,101,114,97,116,111,114,32,123,48,125,0] /* yield from closing g */, "i8", ALLOC_STATIC);
STRING_TABLE.__str221=allocate([123,48,125,32,101,120,112,114,101,115,115,105,111,110,32,109,117,115,116,32,98,101,32,112,97,114,101,110,116,104,101,115,105,122,101,100,0] /* {0} expression must  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str222=allocate([105,110,118,97,108,105,100,32,97,114,114,97,121,32,99,111,109,112,114,101,104,101,110,115,105,111,110,32,108,101,102,116,45,104,97,110,100,32,115,105,100,101,0] /* invalid array compre */, "i8", ALLOC_STATIC);
STRING_TABLE.__str223=allocate([88,77,76,32,102,105,108,116,101,114,32,105,115,32,97,112,112,108,105,101,100,32,116,111,32,110,111,110,45,88,77,76,32,118,97,108,117,101,32,123,48,125,0] /* XML filter is applie */, "i8", ALLOC_STATIC);
STRING_TABLE.__str224=allocate([114,101,100,117,99,101,32,111,102,32,101,109,112,116,121,32,97,114,114,97,121,32,119,105,116,104,32,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,0] /* reduce of empty arra */, "i8", ALLOC_STATIC);
STRING_TABLE.__str225=allocate([99,97,110,39,116,32,99,97,108,108,32,123,48,125,32,109,101,116,104,111,100,32,111,110,32,97,110,32,88,77,76,32,108,105,115,116,32,119,105,116,104,32,123,49,125,32,101,108,101,109,101,110,116,115,0] /* can't call {0} metho */, "i8", ALLOC_STATIC);
STRING_TABLE.__str226=allocate([105,110,118,97,108,105,100,32,100,101,108,101,116,101,32,111,112,101,114,97,110,100,0] /* invalid delete opera */, "i8", ALLOC_STATIC);
STRING_TABLE.__str227=allocate([105,110,118,97,108,105,100,32,105,110,99,114,101,109,101,110,116,47,100,101,99,114,101,109,101,110,116,32,111,112,101,114,97,110,100,0] /* invalid increment/de */, "i8", ALLOC_STATIC);
STRING_TABLE.__str228=allocate([123,48,125,32,105,115,32,123,49,125,0] /* {0} is {1}\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str229=allocate([108,101,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,100,105,114,101,99,116,108,121,32,119,105,116,104,105,110,32,98,108,111,99,107,0] /* let declaration not  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str230=allocate([105,110,118,97,108,105,100,32,111,98,106,101,99,116,32,105,110,105,116,105,97,108,105,122,101,114,0] /* invalid object initi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str231=allocate([99,97,110,39,116,32,115,101,116,32,97,116,116,114,105,98,117,116,101,115,32,111,110,32,105,110,100,101,120,101,100,32,97,114,114,97,121,32,112,114,111,112,101,114,116,105,101,115,0] /* can't set attributes */, "i8", ALLOC_STATIC);
STRING_TABLE.__str232=allocate([101,118,97,108,32,97,99,99,101,112,116,115,32,111,110,108,121,32,111,110,101,32,112,97,114,97,109,101,116,101,114,0] /* eval accepts only on */, "i8", ALLOC_STATIC);
STRING_TABLE.__str233=allocate([109,105,115,115,105,110,103,32,97,114,103,117,109,101,110,116,32,123,48,125,32,119,104,101,110,32,99,97,108,108,105,110,103,32,102,117,110,99,116,105,111,110,32,123,49,125,0] /* missing argument {0} */, "i8", ALLOC_STATIC);
STRING_TABLE.__str234=allocate([74,83,79,78,46,112,97,114,115,101,58,32,123,48,125,0] /* JSON.parse: {0}\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str235=allocate([74,83,79,78,46,115,116,114,105,110,103,105,102,121,0] /* JSON.stringify\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str236=allocate([118,97,108,117,101,32,105,115,32,110,111,116,32,97,32,102,117,110,99,116,105,111,110,32,111,114,32,117,110,100,101,102,105,110,101,100,0] /* value is not a funct */, "i8", ALLOC_STATIC);
STRING_TABLE.__str237=allocate([118,97,108,117,101,32,105,115,32,110,111,116,32,97,32,110,111,110,45,110,117,108,108,32,111,98,106,101,99,116,0] /* value is not a non-n */, "i8", ALLOC_STATIC);
STRING_TABLE.__str238=allocate([111,99,116,97,108,32,108,105,116,101,114,97,108,115,32,97,110,100,32,111,99,116,97,108,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,115,32,97,114,101,32,100,101,112,114,101,99,97,116,101,100,0] /* octal literals and o */, "i8", ALLOC_STATIC);
STRING_TABLE.__str239=allocate([115,116,114,105,99,116,32,109,111,100,101,32,99,111,100,101,32,109,97,121,32,110,111,116,32,99,111,110,116,97,105,110,32,39,119,105,116,104,39,32,115,116,97,116,101,109,101,110,116,115,0] /* strict mode code may */, "i8", ALLOC_STATIC);
STRING_TABLE.__str240=allocate([112,114,111,112,101,114,116,121,32,110,97,109,101,32,123,48,125,32,97,112,112,101,97,114,115,32,109,111,114,101,32,116,104,97,110,32,111,110,99,101,32,105,110,32,111,98,106,101,99,116,32,108,105,116,101,114,97,108,0] /* property name {0} ap */, "i8", ALLOC_STATIC);
STRING_TABLE.__str241=allocate([97,112,112,108,121,105,110,103,32,116,104,101,32,39,100,101,108,101,116,101,39,32,111,112,101,114,97,116,111,114,32,116,111,32,97,110,32,117,110,113,117,97,108,105,102,105,101,100,32,110,97,109,101,32,105,115,32,100,101,112,114,101,99,97,116,101,100,0] /* applying the 'delete */, "i8", ALLOC_STATIC);
STRING_TABLE.__str242=allocate([97,115,115,105,103,110,109,101,110,116,32,116,111,32,123,48,125,32,105,115,32,100,101,112,114,101,99,97,116,101,100,0] /* assignment to {0} is */, "i8", ALLOC_STATIC);
STRING_TABLE.__str243=allocate([114,101,100,101,102,105,110,105,110,103,32,123,48,125,32,105,115,32,100,101,112,114,101,99,97,116,101,100,0] /* redefining {0} is de */, "i8", ALLOC_STATIC);
STRING_TABLE.__str244=allocate([112,114,111,112,101,114,116,121,32,100,101,115,99,114,105,112,116,111,114,115,32,109,117,115,116,32,110,111,116,32,115,112,101,99,105,102,121,32,97,32,118,97,108,117,101,32,111,114,32,98,101,32,119,114,105,116,97,98,108,101,32,119,104,101,110,32,97,32,103,101,116,116,101,114,32,111,114,32,115,101,116,116,101,114,32,104,97,115,32,98,101,101,110,32,115,112,101,99,105,102,105,101,100,0] /* property descriptors */, "i8", ALLOC_STATIC);
STRING_TABLE.__str245=allocate([123,48,125,32,105,115,32,110,111,116,32,101,120,116,101,110,115,105,98,108,101,0] /* {0} is not extensibl */, "i8", ALLOC_STATIC);
STRING_TABLE.__str246=allocate([99,97,110,39,116,32,114,101,100,101,102,105,110,101,32,110,111,110,45,99,111,110,102,105,103,117,114,97,98,108,101,32,112,114,111,112,101,114,116,121,32,39,123,48,125,39,0] /* can't redefine non-c */, "i8", ALLOC_STATIC);
STRING_TABLE.__str247=allocate([99,97,110,39,116,32,97,100,100,32,101,108,101,109,101,110,116,115,32,112,97,115,116,32,116,104,101,32,101,110,100,32,111,102,32,97,110,32,97,114,114,97,121,32,105,102,32,105,116,115,32,108,101,110,103,116,104,32,112,114,111,112,101,114,116,121,32,105,115,32,117,110,119,114,105,116,97,98,108,101,0] /* can't add elements p */, "i8", ALLOC_STATIC);
STRING_TABLE.__str248=allocate([100,101,102,105,110,105,110,103,32,116,104,101,32,108,101,110,103,116,104,32,112,114,111,112,101,114,116,121,32,111,110,32,97,110,32,97,114,114,97,121,32,105,115,32,110,111,116,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,101,100,0] /* defining the length  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str249=allocate([99,97,110,39,116,32,100,101,102,105,110,101,32,97,114,114,97,121,32,105,110,100,101,120,32,112,114,111,112,101,114,116,121,0] /* can't define array i */, "i8", ALLOC_STATIC);
STRING_TABLE.__str250=allocate([105,110,118,97,108,105,100,32,111,114,32,111,117,116,45,111,102,45,114,97,110,103,101,32,105,110,100,101,120,0] /* invalid or out-of-ra */, "i8", ALLOC_STATIC);
STRING_TABLE.__str251=allocate([97,114,103,117,109,101,110,116,32,123,48,125,32,109,117,115,116,32,98,101,32,62,61,32,48,0] /* argument {0} must be */, "i8", ALLOC_STATIC);
STRING_TABLE.__str252=allocate([105,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,115,0] /* invalid arguments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str253=allocate([99,97,108,108,32,116,111,32,70,117,110,99,116,105,111,110,40,41,32,98,108,111,99,107,101,100,32,98,121,32,67,83,80,0] /* call to Function() b */, "i8", ALLOC_STATIC);
STRING_TABLE.__str254=allocate([112,114,111,112,101,114,116,121,32,100,101,115,99,114,105,112,116,111,114,39,115,32,123,48,125,32,102,105,101,108,100,32,105,115,32,110,101,105,116,104,101,114,32,117,110,100,101,102,105,110,101,100,32,110,111,114,32,97,32,102,117,110,99,116,105,111,110,0] /* property descriptor' */, "i8", ALLOC_STATIC);
STRING_TABLE.__str255=allocate([112,114,111,120,121,32,119,97,115,32,102,105,120,101,100,32,119,104,105,108,101,32,101,120,101,99,117,116,105,110,103,32,116,104,101,32,104,97,110,100,108,101,114,0] /* proxy was fixed whil */, "i8", ALLOC_STATIC);
STRING_TABLE.__str256=allocate([105,110,118,97,108,105,100,32,101,118,97,108,32,115,99,111,112,101,32,97,114,103,117,109,101,110,116,0] /* invalid eval scope a */, "i8", ALLOC_STATIC);
STRING_TABLE.__str257=allocate([123,48,125,32,102,117,110,99,116,105,111,110,115,32,109,117,115,116,32,104,97,118,101,32,123,49,125,32,97,114,103,117,109,101,110,116,123,50,125,0] /* {0} functions must h */, "i8", ALLOC_STATIC);
STRING_TABLE.__str258=allocate([39,99,97,108,108,101,114,39,44,32,39,99,97,108,108,101,101,39,44,32,97,110,100,32,39,97,114,103,117,109,101,110,116,115,39,32,112,114,111,112,101,114,116,105,101,115,32,109,97,121,32,110,111,116,32,98,101,32,97,99,99,101,115,115,101,100,32,111,110,32,115,116,114,105,99,116,32,109,111,100,101,32,102,117,110,99,116,105,111,110,115,32,111,114,32,116,104,101,32,97,114,103,117,109,101,110,116,115,32,111,98,106,101,99,116,115,32,102,111,114,32,99,97,108,108,115,32,116,111,32,116,104,101,109,0] /* 'caller', 'callee',  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str259=allocate([116,111,73,83,79,83,116,114,105,110,103,32,112,114,111,112,101,114,116,121,32,105,115,32,110,111,116,32,99,97,108,108,97,98,108,101,0] /* toISOString property */, "i8", ALLOC_STATIC);
STRING_TABLE.__str260=allocate([98,97,100,32,112,97,114,115,101,32,110,111,100,101,0] /* bad parse node\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str261=allocate([123,48,125,58,32,101,120,112,101,99,116,101,100,32,123,49,125,44,32,103,111,116,32,123,50,125,0] /* {0}: expected {1}, g */, "i8", ALLOC_STATIC);
STRING_TABLE.__str262=allocate([97,99,99,101,115,115,32,116,111,32,115,116,114,105,99,116,32,109,111,100,101,32,99,97,108,108,101,114,32,102,117,110,99,116,105,111,110,32,105,115,32,99,101,110,115,111,114,101,100,0] /* access to strict mod */, "i8", ALLOC_STATIC);
STRING_TABLE.__str263=allocate([102,117,110,99,116,105,111,110,32,99,97,110,32,98,101,32,99,97,108,108,101,100,32,111,110,108,121,32,105,110,32,100,101,98,117,103,32,109,111,100,101,0] /* function can be call */, "i8", ALLOC_STATIC);
STRING_TABLE.__str264=allocate([115,116,114,105,99,116,32,109,111,100,101,32,99,111,100,101,32,109,97,121,32,110,111,116,32,99,111,110,116,97,105,110,32,117,110,112,97,114,101,110,116,104,101,115,105,122,101,100,32,108,101,116,32,101,120,112,114,101,115,115,105,111,110,32,115,116,97,116,101,109,101,110,116,115,0] /* strict mode code may */, "i8", ALLOC_STATIC);
STRING_TABLE.__str265=allocate([99,97,110,39,116,32,99,104,97,110,103,101,32,111,98,106,101,99,116,39,115,32,101,120,116,101,110,115,105,98,105,108,105,116,121,0] /* can't change object' */, "i8", ALLOC_STATIC);
STRING_TABLE.__str266=allocate([98,97,100,32,115,101,114,105,97,108,105,122,101,100,32,115,116,114,117,99,116,117,114,101,100,32,100,97,116,97,32,40,123,48,125,41,0] /* bad serialized struc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str267=allocate([117,110,115,117,112,112,111,114,116,101,100,32,116,121,112,101,32,102,111,114,32,115,116,114,117,99,116,117,114,101,100,32,100,97,116,97,0] /* unsupported type for */, "i8", ALLOC_STATIC);
STRING_TABLE.__str268=allocate([114,101,99,117,114,115,105,118,101,32,111,98,106,101,99,116,0] /* recursive object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str269=allocate([99,97,110,39,116,32,119,114,97,112,32,88,77,76,32,111,98,106,101,99,116,115,0] /* can't wrap XML objec */, "i8", ALLOC_STATIC);
STRING_TABLE.__str270=allocate([117,110,115,117,112,112,111,114,116,101,100,32,115,116,114,117,99,116,117,114,101,100,32,99,108,111,110,101,32,118,101,114,115,105,111,110,0] /* unsupported structur */, "i8", ALLOC_STATIC);
STRING_TABLE.__str271=allocate([99,97,110,39,116,32,99,108,111,110,101,32,111,98,106,101,99,116,0] /* can't clone object\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str272=allocate([110,111,110,45,110,97,116,105,118,101,32,115,99,111,112,101,32,111,98,106,101,99,116,0] /* non-native scope obj */, "i8", ALLOC_STATIC);
STRING_TABLE.__str273=allocate([105,110,32,115,116,114,105,99,116,32,109,111,100,101,32,99,111,100,101,44,32,102,117,110,99,116,105,111,110,115,32,109,97,121,32,98,101,32,100,101,99,108,97,114,101,100,32,111,110,108,121,32,97,116,32,116,111,112,32,108,101,118,101,108,32,111,114,32,105,109,109,101,100,105,97,116,101,108,121,32,119,105,116,104,105,110,32,97,110,111,116,104,101,114,32,102,117,110,99,116,105,111,110,0] /* in strict mode code, */, "i8", ALLOC_STATIC);
STRING_TABLE.__str274=allocate([102,111,114,45,105,110,32,108,111,111,112,32,108,101,116,32,100,101,99,108,97,114,97,116,105,111,110,32,109,97,121,32,110,111,116,32,104,97,118,101,32,97,110,32,105,110,105,116,105,97,108,105,122,101,114,0] /* for-in loop let decl */, "i8", ALLOC_STATIC);
STRING_TABLE.__str275=allocate([97,116,116,101,109,112,116,32,116,111,32,114,117,110,32,99,111,109,112,105,108,101,45,97,110,100,45,103,111,32,115,99,114,105,112,116,32,111,110,32,97,32,99,108,101,97,114,101,100,32,115,99,111,112,101,0] /* attempt to run compi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str276=allocate([109,97,108,102,111,114,109,101,100,32,123,48,125,32,99,104,97,114,97,99,116,101,114,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,0] /* malformed {0} charac */, "i8", ALLOC_STATIC);
STRING_TABLE.__str277=allocate([105,108,108,101,103,97,108,32,117,115,101,32,111,102,32,123,48,125,32,105,110,32,103,101,110,101,114,97,116,111,114,32,101,120,112,114,101,115,115,105,111,110,0] /* illegal use of {0} i */, "i8", ALLOC_STATIC);
STRING_TABLE.__str278=allocate([99,97,110,39,116,32,115,101,116,32,112,114,111,116,111,116,121,112,101,32,111,102,32,97,110,32,111,98,106,101,99,116,32,116,111,32,97,110,32,88,77,76,32,118,97,108,117,101,0] /* can't set prototype  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str279=allocate([102,117,110,99,116,105,111,110,32,115,116,97,116,101,109,101,110,116,32,114,101,113,117,105,114,101,115,32,97,32,110,97,109,101,0] /* function statement r */, "i8", ALLOC_STATIC);
STRING_TABLE.__str280=allocate([123,48,125,58,32,97,114,103,117,109,101,110,116,32,109,117,115,116,32,98,101,32,97,110,32,111,98,106,101,99,116,32,102,114,111,109,32,97,32,100,105,102,102,101,114,101,110,116,32,99,111,109,112,97,114,116,109,101,110,116,0] /* {0}: argument must b */, "i8", ALLOC_STATIC);
STRING_TABLE.__str281=allocate([100,101,98,117,103,103,101,114,32,114,101,115,117,109,112,116,105,111,110,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,117,110,100,101,102,105,110,101,100,44,32,123,116,104,114,111,119,58,32,118,97,108,125,44,32,123,114,101,116,117,114,110,58,32,118,97,108,125,44,32,111,114,32,110,117,108,108,0] /* debugger resumption  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str282=allocate([118,97,108,117,101,32,97,115,115,105,103,110,101,100,32,116,111,32,123,48,125,32,109,117,115,116,32,98,101,32,97,32,102,117,110,99,116,105,111,110,32,111,114,32,110,117,108,108,0] /* value assigned to {0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str283=allocate([123,48,125,32,105,115,32,110,111,116,32,108,105,118,101,0] /* {0} is not live\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str284=allocate([68,101,98,117,103,103,101,114,46,79,98,106,101,99,116,32,98,101,108,111,110,103,115,32,116,111,32,97,32,100,105,102,102,101,114,101,110,116,32,68,101,98,117,103,103,101,114,0] /* Debugger.Object belo */, "i8", ALLOC_STATIC);
STRING_TABLE.__str285=allocate([68,101,98,117,103,103,101,114,46,79,98,106,101,99,116,46,112,114,111,116,111,116,121,112,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,68,101,98,117,103,103,101,114,46,79,98,106,101,99,116,0] /* Debugger.Object.prot */, "i8", ALLOC_STATIC);
STRING_TABLE.__str286=allocate([99,97,110,110,111,116,32,100,101,98,117,103,32,97,110,32,111,98,106,101,99,116,32,105,110,32,115,97,109,101,32,99,111,109,112,97,114,116,109,101,110,116,32,97,115,32,100,101,98,117,103,103,101,114,32,111,114,32,97,32,99,111,109,112,97,114,116,109,101,110,116,32,116,104,97,116,32,105,115,32,97,108,114,101,97,100,121,32,100,101,98,117,103,103,105,110,103,32,116,104,101,32,100,101,98,117,103,103,101,114,0] /* cannot debug an obje */, "i8", ALLOC_STATIC);
STRING_TABLE.__str287=allocate([99,97,110,39,116,32,115,116,97,114,116,32,100,101,98,117,103,103,105,110,103,58,32,97,32,100,101,98,117,103,103,101,101,32,115,99,114,105,112,116,32,105,115,32,111,110,32,116,104,101,32,115,116,97,99,107,0] /* can't start debuggin */, "i8", ALLOC_STATIC);
STRING_TABLE.__str288=allocate([105,110,118,97,108,105,100,32,115,99,114,105,112,116,32,111,102,102,115,101,116,0] /* invalid script offse */, "i8", ALLOC_STATIC);
STRING_TABLE.__str289=allocate([105,110,118,97,108,105,100,32,108,105,110,101,32,110,117,109,98,101,114,0] /* invalid line number\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str290=allocate([99,97,110,39,116,32,115,101,116,32,98,114,101,97,107,112,111,105,110,116,58,32,115,99,114,105,112,116,32,103,108,111,98,97,108,32,105,115,32,110,111,116,32,97,32,100,101,98,117,103,103,101,101,0] /* can't set breakpoint */, "i8", ALLOC_STATIC);
STRING_TABLE.__str291=allocate([123,48,125,58,32,100,101,115,99,114,105,112,116,111,114,32,46,123,49,125,32,112,114,111,112,101,114,116,121,32,105,115,32,97,110,32,111,98,106,101,99,116,32,105,110,32,97,32,100,105,102,102,101,114,101,110,116,32,99,111,109,112,97,114,116,109,101,110,116,32,116,104,97,110,32,116,104,101,32,116,97,114,103,101,116,32,111,98,106,101,99,116,0] /* {0}: descriptor .{1} */, "i8", ALLOC_STATIC);
STRING_TABLE.__str292=allocate([115,116,97,99,107,32,102,114,97,109,101,32,105,115,32,110,111,116,32,114,117,110,110,105,110,103,32,74,97,118,97,83,99,114,105,112,116,32,99,111,100,101,0] /* stack frame is not r */, "i8", ALLOC_STATIC);
_js_ErrorFormatString=allocate([0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 1, 0, 4, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 6, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 3, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 3, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 2, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 5, 0, 5, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 2, 0, 6, 0, 0, 0, 0, 0, 1, 0, 4, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1, 0, 4, 0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 4, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 3, 0, 6, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 4, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 2, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 2, 0, 6, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 2, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 2, 0, 6, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 0, 5, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZZN13JSCompartment4initEP9JSContextE22ARENA_HEADER_SIZE_HACK=allocate([40], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str828=allocate([97,110,97,108,121,115,105,115,0] /* analysis\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1829=allocate([99,114,111,115,115,45,99,111,109,112,97,114,116,109,101,110,116,32,119,114,97,112,112,101,114,0] /* cross-compartment wr */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2830=allocate([109,97,114,107,95,116,121,112,101,115,95,115,99,114,105,112,116,0] /* mark_types_script\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3831=allocate([109,97,114,107,95,116,121,112,101,115,95,115,105,110,103,108,101,116,111,110,0] /* mark_types_singleton */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4832=allocate([109,97,114,107,95,116,121,112,101,115,95,115,99,97,110,0] /* mark_types_scan\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str5833=allocate([116,114,97,112,32,99,108,111,115,117,114,101,0] /* trap closure\00 */, "i8", ALLOC_STATIC);
__ZN2js5crashL8gGCStackE=allocate(32840, ["i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js5crashL11gErrorStackE=allocate(32840, ["i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js5crashL11gRingBufferE=allocate(32800, ["i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i64",0,0,0,"i32",0,0,0,"i64",0,0,0,"i32",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js5crashL12gInitializedE=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__ZN2js5crashL12crash_cookieE=allocate([42,74,42,83,42,67,82,65,83,72,68,65,84,65,42,0] /* _J_S_CRASHDATA_\00 */, "i8", ALLOC_STATIC);
__ZN2js9DateClassE=allocate([0, 0, 0, 0, 100665600, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 666, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str894=allocate([85,84,67,0] /* UTC\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1895=allocate([112,97,114,115,101,0] /* parse\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2896=allocate([110,111,119,0] /* now\00 */, "i8", ALLOC_STATIC);
__ZL19date_static_methods=allocate([0, 0, 0, 0, 668, 0, 0, 0, 7, 0, 4096, 0, 0, 0, 0, 0, 670, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 672, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str3897=allocate([103,101,116,84,105,109,101,0] /* getTime\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4898=allocate([103,101,116,84,105,109,101,122,111,110,101,79,102,102,115,101,116,0] /* getTimezoneOffset\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str5899=allocate([103,101,116,89,101,97,114,0] /* getYear\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str6900=allocate([103,101,116,70,117,108,108,89,101,97,114,0] /* getFullYear\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str7901=allocate([103,101,116,85,84,67,70,117,108,108,89,101,97,114,0] /* getUTCFullYear\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8902=allocate([103,101,116,77,111,110,116,104,0] /* getMonth\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str9903=allocate([103,101,116,85,84,67,77,111,110,116,104,0] /* getUTCMonth\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str10904=allocate([103,101,116,68,97,116,101,0] /* getDate\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11905=allocate([103,101,116,85,84,67,68,97,116,101,0] /* getUTCDate\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12906=allocate([103,101,116,68,97,121,0] /* getDay\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13907=allocate([103,101,116,85,84,67,68,97,121,0] /* getUTCDay\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14908=allocate([103,101,116,72,111,117,114,115,0] /* getHours\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str15909=allocate([103,101,116,85,84,67,72,111,117,114,115,0] /* getUTCHours\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str16910=allocate([103,101,116,77,105,110,117,116,101,115,0] /* getMinutes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str17911=allocate([103,101,116,85,84,67,77,105,110,117,116,101,115,0] /* getUTCMinutes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str18912=allocate([103,101,116,83,101,99,111,110,100,115,0] /* getSeconds\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str19913=allocate([103,101,116,85,84,67,83,101,99,111,110,100,115,0] /* getUTCSeconds\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str20914=allocate([103,101,116,77,105,108,108,105,115,101,99,111,110,100,115,0] /* getMilliseconds\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21915=allocate([103,101,116,85,84,67,77,105,108,108,105,115,101,99,111,110,100,115,0] /* getUTCMilliseconds\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22916=allocate([115,101,116,84,105,109,101,0] /* setTime\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23917=allocate([115,101,116,89,101,97,114,0] /* setYear\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24918=allocate([115,101,116,70,117,108,108,89,101,97,114,0] /* setFullYear\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str25919=allocate([115,101,116,85,84,67,70,117,108,108,89,101,97,114,0] /* setUTCFullYear\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str26920=allocate([115,101,116,77,111,110,116,104,0] /* setMonth\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str27921=allocate([115,101,116,85,84,67,77,111,110,116,104,0] /* setUTCMonth\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str28922=allocate([115,101,116,68,97,116,101,0] /* setDate\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str29923=allocate([115,101,116,85,84,67,68,97,116,101,0] /* setUTCDate\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str30924=allocate([115,101,116,72,111,117,114,115,0] /* setHours\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31925=allocate([115,101,116,85,84,67,72,111,117,114,115,0] /* setUTCHours\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32926=allocate([115,101,116,77,105,110,117,116,101,115,0] /* setMinutes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str33927=allocate([115,101,116,85,84,67,77,105,110,117,116,101,115,0] /* setUTCMinutes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str34928=allocate([115,101,116,83,101,99,111,110,100,115,0] /* setSeconds\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str35929=allocate([115,101,116,85,84,67,83,101,99,111,110,100,115,0] /* setUTCSeconds\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str36930=allocate([115,101,116,77,105,108,108,105,115,101,99,111,110,100,115,0] /* setMilliseconds\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str37931=allocate([115,101,116,85,84,67,77,105,108,108,105,115,101,99,111,110,100,115,0] /* setUTCMilliseconds\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str38932=allocate([116,111,85,84,67,83,116,114,105,110,103,0] /* toUTCString\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str39933=allocate([116,111,76,111,99,97,108,101,68,97,116,101,83,116,114,105,110,103,0] /* toLocaleDateString\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str40934=allocate([116,111,76,111,99,97,108,101,84,105,109,101,83,116,114,105,110,103,0] /* toLocaleTimeString\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41935=allocate([116,111,76,111,99,97,108,101,70,111,114,109,97,116,0] /* toLocaleFormat\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42936=allocate([116,111,68,97,116,101,83,116,114,105,110,103,0] /* toDateString\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43937=allocate([116,111,84,105,109,101,83,116,114,105,110,103,0] /* toTimeString\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str44938=allocate([116,111,73,83,79,83,116,114,105,110,103,0] /* toISOString\00 */, "i8", ALLOC_STATIC);
__ZL12date_methods=allocate([0, 0, 0, 0, 674, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 676, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 678, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 680, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 682, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 684, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 686, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 688, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 690, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 692, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 694, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 696, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 698, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 700, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 702, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 704, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 704, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 706, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 706, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 708, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 710, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 712, 0, 0, 0, 3, 0, 4096, 0, 0, 0, 0, 0, 714, 0, 0, 0, 3, 0, 4096, 0, 0, 0, 0, 0, 716, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 718, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 720, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 722, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 724, 0, 0, 0, 4, 0, 4096, 0, 0, 0, 0, 0, 726, 0, 0, 0, 4, 0, 4096, 0, 0, 0, 0, 0, 728, 0, 0, 0, 3, 0, 4096, 0, 0, 0, 0, 0, 730, 0, 0, 0, 3, 0, 4096, 0, 0, 0, 0, 0, 732, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 734, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 736, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 738, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 740, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 742, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 744, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 746, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 748, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 750, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 752, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 754, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 756, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 758, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 760, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 762, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZL8LocalTZA=allocate(1, "double", ALLOC_STATIC);
__ZL15firstDayOfMonth=allocate([0, 0, 0, 0, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 59, 0, 0, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 151, 0, 0, 0, 0, 0, 0, 0, 181, 0, 0, 0, 0, 0, 0, 0, 212, 0, 0, 0, 0, 0, 0, 0, 243, 0, 0, 0, 0, 0, 0, 0, 273, 0, 0, 0, 0, 0, 0, 0, 304, 0, 0, 0, 0, 0, 0, 0, 334, 0, 0, 0, 0, 0, 0, 0, 365, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 91, 0, 0, 0, 0, 0, 0, 0, 121, 0, 0, 0, 0, 0, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 182, 0, 0, 0, 0, 0, 0, 0, 213, 0, 0, 0, 0, 0, 0, 0, 244, 0, 0, 0, 0, 0, 0, 0, 274, 0, 0, 0, 0, 0, 0, 0, 305, 0, 0, 0, 0, 0, 0, 0, 335, 0, 0, 0, 0, 0, 0, 0, 366, 0, 0, 0, 0, 0, 0, 0], ["double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0], ALLOC_STATIC);
__ZL16yearStartingWith=allocate([1978, 0, 0, 0, 1973, 0, 0, 0, 1974, 0, 0, 0, 1975, 0, 0, 0, 1981, 0, 0, 0, 1971, 0, 0, 0, 1977, 0, 0, 0, 1984, 0, 0, 0, 1996, 0, 0, 0, 1980, 0, 0, 0, 1992, 0, 0, 0, 1976, 0, 0, 0, 1988, 0, 0, 0, 1972, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZL3wtb=allocate(128, "*", ALLOC_STATIC);
__ZL3ttb=allocate([-1, 0, 0, 0, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 4, 0, 0, 0, 5, 0, 0, 0, 6, 0, 0, 0, 7, 0, 0, 0, 8, 0, 0, 0, 9, 0, 0, 0, 10, 0, 0, 0, 11, 0, 0, 0, 12, 0, 0, 0, 13, 0, 0, 0, 10000, 0, 0, 0, 10000, 0, 0, 0, 10000, 0, 0, 0, 10300, 0, 0, 0, 10240, 0, 0, 0, 10360, 0, 0, 0, 10300, 0, 0, 0, 10420, 0, 0, 0, 10360, 0, 0, 0, 10480, 0, 0, 0, 10420, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str45939=allocate([97,109,0] /* am\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str46940=allocate([112,109,0] /* pm\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str47941=allocate([109,111,110,100,97,121,0] /* monday\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str48942=allocate([116,117,101,115,100,97,121,0] /* tuesday\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str49943=allocate([119,101,100,110,101,115,100,97,121,0] /* wednesday\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str50944=allocate([116,104,117,114,115,100,97,121,0] /* thursday\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51945=allocate([102,114,105,100,97,121,0] /* friday\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52946=allocate([115,97,116,117,114,100,97,121,0] /* saturday\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str53947=allocate([115,117,110,100,97,121,0] /* sunday\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str54948=allocate([106,97,110,117,97,114,121,0] /* january\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str55949=allocate([102,101,98,114,117,97,114,121,0] /* february\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str56950=allocate([109,97,114,99,104,0] /* march\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str57951=allocate([97,112,114,105,108,0] /* april\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str58952=allocate([109,97,121,0] /* may\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str59953=allocate([106,117,110,101,0] /* june\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str60954=allocate([106,117,108,121,0] /* july\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61955=allocate([97,117,103,117,115,116,0] /* august\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str62956=allocate([115,101,112,116,101,109,98,101,114,0] /* september\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63957=allocate([111,99,116,111,98,101,114,0] /* october\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str64958=allocate([110,111,118,101,109,98,101,114,0] /* november\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str65959=allocate([100,101,99,101,109,98,101,114,0] /* december\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str66960=allocate([103,109,116,0] /* gmt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str67961=allocate([117,116,0] /* ut\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str68962=allocate([117,116,99,0] /* utc\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str69963=allocate([101,115,116,0] /* est\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str70964=allocate([101,100,116,0] /* edt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71965=allocate([99,115,116,0] /* cst\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72966=allocate([99,100,116,0] /* cdt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str73967=allocate([109,115,116,0] /* mst\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str74968=allocate([109,100,116,0] /* mdt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str75969=allocate([112,115,116,0] /* pst\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str76970=allocate([112,100,116,0] /* pdt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL15js_NaN_date_str=allocate([73,110,118,97,108,105,100,32,68,97,116,101,0] /* Invalid Date\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str77971=allocate([40,37,90,41,0] /* (%Z)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str78972=allocate([37,115,32,37,115,32,37,46,50,100,32,37,46,52,100,32,37,46,50,100,58,37,46,50,100,58,37,46,50,100,32,71,77,84,37,43,46,52,100,37,115,37,115,0] /* %s %s %.2d %.4d %.2d */, "i8", ALLOC_STATIC);
__ZL4days=allocate(28, "*", ALLOC_STATIC);
__ZL6months=allocate(48, "*", ALLOC_STATIC);
STRING_TABLE.__str79973=allocate([32,0] /*  \00 */, "i8", ALLOC_STATIC);
__str80974=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str81975=allocate([37,115,32,37,115,32,37,46,50,100,32,37,46,52,100,0] /* %s %s %.2d %.4d\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82976=allocate([37,46,50,100,58,37,46,50,100,58,37,46,50,100,32,71,77,84,37,43,46,52,100,37,115,37,115,0] /* %.2d:%.2d:%.2d GMT%+ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str83977=allocate([74,97,110,0] /* Jan\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str84978=allocate([70,101,98,0] /* Feb\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str85979=allocate([77,97,114,0] /* Mar\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str86980=allocate([65,112,114,0] /* Apr\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str87981=allocate([77,97,121,0] /* May\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str88982=allocate([74,117,110,0] /* Jun\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str89983=allocate([74,117,108,0] /* Jul\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str90984=allocate([65,117,103,0] /* Aug\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91985=allocate([83,101,112,0] /* Sep\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92986=allocate([79,99,116,0] /* Oct\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str93987=allocate([78,111,118,0] /* Nov\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str94988=allocate([68,101,99,0] /* Dec\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str95989=allocate([83,117,110,0] /* Sun\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str96990=allocate([77,111,110,0] /* Mon\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str97991=allocate([84,117,101,0] /* Tue\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str98992=allocate([87,101,100,0] /* Wed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str99993=allocate([84,104,117,0] /* Thu\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str100994=allocate([70,114,105,0] /* Fri\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101995=allocate([83,97,116,0] /* Sat\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102996=allocate([40,110,101,119,32,37,115,40,37,115,41,41,0] /* (new %s(%s))\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str103997=allocate([37,46,52,100,45,37,46,50,100,45,37,46,50,100,84,37,46,50,100,58,37,46,50,100,58,37,46,50,100,46,37,46,51,100,90,0] /* %.4d-%.2d-%.2dT%.2d: */, "i8", ALLOC_STATIC);
STRING_TABLE.__str104998=allocate([37,120,0] /* %x\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str105999=allocate([37,100,0] /* %d\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1061000=allocate([37,88,0] /* %X\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1071001=allocate([37,99,0] /* %c\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1081002=allocate([37,115,44,32,37,46,50,100,32,37,115,32,37,46,52,100,32,37,46,50,100,58,37,46,50,100,58,37,46,50,100,32,71,77,84,0] /* %s, %.2d %s %.4d %.2 */, "i8", ALLOC_STATIC);
_js_NullDebugHooks=allocate(72, "*", ALLOC_STATIC);
__ZL10gLastError=allocate(2000, "i8", ALLOC_STATIC);
__ZL8stub_ops=allocate([764, 0, 0, 0, 766, 0, 0, 0, 768, 0, 0, 0, 770, 0, 0, 0, 772, 0, 0, 0, 774, 0, 0, 0, 776, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__ZL9dtoaModes=allocate([0,0,3,2,2] /* \00\00\03\02\02 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1096=allocate([101,37,43,100,0] /* e%+d\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11097=allocate([73,110,102,105,110,105,116,121,0] /* Infinity\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21098=allocate([78,97,78,0] /* NaN\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31099=allocate([48,0] /* 0\00 */, "i8", ALLOC_STATIC);
_tens=allocate([1, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 1000, 0, 0, 0, 0, 0, 0, 0, 10000, 0, 0, 0, 0, 0, 0, 0, 100000, 0, 0, 0, 0, 0, 0, 0, 1000000, 0, 0, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 0, 0, 0, 100000000, 0, 0, 0, 0, 0, 0, 0, 1000000000, 0, 0, 0, 0, 0, 0, 0, 10000000000, 0, 0, 0, 0, 0, 0, 0, 100000000000, 0, 0, 0, 0, 0, 0, 0, 1000000000000, 0, 0, 0, 0, 0, 0, 0, 10000000000000, 0, 0, 0, 0, 0, 0, 0, 100000000000000, 0, 0, 0, 0, 0, 0, 0, 1000000000000000, 0, 0, 0, 0, 0, 0, 0, 10000000000000000, 0, 0, 0, 0, 0, 0, 0, 100000000000000000, 0, 0, 0, 0, 0, 0, 0, 1000000000000000000, 0, 0, 0, 0, 0, 0, 0, 10000000000000000000, 0, 0, 0, 0, 0, 0, 0, 100000000000000000000, 0, 0, 0, 0, 0, 0, 0, 1e+21, 0, 0, 0, 0, 0, 0, 0, 1e+22, 0, 0, 0, 0, 0, 0, 0], ["double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0], ALLOC_STATIC);
_bigtens=allocate([10000000000000000, 0, 0, 0, 0, 0, 0, 0, 1e+32, 0, 0, 0, 0, 0, 0, 0, 1e+64, 0, 0, 0, 0, 0, 0, 0, 1e+128, 0, 0, 0, 0, 0, 0, 0, 1e+256, 0, 0, 0, 0, 0, 0, 0], ["double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0], ALLOC_STATIC);
_p05=allocate([5, 0, 0, 0, 25, 0, 0, 0, 125, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
_tinytens=allocate([1e-16, 0, 0, 0, 0, 0, 0, 0, 1e-32, 0, 0, 0, 0, 0, 0, 0, 1e-64, 0, 0, 0, 0, 0, 0, 0, 1e-128, 0, 0, 0, 0, 0, 0, 0, 8.112963841460668e-225, 0, 0, 0, 0, 0, 0, 0], ["double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0,"double",0,0,0,0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str1106=allocate([35,97,114,114,97,121,0] /* #array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11107=allocate([35,100,101,112,116,104,0] /* #depth\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21108=allocate([110,117,108,108,0] /* null\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31109=allocate([105,102,0] /* if\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41110=allocate([105,102,45,101,108,115,101,0] /* if-else\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51111=allocate([102,111,114,0] /* for\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61112=allocate([119,104,105,108,101,0] /* while\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71113=allocate([99,111,110,116,105,110,117,101,0] /* continue\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str81114=allocate([100,101,99,108,0] /* decl\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91115=allocate([112,99,100,101,108,116,97,0] /* pcdelta\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101116=allocate([97,115,115,105,103,110,111,112,0] /* assignop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str111117=allocate([99,111,110,100,0] /* cond\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str121118=allocate([98,114,97,99,101,0] /* brace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str131119=allocate([104,105,100,100,101,110,0] /* hidden\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str141120=allocate([112,99,98,97,115,101,0] /* pcbase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str151121=allocate([108,97,98,101,108,0] /* label\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str161122=allocate([108,97,98,101,108,98,114,97,99,101,0] /* labelbrace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str171123=allocate([101,110,100,98,114,97,99,101,0] /* endbrace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str181124=allocate([98,114,101,97,107,50,108,97,98,101,108,0] /* break2label\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str191125=allocate([99,111,110,116,50,108,97,98,101,108,0] /* cont2label\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str201126=allocate([115,119,105,116,99,104,0] /* switch\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str211127=allocate([102,117,110,99,100,101,102,0] /* funcdef\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str221128=allocate([99,97,116,99,104,0] /* catch\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str231129=allocate([101,120,116,101,110,100,101,100,0] /* extended\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str241130=allocate([110,101,119,108,105,110,101,0] /* newline\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str251131=allocate([115,101,116,108,105,110,101,0] /* setline\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str261132=allocate([120,100,101,108,116,97,0] /* xdelta\00 */, "i8", ALLOC_STATIC);
_js_SrcNoteSpec=allocate([0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 2, 0, 1, undef, 0, 0, 0, 0, 3, 1, 1, undef, 0, 0, 0, 0, 1, 0, 1, undef, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 1, 1, 1, undef, 0, 0, 0, 0, 1, 0, 1, undef, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 1, 0, 1, undef, 0, 0, 0, 0, 1, 0, 1, undef, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 1, 0, -1, undef, 0, 0, 0, 0, 1, 0, 0, undef, 0, 0, 0, 0, 1, 0, 0, undef, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 1, 0, 0, undef, 0, 0, 0, 0, 1, 0, 0, undef, 0, 0, 0, 0, 2, 0, 1, undef, 0, 0, 0, 0, 1, 0, 0, undef, 0, 0, 0, 0, 1, 0, 1, undef, 0, 0, 0, 0, -1, 0, 0, undef, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 1, 0, 0, undef, 0, 0, 0, 0, 0, 0, 0, undef], ["*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__ZL13js_script_str=allocate([115,99,114,105,112,116,0] /* script\00 */, "i8", ALLOC_STATIC);
__ZL13statementName=allocate(60, "*", ALLOC_STATIC);
STRING_TABLE.__str271135=allocate([108,97,98,101,108,32,115,116,97,116,101,109,101,110,116,0] /* label statement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str281136=allocate([105,102,32,115,116,97,116,101,109,101,110,116,0] /* if statement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str291137=allocate([101,108,115,101,32,115,116,97,116,101,109,101,110,116,0] /* else statement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str301138=allocate([100,101,115,116,114,117,99,116,117,114,105,110,103,32,98,111,100,121,0] /* destructuring body\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str311139=allocate([115,119,105,116,99,104,32,115,116,97,116,101,109,101,110,116,0] /* switch statement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str321140=allocate([98,108,111,99,107,0] /* block\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL21js_with_statement_str=allocate([119,105,116,104,32,115,116,97,116,101,109,101,110,116,0] /* with statement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str331141=allocate([99,97,116,99,104,32,98,108,111,99,107,0] /* catch block\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str341142=allocate([116,114,121,32,98,108,111,99,107,0] /* try block\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL20js_finally_block_str=allocate([102,105,110,97,108,108,121,32,98,108,111,99,107,0] /* finally block\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str351143=allocate([100,111,32,108,111,111,112,0] /* do loop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str361144=allocate([102,111,114,32,108,111,111,112,0] /* for loop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str371145=allocate([102,111,114,47,105,110,32,108,111,111,112,0] /* for/in loop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str381146=allocate([119,104,105,108,101,32,108,111,111,112,0] /* while loop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str391147=allocate([37,100,0] /* %d\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str401148=allocate([115,116,100,105,110,0] /* stdin\00 */, "i8", ALLOC_STATIC);
__ZN2js10ErrorClassE=allocate([0, 0, 0, 0, 234881029, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 778, 0, 0, 0, 90, 0, 0, 0, 780, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 782, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZL17exception_methods=allocate([0, 0, 0, 0, 784, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 786, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str1193=allocate([117,110,107,110,111,119,110,32,40,99,97,110,39,116,32,99,111,110,118,101,114,116,32,116,111,32,115,116,114,105,110,103,41,0] /* unknown (can't conve */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11194=allocate([69,114,114,111,114,0] /* Error\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21195=allocate([37,117,0] /* %u\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31196=allocate([91,117,110,107,110,111,119,110,32,102,117,110,99,116,105,111,110,93,0] /* [unknown function]\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41197=allocate([91,111,98,106,101,99,116,32,37,115,93,0] /* [object %s]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51198=allocate([101,120,99,101,112,116,105,111,110,32,109,101,115,115,97,103,101,0] /* exception message\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61199=allocate([101,120,99,101,112,116,105,111,110,32,102,105,108,101,110,97,109,101,0] /* exception filename\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71200=allocate([115,116,97,99,107,32,116,114,97,99,101,32,102,117,110,99,116,105,111,110,32,110,97,109,101,0] /* stack trace function */, "i8", ALLOC_STATIC);
__ZN2js26StrictArgumentsObjectClassE=allocate([0, 0, 0, 0, 16777733, 0, 0, 0, 8, 0, 0, 0, 788, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 790, 0, 0, 0, 792, 0, 0, 0, 90, 0, 0, 0, 794, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 796, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js26NormalArgumentsObjectClassE=allocate([0, 0, 0, 0, 16777733, 0, 0, 0, 8, 0, 0, 0, 788, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 798, 0, 0, 0, 800, 0, 0, 0, 90, 0, 0, 0, 794, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 796, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str1263=allocate([65,114,103,117,109,101,110,116,115,0] /* Arguments\00 */, "i8", ALLOC_STATIC);
__ZN2js12DeclEnvClassE=allocate([0, 0, 0, 0, 16777217, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str11264=allocate([67,97,108,108,0] /* Call\00 */, "i8", ALLOC_STATIC);
__ZN2js9CallClassE=allocate([0, 0, 0, 0, 131589, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 802, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 804, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZL15poisonPillProps=allocate([228, 0, 248, 0], ["i16",0,"i16",0], ALLOC_STATIC);
__ZN2js13FunctionClassE=allocate([0, 0, 0, 0, 33554965, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 806, 0, 0, 0, 808, 0, 0, 0, 90, 0, 0, 0, 810, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 812, 0, 0, 0, 814, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str21269=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31270=allocate([98,105,110,100,0] /* bind\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41271=allocate([105,115,71,101,110,101,114,97,116,111,114,0] /* isGenerator\00 */, "i8", ALLOC_STATIC);
__ZN2js16function_methodsE=allocate([0, 0, 0, 0, 816, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 818, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 820, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 822, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 824, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 826, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str51274=allocate([112,114,105,118,97,116,101,0] /* private\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61275=allocate([117,112,118,97,114,115,0] /* upvars\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71276=allocate([97,116,111,109,0] /* atom\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str81277=allocate([115,99,114,105,112,116,0] /* script\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91278=allocate([103,101,110,101,114,97,116,111,114,32,111,98,106,101,99,116,0] /* generator object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101279=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,115,101,116,76,111,99,97,108,32,35,37,117,32,37,117,58,32,37,115,0] /* externalType: setLoc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str111280=allocate([108,105,109,105,116,85,110,107,110,111,119,110,58,32,37,115,84,37,112,37,115,0] /* limitUnknown: %sT%p% */, "i8", ALLOC_STATIC);
STRING_TABLE.__str121281=allocate([97,100,100,84,121,112,101,58,32,37,115,84,37,112,37,115,32,37,115,0] /* addType: %sT%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str131282=allocate([114,101,115,111,108,118,101,58,32,37,115,67,37,112,37,115,32,37,115,0] /* resolve: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str141283=allocate([112,101,110,100,105,110,103,58,32,37,115,67,37,112,37,115,32,37,115,0] /* pending: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str151284=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,115,101,116,65,114,103,32,35,37,117,32,37,117,58,32,37,115,0] /* externalType: setArg */, "i8", ALLOC_STATIC);
__ZN2js2gc16slotsToThingKindE=allocate([0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 6, 0, 0, 0, 6, 0, 0, 0, 6, 0, 0, 0, 6, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZN2js2gc5Arena10ThingSizesE=allocate([40, 0, 0, 0, 40, 0, 0, 0, 56, 0, 0, 0, 56, 0, 0, 0, 72, 0, 0, 0, 72, 0, 0, 0, 104, 0, 0, 0, 104, 0, 0, 0, 136, 0, 0, 0, 136, 0, 0, 0, 168, 0, 0, 0, 168, 0, 0, 0, 80, 0, 0, 0, 104, 0, 0, 0, 40, 0, 0, 0, 32, 0, 0, 0, 72, 0, 0, 0, 32, 0, 0, 0, 16, 0, 0, 0, 16, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZN2js2gc5Arena17FirstThingOffsetsE=allocate([16, 0, 0, 0, 16, 0, 0, 0, 64, 0, 0, 0, 64, 0, 0, 0, 64, 0, 0, 0, 64, 0, 0, 0, 40, 0, 0, 0, 40, 0, 0, 0, 16, 0, 0, 0, 16, 0, 0, 0, 64, 0, 0, 0, 64, 0, 0, 0, 16, 0, 0, 0, 40, 0, 0, 0, 16, 0, 0, 0, 32, 0, 0, 0, 64, 0, 0, 0, 32, 0, 0, 0, 16, 0, 0, 0, 16, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str1389=allocate([115,99,111,112,101,32,99,104,97,105,110,0] /* scope chain\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11390=allocate([97,114,103,117,109,101,110,116,115,0] /* arguments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21391=allocate([115,99,114,105,112,116,0] /* script\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31392=allocate([114,118,97,108,0] /* rval\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41393=allocate([106,115,58,58,65,117,116,111,69,110,117,109,83,116,97,116,101,82,111,111,116,101,114,46,111,98,106,0] /* js::AutoEnumStateRoo */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51394=allocate([103,108,111,98,97,108,32,111,98,106,101,99,116,0] /* global object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61395=allocate([101,120,99,101,112,116,105,111,110,0] /* exception\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71396=allocate([105,116,101,114,86,97,108,117,101,0] /* iterValue\00 */, "i8", ALLOC_STATIC);
__ZZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindEE3map=allocate([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 5, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str81397=allocate([108,111,99,107,101,100,32,111,98,106,101,99,116,0] /* locked object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91398=allocate([106,115,58,58,65,117,116,111,86,97,108,117,101,82,111,111,116,101,114,46,118,97,108,0] /* js::AutoValueRooter. */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101399=allocate([106,115,58,58,65,117,116,111,73,100,65,114,114,97,121,46,105,100,65,114,114,97,121,0] /* js::AutoIdArray.idAr */, "i8", ALLOC_STATIC);
STRING_TABLE.__str111400=allocate([80,114,111,112,68,101,115,99,58,58,112,100,0] /* PropDesc::pd\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str121401=allocate([80,114,111,112,68,101,115,99,58,58,118,97,108,117,101,0] /* PropDesc::value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str131402=allocate([80,114,111,112,68,101,115,99,58,58,103,101,116,0] /* PropDesc::get\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str141403=allocate([80,114,111,112,68,101,115,99,58,58,115,101,116,0] /* PropDesc::set\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str151404=allocate([68,101,115,99,114,105,112,116,111,114,58,58,111,98,106,0] /* Descriptor::obj\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str161405=allocate([68,101,115,99,114,105,112,116,111,114,58,58,118,97,108,117,101,0] /* Descriptor::value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str171406=allocate([68,101,115,99,114,105,112,116,111,114,58,58,103,101,116,0] /* Descriptor::get\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str181407=allocate([68,101,115,99,114,105,112,116,111,114,58,58,115,101,116,0] /* Descriptor::set\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str191408=allocate([74,83,88,77,76,65,114,114,97,121,46,118,101,99,116,111,114,0] /* JSXMLArray.vector\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str201409=allocate([106,115,58,58,65,117,116,111,79,98,106,101,99,116,82,111,111,116,101,114,46,111,98,106,0] /* js::AutoObjectRooter */, "i8", ALLOC_STATIC);
STRING_TABLE.__str211410=allocate([106,115,58,58,65,117,116,111,73,100,82,111,111,116,101,114,46,118,97,108,0] /* js::AutoIdRooter.val */, "i8", ALLOC_STATIC);
STRING_TABLE.__str221411=allocate([106,115,58,58,65,117,116,111,86,97,108,117,101,86,101,99,116,111,114,46,118,101,99,116,111,114,0] /* js::AutoValueVector. */, "i8", ALLOC_STATIC);
STRING_TABLE.__str231412=allocate([106,115,58,58,65,117,116,111,83,116,114,105,110,103,82,111,111,116,101,114,46,115,116,114,0] /* js::AutoStringRooter */, "i8", ALLOC_STATIC);
STRING_TABLE.__str241413=allocate([106,115,58,58,65,117,116,111,73,100,86,101,99,116,111,114,46,118,101,99,116,111,114,0] /* js::AutoIdVector.vec */, "i8", ALLOC_STATIC);
STRING_TABLE.__str251414=allocate([106,115,58,58,65,117,116,111,83,104,97,112,101,86,101,99,116,111,114,46,118,101,99,116,111,114,0] /* js::AutoShapeVector. */, "i8", ALLOC_STATIC);
STRING_TABLE.__str261415=allocate([106,115,58,58,65,117,116,111,79,98,106,101,99,116,86,101,99,116,111,114,46,118,101,99,116,111,114,0] /* js::AutoObjectVector */, "i8", ALLOC_STATIC);
STRING_TABLE.__str271416=allocate([106,115,58,58,65,117,116,111,86,97,108,117,101,65,114,114,97,121,0] /* js::AutoValueArray\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str281417=allocate([106,115,58,58,65,117,116,111,65,114,114,97,121,82,111,111,116,101,114,46,97,114,114,97,121,0] /* js::AutoArrayRooter. */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1469=allocate([116,121,112,101,95,115,105,110,103,108,101,116,111,110,0] /* type_singleton\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11470=allocate([116,121,112,101,95,102,117,110,99,116,105,111,110,0] /* type_function\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21471=allocate([116,121,112,101,95,115,116,97,99,107,0] /* type_stack\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31472=allocate([116,121,112,101,0] /* type\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41473=allocate([110,101,119,95,116,121,112,101,0] /* new_type\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51474=allocate([112,97,114,101,110,116,0] /* parent\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61475=allocate([115,104,97,112,101,0] /* shape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71476=allocate([98,97,115,101,0] /* base\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str81477=allocate([108,101,102,116,32,99,104,105,108,100,0] /* left child\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91478=allocate([114,105,103,104,116,32,99,104,105,108,100,0] /* right child\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101479=allocate([97,116,111,109,115,0] /* atoms\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str111480=allocate([111,98,106,101,99,116,115,0] /* objects\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str121481=allocate([99,111,110,115,116,115,0] /* consts\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str131482=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str141483=allocate([112,114,111,112,105,100,0] /* propid\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str151484=allocate([116,121,112,101,95,112,114,111,112,0] /* type_prop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str161485=allocate([101,109,112,116,121,95,115,104,97,112,101,0] /* empty_shape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str171486=allocate([116,121,112,101,95,112,114,111,116,111,0] /* type_proto\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str181487=allocate([116,121,112,101,95,110,101,119,95,102,117,110,99,116,105,111,110,0] /* type_new_function\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str191488=allocate([116,121,112,101,95,110,101,119,95,115,104,97,112,101,0] /* type_new_shape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str201489=allocate([32,109,101,116,104,111,100,0] /*  method\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str211490=allocate([32,37,115,0] /*  %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str221491=allocate([37,100,32,37,115,0] /* %d %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str231492=allocate([60,111,98,106,101,99,116,62,32,37,115,0] /* _object_ %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str241493=allocate([115,99,114,105,112,116,95,102,117,110,0] /* script_fun\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str251494=allocate([115,99,114,105,112,116,95,103,108,111,98,97,108,0] /* script_global\00 */, "i8", ALLOC_STATIC);
__ZZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindEE3map1495=allocate([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 5, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZN2js8gcReasonE=allocate([10], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str1551=allocate([32,32,65,80,73,0] /*   API\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11552=allocate([77,97,121,98,101,0] /* Maybe\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21553=allocate([76,97,115,116,67,0] /* LastC\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31554=allocate([68,101,115,116,67,0] /* DestC\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41555=allocate([67,111,109,112,97,0] /* Compa\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51556=allocate([76,97,115,116,68,0] /* LastD\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61557=allocate([77,97,108,108,111,99,0] /* Malloc\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71558=allocate([82,101,102,105,108,108,0] /* Refill\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str81559=allocate([67,104,117,110,107,0] /* Chunk\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91560=allocate([83,104,97,112,101,0] /* Shape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101561=allocate([32,32,78,111,110,101,0] /*   None\00 */, "i8", ALLOC_STATIC);
__ZN2js9gcReasonsE=allocate(44, "*", ALLOC_STATIC);
__ZN2js13newChunkCountE=allocate(1, "i32", ALLOC_STATIC);
__ZN2js17destroyChunkCountE=allocate(1, "i32", ALLOC_STATIC);
__ZL19defaultHashAllocOps=allocate([828, 0, 0, 0, 830, 0, 0, 0, 832, 0, 0, 0, 834, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str1568=allocate([91,105,110,102,101,114,32,102,97,105,108,117,114,101,93,32,37,115,0] /* [infer failure] %s\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11569=allocate([47,100,105,115,107,47,108,111,99,97,108,47,106,116,101,114,114,97,99,101,47,98,117,105,108,100,98,111,116,47,115,108,97,118,101,47,106,115,95,106,115,95,66,117,105,108,100,95,65,108,108,47,98,117,105,108,100,47,98,117,105,108,100,101,114,47,98,117,105,108,100,47,109,111,122,105,108,108,97,45,99,101,110,116,114,97,108,47,106,115,47,115,114,99,47,106,115,105,110,102,101,114,46,99,112,112,0] /* /disk/local/jterrace */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21570=allocate([116,121,112,101,83,101,116,58,32,37,115,84,37,112,37,115,32,105,110,116,101,114,109,101,100,105,97,116,101,32,37,115,0] /* typeSet: %sT%p%s int */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31571=allocate([32,91,111,119,110,93,0] /*  [own]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41572=allocate([32,91,99,111,110,102,105,103,117,114,101,100,93,0] /*  [configured]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51573=allocate([32,91,100,101,102,105,110,105,116,101,58,37,100,93,0] /*  [definite:%d]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61574=allocate([32,109,105,115,115,105,110,103,0] /*  missing\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71575=allocate([32,117,110,107,110,111,119,110,0] /*  unknown\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str81576=allocate([32,111,98,106,101,99,116,0] /*  object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91577=allocate([32,118,111,105,100,0] /*  void\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101578=allocate([32,110,117,108,108,0] /*  null\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str111579=allocate([32,98,111,111,108,0] /*  bool\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str121580=allocate([32,105,110,116,0] /*  int\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str131581=allocate([32,102,108,111,97,116,0] /*  float\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str141582=allocate([32,115,116,114,105,110,103,0] /*  string\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str151583=allocate([32,108,97,122,121,97,114,103,115,0] /*  lazyargs\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str161584=allocate([32,111,98,106,101,99,116,91,37,117,93,0] /*  object[%u]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str171585=allocate([32,37,115,0] /*  %s\00 */, "i8", ALLOC_STATIC);
__ZN2js5types15emptyTypeObjectE=allocate(32, ["*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str181588=allocate([97,100,100,77,111,110,105,116,111,114,78,101,101,100,101,100,58,37,115,32,35,37,117,58,37,48,53,117,0] /* addMonitorNeeded:%s  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str191589=allocate([32,114,101,116,117,114,110,79,110,108,121,0] /*  returnOnly\00 */, "i8", ALLOC_STATIC);
__str201590=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str211591=allocate([116,121,112,101,66,97,114,114,105,101,114,58,32,35,37,117,58,37,48,53,117,58,32,37,115,84,37,112,37,115,32,37,115,0] /* typeBarrier: #%u:%05 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str221592=allocate([115,105,110,103,108,101,116,111,110,84,121,112,101,66,97,114,114,105,101,114,58,32,35,37,117,58,37,48,53,117,58,32,37,115,84,37,112,37,115,32,37,112,32,37,115,0] /* singletonTypeBarrier */, "i8", ALLOC_STATIC);
STRING_TABLE.__str231593=allocate([67,111,117,110,116,115,58,32,0] /* Counts: \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str241594=allocate([47,0] /* /\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str251595=allocate([37,117,0] /* %u\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str261596=allocate([32,40,37,117,32,111,118,101,114,41,10,0] /*  (%u over)\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str271597=allocate([82,101,99,111,109,112,105,108,97,116,105,111,110,115,58,32,37,117,10,0] /* Recompilations: %u\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str281598=allocate([116,121,112,101,83,101,116,58,32,37,115,84,37,112,37,115,32,112,114,111,112,101,114,116,121,32,37,115,32,37,115,0] /* typeSet: %sT%p%s pro */, "i8", ALLOC_STATIC);
STRING_TABLE.__str291599=allocate([37,115,58,32,115,101,116,70,108,97,103,115,32,37,117,0] /* %s: setFlags %u\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str301600=allocate([85,110,107,110,111,119,110,80,114,111,112,101,114,116,105,101,115,58,32,37,115,0] /* UnknownProperties: % */, "i8", ALLOC_STATIC);
STRING_TABLE.__str311601=allocate([37,115,32,58,32,37,115,0] /* %s : %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str321602=allocate([40,110,117,108,108,41,0] /* (null)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str331603=allocate([32,112,97,99,107,101,100,0] /*  packed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str341604=allocate([32,100,101,110,115,101,0] /*  dense\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str351605=allocate([32,116,121,112,101,100,0] /*  typed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str361606=allocate([32,117,110,105,110,108,105,110,101,97,98,108,101,0] /*  uninlineable\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str371607=allocate([32,115,112,101,99,105,97,108,69,113,117,97,108,105,116,121,0] /*  specialEquality\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str381608=allocate([32,105,116,101,114,97,116,101,100,0] /*  iterated\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str391609=allocate([32,123,125,10,0] /*  {}\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str401610=allocate([32,123,0] /*  {\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str411611=allocate([10,32,32,32,32,37,115,58,0] /* \0A    %s:\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str421612=allocate([10,125,10,0] /* \0A}\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str431613=allocate([97,110,97,108,121,122,101,58,32,35,37,117,58,37,48,53,117,0] /* analyze: #%u:%05u\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str441614=allocate([116,121,112,101,83,101,116,58,32,37,115,84,37,112,37,115,32,112,104,105,32,35,37,117,58,37,48,53,117,58,37,117,0] /* typeSet: %sT%p%s phi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str451615=allocate([116,121,112,101,83,101,116,58,32,37,115,84,37,112,37,115,32,112,117,115,104,101,100,37,117,32,35,37,117,58,37,48,53,117,0] /* typeSet: %sT%p%s pus */, "i8", ALLOC_STATIC);
STRING_TABLE.__str461616=allocate([102,111,114,84,121,112,101,115,0] /* forTypes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str471617=allocate([85,110,107,110,111,119,110,32,98,121,116,101,99,111,100,101,32,37,48,50,120,32,97,116,32,35,37,117,58,37,48,53,117,10,0] /* Unknown bytecode %02 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str481618=allocate([85,110,107,110,111,119,110,32,98,121,116,101,99,111,100,101,32,37,48,50,120,0] /* Unknown bytecode %02 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str491619=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,99,117,115,116,111,109,73,116,101,114,97,116,111,114,32,35,37,117,0] /* externalType: custom */, "i8", ALLOC_STATIC);
STRING_TABLE.__str501620=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,109,111,110,105,116,111,114,82,101,115,117,108,116,32,35,37,117,58,37,48,53,117,58,32,37,115,0] /* externalType: monito */, "i8", ALLOC_STATIC);
STRING_TABLE.__str511621=allocate([98,121,116,101,99,111,100,101,84,121,112,101,58,32,35,37,117,58,37,48,53,117,58,32,37,115,0] /* bytecodeType: #%u:%0 */, "i8", ALLOC_STATIC);
__ZTV18TypeConstraintProp=allocate([0, 0, 0, 0, 0, 0, 0, 0, 836, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTV22TypeConstraintCallProp=allocate([0, 0, 0, 0, 0, 0, 0, 0, 842, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTV24TypeConstraintSetElement=allocate([0, 0, 0, 0, 0, 0, 0, 0, 844, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTV18TypeConstraintCall=allocate([0, 0, 0, 0, 0, 0, 0, 0, 846, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTV19TypeConstraintArith=allocate([0, 0, 0, 0, 0, 0, 0, 0, 848, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTV27TypeConstraintTransformThis=allocate([0, 0, 0, 0, 0, 0, 0, 0, 850, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTV27TypeConstraintPropagateThis=allocate([0, 0, 0, 0, 0, 0, 0, 0, 852, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str521622=allocate([102,114,101,101,122,101,71,108,111,98,97,108,0] /* freezeGlobal\00 */, "i8", ALLOC_STATIC);
__ZTV26TypeConstraintFreezeGlobal=allocate([0, 0, 0, 0, 0, 0, 0, 0, 854, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTVN2js5types14TypeConstraintE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 526, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str531623=allocate([102,114,101,101,122,101,79,119,110,80,114,111,112,101,114,116,121,0] /* freezeOwnProperty\00 */, "i8", ALLOC_STATIC);
__ZTV31TypeConstraintFreezeOwnProperty=allocate([0, 0, 0, 0, 0, 0, 0, 0, 856, 0, 0, 0, 858, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str541624=allocate([102,114,101,101,122,101,79,98,106,101,99,116,70,108,97,103,115,0] /* freezeObjectFlags\00 */, "i8", ALLOC_STATIC);
__ZTV31TypeConstraintFreezeObjectFlags=allocate([0, 0, 0, 0, 0, 0, 0, 0, 860, 0, 0, 0, 838, 0, 0, 0, 862, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str551625=allocate([102,114,101,101,122,101,79,98,106,101,99,116,75,105,110,100,83,101,116,0] /* freezeObjectKindSet\ */, "i8", ALLOC_STATIC);
__ZTV34TypeConstraintFreezeObjectFlagsSet=allocate([0, 0, 0, 0, 0, 0, 0, 0, 864, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str561626=allocate([102,114,101,101,122,101,84,121,112,101,84,97,103,0] /* freezeTypeTag\00 */, "i8", ALLOC_STATIC);
__ZTV27TypeConstraintFreezeTypeTag=allocate([0, 0, 0, 0, 0, 0, 0, 0, 866, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str571627=allocate([102,114,101,101,122,101,0] /* freeze\00 */, "i8", ALLOC_STATIC);
__ZTV20TypeConstraintFreeze=allocate([0, 0, 0, 0, 0, 0, 0, 0, 868, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str581628=allocate([108,97,122,121,65,114,103,115,0] /* lazyArgs\00 */, "i8", ALLOC_STATIC);
__ZTV27TypeConstraintLazyArguments=allocate([0, 0, 0, 0, 0, 0, 0, 0, 870, 0, 0, 0, 838, 0, 0, 0, 872, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str591629=allocate([115,117,98,115,101,116,66,97,114,114,105,101,114,0] /* subsetBarrier\00 */, "i8", ALLOC_STATIC);
__ZTV27TypeConstraintSubsetBarrier=allocate([0, 0, 0, 0, 0, 0, 0, 0, 874, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str601630=allocate([102,105,108,116,101,114,0] /* filter\00 */, "i8", ALLOC_STATIC);
__ZTV29TypeConstraintFilterPrimitive=allocate([0, 0, 0, 0, 0, 0, 0, 0, 876, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str611631=allocate([112,114,111,112,97,103,97,116,101,116,104,105,115,0] /* propagatethis\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str621632=allocate([116,114,97,110,115,102,111,114,109,116,104,105,115,0] /* transformthis\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str631633=allocate([97,114,105,116,104,0] /* arith\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str641634=allocate([99,97,108,108,0] /* call\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str651635=allocate([115,101,116,101,108,101,109,101,110,116,0] /* setelement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str661636=allocate([99,97,108,108,112,114,111,112,0] /* callprop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str671637=allocate([112,114,111,112,0] /* prop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str681638=allocate([115,117,98,115,101,116,0] /* subset\00 */, "i8", ALLOC_STATIC);
__ZTV20TypeConstraintSubset=allocate([0, 0, 0, 0, 0, 0, 0, 0, 878, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str691639=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,115,101,116,65,114,103,32,35,37,117,32,37,117,58,32,37,115,0] /* externalType: setArg */, "i8", ALLOC_STATIC);
STRING_TABLE.__str701640=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,115,101,116,84,104,105,115,32,35,37,117,58,32,37,115,0] /* externalType: setThi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str711641=allocate([99,108,101,97,114,68,101,102,105,110,105,116,101,83,105,110,103,108,101,0] /* clearDefiniteSingle\ */, "i8", ALLOC_STATIC);
__ZTV33TypeConstraintClearDefiniteSingle=allocate([0, 0, 0, 0, 0, 0, 0, 0, 880, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str721642=allocate([99,108,101,97,114,68,101,102,105,110,105,116,101,83,101,116,116,101,114,0] /* clearDefiniteSetter\ */, "i8", ALLOC_STATIC);
__ZTV33TypeConstraintClearDefiniteSetter=allocate([0, 0, 0, 0, 0, 0, 0, 0, 882, 0, 0, 0, 838, 0, 0, 0, 840, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str731643=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,112,114,111,112,101,114,116,121,32,37,115,32,37,115,58,32,37,115,0] /* externalType: proper */, "i8", ALLOC_STATIC);
__ZZL15InferSpewActiveN2js5types11SpewChannelEE6active=allocate(2, "i8", ALLOC_STATIC);
__ZZL15InferSpewActiveN2js5types11SpewChannelEE7checked=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str741644=allocate([73,78,70,69,82,70,76,65,71,83,0] /* INFERFLAGS\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str751645=allocate([111,112,115,0] /* ops\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str761646=allocate([114,101,115,117,108,116,0] /* result\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str771647=allocate([102,117,108,108,0] /* full\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str781648=allocate([40,109,105,115,115,105,110,103,41,0] /* (missing)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str791649=allocate([110,101,119,79,98,106,101,99,116,58,32,37,115,0] /* newObject: %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str801650=allocate([112,114,111,112,101,114,116,121,79,118,101,114,102,108,111,119,0] /* propertyOverflow\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str811651=allocate([108,105,109,105,116,85,110,107,110,111,119,110,58,32,37,115,84,37,112,37,115,0] /* limitUnknown: %sT%p% */, "i8", ALLOC_STATIC);
STRING_TABLE.__str821652=allocate([97,100,100,84,121,112,101,58,32,37,115,84,37,112,37,115,32,37,115,0] /* addType: %sT%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str831653=allocate([114,101,115,111,108,118,101,58,32,37,115,67,37,112,37,115,32,37,115,0] /* resolve: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str841654=allocate([112,101,110,100,105,110,103,58,32,37,115,67,37,112,37,115,32,37,115,0] /* pending: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str851655=allocate([97,100,100,67,111,110,115,116,114,97,105,110,116,58,32,37,115,84,37,112,37,115,32,37,115,67,37,112,37,115,32,37,115,0] /* addConstraint: %sT%p */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1777=allocate([78,111,83,117,99,104,77,101,116,104,111,100,0] /* NoSuchMethod\00 */, "i8", ALLOC_STATIC);
_js_NoSuchMethodClass=allocate([0, 0, 0, 0, 131584, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 884, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str11778=allocate([37,117,0] /* %u\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21779=allocate([112,114,105,109,105,116,105,118,101,32,116,121,112,101,0] /* primitive type\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31780=allocate([37,100,0] /* %d\00 */, "i8", ALLOC_STATIC);
__ZTV23GenericInterruptEnablerIiE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 886, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTVN2js17InterpreterFrames20InterruptEnablerBaseE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 526, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str41781=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,115,101,116,84,104,105,115,32,35,37,117,58,32,37,115,0] /* externalType: setThi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51782=allocate([108,105,109,105,116,85,110,107,110,111,119,110,58,32,37,115,84,37,112,37,115,0] /* limitUnknown: %sT%p% */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61783=allocate([97,100,100,84,121,112,101,58,32,37,115,84,37,112,37,115,32,37,115,0] /* addType: %sT%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str71784=allocate([114,101,115,111,108,118,101,58,32,37,115,67,37,112,37,115,32,37,115,0] /* resolve: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str81785=allocate([112,101,110,100,105,110,103,58,32,37,115,67,37,112,37,115,32,37,115,0] /* pending: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91786=allocate([102,111,117,110,100,32,102,117,110,99,116,105,111,110,0] /* found function\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101787=allocate([115,97,118,101,100,32,105,100,0] /* saved id\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1907=allocate([73,116,101,114,97,116,111,114,0] /* Iterator\00 */, "i8", ALLOC_STATIC);
__ZN2js13IteratorClassE=allocate([0, 0, 0, 0, 369098769, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 888, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 890, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 892, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str11910=allocate([112,114,111,112,115,0] /* props\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21911=allocate([111,98,106,0] /* obj\00 */, "i8", ALLOC_STATIC);
_sCustomIteratorCount=allocate(1, "i32", ALLOC_STATIC);
__ZL16iterator_methods=allocate([0, 0, 0, 0, 894, 0, 0, 0, 0, 0, 4102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2js18StopIterationClassE=allocate([0, 0, 0, 0, 387973120, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 896, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str31916=allocate([71,101,110,101,114,97,116,111,114,0] /* Generator\00 */, "i8", ALLOC_STATIC);
__ZN2js14GeneratorClassE=allocate([0, 0, 0, 0, 1, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 898, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 900, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 892, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZL17generator_methods=allocate([0, 0, 0, 0, 902, 0, 0, 0, 0, 0, 4102, 0, 0, 0, 0, 0, 904, 0, 0, 0, 1, 0, 4102, 0, 0, 0, 0, 0, 906, 0, 0, 0, 1, 0, 4102, 0, 0, 0, 0, 0, 908, 0, 0, 0, 0, 0, 4102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2js9MathClassE=allocate([0, 0, 0, 0, 117440512, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str2000=allocate([97,98,115,0] /* abs\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12001=allocate([97,99,111,115,0] /* acos\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22002=allocate([97,115,105,110,0] /* asin\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32003=allocate([97,116,97,110,0] /* atan\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42004=allocate([97,116,97,110,50,0] /* atan2\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52005=allocate([99,101,105,108,0] /* ceil\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str62006=allocate([99,111,115,0] /* cos\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72007=allocate([101,120,112,0] /* exp\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82008=allocate([102,108,111,111,114,0] /* floor\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92009=allocate([108,111,103,0] /* log\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102010=allocate([109,97,120,0] /* max\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112011=allocate([109,105,110,0] /* min\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122012=allocate([112,111,119,0] /* pow\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str132013=allocate([114,97,110,100,111,109,0] /* random\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str142014=allocate([114,111,117,110,100,0] /* round\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str152015=allocate([115,105,110,0] /* sin\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str162016=allocate([115,113,114,116,0] /* sqrt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str172017=allocate([116,97,110,0] /* tan\00 */, "i8", ALLOC_STATIC);
__ZL19math_static_methods=allocate([0, 0, 0, 0, 910, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 912, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 914, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 916, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 918, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 920, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 922, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 924, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 926, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 928, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 930, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 932, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 934, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 936, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 938, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 940, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 942, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 944, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 946, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZL14math_constants=allocate([2.718281828459045, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.4426950408889634, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.4342944819032518, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.6931471805599453, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.302585092994046, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3.141592653589793, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.4142135623730951, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.7071067811865476, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str182018=allocate([69,0] /* E\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str192019=allocate([76,79,71,50,69,0] /* LOG2E\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str202020=allocate([76,79,71,49,48,69,0] /* LOG10E\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str212021=allocate([76,78,50,0] /* LN2\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str222022=allocate([76,78,49,48,0] /* LN10\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str232023=allocate([80,73,0] /* PI\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str242024=allocate([83,81,82,84,50,0] /* SQRT2\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str252025=allocate([83,81,82,84,49,95,50,0] /* SQRT1_2\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_Infinity_str=allocate([73,110,102,105,110,105,116,121,0] /* Infinity\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_NaN_str=allocate([78,97,78,0] /* NaN\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_isNaN_str=allocate([105,115,78,97,78,0] /* isNaN\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_isFinite_str=allocate([105,115,70,105,110,105,116,101,0] /* isFinite\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_parseFloat_str=allocate([112,97,114,115,101,70,108,111,97,116,0] /* parseFloat\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_parseInt_str=allocate([112,97,114,115,101,73,110,116,0] /* parseInt\00 */, "i8", ALLOC_STATIC);
__ZL16number_functions=allocate([0, 0, 0, 0, 948, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 950, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 952, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 954, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN2js11NumberClassE=allocate([0, 0, 0, 0, 134217984, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str2072=allocate([116,111,70,105,120,101,100,0] /* toFixed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12073=allocate([116,111,69,120,112,111,110,101,110,116,105,97,108,0] /* toExponential\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22074=allocate([116,111,80,114,101,99,105,115,105,111,110,0] /* toPrecision\00 */, "i8", ALLOC_STATIC);
__ZL14number_methods=allocate([0, 0, 0, 0, 956, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 958, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 960, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 198, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 962, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 964, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 966, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
_js_NaN=allocate(1, "double", ALLOC_STATIC);
_js_PositiveInfinity=allocate(1, "double", ALLOC_STATIC);
_js_NegativeInfinity=allocate(1, "double", ALLOC_STATIC);
__ZL16number_constants=allocate([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.7976931348623157e+308, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8","double",0,0,0,0,0,0,0,"*",0,0,0,"i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str32081=allocate([39,0] /* '\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42082=allocate([46,0] /* .\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52083=allocate([3,0,0] /* \03\00\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str62084=allocate([48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,0] /* 0123456789abcdef\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72085=allocate([48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,0] /* 0123456789abcdefghij */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82086=allocate([80,79,83,73,84,73,86,69,95,73,78,70,73,78,73,84,89,0] /* POSITIVE_INFINITY\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92087=allocate([78,69,71,65,84,73,86,69,95,73,78,70,73,78,73,84,89,0] /* NEGATIVE_INFINITY\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102088=allocate([77,65,88,95,86,65,76,85,69,0] /* MAX_VALUE\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112089=allocate([77,73,78,95,86,65,76,85,69,0] /* MIN_VALUE\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122090=allocate([40,110,101,119,32,37,115,40,37,115,41,41,0] /* (new %s(%s))\00 */, "i8", ALLOC_STATIC);
__ZN2js5Shape15sharedNonNativeE=allocate(40, ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"i8","i8","i16",0,"*",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZN2js11ObjectClassE=allocate([0, 0, 0, 0, 16777216, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
_object_props=allocate([0, 0, 0, 0, 0, 68, 0, 0, 968, 0, 0, 0, 970, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
_sSetProtoCalled=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str2177=allocate([35,37,117,37,99,0] /* #%u%c\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12178=allocate([91,111,98,106,101,99,116,32,0] /* [object \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22179=allocate([115,116,114,105,110,103,0] /* string\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32180=allocate([110,117,109,98,101,114,0] /* number\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42181=allocate([98,111,111,108,101,97,110,0] /* boolean\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52182=allocate([110,117,108,108,0] /* null\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str62183=allocate([117,110,100,101,102,105,110,101,100,0] /* undefined\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72184=allocate([118,97,108,117,101,0] /* value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_defineGetter_str=allocate([95,95,100,101,102,105,110,101,71,101,116,116,101,114,95,95,0] /* __defineGetter__\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_defineSetter_str=allocate([95,95,100,101,102,105,110,101,83,101,116,116,101,114,95,95,0] /* __defineSetter__\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_lookupGetter_str=allocate([95,95,108,111,111,107,117,112,71,101,116,116,101,114,95,95,0] /* __lookupGetter__\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_lookupSetter_str=allocate([95,95,108,111,111,107,117,112,83,101,116,116,101,114,95,95,0] /* __lookupSetter__\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82193=allocate([110,111,116,32,97,110,32,111,98,106,101,99,116,0] /* not an object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_watch_str=allocate([119,97,116,99,104,0] /* watch\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_unwatch_str=allocate([117,110,119,97,116,99,104,0] /* unwatch\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_hasOwnProperty_str=allocate([104,97,115,79,119,110,80,114,111,112,101,114,116,121,0] /* hasOwnProperty\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_isPrototypeOf_str=allocate([105,115,80,114,111,116,111,116,121,112,101,79,102,0] /* isPrototypeOf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_propertyIsEnumerable_str=allocate([112,114,111,112,101,114,116,121,73,115,69,110,117,109,101,114,97,98,108,101,0] /* propertyIsEnumerable */, "i8", ALLOC_STATIC);
_object_methods=allocate([0, 0, 0, 0, 972, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 974, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 976, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 978, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 980, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 982, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 984, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 986, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 988, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 990, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 992, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 994, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 996, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str92206=allocate([103,101,116,80,114,111,116,111,116,121,112,101,79,102,0] /* getPrototypeOf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102207=allocate([103,101,116,79,119,110,80,114,111,112,101,114,116,121,68,101,115,99,114,105,112,116,111,114,0] /* getOwnPropertyDescri */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112208=allocate([107,101,121,115,0] /* keys\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122209=allocate([100,101,102,105,110,101,80,114,111,112,101,114,116,121,0] /* defineProperty\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str132210=allocate([100,101,102,105,110,101,80,114,111,112,101,114,116,105,101,115,0] /* defineProperties\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str142211=allocate([99,114,101,97,116,101,0] /* create\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str152212=allocate([103,101,116,79,119,110,80,114,111,112,101,114,116,121,78,97,109,101,115,0] /* getOwnPropertyNames\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str162213=allocate([105,115,69,120,116,101,110,115,105,98,108,101,0] /* isExtensible\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str172214=allocate([112,114,101,118,101,110,116,69,120,116,101,110,115,105,111,110,115,0] /* preventExtensions\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str182215=allocate([102,114,101,101,122,101,0] /* freeze\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str192216=allocate([105,115,70,114,111,122,101,110,0] /* isFrozen\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str202217=allocate([115,101,97,108,0] /* seal\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str212218=allocate([105,115,83,101,97,108,101,100,0] /* isSealed\00 */, "i8", ALLOC_STATIC);
_object_static_methods=allocate([0, 0, 0, 0, 998, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1000, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1002, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1004, 0, 0, 0, 3, 0, 4096, 0, 0, 0, 0, 0, 1006, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1008, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1010, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1012, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1014, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1016, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1018, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1020, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1022, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str222221=allocate([87,105,116,104,0] /* With\00 */, "i8", ALLOC_STATIC);
__ZN2js9WithClassE=allocate([0, 0, 0, 0, 131585, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1024, 0, 0, 0, 1024, 0, 0, 0, 1026, 0, 0, 0, 1028, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1030, 0, 0, 0, 1032, 0, 0, 0, 1034, 0, 0, 0, 1036, 0, 0, 0, 1038, 0, 0, 0, 1038, 0, 0, 0, 1040, 0, 0, 0, 1042, 0, 0, 0, 1044, 0, 0, 0, 1044, 0, 0, 0, 1046, 0, 0, 0, 1048, 0, 0, 0, 1050, 0, 0, 0, 1050, 0, 0, 0, 1052, 0, 0, 0, 1054, 0, 0, 0, 1056, 0, 0, 0, 1056, 0, 0, 0, 1058, 0, 0, 0, 1060, 0, 0, 0, 1062, 0, 0, 0, 1064, 0, 0, 0, 0, 0, 0, 0, 1066, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str232224=allocate([66,108,111,99,107,0] /* Block\00 */, "i8", ALLOC_STATIC);
__ZN2js10BlockClassE=allocate([0, 0, 0, 0, 131329, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZZN8JSObject9growSlotsEP9JSContextjE21CAPACITY_DOUBLING_MAX=allocate([1048576], ["i32",0,0,0,0], ALLOC_STATIC);
__ZZN8JSObject9growSlotsEP9JSContextjE14CAPACITY_CHUNK=allocate([131072], ["i32",0,0,0,0], ALLOC_STATIC);
__ZL19lazy_prototype_init=allocate([1068, 0, 0, 0, 44, 0, 0, 0, 530, 0, 0, 0, 532, 0, 0, 0, 534, 0, 0, 0, 556, 0, 0, 0, 536, 0, 0, 0, 538, 0, 0, 0, 540, 0, 0, 0, 542, 0, 0, 0, 546, 0, 0, 0, 548, 0, 0, 0, 550, 0, 0, 0, 552, 0, 0, 0, 544, 0, 0, 0, 544, 0, 0, 0, 544, 0, 0, 0, 544, 0, 0, 0, 544, 0, 0, 0, 544, 0, 0, 0, 544, 0, 0, 0, 544, 0, 0, 0, 554, 0, 0, 0, 554, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 558, 0, 0, 0, 562, 0, 0, 0, 1068, 0, 0, 0, 560, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str242227=allocate([112,114,105,109,105,116,105,118,101,32,116,121,112,101,0] /* primitive type\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str252228=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str262229=allocate([37,108,100,0] /* %ld\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str272230=allocate([101,120,116,101,114,110,97,108,84,121,112,101,58,32,115,101,116,84,104,105,115,32,35,37,117,58,32,37,115,0] /* externalType: setThi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str282231=allocate([108,105,109,105,116,85,110,107,110,111,119,110,58,32,37,115,84,37,112,37,115,0] /* limitUnknown: %sT%p% */, "i8", ALLOC_STATIC);
STRING_TABLE.__str292232=allocate([97,100,100,84,121,112,101,58,32,37,115,84,37,112,37,115,32,37,115,0] /* addType: %sT%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str302233=allocate([114,101,115,111,108,118,101,58,32,37,115,67,37,112,37,115,32,37,115,0] /* resolve: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str312234=allocate([112,101,110,100,105,110,103,58,32,37,115,67,37,112,37,115,32,37,115,0] /* pending: %sC%p%s %s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str322235=allocate([79,98,106,101,99,116,46,105,115,83,101,97,108,101,100,0] /* Object.isSealed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str332236=allocate([48,0] /* 0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str342237=allocate([115,0] /* s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str352238=allocate([79,98,106,101,99,116,46,115,101,97,108,0] /* Object.seal\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str362239=allocate([79,98,106,101,99,116,46,112,114,101,118,101,110,116,69,120,116,101,110,115,105,111,110,115,0] /* Object.preventExtens */, "i8", ALLOC_STATIC);
STRING_TABLE.__str372240=allocate([79,98,106,101,99,116,46,102,114,101,101,122,101,0] /* Object.freeze\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str382241=allocate([79,98,106,101,99,116,46,105,115,69,120,116,101,110,115,105,98,108,101,0] /* Object.isExtensible\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str392242=allocate([79,98,106,101,99,116,46,103,101,116,79,119,110,80,114,111,112,101,114,116,121,78,97,109,101,115,0] /* Object.getOwnPropert */, "i8", ALLOC_STATIC);
STRING_TABLE.__str402243=allocate([79,98,106,101,99,116,46,99,114,101,97,116,101,0] /* Object.create\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str412244=allocate([110,111,116,32,97,110,32,111,98,106,101,99,116,32,111,114,32,110,117,108,108,0] /* not an object or nul */, "i8", ALLOC_STATIC);
STRING_TABLE.__str422245=allocate([79,98,106,101,99,116,46,100,101,102,105,110,101,80,114,111,112,101,114,116,105,101,115,0] /* Object.definePropert */, "i8", ALLOC_STATIC);
STRING_TABLE.__str432246=allocate([79,98,106,101,99,116,46,100,101,102,105,110,101,80,114,111,112,101,114,116,121,0] /* Object.definePropert */, "i8", ALLOC_STATIC);
STRING_TABLE.__str442247=allocate([79,98,106,101,99,116,46,107,101,121,115,0] /* Object.keys\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str452248=allocate([79,98,106,101,99,116,46,103,101,116,79,119,110,80,114,111,112,101,114,116,121,68,101,115,99,114,105,112,116,111,114,0] /* Object.getOwnPropert */, "i8", ALLOC_STATIC);
STRING_TABLE.__str462249=allocate([44,32,0] /* , \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str472250=allocate([99,97,108,108,32,116,111,32,101,118,97,108,40,41,32,98,108,111,99,107,101,100,32,98,121,32,67,83,80,0] /* call to eval() block */, "i8", ALLOC_STATIC);
__ZL16JS_CACHED_SCRIPT=allocate(1, "%struct.JSObject.6333*", ALLOC_STATIC);
STRING_TABLE.__ZZL17WarnOnTooManyArgsP9JSContextRKN2js8CallArgsEE20TWO_ARGUMENT_WARNING=allocate([83,117,112,112,111,114,116,32,102,111,114,32,101,118,97,108,40,99,111,100,101,44,32,115,99,111,112,101,79,98,106,101,99,116,41,32,104,97,115,32,98,101,101,110,32,114,101,109,111,118,101,100,46,32,85,115,101,32,124,119,105,116,104,32,40,115,99,111,112,101,79,98,106,101,99,116,41,32,101,118,97,108,40,99,111,100,101,41,59,124,32,105,110,115,116,101,97,100,46,0] /* Support for eval(cod */, "i8", ALLOC_STATIC);
STRING_TABLE.__str482251=allocate([115,104,97,114,112,32,116,97,98,108,101,32,101,110,116,114,121,0] /* sharp table entry\00 */, "i8", ALLOC_STATIC);
__ZN2js9JSONClassE=allocate([0, 0, 0, 0, 83886080, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str2531=allocate([112,97,114,115,101,0] /* parse\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12532=allocate([115,116,114,105,110,103,105,102,121,0] /* stringify\00 */, "i8", ALLOC_STATIC);
__ZL19json_static_methods=allocate([0, 0, 0, 0, 1070, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1072, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1074, 0, 0, 0, 3, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str22533=allocate([110,117,108,108,0] /* null\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32534=allocate([116,114,117,101,0] /* true\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42535=allocate([102,97,108,115,101,0] /* false\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52536=allocate([92,117,48,48,0] /* \5Cu00\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2606=allocate([110,111,32,110,117,109,98,101,114,32,97,102,116,101,114,32,109,105,110,117,115,32,115,105,103,110,0] /* no number after minu */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12607=allocate([117,110,101,120,112,101,99,116,101,100,32,110,111,110,45,100,105,103,105,116,0] /* unexpected non-digit */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22608=allocate([109,105,115,115,105,110,103,32,100,105,103,105,116,115,32,97,102,116,101,114,32,100,101,99,105,109,97,108,32,112,111,105,110,116,0] /* missing digits after */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32609=allocate([117,110,116,101,114,109,105,110,97,116,101,100,32,102,114,97,99,116,105,111,110,97,108,32,110,117,109,98,101,114,0] /* unterminated fractio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42610=allocate([109,105,115,115,105,110,103,32,100,105,103,105,116,115,32,97,102,116,101,114,32,101,120,112,111,110,101,110,116,32,105,110,100,105,99,97,116,111,114,0] /* missing digits after */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52611=allocate([109,105,115,115,105,110,103,32,100,105,103,105,116,115,32,97,102,116,101,114,32,101,120,112,111,110,101,110,116,32,115,105,103,110,0] /* missing digits after */, "i8", ALLOC_STATIC);
STRING_TABLE.__str62612=allocate([101,120,112,111,110,101,110,116,32,112,97,114,116,32,105,115,32,109,105,115,115,105,110,103,32,97,32,110,117,109,98,101,114,0] /* exponent part is mis */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72613=allocate([117,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,100,97,116,97,0] /* unexpected end of da */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82614=allocate([117,110,101,120,112,101,99,116,101,100,32,107,101,121,119,111,114,100,0] /* unexpected keyword\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92615=allocate([117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0] /* unexpected character */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102616=allocate([101,110,100,32,111,102,32,100,97,116,97,32,119,104,105,108,101,32,114,101,97,100,105,110,103,32,111,98,106,101,99,116,32,99,111,110,116,101,110,116,115,0] /* end of data while re */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112617=allocate([101,120,112,101,99,116,101,100,32,112,114,111,112,101,114,116,121,32,110,97,109,101,32,111,114,32,39,125,39,0] /* expected property na */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122618=allocate([101,110,100,32,111,102,32,100,97,116,97,32,119,104,101,110,32,39,44,39,32,111,114,32,39,93,39,32,119,97,115,32,101,120,112,101,99,116,101,100,0] /* end of data when ',' */, "i8", ALLOC_STATIC);
STRING_TABLE.__str132619=allocate([101,120,112,101,99,116,101,100,32,39,44,39,32,111,114,32,39,93,39,32,97,102,116,101,114,32,97,114,114,97,121,32,101,108,101,109,101,110,116,0] /* expected ',' or ']'  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str142620=allocate([101,110,100,32,111,102,32,100,97,116,97,32,119,104,101,110,32,112,114,111,112,101,114,116,121,32,110,97,109,101,32,119,97,115,32,101,120,112,101,99,116,101,100,0] /* end of data when pro */, "i8", ALLOC_STATIC);
STRING_TABLE.__str152621=allocate([101,120,112,101,99,116,101,100,32,100,111,117,98,108,101,45,113,117,111,116,101,100,32,112,114,111,112,101,114,116,121,32,110,97,109,101,0] /* expected double-quot */, "i8", ALLOC_STATIC);
STRING_TABLE.__str162622=allocate([101,110,100,32,111,102,32,100,97,116,97,32,97,102,116,101,114,32,112,114,111,112,101,114,116,121,32,110,97,109,101,32,119,104,101,110,32,39,58,39,32,119,97,115,32,101,120,112,101,99,116,101,100,0] /* end of data after pr */, "i8", ALLOC_STATIC);
STRING_TABLE.__str172623=allocate([101,120,112,101,99,116,101,100,32,39,58,39,32,97,102,116,101,114,32,112,114,111,112,101,114,116,121,32,110,97,109,101,32,105,110,32,111,98,106,101,99,116,0] /* expected ':' after p */, "i8", ALLOC_STATIC);
STRING_TABLE.__str182624=allocate([101,110,100,32,111,102,32,100,97,116,97,32,97,102,116,101,114,32,112,114,111,112,101,114,116,121,32,118,97,108,117,101,32,105,110,32,111,98,106,101,99,116,0] /* end of data after pr */, "i8", ALLOC_STATIC);
STRING_TABLE.__str192625=allocate([101,120,112,101,99,116,101,100,32,39,44,39,32,111,114,32,39,125,39,32,97,102,116,101,114,32,112,114,111,112,101,114,116,121,32,118,97,108,117,101,32,105,110,32,111,98,106,101,99,116,0] /* expected ',' or '}'  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str202626=allocate([101,120,112,101,99,116,101,100,32,39,44,39,32,111,114,32,39,125,39,32,97,102,116,101,114,32,112,114,111,112,101,114,116,121,45,118,97,108,117,101,32,112,97,105,114,32,105,110,32,111,98,106,101,99,116,32,108,105,116,101,114,97,108,0] /* expected ',' or '}'  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str212627=allocate([112,114,111,112,101,114,116,121,32,110,97,109,101,115,32,109,117,115,116,32,98,101,32,100,111,117,98,108,101,45,113,117,111,116,101,100,32,115,116,114,105,110,103,115,0] /* property names must  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str222628=allocate([117,110,101,120,112,101,99,116,101,100,32,110,111,110,45,119,104,105,116,101,115,112,97,99,101,32,99,104,97,114,97,99,116,101,114,32,97,102,116,101,114,32,74,83,79,78,32,100,97,116,97,0] /* unexpected non-white */, "i8", ALLOC_STATIC);
STRING_TABLE.__str232629=allocate([117,110,116,101,114,109,105,110,97,116,101,100,32,115,116,114,105,110,103,32,108,105,116,101,114,97,108,0] /* unterminated string  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str242630=allocate([98,97,100,32,99,111,110,116,114,111,108,32,99,104,97,114,97,99,116,101,114,32,105,110,32,115,116,114,105,110,103,32,108,105,116,101,114,97,108,0] /* bad control characte */, "i8", ALLOC_STATIC);
STRING_TABLE.__str252631=allocate([98,97,100,32,99,104,97,114,97,99,116,101,114,32,105,110,32,115,116,114,105,110,103,32,108,105,116,101,114,97,108,0] /* bad character in str */, "i8", ALLOC_STATIC);
STRING_TABLE.__str262632=allocate([98,97,100,32,85,110,105,99,111,100,101,32,101,115,99,97,112,101,0] /* bad Unicode escape\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str272633=allocate([98,97,100,32,101,115,99,97,112,101,100,32,99,104,97,114,97,99,116,101,114,0] /* bad escaped characte */, "i8", ALLOC_STATIC);
STRING_TABLE.__str282634=allocate([117,110,116,101,114,109,105,110,97,116,101,100,32,115,116,114,105,110,103,0] /* unterminated string\ */, "i8", ALLOC_STATIC);
_js_CodeSpec=allocate([1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 1, 1, 1, 0, 1048576, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 3, 1, 0, 4, 16385, 0, 0, 0, 3, 1, 0, 0, 1048577, 0, 0, 0, 1, 0, 1, 18, 0, 0, 0, 0, 1, 2, 2, 0, 0, 0, 0, 0, 3, -1, 0, 0, 3, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 1, 2, 4, 0, 0, 0, 0, 0, 3, 1, 1, 3, 290, 0, 0, 0, 1, 2, 1, 7, 65536, 0, 0, 0, 1, 2, 1, 8, 65536, 0, 0, 0, 1, 2, 1, 9, 65536, 0, 0, 0, 1, 2, 1, 10, 81920, 0, 0, 0, 1, 2, 1, 10, 81920, 0, 0, 0, 1, 2, 1, 11, 65536, 0, 0, 0, 1, 2, 1, 11, 65536, 0, 0, 0, 1, 2, 1, 11, 65536, 0, 0, 0, 1, 2, 1, 11, 65536, 0, 0, 0, 1, 2, 1, 12, 65536, 0, 0, 0, 1, 2, 1, 12, 65536, 0, 0, 0, 1, 2, 1, 12, 65536, 0, 0, 0, 1, 2, 1, 13, 65536, 0, 0, 0, 1, 2, 1, 13, 65536, 0, 0, 0, 1, 2, 1, 14, 65536, 0, 0, 0, 1, 2, 1, 14, 65536, 0, 0, 0, 1, 2, 1, 14, 65536, 0, 0, 0, 1, 1, 1, 15, 16384, 0, 0, 0, 1, 1, 1, 15, 0, 0, 0, 0, 1, 1, 1, 15, 0, 0, 0, 0, 1, 1, 1, 15, 0, 0, 0, 0, 3, 0, 1, 15, 546, 0, 0, 0, 3, 1, 1, 15, 578, 0, 0, 0, 1, 2, 1, 15, 608, 0, 0, 0, 1, 1, 1, 15, 16384, 0, 0, 0, 1, 1, 1, 15, 0, 0, 0, 0, 4, 0, 1, 15, 146802722, 0, 0, 0, 4, 1, 1, 15, 146802754, 0, 0, 0, 2, 2, 1, 15, 142608480, 0, 0, 0, 4, 0, 1, 15, 146801698, 0, 0, 0, 4, 1, 1, 15, 146801730, 0, 0, 0, 2, 2, 1, 15, 142607456, 0, 0, 0, 4, 0, 1, 15, 146806818, 0, 0, 0, 4, 1, 1, 15, 146806850, 0, 0, 0, 2, 2, 1, 15, 142612576, 0, 0, 0, 4, 0, 1, 15, 146805794, 0, 0, 0, 4, 1, 1, 15, 146805826, 0, 0, 0, 2, 2, 1, 15, 142611552, 0, 0, 0, 3, 1, 1, 18, 67108930, 0, 0, 0, 3, 2, 1, 3, 16706, 0, 0, 0, 1, 2, 1, 18, 67174496, 0, 0, 0, 1, 3, 1, 3, 16736, 0, 0, 0, 3, 0, 2, 19, 67633186, 0, 0, 0, 3, -1, 1, 18, 69206019, 0, 0, 0, 3, 0, 1, 19, 67108898, 0, 0, 0, 3, 0, 1, 16, 2, 0, 0, 0, 3, 0, 1, 19, 2, 0, 0, 0, 1, 0, 1, 16, 0, 0, 0, 0, 1, 0, 1, 16, 0, 0, 0, 0, 1, 0, 1, 19, 0, 0, 0, 0, 1, 0, 1, 19, 0, 0, 0, 0, 1, 0, 1, 19, 0, 0, 0, 0, 1, 0, 1, 19, 0, 0, 0, 0, 3, 1, 0, 5, 81921, 0, 0, 0, 3, 1, 0, 6, 81921, 0, 0, 0, -1, 1, 0, 0, 1064964, 0, 0, 0, -1, 1, 0, 0, 1064965, 0, 0, 0, 1, 2, 1, 10, 81920, 0, 0, 0, 1, 2, 1, 10, 81920, 0, 0, 0, 1, 1, 2, 18, 0, 0, 0, 0, 2, 1, 1, 0, 13, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 2, 0, 1, 0, 13, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, -1, 1, 18, 69206019, 0, 0, 0, 3, 0, 1, 19, 15, 0, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 3, -1, 1, 17, 69206019, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 19, 38, 0, 0, 0, 3, 1, 1, 3, 294, 0, 0, 0, 3, 0, 1, 19, 39, 0, 0, 0, 3, 1, 1, 3, 16679, 0, 0, 0, 3, 0, 1, 16, 3, 0, 0, 0, 3, 0, 1, 19, 13, 0, 0, 0, 4, 0, 1, 19, 12, 0, 0, 0, 3, 0, 1, 19, 15, 0, 0, 0, 1, 0, 0, 19, 0, 0, 0, 0, 3, 2, 1, 3, 16706, 0, 0, 0, 1, 3, 1, 3, 16736, 0, 0, 0, 5, 0, 0, 0, 16777236, 0, 0, 0, 5, 0, 1, 0, 16777236, 0, 0, 0, 3, 0, 1, 15, 12584998, 0, 0, 0, 3, 0, 1, 15, 12583974, 0, 0, 0, 3, 0, 1, 15, 12589094, 0, 0, 0, 3, 0, 1, 15, 12588070, 0, 0, 0, 3, 0, 1, 15, 12584999, 0, 0, 0, 3, 0, 1, 15, 12583975, 0, 0, 0, 3, 0, 1, 15, 12589095, 0, 0, 0, 3, 0, 1, 15, 12588071, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 19, 0, 0, 0, 0, 3, 0, 2, 19, 0, 0, 0, 0, 3, -1, 1, 18, 69206019, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 3, 0, 1, 0, 290, 0, 0, 0, 3, 2, 1, 3, 16674, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 2, 1, 11, 65536, 0, 0, 0, 1, 2, 1, 11, 4259840, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1048576, 0, 0, 0, 3, 2, 1, 0, 8388609, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 3, -1, 1, 18, 69206019, 0, 0, 0, 1, 3, 0, 3, 4194560, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 131087, 0, 0, 0, 3, 0, 0, 0, 131074, 0, 0, 0, 3, 0, 0, 0, 131074, 0, 0, 0, 3, 0, 1, 19, 15, 0, 0, 0, 1, 0, 1, 19, 0, 0, 0, 0, 3, 1, 0, 3, 295, 0, 0, 0, 2, 0, 0, 0, 8388621, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 3, 0, 1, 19, 67108899, 0, 0, 0, 3, 0, 2, 19, 67633187, 0, 0, 0, 3, 0, 1, 18, 38, 0, 0, 0, 1, 0, 1, 18, 0, 0, 0, 0, 5, 0, 0, 0, 4325392, 0, 0, 0, 5, 0, 0, 0, 9, 0, 0, 0, 5, 1, 0, 4, 16393, 0, 0, 0, 5, 1, 0, 0, 1048585, 0, 0, 0, 5, 1, 0, 5, 16393, 0, 0, 0, 5, 1, 0, 6, 16393, 0, 0, 0, 5, 0, 0, 0, 9, 0, 0, 0, 5, 2, 1, 0, 9, 0, 0, 0, 5, 1, 0, 0, 9, 0, 0, 0, -1, 1, 0, 0, 1064970, 0, 0, 0, -1, 1, 0, 0, 1064971, 0, 0, 0, 3, 0, 0, 0, 32769, 0, 0, 0, 3, 1, 0, 0, 32769, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 19, 100663330, 0, 0, 0, 3, 2, 1, 3, 33571106, 0, 0, 0, 4, 0, 1, 15, 180357154, 0, 0, 0, 4, 0, 1, 15, 180356130, 0, 0, 0, 4, 0, 1, 15, 180361250, 0, 0, 0, 4, 0, 1, 15, 180360226, 0, 0, 0, 3, 0, 1, 19, 17, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 19, 128, 0, 0, 0, 3, 0, 1, 19, 130, 0, 0, 0, 3, 1, 1, 19, 130, 0, 0, 0, 1, 2, 1, 0, 128, 0, 0, 0, 1, 1, 1, 19, 128, 0, 0, 0, 1, 1, 1, 19, 0, 0, 0, 0, 1, 2, 1, 13, 0, 0, 0, 0, 1, 2, 1, 13, 0, 0, 0, 0, 1, 1, 2, 3, 256, 0, 0, 0, 1, 3, 1, 3, 16640, 0, 0, 0, 1, 1, 1, 19, 0, 0, 0, 0, 1, 2, 1, 18, 0, 0, 0, 0, 3, 1, 1, 0, 1, 0, 0, 0, 3, 2, 1, 18, 1, 0, 0, 0, 1, 1, 1, 19, 0, 0, 0, 0, 1, 1, 1, 19, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 3, 0, 1, 19, 2, 0, 0, 0, 3, 0, 1, 19, 2, 0, 0, 0, 3, 1, 1, 19, 2, 0, 0, 0, 1, 2, 1, 15, 608, 0, 0, 0, 3, 1, 2, 18, 80216130, 0, 0, 0, 3, 0, 0, 0, 15, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 4, 0, 1, 16, 12, 0, 0, 0, 2, 0, 0, 0, 262157, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 18, 67698784, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 18, 67108930, 0, 0, 0, 1, 1, 2, 19, 524288, 0, 0, 0, 1, 1, 1, 15, 16384, 0, 0, 0, 3, 0, -1, 0, 15, 0, 0, 0, 5, -1, 0, 0, 3, 0, 0, 0, 3, 1, 1, 0, 16385, 0, 0, 0, 2, 1, 1, 0, 18, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 3, 1, 0, 3, 7, 0, 0, 0, 1, 0, 1, 19, 0, 0, 0, 0, 1, 3, 0, 3, 256, 0, 0, 0, 5, -1, 1, 3, 3, 0, 0, 0, 1, 0, 0, 0, 262144, 0, 0, 0, 1, 0, 0, 0, 262144, 0, 0, 0, 1, 0, 0, 0, 262144, 0, 0, 0, 3, 0, 2, 19, 101187618, 0, 0, 0, 3, 0, 2, 19, 524327, 0, 0, 0, 3, 0, 2, 19, 524326, 0, 0, 0, 3, 0, 1, 0, 33554722, 0, 0, 0, 2, 0, 1, 16, 18, 0, 0, 0, 5, 0, 1, 16, 14, 0, 0, 0, 3, 1, 1, 18, 67108930, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 131087, 0, 0, 0, 5, 0, 0, 0, 4325392, 0, 0, 0, 3, 0, 1, 19, 15, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 3, 2, 1, 3, 16706, 0, 0, 0, 3, 2, 1, 3, 16706, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 16777219, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0], ["i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0,"i8","i8","i8","i8","i32",0,0,0], ALLOC_STATIC);
_js_NumCodeSpecs=allocate([232], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str2673=allocate([124,0] /* |\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12674=allocate([94,0] /* ^\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22675=allocate([38,0] /* &\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32676=allocate([61,61,0] /* ==\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42677=allocate([33,61,0] /* !=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52678=allocate([60,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str62679=allocate([60,61,0] /* _=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72680=allocate([62,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82681=allocate([62,61,0] /* _=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92682=allocate([60,60,0] /* __\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102683=allocate([62,62,0] /* __\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112684=allocate([62,62,62,0] /* ___\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122685=allocate([43,0] /* +\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str132686=allocate([45,0] /* -\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str142687=allocate([42,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str152688=allocate([47,0] /* /\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str162689=allocate([37,0] /* %\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str172690=allocate([33,0] /* !\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str182691=allocate([126,0] /* ~\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str192692=allocate([45,32,0] /* - \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str202693=allocate([43,32,0] /* + \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str212694=allocate([48,0] /* 0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str222695=allocate([49,0] /* 1\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str232696=allocate([61,61,61,0] /* ===\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str242697=allocate([33,61,61,0] /* !==\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str252698=allocate([60,110,101,120,116,62,0] /* _next_\00 */, "i8", ALLOC_STATIC);
__ZL9CodeToken=allocate(928, "*", ALLOC_STATIC);
STRING_TABLE._js_EscapeMap=allocate([8,98,12,102,10,110,13,114,9,116,11,118,34,34,39,39,92,92,0,48] /* \08b\0Cf\0An\0Dr\09t */, "i8", ALLOC_STATIC);
STRING_TABLE.__str262699=allocate([37,42,115,0] /* %_s\00 */, "i8", ALLOC_STATIC);
__str272700=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL15native_code_str=allocate([9,91,110,97,116,105,118,101,32,99,111,100,101,93,10,0] /* \09[native code]\0A\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str282701=allocate([9,0] /* \09\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str292702=allocate([40,0] /* (\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str302703=allocate([37,115,32,0] /* %s \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str312704=allocate([41,32,123,10,0] /* ) {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str322705=allocate([9,125,0] /* \09}\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str332706=allocate([44,32,0] /* , \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str342707=allocate([41,32,0] /* ) \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str352708=allocate([123,10,0] /* {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str362709=allocate([41,0] /* )\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str372710=allocate([106,115,95,68,101,99,111,109,112,105,108,101,86,97,108,117,101,71,101,110,101,114,97,116,111,114,0] /* js_DecompileValueGen */, "i8", ALLOC_STATIC);
STRING_TABLE.__str382711=allocate([37,115,0] /* %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str392712=allocate([40,37,115,41,0] /* (%s)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16exception_cookie=allocate([47,42,69,88,67,69,80,84,73,79,78,42,47,0] /* /_EXCEPTION_/\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16retsub_pc_cookie=allocate([47,42,82,69,84,83,85,66,95,80,67,42,47,0] /* /_RETSUB_PC_/\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE14forelem_cookie=allocate([47,42,70,79,82,69,76,69,77,42,47,0] /* /_FORELEM_/\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE11with_cookie=allocate([47,42,87,73,84,72,42,47,0] /* /_WITH_/\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10dot_format=allocate([37,115,46,37,115,0] /* %s.%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE12index_format=allocate([37,115,91,37,115,93,0] /* %s[%s]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE13predot_format=allocate([37,115,37,115,46,37,115,0] /* %s%s.%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE14postdot_format=allocate([37,115,46,37,115,37,115,0] /* %s.%s%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE15preindex_format=allocate([37,115,37,115,91,37,115,93,0] /* %s%s[%s]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE16postindex_format=allocate([37,115,91,37,115,93,37,115,0] /* %s[%s]%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE9ss_format=allocate([37,115,37,115,0] /* %s%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9DecompileP11SprintStackPhi4JSOpE10sss_format=allocate([37,115,37,115,37,115,0] /* %s%s%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str402713=allocate([37,115,32,37,115,32,37,115,0] /* %s %s %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str412714=allocate([9,100,111,32,123,10,0] /* \09do {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str422715=allocate([9,125,32,119,104,105,108,101,32,40,37,115,41,59,10,0] /* \09} while (%s);\0A\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str432716=allocate([9,102,111,114,32,40,37,115,59,0] /* \09for (%s;\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str442717=allocate([32,37,115,0] /*  %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str452718=allocate([59,0] /* ;\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str462719=allocate([9,125,10,0] /* \09}\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str472720=allocate([9,37,115,58,10,0] /* \09%s:\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str482721=allocate([9,37,115,58,32,123,10,0] /* \09%s: {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str492722=allocate([10,0] /* \0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str502723=allocate([110,101,115,116,101,100,95,102,117,110,99,116,105,111,110,0] /* nested_function\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str512724=allocate([10,10,0] /* \0A\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str522725=allocate([9,123,10,0] /* \09{\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str532726=allocate([9,116,114,121,32,123,10,0] /* \09try {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str542727=allocate([9,125,32,102,105,110,97,108,108,121,32,123,10,0] /* \09} finally {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str552728=allocate([37,115,91,93,32,61,32,91,0] /* %s[] = [\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str562729=allocate([93,0] /* ]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str572730=allocate([9,108,101,116,32,40,37,115,41,32,123,10,0] /* \09let (%s) {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str582731=allocate([9,37,115,59,10,0] /* \09%s;\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str592732=allocate([37,115,44,32,37,115,0] /* %s, %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str602733=allocate([108,101,116,32,40,37,115,41,32,40,37,115,41,0] /* let (%s) (%s)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str612734=allocate([108,101,116,32,40,37,115,41,32,37,115,0] /* let (%s) %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str622735=allocate([9,40,37,115,41,59,10,0] /* \09(%s);\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str632736=allocate([9,119,105,116,104,32,40,37,115,41,32,123,10,0] /* \09with (%s) {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str642737=allocate([9,125,32,99,97,116,99,104,32,40,0] /* \09} catch (\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str652738=allocate([32,105,102,32,0] /*  if \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str662739=allocate([40,37,115,41,37,115,0] /* (%s)%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str672740=allocate([9,37,115,32,37,115,59,10,0] /* \09%s %s;\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str682741=allocate([37,115,32,40,37,115,41,0] /* %s (%s)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str692742=allocate([37,115,32,37,115,0] /* %s %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str702743=allocate([32,37,115,32,40,37,115,32,105,110,32,37,115,41,0] /*  %s (%s in %s)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL15js_for_each_str=allocate([102,111,114,32,101,97,99,104,0] /* for each\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str712744=allocate([9,37,115,32,40,37,115,37,115,32,105,110,32,37,115,41,32,123,10,0] /* \09%s (%s%s in %s) { */, "i8", ALLOC_STATIC);
STRING_TABLE.__str722745=allocate([9,119,104,105,108,101,32,40,37,115,41,32,123,10,0] /* \09while (%s) {\0A\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str732746=allocate([9,99,111,110,116,105,110,117,101,32,37,115,59,10,0] /* \09continue %s;\0A\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str742747=allocate([9,99,111,110,116,105,110,117,101,59,10,0] /* \09continue;\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str752748=allocate([9,98,114,101,97,107,32,37,115,59,10,0] /* \09break %s;\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str762749=allocate([9,98,114,101,97,107,59,10,0] /* \09break;\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str772750=allocate([32,105,102,32,40,37,115,41,0] /*  if (%s)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str782751=allocate([32,105,102,32,40,37,115,41,32,123,10,0] /*  if (%s) {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str792752=allocate([9,105,102,32,40,37,115,41,32,123,10,0] /* \09if (%s) {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str802753=allocate([9,125,32,101,108,115,101,0] /* \09} else\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str812754=allocate([32,123,10,0] /*  {\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str822755=allocate([37,115,32,63,32,37,115,32,58,32,37,115,0] /* %s ? %s : %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str832756=allocate([124,124,0] /* ||\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str842757=allocate([37,115,32,37,115,10,0] /* %s %s\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str852758=allocate([37,42,115,37,115,0] /* %_s%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str862759=allocate([38,38,0] /* &&\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str872760=allocate([37,115,37,115,32,61,32,37,115,0] /* %s%s = %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str882761=allocate([37,115,32,37,115,61,32,37,115,0] /* %s %s= %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str892762=allocate([37,115,32,37,115,37,115,0] /* %s %s%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str902763=allocate([37,115,32,37,115,91,37,115,93,0] /* %s %s[%s]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str912764=allocate([37,115,32,37,115,46,37,115,0] /* %s %s.%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str922765=allocate([37,115,32,37,115,46,46,37,115,0] /* %s %s..%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL13js_incop_strs=allocate([43, 43, 0, 45, 45, 0], "i8", ALLOC_STATIC);
STRING_TABLE.__str932766=allocate([37,115,91,37,115,93,32,37,115,61,32,37,115,0] /* %s[%s] %s= %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str942767=allocate([37,115,46,37,115,32,37,115,61,32,37,115,0] /* %s.%s %s= %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str952768=allocate([37,115,91,37,100,93,0] /* %s[%d]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str962769=allocate([37,100,0] /* %d\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str972770=allocate([108,97,109,98,100,97,0] /* lambda\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str982771=allocate([9,99,97,115,101,32,37,115,58,10,0] /* \09case %s:\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str992772=allocate([35,37,117,61,0] /* #%u=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1002773=allocate([91,0] /* [\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1012774=allocate([123,0] /* {\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1022775=allocate([37,115,37,115,37,99,0] /* %s%s%c\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1032776=allocate([37,115,37,115,37,115,32,37,115,37,115,37,46,42,115,0] /* %s%s%s %s%s%._s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1042777=allocate([32,0] /*  \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1052778=allocate([37,115,37,115,37,115,58,32,37,115,0] /* %s%s%s: %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1062779=allocate([35,37,117,61,37,115,0] /* #%u=%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1072780=allocate([35,37,117,35,0] /* #%u#\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1082781=allocate([9,100,101,98,117,103,103,101,114,59,10,0] /* \09debugger;\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1092782=allocate([9,37,115,32,37,115,32,37,115,32,61,32,37,115,59,10,0] /* \09%s %s %s = %s;\0A */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1102783=allocate([64,42,0] /* @_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1112784=allocate([64,0] /* @\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1122785=allocate([37,115,58,58,37,115,0] /* %s::%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1132786=allocate([37,115,58,58,91,37,115,93,0] /* %s::[%s]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1142787=allocate([64,91,37,115,93,0] /* @[%s]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1152788=allocate([37,115,61,34,37,115,34,0] /* %s=\22%s\22\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1162789=allocate([37,115,61,37,115,0] /* %s=%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1172790=allocate([123,37,115,125,0] /* {%s}\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1182791=allocate([60,62,37,115,60,47,62,0] /* __%s_/_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1192792=allocate([37,115,46,40,37,115,41,0] /* %s.(%s)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1202793=allocate([37,115,46,46,37,115,0] /* %s..%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1212794=allocate([60,33,91,67,68,65,84,65,91,0] /* _![CDATA[\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1222795=allocate([93,93,62,0] /* ]]_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1232796=allocate([60,33,45,45,0] /* _!--\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1242797=allocate([45,45,62,0] /* --_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1252798=allocate([60,63,0] /* _?\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1262799=allocate([63,62,0] /* ?_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1272800=allocate([9,115,119,105,116,99,104,32,40,37,115,41,32,123,10,0] /* \09switch (%s) {\0A\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1282801=allocate([9,37,115,58,59,10,0] /* \09%s:;\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1292802=allocate([45,48,0] /* -0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1302803=allocate([48,32,47,32,48,0] /* 0 / 0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1312804=allocate([49,32,47,32,45,48,0] /* 1 / -0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1322805=allocate([49,32,47,32,48,0] /* 1 / 0\00 */, "i8", ALLOC_STATIC);
__ZL10var_prefix=allocate(12, "*", ALLOC_STATIC);
STRING_TABLE.__str1332806=allocate([118,97,114,32,0] /* var \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1342807=allocate([99,111,110,115,116,32,0] /* const \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1352808=allocate([108,101,116,32,0] /* let \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1362809=allocate([37,115,91,0] /* %s[\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1372810=allocate([93,32,61,32,91,0] /* ] = [\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1382811=allocate([44,32,37,115,0] /* , %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1392812=allocate([37,115,46,37,115,0] /* %s.%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1402813=allocate([37,115,91,37,115,93,0] /* %s[%s]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1412814=allocate([37,103,58,32,0] /* %g: \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1422815=allocate([58,32,0] /* : \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1432816=allocate([125,0] /* }\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1442817=allocate([9,47,42,32,117,115,101,32,115,116,114,105,99,116,32,42,47,32,10,0] /* \09/_ use strict _/  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1452818=allocate([9,34,117,115,101,32,115,116,114,105,99,116,34,59,10,0] /* \09\22use strict\22; */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1462819=allocate([37,99,0] /* %c\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1472820=allocate([92,37,99,0] /* \5C%c\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1482821=allocate([92,120,37,48,50,88,0] /* \5Cx%02X\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1492822=allocate([92,117,37,48,52,88,0] /* \5Cu%04X\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2881=allocate([112,97,114,115,101,114,46,111,98,106,101,99,116,0] /* parser.object\00 */, "i8", ALLOC_STATIC);
_table=allocate(24, "*", ALLOC_STATIC);
STRING_TABLE.__ZL15js_argument_str=allocate([97,114,103,117,109,101,110,116,0] /* argument\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL14js_unknown_str=allocate([117,110,107,110,111,119,110,0] /* unknown\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12882=allocate([103,101,116,116,101,114,0] /* getter\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22883=allocate([110,111,0] /* no\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32884=allocate([115,0] /* s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42885=allocate([115,101,116,116,101,114,0] /* setter\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52886=allocate([111,110,101,0] /* one\00 */, "i8", ALLOC_STATIC);
__str62887=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL16js_generator_str=allocate([103,101,110,101,114,97,116,111,114,0] /* generator\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL14incop_name_str=allocate([105, 110, 99, 114, 101, 109, 101, 110, 116, 0, 100, 101, 99, 114, 101, 109, 101, 110, 116, 0], "i8", ALLOC_STATIC);
STRING_TABLE.__ZL15js_variable_str=allocate([118,97,114,105,97,98,108,101,0] /* variable\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72888=allocate([112,114,111,103,114,97,109,0] /* program\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2966=allocate([115,116,97,114,116,0] /* start\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12967=allocate([115,116,111,112,0] /* stop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22968=allocate([114,101,115,101,116,0] /* reset\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32969=allocate([99,97,110,77,101,97,115,117,114,101,83,111,109,101,116,104,105,110,103,0] /* canMeasureSomething\ */, "i8", ALLOC_STATIC);
__ZL6pm_fns=allocate([0, 0, 0, 0, 1076, 0, 0, 0, 0, 0, 4166, 0, 0, 0, 0, 0, 1078, 0, 0, 0, 0, 0, 4166, 0, 0, 0, 0, 0, 1080, 0, 0, 0, 0, 0, 4166, 0, 0, 0, 0, 0, 1082, 0, 0, 0, 0, 0, 4166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str42970=allocate([80,101,114,102,77,101,97,115,117,114,101,109,101,110,116,0] /* PerfMeasurement\00 */, "i8", ALLOC_STATIC);
__ZL8pm_class=allocate([0, 0, 0, 0, 1, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1084, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZL8pm_props=allocate([0, 0, 0, 0, 0, 71, 0, 0, 1086, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1088, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1090, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1092, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1094, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1098, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZL9pm_consts=allocate([0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 256, 0, 0, 0, 0, 0, 0, 0, 512, 0, 0, 0, 0, 0, 0, 0, 1024, 0, 0, 0, 0, 0, 0, 0, 2047, 0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str52971=allocate([67,80,85,95,67,89,67,76,69,83,0] /* CPU_CYCLES\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str62972=allocate([73,78,83,84,82,85,67,84,73,79,78,83,0] /* INSTRUCTIONS\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72973=allocate([67,65,67,72,69,95,82,69,70,69,82,69,78,67,69,83,0] /* CACHE_REFERENCES\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82974=allocate([67,65,67,72,69,95,77,73,83,83,69,83,0] /* CACHE_MISSES\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92975=allocate([66,82,65,78,67,72,95,73,78,83,84,82,85,67,84,73,79,78,83,0] /* BRANCH_INSTRUCTIONS\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102976=allocate([66,82,65,78,67,72,95,77,73,83,83,69,83,0] /* BRANCH_MISSES\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112977=allocate([66,85,83,95,67,89,67,76,69,83,0] /* BUS_CYCLES\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122978=allocate([80,65,71,69,95,70,65,85,76,84,83,0] /* PAGE_FAULTS\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str132979=allocate([77,65,74,79,82,95,80,65,71,69,95,70,65,85,76,84,83,0] /* MAJOR_PAGE_FAULTS\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str142980=allocate([67,79,78,84,69,88,84,95,83,87,73,84,67,72,69,83,0] /* CONTEXT_SWITCHES\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str152981=allocate([67,80,85,95,77,73,71,82,65,84,73,79,78,83,0] /* CPU_MIGRATIONS\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str162982=allocate([65,76,76,0] /* ALL\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str172983=allocate([78,85,77,95,77,69,65,83,85,82,65,66,76,69,95,69,86,69,78,84,83,0] /* NUM_MEASURABLE_EVENT */, "i8", ALLOC_STATIC);
STRING_TABLE.__str182984=allocate([99,112,117,95,99,121,99,108,101,115,0] /* cpu_cycles\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str192985=allocate([105,110,115,116,114,117,99,116,105,111,110,115,0] /* instructions\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str202986=allocate([99,97,99,104,101,95,114,101,102,101,114,101,110,99,101,115,0] /* cache_references\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str212987=allocate([99,97,99,104,101,95,109,105,115,115,101,115,0] /* cache_misses\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str222988=allocate([98,114,97,110,99,104,95,105,110,115,116,114,117,99,116,105,111,110,115,0] /* branch_instructions\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str232989=allocate([98,114,97,110,99,104,95,109,105,115,115,101,115,0] /* branch_misses\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str242990=allocate([98,117,115,95,99,121,99,108,101,115,0] /* bus_cycles\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str252991=allocate([112,97,103,101,95,102,97,117,108,116,115,0] /* page_faults\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str262992=allocate([109,97,106,111,114,95,112,97,103,101,95,102,97,117,108,116,115,0] /* major_page_faults\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str272993=allocate([99,111,110,116,101,120,116,95,115,119,105,116,99,104,101,115,0] /* context_switches\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str282994=allocate([99,112,117,95,109,105,103,114,97,116,105,111,110,115,0] /* cpu_migrations\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str292995=allocate([101,118,101,110,116,115,77,101,97,115,117,114,101,100,0] /* eventsMeasured\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str302996=allocate([117,0] /* u\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9dosprintfP15SprintfStateStrPKcPcE3hex=allocate([48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,0] /* 0123456789abcdef\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9dosprintfP15SprintfStateStrPKcPcE3HEX=allocate([48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0] /* 0123456789ABCDEF\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3012=allocate([32,0] /*  \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13013=allocate([37,0] /* %\00 */, "i8", ALLOC_STATIC);
__str23014=allocate(2, "i8", ALLOC_STATIC);
STRING_TABLE.__str33015=allocate([40,110,117,108,108,41,0] /* (null)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43016=allocate([48,0] /* 0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZN2js6Probes8nullNameE=allocate([40,110,117,108,108,41,0] /* (null)\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZN2js6Probes13anonymousNameE=allocate([40,97,110,111,110,121,109,111,117,115,41,0] /* (anonymous)\00 */, "i8", ALLOC_STATIC);
__ZN2js6Probes15ProfilingActiveE=allocate([1], ["i8",0,0,0,0], ALLOC_STATIC);
__ZTVN2js14JSProxyHandlerE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 1110, 0, 0, 0, 1112, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 1114, 0, 0, 0, 1116, 0, 0, 0, 1118, 0, 0, 0, 1120, 0, 0, 0, 1122, 0, 0, 0, 1124, 0, 0, 0, 1126, 0, 0, 0, 1128, 0, 0, 0, 1130, 0, 0, 0, 1132, 0, 0, 0, 1134, 0, 0, 0, 1136, 0, 0, 0, 1138, 0, 0, 0, 1140, 0, 0, 0, 1142, 0, 0, 0, 1144, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str3048=allocate([91,111,98,106,101,99,116,32,70,117,110,99,116,105,111,110,93,0] /* [object Function]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13049=allocate([91,111,98,106,101,99,116,32,79,98,106,101,99,116,93,0] /* [object Object]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23050=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
__ZL27sScriptedProxyHandlerFamily=allocate(1, "i32", ALLOC_STATIC);
__ZTV22JSScriptedProxyHandler=allocate([0, 0, 0, 0, 0, 0, 0, 0, 228, 0, 0, 0, 1146, 0, 0, 0, 1148, 0, 0, 0, 1150, 0, 0, 0, 1152, 0, 0, 0, 1154, 0, 0, 0, 1156, 0, 0, 0, 1158, 0, 0, 0, 1160, 0, 0, 0, 1162, 0, 0, 0, 1164, 0, 0, 0, 1166, 0, 0, 0, 1168, 0, 0, 0, 1170, 0, 0, 0, 1172, 0, 0, 0, 1126, 0, 0, 0, 1128, 0, 0, 0, 1130, 0, 0, 0, 1132, 0, 0, 0, 1134, 0, 0, 0, 1136, 0, 0, 0, 1138, 0, 0, 0, 1140, 0, 0, 0, 1142, 0, 0, 0, 1144, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZN22JSScriptedProxyHandler9singletonE=allocate(8, "*", ALLOC_STATIC);
STRING_TABLE.__str33051=allocate([80,114,111,120,121,0] /* Proxy\00 */, "i8", ALLOC_STATIC);
__ZN2js16ObjectProxyClassE=allocate([0, 0, 0, 0, 525056, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 1174, 0, 0, 0, 1176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1178, 0, 0, 0, 1180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 236, 0, 0, 0, 236, 0, 0, 0, 238, 0, 0, 0, 240, 0, 0, 0, 242, 0, 0, 0, 242, 0, 0, 0, 244, 0, 0, 0, 246, 0, 0, 0, 248, 0, 0, 0, 250, 0, 0, 0, 252, 0, 0, 0, 254, 0, 0, 0, 256, 0, 0, 0, 256, 0, 0, 0, 258, 0, 0, 0, 260, 0, 0, 0, 262, 0, 0, 0, 262, 0, 0, 0, 264, 0, 0, 0, 266, 0, 0, 0, 268, 0, 0, 0, 268, 0, 0, 0, 270, 0, 0, 0, 272, 0, 0, 0, 274, 0, 0, 0, 274, 0, 0, 0, 276, 0, 0, 0, 278, 0, 0, 0, 0, 0, 0, 0, 280, 0, 0, 0, 1182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js21OuterWindowProxyClassE=allocate([0, 0, 0, 0, 525056, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 236, 0, 0, 0, 236, 0, 0, 0, 238, 0, 0, 0, 240, 0, 0, 0, 242, 0, 0, 0, 242, 0, 0, 0, 244, 0, 0, 0, 246, 0, 0, 0, 248, 0, 0, 0, 250, 0, 0, 0, 252, 0, 0, 0, 254, 0, 0, 0, 256, 0, 0, 0, 256, 0, 0, 0, 258, 0, 0, 0, 260, 0, 0, 0, 262, 0, 0, 0, 262, 0, 0, 0, 264, 0, 0, 0, 266, 0, 0, 0, 268, 0, 0, 0, 268, 0, 0, 0, 270, 0, 0, 0, 272, 0, 0, 0, 274, 0, 0, 0, 274, 0, 0, 0, 276, 0, 0, 0, 278, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js18FunctionProxyClassE=allocate(232, ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str53058=allocate([99,114,101,97,116,101,0] /* create\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63059=allocate([99,114,101,97,116,101,70,117,110,99,116,105,111,110,0] /* createFunction\00 */, "i8", ALLOC_STATIC);
__ZL14static_methods=allocate([0, 0, 0, 0, 1186, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1188, 0, 0, 0, 3, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str73060=allocate([70,117,110,99,116,105,111,110,0] /* Function\00 */, "i8", ALLOC_STATIC);
__ZN2js19CallableObjectClassE=allocate([0, 0, 0, 0, 512, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1190, 0, 0, 0, 1192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js10ProxyClassE=allocate([0, 0, 0, 0, 570425344, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str83063=allocate([49,0] /* 1\00 */, "i8", ALLOC_STATIC);
__str93064=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str103065=allocate([48,0] /* 0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str113066=allocate([115,0] /* s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str123067=allocate([99,97,108,108,0] /* call\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str133068=allocate([99,111,110,115,116,114,117,99,116,0] /* construct\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str143069=allocate([112,114,105,118,97,116,101,0] /* private\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str153070=allocate([101,120,116,114,97,0] /* extra\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3152=allocate([61,0] /* =\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13153=allocate([43,61,0] /* +=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23154=allocate([45,61,0] /* -=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str33155=allocate([42,61,0] /* _=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43156=allocate([47,61,0] /* /=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str53157=allocate([37,61,0] /* %=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63158=allocate([60,60,61,0] /* __=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str73159=allocate([62,62,61,0] /* __=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str83160=allocate([62,62,62,61,0] /* ___=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str93161=allocate([124,61,0] /* |=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str103162=allocate([94,61,0] /* ^=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str113163=allocate([38,61,0] /* &=\00 */, "i8", ALLOC_STATIC);
__ZN2js8aopNamesE=allocate(48, "*", ALLOC_STATIC);
STRING_TABLE.__str123164=allocate([61,61,0] /* ==\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str133165=allocate([33,61,0] /* !=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str143166=allocate([61,61,61,0] /* ===\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str153167=allocate([33,61,61,0] /* !==\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str163168=allocate([60,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str173169=allocate([60,61,0] /* _=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str183170=allocate([62,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str193171=allocate([62,61,0] /* _=\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str203172=allocate([60,60,0] /* __\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str213173=allocate([62,62,0] /* __\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str223174=allocate([62,62,62,0] /* ___\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str233175=allocate([43,0] /* +\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str243176=allocate([45,0] /* -\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str253177=allocate([42,0] /* _\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str263178=allocate([47,0] /* /\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str273179=allocate([37,0] /* %\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str283180=allocate([124,0] /* |\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str293181=allocate([94,0] /* ^\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str303182=allocate([38,0] /* &\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str313183=allocate([105,110,0] /* in\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str323184=allocate([105,110,115,116,97,110,99,101,111,102,0] /* instanceof\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str333185=allocate([46,46,0] /* ..\00 */, "i8", ALLOC_STATIC);
__ZN2js10binopNamesE=allocate(88, "*", ALLOC_STATIC);
STRING_TABLE.__str343186=allocate([100,101,108,101,116,101,0] /* delete\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str353187=allocate([33,0] /* !\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str363188=allocate([126,0] /* ~\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str373189=allocate([116,121,112,101,111,102,0] /* typeof\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str383190=allocate([118,111,105,100,0] /* void\00 */, "i8", ALLOC_STATIC);
__ZN2js9unopNamesE=allocate(28, "*", ALLOC_STATIC);
STRING_TABLE.__str393191=allocate([80,114,111,103,114,97,109,0] /* Program\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str403192=allocate([73,100,101,110,116,105,102,105,101,114,0] /* Identifier\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str413193=allocate([76,105,116,101,114,97,108,0] /* Literal\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str423194=allocate([80,114,111,112,101,114,116,121,0] /* Property\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str433195=allocate([70,117,110,99,116,105,111,110,68,101,99,108,97,114,97,116,105,111,110,0] /* FunctionDeclaration\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str443196=allocate([86,97,114,105,97,98,108,101,68,101,99,108,97,114,97,116,105,111,110,0] /* VariableDeclaration\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str453197=allocate([86,97,114,105,97,98,108,101,68,101,99,108,97,114,97,116,111,114,0] /* VariableDeclarator\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str463198=allocate([83,101,113,117,101,110,99,101,69,120,112,114,101,115,115,105,111,110,0] /* SequenceExpression\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str473199=allocate([67,111,110,100,105,116,105,111,110,97,108,69,120,112,114,101,115,115,105,111,110,0] /* ConditionalExpressio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str483200=allocate([85,110,97,114,121,69,120,112,114,101,115,115,105,111,110,0] /* UnaryExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str493201=allocate([66,105,110,97,114,121,69,120,112,114,101,115,115,105,111,110,0] /* BinaryExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str503202=allocate([65,115,115,105,103,110,109,101,110,116,69,120,112,114,101,115,115,105,111,110,0] /* AssignmentExpression */, "i8", ALLOC_STATIC);
STRING_TABLE.__str513203=allocate([76,111,103,105,99,97,108,69,120,112,114,101,115,115,105,111,110,0] /* LogicalExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str523204=allocate([85,112,100,97,116,101,69,120,112,114,101,115,115,105,111,110,0] /* UpdateExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str533205=allocate([78,101,119,69,120,112,114,101,115,115,105,111,110,0] /* NewExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str543206=allocate([67,97,108,108,69,120,112,114,101,115,115,105,111,110,0] /* CallExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str553207=allocate([77,101,109,98,101,114,69,120,112,114,101,115,115,105,111,110,0] /* MemberExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str563208=allocate([70,117,110,99,116,105,111,110,69,120,112,114,101,115,115,105,111,110,0] /* FunctionExpression\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str573209=allocate([65,114,114,97,121,69,120,112,114,101,115,115,105,111,110,0] /* ArrayExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str583210=allocate([79,98,106,101,99,116,69,120,112,114,101,115,115,105,111,110,0] /* ObjectExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str593211=allocate([84,104,105,115,69,120,112,114,101,115,115,105,111,110,0] /* ThisExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str603212=allocate([71,114,97,112,104,69,120,112,114,101,115,115,105,111,110,0] /* GraphExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str613213=allocate([71,114,97,112,104,73,110,100,101,120,69,120,112,114,101,115,115,105,111,110,0] /* GraphIndexExpression */, "i8", ALLOC_STATIC);
STRING_TABLE.__str623214=allocate([67,111,109,112,114,101,104,101,110,115,105,111,110,69,120,112,114,101,115,115,105,111,110,0] /* ComprehensionExpress */, "i8", ALLOC_STATIC);
STRING_TABLE.__str633215=allocate([71,101,110,101,114,97,116,111,114,69,120,112,114,101,115,115,105,111,110,0] /* GeneratorExpression\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str643216=allocate([89,105,101,108,100,69,120,112,114,101,115,115,105,111,110,0] /* YieldExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str653217=allocate([76,101,116,69,120,112,114,101,115,115,105,111,110,0] /* LetExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str663218=allocate([69,109,112,116,121,83,116,97,116,101,109,101,110,116,0] /* EmptyStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str673219=allocate([66,108,111,99,107,83,116,97,116,101,109,101,110,116,0] /* BlockStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str683220=allocate([69,120,112,114,101,115,115,105,111,110,83,116,97,116,101,109,101,110,116,0] /* ExpressionStatement\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str693221=allocate([76,97,98,101,108,101,100,83,116,97,116,101,109,101,110,116,0] /* LabeledStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str703222=allocate([73,102,83,116,97,116,101,109,101,110,116,0] /* IfStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str713223=allocate([83,119,105,116,99,104,83,116,97,116,101,109,101,110,116,0] /* SwitchStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str723224=allocate([87,104,105,108,101,83,116,97,116,101,109,101,110,116,0] /* WhileStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str733225=allocate([68,111,87,104,105,108,101,83,116,97,116,101,109,101,110,116,0] /* DoWhileStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str743226=allocate([70,111,114,83,116,97,116,101,109,101,110,116,0] /* ForStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str753227=allocate([70,111,114,73,110,83,116,97,116,101,109,101,110,116,0] /* ForInStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str763228=allocate([66,114,101,97,107,83,116,97,116,101,109,101,110,116,0] /* BreakStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str773229=allocate([67,111,110,116,105,110,117,101,83,116,97,116,101,109,101,110,116,0] /* ContinueStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str783230=allocate([87,105,116,104,83,116,97,116,101,109,101,110,116,0] /* WithStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str793231=allocate([82,101,116,117,114,110,83,116,97,116,101,109,101,110,116,0] /* ReturnStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str803232=allocate([84,114,121,83,116,97,116,101,109,101,110,116,0] /* TryStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str813233=allocate([84,104,114,111,119,83,116,97,116,101,109,101,110,116,0] /* ThrowStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str823234=allocate([68,101,98,117,103,103,101,114,83,116,97,116,101,109,101,110,116,0] /* DebuggerStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str833235=allocate([76,101,116,83,116,97,116,101,109,101,110,116,0] /* LetStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str843236=allocate([83,119,105,116,99,104,67,97,115,101,0] /* SwitchCase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str853237=allocate([67,97,116,99,104,67,108,97,117,115,101,0] /* CatchClause\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str863238=allocate([67,111,109,112,114,101,104,101,110,115,105,111,110,66,108,111,99,107,0] /* ComprehensionBlock\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str873239=allocate([65,114,114,97,121,80,97,116,116,101,114,110,0] /* ArrayPattern\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str883240=allocate([79,98,106,101,99,116,80,97,116,116,101,114,110,0] /* ObjectPattern\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str893241=allocate([88,77,76,65,110,121,78,97,109,101,0] /* XMLAnyName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str903242=allocate([88,77,76,65,116,116,114,105,98,117,116,101,83,101,108,101,99,116,111,114,0] /* XMLAttributeSelector */, "i8", ALLOC_STATIC);
STRING_TABLE.__str913243=allocate([88,77,76,69,115,99,97,112,101,0] /* XMLEscape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str923244=allocate([88,77,76,70,105,108,116,101,114,69,120,112,114,101,115,115,105,111,110,0] /* XMLFilterExpression\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str933245=allocate([88,77,76,68,101,102,97,117,108,116,68,101,99,108,97,114,97,116,105,111,110,0] /* XMLDefaultDeclaratio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str943246=allocate([88,77,76,81,117,97,108,105,102,105,101,100,73,100,101,110,116,105,102,105,101,114,0] /* XMLQualifiedIdentifi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str953247=allocate([88,77,76,70,117,110,99,116,105,111,110,81,117,97,108,105,102,105,101,100,73,100,101,110,116,105,102,105,101,114,0] /* XMLFunctionQualified */, "i8", ALLOC_STATIC);
STRING_TABLE.__str963248=allocate([88,77,76,69,108,101,109,101,110,116,0] /* XMLElement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str973249=allocate([88,77,76,84,101,120,116,0] /* XMLText\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str983250=allocate([88,77,76,76,105,115,116,0] /* XMLList\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str993251=allocate([88,77,76,83,116,97,114,116,84,97,103,0] /* XMLStartTag\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1003252=allocate([88,77,76,69,110,100,84,97,103,0] /* XMLEndTag\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1013253=allocate([88,77,76,80,111,105,110,116,84,97,103,0] /* XMLPointTag\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1023254=allocate([88,77,76,78,97,109,101,0] /* XMLName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1033255=allocate([88,77,76,65,116,116,114,105,98,117,116,101,0] /* XMLAttribute\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1043256=allocate([88,77,76,67,100,97,116,97,0] /* XMLCdata\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1053257=allocate([88,77,76,67,111,109,109,101,110,116,0] /* XMLComment\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1063258=allocate([88,77,76,80,114,111,99,101,115,115,105,110,103,73,110,115,116,114,117,99,116,105,111,110,0] /* XMLProcessingInstruc */, "i8", ALLOC_STATIC);
__ZN2js13nodeTypeNamesE=allocate(280, "*", ALLOC_STATIC);
STRING_TABLE.__str1073259=allocate([112,114,111,103,114,97,109,0] /* program\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1083260=allocate([105,100,101,110,116,105,102,105,101,114,0] /* identifier\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1093261=allocate([108,105,116,101,114,97,108,0] /* literal\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1103262=allocate([112,114,111,112,101,114,116,121,0] /* property\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1113263=allocate([102,117,110,99,116,105,111,110,68,101,99,108,97,114,97,116,105,111,110,0] /* functionDeclaration\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1123264=allocate([118,97,114,105,97,98,108,101,68,101,99,108,97,114,97,116,105,111,110,0] /* variableDeclaration\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1133265=allocate([118,97,114,105,97,98,108,101,68,101,99,108,97,114,97,116,111,114,0] /* variableDeclarator\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1143266=allocate([115,101,113,117,101,110,99,101,69,120,112,114,101,115,115,105,111,110,0] /* sequenceExpression\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1153267=allocate([99,111,110,100,105,116,105,111,110,97,108,69,120,112,114,101,115,115,105,111,110,0] /* conditionalExpressio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1163268=allocate([117,110,97,114,121,69,120,112,114,101,115,115,105,111,110,0] /* unaryExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1173269=allocate([98,105,110,97,114,121,69,120,112,114,101,115,115,105,111,110,0] /* binaryExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1183270=allocate([97,115,115,105,103,110,109,101,110,116,69,120,112,114,101,115,115,105,111,110,0] /* assignmentExpression */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1193271=allocate([108,111,103,105,99,97,108,69,120,112,114,101,115,115,105,111,110,0] /* logicalExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1203272=allocate([117,112,100,97,116,101,69,120,112,114,101,115,115,105,111,110,0] /* updateExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1213273=allocate([110,101,119,69,120,112,114,101,115,115,105,111,110,0] /* newExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1223274=allocate([99,97,108,108,69,120,112,114,101,115,115,105,111,110,0] /* callExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1233275=allocate([109,101,109,98,101,114,69,120,112,114,101,115,115,105,111,110,0] /* memberExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1243276=allocate([102,117,110,99,116,105,111,110,69,120,112,114,101,115,115,105,111,110,0] /* functionExpression\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1253277=allocate([97,114,114,97,121,69,120,112,114,101,115,115,105,111,110,0] /* arrayExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1263278=allocate([111,98,106,101,99,116,69,120,112,114,101,115,115,105,111,110,0] /* objectExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1273279=allocate([116,104,105,115,69,120,112,114,101,115,115,105,111,110,0] /* thisExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1283280=allocate([103,114,97,112,104,69,120,112,114,101,115,115,105,111,110,0] /* graphExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1293281=allocate([103,114,97,112,104,73,110,100,101,120,69,120,112,114,101,115,115,105,111,110,0] /* graphIndexExpression */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1303282=allocate([99,111,109,112,114,101,104,101,110,115,105,111,110,69,120,112,114,101,115,115,105,111,110,0] /* comprehensionExpress */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1313283=allocate([103,101,110,101,114,97,116,111,114,69,120,112,114,101,115,115,105,111,110,0] /* generatorExpression\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1323284=allocate([121,105,101,108,100,69,120,112,114,101,115,115,105,111,110,0] /* yieldExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1333285=allocate([108,101,116,69,120,112,114,101,115,115,105,111,110,0] /* letExpression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1343286=allocate([101,109,112,116,121,83,116,97,116,101,109,101,110,116,0] /* emptyStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1353287=allocate([98,108,111,99,107,83,116,97,116,101,109,101,110,116,0] /* blockStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1363288=allocate([101,120,112,114,101,115,115,105,111,110,83,116,97,116,101,109,101,110,116,0] /* expressionStatement\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1373289=allocate([108,97,98,101,108,101,100,83,116,97,116,101,109,101,110,116,0] /* labeledStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1383290=allocate([105,102,83,116,97,116,101,109,101,110,116,0] /* ifStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1393291=allocate([115,119,105,116,99,104,83,116,97,116,101,109,101,110,116,0] /* switchStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1403292=allocate([119,104,105,108,101,83,116,97,116,101,109,101,110,116,0] /* whileStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1413293=allocate([100,111,87,104,105,108,101,83,116,97,116,101,109,101,110,116,0] /* doWhileStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1423294=allocate([102,111,114,83,116,97,116,101,109,101,110,116,0] /* forStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1433295=allocate([102,111,114,73,110,83,116,97,116,101,109,101,110,116,0] /* forInStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1443296=allocate([98,114,101,97,107,83,116,97,116,101,109,101,110,116,0] /* breakStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1453297=allocate([99,111,110,116,105,110,117,101,83,116,97,116,101,109,101,110,116,0] /* continueStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1463298=allocate([119,105,116,104,83,116,97,116,101,109,101,110,116,0] /* withStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1473299=allocate([114,101,116,117,114,110,83,116,97,116,101,109,101,110,116,0] /* returnStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1483300=allocate([116,114,121,83,116,97,116,101,109,101,110,116,0] /* tryStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1493301=allocate([116,104,114,111,119,83,116,97,116,101,109,101,110,116,0] /* throwStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1503302=allocate([100,101,98,117,103,103,101,114,83,116,97,116,101,109,101,110,116,0] /* debuggerStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1513303=allocate([108,101,116,83,116,97,116,101,109,101,110,116,0] /* letStatement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1523304=allocate([115,119,105,116,99,104,67,97,115,101,0] /* switchCase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1533305=allocate([99,97,116,99,104,67,108,97,117,115,101,0] /* catchClause\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1543306=allocate([99,111,109,112,114,101,104,101,110,115,105,111,110,66,108,111,99,107,0] /* comprehensionBlock\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1553307=allocate([97,114,114,97,121,80,97,116,116,101,114,110,0] /* arrayPattern\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1563308=allocate([111,98,106,101,99,116,80,97,116,116,101,114,110,0] /* objectPattern\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1573309=allocate([112,114,111,112,101,114,116,121,80,97,116,116,101,114,110,0] /* propertyPattern\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1583310=allocate([120,109,108,65,110,121,78,97,109,101,0] /* xmlAnyName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1593311=allocate([120,109,108,65,116,116,114,105,98,117,116,101,83,101,108,101,99,116,111,114,0] /* xmlAttributeSelector */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1603312=allocate([120,109,108,69,115,99,97,112,101,0] /* xmlEscape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1613313=allocate([120,109,108,70,105,108,116,101,114,69,120,112,114,101,115,115,105,111,110,0] /* xmlFilterExpression\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1623314=allocate([120,109,108,68,101,102,97,117,108,116,68,101,99,108,97,114,97,116,105,111,110,0] /* xmlDefaultDeclaratio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1633315=allocate([120,109,108,81,117,97,108,105,102,105,101,100,73,100,101,110,116,105,102,105,101,114,0] /* xmlQualifiedIdentifi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1643316=allocate([120,109,108,70,117,110,99,116,105,111,110,81,117,97,108,105,102,105,101,100,73,100,101,110,116,105,102,105,101,114,0] /* xmlFunctionQualified */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1653317=allocate([120,109,108,69,108,101,109,101,110,116,0] /* xmlElement\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1663318=allocate([120,109,108,84,101,120,116,0] /* xmlText\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1673319=allocate([120,109,108,76,105,115,116,0] /* xmlList\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1683320=allocate([120,109,108,83,116,97,114,116,84,97,103,0] /* xmlStartTag\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1693321=allocate([120,109,108,69,110,100,84,97,103,0] /* xmlEndTag\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1703322=allocate([120,109,108,80,111,105,110,116,84,97,103,0] /* xmlPointTag\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1713323=allocate([120,109,108,78,97,109,101,0] /* xmlName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1723324=allocate([120,109,108,65,116,116,114,105,98,117,116,101,0] /* xmlAttribute\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1733325=allocate([120,109,108,67,100,97,116,97,0] /* xmlCdata\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1743326=allocate([120,109,108,67,111,109,109,101,110,116,0] /* xmlComment\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1753327=allocate([120,109,108,80,114,111,99,101,115,115,105,110,103,73,110,115,116,114,117,99,116,105,111,110,0] /* xmlProcessingInstruc */, "i8", ALLOC_STATIC);
__ZN2js13callbackNamesE=allocate(280, "*", ALLOC_STATIC);
STRING_TABLE.__str1763328=allocate([116,121,112,101,0] /* type\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1773329=allocate([115,116,97,114,116,0] /* start\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1783330=allocate([108,105,110,101,0] /* line\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1793331=allocate([99,111,108,117,109,110,0] /* column\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1803332=allocate([101,110,100,0] /* end\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1813333=allocate([115,111,117,114,99,101,0] /* source\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1823334=allocate([108,111,99,0] /* loc\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1833335=allocate([98,111,100,121,0] /* body\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1843336=allocate([101,120,112,114,101,115,115,105,111,110,0] /* expression\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1853337=allocate([116,101,115,116,0] /* test\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1863338=allocate([99,111,110,115,101,113,117,101,110,116,0] /* consequent\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1873339=allocate([97,108,116,101,114,110,97,116,101,0] /* alternate\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1883340=allocate([108,97,98,101,108,0] /* label\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1893341=allocate([97,114,103,117,109,101,110,116,0] /* argument\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1903342=allocate([105,110,105,116,0] /* init\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1913343=allocate([117,112,100,97,116,101,0] /* update\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1923344=allocate([108,101,102,116,0] /* left\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1933345=allocate([114,105,103,104,116,0] /* right\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1943346=allocate([101,97,99,104,0] /* each\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1953347=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1963348=allocate([100,105,115,99,114,105,109,105,110,97,110,116,0] /* discriminant\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1973349=allocate([99,97,115,101,115,0] /* cases\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1983350=allocate([108,101,120,105,99,97,108,0] /* lexical\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1993351=allocate([98,108,111,99,107,0] /* block\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2003352=allocate([104,97,110,100,108,101,114,115,0] /* handlers\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2013353=allocate([102,105,110,97,108,105,122,101,114,0] /* finalizer\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2023354=allocate([111,112,101,114,97,116,111,114,0] /* operator\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2033355=allocate([112,114,101,102,105,120,0] /* prefix\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2043356=allocate([43,43,0] /* ++\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2053357=allocate([45,45,0] /* --\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2063358=allocate([124,124,0] /* ||\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2073359=allocate([38,38,0] /* &&\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2083360=allocate([101,120,112,114,101,115,115,105,111,110,115,0] /* expressions\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2093361=allocate([99,97,108,108,101,101,0] /* callee\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2103362=allocate([97,114,103,117,109,101,110,116,115,0] /* arguments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2113363=allocate([99,111,109,112,117,116,101,100,0] /* computed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2123364=allocate([101,108,101,109,101,110,116,115,0] /* elements\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2133365=allocate([107,101,121,0] /* key\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2143366=allocate([118,97,108,117,101,0] /* value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2153367=allocate([107,105,110,100,0] /* kind\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2163368=allocate([103,101,116,0] /* get\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2173369=allocate([115,101,116,0] /* set\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2183370=allocate([112,114,111,112,101,114,116,105,101,115,0] /* properties\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2193371=allocate([98,108,111,99,107,115,0] /* blocks\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2203372=allocate([102,105,108,116,101,114,0] /* filter\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2213373=allocate([105,110,100,101,120,0] /* index\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2223374=allocate([104,101,97,100,0] /* head\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2233375=allocate([99,111,110,115,116,0] /* const\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2243376=allocate([108,101,116,0] /* let\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2253377=allocate([118,97,114,0] /* var\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2263378=allocate([100,101,99,108,97,114,97,116,105,111,110,115,0] /* declarations\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2273379=allocate([105,100,0] /* id\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2283380=allocate([112,97,114,97,109,0] /* param\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2293381=allocate([103,117,97,114,100,0] /* guard\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2303382=allocate([110,97,109,101,0] /* name\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2313383=allocate([112,97,114,97,109,115,0] /* params\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2323384=allocate([103,101,110,101,114,97,116,111,114,0] /* generator\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2333385=allocate([110,97,109,101,115,112,97,99,101,0] /* namespace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2343386=allocate([97,116,116,114,105,98,117,116,101,0] /* attribute\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2353387=allocate([99,111,110,116,101,110,116,115,0] /* contents\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2363388=allocate([116,101,120,116,0] /* text\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2373389=allocate([116,97,114,103,101,116,0] /* target\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2383390=allocate([112,97,114,115,101,0] /* parse\00 */, "i8", ALLOC_STATIC);
__ZL14static_methods3391=allocate([0, 0, 0, 0, 1194, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str2393392=allocate([82,101,102,108,101,99,116,0] /* Reflect\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2403393=allocate([82,101,102,108,101,99,116,46,112,97,114,115,101,0] /* Reflect.parse\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2413394=allocate([48,0] /* 0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2423395=allocate([115,0] /* s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2433396=allocate([110,111,116,32,97,110,32,111,98,106,101,99,116,0] /* not an object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3439=allocate([82,101,103,69,120,112,83,116,97,116,105,99,115,0] /* RegExpStatics\00 */, "i8", ALLOC_STATIC);
__ZN2js20regexp_statics_classE=allocate([0, 0, 0, 0, 1, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str13442=allocate([105,110,112,117,116,0] /* input\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23443=allocate([109,117,108,116,105,108,105,110,101,0] /* multiline\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str33444=allocate([108,97,115,116,77,97,116,99,104,0] /* lastMatch\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43445=allocate([108,97,115,116,80,97,114,101,110,0] /* lastParen\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str53446=allocate([108,101,102,116,67,111,110,116,101,120,116,0] /* leftContext\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63447=allocate([114,105,103,104,116,67,111,110,116,101,120,116,0] /* rightContext\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str73448=allocate([36,49,0] /* $1\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str83449=allocate([36,50,0] /* $2\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str93450=allocate([36,51,0] /* $3\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str103451=allocate([36,52,0] /* $4\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str113452=allocate([36,53,0] /* $5\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str123453=allocate([36,54,0] /* $6\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str133454=allocate([36,55,0] /* $7\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str143455=allocate([36,56,0] /* $8\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str153456=allocate([36,57,0] /* $9\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str163457=allocate([36,95,0] /* $_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str173458=allocate([36,42,0] /* $_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str183459=allocate([36,38,0] /* $&\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str193460=allocate([36,43,0] /* $+\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str203461=allocate([36,96,0] /* $`\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str213462=allocate([36,39,0] /* $'\00 */, "i8", ALLOC_STATIC);
__ZL19regexp_static_props=allocate([0, 0, 0, 0, 0, 69, 0, 0, 1200, 0, 0, 0, 1202, 0, 0, 0, 0, 0, 0, 0, 0, 69, 0, 0, 1204, 0, 0, 0, 1206, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 1232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 68, 0, 0, 1200, 0, 0, 0, 1202, 0, 0, 0, 0, 0, 0, 0, 0, 68, 0, 0, 1204, 0, 0, 0, 1206, 0, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 1208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 1210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 1212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 1214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZN2js11RegExpClassE=allocate([0, 0, 0, 0, 167773697, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str223465=allocate([47,40,63,58,41,47,0] /* /(?:)/\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str233466=allocate([99,111,109,112,105,108,101,0] /* compile\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str243467=allocate([101,120,101,99,0] /* exec\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str253468=allocate([116,101,115,116,0] /* test\00 */, "i8", ALLOC_STATIC);
__ZL14regexp_methods=allocate([0, 0, 0, 0, 1238, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1238, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1240, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1242, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1244, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str263469=allocate([115,111,117,114,99,101,0] /* source\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str273470=allocate([103,108,111,98,97,108,0] /* global\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str283471=allocate([105,103,110,111,114,101,67,97,115,101,0] /* ignoreCase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str293472=allocate([115,116,105,99,107,121,0] /* sticky\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str303473=allocate([108,97,115,116,73,110,100,101,120,0] /* lastIndex\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_false_str=allocate([102,97,108,115,101,0] /* false\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_true_str=allocate([116,114,117,101,0] /* true\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_null_str=allocate([110,117,108,108,0] /* null\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_break_str=allocate([98,114,101,97,107,0] /* break\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_case_str=allocate([99,97,115,101,0] /* case\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_catch_str=allocate([99,97,116,99,104,0] /* catch\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_continue_str=allocate([99,111,110,116,105,110,117,101,0] /* continue\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_debugger_str=allocate([100,101,98,117,103,103,101,114,0] /* debugger\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_default_str=allocate([100,101,102,97,117,108,116,0] /* default\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_delete_str=allocate([100,101,108,101,116,101,0] /* delete\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_do_str=allocate([100,111,0] /* do\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_else_str=allocate([101,108,115,101,0] /* else\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_finally_str=allocate([102,105,110,97,108,108,121,0] /* finally\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_for_str=allocate([102,111,114,0] /* for\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_function_str=allocate([102,117,110,99,116,105,111,110,0] /* function\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_if_str=allocate([105,102,0] /* if\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_in_str=allocate([105,110,0] /* in\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_instanceof_str=allocate([105,110,115,116,97,110,99,101,111,102,0] /* instanceof\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_new_str=allocate([110,101,119,0] /* new\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_return_str=allocate([114,101,116,117,114,110,0] /* return\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_switch_str=allocate([115,119,105,116,99,104,0] /* switch\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_this_str=allocate([116,104,105,115,0] /* this\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_throw_str=allocate([116,104,114,111,119,0] /* throw\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_try_str=allocate([116,114,121,0] /* try\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_typeof_str=allocate([116,121,112,101,111,102,0] /* typeof\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_var_str=allocate([118,97,114,0] /* var\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_void_str=allocate([118,111,105,100,0] /* void\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_while_str=allocate([119,104,105,108,101,0] /* while\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_with_str=allocate([119,105,116,104,0] /* with\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_class_str=allocate([99,108,97,115,115,0] /* class\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_enum_str=allocate([101,110,117,109,0] /* enum\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_export_str=allocate([101,120,112,111,114,116,0] /* export\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_extends_str=allocate([101,120,116,101,110,100,115,0] /* extends\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_import_str=allocate([105,109,112,111,114,116,0] /* import\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_super_str=allocate([115,117,112,101,114,0] /* super\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_const_str=allocate([99,111,110,115,116,0] /* const\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_let_str=allocate([108,101,116,0] /* let\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_yield_str=allocate([121,105,101,108,100,0] /* yield\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_implements_str=allocate([105,109,112,108,101,109,101,110,116,115,0] /* implements\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_interface_str=allocate([105,110,116,101,114,102,97,99,101,0] /* interface\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_package_str=allocate([112,97,99,107,97,103,101,0] /* package\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_private_str=allocate([112,114,105,118,97,116,101,0] /* private\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_protected_str=allocate([112,114,111,116,101,99,116,101,100,0] /* protected\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_public_str=allocate([112,117,98,108,105,99,0] /* public\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_static_str=allocate([115,116,97,116,105,99,0] /* static\00 */, "i8", ALLOC_STATIC);
__ZL8keywords=allocate([0, 0, 0, 0, 33, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 0, 0, 0, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 0, 0, 0, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 57, 0, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 0, 0, 0, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 0, 0, 0, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 0, 0, 0, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 0, 0, 0, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 81, 0, 0, 0, 0, 0, 0, 0, 170, 0, 0, 0, 0, 0, 0, 0, 77, 0, 0, 0, 0, 0, 0, 0, 170, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str3585=allocate([64,108,105,110,101,0] /* @line\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13586=allocate([64,115,111,117,114,99,101,77,97,112,112,105,110,103,85,82,76,61,0] /* @sourceMappingURL=\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL14firstCharKinds=allocate([0,0,0,0,0,0,0,0,0,10,11,10,10,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,5,0,2,0,0,5,1,1,0,8,1,0,3,0,9,6,6,6,6,6,6,6,6,6,7,1,0,4,0,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,0,1,0,2,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,0,1,0,0] /* \00\00\00\00\00\00\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23587=allocate([85,110,105,99,111,100,101,0] /* Unicode\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str33588=allocate([104,101,120,97,100,101,99,105,109,97,108,0] /* hexadecimal\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43589=allocate([48,56,0] /* 08\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str53590=allocate([48,57,0] /* 09\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63591=allocate([35,37,117,37,99,0] /* #%u%c\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3667=allocate([35,97,114,114,97,121,0] /* #array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13668=allocate([115,104,97,112,101,0] /* shape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23669=allocate([83,99,114,105,112,116,0] /* Script\00 */, "i8", ALLOC_STATIC);
__ZN2js11ScriptClassE=allocate([0, 0, 0, 0, 16777217, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str33670=allocate([115,99,114,105,112,116,0] /* script\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_escape_str=allocate([101,115,99,97,112,101,0] /* escape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_unescape_str=allocate([117,110,101,115,99,97,112,101,0] /* unescape\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_uneval_str=allocate([117,110,101,118,97,108,0] /* uneval\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_decodeURI_str=allocate([100,101,99,111,100,101,85,82,73,0] /* decodeURI\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_encodeURI_str=allocate([101,110,99,111,100,101,85,82,73,0] /* encodeURI\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_decodeURIComponent_str=allocate([100,101,99,111,100,101,85,82,73,67,111,109,112,111,110,101,110,116,0] /* decodeURIComponent\0 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_encodeURIComponent_str=allocate([101,110,99,111,100,101,85,82,73,67,111,109,112,111,110,101,110,116,0] /* encodeURIComponent\0 */, "i8", ALLOC_STATIC);
__ZL16string_functions=allocate([0, 0, 0, 0, 1248, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1250, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1252, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1254, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1256, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1258, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1260, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
_js_empty_ucstr=allocate(2, "i16", ALLOC_STATIC);
_js_EmptySubString=allocate(8, ["i32",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZN2js11StringClassE=allocate([0, 0, 0, 0, 150995460, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 1262, 0, 0, 0, 1264, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZZN2js11str_replaceEP9JSContextjPN2JS5ValueEE6optarg=allocate([2], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str3763=allocate([113,117,111,116,101,0] /* quote\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13764=allocate([115,117,98,115,116,114,105,110,103,0] /* substring\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23765=allocate([116,111,76,111,119,101,114,67,97,115,101,0] /* toLowerCase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str33766=allocate([116,111,85,112,112,101,114,67,97,115,101,0] /* toUpperCase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43767=allocate([99,104,97,114,65,116,0] /* charAt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str53768=allocate([99,104,97,114,67,111,100,101,65,116,0] /* charCodeAt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63769=allocate([105,110,100,101,120,79,102,0] /* indexOf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str73770=allocate([108,97,115,116,73,110,100,101,120,79,102,0] /* lastIndexOf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str83771=allocate([116,114,105,109,0] /* trim\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str93772=allocate([116,114,105,109,76,101,102,116,0] /* trimLeft\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str103773=allocate([116,114,105,109,82,105,103,104,116,0] /* trimRight\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str113774=allocate([116,111,76,111,99,97,108,101,76,111,119,101,114,67,97,115,101,0] /* toLocaleLowerCase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str123775=allocate([116,111,76,111,99,97,108,101,85,112,112,101,114,67,97,115,101,0] /* toLocaleUpperCase\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str133776=allocate([108,111,99,97,108,101,67,111,109,112,97,114,101,0] /* localeCompare\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str143777=allocate([109,97,116,99,104,0] /* match\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str153778=allocate([115,101,97,114,99,104,0] /* search\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str163779=allocate([114,101,112,108,97,99,101,0] /* replace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str173780=allocate([115,112,108,105,116,0] /* split\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str183781=allocate([115,117,98,115,116,114,0] /* substr\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str193782=allocate([99,111,110,99,97,116,0] /* concat\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str203783=allocate([115,108,105,99,101,0] /* slice\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str213784=allocate([98,111,108,100,0] /* bold\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str223785=allocate([105,116,97,108,105,99,115,0] /* italics\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str233786=allocate([102,105,120,101,100,0] /* fixed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str243787=allocate([102,111,110,116,115,105,122,101,0] /* fontsize\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str253788=allocate([102,111,110,116,99,111,108,111,114,0] /* fontcolor\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str263789=allocate([108,105,110,107,0] /* link\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str273790=allocate([97,110,99,104,111,114,0] /* anchor\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str283791=allocate([115,116,114,105,107,101,0] /* strike\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str293792=allocate([115,109,97,108,108,0] /* small\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str303793=allocate([98,105,103,0] /* big\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str313794=allocate([98,108,105,110,107,0] /* blink\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str323795=allocate([115,117,112,0] /* sup\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str333796=allocate([115,117,98,0] /* sub\00 */, "i8", ALLOC_STATIC);
__ZL14string_methods=allocate([0, 0, 0, 0, 1266, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 1268, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 196, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 196, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1270, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1272, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 1274, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 1276, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 1278, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 1280, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 1282, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 1284, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 1286, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 1288, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 1290, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 1292, 0, 0, 0, 0, 0, 4104, 0, 0, 0, 0, 0, 1294, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 1296, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 1298, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 146, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1300, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1302, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1304, 0, 0, 0, 1, 0, 4104, 0, 0, 0, 0, 0, 1306, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1308, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1310, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1312, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1314, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1316, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1318, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1320, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1322, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1324, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1326, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1328, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1330, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1332, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str343797=allocate([102,114,111,109,67,104,97,114,67,111,100,101,0] /* fromCharCode\00 */, "i8", ALLOC_STATIC);
__ZL21string_static_methods=allocate([0, 0, 0, 0, 1334, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str353798=allocate([108,101,110,103,116,104,0] /* length\00 */, "i8", ALLOC_STATIC);
__ZZ16js_ValueToSourceP9JSContextRKN2JS5ValueEE17js_negzero_ucNstr=allocate([45, 0, 48, 0], ["i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str363799=allocate([48,120,37,120,0] /* 0x%x\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str373800=allocate([37,100,0] /* %d\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_isidstart=allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0] /* \00\00\00\00\00\00\0 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_isident=allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0] /* \00\00\00\00\00\00\0 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_isspace=allocate([0,0,0,0,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0] /* \00\00\00\00\00\00\0 */, "i8", ALLOC_STATIC);
__ZZL17Utf8ToOneUcs4CharPKhiE12minucs4Table=allocate([128, 0, 0, 0, 2048, 0, 0, 0, 65536, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZL21js_uriUnescaped_ucstr=allocate([48, 0, 49, 0, 50, 0, 51, 0, 52, 0, 53, 0, 54, 0, 55, 0, 56, 0, 57, 0, 65, 0, 66, 0, 67, 0, 68, 0, 69, 0, 70, 0, 71, 0, 72, 0, 73, 0, 74, 0, 75, 0, 76, 0, 77, 0, 78, 0, 79, 0, 80, 0, 81, 0, 82, 0, 83, 0, 84, 0, 85, 0, 86, 0, 87, 0, 88, 0, 89, 0, 90, 0, 97, 0, 98, 0, 99, 0, 100, 0, 101, 0, 102, 0, 103, 0, 104, 0, 105, 0, 106, 0, 107, 0, 108, 0, 109, 0, 110, 0, 111, 0, 112, 0, 113, 0, 114, 0, 115, 0, 116, 0, 117, 0, 118, 0, 119, 0, 120, 0, 121, 0, 122, 0, 45, 0, 95, 0, 46, 0, 33, 0, 126, 0, 42, 0, 39, 0, 40, 0, 41, 0, 0, 0], ["i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__ZZL6EncodeP9JSContextP8JSStringPKtS4_PN2JS5ValueEE9HexDigits=allocate([48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0] /* 0123456789ABCDEF\00 */, "i8", ALLOC_STATIC);
__ZL29js_uriReservedPlusPound_ucstr=allocate([59, 0, 47, 0, 63, 0, 58, 0, 64, 0, 38, 0, 61, 0, 43, 0, 36, 0, 44, 0, 35, 0, 0, 0], ["i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str383807=allocate([97,32,110,97,109,101,0] /* a name\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str393808=allocate([97,0] /* a\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str403809=allocate([97,32,104,114,101,102,0] /* a href\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str413810=allocate([102,111,110,116,32,99,111,108,111,114,0] /* font color\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str423811=allocate([102,111,110,116,0] /* font\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str433812=allocate([102,111,110,116,32,115,105,122,101,0] /* font size\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str443813=allocate([116,116,0] /* tt\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str453814=allocate([105,0] /* i\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str463815=allocate([98,0] /* b\00 */, "i8", ALLOC_STATIC);
__ZZN11RegExpGuard14flattenPatternEP9JSContextP14JSLinearStringE11ESCAPE_CHAR=allocate([92], ["i16",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str473816=allocate([40,110,101,119,32,83,116,114,105,110,103,40,0] /* (new String(\00 */, "i8", ALLOC_STATIC);
__ZZL23str_replace_flat_lambdaP9JSContextjPN2JS5ValueER11ReplaceDataRK9FlatMatchE10lambdaArgc=allocate([3], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str483817=allocate([110,117,108,108,0] /* null\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str493818=allocate([117,110,100,101,102,105,110,101,100,0] /* undefined\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str503819=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE6digits=allocate([48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70] /* 0123456789ABCDEF */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL10str_escapeP9JSContextjPN2JS5ValueEE17shouldPassThrough=allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0] /* \00\00\00\00\00\00\0 */, "i8", ALLOC_STATIC);
__ZN2js11ArrayBuffer9slowClassE=allocate([0, 0, 0, 0, 402657281, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str3951=allocate([97,114,114,97,121,98,117,102,102,101,114,46,100,101,108,101,103,97,116,101,0] /* arraybuffer.delegate */, "i8", ALLOC_STATIC);
__ZL14PROPERTY_FOUND=allocate(1, "%struct.JSProperty*", ALLOC_STATIC);
STRING_TABLE.__str13952=allocate([65,114,114,97,121,66,117,102,102,101,114,0] /* ArrayBuffer\00 */, "i8", ALLOC_STATIC);
__ZN2js16ArrayBufferClassE=allocate([0, 0, 0, 0, 403181569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1338, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1340, 0, 0, 0, 1340, 0, 0, 0, 1342, 0, 0, 0, 1344, 0, 0, 0, 1346, 0, 0, 0, 1346, 0, 0, 0, 1348, 0, 0, 0, 1350, 0, 0, 0, 1352, 0, 0, 0, 1354, 0, 0, 0, 1356, 0, 0, 0, 1358, 0, 0, 0, 1360, 0, 0, 0, 1360, 0, 0, 0, 1362, 0, 0, 0, 1364, 0, 0, 0, 1366, 0, 0, 0, 1366, 0, 0, 0, 1368, 0, 0, 0, 1370, 0, 0, 0, 1372, 0, 0, 0, 1372, 0, 0, 0, 1374, 0, 0, 0, 1376, 0, 0, 0, 1378, 0, 0, 0, 1378, 0, 0, 0, 1380, 0, 0, 0, 1382, 0, 0, 0, 1384, 0, 0, 0, 1386, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str23955=allocate([98,121,116,101,76,101,110,103,116,104,0] /* byteLength\00 */, "i8", ALLOC_STATIC);
__ZN2js11ArrayBuffer7jspropsE=allocate([0, 0, 0, 0, -1, 70, 0, 0, 1388, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str33956=allocate([98,121,116,101,79,102,102,115,101,116,0] /* byteOffset\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43957=allocate([98,117,102,102,101,114,0] /* buffer\00 */, "i8", ALLOC_STATIC);
__ZN2js10TypedArray7jspropsE=allocate([0, 0, 0, 0, -1, 70, 0, 0, 1390, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, -1, 70, 0, 0, 1392, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, -1, 70, 0, 0, 1394, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, -1, 70, 0, 0, 1396, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str53958=allocate([115,117,98,97,114,114,97,121,0] /* subarray\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63959=allocate([115,101,116,0] /* set\00 */, "i8", ALLOC_STATIC);
__ZN9Int8Array7jsfuncsE=allocate([0, 0, 0, 0, 1398, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1400, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN10Uint8Array7jsfuncsE=allocate([0, 0, 0, 0, 1402, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1404, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN10Int16Array7jsfuncsE=allocate([0, 0, 0, 0, 1406, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1408, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN11Uint16Array7jsfuncsE=allocate([0, 0, 0, 0, 1410, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1412, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN10Int32Array7jsfuncsE=allocate([0, 0, 0, 0, 1414, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1416, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN11Uint32Array7jsfuncsE=allocate([0, 0, 0, 0, 1418, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1420, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN12Float32Array7jsfuncsE=allocate([0, 0, 0, 0, 1422, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1424, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN12Float64Array7jsfuncsE=allocate([0, 0, 0, 0, 1426, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1428, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
__ZN17Uint8ClampedArray7jsfuncsE=allocate([0, 0, 0, 0, 1430, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 1432, 0, 0, 0, 2, 0, 4104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str73960=allocate([73,110,116,56,65,114,114,97,121,0] /* Int8Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str83961=allocate([85,105,110,116,56,65,114,114,97,121,0] /* Uint8Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str93962=allocate([73,110,116,49,54,65,114,114,97,121,0] /* Int16Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str103963=allocate([85,105,110,116,49,54,65,114,114,97,121,0] /* Uint16Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str113964=allocate([73,110,116,51,50,65,114,114,97,121,0] /* Int32Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str123965=allocate([85,105,110,116,51,50,65,114,114,97,121,0] /* Uint32Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str133966=allocate([70,108,111,97,116,51,50,65,114,114,97,121,0] /* Float32Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str143967=allocate([70,108,111,97,116,54,52,65,114,114,97,121,0] /* Float64Array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str153968=allocate([85,105,110,116,56,67,108,97,109,112,101,100,65,114,114,97,121,0] /* Uint8ClampedArray\00 */, "i8", ALLOC_STATIC);
__ZN2js10TypedArray11fastClassesE=allocate([0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1434, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1442, 0, 0, 0, 1442, 0, 0, 0, 1444, 0, 0, 0, 1446, 0, 0, 0, 1448, 0, 0, 0, 1450, 0, 0, 0, 1452, 0, 0, 0, 1454, 0, 0, 0, 1456, 0, 0, 0, 1456, 0, 0, 0, 1458, 0, 0, 0, 1460, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1474, 0, 0, 0, 1474, 0, 0, 0, 1476, 0, 0, 0, 1478, 0, 0, 0, 1480, 0, 0, 0, 1482, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1484, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1486, 0, 0, 0, 1486, 0, 0, 0, 1488, 0, 0, 0, 1490, 0, 0, 0, 1492, 0, 0, 0, 1494, 0, 0, 0, 1496, 0, 0, 0, 1498, 0, 0, 0, 1500, 0, 0, 0, 1500, 0, 0, 0, 1502, 0, 0, 0, 1504, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1506, 0, 0, 0, 1506, 0, 0, 0, 1508, 0, 0, 0, 1510, 0, 0, 0, 1512, 0, 0, 0, 1514, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1516, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1518, 0, 0, 0, 1518, 0, 0, 0, 1520, 0, 0, 0, 1522, 0, 0, 0, 1524, 0, 0, 0, 1526, 0, 0, 0, 1528, 0, 0, 0, 1530, 0, 0, 0, 1532, 0, 0, 0, 1532, 0, 0, 0, 1534, 0, 0, 0, 1536, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1538, 0, 0, 0, 1538, 0, 0, 0, 1540, 0, 0, 0, 1542, 0, 0, 0, 1544, 0, 0, 0, 1546, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1548, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1550, 0, 0, 0, 1550, 0, 0, 0, 1552, 0, 0, 0, 1554, 0, 0, 0, 1556, 0, 0, 0, 1558, 0, 0, 0, 1560, 0, 0, 0, 1562, 0, 0, 0, 1564, 0, 0, 0, 1564, 0, 0, 0, 1566, 0, 0, 0, 1568, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1570, 0, 0, 0, 1570, 0, 0, 0, 1572, 0, 0, 0, 1574, 0, 0, 0, 1576, 0, 0, 0, 1578, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1580, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1582, 0, 0, 0, 1582, 0, 0, 0, 1584, 0, 0, 0, 1586, 0, 0, 0, 1588, 0, 0, 0, 1590, 0, 0, 0, 1592, 0, 0, 0, 1594, 0, 0, 0, 1596, 0, 0, 0, 1596, 0, 0, 0, 1598, 0, 0, 0, 1600, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1602, 0, 0, 0, 1602, 0, 0, 0, 1604, 0, 0, 0, 1606, 0, 0, 0, 1608, 0, 0, 0, 1610, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1612, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1614, 0, 0, 0, 1614, 0, 0, 0, 1616, 0, 0, 0, 1618, 0, 0, 0, 1620, 0, 0, 0, 1622, 0, 0, 0, 1624, 0, 0, 0, 1626, 0, 0, 0, 1628, 0, 0, 0, 1628, 0, 0, 0, 1630, 0, 0, 0, 1632, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1634, 0, 0, 0, 1634, 0, 0, 0, 1636, 0, 0, 0, 1638, 0, 0, 0, 1640, 0, 0, 0, 1642, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1644, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1646, 0, 0, 0, 1646, 0, 0, 0, 1648, 0, 0, 0, 1650, 0, 0, 0, 1652, 0, 0, 0, 1654, 0, 0, 0, 1656, 0, 0, 0, 1658, 0, 0, 0, 1660, 0, 0, 0, 1660, 0, 0, 0, 1662, 0, 0, 0, 1664, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1666, 0, 0, 0, 1666, 0, 0, 0, 1668, 0, 0, 0, 1670, 0, 0, 0, 1672, 0, 0, 0, 1674, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1676, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1678, 0, 0, 0, 1678, 0, 0, 0, 1680, 0, 0, 0, 1682, 0, 0, 0, 1684, 0, 0, 0, 1686, 0, 0, 0, 1688, 0, 0, 0, 1690, 0, 0, 0, 1692, 0, 0, 0, 1692, 0, 0, 0, 1694, 0, 0, 0, 1696, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1698, 0, 0, 0, 1698, 0, 0, 0, 1700, 0, 0, 0, 1702, 0, 0, 0, 1704, 0, 0, 0, 1706, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 525569, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1708, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1436, 0, 0, 0, 1436, 0, 0, 0, 1438, 0, 0, 0, 1440, 0, 0, 0, 1710, 0, 0, 0, 1710, 0, 0, 0, 1712, 0, 0, 0, 1714, 0, 0, 0, 1716, 0, 0, 0, 1718, 0, 0, 0, 1720, 0, 0, 0, 1722, 0, 0, 0, 1724, 0, 0, 0, 1724, 0, 0, 0, 1726, 0, 0, 0, 1728, 0, 0, 0, 1462, 0, 0, 0, 1462, 0, 0, 0, 1464, 0, 0, 0, 1466, 0, 0, 0, 1468, 0, 0, 0, 1468, 0, 0, 0, 1470, 0, 0, 0, 1472, 0, 0, 0, 1730, 0, 0, 0, 1730, 0, 0, 0, 1732, 0, 0, 0, 1734, 0, 0, 0, 1736, 0, 0, 0, 1738, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js10TypedArray11slowClassesE=allocate([0, 0, 0, 0, 419431681, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 436208897, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 452986113, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 469763329, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 486540545, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 503317761, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 520094977, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 536872193, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 553649409, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8","*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str163973=allocate([49,0] /* 1\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str173974=allocate([50,0] /* 2\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str183975=allocate([115,105,122,101,32,97,110,100,32,99,111,117,110,116,0] /* size and count\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str193976=allocate([116,121,112,101,100,97,114,114,97,121,46,98,117,102,102,101,114,0] /* typedarray.buffer\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4046=allocate([65,115,115,101,114,116,105,111,110,32,102,97,105,108,117,114,101,58,32,37,115,44,32,97,116,32,37,115,58,37,100,10,0] /* Assertion failure: % */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4049=allocate([104,101,108,100,32,87,97,116,99,104,112,111,105,110,116,32,111,98,106,101,99,116,0] /* held Watchpoint obje */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14050=allocate([87,97,116,99,104,75,101,121,58,58,105,100,0] /* WatchKey::id\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24051=allocate([87,97,116,99,104,112,111,105,110,116,58,58,99,108,111,115,117,114,101,0] /* Watchpoint::closure\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4075=allocate([87,101,97,107,77,97,112,0] /* WeakMap\00 */, "i8", ALLOC_STATIC);
__ZN2js12WeakMapClassE=allocate([0, 0, 0, 0, 603979777, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1740, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1742, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str14078=allocate([104,97,115,0] /* has\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24079=allocate([103,101,116,0] /* get\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str34080=allocate([100,101,108,101,116,101,0] /* delete\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str44081=allocate([115,101,116,0] /* set\00 */, "i8", ALLOC_STATIC);
__ZL16weak_map_methods=allocate([0, 0, 0, 0, 1744, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1746, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1748, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1750, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str54082=allocate([87,101,97,107,77,97,112,46,115,101,116,0] /* WeakMap.set\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str64083=allocate([48,0] /* 0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str74084=allocate([115,0] /* s\00 */, "i8", ALLOC_STATIC);
__ZTVN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 1752, 0, 0, 0, 1754, 0, 0, 0, 1756, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str84085=allocate([87,101,97,107,77,97,112,32,101,110,116,114,121,32,119,114,97,112,112,101,114,32,107,101,121,0] /* WeakMap entry wrappe */, "i8", ALLOC_STATIC);
STRING_TABLE.__str94086=allocate([87,101,97,107,77,97,112,32,101,110,116,114,121,32,118,97,108,117,101,0] /* WeakMap entry value\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str104087=allocate([87,101,97,107,77,97,112,46,100,101,108,101,116,101,0] /* WeakMap.delete\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str114088=allocate([87,101,97,107,77,97,112,46,103,101,116,0] /* WeakMap.get\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str124089=allocate([87,101,97,107,77,97,112,46,104,97,115,0] /* WeakMap.has\00 */, "i8", ALLOC_STATIC);
__ZL14sWrapperFamily=allocate(1, "i32", ALLOC_STATIC);
__ZTV9JSWrapper=allocate([0, 0, 0, 0, 0, 0, 0, 0, 334, 0, 0, 0, 1758, 0, 0, 0, 1760, 0, 0, 0, 1762, 0, 0, 0, 1764, 0, 0, 0, 1766, 0, 0, 0, 1768, 0, 0, 0, 1770, 0, 0, 0, 1772, 0, 0, 0, 1774, 0, 0, 0, 1776, 0, 0, 0, 1778, 0, 0, 0, 1780, 0, 0, 0, 1782, 0, 0, 0, 1784, 0, 0, 0, 1786, 0, 0, 0, 1788, 0, 0, 0, 1790, 0, 0, 0, 1792, 0, 0, 0, 1794, 0, 0, 0, 1796, 0, 0, 0, 1798, 0, 0, 0, 1140, 0, 0, 0, 1800, 0, 0, 0, 1144, 0, 0, 0, 1802, 0, 0, 0, 1804, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
_id=allocate([2], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str4127=allocate([91,111,98,106,101,99,116,32,79,98,106,101,99,116,93,0] /* [object Object]\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14128=allocate([102,117,110,99,116,105,111,110,32,40,41,32,123,10,32,32,32,32,91,110,97,116,105,118,101,32,99,111,100,101,93,10,125,0] /* function () {\0A     */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24129=allocate([119,114,97,112,112,101,100,79,98,106,101,99,116,0] /* wrappedObject\00 */, "i8", ALLOC_STATIC);
__ZN9JSWrapper9singletonE=allocate(12, ["*",0,0,0,"*",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZN25JSCrossCompartmentWrapper9singletonE=allocate(12, ["*",0,0,0,"*",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZTV25JSCrossCompartmentWrapper=allocate([0, 0, 0, 0, 0, 0, 0, 0, 336, 0, 0, 0, 1806, 0, 0, 0, 1808, 0, 0, 0, 1810, 0, 0, 0, 1812, 0, 0, 0, 1814, 0, 0, 0, 1816, 0, 0, 0, 1818, 0, 0, 0, 1772, 0, 0, 0, 1820, 0, 0, 0, 1822, 0, 0, 0, 1824, 0, 0, 0, 1826, 0, 0, 0, 1828, 0, 0, 0, 1830, 0, 0, 0, 1832, 0, 0, 0, 1834, 0, 0, 0, 1836, 0, 0, 0, 1792, 0, 0, 0, 1838, 0, 0, 0, 1840, 0, 0, 0, 1842, 0, 0, 0, 1140, 0, 0, 0, 1844, 0, 0, 0, 1144, 0, 0, 0, 1802, 0, 0, 0, 1804, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZL10xdrmem_ops=allocate([1846, 0, 0, 0, 1848, 0, 0, 0, 1850, 0, 0, 0, 1852, 0, 0, 0, 1854, 0, 0, 0, 1856, 0, 0, 0, 1858, 0, 0, 0, 1860, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZZ11JS_XDRBytesE6padbuf=allocate(3, "i8", ALLOC_STATIC);
STRING_TABLE.__str4168=allocate([37,100,0] /* %d\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_AttributeName_str=allocate([65,116,116,114,105,98,117,116,101,78,97,109,101,0] /* AttributeName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_isXMLName_str=allocate([105,115,88,77,76,78,97,109,101,0] /* isXMLName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_XMLList_str=allocate([88,77,76,76,105,115,116,0] /* XMLList\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_amp_entity_str=allocate([38,97,109,112,59,0] /* &amp;\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_gt_entity_str=allocate([38,103,116,59,0] /* &gt;\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_lt_entity_str=allocate([38,108,116,59,0] /* &lt;\00 */, "i8", ALLOC_STATIC);
STRING_TABLE._js_quot_entity_str=allocate([38,113,117,111,116,59,0] /* &quot;\00 */, "i8", ALLOC_STATIC);
_sE4XObjectsCreated=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str4236=allocate([78,97,109,101,115,112,97,99,101,0] /* Namespace\00 */, "i8", ALLOC_STATIC);
__ZN2js14NamespaceClassE=allocate([0, 0, 0, 0, 201327360, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1862, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZL17namespace_methods=allocate([0, 0, 0, 0, 1864, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str14239=allocate([81,78,97,109,101,0] /* QName\00 */, "i8", ALLOC_STATIC);
__ZN2js10QNameClassE=allocate([0, 0, 0, 0, 218104576, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1866, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js18AttributeNameClassE=allocate([0, 0, 0, 0, 131840, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZN2js12AnyNameClassE=allocate([0, 0, 0, 0, 131840, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 1336, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZL13qname_methods=allocate([0, 0, 0, 0, 1868, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str24246=allocate([99,117,114,115,111,114,95,114,111,111,116,0] /* cursor_root\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL21js_ignoreComments_str=allocate([105,103,110,111,114,101,67,111,109,109,101,110,116,115,0] /* ignoreComments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL35js_ignoreProcessingInstructions_str=allocate([105,103,110,111,114,101,80,114,111,99,101,115,115,105,110,103,73,110,115,116,114,117,99,116,105,111,110,115,0] /* ignoreProcessingInst */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL23js_ignoreWhitespace_str=allocate([105,103,110,111,114,101,87,104,105,116,101,115,112,97,99,101,0] /* ignoreWhitespace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL21js_prettyPrinting_str=allocate([112,114,101,116,116,121,80,114,105,110,116,105,110,103,0] /* prettyPrinting\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL19js_prettyIndent_str=allocate([112,114,101,116,116,121,73,110,100,101,110,116,0] /* prettyIndent\00 */, "i8", ALLOC_STATIC);
__ZL16xml_static_props=allocate([0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__ZN2js8XMLClassE=allocate([0, 0, 0, 0, 184549377, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 1870, 0, 0, 0, 1872, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1874, 0, 0, 0, 1876, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, undef, 0, 0, 1878, 0, 0, 0, 1878, 0, 0, 0, 1880, 0, 0, 0, 1882, 0, 0, 0, 1884, 0, 0, 0, 1884, 0, 0, 0, 1886, 0, 0, 0, 1888, 0, 0, 0, 1890, 0, 0, 0, 1892, 0, 0, 0, 1894, 0, 0, 0, 1896, 0, 0, 0, 1898, 0, 0, 0, 1898, 0, 0, 0, 1900, 0, 0, 0, 1902, 0, 0, 0, 1904, 0, 0, 0, 1904, 0, 0, 0, 1906, 0, 0, 0, 1908, 0, 0, 0, 1910, 0, 0, 0, 1910, 0, 0, 0, 1912, 0, 0, 0, 1914, 0, 0, 0, 1916, 0, 0, 0, 1916, 0, 0, 0, 1918, 0, 0, 0, 1920, 0, 0, 0, 1922, 0, 0, 0, 1924, 0, 0, 0, 1926, 0, 0, 0, 0, 0, 0, 0, 1928, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
STRING_TABLE.__str34249=allocate([108,105,115,116,0] /* list\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str44250=allocate([101,108,101,109,101,110,116,0] /* element\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL16js_attribute_str=allocate([97,116,116,114,105,98,117,116,101,0] /* attribute\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str54251=allocate([112,114,111,99,101,115,115,105,110,103,45,105,110,115,116,114,117,99,116,105,111,110,0] /* processing-instructi */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL11js_text_str=allocate([116,101,120,116,0] /* text\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str64252=allocate([99,111,109,109,101,110,116,0] /* comment\00 */, "i8", ALLOC_STATIC);
_js_xml_class_str=allocate(24, "*", ALLOC_STATIC);
STRING_TABLE.__str74253=allocate([97,100,100,78,97,109,101,115,112,97,99,101,0] /* addNamespace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str84254=allocate([97,112,112,101,110,100,67,104,105,108,100,0] /* appendChild\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str94255=allocate([97,116,116,114,105,98,117,116,101,115,0] /* attributes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str104256=allocate([99,104,105,108,100,0] /* child\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str114257=allocate([99,104,105,108,100,73,110,100,101,120,0] /* childIndex\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str124258=allocate([99,104,105,108,100,114,101,110,0] /* children\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str134259=allocate([99,111,109,109,101,110,116,115,0] /* comments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str144260=allocate([99,111,110,116,97,105,110,115,0] /* contains\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str154261=allocate([99,111,112,121,0] /* copy\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str164262=allocate([100,101,115,99,101,110,100,97,110,116,115,0] /* descendants\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str174263=allocate([101,108,101,109,101,110,116,115,0] /* elements\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str184264=allocate([104,97,115,79,119,110,80,114,111,112,101,114,116,121,0] /* hasOwnProperty\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str194265=allocate([104,97,115,67,111,109,112,108,101,120,67,111,110,116,101,110,116,0] /* hasComplexContent\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str204266=allocate([104,97,115,83,105,109,112,108,101,67,111,110,116,101,110,116,0] /* hasSimpleContent\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str214267=allocate([105,110,83,99,111,112,101,78,97,109,101,115,112,97,99,101,115,0] /* inScopeNamespaces\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str224268=allocate([105,110,115,101,114,116,67,104,105,108,100,65,102,116,101,114,0] /* insertChildAfter\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str234269=allocate([105,110,115,101,114,116,67,104,105,108,100,66,101,102,111,114,101,0] /* insertChildBefore\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL16js_localName_str=allocate([108,111,99,97,108,78,97,109,101,0] /* localName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str244270=allocate([110,97,109,101,115,112,97,99,101,68,101,99,108,97,114,97,116,105,111,110,115,0] /* namespaceDeclaration */, "i8", ALLOC_STATIC);
STRING_TABLE.__str254271=allocate([110,111,100,101,75,105,110,100,0] /* nodeKind\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str264272=allocate([110,111,114,109,97,108,105,122,101,0] /* normalize\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL17js_xml_parent_str=allocate([112,97,114,101,110,116,0] /* parent\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str274273=allocate([112,114,111,99,101,115,115,105,110,103,73,110,115,116,114,117,99,116,105,111,110,115,0] /* processingInstructio */, "i8", ALLOC_STATIC);
STRING_TABLE.__str284274=allocate([112,114,101,112,101,110,100,67,104,105,108,100,0] /* prependChild\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str294275=allocate([112,114,111,112,101,114,116,121,73,115,69,110,117,109,101,114,97,98,108,101,0] /* propertyIsEnumerable */, "i8", ALLOC_STATIC);
STRING_TABLE.__str304276=allocate([114,101,109,111,118,101,78,97,109,101,115,112,97,99,101,0] /* removeNamespace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str314277=allocate([114,101,112,108,97,99,101,0] /* replace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str324278=allocate([115,101,116,67,104,105,108,100,114,101,110,0] /* setChildren\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str334279=allocate([115,101,116,76,111,99,97,108,78,97,109,101,0] /* setLocalName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str344280=allocate([115,101,116,78,97,109,101,0] /* setName\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str354281=allocate([115,101,116,78,97,109,101,115,112,97,99,101,0] /* setNamespace\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL18js_toXMLString_str=allocate([116,111,88,77,76,83,116,114,105,110,103,0] /* toXMLString\00 */, "i8", ALLOC_STATIC);
__ZL11xml_methods=allocate([0, 0, 0, 0, 1930, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1932, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1934, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1936, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1938, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1940, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1942, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1944, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1946, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1948, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1950, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1952, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1954, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1956, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1958, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1960, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1962, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1964, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1966, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1968, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1970, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1972, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1974, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1976, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1978, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1980, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 1982, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1984, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1986, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1988, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1990, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 1992, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1994, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1996, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 1998, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2000, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2002, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2004, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2006, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2008, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str364282=allocate([115,101,116,116,105,110,103,115,0] /* settings\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str374283=allocate([115,101,116,83,101,116,116,105,110,103,115,0] /* setSettings\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str384284=allocate([100,101,102,97,117,108,116,83,101,116,116,105,110,103,115,0] /* defaultSettings\00 */, "i8", ALLOC_STATIC);
__ZL18xml_static_methods=allocate([0, 0, 0, 0, 2010, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2012, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2014, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str394285=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str404286=allocate([110,97,109,101,0] /* name\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str414287=allocate([118,97,108,117,101,0] /* value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str424288=allocate([116,97,114,103,101,116,112,114,111,112,0] /* targetprop\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str434289=allocate([120,109,108,95,110,97,109,101,115,112,97,99,101,115,0] /* xml_namespaces\00 */, "i8", ALLOC_STATIC);
__ZL15namespace_props=allocate([0, 0, 0, 0, 0, 71, 0, 0, 2016, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 2018, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str444290=allocate([100,101,115,99,101,110,100,97,110,116,115,32,105,110,116,101,114,110,97,108,32,109,101,116,104,111,100,0] /* descendants internal */, "i8", ALLOC_STATIC);
STRING_TABLE.__str454291=allocate([88,77,76,70,105,108,116,101,114,0] /* XMLFilter\00 */, "i8", ALLOC_STATIC);
_js_XMLFilterClass=allocate([0, 0, 0, 0, 131073, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 2020, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2022, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8","i8","i8","i8","i8","i8","i8"], ALLOC_STATIC);
__ZZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_E16pi_prefix_ucNstr=allocate([60, 0, 63, 0], ["i16",0,"i16",0], ALLOC_STATIC);
__ZZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_E16pi_suffix_ucNstr=allocate([63, 0, 62, 0], ["i16",0,"i16",0], ALLOC_STATIC);
__ZZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSStringE21comment_prefix_ucNstr=allocate([60, 0, 33, 0, 45, 0, 45, 0], ["i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
__ZZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSStringE21comment_suffix_ucNstr=allocate([45, 0, 45, 0, 62, 0], ["i16",0,"i16",0,"i16",0], ALLOC_STATIC);
__ZZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSStringE19cdata_prefix_ucNstr=allocate([60, 0, 33, 0, 91, 0, 67, 0, 68, 0, 65, 0, 84, 0, 65, 0, 91, 0], ["i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
__ZZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSStringE19cdata_suffix_ucNstr=allocate([93, 0, 93, 0, 62, 0], ["i16",0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__ZZL14ParseXMLSourceP9JSContextP8JSStringE6prefix=allocate([60,112,97,114,101,110,116,32,120,109,108,110,115,61,34,0] /* _parent xmlns=\22\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL14ParseXMLSourceP9JSContextP8JSStringE6middle=allocate([34,62,0] /* \22_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL14ParseXMLSourceP9JSContextP8JSStringE6suffix=allocate([60,47,112,97,114,101,110,116,62,0] /* _/parent_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL17xml_namespace_str=allocate([104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0] /* http://www.w3.org/XM */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL19xmlns_namespace_str=allocate([104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0] /* http://www.w3.org/20 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str464292=allocate([32,120,109,108,110,115,0] /*  xmlns\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str474293=allocate([47,62,0] /* /_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str484294=allocate([60,47,0] /* _/\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str494295=allocate([97,0] /* a\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL23js_leftcurly_entity_str=allocate([38,35,49,50,51,59,0] /* &#123;\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str504296=allocate([38,35,120,65,59,0] /* &#xA;\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str514297=allocate([38,35,120,68,59,0] /* &#xD;\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str524298=allocate([38,35,120,57,59,0] /* &#x9;\00 */, "i8", ALLOC_STATIC);
__ZL11qname_props=allocate([0, 0, 0, 0, 0, 71, 0, 0, 2024, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 2026, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__ZL10js_uri_str=allocate([117,114,105,0] /* uri\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL13js_prefix_str=allocate([112,114,101,102,105,120,0] /* prefix\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str534299=allocate([120,109,108,95,118,101,99,116,111,114,0] /* xml_vector\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str544300=allocate([37,117,0] /* %u\00 */, "i8", ALLOC_STATIC);
__ZZL8flipCasehE16flippedCaseChars=allocate(1, "i8*", ALLOC_STATIC);
__ZZL18classBitmapForCharhE16charClassBitmaps=allocate(1, "i8*", ALLOC_STATIC);
__ZL7escapes=allocate([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 0, 59, 0, 60, 0, 61, 0, 62, 0, 63, 0, 64, 0, 0, 0, -1, 0, 0, 0, -3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -5, 0, 0, 0, 0, 0, 0, 0, -7, 0, 0, 0, 0, 0, 0, 0, 91, 0, 92, 0, 93, 0, 94, 0, 95, 0, 96, 0, 7, 0, -2, 0, 0, 0, -4, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 13, 0, -6, 0, 9, 0, 0, 0, 11, 0, -8, 0, 0, 0, 0, 0, 0, 0], ["i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__ZZL38repeatInformationFromInstructionOffsetsRbRiS0_E35minimumRepeatsFromInstructionOffset=allocate([0,0,1,1,0,0] /* \00\00\01\01\00\00 */, "i8", ALLOC_STATIC);
__ZZL38repeatInformationFromInstructionOffsetsRbRiS0_E35maximumRepeatsFromInstructionOffset=allocate([2147483647, 0, 0, 0, 2147483647, 0, 0, 0, 2147483647, 0, 0, 0, 2147483647, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
__ZZL8flipCasehE16flippedCaseChars4457=allocate(1, "i8*", ALLOC_STATIC);
__ZZL11toLowerCasehE14lowerCaseChars=allocate(1, "i8*", ALLOC_STATIC);
_jsc_pcre_utf8_table1=allocate([127, 0, 0, 0, 2047, 0, 0, 0, 65535, 0, 0, 0, 2097151, 0, 0, 0, 67108863, 0, 0, 0, 2147483647, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
_jsc_pcre_utf8_table2=allocate([0, 0, 0, 0, 192, 0, 0, 0, 224, 0, 0, 0, 240, 0, 0, 0, 248, 0, 0, 0, 252, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
_jsc_pcre_utf8_table3=allocate([255, 0, 0, 0, 31, 0, 0, 0, 15, 0, 0, 0, 7, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE._jsc_pcre_utf8_table4=allocate([1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,4,4,4,4,5,5,5,5] /* \01\01\01\01\01\01\0 */, "i8", ALLOC_STATIC);
STRING_TABLE._jsc_pcre_default_tables=allocate([0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,0,62,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,3,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,24,24,24,24,24,24,24,24,24,0,0,0,0,0,0,0,24,24,24,24,24,24,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,16,0,24,24,24,24,24,24,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0] /* \00\01\02\03\04\05\0 */, "i8", ALLOC_STATIC);
__ZL9ucp_table=allocate([159383552, 0, 0, 0, 31, 0, 0, 0, 150994976, 0, 0, 0, 1946157056, 0, 0, 0, 159383585, 0, 0, 0, 1409286146, 0, 0, 0, 150994980, 0, 0, 0, 1543503872, 0, 0, 0, 159383589, 0, 0, 0, 1409286146, 0, 0, 0, 150994984, 0, 0, 0, 1476395008, 0, 0, 0, 150994985, 0, 0, 0, 1207959552, 0, 0, 0, 150994986, 0, 0, 0, 1409286144, 0, 0, 0, 150994987, 0, 0, 0, 1677721600, 0, 0, 0, 150994988, 0, 0, 0, 1409286144, 0, 0, 0, 150994989, 0, 0, 0, 1140850688, 0, 0, 0, 159383598, 0, 0, 0, 1409286145, 0, 0, 0, 159383600, 0, 0, 0, 872415241, 0, 0, 0, 159383610, 0, 0, 0, 1409286145, 0, 0, 0, 159383612, 0, 0, 0, 1677721602, 0, 0, 0, 159383615, 0, 0, 0, 1409286145, 0, 0, 0, 553648193, 0, 0, 0, 603979808, 0, 0, 0, 553648194, 0, 0, 0, 603979808, 0, 0, 0, 553648195, 0, 0, 0, 603979808, 0, 0, 0, 553648196, 0, 0, 0, 603979808, 0, 0, 0, 553648197, 0, 0, 0, 603979808, 0, 0, 0, 553648198, 0, 0, 0, 603979808, 0, 0, 0, 553648199, 0, 0, 0, 603979808, 0, 0, 0, 553648200, 0, 0, 0, 603979808, 0, 0, 0, 553648201, 0, 0, 0, 603979808, 0, 0, 0, 553648202, 0, 0, 0, 603979808, 0, 0, 0, 553648203, 0, 0, 0, 603979808, 0, 0, 0, 553648204, 0, 0, 0, 603979808, 0, 0, 0, 553648205, 0, 0, 0, 603979808, 0, 0, 0, 553648206, 0, 0, 0, 603979808, 0, 0, 0, 553648207, 0, 0, 0, 603979808, 0, 0, 0, 553648208, 0, 0, 0, 603979808, 0, 0, 0, 553648209, 0, 0, 0, 603979808, 0, 0, 0, 553648210, 0, 0, 0, 603979808, 0, 0, 0, 553648211, 0, 0, 0, 603979808, 0, 0, 0, 553648212, 0, 0, 0, 603979808, 0, 0, 0, 553648213, 0, 0, 0, 603979808, 0, 0, 0, 553648214, 0, 0, 0, 603979808, 0, 0, 0, 553648215, 0, 0, 0, 603979808, 0, 0, 0, 553648216, 0, 0, 0, 603979808, 0, 0, 0, 553648217, 0, 0, 0, 603979808, 0, 0, 0, 553648218, 0, 0, 0, 603979808, 0, 0, 0, 150995035, 0, 0, 0, 1476395008, 0, 0, 0, 150995036, 0, 0, 0, 1409286144, 0, 0, 0, 150995037, 0, 0, 0, 1207959552, 0, 0, 0, 150995038, 0, 0, 0, 1610612736, 0, 0, 0, 150995039, 0, 0, 0, 1073741824, 0, 0, 0, 150995040, 0, 0, 0, 1610612736, 0, 0, 0, 553648225, 0, 0, 0, 335609824, 0, 0, 0, 553648226, 0, 0, 0, 335609824, 0, 0, 0, 553648227, 0, 0, 0, 335609824, 0, 0, 0, 553648228, 0, 0, 0, 335609824, 0, 0, 0, 553648229, 0, 0, 0, 335609824, 0, 0, 0, 553648230, 0, 0, 0, 335609824, 0, 0, 0, 553648231, 0, 0, 0, 335609824, 0, 0, 0, 553648232, 0, 0, 0, 335609824, 0, 0, 0, 553648233, 0, 0, 0, 335609824, 0, 0, 0, 553648234, 0, 0, 0, 335609824, 0, 0, 0, 553648235, 0, 0, 0, 335609824, 0, 0, 0, 553648236, 0, 0, 0, 335609824, 0, 0, 0, 553648237, 0, 0, 0, 335609824, 0, 0, 0, 553648238, 0, 0, 0, 335609824, 0, 0, 0, 553648239, 0, 0, 0, 335609824, 0, 0, 0, 553648240, 0, 0, 0, 335609824, 0, 0, 0, 553648241, 0, 0, 0, 335609824, 0, 0, 0, 553648242, 0, 0, 0, 335609824, 0, 0, 0, 553648243, 0, 0, 0, 335609824, 0, 0, 0, 553648244, 0, 0, 0, 335609824, 0, 0, 0, 553648245, 0, 0, 0, 335609824, 0, 0, 0, 553648246, 0, 0, 0, 335609824, 0, 0, 0, 553648247, 0, 0, 0, 335609824, 0, 0, 0, 553648248, 0, 0, 0, 335609824, 0, 0, 0, 553648249, 0, 0, 0, 335609824, 0, 0, 0, 553648250, 0, 0, 0, 335609824, 0, 0, 0, 150995067, 0, 0, 0, 1476395008, 0, 0, 0, 150995068, 0, 0, 0, 1677721600, 0, 0, 0, 150995069, 0, 0, 0, 1207959552, 0, 0, 0, 150995070, 0, 0, 0, 1677721600, 0, 0, 0, 159383679, 0, 0, 0, 32, 0, 0, 0, 150995104, 0, 0, 0, 1946157056, 0, 0, 0, 150995105, 0, 0, 0, 1409286144, 0, 0, 0, 159383714, 0, 0, 0, 1543503875, 0, 0, 0, 159383718, 0, 0, 0, 1744830465, 0, 0, 0, 150995112, 0, 0, 0, 1610612736, 0, 0, 0, 150995113, 0, 0, 0, 1744830464, 0, 0, 0, 553648298, 0, 0, 0, 335544320, 0, 0, 0, 150995115, 0, 0, 0, 1342177280, 0, 0, 0, 150995116, 0, 0, 0, 1677721600, 0, 0, 0, 150995117, 0, 0, 0, 67108864, 0, 0, 0, 150995118, 0, 0, 0, 1744830464, 0, 0, 0, 150995119, 0, 0, 0, 1610612736, 0, 0, 0, 150995120, 0, 0, 0, 1744830464, 0, 0, 0, 150995121, 0, 0, 0, 1677721600, 0, 0, 0, 159383730, 0, 0, 0, 1006632961, 0, 0, 0, 150995124, 0, 0, 0, 1610612736, 0, 0, 0, 150995125, 0, 0, 0, 335545063, 0, 0, 0, 150995126, 0, 0, 0, 1744830464, 0, 0, 0, 150995127, 0, 0, 0, 1409286144, 0, 0, 0, 150995128, 0, 0, 0, 1610612736, 0, 0, 0, 150995129, 0, 0, 0, 1006632960, 0, 0, 0, 553648314, 0, 0, 0, 335544320, 0, 0, 0, 150995131, 0, 0, 0, 1275068416, 0, 0, 0, 159383740, 0, 0, 0, 1006632962, 0, 0, 0, 150995135, 0, 0, 0, 1409286144, 0, 0, 0, 553648320, 0, 0, 0, 603979808, 0, 0, 0, 553648321, 0, 0, 0, 603979808, 0, 0, 0, 553648322, 0, 0, 0, 603979808, 0, 0, 0, 553648323, 0, 0, 0, 603979808, 0, 0, 0, 553648324, 0, 0, 0, 603979808, 0, 0, 0, 553648325, 0, 0, 0, 603979808, 0, 0, 0, 553648326, 0, 0, 0, 603979808, 0, 0, 0, 553648327, 0, 0, 0, 603979808, 0, 0, 0, 553648328, 0, 0, 0, 603979808, 0, 0, 0, 553648329, 0, 0, 0, 603979808, 0, 0, 0, 553648330, 0, 0, 0, 603979808, 0, 0, 0, 553648331, 0, 0, 0, 603979808, 0, 0, 0, 553648332, 0, 0, 0, 603979808, 0, 0, 0, 553648333, 0, 0, 0, 603979808, 0, 0, 0, 553648334, 0, 0, 0, 603979808, 0, 0, 0, 553648335, 0, 0, 0, 603979808, 0, 0, 0, 553648336, 0, 0, 0, 603979808, 0, 0, 0, 553648337, 0, 0, 0, 603979808, 0, 0, 0, 553648338, 0, 0, 0, 603979808, 0, 0, 0, 553648339, 0, 0, 0, 603979808, 0, 0, 0, 553648340, 0, 0, 0, 603979808, 0, 0, 0, 553648341, 0, 0, 0, 603979808, 0, 0, 0, 553648342, 0, 0, 0, 603979808, 0, 0, 0, 150995159, 0, 0, 0, 1677721600, 0, 0, 0, 553648344, 0, 0, 0, 603979808, 0, 0, 0, 553648345, 0, 0, 0, 603979808, 0, 0, 0, 553648346, 0, 0, 0, 603979808, 0, 0, 0, 553648347, 0, 0, 0, 603979808, 0, 0, 0, 553648348, 0, 0, 0, 603979808, 0, 0, 0, 553648349, 0, 0, 0, 603979808, 0, 0, 0, 553648350, 0, 0, 0, 603979808, 0, 0, 0, 553648351, 0, 0, 0, 335544320, 0, 0, 0, 553648352, 0, 0, 0, 335609824, 0, 0, 0, 553648353, 0, 0, 0, 335609824, 0, 0, 0, 553648354, 0, 0, 0, 335609824, 0, 0, 0, 553648355, 0, 0, 0, 335609824, 0, 0, 0, 553648356, 0, 0, 0, 335609824, 0, 0, 0, 553648357, 0, 0, 0, 335609824, 0, 0, 0, 553648358, 0, 0, 0, 335609824, 0, 0, 0, 553648359, 0, 0, 0, 335609824, 0, 0, 0, 553648360, 0, 0, 0, 335609824, 0, 0, 0, 553648361, 0, 0, 0, 335609824, 0, 0, 0, 553648362, 0, 0, 0, 335609824, 0, 0, 0, 553648363, 0, 0, 0, 335609824, 0, 0, 0, 553648364, 0, 0, 0, 335609824, 0, 0, 0, 553648365, 0, 0, 0, 335609824, 0, 0, 0, 553648366, 0, 0, 0, 335609824, 0, 0, 0, 553648367, 0, 0, 0, 335609824, 0, 0, 0, 553648368, 0, 0, 0, 335609824, 0, 0, 0, 553648369, 0, 0, 0, 335609824, 0, 0, 0, 553648370, 0, 0, 0, 335609824, 0, 0, 0, 553648371, 0, 0, 0, 335609824, 0, 0, 0, 553648372, 0, 0, 0, 335609824, 0, 0, 0, 553648373, 0, 0, 0, 335609824, 0, 0, 0, 553648374, 0, 0, 0, 335609824, 0, 0, 0, 150995191, 0, 0, 0, 1677721600, 0, 0, 0, 553648376, 0, 0, 0, 335609824, 0, 0, 0, 553648377, 0, 0, 0, 335609824, 0, 0, 0, 553648378, 0, 0, 0, 335609824, 0, 0, 0, 553648379, 0, 0, 0, 335609824, 0, 0, 0, 553648380, 0, 0, 0, 335609824, 0, 0, 0, 553648381, 0, 0, 0, 335609824, 0, 0, 0, 553648382, 0, 0, 0, 335609824, 0, 0, 0, 553648383, 0, 0, 0, 335544441, 0, 0, 0, 553648384, 0, 0, 0, 603979777, 0, 0, 0, 553648385, 0, 0, 0, 335609855, 0, 0, 0, 553648386, 0, 0, 0, 603979777, 0, 0, 0, 553648387, 0, 0, 0, 335609855, 0, 0, 0, 553648388, 0, 0, 0, 603979777, 0, 0, 0, 553648389, 0, 0, 0, 335609855, 0, 0, 0, 553648390, 0, 0, 0, 603979777, 0, 0, 0, 553648391, 0, 0, 0, 335609855, 0, 0, 0, 553648392, 0, 0, 0, 603979777, 0, 0, 0, 553648393, 0, 0, 0, 335609855, 0, 0, 0, 553648394, 0, 0, 0, 603979777, 0, 0, 0, 553648395, 0, 0, 0, 335609855, 0, 0, 0, 553648396, 0, 0, 0, 603979777, 0, 0, 0, 553648397, 0, 0, 0, 335609855, 0, 0, 0, 553648398, 0, 0, 0, 603979777, 0, 0, 0, 553648399, 0, 0, 0, 335609855, 0, 0, 0, 553648400, 0, 0, 0, 603979777, 0, 0, 0, 553648401, 0, 0, 0, 335609855, 0, 0, 0, 553648402, 0, 0, 0, 603979777, 0, 0, 0, 553648403, 0, 0, 0, 335609855, 0, 0, 0, 553648404, 0, 0, 0, 603979777, 0, 0, 0, 553648405, 0, 0, 0, 335609855, 0, 0, 0, 553648406, 0, 0, 0, 603979777, 0, 0, 0, 553648407, 0, 0, 0, 335609855, 0, 0, 0, 553648408, 0, 0, 0, 603979777, 0, 0, 0, 553648409, 0, 0, 0, 335609855, 0, 0, 0, 553648410, 0, 0, 0, 603979777, 0, 0, 0, 553648411, 0, 0, 0, 335609855, 0, 0, 0, 553648412, 0, 0, 0, 603979777, 0, 0, 0, 553648413, 0, 0, 0, 335609855, 0, 0, 0, 553648414, 0, 0, 0, 603979777, 0, 0, 0, 553648415, 0, 0, 0, 335609855, 0, 0, 0, 553648416, 0, 0, 0, 603979777, 0, 0, 0, 553648417, 0, 0, 0, 335609855, 0, 0, 0, 553648418, 0, 0, 0, 603979777, 0, 0, 0, 553648419, 0, 0, 0, 335609855, 0, 0, 0, 553648420, 0, 0, 0, 603979777, 0, 0, 0, 553648421, 0, 0, 0, 335609855, 0, 0, 0, 553648422, 0, 0, 0, 603979777, 0, 0, 0, 553648423, 0, 0, 0, 335609855, 0, 0, 0, 553648424, 0, 0, 0, 603979777, 0, 0, 0, 553648425, 0, 0, 0, 335609855, 0, 0, 0, 553648426, 0, 0, 0, 603979777, 0, 0, 0, 553648427, 0, 0, 0, 335609855, 0, 0, 0, 553648428, 0, 0, 0, 603979777, 0, 0, 0, 553648429, 0, 0, 0, 335609855, 0, 0, 0, 553648430, 0, 0, 0, 603979777, 0, 0, 0, 553648431, 0, 0, 0, 335609855, 0, 0, 0, 553648432, 0, 0, 0, 604045113, 0, 0, 0, 553648433, 0, 0, 0, 335609624, 0, 0, 0, 553648434, 0, 0, 0, 603979777, 0, 0, 0, 553648435, 0, 0, 0, 335609855, 0, 0, 0, 553648436, 0, 0, 0, 603979777, 0, 0, 0, 553648437, 0, 0, 0, 335609855, 0, 0, 0, 553648438, 0, 0, 0, 603979777, 0, 0, 0, 553648439, 0, 0, 0, 335609855, 0, 0, 0, 553648440, 0, 0, 0, 335544320, 0, 0, 0, 553648441, 0, 0, 0, 603979777, 0, 0, 0, 553648442, 0, 0, 0, 335609855, 0, 0, 0, 553648443, 0, 0, 0, 603979777, 0, 0, 0, 553648444, 0, 0, 0, 335609855, 0, 0, 0, 553648445, 0, 0, 0, 603979777, 0, 0, 0, 553648446, 0, 0, 0, 335609855, 0, 0, 0, 553648447, 0, 0, 0, 603979777, 0, 0, 0, 553648448, 0, 0, 0, 335609855, 0, 0, 0, 553648449, 0, 0, 0, 603979777, 0, 0, 0, 553648450, 0, 0, 0, 335609855, 0, 0, 0, 553648451, 0, 0, 0, 603979777, 0, 0, 0, 553648452, 0, 0, 0, 335609855, 0, 0, 0, 553648453, 0, 0, 0, 603979777, 0, 0, 0, 553648454, 0, 0, 0, 335609855, 0, 0, 0, 553648455, 0, 0, 0, 603979777, 0, 0, 0, 553648456, 0, 0, 0, 335609855, 0, 0, 0, 553648457, 0, 0, 0, 335544320, 0, 0, 0, 553648458, 0, 0, 0, 603979777, 0, 0, 0, 553648459, 0, 0, 0, 335609855, 0, 0, 0, 553648460, 0, 0, 0, 603979777, 0, 0, 0, 553648461, 0, 0, 0, 335609855, 0, 0, 0, 553648462, 0, 0, 0, 603979777, 0, 0, 0, 553648463, 0, 0, 0, 335609855, 0, 0, 0, 553648464, 0, 0, 0, 603979777, 0, 0, 0, 553648465, 0, 0, 0, 335609855, 0, 0, 0, 553648466, 0, 0, 0, 603979777, 0, 0, 0, 553648467, 0, 0, 0, 335609855, 0, 0, 0, 553648468, 0, 0, 0, 603979777, 0, 0, 0, 553648469, 0, 0, 0, 335609855, 0, 0, 0, 553648470, 0, 0, 0, 603979777, 0, 0, 0, 553648471, 0, 0, 0, 335609855, 0, 0, 0, 553648472, 0, 0, 0, 603979777, 0, 0, 0, 553648473, 0, 0, 0, 335609855, 0, 0, 0, 553648474, 0, 0, 0, 603979777, 0, 0, 0, 553648475, 0, 0, 0, 335609855, 0, 0, 0, 553648476, 0, 0, 0, 603979777, 0, 0, 0, 553648477, 0, 0, 0, 335609855, 0, 0, 0, 553648478, 0, 0, 0, 603979777, 0, 0, 0, 553648479, 0, 0, 0, 335609855, 0, 0, 0, 553648480, 0, 0, 0, 603979777, 0, 0, 0, 553648481, 0, 0, 0, 335609855, 0, 0, 0, 553648482, 0, 0, 0, 603979777, 0, 0, 0, 553648483, 0, 0, 0, 335609855, 0, 0, 0, 553648484, 0, 0, 0, 603979777, 0, 0, 0, 553648485, 0, 0, 0, 335609855, 0, 0, 0, 553648486, 0, 0, 0, 603979777, 0, 0, 0, 553648487, 0, 0, 0, 335609855, 0, 0, 0, 553648488, 0, 0, 0, 603979777, 0, 0, 0, 553648489, 0, 0, 0, 335609855, 0, 0, 0, 553648490, 0, 0, 0, 603979777, 0, 0, 0, 553648491, 0, 0, 0, 335609855, 0, 0, 0, 553648492, 0, 0, 0, 603979777, 0, 0, 0, 553648493, 0, 0, 0, 335609855, 0, 0, 0, 553648494, 0, 0, 0, 603979777, 0, 0, 0, 553648495, 0, 0, 0, 335609855, 0, 0, 0, 553648496, 0, 0, 0, 603979777, 0, 0, 0, 553648497, 0, 0, 0, 335609855, 0, 0, 0, 553648498, 0, 0, 0, 603979777, 0, 0, 0, 553648499, 0, 0, 0, 335609855, 0, 0, 0, 553648500, 0, 0, 0, 603979777, 0, 0, 0, 553648501, 0, 0, 0, 335609855, 0, 0, 0, 553648502, 0, 0, 0, 603979777, 0, 0, 0, 553648503, 0, 0, 0, 335609855, 0, 0, 0, 553648504, 0, 0, 0, 604045191, 0, 0, 0, 553648505, 0, 0, 0, 603979777, 0, 0, 0, 553648506, 0, 0, 0, 335609855, 0, 0, 0, 553648507, 0, 0, 0, 603979777, 0, 0, 0, 553648508, 0, 0, 0, 335609855, 0, 0, 0, 553648509, 0, 0, 0, 603979777, 0, 0, 0, 553648510, 0, 0, 0, 335609855, 0, 0, 0, 553648511, 0, 0, 0, 335609556, 0, 0, 0, 553648512, 0, 0, 0, 335544320, 0, 0, 0, 553648513, 0, 0, 0, 603979986, 0, 0, 0, 553648514, 0, 0, 0, 603979777, 0, 0, 0, 553648515, 0, 0, 0, 335609855, 0, 0, 0, 553648516, 0, 0, 0, 603979777, 0, 0, 0, 553648517, 0, 0, 0, 335609855, 0, 0, 0, 553648518, 0, 0, 0, 603979982, 0, 0, 0, 553648519, 0, 0, 0, 603979777, 0, 0, 0, 553648520, 0, 0, 0, 335609855, 0, 0, 0, 553648521, 0, 0, 0, 603979981, 0, 0, 0, 553648522, 0, 0, 0, 603979981, 0, 0, 0, 553648523, 0, 0, 0, 603979777, 0, 0, 0, 553648524, 0, 0, 0, 335609855, 0, 0, 0, 553648525, 0, 0, 0, 335544320, 0, 0, 0, 553648526, 0, 0, 0, 603979855, 0, 0, 0, 553648527, 0, 0, 0, 603979978, 0, 0, 0, 553648528, 0, 0, 0, 603979979, 0, 0, 0, 553648529, 0, 0, 0, 603979777, 0, 0, 0, 553648530, 0, 0, 0, 335609855, 0, 0, 0, 553648531, 0, 0, 0, 603979981, 0, 0, 0, 553648532, 0, 0, 0, 603979983, 0, 0, 0, 553648533, 0, 0, 0, 335544417, 0, 0, 0, 553648534, 0, 0, 0, 603979987, 0, 0, 0, 553648535, 0, 0, 0, 603979985, 0, 0, 0, 553648536, 0, 0, 0, 603979777, 0, 0, 0, 553648537, 0, 0, 0, 335609855, 0, 0, 0, 553648538, 0, 0, 0, 335544483, 0, 0, 0, 553648539, 0, 0, 0, 335544320, 0, 0, 0, 553648540, 0, 0, 0, 603979987, 0, 0, 0, 553648541, 0, 0, 0, 603979989, 0, 0, 0, 553648542, 0, 0, 0, 335544450, 0, 0, 0, 553648543, 0, 0, 0, 603979990, 0, 0, 0, 553648544, 0, 0, 0, 603979777, 0, 0, 0, 553648545, 0, 0, 0, 335609855, 0, 0, 0, 553648546, 0, 0, 0, 603979777, 0, 0, 0, 553648547, 0, 0, 0, 335609855, 0, 0, 0, 553648548, 0, 0, 0, 603979777, 0, 0, 0, 553648549, 0, 0, 0, 335609855, 0, 0, 0, 553648550, 0, 0, 0, 603979994, 0, 0, 0, 553648551, 0, 0, 0, 603979777, 0, 0, 0, 553648552, 0, 0, 0, 335609855, 0, 0, 0, 553648553, 0, 0, 0, 603979994, 0, 0, 0, 562037162, 0, 0, 0, 335544321, 0, 0, 0, 553648556, 0, 0, 0, 603979777, 0, 0, 0, 553648557, 0, 0, 0, 335609855, 0, 0, 0, 553648558, 0, 0, 0, 603979994, 0, 0, 0, 553648559, 0, 0, 0, 603979777, 0, 0, 0, 553648560, 0, 0, 0, 335609855, 0, 0, 0, 553648561, 0, 0, 0, 603979993, 0, 0, 0, 553648562, 0, 0, 0, 603979993, 0, 0, 0, 553648563, 0, 0, 0, 603979777, 0, 0, 0, 553648564, 0, 0, 0, 335609855, 0, 0, 0, 553648565, 0, 0, 0, 603979777, 0, 0, 0, 553648566, 0, 0, 0, 335609855, 0, 0, 0, 553648567, 0, 0, 0, 603979995, 0, 0, 0, 553648568, 0, 0, 0, 603979777, 0, 0, 0, 553648569, 0, 0, 0, 335609855, 0, 0, 0, 553648570, 0, 0, 0, 335544320, 0, 0, 0, 553648571, 0, 0, 0, 469762048, 0, 0, 0, 553648572, 0, 0, 0, 603979777, 0, 0, 0, 553648573, 0, 0, 0, 335609855, 0, 0, 0, 553648574, 0, 0, 0, 335544320, 0, 0, 0, 553648575, 0, 0, 0, 335544376, 0, 0, 0, 562037184, 0, 0, 0, 469762051, 0, 0, 0, 553648580, 0, 0, 0, 603979778, 0, 0, 0, 553648581, 0, 0, 0, 536936447, 0, 0, 0, 553648582, 0, 0, 0, 335609854, 0, 0, 0, 553648583, 0, 0, 0, 603979778, 0, 0, 0, 553648584, 0, 0, 0, 536936447, 0, 0, 0, 553648585, 0, 0, 0, 335609854, 0, 0, 0, 553648586, 0, 0, 0, 603979778, 0, 0, 0, 553648587, 0, 0, 0, 536936447, 0, 0, 0, 553648588, 0, 0, 0, 335609854, 0, 0, 0, 553648589, 0, 0, 0, 603979777, 0, 0, 0, 553648590, 0, 0, 0, 335609855, 0, 0, 0, 553648591, 0, 0, 0, 603979777, 0, 0, 0, 553648592, 0, 0, 0, 335609855, 0, 0, 0, 553648593, 0, 0, 0, 603979777, 0, 0, 0, 553648594, 0, 0, 0, 335609855, 0, 0, 0, 553648595, 0, 0, 0, 603979777, 0, 0, 0, 553648596, 0, 0, 0, 335609855, 0, 0, 0, 553648597, 0, 0, 0, 603979777, 0, 0, 0, 553648598, 0, 0, 0, 335609855, 0, 0, 0, 553648599, 0, 0, 0, 603979777, 0, 0, 0, 553648600, 0, 0, 0, 335609855, 0, 0, 0, 553648601, 0, 0, 0, 603979777, 0, 0, 0, 553648602, 0, 0, 0, 335609855, 0, 0, 0, 553648603, 0, 0, 0, 603979777, 0, 0, 0, 553648604, 0, 0, 0, 335609855, 0, 0, 0, 553648605, 0, 0, 0, 335609777, 0, 0, 0, 553648606, 0, 0, 0, 603979777, 0, 0, 0, 553648607, 0, 0, 0, 335609855, 0, 0, 0, 553648608, 0, 0, 0, 603979777, 0, 0, 0, 553648609, 0, 0, 0, 335609855, 0, 0, 0, 553648610, 0, 0, 0, 603979777, 0, 0, 0, 553648611, 0, 0, 0, 335609855, 0, 0, 0, 553648612, 0, 0, 0, 603979777, 0, 0, 0, 553648613, 0, 0, 0, 335609855, 0, 0, 0, 553648614, 0, 0, 0, 603979777, 0, 0, 0, 553648615, 0, 0, 0, 335609855, 0, 0, 0, 553648616, 0, 0, 0, 603979777, 0, 0, 0, 553648617, 0, 0, 0, 335609855, 0, 0, 0, 553648618, 0, 0, 0, 603979777, 0, 0, 0, 553648619, 0, 0, 0, 335609855, 0, 0, 0, 553648620, 0, 0, 0, 603979777, 0, 0, 0, 553648621, 0, 0, 0, 335609855, 0, 0, 0, 553648622, 0, 0, 0, 603979777, 0, 0, 0, 553648623, 0, 0, 0, 335609855, 0, 0, 0, 553648624, 0, 0, 0, 335544320, 0, 0, 0, 553648625, 0, 0, 0, 603979778, 0, 0, 0, 553648626, 0, 0, 0, 536936447, 0, 0, 0, 553648627, 0, 0, 0, 335609854, 0, 0, 0, 553648628, 0, 0, 0, 603979777, 0, 0, 0, 553648629, 0, 0, 0, 335609855, 0, 0, 0, 553648630, 0, 0, 0, 604045215, 0, 0, 0, 553648631, 0, 0, 0, 604045256, 0, 0, 0, 553648632, 0, 0, 0, 603979777, 0, 0, 0, 553648633, 0, 0, 0, 335609855, 0, 0, 0, 553648634, 0, 0, 0, 603979777, 0, 0, 0, 553648635, 0, 0, 0, 335609855, 0, 0, 0, 553648636, 0, 0, 0, 603979777, 0, 0, 0, 553648637, 0, 0, 0, 335609855, 0, 0, 0, 553648638, 0, 0, 0, 603979777, 0, 0, 0, 553648639, 0, 0, 0, 335609855, 0, 0, 0, 553648640, 0, 0, 0, 603979777, 0, 0, 0, 553648641, 0, 0, 0, 335609855, 0, 0, 0, 553648642, 0, 0, 0, 603979777, 0, 0, 0, 553648643, 0, 0, 0, 335609855, 0, 0, 0, 553648644, 0, 0, 0, 603979777, 0, 0, 0, 553648645, 0, 0, 0, 335609855, 0, 0, 0, 553648646, 0, 0, 0, 603979777, 0, 0, 0, 553648647, 0, 0, 0, 335609855, 0, 0, 0, 553648648, 0, 0, 0, 603979777, 0, 0, 0, 553648649, 0, 0, 0, 335609855, 0, 0, 0, 553648650, 0, 0, 0, 603979777, 0, 0, 0, 553648651, 0, 0, 0, 335609855, 0, 0, 0, 553648652, 0, 0, 0, 603979777, 0, 0, 0, 553648653, 0, 0, 0, 335609855, 0, 0, 0, 553648654, 0, 0, 0, 603979777, 0, 0, 0, 553648655, 0, 0, 0, 335609855, 0, 0, 0, 553648656, 0, 0, 0, 603979777, 0, 0, 0, 553648657, 0, 0, 0, 335609855, 0, 0, 0, 553648658, 0, 0, 0, 603979777, 0, 0, 0, 553648659, 0, 0, 0, 335609855, 0, 0, 0, 553648660, 0, 0, 0, 603979777, 0, 0, 0, 553648661, 0, 0, 0, 335609855, 0, 0, 0, 553648662, 0, 0, 0, 603979777, 0, 0, 0, 553648663, 0, 0, 0, 335609855, 0, 0, 0, 553648664, 0, 0, 0, 603979777, 0, 0, 0, 553648665, 0, 0, 0, 335609855, 0, 0, 0, 553648666, 0, 0, 0, 603979777, 0, 0, 0, 553648667, 0, 0, 0, 335609855, 0, 0, 0, 553648668, 0, 0, 0, 603979777, 0, 0, 0, 553648669, 0, 0, 0, 335609855, 0, 0, 0, 553648670, 0, 0, 0, 603979777, 0, 0, 0, 553648671, 0, 0, 0, 335609855, 0, 0, 0, 553648672, 0, 0, 0, 604045182, 0, 0, 0, 553648673, 0, 0, 0, 335544320, 0, 0, 0, 553648674, 0, 0, 0, 603979777, 0, 0, 0, 553648675, 0, 0, 0, 335609855, 0, 0, 0, 553648676, 0, 0, 0, 603979777, 0, 0, 0, 553648677, 0, 0, 0, 335609855, 0, 0, 0, 553648678, 0, 0, 0, 603979777, 0, 0, 0, 553648679, 0, 0, 0, 335609855, 0, 0, 0, 553648680, 0, 0, 0, 603979777, 0, 0, 0, 553648681, 0, 0, 0, 335609855, 0, 0, 0, 553648682, 0, 0, 0, 603979777, 0, 0, 0, 553648683, 0, 0, 0, 335609855, 0, 0, 0, 553648684, 0, 0, 0, 603979777, 0, 0, 0, 553648685, 0, 0, 0, 335609855, 0, 0, 0, 553648686, 0, 0, 0, 603979777, 0, 0, 0, 553648687, 0, 0, 0, 335609855, 0, 0, 0, 553648688, 0, 0, 0, 603979777, 0, 0, 0, 553648689, 0, 0, 0, 335609855, 0, 0, 0, 553648690, 0, 0, 0, 603979777, 0, 0, 0, 553648691, 0, 0, 0, 335609855, 0, 0, 0, 562037300, 0, 0, 0, 335544325, 0, 0, 0, 553648698, 0, 0, 0, 603979776, 0, 0, 0, 553648699, 0, 0, 0, 603979777, 0, 0, 0, 553648700, 0, 0, 0, 335609855, 0, 0, 0, 553648701, 0, 0, 0, 604045149, 0, 0, 0, 553648702, 0, 0, 0, 603979776, 0, 0, 0, 562037311, 0, 0, 0, 335544321, 0, 0, 0, 553648705, 0, 0, 0, 603979859, 0, 0, 0, 562037328, 0, 0, 0, 335544322, 0, 0, 0, 553648723, 0, 0, 0, 335609646, 0, 0, 0, 553648724, 0, 0, 0, 335609650, 0, 0, 0, 553648725, 0, 0, 0, 335544320, 0, 0, 0, 553648726, 0, 0, 0, 335609651, 0, 0, 0, 553648727, 0, 0, 0, 335609651, 0, 0, 0, 553648728, 0, 0, 0, 335544320, 0, 0, 0, 553648729, 0, 0, 0, 335609654, 0, 0, 0, 553648730, 0, 0, 0, 335544320, 0, 0, 0, 553648731, 0, 0, 0, 335609653, 0, 0, 0, 562037340, 0, 0, 0, 335544323, 0, 0, 0, 553648736, 0, 0, 0, 335609651, 0, 0, 0, 562037345, 0, 0, 0, 335544321, 0, 0, 0, 553648739, 0, 0, 0, 335609649, 0, 0, 0, 562037348, 0, 0, 0, 335544323, 0, 0, 0, 553648744, 0, 0, 0, 335609647, 0, 0, 0, 553648745, 0, 0, 0, 335609645, 0, 0, 0, 562037354, 0, 0, 0, 335544324, 0, 0, 0, 553648751, 0, 0, 0, 335609645, 0, 0, 0, 562037360, 0, 0, 0, 335544321, 0, 0, 0, 553648754, 0, 0, 0, 335609643, 0, 0, 0, 562037363, 0, 0, 0, 335544321, 0, 0, 0, 553648757, 0, 0, 0, 335609642, 0, 0, 0, 562037366, 0, 0, 0, 335544329, 0, 0, 0, 553648768, 0, 0, 0, 335609638, 0, 0, 0, 562037377, 0, 0, 0, 335544321, 0, 0, 0, 553648771, 0, 0, 0, 335609638, 0, 0, 0, 562037380, 0, 0, 0, 335544323, 0, 0, 0, 553648776, 0, 0, 0, 335609638, 0, 0, 0, 553648777, 0, 0, 0, 335544320, 0, 0, 0, 553648778, 0, 0, 0, 335609639, 0, 0, 0, 553648779, 0, 0, 0, 335609639, 0, 0, 0, 562037388, 0, 0, 0, 335544325, 0, 0, 0, 553648786, 0, 0, 0, 335609637, 0, 0, 0, 553648787, 0, 0, 0, 335544320, 0, 0, 0, 553648788, 0, 0, 0, 335609773, 0, 0, 0, 562037397, 0, 0, 0, 335544346, 0, 0, 0, 562037424, 0, 0, 0, 402653201, 0, 0, 0, 159384258, 0, 0, 0, 1610612739, 0, 0, 0, 159384262, 0, 0, 0, 402653195, 0, 0, 0, 159384274, 0, 0, 0, 1610612749, 0, 0, 0, 562037472, 0, 0, 0, 402653188, 0, 0, 0, 159384293, 0, 0, 0, 1610612744, 0, 0, 0, 150995694, 0, 0, 0, 402653184, 0, 0, 0, 159384303, 0, 0, 0, 1610612752, 0, 0, 0, 461374208, 0, 0, 0, 805306436, 0, 0, 0, 452985669, 0, 0, 0, 805306452, 0, 0, 0, 461374278, 0, 0, 0, 805306409, 0, 0, 0, 327156596, 0, 0, 0, 1610612737, 0, 0, 0, 318767994, 0, 0, 0, 402653184, 0, 0, 0, 150995838, 0, 0, 0, 1409286144, 0, 0, 0, 327156612, 0, 0, 0, 1610612737, 0, 0, 0, 318768006, 0, 0, 0, 603979814, 0, 0, 0, 150995847, 0, 0, 0, 1409286144, 0, 0, 0, 318768008, 0, 0, 0, 603979813, 0, 0, 0, 318768009, 0, 0, 0, 603979813, 0, 0, 0, 318768010, 0, 0, 0, 603979813, 0, 0, 0, 318768012, 0, 0, 0, 603979840, 0, 0, 0, 318768014, 0, 0, 0, 603979839, 0, 0, 0, 318768015, 0, 0, 0, 603979839, 0, 0, 0, 318768016, 0, 0, 0, 335544320, 0, 0, 0, 318768017, 0, 0, 0, 603979808, 0, 0, 0, 318768018, 0, 0, 0, 603979808, 0, 0, 0, 318768019, 0, 0, 0, 603979808, 0, 0, 0, 318768020, 0, 0, 0, 603979808, 0, 0, 0, 318768021, 0, 0, 0, 603979808, 0, 0, 0, 318768022, 0, 0, 0, 603979808, 0, 0, 0, 318768023, 0, 0, 0, 603979808, 0, 0, 0, 318768024, 0, 0, 0, 603979808, 0, 0, 0, 318768025, 0, 0, 0, 603979808, 0, 0, 0, 318768026, 0, 0, 0, 603979808, 0, 0, 0, 318768027, 0, 0, 0, 603979808, 0, 0, 0, 318768028, 0, 0, 0, 603979808, 0, 0, 0, 318768029, 0, 0, 0, 603979808, 0, 0, 0, 318768030, 0, 0, 0, 603979808, 0, 0, 0, 318768031, 0, 0, 0, 603979808, 0, 0, 0, 318768032, 0, 0, 0, 603979808, 0, 0, 0, 318768033, 0, 0, 0, 603979808, 0, 0, 0, 318768035, 0, 0, 0, 603979808, 0, 0, 0, 318768036, 0, 0, 0, 603979808, 0, 0, 0, 318768037, 0, 0, 0, 603979808, 0, 0, 0, 318768038, 0, 0, 0, 603979808, 0, 0, 0, 318768039, 0, 0, 0, 603979808, 0, 0, 0, 318768040, 0, 0, 0, 603979808, 0, 0, 0, 318768041, 0, 0, 0, 603979808, 0, 0, 0, 318768042, 0, 0, 0, 603979808, 0, 0, 0, 318768043, 0, 0, 0, 603979808, 0, 0, 0, 318768044, 0, 0, 0, 335609818, 0, 0, 0, 318768045, 0, 0, 0, 335609819, 0, 0, 0, 318768046, 0, 0, 0, 335609819, 0, 0, 0, 318768047, 0, 0, 0, 335609819, 0, 0, 0, 318768048, 0, 0, 0, 335544320, 0, 0, 0, 318768049, 0, 0, 0, 335609824, 0, 0, 0, 318768050, 0, 0, 0, 335609824, 0, 0, 0, 318768051, 0, 0, 0, 335609824, 0, 0, 0, 318768052, 0, 0, 0, 335609824, 0, 0, 0, 318768053, 0, 0, 0, 335609824, 0, 0, 0, 318768054, 0, 0, 0, 335609824, 0, 0, 0, 318768055, 0, 0, 0, 335609824, 0, 0, 0, 318768056, 0, 0, 0, 335609824, 0, 0, 0, 318768057, 0, 0, 0, 335609824, 0, 0, 0, 318768058, 0, 0, 0, 335609824, 0, 0, 0, 318768059, 0, 0, 0, 335609824, 0, 0, 0, 318768060, 0, 0, 0, 335609824, 0, 0, 0, 318768061, 0, 0, 0, 335609824, 0, 0, 0, 318768062, 0, 0, 0, 335609824, 0, 0, 0, 318768063, 0, 0, 0, 335609824, 0, 0, 0, 318768064, 0, 0, 0, 335609824, 0, 0, 0, 318768065, 0, 0, 0, 335609824, 0, 0, 0, 318768066, 0, 0, 0, 335609825, 0, 0, 0, 318768067, 0, 0, 0, 335609824, 0, 0, 0, 318768068, 0, 0, 0, 335609824, 0, 0, 0, 318768069, 0, 0, 0, 335609824, 0, 0, 0, 318768070, 0, 0, 0, 335609824, 0, 0, 0, 318768071, 0, 0, 0, 335609824, 0, 0, 0, 318768072, 0, 0, 0, 335609824, 0, 0, 0, 318768073, 0, 0, 0, 335609824, 0, 0, 0, 318768074, 0, 0, 0, 335609824, 0, 0, 0, 318768075, 0, 0, 0, 335609824, 0, 0, 0, 318768076, 0, 0, 0, 335609792, 0, 0, 0, 318768077, 0, 0, 0, 335609793, 0, 0, 0, 318768078, 0, 0, 0, 335609793, 0, 0, 0, 318768080, 0, 0, 0, 335609794, 0, 0, 0, 318768081, 0, 0, 0, 335609799, 0, 0, 0, 327156690, 0, 0, 0, 603979778, 0, 0, 0, 318768085, 0, 0, 0, 335609809, 0, 0, 0, 318768086, 0, 0, 0, 335609802, 0, 0, 0, 318768087, 0, 0, 0, 335544320, 0, 0, 0, 318768088, 0, 0, 0, 603979777, 0, 0, 0, 318768089, 0, 0, 0, 335609855, 0, 0, 0, 318768090, 0, 0, 0, 603979777, 0, 0, 0, 318768091, 0, 0, 0, 335609855, 0, 0, 0, 318768092, 0, 0, 0, 603979777, 0, 0, 0, 318768093, 0, 0, 0, 335609855, 0, 0, 0, 318768094, 0, 0, 0, 603979777, 0, 0, 0, 318768095, 0, 0, 0, 335609855, 0, 0, 0, 318768096, 0, 0, 0, 603979777, 0, 0, 0, 318768097, 0, 0, 0, 335609855, 0, 0, 0, 167773154, 0, 0, 0, 603979777, 0, 0, 0, 167773155, 0, 0, 0, 335609855, 0, 0, 0, 167773156, 0, 0, 0, 603979777, 0, 0, 0, 167773157, 0, 0, 0, 335609855, 0, 0, 0, 167773158, 0, 0, 0, 603979777, 0, 0, 0, 167773159, 0, 0, 0, 335609855, 0, 0, 0, 167773160, 0, 0, 0, 603979777, 0, 0, 0, 167773161, 0, 0, 0, 335609855, 0, 0, 0, 167773162, 0, 0, 0, 603979777, 0, 0, 0, 167773163, 0, 0, 0, 335609855, 0, 0, 0, 167773164, 0, 0, 0, 603979777, 0, 0, 0, 167773165, 0, 0, 0, 335609855, 0, 0, 0, 167773166, 0, 0, 0, 603979777, 0, 0, 0, 167773167, 0, 0, 0, 335609855, 0, 0, 0, 318768112, 0, 0, 0, 335609770, 0, 0, 0, 318768113, 0, 0, 0, 335609776, 0, 0, 0, 318768114, 0, 0, 0, 335544327, 0, 0, 0, 318768115, 0, 0, 0, 335544320, 0, 0, 0, 318768116, 0, 0, 0, 604045252, 0, 0, 0, 318768117, 0, 0, 0, 335609760, 0, 0, 0, 318768118, 0, 0, 0, 1677721600, 0, 0, 0, 318768119, 0, 0, 0, 603979777, 0, 0, 0, 318768120, 0, 0, 0, 335609855, 0, 0, 0, 318768121, 0, 0, 0, 604045305, 0, 0, 0, 318768122, 0, 0, 0, 603979777, 0, 0, 0, 318768123, 0, 0, 0, 335609855, 0, 0, 0, 318768124, 0, 0, 0, 335544320, 0, 0, 0, 327156733, 0, 0, 0, 603979778, 0, 0, 0, 201327616, 0, 0, 0, 603979856, 0, 0, 0, 201327617, 0, 0, 0, 603979856, 0, 0, 0, 201327618, 0, 0, 0, 603979856, 0, 0, 0, 201327619, 0, 0, 0, 603979856, 0, 0, 0, 201327620, 0, 0, 0, 603979856, 0, 0, 0, 201327621, 0, 0, 0, 603979856, 0, 0, 0, 201327622, 0, 0, 0, 603979856, 0, 0, 0, 201327623, 0, 0, 0, 603979856, 0, 0, 0, 201327624, 0, 0, 0, 603979856, 0, 0, 0, 201327625, 0, 0, 0, 603979856, 0, 0, 0, 201327626, 0, 0, 0, 603979856, 0, 0, 0, 201327627, 0, 0, 0, 603979856, 0, 0, 0, 201327628, 0, 0, 0, 603979856, 0, 0, 0, 201327629, 0, 0, 0, 603979856, 0, 0, 0, 201327630, 0, 0, 0, 603979856, 0, 0, 0, 201327631, 0, 0, 0, 603979856, 0, 0, 0, 201327632, 0, 0, 0, 603979808, 0, 0, 0, 201327633, 0, 0, 0, 603979808, 0, 0, 0, 201327634, 0, 0, 0, 603979808, 0, 0, 0, 201327635, 0, 0, 0, 603979808, 0, 0, 0, 201327636, 0, 0, 0, 603979808, 0, 0, 0, 201327637, 0, 0, 0, 603979808, 0, 0, 0, 201327638, 0, 0, 0, 603979808, 0, 0, 0, 201327639, 0, 0, 0, 603979808, 0, 0, 0, 201327640, 0, 0, 0, 603979808, 0, 0, 0, 201327641, 0, 0, 0, 603979808, 0, 0, 0, 201327642, 0, 0, 0, 603979808, 0, 0, 0, 201327643, 0, 0, 0, 603979808, 0, 0, 0, 201327644, 0, 0, 0, 603979808, 0, 0, 0, 201327645, 0, 0, 0, 603979808, 0, 0, 0, 201327646, 0, 0, 0, 603979808, 0, 0, 0, 201327647, 0, 0, 0, 603979808, 0, 0, 0, 201327648, 0, 0, 0, 603979808, 0, 0, 0, 201327649, 0, 0, 0, 603979808, 0, 0, 0, 201327650, 0, 0, 0, 603979808, 0, 0, 0, 201327651, 0, 0, 0, 603979808, 0, 0, 0, 201327652, 0, 0, 0, 603979808, 0, 0, 0, 201327653, 0, 0, 0, 603979808, 0, 0, 0, 201327654, 0, 0, 0, 603979808, 0, 0, 0, 201327655, 0, 0, 0, 603979808, 0, 0, 0, 201327656, 0, 0, 0, 603979808, 0, 0, 0, 201327657, 0, 0, 0, 603979808, 0, 0, 0, 201327658, 0, 0, 0, 603979808, 0, 0, 0, 201327659, 0, 0, 0, 603979808, 0, 0, 0, 201327660, 0, 0, 0, 603979808, 0, 0, 0, 201327661, 0, 0, 0, 603979808, 0, 0, 0, 201327662, 0, 0, 0, 603979808, 0, 0, 0, 201327663, 0, 0, 0, 603979808, 0, 0, 0, 201327664, 0, 0, 0, 335609824, 0, 0, 0, 201327665, 0, 0, 0, 335609824, 0, 0, 0, 201327666, 0, 0, 0, 335609824, 0, 0, 0, 201327667, 0, 0, 0, 335609824, 0, 0, 0, 201327668, 0, 0, 0, 335609824, 0, 0, 0, 201327669, 0, 0, 0, 335609824, 0, 0, 0, 201327670, 0, 0, 0, 335609824, 0, 0, 0, 201327671, 0, 0, 0, 335609824, 0, 0, 0, 201327672, 0, 0, 0, 335609824, 0, 0, 0, 201327673, 0, 0, 0, 335609824, 0, 0, 0, 201327674, 0, 0, 0, 335609824, 0, 0, 0, 201327675, 0, 0, 0, 335609824, 0, 0, 0, 201327676, 0, 0, 0, 335609824, 0, 0, 0, 201327677, 0, 0, 0, 335609824, 0, 0, 0, 201327678, 0, 0, 0, 335609824, 0, 0, 0, 201327679, 0, 0, 0, 335609824, 0, 0, 0, 201327680, 0, 0, 0, 335609824, 0, 0, 0, 201327681, 0, 0, 0, 335609824, 0, 0, 0, 201327682, 0, 0, 0, 335609824, 0, 0, 0, 201327683, 0, 0, 0, 335609824, 0, 0, 0, 201327684, 0, 0, 0, 335609824, 0, 0, 0, 201327685, 0, 0, 0, 335609824, 0, 0, 0, 201327686, 0, 0, 0, 335609824, 0, 0, 0, 201327687, 0, 0, 0, 335609824, 0, 0, 0, 201327688, 0, 0, 0, 335609824, 0, 0, 0, 201327689, 0, 0, 0, 335609824, 0, 0, 0, 201327690, 0, 0, 0, 335609824, 0, 0, 0, 201327691, 0, 0, 0, 335609824, 0, 0, 0, 201327692, 0, 0, 0, 335609824, 0, 0, 0, 201327693, 0, 0, 0, 335609824, 0, 0, 0, 201327694, 0, 0, 0, 335609824, 0, 0, 0, 201327695, 0, 0, 0, 335609824, 0, 0, 0, 201327696, 0, 0, 0, 335609776, 0, 0, 0, 201327697, 0, 0, 0, 335609776, 0, 0, 0, 201327698, 0, 0, 0, 335609776, 0, 0, 0, 201327699, 0, 0, 0, 335609776, 0, 0, 0, 201327700, 0, 0, 0, 335609776, 0, 0, 0, 201327701, 0, 0, 0, 335609776, 0, 0, 0, 201327702, 0, 0, 0, 335609776, 0, 0, 0, 201327703, 0, 0, 0, 335609776, 0, 0, 0, 201327704, 0, 0, 0, 335609776, 0, 0, 0, 201327705, 0, 0, 0, 335609776, 0, 0, 0, 201327706, 0, 0, 0, 335609776, 0, 0, 0, 201327707, 0, 0, 0, 335609776, 0, 0, 0, 201327708, 0, 0, 0, 335609776, 0, 0, 0, 201327709, 0, 0, 0, 335609776, 0, 0, 0, 201327710, 0, 0, 0, 335609776, 0, 0, 0, 201327711, 0, 0, 0, 335609776, 0, 0, 0, 201327712, 0, 0, 0, 603979777, 0, 0, 0, 201327713, 0, 0, 0, 335609855, 0, 0, 0, 201327714, 0, 0, 0, 603979777, 0, 0, 0, 201327715, 0, 0, 0, 335609855, 0, 0, 0, 201327716, 0, 0, 0, 603979777, 0, 0, 0, 201327717, 0, 0, 0, 335609855, 0, 0, 0, 201327718, 0, 0, 0, 603979777, 0, 0, 0, 201327719, 0, 0, 0, 335609855, 0, 0, 0, 201327720, 0, 0, 0, 603979777, 0, 0, 0, 201327721, 0, 0, 0, 335609855, 0, 0, 0, 201327722, 0, 0, 0, 603979777, 0, 0, 0, 201327723, 0, 0, 0, 335609855, 0, 0, 0, 201327724, 0, 0, 0, 603979777, 0, 0, 0, 201327725, 0, 0, 0, 335609855, 0, 0, 0, 201327726, 0, 0, 0, 603979777, 0, 0, 0, 201327727, 0, 0, 0, 335609855, 0, 0, 0, 201327728, 0, 0, 0, 603979777, 0, 0, 0, 201327729, 0, 0, 0, 335609855, 0, 0, 0, 201327730, 0, 0, 0, 603979777, 0, 0, 0, 201327731, 0, 0, 0, 335609855, 0, 0, 0, 201327732, 0, 0, 0, 603979777, 0, 0, 0, 201327733, 0, 0, 0, 335609855, 0, 0, 0, 201327734, 0, 0, 0, 603979777, 0, 0, 0, 201327735, 0, 0, 0, 335609855, 0, 0, 0, 201327736, 0, 0, 0, 603979777, 0, 0, 0, 201327737, 0, 0, 0, 335609855, 0, 0, 0, 201327738, 0, 0, 0, 603979777, 0, 0, 0, 201327739, 0, 0, 0, 335609855, 0, 0, 0, 201327740, 0, 0, 0, 603979777, 0, 0, 0, 201327741, 0, 0, 0, 335609855, 0, 0, 0, 201327742, 0, 0, 0, 603979777, 0, 0, 0, 201327743, 0, 0, 0, 335609855, 0, 0, 0, 201327744, 0, 0, 0, 603979777, 0, 0, 0, 201327745, 0, 0, 0, 335609855, 0, 0, 0, 201327746, 0, 0, 0, 1744830464, 0, 0, 0, 209716355, 0, 0, 0, 805306371, 0, 0, 0, 209716360, 0, 0, 0, 738197505, 0, 0, 0, 201327754, 0, 0, 0, 603979777, 0, 0, 0, 201327755, 0, 0, 0, 335609855, 0, 0, 0, 201327756, 0, 0, 0, 603979777, 0, 0, 0, 201327757, 0, 0, 0, 335609855, 0, 0, 0, 201327758, 0, 0, 0, 603979777, 0, 0, 0, 201327759, 0, 0, 0, 335609855, 0, 0, 0, 201327760, 0, 0, 0, 603979777, 0, 0, 0, 201327761, 0, 0, 0, 335609855, 0, 0, 0, 201327762, 0, 0, 0, 603979777, 0, 0, 0, 201327763, 0, 0, 0, 335609855, 0, 0, 0, 201327764, 0, 0, 0, 603979777, 0, 0, 0, 201327765, 0, 0, 0, 335609855, 0, 0, 0, 201327766, 0, 0, 0, 603979777, 0, 0, 0, 201327767, 0, 0, 0, 335609855, 0, 0, 0, 201327768, 0, 0, 0, 603979777, 0, 0, 0, 201327769, 0, 0, 0, 335609855, 0, 0, 0, 201327770, 0, 0, 0, 603979777, 0, 0, 0, 201327771, 0, 0, 0, 335609855, 0, 0, 0, 201327772, 0, 0, 0, 603979777, 0, 0, 0, 201327773, 0, 0, 0, 335609855, 0, 0, 0, 201327774, 0, 0, 0, 603979777, 0, 0, 0, 201327775, 0, 0, 0, 335609855, 0, 0, 0, 201327776, 0, 0, 0, 603979777, 0, 0, 0, 201327777, 0, 0, 0, 335609855, 0, 0, 0, 201327778, 0, 0, 0, 603979777, 0, 0, 0, 201327779, 0, 0, 0, 335609855, 0, 0, 0, 201327780, 0, 0, 0, 603979777, 0, 0, 0, 201327781, 0, 0, 0, 335609855, 0, 0, 0, 201327782, 0, 0, 0, 603979777, 0, 0, 0, 201327783, 0, 0, 0, 335609855, 0, 0, 0, 201327784, 0, 0, 0, 603979777, 0, 0, 0, 201327785, 0, 0, 0, 335609855, 0, 0, 0, 201327786, 0, 0, 0, 603979777, 0, 0, 0, 201327787, 0, 0, 0, 335609855, 0, 0, 0, 201327788, 0, 0, 0, 603979777, 0, 0, 0, 201327789, 0, 0, 0, 335609855, 0, 0, 0, 201327790, 0, 0, 0, 603979777, 0, 0, 0, 201327791, 0, 0, 0, 335609855, 0, 0, 0, 201327792, 0, 0, 0, 603979777, 0, 0, 0, 201327793, 0, 0, 0, 335609855, 0, 0, 0, 201327794, 0, 0, 0, 603979777, 0, 0, 0, 201327795, 0, 0, 0, 335609855, 0, 0, 0, 201327796, 0, 0, 0, 603979777, 0, 0, 0, 201327797, 0, 0, 0, 335609855, 0, 0, 0, 201327798, 0, 0, 0, 603979777, 0, 0, 0, 201327799, 0, 0, 0, 335609855, 0, 0, 0, 201327800, 0, 0, 0, 603979777, 0, 0, 0, 201327801, 0, 0, 0, 335609855, 0, 0, 0, 201327802, 0, 0, 0, 603979777, 0, 0, 0, 201327803, 0, 0, 0, 335609855, 0, 0, 0, 201327804, 0, 0, 0, 603979777, 0, 0, 0, 201327805, 0, 0, 0, 335609855, 0, 0, 0, 201327806, 0, 0, 0, 603979777, 0, 0, 0, 201327807, 0, 0, 0, 335609855, 0, 0, 0, 201327808, 0, 0, 0, 603979776, 0, 0, 0, 201327809, 0, 0, 0, 603979777, 0, 0, 0, 201327810, 0, 0, 0, 335609855, 0, 0, 0, 201327811, 0, 0, 0, 603979777, 0, 0, 0, 201327812, 0, 0, 0, 335609855, 0, 0, 0, 201327813, 0, 0, 0, 603979777, 0, 0, 0, 201327814, 0, 0, 0, 335609855, 0, 0, 0, 201327815, 0, 0, 0, 603979777, 0, 0, 0, 201327816, 0, 0, 0, 335609855, 0, 0, 0, 201327817, 0, 0, 0, 603979777, 0, 0, 0, 201327818, 0, 0, 0, 335609855, 0, 0, 0, 201327819, 0, 0, 0, 603979777, 0, 0, 0, 201327820, 0, 0, 0, 335609855, 0, 0, 0, 201327821, 0, 0, 0, 603979777, 0, 0, 0, 201327822, 0, 0, 0, 335609855, 0, 0, 0, 201327824, 0, 0, 0, 603979777, 0, 0, 0, 201327825, 0, 0, 0, 335609855, 0, 0, 0, 201327826, 0, 0, 0, 603979777, 0, 0, 0, 201327827, 0, 0, 0, 335609855, 0, 0, 0, 201327828, 0, 0, 0, 603979777, 0, 0, 0, 201327829, 0, 0, 0, 335609855, 0, 0, 0, 201327830, 0, 0, 0, 603979777, 0, 0, 0, 201327831, 0, 0, 0, 335609855, 0, 0, 0, 201327832, 0, 0, 0, 603979777, 0, 0, 0, 201327833, 0, 0, 0, 335609855, 0, 0, 0, 201327834, 0, 0, 0, 603979777, 0, 0, 0, 201327835, 0, 0, 0, 335609855, 0, 0, 0, 201327836, 0, 0, 0, 603979777, 0, 0, 0, 201327837, 0, 0, 0, 335609855, 0, 0, 0, 201327838, 0, 0, 0, 603979777, 0, 0, 0, 201327839, 0, 0, 0, 335609855, 0, 0, 0, 201327840, 0, 0, 0, 603979777, 0, 0, 0, 201327841, 0, 0, 0, 335609855, 0, 0, 0, 201327842, 0, 0, 0, 603979777, 0, 0, 0, 201327843, 0, 0, 0, 335609855, 0, 0, 0, 201327844, 0, 0, 0, 603979777, 0, 0, 0, 201327845, 0, 0, 0, 335609855, 0, 0, 0, 201327846, 0, 0, 0, 603979777, 0, 0, 0, 201327847, 0, 0, 0, 335609855, 0, 0, 0, 201327848, 0, 0, 0, 603979777, 0, 0, 0, 201327849, 0, 0, 0, 335609855, 0, 0, 0, 201327850, 0, 0, 0, 603979777, 0, 0, 0, 201327851, 0, 0, 0, 335609855, 0, 0, 0, 201327852, 0, 0, 0, 603979777, 0, 0, 0, 201327853, 0, 0, 0, 335609855, 0, 0, 0, 201327854, 0, 0, 0, 603979777, 0, 0, 0, 201327855, 0, 0, 0, 335609855, 0, 0, 0, 201327856, 0, 0, 0, 603979777, 0, 0, 0, 201327857, 0, 0, 0, 335609855, 0, 0, 0, 201327858, 0, 0, 0, 603979777, 0, 0, 0, 201327859, 0, 0, 0, 335609855, 0, 0, 0, 201327860, 0, 0, 0, 603979777, 0, 0, 0, 201327861, 0, 0, 0, 335609855, 0, 0, 0, 201327862, 0, 0, 0, 603979777, 0, 0, 0, 201327863, 0, 0, 0, 335609855, 0, 0, 0, 201327864, 0, 0, 0, 603979777, 0, 0, 0, 201327865, 0, 0, 0, 335609855, 0, 0, 0, 201327872, 0, 0, 0, 603979777, 0, 0, 0, 201327873, 0, 0, 0, 335609855, 0, 0, 0, 201327874, 0, 0, 0, 603979777, 0, 0, 0, 201327875, 0, 0, 0, 335609855, 0, 0, 0, 201327876, 0, 0, 0, 603979777, 0, 0, 0, 201327877, 0, 0, 0, 335609855, 0, 0, 0, 201327878, 0, 0, 0, 603979777, 0, 0, 0, 201327879, 0, 0, 0, 335609855, 0, 0, 0, 201327880, 0, 0, 0, 603979777, 0, 0, 0, 201327881, 0, 0, 0, 335609855, 0, 0, 0, 201327882, 0, 0, 0, 603979777, 0, 0, 0, 201327883, 0, 0, 0, 335609855, 0, 0, 0, 201327884, 0, 0, 0, 603979777, 0, 0, 0, 201327885, 0, 0, 0, 335609855, 0, 0, 0, 201327886, 0, 0, 0, 603979777, 0, 0, 0, 201327887, 0, 0, 0, 335609855, 0, 0, 0, 16778545, 0, 0, 0, 603979824, 0, 0, 0, 16778546, 0, 0, 0, 603979824, 0, 0, 0, 16778547, 0, 0, 0, 603979824, 0, 0, 0, 16778548, 0, 0, 0, 603979824, 0, 0, 0, 16778549, 0, 0, 0, 603979824, 0, 0, 0, 16778550, 0, 0, 0, 603979824, 0, 0, 0, 16778551, 0, 0, 0, 603979824, 0, 0, 0, 16778552, 0, 0, 0, 603979824, 0, 0, 0, 16778553, 0, 0, 0, 603979824, 0, 0, 0, 16778554, 0, 0, 0, 603979824, 0, 0, 0, 16778555, 0, 0, 0, 603979824, 0, 0, 0, 16778556, 0, 0, 0, 603979824, 0, 0, 0, 16778557, 0, 0, 0, 603979824, 0, 0, 0, 16778558, 0, 0, 0, 603979824, 0, 0, 0, 16778559, 0, 0, 0, 603979824, 0, 0, 0, 16778560, 0, 0, 0, 603979824, 0, 0, 0, 16778561, 0, 0, 0, 603979824, 0, 0, 0, 16778562, 0, 0, 0, 603979824, 0, 0, 0, 16778563, 0, 0, 0, 603979824, 0, 0, 0, 16778564, 0, 0, 0, 603979824, 0, 0, 0, 16778565, 0, 0, 0, 603979824, 0, 0, 0, 16778566, 0, 0, 0, 603979824, 0, 0, 0, 16778567, 0, 0, 0, 603979824, 0, 0, 0, 16778568, 0, 0, 0, 603979824, 0, 0, 0, 16778569, 0, 0, 0, 603979824, 0, 0, 0, 16778570, 0, 0, 0, 603979824, 0, 0, 0, 16778571, 0, 0, 0, 603979824, 0, 0, 0, 16778572, 0, 0, 0, 603979824, 0, 0, 0, 16778573, 0, 0, 0, 603979824, 0, 0, 0, 16778574, 0, 0, 0, 603979824, 0, 0, 0, 16778575, 0, 0, 0, 603979824, 0, 0, 0, 16778576, 0, 0, 0, 603979824, 0, 0, 0, 16778577, 0, 0, 0, 603979824, 0, 0, 0, 16778578, 0, 0, 0, 603979824, 0, 0, 0, 16778579, 0, 0, 0, 603979824, 0, 0, 0, 16778580, 0, 0, 0, 603979824, 0, 0, 0, 16778581, 0, 0, 0, 603979824, 0, 0, 0, 16778582, 0, 0, 0, 603979824, 0, 0, 0, 16778585, 0, 0, 0, 402653184, 0, 0, 0, 25167194, 0, 0, 0, 1409286149, 0, 0, 0, 16778593, 0, 0, 0, 335609808, 0, 0, 0, 16778594, 0, 0, 0, 335609808, 0, 0, 0, 16778595, 0, 0, 0, 335609808, 0, 0, 0, 16778596, 0, 0, 0, 335609808, 0, 0, 0, 16778597, 0, 0, 0, 335609808, 0, 0, 0, 16778598, 0, 0, 0, 335609808, 0, 0, 0, 16778599, 0, 0, 0, 335609808, 0, 0, 0, 16778600, 0, 0, 0, 335609808, 0, 0, 0, 16778601, 0, 0, 0, 335609808, 0, 0, 0, 16778602, 0, 0, 0, 335609808, 0, 0, 0, 16778603, 0, 0, 0, 335609808, 0, 0, 0, 16778604, 0, 0, 0, 335609808, 0, 0, 0, 16778605, 0, 0, 0, 335609808, 0, 0, 0, 16778606, 0, 0, 0, 335609808, 0, 0, 0, 16778607, 0, 0, 0, 335609808, 0, 0, 0, 16778608, 0, 0, 0, 335609808, 0, 0, 0, 16778609, 0, 0, 0, 335609808, 0, 0, 0, 16778610, 0, 0, 0, 335609808, 0, 0, 0, 16778611, 0, 0, 0, 335609808, 0, 0, 0, 16778612, 0, 0, 0, 335609808, 0, 0, 0, 16778613, 0, 0, 0, 335609808, 0, 0, 0, 16778614, 0, 0, 0, 335609808, 0, 0, 0, 16778615, 0, 0, 0, 335609808, 0, 0, 0, 16778616, 0, 0, 0, 335609808, 0, 0, 0, 16778617, 0, 0, 0, 335609808, 0, 0, 0, 16778618, 0, 0, 0, 335609808, 0, 0, 0, 16778619, 0, 0, 0, 335609808, 0, 0, 0, 16778620, 0, 0, 0, 335609808, 0, 0, 0, 16778621, 0, 0, 0, 335609808, 0, 0, 0, 16778622, 0, 0, 0, 335609808, 0, 0, 0, 16778623, 0, 0, 0, 335609808, 0, 0, 0, 16778624, 0, 0, 0, 335609808, 0, 0, 0, 16778625, 0, 0, 0, 335609808, 0, 0, 0, 16778626, 0, 0, 0, 335609808, 0, 0, 0, 16778627, 0, 0, 0, 335609808, 0, 0, 0, 16778628, 0, 0, 0, 335609808, 0, 0, 0, 16778629, 0, 0, 0, 335609808, 0, 0, 0, 16778630, 0, 0, 0, 335609808, 0, 0, 0, 16778631, 0, 0, 0, 335544320, 0, 0, 0, 150996361, 0, 0, 0, 1409286144, 0, 0, 0, 16778634, 0, 0, 0, 1140850688, 0, 0, 0, 427820433, 0, 0, 0, 805306408, 0, 0, 0, 427820475, 0, 0, 0, 805306370, 0, 0, 0, 419431870, 0, 0, 0, 1409286144, 0, 0, 0, 419431871, 0, 0, 0, 805306368, 0, 0, 0, 419431872, 0, 0, 0, 1409286144, 0, 0, 0, 427820481, 0, 0, 0, 805306369, 0, 0, 0, 419431875, 0, 0, 0, 1409286144, 0, 0, 0, 427820484, 0, 0, 0, 805306369, 0, 0, 0, 419431878, 0, 0, 0, 1409286144, 0, 0, 0, 419431879, 0, 0, 0, 805306368, 0, 0, 0, 427820496, 0, 0, 0, 469762074, 0, 0, 0, 427820528, 0, 0, 0, 469762050, 0, 0, 0, 427820531, 0, 0, 0, 1409286145, 0, 0, 0, 159385088, 0, 0, 0, 67108867, 0, 0, 0, 1547, 0, 0, 0, 1543503872, 0, 0, 0, 159385100, 0, 0, 0, 1409286145, 0, 0, 0, 8390158, 0, 0, 0, 1744830465, 0, 0, 0, 8390160, 0, 0, 0, 805306373, 0, 0, 0, 150996507, 0, 0, 0, 1409286144, 0, 0, 0, 8390174, 0, 0, 0, 1409286145, 0, 0, 0, 8390177, 0, 0, 0, 469762073, 0, 0, 0, 150996544, 0, 0, 0, 402653184, 0, 0, 0, 8390209, 0, 0, 0, 469762057, 0, 0, 0, 461375051, 0, 0, 0, 805306387, 0, 0, 0, 159385184, 0, 0, 0, 872415241, 0, 0, 0, 8390250, 0, 0, 0, 1409286147, 0, 0, 0, 8390254, 0, 0, 0, 469762049, 0, 0, 0, 452986480, 0, 0, 0, 805306368, 0, 0, 0, 8390257, 0, 0, 0, 469762146, 0, 0, 0, 1748, 0, 0, 0, 1409286144, 0, 0, 0, 1749, 0, 0, 0, 469762048, 0, 0, 0, 8390358, 0, 0, 0, 805306374, 0, 0, 0, 150996701, 0, 0, 0, 67108864, 0, 0, 0, 1758, 0, 0, 0, 738197504, 0, 0, 0, 8390367, 0, 0, 0, 805306373, 0, 0, 0, 8390373, 0, 0, 0, 402653185, 0, 0, 0, 8390375, 0, 0, 0, 805306369, 0, 0, 0, 1769, 0, 0, 0, 1744830464, 0, 0, 0, 8390378, 0, 0, 0, 805306371, 0, 0, 0, 8390382, 0, 0, 0, 469762049, 0, 0, 0, 8390384, 0, 0, 0, 872415241, 0, 0, 0, 8390394, 0, 0, 0, 469762050, 0, 0, 0, 8390397, 0, 0, 0, 1744830465, 0, 0, 0, 1791, 0, 0, 0, 469762048, 0, 0, 0, 830473984, 0, 0, 0, 1409286157, 0, 0, 0, 822085391, 0, 0, 0, 67108864, 0, 0, 0, 822085392, 0, 0, 0, 469762048, 0, 0, 0, 822085393, 0, 0, 0, 805306368, 0, 0, 0, 830474002, 0, 0, 0, 469762077, 0, 0, 0, 830474032, 0, 0, 0, 805306394, 0, 0, 0, 830474061, 0, 0, 0, 469762080, 0, 0, 0, 931137408, 0, 0, 0, 469762085, 0, 0, 0, 931137446, 0, 0, 0, 805306378, 0, 0, 0, 922748849, 0, 0, 0, 469762048, 0, 0, 0, 243271937, 0, 0, 0, 805306369, 0, 0, 0, 234883331, 0, 0, 0, 671088640, 0, 0, 0, 243271940, 0, 0, 0, 469762101, 0, 0, 0, 234883388, 0, 0, 0, 805306368, 0, 0, 0, 234883389, 0, 0, 0, 469762048, 0, 0, 0, 243271998, 0, 0, 0, 671088642, 0, 0, 0, 243272001, 0, 0, 0, 805306375, 0, 0, 0, 243272009, 0, 0, 0, 671088643, 0, 0, 0, 234883405, 0, 0, 0, 805306368, 0, 0, 0, 234883408, 0, 0, 0, 469762048, 0, 0, 0, 243272017, 0, 0, 0, 805306371, 0, 0, 0, 243272024, 0, 0, 0, 469762057, 0, 0, 0, 243272034, 0, 0, 0, 805306369, 0, 0, 0, 159385956, 0, 0, 0, 1409286145, 0, 0, 0, 243272038, 0, 0, 0, 872415241, 0, 0, 0, 150997360, 0, 0, 0, 1409286144, 0, 0, 0, 234883453, 0, 0, 0, 469762048, 0, 0, 0, 33556865, 0, 0, 0, 805306368, 0, 0, 0, 41945474, 0, 0, 0, 671088641, 0, 0, 0, 41945477, 0, 0, 0, 469762055, 0, 0, 0, 41945487, 0, 0, 0, 469762049, 0, 0, 0, 41945491, 0, 0, 0, 469762069, 0, 0, 0, 41945514, 0, 0, 0, 469762054, 0, 0, 0, 33556914, 0, 0, 0, 469762048, 0, 0, 0, 41945526, 0, 0, 0, 469762051, 0, 0, 0, 33556924, 0, 0, 0, 805306368, 0, 0, 0, 33556925, 0, 0, 0, 469762048, 0, 0, 0, 41945534, 0, 0, 0, 671088642, 0, 0, 0, 41945537, 0, 0, 0, 805306371, 0, 0, 0, 41945543, 0, 0, 0, 671088641, 0, 0, 0, 41945547, 0, 0, 0, 671088641, 0, 0, 0, 33556941, 0, 0, 0, 805306368, 0, 0, 0, 33556942, 0, 0, 0, 469762048, 0, 0, 0, 33556951, 0, 0, 0, 671088640, 0, 0, 0, 41945564, 0, 0, 0, 469762049, 0, 0, 0, 41945567, 0, 0, 0, 469762050, 0, 0, 0, 41945570, 0, 0, 0, 805306369, 0, 0, 0, 41945574, 0, 0, 0, 872415241, 0, 0, 0, 41945584, 0, 0, 0, 469762049, 0, 0, 0, 41945586, 0, 0, 0, 1543503873, 0, 0, 0, 41945588, 0, 0, 0, 1006632965, 0, 0, 0, 33556986, 0, 0, 0, 1744830464, 0, 0, 0, 360712705, 0, 0, 0, 805306369, 0, 0, 0, 352324099, 0, 0, 0, 671088640, 0, 0, 0, 360712709, 0, 0, 0, 469762053, 0, 0, 0, 360712719, 0, 0, 0, 469762049, 0, 0, 0, 360712723, 0, 0, 0, 469762069, 0, 0, 0, 360712746, 0, 0, 0, 469762054, 0, 0, 0, 360712754, 0, 0, 0, 469762049, 0, 0, 0, 360712757, 0, 0, 0, 469762049, 0, 0, 0, 360712760, 0, 0, 0, 469762049, 0, 0, 0, 352324156, 0, 0, 0, 805306368, 0, 0, 0, 360712766, 0, 0, 0, 671088642, 0, 0, 0, 360712769, 0, 0, 0, 805306369, 0, 0, 0, 360712775, 0, 0, 0, 805306369, 0, 0, 0, 360712779, 0, 0, 0, 805306370, 0, 0, 0, 360712793, 0, 0, 0, 469762051, 0, 0, 0, 352324190, 0, 0, 0, 469762048, 0, 0, 0, 360712806, 0, 0, 0, 872415241, 0, 0, 0, 360712816, 0, 0, 0, 805306369, 0, 0, 0, 360712818, 0, 0, 0, 469762050, 0, 0, 0, 343935617, 0, 0, 0, 805306369, 0, 0, 0, 335547011, 0, 0, 0, 671088640, 0, 0, 0, 343935621, 0, 0, 0, 469762056, 0, 0, 0, 343935631, 0, 0, 0, 469762050, 0, 0, 0, 343935635, 0, 0, 0, 469762069, 0, 0, 0, 343935658, 0, 0, 0, 469762054, 0, 0, 0, 343935666, 0, 0, 0, 469762049, 0, 0, 0, 343935669, 0, 0, 0, 469762052, 0, 0, 0, 335547068, 0, 0, 0, 805306368, 0, 0, 0, 335547069, 0, 0, 0, 469762048, 0, 0, 0, 343935678, 0, 0, 0, 671088642, 0, 0, 0, 343935681, 0, 0, 0, 805306372, 0, 0, 0, 343935687, 0, 0, 0, 805306369, 0, 0, 0, 335547081, 0, 0, 0, 671088640, 0, 0, 0, 343935691, 0, 0, 0, 671088641, 0, 0, 0, 335547085, 0, 0, 0, 805306368, 0, 0, 0, 335547088, 0, 0, 0, 469762048, 0, 0, 0, 343935712, 0, 0, 0, 469762049, 0, 0, 0, 343935714, 0, 0, 0, 805306369, 0, 0, 0, 343935718, 0, 0, 0, 872415241, 0, 0, 0, 335547121, 0, 0, 0, 1543503872, 0, 0, 0, 721423105, 0, 0, 0, 805306368, 0, 0, 0, 729811714, 0, 0, 0, 671088641, 0, 0, 0, 729811717, 0, 0, 0, 469762055, 0, 0, 0, 729811727, 0, 0, 0, 469762049, 0, 0, 0, 729811731, 0, 0, 0, 469762069, 0, 0, 0, 729811754, 0, 0, 0, 469762054, 0, 0, 0, 729811762, 0, 0, 0, 469762049, 0, 0, 0, 729811765, 0, 0, 0, 469762052, 0, 0, 0, 721423164, 0, 0, 0, 805306368, 0, 0, 0, 721423165, 0, 0, 0, 469762048, 0, 0, 0, 721423166, 0, 0, 0, 671088640, 0, 0, 0, 721423167, 0, 0, 0, 805306368, 0, 0, 0, 721423168, 0, 0, 0, 671088640, 0, 0, 0, 729811777, 0, 0, 0, 805306370, 0, 0, 0, 729811783, 0, 0, 0, 671088641, 0, 0, 0, 729811787, 0, 0, 0, 671088641, 0, 0, 0, 721423181, 0, 0, 0, 805306368, 0, 0, 0, 721423190, 0, 0, 0, 805306368, 0, 0, 0, 721423191, 0, 0, 0, 671088640, 0, 0, 0, 729811804, 0, 0, 0, 469762049, 0, 0, 0, 729811807, 0, 0, 0, 469762050, 0, 0, 0, 729811814, 0, 0, 0, 872415241, 0, 0, 0, 721423216, 0, 0, 0, 1744830464, 0, 0, 0, 721423217, 0, 0, 0, 469762048, 0, 0, 0, 889195394, 0, 0, 0, 805306368, 0, 0, 0, 889195395, 0, 0, 0, 469762048, 0, 0, 0, 897584005, 0, 0, 0, 469762053, 0, 0, 0, 897584014, 0, 0, 0, 469762050, 0, 0, 0, 897584018, 0, 0, 0, 469762051, 0, 0, 0, 897584025, 0, 0, 0, 469762049, 0, 0, 0, 889195420, 0, 0, 0, 469762048, 0, 0, 0, 897584030, 0, 0, 0, 469762049, 0, 0, 0, 897584035, 0, 0, 0, 469762049, 0, 0, 0, 897584040, 0, 0, 0, 469762050, 0, 0, 0, 897584046, 0, 0, 0, 469762059, 0, 0, 0, 897584062, 0, 0, 0, 671088641, 0, 0, 0, 889195456, 0, 0, 0, 805306368, 0, 0, 0, 897584065, 0, 0, 0, 671088641, 0, 0, 0, 897584070, 0, 0, 0, 671088642, 0, 0, 0, 897584074, 0, 0, 0, 671088642, 0, 0, 0, 889195469, 0, 0, 0, 805306368, 0, 0, 0, 889195479, 0, 0, 0, 671088640, 0, 0, 0, 897584102, 0, 0, 0, 872415241, 0, 0, 0, 897584112, 0, 0, 0, 1006632962, 0, 0, 0, 897584115, 0, 0, 0, 1744830469, 0, 0, 0, 889195513, 0, 0, 0, 1543503872, 0, 0, 0, 889195514, 0, 0, 0, 1744830464, 0, 0, 0, 914361345, 0, 0, 0, 671088642, 0, 0, 0, 914361349, 0, 0, 0, 469762055, 0, 0, 0, 914361358, 0, 0, 0, 469762050, 0, 0, 0, 914361362, 0, 0, 0, 469762070, 0, 0, 0, 914361386, 0, 0, 0, 469762057, 0, 0, 0, 914361397, 0, 0, 0, 469762052, 0, 0, 0, 914361406, 0, 0, 0, 805306370, 0, 0, 0, 914361409, 0, 0, 0, 671088643, 0, 0, 0, 914361414, 0, 0, 0, 805306370, 0, 0, 0, 914361418, 0, 0, 0, 805306371, 0, 0, 0, 914361429, 0, 0, 0, 805306369, 0, 0, 0, 914361440, 0, 0, 0, 469762049, 0, 0, 0, 914361446, 0, 0, 0, 872415241, 0, 0, 0, 478153858, 0, 0, 0, 671088641, 0, 0, 0, 478153861, 0, 0, 0, 469762055, 0, 0, 0, 478153870, 0, 0, 0, 469762050, 0, 0, 0, 478153874, 0, 0, 0, 469762070, 0, 0, 0, 478153898, 0, 0, 0, 469762057, 0, 0, 0, 478153909, 0, 0, 0, 469762052, 0, 0, 0, 469765308, 0, 0, 0, 805306368, 0, 0, 0, 469765309, 0, 0, 0, 469762048, 0, 0, 0, 469765310, 0, 0, 0, 671088640, 0, 0, 0, 469765311, 0, 0, 0, 805306368, 0, 0, 0, 478153920, 0, 0, 0, 671088644, 0, 0, 0, 469765318, 0, 0, 0, 805306368, 0, 0, 0, 478153927, 0, 0, 0, 671088641, 0, 0, 0, 478153930, 0, 0, 0, 671088641, 0, 0, 0, 478153932, 0, 0, 0, 805306369, 0, 0, 0, 478153941, 0, 0, 0, 671088641, 0, 0, 0, 469765342, 0, 0, 0, 469762048, 0, 0, 0, 478153952, 0, 0, 0, 469762049, 0, 0, 0, 478153958, 0, 0, 0, 872415241, 0, 0, 0, 612371714, 0, 0, 0, 671088641, 0, 0, 0, 612371717, 0, 0, 0, 469762055, 0, 0, 0, 612371726, 0, 0, 0, 469762050, 0, 0, 0, 612371730, 0, 0, 0, 469762070, 0, 0, 0, 612371754, 0, 0, 0, 469762063, 0, 0, 0, 612371774, 0, 0, 0, 671088642, 0, 0, 0, 612371777, 0, 0, 0, 805306370, 0, 0, 0, 612371782, 0, 0, 0, 671088642, 0, 0, 0, 612371786, 0, 0, 0, 671088642, 0, 0, 0, 603983181, 0, 0, 0, 805306368, 0, 0, 0, 603983191, 0, 0, 0, 671088640, 0, 0, 0, 612371808, 0, 0, 0, 469762049, 0, 0, 0, 612371814, 0, 0, 0, 872415241, 0, 0, 0, 796921218, 0, 0, 0, 671088641, 0, 0, 0, 796921221, 0, 0, 0, 469762065, 0, 0, 0, 796921242, 0, 0, 0, 469762071, 0, 0, 0, 796921267, 0, 0, 0, 469762056, 0, 0, 0, 788532669, 0, 0, 0, 469762048, 0, 0, 0, 796921280, 0, 0, 0, 469762054, 0, 0, 0, 788532682, 0, 0, 0, 805306368, 0, 0, 0, 796921295, 0, 0, 0, 671088642, 0, 0, 0, 796921298, 0, 0, 0, 805306370, 0, 0, 0, 788532694, 0, 0, 0, 805306368, 0, 0, 0, 796921304, 0, 0, 0, 671088647, 0, 0, 0, 796921330, 0, 0, 0, 671088641, 0, 0, 0, 788532724, 0, 0, 0, 1409286144, 0, 0, 0, 947916289, 0, 0, 0, 469762095, 0, 0, 0, 939527729, 0, 0, 0, 805306368, 0, 0, 0, 947916338, 0, 0, 0, 469762049, 0, 0, 0, 947916340, 0, 0, 0, 805306374, 0, 0, 0, 150998591, 0, 0, 0, 1543503872, 0, 0, 0, 947916352, 0, 0, 0, 469762053, 0, 0, 0, 939527750, 0, 0, 0, 402653184, 0, 0, 0, 947916359, 0, 0, 0, 805306375, 0, 0, 0, 939527759, 0, 0, 0, 1409286144, 0, 0, 0, 947916368, 0, 0, 0, 872415241, 0, 0, 0, 947916378, 0, 0, 0, 1409286145, 0, 0, 0, 545263233, 0, 0, 0, 469762049, 0, 0, 0, 536874628, 0, 0, 0, 469762048, 0, 0, 0, 545263239, 0, 0, 0, 469762049, 0, 0, 0, 536874634, 0, 0, 0, 469762048, 0, 0, 0, 536874637, 0, 0, 0, 469762048, 0, 0, 0, 545263252, 0, 0, 0, 469762051, 0, 0, 0, 545263257, 0, 0, 0, 469762054, 0, 0, 0, 545263265, 0, 0, 0, 469762050, 0, 0, 0, 536874661, 0, 0, 0, 469762048, 0, 0, 0, 536874663, 0, 0, 0, 469762048, 0, 0, 0, 545263274, 0, 0, 0, 469762049, 0, 0, 0, 545263277, 0, 0, 0, 469762051, 0, 0, 0, 536874673, 0, 0, 0, 805306368, 0, 0, 0, 545263282, 0, 0, 0, 469762049, 0, 0, 0, 545263284, 0, 0, 0, 805306373, 0, 0, 0, 545263291, 0, 0, 0, 805306369, 0, 0, 0, 536874685, 0, 0, 0, 469762048, 0, 0, 0, 545263296, 0, 0, 0, 469762052, 0, 0, 0, 536874694, 0, 0, 0, 402653184, 0, 0, 0, 545263304, 0, 0, 0, 805306373, 0, 0, 0, 545263312, 0, 0, 0, 872415241, 0, 0, 0, 545263324, 0, 0, 0, 469762049, 0, 0, 0, 956305152, 0, 0, 0, 469762048, 0, 0, 0, 964693761, 0, 0, 0, 1744830466, 0, 0, 0, 964693764, 0, 0, 0, 1409286158, 0, 0, 0, 964693779, 0, 0, 0, 1744830468, 0, 0, 0, 964693784, 0, 0, 0, 805306369, 0, 0, 0, 964693786, 0, 0, 0, 1744830469, 0, 0, 0, 964693792, 0, 0, 0, 872415241, 0, 0, 0, 964693802, 0, 0, 0, 1006632969, 0, 0, 0, 956305204, 0, 0, 0, 1744830464, 0, 0, 0, 956305205, 0, 0, 0, 805306368, 0, 0, 0, 956305206, 0, 0, 0, 1744830464, 0, 0, 0, 956305207, 0, 0, 0, 805306368, 0, 0, 0, 956305208, 0, 0, 0, 1744830464, 0, 0, 0, 956305209, 0, 0, 0, 805306368, 0, 0, 0, 956305210, 0, 0, 0, 1476395008, 0, 0, 0, 956305211, 0, 0, 0, 1207959552, 0, 0, 0, 956305212, 0, 0, 0, 1476395008, 0, 0, 0, 956305213, 0, 0, 0, 1207959552, 0, 0, 0, 964693822, 0, 0, 0, 671088641, 0, 0, 0, 964693824, 0, 0, 0, 469762055, 0, 0, 0, 964693833, 0, 0, 0, 469762081, 0, 0, 0, 964693873, 0, 0, 0, 805306381, 0, 0, 0, 956305279, 0, 0, 0, 671088640, 0, 0, 0, 964693888, 0, 0, 0, 805306372, 0, 0, 0, 956305285, 0, 0, 0, 1409286144, 0, 0, 0, 964693894, 0, 0, 0, 805306369, 0, 0, 0, 964693896, 0, 0, 0, 469762051, 0, 0, 0, 964693904, 0, 0, 0, 805306375, 0, 0, 0, 964693913, 0, 0, 0, 805306403, 0, 0, 0, 964693950, 0, 0, 0, 1744830471, 0, 0, 0, 956305350, 0, 0, 0, 805306368, 0, 0, 0, 964693959, 0, 0, 0, 1744830469, 0, 0, 0, 956305359, 0, 0, 0, 1744830464, 0, 0, 0, 964693968, 0, 0, 0, 1409286145, 0, 0, 0, 645926912, 0, 0, 0, 469762081, 0, 0, 0, 645926947, 0, 0, 0, 469762052, 0, 0, 0, 645926953, 0, 0, 0, 469762049, 0, 0, 0, 637538348, 0, 0, 0, 671088640, 0, 0, 0, 645926957, 0, 0, 0, 805306371, 0, 0, 0, 637538353, 0, 0, 0, 671088640, 0, 0, 0, 637538354, 0, 0, 0, 805306368, 0, 0, 0, 645926966, 0, 0, 0, 805306369, 0, 0, 0, 637538360, 0, 0, 0, 671088640, 0, 0, 0, 637538361, 0, 0, 0, 805306368, 0, 0, 0, 645926976, 0, 0, 0, 872415241, 0, 0, 0, 645926986, 0, 0, 0, 1409286149, 0, 0, 0, 645926992, 0, 0, 0, 469762053, 0, 0, 0, 645926998, 0, 0, 0, 671088641, 0, 0, 0, 645927000, 0, 0, 0, 805306369, 0, 0, 0, 268439712, 0, 0, 0, 603987040, 0, 0, 0, 268439713, 0, 0, 0, 603987040, 0, 0, 0, 268439714, 0, 0, 0, 603987040, 0, 0, 0, 268439715, 0, 0, 0, 603987040, 0, 0, 0, 268439716, 0, 0, 0, 603987040, 0, 0, 0, 268439717, 0, 0, 0, 603987040, 0, 0, 0, 268439718, 0, 0, 0, 603987040, 0, 0, 0, 268439719, 0, 0, 0, 603987040, 0, 0, 0, 268439720, 0, 0, 0, 603987040, 0, 0, 0, 268439721, 0, 0, 0, 603987040, 0, 0, 0, 268439722, 0, 0, 0, 603987040, 0, 0, 0, 268439723, 0, 0, 0, 603987040, 0, 0, 0, 268439724, 0, 0, 0, 603987040, 0, 0, 0, 268439725, 0, 0, 0, 603987040, 0, 0, 0, 268439726, 0, 0, 0, 603987040, 0, 0, 0, 268439727, 0, 0, 0, 603987040, 0, 0, 0, 268439728, 0, 0, 0, 603987040, 0, 0, 0, 268439729, 0, 0, 0, 603987040, 0, 0, 0, 268439730, 0, 0, 0, 603987040, 0, 0, 0, 268439731, 0, 0, 0, 603987040, 0, 0, 0, 268439732, 0, 0, 0, 603987040, 0, 0, 0, 268439733, 0, 0, 0, 603987040, 0, 0, 0, 268439734, 0, 0, 0, 603987040, 0, 0, 0, 268439735, 0, 0, 0, 603987040, 0, 0, 0, 268439736, 0, 0, 0, 603987040, 0, 0, 0, 268439737, 0, 0, 0, 603987040, 0, 0, 0, 268439738, 0, 0, 0, 603987040, 0, 0, 0, 268439739, 0, 0, 0, 603987040, 0, 0, 0, 268439740, 0, 0, 0, 603987040, 0, 0, 0, 268439741, 0, 0, 0, 603987040, 0, 0, 0, 268439742, 0, 0, 0, 603987040, 0, 0, 0, 268439743, 0, 0, 0, 603987040, 0, 0, 0, 268439744, 0, 0, 0, 603987040, 0, 0, 0, 268439745, 0, 0, 0, 603987040, 0, 0, 0, 268439746, 0, 0, 0, 603987040, 0, 0, 0, 268439747, 0, 0, 0, 603987040, 0, 0, 0, 268439748, 0, 0, 0, 603987040, 0, 0, 0, 268439749, 0, 0, 0, 603987040, 0, 0, 0, 276828368, 0, 0, 0, 469762090, 0, 0, 0, 150999291, 0, 0, 0, 1409286144, 0, 0, 0, 268439804, 0, 0, 0, 402653184, 0, 0, 0, 394268928, 0, 0, 0, 469762137, 0, 0, 0, 394269023, 0, 0, 0, 469762115, 0, 0, 0, 394269096, 0, 0, 0, 469762129, 0, 0, 0, 260051456, 0, 0, 0, 469762120, 0, 0, 0, 260051530, 0, 0, 0, 469762051, 0, 0, 0, 260051536, 0, 0, 0, 469762054, 0, 0, 0, 251662936, 0, 0, 0, 469762048, 0, 0, 0, 260051546, 0, 0, 0, 469762051, 0, 0, 0, 260051552, 0, 0, 0, 469762088, 0, 0, 0, 260051594, 0, 0, 0, 469762051, 0, 0, 0, 260051600, 0, 0, 0, 469762080, 0, 0, 0, 260051634, 0, 0, 0, 469762051, 0, 0, 0, 260051640, 0, 0, 0, 469762054, 0, 0, 0, 251663040, 0, 0, 0, 469762048, 0, 0, 0, 260051650, 0, 0, 0, 469762051, 0, 0, 0, 260051656, 0, 0, 0, 469762062, 0, 0, 0, 260051672, 0, 0, 0, 469762104, 0, 0, 0, 260051730, 0, 0, 0, 469762051, 0, 0, 0, 260051736, 0, 0, 0, 469762114, 0, 0, 0, 251663199, 0, 0, 0, 805306368, 0, 0, 0, 251663200, 0, 0, 0, 1744830464, 0, 0, 0, 260051809, 0, 0, 0, 1409286151, 0, 0, 0, 260051817, 0, 0, 0, 1006632979, 0, 0, 0, 260051840, 0, 0, 0, 469762063, 0, 0, 0, 260051856, 0, 0, 0, 1744830473, 0, 0, 0, 142611360, 0, 0, 0, 469762132, 0, 0, 0, 125834241, 0, 0, 0, 469762667, 0, 0, 0, 125834861, 0, 0, 0, 1409286145, 0, 0, 0, 125834863, 0, 0, 0, 469762055, 0, 0, 0, 671094400, 0, 0, 0, 1946157056, 0, 0, 0, 679483009, 0, 0, 0, 469762073, 0, 0, 0, 671094427, 0, 0, 0, 1476395008, 0, 0, 0, 671094428, 0, 0, 0, 1207959552, 0, 0, 0, 763369120, 0, 0, 0, 469762122, 0, 0, 0, 159389419, 0, 0, 0, 1409286146, 0, 0, 0, 763369198, 0, 0, 0, 939524098, 0, 0, 0, 847255296, 0, 0, 0, 469762060, 0, 0, 0, 847255310, 0, 0, 0, 469762051, 0, 0, 0, 847255314, 0, 0, 0, 805306370, 0, 0, 0, 411047712, 0, 0, 0, 469762065, 0, 0, 0, 411047730, 0, 0, 0, 805306370, 0, 0, 0, 159389493, 0, 0, 0, 1409286145, 0, 0, 0, 109057856, 0, 0, 0, 469762065, 0, 0, 0, 109057874, 0, 0, 0, 805306369, 0, 0, 0, 864032608, 0, 0, 0, 469762060, 0, 0, 0, 864032622, 0, 0, 0, 469762050, 0, 0, 0, 864032626, 0, 0, 0, 805306369, 0, 0, 0, 528488320, 0, 0, 0, 469762099, 0, 0, 0, 528488372, 0, 0, 0, 67108865, 0, 0, 0, 520099766, 0, 0, 0, 671088640, 0, 0, 0, 528488375, 0, 0, 0, 805306374, 0, 0, 0, 528488382, 0, 0, 0, 671088647, 0, 0, 0, 520099782, 0, 0, 0, 805306368, 0, 0, 0, 528488391, 0, 0, 0, 671088641, 0, 0, 0, 528488393, 0, 0, 0, 805306378, 0, 0, 0, 528488404, 0, 0, 0, 1409286146, 0, 0, 0, 520099799, 0, 0, 0, 402653184, 0, 0, 0, 528488408, 0, 0, 0, 1409286146, 0, 0, 0, 520099803, 0, 0, 0, 1543503872, 0, 0, 0, 520099804, 0, 0, 0, 469762048, 0, 0, 0, 520099805, 0, 0, 0, 805306368, 0, 0, 0, 528488416, 0, 0, 0, 872415241, 0, 0, 0, 528488432, 0, 0, 0, 1006632969, 0, 0, 0, 629151744, 0, 0, 0, 1409286149, 0, 0, 0, 620763142, 0, 0, 0, 1140850688, 0, 0, 0, 629151751, 0, 0, 0, 1409286147, 0, 0, 0, 629151755, 0, 0, 0, 805306370, 0, 0, 0, 620763150, 0, 0, 0, 1946157056, 0, 0, 0, 629151760, 0, 0, 0, 872415241, 0, 0, 0, 629151776, 0, 0, 0, 469762082, 0, 0, 0, 620763203, 0, 0, 0, 402653184, 0, 0, 0, 629151812, 0, 0, 0, 469762099, 0, 0, 0, 629151872, 0, 0, 0, 469762088, 0, 0, 0, 620763305, 0, 0, 0, 805306368, 0, 0, 0, 578820352, 0, 0, 0, 469762076, 0, 0, 0, 578820384, 0, 0, 0, 805306370, 0, 0, 0, 578820387, 0, 0, 0, 671088643, 0, 0, 0, 578820391, 0, 0, 0, 805306369, 0, 0, 0, 578820393, 0, 0, 0, 671088642, 0, 0, 0, 578820400, 0, 0, 0, 671088641, 0, 0, 0, 570431794, 0, 0, 0, 805306368, 0, 0, 0, 578820403, 0, 0, 0, 671088645, 0, 0, 0, 578820409, 0, 0, 0, 805306370, 0, 0, 0, 570431808, 0, 0, 0, 1744830464, 0, 0, 0, 578820420, 0, 0, 0, 1409286145, 0, 0, 0, 578820422, 0, 0, 0, 872415241, 0, 0, 0, 880810320, 0, 0, 0, 469762077, 0, 0, 0, 880810352, 0, 0, 0, 469762052, 0, 0, 0, 662706560, 0, 0, 0, 469762089, 0, 0, 0, 662706608, 0, 0, 0, 671088656, 0, 0, 0, 662706625, 0, 0, 0, 469762054, 0, 0, 0, 662706632, 0, 0, 0, 671088641, 0, 0, 0, 662706640, 0, 0, 0, 872415241, 0, 0, 0, 662706654, 0, 0, 0, 1409286145, 0, 0, 0, 528488928, 0, 0, 0, 1744830495, 0, 0, 0, 92281344, 0, 0, 0, 469762070, 0, 0, 0, 92281367, 0, 0, 0, 805306369, 0, 0, 0, 92281369, 0, 0, 0, 671088642, 0, 0, 0, 92281374, 0, 0, 0, 1409286145, 0, 0, 0, 562044160, 0, 0, 0, 335544363, 0, 0, 0, 562044204, 0, 0, 0, 402653237, 0, 0, 0, 562044258, 0, 0, 0, 335544341, 0, 0, 0, 201334136, 0, 0, 0, 402653184, 0, 0, 0, 562044281, 0, 0, 0, 335544353, 0, 0, 0, 562044315, 0, 0, 0, 402653220, 0, 0, 0, 461381056, 0, 0, 0, 805306371, 0, 0, 0, 553655808, 0, 0, 0, 603979777, 0, 0, 0, 553655809, 0, 0, 0, 335609855, 0, 0, 0, 553655810, 0, 0, 0, 603979777, 0, 0, 0, 553655811, 0, 0, 0, 335609855, 0, 0, 0, 553655812, 0, 0, 0, 603979777, 0, 0, 0, 553655813, 0, 0, 0, 335609855, 0, 0, 0, 553655814, 0, 0, 0, 603979777, 0, 0, 0, 553655815, 0, 0, 0, 335609855, 0, 0, 0, 553655816, 0, 0, 0, 603979777, 0, 0, 0, 553655817, 0, 0, 0, 335609855, 0, 0, 0, 553655818, 0, 0, 0, 603979777, 0, 0, 0, 553655819, 0, 0, 0, 335609855, 0, 0, 0, 553655820, 0, 0, 0, 603979777, 0, 0, 0, 553655821, 0, 0, 0, 335609855, 0, 0, 0, 553655822, 0, 0, 0, 603979777, 0, 0, 0, 553655823, 0, 0, 0, 335609855, 0, 0, 0, 553655824, 0, 0, 0, 603979777, 0, 0, 0, 553655825, 0, 0, 0, 335609855, 0, 0, 0, 553655826, 0, 0, 0, 603979777, 0, 0, 0, 553655827, 0, 0, 0, 335609855, 0, 0, 0, 553655828, 0, 0, 0, 603979777, 0, 0, 0, 553655829, 0, 0, 0, 335609855, 0, 0, 0, 553655830, 0, 0, 0, 603979777, 0, 0, 0, 553655831, 0, 0, 0, 335609855, 0, 0, 0, 553655832, 0, 0, 0, 603979777, 0, 0, 0, 553655833, 0, 0, 0, 335609855, 0, 0, 0, 553655834, 0, 0, 0, 603979777, 0, 0, 0, 553655835, 0, 0, 0, 335609855, 0, 0, 0, 553655836, 0, 0, 0, 603979777, 0, 0, 0, 553655837, 0, 0, 0, 335609855, 0, 0, 0, 553655838, 0, 0, 0, 603979777, 0, 0, 0, 553655839, 0, 0, 0, 335609855, 0, 0, 0, 553655840, 0, 0, 0, 603979777, 0, 0, 0, 553655841, 0, 0, 0, 335609855, 0, 0, 0, 553655842, 0, 0, 0, 603979777, 0, 0, 0, 553655843, 0, 0, 0, 335609855, 0, 0, 0, 553655844, 0, 0, 0, 603979777, 0, 0, 0, 553655845, 0, 0, 0, 335609855, 0, 0, 0, 553655846, 0, 0, 0, 603979777, 0, 0, 0, 553655847, 0, 0, 0, 335609855, 0, 0, 0, 553655848, 0, 0, 0, 603979777, 0, 0, 0, 553655849, 0, 0, 0, 335609855, 0, 0, 0, 553655850, 0, 0, 0, 603979777, 0, 0, 0, 553655851, 0, 0, 0, 335609855, 0, 0, 0, 553655852, 0, 0, 0, 603979777, 0, 0, 0, 553655853, 0, 0, 0, 335609855, 0, 0, 0, 553655854, 0, 0, 0, 603979777, 0, 0, 0, 553655855, 0, 0, 0, 335609855, 0, 0, 0, 553655856, 0, 0, 0, 603979777, 0, 0, 0, 553655857, 0, 0, 0, 335609855, 0, 0, 0, 553655858, 0, 0, 0, 603979777, 0, 0, 0, 553655859, 0, 0, 0, 335609855, 0, 0, 0, 553655860, 0, 0, 0, 603979777, 0, 0, 0, 553655861, 0, 0, 0, 335609855, 0, 0, 0, 553655862, 0, 0, 0, 603979777, 0, 0, 0, 553655863, 0, 0, 0, 335609855, 0, 0, 0, 553655864, 0, 0, 0, 603979777, 0, 0, 0, 553655865, 0, 0, 0, 335609855, 0, 0, 0, 553655866, 0, 0, 0, 603979777, 0, 0, 0, 553655867, 0, 0, 0, 335609855, 0, 0, 0, 553655868, 0, 0, 0, 603979777, 0, 0, 0, 553655869, 0, 0, 0, 335609855, 0, 0, 0, 553655870, 0, 0, 0, 603979777, 0, 0, 0, 553655871, 0, 0, 0, 335609855, 0, 0, 0, 553655872, 0, 0, 0, 603979777, 0, 0, 0, 553655873, 0, 0, 0, 335609855, 0, 0, 0, 553655874, 0, 0, 0, 603979777, 0, 0, 0, 553655875, 0, 0, 0, 335609855, 0, 0, 0, 553655876, 0, 0, 0, 603979777, 0, 0, 0, 553655877, 0, 0, 0, 335609855, 0, 0, 0, 553655878, 0, 0, 0, 603979777, 0, 0, 0, 553655879, 0, 0, 0, 335609855, 0, 0, 0, 553655880, 0, 0, 0, 603979777, 0, 0, 0, 553655881, 0, 0, 0, 335609855, 0, 0, 0, 553655882, 0, 0, 0, 603979777, 0, 0, 0, 553655883, 0, 0, 0, 335609855, 0, 0, 0, 553655884, 0, 0, 0, 603979777, 0, 0, 0, 553655885, 0, 0, 0, 335609855, 0, 0, 0, 553655886, 0, 0, 0, 603979777, 0, 0, 0, 553655887, 0, 0, 0, 335609855, 0, 0, 0, 553655888, 0, 0, 0, 603979777, 0, 0, 0, 553655889, 0, 0, 0, 335609855, 0, 0, 0, 553655890, 0, 0, 0, 603979777, 0, 0, 0, 553655891, 0, 0, 0, 335609855, 0, 0, 0, 553655892, 0, 0, 0, 603979777, 0, 0, 0, 553655893, 0, 0, 0, 335609855, 0, 0, 0, 553655894, 0, 0, 0, 603979777, 0, 0, 0, 553655895, 0, 0, 0, 335609855, 0, 0, 0, 553655896, 0, 0, 0, 603979777, 0, 0, 0, 553655897, 0, 0, 0, 335609855, 0, 0, 0, 553655898, 0, 0, 0, 603979777, 0, 0, 0, 553655899, 0, 0, 0, 335609855, 0, 0, 0, 553655900, 0, 0, 0, 603979777, 0, 0, 0, 553655901, 0, 0, 0, 335609855, 0, 0, 0, 553655902, 0, 0, 0, 603979777, 0, 0, 0, 553655903, 0, 0, 0, 335609855, 0, 0, 0, 553655904, 0, 0, 0, 603979777, 0, 0, 0, 553655905, 0, 0, 0, 335609855, 0, 0, 0, 553655906, 0, 0, 0, 603979777, 0, 0, 0, 553655907, 0, 0, 0, 335609855, 0, 0, 0, 553655908, 0, 0, 0, 603979777, 0, 0, 0, 553655909, 0, 0, 0, 335609855, 0, 0, 0, 553655910, 0, 0, 0, 603979777, 0, 0, 0, 553655911, 0, 0, 0, 335609855, 0, 0, 0, 553655912, 0, 0, 0, 603979777, 0, 0, 0, 553655913, 0, 0, 0, 335609855, 0, 0, 0, 553655914, 0, 0, 0, 603979777, 0, 0, 0, 553655915, 0, 0, 0, 335609855, 0, 0, 0, 553655916, 0, 0, 0, 603979777, 0, 0, 0, 553655917, 0, 0, 0, 335609855, 0, 0, 0, 553655918, 0, 0, 0, 603979777, 0, 0, 0, 553655919, 0, 0, 0, 335609855, 0, 0, 0, 553655920, 0, 0, 0, 603979777, 0, 0, 0, 553655921, 0, 0, 0, 335609855, 0, 0, 0, 553655922, 0, 0, 0, 603979777, 0, 0, 0, 553655923, 0, 0, 0, 335609855, 0, 0, 0, 553655924, 0, 0, 0, 603979777, 0, 0, 0, 553655925, 0, 0, 0, 335609855, 0, 0, 0, 553655926, 0, 0, 0, 603979777, 0, 0, 0, 553655927, 0, 0, 0, 335609855, 0, 0, 0, 553655928, 0, 0, 0, 603979777, 0, 0, 0, 553655929, 0, 0, 0, 335609855, 0, 0, 0, 553655930, 0, 0, 0, 603979777, 0, 0, 0, 553655931, 0, 0, 0, 335609855, 0, 0, 0, 553655932, 0, 0, 0, 603979777, 0, 0, 0, 553655933, 0, 0, 0, 335609855, 0, 0, 0, 553655934, 0, 0, 0, 603979777, 0, 0, 0, 553655935, 0, 0, 0, 335609855, 0, 0, 0, 553655936, 0, 0, 0, 603979777, 0, 0, 0, 553655937, 0, 0, 0, 335609855, 0, 0, 0, 553655938, 0, 0, 0, 603979777, 0, 0, 0, 553655939, 0, 0, 0, 335609855, 0, 0, 0, 553655940, 0, 0, 0, 603979777, 0, 0, 0, 553655941, 0, 0, 0, 335609855, 0, 0, 0, 553655942, 0, 0, 0, 603979777, 0, 0, 0, 553655943, 0, 0, 0, 335609855, 0, 0, 0, 553655944, 0, 0, 0, 603979777, 0, 0, 0, 553655945, 0, 0, 0, 335609855, 0, 0, 0, 553655946, 0, 0, 0, 603979777, 0, 0, 0, 553655947, 0, 0, 0, 335609855, 0, 0, 0, 553655948, 0, 0, 0, 603979777, 0, 0, 0, 553655949, 0, 0, 0, 335609855, 0, 0, 0, 553655950, 0, 0, 0, 603979777, 0, 0, 0, 553655951, 0, 0, 0, 335609855, 0, 0, 0, 553655952, 0, 0, 0, 603979777, 0, 0, 0, 553655953, 0, 0, 0, 335609855, 0, 0, 0, 553655954, 0, 0, 0, 603979777, 0, 0, 0, 553655955, 0, 0, 0, 335609855, 0, 0, 0, 553655956, 0, 0, 0, 603979777, 0, 0, 0, 553655957, 0, 0, 0, 335609855, 0, 0, 0, 562044566, 0, 0, 0, 335544324, 0, 0, 0, 553655963, 0, 0, 0, 335609797, 0, 0, 0, 553655968, 0, 0, 0, 603979777, 0, 0, 0, 553655969, 0, 0, 0, 335609855, 0, 0, 0, 553655970, 0, 0, 0, 603979777, 0, 0, 0, 553655971, 0, 0, 0, 335609855, 0, 0, 0, 553655972, 0, 0, 0, 603979777, 0, 0, 0, 553655973, 0, 0, 0, 335609855, 0, 0, 0, 553655974, 0, 0, 0, 603979777, 0, 0, 0, 553655975, 0, 0, 0, 335609855, 0, 0, 0, 553655976, 0, 0, 0, 603979777, 0, 0, 0, 553655977, 0, 0, 0, 335609855, 0, 0, 0, 553655978, 0, 0, 0, 603979777, 0, 0, 0, 553655979, 0, 0, 0, 335609855, 0, 0, 0, 553655980, 0, 0, 0, 603979777, 0, 0, 0, 553655981, 0, 0, 0, 335609855, 0, 0, 0, 553655982, 0, 0, 0, 603979777, 0, 0, 0, 553655983, 0, 0, 0, 335609855, 0, 0, 0, 553655984, 0, 0, 0, 603979777, 0, 0, 0, 553655985, 0, 0, 0, 335609855, 0, 0, 0, 553655986, 0, 0, 0, 603979777, 0, 0, 0, 553655987, 0, 0, 0, 335609855, 0, 0, 0, 553655988, 0, 0, 0, 603979777, 0, 0, 0, 553655989, 0, 0, 0, 335609855, 0, 0, 0, 553655990, 0, 0, 0, 603979777, 0, 0, 0, 553655991, 0, 0, 0, 335609855, 0, 0, 0, 553655992, 0, 0, 0, 603979777, 0, 0, 0, 553655993, 0, 0, 0, 335609855, 0, 0, 0, 553655994, 0, 0, 0, 603979777, 0, 0, 0, 553655995, 0, 0, 0, 335609855, 0, 0, 0, 553655996, 0, 0, 0, 603979777, 0, 0, 0, 553655997, 0, 0, 0, 335609855, 0, 0, 0, 553655998, 0, 0, 0, 603979777, 0, 0, 0, 553655999, 0, 0, 0, 335609855, 0, 0, 0, 553656000, 0, 0, 0, 603979777, 0, 0, 0, 553656001, 0, 0, 0, 335609855, 0, 0, 0, 553656002, 0, 0, 0, 603979777, 0, 0, 0, 553656003, 0, 0, 0, 335609855, 0, 0, 0, 553656004, 0, 0, 0, 603979777, 0, 0, 0, 553656005, 0, 0, 0, 335609855, 0, 0, 0, 553656006, 0, 0, 0, 603979777, 0, 0, 0, 553656007, 0, 0, 0, 335609855, 0, 0, 0, 553656008, 0, 0, 0, 603979777, 0, 0, 0, 553656009, 0, 0, 0, 335609855, 0, 0, 0, 553656010, 0, 0, 0, 603979777, 0, 0, 0, 553656011, 0, 0, 0, 335609855, 0, 0, 0, 553656012, 0, 0, 0, 603979777, 0, 0, 0, 553656013, 0, 0, 0, 335609855, 0, 0, 0, 553656014, 0, 0, 0, 603979777, 0, 0, 0, 553656015, 0, 0, 0, 335609855, 0, 0, 0, 553656016, 0, 0, 0, 603979777, 0, 0, 0, 553656017, 0, 0, 0, 335609855, 0, 0, 0, 553656018, 0, 0, 0, 603979777, 0, 0, 0, 553656019, 0, 0, 0, 335609855, 0, 0, 0, 553656020, 0, 0, 0, 603979777, 0, 0, 0, 553656021, 0, 0, 0, 335609855, 0, 0, 0, 553656022, 0, 0, 0, 603979777, 0, 0, 0, 553656023, 0, 0, 0, 335609855, 0, 0, 0, 553656024, 0, 0, 0, 603979777, 0, 0, 0, 553656025, 0, 0, 0, 335609855, 0, 0, 0, 553656026, 0, 0, 0, 603979777, 0, 0, 0, 553656027, 0, 0, 0, 335609855, 0, 0, 0, 553656028, 0, 0, 0, 603979777, 0, 0, 0, 553656029, 0, 0, 0, 335609855, 0, 0, 0, 553656030, 0, 0, 0, 603979777, 0, 0, 0, 553656031, 0, 0, 0, 335609855, 0, 0, 0, 553656032, 0, 0, 0, 603979777, 0, 0, 0, 553656033, 0, 0, 0, 335609855, 0, 0, 0, 553656034, 0, 0, 0, 603979777, 0, 0, 0, 553656035, 0, 0, 0, 335609855, 0, 0, 0, 553656036, 0, 0, 0, 603979777, 0, 0, 0, 553656037, 0, 0, 0, 335609855, 0, 0, 0, 553656038, 0, 0, 0, 603979777, 0, 0, 0, 553656039, 0, 0, 0, 335609855, 0, 0, 0, 553656040, 0, 0, 0, 603979777, 0, 0, 0, 553656041, 0, 0, 0, 335609855, 0, 0, 0, 553656042, 0, 0, 0, 603979777, 0, 0, 0, 553656043, 0, 0, 0, 335609855, 0, 0, 0, 553656044, 0, 0, 0, 603979777, 0, 0, 0, 553656045, 0, 0, 0, 335609855, 0, 0, 0, 553656046, 0, 0, 0, 603979777, 0, 0, 0, 553656047, 0, 0, 0, 335609855, 0, 0, 0, 553656048, 0, 0, 0, 603979777, 0, 0, 0, 553656049, 0, 0, 0, 335609855, 0, 0, 0, 553656050, 0, 0, 0, 603979777, 0, 0, 0, 553656051, 0, 0, 0, 335609855, 0, 0, 0, 553656052, 0, 0, 0, 603979777, 0, 0, 0, 553656053, 0, 0, 0, 335609855, 0, 0, 0, 553656054, 0, 0, 0, 603979777, 0, 0, 0, 553656055, 0, 0, 0, 335609855, 0, 0, 0, 553656056, 0, 0, 0, 603979777, 0, 0, 0, 553656057, 0, 0, 0, 335609855, 0, 0, 0, 318775040, 0, 0, 0, 335544328, 0, 0, 0, 318775041, 0, 0, 0, 335544328, 0, 0, 0, 318775042, 0, 0, 0, 335544328, 0, 0, 0, 318775043, 0, 0, 0, 335544328, 0, 0, 0, 318775044, 0, 0, 0, 335544328, 0, 0, 0, 318775045, 0, 0, 0, 335544328, 0, 0, 0, 318775046, 0, 0, 0, 335544328, 0, 0, 0, 318775047, 0, 0, 0, 335544328, 0, 0, 0, 318775048, 0, 0, 0, 604045304, 0, 0, 0, 318775049, 0, 0, 0, 604045304, 0, 0, 0, 318775050, 0, 0, 0, 604045304, 0, 0, 0, 318775051, 0, 0, 0, 604045304, 0, 0, 0, 318775052, 0, 0, 0, 604045304, 0, 0, 0, 318775053, 0, 0, 0, 604045304, 0, 0, 0, 318775054, 0, 0, 0, 604045304, 0, 0, 0, 318775055, 0, 0, 0, 604045304, 0, 0, 0, 318775056, 0, 0, 0, 335544328, 0, 0, 0, 318775057, 0, 0, 0, 335544328, 0, 0, 0, 318775058, 0, 0, 0, 335544328, 0, 0, 0, 318775059, 0, 0, 0, 335544328, 0, 0, 0, 318775060, 0, 0, 0, 335544328, 0, 0, 0, 318775061, 0, 0, 0, 335544328, 0, 0, 0, 318775064, 0, 0, 0, 604045304, 0, 0, 0, 318775065, 0, 0, 0, 604045304, 0, 0, 0, 318775066, 0, 0, 0, 604045304, 0, 0, 0, 318775067, 0, 0, 0, 604045304, 0, 0, 0, 318775068, 0, 0, 0, 604045304, 0, 0, 0, 318775069, 0, 0, 0, 604045304, 0, 0, 0, 318775072, 0, 0, 0, 335544328, 0, 0, 0, 318775073, 0, 0, 0, 335544328, 0, 0, 0, 318775074, 0, 0, 0, 335544328, 0, 0, 0, 318775075, 0, 0, 0, 335544328, 0, 0, 0, 318775076, 0, 0, 0, 335544328, 0, 0, 0, 318775077, 0, 0, 0, 335544328, 0, 0, 0, 318775078, 0, 0, 0, 335544328, 0, 0, 0, 318775079, 0, 0, 0, 335544328, 0, 0, 0, 318775080, 0, 0, 0, 604045304, 0, 0, 0, 318775081, 0, 0, 0, 604045304, 0, 0, 0, 318775082, 0, 0, 0, 604045304, 0, 0, 0, 318775083, 0, 0, 0, 604045304, 0, 0, 0, 318775084, 0, 0, 0, 604045304, 0, 0, 0, 318775085, 0, 0, 0, 604045304, 0, 0, 0, 318775086, 0, 0, 0, 604045304, 0, 0, 0, 318775087, 0, 0, 0, 604045304, 0, 0, 0, 318775088, 0, 0, 0, 335544328, 0, 0, 0, 318775089, 0, 0, 0, 335544328, 0, 0, 0, 318775090, 0, 0, 0, 335544328, 0, 0, 0, 318775091, 0, 0, 0, 335544328, 0, 0, 0, 318775092, 0, 0, 0, 335544328, 0, 0, 0, 318775093, 0, 0, 0, 335544328, 0, 0, 0, 318775094, 0, 0, 0, 335544328, 0, 0, 0, 318775095, 0, 0, 0, 335544328, 0, 0, 0, 318775096, 0, 0, 0, 604045304, 0, 0, 0, 318775097, 0, 0, 0, 604045304, 0, 0, 0, 318775098, 0, 0, 0, 604045304, 0, 0, 0, 318775099, 0, 0, 0, 604045304, 0, 0, 0, 318775100, 0, 0, 0, 604045304, 0, 0, 0, 318775101, 0, 0, 0, 604045304, 0, 0, 0, 318775102, 0, 0, 0, 604045304, 0, 0, 0, 318775103, 0, 0, 0, 604045304, 0, 0, 0, 318775104, 0, 0, 0, 335544328, 0, 0, 0, 318775105, 0, 0, 0, 335544328, 0, 0, 0, 318775106, 0, 0, 0, 335544328, 0, 0, 0, 318775107, 0, 0, 0, 335544328, 0, 0, 0, 318775108, 0, 0, 0, 335544328, 0, 0, 0, 318775109, 0, 0, 0, 335544328, 0, 0, 0, 318775112, 0, 0, 0, 604045304, 0, 0, 0, 318775113, 0, 0, 0, 604045304, 0, 0, 0, 318775114, 0, 0, 0, 604045304, 0, 0, 0, 318775115, 0, 0, 0, 604045304, 0, 0, 0, 318775116, 0, 0, 0, 604045304, 0, 0, 0, 318775117, 0, 0, 0, 604045304, 0, 0, 0, 318775120, 0, 0, 0, 335544320, 0, 0, 0, 318775121, 0, 0, 0, 335544328, 0, 0, 0, 318775122, 0, 0, 0, 335544320, 0, 0, 0, 318775123, 0, 0, 0, 335544328, 0, 0, 0, 318775124, 0, 0, 0, 335544320, 0, 0, 0, 318775125, 0, 0, 0, 335544328, 0, 0, 0, 318775126, 0, 0, 0, 335544320, 0, 0, 0, 318775127, 0, 0, 0, 335544328, 0, 0, 0, 318775129, 0, 0, 0, 604045304, 0, 0, 0, 318775131, 0, 0, 0, 604045304, 0, 0, 0, 318775133, 0, 0, 0, 604045304, 0, 0, 0, 318775135, 0, 0, 0, 604045304, 0, 0, 0, 318775136, 0, 0, 0, 335544328, 0, 0, 0, 318775137, 0, 0, 0, 335544328, 0, 0, 0, 318775138, 0, 0, 0, 335544328, 0, 0, 0, 318775139, 0, 0, 0, 335544328, 0, 0, 0, 318775140, 0, 0, 0, 335544328, 0, 0, 0, 318775141, 0, 0, 0, 335544328, 0, 0, 0, 318775142, 0, 0, 0, 335544328, 0, 0, 0, 318775143, 0, 0, 0, 335544328, 0, 0, 0, 318775144, 0, 0, 0, 604045304, 0, 0, 0, 318775145, 0, 0, 0, 604045304, 0, 0, 0, 318775146, 0, 0, 0, 604045304, 0, 0, 0, 318775147, 0, 0, 0, 604045304, 0, 0, 0, 318775148, 0, 0, 0, 604045304, 0, 0, 0, 318775149, 0, 0, 0, 604045304, 0, 0, 0, 318775150, 0, 0, 0, 604045304, 0, 0, 0, 318775151, 0, 0, 0, 604045304, 0, 0, 0, 318775152, 0, 0, 0, 335544394, 0, 0, 0, 318775153, 0, 0, 0, 335544394, 0, 0, 0, 318775154, 0, 0, 0, 335544406, 0, 0, 0, 318775155, 0, 0, 0, 335544406, 0, 0, 0, 318775156, 0, 0, 0, 335544406, 0, 0, 0, 318775157, 0, 0, 0, 335544406, 0, 0, 0, 318775158, 0, 0, 0, 335544420, 0, 0, 0, 318775159, 0, 0, 0, 335544420, 0, 0, 0, 318775160, 0, 0, 0, 335544448, 0, 0, 0, 318775161, 0, 0, 0, 335544448, 0, 0, 0, 318775162, 0, 0, 0, 335544432, 0, 0, 0, 318775163, 0, 0, 0, 335544432, 0, 0, 0, 318775164, 0, 0, 0, 335544446, 0, 0, 0, 318775165, 0, 0, 0, 335544446, 0, 0, 0, 318775168, 0, 0, 0, 335544328, 0, 0, 0, 318775169, 0, 0, 0, 335544328, 0, 0, 0, 318775170, 0, 0, 0, 335544328, 0, 0, 0, 318775171, 0, 0, 0, 335544328, 0, 0, 0, 318775172, 0, 0, 0, 335544328, 0, 0, 0, 318775173, 0, 0, 0, 335544328, 0, 0, 0, 318775174, 0, 0, 0, 335544328, 0, 0, 0, 318775175, 0, 0, 0, 335544328, 0, 0, 0, 318775176, 0, 0, 0, 536936440, 0, 0, 0, 318775177, 0, 0, 0, 536936440, 0, 0, 0, 318775178, 0, 0, 0, 536936440, 0, 0, 0, 318775179, 0, 0, 0, 536936440, 0, 0, 0, 318775180, 0, 0, 0, 536936440, 0, 0, 0, 318775181, 0, 0, 0, 536936440, 0, 0, 0, 318775182, 0, 0, 0, 536936440, 0, 0, 0, 318775183, 0, 0, 0, 536936440, 0, 0, 0, 318775184, 0, 0, 0, 335544328, 0, 0, 0, 318775185, 0, 0, 0, 335544328, 0, 0, 0, 318775186, 0, 0, 0, 335544328, 0, 0, 0, 318775187, 0, 0, 0, 335544328, 0, 0, 0, 318775188, 0, 0, 0, 335544328, 0, 0, 0, 318775189, 0, 0, 0, 335544328, 0, 0, 0, 318775190, 0, 0, 0, 335544328, 0, 0, 0, 318775191, 0, 0, 0, 335544328, 0, 0, 0, 318775192, 0, 0, 0, 536936440, 0, 0, 0, 318775193, 0, 0, 0, 536936440, 0, 0, 0, 318775194, 0, 0, 0, 536936440, 0, 0, 0, 318775195, 0, 0, 0, 536936440, 0, 0, 0, 318775196, 0, 0, 0, 536936440, 0, 0, 0, 318775197, 0, 0, 0, 536936440, 0, 0, 0, 318775198, 0, 0, 0, 536936440, 0, 0, 0, 318775199, 0, 0, 0, 536936440, 0, 0, 0, 318775200, 0, 0, 0, 335544328, 0, 0, 0, 318775201, 0, 0, 0, 335544328, 0, 0, 0, 318775202, 0, 0, 0, 335544328, 0, 0, 0, 318775203, 0, 0, 0, 335544328, 0, 0, 0, 318775204, 0, 0, 0, 335544328, 0, 0, 0, 318775205, 0, 0, 0, 335544328, 0, 0, 0, 318775206, 0, 0, 0, 335544328, 0, 0, 0, 318775207, 0, 0, 0, 335544328, 0, 0, 0, 318775208, 0, 0, 0, 536936440, 0, 0, 0, 318775209, 0, 0, 0, 536936440, 0, 0, 0, 318775210, 0, 0, 0, 536936440, 0, 0, 0, 318775211, 0, 0, 0, 536936440, 0, 0, 0, 318775212, 0, 0, 0, 536936440, 0, 0, 0, 318775213, 0, 0, 0, 536936440, 0, 0, 0, 318775214, 0, 0, 0, 536936440, 0, 0, 0, 318775215, 0, 0, 0, 536936440, 0, 0, 0, 318775216, 0, 0, 0, 335544328, 0, 0, 0, 318775217, 0, 0, 0, 335544328, 0, 0, 0, 318775218, 0, 0, 0, 335544320, 0, 0, 0, 318775219, 0, 0, 0, 335544329, 0, 0, 0, 318775220, 0, 0, 0, 335544320, 0, 0, 0, 327163830, 0, 0, 0, 335544321, 0, 0, 0, 318775224, 0, 0, 0, 604045304, 0, 0, 0, 318775225, 0, 0, 0, 604045304, 0, 0, 0, 318775226, 0, 0, 0, 604045238, 0, 0, 0, 318775227, 0, 0, 0, 604045238, 0, 0, 0, 318775228, 0, 0, 0, 536936439, 0, 0, 0, 318775229, 0, 0, 0, 1610612736, 0, 0, 0, 318775230, 0, 0, 0, 335602651, 0, 0, 0, 327163839, 0, 0, 0, 1610612738, 0, 0, 0, 318775234, 0, 0, 0, 335544320, 0, 0, 0, 318775235, 0, 0, 0, 335544329, 0, 0, 0, 318775236, 0, 0, 0, 335544320, 0, 0, 0, 327163846, 0, 0, 0, 335544321, 0, 0, 0, 318775240, 0, 0, 0, 604045226, 0, 0, 0, 318775241, 0, 0, 0, 604045226, 0, 0, 0, 318775242, 0, 0, 0, 604045226, 0, 0, 0, 318775243, 0, 0, 0, 604045226, 0, 0, 0, 318775244, 0, 0, 0, 536936439, 0, 0, 0, 327163853, 0, 0, 0, 1610612738, 0, 0, 0, 318775248, 0, 0, 0, 335544328, 0, 0, 0, 318775249, 0, 0, 0, 335544328, 0, 0, 0, 327163858, 0, 0, 0, 335544321, 0, 0, 0, 327163862, 0, 0, 0, 335544321, 0, 0, 0, 318775256, 0, 0, 0, 604045304, 0, 0, 0, 318775257, 0, 0, 0, 604045304, 0, 0, 0, 318775258, 0, 0, 0, 604045212, 0, 0, 0, 318775259, 0, 0, 0, 604045212, 0, 0, 0, 327163869, 0, 0, 0, 1610612738, 0, 0, 0, 318775264, 0, 0, 0, 335544328, 0, 0, 0, 318775265, 0, 0, 0, 335544328, 0, 0, 0, 327163874, 0, 0, 0, 335544322, 0, 0, 0, 318775269, 0, 0, 0, 335544327, 0, 0, 0, 327163878, 0, 0, 0, 335544321, 0, 0, 0, 318775272, 0, 0, 0, 604045304, 0, 0, 0, 318775273, 0, 0, 0, 604045304, 0, 0, 0, 318775274, 0, 0, 0, 604045200, 0, 0, 0, 318775275, 0, 0, 0, 604045200, 0, 0, 0, 318775276, 0, 0, 0, 604045305, 0, 0, 0, 327163885, 0, 0, 0, 1610612738, 0, 0, 0, 318775282, 0, 0, 0, 335544320, 0, 0, 0, 318775283, 0, 0, 0, 335544329, 0, 0, 0, 318775284, 0, 0, 0, 335544320, 0, 0, 0, 327163894, 0, 0, 0, 335544321, 0, 0, 0, 318775288, 0, 0, 0, 604045184, 0, 0, 0, 318775289, 0, 0, 0, 604045184, 0, 0, 0, 318775290, 0, 0, 0, 604045186, 0, 0, 0, 318775291, 0, 0, 0, 604045186, 0, 0, 0, 318775292, 0, 0, 0, 536936439, 0, 0, 0, 327163901, 0, 0, 0, 1610612737, 0, 0, 0, 159391744, 0, 0, 0, 1946157066, 0, 0, 0, 159391755, 0, 0, 0, 67108868, 0, 0, 0, 159391760, 0, 0, 0, 1140850693, 0, 0, 0, 159391766, 0, 0, 0, 1409286145, 0, 0, 0, 151003160, 0, 0, 0, 1342177280, 0, 0, 0, 151003161, 0, 0, 0, 1275068416, 0, 0, 0, 151003162, 0, 0, 0, 1476395008, 0, 0, 0, 159391771, 0, 0, 0, 1342177281, 0, 0, 0, 151003165, 0, 0, 0, 1275068416, 0, 0, 0, 151003166, 0, 0, 0, 1476395008, 0, 0, 0, 151003167, 0, 0, 0, 1342177280, 0, 0, 0, 159391776, 0, 0, 0, 1409286151, 0, 0, 0, 151003176, 0, 0, 0, 1811939328, 0, 0, 0, 151003177, 0, 0, 0, 1879048192, 0, 0, 0, 159391786, 0, 0, 0, 67108868, 0, 0, 0, 151003183, 0, 0, 0, 1946157056, 0, 0, 0, 159391792, 0, 0, 0, 1409286152, 0, 0, 0, 151003193, 0, 0, 0, 1342177280, 0, 0, 0, 151003194, 0, 0, 0, 1275068416, 0, 0, 0, 159391803, 0, 0, 0, 1409286147, 0, 0, 0, 159391807, 0, 0, 0, 1073741825, 0, 0, 0, 159391809, 0, 0, 0, 1409286146, 0, 0, 0, 151003204, 0, 0, 0, 1677721600, 0, 0, 0, 151003205, 0, 0, 0, 1476395008, 0, 0, 0, 151003206, 0, 0, 0, 1207959552, 0, 0, 0, 159391815, 0, 0, 0, 1409286154, 0, 0, 0, 151003218, 0, 0, 0, 1677721600, 0, 0, 0, 151003219, 0, 0, 0, 1409286144, 0, 0, 0, 151003220, 0, 0, 0, 1073741824, 0, 0, 0, 159391829, 0, 0, 0, 1409286153, 0, 0, 0, 151003231, 0, 0, 0, 1946157056, 0, 0, 0, 159391840, 0, 0, 0, 67108867, 0, 0, 0, 159391850, 0, 0, 0, 67108869, 0, 0, 0, 151003248, 0, 0, 0, 1006632960, 0, 0, 0, 553656433, 0, 0, 0, 335544320, 0, 0, 0, 159391860, 0, 0, 0, 1006632965, 0, 0, 0, 159391866, 0, 0, 0, 1677721602, 0, 0, 0, 151003261, 0, 0, 0, 1476395008, 0, 0, 0, 151003262, 0, 0, 0, 1207959552, 0, 0, 0, 553656447, 0, 0, 0, 335544320, 0, 0, 0, 159391872, 0, 0, 0, 1006632969, 0, 0, 0, 159391882, 0, 0, 0, 1677721602, 0, 0, 0, 151003277, 0, 0, 0, 1476395008, 0, 0, 0, 151003278, 0, 0, 0, 1207959552, 0, 0, 0, 562045072, 0, 0, 0, 402653188, 0, 0, 0, 159391904, 0, 0, 0, 1543503893, 0, 0, 0, 461381840, 0, 0, 0, 805306380, 0, 0, 0, 461381853, 0, 0, 0, 738197507, 0, 0, 0, 452993249, 0, 0, 0, 805306368, 0, 0, 0, 461381858, 0, 0, 0, 738197506, 0, 0, 0, 461381861, 0, 0, 0, 805306374, 0, 0, 0, 159392000, 0, 0, 0, 1744830465, 0, 0, 0, 151003394, 0, 0, 0, 603979776, 0, 0, 0, 159392003, 0, 0, 0, 1744830467, 0, 0, 0, 151003399, 0, 0, 0, 603979776, 0, 0, 0, 159392008, 0, 0, 0, 1744830465, 0, 0, 0, 151003402, 0, 0, 0, 335544320, 0, 0, 0, 159392011, 0, 0, 0, 603979778, 0, 0, 0, 159392014, 0, 0, 0, 335544321, 0, 0, 0, 159392016, 0, 0, 0, 603979778, 0, 0, 0, 151003411, 0, 0, 0, 335544320, 0, 0, 0, 151003412, 0, 0, 0, 1744830464, 0, 0, 0, 151003413, 0, 0, 0, 603979776, 0, 0, 0, 159392022, 0, 0, 0, 1744830466, 0, 0, 0, 159392025, 0, 0, 0, 603979780, 0, 0, 0, 159392030, 0, 0, 0, 1744830469, 0, 0, 0, 151003428, 0, 0, 0, 603979776, 0, 0, 0, 151003429, 0, 0, 0, 1744830464, 0, 0, 0, 318775590, 0, 0, 0, 604037795, 0, 0, 0, 151003431, 0, 0, 0, 1744830464, 0, 0, 0, 151003432, 0, 0, 0, 603979776, 0, 0, 0, 151003433, 0, 0, 0, 1744830464, 0, 0, 0, 553656618, 0, 0, 0, 604036929, 0, 0, 0, 553656619, 0, 0, 0, 604037050, 0, 0, 0, 159392044, 0, 0, 0, 603979777, 0, 0, 0, 151003438, 0, 0, 0, 1744830464, 0, 0, 0, 151003439, 0, 0, 0, 335544320, 0, 0, 0, 159392048, 0, 0, 0, 603979777, 0, 0, 0, 151003442, 0, 0, 0, 1744830464, 0, 0, 0, 151003443, 0, 0, 0, 603979776, 0, 0, 0, 151003444, 0, 0, 0, 335544320, 0, 0, 0, 159392053, 0, 0, 0, 469762051, 0, 0, 0, 151003449, 0, 0, 0, 335544320, 0, 0, 0, 159392058, 0, 0, 0, 1744830465, 0, 0, 0, 159392060, 0, 0, 0, 335544321, 0, 0, 0, 159392062, 0, 0, 0, 603979777, 0, 0, 0, 159392064, 0, 0, 0, 1677721604, 0, 0, 0, 151003461, 0, 0, 0, 603979776, 0, 0, 0, 159392070, 0, 0, 0, 335544323, 0, 0, 0, 151003466, 0, 0, 0, 1744830464, 0, 0, 0, 151003467, 0, 0, 0, 1677721600, 0, 0, 0, 151003468, 0, 0, 0, 1744830464, 0, 0, 0, 159392083, 0, 0, 0, 1006632972, 0, 0, 0, 151003488, 0, 0, 0, 939524112, 0, 0, 0, 151003489, 0, 0, 0, 939524112, 0, 0, 0, 151003490, 0, 0, 0, 939524112, 0, 0, 0, 151003491, 0, 0, 0, 939524112, 0, 0, 0, 151003492, 0, 0, 0, 939524112, 0, 0, 0, 151003493, 0, 0, 0, 939524112, 0, 0, 0, 151003494, 0, 0, 0, 939524112, 0, 0, 0, 151003495, 0, 0, 0, 939524112, 0, 0, 0, 151003496, 0, 0, 0, 939524112, 0, 0, 0, 151003497, 0, 0, 0, 939524112, 0, 0, 0, 151003498, 0, 0, 0, 939524112, 0, 0, 0, 151003499, 0, 0, 0, 939524112, 0, 0, 0, 151003500, 0, 0, 0, 939524112, 0, 0, 0, 151003501, 0, 0, 0, 939524112, 0, 0, 0, 151003502, 0, 0, 0, 939524112, 0, 0, 0, 151003503, 0, 0, 0, 939524112, 0, 0, 0, 151003504, 0, 0, 0, 939589616, 0, 0, 0, 151003505, 0, 0, 0, 939589616, 0, 0, 0, 151003506, 0, 0, 0, 939589616, 0, 0, 0, 151003507, 0, 0, 0, 939589616, 0, 0, 0, 151003508, 0, 0, 0, 939589616, 0, 0, 0, 151003509, 0, 0, 0, 939589616, 0, 0, 0, 151003510, 0, 0, 0, 939589616, 0, 0, 0, 151003511, 0, 0, 0, 939589616, 0, 0, 0, 151003512, 0, 0, 0, 939589616, 0, 0, 0, 151003513, 0, 0, 0, 939589616, 0, 0, 0, 151003514, 0, 0, 0, 939589616, 0, 0, 0, 151003515, 0, 0, 0, 939589616, 0, 0, 0, 151003516, 0, 0, 0, 939589616, 0, 0, 0, 151003517, 0, 0, 0, 939589616, 0, 0, 0, 151003518, 0, 0, 0, 939589616, 0, 0, 0, 151003519, 0, 0, 0, 939589616, 0, 0, 0, 159392128, 0, 0, 0, 939524099, 0, 0, 0, 159392144, 0, 0, 0, 1677721604, 0, 0, 0, 159392149, 0, 0, 0, 1744830468, 0, 0, 0, 159392154, 0, 0, 0, 1677721601, 0, 0, 0, 159392156, 0, 0, 0, 1744830467, 0, 0, 0, 151003552, 0, 0, 0, 1677721600, 0, 0, 0, 159392161, 0, 0, 0, 1744830465, 0, 0, 0, 151003555, 0, 0, 0, 1677721600, 0, 0, 0, 159392164, 0, 0, 0, 1744830465, 0, 0, 0, 151003558, 0, 0, 0, 1677721600, 0, 0, 0, 159392167, 0, 0, 0, 1744830470, 0, 0, 0, 151003566, 0, 0, 0, 1677721600, 0, 0, 0, 159392175, 0, 0, 0, 1744830494, 0, 0, 0, 159392206, 0, 0, 0, 1677721601, 0, 0, 0, 159392208, 0, 0, 0, 1744830465, 0, 0, 0, 151003602, 0, 0, 0, 1677721600, 0, 0, 0, 151003603, 0, 0, 0, 1744830464, 0, 0, 0, 151003604, 0, 0, 0, 1677721600, 0, 0, 0, 159392213, 0, 0, 0, 1744830494, 0, 0, 0, 159392244, 0, 0, 0, 1677721867, 0, 0, 0, 159392512, 0, 0, 0, 1744830471, 0, 0, 0, 159392520, 0, 0, 0, 1677721603, 0, 0, 0, 159392524, 0, 0, 0, 1744830483, 0, 0, 0, 159392544, 0, 0, 0, 1677721601, 0, 0, 0, 159392546, 0, 0, 0, 1744830470, 0, 0, 0, 151003945, 0, 0, 0, 1476395008, 0, 0, 0, 151003946, 0, 0, 0, 1207959552, 0, 0, 0, 159392555, 0, 0, 0, 1744830544, 0, 0, 0, 151004028, 0, 0, 0, 1677721600, 0, 0, 0, 159392637, 0, 0, 0, 1744830493, 0, 0, 0, 159392667, 0, 0, 0, 1677721624, 0, 0, 0, 151004084, 0, 0, 0, 1476395008, 0, 0, 0, 151004085, 0, 0, 0, 1207959552, 0, 0, 0, 151004086, 0, 0, 0, 1409286144, 0, 0, 0, 159392695, 0, 0, 0, 1744830500, 0, 0, 0, 159392768, 0, 0, 0, 1744830502, 0, 0, 0, 159392832, 0, 0, 0, 1744830474, 0, 0, 0, 159392864, 0, 0, 0, 1006633019, 0, 0, 0, 159392924, 0, 0, 0, 1744830489, 0, 0, 0, 151004342, 0, 0, 0, 1744830490, 0, 0, 0, 151004343, 0, 0, 0, 1744830490, 0, 0, 0, 151004344, 0, 0, 0, 1744830490, 0, 0, 0, 151004345, 0, 0, 0, 1744830490, 0, 0, 0, 151004346, 0, 0, 0, 1744830490, 0, 0, 0, 151004347, 0, 0, 0, 1744830490, 0, 0, 0, 151004348, 0, 0, 0, 1744830490, 0, 0, 0, 151004349, 0, 0, 0, 1744830490, 0, 0, 0, 151004350, 0, 0, 0, 1744830490, 0, 0, 0, 151004351, 0, 0, 0, 1744830490, 0, 0, 0, 151004352, 0, 0, 0, 1744830490, 0, 0, 0, 151004353, 0, 0, 0, 1744830490, 0, 0, 0, 151004354, 0, 0, 0, 1744830490, 0, 0, 0, 151004355, 0, 0, 0, 1744830490, 0, 0, 0, 151004356, 0, 0, 0, 1744830490, 0, 0, 0, 151004357, 0, 0, 0, 1744830490, 0, 0, 0, 151004358, 0, 0, 0, 1744830490, 0, 0, 0, 151004359, 0, 0, 0, 1744830490, 0, 0, 0, 151004360, 0, 0, 0, 1744830490, 0, 0, 0, 151004361, 0, 0, 0, 1744830490, 0, 0, 0, 151004362, 0, 0, 0, 1744830490, 0, 0, 0, 151004363, 0, 0, 0, 1744830490, 0, 0, 0, 151004364, 0, 0, 0, 1744830490, 0, 0, 0, 151004365, 0, 0, 0, 1744830490, 0, 0, 0, 151004366, 0, 0, 0, 1744830490, 0, 0, 0, 151004367, 0, 0, 0, 1744830490, 0, 0, 0, 151004368, 0, 0, 0, 1744895974, 0, 0, 0, 151004369, 0, 0, 0, 1744895974, 0, 0, 0, 151004370, 0, 0, 0, 1744895974, 0, 0, 0, 151004371, 0, 0, 0, 1744895974, 0, 0, 0, 151004372, 0, 0, 0, 1744895974, 0, 0, 0, 151004373, 0, 0, 0, 1744895974, 0, 0, 0, 151004374, 0, 0, 0, 1744895974, 0, 0, 0, 151004375, 0, 0, 0, 1744895974, 0, 0, 0, 151004376, 0, 0, 0, 1744895974, 0, 0, 0, 151004377, 0, 0, 0, 1744895974, 0, 0, 0, 151004378, 0, 0, 0, 1744895974, 0, 0, 0, 151004379, 0, 0, 0, 1744895974, 0, 0, 0, 151004380, 0, 0, 0, 1744895974, 0, 0, 0, 151004381, 0, 0, 0, 1744895974, 0, 0, 0, 151004382, 0, 0, 0, 1744895974, 0, 0, 0, 151004383, 0, 0, 0, 1744895974, 0, 0, 0, 151004384, 0, 0, 0, 1744895974, 0, 0, 0, 151004385, 0, 0, 0, 1744895974, 0, 0, 0, 151004386, 0, 0, 0, 1744895974, 0, 0, 0, 151004387, 0, 0, 0, 1744895974, 0, 0, 0, 151004388, 0, 0, 0, 1744895974, 0, 0, 0, 151004389, 0, 0, 0, 1744895974, 0, 0, 0, 151004390, 0, 0, 0, 1744895974, 0, 0, 0, 151004391, 0, 0, 0, 1744895974, 0, 0, 0, 151004392, 0, 0, 0, 1744895974, 0, 0, 0, 151004393, 0, 0, 0, 1744895974, 0, 0, 0, 159393002, 0, 0, 0, 1006632981, 0, 0, 0, 159393024, 0, 0, 0, 1744830646, 0, 0, 0, 151004599, 0, 0, 0, 1677721600, 0, 0, 0, 159393208, 0, 0, 0, 1744830472, 0, 0, 0, 151004609, 0, 0, 0, 1677721600, 0, 0, 0, 159393218, 0, 0, 0, 1744830517, 0, 0, 0, 159393272, 0, 0, 0, 1677721607, 0, 0, 0, 159393280, 0, 0, 0, 1744830574, 0, 0, 0, 151004783, 0, 0, 0, 1677721600, 0, 0, 0, 159393392, 0, 0, 0, 1744830508, 0, 0, 0, 159393440, 0, 0, 0, 1744830481, 0, 0, 0, 159393537, 0, 0, 0, 1744830467, 0, 0, 0, 159393542, 0, 0, 0, 1744830467, 0, 0, 0, 159393548, 0, 0, 0, 1744830491, 0, 0, 0, 159393577, 0, 0, 0, 1744830498, 0, 0, 0, 151005005, 0, 0, 0, 1744830464, 0, 0, 0, 159393615, 0, 0, 0, 1744830467, 0, 0, 0, 151005014, 0, 0, 0, 1744830464, 0, 0, 0, 159393624, 0, 0, 0, 1744830470, 0, 0, 0, 159393633, 0, 0, 0, 1744830470, 0, 0, 0, 151005032, 0, 0, 0, 1476395008, 0, 0, 0, 151005033, 0, 0, 0, 1207959552, 0, 0, 0, 151005034, 0, 0, 0, 1476395008, 0, 0, 0, 151005035, 0, 0, 0, 1207959552, 0, 0, 0, 151005036, 0, 0, 0, 1476395008, 0, 0, 0, 151005037, 0, 0, 0, 1207959552, 0, 0, 0, 151005038, 0, 0, 0, 1476395008, 0, 0, 0, 151005039, 0, 0, 0, 1207959552, 0, 0, 0, 151005040, 0, 0, 0, 1476395008, 0, 0, 0, 151005041, 0, 0, 0, 1207959552, 0, 0, 0, 151005042, 0, 0, 0, 1476395008, 0, 0, 0, 151005043, 0, 0, 0, 1207959552, 0, 0, 0, 151005044, 0, 0, 0, 1476395008, 0, 0, 0, 151005045, 0, 0, 0, 1207959552, 0, 0, 0, 159393654, 0, 0, 0, 1006632989, 0, 0, 0, 151005076, 0, 0, 0, 1744830464, 0, 0, 0, 159393688, 0, 0, 0, 1744830487, 0, 0, 0, 159393713, 0, 0, 0, 1744830477, 0, 0, 0, 159393728, 0, 0, 0, 1677721604, 0, 0, 0, 151005125, 0, 0, 0, 1476395008, 0, 0, 0, 151005126, 0, 0, 0, 1207959552, 0, 0, 0, 159393744, 0, 0, 0, 1677721621, 0, 0, 0, 151005158, 0, 0, 0, 1476395008, 0, 0, 0, 151005159, 0, 0, 0, 1207959552, 0, 0, 0, 151005160, 0, 0, 0, 1476395008, 0, 0, 0, 151005161, 0, 0, 0, 1207959552, 0, 0, 0, 151005162, 0, 0, 0, 1476395008, 0, 0, 0, 151005163, 0, 0, 0, 1207959552, 0, 0, 0, 159393776, 0, 0, 0, 1677721615, 0, 0, 0, 75507712, 0, 0, 0, 1744830719, 0, 0, 0, 159394048, 0, 0, 0, 1677721730, 0, 0, 0, 151005571, 0, 0, 0, 1476395008, 0, 0, 0, 151005572, 0, 0, 0, 1207959552, 0, 0, 0, 151005573, 0, 0, 0, 1476395008, 0, 0, 0, 151005574, 0, 0, 0, 1207959552, 0, 0, 0, 151005575, 0, 0, 0, 1476395008, 0, 0, 0, 151005576, 0, 0, 0, 1207959552, 0, 0, 0, 151005577, 0, 0, 0, 1476395008, 0, 0, 0, 151005578, 0, 0, 0, 1207959552, 0, 0, 0, 151005579, 0, 0, 0, 1476395008, 0, 0, 0, 151005580, 0, 0, 0, 1207959552, 0, 0, 0, 151005581, 0, 0, 0, 1476395008, 0, 0, 0, 151005582, 0, 0, 0, 1207959552, 0, 0, 0, 151005583, 0, 0, 0, 1476395008, 0, 0, 0, 151005584, 0, 0, 0, 1207959552, 0, 0, 0, 151005585, 0, 0, 0, 1476395008, 0, 0, 0, 151005586, 0, 0, 0, 1207959552, 0, 0, 0, 151005587, 0, 0, 0, 1476395008, 0, 0, 0, 151005588, 0, 0, 0, 1207959552, 0, 0, 0, 151005589, 0, 0, 0, 1476395008, 0, 0, 0, 151005590, 0, 0, 0, 1207959552, 0, 0, 0, 151005591, 0, 0, 0, 1476395008, 0, 0, 0, 151005592, 0, 0, 0, 1207959552, 0, 0, 0, 159394201, 0, 0, 0, 1677721662, 0, 0, 0, 151005656, 0, 0, 0, 1476395008, 0, 0, 0, 151005657, 0, 0, 0, 1207959552, 0, 0, 0, 151005658, 0, 0, 0, 1476395008, 0, 0, 0, 151005659, 0, 0, 0, 1207959552, 0, 0, 0, 159394268, 0, 0, 0, 1677721631, 0, 0, 0, 151005692, 0, 0, 0, 1476395008, 0, 0, 0, 151005693, 0, 0, 0, 1207959552, 0, 0, 0, 159394302, 0, 0, 0, 1677721857, 0, 0, 0, 159394560, 0, 0, 0, 1744830483, 0, 0, 0, 285223936, 0, 0, 0, 603979824, 0, 0, 0, 285223937, 0, 0, 0, 603979824, 0, 0, 0, 285223938, 0, 0, 0, 603979824, 0, 0, 0, 285223939, 0, 0, 0, 603979824, 0, 0, 0, 285223940, 0, 0, 0, 603979824, 0, 0, 0, 285223941, 0, 0, 0, 603979824, 0, 0, 0, 285223942, 0, 0, 0, 603979824, 0, 0, 0, 285223943, 0, 0, 0, 603979824, 0, 0, 0, 285223944, 0, 0, 0, 603979824, 0, 0, 0, 285223945, 0, 0, 0, 603979824, 0, 0, 0, 285223946, 0, 0, 0, 603979824, 0, 0, 0, 285223947, 0, 0, 0, 603979824, 0, 0, 0, 285223948, 0, 0, 0, 603979824, 0, 0, 0, 285223949, 0, 0, 0, 603979824, 0, 0, 0, 285223950, 0, 0, 0, 603979824, 0, 0, 0, 285223951, 0, 0, 0, 603979824, 0, 0, 0, 285223952, 0, 0, 0, 603979824, 0, 0, 0, 285223953, 0, 0, 0, 603979824, 0, 0, 0, 285223954, 0, 0, 0, 603979824, 0, 0, 0, 285223955, 0, 0, 0, 603979824, 0, 0, 0, 285223956, 0, 0, 0, 603979824, 0, 0, 0, 285223957, 0, 0, 0, 603979824, 0, 0, 0, 285223958, 0, 0, 0, 603979824, 0, 0, 0, 285223959, 0, 0, 0, 603979824, 0, 0, 0, 285223960, 0, 0, 0, 603979824, 0, 0, 0, 285223961, 0, 0, 0, 603979824, 0, 0, 0, 285223962, 0, 0, 0, 603979824, 0, 0, 0, 285223963, 0, 0, 0, 603979824, 0, 0, 0, 285223964, 0, 0, 0, 603979824, 0, 0, 0, 285223965, 0, 0, 0, 603979824, 0, 0, 0, 285223966, 0, 0, 0, 603979824, 0, 0, 0, 285223967, 0, 0, 0, 603979824, 0, 0, 0, 285223968, 0, 0, 0, 603979824, 0, 0, 0, 285223969, 0, 0, 0, 603979824, 0, 0, 0, 285223970, 0, 0, 0, 603979824, 0, 0, 0, 285223971, 0, 0, 0, 603979824, 0, 0, 0, 285223972, 0, 0, 0, 603979824, 0, 0, 0, 285223973, 0, 0, 0, 603979824, 0, 0, 0, 285223974, 0, 0, 0, 603979824, 0, 0, 0, 285223975, 0, 0, 0, 603979824, 0, 0, 0, 285223976, 0, 0, 0, 603979824, 0, 0, 0, 285223977, 0, 0, 0, 603979824, 0, 0, 0, 285223978, 0, 0, 0, 603979824, 0, 0, 0, 285223979, 0, 0, 0, 603979824, 0, 0, 0, 285223980, 0, 0, 0, 603979824, 0, 0, 0, 285223981, 0, 0, 0, 603979824, 0, 0, 0, 285223982, 0, 0, 0, 603979824, 0, 0, 0, 285223984, 0, 0, 0, 335609808, 0, 0, 0, 285223985, 0, 0, 0, 335609808, 0, 0, 0, 285223986, 0, 0, 0, 335609808, 0, 0, 0, 285223987, 0, 0, 0, 335609808, 0, 0, 0, 285223988, 0, 0, 0, 335609808, 0, 0, 0, 285223989, 0, 0, 0, 335609808, 0, 0, 0, 285223990, 0, 0, 0, 335609808, 0, 0, 0, 285223991, 0, 0, 0, 335609808, 0, 0, 0, 285223992, 0, 0, 0, 335609808, 0, 0, 0, 285223993, 0, 0, 0, 335609808, 0, 0, 0, 285223994, 0, 0, 0, 335609808, 0, 0, 0, 285223995, 0, 0, 0, 335609808, 0, 0, 0, 285223996, 0, 0, 0, 335609808, 0, 0, 0, 285223997, 0, 0, 0, 335609808, 0, 0, 0, 285223998, 0, 0, 0, 335609808, 0, 0, 0, 285223999, 0, 0, 0, 335609808, 0, 0, 0, 285224000, 0, 0, 0, 335609808, 0, 0, 0, 285224001, 0, 0, 0, 335609808, 0, 0, 0, 285224002, 0, 0, 0, 335609808, 0, 0, 0, 285224003, 0, 0, 0, 335609808, 0, 0, 0, 285224004, 0, 0, 0, 335609808, 0, 0, 0, 285224005, 0, 0, 0, 335609808, 0, 0, 0, 285224006, 0, 0, 0, 335609808, 0, 0, 0, 285224007, 0, 0, 0, 335609808, 0, 0, 0, 285224008, 0, 0, 0, 335609808, 0, 0, 0, 285224009, 0, 0, 0, 335609808, 0, 0, 0, 285224010, 0, 0, 0, 335609808, 0, 0, 0, 285224011, 0, 0, 0, 335609808, 0, 0, 0, 285224012, 0, 0, 0, 335609808, 0, 0, 0, 285224013, 0, 0, 0, 335609808, 0, 0, 0, 285224014, 0, 0, 0, 335609808, 0, 0, 0, 285224015, 0, 0, 0, 335609808, 0, 0, 0, 285224016, 0, 0, 0, 335609808, 0, 0, 0, 285224017, 0, 0, 0, 335609808, 0, 0, 0, 285224018, 0, 0, 0, 335609808, 0, 0, 0, 285224019, 0, 0, 0, 335609808, 0, 0, 0, 285224020, 0, 0, 0, 335609808, 0, 0, 0, 285224021, 0, 0, 0, 335609808, 0, 0, 0, 285224022, 0, 0, 0, 335609808, 0, 0, 0, 285224023, 0, 0, 0, 335609808, 0, 0, 0, 285224024, 0, 0, 0, 335609808, 0, 0, 0, 285224025, 0, 0, 0, 335609808, 0, 0, 0, 285224026, 0, 0, 0, 335609808, 0, 0, 0, 285224027, 0, 0, 0, 335609808, 0, 0, 0, 285224028, 0, 0, 0, 335609808, 0, 0, 0, 285224029, 0, 0, 0, 335609808, 0, 0, 0, 285224030, 0, 0, 0, 335609808, 0, 0, 0, 167783552, 0, 0, 0, 603979777, 0, 0, 0, 167783553, 0, 0, 0, 335609855, 0, 0, 0, 167783554, 0, 0, 0, 603979777, 0, 0, 0, 167783555, 0, 0, 0, 335609855, 0, 0, 0, 167783556, 0, 0, 0, 603979777, 0, 0, 0, 167783557, 0, 0, 0, 335609855, 0, 0, 0, 167783558, 0, 0, 0, 603979777, 0, 0, 0, 167783559, 0, 0, 0, 335609855, 0, 0, 0, 167783560, 0, 0, 0, 603979777, 0, 0, 0, 167783561, 0, 0, 0, 335609855, 0, 0, 0, 167783562, 0, 0, 0, 603979777, 0, 0, 0, 167783563, 0, 0, 0, 335609855, 0, 0, 0, 167783564, 0, 0, 0, 603979777, 0, 0, 0, 167783565, 0, 0, 0, 335609855, 0, 0, 0, 167783566, 0, 0, 0, 603979777, 0, 0, 0, 167783567, 0, 0, 0, 335609855, 0, 0, 0, 167783568, 0, 0, 0, 603979777, 0, 0, 0, 167783569, 0, 0, 0, 335609855, 0, 0, 0, 167783570, 0, 0, 0, 603979777, 0, 0, 0, 167783571, 0, 0, 0, 335609855, 0, 0, 0, 167783572, 0, 0, 0, 603979777, 0, 0, 0, 167783573, 0, 0, 0, 335609855, 0, 0, 0, 167783574, 0, 0, 0, 603979777, 0, 0, 0, 167783575, 0, 0, 0, 335609855, 0, 0, 0, 167783576, 0, 0, 0, 603979777, 0, 0, 0, 167783577, 0, 0, 0, 335609855, 0, 0, 0, 167783578, 0, 0, 0, 603979777, 0, 0, 0, 167783579, 0, 0, 0, 335609855, 0, 0, 0, 167783580, 0, 0, 0, 603979777, 0, 0, 0, 167783581, 0, 0, 0, 335609855, 0, 0, 0, 167783582, 0, 0, 0, 603979777, 0, 0, 0, 167783583, 0, 0, 0, 335609855, 0, 0, 0, 167783584, 0, 0, 0, 603979777, 0, 0, 0, 167783585, 0, 0, 0, 335609855, 0, 0, 0, 167783586, 0, 0, 0, 603979777, 0, 0, 0, 167783587, 0, 0, 0, 335609855, 0, 0, 0, 167783588, 0, 0, 0, 603979777, 0, 0, 0, 167783589, 0, 0, 0, 335609855, 0, 0, 0, 167783590, 0, 0, 0, 603979777, 0, 0, 0, 167783591, 0, 0, 0, 335609855, 0, 0, 0, 167783592, 0, 0, 0, 603979777, 0, 0, 0, 167783593, 0, 0, 0, 335609855, 0, 0, 0, 167783594, 0, 0, 0, 603979777, 0, 0, 0, 167783595, 0, 0, 0, 335609855, 0, 0, 0, 167783596, 0, 0, 0, 603979777, 0, 0, 0, 167783597, 0, 0, 0, 335609855, 0, 0, 0, 167783598, 0, 0, 0, 603979777, 0, 0, 0, 167783599, 0, 0, 0, 335609855, 0, 0, 0, 167783600, 0, 0, 0, 603979777, 0, 0, 0, 167783601, 0, 0, 0, 335609855, 0, 0, 0, 167783602, 0, 0, 0, 603979777, 0, 0, 0, 167783603, 0, 0, 0, 335609855, 0, 0, 0, 167783604, 0, 0, 0, 603979777, 0, 0, 0, 167783605, 0, 0, 0, 335609855, 0, 0, 0, 167783606, 0, 0, 0, 603979777, 0, 0, 0, 167783607, 0, 0, 0, 335609855, 0, 0, 0, 167783608, 0, 0, 0, 603979777, 0, 0, 0, 167783609, 0, 0, 0, 335609855, 0, 0, 0, 167783610, 0, 0, 0, 603979777, 0, 0, 0, 167783611, 0, 0, 0, 335609855, 0, 0, 0, 167783612, 0, 0, 0, 603979777, 0, 0, 0, 167783613, 0, 0, 0, 335609855, 0, 0, 0, 167783614, 0, 0, 0, 603979777, 0, 0, 0, 167783615, 0, 0, 0, 335609855, 0, 0, 0, 167783616, 0, 0, 0, 603979777, 0, 0, 0, 167783617, 0, 0, 0, 335609855, 0, 0, 0, 167783618, 0, 0, 0, 603979777, 0, 0, 0, 167783619, 0, 0, 0, 335609855, 0, 0, 0, 167783620, 0, 0, 0, 603979777, 0, 0, 0, 167783621, 0, 0, 0, 335609855, 0, 0, 0, 167783622, 0, 0, 0, 603979777, 0, 0, 0, 167783623, 0, 0, 0, 335609855, 0, 0, 0, 167783624, 0, 0, 0, 603979777, 0, 0, 0, 167783625, 0, 0, 0, 335609855, 0, 0, 0, 167783626, 0, 0, 0, 603979777, 0, 0, 0, 167783627, 0, 0, 0, 335609855, 0, 0, 0, 167783628, 0, 0, 0, 603979777, 0, 0, 0, 167783629, 0, 0, 0, 335609855, 0, 0, 0, 167783630, 0, 0, 0, 603979777, 0, 0, 0, 167783631, 0, 0, 0, 335609855, 0, 0, 0, 167783632, 0, 0, 0, 603979777, 0, 0, 0, 167783633, 0, 0, 0, 335609855, 0, 0, 0, 167783634, 0, 0, 0, 603979777, 0, 0, 0, 167783635, 0, 0, 0, 335609855, 0, 0, 0, 167783636, 0, 0, 0, 603979777, 0, 0, 0, 167783637, 0, 0, 0, 335609855, 0, 0, 0, 167783638, 0, 0, 0, 603979777, 0, 0, 0, 167783639, 0, 0, 0, 335609855, 0, 0, 0, 167783640, 0, 0, 0, 603979777, 0, 0, 0, 167783641, 0, 0, 0, 335609855, 0, 0, 0, 167783642, 0, 0, 0, 603979777, 0, 0, 0, 167783643, 0, 0, 0, 335609855, 0, 0, 0, 167783644, 0, 0, 0, 603979777, 0, 0, 0, 167783645, 0, 0, 0, 335609855, 0, 0, 0, 167783646, 0, 0, 0, 603979777, 0, 0, 0, 167783647, 0, 0, 0, 335609855, 0, 0, 0, 167783648, 0, 0, 0, 603979777, 0, 0, 0, 167783649, 0, 0, 0, 335609855, 0, 0, 0, 167783650, 0, 0, 0, 603979777, 0, 0, 0, 167783651, 0, 0, 0, 335609855, 0, 0, 0, 167783652, 0, 0, 0, 335544320, 0, 0, 0, 176172261, 0, 0, 0, 1744830469, 0, 0, 0, 176172281, 0, 0, 0, 1409286147, 0, 0, 0, 167783677, 0, 0, 0, 1006632960, 0, 0, 0, 176172286, 0, 0, 0, 1409286145, 0, 0, 0, 268446976, 0, 0, 0, 335602592, 0, 0, 0, 268446977, 0, 0, 0, 335602592, 0, 0, 0, 268446978, 0, 0, 0, 335602592, 0, 0, 0, 268446979, 0, 0, 0, 335602592, 0, 0, 0, 268446980, 0, 0, 0, 335602592, 0, 0, 0, 268446981, 0, 0, 0, 335602592, 0, 0, 0, 268446982, 0, 0, 0, 335602592, 0, 0, 0, 268446983, 0, 0, 0, 335602592, 0, 0, 0, 268446984, 0, 0, 0, 335602592, 0, 0, 0, 268446985, 0, 0, 0, 335602592, 0, 0, 0, 268446986, 0, 0, 0, 335602592, 0, 0, 0, 268446987, 0, 0, 0, 335602592, 0, 0, 0, 268446988, 0, 0, 0, 335602592, 0, 0, 0, 268446989, 0, 0, 0, 335602592, 0, 0, 0, 268446990, 0, 0, 0, 335602592, 0, 0, 0, 268446991, 0, 0, 0, 335602592, 0, 0, 0, 268446992, 0, 0, 0, 335602592, 0, 0, 0, 268446993, 0, 0, 0, 335602592, 0, 0, 0, 268446994, 0, 0, 0, 335602592, 0, 0, 0, 268446995, 0, 0, 0, 335602592, 0, 0, 0, 268446996, 0, 0, 0, 335602592, 0, 0, 0, 268446997, 0, 0, 0, 335602592, 0, 0, 0, 268446998, 0, 0, 0, 335602592, 0, 0, 0, 268446999, 0, 0, 0, 335602592, 0, 0, 0, 268447000, 0, 0, 0, 335602592, 0, 0, 0, 268447001, 0, 0, 0, 335602592, 0, 0, 0, 268447002, 0, 0, 0, 335602592, 0, 0, 0, 268447003, 0, 0, 0, 335602592, 0, 0, 0, 268447004, 0, 0, 0, 335602592, 0, 0, 0, 268447005, 0, 0, 0, 335602592, 0, 0, 0, 268447006, 0, 0, 0, 335602592, 0, 0, 0, 268447007, 0, 0, 0, 335602592, 0, 0, 0, 268447008, 0, 0, 0, 335602592, 0, 0, 0, 268447009, 0, 0, 0, 335602592, 0, 0, 0, 268447010, 0, 0, 0, 335602592, 0, 0, 0, 268447011, 0, 0, 0, 335602592, 0, 0, 0, 268447012, 0, 0, 0, 335602592, 0, 0, 0, 268447013, 0, 0, 0, 335602592, 0, 0, 0, 981478704, 0, 0, 0, 469762101, 0, 0, 0, 973090159, 0, 0, 0, 402653184, 0, 0, 0, 260058496, 0, 0, 0, 469762070, 0, 0, 0, 260058528, 0, 0, 0, 469762054, 0, 0, 0, 260058536, 0, 0, 0, 469762054, 0, 0, 0, 260058544, 0, 0, 0, 469762054, 0, 0, 0, 260058552, 0, 0, 0, 469762054, 0, 0, 0, 260058560, 0, 0, 0, 469762054, 0, 0, 0, 260058568, 0, 0, 0, 469762054, 0, 0, 0, 260058576, 0, 0, 0, 469762054, 0, 0, 0, 260058584, 0, 0, 0, 469762054, 0, 0, 0, 159395328, 0, 0, 0, 1409286145, 0, 0, 0, 151006722, 0, 0, 0, 1342177280, 0, 0, 0, 151006723, 0, 0, 0, 1275068416, 0, 0, 0, 151006724, 0, 0, 0, 1342177280, 0, 0, 0, 151006725, 0, 0, 0, 1275068416, 0, 0, 0, 159395334, 0, 0, 0, 1409286146, 0, 0, 0, 151006729, 0, 0, 0, 1342177280, 0, 0, 0, 151006730, 0, 0, 0, 1275068416, 0, 0, 0, 151006731, 0, 0, 0, 1409286144, 0, 0, 0, 151006732, 0, 0, 0, 1342177280, 0, 0, 0, 151006733, 0, 0, 0, 1275068416, 0, 0, 0, 159395342, 0, 0, 0, 1409286152, 0, 0, 0, 151006743, 0, 0, 0, 1140850688, 0, 0, 0, 151006748, 0, 0, 0, 1342177280, 0, 0, 0, 151006749, 0, 0, 0, 1275068416, 0, 0, 0, 377499264, 0, 0, 0, 1744830489, 0, 0, 0, 377499291, 0, 0, 0, 1744830552, 0, 0, 0, 377499392, 0, 0, 0, 1744830677, 0, 0, 0, 159395824, 0, 0, 0, 1744830475, 0, 0, 0, 151007232, 0, 0, 0, 1946157056, 0, 0, 0, 159395841, 0, 0, 0, 1409286146, 0, 0, 0, 151007236, 0, 0, 0, 1744830464, 0, 0, 0, 369111045, 0, 0, 0, 402653184, 0, 0, 0, 151007238, 0, 0, 0, 469762048, 0, 0, 0, 369111047, 0, 0, 0, 939524096, 0, 0, 0, 151007240, 0, 0, 0, 1476395008, 0, 0, 0, 151007241, 0, 0, 0, 1207959552, 0, 0, 0, 151007242, 0, 0, 0, 1476395008, 0, 0, 0, 151007243, 0, 0, 0, 1207959552, 0, 0, 0, 151007244, 0, 0, 0, 1476395008, 0, 0, 0, 151007245, 0, 0, 0, 1207959552, 0, 0, 0, 151007246, 0, 0, 0, 1476395008, 0, 0, 0, 151007247, 0, 0, 0, 1207959552, 0, 0, 0, 151007248, 0, 0, 0, 1476395008, 0, 0, 0, 151007249, 0, 0, 0, 1207959552, 0, 0, 0, 159395858, 0, 0, 0, 1744830465, 0, 0, 0, 151007252, 0, 0, 0, 1476395008, 0, 0, 0, 151007253, 0, 0, 0, 1207959552, 0, 0, 0, 151007254, 0, 0, 0, 1476395008, 0, 0, 0, 151007255, 0, 0, 0, 1207959552, 0, 0, 0, 151007256, 0, 0, 0, 1476395008, 0, 0, 0, 151007257, 0, 0, 0, 1207959552, 0, 0, 0, 151007258, 0, 0, 0, 1476395008, 0, 0, 0, 151007259, 0, 0, 0, 1207959552, 0, 0, 0, 151007260, 0, 0, 0, 1140850688, 0, 0, 0, 151007261, 0, 0, 0, 1476395008, 0, 0, 0, 159395870, 0, 0, 0, 1207959553, 0, 0, 0, 151007264, 0, 0, 0, 1744830464, 0, 0, 0, 377499681, 0, 0, 0, 939524104, 0, 0, 0, 461385770, 0, 0, 0, 805306373, 0, 0, 0, 151007280, 0, 0, 0, 1140850688, 0, 0, 0, 159395889, 0, 0, 0, 402653188, 0, 0, 0, 159395894, 0, 0, 0, 1744830465, 0, 0, 0, 377499704, 0, 0, 0, 939524098, 0, 0, 0, 369111099, 0, 0, 0, 402653184, 0, 0, 0, 151007292, 0, 0, 0, 469762048, 0, 0, 0, 151007293, 0, 0, 0, 1409286144, 0, 0, 0, 159395902, 0, 0, 0, 1744830465, 0, 0, 0, 444608577, 0, 0, 0, 469762133, 0, 0, 0, 461385881, 0, 0, 0, 805306369, 0, 0, 0, 159395995, 0, 0, 0, 1610612737, 0, 0, 0, 444608669, 0, 0, 0, 402653185, 0, 0, 0, 436220063, 0, 0, 0, 469762048, 0, 0, 0, 151007392, 0, 0, 0, 1140850688, 0, 0, 0, 494940321, 0, 0, 0, 469762137, 0, 0, 0, 151007483, 0, 0, 0, 1409286144, 0, 0, 0, 159396092, 0, 0, 0, 402653186, 0, 0, 0, 486551807, 0, 0, 0, 469762048, 0, 0, 0, 58732805, 0, 0, 0, 469762087, 0, 0, 0, 394277169, 0, 0, 0, 469762141, 0, 0, 0, 159396240, 0, 0, 0, 1744830465, 0, 0, 0, 159396242, 0, 0, 0, 1006632963, 0, 0, 0, 159396246, 0, 0, 0, 1744830473, 0, 0, 0, 58732960, 0, 0, 0, 469762071, 0, 0, 0, 159396288, 0, 0, 0, 1744830479, 0, 0, 0, 494940656, 0, 0, 0, 469762063, 0, 0, 0, 394277376, 0, 0, 0, 1744830494, 0, 0, 0, 159396384, 0, 0, 0, 1006632969, 0, 0, 0, 159396394, 0, 0, 0, 1744830489, 0, 0, 0, 151007824, 0, 0, 0, 1744830464, 0, 0, 0, 159396433, 0, 0, 0, 1006632974, 0, 0, 0, 394277472, 0, 0, 0, 1744830495, 0, 0, 0, 159396480, 0, 0, 0, 1006632969, 0, 0, 0, 159396490, 0, 0, 0, 1744830502, 0, 0, 0, 159396529, 0, 0, 0, 1006632974, 0, 0, 0, 159396544, 0, 0, 0, 1744830526, 0, 0, 0, 159396608, 0, 0, 0, 1744830719, 0, 0, 0, 377500672, 0, 0, 0, 469768629, 0, 0, 0, 159403456, 0, 0, 0, 1744830527, 0, 0, 0, 377507328, 0, 0, 0, 469782971, 0, 0, 0, 1015062528, 0, 0, 0, 469762068, 0, 0, 0, 1006673941, 0, 0, 0, 402653184, 0, 0, 0, 1015062550, 0, 0, 0, 469763190, 0, 0, 0, 1015063696, 0, 0, 0, 1744830518, 0, 0, 0, 159426304, 0, 0, 0, 1610612758, 0, 0, 0, 813737984, 0, 0, 0, 469762049, 0, 0, 0, 805349378, 0, 0, 0, 671088640, 0, 0, 0, 813737987, 0, 0, 0, 469762050, 0, 0, 0, 805349382, 0, 0, 0, 805306368, 0, 0, 0, 813737991, 0, 0, 0, 469762051, 0, 0, 0, 805349387, 0, 0, 0, 805306368, 0, 0, 0, 813737996, 0, 0, 0, 469762070, 0, 0, 0, 813738019, 0, 0, 0, 671088641, 0, 0, 0, 813738021, 0, 0, 0, 805306369, 0, 0, 0, 805349415, 0, 0, 0, 671088640, 0, 0, 0, 813738024, 0, 0, 0, 1744830467, 0, 0, 0, 394308608, 0, 0, 0, 469773219, 0, 0, 0, 159438848, 0, 0, 0, 268436351, 0, 0, 0, 159439744, 0, 0, 0, 268435583, 0, 0, 0, 159439872, 0, 0, 0, 268436479, 0, 0, 0, 159440896, 0, 0, 0, 201332991, 0, 0, 0, 377551104, 0, 0, 0, 469762349, 0, 0, 0, 377551408, 0, 0, 0, 469762106, 0, 0, 0, 377551472, 0, 0, 0, 469762153, 0, 0, 0, 562100992, 0, 0, 0, 335544326, 0, 0, 0, 25230099, 0, 0, 0, 335544324, 0, 0, 0, 419494685, 0, 0, 0, 469762048, 0, 0, 0, 419494686, 0, 0, 0, 805306368, 0, 0, 0, 427883295, 0, 0, 0, 469762057, 0, 0, 0, 419494697, 0, 0, 0, 1677721600, 0, 0, 0, 427883306, 0, 0, 0, 469762060, 0, 0, 0, 427883320, 0, 0, 0, 469762052, 0, 0, 0, 419494718, 0, 0, 0, 469762048, 0, 0, 0, 427883328, 0, 0, 0, 469762049, 0, 0, 0, 427883331, 0, 0, 0, 469762049, 0, 0, 0, 427883334, 0, 0, 0, 469762155, 0, 0, 0, 8453075, 0, 0, 0, 469762410, 0, 0, 0, 151059774, 0, 0, 0, 1476395008, 0, 0, 0, 151059775, 0, 0, 0, 1207959552, 0, 0, 0, 8453456, 0, 0, 0, 469762111, 0, 0, 0, 8453522, 0, 0, 0, 469762101, 0, 0, 0, 8453616, 0, 0, 0, 469762059, 0, 0, 0, 65020, 0, 0, 0, 1543503872, 0, 0, 0, 151059965, 0, 0, 0, 1744830464, 0, 0, 0, 461438464, 0, 0, 0, 805306383, 0, 0, 0, 159448592, 0, 0, 0, 1409286150, 0, 0, 0, 151059991, 0, 0, 0, 1476395008, 0, 0, 0, 151059992, 0, 0, 0, 1207959552, 0, 0, 0, 151059993, 0, 0, 0, 1409286144, 0, 0, 0, 461438496, 0, 0, 0, 805306371, 0, 0, 0, 151060016, 0, 0, 0, 1409286144, 0, 0, 0, 159448625, 0, 0, 0, 1140850689, 0, 0, 0, 159448627, 0, 0, 0, 1073741825, 0, 0, 0, 151060021, 0, 0, 0, 1476395008, 0, 0, 0, 151060022, 0, 0, 0, 1207959552, 0, 0, 0, 151060023, 0, 0, 0, 1476395008, 0, 0, 0, 151060024, 0, 0, 0, 1207959552, 0, 0, 0, 151060025, 0, 0, 0, 1476395008, 0, 0, 0, 151060026, 0, 0, 0, 1207959552, 0, 0, 0, 151060027, 0, 0, 0, 1476395008, 0, 0, 0, 151060028, 0, 0, 0, 1207959552, 0, 0, 0, 151060029, 0, 0, 0, 1476395008, 0, 0, 0, 151060030, 0, 0, 0, 1207959552, 0, 0, 0, 151060031, 0, 0, 0, 1476395008, 0, 0, 0, 151060032, 0, 0, 0, 1207959552, 0, 0, 0, 151060033, 0, 0, 0, 1476395008, 0, 0, 0, 151060034, 0, 0, 0, 1207959552, 0, 0, 0, 151060035, 0, 0, 0, 1476395008, 0, 0, 0, 151060036, 0, 0, 0, 1207959552, 0, 0, 0, 159448645, 0, 0, 0, 1409286145, 0, 0, 0, 151060039, 0, 0, 0, 1476395008, 0, 0, 0, 151060040, 0, 0, 0, 1207959552, 0, 0, 0, 159448649, 0, 0, 0, 1409286147, 0, 0, 0, 159448653, 0, 0, 0, 1073741826, 0, 0, 0, 159448656, 0, 0, 0, 1409286146, 0, 0, 0, 159448660, 0, 0, 0, 1409286147, 0, 0, 0, 151060056, 0, 0, 0, 1140850688, 0, 0, 0, 151060057, 0, 0, 0, 1476395008, 0, 0, 0, 151060058, 0, 0, 0, 1207959552, 0, 0, 0, 151060059, 0, 0, 0, 1476395008, 0, 0, 0, 151060060, 0, 0, 0, 1207959552, 0, 0, 0, 151060061, 0, 0, 0, 1476395008, 0, 0, 0, 151060062, 0, 0, 0, 1207959552, 0, 0, 0, 159448671, 0, 0, 0, 1409286146, 0, 0, 0, 151060066, 0, 0, 0, 1677721600, 0, 0, 0, 151060067, 0, 0, 0, 1140850688, 0, 0, 0, 159448676, 0, 0, 0, 1677721602, 0, 0, 0, 151060072, 0, 0, 0, 1409286144, 0, 0, 0, 151060073, 0, 0, 0, 1543503872, 0, 0, 0, 159448682, 0, 0, 0, 1409286145, 0, 0, 0, 8453744, 0, 0, 0, 469762052, 0, 0, 0, 8453750, 0, 0, 0, 469762182, 0, 0, 0, 151060223, 0, 0, 0, 67108864, 0, 0, 0, 159448833, 0, 0, 0, 1409286146, 0, 0, 0, 151060228, 0, 0, 0, 1543503872, 0, 0, 0, 159448837, 0, 0, 0, 1409286146, 0, 0, 0, 151060232, 0, 0, 0, 1476395008, 0, 0, 0, 151060233, 0, 0, 0, 1207959552, 0, 0, 0, 151060234, 0, 0, 0, 1409286144, 0, 0, 0, 151060235, 0, 0, 0, 1677721600, 0, 0, 0, 151060236, 0, 0, 0, 1409286144, 0, 0, 0, 151060237, 0, 0, 0, 1140850688, 0, 0, 0, 159448846, 0, 0, 0, 1409286145, 0, 0, 0, 159448848, 0, 0, 0, 872415241, 0, 0, 0, 159448858, 0, 0, 0, 1409286145, 0, 0, 0, 159448860, 0, 0, 0, 1677721602, 0, 0, 0, 159448863, 0, 0, 0, 1409286145, 0, 0, 0, 553713441, 0, 0, 0, 603979808, 0, 0, 0, 553713442, 0, 0, 0, 603979808, 0, 0, 0, 553713443, 0, 0, 0, 603979808, 0, 0, 0, 553713444, 0, 0, 0, 603979808, 0, 0, 0, 553713445, 0, 0, 0, 603979808, 0, 0, 0, 553713446, 0, 0, 0, 603979808, 0, 0, 0, 553713447, 0, 0, 0, 603979808, 0, 0, 0, 553713448, 0, 0, 0, 603979808, 0, 0, 0, 553713449, 0, 0, 0, 603979808, 0, 0, 0, 553713450, 0, 0, 0, 603979808, 0, 0, 0, 553713451, 0, 0, 0, 603979808, 0, 0, 0, 553713452, 0, 0, 0, 603979808, 0, 0, 0, 553713453, 0, 0, 0, 603979808, 0, 0, 0, 553713454, 0, 0, 0, 603979808, 0, 0, 0, 553713455, 0, 0, 0, 603979808, 0, 0, 0, 553713456, 0, 0, 0, 603979808, 0, 0, 0, 553713457, 0, 0, 0, 603979808, 0, 0, 0, 553713458, 0, 0, 0, 603979808, 0, 0, 0, 553713459, 0, 0, 0, 603979808, 0, 0, 0, 553713460, 0, 0, 0, 603979808, 0, 0, 0, 553713461, 0, 0, 0, 603979808, 0, 0, 0, 553713462, 0, 0, 0, 603979808, 0, 0, 0, 553713463, 0, 0, 0, 603979808, 0, 0, 0, 553713464, 0, 0, 0, 603979808, 0, 0, 0, 553713465, 0, 0, 0, 603979808, 0, 0, 0, 553713466, 0, 0, 0, 603979808, 0, 0, 0, 151060283, 0, 0, 0, 1476395008, 0, 0, 0, 151060284, 0, 0, 0, 1409286144, 0, 0, 0, 151060285, 0, 0, 0, 1207959552, 0, 0, 0, 151060286, 0, 0, 0, 1610612736, 0, 0, 0, 151060287, 0, 0, 0, 1073741824, 0, 0, 0, 151060288, 0, 0, 0, 1610612736, 0, 0, 0, 553713473, 0, 0, 0, 335609824, 0, 0, 0, 553713474, 0, 0, 0, 335609824, 0, 0, 0, 553713475, 0, 0, 0, 335609824, 0, 0, 0, 553713476, 0, 0, 0, 335609824, 0, 0, 0, 553713477, 0, 0, 0, 335609824, 0, 0, 0, 553713478, 0, 0, 0, 335609824, 0, 0, 0, 553713479, 0, 0, 0, 335609824, 0, 0, 0, 553713480, 0, 0, 0, 335609824, 0, 0, 0, 553713481, 0, 0, 0, 335609824, 0, 0, 0, 553713482, 0, 0, 0, 335609824, 0, 0, 0, 553713483, 0, 0, 0, 335609824, 0, 0, 0, 553713484, 0, 0, 0, 335609824, 0, 0, 0, 553713485, 0, 0, 0, 335609824, 0, 0, 0, 553713486, 0, 0, 0, 335609824, 0, 0, 0, 553713487, 0, 0, 0, 335609824, 0, 0, 0, 553713488, 0, 0, 0, 335609824, 0, 0, 0, 553713489, 0, 0, 0, 335609824, 0, 0, 0, 553713490, 0, 0, 0, 335609824, 0, 0, 0, 553713491, 0, 0, 0, 335609824, 0, 0, 0, 553713492, 0, 0, 0, 335609824, 0, 0, 0, 553713493, 0, 0, 0, 335609824, 0, 0, 0, 553713494, 0, 0, 0, 335609824, 0, 0, 0, 553713495, 0, 0, 0, 335609824, 0, 0, 0, 553713496, 0, 0, 0, 335609824, 0, 0, 0, 553713497, 0, 0, 0, 335609824, 0, 0, 0, 553713498, 0, 0, 0, 335609824, 0, 0, 0, 151060315, 0, 0, 0, 1476395008, 0, 0, 0, 151060316, 0, 0, 0, 1677721600, 0, 0, 0, 151060317, 0, 0, 0, 1207959552, 0, 0, 0, 151060318, 0, 0, 0, 1677721600, 0, 0, 0, 151060319, 0, 0, 0, 1476395008, 0, 0, 0, 151060320, 0, 0, 0, 1207959552, 0, 0, 0, 151060321, 0, 0, 0, 1409286144, 0, 0, 0, 151060322, 0, 0, 0, 1476395008, 0, 0, 0, 151060323, 0, 0, 0, 1207959552, 0, 0, 0, 159448932, 0, 0, 0, 1409286145, 0, 0, 0, 494993254, 0, 0, 0, 469762057, 0, 0, 0, 151060336, 0, 0, 0, 402653184, 0, 0, 0, 494993265, 0, 0, 0, 469762092, 0, 0, 0, 159448990, 0, 0, 0, 402653185, 0, 0, 0, 394330016, 0, 0, 0, 469762078, 0, 0, 0, 394330050, 0, 0, 0, 469762053, 0, 0, 0, 394330058, 0, 0, 0, 469762053, 0, 0, 0, 394330066, 0, 0, 0, 469762053, 0, 0, 0, 394330074, 0, 0, 0, 469762050, 0, 0, 0, 159449056, 0, 0, 0, 1543503873, 0, 0, 0, 151060450, 0, 0, 0, 1677721600, 0, 0, 0, 151060451, 0, 0, 0, 1610612736, 0, 0, 0, 151060452, 0, 0, 0, 1744830464, 0, 0, 0, 159449061, 0, 0, 0, 1543503873, 0, 0, 0, 151060456, 0, 0, 0, 1744830464, 0, 0, 0, 159449065, 0, 0, 0, 1677721603, 0, 0, 0, 159449069, 0, 0, 0, 1744830465, 0, 0, 0, 159449081, 0, 0, 0, 67108866, 0, 0, 0, 159449084, 0, 0, 0, 1744830465, 0, 0, 0, 595656704, 0, 0, 0, 469762059, 0, 0, 0, 595656717, 0, 0, 0, 469762073, 0, 0, 0, 595656744, 0, 0, 0, 469762066, 0, 0, 0, 595656764, 0, 0, 0, 469762049, 0, 0, 0, 595656767, 0, 0, 0, 469762062, 0, 0, 0, 595656784, 0, 0, 0, 469762061, 0, 0, 0, 595656832, 0, 0, 0, 469762170, 0, 0, 0, 159449344, 0, 0, 0, 1409286145, 0, 0, 0, 151060738, 0, 0, 0, 1744830464, 0, 0, 0, 159449351, 0, 0, 0, 1006633004, 0, 0, 0, 159449399, 0, 0, 0, 1744830472, 0, 0, 0, 327221568, 0, 0, 0, 939524148, 0, 0, 0, 327221621, 0, 0, 0, 1006632963, 0, 0, 0, 327221625, 0, 0, 0, 1744830480, 0, 0, 0, 318833034, 0, 0, 0, 1006632960, 0, 0, 0, 696320768, 0, 0, 0, 469762078, 0, 0, 0, 696320800, 0, 0, 0, 1006632963, 0, 0, 0, 310444848, 0, 0, 0, 469762073, 0, 0, 0, 302056266, 0, 0, 0, 939524096, 0, 0, 0, 998310784, 0, 0, 0, 469762077, 0, 0, 0, 989922207, 0, 0, 0, 1409286144, 0, 0, 0, 713098144, 0, 0, 0, 469762083, 0, 0, 0, 713098184, 0, 0, 0, 469762055, 0, 0, 0, 704709584, 0, 0, 0, 1744830464, 0, 0, 0, 713098193, 0, 0, 0, 939524100, 0, 0, 0, 218170368, 0, 0, 0, 603979816, 0, 0, 0, 218170369, 0, 0, 0, 603979816, 0, 0, 0, 218170370, 0, 0, 0, 603979816, 0, 0, 0, 218170371, 0, 0, 0, 603979816, 0, 0, 0, 218170372, 0, 0, 0, 603979816, 0, 0, 0, 218170373, 0, 0, 0, 603979816, 0, 0, 0, 218170374, 0, 0, 0, 603979816, 0, 0, 0, 218170375, 0, 0, 0, 603979816, 0, 0, 0, 218170376, 0, 0, 0, 603979816, 0, 0, 0, 218170377, 0, 0, 0, 603979816, 0, 0, 0, 218170378, 0, 0, 0, 603979816, 0, 0, 0, 218170379, 0, 0, 0, 603979816, 0, 0, 0, 218170380, 0, 0, 0, 603979816, 0, 0, 0, 218170381, 0, 0, 0, 603979816, 0, 0, 0, 218170382, 0, 0, 0, 603979816, 0, 0, 0, 218170383, 0, 0, 0, 603979816, 0, 0, 0, 218170384, 0, 0, 0, 603979816, 0, 0, 0, 218170385, 0, 0, 0, 603979816, 0, 0, 0, 218170386, 0, 0, 0, 603979816, 0, 0, 0, 218170387, 0, 0, 0, 603979816, 0, 0, 0, 218170388, 0, 0, 0, 603979816, 0, 0, 0, 218170389, 0, 0, 0, 603979816, 0, 0, 0, 218170390, 0, 0, 0, 603979816, 0, 0, 0, 218170391, 0, 0, 0, 603979816, 0, 0, 0, 218170392, 0, 0, 0, 603979816, 0, 0, 0, 218170393, 0, 0, 0, 603979816, 0, 0, 0, 218170394, 0, 0, 0, 603979816, 0, 0, 0, 218170395, 0, 0, 0, 603979816, 0, 0, 0, 218170396, 0, 0, 0, 603979816, 0, 0, 0, 218170397, 0, 0, 0, 603979816, 0, 0, 0, 218170398, 0, 0, 0, 603979816, 0, 0, 0, 218170399, 0, 0, 0, 603979816, 0, 0, 0, 218170400, 0, 0, 0, 603979816, 0, 0, 0, 218170401, 0, 0, 0, 603979816, 0, 0, 0, 218170402, 0, 0, 0, 603979816, 0, 0, 0, 218170403, 0, 0, 0, 603979816, 0, 0, 0, 218170404, 0, 0, 0, 603979816, 0, 0, 0, 218170405, 0, 0, 0, 603979816, 0, 0, 0, 218170406, 0, 0, 0, 603979816, 0, 0, 0, 218170407, 0, 0, 0, 603979816, 0, 0, 0, 218170408, 0, 0, 0, 335609816, 0, 0, 0, 218170409, 0, 0, 0, 335609816, 0, 0, 0, 218170410, 0, 0, 0, 335609816, 0, 0, 0, 218170411, 0, 0, 0, 335609816, 0, 0, 0, 218170412, 0, 0, 0, 335609816, 0, 0, 0, 218170413, 0, 0, 0, 335609816, 0, 0, 0, 218170414, 0, 0, 0, 335609816, 0, 0, 0, 218170415, 0, 0, 0, 335609816, 0, 0, 0, 218170416, 0, 0, 0, 335609816, 0, 0, 0, 218170417, 0, 0, 0, 335609816, 0, 0, 0, 218170418, 0, 0, 0, 335609816, 0, 0, 0, 218170419, 0, 0, 0, 335609816, 0, 0, 0, 218170420, 0, 0, 0, 335609816, 0, 0, 0, 218170421, 0, 0, 0, 335609816, 0, 0, 0, 218170422, 0, 0, 0, 335609816, 0, 0, 0, 218170423, 0, 0, 0, 335609816, 0, 0, 0, 218170424, 0, 0, 0, 335609816, 0, 0, 0, 218170425, 0, 0, 0, 335609816, 0, 0, 0, 218170426, 0, 0, 0, 335609816, 0, 0, 0, 218170427, 0, 0, 0, 335609816, 0, 0, 0, 218170428, 0, 0, 0, 335609816, 0, 0, 0, 218170429, 0, 0, 0, 335609816, 0, 0, 0, 218170430, 0, 0, 0, 335609816, 0, 0, 0, 218170431, 0, 0, 0, 335609816, 0, 0, 0, 218170432, 0, 0, 0, 335609816, 0, 0, 0, 218170433, 0, 0, 0, 335609816, 0, 0, 0, 218170434, 0, 0, 0, 335609816, 0, 0, 0, 218170435, 0, 0, 0, 335609816, 0, 0, 0, 218170436, 0, 0, 0, 335609816, 0, 0, 0, 218170437, 0, 0, 0, 335609816, 0, 0, 0, 218170438, 0, 0, 0, 335609816, 0, 0, 0, 218170439, 0, 0, 0, 335609816, 0, 0, 0, 218170440, 0, 0, 0, 335609816, 0, 0, 0, 218170441, 0, 0, 0, 335609816, 0, 0, 0, 218170442, 0, 0, 0, 335609816, 0, 0, 0, 218170443, 0, 0, 0, 335609816, 0, 0, 0, 218170444, 0, 0, 0, 335609816, 0, 0, 0, 218170445, 0, 0, 0, 335609816, 0, 0, 0, 218170446, 0, 0, 0, 335609816, 0, 0, 0, 218170447, 0, 0, 0, 335609816, 0, 0, 0, 780207184, 0, 0, 0, 469762125, 0, 0, 0, 746652832, 0, 0, 0, 872415241, 0, 0, 0, 193005568, 0, 0, 0, 469762053, 0, 0, 0, 184616968, 0, 0, 0, 469762048, 0, 0, 0, 193005578, 0, 0, 0, 469762091, 0, 0, 0, 193005623, 0, 0, 0, 469762049, 0, 0, 0, 184617020, 0, 0, 0, 469762048, 0, 0, 0, 184617023, 0, 0, 0, 469762048, 0, 0, 0, 503384576, 0, 0, 0, 469762048, 0, 0, 0, 511773185, 0, 0, 0, 805306370, 0, 0, 0, 511773189, 0, 0, 0, 805306369, 0, 0, 0, 511773196, 0, 0, 0, 805306371, 0, 0, 0, 511773200, 0, 0, 0, 469762051, 0, 0, 0, 511773205, 0, 0, 0, 469762050, 0, 0, 0, 511773209, 0, 0, 0, 469762074, 0, 0, 0, 511773240, 0, 0, 0, 805306370, 0, 0, 0, 503384639, 0, 0, 0, 805306368, 0, 0, 0, 511773248, 0, 0, 0, 1006632967, 0, 0, 0, 511773264, 0, 0, 0, 1409286152, 0, 0, 0, 159502336, 0, 0, 0, 1744830709, 0, 0, 0, 159502592, 0, 0, 0, 1744830502, 0, 0, 0, 159502634, 0, 0, 0, 1744830522, 0, 0, 0, 159502693, 0, 0, 0, 671088641, 0, 0, 0, 461492583, 0, 0, 0, 805306370, 0, 0, 0, 159502698, 0, 0, 0, 1744830466, 0, 0, 0, 159502701, 0, 0, 0, 671088645, 0, 0, 0, 159502707, 0, 0, 0, 67108871, 0, 0, 0, 461492603, 0, 0, 0, 805306375, 0, 0, 0, 159502723, 0, 0, 0, 1744830465, 0, 0, 0, 461492613, 0, 0, 0, 805306374, 0, 0, 0, 159502732, 0, 0, 0, 1744830493, 0, 0, 0, 461492650, 0, 0, 0, 805306371, 0, 0, 0, 159502766, 0, 0, 0, 1744830511, 0, 0, 0, 327275008, 0, 0, 0, 1744830529, 0, 0, 0, 327275074, 0, 0, 0, 805306370, 0, 0, 0, 318886469, 0, 0, 0, 1744830464, 0, 0, 0, 159503104, 0, 0, 0, 1744830550, 0, 0, 0, 159503360, 0, 0, 0, 603979801, 0, 0, 0, 159503386, 0, 0, 0, 335544345, 0, 0, 0, 159503412, 0, 0, 0, 603979801, 0, 0, 0, 159503438, 0, 0, 0, 335544326, 0, 0, 0, 159503446, 0, 0, 0, 335544337, 0, 0, 0, 159503464, 0, 0, 0, 603979801, 0, 0, 0, 159503490, 0, 0, 0, 335544345, 0, 0, 0, 151114908, 0, 0, 0, 603979776, 0, 0, 0, 159503518, 0, 0, 0, 603979777, 0, 0, 0, 151114914, 0, 0, 0, 603979776, 0, 0, 0, 159503525, 0, 0, 0, 603979777, 0, 0, 0, 159503529, 0, 0, 0, 603979779, 0, 0, 0, 159503534, 0, 0, 0, 603979783, 0, 0, 0, 159503542, 0, 0, 0, 335544323, 0, 0, 0, 151114939, 0, 0, 0, 335544320, 0, 0, 0, 159503549, 0, 0, 0, 335544326, 0, 0, 0, 159503557, 0, 0, 0, 335544330, 0, 0, 0, 159503568, 0, 0, 0, 603979801, 0, 0, 0, 159503594, 0, 0, 0, 335544345, 0, 0, 0, 159503620, 0, 0, 0, 603979777, 0, 0, 0, 159503623, 0, 0, 0, 603979779, 0, 0, 0, 159503629, 0, 0, 0, 603979783, 0, 0, 0, 159503638, 0, 0, 0, 603979782, 0, 0, 0, 159503646, 0, 0, 0, 335544345, 0, 0, 0, 159503672, 0, 0, 0, 603979777, 0, 0, 0, 159503675, 0, 0, 0, 603979779, 0, 0, 0, 159503680, 0, 0, 0, 603979780, 0, 0, 0, 151115078, 0, 0, 0, 603979776, 0, 0, 0, 159503690, 0, 0, 0, 603979782, 0, 0, 0, 159503698, 0, 0, 0, 335544345, 0, 0, 0, 159503724, 0, 0, 0, 603979801, 0, 0, 0, 159503750, 0, 0, 0, 335544345, 0, 0, 0, 159503776, 0, 0, 0, 603979801, 0, 0, 0, 159503802, 0, 0, 0, 335544345, 0, 0, 0, 159503828, 0, 0, 0, 603979801, 0, 0, 0, 159503854, 0, 0, 0, 335544345, 0, 0, 0, 159503880, 0, 0, 0, 603979801, 0, 0, 0, 159503906, 0, 0, 0, 335544345, 0, 0, 0, 159503932, 0, 0, 0, 603979801, 0, 0, 0, 159503958, 0, 0, 0, 335544345, 0, 0, 0, 159503984, 0, 0, 0, 603979801, 0, 0, 0, 159504010, 0, 0, 0, 335544347, 0, 0, 0, 159504040, 0, 0, 0, 603979800, 0, 0, 0, 151115457, 0, 0, 0, 1677721600, 0, 0, 0, 159504066, 0, 0, 0, 335544344, 0, 0, 0, 151115483, 0, 0, 0, 1677721600, 0, 0, 0, 159504092, 0, 0, 0, 335544325, 0, 0, 0, 159504098, 0, 0, 0, 603979800, 0, 0, 0, 151115515, 0, 0, 0, 1677721600, 0, 0, 0, 159504124, 0, 0, 0, 335544344, 0, 0, 0, 151115541, 0, 0, 0, 1677721600, 0, 0, 0, 159504150, 0, 0, 0, 335544325, 0, 0, 0, 159504156, 0, 0, 0, 603979800, 0, 0, 0, 151115573, 0, 0, 0, 1677721600, 0, 0, 0, 159504182, 0, 0, 0, 335544344, 0, 0, 0, 151115599, 0, 0, 0, 1677721600, 0, 0, 0, 159504208, 0, 0, 0, 335544325, 0, 0, 0, 159504214, 0, 0, 0, 603979800, 0, 0, 0, 151115631, 0, 0, 0, 1677721600, 0, 0, 0, 159504240, 0, 0, 0, 335544344, 0, 0, 0, 151115657, 0, 0, 0, 1677721600, 0, 0, 0, 159504266, 0, 0, 0, 335544325, 0, 0, 0, 159504272, 0, 0, 0, 603979800, 0, 0, 0, 151115689, 0, 0, 0, 1677721600, 0, 0, 0, 159504298, 0, 0, 0, 335544344, 0, 0, 0, 151115715, 0, 0, 0, 1677721600, 0, 0, 0, 159504324, 0, 0, 0, 335544325, 0, 0, 0, 159504334, 0, 0, 0, 872415281, 0, 0, 0, 377618432, 0, 0, 0, 469804758, 0, 0, 0, 377681920, 0, 0, 0, 469762589, 0, 0, 0, 151912449, 0, 0, 0, 67108864, 0, 0, 0, 160301088, 0, 0, 0, 67108959, 0, 0, 0, 462291200, 0, 0, 0, 805306607, 0, 0, 0, 160366592, 0, 0, 0, 201392125, 0, 0, 0, 160432128, 0, 0, 0, 201392125, 0, 0, 0], ["i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str4498=allocate([37,100,0] /* %d\00 */, "i8", ALLOC_STATIC);
_gStackChunkSize=allocate([8192], ["i32",0,0,0,0], ALLOC_STATIC);
_gMaxStackSize=allocate([500000], ["i32",0,0,0,0], ALLOC_STATIC);
__ZL9gCanceled=allocate(1, "i8", ALLOC_STATIC);
__ZL14enableTraceJit=allocate(1, "i8", ALLOC_STATIC);
__ZL15enableMethodJit=allocate(1, "i8", ALLOC_STATIC);
__ZL15enableProfiling=allocate(1, "i8", ALLOC_STATIC);
__ZL19enableTypeInference=allocate(1, "i8", ALLOC_STATIC);
__ZL22enableDisassemblyDumps=allocate(1, "i8", ALLOC_STATIC);
__ZL11printTiming=allocate(1, "i8", ALLOC_STATIC);
__ZL8gRuntime=allocate(1, "%struct.JSRuntime*", ALLOC_STATIC);
_gExitCode=allocate(1, "i32", ALLOC_STATIC);
_gQuitting=allocate(1, "i32", ALLOC_STATIC);
_gErrFile=allocate(1, "%struct.__sFILE*", ALLOC_STATIC);
_gOutFile=allocate(1, "%struct.__sFILE*", ALLOC_STATIC);
STRING_TABLE.__str293=allocate([101,118,97,108,45,99,111,100,101,0] /* eval-code\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1294=allocate([103,108,111,98,97,108,45,99,111,100,101,0] /* global-code\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2295=allocate([115,97,110,100,98,111,120,0] /* sandbox\00 */, "i8", ALLOC_STATIC);
__ZL13sandbox_class=allocate([0, 0, 0, 0, 292612, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 2028, 0, 0, 0, 2030, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str3296=allocate([114,101,115,111,108,118,101,114,0] /* resolver\00 */, "i8", ALLOC_STATIC);
__ZL14resolver_class=allocate([0, 0, 0, 0, 260, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 2032, 0, 0, 0, 2034, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str4297=allocate([100,101,115,101,114,105,97,108,105,122,101,0] /* deserialize\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str5298=allocate([110,101,119,71,108,111,98,97,108,0] /* newGlobal\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str6299=allocate([115,97,109,101,45,99,111,109,112,97,114,116,109,101,110,116,0] /* same-compartment\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str7300=allocate([110,101,119,45,99,111,109,112,97,114,116,109,101,110,116,0] /* new-compartment\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8301=allocate([118,101,114,115,105,111,110,0] /* version\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str9302=allocate([114,101,118,101,114,116,86,101,114,115,105,111,110,0] /* revertVersion\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str10303=allocate([111,112,116,105,111,110,115,0] /* options\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11304=allocate([108,111,97,100,0] /* load\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str12305=allocate([101,118,97,108,117,97,116,101,0] /* evaluate\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13306=allocate([114,117,110,0] /* run\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14307=allocate([114,101,97,100,108,105,110,101,0] /* readline\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str15308=allocate([112,114,105,110,116,0] /* print\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str16309=allocate([112,117,116,115,116,114,0] /* putstr\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str17310=allocate([100,97,116,101,78,111,119,0] /* dateNow\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str18311=allocate([104,101,108,112,0] /* help\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str19312=allocate([113,117,105,116,0] /* quit\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str20313=allocate([97,115,115,101,114,116,69,113,0] /* assertEq\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str21314=allocate([97,115,115,101,114,116,74,105,116,0] /* assertJit\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str22315=allocate([103,99,0] /* gc\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str23316=allocate([103,99,112,97,114,97,109,0] /* gcparam\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str24317=allocate([99,111,117,110,116,72,101,97,112,0] /* countHeap\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str25318=allocate([109,97,107,101,70,105,110,97,108,105,122,101,79,98,115,101,114,118,101,114,0] /* makeFinalizeObserver */, "i8", ALLOC_STATIC);
STRING_TABLE.__str26319=allocate([102,105,110,97,108,105,122,101,67,111,117,110,116,0] /* finalizeCount\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str27320=allocate([105,110,116,101,114,110,97,108,67,111,110,115,116,0] /* internalConst\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str28321=allocate([115,101,116,68,101,98,117,103,0] /* setDebug\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str29322=allocate([115,101,116,68,101,98,117,103,103,101,114,72,97,110,100,108,101,114,0] /* setDebuggerHandler\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str30323=allocate([115,101,116,84,104,114,111,119,72,111,111,107,0] /* setThrowHook\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str31324=allocate([116,114,97,112,0] /* trap\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str32325=allocate([117,110,116,114,97,112,0] /* untrap\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str33326=allocate([108,105,110,101,50,112,99,0] /* line2pc\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str34327=allocate([112,99,50,108,105,110,101,0] /* pc2line\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str35328=allocate([115,116,114,105,110,103,115,65,114,101,85,84,70,56,0] /* stringsAreUTF8\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str36329=allocate([116,101,115,116,85,84,70,56,0] /* testUTF8\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str37330=allocate([116,104,114,111,119,69,114,114,111,114,0] /* throwError\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str38331=allocate([100,117,109,112,83,116,97,99,107,0] /* dumpStack\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str39332=allocate([98,117,105,108,100,0] /* build\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str40333=allocate([99,108,101,97,114,0] /* clear\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str41334=allocate([105,110,116,101,114,110,0] /* intern\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str42335=allocate([99,108,111,110,101,0] /* clone\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str43336=allocate([103,101,116,112,100,97,0] /* getpda\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str44337=allocate([103,101,116,115,108,120,0] /* getslx\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str45338=allocate([116,111,105,110,116,51,50,0] /* toint32\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str46339=allocate([101,118,97,108,99,120,0] /* evalcx\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str47340=allocate([101,118,97,108,73,110,70,114,97,109,101,0] /* evalInFrame\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str48341=allocate([115,104,97,112,101,79,102,0] /* shapeOf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str49342=allocate([115,110,97,114,102,0] /* snarf\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str50343=allocate([114,101,97,100,0] /* read\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str51344=allocate([99,111,109,112,105,108,101,0] /* compile\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str52345=allocate([112,97,114,115,101,0] /* parse\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str53346=allocate([116,105,109,101,111,117,116,0] /* timeout\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str54347=allocate([101,108,97,112,115,101,100,0] /* elapsed\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str55348=allocate([112,97,114,101,110,116,0] /* parent\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str56349=allocate([119,114,97,112,0] /* wrap\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str57350=allocate([115,101,114,105,97,108,105,122,101,0] /* serialize\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str58351=allocate([115,116,114,105,110,103,115,116,97,116,115,0] /* stringstats\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str59352=allocate([112,97,114,115,101,76,101,103,97,99,121,74,83,79,78,0] /* parseLegacyJSON\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str60353=allocate([101,110,97,98,108,101,83,116,97,99,107,87,97,108,107,105,110,103,65,115,115,101,114,116,105,111,110,0] /* enableStackWalkingAs */, "i8", ALLOC_STATIC);
STRING_TABLE.__str61354=allocate([103,101,116,77,97,120,65,114,103,115,0] /* getMaxArgs\00 */, "i8", ALLOC_STATIC);
__ZL15shell_functions=allocate([0, 0, 0, 0, 2036, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2038, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2040, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2042, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2044, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2046, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2048, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2050, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2052, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2054, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2056, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2058, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2060, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 2062, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2064, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2066, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 2068, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2070, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2072, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2074, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2076, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2078, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2080, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2082, 0, 0, 0, 3, 0, 4096, 0, 0, 0, 0, 0, 2084, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 2086, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2088, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2090, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2092, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2094, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2096, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2098, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2100, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2102, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2104, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2106, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2108, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2110, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2112, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2114, 0, 0, 0, 2, 0, 4096, 0, 0, 0, 0, 0, 2116, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2118, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2120, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2120, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2122, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2124, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2126, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2128, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2130, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2132, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2134, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2136, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2138, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 2140, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2142, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2144, 0, 0, 0, 1, 0, 4096, 0, 0, 0, 0, 0, 2146, 0, 0, 0, 0, 0, 4096, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str62355=allocate([99,111,108,111,114,0] /* color\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str63356=allocate([104,101,105,103,104,116,0] /* height\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str64357=allocate([119,105,100,116,104,0] /* width\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str65358=allocate([102,117,110,110,121,0] /* funny\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str66359=allocate([97,114,114,97,121,0] /* array\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str67360=allocate([114,100,111,110,108,121,0] /* rdonly\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str68361=allocate([99,117,115,116,111,109,0] /* custom\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str69362=allocate([99,117,115,116,111,109,82,100,79,110,108,121,0] /* customRdOnly\00 */, "i8", ALLOC_STATIC);
__ZL9its_props=allocate([0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 1, 0, 0, 366, 0, 0, 0, 368, 0, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 366, 0, 0, 0, 368, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"i8","i8",0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str70363=allocate([73,116,0] /* It\00 */, "i8", ALLOC_STATIC);
__ZL9its_class=allocate([0, 0, 0, 0, 7, 0, 0, 0, 2148, 0, 0, 0, 2150, 0, 0, 0, 2152, 0, 0, 0, 2154, 0, 0, 0, 2156, 0, 0, 0, 2158, 0, 0, 0, 2160, 0, 0, 0, 2162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str71364=allocate([60,69,114,114,111,114,32,35,48,32,105,115,32,114,101,115,101,114,118,101,100,62,0] /* _Error #0 is reserve */, "i8", ALLOC_STATIC);
STRING_TABLE.__str72365=allocate([99,97,110,39,116,32,111,112,101,110,32,123,48,125,58,32,123,49,125,0] /* can't open {0}: {1}\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str73366=allocate([117,115,97,103,101,58,32,116,114,97,112,32,91,102,117,110,93,32,91,112,99,93,32,101,120,112,114,0] /* usage: trap [fun] [p */, "i8", ALLOC_STATIC);
STRING_TABLE.__str74367=allocate([117,115,97,103,101,58,32,108,105,110,101,50,112,99,32,91,102,117,110,93,32,108,105,110,101,0] /* usage: line2pc [fun] */, "i8", ALLOC_STATIC);
STRING_TABLE.__str75368=allocate([111,110,108,121,32,119,111,114,107,115,32,111,110,32,74,83,32,115,99,114,105,112,116,115,32,114,101,97,100,32,102,114,111,109,32,102,105,108,101,115,0] /* only works on JS scr */, "i8", ALLOC_STATIC);
STRING_TABLE.__str76369=allocate([117,110,101,120,112,101,99,116,101,100,32,69,79,70,32,105,110,32,123,48,125,0] /* unexpected EOF in {0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str77370=allocate([117,115,97,103,101,58,32,100,111,101,120,112,32,111,98,106,32,105,100,0] /* usage: doexp obj id\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str78371=allocate([111,110,108,121,32,119,111,114,107,115,32,111,110,32,115,99,114,105,112,116,115,0] /* only works on script */, "i8", ALLOC_STATIC);
STRING_TABLE.__str79372=allocate([123,48,125,58,32,110,111,116,32,101,110,111,117,103,104,32,97,114,103,117,109,101,110,116,115,0] /* {0}: not enough argu */, "i8", ALLOC_STATIC);
STRING_TABLE.__str80373=allocate([123,48,125,58,32,116,111,111,32,109,97,110,121,32,97,114,103,117,109,101,110,116,115,0] /* {0}: too many argume */, "i8", ALLOC_STATIC);
STRING_TABLE.__str81374=allocate([65,115,115,101,114,116,105,111,110,32,102,97,105,108,101,100,58,32,103,111,116,32,123,48,125,44,32,101,120,112,101,99,116,101,100,32,123,49,125,0] /* Assertion failed: go */, "i8", ALLOC_STATIC);
STRING_TABLE.__str82375=allocate([65,115,115,101,114,116,105,111,110,32,102,97,105,108,101,100,58,32,103,111,116,32,123,48,125,44,32,101,120,112,101,99,116,101,100,32,123,49,125,58,32,123,50,125,0] /* Assertion failed: go */, "i8", ALLOC_STATIC);
STRING_TABLE.__str83376=allocate([123,48,125,58,32,105,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,115,0] /* {0}: invalid argumen */, "i8", ALLOC_STATIC);
STRING_TABLE.__str84377=allocate([117,110,101,120,112,101,99,116,101,100,32,102,97,105,108,117,114,101,32,116,111,32,74,73,84,0] /* unexpected failure t */, "i8", ALLOC_STATIC);
STRING_TABLE.__str85378=allocate([115,101,114,105,97,108,105,122,101,100,32,100,97,116,97,32,109,117,115,116,32,98,101,32,56,45,98,121,116,101,45,97,108,105,103,110,101,100,0] /* serialized data must */, "i8", ALLOC_STATIC);
_jsShell_ErrorFormatString=allocate([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0,"*",0,0,0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str86379=allocate([103,108,111,98,97,108,0] /* global\00 */, "i8", ALLOC_STATIC);
_global_class=allocate([0, 0, 0, 0, 292613, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 2164, 0, 0, 0, 2166, 0, 0, 0, 90, 0, 0, 0, 2162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str87380=allocate([101,110,118,105,114,111,110,109,101,110,116,0] /* environment\00 */, "i8", ALLOC_STATIC);
__ZL9env_class=allocate([0, 0, 0, 0, 5, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 2168, 0, 0, 0, 2170, 0, 0, 0, 2172, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str88381=allocate([91,115,104,101,108,108,32,116,114,117,115,116,101,100,32,112,114,105,110,99,105,112,97,108,115,93,0] /* [shell trusted princ */, "i8", ALLOC_STATIC);
_shellTrustedPrincipals=allocate([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2174, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
_securityCallbacks=allocate([2176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
__str89382=allocate(1, "i8", ALLOC_STATIC);
__ZL10gStackBase=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str90383=allocate([74,83,95,83,84,68,69,82,82,0] /* JS_STDERR\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str91384=allocate([74,83,95,83,84,68,79,85,84,0] /* JS_STDOUT\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str92385=allocate([85,115,97,103,101,58,32,123,112,114,111,103,110,97,109,101,125,32,91,111,112,116,105,111,110,115,93,32,91,91,115,99,114,105,112,116,93,32,115,99,114,105,112,116,65,114,103,115,42,93,0] /* Usage: {progname} [o */, "i8", ALLOC_STATIC);
STRING_TABLE.__str93386=allocate([84,104,101,32,83,112,105,100,101,114,77,111,110,107,101,121,32,115,104,101,108,108,32,112,114,111,118,105,100,101,115,32,97,32,99,111,109,109,97,110,100,32,108,105,110,101,32,105,110,116,101,114,102,97,99,101,32,116,111,32,116,104,101,32,74,97,118,97,83,99,114,105,112,116,32,101,110,103,105,110,101,46,32,67,111,100,101,32,97,110,100,32,102,105,108,101,32,111,112,116,105,111,110,115,32,112,114,111,118,105,100,101,100,32,118,105,97,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,32,97,114,101,32,114,117,110,32,108,101,102,116,32,116,111,32,114,105,103,104,116,46,32,73,102,32,112,114,111,118,105,100,101,100,44,32,116,104,101,32,111,112,116,105,111,110,97,108,32,115,99,114,105,112,116,32,97,114,103,117,109,101,110,116,32,105,115,32,114,117,110,32,97,102,116,101,114,32,97,108,108,32,111,112,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,112,114,111,99,101,115,115,101,100,46,32,74,117,115,116,45,73,110,45,84,105,109,101,32,99,111,109,112,105,108,97,116,105,111,110,32,109,111,100,101,115,32,109,97,121,32,98,101,32,101,110,97,98,108,101,100,32,118,105,97,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,115,46,0] /* The SpiderMonkey she */, "i8", ALLOC_STATIC);
STRING_TABLE.__str94387=allocate([102,105,108,101,0] /* file\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str95388=allocate([80,65,84,72,0] /* PATH\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str96389=allocate([70,105,108,101,32,112,97,116,104,32,116,111,32,114,117,110,0] /* File path to run\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str97390=allocate([101,120,101,99,117,116,101,0] /* execute\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str98391=allocate([67,79,68,69,0] /* CODE\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str99392=allocate([73,110,108,105,110,101,32,99,111,100,101,32,116,111,32,114,117,110,0] /* Inline code to run\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str100393=allocate([115,104,101,108,108,0] /* shell\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str101394=allocate([69,110,116,101,114,32,112,114,111,109,112,116,32,97,102,116,101,114,32,114,117,110,110,105,110,103,32,99,111,100,101,0] /* Enter prompt after r */, "i8", ALLOC_STATIC);
STRING_TABLE.__str102395=allocate([109,101,116,104,111,100,106,105,116,0] /* methodjit\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str103396=allocate([69,110,97,98,108,101,32,116,104,101,32,74,97,101,103,101,114,77,111,110,107,101,121,32,109,101,116,104,111,100,32,74,73,84,0] /* Enable the JaegerMon */, "i8", ALLOC_STATIC);
STRING_TABLE.__str104397=allocate([116,114,97,99,101,106,105,116,0] /* tracejit\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str105398=allocate([69,110,97,98,108,101,32,116,104,101,32,74,97,101,103,101,114,77,111,110,107,101,121,32,116,114,97,99,101,32,74,73,84,0] /* Enable the JaegerMon */, "i8", ALLOC_STATIC);
STRING_TABLE.__str106399=allocate([112,114,111,102,105,108,105,110,103,0] /* profiling\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str107400=allocate([69,110,97,98,108,101,32,114,117,110,116,105,109,101,32,112,114,111,102,105,108,105,110,103,32,115,101,108,101,99,116,32,74,73,84,32,109,111,100,101,0] /* Enable runtime profi */, "i8", ALLOC_STATIC);
STRING_TABLE.__str108401=allocate([116,121,112,101,105,110,102,101,114,0] /* typeinfer\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str109402=allocate([69,110,97,98,108,101,32,116,121,112,101,32,105,110,102,101,114,101,110,99,101,0] /* Enable type inferenc */, "i8", ALLOC_STATIC);
STRING_TABLE.__str110403=allocate([100,101,98,117,103,106,105,116,0] /* debugjit\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str111404=allocate([69,110,97,98,108,101,32,114,117,110,116,105,109,101,32,100,101,98,117,103,32,109,111,100,101,32,102,111,114,32,109,101,116,104,111,100,32,74,73,84,32,99,111,100,101,0] /* Enable runtime debug */, "i8", ALLOC_STATIC);
STRING_TABLE.__str112405=allocate([97,108,119,97,121,115,45,109,106,105,116,0] /* always-mjit\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str113406=allocate([68,111,32,110,111,116,32,116,114,121,32,116,111,32,114,117,110,32,105,110,32,116,104,101,32,105,110,116,101,114,112,114,101,116,101,114,32,98,101,102,111,114,101,32,109,101,116,104,111,100,32,106,105,116,116,105,110,103,46,32,78,111,116,101,32,116,104,97,116,32,116,104,105,115,32,104,97,115,32,110,111,32,112,97,114,116,105,99,117,108,97,114,32,101,102,102,101,99,116,32,111,110,32,116,104,101,32,116,114,97,99,101,114,59,32,105,116,32,115,116,105,108,108,32,107,105,99,107,115,32,105,110,32,105,102,32,101,110,97,98,108,101,100,46,0] /* Do not try to run in */, "i8", ALLOC_STATIC);
STRING_TABLE.__str114407=allocate([100,117,109,112,45,98,121,116,101,99,111,100,101,0] /* dump-bytecode\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str115408=allocate([68,117,109,112,32,98,121,116,101,99,111,100,101,32,119,105,116,104,32,101,120,101,99,32,99,111,117,110,116,32,102,111,114,32,97,108,108,32,115,99,114,105,112,116,115,0] /* Dump bytecode with e */, "i8", ALLOC_STATIC);
STRING_TABLE.__str116409=allocate([112,114,105,110,116,45,116,105,109,105,110,103,0] /* print-timing\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str117410=allocate([80,114,105,110,116,32,115,117,98,45,109,115,32,114,117,110,116,105,109,101,32,102,111,114,32,101,97,99,104,32,102,105,108,101,32,116,104,97,116,39,115,32,114,117,110,0] /* Print sub-ms runtime */, "i8", ALLOC_STATIC);
STRING_TABLE.__str118411=allocate([117,116,102,56,0] /* utf8\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str119412=allocate([67,32,115,116,114,105,110,103,115,32,112,97,115,115,101,100,32,116,111,32,116,104,101,32,74,83,65,80,73,32,97,114,101,32,85,84,70,45,56,32,101,110,99,111,100,101,100,0] /* C strings passed to  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str120413=allocate([115,99,114,105,112,116,0] /* script\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str121414=allocate([65,32,115,99,114,105,112,116,32,116,111,32,101,120,101,99,117,116,101,32,40,97,102,116,101,114,32,97,108,108,32,111,112,116,105,111,110,115,41,0] /* A script to execute  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str122415=allocate([115,99,114,105,112,116,65,114,103,115,0] /* scriptArgs\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str123416=allocate([83,116,114,105,110,103,32,97,114,103,117,109,101,110,116,115,32,116,111,32,98,105,110,100,32,97,115,32,124,97,114,103,117,109,101,110,116,115,124,32,105,110,32,116,104,101,32,115,104,101,108,108,39,115,32,103,108,111,98,97,108,0] /* String arguments to  */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL15CancelExecutionP9JSRuntimeE3msg=allocate([83,99,114,105,112,116,32,114,117,110,115,32,102,111,114,32,116,111,111,32,108,111,110,103,44,32,116,101,114,109,105,110,97,116,105,110,103,46,10,0] /* Script runs for too  */, "i8", ALLOC_STATIC);
__ZL16gTimeoutInterval=allocate([-1], ["double",0,0,0,0,0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str124417=allocate([37,115,10,0] /* %s\0A\00 */, "i8", ALLOC_STATIC);
__ZL14reportWarnings=allocate([1], ["i32",0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str125418=allocate([37,115,58,0] /* %s:\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str126419=allocate([37,115,37,117,58,32,0] /* %s%u: \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str127420=allocate([37,115,37,115,119,97,114,110,105,110,103,58,32,0] /* %s%swarning: \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str128421=allocate([115,116,114,105,99,116,32,0] /* strict \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str129422=allocate([58,10,37,115,37,115,37,115,37,115,0] /* :\0A%s%s%s%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str130423=allocate([10,0] /* \0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str131424=allocate([94,10,0] /* ^\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str132425=allocate([68,105,115,112,108,97,121,32,104,101,108,112,32,105,110,102,111,114,109,97,116,105,111,110,0] /* Display help informa */, "i8", ALLOC_STATIC);
__ZTVN2js3cli6detail10BoolOptionE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 2178, 0, 0, 0, 2180, 0, 0, 0, 2182, 0, 0, 0, 2184, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTVN2js3cli6detail6OptionE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 2182, 0, 0, 0, 2184, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
STRING_TABLE.__str133426=allocate([119,0] /* w\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str134427=allocate([45,101,0] /* -e\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str135428=allocate([45,0] /* -\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str136429=allocate([114,0] /* r\00 */, "i8", ALLOC_STATIC);
__ZL11compileOnly=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str137430=allocate([114,117,110,116,105,109,101,32,61,32,37,46,51,102,32,109,115,10,0] /* runtime = %.3f ms\0A */, "i8", ALLOC_STATIC);
STRING_TABLE.__str138431=allocate([106,115,62,32,0] /* js_ \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str139432=allocate([73,110,118,97,108,105,100,32,85,84,70,45,56,32,105,110,32,105,110,112,117,116,0] /* Invalid UTF-8 in inp */, "i8", ALLOC_STATIC);
STRING_TABLE.__str140433=allocate([116,121,112,101,105,110,0] /* typein\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str141434=allocate([37,115,0] /* %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str142435=allocate([97,114,103,117,109,101,110,116,115,0] /* arguments\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str143436=allocate([105,116,0] /* it\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str144437=allocate([40,101,114,114,111,114,32,99,111,110,118,101,114,116,105,110,103,32,118,97,108,117,101,41,0] /* (error converting va */, "i8", ALLOC_STATIC);
STRING_TABLE.__str145438=allocate([86,97,108,117,101,32,84,111,83,116,114,105,110,103,32,104,101,108,112,101,114,0] /* Value ToString helpe */, "i8", ALLOC_STATIC);
__ZZL13env_enumerateP9JSContextP8JSObjectE9reflected=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str146439=allocate([99,97,110,39,116,32,115,101,116,32,101,110,118,32,118,97,114,105,97,98,108,101,32,37,115,32,116,111,32,37,115,0] /* can't set env variab */, "i8", ALLOC_STATIC);
__ZL9its_noisy=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str147440=allocate([102,105,110,97,108,105,122,105,110,103,32,105,116,10,0] /* finalizing it\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str148441=allocate([99,111,110,118,101,114,116,105,110,103,32,105,116,32,116,111,32,37,115,32,116,121,112,101,10,0] /* converting it to %s  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str149442=allocate([114,101,115,111,108,118,105,110,103,32,105,116,115,32,112,114,111,112,101,114,116,121,32,37,115,44,32,102,108,97,103,115,32,123,37,115,44,37,115,44,37,115,125,10,0] /* resolving its proper */, "i8", ALLOC_STATIC);
STRING_TABLE.__str150443=allocate([113,117,97,108,105,102,105,101,100,0] /* qualified\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str151444=allocate([97,115,115,105,103,110,105,110,103,0] /* assigning\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str152445=allocate([100,101,116,101,99,116,105,110,103,0] /* detecting\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str153446=allocate([101,110,117,109,101,114,97,116,101,32,105,116,115,32,112,114,111,112,101,114,116,105,101,115,10,0] /* enumerate its proper */, "i8", ALLOC_STATIC);
__ZL13its_enum_fail=allocate(1, "i32", ALLOC_STATIC);
STRING_TABLE.__str154447=allocate([105,116,115,32,101,110,117,109,101,114,97,116,105,111,110,32,102,97,105,108,101,100,0] /* its enumeration fail */, "i8", ALLOC_STATIC);
STRING_TABLE.__str155448=allocate([115,101,116,116,105,110,103,32,105,116,115,32,112,114,111,112,101,114,116,121,32,37,115,44,0] /* setting its property */, "i8", ALLOC_STATIC);
STRING_TABLE.__str156449=allocate([32,110,101,119,32,118,97,108,117,101,32,37,115,10,0] /*  new value %s\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str157450=allocate([110,111,105,115,121,0] /* noisy\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str158451=allocate([101,110,117,109,95,102,97,105,108,0] /* enum_fail\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str159452=allocate([103,101,116,116,105,110,103,32,105,116,115,32,112,114,111,112,101,114,116,121,32,37,115,44,0] /* getting its property */, "i8", ALLOC_STATIC);
STRING_TABLE.__str160453=allocate([32,105,110,105,116,105,97,108,32,118,97,108,117,101,32,37,115,10,0] /*  initial value %s\0A */, "i8", ALLOC_STATIC);
STRING_TABLE.__str161454=allocate([100,101,108,101,116,105,110,103,32,105,116,115,32,112,114,111,112,101,114,116,121,32,37,115,44,0] /* deleting its propert */, "i8", ALLOC_STATIC);
STRING_TABLE.__str162455=allocate([97,100,100,105,110,103,32,105,116,115,32,112,114,111,112,101,114,116,121,32,37,115,44,0] /* adding its property  */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZL17shell_help_header=allocate([67,111,109,109,97,110,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,68,101,115,99,114,105,112,116,105,111,110,10,61,61,61,61,61,61,61,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,61,61,61,61,61,61,61,61,61,61,10,0] /* Command              */, "i8", ALLOC_STATIC);
__ZL19shell_help_messages=allocate(228, "*", ALLOC_STATIC);
STRING_TABLE.__str163456=allocate([83,111,114,114,121,44,32,110,111,32,104,101,108,112,32,102,111,114,32,0] /* Sorry, no help for \ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str164457=allocate([118,101,114,115,105,111,110,40,91,110,117,109,98,101,114,93,41,32,32,32,32,32,32,32,32,71,101,116,32,111,114,32,102,111,114,99,101,32,97,32,115,99,114,105,112,116,32,99,111,109,112,105,108,97,116,105,111,110,32,118,101,114,115,105,111,110,32,110,117,109,98,101,114,0] /* version([number])    */, "i8", ALLOC_STATIC);
STRING_TABLE.__str165458=allocate([114,101,118,101,114,116,86,101,114,115,105,111,110,40,41,32,32,32,32,32,32,32,32,32,32,82,101,118,101,114,116,32,112,114,101,118,105,111,117,115,108,121,32,115,101,116,32,118,101,114,115,105,111,110,32,110,117,109,98,101,114,0] /* revertVersion()      */, "i8", ALLOC_STATIC);
STRING_TABLE.__str166459=allocate([111,112,116,105,111,110,115,40,91,111,112,116,105,111,110,32,46,46,46,93,41,32,32,32,32,71,101,116,32,111,114,32,116,111,103,103,108,101,32,74,97,118,97,83,99,114,105,112,116,32,111,112,116,105,111,110,115,0] /* options([option ...] */, "i8", ALLOC_STATIC);
STRING_TABLE.__str167460=allocate([108,111,97,100,40,91,39,102,111,111,46,106,115,39,32,46,46,46,93,41,32,32,32,32,32,76,111,97,100,32,102,105,108,101,115,32,110,97,109,101,100,32,98,121,32,115,116,114,105,110,103,32,97,114,103,117,109,101,110,116,115,0] /* load(['foo.js' ...]) */, "i8", ALLOC_STATIC);
STRING_TABLE.__str168461=allocate([101,118,97,108,117,97,116,101,40,99,111,100,101,41,32,32,32,32,32,32,32,32,32,32,32,69,118,97,108,117,97,116,101,32,99,111,100,101,32,97,115,32,116,104,111,117,103,104,32,105,116,32,119,101,114,101,32,116,104,101,32,99,111,110,116,101,110,116,115,32,111,102,32,97,32,102,105,108,101,0] /* evaluate(code)       */, "i8", ALLOC_STATIC);
STRING_TABLE.__str169462=allocate([114,117,110,40,39,102,111,111,46,106,115,39,41,10,32,32,82,117,110,32,116,104,101,32,102,105,108,101,32,110,97,109,101,100,32,98,121,32,116,104,101,32,102,105,114,115,116,32,97,114,103,117,109,101,110,116,44,32,114,101,116,117,114,110,105,110,103,32,116,104,101,32,110,117,109,98,101,114,32,111,102,10,32,32,111,102,32,109,105,108,108,105,115,101,99,111,110,100,115,32,115,112,101,110,116,32,99,111,109,112,105,108,105,110,103,32,97,110,100,32,101,120,101,99,117,116,105,110,103,32,105,116,0] /* run('foo.js')\0A  Ru */, "i8", ALLOC_STATIC);
STRING_TABLE.__str170463=allocate([114,101,97,100,108,105,110,101,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,82,101,97,100,32,97,32,115,105,110,103,108,101,32,108,105,110,101,32,102,114,111,109,32,115,116,100,105,110,0] /* readline()           */, "i8", ALLOC_STATIC);
STRING_TABLE.__str171464=allocate([112,114,105,110,116,40,91,101,120,112,32,46,46,46,93,41,32,32,32,32,32,32,32,32,32,69,118,97,108,117,97,116,101,32,97,110,100,32,112,114,105,110,116,32,101,120,112,114,101,115,115,105,111,110,115,0] /* print([exp ...])     */, "i8", ALLOC_STATIC);
STRING_TABLE.__str172465=allocate([112,117,116,115,116,114,40,91,101,120,112,93,41,32,32,32,32,32,32,32,32,32,32,32,32,69,118,97,108,117,97,116,101,32,97,110,100,32,112,114,105,110,116,32,101,120,112,114,101,115,115,105,111,110,32,119,105,116,104,111,117,116,32,110,101,119,108,105,110,101,0] /* putstr([exp])        */, "i8", ALLOC_STATIC);
STRING_TABLE.__str173466=allocate([100,97,116,101,78,111,119,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,82,101,116,117,114,110,32,116,104,101,32,99,117,114,114,101,110,116,32,116,105,109,101,32,119,105,116,104,32,115,117,98,45,109,115,32,112,114,101,99,105,115,105,111,110,0] /* dateNow()            */, "i8", ALLOC_STATIC);
STRING_TABLE.__str174467=allocate([104,101,108,112,40,91,110,97,109,101,32,46,46,46,93,41,32,32,32,32,32,32,32,32,32,68,105,115,112,108,97,121,32,117,115,97,103,101,32,97,110,100,32,104,101,108,112,32,109,101,115,115,97,103,101,115,0] /* help([name ...])     */, "i8", ALLOC_STATIC);
STRING_TABLE.__str175468=allocate([113,117,105,116,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,81,117,105,116,32,116,104,101,32,115,104,101,108,108,0] /* quit()               */, "i8", ALLOC_STATIC);
STRING_TABLE.__str176469=allocate([97,115,115,101,114,116,69,113,40,97,99,116,117,97,108,44,32,101,120,112,101,99,116,101,100,91,44,32,109,115,103,93,41,10,32,32,84,104,114,111,119,32,105,102,32,116,104,101,32,102,105,114,115,116,32,116,119,111,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,116,104,101,32,115,97,109,101,32,40,98,111,116,104,32,43,48,32,111,114,32,98,111,116,104,32,45,48,44,10,32,32,98,111,116,104,32,78,97,78,44,32,111,114,32,110,111,110,45,122,101,114,111,32,97,110,100,32,61,61,61,41,0] /* assertEq(actual, exp */, "i8", ALLOC_STATIC);
STRING_TABLE.__str177470=allocate([97,115,115,101,114,116,74,105,116,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,84,104,114,111,119,32,105,102,32,116,104,101,32,99,97,108,108,105,110,103,32,102,117,110,99,116,105,111,110,32,102,97,105,108,101,100,32,116,111,32,74,73,84,0] /* assertJit()          */, "i8", ALLOC_STATIC);
STRING_TABLE.__str178471=allocate([103,99,40,91,111,98,106,93,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,82,117,110,32,116,104,101,32,103,97,114,98,97,103,101,32,99,111,108,108,101,99,116,111,114,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,87,104,101,110,32,111,98,106,32,105,115,32,103,105,118,101,110,44,32,71,67,32,111,110,108,121,32,116,104,101,32,99,111,109,112,97,114,116,109,101,110,116,32,105,116,39,115,32,105,110,0] /* gc([obj])            */, "i8", ALLOC_STATIC);
STRING_TABLE.__str179472=allocate([103,99,112,97,114,97,109,40,110,97,109,101,44,32,118,97,108,117,101,41,10,32,32,87,114,97,112,112,101,114,32,102,111,114,32,74,83,95,83,101,116,71,67,80,97,114,97,109,101,116,101,114,46,32,84,104,101,32,110,97,109,101,32,109,117,115,116,32,98,101,32,101,105,116,104,101,114,32,39,109,97,120,66,121,116,101,115,39,32,111,114,10,32,32,39,109,97,120,77,97,108,108,111,99,66,121,116,101,115,39,32,97,110,100,32,116,104,101,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,99,111,110,118,101,114,116,97,98,108,101,32,116,111,32,97,32,112,111,115,105,116,105,118,101,32,117,105,110,116,51,50,0] /* gcparam(name, value) */, "i8", ALLOC_STATIC);
STRING_TABLE.__str180473=allocate([99,111,117,110,116,72,101,97,112,40,91,115,116,97,114,116,91,44,32,107,105,110,100,93,93,41,10,32,32,67,111,117,110,116,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,108,105,118,101,32,71,67,32,116,104,105,110,103,115,32,105,110,32,116,104,101,32,104,101,97,112,32,111,114,32,116,104,105,110,103,115,32,114,101,97,99,104,97,98,108,101,32,102,114,111,109,10,32,32,115,116,97,114,116,32,119,104,101,110,32,105,116,32,105,115,32,103,105,118,101,110,32,97,110,100,32,105,115,32,110,111,116,32,110,117,108,108,46,32,107,105,110,100,32,105,115,32,101,105,116,104,101,114,32,39,97,108,108,39,32,40,100,101,102,97,117,108,116,41,32,116,111,10,32,32,99,111,117,110,116,32,97,108,108,32,116,104,105,110,103,115,32,111,114,32,111,110,101,32,111,102,32,39,111,98,106,101,99,116,39,44,32,39,100,111,117,98,108,101,39,44,32,39,115,116,114,105,110,103,39,44,32,39,102,117,110,99,116,105,111,110,39,44,10,32,32,39,113,110,97,109,101,39,44,32,39,110,97,109,101,115,112,97,99,101,39,44,32,39,120,109,108,39,32,116,111,32,99,111,117,110,116,32,111,110,108,121,32,116,104,105,110,103,115,32,111,102,32,116,104,97,116,32,107,105,110,100,0] /* countHeap([start[, k */, "i8", ALLOC_STATIC);
STRING_TABLE.__str181474=allocate([109,97,107,101,70,105,110,97,108,105,122,101,79,98,115,101,114,118,101,114,40,41,10,32,32,103,101,116,32,97,32,115,112,101,99,105,97,108,32,111,98,106,101,99,116,32,119,104,111,115,101,32,102,105,110,97,108,105,122,97,116,105,111,110,32,105,110,99,114,101,97,115,101,115,32,116,104,101,32,99,111,117,110,116,101,114,32,114,101,116,117,114,110,101,100,10,32,32,98,121,32,116,104,101,32,102,105,110,97,108,105,122,101,67,111,117,110,116,32,102,117,110,99,116,105,111,110,0] /* makeFinalizeObserver */, "i8", ALLOC_STATIC);
STRING_TABLE.__str182475=allocate([102,105,110,97,108,105,122,101,67,111,117,110,116,40,41,10,32,32,114,101,116,117,114,110,32,116,104,101,32,99,117,114,114,101,110,116,32,118,97,108,117,101,32,111,102,32,116,104,101,32,102,105,110,97,108,105,122,97,116,105,111,110,32,99,111,117,110,116,101,114,32,116,104,97,116,32,105,115,32,105,110,99,114,101,109,101,110,116,101,100,10,32,32,101,97,99,104,32,116,105,109,101,32,97,110,32,111,98,106,101,99,116,32,114,101,116,117,114,110,101,100,32,98,121,32,116,104,101,32,109,97,107,101,70,105,110,97,108,105,122,101,79,98,115,101,114,118,101,114,32,105,115,32,102,105,110,97,108,105,122,101,100,0] /* finalizeCount()\0A   */, "i8", ALLOC_STATIC);
STRING_TABLE.__str183476=allocate([105,110,116,101,114,110,97,108,67,111,110,115,116,40,110,97,109,101,41,10,32,32,81,117,101,114,121,32,97,110,32,105,110,116,101,114,110,97,108,32,99,111,110,115,116,97,110,116,32,102,111,114,32,116,104,101,32,101,110,103,105,110,101,46,32,83,101,101,32,73,110,116,101,114,110,97,108,67,111,110,115,116,32,115,111,117,114,99,101,32,102,111,114,32,116,104,101,10,32,32,108,105,115,116,32,111,102,32,99,111,110,115,116,97,110,116,32,110,97,109,101,115,0] /* internalConst(name)\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str184477=allocate([115,101,116,68,101,98,117,103,40,100,101,98,117,103,41,32,32,32,32,32,32,32,32,32,32,83,101,116,32,100,101,98,117,103,32,109,111,100,101,0] /* setDebug(debug)      */, "i8", ALLOC_STATIC);
STRING_TABLE.__str185478=allocate([115,101,116,68,101,98,117,103,103,101,114,72,97,110,100,108,101,114,40,102,41,32,32,32,32,83,101,116,32,104,97,110,100,108,101,114,32,102,111,114,32,100,101,98,117,103,103,101,114,32,107,101,121,119,111,114,100,32,116,111,32,102,0] /* setDebuggerHandler(f */, "i8", ALLOC_STATIC);
STRING_TABLE.__str186479=allocate([115,101,116,84,104,114,111,119,72,111,111,107,40,102,41,32,32,32,32,32,32,32,32,32,32,83,101,116,32,116,104,114,111,119,32,104,111,111,107,32,116,111,32,102,0] /* setThrowHook(f)      */, "i8", ALLOC_STATIC);
STRING_TABLE.__str187480=allocate([116,114,97,112,40,91,102,117,110,44,32,91,112,99,44,93,93,32,101,120,112,41,32,32,32,84,114,97,112,32,98,121,116,101,99,111,100,101,32,101,120,101,99,117,116,105,111,110,0] /* trap([fun, [pc,]] ex */, "i8", ALLOC_STATIC);
STRING_TABLE.__str188481=allocate([117,110,116,114,97,112,40,102,117,110,91,44,32,112,99,93,41,32,32,32,32,32,32,32,32,82,101,109,111,118,101,32,97,32,116,114,97,112,0] /* untrap(fun[, pc])    */, "i8", ALLOC_STATIC);
STRING_TABLE.__str189482=allocate([108,105,110,101,50,112,99,40,91,102,117,110,44,93,32,108,105,110,101,41,32,32,32,32,32,77,97,112,32,108,105,110,101,32,110,117,109,98,101,114,32,116,111,32,80,67,0] /* line2pc([fun,] line) */, "i8", ALLOC_STATIC);
STRING_TABLE.__str190483=allocate([112,99,50,108,105,110,101,40,102,117,110,91,44,32,112,99,93,41,32,32,32,32,32,32,32,77,97,112,32,80,67,32,116,111,32,108,105,110,101,32,110,117,109,98,101,114,0] /* pc2line(fun[, pc])   */, "i8", ALLOC_STATIC);
STRING_TABLE.__str191484=allocate([115,116,114,105,110,103,115,65,114,101,85,84,70,56,40,41,32,32,32,32,32,32,32,32,32,67,104,101,99,107,32,105,102,32,115,116,114,105,110,103,115,32,97,114,101,32,85,84,70,45,56,32,101,110,99,111,100,101,100,0] /* stringsAreUTF8()     */, "i8", ALLOC_STATIC);
STRING_TABLE.__str192485=allocate([116,101,115,116,85,84,70,56,40,109,111,100,101,41,32,32,32,32,32,32,32,32,32,32,32,80,101,114,102,111,114,109,32,85,84,70,45,56,32,116,101,115,116,115,32,40,109,111,100,101,115,32,97,114,101,32,49,32,116,111,32,52,41,0] /* testUTF8(mode)       */, "i8", ALLOC_STATIC);
STRING_TABLE.__str193486=allocate([116,104,114,111,119,69,114,114,111,114,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,84,104,114,111,119,32,97,110,32,101,114,114,111,114,32,102,114,111,109,32,74,83,95,82,101,112,111,114,116,69,114,114,111,114,0] /* throwError()         */, "i8", ALLOC_STATIC);
STRING_TABLE.__str194487=allocate([100,117,109,112,83,116,97,99,107,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,68,117,109,112,32,116,104,101,32,115,116,97,99,107,32,97,115,32,97,110,32,97,114,114,97,121,32,111,102,32,99,97,108,108,101,101,115,32,40,121,111,117,110,103,101,115,116,32,102,105,114,115,116,41,0] /* dumpStack()          */, "i8", ALLOC_STATIC);
STRING_TABLE.__str195488=allocate([98,117,105,108,100,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,83,104,111,119,32,98,117,105,108,100,32,100,97,116,101,32,97,110,100,32,116,105,109,101,0] /* build()              */, "i8", ALLOC_STATIC);
STRING_TABLE.__str196489=allocate([99,108,101,97,114,40,91,111,98,106,93,41,32,32,32,32,32,32,32,32,32,32,32,32,32,67,108,101,97,114,32,112,114,111,112,101,114,116,105,101,115,32,111,102,32,111,98,106,101,99,116,0] /* clear([obj])         */, "i8", ALLOC_STATIC);
STRING_TABLE.__str197490=allocate([105,110,116,101,114,110,40,115,116,114,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,73,110,116,101,114,110,97,108,105,122,101,32,115,116,114,32,105,110,32,116,104,101,32,97,116,111,109,32,116,97,98,108,101,0] /* intern(str)          */, "i8", ALLOC_STATIC);
STRING_TABLE.__str198491=allocate([99,108,111,110,101,40,102,117,110,91,44,32,115,99,111,112,101,93,41,32,32,32,32,32,32,67,108,111,110,101,32,102,117,110,99,116,105,111,110,32,111,98,106,101,99,116,0] /* clone(fun[, scope])  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str199492=allocate([103,101,116,112,100,97,40,111,98,106,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,71,101,116,32,116,104,101,32,112,114,111,112,101,114,116,121,32,100,101,115,99,114,105,112,116,111,114,115,32,102,111,114,32,111,98,106,0] /* getpda(obj)          */, "i8", ALLOC_STATIC);
STRING_TABLE.__str200493=allocate([103,101,116,115,108,120,40,111,98,106,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,71,101,116,32,115,99,114,105,112,116,32,108,105,110,101,32,101,120,116,101,110,116,0] /* getslx(obj)          */, "i8", ALLOC_STATIC);
STRING_TABLE.__str201494=allocate([116,111,105,110,116,51,50,40,110,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,84,101,115,116,105,110,103,32,104,111,111,107,32,102,111,114,32,74,83,95,86,97,108,117,101,84,111,73,110,116,51,50,0] /* toint32(n)           */, "i8", ALLOC_STATIC);
STRING_TABLE.__str202495=allocate([101,118,97,108,99,120,40,115,91,44,32,111,93,41,10,32,32,69,118,97,108,117,97,116,101,32,115,32,105,110,32,111,112,116,105,111,110,97,108,32,115,97,110,100,98,111,120,32,111,98,106,101,99,116,32,111,10,32,32,105,102,32,40,115,32,61,61,32,39,39,32,38,38,32,33,111,41,32,114,101,116,117,114,110,32,110,101,119,32,111,32,119,105,116,104,32,101,97,103,101,114,32,115,116,97,110,100,97,114,100,32,99,108,97,115,115,101,115,10,32,32,105,102,32,40,115,32,61,61,32,39,108,97,122,121,39,32,38,38,32,33,111,41,32,114,101,116,117,114,110,32,110,101,119,32,111,32,119,105,116,104,32,108,97,122,121,32,115,116,97,110,100,97,114,100,32,99,108,97,115,115,101,115,0] /* evalcx(s[, o])\0A  E */, "i8", ALLOC_STATIC);
STRING_TABLE.__str203496=allocate([101,118,97,108,73,110,70,114,97,109,101,40,110,44,115,116,114,44,115,97,118,101,41,32,32,69,118,97,108,117,97,116,101,32,39,115,116,114,39,32,105,110,32,116,104,101,32,110,116,104,32,117,112,32,102,114,97,109,101,46,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,73,102,32,39,115,97,118,101,39,32,40,100,101,102,97,117,108,116,32,102,97,108,115,101,41,44,32,115,97,118,101,32,116,104,101,32,102,114,97,109,101,32,99,104,97,105,110,0] /* evalInFrame(n,str,sa */, "i8", ALLOC_STATIC);
STRING_TABLE.__str204497=allocate([115,104,97,112,101,79,102,40,111,98,106,41,32,32,32,32,32,32,32,32,32,32,32,32,32,71,101,116,32,116,104,101,32,115,104,97,112,101,32,111,102,32,111,98,106,32,40,97,110,32,105,109,112,108,101,109,101,110,116,97,116,105,111,110,32,100,101,116,97,105,108,41,0] /* shapeOf(obj)         */, "i8", ALLOC_STATIC);
STRING_TABLE.__str205498=allocate([114,101,115,111,108,118,101,114,40,115,114,99,91,44,32,112,114,111,116,111,93,41,32,32,32,67,114,101,97,116,101,32,111,98,106,101,99,116,32,119,105,116,104,32,114,101,115,111,108,118,101,32,104,111,111,107,32,116,104,97,116,32,99,111,112,105,101,115,32,112,114,111,112,101,114,116,105,101,115,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,102,114,111,109,32,115,114,99,46,32,73,102,32,112,114,111,116,111,32,105,115,32,111,109,105,116,116,101,100,44,32,117,115,101,32,79,98,106,101,99,116,46,112,114,111,116,111,116,121,112,101,46,0] /* resolver(src[, proto */, "i8", ALLOC_STATIC);
STRING_TABLE.__str206499=allocate([115,110,97,114,102,40,102,105,108,101,110,97,109,101,41,32,32,32,32,32,32,32,32,32,32,82,101,97,100,32,102,105,108,101,110,97,109,101,32,105,110,116,111,32,114,101,116,117,114,110,101,100,32,115,116,114,105,110,103,0] /* snarf(filename)      */, "i8", ALLOC_STATIC);
STRING_TABLE.__str207500=allocate([114,101,97,100,40,102,105,108,101,110,97,109,101,41,32,32,32,32,32,32,32,32,32,32,32,83,121,110,111,110,121,109,32,102,111,114,32,115,110,97,114,102,0] /* read(filename)       */, "i8", ALLOC_STATIC);
STRING_TABLE.__str208501=allocate([99,111,109,112,105,108,101,40,99,111,100,101,41,32,32,32,32,32,32,32,32,32,32,32,32,67,111,109,112,105,108,101,115,32,97,32,115,116,114,105,110,103,32,116,111,32,98,121,116,101,99,111,100,101,44,32,112,111,116,101,110,116,105,97,108,108,121,32,116,104,114,111,119,105,110,103,0] /* compile(code)        */, "i8", ALLOC_STATIC);
STRING_TABLE.__str209502=allocate([112,97,114,115,101,40,99,111,100,101,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,80,97,114,115,101,115,32,97,32,115,116,114,105,110,103,44,32,112,111,116,101,110,116,105,97,108,108,121,32,116,104,114,111,119,105,110,103,0] /* parse(code)          */, "i8", ALLOC_STATIC);
STRING_TABLE.__str210503=allocate([116,105,109,101,111,117,116,40,91,115,101,99,111,110,100,115,93,41,10,32,32,71,101,116,47,83,101,116,32,116,104,101,32,108,105,109,105,116,32,105,110,32,115,101,99,111,110,100,115,32,102,111,114,32,116,104,101,32,101,120,101,99,117,116,105,111,110,32,116,105,109,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,99,111,110,116,101,120,116,46,10,32,32,65,32,110,101,103,97,116,105,118,101,32,118,97,108,117,101,32,40,100,101,102,97,117,108,116,41,32,109,101,97,110,115,32,116,104,97,116,32,116,104,101,32,101,120,101,99,117,116,105,111,110,32,116,105,109,101,32,105,115,32,117,110,108,105,109,105,116,101,100,46,0] /* timeout([seconds])\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str211504=allocate([101,108,97,112,115,101,100,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,101,108,97,112,115,101,100,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,99,111,110,116,101,120,116,46,0] /* elapsed()            */, "i8", ALLOC_STATIC);
STRING_TABLE.__str212505=allocate([112,97,114,101,110,116,40,111,98,106,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,82,101,116,117,114,110,115,32,116,104,101,32,112,97,114,101,110,116,32,111,102,32,111,98,106,46,0] /* parent(obj)          */, "i8", ALLOC_STATIC);
STRING_TABLE.__str213506=allocate([119,114,97,112,40,111,98,106,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,87,114,97,112,32,97,110,32,111,98,106,101,99,116,32,105,110,116,111,32,97,32,110,111,111,112,32,119,114,97,112,112,101,114,46,0] /* wrap(obj)            */, "i8", ALLOC_STATIC);
STRING_TABLE.__str214507=allocate([115,101,114,105,97,108,105,122,101,40,115,100,41,32,32,32,32,32,32,32,32,32,32,32,32,83,101,114,105,97,108,105,122,101,32,115,100,32,117,115,105,110,103,32,74,83,95,87,114,105,116,101,83,116,114,117,99,116,117,114,101,100,67,108,111,110,101,46,32,82,101,116,117,114,110,115,32,97,32,84,121,112,101,100,65,114,114,97,121,46,0] /* serialize(sd)        */, "i8", ALLOC_STATIC);
STRING_TABLE.__str215508=allocate([100,101,115,101,114,105,97,108,105,122,101,40,97,41,32,32,32,32,32,32,32,32,32,32,32,68,101,115,101,114,105,97,108,105,122,101,32,100,97,116,97,32,103,101,110,101,114,97,116,101,100,32,98,121,32,115,101,114,105,97,108,105,122,101,46,0] /* deserialize(a)       */, "i8", ALLOC_STATIC);
STRING_TABLE.__str216509=allocate([115,116,114,105,110,103,115,116,97,116,115,40,41,32,32,32,32,32,32,32,32,32,32,32,32,82,101,116,117,114,110,32,115,116,97,116,115,32,111,110,32,115,116,114,105,110,103,32,109,101,109,111,114,121,32,117,115,97,103,101,46,0] /* stringstats()        */, "i8", ALLOC_STATIC);
STRING_TABLE.__str217510=allocate([110,101,119,71,108,111,98,97,108,40,107,105,110,100,41,32,32,32,32,32,32,32,32,32,32,82,101,116,117,114,110,32,97,32,110,101,119,32,103,108,111,98,97,108,32,111,98,106,101,99,116,44,32,105,110,32,116,104,101,32,99,117,114,114,101,110,116,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,99,111,109,112,97,114,116,109,101,110,116,32,105,102,32,107,105,110,100,32,61,61,61,32,39,115,97,109,101,45,99,111,109,112,97,114,116,109,101,110,116,39,32,111,114,32,105,110,32,97,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,110,101,119,32,99,111,109,112,97,114,116,109,101,110,116,32,105,102,32,107,105,110,100,32,61,61,61,32,39,110,101,119,45,99,111,109,112,97,114,116,109,101,110,116,39,0] /* newGlobal(kind)      */, "i8", ALLOC_STATIC);
STRING_TABLE.__str218511=allocate([112,97,114,115,101,76,101,103,97,99,121,74,83,79,78,40,115,116,114,41,32,32,32,32,32,80,97,114,115,101,32,115,116,114,32,97,115,32,108,101,103,97,99,121,32,74,83,79,78,44,32,114,101,116,117,114,110,105,110,103,32,116,104,101,32,114,101,115,117,108,116,32,105,102,32,116,104,101,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,112,97,114,115,101,32,115,117,99,99,101,101,100,101,100,32,97,110,100,32,116,104,114,111,119,105,110,103,32,97,32,83,121,110,116,97,120,69,114,114,111,114,32,105,102,32,110,111,116,46,0] /* parseLegacyJSON(str) */, "i8", ALLOC_STATIC);
STRING_TABLE.__str219512=allocate([101,110,97,98,108,101,83,116,97,99,107,87,97,108,107,105,110,103,65,115,115,101,114,116,105,111,110,40,101,110,97,98,108,101,100,41,10,32,32,69,110,97,98,108,101,115,32,111,114,32,100,105,115,97,98,108,101,115,32,97,32,112,97,114,116,105,99,117,108,97,114,108,121,32,101,120,112,101,110,115,105,118,101,32,97,115,115,101,114,116,105,111,110,32,105,110,32,115,116,97,99,107,45,119,97,108,107,105,110,103,10,32,32,99,111,100,101,46,32,32,73,102,32,121,111,117,114,32,116,101,115,116,32,105,115,110,39,116,32,114,105,100,105,99,117,108,111,117,115,108,121,32,116,104,111,114,111,117,103,104,44,32,115,117,99,104,32,116,104,97,116,32,112,101,114,102,111,114,109,105,110,103,32,116,104,105,115,10,32,32,97,115,115,101,114,116,105,111,110,32,105,110,99,114,101,97,115,101,115,32,116,101,115,116,32,100,117,114,97,116,105,111,110,32,98,121,32,97,110,32,111,114,100,101,114,32,111,102,32,109,97,103,110,105,116,117,100,101,44,32,121,111,117,32,115,104,111,117,108,100,110,39,116,10,32,32,117,115,101,32,116,104,105,115,46,0] /* enableStackWalkingAs */, "i8", ALLOC_STATIC);
STRING_TABLE.__str220513=allocate([103,101,116,77,97,120,65,114,103,115,40,41,32,32,32,32,32,32,32,32,32,32,32,32,32,82,101,116,117,114,110,32,116,104,101,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,115,117,112,112,111,114,116,101,100,32,97,114,103,115,32,102,111,114,32,97,32,99,97,108,108,46,0] /* getMaxArgs()         */, "i8", ALLOC_STATIC);
STRING_TABLE.__str221514=allocate([87,114,111,110,103,32,110,117,109,98,101,114,32,111,102,32,97,114,103,117,109,101,110,116,115,0] /* Wrong number of argu */, "i8", ALLOC_STATIC);
STRING_TABLE.__str222515=allocate([79,110,108,121,32,111,98,106,101,99,116,115,32,104,97,118,101,32,112,97,114,101,110,116,115,33,0] /* Only objects have pa */, "i8", ALLOC_STATIC);
__ZL20MAX_TIMEOUT_INTERVAL=allocate([1800], ["double",0,0,0,0,0,0,0,0], ALLOC_STATIC);
STRING_TABLE.__str223516=allocate([69,120,99,101,115,115,105,118,101,32,116,105,109,101,111,117,116,32,118,97,108,117,101,0] /* Excessive timeout va */, "i8", ALLOC_STATIC);
STRING_TABLE.__str224517=allocate([70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,116,104,101,32,119,97,116,99,104,100,111,103,0] /* Failed to create the */, "i8", ALLOC_STATIC);
STRING_TABLE.__str225518=allocate([48,0] /* 0\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str226519=allocate([115,0] /* s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str227520=allocate([101,120,112,101,99,116,101,100,32,115,116,114,105,110,103,32,116,111,32,112,97,114,115,101,44,32,103,111,116,32,37,115,0] /* expected string to p */, "i8", ALLOC_STATIC);
STRING_TABLE.__str228521=allocate([60,115,116,114,105,110,103,62,0] /* _string_\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str229522=allocate([101,120,112,101,99,116,101,100,32,115,116,114,105,110,103,32,116,111,32,99,111,109,112,105,108,101,44,32,103,111,116,32,37,115,0] /* expected string to c */, "i8", ALLOC_STATIC);
__ZZL7CompileP9JSContextjPN2JS5ValueEE11dummy_class=allocate([0, 0, 0, 0, 292608, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str230523=allocate([106,100,117,109,109,121,0] /* jdummy\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str231524=allocate([98,105,110,97,114,121,0] /* binary\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str232525=allocate([114,98,0] /* rb\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str233526=allocate([99,97,110,39,116,32,111,112,101,110,32,37,115,58,32,37,115,0] /* can't open %s: %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str234527=allocate([99,97,110,39,116,32,115,101,101,107,32,101,110,100,32,111,102,32,37,115,0] /* can't seek end of %s */, "i8", ALLOC_STATIC);
STRING_TABLE.__str235528=allocate([99,97,110,39,116,32,115,101,101,107,32,115,116,97,114,116,32,111,102,32,37,115,0] /* can't seek start of  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str236529=allocate([99,97,110,39,116,32,114,101,97,100,32,37,115,58,32,37,115,0] /* can't read %s: %s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str237530=allocate([115,104,111,114,116,32,114,101,97,100,0] /* short read\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str238531=allocate([73,110,118,97,108,105,100,32,85,84,70,45,56,32,105,110,32,102,105,108,101,32,39,37,115,39,0] /* Invalid UTF-8 in fil */, "i8", ALLOC_STATIC);
STRING_TABLE.__str239532=allocate([111,47,111,0] /* o/o\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str240533=allocate([115,104,97,112,101,79,102,58,32,111,98,106,101,99,116,32,101,120,112,101,99,116,101,100,0] /* shapeOf: object expe */, "i8", ALLOC_STATIC);
STRING_TABLE.__str241534=allocate([73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,115,32,116,111,32,101,118,97,108,73,110,70,114,97,109,101,0] /* Invalid arguments to */, "i8", ALLOC_STATIC);
STRING_TABLE.__str242535=allocate([99,97,110,110,111,116,32,101,118,97,108,32,105,110,32,110,111,110,45,115,99,114,105,112,116,32,102,114,97,109,101,0] /* cannot eval in non-s */, "i8", ALLOC_STATIC);
STRING_TABLE.__str243536=allocate([83,32,47,32,111,0] /* S / o\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str244537=allocate([73,110,118,97,108,105,100,32,115,99,111,112,101,32,97,114,103,117,109,101,110,116,32,116,111,32,101,118,97,108,99,120,0] /* Invalid scope argume */, "i8", ALLOC_STATIC);
STRING_TABLE.__str245538=allocate([108,97,122,121,0] /* lazy\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str246539=allocate([105,100,0] /* id\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str247540=allocate([118,97,108,117,101,0] /* value\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str248541=allocate([102,108,97,103,115,0] /* flags\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str249542=allocate([115,108,111,116,0] /* slot\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str250543=allocate([97,108,105,97,115,0] /* alias\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str251544=allocate([73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,115,32,116,111,32,99,108,111,110,101,0] /* Invalid arguments to */, "i8", ALLOC_STATIC);
STRING_TABLE.__str252545=allocate([102,117,110,99,116,105,111,110,0] /* function\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str253546=allocate([99,111,109,112,105,108,101,45,97,110,100,45,103,111,0] /* compile-and-go\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZL9BuildDateP9JSContextjPN2JS5ValueEE7version=allocate([10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0] /* \0A\00\00\00\00\00\0 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str254547=allocate([98,117,105,108,116,32,111,110,32,37,115,32,97,116,32,37,115,37,115,0] /* built on %s at %s%s\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str255548=allocate([65,112,114,32,49,57,32,50,48,49,50,0] /* Apr 19 2012\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str256549=allocate([49,55,58,48,51,58,49,54,0] /* 17:03:16\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str257550=allocate([84,104,105,115,32,105,115,32,97,110,32,101,114,114,111,114,0] /* This is an error\00 */, "i8", ALLOC_STATIC);
__ZL7badUTF8=allocate(1, "i8*", ALLOC_STATIC);
__ZL7bigUTF8=allocate(1, "i8*", ALLOC_STATIC);
__ZL12badSurrogate=allocate([65, 0, 66, 0, 67, 0, -8466, 0, 68, 0, 69, 0, 0, 0], ["i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0,"i16",0], ALLOC_STATIC);
STRING_TABLE.__str258551=allocate([49,50,51,52,53,54,55,56,57,48,0] /* 1234567890\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str259552=allocate([105,110,118,97,108,105,100,32,109,111,100,101,32,112,97,114,97,109,101,116,101,114,0] /* invalid mode paramet */, "i8", ALLOC_STATIC);
STRING_TABLE.__str260553=allocate([46,46,46,251,191,191,191,191,46,46,46,0] /* ...\FB\BF\BF\BF\BF.. */, "i8", ALLOC_STATIC);
STRING_TABLE.__str261554=allocate([46,46,46,192,46,46,46,0] /* ...\C0...\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str262555=allocate([116,104,101,32,102,117,110,99,116,105,111,110,32,116,97,107,101,115,32,101,120,97,99,116,108,121,32,111,110,101,32,97,114,103,117,109,101,110,116,0] /* the function takes e */, "i8", ALLOC_STATIC);
STRING_TABLE.__str263556=allocate([79,66,74,69,67,84,95,77,65,82,75,95,83,84,65,67,75,95,76,69,78,71,84,72,0] /* OBJECT_MARK_STACK_LE */, "i8", ALLOC_STATIC);
STRING_TABLE.__str264557=allocate([117,110,107,110,111,119,110,32,99,111,110,115,116,32,110,97,109,101,0] /* unknown const name\0 */, "i8", ALLOC_STATIC);
__ZL13finalizeCount=allocate(1, "i32", ALLOC_STATIC);
__ZL20FinalizeCounterClass=allocate([0, 0, 0, 0, 131072, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 190, 0, 0, 0, 90, 0, 0, 0, 2186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str265558=allocate([70,105,110,97,108,105,122,101,67,111,117,110,116,101,114,0] /* FinalizeCounter\00 */, "i8", ALLOC_STATIC);
__ZZL9CountHeapP9JSContextjPN2JS5ValueEE14traceKindNames=allocate([0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str266559=allocate([97,108,108,0] /* all\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str267560=allocate([111,98,106,101,99,116,0] /* object\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str268561=allocate([115,116,114,105,110,103,0] /* string\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str269562=allocate([120,109,108,0] /* xml\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str270563=allocate([116,104,101,32,102,105,114,115,116,32,97,114,103,117,109,101,110,116,32,105,115,32,110,111,116,32,110,117,108,108,32,111,114,32,97,32,104,101,97,112,45,97,108,108,111,99,97,116,101,100,32,116,104,105,110,103,0] /* the first argument i */, "i8", ALLOC_STATIC);
STRING_TABLE.__str271564=allocate([116,114,97,99,101,32,107,105,110,100,32,110,97,109,101,32,39,37,115,39,32,105,115,32,117,110,107,110,111,119,110,0] /* trace kind name '%s' */, "i8", ALLOC_STATIC);
__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap=allocate([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str272565=allocate([109,97,120,66,121,116,101,115,0] /* maxBytes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str273566=allocate([109,97,120,77,97,108,108,111,99,66,121,116,101,115,0] /* maxMallocBytes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str274567=allocate([103,99,83,116,97,99,107,112,111,111,108,76,105,102,101,115,112,97,110,0] /* gcStackpoolLifespan\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str275568=allocate([103,99,66,121,116,101,115,0] /* gcBytes\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str276569=allocate([103,99,78,117,109,98,101,114,0] /* gcNumber\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str277570=allocate([116,104,101,32,102,105,114,115,116,32,97,114,103,117,109,101,110,116,32,97,114,103,117,109,101,110,116,32,109,117,115,116,32,98,101,32,109,97,120,66,121,116,101,115,44,32,109,97,120,77,97,108,108,111,99,66,121,116,101,115,44,32,103,99,83,116,97,99,107,112,111,111,108,76,105,102,101,115,112,97,110,44,32,103,99,66,121,116,101,115,32,111,114,32,103,99,78,117,109,98,101,114,0] /* the first argument a */, "i8", ALLOC_STATIC);
STRING_TABLE.__str278571=allocate([65,116,116,101,109,112,116,32,116,111,32,99,104,97,110,103,101,32,114,101,97,100,45,111,110,108,121,32,112,97,114,97,109,101,116,101,114,32,37,115,0] /* Attempt to change re */, "i8", ALLOC_STATIC);
STRING_TABLE.__str279572=allocate([116,104,101,32,115,101,99,111,110,100,32,97,114,103,117,109,101,110,116,32,109,117,115,116,32,98,101,32,99,111,110,118,101,114,116,97,98,108,101,32,116,111,32,117,105,110,116,51,50,32,119,105,116,104,32,110,111,110,45,122,101,114,111,32,118,97,108,117,101,0] /* the second argument  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str280573=allocate([98,101,102,111,114,101,32,37,108,117,44,32,97,102,116,101,114,32,37,108,117,44,32,98,114,101,97,107,32,37,48,56,108,120,10,0] /* before %lu, after %l */, "i8", ALLOC_STATIC);
STRING_TABLE.__str281574=allocate([60,60,101,114,114,111,114,32,99,111,110,118,101,114,116,105,110,103,32,118,97,108,117,101,32,116,111,32,115,116,114,105,110,103,62,62,0] /* __error converting v */, "i8", ALLOC_STATIC);
STRING_TABLE.__str282575=allocate([47,32,105,0] /* / i\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str283576=allocate([37,115,37,115,0] /* %s%s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str284577=allocate([32,0] /*  \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str285578=allocate([116,104,105,115,45,118,97,108,117,101,32,112,97,115,115,101,100,32,116,111,32,101,118,97,108,117,97,116,101,40,41,0] /* this-value passed to */, "i8", ALLOC_STATIC);
STRING_TABLE.__str286579=allocate([110,111,116,32,97,32,103,108,111,98,97,108,32,111,98,106,101,99,116,0] /* not a global object\ */, "i8", ALLOC_STATIC);
STRING_TABLE.__str287580=allocate([64,101,118,97,108,117,97,116,101,0] /* @evaluate\00 */, "i8", ALLOC_STATIC);
__ZL10js_options=allocate([0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 32768, 0, 0, 0, 0, 0, 0, 0, 2048, 0, 0, 0, 0, 0, 0, 0, 16384, 0, 0, 0, 0, 0, 0, 0, 65536, 0, 0, 0, 0, 0, 0, 0, 512, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 262144, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0], ["*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0,"*",0,0,0,"i32",0,0,0], ALLOC_STATIC);
STRING_TABLE.__str288581=allocate([44,0] /* ,\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str289582=allocate([97,116,108,105,110,101,0] /* atline\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str290583=allocate([106,105,116,112,114,111,102,105,108,105,110,103,0] /* jitprofiling\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str291584=allocate([109,101,116,104,111,100,106,105,116,95,97,108,119,97,121,115,0] /* methodjit_always\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str292585=allocate([114,101,108,105,109,105,116,0] /* relimit\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str293586=allocate([115,116,114,105,99,116,0] /* strict\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str294=allocate([119,101,114,114,111,114,0] /* werror\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str295=allocate([117,110,107,110,111,119,110,32,111,112,116,105,111,110,32,110,97,109,101,32,39,37,115,39,46,32,84,104,101,32,118,97,108,105,100,32,110,97,109,101,115,32,97,114,101,32,0] /* unknown option name  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str296=allocate([44,32,0] /* , \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str297=allocate([32,97,110,100,32,0] /*  and \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str298=allocate([46,0] /* .\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZN2js3cli12OptionParser12prognameMetaE=allocate([123,112,114,111,103,110,97,109,101,125,0] /* {progname}\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str651=allocate([69,114,114,111,114,58,32,0] /* Error: \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str1652=allocate([10,10,0] /* \0A\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str2653=allocate([37,46,42,115,37,115,37,115,10,0] /* %._s%s%s\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str3654=allocate([10,86,101,114,115,105,111,110,58,32,37,115,10,10,0] /* \0AVersion: %s\0A\0A */, "i8", ALLOC_STATIC);
STRING_TABLE.__str4655=allocate([65,114,103,117,109,101,110,116,115,58,10,0] /* Arguments:\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__ZZN2js3cli12OptionParser9printHelpEPKcE3fmt=allocate([32,32,37,115,32,0] /*   %s \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str5656=allocate([79,112,116,105,111,110,115,58,10,0] /* Options:\0A\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str6657=allocate([65,32,118,97,108,117,101,32,105,115,32,114,101,113,117,105,114,101,100,32,102,111,114,32,111,112,116,105,111,110,32,37,46,42,115,0] /* A value is required  */, "i8", ALLOC_STATIC);
STRING_TABLE.__str7658=allocate([69,120,112,101,99,116,101,100,32,97,32,118,97,108,117,101,32,102,111,114,32,111,112,116,105,111,110,32,37,115,0] /* Expected a value for */, "i8", ALLOC_STATIC);
STRING_TABLE.__str8659=allocate([84,111,111,32,109,97,110,121,32,97,114,103,117,109,101,110,116,115,32,112,114,111,118,105,100,101,100,0] /* Too many arguments p */, "i8", ALLOC_STATIC);
STRING_TABLE.__str9660=allocate([73,110,118,97,108,105,100,32,108,111,110,103,32,111,112,116,105,111,110,58,32,37,115,0] /* Invalid long option: */, "i8", ALLOC_STATIC);
STRING_TABLE.__str10661=allocate([83,104,111,114,116,32,111,112,116,105,111,110,32,102,111,108,108,111,119,101,100,32,98,121,32,106,117,110,107,58,32,37,115,0] /* Short option followe */, "i8", ALLOC_STATIC);
STRING_TABLE.__str11662=allocate([73,110,118,97,108,105,100,32,115,104,111,114,116,32,111,112,116,105,111,110,58,32,37,115,0] /* Invalid short option */, "i8", ALLOC_STATIC);
__ZTVN2js3cli6detail17MultiStringOptionE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 2188, 0, 0, 0, 2190, 0, 0, 0, 2192, 0, 0, 0, 2194, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTVN2js3cli6detail12ValuedOptionE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 526, 0, 0, 0, 526, 0, 0, 0, 2192, 0, 0, 0, 2184, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTVN2js3cli6detail12StringOptionE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 2196, 0, 0, 0, 2198, 0, 0, 0, 2192, 0, 0, 0, 2184, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZTVN2js3cli6detail9IntOptionE=allocate([0, 0, 0, 0, 0, 0, 0, 0, 2200, 0, 0, 0, 2202, 0, 0, 0, 2192, 0, 0, 0, 2184, 0, 0, 0], ["*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0,"*",0,0,0], ALLOC_STATIC);
allocate(1, "void*", ALLOC_STATIC);
__ZZL23OptionFlagsToFormatInfocbPjE3fmt=allocate(16, "*", ALLOC_STATIC);
STRING_TABLE.__str12663=allocate([32,32,45,37,99,32,45,45,37,115,32,0] /*   -%c --%s \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str13664=allocate([32,32,45,45,37,115,32,0] /*   --%s \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str14665=allocate([32,32,45,37,99,32,45,45,37,115,61,37,115,32,0] /*   -%c --%s=%s \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str15666=allocate([32,32,45,45,37,115,61,37,115,32,0] /*   --%s=%s \00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str16667=allocate([37,42,115,0] /* %_s\00 */, "i8", ALLOC_STATIC);
__str17668=allocate(1, "i8", ALLOC_STATIC);
STRING_TABLE.__str18669=allocate([10,37,42,115,37,46,42,115,0] /* \0A%_s%._s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str19670=allocate([37,46,42,115,0] /* %._s\00 */, "i8", ALLOC_STATIC);
STRING_TABLE.__str20671=allocate([10,37,42,115,0] /* \0A%_s\00 */, "i8", ALLOC_STATIC);
HEAP32[((_DebuggerFrame_class)>>2)]=((STRING_TABLE.__str48)|0);
HEAP32[((_DebuggerObject_class)>>2)]=((STRING_TABLE.__str62)|0);
HEAP32[((__ZN2js8Debugger7jsclassE)>>2)]=((STRING_TABLE.__str2)|0);
HEAP32[((__ZN2js8Debugger10propertiesE)>>2)]=((STRING_TABLE.__str31)|0);
HEAP32[((__ZN2js8Debugger10propertiesE+16)>>2)]=((STRING_TABLE.__str32)|0);
HEAP32[((__ZN2js8Debugger10propertiesE+32)>>2)]=((STRING_TABLE.__str33)|0);
HEAP32[((__ZN2js8Debugger10propertiesE+48)>>2)]=((STRING_TABLE.__str34)|0);
HEAP32[((__ZN2js8Debugger10propertiesE+64)>>2)]=((STRING_TABLE.__str35)|0);
HEAP32[((__ZN2js8Debugger10propertiesE+80)>>2)]=((STRING_TABLE.__str21)|0);
HEAP32[((__ZN2js8Debugger7methodsE)>>2)]=((STRING_TABLE.__str23)|0);
HEAP32[((__ZN2js8Debugger7methodsE+12)>>2)]=((STRING_TABLE.__str25)|0);
HEAP32[((__ZN2js8Debugger7methodsE+24)>>2)]=((STRING_TABLE.__str27)|0);
HEAP32[((__ZN2js8Debugger7methodsE+36)>>2)]=((STRING_TABLE.__str28)|0);
HEAP32[((__ZN2js8Debugger7methodsE+48)>>2)]=((STRING_TABLE.__str29)|0);
HEAP32[((__ZN2js8Debugger7methodsE+60)>>2)]=((STRING_TABLE.__str30)|0);
HEAP32[((_DebuggerScript_class)>>2)]=((STRING_TABLE.__str36)|0);
HEAP32[((__ZL25DebuggerScript_properties)>>2)]=((STRING_TABLE.__str37)|0);
HEAP32[((__ZL25DebuggerScript_properties+16)>>2)]=((STRING_TABLE.__str38)|0);
HEAP32[((__ZL25DebuggerScript_properties+32)>>2)]=((STRING_TABLE.__str39)|0);
HEAP32[((__ZL25DebuggerScript_properties+48)>>2)]=((STRING_TABLE.__str40)|0);
HEAP32[((__ZL22DebuggerScript_methods)>>2)]=((STRING_TABLE.__str41)|0);
HEAP32[((__ZL22DebuggerScript_methods+12)>>2)]=((STRING_TABLE.__str42)|0);
HEAP32[((__ZL22DebuggerScript_methods+24)>>2)]=((STRING_TABLE.__str43)|0);
HEAP32[((__ZL22DebuggerScript_methods+36)>>2)]=((STRING_TABLE.__str44)|0);
HEAP32[((__ZL22DebuggerScript_methods+48)>>2)]=((STRING_TABLE.__str45)|0);
HEAP32[((__ZL22DebuggerScript_methods+60)>>2)]=((STRING_TABLE.__str46)|0);
HEAP32[((__ZL22DebuggerScript_methods+72)>>2)]=((STRING_TABLE.__str47)|0);
HEAP32[((__ZL22DebuggerScript_methods+84)>>2)]=((STRING_TABLE.__str30)|0);
HEAP32[((_DebuggerArguments_class)>>2)]=((STRING_TABLE.__str49)|0);
HEAP32[((__ZL24DebuggerFrame_properties)>>2)]=((STRING_TABLE.__str50)|0);
HEAP32[((__ZL24DebuggerFrame_properties+16)>>2)]=((STRING_TABLE.__str51)|0);
HEAP32[((__ZL24DebuggerFrame_properties+32)>>2)]=((STRING_TABLE.__str52)|0);
HEAP32[((__ZL24DebuggerFrame_properties+48)>>2)]=((STRING_TABLE.__str53)|0);
HEAP32[((__ZL24DebuggerFrame_properties+64)>>2)]=((STRING_TABLE.__str40)|0);
HEAP32[((__ZL24DebuggerFrame_properties+80)>>2)]=((STRING_TABLE.__str54)|0);
HEAP32[((__ZL24DebuggerFrame_properties+96)>>2)]=((STRING_TABLE.__str55)|0);
HEAP32[((__ZL24DebuggerFrame_properties+112)>>2)]=((STRING_TABLE.__str56)|0);
HEAP32[((__ZL24DebuggerFrame_properties+128)>>2)]=((STRING_TABLE.__str57)|0);
HEAP32[((__ZL24DebuggerFrame_properties+144)>>2)]=((STRING_TABLE.__str58)|0);
HEAP32[((__ZL24DebuggerFrame_properties+160)>>2)]=((STRING_TABLE.__str59)|0);
HEAP32[((__ZL21DebuggerFrame_methods)>>2)]=((STRING_TABLE.__str60)|0);
HEAP32[((__ZL21DebuggerFrame_methods+12)>>2)]=((STRING_TABLE.__str61)|0);
HEAP32[((__ZL25DebuggerObject_properties)>>2)]=((STRING_TABLE.__str63)|0);
HEAP32[((__ZL25DebuggerObject_properties+16)>>2)]=((STRING_TABLE.__str64)|0);
HEAP32[((__ZL25DebuggerObject_properties+32)>>2)]=((STRING_TABLE.__str65)|0);
HEAP32[((__ZL25DebuggerObject_properties+48)>>2)]=((STRING_TABLE.__str66)|0);
HEAP32[((__ZL25DebuggerObject_properties+64)>>2)]=((STRING_TABLE.__str67)|0);
HEAP32[((__ZL25DebuggerObject_properties+80)>>2)]=((STRING_TABLE.__str56)|0);
HEAP32[((__ZL22DebuggerObject_methods)>>2)]=((STRING_TABLE.__str68)|0);
HEAP32[((__ZL22DebuggerObject_methods+12)>>2)]=((STRING_TABLE.__str69)|0);
HEAP32[((__ZL22DebuggerObject_methods+24)>>2)]=((STRING_TABLE.__str70)|0);
HEAP32[((__ZL22DebuggerObject_methods+36)>>2)]=((STRING_TABLE.__str71)|0);
HEAP32[((__ZL22DebuggerObject_methods+48)>>2)]=((STRING_TABLE.__str72)|0);
HEAP32[((__ZL22DebuggerObject_methods+60)>>2)]=((STRING_TABLE.__str73)|0);
HEAP32[((__ZL22DebuggerObject_methods+72)>>2)]=((STRING_TABLE.__str74)|0);
HEAP32[((__ZL22DebuggerObject_methods+84)>>2)]=((STRING_TABLE.__str75)|0);
HEAP32[((__ZL22DebuggerObject_methods+96)>>2)]=((STRING_TABLE.__str76)|0);
HEAP32[((__ZL22DebuggerObject_methods+108)>>2)]=((STRING_TABLE.__str77)|0);
HEAP32[((__ZL22DebuggerObject_methods+120)>>2)]=((STRING_TABLE.__str78)|0);
HEAP32[((__ZL22DebuggerObject_methods+132)>>2)]=((STRING_TABLE.__str79)|0);
HEAP32[((__ZL22DebuggerObject_methods+144)>>2)]=((STRING_TABLE.__str80)|0);
HEAP32[((__ZN2jsL21GlobalDebuggees_classE)>>2)]=((STRING_TABLE.__str122)|0);
HEAP32[((__ZL6v2smap+4)>>2)]=((STRING_TABLE.__str9202)|0);
HEAP32[((__ZL6v2smap+12)>>2)]=((STRING_TABLE.__str10203)|0);
HEAP32[((__ZL6v2smap+20)>>2)]=((STRING_TABLE.__str11204)|0);
HEAP32[((__ZL6v2smap+28)>>2)]=((STRING_TABLE.__str12205)|0);
HEAP32[((__ZL6v2smap+36)>>2)]=((STRING_TABLE.__str13206)|0);
HEAP32[((__ZL6v2smap+44)>>2)]=((STRING_TABLE.__str14207)|0);
HEAP32[((__ZL6v2smap+52)>>2)]=((STRING_TABLE.__str15208)|0);
HEAP32[((__ZL6v2smap+60)>>2)]=((STRING_TABLE.__str16209)|0);
HEAP32[((__ZL6v2smap+68)>>2)]=((STRING_TABLE.__str17210)|0);
HEAP32[((__ZL6v2smap+76)>>2)]=((STRING_TABLE.__str18211)|0);
HEAP32[((__ZL6v2smap+84)>>2)]=((STRING_TABLE.__str19212)|0);
HEAP32[((__ZL6v2smap+92)>>2)]=((STRING_TABLE._js_default_str)|0);
HEAP32[((_js_dummy_class)>>2)]=((STRING_TABLE.__str22215)|0);
HEAP32[((__ZL20standard_class_atoms+12)>>2)]=__ZN2js13FunctionClassE;
HEAP32[((__ZL20standard_class_atoms+28)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL20standard_class_atoms+44)>>2)]=__ZN2js10ArrayClassE;
HEAP32[((__ZL20standard_class_atoms+60)>>2)]=__ZN2js12BooleanClassE;
HEAP32[((__ZL20standard_class_atoms+76)>>2)]=__ZN2js9DateClassE;
HEAP32[((__ZL20standard_class_atoms+92)>>2)]=__ZN2js9MathClassE;
HEAP32[((__ZL20standard_class_atoms+108)>>2)]=__ZN2js11NumberClassE;
HEAP32[((__ZL20standard_class_atoms+124)>>2)]=__ZN2js11StringClassE;
HEAP32[((__ZL20standard_class_atoms+140)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_atoms+156)>>2)]=__ZN2js11RegExpClassE;
HEAP32[((__ZL20standard_class_atoms+172)>>2)]=__ZN2js8XMLClassE;
HEAP32[((__ZL20standard_class_atoms+188)>>2)]=__ZN2js14NamespaceClassE;
HEAP32[((__ZL20standard_class_atoms+204)>>2)]=__ZN2js10QNameClassE;
HEAP32[((__ZL20standard_class_atoms+220)>>2)]=__ZN2js18StopIterationClassE;
HEAP32[((__ZL20standard_class_atoms+236)>>2)]=__ZN2js9JSONClassE;
HEAP32[((__ZL20standard_class_atoms+252)>>2)]=__ZN2js11ArrayBuffer9slowClassE;
HEAP32[((__ZL20standard_class_atoms+268)>>2)]=__ZN2js12WeakMapClassE;
HEAP32[((__ZL20standard_class_names+12)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL20standard_class_names+28)>>2)]=__ZN2js11NumberClassE;
HEAP32[((__ZL20standard_class_names+44)>>2)]=__ZN2js11NumberClassE;
HEAP32[((__ZL20standard_class_names+56)>>2)]=((STRING_TABLE._js_isNaN_str)|0);
HEAP32[((__ZL20standard_class_names+60)>>2)]=__ZN2js11NumberClassE;
HEAP32[((__ZL20standard_class_names+72)>>2)]=((STRING_TABLE._js_isFinite_str)|0);
HEAP32[((__ZL20standard_class_names+76)>>2)]=__ZN2js11NumberClassE;
HEAP32[((__ZL20standard_class_names+88)>>2)]=((STRING_TABLE._js_parseFloat_str)|0);
HEAP32[((__ZL20standard_class_names+92)>>2)]=__ZN2js11NumberClassE;
HEAP32[((__ZL20standard_class_names+104)>>2)]=((STRING_TABLE._js_parseInt_str)|0);
HEAP32[((__ZL20standard_class_names+108)>>2)]=__ZN2js11NumberClassE;
HEAP32[((__ZL20standard_class_names+120)>>2)]=((STRING_TABLE._js_escape_str)|0);
HEAP32[((__ZL20standard_class_names+124)>>2)]=__ZN2js11StringClassE;
HEAP32[((__ZL20standard_class_names+136)>>2)]=((STRING_TABLE._js_unescape_str)|0);
HEAP32[((__ZL20standard_class_names+140)>>2)]=__ZN2js11StringClassE;
HEAP32[((__ZL20standard_class_names+152)>>2)]=((STRING_TABLE._js_decodeURI_str)|0);
HEAP32[((__ZL20standard_class_names+156)>>2)]=__ZN2js11StringClassE;
HEAP32[((__ZL20standard_class_names+168)>>2)]=((STRING_TABLE._js_encodeURI_str)|0);
HEAP32[((__ZL20standard_class_names+172)>>2)]=__ZN2js11StringClassE;
HEAP32[((__ZL20standard_class_names+184)>>2)]=((STRING_TABLE._js_decodeURIComponent_str)|0);
HEAP32[((__ZL20standard_class_names+188)>>2)]=__ZN2js11StringClassE;
HEAP32[((__ZL20standard_class_names+200)>>2)]=((STRING_TABLE._js_encodeURIComponent_str)|0);
HEAP32[((__ZL20standard_class_names+204)>>2)]=__ZN2js11StringClassE;
HEAP32[((__ZL20standard_class_names+216)>>2)]=((STRING_TABLE._js_uneval_str)|0);
HEAP32[((__ZL20standard_class_names+220)>>2)]=__ZN2js11StringClassE;
HEAP32[((__ZL20standard_class_names+236)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_names+252)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_names+268)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_names+284)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_names+300)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_names+316)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_names+332)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_names+348)>>2)]=__ZN2js10ErrorClassE;
HEAP32[((__ZL20standard_class_names+360)>>2)]=((STRING_TABLE._js_XMLList_str)|0);
HEAP32[((__ZL20standard_class_names+364)>>2)]=__ZN2js8XMLClassE;
HEAP32[((__ZL20standard_class_names+376)>>2)]=((STRING_TABLE._js_isXMLName_str)|0);
HEAP32[((__ZL20standard_class_names+380)>>2)]=__ZN2js8XMLClassE;
HEAP32[((__ZL20standard_class_names+396)>>2)]=__ZN2js13IteratorClassE;
HEAP32[((__ZL20standard_class_names+412)>>2)]=__ZN2js16ArrayBufferClassE;
HEAP32[((__ZL20standard_class_names+428)>>2)]=((__ZN2js10TypedArray11fastClassesE)|0);
HEAP32[((__ZL20standard_class_names+444)>>2)]=(((__ZN2js10TypedArray11fastClassesE+232)|0));
HEAP32[((__ZL20standard_class_names+460)>>2)]=(((__ZN2js10TypedArray11fastClassesE+464)|0));
HEAP32[((__ZL20standard_class_names+476)>>2)]=(((__ZN2js10TypedArray11fastClassesE+696)|0));
HEAP32[((__ZL20standard_class_names+492)>>2)]=(((__ZN2js10TypedArray11fastClassesE+928)|0));
HEAP32[((__ZL20standard_class_names+508)>>2)]=(((__ZN2js10TypedArray11fastClassesE+1160)|0));
HEAP32[((__ZL20standard_class_names+524)>>2)]=(((__ZN2js10TypedArray11fastClassesE+1392)|0));
HEAP32[((__ZL20standard_class_names+540)>>2)]=(((__ZN2js10TypedArray11fastClassesE+1624)|0));
HEAP32[((__ZL20standard_class_names+556)>>2)]=(((__ZN2js10TypedArray11fastClassesE+1856)|0));
HEAP32[((__ZL20standard_class_names+572)>>2)]=__ZN2js10ProxyClassE;
HEAP32[((__ZL22object_prototype_names+12)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+28)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+44)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+60)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+76)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+88)>>2)]=((STRING_TABLE._js_watch_str)|0);
HEAP32[((__ZL22object_prototype_names+92)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+104)>>2)]=((STRING_TABLE._js_unwatch_str)|0);
HEAP32[((__ZL22object_prototype_names+108)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+120)>>2)]=((STRING_TABLE._js_hasOwnProperty_str)|0);
HEAP32[((__ZL22object_prototype_names+124)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+136)>>2)]=((STRING_TABLE._js_isPrototypeOf_str)|0);
HEAP32[((__ZL22object_prototype_names+140)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+152)>>2)]=((STRING_TABLE._js_propertyIsEnumerable_str)|0);
HEAP32[((__ZL22object_prototype_names+156)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+168)>>2)]=((STRING_TABLE._js_defineGetter_str)|0);
HEAP32[((__ZL22object_prototype_names+172)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+184)>>2)]=((STRING_TABLE._js_defineSetter_str)|0);
HEAP32[((__ZL22object_prototype_names+188)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+200)>>2)]=((STRING_TABLE._js_lookupGetter_str)|0);
HEAP32[((__ZL22object_prototype_names+204)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL22object_prototype_names+216)>>2)]=((STRING_TABLE._js_lookupSetter_str)|0);
HEAP32[((__ZL22object_prototype_names+220)>>2)]=__ZN2js11ObjectClassE;
HEAP32[((__ZL15prop_iter_class)>>2)]=((STRING_TABLE.__str23216)|0);
HEAP32[((__ZN2js10ArrayClassE)>>2)]=((STRING_TABLE.__str313)|0);
HEAP32[((__ZN2js14SlowArrayClassE)>>2)]=((STRING_TABLE.__str313)|0);
HEAP32[((__ZL13array_methods)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL13array_methods+12)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZL13array_methods+24)>>2)]=((STRING_TABLE._js_toLocaleString_str)|0);
HEAP32[((__ZL13array_methods+36)>>2)]=((STRING_TABLE.__str1318)|0);
HEAP32[((__ZL13array_methods+48)>>2)]=((STRING_TABLE.__str2319)|0);
HEAP32[((__ZL13array_methods+60)>>2)]=((STRING_TABLE.__str3320)|0);
HEAP32[((__ZL13array_methods+72)>>2)]=((STRING_TABLE.__str4321)|0);
HEAP32[((__ZL13array_methods+84)>>2)]=((STRING_TABLE.__str5322)|0);
HEAP32[((__ZL13array_methods+96)>>2)]=((STRING_TABLE.__str6323)|0);
HEAP32[((__ZL13array_methods+108)>>2)]=((STRING_TABLE.__str7324)|0);
HEAP32[((__ZL13array_methods+120)>>2)]=((STRING_TABLE.__str8325)|0);
HEAP32[((__ZL13array_methods+132)>>2)]=((STRING_TABLE.__str9326)|0);
HEAP32[((__ZL13array_methods+144)>>2)]=((STRING_TABLE.__str10327)|0);
HEAP32[((__ZL13array_methods+156)>>2)]=((STRING_TABLE.__str11328)|0);
HEAP32[((__ZL13array_methods+168)>>2)]=((STRING_TABLE.__str12329)|0);
HEAP32[((__ZL13array_methods+180)>>2)]=((STRING_TABLE.__str13330)|0);
HEAP32[((__ZL13array_methods+192)>>2)]=((STRING_TABLE.__str14331)|0);
HEAP32[((__ZL13array_methods+204)>>2)]=((STRING_TABLE.__str15332)|0);
HEAP32[((__ZL13array_methods+216)>>2)]=((STRING_TABLE.__str16333)|0);
HEAP32[((__ZL13array_methods+228)>>2)]=((STRING_TABLE.__str17334)|0);
HEAP32[((__ZL13array_methods+240)>>2)]=((STRING_TABLE.__str18335)|0);
HEAP32[((__ZL13array_methods+252)>>2)]=((STRING_TABLE.__str19336)|0);
HEAP32[((__ZL20array_static_methods)>>2)]=((STRING_TABLE.__str20337)|0);
HEAP32[((_js_common_atom_names)>>2)]=((__str430)|0);
HEAP32[((_js_common_atom_names+4)>>2)]=((STRING_TABLE._js_false_str)|0);
HEAP32[((_js_common_atom_names+8)>>2)]=((STRING_TABLE._js_true_str)|0);
HEAP32[((_js_common_atom_names+12)>>2)]=((STRING_TABLE._js_undefined_str)|0);
HEAP32[((_js_common_atom_names+16)>>2)]=((STRING_TABLE._js_object_str)|0);
HEAP32[((_js_common_atom_names+20)>>2)]=((STRING_TABLE._js_function_str)|0);
HEAP32[((_js_common_atom_names+24)>>2)]=((STRING_TABLE.__str1431)|0);
HEAP32[((_js_common_atom_names+28)>>2)]=((STRING_TABLE.__str2432)|0);
HEAP32[((_js_common_atom_names+32)>>2)]=((STRING_TABLE.__str3433)|0);
HEAP32[((_js_common_atom_names+36)>>2)]=((STRING_TABLE._js_null_str)|0);
HEAP32[((_js_common_atom_names+40)>>2)]=((STRING_TABLE.__str4434)|0);
HEAP32[((_js_common_atom_names+44)>>2)]=((STRING_TABLE._js_null_str)|0);
HEAP32[((_js_common_atom_names+48)>>2)]=((STRING_TABLE._js_Null_str)|0);
HEAP32[((_js_common_atom_names+52)>>2)]=((STRING_TABLE._js_Object_str)|0);
HEAP32[((_js_common_atom_names+56)>>2)]=((STRING_TABLE._js_Function_str)|0);
HEAP32[((_js_common_atom_names+60)>>2)]=((STRING_TABLE._js_Array_str)|0);
HEAP32[((_js_common_atom_names+64)>>2)]=((STRING_TABLE._js_Boolean_str)|0);
HEAP32[((_js_common_atom_names+68)>>2)]=((STRING_TABLE._js_JSON_str)|0);
HEAP32[((_js_common_atom_names+72)>>2)]=((STRING_TABLE._js_Date_str)|0);
HEAP32[((_js_common_atom_names+76)>>2)]=((STRING_TABLE._js_Math_str)|0);
HEAP32[((_js_common_atom_names+80)>>2)]=((STRING_TABLE._js_Number_str)|0);
HEAP32[((_js_common_atom_names+84)>>2)]=((STRING_TABLE._js_String_str)|0);
HEAP32[((_js_common_atom_names+88)>>2)]=((STRING_TABLE._js_RegExp_str)|0);
HEAP32[((_js_common_atom_names+92)>>2)]=((STRING_TABLE._js_XML_str)|0);
HEAP32[((_js_common_atom_names+96)>>2)]=((STRING_TABLE._js_Namespace_str)|0);
HEAP32[((_js_common_atom_names+100)>>2)]=((STRING_TABLE._js_QName_str)|0);
HEAP32[((_js_common_atom_names+104)>>2)]=((STRING_TABLE._js_Error_str)|0);
HEAP32[((_js_common_atom_names+108)>>2)]=((STRING_TABLE._js_InternalError_str)|0);
HEAP32[((_js_common_atom_names+112)>>2)]=((STRING_TABLE._js_EvalError_str)|0);
HEAP32[((_js_common_atom_names+116)>>2)]=((STRING_TABLE._js_RangeError_str)|0);
HEAP32[((_js_common_atom_names+120)>>2)]=((STRING_TABLE._js_ReferenceError_str)|0);
HEAP32[((_js_common_atom_names+124)>>2)]=((STRING_TABLE._js_SyntaxError_str)|0);
HEAP32[((_js_common_atom_names+128)>>2)]=((STRING_TABLE._js_TypeError_str)|0);
HEAP32[((_js_common_atom_names+132)>>2)]=((STRING_TABLE._js_URIError_str)|0);
HEAP32[((_js_common_atom_names+136)>>2)]=((STRING_TABLE._js_Iterator_str)|0);
HEAP32[((_js_common_atom_names+140)>>2)]=((STRING_TABLE._js_StopIteration_str)|0);
HEAP32[((_js_common_atom_names+144)>>2)]=((STRING_TABLE._js_ArrayBuffer_str)|0);
HEAP32[((_js_common_atom_names+148)>>2)]=((STRING_TABLE._js_Int8Array_str)|0);
HEAP32[((_js_common_atom_names+152)>>2)]=((STRING_TABLE._js_Uint8Array_str)|0);
HEAP32[((_js_common_atom_names+156)>>2)]=((STRING_TABLE._js_Int16Array_str)|0);
HEAP32[((_js_common_atom_names+160)>>2)]=((STRING_TABLE._js_Uint16Array_str)|0);
HEAP32[((_js_common_atom_names+164)>>2)]=((STRING_TABLE._js_Int32Array_str)|0);
HEAP32[((_js_common_atom_names+168)>>2)]=((STRING_TABLE._js_Uint32Array_str)|0);
HEAP32[((_js_common_atom_names+172)>>2)]=((STRING_TABLE._js_Float32Array_str)|0);
HEAP32[((_js_common_atom_names+176)>>2)]=((STRING_TABLE._js_Float64Array_str)|0);
HEAP32[((_js_common_atom_names+180)>>2)]=((STRING_TABLE._js_Uint8ClampedArray_str)|0);
HEAP32[((_js_common_atom_names+184)>>2)]=((STRING_TABLE._js_Proxy_str)|0);
HEAP32[((_js_common_atom_names+188)>>2)]=((STRING_TABLE._js_AnyName_str)|0);
HEAP32[((_js_common_atom_names+192)>>2)]=((STRING_TABLE._js_WeakMap_str)|0);
HEAP32[((_js_common_atom_names+196)>>2)]=((STRING_TABLE._js_anonymous_str)|0);
HEAP32[((_js_common_atom_names+200)>>2)]=((STRING_TABLE._js_apply_str)|0);
HEAP32[((_js_common_atom_names+204)>>2)]=((STRING_TABLE._js_arguments_str)|0);
HEAP32[((_js_common_atom_names+208)>>2)]=((STRING_TABLE._js_arity_str)|0);
HEAP32[((_js_common_atom_names+212)>>2)]=((STRING_TABLE._js_BYTES_PER_ELEMENT_str)|0);
HEAP32[((_js_common_atom_names+216)>>2)]=((STRING_TABLE._js_call_str)|0);
HEAP32[((_js_common_atom_names+220)>>2)]=((STRING_TABLE._js_callee_str)|0);
HEAP32[((_js_common_atom_names+224)>>2)]=((STRING_TABLE._js_caller_str)|0);
HEAP32[((_js_common_atom_names+228)>>2)]=((STRING_TABLE._js_class_prototype_str)|0);
HEAP32[((_js_common_atom_names+232)>>2)]=((STRING_TABLE._js_constructor_str)|0);
HEAP32[((_js_common_atom_names+236)>>2)]=((STRING_TABLE._js_each_str)|0);
HEAP32[((_js_common_atom_names+240)>>2)]=((STRING_TABLE._js_eval_str)|0);
HEAP32[((_js_common_atom_names+244)>>2)]=((STRING_TABLE._js_fileName_str)|0);
HEAP32[((_js_common_atom_names+248)>>2)]=((STRING_TABLE._js_get_str)|0);
HEAP32[((_js_common_atom_names+252)>>2)]=((STRING_TABLE._js_global_str)|0);
HEAP32[((_js_common_atom_names+256)>>2)]=((STRING_TABLE._js_ignoreCase_str)|0);
HEAP32[((_js_common_atom_names+260)>>2)]=((STRING_TABLE._js_index_str)|0);
HEAP32[((_js_common_atom_names+264)>>2)]=((STRING_TABLE._js_input_str)|0);
HEAP32[((_js_common_atom_names+268)>>2)]=((STRING_TABLE.__str5435)|0);
HEAP32[((_js_common_atom_names+272)>>2)]=((STRING_TABLE._js_iterator_str)|0);
HEAP32[((_js_common_atom_names+276)>>2)]=((STRING_TABLE._js_join_str)|0);
HEAP32[((_js_common_atom_names+280)>>2)]=((STRING_TABLE._js_lastIndex_str)|0);
HEAP32[((_js_common_atom_names+284)>>2)]=((STRING_TABLE._js_length_str)|0);
HEAP32[((_js_common_atom_names+288)>>2)]=((STRING_TABLE._js_lineNumber_str)|0);
HEAP32[((_js_common_atom_names+292)>>2)]=((STRING_TABLE._js_message_str)|0);
HEAP32[((_js_common_atom_names+296)>>2)]=((STRING_TABLE._js_multiline_str)|0);
HEAP32[((_js_common_atom_names+300)>>2)]=((STRING_TABLE._js_name_str)|0);
HEAP32[((_js_common_atom_names+304)>>2)]=((STRING_TABLE._js_next_str)|0);
HEAP32[((_js_common_atom_names+308)>>2)]=((STRING_TABLE._js_noSuchMethod_str)|0);
HEAP32[((_js_common_atom_names+312)>>2)]=((STRING_TABLE.__str6436)|0);
HEAP32[((_js_common_atom_names+316)>>2)]=((STRING_TABLE.__str7437)|0);
HEAP32[((_js_common_atom_names+320)>>2)]=((STRING_TABLE._js_proto_str)|0);
HEAP32[((_js_common_atom_names+324)>>2)]=((STRING_TABLE._js_set_str)|0);
HEAP32[((_js_common_atom_names+328)>>2)]=((STRING_TABLE._js_source_str)|0);
HEAP32[((_js_common_atom_names+332)>>2)]=((STRING_TABLE._js_stack_str)|0);
HEAP32[((_js_common_atom_names+336)>>2)]=((STRING_TABLE._js_sticky_str)|0);
HEAP32[((_js_common_atom_names+340)>>2)]=((STRING_TABLE._js_toGMTString_str)|0);
HEAP32[((_js_common_atom_names+344)>>2)]=((STRING_TABLE._js_toLocaleString_str)|0);
HEAP32[((_js_common_atom_names+348)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((_js_common_atom_names+352)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((_js_common_atom_names+356)>>2)]=((STRING_TABLE._js_toUTCString_str)|0);
HEAP32[((_js_common_atom_names+360)>>2)]=((STRING_TABLE._js_valueOf_str)|0);
HEAP32[((_js_common_atom_names+364)>>2)]=((STRING_TABLE._js_toJSON_str)|0);
HEAP32[((_js_common_atom_names+368)>>2)]=((STRING_TABLE.__str8438)|0);
HEAP32[((_js_common_atom_names+372)>>2)]=((STRING_TABLE._js_enumerable_str)|0);
HEAP32[((_js_common_atom_names+376)>>2)]=((STRING_TABLE._js_configurable_str)|0);
HEAP32[((_js_common_atom_names+380)>>2)]=((STRING_TABLE._js_writable_str)|0);
HEAP32[((_js_common_atom_names+384)>>2)]=((STRING_TABLE._js_value_str)|0);
HEAP32[((_js_common_atom_names+388)>>2)]=((STRING_TABLE._js_test_str)|0);
HEAP32[((_js_common_atom_names+392)>>2)]=((STRING_TABLE.__str9439)|0);
HEAP32[((_js_common_atom_names+396)>>2)]=((STRING_TABLE.__str10440)|0);
HEAP32[((_js_common_atom_names+400)>>2)]=((STRING_TABLE.__str11441)|0);
HEAP32[((_js_common_atom_names+404)>>2)]=((STRING_TABLE.__str12442)|0);
HEAP32[((_js_common_atom_names+408)>>2)]=((STRING_TABLE.__str13443)|0);
HEAP32[((_js_common_atom_names+412)>>2)]=((STRING_TABLE.__str14444)|0);
HEAP32[((_js_common_atom_names+416)>>2)]=((STRING_TABLE._js_etago_str)|0);
HEAP32[((_js_common_atom_names+420)>>2)]=((STRING_TABLE._js_namespace_str)|0);
HEAP32[((_js_common_atom_names+424)>>2)]=((STRING_TABLE._js_ptagc_str)|0);
HEAP32[((_js_common_atom_names+428)>>2)]=((STRING_TABLE._js_qualifier_str)|0);
HEAP32[((_js_common_atom_names+432)>>2)]=((STRING_TABLE._js_space_str)|0);
HEAP32[((_js_common_atom_names+436)>>2)]=((STRING_TABLE._js_stago_str)|0);
HEAP32[((_js_common_atom_names+440)>>2)]=((STRING_TABLE._js_star_str)|0);
HEAP32[((_js_common_atom_names+444)>>2)]=((STRING_TABLE._js_starQualifier_str)|0);
HEAP32[((_js_common_atom_names+448)>>2)]=((STRING_TABLE._js_tagc_str)|0);
HEAP32[((_js_common_atom_names+452)>>2)]=((STRING_TABLE._js_xml_str)|0);
HEAP32[((_js_common_atom_names+456)>>2)]=((STRING_TABLE.__str15445)|0);
HEAP32[((_js_common_atom_names+460)>>2)]=((STRING_TABLE.__str16446)|0);
HEAP32[((_js_common_atom_names+464)>>2)]=((STRING_TABLE.__str17447)|0);
HEAP32[((_js_common_atom_names+468)>>2)]=((STRING_TABLE.__str18448)|0);
HEAP32[((_js_common_atom_names+472)>>2)]=((STRING_TABLE.__str19449)|0);
HEAP32[((_js_common_atom_names+476)>>2)]=((STRING_TABLE.__str20450)|0);
HEAP32[((_js_common_atom_names+480)>>2)]=((STRING_TABLE.__str21451)|0);
HEAP32[((_js_common_atom_names+484)>>2)]=((STRING_TABLE.__str22452)|0);
HEAP32[((_js_common_atom_names+488)>>2)]=((STRING_TABLE.__str23453)|0);
HEAP32[((_js_common_atom_names+492)>>2)]=((STRING_TABLE.__str24454)|0);
HEAP32[((_js_common_atom_names+496)>>2)]=((STRING_TABLE.__str25455)|0);
HEAP32[((_js_common_atom_names+500)>>2)]=((STRING_TABLE.__str26456)|0);
HEAP32[((_js_common_atom_names+504)>>2)]=((STRING_TABLE.__str27457)|0);
HEAP32[((_js_common_atom_names+508)>>2)]=((STRING_TABLE.__str28458)|0);
HEAP32[((_js_common_atom_names+512)>>2)]=((STRING_TABLE.__str29459)|0);
HEAP32[((_js_common_atom_names+516)>>2)]=((STRING_TABLE.__str30460)|0);
HEAP32[((_js_common_atom_names+520)>>2)]=((STRING_TABLE.__str31461)|0);
HEAP32[((__ZN2js12BooleanClassE)>>2)]=((STRING_TABLE.__str524)|0);
HEAP32[((__ZL15boolean_methods)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL15boolean_methods+12)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZL15boolean_methods+24)>>2)]=((STRING_TABLE._js_valueOf_str)|0);
HEAP32[((_js_ErrorFormatString)>>2)]=((STRING_TABLE.__str6651)|0);
HEAP32[((_js_ErrorFormatString+8)>>2)]=((STRING_TABLE.__str7652)|0);
HEAP32[((_js_ErrorFormatString+16)>>2)]=((STRING_TABLE.__str8653)|0);
HEAP32[((_js_ErrorFormatString+24)>>2)]=((STRING_TABLE.__str9654)|0);
HEAP32[((_js_ErrorFormatString+32)>>2)]=((STRING_TABLE.__str10655)|0);
HEAP32[((_js_ErrorFormatString+40)>>2)]=((STRING_TABLE.__str11656)|0);
HEAP32[((_js_ErrorFormatString+48)>>2)]=((STRING_TABLE.__str12657)|0);
HEAP32[((_js_ErrorFormatString+56)>>2)]=((STRING_TABLE.__str13658)|0);
HEAP32[((_js_ErrorFormatString+64)>>2)]=((STRING_TABLE.__str14659)|0);
HEAP32[((_js_ErrorFormatString+72)>>2)]=((STRING_TABLE.__str15660)|0);
HEAP32[((_js_ErrorFormatString+80)>>2)]=((STRING_TABLE.__str16661)|0);
HEAP32[((_js_ErrorFormatString+88)>>2)]=((STRING_TABLE.__str17662)|0);
HEAP32[((_js_ErrorFormatString+96)>>2)]=((STRING_TABLE.__str18663)|0);
HEAP32[((_js_ErrorFormatString+104)>>2)]=((STRING_TABLE.__str19664)|0);
HEAP32[((_js_ErrorFormatString+112)>>2)]=((STRING_TABLE.__str20665)|0);
HEAP32[((_js_ErrorFormatString+120)>>2)]=((STRING_TABLE.__str21666)|0);
HEAP32[((_js_ErrorFormatString+128)>>2)]=((STRING_TABLE.__str22667)|0);
HEAP32[((_js_ErrorFormatString+136)>>2)]=((STRING_TABLE.__str23668)|0);
HEAP32[((_js_ErrorFormatString+144)>>2)]=((STRING_TABLE.__str24669)|0);
HEAP32[((_js_ErrorFormatString+152)>>2)]=((STRING_TABLE.__str25670)|0);
HEAP32[((_js_ErrorFormatString+160)>>2)]=((STRING_TABLE.__str26671)|0);
HEAP32[((_js_ErrorFormatString+168)>>2)]=((STRING_TABLE.__str27672)|0);
HEAP32[((_js_ErrorFormatString+176)>>2)]=((STRING_TABLE.__str28673)|0);
HEAP32[((_js_ErrorFormatString+184)>>2)]=((STRING_TABLE.__str29674)|0);
HEAP32[((_js_ErrorFormatString+192)>>2)]=((STRING_TABLE.__str30675)|0);
HEAP32[((_js_ErrorFormatString+200)>>2)]=((STRING_TABLE.__str31676)|0);
HEAP32[((_js_ErrorFormatString+208)>>2)]=((STRING_TABLE.__str32677)|0);
HEAP32[((_js_ErrorFormatString+216)>>2)]=((STRING_TABLE.__str33678)|0);
HEAP32[((_js_ErrorFormatString+224)>>2)]=((STRING_TABLE.__str34679)|0);
HEAP32[((_js_ErrorFormatString+232)>>2)]=((STRING_TABLE.__str35680)|0);
HEAP32[((_js_ErrorFormatString+240)>>2)]=((STRING_TABLE.__str36681)|0);
HEAP32[((_js_ErrorFormatString+248)>>2)]=((STRING_TABLE.__str37682)|0);
HEAP32[((_js_ErrorFormatString+256)>>2)]=((STRING_TABLE.__str38683)|0);
HEAP32[((_js_ErrorFormatString+264)>>2)]=((STRING_TABLE.__str39684)|0);
HEAP32[((_js_ErrorFormatString+272)>>2)]=((STRING_TABLE.__str40685)|0);
HEAP32[((_js_ErrorFormatString+280)>>2)]=((STRING_TABLE.__str41686)|0);
HEAP32[((_js_ErrorFormatString+288)>>2)]=((STRING_TABLE.__str42687)|0);
HEAP32[((_js_ErrorFormatString+296)>>2)]=((STRING_TABLE.__str43688)|0);
HEAP32[((_js_ErrorFormatString+304)>>2)]=((STRING_TABLE.__str44689)|0);
HEAP32[((_js_ErrorFormatString+312)>>2)]=((STRING_TABLE.__str45690)|0);
HEAP32[((_js_ErrorFormatString+320)>>2)]=((STRING_TABLE.__str46691)|0);
HEAP32[((_js_ErrorFormatString+328)>>2)]=((STRING_TABLE.__str47692)|0);
HEAP32[((_js_ErrorFormatString+336)>>2)]=((STRING_TABLE.__str48693)|0);
HEAP32[((_js_ErrorFormatString+344)>>2)]=((STRING_TABLE.__str49694)|0);
HEAP32[((_js_ErrorFormatString+352)>>2)]=((STRING_TABLE.__str50695)|0);
HEAP32[((_js_ErrorFormatString+360)>>2)]=((STRING_TABLE.__str51696)|0);
HEAP32[((_js_ErrorFormatString+368)>>2)]=((STRING_TABLE.__str52697)|0);
HEAP32[((_js_ErrorFormatString+376)>>2)]=((STRING_TABLE.__str53698)|0);
HEAP32[((_js_ErrorFormatString+384)>>2)]=((STRING_TABLE.__str54699)|0);
HEAP32[((_js_ErrorFormatString+392)>>2)]=((STRING_TABLE.__str55700)|0);
HEAP32[((_js_ErrorFormatString+400)>>2)]=((STRING_TABLE.__str56701)|0);
HEAP32[((_js_ErrorFormatString+408)>>2)]=((STRING_TABLE.__str57702)|0);
HEAP32[((_js_ErrorFormatString+416)>>2)]=((STRING_TABLE.__str58703)|0);
HEAP32[((_js_ErrorFormatString+424)>>2)]=((STRING_TABLE.__str59704)|0);
HEAP32[((_js_ErrorFormatString+432)>>2)]=((STRING_TABLE.__str60705)|0);
HEAP32[((_js_ErrorFormatString+440)>>2)]=((STRING_TABLE.__str61706)|0);
HEAP32[((_js_ErrorFormatString+448)>>2)]=((STRING_TABLE.__str62707)|0);
HEAP32[((_js_ErrorFormatString+456)>>2)]=((STRING_TABLE.__str63708)|0);
HEAP32[((_js_ErrorFormatString+464)>>2)]=((STRING_TABLE.__str64709)|0);
HEAP32[((_js_ErrorFormatString+472)>>2)]=((STRING_TABLE.__str65710)|0);
HEAP32[((_js_ErrorFormatString+480)>>2)]=((STRING_TABLE.__str66711)|0);
HEAP32[((_js_ErrorFormatString+488)>>2)]=((STRING_TABLE.__str67712)|0);
HEAP32[((_js_ErrorFormatString+496)>>2)]=((STRING_TABLE.__str68713)|0);
HEAP32[((_js_ErrorFormatString+504)>>2)]=((STRING_TABLE.__str69714)|0);
HEAP32[((_js_ErrorFormatString+512)>>2)]=((STRING_TABLE.__str70715)|0);
HEAP32[((_js_ErrorFormatString+520)>>2)]=((STRING_TABLE.__str71716)|0);
HEAP32[((_js_ErrorFormatString+528)>>2)]=((STRING_TABLE.__str72717)|0);
HEAP32[((_js_ErrorFormatString+536)>>2)]=((STRING_TABLE.__str73718)|0);
HEAP32[((_js_ErrorFormatString+544)>>2)]=((STRING_TABLE.__str74719)|0);
HEAP32[((_js_ErrorFormatString+552)>>2)]=((STRING_TABLE.__str75720)|0);
HEAP32[((_js_ErrorFormatString+560)>>2)]=((STRING_TABLE.__str76721)|0);
HEAP32[((_js_ErrorFormatString+568)>>2)]=((STRING_TABLE.__str77722)|0);
HEAP32[((_js_ErrorFormatString+576)>>2)]=((STRING_TABLE.__str78723)|0);
HEAP32[((_js_ErrorFormatString+584)>>2)]=((STRING_TABLE.__str79724)|0);
HEAP32[((_js_ErrorFormatString+592)>>2)]=((STRING_TABLE.__str80725)|0);
HEAP32[((_js_ErrorFormatString+600)>>2)]=((STRING_TABLE.__str81726)|0);
HEAP32[((_js_ErrorFormatString+608)>>2)]=((STRING_TABLE.__str82727)|0);
HEAP32[((_js_ErrorFormatString+616)>>2)]=((STRING_TABLE.__str83728)|0);
HEAP32[((_js_ErrorFormatString+624)>>2)]=((STRING_TABLE.__str84729)|0);
HEAP32[((_js_ErrorFormatString+632)>>2)]=((STRING_TABLE.__str85730)|0);
HEAP32[((_js_ErrorFormatString+640)>>2)]=((STRING_TABLE.__str86731)|0);
HEAP32[((_js_ErrorFormatString+648)>>2)]=((STRING_TABLE.__str87732)|0);
HEAP32[((_js_ErrorFormatString+656)>>2)]=((STRING_TABLE.__str88733)|0);
HEAP32[((_js_ErrorFormatString+664)>>2)]=((STRING_TABLE.__str89734)|0);
HEAP32[((_js_ErrorFormatString+672)>>2)]=((STRING_TABLE.__str90735)|0);
HEAP32[((_js_ErrorFormatString+680)>>2)]=((STRING_TABLE.__str91736)|0);
HEAP32[((_js_ErrorFormatString+688)>>2)]=((STRING_TABLE.__str92737)|0);
HEAP32[((_js_ErrorFormatString+696)>>2)]=((STRING_TABLE.__str93738)|0);
HEAP32[((_js_ErrorFormatString+704)>>2)]=((STRING_TABLE.__str94739)|0);
HEAP32[((_js_ErrorFormatString+712)>>2)]=((STRING_TABLE.__str95740)|0);
HEAP32[((_js_ErrorFormatString+720)>>2)]=((STRING_TABLE.__str96741)|0);
HEAP32[((_js_ErrorFormatString+728)>>2)]=((STRING_TABLE.__str97742)|0);
HEAP32[((_js_ErrorFormatString+736)>>2)]=((STRING_TABLE.__str98743)|0);
HEAP32[((_js_ErrorFormatString+744)>>2)]=((STRING_TABLE.__str99744)|0);
HEAP32[((_js_ErrorFormatString+752)>>2)]=((STRING_TABLE.__str100745)|0);
HEAP32[((_js_ErrorFormatString+760)>>2)]=((STRING_TABLE.__str101746)|0);
HEAP32[((_js_ErrorFormatString+768)>>2)]=((STRING_TABLE.__str102747)|0);
HEAP32[((_js_ErrorFormatString+776)>>2)]=((STRING_TABLE.__str103748)|0);
HEAP32[((_js_ErrorFormatString+784)>>2)]=((STRING_TABLE.__str104749)|0);
HEAP32[((_js_ErrorFormatString+792)>>2)]=((STRING_TABLE.__str105750)|0);
HEAP32[((_js_ErrorFormatString+800)>>2)]=((STRING_TABLE.__str106751)|0);
HEAP32[((_js_ErrorFormatString+808)>>2)]=((STRING_TABLE.__str107752)|0);
HEAP32[((_js_ErrorFormatString+816)>>2)]=((STRING_TABLE.__str108753)|0);
HEAP32[((_js_ErrorFormatString+824)>>2)]=((STRING_TABLE.__str109754)|0);
HEAP32[((_js_ErrorFormatString+832)>>2)]=((STRING_TABLE.__str110755)|0);
HEAP32[((_js_ErrorFormatString+840)>>2)]=((STRING_TABLE.__str111756)|0);
HEAP32[((_js_ErrorFormatString+848)>>2)]=((STRING_TABLE.__str112757)|0);
HEAP32[((_js_ErrorFormatString+856)>>2)]=((STRING_TABLE.__str113758)|0);
HEAP32[((_js_ErrorFormatString+864)>>2)]=((STRING_TABLE.__str114759)|0);
HEAP32[((_js_ErrorFormatString+872)>>2)]=((STRING_TABLE.__str115760)|0);
HEAP32[((_js_ErrorFormatString+880)>>2)]=((STRING_TABLE.__str116761)|0);
HEAP32[((_js_ErrorFormatString+888)>>2)]=((STRING_TABLE.__str117762)|0);
HEAP32[((_js_ErrorFormatString+896)>>2)]=((STRING_TABLE.__str118763)|0);
HEAP32[((_js_ErrorFormatString+904)>>2)]=((STRING_TABLE.__str119764)|0);
HEAP32[((_js_ErrorFormatString+912)>>2)]=((STRING_TABLE.__str120765)|0);
HEAP32[((_js_ErrorFormatString+920)>>2)]=((STRING_TABLE.__str121766)|0);
HEAP32[((_js_ErrorFormatString+928)>>2)]=((STRING_TABLE.__str122767)|0);
HEAP32[((_js_ErrorFormatString+936)>>2)]=((STRING_TABLE.__str123)|0);
HEAP32[((_js_ErrorFormatString+944)>>2)]=((STRING_TABLE.__str124)|0);
HEAP32[((_js_ErrorFormatString+952)>>2)]=((STRING_TABLE.__str125)|0);
HEAP32[((_js_ErrorFormatString+960)>>2)]=((STRING_TABLE.__str126)|0);
HEAP32[((_js_ErrorFormatString+968)>>2)]=((STRING_TABLE.__str127)|0);
HEAP32[((_js_ErrorFormatString+976)>>2)]=((STRING_TABLE.__str128)|0);
HEAP32[((_js_ErrorFormatString+984)>>2)]=((STRING_TABLE.__str129)|0);
HEAP32[((_js_ErrorFormatString+992)>>2)]=((STRING_TABLE.__str130)|0);
HEAP32[((_js_ErrorFormatString+1000)>>2)]=((STRING_TABLE.__str131)|0);
HEAP32[((_js_ErrorFormatString+1008)>>2)]=((STRING_TABLE.__str132)|0);
HEAP32[((_js_ErrorFormatString+1016)>>2)]=((STRING_TABLE.__str133)|0);
HEAP32[((_js_ErrorFormatString+1024)>>2)]=((STRING_TABLE.__str134)|0);
HEAP32[((_js_ErrorFormatString+1032)>>2)]=((STRING_TABLE.__str135)|0);
HEAP32[((_js_ErrorFormatString+1040)>>2)]=((STRING_TABLE.__str136)|0);
HEAP32[((_js_ErrorFormatString+1048)>>2)]=((STRING_TABLE.__str137)|0);
HEAP32[((_js_ErrorFormatString+1056)>>2)]=((STRING_TABLE.__str138)|0);
HEAP32[((_js_ErrorFormatString+1064)>>2)]=((STRING_TABLE.__str139)|0);
HEAP32[((_js_ErrorFormatString+1072)>>2)]=((STRING_TABLE.__str140)|0);
HEAP32[((_js_ErrorFormatString+1080)>>2)]=((STRING_TABLE.__str141)|0);
HEAP32[((_js_ErrorFormatString+1088)>>2)]=((STRING_TABLE.__str142)|0);
HEAP32[((_js_ErrorFormatString+1096)>>2)]=((STRING_TABLE.__str143)|0);
HEAP32[((_js_ErrorFormatString+1104)>>2)]=((STRING_TABLE.__str144)|0);
HEAP32[((_js_ErrorFormatString+1112)>>2)]=((STRING_TABLE.__str145)|0);
HEAP32[((_js_ErrorFormatString+1120)>>2)]=((STRING_TABLE.__str146)|0);
HEAP32[((_js_ErrorFormatString+1128)>>2)]=((STRING_TABLE.__str147)|0);
HEAP32[((_js_ErrorFormatString+1136)>>2)]=((STRING_TABLE.__str148)|0);
HEAP32[((_js_ErrorFormatString+1144)>>2)]=((STRING_TABLE.__str149)|0);
HEAP32[((_js_ErrorFormatString+1152)>>2)]=((STRING_TABLE.__str150)|0);
HEAP32[((_js_ErrorFormatString+1160)>>2)]=((STRING_TABLE.__str151)|0);
HEAP32[((_js_ErrorFormatString+1168)>>2)]=((STRING_TABLE.__str152)|0);
HEAP32[((_js_ErrorFormatString+1176)>>2)]=((STRING_TABLE.__str153)|0);
HEAP32[((_js_ErrorFormatString+1184)>>2)]=((STRING_TABLE.__str154)|0);
HEAP32[((_js_ErrorFormatString+1192)>>2)]=((STRING_TABLE.__str155)|0);
HEAP32[((_js_ErrorFormatString+1200)>>2)]=((STRING_TABLE.__str156768)|0);
HEAP32[((_js_ErrorFormatString+1208)>>2)]=((STRING_TABLE.__str157)|0);
HEAP32[((_js_ErrorFormatString+1216)>>2)]=((STRING_TABLE.__str158)|0);
HEAP32[((_js_ErrorFormatString+1224)>>2)]=((STRING_TABLE.__str159)|0);
HEAP32[((_js_ErrorFormatString+1232)>>2)]=((STRING_TABLE.__str160)|0);
HEAP32[((_js_ErrorFormatString+1240)>>2)]=((STRING_TABLE.__str161)|0);
HEAP32[((_js_ErrorFormatString+1248)>>2)]=((STRING_TABLE.__str162)|0);
HEAP32[((_js_ErrorFormatString+1256)>>2)]=((STRING_TABLE.__str163)|0);
HEAP32[((_js_ErrorFormatString+1264)>>2)]=((STRING_TABLE.__str164)|0);
HEAP32[((_js_ErrorFormatString+1272)>>2)]=((STRING_TABLE.__str165)|0);
HEAP32[((_js_ErrorFormatString+1280)>>2)]=((STRING_TABLE.__str166)|0);
HEAP32[((_js_ErrorFormatString+1288)>>2)]=((STRING_TABLE.__str167)|0);
HEAP32[((_js_ErrorFormatString+1296)>>2)]=((STRING_TABLE.__str168)|0);
HEAP32[((_js_ErrorFormatString+1304)>>2)]=((STRING_TABLE.__str169)|0);
HEAP32[((_js_ErrorFormatString+1312)>>2)]=((STRING_TABLE.__str170)|0);
HEAP32[((_js_ErrorFormatString+1320)>>2)]=((STRING_TABLE.__str171)|0);
HEAP32[((_js_ErrorFormatString+1328)>>2)]=((STRING_TABLE.__str172)|0);
HEAP32[((_js_ErrorFormatString+1336)>>2)]=((STRING_TABLE.__str173)|0);
HEAP32[((_js_ErrorFormatString+1344)>>2)]=((STRING_TABLE.__str174769)|0);
HEAP32[((_js_ErrorFormatString+1352)>>2)]=((STRING_TABLE.__str175)|0);
HEAP32[((_js_ErrorFormatString+1360)>>2)]=((STRING_TABLE.__str176)|0);
HEAP32[((_js_ErrorFormatString+1368)>>2)]=((STRING_TABLE.__str177)|0);
HEAP32[((_js_ErrorFormatString+1376)>>2)]=((STRING_TABLE.__str178)|0);
HEAP32[((_js_ErrorFormatString+1384)>>2)]=((STRING_TABLE.__str179)|0);
HEAP32[((_js_ErrorFormatString+1392)>>2)]=((STRING_TABLE.__str180)|0);
HEAP32[((_js_ErrorFormatString+1400)>>2)]=((STRING_TABLE.__str181)|0);
HEAP32[((_js_ErrorFormatString+1408)>>2)]=((STRING_TABLE.__str182770)|0);
HEAP32[((_js_ErrorFormatString+1416)>>2)]=((STRING_TABLE.__str183)|0);
HEAP32[((_js_ErrorFormatString+1424)>>2)]=((STRING_TABLE.__str184771)|0);
HEAP32[((_js_ErrorFormatString+1432)>>2)]=((STRING_TABLE.__str185)|0);
HEAP32[((_js_ErrorFormatString+1440)>>2)]=((STRING_TABLE.__str186)|0);
HEAP32[((_js_ErrorFormatString+1448)>>2)]=((STRING_TABLE.__str187)|0);
HEAP32[((_js_ErrorFormatString+1456)>>2)]=((STRING_TABLE.__str188772)|0);
HEAP32[((_js_ErrorFormatString+1464)>>2)]=((STRING_TABLE.__str189)|0);
HEAP32[((_js_ErrorFormatString+1472)>>2)]=((STRING_TABLE.__str190)|0);
HEAP32[((_js_ErrorFormatString+1480)>>2)]=((STRING_TABLE.__str191)|0);
HEAP32[((_js_ErrorFormatString+1488)>>2)]=((STRING_TABLE.__str192)|0);
HEAP32[((_js_ErrorFormatString+1496)>>2)]=((STRING_TABLE.__str193)|0);
HEAP32[((_js_ErrorFormatString+1504)>>2)]=((STRING_TABLE.__str194)|0);
HEAP32[((_js_ErrorFormatString+1512)>>2)]=((STRING_TABLE.__str195)|0);
HEAP32[((_js_ErrorFormatString+1520)>>2)]=((STRING_TABLE.__str196)|0);
HEAP32[((_js_ErrorFormatString+1528)>>2)]=((STRING_TABLE.__str197)|0);
HEAP32[((_js_ErrorFormatString+1536)>>2)]=((STRING_TABLE.__str198773)|0);
HEAP32[((_js_ErrorFormatString+1544)>>2)]=((STRING_TABLE.__str199)|0);
HEAP32[((_js_ErrorFormatString+1552)>>2)]=((STRING_TABLE.__str200)|0);
HEAP32[((_js_ErrorFormatString+1560)>>2)]=((STRING_TABLE.__str201)|0);
HEAP32[((_js_ErrorFormatString+1568)>>2)]=((STRING_TABLE.__str202)|0);
HEAP32[((_js_ErrorFormatString+1576)>>2)]=((STRING_TABLE.__str203)|0);
HEAP32[((_js_ErrorFormatString+1584)>>2)]=((STRING_TABLE.__str204)|0);
HEAP32[((_js_ErrorFormatString+1592)>>2)]=((STRING_TABLE.__str205)|0);
HEAP32[((_js_ErrorFormatString+1600)>>2)]=((STRING_TABLE.__str206)|0);
HEAP32[((_js_ErrorFormatString+1608)>>2)]=((STRING_TABLE.__str207)|0);
HEAP32[((_js_ErrorFormatString+1616)>>2)]=((STRING_TABLE.__str208)|0);
HEAP32[((_js_ErrorFormatString+1624)>>2)]=((STRING_TABLE.__str209)|0);
HEAP32[((_js_ErrorFormatString+1632)>>2)]=((STRING_TABLE.__str210)|0);
HEAP32[((_js_ErrorFormatString+1640)>>2)]=((STRING_TABLE.__str211)|0);
HEAP32[((_js_ErrorFormatString+1648)>>2)]=((STRING_TABLE.__str212)|0);
HEAP32[((_js_ErrorFormatString+1656)>>2)]=((STRING_TABLE.__str213)|0);
HEAP32[((_js_ErrorFormatString+1664)>>2)]=((STRING_TABLE.__str214)|0);
HEAP32[((_js_ErrorFormatString+1672)>>2)]=((STRING_TABLE.__str215)|0);
HEAP32[((_js_ErrorFormatString+1680)>>2)]=((STRING_TABLE.__str216)|0);
HEAP32[((_js_ErrorFormatString+1688)>>2)]=((STRING_TABLE.__str217)|0);
HEAP32[((_js_ErrorFormatString+1696)>>2)]=((STRING_TABLE.__str218)|0);
HEAP32[((_js_ErrorFormatString+1704)>>2)]=((STRING_TABLE.__str219)|0);
HEAP32[((_js_ErrorFormatString+1712)>>2)]=((STRING_TABLE.__str220)|0);
HEAP32[((_js_ErrorFormatString+1720)>>2)]=((STRING_TABLE.__str221)|0);
HEAP32[((_js_ErrorFormatString+1728)>>2)]=((STRING_TABLE.__str222)|0);
HEAP32[((_js_ErrorFormatString+1736)>>2)]=((STRING_TABLE.__str223)|0);
HEAP32[((_js_ErrorFormatString+1744)>>2)]=((STRING_TABLE.__str224)|0);
HEAP32[((_js_ErrorFormatString+1752)>>2)]=((STRING_TABLE.__str225)|0);
HEAP32[((_js_ErrorFormatString+1760)>>2)]=((STRING_TABLE.__str226)|0);
HEAP32[((_js_ErrorFormatString+1768)>>2)]=((STRING_TABLE.__str227)|0);
HEAP32[((_js_ErrorFormatString+1776)>>2)]=((STRING_TABLE.__str228)|0);
HEAP32[((_js_ErrorFormatString+1784)>>2)]=((STRING_TABLE.__str229)|0);
HEAP32[((_js_ErrorFormatString+1792)>>2)]=((STRING_TABLE.__str230)|0);
HEAP32[((_js_ErrorFormatString+1800)>>2)]=((STRING_TABLE.__str231)|0);
HEAP32[((_js_ErrorFormatString+1808)>>2)]=((STRING_TABLE.__str232)|0);
HEAP32[((_js_ErrorFormatString+1816)>>2)]=((STRING_TABLE.__str233)|0);
HEAP32[((_js_ErrorFormatString+1824)>>2)]=((STRING_TABLE.__str234)|0);
HEAP32[((_js_ErrorFormatString+1832)>>2)]=((STRING_TABLE.__str235)|0);
HEAP32[((_js_ErrorFormatString+1840)>>2)]=((STRING_TABLE.__str236)|0);
HEAP32[((_js_ErrorFormatString+1848)>>2)]=((STRING_TABLE.__str237)|0);
HEAP32[((_js_ErrorFormatString+1856)>>2)]=((STRING_TABLE.__str238)|0);
HEAP32[((_js_ErrorFormatString+1864)>>2)]=((STRING_TABLE.__str239)|0);
HEAP32[((_js_ErrorFormatString+1872)>>2)]=((STRING_TABLE.__str240)|0);
HEAP32[((_js_ErrorFormatString+1880)>>2)]=((STRING_TABLE.__str241)|0);
HEAP32[((_js_ErrorFormatString+1888)>>2)]=((STRING_TABLE.__str242)|0);
HEAP32[((_js_ErrorFormatString+1896)>>2)]=((STRING_TABLE.__str243)|0);
HEAP32[((_js_ErrorFormatString+1904)>>2)]=((STRING_TABLE.__str244)|0);
HEAP32[((_js_ErrorFormatString+1912)>>2)]=((STRING_TABLE.__str245)|0);
HEAP32[((_js_ErrorFormatString+1920)>>2)]=((STRING_TABLE.__str246)|0);
HEAP32[((_js_ErrorFormatString+1928)>>2)]=((STRING_TABLE.__str247)|0);
HEAP32[((_js_ErrorFormatString+1936)>>2)]=((STRING_TABLE.__str248)|0);
HEAP32[((_js_ErrorFormatString+1944)>>2)]=((STRING_TABLE.__str249)|0);
HEAP32[((_js_ErrorFormatString+1952)>>2)]=((STRING_TABLE.__str250)|0);
HEAP32[((_js_ErrorFormatString+1960)>>2)]=((STRING_TABLE.__str251)|0);
HEAP32[((_js_ErrorFormatString+1968)>>2)]=((STRING_TABLE.__str252)|0);
HEAP32[((_js_ErrorFormatString+1976)>>2)]=((STRING_TABLE.__str253)|0);
HEAP32[((_js_ErrorFormatString+1984)>>2)]=((STRING_TABLE.__str254)|0);
HEAP32[((_js_ErrorFormatString+1992)>>2)]=((STRING_TABLE.__str255)|0);
HEAP32[((_js_ErrorFormatString+2000)>>2)]=((STRING_TABLE.__str256)|0);
HEAP32[((_js_ErrorFormatString+2008)>>2)]=((STRING_TABLE.__str257)|0);
HEAP32[((_js_ErrorFormatString+2016)>>2)]=((STRING_TABLE.__str258)|0);
HEAP32[((_js_ErrorFormatString+2024)>>2)]=((STRING_TABLE.__str259)|0);
HEAP32[((_js_ErrorFormatString+2032)>>2)]=((STRING_TABLE.__str260)|0);
HEAP32[((_js_ErrorFormatString+2040)>>2)]=((STRING_TABLE.__str261)|0);
HEAP32[((_js_ErrorFormatString+2048)>>2)]=((STRING_TABLE.__str262)|0);
HEAP32[((_js_ErrorFormatString+2056)>>2)]=((STRING_TABLE.__str263)|0);
HEAP32[((_js_ErrorFormatString+2064)>>2)]=((STRING_TABLE.__str264)|0);
HEAP32[((_js_ErrorFormatString+2072)>>2)]=((STRING_TABLE.__str265)|0);
HEAP32[((_js_ErrorFormatString+2080)>>2)]=((STRING_TABLE.__str266)|0);
HEAP32[((_js_ErrorFormatString+2088)>>2)]=((STRING_TABLE.__str267)|0);
HEAP32[((_js_ErrorFormatString+2096)>>2)]=((STRING_TABLE.__str268)|0);
HEAP32[((_js_ErrorFormatString+2104)>>2)]=((STRING_TABLE.__str269)|0);
HEAP32[((_js_ErrorFormatString+2112)>>2)]=((STRING_TABLE.__str270)|0);
HEAP32[((_js_ErrorFormatString+2120)>>2)]=((STRING_TABLE.__str271)|0);
HEAP32[((_js_ErrorFormatString+2128)>>2)]=((STRING_TABLE.__str272)|0);
HEAP32[((_js_ErrorFormatString+2136)>>2)]=((STRING_TABLE.__str273)|0);
HEAP32[((_js_ErrorFormatString+2144)>>2)]=((STRING_TABLE.__str274)|0);
HEAP32[((_js_ErrorFormatString+2152)>>2)]=((STRING_TABLE.__str275)|0);
HEAP32[((_js_ErrorFormatString+2160)>>2)]=((STRING_TABLE.__str276)|0);
HEAP32[((_js_ErrorFormatString+2168)>>2)]=((STRING_TABLE.__str277)|0);
HEAP32[((_js_ErrorFormatString+2176)>>2)]=((STRING_TABLE.__str278)|0);
HEAP32[((_js_ErrorFormatString+2184)>>2)]=((STRING_TABLE.__str279)|0);
HEAP32[((_js_ErrorFormatString+2192)>>2)]=((STRING_TABLE.__str280)|0);
HEAP32[((_js_ErrorFormatString+2200)>>2)]=((STRING_TABLE.__str281)|0);
HEAP32[((_js_ErrorFormatString+2208)>>2)]=((STRING_TABLE.__str282)|0);
HEAP32[((_js_ErrorFormatString+2216)>>2)]=((STRING_TABLE.__str283)|0);
HEAP32[((_js_ErrorFormatString+2224)>>2)]=((STRING_TABLE.__str284)|0);
HEAP32[((_js_ErrorFormatString+2232)>>2)]=((STRING_TABLE.__str285)|0);
HEAP32[((_js_ErrorFormatString+2240)>>2)]=((STRING_TABLE.__str286)|0);
HEAP32[((_js_ErrorFormatString+2248)>>2)]=((STRING_TABLE.__str287)|0);
HEAP32[((_js_ErrorFormatString+2256)>>2)]=((STRING_TABLE.__str288)|0);
HEAP32[((_js_ErrorFormatString+2264)>>2)]=((STRING_TABLE.__str289)|0);
HEAP32[((_js_ErrorFormatString+2272)>>2)]=((STRING_TABLE.__str290)|0);
HEAP32[((_js_ErrorFormatString+2280)>>2)]=((STRING_TABLE.__str291)|0);
HEAP32[((_js_ErrorFormatString+2288)>>2)]=((STRING_TABLE.__str292)|0);
HEAP32[((__ZN2js9DateClassE)>>2)]=((STRING_TABLE._js_Date_str)|0);
HEAP32[((__ZL19date_static_methods)>>2)]=((STRING_TABLE.__str894)|0);
HEAP32[((__ZL19date_static_methods+12)>>2)]=((STRING_TABLE.__str1895)|0);
HEAP32[((__ZL19date_static_methods+24)>>2)]=((STRING_TABLE.__str2896)|0);
HEAP32[((__ZL12date_methods)>>2)]=((STRING_TABLE.__str3897)|0);
HEAP32[((__ZL12date_methods+12)>>2)]=((STRING_TABLE.__str4898)|0);
HEAP32[((__ZL12date_methods+24)>>2)]=((STRING_TABLE.__str5899)|0);
HEAP32[((__ZL12date_methods+36)>>2)]=((STRING_TABLE.__str6900)|0);
HEAP32[((__ZL12date_methods+48)>>2)]=((STRING_TABLE.__str7901)|0);
HEAP32[((__ZL12date_methods+60)>>2)]=((STRING_TABLE.__str8902)|0);
HEAP32[((__ZL12date_methods+72)>>2)]=((STRING_TABLE.__str9903)|0);
HEAP32[((__ZL12date_methods+84)>>2)]=((STRING_TABLE.__str10904)|0);
HEAP32[((__ZL12date_methods+96)>>2)]=((STRING_TABLE.__str11905)|0);
HEAP32[((__ZL12date_methods+108)>>2)]=((STRING_TABLE.__str12906)|0);
HEAP32[((__ZL12date_methods+120)>>2)]=((STRING_TABLE.__str13907)|0);
HEAP32[((__ZL12date_methods+132)>>2)]=((STRING_TABLE.__str14908)|0);
HEAP32[((__ZL12date_methods+144)>>2)]=((STRING_TABLE.__str15909)|0);
HEAP32[((__ZL12date_methods+156)>>2)]=((STRING_TABLE.__str16910)|0);
HEAP32[((__ZL12date_methods+168)>>2)]=((STRING_TABLE.__str17911)|0);
HEAP32[((__ZL12date_methods+180)>>2)]=((STRING_TABLE.__str18912)|0);
HEAP32[((__ZL12date_methods+192)>>2)]=((STRING_TABLE.__str19913)|0);
HEAP32[((__ZL12date_methods+204)>>2)]=((STRING_TABLE.__str20914)|0);
HEAP32[((__ZL12date_methods+216)>>2)]=((STRING_TABLE.__str21915)|0);
HEAP32[((__ZL12date_methods+228)>>2)]=((STRING_TABLE.__str22916)|0);
HEAP32[((__ZL12date_methods+240)>>2)]=((STRING_TABLE.__str23917)|0);
HEAP32[((__ZL12date_methods+252)>>2)]=((STRING_TABLE.__str24918)|0);
HEAP32[((__ZL12date_methods+264)>>2)]=((STRING_TABLE.__str25919)|0);
HEAP32[((__ZL12date_methods+276)>>2)]=((STRING_TABLE.__str26920)|0);
HEAP32[((__ZL12date_methods+288)>>2)]=((STRING_TABLE.__str27921)|0);
HEAP32[((__ZL12date_methods+300)>>2)]=((STRING_TABLE.__str28922)|0);
HEAP32[((__ZL12date_methods+312)>>2)]=((STRING_TABLE.__str29923)|0);
HEAP32[((__ZL12date_methods+324)>>2)]=((STRING_TABLE.__str30924)|0);
HEAP32[((__ZL12date_methods+336)>>2)]=((STRING_TABLE.__str31925)|0);
HEAP32[((__ZL12date_methods+348)>>2)]=((STRING_TABLE.__str32926)|0);
HEAP32[((__ZL12date_methods+360)>>2)]=((STRING_TABLE.__str33927)|0);
HEAP32[((__ZL12date_methods+372)>>2)]=((STRING_TABLE.__str34928)|0);
HEAP32[((__ZL12date_methods+384)>>2)]=((STRING_TABLE.__str35929)|0);
HEAP32[((__ZL12date_methods+396)>>2)]=((STRING_TABLE.__str36930)|0);
HEAP32[((__ZL12date_methods+408)>>2)]=((STRING_TABLE.__str37931)|0);
HEAP32[((__ZL12date_methods+420)>>2)]=((STRING_TABLE.__str38932)|0);
HEAP32[((__ZL12date_methods+432)>>2)]=((STRING_TABLE._js_toLocaleString_str)|0);
HEAP32[((__ZL12date_methods+444)>>2)]=((STRING_TABLE.__str39933)|0);
HEAP32[((__ZL12date_methods+456)>>2)]=((STRING_TABLE.__str40934)|0);
HEAP32[((__ZL12date_methods+468)>>2)]=((STRING_TABLE.__str41935)|0);
HEAP32[((__ZL12date_methods+480)>>2)]=((STRING_TABLE.__str42936)|0);
HEAP32[((__ZL12date_methods+492)>>2)]=((STRING_TABLE.__str43937)|0);
HEAP32[((__ZL12date_methods+504)>>2)]=((STRING_TABLE.__str44938)|0);
HEAP32[((__ZL12date_methods+516)>>2)]=((STRING_TABLE._js_toJSON_str)|0);
HEAP32[((__ZL12date_methods+528)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL12date_methods+540)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZL12date_methods+552)>>2)]=((STRING_TABLE._js_valueOf_str)|0);
HEAP32[((__ZL3wtb)>>2)]=((STRING_TABLE.__str45939)|0);
HEAP32[((__ZL3wtb+4)>>2)]=((STRING_TABLE.__str46940)|0);
HEAP32[((__ZL3wtb+8)>>2)]=((STRING_TABLE.__str47941)|0);
HEAP32[((__ZL3wtb+12)>>2)]=((STRING_TABLE.__str48942)|0);
HEAP32[((__ZL3wtb+16)>>2)]=((STRING_TABLE.__str49943)|0);
HEAP32[((__ZL3wtb+20)>>2)]=((STRING_TABLE.__str50944)|0);
HEAP32[((__ZL3wtb+24)>>2)]=((STRING_TABLE.__str51945)|0);
HEAP32[((__ZL3wtb+28)>>2)]=((STRING_TABLE.__str52946)|0);
HEAP32[((__ZL3wtb+32)>>2)]=((STRING_TABLE.__str53947)|0);
HEAP32[((__ZL3wtb+36)>>2)]=((STRING_TABLE.__str54948)|0);
HEAP32[((__ZL3wtb+40)>>2)]=((STRING_TABLE.__str55949)|0);
HEAP32[((__ZL3wtb+44)>>2)]=((STRING_TABLE.__str56950)|0);
HEAP32[((__ZL3wtb+48)>>2)]=((STRING_TABLE.__str57951)|0);
HEAP32[((__ZL3wtb+52)>>2)]=((STRING_TABLE.__str58952)|0);
HEAP32[((__ZL3wtb+56)>>2)]=((STRING_TABLE.__str59953)|0);
HEAP32[((__ZL3wtb+60)>>2)]=((STRING_TABLE.__str60954)|0);
HEAP32[((__ZL3wtb+64)>>2)]=((STRING_TABLE.__str61955)|0);
HEAP32[((__ZL3wtb+68)>>2)]=((STRING_TABLE.__str62956)|0);
HEAP32[((__ZL3wtb+72)>>2)]=((STRING_TABLE.__str63957)|0);
HEAP32[((__ZL3wtb+76)>>2)]=((STRING_TABLE.__str64958)|0);
HEAP32[((__ZL3wtb+80)>>2)]=((STRING_TABLE.__str65959)|0);
HEAP32[((__ZL3wtb+84)>>2)]=((STRING_TABLE.__str66960)|0);
HEAP32[((__ZL3wtb+88)>>2)]=((STRING_TABLE.__str67961)|0);
HEAP32[((__ZL3wtb+92)>>2)]=((STRING_TABLE.__str68962)|0);
HEAP32[((__ZL3wtb+96)>>2)]=((STRING_TABLE.__str69963)|0);
HEAP32[((__ZL3wtb+100)>>2)]=((STRING_TABLE.__str70964)|0);
HEAP32[((__ZL3wtb+104)>>2)]=((STRING_TABLE.__str71965)|0);
HEAP32[((__ZL3wtb+108)>>2)]=((STRING_TABLE.__str72966)|0);
HEAP32[((__ZL3wtb+112)>>2)]=((STRING_TABLE.__str73967)|0);
HEAP32[((__ZL3wtb+116)>>2)]=((STRING_TABLE.__str74968)|0);
HEAP32[((__ZL3wtb+120)>>2)]=((STRING_TABLE.__str75969)|0);
HEAP32[((__ZL3wtb+124)>>2)]=((STRING_TABLE.__str76970)|0);
HEAP32[((__ZL4days)>>2)]=((STRING_TABLE.__str95989)|0);
HEAP32[((__ZL4days+4)>>2)]=((STRING_TABLE.__str96990)|0);
HEAP32[((__ZL4days+8)>>2)]=((STRING_TABLE.__str97991)|0);
HEAP32[((__ZL4days+12)>>2)]=((STRING_TABLE.__str98992)|0);
HEAP32[((__ZL4days+16)>>2)]=((STRING_TABLE.__str99993)|0);
HEAP32[((__ZL4days+20)>>2)]=((STRING_TABLE.__str100994)|0);
HEAP32[((__ZL4days+24)>>2)]=((STRING_TABLE.__str101995)|0);
HEAP32[((__ZL6months)>>2)]=((STRING_TABLE.__str83977)|0);
HEAP32[((__ZL6months+4)>>2)]=((STRING_TABLE.__str84978)|0);
HEAP32[((__ZL6months+8)>>2)]=((STRING_TABLE.__str85979)|0);
HEAP32[((__ZL6months+12)>>2)]=((STRING_TABLE.__str86980)|0);
HEAP32[((__ZL6months+16)>>2)]=((STRING_TABLE.__str87981)|0);
HEAP32[((__ZL6months+20)>>2)]=((STRING_TABLE.__str88982)|0);
HEAP32[((__ZL6months+24)>>2)]=((STRING_TABLE.__str89983)|0);
HEAP32[((__ZL6months+28)>>2)]=((STRING_TABLE.__str90984)|0);
HEAP32[((__ZL6months+32)>>2)]=((STRING_TABLE.__str91985)|0);
HEAP32[((__ZL6months+36)>>2)]=((STRING_TABLE.__str92986)|0);
HEAP32[((__ZL6months+40)>>2)]=((STRING_TABLE.__str93987)|0);
HEAP32[((__ZL6months+44)>>2)]=((STRING_TABLE.__str94988)|0);
HEAP32[((_js_SrcNoteSpec)>>2)]=((STRING_TABLE.__str21108)|0);
HEAP32[((_js_SrcNoteSpec+8)>>2)]=((STRING_TABLE.__str31109)|0);
HEAP32[((_js_SrcNoteSpec+16)>>2)]=((STRING_TABLE.__str41110)|0);
HEAP32[((_js_SrcNoteSpec+24)>>2)]=((STRING_TABLE.__str51111)|0);
HEAP32[((_js_SrcNoteSpec+32)>>2)]=((STRING_TABLE.__str61112)|0);
HEAP32[((_js_SrcNoteSpec+40)>>2)]=((STRING_TABLE.__str71113)|0);
HEAP32[((_js_SrcNoteSpec+48)>>2)]=((STRING_TABLE.__str81114)|0);
HEAP32[((_js_SrcNoteSpec+56)>>2)]=((STRING_TABLE.__str91115)|0);
HEAP32[((_js_SrcNoteSpec+64)>>2)]=((STRING_TABLE.__str101116)|0);
HEAP32[((_js_SrcNoteSpec+72)>>2)]=((STRING_TABLE.__str111117)|0);
HEAP32[((_js_SrcNoteSpec+80)>>2)]=((STRING_TABLE.__str121118)|0);
HEAP32[((_js_SrcNoteSpec+88)>>2)]=((STRING_TABLE.__str131119)|0);
HEAP32[((_js_SrcNoteSpec+96)>>2)]=((STRING_TABLE.__str141120)|0);
HEAP32[((_js_SrcNoteSpec+104)>>2)]=((STRING_TABLE.__str151121)|0);
HEAP32[((_js_SrcNoteSpec+112)>>2)]=((STRING_TABLE.__str161122)|0);
HEAP32[((_js_SrcNoteSpec+120)>>2)]=((STRING_TABLE.__str171123)|0);
HEAP32[((_js_SrcNoteSpec+128)>>2)]=((STRING_TABLE.__str181124)|0);
HEAP32[((_js_SrcNoteSpec+136)>>2)]=((STRING_TABLE.__str191125)|0);
HEAP32[((_js_SrcNoteSpec+144)>>2)]=((STRING_TABLE.__str201126)|0);
HEAP32[((_js_SrcNoteSpec+152)>>2)]=((STRING_TABLE.__str211127)|0);
HEAP32[((_js_SrcNoteSpec+160)>>2)]=((STRING_TABLE.__str221128)|0);
HEAP32[((_js_SrcNoteSpec+168)>>2)]=((STRING_TABLE.__str231129)|0);
HEAP32[((_js_SrcNoteSpec+176)>>2)]=((STRING_TABLE.__str241130)|0);
HEAP32[((_js_SrcNoteSpec+184)>>2)]=((STRING_TABLE.__str251131)|0);
HEAP32[((_js_SrcNoteSpec+192)>>2)]=((STRING_TABLE.__str261132)|0);
HEAP32[((__ZL13statementName)>>2)]=((STRING_TABLE.__str271135)|0);
HEAP32[((__ZL13statementName+4)>>2)]=((STRING_TABLE.__str281136)|0);
HEAP32[((__ZL13statementName+8)>>2)]=((STRING_TABLE.__str291137)|0);
HEAP32[((__ZL13statementName+12)>>2)]=((STRING_TABLE.__str301138)|0);
HEAP32[((__ZL13statementName+16)>>2)]=((STRING_TABLE.__str311139)|0);
HEAP32[((__ZL13statementName+20)>>2)]=((STRING_TABLE.__str321140)|0);
HEAP32[((__ZL13statementName+24)>>2)]=((STRING_TABLE.__ZL21js_with_statement_str)|0);
HEAP32[((__ZL13statementName+28)>>2)]=((STRING_TABLE.__str331141)|0);
HEAP32[((__ZL13statementName+32)>>2)]=((STRING_TABLE.__str341142)|0);
HEAP32[((__ZL13statementName+36)>>2)]=((STRING_TABLE.__ZL20js_finally_block_str)|0);
HEAP32[((__ZL13statementName+40)>>2)]=((STRING_TABLE.__ZL20js_finally_block_str)|0);
HEAP32[((__ZL13statementName+44)>>2)]=((STRING_TABLE.__str351143)|0);
HEAP32[((__ZL13statementName+48)>>2)]=((STRING_TABLE.__str361144)|0);
HEAP32[((__ZL13statementName+52)>>2)]=((STRING_TABLE.__str371145)|0);
HEAP32[((__ZL13statementName+56)>>2)]=((STRING_TABLE.__str381146)|0);
HEAP32[((__ZN2js10ErrorClassE)>>2)]=((STRING_TABLE._js_Error_str)|0);
HEAP32[((__ZL17exception_methods)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL17exception_methods+12)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZN2js26StrictArgumentsObjectClassE)>>2)]=((STRING_TABLE.__str1263)|0);
HEAP32[((__ZN2js26NormalArgumentsObjectClassE)>>2)]=((STRING_TABLE.__str1263)|0);
HEAP32[((__ZN2js12DeclEnvClassE)>>2)]=((STRING_TABLE._js_Object_str)|0);
HEAP32[((__ZN2js9CallClassE)>>2)]=((STRING_TABLE.__str11264)|0);
HEAP32[((__ZN2js13FunctionClassE)>>2)]=((STRING_TABLE._js_Function_str)|0);
HEAP32[((__ZN2js16function_methodsE)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZN2js16function_methodsE+12)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZN2js16function_methodsE+24)>>2)]=((STRING_TABLE._js_apply_str)|0);
HEAP32[((__ZN2js16function_methodsE+36)>>2)]=((STRING_TABLE._js_call_str)|0);
HEAP32[((__ZN2js16function_methodsE+48)>>2)]=((STRING_TABLE.__str31270)|0);
HEAP32[((__ZN2js16function_methodsE+60)>>2)]=((STRING_TABLE.__str41271)|0);
HEAP32[((__ZN2js9gcReasonsE)>>2)]=((STRING_TABLE.__str1551)|0);
HEAP32[((__ZN2js9gcReasonsE+4)>>2)]=((STRING_TABLE.__str11552)|0);
HEAP32[((__ZN2js9gcReasonsE+8)>>2)]=((STRING_TABLE.__str21553)|0);
HEAP32[((__ZN2js9gcReasonsE+12)>>2)]=((STRING_TABLE.__str31554)|0);
HEAP32[((__ZN2js9gcReasonsE+16)>>2)]=((STRING_TABLE.__str41555)|0);
HEAP32[((__ZN2js9gcReasonsE+20)>>2)]=((STRING_TABLE.__str51556)|0);
HEAP32[((__ZN2js9gcReasonsE+24)>>2)]=((STRING_TABLE.__str61557)|0);
HEAP32[((__ZN2js9gcReasonsE+28)>>2)]=((STRING_TABLE.__str71558)|0);
HEAP32[((__ZN2js9gcReasonsE+32)>>2)]=((STRING_TABLE.__str81559)|0);
HEAP32[((__ZN2js9gcReasonsE+36)>>2)]=((STRING_TABLE.__str91560)|0);
HEAP32[((__ZN2js9gcReasonsE+40)>>2)]=((STRING_TABLE.__str101561)|0);
HEAP32[((_js_NoSuchMethodClass)>>2)]=((STRING_TABLE.__str1777)|0);
HEAP32[((__ZN2js13IteratorClassE)>>2)]=((STRING_TABLE.__str1907)|0);
HEAP32[((__ZL16iterator_methods)>>2)]=((STRING_TABLE._js_next_str)|0);
HEAP32[((__ZN2js18StopIterationClassE)>>2)]=((STRING_TABLE._js_StopIteration_str)|0);
HEAP32[((__ZN2js14GeneratorClassE)>>2)]=((STRING_TABLE.__str31916)|0);
HEAP32[((__ZL17generator_methods)>>2)]=((STRING_TABLE._js_next_str)|0);
HEAP32[((__ZL17generator_methods+12)>>2)]=((STRING_TABLE._js_send_str)|0);
HEAP32[((__ZL17generator_methods+24)>>2)]=((STRING_TABLE._js_throw_str)|0);
HEAP32[((__ZL17generator_methods+36)>>2)]=((STRING_TABLE._js_close_str)|0);
HEAP32[((__ZN2js9MathClassE)>>2)]=((STRING_TABLE._js_Math_str)|0);
HEAP32[((__ZL19math_static_methods)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL19math_static_methods+12)>>2)]=((STRING_TABLE.__str2000)|0);
HEAP32[((__ZL19math_static_methods+24)>>2)]=((STRING_TABLE.__str12001)|0);
HEAP32[((__ZL19math_static_methods+36)>>2)]=((STRING_TABLE.__str22002)|0);
HEAP32[((__ZL19math_static_methods+48)>>2)]=((STRING_TABLE.__str32003)|0);
HEAP32[((__ZL19math_static_methods+60)>>2)]=((STRING_TABLE.__str42004)|0);
HEAP32[((__ZL19math_static_methods+72)>>2)]=((STRING_TABLE.__str52005)|0);
HEAP32[((__ZL19math_static_methods+84)>>2)]=((STRING_TABLE.__str62006)|0);
HEAP32[((__ZL19math_static_methods+96)>>2)]=((STRING_TABLE.__str72007)|0);
HEAP32[((__ZL19math_static_methods+108)>>2)]=((STRING_TABLE.__str82008)|0);
HEAP32[((__ZL19math_static_methods+120)>>2)]=((STRING_TABLE.__str92009)|0);
HEAP32[((__ZL19math_static_methods+132)>>2)]=((STRING_TABLE.__str102010)|0);
HEAP32[((__ZL19math_static_methods+144)>>2)]=((STRING_TABLE.__str112011)|0);
HEAP32[((__ZL19math_static_methods+156)>>2)]=((STRING_TABLE.__str122012)|0);
HEAP32[((__ZL19math_static_methods+168)>>2)]=((STRING_TABLE.__str132013)|0);
HEAP32[((__ZL19math_static_methods+180)>>2)]=((STRING_TABLE.__str142014)|0);
HEAP32[((__ZL19math_static_methods+192)>>2)]=((STRING_TABLE.__str152015)|0);
HEAP32[((__ZL19math_static_methods+204)>>2)]=((STRING_TABLE.__str162016)|0);
HEAP32[((__ZL19math_static_methods+216)>>2)]=((STRING_TABLE.__str172017)|0);
HEAP32[((__ZL14math_constants+8)>>2)]=((STRING_TABLE.__str182018)|0);
HEAP32[((__ZL14math_constants+24)>>2)]=((STRING_TABLE.__str192019)|0);
HEAP32[((__ZL14math_constants+40)>>2)]=((STRING_TABLE.__str202020)|0);
HEAP32[((__ZL14math_constants+56)>>2)]=((STRING_TABLE.__str212021)|0);
HEAP32[((__ZL14math_constants+72)>>2)]=((STRING_TABLE.__str222022)|0);
HEAP32[((__ZL14math_constants+88)>>2)]=((STRING_TABLE.__str232023)|0);
HEAP32[((__ZL14math_constants+104)>>2)]=((STRING_TABLE.__str242024)|0);
HEAP32[((__ZL14math_constants+120)>>2)]=((STRING_TABLE.__str252025)|0);
HEAP32[((__ZL16number_functions)>>2)]=((STRING_TABLE._js_isNaN_str)|0);
HEAP32[((__ZL16number_functions+12)>>2)]=((STRING_TABLE._js_isFinite_str)|0);
HEAP32[((__ZL16number_functions+24)>>2)]=((STRING_TABLE._js_parseFloat_str)|0);
HEAP32[((__ZL16number_functions+36)>>2)]=((STRING_TABLE._js_parseInt_str)|0);
HEAP32[((__ZN2js11NumberClassE)>>2)]=((STRING_TABLE._js_Number_str)|0);
HEAP32[((__ZL14number_methods)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL14number_methods+12)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZL14number_methods+24)>>2)]=((STRING_TABLE._js_toLocaleString_str)|0);
HEAP32[((__ZL14number_methods+36)>>2)]=((STRING_TABLE._js_valueOf_str)|0);
HEAP32[((__ZL14number_methods+48)>>2)]=((STRING_TABLE.__str2072)|0);
HEAP32[((__ZL14number_methods+60)>>2)]=((STRING_TABLE.__str12073)|0);
HEAP32[((__ZL14number_methods+72)>>2)]=((STRING_TABLE.__str22074)|0);
HEAP32[((__ZL16number_constants+8)>>2)]=((STRING_TABLE._js_NaN_str)|0);
HEAP32[((__ZL16number_constants+24)>>2)]=((STRING_TABLE.__str82086)|0);
HEAP32[((__ZL16number_constants+40)>>2)]=((STRING_TABLE.__str92087)|0);
HEAP32[((__ZL16number_constants+56)>>2)]=((STRING_TABLE.__str102088)|0);
HEAP32[((__ZL16number_constants+72)>>2)]=((STRING_TABLE.__str112089)|0);
HEAP32[((__ZN2js11ObjectClassE)>>2)]=((STRING_TABLE._js_Object_str)|0);
HEAP32[((_object_props)>>2)]=((STRING_TABLE._js_proto_str)|0);
HEAP32[((_object_methods)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((_object_methods+12)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((_object_methods+24)>>2)]=((STRING_TABLE._js_toLocaleString_str)|0);
HEAP32[((_object_methods+36)>>2)]=((STRING_TABLE._js_valueOf_str)|0);
HEAP32[((_object_methods+48)>>2)]=((STRING_TABLE._js_watch_str)|0);
HEAP32[((_object_methods+60)>>2)]=((STRING_TABLE._js_unwatch_str)|0);
HEAP32[((_object_methods+72)>>2)]=((STRING_TABLE._js_hasOwnProperty_str)|0);
HEAP32[((_object_methods+84)>>2)]=((STRING_TABLE._js_isPrototypeOf_str)|0);
HEAP32[((_object_methods+96)>>2)]=((STRING_TABLE._js_propertyIsEnumerable_str)|0);
HEAP32[((_object_methods+108)>>2)]=((STRING_TABLE._js_defineGetter_str)|0);
HEAP32[((_object_methods+120)>>2)]=((STRING_TABLE._js_defineSetter_str)|0);
HEAP32[((_object_methods+132)>>2)]=((STRING_TABLE._js_lookupGetter_str)|0);
HEAP32[((_object_methods+144)>>2)]=((STRING_TABLE._js_lookupSetter_str)|0);
HEAP32[((_object_static_methods)>>2)]=((STRING_TABLE.__str92206)|0);
HEAP32[((_object_static_methods+12)>>2)]=((STRING_TABLE.__str102207)|0);
HEAP32[((_object_static_methods+24)>>2)]=((STRING_TABLE.__str112208)|0);
HEAP32[((_object_static_methods+36)>>2)]=((STRING_TABLE.__str122209)|0);
HEAP32[((_object_static_methods+48)>>2)]=((STRING_TABLE.__str132210)|0);
HEAP32[((_object_static_methods+60)>>2)]=((STRING_TABLE.__str142211)|0);
HEAP32[((_object_static_methods+72)>>2)]=((STRING_TABLE.__str152212)|0);
HEAP32[((_object_static_methods+84)>>2)]=((STRING_TABLE.__str162213)|0);
HEAP32[((_object_static_methods+96)>>2)]=((STRING_TABLE.__str172214)|0);
HEAP32[((_object_static_methods+108)>>2)]=((STRING_TABLE.__str182215)|0);
HEAP32[((_object_static_methods+120)>>2)]=((STRING_TABLE.__str192216)|0);
HEAP32[((_object_static_methods+132)>>2)]=((STRING_TABLE.__str202217)|0);
HEAP32[((_object_static_methods+144)>>2)]=((STRING_TABLE.__str212218)|0);
HEAP32[((__ZN2js9WithClassE)>>2)]=((STRING_TABLE.__str222221)|0);
HEAP32[((__ZN2js10BlockClassE)>>2)]=((STRING_TABLE.__str232224)|0);
HEAP32[((__ZL16JS_CACHED_SCRIPT)>>2)]=(([305402420,0])[0]);
HEAP32[((__ZN2js9JSONClassE)>>2)]=((STRING_TABLE._js_JSON_str)|0);
HEAP32[((__ZL19json_static_methods)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL19json_static_methods+12)>>2)]=((STRING_TABLE.__str2531)|0);
HEAP32[((__ZL19json_static_methods+24)>>2)]=((STRING_TABLE.__str12532)|0);
HEAP32[((__ZL9CodeToken+36)>>2)]=((STRING_TABLE._js_arguments_str)|0);
HEAP32[((__ZL9CodeToken+60)>>2)]=((STRING_TABLE.__str2673)|0);
HEAP32[((__ZL9CodeToken+64)>>2)]=((STRING_TABLE.__str12674)|0);
HEAP32[((__ZL9CodeToken+68)>>2)]=((STRING_TABLE.__str22675)|0);
HEAP32[((__ZL9CodeToken+72)>>2)]=((STRING_TABLE.__str32676)|0);
HEAP32[((__ZL9CodeToken+76)>>2)]=((STRING_TABLE.__str42677)|0);
HEAP32[((__ZL9CodeToken+80)>>2)]=((STRING_TABLE.__str52678)|0);
HEAP32[((__ZL9CodeToken+84)>>2)]=((STRING_TABLE.__str62679)|0);
HEAP32[((__ZL9CodeToken+88)>>2)]=((STRING_TABLE.__str72680)|0);
HEAP32[((__ZL9CodeToken+92)>>2)]=((STRING_TABLE.__str82681)|0);
HEAP32[((__ZL9CodeToken+96)>>2)]=((STRING_TABLE.__str92682)|0);
HEAP32[((__ZL9CodeToken+100)>>2)]=((STRING_TABLE.__str102683)|0);
HEAP32[((__ZL9CodeToken+104)>>2)]=((STRING_TABLE.__str112684)|0);
HEAP32[((__ZL9CodeToken+108)>>2)]=((STRING_TABLE.__str122685)|0);
HEAP32[((__ZL9CodeToken+112)>>2)]=((STRING_TABLE.__str132686)|0);
HEAP32[((__ZL9CodeToken+116)>>2)]=((STRING_TABLE.__str142687)|0);
HEAP32[((__ZL9CodeToken+120)>>2)]=((STRING_TABLE.__str152688)|0);
HEAP32[((__ZL9CodeToken+124)>>2)]=((STRING_TABLE.__str162689)|0);
HEAP32[((__ZL9CodeToken+128)>>2)]=((STRING_TABLE.__str172690)|0);
HEAP32[((__ZL9CodeToken+132)>>2)]=((STRING_TABLE.__str182691)|0);
HEAP32[((__ZL9CodeToken+136)>>2)]=((STRING_TABLE.__str192692)|0);
HEAP32[((__ZL9CodeToken+140)>>2)]=((STRING_TABLE.__str202693)|0);
HEAP32[((__ZL9CodeToken+248)>>2)]=((STRING_TABLE.__str212694)|0);
HEAP32[((__ZL9CodeToken+252)>>2)]=((STRING_TABLE.__str222695)|0);
HEAP32[((__ZL9CodeToken+256)>>2)]=((STRING_TABLE._js_null_str)|0);
HEAP32[((__ZL9CodeToken+260)>>2)]=((STRING_TABLE._js_this_str)|0);
HEAP32[((__ZL9CodeToken+264)>>2)]=((STRING_TABLE._js_false_str)|0);
HEAP32[((__ZL9CodeToken+268)>>2)]=((STRING_TABLE._js_true_str)|0);
HEAP32[((__ZL9CodeToken+288)>>2)]=((STRING_TABLE.__str232696)|0);
HEAP32[((__ZL9CodeToken+292)>>2)]=((STRING_TABLE.__str242697)|0);
HEAP32[((__ZL9CodeToken+308)>>2)]=((STRING_TABLE.__str252698)|0);
HEAP32[((__ZL9CodeToken+452)>>2)]=((STRING_TABLE._js_in_str)|0);
HEAP32[((__ZL9CodeToken+456)>>2)]=((STRING_TABLE._js_instanceof_str)|0);
HEAP32[((__ZL10var_prefix)>>2)]=((STRING_TABLE.__str1332806)|0);
HEAP32[((__ZL10var_prefix+4)>>2)]=((STRING_TABLE.__str1342807)|0);
HEAP32[((__ZL10var_prefix+8)>>2)]=((STRING_TABLE.__str1352808)|0);
HEAP32[((_table)>>2)]=((STRING_TABLE._js_var_str)|0);
HEAP32[((_table+4)>>2)]=((STRING_TABLE._js_const_str)|0);
HEAP32[((_table+8)>>2)]=((STRING_TABLE._js_let_str)|0);
HEAP32[((_table+12)>>2)]=((STRING_TABLE._js_function_str)|0);
HEAP32[((_table+16)>>2)]=((STRING_TABLE.__ZL15js_argument_str)|0);
HEAP32[((_table+20)>>2)]=((STRING_TABLE.__ZL14js_unknown_str)|0);
HEAP32[((__ZL6pm_fns)>>2)]=((STRING_TABLE.__str2966)|0);
HEAP32[((__ZL6pm_fns+12)>>2)]=((STRING_TABLE.__str12967)|0);
HEAP32[((__ZL6pm_fns+24)>>2)]=((STRING_TABLE.__str22968)|0);
HEAP32[((__ZL6pm_fns+36)>>2)]=((STRING_TABLE.__str32969)|0);
HEAP32[((__ZL8pm_class)>>2)]=((STRING_TABLE.__str42970)|0);
HEAP32[((__ZL8pm_props)>>2)]=((STRING_TABLE.__str182984)|0);
HEAP32[((__ZL8pm_props+16)>>2)]=((STRING_TABLE.__str192985)|0);
HEAP32[((__ZL8pm_props+32)>>2)]=((STRING_TABLE.__str202986)|0);
HEAP32[((__ZL8pm_props+48)>>2)]=((STRING_TABLE.__str212987)|0);
HEAP32[((__ZL8pm_props+64)>>2)]=((STRING_TABLE.__str222988)|0);
HEAP32[((__ZL8pm_props+80)>>2)]=((STRING_TABLE.__str232989)|0);
HEAP32[((__ZL8pm_props+96)>>2)]=((STRING_TABLE.__str242990)|0);
HEAP32[((__ZL8pm_props+112)>>2)]=((STRING_TABLE.__str252991)|0);
HEAP32[((__ZL8pm_props+128)>>2)]=((STRING_TABLE.__str262992)|0);
HEAP32[((__ZL8pm_props+144)>>2)]=((STRING_TABLE.__str272993)|0);
HEAP32[((__ZL8pm_props+160)>>2)]=((STRING_TABLE.__str282994)|0);
HEAP32[((__ZL8pm_props+176)>>2)]=((STRING_TABLE.__str292995)|0);
HEAP32[((__ZL9pm_consts)>>2)]=((STRING_TABLE.__str52971)|0);
HEAP32[((__ZL9pm_consts+8)>>2)]=((STRING_TABLE.__str62972)|0);
HEAP32[((__ZL9pm_consts+16)>>2)]=((STRING_TABLE.__str72973)|0);
HEAP32[((__ZL9pm_consts+24)>>2)]=((STRING_TABLE.__str82974)|0);
HEAP32[((__ZL9pm_consts+32)>>2)]=((STRING_TABLE.__str92975)|0);
HEAP32[((__ZL9pm_consts+40)>>2)]=((STRING_TABLE.__str102976)|0);
HEAP32[((__ZL9pm_consts+48)>>2)]=((STRING_TABLE.__str112977)|0);
HEAP32[((__ZL9pm_consts+56)>>2)]=((STRING_TABLE.__str122978)|0);
HEAP32[((__ZL9pm_consts+64)>>2)]=((STRING_TABLE.__str132979)|0);
HEAP32[((__ZL9pm_consts+72)>>2)]=((STRING_TABLE.__str142980)|0);
HEAP32[((__ZL9pm_consts+80)>>2)]=((STRING_TABLE.__str152981)|0);
HEAP32[((__ZL9pm_consts+88)>>2)]=((STRING_TABLE.__str162982)|0);
HEAP32[((__ZL9pm_consts+96)>>2)]=((STRING_TABLE.__str172983)|0);
HEAP32[((__ZN2js16ObjectProxyClassE)>>2)]=((STRING_TABLE.__str33051)|0);
HEAP32[((__ZN2js21OuterWindowProxyClassE)>>2)]=((STRING_TABLE.__str33051)|0);
HEAP32[((__ZL14static_methods)>>2)]=((STRING_TABLE.__str53058)|0);
HEAP32[((__ZL14static_methods+12)>>2)]=((STRING_TABLE.__str63059)|0);
HEAP32[((__ZN2js19CallableObjectClassE)>>2)]=((STRING_TABLE.__str73060)|0);
HEAP32[((__ZN2js10ProxyClassE)>>2)]=((STRING_TABLE.__str33051)|0);
HEAP32[((__ZN2js8aopNamesE)>>2)]=((STRING_TABLE.__str3152)|0);
HEAP32[((__ZN2js8aopNamesE+4)>>2)]=((STRING_TABLE.__str13153)|0);
HEAP32[((__ZN2js8aopNamesE+8)>>2)]=((STRING_TABLE.__str23154)|0);
HEAP32[((__ZN2js8aopNamesE+12)>>2)]=((STRING_TABLE.__str33155)|0);
HEAP32[((__ZN2js8aopNamesE+16)>>2)]=((STRING_TABLE.__str43156)|0);
HEAP32[((__ZN2js8aopNamesE+20)>>2)]=((STRING_TABLE.__str53157)|0);
HEAP32[((__ZN2js8aopNamesE+24)>>2)]=((STRING_TABLE.__str63158)|0);
HEAP32[((__ZN2js8aopNamesE+28)>>2)]=((STRING_TABLE.__str73159)|0);
HEAP32[((__ZN2js8aopNamesE+32)>>2)]=((STRING_TABLE.__str83160)|0);
HEAP32[((__ZN2js8aopNamesE+36)>>2)]=((STRING_TABLE.__str93161)|0);
HEAP32[((__ZN2js8aopNamesE+40)>>2)]=((STRING_TABLE.__str103162)|0);
HEAP32[((__ZN2js8aopNamesE+44)>>2)]=((STRING_TABLE.__str113163)|0);
HEAP32[((__ZN2js10binopNamesE)>>2)]=((STRING_TABLE.__str123164)|0);
HEAP32[((__ZN2js10binopNamesE+4)>>2)]=((STRING_TABLE.__str133165)|0);
HEAP32[((__ZN2js10binopNamesE+8)>>2)]=((STRING_TABLE.__str143166)|0);
HEAP32[((__ZN2js10binopNamesE+12)>>2)]=((STRING_TABLE.__str153167)|0);
HEAP32[((__ZN2js10binopNamesE+16)>>2)]=((STRING_TABLE.__str163168)|0);
HEAP32[((__ZN2js10binopNamesE+20)>>2)]=((STRING_TABLE.__str173169)|0);
HEAP32[((__ZN2js10binopNamesE+24)>>2)]=((STRING_TABLE.__str183170)|0);
HEAP32[((__ZN2js10binopNamesE+28)>>2)]=((STRING_TABLE.__str193171)|0);
HEAP32[((__ZN2js10binopNamesE+32)>>2)]=((STRING_TABLE.__str203172)|0);
HEAP32[((__ZN2js10binopNamesE+36)>>2)]=((STRING_TABLE.__str213173)|0);
HEAP32[((__ZN2js10binopNamesE+40)>>2)]=((STRING_TABLE.__str223174)|0);
HEAP32[((__ZN2js10binopNamesE+44)>>2)]=((STRING_TABLE.__str233175)|0);
HEAP32[((__ZN2js10binopNamesE+48)>>2)]=((STRING_TABLE.__str243176)|0);
HEAP32[((__ZN2js10binopNamesE+52)>>2)]=((STRING_TABLE.__str253177)|0);
HEAP32[((__ZN2js10binopNamesE+56)>>2)]=((STRING_TABLE.__str263178)|0);
HEAP32[((__ZN2js10binopNamesE+60)>>2)]=((STRING_TABLE.__str273179)|0);
HEAP32[((__ZN2js10binopNamesE+64)>>2)]=((STRING_TABLE.__str283180)|0);
HEAP32[((__ZN2js10binopNamesE+68)>>2)]=((STRING_TABLE.__str293181)|0);
HEAP32[((__ZN2js10binopNamesE+72)>>2)]=((STRING_TABLE.__str303182)|0);
HEAP32[((__ZN2js10binopNamesE+76)>>2)]=((STRING_TABLE.__str313183)|0);
HEAP32[((__ZN2js10binopNamesE+80)>>2)]=((STRING_TABLE.__str323184)|0);
HEAP32[((__ZN2js10binopNamesE+84)>>2)]=((STRING_TABLE.__str333185)|0);
HEAP32[((__ZN2js9unopNamesE)>>2)]=((STRING_TABLE.__str343186)|0);
HEAP32[((__ZN2js9unopNamesE+4)>>2)]=((STRING_TABLE.__str243176)|0);
HEAP32[((__ZN2js9unopNamesE+8)>>2)]=((STRING_TABLE.__str233175)|0);
HEAP32[((__ZN2js9unopNamesE+12)>>2)]=((STRING_TABLE.__str353187)|0);
HEAP32[((__ZN2js9unopNamesE+16)>>2)]=((STRING_TABLE.__str363188)|0);
HEAP32[((__ZN2js9unopNamesE+20)>>2)]=((STRING_TABLE.__str373189)|0);
HEAP32[((__ZN2js9unopNamesE+24)>>2)]=((STRING_TABLE.__str383190)|0);
HEAP32[((__ZN2js13nodeTypeNamesE)>>2)]=((STRING_TABLE.__str393191)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+4)>>2)]=((STRING_TABLE.__str403192)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+8)>>2)]=((STRING_TABLE.__str413193)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+12)>>2)]=((STRING_TABLE.__str423194)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+16)>>2)]=((STRING_TABLE.__str433195)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+20)>>2)]=((STRING_TABLE.__str443196)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+24)>>2)]=((STRING_TABLE.__str453197)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+28)>>2)]=((STRING_TABLE.__str463198)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+32)>>2)]=((STRING_TABLE.__str473199)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+36)>>2)]=((STRING_TABLE.__str483200)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+40)>>2)]=((STRING_TABLE.__str493201)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+44)>>2)]=((STRING_TABLE.__str503202)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+48)>>2)]=((STRING_TABLE.__str513203)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+52)>>2)]=((STRING_TABLE.__str523204)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+56)>>2)]=((STRING_TABLE.__str533205)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+60)>>2)]=((STRING_TABLE.__str543206)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+64)>>2)]=((STRING_TABLE.__str553207)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+68)>>2)]=((STRING_TABLE.__str563208)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+72)>>2)]=((STRING_TABLE.__str573209)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+76)>>2)]=((STRING_TABLE.__str583210)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+80)>>2)]=((STRING_TABLE.__str593211)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+84)>>2)]=((STRING_TABLE.__str603212)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+88)>>2)]=((STRING_TABLE.__str613213)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+92)>>2)]=((STRING_TABLE.__str623214)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+96)>>2)]=((STRING_TABLE.__str633215)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+100)>>2)]=((STRING_TABLE.__str643216)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+104)>>2)]=((STRING_TABLE.__str653217)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+108)>>2)]=((STRING_TABLE.__str663218)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+112)>>2)]=((STRING_TABLE.__str673219)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+116)>>2)]=((STRING_TABLE.__str683220)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+120)>>2)]=((STRING_TABLE.__str693221)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+124)>>2)]=((STRING_TABLE.__str703222)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+128)>>2)]=((STRING_TABLE.__str713223)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+132)>>2)]=((STRING_TABLE.__str723224)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+136)>>2)]=((STRING_TABLE.__str733225)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+140)>>2)]=((STRING_TABLE.__str743226)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+144)>>2)]=((STRING_TABLE.__str753227)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+148)>>2)]=((STRING_TABLE.__str763228)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+152)>>2)]=((STRING_TABLE.__str773229)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+156)>>2)]=((STRING_TABLE.__str783230)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+160)>>2)]=((STRING_TABLE.__str793231)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+164)>>2)]=((STRING_TABLE.__str803232)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+168)>>2)]=((STRING_TABLE.__str813233)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+172)>>2)]=((STRING_TABLE.__str823234)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+176)>>2)]=((STRING_TABLE.__str833235)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+180)>>2)]=((STRING_TABLE.__str843236)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+184)>>2)]=((STRING_TABLE.__str853237)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+188)>>2)]=((STRING_TABLE.__str863238)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+192)>>2)]=((STRING_TABLE.__str873239)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+196)>>2)]=((STRING_TABLE.__str883240)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+200)>>2)]=((STRING_TABLE.__str423194)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+204)>>2)]=((STRING_TABLE.__str893241)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+208)>>2)]=((STRING_TABLE.__str903242)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+212)>>2)]=((STRING_TABLE.__str913243)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+216)>>2)]=((STRING_TABLE.__str923244)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+220)>>2)]=((STRING_TABLE.__str933245)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+224)>>2)]=((STRING_TABLE.__str943246)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+228)>>2)]=((STRING_TABLE.__str953247)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+232)>>2)]=((STRING_TABLE.__str963248)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+236)>>2)]=((STRING_TABLE.__str973249)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+240)>>2)]=((STRING_TABLE.__str983250)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+244)>>2)]=((STRING_TABLE.__str993251)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+248)>>2)]=((STRING_TABLE.__str1003252)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+252)>>2)]=((STRING_TABLE.__str1013253)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+256)>>2)]=((STRING_TABLE.__str1023254)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+260)>>2)]=((STRING_TABLE.__str1033255)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+264)>>2)]=((STRING_TABLE.__str1043256)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+268)>>2)]=((STRING_TABLE.__str1053257)|0);
HEAP32[((__ZN2js13nodeTypeNamesE+272)>>2)]=((STRING_TABLE.__str1063258)|0);
HEAP32[((__ZN2js13callbackNamesE)>>2)]=((STRING_TABLE.__str1073259)|0);
HEAP32[((__ZN2js13callbackNamesE+4)>>2)]=((STRING_TABLE.__str1083260)|0);
HEAP32[((__ZN2js13callbackNamesE+8)>>2)]=((STRING_TABLE.__str1093261)|0);
HEAP32[((__ZN2js13callbackNamesE+12)>>2)]=((STRING_TABLE.__str1103262)|0);
HEAP32[((__ZN2js13callbackNamesE+16)>>2)]=((STRING_TABLE.__str1113263)|0);
HEAP32[((__ZN2js13callbackNamesE+20)>>2)]=((STRING_TABLE.__str1123264)|0);
HEAP32[((__ZN2js13callbackNamesE+24)>>2)]=((STRING_TABLE.__str1133265)|0);
HEAP32[((__ZN2js13callbackNamesE+28)>>2)]=((STRING_TABLE.__str1143266)|0);
HEAP32[((__ZN2js13callbackNamesE+32)>>2)]=((STRING_TABLE.__str1153267)|0);
HEAP32[((__ZN2js13callbackNamesE+36)>>2)]=((STRING_TABLE.__str1163268)|0);
HEAP32[((__ZN2js13callbackNamesE+40)>>2)]=((STRING_TABLE.__str1173269)|0);
HEAP32[((__ZN2js13callbackNamesE+44)>>2)]=((STRING_TABLE.__str1183270)|0);
HEAP32[((__ZN2js13callbackNamesE+48)>>2)]=((STRING_TABLE.__str1193271)|0);
HEAP32[((__ZN2js13callbackNamesE+52)>>2)]=((STRING_TABLE.__str1203272)|0);
HEAP32[((__ZN2js13callbackNamesE+56)>>2)]=((STRING_TABLE.__str1213273)|0);
HEAP32[((__ZN2js13callbackNamesE+60)>>2)]=((STRING_TABLE.__str1223274)|0);
HEAP32[((__ZN2js13callbackNamesE+64)>>2)]=((STRING_TABLE.__str1233275)|0);
HEAP32[((__ZN2js13callbackNamesE+68)>>2)]=((STRING_TABLE.__str1243276)|0);
HEAP32[((__ZN2js13callbackNamesE+72)>>2)]=((STRING_TABLE.__str1253277)|0);
HEAP32[((__ZN2js13callbackNamesE+76)>>2)]=((STRING_TABLE.__str1263278)|0);
HEAP32[((__ZN2js13callbackNamesE+80)>>2)]=((STRING_TABLE.__str1273279)|0);
HEAP32[((__ZN2js13callbackNamesE+84)>>2)]=((STRING_TABLE.__str1283280)|0);
HEAP32[((__ZN2js13callbackNamesE+88)>>2)]=((STRING_TABLE.__str1293281)|0);
HEAP32[((__ZN2js13callbackNamesE+92)>>2)]=((STRING_TABLE.__str1303282)|0);
HEAP32[((__ZN2js13callbackNamesE+96)>>2)]=((STRING_TABLE.__str1313283)|0);
HEAP32[((__ZN2js13callbackNamesE+100)>>2)]=((STRING_TABLE.__str1323284)|0);
HEAP32[((__ZN2js13callbackNamesE+104)>>2)]=((STRING_TABLE.__str1333285)|0);
HEAP32[((__ZN2js13callbackNamesE+108)>>2)]=((STRING_TABLE.__str1343286)|0);
HEAP32[((__ZN2js13callbackNamesE+112)>>2)]=((STRING_TABLE.__str1353287)|0);
HEAP32[((__ZN2js13callbackNamesE+116)>>2)]=((STRING_TABLE.__str1363288)|0);
HEAP32[((__ZN2js13callbackNamesE+120)>>2)]=((STRING_TABLE.__str1373289)|0);
HEAP32[((__ZN2js13callbackNamesE+124)>>2)]=((STRING_TABLE.__str1383290)|0);
HEAP32[((__ZN2js13callbackNamesE+128)>>2)]=((STRING_TABLE.__str1393291)|0);
HEAP32[((__ZN2js13callbackNamesE+132)>>2)]=((STRING_TABLE.__str1403292)|0);
HEAP32[((__ZN2js13callbackNamesE+136)>>2)]=((STRING_TABLE.__str1413293)|0);
HEAP32[((__ZN2js13callbackNamesE+140)>>2)]=((STRING_TABLE.__str1423294)|0);
HEAP32[((__ZN2js13callbackNamesE+144)>>2)]=((STRING_TABLE.__str1433295)|0);
HEAP32[((__ZN2js13callbackNamesE+148)>>2)]=((STRING_TABLE.__str1443296)|0);
HEAP32[((__ZN2js13callbackNamesE+152)>>2)]=((STRING_TABLE.__str1453297)|0);
HEAP32[((__ZN2js13callbackNamesE+156)>>2)]=((STRING_TABLE.__str1463298)|0);
HEAP32[((__ZN2js13callbackNamesE+160)>>2)]=((STRING_TABLE.__str1473299)|0);
HEAP32[((__ZN2js13callbackNamesE+164)>>2)]=((STRING_TABLE.__str1483300)|0);
HEAP32[((__ZN2js13callbackNamesE+168)>>2)]=((STRING_TABLE.__str1493301)|0);
HEAP32[((__ZN2js13callbackNamesE+172)>>2)]=((STRING_TABLE.__str1503302)|0);
HEAP32[((__ZN2js13callbackNamesE+176)>>2)]=((STRING_TABLE.__str1513303)|0);
HEAP32[((__ZN2js13callbackNamesE+180)>>2)]=((STRING_TABLE.__str1523304)|0);
HEAP32[((__ZN2js13callbackNamesE+184)>>2)]=((STRING_TABLE.__str1533305)|0);
HEAP32[((__ZN2js13callbackNamesE+188)>>2)]=((STRING_TABLE.__str1543306)|0);
HEAP32[((__ZN2js13callbackNamesE+192)>>2)]=((STRING_TABLE.__str1553307)|0);
HEAP32[((__ZN2js13callbackNamesE+196)>>2)]=((STRING_TABLE.__str1563308)|0);
HEAP32[((__ZN2js13callbackNamesE+200)>>2)]=((STRING_TABLE.__str1573309)|0);
HEAP32[((__ZN2js13callbackNamesE+204)>>2)]=((STRING_TABLE.__str1583310)|0);
HEAP32[((__ZN2js13callbackNamesE+208)>>2)]=((STRING_TABLE.__str1593311)|0);
HEAP32[((__ZN2js13callbackNamesE+212)>>2)]=((STRING_TABLE.__str1603312)|0);
HEAP32[((__ZN2js13callbackNamesE+216)>>2)]=((STRING_TABLE.__str1613313)|0);
HEAP32[((__ZN2js13callbackNamesE+220)>>2)]=((STRING_TABLE.__str1623314)|0);
HEAP32[((__ZN2js13callbackNamesE+224)>>2)]=((STRING_TABLE.__str1633315)|0);
HEAP32[((__ZN2js13callbackNamesE+228)>>2)]=((STRING_TABLE.__str1643316)|0);
HEAP32[((__ZN2js13callbackNamesE+232)>>2)]=((STRING_TABLE.__str1653317)|0);
HEAP32[((__ZN2js13callbackNamesE+236)>>2)]=((STRING_TABLE.__str1663318)|0);
HEAP32[((__ZN2js13callbackNamesE+240)>>2)]=((STRING_TABLE.__str1673319)|0);
HEAP32[((__ZN2js13callbackNamesE+244)>>2)]=((STRING_TABLE.__str1683320)|0);
HEAP32[((__ZN2js13callbackNamesE+248)>>2)]=((STRING_TABLE.__str1693321)|0);
HEAP32[((__ZN2js13callbackNamesE+252)>>2)]=((STRING_TABLE.__str1703322)|0);
HEAP32[((__ZN2js13callbackNamesE+256)>>2)]=((STRING_TABLE.__str1713323)|0);
HEAP32[((__ZN2js13callbackNamesE+260)>>2)]=((STRING_TABLE.__str1723324)|0);
HEAP32[((__ZN2js13callbackNamesE+264)>>2)]=((STRING_TABLE.__str1733325)|0);
HEAP32[((__ZN2js13callbackNamesE+268)>>2)]=((STRING_TABLE.__str1743326)|0);
HEAP32[((__ZN2js13callbackNamesE+272)>>2)]=((STRING_TABLE.__str1753327)|0);
HEAP32[((__ZL14static_methods3391)>>2)]=((STRING_TABLE.__str2383390)|0);
HEAP32[((__ZN2js20regexp_statics_classE)>>2)]=((STRING_TABLE.__str3439)|0);
HEAP32[((__ZL19regexp_static_props)>>2)]=((STRING_TABLE.__str13442)|0);
HEAP32[((__ZL19regexp_static_props+16)>>2)]=((STRING_TABLE.__str23443)|0);
HEAP32[((__ZL19regexp_static_props+32)>>2)]=((STRING_TABLE.__str33444)|0);
HEAP32[((__ZL19regexp_static_props+48)>>2)]=((STRING_TABLE.__str43445)|0);
HEAP32[((__ZL19regexp_static_props+64)>>2)]=((STRING_TABLE.__str53446)|0);
HEAP32[((__ZL19regexp_static_props+80)>>2)]=((STRING_TABLE.__str63447)|0);
HEAP32[((__ZL19regexp_static_props+96)>>2)]=((STRING_TABLE.__str73448)|0);
HEAP32[((__ZL19regexp_static_props+112)>>2)]=((STRING_TABLE.__str83449)|0);
HEAP32[((__ZL19regexp_static_props+128)>>2)]=((STRING_TABLE.__str93450)|0);
HEAP32[((__ZL19regexp_static_props+144)>>2)]=((STRING_TABLE.__str103451)|0);
HEAP32[((__ZL19regexp_static_props+160)>>2)]=((STRING_TABLE.__str113452)|0);
HEAP32[((__ZL19regexp_static_props+176)>>2)]=((STRING_TABLE.__str123453)|0);
HEAP32[((__ZL19regexp_static_props+192)>>2)]=((STRING_TABLE.__str133454)|0);
HEAP32[((__ZL19regexp_static_props+208)>>2)]=((STRING_TABLE.__str143455)|0);
HEAP32[((__ZL19regexp_static_props+224)>>2)]=((STRING_TABLE.__str153456)|0);
HEAP32[((__ZL19regexp_static_props+240)>>2)]=((STRING_TABLE.__str163457)|0);
HEAP32[((__ZL19regexp_static_props+256)>>2)]=((STRING_TABLE.__str173458)|0);
HEAP32[((__ZL19regexp_static_props+272)>>2)]=((STRING_TABLE.__str183459)|0);
HEAP32[((__ZL19regexp_static_props+288)>>2)]=((STRING_TABLE.__str193460)|0);
HEAP32[((__ZL19regexp_static_props+304)>>2)]=((STRING_TABLE.__str203461)|0);
HEAP32[((__ZL19regexp_static_props+320)>>2)]=((STRING_TABLE.__str213462)|0);
HEAP32[((__ZN2js11RegExpClassE)>>2)]=((STRING_TABLE._js_RegExp_str)|0);
HEAP32[((__ZL14regexp_methods)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL14regexp_methods+12)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZL14regexp_methods+24)>>2)]=((STRING_TABLE.__str233466)|0);
HEAP32[((__ZL14regexp_methods+36)>>2)]=((STRING_TABLE.__str243467)|0);
HEAP32[((__ZL14regexp_methods+48)>>2)]=((STRING_TABLE.__str253468)|0);
HEAP32[((__ZL8keywords)>>2)]=((STRING_TABLE._js_false_str)|0);
HEAP32[((__ZL8keywords+16)>>2)]=((STRING_TABLE._js_true_str)|0);
HEAP32[((__ZL8keywords+32)>>2)]=((STRING_TABLE._js_null_str)|0);
HEAP32[((__ZL8keywords+48)>>2)]=((STRING_TABLE._js_break_str)|0);
HEAP32[((__ZL8keywords+64)>>2)]=((STRING_TABLE._js_case_str)|0);
HEAP32[((__ZL8keywords+80)>>2)]=((STRING_TABLE._js_catch_str)|0);
HEAP32[((__ZL8keywords+96)>>2)]=((STRING_TABLE._js_continue_str)|0);
HEAP32[((__ZL8keywords+112)>>2)]=((STRING_TABLE._js_debugger_str)|0);
HEAP32[((__ZL8keywords+128)>>2)]=((STRING_TABLE._js_default_str)|0);
HEAP32[((__ZL8keywords+144)>>2)]=((STRING_TABLE._js_delete_str)|0);
HEAP32[((__ZL8keywords+160)>>2)]=((STRING_TABLE._js_do_str)|0);
HEAP32[((__ZL8keywords+176)>>2)]=((STRING_TABLE._js_else_str)|0);
HEAP32[((__ZL8keywords+192)>>2)]=((STRING_TABLE._js_finally_str)|0);
HEAP32[((__ZL8keywords+208)>>2)]=((STRING_TABLE._js_for_str)|0);
HEAP32[((__ZL8keywords+224)>>2)]=((STRING_TABLE._js_function_str)|0);
HEAP32[((__ZL8keywords+240)>>2)]=((STRING_TABLE._js_if_str)|0);
HEAP32[((__ZL8keywords+256)>>2)]=((STRING_TABLE._js_in_str)|0);
HEAP32[((__ZL8keywords+272)>>2)]=((STRING_TABLE._js_instanceof_str)|0);
HEAP32[((__ZL8keywords+288)>>2)]=((STRING_TABLE._js_new_str)|0);
HEAP32[((__ZL8keywords+304)>>2)]=((STRING_TABLE._js_return_str)|0);
HEAP32[((__ZL8keywords+320)>>2)]=((STRING_TABLE._js_switch_str)|0);
HEAP32[((__ZL8keywords+336)>>2)]=((STRING_TABLE._js_this_str)|0);
HEAP32[((__ZL8keywords+352)>>2)]=((STRING_TABLE._js_throw_str)|0);
HEAP32[((__ZL8keywords+368)>>2)]=((STRING_TABLE._js_try_str)|0);
HEAP32[((__ZL8keywords+384)>>2)]=((STRING_TABLE._js_typeof_str)|0);
HEAP32[((__ZL8keywords+400)>>2)]=((STRING_TABLE._js_var_str)|0);
HEAP32[((__ZL8keywords+416)>>2)]=((STRING_TABLE._js_void_str)|0);
HEAP32[((__ZL8keywords+432)>>2)]=((STRING_TABLE._js_while_str)|0);
HEAP32[((__ZL8keywords+448)>>2)]=((STRING_TABLE._js_with_str)|0);
HEAP32[((__ZL8keywords+464)>>2)]=((STRING_TABLE._js_class_str)|0);
HEAP32[((__ZL8keywords+480)>>2)]=((STRING_TABLE._js_enum_str)|0);
HEAP32[((__ZL8keywords+496)>>2)]=((STRING_TABLE._js_export_str)|0);
HEAP32[((__ZL8keywords+512)>>2)]=((STRING_TABLE._js_extends_str)|0);
HEAP32[((__ZL8keywords+528)>>2)]=((STRING_TABLE._js_import_str)|0);
HEAP32[((__ZL8keywords+544)>>2)]=((STRING_TABLE._js_super_str)|0);
HEAP32[((__ZL8keywords+560)>>2)]=((STRING_TABLE._js_const_str)|0);
HEAP32[((__ZL8keywords+576)>>2)]=((STRING_TABLE._js_let_str)|0);
HEAP32[((__ZL8keywords+592)>>2)]=((STRING_TABLE._js_yield_str)|0);
HEAP32[((__ZL8keywords+608)>>2)]=((STRING_TABLE._js_implements_str)|0);
HEAP32[((__ZL8keywords+624)>>2)]=((STRING_TABLE._js_interface_str)|0);
HEAP32[((__ZL8keywords+640)>>2)]=((STRING_TABLE._js_package_str)|0);
HEAP32[((__ZL8keywords+656)>>2)]=((STRING_TABLE._js_private_str)|0);
HEAP32[((__ZL8keywords+672)>>2)]=((STRING_TABLE._js_protected_str)|0);
HEAP32[((__ZL8keywords+688)>>2)]=((STRING_TABLE._js_public_str)|0);
HEAP32[((__ZL8keywords+704)>>2)]=((STRING_TABLE._js_static_str)|0);
HEAP32[((__ZN2js11ScriptClassE)>>2)]=((STRING_TABLE.__str23669)|0);
HEAP32[((__ZL16string_functions)>>2)]=((STRING_TABLE._js_escape_str)|0);
HEAP32[((__ZL16string_functions+12)>>2)]=((STRING_TABLE._js_unescape_str)|0);
HEAP32[((__ZL16string_functions+24)>>2)]=((STRING_TABLE._js_uneval_str)|0);
HEAP32[((__ZL16string_functions+36)>>2)]=((STRING_TABLE._js_decodeURI_str)|0);
HEAP32[((__ZL16string_functions+48)>>2)]=((STRING_TABLE._js_encodeURI_str)|0);
HEAP32[((__ZL16string_functions+60)>>2)]=((STRING_TABLE._js_decodeURIComponent_str)|0);
HEAP32[((__ZL16string_functions+72)>>2)]=((STRING_TABLE._js_encodeURIComponent_str)|0);
HEAP32[((_js_EmptySubString+4)>>2)]=((_js_empty_ucstr)|0);
HEAP32[((__ZN2js11StringClassE)>>2)]=((STRING_TABLE._js_String_str)|0);
HEAP32[((__ZL14string_methods)>>2)]=((STRING_TABLE.__str3763)|0);
HEAP32[((__ZL14string_methods+12)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL14string_methods+24)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZL14string_methods+36)>>2)]=((STRING_TABLE._js_valueOf_str)|0);
HEAP32[((__ZL14string_methods+48)>>2)]=((STRING_TABLE.__str13764)|0);
HEAP32[((__ZL14string_methods+60)>>2)]=((STRING_TABLE.__str23765)|0);
HEAP32[((__ZL14string_methods+72)>>2)]=((STRING_TABLE.__str33766)|0);
HEAP32[((__ZL14string_methods+84)>>2)]=((STRING_TABLE.__str43767)|0);
HEAP32[((__ZL14string_methods+96)>>2)]=((STRING_TABLE.__str53768)|0);
HEAP32[((__ZL14string_methods+108)>>2)]=((STRING_TABLE.__str63769)|0);
HEAP32[((__ZL14string_methods+120)>>2)]=((STRING_TABLE.__str73770)|0);
HEAP32[((__ZL14string_methods+132)>>2)]=((STRING_TABLE.__str83771)|0);
HEAP32[((__ZL14string_methods+144)>>2)]=((STRING_TABLE.__str93772)|0);
HEAP32[((__ZL14string_methods+156)>>2)]=((STRING_TABLE.__str103773)|0);
HEAP32[((__ZL14string_methods+168)>>2)]=((STRING_TABLE.__str113774)|0);
HEAP32[((__ZL14string_methods+180)>>2)]=((STRING_TABLE.__str123775)|0);
HEAP32[((__ZL14string_methods+192)>>2)]=((STRING_TABLE.__str133776)|0);
HEAP32[((__ZL14string_methods+204)>>2)]=((STRING_TABLE.__str143777)|0);
HEAP32[((__ZL14string_methods+216)>>2)]=((STRING_TABLE.__str153778)|0);
HEAP32[((__ZL14string_methods+228)>>2)]=((STRING_TABLE.__str163779)|0);
HEAP32[((__ZL14string_methods+240)>>2)]=((STRING_TABLE.__str173780)|0);
HEAP32[((__ZL14string_methods+252)>>2)]=((STRING_TABLE.__str183781)|0);
HEAP32[((__ZL14string_methods+264)>>2)]=((STRING_TABLE.__str193782)|0);
HEAP32[((__ZL14string_methods+276)>>2)]=((STRING_TABLE.__str203783)|0);
HEAP32[((__ZL14string_methods+288)>>2)]=((STRING_TABLE.__str213784)|0);
HEAP32[((__ZL14string_methods+300)>>2)]=((STRING_TABLE.__str223785)|0);
HEAP32[((__ZL14string_methods+312)>>2)]=((STRING_TABLE.__str233786)|0);
HEAP32[((__ZL14string_methods+324)>>2)]=((STRING_TABLE.__str243787)|0);
HEAP32[((__ZL14string_methods+336)>>2)]=((STRING_TABLE.__str253788)|0);
HEAP32[((__ZL14string_methods+348)>>2)]=((STRING_TABLE.__str263789)|0);
HEAP32[((__ZL14string_methods+360)>>2)]=((STRING_TABLE.__str273790)|0);
HEAP32[((__ZL14string_methods+372)>>2)]=((STRING_TABLE.__str283791)|0);
HEAP32[((__ZL14string_methods+384)>>2)]=((STRING_TABLE.__str293792)|0);
HEAP32[((__ZL14string_methods+396)>>2)]=((STRING_TABLE.__str303793)|0);
HEAP32[((__ZL14string_methods+408)>>2)]=((STRING_TABLE.__str313794)|0);
HEAP32[((__ZL14string_methods+420)>>2)]=((STRING_TABLE.__str323795)|0);
HEAP32[((__ZL14string_methods+432)>>2)]=((STRING_TABLE.__str333796)|0);
HEAP32[((__ZL21string_static_methods)>>2)]=((STRING_TABLE.__str343797)|0);
HEAP32[((__ZN2js11ArrayBuffer9slowClassE)>>2)]=((STRING_TABLE.__str13952)|0);
HEAP32[((__ZL14PROPERTY_FOUND)>>2)]=(([1,0])[0]);
HEAP32[((__ZN2js16ArrayBufferClassE)>>2)]=((STRING_TABLE.__str13952)|0);
HEAP32[((__ZN2js11ArrayBuffer7jspropsE)>>2)]=((STRING_TABLE.__str23955)|0);
HEAP32[((__ZN2js10TypedArray7jspropsE)>>2)]=((STRING_TABLE._js_length_str)|0);
HEAP32[((__ZN2js10TypedArray7jspropsE+16)>>2)]=((STRING_TABLE.__str23955)|0);
HEAP32[((__ZN2js10TypedArray7jspropsE+32)>>2)]=((STRING_TABLE.__str33956)|0);
HEAP32[((__ZN2js10TypedArray7jspropsE+48)>>2)]=((STRING_TABLE.__str43957)|0);
HEAP32[((__ZN9Int8Array7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN9Int8Array7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN10Uint8Array7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN10Uint8Array7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN10Int16Array7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN10Int16Array7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN11Uint16Array7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN11Uint16Array7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN10Int32Array7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN10Int32Array7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN11Uint32Array7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN11Uint32Array7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN12Float32Array7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN12Float32Array7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN12Float64Array7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN12Float64Array7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN17Uint8ClampedArray7jsfuncsE)>>2)]=((STRING_TABLE.__str53958)|0);
HEAP32[((__ZN17Uint8ClampedArray7jsfuncsE+12)>>2)]=((STRING_TABLE.__str63959)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE)>>2)]=((STRING_TABLE.__str73960)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE+232)>>2)]=((STRING_TABLE.__str83961)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE+464)>>2)]=((STRING_TABLE.__str93962)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE+696)>>2)]=((STRING_TABLE.__str103963)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE+928)>>2)]=((STRING_TABLE.__str113964)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE+1160)>>2)]=((STRING_TABLE.__str123965)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE+1392)>>2)]=((STRING_TABLE.__str133966)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE+1624)>>2)]=((STRING_TABLE.__str143967)|0);
HEAP32[((__ZN2js10TypedArray11fastClassesE+1856)>>2)]=((STRING_TABLE.__str153968)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE)>>2)]=((STRING_TABLE.__str73960)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE+232)>>2)]=((STRING_TABLE.__str83961)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE+464)>>2)]=((STRING_TABLE.__str93962)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE+696)>>2)]=((STRING_TABLE.__str103963)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE+928)>>2)]=((STRING_TABLE.__str113964)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE+1160)>>2)]=((STRING_TABLE.__str123965)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE+1392)>>2)]=((STRING_TABLE.__str133966)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE+1624)>>2)]=((STRING_TABLE.__str143967)|0);
HEAP32[((__ZN2js10TypedArray11slowClassesE+1856)>>2)]=((STRING_TABLE.__str153968)|0);
HEAP32[((__ZN2js12WeakMapClassE)>>2)]=((STRING_TABLE.__str4075)|0);
HEAP32[((__ZL16weak_map_methods)>>2)]=((STRING_TABLE.__str14078)|0);
HEAP32[((__ZL16weak_map_methods+12)>>2)]=((STRING_TABLE.__str24079)|0);
HEAP32[((__ZL16weak_map_methods+24)>>2)]=((STRING_TABLE.__str34080)|0);
HEAP32[((__ZL16weak_map_methods+36)>>2)]=((STRING_TABLE.__str44081)|0);
HEAP32[((__ZN2js14NamespaceClassE)>>2)]=((STRING_TABLE.__str4236)|0);
HEAP32[((__ZL17namespace_methods)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZN2js10QNameClassE)>>2)]=((STRING_TABLE.__str14239)|0);
HEAP32[((__ZN2js18AttributeNameClassE)>>2)]=((STRING_TABLE._js_AttributeName_str)|0);
HEAP32[((__ZN2js12AnyNameClassE)>>2)]=((STRING_TABLE._js_AnyName_str)|0);
HEAP32[((__ZL13qname_methods)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZL16xml_static_props)>>2)]=((STRING_TABLE.__ZL21js_ignoreComments_str)|0);
HEAP32[((__ZL16xml_static_props+16)>>2)]=((STRING_TABLE.__ZL35js_ignoreProcessingInstructions_str)|0);
HEAP32[((__ZL16xml_static_props+32)>>2)]=((STRING_TABLE.__ZL23js_ignoreWhitespace_str)|0);
HEAP32[((__ZL16xml_static_props+48)>>2)]=((STRING_TABLE.__ZL21js_prettyPrinting_str)|0);
HEAP32[((__ZL16xml_static_props+64)>>2)]=((STRING_TABLE.__ZL19js_prettyIndent_str)|0);
HEAP32[((__ZN2js8XMLClassE)>>2)]=((STRING_TABLE._js_XML_str)|0);
HEAP32[((_js_xml_class_str)>>2)]=((STRING_TABLE.__str34249)|0);
HEAP32[((_js_xml_class_str+4)>>2)]=((STRING_TABLE.__str44250)|0);
HEAP32[((_js_xml_class_str+8)>>2)]=((STRING_TABLE.__ZL16js_attribute_str)|0);
HEAP32[((_js_xml_class_str+12)>>2)]=((STRING_TABLE.__str54251)|0);
HEAP32[((_js_xml_class_str+16)>>2)]=((STRING_TABLE.__ZL11js_text_str)|0);
HEAP32[((_js_xml_class_str+20)>>2)]=((STRING_TABLE.__str64252)|0);
HEAP32[((__ZL11xml_methods)>>2)]=((STRING_TABLE.__str74253)|0);
HEAP32[((__ZL11xml_methods+12)>>2)]=((STRING_TABLE.__str84254)|0);
HEAP32[((__ZL11xml_methods+24)>>2)]=((STRING_TABLE.__ZL16js_attribute_str)|0);
HEAP32[((__ZL11xml_methods+36)>>2)]=((STRING_TABLE.__str94255)|0);
HEAP32[((__ZL11xml_methods+48)>>2)]=((STRING_TABLE.__str104256)|0);
HEAP32[((__ZL11xml_methods+60)>>2)]=((STRING_TABLE.__str114257)|0);
HEAP32[((__ZL11xml_methods+72)>>2)]=((STRING_TABLE.__str124258)|0);
HEAP32[((__ZL11xml_methods+84)>>2)]=((STRING_TABLE.__str134259)|0);
HEAP32[((__ZL11xml_methods+96)>>2)]=((STRING_TABLE.__str144260)|0);
HEAP32[((__ZL11xml_methods+108)>>2)]=((STRING_TABLE.__str154261)|0);
HEAP32[((__ZL11xml_methods+120)>>2)]=((STRING_TABLE.__str164262)|0);
HEAP32[((__ZL11xml_methods+132)>>2)]=((STRING_TABLE.__str174263)|0);
HEAP32[((__ZL11xml_methods+144)>>2)]=((STRING_TABLE.__str184264)|0);
HEAP32[((__ZL11xml_methods+156)>>2)]=((STRING_TABLE.__str194265)|0);
HEAP32[((__ZL11xml_methods+168)>>2)]=((STRING_TABLE.__str204266)|0);
HEAP32[((__ZL11xml_methods+180)>>2)]=((STRING_TABLE.__str214267)|0);
HEAP32[((__ZL11xml_methods+192)>>2)]=((STRING_TABLE.__str224268)|0);
HEAP32[((__ZL11xml_methods+204)>>2)]=((STRING_TABLE.__str234269)|0);
HEAP32[((__ZL11xml_methods+216)>>2)]=((STRING_TABLE._js_length_str)|0);
HEAP32[((__ZL11xml_methods+228)>>2)]=((STRING_TABLE.__ZL16js_localName_str)|0);
HEAP32[((__ZL11xml_methods+240)>>2)]=((STRING_TABLE._js_name_str)|0);
HEAP32[((__ZL11xml_methods+252)>>2)]=((STRING_TABLE._js_namespace_str)|0);
HEAP32[((__ZL11xml_methods+264)>>2)]=((STRING_TABLE.__str244270)|0);
HEAP32[((__ZL11xml_methods+276)>>2)]=((STRING_TABLE.__str254271)|0);
HEAP32[((__ZL11xml_methods+288)>>2)]=((STRING_TABLE.__str264272)|0);
HEAP32[((__ZL11xml_methods+300)>>2)]=((STRING_TABLE.__ZL17js_xml_parent_str)|0);
HEAP32[((__ZL11xml_methods+312)>>2)]=((STRING_TABLE.__str274273)|0);
HEAP32[((__ZL11xml_methods+324)>>2)]=((STRING_TABLE.__str284274)|0);
HEAP32[((__ZL11xml_methods+336)>>2)]=((STRING_TABLE.__str294275)|0);
HEAP32[((__ZL11xml_methods+348)>>2)]=((STRING_TABLE.__str304276)|0);
HEAP32[((__ZL11xml_methods+360)>>2)]=((STRING_TABLE.__str314277)|0);
HEAP32[((__ZL11xml_methods+372)>>2)]=((STRING_TABLE.__str324278)|0);
HEAP32[((__ZL11xml_methods+384)>>2)]=((STRING_TABLE.__str334279)|0);
HEAP32[((__ZL11xml_methods+396)>>2)]=((STRING_TABLE.__str344280)|0);
HEAP32[((__ZL11xml_methods+408)>>2)]=((STRING_TABLE.__str354281)|0);
HEAP32[((__ZL11xml_methods+420)>>2)]=((STRING_TABLE.__ZL11js_text_str)|0);
HEAP32[((__ZL11xml_methods+432)>>2)]=((STRING_TABLE._js_toSource_str)|0);
HEAP32[((__ZL11xml_methods+444)>>2)]=((STRING_TABLE._js_toString_str)|0);
HEAP32[((__ZL11xml_methods+456)>>2)]=((STRING_TABLE.__ZL18js_toXMLString_str)|0);
HEAP32[((__ZL11xml_methods+468)>>2)]=((STRING_TABLE._js_valueOf_str)|0);
HEAP32[((__ZL18xml_static_methods)>>2)]=((STRING_TABLE.__str364282)|0);
HEAP32[((__ZL18xml_static_methods+12)>>2)]=((STRING_TABLE.__str374283)|0);
HEAP32[((__ZL18xml_static_methods+24)>>2)]=((STRING_TABLE.__str384284)|0);
HEAP32[((__ZL15namespace_props)>>2)]=((STRING_TABLE.__ZL13js_prefix_str)|0);
HEAP32[((__ZL15namespace_props+16)>>2)]=((STRING_TABLE.__ZL10js_uri_str)|0);
HEAP32[((_js_XMLFilterClass)>>2)]=((STRING_TABLE.__str454291)|0);
HEAP32[((__ZL11qname_props)>>2)]=((STRING_TABLE.__ZL10js_uri_str)|0);
HEAP32[((__ZL11qname_props+16)>>2)]=((STRING_TABLE.__ZL16js_localName_str)|0);
HEAP32[((__ZZL8flipCasehE16flippedCaseChars)>>2)]=((STRING_TABLE._jsc_pcre_default_tables+128)|0);
HEAP32[((__ZZL18classBitmapForCharhE16charClassBitmaps)>>2)]=((STRING_TABLE._jsc_pcre_default_tables+256)|0);
HEAP32[((__ZZL8flipCasehE16flippedCaseChars4457)>>2)]=((STRING_TABLE._jsc_pcre_default_tables+128)|0);
HEAP32[((__ZZL11toLowerCasehE14lowerCaseChars)>>2)]=((STRING_TABLE._jsc_pcre_default_tables)|0);
HEAP32[((__ZL13sandbox_class)>>2)]=((STRING_TABLE.__str2295)|0);
HEAP32[((__ZL14resolver_class)>>2)]=((STRING_TABLE.__str3296)|0);
HEAP32[((__ZL15shell_functions)>>2)]=((STRING_TABLE.__str8301)|0);
HEAP32[((__ZL15shell_functions+12)>>2)]=((STRING_TABLE.__str9302)|0);
HEAP32[((__ZL15shell_functions+24)>>2)]=((STRING_TABLE.__str10303)|0);
HEAP32[((__ZL15shell_functions+36)>>2)]=((STRING_TABLE.__str11304)|0);
HEAP32[((__ZL15shell_functions+48)>>2)]=((STRING_TABLE.__str12305)|0);
HEAP32[((__ZL15shell_functions+60)>>2)]=((STRING_TABLE.__str13306)|0);
HEAP32[((__ZL15shell_functions+72)>>2)]=((STRING_TABLE.__str14307)|0);
HEAP32[((__ZL15shell_functions+84)>>2)]=((STRING_TABLE.__str15308)|0);
HEAP32[((__ZL15shell_functions+96)>>2)]=((STRING_TABLE.__str16309)|0);
HEAP32[((__ZL15shell_functions+108)>>2)]=((STRING_TABLE.__str17310)|0);
HEAP32[((__ZL15shell_functions+120)>>2)]=((STRING_TABLE.__str18311)|0);
HEAP32[((__ZL15shell_functions+132)>>2)]=((STRING_TABLE.__str19312)|0);
HEAP32[((__ZL15shell_functions+144)>>2)]=((STRING_TABLE.__str20313)|0);
HEAP32[((__ZL15shell_functions+156)>>2)]=((STRING_TABLE.__str21314)|0);
HEAP32[((__ZL15shell_functions+168)>>2)]=((STRING_TABLE.__str22315)|0);
HEAP32[((__ZL15shell_functions+180)>>2)]=((STRING_TABLE.__str23316)|0);
HEAP32[((__ZL15shell_functions+192)>>2)]=((STRING_TABLE.__str24317)|0);
HEAP32[((__ZL15shell_functions+204)>>2)]=((STRING_TABLE.__str25318)|0);
HEAP32[((__ZL15shell_functions+216)>>2)]=((STRING_TABLE.__str26319)|0);
HEAP32[((__ZL15shell_functions+228)>>2)]=((STRING_TABLE.__str27320)|0);
HEAP32[((__ZL15shell_functions+240)>>2)]=((STRING_TABLE.__str28321)|0);
HEAP32[((__ZL15shell_functions+252)>>2)]=((STRING_TABLE.__str29322)|0);
HEAP32[((__ZL15shell_functions+264)>>2)]=((STRING_TABLE.__str30323)|0);
HEAP32[((__ZL15shell_functions+276)>>2)]=((STRING_TABLE.__str31324)|0);
HEAP32[((__ZL15shell_functions+288)>>2)]=((STRING_TABLE.__str32325)|0);
HEAP32[((__ZL15shell_functions+300)>>2)]=((STRING_TABLE.__str33326)|0);
HEAP32[((__ZL15shell_functions+312)>>2)]=((STRING_TABLE.__str34327)|0);
HEAP32[((__ZL15shell_functions+324)>>2)]=((STRING_TABLE.__str35328)|0);
HEAP32[((__ZL15shell_functions+336)>>2)]=((STRING_TABLE.__str36329)|0);
HEAP32[((__ZL15shell_functions+348)>>2)]=((STRING_TABLE.__str37330)|0);
HEAP32[((__ZL15shell_functions+360)>>2)]=((STRING_TABLE.__str38331)|0);
HEAP32[((__ZL15shell_functions+372)>>2)]=((STRING_TABLE.__str39332)|0);
HEAP32[((__ZL15shell_functions+384)>>2)]=((STRING_TABLE.__str40333)|0);
HEAP32[((__ZL15shell_functions+396)>>2)]=((STRING_TABLE.__str41334)|0);
HEAP32[((__ZL15shell_functions+408)>>2)]=((STRING_TABLE.__str42335)|0);
HEAP32[((__ZL15shell_functions+420)>>2)]=((STRING_TABLE.__str43336)|0);
HEAP32[((__ZL15shell_functions+432)>>2)]=((STRING_TABLE.__str44337)|0);
HEAP32[((__ZL15shell_functions+444)>>2)]=((STRING_TABLE.__str45338)|0);
HEAP32[((__ZL15shell_functions+456)>>2)]=((STRING_TABLE.__str46339)|0);
HEAP32[((__ZL15shell_functions+468)>>2)]=((STRING_TABLE.__str47340)|0);
HEAP32[((__ZL15shell_functions+480)>>2)]=((STRING_TABLE.__str48341)|0);
HEAP32[((__ZL15shell_functions+492)>>2)]=((STRING_TABLE.__str3296)|0);
HEAP32[((__ZL15shell_functions+504)>>2)]=((STRING_TABLE.__str49342)|0);
HEAP32[((__ZL15shell_functions+516)>>2)]=((STRING_TABLE.__str50343)|0);
HEAP32[((__ZL15shell_functions+528)>>2)]=((STRING_TABLE.__str51344)|0);
HEAP32[((__ZL15shell_functions+540)>>2)]=((STRING_TABLE.__str52345)|0);
HEAP32[((__ZL15shell_functions+552)>>2)]=((STRING_TABLE.__str53346)|0);
HEAP32[((__ZL15shell_functions+564)>>2)]=((STRING_TABLE.__str54347)|0);
HEAP32[((__ZL15shell_functions+576)>>2)]=((STRING_TABLE.__str55348)|0);
HEAP32[((__ZL15shell_functions+588)>>2)]=((STRING_TABLE.__str56349)|0);
HEAP32[((__ZL15shell_functions+600)>>2)]=((STRING_TABLE.__str57350)|0);
HEAP32[((__ZL15shell_functions+612)>>2)]=((STRING_TABLE.__str4297)|0);
HEAP32[((__ZL15shell_functions+624)>>2)]=((STRING_TABLE.__str58351)|0);
HEAP32[((__ZL15shell_functions+636)>>2)]=((STRING_TABLE.__str5298)|0);
HEAP32[((__ZL15shell_functions+648)>>2)]=((STRING_TABLE.__str59352)|0);
HEAP32[((__ZL15shell_functions+660)>>2)]=((STRING_TABLE.__str60353)|0);
HEAP32[((__ZL15shell_functions+672)>>2)]=((STRING_TABLE.__str61354)|0);
HEAP32[((__ZL9its_props)>>2)]=((STRING_TABLE.__str62355)|0);
HEAP32[((__ZL9its_props+16)>>2)]=((STRING_TABLE.__str63356)|0);
HEAP32[((__ZL9its_props+32)>>2)]=((STRING_TABLE.__str64357)|0);
HEAP32[((__ZL9its_props+48)>>2)]=((STRING_TABLE.__str65358)|0);
HEAP32[((__ZL9its_props+64)>>2)]=((STRING_TABLE.__str66359)|0);
HEAP32[((__ZL9its_props+80)>>2)]=((STRING_TABLE.__str67360)|0);
HEAP32[((__ZL9its_props+96)>>2)]=((STRING_TABLE.__str68361)|0);
HEAP32[((__ZL9its_props+112)>>2)]=((STRING_TABLE.__str69362)|0);
HEAP32[((__ZL9its_class)>>2)]=((STRING_TABLE.__str70363)|0);
HEAP32[((_jsShell_ErrorFormatString)>>2)]=((STRING_TABLE.__str71364)|0);
HEAP32[((_jsShell_ErrorFormatString+8)>>2)]=((STRING_TABLE.__str72365)|0);
HEAP32[((_jsShell_ErrorFormatString+16)>>2)]=((STRING_TABLE.__str73366)|0);
HEAP32[((_jsShell_ErrorFormatString+24)>>2)]=((STRING_TABLE.__str74367)|0);
HEAP32[((_jsShell_ErrorFormatString+32)>>2)]=((STRING_TABLE.__str75368)|0);
HEAP32[((_jsShell_ErrorFormatString+40)>>2)]=((STRING_TABLE.__str76369)|0);
HEAP32[((_jsShell_ErrorFormatString+48)>>2)]=((STRING_TABLE.__str77370)|0);
HEAP32[((_jsShell_ErrorFormatString+56)>>2)]=((STRING_TABLE.__str78371)|0);
HEAP32[((_jsShell_ErrorFormatString+64)>>2)]=((STRING_TABLE.__str79372)|0);
HEAP32[((_jsShell_ErrorFormatString+72)>>2)]=((STRING_TABLE.__str80373)|0);
HEAP32[((_jsShell_ErrorFormatString+80)>>2)]=((STRING_TABLE.__str81374)|0);
HEAP32[((_jsShell_ErrorFormatString+88)>>2)]=((STRING_TABLE.__str82375)|0);
HEAP32[((_jsShell_ErrorFormatString+96)>>2)]=((STRING_TABLE.__str83376)|0);
HEAP32[((_jsShell_ErrorFormatString+104)>>2)]=((STRING_TABLE.__str84377)|0);
HEAP32[((_jsShell_ErrorFormatString+112)>>2)]=((STRING_TABLE.__str85378)|0);
HEAP32[((_global_class)>>2)]=((STRING_TABLE.__str86379)|0);
HEAP32[((__ZL9env_class)>>2)]=((STRING_TABLE.__str87380)|0);
HEAP32[((_shellTrustedPrincipals)>>2)]=((STRING_TABLE.__str88381)|0);
HEAP32[((__ZL19shell_help_messages)>>2)]=((STRING_TABLE.__str164457)|0);
HEAP32[((__ZL19shell_help_messages+4)>>2)]=((STRING_TABLE.__str165458)|0);
HEAP32[((__ZL19shell_help_messages+8)>>2)]=((STRING_TABLE.__str166459)|0);
HEAP32[((__ZL19shell_help_messages+12)>>2)]=((STRING_TABLE.__str167460)|0);
HEAP32[((__ZL19shell_help_messages+16)>>2)]=((STRING_TABLE.__str168461)|0);
HEAP32[((__ZL19shell_help_messages+20)>>2)]=((STRING_TABLE.__str169462)|0);
HEAP32[((__ZL19shell_help_messages+24)>>2)]=((STRING_TABLE.__str170463)|0);
HEAP32[((__ZL19shell_help_messages+28)>>2)]=((STRING_TABLE.__str171464)|0);
HEAP32[((__ZL19shell_help_messages+32)>>2)]=((STRING_TABLE.__str172465)|0);
HEAP32[((__ZL19shell_help_messages+36)>>2)]=((STRING_TABLE.__str173466)|0);
HEAP32[((__ZL19shell_help_messages+40)>>2)]=((STRING_TABLE.__str174467)|0);
HEAP32[((__ZL19shell_help_messages+44)>>2)]=((STRING_TABLE.__str175468)|0);
HEAP32[((__ZL19shell_help_messages+48)>>2)]=((STRING_TABLE.__str176469)|0);
HEAP32[((__ZL19shell_help_messages+52)>>2)]=((STRING_TABLE.__str177470)|0);
HEAP32[((__ZL19shell_help_messages+56)>>2)]=((STRING_TABLE.__str178471)|0);
HEAP32[((__ZL19shell_help_messages+60)>>2)]=((STRING_TABLE.__str179472)|0);
HEAP32[((__ZL19shell_help_messages+64)>>2)]=((STRING_TABLE.__str180473)|0);
HEAP32[((__ZL19shell_help_messages+68)>>2)]=((STRING_TABLE.__str181474)|0);
HEAP32[((__ZL19shell_help_messages+72)>>2)]=((STRING_TABLE.__str182475)|0);
HEAP32[((__ZL19shell_help_messages+76)>>2)]=((STRING_TABLE.__str183476)|0);
HEAP32[((__ZL19shell_help_messages+80)>>2)]=((STRING_TABLE.__str184477)|0);
HEAP32[((__ZL19shell_help_messages+84)>>2)]=((STRING_TABLE.__str185478)|0);
HEAP32[((__ZL19shell_help_messages+88)>>2)]=((STRING_TABLE.__str186479)|0);
HEAP32[((__ZL19shell_help_messages+92)>>2)]=((STRING_TABLE.__str187480)|0);
HEAP32[((__ZL19shell_help_messages+96)>>2)]=((STRING_TABLE.__str188481)|0);
HEAP32[((__ZL19shell_help_messages+100)>>2)]=((STRING_TABLE.__str189482)|0);
HEAP32[((__ZL19shell_help_messages+104)>>2)]=((STRING_TABLE.__str190483)|0);
HEAP32[((__ZL19shell_help_messages+108)>>2)]=((STRING_TABLE.__str191484)|0);
HEAP32[((__ZL19shell_help_messages+112)>>2)]=((STRING_TABLE.__str192485)|0);
HEAP32[((__ZL19shell_help_messages+116)>>2)]=((STRING_TABLE.__str193486)|0);
HEAP32[((__ZL19shell_help_messages+120)>>2)]=((STRING_TABLE.__str194487)|0);
HEAP32[((__ZL19shell_help_messages+124)>>2)]=((STRING_TABLE.__str195488)|0);
HEAP32[((__ZL19shell_help_messages+128)>>2)]=((STRING_TABLE.__str196489)|0);
HEAP32[((__ZL19shell_help_messages+132)>>2)]=((STRING_TABLE.__str197490)|0);
HEAP32[((__ZL19shell_help_messages+136)>>2)]=((STRING_TABLE.__str198491)|0);
HEAP32[((__ZL19shell_help_messages+140)>>2)]=((STRING_TABLE.__str199492)|0);
HEAP32[((__ZL19shell_help_messages+144)>>2)]=((STRING_TABLE.__str200493)|0);
HEAP32[((__ZL19shell_help_messages+148)>>2)]=((STRING_TABLE.__str201494)|0);
HEAP32[((__ZL19shell_help_messages+152)>>2)]=((STRING_TABLE.__str202495)|0);
HEAP32[((__ZL19shell_help_messages+156)>>2)]=((STRING_TABLE.__str203496)|0);
HEAP32[((__ZL19shell_help_messages+160)>>2)]=((STRING_TABLE.__str204497)|0);
HEAP32[((__ZL19shell_help_messages+164)>>2)]=((STRING_TABLE.__str205498)|0);
HEAP32[((__ZL19shell_help_messages+168)>>2)]=((STRING_TABLE.__str206499)|0);
HEAP32[((__ZL19shell_help_messages+172)>>2)]=((STRING_TABLE.__str207500)|0);
HEAP32[((__ZL19shell_help_messages+176)>>2)]=((STRING_TABLE.__str208501)|0);
HEAP32[((__ZL19shell_help_messages+180)>>2)]=((STRING_TABLE.__str209502)|0);
HEAP32[((__ZL19shell_help_messages+184)>>2)]=((STRING_TABLE.__str210503)|0);
HEAP32[((__ZL19shell_help_messages+188)>>2)]=((STRING_TABLE.__str211504)|0);
HEAP32[((__ZL19shell_help_messages+192)>>2)]=((STRING_TABLE.__str212505)|0);
HEAP32[((__ZL19shell_help_messages+196)>>2)]=((STRING_TABLE.__str213506)|0);
HEAP32[((__ZL19shell_help_messages+200)>>2)]=((STRING_TABLE.__str214507)|0);
HEAP32[((__ZL19shell_help_messages+204)>>2)]=((STRING_TABLE.__str215508)|0);
HEAP32[((__ZL19shell_help_messages+208)>>2)]=((STRING_TABLE.__str216509)|0);
HEAP32[((__ZL19shell_help_messages+212)>>2)]=((STRING_TABLE.__str217510)|0);
HEAP32[((__ZL19shell_help_messages+216)>>2)]=((STRING_TABLE.__str218511)|0);
HEAP32[((__ZL19shell_help_messages+220)>>2)]=((STRING_TABLE.__str219512)|0);
HEAP32[((__ZL19shell_help_messages+224)>>2)]=((STRING_TABLE.__str220513)|0);
HEAP32[((__ZZL7CompileP9JSContextjPN2JS5ValueEE11dummy_class)>>2)]=((STRING_TABLE.__str230523)|0);
HEAP32[((__ZL7badUTF8)>>2)]=((STRING_TABLE.__str261554)|0);
HEAP32[((__ZL7bigUTF8)>>2)]=((STRING_TABLE.__str260553)|0);
HEAP32[((__ZL20FinalizeCounterClass)>>2)]=((STRING_TABLE.__str265558)|0);
HEAP32[((__ZZL9CountHeapP9JSContextjPN2JS5ValueEE14traceKindNames)>>2)]=((STRING_TABLE.__str266559)|0);
HEAP32[((__ZZL9CountHeapP9JSContextjPN2JS5ValueEE14traceKindNames+8)>>2)]=((STRING_TABLE.__str267560)|0);
HEAP32[((__ZZL9CountHeapP9JSContextjPN2JS5ValueEE14traceKindNames+16)>>2)]=((STRING_TABLE.__str268561)|0);
HEAP32[((__ZZL9CountHeapP9JSContextjPN2JS5ValueEE14traceKindNames+24)>>2)]=((STRING_TABLE.__str269562)|0);
HEAP32[((__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap)>>2)]=((STRING_TABLE.__str272565)|0);
HEAP32[((__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap+8)>>2)]=((STRING_TABLE.__str273566)|0);
HEAP32[((__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap+16)>>2)]=((STRING_TABLE.__str274567)|0);
HEAP32[((__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap+24)>>2)]=((STRING_TABLE.__str275568)|0);
HEAP32[((__ZZL11GCParameterP9JSContextjPN2JS5ValueEE8paramMap+32)>>2)]=((STRING_TABLE.__str276569)|0);
HEAP32[((__ZL10js_options)>>2)]=((STRING_TABLE.__str289582)|0);
HEAP32[((__ZL10js_options+8)>>2)]=((STRING_TABLE.__str290583)|0);
HEAP32[((__ZL10js_options+16)>>2)]=((STRING_TABLE.__str104397)|0);
HEAP32[((__ZL10js_options+24)>>2)]=((STRING_TABLE.__str102395)|0);
HEAP32[((__ZL10js_options+32)>>2)]=((STRING_TABLE.__str291584)|0);
HEAP32[((__ZL10js_options+40)>>2)]=((STRING_TABLE.__str292585)|0);
HEAP32[((__ZL10js_options+48)>>2)]=((STRING_TABLE.__str293586)|0);
HEAP32[((__ZL10js_options+56)>>2)]=((STRING_TABLE.__str108401)|0);
HEAP32[((__ZL10js_options+64)>>2)]=((STRING_TABLE.__str294)|0);
HEAP32[((__ZL10js_options+72)>>2)]=((STRING_TABLE.__str269562)|0);
HEAP32[((__ZZL23OptionFlagsToFormatInfocbPjE3fmt)>>2)]=((STRING_TABLE.__str12663)|0);
HEAP32[((__ZZL23OptionFlagsToFormatInfocbPjE3fmt+4)>>2)]=((STRING_TABLE.__str13664)|0);
HEAP32[((__ZZL23OptionFlagsToFormatInfocbPjE3fmt+8)>>2)]=((STRING_TABLE.__str14665)|0);
HEAP32[((__ZZL23OptionFlagsToFormatInfocbPjE3fmt+12)>>2)]=((STRING_TABLE.__str15666)|0);
__ZN2js14BreakpointSiteC1EP8JSScriptPh = 2204;
__ZN2js10BreakpointC1EPNS_8DebuggerEPNS_14BreakpointSiteEP8JSObject = 2206;
__ZN2js8DebuggerC1EP9JSContextP8JSObject = 2208;
__ZN2js8DebuggerD1Ev = 2210;
__ZN2js10StackSpaceC1Ev = 2212;
__ZN2js10StackSpaceD1Ev = 2214;
__ZN2js12ContextStackC1EP9JSContext = 2216;
__ZN2js12ContextStackD1Ev = 2218;
__ZN2js9StackIterC1EP9JSContextNS0_11SavedOptionE = 2220;
__ZN2js13AllFramesIterC1ERNS_10StackSpaceE = 2222;
__ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesD1Ev = 2224;
__ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesC1ES3_PNS0_8SSAValueE = 2226;
__ZN9JSRuntimeC1Ev = 2228;
__ZN9JSRuntimeD1Ev = 2230;
__ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorD1Ev = 2232;
__ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorC1ES1_RS4_ = 2234;
__ZN2js7SCInputC1EP9JSContextPKyj = 2236;
__ZN2js8SCOutputC1EP9JSContext = 2238;
__ZN2js10ThreadDataC1Ev = 2240;
__ZN2js10ThreadDataD1Ev = 2242;
__ZN9JSContextC1EP9JSRuntime = 2244;
__ZN9JSContextD1Ev = 2246;
__ZN13JSCompartmentC1EP9JSRuntime = 2248;
__ZN13JSCompartmentD1Ev = 2250;
__ZN2js5crash5StackC1Ey = 2252;
__ZN2js5crash4RingC1Ey = 2254;
__ZN15JSCodeGeneratorC1EPN2js6ParserEj = 2256;
__ZN15JSCodeGeneratorD1Ev = 2258;
__ZZ18js_CopyErrorObjectP9JSContextP8JSObjectS2_EN8AutoFreeD1Ev = 2260;
__ZN2JS23AutoPreserveCompartmentC1EP9JSContext = 2262;
__ZN2JS23AutoPreserveCompartmentD1Ev = 2264;
__ZN2JS21AutoSwitchCompartmentC1EP9JSContextP13JSCompartment = 2266;
__ZN2JS21AutoSwitchCompartmentC1EP9JSContextP8JSObject = 2268;
__ZN2JS21AutoSwitchCompartmentD1Ev = 2270;
__ZN2js8GCMarkerC1EP9JSContext = 2272;
__ZN2js8GCMarkerD1Ev = 2274;
__ZN13AutoGCSessionC1EP9JSContext = 2276;
__ZN13AutoGCSessionD1Ev = 2278;
__ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeD1Ev = 2280;
__ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeC1ES2_ = 2282;
__ZN2js7GCTimerC1EP9JSRuntimeP13JSCompartment = 2284;
__ZN2js5types17TypeScriptNestingD1Ev = 2286;
__ZN2js5types15TypeCompartmentD1Ev = 2288;
__ZN2js9MathCacheC1Ev = 2290;
__ZN2js12ToCStringBufC1Ev = 2292;
__ZN2js12ToCStringBufD1Ev = 2294;
__ZN2js8PropDescC1Ev = 2296;
__ZN2js6ParserC1EP9JSContextP12JSPrincipalsPNS_10StackFrameEb = 2298;
__ZN2js6ParserD1Ev = 2300;
__ZN2js8CompilerC1EP9JSContextP12JSPrincipalsPNS_10StackFrameE = 2302;
__ZN2js14JSProxyHandlerD1Ev = 2304;
__ZN22JSScriptedProxyHandlerC1Ev = 2306;
__ZN22JSScriptedProxyHandlerD1Ev = 2308;
__ZN22JSScriptedProxyHandlerD2Ev = 2304;
__ZN2js11TokenStreamC1EP9JSContext = 2310;
__ZN2js11TokenStreamD1Ev = 2312;
__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkD1Ev = 2314;
__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkC1EP11JSArenaPool = 2316;
__ZN2js11ArrayBufferD1Ev = 2318;
__ZN9JSWrapperC1Ej = 2320;
__ZN9JSWrapperD1Ev = 2322;
__ZN2js10ForceFrameC1EP9JSContextP8JSObject = 2324;
__ZN2js10ForceFrameD1Ev = 2326;
__ZN2js15AutoCompartmentC1EP9JSContextP8JSObject = 2328;
__ZN2js15AutoCompartmentD1Ev = 2330;
__ZN2js11ErrorCopierD1Ev = 2332;
__ZN25JSCrossCompartmentWrapperC1Ej = 2334;
__ZN25JSCrossCompartmentWrapperD1Ev = 2336;
__ZN25JSCrossCompartmentWrapperD2Ev = 2322;
__ZN2js14XDRScriptStateC1EP10JSXDRState = 2338;
__ZN2js14XDRScriptStateD1Ev = 2340;
__ZN2JS15PerfMeasurementC1ENS0_9EventMaskE = 2342;
__ZN2JS15PerfMeasurementD1Ev = 2344;
__ZN2js3cli12OptionParserD1Ev = 2346;
FUNCTION_TABLE = [0,0,__Z18js_GetErrorMessagePvPKcj,0,__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv,0,__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv,0,_JS_PropertyStub,0,_JS_StrictPropertyStub,0,__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv,0,__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv,0,__ZL24DebuggerArguments_getArgP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger9constructEP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerFrame_constructP9JSContextjPN2JS5ValueE,0,__ZL24DebuggerScript_constructP9JSContextjPN2JS5ValueE,0,__ZL24DebuggerObject_constructP9JSContextjPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3Ptr7nonNullEv,0,__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi,0,__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej,0,__Z9js_ObjectP9JSContextjPN2JS5ValueE,0,__ZN2js8FunctionEP9JSContextjPN2JS5ValueE,0,__ZN2js4evalEP9JSContextjPN2JS5ValueE,0,__ZL14ThrowTypeErrorP9JSContextjPN2JS5ValueE,0,_TransparentObjectWrapper,0,__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv,0,__Z18js_InitObjectClassP9JSContextP8JSObject,0,__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty,0,__ZL35js_generic_native_method_dispatcherP9JSContextjPN2JS5ValueE,0,_js_DecompileFunction,0,_js_DecompileFunctionBody,0,__Z16js_SetAttributesP9JSContextP8JSObjectiPj,0,__Z16js_GetAttributesP9JSContextP8JSObjectiPj,0,__ZL19array_length_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL19array_length_setterP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL20sort_compare_stringsPvPKvS1_Pi,0,__ZL12sort_comparePvPKvS1_Pi,0,__Z8js_ArrayP9JSContextjPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv,0,__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv,0,__Z16js_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty,0,__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv,0,__ZL7BooleanP9JSContextjPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv,0,__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv,0,__ZL16print_gmt_stringPcjd,0,__ZL16print_iso_stringPcjd,0,__Z7js_DateP9JSContextjPN2JS5ValueE,0,__ZN2js12DefaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE,0,_JS_ConvertStub,0,__ZN2js10GetCallArgEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2js10GetCallVarEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL26DumpBytecodeScriptCallbackP9JSContextPvS1_13JSGCTraceKindj,0,__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv,0,__ZL21EmitDestructuringDeclP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode,0,__ZL22EmitDestructuringDeclsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode,0,__ZL9ExceptionP9JSContextjPN2JS5ValueE,0,__ZL15StrictArgGetterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL15StrictArgSetterP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL9ArgGetterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL9ArgSetterP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZN2jsL16GetCallArgumentsEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2jsL16SetCallArgumentsEP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL15fun_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv,0,__ZN2js28CallOrConstructBoundFunctionEP9JSContextjPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3Ptr7nonNullEv,0,__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv,0,__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv,0,__ZN2js2gcL27PrintPropertyGetterOrSetterEP8JSTracerPcj,0,__ZN2js2gcL19PrintPropertyMethodEP8JSTracerPcj,0,__ZN2js10array_pushEP9JSContextjPN2JS5ValueE,0,__ZN2js9array_popEP9JSContextjPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv,0,__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv,0,__ZN2js2gc12EmptyArenaOpEPNS0_5ArenaE,0,__ZN2js10array_sortEP9JSContextjPN2JS5ValueE,0,__ZN2js11str_replaceEP9JSContextjPN2JS5ValueE,0,__Z9js_TypeOfP9JSContextP8JSObject,0,_JS_EnumerateStub,0,__ZL8IteratorP9JSContextjPN2JS5ValueE,0,__Z12js_EnumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3Ptr7nonNullEv,0,_sqrt,0,_acos,0,_asin,0,_atan,0,_cos,0,__ZL13math_exp_bodyd,0,_log,0,_sin,0,_tan,0,__ZL6NumberP9JSContextjPN2JS5ValueE,0,__ZL14js_hash_objectPKv,0,_JS_CompareValues,0,__ZL27gc_sharp_table_entry_markerP11JSHashEntryiPv,0,__ZL17obj_watch_handlerP9JSContextP8JSObjectiN2JS5ValueEPS4_Pv,0,__ZL17block_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL17block_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE,0,_JS_ResolveStub,0,__Z23js_GetElementAttributesP9JSContextP8JSObjectjPj,0,__Z23js_SetElementAttributesP9JSContextP8JSObjectjPj,0,__Z15js_str_toStringP9JSContextjPN2JS5ValueE,0,__Z14js_num_valueOfP9JSContextjPN2JS5ValueE,0,__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3Ptr7nonNullEv,0,__ZL2JAP9JSContextP8JSObjectP16StringifyContext,0,__ZL2JOP9JSContextP8JSObjectP16StringifyContext,0,__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv,0,__ZL14CompareOffsetsPvPKvS1_Pi,0,__ZL20BindDestructuringArgP9JSContextP8BindDataP6JSAtomP13JSTreeContext,0,__ZL7BindLetP9JSContextP8BindDataP6JSAtomP13JSTreeContext,0,__ZL14BindVarOrConstP9JSContextP8BindDataP6JSAtomP13JSTreeContext,0,__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv,0,__ZL12pm_constructP9JSContextjPN2JS5ValueE,0,__ZL9FuncStuffP15SprintfStateStrPKcj,0,__ZL9GrowStuffP15SprintfStateStrPKcj,0,__ZL10LimitStuffP15SprintfStateStrPKcj,0,__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr7nonNullEv,0,__ZN2js14JSProxyHandlerD2Ev,0,__ZL10proxy_CallP9JSContextjPN2JS5ValueE,0,__ZL15proxy_ConstructP9JSContextjPN2JS5ValueE,0,__ZL19proxy_TraceFunctionP8JSTracerP8JSObject,0,__ZL20proxy_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty,0,__ZL19proxy_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty,0,__ZL19proxy_LookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty,0,__ZL20proxy_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej,0,__ZL19proxy_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej,0,__ZL19proxy_DefineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej,0,__ZL16proxy_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE,0,__ZL17proxy_GetPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE,0,__ZL16proxy_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE,0,__ZL16proxy_GetSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE,0,__ZL17proxy_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZL16proxy_SetElementP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZL16proxy_SetSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZL19proxy_GetAttributesP9JSContextP8JSObjectiPj,0,__ZL26proxy_GetElementAttributesP9JSContextP8JSObjectjPj,0,__ZL26proxy_GetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj,0,__ZL19proxy_SetAttributesP9JSContextP8JSObjectiPj,0,__ZL26proxy_SetElementAttributesP9JSContextP8JSObjectjPj,0,__ZL26proxy_SetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj,0,__ZL20proxy_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZL19proxy_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZL19proxy_DeleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZL12proxy_TypeOfP9JSContextP8JSObject,0,__ZL16regexp_constructP9JSContextjPN2JS5ValueE,0,__ZN2js10SetCallArgEP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZN2js12GetCallUpvarEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2js12SetCallUpvarEP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZN2js10SetCallVarEP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv,0,__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr7nonNullEv,0,__ZL21ReplaceRegExpCallbackP9JSContextPN2js13RegExpStaticsEjPv,0,__ZL13MatchCallbackP9JSContextPN2js13RegExpStaticsEjPv,0,__Z9js_StringP9JSContextjPN2JS5ValueE,0,__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE,0,__Z16js_ValueToStringP9JSContextRKN2JS5ValueE,0,__Z16js_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej,0,__ZN18TypedArrayTemplateIaE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIhE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIsE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateItE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIiE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIjE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIfE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIdE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateI13uint8_clampedE17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN2js11ArrayBuffer17class_constructorEP9JSContextjPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv,0,__ZL17WeakMap_constructP9JSContextjPN2JS5ValueE,0,__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv,0,__ZN9JSWrapperD2Ev,0,__ZN9JSWrapperD2Ev,0,__ZL13attr_identityPKvS0_,0,__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL15namespace_matchPKvS0_,0,__ZL9NamespaceP9JSContextjPN2JS5ValueE,0,__ZL5QNameP9JSContextjPN2JS5ValueE,0,__ZL3XMLP9JSContextjPN2JS5ValueE,0,__ZL7XMLListP9JSContextjPN2JS5ValueE,0,__ZL13xml_isXMLNameP9JSContextjPN2JS5ValueE,0,__ZL13MatchAttrNameP8JSObjectP5JSXML,0,__ZL13MatchElemNameP8JSObjectP5JSXML,0,__ZL18namespace_identityPKvS0_,0,__ZL20namespace_full_matchPKvS0_,0,__ZL18my_GetErrorMessagePvPKcj,0,__ZL10its_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL10its_setterP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL15CountHeapNotifyP8JSTracerPv13JSGCTraceKind,0,__ZL23DebuggerAndThrowHandlerP9JSContextP8JSScriptPhPN2JS5ValueEPv,0,__ZL11TrapHandlerP9JSContextP8JSScriptPhPN2JS5ValueES5_,0,_JS_NewObjectWithGivenProto,0,_JS_NewObject,0,__ZL16my_ErrorReporterP9JSContextPKcP13JSErrorReport,0,__ZL12AlarmHandleri,0,__ZL22ShellOperationCallbackP9JSContext,0,__ZL20DebuggerObject_traceP8JSTracerP8JSObject,0,__ZN2js8Debugger8finalizeEP9JSContextP8JSObject,0,__ZN2js8Debugger11traceObjectEP8JSTracerP8JSObject,0,__ZN2js8Debugger10getEnabledEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger10setEnabledEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger22getOnDebuggerStatementEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger22setOnDebuggerStatementEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger20getOnExceptionUnwindEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger20setOnExceptionUnwindEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger14getOnNewScriptEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger14setOnNewScriptEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger15getOnEnterFrameEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger15setOnEnterFrameEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger24getUncaughtExceptionHookEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger24setUncaughtExceptionHookEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger11addDebuggeeEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger14removeDebuggeeEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger11hasDebuggeeEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger12getDebuggeesEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger14getNewestFrameEP9JSContextjPN2JS5ValueE,0,__ZN2js8Debugger19clearAllBreakpointsEP9JSContextjPN2JS5ValueE,0,__ZL20DebuggerScript_traceP8JSTracerP8JSObject,0,__ZL21DebuggerScript_getUrlP9JSContextjPN2JS5ValueE,0,__ZL27DebuggerScript_getStartLineP9JSContextjPN2JS5ValueE,0,__ZL27DebuggerScript_getLineCountP9JSContextjPN2JS5ValueE,0,__ZL22DebuggerScript_getLiveP9JSContextjPN2JS5ValueE,0,__ZL30DebuggerScript_getChildScriptsP9JSContextjPN2JS5ValueE,0,__ZL28DebuggerScript_getAllOffsetsP9JSContextjPN2JS5ValueE,0,__ZL29DebuggerScript_getLineOffsetsP9JSContextjPN2JS5ValueE,0,__ZL28DebuggerScript_getOffsetLineP9JSContextjPN2JS5ValueE,0,__ZL28DebuggerScript_setBreakpointP9JSContextjPN2JS5ValueE,0,__ZL29DebuggerScript_getBreakpointsP9JSContextjPN2JS5ValueE,0,__ZL30DebuggerScript_clearBreakpointP9JSContextjPN2JS5ValueE,0,__ZL34DebuggerScript_clearAllBreakpointsP9JSContextjPN2JS5ValueE,0,__ZL26DebuggerFrame_getArgumentsP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerFrame_getCalleeP9JSContextjPN2JS5ValueE,0,__ZL29DebuggerFrame_getConstructingP9JSContextjPN2JS5ValueE,0,__ZL26DebuggerFrame_getGeneratorP9JSContextjPN2JS5ValueE,0,__ZL21DebuggerFrame_getLiveP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerFrame_getOffsetP9JSContextjPN2JS5ValueE,0,__ZL22DebuggerFrame_getOlderP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerFrame_getScriptP9JSContextjPN2JS5ValueE,0,__ZL21DebuggerFrame_getThisP9JSContextjPN2JS5ValueE,0,__ZL21DebuggerFrame_getTypeP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerFrame_getOnStepP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerFrame_setOnStepP9JSContextjPN2JS5ValueE,0,__ZL18DebuggerFrame_evalP9JSContextjPN2JS5ValueE,0,__ZL30DebuggerFrame_evalWithBindingsP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerObject_getProtoP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerObject_getClassP9JSContextjPN2JS5ValueE,0,__ZL26DebuggerObject_getCallableP9JSContextjPN2JS5ValueE,0,__ZL22DebuggerObject_getNameP9JSContextjPN2JS5ValueE,0,__ZL32DebuggerObject_getParameterNamesP9JSContextjPN2JS5ValueE,0,__ZL24DebuggerObject_getScriptP9JSContextjPN2JS5ValueE,0,__ZL39DebuggerObject_getOwnPropertyDescriptorP9JSContextjPN2JS5ValueE,0,__ZL34DebuggerObject_getOwnPropertyNamesP9JSContextjPN2JS5ValueE,0,__ZL29DebuggerObject_definePropertyP9JSContextjPN2JS5ValueE,0,__ZL31DebuggerObject_definePropertiesP9JSContextjPN2JS5ValueE,0,__ZL29DebuggerObject_deletePropertyP9JSContextjPN2JS5ValueE,0,__ZL19DebuggerObject_sealP9JSContextjPN2JS5ValueE,0,__ZL21DebuggerObject_freezeP9JSContextjPN2JS5ValueE,0,__ZL32DebuggerObject_preventExtensionsP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerObject_isSealedP9JSContextjPN2JS5ValueE,0,__ZL23DebuggerObject_isFrozenP9JSContextjPN2JS5ValueE,0,__ZL27DebuggerObject_isExtensibleP9JSContextjPN2JS5ValueE,0,__ZL20DebuggerObject_applyP9JSContextjPN2JS5ValueE,0,__ZL19DebuggerObject_callP9JSContextjPN2JS5ValueE,0,__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE15nonMarkingTraceEP8JSTracer,0,__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE15markIterativelyEP8JSTracer,0,__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE5sweepEP8JSTracer,0,___cxa_pure_virtual,0,__ZN2js24GlobalDebuggees_finalizeEP9JSContextP8JSObject,0,__Z20js_InitFunctionClassP9JSContextP8JSObject,0,__Z17js_InitArrayClassP9JSContextP8JSObject,0,__Z19js_InitBooleanClassP9JSContextP8JSObject,0,__Z16js_InitDateClassP9JSContextP8JSObject,0,__Z16js_InitMathClassP9JSContextP8JSObject,0,__Z18js_InitNumberClassP9JSContextP8JSObject,0,__Z18js_InitStringClassP9JSContextP8JSObject,0,__Z23js_InitExceptionClassesP9JSContextP8JSObject,0,__Z18js_InitRegExpClassP9JSContextP8JSObject,0,__Z15js_InitXMLClassP9JSContextP8JSObject,0,__Z21js_InitNamespaceClassP9JSContextP8JSObject,0,__Z17js_InitQNameClassP9JSContextP8JSObject,0,__Z22js_InitIteratorClassesP9JSContextP8JSObject,0,__Z16js_InitJSONClassP9JSContextP8JSObject,0,__Z24js_InitTypedArrayClassesP9JSContextP8JSObject,0,__Z19js_InitWeakMapClassP9JSContextP8JSObject,0,_js_InitProxyClass,0,__ZL18prop_iter_finalizeP9JSContextP8JSObject,0,__ZL15prop_iter_traceP8JSTracerP8JSObject,0,__ZL11array_traceP8JSTracerP8JSObject,0,__ZL20array_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty,0,__ZL19array_lookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty,0,__ZL19array_lookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty,0,__ZN2js20array_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej,0,__ZN2js19array_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej,0,__ZL19array_defineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej,0,__ZL16array_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE,0,__ZL17array_getPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE,0,__ZL16array_getElementP9JSContextP8JSObjectS2_jPN2JS5ValueE,0,__ZL16array_getSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE,0,__ZL17array_setPropertyP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZL16array_setElementP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZL16array_setSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZL19array_getAttributesP9JSContextP8JSObjectiPj,0,__ZL26array_getElementAttributesP9JSContextP8JSObjectjPj,0,__ZL26array_getSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj,0,__ZL19array_setAttributesP9JSContextP8JSObjectiPj,0,__ZL26array_setElementAttributesP9JSContextP8JSObjectjPj,0,__ZL26array_setSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj,0,__ZN2js20array_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN2js19array_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZL19array_deleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZL12array_typeOfP9JSContextP8JSObject,0,__ZL9array_fixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE,0,__ZL21slowarray_addPropertyP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL14array_toSourceP9JSContextjPN2JS5ValueE,0,__ZL14array_toStringP9JSContextjPN2JS5ValueE,0,__ZL20array_toLocaleStringP9JSContextjPN2JS5ValueE,0,__ZL10array_joinP9JSContextjPN2JS5ValueE,0,__ZL13array_reverseP9JSContextjPN2JS5ValueE,0,__ZL11array_shiftP9JSContextjPN2JS5ValueE,0,__ZL13array_unshiftP9JSContextjPN2JS5ValueE,0,__ZL12array_spliceP9JSContextjPN2JS5ValueE,0,__ZL12array_concatP9JSContextjPN2JS5ValueE,0,__ZL11array_sliceP9JSContextjPN2JS5ValueE,0,__ZL13array_indexOfP9JSContextjPN2JS5ValueE,0,__ZL17array_lastIndexOfP9JSContextjPN2JS5ValueE,0,__ZL13array_forEachP9JSContextjPN2JS5ValueE,0,__ZL9array_mapP9JSContextjPN2JS5ValueE,0,__ZL12array_reduceP9JSContextjPN2JS5ValueE,0,__ZL17array_reduceRightP9JSContextjPN2JS5ValueE,0,__ZL12array_filterP9JSContextjPN2JS5ValueE,0,__ZL10array_someP9JSContextjPN2JS5ValueE,0,__ZL11array_everyP9JSContextjPN2JS5ValueE,0,__ZL13array_isArrayP9JSContextjPN2JS5ValueE,0,__ZL13bool_toSourceP9JSContextjPN2JS5ValueE,0,__ZL13bool_toStringP9JSContextjPN2JS5ValueE,0,__ZL12bool_valueOfP9JSContextjPN2JS5ValueE,0,__ZL12date_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE,0,__ZL8date_UTCP9JSContextjPN2JS5ValueE,0,__ZL10date_parseP9JSContextjPN2JS5ValueE,0,__ZL8date_nowP9JSContextjPN2JS5ValueE,0,__ZL12date_getTimeP9JSContextjPN2JS5ValueE,0,__ZL22date_getTimezoneOffsetP9JSContextjPN2JS5ValueE,0,__ZL12date_getYearP9JSContextjPN2JS5ValueE,0,__ZL16date_getFullYearP9JSContextjPN2JS5ValueE,0,__ZL19date_getUTCFullYearP9JSContextjPN2JS5ValueE,0,__ZL13date_getMonthP9JSContextjPN2JS5ValueE,0,__ZL16date_getUTCMonthP9JSContextjPN2JS5ValueE,0,__ZL12date_getDateP9JSContextjPN2JS5ValueE,0,__ZL15date_getUTCDateP9JSContextjPN2JS5ValueE,0,__ZL11date_getDayP9JSContextjPN2JS5ValueE,0,__ZL14date_getUTCDayP9JSContextjPN2JS5ValueE,0,__ZL13date_getHoursP9JSContextjPN2JS5ValueE,0,__ZL16date_getUTCHoursP9JSContextjPN2JS5ValueE,0,__ZL15date_getMinutesP9JSContextjPN2JS5ValueE,0,__ZL18date_getUTCMinutesP9JSContextjPN2JS5ValueE,0,__ZL18date_getUTCSecondsP9JSContextjPN2JS5ValueE,0,__ZL23date_getUTCMillisecondsP9JSContextjPN2JS5ValueE,0,__ZL12date_setTimeP9JSContextjPN2JS5ValueE,0,__ZL12date_setYearP9JSContextjPN2JS5ValueE,0,__ZL16date_setFullYearP9JSContextjPN2JS5ValueE,0,__ZL19date_setUTCFullYearP9JSContextjPN2JS5ValueE,0,__ZL13date_setMonthP9JSContextjPN2JS5ValueE,0,__ZL16date_setUTCMonthP9JSContextjPN2JS5ValueE,0,__ZL12date_setDateP9JSContextjPN2JS5ValueE,0,__ZL15date_setUTCDateP9JSContextjPN2JS5ValueE,0,__ZL13date_setHoursP9JSContextjPN2JS5ValueE,0,__ZL16date_setUTCHoursP9JSContextjPN2JS5ValueE,0,__ZL15date_setMinutesP9JSContextjPN2JS5ValueE,0,__ZL18date_setUTCMinutesP9JSContextjPN2JS5ValueE,0,__ZL15date_setSecondsP9JSContextjPN2JS5ValueE,0,__ZL18date_setUTCSecondsP9JSContextjPN2JS5ValueE,0,__ZL20date_setMillisecondsP9JSContextjPN2JS5ValueE,0,__ZL23date_setUTCMillisecondsP9JSContextjPN2JS5ValueE,0,__ZL16date_toGMTStringP9JSContextjPN2JS5ValueE,0,__ZL19date_toLocaleStringP9JSContextjPN2JS5ValueE,0,__ZL23date_toLocaleDateStringP9JSContextjPN2JS5ValueE,0,__ZL23date_toLocaleTimeStringP9JSContextjPN2JS5ValueE,0,__ZL19date_toLocaleFormatP9JSContextjPN2JS5ValueE,0,__ZL17date_toDateStringP9JSContextjPN2JS5ValueE,0,__ZL17date_toTimeStringP9JSContextjPN2JS5ValueE,0,__ZL16date_toISOStringP9JSContextjPN2JS5ValueE,0,__ZL11date_toJSONP9JSContextjPN2JS5ValueE,0,__ZL13date_toSourceP9JSContextjPN2JS5ValueE,0,__ZL13date_toStringP9JSContextjPN2JS5ValueE,0,__ZL12date_valueOfP9JSContextjPN2JS5ValueE,0,_JS_DHashAllocTable,0,_JS_DHashFreeTable,0,_JS_DHashVoidPtrKeyStub,0,_JS_DHashMatchEntryStub,0,_JS_DHashMoveEntryStub,0,_JS_DHashClearEntryStub,0,_JS_DHashFinalizeStub,0,__ZL11exn_resolveP9JSContextP8JSObjectijPS2_,0,__ZL12exn_finalizeP9JSContextP8JSObject,0,__ZL9exn_traceP8JSTracerP8JSObject,0,__ZL12exn_toSourceP9JSContextjPN2JS5ValueE,0,__ZL12exn_toStringP9JSContextjPN2JS5ValueE,0,__ZL16args_delPropertyP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20strictargs_enumerateP9JSContextP8JSObject,0,__ZL18strictargs_resolveP9JSContextP8JSObjectijPS2_,0,__ZL13args_finalizeP9JSContextP8JSObject,0,__ZL10args_traceP8JSTracerP8JSObject,0,__ZL14args_enumerateP9JSContextP8JSObject,0,__ZL12args_resolveP9JSContextP8JSObjectijPS2_,0,__ZL12call_resolveP9JSContextP8JSObjectijPS2_,0,__ZL10call_traceP8JSTracerP8JSObject,0,__ZL13fun_enumerateP9JSContextP8JSObject,0,__ZL11fun_resolveP9JSContextP8JSObjectijPS2_,0,__ZL12fun_finalizeP9JSContextP8JSObject,0,__ZL15fun_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi,0,__ZL9fun_traceP8JSTracerP8JSObject,0,__ZL12fun_toSourceP9JSContextjPN2JS5ValueE,0,__ZL12fun_toStringP9JSContextjPN2JS5ValueE,0,__Z12js_fun_applyP9JSContextjPN2JS5ValueE,0,__Z11js_fun_callP9JSContextjPN2JS5ValueE,0,__ZL8fun_bindP9JSContextjPN2JS5ValueE,0,__ZL15fun_isGeneratorP9JSContextjPN2JS5ValueE,0,__ZL17DefaultAllocTablePvj,0,__ZL16DefaultFreeTablePvS_j,0,__ZL17DefaultAllocEntryPvPKv,0,__ZL16DefaultFreeEntryPvP11JSHashEntryj,0,__ZN18TypeConstraintProp7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN2js5types14TypeConstraint16newPropertyStateEP9JSContextPNS0_7TypeSetE,0,__ZN2js5types14TypeConstraint14newObjectStateEP9JSContextPNS0_10TypeObjectEb,0,__ZN22TypeConstraintCallProp7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN24TypeConstraintSetElement7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN18TypeConstraintCall7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN19TypeConstraintArith7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN27TypeConstraintTransformThis7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN27TypeConstraintPropagateThis7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN26TypeConstraintFreezeGlobal7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN31TypeConstraintFreezeOwnProperty7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN31TypeConstraintFreezeOwnProperty16newPropertyStateEP9JSContextPN2js5types7TypeSetE,0,__ZN31TypeConstraintFreezeObjectFlags7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN31TypeConstraintFreezeObjectFlags14newObjectStateEP9JSContextPN2js5types10TypeObjectEb,0,__ZN34TypeConstraintFreezeObjectFlagsSet7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN27TypeConstraintFreezeTypeTag7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN20TypeConstraintFreeze7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN27TypeConstraintLazyArguments7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN27TypeConstraintLazyArguments14newObjectStateEP9JSContextPN2js5types10TypeObjectEb,0,__ZN27TypeConstraintSubsetBarrier7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN29TypeConstraintFilterPrimitive7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN20TypeConstraintSubset7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN33TypeConstraintClearDefiniteSingle7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZN33TypeConstraintClearDefiniteSetter7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE,0,__ZL20no_such_method_traceP8JSTracerP8JSObject,0,__ZNK23GenericInterruptEnablerIiE16enableInterruptsEv,0,__ZL17iterator_finalizeP9JSContextP8JSObject,0,__ZL14iterator_traceP8JSTracerP8JSObject,0,__ZL17iterator_iteratorP9JSContextP8JSObjecti,0,__ZL13iterator_nextP9JSContextjPN2JS5ValueE,0,__ZL20stopiter_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi,0,__ZL18generator_finalizeP9JSContextP8JSObject,0,__ZL15generator_traceP8JSTracerP8JSObject,0,__ZL14generator_nextP9JSContextjPN2JS5ValueE,0,__ZL14generator_sendP9JSContextjPN2JS5ValueE,0,__ZL15generator_throwP9JSContextjPN2JS5ValueE,0,__ZL15generator_closeP9JSContextjPN2JS5ValueE,0,__ZL13math_toSourceP9JSContextjPN2JS5ValueE,0,__Z11js_math_absP9JSContextjPN2JS5ValueE,0,__ZL9math_acosP9JSContextjPN2JS5ValueE,0,__ZL9math_asinP9JSContextjPN2JS5ValueE,0,__ZL9math_atanP9JSContextjPN2JS5ValueE,0,__ZL10math_atan2P9JSContextjPN2JS5ValueE,0,__Z12js_math_ceilP9JSContextjPN2JS5ValueE,0,__ZL8math_cosP9JSContextjPN2JS5ValueE,0,__ZL8math_expP9JSContextjPN2JS5ValueE,0,__Z13js_math_floorP9JSContextjPN2JS5ValueE,0,__ZL8math_logP9JSContextjPN2JS5ValueE,0,__Z11js_math_maxP9JSContextjPN2JS5ValueE,0,__Z11js_math_minP9JSContextjPN2JS5ValueE,0,__Z11js_math_powP9JSContextjPN2JS5ValueE,0,__ZL11math_randomP9JSContextjPN2JS5ValueE,0,__Z13js_math_roundP9JSContextjPN2JS5ValueE,0,__ZL8math_sinP9JSContextjPN2JS5ValueE,0,__Z12js_math_sqrtP9JSContextjPN2JS5ValueE,0,__ZL8math_tanP9JSContextjPN2JS5ValueE,0,__ZL9num_isNaNP9JSContextjPN2JS5ValueE,0,__ZL12num_isFiniteP9JSContextjPN2JS5ValueE,0,__ZL14num_parseFloatP9JSContextjPN2JS5ValueE,0,__ZL12num_parseIntP9JSContextjPN2JS5ValueE,0,__ZL12num_toSourceP9JSContextjPN2JS5ValueE,0,__ZL12num_toStringP9JSContextjPN2JS5ValueE,0,__ZL18num_toLocaleStringP9JSContextjPN2JS5ValueE,0,__ZL11num_toFixedP9JSContextjPN2JS5ValueE,0,__ZL17num_toExponentialP9JSContextjPN2JS5ValueE,0,__ZL15num_toPrecisionP9JSContextjPN2JS5ValueE,0,__ZL12obj_getProtoP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL12obj_setProtoP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL12obj_toSourceP9JSContextjPN2JS5ValueE,0,__ZL12obj_toStringP9JSContextjPN2JS5ValueE,0,__ZL18obj_toLocaleStringP9JSContextjPN2JS5ValueE,0,__ZL11obj_valueOfP9JSContextjPN2JS5ValueE,0,__ZL9obj_watchP9JSContextjPN2JS5ValueE,0,__ZL11obj_unwatchP9JSContextjPN2JS5ValueE,0,__ZL18obj_hasOwnPropertyP9JSContextjPN2JS5ValueE,0,__ZL17obj_isPrototypeOfP9JSContextjPN2JS5ValueE,0,__ZL24obj_propertyIsEnumerableP9JSContextjPN2JS5ValueE,0,__Z19js_obj_defineGetterP9JSContextjPN2JS5ValueE,0,__Z19js_obj_defineSetterP9JSContextjPN2JS5ValueE,0,__ZL16obj_lookupGetterP9JSContextjPN2JS5ValueE,0,__ZL16obj_lookupSetterP9JSContextjPN2JS5ValueE,0,__Z18obj_getPrototypeOfP9JSContextjPN2JS5ValueE,0,__ZL28obj_getOwnPropertyDescriptorP9JSContextjPN2JS5ValueE,0,__ZL8obj_keysP9JSContextjPN2JS5ValueE,0,__ZL18obj_definePropertyP9JSContextjPN2JS5ValueE,0,__ZL20obj_definePropertiesP9JSContextjPN2JS5ValueE,0,__ZL10obj_createP9JSContextjPN2JS5ValueE,0,__ZL23obj_getOwnPropertyNamesP9JSContextjPN2JS5ValueE,0,__ZL16obj_isExtensibleP9JSContextjPN2JS5ValueE,0,__ZL21obj_preventExtensionsP9JSContextjPN2JS5ValueE,0,__ZL10obj_freezeP9JSContextjPN2JS5ValueE,0,__ZL12obj_isFrozenP9JSContextjPN2JS5ValueE,0,__ZL8obj_sealP9JSContextjPN2JS5ValueE,0,__ZL12obj_isSealedP9JSContextjPN2JS5ValueE,0,__ZL19with_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty,0,__ZL18with_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty,0,__ZL18with_LookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty,0,__ZL15with_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE,0,__ZL16with_GetPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE,0,__ZL15with_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE,0,__ZL15with_GetSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE,0,__ZL16with_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZL15with_SetElementP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZL15with_SetSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZL18with_GetAttributesP9JSContextP8JSObjectiPj,0,__ZL25with_GetElementAttributesP9JSContextP8JSObjectjPj,0,__ZL25with_GetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj,0,__ZL18with_SetAttributesP9JSContextP8JSObjectiPj,0,__ZL25with_SetElementAttributesP9JSContextP8JSObjectjPj,0,__ZL25with_SetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj,0,__ZL19with_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZL18with_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZL18with_DeleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZL14with_EnumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZL11with_TypeOfP9JSContextP8JSObject,0,__ZL15with_ThisObjectP9JSContextP8JSObject,0,__ZL16js_InitNullClassP9JSContextP8JSObject,0,__ZL13json_toSourceP9JSContextjPN2JS5ValueE,0,__Z13js_json_parseP9JSContextjPN2JS5ValueE,0,__Z17js_json_stringifyP9JSContextjPN2JS5ValueE,0,__ZL8pm_startP9JSContextjPN2JS5ValueE,0,__ZL7pm_stopP9JSContextjPN2JS5ValueE,0,__ZL8pm_resetP9JSContextjPN2JS5ValueE,0,__ZL22pm_canMeasureSomethingP9JSContextjPN2JS5ValueE,0,__ZL11pm_finalizeP9JSContextP8JSObject,0,__ZL17pm_get_cpu_cyclesP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL19pm_get_instructionsP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL23pm_get_cache_referencesP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL19pm_get_cache_missesP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL26pm_get_branch_instructionsP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20pm_get_branch_missesP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL17pm_get_bus_cyclesP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL18pm_get_page_faultsP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL24pm_get_major_page_faultsP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL23pm_get_context_switchesP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL21pm_get_cpu_migrationsP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL21pm_get_eventsMeasuredP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2js14JSProxyHandlerD2Ev,0,__ZN2js14JSProxyHandlerD0Ev,0,__ZN2js14JSProxyHandler3hasEP9JSContextP8JSObjectiPb,0,__ZN2js14JSProxyHandler6hasOwnEP9JSContextP8JSObjectiPb,0,__ZN2js14JSProxyHandler3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN2js14JSProxyHandler3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE,0,__ZN2js14JSProxyHandler4keysEP9JSContextP8JSObjectRNS_12AutoIdVectorE,0,__ZN2js14JSProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE,0,__ZN2js14JSProxyHandler4callEP9JSContextP8JSObjectjPN2JS5ValueE,0,__ZN2js14JSProxyHandler9constructEP9JSContextP8JSObjectjPN2JS5ValueES7_,0,__ZN2js14JSProxyHandler11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb,0,__ZN2js14JSProxyHandler6typeOfEP9JSContextP8JSObject,0,__ZN2js14JSProxyHandler12obj_toStringEP9JSContextP8JSObject,0,__ZN2js14JSProxyHandler12fun_toStringEP9JSContextP8JSObjectj,0,__ZN2js14JSProxyHandler12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE,0,__ZN2js14JSProxyHandler8finalizeEP9JSContextP8JSObject,0,__ZN2js14JSProxyHandler5traceEP8JSTracerP8JSObject,0,__ZN2js14JSProxyHandler13isOuterWindowEv,0,__ZN22JSScriptedProxyHandlerD0Ev,0,__ZN22JSScriptedProxyHandler21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor,0,__ZN22JSScriptedProxyHandler24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor,0,__ZN22JSScriptedProxyHandler14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor,0,__ZN22JSScriptedProxyHandler19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN22JSScriptedProxyHandler7delete_EP9JSContextP8JSObjectiPb,0,__ZN22JSScriptedProxyHandler9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN22JSScriptedProxyHandler3fixEP9JSContextP8JSObjectPN2JS5ValueE,0,__ZN22JSScriptedProxyHandler3hasEP9JSContextP8JSObjectiPb,0,__ZN22JSScriptedProxyHandler6hasOwnEP9JSContextP8JSObjectiPb,0,__ZN22JSScriptedProxyHandler3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE,0,__ZN22JSScriptedProxyHandler3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE,0,__ZN22JSScriptedProxyHandler4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN22JSScriptedProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE,0,__ZL13proxy_ConvertP9JSContextP8JSObject6JSTypePN2JS5ValueE,0,__ZL14proxy_FinalizeP9JSContextP8JSObject,0,__ZL17proxy_HasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi,0,__ZL17proxy_TraceObjectP8JSTracerP8JSObject,0,__ZL9proxy_FixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE,0,__ZL17proxy_innerObjectP9JSContextP8JSObject,0,__ZL12proxy_createP9JSContextjPN2JS5ValueE,0,__ZL20proxy_createFunctionP9JSContextjPN2JS5ValueE,0,__ZL13callable_CallP9JSContextjPN2JS5ValueE,0,__Z18callable_ConstructP9JSContextjPN2JS5ValueE,0,__ZL13reflect_parseP9JSContextjPN2JS5ValueE,0,__ZL13resc_finalizeP9JSContextP8JSObject,0,__ZL10resc_traceP8JSTracerP8JSObject,0,__ZL19static_input_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL19static_input_setterP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL23static_multiline_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL23static_multiline_setterP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL23static_lastMatch_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL23static_lastParen_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL25static_leftContext_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL26static_rightContext_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren1_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren2_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren3_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren4_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren5_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren6_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren7_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren8_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL20static_paren9_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL15regexp_finalizeP9JSContextP8JSObject,0,__Z18js_XDRRegExpObjectP10JSXDRStatePP8JSObject,0,__ZL15regexp_toStringP9JSContextjPN2JS5ValueE,0,__ZL14regexp_compileP9JSContextjPN2JS5ValueE,0,__Z14js_regexp_execP9JSContextjPN2JS5ValueE,0,__Z14js_regexp_testP9JSContextjPN2JS5ValueE,0,__ZL12script_traceP8JSTracerP8JSObject,0,__ZL10str_escapeP9JSContextjPN2JS5ValueE,0,__ZL12str_unescapeP9JSContextjPN2JS5ValueE,0,__ZL10str_unevalP9JSContextjPN2JS5ValueE,0,__ZL13str_decodeURIP9JSContextjPN2JS5ValueE,0,__ZL13str_encodeURIP9JSContextjPN2JS5ValueE,0,__ZL23str_decodeURI_ComponentP9JSContextjPN2JS5ValueE,0,__ZL23str_encodeURI_ComponentP9JSContextjPN2JS5ValueE,0,__ZL13str_enumerateP9JSContextP8JSObject,0,__ZL11str_resolveP9JSContextP8JSObjectijPS2_,0,__ZL9str_quoteP9JSContextjPN2JS5ValueE,0,__ZL12str_toSourceP9JSContextjPN2JS5ValueE,0,__ZL13str_substringP9JSContextjPN2JS5ValueE,0,__ZL15str_toLowerCaseP9JSContextjPN2JS5ValueE,0,__ZL15str_toUpperCaseP9JSContextjPN2JS5ValueE,0,__Z13js_str_charAtP9JSContextjPN2JS5ValueE,0,__Z17js_str_charCodeAtP9JSContextjPN2JS5ValueE,0,__ZL11str_indexOfP9JSContextjPN2JS5ValueE,0,__ZL15str_lastIndexOfP9JSContextjPN2JS5ValueE,0,__ZL8str_trimP9JSContextjPN2JS5ValueE,0,__ZL12str_trimLeftP9JSContextjPN2JS5ValueE,0,__ZL13str_trimRightP9JSContextjPN2JS5ValueE,0,__ZL21str_toLocaleLowerCaseP9JSContextjPN2JS5ValueE,0,__ZL21str_toLocaleUpperCaseP9JSContextjPN2JS5ValueE,0,__ZL17str_localeCompareP9JSContextjPN2JS5ValueE,0,__ZL9str_matchP9JSContextjPN2JS5ValueE,0,__ZL10str_searchP9JSContextjPN2JS5ValueE,0,__ZL9str_splitP9JSContextjPN2JS5ValueE,0,__ZL10str_substrP9JSContextjPN2JS5ValueE,0,__ZL10str_concatP9JSContextjPN2JS5ValueE,0,__ZL9str_sliceP9JSContextjPN2JS5ValueE,0,__ZL8str_boldP9JSContextjPN2JS5ValueE,0,__ZL11str_italicsP9JSContextjPN2JS5ValueE,0,__ZL9str_fixedP9JSContextjPN2JS5ValueE,0,__ZL12str_fontsizeP9JSContextjPN2JS5ValueE,0,__ZL13str_fontcolorP9JSContextjPN2JS5ValueE,0,__ZL8str_linkP9JSContextjPN2JS5ValueE,0,__ZL10str_anchorP9JSContextjPN2JS5ValueE,0,__ZL10str_strikeP9JSContextjPN2JS5ValueE,0,__ZL9str_smallP9JSContextjPN2JS5ValueE,0,__ZL7str_bigP9JSContextjPN2JS5ValueE,0,__ZL9str_blinkP9JSContextjPN2JS5ValueE,0,__ZL7str_supP9JSContextjPN2JS5ValueE,0,__ZL7str_subP9JSContextjPN2JS5ValueE,0,__ZL16str_fromCharCodeP9JSContextjPN2JS5ValueE,0,_JS_FinalizeStub,0,__ZN2js11ArrayBuffer9obj_traceEP8JSTracerP8JSObject,0,__ZN2js11ArrayBuffer18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty,0,__ZN2js11ArrayBuffer17obj_lookupElementEP9JSContextP8JSObjectjPS4_PP10JSProperty,0,__ZN2js11ArrayBuffer17obj_lookupSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPS4_PP10JSProperty,0,__ZN2js11ArrayBuffer18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN2js11ArrayBuffer17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN2js11ArrayBuffer17obj_defineSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS7_EPFiS2_S4_iiSA_Ej,0,__ZN2js11ArrayBuffer14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN2js11ArrayBuffer15obj_getPropertyEP9JSContextP8JSObjectS4_PNS_12PropertyNameEPN2JS5ValueE,0,__ZN2js11ArrayBuffer14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN2js11ArrayBuffer14obj_getSpecialEP9JSContextP8JSObjectS4_NS_9SpecialIdEPN2JS5ValueE,0,__ZN2js11ArrayBuffer15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN2js11ArrayBuffer14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN2js11ArrayBuffer14obj_setSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPN2JS5ValueEi,0,__ZN2js11ArrayBuffer17obj_getAttributesEP9JSContextP8JSObjectiPj,0,__ZN2js11ArrayBuffer24obj_getElementAttributesEP9JSContextP8JSObjectjPj,0,__ZN2js11ArrayBuffer24obj_getSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj,0,__ZN2js11ArrayBuffer17obj_setAttributesEP9JSContextP8JSObjectiPj,0,__ZN2js11ArrayBuffer24obj_setElementAttributesEP9JSContextP8JSObjectjPj,0,__ZN2js11ArrayBuffer24obj_setSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj,0,__ZN2js11ArrayBuffer18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN2js11ArrayBuffer17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN2js11ArrayBuffer17obj_deleteSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPN2JS5ValueEi,0,__ZN2js11ArrayBuffer13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN2js11ArrayBuffer10obj_typeOfEP9JSContextP8JSObject,0,__ZN2js11ArrayBuffer18prop_getByteLengthEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2js10TypedArray14prop_getLengthEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2js10TypedArray18prop_getByteLengthEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2js10TypedArray18prop_getByteOffsetEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN2js10TypedArray14prop_getBufferEP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZN18TypedArrayTemplateIaE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIaE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIhE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIhE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIsE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIsE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateItE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateItE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIiE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIiE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIjE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIjE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIfE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIfE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIdE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIdE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateI13uint8_clampedE12fun_subarrayEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateI13uint8_clampedE7fun_setEP9JSContextjPN2JS5ValueE,0,__ZN18TypedArrayTemplateIaE9obj_traceEP8JSTracerP8JSObject,0,__ZN2js10TypedArray18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty,0,__ZN2js10TypedArray17obj_lookupElementEP9JSContextP8JSObjectjPS4_PP10JSProperty,0,__ZN2js10TypedArray17obj_lookupSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPS4_PP10JSProperty,0,__ZN18TypedArrayTemplateIaE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIaE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIaE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej,0,__ZN18TypedArrayTemplateIaE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateIaE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIaE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateIaE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIaE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIaE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIaE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN2js10TypedArray17obj_getAttributesEP9JSContextP8JSObjectiPj,0,__ZN2js10TypedArray24obj_getElementAttributesEP9JSContextP8JSObjectjPj,0,__ZN2js10TypedArray24obj_getSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj,0,__ZN2js10TypedArray17obj_setAttributesEP9JSContextP8JSObjectiPj,0,__ZN2js10TypedArray24obj_setElementAttributesEP9JSContextP8JSObjectjPj,0,__ZN2js10TypedArray24obj_setSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj,0,__ZN18TypedArrayTemplateIaE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIaE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIaE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIaE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateIaE10obj_typeOfEP9JSContextP8JSObject,0,__ZN18TypedArrayTemplateIhE9obj_traceEP8JSTracerP8JSObject,0,__ZN18TypedArrayTemplateIhE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIhE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIhE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej,0,__ZN18TypedArrayTemplateIhE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateIhE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIhE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateIhE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIhE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIhE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIhE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIhE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIhE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIhE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIhE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateIhE10obj_typeOfEP9JSContextP8JSObject,0,__ZN18TypedArrayTemplateIsE9obj_traceEP8JSTracerP8JSObject,0,__ZN18TypedArrayTemplateIsE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIsE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIsE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej,0,__ZN18TypedArrayTemplateIsE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateIsE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIsE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateIsE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIsE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIsE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIsE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIsE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIsE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIsE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIsE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateIsE10obj_typeOfEP9JSContextP8JSObject,0,__ZN18TypedArrayTemplateItE9obj_traceEP8JSTracerP8JSObject,0,__ZN18TypedArrayTemplateItE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateItE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateItE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej,0,__ZN18TypedArrayTemplateItE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateItE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateItE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateItE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateItE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateItE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateItE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateItE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateItE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateItE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateItE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateItE10obj_typeOfEP9JSContextP8JSObject,0,__ZN18TypedArrayTemplateIiE9obj_traceEP8JSTracerP8JSObject,0,__ZN18TypedArrayTemplateIiE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIiE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIiE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej,0,__ZN18TypedArrayTemplateIiE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateIiE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIiE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateIiE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIiE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIiE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIiE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIiE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIiE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIiE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIiE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateIiE10obj_typeOfEP9JSContextP8JSObject,0,__ZN18TypedArrayTemplateIjE9obj_traceEP8JSTracerP8JSObject,0,__ZN18TypedArrayTemplateIjE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIjE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIjE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej,0,__ZN18TypedArrayTemplateIjE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateIjE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIjE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateIjE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIjE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIjE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIjE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIjE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIjE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIjE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIjE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateIjE10obj_typeOfEP9JSContextP8JSObject,0,__ZN18TypedArrayTemplateIfE9obj_traceEP8JSTracerP8JSObject,0,__ZN18TypedArrayTemplateIfE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIfE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIfE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej,0,__ZN18TypedArrayTemplateIfE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateIfE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIfE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateIfE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIfE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIfE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIfE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIfE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIfE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIfE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIfE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateIfE10obj_typeOfEP9JSContextP8JSObject,0,__ZN18TypedArrayTemplateIdE9obj_traceEP8JSTracerP8JSObject,0,__ZN18TypedArrayTemplateIdE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIdE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej,0,__ZN18TypedArrayTemplateIdE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej,0,__ZN18TypedArrayTemplateIdE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateIdE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIdE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateIdE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateIdE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIdE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIdE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIdE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIdE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIdE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateIdE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateIdE10obj_typeOfEP9JSContextP8JSObject,0,__ZN18TypedArrayTemplateI13uint8_clampedE9obj_traceEP8JSTracerP8JSObject,0,__ZN18TypedArrayTemplateI13uint8_clampedE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS3_S5_iPS7_EPFiS3_S5_iiSA_Ej,0,__ZN18TypedArrayTemplateI13uint8_clampedE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS3_S5_iPS7_EPFiS3_S5_iiSA_Ej,0,__ZN18TypedArrayTemplateI13uint8_clampedE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS3_S5_iPS9_EPFiS3_S5_iiSC_Ej,0,__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getGenericEP9JSContextP8JSObjectS5_iPN2JS5ValueE,0,__ZN18TypedArrayTemplateI13uint8_clampedE15obj_getPropertyEP9JSContextP8JSObjectS5_PN2js12PropertyNameEPN2JS5ValueE,0,__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getElementEP9JSContextP8JSObjectS5_jPN2JS5ValueE,0,__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getSpecialEP9JSContextP8JSObjectS5_N2js9SpecialIdEPN2JS5ValueE,0,__ZN18TypedArrayTemplateI13uint8_clampedE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateI13uint8_clampedE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateI13uint8_clampedE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateI13uint8_clampedE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZN18TypedArrayTemplateI13uint8_clampedE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZN18TypedArrayTemplateI13uint8_clampedE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZN18TypedArrayTemplateI13uint8_clampedE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZN18TypedArrayTemplateI13uint8_clampedE10obj_typeOfEP9JSContextP8JSObject,0,__ZL16WeakMap_finalizeP9JSContextP8JSObject,0,__ZL12WeakMap_markP8JSTracerP8JSObject,0,__ZL11WeakMap_hasP9JSContextjPN2JS5ValueE,0,__ZL11WeakMap_getP9JSContextjPN2JS5ValueE,0,__ZL14WeakMap_deleteP9JSContextjPN2JS5ValueE,0,__ZL11WeakMap_setP9JSContextjPN2JS5ValueE,0,__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE15nonMarkingTraceEP8JSTracer,0,__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE15markIterativelyEP8JSTracer,0,__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE5sweepEP8JSTracer,0,__ZN9JSWrapperD0Ev,0,__ZN9JSWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor,0,__ZN9JSWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor,0,__ZN9JSWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor,0,__ZN9JSWrapper19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN9JSWrapper7delete_EP9JSContextP8JSObjectiPb,0,__ZN9JSWrapper9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN9JSWrapper3fixEP9JSContextP8JSObjectPN2JS5ValueE,0,__ZN9JSWrapper3hasEP9JSContextP8JSObjectiPb,0,__ZN9JSWrapper6hasOwnEP9JSContextP8JSObjectiPb,0,__ZN9JSWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE,0,__ZN9JSWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE,0,__ZN9JSWrapper4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN9JSWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE,0,__ZN9JSWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE,0,__ZN9JSWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_,0,__ZN9JSWrapper11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb,0,__ZN9JSWrapper6typeOfEP9JSContextP8JSObject,0,__ZN9JSWrapper12obj_toStringEP9JSContextP8JSObject,0,__ZN9JSWrapper12fun_toStringEP9JSContextP8JSObjectj,0,__ZN9JSWrapper12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE,0,__ZN9JSWrapper5traceEP8JSTracerP8JSObject,0,__ZN9JSWrapper5enterEP9JSContextP8JSObjectiNS_6ActionEPb,0,__ZN9JSWrapper5leaveEP9JSContextP8JSObject,0,__ZN25JSCrossCompartmentWrapperD0Ev,0,__ZN25JSCrossCompartmentWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor,0,__ZN25JSCrossCompartmentWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor,0,__ZN25JSCrossCompartmentWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor,0,__ZN25JSCrossCompartmentWrapper19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN25JSCrossCompartmentWrapper7delete_EP9JSContextP8JSObjectiPb,0,__ZN25JSCrossCompartmentWrapper9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN25JSCrossCompartmentWrapper3hasEP9JSContextP8JSObjectiPb,0,__ZN25JSCrossCompartmentWrapper6hasOwnEP9JSContextP8JSObjectiPb,0,__ZN25JSCrossCompartmentWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE,0,__ZN25JSCrossCompartmentWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE,0,__ZN25JSCrossCompartmentWrapper4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE,0,__ZN25JSCrossCompartmentWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE,0,__ZN25JSCrossCompartmentWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE,0,__ZN25JSCrossCompartmentWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_,0,__ZN25JSCrossCompartmentWrapper11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb,0,__ZN25JSCrossCompartmentWrapper12obj_toStringEP9JSContextP8JSObject,0,__ZN25JSCrossCompartmentWrapper12fun_toStringEP9JSContextP8JSObjectj,0,__ZN25JSCrossCompartmentWrapper12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE,0,__ZN25JSCrossCompartmentWrapper5traceEP8JSTracerP8JSObject,0,__ZL9mem_get32P10JSXDRStatePj,0,__ZL9mem_set32P10JSXDRStatePj,0,__ZL12mem_getbytesP10JSXDRStatePcj,0,__ZL12mem_setbytesP10JSXDRStatePcj,0,__ZL7mem_rawP10JSXDRStatej,0,__ZL8mem_seekP10JSXDRStatei11JSXDRWhence,0,__ZL8mem_tellP10JSXDRState,0,__ZL12mem_finalizeP10JSXDRState,0,__ZL18namespace_equalityP9JSContextP8JSObjectPKN2JS5ValueEPi,0,__ZL18namespace_toStringP9JSContextjPN2JS5ValueE,0,__ZL14qname_equalityP9JSContextP8JSObjectPKN2JS5ValueEPi,0,__ZL14qname_toStringP9JSContextjPN2JS5ValueE,0,__Z11xml_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE,0,__ZL12xml_finalizeP9JSContextP8JSObject,0,__ZL15xml_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi,0,__ZL9xml_traceP8JSTracerP8JSObject,0,__ZL18xml_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty,0,__ZL17xml_lookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty,0,__ZL17xml_lookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty,0,__ZL18xml_definePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej,0,__ZL17xml_defineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej,0,__ZL17xml_defineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej,0,__ZL14xml_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE,0,__ZL15xml_getPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE,0,__ZL14xml_getElementP9JSContextP8JSObjectS2_jPN2JS5ValueE,0,__ZL14xml_getSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE,0,__ZL15xml_setPropertyP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZL14xml_setElementP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZL14xml_setSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZL17xml_getAttributesP9JSContextP8JSObjectiPj,0,__ZL24xml_getElementAttributesP9JSContextP8JSObjectjPj,0,__ZL24xml_getSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj,0,__ZL17xml_setAttributesP9JSContextP8JSObjectiPj,0,__ZL24xml_setElementAttributesP9JSContextP8JSObjectjPj,0,__ZL24xml_setSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj,0,__ZL18xml_deletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi,0,__ZL17xml_deleteElementP9JSContextP8JSObjectjPN2JS5ValueEi,0,__ZL17xml_deleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi,0,__ZL13xml_enumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZL10xml_typeOfP9JSContextP8JSObject,0,__ZL7xml_fixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE,0,__ZL9xml_clearP9JSContextP8JSObject,0,__ZL16xml_addNamespaceP9JSContextjPN2JS5ValueE,0,__ZL15xml_appendChildP9JSContextjPN2JS5ValueE,0,__ZL13xml_attributeP9JSContextjPN2JS5ValueE,0,__ZL14xml_attributesP9JSContextjPN2JS5ValueE,0,__ZL9xml_childP9JSContextjPN2JS5ValueE,0,__ZL14xml_childIndexP9JSContextjPN2JS5ValueE,0,__ZL12xml_childrenP9JSContextjPN2JS5ValueE,0,__ZL12xml_commentsP9JSContextjPN2JS5ValueE,0,__ZL12xml_containsP9JSContextjPN2JS5ValueE,0,__ZL8xml_copyP9JSContextjPN2JS5ValueE,0,__ZL15xml_descendantsP9JSContextjPN2JS5ValueE,0,__ZL12xml_elementsP9JSContextjPN2JS5ValueE,0,__ZL18xml_hasOwnPropertyP9JSContextjPN2JS5ValueE,0,__ZL21xml_hasComplexContentP9JSContextjPN2JS5ValueE,0,__ZL20xml_hasSimpleContentP9JSContextjPN2JS5ValueE,0,__ZL21xml_inScopeNamespacesP9JSContextjPN2JS5ValueE,0,__ZL20xml_insertChildAfterP9JSContextjPN2JS5ValueE,0,__ZL21xml_insertChildBeforeP9JSContextjPN2JS5ValueE,0,__ZL10xml_lengthP9JSContextjPN2JS5ValueE,0,__ZL13xml_localNameP9JSContextjPN2JS5ValueE,0,__ZL8xml_nameP9JSContextjPN2JS5ValueE,0,__ZL13xml_namespaceP9JSContextjPN2JS5ValueE,0,__ZL25xml_namespaceDeclarationsP9JSContextjPN2JS5ValueE,0,__ZL12xml_nodeKindP9JSContextjPN2JS5ValueE,0,__ZL13xml_normalizeP9JSContextjPN2JS5ValueE,0,__ZL10xml_parentP9JSContextjPN2JS5ValueE,0,__ZL26xml_processingInstructionsP9JSContextjPN2JS5ValueE,0,__ZL16xml_prependChildP9JSContextjPN2JS5ValueE,0,__ZL24xml_propertyIsEnumerableP9JSContextjPN2JS5ValueE,0,__ZL19xml_removeNamespaceP9JSContextjPN2JS5ValueE,0,__ZL11xml_replaceP9JSContextjPN2JS5ValueE,0,__ZL15xml_setChildrenP9JSContextjPN2JS5ValueE,0,__ZL16xml_setLocalNameP9JSContextjPN2JS5ValueE,0,__ZL11xml_setNameP9JSContextjPN2JS5ValueE,0,__ZL16xml_setNamespaceP9JSContextjPN2JS5ValueE,0,__ZL8xml_textP9JSContextjPN2JS5ValueE,0,__ZL12xml_toSourceP9JSContextjPN2JS5ValueE,0,__ZL12xml_toStringP9JSContextjPN2JS5ValueE,0,__ZL15xml_toXMLStringP9JSContextjPN2JS5ValueE,0,__ZL11xml_valueOfP9JSContextjPN2JS5ValueE,0,__ZL12xml_settingsP9JSContextjPN2JS5ValueE,0,__ZL15xml_setSettingsP9JSContextjPN2JS5ValueE,0,__ZL19xml_defaultSettingsP9JSContextjPN2JS5ValueE,0,__ZL17NamePrefix_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL14NameURI_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL18xmlfilter_finalizeP9JSContextP8JSObject,0,__ZL15xmlfilter_traceP8JSTracerP8JSObject,0,__ZL19QNameNameURI_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL21QNameLocalName_getterP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL17sandbox_enumerateP9JSContextP8JSObject,0,__ZL15sandbox_resolveP9JSContextP8JSObjectijPS2_,0,__ZL18resolver_enumerateP9JSContextP8JSObject,0,__ZL16resolver_resolveP9JSContextP8JSObjectijPS2_,0,__ZL7VersionP9JSContextjPN2JS5ValueE,0,__ZL13RevertVersionP9JSContextjPN2JS5ValueE,0,__ZL7OptionsP9JSContextjPN2JS5ValueE,0,__ZL4LoadP9JSContextjPN2JS5ValueE,0,__ZL8EvaluateP9JSContextjPN2JS5ValueE,0,__ZL3RunP9JSContextjPN2JS5ValueE,0,__ZL8ReadLineP9JSContextjPN2JS5ValueE,0,__ZL5PrintP9JSContextjPN2JS5ValueE,0,__ZL6PutStrP9JSContextjPN2JS5ValueE,0,__ZL3NowP9JSContextjPN2JS5ValueE,0,__ZL4HelpP9JSContextjPN2JS5ValueE,0,__ZL4QuitP9JSContextjPN2JS5ValueE,0,__ZL8AssertEqP9JSContextjPN2JS5ValueE,0,__ZL9AssertJitP9JSContextjPN2JS5ValueE,0,__ZL2GCP9JSContextjPN2JS5ValueE,0,__ZL11GCParameterP9JSContextjPN2JS5ValueE,0,__ZL9CountHeapP9JSContextjPN2JS5ValueE,0,__ZL20MakeFinalizeObserverP9JSContextjPN2JS5ValueE,0,__ZL13FinalizeCountP9JSContextjPN2JS5ValueE,0,__ZL13InternalConstP9JSContextjPN2JS5ValueE,0,__ZL8SetDebugP9JSContextjPN2JS5ValueE,0,__ZL18SetDebuggerHandlerP9JSContextjPN2JS5ValueE,0,__ZL12SetThrowHookP9JSContextjPN2JS5ValueE,0,__ZL4TrapP9JSContextjPN2JS5ValueE,0,__ZL6UntrapP9JSContextjPN2JS5ValueE,0,__ZL8LineToPCP9JSContextjPN2JS5ValueE,0,__ZL8PCToLineP9JSContextjPN2JS5ValueE,0,__ZL14StringsAreUTF8P9JSContextjPN2JS5ValueE,0,__ZL8TestUTF8P9JSContextjPN2JS5ValueE,0,__ZL10ThrowErrorP9JSContextjPN2JS5ValueE,0,__Z9DumpStackP9JSContextjPN2JS5ValueE,0,__ZL9BuildDateP9JSContextjPN2JS5ValueE,0,__ZL5ClearP9JSContextjPN2JS5ValueE,0,__ZL6InternP9JSContextjPN2JS5ValueE,0,__ZL5CloneP9JSContextjPN2JS5ValueE,0,__ZL6GetPDAP9JSContextjPN2JS5ValueE,0,__ZL6GetSLXP9JSContextjPN2JS5ValueE,0,__ZL7ToInt32P9JSContextjPN2JS5ValueE,0,__ZL13EvalInContextP9JSContextjPN2JS5ValueE,0,__ZL11EvalInFrameP9JSContextjPN2JS5ValueE,0,__ZL7ShapeOfP9JSContextjPN2JS5ValueE,0,__ZL8ResolverP9JSContextjPN2JS5ValueE,0,__ZL5SnarfP9JSContextjPN2JS5ValueE,0,__ZL7CompileP9JSContextjPN2JS5ValueE,0,__ZL5ParseP9JSContextjPN2JS5ValueE,0,__ZL7TimeoutP9JSContextjPN2JS5ValueE,0,__ZL7ElapsedP9JSContextjPN2JS5ValueE,0,__ZL6ParentP9JSContextjPN2JS5ValueE,0,__Z4WrapP9JSContextjPN2JS5ValueE,0,__Z9SerializeP9JSContextjPN2JS5ValueE,0,__Z11DeserializeP9JSContextjPN2JS5ValueE,0,__Z11StringStatsP9JSContextjPN2JS5ValueE,0,__Z9NewGlobalP9JSContextjPN2JS5ValueE,0,__ZL15ParseLegacyJSONP9JSContextjPN2JS5ValueE,0,__ZL27EnableStackWalkingAssertionP9JSContextjPN2JS5ValueE,0,__ZL10GetMaxArgsP9JSContextjPN2JS5ValueE,0,__ZL15its_addPropertyP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL15its_delPropertyP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL15its_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE,0,__ZL15its_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL13its_enumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi,0,__ZL11its_resolveP9JSContextP8JSObjectijPS2_,0,__ZL11its_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE,0,__ZL12its_finalizeP9JSContextP8JSObject,0,__ZL16global_enumerateP9JSContextP8JSObject,0,__ZL14global_resolveP9JSContextP8JSObjectijPS2_,0,__ZL15env_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE,0,__ZL13env_enumerateP9JSContextP8JSObject,0,__ZL11env_resolveP9JSContextP8JSObjectijPS2_,0,__Z22ShellPrincipalsSubsumeP12JSPrincipalsS0_,0,__Z17CheckObjectAccessP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueE,0,__ZN2js3cli6detail10BoolOptionD1Ev,0,__ZN2js3cli6detail10BoolOptionD0Ev,0,__ZNK2js3cli6detail6Option8isValuedEv,0,__ZNK2js3cli6detail6Option10isVariadicEv,0,__ZL25finalize_counter_finalizeP9JSContextP8JSObject,0,__ZN2js3cli6detail17MultiStringOptionD1Ev,0,__ZN2js3cli6detail17MultiStringOptionD0Ev,0,__ZNK2js3cli6detail12ValuedOption8isValuedEv,0,__ZNK2js3cli6detail17MultiStringOption10isVariadicEv,0,__ZN2js3cli6detail12StringOptionD1Ev,0,__ZN2js3cli6detail12StringOptionD0Ev,0,__ZN2js3cli6detail9IntOptionD1Ev,0,__ZN2js3cli6detail9IntOptionD0Ev,0,__ZN2js14BreakpointSiteC2EP8JSScriptPh,0,__ZN2js10BreakpointC2EPNS_8DebuggerEPNS_14BreakpointSiteEP8JSObject,0,__ZN2js8DebuggerC2EP9JSContextP8JSObject,0,__ZN2js8DebuggerD2Ev,0,__ZN2js10StackSpaceC2Ev,0,__ZN2js10StackSpaceD2Ev,0,__ZN2js12ContextStackC2EP9JSContext,0,__ZN2js12ContextStackD2Ev,0,__ZN2js9StackIterC2EP9JSContextNS0_11SavedOptionE,0,__ZN2js13AllFramesIterC2ERNS_10StackSpaceE,0,__ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesD2Ev,0,__ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesC2ES3_PNS0_8SSAValueE,0,__ZN9JSRuntimeC2Ev,0,__ZN9JSRuntimeD2Ev,0,__ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorD2Ev,0,__ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorC2ES1_RS4_,0,__ZN2js7SCInputC2EP9JSContextPKyj,0,__ZN2js8SCOutputC2EP9JSContext,0,__ZN2js10ThreadDataC2Ev,0,__ZN2js10ThreadDataD2Ev,0,__ZN9JSContextC2EP9JSRuntime,0,__ZN9JSContextD2Ev,0,__ZN13JSCompartmentC2EP9JSRuntime,0,__ZN13JSCompartmentD2Ev,0,__ZN2js5crash5StackC2Ey,0,__ZN2js5crash4RingC2Ey,0,__ZN15JSCodeGeneratorC2EPN2js6ParserEj,0,__ZN15JSCodeGeneratorD2Ev,0,__ZZ18js_CopyErrorObjectP9JSContextP8JSObjectS2_EN8AutoFreeD2Ev,0,__ZN2JS23AutoPreserveCompartmentC2EP9JSContext,0,__ZN2JS23AutoPreserveCompartmentD2Ev,0,__ZN2JS21AutoSwitchCompartmentC2EP9JSContextP13JSCompartment,0,__ZN2JS21AutoSwitchCompartmentC2EP9JSContextP8JSObject,0,__ZN2JS21AutoSwitchCompartmentD2Ev,0,__ZN2js8GCMarkerC2EP9JSContext,0,__ZN2js8GCMarkerD2Ev,0,__ZN13AutoGCSessionC2EP9JSContext,0,__ZN13AutoGCSessionD2Ev,0,__ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeD2Ev,0,__ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeC2ES2_,0,__ZN2js7GCTimerC2EP9JSRuntimeP13JSCompartment,0,__ZN2js5types17TypeScriptNestingD2Ev,0,__ZN2js5types15TypeCompartmentD2Ev,0,__ZN2js9MathCacheC2Ev,0,__ZN2js12ToCStringBufC2Ev,0,__ZN2js12ToCStringBufD2Ev,0,__ZN2js8PropDescC2Ev,0,__ZN2js6ParserC2EP9JSContextP12JSPrincipalsPNS_10StackFrameEb,0,__ZN2js6ParserD2Ev,0,__ZN2js8CompilerC2EP9JSContextP12JSPrincipalsPNS_10StackFrameE,0,__ZN2js14JSProxyHandlerD2Ev,0,__ZN22JSScriptedProxyHandlerC2Ev,0,__ZN2js14JSProxyHandlerD2Ev,0,__ZN2js11TokenStreamC2EP9JSContext,0,__ZN2js11TokenStreamD2Ev,0,__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkD2Ev,0,__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkC2EP11JSArenaPool,0,__ZN2js11ArrayBufferD2Ev,0,__ZN9JSWrapperC2Ej,0,__ZN9JSWrapperD2Ev,0,__ZN2js10ForceFrameC2EP9JSContextP8JSObject,0,__ZN2js10ForceFrameD2Ev,0,__ZN2js15AutoCompartmentC2EP9JSContextP8JSObject,0,__ZN2js15AutoCompartmentD2Ev,0,__ZN2js11ErrorCopierD2Ev,0,__ZN25JSCrossCompartmentWrapperC2Ej,0,__ZN9JSWrapperD2Ev,0,__ZN2js14XDRScriptStateC2EP10JSXDRState,0,__ZN2js14XDRScriptStateD2Ev,0,__ZN2JS15PerfMeasurementC2ENS0_9EventMaskE,0,__ZN2JS15PerfMeasurementD2Ev,0,__ZN2js3cli12OptionParserD2Ev,0]; Module["FUNCTION_TABLE"] = FUNCTION_TABLE;


function run(args) {
  args = args || Module['arguments'];

  if (Module['setStatus']) {
    Module['setStatus'](''); // clear the status from "Downloading.." etc.
  }

  if (Module['preRun']) {
    Module['preRun']();
  }

  var ret = null;
  if (Module['_main']) {
    preMain();
    ret = Module.callMain(args);
    if (!Module['noExitRuntime']) {
      exitRuntime();
    }
  }

  if (Module['postRun']) {
    Module['postRun']();
  }

  return ret;
}
Module['run'] = run;

// {{PRE_RUN_ADDITIONS}}

initRuntime();

if (Module['noInitialRun']) {
  addRunDependency();
}

if (runDependencies == 0) {
  var ret = run();
}

// {{POST_RUN_ADDITIONS}}





  // {{MODULE_ADDITIONS}}


// EMSCRIPTEN_GENERATED_FUNCTIONS: ["__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE","__ZNK2js2gc8FreeSpan9checkSpanEv","__ZNK8JSObject10fixedSlotsEv","__ZN2js14BreakpointSite9recompileEP9JSContextb","__ZN8JSObject6asCallEv","__ZNK2js8Bindings16countArgsAndVarsEv","__ZN2js2gcL15GetGCObjectKindEjb","__ZN9JSContext20typeInferenceEnabledEv","__ZN8JSObject10makeVarObjEv","_BUILD_JSVAL","_OBJECT_TO_JSVAL_IMPL","__ZNK2js8Bindings9lastShapeEv","__ZNK2js8Bindings17extensibleParentsEv","__ZN8JSObject11setOwnShapeEj","__ZN8JSObject7setTypeEPN2js5types10TypeObjectE","__ZN8JSObject11setDelegateEv","_MAGIC_TO_JSVAL_IMPL","__ZN2js2gc5Arena9thingSizeENS0_9AllocKindE","__ZN8JSObject9earlyInitEj","__ZN2js10CallObject6createEP9JSContextP8JSScriptR8JSObjectPS5_","__Z14js_NewGCObjectP9JSContextN2js2gc9AllocKindE","__ZN8JSObject8initCallEP9JSContextRKN2js8BindingsEPS_","__ZN2js10CallObject9setCalleeEP8JSObject","__ZN8JSObject12setFixedSlotEjRKN2JS5ValueE","__ZN2JSL17ObjectOrNullValueEP8JSObject","__ZN2JS5Value15setObjectOrNullEP8JSObject","__ZN2JS5Value9setObjectER8JSObject","__ZN2JS5Value7setNullEv","__ZN8JSObject4initEP9JSContextPN2js5ClassEPNS2_5types10TypeObjectEPS_Pvb","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb","__ZN8JSObject9setParentEPS_","__ZN8JSObject19setDelegateNullSafeEPS_","__ZN2JS5Value8setMagicE10JSWhyMagic","__ZN2JS5Value12setUndefinedEv","__Z10NewGCThingI8JSObjectEPT_P9JSContextN2js2gc9AllocKindEj","__ZN2js2gc10ArenaLists20allocateFromFreeListENS0_9AllocKindEj","__ZN2js2gc8FreeSpan8allocateEj","__Z20ReportMoreArgsNeededP9JSContextPKcj","__Z20ReportObjectRequiredP9JSContext","__ZN2js14BreakpointSiteC2EP8JSScriptPh","__ZN2JSL14UndefinedValueEv","__ZN2js21assertSameCompartmentIP8JSObjectEEvP9JSContextT_","__ZN2js10Breakpoint13fromSiteLinksEP10JSCListStr","__ZN2js10BreakpointC2EPNS_8DebuggerEPNS_14BreakpointSiteEP8JSObject","__ZN2js10Breakpoint17fromDebuggerLinksEP10JSCListStr","__ZN2js14BreakpointSite3incEP9JSContext","__ZN2js14BreakpointSite3decEP9JSContext","__ZN2js14BreakpointSite7setTrapEP9JSContextPF12JSTrapStatusS2_P8JSScriptPhPN2JS5ValueES8_ERKS8_","__ZN2js14BreakpointSite9clearTrapEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumEPPF12JSTrapStatusS2_P8JSScriptS6_PN2JS5ValueESM_ESN_","__ZN2js14BreakpointSite14destroyIfEmptyEP9JSRuntimePNS_6detail9HashTableINS_12HashMapEntryIPhPS0_EENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_E4EnumE","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4Enum11removeFrontEv","__ZNK2js2gc4Cell11compartmentEv","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6removeERKS1_","__ZN9JSRuntime7delete_IN2js14BreakpointSiteEEEvPT_","__ZNK2js14BreakpointSite15firstBreakpointEv","__ZN2js14BreakpointSite13hasBreakpointEPNS_10BreakpointE","__ZN2js10Breakpoint10nextInSiteEv","__ZN2js10Breakpoint7destroyEP9JSContextPNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_E4EnumE","__ZN9JSRuntime7delete_IN2js10BreakpointEEEvPT_","__ZN2js10Breakpoint14nextInDebuggerEv","__ZN2js8DebuggerC2EP9JSContextP8JSObject","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_","__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC1ES7_","__ZN2js18RuntimeAllocPolicyC1EP9JSContext","__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEC1EP9JSContext","__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC1ES7_","__ZN2js10AutoLockGCC1EP9JSRuntime","__ZN2js10AutoLockGCD1Ev","__ZN2js8DebuggerD2Ev","__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED1Ev","__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEED1Ev","__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED1Ev","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev","__ZN8JSObject10setPrivateEPv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv","__ZNK2js14BreakpointSite15getScriptObjectEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv","__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5beginEv","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv","__ZNK2js8Debugger10toJSObjectEv","__ZN2js8Debugger4initEP9JSContext","__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj","__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj","__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj","__ZN2js8Debugger17fromChildJSObjectEP8JSObject","__ZNK8JSObject15getReservedSlotEj","__ZNK2JS5Value8toObjectEv","__ZN2js8Debugger12fromJSObjectEP8JSObject","__ZN2js8Debugger14getScriptFrameEP9JSContextPNS_10StackFrameEPN2JS5ValueE","__ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_","__ZN8JSObject24ensureClassReservedSlotsEP9JSContext","__ZN8JSObject15setReservedSlotEjRKN2JS5ValueE","__ZN2JSL11ObjectValueER8JSObject","__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_","__ZNK2js8Debugger7getHookENS0_4HookE","__ZNK2JS5Value11isUndefinedEv","__ZNK2js8Debugger15hasAnyLiveHooksEP9JSContext","__ZNK2js8Debugger15firstBreakpointEv","__ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv","__ZN2js15AutoValueVectorC1EP9JSContext","__ZNK9JSContext2fpEv","__ZNK2js10StackFrame10scopeChainEv","__ZNK2js8Debugger18observesEnterFrameEv","__ZN2js16AutoVectorRooterIN2JS5ValueEE6appendERKS2_","__ZN2js16AutoVectorRooterIN2JS5ValueEE5beginEv","__ZN2js16AutoVectorRooterIN2JS5ValueEE3endEv","__ZN2js8Debugger20slowPathOnEnterFrameEP9JSContext","__ZNK2js10StackFrame13isScriptFrameEv","__ZNK2js10StackFrame11isEvalFrameEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrptEv","__ZNK8JSObject8getClassEv","__ZNK8JSObject10getPrivateEv","__ZN9JSContext18isExceptionPendingEv","__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3hasERKS2_","__ZN2js15AutoValueVectorD1Ev","__ZN2js8Debugger20slowPathOnLeaveFrameEP9JSContext","__ZNK2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_","__ZNK2js10StackFrame6scriptEv","__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE","__ZN2js8Debugger17wrapDebuggeeValueEP9JSContextPN2JS5ValueE","__ZNK2JS5Value8isObjectEv","__ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv","__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_SG_","__ZN2js8Debugger19unwrapDebuggeeValueEP9JSContextPN2JS5ValueE","__ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueEEEvP9JSContextT_T0_","__ZNK2JS5Value14toObjectOrNullEv","__ZNK2JS5Value6isNullEv","__ZN2js8Debugger23handleUncaughtExceptionERNS_15AutoCompartmentEPN2JS5ValueEb","__ZN9JSContext19getPendingExceptionEv","__ZN9JSContext21clearPendingExceptionEv","__ZN2js8Debugger14fireEnterFrameEP9JSContext","__ZNK8JSObject8isObjectEv","__ZNK8JSObject12lastPropertyEv","__ZNK2js5Shape8previousEv","__ZNK2js5Shape16isDataDescriptorEv","__ZN2js8Debugger20parseResumptionValueERNS_15AutoCompartmentEbRKN2JS5ValueEPS4_b","__ZN2js8Debugger18newCompletionValueERNS_15AutoCompartmentEbN2JS5ValueEPS4_","__ZL12ATOM_TO_JSIDP6JSAtom","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE","__Z19CallMethodIfPresentP9JSContextP8JSObjectPKciPN2JS5ValueES7_","__ZL13js_IsCallableRKN2JS5ValueE","__ZN2js8Debugger21fireDebuggerStatementEP9JSContextPN2JS5ValueE","__ZN2js8Debugger19fireExceptionUnwindEP9JSContextPN2JS5ValueE","__ZN9JSContext19setPendingExceptionEN2JS5ValueE","__ZN2js8Debugger14wrapHeldScriptEP9JSContextP8JSScriptP8JSObject","__ZN2js8Debugger17wrapNonHeldScriptEP9JSContextP8JSScript","__ZN2js8Debugger13fireNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE","__ZN13JSCompartment12getDebuggeesEv","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv","__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE3endEv","__ZN2js8Debugger12dispatchHookEP9JSContextPN2JS5ValueENS0_4HookE","__ZL22AddNewScriptRecipientsPN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEPNS_15AutoValueVectorE","__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3allEv","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv","__ZN2js8Debugger6onTrapEP9JSContextPN2JS5ValueE","__ZNK9JSContext4regsEv","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEC1ES3_","__ZN2js15TempAllocPolicyC1EP9JSContext","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv","__ZN2JS5Value8setInt32Ei","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEED1Ev","__ZN2js8Debugger19slowPathOnNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv","__ZN2js8Debugger9fromLinksEP10JSCListStr","__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5beginEv","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE3endEv","__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE3endEv","__ZNK2js10Breakpoint10getHandlerEv","__ZN2js8Debugger12onSingleStepEP9JSContextPN2JS5ValueE","__ZN2js16AutoObjectVectorC1EP9JSContext","__ZN2js16AutoVectorRooterIP8JSObjectE6appendERKS2_","__ZN2js16AutoVectorRooterIP8JSObjectE5beginEv","__ZN2js16AutoVectorRooterIP8JSObjectE3endEv","__ZN2js16AutoObjectVectorD1Ev","__ZN2js8Debugger21markKeysInCompartmentEP8JSTracerRKNS_7WeakMapIP8JSObjectS5_NS_13DefaultHasherIS5_EENS_17DefaultMarkPolicyIS5_S5_EEEE","__ZNK2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv","__ZN2js8Debugger43markCrossCompartmentDebuggerObjectReferentsEP8JSTracer","__ZN2js8Debugger18markAllIterativelyEPNS_8GCMarkerE","__ZN2js8Debugger11traceObjectEP8JSTracerP8JSObject","__ZN2js8Debugger5traceEP8JSTracer","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv","__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5emptyEv","__ZNK2js12CallReceiver5thisvEv","__ZNK2js8CallArgsixEj","__ZN2js11WeakMapBase5traceEP8JSTracer","__ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv","__ZN2js8Debugger8sweepAllEP9JSContext","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_","__ZN2js8Debugger20removeDebuggeeGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumESG_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev","__ZN2js8Debugger28detachAllDebuggersFromGlobalEP9JSContextPNS_12GlobalObjectEPNS_6detail9HashTableIKS4_NS_7HashSetIS4_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE6SetOpsESB_E4EnumE","__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE4backEv","__ZN2js8Debugger8finalizeEP9JSContextP8JSObject","__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5emptyEv","__ZN9JSContext7delete_IN2js8DebuggerEEEvPT_","__ZN2js8Debugger13fromThisValueEP9JSContextRKNS_8CallArgsEPKc","__ZN2js8Debugger10getEnabledEP9JSContextjPN2JS5ValueE","__ZN2js14CallArgsFromVpEjPN2JS5ValueE","__ZNK2js12CallReceiver4rvalEv","__ZN2JS5Value10setBooleanEb","__ZN2js8Debugger10setEnabledEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger11getHookImplEP9JSContextjPN2JS5ValueENS0_4HookE","__ZN2js8Debugger11setHookImplEP9JSContextjPN2JS5ValueENS0_4HookE","__ZN8JSObject10isCallableEv","__ZN2js8Debugger22getOnDebuggerStatementEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger22setOnDebuggerStatementEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger20getOnExceptionUnwindEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger20setOnExceptionUnwindEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger14getOnNewScriptEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger14setOnNewScriptEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger15getOnEnterFrameEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger15setOnEnterFrameEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger24getUncaughtExceptionHookEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger24setUncaughtExceptionHookEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger22unwrapDebuggeeArgumentEP9JSContextRKN2JS5ValueE","__ZNK8JSObject15getProxyPrivateEv","__ZN2js8Debugger11addDebuggeeEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger17addDebuggeeGlobalEP9JSContextPNS_12GlobalObjectE","__ZN2js8Debugger14removeDebuggeeEP9JSContextjPN2JS5ValueE","__ZNK2js13AllFramesIter4doneEv","__ZNK2js13AllFramesIter2fpEv","__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE6lengthEv","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE3endEv","__ZNK13JSCompartment9debugModeEv","__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE6lengthEv","__ZN2js8Debugger11hasDebuggeeEP9JSContextjPN2JS5ValueE","__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE5countEv","__ZN8JSObject33ensureDenseArrayInitializedLengthEP9JSContextjj","__ZN8JSObject20setDenseArrayElementEjRKN2JS5ValueE","__ZN2js8Debugger14getNewestFrameEP9JSContextjPN2JS5ValueE","__ZNK2js12ContextStack5spaceEv","__ZNK2js8Debugger13observesFrameEPNS_10StackFrameE","__ZN2js8Debugger19clearAllBreakpointsEP9JSContextjPN2JS5ValueE","__ZN2js8Debugger9constructEP9JSContextjPN2JS5ValueE","__ZNK2js12CallReceiver6calleeEv","__ZN8JSObject11getPropertyEP9JSContextPN2js12PropertyNameEPN2JS5ValueE","__ZN9JSContext4new_IN2js8DebuggerEPS_P8JSObjectEEPT_T0_T1_","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEixEj","__ZN2jsL4FindINS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEEPNT_11ElementTypeERS6_RKS7_","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE6appendIS2_EEbT_","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3putERKS2_","__ZN2js8Debugger12getDebuggeesEP9JSContextjPN2JS5ValueE","__ZNK10JSFunction6scriptEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeERKS2_","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE7popBackEv","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC1ISC_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4Enum11removeFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD1Ev","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE5eraseEPS2_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4Enum11removeFrontEv","__ZL20DebuggerScript_traceP8JSTracerP8JSObject","__ZN2js8Debugger17newDebuggerScriptEP9JSContextP8JSScriptP8JSObject","__ZN2JSL12PrivateValueEPv","__ZN2js8Debugger18wrapFunctionScriptEP9JSContextP10JSFunction","__ZN2js8Debugger15wrapJSAPIScriptEP9JSContextP8JSObject","__ZNK8JSObject9getScriptEv","__ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv","__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_","__ZN2js8Debugger23slowPathOnDestroyScriptEP8JSScript","__ZN2js8Debugger20destroyNonHeldScriptEP8JSScript","__ZNK2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_","__ZL19ClearScriptReferentP8JSObject","__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE","__ZL21DebuggerScript_getUrlP9JSContextjPN2JS5ValueE","__ZL27DebuggerScript_getStartLineP9JSContextjPN2JS5ValueE","__ZL27DebuggerScript_getLineCountP9JSContextjPN2JS5ValueE","__ZL22DebuggerScript_getLiveP9JSContextjPN2JS5ValueE","__ZL30DebuggerScript_getChildScriptsP9JSContextjPN2JS5ValueE","__ZL28DebuggerScript_getAllOffsetsP9JSContextjPN2JS5ValueE","__ZL29DebuggerScript_getLineOffsetsP9JSContextjPN2JS5ValueE","__ZL28DebuggerScript_getOffsetLineP9JSContextjPN2JS5ValueE","__ZL28DebuggerScript_setBreakpointP9JSContextjPN2JS5ValueE","__ZL29DebuggerScript_getBreakpointsP9JSContextjPN2JS5ValueE","__ZL30DebuggerScript_clearBreakpointP9JSContextjPN2JS5ValueE","__ZN2js21assertSameCompartmentIP8JSObjectPNS_10StackFrameEEEvP9JSContextT_T0_","__ZL34DebuggerScript_clearAllBreakpointsP9JSContextjPN2JS5ValueE","__ZN2js15EvaluateInScopeEP9JSContextP8JSObjectPNS_10StackFrameEPKtjPKcjPN2JS5ValueE","__ZN2js11ComputeThisEP9JSContextPNS_10StackFrameE","__ZN8JSObject10principalsEP9JSContext","__ZNK9JSContext11findVersionEv","__ZNK2js10StackFrame9thisValueEv","__ZL26DebuggerFrame_getArgumentsP9JSContextjPN2JS5ValueE","__ZL23DebuggerFrame_getCalleeP9JSContextjPN2JS5ValueE","__ZL29DebuggerFrame_getConstructingP9JSContextjPN2JS5ValueE","__ZL26DebuggerFrame_getGeneratorP9JSContextjPN2JS5ValueE","__ZL21DebuggerFrame_getLiveP9JSContextjPN2JS5ValueE","__ZL23DebuggerFrame_getOffsetP9JSContextjPN2JS5ValueE","__ZL22DebuggerFrame_getOlderP9JSContextjPN2JS5ValueE","__ZL23DebuggerFrame_getScriptP9JSContextjPN2JS5ValueE","__ZL21DebuggerFrame_getTypeP9JSContextjPN2JS5ValueE","__ZL23DebuggerFrame_getOnStepP9JSContextjPN2JS5ValueE","__ZL18DebuggerFrame_evalP9JSContextjPN2JS5ValueE","__ZL30DebuggerFrame_evalWithBindingsP9JSContextjPN2JS5ValueE","__ZL20DebuggerObject_traceP8JSTracerP8JSObject","__ZL23DebuggerObject_getProtoP9JSContextjPN2JS5ValueE","__ZL23DebuggerObject_getClassP9JSContextjPN2JS5ValueE","__ZL26DebuggerObject_getCallableP9JSContextjPN2JS5ValueE","__ZL22DebuggerObject_getNameP9JSContextjPN2JS5ValueE","__ZL21DebuggerFrame_getThisP9JSContextjPN2JS5ValueE","__ZL23DebuggerFrame_setOnStepP9JSContextjPN2JS5ValueE","__ZL24DebuggerObject_getScriptP9JSContextjPN2JS5ValueE","__ZL39DebuggerObject_getOwnPropertyDescriptorP9JSContextjPN2JS5ValueE","__ZL34DebuggerObject_getOwnPropertyNamesP9JSContextjPN2JS5ValueE","__ZL32DebuggerObject_getParameterNamesP9JSContextjPN2JS5ValueE","__ZN2js15ReentrancyGuardD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv","__ZL29DebuggerObject_definePropertyP9JSContextjPN2JS5ValueE","__ZL31DebuggerObject_definePropertiesP9JSContextjPN2JS5ValueE","__ZL29DebuggerObject_deletePropertyP9JSContextjPN2JS5ValueE","__ZL19DebuggerObject_sealP9JSContextjPN2JS5ValueE","__ZL21DebuggerObject_freezeP9JSContextjPN2JS5ValueE","__ZL32DebuggerObject_preventExtensionsP9JSContextjPN2JS5ValueE","__ZL23DebuggerObject_isSealedP9JSContextjPN2JS5ValueE","__ZL23DebuggerObject_isFrozenP9JSContextjPN2JS5ValueE","__ZL27DebuggerObject_isExtensibleP9JSContextjPN2JS5ValueE","__ZL20DebuggerObject_applyP9JSContextjPN2JS5ValueE","__ZL19DebuggerObject_callP9JSContextjPN2JS5ValueE","_JS_DefineDebuggerObject","__ZL23DebuggerFrame_constructP9JSContextjPN2JS5ValueE","__ZL24DebuggerScript_constructP9JSContextjPN2JS5ValueE","__ZL24DebuggerObject_constructP9JSContextjPN2JS5ValueE","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv","__ZN2js15ReentrancyGuardD1Ev","__ZNK2js18RuntimeAllocPolicy19reportAllocOverflowEv","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEC2ERS9_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC2ERS6_","__ZNK2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEptEv","__ZNK2js7MoveRefIP8JSScriptEcvRS2_Ev","__ZNK2js7MoveRefIP8JSObjectEcvRS2_Ev","__ZN2js7MoveRefIP8JSObjectEC2ERS2_","__ZN2js7MoveRefIP8JSScriptEC2ERS2_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12setCollisionEv","__ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC2Ev","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12hasCollisionEv","__ZN2js12HashMapEntryIP8JSScriptP8JSObjectEaSERKS5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE6isLiveEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEaSENS_7MoveRefIS8_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEENS_7MoveRefIT_EERSB_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj","__ZN2js18RuntimeAllocPolicy5free_EPv","__ZN9JSRuntime5free_EPv","__ZN2js10Foreground5free_EPv","_js_free","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEEEC1ERS9_","__ZN2js12HashMapEntryIP8JSScriptP8JSObjectEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_12HashMapEntryIP8JSScriptP8JSObjectEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC1ERS6_","__ZN2js4MoveIP8JSScriptEENS_7MoveRefIT_EERKS4_","__ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefIP8JSObjectEC1ERS2_","__ZN2js7MoveRefIP8JSScriptEC1ERS2_","__ZN2js18RuntimeAllocPolicy7malloc_Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEEC2Ev","__ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC1Ev","__ZN9JSRuntime7malloc_EjP9JSContext","__ZN9JSRuntime19updateMallocCounterEj","_js_malloc","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE7setFreeEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv","__ZN2js13PointerHasherIP8JSScriptLj2EE5matchERKS2_S5_","__ZN2js13PointerHasherIP8JSScriptLj2EE4hashERKS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE9matchHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE9isRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE12setCollisionEj","__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE","__ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC2ERKS2_RKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSScriptP8JSObjectEEE7setLiveEj","__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12hasCollisionEv","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10setRemovedEv","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE7setFreeEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12hasCollisionEv","__ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEaSERKS5_","__ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13relookupOrAddERNSE_6AddPtrERKS4_RKS7_","__ZN2js12HashMapEntryIP8JSScriptP8JSObjectEC1ERKS2_RKS4_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrERKS7_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE7setFreeEv","__ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEC1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi","__ZN2js15ReentrancyGuardC2INS_6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEEERT_","__ZNK2js17SystemAllocPolicy19reportAllocOverflowEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEC2ERS9_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC2ERS6_","__ZNK2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEptEv","__ZNK2js7MoveRefIPNS_10StackFrameEEcvRS2_Ev","__ZN2js7MoveRefIPNS_10StackFrameEEC2ERS2_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12setCollisionEv","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE10endNoCheckEv","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10getKeyHashEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE6isLiveEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEaSENS_7MoveRefIS8_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEENS_7MoveRefIT_EERSB_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEEEC1ERS9_","__ZN2js12HashMapEntryIPNS_10StackFrameEP8JSObjectEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC1ERS6_","__ZN2js4MoveIPNS_10StackFrameEEENS_7MoveRefIT_EERKS4_","__ZN2js7MoveRefIPNS_10StackFrameEEC1ERS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC2ISC_EERT_","__ZN2js15ReentrancyGuardC1INS_6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEEEERT_","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j","__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isLiveEv","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEaSENS_7MoveRefIS5_EE","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE10isLiveHashEj","__ZN2js13PointerHasherIPNS_12GlobalObjectELj2EE5matchERKS2_S5_","__ZN2js13PointerHasherIPNS_12GlobalObjectELj2EE4hashERKS2_","__ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEC2ERS6_","__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEptEv","__ZNK2js7MoveRefIPNS_12GlobalObjectEEcvRS2_Ev","__ZN2js7MoveRefIPNS_12GlobalObjectEEC2ERS2_","__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE6isFreeEv","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12setCollisionEv","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEC2Ev","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrdeEv","__ZNK2js6detail14HashTableEntryIKPNS_12GlobalObjectEE9isRemovedEv","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE7setLiveEj","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE9matchHashEj","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEE12setCollisionEj","__ZN2js4MoveINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEENS_7MoveRefIT_EERS8_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj","__ZN2js17SystemAllocPolicy5free_EPv","__ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_12GlobalObjectEEEEC1ERS6_","__ZN2js4MoveIPNS_12GlobalObjectEEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefIPNS_12GlobalObjectEEC1ERS2_","__ZN2js17SystemAllocPolicy7malloc_Ej","__ZN2js6detail14HashTableEntryIKPNS_12GlobalObjectEEC1Ev","__ZNK2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS4_","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE13growStorageByEj","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj","__ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","__ZNK7mozilla14AlignedStorageILj1EE4addrEv","__ZN2jsL4FindIP13JSCompartmentEEPT_S4_S4_RKS3_","__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","__ZN7mozilla14AlignedStorageILj1EE4addrEv","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5countEv","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj","__ZN2js17SystemAllocPolicy8realloc_EPvjj","_js_realloc","__ZN2js11RoundUpPow2Ej","__ZN2js10VectorImplIPNS_8DebuggerELj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj","__ZN2js15TempAllocPolicy8realloc_EPvjj","__ZN2js15TempAllocPolicy7malloc_Ej","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEED2Ev","__ZN2js15TempAllocPolicy5free_EPv","__ZN2js6VectorIP13JSCompartmentLj0ENS_15TempAllocPolicyEEC2ES3_","__ZN9JSContext7malloc_Ej","__ZN9JSContext5free_EPv","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD2Ev","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC2IS9_EERT_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_","__ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEEEERT_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv","__ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10isLiveHashEj","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE3endEv","__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE5beginEv","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","__ZNK7mozilla14AlignedStorageILj32EE4addrEv","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isLiveEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js15ReentrancyGuardC1INS_6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj8ES3_EEj","__ZN2js10VectorImplIP8JSObjectLj8ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE","__ZN2js15ReentrancyGuardC1INS_6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj","__ZN2js10VectorImplIPNS_10BreakpointELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj","__ZN2js12HashMapEntryIP8JSObjectS2_EC2ERKS2_S5_","__ZN2js12HashMapEntryIP8JSObjectS2_EaSERKS3_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10getKeyHashEv","__ZN2js6VectorIPNS_10BreakpointELj0ENS_15TempAllocPolicyEEC2ES3_","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS4_EESF_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS4_EESF_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E13relookupOrAddERNSC_6AddPtrERKS4_RKS5_","__ZN2js12HashMapEntryIP8JSObjectS2_EC1ERKS2_S5_","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrERKS5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEENS_7MoveRefIT_EERS9_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js13PointerHasherIP8JSObjectLj2EE5matchERKS2_S5_","__ZN2js13PointerHasherIP8JSObjectLj2EE4hashERKS2_","__ZN2js13PointerHasherIPNS_10StackFrameELj2EE5matchERKS2_S5_","__ZN2js13PointerHasherIPNS_10StackFrameELj2EE4hashERKS2_","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEC2ERS4_","__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEptEv","__ZN2js12HashMapEntryIP8JSObjectS2_EC2Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12setCollisionEj","__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S2_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE9matchHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE9isRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE12setCollisionEj","__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS5_EEEEEC1ERS7_","__ZN2js12HashMapEntryIP8JSObjectS2_EaSENS_7MoveRefIS3_EE","__ZN2js4MoveINS_12HashMapEntryIP8JSObjectS3_EEEENS_7MoveRefIT_EERS6_","__ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectS3_EEEC1ERS4_","__ZN2js4MoveIP8JSObjectEENS_7MoveRefIT_EERKS4_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEEC2Ev","__ZN2js12HashMapEntryIP8JSObjectS2_EC1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectS6_EENS_7HashMapIS6_S6_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js15ReentrancyGuardC2INS_6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEEEERT_","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE","__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZNK2js7MoveRefIN2JS5ValueEEcvRS2_Ev","__ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_","__ZN2js7MoveRefIN2JS5ValueEEC2ERS2_","__ZNK7mozilla14AlignedStorageILj64EE4addrEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEEE7setLiveEj","__ZN2js2gcL15GetGCObjectKindEjb1","__ZNK8JSObject9getParentEv","__ZNK2js5Class8isNativeEv","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj8ES3_EEj","__ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefIN2JS5ValueEEC1ERS2_","__ZN2js10VectorImplIN2JS5ValueELj8ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js4MoveIN2JS5ValueEEENS_7MoveRefIT_EERKS4_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE","__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE","__ZN8JSObject10getNewTypeEP9JSContextP10JSFunctionb","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE4","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv","__ZN2js6Probes12createObjectEP9JSContextP8JSObject","__ZN8JSObject6setMapEPN2js5ShapeE","__ZNK8JSObject8numSlotsEv","__ZN2js11KidsPointer7setNullEv","__ZNK2js10EmptyShape8getClassEv","_MAGIC_TO_JSVAL_IMPL3","__ZNK8JSObject12isDenseArrayEv","__ZN2js5types10TypeObject17unknownPropertiesEv","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE","__ZN8JSObject21setSharedNonNativeMapEv","__ZN2js5types10TypeObject20canProvideEmptyShapeEPNS_5ClassE","__ZN2js5types10TypeObject13getEmptyShapeEP9JSContextPNS_5ClassENS_2gc9AllocKindE","__ZN2js10EmptyShape6createEP9JSContextPNS_5ClassE","__ZN2js10EmptyShapeC1EP13JSCompartmentPNS_5ClassE","__ZN2js10EmptyShapeC2EP13JSCompartmentPNS_5ClassE","__ZN2js5ShapeC2EP13JSCompartmentPNS_5ClassE","__ZN9JSContext7calloc_Ej","__ZN9JSRuntime7calloc_EjP9JSContext","_js_calloc","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_","__ZN2js11WeakMapBaseC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E11underloadedEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE12hasCollisionEv","__ZN2js17DefaultMarkPolicyIP8JSObjectS2_EC2EP8JSTracer","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11underloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4initEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_","__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_","__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEEC2EP9JSContext","__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES5_","__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE15nonMarkingTraceEP8JSTracer","__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE15markIterativelyEP8JSTracer","__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEE5sweepEP8JSTracer","__ZN2js17DefaultMarkPolicyIP8JSObjectS2_EC1EP8JSTracer","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumC1INS_7WeakMapIS4_S4_S8_NS_17DefaultMarkPolicyIS4_S4_EEEEEERT_","__ZN2js17DefaultMarkPolicyIP8JSObjectS2_E9keyMarkedES2_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectS4_EEE7setFreeEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_E4EnumC2INS_7WeakMapIS4_S4_S8_NS_17DefaultMarkPolicyIS4_S4_EEEEEERT_","__ZN2js17DefaultMarkPolicyIP8JSObjectS2_E15markEntryIfLiveES2_S2_","__ZN2js17DefaultMarkPolicyIP8JSObjectS2_E11valueMarkedES2_","__ZN2js17DefaultMarkPolicyIP8JSObjectS2_E9markEntryES2_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_EC1ES9_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_EC2ES9_","__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_","__ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6lookupERKS1_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrcvMSE_FvvEEv","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S3_EENS7_13MapHashPolicyES6_E3PtrE","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6removeENSD_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6removeERNS0_14HashTableEntryIS6_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E16checkUnderloadedEv","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3Ptr7nonNullEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEC2ERS8_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC2ERS5_","__ZNK2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEptEv","__ZNK2js7MoveRefIPhEcvRS1_Ev","__ZNK2js7MoveRefIPNS_14BreakpointSiteEEcvRS2_Ev","__ZN2js7MoveRefIPNS_14BreakpointSiteEEC2ERS2_","__ZN2js7MoveRefIPhEC2ERS1_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12setCollisionEv","__ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEC2Ev","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12hasCollisionEv","__ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEaSERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11createTableERSA_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE6isLiveEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEaSENS_7MoveRefIS7_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEENS_7MoveRefIT_EERSA_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E12destroyTableERSA_PNS0_14HashTableEntryIS6_EEj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEEEC1ERS8_","__ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEaSENS_7MoveRefIS4_EE","__ZN2js4MoveINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEENS_7MoveRefIT_EERS7_","__ZN2js7MoveRefINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC1ERS5_","__ZN2js4MoveIPhEENS_7MoveRefIT_EERKS3_","__ZN2js4MoveIPNS_14BreakpointSiteEEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefIPNS_14BreakpointSiteEEC1ERS2_","__ZN2js7MoveRefIPhEC1ERS1_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEEC2Ev","__ZN2js12HashMapEntryIPhPNS_14BreakpointSiteEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE7setFreeEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6lookupERKS3_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E11prepareHashERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrC1ERNS0_14HashTableEntryIS6_EE","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS5_S7_NS_13DefaultHasherIS5_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESC_EEEERT_","__ZN2js13PointerHasherIPhLj2EE5matchERKS1_S4_","__ZN2js13PointerHasherIPhLj2EE4hashERKS1_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE9matchHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE9isRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE12setCollisionEj","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S3_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrC2ERNS0_14HashTableEntryIS6_EE","__ZNK2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5emptyEv","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv","__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5beginEv","__ZNK2js8CallArgs4argvEv","__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6lookupERKS3_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5matchERNS0_14HashTableEntryIS6_EERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E10isLiveHashEj","__ZL11ApplyOrCallP9JSContextjPN2JS5ValueE15ApplyOrCallMode","__ZL24DebuggerObject_checkThisP9JSContextRKN2js8CallArgsEPKc","__ZNK2JS5Value17isNullOrUndefinedEv","__ZN2js16AutoVectorRooterIN2JS5ValueEE6growByEj","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE19growByUninitializedEj","__ZN2jsL15MakeRangeGCSafeEPN2JS5ValueES2_","__ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj","__ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE7destroyEPiS3_","__ZN2js15ReentrancyGuardC2INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_","__ZNK2js5Shape8isNativeEv","__ZNK8JSObject12isExtensibleEv","__ZN2js11ErrorCopierC2ERNS_15AutoCompartmentEP8JSObject","__ZN2js12AutoGCRooterD2Ev","__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN2js12AutoGCRooterC2EP9JSContexti","__ZN7mozilla14AlignedStorageILj32EE4addrEv","__ZL29DebuggerObject_isSealedHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc","__ZN2js11ErrorCopierC1ERNS_15AutoCompartmentEP8JSObject","__ZN8JSObject8isSealedEP9JSContextPb","__ZN8JSObject8isFrozenEP9JSContextPb","__ZL25DebuggerObject_sealHelperP9JSContextjPN2JS5ValueE12SealHelperOpPKc","__ZN8JSObject4sealEP9JSContext","__ZN8JSObject6freezeEP9JSContext","__ZN2js12AutoIdVectorC1EP9JSContext","__ZN8JSObject17preventExtensionsEP9JSContextPN2js12AutoIdVectorE","__ZN2js12AutoIdVectorD1Ev","__ZN2js12AutoIdVectorD2Ev","__ZN2js16AutoVectorRooterIiED2Ev","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorIiLj8ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZNK8JSObject6getOpsEv","__ZNK8JSObject8isNativeEv","__ZN8JSObject21extensibleShapeChangeEP9JSContext","__ZN2js12AutoIdVectorC2EP9JSContext","__ZN2js16AutoVectorRooterIiEC2EP9JSContexti","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEC1ES1_","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEC2ES1_","__ZN8JSObject14deletePropertyEP9JSContextiPN2JS5ValueEi","__ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiNS0_4TypeE","__ZN2js5types4Type13UndefinedTypeEv","__ZN2js5types26MarkTypePropertyConfiguredEP9JSContextP8JSObjecti","__ZN2js5types8Property7keyBitsEi","_JSID_IS_INT","_JSID_IS_STRING","_JSID_TO_FLAT_STRING","__ZN8JSString6asFlatEv","__ZN8JSString11asDependentEv","__ZN8JSString6asRopeEv","__ZNK8JSObject4typeEv","__ZNK8JSObject11hasLazyTypeEv","__ZNK8JSObject16hasSingletonTypeEv","__ZNK2js5types10TypeObject17basePropertyCountEv","__ZN2js5types8Property6getKeyEPS1_","__ZNK14JSLinearString5charsEv","__ZNK8JSString6isFlatEv","__ZNK8JSString11isDependentEv","__ZN2js5types4TypeC2Ej","__ZN2js5types10MakeTypeIdEP9JSContexti","__ZN2js5types18TrackPropertyTypesEP9JSContextP8JSObjecti","__ZN2js5types10TypeObject16maybeGetPropertyEP9JSContexti","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_","__ZN2js5typesL15HashSetCapacityEj","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_","__ZN8JSString9getCharsZEP9JSContext","__ZN8JSString10ensureFlatEP9JSContext","__ZN2js5types4TypeC1Ej","__ZN2js8ToObjectEP9JSContextPN2JS5ValueE","__ZN2js23AutoPropDescArrayRooterC1EP9JSContext","__ZNK2js16AutoVectorRooterIiE6lengthEv","__ZL14UnwrapPropDescP9JSContextPN2js8DebuggerEP8JSObjectPNS1_8PropDescE","__ZN2js23AutoPropDescArrayRooterixEj","__ZL17WrapIdAndPropDescP9JSContextP8JSObjectPiPN2js8PropDescE","__ZN2js16AutoVectorRooterIiEixEj","__ZN2js23AutoPropDescArrayRooterD1Ev","__ZN2js23AutoPropDescArrayRooterD2Ev","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEEEERT_","__ZN2js15ReentrancyGuardC2INS_6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEEEERT_","_JSID_TO_INT","_JSID_TO_STRING","__ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_","__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK7mozilla14AlignedStorageILj40EE4addrEv","__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE5beginEv","__ZNK8JSObject13isObjectProxyEv","__ZNK8JSObject15isFunctionProxyEv","__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE5beginEv","__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE6lengthEv","__ZN7mozilla14AlignedStorageILj40EE4addrEv","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE3endEv","__ZNK2js7MoveRefINS_8PropDescEEcvRS1_Ev","__ZN2js7MoveRefINS_8PropDescEEC2ERS1_","__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEEixEj","__ZNK8JSObject7isProxyEv","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEixEj","__ZL19CheckArgCompartmentP9JSContextP8JSObjectRKN2JS5ValueEPKcS8_","__ZN2js8PropDesc11checkGetterEP9JSContext","__ZN2js8PropDesc11checkSetterEP9JSContext","__ZN2js23AutoPropDescArrayRooterC2EP9JSContext","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEC1ES2_","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEEC2ES2_","__ZN2js23AutoPropDescArrayRooter6appendEv","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE6appendIS1_EEbT_","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE4backEv","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE14internalAppendIS1_EEvT_","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj1ES2_EEj","__ZN2js4MoveINS_8PropDescEEENS_7MoveRefIT_EERS3_","__ZN2js7MoveRefINS_8PropDescEEC1ERS1_","__ZN2js10VectorImplINS_8PropDescELj1ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_","__ZN2js4MoveINS_8PropDescEEENS_7MoveRefIT_EERKS3_","__ZN2js16AutoVectorRooterIN2JS5ValueEE6resizeEj","__ZN2JSL10Int32ValueEi","__ZN2js16AutoVectorRooterIN2JS5ValueEEixEj","__ZN2JS5Value9setStringEP8JSString","__ZL12JSID_IS_ATOMi","__ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEERT_","_JSID_TO_OBJECT","__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiPN2JS5ValueEE","__ZN2jsL16CastAsPropertyOpEP8JSObject","__ZN2js12CastAsObjectEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE","__ZN2jsL22CastAsStrictPropertyOpEP8JSObject","_STRING_TO_JSVAL_IMPL","__ZNK8JSObject10isFunctionEv","__ZNK10JSFunction4kindEv","__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE5beginEv","__ZNK8JSObject8getProtoEv","__ZNK2js16AutoVectorRooterIN2JS5ValueEE6lengthEv","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEixEj","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE8shrinkByEj","__ZN2js28AutoPropertyDescriptorRooterC1EP9JSContext","__ZN2JSL17ObjectOrNullValueEP8JSObject5","__ZN2js28AutoPropertyDescriptorRooterD1Ev","__ZN2js28AutoPropertyDescriptorRooterD2Ev","__ZN2js28AutoPropertyDescriptorRooterC2EP9JSContext","__ZNK8JSObject18getFunctionPrivateEv","__ZNK10JSFunction13isInterpretedEv","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEixEj","__ZN2JSL11StringValueEP8JSString","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEC2ES3_","__ZL17DebuggerFrameEvalP9JSContextjPN2JS5ValueE16EvalBindingsMode","__ZL14CheckThisFrameP9JSContextRKN2js8CallArgsEPKcb","__ZNK2JS5Value8isStringEv","__ZNK2JS5Value8toStringEv","__ZN8JSString12ensureLinearEP9JSContext","__ZN2JS6AnchorIP8JSStringED2Ev","__ZNK2js12CallReceiver13clearUsedRvalEv","_INT_TO_JSID","__ZN8JSString8asLinearEv","_DOUBLE_TO_JSVAL_IMPL","__ZNK2js10StackFrame22isNonEvalFunctionFrameEv","__ZNK2js10StackFrame10hasCallObjEv","__ZNK8JSString6lengthEv","__ZN2JS6AnchorIP8JSStringEC2ES2_","__ZNK8JSString8isLinearEv","_JSVAL_TO_STRING_IMPL","_JSVAL_IS_STRING_IMPL","__ZNK2js10StackFrame13isGlobalFrameEv","__ZNK2js10StackFrame15isFunctionFrameEv","__ZNK2js10StackFrame3funEv","__ZNK2js10StackFrame4prevEv","__ZNK2js10StackFrame12isDummyFrameEv","_JSDOUBLE_IS_NEGZERO","__ZNK2js10StackFrame16isGeneratorFrameEv","__ZNK2js10StackFrame14isConstructingEv","__ZNK2js10StackFrame10hasArgsObjEv","__ZNK2js10StackFrame7argsObjEv","__ZNK8JSObject13numFixedSlotsEv","_JSVAL_TO_INT32_IMPL","__ZNK8JSScript10getVersionEv","__ZNK2js12StackSegment9maybeRegsEv","__ZN8JSObject10getGenericEP9JSContextPS_iPN2JS5ValueE","__ZN2JS6AnchorIP8JSStringEC1ES2_","__ZN2JS6AnchorIP8JSStringED1Ev","__ZL11IsValidHookRKN2JS5ValueE","__ZNK2js10StackFrame6calleeEv","__ZNK2js10StackFrame7calleevEv","__ZNK2js10StackFrame14mutableCalleevEv","__ZNK2js10StackFrame10formalArgsEv","__ZNK2js10StackFrame13numFormalArgsEv","__ZN2JS5Value9setNumberEd","_JSDOUBLE_IS_INT32","__ZN2JS5Value9setDoubleEd","__ZN2JSL9NullValueEv","__ZNK2js10StackFrame7hasArgsEv","__ZNK2js10StackFrame13numActualArgsEv","__ZL24DebuggerArguments_getArgP9JSContextjPN2JS5ValueE","__ZNK2JS5Value7toInt32Ev","__ZNK2js10StackFrame18canonicalActualArgEj","__ZNK2js10StackFrame9formalArgEj","__ZNK2js10StackFrame10actualArgsEv","__ZNK2js15ArgumentsObject13initialLengthEv","__ZNK8JSObject7getSlotEj","__ZNK2js12ContextStack5hasfpEv","__ZNK10JSFunction12inStrictModeEv","__ZNK2js10StackFrame12callReceiverEv","__ZN2js20CallReceiverFromArgvEPN2JS5ValueE","__ZL24DebuggerScript_checkThisP9JSContextRKN2js8CallArgsEPKcb","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv","__ZNK2JS5Value8toDoubleEv","_JSVAL_IS_DOUBLE_IMPL","_JSVAL_IS_NUMBER_IMPL","_JSVAL_TO_PRIVATE_PTR_IMPL","__ZL17GetScriptReferentP8JSObject","__ZL20DebuggerScript_checkP9JSContextRKN2JS5ValueEPKcS6_b","__ZL12ScriptOffsetP9JSContextP8JSScriptRKN2JS5ValueEPj","__ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5RangeC1EPNS0_14HashTableEntryIS6_EESH_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5RangeC2EPNS0_14HashTableEntryIS6_EESH_","__ZNK2JS5Value8isNumberEv","__ZNK2JS5Value8toNumberEv","__ZNK2JS5Value8isDoubleEv","__ZL15GetScriptHolderP8JSObject","__ZNK2js8Debugger13observesScopeEP8JSObject","__ZL11ScriptScopeP9JSContextP8JSScriptP8JSObject","__ZN9JSRuntime4new_IN2js10BreakpointEPNS1_8DebuggerEPNS1_14BreakpointSiteEP8JSObjectEEPT_T0_T1_T2_","__ZNK2js10StackFrame11maybeScriptEv","__ZNK2JS5Value9toPrivateEv","__ZN2JS5Value9setNumberEj","__ZN16FlowGraphSummaryC1EP9JSContext","__ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE7destroyEPjS3_","__ZN2js15ReentrancyGuardC2INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js13BytecodeRange5emptyEv","__ZNK2js13BytecodeRange11frontOffsetEv","__ZNK28BytecodeRangeWithLineNumbers15frontLineNumberEv","__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js13BytecodeRange7frontPCEv","__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js13BytecodeRangeC2EP9JSContextP8JSScript","__ZN8JSScript5notesEv","__ZN16FlowGraphSummary8populateEP9JSContextP8JSScript","__ZN28BytecodeRangeWithLineNumbersC1EP9JSContextP8JSScript","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj","__ZN2JSL11NumberValueEd","__ZN28BytecodeRangeWithLineNumbers8popFrontEv","__ZN16FlowGraphSummaryD1Ev","__ZN16FlowGraphSummaryD2Ev","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorIjLj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js13BytecodeRange8popFrontEv","__ZN28BytecodeRangeWithLineNumbers10updateLineEv","__ZN28BytecodeRangeWithLineNumbersC2EP9JSContextP8JSScript","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE6growByEj","__ZNK2js12ContextStack17assertSpaceInSyncEv","__ZNK2js12CallReceiver11setUsedRvalEv","__ZN2js13FlowsIntoNextE4JSOp","__ZN8JSScript13isValidOffsetEh","__ZNK10JSCodeSpec4typeEv","__ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE10initializeEPjS3_","__ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE13copyConstructIjEEvPjPKT_S7_","__ZN8JSScript7objectsEv","_PRIVATE_PTR_TO_JSVAL_IMPL","__ZN2js5types10TypeObject11hasAllFlagsEj","_BOOLEAN_TO_JSVAL_IMPL","_INT32_TO_JSVAL_IMPL","__ZN2js15TempAllocPolicyC2EP9JSContext","__ZNK2js13BytecodeRange11frontOpcodeEv","__ZN16FlowGraphSummary7addEdgeEjj","__ZL12js_GetOpcodeP9JSContextP8JSScriptPh","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE10growByImplILb1EEEbj","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIjLj0ES1_EEj","__ZN2js10VectorImplIjLj0ENS_15TempAllocPolicyELb1EE13moveConstructIjEEvPjPKT_S7_","__ZN16FlowGraphSummaryC2EP9JSContext","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEC2ES1_","__ZN8JSObject14definePropertyEP9JSContextiRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej","__ZN2JS5Value10setPrivateEPv","__ZN8JSObject10getGenericEP9JSContextiPN2JS5ValueE","__ZN8JSObject23markDenseArrayNotPackedEP9JSContext","__ZN2js5types19MarkTypeObjectFlagsEP9JSContextP8JSObjectj","__ZN2js16CallArgsFromArgvEjPN2JS5ValueE","__ZN2js16AutoObjectVectorD2Ev","__ZN2js16AutoVectorRooterIP8JSObjectED2Ev","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEED2Ev","__ZN2js16AutoObjectVectorC2EP9JSContext","__ZN2js16AutoVectorRooterIP8JSObjectEC2EP9JSContexti","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEEC2ES3_","__ZNK2js12ContextStack4regsEv","__ZL14JSID_FROM_BITSj","__ZNK2js2gc4Cell7addressEv","__ZN8JSObject8asGlobalEv","__ZNK2js12StackSegment4regsEv","__ZNK2JS5ValueeqERKS0_","_BUILD_JSVAL6","_JSVAL_IS_NULL_IMPL","_JSVAL_TO_OBJECT_IMPL","_JSVAL_IS_OBJECT_IMPL","__ZNK2js9FrameRegs2fpEv","__ZN7mozilla14AlignedStorageILj64EE4addrEv","_JSVAL_IS_UNDEFINED_IMPL","_OBJECT_TO_JSVAL_IMPL7","__ZNK2js5Shape12isEmptyShapeEv","__ZN2js10AutoLockGCD2Ev","__ZN2js10AutoLockGCC2EP9JSRuntime","__ZN2js18RuntimeAllocPolicyC2EP9JSContext","__ZNK2js8Debugger17observesNewScriptEv","__ZN2jsL4FindIN2JS5ValueEEEPT_S4_S4_RKS3_","__ZN2js21assertSameCompartmentIN2JS5ValueEEEvP9JSContextT_","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE","__ZNK9JSContext5hasfpEv","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE","__ZN2js15AutoValueVectorD2Ev","__ZN2js16AutoVectorRooterIN2JS5ValueEED2Ev","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEED2Ev","__ZNK2js12ContextStack2fpEv","__ZNK2js12StackSegment2fpEv","__ZN2js15AutoValueVectorC2EP9JSContext","__ZN2js16AutoVectorRooterIN2JS5ValueEEC2EP9JSContexti","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEEC2ES3_","__ZN8JSObject7setSlotEjRKN2JS5ValueE","__ZN8JSObject10getSlotRefEj","__ZN8JSObject14getSlotAddressEj","__ZNK8JSObject11nativeEmptyEv","__ZN2js7HashSetIPNS_12GlobalObjectENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev","__ZN2js6detail9HashTableIKPNS_12GlobalObjectENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev","__ZN2js7HashMapIPNS_10StackFrameEP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPNS_10StackFrameEP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev","__ZN2js7WeakMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S2_EEED2Ev","__ZN2js7HashMapIP8JSObjectS2_NS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectS4_EENS_7HashMapIS4_S4_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyES9_ED2Ev","__ZN2js7HashMapIP8JSScriptP8JSObjectNS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSScriptP8JSObjectEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev","__ZNK2js2gc4Cell11arenaHeaderEv","__Z18js_InitObjectClassP9JSContextP8JSObject","__ZNK2js12GlobalObject32functionObjectClassesInitializedEv","__ZN10JSFunction19setConstructorClassEPN2js5ClassE","__ZN2js12GlobalObject28initFunctionAndObjectClassesEP9JSContext","__ZNK2js12GlobalObject18getObjectPrototypeEv","__Z20js_InitFunctionClassP9JSContextP8JSObject","__ZNK2js12GlobalObject20getFunctionPrototypeEv","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_123","__ZN8JSObject16setSingletonTypeEP9JSContext","__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_","__ZN8JSObject7getTypeEP9JSContext","__ZL12ATOM_TO_JSIDP6JSAtom124","__ZL12JSID_TO_ATOMi","__ZN2js12GlobalObject21setObjectClassDetailsEP10JSFunctionP8JSObject","__ZN2js12GlobalObject23setFunctionClassDetailsEP10JSFunctionP8JSObject","__ZN2js27LinkConstructorAndPrototypeEP9JSContextP8JSObjectS3_","__ZN2js24DefinePropertiesAndBrandEP9JSContextP8JSObjectP14JSPropertySpecP14JSFunctionSpec","__ZN8JSObject15addDataPropertyEP9JSContextijj","__ZN2js12GlobalObject15setOriginalEvalEP8JSObject","__ZL14ThrowTypeErrorP9JSContextjPN2JS5ValueE","__ZN2js12GlobalObject17setThrowTypeErrorEP10JSFunction","__ZN2js12GlobalObject6createEP9JSContextPNS_5ClassE","__ZN8JSObject19syncSpecialEqualityEv","__ZN2js21assertSameCompartmentIPNS_12GlobalObjectEEEvP9JSContextT_","__ZN2jsL24regexp_statics_constructEP9JSContextPNS_12GlobalObjectE","__ZN2JSL11ObjectValueER8JSObject125","__ZN2js12GlobalObject8setFlagsEi","__ZN2js12GlobalObject19initStandardClassesEP9JSContext","__ZN2JSL14UndefinedValueEv126","__ZN2js12GlobalObject5clearEP9JSContext","__ZN8JSObject7unbrandEP9JSContext","__ZN2js13RegExpStatics11extractFromEPNS_12GlobalObjectE","__ZN2js13RegExpStatics5clearEv","__ZN2JSL10Int32ValueEi127","__ZN2js12GlobalObject23isRuntimeCodeGenEnabledEP9JSContext","__ZN2JSL12BooleanValueEb","__ZNK2JS5Value7isFalseEv","__ZN2js12GlobalObject17createConstructorEP9JSContextPFiS2_jPN2JS5ValueEEPNS_5ClassEP6JSAtomj","__ZN2js12GlobalObject20createBlankPrototypeEP9JSContextPNS_5ClassE","__ZN2jsL16CreateBlankProtoEP9JSContextPNS_5ClassER8JSObjectRNS_12GlobalObjectE","__ZN2js12GlobalObject30createBlankPrototypeInheritingEP9JSContextPNS_5ClassER8JSObject","__ZN8JSObject5brandEP9JSContext","__ZN2js24GlobalDebuggees_finalizeEP9JSContextP8JSObject","__ZN9JSContext7delete_IN2js6VectorIPNS1_8DebuggerELj0ENS1_17SystemAllocPolicyEEEEEvPT_","__ZN2js12GlobalObject12getDebuggersEv","__ZN2js12GlobalObject20getOrCreateDebuggersEP9JSContext","__ZN9JSContext4new_IN2js6VectorIPNS1_8DebuggerELj0ENS1_17SystemAllocPolicyEEEEEPT_v","__ZN2js12GlobalObject11addDebuggerEP9JSContextPNS_8DebuggerE","_js_realloc132","_js_malloc133","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEC1ES3_","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEEC2ES3_","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEED1Ev","_js_free134","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE137","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE143","__ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE7destroyEPiS3_","__ZN2js15ReentrancyGuardC2INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE138","__ZN2js2gcL15GetGCObjectKindEjb135","_BUILD_JSVAL141","_MAGIC_TO_JSVAL_IMPL142","_JSVAL_TO_OBJECT_IMPL144","__ZL26js_IsPropertyCacheDisabledP9JSContext","_JSVAL_IS_SPECIFIC_BOOLEAN","_BOOLEAN_TO_JSVAL_IMPL145","_JSVAL_IS_UNDEFINED_IMPL146","_INT32_TO_JSVAL_IMPL147","_JSVAL_TO_INT32_IMPL148","__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE5beginEv","__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE6lengthEv","__ZN2js6VectorIPNS_8DebuggerELj0ENS_17SystemAllocPolicyEED2Ev","__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE136","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE139","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb140","__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE","__ZN2js6detailL9NewObjectILb1ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE","__Z16js_NewGCFunctionP9JSContext","__Z10NewGCThingI10JSFunctionEPT_P9JSContextN2js2gc9AllocKindEj","__ZN2js13RegExpStatics12aboutToWriteEv","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE5clearEv","__ZN2js15ReentrancyGuardC1INS_6VectorIiLj20ENS_17SystemAllocPolicyEEEEERT_","__ZN2js13RegExpStatics6copyToERS0_","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE16infallibleAppendIiLj20ES1_EEvRKNS0_IT_XT0_ET1_EE","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE14internalAppendIiLj20ES1_EEvRKNS0_IT_XT0_ET1_EE","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE14internalAppendIiEEvPKT_j","__ZL14JSID_FROM_BITSj151","__ZN2js12ParseMapPool15checkInvariantsEv","_JSID_TO_STRING150","__ZN2js12ParseMapPool9asAtomMapEPv","__ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE13copyConstructIiEEvPiPKT_S7_","__ZN8JSObject7brandedEv","__ZN8JSObject10setGenericEv","_OBJECT_TO_JSVAL_IMPL149","__ZN7mozilla14AlignedStorageILj80EE4addrEv","__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5beginEv","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE3endEv","__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE6lengthEv","__ZNK2js12GlobalObject16getRegExpStaticsEv","__ZN9JSContext4new_IN2js13RegExpStaticsEEEPT_v","__ZN2js13RegExpStaticsC1Ev","__ZN2js13RegExpStaticsC2Ev","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEC1ES1_","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEC2ES1_","__ZN2js12GlobalObject16setDetailsForKeyE10JSProtoKeyP8JSObjectS3_","_js_calloc152","__ZN2js12ParseMapPool8purgeAllEv","__ZN9JSContext7delete_IN2js9InlineMapIP6JSAtomjLj24EEEEEvPT_","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12clearAndFreeEv","__ZN2js12ParseMapPool13allocateFreshEv","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7reserveEj","__ZN9JSContext4new_IN2js9InlineMapIP6JSAtomjLj24EEEPS_EEPT_T0_","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE16infallibleAppendERKS1_","__ZN2js9AtomDecls9allocNodeEP12JSDefinition","__ZN2js12AtomDeclNodeC1EP12JSDefinition","__ZN2js9AtomDecls9addShadowEP6JSAtomP12JSDefinition","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12lookupForAddERKS2_","__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrcvPPPPPPPS5_Ev","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3addERNS4_6AddPtrERKS2_RKS3_","__ZN2js12DefnOrHeaderC1EPNS_12AtomDeclNodeE","__ZN2js9InlineMapIP6JSAtomjLj24EE21checkStaticInvariantsEv","__ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE7destroyEPS1_S4_","__ZN2js15ReentrancyGuardC2INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_","__ZNK2js12DefnOrHeader8isHeaderEv","__ZNK2js12DefnOrHeader6headerEv","__ZNK2js12DefnOrHeader4defnEv","__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE10endNoCheckEv","__ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE13copyConstructIS1_EEvPS1_PKT_S8_","__ZNK7mozilla14AlignedStorageILj128EE4addrEv","__ZN7mozilla14AlignedStorageILj128EE4addrEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5valueEv","__ZN2js9AtomDecls10lastAsNodeEPNS_12DefnOrHeaderE","__ZN2js9AtomDecls8addHoistEP6JSAtomP12JSDefinition","__ZN2js9InlineMapIP6JSAtomjLj24EEC1EP9JSContext","__ZN2js9InlineMapIP6JSAtomjLj24EEC2EP9JSContext","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_","_js_malloc153","__ZN2js15ReentrancyGuardC1INS_6VectorIPvLj32ENS_17SystemAllocPolicyEEEEERT_","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE13growStorageByEj","__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS1_Lj32ES2_EEj","_js_realloc154","__ZN2js10VectorImplIPvLj32ENS_17SystemAllocPolicyELb1EE13moveConstructIS1_EEvPS1_PKT_S8_","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5clearEv","_js_free155","__ZN2js9InlineMapIP6JSAtomjLj24EED1Ev","__ZN2js9InlineMapIP6JSAtomjLj24EED2Ev","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE12switchAndAddERKS2_RKS3_","__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E6AddPtrERKS2_RKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrEPPS6_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10isLiveHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEC2ERS8_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC2ERS5_","__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEptEv","__ZNK2js7MoveRefIP6JSAtomEcvRS2_Ev","__ZNK2js7MoveRefINS_12DefnOrHeaderEEcvRS1_Ev","__ZN2js7MoveRefINS_12DefnOrHeaderEEC2ERS1_","__ZN2js7MoveRefIP6JSAtomEC2ERS2_","__ZN2js12DefnOrHeaderC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11createTableERSA_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEaSENS_7MoveRefIS7_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEENS_7MoveRefIT_EERSA_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E12destroyTableERSA_PNS0_14HashTableEntryIS6_EEj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEEEC1ERS8_","__ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEaSENS_7MoveRefIS4_EE","__ZN2js4MoveINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEENS_7MoveRefIT_EERS7_","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC1ERS5_","__ZN2js4MoveIP6JSAtomEENS_7MoveRefIT_EERKS4_","__ZN2js4MoveINS_12DefnOrHeaderEEENS_7MoveRefIT_EERS3_","__ZN2js7MoveRefINS_12DefnOrHeaderEEC1ERS1_","__ZN2js7MoveRefIP6JSAtomEC1ERS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEEC2Ev","__ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEC1Ev","__ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEC2Ev","__ZN2js12DefnOrHeaderC1Ev","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE11switchToMapEv","__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKS3_","__ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC2Ev","__ZN2js13PointerHasherIP6JSAtomLj2EE5matchERKS2_S5_","__ZN2js13PointerHasherIP6JSAtomLj2EE4hashERKS2_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC2ERNS0_14HashTableEntryIS6_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12setCollisionEj","__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S3_EE","__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE8usingMapEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5countEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11initializedEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrptEv","__ZN2js12DefnOrHeaderC2EPNS_12AtomDeclNodeE","__ZN2js12AtomDeclNodeC2EP12JSDefinition","__ZNK2js9FrameRegs7inlinedEv","__ZNK2js10StackFrame10annotationEv","__ZN2js10StackFrame13setAnnotationEPv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS6_S7_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESC_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11prepareHashERKS4_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5matchERNS0_14HashTableEntryIS6_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E10isLiveHashEj","__ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv","__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv","__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5countEv","__ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E4initEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5clearEv","__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3Ptr5foundEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E6AddPtrE","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC1EPNS4_10InlineElemEb","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC2EPNS4_10InlineElemEb","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2Ev","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E6AddPtrE","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE14internalAppendIS1_EEvT_","__ZN2js10StackFrame16initExecuteFrameEP8JSScriptPS0_PNS_9FrameRegsERKN2JS5ValueER8JSObjectNS_11ExecuteTypeE","__ZN2JSL9NullValueEv158","__ZN2jsL33Debug_SetValueRangeToCrashOnTouchEPN2JS5ValueES2_","__ZN2js10StackFrame10prevpcSlowEPPNS_13JSInlinedSiteE","__ZNK2js10StackSpace16assertInvariantsEv","__ZN2jsL3MaxIPN2JS5ValueEEET_S4_S4_","__ZN2js10StackFrame22setScopeChainNoCallObjER8JSObject","__ZNK2js10StackFrame15hasOverflowArgsEv","__Z16js_IsNamedLambdaP10JSFunction","__ZNK8JSObject17isNormalArgumentsEv","__ZNK2js12StackSegment10slotsBeginEv","__ZNK2js8CallArgs3endEv","__ZN2js12StackSegment8pushRegsERNS_9FrameRegsE","__ZN2js12StackSegment7popRegsEPNS_9FrameRegsE","__ZN2js12StackSegment8pushCallERNS_12CallArgsListE","__ZN2js12StackSegment11pointAtCallERNS_12CallArgsListE","__ZN2js12StackSegment7popCallEv","__ZNK2js12StackSegment12prevInMemoryEv","__ZN2js10StackFrame14initDummyFrameEP9JSContextR8JSObject","__ZN2jsL7PodZeroINS_10StackFrameEEEvPT_","__ZN2js10StackFrame8initPrevEP9JSContext","__ZN2js10StackFrame18stealFrameAndSlotsEPN2JS5ValueEPS0_S3_S3_","__ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j","__ZNK2js10StackFrame7callObjEv","__ZN2js15ArgumentsObject13setStackFrameEPNS_10StackFrameE","__ZN2js10StackFrame11pcQuadraticERKNS_12ContextStackEPS0_PPNS_13JSInlinedSiteE","__ZNK2js10StackSpace17containingSegmentEPKNS_10StackFrameE","__ZNK2js12StackSegment16computeNextFrameEPKNS_10StackFrameE","__ZN2js10StackFrame6prevpcEPPNS_13JSInlinedSiteE","__ZNK2js12StackSegment8containsEPKNS_10StackFrameE","__ZNK2js12StackSegment7maybefpEv","__ZNK2js12StackSegment8containsEPKNS_9FrameRegsE","__ZNK2js12StackSegment8containsEPKNS_12CallArgsListE","__ZNK2js12StackSegment3endEv","__ZN2js10StackSpaceC2Ev","__ZN2js10StackSpace4initEv","__ZN2js10StackSpaceD2Ev","__ZN2js12ContextStackD2Ev","__ZN2jsL12ToFrameFlagsENS_17InitialFrameFlagsE","__ZN2js12ImplicitCastINS_8CallArgsENS_15InvokeArgsGuardEEERT_RT0_","__ZNK2js10StackFrame5slotsEv","__ZNK9JSRuntime17trustedPrincipalsEv","__ZN2js10StackSpace13committedSizeEv","__ZN2js12ContextStack11threadResetEv","__ZNK2js12StackSegment13prevInContextEv","__ZNK2js12StackSegment10maybeCallsEv","__ZN2js15InvokeArgsGuard9setPushedERNS_12ContextStackE","__ZN2js10StackSpace4markEP8JSTracer","__ZNK2js10StackSpace11firstUnusedEv","__ZNK2js10StackSpace15ensureSpaceSlowEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment","__ZN2js10StackSpace12tryBumpLimitEP9JSContextPN2JS5ValueEjPS5_","__ZNK2js10StackSpace11ensureSpaceEP9JSContextNS_16MaybeReportErrorEPN2JS5ValueEiP13JSCompartment","__ZN2js12ContextStackC2EP9JSContext","__ZNK2js12ContextStack5onTopEv","__ZNK2js12ContextStack12containsSlowEPKNS_10StackFrameE","__ZN2js12ContextStack11ensureOnTopEP9JSContextNS_16MaybeReportErrorEjNS0_11MaybeExtendEPbP13JSCompartment","__ZN2js12StackSegmentC1EPS0_S1_PNS_9FrameRegsEPNS_12CallArgsListE","__ZN2js12ContextStack10popSegmentEv","__ZN9JSContext27maybeMigrateVersionOverrideEv","__ZN2js12ContextStack14pushInvokeArgsEP9JSContextjPNS_15InvokeArgsGuardE","__ZN2js12ContextStack13popInvokeArgsERKNS_15InvokeArgsGuardE","__ZN2js12ContextStack15pushInvokeFrameEP9JSContextRKNS_8CallArgsENS_17InitialFrameFlagsEPNS_16InvokeFrameGuardE","__ZNK2js8CallArgs4argcEv","__ZN2js10FrameGuard9setPushedERNS_12ContextStackE","__ZNK2js9StackIter8isScriptEv","__ZNK2js9StackIter2fpEv","__ZN9JSContext14setCompartmentEP13JSCompartment","__ZN11JSGenerator13floatingFrameEv","__ZN2js10StackFrame22unsetFloatingGeneratorEv","__ZNK2js12ContextStack12getCallFrameEP9JSContextNS_16MaybeReportErrorERKNS_8CallArgsEP10JSFunctionP8JSScriptPNS_10StackFrame5FlagsE","__ZN2js10StackFrame13initCallFrameEP9JSContextR8JSObjectP10JSFunctionP8JSScriptjNS0_5FlagsE","__ZN2js9FrameRegs12prepareToRunERNS_10StackFrameEP8JSScript","__ZN2js12ContextStack16pushExecuteFrameEP9JSContextP8JSScriptRKN2JS5ValueER8JSObjectNS_11ExecuteTypeEPNS_10StackFrameEPNS_17ExecuteFrameGuardE","__ZN2js9StackIterppEv","__ZNK2js12ContextStack7maybefpEv","__ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj","__ZN2js12ContextStack14pushDummyFrameEP9JSContextP13JSCompartmentR8JSObjectPNS_15DummyFrameGuardE","__ZN2js9FrameRegs14initDummyFrameERNS_10StackFrameE","__ZN2js12ContextStack8popFrameERKNS_10FrameGuardE","__ZN2js10StackFrame16functionEpilogueEv","__ZN2js12ContextStack18pushGeneratorFrameEP9JSContextP11JSGeneratorPNS_19GeneratorFrameGuardE","__ZNK2js10StackFrame8numSlotsEv","__ZN2js10StackFrame18resetGeneratorPrevEP9JSContext","__ZN2js9FrameRegs12rebaseFromToERKS0_RNS_10StackFrameE","__ZN2js10StackFrame20setFloatingGeneratorEv","__ZN2js9StackIter10poisonRegsEv","__ZNK2js10StackFrame22isFramePushedByExecuteEv","__ZNK2js12CallArgsList4prevEv","__ZNK2js12CallReceiver4baseEv","__ZNK2js12CallArgsList6activeEv","__ZNK2js12CallReceiver7calleevEv","__ZN2js12ContextStack17popGeneratorFrameERKNS_19GeneratorFrameGuardE","__ZN2js12ContextStack14saveFrameChainEv","__ZN2js12ContextStack17restoreFrameChainEv","__ZN2js9StackIter8popFrameEv","__ZNK2js10StackFrame13actualArgsEndEv","__ZN2js9StackIter7popCallEv","__ZN2js9StackIter18settleOnNewSegmentEv","__ZN2js9StackIter14startOnSegmentEPNS_12StackSegmentE","__ZL12js_GetOpcodeP9JSContextP8JSScriptPh161","__ZN7mozilla9DebugOnlyIjEC1ERKj","__ZNK2js10StackFrame4baseEv","__ZL18CrashIfInvalidSlotPN2js10StackFrameEPN2JS5ValueE","__ZN2jsL16IsNativeFunctionERKN2JS5ValueE","__ZN7mozilla9DebugOnlyIjED1Ev","__ZN7mozilla9DebugOnlyIP8JSScriptEC1ERKS2_","__ZN7mozilla9DebugOnlyIP8JSScriptED1Ev","__ZN2js9StackIterC2EP9JSContextNS0_11SavedOptionE","__ZN2js9StackIter16settleOnNewStateEv","__ZN7mozilla9DebugOnlyIP8JSScriptED2Ev","__ZN7mozilla9DebugOnlyIP8JSScriptEC2ERKS2_","__ZN7mozilla9DebugOnlyIjED2Ev","__ZN7mozilla9DebugOnlyIjEC2ERKj","__ZNK8JSString12asExtensibleEv","__ZN8JSString7asFixedEv","__ZNK2js9StackIter4doneEv","_JSVAL_TO_OBJECT_IMPL164","_JSVAL_IS_OBJECT_IMPL165","_JSVAL_TO_INT32_IMPL166","__ZNK8JSScript7nestingEv","_BUILD_JSVAL167","__ZNK9JSContext19isVersionOverriddenEv","__ZN9JSContext20clearVersionOverrideEv","__ZN2js12StackSegmentC2EPS0_S1_PNS_9FrameRegsEPNS_12CallArgsListE","__ZNK8JSObject6isCallEv","__ZNK8JSString12isExtensibleEv","__ZNK17JSDependentString4baseEv","__ZNK8JSString6isRopeEv","__ZNK18JSExtensibleString8capacityEv","__ZNK2js9StackItereqERKS0_","__ZNK2js9StackIter10nativeArgsEv","__ZN2js13AllFramesIterC2ERNS_10StackSpaceE","__ZN2js13AllFramesIterppEv","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction","__ZNK10JSFunction8isNativeEv","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject","__ZNK2js10StackFrame20maintainNestingStateEv","__ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_","__ZNK9JSContext9maybeRegsEv","__ZNK2js12ContextStack9maybeRegsEv","__ZNK8JSString7isShortEv","__ZNK2js2gc4Cell12getAllocKindEv","__ZNK8JSString7isFixedEv","__ZNK8JSString8isInlineEv","__ZNK8JSString10isExternalEv","__ZN14JSLinearString4markEP8JSTracer","__ZNK2js2gc4Cell14markIfUnmarkedEj","__ZN8JSString13charsHeapSizeEPFjPvE","__ZL11JS_ON_TRACEPK9JSContext","__ZN8JSString19buildLengthAndFlagsEjj","__ZN13JSShortString10lengthFitsEj","__ZNK6JSRope9leftChildEv","__ZN6JSRope7flattenEP9JSContext","__ZL10AllocCharsP9JSContextjPPtPj","__ZN2jsL7PodCopyItEEvPT_PKS1_j","__Z16js_ConcatStringsP9JSContextP8JSStringS2_","__Z19js_NewGCShortStringP9JSContext","__ZN8JSString8getCharsEP9JSContext","__ZN14JSInlineString4initEj","__ZN6JSRope4new_EP9JSContextP8JSStringS3_j","__ZN17JSDependentString8undependEP9JSContext","__ZNK12JSFlatString7isIndexEPj","__ZNK12JSFlatString6charsZEv","__ZN7mozilla9RangedPtrIKtEC1EPS1_j","__ZN7mozilla9RangedPtrIKtE11checkSanityEv","__ZNK8JSString6asAtomEv","__ZNK7mozilla9RangedPtrIKtEdeEv","__ZN2js13StaticStrings15fitsInSmallCharEt","__ZNK7mozilla9RangedPtrIKtEeqIS1_EEbRKNS0_IT_EE","__ZN2js19PreserveCompartmentD2Ev","__ZN7mozilla9RangedPtrIKtEC1EPS1_S3_j","__ZN7mozilla9RangedPtrIKtEppEi","__ZNK7mozilla9RangedPtrIKtEneIS1_EEbRKNS0_IT_EE","__ZN2js13StaticStrings4initEP9JSContext","__ZN2js19SwitchToCompartmentC1EP9JSContextP13JSCompartment","__ZN13JSFixedString27morphAtomizedStringIntoAtomEv","__ZN2js19SwitchToCompartmentD1Ev","__ZN2js13StaticStrings5traceEP8JSTracer","__ZN2js13StaticStrings8isStaticEP6JSAtom","__ZN7mozilla9RangedPtrIKtEppEv","__ZN7mozilla9RangedPtrIKtEpLEj","__ZN7mozilla9RangedPtrIKtEaSIS1_EERS2_RKNS0_IT_EE","__ZN7mozilla9RangedPtrIKtEplEj","__ZNK7mozilla9RangedPtrIKtE6createEPS1_","__ZN7mozilla9RangedPtrIKtEC2EPS1_S3_j","__ZN7mozilla9RangedPtrIKtEC2EPS1_j","__ZN2js19SwitchToCompartmentD2Ev","__ZN2js19SwitchToCompartmentC2EP9JSContextP13JSCompartment","__ZN2js2gcL16AssertValidColorEPKvj","__ZNK2js2gc4Cell5chunkEv","__ZN2js19PreserveCompartmentC2EP9JSContext","__ZNK2js2gc11ArenaHeader12getAllocKindEv","__ZN2v88internal6VectorIcEC2EPci","__ZNK2v88internal13StringBuilder12is_finalizedEv","__ZNK2v88internal6VectorIcEixEi","__ZN2v88internal5DiyFp8MultiplyERKS1_","_js_malloc181","__Z14js_NewGCStringP9JSContext","__ZN6JSRope4initEP8JSStringS1_j","__Z10NewGCThingI8JSStringEPT_P9JSContextN2js2gc9AllocKindEj","__Z10NewGCThingI13JSShortStringEPT_P9JSContextN2js2gc9AllocKindEj","__ZN2js11OffTheBooks7malloc_Ej","__ZN2js2gc11ChunkBitmap14markIfUnmarkedEPKNS0_4CellEj","__ZN2js2gc11ChunkBitmap18getMarkWordAndMaskEPKNS0_4CellEjPPjS5_","_V8_Fatal","__ZN2v88internal15DoubleToCStringEdPci","__ZN2v88internal13StringBuilderC1EPci","__ZN2v88internal13StringBuilder12AddCharacterEc","__ZN2v88internal6VectorIcEC1EPci","__ZN2v88internal13StringBuilderD1Ev","__ZN2v88internal13StringBuilderD2Ev","__ZN2v88internal13StringBuilderC2EPci","__ZN2v88internal9RoundWeedENS0_6VectorIcEEiyyyyy","__ZN2v88internalL15BiggestPowerTenEjiPjPi","__ZNK2v88internal5DiyFp1fEv","__ZNK2v88internal5DiyFp1eEv","__ZN2v88internal5DiyFp5set_fEy","__ZN2v88internal5DiyFp5set_eEi","__ZN2v88internal8DigitGenENS0_5DiyFpES1_S1_NS0_6VectorIcEEPiS4_","__ZN2v88internal5DiyFpC1Eyi","__ZN2v88internal5DiyFp5MinusERKS1_S3_","__ZN2v88internal6grisu3EdNS0_6VectorIcEEPiS3_","__ZN2v88internal6DoubleC1Ed","__ZNK2v88internal6Double17AsNormalizedDiyFpEv","__ZN2v88internal5DiyFpC1Ev","__ZNK2v88internal6Double20NormalizedBoundariesEPNS0_5DiyFpES3_","__ZN2v88internalL14GetCachedPowerEiiiPiPNS0_5DiyFpE","__ZN2v88internal5DiyFp5TimesERKS1_S3_","__ZN2js7analyzeL7ArgSlotEj","__ZN2v88internal5DiyFp9NormalizeEv","__ZNK2v88internal6Double8AsUint64Ev","__ZN2v88internal5DiyFpC2Ev","__ZN2v88internal5DiyFp8SubtractERKS1_","__ZN2v88internal5DiyFpC2Eyi","__ZN8JSScript7getAtomEj","__ZN2v88internal8FastDtoaEdNS0_6VectorIcEEPiS3_","__ZNK2v88internal6Double7AsDiyFpEv","__ZN2v88internal5DiyFp9NormalizeERKS1_","__ZNK2v88internal6Double11SignificandEv","__ZNK2v88internal6Double8ExponentEv","__ZNK2v88internal6Double10IsDenormalEv","__ZN2v88internal6DoubleC2Ed","__ZN2v88internalL16double_to_uint64Ed","__ZN2v88internal7BitCastIydEET_RKT0_","__ZN2js15TempAllocPolicy13onOutOfMemoryEPvj","__ZNK2js15TempAllocPolicy19reportAllocOverflowEv","__ZN2js7analyze8Bytecode12mergeDefinesEP9JSContextPNS0_14ScriptAnalysisEbjPjj","__ZN2js10ArenaArrayIjEEPT_R11JSArenaPoolj","__ZN2js7analyze14ScriptAnalysis6setOOMEP9JSContext","__ZN2js7analyze14ScriptAnalysis16checkAliasedNameEP9JSContextPh","__ZN8JSScript11getFunctionEj","__ZN2js7analyzeL9LocalSlotEP8JSScriptj","__ZN2js7analyze14ScriptAnalysis15analyzeBytecodeEP9JSContext","__ZN2js5types10TypeScript9typeArrayEv","__ZNK8JSScript8functionEv","__ZN8JSScript12getClosedArgEj","__ZN2js7analyze14ScriptAnalysis8setLocalEjj","__ZN8JSScript12getClosedVarEj","__ZNK10JSFunction13isHeavyweightEv","__ZN2js7analyze14ScriptAnalysis9maybeCodeEj","__ZN2js7analyzeL13GetJumpOffsetEPhS1_","__ZN2js7analyze14ScriptAnalysis7getCodeEj","__ZN8JSScript8trynotesEv","__ZN2js7analyzeL10TotalSlotsEP8JSScript","__ZN2js10ArenaArrayIPNS_7analyze8BytecodeEEEPT_R11JSArenaPoolj","__ZN2js10ArenaArrayIhEEPT_R11JSArenaPoolj","__ZN2jsL7PodZeroIPNS_7analyze8BytecodeEEEvPT_j","__ZN2jsL7PodZeroIhEEvPT_j","__ZN2js8ArenaNewINS_7analyze8BytecodeEEEPT_R11JSArenaPool","__ZN2js7analyze12UntrapOpcodeC1EP9JSContextP8JSScriptPh","__ZN2js7analyzeL17GetBytecodeLengthEPh","__ZN2js7analyzeL11GetUseCountEP8JSScriptj","__ZN2js7analyzeL11GetDefCountEP8JSScriptj","__ZN2js7analyze14ScriptAnalysis7addJumpEP9JSContextjPjS4_jS4_j","__ZN2js7analyze14ScriptAnalysis10jumpTargetEPKh","__ZN2js7analyze14ScriptAnalysis12localDefinedEjj","__ZN2js7analyzeL21BytecodeNoFallThroughE4JSOp","__ZN2js7analyze12UntrapOpcodeD1Ev","__ZN2js7analyze14ScriptAnalysis16analyzeLifetimesEP9JSContext","__ZN7mozilla9DebugOnlyIbEaSERKb","__ZN2js7analyze14ScriptAnalysis11ranBytecodeEv","__ZN2js7analyze14ScriptAnalysis6failedEv","__ZN2js7analyze14ScriptAnalysis14ensureVariableERNS0_16LifetimeVariableEj","__ZN2js7analyze14ScriptAnalysis11slotEscapesEj","__ZN2js10ArenaArrayINS_7analyze16LifetimeVariableEEEPT_R11JSArenaPoolj","__ZN2jsL7PodZeroINS_7analyze16LifetimeVariableEEEvPT_j","__ZN2js7analyze14ScriptAnalysis14extendVariableEP9JSContextRNS0_16LifetimeVariableEjj","__ZN7mozilla9DebugOnlyIbEC1ERKb","__ZN7mozilla9DebugOnlyIbED1Ev","__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh","__ZN2js7analyze14ScriptAnalysis11addVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj","__ZN2js7analyze14ScriptAnalysis12killVariableEP9JSContextRNS0_16LifetimeVariableEjRPPS4_Rj","__ZN2js8ArenaNewINS_7analyze8LifetimeEjjPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_","__ZN2js7analyzeL12FollowBranchEP9JSContextP8JSScriptj","__ZNK2js7analyze16LifetimeVariable4liveEj","__ZN2js8ArenaNewINS_7analyze12LoopAnalysisEEEPT_R11JSArenaPool","__ZN2jsL7PodZeroINS_7analyze12LoopAnalysisEEEvPT_","__ZN2js7analyze14ScriptAnalysis16clearAllocationsEv","__ZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContext","__ZN2js7analyze14ScriptAnalysis12ranLifetimesEv","__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6lengthEv","__ZN2js7analyze14ScriptAnalysis8livenessEj","__ZNK2js7analyze8SSAValue4kindEv","__ZNK2js7analyze8SSAValue9phiOffsetEv","__ZN2js7analyze14ScriptAnalysis9trackSlotEj","__ZN2js7analyze8SSAValue11initInitialEj","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEEC1ES1_","__ZN2js7analyze14ScriptAnalysis9maybeCodeEPKh","__ZN2jsL7PodZeroINS_7analyze8SSAValueEEEvPT_j","__ZN2js7analyze14ScriptAnalysis18removeBranchTargetERNS_6VectorIjLj0ENS_15TempAllocPolicyEEEj","__ZN9JSContext4new_IN2js6VectorINS1_7analyze9SlotValueELj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEixEj","__ZNK2js7analyze16LifetimeVariable10firstWriteEPNS0_12LoopAnalysisE","__ZN2js7analyze14ScriptAnalysis7makePhiEP9JSContextjjPNS0_8SSAValueE","__ZN2js7analyze14ScriptAnalysis9insertPhiEP9JSContextRNS0_8SSAValueERKS4_","__ZN2js7analyze14ScriptAnalysis10mergeValueEP9JSContextjRKNS0_8SSAValueEPNS0_9SlotValueE","__ZN2js7analyze14ScriptAnalysis17mergeBranchTargetEP9JSContextRKNS0_8SSAValueEjRKNS_6VectorIjLj0ENS_15TempAllocPolicyEEE","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js7analyze9SlotValueC1EjRKNS0_8SSAValueE","__ZN2js7analyze14ScriptAnalysis15freezeNewValuesEP9JSContextj","__ZN2js7analyzeL11ExtendedUseEPh","__ZN2js7analyzeL11ExtendedDefEPh","__ZNK2js7analyze8SSAValue7phiNodeEv","__ZN2js10ArenaArrayINS_7analyze8SSAValueEEEPT_R11JSArenaPoolj","__ZN2js7analyze8SSAValue5clearEv","__ZN2js10ArenaArrayINS_7analyze11SSAUseChainEEEPT_R11JSArenaPoolj","__ZN2jsL7PodZeroINS_7analyze11SSAUseChainEEEvPT_j","__ZN2js7analyze14ScriptAnalysis13trackUseChainERKNS0_8SSAValueE","__ZN2js7analyze14ScriptAnalysis8useChainERKNS0_8SSAValueE","__ZN2js7analyze8SSAValue10initPushedEjj","__ZN2js10ArenaArrayIPNS_7analyze11SSAUseChainEEEPT_R11JSArenaPoolj","__ZN2jsL7PodZeroIPNS_7analyze11SSAUseChainEEEvPT_j","__ZN2js7analyze8SSAValue11initWrittenEjj","__ZN2js7analyze14ScriptAnalysis17checkBranchTargetEP9JSContextjRNS_6VectorIjLj0ENS_15TempAllocPolicyEEEPNS0_8SSAValueEj","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEED1Ev","__ZN2js8ArenaNewINS_7analyze10SSAPhiNodeEEEPT_R11JSArenaPool","__ZN2js7analyzeL15PhiNodeCapacityEj","__ZN2js7analyze8SSAValue7initPhiEjPNS0_10SSAPhiNodeE","__ZNK2js7analyze8SSAValue6equalsERKS1_","__ZN2js8ArenaNewINS_7analyze11SSAUseChainEEEPT_R11JSArenaPool","__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE6lengthEv","__ZN8JSScript8analysisEv","__ZNK2js7analyze8SSAValue10varInitialEv","__ZNK2js7analyze8SSAValue7varSlotEv","__ZNK2js7analyze8SSAValue12pushedOffsetEv","__ZNK2js7analyze14ScriptAnalysis14numReturnSitesEv","__ZNK2js7analyze8SSAValue11pushedIndexEv","__ZN2jsL7PodCopyINS_7analyze8SSAValueEEEvPT_PKS3_j","__ZN2js7analyze14ScriptAnalysis17checkPendingValueEP9JSContextRKNS0_8SSAValueEjPNS_6VectorINS0_9SlotValueELj0ENS_15TempAllocPolicyEEE","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE6appendIjEEbT_","__ZN2js7analyzeL9StackSlotEP8JSScriptj","__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEEixEj","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE4backEv","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE7popBackEv","__ZN9JSContext7delete_IN2js6VectorINS1_7analyze9SlotValueELj0ENS1_15TempAllocPolicyEEEEEvPT_","__ZN2js10ArenaArrayINS_7analyze9SlotValueEEEPT_R11JSArenaPoolj","__ZN2js7analyze14CrossScriptSSA8getFrameEj","__ZN2js7analyze14ScriptAnalysis11poppedValueEPKhj","__ZN2js7analyze13CrossSSAValueC1EjRKNS0_8SSAValueE","__ZN2js7analyze14CrossScriptSSA9numFramesEv","__ZN2js7analyze14CrossScriptSSA9iterFrameEj","__ZN2js7analyze14CrossScriptSSA9foldValueERKNS0_13CrossSSAValueE","__ZN2js15ReentrancyGuardC2INS_6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEEEERT_","__ZN7mozilla9DebugOnlyIbED2Ev","__ZN7mozilla9DebugOnlyIbEC2ERKb","__ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_","__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE3endEv","__ZN2js5types7TypeSetC2Ev","__ZNK2js7MoveRefINS_7analyze9SlotValueEEcvRS2_Ev","__ZN2js7MoveRefINS_7analyze9SlotValueEEC2ERS2_","__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js7analyze8LifetimeC2EjjPS1_","__ZNK2js7analyze8SSAValue9varOffsetEv","__ZNK2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEE5beginEv","__ZNK2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEE6lengthEv","__ZN2js7analyze14ScriptAnalysis13getValueTypesERKNS0_8SSAValueE","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","_js_free194","__ZN2js6VectorIjLj0ENS_15TempAllocPolicyEE14internalAppendIjEEvT_","_js_realloc195","_js_malloc196","__ZN2js7analyze11SSAUseChainC1Ev","__ZN2js7analyze11SSAUseChainC2Ev","__ZN2jsL7PodZeroINS_7analyze11SSAUseChainEEEvPT_","__ZN2js7analyze10SSAPhiNodeC1Ev","__ZN2js7analyze10SSAPhiNodeC2Ev","__ZN2js5types7TypeSetC1Ev","__ZN2jsL7PodZeroINS_7analyze10SSAPhiNodeEEEvPT_","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj","__ZN2js4MoveINS_7analyze9SlotValueEEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefINS_7analyze9SlotValueEEC1ERS2_","__ZN2js10VectorImplINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js4MoveINS_7analyze9SlotValueEEENS_7MoveRefIT_EERKS4_","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorINS_7analyze9SlotValueELj0ENS_15TempAllocPolicyEEC2ES3_","__ZN2js7analyze8LifetimeC1EjjPS1_","__ZN2js7analyze8BytecodeC1Ev","__ZN2js7analyze8BytecodeC2Ev","__ZN2jsL7PodZeroINS_7analyze8BytecodeEEEvPT_","__ZN2js7analyze14ScriptAnalysis11pushedTypesEjj","__ZN2js5types10TypeScript9SlotTypesEP8JSScriptj","__ZN2js6VectorINS_7analyze14CrossScriptSSA5FrameELj0ENS_15TempAllocPolicyEEixEj","__ZN2js7analyze13CrossSSAValueC2EjRKNS0_8SSAValueE","__ZN2js7analyze14ScriptAnalysis11poppedValueEjj","__ZN2js7analyzeL8ThisSlotEv","__ZNK2js7analyze16LifetimeVariable10firstWriteEjj","__ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesC2ES3_PNS0_8SSAValueE","__ZN2js7analyze12UntrapOpcode6retrapEv","__ZN2js7analyze8Bytecode9isDefinedEj","__ZN2js7analyze14ScriptAnalysis10jumpTargetEj","_BUILD_JSVAL225","_JS_GetEmptyString","__ZZN2js7analyze14ScriptAnalysis10analyzeSSAEP9JSContextEN13FreeSSAValuesD2Ev","__ZN2jsL7PodZeroINS_7analyze8SSAValueEEEvPT_","__ZN2js7analyze9SlotValueC2EjRKNS0_8SSAValueE","__ZN2js8ArenaNewINS_7analyze8LifetimeEjiPS2_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_","_js_calloc197","__ZN2js7analyze12UntrapOpcodeD2Ev","__ZN2js7analyze14ScriptAnalysis20localHasUseBeforeDefEj","__Z28js_GetVariableBytecodeLengthPh","__ZN2js7analyze12UntrapOpcodeC2EP9JSContextP8JSScriptPh","__ZN8JSScript9getObjectEj","___cxx_global_var_init","__ZL13IMPL_TO_JSVAL12jsval_layout","___cxx_global_var_init1","___cxx_global_var_init2","___cxx_global_var_init3","___cxx_global_var_init4","___cxx_global_var_init5","_JS_Now","_JS_GetNaNValue","_JS_GetNegativeInfinityValue","_JS_GetPositiveInfinityValue","_JS_GetEmptyStringValue","_STRING_TO_JSVAL","_JS_ConvertArguments","__ZN2js21assertSameCompartmentI12JSValueArrayEEvP9JSContextT_","_JS_ConvertArgumentsVA","__ZN12JSValueArrayC1EPN2JS5ValueEj","__ZN16JSAutoByteStringC1Ev","__ZN2js20GetFunctionNameBytesEP9JSContextP10JSFunctionP16JSAutoByteString","_JS_ReportErrorNumber","__ZN16JSAutoByteStringD1Ev","_JS_ValueToUint16","_JS_ValueToECMAInt32","_JS_ValueToECMAUint32","_JS_ValueToInt32","_JS_ValueToNumber","__ZL18js_DoubleToIntegerd","__ZN8JSString11ensureFixedEP9JSContext","_OBJECT_TO_JSVAL","__ZL20TryArgumentFormatterP9JSContextPPKciPPN2JS5ValueEPPc","__ZNK2js15AutoValueRooter5valueEv","_JS_GetTypeName","_JS_AddArgumentFormatter","_JS_RemoveArgumentFormatter","_JS_ConvertValue","_DOUBLE_TO_JSVAL","_BOOLEAN_TO_JSVAL","_JS_ValueToObject","_JS_ValueToFunction","_JS_ValueToConstructor","_JS_ValueToString","_JS_ValueToSource","__ZN2js15AutoValueRooterC1EP9JSContextRKN2JS5ValueE","__ZN2js8ToNumberEP9JSContextRKN2JS5ValueEPd","__ZN2js15AutoValueRooterD1Ev","_JS_DoubleIsInt32","_JSDOUBLE_IS_INT32228","_JS_DoubleToInt32","__ZL20js_DoubleToECMAInt32d","_JS_DoubleToUint32","__ZN2js16ValueToECMAInt32EP9JSContextRKN2JS5ValueEPi","__ZN2js17ValueToECMAUint32EP9JSContextRKN2JS5ValueEPj","__ZN2js12ValueToInt32EP9JSContextRKN2JS5ValueEPi","__ZN2js13ValueToUint16EP9JSContextRKN2JS5ValueEPt","_JS_ValueToBoolean","_JS_TypeOfValue","_JS_StrictlyEqual","__ZN2js21assertSameCompartmentIN2JS5ValueES2_EEvP9JSContextT_T0_","_JS_LooselyEqual","_JS_BeginRequest","_JS_EndRequest","_JS_YieldRequest","_JS_SuspendRequest","_JS_ResumeRequest","_JS_IsInRequest","_JS_Lock","_JS_Unlock","__ZN2js6Probes13createRuntimeEP9JSRuntime","__ZN2js6Probes14destroyRuntimeEP9JSRuntime","__ZN2js6Probes8shutdownEv","__ZN2jsL13VersionNumberE9JSVersion","_JS_GetRuntimePrivate","_JS_SetRuntimePrivate","_JS_SetContextCallback","_JS_GetContextPrivate","_JS_SetContextPrivate","_JS_GetRuntime","_JS_VersionToString","_JS_SameValue","_JS_IsBuiltinEvalFunction","_JS_IsBuiltinFunctionConstructor","__ZN9JSRuntimeC2Ev","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEC1ES3_","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEEC1ES5_","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES5_","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEEC1ES3_","__ZN11JSAtomStateC1Ev","__ZN2js13StaticStringsC1Ev","__ZN9JSRuntime4initEj","__ZN9JSRuntime4new_I13JSCompartmentPS_EEPT_T0_","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6appendIS2_EEbT_","__ZN2js10Foreground7delete_I13JSCompartmentEEvPT_","__ZN9JSRuntimeD2Ev","__ZN11JSAtomStateD1Ev","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEED1Ev","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEED1Ev","_JS_Init","__ZN2js11OffTheBooks7calloc_Ej","_JS_Finish","__ZN2js10Foreground7delete_I9JSRuntimeEEvPT_","_JS_ShutDown","_JS_NewContext","_JS_DestroyContext","_JS_DestroyContextNoGC","_JS_DestroyContextMaybeGC","_JS_ContextIterator","_JS_GetVersion","_JS_SetVersion","__ZN2jsL16VersionCopyFlagsEP9JSVersionS0_","__ZN9JSContext20maybeOverrideVersionE9JSVersion","_JS_StringToVersion","_JS_GetOptions","__ZNK9JSContext10allOptionsEv","_JS_SetOptions","_JS_GetImplementationVersion","_JS_PropertyStub","_JS_StrictPropertyStub","_JS_EnumerateStub","_JS_ResolveStub","__ZN2js8ValueifyEP12JSStackFrame","_JS_SetCompartmentCallback","_JS_SetWrapObjectCallbacks","_JS_SetCompartmentPrivate","_JS_GetCompartmentPrivate","__ZL16SetOptionsCommonP9JSContextj","_JS_ToggleOptions","_JS_EnterCrossCompartmentCall","__ZN9JSContext4new_IN2js15AutoCompartmentEPS_P8JSObjectEEPT_T0_T1_","__ZN2js10Foreground7delete_INS_15AutoCompartmentEEEvPT_","_JS_ConvertStub","_JS_NewGlobalObject","_JS_EnterCrossCompartmentCallStackFrame","_JS_LeaveCrossCompartmentCall","__ZN22JSAutoEnterCompartment5enterEP9JSContextP8JSObject","__ZNK8JSObject14getCompartmentEv","__ZN22JSAutoEnterCompartment20enterAndIgnoreErrorsEP9JSContextP8JSObject","__ZN2JS26AutoEnterScriptCompartment5enterEP9JSContextP8JSScript","__ZN2JS25AutoEnterFrameCompartment5enterEP9JSContextP12JSStackFrame","_JS_WrapObject","_JS_WrapValue","_JS_TransplantObject","_JS_EnterCrossCompartmentCallScript","__ZN2js21assertSameCompartmentIP8JSObjectiEEvP9JSContextT_T0_","_JSID_TO_STRING243","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv","__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6lengthEv","_JS_GetGlobalObject","__ZN2JSL11ObjectValueER8JSObject239","__ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6lookupERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS5_13MapHashPolicyES4_E3PtrE","__ZN2js16AutoVectorRooterIN2JS5ValueEE7reserveEj","__ZN2js16AutoVectorRooterIN2JS5ValueEE16infallibleAppendERKS2_","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE6removeERKS2_","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3putERKS2_S7_","_js_TransplantObjectWithWrapper","_JS_SetGlobalObject","_JS_InitStandardClasses","_JS_ResolveStandardClass","__ZL12JSID_IS_ATOMi242","__ZL12ATOM_TO_JSIDP6JSAtom244","__ZN2JSL14UndefinedValueEv245","__ZL13StdNameToAtomP9JSContextP9JSStdName","__ZN2js21assertSameCompartmentIP8JSObjectP9JSIdArrayEEvP9JSContextT_T0_","_JS_CANONICALIZE_NAN","_JS_EnumerateStandardClasses","__ZN8JSObject14nativeContainsEP9JSContexti","__ZN2js10NewIdArrayEP9JSContexti","_JS_EnumerateResolvedStandardClasses","__ZL19EnumerateIfResolvedP9JSContextP8JSObjectP6JSAtomP9JSIdArrayPiS7_","__ZL14AddAtomToArrayP9JSContextP6JSAtomP9JSIdArrayPi","__ZL16SetIdArrayLengthP9JSContextP9JSIdArrayi","_JS_GetClassObject","_JS_GetScopeChain","_JS_GetGlobalForObject","_JS_GetGlobalForScopeChain","__ZN2jsL22GetGlobalForScopeChainEP9JSContext","_JS_ComputeThis","__ZN2js18CallReceiverFromVpEPN2JS5ValueE","_JS_malloc","_JS_realloc","__ZN9JSContext8realloc_EPvj","_JS_free","_JS_updateMallocCounter","_JS_strdup","_JS_NewNumberValue","_JS_AddValueRoot","_JS_AddStringRoot","_JS_AddObjectRoot","_JS_AddGCThingRoot","_JS_AddNamedValueRoot","_JS_AddNamedStringRoot","_JS_AddNamedObjectRoot","_JS_AnchorPtr","_JS_SetGCParameterForThread","_JS_GetGCParameterForThread","_JS_FlushCaches","_JS_FinalizeStub","__ZN2js6Probes12createStringEP9JSContextP8JSStringj","__ZN8JSString10asExternalEv","_JS_SetExtraGCRoots","_JS_IsGCMarkingTracer","_JS_SetGCCallbackRT","__ZN16JSExternalString15changeFinalizerEPFvP9JSContextP8JSStringES5_","__ZNK16JSExternalString15externalClosureEv","_JS_SetThreadStackLimit","_JS_SetNativeStackQuota","_JS_AddNamedScriptRoot","_JS_AddNamedGCThingRoot","_JS_RemoveValueRoot","_JS_RemoveStringRoot","_JS_RemoveObjectRoot","_JS_RemoveScriptRoot","_JS_RemoveGCThingRoot","_JS_MapGCRoots","_JS_LockGCThing","_JS_ReportOutOfMemory","_JS_LockGCThingRT","_JS_UnlockGCThing","_JS_UnlockGCThingRT","_JS_TraceRuntime","_JS_CallTracer","_JS_CompartmentGC","_JS_GC","_JS_MaybeGC","_JS_SetGCCallback","_JS_IsAboutToBeFinalized","_JS_SetGCParameter","__ZN9JSRuntime19setGCMaxMallocBytesEj","_JS_GetGCParameter","__ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE5countEv","_JS_AddExternalStringFinalizer","_JS_RemoveExternalStringFinalizer","_JS_NewExternalString","__ZN16JSExternalString4new_EP9JSContextPKtjiPv","_JS_NewExternalStringWithClosure","_JS_IsExternalString","_JS_GetExternalStringClosure","_JS_DestroyIdArray","_JS_ValueToId","_JS_IdToValue","__ZN2jsL9IdToJsvalEi","__ZN2js21assertSameCompartmentIP8JSObjectS2_EEvP9JSContextT_T0_","_OBJECT_TO_JSID","__ZN2jsL8ValueifyEP7JSClass","__ZNK8JSObject9isNewbornEv","_JS_InitClass","_JS_GetClass","__ZNK8JSObject10getJSClassEv","_JS_InstanceOf","_JS_HasInstance","_JS_GetPrivate","_JS_SetPrivate","_JS_GetInstancePrivate","_JS_GetPrototype","_JS_SetPrototype","_JS_GetParent","_JS_SetParent","__ZN18JSAutoResolveFlagsC1EP9JSContextj","__ZN18JSAutoResolveFlagsD1Ev","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject246","_JS_GetObjectId","_JS_NewCompartmentAndGlobalObject","__ZN19AutoHoldCompartmentC1EP13JSCompartment","__ZN19AutoHoldCompartmentD1Ev","_JS_NewObject","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_","__ZN2js5types31MarkTypeObjectUnknownPropertiesEP9JSContextPNS0_10TypeObjectEb","_JS_NewObjectWithGivenProto","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_247","_JS_NewObjectForConstructor","_JSVAL_TO_OBJECT","_JS_IsExtensible","_JS_IsNative","_JS_FreezeObject","_JS_DeepFreezeObject","_JS_GetConstructor","__ZN2js21assertSameCompartmentIP8JSObjectS2_12JSValueArrayEEvP9JSContextT_T0_T1_","__ZNK8JSObject8slotSpanEv","__ZNK2JS5Value11isPrimitiveEv","_JS_ConstructObject","_JS_ConstructObjectWithArguments","_JS_LookupPropertyById","__ZL18LookupPropertyByIdP9JSContextP8JSObjectijPS2_PP10JSProperty","_JS_LookupElement","__ZN2js9IndexToIdEP9JSContextjPi","_JS_LookupProperty","_JS_LookupUCProperty","_JS_LookupPropertyWithFlagsById","__ZN8JSObject14lookupPropertyEP9JSContextiPPS_PP10JSProperty","_JS_LookupPropertyWithFlags","_JS_HasPropertyById","_JS_HasElement","_JS_HasProperty","_JS_HasUCProperty","_JS_AlreadyHasOwnPropertyById","_JS_AlreadyHasOwnElement","__ZL12LookupResultP9JSContextP8JSObjectS2_iP10JSPropertyPN2JS5ValueE","_JS_AlreadyHasOwnProperty","_JS_AlreadyHasOwnUCProperty","_JS_DefinePropertyById","__ZL18DefinePropertyByIdP9JSContextP8JSObjectiRKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ejji","_JS_DefineElement","_JS_DefineProperty","__ZL14DefinePropertyP9JSContextP8JSObjectPKcRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji","_JS_DefinePropertyWithTinyId","_JS_DefineUCProperty","__ZL16DefineUCPropertyP9JSContextP8JSObjectPKtjRKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ejji","_JS_DefineUCPropertyWithTinyId","_JS_DefineOwnProperty","__ZN2js21assertSameCompartmentIP8JSObjectiN2JS5ValueEEEvP9JSContextT_T0_T1_","_JS_DefineObject","__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_","_JS_DefineConstDoubles","__ZN2JSL11DoubleValueEd","_JS_DefineProperties","_JS_GetPropertyDescriptorById","__ZL25GetPropertyDescriptorByIdP9JSContextP8JSObjectijiP20JSPropertyDescriptor","_JS_GetPropertyAttrsGetterAndSetterById","_JS_GetPropertyAttributes","_JS_GetUCPropertyAttributes","_JS_GetPropertyAttrsGetterAndSetter","_JS_GetUCPropertyAttrsGetterAndSetter","_JS_GetOwnPropertyDescriptor","_JS_SetPropertyAttributes","__ZL25SetPropertyAttributesByIdP9JSContextP8JSObjectijPi","_JS_SetUCPropertyAttributes","_JS_GetPropertyById","_JS_GetPropertyByIdDefault","_JS_GetElement","_JS_GetProperty","_INT_TO_JSID250","_JS_GetPropertyDefault","_JS_GetUCProperty","_JS_GetMethodById","_JS_GetMethod","_JS_SetPropertyById","__ZN8JSObject11setPropertyEP9JSContextiPN2JS5ValueEi","_JS_SetElement","_JS_SetProperty","_JS_SetUCProperty","_JS_DeletePropertyById2","_JS_DeleteElement2","_JS_DeleteProperty2","_JS_DeleteUCProperty2","_JS_DeletePropertyById","_JS_DeleteElement","_JS_DeleteProperty","_JS_ClearScope","__ZNK8JSObject8isGlobalEv","_JS_Enumerate","__ZL18prop_iter_finalizeP9JSContextP8JSObject","__ZL15prop_iter_traceP8JSTracerP8JSObject","_JS_NewPropertyIterator","_JS_GetFunctionObject","__ZNK2js5Shape10enumerableEv","_JS_SetRuntimeSecurityCallbacks","_JS_GetRuntimeSecurityCallbacks","_JS_SetContextSecurityCallbacks","_JS_GetSecurityCallbacks","__ZN9JSRuntime20setTrustedPrincipalsEP12JSPrincipals","__ZN8JSScript6upvarsEv","__ZNK2js11UpvarCookie5levelEv","__ZNK2js5Shape5Range5frontEv","__ZN2js5Shape5Range8popFrontEv","_JS_GetFunctionId","_JS_GetFunctionFlags","_JS_GetFunctionArity","__ZN2js16AutoObjectRooterC1EP9JSContextP8JSObject","__ZN2js16AutoObjectRooterD1Ev","__ZN2JSL10Int32ValueEi251","_JS_NextProperty","_JS_GetReservedSlot","_JS_SetReservedSlot","_JS_NewArrayObject","_JS_IsArrayObject","__ZNK8JSObject7isArrayEv","_JS_GetArrayLength","_JS_SetArrayLength","_JS_CheckAccess","_JS_SetTrustedPrincipals","_JS_NewFunction","_JS_NewFunctionById","__ZL12JSID_TO_ATOMi254","_JS_CloneFunctionObject","__Z19CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectb","__ZNK10JSFunction13isFlatClosureEv","__ZN2js5Shape5RangeC1EPKS0_","__ZNK8JSObject20getFlatClosureUpvarsEv","__ZNK14AutoVersionAPI7versionEv","_JS_SetErrorReporter","__ZN2js11TokenStream15isUnexpectedEOFEv","_JS_ObjectIsFunction","_JS_ObjectIsCallable","_JS_DefineFunctions","__ZL35js_generic_native_method_dispatcherP9JSContextjPN2JS5ValueE","__ZN2JSL12PrivateValueEPv257","_JS_DefineFunction","_JS_DefineUCFunction","_JS_DefineFunctionById","_JS_CompileUCScriptForPrincipalsVersion","__ZN14AutoVersionAPIC1EP9JSContext9JSVersion","__ZL34CompileUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcj9JSVersion","__ZN14AutoVersionAPID1Ev","_JS_CompileUCScriptForPrincipals","_JS_CompileUCScript","_JS_CompileScriptForPrincipalsVersion","_JS_CompileScriptForPrincipals","_JS_CompileScript","_JS_BufferIsCompilableUnit","_JS_SaveExceptionState","_JS_RestoreExceptionState","__ZN2js21assertSameCompartmentIP8JSObjectP12JSPrincipalsEEvP9JSContextT_T0_","_JS_GetObjectFromScript","_JS_CompileFile","__ZN18AutoLastFrameCheckC1EP9JSContext","__ZL17CompileFileHelperP9JSContextP8JSObjectP12JSPrincipalsPKcP7__sFILE","__ZN18AutoLastFrameCheckD1Ev","_JS_CompileFileHandleForPrincipals","_JS_CompileFileHandleForPrincipalsVersion","_JS_CompileFileHandle","_JS_CompileUCFunctionForPrincipalsVersion","__ZL36CompileUCFunctionForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKcjPS6_PKtjS6_j9JSVersion","_JS_CompileUCFunctionForPrincipals","_JS_CompileUCFunction","_JS_CompileFunctionForPrincipals","_JS_CompileFunction","_JS_DecompileScript","__ZN2js21assertSameCompartmentIP10JSFunctionEEvP9JSContextT_","__ZN2js21assertSameCompartmentIP8JSObjectP8JSScriptEEvP9JSContextT_T0_","__ZN2js21assertSameCompartmentIP8JSObjectP10JSFunction12JSValueArrayEEvP9JSContextT_T0_T1_","__ZN2js21assertSameCompartmentIP8JSObject12JSValueArrayEEvP9JSContextT_T0_","__ZNK16JSAutoByteString3ptrEv","_JS_SetOperationCallback","_JS_GetOperationCallback","_JS_DecompileFunction","_JS_DecompileFunctionBody","_JS_ExecuteScript","_JS_ExecuteScriptVersion","__Z35EvaluateUCScriptForPrincipalsCommonP9JSContextP8JSObjectP12JSPrincipalsPKtjPKcjPN2JS5ValueE9JSVersion","_JS_EvaluateUCScriptForPrincipalsVersion","_JS_EvaluateUCScriptForPrincipals","_JS_EvaluateUCScript","_JS_EvaluateScriptForPrincipals","_JS_EvaluateScriptForPrincipalsVersion","_JS_EvaluateScript","_JS_CallFunction","__ZN2JSL17ObjectOrNullValueEP8JSObject258","_JS_CallFunctionName","_JS_CallFunctionValue","__ZN2js21assertSameCompartmentIP8JSObjectN2JS5ValueE12JSValueArrayEEvP9JSContextT_T0_T1_","__ZN2JS4CallEP9JSContextNS_5ValueES2_jPS2_S3_","__ZN2js21assertSameCompartmentIN2JS5ValueES2_12JSValueArrayEEvP9JSContextT_T0_T1_","_JS_New","__ZN2js15InvokeArgsGuardC1Ev","__ZN2js17InvokeConstructorEP9JSContextRNS_15InvokeArgsGuardE","__ZN2js15InvokeArgsGuardD1Ev","_JS_TriggerOperationCallback","__ZN2js21assertSameCompartmentIP8JSStringEEvP9JSContextT_","__ZNK8JSString6isAtomEv","_JS_TriggerAllOperationCallbacks","_JS_IsRunning","__ZNK9JSContext7maybefpEv","_JS_SaveFrameChain","_JS_RestoreFrameChain","_JS_NewStringCopyN","_JS_NewStringCopyZ","_JS_StringHasBeenInterned","_JS_InternJSString","_JS_InternString","_JS_NewUCString","_JS_NewUCStringCopyN","_JS_NewUCStringCopyZ","_JS_InternUCStringN","_JS_InternUCString","_JS_GetStringLength","_JS_GetStringCharsZ","_JS_GetStringCharsZAndLength","_JS_GetStringCharsAndLength","_JS_GetInternedStringChars","_JS_GetInternedStringCharsAndLength","_JS_FlattenString","_JS_GetFlatStringChars","_JS_CompareStrings","_JS_StringEqualsAscii","_JS_FlatStringEqualsAscii","_JS_PutEscapedFlatString","__ZN2js16PutEscapedStringEPcjP14JSLinearStringj","_JS_PutEscapedString","_JS_FileEscapedString","__ZN2js17FileEscapedStringEP7__sFILEP14JSLinearStringj","_JS_NewGrowableString","_JS_NewDependentString","_JS_ConcatStrings","_JS_UndependString","_JS_MakeStringImmutable","_JS_EncodeCharacters","_JS_DecodeBytes","_JS_DecodeUTF8","_JS_EncodeString","_JS_GetStringEncodingLength","_JS_SetCStringsAreUTF8","_JS_CStringsAreUTF8","__ZN27JSAutoStructuredCloneBuffer5stealEPPyPjS2_","__ZN27JSAutoStructuredCloneBuffer4swapERS_","_JS_SetStructuredCloneCallbacks","__ZN23JSStructuredCloneReader5inputEv","__ZN23JSStructuredCloneWriter6outputEv","_JS_EncodeStringToBuffer","__ZN2jsL7PodZeroIcEEvPT_j","_JS_Stringify","__ZN2js12StringBufferC1EP9JSContext","__ZNK2js12StringBuffer5emptyEv","__ZN2js12StringBuffer5beginEv","__ZNK2js12StringBuffer6lengthEv","__ZN2js12StringBufferD1Ev","_JS_ParseJSON","__ZN2JSL9NullValueEv259","_JS_ParseJSONWithReviver","_JS_ReadStructuredClone","_JS_WriteStructuredClone","_JS_StructuredClone","__ZN27JSAutoStructuredCloneBufferC1Ev","__ZN27JSAutoStructuredCloneBuffer5writeEP9JSContextN2JS5ValueEPK26JSStructuredCloneCallbacksPv","__ZNK27JSAutoStructuredCloneBuffer4readEP9JSContextPN2JS5ValueEPK26JSStructuredCloneCallbacksPv","__ZN27JSAutoStructuredCloneBufferD1Ev","__ZN27JSAutoStructuredCloneBuffer5clearEv","__ZN27JSAutoStructuredCloneBuffer5adoptEPyjj","__ZN27JSAutoStructuredCloneBuffer4copyEPKyjj","_JS_ReadUint32Pair","_JS_ReadBytes","_JS_WriteUint32Pair","_JS_WriteBytes","_JS_ReportError","_JS_ReportErrorNumberUC","_JS_ReportWarning","_JS_ReportErrorFlagsAndNumber","__ZNK8JSObject6isDateEv","__ZNK8JSObject8isRegExpEv","__ZNK2js6RegExp8getFlagsEv","__ZNK2js6RegExp9getSourceEv","_JS_SetLocaleCallbacks","_JS_GetLocaleCallbacks","_JS_ReportErrorFlagsAndNumberUC","_JS_ReportAllocationOverflow","_JS_NewDateObject","_JS_NewDateObjectMsec","_JS_ObjectIsDate","_JS_NewRegExpObject","__ZN2js6RegExp12createObjectEP9JSContextPNS_13RegExpStaticsEPKtjjPNS_11TokenStreamE","_JS_NewUCRegExpObject","_JS_SetRegExpInput","__ZN2js13RegExpStatics5resetEP8JSStringb","_JS_ClearRegExpStatics","_JS_ExecuteRegExp","__ZN2js6RegExp11extractFromEP8JSObject","__ZN2js6RegExp7executeEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE","_JS_NewRegExpObjectNoStatics","__ZN2js6RegExp21createObjectNoStaticsEP9JSContextPKtjjPNS_11TokenStreamE","_JS_NewUCRegExpObjectNoStatics","_JS_ExecuteRegExpNoStatics","__ZN2js6RegExp16executeNoStaticsEP9JSContextP8JSStringPjbPN2JS5ValueE","_JS_ObjectIsRegExp","_JS_GetRegExpFlags","_JS_GetRegExpSource","_JS_IsExceptionPending","_JS_GetPendingException","_JS_SetPendingException","_JS_ClearPendingException","_JS_ReportPendingException","_JSVAL_IS_GCTHING","_JS_DropExceptionState","_JS_ErrorFromException","_JS_ThrowReportedError","_JS_GetContextThread","_JS_SetContextThread","_JS_ClearContextThread","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE265","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE270","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE266","__ZN2js2gcL15GetGCObjectKindEjb264","_MAGIC_TO_JSVAL_IMPL269","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5countEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrdeEv","_JS_ThrowStopIteration","__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE","__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE267","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb268","__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE271","__ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE12lookupForAddERKS2_","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S2_EENS5_13MapHashPolicyES4_E6AddPtrERKS2_SF_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10isLiveHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEC2ERS4_","__ZNK2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEptEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS5_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEENS_7MoveRefIT_EERS9_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj","_js_free272","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES5_EEEEEC1ERS7_","__ZN2js12HashMapEntryIN2JS5ValueES2_EaSENS_7MoveRefIS3_EE","__ZN2js4MoveINS_12HashMapEntryIN2JS5ValueES3_EEEENS_7MoveRefIT_EERS6_","__ZN2js7MoveRefINS_12HashMapEntryIN2JS5ValueES3_EEEC1ERS4_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEEC2Ev","__ZN2js12HashMapEntryIN2JS5ValueES2_EC1Ev","__ZN2js12HashMapEntryIN2JS5ValueES2_EC2Ev","_js_malloc273","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS4_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIN2JS5ValueES6_EENS_7HashMapIS6_S6_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12setCollisionEj","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S2_EE","__ZNK2JS5Value9asRawBitsEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11underloadedEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE12hasCollisionEv","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS5_EERKS4_","__ZN2js13WrapperHasher5matchERKN2JS5ValueES4_","__ZN2js13WrapperHasher4hashEN2JS5ValueE","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE16infallibleAppendERKS2_","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7reserveEj","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeENSB_3PtrE","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeERNS0_14HashTableEntryIS5_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16checkUnderloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIN2JS5ValueES4_EEE7setFreeEv","__ZN2js12HashMapEntryIN2JS5ValueES2_EaSERKS3_","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE","__ZN2js15ReentrancyGuardC1INS_6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEEEERT_","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE13growStorageByEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj","_js_realloc274","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEED2Ev","__ZN2js6RegExp15checkMatchPairsEP8JSStringPij","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_EC2ES7_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_","_JSVAL_IS_GCTHING_IMPL","__ZNK2js6RegExp6stickyEv","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEEC2ES3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_EC1ES7_","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEEC2ES3_","__ZL13JSVAL_TO_IMPLN2JS5ValueE","__ZN2js6RegExp15executeInternalEP9JSContextPNS_13RegExpStaticsEP8JSStringPjbPN2JS5ValueE","__ZN2js6RegExp9initArenaEP9JSContext","__ZN2js18AutoArenaAllocatorC1EP11JSArenaPool","__ZN2js18AutoArenaAllocator5allocIiEEPT_j","__ZN2js13RegExpStatics15updateFromMatchEP9JSContextP14JSLinearStringPij","__ZN2JSL12BooleanValueEb275","__ZN2js6RegExp12createResultEP9JSContextP8JSStringPij","__ZN2js18AutoArenaAllocatorD1Ev","_STRING_TO_JSVAL_IMPL277","__ZN2js18RegExpMatchBuilderC2EP9JSContextP8JSObject","_BOOLEAN_TO_JSVAL_IMPL278","__ZNK7mozilla14AlignedStorageILj80EE4addrEv","__ZN2js18AutoArenaAllocatorC2EP11JSArenaPool","__ZNK2js15AlreadyIncRefedINS_6RegExpEEcvPPPPPS1_Ev","__ZNK2js15AlreadyIncRefedINS_6RegExpEE3getEv","__ZNK2js15AlreadyIncRefedINS_6RegExpEEptEv","__ZN8JSObject15setLastPropertyEPKN2js5ShapeE","__ZN2js18AutoArenaAllocatorD2Ev","__ZN2js18RegExpMatchBuilderC1EP9JSContextP8JSObject","__ZN2js18RegExpMatchBuilder6appendEjN2JS5ValueE","__ZN2JSL11StringValueEP8JSString276","__ZN2js18RegExpMatchBuilder8setIndexEi","__ZN2js18RegExpMatchBuilder8setInputEP8JSString","__ZN2js18RegExpMatchBuilder11setPropertyEP6JSAtomN2JS5ValueE","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE19resizeUninitializedEj","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE19growByUninitializedEj","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE8shrinkByEj","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE10growByImplILb0EEEbj","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE13growStorageByEj","__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIiLj20ES1_EEj","__ZN2js10VectorImplIiLj20ENS_17SystemAllocPolicyELb1EE13moveConstructIiEEvPiPKT_S7_","__ZN2js6RegExp6createEP9JSContextP8JSStringjPNS_11TokenStreamE","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE279","__ZN8JSObject10initRegExpEP9JSContextPN2js6RegExpE","__ZN2js6RegExp6decrefEP9JSContext","__ZN9JSContext7delete_IN2js6RegExpEEEvPT_","__ZN2js6RegExpD1Ev","__ZN2js6RegExpD2Ev","__ZN8JSObject19zeroRegExpLastIndexEv","__ZN8JSObject15setRegExpSourceEP8JSString","__ZNK2js6RegExp6globalEv","__ZNK2js6RegExp10ignoreCaseEv","__ZNK2js6RegExp9multilineEv","__ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10endNoCheckEv","__ZN8JSObject15setRegExpGlobalEb","__ZN8JSObject19setRegExpIgnoreCaseEb","__ZN8JSObject18setRegExpMultilineEb","__ZN8JSObject15setRegExpStickyEb","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE280","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE281","__ZN2js15AlreadyIncRefedINS_6RegExpEEC1EPS1_","__ZN9JSContext4new_IN2js6RegExpEP14JSLinearStringjP13JSCompartmentEEPT_T0_T1_T2_","__ZN2js6RegExp7compileEP9JSContextPNS_11TokenStreamE","__ZN2js10Foreground7delete_INS_6RegExpEEEvPT_","__ZN2js6RegExp13compileHelperEP9JSContextR14JSLinearStringPNS_11TokenStreamE","__ZN2js12StringBuffer7reserveEj","__ZN2js12StringBuffer16infallibleAppendEPKtj","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendItEEvPKT_j","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvPKT_j","__ZN2js12StringBuffer11checkLengthEj","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE7reserveEj","__ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE13growStorageByEj","__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE6growToERNS_6VectorItLj32ES1_EEj","__ZN2js18ContextAllocPolicy8realloc_EPvjj","__ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE7destroyEPtS3_","__ZN2js15ReentrancyGuardC2INS_6VectorItLj32ENS_18ContextAllocPolicyEEEEERT_","__ZL11JS_ON_TRACEPK9JSContext282","__ZN2js13RegExpStatics15checkInvariantsEv","__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE11allocPolicyEv","__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE12beginNoCheckEv","__ZNK2js18ContextAllocPolicy7contextEv","__ZN2js6RegExpC2EP14JSLinearStringjP13JSCompartment","__ZN2js15AlreadyIncRefedINS_6RegExpEEC2EPS1_","__ZNK2js13RegExpStatics8getFlagsEv","__ZN27JSAutoStructuredCloneBufferC2Ev","__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE6lengthEv","__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5beginEv","__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE5emptyEv","__ZN2js18ContextAllocPolicyC2EP9JSContext","__ZNK2js15InvokeArgsGuard6pushedEv","_JSVAL_IS_OBJECT_IMPL283","__ZN2js12CallArgsList9setActiveEv","__ZN2js12CallArgsList11setInactiveEv","_OBJECT_TO_JSVAL_IMPL284","__ZN2js8BindingsC2EP9JSContext","__ZNK9JSContext12hasRunOptionEj","__ZN18AutoLastFrameCheckC2EP9JSContext","__ZN9JSContext17setDefaultVersionE9JSVersion","__ZN9JSContext15overrideVersionE9JSVersion","__ZNK9JSContext17getDefaultVersionEv","_PRIVATE_PTR_TO_JSVAL_IMPL285","_JSVAL_TO_PRIVATE_PTR_IMPL286","__ZN2js5Shape5RangeC2EPKS0_","__ZNK8JSObject11isSlowArrayEv","_JSVAL_TO_INT32_IMPL287","_INT32_TO_JSVAL_IMPL288","__ZN9JSContext8realloc_EPvjj","__ZN9JSRuntime8realloc_EPvjjP9JSContext","__ZNK2js18ContextAllocPolicy19reportAllocOverflowEv","__ZN2js18ContextAllocPolicy7malloc_Ej","__ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_","__ZN2jsL17CheckStringLengthEP9JSContextj","__ZNK2js12StringBuffer7contextEv","__ZN2js6RegExpC1EP14JSLinearStringjP13JSCompartment","__ZN2js13RegExpStatics12setMultilineEb","__ZN27JSAutoStructuredCloneBufferD2Ev","__ZN2js12StringBufferD2Ev","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEED1Ev","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEED2Ev","__ZN2js18ContextAllocPolicy5free_EPv","__ZN2js12StringBufferC2EP9JSContext","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEEC1ES1_","__ZN2js18ContextAllocPolicyC1EP9JSContext","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEEC2ES1_","__ZN2js15InvokeArgsGuardD2Ev","__ZN2js15InvokeArgsGuardC2Ev","__ZN2js8BindingsC1EP9JSContext","__ZN2js8Bindings11addArgumentEP9JSContextP6JSAtomPt","__ZN18AutoLastFrameCheckD2Ev","__ZL21JS_OPTIONS_TO_TCFLAGSP9JSContext","__ZN14AutoVersionAPID2Ev","__ZN14AutoVersionAPIC2EP9JSContext9JSVersion","__ZNK8JSObject12getFixedSlotEj","__ZN2js16AutoObjectRooterD2Ev","__ZN2js16AutoObjectRooterC2EP9JSContextP8JSObject","_JSID_IS_INT292","_JSID_IS_STRING293","_JSID_TO_FLAT_STRING294","_JSID_TO_INT297","_JSID_IS_OBJECT","_JSID_TO_OBJECT298","_DOUBLE_TO_JSVAL_IMPL295","__ZN2jsL8JsvalifyEPNS_5ClassE","__ZNK2js5Shape10attributesEv","__ZNK2js5Shape8isMethodEv","__ZNK2js5Shape12methodObjectEv","__ZNK2js5Shape6getterEv","__ZNK2js5Shape6setterEv","_JSVAL_IS_PRIMITIVE_IMPL","_JSVAL_TO_OBJECT_IMPL296","__ZN19AutoHoldCompartmentD2Ev","__ZN19AutoHoldCompartmentC2EP13JSCompartment","__ZN18JSAutoResolveFlagsD2Ev","__ZN18JSAutoResolveFlagsC2EP9JSContextj","__ZN9JSRuntime18resetGCMallocBytesEv","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_289","__ZN2js5typesL15HashSetCapacityEj290","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_291","__ZN8JSObject13setAttributesEP9JSContextiPj","__ZNK8JSObject12containsSlotEj","__ZNK8JSObject13nativeGetSlotEj","__ZN8JSObject13getAttributesEP9JSContextiPj","__ZN2js21assertSameCompartmentIP8JSObjectiN2JS5ValueES2_S2_EEvP9JSContextT_T0_T1_T2_T3_","__ZN8JSObject17methodReadBarrierEP9JSContextRKN2js5ShapeEPN2JS5ValueE","__Z19CloneFunctionObjectP9JSContextP10JSFunction","__ZN8JSObject12setMethodObjERS_","__ZN8JSObject13nativeSetSlotEjRKN2JS5ValueE","__ZN2jsL9IdToValueEi","__Z22js_NewGCExternalStringP9JSContext","__ZN16JSExternalString4initEPKtjiPv","__Z10NewGCThingI16JSExternalStringEPT_P9JSContextN2js2gc9AllocKindEj","__ZN9JSRuntime8realloc_EPvjP9JSContext","_js_calloc299","__ZN8JSObject12nativeLookupEP9JSContexti","__ZN8JSObject12nativeSearchEP9JSContextib","__ZL14JSID_FROM_BITSj300","__ZN2jsL13VersionSetXMLEP9JSVersionb","__ZN2jsL13OptionsHasXMLEj","__ZN2jsL13VersionHasXMLE9JSVersion","__ZN2jsL19VersionExtractFlagsE9JSVersion","__ZNK2js5Shape8hasTableEv","__ZNK2js5Shape8getTableEv","__ZN9JSContext13setRunOptionsEj","__ZNK9JSContext13getRunOptionsEv","__ZN2js13StaticStringsC2Ev","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_","_JSVAL_IS_INT32_IMPL","__ZL18JSDOUBLE_IS_FINITEd","_JSDOUBLE_IS_NEGZERO301","_JSVAL_IS_DOUBLE_IMPL302","_JSVAL_IS_NUMBER_IMPL303","__ZL15JSDOUBLE_IS_NaNd","__ZN16JSAutoByteStringC2Ev","__ZN12JSValueArrayC2EPN2JS5ValueEj","__ZN2js5Shape6searchEP9JSContextPPS0_ib","__ZN9JSContext17setCompileOptionsEj","__ZNK9JSContext17getCompileOptionsEv","__ZN2jsL20OptionFlagsToVersionEj9JSVersion","__ZN2jsL21VersionFlagsToOptionsE9JSVersion","__ZNK9JSContext20canSetDefaultVersionEv","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj","__ZN11JSAtomStateD2Ev","__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS5_EEj","__ZN11JSAtomStateC2Ev","__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEEC1ES5_","__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_","__ZNK2JS5Value7isInt32Ev","__ZN2js15AutoValueRooterD2Ev","__ZN2js15AutoValueRooterC2EP9JSContextRKN2JS5ValueE","__ZN16JSAutoByteStringD2Ev","__ZN16JSAutoByteString6encodeEP9JSContextP8JSString","__GLOBAL__I_a","_JS_ArenaFinish","_JS_ArenaShutDown","__ZN8JSObject11asArgumentsEv","_JS_InitArenaPool","__ZN2js15AutoValueRooter4addrEv","_JS_ArenaAllocate","_JS_ArenaRealloc","__ZN2js11OffTheBooks8realloc_EPvj","_JS_ArenaGrow","_JS_ArenaRelease","__ZL13FreeArenaListP11JSArenaPoolP7JSArena","_JS_FreeArenaPool","_JS_FinishArenaPool","_js_free310","_js_realloc311","_js_malloc312","__Z20js_GetLengthPropertyP9JSContextP8JSObjectPj","__ZNK8JSObject14getArrayLengthEv","__ZNK8JSObject11isArgumentsEv","__ZNK2js15ArgumentsObject19hasOverriddenLengthEv","__ZN2js15AutoValueRooterC1EP9JSContext","__ZN8JSObject30getDenseArrayInitializedLengthEv","__ZN8JSObject21getDenseArrayElementsEv","__ZN8JSObject20getDenseArrayElementEj","__ZN2js18StringIsArrayIndexEP14JSLinearStringPj","__ZN8JSObject22willBeSparseDenseArrayEjj","__ZNK2JS5Value7isMagicE10JSWhyMagic","__ZN8JSObject22arrayGetOwnDataElementEP9JSContextjPN2JS5ValueE","__ZL9IndexToIdP9JSContextP8JSObjectdPiS3_i","__ZN2js11GetElementsEP9JSContextP8JSObjectjPN2JS5ValueE","__Z32js_PrototypeHasIndexedPropertiesP9JSContextP8JSObject","__ZN2JSL14UndefinedValueEv351","__ZN2js15ArgumentsObject11getElementsEjjPN2JS5ValueE","__ZN2jsL15GetElementsSlowEP9JSContextP8JSObjectjPN2JS5ValueE","__Z20js_SetLengthPropertyP9JSContextP8JSObjectd","__ZL12ATOM_TO_JSIDP6JSAtom354","__Z28js_GetDenseArrayElementValueP9JSContextP8JSObjectiPN2JS5ValueE","__ZNK8JSObject9isIndexedEv","__Z12js_IdIsIndexiPj","__ZN2js20array_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej","__ZL12JSID_IS_ATOMiP6JSAtom","__ZN8JSObject24ensureDenseArrayElementsEP9JSContextjj","__ZN8JSObject19setDenseArrayLengthEj","__ZN8JSObject28setDenseArrayElementWithTypeEP9JSContextjRKN2JS5ValueE","__ZN8JSObject18makeDenseArraySlowEP9JSContext","__ZN2js19array_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ej","__ZN2js20array_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN2JSL10MagicValueE10JSWhyMagic","__ZN2js19array_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL11array_traceP8JSTracerP8JSObject","__ZL26array_getElementAttributesP9JSContextP8JSObjectjPj","__ZL20array_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty","__ZL19array_lookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty","__ZL19array_lookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty","__ZL19array_defineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej","__ZL16array_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE","__ZL17array_getPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE","__ZL16array_getElementP9JSContextP8JSObjectS2_jPN2JS5ValueE","__ZL16array_getSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE","__ZL17array_setPropertyP9JSContextP8JSObjectiPN2JS5ValueEi","__ZL16array_setElementP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL16array_setSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZL19array_getAttributesP9JSContextP8JSObjectiPj","__ZL26array_getSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj","__ZL19array_setAttributesP9JSContextP8JSObjectiPj","__ZL26array_setElementAttributesP9JSContextP8JSObjectjPj","__ZL26array_setSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj","__ZL12array_typeOfP9JSContextP8JSObject","__ZL19array_deleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZL9array_fixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE","__ZL21slowarray_addPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE359","__ZN8JSObject23backfillDenseArrayHolesEP9JSContext","__ZN8JSObject21getDenseArrayCapacityEv","__ZNK8JSObject24denseArrayHasInlineSlotsEv","__ZN2js14AutoValueArrayC1EP9JSContextPN2JS5ValueEj","__ZL17AddLengthPropertyP9JSContextP8JSObject","__ZN2JSL10Int32ValueEi360","__ZN2js14AutoValueArrayD1Ev","__Z12js_MergeSortPvjjPFiS_PKvS1_PiES_S_19JSMergeSortElemType","__ZL11MergeArraysP9MSortArgsPvS1_jj","__ZL21comparator_stack_castPFiPvPKvS1_PiE","__ZN2js15AutoArrayRooter12changeLengthEj","__ZN2js15AutoArrayRooterC1EP9JSContextjPN2JS5ValueE","__ZL10GetElementP9JSContextP8JSObjectdPiPN2JS5ValueE","__ZN2jsL15MakeRangeGCSafeEPN2JS5ValueEj","__ZN2js15AutoArrayRooter11changeArrayEPN2JS5ValueEj","__ZL20sort_compare_stringsPvPKvS1_Pi","__ZN11CompareArgsC1EP9JSContextN2JS5ValueE","__ZN2js10array_sortEP9JSContextjPN2JS5ValueE","__ZL12sort_comparePvPKvS1_Pi","__ZN11CompareArgsD1Ev","__ZL17InitArrayElementsP9JSContextP8JSObjectjjPN2JS5ValueEb","__ZN2js15AutoArrayRooterD1Ev","__ZL15SetArrayElementP9JSContextP8JSObjectdRKN2JS5ValueE","__ZL18DeleteArrayElementP9JSContextP8JSObjectdb","__Z19js_NewbornArrayPushP9JSContextP8JSObjectRKN2JS5ValueE","__Z20NewbornArrayPushImplP9JSContextP8JSObjectRKN2JS5ValueE","__ZN2js10array_pushEP9JSContextjPN2JS5ValueE","__ZL17array_push_slowlyP9JSContextP8JSObjectjPN2JS5ValueES5_","__ZL17array_push1_denseP9JSContextP8JSObjectRKN2JS5ValueEPS4_","__ZN2js9array_popEP9JSContextjPN2JS5ValueE","__ZL15array_pop_denseP9JSContextP8JSObjectPN2JS5ValueE","__ZL16array_pop_slowlyP9JSContextP8JSObjectPN2JS5ValueE","__ZL14array_toSourceP9JSContextjPN2JS5ValueE","__ZL14array_toStringP9JSContextjPN2JS5ValueE","__ZL20array_toLocaleStringP9JSContextjPN2JS5ValueE","__ZL10array_joinP9JSContextjPN2JS5ValueE","__ZL13array_reverseP9JSContextjPN2JS5ValueE","__ZL11array_shiftP9JSContextjPN2JS5ValueE","__ZL13array_unshiftP9JSContextjPN2JS5ValueE","__ZL12array_spliceP9JSContextjPN2JS5ValueE","__ZL12array_concatP9JSContextjPN2JS5ValueE","__ZL11array_sliceP9JSContextjPN2JS5ValueE","__ZL13array_indexOfP9JSContextjPN2JS5ValueE","__ZL17array_lastIndexOfP9JSContextjPN2JS5ValueE","__ZL13array_forEachP9JSContextjPN2JS5ValueE","__ZL9array_mapP9JSContextjPN2JS5ValueE","__ZL12array_reduceP9JSContextjPN2JS5ValueE","__ZL17array_reduceRightP9JSContextjPN2JS5ValueE","__ZL12array_filterP9JSContextjPN2JS5ValueE","__ZL10array_someP9JSContextjPN2JS5ValueE","__ZL11array_everyP9JSContextjPN2JS5ValueE","__ZL13array_isArrayP9JSContextjPN2JS5ValueE","__ZN8JSObject30setDenseArrayInitializedLengthEj","__ZN2js2gcL15GetGCObjectKindEjb374","__Z8js_ArrayP9JSContextjPN2JS5ValueE","__ZN2js5types23GetTypeCallerInitObjectEP9JSContext10JSProtoKey","__ZN2js18NewDenseEmptyArrayEP9JSContextP8JSObject","__ZN2js19NewDenseCopiedArrayEP9JSContextjPKN2JS5ValueEP8JSObject","__ZN2js24NewDenseUnallocatedArrayEP9JSContextjP8JSObject","__ZN8JSObject14setArrayLengthEP9JSContextj","__Z17js_InitArrayClassP9JSContextP8JSObject","__ZN2js29DefineConstructorAndPrototypeEP9JSContextPNS_12GlobalObjectE10JSProtoKeyP8JSObjectS6_","__ZN2jsL8NewArrayILb0EEEP8JSObjectP9JSContextjS2_","__ZN2js22NewDenseAllocatedArrayEP9JSContextjP8JSObject","__ZN2jsL8NewArrayILb1EEEP8JSObjectP9JSContextjS2_","__ZN2js27NewDenseAllocatedEmptyArrayEP9JSContextjP8JSObject","__ZN8JSObject22copyDenseArrayElementsEjPKN2JS5ValueEj","__ZN2js17NewSlowEmptyArrayEP9JSContext","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_373","__ZL14InitArrayTypesP9JSContextPN2js5types10TypeObjectEPKN2JS5ValueEj","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE377","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE381","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE378","_JSID_IS_INT387","_JSID_IS_STRING388","_JSID_TO_FLAT_STRING389","_BUILD_JSVAL380","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE382","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE375","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_376","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb379","__ZN2jsL17GuessObjectGCKindEjb","__ZN8JSObject11ensureSlotsEP9JSContextj","__ZN2JSL11ObjectValueER8JSObject383","__ZN2js5types17AddTypePropertyIdEP9JSContextP8JSObjectiRKN2JS5ValueE","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_384","__ZN2js5typesL15HashSetCapacityEj385","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_386","__ZN2js5types4Type10DoubleTypeEv","__ZN2js5types22AutoEnterTypeInferenceC1EP9JSContextb","__ZN2js5types10TypeObject11getPropertyEP9JSContextib","__ZN2js5types12GetValueTypeEP9JSContextRKN2JS5ValueE","__ZN2js5types19InferSpewColorResetEv","__ZN2js5types10TypeStringENS0_4TypeE","__ZN2js5types9InferSpewENS0_11SpewChannelEPKcz","__ZN2js5types14InferSpewColorEPNS0_7TypeSetE","__ZN2js5types14InferSpewColorEPNS0_14TypeConstraintE","__ZN2js5types13TypeObjectKey6getKeyEPS1_","__ZN2js5types17PrimitiveTypeFlagE11JSValueType","__ZNK2js5types7TypeSet7unknownEv","__ZNK2js5types4Type9isUnknownEv","__ZNK2js5types7TypeSet9baseFlagsEv","__ZNK2js5types4Type11isPrimitiveEv","__ZNK2js5types4Type9primitiveEv","__ZNK2js5types4Type11isAnyObjectEv","__ZNK2js5types7TypeSet15baseObjectCountEv","__ZNK2js5types4Type9objectKeyEv","__ZN2js5types7TypeSet18setBaseObjectCountEj","__ZNK2js5types4Type10typeObjectEv","__ZNK2js5types4Type8isObjectEv","__ZN2js5types7TypeSet7addTypeEP9JSContextNS0_4TypeE","__ZN2js5types22AutoEnterTypeInferenceD1Ev","__ZN2js5types22AutoEnterTypeInferenceD2Ev","__ZN2js5types7TypeSet12clearObjectsEv","__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_","__ZNK2js5types4Type12isTypeObjectEv","__ZN2js5types4Type13AnyObjectTypeEv","__ZN2js5types15TypeCompartment10addPendingEP9JSContextPNS0_14TypeConstraintEPNS0_7TypeSetENS0_4TypeE","__ZN2js5types15TypeCompartment14resolvePendingEP9JSContext","__ZN2js5types13TypeObjectKey7keyBitsEPS1_","_JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL","_JSVAL_TO_OBJECT_IMPL390","_JSVAL_IS_OBJECT_IMPL391","_JSVAL_IS_DOUBLE_IMPL392","__ZN2js5types10TypeObject20setBasePropertyCountEj","__ZN2js10ArenaArrayIPNS_5types13TypeObjectKeyEEEPT_R11JSArenaPoolj","__ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j","__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_","__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_","__ZN2js5types4Type10ObjectTypeEP8JSObject","__ZN2js5types4Type13PrimitiveTypeE11JSValueType","__ZNK2JS5Value20extractNonDoubleTypeEv","__ZN2js5typesL13HashSetInsertIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_","__ZN2js5types4Type11UnknownTypeEv","__ZN2js5types7TypeSet14setOwnPropertyEP9JSContextb","__ZN2js10ArenaArrayIPNS_5types8PropertyEEEPT_R11JSArenaPoolj","__ZN2jsL7PodZeroIPNS_5types8PropertyEEEvPT_j","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj","__ZN2js5types22AutoEnterTypeInferenceC2EP9JSContextb","_JSVAL_IS_NUMBER_IMPL393","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE9matchHashEj","__ZN2js5typesL16HashSetInsertTryIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_","__ZNK2js12ContextStack13currentScriptEPPh","__ZN2js5types10TypeScript10InitObjectEP9JSContextP8JSScriptPKh10JSProtoKey","__ZN2js5types16GetTypeNewObjectEP9JSContext10JSProtoKey","__ZNK8JSScript9hasGlobalEv","__ZN2js5types17AllocationSiteKeyC1Ev","__ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE6lookupERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE6isLiveEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS7_EE","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS7_EERKS4_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE9isRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12setCollisionEj","__ZN2js5types17AllocationSiteKey5matchERKS1_S3_","__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS7_EE","__ZN2js5types17AllocationSiteKey4hashES1_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj","__ZN2js5types17AllocationSiteKeyC2Ev","__ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_","__ZNK2js12GlobalObject9isClearedEv","__ZL11array_extraP9JSContext14ArrayExtraModejPN2JS5ValueE","__ZNK2js12CallReceiver18calleeHasBeenResetEv","__ZN2js6InvokeEP9JSContextRNS_15InvokeArgsGuardENS_14MaybeConstructE","_INT_TO_JSID398","_INT32_TO_JSVAL_IMPL394","__ZL18JSDOUBLE_IS_FINITEd396","__ZL15JSDOUBLE_IS_NaNd397","__ZN8JSObject18isPackedDenseArrayEv","__ZL19array_indexOfHelperP9JSContextijPN2JS5ValueE","__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd","__ZL18js_DoubleToIntegerd395","__ZL17TryReuseArrayTypeP8JSObjectS0_","__ZL15InitArrayObjectP9JSContextP8JSObjectjPKN2JS5ValueE","__ZN8JSObject22moveDenseArrayElementsEjjj","__ZL23SetOrDeleteArrayElementP9JSContextP8JSObjectdiRKN2JS5ValueE","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv","__ZN2jsL3MinIjEET_S1_S1_","__ZN2js6detail14HashTableEntryIKP8JSObjectE10isLiveHashEj","__ZN22AutoArrayCycleDetector10foundCycleEv","__ZL18array_toString_subP9JSContextP8JSObjectiP8JSStringPN2JS5ValueE","__ZN22AutoArrayCycleDetectorC1EP9JSContextP8JSObject","__ZN22AutoArrayCycleDetector4initEv","__ZN2js19ValueToStringBufferEP9JSContextRKN2JS5ValueERNS_12StringBufferE","__ZN2js12StringBuffer6appendEPKtj","__ZN22AutoArrayCycleDetectorD1Ev","__ZN22AutoArrayCycleDetectorD2Ev","__ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE10generationEv","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6removeERKS2_","__ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv","__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isLiveEv","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS4_jj","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZL11JS_ON_TRACEPK9JSContext403","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj","__ZNK2js6detail14HashTableEntryIKP8JSObjectE6isFreeEv","__ZN2js6detail14HashTableEntryIKP8JSObjectE9matchHashEj","__ZNK2js6detail14HashTableEntryIKP8JSObjectE9isRemovedEv","__ZN2js6detail14HashTableEntryIKP8JSObjectE12setCollisionEj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryIKP8JSObjectE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryIKP8JSObjectE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEC2ERS6_","__ZNK2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEptEv","__ZN2js6detail14HashTableEntryIKP8JSObjectE12setCollisionEv","__ZN2js6detail14HashTableEntryIKP8JSObjectEC2Ev","__ZNK2js6detail14HashTableEntryIKP8JSObjectE12hasCollisionEv","__ZN2js6detail14HashTableEntryIKP8JSObjectE10setRemovedEv","__ZN2js6detail14HashTableEntryIKP8JSObjectE7setFreeEv","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10generationEv","_JSVAL_TO_STRING_IMPL404","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryIKP8JSObjectEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_6detail14HashTableEntryIKP8JSObjectEEEENS_7MoveRefIT_EERS8_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj","_js_free399","__ZN2js7MoveRefINS_6detail14HashTableEntryIKP8JSObjectEEEC1ERS6_","__ZN2js6detail14HashTableEntryIKP8JSObjectEC1Ev","_js_malloc400","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_j","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbPKT_S6_","_js_realloc401","__ZN2jsL17CheckStringLengthEP9JSContextj402","__ZN2js12StringBuffer6appendEP8JSString","__ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2Ev","_JSID_IS_VOID","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv","__ZN2js6detail14HashTableEntryIKP8JSObjectE7setLiveEj","__ZNK18ArraySharpDetector14initiallySharpEv","__ZN18ArraySharpDetector14takeSharpCharsEv","__ZNK18ArraySharpDetector13hasSharpCharsEv","__ZN18ArraySharpDetector9makeSharpEv","__ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE13copyConstructIcEEvPtPKT_S7_","__ZN18ArraySharpDetectorC2EP9JSContext","__ZN2js12AutoIdRooter4addrEv","__ZN2js12AutoIdRooter2idEv","_JSVAL_IS_SPECIFIC_BOOLEAN407","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj","__ZN22AutoArrayCycleDetectorC2EP9JSContextP8JSObject","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1Ev","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2Ev","__ZL13js_IsCallableRKN2JS5ValueE405","__ZN18ArraySharpDetectorC1EP9JSContext","__ZN18ArraySharpDetector4initEP8JSObject","__ZN2js12StringBuffer16replaceRawBufferEPtj","__ZN2js12StringBuffer6appendEt","__ZN2js12StringBuffer6appendILj3EEEbRAT__Kc","__ZN2JSL11StringValueEP8JSString406","__ZN18ArraySharpDetectorD1Ev","__ZN18ArraySharpDetectorD2Ev","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbPKT_S6_","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendIcEEvPKT_j","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendItEEbT_","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendItEEvT_","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16replaceRawBufferEPtj","__ZN2js12AutoIdRooterC1EP9JSContexti","__ZNK2JS5Value6isTrueEv","__ZN2js12AutoIdRooterD1Ev","__ZN2js12AutoIdRooterD2Ev","__ZN2js12AutoIdRooterC2EP9JSContexti","__ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorD2Ev","__ZN2js15AutoArrayRooterD2Ev","_DOUBLE_TO_JSVAL_IMPL409","__ZN2JS5Value12getDoubleRefEv","_STRING_TO_JSVAL_IMPL410","_JSVAL_IS_NULL_IMPL411","_JSVAL_IS_STRING_IMPL413","_JSVAL_TO_PRIVATE_PTR_IMPL414","__ZZN2js10array_sortEP9JSContextjPN2JS5ValueEEN14AutoFreeVectorC2ES1_RS4_","_OBJECT_TO_JSVAL_IMPL415","_JSVAL_IS_PRIMITIVE_IMPL416","_JSVAL_IS_UNDEFINED_IMPL417","__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE","__ZN2JSL11DoubleValueEd408","__Z18js_ValueToStringIdP9JSContextRKN2JS5ValueEPi","__Z14js_ValueToAtomP9JSContextRKN2JS5ValueEPP6JSAtom","__ZN11CompareArgsD2Ev","__ZN11CompareArgsC2EP9JSContextN2JS5ValueE","__ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j412","__ZN2js15ArgumentsObject10getElementEjPN2JS5ValueE","__ZNK2js15ArgumentsObject7elementEj","__ZNK2js15ArgumentsObject7onTraceEv","__ZNK2js15ArgumentsObject15maybeStackFrameEv","__ZNK2js15ArgumentsObject4dataEv","__ZN2js15AutoArrayRooterC2EP9JSContextjPN2JS5ValueE","__ZN2js14AutoValueArrayD2Ev","__ZL19array_length_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZN8JSObject24shrinkDenseArrayElementsEP9JSContextj","__ZN2js14AutoValueArrayC2EP9JSContextPN2JS5ValueEj","_js_calloc418","__Z13js_GetElementP9JSContextP8JSObjectjPN2JS5ValueE","__Z14js_GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZL19array_length_setterP9JSContextP8JSObjectiiPN2JS5ValueE","__ZL14JSID_FROM_BITSj423","__ZN11JSAtomState21checkStaticInvariantsEv","_JSID_TO_INT420","_JSID_TO_STRING422","__ZNK2js10StackFrame13formalArgsEndEv","_BOOLEAN_TO_JSVAL_IMPL419","_JSDOUBLE_IS_NEGZERO425","__ZN2js6detail17CopyNonHoleArgsToC2EPNS_15ArgumentsObjectEPN2JS5ValueE","_MAGIC_TO_JSVAL_IMPL426","_JSVAL_IS_MAGIC_IMPL","_JSVAL_TO_INT32_IMPL427","_JSVAL_IS_INT32_IMPL428","__ZNK8JSObject17isStrictArgumentsEv","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv","__ZNK2js18TaggedPointerEntryI6JSAtomE5asPtrEv","__ZL17IsDenseArrayIndexP8JSObjectj","__ZN8JSObject13lookupElementEP9JSContextjPPS_PP10JSProperty","__ZL14IsDenseArrayIdP9JSContextP8JSObjecti","__ZL12JSID_TO_ATOMi421","_JSDOUBLE_IS_INT32424","__ZN8JSObject10getElementEP9JSContextjPN2JS5ValueE","__ZNK2js15ArgumentsObject8elementsEv","__ZN2js10StackFrame25forEachCanonicalActualArgINS_6detail17CopyNonHoleArgsToEEEbT_jj","__ZN2js6detail17CopyNonHoleArgsToC1EPNS_15ArgumentsObjectEPN2JS5ValueE","__ZN2js6detail17CopyNonHoleArgsToclEjPN2JS5ValueE","__ZL12BigIndexToIdP9JSContextP8JSObjectjiPi","__ZL18ReallyBigIndexToIdP9JSContextdPi","__ZN2js15AutoValueRooterC2EP9JSContext","__ZN2JSL9NullValueEv429","__Z24js_AtomToPrintableStringP9JSContextP6JSAtomP16JSAutoByteString","__ZN2JSL11StringValueEP8JSString478","__Z16js_InitAtomStateP9JSRuntime","__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE4initEj","__Z18js_FinishAtomStateP9JSRuntime","__ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE11initializedEv","__ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE3allEv","__ZN6JSAtom8finalizeEP9JSRuntime","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv","__ZN11JSAtomState9junkAtomsEv","__ZN6JSAtom14asPropertyNameEv","__ZN11JSAtomState16commonAtomsStartEv","__ZNK2js18TaggedPointerEntryI6JSAtomE8isTaggedEv","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrptEv","__ZNK2js18TaggedPointerEntryI6JSAtomE9setTaggedEb","__Z18js_InitCommonAtomsP9JSContext","__Z10js_AtomizeP9JSContextPKcjN2js14InternBehaviorENS3_13FlationCodingE","__ZN11JSAtomState14clearLazyAtomsEv","__Z20js_FinishCommonAtomsP9JSContext","__Z17js_TraceAtomStateP8JSTracer","__ZN2js18TaggedPointerEntryI6JSAtomEC1ERKS2_","__Z17js_SweepAtomStateP9JSContext","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC1IS9_EERT_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4Enum11removeFrontEv","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD1Ev","__Z14AtomIsInternedP9JSContextP6JSAtom","__ZN2js24AutoLockAtomsCompartmentC1EP9JSContext","__ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE6lookupERKNS4_6LookupE","__ZN2js10AtomHasher6LookupC1EPK6JSAtom","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv","__ZN2js24AutoLockAtomsCompartmentD1Ev","__Z16js_AtomizeStringP9JSContextP8JSStringN2js14InternBehaviorE","__ZL7AtomizeP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior","__ZN2jsL17CheckStringLengthEP9JSContextj489","__Z15js_AtomizeCharsP9JSContextPKtjN2js14InternBehaviorE","__ZNK2js9InlineMapIP6JSAtomjLj24EE5asMapEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv","__ZNK2js9InlineMapIP6JSAtomjLj24EE8asInlineEv","__ZNK2js9InlineMapIP6JSAtomjLj24EE9inlineEndEv","__ZNK7mozilla9RangedPtrItE3getEv","__ZNK7mozilla9RangedPtrItEmiERKS1_","__ZL13AtomizeInlineP9JSContextPPKtjN2js14InternBehaviorE16OwnCharsBehavior","__Z24js_GetExistingStringAtomP9JSContextPKtj","__ZN2js13StaticStrings6lookupEPKtj","__ZN2js10AtomHasher6LookupC1EPKtj","__Z14js_InitAtomMapP9JSContextPN2js9InlineMapIP6JSAtomjLj24EEEPS4_","__ZNK2js9InlineMapIP6JSAtomjLj24EE5isMapEv","__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv","__ZN2js13IndexToIdSlowEP9JSContextjPi","__ZN7mozilla9RangedPtrItEC1EPtS2_S2_","__ZN2js25BackfillIndexInCharBufferItEEN7mozilla9RangedPtrIT_EEjS4_","__ZL12ATOM_TO_JSIDP6JSAtom496","__ZN7mozilla9RangedPtrItE11checkSanityEv","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv","_INT_TO_JSID501","_OBJECT_TO_JSID502","_JSID_TO_STRING504","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE10isLiveHashEj","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10isLiveHashEj","__ZNK8JSObject5isXMLEv","__ZNK7mozilla9RangedPtrItEdeEv","__ZNK2js9InlineMapIP6JSAtomjLj24EE8usingMapEv","__Z22js_CheckForStringIndexi","__ZL12JSID_IS_ATOMi499","__ZL12JSID_TO_ATOMi500","__Z28js_InternNonIntElementIdSlowP9JSContextP8JSObjectRKN2JS5ValueEPi","__Z28js_InternNonIntElementIdSlowP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_","__ZN2jsL9IdToValueEi503","__ZN7mozilla9RangedPtrItEmmEv","__ZN7mozilla9RangedPtrItEmIEj","__ZN7mozilla9RangedPtrItEaSItEERS1_RKNS0_IT_EE","__ZN7mozilla9RangedPtrItEmiEj","__ZNK7mozilla9RangedPtrItE6createEPt","__ZN7mozilla9RangedPtrItEC1EPtS2_j","__ZN7mozilla9RangedPtrItEC2EPtS2_j","__ZN7mozilla9RangedPtrItEC2EPtS2_S2_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isLiveEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv","__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isLiveEv","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupE","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERKNS7_6LookupE","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERKNS7_6LookupEjj","__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS3_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj","__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE6isFreeEv","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE9matchHashEj","__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE9isRemovedEv","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12setCollisionEj","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZN2js9HashCharsEPKtj","__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12hasCollisionEv","__ZN2js18TaggedPointerEntryI6JSAtomEC2Ev","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEptEv","__ZNK2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEcvRS3_Ev","__ZN2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEC2ERS3_","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE12setCollisionEv","__ZN2js18TaggedPointerEntryI6JSAtomEC2ERKS2_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS5_EERKNS7_6LookupE","__ZN2js10AtomHasher5matchERKNS_18TaggedPointerEntryI6JSAtomEERKNS0_6LookupE","__ZN2jsL8PodEqualIKtEEbPT_S3_j","__ZN2js10AtomHasher4hashERKNS0_6LookupE","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE10setRemovedEv","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE7setFreeEv","__ZN2js18TaggedPointerEntryI6JSAtomEC1Ev","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumD2Ev","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEENS_7MoveRefIT_EERS9_","_js_free505","__ZN2js7MoveRefINS_6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEEEC1ERS7_","__ZN2js4MoveINS_18TaggedPointerEntryI6JSAtomEEEENS_7MoveRefIT_EERS5_","__ZN2js7MoveRefINS_18TaggedPointerEntryI6JSAtomEEEC1ERS3_","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEC1Ev","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEEC2Ev","_js_malloc506","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4EnumC2IS9_EERT_","__ZL14JSID_FROM_BITSj522","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZL11JS_ON_TRACEPK9JSContext523","__ZN2js24AutoLockAtomsCompartmentD2Ev","_JSID_IS_STRING508","_JSID_IS_INT509","_JSID_TO_INT511","_JSID_IS_OBJECT512","_JSID_TO_OBJECT514","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11initializedEv","_STRING_TO_JSVAL_IMPL507","_BUILD_JSVAL516","_INT32_TO_JSVAL_IMPL517","_OBJECT_TO_JSVAL_IMPL518","_JSVAL_TO_STRING_IMPL519","_JSVAL_IS_STRING_IMPL520","_JSVAL_TO_OBJECT_IMPL521","__ZN2js10AtomHasher6LookupC2EPKtj","__ZN2js13StaticStrings7getUnitEt","__ZN2js13StaticStrings10getLength2Ett","__ZN2js13StaticStrings7getUintEj","__ZN2js18TaggedPointerEntryI6JSAtomEC2EPS1_b","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv","__ZN2js6detail14HashTableEntryIKNS_18TaggedPointerEntryI6JSAtomEEE7setLiveEj","__ZN2js24AutoLockAtomsCompartmentC2EP9JSContext","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj","__ZN2JSL10Int32ValueEi510","__ZN2JSL11ObjectValueER8JSObject513","__ZN2JSL14UndefinedValueEv515","__ZN2js13StaticStrings6getIntEi","__ZNK2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE12lookupForAddERKNS4_6LookupE","__ZN2js7HashSetINS_18TaggedPointerEntryI6JSAtomEENS_10AtomHasherENS_17SystemAllocPolicyEE13relookupOrAddERNS_6detail9HashTableIKS3_NS6_6SetOpsES5_E6AddPtrERKNS4_6LookupERS9_","__ZN2js18TaggedPointerEntryI6JSAtomEC1EPS1_b","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13relookupOrAddERNSB_6AddPtrERKNS7_6LookupERS5_","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS6_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS5_","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE","__ZNK2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERKNS7_6LookupE","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableIKNS_18TaggedPointerEntryI6JSAtomEENS_7HashSetIS4_NS_10AtomHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js10AtomHasher6LookupC2EPK6JSAtom","__ZN12JSFlatString8finalizeEP9JSRuntime","__ZL13bool_toSourceP9JSContextjPN2JS5ValueE","__ZL14JSID_FROM_BITSj557","_JSID_IS_INT553","_JSID_IS_STRING554","_JSID_TO_FLAT_STRING555","__Z18js_BooleanToStringP9JSContexti","__ZL15JSDOUBLE_IS_NaNd535","_JSVAL_TO_BOOLEAN_IMPL","_JSVAL_IS_DOUBLE_IMPL538","_JSVAL_IS_UNDEFINED_IMPL539","_JSVAL_IS_NULL_IMPL540","_JSVAL_IS_OBJECT_IMPL541","_JSVAL_TO_STRING_IMPL542","_JSVAL_IS_STRING_IMPL543","_JSVAL_TO_INT32_IMPL544","_JSVAL_IS_INT32_IMPL545","_BUILD_JSVAL549","_OBJECT_TO_JSVAL_IMPL556","_BOOLEAN_TO_JSVAL_IMPL559","__ZL13bool_toStringP9JSContextjPN2JS5ValueE","__ZL12bool_valueOfP9JSContextjPN2JS5ValueE","__Z19js_InitBooleanClassP9JSContextP8JSObject","__ZN8JSObject16setPrimitiveThisERKN2JS5ValueE","__ZN2JSL12BooleanValueEb532","__ZL7BooleanP9JSContextjPN2JS5ValueE","__ZN2js21BooleanToStringBufferEP9JSContextiRNS_12StringBufferE","__ZN2js12StringBuffer6appendILj5EEEbRAT__Kc","__ZN2js12StringBuffer6appendILj6EEEbRAT__Kc","__Z17js_ValueToBooleanRKN2JS5ValueE","__ZNK2JS5Value9toBooleanEv","_js_realloc536","_js_malloc537","__ZL12ATOM_TO_JSIDP6JSAtom546","__ZN2JSL11ObjectValueER8JSObject547","__ZN2JSL14UndefinedValueEv548","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_550","__ZN2js5typesL15HashSetCapacityEj551","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_552","__ZN2jsL14IsConstructingEPKN2JS5ValueE","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE558","__ZN2js6detail17PrimitiveBehaviorIbE8getClassEv","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE563","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE569","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE564","__ZN2js2gcL15GetGCObjectKindEjb560","_MAGIC_TO_JSVAL_IMPL568","_JSVAL_TO_OBJECT_IMPL570","_JSVAL_IS_MAGIC_IMPL571","_JSVAL_IS_BOOLEAN_IMPL","_STRING_TO_JSVAL_IMPL572","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE561","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE562","_js_free565","_js_calloc566","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb567","__ZNK2JS5Value7isMagicEv","__ZN2js16GetPrimitiveThisIbEEbP9JSContextPN2JS5ValueEPT_","__ZN2js6detail17PrimitiveBehaviorIbE6isTypeERKN2JS5ValueE","__ZN2js6detail17PrimitiveBehaviorIbE7extractERKN2JS5ValueE","__ZNK8JSObject16getPrimitiveThisEv","__ZNK2JS5Value9isBooleanEv","__Z14js_GetSCOffsetP23JSStructuredCloneWriter","__ZN2js8SCOutput5countEv","__ZN2js20WriteStructuredCloneEP9JSContextRKN2JS5ValueEPPyPjPK26JSStructuredCloneCallbacksPv","__ZN23JSStructuredCloneWriterC1ERN2js8SCOutputEPK26JSStructuredCloneCallbacksPv","__ZN23JSStructuredCloneWriter4initEv","__ZN23JSStructuredCloneWriter5writeERKN2JS5ValueE","__ZN2js8SCOutput13extractBufferEPPyPj","__ZN23JSStructuredCloneWriterD1Ev","__ZN2js8SCOutputD1Ev","__ZN2js19ReadStructuredCloneEP9JSContextPKyjPN2JS5ValueEPK26JSStructuredCloneCallbacksPv","__ZN23JSStructuredCloneReaderC1ERN2js7SCInputEPK26JSStructuredCloneCallbacksPv","__ZL12PairToUInt64jj","_JSID_IS_INT594","_JSID_TO_INT595","_JSID_TO_STRING596","__ZN2js7SCInputC2EP9JSContextPKyj","__ZL9SwapBytesy","__ZL25ReinterpretDoubleAsUInt64d","__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE6lengthEv","__ZN23JSStructuredCloneReader4readEPN2JS5ValueE","__ZN23JSStructuredCloneReaderD1Ev","__ZN2js7SCInput3eofEv","__ZN2js7SCInput4readEPy","__ZN2js7SCInput8readPairEPjS1_","__ZN2js7SCInput10readDoubleEPd","__ZL15CanonicalizeNand","__ZN2js7SCInput9readBytesEPvj","__ZN2js7SCInput9readArrayIhEEbPT_j","__ZN2js7SCInput9readCharsEPtj","__ZN2js7SCInput9readArrayItEEbPT_j","__ZN2js8SCOutputC2EP9JSContext","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEC1ES1_","__ZN2js8SCOutput5writeEy","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE6appendIyEEbT_","__ZN2js8SCOutput9writePairEjj","__ZN2js8SCOutput11writeDoubleEd","__ZN2js8SCOutput10writeBytesEPKvj","__ZN2js8SCOutput10writeArrayIhEEbPKT_j","__ZN2js8SCOutput10writeCharsEPKtj","__ZN2js8SCOutput10writeArrayItEEbPKT_j","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE16extractRawBufferEv","__ZN23JSStructuredCloneWriter11writeStringEjP8JSString","__ZN23JSStructuredCloneWriter7contextEv","__ZN23JSStructuredCloneWriter7writeIdEi","__ZN23JSStructuredCloneWriter10checkStackEv","__ZL14ArrayTypeToTagj","__ZN8JSObject21arrayBufferByteLengthEv","__ZN8JSObject21arrayBufferDataOffsetEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv","__ZN2jsL7ReverseIiEEvPT_S2_","__ZN23JSStructuredCloneWriter15writeTypedArrayEP8JSObject","__ZN2js10TypedArray7getTypeEP8JSObject","__ZN2js10TypedArray9getLengthEP8JSObject","__ZN2js10TypedArray13getDataOffsetEP8JSObject","__ZN2js8SCOutput10writeArrayIjEEbPKT_j","__ZN2js8SCOutput10writeArrayIyEEbPKT_j","__ZN23JSStructuredCloneWriter16writeArrayBufferEP8JSObject","__ZN23JSStructuredCloneWriter11startObjectEP8JSObject","__ZNK2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv","__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKj","__ZNK2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv","__ZN2js16AutoVectorRooterIiE5beginEv","__ZN2js16AutoVectorRooterIiE3endEv","__ZN2JSL11ObjectValueER8JSObject597","_JSID_IS_STRING598","__ZL14TagToArrayTypej","__ZNK8JSObject9isBooleanEv","__ZNK8JSObject8isNumberEv","__ZNK8JSObject8isStringEv","__ZNK2js6VectorIjLj0ENS_15TempAllocPolicyEE5emptyEv","_JSVAL_IS_DOUBLE_IMPL599","__ZN5Chars3getEv","__ZN5Chars6forgetEv","__ZN23JSStructuredCloneWriter10startWriteERKN2JS5ValueE","__ZNK2js16AutoVectorRooterIN2JS5ValueEE4backEv","__ZNK2js16AutoVectorRooterIiE4backEv","__ZN2js16AutoVectorRooterIiE7popBackEv","__ZN2js16AutoVectorRooterIN2JS5ValueEE7popBackEv","__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv","__ZN23JSStructuredCloneReader11checkDoubleEd","__ZN23JSStructuredCloneReader7contextEv","__ZN23JSStructuredCloneReader10readStringEj","__ZN5CharsC1Ev","__ZN5Chars8allocateEP9JSContextj","__ZN5CharsD1Ev","__ZN23JSStructuredCloneReader14readTypedArrayEjjPN2JS5ValueE","__ZN2js7SCInput9readArrayIjEEbPT_j","__ZN2js7SCInput9readArrayIyEEbPT_j","__ZN23JSStructuredCloneReader15readArrayBufferEjPN2JS5ValueE","__ZL9SwapBytesj","_INT_TO_JSID603","_JSID_IS_VOID605","__ZL18JSDOUBLE_IS_FINITEd600","__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE3endEv","__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE3endEv","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE3endEv","__ZN23JSStructuredCloneReader9startReadEPN2JS5ValueE","__ZL18js_DoubleToIntegerd601","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE602","__ZL23ReinterpretPairAsDoublejj","__ZN23JSStructuredCloneReader6readIdEPi","__ZL12ATOM_TO_JSIDP6JSAtom604","__ZN2js16AutoVectorRooterIN2JS5ValueEE5clearEv","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE5clearEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5clearEv","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7popBackEv","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE7popBackEv","__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEE4backEv","__ZNK2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE4backEv","_js_realloc606","_js_malloc607","_js_free608","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE10isLiveHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEC2ERS4_","__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEptEv","__ZNK2js7MoveRefIjEcvRjEv","__ZN2js7MoveRefIjEC2ERj","__ZN2js12HashMapEntryIP8JSObjectjEC2Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5countEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEENS_7MoveRefIT_EERS9_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEEEC1ERS7_","__ZN2js12HashMapEntryIP8JSObjectjEaSENS_7MoveRefIS3_EE","__ZN2js4MoveINS_12HashMapEntryIP8JSObjectjEEEENS_7MoveRefIT_EERS6_","__ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectjEEEC1ERS4_","__ZN2js4MoveIjEENS_7MoveRefIT_EERS2_","__ZN2js7MoveRefIjEC1ERj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEEC2Ev","__ZN2js12HashMapEntryIP8JSObjectjEC1Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE7destroyEPyS3_","__ZN2js15ReentrancyGuardC2INS_6VectorIyLj0ENS_15TempAllocPolicyEEEEERT_","__ZL9SwapBytest","__ZL14JSID_FROM_BITSj609","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectjEEE12setCollisionEj","__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_jEE","__ZNK2js8SCOutput7contextEv","__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE3endEv","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE13copyConstructIyEEvPyPKT_S7_","_INT32_TO_JSVAL_IMPL611","_JSDOUBLE_IS_NEGZERO612","__ZL25ReinterpretUInt64AsDoubley","__ZN2js2gcL15GetGCObjectKindEjb613","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE19growByUninitializedEj","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE4backEv","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEixEj","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE10growByImplILb0EEEbj","__ZN2js15ReentrancyGuardC1INS_6VectorIyLj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZNK2js6VectorIyLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIyLj0ES1_EEj","__ZN2js10VectorImplIyLj0ENS_15TempAllocPolicyELb1EE13moveConstructIyEEvPyPKT_S7_","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEE14internalAppendIyEEvT_","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEEC2ES1_","_JSDOUBLE_IS_INT32610","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE616","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE621","__ZL11JS_ON_TRACEPK9JSContext627","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE617","_DOUBLE_TO_JSVAL_IMPL629","_MAGIC_TO_JSVAL_IMPL620","__ZL15JSDOUBLE_IS_NaNd628","_STRING_TO_JSVAL_IMPL630","_BOOLEAN_TO_JSVAL_IMPL631","_BUILD_JSVAL632","_OBJECT_TO_JSVAL_IMPL633","__ZN5CharsC2Ev","__ZNK2js7SCInput7contextEv","_JSVAL_TO_OBJECT_IMPL634","_JSVAL_IS_OBJECT_IMPL635","_JSVAL_IS_UNDEFINED_IMPL636","_JSVAL_IS_NULL_IMPL637","_JSVAL_TO_BOOLEAN_IMPL638","_JSVAL_IS_BOOLEAN_IMPL639","_JSVAL_TO_INT32_IMPL640","_JSVAL_IS_NUMBER_IMPL641","_JSVAL_TO_STRING_IMPL642","_JSVAL_IS_STRING_IMPL643","_JS_CANONICALIZE_NAN644","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE614","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE615","_js_calloc618","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb619","__ZN2JSL14UndefinedValueEv622","__ZN2JSL12BooleanValueEb623","__ZN2JSL11StringValueEP8JSString624","__ZN2JSL10Int32ValueEi625","__ZN2jsL17CheckStringLengthEP9JSContextj626","__ZN5CharsD2Ev","__ZN23JSStructuredCloneReaderD2Ev","__ZN23JSStructuredCloneReaderC2ERN2js7SCInputEPK26JSStructuredCloneCallbacksPv","__ZN2js8SCOutputD2Ev","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIyLj0ENS_15TempAllocPolicyEED2Ev","__ZN23JSStructuredCloneWriterD2Ev","__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev","__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev","__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj","__Z16js_FinishThreadsP9JSRuntime","__ZN9JSContext13fromLinkFieldEP10JSCListStr","__ZN2js10ThreadData24triggerOperationCallbackEP9JSRuntime","__Z20js_CurrentThreadDataP9JSRuntime","__ZN23JSStructuredCloneWriterC2ERN2js8SCOutputEPK26JSStructuredCloneCallbacksPv","__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_","__ZN2js7HashMapIP8JSObjectjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_","__ZN2js10ThreadDataC2Ev","__ZN2js8GSNCacheC1Ev","__ZN2js13PropertyCacheC1Ev","__ZN2js18GetNativeStackBaseEv","__ZN2js24ConservativeGCThreadDataC1Ev","__ZN2js10ThreadDataD2Ev","__ZN2js24ConservativeGCThreadDataD1Ev","__ZN2js8GSNCacheD1Ev","__ZN2js10ThreadData4initEv","__Z19js_GetCurrentScriptP9JSContext","__Z14js_InitThreadsP9JSRuntime","__Z15js_PurgeThreadsP9JSContext","__ZN2js10ThreadData5purgeEP9JSContext","__Z13js_NewContextP9JSRuntimej","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj","__ZN2js10Foreground7delete_I9JSContextEEvPT_","__Z17js_DestroyContextP9JSContext20JSDestroyContextMode","__ZN7mozilla9DebugOnlyIiEC1ERKi","__ZN7mozilla9DebugOnlyIiED1Ev","__Z18js_ContextIteratorP9JSRuntimeiPP9JSContext","__ZN7mozilla5MaybeIN2js10AutoLockGCEEC1Ev","__ZN7mozilla5MaybeIN2js10AutoLockGCEE9constructIP9JSRuntimeEEvRKT_","__ZN7mozilla5MaybeIN2js10AutoLockGCEED1Ev","__Z20js_NextActiveContextP9JSRuntimeP9JSContext","__ZNK2js13AutoResolving18alreadyStartedSlowEv","__Z18js_GetErrorMessagePvPKcj","__Z20js_ReportOutOfMemoryP9JSContext","__ZN2jsL7PodZeroI13JSErrorReportEEvPT_","__ZL19PopulateReportBlameP9JSContextP13JSErrorReport","__ZN2js19AutoAtomicIncrementC1EPi","__ZN2js19AutoAtomicIncrementD1Ev","__Z21js_ReportOverRecursedP9JSContext","__Z27js_ReportAllocationOverflowP9JSContext","__Z16js_ReportErrorVAP9JSContextjPKcPc","__ZL16checkReportFlagsP9JSContextPj","__ZL11ReportErrorP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_","__Z23js_ExpandErrorArgumentsP9JSContextPFPK19JSErrorFormatStringPvPKcjES4_jPPcP13JSErrorReportbS9_","__Z22js_ReportErrorNumberVAP9JSContextjPFPK19JSErrorFormatStringPvPKcjES4_jiPc","__Z19js_ReportErrorAgainP9JSContextPKcP13JSErrorReport","__Z21js_ReportIsNotDefinedP9JSContextPKc","__Z26js_ReportIsNullOrUndefinedP9JSContextiRKN2JS5ValueEP8JSString","__ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString","__Z22js_CurrentPCIsInImacroP9JSContext","__ZN9JSContext22thisDuringConstructionEv","__ZN9JSContext16updateJITEnabledEv","__ZNK2js14ThreadDataIter5emptyEv","__ZNK2js14ThreadDataIter10threadDataEv","__ZN2js14ThreadDataIter8popFrontEv","__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE6lengthEv","__Z19js_ReportMissingArgP9JSContextRKN2JS5ValueEj","__ZN2jsL16IsFunctionObjectERKN2JS5ValueE","__Z24js_ReportValueErrorFlagsP9JSContextjjiRKN2JS5ValueEP8JSStringPKcS8_","__Z16checkOutOfMemoryP9JSRuntime","__Z26js_InvokeOperationCallbackP9JSContext","__Z27js_HandleExecutionInterruptP9JSContext","__ZN2js24TriggerOperationCallbackEP9JSContext","__ZN2js28TriggerAllOperationCallbacksEP9JSRuntime","__ZN2js14ThreadDataIterC1EP9JSRuntime","__Z20js_GetScriptedCallerP9JSContextPN2js10StackFrameE","__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind","__Z23js_GetCurrentBytecodePCP9JSContext","__ZNK2js10StackFrame13maybeImacropcEv","__ZN9JSContextC2EP9JSRuntime","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_","__ZN14DSTOffsetCacheC1Ev","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEC1ES3_","__ZN9JSContextD2Ev","__ZN2js10Foreground7delete_INS_12ParseMapPoolEEEvPT_","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev","__ZN9JSContext16resetCompartmentEv","__Z19OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject","__ZN9JSContext20wrapPendingExceptionEv","__ZNK9JSContext12generatorForEPN2js10StackFrameE","__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE4backEv","__ZN11JSGenerator9liveFrameEv","__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEixEj","__ZNK9JSContext28runningWithTrustedPrincipalsEv","__ZN9JSRuntime15onTooMuchMallocEv","__ZN2js10LeaveTraceEP9JSContext","__ZN2js13CanLeaveTraceEP9JSContext","__ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_","__ZN7mozilla9DebugOnlyIiED2Ev","__ZN7mozilla9DebugOnlyIiEC2ERKi","__ZN2js24ConservativeGCThreadDataD2Ev","__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE5beginEv","__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE3endEv","__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE10endNoCheckEv","__ZNK7mozilla14AlignedStorageILj8EE4addrEv","__ZN7mozilla14AlignedStorageILj8EE4addrEv","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_","__ZN7mozilla15AlignedStorage2IN2js10AutoLockGCEE4addrEv","__ZN7mozilla5MaybeIN2js10AutoLockGCEEC2Ev","__ZNK2js10StackFrame11hasImacropcEv","__ZNK2js10StackFrame8imacropcEv","__ZN2js14ThreadDataIterC2EP9JSRuntime","_JSVAL_TO_OBJECT_IMPL818","_JSVAL_IS_OBJECT_IMPL819","_JSVAL_IS_UNDEFINED_IMPL820","__ZN2js19AutoAtomicIncrementD2Ev","__ZN2js19AutoAtomicIncrementC2EPi","_BUILD_JSVAL821","__ZNK2js9StackIter2pcEv","_MAGIC_TO_JSVAL_IMPL822","__ZN2js24ConservativeGCThreadDataC2Ev","__ZN9JSRuntime13onOutOfMemoryEPvjP9JSContext","__ZN9JSContext5purgeEv","__ZL13FreeOldArenasP9JSRuntimeP11JSArenaPool","__ZN2js12ParseMapPoolD1Ev","_js_free816","__ZN2js12ParseMapPoolD2Ev","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEED1Ev","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEED2Ev","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEEEERT_","__ZNK2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEEC2ES3_","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_","__ZN7mozilla5MaybeIN2js10AutoLockGCEED2Ev","__ZN7mozilla5MaybeIN2js10AutoLockGCEE3asTEv","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj","_js_malloc817","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev","__ZN14DSTOffsetCacheC2Ev","__ZN14DSTOffsetCache5purgeEv","__ZNK9JSContext15hasStrictOptionEv","__ZNK9JSContext15hasWErrorOptionEv","__ZN2js13FrameRegsIterC1EP9JSContextNS_9StackIter11SavedOptionE","__ZNK2js13FrameRegsIter4doneEv","__ZNK2js13FrameRegsIter2fpEv","__ZNK2js13FrameRegsIter2pcEv","__ZN2js13FrameRegsIterppEv","__ZN2js13FrameRegsIter6settleEv","__ZN2js13FrameRegsIterC2EP9JSContextNS_9StackIter11SavedOptionE","_js_calloc823","__ZN2js8GSNCacheD2Ev","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj","__ZN2js13PropertyCacheC2Ev","__ZN13JSCompartment11thisForCtorEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_","__ZN2jsL7PodZeroINS_13PropertyCacheEEEvPT_","__ZN2js8GSNCacheC2Ev","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEEC1ES4_","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEEC2ES4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_","__ZN13JSCompartmentC2EP9JSRuntime","__ZN2js2gc10ArenaListsC1Ev","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEEC1ES4_","__ZN2js12PropertyTreeC1EP13JSCompartment","__ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES5_","__ZN2js15NativeIterCacheC1Ev","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEEC1Ev","__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEEC1ES4_","__ZN2js9DtoaCacheC1Ev","__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES4_","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEEC1ES6_","__ZN2js18RuntimeAllocPolicyC1EP9JSRuntime","__ZN2jsL12PodArrayZeroIP8JSScriptLj64EEEvRAT0__T_","__ZN13JSCompartmentD2Ev","__ZN2js10Foreground7delete_INS_9MathCacheEEEvPT_","__ZN2js10Foreground7delete_INS_13WatchpointMapEEEvPT_","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEED1Ev","__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEED1Ev","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEED1Ev","__ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEED1Ev","__ZN2js2gc10ArenaListsD1Ev","__ZN13JSCompartment4initEP9JSContext","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE4initEj","__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE4initEj","__ZN9JSRuntime4new_IN3WTF20BumpPointerAllocatorEEEPT_v","__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE4initEj","_JSID_IS_INT844","__ZN2jsL16CastAsPropertyOpEP8JSObject846","__ZN2jsL22CastAsStrictPropertyOpEP8JSObject847","__ZNK8JSObject15isStopIterationEv","__ZN13JSCompartment4wrapEP9JSContextPN2JS5ValueE","__ZNK2JS5Value10isMarkableEv","__ZL25IsCrossCompartmentWrapperP8JSObject","__ZN13JSCompartment4wrapEP9JSContextPP8JSObject","__ZN13JSCompartment4wrapEP9JSContextPP8JSString","__ZN2JSL11StringValueEP8JSString840","__ZN2JSL11ObjectValueER8JSObject841","__ZN13JSCompartment6wrapIdEP9JSContextPi","__ZN2jsL9IdToValueEi845","__ZN13JSCompartment4wrapEP9JSContextPPFiS1_P8JSObjectiPN2JS5ValueEE","__ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiPN2JS5ValueEE","__ZN13JSCompartment4wrapEP9JSContextPPFiS1_P8JSObjectiiPN2JS5ValueEE","__ZN2js17CastAsObjectJsvalEPFiP9JSContextP8JSObjectiiPN2JS5ValueEE","__ZN13JSCompartment4wrapEP9JSContextP20JSPropertyDescriptor","__ZN13JSCompartment4wrapEP9JSContextRN2js12AutoIdVectorE","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv","__ZNK2js2gc12CellIterImpl4doneEv","__ZNK2js2gc12CellIterImpl3getI8JSScriptEEPT_v","__ZNK2js2gc12CellIterImpl3getI8JSObjectEEPT_v","__ZNK2js2gc12CellIterImpl3getINS_5types10TypeObjectEEEPT_v","__ZN8JSScript13clearAnalysisEv","__ZN13JSCompartment28markCrossCompartmentWrappersEP8JSTracer","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC1IS9_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range8popFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD1Ev","__ZN13JSCompartment9markTypesEP8JSTracer","__ZN2js2gc15CellIterUnderGCC1EP13JSCompartmentNS0_9AllocKindE","__ZN2js2gc12CellIterImpl4nextEv","__ZN13JSCompartment5sweepEP9JSContextj","__ZNK2JS5Value9toGCThingEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4Enum11removeFrontEv","__ZN13JSCompartment16sweepBreakpointsEP9JSContext","__ZN2js13MoveArenaPoolEP11JSArenaPoolS1_","__ZN2js9DtoaCache5purgeEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv","__ZNK2js18ThreadContextRange5emptyEv","__ZN2js18ThreadContextRange8popFrontEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3PtrptEv","__ZN13JSCompartment5purgeEP9JSContext","__ZN2js2gc10ArenaLists5purgeEv","__ZN2js15NativeIterCache5purgeEv","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE20destroyIfConstructedEv","__ZN13JSCompartment14allocMathCacheEP9JSContext","__ZN9JSContext4new_IN2js9MathCacheEEEPT_v","__ZNK13JSCompartment13backEdgeCountEPh","__ZNK2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv","__ZN13JSCompartment16incBackEdgeCountEPh","__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE17lookupWithDefaultERKS1_RKj","__ZN13JSCompartment17hasScriptsOnStackEP9JSContext","__ZN13JSCompartment17setDebugModeFromCEP9JSContextb","__ZN13JSCompartment18updateForDebugModeEP9JSContext","__ZN2js18ThreadContextRangeC1EP9JSContext","__ZNK2js18ThreadContextRange5frontEv","__ZN13JSCompartment11addDebuggeeEP9JSContextPN2js12GlobalObjectE","__ZN13JSCompartment14removeDebuggeeEP9JSContextPN2js12GlobalObjectEPNS2_6detail9HashTableIKS4_NS2_7HashSetIS4_NS2_13DefaultHasherIS4_EENS2_17SystemAllocPolicyEE6SetOpsESB_E4EnumE","__ZN13JSCompartment17getBreakpointSiteEPh","__ZN13JSCompartment25getOrCreateBreakpointSiteEP9JSContextP8JSScriptPhP8JSObject","__ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS1_","__ZN9JSRuntime4new_IN2js14BreakpointSiteEP8JSScriptPhEEPT_T0_T1_","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S3_EENS7_13MapHashPolicyES6_E6AddPtrERKS1_RKS3_","__ZNK2js14BreakpointSite7hasTrapEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhPNS_14BreakpointSiteEEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv","__ZN13JSCompartment18clearBreakpointsInEP9JSContextPN2js8DebuggerEP8JSScriptP8JSObject","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumC1ISB_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumD1Ev","__ZN13JSCompartment10clearTrapsEP9JSContextP8JSScript","__ZN13JSCompartment27markTrapClosuresIterativelyEP8JSTracer","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumD2Ev","_js_free864","_js_malloc865","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4EnumC2ISB_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrEPPS6_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E3addERNSD_6AddPtrE","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E12lookupForAddERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj","__ZNK2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_","__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_jEENS5_13MapHashPolicyES4_E6AddPtrERKS1_RKj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE10isLiveHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEC2ERS6_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIPhjEEEC2ERS3_","__ZNK2js7MoveRefINS_12HashMapEntryIPhjEEEptEv","__ZN2js12HashMapEntryIPhjEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE12setCollisionEj","__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_jEE","__ZNK7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE5emptyEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEENS_7MoveRefIT_EERS8_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhjEEEEEC1ERS6_","__ZN2js12HashMapEntryIPhjEaSENS_7MoveRefIS2_EE","__ZN2js4MoveINS_12HashMapEntryIPhjEEEENS_7MoveRefIT_EERS5_","__ZN2js7MoveRefINS_12HashMapEntryIPhjEEEC1ERS3_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhjEEEC2Ev","__ZN2js12HashMapEntryIPhjEC1Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS3_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS5_jNS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS3_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS4_EERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE7destroyEv","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3refEv","__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_ED2Ev","__ZN7mozilla15AlignedStorage2IN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE4addrEv","__ZN3WTF20BumpPointerAllocatorC2Ev","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC2ES7_","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEEC2Ev","__ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC2ES8_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE3asTEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC2IS9_EERT_","__ZNK2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEE3allEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E4initEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj","__ZN3WTF20BumpPointerAllocatorC1Ev","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4initEj","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11createTableERS7_j","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEC1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj","__ZN2js13WatchpointMapD1Ev","__ZN2js13WatchpointMapD2Ev","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED1Ev","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEED2Ev","__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_","__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEEC2ES4_","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC1ES7_","__ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_EC1ES8_","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEEC2ES4_","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEEC2ES6_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_EC1ESA_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_EC2ESA_","__ZN2js2gc8FreeSpanC2Ev","__ZN2js2gc8FreeSpan13encodeOffsetsEjj","__ZNK2js2gc11ArenaHeader7addressEv","_JSID_IS_STRING869","_JSID_TO_STRING870","_JSID_TO_INT872","_JSID_IS_OBJECT873","_JSID_TO_OBJECT874","__ZN2js2gc5Chunk11fromAddressEj","__ZN2jsL8JsvalifyEPNS_5ClassE878","__ZN2js18ThreadContextRangeC2EP9JSContext","__ZN2js2gc8FreeSpan11initAsEmptyEj","__ZNK2js2gc8FreeSpan21arenaAddressUncheckedEv","_JSVAL_TO_GCTHING_IMPL","__ZNK2js2gc8FreeSpan8nextSpanEv","__ZN2js2gc5Arena16firstThingOffsetENS0_9AllocKindE","__ZNK2js2gc10ArenaLists13getFirstArenaENS0_9AllocKindE","_BUILD_JSVAL867","_JSVAL_TO_OBJECT_IMPL868","_INT32_TO_JSVAL_IMPL876","_STRING_TO_JSVAL_IMPL877","__ZNK9JSWrapper5flagsEv","_OBJECT_TO_JSVAL_IMPL879","_JSVAL_IS_OBJECT_IMPL880","_JSVAL_TO_STRING_IMPL881","_JSVAL_IS_STRING_IMPL882","_JSVAL_IS_TRACEABLE_IMPL","__ZN2js18RuntimeAllocPolicyC2EP9JSRuntime","__ZN2js9DtoaCacheC2Ev","__ZN2js12PropertyTreeC2EP13JSCompartment","__ZN2jsL12PodArrayZeroIP8JSObjectLj256EEEvRAT0__T_","__ZNK2js2gc8FreeSpan7isEmptyEv","__ZNK2js2gc8FreeSpan11arenaHeaderEv","__ZN2js2gc11ArenaHeader16setFirstFreeSpanEPKNS0_8FreeSpanE","__ZNK2js2gc8FreeSpan15encodeAsOffsetsEv","__ZNK2js2gc8FreeSpan12arenaAddressEv","__ZNK2js2gc8FreeSpan7hasNextEv","__ZNK2js2gc11ArenaHeader16getFirstFreeSpanEv","__ZNK2js2gc11ArenaHeader12arenaAddressEv","__ZN2js2gc8FreeSpan13decodeOffsetsEjj","__ZN2js2gc8FreeSpanC1Ejj","__ZN2js2gc8FreeSpanC2Ejj","__ZN2js2gc15CellIterUnderGCC2EP13JSCompartmentNS0_9AllocKindE","__ZN2js2gc12CellIterImplC2Ev","__ZN2js2gc12CellIterImpl4initEP13JSCompartmentNS0_9AllocKindE","__ZN2js2gc8FreeSpanC1Ev","__ZN2JSL17ObjectOrNullValueEP8JSObject866","__ZN2JSL10Int32ValueEi871","__ZN2JSL14UndefinedValueEv875","__ZN2js2gc10ArenaListsD2Ev","__ZNK2js2gc11ArenaHeader5chunkEv","__ZN2js7HashMapIN2JS5ValueES2_NS_13WrapperHasherENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIN2JS5ValueES4_EENS_7HashMapIS4_S4_NS_13WrapperHasherENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev","__ZN2js7HashSetIPNS_10EmptyShapeENS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED1Ev","__ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_ED2Ev","__ZN2js6detail9HashTableIKPNS_10EmptyShapeENS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj","__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED1Ev","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED2Ev","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj","__ZN2js7HashMapIPhjNS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhjEENS_7HashMapIS3_jNS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev","__ZN2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_ED2Ev","__ZN2js15NativeIterCacheC2Ev","__ZN2js5crashL8GetStackEPyS1_PNS0_14CrashRegistersEPcj","__ZN2js5crash4Ring10bufferSizeEv","_JS_EnumerateDiagnosticMemoryRegions","__ZN2js2gc10ArenaLists9ArenaList5clearEv","__ZN2js2gc10ArenaListsC2Ev","__ZN2js2gc10ArenaLists9ArenaListC1Ev","__ZN2js2gc10ArenaLists9ArenaListC2Ev","__ZN2js5crash5StackC2Ey","__ZN2js5crash10CrashStackC2Ey","__ZN2js5crash5Stack8snapshotEv","__ZN2js5crash4RingC2Ey","__ZN2js5crash9CrashRingC2Ey","__ZN2js5crash4Ring4pushEyPvj","__ZN2js5crash4Ring9copyBytesEPvj","___cxx_global_var_init888","___cxx_global_var_init1889","___cxx_global_var_init2890","__ZN2js5crash15SnapshotGCStackEv","__ZN2js5crash18SnapshotErrorStackEv","__ZN2js5crash13SaveCrashDataEyPvj","__ZN2js5crash11CrashHeaderC1Ey","__ZN2js5crash11CrashHeaderC2Ey","__GLOBAL__I_a891","__ZL12date_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZL8date_UTCP9JSContextjPN2JS5ValueE","__ZL10date_parseP9JSContextjPN2JS5ValueE","__ZL8date_nowP9JSContextjPN2JS5ValueE","__ZL12date_getTimeP9JSContextjPN2JS5ValueE","__ZL22date_getTimezoneOffsetP9JSContextjPN2JS5ValueE","__ZL12date_getYearP9JSContextjPN2JS5ValueE","__ZL16date_getFullYearP9JSContextjPN2JS5ValueE","__ZL19date_getUTCFullYearP9JSContextjPN2JS5ValueE","__ZL13date_getMonthP9JSContextjPN2JS5ValueE","__ZL16date_getUTCMonthP9JSContextjPN2JS5ValueE","__ZL12date_getDateP9JSContextjPN2JS5ValueE","__ZL15date_getUTCDateP9JSContextjPN2JS5ValueE","__ZL11date_getDayP9JSContextjPN2JS5ValueE","__ZL14date_getUTCDayP9JSContextjPN2JS5ValueE","__ZL13date_getHoursP9JSContextjPN2JS5ValueE","__ZL16date_getUTCHoursP9JSContextjPN2JS5ValueE","__ZL15date_getMinutesP9JSContextjPN2JS5ValueE","__ZL18date_getUTCMinutesP9JSContextjPN2JS5ValueE","__ZL18date_getUTCSecondsP9JSContextjPN2JS5ValueE","__ZL23date_getUTCMillisecondsP9JSContextjPN2JS5ValueE","__ZL12date_setTimeP9JSContextjPN2JS5ValueE","__ZL12date_setYearP9JSContextjPN2JS5ValueE","__ZL16date_setFullYearP9JSContextjPN2JS5ValueE","__ZL19date_setUTCFullYearP9JSContextjPN2JS5ValueE","__ZL13date_setMonthP9JSContextjPN2JS5ValueE","__ZL16date_setUTCMonthP9JSContextjPN2JS5ValueE","__ZL12date_setDateP9JSContextjPN2JS5ValueE","__ZL15date_setUTCDateP9JSContextjPN2JS5ValueE","__ZL13date_setHoursP9JSContextjPN2JS5ValueE","__ZL16date_setUTCHoursP9JSContextjPN2JS5ValueE","__ZL15date_setMinutesP9JSContextjPN2JS5ValueE","__ZL18date_setUTCMinutesP9JSContextjPN2JS5ValueE","__ZL15date_setSecondsP9JSContextjPN2JS5ValueE","__ZL18date_setUTCSecondsP9JSContextjPN2JS5ValueE","__ZL20date_setMillisecondsP9JSContextjPN2JS5ValueE","__ZL23date_setUTCMillisecondsP9JSContextjPN2JS5ValueE","__ZL16date_toGMTStringP9JSContextjPN2JS5ValueE","__ZL19date_toLocaleStringP9JSContextjPN2JS5ValueE","__ZL23date_toLocaleDateStringP9JSContextjPN2JS5ValueE","__ZL23date_toLocaleTimeStringP9JSContextjPN2JS5ValueE","__ZL19date_toLocaleFormatP9JSContextjPN2JS5ValueE","__ZL17date_toDateStringP9JSContextjPN2JS5ValueE","__ZL17date_toTimeStringP9JSContextjPN2JS5ValueE","__ZL16date_toISOStringP9JSContextjPN2JS5ValueE","__ZL11date_toJSONP9JSContextjPN2JS5ValueE","__ZL13date_toSourceP9JSContextjPN2JS5ValueE","__ZL13date_toStringP9JSContextjPN2JS5ValueE","__ZL12date_valueOfP9JSContextjPN2JS5ValueE","__ZL18JSDOUBLE_IS_FINITEd1004","__Z7js_DateP9JSContextjPN2JS5ValueE","__ZN2jsL14IsConstructingEPKN2JS5ValueE1003","__ZL11date_formatP9JSContextd10formatspecPN2JS5ValueE","__ZL11NowAsMillisv","__ZL18js_DoubleToIntegerd1005","__ZL16date_parseStringP14JSLinearStringPdP9JSContext","__ZL15JSDOUBLE_IS_NaNd1014","__ZL17date_msecFromArgsP9JSContextjPN2JS5ValueEPd","__ZL3UTCdP9JSContext","__Z20js_NewDateObjectMsecP9JSContextd","__Z16js_InitDateClassP9JSContextP8JSObject","__ZL12SetDateToNaNP9JSContextP8JSObjectPN2JS5ValueE","__ZL12ATOM_TO_JSIDP6JSAtom1010","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE1011","__ZL10SetUTCTimeP9JSContextP8JSObjectdPN2JS5ValueE","__Z16js_NewDateObjectP9JSContextiiiiii","__ZL17date_msecFromDateddddddd","__Z14js_DateIsValidP9JSContextP8JSObject","__ZL10GetUTCTimeP9JSContextP8JSObjectPN2JS5ValueEPd","__Z14js_DateGetYearP9JSContextP8JSObject","__ZL20GetAndCacheLocalTimeP9JSContextP8JSObjectPN2JS5ValueEPd","__ZL12YearFromTimed","__Z15js_DateGetMonthP9JSContextP8JSObject","__ZL10IsLeapYeari","__ZL13MonthFromTimed","__Z14js_DateGetDateP9JSContextP8JSObject","__ZL12DateFromTimed","__Z15js_DateGetHoursP9JSContextP8JSObject","__ZL12HourFromTimed","__Z17js_DateGetMinutesP9JSContextP8JSObject","__ZL11MinFromTimed","__Z17js_DateGetSecondsP9JSContextP8JSObject","__ZL11SecFromTimed","__Z24js_DateGetMsecSinceEpochP9JSContextP8JSObject","__Z14js_IntervalNowv","__ZL14DaysInFebruaryi","__ZL10DaysInYeari","_DOUBLE_TO_JSVAL_IMPL1020","_INT32_TO_JSVAL_IMPL1019","_JSVAL_TO_INT32_IMPL1021","_JSVAL_IS_DOUBLE_IMPL1022","_JSVAL_IS_UNDEFINED_IMPL1023","_BUILD_JSVAL1025","__ZN2js2gcL15GetGCObjectKindEjb1026","__ZL14FillLocalTimesP9JSContextP8JSObject","__ZNK8JSObject14getDateUTCTimeEv","__ZN2JSL11DoubleValueEd1017","__ZL9LocalTimedP9JSContext","__ZN2JSL10Int32ValueEi1018","__ZL7WeekDayd","__ZL10AdjustTimedP9JSContext","__ZL16DaylightSavingTAdP9JSContext","__ZL20EquivalentYearForDSTi","__ZL7MakeDayddd","__ZL13TimeWithinDayd","__ZN2JSL14UndefinedValueEv1024","__ZN8JSObject14setDateUTCTimeERKN2JS5ValueE","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1027","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1029","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1035","__ZL14JSID_FROM_BITSj1046","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1030","_JSID_IS_INT1042","_JSID_IS_STRING1043","_JSID_TO_FLAT_STRING1044","_MAGIC_TO_JSVAL_IMPL1034","_JSVAL_TO_OBJECT_IMPL1036","_JSVAL_IS_OBJECT_IMPL1037","__ZL26js_IsPropertyCacheDisabledP9JSContext1045","_OBJECT_TO_JSVAL_IMPL1047","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1028","_js_free1031","_js_calloc1032","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1033","__ZN2JSL11ObjectValueER8JSObject1038","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1039","__ZN2js5typesL15HashSetCapacityEj1040","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1041","__ZN2js7unicode8CharInfoEt","__ZL19date_parseISOStringP14JSLinearStringPdP9JSContext","__ZL18date_regionMatchesPKciPKtiii","__ZN2js7unicode11ToLowerCaseEt","__ZL7ndigitsjPjPKtS_j","__ZL10fractionalPdPKtPjj","__ZL6digitsPjPKtS_j","_STRING_TO_JSVAL_IMPL1048","_JSVAL_IS_NUMBER_IMPL1049","_JSVAL_IS_STRING_IMPL1050","_JSVAL_IS_MAGIC_IMPL1051","_JSVAL_IS_PRIMITIVE_IMPL1053","__ZNK16JSAutoByteStringntEv","__ZL11DaysInMonthii","__ZL11new_explodedP8PRMJTimeP9JSContext","__ZL10msFromTimed","__ZL14GetThisUTCTimeP9JSContextPN2JS5ValueEPd","__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE","__ZL13js_IsCallableRKN2JS5ValueE1052","__ZN8JSObject12defaultValueEP9JSContext6JSTypePN2JS5ValueE","__ZL15date_utc_formatP9JSContextPN2JS5ValueEPFvPcjdE","__ZL16print_iso_stringPcjd","__ZN16JSAutoByteStringC1EP9JSContextP8JSString","__ZL19date_toLocaleHelperP9JSContextP8JSObjectPKcPN2JS5ValueE","__ZN16JSAutoByteStringC2EP9JSContextP8JSString","__ZL16print_gmt_stringPcjd","__ZN2jsL8JsvalifyEPNS_10StackFrameE","_JSDOUBLE_IS_NEGZERO1055","_JSVAL_IS_INT32_IMPL1056","_JS_SetRuntimeDebugMode","__ZN2js10StackFrame11setHookDataEPv","__ZL13date_makeTimeP9JSContextjijPN2JS5ValueE","_JSDOUBLE_IS_INT321054","__ZL13date_makeDateP9JSContextjijPN2JS5ValueE","_JS_GetDebugMode","_JS_SetDebugMode","_JS_SetDebugModeForCompartment","__ZN2js19ScriptDebugPrologueEP9JSContextPNS_10StackFrameE","__ZN2js8Debugger12onEnterFrameEP9JSContext","__ZN2js21assertSameCompartmentIP8JSScriptEEvP9JSContextT_","_JSID_IS_INT1059","__ZN2js11GetGSNCacheEP9JSContext","_JS_SetInterrupt","_JS_ClearInterrupt","__ZN2js19ScriptDebugEpilogueEP9JSContextPNS_10StackFrameEb","__ZNK2js10StackFrame13maybeHookDataEv","__ZN2js8Debugger12onLeaveFrameEP9JSContext","_JS_SetSingleStepMode","__ZL14CheckDebugModeP9JSContext","_js_UntrapScriptCode","_JS_SetTrap","_JS_GetTrapOpcode","_JS_ClearTrap","_JS_ClearScriptTraps","_JS_ClearAllTrapsForCompartment","_JS_SetWatchPoint","__ZN2jsL9IdToValueEi1060","__ZN2js15AutoValueRooter3setEN2JS5ValueE","__ZN9JSRuntime4new_IN2js13WatchpointMapEEEPT_v","_JS_LocalNameToAtom","_JS_AtomKey","_JS_EndPC","_JS_GetFunctionArgumentCount","__ZNK2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE6lengthEv","_JS_GetScriptPrincipals","_JS_ClearWatchPoint","_JS_ClearWatchPointsForObject","_JS_ClearAllWatchPoints","_JS_PCToLineNumber","_JS_LineNumberToPC","_JS_GetLinePCs","_JS_FunctionHasLocalNames","__ZNK2js8Bindings13hasLocalNamesEv","_JS_GetFunctionLocalNameArray","_JS_ReleaseFunctionLocalNameArray","_JS_GetFunctionScript","__ZNK10JSFunction11maybeScriptEv","_JS_GetFunctionNative","__ZNK10JSFunction11maybeNativeEv","_JS_FrameIterator","__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1065","_JS_GetFrameScript","_JS_GetFramePC","_JS_GetScriptedCaller","_JS_GetFrameAnnotation","__ZN2jsL13VersionNumberE9JSVersion1066","__ZNK2js10StackFrame15isDebuggerFrameEv","_JS_GetScriptFilename","_JS_GetScriptSourceMap","_JS_GetScriptBaseLineNumber","_JS_SetNewScriptHookProc","_JS_SetDestroyScriptHookProc","_JS_SetFrameAnnotation","_JS_GetFramePrincipalArray","_JS_IsScriptFrame","_JS_GetFrameObject","_JS_GetFrameScopeChain","_JS_GetFrameCallObject","_JS_GetFrameThis","_JS_GetFrameFunction","__ZNK2js10StackFrame8maybeFunEv","_JS_GetFrameFunctionObject","_JS_IsConstructorFrame","_JS_GetFrameCalleeObject","__ZNK2js10StackFrame12maybeCalleevEv","_JS_GetValidFrameCalleeObject","_JS_IsDebuggerFrame","_JS_IsGlobalFrame","_JS_GetFrameReturnValue","__ZN2js10StackFrame11returnValueEv","_JS_SetFrameReturnValue","__ZN2js21assertSameCompartmentIPNS_10StackFrameEN2JS5ValueEEEvP9JSContextT_T0_","__ZN2js10StackFrame14setReturnValueERKN2JS5ValueE","_JS_GetScriptLineExtent","_JS_GetScriptVersion","_JS_EvaluateUCInStackFrame","_JS_EvaluateInStackFrame","_JS_PropertyIterator","__ZNK2js5Shape8writableEv","__ZNK2js5Shape12configurableEv","__ZNK2js5Shape5Range5emptyEv","_JS_SetDebuggerHandler","_JS_SetSourceHandler","_JS_SetExecuteHook","_JS_SetCallHook","_JS_SetThrowHook","_JS_SetDebugErrorHook","_JS_GetPropertyDesc","__ZN2jsL9IdToJsvalEi1067","__ZN2JSL14UndefinedValueEv1068","__ZNK2js5Shape3allEv","_JS_GetPropertyDescArray","__ZNK8JSObject13propertyCountEv","_JS_PutPropertyDescArray","_JS_GetObjectTotalSize","__ZNK8JSObject18slotsAndStructSizeEv","_JS_GetFunctionTotalSize","_JS_UnsafeGetLastProfilingError","_JS_StartProfiling","_JS_StopProfiling","_JS_DumpProfile","_JS_DumpBytecode","__ZL16ControlProfilersb","__ZN8JSScript7regexpsEv","__ZNK8JSObject8isSystemEv","__ZN8JSObject9setSystemEv","_JS_GetGlobalDebugHooks","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_","_BUILD_JSVAL1071","__ZN2js10StackFrame15markReturnValueEv","_JSVAL_IS_OBJECT_IMPL1072","_JSVAL_TO_OBJECT_IMPL1073","__ZNK10JSFunction6nativeEv","__ZNK2js8Bindings15countLocalNamesEv","_JS_GetScriptTotalSize","__ZL16GetAtomTotalSizeP9JSContextP6JSAtom","_JS_IsSystemObject","_JS_MakeSystemObject","_js_RevertVersion","_JS_SetContextDebugHooks","_JS_ClearContextDebugHooks","_JS_PauseProfilers","_JS_ResumeProfilers","_JS_DefineProfilingFunctions","_JS_DumpCompartmentBytecode","__ZL26DumpBytecodeScriptCallbackP9JSContextPvS1_13JSGCTraceKindj","_js_free1069","__ZN2js13WatchpointMapC1Ev","__ZN2js13WatchpointMapC2Ev","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC1ES5_","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_","_js_malloc1070","__ZNK8JSObject10structSizeEv","__ZNK2js5Shape10entryCountEv","_JS_DHashGetStubOps","__ZL14JSID_FROM_BITSj1090","_JS_DHashFinalizeStub","_JSID_IS_STRING1077","_JSID_TO_FLAT_STRING1078","_JSID_TO_STRING1080","_JSID_TO_INT1082","_JSID_IS_OBJECT1083","_JSID_TO_OBJECT1085","_JS_DHashVoidPtrKeyStub","_OBJECT_TO_JSVAL_IMPL1086","_INT32_TO_JSVAL_IMPL1087","_STRING_TO_JSVAL_IMPL1088","_JSVAL_TO_STRING_IMPL1091","_JSVAL_IS_STRING_IMPL1092","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhPNS_14BreakpointSiteEEENS_7HashMapIS3_S5_NS_13DefaultHasherIS3_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESA_E5emptyEv","__ZNK2js10StackFrame11hasHookDataEv","_JS_DHashStringKey","_JS_DHashMatchEntryStub","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1074","__ZN2js5typesL15HashSetCapacityEj1075","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1076","__ZN2JSL11StringValueEP8JSString1079","__ZN2JSL10Int32ValueEi1081","__ZN2JSL11ObjectValueER8JSObject1084","__ZL12ATOM_TO_JSIDP6JSAtom1089","__ZN2JSL9NullValueEv1093","__ZNK2js7HashMapIPhPNS_14BreakpointSiteENS_13DefaultHasherIS1_EENS_18RuntimeAllocPolicyEE5emptyEv","_JS_DHashAllocTable","_JS_DHashFreeTable","_JS_DHashMatchStringKey","_JS_DHashMoveEntryStub","_JS_DHashClearEntryStub","_JS_DHashFreeStringKey","_JS_NewDHashTable","_JS_DHashTableInit","_JS_DHashTableDestroy","_JS_DHashTableFinish","_JS_DHashTableSetAlphaBounds","_JS_DHashTableOperate","__ZL11SearchTableP12JSDHashTablePKvj15JSDHashOperator","__ZL11ChangeTableP12JSDHashTablei","_JS_DHashTableRawRemove","__ZL13FindFreeEntryP12JSDHashTablej","_JS_DHashTableEnumerate","_js_free1094","_js_malloc1095","_js_strtod_harder","__strtod","_js_dtostr","_dtoa","_freedtoa","_js_dtobasestr","_d2b","__ZL6divremP6Bigintj","__ZL7quorem2P6Biginti","_cmp","_lshift","_Bfree","_i2b","_multadd","_diff","_js_NewDtoaState","_newdtoa","_lo0bits","_hi0bits","_js_DestroyDtoaState","_destroydtoa","__Z9dtoa_freePv","__Z11dtoa_mallocj","_Balloc","_js_free1104","_js_malloc1105","_nrv_alloc","_rv_alloc","_pow5mult","_mult","_ulp","_quorem","_s2b","_ratio","_b2d","__ZN13JSTreeContext5traceEP8JSTracer","__ZN15JSCodeGeneratorC2EPN2js6ParserEj","__ZN13JSTreeContextC2EPN2js6ParserE","__ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEEC1EP9JSContext","__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES7_","__ZN13JSGCConstListC1EP9JSContext","__ZN14JSCGObjectListC1Ev","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEC1ES2_","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEC1ES1_","__ZN15JSCodeGenerator4initEP9JSContextN13JSTreeContext12InitBehaviorE","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE4initEv","__ZN13JSTreeContext4initEP9JSContextNS_12InitBehaviorE","__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE9ensureMapEP9JSContext","__ZN15JSCodeGeneratorD2Ev","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEED1Ev","__ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEED1Ev","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEED1Ev","__ZN13JSGCConstListD1Ev","__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev","__ZN13JSTreeContextD2Ev","_js_Emit1","__ZL9EmitCheckP9JSContextP15JSCodeGeneratori","__ZL11UpdateDepthP9JSContextP15JSCodeGeneratori","_js_Emit2","_js_Emit3","_js_Emit5","_js_EmitN","__ZL10GetSpanDepP15JSCodeGeneratorPh","__ZN13JSTreeContext11inStatementE10JSStmtType","__ZNK13JSTreeContext10inFunctionEv","__ZNK2js8Bindings9countVarsEv","__ZN13JSTreeContext18skipSpansGeneratorEj","__ZN13JSTreeContext7blockidEv","__ZN13JSTreeContext10blockChainEv","_js_PopStatement","_js_SetJumpOffset","__ZL17BuildSpanDepTableP9JSContextP15JSCodeGenerator","__ZL16SetSpanDepTargetP9JSContextP15JSCodeGeneratorP9JSSpanDepi","__ZN13JSTreeContext16ensureSharpSlotsEv","__ZN2js8Bindings11addVariableEP9JSContextP6JSAtom","_js_PushStatement","_js_PushBlockScope","_js_PopStatementCG","__ZNK11JSParseNode6isDefnEv","__ZNK13JSTreeContext9callsEvalEv","__ZN15JSCodeGenerator7contextEv","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv","__ZN2js11UpvarCookie3setEtt","__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6lengthEv","__ZL9BackPatchP9JSContextP15JSCodeGeneratoriPhh","_js_DefineCompileTimeConstant","__ZNK11JSParseNode6isKindEN2js9TokenKindE","__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3putERKS2_RKS4_","__ZN2JSL11NumberValueEd1149","_js_LexicalLookup","__ZL12ATOM_TO_JSIDP6JSAtom1150","__ZN15JSCodeGenerator20shouldNoteClosedNameEP11JSParseNode","__ZNK11JSParseNode8isClosedEv","__ZN15JSCodeGenerator12addGlobalUseEP6JSAtomjPN2js11UpvarCookieE","__ZN2js9InlineMapIP6JSAtomjLj24EE12lookupForAddERKS2_","__ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtrcvPPPPPPPS4_Ev","__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtr5valueEv","__ZN2js11UpvarCookie8makeFreeEv","__ZN15JSCodeGenerator13makeAtomIndexEP6JSAtomPj","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js9InlineMapIP6JSAtomjLj24EE3addERNS3_6AddPtrERKS2_RKj","_js_EmitFunctionScript","__ZNK13JSTreeContext19needsEagerArgumentsEv","_js_EmitTree","_INT_TO_JSID1151","_INT_FITS_IN_JSID","__ZNK11JSParseNode7getKindEv","__ZNK11JSParseNode5getOpEv","__ZNK13JSFunctionBox8functionEv","__ZN13JSTreeContext11setFunctionEP10JSFunction","__ZN11JSParseNode16getConstantValueEP9JSContextbPN2JS5ValueE","__ZN2js5types12FixArrayTypeEP9JSContextP8JSObject","__ZN2jsL17GuessObjectGCKindEjb1152","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1153","__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPi","__ZN2js5types13FixObjectTypeEP9JSContextP8JSObject","__ZN16EmitLevelManagerC1EP15JSCodeGenerator","_js_NewSrcNote2","_js_NewSrcNote","__ZNK11JSParseNode7isArityE16JSParseNodeArity","__ZL18EmitFunctionDefNopP9JSContextP15JSCodeGeneratorj","__ZN9JSContext4new_I15JSCodeGeneratorPN2js6ParserEjEEPT_T0_T1_","__ZN2js8Bindings8transferEP9JSContextPS0_","__ZN14JSCGObjectList5indexEP11JSObjectBox","__ZNK2js11UpvarCookie6isFreeEv","__ZNK2js11UpvarCookie4slotEv","__ZNK11JSParseNode4lastEv","__ZN9JSContext7delete_I15JSCodeGeneratorEEvPT_","__ZL11EmitIndexOpP9JSContext4JSOpjP15JSCodeGeneratorPS1_","__ZL14EmitBlockChainP9JSContextP15JSCodeGenerator","__ZL10BindGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeP6JSAtom","__ZN7mozilla9DebugOnlyIN2js11BindingKindEEC1ERKS2_","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE6appendItEEbT_","__ZL15EmitSlotIndexOpP9JSContext4JSOpjjP15JSCodeGenerator","__ZN7mozilla9DebugOnlyIN2js11BindingKindEED1Ev","__ZL14BindNameToSlotP9JSContextP15JSCodeGeneratorP11JSParseNode","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE8clearMapEv","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE10releaseMapEP9JSContext","_js_SetSrcNoteOffset","__ZL8EmitJumpP9JSContextP15JSCodeGenerator4JSOpi","__ZL8EmitGotoP9JSContextP15JSCodeGeneratorP10JSStmtInfoPij13JSSrcNoteType","__ZL10EmitSwitchP9JSContextP15JSCodeGeneratorP11JSParseNodeP10JSStmtInfo","__ZL11EmitTraceOpP9JSContextP15JSCodeGeneratorP11JSParseNode","__ZN12TempPopScopeC1Ev","__ZN12TempPopScope8popBlockEP9JSContextP15JSCodeGenerator","__ZN12TempPopScope11repushBlockEP9JSContextP15JSCodeGenerator","__ZN2jsL15TokenKindIsDeclENS_9TokenKindE","__ZL14EmitAssignmentP9JSContextP15JSCodeGeneratorP11JSParseNode4JSOpS4_","__ZNK11JSParseNode4isOpE4JSOp","__ZL24MaybeEmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePS3_","__ZNK11JSParseNode4exprEv","__ZNK2js11UpvarCookie9asIntegerEv","__ZL12CheckTypeSetP9JSContextP15JSCodeGenerator4JSOp","__ZL10NewTryNoteP9JSContextP15JSCodeGenerator13JSTryNoteKindjjj","__ZL15EmitBackPatchOpP9JSContextP15JSCodeGenerator4JSOpPi","__ZL19EmitKnownBlockChainP9JSContextP15JSCodeGeneratorP11JSObjectBox","__ZL14EmitLeaveBlockP9JSContextP15JSCodeGenerator4JSOpP11JSObjectBox","__ZL21UpdateLineNumberNotesP9JSContextP15JSCodeGeneratorj","__ZL20EmitDestructuringOpsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode","__ZL13EmitVariablesP9JSContextP15JSCodeGeneratorP11JSParseNodeiPi","__ZN11JSParseNode5setOpE4JSOp","__ZNK11JSParseNode25isDirectivePrologueMemberEv","__ZL21EmitNonLocalJumpFixupP9JSContextP15JSCodeGeneratorP10JSStmtInfo","__ZL16CheckSideEffectsP9JSContextP15JSCodeGeneratorP11JSParseNodePi","__ZL17SetBackPatchDeltaP9JSContextP15JSCodeGeneratorPhi","__ZL13GetJumpOffsetP15JSCodeGeneratorPh","__ZL10EmitAtomOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratorPS3_","__ZL11EmitXMLNameP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator","__ZL14EmitNameIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator","__ZNK11JSParseNode7isConstEv","__ZL14EmitPropIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator","__ZL14EmitElemIncDecP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator","__ZL10EmitPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGeneratoriPS3_","__ZL10EmitElemOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator","__ZL10EmitNameOpP9JSContextP15JSCodeGeneratorP11JSParseNodei","__ZL14EmitEnterBlockP9JSContextP11JSParseNodeP15JSCodeGenerator","__ZL15AdjustBlockSlotP9JSContextP15JSCodeGeneratori","__ZL19FitsWithoutBigIndexj","__ZNK15JSCodeGenerator9hasSharpsEv","__ZNK13JSTreeContext12compileAndGoEv","__ZL11EmitNewInitP9JSContextP15JSCodeGenerator10JSProtoKeyP11JSParseNodei","__ZL11EmitEndInitP9JSContextP15JSCodeGeneratorj","__ZN15JSCodeGenerator21checkSingletonContextEv","__ZL24EmitSingletonInitialiserP9JSContextP15JSCodeGeneratorP11JSParseNode","__ZL12EmitNumberOpP9JSContextdP15JSCodeGenerator","__ZN2JSL14UndefinedValueEv1154","__ZNK8JSObject16inDictionaryModeEv","__ZL12EmitObjectOpP9JSContextP11JSObjectBox4JSOpP15JSCodeGenerator","__ZL16OptimizeSpanDepsP9JSContextP15JSCodeGenerator","_js_SrcNoteLength","_js_GetSrcNoteOffset","__ZN14JSCGObjectList6finishEP13JSObjectArray","__ZN16EmitLevelManagerD1Ev","__ZL12AllocSrcNoteP9JSContextP15JSCodeGenerator","_js_NewSrcNote3","_js_AddToSrcNoteDelta","__ZL12GrowSrcNotesP9JSContextP15JSCodeGenerator","__ZL23ReportStatementTooLargeP9JSContextP15JSCodeGenerator","_js_FinishTakingSrcNotes","_js_FinishTakingTryNotes","__ZN7mozilla9DebugOnlyIN2js11BindingKindEED2Ev","__ZN7mozilla9DebugOnlyIN2js11BindingKindEEC2ERKS2_","__ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE7destroyEPjS3_","__ZN2js15ReentrancyGuardC2INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE3endEv","__ZN9JSContext12parseMapPoolEv","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE13copyConstructIjEEvPjPKT_S7_","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZNK2js7MoveRefINS_15GlobalSlotArray5EntryEEcvRS2_Ev","__ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_","__ZN2js7MoveRefINS_15GlobalSlotArray5EntryEEC2ERS2_","__ZN13JSGCConstList6finishEP12JSConstArray","__ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEE","__ZN2js12ParseMapPool7recycleEPv","_js_malloc1159","__ZN2js15ReentrancyGuardC1INS_6VectorIjLj8ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE14internalAppendItEEvT_","__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIjLj8ES1_EEj","_js_realloc1160","__ZN2js10VectorImplIjLj8ENS_15TempAllocPolicyELb1EE13moveConstructIjEEvPjPKT_S7_","__ZN2js15ReentrancyGuardC1INS_6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj16ES3_EEj","__ZN2js4MoveINS_15GlobalSlotArray5EntryEEENS_7MoveRefIT_EERS4_","_js_free1161","__ZN2js7MoveRefINS_15GlobalSlotArray5EntryEEC1ERS2_","__ZN2js15ReentrancyGuardC2INS_6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEEEERT_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE10isLiveHashEj","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrptEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEC2ERS9_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC2ERS6_","__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEptEv","__ZN2js10VectorImplINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js4MoveINS_15GlobalSlotArray5EntryEEENS_7MoveRefIT_EERKS4_","__ZNK2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv","__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEaSENS_7MoveRefIS8_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEENS_7MoveRefIT_EERSB_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEEEC1ERS9_","__ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC1ERS6_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEEC2Ev","__ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEC1Ev","__ZN2js12HashMapEntryIP6JSAtomN2JS5ValueEEC2Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js15ReentrancyGuardC2INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomN2JS5ValueEEEE12setCollisionEj","__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE","__ZNK2js6VectorIPvLj32ENS_17SystemAllocPolicyEE5emptyEv","__ZN2js9InlineMapIP6JSAtomjLj24EE5clearEv","__ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_","__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE8clearMapEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj","__ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomjLj24EEEEEPT_v","__ZN2js12ParseMapPool8allocateEv","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7popCopyEv","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE4backEv","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEE7popBackEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E4initEj","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEED2Ev","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEED2Ev","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEED2Ev","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE10releaseMapEP9JSContext","__ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomjLj24EEE","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEC2ES1_","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEC2ES3_","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEC2ES2_","__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES7_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EC1ESB_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EC2ESB_","__ZN2js20OwnedAtomThingMapPtrINS_15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEEEC2EP9JSContext","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE4initEv","__ZN2js9InlineMapIP6JSAtomjLj24EE12switchAndAddERKS2_RKj","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKj","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEC2ERS4_","__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEptEv","__ZN2js12HashMapEntryIP6JSAtomjEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEENS_7MoveRefIT_EERS9_","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEEEC1ERS7_","__ZN2js12HashMapEntryIP6JSAtomjEaSENS_7MoveRefIS3_EE","__ZN2js4MoveINS_12HashMapEntryIP6JSAtomjEEEENS_7MoveRefIT_EERS6_","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomjEEEC1ERS4_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEEC2Ev","__ZN2js12HashMapEntryIP6JSAtomjEC1Ev","__ZN2js9InlineMapIP6JSAtomjLj24EE11switchToMapEv","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKj","__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS6_jNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomjEEE12setCollisionEj","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_jEE","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5countEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11initializedEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv","__ZL13StatementNameP15JSCodeGenerator","__ZN16EmitLevelManagerD2Ev","__ZL18FindNearestSpanDepP15JSCodeGeneratoriiP9JSSpanDep","__ZNK2js5Shape12inDictionaryEv","_BUILD_JSVAL1162","__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj","__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv","__ZN2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj","__ZN2js9InlineMapIP6JSAtomjLj24EE5countEv","__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5clearEv","__ZNK2js9InlineMapIP6JSAtomjLj24EE6AddPtr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv","__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E6AddPtrE","__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC1EPNS3_10InlineElemEb","__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC2EPNS3_10InlineElemEb","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2Ev","__ZN2js9InlineMapIP6JSAtomjLj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E6AddPtrE","__ZL17UpdateJumpTargetsP12JSJumpTargetii","__ZL15FreeJumpTargetsP15JSCodeGeneratorP12JSJumpTarget","_JSDOUBLE_IS_INT321163","__ZN13JSGCConstList6appendEN2JS5ValueE","__ZN2JSL11DoubleValueEd1164","__ZNK13JSGCConstList6lengthEv","__ZN2js15ReentrancyGuardC2INS_6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEEEERT_","_DOUBLE_TO_JSVAL_IMPL1165","__ZN11JSParseNode7setKindEN2js9TokenKindE","__ZN11JSParseNode8setArityE16JSParseNodeArity","__ZNK11JSParseNode8getArityEv","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_","_JSDOUBLE_IS_NEGZERO1166","_JSVAL_TO_OBJECT_IMPL1167","__ZNK13JSTreeContext12inStrictModeEv","_JSVAL_TO_PRIVATE_PTR_IMPL1169","_JSVAL_IS_UNDEFINED_IMPL1170","__ZNK13JSTreeContext16mutatesParameterEv","__ZL21UpdateDecomposeLengthP15JSCodeGeneratorj","__ZNK11JSParseNode4testEj","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js15ReentrancyGuardC1INS_6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj","__ZN2js10VectorImplIN2JS5ValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN13JSTreeContext16needStrictChecksEv","__ZNK11JSParseNode9frameSlotEv","__ZN2JSL12BooleanValueEb1168","__ZN8JSObject16setBlockOwnShapeEP9JSContext","__ZL14EmitElemOpBaseP9JSContextP15JSCodeGenerator4JSOp","__ZN11JSParseNode9maybeExprEv","__ZL17EmitSpecialPropOpP9JSContextP11JSParseNode4JSOpP15JSCodeGenerator","__ZL9FlushPopsP9JSContextP15JSCodeGeneratorPi","__ZL12OpToDeclType4JSOp","__ZL22EmitDestructuringDeclsP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode","__ZL16MaybeEmitVarDeclP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodePj","__ZL21EmitDestructuringDeclP9JSContextP15JSCodeGenerator4JSOpP11JSParseNode","__ZL26EmitDestructuringOpsHelperP9JSContextP15JSCodeGeneratorP11JSParseNode","__ZL20EmitDestructuringLHSP9JSContextP15JSCodeGeneratorP11JSParseNode","__ZN12TempPopScopeC2Ev","__ZNK11JSParseNode13isInitializedEv","__ZL18EmitBigIndexPrefixP9JSContextP15JSCodeGeneratorj","__ZL19EmitGroupAssignmentP9JSContextP15JSCodeGenerator4JSOpP11JSParseNodeS5_","__ZL25LookupCompileTimeConstantP9JSContextP15JSCodeGeneratorP6JSAtomPN2JS5ValueE","__ZL22AllocateSwitchConstantP9JSContext","__ZL17AddSwitchSpanDepsP9JSContextP15JSCodeGeneratorPh","__ZN13JSTreeContext15asCodeGeneratorEv","__ZNK11JSParseNode6isUsedEv","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE11allocPolicyEv","_JSVAL_IS_OBJECT_IMPL1171","_JSVAL_IS_MAGIC_IMPL1172","__ZNK13JSTreeContext10scopeChainEv","__ZNK2js5Shape16hasDefaultGetterEv","_MAGIC_TO_JSVAL_IMPL1173","__ZNK13JSTreeContext16mightAliasLocalsEv","__ZNK13JSTreeContext3funEv","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEptEv","__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5emptyEv","__ZNK2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5beginEv","__ZNK2js7MoveRefINS_11UpvarCookieEEcvRS1_Ev","__ZN2js7MoveRefINS_11UpvarCookieEEC2ERS1_","__ZL10AddSpanDepP9JSContextP15JSCodeGeneratorPhS3_i","__ZNK2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_","__ZNK2js8Bindings10hasBindingEP9JSContextP6JSAtom","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE","__ZNK11JSParseNode13isDeoptimizedEv","__ZN12JSDefinition4kindEv","__ZNK11JSParseNode10isTopLevelEv","__ZNK12JSDefinition8isGlobalEv","__ZL17TryConvertToGnameP15JSCodeGeneratorP11JSParseNodeP4JSOp","__ZN2js8Bindings8addUpvarEP9JSContextP6JSAtom","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5countEv","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE19growByUninitializedEj","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE16replaceRawBufferEPS1_j","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEEixEj","__ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_","__ZN2js4MoveINS_11UpvarCookieEEENS_7MoveRefIT_EERKS3_","__ZN2js7MoveRefINS_11UpvarCookieEEC1ERS1_","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1178","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1179","__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE8usingMapEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5countEv","__ZN13JSTreeContext8compilerEv","__ZNK2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEE5beginEv","__ZN16EmitLevelManagerC2EP15JSCodeGenerator","_JSVAL_TO_STRING_IMPL1174","_JSVAL_IS_STRING_IMPL1175","_JSVAL_IS_INT32_IMPL1176","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplINS_11UpvarCookieELj8ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj8ES2_EEj","__ZN2js4MoveINS_11UpvarCookieEEENS_7MoveRefIT_EERS3_","__ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5countEv","__ZNK11JSParseNode5isLetEv","__ZL15BindKnownGlobalP9JSContextP15JSCodeGeneratorP11JSParseNodeS4_P6JSAtom","__ZN2js9InlineMapIP6JSAtomjLj24EE6lookupERKS2_","__ZN2js9InlineMapIP6JSAtomjLj24EE3Ptr5valueEv","__ZN2js6VectorINS_15GlobalSlotArray5EntryELj16ENS_15TempAllocPolicyEEixEj","__ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E3PtrE","__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_","__ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC1EPNS3_10InlineElemE","__ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC2EPNS3_10InlineElemE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC1Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE","__ZN2js9InlineMapIP6JSAtomjLj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_jEENS_7HashMapIS2_jNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESC_E3PtrE","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1177","_js_calloc1180","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1181","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1182","__ZL14JSID_FROM_BITSj1189","__ZN2js2gcL15GetGCObjectKindEjb1183","_OBJECT_TO_JSVAL_IMPL1184","_BOOLEAN_TO_JSVAL_IMPL1185","_STRING_TO_JSVAL_IMPL1186","_INT32_TO_JSVAL_IMPL1187","__ZNK13JSTreeContext13usesArgumentsEv","_JSVAL_TO_INT32_IMPL1188","__ZL18BalanceJumpTargetsPP12JSJumpTarget","__ZNK2js11TokenStream11getFilenameEv","__ZN14JSCGObjectListC2Ev","__ZL13AddJumpTargetP17AddJumpTargetArgsPP12JSJumpTarget","_js_GetStackUses","__ZN2JSL10Int32ValueEi1190","__ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEED1Ev","__ZN2js9AtomDeclsD1Ev","__ZN2js9AtomDeclsD2Ev","__ZN2js12ParseMapPool7releaseEPNS_9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EEE","__ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEED2Ev","__ZN2js7HashMapIP6JSAtomN2JS5ValueENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_ED2Ev","__ZN13JSGCConstListD2Ev","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEED2Ev","__ZN2js9AtomDecls4initEv","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE9ensureMapEP9JSContext","__ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEEEPT_v","__ZN2js12ParseMapPool7acquireINS_9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EEEEEPT_v","__ZN13JSGCConstListC2EP9JSContext","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC1ES3_","__ZN2js9AtomDeclsC2EP9JSContext","__ZNK8JSObject7isErrorEv","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEEC2ES3_","__ZN2js9AtomDeclsC1EP9JSContext","__ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEEC1EP9JSContext","__ZN2js20OwnedAtomThingMapPtrINS_14AtomDefnMapPtrEEC2EP9JSContext","__ZL11exn_resolveP9JSContextP8JSObjectijPS2_","__ZL12exn_finalizeP9JSContextP8JSObject","__ZL9exn_traceP8JSTracerP8JSObject","__Z21js_ErrorFromExceptionP9JSContextN2JS5ValueE","_JSVAL_IS_PRIMITIVE","_JSVAL_TO_OBJECT1203","__ZL13GetExnPrivateP8JSObject","__ZL12exn_toSourceP9JSContextjPN2JS5ValueE","__ZL12exn_toStringP9JSContextjPN2JS5ValueE","__Z23js_InitExceptionClassesP9JSContextP8JSObject","__ZL20GetExceptionProtoKeyi","__ZL14InitErrorClassP9JSContextPN2js12GlobalObjectEiR8JSObject","__Z27js_GetLocalizedErrorMessageP9JSContextPvPKcj","__Z19js_ErrorToExceptionP9JSContextPKcP13JSErrorReportPFPK19JSErrorFormatStringPvS2_jES8_","__ZN2jsL12PodArrayZeroIN2JS5ValueELj4EEEvRAT0__T_","_OBJECT_TO_JSVAL1210","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_","_STRING_TO_JSVAL1211","__ZL14InitExnPrivateP9JSContextP8JSObjectP8JSStringS4_jP13JSErrorReporti","__Z26js_ReportUncaughtExceptionP9JSContext","__ZN2jsL12PodArrayZeroIN2JS5ValueELj5EEEvRAT0__T_","_JSVAL_IS_STRING","__ZN16JSAutoByteString5clearEv","__ZN2jsL7PodZeroI13JSErrorReportEEvPT_1214","_JSVAL_TO_STRING","__Z18js_CopyErrorObjectP9JSContextP8JSObjectS2_","_JSVAL_TO_STRING_IMPL1217","_JSVAL_TO_INT32_IMPL1219","_JSVAL_IS_INT32_IMPL1220","_JSVAL_IS_STRING_IMPL1221","__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE5beginEv","__ZL15CopyErrorReportP9JSContextP13JSErrorReport","__ZZ18js_CopyErrorObjectP9JSContextP8JSObjectS2_EN8AutoFreeD2Ev","_js_free1215","_js_malloc1216","__ZL13JSVAL_TO_IMPLN2JS5ValueE1218","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEC1ES2_","__ZN19SuppressErrorsGuardC1EP9JSContext","__ZNK2js10StackFrame11compartmentEv","__ZN2JSL9NullValueEv1222","__ZL12ATOM_TO_JSIDP6JSAtom1223","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE6growByEj","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE4backEv","__ZN2js10StackFrame25forEachCanonicalActualArgI9AppendArgEEbT_jj","__ZN9AppendArgC1ERN2js6VectorIN2JS5ValueELj0ENS0_15TempAllocPolicyEEE","__ZN19SuppressErrorsGuardD1Ev","__ZN2jsL7PodCopyI16JSStackTraceElemEEvPT_PKS2_j","__ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j1224","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC2INS_6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEEEERT_","__ZL14JSID_FROM_BITSj1226","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1232","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1233","__ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_","__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN9AppendArgC2ERN2js6VectorIN2JS5ValueELj0ENS0_15TempAllocPolicyEEE","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE3endEv","__ZNK2js7MoveRefI16JSStackTraceElemEcvRS1_Ev","__ZN2js7MoveRefI16JSStackTraceElemEC2ERS1_","_JSVAL_TO_OBJECT_IMPL1225","_BUILD_JSVAL1227","_STRING_TO_JSVAL_IMPL1229","__ZN2js2gcL15GetGCObjectKindEjb1230","_MAGIC_TO_JSVAL_IMPL1236","__ZN2js15ReentrancyGuardC1INS_6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN19SuppressErrorsGuardD2Ev","__ZN9AppendArgclEjPN2JS5ValueE","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE10growByImplILb1EEEbj","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE10initializeEPS1_S4_","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj0ES2_EEj","__ZN2js4MoveI16JSStackTraceElemEENS_7MoveRefIT_EERS3_","__ZN2js7MoveRefI16JSStackTraceElemEC1ERS1_","__ZN2js10VectorImplI16JSStackTraceElemLj0ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_","__ZN2js4MoveI16JSStackTraceElemEENS_7MoveRefIT_EERKS3_","__ZN19SuppressErrorsGuardC2EP9JSContext","__ZN2js6VectorI16JSStackTraceElemLj0ENS_15TempAllocPolicyEEC2ES2_","__ZL13IMPL_TO_JSVAL12jsval_layout1228","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1231","_js_calloc1234","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1235","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1237","_JSID_IS_INT1246","_JSID_IS_STRING1247","_JSID_TO_FLAT_STRING1248","_JSID_TO_STRING1254","_OBJECT_TO_JSVAL_IMPL1238","_JSVAL_IS_UNDEFINED_IMPL1249","_JSVAL_IS_OBJECT_IMPL1250","_INT32_TO_JSVAL_IMPL1251","_JSVAL_IS_PRIMITIVE_IMPL1252","__ZN2JSL11StringValueEP8JSString1239","__ZN2JSL10Int32ValueEi1240","__ZL9ExceptionP9JSContextjPN2JS5ValueE","__ZN2JSL11ObjectValueER8JSObject1241","__ZN2JSL14UndefinedValueEv1242","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1243","__ZN2js5typesL15HashSetCapacityEj1244","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1245","__ZL16FilenameToStringP9JSContextPKc","__ZL12JSID_IS_ATOMi1253","_INT_TO_JSVAL","__ZL24GetStackTraceValueBufferP12JSExnPrivate","__ZL18StackTraceToStringP9JSContextP12JSExnPrivate","_JS_GetE4XObjectsCreated","_JS_SetProtoCalled","_JS_GetCustomIteratorCount","_JSVAL_TO_GCTHING_IMPL1256","_JSVAL_IS_TRACEABLE_IMPL1257","_JS_GetAnonymousString","_JS_GetCompartmentPrincipals","__ZN2JS23AutoPreserveCompartmentC2EP9JSContext","__ZN2JS23AutoPreserveCompartmentD2Ev","__ZN2JS21AutoSwitchCompartmentD2Ev","_JSVAL_TO_OBJECT_IMPL1258","__ZNK2js10StackFrame17hasOverriddenArgsEv","__ZL18ValueToShortSourceP9JSContextRKN2JS5ValueE","_js_realloc1255","_JSVAL_IS_TRACEABLE","_JSVAL_TO_GCTHING","_JSVAL_TRACE_KIND","_JSVAL_TRACE_KIND_IMPL","_JS_FindCompilationScope","_JS_UnwrapObject","_JS_GetFrameScopeChainRaw","_JS_SplicePrototype","_JS_NewObjectWithUniqueType","_JS_ObjectCountDynamicSlots","__ZNK8JSObject13hasSlotsArrayEv","__ZNK8JSObject15numDynamicSlotsEj","_JS_WrapPropertyDescriptor","__ZN2JS21AutoSwitchCompartmentC2EP9JSContextP13JSCompartment","__ZN2JS21AutoSwitchCompartmentC2EP9JSContextP8JSObject","__Z15js_GetArgsValueP9JSContextPN2js10StackFrameEPN2JS5ValueE","__Z16js_GetArgsObjectP9JSContextPN2js10StackFrameE","_JSID_IS_INT1285","_JSID_TO_INT1286","__ZNK2js10StackFrame16isEvalInFunctionEv","__ZN2js10StackFrame10setArgsObjERNS_15ArgumentsObjectE","__Z18js_GetArgsPropertyP9JSContextPN2js10StackFrameEiPN2JS5ValueE","__ZNK2js10StackFrame12maybeArgsObjEv","__ZNK2js10StackFrame14functionScriptEv","__ZL12JSID_IS_ATOMiP6JSAtom1287","__ZN2js15ArgumentsObject6createEP9JSContextjR8JSObject","__ZN2js10EmptyShape22getEmptyArgumentsShapeEP9JSContext","__ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj1288","__ZN2js15ArgumentsObject16setInitialLengthEj","__ZN2js15ArgumentsObject16setCalleeAndDataER8JSObjectPNS_13ArgumentsDataE","__ZN2js10StackFrame25forEachCanonicalActualArgI6PutArgEEbT_jj","__ZN6PutArgC1EPN2JS5ValueE","__Z16js_PutArgsObjectPN2js10StackFrameE","__ZL16args_delPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZL14args_enumerateP9JSContextP8JSObject","__ZN2jsL20CallObjectLambdaNameEP10JSFunction","__ZN2js10StackFrame27setScopeChainWithOwnCallObjERNS_10CallObjectE","__ZL12args_resolveP9JSContextP8JSObjectijPS2_","__ZL13args_finalizeP9JSContextP8JSObject","__ZL10args_traceP8JSTracerP8JSObject","__ZL20strictargs_enumerateP9JSContextP8JSObject","__ZL18strictargs_resolveP9JSContextP8JSObjectijPS2_","__ZN2js19CreateFunCallObjectEP9JSContextPNS_10StackFrameE","__ZL16NewDeclEnvObjectP9JSContextPN2js10StackFrameE","__ZL12ATOM_TO_JSIDP6JSAtom1293","__ZN2JSL11ObjectValueER8JSObject1294","__ZN2js10CallObject13setStackFrameEPNS_10StackFrameE","__ZN2js20CreateEvalCallObjectEP9JSContextPNS_10StackFrameE","__Z26js_CreateCallObjectOnTraceP9JSContextP10JSFunctionP8JSObjectS4_","__ZNK2js8Bindings9countArgsEv","__Z16js_PutCallObjectPN2js10StackFrameE","__ZN2js10CallObject12setArgumentsERKN2JS5ValueE","__ZNK2js10CallObject9isForEvalEv","__ZN2js10CallObject10copyValuesEjPN2JS5ValueEjS3_","__ZN2js10CallObject6setArgEjRKN2JS5ValueE","__ZN2js10CallObject6setVarEjRKN2JS5ValueE","__ZN2js10CallObject8argArrayEv","__ZN2js10CallObject8varArrayEv","__Z23js_PutCallObjectOnTraceP8JSObjectjPN2JS5ValueEjS3_","__ZN2js10GetCallArgEP9JSContextP8JSObjectiPN2JS5ValueE","__ZNK2js10CallObject15maybeStackFrameEv","__ZNK2js10CallObject3argEj","__ZN2js10SetCallArgEP9JSContextP8JSObjectiiPN2JS5ValueE","__ZNK2js10CallObject17getCalleeFunctionEv","__ZN8JSScript14ensureHasTypesEP9JSContextP10JSFunction","__ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjRKN2JS5ValueE","__ZN2js12GetCallUpvarEP9JSContextP8JSObjectiPN2JS5ValueE","__ZNK2js10CallObject9getCalleeEv","__ZN8JSObject19getFlatClosureUpvarEj","__ZN2js12SetCallUpvarEP9JSContextP8JSObjectiiPN2JS5ValueE","__ZN8JSObject19setFlatClosureUpvarEjRKN2JS5ValueE","__ZN2js10GetCallVarEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN2js10StackFrame7varSlotEj","__ZNK2js10CallObject3varEj","__ZN2js10SetCallVarEP9JSContextP8JSObjectiiPN2JS5ValueE","__ZeqRK8JSObjectS1_","__ZN10JSFunction14compiledFunObjEv","__ZN8JSObject16hasMethodBarrierEv","__ZNK2js5Shape7hasSlotEv","__ZN8JSObject11clearParentEv","__ZN8JSObject9clearTypeEv","__ZN2js5types10TypeScript8SetLocalEP9JSContextP8JSScriptjRKN2JS5ValueE","__ZL12call_resolveP9JSContextP8JSObjectijPS2_","__ZL10call_traceP8JSTracerP8JSObject","__ZN2js10StackFrame20getValidCalleeObjectEP9JSContextPN2JS5ValueE","__ZNK2js10StackFrame12functionThisEv","__ZNK10JSFunction10methodAtomEv","__ZN2js10StackFrame15overwriteCalleeER8JSObject","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1303","__ZNK8JSObject12hasMethodObjERKS_","__Z20js_XDRFunctionObjectP10JSXDRStatePP8JSObject","__Z14js_NewFunctionP9JSContextP8JSObjectPFiS0_jPN2JS5ValueEEjjS2_P6JSAtom","__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrptEv","__ZL13fun_enumerateP9JSContextP8JSObject","__ZL11fun_resolveP9JSContextP8JSObjectijPS2_","__ZL12fun_finalizeP9JSContextP8JSObject","__ZL15fun_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi","__ZL9fun_traceP8JSTracerP8JSObject","__Z18fun_toStringHelperP9JSContextP8JSObjectj","__ZNK2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE6lookupERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv","__ZN7mozilla5MaybeIN2js7HashMapIP10JSFunctionP8JSStringNS1_13DefaultHasherIS4_EENS1_17SystemAllocPolicyEEEE9constructEv","__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE4initEj","__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3putERKS2_RKS4_","__Z11js_fun_callP9JSContextjPN2JS5ValueE","__ZL13js_IsCallableRKN2JS5ValueE1306","__Z12js_fun_applyP9JSContextjPN2JS5ValueE","__ZN2js28CallOrConstructBoundFunctionEP9JSContextjPN2JS5ValueE","__ZN2jsL14IsConstructingEPKN2JS5ValueE1307","__ZNK8JSObject29getBoundFunctionArgumentCountEv","__ZNK8JSObject22getBoundFunctionTargetEv","__ZNK8JSObject20getBoundFunctionThisEv","__ZNK8JSObject24getBoundFunctionArgumentEj","__ZL12fun_toSourceP9JSContextjPN2JS5ValueE","__ZL12fun_toStringP9JSContextjPN2JS5ValueE","__ZL8fun_bindP9JSContextjPN2JS5ValueE","__ZL15fun_isGeneratorP9JSContextjPN2JS5ValueE","__ZNK2js11TokenStream12currentTokenEv","__ZN2JS6AnchorIP8JSStringE3setERKS2_","__ZN2js24CurrentScriptFileAndLineEP9JSContextPjNS_10LineOptionE","__ZN2js18AutoArenaAllocator5allocItEEPT_j","__ZN2js11TokenStream8getTokenEv","__ZL11OnBadFormalP9JSContextN2js9TokenKindE","__ZN2js28IsBuiltinFunctionConstructorEP10JSFunction","__ZN2js34LookupInterpretedFunctionPrototypeEP9JSContextP8JSObject","__ZL35ResolveInterpretedFunctionPrototypeP9JSContextP8JSObject","__ZN2jsL11NewFunctionEP9JSContextP8JSObject","__ZN2js8FunctionEP9JSContextjPN2JS5ValueE","__ZN2jsL3MinIPN2JS5ValueEEET_S4_S4_","__ZNK2js8Bindings11countUpvarsEv","__ZNK2js8Bindings9hasUpvarsEv","__ZNK8JSObject10isDelegateEv","__ZN8JSObject13clearDelegateEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv","__Z22js_CloneFunctionObjectP9JSContextP10JSFunctionP8JSObjectS4_","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_1314","__ZN2js8Debugger11onNewScriptEP9JSContextP8JSScriptP8JSObjectNS0_13NewScriptKindE","__Z19js_AllocFlatClosureP9JSContextP10JSFunctionP8JSObject","__ZN8JSObject20setFlatClosureUpvarsEPN2JS5ValueE","__Z17js_NewFlatClosureP9JSContextP10JSFunction4JSOpj","__Z17js_DefineFunctionP9JSContextP8JSObjectiPFiS0_jPN2JS5ValueEEjj","__ZL12JSID_IS_ATOMi1319","__ZL12JSID_TO_ATOMi1320","__Z18js_ValueToFunctionP9JSContextPKN2JS5ValueEj","__Z22js_ReportIsNotFunctionP9JSContextPKN2JS5ValueEj","__Z24js_ValueToFunctionObjectP9JSContextPN2JS5ValueEj","__Z24js_ValueToCallableObjectP9JSContextPN2JS5ValueEj","__ZNK2js13FrameRegsIter2spEv","__ZNK2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE12lookupForAddERKS2_","__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE10isLiveHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEC2ERS9_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC2ERS6_","__ZNK2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEptEv","__ZNK2js7MoveRefIP10JSFunctionEcvRS2_Ev","__ZNK2js7MoveRefIP8JSStringEcvRS2_Ev","__ZN2js7MoveRefIP8JSStringEC2ERS2_","__ZN2js7MoveRefIP10JSFunctionEC2ERS2_","__ZN2js12HashMapEntryIP10JSFunctionP8JSStringEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEaSENS_7MoveRefIS8_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEENS_7MoveRefIT_EERSB_","_js_free1329","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEEEC1ERS9_","__ZN2js12HashMapEntryIP10JSFunctionP8JSStringEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_12HashMapEntryIP10JSFunctionP8JSStringEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC1ERS6_","__ZN2js4MoveIP10JSFunctionEENS_7MoveRefIT_EERKS4_","__ZN2js4MoveIP8JSStringEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefIP8JSStringEC1ERS2_","__ZN2js7MoveRefIP10JSFunctionEC1ERS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEEC2Ev","__ZN2js12HashMapEntryIP10JSFunctionP8JSStringEC1Ev","_js_malloc1330","__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_17SystemAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1339","__ZN2js13PointerHasherIP10JSFunctionLj2EE5matchERKS2_S5_","__ZN2js13PointerHasherIP10JSFunctionLj2EE4hashERKS2_","_JSID_TO_STRING1332","_JSID_IS_STRING1333","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1340","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP10JSFunctionP8JSStringEEE12setCollisionEj","__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EC2ESB_","__ZNK2js9StackIter2spEv","_JSVAL_TO_PRIVATE_PTR_IMPL1334","_PRIVATE_PTR_TO_JSVAL_IMPL1336","__ZN2js2gcL15GetGCObjectKindEjb1337","__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E4initEj","__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC1ES7_","__ZN2js7HashMapIP10JSFunctionP8JSStringNS_13DefaultHasherIS2_EENS_17SystemAllocPolicyEEC2ES7_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EC1ESB_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP10JSFunctionP8JSStringEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE","__ZN6PutArgclEjPN2JS5ValueE","__ZN2JSL9NullValueEv1331","__ZN2JSL12PrivateValueEPv1335","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1338","_js_calloc1341","__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE1342","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_1343","__ZN2js16CheckScriptOwnerEP8JSScriptP8JSObject","__ZN2jsL16CastAsPropertyOpEP8JSObject1357","__ZN2jsL22CastAsStrictPropertyOpEP8JSObject1358","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE1345","_JSVAL_TO_STRING_IMPL1346","_STRING_TO_JSVAL_IMPL1347","_BOOLEAN_TO_JSVAL_IMPL1349","_PRIVATE_UINT32_TO_JSVAL_IMPL","_JSVAL_TO_INT32_IMPL1351","_JSVAL_IS_INT32_IMPL1352","_JSVAL_TO_PRIVATE_UINT32_IMPL","_JSVAL_IS_MAGIC_IMPL1353","_JSVAL_IS_UNDEFINED_IMPL1354","_JSVAL_IS_NULL_IMPL1355","__ZNK8JSObject15isBoundFunctionEv","_JSVAL_IS_DOUBLE_IMPL1356","__ZNK10JSFunction19isFunctionPrototypeEv","__ZNK10JSFunction8joinableEv","_JSVAL_IS_STRING_IMPL1360","_JSVAL_IS_OBJECT_IMPL1361","_BUILD_JSVAL1362","__ZNK2js10StackFrame19isFloatingGeneratorEv","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE1344","__ZN2JSL12BooleanValueEb1348","__ZN2JSL14UndefinedValueEv1350","__ZN8JSObject17initBoundFunctionEP9JSContextRKN2JS5ValueEPS4_j","__ZN2JSL18PrivateUint32ValueEj","__ZN2JS5Value16setPrivateUint32Ej","__ZNK2JS5Value15toPrivateUint32Ev","__ZN8JSObject27finalizeUpvarsIfFlatClosureEv","__ZNK8JSObject17getThrowTypeErrorEv","__ZL15fun_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1359","__ZNK2js12GlobalObject17getThrowTypeErrorEv","__ZN8JSObject11hasPropertyEP9JSContextiPbj","__ZL18MaybeMarkGeneratorP8JSTracerP8JSObject","__ZN2jsL16GetCallArgumentsEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN8JSScript2idEv","__ZN2js10StackFrame17setOverriddenArgsEv","_JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL1369","_JSVAL_TO_OBJECT_IMPL1370","__ZN2jsL16SetCallArgumentsEP9JSContextP8JSObjectiiPN2JS5ValueE","__ZNK2js10CallObject12getArgumentsEv","__ZN2js5types10TypeScript8SetLocalEP9JSContextP8JSScriptjNS0_4TypeE","__ZN2js5types10TypeScript10LocalTypesEP8JSScriptj","__ZN2js5types7TypeSet7hasTypeENS0_4TypeE","__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1363","__ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1364","__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1365","__ZN2js5typesL15HashSetCapacityEj1366","__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1367","__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_","__ZN2js7analyzeL9LocalSlotEP8JSScriptj1368","__ZN2js5types10TypeScript11SetArgumentEP9JSContextP8JSScriptjNS0_4TypeE","__ZN2js2gc5Arena13staticAssertsEv","__ZN7mozilla9DebugOnlyIP10JSFunctionED2Ev","__ZN7mozilla9DebugOnlyIP10JSFunctionEC2ERKS2_","__ZL14JSID_FROM_BITSj1372","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1379","__ZN2js7analyzeL7ArgSlotEj1371","_INT_TO_JSID1373","__ZN8JSObject17asStrictArgumentsEv","__ZN8JSObject17asNormalArgumentsEv","_MAGIC_TO_JSVAL_IMPL1376","__ZN6PutArgC2EPN2JS5ValueE","_INT32_TO_JSVAL_IMPL1380","_JSVAL_IS_PRIMITIVE_IMPL1381","_OBJECT_TO_JSVAL_IMPL1382","__ZN2js5types10TypeScript8ArgTypesEP8JSScriptj","__ZN7mozilla9DebugOnlyIP10JSFunctionEC1ERKS2_","__ZN7mozilla9DebugOnlyIP10JSFunctionED1Ev","__ZN2js10EmptyShape20getEmptyDeclEnvShapeEP9JSContext","__ZN2js10EmptyShape6ensureEP9JSContextPNS_5ClassEPPS0_","__ZL15StrictArgGetterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL15StrictArgSetterP9JSContextP8JSObjectiiPN2JS5ValueE","__ZN2js15ArgumentsObject10setElementEjRKN2JS5ValueE","__ZNK2js21NormalArgumentsObject6calleeEv","__ZL9ArgGetterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL9ArgSetterP9JSContextP8JSObjectiiPN2JS5ValueE","__ZN2JSL10MagicValueE10JSWhyMagic1374","__ZN2js15ArgumentsObject20markLengthOverriddenEv","__ZN2js21NormalArgumentsObject11clearCalleeEv","__ZN2JSL10Int32ValueEi1375","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1377","__ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_1378","__ZN2js2gcL16AssertValidColorEPKvj1422","__ZN2js6Probes10resizeHeapEP13JSCompartmentjj","__ZN2js2gc11ArenaHeader17setAsNotAllocatedEv","__ZN2js2gc11ArenaHeader4initEP13JSCompartmentNS0_9AllocKindE","__ZNK2js2gc5Chunk18hasAvailableArenasEv","__ZN2js2gc5Chunk23removeFromAvailableListEv","__ZNK2js2gc5Chunk6unusedEv","__ZNK2JS5Value11payloadWordEv","__ZN2js2gc5Chunk4initEv","__ZN2js2gc11ChunkBitmap5clearEv","__ZN2js2gc5Chunk13allocateArenaEP13JSCompartmentNS0_9AllocKindE","__ZN2js20TriggerCompartmentGCEP13JSCompartment","__ZN2js2gc5Chunk12releaseArenaEPNS0_11ArenaHeaderE","__ZN2js2gc5Chunk18addToAvailableListEP13JSCompartment","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6removeERKS3_","__Z20IsAboutToBeFinalizedP9JSContextPKv","__ZNK2js2gc4Cell8isMarkedEj","__Z18js_GCThingIsMarkedPvj","__Z9js_InitGCP9JSRuntimej","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE4initEj","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE4initEj","__ZN9JSRuntime14setGCLastBytesEj18JSGCInvocationKind","__ZN2js28MarkStackRangeConservativelyEP8JSTracerPN2JS5ValueES4_","__ZN2jsL23MarkRangeConservativelyEP8JSTracerPKjS3_","__ZN2js26MarkConservativeStackRootsEP8JSTracer","__ZN2jsL28MarkThreadDataConservativelyEP8JSTracerPNS_10ThreadDataE","__ZN2js24ConservativeGCThreadData14recordStackTopEv","__ZN2jsL3MaxIjEET_S1_S1_","__ZN2jsL3MinIfEET_S1_S1_","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5emptyEv","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range5frontEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv","__ZN9JSRuntime20reduceGCTriggerBytesEj","__ZN13JSCompartment20reduceGCTriggerBytesEj","__Z11js_FinishGCP9JSRuntime","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE5clearEv","__ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3allEv","__Z14ReleaseGCChunkP9JSRuntimePN2js2gc5ChunkE","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5Range8popFrontEv","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE5clearEv","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE5clearEv","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE5clearEv","__Z10js_AddRootP9JSContextPN2JS5ValueEPKc","_js_AddRootRT","__Z17js_AddGCThingRootP9JSContextPPvPKc","_js_AddGCThingRootRT","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3putERKS1_RKS2_","__ZN2js8RootInfoC1EPKc12JSGCRootType","_js_RemoveRoot","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeERKS1_","__Z13js_MapGCRootsP9JSRuntimePFiPv12JSGCRootTypePKcS1_ES1_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev","__ZN13JSCompartment14setGCLastBytesEj18JSGCInvocationKind","__ZN2js2gc10ArenaLists15finalizeObjectsEP9JSContext","__ZN2js2gc10ArenaLists11finalizeNowEP9JSContextNS0_9AllocKindE","__ZN2js2gc10ArenaLists13finalizeLaterEP9JSContextNS0_9AllocKindE","__ZN2js2gc10ArenaLists15finalizeStringsEP9JSContext","__ZN2js2gc10ArenaLists14finalizeShapesEP9JSContext","__ZN2js2gc10ArenaLists15finalizeScriptsEP9JSContext","__ZN7mozilla9DebugOnlyIjEaSERKj","__ZN7mozilla9DebugOnlyIjEppEi","__ZN7mozilla9DebugOnlyIjEmmEi","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrptEv","__ZNK2js2gc11ArenaHeader21getNextDelayedMarkingEv","__ZN2js2gc10ArenaLists14refillFreeListEP9JSContextNS0_9AllocKindE","__ZN2js2gc11IsGCAllowedEP9JSContext","__ZN2js2gcL14RunLastDitchGCEP9JSContext","__ZN2js2gc10ArenaLists17allocateFromArenaEP13JSCompartmentNS0_9AllocKindE","__ZN2js9TriggerGCEP9JSRuntime","__Z22js_GetGCThingTraceKindPv","__ZN2js2gc19GetGCThingTraceKindEPKv","__Z16js_LockGCThingRTP9JSRuntimePv","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE17lookupWithDefaultERKS1_RKj","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrcvMSB_FvvEEv","__Z18js_UnlockGCThingRTP9JSRuntimePv","__ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE6lookupERKS1_","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_jEENS4_13MapHashPolicyES3_E3PtrE","__ZN2js8GCMarkerC2EP9JSContext","__ZN7mozilla9DebugOnlyIjEC1Ev","__ZN2js9MarkStackIP8JSObjectEC1EPPvj","__ZN2js9MarkStackIP6JSRopeEC1EPPvj","__ZN2js9MarkStackIPNS_5types10TypeObjectEEC1EPPvj","__ZN2js9MarkStackIP5JSXMLEC1EPPvj","__ZN2js9MarkStackINS_13LargeMarkItemEEC1EPPvj","__ZN2js8GCMarkerD2Ev","__ZN2js8GCMarker20delayMarkingChildrenEPKv","__ZN2js2gc11ArenaHeader21setNextDelayedMarkingEPNS0_5ArenaE","__ZN2js2gc11ArenaHeader8getArenaEv","__ZN2js8GCMarker19markDelayedChildrenEv","__ZN9JSRuntime6gcZealEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range5frontEv","__ZNK2js2gc18GCCompartmentsIter4doneEv","__ZN2js2gc18GCCompartmentsIter4nextEv","__ZN2jsL19MarkDelayedChildrenEPNS_8GCMarkerEPNS_2gc5ArenaE","__Z18js_TraceStackFrameP8JSTracerPN2js10StackFrameE","__ZN2js19AutoEnumStateRooter5traceEP8JSTracer","__ZN2js11MarkContextEP8JSTracerP9JSContext","__ZN2js12AutoGCRooter5traceEP8JSTracer","__ZN2js11MarkRuntimeEP8JSTracer","__ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3allEv","__ZL17gc_root_traversalP8JSTracerRKN2js12HashMapEntryIPvNS1_8RootInfoEEE","__ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE3allEv","__ZL17gc_lock_traversalRKN2js12HashMapEntryIPvjEEP8JSTracer","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5Range8popFrontEv","__ZN2js2gc18GCCompartmentsIterC1EP9JSRuntime","__ZNK2js2gc18GCCompartmentsIterptEv","__ZN2js10ThreadData4markEP8JSTracer","__ZL11JS_ON_TRACEPK9JSContext1453","__ZN13AutoGCSessionC2EP9JSContext","__ZN13AutoGCSessionD2Ev","__ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE","__ZN2js7MaybeGCEP9JSContext","__ZN2jsL25RecordNativeStackTopForGCEP9JSContext","__ZN2js12TraceRuntimeEP8JSTracer","__ZN2js24AutoCopyFreeListToArenasC1EP9JSRuntime","__ZN2js24AutoCopyFreeListToArenasD1Ev","__ZN2js30IterateCompartmentsArenasCellsEP9JSContextPvPFvS1_S2_P13JSCompartmentEPFvS1_S2_PNS_2gc5ArenaE13JSGCTraceKindjEPFvS1_S2_S2_SA_jE","__ZN2js12AutoUnlockGCC1EP9JSRuntime","__ZN2js22IterateArenaCallbackOpC1EP9JSContextPvPFvS2_S3_PNS_2gc5ArenaE13JSGCTraceKindjES7_j","__ZN2js21IterateCellCallbackOpC1EP9JSContextPvPFvS2_S3_S3_13JSGCTraceKindjES4_j","__ZN2js2gc19ForEachArenaAndCellINS_22IterateArenaCallbackOpENS_21IterateCellCallbackOpEEEvP13JSCompartmentNS0_9AllocKindET_T0_","__ZN2js12AutoUnlockGCD1Ev","__Z5js_GCP9JSContextP13JSCompartment18JSGCInvocationKind","__ZL7GCCycleP9JSContextP13JSCompartment18JSGCInvocationKindRN2js7GCTimerE","__ZN2js2gc10RunDebugGCEP9JSContext","__ZN7mozilla9DebugOnlyIjEC2Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10isLiveHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10isLiveHashEj","__ZNK2js2gc12CellIterImpl7getCellEv","__ZN2js9MarkStackINS_13LargeMarkItemEEC2EPPvj","__ZN2js9MarkStackIP5JSXMLEC2EPPvj","__ZN2js9MarkStackIPNS_5types10TypeObjectEEC2EPPvj","__ZN2js9MarkStackIP6JSRopeEC2EPPvj","__ZN2js9MarkStackIP8JSObjectEC2EPPvj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11underloadedEv","__ZN2js12IterateCellsEP9JSContextP13JSCompartmentNS_2gc9AllocKindEPvPFvS1_S6_S6_13JSGCTraceKindjE","__ZN9JSContext4new_I13JSCompartmentP9JSRuntimeEEPT_T0_","__Z11js_NewGCXMLP9JSContext","__Z10NewGCThingI5JSXMLEPT_P9JSContextN2js2gc9AllocKindEj","_js_realloc1460","_js_malloc1461","__ZN2js22IterateArenaCallbackOpclEPNS_2gc5ArenaE","__ZN2js2gc5Arena11thingsStartENS0_9AllocKindE","__ZN2js21IterateCellCallbackOpclEPNS_2gc4CellE","__ZNK2js2gc5Arena7addressEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isLiveEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5RangeC1EPNS0_14HashTableEntryIS4_EESE_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5RangeC2EPNS0_14HashTableEntryIS4_EESE_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isLiveEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6removeENSA_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6removeERNS0_14HashTableEntryIS4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E16checkUnderloadedEv","__ZN2js2gc14NewCompartmentEP9JSContextP12JSPrincipals","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5hash2Ejjj","__ZN2js11GCPtrHasher5matchEPvS1_","__ZN2js11GCPtrHasher4hashEPv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEC2ERS6_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIPvjEEEC2ERS3_","__ZNK2js7MoveRefINS_12HashMapEntryIPvjEEEptEv","__ZNK2js7MoveRefIPvEcvRS1_Ev","__ZN2js7MoveRefIPvEC2ERS1_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12setCollisionEv","__ZN2js12HashMapEntryIPvjEC2Ev","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12hasCollisionEv","__ZN2js12HashMapEntryIPvjEaSERKS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE9matchHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE9isRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE12setCollisionEj","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_jEE","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11createTableERS7_j","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEENS_7MoveRefIT_EERS8_","_js_free1462","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvjEEEEEC1ERS6_","__ZN2js12HashMapEntryIPvjEaSENS_7MoveRefIS2_EE","__ZN2js4MoveINS_12HashMapEntryIPvjEEEENS_7MoveRefIT_EERS5_","__ZN2js7MoveRefINS_12HashMapEntryIPvjEEEC1ERS3_","__ZN2js4MoveIPvEENS_7MoveRefIT_EERKS3_","__ZN2js7MoveRefIPvEC1ERS1_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEEC2Ev","__ZN2js12HashMapEntryIPvjEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE7setFreeEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6lookupERKS3_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E11prepareHashERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3PtrC1ERNS0_14HashTableEntryIS4_EE","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6lookupERKS3_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5matchERNS0_14HashTableEntryIS4_EERKS3_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS5_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES9_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3Ptr7nonNullEv","__ZN2js8RootInfoC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvjEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12hasCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEC2ERS4_","__ZNK2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEptEv","__ZNK2js7MoveRefINS_8RootInfoEEcvRS1_Ev","__ZN2js7MoveRefINS_8RootInfoEEC2ERS1_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E10isLiveHashEj","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3Ptr5foundEv","__ZNK2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE12lookupForAddERKS1_","__ZN2js7HashMapIPvjNS_11GCPtrHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_jEENS4_13MapHashPolicyES3_E6AddPtrERKS1_RKj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3addERNSA_6AddPtrEPPS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E3addERNSA_6AddPtrE","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E12lookupForAddERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE7setFreeEv","__ZN2js12HashMapEntryIPvNS_8RootInfoEEaSERKS3_","__ZN2js12HashMapEntryIPvNS_8RootInfoEEC1Ev","__ZN2js12HashMapEntryIPvNS_8RootInfoEEC2Ev","__ZN2js8RootInfoC1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEENS_7MoveRefIT_EERS9_","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEC1ERS7_","__ZN2js12HashMapEntryIPvNS_8RootInfoEEaSENS_7MoveRefIS3_EE","__ZN2js4MoveINS_12HashMapEntryIPvNS_8RootInfoEEEEENS_7MoveRefIT_EERS6_","__ZN2js7MoveRefINS_12HashMapEntryIPvNS_8RootInfoEEEEC1ERS4_","__ZN2js4MoveINS_8RootInfoEEENS_7MoveRefIT_EERS3_","__ZN2js7MoveRefINS_8RootInfoEEC1ERS1_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj","__ZN2js13PointerHasherIPvLj2EE5matchERKS1_S4_","__ZN2js13PointerHasherIPvLj2EE4hashERKS1_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12setCollisionEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE9matchHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE9isRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE12setCollisionEj","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S2_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrdeEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEE7setLiveEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_","__ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E3PtrE","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeENSC_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj","__ZNK2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_","__ZN2js7HashMapIPvNS_8RootInfoENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS1_RKS2_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE","__ZNK2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E5clearEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5clearEv","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPvNS_8RootInfoEEEEEEENS_7MoveRefIT_EERKS9_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5clearEv","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10isLiveHashEj","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash1Ejj","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5hash2Ejjj","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEC2Ev","__ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEptEv","__ZNK2js7MoveRefIPNS_2gc5ChunkEEcvRS3_Ev","__ZN2js7MoveRefIPNS_2gc5ChunkEEC2ERS3_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11underloadedEv","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10getKeyHashEv","__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isFreeEv","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEENS_7MoveRefIT_EERKS9_","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEEC1Ev","__ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEC1ERS7_","__ZN2js4MoveIPNS_2gc5ChunkEEENS_7MoveRefIT_EERS5_","__ZN2js7MoveRefIPNS_2gc5ChunkEEC1ERS3_","__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE6isLiveEv","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3allEv","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC1EPNS0_14HashTableEntryIS5_EESF_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5RangeC2EPNS0_14HashTableEntryIS5_EESF_","__ZN2js6detail9HashTableINS_12HashMapEntryIPvjEENS_7HashMapIS3_jNS_11GCPtrHasherENS_17SystemAllocPolicyEE13MapHashPolicyES7_E4initEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPvNS_8RootInfoEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E4initEj","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11createTableERS8_j","__ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6lookupERKS3_","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS3_NS6_6SetOpsES5_E3PtrE","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS5_EE","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E15changeTableSizeEi","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E13findFreeEntryEj","__ZN2js4MoveINS_6detail14HashTableEntryIKPNS_2gc5ChunkEEEEENS_7MoveRefIT_EERS9_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS3_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js12AutoUnlockGCD2Ev","__ZN2js13GCChunkHasher5matchEPNS_2gc5ChunkES3_","__ZN2js13GCChunkHasher4hashEPNS_2gc5ChunkE","__ZN2js6Probes5GCEndEP13JSCompartment","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12setCollisionEv","__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12hasCollisionEv","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE10setRemovedEv","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE7setFreeEv","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE9matchHashEj","__ZNK2js6detail14HashTableEntryIKPNS_2gc5ChunkEE9isRemovedEv","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE12setCollisionEj","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZN2js21IterateCellCallbackOpC2EP9JSContextPvPFvS2_S3_S3_13JSGCTraceKindjES4_j","__ZN2js22IterateArenaCallbackOpC2EP9JSContextPvPFvS2_S3_PNS_2gc5ArenaE13JSGCTraceKindjES7_j","__ZN2js12AutoUnlockGCC2EP9JSRuntime","__ZN2js2gc11ArenaHeader14setAsFullyUsedEv","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3Ptr5foundEv","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS6_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E11prepareHashERS5_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS5_EE","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6lookupERS5_jj","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS5_EERS5_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10isLiveHashEj","__ZN2js24AutoCopyFreeListToArenasD2Ev","__ZN2js2gc10ArenaLists22clearFreeListsInArenasEv","__ZN2js2gc10ArenaLists20clearFreeListInArenaENS0_9AllocKindE","__ZN2js24AutoCopyFreeListToArenasC2EP9JSRuntime","__ZN2js2gc10ArenaLists21copyFreeListsToArenasEv","__ZN2js2gc10ArenaLists19copyFreeListToArenaENS0_9AllocKindE","__ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeD2Ev","__ZL12MarkAndSweepP9JSContext18JSGCInvocationKindRN2js7GCTimerE","__ZL14BeginMarkPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE","__ZN2js2gc10ArenaLists19checkEmptyFreeListsEv","__ZN2js6Probes17GCStartSweepPhaseEP13JSCompartment","__ZN2js6Probes15GCEndSweepPhaseEP13JSCompartment","__ZNK2js2gc10ArenaLists18arenaListsAreEmptyEv","__ZL12EndMarkPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE","__ZL10SweepPhaseP9JSContextPN2js8GCMarkerE18JSGCInvocationKindRNS1_7GCTimerE","__ZNK2js2gc18GCCompartmentsItercvP13JSCompartmentEv","__ZL25ComputeJitReleaseIntervalP9JSContext","__ZL17SweepCompartmentsP9JSContext18JSGCInvocationKind","__ZL14ExpireGCChunksP9JSRuntime18JSGCInvocationKind","__ZN9JSContext7delete_I13JSCompartmentEEvPT_","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6resizeEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE6growByEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE8shrinkByEj","__ZN2js6VectorIP13JSCompartmentLj0ENS_17SystemAllocPolicyEE10growByImplILb1EEEbj","__ZN2js6Probes7GCStartEP13JSCompartment","__ZN2js10VectorImplIP13JSCompartmentLj0ENS_17SystemAllocPolicyELb1EE10initializeEPS2_S5_","__ZNK2js2gc18GCCompartmentsIter3getEv","__ZNK2js6VectorINS_8PropDescELj1ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE5beginEv","__ZNK2js6VectorIP8JSObjectLj8ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js14AutoValueArray6lengthEv","__ZNK2js14AutoValueArray5startEv","_BUILD_JSVAL1463","_JSVAL_TO_OBJECT_IMPL1464","__ZNK2js10AutoLockGC6lockedEv","__ZN2js10AutoLockGC4lockEP9JSRuntime","__Z21GetAvailableChunkListP13JSCompartment","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E10overloadedEv","__ZN2js6detail14HashTableEntryIKPNS_2gc5ChunkEE7setLiveEj","__ZN2js13AutoKeepAtomsD2Ev","__ZN2js13AutoKeepAtomsC2EP9JSRuntime","__ZZ5js_GCP9JSContextP13JSCompartment18JSGCInvocationKindEN11AutoGCProbeC2ES2_","__ZN2js2gc18GCCompartmentsIterC2EP9JSRuntime","__ZN2js2gc5Arena9thingsEndEv","__ZN2js2gc8FreeSpan18infallibleAllocateEj","__ZL9PickChunkP13JSCompartment","__ZN2js2gc8FreeSpan20allocateFromNewArenaEjjj","__Z15AllocateGCChunkP9JSRuntime","__ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE12lookupForAddERKS3_","__ZN2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS3_NS6_6SetOpsES5_E6AddPtrERS9_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS5_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE","__ZNK2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E12lookupForAddERS5_","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableIKPNS_2gc5ChunkENS_7HashSetIS4_NS_13GCChunkHasherENS_17SystemAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js13AutoKeepAtomsC1EP9JSRuntime","__ZN2js13AutoKeepAtomsD1Ev","__ZN2js2gcL14FinalizeArenasEP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZN2js2gc19FinalizeTypedArenasI8JSObjectEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZNK2js2gc11ArenaHeader13hasFreeThingsEv","__ZNK2js2gc8FreeSpan17nextSpanUncheckedEj","__ZN2js2gc19FinalizeTypedArenasI8JSScriptEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZN2js2gc19FinalizeTypedArenasINS_5ShapeEEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZN2js2gc19FinalizeTypedArenasINS_5types10TypeObjectEEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZN2js2gc19FinalizeTypedArenasI5JSXMLEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZN2js2gc19FinalizeTypedArenasI8JSStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZN2js2gc19FinalizeTypedArenasI13JSShortStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZN2js2gc19FinalizeTypedArenasI16JSExternalStringEEvP9JSContextPNS0_10ArenaLists9ArenaListENS0_9AllocKindE","__ZN2js2gc5Arena8finalizeI16JSExternalStringEEbP9JSContextNS0_9AllocKindEj","__ZN13JSShortString8finalizeEP9JSContext","__ZN2js5types10TypeObject8finalizeEP9JSContext","__ZNK16JSExternalString12externalTypeEv","__ZN16JSExternalString8finalizeEP9JSContext","__ZN2js2gc5Arena8finalizeI13JSShortStringEEbP9JSContextNS0_9AllocKindEj","__ZN2js2gc5Arena8finalizeI8JSStringEEbP9JSContextNS0_9AllocKindEj","__ZN8JSString8finalizeEP9JSContext","__ZN2js2gc5Arena8finalizeI5JSXMLEEbP9JSContextNS0_9AllocKindEj","__ZN5JSXML8finalizeEP9JSContext","__ZN2js2gc5Arena8finalizeINS_5types10TypeObjectEEEbP9JSContextNS0_9AllocKindEj","__ZN2js6Probes14finalizeObjectEP8JSObject","__ZN2js2gc5Chunk17withinArenasRangeEj","__ZN2js2gc5Chunk10arenaIndexEj","__ZN2js8RootInfoC2EPKc12JSGCRootType","__ZNK2js2gc11ArenaHeader9allocatedEv","__ZN2js2gc5Arena8finalizeINS_5ShapeEEEbP9JSContextNS0_9AllocKindEj","__ZN2js2gc5Arena8finalizeI8JSScriptEEbP9JSContextNS0_9AllocKindEj","__ZN2js2gc5Arena8finalizeI8JSObjectEEbP9JSContextNS0_9AllocKindEj","__ZN8JSObject8finalizeEP9JSContext","__ZN8JSObject6finishEP9JSContext","__ZN2jsL22MarkWordConservativelyEP8JSTracerj","__ZN2js17MarkIfGCThingWordEP8JSTracerj","__ZNK2js7HashSetIPNS_2gc5ChunkENS_13GCChunkHasherENS_17SystemAllocPolicyEE3hasERKS3_","__ZN2js10InFreeListEPNS_2gc11ArenaHeaderEj","__ZN2js2gc11ChunkBitmap8isMarkedEPKNS0_4CellEj","__ZN2jsL12PodArrayZeroIjLj4032EEEvRAT0__T_","__ZN2js14FindChunkStartEPv","_JSID_IS_STRING1510","__ZN2js12AllocGCChunkEv","__ZL8MapPagesPvj","__ZL10UnmapPagesPvj","__ZN2js11FreeGCChunkEPv","__ZN2js2gc10MarkStringEP8JSTracerP8JSString","__ZN2js2gc4MarkI8JSStringEEvP8JSTracerPT_","__ZN2js2gc10MarkStringEP8JSTracerP8JSStringPKc","__ZN2js2gc10MarkObjectEP8JSTracerR8JSObjectPKc","__ZN2js2gc4MarkI8JSObjectEEvP8JSTracerPT_","__ZN2js2gc26MarkCrossCompartmentObjectEP8JSTracerR8JSObjectPKc","__ZN2js2gc21MarkObjectWithPrinterEP8JSTracerR8JSObjectPFvS2_PcjEPKvj","__ZN2js2gc10MarkScriptEP8JSTracerP8JSScriptPKc","__ZN2js2gc4MarkI8JSScriptEEvP8JSTracerPT_","__ZN2js2gc9MarkShapeEP8JSTracerPKNS_5ShapeEPKc","__ZN2js2gc4MarkIKNS_5ShapeEEEvP8JSTracerPT_","__ZN2js2gc14MarkTypeObjectEP8JSTracerPNS_5types10TypeObjectEPKc","__ZN2js2gc4MarkINS_5types10TypeObjectEEEvP8JSTracerPT_","__ZN2js2gc7MarkXMLEP8JSTracerP5JSXMLPKc","__ZN2js2gc4MarkI5JSXMLEEvP8JSTracerPT_","__ZN2js2gc15MarkObjectRangeEP8JSTracerjPP8JSObjectPKc","__ZN2js2gc12MarkXMLRangeEP8JSTracerjPP5JSXMLPKc","__ZN2js2gc6MarkIdEP8JSTraceri","_JSID_TO_STRING1511","_JSID_IS_OBJECT1512","_JSID_TO_OBJECT1513","__ZNK8JSObject10typeFromGCEv","__ZNK6JSRope10rightChildEv","__ZN2js2gc6MarkIdEP8JSTraceriPKc","__ZN2js2gc11MarkIdRangeEP8JSTracerPiS3_PKc","__ZN2js2gc11MarkIdRangeEP8JSTracerjPiPKc","__ZN2js2gc8MarkKindEP8JSTracerPv13JSGCTraceKind","__ZN2js2gc4MarkINS_5ShapeEEEvP8JSTracerPT_","__ZN2js2gc12MarkValueRawEP8JSTracerRKN2JS5ValueE","__ZNK2JS5Value6gcKindEv","__ZN2js2gc9MarkValueEP8JSTracerRKN2JS5ValueEPKc","__ZN2js2gc25MarkCrossCompartmentValueEP8JSTracerRKN2JS5ValueEPKc","__ZN2js2gc14MarkValueRangeEP8JSTracerPKN2JS5ValueES6_PKc","__ZN2js2gc14MarkValueRangeEP8JSTracerjPKN2JS5ValueEPKc","__ZN2js2gc14MarkShapeRangeEP8JSTracerPPKNS_5ShapeES6_PKc","__ZN2js2gc14MarkShapeRangeEP8JSTracerjPPKNS_5ShapeEPKc","__ZN2js2gc11MarkGCThingEP8JSTracerPv13JSGCTraceKind","__ZN2js2gc11MarkGCThingEP8JSTracerPv","__ZN2js2gc11MarkGCThingEP8JSTracerPvPKc","__ZN2js2gc11MarkGCThingEP8JSTracerPvPKcj","__ZN2js2gc4MarkEP8JSTracerPv13JSGCTraceKindPKc","__ZN2js2gc8MarkRootEP8JSTracerP8JSObjectPKc","__ZN2js2gc8MarkRootEP8JSTracerP8JSStringPKc","__ZN2js2gc8MarkRootEP8JSTracerP8JSScriptPKc","__ZN2js2gc8MarkRootEP8JSTracerPKNS_5ShapeEPKc","__ZN2js2gc8MarkRootEP8JSTracerPNS_5types10TypeObjectEPKc","__ZN2js2gc8MarkRootEP8JSTracerP5JSXMLPKc","__ZN2js2gc12MarkChildrenEP8JSTracerP8JSObject","__ZN2js2gc12MarkChildrenEP8JSTracerP8JSString","__ZN2js11CheckScriptEP8JSScriptS1_","__ZN8JSScript6constsEv","__ZNK2js5Shape14hasGetterValueEv","__ZNK2js5Shape12getterObjectEv","__ZNK2js5Shape14hasSetterValueEv","__ZNK2js5Shape12setterObjectEv","__ZN2js9MarkStackIP6JSRopeE7isEmptyEv","__ZN2js2gc12MarkChildrenEP8JSTracerP8JSScript","__ZN2js2gcL13MarkAtomRangeEP8JSTracerjPP6JSAtomPKc","__ZN2js5types10TypeScript5traceEP8JSTracer","__ZN2js2gc12MarkChildrenEP8JSTracerPKNS_5ShapeE","__ZN2js2gcL27PrintPropertyGetterOrSetterEP8JSTracerPcj","__ZN2js2gcL19PrintPropertyMethodEP8JSTracerPcj","__ZN2js2gc12MarkChildrenEP8JSTracerPNS_5types10TypeObjectE","__ZN2js5types10TypeObject16getPropertyCountEv","__ZN2js5types10TypeObject11getPropertyEj","__ZN2js2gc12MarkChildrenEP8JSTracerP5JSXML","__ZN2js8GCMarker14drainMarkStackEv","__ZN2js8GCMarker16isMarkStackEmptyEv","__ZN2js2gcL16CheckMarkedThingINS_5ShapeEEEvP8JSTracerPT_","__ZN2js9MarkStackIP6JSRopeE3popEv","__ZN2js9MarkStackIP8JSObjectE7isEmptyEv","__ZN2js9MarkStackIP8JSObjectE3popEv","__ZN2js9MarkStackIPNS_5types10TypeObjectEE7isEmptyEv","__ZN2js9MarkStackIPNS_5types10TypeObjectEE3popEv","__ZN2js9MarkStackIP5JSXMLE7isEmptyEv","__ZN2js9MarkStackIP5JSXMLE3popEv","__ZN2js9MarkStackINS_13LargeMarkItemEE7isEmptyEv","__ZN2js9MarkStackINS_13LargeMarkItemEE4peekEv","__ZNK2js8GCMarker12getMarkColorEv","__ZN2js2gcL8ScanRopeEPNS_8GCMarkerEP6JSRope","__ZN2js2gcL10ScanObjectEPNS_8GCMarkerEP8JSObject","__ZN2js2gcL14ScanTypeObjectEPNS_8GCMarkerEPNS_5types10TypeObjectE","__ZN2js2gcL15ScanLargeObjectEPNS_8GCMarkerERNS_13LargeMarkItemE","__ZN2js9MarkStackINS_13LargeMarkItemEE3popEv","_JS_TraceChildren","__ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPKNS_5ShapeE","__ZN2js2gcL16AssertValidColorEPKvj1536","__ZN2js2gcL16CheckMarkedThingI5JSXMLEEvP8JSTracerPT_","__ZN2js2gcL16CheckMarkedThingINS_5types10TypeObjectEEEvP8JSTracerPT_","__ZN2js2gcL16CheckMarkedThingIKNS_5ShapeEEEvP8JSTracerPT_","__ZN2js2gcL16CheckMarkedThingI8JSScriptEEvP8JSTracerPT_","__ZN2js2gcL16CheckMarkedThingI8JSObjectEEvP8JSTracerPT_","__ZN2js2gcL16CheckMarkedThingI8JSStringEEvP8JSTracerPT_","_JSID_IS_INT1542","_JSID_TO_INT1543","__ZL23js_RegenerateShapeForGCP9JSRuntime","__ZN2js9MarkStackIP8JSObjectE4pushES2_","__ZN2js9MarkStackIP5JSXMLE4pushES2_","__ZN2js9MarkStackIPNS_5types10TypeObjectEE4pushES3_","_JSVAL_TO_OBJECT_IMPL1537","_JSVAL_TO_STRING_IMPL1538","__ZNK8JSObject11hasOwnShapeEv","__ZN2js13LargeMarkItemC2EP8JSObject","__ZN2js9MarkStackIP6JSRopeE4pushES2_","__ZN2js5types10TypeScript8hasScopeEv","__ZN2js2gcL9ScanShapeEPNS_8GCMarkerEPKNS_5ShapeE","__ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSString","__ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSObject","__ZN2js8GCMarker10pushObjectEP8JSObject","__ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP5JSXML","__ZN2js8GCMarker7pushXMLEP5JSXML","__ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEPNS_5types10TypeObjectE","__ZN2js8GCMarker8pushTypeEPNS_5types10TypeObjectE","__ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP8JSScript","__ZN2js2gcL9ScanValueEPNS_8GCMarkerERKN2JS5ValueE","__ZN2js2gcL13PushMarkStackEPNS_8GCMarkerEP10JSFunction","__ZN2js9MarkStackINS_13LargeMarkItemEE4pushES1_","__ZN2js13LargeMarkItemC1EP8JSObject","__ZN8JSObject9scanSlotsEPN2js8GCMarkerE","__ZN2js8GCMarker8pushRopeEP6JSRope","__ZN2js5typesL15HashSetCapacityEj1539","__ZL12JSID_TO_ATOMi1540","__ZL12JSID_IS_ATOMi1541","__ZN2js2gcL16CheckMarkedThingI6JSAtomEEvP8JSTracerPT_","__ZN2js2gcL19MapAllocToTraceKindENS0_9AllocKindE1544","_JSVAL_IS_STRING_IMPL1546","_JSVAL_TO_GCTHING_IMPL1547","_JSVAL_IS_TRACEABLE_IMPL1548","_JS_GetGCInfoEnabled","_JS_SetGCInfoEnabled","_JS_GCInfoFront","_JS_GCInfoPopFront","__ZN9JSRuntime6GCData14isTimerEnabledEv","__ZN9JSRuntime6GCData13setFirstEnterEy","__ZN2js2gc4MarkI6JSAtomEEvP8JSTracerPT_","_JSVAL_TRACE_KIND_IMPL1545","__ZN2js7GCTimerC2EP9JSRuntimeP13JSCompartment","__ZN2js7GCTimer15clearTimestampsEv","__ZN2js7GCTimer13getFirstEnterEv","__ZN2js7GCTimer6finishEb","_JS_NewHashTable","_JS_HashTableDestroy","_JS_HashTableRawLookup","_JS_CompareValues","_JS_HashString","_JS_HashTableRawAdd","__ZL6ResizeP11JSHashTablej","_JS_HashTableAdd","_JS_HashTableRawRemove","_JS_HashTableRemove","_JS_HashTableLookup","_JS_HashTableEnumerateEntries","_JS_HashTableDump","__ZL17DefaultAllocTablePvj","__ZL16DefaultFreeTablePvS_j","__ZL17DefaultAllocEntryPvPKv","__ZL16DefaultFreeEntryPvP11JSHashEntryj","_js_free1566","_js_malloc1567","__ZN2js5types11TypeFailureEP9JSContextPKcz","__ZNK2js5types7TypeSet18isDefinitePropertyEv","__ZNK2js5types7TypeSet12definiteSlotEv","__ZN2js5types15TypeCompartment5printEP9JSContextb","__ZN2js5types7TypeSet4makeEP9JSContextPKc","__ZN2js8ArenaNewINS_5types7TypeSetEEEPT_R11JSArenaPool","__ZN2js5types15TypeCompartment19setPendingNukeTypesEP9JSContext","__ZN2js5types7TypeSet5printEP9JSContext","__ZN2js5types7TypeSet14getObjectCountEv","__ZN2js5types7TypeSet9getObjectEj","__ZN2js5types4Type10ObjectTypeEPNS0_13TypeObjectKeyE","__ZN2js5types7TypeSet9addSubsetEP9JSContextPS1_","__ZN2js5types7TypeSet3addEP9JSContextPNS0_14TypeConstraintEb","__ZN2js8ArenaNewI20TypeConstraintSubsetPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_","__ZN2js5types7TypeSet14addGetPropertyEP9JSContextP8JSScriptPhPS1_i","__ZN2js8ArenaNewI18TypeConstraintPropP8JSScriptPhPNS_5types7TypeSetEibEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_","__ZN2js5types7TypeSet14addSetPropertyEP9JSContextP8JSScriptPhPS1_i","__ZN2js7analyze14ScriptAnalysis9getCallPCEPh","__ZN2js8ArenaNewI22TypeConstraintCallPropP8JSScriptPhiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_","__ZN2js5types7TypeSet13addSetElementEP9JSContextP8JSScriptPhPS1_S7_","__ZN2js8ArenaNewI24TypeConstraintSetElementP8JSScriptPhPNS_5types7TypeSetES7_EEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_","__ZN2js5types7TypeSet7addCallEP9JSContextPNS0_12TypeCallsiteE","__ZN2js8ArenaNewI18TypeConstraintCallPNS_5types12TypeCallsiteEEEPT_R11JSArenaPoolRKT0_","__ZN2js5types7TypeSet8addArithEP9JSContextPS1_S4_","__ZN2js8ArenaNewI19TypeConstraintArithPNS_5types7TypeSetES4_EEPT_R11JSArenaPoolRKT0_RKT1_","__ZN2js5types7TypeSet16addTransformThisEP9JSContextP8JSScriptPS1_","__ZN2js8ArenaNewI27TypeConstraintTransformThisP8JSScriptPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_","__ZN2js5types7TypeSet15addCallPropertyEP9JSContextP8JSScriptPhi","__ZN2js8ArenaNewI27TypeConstraintPropagateThisP8JSScriptPhNS_5types4TypeEPNS5_7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_","__ZN2js5types7TypeSet19addFilterPrimitivesEP9JSContextPS1_NS1_10FilterKindE","__ZN2js8ArenaNewI29TypeConstraintFilterPrimitivePNS_5types7TypeSetENS3_10FilterKindEEEPT_R11JSArenaPoolRKT0_RKT1_","__ZN2js7analyze14ScriptAnalysis17pruneTypeBarriersEP9JSContextj","__ZL17GetSingletonShapeP9JSContextP8JSObjecti","__ZN2js7analyze14ScriptAnalysis17breakTypeBarriersEP9JSContextjb","__ZN2js7analyze14ScriptAnalysis20breakTypeBarriersSSAEP9JSContextRKNS0_8SSAValueE","__ZN2js5types7TypeSet16addSubsetBarrierEP9JSContextP8JSScriptPhPS1_","__ZN2js8ArenaNewI27TypeConstraintSubsetBarrierP8JSScriptPhPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_","__ZN2js5types7TypeSet16addLazyArgumentsEP9JSContextPS1_","__ZN2js8ArenaNewI27TypeConstraintLazyArgumentsPNS_5types7TypeSetEEEPT_R11JSArenaPoolRKT0_","__ZN2js5types7TypeSet16addPropagateThisEP9JSContextP8JSScriptPhNS0_4TypeEPS1_","__ZNK2js5types4Type11isPrimitiveE11JSValueType","__ZN2js5types7TypeSet21hasPropagatedPropertyEv","__ZL21UnknownPropertyAccessP8JSScriptN2js5types4TypeE","__ZL25MarkPropertyAccessUnknownP9JSContextP8JSScriptPhPN2js5types7TypeSetE","__ZL9id_lengthP9JSContext","__ZN2js5types4Type9Int32TypeEv","__ZL17GetPropertyObjectP9JSContextP8JSScriptN2js5types4TypeE","__ZL14PropertyAccessP9JSContextP8JSScriptPhPN2js5types10TypeObjectEbPNS5_7TypeSetEi","__ZN2js5types10TypeObject17getFromPrototypesEP9JSContextiPNS0_7TypeSetEb","__ZN18TypeConstraintProp7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN2js5types15TypeCompartment15monitorBytecodeEP9JSContextP8JSScriptjb","__ZN22TypeConstraintCallProp7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZNK2js5types4Type12singleObjectEv","__ZN24TypeConstraintSetElement7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN18TypeConstraintCall7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZNK2js5types4Type14isSingleObjectEv","__ZN2js5types4Type10ObjectTypeEPNS0_10TypeObjectE","__ZN2js5types10TypeScript9ThisTypesEP8JSScript","__ZN2js5types10TypeScript11ReturnTypesEP8JSScript","__ZN27TypeConstraintPropagateThis7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN19TypeConstraintArith7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZNK2js5types7TypeSet10hasAnyFlagEj","__ZN2js5types4Type10StringTypeEv","__ZL25GetValueTypeFromTypeFlagsj","__ZNK2js5types7TypeSet13unknownObjectEv","__ZN2js5types10TypeObject11hasAnyFlagsEj","__ZN27TypeConstraintTransformThis7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN2js5types10TypeScript12StandardTypeEP9JSContextP8JSScript10JSProtoKey","__ZN2js5types7TypeSet9addFreezeEP9JSContext","__ZN2js8ArenaNewI20TypeConstraintFreezeP8JSScriptEEPT_R11JSArenaPoolRKT0_","__ZN2js5types7TypeSet15getKnownTypeTagEP9JSContext","__ZN2js8ArenaNewI27TypeConstraintFreezeTypeTagP8JSScriptEEPT_R11JSArenaPoolRKT0_","__ZN2js5types7TypeSet14hasObjectFlagsEP9JSContextj","__ZN2js5types7TypeSet13getTypeObjectEj","__ZN2js5types7TypeSet15getSingleObjectEj","__ZN2js8ArenaNewI34TypeConstraintFreezeObjectFlagsSetP8JSScriptjEEPT_R11JSArenaPoolRKT0_RKT1_","__ZN2js5types7TypeSet14HasObjectFlagsEP9JSContextPNS0_10TypeObjectEj","__ZNK2js5types7TypeSet13isOwnPropertyEb","__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptjEEPT_R11JSArenaPoolRKT0_RKT1_","__ZN8JSScript17ensureRanAnalysisEP9JSContextP10JSFunctionP8JSObject","__ZN2js7analyze14ScriptAnalysis7getCodeEPKh","__ZNK2JS5Value12isMagicCheckE10JSWhyMagic","__ZN2js5types7TypeSet22WatchObjectStateChangeEP9JSContextPNS0_10TypeObjectE","__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptiEEPT_R11JSArenaPoolRKT0_RKT1_","__ZN2js5types7TypeSet13isOwnPropertyEP9JSContextPNS0_10TypeObjectEb","__ZN2js5types20MarkArgumentsCreatedEP9JSContextP8JSScript","__ZL24CheckNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunction","__ZN2js8ArenaNewI31TypeConstraintFreezeOwnPropertyP8JSScriptbEEPT_R11JSArenaPoolRKT0_RKT1_","__ZN2js5types7TypeSet13knownNonEmptyEP9JSContext","__ZN2js5types7TypeSet17getTypedArrayTypeEP9JSContext","__ZN2js5types7TypeSet12getSingletonEP9JSContextb","__ZN2js5types7TypeSet15hasGlobalObjectEP9JSContextP8JSObject","__ZL13TypeHasGlobalN2js5types4TypeEP8JSObject","__ZN2js8ArenaNewI26TypeConstraintFreezeGlobalP8JSScriptP8JSObjectEEPT_R11JSArenaPoolRKT0_RKT1_","___cxx_global_var_init1667","__ZN2js5types10TypeObjectC1EP8JSObjectbb","__ZN2js5types15TypeCompartment4initEP9JSContext","__ZN2jsL7PodZeroINS_5types15TypeCompartmentEEEvPT_","__ZN2js5types15TypeCompartment13newTypeObjectEP9JSContextP8JSScript10JSProtoKeyP8JSObjectb","__Z10NewGCThingIN2js5types10TypeObjectEEPT_P9JSContextNS0_2gc9AllocKindEj","__ZN2js5types10TypeObject15setFlagsFromKeyEP9JSContext10JSProtoKey","__ZN2js5types15TypeCompartment19addPendingRecompileEP9JSContextP8JSScript","__ZN2jsL3MaxIjEET_S1_S1_1674","__ZNK8JSScript6globalEv","__ZN2js5types15TypeCompartment27newAllocationSiteTypeObjectEP9JSContextRKNS0_17AllocationSiteKeyE","__ZN9JSContext4new_IN2js7HashMapINS1_5types17AllocationSiteKeyEPNS3_10TypeObjectES4_NS1_17SystemAllocPolicyEEEEEPT_v","__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE4initEj","__ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE12lookupForAddERKS2_","__ZN2js5types10TypeObject21addDefinitePropertiesEP9JSContextP8JSObject","__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKS4_","__ZN2js5types10UseNewTypeEP9JSContextP8JSScriptPh","__ZL9GetAtomIdP9JSContextP8JSScriptPKhj","__ZL12id_prototypeP9JSContext","__ZN2js5types15TypeCompartment16growPendingArrayEP9JSContext","__ZN2js5types15TypeCompartment24processPendingRecompilesEP9JSContext","__ZN9JSContext7delete_IN2js6VectorIP8JSScriptLj0ENS1_15TempAllocPolicyEEEEEvPT_","__ZN2js5types15TypeCompartment9nukeTypesEP9JSContext","__ZL17ObjectStateChangeP9JSContextPN2js5types10TypeObjectEbb","__ZN2js7analyzeL11ExtendedDefEPh1682","__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE6lengthEv","__ZN8JSScript11hasAnalysisEv","__ZN2js7analyze14ScriptAnalysis12ranInferenceEv","__ZNK2js5types4TypeeqES1_","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEC1ES4_","__ZN2js2gc8CellIterC1EP9JSContextP13JSCompartmentNS0_9AllocKindE","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_","__ZN2js2gc8CellIterD1Ev","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEixEj","__ZN2js5types10TypeScript11NumTypeSetsEP8JSScript","__ZN2js7analyzeL11GetDefCountEP8JSScriptj1681","__ZN2js7analyze14ScriptAnalysis11pushedTypesEPKhj","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEED1Ev","__ZN2js7analyze14ScriptAnalysis14addTypeBarrierEP9JSContextPKhPNS_5types7TypeSetENS6_4TypeE","__ZN2js5types15TypeCompartment15markSetsUnknownEP9JSContextPNS0_10TypeObjectE","__ZN2js5typesL12TypeIdStringEi","__ZN2js5types15TypeCompartment11compartmentEv","__ZNK2js5types4TypeneES1_","__ZN2js8ArenaNewINS_5types11TypeBarrierEPNS1_7TypeSetENS1_4TypeEP8JSObjectiEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_","__ZN2js7analyze14ScriptAnalysis23addSingletonTypeBarrierEP9JSContextPKhPNS_5types7TypeSetEP8JSObjecti","__ZL15InferSpewActiveN2js5types11SpewChannelE","__ZN9JSContext4new_IN2js7HashMapINS1_5types13ArrayTableKeyEPNS3_10TypeObjectES4_NS1_17SystemAllocPolicyEEEEEPT_v","__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE4initEj","__ZL20GetValueTypeForTableP9JSContextRKN2JS5ValueE","__ZL11NumberTypesN2js5types4TypeES1_","__ZN2js5types13ArrayTableKeyC1Ev","__ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv","__ZN2js7analyze14ScriptAnalysis10printTypesEP9JSContext","__ZN2js5types15TypeCompartment12fixArrayTypeEP9JSContextP8JSObject","_JSID_IS_EMPTY","_JSID_IS_VOID1691","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv","__ZN2js5types7TypeSet21setPropagatedPropertyEv","__ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiNS0_4TypeE","__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13relookupOrAddERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKS4_","__ZN9JSContext4new_IN2js7HashMapINS1_5types14ObjectTableKeyENS3_16ObjectTableEntryES4_NS1_17SystemAllocPolicyEEEEEPT_v","__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE4initEj","__ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE12lookupForAddERKP8JSObject","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv","__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS5_13MapHashPolicyES4_E6AddPtrERKS2_RKS3_","__ZN2js5types10TypeObject11addPropertyEP9JSContextiPPNS0_8PropertyE","__ZN2js8ArenaNewINS_5types8PropertyEiEEPT_R11JSArenaPoolRKT0_","__ZN2js5types15TypeCompartment13fixObjectTypeEP9JSContextP8JSObject","__ZN2js5types16TypeObjectStringEPNS0_10TypeObjectE","__ZN2js5types7TypeSet11setDefiniteEj","__ZL18UpdatePropertyTypeP9JSContextPN2js5types7TypeSetEP8JSObjectPKNS1_5ShapeEb","__ZN8JSObject11isFixedSlotEj","__ZN2js5types10TypeObject23matchDefinitePropertiesEP8JSObject","__ZN2js5types10TypeObject15addPropertyTypeEP9JSContextiRKN2JS5ValueE","__ZN2js5types10TypeObject15addPropertyTypeEP9JSContextPKcNS0_4TypeE","__ZL12ATOM_TO_JSIDP6JSAtom1694","__ZN2js5types10TypeObject15addPropertyTypeEP9JSContextPKcRKN2JS5ValueE","__ZN2js5types10TypeObject22markPropertyConfiguredEP9JSContexti","__ZN2js5types10TypeObject15markStateChangeEP9JSContext","__ZN2js5types10TypeObject8setFlagsEP9JSContextj","__ZN2js5types10TypeObject11markUnknownEP9JSContext","__Z21InlineAddTypePropertyP9JSContextPN2js5types10TypeObjectEiNS2_4TypeE","__ZN2js7analyzeL7ArgSlotEj1706","__ZN2js7analyze14ScriptAnalysis16addsScopeObjectsEv","__ZN2jsL20CallObjectLambdaNameEP10JSFunction1708","__ZN2js5types10TypeObject14clearNewScriptEP9JSContext","__ZN2js5types10TypeObject5printEP9JSContext","__ZN2js7analyze14ScriptAnalysis17resolveNameAccessEP9JSContextib","__ZN2jsL7PodZeroINS_7analyze14ScriptAnalysis10NameAccessEEEvPT_","__ZL12JSID_IS_ATOMi1703","__ZL12JSID_TO_ATOMi1704","__ZN8JSScript18ensureRanInferenceEP9JSContext","__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1705","__ZN2js7analyzeL9LocalSlotEP8JSScriptj1707","__ZN2js7analyze14ScriptAnalysis20analyzeTypesBytecodeEP9JSContextjRNS1_18TypeInferenceStateE","__ZN2js10ArenaArrayINS_5types7TypeSetEEEPT_R11JSArenaPoolj","__ZN2jsL7PodZeroINS_5types7TypeSetEEEvPT_j","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_","__ZN2js5types4Type11BooleanTypeEv","__ZN2js5types4Type8NullTypeEv","__ZL15GetScriptObjectP9JSContextP8JSScriptPKhj","__ZN2js7analyze14ScriptAnalysis11poppedTypesEPKhj","__ZN2js7analyze14ScriptAnalysis13bytecodeTypesEPKh","__ZL13CheckNextTestPh","__ZN2js7analyzeL15GetBytecodeSlotEP8JSScriptPh1709","__ZN2js7analyzeL10TotalSlotsEP8JSScript1710","__ZN2js5types4Type12LazyArgsTypeEv","__ZN2js7analyzeL11GetUseCountEP8JSScriptj1711","__ZN2js8ArenaNewINS_5types12TypeCallsiteEP9JSContextP8JSScriptPhbjEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_RKT3_RKT4_","__ZL18GetInitializerTypeP9JSContextP8JSScriptPh","__ZL12id___proto__P9JSContext","__ZN2js12GlobalObject29getOrCreateGeneratorPrototypeEP9JSContext","__ZN2js7analyze14ScriptAnalysis3OOMEv","__ZN2js7analyze14ScriptAnalysis6ranSSAEv","__ZNK2js7analyze14ScriptAnalysis14usesScopeChainEv","__ZN2js7analyze14ScriptAnalysis12extendsScopeEv","__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE6lengthEv","__ZN2js7analyze14ScriptAnalysis16localsAliasStackEv","__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE6lengthEv","__ZNK8JSScript16hasClearedGlobalEv","__ZL19DetachNestingParentP8JSScript","__ZN2js7analyze14ScriptAnalysis18TypeInferenceStateC1EP9JSContext","__ZN2js7analyzeL17GetBytecodeLengthEPh1712","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEixEj","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEC1ES3_","__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextRKNS0_8SSAValueEPNS_6VectorIS4_Lj0ENS_15TempAllocPolicyEEE","__ZN2js7analyze8SSAValue11PushedValueEjj","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEED1Ev","__ZN2js7analyze14ScriptAnalysis18TypeInferenceStateD1Ev","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEixEj","__ZN2js7analyze14ScriptAnalysis12analyzeTypesEP9JSContext","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js7analyze14ScriptAnalysis23followEscapingArgumentsEP9JSContextPNS0_11SSAUseChainEPNS_6VectorINS0_8SSAValueELj0ENS_15TempAllocPolicyEEE","__ZN2js7analyze8SSAValue8PhiValueEjPNS0_10SSAPhiNodeE","__ZN2js7analyze8SSAValue10WrittenVarEjj","__ZN2js7analyze17AutoEnterAnalysisC1EP9JSContext","__ZN2js7analyze17AutoEnterAnalysisD1Ev","__ZN9JSContext4new_IN2js5types10TypeResultEjNS2_4TypeEEEPT_T0_T1_","__ZN2js5types19TypeMonitorCallSlowEP9JSContextP8JSObjectRKNS_8CallArgsEb","__ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptRKN2JS5ValueE","__ZN2JSL14UndefinedValueEv1713","__ZN2js5types23MarkIteratorUnknownSlowEP9JSContext","__ZN9JSContext4new_IN2js5types10TypeResultEiNS2_4TypeEEEPT_T0_T1_","__ZN2js5types10TypeScript8SetScopeEP9JSContextP8JSScriptP8JSObject","__ZNK10JSFunction13isNullClosureEv","__ZN9JSContext4new_IN2js5types17TypeScriptNestingEEEPT_v","__ZN2js5types17TypeScriptNestingD2Ev","__ZN2js5types17TypeDynamicResultEP9JSContextP8JSScriptPhNS0_4TypeE","__ZN2js5types17TypeMonitorResultEP9JSContextP8JSScriptPhRKN2JS5ValueE","__ZN2js5types18ClearActiveNestingEP8JSScript","__ZN2js5types15NestingPrologueEP9JSContextPNS_10StackFrameE","__ZN2js5typesL18CheckNestingParentEP9JSContextP8JSObjectP8JSScript","__ZN2js5types15NestingEpilogueEPNS_10StackFrameE","__ZN8JSScript9makeTypesEP9JSContextP10JSFunction","__ZN2js5types10TypeScriptC1EP10JSFunction","__ZN8JSScript12makeAnalysisEP9JSContext","__ZN2js8ArenaNewINS_7analyze14ScriptAnalysisEP8JSScriptEEPT_R11JSArenaPoolRKT0_","__ZN8JSScript15typeSetFunctionEP9JSContextP10JSFunctionb","__ZN8JSObject21shouldSplicePrototypeEP9JSContext","__ZN8JSObject15splicePrototypeEP9JSContextPS_","__ZN2js2gc12EmptyArenaOpEPNS0_5ArenaE","__ZNK8JSObject18hasSpecialEqualityEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range5frontEv","__ZN8JSObject11makeNewTypeEP9JSContextP10JSFunctionb","__Z16SweepTypeObjectsP9JSContextP13JSCompartment","__ZN17SweepTypeObjectOpC1EP9JSContext","__ZN2js2gc19ForEachArenaAndCellIPFvPNS0_5ArenaEE17SweepTypeObjectOpEEvP13JSCompartmentNS0_9AllocKindET_T0_","__ZN2js5types15TypeCompartment5sweepEP9JSContext","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC1IS9_EERT_","__ZN8JSObject12makeLazyTypeEP9JSContext","_JSID_IS_STRING1730","_JSID_TO_STRING1731","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv","__ZN2js18ArenaAllocatedSizeERK11JSArenaPool","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4Enum11removeFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5Range8popFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev","__ZN2js5types15TypeCompartmentD2Ev","__ZN2js10Foreground7delete_INS_7HashMapINS_5types13ArrayTableKeyEPNS3_10TypeObjectES4_NS_17SystemAllocPolicyEEEEEvPT_","__ZN2js10Foreground7delete_INS_7HashMapINS_5types14ObjectTableKeyENS3_16ObjectTableEntryES4_NS_17SystemAllocPolicyEEEEEvPT_","__ZN2js10Foreground7delete_INS_7HashMapINS_5types17AllocationSiteKeyEPNS3_10TypeObjectES4_NS_17SystemAllocPolicyEEEEEvPT_","__ZN2js5types10TypeScript5SweepEP9JSContextP8JSScript","__ZN2js5types7TypeSet5sweepEP9JSContextP13JSCompartment","__ZN2js5typesL20IsAboutToBeFinalizedEP9JSContextPNS0_13TypeObjectKeyE","__ZN9JSContext7delete_IN2js5types10TypeResultEEEvPT_","__ZN2js5types10TypeScript7destroyEv","__ZN2js10Foreground7delete_INS_5types10TypeResultEEEvPT_","__ZN2js10Foreground7delete_INS_5types17TypeScriptNestingEEEvPT_","_JS_GetTypeInferenceMemoryStats","__ZN2js5types14TypeConstraint16newPropertyStateEP9JSContextPNS0_7TypeSetE","__ZN2js5types14TypeConstraint14newObjectStateEP9JSContextPNS0_10TypeObjectEb","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E13allocatedSizeEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13allocatedSizeEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13allocatedSizeEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12hasCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv","__ZL20GetScriptMemoryStatsP8JSScriptP24TypeInferenceMemoryStats","__ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13allocatedSizeEv","__ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13allocatedSizeEv","__ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE13allocatedSizeEv","_JS_GetTypeInferenceObjectStats","__ZN2js5types10TypeObject11dynamicSizeEv","_js_free1736","__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED1Ev","__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS7_EEj","__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEED1Ev","__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E12destroyTableERS8_PNS0_14HashTableEntryIS6_EEj","__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED1Ev","__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS7_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE7setFreeEv","__ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEaSERKS5_","__ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEC1Ev","__ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEC2Ev","__ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_1737","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEC2ERS9_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEC2ERS6_","__ZNK2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEptEv","__ZNK2js7MoveRefINS_5types17AllocationSiteKeyEEcvRS2_Ev","__ZNK2js7MoveRefIPNS_5types10TypeObjectEEcvRS3_Ev","__ZN2js7MoveRefIPNS_5types10TypeObjectEEC2ERS3_","__ZN2js7MoveRefINS_5types17AllocationSiteKeyEEC2ERS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE12setCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12hasCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11underloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE14unsetCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEaSENS_7MoveRefIS8_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEENS_7MoveRefIT_EERSB_","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS4_10TypeObjectEEEEEEC1ERS9_","__ZN2js12HashMapEntryINS_5types17AllocationSiteKeyEPNS1_10TypeObjectEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS2_10TypeObjectEEEEC1ERS6_","__ZN2js4MoveINS_5types17AllocationSiteKeyEEENS_7MoveRefIT_EERKS4_","__ZN2js4MoveIPNS_5types10TypeObjectEEENS_7MoveRefIT_EERS5_","__ZN2js7MoveRefIPNS_5types10TypeObjectEEC1ERS3_","__ZN2js7MoveRefINS_5types17AllocationSiteKeyEEC1ERS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEEC2Ev","_js_malloc1738","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_","__ZNK2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3allEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS7_EESG_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS7_EESG_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6removeERNS0_14HashTableEntryIS6_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE7setFreeEv","__ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEaSERKS4_","__ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEC1Ev","__ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEC2Ev","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isLiveEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E16checkUnderloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10isLiveHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEC2ERS8_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEC2ERS5_","__ZNK2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEptEv","__ZNK2js7MoveRefINS_5types14ObjectTableKeyEEcvRS2_Ev","__ZNK2js7MoveRefINS_5types16ObjectTableEntryEEcvRS2_Ev","__ZN2js7MoveRefINS_5types16ObjectTableEntryEEC2ERS2_","__ZN2js7MoveRefINS_5types14ObjectTableKeyEEC2ERS2_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12setCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12hasCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10getKeyHashEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEaSENS_7MoveRefIS7_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEENS_7MoveRefIT_EERSA_","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS4_16ObjectTableEntryEEEEEEC1ERS8_","__ZN2js12HashMapEntryINS_5types14ObjectTableKeyENS1_16ObjectTableEntryEEaSENS_7MoveRefIS4_EE","__ZN2js4MoveINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEENS_7MoveRefIT_EERS7_","__ZN2js7MoveRefINS_12HashMapEntryINS_5types14ObjectTableKeyENS2_16ObjectTableEntryEEEEC1ERS5_","__ZN2js4MoveINS_5types14ObjectTableKeyEEENS_7MoveRefIT_EERKS4_","__ZN2js4MoveINS_5types16ObjectTableEntryEEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefINS_5types16ObjectTableEntryEEC1ERS2_","__ZN2js7MoveRefINS_5types14ObjectTableKeyEEC1ERS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4EnumC2IS9_EERT_","__ZNK2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE3allEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC1EPNS0_14HashTableEntryIS6_EESF_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5RangeC2EPNS0_14HashTableEntryIS6_EESF_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS7_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE7setFreeEv","__ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEaSERKS5_","__ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC1Ev","__ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC2Ev","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isLiveEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEC2ERS9_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEC2ERS6_","__ZNK2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEptEv","__ZNK2js7MoveRefINS_5types13ArrayTableKeyEEcvRS2_Ev","__ZN2js7MoveRefINS_5types13ArrayTableKeyEEC2ERS2_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12setCollisionEv","__ZN8JSObject14revertLazyTypeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEaSENS_7MoveRefIS8_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEENS_7MoveRefIT_EERSB_","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS4_10TypeObjectEEEEEEC1ERS9_","__ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS2_10TypeObjectEEEEC1ERS6_","__ZN2js4MoveINS_5types13ArrayTableKeyEEENS_7MoveRefIT_EERKS4_","__ZN2js7MoveRefINS_5types13ArrayTableKeyEEC1ERS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_","__ZNK2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE3allEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS7_EESG_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS7_EESG_","__ZN17SweepTypeObjectOpclEPN2js2gc4CellE","__ZN2js5types10TypeObject5sweepEP9JSContext","__ZN2js5types10TypeObject15clearPropertiesEv","__ZN2js5typesL15HashSetCapacityEj1739","__ZN2js8ArenaNewINS_5types8PropertyES2_EEPT_R11JSArenaPoolRKT0_","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZNK2js7MoveRefINS_7analyze8SSAValueEEcvRS2_Ev","__ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_","__ZN2js5typesL13HashSetInsertIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_1740","__ZN2jsL7PodZeroIPNS_5types8PropertyEEEvPT_j1741","__ZN2js5typesL16HashSetInsertTryIiNS0_8PropertyES2_EEPPT0_P13JSCompartmentRS5_RjT_1742","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1743","__ZN2js5types8PropertyC1ERKS1_","__ZN2js5types8PropertyC2ERKS1_","__ZN2js7analyze14ScriptAnalysisC1EP8JSScript","__ZN2js7analyze14ScriptAnalysisC2EP8JSScript","__ZN2jsL7PodZeroINS_7analyze14ScriptAnalysisEEEvPT_","__ZN2js5types17TypeScriptNestingC1Ev","__ZN2js5types17TypeScriptNestingC2Ev","__ZN2jsL7PodZeroINS_5types17TypeScriptNestingEEEvPT_","__ZN2js5types10TypeResultC1EjNS0_4TypeE","__ZN2js5types10TypeResultC2EjNS0_4TypeE","__ZN2js15ReentrancyGuardC1INS_6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj0ES3_EEj","__ZN2js4MoveINS_7analyze8SSAValueEEENS_7MoveRefIT_EERS4_","__ZN2js15ReentrancyGuardC2INS_6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_","__ZN2js15ReentrancyGuardC2INS_6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv","__ZN2js7MoveRefINS_7analyze8SSAValueEEC2ERS2_","__ZNK2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEE5beginEv","__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE7setLiveEj","__ZN2js7MoveRefINS_7analyze8SSAValueEEC1ERS2_","__ZN2js10VectorImplINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js4MoveINS_7analyze8SSAValueEEENS_7MoveRefIT_EERKS4_","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEED2Ev","__ZN2js6VectorINS_7analyze8SSAValueELj0ENS_15TempAllocPolicyEEC2ES3_","__ZN2js5types12TypeCallsiteC1EP9JSContextP8JSScriptPhbj","__ZN2js5types12TypeCallsiteC2EP9JSContextP8JSScriptPhbj","__ZN2js10ArenaArrayIPNS_5types7TypeSetEEEPT_R11JSArenaPoolj","__ZN2js15ReentrancyGuardC1INS_6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_","__ZNK2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj0ES4_EEj","_js_realloc1744","__ZN2js10VectorImplIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_","__ZN2js5types8PropertyC1Ei","__ZN2js5types8PropertyC2Ei","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS6_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKP8JSObject","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS6_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEEE12setCollisionEj","__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S3_EE","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_EC2ES8_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS5_16ObjectTableEntryEEENS_7HashMapIS6_S7_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKP8JSObject","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKP8JSObjectjj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS6_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS6_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS6_EERKP8JSObject","__ZN2js5types14ObjectTableKey5matchERKS1_P8JSObject","__ZN2js5types14ObjectTableKey4hashEP8JSObject","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj","__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEEC1ES4_","__ZN2js7HashMapINS_5types14ObjectTableKeyENS1_16ObjectTableEntryES2_NS_17SystemAllocPolicyEEC2ES4_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types14ObjectTableKeyENS3_16ObjectTableEntryEEENS_7HashMapIS4_S5_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES8_EC1ES8_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E13relookupOrAddERNSC_6AddPtrERKS4_RKS7_","__ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC1ERKS2_RKS4_","__ZN2js12HashMapEntryINS_5types13ArrayTableKeyEPNS1_10TypeObjectEEC2ERKS2_RKS4_","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrERKS7_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_","__ZN2js15ReentrancyGuardC2INS_6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js10VectorImplIP8JSScriptLj0ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE7setLiveEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEEE12setCollisionEj","__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS7_EE","__ZNK2js5types4Type3rawEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_","__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_","__ZNK2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS7_EERKS4_","__ZN2js5types13ArrayTableKey5matchERKS1_S3_","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj","__ZN2js5types13ArrayTableKey4hashERKS1_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj","__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC1ES5_","__ZN2js7HashMapINS_5types13ArrayTableKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types13ArrayTableKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_","__ZN2js5types11TypeBarrierC1EPNS0_7TypeSetENS0_4TypeEP8JSObjecti","__ZN2js5types11TypeBarrierC2EPNS0_7TypeSetENS0_4TypeEP8JSObjecti","__ZN2js15ReentrancyGuardC1INS_6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_","__ZNK2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj0ES4_EEj","__ZN2js10VectorImplIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEED2Ev","__ZN2js6VectorIPNS_5types7TypeSetELj0ENS_15TempAllocPolicyEEC2ES4_","__ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorIP8JSScriptLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN31TypeConstraintFreezeOwnProperty7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN31TypeConstraintFreezeObjectFlags7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEEE7setLiveEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC2ES9_","__ZN2js5types14TypeConstraintC2EPKc","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS7_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS5_10TypeObjectEEENS_7HashMapIS6_S8_S6_NS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj","__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC1ES5_","__ZN2js7HashMapINS_5types17AllocationSiteKeyEPNS1_10TypeObjectES2_NS_17SystemAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_5types17AllocationSiteKeyEPNS3_10TypeObjectEEENS_7HashMapIS4_S6_S4_NS_17SystemAllocPolicyEE13MapHashPolicyES9_EC1ES9_","__ZN26TypeConstraintFreezeGlobalC1EP8JSScriptP8JSObject","__ZN26TypeConstraintFreezeGlobalC2EP8JSScriptP8JSObject","__ZN26TypeConstraintFreezeGlobal7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN31TypeConstraintFreezeOwnPropertyC1EP8JSScriptb","__ZN31TypeConstraintFreezeOwnPropertyC2EP8JSScriptb","__ZN31TypeConstraintFreezeOwnProperty16newPropertyStateEP9JSContextPN2js5types7TypeSetE","__ZN31TypeConstraintFreezeObjectFlagsC1EP8JSScriptj","__ZN31TypeConstraintFreezeObjectFlagsC2EP8JSScriptj","__ZN31TypeConstraintFreezeObjectFlags14newObjectStateEP9JSContextPN2js5types10TypeObjectEb","__ZN34TypeConstraintFreezeObjectFlagsSetC1EP8JSScriptj","__ZN34TypeConstraintFreezeObjectFlagsSetC2EP8JSScriptj","__ZN34TypeConstraintFreezeObjectFlagsSet7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN2js8ArenaNewI31TypeConstraintFreezeObjectFlagsP8JSScriptjPbEEPT_R11JSArenaPoolRKT0_RKT1_RKT2_","__ZN27TypeConstraintLazyArguments7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN31TypeConstraintFreezeObjectFlagsC1EP8JSScriptjPb","__ZN31TypeConstraintFreezeObjectFlagsC2EP8JSScriptjPb","__ZN27TypeConstraintFreezeTypeTagC1EP8JSScript","__ZN27TypeConstraintFreezeTypeTagC2EP8JSScript","__ZN27TypeConstraintFreezeTypeTag7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN20TypeConstraintFreezeC1EP8JSScript","__ZN20TypeConstraintFreezeC2EP8JSScript","__ZN20TypeConstraintFreeze7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN27TypeConstraintLazyArgumentsC1EPN2js5types7TypeSetE","__ZN27TypeConstraintLazyArgumentsC2EPN2js5types7TypeSetE","__ZN27TypeConstraintLazyArguments14newObjectStateEP9JSContextPN2js5types10TypeObjectEb","__ZN27TypeConstraintSubsetBarrierC1EP8JSScriptPhPN2js5types7TypeSetE","__ZN27TypeConstraintSubsetBarrierC2EP8JSScriptPhPN2js5types7TypeSetE","__ZN27TypeConstraintSubsetBarrier7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN29TypeConstraintFilterPrimitiveC1EPN2js5types7TypeSetENS2_10FilterKindE","__ZN29TypeConstraintFilterPrimitiveC2EPN2js5types7TypeSetENS2_10FilterKindE","__ZN29TypeConstraintFilterPrimitive7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN27TypeConstraintPropagateThisC1EP8JSScriptPhN2js5types4TypeEPNS4_7TypeSetE","__ZN27TypeConstraintPropagateThisC2EP8JSScriptPhN2js5types4TypeEPNS4_7TypeSetE","__ZN27TypeConstraintTransformThisC1EP8JSScriptPN2js5types7TypeSetE","__ZN27TypeConstraintTransformThisC2EP8JSScriptPN2js5types7TypeSetE","__ZN19TypeConstraintArithC1EPN2js5types7TypeSetES3_","__ZN19TypeConstraintArithC2EPN2js5types7TypeSetES3_","__ZN18TypeConstraintCallC1EPN2js5types12TypeCallsiteE","__ZN18TypeConstraintCallC2EPN2js5types12TypeCallsiteE","__ZN24TypeConstraintSetElementC1EP8JSScriptPhPN2js5types7TypeSetES6_","__ZN24TypeConstraintSetElementC2EP8JSScriptPhPN2js5types7TypeSetES6_","__ZN22TypeConstraintCallPropC1EP8JSScriptPhi","__ZN22TypeConstraintCallPropC2EP8JSScriptPhi","__ZN18TypeConstraintPropC1EP8JSScriptPhPN2js5types7TypeSetEib","__ZN18TypeConstraintPropC2EP8JSScriptPhPN2js5types7TypeSetEib","__ZN20TypeConstraintSubsetC1EPN2js5types7TypeSetE","__ZN20TypeConstraintSubsetC2EPN2js5types7TypeSetE","__ZN20TypeConstraintSubset7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN2js5types7TypeSet11dynamicSizeEv","__ZN2js2gcL16AssertValidColorEPKvj1749","__ZN17SweepTypeObjectOpC2EP9JSContext","__ZN2js5types10TypeScriptC2EP10JSFunction","_BUILD_JSVAL1750","__ZN2js7analyze17AutoEnterAnalysis5leaveEv","__ZN2js7analyze17AutoEnterAnalysisC2EP9JSContext","__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1745","__ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1746","__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1747","__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1748","__ZN2js5types10TypeScript7SetThisEP9JSContextP8JSScriptNS0_4TypeE","__ZN2js7analyze17AutoEnterAnalysisD2Ev","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1751","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEC1ES4_","__ZN2js2gcL15GetGCObjectKindEjb1752","__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE5beginEv","__ZN2js5types13TypeNewScript11InitializerC1ENS2_4KindEj","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE6appendIS3_EEbT_","__ZN2jsL7PodCopyINS_5types13TypeNewScript11InitializerEEEvPT_PKS4_j","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEED1Ev","__ZL26AnalyzeNewScriptPropertiesP9JSContextPN2js5types10TypeObjectEP10JSFunctionPP8JSObjectPNS1_6VectorINS2_13TypeNewScript11InitializerELj0ENS1_15TempAllocPolicyEEE","__ZN2js15ReentrancyGuardC2INS_6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE7destroyEPS3_S6_","__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js7MoveRefINS_5types13TypeNewScript11InitializerEEcvRS3_Ev","__ZN2js7MoveRefINS_5types13TypeNewScript11InitializerEEC2ERS3_","__ZN2js5types13TypeNewScript11InitializerC2ENS2_4KindEj","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS3_Lj0ES4_EEj","__ZN2js4MoveINS_5types13TypeNewScript11InitializerEEENS_7MoveRefIT_EERS5_","__ZN2js7MoveRefINS_5types13TypeNewScript11InitializerEEC1ERS3_","__ZN2js10VectorImplINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyELb0EE13moveConstructIS3_EEvPS3_PKT_SA_","__ZN2js4MoveINS_5types13TypeNewScript11InitializerEEENS_7MoveRefIT_EERKS5_","__ZL14id_constructorP9JSContext","__ZN2js8ArenaNewI33TypeConstraintClearDefiniteSetterPNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_","__ZN2js8ArenaNewI33TypeConstraintClearDefiniteSinglePNS_5types10TypeObjectEEEPT_R11JSArenaPoolRKT0_","__ZN33TypeConstraintClearDefiniteSingleC1EPN2js5types10TypeObjectE","__ZN33TypeConstraintClearDefiniteSingleC2EPN2js5types10TypeObjectE","__ZN33TypeConstraintClearDefiniteSingle7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN33TypeConstraintClearDefiniteSetterC1EPN2js5types10TypeObjectE","__ZN33TypeConstraintClearDefiniteSetterC2EPN2js5types10TypeObjectE","__ZN33TypeConstraintClearDefiniteSetter7newTypeEP9JSContextPN2js5types7TypeSetENS3_4TypeE","__ZN2js6VectorINS_5types13TypeNewScript11InitializerELj0ENS_15TempAllocPolicyEEC2ES4_","__ZN2js7analyzeL8ThisSlotEv1761","__ZN2js7analyzeL10CalleeSlotEv","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1754","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1758","__ZL14JSID_FROM_BITSj1765","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1755","_JSID_IS_INT1769","_JSID_TO_FLAT_STRING1770","_MAGIC_TO_JSVAL_IMPL1757","_JSVAL_TO_INT32_IMPL1760","_JSVAL_TO_OBJECT_IMPL1762","_JSVAL_IS_OBJECT_IMPL1763","_JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL1766","_JSVAL_IS_DOUBLE_IMPL1767","_JSVAL_IS_MAGIC_IMPL1771","__ZL22UsePropertyTypeBarrierPh","_JSVAL_IS_UNDEFINED_IMPL1772","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1753","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1756","__ZN2jsL7PodZeroINS_7analyze8SSAValueEEEvPT_1759","__ZN2js7analyze14ScriptAnalysis18TypeInferenceStateD2Ev","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEED2Ev","__ZN2js7analyze14ScriptAnalysis18TypeInferenceStateC2EP9JSContext","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEC1ES4_","__ZN2js6VectorIPNS_7analyze10SSAPhiNodeELj0ENS_15TempAllocPolicyEEC2ES4_","__ZN8JSScript12clearNestingEv","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1764","__ZNK2js5Shape26hasDefaultGetterOrIsMethodEv","_js_calloc1768","__ZN2js5types13ArrayTableKeyC2Ev","__ZN2jsL12PodArrayZeroIbLj2EEEvRAT0__T_","__ZN2js2gc8CellIterD2Ev","__ZN2js2gc8CellIterC2EP9JSContextP13JSCompartmentNS0_9AllocKindE","__ZN2js2gc10ArenaLists22isSynchronizedFreeListENS0_9AllocKindE","__ZN2js5types10TypeObjectC2EP8JSObjectbb","__ZN2jsL7PodZeroINS_5types10TypeObjectEEEvPT_","__ZN2js5types10TypeObject9getGlobalEv","__ZNK2js5types14TypeConstraint4kindEv","__ZN2js5types17TypeFlagPrimitiveEj","__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_1773","__GLOBAL__I_a1774","__ZN2js13GetScopeChainEP9JSContext","__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind1790","__ZN2js13GetScopeChainEP9JSContextPNS_10StackFrameE","__ZN2js13GetBlockChainEP9JSContextPNS_10StackFrameE","__ZL12js_GetOpcodeP9JSContextP8JSScriptPh1793","__ZN2js17GetBlockChainFastEP9JSContextPNS_10StackFrameE4JSOpj","__ZL17GetScopeChainFullP9JSContextPN2js10StackFrameEP8JSObject","__ZN2js17GetScopeChainFastEP9JSContextPNS_10StackFrameE4JSOpj","__ZN2js24ReportIncompatibleMethodEP9JSContextPN2JS5ValueEPNS_5ClassE","__ZN2js16BoxNonStrictThisEP9JSContextRKNS_12CallReceiverE","__ZN8JSObject10thisObjectEP9JSContext","__ZL20no_such_method_traceP8JSTracerP8JSObject","__ZN2js15OnUnknownMethodEP9JSContextPN2JS5ValueE","__ZL12ATOM_TO_JSIDP6JSAtom1798","__ZN2js5types10TypeScript14MonitorUnknownEP9JSContextP8JSScriptPh","__ZN2jsL9IdToValueEi1799","__ZN2js9RunScriptEP9JSContextP8JSScriptPNS_10StackFrameE","__ZN2js9InterpretEP9JSContextPNS_10StackFrameENS_10InterpModeE","__ZN2jsL13ToReportFlagsENS_17InitialFrameFlagsE","__ZN2js12InvokeKernelEP9JSContextRKNS_8CallArgsENS_14MaybeConstructE","__ZL12NoSuchMethodP9JSContextjPN2JS5ValueE","__ZN2js12CallJSNativeEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE","__ZN2js5types15TypeMonitorCallEP9JSContextRKNS_8CallArgsEb","__ZN2js16InvokeFrameGuardC1Ev","__ZNK2js10FrameGuard2fpEv","__ZN2js10StackFrame16functionPrologueEP9JSContext","__ZN2js23AutoPreserveEnumeratorsC1EP9JSContext","__ZN2js23AutoPreserveEnumeratorsD1Ev","__ZN2js16InvokeFrameGuardD1Ev","__ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS3_S6_","__ZN2js17InvokeConstructorEP9JSContextRKN2JS5ValueEjPS3_S6_","__ZN2js20InvokeGetterOrSetterEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_","__ZN2JSL11ObjectValueER8JSObject1804","__ZN2js13ExecuteKernelEP9JSContextP8JSScriptR8JSObjectRKN2JS5ValueENS_11ExecuteTypeEPNS_10StackFrameEPS7_","__ZNK8JSObject27assertSpecialEqualitySyncedEv","__ZN2js6Probes14startExecutionEP9JSContextP8JSScript","__ZN2js6Probes13stopExecutionEP9JSContextP8JSScript","__ZNK8JSScript7isEmptyEv","__ZNK2JS5Value18payloadAsRawUint32Ev","__ZN2js17ExecuteFrameGuardC1Ev","__ZNK2js10StackFrame17isStrictEvalFrameEv","__ZL14InitSharpSlotsP9JSContextPN2js10StackFrameE","__ZN2js17ExecuteFrameGuardD1Ev","__ZN2js7ExecuteEP9JSContextP8JSScriptR8JSObjectPN2JS5ValueE","__ZN2js18CheckRedeclarationEP9JSContextP8JSObjectij","__ZN2jsL16IsFunctionObjectERKN2JS5ValueE1809","__ZN2js11HasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPi","__ZN2js12LooselyEqualEP9JSContextRKN2JS5ValueES5_Pi","__ZN2JS8SameTypeERKNS_5ValueES2_","__ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE","__ZeqRK8JSObjectS1_1816","__ZN2js6Probes12calloutBeginEP9JSContextP10JSFunction","__ZN2js6Probes10calloutEndEP9JSContextP10JSFunction","_INT_FITS_IN_JSID1825","_INT_TO_JSID1826","_OBJECT_TO_JSID1827","__ZNK10JSFunction13isConstructorEv","__ZNK8JSObject7isXMLIdEv","__ZNK8JSObject6isWithEv","__ZNK8JSObject7isBlockEv","__ZN2js13StrictlyEqualEP9JSContextRKN2JS5ValueES5_Pi","__ZN2js9SameValueEP9JSContextRKN2JS5ValueES5_Pi","__ZL14IsNegativeZeroRKN2JS5ValueE","__ZL5IsNaNRKN2JS5ValueE","__ZN2js11TypeOfValueEP9JSContextRKN2JS5ValueE","__ZN8JSObject6typeOfEP9JSContext","__ZN2js23InvokeConstructorKernelEP9JSContextRKNS_8CallArgsE","__ZN2JS5Value31setMagicWithObjectOrNullPayloadEP8JSObject","__ZN2js23CallJSNativeConstructorEP9JSContextPFiS1_jPN2JS5ValueEERKNS_8CallArgsE","__ZNK10JSFunction24isInterpretedConstructorEv","__ZN2js30InvokeConstructorWithGivenThisEP9JSContextP8JSObjectRKN2JS5ValueEjPS5_S8_","__ZN2js9ValueToIdEP9JSContextRKN2JS5ValueEPi","__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi","__ZN2js19IsActiveWithOrBlockEP9JSContextR8JSObjecti","__ZN8JSScript15stepModeEnabledEv","__ZNK23GenericInterruptEnablerIiE16enableInterruptsEv","__ZN12JSPCCounters3getEi","__ZNK2js10StackFrame18loweredCallOrApplyEv","__ZN2JS5Value4swapERS0_","__Z27js_FloatingFrameIfGeneratorP9JSContextPN2js10StackFrameE","__ZN2js11UnwindScopeEP9JSContextii","__ZL9LeaveWithP9JSContext","__ZN2js8GetUpvarEP9JSContextjNS_11UpvarCookieE","__ZN2js14FindUpvarFrameEP9JSContextj","__ZNK2js10StackFrame8numFixedEv","__ZN23GenericInterruptEnablerIiEC1EPii","__ZN2js17PreserveRegsGuardC1EP9JSContextRNS_9FrameRegsE","__ZN2js17InterpreterFramesC1EP9JSContextPNS_9FrameRegsERKNS0_20InterruptEnablerBaseE","__ZNK2js10StackFrame15maybeFormalArgsEv","__ZN2js31ScriptPrologueOrGeneratorResumeEP9JSContextPNS_10StackFrameEb","__ZN2js5types17UseNewTypeAtEntryEP9JSContextPNS_10StackFrameE","__ZL9EnterWithP9JSContexti4JSOpj","__ZN2js14ScriptEpilogueEP9JSContextPNS_10StackFrameEb","__ZN2js12ContextStack14popInlineFrameERNS_9FrameRegsE","__ZN2jsL13FrameAtomBaseEP9JSContextPNS_10StackFrameE","__ZN2js5types10TypeScript7MonitorEP9JSContextP8JSScriptPhRKN2JS5ValueE","__Z24js_InternNonIntElementIdP9JSContextP8JSObjectRKN2JS5ValueEPiPS4_","__ZL12IteratorMoreP9JSContextP8JSObjectPbPN2JS5ValueE","__ZL12IteratorNextP9JSContextP8JSObjectPN2JS5ValueE","_JSID_IS_VOID1831","__ZL24CanIncDecWithoutOverflowi","_JSID_IS_STRING1834","__ZNK2js5PCVal6isSlotEv","__ZNK2js5PCVal6toSlotEv","__ZN2jsL18GetDecomposeLengthEPhj","__ZN2JS5Value11getInt32RefEv","__ZNK2js5PCVal8isFunObjEv","__ZNK2js5PCVal8toFunObjEv","__ZNK2js5PCVal7toShapeEv","__ZNK2js18PropertyCacheEntry7vcapTagEv","__ZNK8JSObject5shapeEv","__ZNK2js18PropertyCacheEntry6vshapeEv","__ZNK2js5Shape16hasDefaultSetterEv","__ZN8JSObject25brandedOrHasMethodBarrierEv","__ZN2js10StackFrame6varObjEv","__ZN2js13PropertyCache4testEP9JSContextPhRP8JSObjectS6_RPNS_18PropertyCacheEntryERP6JSAtom","__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE1830","__ZN2js5types10TypeScript15MonitorOverflowEP9JSContextP8JSScriptPh","__ZL5IsXMLRKN2JS5ValueE","__ZN2js5types10TypeScript13MonitorStringEP9JSContextP8JSScriptPh","__ZN2js9NumberDivEdd","__ZL7js_fmoddd","__ZN2js8ToNumberEP9JSContextPN2JS5ValueE","__ZN2JSL10Int32ValueEi1832","__ZL8DoIncDecP9JSContextPK10JSCodeSpecPN2JS5ValueES6_","__ZN2JSL11NumberValueEd1833","__Z23js_GetProtoIfDenseArrayP8JSObject","__ZN2js13PropertyCache10testForSetEP9JSContextPhP8JSObjectPPNS_18PropertyCacheEntryEPS5_PP6JSAtom","__ZNK2js18PropertyCacheEntry6addingEv","__ZN8JSObject21nativeSetSlotWithTypeEP9JSContextPKN2js5ShapeERKN2JS5ValueE","__ZN8JSObject6extendEP9JSContextPKN2js5ShapeEb","__Z18js_PurgeScopeChainP9JSContextP8JSObjecti","__ZN2js13StaticStrings23getUnitStringForElementEP9JSContextP8JSStringj","_JSID_IS_INT1835","_JSID_TO_INT1836","__ZN2jsL16CastAsPropertyOpEP8JSObject1842","__ZN2jsL22CastAsStrictPropertyOpEP8JSObject1843","__ZNK2js5Shape20isAccessorDescriptorEv","__ZN2js23AdvanceOverBlockchainOpEPh","__ZN2js19ValuePropertyBearerEP9JSContextRKN2JS5ValueEi","__ZN2js5types10TypeScript13MonitorAssignEP9JSContextP8JSScriptPhP8JSObjectiRKN2JS5ValueE","__ZN2js14CallArgsFromSpEjPN2JS5ValueE","__ZNK2js12CallReceiver11spAfterCallEv","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction1837","__ZN2js12ContextStack15pushInlineFrameEP9JSContextRNS_9FrameRegsERKNS_8CallArgsER8JSObjectP10JSFunctionP8JSScriptNS_17InitialFrameFlagsE","__ZN2js14ScriptPrologueEP9JSContextPNS_10StackFrameEb","__ZN2js19ComputeImplicitThisEP9JSContextP8JSObjectRKN2JS5ValueEPS5_","__Z19js_UnwrapWithObjectP9JSContextP8JSObject","__ZN8JSScript8getConstEj","__ZN8JSScript9getRegExpEj","__ZN2JSL10MagicValueE10JSWhyMagic1838","__ZN2JSL14UndefinedValueEv1839","__ZN10JSFunction13setMethodAtomEP6JSAtom","__ZNK8JSObject20canHaveMethodBarrierEv","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject1840","__ZL13js_IsCallableRKN2JS5ValueE1841","__ZN2jsL17GuessObjectGCKindEjb1844","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1845","__ZN2jsL21CopyInitializerObjectEP9JSContextP8JSObjectPNS_5types10TypeObjectE","__ZN2js13PropertyCache11testForInitEP9JSRuntimePhP8JSObjectPPKNS_5ShapeEPPNS_18PropertyCacheEntryE","__ZNK2JS5Value14isObjectOrNullEv","__ZN2js8Debugger19onDebuggerStatementEP9JSContextPN2JS5ValueE","__ZN2JSL11StringValueEP8JSString1846","_JSVAL_TO_OBJECT1847","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1853","__ZN2jsL12ToFrameFlagsENS_17InitialFrameFlagsE1859","__ZN2js13PropertyCache4hashEPhj","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1854","__ZN2js6Probes10enterJSFunEP9JSContextP10JSFunctionP8JSScripti","_JSID_TO_FLAT_STRING1865","_JSID_TO_STRING1867","__ZN2js17InterpreterFrames20InterruptEnablerBaseC2Ev","__ZN2js10StackFrame11setYieldingEv","__ZN8JSScript4mainEv","__ZN2js10StackFrame24setFinishedInInterpreterEv","__ZN2js12StackSegment11repointRegsEPNS_9FrameRegsE","__ZN2js17InterpreterFramesD2Ev","__ZN2js10StackFrame10isYieldingEv","_JSVAL_TO_OBJECT_IMPL1849","_JSVAL_IS_OBJECT_OR_NULL_IMPL","__ZN2js2gcL25GetGCObjectFixedSlotsKindEj","__ZN2js2gcL15GetGCObjectKindEjb1857","_JSVAL_TO_PRIVATE_PTR_IMPL1858","__ZNK8JSObject9isDeclEnvEv","_JSVAL_IS_MAGIC_IMPL1868","__ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueES2_1848","__ZN2js8Debugger17onExceptionUnwindEP9JSContextPN2JS5ValueE","__ZN2js10StackFrame16clearReturnValueEv","__ZN2js30ScriptEpilogueOrGeneratorYieldEP9JSContextPNS_10StackFrameEb","__ZN2js17InterpreterFramesD1Ev","__ZN2js17PreserveRegsGuardD1Ev","__ZN23GenericInterruptEnablerIiEC2EPii","__ZN2js17PreserveRegsGuardD2Ev","__ZN2js12ContextStack11repointRegsEPNS_9FrameRegsE","__ZL13JSVAL_TO_IMPLN2JS5ValueE1850","__ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_1851","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1852","_js_free1855","_js_calloc1856","__ZNK8JSObject11isPrimitiveEv","__ZN2jsL25IsCacheableNonGlobalScopeEP8JSObject","__ZN2jsL24SetValueRangeToUndefinedEPN2JS5ValueEj1860","__ZN2jsL7PodCopyIN2JS5ValueEEEvPT_PKS3_j1861","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1862","__ZN2js5typesL15HashSetCapacityEj1863","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1864","__ZL12JSID_TO_ATOMi1866","__ZN8JSObject11updateFlagsEPKN2js5ShapeEb","__ZN2js6Probes9exitJSFunEP9JSContextP10JSFunctionP8JSScripti","_DOUBLE_TO_JSVAL_IMPL1874","__ZN8JSObject10setIndexedEv","__ZN8JSObject16setMethodBarrierEv","__ZL26js_IsPropertyCacheDisabledP9JSContext1869","__ZL15JSDOUBLE_IS_NaNd1870","__ZL15JSDOUBLE_IS_NEGd","_JSDOUBLE_IS_NEGZERO1872","_STRING_TO_JSVAL_IMPL1873","_INT32_TO_JSVAL_IMPL1875","__ZNK8JSObject8isVarObjEv","__ZNK8JSObject10isIteratorEv","__ZNK2js14NativeIterator9isKeyIterEv","__ZNK2js14NativeIterator7currentEv","__ZN2js14NativeIterator9incCursorEv","_JSVAL_IS_SPECIFIC_BOOLEAN1877","_BUILD_JSVAL1878","_BOOLEAN_TO_JSVAL_IMPL1879","_JSVAL_TO_BOOLEAN_IMPL1880","_JSVAL_IS_BOOLEAN_IMPL1881","__ZN2js17InterpreterFramesC2EP9JSContextPNS_9FrameRegsERKNS0_20InterruptEnablerBaseE","_MAGIC_OBJ_TO_JSVAL_IMPL","_JSVAL_IS_NULL_IMPL1882","_JSVAL_IS_NUMBER_IMPL1883","_JSVAL_TO_INT32_IMPL1884","_JSVAL_IS_INT32_IMPL1885","_JSVAL_IS_UNDEFINED_IMPL1886","_JSVAL_IS_DOUBLE_IMPL1887","_JSVAL_TO_STRING_IMPL1888","_JSVAL_IS_STRING_IMPL1889","_JSVAL_SAME_TYPE_IMPL","__ZNK2js10FrameGuard6pushedEv","_JSVAL_EXTRACT_NON_DOUBLE_TYPE_IMPL1890","__ZN8JSObject11updateShapeEP9JSContext","__ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject","_JSDOUBLE_IS_INT321871","__ZN2js13PropertyCache10matchShapeEP9JSContextP8JSObjectj","__ZNK8JSObject17getNativeIteratorEv","__ZL12JSID_IS_ATOMi1876","__ZN2js9FrameRegs8popFrameEPN2JS5ValueE","__ZNK2js10StackFrame15constructorThisEv","__ZN2js17PreserveRegsGuardC2EP9JSContextRNS_9FrameRegsE","__ZN2js17ExecuteFrameGuardD2Ev","__ZN2js10FrameGuardD2Ev","__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1891","__ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j1892","__ZN2js7analyzeL8ThisSlotEv1896","__ZN2js21assertSameCompartmentINS_8CallArgsEEEvP9JSContextT_","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1899","__ZL14JSID_FROM_BITSj1904","__ZL17iterator_iteratorP9JSContextP8JSObjecti","_JSID_IS_OBJECT1900","_JSID_TO_OBJECT1901","__ZN2js10FrameGuardC2Ev","_MAGIC_TO_JSVAL_IMPL1897","__ZN2js23AutoPreserveEnumeratorsD2Ev","__ZN2js23AutoPreserveEnumeratorsC2EP9JSContext","_JSVAL_IS_PRIMITIVE_IMPL1902","_JSVAL_IS_OBJECT_IMPL1905","_OBJECT_TO_JSVAL_IMPL1906","__ZNK2js14NativeIterator5beginEv","__ZNK2js14NativeIterator3endEv","__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_1893","__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_1894","__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_1895","__ZN2js17ExecuteFrameGuardC2Ev","__ZN2js16InvokeFrameGuardD2Ev","__ZN2js16InvokeFrameGuardC2Ev","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1898","__ZN2JSL9NullValueEv1903","__ZL17iterator_finalizeP9JSContextP8JSObject","__ZL14iterator_traceP8JSTracerP8JSObject","__ZN2js14NativeIterator4markEP8JSTracer","__ZN2js15VectorToIdArrayEP9JSContextRNS_12AutoIdVectorEPP9JSIdArray","__ZN2js16GetPropertyNamesEP9JSContextP8JSObjectjPNS_12AutoIdVectorE","__ZN2js14NativeIterator4initEP8JSObjectjjj","__ZL18RegisterEnumeratorP9JSContextP8JSObjectPN2js14NativeIteratorE","__ZL8SnapshotP9JSContextP8JSObjectjPN2js12AutoIdVectorE","__ZN2js14NativeIterator16allocateIteratorEP9JSContextjRKNS_12AutoIdVectorE","__ZNK2js16AutoVectorRooterIiE5beginEv","__ZN2js19VectorToKeyIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE","__ZL19VectorToKeyIteratorP9JSContextP8JSObjectjRN2js12AutoIdVectorEjjPN2JS5ValueE","__ZN2js21VectorToValueIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE","__ZL17NewIteratorObjectP9JSContextj","__ZN8JSObject17setNativeIteratorEPN2js14NativeIteratorE","__ZN2js28EnumeratedIdVectorToIteratorEP9JSContextP8JSObjectjRNS_12AutoIdVectorEPN2JS5ValueE","__ZN2jsL20UpdateNativeIteratorEPNS_14NativeIteratorEP8JSObject","__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE6lengthEv","__ZL7CompareIjEbPT_S1_j","__ZNK2js6VectorIjLj8ENS_15TempAllocPolicyEE5beginEv","__ZN2js11GetIteratorEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN2js5types19MarkIteratorUnknownEP9JSContext","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE5clearEv","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE6appendIjEEbT_","__ZNK2js15NativeIterCache3getEj","__ZL17GetCustomIteratorP9JSContextP8JSObjectjPN2JS5ValueE","__ZN2js15NativeIterCache3setEjP8JSObject","__ZNK8JSObject11isGeneratorEv","__Z21js_ThrowStopIterationP9JSContext","__ZL13iterator_nextP9JSContextjPN2JS5ValueE","__Z18js_ValueToIteratorP9JSContextjPN2JS5ValueE","__Z16js_CloseIteratorP9JSContextP8JSObject","__ZL14CloseGeneratorP9JSContextP8JSObject","__Z26js_SuppressDeletedPropertyP9JSContextP8JSObjecti","__ZN17SingleIdPredicateC1Ei","__Z25js_SuppressDeletedElementP9JSContextP8JSObjectj","__Z33js_SuppressDeletedIndexPropertiesP9JSContextP8JSObjectii","__ZN19IndexRangePredicateC1Eii","__ZL29SuppressDeletedPropertyHelperI17SingleIdPredicateEbP9JSContextP8JSObjectT_","__ZL29SuppressDeletedPropertyHelperI19IndexRangePredicateEbP9JSContextP8JSObjectT_","__ZN2js13StaticStrings6hasIntEi","__ZN2js10StackFrame21initFloatingGeneratorEv","__Z15js_IteratorMoreP9JSContextP8JSObjectPN2JS5ValueE","__ZL12ATOM_TO_JSIDP6JSAtom1935","__ZN2JSL11ObjectValueER8JSObject1936","__ZN2jsL15IsStopIterationERKN2JS5ValueE","__ZL15NewKeyValuePairP9JSContextiRKN2JS5ValueEPS2_","__Z15js_IteratorNextP9JSContextP8JSObjectPN2JS5ValueE","__ZN2jsL9IdToValueEi1939","__ZL20stopiter_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi","__ZL18generator_finalizeP9JSContextP8JSObject","__ZL15generator_traceP8JSTracerP8JSObject","__Z15js_NewGeneratorP9JSContext","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_1942","__Z27js_FloatingFrameToGeneratorPN2js10StackFrameE","__ZL14generator_nextP9JSContextjPN2JS5ValueE","__ZL14generator_sendP9JSContextjPN2JS5ValueE","__ZL15generator_throwP9JSContextjPN2JS5ValueE","__ZL15generator_closeP9JSContextjPN2JS5ValueE","__ZN2js12GlobalObject18initGeneratorClassEP9JSContext","__Z22js_InitIteratorClassesP9JSContextP8JSObject","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE1949","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE1956","__ZN19IndexRangePredicate16matchesAtMostOneEv","__ZN17SingleIdPredicate16matchesAtMostOneEv","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE1950","_JSID_IS_INT1957","_JSID_TO_INT1958","_JSID_IS_STRING1965","_JSID_TO_FLAT_STRING1966","__ZN2js2gcL15GetGCObjectKindEjb1947","_BUILD_JSVAL1955","__ZNK2js16AutoObjectRooter6objectEv","__ZN2js16AutoObjectRooter4addrEv","__ZN17SingleIdPredicateclEi","__ZL17InitIteratorClassP9JSContextPN2js12GlobalObjectE","__ZL22InitStopIterationClassP9JSContextPN2js12GlobalObjectE","__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE1948","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE1951","_js_free1952","_js_calloc1953","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb1954","__ZN19IndexRangePredicateclEi","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEE14internalAppendIjEEvT_","_js_realloc1959","_js_malloc1960","__ZN2JSL14UndefinedValueEv1961","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_1962","__ZN2js5typesL15HashSetCapacityEj1963","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_1964","__ZN2js10StackFrame13clearYieldingEv","__ZL8IteratorP9JSContextjPN2JS5ValueE","__ZL12generator_opP9JSContext13JSGeneratorOpPN2JS5ValueEj","__ZN2JSL17ObjectOrNullValueEP8JSObject1967","__ZN9JSContext25ensureGeneratorStackSpaceEv","__ZN2JSL10MagicValueE10JSWhyMagic1968","__ZN2js19GeneratorFrameGuardC1Ev","__ZN9JSContext14enterGeneratorEP11JSGenerator","__ZN9JSContext14leaveGeneratorEP11JSGenerator","__ZN2js19GeneratorFrameGuardD1Ev","__ZN2js19GeneratorFrameGuardD2Ev","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE7popBackEv","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE6appendIS2_EEbT_","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE13growStorageByEj","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj2ES3_EEj","__ZL15SendToGeneratorP9JSContext13JSGeneratorOpP8JSObjectP11JSGeneratorRKN2JS5ValueE","__ZL14JSID_FROM_BITSj1979","_JSID_TO_STRING1974","_JSID_IS_OBJECT1976","_JSID_TO_OBJECT1977","_INT_TO_JSID1982","__ZN2js15NativeIterCache8getIndexEj","__ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","_STRING_TO_JSVAL_IMPL1969","_JSVAL_TO_INT32_IMPL1970","_JSVAL_IS_INT32_IMPL1971","_JSVAL_IS_STRING_IMPL1972","_INT32_TO_JSVAL_IMPL1978","_JSVAL_IS_MAGIC_IMPL1980","_BOOLEAN_TO_JSVAL_IMPL1981","__ZN19IndexRangePredicateC2Eii","__ZN17SingleIdPredicateC2Ei","_JSVAL_IS_OBJECT_IMPL1983","_MAGIC_TO_JSVAL_IMPL1984","_JSVAL_TO_BOOLEAN_IMPL1985","_JSVAL_TO_OBJECT_IMPL1986","_JSVAL_IS_UNDEFINED_IMPL1987","_JSVAL_IS_PRIMITIVE_IMPL1989","_OBJECT_TO_JSVAL_IMPL1990","__ZN2js10VectorImplIP11JSGeneratorLj2ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js19GeneratorFrameGuardC2Ev","__ZN2js6VectorIP11JSGeneratorLj2ENS_17SystemAllocPolicyEE7reserveEj","__ZN2JSL11StringValueEP8JSString1973","__ZN2JSL10Int32ValueEi1975","__ZN2JSL12BooleanValueEb1988","__ZN2js10EmptyShape23getEmptyEnumeratorShapeEP9JSContext","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE1991","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE1992","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE1993","__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEEC1ES2_","__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE4initEj","__ZL25EnumerateNativePropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE","__ZL29EnumerateDenseArrayPropertiesP9JSContextP8JSObjectS2_jRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE","__ZL9EnumerateP9JSContextP8JSObjectS2_ibjRN2js7HashSetIi12IdHashPolicyNS3_15TempAllocPolicyEEEPNS3_12AutoIdVectorE","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5hash1Ejj","_JSVAL_IS_NULL_IMPL1994","__ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE13copyConstructIiEEvPiPKT_S7_","__ZNK2js6detail14HashTableEntryIKiE9isRemovedEv","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E10overloadedEv","__ZN2js6detail14HashTableEntryIKiE7setLiveEj","__ZNK2js6detail14HashTableEntryIKiE6isFreeEv","__ZN8JSObject9enumerateEP9JSContext11JSIterateOpPN2JS5ValueEPi","__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEED1Ev","__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_ED1Ev","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_ED2Ev","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E12destroyTableERS5_PNS0_14HashTableEntryIS2_EEj","__ZNK2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE12lookupForAddERKi","__ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3PtrcvMS9_FvvEEv","__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKiNS3_6SetOpsES2_E6AddPtrERS6_","__ZN2js16AutoVectorRooterIiE6appendERKi","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE6appendIiEEbT_","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE14internalAppendIiEEvT_","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIiLj8ES1_EEj","__ZN2js10VectorImplIiLj8ENS_15TempAllocPolicyELb1EE13moveConstructIiEEvPiPKT_S7_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3addERNS8_6AddPtrERS2_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3addERNS8_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E15changeTableSizeEi","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E13findFreeEntryEj","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3Ptr7nonNullEv","__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOps6getKeyERKi","__ZN12IdHashPolicy4hashEi","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5hash2Ejjj","__ZN2js6detail14HashTableEntryIKiE10isLiveHashEj","__ZN12IdHashPolicy5matchEii","_JSID_IS_DEFAULT_XML_NAMESPACE","__ZN2js6detail14HashTableEntryIKiE12setCollisionEv","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryIKiE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryIKiE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryIKiEEEC2ERS4_","__ZNK2js7MoveRefINS_6detail14HashTableEntryIKiEEEptEv","__ZNK2js7MoveRefIiEcvRiEv","__ZN2js7MoveRefIiEC2ERi","__ZN2js6detail14HashTableEntryIKiEC2Ev","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3PtrC2ERNS0_14HashTableEntryIS2_EE","__ZN2js6detail14HashTableEntryIKiE9matchHashEj","__ZN2js6detail14HashTableEntryIKiE12setCollisionEj","__ZN2jsL7ReverseIiEEvPT_S2_1995","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E11createTableERS5_j","__ZNK2js6detail14HashTableEntryIKiE6isLiveEv","__ZN2js6detail14HashTableEntryIKiEaSENS_7MoveRefIS3_EE","__ZN2js4MoveINS_6detail14HashTableEntryIKiEEEENS_7MoveRefIT_EERS6_","__ZN2js7MoveRefINS_6detail14HashTableEntryIKiEEEC1ERS4_","__ZN2js4MoveIiEENS_7MoveRefIT_EERS2_","__ZN2js7MoveRefIiEC1ERi","__ZN2js6detail14HashTableEntryIKiEC1Ev","__ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E3Ptr5foundEv","__ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E12lookupForAddERS2_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES7_EEEERT_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E11prepareHashERS2_","__ZNK2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6lookupERS2_jj","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6AddPtrC1ERNS0_14HashTableEntryIS2_EEj","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E6AddPtrC2ERNS0_14HashTableEntryIS2_EEj","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E5matchERNS0_14HashTableEntryIS2_EERS2_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E10isLiveHashEj","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_E4initEj","__ZN2js7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEEC2ES2_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_EC1ES5_","__ZN2js6detail9HashTableIKiNS_7HashSetIi12IdHashPolicyNS_15TempAllocPolicyEE6SetOpsES5_EC2ES5_","_JS_CeilingLog2","_JS_FloorLog2","__ZN2js9MathCacheC2Ev","__Z11js_math_absP9JSContextjPN2JS5ValueE","__Z17js_math_ceil_impld","__ZL15JSDOUBLE_IS_NaNd2026","__ZL18JSDOUBLE_IS_FINITEd2027","__ZL14random_setSeedP9JSContextx","__Z12js_math_ceilP9JSContextjPN2JS5ValueE","__Z18js_math_floor_impld","__Z13js_math_floorP9JSContextjPN2JS5ValueE","__Z11js_math_maxP9JSContextjPN2JS5ValueE","__Z11js_math_minP9JSContextjPN2JS5ValueE","__Z11js_math_powP9JSContextjPN2JS5ValueE","__ZL4powidi","__Z13js_InitRandomP9JSContext","__Z18js_math_round_impld","__Z13js_math_roundP9JSContextjPN2JS5ValueE","__Z12js_math_sqrtP9JSContextjPN2JS5ValueE","__ZN2jsL12GetMathCacheEP9JSContext","__ZN2js9MathCache6lookupEPFddEd","__ZL13math_toSourceP9JSContextjPN2JS5ValueE","__ZL9math_acosP9JSContextjPN2JS5ValueE","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2037","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2038","__Z17js_IsMathFunctionPFiP9JSContextjPN2JS5ValueEE","__ZN2js2gcL15GetGCObjectKindEjb2034","__ZL9math_asinP9JSContextjPN2JS5ValueE","__ZL9math_atanP9JSContextjPN2JS5ValueE","__ZL10math_atan2P9JSContextjPN2JS5ValueE","__ZL8math_cosP9JSContextjPN2JS5ValueE","__ZL8math_expP9JSContextjPN2JS5ValueE","__ZL8math_logP9JSContextjPN2JS5ValueE","__ZL11math_randomP9JSContextjPN2JS5ValueE","__ZL8math_sinP9JSContextjPN2JS5ValueE","__ZL8math_tanP9JSContextjPN2JS5ValueE","__Z16js_InitMathClassP9JSContextP8JSObject","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2032","_OBJECT_TO_JSVAL2033","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2035","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2036","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2045","_DOUBLE_TO_JSVAL_IMPL2057","_BUILD_JSVAL2043","_MAGIC_TO_JSVAL_IMPL2044","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE2046","_OBJECT_TO_JSVAL_IMPL2048","__ZL11random_nextP9JSContexti","_STRING_TO_JSVAL_IMPL2049","__ZN2js9MathCache4hashEd","_JSVAL_TO_INT32_IMPL2050","__ZL20JSDOUBLE_IS_INFINITEd","_JSVAL_IS_INT32_IMPL2051","_INT32_TO_JSVAL_IMPL2052","_JSDOUBLE_IS_NEGZERO2054","_JSVAL_IS_DOUBLE_IMPL2055","_JSVAL_IS_NUMBER_IMPL2056","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2039","_js_free2040","_js_calloc2041","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2042","__ZL13IMPL_TO_JSVAL12jsval_layout2047","__ZL17random_nextDoubleP9JSContext","__ZL13math_exp_bodyd","__ZL17math_atan2_kerneldd","__ZN13JSCompartment12getMathCacheEP9JSContext","_JSDOUBLE_IS_INT322053","__ZN2js22GetNativeStackBaseImplEv","__ZN2js16GetPrefixIntegerEP9JSContextPKtS3_iPS3_Pd","__ZL29ComputeAccurateDecimalIntegerP9JSContextPKtS2_Pd","__ZN2js12ToCStringBufC2Ev","__ZN2js9DtoaCache6lookupEid","__ZN13JSShortString23inlineStorageBeforeInitEv","__ZN2js9DtoaCache5cacheEidP13JSFixedString","__ZL32ComputeAccurateBinaryBaseIntegerP9JSContextPKtS2_i","__ZL9num_isNaNP9JSContextjPN2JS5ValueE","__ZL12num_isFiniteP9JSContextjPN2JS5ValueE","__ZL14num_parseFloatP9JSContextjPN2JS5ValueE","__ZL12num_parseIntP9JSContextjPN2JS5ValueE","__ZN2js12ToCStringBufD2Ev","__Z14js_IntToStringP9JSContexti","__ZN13JSShortString20initAtOffsetInBufferEPKtj","__Z14js_num_valueOfP9JSContextjPN2JS5ValueE","__ZN2js16GetPrimitiveThisIdEEbP9JSContextPN2JS5ValueEPT_","__ZL12num_toSourceP9JSContextjPN2JS5ValueE","__ZL12num_toStringP9JSContextjPN2JS5ValueE","__ZL18num_toLocaleStringP9JSContextjPN2JS5ValueE","__ZL11num_toFixedP9JSContextjPN2JS5ValueE","__ZL17num_toExponentialP9JSContextjPN2JS5ValueE","__ZL15num_toPrecisionP9JSContextjPN2JS5ValueE","__ZN2js22InitRuntimeNumberStateEP9JSRuntime","__ZN2js24FinishRuntimeNumberStateEP9JSRuntime","__ZN2js13StaticStrings7hasUintEj","__ZN8JSObject8asNumberEv","__Z18js_InitNumberClassP9JSContextP8JSObject","__ZN2js12NumberObject17setPrimitiveValueEd","__ZL6NumberP9JSContextjPN2JS5ValueE","__ZL12ATOM_TO_JSIDP6JSAtom2097","__ZN2js15NumberToCStringEP9JSContextPNS_12ToCStringBufEdi","_JSDOUBLE_IS_INT322100","__ZL12IntToCStringPN2js12ToCStringBufEii","__ZN2jsL19FracNumberToCStringEP9JSContextPNS_12ToCStringBufEdi","__Z17js_NumberToStringP9JSContextd","__ZL25js_NumberToStringWithBaseP9JSContextdi","__ZN2js14NumberToStringEP9JSContextd","__ZN2js13IndexToStringEP9JSContextj","__ZN2js25NumberValueToStringBufferEP9JSContextRKN2JS5ValueERNS_12StringBufferE","__ZL18JSDOUBLE_IS_FINITEd2111","__ZL15JSDOUBLE_IS_NaNd2114","__ZN2js12StringBuffer14appendInflatedEPKcj","__ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd","__ZN2jsL18StringToNumberTypeIdEEbP9JSContextP8JSStringPT_","__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE2103","__ZN2js20ValueToECMAInt32SlowEP9JSContextRKN2JS5ValueEPi","__ZL20js_DoubleToECMAInt32d2106","__ZN2js21ValueToECMAUint32SlowEP9JSContextRKN2JS5ValueEPj","__Z21js_DoubleToECMAUint32d","__ZN2js16ValueToInt32SlowEP9JSContextRKN2JS5ValueEPi","__ZN2js17ValueToUint16SlowEP9JSContextRKN2JS5ValueEPt","__ZN2js6detail17PrimitiveBehaviorIdE8getClassEv","__ZN2js12NumberTraitsIdE3NaNEv","__ZN2js12NumberTraitsIdE10toSelfTypeEd","__ZN7mozilla9RangedPtrIcE11checkSanityEv","__ZNK2js7unicode13CharacterInfo7isSpaceEv","_JSVAL_TO_OBJECT_IMPL2117","_JSVAL_IS_DOUBLE_IMPL2119","_JSVAL_IS_OBJECT_IMPL2120","_JSVAL_IS_PRIMITIVE_IMPL2121","_JSVAL_IS_UNDEFINED_IMPL2122","_JSVAL_IS_NULL_IMPL2123","_JSVAL_TO_BOOLEAN_IMPL2124","_JSVAL_IS_BOOLEAN_IMPL2125","_JSVAL_TO_STRING_IMPL2126","_JSVAL_IS_STRING_IMPL2127","_JSVAL_IS_NUMBER_IMPL2128","_JSVAL_TO_INT32_IMPL2130","_JSVAL_IS_INT32_IMPL2131","__ZNK7mozilla9RangedPtrIcEdeEv","__ZNK7mozilla9RangedPtrIcE3getEv","_JSDOUBLE_IS_NEGZERO2132","_BUILD_JSVAL2135","__Z9js_strtodP9JSContextPKtS2_PS2_Pd","__ZN2jsL9SkipSpaceEPKtS1_","__ZN2js7unicode7IsSpaceEt","__ZN2js6detail17PrimitiveBehaviorIdE6isTypeERKN2JS5ValueE","__ZN2js6detail17PrimitiveBehaviorIdE7extractERKN2JS5ValueE","_js_malloc2118","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE19growByUninitializedEj","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE10growByImplILb0EEEbj","_js_realloc2129","__ZN7mozilla9RangedPtrIcEC1EPcS2_j","__ZN7mozilla9RangedPtrIcEaSERKS1_","__ZN2js25BackfillIndexInCharBufferIcEEN7mozilla9RangedPtrIT_EEjS4_","__ZN7mozilla9RangedPtrIcEmmEv","__ZN7mozilla9RangedPtrIcEmIEj","__ZN7mozilla9RangedPtrIcEaSIcEERS1_RKNS0_IT_EE","__ZN7mozilla9RangedPtrIcEmiEj","__ZNK7mozilla9RangedPtrIcE6createEPc","__ZN7mozilla9RangedPtrIcEC2EPcS2_j","__ZN2JSL11ObjectValueER8JSObject2133","__ZN2JSL14UndefinedValueEv2134","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2136","__ZL14JSID_FROM_BITSj2143","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2149","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2154","_JSID_IS_INT2139","_JSID_IS_STRING2140","_JSID_TO_FLAT_STRING2141","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2150","_DOUBLE_TO_JSVAL_IMPL2158","_OBJECT_TO_JSVAL_IMPL2142","__ZN2js2gcL15GetGCObjectKindEjb2146","_MAGIC_TO_JSVAL_IMPL2153","_INT32_TO_JSVAL_IMPL2155","_JSVAL_IS_MAGIC_IMPL2156","_STRING_TO_JSVAL_IMPL2160","__ZN2js5typesL15HashSetCapacityEj2137","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2138","__ZN2jsL14IsConstructingEPKN2JS5ValueE2144","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2145","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2147","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2148","_js_calloc2151","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2152","__ZN2JSL11NumberValueEd2157","__ZL6num_toP9JSContext12JSDToStrModeS1_iiijPN2JS5ValueE","__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd2159","__ZL18js_DoubleToIntegerd2161","_js_free2162","__ZL20ParseIntDoubleHelperd","__ZL14js_hash_objectPKv","_BOOLEAN_TO_JSVAL_IMPL2163","__ZN17BinaryDigitReader9nextDigitEv","__ZN17BinaryDigitReaderC2EiPKtS1_","__ZL20ParseIntStringHelperP9JSContextPKtS2_ibPd","__ZN17BinaryDigitReaderC1EiPKtS1_","___cxx_global_var_init2253","__ZN2js5ShapeC1Ej","_js_ObjectToOuterObject","__Z19OBJ_TO_OUTER_OBJECTP9JSContextRP8JSObject","__Z28NULLABLE_OBJ_TO_INNER_OBJECTP9JSContextRP8JSObject","__ZL12obj_getProtoP9JSContextP8JSObjectiPN2JS5ValueE","__ZL12obj_setProtoP9JSContextP8JSObjectiiPN2JS5ValueE","__Z19js_EnterSharpObjectP9JSContextP8JSObjectPP9JSIdArrayPPt","__Z19js_LeaveSharpObjectP9JSContextPP9JSIdArray","__Z16js_TraceSharpMapP8JSTracerP16JSSharpObjectMap","__ZL27gc_sharp_table_entry_markerP11JSHashEntryiPv","__ZN2js18obj_toStringHelperEP9JSContextP8JSObject","__ZN2js13NonNullObjectEP9JSContextRKN2JS5ValueE","__ZN2js21InformalValueTypeNameERKN2JS5ValueE","__ZN2js4evalEP9JSContextjPN2JS5ValueE","__ZL17WarnOnTooManyArgsP9JSContextRKN2js8CallArgsE","__ZL16MarkSharpObjectsP9JSContextP8JSObjectPP9JSIdArray","__ZL10EvalKernelP9JSContextRKN2js8CallArgsE8EvalTypePNS1_10StackFrameER8JSObject","__ZNK8JSObject9getGlobalEv","__ZN2js10DirectEvalEP9JSContextRKNS_8CallArgsE","__ZN2js21AutoFunctionCallProbeC1EP9JSContextP10JSFunctionP8JSScript","__ZN2js21AutoFunctionCallProbeD1Ev","__ZN2js21IsBuiltinEvalForScopeEP8JSObjectRKN2JS5ValueE","__ZNK2js12GlobalObject15getOriginalEvalEv","__ZN2js16IsAnyBuiltinEvalEP10JSFunction","__ZN2js25PrincipalsForCompiledCodeERKNS_8CallArgsEP9JSContext","__Z23js_HasOwnPropertyHelperP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyEjPN2JS5ValueE","__ZN2JSL14UndefinedValueEv2280","__Z17js_HasOwnPropertyP9JSContextPFiS0_P8JSObjectiPS2_PP10JSPropertyES2_iS3_S6_","__Z17js_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty","__Z23js_PropertyIsEnumerableP9JSContextP8JSObjectiPN2JS5ValueE","__ZN2jsL16CastAsPropertyOpEP8JSObject2286","__ZN2jsL22CastAsStrictPropertyOpEP8JSObject2289","__Z19js_obj_defineGetterP9JSContextjPN2JS5ValueE","__ZL13js_IsCallableRKN2JS5ValueE2285","__ZN2js11CheckAccessEP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueEPj","__Z19js_obj_defineSetterP9JSContextjPN2JS5ValueE","__Z18obj_getPrototypeOfP9JSContextjPN2JS5ValueE","__ZN2jsL23DecompileValueGeneratorEP9JSContextiRKN2JS5ValueEP8JSString2290","__ZL12ATOM_TO_JSIDP6JSAtom2291","__ZN2js27NewPropertyDescriptorObjectEP9JSContextPK20JSPropertyDescriptorPN2JS5ValueE","__ZN2js8PropDesc26initFromPropertyDescriptorERK20JSPropertyDescriptor","__ZN2js8PropDesc10makeObjectEP9JSContext","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2296","__ZN2JSL12BooleanValueEb2297","__ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiP20JSPropertyDescriptor","__ZN2js24GetOwnPropertyDescriptorEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN2js8PropDescC2Ev","__ZN2js8PropDesc10initializeEP9JSContextRKN2JS5ValueEb","__ZL11HasPropertyP9JSContextP8JSObjectiPN2JS5ValueEPb","__ZN2js14DefinePropertyEP9JSContextP8JSObjectRKiRKNS_8PropDescEbPb","__ZL21DefinePropertyOnArrayP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb","__ZL6RejectP9JSContextP8JSObjectjbPb","__ZL22DefinePropertyOnObjectP9JSContextP8JSObjectRKiRKN2js8PropDescEbPb","__Z20js_DefineOwnPropertyP9JSContextP8JSObjectiRKN2JS5ValueEPi","__ZN2js23ReadPropertyDescriptorsEP9JSContextP8JSObjectbPNS_12AutoIdVectorEPNS_23AutoPropDescArrayRooterE","__Z17js_PopulateObjectP9JSContextP8JSObjectS2_","__ZL16DefinePropertiesP9JSContextP8JSObjectS2_","__ZN8JSObject16sizeOfSlotsArrayEPFjPvE","__ZN8JSObject12sealOrFreezeEP9JSContextNS_16ImmutabilityTypeE","__ZN8JSObject16isSealedOrFrozenEP9JSContextNS_16ImmutabilityTypeEPb","__ZL12obj_toSourceP9JSContextjPN2JS5ValueE","__ZL12obj_toStringP9JSContextjPN2JS5ValueE","__ZL18obj_toLocaleStringP9JSContextjPN2JS5ValueE","__ZL11obj_valueOfP9JSContextjPN2JS5ValueE","__ZL9obj_watchP9JSContextjPN2JS5ValueE","__ZL11obj_unwatchP9JSContextjPN2JS5ValueE","__ZL18obj_hasOwnPropertyP9JSContextjPN2JS5ValueE","__ZL17obj_isPrototypeOfP9JSContextjPN2JS5ValueE","__ZL24obj_propertyIsEnumerableP9JSContextjPN2JS5ValueE","__ZL16obj_lookupGetterP9JSContextjPN2JS5ValueE","__ZL16obj_lookupSetterP9JSContextjPN2JS5ValueE","__ZL28obj_getOwnPropertyDescriptorP9JSContextjPN2JS5ValueE","__ZL8obj_keysP9JSContextjPN2JS5ValueE","__ZL18obj_definePropertyP9JSContextjPN2JS5ValueE","__ZL20obj_definePropertiesP9JSContextjPN2JS5ValueE","__ZL10obj_createP9JSContextjPN2JS5ValueE","__ZL23obj_getOwnPropertyNamesP9JSContextjPN2JS5ValueE","__ZL16obj_isExtensibleP9JSContextjPN2JS5ValueE","__ZL21obj_preventExtensionsP9JSContextjPN2JS5ValueE","__ZL10obj_freezeP9JSContextjPN2JS5ValueE","__ZL12obj_isFrozenP9JSContextjPN2JS5ValueE","__ZL8obj_sealP9JSContextjPN2JS5ValueE","__ZL12obj_isSealedP9JSContextjPN2JS5ValueE","__ZN2jsL15NewObjectGCKindEP9JSContextPNS_5ClassE","_JSID_IS_EMPTY2321","__Z9js_ObjectP9JSContextjPN2JS5ValueE","__Z22js_ValueToObjectOrNullP9JSContextRKN2JS5ValueEPP8JSObject","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2318","__ZN2js17NewReshapedObjectEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindEPKNS_5ShapeE","__ZN2jsL17NewObjectWithTypeEP9JSContextPNS_5types10TypeObjectEP8JSObjectNS_2gc9AllocKindE","__ZN2js20DefineNativePropertyEP9JSContextP8JSObjectiRKN2JS5ValueEPFiS1_S3_iPS5_EPFiS1_S3_iiS8_Ejjij","__Z13js_CreateThisP9JSContextP8JSObject","__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE2326","__Z33js_CreateThisForFunctionWithProtoP9JSContextP8JSObjectS2_","__ZL29CreateThisForFunctionWithTypeP9JSContextPN2js5types10TypeObjectEP8JSObject","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE","__Z24js_CreateThisForFunctionP9JSContextP8JSObjectb","__Z9DetectingP9JSContextPh","__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2329","__Z13js_InferFlagsP9JSContextj","__ZL19with_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty","__ZL18with_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty","__ZL18with_LookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty","__ZL15with_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE","__ZL16with_GetPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE","__ZL15with_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE","__ZL15with_GetSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE","__ZL16with_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi","__ZL15with_SetElementP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL15with_SetSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZL18with_GetAttributesP9JSContextP8JSObjectiPj","__ZL25with_GetElementAttributesP9JSContextP8JSObjectjPj","__ZL25with_GetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj","__ZL18with_SetAttributesP9JSContextP8JSObjectiPj","__ZL25with_SetElementAttributesP9JSContextP8JSObjectjPj","__ZL25with_SetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj","__ZL19with_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi","__ZL18with_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL18with_DeleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZL11with_TypeOfP9JSContextP8JSObject","__ZN2js2gcL15GetGCObjectKindEjb2335","__ZL14with_EnumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZL15with_ThisObjectP9JSContextP8JSObject","__Z16js_NewWithObjectP9JSContextP8JSObjectS2_i","__ZN2js10EmptyShape17getEmptyWithShapeEP9JSContext","__ZN2JSL10Int32ValueEi2332","__ZN8JSObject11setWithThisEPS_","__Z17js_NewBlockObjectP9JSContext","__ZN2js10EmptyShape18getEmptyBlockShapeEP9JSContext","__Z19js_CloneBlockObjectP9JSContextP8JSObjectPN2js10StackFrameE","__ZN8JSObject15initClonedBlockEP9JSContextPN2js5types10TypeObjectEPNS2_10StackFrameE","__ZN8JSObject27ensureInstanceReservedSlotsEP9JSContextj","__Z17js_PutBlockObjectP9JSContexti","__ZN8JSObject13copySlotRangeEjPKN2JS5ValueEj","__ZN8JSObject19defineBlockVariableEP9JSContextii","__ZL17block_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZL17block_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE","__ZNK8JSObject7watchedEv","__ZN8JSObject9growSlotsEP9JSContextj","__ZN8JSObject20nonNativeSetPropertyEP9JSContextiPN2JS5ValueEi","__ZN8JSObject19nonNativeSetElementEP9JSContextjPN2JS5ValueEi","__ZN8JSObject18copyPropertiesFromEP9JSContextPS_","__ZN2js15AutoShapeVectorC1EP9JSContext","__ZN2js16AutoVectorRooterIPKNS_5ShapeEE6appendERKS3_","__ZNK2js16AutoVectorRooterIPKNS_5ShapeEE6lengthEv","__ZN2js16AutoVectorRooterIPKNS_5ShapeEEixEj","__ZN2js15AutoShapeVectorD1Ev","__ZN8JSObject5cloneEP9JSContextPS_S2_","__ZN2jsL9NewObjectILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE2346","__ZL9CopySlotsP9JSContextP8JSObjectS2_","__ZN2jsL3MaxIjEET_S1_S1_2347","__ZN8JSObject16updateFixedSlotsEj","__Z15FindObjectIndexP13JSObjectArrayP8JSObject","__ZN8JSObject19ReserveForTradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE7reserveEj","__ZN8JSObject9TradeGutsEP9JSContextPS_S2_RNS_17TradeGutsReservedE","__ZN2js6VectorIN2JS5ValueELj0ENS_15TempAllocPolicyEE16infallibleAppendERKS2_","__ZN8JSObject14clearSlotRangeEjj","__ZN8JSObject17TradeGutsReservedC1EP9JSContext","__ZN8JSObject17TradeGutsReservedD1Ev","__ZN8JSObject4swapEP9JSContextPS_","__Z17js_XDRBlockObjectP10JSXDRStatePP8JSObject","__ZN2js16AutoVectorRooterIPKNS_5ShapeEE6growByEj","__ZL12JSID_TO_ATOMi2352","__ZN2jsL9NewObjectILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2353","__ZN2js29DefineConstructorAndPrototypeEP9JSContextP8JSObject10JSProtoKeyP6JSAtomS3_PNS_5ClassEPFiS1_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSF_SH_PS3_","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2367","__ZL11JS_ON_TRACEPK9JSContext2368","__ZN2js2gcL21TryIncrementAllocKindEPNS0_9AllocKindE","__ZN2js6Probes12resizeObjectEP9JSContextP8JSObjectjj","__ZNK2JS5ValueneERKS0_","__ZL18DefineStandardSlotP9JSContextP8JSObject10JSProtoKeyP6JSAtomRKN2JS5ValueEjRb","__ZN2JSL11ObjectValueER8JSObject2354","__ZN2jsL14SetClassObjectEP9JSContextP8JSObject10JSProtoKeyS3_S3_","__ZN2JSL17ObjectOrNullValueEP8JSObject2355","__ZN2jsL16ClearClassObjectEP9JSContextP8JSObject10JSProtoKey","__ZN2js23IsStandardClassResolvedEP8JSObjectPNS_5ClassE","__ZN2js35MarkStandardClassInitializedNoProtoEP8JSObjectPNS_5ClassE","__Z12js_InitClassP9JSContextP8JSObjectS2_PN2js5ClassEPFiS0_jPN2JS5ValueEEjP14JSPropertySpecP14JSFunctionSpecSC_SE_PS2_","__Z20js_GetClassPrototypeP9JSContextP8JSObject10JSProtoKeyPS2_PN2js5ClassE","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2364","__ZN8JSObject10allocSlotsEP9JSContextj","__ZN2js5types21MarkObjectStateChangeEP9JSContextP8JSObject","__ZN8JSObject11shrinkSlotsEP9JSContextj","__ZN2js8SetProtoEP9JSContextP8JSObjectS3_b","__Z17js_GetClassObjectP9JSContextP8JSObject10JSProtoKeyPS2_","__ZN2js13AutoResolvingC1EP9JSContextP8JSObjectiNS0_4KindE","__ZNK2js13AutoResolving14alreadyStartedEv","__ZN2js13AutoResolvingD1Ev","__Z18js_FindClassObjectP9JSContextP8JSObject10JSProtoKeyPN2JS5ValueEPN2js5ClassE","__ZN2js23LookupPropertyWithFlagsEP9JSContextP8JSObjectijPS3_PP10JSProperty","__Z18js_ConstructObjectP9JSContextPN2js5ClassEP8JSObjectS5_jPN2JS5ValueE","__ZN2jsL37AbortRecordingIfUnexpectedGlobalWriteEP9JSContextP8JSObjectj","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE2381","__ZN8JSObject9allocSlotEP9JSContextPj","__ZN8JSObject8freeSlotEP9JSContextj","__ZN2JSL18PrivateUint32ValueEj2384","__Z24js_PurgeScopeChainHelperP9JSContextP8JSObjecti","__ZL15PurgeProtoChainP9JSContextP8JSObjecti","__Z20js_AddNativePropertyP9JSContextP8JSObjectiPFiS0_S2_iPN2JS5ValueEEPFiS0_S2_iiS5_Ejjji","__Z28js_ChangeNativePropertyAttrsP9JSContextP8JSObjectPKN2js5ShapeEjjPFiS0_S2_iPN2JS5ValueEEPFiS0_S2_iiS9_E","__Z17js_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej","__Z16js_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej","__ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject2391","__ZN7mozilla9DebugOnlyIPKN2js5ShapeEEC1ERKS4_","__ZN8JSObject18methodWriteBarrierEP9JSContextRKN2js5ShapeERKN2JS5ValueE","__ZN7mozilla9DebugOnlyIPKN2js5ShapeEED1Ev","__ZL19CallAddPropertyHookP9JSContextPN2js5ClassEP8JSObjectPKNS1_5ShapeEPN2JS5ValueE","__ZL29LookupPropertyWithFlagsInlineP9JSContextP8JSObjectijPS2_PP10JSProperty","__Z16js_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty","__Z21js_FindPropertyHelperP9JSContextibbPP8JSObjectS3_PP10JSProperty","__ZNK2js12ContextStack25currentScriptedScopeChainEv","__ZN2jsL25IsCacheableNonGlobalScopeEP8JSObject2396","__Z15js_FindPropertyP9JSContextibPP8JSObjectS3_PP10JSProperty","__Z21js_FindIdentifierBaseP9JSContextP8JSObjecti","__ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEEC1ERKS3_","__ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEED1Ev","__Z12js_NativeGetP9JSContextP8JSObjectS2_PKN2js5ShapeEjPN2JS5ValueE","__ZL18js_NativeGetInlineP9JSContextP8JSObjectS2_S2_PKN2js5ShapeEjPN2JS5ValueE","__Z12js_NativeSetP9JSContextP8JSObjectPKN2js5ShapeEbbPN2JS5ValueE","__ZN8JSObject18methodWriteBarrierEP9JSContextjRKN2JS5ValueE","__Z29js_ReportGetterOnlyAssignmentP9JSContext","__ZNK2js5Shape3setEP9JSContextP8JSObjectbPN2JS5ValueE","__ZN8JSObject14nativeContainsEP9JSContextRKN2js5ShapeE","__Z20js_GetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueE","__ZL26js_GetPropertyHelperInlineP9JSContextP8JSObjectS2_ijPN2JS5ValueE","__Z14js_GetPropertyP9JSContextP8JSObjectS2_iPN2JS5ValueE","__Z13js_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE","__ZN2js18GetPropertyDefaultEP9JSContextP8JSObjectiRKN2JS5ValueEPS5_","__Z12js_GetMethodP9JSContextP8JSObjectijPN2JS5ValueE","__Z31js_CheckUndeclaredVarAssignmentP9JSContextP8JSString","__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind2415","__ZN8JSObject14reportReadOnlyEP9JSContextij","__ZN2jsL9IdToValueEi2416","__ZN8JSObject21reportNotConfigurableEP9JSContextij","__ZN8JSObject19reportNotExtensibleEP9JSContextj","__ZN8JSObject10callMethodEP9JSContextijPN2JS5ValueES4_","_JSID_TO_STRING2421","__ZeqRK8JSObjectS1_2422","__ZNK2js5Shape10hasShortIDEv","__ZN2js10CallSetterEP9JSContextP8JSObjectiPFiS1_S3_iiPN2JS5ValueEEjjiS6_","__ZNK2js5Shape10shadowableEv","__ZL25CloneFunctionForSetMethodP9JSContextPN2JS5ValueE","__Z20js_SetPropertyHelperP9JSContextP8JSObjectijPN2JS5ValueEi","_INT_TO_JSID2431","__Z19js_SetElementHelperP9JSContextP8JSObjectjjPN2JS5ValueEi","__Z16js_GetAttributesP9JSContextP8JSObjectiPj","__Z23js_GetElementAttributesP9JSContextP8JSObjectjPj","__ZN8JSObject20getElementAttributesEP9JSContextjPj","__Z22js_SetNativeAttributesP9JSContextP8JSObjectPN2js5ShapeEj","__Z16js_SetAttributesP9JSContextP8JSObjectiPj","__Z23js_SetElementAttributesP9JSContextP8JSObjectjPj","__ZN8JSObject20setElementAttributesEP9JSContextjPj","__Z17js_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN2js16CallJSPropertyOpEP9JSContextPFiS1_P8JSObjectiPN2JS5ValueEES3_iS6_","__ZN2js2gcL6GCPokeEP9JSContextN2JS5ValueE","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject2432","__Z16js_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN2js15HasDataPropertyEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN2js12DefaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZN2jsL19ClassMethodIsNativeEP9JSContextP8JSObjectPNS_5ClassEiPFiS1_jPN2JS5ValueEE","__ZN2jsL15MaybeCallMethodEP9JSContextP8JSObjectiPN2JS5ValueE","__Z12js_EnumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__Z9js_TypeOfP9JSContextP8JSObject","__Z13js_IsDelegateP9JSContextP8JSObjectRKN2JS5ValueE","__ZN2js18FindClassPrototypeEP9JSContextP8JSObject10JSProtoKeyPS3_PNS_5ClassE","__ZN2jsL16IsFunctionObjectERKN2JS5ValueE2445","__Z17PrimitiveToObjectP9JSContextRKN2JS5ValueE","__ZN2js12StringObject6createEP9JSContextP8JSString","__ZN2js12NumberObject6createEP9JSContextd","__Z20js_PrimitiveToObjectP9JSContextPN2JS5ValueE","__ZN2js12ToObjectSlowEP9JSContextPN2JS5ValueE","__Z23js_ValueToNonNullObjectP9JSContextRKN2JS5ValueE","__ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEED2Ev","__ZN7mozilla9DebugOnlyIPN2js18PropertyCacheEntryEEC2ERKS3_","__ZN7mozilla9DebugOnlyIPKN2js5ShapeEED2Ev","__ZN7mozilla9DebugOnlyIPKN2js5ShapeEEC2ERKS4_","__ZN2jsL8JsvalifyEPNS_5ClassE2452","__ZN2jsL8ValueifyEP7JSClass2453","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE3endEv","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10endNoCheckEv","__Z12js_XDRObjectP10JSXDRStatePP8JSObject","__Z14js_ClearNativeP9JSContextP8JSObject","__ZL21LastConfigurableShapeP8JSObject","__Z18js_GetReservedSlotP9JSContextP8JSObjectjPN2JS5ValueE","__Z18js_SetReservedSlotP9JSContextP8JSObjectjRKN2JS5ValueE","__ZN2JSL9NullValueEv2460","__Z25js_GetterOnlyPropertyStubP9JSContextP8JSObjectiiPN2JS5ValueE","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE19growByUninitializedEj","__ZN2jsL15MakeRangeGCSafeEPPKNS_5ShapeES3_","__ZN2jsL7PodZeroIPKNS_5ShapeEEEvPT_j","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj","__ZN2js15ReentrancyGuardC1INS_6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE13growStorageByEj","__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS3_Lj8ES4_EEj","_js_realloc2461","__ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE7destroyEPS3_S6_","__ZN2js15ReentrancyGuardC2INS_6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEEEERT_","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2466","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2467","_DOUBLE_TO_JSVAL_IMPL2476","__ZNK2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE13copyConstructIS3_EEvPS3_PKT_SA_","_BUILD_JSVAL2472","_JSVAL_IS_DOUBLE_IMPL2473","__ZN2js10VectorImplIPKNS_5ShapeELj8ENS_15TempAllocPolicyELb1EE13moveConstructIS3_EEvPS3_PKT_SA_","_js_malloc2462","_js_free2463","__ZN2js6detailL9NewObjectILb1ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2464","__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2465","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2468","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEixEj","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE6appendIS3_EEbT_","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEE14internalAppendIS3_EEvT_","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2469","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2470","__ZN2js6detailL9NewObjectILb0ELb1EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2471","__ZN2JSL11NumberValueEd2474","_JSDOUBLE_IS_INT322475","_JSID_IS_STRING2486","_JSID_IS_INT2487","_JSID_TO_INT2488","_JSID_IS_OBJECT2489","_JSID_TO_OBJECT2490","__ZN8JSObject8asStringEv","_INT32_TO_JSVAL_IMPL2477","_JSDOUBLE_IS_NEGZERO2478","_JSVAL_TO_STRING_IMPL2479","_STRING_TO_JSVAL_IMPL2481","_MAGIC_TO_JSVAL_IMPL2482","_JSVAL_IS_SPECIFIC_BOOLEAN2485","__ZNK2js5Shape8setterOpEv","__ZNK2js5Shape8getterOpEv","__ZN2js12StringObject4initEP9JSContextP8JSString","__ZN2js12StringObject13setStringThisEP8JSString","__ZN2JSL11StringValueEP8JSString2480","__ZN2jsL16IsNativeFunctionERKN2JS5ValueEPFiP9JSContextjPS1_E","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction2483","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction2484","__ZN2js22CallJSPropertyOpSetterEP9JSContextPFiS1_P8JSObjectiiPN2JS5ValueEES3_iiS6_","__ZL12JSID_IS_ATOMiP6JSAtom2491","__ZNK2js5Shape11setterValueEv","__ZL18ChangesMethodValueRKN2JS5ValueES2_","__ZNK2js5Shape3getEP9JSContextP8JSObjectS4_S4_PN2JS5ValueE","__ZNK2js5Shape11getterValueEv","__ZL13CallResolveOpP9JSContextP8JSObjectS2_ijPS2_PP10JSPropertyPb","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2492","__ZN2js5typesL15HashSetCapacityEj2493","__ZL16js_InitNullClassP9JSContextP8JSObject","_JSID_TO_FLAT_STRING2495","_PRIVATE_UINT32_TO_JSVAL_IMPL2496","_JSVAL_TO_PRIVATE_UINT32_IMPL2497","__ZN2js13AutoResolvingD2Ev","__ZN2js13AutoResolvingC2EP9JSContextP8JSObjectiNS0_4KindE","_JSVAL_TO_INT32_IMPL2499","__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE2500","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2494","_js_calloc2498","__ZN8JSObject17TradeGutsReservedD2Ev","__ZN8JSObject17TradeGutsReservedC2EP9JSContext","__ZN2js15AutoShapeVectorD2Ev","__ZN2js16AutoVectorRooterIPKNS_5ShapeEED2Ev","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEED2Ev","__ZN2js15AutoShapeVectorC2EP9JSContext","__ZN2js16AutoVectorRooterIPKNS_5ShapeEEC2EP9JSContexti","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEC1ES4_","__ZN2js6VectorIPKNS_5ShapeELj8ENS_15TempAllocPolicyEEC2ES4_","__Z23js_LiveFrameIfGeneratorPN2js10StackFrameE","__ZN8JSObject15getFixedSlotRefEj","__ZNK8JSObject11getWithThisEv","__ZN2js5typesL13HashSetInsertIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_2501","__ZN2jsL7PodZeroIPNS_5types13TypeObjectKeyEEEvPT_j2502","__ZN2js5typesL16HashSetInsertTryIPNS0_13TypeObjectKeyES2_S2_EEPPT0_P13JSCompartmentRS6_RjT_2503","__ZN2js5typesL7HashKeyIPNS0_13TypeObjectKeyES2_EEjT_2504","__ZN2js7analyzeL8ThisSlotEv2506","__ZL14JSID_FROM_BITSj2517","__ZL25AssertInnerizedScopeChainP9JSContextR8JSObject","_JSVAL_TO_OBJECT_IMPL2507","_JSVAL_IS_OBJECT_OR_NULL_IMPL2508","__ZNK2js8PropDesc16isDataDescriptorEv","__ZNK2js8PropDesc20isAccessorDescriptorEv","__ZNK2js8PropDesc11getterValueEv","__ZNK2js8PropDesc11setterValueEv","__ZNK2js8PropDesc8writableEv","__ZNK2js8PropDesc12configurableEv","__ZNK2js8PropDesc10enumerableEv","_OBJECT_TO_JSVAL_IMPL2516","_BOOLEAN_TO_JSVAL_IMPL2518","__ZN2js5typesL13HashSetLookupIPNS0_13TypeObjectKeyES2_S2_EEPT0_PS5_jT_2505","__ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_2509","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2510","__ZL24GetFirstArgumentAsObjectP9JSContextjPN2JS5ValueEPKcPP8JSObject","__ZL12JSID_IS_ATOMi2511","__ZN2jsL15MakeRangeGCSafeEPN2JS5ValueES2_2512","__ZN2jsL7PodZeroIN2JS5ValueEEEvPT_j2513","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2514","__ZL17obj_watch_handlerP9JSContextP8JSObjectiN2JS5ValueEPS4_Pv","__ZN2jsL12PodArrayZeroIN2JS5ValueELj4EEEvRAT0__T_2515","__ZNK2js8PropDesc19isGenericDescriptorEv","__ZNK2js8PropDesc6getterEv","__ZNK2js8PropDesc6setterEv","__ZNK2js5Shape17getterOrUndefinedEv","__ZNK2js5Shape17setterOrUndefinedEv","__ZL6RejectP9JSContextjbiPb","__ZNK2js8PropDesc12setterObjectEv","__ZNK2js8PropDesc12getterObjectEv","__ZN2js21AutoFunctionCallProbeD2Ev","__ZN2js21AutoFunctionCallProbeC2EP9JSContextP10JSFunctionP8JSScript","__ZN15EvalScriptGuard11foundScriptEv","__ZNK15EvalScriptGuard6scriptEv","_JSVAL_IS_UNDEFINED_IMPL2519","_JSVAL_IS_NULL_IMPL2520","_JSVAL_IS_BOOLEAN_IMPL2521","_JSVAL_IS_NUMBER_IMPL2522","_JSVAL_IS_STRING_IMPL2523","_JSVAL_IS_OBJECT_IMPL2524","_JSVAL_IS_PRIMITIVE_IMPL2525","__ZN10JSONParserC1EP9JSContextPKtjNS_11ParsingModeENS_13ErrorHandlingE","__ZN15EvalScriptGuardC1EP9JSContextP14JSLinearString","__ZN15EvalScriptGuard17lookupInEvalCacheEPN2js10StackFrameEjP12JSPrincipalsR8JSObject","__ZN15EvalScriptGuard12setNewScriptEP8JSScript","__ZN15EvalScriptGuardD1Ev","__ZN15EvalScriptGuardD2Ev","__ZL15EvalCacheLookupP9JSContextP14JSLinearStringPN2js10StackFrameEjP12JSPrincipalsR8JSObjectPP8JSScript","__ZN8JSScript17getCallerFunctionEv","__ZN15EvalScriptGuardC2EP9JSContextP14JSLinearString","__ZL13EvalCacheHashP9JSContextP14JSLinearString","__ZN10JSONParserC2EP9JSContextPKtjNS_11ParsingModeENS_13ErrorHandlingE","__ZN2js5ShapeC2Ej","__GLOBAL__I_a2526","__Z13js_json_parseP9JSContextjPN2JS5ValueE","__ZN2JSL14UndefinedValueEv2537","__ZN2js20ParseJSONWithReviverEP9JSContextPKtjRKN2JS5ValueEPS5_12DecodingMode","_INT_FITS_IN_JSID2543","_INT_TO_JSID2544","__Z17js_json_stringifyP9JSContextjPN2JS5ValueE","__Z12js_StringifyP9JSContextPN2JS5ValueEP8JSObjectS2_RN2js12StringBufferE","__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEEC1ES3_","__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE4initEj","__ZN2jsL16ValueFitsInInt32ERKN2JS5ValueEPi2542","__ZNK2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE12lookupForAddERKi","__ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3PtrcvMSA_FvvEEv","__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKiNS4_6SetOpsES3_E6AddPtrERS7_","__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEED1Ev","__ZN2JSL11NumberValueEd2545","__ZN2JSL11StringValueEP8JSString2546","__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd2547","__ZN2js12StringBuffer7appendNEtj","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2548","__ZL12ATOM_TO_JSIDP6JSAtom2549","__ZN2js2gcL15GetGCObjectKindEjb2555","__ZN16StringifyContextC1EP9JSContextRN2js12StringBufferERKS3_P8JSObjectRKNS2_12AutoIdVectorE","__ZN16StringifyContext4initEv","__ZL15IsFilteredValueRKN2JS5ValueE","__ZL3StrP9JSContextRKN2JS5ValueEP16StringifyContext","__ZN16StringifyContextD1Ev","__ZL13js_IsCallableRKN2JS5ValueE2550","__ZL6ReviveP9JSContextRKN2JS5ValueEPS2_","__ZL13json_toSourceP9JSContextjPN2JS5ValueE","__Z16js_InitJSONClassP9JSContextP8JSObject","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_2553","_OBJECT_TO_JSVAL2554","__ZL15PreprocessValueIiEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2558","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2565","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2559","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5hash1Ejj","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5hash2Ejjj","_MAGIC_TO_JSVAL_IMPL2564","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE2566","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E10overloadedEv","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE2556","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_2557","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE2560","_js_free2561","_js_calloc2562","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2563","_js_realloc2567","_js_malloc2568","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3addERNS9_6AddPtrERS2_","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3addERNS9_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E15changeTableSizeEi","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E13findFreeEntryEj","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3Ptr7nonNullEv","__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOps6getKeyERKi","__ZN2js13DefaultHasherIiE4hashERKi","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_","__ZN2js13DefaultHasherIiE5matchERKiS3_","_JSID_IS_STRING2575","_JSID_TO_STRING2576","_JSID_IS_INT2577","_JSID_TO_INT2578","_JSID_IS_OBJECT2581","_JSID_TO_OBJECT2582","_DOUBLE_TO_JSVAL_IMPL2571","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E16setTableSizeLog2Ej","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3PtrC2ERNS0_14HashTableEntryIS2_EE","_INT32_TO_JSVAL_IMPL2572","_JSDOUBLE_IS_NEGZERO2573","_OBJECT_TO_JSVAL_IMPL2574","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E11createTableERS6_j","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E12destroyTableERS6_PNS0_14HashTableEntryIS2_EEj","__ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E3Ptr5foundEv","__ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E12lookupForAddERS2_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES8_EEEERT_","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E11prepareHashERS2_","__ZNK2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6lookupERS2_jj","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6AddPtrC1ERNS0_14HashTableEntryIS2_EEj","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E6AddPtrC2ERNS0_14HashTableEntryIS2_EEj","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E5matchERNS0_14HashTableEntryIS2_EERS2_","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E10isLiveHashEj","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_E4initEj","__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEEC2ES3_","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_EC1ES6_","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_EC2ES6_","__ZN14KeyStringifierIiE8toStringEP9JSContexti","__ZN2JSL11ObjectValueER8JSObject2569","_JSDOUBLE_IS_INT322570","__ZN2jsL10IdToStringEP9JSContexti","__ZN2jsL9IdToValueEi2579","__ZN2JSL10Int32ValueEi2580","__ZL13IMPL_TO_JSVAL12jsval_layout2583","_JSVAL_IS_UNDEFINED_IMPL2584","__ZL18JSDOUBLE_IS_FINITEd2585","__ZN16StringifyContextD2Ev","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_ED1Ev","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_ED2Ev","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E12destroyTableERS8_PNS0_14HashTableEntryIS4_EEj","__ZL5QuoteP9JSContextRN2js12StringBufferEP8JSString","__ZL4WalkP9JSContextP8JSObjectiRKN2JS5ValueEPS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11underloadedEv","__ZL2JAP9JSContextP8JSObjectP16StringifyContext","__ZL2JOP9JSContextP8JSObjectP16StringifyContext","__ZN13CycleDetectorC1EP16StringifyContextP8JSObject","__ZN13CycleDetector4initEP9JSContext","__ZN7mozilla5MaybeIN2js12AutoIdVectorEEC1Ev","__ZN7mozilla5MaybeIN2js12AutoIdVectorEE9constructIP9JSContextEEvRKT_","__ZN7mozilla5MaybeIN2js12AutoIdVectorEE4addrEv","__ZNK2js16AutoVectorRooterIiEixEj","__ZL11WriteIndentP9JSContextP16StringifyContextj","__ZN7mozilla5MaybeIN2js12AutoIdVectorEED1Ev","__ZN13CycleDetectorD1Ev","__ZN13CycleDetectorD2Ev","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeERKS2_","__ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrcvMSC_FvvEEv","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS6_6SetOpsES5_E3PtrE","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6removeENSB_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6removeERNS0_14HashTableEntryIS4_EE","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E16checkUnderloadedEv","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3Ptr7nonNullEv","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6SetOps6getKeyERKS2_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_","__ZL11JS_ON_TRACEPK9JSContext2587","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5hash1Ejj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5hash2Ejjj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E16setTableSizeLog2Ej","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE","__ZN7mozilla15AlignedStorage2IN2js12AutoIdVectorEE4addrEv","__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE3endEv","__ZN7mozilla5MaybeIN2js12AutoIdVectorEEC2Ev","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E15changeTableSizeEi","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11createTableERS8_j","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E13findFreeEntryEj","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3Ptr5foundEv","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6lookupERS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKP8JSObjectNS_7HashSetIS5_NS_13DefaultHasherIS5_EENS_15TempAllocPolicyEE6SetOpsESA_EEEERT_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E11prepareHashERS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6lookupERS4_jj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E5matchERNS0_14HashTableEntryIS4_EERS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E10isLiveHashEj","__ZN7mozilla5MaybeIN2js12AutoIdVectorEED2Ev","__ZN7mozilla5MaybeIN2js12AutoIdVectorEE3asTEv","__ZN2js12StringBuffer6appendEPKtS2_","__ZNK2js12StringBuffer5beginEv","__ZNK2js12StringBuffer3endEv","__ZN2jsL17CheckStringLengthEP9JSContextj2586","__ZNK2js6VectorIiLj8ENS_15TempAllocPolicyEEixEj","__ZNK2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS6_6SetOpsES5_E6AddPtrERS9_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrERS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E3addERNSB_6AddPtrE","__ZL14JSID_FROM_BITSj2592","__ZL23IsQuoteSpecialCharactert","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E10overloadedEv","__ZN13CycleDetectorC2EP16StringifyContextP8JSObject","_JSVAL_IS_DOUBLE_IMPL2588","_JSVAL_TO_BOOLEAN_IMPL2589","_JSVAL_IS_BOOLEAN_IMPL2590","_JSVAL_IS_NULL_IMPL2591","_JSVAL_TO_STRING_IMPL2595","__ZNK2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E12lookupForAddERS4_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj","__ZN14KeyStringifierIjE8toStringEP9JSContextj","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_E4initEj","__ZN16StringifyContextC2EP9JSContextRN2js12StringBufferERKS3_P8JSObjectRKNS2_12AutoIdVectorE","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_","__ZN2js7HashSetIP8JSObjectNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_EC1ES8_","__ZN2js6detail9HashTableIKP8JSObjectNS_7HashSetIS3_NS_13DefaultHasherIS3_EENS_15TempAllocPolicyEE6SetOpsES8_EC2ES8_","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2593","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2594","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE7appendNERKtj","__ZL15PreprocessValueIjEbP9JSContextP8JSObjectT_PN2JS5ValueEP16StringifyContext","__ZN10JSONParser5tokenENS_5TokenE","__ZN2js10VectorImplItLj32ENS_18ContextAllocPolicyELb1EE14copyConstructNEPtjRKt","__ZL15JSDOUBLE_IS_NaNd2597","_JSVAL_TO_INT32_IMPL2598","_JSVAL_IS_INT32_IMPL2599","_JSVAL_IS_STRING_IMPL2600","_JSVAL_IS_NUMBER_IMPL2601","_BUILD_JSVAL2602","_STRING_TO_JSVAL_IMPL2603","_JSVAL_TO_OBJECT_IMPL2604","_JSVAL_IS_OBJECT_IMPL2605","__ZN10JSONParser11errorReturnEv","__ZNK7mozilla9RangedPtrIKtEltIS1_EEbRKNS0_IT_EE","__ZNK7mozilla9RangedPtrIKtE3getEv","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE15internalAppendNERKtj","__ZL18js_DoubleToIntegerd2596","__ZN2js7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_ED1Ev","__ZN2js6detail9HashTableIKiNS_7HashSetIiNS_13DefaultHasherIiEENS_15TempAllocPolicyEE6SetOpsES6_ED2Ev","__ZN10JSONParser5errorEPKc","__ZN10JSONParser10readNumberEv","__ZN10JSONParser11numberTokenEd","__ZL16IsJSONWhitespacet","__ZNK7mozilla9RangedPtrIKtEgeIS1_EEbRKNS0_IT_EE","__ZNK7mozilla9RangedPtrIKtEmiERKS2_","__ZN10JSONParser7advanceEv","__ZN10JSONParser10readStringILNS_10StringTypeE1EEENS_5TokenEv","__ZNK7mozilla9RangedPtrIKtEixEi","__ZL15AssertPastValueN7mozilla9RangedPtrIKtEE","__ZN10JSONParser22advanceAfterObjectOpenEv","__ZN10JSONParser10readStringILNS_10StringTypeE0EEENS_5TokenEv","__ZN10JSONParser24advanceAfterArrayElementEv","__ZN10JSONParser19advancePropertyNameEv","__ZN10JSONParser20advancePropertyColonEv","__ZN10JSONParser20advanceAfterPropertyEv","__ZN2js15ReentrancyGuardC2INS_6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE5emptyEv","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE3endEv","__ZN10JSONParser5parseEPN2JS5ValueE","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEC1ES2_","__ZN2JSL14UndefinedValueEv2637","__ZN2js16AutoVectorRooterIN2JS5ValueEE7popCopyEv","__ZL12ATOM_TO_JSIDP6JSAtom2638","__ZNK10JSONParser9atomValueEv","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE6appendIS1_EEbT_","__ZNK10JSONParser11stringValueEv","__ZNK10JSONParser11numberValueEv","__ZN2JSL12BooleanValueEb2639","__ZN2JSL9NullValueEv2640","__ZN2JSL11ObjectValueER8JSObject2641","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2642","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE4backEv","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE7popBackEv","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE7popCopyEv","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEED1Ev","__ZN2js15ReentrancyGuardC1INS_6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE14internalAppendIS1_EEvT_","__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZL11JS_ON_TRACEPK9JSContext2647","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2653","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2659","__ZL14JSID_FROM_BITSj2665","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2654","__ZNK2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZNK2js7MoveRefI11ParserStateEcvRS1_Ev","__ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE7destroyEPS1_S4_","__ZN2js7MoveRefI11ParserStateEC2ERS1_","_STRING_TO_JSVAL_IMPL2649","__ZN2js2gcL15GetGCObjectKindEjb2650","_BUILD_JSVAL2657","_MAGIC_TO_JSVAL_IMPL2658","_JSVAL_IS_OBJECT_IMPL2660","_OBJECT_TO_JSVAL_IMPL2661","_BOOLEAN_TO_JSVAL_IMPL2662","_JSVAL_TO_OBJECT_IMPL2663","_JSVAL_TO_STRING_IMPL2664","__ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS1_Lj0ES2_EEj","__ZN2js4MoveI11ParserStateEENS_7MoveRefIT_EERS3_","_js_free2643","__ZN2js7MoveRefI11ParserStateEC1ERS1_","_js_malloc2644","__ZN2js10VectorImplI11ParserStateLj0ENS_15TempAllocPolicyELb0EE13moveConstructIS1_EEvPS1_PKT_S8_","__ZN2js4MoveI11ParserStateEENS_7MoveRefIT_EERKS3_","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE7popCopyEv","__ZN2js6VectorIN2JS5ValueELj8ENS_15TempAllocPolicyEE4backEv","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEED2Ev","__ZN2js6VectorI11ParserStateLj0ENS_15TempAllocPolicyEEC2ES2_","__ZN10JSONParser11stringTokenEP8JSString","__ZN7mozilla9RangedPtrIKtEaSERKS2_","_js_realloc2645","__ZN2jsL17CheckStringLengthEP9JSContextj2646","__ZN2JSL11StringValueEP8JSString2648","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2651","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2652","_js_calloc2655","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2656","__ZN2JSL11NumberValueEd2666","_JSDOUBLE_IS_INT322667","_DOUBLE_TO_JSVAL_IMPL2668","_INT32_TO_JSVAL_IMPL2669","_JSDOUBLE_IS_NEGZERO2670","__Z28js_GetVariableBytecodeLength4JSOpPh","_js_GetVariableStackUses","_js_GetIndexFromBytecode","__ZL12js_GetOpcodeP9JSContextP8JSScriptPh2825","_js_GetEnterBlockStackDefs","__ZN2js19SprintReserveAmountEPNS_8SprinterEj","__ZL18SprintEnsureBufferPN2js8SprinterEj","__ZN2js9SprintPutEPNS_8SprinterEPKcj","__ZN2js13SprintCStringEPNS_8SprinterEPKc","__ZN2js12SprintStringEPNS_8SprinterEP8JSString","__ZN2js6SprintEPNS_8SprinterEPKcz","_js_QuoteString","__ZL11QuoteStringPN2js8SprinterEP8JSStringj","_js_NewPrinter","__ZN9JSContext4new_IN2js6VectorIP6JSAtomLj0ENS1_15TempAllocPolicyEEEPS_EEPT_T0_","_js_DestroyPrinter","__ZN2js10Foreground7delete_INS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEEEEvPT_","_js_GetPrinterOutput","_js_printf","_js_puts","__Z8GetLocalP11SprintStacki","__ZL6GetStrP11SprintStackj","__ZL12JSID_IS_ATOMi2840","__ZL12JSID_TO_ATOMi2841","_js_DecompileScript","__ZL13DecompileBodyP9JSPrinterP8JSScriptPh","_js_DecompileToString","_js_DecompileFunctionBody","__ZL10StackDepthP8JSScript","__ZN19AutoScriptUntrapperC1EP9JSContextP8JSScriptPPh","__ZL15GetArgOrVarAtomP9JSPrinterj","__ZL15InitSprintStackP9JSContextP11SprintStackP9JSPrinterj","_js_DecompileFunction","__ZL22DecompileDestructuringP11SprintStackPhS1_","__ZL6PopStrP11SprintStack4JSOp","__ZN19AutoScriptUntrapperD1Ev","__ZN2js10StackFrame13clearImacropcEv","__ZN2js10StackFrame11setImacropcEPh","_js_DecompileValueGenerator","__ZL19js_GetTopStackFrameP9JSContext15FrameExpandKind2852","__ZL18ReconstructPCStackP9JSContextP8JSScriptPhPS3_","__ZL19DecompileExpressionP9JSContextP8JSScriptP10JSFunctionPh","_js_ReconstructStackDepth","__ZN2js17CallResultEscapesEPh","__ZL13GetJumpOffsetPhS_","__ZN2js17GetBytecodeLengthEP9JSContextP8JSScriptPh","__ZN2js21IsValidBytecodeOffsetEP9JSContextP8JSScriptj","__ZN2js13BytecodeRangeC1EP9JSContextP8JSScript","_js_free2859","__ZL10SimulateOpP9JSContextP8JSScript4JSOpPK10JSCodeSpecPhPS7_Rj","_js_GetStackUses2860","_js_GetStackDefs","__ZL13DecompileCodeP9JSPrinterP8JSScriptPhjj","__ZL9DecompileP11SprintStackPhi4JSOp","__ZL9IsVarSlotP9JSPrinterPhPi","__ZN2jsL18GetDecomposeLengthEPhj2861","__ZL6PopOffP11SprintStack4JSOp","__ZL10PopOffPrecP11SprintStackh","__ZL6GetOffP11SprintStackj","__ZL10PopStrPrecP11SprintStackh","__ZL24DecompileGroupAssignmentP11SprintStackPhS1_S1_Pi","__ZL7PushOffP11SprintStacki4JSOp","__ZL9VarPrefixPh","__ZL12AddParenSlopP11SprintStack","_DOUBLE_TO_JSVAL2862","__ZL15IsInitializerOph","__ZL14CompareOffsetsPvPKvS1_Pi","_JSVAL_TO_INT32_IMPL2866","_JSVAL_IS_STRING_IMPL2869","_JSVAL_IS_DOUBLE_IMPL2870","_INT32_TO_JSVAL_IMPL2872","_JSVAL_TO_STRING_IMPL2873","_OBJECT_TO_JSVAL_IMPL2874","_JSDOUBLE_IS_NEGZERO2875","__ZL18JSDOUBLE_IS_FINITEd2876","__ZL15JSDOUBLE_IS_NaNd2877","__ZN2JSL11ObjectValueER8JSObject2863","_JSVAL_TO_STRING2864","_INT_TO_JSVAL2865","__ZL15DecompileSwitchP11SprintStackP10TableEntryjPhiii","_JSVAL_TO_INT","__ZL13JSVAL_TO_IMPLN2JS5ValueE2867","_JSVAL_IS_DOUBLE","_JSVAL_IS_STRING2868","__ZL13IMPL_TO_JSVAL12jsval_layout2871","_JSVAL_TO_DOUBLE","__ZL17SprintDoubleValuePN2js8SprinterEN2JS5ValueEP4JSOp","_JSID_TO_STRING2878","_JSID_IS_STRING2879","__ZN19AutoScriptUntrapperD2Ev","__ZN19AutoScriptUntrapperC2EP9JSContextP8JSScriptPPh","_js_malloc2880","__ZN11JSParseNode6becomeEPS_","__ZN11JSParseNode5clearEv","__ZN2js6ParserC2EP9JSContextP12JSPrincipalsPNS_10StackFrameEb","__ZN2jsL12PodArrayZeroIPvLj6EEEvRAT0__T_","__ZL25DecompileDestructuringLHSP11SprintStackPhS1_Pi","__ZN2js6Parser13setPrincipalsEP12JSPrincipals","__ZNK13JSFunctionBox17inAnyDynamicScopeEv","__ZNK13JSFunctionBox17scopeIsExtensibleEv","__ZNK13JSFunctionBox13shouldUnbrandEjj","__ZN2js6Parser4initEPKtjPKcj9JSVersion","__ZN9JSContext18ensureParseMapPoolEv","__ZN2js6ParserD2Ev","__ZN2js6Parser12newObjectBoxEP8JSObject","__ZN2js6Parser14newFunctionBoxEP8JSObjectP11JSParseNodeP13JSTreeContext","__ZNK13JSFunctionBox8joinableEv","__ZN2js6Parser5traceEP8JSTracer","__ZN11JSParseNode8initListEPS_","__ZN11JSParseNode6appendEPS_","__ZN2js6Parser17cleanFunctionListEPP13JSFunctionBox","__ZL17AddNodeToFreeListP11JSParseNodePN2js6ParserE","__ZN11JSParseNode6createE16JSParseNodeArityP13JSTreeContext","__ZN11JSParseNode6createE16JSParseNodeArityN2js9TokenKindE4JSOpRKNS1_8TokenPosEP13JSTreeContext","__ZL17NewOrRecycledNodeP13JSTreeContext","__ZN11JSParseNode4initEN2js9TokenKindE4JSOp16JSParseNodeArity","__ZN11JSParseNode17newBinaryOrAppendEN2js9TokenKindE4JSOpPS_S3_P13JSTreeContext","__ZL11RecycleTreeP11JSParseNodeP13JSTreeContext","__ZN13JSTreeContext13setScopeChainEP8JSObject","__ZN2js8NameNode6createEP6JSAtomP13JSTreeContext","__ZN2js8NameNode10initCommonEP13JSTreeContext","__ZN2js6Parser5parseEP8JSObject","__ZN13JSTreeContextC1EPN2js6ParserE","__ZL15GenerateBlockIdP13JSTreeContextRj","__ZN2js6Parser10statementsEv","__ZN2js11TokenStream10matchTokenENS_9TokenKindE","__ZN2js6Parser17reportErrorNumberEP11JSParseNodejjz","_js_FoldConstants","__ZN2js6Probes18compileScriptBeginEP9JSContextPKci","__ZNK2js11TokenStream9getLinenoEv","__ZN13JSTreeContextD1Ev","__ZN2js8CompilerC2EP9JSContextP12JSPrincipalsPNS_10StackFrameE","__ZN2js8Compiler13compileScriptEP9JSContextP8JSObjectPNS_10StackFrameEP12JSPrincipalsjPKtjPKcj9JSVersionP8JSStringj","__ZN2js8Compiler4initEPKtjPKcj9JSVersion","__ZN2js11GlobalScopeC1EP9JSContextP8JSObjectP15JSCodeGenerator","__ZL14SetStaticLevelP13JSTreeContextj","__ZN2js11TokenStream13setStrictModeEb","__ZN2js11TokenStream23setOctalCharacterEscapeEb","__ZN2js11TokenStream9peekTokenEj","__ZN2js6Parser9statementEv","__ZN2jsL13TreeTypeIsXMLENS_9TokenKindE","__ZN2js6Probes16compileScriptEndEP9JSContextP8JSScriptPKci","__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE6lengthEv","__ZN8JSScript7globalsEv","__ZN2js6Parser26recognizeDirectivePrologueEP11JSParseNodePb","__ZN2js6Parser16analyzeFunctionsEP13JSTreeContext","__ZNK15JSCodeGenerator10sharpSlotsEv","__ZN2js8Compiler13defineGlobalsEP9JSContextRNS_11GlobalScopeEP8JSScript","__ZN2js11GlobalScopeD1Ev","__ZN2js8CompilerD1Ev","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEixEj","__ZL12ATOM_TO_JSIDP6JSAtom2903","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE4backEv","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE7popBackEv","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEED1Ev","__Z18CheckStrictBindingP9JSContextP13JSTreeContextP6JSAtomP11JSParseNode","__Z21CheckStrictAssignmentP9JSContextP13JSTreeContextP11JSParseNode","__ZN10JSFunction11setArgCountEt","__ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE","__ZN2js6Parser12functionBodyEv","__ZN2js9UnaryNode6createEP13JSTreeContext","__ZN2js6Parser10assignExprEv","__ZL15ReportBadReturnP9JSContextP13JSTreeContextP11JSParseNodejjj","__ZL16CheckFinalReturnP9JSContextP13JSTreeContextP11JSParseNode","__ZN2js8Compiler19compileFunctionBodyEP9JSContextP10JSFunctionP12JSPrincipalsPNS_8BindingsEPKtjPKcj9JSVersion","__ZN2js12FunctionNode6createEP13JSTreeContext","__ZL9DefineArgP11JSParseNodeP6JSAtomjP13JSTreeContext","__ZL21CheckStrictParametersP9JSContextP13JSTreeContext","__ZN2js6Parser11newFunctionEP13JSTreeContextP6JSAtomNS_18FunctionSyntaxKindE","__ZN2js6Parser11markFunArgsEP13JSFunctionBox","__ZN2js6Parser30markExtensibleScopeDescendantsEP13JSFunctionBoxb","__ZN2js6Parser16setFunctionKindsEP13JSFunctionBoxPj","__ZN18JSFunctionBoxQueueC1Ev","__ZN18JSFunctionBoxQueue4initEj","__ZN18JSFunctionBoxQueue4pullEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry5valueEv","__ZN11JSParseNode9setFunArgEv","__ZN18JSFunctionBoxQueue4pushEP13JSFunctionBox","__ZL11FindFunArgsP13JSFunctionBoxiP18JSFunctionBoxQueue","__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3allEv","__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5emptyEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range5frontEv","__ZN12JSDefinition7resolveEv","__ZNK12JSDefinition9isFreeVarEv","__ZNK11JSParseNode8isFunArgEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range8popFrontEv","__ZN18JSFunctionBoxQueueD1Ev","__ZL18ConsiderUnbrandingP13JSFunctionBox","__ZN10JSFunction7setKindEt","__ZN2js8Bindings20setExtensibleParentsEv","__ZN12JSDefinition10kindStringENS_4KindE","__ZN11JSParseNode9makeEmptyEv","__ZL15CanFlattenUpvarP12JSDefinitionP13JSFunctionBoxj","__ZL16FlagHeavyweightsP12JSDefinitionP13JSFunctionBoxPj","__ZN10JSFunction11setJoinableEv","__ZN2js6Parser17functionArgumentsER13JSTreeContextP13JSFunctionBoxPP11JSParseNode","__ZN8BindDataC1Ev","__ZL20BindDestructuringArgP9JSContextP8BindDataP6JSAtomP13JSTreeContext","__ZN2js6Parser17destructuringExprEP8BindDataNS_9TokenKindE","__ZN2js8Bindings16addDestructuringEP9JSContextPt","__ZN2js8ListNode6createEP13JSTreeContext","__ZN2js9AtomDecls11lookupFirstEP6JSAtom","__ZN2js6Parser11functionDefEP6JSAtomNS0_12FunctionTypeENS_18FunctionSyntaxKindE","__ZN11JSParseNode7setDefnEb","__ZN13JSTreeContext11atBodyLevelEv","__ZN2js11TokenStream17mungeCurrentTokenENS_9TokenKindE4JSOp","__ZN2js9AtomDecls11updateFirstEP6JSAtomP12JSDefinition","__ZL14MakeDefIntoUseP12JSDefinitionP11JSParseNodeP6JSAtomP13JSTreeContext","__ZN2js14AtomDefnMapPtr10lookupDefnEP6JSAtom","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeERKS2_","__ZL6DefineP11JSParseNodeP6JSAtomP13JSTreeContextb","__ZL13EnterFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE","__ZN2js13AtomDeclsIterC1EPNS_9AtomDeclsE","__ZN2js13AtomDeclsIterclEv","__ZN2js11TokenStream10ungetTokenEv","__ZN13JSTreeContext13noteCallsEvalEv","__ZN13JSTreeContext20noteMightAliasLocalsEv","__ZNK13JSTreeContext9compilingEv","__ZL17BindLocalVariableP9JSContextP13JSTreeContextP11JSParseNodeN2js11BindingKindE","__ZN2js11TokenStream8getTokenEj","__ZL22MatchOrInsertSemicolonP9JSContextPN2js11TokenStreamE","__ZL12DefineGlobalP11JSParseNodeP15JSCodeGeneratorP6JSAtom","__ZNK2js11TokenStream23hasOctalCharacterEscapeEv","__ZNK2js11TokenStream5isEOFEv","__ZN13JSTreeContext22noteHasExtensibleScopeEv","__ZL13LeaveFunctionP11JSParseNodeP13JSTreeContextP6JSAtomN2js18FunctionSyntaxKindE","__ZN2js6Parser12functionStmtEv","__ZN2js6Parser12functionExprEv","__ZNK11JSParseNode21isStringExprStatementEv","__ZNK11JSParseNode25isEscapeFreeStringLiteralEv","__ZN2js11TokenStream16setUnexpectedEOFEb","__ZNK11JSParseNode10isInParensEv","__ZN2js6Parser9conditionEv","__ZN2js6Parser9parenExprEPi","__ZN2js6Parser11primaryExprENS_9TokenKindEi","__ZL18CheckDestructuringP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext","__ZN2js6Parser13returnOrYieldEb","__ZN2js11TokenStream17peekTokenSameLineEj","__ZN2js6Parser4exprEv","__ZN2js6Parser8letBlockEi","__ZN2js10BinaryNode6createEP13JSTreeContext","__ZL16PushLexicalScopeP9JSContextPN2js11TokenStreamEP13JSTreeContextP10JSStmtInfo","__ZN2js6Parser9variablesEb","__ZN2js11TokenStream10matchTokenENS_9TokenKindEj","__ZL12PopStatementP13JSTreeContext","__ZN2js6Parser15switchStatementEv","__ZL26GenerateBlockIdForStmtNodeP11JSParseNodeP13JSTreeContext","__ZN2js6Parser12forStatementEv","__ZN2jsL15TokenKindIsDeclENS_9TokenKindE2906","__ZN2js11TokenStream9peekTokenEv","__ZN2js11TernaryNode6createEP13JSTreeContext","__ZNK2js6Parser13versionNumberEv","__ZL17CloneLeftHandSideP11JSParseNodeP13JSTreeContext","__ZN2js6Parser19setAssignmentLhsOpsEP11JSParseNode4JSOp","__ZL10NoteLValueP9JSContextP11JSParseNodeP13JSTreeContextj","__ZN2js6Parser12tryStatementEv","__ZL22PushBlocklikeStatementP10JSStmtInfo10JSStmtTypeP13JSTreeContext","__ZL7BindLetP9JSContextP8BindDataP6JSAtomP13JSTreeContext","__ZL14NewBindingNodeP6JSAtomP13JSTreeContextb","__ZN2js6Parser13withStatementEv","__ZL20DeoptimizeUsesWithinP12JSDefinitionRKN2js8TokenPosE","__ZN2js6Parser12letStatementEv","__ZN2js16LexicalScopeNode6createEP13JSTreeContext","__ZN2js6Parser19expressionStatementEv","__ZL9ForgetUseP11JSParseNode","__ZN2js11NullaryNode6createEP13JSTreeContext","__ZL10MatchLabelP9JSContextPN2js11TokenStreamEP11JSParseNode","__ZL22UndominateInitializersP11JSParseNodeRKN2js8TokenPtrEP13JSTreeContext","__ZL14MakeAssignmentP11JSParseNodeS0_P13JSTreeContext","__ZN13JSTreeContext16noteArgumentsUseEP11JSParseNode","__ZL14BindVarOrConstP9JSContextP8BindDataP6JSAtomP13JSTreeContext","__ZN2js6Parser9mulExpr1nEv","__ZN2js6Parser9mulExpr1iEv","__ZN2js6Parser9addExpr1nEv","__ZN2js6Parser9addExpr1iEv","__ZN2js6Parser11shiftExpr1nEv","__ZN2js6Parser11shiftExpr1iEv","__ZN2js6Parser9relExpr1nEv","__ZN2js6Parser9relExpr1iEv","__ZN2js6Parser8eqExpr1nEv","__ZN2js6Parser8eqExpr1iEv","__ZN2js6Parser12bitAndExpr1nEv","__ZN2js6Parser12bitAndExpr1iEv","__ZN2js6Parser12bitXorExpr1nEv","__ZN2js6Parser12bitXorExpr1iEv","__ZN2js6Parser11bitOrExpr1nEv","__ZN2js6Parser11bitOrExpr1iEv","__ZN2js6Parser9andExpr1nEv","__ZN2js6Parser9andExpr1iEv","__ZL11MakeSetCallP9JSContextP11JSParseNodeP13JSTreeContextj","__ZN2js6Parser9condExpr1Ev","__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindE","__ZNK11JSParseNode10isAssignedEv","__ZN2js6Parser9unaryExprEv","__ZN2js6Parser10memberExprEi","__ZN13JSTreeContext17countArgumentsUseEP11JSParseNode","__ZNK2js11TokenStream13onCurrentLineERKNS_8TokenPosE","__ZN11GenexpGuard7endBodyEv","__ZL11SetIncOpKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_NS1_9TokenKindEi","__ZN11GenexpGuard14checkValidBodyEP11JSParseNode","__ZN11GenexpGuard18maybeNoteGeneratorEP11JSParseNode","__ZL13AdjustBlockIdP11JSParseNodejP13JSTreeContext","__ZN20CompExprTransplanter10transplantEP11JSParseNode","__ZN2js8TokenPosgeERKS0_","__ZL15BumpStaticLevelP11JSParseNodeP13JSTreeContext","__ZNK11JSParseNode13isPlaceholderEv","__ZN2js8TokenPosltERKS0_","__ZL15MakePlaceholderP11JSParseNodeP13JSTreeContext","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3putERKS2_RKS4_","__ZN2js6Parser17comprehensionTailEP11JSParseNodejbNS_9TokenKindE4JSOp","__ZN20CompExprTransplanterC1EP11JSParseNodeP13JSTreeContextbj","__ZN11GenexpGuardC1EP13JSTreeContext","__ZN2js11TernaryNode6createENS_9TokenKindE4JSOpP11JSParseNodeS4_S4_P13JSTreeContext","__ZN2jsL14TokenKindIsXMLENS_9TokenKindE","__ZN11JSParseNode11setInParensEb","__ZN2js6Parser12argumentListEP11JSParseNode","__ZL32CheckForImmediatelyAppliedLambdaP11JSParseNode","__ZN2js6Parser13bracketedExprEv","__ZN2js6Parser16endBracketedExprEv","__ZN2js6Parser16propertySelectorEv","__ZN2js6Parser15qualifiedSuffixEP11JSParseNode","__ZN2js6Parser19qualifiedIdentifierEv","__ZN2js6Parser13generatorExprEP11JSParseNode","__ZN2js11TokenStream12isXMLTagModeEv","__ZN2js6Parser19attributeIdentifierEv","__ZN2js6Parser7xmlExprEi","__ZN2js11TokenStream13setXMLTagModeEb","__ZN2js6Parser11xmlAtomNodeEv","__ZN2js6Parser11xmlNameExprEv","__ZN2js6Parser13xmlTagContentENS_9TokenKindEPP6JSAtom","__ZN2js6Parser17xmlElementContentEP11JSParseNode","__ZN2js11TokenStream6setXMLEb","__ZNK2js14MultiDeclRange5emptyEv","__ZN2js14MultiDeclRange5frontEv","__ZN2js6Parser16xmlElementOrListEi","__ZN2js6Parser20xmlElementOrListRootEi","__ZNK2js11TokenStream6hasXMLEv","__ZN2js6Parser12parseXMLTextEP8JSObjectb","__ZN2js11TokenStream14setXMLOnlyModeEb","__ZN11JSParseNode10isConstantEv","__ZN2JSL11DoubleValueEd2907","__ZN2js9AtomDecls11lookupMultiEP6JSAtom","__ZN2js14MultiDeclRange8popFrontEv","__ZNK2js11TokenStream11getTokenbufEv","__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5beginEv","__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE6lengthEv","__ZL15JSDOUBLE_IS_NaNd2908","__ZL14BlockIdInScopejP13JSTreeContext","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12lookupForAddERKS2_","__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrcvPPPPPPPS6_Ev","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtr5valueEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3addERNS5_6AddPtrERKS2_RKS4_","__ZL12LinkUseToDefP11JSParseNodeP12JSDefinitionP13JSTreeContext","__ZN9JSContext13regExpStaticsEv","__ZL12ContainsStmtP11JSParseNodeN2js9TokenKindE","__ZL7BoolishP11JSParseNode","__ZL8FoldTypeP9JSContextP11JSParseNodeN2js9TokenKindE","__ZL17FoldBinaryNumericP9JSContext4JSOpP11JSParseNodeS3_S3_P13JSTreeContext","__ZL20js_DoubleToECMAInt32d2909","__ZL16FoldXMLConstantsP9JSContextP11JSParseNodeP13JSTreeContext","__ZN2JSL11StringValueEP8JSString2910","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10isLiveHashEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEC2ERS9_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC2ERS6_","__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEptEv","__ZNK2js7MoveRefIP12JSDefinitionEcvRS2_Ev","__ZN2js7MoveRefIP12JSDefinitionEC2ERS2_","__ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEC2Ev","__ZL22PrepareNodeForMutationP11JSParseNodeP13JSTreeContext","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE12switchAndAddERKS2_RKS4_","__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEaSENS_7MoveRefIS8_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEENS_7MoveRefIT_EERSB_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj","_js_free2911","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEEEC1ERS9_","__ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC1ERS6_","__ZN2js4MoveIP12JSDefinitionEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefIP12JSDefinitionEC1ERS2_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEEC2Ev","__ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEC1Ev","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12setCollisionEj","__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11initializedEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrptEv","__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range13isInlineRangeEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5EntryC2ERKS2_RKS4_","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range16advancePastNullsEPNS5_10InlineElemE","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv","_js_malloc2912","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE11switchToMapEv","__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6putNewERKS2_RKS4_","__ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj","__ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE11initializedEv","__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5clearEv","__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E4initEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5clearEv","__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC1ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E6AddPtrE","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC1EPNS5_10InlineElemEb","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC2EPNS5_10InlineElemEb","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2Ev","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6AddPtrC2ERKNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E6AddPtrE","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5EntryC1ERKS2_RKS4_","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Range10bumpCurPtrEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E5RangeE","__ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC1EPKNS5_10InlineElemES9_","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC2EPKNS5_10InlineElemES9_","__ZN2js15ReentrancyGuardC2INS_6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEEEERT_","__ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E11underloadedEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE12hasCollisionEv","__ZN2js12HashMapEntryIP6JSAtomP12JSDefinitionEaSERKS5_","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE3endEv","__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE5beginEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC1Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5RangeC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E5RangeE","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6lookupERKS2_","__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrcvPPPPPPPS6_Ev","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE6removeENS5_3PtrE","__ZN2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomP12JSDefinitionEEE7setFreeEv","__ZNK2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3Ptr5foundEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E3PtrE","__ZNK2js7HashMapIP6JSAtomP12JSDefinitionNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1EPNS5_10InlineElemE","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2EPNS5_10InlineElemE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomP12JSDefinitionEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS_7HashMapIS2_S4_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESE_E3PtrE","__ZN2js15ReentrancyGuardC1INS_6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj16ES3_EEj","_js_realloc2913","__ZN2js10VectorImplIP8JSScriptLj16ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEED2Ev","__ZN2js6VectorIP8JSScriptLj16ENS_15TempAllocPolicyEEC2ES3_","__ZN2js9NodeStackC1Ev","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE2930","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE2935","__ZL11JS_ON_TRACEPK9JSContext2939","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE2931","__ZN2js9NodeStack5emptyEv","__ZN2js9NodeStack3popEv","__ZN2js9NodeStack8pushListEP11JSParseNode","__ZN2js9NodeStack4pushEP11JSParseNode","__ZN2js9NodeStackC2Ev","_JSVAL_TO_OBJECT_IMPL2914","_STRING_TO_JSVAL_IMPL2915","__ZL18JSDOUBLE_IS_FINITEd2916","__ZL15JSDOUBLE_IS_NEGd2917","_JSVAL_TO_INT32_IMPL2919","_JSVAL_IS_DOUBLE_IMPL2920","_JSVAL_IS_NUMBER_IMPL2921","_BOOLEAN_TO_JSVAL_IMPL2924","_INT32_TO_JSVAL_IMPL2926","__ZN2js2gcL15GetGCObjectKindEjb2927","_MAGIC_TO_JSVAL_IMPL2934","_JSVAL_IS_OBJECT_IMPL2936","__ZL16PushNodeChildrenP11JSParseNodePN2js9NodeStackE","__ZL17AddNodeToFreeListP11JSParseNodeP13JSTreeContext","__ZN2js9NodeStack14pushUnlessNullEP11JSParseNode","__ZN2js16AutoStringRooterC1EP9JSContextP8JSString","__ZN2js16AutoStringRooterD1Ev","__ZN2js16AutoStringRooterD2Ev","__ZN2js16AutoStringRooterC2EP9JSContextP8JSString","__ZL7js_fmoddd2918","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE2922","__ZN2JSL12BooleanValueEb2923","__ZN2JSL10Int32ValueEi2925","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE2928","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE2929","_js_calloc2932","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb2933","__ZN2JSL14UndefinedValueEv2937","__ZN2jsL17CheckStringLengthEP9JSContextj2938","__ZN2jsL13VersionNumberE9JSVersion2944","__ZN2jsL13VersionHasXMLE9JSVersion2945","_JSID_IS_INT2946","_JSID_TO_INT2947","_JSID_IS_STRING2948","_JSID_TO_STRING2950","__ZN11JSParseNode7setUsedEb","_DOUBLE_TO_JSVAL_IMPL2941","__ZN2js14MultiDeclRangeC2EPNS_12AtomDeclNodeE","__ZN2js14MultiDeclRangeC2EP12JSDefinition","_JSVAL_TO_STRING_IMPL2942","_JSVAL_IS_STRING_IMPL2943","__ZN2js11TokenStream7setFlagEbNS_16TokenStreamFlagsE","__ZN11GenexpGuardC2EP13JSTreeContext","__ZN20CompExprTransplanterC2EP11JSParseNodeP13JSTreeContextbj","__ZN2js8TokenPtrltERKS0_","__ZN2jsL22GetGlobalForScopeChainEP9JSContext2940","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6lookupERKS2_","__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrcvPPPPPPPS5_Ev","__ZN2js14MultiDeclRangeC1EP12JSDefinition","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5valueEv","__ZN2js14MultiDeclRangeC1EPNS_12AtomDeclNodeE","__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3Ptr5foundEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E3PtrE","__ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6lookupERKS2_","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC1EPNS4_10InlineElemE","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC2EPNS4_10InlineElemE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC1Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6lookupERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3PtrC1ERNS0_14HashTableEntryIS6_EE","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3PtrC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E3PtrE","__ZN2jsL21VersionShouldParseXMLE9JSVersion","__ZNK2js11TokenStream13versionNumberEv","__ZL12JSID_TO_ATOMi2949","__ZL10SetLvalKidP9JSContextPN2js11TokenStreamEP13JSTreeContextP11JSParseNodeS7_PKc","__ZN2js6Parser7orExpr1Ev","__ZNK2js11TokenStream18isCurrentTokenTypeENS_9TokenKindES1_","__ZL8OuterLetP13JSTreeContextP10JSStmtInfoP6JSAtom","__ZL17BindFunctionLocalP9JSContextP8BindDataRN2js14MultiDeclRangeEP13JSTreeContext","__ZNK11JSParseNode6lexdefEv","__ZN2js8TokenPtrleERKS0_","_PRIVATE_PTR_TO_JSVAL_IMPL2952","__ZL15BindTopLevelVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext","__ZN2js8TokenPtrgeERKS0_","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC1Ev","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3Ptr5valueEv","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE3PtrC2Ev","__ZN2JSL12PrivateValueEPv2951","__ZNK11JSParseNode12isBlockChildEv","__ZNK11JSParseNode10frameLevelEv","__ZL14CloneParseTreeP11JSParseNodeP13JSTreeContext","__ZN2js10BinaryNode6createENS_9TokenKindE4JSOpRKNS_8TokenPosEP11JSParseNodeS7_P13JSTreeContext","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E11underloadedEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE12hasCollisionEv","__ZN2js11TokenStream7FlaggerD2Ev","__ZN2js11TokenStream7FlaggerC2EPS0_j","__ZNK15JSCodeGenerator16compilingForEvalEv","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE10endNoCheckEv","__ZN2js9AtomDecls6removeEP6JSAtom","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE6removeENS4_3PtrE","__ZN2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6removeENSD_3PtrE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E6removeERNS0_14HashTableEntryIS6_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E16checkUnderloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEEE7setFreeEv","__ZN2js12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEaSERKS4_","__ZN2js11TokenStream7FlaggerC1EPS0_j","__ZN2js11TokenStream7FlaggerD1Ev","__ZL20BindDestructuringVarP9JSContextP8BindDataP11JSParseNodeP13JSTreeContext","__ZL20BindDestructuringLHSP9JSContextP11JSParseNodeP13JSTreeContext","__ZN2js11GlobalScope9GlobalDefC1Ev","__ZN2js11GlobalScope9GlobalDefC1Ej","__ZN2js11GlobalScope9GlobalDefC1EP6JSAtomP13JSFunctionBox","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js15ReentrancyGuardC1INS_6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE6growToERNS_6VectorIS2_Lj16ES3_EEj","__ZN2js15ReentrancyGuardC2INS_6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEEEERT_","__ZN2js11GlobalScope9GlobalDefC2Ev","__ZNK2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZNK2js7MoveRefINS_11GlobalScope9GlobalDefEEcvRS2_Ev","__ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE7destroyEPS2_S5_","__ZN2js7MoveRefINS_11GlobalScope9GlobalDefEEC2ERS2_","__ZNK7mozilla14AlignedStorageILj192EE4addrEv","__ZN2js11GlobalScope9GlobalDefC2EP6JSAtomP13JSFunctionBox","__ZN2js11GlobalScope9GlobalDefC2Ej","__ZN2js9InlineMapIP6JSAtomP12JSDefinitionLj24EE5Entry3keyEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Entry5valueEv","__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range13isInlineRangeEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range16advancePastNullsEPNS4_10InlineElemE","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range5frontEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5EntryC2ERKS2_RKS3_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range5emptyEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC2Ev","__ZN2js12DefnOrHeaderC2EP12JSDefinition","__ZN2js11TokenStream17mungeCurrentTokenE4JSOp","__ZN8BindDataC2Ev","_BUILD_JSVAL2954","__ZN18JSFunctionBoxQueue6lengthEv","__ZN18JSFunctionBoxQueueC2Ev","__ZN2js4MoveINS_11GlobalScope9GlobalDefEEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefINS_11GlobalScope9GlobalDefEEC1ERS2_","__ZN2js10VectorImplINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyELb0EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js4MoveINS_11GlobalScope9GlobalDefEEENS_7MoveRefIT_EERKS4_","__ZN2js11NameSetNode6createEP13JSTreeContext","__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range5emptyEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range5frontEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range8popFrontEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5Range10bumpCurPtrEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5Range8popFrontEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5EntryC1ERKS2_RKS3_","__ZN2js13AtomDeclsIterC2EPNS_9AtomDeclsE","__ZN2js9AtomDecls3allEv","__ZNK2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE3allEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC1ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E5RangeE","__ZNK2js7HashMapIP6JSAtomNS_12DefnOrHeaderENS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3allEv","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC1EPKNS4_10InlineElemES8_","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC2EPKNS4_10InlineElemES8_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC1Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC1EPNS0_14HashTableEntryIS6_EESH_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtomNS_12DefnOrHeaderEEENS_7HashMapIS4_S5_NS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyESA_E5RangeC2EPNS0_14HashTableEntryIS6_EESH_","__ZN2js9InlineMapIP6JSAtomNS_12DefnOrHeaderELj24EE5RangeC2ENS_6detail9HashTableINS_12HashMapEntryIS2_S3_EENS_7HashMapIS2_S3_NS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicyESD_E5RangeE","__ZN2js9AtomDecls9addUniqueEP6JSAtomP12JSDefinition","__ZN2js12DefnOrHeaderC1EP12JSDefinition","__ZN12JSDefinition13isBindingFormEv","__ZN2JSL9NullValueEv2953","__ZL10MinBlockIdP11JSParseNodej","__ZN18JSFunctionBoxQueueD2Ev","__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC1ES5_","__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE4initEj","__ZL12JSID_IS_ATOMi2955","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE10isLiveHashEj","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrptEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEC2ERS4_","__ZNK2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEptEv","__ZNK2js7MoveRefIbEcvRbEv","__ZN2js7MoveRefIbEC2ERb","__ZL18ReportBadParameterP9JSContextP13JSTreeContextP6JSAtomj","__ZNK2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv","__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_bEENS6_13MapHashPolicyES5_E6AddPtrERKS2_RKb","__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED1Ev","__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12destroyTableERS9_PNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEENS_7MoveRefIT_EERS9_","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEEEC1ERS7_","__ZN2js12HashMapEntryIP6JSAtombEaSENS_7MoveRefIS3_EE","__ZN2js4MoveINS_12HashMapEntryIP6JSAtombEEEENS_7MoveRefIT_EERS6_","__ZN2js7MoveRefINS_12HashMapEntryIP6JSAtombEEEC1ERS4_","__ZN2js4MoveIbEENS_7MoveRefIT_EERS2_","__ZN2js7MoveRefIbEC1ERb","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEC1Ev","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js12HashMapEntryIP6JSAtombEC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEE12setCollisionEj","__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_bEE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP6JSAtombEEEC2Ev","__ZN2js12HashMapEntryIP6JSAtombEC1Ev","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS6_bNS_13DefaultHasherIS6_EENS_15TempAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS4_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E4initEj","__ZN2js7HashMapIP6JSAtombNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEEC2ES5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC1ES9_","__ZN2js6detail9HashTableINS_12HashMapEntryIP6JSAtombEENS_7HashMapIS4_bNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_EC2ES9_","__ZL14JSID_FROM_BITSj2961","_JSID_TO_FLAT_STRING2959","__ZN2js11UpvarCookie15isLevelReservedEt","_OBJECT_TO_JSVAL_IMPL2960","__ZN7mozilla14AlignedStorageILj192EE4addrEv","__ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomP12JSDefinitionLj24EEEE6hasMapEv","__ZL14HasFinalReturnP11JSParseNode","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_2956","__ZN2js5typesL15HashSetCapacityEj2957","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_2958","__ZN2js8CompilerD2Ev","__ZN2js11GlobalScopeD2Ev","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEED2Ev","__ZN2js11GlobalScopeC2EP9JSContextP8JSObjectP15JSCodeGenerator","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorINS_11GlobalScope9GlobalDefELj16ENS_15TempAllocPolicyEEC2ES3_","__ZN2js11OffTheBooks4new_INS_12ParseMapPoolEP9JSContextEEPT_T0_","__ZN2js12ParseMapPoolC1EP9JSContext","__ZN2js12ParseMapPoolC2EP9JSContext","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEEC1ES2_","__ZN2js6VectorIPvLj32ENS_17SystemAllocPolicyEEC2ES2_","__ZN2jsL8ValueifyEP7JSClass3000","_JSVAL_TO_OBJECT_IMPL3001","_JSVAL_IS_PRIMITIVE_IMPL3003","_INT32_TO_JSVAL_IMPL3005","__ZL8pm_startP9JSContextjPN2JS5ValueE","__ZL7pm_stopP9JSContextjPN2JS5ValueE","__ZL8pm_resetP9JSContextjPN2JS5ValueE","__ZL22pm_canMeasureSomethingP9JSContextjPN2JS5ValueE","__ZL11pm_finalizeP9JSContextP8JSObject","__ZN2JS23RegisterPerfMeasurementEP9JSContextP8JSObject","__ZL12pm_constructP9JSContextjPN2JS5ValueE","_INT_TO_JSVAL2997","__ZN2JS22ExtractPerfMeasurementENS_5ValueE","_JSVAL_IS_PRIMITIVE2998","_JSVAL_TO_OBJECT2999","__ZL13JSVAL_TO_IMPLN2JS5ValueE3002","__ZL13IMPL_TO_JSVAL12jsval_layout3004","__ZL17pm_get_cpu_cyclesP9JSContextP8JSObjectiPN2JS5ValueE","__ZL19pm_get_instructionsP9JSContextP8JSObjectiPN2JS5ValueE","__ZL23pm_get_cache_referencesP9JSContextP8JSObjectiPN2JS5ValueE","__ZL19pm_get_cache_missesP9JSContextP8JSObjectiPN2JS5ValueE","__ZL26pm_get_branch_instructionsP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20pm_get_branch_missesP9JSContextP8JSObjectiPN2JS5ValueE","__ZL17pm_get_bus_cyclesP9JSContextP8JSObjectiPN2JS5ValueE","__ZL18pm_get_page_faultsP9JSContextP8JSObjectiPN2JS5ValueE","__ZL24pm_get_major_page_faultsP9JSContextP8JSObjectiPN2JS5ValueE","__ZL23pm_get_context_switchesP9JSContextP8JSObjectiPN2JS5ValueE","__ZL21pm_get_cpu_migrationsP9JSContextP8JSObjectiPN2JS5ValueE","_OBJECT_TO_JSVAL_IMPL3007","_BOOLEAN_TO_JSVAL_IMPL3011","__ZL21pm_get_eventsMeasuredP9JSContextP8JSObjectiPN2JS5ValueE","__ZL5GetPMP9JSContextP8JSObjectPKc","__ZN9JSContext4new_IN2JS15PerfMeasurementENS2_9EventMaskEEEPT_T0_","_OBJECT_TO_JSVAL3006","_js_malloc3008","__ZN9JSContext7delete_IN2JS15PerfMeasurementEEEvPT_","_js_free3009","__ZL13GetPMFromThisP9JSContextPN2JS5ValueE","_BOOLEAN_TO_JSVAL3010","_JS_THIS","_JS_sxprintf","_JS_vsxprintf","__ZL9FuncStuffP15SprintfStateStrPKcj","__ZL9dosprintfP15SprintfStateStrPKcPc","__ZL10LimitStuffP15SprintfStateStrPKcj","_JS_smprintf","_JS_vsmprintf","_JS_smprintf_free","__ZL9GrowStuffP15SprintfStateStrPKcj","_JS_snprintf","_JS_vsnprintf","_JS_sprintf_append","_JS_vsprintf_append","_js_malloc3025","_js_realloc3026","_js_free3027","__ZL13BuildArgArrayPKcPcPiP11NumArgState","__ZL5cvt_lP15SprintfStateStrliiiiiPKc","__ZL6cvt_llP15SprintfStateStrxiiiiiPKc","__ZL5cvt_fP15SprintfStateStrdPKcS2_","__ZL6cvt_wsP15SprintfStateStrPKtiii","__ZL5cvt_sP15SprintfStateStrPKciii","__ZL5fill2P15SprintfStateStrPKciii","__ZL6fill_nP15SprintfStateStrPKciiiii","__ZN2js13PropertyCache11assertEmptyEv","__ZL26js_IsPropertyCacheDisabledP9JSContext3032","__ZN2js5PCVal9setFunObjER8JSObject","__ZN8JSObject7genericEv","__ZN2js5PCVal7setSlotEj","__ZN2js5PCVal8setShapeEPKNS_5ShapeE","__ZN2js13PropertyCache4fillEP9JSContextP8JSObjectjS4_PKNS_5ShapeEi","__ZL12js_GetOpcodeP9JSContextP8JSScriptPh3033","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject3034","__ZN2js18PropertyCacheEntry6assignEPhjjjjNS_5PCValE","__ZN2js13PropertyCache8fullTestEP9JSContextPhPP8JSObjectS6_PNS_18PropertyCacheEntryE","__ZL19GetAtomFromBytecodeP9JSContextPh4JSOpRK10JSCodeSpec","__ZN2js13PropertyCache5purgeEP9JSContext","__ZN2jsL12PodArrayZeroINS_18PropertyCacheEntryELj4096EEEvRAT0__T_","__ZN2js13PropertyCache14purgeForScriptEP9JSContextP8JSScript","_JSVAL_TO_OBJECT_IMPL3039","_JSVAL_IS_OBJECT_IMPL3040","__ZNK2js11KidsPointer6isNullEv","__ZN2js5Shape9setParentEPS0_","__ZN2js11KidsPointer8setShapeEPNS_5ShapeE","__ZNK2js11KidsPointer7toShapeEv","__ZN2js11KidsPointer7setHashEPNS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEE","__ZNK2js11KidsPointer6toHashEv","__ZNK2js11KidsPointer6isHashEv","__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrdeEv","__ZN2js13PropertyCache7restoreEPNS_18PropertyCacheEntryE","__ZN2js12PropertyTree8newShapeEP9JSContext","__Z13js_NewGCShapeP9JSContext","__ZN2js12PropertyTree11insertChildEP9JSContextPNS_5ShapeES4_","__ZNK2js11KidsPointer7isShapeEv","__ZL12HashChildrenPN2js5ShapeES1_","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6putNewERKS2_","__ZN2js5Shape11removeChildEPS0_","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6removeERKPKS1_","__ZN2js12PropertyTree8getChildEP9JSContextPNS_5ShapeERKS3_","__ZNK2js5Shape7matchesEPKS0_","__ZNK2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6lookupERKPKS1_","__ZN2js5ShapeC1EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj","__ZN2js5Shape8finalizeEP9JSContext","__ZN9JSContext7delete_IN2js7HashSetIPNS1_5ShapeENS1_11ShapeHasherENS1_17SystemAllocPolicyEEEEEvPT_","__ZN2js5Shape9freeTableEP9JSContext","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEED1Ev","_js_free3045","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEED2Ev","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED1Ev","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_ED2Ev","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12destroyTableERS7_PNS0_14HashTableEntryIS4_EEj","__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKS2_","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash1Ejj","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash2Ejjj","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE10isLiveHashEj","__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isFreeEv","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE9matchHashEj","__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE9isRemovedEv","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE12setCollisionEj","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE","__ZNK2js5Shape4hashEv","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11underloadedEv","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE10getKeyHashEv","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11prepareHashERKPKS2_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC1ERNS0_14HashTableEntryIS4_EE","__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKS2_jj","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5matchERNS0_14HashTableEntryIS4_EERKPKS2_","__ZN2js11ShapeHasher5matchEPNS_5ShapeEPKS1_","__ZN2js11ShapeHasher4hashEPKNS_5ShapeE","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10isLiveHashEj","__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrcvMSB_FvvEEv","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableIKS2_NS5_6SetOpsES4_E3PtrE","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeENSA_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeERNS0_14HashTableEntryIS4_EE","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16checkUnderloadedEv","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11createTableERS7_j","__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE6isLiveEv","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_6detail14HashTableEntryIKPNS_5ShapeEEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEC1ERS6_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_5ShapeENS_7HashSetIS5_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr7nonNullEv","__ZN2js2gcL16AssertValidColorEPKvj3047","__ZN2js14JSProxyHandlerD2Ev","__ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEC2ERS6_","__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_5ShapeEEEEptEv","__ZNK2js7MoveRefIPNS_5ShapeEEcvRS2_Ev","__ZN2js7MoveRefIPNS_5ShapeEEC2ERS2_","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE12setCollisionEv","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEEC2Ev","__ZNK2js6detail14HashTableEntryIKPNS_5ShapeEE12hasCollisionEv","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE10setRemovedEv","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE7setFreeEv","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10overloadedEv","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEE7setLiveEj","__ZNK2js5Shape8setTableEPNS_13PropertyTableE","__ZNK2js5Shape20matchesParamsAfterIdEPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjji","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC2ES7_","__ZN2js14JSProxyHandlerC2EPv","__ZN2js4MoveIPNS_5ShapeEEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefIPNS_5ShapeEEC1ERS2_","__ZN2js6detail14HashTableEntryIKPNS_5ShapeEEC1Ev","_js_malloc3046","__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr5foundEv","__ZNK2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE12lookupForAddERKPKS1_","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS5_6SetOpsES4_E6AddPtrERS8_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrERS4_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrE","__ZNK2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12lookupForAddERKPKS2_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj","__ZN9JSContext7delete_IN2js13PropertyTableEEEvPT_","__ZN2js13PropertyTableD1Ev","__ZN2js13PropertyTableD2Ev","__ZN2js5ShapeC2EiPFiP9JSContextP8JSObjectiPN2JS5ValueEEPFiS2_S4_iiS7_Ejjjijj","__ZN2js11OffTheBooks4new_INS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEEEEPT_v","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEE4initEj","__ZN2js10Foreground7delete_INS_7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEEEEvPT_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4initEj","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEC1ES4_","__ZN2js7HashSetIPNS_5ShapeENS_11ShapeHasherENS_17SystemAllocPolicyEEC2ES4_","__ZN2js6detail9HashTableIKPNS_5ShapeENS_7HashSetIS3_NS_11ShapeHasherENS_17SystemAllocPolicyEE6SetOpsES7_EC1ES7_","__Z10NewGCThingIN2js5ShapeEEPT_P9JSContextNS0_2gc9AllocKindEj","__ZN2js14JSProxyHandlerD0Ev","__ZN2js14JSProxyHandler3hasEP9JSContextP8JSObjectiPb","_INT_TO_JSID3072","__ZN2js14JSProxyHandler6hasOwnEP9JSContextP8JSObjectiPb","__ZN2js14JSProxyHandler3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN2js14JSProxyHandler3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE","__ZNK8JSObject15getProxyHandlerEv","__ZN2js14JSProxyHandler4keysEP9JSContextP8JSObjectRNS_12AutoIdVectorE","__ZN2js14JSProxyHandler8finalizeEP9JSContextP8JSObject","__ZN2js14JSProxyHandler5traceEP8JSTracerP8JSObject","__ZL24IndicatePropertyNotFoundP9JSContextP20JSPropertyDescriptor","__ZN2js16AutoVectorRooterIiE6resizeEj","__ZN2js14JSProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN2js14JSProxyHandler12obj_toStringEP9JSContextP8JSObject","__ZN2js14JSProxyHandler12fun_toStringEP9JSContextP8JSObjectj","__ZL7GetCallP8JSObject","__ZN2js14JSProxyHandler12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZN2js14JSProxyHandler4callEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN2js14JSProxyHandler9constructEP9JSContextP8JSObjectjPN2JS5ValueES7_","__ZL12GetConstructP8JSObject","__ZN2JSL14UndefinedValueEv3073","__ZN2js14JSProxyHandler11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb","__ZN2JSL11ObjectValueER8JSObject3074","__ZN2js14JSProxyHandler6typeOfEP9JSContextP8JSObject","__ZN22JSScriptedProxyHandlerC2Ev","__ZN22JSScriptedProxyHandlerD0Ev","__ZN22JSScriptedProxyHandler21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor","__ZL21GetProxyHandlerObjectP9JSContextP8JSObject","__ZL18GetFundamentalTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE","__ZL5Trap1P9JSContextP8JSObjectN2JS5ValueEiPS4_","__ZL31ReturnedValueMustNotBePrimitiveP9JSContextP8JSObjectP6JSAtomRKN2JS5ValueE","__ZL29ParsePropertyDescriptorObjectP9JSContextP8JSObjectiRKN2JS5ValueEP20JSPropertyDescriptor","__ZN22JSScriptedProxyHandler24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor","__ZN22JSScriptedProxyHandler14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor","__ZL5Trap2P9JSContextP8JSObjectN2JS5ValueEiS4_PS4_","__ZN22JSScriptedProxyHandler19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZL4TrapP9JSContextP8JSObjectN2JS5ValueEjPS4_S5_","__ZL15ArrayToIdVectorP9JSContextRKN2JS5ValueERN2js12AutoIdVectorE","__ZN22JSScriptedProxyHandler7delete_EP9JSContextP8JSObjectiPb","__ZL11ValueToBoolP9JSContextRKN2JS5ValueEPb","__ZN22JSScriptedProxyHandler9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZN22JSScriptedProxyHandler3fixEP9JSContextP8JSObjectPN2JS5ValueE","__ZN22JSScriptedProxyHandler3hasEP9JSContextP8JSObjectiPb","__ZL14GetDerivedTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE","__ZL13js_IsCallableRKN2JS5ValueE3075","__ZN22JSScriptedProxyHandler6hasOwnEP9JSContextP8JSObjectiPb","__ZN22JSScriptedProxyHandler3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE","__ZN2jsL9IdToValueEi3076","__ZN2JSL11StringValueEP8JSString3077","__ZN2JSL17ObjectOrNullValueEP8JSObject3078","__ZN22JSScriptedProxyHandler3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE","__ZN22JSScriptedProxyHandler4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZN22JSScriptedProxyHandler7iterateEP9JSContextP8JSObjectjPN2JS5ValueE","___cxx_global_var_init3079","__ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor","__ZN25AutoPendingProxyOperationC1EP9JSContextP8JSObject","__ZN25AutoPendingProxyOperationD1Ev","__ZN2js7JSProxy21getPropertyDescriptorEP9JSContextP8JSObjectibPN2JS5ValueE","__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor","__ZN2js7JSProxy24getOwnPropertyDescriptorEP9JSContextP8JSObjectibPN2JS5ValueE","__ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor","__ZN2js7JSProxy14definePropertyEP9JSContextP8JSObjectiRKN2JS5ValueE","__ZN2js7JSProxy19getOwnPropertyNamesEP9JSContextP8JSObjectRNS_12AutoIdVectorE","__ZN2js7JSProxy7delete_EP9JSContextP8JSObjectiPb","__ZN2js7JSProxy9enumerateEP9JSContextP8JSObjectRNS_12AutoIdVectorE","__ZN2js7JSProxy3fixEP9JSContextP8JSObjectPN2JS5ValueE","__ZN2js7JSProxy3hasEP9JSContextP8JSObjectiPb","__ZN2js7JSProxy6hasOwnEP9JSContextP8JSObjectiPb","__ZN2js7JSProxy3getEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN2js7JSProxy3setEP9JSContextP8JSObjectS4_ibPN2JS5ValueE","__ZN2js7JSProxy4keysEP9JSContextP8JSObjectRNS_12AutoIdVectorE","__ZN2js7JSProxy7iterateEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN2js7JSProxy4callEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN2js7JSProxy9constructEP9JSContextP8JSObjectjPN2JS5ValueES7_","__ZN2js7JSProxy11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb","__ZN2js7JSProxy6typeOfEP9JSContextP8JSObject","__ZN2js7JSProxy12obj_toStringEP9JSContextP8JSObject","__ZN2js7JSProxy12fun_toStringEP9JSContextP8JSObjectj","__ZN2js7JSProxy12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZL13proxy_ConvertP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZL14proxy_FinalizeP9JSContextP8JSObject","__ZL17proxy_HasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi","__ZL17proxy_TraceObjectP8JSTracerP8JSObject","__ZL20proxy_LookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty","__ZL19proxy_LookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty","__ZL19proxy_LookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty","__ZL20proxy_DefinePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej","__ZL19proxy_DefineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej","__ZL19proxy_DefineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej","__ZL16proxy_GetGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE","__ZL17proxy_GetPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE","__ZL16proxy_GetElementP9JSContextP8JSObjectS2_jPN2JS5ValueE","__ZL16proxy_GetSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE","__ZL17proxy_SetPropertyP9JSContextP8JSObjectiPN2JS5ValueEi","__ZL16proxy_SetElementP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL16proxy_SetSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZL19proxy_GetAttributesP9JSContextP8JSObjectiPj","__ZL26proxy_GetElementAttributesP9JSContextP8JSObjectjPj","__ZL26proxy_GetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj","__ZL19proxy_SetAttributesP9JSContextP8JSObjectiPj","__ZL26proxy_SetElementAttributesP9JSContextP8JSObjectjPj","__ZL26proxy_SetSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj","__ZL20proxy_DeletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi","__ZL19proxy_DeleteElementP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL19proxy_DeleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZL12proxy_TypeOfP9JSContextP8JSObject","__ZL9proxy_FixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE","__ZL17proxy_innerObjectP9JSContextP8JSObject","__ZL10proxy_CallP9JSContextjPN2JS5ValueE","__ZL15proxy_ConstructP9JSContextjPN2JS5ValueE","___cxx_global_var_init43102","__ZL19proxy_TraceFunctionP8JSTracerP8JSObject","__ZN2js14NewProxyObjectEP9JSContextPNS_14JSProxyHandlerERKN2JS5ValueEP8JSObjectS9_S9_S9_","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3103","__ZN2JSL12PrivateValueEPv3104","__ZL12proxy_createP9JSContextjPN2JS5ValueE","__ZL20proxy_createFunctionP9JSContextjPN2JS5ValueE","__Z18callable_ConstructP9JSContextjPN2JS5ValueE","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_3105","__ZL13callable_CallP9JSContextjPN2JS5ValueE","__ZN2js14JSProxyHandler13isOuterWindowEv","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3113","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3120","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3114","__ZL19OperationInProgressP9JSContextP8JSObject","__ZN2js2gcL15GetGCObjectKindEjb3110","_MAGIC_TO_JSVAL_IMPL3119","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE3121","__ZN2js8FixProxyEP9JSContextP8JSObjectPi","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_NS_2gc9AllocKindE","_js_InitProxyClass","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3108","_OBJECT_TO_JSVAL3109","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3111","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3112","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3115","_js_free3116","_js_calloc3117","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3118","__ZL14JSID_FROM_BITSj3130","_JSID_IS_STRING3137","_JSID_TO_STRING3138","_JSID_IS_INT3139","_JSID_TO_INT3141","_JSID_IS_OBJECT3142","_JSID_TO_OBJECT3143","__ZN2jsL22CastAsStrictPropertyOpEP8JSObject3145","__ZN2jsL16CastAsPropertyOpEP8JSObject3146","_OBJECT_TO_JSVAL_IMPL3126","_JSVAL_IS_OBJECT_IMPL3128","_PRIVATE_PTR_TO_JSVAL_IMPL3131","_JSVAL_TO_OBJECT_IMPL3132","__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3133","_BOOLEAN_TO_JSVAL_IMPL3134","__ZN25AutoPendingProxyOperationD2Ev","__ZN25AutoPendingProxyOperationC2EP9JSContextP8JSObject","_BUILD_JSVAL3135","_STRING_TO_JSVAL_IMPL3136","_INT32_TO_JSVAL_IMPL3144","_JSVAL_IS_UNDEFINED_IMPL3147","_JSVAL_IS_PRIMITIVE_IMPL3149","_JSVAL_TO_PRIVATE_PTR_IMPL3150","__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3122","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE8shrinkByEj","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE19growByUninitializedEj","__ZN2jsL15MakeRangeGCSafeEPiS0_","__ZN2js6VectorIiLj8ENS_15TempAllocPolicyEE10growByImplILb0EEEbj","_js_realloc3123","_js_malloc3124","__ZL13IMPL_TO_JSVAL12jsval_layout3125","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3127","__ZL12ATOM_TO_JSIDP6JSAtom3129","__ZNK8JSObject13getProxyExtraEv","__ZN2JSL10Int32ValueEi3140","__ZL7GetTrapP9JSContextP8JSObjectP6JSAtomPN2JS5ValueE","__ZN2JSL9NullValueEv3148","__GLOBAL__I_a3151","__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPP8JSObject","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3397","__ZN2js11NodeBuilder10setNodeLocEP8JSObjectPNS_8TokenPosE","__ZN2js11NodeBuilder9atomValueEPKcPN2JS5ValueE","_INT_TO_JSID3398","__ZN2js11NodeBuilder11setPropertyEP8JSObjectPKcN2JS5ValueE","__ZN2js11NodeBuilder8newArrayERNS_15AutoValueVectorEPN2JS5ValueE","__ZN2js11NodeBuilder10newNodeLocEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder9newObjectEPP8JSObject","__ZN2JSL11ObjectValueER8JSObject3399","__ZN2JSL9NullValueEv3400","__ZN2js11NodeBuilder7programERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder8listNodeENS_7ASTTypeEPKcRNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder14blockStatementERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder19expressionStatementEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueEPS7_","__ZN2js11NodeBuilder14emptyStatementEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder8callbackEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder11ifStatementEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder3optEN2JS5ValueE","__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_PS7_","__ZN2js11NodeBuilder14breakStatementEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder17continueStatementEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder16labeledStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_PS7_","__ZN2js11NodeBuilder14throwStatementEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder15returnStatementEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder12forStatementEN2JS5ValueES2_S2_S2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_PS7_","__ZN2js11NodeBuilder14forInStatementEN2JS5ValueES2_S2_bPNS_8TokenPosEPS2_","__ZN2JSL12BooleanValueEb3401","__ZN2js11NodeBuilder13withStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder14whileStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder16doWhileStatementEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder15switchStatementEN2JS5ValueERNS_15AutoValueVectorEbPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder12tryStatementEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder17debuggerStatementEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder16binaryExpressionENS_14BinaryOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_","__ZN2js11NodeBuilder15unaryExpressionENS_13UnaryOperatorEN2JS5ValueEPNS_8TokenPosEPS3_","__ZN2js11NodeBuilder20assignmentExpressionENS_18AssignmentOperatorEN2JS5ValueES3_PNS_8TokenPosEPS3_","__ZN2js11NodeBuilder16updateExpressionEN2JS5ValueEbbPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder17logicalExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder21conditionalExpressionEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder18sequenceExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder14callExpressionEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder13newExpressionEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder16memberExpressionEbN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder15arrayExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder15propertyPatternEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder19propertyInitializerEN2JS5ValueES2_NS_8PropKindEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder16objectExpressionERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder14thisExpressionEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder15yieldExpressionEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder18comprehensionBlockEN2JS5ValueES2_bPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder23comprehensionExpressionEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder19generatorExpressionEN2JS5ValueERNS_15AutoValueVectorES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder15graphExpressionEiN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2JSL11NumberValueEd3402","__ZN2js11NodeBuilder20graphIndexExpressionEiPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder13letExpressionERNS_15AutoValueVectorEN2JS5ValueEPNS_8TokenPosEPS4_","__ZN2js11NodeBuilder12letStatementERNS_15AutoValueVectorEN2JS5ValueEPNS_8TokenPosEPS4_","__ZN2js11NodeBuilder19variableDeclarationERNS_15AutoValueVectorENS_11VarDeclKindEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder18variableDeclaratorEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder10switchCaseEN2JS5ValueERNS_15AutoValueVectorEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder11catchClauseEN2JS5ValueES2_S2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder7literalEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder10identifierEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder13objectPatternERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder12arrayPatternERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder8functionENS_7ASTTypeEPNS_8TokenPosEN2JS5ValueERNS_15AutoValueVectorES5_bbPS5_","__ZN2js11NodeBuilder8callbackEN2JS5ValueES2_S2_S2_S2_S2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder7newNodeENS_7ASTTypeEPNS_8TokenPosEPKcN2JS5ValueES5_S7_S5_S7_S5_S7_S5_S7_PS7_","__ZN2js11NodeBuilder10xmlAnyNameEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder19xmlEscapeExpressionEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder19xmlFilterExpressionEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js11NodeBuilder19xmlDefaultNamespaceEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder20xmlAttributeSelectorEN2JS5ValueEbPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder30xmlFunctionQualifiedIdentifierEN2JS5ValueEbPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder22xmlQualifiedIdentifierEN2JS5ValueES2_bPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder10xmlElementERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder7xmlTextEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder7xmlListERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder11xmlStartTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder9xmlEndTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder11xmlPointTagERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder7xmlNameEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder7xmlNameERNS_15AutoValueVectorEPNS_8TokenPosEPN2JS5ValueE","__ZN2js11NodeBuilder12xmlAttributeEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js13ASTSerializer3aopE4JSOp","__ZN2js13ASTSerializer4unopENS_9TokenKindE4JSOp","__ZN2js13ASTSerializer5binopENS_9TokenKindE4JSOp","__ZN2js11NodeBuilder8xmlCdataEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder10xmlCommentEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder5xmlPIEN2JS5ValueEPNS_8TokenPosEPS2_","__ZN2js11NodeBuilder5xmlPIEN2JS5ValueES2_PNS_8TokenPosEPS2_","__ZN2js13ASTSerializer10statementsEP11JSParseNodeRNS_15AutoValueVectorE","__ZN2js13ASTSerializer13sourceElementEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer11expressionsEP11JSParseNodeRNS_15AutoValueVectorE","__ZN2js13ASTSerializer10expressionEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer4xmlsEP11JSParseNodeRNS_15AutoValueVectorE","__ZN2js13ASTSerializer3xmlEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer14blockStatementEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer7programEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer9statementEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer11declarationEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer8functionEP11JSParseNodeNS_7ASTTypeEPN2JS5ValueE","__ZN2js13ASTSerializer19variableDeclarationEP11JSParseNodebPN2JS5ValueE","__ZN2js13ASTSerializer7patternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE","__ZN2js13ASTSerializer18variableDeclaratorEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE","__ZN2js13ASTSerializer13optExpressionEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer7letHeadEP11JSParseNodeRNS_15AutoValueVectorE","__ZN2js13ASTSerializer10switchCaseEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer15switchStatementEP11JSParseNodePN2JS5ValueE","__ZN2JSL14UndefinedValueEv3403","__ZN2js13ASTSerializer11catchClauseEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer12tryStatementEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer12optStatementEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer7forInitEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer13optIdentifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE","__ZN2js13ASTSerializer10identifierEP6JSAtomPNS_8TokenPosEPN2JS5ValueE","__ZN2js13ASTSerializer13leftAssociateEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer18comprehensionBlockEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer13comprehensionEP11JSParseNodePN2JS5ValueE","__ZN2JSL10MagicValueE10JSWhyMagic3404","__ZN2js13ASTSerializer19generatorExpressionEP11JSParseNodePN2JS5ValueE","__ZNK11JSParseNode15isGeneratorExprEv","__ZNK11JSParseNode13generatorExprEv","__ZN2js13ASTSerializer8propertyEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer10identifierEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer7literalEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer12atomContentsEP6JSAtom","__ZN2js13ASTSerializer12propertyNameEP11JSParseNodePN2JS5ValueE","__ZN2js13ASTSerializer12arrayPatternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE","__ZN2js13ASTSerializer13objectPatternEP11JSParseNodePNS_11VarDeclKindEPN2JS5ValueE","__ZN2js13ASTSerializer19functionArgsAndBodyEP11JSParseNodeRNS_15AutoValueVectorEPN2JS5ValueE","__ZN2js13ASTSerializer12functionArgsEP11JSParseNodeS2_S2_S2_RNS_15AutoValueVectorE","__ZN2js13ASTSerializer12functionBodyEP11JSParseNodePNS_8TokenPosEPN2JS5ValueE","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3411","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3412","__ZN2js2gcL15GetGCObjectKindEjb3408","_BUILD_JSVAL3416","__ZL13reflect_parseP9JSContextjPN2JS5ValueE","_JS_InitReflect","_OBJECT_TO_JSVAL3405","_js_free3406","_js_malloc3407","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3409","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3410","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3413","_js_calloc3414","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3415","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3417","__ZL14JSID_FROM_BITSj3426","_DOUBLE_TO_JSVAL_IMPL3432","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE3418","_OBJECT_TO_JSVAL_IMPL3420","__ZN2js11NodeBuilderC2EP9JSContextbPKc","_JSVAL_TO_INT32_IMPL3423","_JSVAL_IS_INT32_IMPL3424","_INT32_TO_JSVAL_IMPL3425","_JSVAL_TO_OBJECT_IMPL3427","_JSVAL_IS_OBJECT_IMPL3428","_JSVAL_IS_UNDEFINED_IMPL3429","__ZN2js22AutoReleaseNullablePtrC2EP9JSContextPv","_BOOLEAN_TO_JSVAL_IMPL3430","_JSDOUBLE_IS_NEGZERO3433","_STRING_TO_JSVAL_IMPL3434","_MAGIC_TO_JSVAL_IMPL3436","_JSVAL_IS_NULL_IMPL3437","_JSVAL_IS_MAGIC_IMPL3438","__ZN2js6RegExp6increfEP9JSContext","__ZL13IMPL_TO_JSVAL12jsval_layout3419","__ZN2js22AutoReleaseNullablePtrC1EP9JSContextPv","__ZL12ATOM_TO_JSIDP6JSAtom3421","__ZN2js22AutoReleaseNullablePtr5resetEPv","__ZN2JSL10Int32ValueEi3422","__ZN2js13ASTSerializerC1EP9JSContextbPKcj","__ZN2js13ASTSerializer4initEP8JSObject","__ZN2js22AutoReleaseNullablePtrD1Ev","__ZN2js22AutoReleaseNullablePtrD2Ev","__ZN2js11NodeBuilder4initEP8JSObject","__ZN2js13ASTSerializerC2EP9JSContextbPKcj","__ZN2js11NodeBuilderC1EP9JSContextbPKc","_JSDOUBLE_IS_INT323431","__ZN2JSL11StringValueEP8JSString3435","__ZN2js11NodeBuilder9setResultEP8JSObjectPN2JS5ValueE","__ZL13resc_finalizeP9JSContextP8JSObject","__ZL10resc_traceP8JSTracerP8JSObject","__Z20js_CloneRegExpObjectP9JSContextP8JSObjectS2_","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_3476","__Z17js_ObjectIsRegExpP8JSObject","__ZN2js6RegExp15reportPCREErrorEP9JSContexti","__ZN2js6RegExp15reportYarrErrorEP9JSContextPNS_11TokenStreamEN3JSC4Yarr9ErrorCodeE","__ZN2js6RegExp10parseFlagsEP9JSContextP8JSStringPj","__ZN2js6RegExp13createFlaggedEP9JSContextP8JSStringS4_PNS_11TokenStreamE","__ZN8JSObject24assignInitialRegExpShapeEP9JSContext","__ZL12ATOM_TO_JSIDP6JSAtom3481","__ZL19static_input_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL19static_input_setterP9JSContextP8JSObjectiiPN2JS5ValueE","__ZL23static_multiline_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL23static_multiline_setterP9JSContextP8JSObjectiiPN2JS5ValueE","__ZL23static_lastMatch_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL23static_lastParen_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL25static_leftContext_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL26static_rightContext_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren1_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren2_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren3_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren4_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren5_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren6_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren7_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren8_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL20static_paren9_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3482","__ZL15regexp_finalizeP9JSContextP8JSObject","__Z18js_regexp_toStringP9JSContextP8JSObjectPN2JS5ValueE","__ZN2JSL11StringValueEP8JSString3485","__ZN2js12StringBuffer16infallibleAppendEt","__ZN2js12StringBuffer6appendILj7EEEbRAT__Kc","__Z14js_regexp_execP9JSContextjPN2JS5ValueE","__ZL13ExecuteRegExpP9JSContext8ExecTypejPN2JS5ValueE","__Z14js_regexp_testP9JSContextjPN2JS5ValueE","__Z18js_XDRRegExpObjectP10JSXDRStatePP8JSObject","_JSID_IS_INT3496","_JSID_IS_STRING3497","_JSID_TO_FLAT_STRING3498","_BUILD_JSVAL3492","_OBJECT_TO_JSVAL_IMPL3499","__ZL15regexp_toStringP9JSContextjPN2JS5ValueE","__ZL14regexp_compileP9JSContextjPN2JS5ValueE","__Z18js_InitRegExpClassP9JSContextP8JSObject","__ZL16regexp_constructP9JSContextjPN2JS5ValueE","__ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcNS0_4TypeE","_js_realloc3488","_js_malloc3489","__ZN2JSL11ObjectValueER8JSObject3490","__ZN2JSL14UndefinedValueEv3491","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3493","__ZN2js5typesL15HashSetCapacityEj3494","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3495","__ZN2jsL14IsConstructingEPKN2JS5ValueE3500","__ZL20CompileRegExpAndSwapP9JSContextP8JSObjectjPN2JS5ValueES5_","__ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE7destroyEPtS3_","__ZN2js15ReentrancyGuardC2INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE6lengthEv","__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE5emptyEv","__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK7mozilla14AlignedStorageILj256EE4addrEv","__ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_","__ZN7mozilla14AlignedStorageILj256EE4addrEv","__ZL19SwapRegExpInternalsP9JSContextP8JSObjectPN2JS5ValueEP8JSStringj","__ZL16SwapObjectRegExpP9JSContextP8JSObjectN2js15AlreadyIncRefedINS3_6RegExpEEE","__ZL25EscapeNakedForwardSlashesP9JSContextP8JSString","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEEC1ES1_","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE7reserveEj","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE16infallibleAppendItEEvPKT_j","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE6appendIcEEbT_","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE6appendItEEbT_","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE16extractRawBufferEv","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorItLj128ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorItLj128ENS_15TempAllocPolicyEE18usingInlineStorageEv","_js_free3501","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendItEEvT_","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorItLj128ES1_EEj","__ZN2js10VectorImplItLj128ENS_15TempAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendIcEEvT_","__ZL11JS_ON_TRACEPK9JSContext3526","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3530","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3531","_DOUBLE_TO_JSVAL_IMPL3513","_STRING_TO_JSVAL_IMPL3502","_JSVAL_IS_UNDEFINED_IMPL3503","_JSVAL_TO_OBJECT_IMPL3504","_JSVAL_IS_OBJECT_IMPL3505","_JSVAL_IS_MAGIC_IMPL3506","_BOOLEAN_TO_JSVAL_IMPL3507","_JSVAL_IS_SPECIFIC_BOOLEAN3508","_INT32_TO_JSVAL_IMPL3514","_JSDOUBLE_IS_NEGZERO3515","_JSVAL_IS_NULL_IMPL3516","__ZL18JSDOUBLE_IS_FINITEd3520","__ZL15JSDOUBLE_IS_NaNd3521","_JSVAL_IS_DOUBLE_IMPL3522","_JSVAL_TO_INT32_IMPL3523","_JSVAL_IS_INT32_IMPL3524","__ZN2js11NeedsIncRefINS_6RegExpEEC2EPS1_","__ZNK2js11NeedsIncRefINS_6RegExpEE3getEv","__ZN2js2gcL15GetGCObjectKindEjb3527","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEE14internalAppendItEEvPKT_j","__ZN2js6VectorItLj128ENS_15TempAllocPolicyEEC2ES1_","__ZN2js12AutoRefCountINS_6RegExpEEC1EP9JSContextNS_11NeedsIncRefIS1_EE","__ZN2js11NeedsIncRefINS_6RegExpEEC1EPS1_","__ZNK8JSObject18getRegExpLastIndexEv","__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3509","__ZN2JSL9NullValueEv3510","__ZN8JSObject18setRegExpLastIndexEd","__ZN2js12AutoRefCountINS_6RegExpEED1Ev","__ZN2js12AutoRefCountINS_6RegExpEED2Ev","__ZN2JSL11NumberValueEd3511","_JSDOUBLE_IS_INT323512","__ZN2JSL12BooleanValueEb3517","__ZN2JSL10Int32ValueEi3518","__ZL18js_DoubleToIntegerd3519","__ZN2js12AutoRefCountINS_6RegExpEEC2EP9JSContextNS_11NeedsIncRefIS1_EE","__ZN2jsL17CheckStringLengthEP9JSContextj3525","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendERKt","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE3528","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3529","_js_calloc3532","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3535","__ZL14JSID_FROM_BITSj3545","_MAGIC_TO_JSVAL_IMPL3534","_JSVAL_TO_BOOLEAN_IMPL3536","_JSVAL_IS_BOOLEAN_IMPL3538","__ZNK2js13RegExpStatics9multilineEv","_JSVAL_TO_STRING_IMPL3543","_JSVAL_IS_STRING_IMPL3544","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3533","__ZNK2js13RegExpStatics11createParenEP9JSContextjPN2JS5ValueE","__ZNK2js13RegExpStatics9pairCountEv","__ZNK2js13RegExpStatics9makeMatchEP9JSContextjjPN2JS5ValueE","__ZNK2js6VectorIiLj20ENS_17SystemAllocPolicyEEixEj","__ZNK2js13RegExpStatics15createDependentEP9JSContextjjPN2JS5ValueE","__ZNK2js13RegExpStatics3getEjb","__ZNK2js13RegExpStatics18createRightContextEP9JSContextPN2JS5ValueE","__ZNK2js13RegExpStatics17createLeftContextEP9JSContextPN2JS5ValueE","__ZNK2js13RegExpStatics15createLastParenEP9JSContextPN2JS5ValueE","__ZNK2js13RegExpStatics15createLastMatchEP9JSContextPN2JS5ValueE","_JSVAL_IS_BOOLEAN","_JSVAL_TO_BOOLEAN","__ZL13JSVAL_TO_IMPLN2JS5ValueE3537","_BOOLEAN_TO_JSVAL3539","__ZL13IMPL_TO_JSVAL12jsval_layout3540","_JSVAL_IS_STRING3541","__ZN2js13RegExpStatics15setPendingInputEP8JSString","_JSVAL_TO_STRING3542","__ZNK2js13RegExpStatics18createPendingInputEP9JSContextPN2JS5ValueE","__ZN2jsL22GetGlobalForScopeChainEP9JSContext3546","__ZNK2js13RegExpStatics4markEP8JSTracer","__ZN9JSContext7delete_IN2js13RegExpStaticsEEEvPT_","__ZN2js13RegExpStaticsD1Ev","__ZN2js13RegExpStaticsD2Ev","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEED1Ev","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEED2Ev","__ZN2js11FindKeywordEPKtj","__ZN2jsL13VersionHasXMLE9JSVersion3598","__ZN2js11TokenStream8TokenBuf4initEPKtj","__ZNK2js11TokenStream8TokenBuf11hasRawCharsEv","__ZN2js11TokenStream8TokenBuf10getRawCharEv","__ZN2js11TokenStream8TokenBuf12matchRawCharEt","__ZN2js11TokenStream8TokenBuf12ungetRawCharEv","__ZNK2js11TokenStream8TokenBuf7atStartEv","__ZN2js11TokenStream8TokenBuf21matchRawCharBackwardsEt","__Z15js_IsIdentifierP14JSLinearString","__ZN2js7unicode17IsIdentifierStartEt","__ZN2js7unicode16IsIdentifierPartEt","__ZN2js11TokenStreamC2EP9JSContext","__ZN2js11TokenStream8TokenBufC1Ev","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEEC1ES1_","__ZN2js11TokenStream4initEPKtjPKcj9JSVersion","__ZN2js11TokenStreamD2Ev","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEED1Ev","__Z8js_fgetsPciP7__sFILE","__ZN2js11TokenStream7getCharEv","__ZN2js11TokenStream20updateLineInfoForEOLEv","__ZN2js11TokenStream16getCharIgnoreEOLEv","__ZN2js11TokenStream9ungetCharEi","__ZN2js11TokenStream18ungetCharIgnoreEOLEi","__ZN2js11TokenStream9peekCharsEiPt","__ZN2js11TokenStream8TokenBuf12isRawEOLCharEi","__ZN2js11TokenStream12isStrictModeEv","__ZN2js11TokenStream8TokenBuf7findEOLEv","__ZN2js11TokenStream26reportCompileErrorNumberVAEP11JSParseNodejjPc","__ZN2jsL7PodZeroI13JSErrorReportEEvPT_3601","__ZN2js21ReportStrictModeErrorEP9JSContextPNS_11TokenStreamEP13JSTreeContextP11JSParseNodejz","__ZN2js24ReportCompileErrorNumberEP9JSContextPNS_11TokenStreamEP11JSParseNodejjz","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE3endEv","__ZN2js11TokenStream12getXMLEntityEv","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbT_","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIiEEbT_","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE8shrinkByEj","__ZN2js7unicode10IsXMLSpaceEt","__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE5emptyEv","__ZN2js11TokenStream15getXMLTextOrTagEPNS_9TokenKindEPPNS_5TokenE","__ZN2js11TokenStream8newTokenEi","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE5clearEv","__ZN2js11TokenStream7atomizeEP9JSContextRNS_6VectorItLj32ENS_15TempAllocPolicyEEE","__ZN2js7unicode19IsXMLNamespaceStartEt","__ZN2js7unicode13IsXMLNamePartEt","__ZN2js11TokenStream8peekCharEv","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbPKT_j","__ZN2js11TokenStream9matchCharEi","__ZN2js11TokenStream12getXMLMarkupEPNS_9TokenKindEPPNS_5TokenE","__ZN2js11TokenStream9skipCharsEi","__ZN2js7unicode18IsXMLNamespacePartEt","__ZN2js11TokenStream17peekUnicodeEscapeEPi","__ZN2js11TokenStream25matchUnicodeEscapeIdStartEPi","__ZN2js11TokenStream23matchUnicodeEscapeIdentEPi","__ZL10CharsMatchPKtPKc","__ZN2js11TokenStream8TokenBuf20addressOfNextRawCharEv","__ZN2js11TokenStream8TokenBuf23setAddressOfNextRawCharEPKt","__ZN2js11TokenStream9getAtLineEv","__ZN2js7unicode13IsSpaceOrBOM2Et","__ZN2js11TokenStream21getAtSourceMappingURLEv","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendItEEbT_","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEEixEj","__ZN2js11TokenStream18putIdentInTokenbufEPKt","__ZN2js11TokenStream16getTokenInternalEv","__ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE7destroyEPtS3_","__ZN2js15ReentrancyGuardC2INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_","__ZN2jsL13VersionNumberE9JSVersion3612","__ZN2js13PropertyTable13sizeOfEntriesEj","__ZN2js11TokenStream17updateFlagsForEOLEv","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13copyConstructItEEvPtPKT_S7_","__ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13copyConstructIcEEvPtPKT_S7_","__ZNK2js7unicode13CharacterInfo8isLetterEv","__ZNK2js7unicode13CharacterInfo15isEnclosingMarkEv","__ZNK2js7unicode13CharacterInfo22isCombiningSpacingMarkEv","__ZN2js11TokenStream8TokenBufC2Ev","__ZNK2js7unicode13CharacterInfo16isIdentifierPartEv","__ZN2js7unicode8IsLetterEt","__ZNK9JSContext15hasAtLineOptionEv","__ZN2js15ReentrancyGuardC1INS_6VectorItLj32ENS_15TempAllocPolicyEEEEERT_","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendItEEvT_","__ZNK2js6VectorItLj32ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorItLj32ES1_EEj","_js_realloc3608","__ZN2js10VectorImplItLj32ENS_15TempAllocPolicyELb1EE13moveConstructItEEvPtPKT_S7_","_js_malloc3609","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE6appendIcEEbPKT_S6_","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIcEEvPKT_j","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIiEEvT_","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEE14internalAppendIcEEvT_","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEED2Ev","_js_free3610","__ZN2js6VectorItLj32ENS_15TempAllocPolicyEEC2ES1_","__ZN2jsL21VersionShouldParseXMLE9JSVersion3611","__Z16js_GenerateShapeP9JSRuntime","__Z16js_GenerateShapeP9JSContext","__ZN8JSObject38ensureClassReservedSlotsForEmptyObjectEP9JSContext","__ZN2js13PropertyTable4initEP9JSRuntimePNS_5ShapeE","__ZN2jsL6HashIdEi","__ZNK2js13PropertyTable8capacityEv","__ZN2js13PropertyTable6searchEib","__ZN2js5Shape7hashifyEP9JSContext","__ZN9JSRuntime4new_IN2js13PropertyTableEjEEPT_T0_","__ZN2js13PropertyTable6changeEiP9JSContext","__ZN2js13PropertyTable4growEP9JSContext","__ZN2js5Shape8getChildEP9JSContextRKS0_PPS0_","__ZNK2js13PropertyTable11needsToGrowEv","__ZN2js5Shape18newDictionaryShapeEP9JSContextRKS0_PPS0_","__ZN2js5Shape17newDictionaryListEP9JSContextPPS0_","__ZL24NormalizeGetterAndSetterP9JSContextP8JSObjectijjRPFiS0_S2_iPN2JS5ValueEERPFiS0_S2_iiS5_E","__ZNK2js5Shape6frozenEv","__ZN8JSObject13clearOwnShapeEv","__ZN8JSObject18removeLastPropertyEv","__ZN8JSObject16getChildPropertyEP9JSContextPN2js5ShapeERS3_","__ZN2js5Shape20insertIntoDictionaryEPPS0_","__ZN8JSObject16toDictionaryModeEP9JSContext","__ZN8JSObject11addPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji","__ZN8JSObject19addPropertyInternalEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_EjjjiPPN2js5ShapeE","__ZN8JSObject11putPropertyEP9JSContextiPFiS1_PS_iPN2JS5ValueEEPFiS1_S2_iiS5_Ejjji","__Z19CheckCanChangeAttrsP9JSContextP8JSObjectPKN2js5ShapeEPj","__ZNK2js5Shape20removeFromDictionaryEP8JSObject","__ZNK2js5Shape8getFlagsEv","__ZNK8JSObject20getMethodThrashCountEv","__ZN8JSObject20setMethodThrashCountEj","__ZN2JSL14UndefinedValueEv3631","__ZN8JSObject14changePropertyEP9JSContextPKN2js5ShapeEjjPFiS1_PS_iPN2JS5ValueEEPFiS1_S6_iiS9_E","__ZN8JSObject14removePropertyEP9JSContexti","__ZN2JSL18PrivateUint32ValueEj3636","__ZN8JSObject5clearEP9JSContext","__ZN2jsL24LeaveTraceIfGlobalObjectEP9JSContextP8JSObject3639","__ZN8JSObject18rollbackPropertiesEP9JSContextj","__ZN8JSObject16generateOwnShapeEP9JSContext","__ZN8JSObject19deletingShapeChangeEP9JSContextRKN2js5ShapeE","__ZN8JSObject17methodShapeChangeEP9JSContextRKN2js5ShapeE","_JSID_IS_INT3658","_JSID_IS_STRING3659","_JSID_TO_FLAT_STRING3660","_JSID_TO_INT3662","_JSID_TO_STRING3664","_INT_TO_JSID3676","__ZL26js_IsPropertyCacheDisabledP9JSContext3652","__ZN2js13PropertyTableC2Ej","_PRIVATE_UINT32_TO_JSVAL_IMPL3654","_BUILD_JSVAL3661","__ZN8JSObject17methodShapeChangeEP9JSContextj","__ZN8JSObject16protoShapeChangeEP9JSContext","__ZN8JSObject20shadowingShapeChangeEP9JSContextRKN2js5ShapeE","__ZN8JSObject26globalObjectOwnShapeChangeEP9JSContext","__ZN2js13PropertyTableC1Ej","_js_malloc3653","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3655","__ZN2js5typesL15HashSetCapacityEj3656","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3657","__ZL12JSID_TO_ATOMi3663","_js_free3665","_js_calloc3666","__ZNK2js8Bindings6lookupEP9JSContextP6JSAtomPj","__ZL12ATOM_TO_JSIDP6JSAtom3673","__ZN2js8Bindings3addEP9JSContextP6JSAtomNS_11BindingKindE","__ZN2js8Bindings11ensureShapeEP9JSContext","__ZN2js8Bindings17getLocalNameArrayEP9JSContextPNS_6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEEE","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE19growByUninitializedEj","__ZL12JSID_IS_ATOMi3679","__ZL12JSID_TO_ATOMi3680","__ZNK2js8Bindings9lastUpvarEv","__ZN2js5Shape9setFrozenEv","__ZNK2js8Bindings12lastArgumentEv","__ZNK2js8Bindings12lastVariableEv","__ZN2js8Bindings13sharpSlotBaseEP9JSContext","__ZN2js8Bindings13makeImmutableEv","__ZN2js8Bindings5traceEP8JSTracer","__Z12js_XDRScriptP10JSXDRStatePP8JSScript","__Z21js_MarkScriptFilenamePKc","__ZN2jsL7PodZeroIjEEvPT_j","__ZN8JSScript8numNotesEv","__ZN8JSScript9NewScriptEP9JSContextjjjjjjjjjttj9JSVersion","__ZL18SaveScriptFilenameP9JSContextPKc","__ZN12JSPCCounters4initEP9JSContextj","__ZN12JSPCCounters7destroyEP9JSContext","__ZL12script_traceP8JSTracerP8JSObject","__Z23js_SweepScriptFilenamesP13JSCompartment","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumC1IS8_EERT_","__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range5emptyEv","__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range5frontEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4Enum11removeFrontEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5Range8popFrontEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumD1Ev","__Z14js_NewGCScriptP9JSContext","__ZN2jsL7PodZeroI8JSScriptEEvPT_","__ZN8JSScript15NewScriptFromCGEP9JSContextP15JSCodeGenerator","__ZN8JSScript14setOwnerObjectEP8JSObject","__ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE6hasMapEv","__ZN2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEE6getMapEv","__ZN2js11TokenStream16releaseSourceMapEv","__ZNK15JSCodeGenerator7versionEv","__ZNK15JSCodeGenerator15hasUpvarIndicesEv","__ZN2js6VectorINS_11UpvarCookieELj8ENS_15TempAllocPolicyEE5clearEv","__ZN2js6VectorIjLj8ENS_15TempAllocPolicyEEixEj","__Z18js_NewScriptObjectP9JSContextP8JSScript","__Z20js_CallNewScriptHookP9JSContextP8JSScriptP10JSFunction","__ZN8JSScript8dataSizeEv","__ZN8JSScript8dataSizeEPFjPvE","__Z24js_CallDestroyScriptHookP9JSContextP8JSScript","__ZN2js8Debugger15onDestroyScriptEP8JSScript","__ZN8JSScript8finalizeEP9JSContext","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_3707","__ZN2js8GSNCache5purgeEv","__ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE11initializedEv","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE6finishEv","__Z19js_GetSrcNoteCachedP9JSContextP8JSScriptPh","__ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE6lookupERKS1_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrptEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrcvMSC_FvvEEv","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE4initEj","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE3putERKS1_S7_","__Z22js_FramePCToLineNumberP9JSContextPN2js10StackFrameEPh","__Z17js_PCToLineNumberP9JSContextP8JSScriptPh","__ZL12js_GetOpcodeP9JSContextP8JSScriptPh3716","__Z17js_LineNumberToPCP8JSScriptj","__Z22js_GetScriptLineExtentP8JSScript","__ZN2js11CurrentLineEP9JSContext","__ZN2js28CurrentScriptFileAndLineSlowEP9JSContextPj","__ZN8JSScript20recompileForStepModeEP9JSContext","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5hash2Ejjj","__ZNK14AutoJSXDRStatecvP10JSXDRStateEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrdeEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE12setCollisionEv","__Z14js_CloneScriptP9JSContextP8JSScript","__ZN14AutoJSXDRStateC1EP10JSXDRState","__ZN28DisablePrincipalsTranscodingC1EP9JSContext","__ZN14AutoJSXDRStateD1Ev","__ZN28DisablePrincipalsTranscodingD1Ev","__ZN8JSScript17copyClosedSlotsToEPS_","__ZN8JSScript14tryNewStepModeEP9JSContextj","__ZN2js17InterpreterFrames25enableInterruptsIfRunningEP8JSScript","__ZN8JSScript15setStepModeFlagEP9JSContextb","__ZN8JSScript19changeStepModeCountEP9JSContexti","__ZNK2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE12lookupForAddERKS1_","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S1_EENS5_13MapHashPolicyES4_E6AddPtrERKS1_SF_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrEPPS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3addERNSB_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11createTableERS8_j","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr7nonNullEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE10isLiveHashEj","__ZN2js13PointerHasherIPhLj0EE5matchERKS1_S4_","__ZN2js13PointerHasherIPhLj0EE4hashERKS1_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEC2ERS6_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIPhS2_EEEC2ERS3_","__ZNK2js7MoveRefINS_12HashMapEntryIPhS2_EEEptEv","__ZN2js12HashMapEntryIPhS1_EC2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC2ERNS0_14HashTableEntryIS4_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE12setCollisionEj","__ZN2js7HashMapIPhS1_NS_13PointerHasherIS1_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S1_EE","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11initializedEv","__ZN2js2gcL15GetGCObjectKindEjb3731","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEENS_7MoveRefIT_EERS8_","_js_free3729","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIPhS4_EEEEEC1ERS6_","__ZN2js12HashMapEntryIPhS1_EaSENS_7MoveRefIS2_EE","__ZN2js4MoveINS_12HashMapEntryIPhS2_EEEENS_7MoveRefIT_EERS5_","__ZN2js7MoveRefINS_12HashMapEntryIPhS2_EEEC1ERS3_","__ZN2js4MoveIPhEENS_7MoveRefIT_EERS3_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIPhS3_EEEC2Ev","__ZN2js12HashMapEntryIPhS1_EC1Ev","_js_malloc3730","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E12lookupForAddERKS3_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIPhS5_EENS_7HashMapIS5_S5_NS_13PointerHasherIS5_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyESA_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E11prepareHashERKS3_","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E5matchERNS0_14HashTableEntryIS4_EERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E4initEj","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6lookupERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E3PtrC1ERNS0_14HashTableEntryIS4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIPhS3_EENS_7HashMapIS3_S3_NS_13PointerHasherIS3_Lj0EEENS_17SystemAllocPolicyEE13MapHashPolicyES8_E6finishEv","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3734","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3740","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3735","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10isLiveHashEj","_BUILD_JSVAL3738","_MAGIC_TO_JSVAL_IMPL3739","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE3741","__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12hasCollisionEv","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10setRemovedEv","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE7setFreeEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11underloadedEv","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEC2ERS6_","__ZNK2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEptEv","__ZNK2js7MoveRefIPNS_19ScriptFilenameEntryEEcvRS2_Ev","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE3732","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_3733","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE3736","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3737","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6removeERNS0_14HashTableEntryIS4_EE","__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isLiveEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumD2Ev","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E16checkUnderloadedEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E15changeTableSizeEi","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E13findFreeEntryEj","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEEEEC1ERS6_","__ZN2js4MoveIPNS_19ScriptFilenameEntryEEENS_7MoveRefIT_EERS4_","__ZN2js7MoveRefIPNS_19ScriptFilenameEntryEEC1ERS2_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash1Ejj","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5hash2Ejjj","__ZN2js7MoveRefIPNS_19ScriptFilenameEntryEEC2ERS2_","__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE6isFreeEv","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12setCollisionEv","__ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","__ZN28DisablePrincipalsTranscodingD2Ev","__ZN14AutoJSXDRStateC2EP10JSXDRState","__ZNK2js15AtomThingMapPtrINS_9InlineMapIP6JSAtomjLj24EEEEptEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP6JSAtomjEENS_7HashMapIS4_jNS_13DefaultHasherIS4_EENS_15TempAllocPolicyEE13MapHashPolicyES9_E5emptyEv","__ZNK2js11TokenStream16versionWithFlagsEv","__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrdeEv","__ZNK2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE9isRemovedEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10overloadedEv","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE7setLiveEj","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E4EnumC2IS8_EERT_","__ZNK2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE3allEv","__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3allEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5RangeC1EPNS0_14HashTableEntryIS4_EESE_","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5RangeC2EPNS0_14HashTableEntryIS4_EESE_","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE10growByImplILb0EEEbj","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIP6JSAtomLj0ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj0ES3_EEj","_js_realloc3742","__ZN2js10VectorImplIP6JSAtomLj0ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN14AutoJSXDRStateD2Ev","__ZN28DisablePrincipalsTranscodingC2EP9JSContext","__ZNK2js9InlineMapIP6JSAtomjLj24EE5emptyEv","__ZNK2js7HashMapIP6JSAtomjNS_13DefaultHasherIS2_EENS_15TempAllocPolicyEE5emptyEv","__ZNK2js6Parser16versionWithFlagsEv","__Z10NewGCThingI8JSScriptEPT_P9JSContextN2js2gc9AllocKindEj","__ZNK2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE12lookupForAddERKPKc","__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrcvMSB_FvvEEv","__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableIKS2_NS5_6SetOpsES4_E6AddPtrERS8_","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrERS4_","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3addERNSA_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_","__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr5foundEv","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3Ptr7nonNullEv","__ZN2js7HashSetIPNS_19ScriptFilenameEntryENS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOps6getKeyERKS2_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_","__ZL14JSID_FROM_BITSj3746","_JSID_TO_STRING3744","_JSID_IS_STRING3745","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E3PtrC2ERNS0_14HashTableEntryIS4_EE","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE9matchHashEj","__ZN2js6detail14HashTableEntryIKPNS_19ScriptFilenameEntryEE12setCollisionEj","__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkC2EP11JSArenaPool","__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E12lookupForAddERKPKc","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS5_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES9_EEEERT_","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E11prepareHashERKPKc","__ZNK2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6lookupERKPKcjj","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC1ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E6AddPtrC2ERNS0_14HashTableEntryIS4_EEj","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E5matchERNS0_14HashTableEntryIS4_EERKPKc","__ZN2js20ScriptFilenameHasher5matchEPKNS_19ScriptFilenameEntryEPKc","__ZN2js20ScriptFilenameHasher4hashEPKc","__ZN2js6detail9HashTableIKPNS_19ScriptFilenameEntryENS_7HashSetIS3_NS_20ScriptFilenameHasherENS_17SystemAllocPolicyEE6SetOpsES7_E10isLiveHashEj","_js_calloc3743","__ZZ12js_XDRScriptP10JSXDRStatePP8JSScriptEN8AutoMarkD2Ev","__ZN2js10EmptyShape17getEmptyCallShapeEP9JSContext","__ZL10str_escapeP9JSContextjPN2JS5ValueE","__ZL12str_unescapeP9JSContextjPN2JS5ValueE","__ZL10str_unevalP9JSContextjPN2JS5ValueE","__ZL13str_decodeURIP9JSContextjPN2JS5ValueE","__ZL13str_encodeURIP9JSContextjPN2JS5ValueE","__ZL23str_decodeURI_ComponentP9JSContextjPN2JS5ValueE","__ZL23str_encodeURI_ComponentP9JSContextjPN2JS5ValueE","__ZL13str_enumerateP9JSContextP8JSObject","__ZL11str_resolveP9JSContextP8JSObjectijPS2_","__Z15js_str_toStringP9JSContextjPN2JS5ValueE","__ZN2js16GetPrimitiveThisIP8JSStringEEbP9JSContextPN2JS5ValueEPT_","__Z21js_BoyerMooreHorspoolPKtjS0_j","__Z14js_toLowerCaseP9JSContextP8JSString","__Z12js_NewStringP9JSContextPtj","__Z14js_toUpperCaseP9JSContextP8JSString","__ZN2js7unicode11ToUpperCaseEt","__Z13js_str_charAtP9JSContextjPN2JS5ValueE","__ZL26ThisToStringForStringProtoP9JSContextPN2JS5ValueE","__ZN2jsL9ToIntegerEP9JSContextRKN2JS5ValueEPd3824","__Z17js_str_charCodeAtP9JSContextjPN2JS5ValueE","__Z15js_strchr_limitPKttS0_","__ZNK9FlatMatch5matchEv","__ZN2js11str_replaceEP9JSContextjPN2JS5ValueE","__ZN11ReplaceDataC1EP9JSContext","__ZN11RegExpGuard4initEjPN2JS5ValueEb","__ZL13js_IsCallableRKN2JS5ValueE3827","__ZN2JSL14UndefinedValueEv3828","__ZL17ArgToRootedStringP9JSContextjPN2JS5ValueEj","__ZN11RegExpGuard12tryFlatMatchEP9JSContextP8JSStringjjb","__ZL18str_replace_regexpP9JSContextjPN2JS5ValueER11ReplaceData","__ZL23str_replace_flat_lambdaP9JSContextjPN2JS5ValueER11ReplaceDataRK9FlatMatch","__ZL22BuildDollarReplacementP9JSContextP8JSStringP14JSLinearStringPKtRK9FlatMatchPN2JS5ValueE","__ZN11ReplaceDataD1Ev","__ZL9str_quoteP9JSContextjPN2JS5ValueE","__ZL20BuildFlatReplacementP9JSContextP8JSStringS2_RK9FlatMatchPN2JS5ValueE","__ZL12str_toSourceP9JSContextjPN2JS5ValueE","__ZL13str_substringP9JSContextjPN2JS5ValueE","__ZL15str_toLowerCaseP9JSContextjPN2JS5ValueE","__ZL15str_toUpperCaseP9JSContextjPN2JS5ValueE","__ZL11str_indexOfP9JSContextjPN2JS5ValueE","__ZL15str_lastIndexOfP9JSContextjPN2JS5ValueE","__ZL8str_trimP9JSContextjPN2JS5ValueE","__ZL12str_trimLeftP9JSContextjPN2JS5ValueE","__ZL13str_trimRightP9JSContextjPN2JS5ValueE","__ZL21str_toLocaleLowerCaseP9JSContextjPN2JS5ValueE","__ZL21str_toLocaleUpperCaseP9JSContextjPN2JS5ValueE","__ZL17str_localeCompareP9JSContextjPN2JS5ValueE","__ZL9str_matchP9JSContextjPN2JS5ValueE","__ZL10str_searchP9JSContextjPN2JS5ValueE","__ZL9str_splitP9JSContextjPN2JS5ValueE","__ZL10str_substrP9JSContextjPN2JS5ValueE","__ZL10str_concatP9JSContextjPN2JS5ValueE","__ZL9str_sliceP9JSContextjPN2JS5ValueE","__ZL8str_boldP9JSContextjPN2JS5ValueE","__ZL11str_italicsP9JSContextjPN2JS5ValueE","__ZL9str_fixedP9JSContextjPN2JS5ValueE","__ZL12str_fontsizeP9JSContextjPN2JS5ValueE","__ZL13str_fontcolorP9JSContextjPN2JS5ValueE","__ZL8str_linkP9JSContextjPN2JS5ValueE","__ZL10str_anchorP9JSContextjPN2JS5ValueE","__ZNK2js6VectorItLj32ENS_18ContextAllocPolicyEE8capacityEv","__ZL10str_strikeP9JSContextjPN2JS5ValueE","__ZL9str_smallP9JSContextjPN2JS5ValueE","__ZL7str_bigP9JSContextjPN2JS5ValueE","__ZL9str_blinkP9JSContextjPN2JS5ValueE","__ZL7str_supP9JSContextjPN2JS5ValueE","__ZL7str_subP9JSContextjPN2JS5ValueE","__Z9js_StringP9JSContextjPN2JS5ValueE","__Z16js_ValueToStringP9JSContextRKN2JS5ValueE","__ZN2jsL14IsConstructingEPKN2JS5ValueE3833","__ZL16str_fromCharCodeP9JSContextjPN2JS5ValueE","__ZN2js12StringObject18assignInitialShapeEP9JSContext","__ZL12ATOM_TO_JSIDP6JSAtom3836","__Z18js_InitStringClassP9JSContextP8JSObject","__ZN2jsL17CheckStringLengthEP9JSContextj3839","__ZN13JSFixedString4new_EP9JSContextPKtj","__ZN2js12StringBuffer16extractWellSizedEv","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16extractRawBufferEv","__ZN2js12StringBuffer12finishStringEv","__Z9js_strlenPKt","__ZL14NewShortStringP9JSContextPKtj","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE6appendIcEEbT_","__ZN2js12StringBuffer10finishAtomEv","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE5clearEv","__Z21js_NewDependentStringP9JSContextP8JSStringjj","__ZN17JSDependentString4new_EP9JSContextP14JSLinearStringPKtj","__Z17js_NewStringCopyNP9JSContextPKtj","__Z17js_NewStringCopyNP9JSContextPKcj","__ZL14NewShortStringP9JSContextPKcj","__ZN2js13InflateStringEP9JSContextPKcPjNS_13FlationCodingE","__Z17js_NewStringCopyZP9JSContextPKt","__Z17js_NewStringCopyZP9JSContextPKc","__Z19js_ValueToPrintableP9JSContextRKN2JS5ValueEP16JSAutoByteStringb","_JSDOUBLE_IS_NEGZERO3865","__Z9js_strchrPKtt","__Z16js_ValueToSourceP9JSContextRKN2JS5ValueE","__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE3862","__ZN2js23ValueToStringBufferSlowEP9JSContextRKN2JS5ValueERNS_12StringBufferE","__ZN2js12StringBuffer6appendEP6JSAtom","__ZN2JSL9NullValueEv3866","__ZN2js12EqualStringsEP9JSContextP8JSStringS3_Pi","__ZN2jsL8PodEqualIKtEEbPT_S3_j3869","__ZN2js12EqualStringsEP14JSLinearStringS1_","__Z22js_EqualStringsOnTraceP9JSContextP8JSStringS2_","__ZN2js14CompareStringsEP9JSContextP8JSStringS3_Pi","__ZN2jsL18CompareStringsImplEP9JSContextP8JSStringS3_Pi","__Z24js_CompareStringsOnTraceP9JSContextP8JSStringS2_","__ZN2js17StringEqualsAsciiEP14JSLinearStringPKc","__ZN2js25InflateUTF8StringToBufferEP9JSContextPKcjPtPjNS_13FlationCodingE","__ZN2js13DeflateStringEP9JSContextPKtj","__ZN2js23GetDeflatedStringLengthEP9JSContextPKtj","__ZN2js21DeflateStringToBufferEP9JSContextPKtjPcPj","__ZN2js27GetDeflatedUTF8StringLengthEP9JSContextPKtjNS_13FlationCodingE","__ZN2js6detail17PrimitiveBehaviorIP8JSStringE8getClassEv","__Z20js_OneUcs4ToUtf8CharPhj","__ZL17Utf8ToOneUcs4CharPKhi","__ZN2js25DeflateStringToUTF8BufferEP9JSContextPKtjPcPjNS_13FlationCodingE","__ZN2js21InflateStringToBufferEP9JSContextPKcjPtPj","__ZN2js20PutEscapedStringImplEPcjP7__sFILEP14JSLinearStringj","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE14internalAppendIcEEvT_","_js_realloc3890","__ZN2js6detail17PrimitiveBehaviorIP8JSStringE6isTypeERKN2JS5ValueE","__ZN2js6detail17PrimitiveBehaviorIP8JSStringE7extractERKN2JS5ValueE","_BUILD_JSVAL3892","_JSVAL_IS_PRIMITIVE_IMPL3893","_JSVAL_IS_UNDEFINED_IMPL3894","_JSVAL_IS_NUMBER_IMPL3895","_JSVAL_IS_NULL_IMPL3896","__ZL6EncodeP9JSContextP8JSStringPKtS4_PN2JS5ValueE","__ZL22TransferBufferToStringP9JSContextRN2js12StringBufferEPN2JS5ValueE","__ZL6DecodeP9JSContextP8JSStringPKtPN2JS5ValueE","_js_malloc3891","__ZL11JS_ON_TRACEPK9JSContext3901","__ZL14JSID_FROM_BITSj3911","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE3917","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE3922","__ZN14JSInlineString10lengthFitsEj","_JSID_IS_INT3906","_JSID_IS_STRING3907","_JSID_TO_FLAT_STRING3908","__ZN2js13StaticStrings7hasUnitEt","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE3918","_JSVAL_TO_BOOLEAN_IMPL3897","_JSVAL_IS_BOOLEAN_IMPL3898","_JSVAL_IS_DOUBLE_IMPL3899","_OBJECT_TO_JSVAL_IMPL3912","__ZN2js2gcL15GetGCObjectKindEjb3914","_MAGIC_TO_JSVAL_IMPL3921","_JSVAL_IS_MAGIC_IMPL3923","__ZN14JSInlineString4new_EP9JSContext","__ZN13JSShortString4new_EP9JSContext","__ZN14JSInlineString11resetLengthEj","__ZN17JSDependentString4initEP14JSLinearStringPKtj","__ZN2jsL7PodCopyItEEvPT_PKS1_j3900","__ZN13JSFixedString4initEPKtj","__ZN2JSL11ObjectValueER8JSObject3902","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_3903","__ZN2js5typesL15HashSetCapacityEj3904","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_3905","__ZN2JSL11StringValueEP8JSString3909","__ZN2JSL10Int32ValueEi3910","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3913","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE3915","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE3916","_js_calloc3919","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb3920","__ZL6tagifyP9JSContextPKcP14JSLinearStringS2_PN2JS5ValueE","_js_free3924","__ZL12tagify_valueP9JSContextjPN2JS5ValueEPKcS5_","__Z19ValueToIntegerRangeP9JSContextRKN2JS5ValueEPi","__ZL15VALUE_IS_REGEXPP9JSContextN2JS5ValueE","__ZL11SplitHelperI18SplitRegExpMatcherEP8JSObjectP9JSContextP14JSLinearStringjT_PN2js5types10TypeObjectE","__ZN18SplitRegExpMatcherC1EPN2js6RegExpEPNS0_13RegExpStaticsE","__ZNK16SplitMatchResult9isFailureEv","__ZNK16SplitMatchResult6lengthEv","__ZNK16SplitMatchResult8endIndexEv","__ZN16SplitMatchResult10setFailureEv","__ZN16SplitMatchResult9setResultEjj","__ZN9ManualCmp13computeExtentEPKtj","__ZN9ManualCmp5matchEPKtS1_S1_","__ZL11SplitHelperI18SplitStringMatcherEP8JSObjectP9JSContextP14JSLinearStringjT_PN2js5types10TypeObjectE","__ZN18SplitStringMatcherC1EP14JSLinearString","__ZN18SplitStringMatcherC2EP14JSLinearString","__ZN18SplitStringMatcherclEP9JSContextP14JSLinearStringjP16SplitMatchResult","__ZL11StringMatchPKtjS0_j","__ZL13UnrolledMatchI9ManualCmpEiPKtjS2_j","__ZN2jsL22GetGlobalForScopeChainEP9JSContext3925","__ZNK2js13RegExpStatics13checkParenNumEj","__ZN2js6RegExp10isMetaCharEt","__ZN18SplitRegExpMatcherC2EPN2js6RegExpEPNS0_13RegExpStaticsE","_JSVAL_IS_SPECIFIC_BOOLEAN3926","_BOOLEAN_TO_JSVAL_IMPL3928","__ZNK2js12AutoRefCountINS_6RegExpEEdeEv","__ZNK2js12AutoRefCountINS_6RegExpEE4nullEv","__ZN9FlatMatchC2Ev","__ZN2js12AutoRefCountINS_6RegExpEEC2EP9JSContext","__ZN18SplitRegExpMatcherclEP9JSContextP14JSLinearStringjP16SplitMatchResult","__ZNK2js13RegExpStatics10parenCountEv","__ZNK2js13RegExpStatics13pairIsPresentEj","__ZNK2js13RegExpStatics8getParenEjP11JSSubString","__ZN2js5types15AddTypePropertyEP9JSContextPNS0_10TypeObjectEPKcRKN2JS5ValueE","__ZNK2js13RegExpStatics14getParenLengthEj","__ZNK2js13RegExpStatics12getLastMatchEP11JSSubString","__ZN2JSL12BooleanValueEb3927","__ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_3929","__ZN11RegExpGuardC1EP9JSContext","__ZN11RegExpGuard15normalizeRegExpEbjjPN2JS5ValueE","__ZNK10RegExpPair2reEv","__ZNK2js13RegExpStatics10matchStartEv","__ZN11RegExpGuardD1Ev","__ZN11RegExpGuardD2Ev","__ZN10RegExpPairD1Ev","__ZN10RegExpPairD2Ev","__ZNK10RegExpPair9hasRegExpEv","__ZN11RegExpGuard14flattenPatternEP9JSContextP14JSLinearString","__ZN10RegExpPair5resetEN2js15AlreadyIncRefedINS0_6RegExpEEE","__ZN2js12AutoRefCountINS_6RegExpEE5resetENS_15AlreadyIncRefedIS1_EE","__ZN11RegExpGuardC2EP9JSContext","__ZN10RegExpPairC1EP9JSContext","__ZN9FlatMatchC1Ev","__ZN10RegExpPairC2EP9JSContext","__ZN2js12AutoRefCountINS_6RegExpEEC1EP9JSContext","__ZL19BuildFlatMatchArrayP9JSContextP8JSStringRK9FlatMatchPN2JS5ValueE","__ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEEEERT_","__ZNK10RegExpPair5reobjEv","__ZNK9FlatMatch7patternEv","__ZL15JSDOUBLE_IS_NaNd3930","__ZL18JSDOUBLE_IS_FINITEd3932","__ZNK9FlatMatch13patternLengthEv","__ZNK2js18StringSegmentRange5emptyEv","__ZNK2js18StringSegmentRange5frontEv","__ZN2js11RopeBuilder6resultEv","__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE5emptyEv","__ZL7DoMatchP9JSContextPN2js13RegExpStaticsEP8JSStringRK10RegExpPairPFbS0_S3_jPvES9_17MatchControlFlagsPN2JS5ValueE","__ZL13MatchCallbackP9JSContextPN2js13RegExpStaticsEjPv","__ZN8JSObject13defineElementEP9JSContextjRKN2JS5ValueEPFiS1_PS_iPS3_EPFiS1_S6_iiS7_Ej","__ZL7MatchedbRKN2JS5ValueE","__ZNK2js13RegExpStatics7matchedEv","__ZL13js_TrimStringP9JSContextPN2JS5ValueEii","__ZL18js_DoubleToIntegerd3931","__ZN11ReplaceDataD2Ev","__ZN2js11RopeBuilderC1EP9JSContext","__ZN2js18StringSegmentRangeC1EP9JSContext","__ZN2js18StringSegmentRange4initEP8JSString","__ZN2js11RopeBuilder6appendEP8JSString","__ZN2js18StringSegmentRange8popFrontEv","__ZN2js18StringSegmentRangeD1Ev","__ZN2js18StringSegmentRangeD2Ev","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEED1Ev","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEEEERT_","__ZNK2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE18usingInlineStorageEv","__ZN2js18StringSegmentRange6settleEP8JSString","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE7popCopyEv","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE4backEv","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE7popBackEv","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE3endEv","__ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","__ZN2js11RopeBuilderC2EP9JSContext","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE6appendIS2_EEbT_","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE13growStorageByEj","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE14internalAppendIS2_EEvT_","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj32ES3_EEj","__ZN2js10VectorImplIP8JSStringLj32ENS_15TempAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js18StringSegmentRangeC2EP9JSContext","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEC1ES3_","__ZN2js6VectorIP8JSStringLj32ENS_15TempAllocPolicyEEC2ES3_","__ZN2js12StringBuffer16infallibleAppendEPKtS2_","__ZN2js6VectorItLj32ENS_18ContextAllocPolicyEE16infallibleAppendItEEvPKT_S6_","__ZL21ReplaceRegExpCallbackP9JSContextPN2js13RegExpStaticsEjPv","__ZNK2js13RegExpStatics15getRightContextEP11JSSubString","__ZNK2js13RegExpStatics10matchLimitEv","__ZL17FindReplaceLengthP9JSContextPN2js13RegExpStaticsER11ReplaceDataPj","__ZL9DoReplaceP9JSContextPN2js13RegExpStaticsER11ReplaceData","__ZL15InterpretDollarP9JSContextPN2js13RegExpStaticsEPKtS5_R11ReplaceDataP11JSSubStringPj","__ZNK2js13RegExpStatics12getLastParenEP11JSSubString","__ZNK2js13RegExpStatics14getLeftContextEP11JSSubString","__ZN2js21PreserveRegExpStaticsC1EPNS_13RegExpStaticsE","__ZN2js21PreserveRegExpStatics4initEP9JSContext","__ZN2jsL33ValueToString_TestForStringInlineEP9JSContextRKN2JS5ValueE","__ZN2js21PreserveRegExpStaticsD1Ev","__ZN2js21PreserveRegExpStaticsD2Ev","__ZN2js13RegExpStatics7restoreEv","__ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE7destroyEPS2_S5_","__ZN2js15ReentrancyGuardC2INS_6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEEEERT_","__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE5beginEv","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE3endEv","__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE10endNoCheckEv","__ZN2js13RegExpStatics4saveEP9JSContextPS0_","__ZN2js6VectorIiLj20ENS_17SystemAllocPolicyEE7reserveEj","__ZN2js21PreserveRegExpStaticsC2EPNS_13RegExpStaticsE","__ZN2js13RegExpStaticsC1ENS0_10InitBufferE","__ZN2js13RegExpStaticsC2ENS0_10InitBufferE","__ZN2js6RegExp12hasMetaCharsEPKtj","__ZL9RopeMatchP9JSContextP8JSStringPKtjPi","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEC1ES3_","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE6appendIS2_EEbT_","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEED1Ev","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEEEERT_","__ZNK2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE13growStorageByEj","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE14internalAppendIS2_EEvT_","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS2_Lj16ES3_EEj","__ZN2js11ArrayBufferD2Ev","_JSID_TO_INT3948","_DOUBLE_TO_JSVAL_IMPL3936","__ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE13copyConstructIS2_EEvPS2_PKT_S9_","_JSVAL_IS_OBJECT_IMPL3933","_JSVAL_TO_PRIVATE_PTR_IMPL3934","_JSVAL_TO_OBJECT_IMPL3935","_INT32_TO_JSVAL_IMPL3937","_JSVAL_TO_INT32_IMPL3943","_JSVAL_TO_STRING_IMPL3944","_JSVAL_IS_INT32_IMPL3945","_JSVAL_IS_STRING_IMPL3946","_STRING_TO_JSVAL_IMPL3947","__ZN8JSObject8setClassEPN2js5ClassE","__ZN2js10VectorImplIP14JSLinearStringLj16ENS_17SystemAllocPolicyELb1EE13moveConstructIS2_EEvPS2_PKT_S9_","__ZN2js6VectorIP14JSLinearStringLj16ENS_17SystemAllocPolicyEEC2ES3_","__ZN10RegExpPair5resetER8JSObject","__ZN2js12AutoRefCountINS_6RegExpEE5resetENS_11NeedsIncRefIS1_EE","__ZN11ReplaceDataC2EP9JSContext","__ZN2jsL19ClassMethodIsNativeEP9JSContextP8JSObjectPNS_5ClassEiPFiS1_jPN2JS5ValueEE3938","__ZN2jsL16IsNativeFunctionERKN2JS5ValueEPFiP9JSContextjPS1_E3939","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP10JSFunction3940","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObjectPP10JSFunction3941","__ZN2jsL16IsFunctionObjectERKN2JS5ValueEPP8JSObject3942","__ZN2js11ArrayBuffer14getArrayBufferEP8JSObject","__Z16js_IsArrayBufferP8JSObject","__ZN2js11ArrayBuffer18prop_getByteLengthEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN2js11ArrayBuffer17class_constructorEP9JSContextjPN2JS5ValueE","__ZN2js11ArrayBuffer6createEP9JSContexti","__ZN8JSObject24allocateArrayBufferSlotsEP9JSContextj","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE3981","__ZN2js11ArrayBuffer9obj_traceEP8JSTracerP8JSObject","__ZN2js11ArrayBuffer18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty","__ZL12JSID_IS_ATOMiP6JSAtom3982","__ZL14DelegateObjectP9JSContextP8JSObject","__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE3983","__ZN2js11ArrayBuffer17obj_lookupElementEP9JSContextP8JSObjectjPS4_PP10JSProperty","__ZN2js11ArrayBuffer17obj_lookupSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPS4_PP10JSProperty","__ZN2js11ArrayBuffer18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN2js11ArrayBuffer17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN2js11ArrayBuffer17obj_defineSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS7_EPFiS2_S4_iiSA_Ej","__ZN2js11ArrayBuffer14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN2js11ArrayBuffer15obj_getPropertyEP9JSContextP8JSObjectS4_PNS_12PropertyNameEPN2JS5ValueE","__ZL12ATOM_TO_JSIDP6JSAtom3984","__ZN2js11ArrayBuffer14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN2js11ArrayBuffer14obj_getSpecialEP9JSContextP8JSObjectS4_NS_9SpecialIdEPN2JS5ValueE","__ZN2js11ArrayBuffer15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN2js11ArrayBuffer14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN2js11ArrayBuffer14obj_setSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPN2JS5ValueEi","__ZN2js11ArrayBuffer17obj_getAttributesEP9JSContextP8JSObjectiPj","__ZN2js11ArrayBuffer24obj_getElementAttributesEP9JSContextP8JSObjectjPj","__ZN2js11ArrayBuffer24obj_getSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj","__ZN2js11ArrayBuffer17obj_setAttributesEP9JSContextP8JSObjectiPj","__ZN2js11ArrayBuffer24obj_setElementAttributesEP9JSContextP8JSObjectjPj","__ZN2js11ArrayBuffer24obj_setSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj","__ZN2js11ArrayBuffer18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN2js10TypedArray10dataOffsetEv","__ZN2js11ArrayBuffer10obj_typeOfEP9JSContextP8JSObject","__ZN2js10TypedArray24obj_getElementAttributesEP9JSContextP8JSObjectjPj","__ZN8JSObject18getFixedSlotOffsetEj","__Z32js_TypedArray_uint8_clamp_doubled","__ZN2js11ArrayBuffer17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN2js11ArrayBuffer17obj_deleteSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPN2JS5ValueEi","__ZN2js11ArrayBuffer13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN2js10TypedArray13getTypedArrayEP8JSObject","__Z15js_IsTypedArrayP8JSObject","__ZN2js10TypedArray14prop_getBufferEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN16TypedArrayGetterIXadL_Z14getBufferValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE","__ZN2js10TypedArray18prop_getByteOffsetEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN16TypedArrayGetterIXadL_Z18getByteOffsetValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE","__ZN2js10TypedArray18prop_getByteLengthEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN16TypedArrayGetterIXadL_Z18getByteLengthValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE","__ZN2js10TypedArray14prop_getLengthEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN16TypedArrayGetterIXadL_Z14getLengthValueP8JSObjectEEE3getEP9JSContextS1_iPN2JS5ValueE","__ZN2js10TypedArray18obj_lookupPropertyEP9JSContextP8JSObjectiPS4_PP10JSProperty","__ZN2js10TypedArray12isArrayIndexEP9JSContextP8JSObjectiPj","__ZN2js10TypedArray17obj_lookupElementEP9JSContextP8JSObjectjPS4_PP10JSProperty","__ZN2js10TypedArray17obj_lookupSpecialEP9JSContextP8JSObjectNS_9SpecialIdEPS4_PP10JSProperty","__ZN2js10TypedArray17obj_getAttributesEP9JSContextP8JSObjectiPj","__ZN2js10TypedArray24obj_getSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj","__ZN2js10TypedArray17obj_setAttributesEP9JSContextP8JSObjectiPj","__ZN2js10TypedArray24obj_setElementAttributesEP9JSContextP8JSObjectjPj","__ZN2js10TypedArray24obj_setSpecialAttributesEP9JSContextP8JSObjectNS_9SpecialIdEPj","__ZN2js10TypedArray12lengthOffsetEv","__ZN18TypedArrayTemplateIiE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN18TypedArrayTemplateIiE8getIndexEP8JSObjectj","__ZN18TypedArrayTemplateIjE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN18TypedArrayTemplateIjE8getIndexEP8JSObjectj","__ZN18TypedArrayTemplateIfE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZL15JSDOUBLE_IS_NaNd3989","__ZN18TypedArrayTemplateIfE8getIndexEP8JSObjectj","__ZN18TypedArrayTemplateIdE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN18TypedArrayTemplateIdE8getIndexEP8JSObjectj","__ZN18TypedArrayTemplateIaE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIaE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIhE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIhE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIsE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIsE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateItE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateItE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIiE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIiE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIjE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIjE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIfE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIfE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIdE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIdE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateI13uint8_clampedE12fun_subarrayEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateI13uint8_clampedE7fun_setEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIaE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateIaE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIaE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIaE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej","__ZN18TypedArrayTemplateIaE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN18TypedArrayTemplateIaE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateIaE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN18TypedArrayTemplateIaE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateIaE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIaE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateIaE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIaE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIaE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIaE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIaE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIaE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN18TypedArrayTemplateIhE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateIhE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIhE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIhE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej","__ZN18TypedArrayTemplateIhE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN18TypedArrayTemplateIhE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateIhE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN18TypedArrayTemplateIhE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateIhE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIhE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIhE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIhE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIhE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateIhE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIhE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIhE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN18TypedArrayTemplateIsE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateIsE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIsE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIsE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej","__ZN18TypedArrayTemplateIsE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN18TypedArrayTemplateIsE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateIsE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN18TypedArrayTemplateIsE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateIsE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIsE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIsE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIsE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIsE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIsE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIsE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateItE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateIsE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN18TypedArrayTemplateItE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateItE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateItE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateItE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej","__ZN18TypedArrayTemplateItE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN18TypedArrayTemplateItE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateItE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN18TypedArrayTemplateItE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateItE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateItE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateItE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateItE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateItE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateItE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateItE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN18TypedArrayTemplateIiE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateIiE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateIiE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIiE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIiE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej","__ZN18TypedArrayTemplateIiE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN18TypedArrayTemplateIiE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateIiE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN18TypedArrayTemplateIiE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateIiE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIiE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIiE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIiE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIiE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIiE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIiE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN18TypedArrayTemplateIjE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateIjE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIjE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIjE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateIjE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej","__ZN18TypedArrayTemplateIjE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN18TypedArrayTemplateIjE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateIjE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN18TypedArrayTemplateIjE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateIjE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIjE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIjE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIjE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIjE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIjE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIjE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN18TypedArrayTemplateIfE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateIfE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIfE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIfE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej","__ZN18TypedArrayTemplateIfE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateIfE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN18TypedArrayTemplateIfE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateIfE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN18TypedArrayTemplateIfE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateIfE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIfE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIfE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIfE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIfE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIfE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIfE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN18TypedArrayTemplateIdE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateIdE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIdE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS2_S4_iPS6_EPFiS2_S4_iiS9_Ej","__ZN18TypedArrayTemplateIdE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS2_S4_iPS8_EPFiS2_S4_iiSB_Ej","__ZN18TypedArrayTemplateIdE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateIdE14obj_getGenericEP9JSContextP8JSObjectS4_iPN2JS5ValueE","__ZN18TypedArrayTemplateIdE15obj_getPropertyEP9JSContextP8JSObjectS4_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateIdE14obj_getElementEP9JSContextP8JSObjectS4_jPN2JS5ValueE","__ZN18TypedArrayTemplateIdE14obj_getSpecialEP9JSContextP8JSObjectS4_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateIdE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIdE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIdE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIdE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateIdE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIdE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateIdE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZN18TypedArrayTemplateI13uint8_clampedE9obj_traceEP8JSTracerP8JSObject","__ZN18TypedArrayTemplateI13uint8_clampedE18obj_definePropertyEP9JSContextP8JSObjectiPKN2JS5ValueEPFiS3_S5_iPS7_EPFiS3_S5_iiSA_Ej","__ZN18TypedArrayTemplateI13uint8_clampedE17obj_defineElementEP9JSContextP8JSObjectjPKN2JS5ValueEPFiS3_S5_iPS7_EPFiS3_S5_iiSA_Ej","__ZN18TypedArrayTemplateI13uint8_clampedE17obj_defineSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS3_S5_iPS9_EPFiS3_S5_iiSC_Ej","__ZN18TypedArrayTemplateI13uint8_clampedE10obj_typeOfEP9JSContextP8JSObject","__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getGenericEP9JSContextP8JSObjectS5_iPN2JS5ValueE","__ZN18TypedArrayTemplateI13uint8_clampedE15obj_getPropertyEP9JSContextP8JSObjectS5_PN2js12PropertyNameEPN2JS5ValueE","__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getElementEP9JSContextP8JSObjectS5_jPN2JS5ValueE","__ZN18TypedArrayTemplateI13uint8_clampedE14obj_getSpecialEP9JSContextP8JSObjectS5_N2js9SpecialIdEPN2JS5ValueE","__ZN18TypedArrayTemplateI13uint8_clampedE15obj_setPropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateI13uint8_clampedE14obj_setElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateI13uint8_clampedE14obj_setSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateI13uint8_clampedE18obj_deletePropertyEP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN18TypedArrayTemplateI13uint8_clampedE17obj_deleteElementEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateI13uint8_clampedE17obj_deleteSpecialEP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZN18TypedArrayTemplateI13uint8_clampedE13obj_enumerateEP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__Z24js_InitTypedArrayClassesP9JSContextP8JSObject","__ZL19InitTypedArrayClassI9Int8ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL19InitTypedArrayClassI10Uint8ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL19InitTypedArrayClassI10Int16ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL19InitTypedArrayClassI11Uint16ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL19InitTypedArrayClassI10Int32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL19InitTypedArrayClassI11Uint32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL19InitTypedArrayClassI12Float32ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL19InitTypedArrayClassI12Float64ArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL12TypeIDOfTypeI13uint8_clampedEKiv","__ZN2js21IsFastTypedArrayClassEPKNS_5ClassE","_JSID_IS_INT4003","_JSID_IS_STRING4004","_JSID_TO_FLAT_STRING4005","__ZNK8JSObject13isArrayBufferEv","_BUILD_JSVAL3999","__ZL19InitTypedArrayClassI17Uint8ClampedArrayEP8JSObjectP9JSContextPN2js12GlobalObjectE","__ZL20InitArrayBufferClassP9JSContextPN2js12GlobalObjectE","__Z27JS_GetArrayBufferByteLengthP8JSObject","__Z21JS_GetArrayBufferDataP8JSObject","__Z20js_CreateArrayBufferP9JSContextj","__Z19js_CreateTypedArrayP9JSContextij","__ZN2JSL10Int32ValueEi3996","__ZL19TypedArrayConstructP9JSContextijPN2JS5ValueE","__Z28js_CreateTypedArrayWithArrayP9JSContextiP8JSObject","__ZN2JSL11ObjectValueER8JSObject3997","__Z29js_CreateTypedArrayWithBufferP9JSContextiP8JSObjectii","__Z22JS_GetTypedArrayLengthP8JSObject","__Z26JS_GetTypedArrayByteOffsetP8JSObject","__Z26JS_GetTypedArrayByteLengthP8JSObject","__Z20JS_GetTypedArrayTypeP8JSObject","__Z22JS_GetTypedArrayBufferP8JSObject","__Z20JS_GetTypedArrayDataP8JSObject","__ZN18TypedArrayTemplateI13uint8_clampedE9slowClassEv","__ZN18TypedArrayTemplateI13uint8_clampedE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateI13uint8_clampedE9fastClassEv","__ZN2JSL14UndefinedValueEv3998","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4000","__ZN2js5typesL15HashSetCapacityEj4001","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4002","__ZN18TypedArrayTemplateI13uint8_clampedE11ArrayTypeIDEv","__ZN18TypedArrayTemplateI13uint8_clampedE6createEP9JSContextjPN2JS5ValueE","__ZL13ValueIsLengthP9JSContextRKN2JS5ValueEPj","__ZN18TypedArrayTemplateI13uint8_clampedE28createBufferWithSizeAndCountEP9JSContextj","__ZN18TypedArrayTemplateI13uint8_clampedE16createTypedArrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateI13uint8_clampedE18copyFromTypedArrayEP9JSContextP8JSObjectS5_j","__ZL19TypeIsFloatingPointI13uint8_clampedEKbv","__ZL14TypeIsUnsignedI13uint8_clampedEKbv","_INT_TO_JSID4006","__ZN13uint8_clampedaSERKS_","_JSVAL_IS_NUMBER_IMPL4008","_JSVAL_IS_MAGIC_IMPL4009","_JSVAL_IS_PRIMITIVE_IMPL4010","__ZL18JSDOUBLE_IS_FINITEd4011","__ZN13uint8_clampedaSEj","_JSVAL_IS_DOUBLE_IMPL4012","__ZN13uint8_clampedaSEi","_JSVAL_IS_INT32_IMPL4013","__ZN18TypedArrayTemplateI13uint8_clampedE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateI13uint8_clampedE13copyFromArrayEP9JSContextP8JSObjectS5_jj","__ZN18TypedArrayTemplateI13uint8_clampedE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN13uint8_clampedC1Ei","__ZN18TypedArrayTemplateI13uint8_clampedE24ArrayTypeIsFloatingPointEv","__ZN13uint8_clampedC1Ed","__ZN13uint8_clampedC1Ej","__ZL20js_DoubleToECMAInt32d4007","__ZN13uint8_clampedC2Ej","__ZN13uint8_clampedC2Ed","__ZN13uint8_clampedaSEd","__ZN13uint8_clampedC2Ei","__ZN2js10TypedArray9getBufferEP8JSObject","__ZL12TypeIDOfTypeIdEKiv","__ZN13uint8_clampedaSEt","__ZN13uint8_clampedaSEs","__ZN13uint8_clampedaSEh","__ZN13uint8_clampedaSEa","_JSVAL_TO_OBJECT_IMPL4016","_JSVAL_IS_OBJECT_IMPL4017","__ZN18TypedArrayTemplateI13uint8_clampedE19copyFromWithOverlapEP9JSContextP8JSObjectS5_j","__ZN2js10TypedArray13getByteLengthEP8JSObject","__ZN13uint8_clampedC1Ea","__ZN13uint8_clampedC1Eh","__ZN13uint8_clampedC1Es","__ZN13uint8_clampedC1Et","__ZN13uint8_clampedC2Et","__ZN13uint8_clampedC2Es","__ZN13uint8_clampedC2Eh","__ZN13uint8_clampedC2Ea","_js_free4014","_js_malloc4015","__ZN2jsL7PodZeroINS_5types17AllocationSiteKeyEEEvPT_4018","__ZN18TypedArrayTemplateIdE9slowClassEv","__ZN18TypedArrayTemplateIdE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIdE9fastClassEv","__ZN18TypedArrayTemplateIdE11ArrayTypeIDEv","__ZN18TypedArrayTemplateIdE6createEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIdE28createBufferWithSizeAndCountEP9JSContextj","__ZL19TypeIsFloatingPointIdEKbv","__ZL14TypeIsUnsignedIdEKbv","__ZN18TypedArrayTemplateIdE16createTypedArrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateIdE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIdE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateIdE13copyFromArrayEP9JSContextP8JSObjectS4_jj","__ZN18TypedArrayTemplateIdE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN18TypedArrayTemplateIdE24ArrayTypeIsFloatingPointEv","__ZL12TypeIDOfTypeIfEKiv","__ZN18TypedArrayTemplateIdE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIfE9slowClassEv","__ZN18TypedArrayTemplateIfE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIfE9fastClassEv","__ZN18TypedArrayTemplateIfE11ArrayTypeIDEv","__ZN18TypedArrayTemplateIfE6createEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIfE28createBufferWithSizeAndCountEP9JSContextj","__ZN18TypedArrayTemplateIfE16createTypedArrayEP9JSContextP8JSObjectjj","__ZL19TypeIsFloatingPointIfEKbv","__ZL14TypeIsUnsignedIfEKbv","__ZN18TypedArrayTemplateIfE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIfE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateIfE13copyFromArrayEP9JSContextP8JSObjectS4_jj","__ZN18TypedArrayTemplateIfE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN18TypedArrayTemplateIfE24ArrayTypeIsFloatingPointEv","__ZL12TypeIDOfTypeIjEKiv","__ZN18TypedArrayTemplateIfE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIjE9slowClassEv","__ZN18TypedArrayTemplateIjE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIjE9fastClassEv","__ZN18TypedArrayTemplateIjE11ArrayTypeIDEv","__ZN18TypedArrayTemplateIjE6createEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIjE28createBufferWithSizeAndCountEP9JSContextj","__ZN18TypedArrayTemplateIjE16createTypedArrayEP9JSContextP8JSObjectjj","__ZL19TypeIsFloatingPointIjEKbv","__ZL14TypeIsUnsignedIjEKbv","__ZN18TypedArrayTemplateIjE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIjE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateIjE13copyFromArrayEP9JSContextP8JSObjectS4_jj","__ZN18TypedArrayTemplateIjE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN18TypedArrayTemplateIjE24ArrayTypeIsFloatingPointEv","__ZL12TypeIDOfTypeIiEKiv","__ZN18TypedArrayTemplateIjE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIiE9slowClassEv","__ZN18TypedArrayTemplateIiE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIiE9fastClassEv","__ZN18TypedArrayTemplateIiE11ArrayTypeIDEv","__ZN18TypedArrayTemplateIiE6createEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIiE28createBufferWithSizeAndCountEP9JSContextj","__ZN18TypedArrayTemplateIiE16createTypedArrayEP9JSContextP8JSObjectjj","__ZL19TypeIsFloatingPointIiEKbv","__ZL14TypeIsUnsignedIiEKbv","__ZN18TypedArrayTemplateIiE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIiE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateIiE13copyFromArrayEP9JSContextP8JSObjectS4_jj","__ZN18TypedArrayTemplateIiE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN18TypedArrayTemplateIiE24ArrayTypeIsFloatingPointEv","__ZL12TypeIDOfTypeItEKiv","__ZN18TypedArrayTemplateIiE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateItE9slowClassEv","__ZN18TypedArrayTemplateItE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateItE9fastClassEv","__ZN18TypedArrayTemplateItE11ArrayTypeIDEv","__ZN18TypedArrayTemplateItE6createEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateItE28createBufferWithSizeAndCountEP9JSContextj","__ZN18TypedArrayTemplateItE16createTypedArrayEP9JSContextP8JSObjectjj","__ZL19TypeIsFloatingPointItEKbv","__ZL14TypeIsUnsignedItEKbv","__ZN18TypedArrayTemplateItE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateItE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateItE13copyFromArrayEP9JSContextP8JSObjectS4_jj","__ZN18TypedArrayTemplateItE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN18TypedArrayTemplateItE24ArrayTypeIsFloatingPointEv","__ZL12TypeIDOfTypeIsEKiv","__ZN18TypedArrayTemplateItE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIsE9slowClassEv","__ZN18TypedArrayTemplateIsE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIsE9fastClassEv","__ZN18TypedArrayTemplateIsE11ArrayTypeIDEv","__ZN18TypedArrayTemplateIsE6createEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIsE28createBufferWithSizeAndCountEP9JSContextj","__ZN18TypedArrayTemplateIsE16createTypedArrayEP9JSContextP8JSObjectjj","__ZL19TypeIsFloatingPointIsEKbv","__ZL14TypeIsUnsignedIsEKbv","__ZN18TypedArrayTemplateIsE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIsE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateIsE13copyFromArrayEP9JSContextP8JSObjectS4_jj","__ZN18TypedArrayTemplateIsE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN18TypedArrayTemplateIsE24ArrayTypeIsFloatingPointEv","__ZL12TypeIDOfTypeIhEKiv","__ZN18TypedArrayTemplateIsE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIhE9slowClassEv","__ZN18TypedArrayTemplateIhE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIhE9fastClassEv","__ZN18TypedArrayTemplateIhE11ArrayTypeIDEv","__ZN18TypedArrayTemplateIhE6createEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIhE28createBufferWithSizeAndCountEP9JSContextj","__ZN18TypedArrayTemplateIhE16createTypedArrayEP9JSContextP8JSObjectjj","__ZL19TypeIsFloatingPointIhEKbv","__ZL14TypeIsUnsignedIhEKbv","__ZN18TypedArrayTemplateIhE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIhE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateIhE13copyFromArrayEP9JSContextP8JSObjectS4_jj","__ZN18TypedArrayTemplateIhE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN18TypedArrayTemplateIhE24ArrayTypeIsFloatingPointEv","__ZL12TypeIDOfTypeIaEKiv","__ZN18TypedArrayTemplateIhE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIaE9slowClassEv","__ZN18TypedArrayTemplateIaE17class_constructorEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIaE9fastClassEv","__ZN18TypedArrayTemplateIaE11ArrayTypeIDEv","__ZN18TypedArrayTemplateIaE6createEP9JSContextjPN2JS5ValueE","__ZN18TypedArrayTemplateIaE28createBufferWithSizeAndCountEP9JSContextj","__ZN18TypedArrayTemplateIaE16createTypedArrayEP9JSContextP8JSObjectjj","__ZL19TypeIsFloatingPointIaEKbv","__ZL14TypeIsUnsignedIaEKbv","__ZN18TypedArrayTemplateIaE18copyFromTypedArrayEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateIaE32createTypedArrayWithOffsetLengthEP9JSContextP8JSObjectii","__ZN18TypedArrayTemplateIaE13copyFromArrayEP9JSContextP8JSObjectS4_jj","__ZN18TypedArrayTemplateIaE15nativeFromValueEP9JSContextRKN2JS5ValueE","__ZN18TypedArrayTemplateIaE24ArrayTypeIsFloatingPointEv","_JSVAL_IS_SPECIFIC_BOOLEAN4019","_JSVAL_TO_BOOLEAN_IMPL4020","_JSVAL_IS_UNDEFINED_IMPL4021","_JSVAL_IS_STRING_IMPL4022","_JSVAL_IS_NULL_IMPL4023","__ZNK13uint8_clampedcvhEv","__ZN13uint8_clampedC2ERKS_","__ZN18TypedArrayTemplateIaE19copyFromWithOverlapEP9JSContextP8JSObjectS4_j","__ZN18TypedArrayTemplateI13uint8_clampedE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateI13uint8_clampedE8setIndexEP8JSObjectjS0_","__ZN18TypedArrayTemplateI13uint8_clampedE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateI13uint8_clampedE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN18TypedArrayTemplateI13uint8_clampedE8getIndexEP8JSObjectj","__ZN13uint8_clampedC1ERKS_","__ZN18TypedArrayTemplateIdE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIdE8setIndexEP8JSObjectjd","__ZN18TypedArrayTemplateIdE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateIfE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIfE8setIndexEP8JSObjectjf","__ZN18TypedArrayTemplateIfE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateIjE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIjE8setIndexEP8JSObjectjj","__ZN18TypedArrayTemplateIjE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateIiE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIiE8setIndexEP8JSObjectji","__ZN18TypedArrayTemplateIiE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateItE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateItE8setIndexEP8JSObjectjt","__ZN18TypedArrayTemplateItE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateItE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN18TypedArrayTemplateItE8getIndexEP8JSObjectj","__ZN18TypedArrayTemplateIsE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL14JSID_FROM_BITSj4031","_JSID_TO_INT4027","_JSID_TO_STRING4029","_DOUBLE_TO_JSVAL_IMPL4026","_JSVAL_TO_PRIVATE_PTR_IMPL4024","_JSVAL_TO_INT32_IMPL4025","_BOOLEAN_TO_JSVAL_IMPL4030","__ZN18TypedArrayTemplateIsE8setIndexEP8JSObjectjs","__ZN18TypedArrayTemplateIsE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateIsE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN18TypedArrayTemplateIsE8getIndexEP8JSObjectj","__ZN18TypedArrayTemplateIhE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIhE8setIndexEP8JSObjectjh","__ZN18TypedArrayTemplateIhE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateIhE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN18TypedArrayTemplateIhE8getIndexEP8JSObjectj","__ZN18TypedArrayTemplateIaE14setElementTailEP9JSContextP8JSObjectjPN2JS5ValueEi","__ZN18TypedArrayTemplateIaE8setIndexEP8JSObjectja","__ZN18TypedArrayTemplateIaE19ArrayTypeIsUnsignedEv","__ZN18TypedArrayTemplateIaE16copyIndexToValueEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN18TypedArrayTemplateIaE8getIndexEP8JSObjectj","__ZN18TypedArrayTemplateI13uint8_clampedE14createSubarrayEP9JSContextP8JSObjectjj","__ZN2js10TypedArray13getByteOffsetEP8JSObject","__ZN18TypedArrayTemplateIdE14createSubarrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateIfE14createSubarrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateIjE14createSubarrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateIiE14createSubarrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateItE14createSubarrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateIsE14createSubarrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateIhE14createSubarrayEP9JSContextP8JSObjectjj","__ZN18TypedArrayTemplateIaE14createSubarrayEP9JSContextP8JSObjectjj","__Z14getLengthValueP8JSObject","__Z18getByteLengthValueP8JSObject","__Z18getByteOffsetValueP8JSObject","__Z14getBufferValueP8JSObject","__ZL12JSID_TO_ATOMi4028","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4035","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE4040","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4036","__ZN2js2gcL15GetGCObjectKindEjb4033","_MAGIC_TO_JSVAL_IMPL4039","_OBJECT_TO_JSVAL_IMPL4044","_INT32_TO_JSVAL_IMPL4045","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4032","__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4034","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4037","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb4038","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4041","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4042","_js_calloc4043","_JS_Assert","__ZL9CrashInJSv","__ZN2js13WatchpointMap4initEv","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE4initEj","__ZN2js13WatchpointMap5watchEP9JSContextP8JSObjectiPFiS2_S4_iN2JS5ValueEPS6_PvES4_","__ZN8JSObject10setWatchedEP9JSContext","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3putERKS1_RKS2_","__ZN2js8WatchKeyC1EP8JSObjecti","__ZN2js13WatchpointMap7unwatchEP8JSObjectiPPFiP9JSContextS2_iN2JS5ValueEPS6_PvEPS2_","__ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6lookupERKS1_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10isLiveHashEj","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrptEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range5frontEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrcvMSD_FvvEEv","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E3PtrE","__ZN2js13WatchpointMap13unwatchObjectEP8JSObject","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC1ISA_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4Enum11removeFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5Range8popFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD1Ev","__ZN2js13WatchpointMap5clearEv","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE5clearEv","__ZN2js13WatchpointMap17triggerWatchpointEP9JSContextP8JSObjectiPN2JS5ValueE","__ZN15AutoEntryHolderC1ERN2js7HashMapINS0_8WatchKeyENS0_10WatchpointENS0_13DefaultHasherIS2_EENS0_17SystemAllocPolicyEEENS0_6detail9HashTableINS0_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE","__ZN2JSL11ObjectValueER8JSObject4064","__ZN15AutoEntryHolderD1Ev","__ZN2js13WatchpointMap18markAllIterativelyEP8JSTracer","__ZN2js13WatchpointMap15markIterativelyEP8JSTracer","__ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3allEv","__ZN2js13WatchpointMap8sweepAllEP9JSContext","__ZN2js13WatchpointMap5sweepEP9JSContext","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC1EPNS0_14HashTableEntryIS5_EESG_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5RangeC2EPNS0_14HashTableEntryIS5_EESG_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isLiveEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5clearEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEaSENS_7MoveRefIS6_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEENS_7MoveRefIT_EERKS9_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC2Ev","__ZN2js8WatchKeyC2Ev","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5hash2Ejjj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEC2ERS7_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC2ERS4_","__ZNK2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEptEv","__ZNK2js7MoveRefINS_8WatchKeyEEcvRS1_Ev","__ZNK2js7MoveRefINS_10WatchpointEEcvRS1_Ev","__ZN2js7MoveRefINS_10WatchpointEEC2ERS1_","__ZN2js7MoveRefINS_8WatchKeyEEC2ERS1_","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12hasCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11underloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10getKeyHashEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12setCollisionEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrdeEv","__ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEC1Ev","__ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEC2Ev","__ZN2js8WatchKeyC1Ev","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEC1ERS7_","__ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEaSENS_7MoveRefIS3_EE","__ZN2js4MoveINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEENS_7MoveRefIT_EERS6_","__ZN2js7MoveRefINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEC1ERS4_","__ZN2js4MoveINS_8WatchKeyEEENS_7MoveRefIT_EERKS3_","__ZN2js4MoveINS_10WatchpointEEENS_7MoveRefIT_EERS3_","__ZN2js7MoveRefINS_10WatchpointEEC1ERS1_","__ZN2js7MoveRefINS_8WatchKeyEEC1ERS1_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE7setFreeEv","__ZN2js12HashMapEntryINS_8WatchKeyENS_10WatchpointEEaSERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E16checkUnderloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11createTableERS9_j","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E13findFreeEntryEj","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEEEEENS_7MoveRefIT_EERS9_","_js_free4069","_js_malloc4070","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4EnumC2ISA_EERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6removeENSC_3PtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE12lookupForAddERKS1_","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS1_S2_EENS6_13MapHashPolicyES5_E6AddPtrERKS1_RKS2_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrEPPS5_","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr7nonNullEv","__ZN2jsL6HashIdEi4071","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10overloadedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE7setLiveEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC2ERNS0_14HashTableEntryIS5_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEEE12setCollisionEj","__ZN2js13DefaultHasherINS_8WatchKeyEE5matchERKS1_S4_","__ZN2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS1_S2_EE","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10generationEv","_OBJECT_TO_JSVAL_IMPL4072","_JSVAL_TO_OBJECT_IMPL4073","_BUILD_JSVAL4074","__ZN2js8WatchKeyC2EP8JSObjecti","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3addERNSC_6AddPtrE","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E12lookupForAddERKS3_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS5_S6_NS_13DefaultHasherIS5_EENS_17SystemAllocPolicyEE13MapHashPolicyESB_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E11prepareHashERKS3_","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_jj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC1ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6AddPtrC2ERNS0_14HashTableEntryIS5_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E5matchERNS0_14HashTableEntryIS5_EERKS3_","__ZN2js13DefaultHasherINS_8WatchKeyEE4hashERKS1_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E10isLiveHashEj","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E4initEj","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E6lookupERKS3_","__ZN2js6detail9HashTableINS_12HashMapEntryINS_8WatchKeyENS_10WatchpointEEENS_7HashMapIS3_S4_NS_13DefaultHasherIS3_EENS_17SystemAllocPolicyEE13MapHashPolicyES9_E3PtrC1ERNS0_14HashTableEntryIS5_EE","__ZN15AutoEntryHolderD2Ev","__ZNK2js7HashMapINS_8WatchKeyENS_10WatchpointENS_13DefaultHasherIS1_EENS_17SystemAllocPolicyEE10generationEv","__ZN15AutoEntryHolderC2ERN2js7HashMapINS0_8WatchKeyENS0_10WatchpointENS0_13DefaultHasherIS2_EENS0_17SystemAllocPolicyEEENS0_6detail9HashTableINS0_12HashMapEntryIS2_S3_EENS7_13MapHashPolicyES6_E3PtrE","__ZN2js11WeakMapBase18markAllIterativelyEP8JSTracer","__ZN2js11WeakMapBase8sweepAllEP8JSTracer","__ZL16WeakMap_finalizeP9JSContextP8JSObject","__ZL12WeakMap_markP8JSTracerP8JSObject","__ZL14JSID_FROM_BITSj4107","_JSID_IS_INT4103","_JSID_IS_STRING4104","_JSID_TO_FLAT_STRING4105","_BUILD_JSVAL4099","_OBJECT_TO_JSVAL_IMPL4106","__ZL11WeakMap_hasP9JSContextjPN2JS5ValueE","__ZL11WeakMap_getP9JSContextjPN2JS5ValueE","__ZL14WeakMap_deleteP9JSContextjPN2JS5ValueE","__ZL11WeakMap_setP9JSContextjPN2JS5ValueE","__Z19js_InitWeakMapClassP9JSContextP8JSObject","__ZL17WeakMap_constructP9JSContextjPN2JS5ValueE","__ZL12ATOM_TO_JSIDP6JSAtom4096","__ZN2JSL11ObjectValueER8JSObject4097","__ZN2JSL14UndefinedValueEv4098","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4100","__ZN2js5typesL15HashSetCapacityEj4101","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4102","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4112","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE4118","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4113","__ZN2js2gcL15GetGCObjectKindEjb4109","_MAGIC_TO_JSVAL_IMPL4117","_JSVAL_TO_OBJECT_IMPL4119","_JSVAL_IS_OBJECT_IMPL4120","__ZNK8JSObject9isWeakMapEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrptEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrdeEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE9isRemovedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10overloadedEv","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE4108","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4110","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4111","_js_free4114","_js_calloc4115","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb4116","__ZL13NonNullObjectP9JSContextPN2JS5ValueE","__ZL12GetObjectMapP8JSObject","__ZN9JSContext4new_IN2js7WeakMapIP8JSObjectN2JS5ValueENS1_13DefaultHasherIS4_EENS1_17DefaultMarkPolicyIS4_S6_EEEEPS_EEPT_T0_","__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE4initEj","__ZN9JSContext7delete_IN2js7WeakMapIP8JSObjectN2JS5ValueENS1_13DefaultHasherIS4_EENS1_17DefaultMarkPolicyIS4_S6_EEEEEEvPT_","__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3putERKS2_RKS4_","__ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE12lookupForAddERKS2_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrcvMSF_FvvEEv","__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3addERNS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E6AddPtrERKS2_RKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrEPPS7_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3addERNSE_6AddPtrE","__ZN2js15ReentrancyGuardC1INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js15ReentrancyGuardC2INS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr7nonNullEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash1Ejj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5hash2Ejjj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10isLiveHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE7setLiveEj","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isFreeEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12setCollisionEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16setTableSizeLog2Ej","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE14unsetCollisionEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10getKeyHashEv","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEC2ERS9_","__ZNK2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEptEv","__ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC2ERS6_","__ZNK2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEptEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC2ERNS0_14HashTableEntryIS7_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE9matchHashEj","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12setCollisionEj","__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE13MapHashPolicy6getKeyERNS_12HashMapEntryIS2_S4_EE","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E15changeTableSizeEi","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E13findFreeEntryEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11createTableERSB_j","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE6isLiveEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEaSENS_7MoveRefIS8_EE","__ZN2js4MoveINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEENS_7MoveRefIT_EERSB_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12destroyTableERSB_PNS0_14HashTableEntryIS7_EEj","__ZN2js7MoveRefINS_6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEEEC1ERS9_","__ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEaSENS_7MoveRefIS5_EE","__ZN2js4MoveINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEENS_7MoveRefIT_EERS8_","__ZN2js7MoveRefINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC1ERS6_","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC1Ev","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEEC2Ev","__ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEC1Ev","__ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEC2Ev","_js_malloc4121","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3Ptr5foundEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E12lookupForAddERKS4_","__ZN2js15ReentrancyGuardC1IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11prepareHashERKS4_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_jj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC1ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6AddPtrC2ERNS0_14HashTableEntryIS7_EEj","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5matchERNS0_14HashTableEntryIS7_EERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E10isLiveHashEj","__ZN2js15ReentrancyGuardC2IKNS_6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS6_S8_NS_13DefaultHasherIS6_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESD_EEEERT_","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5emptyEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range5frontEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E11underloadedEv","__ZNK2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE12hasCollisionEv","__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEEC2EP8JSTracer","_JSVAL_TO_GCTHING_IMPL4122","_JSVAL_IS_TRACEABLE_IMPL4123","_JSVAL_IS_PRIMITIVE_IMPL4124","__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEED1Ev","__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEED2Ev","__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_ED2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4initEj","__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEC1EP9JSContext","__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEEC2EP9JSContext","__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEEC2ES7_","__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE15nonMarkingTraceEP8JSTracer","__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE15markIterativelyEP8JSTracer","__ZN2js7WeakMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_17DefaultMarkPolicyIS2_S4_EEE5sweepEP8JSTracer","__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEEC1EP8JSTracer","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC1INS_7WeakMapIS4_S6_SA_NS_17DefaultMarkPolicyIS4_S6_EEEEEERT_","__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE9keyMarkedES2_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4Enum11removeFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5Range8popFrontEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD1Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumD2Ev","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E16checkUnderloadedEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeERNS0_14HashTableEntryIS7_EE","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE10setRemovedEv","__ZN2js6detail14HashTableEntryINS_12HashMapEntryIP8JSObjectN2JS5ValueEEEE7setFreeEv","__ZN2js12HashMapEntryIP8JSObjectN2JS5ValueEEaSERKS5_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E4EnumC2INS_7WeakMapIS4_S6_SA_NS_17DefaultMarkPolicyIS4_S6_EEEEEERT_","__ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE3allEv","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3allEv","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC1EPNS0_14HashTableEntryIS7_EESI_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E5RangeC2EPNS0_14HashTableEntryIS7_EESI_","__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE15markEntryIfLiveES2_RKS4_","__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE17markUnmarkedValueERKS4_","__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE18overrideKeyMarkingES2_","__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE11valueMarkedERKS4_","__ZN2js17DefaultMarkPolicyIP8JSObjectN2JS5ValueEE9markEntryERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC1ESB_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_EC2ESB_","__ZNK2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6lookupERKS2_","__ZN2js7HashMapIP8JSObjectN2JS5ValueENS_13DefaultHasherIS2_EENS_18RuntimeAllocPolicyEE6removeENS_6detail9HashTableINS_12HashMapEntryIS2_S4_EENS8_13MapHashPolicyES7_E3PtrE","__ZN9JSWrapper16getWrapperFamilyEv","__ZL4CondiPb","_BOOLEAN_TO_JSVAL_IMPL4126","__ZN2js14JSProxyHandler6familyEv","__ZN2JSL12BooleanValueEb4125","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6removeENSE_3PtrE","__ZNK2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E6lookupERKS4_","__ZN2js6detail9HashTableINS_12HashMapEntryIP8JSObjectN2JS5ValueEEENS_7HashMapIS4_S6_NS_13DefaultHasherIS4_EENS_18RuntimeAllocPolicyEE13MapHashPolicyESB_E3PtrC1ERNS0_14HashTableEntryIS7_EE","__ZNK8JSObject9isWrapperEv","__ZNK8JSObject25isCrossCompartmentWrapperEv","__ZNK8JSObject17getWrapperHandlerEv","__ZN8JSObject6unwrapEPj","__ZN9JSWrapperC2Ej","__ZN9JSWrapperD0Ev","__ZN9JSWrapperD2Ev","__ZN9JSWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor","__ZN9JSWrapper13wrappedObjectEPK8JSObject","__ZN9JSWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor","__ZL24GetOwnPropertyDescriptorP9JSContextP8JSObjectijP20JSPropertyDescriptor","__ZN9JSWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor","__ZN9JSWrapper19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZN9JSWrapper7delete_EP9JSContextP8JSObjectiPb","__ZL14ValueToBooleanPN2JS5ValueEPb","__ZN9JSWrapper9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZN9JSWrapper3fixEP9JSContextP8JSObjectPN2JS5ValueE","__ZN9JSWrapper3hasEP9JSContextP8JSObjectiPb","__ZN9JSWrapper6hasOwnEP9JSContextP8JSObjectiPb","__ZN9JSWrapper5enterEP9JSContextP8JSObjectiNS_6ActionEPb","__ZN9JSWrapper5leaveEP9JSContextP8JSObject","__ZN2js10ForceFrameC2EP9JSContextP8JSObject","__ZN9JSWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE","__ZN9JSWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE","__ZN9JSWrapper4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZN9JSWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN9JSWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN9JSWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_","__ZN9JSWrapper11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb","__ZN9JSWrapper6typeOfEP9JSContextP8JSObject","__ZN2JSL11ObjectValueER8JSObject4137","__ZN9JSWrapper12obj_toStringEP9JSContextP8JSObject","__ZN9JSWrapper12fun_toStringEP9JSContextP8JSObjectj","__ZN9JSWrapper12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZN2jsL11ToPrimitiveEP9JSContextPN2JS5ValueE4138","__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE4139","__ZN9JSWrapper5traceEP8JSTracerP8JSObject","__ZN9JSWrapper14wrapperHandlerEPK8JSObject","___cxx_global_var_init4142","__ZN9JSWrapper3NewEP9JSContextP8JSObjectS3_S3_PS_","_TransparentObjectWrapper","__ZN2js10ForceFrameD2Ev","__ZN9JSContext7delete_IN2js15DummyFrameGuardEEEvPT_","__ZN2js10ForceFrame5enterEv","__ZN9JSContext4new_IN2js15DummyFrameGuardEEEPT_v","__ZN2js15AutoCompartmentC2EP9JSContextP8JSObject","__ZN7mozilla5MaybeIN2js15DummyFrameGuardEEC1Ev","__ZN2js15AutoCompartmentD2Ev","__ZN2js15AutoCompartment5leaveEv","__ZN7mozilla5MaybeIN2js15DummyFrameGuardEED1Ev","__ZN2js15AutoCompartment5enterEv","__ZN7mozilla5MaybeIN2js15DummyFrameGuardEE9constructEv","__ZN7mozilla5MaybeIN2js15DummyFrameGuardEE3refEv","__ZN7mozilla5MaybeIN2js15DummyFrameGuardEE7destroyEv","__ZN2js11ErrorCopierD2Ev","__ZN25JSCrossCompartmentWrapperC2Ej","__ZN25JSCrossCompartmentWrapperD0Ev","__ZN25JSCrossCompartmentWrapper21getPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor","__ZN25JSCrossCompartmentWrapper24getOwnPropertyDescriptorEP9JSContextP8JSObjectibP20JSPropertyDescriptor","__ZN2js28AutoPropertyDescriptorRooterC1EP9JSContextP20JSPropertyDescriptor","__ZN25JSCrossCompartmentWrapper19getOwnPropertyNamesEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZN25JSCrossCompartmentWrapper7delete_EP9JSContextP8JSObjectiPb","__ZN25JSCrossCompartmentWrapper9enumerateEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZN25JSCrossCompartmentWrapper14definePropertyEP9JSContextP8JSObjectiP20JSPropertyDescriptor","__ZN25JSCrossCompartmentWrapper3hasEP9JSContextP8JSObjectiPb","__ZN25JSCrossCompartmentWrapper6hasOwnEP9JSContextP8JSObjectiPb","__ZN25JSCrossCompartmentWrapper3getEP9JSContextP8JSObjectS3_iPN2JS5ValueE","__ZN25JSCrossCompartmentWrapper4keysEP9JSContextP8JSObjectRN2js12AutoIdVectorE","__ZN25JSCrossCompartmentWrapper7iterateEP9JSContextP8JSObjectjPN2JS5ValueE","__ZL8CanReifyPN2JS5ValueE","__ZL5ReifyP9JSContextP13JSCompartmentPN2JS5ValueE","__ZN25JSCrossCompartmentWrapper4callEP9JSContextP8JSObjectjPN2JS5ValueE","__ZN25JSCrossCompartmentWrapper9constructEP9JSContextP8JSObjectjPN2JS5ValueES6_","__ZN25JSCrossCompartmentWrapper3setEP9JSContextP8JSObjectS3_ibPN2JS5ValueE","_INT_TO_JSID4153","__ZN7mozilla15AlignedStorage2IN2js15DummyFrameGuardEE4addrEv","__ZN7mozilla5MaybeIN2js15DummyFrameGuardEEC2Ev","__ZN17AutoCloseIterator5clearEv","__ZN17AutoCloseIteratorC2EP9JSContextP8JSObject","_JSVAL_TO_OBJECT_IMPL4155","_JSVAL_IS_OBJECT_IMPL4156","_JSVAL_IS_PRIMITIVE_IMPL4157","_OBJECT_TO_JSVAL_IMPL4158","_BUILD_JSVAL4159","_JSVAL_TO_PRIVATE_PTR_IMPL4160","_JS_XDRInitBase","_JS_XDRMemGetData","_JS_XDRMemSetData","_JS_XDRMemDataLeft","_JS_XDRMemResetData","__ZN25JSCrossCompartmentWrapper11hasInstanceEP9JSContextP8JSObjectPKN2JS5ValueEPb","__ZN25JSCrossCompartmentWrapper12obj_toStringEP9JSContextP8JSObject","__ZN25JSCrossCompartmentWrapper12fun_toStringEP9JSContextP8JSObjectj","__ZN25JSCrossCompartmentWrapper12defaultValueEP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZN25JSCrossCompartmentWrapper5traceEP8JSTracerP8JSObject","___cxx_global_var_init34149","__ZN2js15DummyFrameGuardD1Ev","__ZN2js15DummyFrameGuardD2Ev","__ZN7mozilla5MaybeIN2js15DummyFrameGuardEE3asTEv","__ZN2js15DummyFrameGuardC1Ev","__ZN2js15DummyFrameGuardC2Ev","__ZN7mozilla5MaybeIN2js15DummyFrameGuardEED2Ev","_js_malloc4150","_js_free4151","__ZN17AutoCloseIteratorC1EP9JSContextP8JSObject","__ZNK2js14NativeIterator7numKeysEv","__ZN17AutoCloseIteratorD1Ev","__ZN17AutoCloseIteratorD2Ev","__ZN2jsL15MakeRangeGCSafeEPiS0_4152","_js_realloc4154","__ZN2js28AutoPropertyDescriptorRooterC2EP9JSContextP20JSPropertyDescriptor","__GLOBAL__I_a4161","_JS_XDRNewMem","_JS_XDRDestroy","_JS_XDRUint8","_JS_XDRUint32","_JS_XDRUint16","_JS_XDRBytes","_JS_XDRCString","_JS_XDRCStringOrNull","_JS_XDRString","__ZL8XDRCharsP10JSXDRStatePtj","_JS_XDRStringOrNull","_JS_XDRDouble","__ZL14XDRDoubleValueP10JSXDRStatePd","_JS_XDRValue","__ZN2js14XDRScriptStateC2EP10JSXDRState","__ZL9GetXDRTagN2JS5ValueE","__ZL12XDRValueBodyP10JSXDRStatejPN2JS5ValueE","_js_XDRAtom","__ZN2js14XDRScriptStateD2Ev","_JS_XDRScript","_JS_XDRRegisterClass","_JS_XDRFindClassById","_INT32_TO_JSVAL_IMPL4205","_JSVAL_TO_INT32_IMPL4206","_BOOLEAN_TO_JSVAL_IMPL4208","_JSVAL_TO_BOOLEAN_IMPL4209","_OBJECT_TO_JSVAL_IMPL4210","_JSVAL_TO_OBJECT_IMPL4211","_STRING_TO_JSVAL_IMPL4212","_JSVAL_TO_STRING_IMPL4213","_JSVAL_IS_STRING_IMPL4216","_JSVAL_IS_DOUBLE_IMPL4217","_JSVAL_IS_INT32_IMPL4218","_JSVAL_IS_OBJECT_OR_NULL_IMPL4219","_JSVAL_IS_UNDEFINED_IMPL4220","_JSVAL_IS_NULL_IMPL4221","_JS_XDRFindClassIdByName","_js_realloc4193","_JSVAL_TO_STRING4194","_STRING_TO_JSVAL4195","_JSVAL_TO_DOUBLE4196","_DOUBLE_TO_JSVAL4197","_JSVAL_TO_OBJECT4198","_OBJECT_TO_JSVAL4199","_JSVAL_TO_BOOLEAN4200","_BOOLEAN_TO_JSVAL4201","_JSVAL_TO_INT4202","_INT_TO_JSVAL4203","__ZL13IMPL_TO_JSVAL12jsval_layout4204","__ZL13JSVAL_TO_IMPLN2JS5ValueE4207","_JSVAL_IS_NULL","_JSVAL_IS_VOID","_JSVAL_IS_OBJECT","_JSVAL_IS_INT","_JSVAL_IS_DOUBLE4214","_JSVAL_IS_STRING4215","__ZL9mem_get32P10JSXDRStatePj","__ZL9mem_set32P10JSXDRStatePj","__ZL12mem_getbytesP10JSXDRStatePcj","__ZL8mem_tellP10JSXDRState","__ZL12mem_setbytesP10JSXDRStatePcj","__ZL7mem_rawP10JSXDRStatej","__ZL8mem_seekP10JSXDRStatei11JSXDRWhence","__ZL12mem_finalizeP10JSXDRState","_js_free4222","_js_malloc4223","__ZL18namespace_equalityP9JSContextP8JSObjectPKN2JS5ValueEPi","__ZL18namespace_toStringP9JSContextjPN2JS5ValueE","__ZNK8JSObject7isQNameEv","__ZN16JSXMLArrayCursor10disconnectEv","__ZL14qname_equalityP9JSContextP8JSObjectPKN2JS5ValueEPi","__ZL14qname_toStringP9JSContextjPN2JS5ValueE","__Z26js_ConstructXMLQNameObjectP9JSContextRKN2JS5ValueES4_","__Z12js_IsXMLNameP9JSContextN2JS5ValueE","_JSVAL_IS_PRIMITIVE4303","_JSVAL_TO_OBJECT4304","__ZNK8JSObject17getQNameLocalNameEv","__ZL9IsXMLNamePKtj","__ZN16JSXMLArrayCursor5traceEP8JSTracer","__ZN10JSXMLArray11setCapacityEP9JSContextj","__ZN10JSXMLArray4trimEv","__ZN10JSXMLArray6finishEP9JSContext","__Z32js_GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext","__ZL29GetLocalNameFromFunctionQNameP8JSObjectPiP9JSContext","__Z11xml_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZN2JS6AnchorIP8JSObjectEC1ES2_","__ZL19xml_toString_helperP9JSContextP5JSXML","__ZN2JSL11StringValueEP8JSString4311","__ZN2JS6AnchorIP8JSObjectED1Ev","_JSID_IS_OBJECT4314","_JSID_TO_OBJECT4315","__Z15js_GetXMLMethodP9JSContextP8JSObjectiPN2JS5ValueE","__ZL14GetXMLFunctionP9JSContextP8JSObjectiPN2JS5ValueE","__Z18js_TestXMLEqualityP9JSContextRKN2JS5ValueES4_Pi","__ZL6EqualsP9JSContextP5JSXMLN2JS5ValueEPi","_OBJECT_TO_JSVAL4318","__ZL22js_EnterLocalRootScopeP9JSContext","__ZL22js_LeaveLocalRootScopeP9JSContext","__ZL16HasSimpleContentP5JSXML","__ZN2JSL11ObjectValueER8JSObject4319","_JSVAL_IS_STRING4320","_JSVAL_IS_NUMBER","_JSVAL_TO_STRING4321","_STRING_TO_JSVAL4322","_JSVAL_IS_INT4323","_JSVAL_TO_INT4324","_JSVAL_TO_DOUBLE4325","__ZL9XMLEqualsP9JSContextP5JSXMLS2_Pi","__ZL15xml_hasInstanceP9JSContextP8JSObjectPKN2JS5ValueEPi","__Z17js_ConcatenateXMLP9JSContextP8JSObjectS2_PN2JS5ValueE","__Z15js_NewXMLObjectP9JSContext10JSXMLClass","__ZL6AppendP9JSContextP5JSXMLS2_","__ZL32js_LeaveLocalRootScopeWithResultP9JSContextN2JS5ValueE","__ZL12xml_finalizeP9JSContextP8JSObject","__ZL9xml_traceP8JSTracerP8JSObject","__ZL18xml_lookupPropertyP9JSContextP8JSObjectiPS2_PP10JSProperty","__ZL17xml_lookupElementP9JSContextP8JSObjectjPS2_PP10JSProperty","__ZL17xml_lookupSpecialP9JSContextP8JSObjectN2js9SpecialIdEPS2_PP10JSProperty","__ZL18xml_definePropertyP9JSContextP8JSObjectiPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej","__ZL17xml_defineElementP9JSContextP8JSObjectjPKN2JS5ValueEPFiS0_S2_iPS4_EPFiS0_S2_iiS7_Ej","__ZL17xml_defineSpecialP9JSContextP8JSObjectN2js9SpecialIdEPKN2JS5ValueEPFiS0_S2_iPS6_EPFiS0_S2_iiS9_Ej","__ZL14xml_getGenericP9JSContextP8JSObjectS2_iPN2JS5ValueE","__ZL15xml_getPropertyP9JSContextP8JSObjectS2_PN2js12PropertyNameEPN2JS5ValueE","__ZL10xml_typeOfP9JSContextP8JSObject","__ZL7xml_fixP9JSContextP8JSObjectPbPN2js12AutoIdVectorE","__ZL9xml_clearP9JSContextP8JSObject","__ZL14xml_getElementP9JSContextP8JSObjectS2_jPN2JS5ValueE","__ZL14xml_getSpecialP9JSContextP8JSObjectS2_N2js9SpecialIdEPN2JS5ValueE","__ZL15xml_setPropertyP9JSContextP8JSObjectiPN2JS5ValueEi","__ZL14xml_setElementP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL14xml_setSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZL17xml_getAttributesP9JSContextP8JSObjectiPj","__ZL24xml_getElementAttributesP9JSContextP8JSObjectjPj","__ZL24xml_getSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj","__ZL17xml_setAttributesP9JSContextP8JSObjectiPj","__ZL24xml_setElementAttributesP9JSContextP8JSObjectjPj","__ZL24xml_setSpecialAttributesP9JSContextP8JSObjectN2js9SpecialIdEPj","__ZL18xml_deletePropertyP9JSContextP8JSObjectiPN2JS5ValueEi","__ZL17xml_deleteElementP9JSContextP8JSObjectjPN2JS5ValueEi","__ZL17xml_deleteSpecialP9JSContextP8JSObjectN2js9SpecialIdEPN2JS5ValueEi","__ZL13xml_enumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZL16xml_addNamespaceP9JSContextjPN2JS5ValueE","__ZL15xml_appendChildP9JSContextjPN2JS5ValueE","__ZL13xml_attributeP9JSContextjPN2JS5ValueE","__ZL14xml_attributesP9JSContextjPN2JS5ValueE","__ZL9xml_childP9JSContextjPN2JS5ValueE","__ZL14xml_childIndexP9JSContextjPN2JS5ValueE","__ZL12xml_childrenP9JSContextjPN2JS5ValueE","__ZL12xml_commentsP9JSContextjPN2JS5ValueE","__ZL8xml_copyP9JSContextjPN2JS5ValueE","__ZL15xml_descendantsP9JSContextjPN2JS5ValueE","__ZL12xml_elementsP9JSContextjPN2JS5ValueE","__ZL18xml_hasOwnPropertyP9JSContextjPN2JS5ValueE","__ZL21xml_hasComplexContentP9JSContextjPN2JS5ValueE","__ZL20xml_hasSimpleContentP9JSContextjPN2JS5ValueE","__ZL12xml_containsP9JSContextjPN2JS5ValueE","__ZL21xml_inScopeNamespacesP9JSContextjPN2JS5ValueE","__ZL20xml_insertChildAfterP9JSContextjPN2JS5ValueE","__ZL21xml_insertChildBeforeP9JSContextjPN2JS5ValueE","__ZL10xml_lengthP9JSContextjPN2JS5ValueE","__ZL13xml_localNameP9JSContextjPN2JS5ValueE","__ZL8xml_nameP9JSContextjPN2JS5ValueE","__ZL13xml_namespaceP9JSContextjPN2JS5ValueE","__ZL25xml_namespaceDeclarationsP9JSContextjPN2JS5ValueE","__ZL12xml_nodeKindP9JSContextjPN2JS5ValueE","__ZL13xml_normalizeP9JSContextjPN2JS5ValueE","__ZL10xml_parentP9JSContextjPN2JS5ValueE","__ZL26xml_processingInstructionsP9JSContextjPN2JS5ValueE","__ZL16xml_prependChildP9JSContextjPN2JS5ValueE","__ZL24xml_propertyIsEnumerableP9JSContextjPN2JS5ValueE","__ZL19xml_removeNamespaceP9JSContextjPN2JS5ValueE","__ZL11xml_replaceP9JSContextjPN2JS5ValueE","__ZL15xml_setChildrenP9JSContextjPN2JS5ValueE","__ZL16xml_setLocalNameP9JSContextjPN2JS5ValueE","__ZL11xml_setNameP9JSContextjPN2JS5ValueE","__ZL16xml_setNamespaceP9JSContextjPN2JS5ValueE","__ZL8xml_textP9JSContextjPN2JS5ValueE","__ZL12xml_toSourceP9JSContextjPN2JS5ValueE","__ZL12xml_toStringP9JSContextjPN2JS5ValueE","__ZL15xml_toXMLStringP9JSContextjPN2JS5ValueE","__ZL11xml_valueOfP9JSContextjPN2JS5ValueE","__ZL12xml_settingsP9JSContextjPN2JS5ValueE","__ZN10JSXMLArray4initEv","__ZL15xml_setSettingsP9JSContextjPN2JS5ValueE","__ZL19xml_defaultSettingsP9JSContextjPN2JS5ValueE","__Z9js_NewXMLP9JSContext10JSXMLClass","_js_TraceXML","__ZL16xml_trace_vectorP8JSTracerPP5JSXMLj","__ZL19XMLArrayCursorTraceP8JSTracerP16JSXMLArrayCursor","__ZN2js13AutoXMLRooterC1EP9JSContextP5JSXML","__Z15js_GetXMLObjectP9JSContextP5JSXML","__ZN2js13AutoXMLRooterD1Ev","__ZL12NewXMLObjectP9JSContextP5JSXML","__Z21js_InitNamespaceClassP9JSContextP8JSObject","__ZN8JSObject13setNamePrefixEP14JSLinearString","__ZN8JSObject10setNameURIEP14JSLinearString","__ZL9NamespaceP9JSContextjPN2JS5ValueE","__Z17js_InitQNameClassP9JSContextP8JSObject","__ZL12InitXMLQNameP9JSContextP8JSObjectP14JSLinearStringS4_P6JSAtom","__ZL5QNameP9JSContextjPN2JS5ValueE","__Z15js_InitXMLClassP9JSContextP8JSObject","__ZL3XMLP9JSContextjPN2JS5ValueE","__ZL21SetDefaultXMLSettingsP9JSContextP8JSObject","__ZL7XMLListP9JSContextjPN2JS5ValueE","__ZL12ATOM_TO_JSIDP6JSAtom4336","__ZL13xml_isXMLNameP9JSContextjPN2JS5ValueE","__Z17js_InitXMLClassesP9JSContextP8JSObject","__ZN2js12GlobalObject20getFunctionNamespaceEP9JSContextPN2JS5ValueE","__ZL15NewXMLNamespaceP9JSContextP14JSLinearStringS2_i","__Z25js_GetDefaultXMLNamespaceP9JSContextPN2JS5ValueE","__ZN8JSObject10getSpecialEP9JSContextN2js9SpecialIdEPN2JS5ValueE","__ZN2js9SpecialId19defaultXMLNamespaceEv","__Z25js_SetDefaultXMLNamespaceP9JSContextRKN2JS5ValueE","__Z18js_ToAttributeNameP9JSContextPN2JS5ValueE","__ZL15ToAttributeNameP9JSContextN2JS5ValueE","__Z23js_EscapeAttributeValueP9JSContextP8JSStringi","__ZL20EscapeAttributeValueP9JSContextRN2js12StringBufferEP8JSStringi","__Z19js_AddAttributePartP9JSContextiP8JSStringS2_","__Z21js_EscapeElementValueP9JSContextP8JSString","_OBJECT_TO_JSID4356","_JSID_IS_VOID4359","__ZL18EscapeElementValueP9JSContextRN2js12StringBufferEP8JSStringj","__Z19js_ValueToXMLStringP9JSContextRKN2JS5ValueE","__ZL11ToXMLStringP9JSContextN2JS5ValueEj","__Z13js_GetAnyNameP9JSContextPi","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE1EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4355","__Z18js_FindXMLPropertyP9JSContextRKN2JS5ValueEPP8JSObjectPi","__ZL16HasNamedPropertyP5JSXMLP8JSObject","__Z20js_GetXMLDescendantsP9JSContextP8JSObjectN2JS5ValueEPS4_","__ZL10GetPrivateP9JSContextP8JSObjectPKc","__ZL11DescendantsP9JSContextP5JSXMLN2JS5ValueE","__Z24js_DeleteXMLListElementsP9JSContextP8JSObject","__ZL17DeleteListElementP9JSContextP5JSXMLj","__ZL18xmlfilter_finalizeP9JSContextP8JSObject","__ZL15xmlfilter_traceP8JSTracerP8JSObject","__ZL19HasFunctionPropertyP9JSContextP8JSObjectiPi","__ZL20ConvertQNameToStringP9JSContextP8JSObject","__ZN16JSXMLArrayCursor7getNextEv","__Z20js_StepXMLListFilterP9JSContexti","__ZN2jsL22GetGlobalForScopeChainEP9JSContext4366","__ZN9JSContext4new_I11JSXMLFilterP5JSXMLP10JSXMLArrayEEPT_T0_T1_","__Z19js_ValueToXMLObjectP9JSContextRKN2JS5ValueE","__ZL5ToXMLP9JSContextN2JS5ValueE","__Z23js_ValueToXMLListObjectP9JSContextRKN2JS5ValueE","__ZN2JS6AnchorIP8JSObjectED2Ev","__ZN2jsL26CanBeFinalizedInBackgroundENS_2gc9AllocKindEPNS_5ClassE4381","__ZN16JSXMLArrayCursorC2EP10JSXMLArray","__ZN2JS6AnchorIP8JSObjectEC2ES2_","__ZN2js2gcL15GetGCObjectKindEjb4379","__ZL9ToXMLListP9JSContextN2JS5ValueE","__Z22js_NewXMLSpecialObjectP9JSContext10JSXMLClassP8JSStringS3_","__ZL18GetXMLSettingFlagsP9JSContextPj","__ZL11NewXMLQNameP9JSContextP14JSLinearStringS2_P6JSAtom","__Z21js_MakeXMLCDATAStringP9JSContextP8JSString","__ZL18MakeXMLCDATAStringP9JSContextRN2js12StringBufferEP8JSString","__Z23js_MakeXMLCommentStringP9JSContextP8JSString","__ZL20MakeXMLCommentStringP9JSContextRN2js12StringBufferEP8JSString","__Z18js_MakeXMLPIStringP9JSContextP8JSStringS2_","__ZL15MakeXMLPIStringP9JSContextRN2js12StringBufferEP8JSStringS5_","__ZN11JSXMLFilterC1EP5JSXMLP10JSXMLArray","__ZN11JSXMLFilterC2EP5JSXMLP10JSXMLArray","__ZN16JSXMLArrayCursorC1EP10JSXMLArray","__ZN2js6detailL9NewObjectILb1ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4380","__ZN2js2gcL14GetGCKindSlotsENS0_9AllocKindE4388","__ZL11JS_ON_TRACEPK9JSContext4391","__ZN2js2gcL22GetBackgroundAllocKindENS0_9AllocKindE4382","_BUILD_JSVAL4386","_MAGIC_TO_JSVAL_IMPL4387","__ZNK8JSString5emptyEv","__ZN2jsL18InitScopeForObjectEP9JSContextP8JSObjectPNS_5ClassEPNS_5types10TypeObjectENS_2gc9AllocKindE4383","_js_calloc4384","__ZN2jsL15ClearValueRangeEPN2JS5ValueEjb4385","__ZL20MakeXMLSpecialStringP9JSContextRN2js12StringBufferEP8JSStringS5_PKtjS7_j","_js_realloc4389","__ZN2jsL17CheckStringLengthEP9JSContextj4390","__ZL26NewBuiltinClassInstanceXMLP9JSContextPN2js5ClassE","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassE4392","__ZN2jsL23NewBuiltinClassInstanceEP9JSContextPNS_5ClassENS_2gc9AllocKindE4393","__ZN2jsL22NewNativeClassInstanceEP9JSContextPNS_5ClassEP8JSObjectS5_NS_2gc9AllocKindE4394","__ZL20GetBooleanXMLSettingP9JSContextPKcPi","__ZL13GetXMLSettingP9JSContextPKcPN2JS5ValueE","_JSVAL_IS_NULL4395","_JSVAL_IS_VOID4396","__ZL32js_LeaveLocalRootScopeWithResultP9JSContextPv","__ZL14OrphanXMLChildP9JSContextP5JSXMLj","__ZL17XMLArrayAddMemberP9JSContextP10JSXMLArrayjPv","__ZN8JSObject20setNamespaceDeclaredEN2JS5ValueE","__ZNK8JSObject10getNameURIEv","__ZN2js18AutoNamespaceArrayC1EP9JSContext","__ZL14ParseXMLSourceP9JSContextP8JSString","__ZL14ParseNodeToXMLPN2js6ParserEP11JSParseNodeP10JSXMLArrayj","_JS_ASSERT_STRING_IS_FLAT","__ZL12IS_XML_CHARSPKt","__ZL16HAS_NS_AFTER_XMLPKt","__ZN2js18AutoNamespaceArrayD1Ev","__ZN2js18AutoNamespaceArrayD2Ev","__ZL18ChompXMLWhitespaceP9JSContextP8JSString","__ZL16XMLArrayTruncateP9JSContextP10JSXMLArrayj","__ZL18XMLArrayFindMemberPK10JSXMLArrayPvPFiPKvS4_E","__ZL18namespace_identityPKvS0_","__ZL16ParseNodeToQNamePN2js6ParserEP11JSParseNodeP10JSXMLArrayi","_JSVAL_TO_STRING_IMPL4397","_JSVAL_IS_UNDEFINED_IMPL4398","_JSVAL_IS_NULL_IMPL4400","__ZL14XMLArrayDeleteP9JSContextP10JSXMLArrayji","__ZNK8JSObject13getNamePrefixEv","__ZN2js18AutoNamespaceArrayC2EP9JSContext","__ZL13JSVAL_TO_IMPLN2JS5ValueE4399","__ZN9JSContext7delete_I11JSXMLFilterEEvPT_","__ZN11JSXMLFilterD1Ev","__ZN11JSXMLFilterD2Ev","__ZN16JSXMLArrayCursorD1Ev","__ZN16JSXMLArrayCursorD2Ev","__ZL19DeleteNamedPropertyP9JSContextP5JSXMLP8JSObjecti","__ZL13DeleteByIndexP9JSContextP5JSXMLj","__ZL13MatchAttrNameP8JSObjectP5JSXML","__ZL13MatchElemNameP8JSObjectP5JSXML","_JSID_IS_INT4401","_JSID_TO_INT4402","_JSID_IS_STRING4403","_JSID_TO_STRING4405","__ZN2js16AutoObjectRooter9setObjectEP8JSObject","__ZL9ToXMLNameP9JSContextN2JS5ValueEPi","__ZL17DescendantsHelperP9JSContextP5JSXMLP8JSObjectS2_","__ZL16ReportBadXMLNameP9JSContextRKN2JS5ValueE","__ZL12JSID_TO_ATOMi4404","__ZN2JSL14UndefinedValueEv4406","_JSVAL_IS_BOOLEAN4407","__ZN2jsL11ToPrimitiveEP9JSContext6JSTypePN2JS5ValueE4408","__ZL14XMLToXMLStringP9JSContextP5JSXMLPK10JSXMLArrayj","__ZNK2js18AutoNamespaceArray6lengthEv","_JSVAL_IS_PRIMITIVE_IMPL4409","_JSVAL_IS_BOOLEAN_IMPL4410","_JSVAL_IS_STRING_IMPL4412","__ZL10IsDeclaredPK8JSObject","__ZL12GetNamespaceP9JSContextP8JSObjectPK10JSXMLArray","__ZL14GeneratePrefixP9JSContextP14JSLinearStringP10JSXMLArray","__ZL15namespace_matchPKvS0_","__ZL20AppendAttributeValueP9JSContextRN2js12StringBufferEP8JSString","__ZL19GetUint32XMLSettingP9JSContextPKcPj","__ZNK8JSObject20getNamespaceDeclaredEv","_js_malloc4411","__ZL19NewXMLAttributeNameP9JSContextP14JSLinearStringS2_P6JSAtom","__ZL14JSID_FROM_BITSj4418","_STRING_TO_JSVAL_IMPL4413","__ZN2js9SpecialIdC2Ej","__ZN2jsL17SPECIALID_TO_JSIDERKNS_9SpecialIdE4414","_BOOLEAN_TO_JSVAL_IMPL4417","_JSVAL_IS_MAGIC_IMPL4420","_INT32_TO_JSVAL_IMPL4422","__ZN2js9SpecialIdC1Ej","_BOOLEAN_TO_JSVAL4415","__ZL13IMPL_TO_JSVAL12jsval_layout4416","__ZN2jsL14IsConstructingEPKN2JS5ValueE4419","_INT_TO_JSVAL4421","__ZL8DeepCopyP9JSContextP5JSXMLP8JSObjectj","__ZL13DeepCopyInLRSP9JSContextP5JSXMLj","__ZL16DeepCopySetInLRSP9JSContextP10JSXMLArrayS2_P5JSXMLj","__ZN2jsL42IsConstructing_PossiblyWithGivenThisObjectEPKN2JS5ValueEPP8JSObject","_JSID_TO_FLAT_STRING4426","_MAGIC_JSVAL_TO_OBJECT_OR_NULL_IMPL","__ZL11QNameHelperP9JSContextP8JSObjectiPN2JS5ValueES5_","__ZNK8JSObject20getQNameLocalNameValEv","__ZNK2JS5Value27getMagicObjectOrNullPayloadEv","__ZN8JSObject17setQNameLocalNameEP6JSAtom","__ZL19QNameNameURI_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL21QNameLocalName_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZNK8JSObject13getNameURIValEv","__ZN2js5typesL13HashSetLookupIiNS0_8PropertyES2_EEPT0_PS4_jT_4423","__ZN2js5typesL15HashSetCapacityEj4424","__ZN2js5typesL7HashKeyIiNS0_8PropertyEEEjT_4425","__ZL17NamePrefix_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL14NameURI_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZNK8JSObject16getNamePrefixValEv","__ZN2jsL16GetClassProtoKeyEPNS_5ClassE4430","__ZL15NamespaceHelperP9JSContextP8JSObjectiPN2JS5ValueES5_","__ZN8JSObject15clearNamePrefixEv","__ZN2jsL14NewNonFunctionILNS_9WithProto1eE0EEEP8JSObjectP9JSContextPNS_5ClassES4_S4_4427","__ZN2js6detailL9NewObjectILb0ELb0EEEP8JSObjectP9JSContextPNS_5ClassES3_S3_NS_2gc9AllocKindE4428","__ZN2jsL9FindProtoEP9JSContextPNS_5ClassEP8JSObjectPS5_4429","__ZN2js13AutoXMLRooterD2Ev","__ZN2js13AutoXMLRooterC2EP9JSContextP5JSXML","__ZL15CopyXMLSettingsP9JSContextP8JSObjectS2_","__ZL15xml_text_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE","__ZL15xml_list_helperP9JSContextP5JSXMLPN2JS5ValueE","__ZL21StartNonListXMLMethodP9JSContextPN2JS5ValueEPP8JSObject","__ZL11CopyOnWriteP9JSContextP5JSXMLP8JSObject","__ZL19AddInScopeNamespaceP9JSContextP5JSXMLP8JSObject","__ZL11PutPropertyP9JSContextP8JSObjectiiPN2JS5ValueE","__ZN2jsL9IdToJsvalEi4431","__ZN2jsL9IdToValueEi4432","__ZL12ResolveValueP9JSContextP5JSXMLPS2_","__ZL11GetPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZN16JSXMLArrayCursor10getCurrentEv","__ZL6InsertP9JSContextP5JSXMLjN2JS5ValueE","__ZL7ReplaceP9JSContextP5JSXMLjN2JS5ValueE","__ZL14XMLArrayInsertP9JSContextP10JSXMLArrayjj","__ZL11KidToStringP9JSContextP5JSXMLj","__ZL10CheckCycleP9JSContextP5JSXMLS2_","__ZL21SyncInScopeNamespacesP9JSContextP5JSXML","__ZN2JSL10Int32ValueEi4433","__ZL12IdValIsIndexP9JSContextN2JS5ValueEPjPb","__ZL26xml_removeNamespace_helperP9JSContextP5JSXMLP8JSObject","__ZL20namespace_full_matchPKvS0_","__ZL16GetNamedPropertyP9JSContextP5JSXMLP8JSObjectS2_","_INT_TO_JSID4434","__ZL33xml_processingInstructions_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE","__ZL20xml_normalize_helperP9JSContextP8JSObjectP5JSXML","__ZL17NormalizingDeleteP9JSContextP5JSXMLj","__ZL19NamespacesToJSArrayP9JSContextP10JSXMLArrayPN2JS5ValueE","__ZL18HasIndexedPropertyP5JSXMLj","__ZL21FindInScopeNamespacesP9JSContextP5JSXMLP10JSXMLArray","_DOUBLE_TO_JSVAL4435","__ZL11HasPropertyP9JSContextP8JSObjectN2JS5ValueEPi","__ZL19xml_elements_helperP9JSContextP8JSObjectP5JSXMLS2_PN2JS5ValueE","_INT_FITS_IN_JSID4436","_JSID_IS_DEFAULT_XML_NAMESPACE4441","_DOUBLE_TO_JSVAL_IMPL4440","_JSVAL_TO_PRIVATE_PTR_IMPL4437","_JSVAL_IS_SPECIFIC_INT32_IMPL","_PRIVATE_PTR_TO_JSVAL_IMPL4438","_OBJECT_TO_JSVAL_IMPL4443","_JSVAL_TO_INT32_IMPL4444","_JSVAL_IS_INT32_IMPL4445","_JSVAL_IS_NUMBER_IMPL4446","__ZL19xml_comments_helperP9JSContextP8JSObjectP5JSXMLPN2JS5ValueE","__ZL16xml_child_helperP9JSContextP8JSObjectP5JSXMLN2JS5ValueEPS6_","__ZL9ValueToIdP9JSContextN2JS5ValueEPN2js12AutoIdRooterE","__ZN9JSContext4new_I16JSXMLArrayCursorP10JSXMLArrayEEPT_T0_","__ZNK2JS5Value7isInt32Ei","__ZN9JSContext7delete_I16JSXMLArrayCursorEEvPT_","__ZN2JSL11DoubleValueEd4439","__ZL14xml_setGenericP9JSContextP8JSObjectiPN2JS5ValueEi","__ZN2jsL16IsFunctionObjectERKN2JS5ValueE4442","__ZL13attr_identityPKvS0_","_JSVAL_TO_OBJECT_IMPL4449","_JSVAL_IS_OBJECT_IMPL4450","__ZNK8JSObject11isNamespaceEv","__ZL14qname_identityP8JSObjectS0_","__ZN2JSL9NullValueEv4447","_js_free4448","__Z15jsRegExpCompilePKti24JSRegExpIgnoreCaseOption23JSRegExpMultilineOptionPjPi","__ZN11CompileDataC1Ev","__ZL30calculateCompiledPatternLengthPKti24JSRegExpIgnoreCaseOptionR11CompileDataR9ErrorCode","__ZL11returnError9ErrorCodePi","__ZN2js11OffTheBooks9array_newIcEEPT_j","__ZL13compileBranchiPiPPhPPKtS3_P9ErrorCodeS_S_R11CompileData","__ZL13put2ByteValuePhi","__ZL8flipCaseh","__ZL22firstSignificantOpcodePKh","__ZL13get2ByteValuePKh","__ZL13get3ByteValuePKh","__ZL14compileBracketiPiPPhPPKtS3_P9ErrorCodeiS_S_R11CompileData","__ZN2js10Foreground12array_deleteIcEEvPT_","__ZL17bracketIsAnchoredPKh","__ZL16branchIsAnchoredPKh","__ZL33bracketFindFirstAssertedCharacterPKhb","__ZL32branchFindFirstAssertedCharacterPKhb","__ZL21bracketNeedsLineStartPKhjj","__ZL20branchNeedsLineStartPKhjj","__Z12jsRegExpFreeP8JSRegExp","_js_free4455","_js_malloc4456","__ZL12getLinkValuePKh","__ZL21getLinkValueAllowZeroPKh","__ZL40firstSignificantOpcodeSkippingAssertionsPKh","__ZL21advanceToEndOfBracketRPKh","__ZL21putLinkValueAllowZeroPhi","__ZL12putLinkValuePhi","__ZL13put3ByteValuePhi","__ZL18classBitmapForCharh","__ZL10encodeUTF8iPh","__ZL15isCountedRepeatPKtS0_","__ZL11checkEscapePPKtS0_P9ErrorCodeib","__ZL17getOthercaseRangePiiS_S_","__ZN3WTF12isASCIIDigitEt","__ZN3WTF15isASCIIHexDigitEt","__ZN3WTF12isASCIIAlphaEi","__ZN3WTF19isASCIIAlphanumericEi","__ZN3WTF12toASCIIUpperEi","__ZL25multiplyWithOverflowCheckii","__ZL19safelyCheckNextCharPKtS0_t","__ZN11CompileDataC2Ev","__ZL11toLowerCaseh","__ZL8flipCaseh4460","__ZL16readRepeatCountsPKtPiS1_P9ErrorCode","__ZL23put2ByteValueAndAdvanceRPhi","__ZL31putLinkValueAllowZeroAndAdvanceRPhi","__ZL22putLinkValueAndAdvanceRPhi","__Z15jsRegExpExecuteP9JSContextPK8JSRegExpPKtiiPii","__ZL27tryRequiredByteOptimizationRPKtS0_iibbS1_","__ZL24tryFirstByteOptimizationRPKtS0_ibbS0_","__ZL5matchP11JSArenaPoolPKtPKhiR9MatchData","__ZL9isNewlinet","__ZN10MatchFrame13startNewGroupEb","__ZN10LinearFlag12readAndClearEv","__ZN9MatchData13setOffsetPairEjii","__ZL13get2ByteValuePKh4462","__ZN10LinearFlag3setEv","__ZN10MatchFrame14restoreOffsetsEiiPii","__ZN10MatchFrame14clobberOffsetsEiiPii","__ZL38repeatInformationFromInstructionOffsetsRbRiS0_","__ZN10MatchStackC1EP11JSArenaPool","__ZN10LinearFlagC1Ev","__ZL10matchErroriR10MatchStack","__ZN10MatchFrame15extractBracketsEPKh","__ZN10MatchStack12pushNewFrameEPKhP16BracketChainNodei","__ZN10MatchStack15popCurrentFrameEv","__ZL12getLinkValuePKh4461","__ZL21advanceToEndOfBracketRPKh4463","__ZN10MatchFrame11saveOffsetsEiiPii","__ZL10isWordChart","__ZL11isSpaceChart","__ZL8matchRefiPKtiRK9MatchData","__ZN2JS15PerfMeasurement19canMeasureSomethingEv","__ZN2JS15PerfMeasurementD2Ev","__ZN2JS15PerfMeasurement5startEv","__ZN2JS15PerfMeasurement4stopEv","__ZN3WTF12isASCIIDigitEi","__ZL29getUTF8CharAndIncrementLengthRiPKhS_","__ZL15charTypeForCharh","__ZL13get3ByteValuePKh4465","__ZN10MatchStack29canUseStackBufferForNextFrameEv","__ZN10MatchFrame4initEP11JSArenaPool","__ZN10MatchFrameC2Ev","__ZN10LinearFlagC2Ev","__Z22jsc_pcre_ucp_othercasej","__ZL28getUTF8CharAndAdvancePointerRiRPKh","__ZN2JS15PerfMeasurementC2ENS0_9EventMaskE","__ZN2JS15PerfMeasurement5resetEv","__ZN10MatchStackD1Ev","__ZN10MatchStackD2Ev","__ZL21getLinkValueAllowZeroPKh4464","__ZN2js10Foreground7delete_I10MatchFrameEEvPT_","_js_free4466","__ZN10MatchStack17allocateNextFrameEv","__ZN2js11OffTheBooks4new_I10MatchFrameEEPT_v","_js_malloc4467","__ZN10MatchFrameC1Ev","__ZN10MatchStack12popAllFramesEv","__ZN10MatchStackC2EP11JSArenaPool","__Z15jsc_pcre_xclassiPKh","__ZN2v88internal7ceilingEd","__ZN2v88internal2OS5AbortEv","__ZN14DSTOffsetCache11sanityCheckEv","__ZNK2v88internal6VectorIcE5startEv","_PRMJ_LocalGMTDifference","__ZL16ComputeLocalTimelP2tm","_PRMJ_Now","_PRMJ_FormatTime","__ZN14DSTOffsetCache28computeDSTOffsetMillisecondsEx","__ZN14DSTOffsetCache24getDSTOffsetMillisecondsExP9JSContext","__ZN2v88internal13StringBuilder9AddStringEPKc","__ZN2v88internal13StringBuilder12AddSubstringEPKci","__ZN2v88internal9StrLengthEPKc","__ZN2v88internal13StringBuilder10AddIntegerEi","__ZN2v88internal13StringBuilder10AddPaddingEci","__ZN2v88internal13StringBuilder8FinalizeEv","__ZL18my_GetErrorMessagePvPKcj","__ZN2v88internal13DoubleToAsciiEdNS0_8DtoaModeEiNS0_6VectorIcEEPiS4_S4_","__ZNK2v88internal6Double4SignEv","__ZN2v88internalL16double_to_uint64Ed4521","__Z9DumpStackP9JSContextjPN2JS5ValueE","__ZN2JSL11StringValueEP8JSString587","__ZN2JSL11ObjectValueER8JSObject588","__ZL17sandbox_enumerateP9JSContextP8JSObject","__ZL15sandbox_resolveP9JSContextP8JSObjectijPS2_","__ZL18resolver_enumerateP9JSContextP8JSObject","__ZL16resolver_resolveP9JSContextP8JSObjectijPS2_","__Z4WrapP9JSContextjPN2JS5ValueE","_JSVAL_IS_PRIMITIVE589","_JSVAL_TO_OBJECT590","_OBJECT_TO_JSVAL591","__Z9SerializeP9JSContextjPN2JS5ValueE","__Z11DeserializeP9JSContextjPN2JS5ValueE","__Z13MJitCodeStatsP9JSContextjPN2JS5ValueE","__Z13MJitDataStatsP9JSContextjPN2JS5ValueE","__Z11StringStatsP9JSContextjPN2JS5ValueE","_INT_TO_JSVAL592","__Z9NewGlobalP9JSContextjPN2JS5ValueE","_JSVAL_IS_STRING593","_JSVAL_TO_STRING594","__ZL7VersionP9JSContextjPN2JS5ValueE","__ZL13RevertVersionP9JSContextjPN2JS5ValueE","__ZL15NewGlobalObjectP9JSContext15CompartmentKind","__ZL7OptionsP9JSContextjPN2JS5ValueE","__ZL4LoadP9JSContextjPN2JS5ValueE","__ZL8EvaluateP9JSContextjPN2JS5ValueE","__ZL3RunP9JSContextjPN2JS5ValueE","__ZL8ReadLineP9JSContextjPN2JS5ValueE","__ZL5PrintP9JSContextjPN2JS5ValueE","__ZL6PutStrP9JSContextjPN2JS5ValueE","__ZL3NowP9JSContextjPN2JS5ValueE","__ZL4QuitP9JSContextjPN2JS5ValueE","__ZL8AssertEqP9JSContextjPN2JS5ValueE","__ZL9AssertJitP9JSContextjPN2JS5ValueE","__ZL2GCP9JSContextjPN2JS5ValueE","__ZL11GCParameterP9JSContextjPN2JS5ValueE","__ZL4HelpP9JSContextjPN2JS5ValueE","__ZL9CountHeapP9JSContextjPN2JS5ValueE","__ZL20MakeFinalizeObserverP9JSContextjPN2JS5ValueE","__ZL13FinalizeCountP9JSContextjPN2JS5ValueE","__ZL13InternalConstP9JSContextjPN2JS5ValueE","__ZL8SetDebugP9JSContextjPN2JS5ValueE","__ZL18SetDebuggerHandlerP9JSContextjPN2JS5ValueE","__ZL12SetThrowHookP9JSContextjPN2JS5ValueE","__ZL4TrapP9JSContextjPN2JS5ValueE","__ZL6UntrapP9JSContextjPN2JS5ValueE","__ZL8LineToPCP9JSContextjPN2JS5ValueE","__ZL8PCToLineP9JSContextjPN2JS5ValueE","__ZL14StringsAreUTF8P9JSContextjPN2JS5ValueE","__ZL8TestUTF8P9JSContextjPN2JS5ValueE","__ZL10ThrowErrorP9JSContextjPN2JS5ValueE","__ZL9BuildDateP9JSContextjPN2JS5ValueE","__ZL5ClearP9JSContextjPN2JS5ValueE","__ZL6InternP9JSContextjPN2JS5ValueE","__ZL6GetPDAP9JSContextjPN2JS5ValueE","__ZL6GetSLXP9JSContextjPN2JS5ValueE","__ZL7ToInt32P9JSContextjPN2JS5ValueE","__ZL5CloneP9JSContextjPN2JS5ValueE","__ZL11EvalInFrameP9JSContextjPN2JS5ValueE","__ZL7ShapeOfP9JSContextjPN2JS5ValueE","__ZL8ResolverP9JSContextjPN2JS5ValueE","__ZL5SnarfP9JSContextjPN2JS5ValueE","__ZL7CompileP9JSContextjPN2JS5ValueE","__ZL13EvalInContextP9JSContextjPN2JS5ValueE","__ZL5ParseP9JSContextjPN2JS5ValueE","__ZL7TimeoutP9JSContextjPN2JS5ValueE","__ZL7ElapsedP9JSContextjPN2JS5ValueE","__ZL6ParentP9JSContextjPN2JS5ValueE","__ZL15ParseLegacyJSONP9JSContextjPN2JS5ValueE","__ZL27EnableStackWalkingAssertionP9JSContextjPN2JS5ValueE","__ZL10GetMaxArgsP9JSContextjPN2JS5ValueE","__ZL10its_getterP9JSContextP8JSObjectiPN2JS5ValueE","__ZL10its_setterP9JSContextP8JSObjectiiPN2JS5ValueE","__ZL15its_addPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZL15its_delPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZL15its_getPropertyP9JSContextP8JSObjectiPN2JS5ValueE","__ZL15its_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE","__ZL13its_enumerateP9JSContextP8JSObject11JSIterateOpPN2JS5ValueEPi","__ZL11its_resolveP9JSContextP8JSObjectijPS2_","__ZL11its_convertP9JSContextP8JSObject6JSTypePN2JS5ValueE","__ZL12its_finalizeP9JSContextP8JSObject","__ZL16global_enumerateP9JSContextP8JSObject","__ZL14global_resolveP9JSContextP8JSObjectijPS2_","__ZL15env_setPropertyP9JSContextP8JSObjectiiPN2JS5ValueE","__ZL13env_enumerateP9JSContextP8JSObject","__ZL11env_resolveP9JSContextP8JSObjectijPS2_","__Z5ShellP9JSContextPN2js3cli12OptionParserEPPc","__ZN13JSAutoRequestC1EP9JSContext","__ZN22JSAutoEnterCompartmentC1Ev","__Z22ShellPrincipalsSubsumeP12JSPrincipalsS0_","__ZL12InitWatchdogP9JSRuntime","__ZN2js3cli12OptionParser14setDescriptionEPKc","__ZN2js3cli12OptionParser19setDescriptionWidthEj","__ZN2js3cli12OptionParser12setHelpWidthEj","__ZN2js3cli12OptionParser10setVersionEPKc","__ZL11ProcessArgsP9JSContextP8JSObjectPN2js3cli12OptionParserE","__ZN22JSAutoEnterCompartmentD1Ev","__ZN13JSAutoRequestD1Ev","__Z17CheckObjectAccessP9JSContextP8JSObjecti12JSAccessModePN2JS5ValueE","_main","__ZL27MaybeOverrideOutFileFromEnvPKcP7__sFILEPS2_","__ZN2js3cli12OptionParserC1EPKc","__ZL10NewContextP9JSRuntime","__ZL14DestroyContextP9JSContextb","__ZL12KillWatchdogv","__ZL16ScheduleWatchdogP9JSRuntimed","__ZL12AlarmHandleri","__ZL15CancelExecutionP9JSRuntime","__ZL14GetContextDataP9JSContext","__ZL14NewContextDatav","__ZNK2js3cli6detail6Option8isValuedEv","__ZNK2js3cli6detail6Option10isVariadicEv","__ZN2js3cli6detail6OptionD2Ev","__ZN2js3cli6detail6OptionC2ENS1_10OptionKindEcPKcS5_","__ZNK2js3cli16MultiStringRange5emptyEv","__ZL16my_ErrorReporterP9JSContextPKcP13JSErrorReport","__ZL17SetContextOptionsP9JSContext","__ZL22ShellOperationCallbackP9JSContext","__ZN2js3cli12OptionParserC2EPKc","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEC1ES5_","__ZN2js3cli6detail10BoolOptionC1EcPKcS4_","__ZN2js3cli6detail10BoolOptionC2EcPKcS4_","__ZN2js3cli6detail10BoolOptionD1Ev","__ZN2js3cli6detail10BoolOptionD0Ev","__ZN2js3cli6detail10BoolOptionD2Ev","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEC2ES5_","__ZN13JSAutoRequestD2Ev","__ZN22JSAutoEnterCompartmentD2Ev","__ZL14BindScriptArgsP9JSContextP8JSObjectPN2js3cli12OptionParserE","__ZNK2js3cli16MultiStringRange5argnoEv","__ZNK2js3cli16MultiStringRange5frontEv","__ZN2js3cli16MultiStringRange8popFrontEv","_JSVAL_IS_UNDEFINED_IMPL597","__ZL7ProcessP9JSContextP8JSObjectPKcb","__ZL11SkipUTF8BOMP7__sFILE","__ZN20JSAutoSuspendRequestC1EP9JSContext","__ZL7GetLineP7__sFILEPKc","__ZN20JSAutoSuspendRequestD1Ev","_JSVAL_IS_VOID595","_js_free596","__ZL13JSVAL_TO_IMPLN2JS5ValueE598","__ZN20JSAutoSuspendRequestD2Ev","_JSID_IS_STRING604","_JSID_TO_STRING605","_JSID_IS_INT606","_JSID_TO_INT608","_JSID_IS_OBJECT609","_JSID_TO_OBJECT610","_INT_TO_JSID614","_JSID_IS_VOID615","_STRING_TO_JSVAL_IMPL601","__ZN22JSAutoEnterCompartmentC2Ev","__ZN8ToString5threwEv","_BUILD_JSVAL612","_INT32_TO_JSVAL_IMPL613","_JSVAL_IS_BOOLEAN_IMPL618","__ZN12FreeOnReturn4initEPKc","__ZN20JSAutoSuspendRequest6resumeEv","__ZN20JSAutoSuspendRequestC2EP9JSContext","_STRING_TO_JSVAL599","__ZL13IMPL_TO_JSVAL12jsval_layout600","__ZN13JSAutoRequestC2EP9JSContext","__ZN13IdStringifierC1EP9JSContextii","__ZN8ToString8getBytesEv","__ZN13IdStringifierD1Ev","__ZN13IdStringifierD2Ev","__ZN8ToStringD2Ev","__ZN13IdStringifierC2EP9JSContextii","__ZN8ToStringC2EP9JSContextN2JS5ValueEi","__ZN2jsL9IdToJsvalEi602","__ZN2jsL9IdToValueEi603","__ZN2JSL10Int32ValueEi607","__ZN2JSL14UndefinedValueEv611","__ZL15ReportExceptionP9JSContext","__ZN8ToStringC1EP9JSContextN2JS5ValueEi","__ZN8ToString8getJSValEv","__ZN8ToStringD1Ev","__ZL12JSID_IS_ATOMi616","_JSVAL_IS_BOOLEAN617","__ZN2JSL9NullValueEv619","__ZL15SetTimeoutValueP9JSContextd","__ZN12FreeOnReturnC1EP9JSContextPKc","__ZL20MakeAbsolutePathnameP9JSContextPKcS2_","__ZL16FileAsTypedArrayP9JSContextPKc","__ZL25finalize_counter_finalizeP9JSContextP8JSObject","__ZN2jsL8JsvalifyEPNS_10StackFrameE625","__ZN2jsL8JsvalifyEPNS_5ClassE631","__ZN12FreeOnReturnC2EP9JSContextPKc","_JSVAL_IS_OBJECT_OR_NULL_IMPL621","_JSVAL_TO_BOOLEAN_IMPL626","_JSVAL_TO_INT32_IMPL627","_JSVAL_IS_INT32_IMPL628","__ZN2js15AutoValueRooter10jsval_addrEv","_BOOLEAN_TO_JSVAL_IMPL630","__ZL12FileAsStringP9JSContextPKc","__ZN12FreeOnReturnD1Ev","__ZN12FreeOnReturnD2Ev","_JSVAL_IS_OBJECT620","_JSVAL_IS_INT622","_JSVAL_TO_INT623","_JSVAL_TO_BOOLEAN624","__ZN2JSL12BooleanValueEb629","__ZL13ValueToScriptP9JSContextN2JS5ValueEPP10JSFunction","__ZL11GetTrapArgsP9JSContextjPN2JS5ValueEPP8JSScriptPi","__ZL11TrapHandlerP9JSContextP8JSScriptPhPN2JS5ValueES5_","__ZL23DebuggerAndThrowHandlerP9JSContextP8JSScriptPhPN2JS5ValueEPv","_UINT_TO_JSVAL","_DOUBLE_TO_JSVAL632","_JSVAL_IS_TRACEABLE633","_JSVAL_TO_TRACEABLE","_JSVAL_TRACE_KIND634","__ZL10NewSandboxP9JSContextb","__ZN2js3cli6detail6Option8asValuedEv","__ZN2js3cli6detail6Option12asBoolOptionEv","__ZN2js3cli6detail6Option14asStringOptionEv","_JSVAL_IS_NULL_IMPL636","_JSVAL_IS_STRING_IMPL638","_JSVAL_TO_GCTHING_IMPL640","_JSVAL_IS_TRACEABLE_IMPL641","_JSVAL_TO_OBJECT_IMPL642","_JSVAL_IS_OBJECT_IMPL643","_JSVAL_IS_DOUBLE_IMPL647","_JSVAL_TO_STRING_IMPL648","_OBJECT_TO_JSVAL_IMPL649","_JSVAL_IS_PRIMITIVE_IMPL650","__ZN2js11AutoIdArrayntEv","__ZNK2js11AutoIdArray6lengthEv","__ZNK2js11AutoIdArrayixEj","__ZNK2js3cli6detail6Option12isBoolOptionEv","__ZNK2js3cli6detail6Option14isStringOptionEv","_JSVAL_IS_NULL635","__ZL15CountHeapNotifyP8JSTracerPv13JSGCTraceKind","_JSVAL_TRACE_KIND_IMPL637","_JSVAL_TO_GCTHING639","__ZL8ToSourceP9JSContextPN2JS5ValueEP16JSAutoByteString","_JS_THIS644","__ZL26MapContextOptionNameToFlagP9JSContextPKc","_JSVAL_IS_DOUBLE645","_JSVAL_TO_DOUBLE646","__ZL12CopyPropertyP9JSContextP8JSObjectS2_ijPS2_","__ZN2js11AutoIdArrayC1EP9JSContextP9JSIdArray","__ZN2js11AutoIdArrayD1Ev","__ZN2js11AutoIdArrayD2Ev","__ZN2js11AutoIdArrayC2EP9JSContextP9JSIdArray","__ZNK2js3cli6detail6Option8asValuedEv","__ZNK2js3cli6detail6Option12asBoolOptionEv","__ZNK2js3cli6detail6Option14asStringOptionEv","__ZN2js3cli6detail6Option11asIntOptionEv","__ZN2js3cli6detail6Option19asMultiStringOptionEv","__ZNK2js3cli6detail6Option11isIntOptionEv","__ZNK2js3cli6detail6Option19isMultiStringOptionEv","__ZN2js3cli6detail6Option20setTerminatesOptionsEb","__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5emptyEv","__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE5beginEv","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE3endEv","__ZNK2js3cli6detail6Option11asIntOptionEv","__ZNK2js3cli6detail6Option19asMultiStringOptionEv","__ZN2js3cli12OptionParser23setArgTerminatesOptionsEPKcb","__ZN2js3cli12OptionParser12findArgumentEPKc","__ZN2js3cli12OptionParser5errorEPKcz","__ZN2js3cli12OptionParser9printHelpEPKc","__ZL14PrintParagraphPKcjjb","__ZL23OptionFlagsToFormatInfocbPj","__ZNK2js3cli6detail6Option20getTerminatesOptionsEv","__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE6lengthEv","__ZN2js3cli6detail6Option11setFlagInfoEcPKcS4_","__ZNK2js3cli12OptionParser13getHelpOptionEv","__ZN2js3cli12OptionParser12extractValueEjPPcPjS3_","__ZN2js3cli12OptionParser12handleOptionEPNS0_6detail6OptionEjPPcPjPb","__ZN2js3cli6detail9StringArgC1EPcj","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE6appendIS3_EEbT_","__ZN2js3cli12OptionParser9handleArgEjPPcPjPb","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEixEj","__ZN2js3cli12OptionParser9parseArgsEiPPc","__ZN2js3cli12OptionParser10findOptionEPKc","__ZN2js3cli12OptionParser10findOptionEc","__ZN2js3cli12OptionParser13setHelpOptionEcPKcS3_","__ZNK2js3cli12OptionParser13getBoolOptionEc","__ZNK2js3cli12OptionParser10findOptionEc","__ZNK2js3cli12OptionParser12getIntOptionEc","__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE5beginEv","__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE3endEv","__ZNK2js3cli12OptionParser15getStringOptionEc","__ZNK2js3cli12OptionParser20getMultiStringOptionEc","__ZN2js3cli16MultiStringRangeC1EPKNS0_6detail9StringArgES5_","__ZNK2js3cli12OptionParser13getBoolOptionEPKc","__ZNK2js3cli12OptionParser10findOptionEPKc","__ZNK2js3cli12OptionParser12getIntOptionEPKc","__ZNK2js3cli12OptionParser15getStringOptionEPKc","__ZNK2js3cli12OptionParser20getMultiStringOptionEPKc","__ZN2js3cli12OptionParserD2Ev","__ZN2js10Foreground7delete_INS_3cli6detail6OptionEEEvPT_","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEED1Ev","__ZNK2js3cli12OptionParser12findArgumentEPKc","__ZNK2js3cli12OptionParser12getStringArgEPKc","__ZNK2js3cli12OptionParser17getMultiStringArgEPKc","__ZN2js3cli12OptionParser12addIntOptionEcPKcS3_S3_i","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE7reserveEj","__ZN2js11OffTheBooks4new_INS_3cli6detail9IntOptionEcPKcS6_S6_iEEPT_T0_T1_T2_T3_T4_","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE16infallibleAppendERKS4_","__ZN2js3cli12OptionParser13addBoolOptionEcPKcS3_","__ZN2js11OffTheBooks4new_INS_3cli6detail10BoolOptionEcPKcS6_EEPT_T0_T1_T2_","__ZN2js3cli12OptionParser15addStringOptionEcPKcS3_S3_","__ZN2js11OffTheBooks4new_INS_3cli6detail12StringOptionEcPKcS6_S6_EEPT_T0_T1_T2_T3_","__ZN2js3cli12OptionParser20addMultiStringOptionEcPKcS3_S3_","__ZN2js11OffTheBooks4new_INS_3cli6detail17MultiStringOptionEcPKcS6_S6_EEPT_T0_T1_T2_T3_","__ZN2js3cli12OptionParser20addOptionalStringArgEPKcS3_","__ZN2js11OffTheBooks4new_INS_3cli6detail12StringOptionEiPKcS6_S6_EEPT_T0_T1_T2_T3_","__ZN2js3cli12OptionParser25addOptionalMultiStringArgEPKcS3_","__ZN2js11OffTheBooks4new_INS_3cli6detail17MultiStringOptionEiPKcS6_S6_EEPT_T0_T1_T2_T3_","__ZNK2js3cli6detail12ValuedOption8isValuedEv","__ZNK2js3cli6detail17MultiStringOption10isVariadicEv","__ZN2js15ReentrancyGuardC2INS_6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEEEERT_","__ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE7destroyEPS4_S7_","__ZN2js15ReentrancyGuardC2INS_6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEEEERT_","__ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE7destroyEPS3_S6_","__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE10endNoCheckEv","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE10endNoCheckEv","__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE12beginNoCheckEv","__ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE13copyConstructIS4_EEvPS4_PKT_SB_","_js_malloc696","__ZN2js3cli6detail17MultiStringOptionC1EcPKcS4_S4_","__ZN2js3cli6detail17MultiStringOptionC2EcPKcS4_S4_","__ZN2js3cli6detail12ValuedOptionC2ENS1_10OptionKindEcPKcS5_S5_","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEC1ES4_","__ZN2js3cli6detail17MultiStringOptionD1Ev","__ZN2js3cli6detail17MultiStringOptionD0Ev","__ZN2js3cli6detail17MultiStringOptionD2Ev","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEED1Ev","__ZN2js3cli6detail12ValuedOptionD2Ev","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEED2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEEEERT_","__ZNK2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv","_js_free697","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEEC2ES4_","__ZN2js3cli6detail12StringOptionC1EcPKcS4_S4_","__ZN2js3cli6detail12StringOptionC2EcPKcS4_S4_","__ZN2js3cli6detail12StringOptionD1Ev","__ZN2js3cli6detail12StringOptionD0Ev","__ZN2js3cli6detail12StringOptionD2Ev","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE14internalAppendIS4_EEvT_","__ZN2js3cli6detail9IntOptionC1EcPKcS4_S4_i","__ZN2js3cli6detail9IntOptionC2EcPKcS4_S4_i","__ZN2js3cli6detail9IntOptionD1Ev","__ZN2js3cli6detail9IntOptionD0Ev","__ZN2js3cli6detail9IntOptionD2Ev","__ZN2js15ReentrancyGuardC1INS_6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEEEEERT_","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE13growStorageByEj","__ZNK2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE18usingInlineStorageEv","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE6growToERNS_6VectorIS4_Lj0ES5_EEj","_js_realloc698","__ZN2js10VectorImplIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyELb1EE13moveConstructIS4_EEvPS4_PKT_SB_","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE13growStorageByEj","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE14internalAppendIS3_EEvT_","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE20convertToHeapStorageEj","__ZNK2js7MoveRefINS_3cli6detail9StringArgEEcvRS3_Ev","__ZN2js7MoveRefINS_3cli6detail9StringArgEEC2ERS3_","__ZN2js3cli16MultiStringRangeC2EPKNS0_6detail9StringArgES5_","__ZN2js3cli6detail9StringArgC2EPcj","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE17growHeapStorageByEj","__ZN2js6VectorINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyEE20calculateNewCapacityEjjRj","__ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE6growToERNS_6VectorIS3_Lj0ES4_EEj","__ZN2js4MoveINS_3cli6detail9StringArgEEENS_7MoveRefIT_EERS5_","__ZN2js7MoveRefINS_3cli6detail9StringArgEEC1ERS3_","__ZN2js10VectorImplINS_3cli6detail9StringArgELj0ENS_17SystemAllocPolicyELb0EE13moveConstructIS3_EEvPS3_PKT_SA_","__ZN2js4MoveINS_3cli6detail9StringArgEEENS_7MoveRefIT_EERKS5_","__ZN2js6VectorIPNS_3cli6detail6OptionELj0ENS_17SystemAllocPolicyEED2Ev"]

